//
// Copyright 2014 Google Inc. All Rights Reserved.
//
// Licensed under the Apache License, Version 2.0 (the "License");
// you may not use this file except in compliance with the License.
// You may obtain a copy of the License at
//
//     http://www.apache.org/licenses/LICENSE-2.0
//
// Unless required by applicable law or agreed to in writing, software
// distributed under the License is distributed on an "AS IS" BASIS,
// WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
// See the License for the specific language governing permissions and
// limitations under the License.

// Created by postproc-cld2 4.0 on 2014-02-04 09:06:59
// From command line:
//  --cld2 --cc --just_read_raw --delta_octa 
//  --wrt=cld2_generated_quad0122.bin --standard --minchars=5 --mincount=1 
//  --max_items_per_langscript=3000 --flatmap --rr_alloc --freq_alloc 
//  --boostcloseweakerpercent=00 --indirectbits=12 --thresh=240 --v25 
//  --kentries=256 --tablename=DeltaOcta0122 --suppress=bs-Cyrl sr-ME-Latn 
//  sh-Cyrl sh-Latn ce-Cyrl cv-Cyrl    az-Arab az-Cyrl bs-Cyrl kk-Latn 
//  ku-Latn my-Latn ru-Latn tg-Arab tk-Arab ug-Latn za-Hani zzb-Latn 
//  zze-Latn zzh-Latn --remap=xxx-Latn=>ut-Latn tw-Latn=>ak-Latn 
//  nd-Latn=>nr-Latn blu-Latn=>hmn-Latn  --ko_english --force_to_lang_soft 
//  --nosoft_cram2 --nomsidlevel --shapeflatprob --langpriorpercent=10 
//  --skipnuc --noshapeforcetop --noshapeeventop --noshapesteep2 --spread=15 
//  --nodoubleclose --langcounts --writebin --list_items=120 
//  /hdb1/cld2/probs/p90_raw_octagrams_2014.utf8 
// 
// CLD2_pslangs
// 
// See compact_lang_det.cc for usage
// 
#include "cld2tablesummary.h"
namespace CLD2 {

static const uint32 kDeltaOcta0122BuildDate = 20140204;    // yyyymmdd


// Of 406948 offered items into 262144 table entries:
// 248698 filled (61%), 124 merged (0%), 158126 dropped (38%)

// Nil-grams: 19 languages
//     GREEK MALAYALAM TELUGU TAMIL GUJARATI THAI KANNADA PUNJABI 
//     GEORGIAN SINHALESE ARMENIAN LAOTHIAN KHMER DHIVEHI CHEROKEE 
//     SYRIAC LIMBU ORIYA INUKTITUT 

// Uni-grams: 4 languages
//     Japanese Korean Chinese ChineseT 

// Words/Quads: 144 languages in range ENGLISH..X_KLINGON:
//     ENGLISH DANISH DUTCH FINNISH FRENCH GERMAN HEBREW ITALIAN 
//     NORWEGIAN POLISH PORTUGUESE RUSSIAN SPANISH SWEDISH CZECH 
//     ICELANDIC LATVIAN LITHUANIAN ROMANIAN HUNGARIAN ESTONIAN 
//     Unknown BULGARIAN CROATIAN SERBIAN IRISH GALICIAN TAGALOG 
//     TURKISH UKRAINIAN HINDI MACEDONIAN BENGALI INDONESIAN LATIN 
//     MALAY WELSH NEPALI ALBANIAN BELARUSIAN JAVANESE OCCITAN URDU 
//     BIHARI ARABIC CATALAN ESPERANTO BASQUE INTERLINGUA 
//     SCOTS_GAELIC SWAHILI SLOVENIAN MARATHI MALTESE VIETNAMESE 
//     FRISIAN SLOVAK FAROESE SUNDANESE UZBEK AMHARIC AZERBAIJANI 
//     TIGRINYA PERSIAN BOSNIAN NORWEGIAN_N XHOSA ZULU GUARANI 
//     SESOTHO TURKMEN KYRGYZ BRETON YIDDISH SOMALI UIGHUR KURDISH 
//     MONGOLIAN SINDHI RHAETO_ROMANCE AFRIKAANS LUXEMBOURGISH 
//     TIBETAN ASSAMESE CORSICAN INTERLINGUE KAZAKH LINGALA PASHTO 
//     QUECHUA SHONA TAJIK TATAR TONGA YORUBA MAORI WOLOF ABKHAZIAN 
//     AFAR AYMARA BASHKIR BISLAMA DZONGKHA FIJIAN GREENLANDIC HAUSA 
//     HAITIAN_CREOLE INUPIAK KASHMIRI KINYARWANDA MALAGASY NAURU 
//     OROMO RUNDI SAMOAN SANGO SANSKRIT SISWANT TSONGA TSWANA 
//     VOLAPUK ZHUANG KHASI SCOTS GANDA MANX AKAN IGBO 
//     MAURITIAN_CREOLE HAWAIIAN CEBUANO HMONG NYANJA PEDI SESELWA 
//     VENDA WARAY_PHILIPPINES NDEBELE X_PIG_LATIN X_KLINGON 

// TopLanguage  TokenCount
//  ENGLISH 1521
//  DANISH 1757
//  DUTCH 1773
//  FINNISH 1757
//  FRENCH 1761
//  GERMAN 1727
//  HEBREW 1702
//  ITALIAN 1719
//  Japanese 3506
//  Korean 1878
//  NORWEGIAN 1763
//  POLISH 1758
//  PORTUGUESE 1748
//  RUSSIAN 1798
//  SPANISH 1748
//  SWEDISH 1726
//  Chinese 1795
//  CZECH 3545
//  ICELANDIC 1725
//  LATVIAN 1715
//  LITHUANIAN 1749
//  ROMANIAN 2683
//  HUNGARIAN 1766
//  ESTONIAN 1711
//  Unknown 1779
//  BULGARIAN 1741
//  CROATIAN 2000
//  SERBIAN 3499
//  IRISH 1732
//  GALICIAN 1754
//  TAGALOG 1733
//  TURKISH 1739
//  UKRAINIAN 1777
//  HINDI 1845
//  MACEDONIAN 1735
//  BENGALI 1738
//  INDONESIAN 3378
//  LATIN 1745
//  MALAY 1938
//  WELSH 1751
//  NEPALI 1760
//  ALBANIAN 1768
//  BELARUSIAN 1725
//  JAVANESE 1760
//  OCCITAN 1729
//  URDU 1455
//  BIHARI 1702
//  ARABIC 1843
//  CATALAN 1764
//  ESPERANTO 1768
//  BASQUE 1763
//  INTERLINGUA 1203
//  SCOTS_GAELIC 1749
//  SWAHILI 1754
//  SLOVENIAN 1731
//  MARATHI 1761
//  MALTESE 1749
//  VIETNAMESE 492
//  FRISIAN 1771
//  SLOVAK 1995
//  ChineseT 2135
//  FAROESE 1735
//  SUNDANESE 1736
//  UZBEK 3983
//  AMHARIC 1760
//  AZERBAIJANI 1787
//  TIGRINYA 1764
//  PERSIAN 1710
//  BOSNIAN 1701
//  NORWEGIAN_N 1737
//  XHOSA 3494
//  ZULU 1844
//  GUARANI 1742
//  SESOTHO 1743
//  TURKMEN 2780
//  KYRGYZ 3513
//  BRETON 1767
//  YIDDISH 1771
//  SOMALI 1727
//  UIGHUR 2979
//  KURDISH 1587
//  MONGOLIAN 1720
//  SINDHI 1637
//  RHAETO_ROMANCE 1780
//  AFRIKAANS 1777
//  LUXEMBOURGISH 1746
//  TIBETAN 30
//  ASSAMESE 1753
//  CORSICAN 1739
//  INTERLINGUE 1580
//  KAZAKH 3457
//  LINGALA 1764
//  PASHTO 1729
//  QUECHUA 1747
//  SHONA 1691
//  TAJIK 1771
//  TATAR 3518
//  TONGA 1745
//  YORUBA 1796
//  MAORI 1784
//  WOLOF 1754
//  ABKHAZIAN 1445
//  AFAR 1516
//  AYMARA 680
//  BASHKIR 1750
//  BISLAMA 1177
//  DZONGKHA 5
//  FIJIAN 1520
//  GREENLANDIC 1756
//  HAUSA 1744
//  HAITIAN_CREOLE 1733
//  INUPIAK 380
//  KASHMIRI 348
//  KINYARWANDA 2407
//  MALAGASY 1718
//  NAURU 873
//  OROMO 1740
//  RUNDI 1930
//  SAMOAN 1764
//  SANGO 267
//  SANSKRIT 3461
//  SISWANT 1762
//  TSONGA 1763
//  TSWANA 1707
//  VOLAPUK 1049
//  ZHUANG 192
//  KHASI 555
//  SCOTS 1756
//  GANDA 1702
//  MANX 1743
//  AKAN 729
//  IGBO 1076
//  MAURITIAN_CREOLE 1266
//  HAWAIIAN 1282
//  CEBUANO 1714
//  HMONG 260
//  NYANJA 1751
//  PEDI 374
//  SESELWA 926
//  VENDA 557
//  WARAY_PHILIPPINES 1740
//  NDEBELE 244
//  X_PIG_LATIN 1722
//  X_KLINGON 1768



// Recognized language-script combinations [180]:
static const char* const kDeltaOcta0122RecognizedLangScripts = 
  "aa-Latn ab-Cyrl af-Latn ak-Latn am-Ethi ar-Arab ar-Latn as-Beng "
  "ay-Latn az-Latn ba-Cyrl be-Cyrl bg-Cyrl bg-Latn bh-Deva bi-Latn "
  "bn-Beng bn-Latn bo-Cyrl bo-Tibt br-Latn bs-Latn ca-Latn ceb-Latn "
  "co-Latn crs-Latn cs-Latn cy-Latn da-Latn de-Latn dz-Tibt en-Arab "
  "en-Latn eo-Latn es-Cyrl es-Latn et-Latn eu-Latn fa-Arab fa-Latn "
  "fi-Latn fj-Latn fo-Latn fr-Arab fr-Latn fy-Latn ga-Latn gd-Latn "
  "gl-Latn gn-Latn gv-Latn ha-Latn haw-Latn hi-Deva hi-Latn hmn-Latn "
  "hr-Arab hr-Latn ht-Latn hu-Latn ia-Latn id-Arab id-Latn ie-Latn "
  "ig-Latn ik-Latn is-Latn it-Latn iw-Hebr iw-Latn ja-Hani ja-Latn "
  "jw-Latn kha-Latn kk-Arab kk-Cyrl kl-Latn ko-Hani ko-Latn ks-Arab "
  "ks-Deva ku-Arab ky-Arab ky-Cyrl la-Latn lb-Latn lg-Latn ln-Latn "
  "lt-Latn lv-Latn mfe-Latn mg-Latn mi-Latn mk-Cyrl mk-Latn mn-Cyrl "
  "mn-Latn mr-Deva mr-Latn ms-Latn mt-Latn na-Latn ne-Deva nl-Latn "
  "nn-Latn no-Latn nr-Latn nso-Latn ny-Latn oc-Arab oc-Latn om-Latn "
  "pl-Cyrl pl-Latn ps-Arab pt-Latn qu-Latn rm-Latn rn-Latn ro-Cyrl "
  "ro-Latn ru-Cyrl rw-Latn sa-Deva sa-Latn sco-Latn sd-Arab sg-Latn "
  "sk-Latn sl-Latn sm-Latn sn-Latn so-Latn sq-Latn sr-Cyrl sr-Latn "
  "ss-Latn st-Latn su-Latn sv-Cyrl sv-Latn sw-Latn tg-Cyrl ti-Ethi "
  "tk-Cyrl tk-Latn tl-Latn tlh-Latn tn-Latn to-Latn tr-Cyrl tr-Latn "
  "ts-Latn tt-Cyrl tt-Latn ug-Arab ug-Cyrl uk-Cyrl uk-Latn un-Cyrl "
  "un-Latn ur-Arab ur-Latn uz-Arab uz-Cyrl uz-Latn ve-Latn vi-Latn "
  "vo-Latn war-Latn wo-Latn xh-Latn yi-Hebr yo-Latn za-Latn zh-Hani "
  "zh-Hant-Hani zh-Hant-Latn zu-Latn zzp-Latn ";

static const uint32 kDeltaOcta0122Size = 65536;    // Bucket count
static const uint32 kDeltaOcta0122KeyMask = 0xffff0000;    // Mask hash key

static const IndirectProbBucket4 kDeltaOcta0122[kDeltaOcta0122Size] = {
  // hash_indirect[4], tokens[4] in UTF-8
   {{0x0a710002,0x530a0003,0x83420004,0x1e9b0005}},	// [000] _ulaganja_, _frankrij, _anwetan_, _referats_, 
   {{0xc3f90006,0xa2fc0007,0xc2d90008,0xa2da0009}},	//   _suruh_, _imaga_, _ascens_, _obrnite_, 
   {{0x827f000a,0x0757000b,0xb081000c,0x825b000d}},	//   _maanna_, _malilieg, _aimcrack_, _ajaloo_, 
   {{0x8db9000e,0x4a3c000f,0x446c0010,0xfa0b0011}},	//   _cavalcat_, _makinası_, _ebafundz, _bagabula_, 
   {{0xae760012,0x7aa70013,0x33da0014,0x83f80015}},	//   _चाट्ी_, _ракаат_, _anglezët_, _aamusa_, 
   {{0x72d40016,0x3a960017,0xb3f80018,0x4f430019}},	//   _perdis_, _धर्ममा_, _samuta_, _антимити, 
   {{0x6cc0001a,0x49fe001b,0x751f001c,0x2e22001d}},	//   _شیرافگن_, _bafatoot, _darudako_, _inamicos_, 
   {{0x2290001e,0x527f001f,0x02fc0020,0x61d70021}},	//   _nijar_, _ahenni_, _omaga_, _ailednay_, 
   {{0xab180022,0xb2d80023,0xbfe30024,0x8af20025}},	//   _babapats, _планшетн, _skriveko, _atirohit, 
   {{0x2d5d0026,0x5a160027,0x82480028,0x2c530015}},	//   _북마크하기_, _propagid, _galmo_, _tartama_, 
   {{0x40b00029,0xf2de002a,0xc0d1002b,0x7ea4000d}},	//   _کامێرا_, _itenanị_, _হায়রে_, _kulukuse_, 
   {{0x5245002c,0x85fd002d,0xdfc2002e,0x29f8002f}},	//   _автомаши, _obtenció, _kupovino, _gamitana_, 
   {{0x3c740030,0x62900031,0xe1540032,0xc46d0033}},	//   _augusts_, _pijat_, _biyohlah_, _investiz, 
   {{0xf7740034,0x207d0035,0xea2e0036,0x32d70037}},	//   _virkileg, _фарсы_, _nascanna_, _የበይነመረብ_, 
   {{0x69080038,0xd15c0039,0x8200003a,0xf2950014}},	//   _чөнки_, _мухар_, _sening_, _ibrahimi_, 
   {{0x4207003b,0x1a3a003c,0xa7f5003d,0x668d003e}},	//   _akakwati_, _فردمنش_, _agrandig, _disetefi, 
   {{0xcd54003f,0xf8240040,0xb1360041,0xc2eb0042}},	// [010] _biyatlhq, _קרדשיאן_, _зыуацәа_, _abrindo_, 
   {{0x226d0043,0xd3f40044,0x34bd0045,0xc2920046}},	//   _abanonyi_, _mutter_, _сировина_, _agrari_, 
   {{0xc3f40047,0xa2fc0048,0xf2d80049,0xcbae004a}},	//   _lutter_, _amagi_, _kiheni_, _гимнының_, 
   {{0x02e3004b,0xda14004c,0xd3f9000e,0x3304004d}},	//   _bafihle_, _akwatula_, _struz_, _organum_, 
   {{0x32da004e,0xe387004f,0x62da0050,0x7232000e}},	//   _amplify_, _daaray_, _tetela_, _geomail_, 
   {{0x6cce0051,0xf4930052,0x73470053,0x00000000}},	//   _latvener, _schémata_, _makenya_, --, 
   {{0xf2910054,0xac170055,0x89f60056,0xddba0037}},	//   _kiran_, _bananier, _akusensu, _በማግኘታቸው_, 
   {{0xe2910057,0x06a90058,0x20380039,0xb5f50059}},	//   _jiran_, _saurisch, _lehendik_, _статуетк, 
   {{0x8290005a,0x92cb0043,0xa3f8005b,0xda14005c}},	//   _bibah_, _abaddu_, _tamura_, _atabarut, 
   {{0x92910033,0x8b43005d,0x4061005e,0x3e3a005f}},	//   _eiran_, _amoapatĩ_, _زۆھرە_, _recamara, 
   {{0x2fdd0060,0xc53c0061,0xa2900062,0xa1890063}},	//   _назарына_, _조심하세요_, _dibah_, _نقاطي_, 
   {{0xa2480047,0xe2da0064,0x63f40065,0xb9cb0052}},	//   _calme_, _neteja_, _futter_, _सिद्धनाथ_, 
   {{0xbffd0066,0x9d7c0067,0x545b0068,0xb9fb0035}},	//   _уралдана_, _ademsifa, _sandiego_, _айтугано, 
   {{0x02000069,0x7f3e004a,0x4f770037,0xc291006a}},	//   _runini_, _сайланып_, _mencadan, _hiran_, 
   {{0xe2f8006b,0xe254000d,0x99c3006c,0x21b2006d}},	//   _अर्धनग्न_, _arvestam, _ahambela_, _ахвяруюц, 
   {{0x24700016,0x7291006e,0x4d09006f,0x6b4a000c}},	//   _דאַװענען_, _ciran_, _شرمناڪ_, _хаматхан, 
   {{0x99ee0070,0x7fb50071,0xf2e90072,0x1a0d0073}},	// [020] _borgmest, _خوابه_, _sasinsa_, _dynamica_, 
   {{0xcfc70074,0x01320075,0x18440076,0x63ba0077}},	//   _дизайна_, _skattsto, _перверзн, _krevèt_, 
   {{0xe68a0078,0xc2fc0079,0xec73007a,0x68d5007b}},	//   _презимен, _smagi_, _saksama_, _gileynou, 
   {{0xdaff007c,0x0ed8007d,0x0c76007e,0x352e007f}},	//   _kunganab, _menyumba, _bharani_, _llanarth, 
   {{0xf27f0080,0x12250081,0x5a8e0082,0x6fa70083}},	//   _taanna_, _feykir_, _fannonin_, _delectar_, 
   {{0xa30e0073,0x9e5f0084,0xd9fb0085,0xd24f0086}},	//   _essayos_, _tribunja, _vulaibat, _külhoni_, 
   {{0x1db90067,0x3c760087,0x1aec0088,0xbdb00089}},	//   _aannicha, _eharani_, _manualit, _gönahlar, 
   {{0x63ea008a,0x64fa0052,0xf224008b,0x72e7008c}},	//   _afatu_, _किराती_, _awoka_, _bienton_, 
   {{0x1897008d,0x52d9008e,0xf957008f,0x6f150090}},	//   _اریبا_, _asyee_, _remondit, _handifan, 
   {{0xef120091,0x621d0089,0x0fe00092,0xfb5e0093}},	//   _tautukta, _мамут_, _ヴィンチ編集部_, _урана_, 
   {{0x3daa0039,0x8ac00094,0xcdb70095,0x22b20012}},	//   _argitara, _تىلدەرىن_, _angrungu_, _बिदुक_, 
   {{0x6a6c0096,0xe40b0097,0x13660059,0xd3490098}},	//   _abaminis, _akakọgbọ, _leggero_, _landsby_, 
   {{0xc1b10024,0xb4e3002b,0xec240099,0x00000000}},	//   _তাতেই_, _হাছান_, _ashandir, --, 
   {{0xc7160041,0x82cb009a,0xe291009b,0xac69009c}},	//   _ақәхарџь, _akulali_, _ziran_, _antuchi_, 
   {{0x22da009d,0x1511009e,0x4291009f,0x43ec00a0}},	//   _beteja_, _correndo_, _piran_, _danmalik, 
   {{0x13f900a1,0x298400a2,0x6b0b00a3,0x99c7006c}},	//   _kuruu_, _wakisema_, _påskedag_, _каратаи_, 
   {{0x034000a4,0x4a790041,0x92310099,0x62da00a5}},	// [030] _admeten_, _гәыҩбара_, _chimaso_, _setema_, 
   {{0xcc4400a6,0x2ede00a7,0xbb4300a8,0x0373000b}},	//   _abawela_, _римде_, _sinceres, _lemalie_, 
   {{0x027f00a9,0x82fd00aa,0xf95800ab,0xcc5300ac}},	//   _ibanza_, _davinos_, _tahorait, _jastuka_, 
   {{0x33f900ad,0xcb9400ae,0xb6a800af,0x72dd0062}},	//   _nurut_, _babikwir, _цифровог, _jiqondi_, 
   {{0xa28c00b0,0xb97700b1,0xa7260061,0x2e3a00b2}},	//   _dagaalam, _kojiblee, _여의도자이_, _gabaarra, 
   {{0xca8d00b3,0xdc6800b4,0xd23000b5,0xffe000b6}},	//   _батырлык_, _ciprian_, _ikamisa_, _sidicamo, 
   {{0x7eae00b7,0x37aa00b8,0xe882008e,0xd47400b9}},	//   _milletin, _iyarampi, _alminahu, _diberlak, 
   {{0x401c0078,0x0dee00ba,0x525a00a5,0xff4b00bb}},	//   _просвете_, _رداگرتنی_, _itele_, _جنرلوں_, 
   {{0x020100bc,0x1f35008d,0x4fc300bd,0x4e8100be}},	//   _diaiup_, _kitoblar_, _chairter_, _جەڭىشدى_, 
   {{0x8da300bf,0x9ae10009,0xc3ea00c0,0x146000c1}},	//   _ходить_, _modelars, _ngiti_, _menetesk, 
   {{0x73ea00c2,0x83f400c3,0x7e6900c4,0x038000c5}},	//   _igiti_, _hostis_, _ايڪتا_, _appris_, 
   {{0x588800c6,0x998e00c7,0xf42a00c8,0xdae700c9}},	//   _тексту_, _шакир_, _бригадал, _vietfone, 
   {{0x5d2900ca,0x47e40012,0xdc8700cb,0x00000000}},	//   _respondr, _चिउरवा_, _гармтар_, --, 
   {{0xa13600cc,0x9a7f00cd,0x1fa4005b,0xcd8f009a}},	//   _middelal, _agradora_, _patenter_, _دماتی_, 
   {{0x159300ce,0xe28e00cf,0x83e500d0,0x614600d1}},	//   _terorizm_, _bosheet_, _deklaraz, _ডায়েলগ_, 
   {{0xd7ed00d2,0xeb2c00d3,0xe2b200c7,0xe25a00d4}},	//   _dibareng, _pacientů_, _авазы_, _steld_, 
   {{0xd25a000b,0x9db600d5,0x2e6c0033,0x620000d6}},	// [040] _atele_, _rasiliga, _parcella, _ndoire_, 
   {{0xf3ea00d7,0x4f2e00d8,0x81f300d9,0x4a6600da}},	//   _ngata_, _castanha, _нарушает_, _терминат_, 
   {{0x13f900db,0xa3ea00dc,0x6f3600dd,0x4af50061}},	//   _turul_, _igata_, _brastera, _그러고보니_, 
   {{0x3cde00de,0xa30d00df,0x329100ca,0x1af300e0}},	//   _alikhulu_, _engager_, _airal_, _hearrige, 
   {{0x429100e1,0x33f9003d,0xc290008d,0x6b1700e2}},	//   _biral_, _arruc_, _yaratilm, _lokaalts, 
   {{0xa50100e3,0x67ce00e4,0x908700e5,0x249a002b}},	//   _materjal_, _भूमिकाएं_, _арнолд_, _নিশ্চুপ_, 
   {{0xf291004e,0x5e8500ba,0x075400e6,0xc64100e7}},	//   _mabati_, _فستیڤاڵی_, _城市公交线路变更_, _astoriaw, 
   {{0x7cde00e8,0x33ac00e9,0x927e00ea,0xe2910085}},	//   _elikhulu_, _soupir_, _mainka_, _labati_, 
   {{0xa30600eb,0x3682006b,0x13ea005b,0xd3f400ec}},	//   _akropong_, _श्राप_, _ogata_, _uostas_, 
   {{0x029100ed,0x726e00ee,0xa2c200ef,0xdbca0046}},	//   _nabati_, _euroko_, _مصريان_, _كۉنكۅي_, 
   {{0xcffa0017,0xf2da00f0,0x5afd00f1,0xe00200f2}},	//   _राजाहरू_, _vpredu_, _reperkis, _tipogrāf, 
   {{0x7553006c,0x723f00f3,0x63f900f4,0x81c70052}},	//   _abakhoth, _basempum, _arzur_, _धर्मशीला_, 
   {{0xe21700f5,0x717c00f6,0xbaae00f7,0x75c600f8}},	//   _аранда_, _bacarmal, _brakumon_, _কোনরকম_, 
   {{0x223700f9,0x62fc00ed,0x064000fa,0xf2c300fb}},	//   _ngombwa_, _bangko_, _pakigami, _abulala_, 
   {{0xf3f900c3,0xa1a900fc,0xbc020073,0xd26e005b}},	//   _aurum_, _birmohwi_, _blasmar_, _kuroko_, 
   {{0xc34100fd,0x63ea00fe,0x49b600ff,0x0cbd0040}},	//   _aigesan_, _egata_, _ליצמאן_, _דיויד_, 
   {{0xb7b10100,0xf25a0101,0x82d50102,0x4f5d0103}},	// [050] _izostavi, _stele_, _seromba_, _achaupon, 
   {{0x32c30104,0xa6a500a2,0xa7ce0105,0x19160092}},	//   _ebulala_, _پئماني_, _भूमिकाओं_, _リンク先の更新状, 
   {{0x84d60106,0x32910107,0x9a740108,0x6ee90109}},	//   _बिकिनी_, _kirab_, _tangtuna_, _अप्ठेरो_, 
   {{0xa248010a,0xa0300040,0xb349010b,0x56ab0019}},	//   _galma_, _במהדורה_, _bosenyi_, _ездра_, 
   {{0xc29100ce,0x83e8010c,0xac67010d,0x5f27010e}},	//   _dirab_, _सप्ताहां, _lalunya_, _depekton, 
   {{0xc02e010f,0xec660110,0x43f90111,0x1e1a0112}},	//   _маҳви_, _centies_, _ambutu_, _keremaja, 
   {{0xc5030113,0xe2b50114,0xf3170115,0xae3b0116}},	//   _مانجا_, _studied_, _aircond_, _mainners_, 
   {{0x5f6a00ec,0x1b3400cf,0x52d80117,0x03070118}},	//   _pagalbos_, _agaarsis, _praes_, _bamanyi_, 
   {{0x92920119,0x1228011a,0x02e5011b,0x00000000}},	//   _hitaas_, _העמדות_, _omonaka_, --, 
   {{0xfffc004d,0x354d011c,0x6db3011d,0x00000000}},	//   _中國新聞週刊_, _fiksiyoŋ_, _domnisoa, --, 
   {{0xdae4011e,0x13f9011f,0xb2920120,0x82d80121}},	//   _disterbe, _arrua_, _heraki_, _traer_, 
   {{0x1db40122,0x11cf00e6,0x8e3500e7,0x026d0123}},	//   _بوجود_, _市环境保护局_, _ariantva, _logoer_, 
   {{0xd3f90124,0xe5040125,0xeb760061,0x9604003a}},	//   _buruj_, _amallary, _경시대회를_, _amallari, 
   {{0x12d9011e,0xf0f000c1,0x4c8c0126,0xc7af0127}},	//   _aryer_, _समोरचा_, _факторів_, _bolontez_, 
   {{0x02000128,0x93700129,0x87b5005a,0x2b24012a}},	//   _kamida_, _anwansị_, _greeceng, _kompozyt, 
   {{0xec6a012b,0x12ba012c,0x93f9012d,0x0f9e012e}},	//   _systemy_, _bandari_, _muruk_, _بحثوں_, 
   {{0x56b50091,0xac67012f,0xa26c0130,0x83430131}},	// [060] _aglakuvi, _zentner_, _hemon_, _viveiro_, 
   {{0x79c80132,0xf4040107,0x32920133,0x925b0134}},	//   _automata_, _adatipun_, _bitaas_, _iwulo_, 
   {{0x73db0135,0x1c520136,0xf2fc003b,0xc7080137}},	//   _операсын_, _svetoga_, _idigri_, _шантидэв, 
   {{0xf3f90138,0x43b600ac,0x95010139,0x6abb013a}},	//   _huzur_, _kreveta_, _प्रथमचित, _besonësc, 
   {{0x56e5013b,0xfb14005e,0xc305012d,0xbc23005d}},	//   _ciechoci, _ﻳﯜﺳﯜﭖ_, _ngwanem_, _embojahu_, 
   {{0x3a76013c,0xe791013d,0xddfe013e,0x1ae700f2}},	//   _apellyas, _kontenti, _savetova, _energore, 
   {{0x5d83013f,0xd2b4001c,0xbc910140,0x82630141}},	//   _འབྱོན_, _lecce_, _mabuting_, _mohiyati_, 
   {{0x0b490142,0xf2870143,0xef430144,0xf2900014}},	//   _वर्षाणि_, _фирмени_, _cinsirea, _majat_, 
   {{0x346e0145,0x73780082,0x22920146,0xaf9b00bc}},	//   _храме_, _kimanin_, _berahi_, _ableiter_, 
   {{0x71db0147,0x1d770148,0x02240149,0xf71b00d9}},	//   _ارنبەك_, _得獎名單公佈_, _nwoke_, _опоры_, 
   {{0x4d8c00a4,0x93f4005f,0xb79c00ee,0xbab3014a}},	//   _اڭگەمەلە, _costos_, _sentsazi, _amelyből_, 
   {{0x23f9014b,0x858b014c,0x52d6014d,0xabab014e}},	//   _amburu_, _basebukh, _verlust_, _околини_, 
   {{0xcd6b0071,0xdd9e014f,0x26220150,0x2c9e0045}},	//   _لرزاند_, _poseduje_, _poromani, _poseduju_, 
   {{0xd8910151,0x93ea0076,0x91880152,0xa0da0153}},	//   _purveyor_, _egito_, _жибэреге, _リュステム_, 
   {{0x437e0154,0xd9410155,0xe3c40156,0x11cb0157}},	//   _моноксид, _bedriver_, _באלפור_, _algorytm, 
   {{0xac770158,0x7b55001a,0xa9e30159,0xc387015a}},	//   _damskie_, _rendesen_, _конана_, _ejersa_, 
   {{0xf27f015b,0x0da1015c,0x33f90107,0x5e12009b}},	// [070] _ejensi_, _infokana, _wuruk_, _больжээ_, 
   {{0xf373015d,0x19d0015e,0xd300015f,0x33060160}},	//   _temacie_, _тегин_, _adwaith_, _izbornog_, 
   {{0x3b8a0161,0xa7250162,0x18e70058,0x52ca0163}},	//   _волос_, _گۈلىستان_, _därlinge, _kedden_, 
   {{0x92520164,0x069900da,0xa3ea0014,0x32920165}},	//   _адвокатл, _регларя_, _afati_, _peraki_, 
   {{0xb2ca0166,0x6d090166,0xc6ad0167,0x2e8d0168}},	//   _melden_, _verlinkt_, _ditectif, _motvirke_, 
   {{0x68200169,0x3b83016a,0x5200016b,0x626c013d}},	//   _কতিপয়_, _komitato_, _iznin_, _temon_, 
   {{0xaf91016c,0x8f3d015d,0xe6bf0143,0xd8450156}},	//   _condenar_, _गिरिडीह_, _порталът_, _סטאָרי_, 
   {{0x03f90141,0xdc96016d,0x23d4016e,0x762a016f}},	//   _guruh_, _شاھمات_, _hatalı_, _налагоди, 
   {{0x141800ff,0x52190170,0x2ca50171,0x52120172}},	//   _געהרגעט_, _akukakam, _promiču_, _wonhu_, 
   {{0xf387006f,0x4bbe0173,0x33470174,0xa2c50175}},	//   _sheria_, _বিশ্বব্য, _bulelwa_, _egalite_, 
   {{0x99c30176,0x91060177,0x9d460178,0xe4a300d1}},	//   _nameplat, _ирдыруа_, _apāniti_, _দেৱতাসকল, 
   {{0x42910120,0x32900179,0xd1c9017a,0x9290017b}},	//   _miraa_, _bibas_, _росто_, _najam_, 
   {{0x0851017c,0xa3ce0176,0xea71017d,0xc8fb0072}},	//   _sveriges_, _palvon_, _たかじんのそこま, _pasajeru, 
   {{0x3290014a,0x23f8017e,0x26c5017f,0x0d8d0004}},	//   _hajam_, _chiuj_, _appaaffi, _enkoyera, 
   {{0x82b60101,0xd2d90180,0xd69a00b7,0xe3da0158}},	//   _fructe_, _kuyer_, _dorediji, _zapasów_, 
   {{0x13460181,0xa2d80182,0x51310183,0x2e990184}},	//   _genders_, _kadesa_, _bandikel, _kantwaye_, 
   {{0x134d0185,0x5a2a015e,0x00000000,0x00000000}},	// [080] _cimerek_, _desconne, --, --, 
   {{0x627f0186,0xa8f20187,0x00000000,0x00000000}},	//   _ebanda_, _петрушев, --, --, 
   {{0x3b590188,0xf2910189,0x22d7018a,0x00000000}},	//   _нимчамул, _mizah_, _deallus_, --, 
   {{0xdfd5018b,0x48dc0088,0xf9dc018c,0xb7880014}},	//   _internaţ, _objectiu, _objectie, _norvegji, 
   {{0x42900127,0x52ab018d,0x33f90013,0x6a110105}},	//   _dibar_, _ንምጭባጥ_, _quruq_, _poradnia_, 
   {{0x528c018e,0xfdd500bc,0xa196018f,0x00000000}},	//   _emakaya_, _اسلامشهر_, _neschugh_, --, 
   {{0x0aee0190,0x499a0191,0x63400192,0xdaf600e6}},	//   _fortgehe, _grekiska_, _gemeten_, _annuelle, 
   {{0x12910108,0x149c0193,0x7bef0194,0xddb70195}},	//   _sirah_, _उत्पादने_, _corectur, _eiginnea, 
   {{0xb2d80196,0xf2ea0197,0x42da0198,0x1c6b00aa}},	//   _madera_, _majnèt_, _kopeli_, _manukut_, 
   {{0x43af0199,0x22fc017e,0xc984019a,0x129100a0}},	//   _caovang_, _imagi_, _faciltie, _birai_, 
   {{0x43b4014a,0xced0019b,0x1da4019c,0x6200019d}},	//   _ڈنمارک_, _planetos_, _kutukutu_, _chiipa_, 
   {{0xbe86019e,0xb3f9019f,0xc34a0161,0x059401a0}},	//   _трафік_, _shauri_, _кронштей, _kulekeny, 
   {{0x43fa01a1,0xca7a01a2,0x40f601a3,0x2290005f}},	//   _natuur_, _neizmant, _ڏاڙهون_, _jajaj_, 
   {{0x227f01a4,0x7f4a01a5,0x92910130,0xb6b801a6}},	//   _abanda_, _langesun, _gizah_, _wawatati, 
   {{0xbc6600c8,0x43ce01a7,0x5f900041,0xab61016a}},	//   _намыҫын_, _talven_, _шарктәу_, _asertita_, 
   {{0xea64014e,0x52900013,0xb37c01a8,0x12da01a9}},	//   _иновацио, _lajak_, _spravne_, _retomar_, 
   {{0x27c101aa,0x257601ab,0x00000000,0x00000000}},	// [090] _insteadw, _मिलऽता_, --, --, 
   {{0x52a801ac,0x9f3501ad,0xc1630059,0x00000000}},	//   _يتلقى_, _asistera, _nutrizio, --, 
   {{0x551101ae,0x838601af,0xf3880082,0x41550153}},	//   _cobrando_, _ýerde_, _biyyaya_, _ジを作成する方法_, 
   {{0x8ed800ca,0x586d0139,0x43f801b0,0x21fa005a}},	//   _indianas_, _व्यवलोकय, _bubuy_, _nguntahm, 
   {{0xed1401b1,0x9c6101b2,0x415c01b3,0x00000000}},	//   _स्वर्णिम_, _peerage_, _часткове_, --, 
   {{0xcd8100a3,0x62f60057,0x00000000,0x00000000}},	//   _hyllesta, _arkitek_, --, --, 
   {{0xed09012b,0x4057004e,0x5b1901b4,0x61d900f4}},	//   _terminie_, _galamito, _karavaan_, _diwiskañ_, 
   {{0x12d80073,0x52d801b5,0x59cd01b6,0xfd360138}},	//   _cadera_, _balesa_, _paternit, _gündeme_, 
   {{0x215101b7,0xb0aa008d,0xa2ba00da,0xfc1401b8}},	//   _अभाषत_, _армиясин, _ganduri_, _शुक्रास्, 
   {{0xae4f0114,0x029001b9,0xe3ba01ba,0xf9490064}},	//   _happened_, _gajak_, _ranvers_, _капачылы, 
   {{0xcb990024,0x82d80005,0xe30c01bb,0x1af301bc}},	//   _চুক্তিসম, _falera_, _almarys_, _feardige, 
   {{0xca7901aa,0x627601bd,0x526c00d3,0xd947018f}},	//   _esponsib, _ءﺗﯘﺑﯩﺮﻟﻰ_, _nemoc_, _chomupme, 
   {{0x5eda01be,0x58dd01bf,0x02d80155,0x949901c0}},	//   _zachycen, _forutsig, _radera_, _ganawark, 
   {{0x329001c1,0xda7d01c2,0xad6001ab,0x834e01c3}},	//   _jajak_, _sinatura_, _चढ़ैत_, _anleigh_, 
   {{0xd2d800ee,0x126c01c4,0x72ca01c5,0x1b0f01c6}},	//   _kalera_, _sinode_, _booday_, _joostema_, 
   {{0x1f5501c7,0x87ac0126,0x88b701c8,0xa7db01c9}},	//   _тутмуш_, _søtstoff, _kultivov, _kajastav, 
   {{0x326401ca,0xcf2001cb,0x729000f7,0xe2900112}},	// [0a0] _betleh_, _nokudosa, _alkape_, _hajah_, 
   {{0x728e0171,0x1c6001cc,0x98680066,0x818700a6}},	//   _svakako_, _abhuvan_, _penintsu, _bayaphul, 
   {{0xd6ba01b6,0x641a0094,0x4379017f,0x0cbc01cd}},	//   _javascri, _بىردەڭە_, _appaasa_, _ақали_, 
   {{0xc39f01ce,0x1d9f01cf,0x2d1900ce,0xb2d401d0}},	//   _اصناف_, _mangiate_, _dinnyite_, _myrdet_, 
   {{0x88d501d1,0xfd0b0077,0x632801a3,0xeea401d2}},	//   _לאנדרואי, _boulchit_, _ٽونيءَ_, _derechus_, 
   {{0x6c980195,0x8b2f0192,0xe5900019,0x1fe40188}},	//   _tarraing_, _확인해주세요_, _сериясын_, _шумурда_, 
   {{0xf99201d3,0x9bed0153,0x62d80020,0x4c0001c4}},	//   _verklige, _お支払い方法につ, _salesa_, _kunsmis_, 
   {{0x22eb0071,0x32d801d4,0xf090003c,0x52f301d5}},	//   _آثاری_, _palesa_, _اکوسیستم_, _بطوطہ_, 
   {{0x01ad00b4,0xd2c301d6,0x4eb701d7,0x905800c8}},	//   _вагабонд_, _skylden_, _admessas_, _hlaselan, 
   {{0x829001d8,0x7d5a00c7,0x515c01d9,0x95dc0092}},	//   _bajah_, _ролен_, _jangdebl, _困っています_, 
   {{0x529001da,0xf9370039,0x9b4d01db,0x72b30107}},	//   _babai_, _бамбар_, _ирандағы_, _نیاکان_, 
   {{0xaf3c01dc,0xc4f60037,0x15f201dd,0xebf601bd}},	//   _annunzia, _ፍርስራሽ_, _agambiri, _жайтты_, 
   {{0x6d070036,0xa36401de,0x9290010d,0xb4d700d3}},	//   _عضومهوبج, _انتانتا_, _wabah_, _विधिको_, 
   {{0x1ae30122,0xf2d001df,0xdf410092,0x09ef0132}},	//   _cuplikan_, _flattery_, _申し訳ございませ, _forintra_, 
   {{0x123c0003,0xce4700c3,0x5cb801e0,0x8d910040}},	//   _감사합니다_, _隱私權政策_, _گزینگ_, _nonlinea, 
   {{0x15b501e1,0x468201e2,0x03e4004d,0x1ed601e3}},	//   _февралдә_, _परसाई_, _誰推薦這篇文章_, _fižol_, 
   {{0x348001e4,0xa77301e5,0x805001e6,0x531301e7}},	// [0b0] _सेनाको_, _akáríayé_, _maturitn, _definitv_, 
   {{0x6c5101e8,0x1d0101e9,0x00000000,0x00000000}},	//   _taktika_, _khampane_, --, --, 
   {{0xb2550173,0x925a013d,0x3c4d01ea,0xe34201eb}},	//   _হিন্দি_, _stelo_, _сигарета_, _copeton_, 
   {{0xfcdf014c,0x036401ec,0x629000b9,0xaa210080}},	//   _amakhulu_, _anggara_, _cabai_, _ajaperlu, 
   {{0x92900193,0xb2d801ed,0x33f9002f,0x9c7601d2}},	//   _pajak_, _kalepa_, _arrus_, _charini_, 
   {{0x608c00d6,0xa3430020,0x8b9701ee,0xd34e0151}},	//   _ɱęḏǭǭ_, _apreamo_, _файлам_, _aileagh_, 
   {{0x636e01ef,0x4fd801f0,0x729101f1,0x66d800ae}},	//   _maitinim, _badirabo, _mirat_, _bataratw, 
   {{0xfbb101d5,0xb43d002b,0x6e0f01f2,0xb5dd01f3}},	//   _مصطفوی_, _নাফিস_, _өзүклард, _kamerový, 
   {{0x4b1801f4,0x12310103,0x228d01f0,0x00000000}},	//   _tugatgan_, _chimiso_, _maokelo_, --, 
   {{0x533601d9,0xa7fa0169,0x12e901f5,0x53790119}},	//   _bäcker_, _উত্তীর্ণ_, _pipinya_, _bayawan_, 
   {{0xb7fa01f6,0x438701f7,0x124a01f4,0xf057016d}},	//   _উত্তীৰ্ণ_, _therma_, _истаклар, _синипий_, 
   {{0x827f01f8,0x59a9018d,0x4b4d0035,0x8db800e2}},	//   _abanza_, _ክኾነልና_, _apparatı_, _beliedsp, 
   {{0x517e008d,0x22910119,0x1eda01f9,0x623b01fa}},	//   _jarayonl, _razavi_, _emaheden, _meletoti_, 
   {{0xcd8e01fb,0x829001fc,0x9b9201fd,0xf9e6011b}},	//   _incontra, _gabaw_, _poniendo_, _kimobola_, 
   {{0xaa0d0196,0xf38000a8,0x729001fe,0x8d8c01ff}},	//   _anganene, _surren_, _tabai_, _premeria, 
   {{0xfd2301f1,0xb2900105,0x83e40024,0x130c0037}},	//   _familjet_, _zabaw_, _অনুকৰণ_, _በፈቃዳቸው_, 
   {{0xf25b0200,0x5ba200ff,0x484200db,0xd3b10062}},	// [0c0] _ewuli_, _אַדלער_, _rulluisu, _nisqu_, 
   {{0x12910201,0xf3f80202,0x59d401a3,0x9b210203}},	//   _girat_, _fenuko_, _تَهَجّد_, _proprime, 
   {{0x078b0156,0xf33200d3,0x320000a0,0x2da801c5}},	//   _קלינג_, _spekuluj, _damina_, _kirishta, 
   {{0xf5e0008f,0x9fa9002b,0xf27f00db,0x00000000}},	//   _कण्ट्रोल_, _সময়সূচী_, _haanja_, --, 
   {{0xd4790039,0x6c660204,0xe2cb0037,0x65970205}},	//   _польшийн_, _kenties_, _የሚገቡት_, _бандага_, 
   {{0x9c5f0189,0x23ac015d,0xd20000d2,0xec670206}},	//   _unuttum_, _grupie_, _namina_, _centier_, 
   {{0x725a0207,0x73f90084,0x2db40032,0x55c5004e}},	//   _jumla_, _burut_, _hurnajna, _kapaagih, 
   {{0xcde001a3,0x79f60208,0xca7e0209,0x27f0020a}},	//   _مسافرخان, _روسیا_, _akunnits, _классигі_, 
   {{0xf5b801c7,0x42e800be,0x79f701b5,0x150c002c}},	//   _belarusy, _perfet_, _nyenyana_, _баяннуур_, 
   {{0x83ea0196,0xc27f01dd,0xfd9c020b,0x00000000}},	//   _ngati_, _ubanza_, _gatelele_, --, 
   {{0x93f9020c,0x727f020d,0x33ea01b8,0x92ef017a}},	//   _turut_, _abanya_, _igati_, _akhipha_, 
   {{0xbb29020e,0x1c64020f,0x98430210,0x0fa90211}},	//   _водителе_, _babuhle_, _chemutau, _lammasko, 
   {{0x892901bd,0xed870212,0x9eed00ce,0xd53f005e}},	//   _дербес_, _oddworld_, _manholes_, _ﭘﻪﺧﯩﺮﻟﯩﻨ, 
   {{0xf3f90051,0xa2480132,0x12da0160,0x02920144}},	//   _kurus_, _semmit_, _opremu_, _murach_, 
   {{0x6acc0213,0x629101b7,0x43e60083,0x00000000}},	//   _обезвреж, _ciram_, _declaraz, --, 
   {{0x416e0214,0x130a0215,0x88af0041,0x3dcb0052}},	//   _abasenko, _statsråd_, _иьҩахан_, _मध्येका_, 
   {{0x82000216,0x1b8e0217,0x60390157,0x00000000}},	// [0d0] _yamina_, _cocinero_, _uaktualn, --, 
   {{0x22e80149,0x13f9018f,0xb0ea01cd,0x00000000}},	//   _spaiwia_, _nurur_, _захирахо, --, 
   {{0xd9580218,0xa2910139,0xdd890218,0x5a7600e0}},	//   _unplanne, _giram_, _actorswa, _evaluaas, 
   {{0x5eb60219,0xa605021a,0xcea000ba,0xa348018d}},	//   _outright_, _adamsani, _رپوول_, _ትሸባሸብ_, 
   {{0x6f95021b,0x22fb0195,0xe9d50065,0x656f013f}},	//   _близко_, _cathara_, _arbeitne, _apadravy, 
   {{0x9292021c,0xc258002f,0xde710086,0x43f4021d}},	//   _strany_, _tlatelol, _پرنریندر_, _rystet_, 
   {{0xd8380089,0xd25a01b9,0xdb0c021e,0x72c601b4}},	//   _башлангы, _cvilin_, _priserna_, _verlore_, 
   {{0x92910076,0x6eae021f,0x2290003d,0x528d01aa}},	//   _viram_, _americat_, _cabau_, _antsgray_, 
   {{0x12e900e9,0xe15c015e,0xf37f020e,0xa5190220}},	//   _bruneau_, _булак_, _dimalwa_, _acquario_, 
   {{0xa3f901b7,0xb683010d,0xa2da011b,0x00000000}},	//   _gurur_, _होकार_, _mipesi_, --, 
   {{0xfc070221,0x33550222,0xf7af0223,0x00a20224}},	//   _khasiat_, _ouverts_, _aportazi, _fornbíla, 
   {{0x43f90225,0x2c610087,0x0eea0226,0x8dc50227}},	//   _aurur_, _averiwe_, _amakagon, _perincia, 
   {{0x8eb1003b,0x1e8401be,0x3309020f,0xa0630064}},	//   _akulobun, _neskuteč, _اودخپلو_, _колодон_, 
   {{0xe2c30228,0x69600079,0xe291019f,0x32480020}},	//   _skalaen_, _ekspozīc, _mabasi_, _siomia_, 
   {{0xc8410174,0x73f90229,0xd25a022a,0x72b900e0}},	//   _kholaped, _durur_, _stels_, _handich_, 
   {{0x1230006c,0xd1470013,0x5388006c,0xa253022b}},	//   _abamisa_, _захира_, _abasoham, _akelduni_, 
   {{0x923f0061,0x42e6007b,0x6291000d,0x426c00fd}},	// [0e0] _신청합니다_, _spinnin_, _tabati_, _fanoid_, 
   {{0x3290022c,0x4292019b,0x92490095,0x42da0181}},	//   _mojang_, _kitais_, _adamel_, _assens_, 
   {{0x7b870204,0x52900120,0x952b0191,0x2d6b022d}},	//   _rekister, _gabat_, _underlät, _stampate_, 
   {{0xc0d2014a,0xc2910085,0x399d0041,0x89110009}},	//   _تمھارے_, _kabasi_, _ҳашыг_, _pojasnju, 
   {{0x073e00dc,0x8688022e,0x9fe0022f,0xd67f0120}},	//   _amalosig, _mundiali, _vadinamo, _sheekiti, 
   {{0xe2910230,0x43f90231,0x929000c7,0x8c440118}},	//   _mirak_, _purus_, _kabat_, _abawala_, 
   {{0x429100c7,0x02da0232,0xa967001a,0xebd20233}},	//   _tiraj_, _ripeti_, _mennyeze, _goldenbr, 
   {{0xa2910115,0xe2910119,0xc36c0234,0xb2f50235}},	//   _nizar_, _nabari_, _langidi_, _caritum_, 
   {{0xb2900054,0x5a7e0080,0x4c1d0236,0x68b40237}},	//   _dabam_, _ajungits, _stupaju_, _내부에서도_, 
   {{0xb9b70238,0x79aa00d7,0x00000000,0x00000000}},	//   _класифік, _содис_, --, --, 
   {{0x215b0218,0xf2b50230,0x3cf20239,0xbbc1023a}},	//   _allowway_, _eredite_, _arataher, _biskupic, 
   {{0x5291023b,0x103c0086,0x23800014,0x269c0204}},	//   _sabati_, _طغیانی_, _burrin_, _palestii, 
   {{0xdcb3023c,0xc2d7023d,0x825e00dc,0xb200023e}},	//   _abanomnq, _ritorno_, _aouliuli_, _puniki_, 
   {{0x52910130,0xd2da023f,0xa25a00b4,0x23f30240}},	//   _dirak_, _upsets_, _orele_, _veiraici_, 
   {{0xc3000067,0x83790241,0x0ad5007b,0x00000000}},	//   _arfanii_, _baqataa_, _murthere, --, 
   {{0x7a4d0242,0x829001f0,0x40290045,0xdc620152}},	//   _qondarma_, _bojang_, _реформе_, _baruın_, 
   {{0x34fb00e4,0xd2b5011d,0x92910243,0xd6770137}},	// [0f0] _कोठारी_, _credite_, _kirah_, _ухури_, 
   {{0x5d5d0244,0xdeb7010f,0x68bd0148,0xe0b20156}},	//   _гаранция_, _таманно_, _全國法規資料庫_, _מחוצפים_, 
   {{0xc3f90245,0x89b80246,0x9c1800bd,0xb2910247}},	//   _kurup_, _татуиров, _gospels_, _mirah_, 
   {{0xa29100e1,0x331c0036,0xb86400a4,0x829000b6}},	//   _jabari_, _bolcán_, _fernànde, _rabal_, 
   {{0x8c080040,0xf2650156,0xc2d800e1,0x770e0248}},	//   _הצטיינות_, _בולקע_, _lileen_, _austrohú, 
   {{0x6a0b020e,0x9201023b,0x0fc80249,0x3a5c015e}},	//   _bapatsoa_, _inaina_, _tikilaso, _داستانچى_, 
   {{0x2927024a,0x12e70129,0x20b400f3,0x3ffb005e}},	//   _ọpọlọpọ_, _filipaị_, _anemibal, _ئۆركەش_, 
   {{0x456d0163,0x425a0202,0x426e0107,0x79fc012e}},	//   _داستانیں_, _irele_, _asromo_, _engedmén, 
   {{0xa2ea024b,0x13f80195,0x59e000aa,0x13160039}},	//   _cuentas_, _chaum_, _gatugatu, _zuhaitz_, 
   {{0xcc7f01a3,0xf2900013,0x7637024c,0xe8ea00b6}},	//   _waislam_, _najas_, _disiandi, _seegondu, 
   {{0x60b4024d,0xd1c3024e,0x99f9024f,0xf25a023b}},	//   _enemibal, _postupak_, _damuvaku, _huelo_, 
   {{0xf34f0250,0x42d80251,0xa3dc00c2,0x73470252}},	//   _komenti_, _dileen_, _bwawo_, _vulelwa_, 
   {{0x53f90125,0x216c0093,0x197e0253,0x40730159}},	//   _durup_, _основанн, _sivisune, _пусты_, 
   {{0x529100b6,0x4d810235,0xfde000c5,0x731c0254}},	//   _girah_, _bhartṛ_, _affirmé_, _volcán_, 
   {{0x1201023b,0xe2900255,0x93480126,0x834700dc}},	//   _anaina_, _majas_, _монастир_, _fememea_, 
   {{0x83f900b7,0xf34700dc,0x7c4b00e6,0x12900256}},	//   _gurup_, _galeuga_, _港口物流对经济的, _labak_, 
   {{0x3ab40257,0x624f0258,0x72910259,0x50bf0050}},	// [100] _brasilíu_, _grifform, _hirai_, _ngamumul, 
   {{0xf8fc025a,0x329100ad,0x93b60100,0x568b00fb}},	//   _bakagend, _sabari_, _slavlja_, _nasekuzi, 
   {{0x6a9b0152,0x8076025b,0x8b1d025c,0x730e0008}},	//   _berençel, _skipanin, _anpassen_, _assajos_, 
   {{0xc291005b,0x6eae025d,0xf9e300fe,0x8409025e}},	//   _mirai_, _villrein, _molofaha_, _breiðskí, 
   {{0x57b401b6,0x1d8b025f,0x42010260,0x92900243}},	//   _filejung, _bakokuta, _chaira_, _rabam_, 
   {{0x5c0f002b,0x39fa0059,0x00000000,0x00000000}},	//   _চৌদ্দগ্র, _penisola_, --, --, 
   {{0x72ea0261,0x86180262,0xac5201b8,0xf29201b2}},	//   _atendas_, _begendim_, _जितेश_, _arragy_, 
   {{0x52ca0263,0xb500012c,0xd8fd0139,0x94680078}},	//   _gelden_, _akimvish, _chraddad, _ораторст, 
   {{0x82cc0012,0x2aed0264,0xc2ca0265,0xeb770196}},	//   _अकरबउअभक, _direktib, _redden_, _bamovwir, 
   {{0xaf3c0266,0x16b100c1,0x0f290037,0x52920267}},	//   _kesusaha, _गोपाळकाल, _የታወቀው_, _igraci_, 
   {{0xb291003e,0x00f2005e,0x2461010d,0xfc050268}},	//   _mabapi_, _ﺷﯩﻤﺎﻟﯩﻲ_, _mendetek, _adarray_, 
   {{0x925b00dc,0x3fc701ec,0x6e9c0092,0x79dc00f2}},	//   _itula_, _خاکستری_, _centralt_, _objektie, 
   {{0xb2d801e8,0xf2f700fc,0x42ca0265,0x32900269}},	//   _andean_, _bonejlaw_, _velden_, _bajas_, 
   {{0xf200026a,0x4290026b,0x5ae9005e,0x47cd026c}},	//   _kamica_, _cajas_, _ھۇزۇرۇڭل, _corporum_, 
   {{0xbe5d0238,0x13f800ad,0x9dc6026d,0x9ec10110}},	//   _матчу_, _shaum_, _mrakodra, _nikolajs_, 
   {{0x6986026e,0xb6b60213,0xd16e019a,0xa2c1026f}},	//   _बालकृष्ण_, _малышка_, _invintry_, _ىلىسىپ_, 
   {{0x22010270,0x00000000,0x00000000,0x00000000}},	// [110] _legite_, --, --, --, 
   {{0x6e9c0271,0x0dc3003e,0x856201f2,0xab200272}},	//   _sentralt_, _медиамаг, _җуңголуқ_, _babayamb, 
   {{0xc26c0160,0xa25a0273,0xafb70274,0x19a5022f}},	//   _nemoj_, _suelo_, _helgadót, _алмазаў_, 
   {{0x925b007f,0x72ef010d,0xb7b1002b,0x34ca0110}},	//   _baglor_, _syafii_, _ভূঁইয়া_, _patruļku, 
   {{0x125b0275,0xcb770276,0xa29000d2,0xae3b001b}},	//   _atula_, _راستلا_, _jajar_, _garaarra, 
   {{0xf8430026,0x82900201,0xd2070205,0xb2960277}},	//   _되었습니다_, _cabak_, _терговчи_, _figgalow_, 
   {{0x82370055,0xc02a0037,0xa31a00ad,0x163300a8}},	//   _stimata_, _ጂዮግራፊ_, _hariwang_, _abunamai, 
   {{0x01db0017,0x3581005e,0xf3430026,0xc2900278}},	//   _majitelé_, _мәнилик_, _ongeval_, _wabak_, 
   {{0x525b01a4,0x66b900ae,0xae470279,0x228d027a}},	//   _etula_, _kikaziri, _semblera, _raskida_, 
   {{0x43f50092,0x7b040043,0x934301c4,0x27a20257}},	//   _実施形態の変形形, _amasaafa_, _ingeval_, _brauðris, 
   {{0x70b4027b,0x72900201,0x1291016b,0x63eb019d}},	//   _शुशुभे_, _rabak_, _bazai_, _choonjez, 
   {{0x22a600c7,0x2290026b,0x4ac90126,0x215b0092}},	//   _sember_, _bajar_, _пропоную, _じゃなくて_, 
   {{0x12900005,0x3fcd0144,0x329000a0,0xe3dc01a3}},	//   _pajas_, _chinnteo, _cajar_, _atiwa_, 
   {{0x9759010d,0xe455027c,0xaef700cb,0x7c5000e0}},	//   _निर्बंध_, _bendisaz, _гармихо_, _plechtic, 
   {{0x92900120,0xeae2027d,0xc740013d,0x42ea027e}},	//   _gabah_, _umetnost, _signifoj_, _tacnost_, 
   {{0x128801fb,0xac30009a,0x67ae002f,0x0640027f}},	//   _pesantem, _abasisis, _amutachi, _baciyami, 
   {{0x24a5004e,0x51690013,0x23dc0149,0xc0c6003a}},	// [120] _klinikal_, _мелодий_, _etiwa_, _millionl, 
   {{0x9e1c0218,0x60e40280,0x44650151,0xd9e301c0}},	//   _oragesta, _थ्रीडी_, _airwoman_, _godiyata_, 
   {{0xb283017e,0x68f60281,0xd2e801ad,0xe2900085}},	//   _מרידה_, _innarluu, _diliman_, _kabai_, 
   {{0x28c70184,0xa005007e,0x82e801da,0x42020282}},	//   _agatweng, _bhasmasā, _dominon_, _poriro_, 
   {{0x7f5700b3,0xd2780076,0xc5c601f9,0xc25a024c}},	//   _sungatyn, _jornal_, _atibhubh, _armla_, 
   {{0xf2900159,0x02fc0283,0x23cf0284,0x57e30061}},	//   _labai_, _demgya_, _slavie_, _과기대학은_, 
   {{0x3ae50285,0x227e006d,0x22870162,0x1e4200de}},	//   _itsembab, _zmones_, _пахтикар, _angabaza, 
   {{0x12e8022a,0x967a0188,0xb8560231,0x00000000}},	//   _hiliman_, _методӣ_, _mensibus_, --, 
   {{0x5c5b0286,0xd1730287,0x8e28020f,0x42e8008b}},	//   _waguare_, _उडीसा_, _bangayip, _kiliman_, 
   {{0xe89b0288,0xbaaa00b5,0xb1de0075,0x6f8001cd}},	//   _kamwarar_, _arevéta_, _tunnilsm, _масеҳӣ_, 
   {{0x92ba0168,0x8ba101b5,0x9255002b,0x131801f4}},	//   _koselig_, _hinhlayo_, _শার্শা_, _fanining_, 
   {{0x827f0289,0x02900005,0xc2900242,0x228e0166}},	//   _abanja_, _pajar_, _qabaq_, _richtet_, 
   {{0xa98b002e,0x59f9012f,0x2d120126,0x1278028a}},	//   _mlađi_, _kamarare, _добрий_, _raundi_, 
   {{0x3906028b,0x8c560243,0x7a61003e,0x00000000}},	//   _airamogu, _dattowe_, _артһын_, --, 
   {{0x7e4d0026,0xf35f0021,0x9c5c00d7,0x225a028c}},	//   _대학보고서_, _achecay_, _boltril_, _uuele_, 
   {{0xd2a7028d,0x96680092,0x1200028e,0x5d0d004d}},	//   _alabaz_, _百科事典で調べる, _yunien_, _在下載使用時必須, 
   {{0xa23d00f5,0x1140026c,0x9a01028f,0xb26e0290}},	// [130] _гөрүҗили, _accusato, _hunaonga_, _aprovo_, 
   {{0xb3f0017e,0x237801f1,0x90bc0291,0x4bf200d1}},	//   _corsetti_, _namazin_, _إيميلك_, _নাৰায়ণ_, 
   {{0xd97a00df,0x79c70145,0xa29200b3,0xf14f0287}},	//   _souhaite, _шагала_, _turany_, _आयोगलाई_, 
   {{0x340f0121,0x33ea00d9,0xee54010d,0x7c6a0061}},	//   _cargando_, _laite_, _ketagiha, _계획이라고_, 
   {{0x32f70243,0x981b0148,0x6c03003c,0xf0c00156}},	//   _arkiseh_, _台鐵網路訂票_, _رصدخانه_, _טערקישער_, 
   {{0xebea0029,0xe3410292,0x65f00142,0x00000000}},	//   _پلاتفۆرم, _ɛremma_, _chandāṃs, --, 
   {{0x0ed9000a,0xf2ca019a,0x9bb20293,0x52ca022b}},	//   _aalisarn, _beddin_, _abazimis, _keldan_, 
   {{0x50090244,0x0fa70181,0xa3950116,0x723700df}},	//   _занимава, _lasvegas_, _merse_, _trajet_, 
   {{0x9d760210,0x0320022b,0x00000000,0x00000000}},	//   _chamunop, _floytu_, --, --, 
   {{0x0320015e,0x5e6d0294,0x0a570295,0xc52b0296}},	//   _buscant_, _carcelma, _palemiaa_, _underläg, 
   {{0x6cef0039,0xa3ea0144,0x85c000d1,0x8661021c}},	//   _болдоггү, _daite_, _উদ্দীপদা, _optická_, 
   {{0x4200005b,0x00000000,0x00000000,0x00000000}},	//   _aojiru_, --, --, --, 
   {{0x12fc0270,0x13720195,0x8d1a01fd,0x430a0297}},	//   _feminas_, _armachd_, _reconoce_, _açalar_, 
   {{0xc3ce0074,0x37650148,0x99190060,0x025a006d}},	//   _halvin_, _邀請成為朋友_, _миналаға, _brolis_, 
   {{0xecbf0298,0x65b60177,0x4ad50299,0x684e0241}},	//   _tapatoru_, _сыҧсҭаза, _ئىقدىدار, _duroomsu, 
   {{0x02e2029a,0xf3a8029b,0x89f9020f,0x37360040}},	//   _andomaz_, _béppu_, _anyanise, _סימפסון_, 
   {{0x9c7d029c,0xd4e9018d,0x6743029d,0xa387029e}},	// [140] _akusowa_, _ስርሖያት_, _сурсэ_, _dabreg_, 
   {{0xd1b10024,0x0e670019,0xfb1b029f,0xf36402a0}},	//   _তাকেই_, _рахмат_, _zaplatiť_, _elegún_, 
   {{0x4da20029,0xd495004b,0x00000000,0x00000000}},	//   _ناچنه_, _гвардияһ, --, --, 
   {{0x639502a1,0x8c6e0084,0xe81c0109,0xc25a00fd}},	//   _ierse_, _acarana_, _cukrářsk, _polloi_, 
   {{0xab19021a,0x98fd0028,0xaf0b005e,0x13640258}},	//   _barataan_, _danahood, _ھەمسۆھبە, _hingjen_, 
   {{0x3e4602a2,0x7861019b,0xf5da0291,0x839502a3}},	//   _matangga, _aktoriau, _معظمهم_, _kerse_, 
   {{0x15290175,0x69f802a4,0x7b9a00e6,0xb4780041}},	//   _apropriy, _movablet, _社会事业类_, _ҟаҳамҵар, 
   {{0x8e170047,0x72910287,0xef0000da,0xaa6e0037}},	//   _中华人民共和国商, _mazat_, _редакцие_, _በብቸኝነት_, 
   {{0x70f502a5,0x927e00ef,0x72910080,0x62910278}},	//   _अप्रेल_, _acinga_, _niras_, _lazat_, 
   {{0xfc84007b,0x3dbd0282,0x94bf0160,0xe77201ee}},	//   _interred_, _kahakore_, _slovačko, _пурăнака, 
   {{0x3dc50291,0xb68101c9,0xfa8e001e,0xe35e02a6}},	//   _ابراج_, _सईयां_, _kwanakin_, _confusi_, 
   {{0xe398018d,0x72b80093,0x12fb00bc,0x9bf102a7}},	//   _ሰለስቲኡ_, _саратовс, _bathara_, _raitsits, 
   {{0x116f0089,0x726e00a4,0xe27e00ef,0x00000000}},	//   _cimergän_, _imposa_, _ecinga_, --, 
   {{0xe80b01db,0xd2b50017,0xb29100a1,0x23ea0050}},	//   _ءتاۋىپتى_, _desce_, _pirau_, _waktos_, 
   {{0xd159014a,0x5380028f,0x029101f7,0xf00b014e}},	//   _ہوشیار_, _ahurei_, _virat_, _спасе_, 
   {{0xe25a0003,0xa29000e4,0x1ea50249,0x22cb011f}},	//   _stelt_, _jakaś_, _jenuware_, _evedoo_, 
   {{0x2ede0089,0x83bc00bc,0x2c290037,0x4e4602a2}},	// [150] _нинди_, _الانم_, _ሊበራሊዝም_, _natangga, 
   {{0x81550162,0x308a00ff,0xe61d00f2,0x436502a8}},	//   _ناتونۇش_, _אינדאסטר, _nenotici, _disgħa_, 
   {{0xc2000053,0x9be40038,0xa19a005e,0xc3dd0116}},	//   _hunian_, _waşingto, _پىنيىن_, _chawed_, 
   {{0xa3ea0184,0x1bd102a9,0xc3eb02a6,0xba9100a9}},	//   _agati_, _klientų_, _oretta_, _karisimb, 
   {{0x33dc019c,0x3d7a0258,0x00000000,0x00000000}},	//   _awawi_, _hiemside_, --, --, 
   {{0xd291017e,0x037300ac,0x290b026f,0x3fc302aa}},	//   _diras_, _zadatke_, _الجىعاند, _dokonalo, 
   {{0x225b02ab,0x08cc02ac,0xa13102ad,0xa2470274}},	//   _ntule_, _لقبيلة_, _zviditel, _fallegri_, 
   {{0x553c0278,0xd25b0129,0x4fb200d6,0x39990074}},	//   _sekirany, _itule_, _هداوه_, _антенны_, 
   {{0x89120163,0xd3d0018b,0xde960123,0x01e10153}},	//   _fanatiku, _меканизм_, _letteste_, _おすすめの関連商, 
   {{0x1ad80229,0x89e302a4,0x0291001e,0x9b1900ad}},	//   _filminin_, _fratribu, _hirar_, _rarasaan_, 
   {{0xafc2028a,0xb19f0132,0xf249028c,0xf4ad0065}},	//   _بارود_, _استقبالی, _teemat_, _vollstän, 
   {{0xa2010087,0xe1d102ae,0x4c6d004c,0x62000115}},	//   _anyika_, _doručak_, _abirina_, _bunian_, 
   {{0xa29100ce,0xde9f0226,0x053a01ed,0xa3450258}},	//   _pirat_, _adamuzun, _hoopoino_, _mindert_, 
   {{0x2f320072,0x628c02af,0x3dc3020e,0x929000f2}},	//   _ikirasip, _arekura_, _fanitjha, _allaž_, 
   {{0xee5101ef,0xe5d302b0,0xe291021e,0xd55102b1}},	//   _patarima, _manchmal_, _firar_, _bishiyoy, 
   {{0x834902b2,0x5c7a015e,0xb27e00bd,0x3202001d}},	//   _героїв_, _بۇياعىنا, _coonts_, _morito_, 
   {{0x525b002a,0xef7d02b3,0xe9ec002b,0x49cb02b4}},	// [160] _atule_, _ámbalas_, _রহিমা_, _kulesaye, 
   {{0xbb9f02b5,0x26630017,0x434f0042,0xc4fa02b6}},	//   _ngozlozs, _पोलिटब्य, _comecei_, _роликтың_, 
   {{0x827f02b7,0x329102b1,0xaa9102b8,0x00000000}},	//   _mbanna_, _kirar_, _karirimb, --, 
   {{0x9b2a006c,0x773102b9,0x7d070094,0xd14700bf}},	//   _ababesab, _پھنسی_, _артисі_, _рашида_, 
   {{0xc46e0217,0x194c0187,0x79c702ba,0xe38a02bb}},	//   _fardello_, _потрошув, _дарачае_, _górna_, 
   {{0xfe6b00a2,0xc2d80074,0x45c80285,0x04f101db}},	//   _حيسڪو_, _videon_, _ushakish, _ورلەۋدەي_, 
   {{0x139602bc,0x62dd02bd,0x72aa012e,0x976401f4}},	//   _narsaw_, _goroesi_, _اریتریا_, _kelishig, 
   {{0xae4602be,0xc25b01bb,0xfb360156,0x0bca00d1}},	//   _tatangga, _daglar_, _בייעסד_, _কেন্দ্ৰব, 
   {{0x23dc02bf,0xca5a0188,0xe667027b,0x83180155}},	//   _atiwe_, _нобиноён_, _रेफस्य_, _socialtj, 
   {{0x0b5e02c0,0x77420240,0x834100b3,0x90ac0079}},	//   _храна_, _johnsonv, _koreýa_, _nemaksāj, 
   {{0xc1fd012b,0xdce80177,0xdc5002ac,0x1a9102c1}},	//   _tematach_, _ишәыднаг, _síciatra, _baririmb, 
   {{0x92910217,0x531c02c2,0xe2920008,0xa29102c3}},	//   _piras_, _verbaas_, _agradi_, _odchody_, 
   {{0x4c080013,0x731802c4,0xf290001c,0x8a4200ba}},	//   _قوتاردی_, _западнат, _aabat_, _زێکیت_, 
   {{0x229002c5,0x87c70141,0xc2d80065,0xebe00148}},	//   _sabau_, _масиҳий_, _andern_, _obtemper, 
   {{0x645a02b6,0x525601db,0x5d520061,0xff2002c6}},	//   _айырылад, _سۇيتسەم_, _결정짓는가_, _divelfen, 
   {{0xd0150212,0xcb4400ff,0xa90901cd,0x646602c7}},	//   _muiderpo, _מעכאניזם_, _мехарад_, _rundfunk, 
   {{0x53b00044,0x8ccb00be,0x69bb0257,0x00000000}},	// [170] _בממוצע_, _بئيىكە_, _ómenntað_, --, 
   {{0x42900082,0x09cd0212,0xfd9a0028,0xd30f003d}},	//   _gabas_, _norewrit, _danowada, _apraiar_, 
   {{0x975900e4,0x062b01ef,0x862c02c8,0x3b2000cb}},	//   _मित्रवत_, _susitari, _arbitrax, _bababamb, 
   {{0xd2da02c9,0x972102ca,0x83050262,0x57c702cb}},	//   _cateva_, _riarachá, _гыргын_, _napravim_, 
   {{0xf2e7019e,0xc29100a6,0x4b670035,0x00000000}},	//   _kainavo_, _eiraq_, _кабере_, --, 
   {{0xd33d00ba,0x22c50195,0x4d9c01b5,0x00000000}},	//   _ئیزاک_, _fhillte_, _matekele_, --, 
   {{0x12900030,0x827300e6,0xc2e90155,0xd7dc0055}},	//   _dabas_, _提高企业经济效益_, _bebisen_, _abbastav, 
   {{0xe2910140,0xc27f0011,0x4a6500bb,0x00000000}},	//   _hirap_, _abanna_, _تھکاوٹ_, --, 
   {{0x96cd0183,0x285a0190,0xadc602cc,0x12910249}},	//   _mampalah, _entrails_, _drakidra, _kirap_, 
   {{0x684a018d,0xe25b02cd,0x4860018a,0xe36902ce}},	//   _ቅዋማውን_, _kwalen_, _ariannir_, _lengser_, 
   {{0x429001af,0x61b0014a,0xd5f5018d,0xad290203}},	//   _habar_, _زرمبادلہ_, _ፖለቲከኛታትን_, _sibilant_, 
   {{0xf5f900da,0x12900250,0x250a02cf,0x32a702d0}},	//   _декатэ_, _tokave_, _certinho_, _neebor_, 
   {{0x12900117,0x528e00d5,0xf29002c2,0x3b730156}},	//   _sabat_, _apostoly_, _babas_, _לעזביאַנ, 
   {{0xf3f802d1,0x9ebe02d2,0x709602d3,0x22480272}},	//   _khaus_, _esandlen, _членовит, _akomya_, 
   {{0xb5b401bc,0x030d012c,0xf29000c7,0x63b60235}},	//   _sympatyk, _kumbuka_, _qabat_, _asevata_, 
   {{0x23780082,0xd2fd02d4,0x8ae600bf,0x50f60156}},	//   _zamanin_, _adegna_, _стеклопо, _עבֿירות_, 
   {{0x329000b0,0x7f3902d5,0x12900255,0x55110076}},	// [180] _gabar_, _बालिवुड_, _tabas_, _sorrindo_, 
   {{0x827a0061,0x38410126,0x4d86003c,0x818f0243}},	//   _persoonl, _екологія_, _anglampa, _manannay_, 
   {{0x475001b2,0x8dc80025,0x39c702d6,0x560602d7}},	//   _counterv, _उद्यानं_, _далалар_, _harmónic, 
   {{0x427800a9,0x26c600ad,0xb9790177,0xc52c00ba}},	//   _ubundi_, _kapanggi, _рартистк, _ناشێت_, 
   {{0xd6b7012b,0x629002d8,0xdc5202d9,0x375902bb}},	//   _obserwow, _jabar_, _amatala_, _दिर्हाम_, 
   {{0x0290022f,0x512d0076,0x1dbc02da,0xd29102db}},	//   _dabar_, _расте_, _картичка_, _girap_, 
   {{0xd31a0040,0x8d230018,0x00000000,0x00000000}},	//   _dividing_, _torocake_, --, --, 
   {{0xf3f101e8,0x2291009b,0xe73001ec,0x82d80261}},	//   _layering_, _garai_, _میدانید_, _acheti_, 
   {{0x392c0060,0x358000e6,0x44f40299,0xf16f00d1}},	//   _تارتىمدى_, _上海市卫生局_, _تىرشچانل, _শিলপূজা_, 
   {{0x326c02dc,0x3ae60105,0x2fb301f4,0xb60201f4}},	//   _lemos_, _एव्यूज_, _mustahab_, _adolatsi, 
   {{0x31ef0024,0x099a02dd,0x629002b1,0xd291022f}},	//   _উন্মুক্ত, _albaniża_, _zabar_, _barai_, 
   {{0xe2900247,0xe40702de,0x63ea0176,0xca7600cb}},	//   _babar_, _महादशा_, _saita_, _авиатсио, 
   {{0x33ea01a7,0xc2830268,0xf29002df,0xda380122}},	//   _paita_, _ailstray_, _cabar_, _تونستی_, 
   {{0xe29102a8,0xa2c200b3,0xda7d0039,0xa34902e0}},	//   _tarah_, _adalata_, _sinadura_, _disenyi_, 
   {{0x227202e1,0x129102c5,0x88430079,0x7292001d}},	//   _محافظة_, _farai_, _partijas_, _karavi_, 
   {{0xa5020148,0x41240071,0x02d802e2,0x8c1500d3}},	//   _空想科學大戰_, _گنجينه_, _ashely_, _राज्यशक्, 
   {{0x8297018f,0xae39027f,0x47a200d1,0x4291006e}},	// [190] _blogalác, _bakarara, _বজালৈ_, _karaw_, 
   {{0x7291001a,0x8e0002e3,0x11fa0160,0x329102e4}},	//   _hazai_, _landtoda, _radnicim, _jaraw_, 
   {{0x92e9015b,0x625b02ab,0x327202e5,0x72ad023e}},	//   _didiman_, _ntuli_, _claronil, _دلمان_, 
   {{0x3c180145,0x031402e6,0x529102e7,0x3625009f}},	//   _dizainer, _henblik_, _laraw_, _radovlji, 
   {{0xc29102e8,0x4290003a,0x23bb0128,0xb6af01aa}},	//   _mazai_, _xabar_, _اسمار_, _enteredw, 
   {{0xf26c02e9,0x227e029c,0x42240238,0xa4060024}},	//   _hemos_, _imene_, _справ_, _প্ৰজন্মৰ_, 
   {{0xd0e700a6,0xe6f60094,0xe2e50153,0x00890119}},	//   _achithel, _بارلعىن_, _うううううううう, _niechano, 
   {{0x12ca02dd,0x531202b9,0xb26d00da,0x00000000}},	//   _cahda_, _robbant_, _divort_, --, 
   {{0x83bf0148,0x344d010f,0xfa62015e,0xf3f80277}},	//   _個股資料首度公開_, _корношоя, _алгылары_, _maiuli_, 
   {{0x0bd602ea,0x18d702eb,0xdc5a002e,0x725b000b}},	//   _permesso_, _витафит_, _šetnji_, _otuli_, 
   {{0xe24102da,0x1d3c00aa,0xb2910282,0x2680000d}},	//   _дестинац, _klondike_, _parai_, _लिपाई_, 
   {{0x76c60084,0x642002ec,0x004d00bb,0x8d9e02ed}},	//   _papanggi, _garanayo_, _الٹرا_, _abondosa, 
   {{0xd29002ee,0x318900ed,0x4ca802ef,0xe3ea0204}},	//   _qabar_, _finaworl, _detektè_, _maito_, 
   {{0xcb8d0163,0x1a1e0013,0x02aa0053,0x22910085}},	//   _وزارتوں_, _битим_, _उद्देशून_, _warai_, 
   {{0x527f02f0,0xe7de00da,0xa29202b3,0xb2870291}},	//   _ejenyi_, _campioni, _españ_, _تعتذر_, 
   {{0x69af0037,0x596502a5,0x592300b9,0x326c02a4}},	//   _በመደወል_, _stupňů_, _सिंहासना, _memor_, 
   {{0xa1d201d8,0x7ae0003e,0x226c028d,0xd25b01a4}},	// [1a0] _solemnly_, _badulase, _lemor_, _etuli_, 
   {{0x498a00c7,0xfdf90211,0x9d3800c7,0x98fb0064}},	//   _sanın_, _преодоле, _кадырова, _malaurad, 
   {{0xb26c02f1,0xc3ea005b,0xf9a700c5,0xba7e00f3}},	//   _temos_, _kaito_, _如对稿件内容有疑, _hlolisis, 
   {{0x9d2c00da,0xc29101fe,0x7ebc0046,0x12cf013b}},	//   _subiecte_, _qarai_, _obesitat_, _sadowne_, 
   {{0x33010061,0xf3f402f2,0x1410012a,0x53ea0176}},	//   _피임효과가_, _listos_, _bogactwo_, _daito_, 
   {{0xed5f0156,0xca220244,0xdca202f3,0x5b790145}},	//   _עמדין_, _строи_, _körning_, _gaminių_, 
   {{0x92900163,0x0291025b,0x2b6e0087,0x00000000}},	//   _abban_, _harav_, _kwetsima_, --, 
   {{0xd292026a,0xf3ea005b,0x7c5d02f4,0xf3eb0102}},	//   _qaravi_, _naito_, _vistazo_, _atetea_, 
   {{0x429101fe,0x16430074,0x1bc101db,0xd26c02f5}},	//   _marau_, _musiikki, _ءﭘﯩﺸﯩﻦ_, _vemos_, 
   {{0x629002f6,0xfbdc02f7,0x348f02f8,0x07e300fc}},	//   _sabay_, _barweets, _hanganak, _didatahv, 
   {{0x69690113,0x77400043,0xb3eb02f9,0x648f0010}},	//   _finnéith, _bakolang, _kretwa_, _kanganak, 
   {{0xa66f01d5,0x627802fa,0xeaf70039,0xf20f00be}},	//   _کوالٹی_, _abunzi_, _далдын_, _كوپلىت_, 
   {{0xa3dc0050,0xdc5a0286,0x436a002b,0x89e901f1}},	//   _atawa_, _abotiri_, _অনুষ্টিত_, _pergatit, 
   {{0x026d0203,0x225b0095,0x826c01f4,0x8d2b0274}},	//   _sinistri_, _ndandosi_, _bemor_, _opinbert_, 
   {{0x73ea02fb,0x26a50091,0x1b7702fc,0x82fd00c5}},	//   _faito_, _oktuktah, _akarenga_, _racines_, 
   {{0x34ef0192,0xc2d802fd,0xa278020f,0x00000000}},	//   _관련사이트_, _didean_, _ebunzi_, --, 
   {{0xe0a30148,0x82e90067,0xb2910145,0x435f02fe}},	// [1b0] _最高出價者_, _bitimaa_, _darau_, _مزاکره_, 
   {{0x3a6a0066,0xe2910191,0x0f2b02ff,0x00000000}},	//   _харамсал, _varav_, _lestonma, --, 
   {{0x96820255,0xa8e9027f,0x3ca10024,0xf387013b}},	//   _भुलाई_, _arashing, _যাত্ৰীবা, _pogram_, 
   {{0xd3f90300,0xcdad0064,0x4ca100d1,0x826c0064}},	//   _nebudu_, _гүлнара_, _যাত্ৰীভা, _remor_, 
   {{0xbc620140,0x32910262,0x52920216,0x1b1a0082}},	//   _lipunan_, _abzal_, _karati_, _gazawars, 
   {{0x67cc0026,0x9c5f0301,0x56e702eb,0xfe5c00ca}},	//   _노튼주니어_, _unutdum_, _файлыг_, _probabla, 
   {{0xd3200273,0xa60701cd,0xea870126,0x926c0080}},	//   _apoyo_, _такдири_, _бахчисар, _demoq_, 
   {{0x2a870302,0xa2910235,0x9bfd0303,0x0395017f}},	//   _amazwibe, _carau_, _lemorago_, _igasak_, 
   {{0x229101b9,0x72e90304,0x3deb0305,0xe07f0145}},	//   _larat_, _didikan_, _bakkebø_, _вопратку_, 
   {{0xc9da0177,0xfa02000e,0x304c020a,0xc2d501c0}},	//   _аспектқә, _sambahsa_, _сарсенов_, _horonsa_, 
   {{0xe3dc0107,0xfc9d0037,0x229002cd,0x2bbf0306}},	//   _utawa_, _peneraju_, _bokaye_, _chérifie, 
   {{0xf2e70307,0x28020128,0xee0f01a3,0x9ecf0308}},	//   _asinawo_, _сноуденд, _وڌيڪَ_, _diintern, 
   {{0x4c170145,0x7df50309,0x5aee00a3,0x8387030a}},	//   _buhalter, _davudoğl, _fosterhe, _medrar_, 
   {{0x9d85030b,0xb4190064,0x82910119,0x57d901f6}},	//   _makerere_, _кескен_, _aarau_, _সাহিত্যত_, 
   {{0x5aee00ca,0xd26c0220,0x6292006e,0x9586029e}},	//   _vandalis, _sportell, _desatu_, _barregez, 
   {{0xf7d6030c,0x867f0060,0x135400e3,0xde46030d}},	//   _pimaklug, _اساتار_, _assedju_, _camaatda, 
   {{0x22dc02db,0xb6b402bf,0x71dc01d1,0x71ee0243}},	// [1c0] _assembli_, _ahlukuny, _assembly_, _tangaluh_, 
   {{0x39ad030e,0x93ea0063,0xb2da0085,0x5a7d02b6}},	//   _تجربو_, _caite_, _sipeni_, _манчетти_, 
   {{0xd29100b6,0xb291030f,0xe3af02f3,0x720100cf}},	//   _garat_, _tarau_, _undantag_, _asrii_, 
   {{0xe292003a,0xe96c01e9,0x22300226,0x828e02ac}},	//   _kurash_, _bodiphat, _amamera_, _وصوله_, 
   {{0xb20e0056,0x52d80310,0xeb180311,0x048c0312}},	//   _тараф_, _ailein_, _ተነጺሎም_, _drugarek, 
   {{0xfdcd0152,0xad3c005e,0x64e90161,0x5a470313}},	//   _солдатла, _ﮬﺎﻟﻪﺗﺘﻪ_, _участках_, _malengpa_, 
   {{0x541d02c2,0xd99d0314,0x46cf00b6,0xb29101a6}},	//   _verstaan_, _намыҫ_, _kalaanam_, _kūkupa_, 
   {{0x5c89013c,0xe4960315,0x0a740039,0xf320018a}},	//   _bildirmə, _angahluk, _менежери, _fynych_, 
   {{0x5291006e,0x83ea0288,0xa2260017,0x32910316}},	//   _waral_, _baite_, _poukaz_, _daram_, 
   {{0xc1bc00da,0xf3f40064,0xda850317,0xc3ea028b}},	//   _дистинже_, _vistes_, _anoniman_, _jaate_, 
   {{0x42b6012f,0x328c01d2,0x5291029b,0x842f02f9}},	//   _frucht_, _cacahuam, _faram_, _maspinen_, 
   {{0xd2910025,0xd00d01e6,0x04d70188,0xdedb0073}},	//   _naram_, _propagač, _шаҳлои_, _scriptos_, 
   {{0x2b670013,0x0bda01aa,0xa4b4000d,0x6ea00224}},	//   _وبرکه_, _ackwardb, _कत्तहु_, _septembe_, 
   {{0x83170045,0xcc1601b1,0xcc2c00bf,0x57030061}},	//   _тренера_, _मुद्रास्, _головокр, _네트워크를_, 
   {{0x074400da,0xa8d1027b,0xcb060203,0x6c7c0258}},	//   _цэранило, _मासषोडशय, _reprocha_, _learaar_, 
   {{0x20f5006b,0x6fd80040,0x6ca7018e,0xa3ea0318}},	//   _अप्रिल_, _מעריצים_, _eliyezer, _haate_, 
   {{0x8b950319,0xb598015e,0xb25b031a,0xe65c00de}},	// [1d0] _অভিজ্ঞতা_, _recordem_, _cealso_, _awayenay, 
   {{0x2f38031b,0xedbf018d,0xfae202fd,0x1a89031c}},	//   _क्रिकेट_, _ንተጋዳላይ_, _cuileinn_, _empiezan_, 
   {{0xa85f0054,0x354a031d,0x00000000,0x00000000}},	//   _mujallar_, _bisheydy, --, --, 
   {{0xbc0b005d,0x1c8e031e,0x1f600198,0x6c820140}},	//   _amasíy_, _podržava_, _napajaln, _kimerald_, 
   {{0xe47b0287,0xe6b9012c,0x392e0063,0x00000000}},	//   _seminář_, _makadiri, _مثلثات_, --, 
   {{0x2c20031f,0xe29100a4,0x96a3004d,0xf2dd018d}},	//   _læringsm, _paral_, _優質服務標準_, _ኣፍቅደለይ_, 
   {{0xb2480320,0xa50200d6,0x93ea0144,0x82910077}},	//   _akomba_, _bunleibh, _raite_, _laraj_, 
   {{0xa3ea0030,0xafa90148,0x22910278,0x52ea02f2}},	//   _saite_, _課程改革及調整前, _faraj_, _prendas_, 
   {{0x91d10268,0x6b1800ce,0xab2d0095,0x826200ec}},	//   _acredsay_, _regardan_, _balbalan_, _aplinkui_, 
   {{0xba4101b7,0x03690168,0x0a830321,0x37f50217}},	//   _सानुबन्ध, _mengder_, _odličen_, _inscibev, 
   {{0x3c200215,0xb53902fa,0x3a7e0322,0x1387020a}},	//   _næringsl, _bagilish, _babahora_, _руханилы, 
   {{0xd37c012a,0xee4002af,0x57280092,0x496d02e4}},	//   _zawarte_, _basamaye_, _と異なっている_, _disinjat, 
   {{0xbc1e018d,0xeb30004a,0x00000000,0x00000000}},	//   _መንግስቲን_, _герое_, --, --, 
   {{0x637c00e1,0x5c7d007b,0xc291018b,0xf2490323}},	//   _cawarte_, _blessin_, _bazat_, _hatma_, 
   {{0x8291006e,0xf529016d,0x3c7c0144,0x4a6c0128}},	//   _yaram_, _байлиқла, _seisean_, _ялтир_, 
   {{0x02910243,0x628500e4,0x9291028d,0x170f0095}},	//   _qaram_, _अभ्यारण्, _larak_, _ممیزی_, 
   {{0xc25a0324,0x900600e6,0x53550325,0x2c60022c}},	// [1e0] _asele_, _中国石油天然气股, _beledir_, _buyutna_, 
   {{0xce450326,0xf3880096,0x8b250064,0x5fa50327}},	//   _achaunga, _abayaya_, _мурасы_, _strekker_, 
   {{0xdb770328,0xc76d0255,0x0e330329,0x827e0045}},	//   _akaranga_, _बन्धा_, _langazma, _smena_, 
   {{0x252a0188,0x5866032a,0xe291011d,0x2bd7032b}},	//   _abanesih, _alcoakku, _baraj_, _ئوپراتور_, 
   {{0x76b602e0,0xbb9e02c9,0x7b1200d1,0x42910256}},	//   _dumelelw, _lichidar, _নব্বৈ_, _kazas_, 
   {{0xb46801bd,0x156902ce,0x32c2003d,0xf2d60265}},	//   _ءبىركۇن_, _ngawengk, _avalida_, _verlost_, 
   {{0xf291007e,0xa2910120,0xa631011d,0x048b0143}},	//   _param_, _marak_, _petrolul_, _стилна_, 
   {{0xc6610052,0x229102a7,0xe25b015c,0x2a6c00af}},	//   _परास्त_, _earak_, _stull_, _живопису_, 
   {{0xcea400a4,0x29ca0035,0x1567010f,0x73c700be}},	//   _novetats_, _sıltama_, _тиллои_, _алдыбызд, 
   {{0x9b6e02ea,0xf31b0025,0x0f5c032c,0xbc800185}},	//   _cartella_, _apsarā_, _allaninn, _телең_, 
   {{0x100301b6,0x57400222,0x02910262,0x2c600294}},	//   _הנמען_, _accompag, _hazar_, _achuwan_, 
   {{0x52cb01c2,0x9d8f000e,0x00000000,0x00000000}},	//   _acadou_, _risotera, --, --, 
   {{0xe237032d,0xb18f032e,0x1fdc032f,0x1b6d02d5}},	//   _arajwe_, _manqanak_, _cachorro, _तहिना_, 
   {{0xc2910005,0xf2800139,0x64cf004d,0xaaf40147}},	//   _cazas_, _anindā_, _依照消費者保護法, _dissabte, 
   {{0xb3dc00a9,0xa3690247,0x129101f4,0x73100100}},	//   _ntawe_, _tengger_, _darak_, _kaznenog_, 
   {{0x52790330,0x6d86003e,0x48600258,0x08d90331}},	//   _hamanirm, _basentse_, _schotanu, _tilgongd, 
   {{0xcdf9008d,0xd2910332,0xc8550247,0xec650333}},	// [1f0] _термаси_, _tazas_, _مگاوات_, _bartulu_, 
   {{0x13ea0165,0xa36f02f3,0x98d90094,0x2dcd0130}},	//   _naita_, _fingret_, _ғайбатта, _euskarat_, 
   {{0x6aa7015e,0xd2d70094,0x038f0334,0x227e02e4}},	//   _манасты_, _باقتتى_, _banyana_, _emmnu_, 
   {{0x03a90037,0x54120095,0x21440307,0x6e1a0092}},	//   _ተግባራቸውን_, _mbenakak, _babenjal, _少年マガジンコミ, 
   {{0x9e720335,0x9f4f012d,0x00000000,0x00000000}},	//   _आगत्य_, _konggres_, --, --, 
   {{0xc2b20200,0x96680223,0x8d3a0030,0x19ec0336}},	//   _iwedata_, _альбумин, _filiāles_, _ingebjør, 
   {{0x5b850021,0x37f10092,0xf01701de,0x00000000}},	//   _abbinggr, _この商品のカスタ, _лаңкес_, --, 
   {{0xb2e80337,0x327e00e9,0xf3ea0074,0x9e3c0338}},	//   _içinde_, _amenn_, _laita_, _tableros_, 
   {{0x329001fc,0x82000339,0x82ea02c8,0xa098003c}},	//   _abbah_, _ihiihi_, _quendas_, _پنسیلوان, 
   {{0x1c600057,0xc29102df,0x78d50053,0x439400e3}},	//   _mahukan_, _barah_, _मानसोपचा, _bojsi_, 
   {{0xe96b0166,0xf1c50073,0xb9cb00e2,0xbae902d8}},	//   _meinunge, _formicam, _fellinga_, _तत्वावर_, 
   {{0xe5fc0254,0xf628033a,0x615001c8,0xf2e00086}},	//   _selecció, _rikonoxx, _hydroizo, _elindul_, 
   {{0x43ea002c,0xdd74019e,0xebfd033b,0x9c80018b}},	//   _baita_, _пустым_, _lemogago_, _мереу_, 
   {{0x5f25033c,0xf8e8018d,0x4c43033d,0x6744021c}},	//   _offerynn, _ጸምቢሎማ_, _béthie_, _oranžový, 
   {{0xd51000c5,0x6a5c033e,0xe37a0067,0x2a000163}},	//   _出口许可证管理分, _araóna_, _baqatan_, _javasolt, 
   {{0x22c3014e,0xf2d80151,0xc2910175,0xf6a50162}},	//   _користи_, _afield_, _tazar_, _туралғу_, 
   {{0x83ea033f,0x42910057,0xc2fc005b,0x83ce0325}},	// [200] _faita_, _zarah_, _agmgwa_, _anivle_, 
   {{0x32910340,0x1254010d,0xc389005b,0xb78900c7}},	//   _harai_, _श्रेयस_, _amoyamo_, _даирәсен, 
   {{0x6291011f,0xaa550059,0x00000000,0x00000000}},	//   _karai_, _federica_, --, --, 
   {{0x12910341,0xcc93016d,0x00000000,0x00000000}},	//   _yazar_, _تامام_, --, --, 
   {{0x73f40342,0x4f520343,0xc2c400bc,0x5c000204}},	//   _jistis_, _amapalit_, _nyambut_, _hauskat_, 
   {{0xbe950276,0xa2f7010d,0xbcb9015e,0x3194004d}},	//   _кубаниң_, _arsitek_, _abraçada_, _不講比較對象車種, 
   {{0x93f80318,0x2163023d,0x029000ce,0x66520344}},	//   _akauu_, _istruzio, _labaz_, _ajukkugi, 
   {{0x8af401f9,0x97540345,0x00000000,0x00000000}},	//   _bahlukun_, _genética_, --, --, 
   {{0x947b0273,0x32fe0185,0x97e301cd,0x00000000}},	//   _campeón_, _bibinur_, _ботинии_, --, 
   {{0x50c30207,0x7d8b019f,0x83f10179,0xb64a018d}},	//   _مدرسا_, _halmasha, _genealog_, _ኣፍረይቲ_, 
   {{0x73f40346,0x595b01e4,0x63400347,0x04b20348}},	//   _zistis_, _जीवनभर_, _sakeman_, _bakatikk, 
   {{0xecb10029,0x43810014,0x4b8f0349,0x5562034a}},	//   _زمانێک_, _arrijnë_, _ansistor, _antolóxi, 
   {{0xf27e004f,0xfacb0012,0xdb1a01c0,0x00000000}},	//   _coonab_, _पादरीया_, _dabarars, --, 
   {{0x3f890205,0x43950220,0x3b68007b,0x5cf900ba}},	//   _берамиз_, _borse_, _affectin_, _مێزۆپۆتا, 
   {{0x4295019a,0x91f5022f,0xe06200e4,0xc3ea019d}},	//   _polanski_, _суровая_, _zrealizo, _izitu_, 
   {{0xd2e3034b,0xa2a60080,0x3add00d0,0x04b5034c}},	//   _filipae_, _alibak_, _martitze, _илбашы_, 
   {{0xd166010c,0xf75c034d,0x52910140,0xfdb90039}},	// [210] _प्रतिबंध_, _kehilang, _sarap_, _кардашья, 
   {{0x1983004a,0x5d3a034e,0x8dee034f,0xbd8e0350}},	//   _элеккеге_, _casarasq, _candelwa, _ማስተጋባት_, 
   {{0x29e6016e,0x32910135,0x34b502b6,0xe23600d3}},	//   _durumund, _qarap_, _алдады_, _prijde_, 
   {{0x5f2d02f6,0x1c750109,0x900601cc,0x627700e7}},	//   _kahuluga, _दोब्बर_, _bhasmarā, _argaretm, 
   {{0xbadb00c1,0x8dbd027b,0x7ab70351,0xec1d0064}},	//   _मॅकरिची_, _पीड्यमान, _авракăш_, _arquebis, 
   {{0x62910262,0x885801bb,0xd1f00126,0x0afa019b}},	//   _tarap_, _alyarlar_, _обіцяє_, _siandien_, 
   {{0xc99500e6,0x9ec60237,0xd15600d6,0x5b55020f}},	//   _农用地转用和土地, _verzocht_, _سارونه_, _ekumodar, 
   {{0xa29002f6,0xcc200352,0x16a000dd,0xf6970347}},	//   _gabay_, _næringsu, _chrefftw, _sekondêr, 
   {{0xd2b7019b,0x42d90013,0xc34b0035,0x00000000}},	//   _другім_, _bahodir_, _икәнсез_, --, 
   {{0x374a0353,0xf4230354,0xa4340212,0xe25b0355}},	//   _upozorni, _گرامماتى, _diapason_, _krule_, 
   {{0xdbda0046,0x529000c7,0x23200203,0x52b901b0}},	//   _базарынд, _babay_, _marchat_, _beledug_, 
   {{0xa25b030b,0x420002be,0x23ea0255,0xe2b50256}},	//   _kuulo_, _ganito_, _saata_, _piecus_, 
   {{0x5f96031f,0xdb6e0204,0xd2bc01dd,0x64d40109}},	//   _studerer_, _kartalla_, _akadomo_, _जनजिवन_, 
   {{0x59e30356,0x82260274,0x23950014,0xfa4001ee}},	//   _fotonaka_, _merkta_, _porse_, _официала, 
   {{0xa27e019d,0x32b40176,0x32fe026c,0x540b0096}},	//   _amene_, _cocco_, _viribus_, _bahimbaz, 
   {{0x6d8c02dd,0xa3b80100,0x22fc0067,0x2625005e}},	//   _རྒྱོབ_, _pohvalu_, _aliinis_, _ﺳﻪﻟﻠﻪﻟﻼﻫ, 
   {{0x83f00340,0x6e1a0048,0x32ea0032,0xe7b40265}},	// [220] _taurangi_, _abafirip, _dadisqo_, _tekening, 
   {{0xebf7034a,0x2e950040,0x4d8400ff,0x8e950040}},	//   _desemboc, _מוסרי_, _אנטדעקט_, _מוקרן_, 
   {{0xa26e0255,0xa2ca020b,0x00000000,0x00000000}},	//   _parool_, _molekodi_, --, --, 
   {{0x3c840094,0x125b02ec,0x125a0044,0x71570012}},	//   _بىرىنشىس, _buulo_, _fuels_, _नहेलाक_, 
   {{0x42c20196,0x4169033c,0x8e380357,0x236b013f}},	//   _ndalama_, _pennaeth_, _lawakita, _arigrap_, 
   {{0xc23600e5,0x4e3d0128,0x160d0155,0x7d05030d}},	//   _beijos_, _долларга, _pålitlig, _casuslar, 
   {{0x877f0192,0xc1630040,0xb40d019c,0x9aeb017e}},	//   _서울대학교_, _humidity_, _iporogan_, _asertant, 
   {{0x9c5a023d,0x037c0358,0xd7250156,0x41ca00d1}},	//   _ipotesi_, _antanke_, _חוֹדש_, _পাছফালে_, 
   {{0x32da0264,0x13dc00f9,0xb2df0013,0xfb4a010c}},	//   _matera_, _ariwe_, _kamolot_, _दृष्टिही, 
   {{0x751002b7,0xbf2d001c,0x22da02a4,0x02360359}},	//   _sarrango_, _kahubuga, _latera_, _krijst_, 
   {{0xc3b60348,0x8b9d0021,0xceb10059,0x5b00011b}},	//   _abavuma_, _actisepr, _spostare_, _mozindó_, 
   {{0xd2da005c,0x51f20176,0xc68f000f,0x83050276}},	//   _gatera_, _pranayam, _inceledi, _ئوسال_, 
   {{0xc2400163,0x1aee00fa,0x096e00e3,0x8465011f}},	//   _menedzsm, _bandalis, _gabillot, _jetepyso_, 
   {{0xb51002b7,0x38c00287,0xdad8002e,0x05b00017}},	//   _warrango_, _मालपोत_, _pošalje_, _pákistán, 
   {{0x061002ee,0x8510035a,0x12da035b,0x7c20035c}},	//   _tajlandi, _tarrango_, _katera_, _læringsr, 
   {{0x9d8501d9,0x2ff0032d,0x00000000,0x00000000}},	//   _jidderee_, _беткә_, --, --, 
   {{0x22e202e7,0x0e420253,0x3d9a020f,0xf2ca0022}},	// [230] _kalidad_, _qulaanut_, _akanakwa, _bolekodi_, 
   {{0xa413023b,0x9c0e033c,0x8d3d00af,0xf21c035d}},	//   _kaunakak, _digonedd_, _itromsø_, _neshto_, 
   {{0x0897034f,0x1e9e01d5,0xcd810258,0xd27e00e1}},	//   _خرابه_, _کےچھٹے_, _taaldata, _coonob_, 
   {{0xfb02015c,0x7a7f00ce,0x579e035e,0x0db90268}},	//   _samschde, _linondas, _stidljiv, _attingba, 
   {{0x9f3d035f,0xd2d501d7,0xaa7102cb,0xde5f019d}},	//   _क्षितिज_, _deponia_, _obična_, _apabanja, 
   {{0xd20800ff,0xa2cb016a,0xb0680161,0xd8aa020f}},	//   _דעסקטאפ_, _svedio_, _журнальн, _پوهېدلو_, 
   {{0x82da00ee,0x2c83003e,0x865c00e6,0x73160360}},	//   _batera_, _dietsang_, _转让标的企业涉及, _jenze_, 
   {{0x0987024c,0x325b02ec,0xc5650361,0x7dc301a6}},	//   _adekwata_, _tuulo_, _алалай_, _pupirika, 
   {{0x0a760039,0x729200d2,0x2b19028d,0x4ef70155}},	//   _африкийн_, _narasi_, _lafaminn_, _musklern, 
   {{0xa2e2026b,0x505a0053,0xb9980137,0xba9c02c2}},	//   _calidad_, _citilink_, _үхэртэй_, _keniaans, 
   {{0x3c090362,0x4ba701af,0xf6d90322,0xb316014c}},	//   _bampaya_, _alahöwre, _bahanirw, _nenze_, 
   {{0xfae802bb,0xb292004f,0x82c2019d,0xcb8b01db}},	//   _अनुवादक_, _aarati_, _adalota_, _امانشىلى, 
   {{0xc2920303,0xc39400e4,0xd378010e,0x00000000}},	//   _barati_, _widzisz_, _hamakin_, --, 
   {{0xd29201cc,0xac200363,0x0977011d,0x65d90309}},	//   _carati_, _næringss, _avantaje, _bombalay, 
   {{0x44e50039,0xea8800a4,0xfeb00364,0x581d021b}},	//   _туркийн_, _توولۇق_, _entsteet_, _накладка_, 
   {{0x10f4010d,0xf292028a,0x1eb4003e,0x4c0400d9}},	//   _आक्रमक_, _farasi_, _апалы_, _уточняйт, 
   {{0x3e5502b9,0xc25a00a8,0x328f0261,0x02920031}},	// [240] _دوستی_, _quels_, _diskuto_, _garasi_, 
   {{0x3ea6023d,0x22f00288,0x474a02bb,0x8c6f0090}},	//   _направо_, _korinth_, _क्रमबद्ध_, _akurova_, 
   {{0xcc5200da,0x72e302e5,0x00000000,0x00000000}},	//   _десчифря, _indiape_, --, --, 
   {{0x9ea6008a,0xe6650365,0x9d9d01a3,0xeda10366}},	//   _fatupese_, _लोकदोहोर, _پهچڻو_, _атăлалла_, 
   {{0xe9c90119,0x568d0037,0xad9d00e6,0x6c75008e}},	//   _bilogora_, _ተናገረዋል_, _李白诗论丛_, _emisong_, 
   {{0xe39a01bd,0x43950033,0x32010367,0x1545004a}},	//   _шілде_, _forsa_, _aceita_, _avtornıñ_, 
   {{0x93d30206,0x82e101ad,0x8c350061,0x56d80219}},	//   _podobnú_, _balibag_, _게임가중계_, _ibhalisw, 
   {{0xa2e9005b,0x48fa034e,0xce8a010d,0xc4ad0368}},	//   _bientot_, _camataqu, _पहाताना_, _заробили_, 
   {{0xc2da01e9,0xc6cb00aa,0x59ef01d7,0xc16d002b}},	//   _bapedi_, _biopsych, _posteriu, _আ্যপলের_, 
   {{0x83f9005b,0xc29701ff,0xcc4b00d1,0xd6bb00ae}},	//   _mayumi_, _velkost_, _আধাৰশিলা_, _insamiri, 
   {{0x9af70033,0xc4250369,0x830d02a4,0xc6b5006c}},	//   _annualme, _bipikeik, _apparet_, _abasembh, 
   {{0xb292036a,0x9b2c02ac,0xfe3b0183,0xa291030d}},	//   _barasi_, _ماتريدين_, _ampandra, _abzas_, 
   {{0xec6b0357,0xd36f01e6,0x67d80058,0x576c0139}},	//   _isausau_, _investuj, _subsataf, _भारतदेशे_, 
   {{0xf2170162,0x2e8b0060,0xe6230038,0xeaf10066}},	//   _орунда_, _اساتۋ_, _alkogoli, _jorratze, 
   {{0xbd8c02e1,0xf197036b,0x00000000,0x00000000}},	//   _اشتهر_, _напорен_, --, --, 
   {{0x427e036c,0xc2910051,0xc2b502ca,0xd6d802bf}},	//   _omena_, _varat_, _bosca_, _abhalisw, 
   {{0xb291017e,0xebcb0234,0x5145036d,0x5ddf001b}},	// [250] _faras_, _olóòótó, _pherceto, _hiikudha, 
   {{0xda82006d,0x2ed4036e,0x54970253,0x00000000}},	//   _элементу_, _allinnin, _attartuk, --, 
   {{0xbb880148,0x32920298,0xbaa4002f,0xd1a1015e}},	//   _resister, _karari_, _achillis, _دەرىنە_, 
   {{0x86a90064,0xe1e801f1,0x477201a3,0xcb21034e}},	//   _الاقاندى, _informim, _سنڌالاجي_, _carabamb, 
   {{0x95510192,0xd47b02c8,0xab7e014d,0xe285018c}},	//   _자동로그인_, _campión_, _identisc, _michiel_, 
   {{0x97a8036f,0x0c0201cf,0x00000000,0x00000000}},	//   _nastavni, _chassar_, --, --, 
   {{0xf4400010,0x296b0119,0xe9d8033e,0x5a08006a}},	//   _alikabik, _meininge, _apenóva_, _hijanona_, 
   {{0xc27f0370,0x6f650080,0x8b7600a0,0x00000000}},	//   _acanna_, _assammin, _faffadan_, --, 
   {{0x43ea015a,0xe5cc0054,0x07c7006c,0xb7de007b}},	//   _baate_, _dabaibay, _бақияи_, _scapegai, 
   {{0x09d60203,0xd3700179,0x2292008d,0xb2130062}},	//   _scheffle, _monadef_, _zarari_, _pivha_, 
   {{0xc291015a,0x2ce90371,0x00000000,0x00000000}},	//   _harar_, _поканата_, --, --, 
   {{0xa95d00c6,0xfb300126,0x22e000dd,0xc1ad026f}},	//   _sannhete, _немов_, _dunnell_, _قستىرۋ_, 
   {{0xc3eb0172,0x194b0372,0x12df0153,0x217e02ba}},	//   _asetra_, _etholaet, _件の検索結果を表, _гарбу_, 
   {{0x129100b0,0x825b02ad,0xde4c02ef,0x4c7a0373}},	//   _marar_, _protiskl, _depannde_, _versioj_, 
   {{0x2cd301f6,0x227e024f,0x15b502ea,0x5b1b011c}},	//   _লেখকৰ_, _emeni_, _composiz, _desaloon_, 
   {{0xa2910054,0x525a005b,0x303100db,0xc3ea0374}},	//   _farar_, _villy_, _मुरही_, _исканжас, 
   {{0x2a360169,0x286602b9,0xbc5e007e,0x598b020a}},	// [260] _ক্লিকে_, _نکلوا_, _bhettum_, _еселенге, 
   {{0x795e00da,0xa1940185,0xdc64000d,0x3b8901a3}},	//   _cheltuie, _agrariyl, _kipuvad_, _ليکجڻ_, 
   {{0x6057010b,0x9ff700f3,0xdf2e0040,0xf2b6001d}},	//   _akhaonto, _abayifun, _מורפולוג, _descri_, 
   {{0x94ae017d,0x83ea0375,0x63f00376,0x00000000}},	//   _ショップで確認_, _aziti_, _hamrandi_, --, 
   {{0x7e3d0024,0x6e4b018d,0xe9e101cf,0x7261025f}},	//   _সাতটা_, _ከተኣታቱ_, _oblidava_, _maponami_, 
   {{0xc26c0176,0xd2ea0377,0x36d1010d,0xc0d70161}},	//   _sanoku_, _aruncat_, _लवचिक_, _мировом_, 
   {{0x920200d7,0xea5d0160,0x00000000,0x00000000}},	//   _corido_, _potezima_, --, --, 
   {{0x63ea0255,0x552202e0,0x72650229,0x00000000}},	//   _saate_, _karogany, _butulkal, --, 
   {{0x3f070013,0xd9e400ad,0xc4230110,0xdfd5034a}},	//   _دانیشیر_, _lolobana_, _aizkrauk, _lanzamen, 
   {{0xc9e50071,0xa48a0092,0x68c20378,0xa56e006d}},	//   _disutrad, _クライスラ_, _apoteksv, _азэрбайд, 
   {{0x44f70163,0xba690379,0xe14600a7,0xa2b600cb}},	//   _نورالدین_, _शिवशंकर_, _инсандар_, _abadume_, 
   {{0x92c300ef,0xa2a7002c,0x00000000,0x00000000}},	//   _asoloko_, _alabek_, --, --, 
   {{0x529102df,0xc47b0192,0x4c260099,0xe5b90087}},	//   _paras_, _제휴사이트_, _ashandur, _makalich, 
   {{0x857e011e,0x990600d6,0xfcf201d5,0x32ca006e}},	//   _viktimiz, _أفغانستا, _عالمِ_, _amalati_, 
   {{0xc7730220,0xcab702a5,0x57dd0160,0xe2e900d6}},	//   _направих_, _neobyčej, _opravdav, _لاندكروز, 
   {{0x0c61037a,0x1477006d,0x8291001e,0x1f3500d1}},	//   _intumwa_, _пакетах_, _tarar_, _অমিয়া_, 
   {{0xa9cf013b,0xf0710193,0xa29201f1,0xe61d0374}},	// [270] _nordfrie, _berjuluk_, _saraqi_, _atalishi, 
   {{0xb29000cf,0x7a06011b,0xf9dd037b,0xd29102fd}},	//   _sanaan_, _ethambut, _aprendie, _mbran_, 
   {{0xf4f40039,0x136600c1,0x33660116,0x43900272}},	//   _имейлээр_, _tangsel_, _gangrel_, _banyani_, 
   {{0x569c01a7,0xa26d033f,0x81aa0008,0xd291016e}},	//   _достаточ, _aeuoa_, _fundació_, _yarar_, 
   {{0x11f200f5,0xae9e0013,0x4ee901f5,0x3c0a0233}},	//   _клетканы_, _калла_, _perhitun, _regretab, 
   {{0x9d0a02e4,0x247d0162,0x92010334,0xd29202a7}},	//   _segretar, _رايوننىڭ_, _akaidi_, _garapi_, 
   {{0x2346037c,0xb2910068,0xc29000cf,0x5518037d}},	//   _finders_, _warar_, _tanaan_, _suprotno_, 
   {{0xc2b4004f,0xf395022e,0xb291037e,0xd5e9037f}},	//   _bocci_, _morse_, _iarap_, _yeraltı_, 
   {{0xa2910140,0xc79b0380,0xad1d01f1,0xaaa100ef}},	//   _harap_, _lwglungz_, _raportit_, _انتظاميې_, 
   {{0x725b010a,0xd2910135,0x434600bd,0x18b80109}},	//   _fuula_, _karap_, _hinders_, _ostrovů_, 
   {{0x73460347,0x428502b7,0x67350177,0xfa2400b0}},	//   _kinders_, _bithiro_, _алалара_, _dhabarka_, 
   {{0xbb51006f,0x4f1a0311,0x72240381,0xd20100c4}},	//   _اَندر_, _ጽሕፍትኻ_, _eenkay_, _ukaidi_, 
   {{0x22e60044,0x52910135,0x7a0f0295,0x2b510382}},	//   _משפחתו_, _qarar_, _angalele, _atithopa_, 
   {{0xb27c011b,0x47e302dd,0xd4080383,0xb25b0253}},	//   _afandaki_, _drappiji, _dirobohk, _buuli_, 
   {{0x325b0012,0x65cf018d,0xa274015e,0x5b830053}},	//   _juuli_, _ማይክሮፎን_, _اۋدەۋ_, _bernegar, 
   {{0x436e0384,0x72900230,0x2fa601d2,0x91a40385}},	//   _njegovu_, _banann_, _anularqo, _vuković_, 
   {{0x274f035a,0x4f7502d3,0x934702d4,0xccc80092}},	// [280] _muzzammi, _nascimen, _genevra_, _記事をリスト形式, 
   {{0x8170004b,0x53660122,0x00000000,0x00000000}},	//   _экрандар_, _anggoro_, --, --, 
   {{0xb7a10253,0x369c0386,0x039500bd,0xe27e0387}},	//   _januaari, _menghasi, _norse_, _emenu_, 
   {{0x63ea0133,0xc3f0030f,0x029200ac,0x1a5c00ec}},	//   _haata_, _haurangi_, _izradi_, _kolegija_, 
   {{0x075d00fd,0x0a0f003b,0x77d901ff,0x152100b2}},	//   _chriomag, _ingamele, _titulná_, _haromaay, 
   {{0xd39500b6,0xf2ca00dc,0x2db600af,0x315c0361}},	//   _korse_, _apoliki_, _tilskudd_, _вузах_, 
   {{0x63bf0388,0xa9e1025f,0x79320208,0x73f800c5}},	//   _servizi_, _balobaka_, _جۆریک_, _annuel_, 
   {{0x22f50274,0x18e70299,0xa3ea004f,0x00000000}},	//   _skrifum_, _ئۇۋۇلاپ_, _laata_, --, 
   {{0xd29100ad,0x6d7c0060,0x65b90322,0x2473019d}},	//   _raray_, _تەربەيتى, _bakabiry, _kumenyak, 
   {{0x4b9c023c,0x6c39010d,0xf29102a4,0x53ea0389}},	//   _ميانمر_, _विषयाला_, _vocant_, _gaata_, 
   {{0xb291038a,0x92e6004d,0x22ca00e0,0x00000000}},	//   _paray_, _您即將永久刪除此, _opslach_, --, 
   {{0xbd3102ac,0x1f560083,0xdc1c038b,0xf2bb038c}},	//   _اووووووو, _aunghels_, _mimpiku_, _neobjašn, 
   {{0x88ac01a7,0x2da902f3,0x7c580059,0xdb68004d}},	//   _поставщи, _redigera, _останало_, _登上城巴機場快線_, 
   {{0x429000d2,0x4ddb02e2,0x22910119,0x5e3101cf}},	//   _nanaon_, _backache_, _waray_, _cellulas_, 
   {{0xc61a006a,0xd64a01f4,0x324801a7,0x5919013c}},	//   _manodidi, _yashaydi, _teemme_, _xoşagəlm, 
   {{0x9ef102bb,0xc3780318,0x81b7002b,0x89f70278}},	//   _शिक्षावि, _avaavaa_, _চলছেই_, _ainunlmu, 
   {{0xe366038d,0x9dc3038e,0x6c5b0073,0xbb7702c5}},	// [290] _lantrenm, _disiapka, _immunde_, _akaronga_, 
   {{0x627e015c,0x72ca022a,0xd25b00d9,0x5e3e0210}},	//   _kleng_, _geiloti_, _tuuli_, _anyatsop, 
   {{0xc2a6033c,0xf3ea038f,0x12a50034,0x593900ba}},	//   _talbot_, _mentel_, _höktir_, _اڵاکی_, 
   {{0x5d4b014b,0x22c1005f,0x1e0c01eb,0x7b4300f8}},	//   _ganaasaq, _follada_, _nahembip, _ডুবোজাহা, 
   {{0x550b012e,0xeaf10333,0x616902bd,0xa09c0187}},	//   _شکارپور_, _spezzata_, _bennaeth_, _планирам_, 
   {{0xa27e01e9,0x78030390,0x00000000,0x00000000}},	//   _oleng_, _basmış_, --, --, 
   {{0x617b00d1,0x8c750022,0x3ffc00af,0x00000000}},	//   _আৱিস্কৃত_, _emisang_, _спасибі_, --, 
   {{0x427e0391,0xd30e0222,0x8d6201c1,0x636801da}},	//   _ileng_, _espaces_, _लढाईत_, _mengjes_, 
   {{0xff5c0344,0x427f00bc,0xc17501aa,0x8cdc0134}},	//   _allaminn, _amung_, _amingnay_, _laipẹ_, 
   {{0xcc4101ab,0xb2840183,0xd39e0144,0xbae30392}},	//   _चहुँप_, _arahiko_, _مسؤلية_, _gualainn_, 
   {{0xb29100b0,0xaa1602cb,0x3c3b0393,0x00000000}},	//   _qarax_, _ostavlja_, _ljubimac, --, 
   {{0xc850008a,0x95540394,0x6d0102c5,0x00000000}},	//   _hydroids_, _akukhuth, _bhatafur, --, 
   {{0x694600de,0x8d880395,0x7c6d0396,0xc25a01da}},	//   _عبدالولی_, _celebrit_, _bikrija_, _stilin_, 
   {{0xae160188,0x3fe30008,0xb5cc0397,0xd8d302aa}},	//   _биёрад_, _زاتتى_, _кофтуков, _superhrd, 
   {{0x4c710398,0xa3f40215,0xedac02f3,0x0c7e0047}},	//   _apartat_, _hytter_, _språklig, _coussin_, 
   {{0xb344005d,0x438001ec,0xf6700021,0xf50f01bb}},	//   _bowerpe_, _petruk_, _algherow, _almagül_, 
   {{0x7e5d00da,0xb85f0203,0x00000000,0x00000000}},	// [2a0] _маракуца_, _inmanuar_, --, --, 
   {{0x186e0034,0x99e402c1,0x53790399,0xe883039a}},	//   _inniheld, _atangira_, _mamamio_, _meringku, 
   {{0x430000b6,0xc01a02c6,0x815c039b,0x02b5020f}},	//   _dananow_, _geodediz_, _дирижёрĕ_, _لږېدله_, 
   {{0xf291008d,0xe2ac00d0,0x92ea023e,0xe2a60089}},	//   _ibrat_, _багавтар_, _cerigen_, _gomboc_, 
   {{0x5a08000b,0x125a011d,0x89e30220,0xbad20333}},	//   _augatuaa_, _scolar_, _indicata_, _sottinte, 
   {{0x230e0039,0xb25b0120,0x027b01c8,0xf4f80060}},	//   _arabera_, _fuulu_, _videozáz, _شارالارى, 
   {{0xf5ae00e3,0xe56201c2,0x62eb039c,0x00000000}},	//   _freskezz, _mitolóxi, _asentar_, --, 
   {{0xf387023e,0xb3ea039d,0x56d90210,0x52e40037}},	//   _amargi_, _nyito_, _achatirw, _የዲፕሎማቲክ_, 
   {{0x4b0c039e,0xd3dc033c,0x2dee012e,0x49d0039f}},	//   _personle, _brawd_, _امرود_, _unaffect, 
   {{0xc25a03a0,0x238701f1,0x22750164,0xddfc012a}},	//   _tsela_, _ndersa_, _гуруһлар, _generowa, 
   {{0x4f0f0178,0x39c80092,0x33ea02dd,0x12d9038e}},	//   _amitrava, _primedia_, _ezatt_, _puyeng_, 
   {{0xa2da00ce,0xe3eb030d,0x03dc01fe,0x25370092}},	//   _lapolis_, _sayta_, _drawe_, _岡山県岡山市浜_, 
   {{0x32da001d,0x1b180049,0xfec40311,0xe6210291}},	//   _antean_, _langifis, _ደቂተባዕትዮ_, _أوتوماتي, 
   {{0x917d0036,0x4eb0007f,0x241b004d,0x72d800e2}},	//   _متخصصون_, _colomenn, _第五週課後討論主, _stjert_, 
   {{0x4163007b,0x12f2005a,0x450703a1,0x3c7a00c5}},	//   _humility_, _bidilqu_, _средата_, _没有相关信息_, 
   {{0x8356026c,0xa9d300c4,0xde0300a4,0xcd5703a2}},	//   _ceteris_, _سئيڊن_, _мынчалык_, _मौदगिल_, 
   {{0xaa0a014b,0x728f019a,0x00000000,0x00000000}},	// [2b0] _korsoonu, _dothers_, --, --, 
   {{0x725b0202,0x3caf0060,0x4dbd007b,0xeb1301de}},	//   _buulu_, _دەستى_, _inshuira, _синонимі_, 
   {{0x037a00a1,0xbcbe022f,0x5d2c0121,0xb96d004a}},	//   _aperaham, _далей_, _reciente_, _зарипова_, 
   {{0xc0300040,0x36cf016b,0x1a860308,0x0e30011a}},	//   _המהדורה_, _alkawali, _luangkan_, _המאשימה_, 
   {{0x72920212,0xec0103a3,0x3bb103a4,0xda03016e}},	//   _amsale_, _acessar_, _fiskavir, _piyasada_, 
   {{0xc3eb0374,0xe2bd03a5,0xea7f03a6,0x59a40087}},	//   _qayta_, _पुरुश_, _barakora_, _chukucha_, 
   {{0xc1eb0251,0xfb01038a,0x837e03a7,0x34fc009b}},	//   _وفادارن_, _abusupit, _gajdoš_, _обамагий, 
   {{0x529202df,0xf80a02d3,0xf53300ff,0x60f60071}},	//   _korang_, _струга_, _רעפבאַקק, _بادوام_, 
   {{0xe70802d3,0x739501f1,0xcc360373,0xb3560231}},	//   _expressã, _borsh_, _prenzlau_, _veteris_, 
   {{0x36340169,0x82ee013a,0x332203a8,0x420d03a9}},	//   _অত্যাচার_, _deift_, _তথ্যভঁৰা, _заманахь_, 
   {{0x4d850238,0x65fb018d,0x820e0064,0xfd9a0240}},	//   _diskutér_, _ምርብራብ_, _манаш_, _savusavu_, 
   {{0x82eb0024,0x00000000,0x00000000,0x00000000}},	//   _trendar_, --, --, --, 
   {{0x46e80092,0x3bf5012e,0x5dd50099,0xa1130061}},	//   _アカウント_, _kistérsé, _aibhabha, _찾아주셔서_, 
   {{0x6b7d00a8,0x628c0261,0x2d130145,0x00000000}},	//   _beinsper, _asekura_, _бытча_, --, 
   {{0x6c0501c3,0xdc5e00d7,0x13b60385,0x3c790177}},	//   _chorley_, _bottril_, _spavala_, _панкисит, 
   {{0xd34300e4,0xed3403aa,0x32df00e4,0x76450019}},	//   _तटबंध_, _रामराज्य_, _samolot_, _جىلنااما, 
   {{0xfc7301cd,0x62d90010,0xe39503ab,0x43060052}},	// [2c0] _alisona_, _kubete_, _horsi_, _okresů_, 
   {{0xde4d0318,0x139500ad,0xa8740039,0x9f4102b9}},	//   _akapuluu_, _korsi_, _baliokid, _کھلتی_, 
   {{0xffc60113,0x0be303ac,0x225a017e,0x4ffe0213}},	//   _shanntar_, _dilempar, _stilon_, _набегами_, 
   {{0xe11a02a9,0x3cb803ad,0x00000000,0x00000000}},	//   _торбу_, _imbaghad_, --, --, 
   {{0xb58d0093,0x1723005e,0x163f007b,0xdcef03ae}},	//   _постройк, _خۇيزۇ_, _blainsli, _doktorgr, 
   {{0xe8ff00e7,0x1fc6000e,0xb183014e,0x276701f2}},	//   _adapting, _changear_, _елите_, _әрикәт_, 
   {{0xb41c01bb,0x83870039,0x8f5600e6,0x80f70118}},	//   _турме_, _ederra_, _税收减免管理办法_, _babituul, 
   {{0xcb2503af,0x7ee50178,0x67a7004d,0xcc7200e6}},	//   _montréal_, _बुक्क्या, _中壢市仁美郵政_, _生态创意家饰逼你, 
   {{0x3e92020a,0x129d01b7,0x47b602a3,0x369003b0}},	//   _порталы_, _hetoḥ_, _besering, _enkeltbi, 
   {{0x980603b1,0xa3c803b2,0x2ddd02d8,0x93eb00ee}},	//   _décembre_, _server_, _puskesma, _aretoa_, 
   {{0x625a03b3,0x7b4a0244,0x7292007b,0xad4b032c}},	//   _gilly_, _зареждан, _bewail_, _allangaq, 
   {{0xae3d03b4,0xab680282,0x72910107,0x6c530053}},	//   _achangop, _anatioka_, _ancase_, _मॅरेज_, 
   {{0xa30c015c,0x9a8603b5,0xfb2500d9,0xcacb03b6}},	//   _gerannt_, _tuangkan_, _пушкина_, _lẹsẹkẹsẹ_, 
   {{0x42a700fa,0xafd501be,0xd6c40311,0x92c600de}},	//   _alabok_, _pronajmo, _ከፍልጠካ_, _ebulele_, 
   {{0x0c7d038d,0xf98700ff,0x4b010223,0x48800281}},	//   _pourdir_, _adekvata_, _османы_, _atsiullu, 
   {{0x9c610178,0x7dfd0218,0xfdfc03b7,0x663c00be}},	//   _ajarād_, _absentwa, _accentwa, _بۇسۇلباي_, 
   {{0x42da032d,0xf67f0026,0x1395014a,0x205a026a}},	// [2d0] _bapeli_, _bedenkti, _sorsa_, _matabiso, 
   {{0xbee20193,0xc201012d,0x72640242,0x1c0803b8}},	//   _दुर्दैवा, _epril_, _varlı_, _تاپتاستى, 
   {{0x52900274,0xde630154,0xb3f9002a,0xe37301c4}},	//   _bankans_, _респинӂе, _tebulu_, _tamatie_, 
   {{0xc95c019a,0xf7e60061,0xc7ba0019,0xe642028f}},	//   _colonist, _신문스크랩_, _нормадан_, _hakinaki, 
   {{0xa20203ac,0x69fd0145,0xc24e0148,0x00000000}},	//   _diakhiri_, _pakartot, _duodecim, --, 
   {{0xc25a02b2,0xd6eb03b9,0x0ecd006c,0x0a1c023e}},	//   _оригінал, _sumaspaw, _abazidla, _حجازیموض, 
   {{0xc3f400e2,0x52b100c1,0xb6fc0156,0xe218021b}},	//   _sluten_, _ग्रँम_, _הלמאַי_, _племянни, 
   {{0x1a1100fc,0x4c0c010d,0x84050061,0x396e022f}},	//   _bivangme, _serpong_, _청소년들이_, _rafinuot, 
   {{0xcd5a02e5,0x02d801d9,0x17e40061,0xd2260040}},	//   _боден_, _schneid_, _강남제니스공_, _אימהות_, 
   {{0x32e70318,0x67a80333,0x02900251,0xda720354}},	//   _apinofo_, _castagni, _hanaan_, _بەكلام_, 
   {{0xbfa403ba,0x471a0274,0x68fd0085,0x43780133}},	//   _deceiver_, _tegundum_, _taladrod, _eyyamaa_, 
   {{0x87ec02a2,0x2ed70361,0x00000000,0x00000000}},	//   _tumatang, _матвеев_, --, --, 
   {{0x295902dc,0x4dfb00cc,0xae3702ee,0x849a00f2}},	//   _quilómet, _kameraet_, _akkawnta, _karalisk, 
   {{0x820101d1,0xba270074,0x934303bb,0x77a7021c}},	//   _april_, _средний_, _arteixo_, _patentov, 
   {{0x6af30038,0x53f800ae,0x6aaf0359,0x8c7803a2}},	//   _алдыннан_, _dukure_, _elektrys, _prostej_, 
   {{0x1e4a019e,0x21b400ff,0x729000c8,0xa2b503bc}},	//   _статуй_, _ראדזין_, _bokane_, _piecas_, 
   {{0xcdc303bd,0xc08a0276,0x225b0066,0xce3a0011}},	// [2e0] _gikinaha, _كىنوچى_, _atalen_, _bagabira, 
   {{0x93950329,0xbdb3017d,0xe2790181,0xe7e403a2}},	//   _morso_, _udlandet_, _foreslå_, _जेवरात_, 
   {{0xa29001c5,0xc84500a4,0x93780193,0xbc7c024c}},	//   _banaan_, _pintures_, _nyiakan_, _espress_, 
   {{0x7b09017d,0xffe300b3,0x5d6b033d,0x57ed03be}},	//   _サインイン_, _lezzetin, _agimante_, _babahung, 
   {{0xa37700a4,0x8f360061,0x926400f2,0x00000000}},	//   _جىراق_, _사실이지만_, _stulbi_, --, 
   {{0x09560287,0x54000108,0x9917014e,0x6b6503ab}},	//   _प्रश्नहर, _ciburuan_, _средини_, _hellshar, 
   {{0xe290004f,0xf4d501b7,0xe2d40009,0x8291028d}},	//   _fanaan_, _देहिनः_, _podobna_, _laraz_, 
   {{0x22910035,0x3aec03bf,0x0f5d0220,0xc3f80230}},	//   _faraz_, _basedsys, _colazion, _lekurs_, 
   {{0x32910125,0xfd2d03c0,0xa8a8004b,0x2c7a004d}},	//   _garaz_, _designet_, _шахтерҙа, _臺北市立兒童育樂, 
   {{0x2c67006f,0x6c5b03c1,0x7a41020f,0x8225011c}},	//   _kununua_, _ставам_, _basekapa_, _jefkay_, 
   {{0xd7070314,0xdd1103c2,0x5b770210,0xe236005b}},	//   _лагеры_, _parlance_, _akaringa_, _adgjm_, 
   {{0x4ebe033f,0xcb97010e,0xa9ff03a8,0xeee10113}},	//   _fauniten, _pakisuyo_, _একাংশহে_, _cruinnis_, 
   {{0x00000000,0x00000000,0x00000000,0x00000000}},	//   --, --, --, --, 
   {{0x22e000dd,0x727600c5,0x35170126,0x1edc0211}},	//   _tunnell_, _rassembl, _наталя_, _осложнен, 
   {{0x027600c4,0xf48402eb,0x62d803c3,0xc03000c1}},	//   _مهاراج_, _trafikok, _uzmemo_, _वेळही_, 
   {{0x05bc026f,0xe8f80044,0x6ef80184,0x00000000}},	//   _ءﺷﺎﺷﯩﻦ_, _arranged, _tukwatse_, --, 
   {{0xf3950244,0xafea0205,0x225b02d9,0x425b0026}},	// [2f0] _corso_, _жалолобо, _lealao_, _stalen_, 
   {{0x329101c5,0x5c5d028d,0x00000000,0x00000000}},	//   _haray_, _kantmem_, --, --, 
   {{0x62910105,0x3f3703c4,0xedbf025f,0x0b0c00b3}},	//   _zaraz_, _мустәқил, _bituluku_, _bersinle, 
   {{0x92ea029a,0x8c6c01d9,0x137903c5,0x132d02cf}},	//   _aeriyen_, _grausam_, _syaaban_, _запросил_, 
   {{0x829101c5,0x130c0297,0xf29101d2,0x0e5b02fc}},	//   _maray_, _barunıñ_, _caraz_, _atabanje_, 
   {{0xf2920331,0x428c0362,0x72910119,0xd3f402b0}},	//   _alsamt_, _ezakaka_, _laray_, _routen_, 
   {{0x335400be,0x28b80055,0xb3a20364,0x0d130342}},	//   _отрядыны, _studiend, _cropen_, _favorize_, 
   {{0x9af50193,0xab330095,0xa1340234,0x00000000}},	//   _laporkan_, _bancakan_, _sàlàkó_, --, 
   {{0xa98a000c,0x525b00d9,0x72ee0095,0xa3ac034b}},	//   _akatuágo, _luuli_, _afiff_, _yaupas_, 
   {{0x094701d1,0x4ebd018e,0xba8303c6,0xf4a701ac}},	//   _explanat, _eyinhlen, _dejingen_, _sabóide_, 
   {{0x56e903c7,0xd2910125,0xa6b600ca,0xb9c30122}},	//   _pracowni, _baray_, _monarqui, _صاحبش_, 
   {{0x529101c5,0xd9690098,0x2369021e,0x1d8702ba}},	//   _jaray_, _definere, _diagnos_, _метарсад_, 
   {{0xf29101c5,0x757200c4,0xbecc03c8,0x162b00ee}},	//   _daray_, _مارٽم_, _tulisann, _musikari, 
   {{0xb6340212,0x4f3600bb,0xd27a0049,0xc0c40156}},	//   _thinkbli, _دھڑکتے_, _senituli_, _צעקנייטש, 
   {{0xd54c0016,0x584c018a,0x129101c5,0x57af03c9}},	//   _קלינטאן_, _dangosir_, _faray_, _underteg, 
   {{0xad890074,0xefbd0040,0xda6700be,0x5457019b}},	//   _reseptit_, _ביקשו_, _تويعۇزات_, _katalikų_, 
   {{0x294e0374,0x65520046,0x147c0321,0x9143007a}},	// [300] _shartlar_, _сентябры, _pomenijo_, _maslahah_, 
   {{0xbf62002b,0xe2b502cf,0x42da0046,0x8bda03ca}},	//   _আইনমন্ত্, _fosco_, _entorns_, _filmando_, 
   {{0xd7ba0322,0xa2a501de,0x4291024c,0x6a2b0153}},	//   _bakuliki, _еңкейіп_, _jarax_, _カリビアン_, 
   {{0x73ea033d,0xf6320005,0x3c1801ea,0xc291028d}},	//   _ayiti_, _evenimai, _dizayner, _paraz_, 
   {{0x6e570328,0x8c2d0040,0xaf9a0061,0x7c6f022f}},	//   _cambodge_, _resigned_, _대학레포트_, _адбору_, 
   {{0x6eab01aa,0x86100210,0xe9fd00a1,0x4d87011c}},	//   _alloween, _anomutsw, _mataarat, _keemtala, 
   {{0x6b0d0273,0x82d20194,0xe887006c,0x6302028f}},	//   _función_, _estonaj_, _басанда_, _tamahau_, 
   {{0xc3ea0134,0x92ee00dc,0x84380126,0x412d021c}},	//   _eyiti_, _leafa_, _версією_, _nylonové_, 
   {{0x13dc00a6,0x558f01a0,0x21c3016f,0xa7610074}},	//   _asiwe_, _enseledy, _говорив_, _звери_, 
   {{0xa29600ce,0xb3e402ce,0x7a9101b5,0x39cf017e}},	//   _kilpabil, _modulasi_, _hanyanga_, _nordorie, 
   {{0x53be003b,0xd2f60025,0xa76b0045,0x2be1013d}},	//   _akavumi_, _चक्री_, _merkelov, _antioĥo_, 
   {{0x326f006c,0x7a0b0095,0x12e703cb,0xfc6803cc}},	//   _abaningi_, _surakart, _carnota_, _sufrido_, 
   {{0x345e02a4,0x473700d6,0x83fe01ef,0x33950192}},	//   _agovirin_, _duilleog, _smarkiai_, _borst_, 
   {{0x2ee20106,0xb7da03cd,0x2e4a0004,0x16a3023b}},	//   _हिम्मतवा, _प्रकिया_, _demantle_, _pukuniah, 
   {{0xa34103ce,0xfc920187,0xf14502e4,0xf625020f}},	//   _یۆنان_, _инфекциј, _essenzal, _ekholeji, 
   {{0x0224022b,0xd2ee006e,0x52b10066,0x741e0233}},	//   _nokkso_, _barilub_, _soldata_, _japaneso_, 
   {{0xad3403ae,0xb3b3023c,0xd0490137,0xcde50311}},	// [310] _avansert_, _سمادول_, _agenteek_, _ዘቐመጥክዎም_, 
   {{0x9a8a0130,0xa20c03cf,0x82da0175,0x240803d0}},	//   _éditions_, _herhangi_, _entern_, _izbornik, 
   {{0xa2550198,0xe34800e1,0x25030203,0xca1403d1}},	//   _svetoval, _baleegi_, _hyperbol_, _jamaikie, 
   {{0x7c72008e,0xc73103d2,0x112a0238,0x43c50156}},	//   _asiraas_, _celoslov, _припусти, _סאקפאפעט, 
   {{0x220001a7,0xe8fd004c,0x4b6c02d5,0x00000000}},	//   _omiin_, _anaasind, _विधना_, --, 
   {{0x5bb60208,0x7a0900e6,0x00000000,0x00000000}},	//   _ۆبایل_, _géométri, --, --, 
   {{0x52da000c,0x928301a6,0xfa8501ef,0x034f018a}},	//   _azteca_, _taikaha_, _бурлака_, _annerch_, 
   {{0x2bf602d8,0x995d03d3,0x91e100db,0x58cd024f}},	//   _प्रथमच_, _mislykke, _गुजरल_, _naqumuiv, 
   {{0x74110046,0x3f6603d4,0xe6510061,0xc9790166}},	//   _اڭعىچا_, _умели_, _예수님께서_, _namhafte, 
   {{0x17c702e0,0x946f0107,0x415f028d,0x1b670129}},	//   _akaretsw, _استعلام_, _konsesyo, _meputara_, 
   {{0x9b7000bc,0x4ce90223,0x79ef034e,0x4fb80162}},	//   _ayushita_, _бикинитэ, _danielpa_, _توركەش_, 
   {{0x9fd7023a,0x738203d5,0x140802f6,0x83dc0157}},	//   _pretože_, _burying_, _tanungin_, _brawo_, 
   {{0x26fd02fe,0x0397005b,0xf96101d2,0xc6a702b6}},	//   _سیاسي_, _medarbej, _arininat, _يۇنشان_, 
   {{0xfbed03d6,0x237900ac,0xdda50192,0x1dd70115}},	//   _महाप्रभु_, _porasla_, _schoolja, _berkasut_, 
   {{0x11870061,0xfb5a0115,0x1b0f00e0,0x16f0014a}},	//   _소비자보호에관한, _ciptanya_, _emigraas, _bevallás_, 
   {{0xa532020f,0xd3f403d7,0x42d6019a,0x0b87030d}},	//   _abazisik, _foutan_, _forlost_, _bakinter, 
   {{0xc27f012f,0xc7970022,0x12ef01c4,0x32d80388}},	// [320] _amuno_, _октябргә_, _pornstêr_, _schemi_, 
   {{0x8b67002a,0x2c2503d8,0xe387016e,0x92cc0109}},	//   _deputara_, _trgovinu_, _atarak_, _ledvinky_, 
   {{0x92c801c6,0x4c8403c2,0xac8f0040,0xc21c0144}},	//   _feroare_, _bereaved_, _מצוקת_, _meckpomm, 
   {{0x77f80144,0x4d9d018e,0x126c03d9,0x226001e8}},	//   _ببرنامج_, _balekeke_, _molony_, _ipaminaw_, 
   {{0xa5a9000c,0x63860160,0x29cd0089,0x0411009f}},	//   _абардырр, _uporno_, _почтасын, _bogastvo_, 
   {{0xec070089,0xf5ee00d1,0x00000000,0x00000000}},	//   _sistemas, _তালিকাৰে_, --, --, 
   {{0xb201038c,0x92090287,0x92a20153,0x00000000}},	//   _dobiju_, _motorkář, _幹部対象に_, --, 
   {{0x9b5c03c3,0xb2d901d3,0x5d860074,0xfb6703da}},	//   _političk, _arbete_, _награды_, _keputara_, 
   {{0x8c600133,0xa27e02ba,0x52710205,0x087603b8}},	//   _achuman_, _adinga_, _нурчилар_, _شىرقالعا, 
   {{0xaa2400bc,0x1dfc0218,0xd2da0172,0x89720210}},	//   _stockist, _acceptwa, _twreye_, _asingane, 
   {{0x0ffe0375,0xc27b01c8,0x0a7d0322,0x00000000}},	//   _amakaiko, _komediál, _bagahera_, --, 
   {{0x925b0111,0xec310092,0xb44a0311,0xbbdf0326}},	//   _isula_, _本実施形態では_, _ምፍንቓል_, _chiender, 
   {{0xe27e03db,0x1217004d,0x62bb01c7,0x13e80009}},	//   _edinga_, _接受中國信託等_, _belende_, _testerji_, 
   {{0xe65f02c2,0x13690157,0xaf790109,0x00000000}},	//   _beskikki, _bartłomi, _děsivé_, --, 
   {{0x28e803a8,0x927e03dc,0xc3ea0170,0xe23c0350}},	//   _অসংলগ্ন_, _beinta_, _iyitu_, _በፓኪስታን_, 
   {{0x530c007f,0x727302a4,0x0ca902eb,0x9bb903dd}},	//   _geraint_, _questhel, _фэнблог_, _frekuenc, 
   {{0xf26d021c,0x631601c8,0x105201df,0x22c9018d}},	// [330] _kandidát, _honza_, _blessedn, _ዘይመስል_, 
   {{0x032003de,0xb2bb01bb,0xaf7601f7,0x726d005d}},	//   _omnye_, _gelende_, _efectius_, _candidát, 
   {{0xf11c002e,0x7daa017f,0x063a00f2,0xf5580158}},	//   _održala_, _assilisa, _radiācij, _unikalny, 
   {{0xb316013b,0x08c90192,0x525b03df,0xfa750036}},	//   _monza_, _입체평면도_, _truls_, _blaganna_, 
   {{0x9ea001b2,0x025b0043,0x39fd01c5,0x5abe026f}},	//   _distrust_, _asula_, _ilaalint, _اجىۋا_, 
   {{0xd16803e0,0x43f403e1,0xdc810012,0x2dd6017f}},	//   _langweil, _rytter_, _छ्ोलकट्उ_, _bankimut_, 
   {{0xcb5c035b,0x4e100185,0x326d00a1,0xe2a600d6}},	//   _političn, _семантик_, _huaota_, _ailbhe_, 
   {{0x3f660125,0x62ca03ba,0x69780092,0x5424016b}},	//   _амала_, _geidet_, _目のつけ所が名無, _akasarin_, 
   {{0x098702d1,0xf9ec039e,0xe27e00f3,0x54e80178}},	//   _jacintha_, _ক্ষুদ্ৰ_, _abonwe_, _amarṣād_, 
   {{0x4fd2028c,0x2fe30163,0x3c6f03e2,0xa3ea0181}},	//   _सारगर्भि, _جانتی_, _cloruro_, _ayato_, 
   {{0xf7b50013,0x8b9d0268,0xcc1102fd,0xe2b50111}},	//   _tekshiri, _acticepr, _barganac, _acidume_, 
   {{0x42e301d1,0x8979004d,0x8ea703e3,0xaa1700be}},	//   _derived_, _具特色古舊建築_, _sipleman, _جىيەنلىب, 
   {{0xd3dc03e4,0xf63e0265,0xe1010008,0x2b1d03e5}},	//   _asiwa_, _koninkli, _юнескону, _waiparae, 
   {{0xfb5c024e,0xa29c005b,0x71c303e6,0x610b0213}},	//   _političa, _mixiペ_, _vollform, _иваном_, 
   {{0x227f012f,0xd41d01c4,0x93030080,0x22b4037c}},	//   _amune_, _verslaan_, _anaanat_, _sicca_, 
   {{0x7c5e03a7,0xbf7002d3,0x42500244,0xd2ea0125}},	//   _portál_, _infantis_, _режат_, _berilen_, 
   {{0x6a1402ee,0xbc050158,0xfea9004a,0x00000000}},	// [340] _benefiċj, _gruszki_, _ихласи_, --, 
   {{0x2c6b03e7,0x3c7c001d,0x426c0183,0x9da90077}},	//   _braunau_, _egardar_, _polony_, _belijera, 
   {{0xbaa403e8,0xa03e022e,0x53a10145,0xa341028f}},	//   _društev_, _abitutin, _актуальн_, _materoa_, 
   {{0x19c901e9,0x827e03dc,0x00000000,0x00000000}},	//   _didolora_, _reinsa_, --, --, 
   {{0xec25003c,0x0a1201db,0x8176032b,0x00000000}},	//   _رنگدانه_, _флипчарт_, _راستمۇ_, --, 
   {{0xae7a03e9,0x620002fd,0x230e00d1,0xcf3c038a}},	//   _байлыгын, _amaid_, _কথ্যভাষা, _caruncha, 
   {{0xd395021a,0x02b603ea,0x82fc00fc,0xf40f027b}},	//   _gorsi_, _soucis_, _lengqo_, _दुरभिसंभ, 
   {{0x135503ce,0x03740365,0xd8cd03eb,0x00000000}},	//   _عاشقێکی_, _जेभियर्स_, _geldenhu, --, 
   {{0xb54f0008,0x00000000,0x00000000,0x00000000}},	//   _корсонор_, --, --, --, 
   {{0x199101cb,0x3c040211,0xfb6903ec,0x3b1900db}},	//   _likhetha_, _tiistai_, _kuvendin_, _propagee, 
   {{0x8c88019e,0xe6e201eb,0x92ff00e6,0xbc72023e}},	//   _трансліт, _arecondi, _挽救血液病患儿慈, _دوستانتو, 
   {{0x263503ed,0x69d203ee,0xa3950181,0x368c0287}},	//   _econômic, _omiljena_, _dorsi_, _भूषाल_, 
   {{0x02fd01c6,0x65ed00ff,0x686e0076,0x4bd00065}},	//   _ekonomy_, _טינעק_, _сообразн, _vordergr, 
   {{0xc39502ee,0x2df30132,0x4f1d011d,0x59fb0092}},	//   _forsi_, _gyülekez, _полисема, _kamisama_, 
   {{0x54ad00d1,0xda020251,0x7386018a,0x00000000}},	//   _চেম্বাৰ_, _jamacada_, _meirch_, --, 
   {{0x10b80040,0x0e0000e6,0xcda2006d,0xd6f601b3}},	//   _התאורה_, _按文章内容_, _аляўціна_, _натуралі, 
   {{0x73b00044,0x00000000,0x00000000,0x00000000}},	// [350] _הממוצע_, --, --, --, 
   {{0x98c10132,0x18f70084,0xdd9d0173,0x24d50128}},	//   _keresked, _nazarudd, _buenasta, _ўқийди_, 
   {{0x0d0a00db,0x8b8d0247,0xe67f0119,0x631e020e}},	//   _तत्वाधान_, _maliobor, _eskwelah, _boncril_, 
   {{0xcc4603ef,0x42000219,0xeb2902b9,0x527e0015}},	//   _abapolis, _baniyo_, _یزیدی_, _adinba_, 
   {{0x2be60137,0x32b5013a,0x4eb200d8,0xe25b021c}},	//   _живцийн_, _rosch_, _esperons_, _nealko_, 
   {{0x511c004a,0xed8901df,0x070b03f0,0x00000000}},	//   _сайттагы_, _desertit_, _brautryð, --, 
   {{0x12b503f1,0xbbfc0107,0x1a4b02d3,0x5c6300ec}},	//   _posch_, _مدریت_, _évetada_, _ritulio_, 
   {{0x5ba901a7,0x60e703f2,0x730100da,0x2e340011}},	//   _laskuvar, _внесении_, _probele_, _banaakwa, 
   {{0x4f39029e,0x939503ad,0xc3ea012c,0x57d700ba}},	//   _stankter_, _sorsi_, _urithi_, _مۆنۆدرام, 
   {{0x08510025,0xd1a60149,0x28e4002b,0x03f1020e}},	//   _विद्वान्_, _ebenrụọr, _শিক্ষিকা_, _dibeteng_, 
   {{0x0faa033a,0xe1be02fe,0x65bf003f,0x662b01e9}},	//   _selettur_, _سیاستونو_, _diyajmoh, _hisitori, 
   {{0x884a028b,0x13f403f3,0x552703d4,0x5ec601b3}},	//   _дамардеи, _fouten_, _zapretio_, _часток_, 
   {{0x322a00af,0xc22703f4,0x02e20251,0xb277039e}},	//   _порад_, _парней_, _hadiyad_, _avisspal, 
   {{0xac6001c5,0xedba033d,0x7c5a010b,0xba7e003d}},	//   _daarood_, _bignonia, _dipuong_, _alentiss, 
   {{0x33f40237,0x9cd0011a,0xefa7002b,0x00000000}},	//   _houten_, _במפשעה_, _calentar_, --, 
   {{0x9c4a0212,0x7a450353,0xf570017a,0x2d9c004d}},	//   _leucoenc, _diskrétn, _abawunak, _玩酷版傳遞愛心起, 
   {{0x0294030b,0x84a300e4,0xb00e002b,0x56cd03db}},	// [360] _abakazi_, _ज्ञानदत्, _ইমোটিকন_, _bayakuni, 
   {{0xea8c03db,0x6c7d01e5,0x22d8028a,0xd2d90030}},	//   _azinakub, _ifisipo_, _acheni_, _debess_, 
   {{0xe85c0192,0xe2830040,0xc49502b6,0x00000000}},	//   _반품배송비는_, _ארקדי_, _гвардиял, --, 
   {{0x92ca0359,0x47cf0192,0x937b03f5,0x8ab20126}},	//   _neidat_, _슈퍼주니어_, _levando_, _невизнач, 
   {{0x4c82001f,0x1431012c,0xfeb70148,0x4feb0012}},	//   _beresosɛ, _pembejeo_, _kalendas_, _बउखाउएक_, 
   {{0xaa9e013b,0x030203f6,0x0f350191,0x6c6202ff}},	//   _cathleen_, _kamakau_, _existera, _bourade_, 
   {{0x8e970074,0xc29102ff,0x647100e9,0x9e290188}},	//   _рецензии_, _savann_, _kontstan_, _беҷавоб_, 
   {{0xa31a01b7,0x8ee601d2,0x930302bf,0x00000000}},	//   _tejasā_, _anchurin, _bunyenti_, --, 
   {{0x60fd0142,0xc38a03f7,0x324803f8,0x788700bb}},	//   _मानवा_, _hörpu_, _denmar_, _ذرےعے_, 
   {{0x25fa0037,0xb39d00ae,0x43460075,0x00000000}},	//   _በመተካት_, _kamparam, _hindurs_, --, 
   {{0x5d1e0326,0x4200000b,0x60930122,0x3f4403f9}},	//   _monoxide_, _manino_, _چطوره_, _jésuites_, 
   {{0x3773020e,0x430b0102,0x8edc0203,0x14520299}},	//   _серверҙа, _uchimbaj, _scriptes_, _تەگمەي_, 
   {{0x93dc00ab,0x89ec0040,0x90600397,0x00000000}},	//   _arawa_, _שהחברה_, _anesidin, --, 
   {{0x7cda0314,0xaf9e02ac,0x7b11018b,0xe26300de}},	//   _авгусҡа_, _بحدود_, _garsonie, _balubhal, 
   {{0xecaf03fa,0x422300bb,0xd86e02a3,0x0e7800be}},	//   _ब्लीडिंग_, _المکان_, _apostels_, _ساحنالار, 
   {{0x12920064,0xffab0105,0x4f8b00c7,0xb26300dc}},	//   _posant_, _रस्तोगी_, _яныңда_, _kilikiti_, 
   {{0x4fc2014a,0xd3dc036a,0x585d0011,0x0af300aa}},	// [370] _باذوق_, _erawa_, _abonered, _goeringe, 
   {{0xa0bc0036,0x829003b0,0x1fd50281,0x7b8401fe}},	//   _ايميلك_, _rikare_, _allinngo, _vonovono_, 
   {{0xe27f0196,0xb6cd036c,0x85920040,0x6863000c}},	//   _amuna_, _ampangai, _יחצנים_, _ҷолариа_, 
   {{0xf2c60119,0x00000000,0x00000000,0x00000000}},	//   _gorlice_, --, --, --, 
   {{0x7e3d0169,0xaf74012a,0x44a30255,0xe2b503fb}},	//   _সাতটি_, _katarzyn, _ज्ञानदर्, _ubacim_, 
   {{0xb1b002ec,0x30d00002,0x2ed40326,0xdab701ab}},	//   _پۯژھاں_, _radoznal, _avaizvin, _मुअड़ी_, 
   {{0x040c03fc,0xf2d803a4,0x42910310,0x00000000}},	//   _terningk, _avlesa_, _scran_, --, 
   {{0x49320352,0xd3ea00cd,0x52920334,0x4c97006c}},	//   _ঘটায়_, _spitex_, _duwalo_, _бетарафи_, 
   {{0x620103ab,0xe7cf0276,0x52d80241,0x46bd0060}},	//   _mobilu_, _амалисз_, _adhee_, _күресу_, 
   {{0xc26c00ac,0xc655016d,0x1dc400aa,0x1618026f}},	//   _samog_, _бушниң_, _bisitaha, _بەرۇىڭدى_, 
   {{0xf38703b5,0x02830282,0x426c03fd,0x524800ae}},	//   _kearah_, _kaikaha_, _mamoe_, _idomwa_, 
   {{0x727e00a1,0xfdb400bc,0xc7e802d3,0xf2fd0148}},	//   _meinga_, _نوموس_, _recarreg, _genitor_, 
   {{0xec4f024f,0x171a03fe,0x49c700be,0x83fa020e}},	//   _ikawalu_, _спиртные_, _далалат_, _furung_, 
   {{0xc8dc023d,0xd31600e9,0xac4f0053,0xc08b0109}},	//   _купих_, _konze_, _जीवनावर_, _holící_, 
   {{0xfe1d02bc,0xf38703ff,0x290500a6,0xa20e000c}},	//   _jeremaia, _mokré_, _akwanefu, _иараа_, 
   {{0x93dc00a6,0x934f0400,0x4311019a,0x69ec03eb}},	//   _isiwe_, _rimetti_, _dooblet_, _buurland, 
   {{0xc56102ac,0x00000000,0x00000000,0x00000000}},	// [380] _مشاجرة_, --, --, --, 
   {{0xe8750091,0x92e90285,0xb6450076,0x12e6007b}},	//   _frenchlu, _kurinda_, _плодови_, _swingin_, 
   {{0xe29000cf,0x0e5103b5,0x1298004d,0xc43400cb}},	//   _ummata_, _hilangka, _高雄市政府_, _akakubek, 
   {{0x1375005e,0xa26c00c0,0x3f0d037b,0xb3e001a3}},	//   _ﭘﯘﺭﺳﻪﺕ_, _tamod_, _cercanas_, _ضياءُالح, 
   {{0x6c7c0245,0x0f5b0386,0x3d1a02ac,0x82ca0057}},	//   _agarkar_, _memandan, _معتمدة_, _realiti_, 
   {{0xb2ca0286,0x874c023c,0x19e60111,0x01bf0064}},	//   _adidie_, _دترهګرو_, _allocala_, _immersió_, 
   {{0xcdbc0104,0x2e430401,0x7ba40092,0xd3420278}},	//   _sikayise_, _युद्धविर, _発明が解決しよう, _kasehan_, 
   {{0x92a70065,0x69c1002c,0x487d011a,0x70e300d0}},	//   _lieber_, _bereizte, _complies_, _aliatuek_, 
   {{0x016f0402,0x7a110040,0x1f05038a,0x6f510234}},	//   _wajiblah_, _impairme, _brujokun, _olówò_, 
   {{0xa2e30126,0x8d3102ac,0x6f5c0403,0xd2e400f4}},	//   _нормами_, _الجحيم_, _andanian, _buannic_, 
   {{0xe3f900a4,0xbcbe0404,0xd0630405,0x169700b7}},	//   _recurs_, _megabaru_, _подорож_, _bejerili, 
   {{0x427e01e6,0xb3410220,0xb3ea01d2,0x22da02a1}},	//   _podnik_, _esterna_, _ayata_, _strepe_, 
   {{0x73c700d6,0xc65001a3,0x4dc400ed,0x7b7500ee}},	//   _corparái, _الھندي_, _gisiraha, _удбэт_, 
   {{0x937f00d1,0x12c602bf,0x52000226,0xfe510197}},	//   _স্বত্ত্ব, _abulale_, _ajiili_, _deranjma, 
   {{0xb86c0197,0x32000318,0xb3ef0153,0x434200c0}},	//   _asistans_, _keniā_, _julebryg_, _basehan_, 
   {{0x1dd00406,0x2a9302c9,0x12ee000b,0x00000000}},	//   _तुर्कमेन, _доведит_, _leafi_, --, 
   {{0x1bd90192,0xaf4f032b,0x52a601b6,0x9c02019e}},	// [390] _지식전문가_, _قورقۇش_, _timber_, _jausmas_, 
   {{0x306001c5,0x2e480037,0x9097004d,0xbda60407}},	//   _الانزٕ_, _እውነታው_, _會像汽油彈似的立, _zaposlja, 
   {{0x6ec80256,0x3f820157,0xec920338,0xb2000408}},	//   _eksemplā, _मक्के_, _augsborg_, _fanilo_, 
   {{0x09db0409,0x125a03eb,0xb59502af,0xc4720074}},	//   _japonica_, _vallei_, _jururyak, _saatanan_, 
   {{0xf2da040a,0x209f0061,0x4290029b,0x7eb10408}},	//   _titeln_, _지방자치단체_, _dolaar_, _antontan, 
   {{0x2e4e040b,0x524a0158,0x596c0312,0xedd4000c}},	//   _ramabula, _firmą_, _stankade, _геликоно, 
   {{0x13990017,0xd9c001d4,0x6d0301cd,0x3af40322}},	//   _lásce_, _interdet, _суғуртаи_, _ariruhut, 
   {{0xd28701bd,0x285402ac,0xc7ce02ba,0x199c0082}},	//   _ءومىردىڭ_, _طوكيو_, _alotshiw, _bankwana_, 
   {{0xf9fe02da,0x6ce20052,0x19e802e5,0x3d7e00dd}},	//   _casament, _रिपोर्टर, _camiónpe_, _deimlada, 
   {{0x3200002e,0xddfd040c,0xdcc802da,0xefd6002b}},	//   _knjigu_, _generova, _заложнич, _সৌন্দর্, 
   {{0x59bf0170,0x2c7e007b,0xf2480176,0x2b9c00da}},	//   _akavumbu, _blushin_, _fremad_, _centrală_, 
   {{0x2bc4017d,0x7f3d01c7,0xa53e0227,0xc2900068}},	//   _この記事のトラッ, _башламак_, _karierny, _inkale_, 
   {{0x8a340247,0xe29501b5,0x39ce029e,0x00000000}},	//   _تسلیت_, _efrayimi_, _eveldomp_, --, 
   {{0x1f620105,0xa941040d,0x9a10003b,0x889700d6}},	//   _संस्थाएं_, _kholofet, _angameme, _ترتبط_, 
   {{0x1e530002,0xeeac01ff,0x5c29040e,0xbe9700e0}},	//   _hrabrost_, _postovne_, _årsklass, _fertriet_, 
   {{0x45a3000c,0x1d160025,0x58b80040,0x638001c4}},	//   _ajesarek, _ahorātrā, _מתורגם_, _betrek_, 
   {{0x55de040f,0x6e3c00da,0x7b910410,0x4d1d02a3}},	// [3a0] _военачал, _ачяста_, _lokilego_, _onnodige_, 
   {{0xf1e10255,0x030302a2,0xea2602eb,0xd2940156}},	//   _हमारो_, _pamagat_, _ярихыг_, _זנוויל_, 
   {{0x92da02c2,0x70ba0109,0xb5870411,0x00000000}},	//   _strewe_, _šuplíku_, _балету_, --, 
   {{0xc63b032e,0x8aea00ae,0x2c7c034a,0xfa5f0288}},	//   _lakirapx, _ararifat, _terreos_, _rangaeta_, 
   {{0x3049014f,0xc8000199,0x0c7d0222,0x766700ee}},	//   _периоду_, _danchoiv, _fournir_, _биберт_, 
   {{0x562401ef,0x27ba023e,0xd6890045,0xd3f4025e}},	//   _слушна_, _تفکرات_, _кадровск, _bettý_, 
   {{0x27cb0359,0xc3ea0412,0x11be0230,0xbc620057}},	//   _hearrenf, _esithi_, _lanmerdm, _sapukan_, 
   {{0xe38b0060,0xffab02e4,0xa50b004d,0x861e03ab}},	//   _апаратын_, _detentur_, _閱讀排行榜_, _pranosti, 
   {{0x627e0172,0x33c500bb,0x561d0013,0xdf550013}},	//   _mpontu_, _کارندے_, _aralashi, _булмиш_, 
   {{0x5f620157,0xe61e0258,0xdd6d0413,0xf294023b}},	//   _संस्थाओं_, _ferneati, _crustáce, _paakiki_, 
   {{0x52f0029c,0x984702ba,0x014501ab,0x0a07003c}},	//   _danieli_, _раками_, _खोईंछा_, _antarkut, 
   {{0x0bb7032d,0x3d1701a3,0xc23a0414,0x65850107}},	//   _маршрутт, _لنگھيو_, _kwamutu_, _critakak, 
   {{0x67f8020a,0x83f903b4,0x00000000,0x00000000}},	//   _زارلىسىن, _ayeuka_, --, --, 
   {{0x42d90073,0xc0630211,0x02be02e1,0x00000000}},	//   _arbores_, _потеря_, _بالادارة_, --, 
   {{0x227f004f,0xfb8701e9,0x4815003e,0x00000000}},	//   _amunu_, _dikokelo_, _буласає_, --, 
   {{0x53870191,0xe15b0277,0x12b402ee,0x2a9d01fe}},	//   _undrar_, _sportboo, _bicca_, _qorinias, 
   {{0x8abc00c5,0x7cf40060,0xa05a0291,0x947b0166}},	// [3b0] _如何贡献知识_, _جىينالىس, _يسافر_, _befunden_, 
   {{0x6af901cd,0x1f3403b0,0x0d8700aa,0x00000000}},	//   _abashint, _svarteda, _hellicop, --, 
   {{0xf27e000e,0x12d802d5,0x223a00a1,0xfa7d0156}},	//   _abonat_, _mehed_, _awamutu_, _מיטעלסטע_, 
   {{0x02d80255,0x8486006f,0xd56500b7,0x07060156}},	//   _lehed_, _اطالوي_, _artjakdy, _הילאַרי_, 
   {{0x29560211,0x8a6b01f0,0xe1500060,0x129103ee}},	//   _sellaine, _bommagis, _بىلوگتار_, _manjine_, 
   {{0xe47b0415,0x1f720147,0x00000000,0x00000000}},	//   _gefunden_, _انىعىراق_, --, --, 
   {{0x724503ff,0x1e950416,0x83eb00a6,0xb21503b6}},	//   _rámci_, _contenet_, _esathi_, _ló̟wó̟_, 
   {{0xd27f01d2,0xa3fd0371,0xfbec00ed,0xe33702d6}},	//   _adanna_, _априлци_, _inhenyir, _минора_, 
   {{0x526d019d,0x94a50147,0x89c40417,0x00000000}},	//   _ataona_, _قوچەگارگ, _geadvert, --, 
   {{0x13160362,0xfa920172,0xa584007e,0xa2910148}},	//   _konzi_, _nsonsons, _नियोगतः_, _dicant_, 
   {{0x29490265,0xaf620139,0x617c011a,0xa21f0255}},	//   _kenmerke, _संस्थानं_, _diminish_, _nähes_, 
   {{0x23f40077,0x17a7014a,0xde450196,0x747b0227}},	//   _mouton_, _سفاری_, _angawaga, _meneguhk, 
   {{0x2a0d020d,0x727e02ec,0x12ef0165,0x92900076}},	//   _kubasaba_, _idinla_, _taniela_, _aikade_, 
   {{0xcb0302a9,0xae20005e,0xf01601e6,0xa9f600bb}},	//   _моздок_, _ﺧﺎﻟﯩﻐﺎﻥ_, _židovské_, _روٹین_, 
   {{0xc20e01f4,0x42ff00f1,0x83ea01fe,0x3f6b0222}},	//   _караб_, _lasiyer_, _iyatu_, _densité_, 
   {{0x7249034e,0xc8320041,0xd2c40187,0x38470041}},	//   _amamá_, _иҭҵаатәу, _недозвол, _саҭааит_, 
   {{0xdb88036d,0x2e3b0343,0x592003f8,0xcc14027b}},	// [3c0] _bacioter, _makapapa, _paschohd, _शुक्लधर्, 
   {{0x12ea03cf,0xc73c0076,0x18a3034c,0x625100c1}},	//   _verilen_, _фокусира, _русларга_, _माळेचे_, 
   {{0x62910010,0x19870418,0x4a5f01a0,0x1c2c0333}},	//   _ancabe_, _çikolata, _maveleka_, _assitatu_, 
   {{0x1be5017e,0x07910244,0xd7ee020d,0x22d8002a}},	//   _interpar, _costitui, _barahung, _mehee_, 
   {{0xf28702ac,0x24cb0419,0x4a6202ea,0xa4730308}},	//   _عفواً_, _टोकियो_, _esigenza_, _tertelan_, 
   {{0xbda9036f,0xf95b02a5,0xb20200a1,0x368f03bf}},	//   _nastavku_, _होमस्टे_, _kauika_, _disebedi, 
   {{0x0493041a,0x726c02fb,0xf1ef0352,0x79c70064}},	//   _стратегі, _atiola_, _দিশবিন্য, _бабажан_, 
   {{0x5fbd0097,0xb34b038f,0x72b4004f,0x92b30326}},	//   _abaniṣer, _kemeret_, _picci_, _abudisa_, 
   {{0xf27c01a4,0x847100ee,0xe27e00cb,0xd3dc00bd}},	//   _agangaki_, _kontutan_, _abonge_, _craws_, 
   {{0x079102ea,0x621d00c7,0xe9950362,0x73010089}},	//   _sostitui, _намус_, _konkanga_, _gafarov_, 
   {{0x29640244,0xb99d0125,0x48fb005e,0x7d93000d}},	//   _coinvolt, _халыс_, _بىگۇناھ_, _paberile_, 
   {{0xe28702e2,0xcf5b02f6,0xe75100bb,0x00000000}},	//   _ciliary_, _palagian, _اجوائن_, --, 
   {{0x93dc0140,0x5356029a,0x5c5c0142,0x15d800b0}},	//   _asawa_, _detenir_, _देवेश_, _saacadah, 
   {{0x327f01d2,0x3eea02ac,0x6d0a0028,0x29270033}},	//   _adanda_, _أستون_, _sharmaar, _calculau, 
   {{0x79e300c1,0x2fe80059,0xac6e0046,0x30380061}},	//   _kalibata_, _метрото_, _aporten_, _나타납니다_, 
   {{0x7572001c,0x10050291,0xfef10331,0x00000000}},	//   _lietavsk, _اخواتى_, _elskarin, --, 
   {{0xf37a041b,0xa7cf0061,0xfc5603b2,0x632200a8}},	// [3d0] _tamabil_, _사용편의성에_, _wartime_, _barchas_, 
   {{0x9f960044,0x82a6041c,0xd8e3032d,0xc287028e}},	//   _איילון_, _cimbir_, _сумып_, _wilkere_, 
   {{0x344202b9,0xb2ca018b,0x84870211,0xf74c0313}},	//   _محافظوں_, _ovidiu_, _билета_, _qavitbej_, 
   {{0x8fae0397,0xc1ed03f0,0x97ae00c7,0xbc6603fb}},	//   _балке_, _fullorði, _билге_, _sastaju_, 
   {{0x1a73041d,0xb23803e5,0xcf4f0143,0x6d3b00b4}},	//   _obično_, _gramati_, _proporre_, _paginile_, 
   {{0x1ae302a2,0x134f0032,0xa8e9041e,0xc20002ea}},	//   _talumpat, _damevdi_, _agrestì_, _panico_, 
   {{0xdb2b0107,0x40d60236,0x00000000,0x00000000}},	//   _adhaptas, _čarolija_, --, --, 
   {{0x22fd0306,0x02e601d2,0x60ee0213,0x75da02fe}},	//   _purge_, _adaneva_, _названий_, _نصیراحمد_, 
   {{0x7aa6041f,0xd06e02b7,0xfb1a005e,0x8271012b}},	//   _yebhayib, _tagaaboo, _ﻳﯧﻨﯩﻐﺎ_, _opiniami_, 
   {{0x823801b9,0xc29100b7,0x99c6013d,0x02d90003}},	//   _dramati_, _abray_, _posedant, _lezers_, 
   {{0xc35f02a3,0xa2d502fd,0xf2fc0420,0x38360205}},	//   _langste_, _chromba_, _meninos_, _мушкулку, 
   {{0xfe480037,0xe62c0141,0xa63e013a,0x00000000}},	//   _በጥንታዊ_, _ittifoqi, _kinneksw, --, 
   {{0x11ed03f0,0x7ae001bf,0xfae00153,0xf9e300b4}},	//   _fullorðn, _forutset, _forudbet, _ridicata_, 
   {{0xbadf0089,0x89e50397,0x53b503ee,0xe0d10227}},	//   _delegats, _indodana_, _imovina_, _menonjol, 
   {{0xe26c02e7,0xfc1b02a9,0xdbb0000d,0xc727004d}},	//   _namon_, _verslą_, _elektrir, _臺灣學生書局_, 
   {{0x12e20148,0xe2f50094,0x5cbe002b,0x0cb402c1}},	//   _皆為部落長個人提, _сыймай_, _ভাবগাম্ভ, _babyakir, 
   {{0x77d100be,0x72ea033d,0xd9f002a8,0x79ea0038}},	// [3e0] _اشىشىن_, _meriken_, _kannella_, _итэргэ_, 
   {{0xeb8b01d2,0xafdb0162,0xcdbf0282,0xd3940421}},	//   _akunapir, _киләдурм, _mauritau_, _gibst_, 
   {{0x6d2b0169,0xa1cc033e,0xf3010422,0xeecd0297}},	//   _প্লাজার_, _сымам_, _odpadki_, _башланса_, 
   {{0xbd89026f,0x5aa60104,0x10c1005b,0x22f500d2}},	//   _ءبادىك_, _webhayib, _tilladel, _ngintip_, 
   {{0xfb03013a,0xa34200c1,0x9628006f,0x00000000}},	//   _bauschut, _एकसंध_, _خوشنصيب_, --, 
   {{0x8a600212,0xdaec01d1,0x829002d5,0x026402e7}},	//   _jailhous, _accessib, _pikalt_, _isulti_, 
   {{0x22da02f3,0x1f5d0301,0x127f03cf,0x37b90150}},	//   _adress_, _kitabxan, _zeynep_, _sakrifai, 
   {{0x037802b6,0x8ec60046,0x2296028f,0x4958021a}},	//   _мәтел_, _таптык_, _maikuku_, _diilalle, 
   {{0xe25600d1,0x552c0360,0x335600c5,0x9ea600f4}},	//   _মাম্বা_, _मुरारकाक, _retenir_, _bublikan, 
   {{0x7a5f0245,0x9d2c00ba,0xeef30037,0xa2dc02ea}},	//   _dangstep_, _بدۆزرێته_, _ታዛቢዎችን_, _laterali_, 
   {{0xc26c004b,0xcc74018d,0x3d9b0108,0x72c70423}},	//   _kamoo_, _ምስምሳት_, _mangpaat_, _produkci_, 
   {{0x43e5012b,0x2a090073,0x42e90424,0x77ff0040}},	//   _wątek_, _megahert, _cercetăr, _המחדל_, 
   {{0xf2dc00ec,0x526c00e1,0xea14002e,0x1e050119}},	//   _vadovai_, _damoo_, _izjavama_, _nordvorp, 
   {{0x937b00c3,0xef8b0425,0xb2ca0116,0x64890019}},	//   _senatum_, _شساغی_, _heidit_, _бизнесиб, 
   {{0x2504036d,0x89600426,0x552f01f0,0x00000000}},	//   _ciallach, _माउन्ट_, _ipapatso_, --, 
   {{0xe3030427,0x22e2028e,0x32360428,0x21370161}},	//   _ahianit_, _kaunsol_, _alojz_, _камнями_, 
   {{0xa26c008d,0xe42100a5,0xe18900b3,0xf3f101f0}},	// [3f0] _zamon_, _fakalogo_, _рахманбе, _dibeseng_, 
   {{0x529003cf,0xc2c60405,0xeaa801a3,0x86c800de}},	//   _hikaye_, _skammer_, _جياپو_, _قبیلوي_, 
   {{0x5aca004a,0xfbf502c7,0xce520429,0x5dff00ec}},	//   _atlanıp_, _immernoc, _hidangka, _atleista, 
   {{0x816301db,0xead3031e,0x00000000,0x00000000}},	//   _сұңқар_, _pretvore, --, --, 
   {{0xae4302af,0xc26c01d9,0x13dc0294,0x9557030d}},	//   _bakanaya, _namol_, _arawi_, _jurnalın_, 
   {{0xf224036c,0x19a9005e,0x945000bf,0x00000000}},	//   _azoko_, _ئىپلاس_, _вступят_, --, 
   {{0x12fc0270,0x0ff30157,0x20e4026c,0xe959018d}},	//   _camisas_, _कलाकारों_, _fringill, _ኣርሒቖም_, 
   {{0xdbc20128,0x115d03bf,0x229200bc,0x5f040164}},	//   _عبداللطی, _adiology_, _kirang_, _сүрди_, 
   {{0xdc670120,0x12920245,0xe3200112,0xc22a0040}},	//   _addunya_, _jirang_, _amnya_, _ודמיון_, 
   {{0xb292010b,0xb3e502dd,0x226c005a,0x58e0042a}},	//   _dirang_, _modulari_, _damol_, _bangumnd, 
   {{0x84440037,0xe2e300e7,0x9302033f,0x00000000}},	//   _ማጎልመሻ_, _arutonay_, _tanatou_, --, 
   {{0xedda026c,0x32d5041c,0x3b6a0034,0x7c530255}},	//   _鋼筋混凝土造_, _dollent_, _afneitun_, _बारेन_, 
   {{0x6d9103e0,0x42ef002f,0x122a0213,0x1f1d02e9}},	//   _fotograp, _alhirya_, _досай_, _destroza, 
   {{0xa31e0254,0xd6bf01c9,0xe30502df,0xf292042b}},	//   _fracaso_, _geograaf, _diaorang_, _posade_, 
   {{0x1c760087,0x8ca903d4,0x1905041c,0xf3ee0294}},	//   _emirini_, _пречисти, _latajjid, _huertapi_, 
   {{0x2b63042c,0x926c008d,0x548e01be,0x5b6f0350}},	//   _javnošću_, _kamol_, _okouzluj, _ለማደናገር_, 
  
   {{0x339c00d5,0x327e02fd,0xd2d800bc,0xedc0009a}},	// [400] _fanatanj, _beinna_, _adhem_, _andikuma, 
   {{0x22890298,0x48f802af,0xb6ab012a,0x4b25028d}},	//   _marangai_, _barawutu, _selektyw, _propriyt, 
   {{0x30020036,0x92cc029b,0xca9200a6,0xdd9400da}},	//   _استراتيج, _fullaal_, _banyanze, _continuu_, 
   {{0x4c2503ba,0xadac00aa,0x9d0e0162,0x539c042d}},	//   _akaberer, _aronmada, _مۇشەررەپ_, _hanatanj, 
   {{0x3f2b01cc,0xa27f019d,0x1a6a0122,0xcc91017f}},	//   _manushya, _adanka_, _وفناوری_, _dollareq, 
   {{0x29e70145,0xfe9b042e,0xf8590420,0x7f780311}},	//   _басейне_, _sekundet_, _aguardar_, _ብዘጽደቖ_, 
   {{0xaac9001d,0x96cd00bc,0xd2e50321,0xaf4d0156}},	//   _verworfe, _budayani, _vrhnika_, _סיורא_, 
   {{0xf9fc042f,0xec7502f6,0xe70203a2,0x00000000}},	//   _hiqiniup_, _klaseng_, _मिदनापुर_, --, 
   {{0x7a5d034d,0xa6bc0249,0x8754034d,0x06d9005b}},	//   _diterima_, _bagarapi, _keuntung, _simpelth, 
   {{0x570c0061,0x904601b3,0xd27e0211,0x26440396}},	//   _레저스포츠_, _тематику_, _keinoa_, _edukatti, 
   {{0x4adf0089,0x3be501a1,0x3200002c,0x1a9801e7}},	//   _federats, _uiteraar, _amaia_, _artistes, 
   {{0x0d260430,0x02fc008d,0xf80d0086,0x041d03b4}},	//   _yorodane_, _samarasi_, _interjúj, _govaniso_, 
   {{0x39f602e3,0x5ef902c0,0x49530155,0xdc450244}},	//   _khuân_, _легално_, _emellert, _еврейска, 
   {{0x3e4701f9,0x6c710431,0x996a0432,0x9b1f0115}},	//   _bayahlup, _akersgt_, _revidere, _jimatkan_, 
   {{0x527f00dc,0x08620170,0x73b502c3,0x79e30205}},	//   _afanua_, _achosalu, _slovana_, _ботаман_, 
   {{0xc1890433,0x126c003f,0xc36f0084,0x00000000}},	//   _barangay_, _mamob_, _cangcut_, --, 
   {{0x29f50434,0x3ae902c9,0x324803ae,0xb15f0230}},	// [410] _comienza_, _невастэ_, _rammet_, _savreemo, 
   {{0xfc0a0342,0x515601d5,0x35c501f6,0x42480130}},	//   _ekipman_, _رائٹرز_, _আধাৰিত_, _sammet_, 
   {{0x088700ff,0xe9f90226,0x00000000,0x00000000}},	//   _זענטס_, _kukapere, --, --, 
   {{0x17090331,0x322d0397,0x76af020f,0x26820168}},	//   _skattaló, _abavusel, _baluluth, _lovendri, 
   {{0x815902c0,0xeaec029a,0x1a970435,0x637802e7}},	//   _насилств, _toulmonn_, _иринеј_, _kuwarta_, 
   {{0x225a038c,0xc27e00a9,0x8ea9032b,0x3341004b}},	//   _zemlju_, _mbonye_, _һәрмиллә, _lateloa_, 
   {{0x049b0037,0xa331000c,0x22f802dd,0x00000000}},	//   _ተስፋፍቶ_, _mosusũmb, _iskontij, --, 
   {{0x427e0034,0x32ee03da,0xf2fa0291,0x1e6d032d}},	//   _seinna_, _agafe_, _dhílseac, _болғана_, 
   {{0x214b002b,0x00000000,0x00000000,0x00000000}},	//   _এমপিথ্রি_, --, --, --, 
   {{0xde9b00ed,0x00000000,0x00000000,0x00000000}},	//   _bindings_, --, --, --, 
   {{0xa43a018d,0x22e5006f,0x027e0069,0xe83e0220}},	//   _ብወተሃደራዊ_, _kuingia_, _abonye_, _линка_, 
   {{0xec820265,0x23160436,0x63400058,0x723600d1}},	//   _lovefund_, _izaberi_, _eblebon_, _সন্দেহযু, 
   {{0x243d03d0,0x8ae7002b,0x3f2302e0,0x0ac901d9}},	//   _اسكندر_, _প্লাবন_, _bonelwan, _verwerfe, 
   {{0x1e9b0044,0x02d90415,0x275500d1,0x7c810167}},	//   _findings_, _lebens_, _অনুভূতিৰ_, _cardbord_, 
   {{0xa2b502d8,0x19d600c7,0xe20e0188,0xff140437}},	//   _sisca_, _басудан_, _нарав_, _hormoner_, 
   {{0x13eb023d,0xdbe000b3,0x00000000,0x00000000}},	//   _dietro_, _borekber, --, --, 
   {{0xedcd0092,0x83f8041e,0x00000000,0x00000000}},	// [420] _みんなの評価_, _beauf_, --, --, 
   {{0xb2d5036c,0x72bc00bd,0x196b0315,0xd2b50008}},	//   _fotoana_, _disdain_, _balinyat, _visca_, 
   {{0x42d50438,0x7d7b0439,0x0975003f,0x127f012a}},	//   _kuponya_, _anamanya, _chonobme, _zdania_, 
   {{0x13f4013f,0xc407006c,0xefd0002b,0xfc5c00bd}},	//   _boutin_, _баркро_, _শারফুদ্দ, _littlin_, 
   {{0xa9a60144,0xf2ea013f,0xe30200ab,0xe267002c}},	//   _اوريفليم_, _berniet_, _manapou_, _дебут_, 
   {{0x7f4f029c,0x526d013f,0x589301bd,0xc2130115}},	//   _chipolop, _aguok_, _батырлық_, _loghat_, 
   {{0x3290023b,0x938a00dd,0xfc7600b4,0x7cf30422}},	//   _aikane_, _annynol_, _lacrimi_, _ventilov_, 
   {{0x550701b2,0xc46c0024,0xfd790234,0x530e001e}},	//   _dihedral_, _বিপদত_, _kórogún_, _dubatar_, 
   {{0x427e020d,0xf2300316,0x2966008c,0x32a903e7}},	//   _ubonye_, _anambra_, _alpinave, _inowrocå_, 
   {{0xf27e0272,0x007e043a,0x2d8b0211,0x319f0061}},	//   _munne_, _eleblimo, _sekoitta, _엔지니스트_, 
   {{0x85f9018d,0xeb20023c,0x09f00204,0xb6260397}},	//   _ንሓባራዊ_, _angakumb, _rannalla_, _akholeki, 
   {{0x02fd0059,0xe341009a,0x02a700cd,0xf1c9004d}},	//   _viaggi_, _دنیاو_, _sieber_, _小宇同學就是我_, 
   {{0x91c60321,0x6c1f02bc,0x51d100e7,0xfc5100d3}},	//   _postopek_, _serampor, _agueplay_, _उपवेद_, 
   {{0xa27f01ac,0x4bd50046,0x62450299,0x9fd0043b}},	//   _teanga_, _музейге_, _تۆشەكتە_, _phaipeir_, 
   {{0xdc71003d,0xf96c043c,0x2f910005,0x23f400db}},	//   _avertit_, _brincade, _bandunar_, _kerttu_, 
   {{0x187d02d9,0xb248017c,0xd2fd0341,0x00000000}},	//   _agaifanu, _jimmie_, _kurgu_, --, 
   {{0x9c7d03f2,0x4aa20311,0xcee6005b,0xec5c00bd}},	// [430] _viestin_, _ስነፍልጠት_, _bodymake_, _kittlin_, 
   {{0xed0d026b,0x623a02b2,0x627e03f3,0xa30d004c}},	//   _нaвιт_, _прогнозо, _dunne_, _asibira_, 
   {{0xe788005e,0x5f3b038f,0x9f370416,0x1c2a0061}},	//   _مەھبۇبۇل_, _ankounac_, _georgica, _인천광역시의회_, 
   {{0x8d3c0365,0x827e03b0,0x4ae40165,0x138703ad}},	//   _velikost_, _funne_, _draunipe, _amerka_, 
   {{0x337200c0,0x00000000,0x00000000,0x00000000}},	//   _bayaang_, --, --, --, 
   {{0x1e45043d,0x60ae0040,0x6e46019b,0xc98a03ff}},	//   _melangga, _יורוליג_, _муніцыпа, _simča_, 
   {{0x437f018e,0x63050208,0x32ea01b4,0x529000e9}},	//   _arhamba_, _سوعاد_, _verniet_, _sikane_, 
   {{0xd27e042e,0x050d0013,0x42fd01f1,0x0b7f0080}},	//   _kunne_, _germaniy, _burgu_, _ecogreen_, 
   {{0xd3a203b6,0x0e48009a,0x650d004d,0x94760022}},	//   _aropin_, _شيمون_, _將貨品運送到其他, _процесы_, 
   {{0x0249001f,0xeda800ee,0x6c6602cb,0x8bf5043e}},	//   _atemmu_, _arriskua, _nastaju_, _excedenc, 
   {{0xd2ed031f,0x3d1800a4,0x5a9500bf,0xefe5041c}},	//   _typiske_, _جالبىراق, _десятках_, _elektoro, 
   {{0x0ea60388,0x3c7c03ba,0x03a20259,0x5c720287}},	//   _направи_, _oppress_, _dropin_, _चितुवाले_, 
   {{0x219500e8,0x51f7002b,0x3e3b00af,0xe27f0198}},	//   _ababekul, _উত্তোলনে, _kvinners_, _zmenki_, 
   {{0x00000000,0x00000000,0x00000000,0x00000000}},	//   --, --, --, --, 
   {{0x9f5d00d5,0xd3160396,0xcdd20297,0xcecd0187}},	//   _fitafian, _gonzi_, _balkanda, _autorais_, 
   {{0xf8450143,0xdc8a002b,0xfc7c02c9,0x56a8020f}},	//   _възторже, _নামধারী_, _chestia_, _دژغورنې_, 
   {{0x02920061,0x9a460135,0xec8a00d1,0xb6690013}},	// [440] _의미합니다_, _atletiqa_, _নামধাৰী_, _даргоҳид, 
   {{0xe3940240,0x18640161,0x8d1e0271,0xaed9010d}},	//   _monson_, _сервисам, _infoside_, _berimbas_, 
   {{0x5613035d,0xd287039f,0xdd9801c4,0x62d900cd}},	//   _narednom_, _biliary_, _seleksie_, _debels_, 
   {{0x19cc00a6,0xb8490037,0x205d02c0,0xb281000d}},	//   _ذهنیت_, _ክፍልፍል_, _правните_, _kuskile_, 
   {{0x83e700d3,0x247f01dd,0xfcbc03b0,0x8292043f}},	//   _výtok_, _bagezeho_, _ব্লগৰ_, _štali_, 
   {{0x7b150148,0x2277012b,0xf24800c3,0x6e1a0227}},	//   _地圖放大檢視_, _maksymal, _animam_, _kegemuka, 
   {{0xc8b900c5,0x726c0172,0x011c02d3,0x9a7e00e6}},	//   _第四十一条_, _damoa_, _куманово_, _还没有评论_, 
   {{0xfcb50440,0x73f80298,0x1224009b,0xee400441}},	//   _yaryakir, _kukume_, _azoka_, _uplatnit_, 
   {{0xbe450442,0xc2200010,0x02010016,0xdc1c0119}},	//   _gelangga, _atikasim, _vizitu_, _abaracos, 
   {{0x8a45004c,0x03f80099,0xd7e7014e,0xba7b01de}},	//   _ajeemera_, _eliud_, _хитлера_, _сәдібеко, 
   {{0x47090331,0x5e180185,0x6189014a,0xb9b40035}},	//   _skattalæ, _aspektla, _önbizalo, _алырбыз_, 
   {{0xf2ee0118,0xebe101d9,0xd40a0037,0x5a3e0089}},	//   _agafa_, _gewerksc, _የባለሙያ_, _башлаган_, 
   {{0x3d8300d6,0xe22b0177,0xbe170443,0x82e30158}},	//   _gaileara, _актиор_, _dipersoa, _reformy_, 
   {{0x9d4d0427,0x2899017d,0xc60f02ac,0x139501df}},	//   _aupayaaq, _インフォメ_, _ملتميديا_, _birse_, 
   {{0xd3f800ab,0x39e20148,0x9483002c,0x22910434}},	//   _aukume_, _matthaeu, _гепатиты, _encaje_, 
   {{0x2976042f,0x365e01cb,0xb34500e6,0xc7520444}},	//   _nalipkut, _yanikelw, _天津农业信息网_, _берлинер, 
   {{0x0aa60104,0xe2cb00fe,0x8c070170,0x62910040}},	// [450] _bebhayib, _aololoa_, _amathans, _scrap_, 
   {{0xb2f500d6,0xf35702cb,0x3acb023d,0x40440010}},	//   _laistigh_, _parfema_, _евгени_, _ingumfan, 
   {{0x02b000d9,0x6292039f,0x827e0022,0x8f860040}},	//   _здравоох, _dosage_, _econet_, _לסגירת_, 
   {{0x4e45034d,0x72b50445,0xbb1d00b8,0x925a0446}},	//   _pelangga, _risco_, _mantaña_, _prelog_, 
   {{0xcd3401f2,0xbe17038b,0x037f02d4,0x6b5c004c}},	//   _نېفىت_, _menerima, _fidanza_, _alimalir, 
   {{0xc3f8026c,0xd2c90265,0xa7890076,0x4c3400da}},	//   _aliud_, _tpholic_, _некого_, _localnic, 
   {{0x33fa014f,0x9333004d,0x43800037,0x00000000}},	//   _veruju_, _只有換個情人這件, _letrik_, --, 
   {{0xa27a02a2,0x7216003e,0x5b1f033d,0xadb9031a}},	//   _pamimili_, _террорға_, _eklatman_, _imrichea, 
   {{0x2d57027e,0xc3870044,0x308e00ff,0xc00c0074}},	//   _назван_, _nearby_, _טולבאקס_, _ускорени, 
   {{0xb340032d,0x89050006,0x33f2004b,0x8832005e}},	//   _akgelwa_, _menanggu, _boreneng_, _داخىل_, 
   {{0x80ce00b3,0x58e10447,0x9e5c0037,0x00000000}},	//   _bellenil, _azigogod, _የማሰልጠኛ_, --, 
   {{0xeb4203ab,0x1b0d0420,0xdc6d01a6,0x04400282}},	//   _doporuču, _производ_, _huirapa_, _kaikutik, 
   {{0x968f016e,0x905f0153,0xfeaa0147,0x5023020e}},	//   _istemedi, _一言メッセ_, _شىبىرت_, _kasetoro, 
   {{0x17ae0448,0xe9da018d,0x637902d4,0x127e0211}},	//   _forebygg, _ዝተታሕዘ_, _avantatg_, _meinaa_, 
   {{0x375d020f,0x6c7301d7,0x97eb0131,0x79fc008e}},	//   _andicing, _spartas_, _cristián_, _jamasant, 
   {{0x426e005b,0xe200005b,0xd5790041,0x32920449}},	//   _espoir_, _qmail_, _iñoficín, _dosade_, 
   {{0x79440151,0xb46b0074,0x52b500e2,0x6dad01c8}},	// [460] _adultere, _menestyk, _ansck_, _postavou_, 
   {{0x928b00a7,0xe2710046,0x319b0055,0x79b20291}},	//   _абамайда, _divideix_, _barcaiol, _ومتنوعة_, 
   {{0xa8470276,0xf440044a,0xa63f0144,0x7d9d019d}},	//   _паналиқ_, _elakisik, _cloisimi, _chilikha, 
   {{0x41c50190,0x95bf00f5,0x809100e6,0x00000000}},	//   _allegory_, _эсери_, _成龙获封韩流宣传, --, 
   {{0x325b0159,0xce0d0065,0xaa190187,0x00000000}},	//   _maloniai_, _vereinfa, _затајува, --, 
   {{0x28450299,0xa3ce0077,0x00000000,0x00000000}},	//   _ئۆتمەكچى, _ledven_, --, --, 
   {{0x451d01b7,0xbb0e025d,0xe9ef0416,0x3640000d}},	//   _upalabhy, _bergensb, _scritura_, _tekitami, 
   {{0x40dd0163,0x02900321,0xe6e60040,0xda190046}},	//   _گیلری_, _dejal_, _practici, _disculpe, 
   {{0x0032026f,0x165900b9,0xb15400ef,0xb27e0007}},	//   _ءقاۋىمدا, _प्रशासकी, _قراردادو, _afinga_, 
   {{0x9d2602fe,0xfb030361,0x42d40423,0x24a700e4}},	//   _akhokele_, _ветерана, _tvrdit_, _विभागाध्, 
   {{0x8bb8009a,0x730f0217,0x5c1f00ce,0x9dbd01bd}},	//   _abakumac, _apparer_, _konprir_, _باستاعان_, 
   {{0xf73002a0,0xcb9203a9,0x00000000,0x00000000}},	//   _iṣeyemej, _бортные_, --, --, 
   {{0x82f00142,0xab630034,0xb26c00bb,0xfc61003f}},	//   _श््री_, _andrifra_, _izmos_, _spirine_, 
   {{0x8ad401d8,0x84da0211,0x7923003d,0x00000000}},	//   _flattere, _войны_, _annadièr, --, 
   {{0x1952044b,0x31c503c2,0x029701f0,0x40bf0204}},	//   _billigst, _asperity_, _kerafiki_, _вставать_, 
   {{0x2b660322,0xb7f70397,0xdd17001c,0xaef5004a}},	//   _akorerwa_, _таппак_, _inprastr, _альбек_, 
   {{0x4b8b02fd,0x264c0381,0x00000000,0x00000000}},	// [470] _chunnair, _amendedw, --, --, 
   {{0x858e0135,0xef680420,0xa2870188,0x00000000}},	//   _predpriy, _medalhas_, _asikaze_, --, 
   {{0x5e03044c,0xee170006,0x67b100bf,0xb658021f}},	//   _foreldra, _penerima, _умственн, _ayikooni, 
   {{0xc3aa00bf,0xb3a301eb,0xe4b8020f,0x8eba0234}},	//   _второй_, _ipspe_, _توکمونو_, _owóyè_, 
   {{0x72d9025c,0x737a0306,0xa7b200c7,0x95030210}},	//   _arbeit_, _charinam, _алтайлар_, _chirairo_, 
   {{0x75e80242,0xf2d800c5,0xdb230138,0x2290044d}},	//   _dekabrın_, _publiez_, _yazamazs, _dikart_, 
   {{0x53030243,0x00000000,0x00000000,0x00000000}},	//   _tamahat_, --, --, --, 
   {{0x992700ba,0x81390060,0x19f80084,0x388d0177}},	//   _راپێچی_, _сайманда, _dibakute, _ndovalev, 
   {{0x80900125,0x6884006c,0x02480071,0x62f4026c}},	//   _азалдылм, _abakwaed, _رادیولوژ, _debitum_, 
   {{0x99f800bc,0xae6a0073,0xc2000275,0x66420280}},	//   _localset, _circumna, _femisa_, _गरुड़_, 
   {{0x36340176,0x73dc024a,0x50960220,0x8b38044e}},	//   _kvindeli, _asawo_, _членовет, _процесса, 
   {{0xe0280320,0x5c680059,0x557f024a,0xb3e500f8}},	//   _ekhwatin, _seguici_, _fọmula_, _অঙ্কুর_, 
   {{0xe378044f,0xf4100190,0x127e0082,0x0927034c}},	//   _manapun_, _itirurun_, _cunna_, _бирдең_, 
   {{0xac7c0066,0x33a900d7,0x22e20280,0xb5a80076}},	//   _abestia_, _embasing_, _दाधीच_, _загарант, 
   {{0xb88201ac,0x549301c8,0x9ec90046,0x3d8403db}},	//   _محبوبة_, _položil_, _branques_, _ukulwisa, 
   {{0x12ee02d0,0xe8cf041e,0xcb0c023d,0x82010288}},	//   _leafy_, _électeur, _consegna_, _edairi_, 
   {{0x4c740364,0xe2790024,0xe2df01da,0xc3fd0060}},	// [480] _bezuelt_, _পঠিয়াই_, _rajonet_, _мардымды_, 
   {{0xc7ee0091,0x1c71003d,0x9c6f03b4,0x027e0257}},	//   _atuagang, _exercit_, _amurova_, _runna_, 
   {{0xbbfc0028,0x7532027b,0x7296005e,0x1a080331}},	//   _گۯایل_, _amantray, _قانخور_, _neistanu, 
   {{0x7b7b034d,0xb9bf003b,0xda850060,0x42920450}},	//   _biasanya_, _bamemete, _تۇرمىس_, _boskjes_, 
   {{0x7e340451,0xb99703a4,0xbfe90452,0x00000000}},	//   _belaelwa, _herheima_, _चाणाक्ष_, --, 
   {{0xc2b50197,0xc24a02d9,0x256d01d2,0xb620019b}},	//   _koodone_, _atumau_, _atijkamy, _senovini, 
   {{0xec6a02d5,0xed8800c3,0x4a6f003e,0x720002d9}},	//   _गुड्डू_, _ascendit_, _disfajia_, _pemita_, 
   {{0x0e440315,0xc6280044,0xc4b900d7,0x730100ad}},	//   _angakafa, _derivati, _магазины, _kosambi_, 
   {{0xb35d016e,0x8bdf00a4,0x5cfc0152,0xed970045}},	//   _dileriz_, _cohesió_, _каберенә_, _verenice_, 
   {{0x330802a0,0xfc31002b,0xde4d0353,0x00e802c9}},	//   _adebayo_, _একাউন্টে_, _golfové_, _parintel, 
   {{0x204a0080,0x629101cd,0xb29100a9,0x8780005b}},	//   _akornann, _encane_, _bicaye_, _lykkelig, 
   {{0x82da018b,0xa4010453,0xd9bf02b0,0x1f7e0256}},	//   _curent_, _pronalaz, _bundesge, _kombains_, 
   {{0xf30d012d,0xd50800e6,0x42ff009a,0x427f025f}},	//   _imobeta_, _创新发展模式_, _استعفي_, _elengi_, 
   {{0x524a0454,0xa3780285,0x29940082,0x02ee002a}},	//   _agumye_, _ingamba_, _turkiyya_, _ngafe_, 
   {{0x12920252,0xb2da0455,0x637b014b,0x1c51008b}},	//   _tswayo_, _furent_, _tamahim_, _kontara_, 
   {{0x92b50092,0x97ed0134,0xb224019e,0x92000049}},	//   _bisca_, _lọwọlọwọ_, _šokis_, _omaii_, 
   {{0xf27f0291,0x16870260,0x38610061,0xa7c801ff}},	// [490] _beanna_, _anteprox, _국가를당사자로하, _zaisteni, 
   {{0x42900456,0x55830067,0x7eb0010d,0x00000000}},	//   _rejab_, _haadhash, _catridge_, --, 
   {{0x38880245,0xb36401d4,0x6dc60457,0xa2920455}},	//   _bakhatdu, _aragona_, _fokkaaqa, _lisant_, 
   {{0x697a024c,0x0b7d0313,0x2e3a0261,0x00000000}},	//   _ghandnie, _ngillahc, _briletis_, --, 
   {{0x77840193,0x1b0d0309,0xa8c400d1,0xdf390458}},	//   _प्रासंगि, _verginin_, _eikeland, _granater_, 
   {{0x067b0037,0x45120062,0x56c000e1,0x00000000}},	//   _መናኸሪያ_, _ludoqmoh, _mbebetum_, --, 
   {{0x4f050459,0x237800ea,0xaf86000c,0x9542003b}},	//   _प्रेमचंद_, _angamba_, _ajánte_, _alikabuy, 
   {{0x37bc02c7,0xd813004a,0x00000000,0x00000000}},	//   _beleidig, _berlinğa_, --, --, 
   {{0xfaf30169,0x12fc025c,0x332e0156,0x4f2c0347}},	//   _ক্ষেত্র_, _jungen_, _מוזיעם_, _allermin, 
   {{0x51cf00da,0xe69d045a,0x22920047,0xb28300fe}},	//   _адаптат_, _langvari, _disant_, _kaikoaa_, 
   {{0xcc000036,0x384a045b,0xa29e02d6,0x97a50156}},	//   _feistis_, _бочки_, _чилар_, _וואלאווע_, 
   {{0x45a500c4,0x75b50162,0x8be801cd,0x46f2004b}},	//   _منصوبابن, _отурисид, _abawagib, _diraftjw, 
   {{0x28320192,0x0a2001f7,0xc2900392,0xb7200061}},	//   _잊으셨나요_, _eficacit, _dolair_, _신고하기를_, 
   {{0x14450162,0x95b40163,0xe18c00cb,0x688d0032}},	//   _باشقىچە_, _techniká, _ababehol, _chavchug, 
   {{0x820e0066,0x9a76045c,0x83110199,0xe27f01da}},	//   _бараг_, _značne_, _topcare_, _blendi_, 
   {{0x9f2a00b5,0x22fc0155,0xa97a0142,0x488703b8}},	//   _amerikap, _kungen_, _avaivart, _таразда_, 
   {{0xef3c00aa,0x295c0194,0x6349045d,0xf2ca0311}},	// [4a0] _basuraha, _galogist, _poreski_, _ክተምስዩ_, 
   {{0xf43901b3,0xef250310,0x91b900da,0x00000000}},	//   _наприкін, _characta, _термень_, --, 
   {{0x23f100ee,0xc8b7045e,0x82fc0195,0x5c790053}},	//   _мөртлөө_, _призна_, _bhagh_, _prospek_, 
   {{0x0a6c02e2,0xf292045f,0x424a0460,0x60f50235}},	//   _aramaais, _insatt_, _केनेडी_, _असुराः_, 
   {{0x7f480340,0x99090024,0x12f302e4,0x92c902d5}},	//   _ringarin, _সৰলীকৰণ_, _ilbistu_, _praegugi_, 
   {{0x51a500b6,0xe0c10206,0x3c070461,0xf06e02c0}},	//   _fereeytá_, _mikrofón, _bóstia_, _хронични_, 
   {{0x664400ff,0xee3601d8,0xf5bd0076,0xe5cb0010}},	//   _קאָסטן_, _sangakka, _encaminh, _iphasiph, 
   {{0xe2920009,0xbc5101ab,0x7a58033f,0xe5210462}},	//   _pisave_, _चलतइन_, _kelesiia_, _autoplay, 
   {{0x6bb201f0,0xaf1900e6,0xd2d8010d,0xa35f0035}},	//   _bothitho_, _尚不构成犯罪的_, _sohee_, _афинага_, 
   {{0xb2e60239,0x640a01d3,0x429200e6,0x8e4803dc}},	//   _huangia_, _syriansk, _visant_, _avlamisp, 
   {{0xf7e50463,0x53f80275,0x651c023e,0x02c1030a}},	//   _पर्यावरण_, _alaua_, _ازجمله_, _silleda_, 
   {{0xeb420300,0x769e0013,0x37680212,0xcd03034f}},	//   _doporuče, _мовароун, _winxmedi, _ahambile_, 
   {{0x34130162,0xd9dd0178,0x6c1702c4,0xccc60291}},	//   _ماڭدى_, _amitadyu, _правел_, _بانفجار_, 
   {{0x9242009a,0x52d5006a,0xd3890037,0xd619005d}},	//   _سهیلی_, _potoana_, _አፍጋኒስታን_, _анииҭоз_, 
   {{0x79d20074,0xc27f0233,0xff9d01f3,0x00000000}},	//   _tallenna_, _plendi_, _borelióz, --, 
   {{0xd33d03ce,0x8af201c5,0x8afa0208,0x4312019a}},	//   _هیشام_, _horreeye, _بونیادی_, _doobles_, 
   {{0x5c5a018b,0x51e901f7,0x5605012c,0xf6d100ea}},	// [4b0] _sunteti_, _arrondim, _inamaani, _fambolem_, 
   {{0xbc4c00da,0x02da0055,0x927f01ac,0x43fa01f1}},	//   _комитету, _turnate_, _meanma_, _mesues_, 
   {{0x727300be,0x67dc01ad,0x40130178,0x32920464}},	//   _اتەيىست_, _hydropow, _anunayām, _gisate_, 
   {{0xdc590212,0xf57202e7,0x68f60014,0x7cbe006c}},	//   _menumsg_, _ebidensy, _kompaniv, _кашем_, 
   {{0xab6b01b4,0xcda300da,0x013503a4,0x00000000}},	//   _renoster, _формаря_, _gandakal, --, 
   {{0x06950126,0x8a1e00cf,0x1e390343,0x4e95002f}},	//   _чудово_, _baaburaa_, _kahawura, _furmayan, 
   {{0xcdc8029d,0xb3950079,0x3f7f02d7,0x56460465}},	//   _викиману, _mirst_, _ámbolos_, _užitkom_, 
   {{0x338702ce,0x865f03db,0xbfc80466,0x28020361}},	//   _ngarah_, _bafikelw, _knjižara_, _редакцис, 
   {{0x322a02cf,0xe3000369,0x3a2002c6,0x4c51023a}},	//   _домат_, _makalei_, _atabaske, _dietata_, 
   {{0xd1540467,0xf224021c,0xdeb003b4,0x73e40083}},	//   _kristoso, _kroky_, _amboshan, _pretendi_, 
   {{0x33f4037c,0xdb7b00f3,0x62f9036e,0x1b2d012c}},	//   _icstis_, _bamshiya_, _askhata_, _kinachos, 
   {{0xad3b018b,0x0fe400d1,0xd2260418,0xf8530230}},	//   _vehicule_, _আইনমতে_, _katkı_, _komanter_, 
   {{0xa2fc010d,0xf91200b2,0xf4b10195,0x8290009b}},	//   _chagi_, _dabaanku, _litireil_, _neban_, 
   {{0x22da030f,0xe2c903dd,0x3e480282,0x381600ec}},	//   _aurere_, _sondazhi_, _kamapene_, _гатэлі_, 
   {{0x530b0178,0x725b00cd,0x1290028a,0xfe860013}},	//   _aśanir_, _amalà_, _sakafu_, _кетказиш_, 
   {{0x427e0174,0xc2da012e,0x32fc00bc,0x459d005a}},	//   _bunne_, _keress_, _mengko_, _dangepch, 
   {{0xeb9d0468,0xb33a00da,0x52da018b,0x40d80361}},	// [4c0] _akanakho_, _провинчи, _durere_, _араяьлле, 
   {{0x744c019c,0x7323033c,0x22fc001d,0x0bf50434}},	//   _alajumok, _carchar_, _anighi_, _excelenc, 
   {{0xe49a0169,0x730000a5,0xe2bb033f,0x69880137}},	//   _নিশ্চয়ই_, _fakalei_, _kumetee_, _мэдхэд_, 
   {{0x627e00db,0xcdf4029d,0x2949032d,0x3058025e}},	//   _tunne_, _класикэ_, _ватаныбы, _unnarsso, 
   {{0x12900027,0x77a302c3,0xc20e0137,0x00000000}},	//   _geban_, _žarnovic, _тарах_, --, 
   {{0x74860105,0x22130205,0x904701d4,0xb32302bd}},	//   _घटनाओं_, _водийси_, _acqualon, _garchar_, 
   {{0x323d0125,0x82c201a4,0xe3f401fe,0xe99802ce}},	//   _бөлүмиди, _amelisa_, _drutia_, _ngayakeu, 
   {{0x31a9011d,0x62da02c3,0x44d7034c,0x3aca016f}},	//   _аранжаме, _strede_, _табасың_, _кадастро, 
   {{0x82000245,0x0dc300ad,0x897c028a,0x53f201bc}},	//   _iwbih_, _kawijaka, _آزمائڻ_, _bibletek, 
   {{0xe8fb0178,0xe55601c7,0xfe630089,0x00000000}},	//   _agrapuru, _гутулмаг, _ихтиозав, --, 
   {{0x282e00bf,0x8e5203e4,0x52da00f9,0x12fc02fa}},	//   _условиях_, _aqhanaka, _turere_, _akaga_, 
   {{0xba2d02fe,0x43ba03ea,0x73ea0148,0x5aef0223}},	//   _ولیده_, _brevets_, _exitu_, _ardoaren_, 
   {{0x6eaf034b,0x00000000,0x00000000,0x00000000}},	//   _kalomuan, --, --, --, 
   {{0x43ea0125,0xc2ea033d,0x82fc00e9,0xdc1f01c4}},	//   _wektor_, _afriken_, _bengko_, _gerappor, 
   {{0x55340469,0x7cc601b3,0x230c008a,0x28b7023a}},	//   _छन्दशास्, _вибране_, _morakot_, _smotanov, 
   {{0xbc5a00b8,0xdf8a041a,0x596e03f1,0xeff200ba}},	//   _muntati_, _заборони, _spresňuj, _لێدانێکی_, 
   {{0x37e800a4,0x731d046a,0x72f50148,0x69730258}},	// [4d0] _encarreg, _seccion_, _meritum_, _aktifykt, 
   {{0x1f550299,0x00000000,0x00000000,0x00000000}},	//   _ئېدىرلىق_, --, --, --, 
   {{0xb47e01c5,0x82ef0365,0x43ea026c,0xb2fe01cf}},	//   _agagaark, _užijte_, _montem_, _occider_, 
   {{0x1c6b0057,0x99a600ff,0xb2ee006a,0xbe9f015e}},	//   _በአባቶች_, _טשעכאסלא, _afify_, _cerimòni, 
   {{0x436c042a,0x6e9e0211,0x84b5028a,0x00000000}},	//   _bengati_, _балла_, _kusanyik, --, 
   {{0xb249041c,0x84030090,0x9fcd0086,0x03f80034}},	//   _anamam_, _akandinz, _tutilapo, _flaug_, 
   {{0xb35100f1,0x7690046b,0xa10802b4,0xa27d0318}},	//   _konfirm_, _integrei, _bakhulul, _ngangahi_, 
   {{0xb8fb0058,0x12da02ee,0x593a0075,0x32fd0349}},	//   _donaklad, _peress_, _tilmelda_, _avorflay_, 
   {{0x42da00e1,0x26c600ff,0x16a9022b,0x76270113}},	//   _adrees_, _זינקאוו_, _byggingi, _ambasadó, 
   {{0x5dd701ea,0xb24d0017,0x279e0014,0xc55f02b9}},	//   _матбуот_, _बिमला_, _forumivi, _postaköl, 
   {{0x0e8b0036,0x0bfa020f,0x93ea01bf,0xda170137}},	//   _لستتي_, _akunanto_, _vekter_, _баазтай_, 
   {{0xc0b9032b,0x00000000,0x00000000,0x00000000}},	//   _دۇردانىل, --, --, --, 
   {{0xf9600158,0x730c00a7,0x5b7e021b,0xcc7403e6}},	//   _मायनों_, _gegants_, _energiaa_, _gerullt_, 
   {{0xcbe40059,0xd28e016a,0xb4d7027b,0xef22022c}},	//   _affermar, _asekuro_, _गरुडध्वज, _digusura, 
   {{0xd2ba0132,0x2f230243,0xa9f90025,0x840e0371}},	//   _eredeti_, _celeeman, _arcimena_, _orificio_, 
   {{0x2d8b01bb,0x815e00ce,0x2b7a018d,0x8f2e02c7}},	//   _meselede_, _vwazinaz_, _ዘጸናናዕኩሙና_, _scheidun, 
   {{0x71d10381,0x70eb0086,0x23ea0157,0x00000000}},	// [4e0] _arvelmay_, _strandok_, _kontem_, --, 
   {{0x8dfe014e,0x712901e0,0xe2a20040,0x2631008b}},	//   _neverova, _بولبولی_, _אקוסטי_, _callalew, 
   {{0x32d401df,0xd4690388,0x8c280420,0xdfbf0349}},	//   _feudal_, _логиката_, _monetári, _eculatio, 
   {{0x0f270101,0x0b7f0061,0x00000000,0x00000000}},	//   _corespon, _인정한다면_, --, --, 
   {{0x62990409,0xb2ba00b4,0xad200307,0xaf500234}},	//   _アウトドア_, _credeti_, _iphindwe_, _olókó_, 
   {{0xdc770060,0x604c02ab,0x28f50041,0xd6ce0462}},	//   _ءبىرىمىن_, _amaramon, _ифҩыс_, _ampaigni, 
   {{0xb1870299,0x81b50147,0xeb6b013b,0x0ad90156}},	//   _гуантама, _primària_, _affolter, _אינדיאַנ, 
   {{0x0364013e,0x84fb00db,0x9b94004c,0x0aee02c6}},	//   _dragana_, _किरानी_, _anjiggir, _breutade, 
   {{0x827c01a4,0x2e45032c,0x4c9b01e8,0x00000000}},	//   _azangaki_, _angalaga, _hinganad_, --, 
   {{0x056d0163,0xf387022e,0x5af4023e,0x00000000}},	//   _داستانوں_, _aleria_, _boyongan_, --, 
   {{0xf6ce02fa,0x0d770285,0x9319046c,0xb4100437}},	//   _rutagani, _ifumbire_, _hübsch_, _fryseren_, 
   {{0xdebe023e,0xf2fd0120,0x92e902ec,0x0da40205}},	//   _pangurus_, _liqinit_, _marinta_, _havolala, 
   {{0x94250192,0xbe430061,0x527f03dd,0xf0200005}},	//   _반도보라스카이뷰_, _실험보고서_, _seanca_, _dapertuo, 
   {{0xb27e046d,0x47cd00d9,0x51770093,0xe3bc0405}},	//   _munna_, _helsinki, _черты_, _потребую, 
   {{0x8d850310,0x02c30272,0x2b7702c1,0x484002fd}},	//   _chultara, _amulaba_, _amarenga_, _fairleus_, 
   {{0x86a6041e,0x27730056,0xf202013f,0xbf5f0349}},	//   _ringrazi, _доллари_, _tiriad_, _antation, 
   {{0xab1802e1,0x5c5c046e,0x527e0036,0x74170066}},	// [4f0] _هههههههه, _बिशेष_, _gunna_, _definitz, 
   {{0x45d3046f,0x3eb601f1,0x360501e1,0x00000000}},	//   _clickety, _mbarimit_, _khampani, --, 
   {{0x8b1201e1,0x3bb900d9,0x213f0365,0x6a520414}},	//   _эммануэл, _железа_, _कमिटीमा_, _komemela_, 
   {{0xd0bf018d,0x4e970207,0x027e00b2,0xc50a006e}},	//   _ተገይርሉ_, _سانجهه_, _bunna_, _ganeegul_, 
   {{0xe27e0107,0x46b9006a,0x49d703bf,0x95b901b9}},	//   _nginep_, _kalandri, _behehile, _kalandry, 
   {{0x227e01d7,0x2f95029a,0xe05202ac,0x42cb0321}},	//   _dunna_, _konvenab_, _hidrigin, _sledim_, 
   {{0xdc430282,0x19900094,0xd288000a,0x434d00d8}},	//   _hāwini_, _تەلەديدا, _ammanani_, _asperam_, 
   {{0x97de028b,0xea400080,0x427e0305,0xa3f80166}},	//   _cemproni, _algeriap_, _funna_, _blaue_, 
   {{0x32fd043b,0xf26c0226,0x727f004c,0x986c0372}},	//   _thairis_, _symon_, _afanga_, _aseiniad, 
   {{0x1b02037c,0xc3f8014d,0x5d5a014e,0xff070026}},	//   _prosolut, _glaub_, _дочек_, _functies_, 
   {{0xb9d2008f,0xa49d00d5,0x39cd028d,0xf2540167}},	//   _tallinna_, _fanavaoz, _leternit, _atalnodi_, 
   {{0x2c7e02e7,0x9ef90145,0x827e021a,0xa387000a}},	//   _bersyon_, _задымлен, _bunni_, _anersa_, 
   {{0xd27e004e,0xd38703f7,0x629201b6,0xa2e9000b}},	//   _sconce_, _snerta_, _unsafe_, _mariota_, 
   {{0xe7a30235,0x4bfc0347,0xb7d6004b,0x527f0156}},	//   _gandharv, _vergader, _елкендер, _aganta_, 
   {{0x0962020a,0x86d3026e,0x801b03cf,0x82900386}},	//   _деректер, _स्लिम_, _girdiniz_, _kejam_, 
   {{0xc5a20038,0x80a0015e,0xc27e019c,0x2b420300}},	//   _başlığı_, _адамзатт, _funni_, _doporuči, 
   {{0x80200375,0xe2ea017e,0xc9690299,0xb3470059}},	// [500] _agawiran, _opiniis_, _تذرسذن_, _ginevra_, 
   {{0xc27e0470,0x52cb001d,0x77c900dd,0x9f9c0139}},	//   _nginza_, _ifadvt_, _brasluni, _ayoniśom, 
   {{0x12900471,0xdab8034c,0x5e95026c,0x82e9000b}},	//   _sebab_, _allahunı_, _continet_, _kariota_, 
   {{0xcc7c022c,0x437c039e,0xfb7400b5,0xa2da0198}},	//   _biasana_, _levande_, _añorairõ, _strehe_, 
   {{0x52920472,0xcc93005e,0xc2010341,0x0e440322}},	//   _disaat_, _تامان_, _gidiş_, _bakanafa, 
   {{0x13e80026,0xa3f802a9,0xf2b50119,0x921c01db}},	//   _태터데스크_, _plius_, _aisch_, _جياباۋ_, 
   {{0x52d6035b,0xa60d02bf,0x40b200f8,0xb3b1013a}},	//   _podobno_, _kubomasi, _বাড়লো_, _mouveco_, 
   {{0xfc6c02da,0x937f0135,0xd30200f6,0x0c7c00d5}},	//   _компилац, _almania_, _cavadov_, _fiasana_, 
   {{0x22b50083,0x32900076,0xe316028a,0xa25a01e7}},	//   _disch_, _vejam_, _sinza_, _hallew_, 
   {{0x323801b8,0x3f37006c,0x55b301f4,0x69830234}},	//   _inimesi_, _akhulula, _қондаги_, _o̟wó̟_, 
   {{0xd2000189,0x9047006c,0x42b50473,0x1ba902d5}},	//   _makine_, _юшенко_, _fisch_, _matkatar, 
   {{0x4c5201e7,0xaeff00fa,0x52fa0170,0x00000000}},	//   _contern_, _balwarte_, _kuchita_, --, 
   {{0x5f7400d1,0xcc6e00fd,0xd2920222,0xcdb20094}},	//   _অনুযায়ী, _beirinn_, _disait_, _تەنتەگى_, 
   {{0xd37f0474,0xd6b800c4,0x424801eb,0x5b7d003d}},	//   _ishamba_, _سبجيڪٽ_, _imomba_, _barròca_, 
   {{0xa9c7022f,0x01ca01b3,0x99da0170,0x00000000}},	//   _лапата_, _принижен, _kubereke, --, 
   {{0xe2ea02db,0xa27e01c9,0xd6ce0475,0xe2d9002b}},	//   _agrimen_, _tunni_, _подведом, _arboles_, 
   {{0xa37c0059,0x00000000,0x00000000,0x00000000}},	// [510] _bevande_, --, --, --, 
   {{0x6dbd018d,0x929002a5,0x5a5000d7,0x12800077}},	//   _ብተጋዳላይ_, _nejak_, _айтуған_, _fleksib_, 
   {{0x9aa70148,0x04a80169,0x7b7a019d,0x23eb007f}},	//   _民俗扯鈴小舞臺_, _সমস্যায়_, _akasanza_, _apathi_, 
   {{0xd28300cf,0x52d901fc,0xb053037c,0xdc750066}},	//   _bekkama_, _maaluuy_, _appropin, _gaurtik_, 
   {{0x6c060241,0x6290017d,0xf2900304,0xe5a80187}},	//   _biissau_, _oplagt_, _rejam_, _развивањ, 
   {{0x02900076,0x037b016e,0xb60f01a3,0xb5d400f8}},	//   _sejam_, _ayarlanm, _وڻجارن_, _স্তনবোমা_, 
   {{0x805f00ee,0x4aa7010d,0xfd3f03d5,0x00000000}},	//   _poliziak_, _पृथ्वीला_, _cabhorse_, --, 
   {{0x7db90133,0x2c29004c,0x3f4c0421,0x437601e1}},	//   _beenisha, _alupakus, _neuseela, _блоггерҙ, 
   {{0xfdaa03ef,0xa2d8025c,0xdff102f9,0x1b5e021c}},	//   _mudugudu_, _hohem_, _direktč_, _depilačn, 
   {{0xe2f10244,0xe3000476,0xa2ff02ca,0xcb530187}},	//   _diritti_, _nemazai_, _radharc_, _генерале, 
   {{0xfc1e018d,0x4d020477,0x8d990478,0x4321005b}},	//   _መንግስቶም_, _shalawat_, _autocefa, _eigyou_, 
   {{0x0279045a,0x1ea100db,0xf3d401fd,0x6b010166}},	//   _foreslår_, _sportnet_, _reemplaz, _geistige, 
   {{0xd29e02c5,0xf18403db,0x7169041e,0x7486008f}},	//   _akajeka_, _bayabahl, _physiono, _दुखावल_, 
   {{0xd5d5009c,0x220003e6,0x49f3013f,0x62d10479}},	//   _altarniy, _kuliss_, _borujerd, _kétágyas_, 
   {{0x9ef4018d,0x3292019a,0x57de0157,0x43550222}},	//   _ላዕላዋይ_, _biskets_, _दिनदहाड़े_, _emmener_, 
   {{0x14a801f6,0xd29500a9,0xa10200d9,0xd4130105}},	//   _সমস্যাৰ_, _turashim, _страшный_, _logistyk, 
   {{0x072a0238,0xe3450034,0xf28d0235,0xe394005b}},	// [520] _приватни, _myndast_, _anipphal, _vokset_, 
   {{0xa2d9047a,0xf69500b3,0x627e024a,0x22da0217}},	//   _egzers_, _gazetini, _dunnu_, _furnate_, 
   {{0x2291038d,0x9353004d,0xeb770322,0x52fc010d}},	//   _lezan_, _其實人生本是一種, _amaranga_, _keriput_, 
   {{0xaf0f0319,0x827e047b,0xaab30025,0x7d7c0296}},	//   _cercanos_, _funnu_, _ज्योतिश्, _formellt_, 
   {{0xbab30025,0xeb9a012b,0x027e000d,0x9268003a}},	//   _ज्योतिष्, _ओर्गास्म_, _nunnu_, _дебюти_, 
   {{0x3b9e03f6,0x2392004d,0x63ea0187,0xe379037b}},	//   _keoneoio_, _我走上同一條街_, _contam_, _ganando_, 
   {{0x7ee7003a,0xd2e7047c,0x8b750041,0x22ee0210}},	//   _маматов_, _granvin_, _лызлак_, _atendai_, 
   {{0xd27e03a4,0xc290047d,0x5d910101,0x727e00ae}},	//   _kunnu_, _gebai_, _utilizea, _iconge_, 
   {{0x4262004b,0xe98902ea,0x47e30188,0x61700203}},	//   _bayoloji_, _richiede, _мобилии_, _opositio, 
   {{0x32790024,0xcab30025,0x11e0008b,0x020100ac}},	//   _পঠিয়াব_, _ज्योतिस्, _infirmié_, _kacige_, 
   {{0xc29101c2,0xad8403a2,0x5231027f,0x5ad103fb}},	//   _ameaza_, _लिथोग्रा, _inimero_, _formiran_, 
   {{0xaef20219,0x2343023d,0x9daa019c,0xbae50166}},	//   _akakavun, _esterno_, _gudugudu_, _heiligen_, 
   {{0x4dc00292,0xe598018d,0xe06d01a6,0xd1610478}},	//   _teokrase_, _ተገንዘቡ_, _matawhao, _arbrilho, 
   {{0xc9d4047e,0x32e600bd,0xff38047f,0xd2da02be}},	//   _umiestne, _stinkin_, _वाहियात_, _bernabe_, 
   {{0x63ca0229,0xb3050156,0x519e0021,0xd2780397}},	//   _atları_, _albanoj_, _asebosay_, _домангир_, 
   {{0xc2b30016,0x015b0360,0x1dfb0422,0x00000000}},	//   _soldato_, _agentury_, _čudovit_, --, 
   {{0x0e5902ec,0x3ff30160,0x1316030a,0xb3200316}},	// [530] _shabelle_, _predlaže_, _xinzo_, _awoyi_, 
   {{0x827e03a4,0xcf3b01db,0xadff00ba,0x62010014}},	//   _vunnu_, _اتاۋلارى_, _بدۆڕحمان_, _emaili_, 
   {{0x643603b4,0x21470244,0x305302ca,0xe84700e5}},	//   _akahusik, _написах_, _لانسر_, _намалиш_, 
   {{0xe290043d,0x61ba035f,0xbd2902f0,0x627e021b}},	//   _sejak_, _मध्यकाली, _asesemnc, _tunnu_, 
   {{0x123a02c3,0xc9e602f3,0x75200421,0x8d9f027f}},	//   _dôjde_, _kidnappa_, _brandsch, _ndongora, 
   {{0xcb880125,0xcb5901ad,0x785c0230,0x62000320}},	//   _аладалан, _havlíčků, _latanier_, _hakile_, 
   {{0x7fba037c,0x00000000,0x00000000,0x00000000}},	//   _tumultus_, --, --, --, 
   {{0x0368028b,0x500902ea,0x4ec10229,0xb47703f3}},	//   _абаза_, _заминава, _brazilya, _waterkok, 
   {{0x451d0480,0x44380061,0xd15c004b,0x99dc02c7}},	//   _akunakuy, _상하수도사업소_, _аулай_, _alufelge, 
   {{0x18430192,0x8bce02ec,0xa94200c4,0x8a640193}},	//   _하였습니다_, _یۅہَے_, _بحيثيت_, _टेक्निकल_, 
   {{0xb3660016,0x02ea0288,0x739e027f,0x2aea03a4}},	//   _אינדעקס_, _burioun_, _birarinj, _vesturle, 
   {{0xdd3901ef,0xf9530022,0x72410041,0xc1a40376}},	//   _папулярн, _аждаһа_, _hĩlandia_, _barndóms, 
   {{0xac37002b,0x126e00ea,0xca8d019b,0xb2e701df}},	//   _হৃদয়ের_, _hitory_, _спатрэбі, _grantin_, 
   {{0x21e100d6,0x91750268,0xac5a013d,0xe2920464}},	//   _cruinniú_, _agentway_, _pretigi_, _bisate_, 
   {{0xa0b70022,0x0287034f,0x020002f7,0xb26c0217}},	//   _инвалиды_, _دفساد_, _bakile_, _penose_, 
   {{0x426102ee,0xb2ee0316,0x00000000,0x00000000}},	//   _additivi_, _haife_, --, --, 
   {{0x5fd5040b,0x59e601a7,0xe201037f,0x23ce013f}},	// [540] _ndangulo, _мастера_, _meyiti_, _delvan_, 
   {{0x30600390,0xb2ed01ec,0xc3f80481,0xad3001c2}},	//   _prosesin, _استودیو_, _blauw_, _subscric, 
   {{0x47df0100,0xee950094,0xc3ea0482,0x827e024a}},	//   _ponašaju_, _ادامنڭ_, _kontom_, _iponju_, 
   {{0x53dd0242,0xeec4004a,0xb04d0118,0xf2fc01b6}},	//   _qulluqçu, _alınu_, _amagombo, _extinct_, 
   {{0xde0e00e5,0x9f520017,0x49840012,0x915f013b}},	//   _verdinha, _प्रकाशनह, _कलामंच_, _asosasyo, 
   {{0xab0d034a,0x84c50483,0xe98901af,0x00000000}},	//   _funcións_, _híbridos_, _dmitriý_, --, 
   {{0x2f7903b2,0x48630192,0x4e0e013d,0x7ea00259}},	//   _problems_, _문화관광과_, _tradicia, _bortvist_, 
   {{0x22ef0085,0xc4860255,0xb282019d,0x00000000}},	//   _sakiusa_, _प्राते_, _kakhumi_, --, 
   {{0x00e801c4,0x87cc0326,0xdf3500a3,0xc2760226}},	//   _skriftel, _evashumi, _brosjyra, _kumanyum, 
   {{0x52da03ba,0xd3f902d9,0x1c1800d9,0xc487004d}},	//   _orreat_, _feausi_, _произвес, _香港服務提供者和, 
   {{0x2d4e003a,0xc2d90119,0xf5cc010b,0x28a30089}},	//   _самарали_, _deped_, _dikakany, _русларда_, 
   {{0xdc610313,0x23dc0202,0x53230046,0x00000000}},	//   _narurma_, _rilwan_, _delcamp_, --, 
   {{0xcfa50205,0x0290009d,0x464b0193,0x8d3d00f5}},	//   _موقعی_, _islame_, _menyerah, _сайлайшы_, 
   {{0x7d900294,0x3c5103b0,0x159a021c,0xee6803f4}},	//   _alituyqu_, _samtida_, _schránko, _снасти_, 
   {{0xf5290014,0xb5e90135,0x728c00f4,0x00000000}},	//   _eksploro_, _garantı_, _fonkion_, --, 
   {{0x04fb0255,0xc2c20102,0x82ea0064,0xa53c026b}},	//   _किसानी_, _taaluma_, _айлампас, _dispongo_, 
   {{0x00000000,0x00000000,0x00000000,0x00000000}},	// [550] --, --, --, --, 
   {{0xf34802e4,0xa3220278,0x4d1f012c,0xe5aa018d}},	//   _lineari_, _opsyen_, _مسجدون_, _ሽቱትጋርትን_, 
   {{0x0d850484,0x331c0035,0x8604007e,0xf29c004d}},	//   _अलौकिक_, _adresı_, _ayamihai, _半年聚集過億人氣_, 
   {{0x9d2702ca,0x74260331,0x72e901a6,0xdaa7019b}},	//   _مهرجان_, _torshavn_, _hariata_, _занадта_, 
   {{0x725a0485,0x0d870180,0x97ab00b5,0x9aec0138}},	//   _fortælle, _akselere_, _акризис_, _neredeys, 
   {{0x635401d1,0x3b9701fb,0xa40402a6,0x684600af}},	//   _moments_, _filiastr, _abundanz, _рисунку_, 
   {{0x2abe018b,0xc1500040,0x6ef8018d,0x68950064}},	//   _диалогэм_, _הצבאית_, _ተጸንቂቑ_, _conjuntu, 
   {{0xbfd80092,0xb7a100bb,0xe63000b4,0x6c010486}},	//   _セキセイインコの, _اشکبار_, _aparatul_, _cemstar_, 
   {{0x3e77016d,0x7c550487,0x03900061,0x80c50061}},	//   _ساندان_, _voltage_, _반품규정이_, _공급업체의_, 
   {{0x857502df,0x8d5300df,0x636e0208,0xa9890039}},	//   _mendedah, _romantiq, _فڕینی_, _хазаарла, 
   {{0x58b100b7,0x424601c9,0xee6e0488,0xe29002ff}},	//   _sözdür_, _कटाले_, _manipulā, _nebat_, 
   {{0x7b2402ec,0x4fcd009a,0x00000000,0x00000000}},	//   _garanays, _المالیکي_, --, --, 
   {{0x3b0a0489,0x7e440140,0x23e60107,0x694101c4}},	//   _iexpecte, _kasanaya, _ditugasi_, _saamgest, 
   {{0xf2d8001d,0xca6700af,0x9c8c02e0,0x00000000}},	//   _lohen_, _utgått_, _khutlang_, --, 
   {{0xc6070162,0x5d930147,0xcf8e00a6,0x43aa02ee}},	//   _ашулар_, _بئلچۉ_, _میکانیزم_, _ekwatorj, 
   {{0x8ae003a0,0x9f2e0076,0x6a890288,0xd29e0092}},	//   _netefats, _модифици, _antioran_, _ルパン三世_, 
   {{0x66480047,0x9057014e,0x0b6b00f0,0x00000000}},	// [560] _concerné, _прикачи_, _priveľa_, --, 
   {{0x58f6018d,0xa3f90212,0xab1b02b9,0x00000000}},	//   _ደፓርትመንት_, _meque_, _dokkoló_, --, 
   {{0xab8f0124,0xf68b0040,0x5c0002e4,0xd292024a}},	//   _tennengo_, _אליאב_, _fasslet_, _sisare_, 
   {{0x99e4008e,0x262800cf,0x825b003a,0x72ee036c}},	//   _abduxaad, _accounii, _портловч, _afafy_, 
   {{0xad7c00d1,0x5b0c0029,0x22240044,0xdb090279}},	//   _গাফিলতি_, _فۆلکلۆری_, _spoke_, _adaptate, 
   {{0x925a014b,0xa2010020,0x543f0148,0xd2e70225}},	//   _mallow_, _alaiti_, _多瓦娜線上家具購, _etangin_, 
   {{0x56510089,0x8d42022e,0x00000000,0x00000000}},	//   _baykalfi, _alabastu_, --, --, 
   {{0x7a5e0360,0x9be80299,0x5e33000a,0xac2a0322}},	//   _अमेरिकाम, _алдамчил, _amigarma, _atababar, 
   {{0x7f8f048a,0x02cb018d,0x0f660080,0x882701bd}},	//   _اسسيميلي, _ምኒስትሪ_, _esmariun, _مارتەبە_, 
   {{0xc2900227,0x728b00c1,0xb4a601da,0x12000274}},	//   _tebal_, _स्वछंदी_, _gjeneral_, _takist_, 
   {{0x1557048b,0xac030034,0x77a1025c,0x26b4010e}},	//   _ninjasch, _norskur_, _gottesdi, _apostasy, 
   {{0xe385032e,0xdbc300bf,0xa03d0416,0x2b880092}},	//   _churapki_, _передвиж, _aprensio, _最新トラックバッ, 
   {{0x62d4039e,0x22eb013d,0x625a0102,0x4fd10206}},	//   _utforma_, _atribuo_, _jallow_, _platiteľ, 
   {{0x9fae032d,0x09460061,0x7da50117,0x1537048c}},	//   _шашка_, _한국에서는_, _tingbaot_, _broighey, 
   {{0xd85303c2,0x66f80012,0xf2c4046b,0xf7660025}},	//   _endanger_, _दबिलाउगं, _collodd_, _अनुशासनी, 
   {{0x00b8011a,0xa2d8047d,0x00000000,0x00000000}},	//   _בתצוגה_, _gohen_, --, --, 
   {{0x378402ea,0x00000000,0x00000000,0x00000000}},	// [570] _слушат_, --, --, --, 
   {{0x995100d9,0x0eb001a3,0x614f01d0,0x01390350}},	//   _kiellett, _رائچند_, _firehjul, _ማረፊያው_, 
   {{0x82fd0065,0x3a8003d0,0x6aa8048d,0x345102c6}},	//   _liegen_, _domovins, _inexecut, _broderez, 
   {{0x8ee00212,0x0290048e,0xd03f0151,0xb63a0162}},	//   _lightzon, _gebam_, _barterin, _қисмәтли, 
   {{0xb3f8026c,0x920102a0,0xca7500ac,0xf2ef03ee}},	//   _alius_, _alaisi_, _obične_, _putnici_, 
   {{0x1231014e,0x63fe0061,0x33f9048f,0x52e900ee}},	//   _септембр, _현공인중개사사무, _kibuku_, _baziren_, 
   {{0xf37c0151,0x2316005b,0x4fcf0094,0x9d080206}},	//   _caulking_, _ginza_, _адаммын_, _pretekoc, 
   {{0xd3a602af,0x43ef02a0,0x225a019a,0x505b022a}},	//   _ababijej, _adetunji_, _fallow_, _padakipo, 
   {{0xbe2e0040,0xf5bb003f,0xf5ad0486,0x3ddb0043}},	//   _שומשום_, _boharlah, _बबिता_, _agakuula, 
   {{0xd31601a4,0xec0a01ca,0x79660237,0x00000000}},	//   _binza_, _manongqu_, _면개발자문위원회, --, 
   {{0xb501031a,0xdc53001d,0x88e300d0,0x926c0343}},	//   _amalaidh, _oration_, _торгох_, _kalooy_, 
   {{0x2ab6013c,0x64850490,0x228b0224,0x00000000}},	//   _blokunun_, _acordeón_, _afkastam, --, 
   {{0xa61e0491,0x325a01b2,0x2b2d039a,0x06ac012a}},	//   _reconoci, _sunlit_, _sepantas, _detektyw, 
   {{0x20eb019d,0x525b0396,0xcf490269,0xf408018d}},	//   _achikhal, _afelju_, _apasiona, _ከነጽንዖ_, 
   {{0x1ff701db,0x9f47020f,0xcaa700b9,0x97f5027b}},	//   _резервке_, _نورګل_, _पृथ्वीचा_, _कषुरप्रे, 
   {{0x329000ad,0x7594014f,0xa00e0147,0x8d520492}},	//   _lebak_, _студенат, _امىقب_, _voucheru_, 
   {{0xee630036,0x43160493,0x46d003db,0xba8302e2}},	// [580] _محاضرة_, _ainzi_, _bayakuli, _asboonyn_, 
   {{0xc3bb0147,0x1e46036a,0x87f0008f,0xd7aa0244}},	//   _ئسلام_, _ciwasaga, _खिसियासु_, _castigli, 
   {{0xaeb30494,0x3354019b,0x03920167,0x33ca00c7}},	//   _upoznava, _lyderis_, _allyrru_, _bulamı_, 
   {{0x92010495,0x47e900e4,0x9e3f0211,0x3b0502af}},	//   _baciye_, _luksusow, _sängyssä_, _kunsanga_, 
   {{0x53fa0496,0x436c0040,0x8eb30009,0xf36500ca}},	//   _jesuis_, _מהנחות_, _spoznava, _alugada_, 
   {{0xec7f046d,0xd2900278,0x106c0107,0x124700be}},	//   _mitsiko_, _jejas_, _ايروني_, _دئلىبىزد, 
   {{0xd50601cc,0x6df5001a,0x9fc20107,0x82e702d0}},	//   _बन्धमोक्, _rendelet_, _کارون_, _standin_, 
   {{0xb2fc0454,0x32ee03be,0x4ae60075,0x9e910497}},	//   _ijigo_, _agafu_, _andrease, _obstruct_, 
   {{0x43c00169,0x43460061,0xfb8a01c7,0x45820065}},	//   _ক্ষতিপূর, _하이페리온_, _таланчыл, _livesuch, 
   {{0x0e33042f,0xb26d030d,0xcf360039,0x03950015}},	//   _takunnaq, _defolt_, _масстай_, _aarsi_, 
   {{0x5daf0039,0xb41d02ac,0x0fc20208,0x1b340498}},	//   _argitalp, _صآحبهآ_, _رازوی_, _medailis, 
   {{0xd3000316,0x629001da,0x02240207,0xc98a0037}},	//   _talauci_, _rejat_, _mpoki_, _የወሰኑት_, 
   {{0x2a870035,0x9e8b0092,0xf97500fb,0xb78b0126}},	//   _nominats, _エリザベス_, _azenzile, _студія_, 
   {{0x7b5a0250,0x1f370021,0x00000000,0x00000000}},	//   _vendosin_, _anishspa, --, --, 
   {{0x0ad500b3,0xd9240419,0xf2ec00e2,0xa3ea0499}},	//   _аңласа_, _साम्यवाद_, _berikte_, _ivitu_, 
   {{0x59c20146,0x49310453,0x5e4502e7,0x00000000}},	//   _bermakna_, _osamdese, _makagaga, --, 
   {{0x32ee006f,0x9626049a,0x6316049b,0x52f00041}},	// [590] _taifa_, _josipovi, _sinzi_, _адыҕа_, 
   {{0xb44f0335,0x614a01e8,0x7360026f,0xff0400ff}},	//   _पाचत्तिक, _gumuguyo, _كىشرەيتۋ_, _balanciĝ, 
   {{0xa3d801db,0x71880286,0x2fcd00d6,0x13f4012d}},	//   _ойлаймын_, _comapany_, _seinnteo, _mauten_, 
   {{0x23eb015f,0xd29000c1,0x8af30034,0xe70702d8}},	//   _hectar_, _kejar_, _sameinas, _बादशहा_, 
   {{0x029000ad,0x0cbc026f,0x82240157,0x17740088}},	//   _lebah_, _ءدورتۋىل_, _epoki_, _алдырма_, 
   {{0x629002e9,0x692300da,0x22b601be,0xd04d01dd}},	//   _dejar_, _поезией_, _जन्मजयन्, _amagambo, 
   {{0x7230049c,0xa6fc0178,0xe5d6023c,0xf29000d8}},	//   _diujuj_, _amarṣita, _کراټې_, _aplant_, 
   {{0xa2b502d4,0xc67a026c,0xfa6d00d7,0x09f5049d}},	//   _pasch_, _argentum_, _boqolots, _sobretud, 
   {{0x4c6f036d,0xa85400bc,0xb2900193,0x89640081}},	//   _fearann_, _اوليه_, _tebak_, _kristnir_, 
   {{0x48b5003a,0xd2e602a0,0xaad00274,0x00000000}},	//   _mintaqav, _esinsin_, _austurve, --, 
   {{0xb5fb0057,0xf9d103a0,0xcfdd0185,0x72bb0026}},	//   _የመብራት_, _baeteled, _базарына_, _breedte_, 
   {{0xcc6d018e,0xb27f0011,0x283d01db,0xde760007}},	//   _andriya_, _aganza_, _арсыз_, _bamumpɛ́_, 
   {{0x424900b0,0x12b50243,0x126c029c,0xf2e60378}},	//   _maamul_, _fasci_, _akhoza_, _grindin_, 
   {{0xfa030039,0x462301ff,0xc7050014,0x9519028a}},	//   _soraluze, _synonymi, _padrejtë, _رومانيت_, 
   {{0x30e30161,0x649f0173,0x33950145,0x29ec002b}},	//   _рекоменд, _মৃত্যুর_, _tarsi_, _ঠিকমত_, 
   {{0x32d801f1,0xb3ea0411,0x440102f6,0x00000000}},	//   _kohes_, _kvitt_, _kasuutan_, --, 
   {{0xb8ed0013,0xc74400bb,0x62240030,0xdf26003f}},	// [5a0] _болалард, _کنجاہی_, _spoki_, _dirropta, 
   {{0x3a250157,0x07b102ac,0xd04c0312,0xc3540086}},	//   _ओमप्रकाश_, _الضعيف_, _steredon, _مفتیان_, 
   {{0xb354049a,0xa694047b,0x29c70088,0x7a540291}},	//   _povežu_, _birmavej_, _баланар_, _مضيفاً_, 
   {{0x9f720307,0x009902fe,0x829103b6,0xf30603bf}},	//   _ababanin, _اتلسو_, _feran_, _borobong_, 
   {{0x92910057,0x08c101f5,0x00000000,0x00000000}},	//   _geran_, _ditelusu, --, --, 
   {{0xe2ca0107,0xf2d80065,0x129003ac,0xab6903d5}},	//   _stidiu_, _hoher_, _lebai_, _cabdilyn_, 
   {{0xfece0428,0x488402eb,0x31660040,0x32910261}},	//   _varnostn, _админаар_, _הידועים_, _aeran_, 
   {{0x1d6102d8,0x1eda0092,0x6c0700a9,0x1ef2020f}},	//   _आकडेवारी_, _楽天トラベル_, _urusaku_, _ayikufun, 
   {{0xb2b502a6,0x70ef01e8,0xf8c40139,0x6c0a049e}},	//   _pasci_, _kasimbol, _cedipuṅg, _vírusy_, 
   {{0xd3fa005b,0x59da00f5,0x6b9801c7,0x00000000}},	//   _musume_, _никалашм, _dikeldiş_, --, 
   {{0xa27f02af,0x40c100ba,0x72910183,0x1cb702b6}},	//   _aganya_, _هیتۆتی_, _derao_, _قاپاستا_, 
   {{0x918a016f,0x2264001d,0x1fc501ac,0x6aae01b7}},	//   _матеріал, _intlaw_, _deintear_, _केवलस्य_, 
   {{0x7c2d039f,0xf2b200e0,0x729503ac,0x8cd60060}},	//   _depicted_, _foldien_, _syukuri_, _қаршыға_, 
   {{0xe0fb0037,0x10050059,0xc197021c,0x7f7d0234}},	//   _መዘግየት_, _огромно_, _keramiky_, _ikọni_, 
   {{0x3c680343,0x5f3f0320,0xe86c0033,0x42f1024a}},	//   _belushi_, _hingakan, _affittad, _kiristi_, 
   {{0xe6bd049f,0x229201d3,0x9c6700bb,0xd09a00ff}},	//   _kwesitjh, _visade_, _قرطاس_, _דיסקוטיר, 
   {{0xc291028d,0xe3ff0052,0x924800a2,0x51f90321}},	// [5b0] _leral_, _malotrak, _chembe_, _poslabša, 
   {{0x1be004a0,0xf29100d4,0x86c50060,0xae530036}},	//   _aprender, _oeral_, _بولسن_, _monarcha, 
   {{0xdc7c0144,0x22900453,0xe29101b9,0xc6a80311}},	//   _shasana_, _uplate_, _neral_, _በብዘመኑ_, 
   {{0x547c0213,0xd94101df,0xabee0029,0x71c900f8}},	//   _допускаю, _coortier_, _هیدبوونی_, _এলিসিয়াম_, 
   {{0xea3901c7,0x93ea005c,0x70d100fc,0xca0903db}},	//   _терези_, _kwita_, _chalvetl, _bawasebe, 
   {{0x0a1504a1,0x565701b8,0x131601b5,0x5e2400db}},	//   _forbinde, _कांधे_, _binzu_, _tellimus_, 
   {{0x5291015e,0xb3ea03ef,0x0bd20105,0x9a1100be}},	//   _seran_, _mwita_, _गठिया_, _сөөктү_, 
   {{0xaa11004f,0x29600053,0x714602ac,0x9c63036e}},	//   _espaceme, _महानोर_, _وفقكم_, _arrullo_, 
   {{0x2d3801d5,0x00000000,0x00000000,0x00000000}},	//   _ووٹروں_, --, --, --, 
   {{0x9af801de,0x00000000,0x00000000,0x00000000}},	//   _валентті, --, --, --, 
   {{0x729100e5,0x6e610147,0xe224013d,0x52da02fc}},	//   _geral_, _الىحان_, _epoko_, _turebe_, 
   {{0xd34101fb,0xea34013c,0x8c6f00ee,0xe543016f}},	//   _duressa_, _rusiyalı_, _atarian_, _воском_, 
   {{0x57a704a2,0x4b8c02af,0x6d0201a2,0x6a1300cf}},	//   _festivai, _bayishar, _vīlandes_, _darbanit, 
   {{0xbd800029,0x19f904a3,0xee6a00c7,0x427e03a4}},	//   _زیزپوور_, _डिप्रेशन_, _корды_, _runnu_, 
   {{0x5d5000e6,0x828d00f4,0x527e0034,0xdd8d016b}},	//   _省地方税务局转发, _besketa_, _sunnu_, _dimokara, 
   {{0xfc9d02ec,0x012d03ab,0xb6b800f5,0x25260299}},	//   _ؤٹتھ_, _kokosové_, _bayramcy, _بوپقاپتۇ_, 
   {{0xe291041c,0xc2240044,0x00000000,0x00000000}},	// [5c0] _meram_, _looked_, --, --, 
   {{0x0ae0021b,0xa1890066,0x72cf0003,0x2e010184}},	//   _varustet, _элементү, _getoond_, _bakegera, 
   {{0x065500fb,0xf2e30025,0xe9e10317,0x727e005b}},	//   _elenzelw, _मारीच_, _metodama_, _gunns_, 
   {{0x090e017d,0x0c670257,0x7b0e01eb,0x82d50040}},	//   _はじめまして_, _frettir_, _aropúta_, _ואסטרטגי, 
   {{0xae410327,0x93cd02b6,0x5349001d,0xfc560272}},	//   _symbolet_, _поштаңыз, _differe_, _amatale_, 
   {{0xba07042f,0x229100e1,0x97ed023e,0x09fa0378}},	//   _munaritt, _beral_, _bebareng, _haraldse, 
   {{0x69c70088,0xc22402bb,0x9985034d,0x4d25006c}},	//   _бабадан_, _spoko_, _diekspre, _babonane_, 
   {{0x963900a4,0x4eb001f0,0x92c501d3,0x42f00219}},	//   _палатасы, _apesitse_, _kollade_, _bakitsi_, 
   {{0x154b016d,0xe23f0109,0x1e8c01f6,0x739e0242}},	//   _ﻣﻪﺷﮭﯘﺭ_, _jarmark_, _medverke_, _həyati_, 
   {{0x7d8d02ef,0xd45d023a,0x98ae00ec,0xac0100c1}},	//   _dekontra, _zaoberať_, _ўмеюць_, _elastis_, 
   {{0x12ee042c,0x5c510066,0x88cf01f4,0x62ea044d}},	//   _planovi_, _kontura_, _tartibig, _farisen_, 
   {{0xd30501ea,0x805301ce,0x42b4013b,0x76310125}},	//   _سوراق_, _رامسر_, _chocó_, _gündelig, 
   {{0xe2240340,0xbe3e0095,0xe9280444,0x9c7d0139}},	//   _upoko_, _رادیاتور_, _рейтерс_, _caurair_, 
   {{0xfb7500b5,0xf5da0227,0x7e350222,0xc5f000ec}},	//   _aposéva_, _timbulny, _cellules_, _старанна_, 
   {{0xa2c9031a,0x230d0054,0x9fd7003a,0x5c20005b}},	//   _poblach_, _tambaya_, _зарарли_, _jernmand_, 
   {{0x136500e0,0xd20104a4,0x72ee0049,0xabd1027b}},	//   _bergsma_, _cacile_, _haafe_, _ह्ययं_, 
   {{0x5bee03f4,0x0f25014d,0xc26701ed,0x1f580247}},	// [5d0] _самом_, _auseinan, _hopunaol, _bacutké_, 
   {{0x25e80105,0x9d0901c5,0x3d98007a,0x3ea10338}},	//   _पर्यटकों_, _پرانى۪ن_, _berlaina, _refusant_, 
   {{0x2c430016,0xc2930316,0x00000000,0x00000000}},	//   _malproks, _banbanci_, --, --, 
   {{0xc798025b,0x0cab0320,0x32000014,0x77620486}},	//   _motorsúk, _eliyazar, _takime_, _बन्धक_, 
   {{0x969803cf,0x029102eb,0x92d90040,0x02d90151}},	//   _verebili, _австрийн_, _dozens_, _agonize_, 
   {{0x6f240075,0xdd1601ac,0x6b9401a3,0xe2e60059}},	//   _tráin_, _foroinnt_, _ڪنسلٽنٽ_, _arancia_, 
   {{0x03490364,0x2291001f,0xd53a010d,0x4e9304a5}},	//   _sauerei_, _yerae_, _फ्रान्सच, _ngomhlan, 
   {{0xb0e802c2,0x3c7c04a6,0x3e31002b,0x0c4003eb}},	//   _christel, _časova_, _পঞ্চগড়_, _bekwaam_, 
   {{0x22df0044,0xa6fb008d,0x240f034a,0x36dd00f5}},	//   _evening_, _умумхалқ_, _bergondo_, _atabegli, 
   {{0xca1503b0,0xd93102ae,0x3fe90109,0x8266002b}},	//   _forbunde, _primjere, _बसपार्क_, _সীতাকুন্, 
   {{0x2849004d,0x3d190244,0xbd4b04a7,0xf78703c4}},	//   _我會說什麼人才跟, _безброй_, _aguantou_, _جانابىي_, 
   {{0xbc710212,0x3be801bd,0xd9df008d,0x922a0045}},	//   _oportet_, _тренингт, _dasturid, _бобан_, 
   {{0x16f100be,0xaa07001b,0x723602ce,0xcd1a014e}},	//   _اشتادىم_, _alaalatt, _nanjak_, _ispovest_, 
   {{0x1e0f0193,0xcf2d0386,0x4128018d,0x827e0450}},	//   _पार्श्वभ, _kepentin, _ህዝብኹምን_, _aginda_, 
   {{0x835e01da,0xbd14018c,0x9df30086,0xfdd7033e}},	//   _inteligj, _doorstur, _اینگلو_, _kangymím, 
   {{0x00000000,0x00000000,0x00000000,0x00000000}},	//   --, --, --, --, 
   {{0x659701ef,0x52e60097,0xa938023e,0x498e004b}},	// [5e0] _службовы, _isinwin_, _موسویان_, _ҡадир_, 
   {{0xd27c048a,0xe7b304a8,0xe3be02e5,0x0e7c04a9}},	//   _шаралары_, _podsjeti, _қьырала_, _येस्स_, 
   {{0x32f300af,0x327f04aa,0xd2d5045d,0xe200035e}},	//   _iнiцi_, _enenei_, _polovno_, _rakije_, 
   {{0x14b70031,0xe9810176,0xc79f0037,0xa3660140}},	//   _आघाडी_, _kishimot, _አይገርምም_, _arugain_, 
   {{0xf2410256,0x696f0197,0xef260372,0x1b8f019c}},	//   _neveiksm, _antibyot, _broteina, _owongogo_, 
   {{0x22d5008e,0xa5f40065,0x6e8d0093,0x00000000}},	//   _estomaa_, _gemeinnü, _вайша_, --, 
   {{0x7c0102c3,0x02ea0223,0xe2e30167,0xe9cb0125}},	//   _classis_, _parisen_, _abersoch_, _berdirme, 
   {{0x27890276,0xdee9014d,0xd9f600ba,0xb46e014e}},	//   _карачиди, _sicherun, _خۆشکرد_, _бреме_, 
   {{0x52780295,0x73950359,0x77620187,0x6fa1040f}},	//   _afungi_, _farsk_, _легендат, _analizuo, 
   {{0xb0c701e5,0x73f104ab,0x62d901d7,0x03940202}},	//   _amulumal, _njezine_, _libers_, _isosro_, 
   {{0x5d9a04ac,0x02d90040,0x45980143,0x00000000}},	//   _статьи_, _fibers_, _карбурат, --, 
   {{0xa3ea03f2,0xa7220391,0x5200005b,0xce1c023e}},	//   _avata_, _фулбрайт_, _fujie_, _dirganta, 
   {{0x03f40429,0xcedd0156,0x855200d3,0xe1b80088}},	//   _pautan_, _סבֿרא_, _bramborá, _алайкуун, 
   {{0x9c2a03ba,0x4f6501fc,0xd13a0362,0x469802ef}},	//   _ngabarar, _fitamiin, _ebongisá_, _dezekili, 
   {{0x23f80117,0x7c7e0271,0xd620029f,0x53bd004b}},	//   _klaut_, _versjon_, _ochoreni, _angwang_, 
   {{0x62d40105,0x2c2a02af,0x958302d3,0xdca90022}},	//   _trudno_, _atabibar, _corrupçã, _ҡырғыҙст, 
   {{0x43f40193,0xb9de04a7,0xcc610425,0x09c3003c}},	// [5f0] _tautan_, _valorada_, _کانگاس_, _شائبه_, 
   {{0x976f0135,0x079704ac,0x62900179,0xd2de0052}},	//   _форумнар_, _лидеры_, _gebas_, _nemohou_, 
   {{0xc1cb0227,0xee4404ad,0x5b2002f0,0xf2b20183}},	//   _tertarik_, _balatofa, _bebabamb, _dradama_, 
   {{0x6202026a,0x7387010d,0x385f01f7,0x82c50132}},	//   _eyring_, _ngaruh_, _coloniau, _kuplung_, 
   {{0xbd7602ac,0x1b350180,0x32d90148,0xb2eb0291}},	//   _جرحني_, _letablis, _imper_, _يرغبون_, 
   {{0xc3ea0178,0x0fef0136,0xec5200d8,0x00000000}},	//   _cvata_, _prehrano, _contorn_, --, 
   {{0x6249004f,0x5a5001eb,0x477403f0,0xf2f604a4}},	//   _kaamil_, _абатут_, _merkileg, _baistidh_, 
   {{0xf4930037,0x238701a1,0x00000000,0x00000000}},	//   _በዲሞክራሲያዊ_, _hierop_, --, --, 
   {{0xd94e02e2,0x98540060,0xe52200c7,0x222c0040}},	//   _swallowt, _توليك_, _агымдагы_, _ולמנוע_, 
   {{0xe291016e,0x429201ec,0x3f37006c,0x07f804ae}},	//   _idrar_, _altaic_, _akhuluma, _наелектр, 
   {{0x72da0151,0x1984004c,0x031002a5,0x0c5103fd}},	//   _egress_, _abakyawa_, _sluzby_, _faitala_, 
   {{0x4f650211,0x13ec0226,0x5200035d,0xec090289}},	//   _vitamiin, _asamafik, _hemija_, _chopita_, 
   {{0xe3f804af,0x720204b0,0x22830242,0x87180302}},	//   _hlaus_, _fyring_, _inamlı_, _забҳи_, 
   {{0x971e0223,0x2c6601e1,0xb2d901b4,0xdf4004b1}},	//   _дарга_, _батыры_, _amper_, _blogginn, 
   {{0x348f03db,0xf2000020,0x593e01f0,0x7da90296}},	//   _bengenak, _pemila_, _khompiut, _cylindra, 
   {{0x43090060,0x469c0073,0xc2c8012a,0x4290011c}},	//   _болуымен_, _diffundi, _pokazać_, _febar_, 
   {{0xc31001b9,0xa87001a9,0xffca0147,0x32000014}},	// [600] _burzwa_, _físicas_, _تاكبىرىڭ, _femija_, 
   {{0x19a60305,0xb23002f9,0x9ab400c1,0x00000000}},	//   _miljøsta, _chemaja_, _उजाडला_, --, 
   {{0x2f4901cd,0xf3a60037,0x42370130,0xc9ed0239}},	//   _кириллик, _ውዝግቦች_, _alkmena_, _himipora_, 
   {{0x92900172,0x62780102,0x496b0340,0xc2e60011}},	//   _kebar_, _ufundi_, _mamingat, _atanywa_, 
   {{0x73f801ef,0x1ce70076,0xc1140271,0x82000446}},	//   _alaus_, _решавање_, _klokkesl, _kemija_, 
   {{0xb2e10160,0xa9fc02fc,0x12d801ea,0xb6090047}},	//   _obrnuto_, _abandika_, _bmtning_, _compréhe, 
   {{0x3b8d009d,0x723601eb,0x1058034b,0x113d0077}},	//   _besimtar, _ahoja_, _givimbak_, _ajitasyo, 
   {{0x42910145,0x226d0077,0xd2da01b4,0xca7d0131}},	//   _gerai_, _devore_, _vereis_, _xefatura_, 
   {{0x32d8044d,0xcaea0019,0x41d00462,0xd07503c1}},	//   _amleen_, _testicle, _angedhay_, _духови_, 
   {{0x3c760305,0xe36a018f,0x32000167,0xc3f80116}},	//   _moisund_, _dungluq_, _dalier_, _glaur_, 
   {{0x4c7303d9,0xbc1c02da,0x614d00e6,0xe3a701aa}},	//   _raisina_, _процесот_, _破坏民族团结_, _annyday_, 
   {{0xef2a0204,0xba440439,0x72910429,0x338c016f}},	//   _банковск, _basemata_, _jerai_, _душею_, 
   {{0xfdee003a,0x86610013,0x7305028a,0x01df0178}},	//   _яраланди_, _خبرنگارل, _توتان_, _anenāsmi, 
   {{0x4ccd03e9,0x92b50148,0xbc7402a5,0xaf5d013c}},	//   _макалада_, _nasci_, _प्रेमदिव, _yataqxan, 
   {{0xe5d20169,0x6c7500c1,0xb387031c,0x9c67014a}},	//   _সাহিত্যে_, _प्रॅक्टि, _cierta_, _pintér_, 
   {{0xd07300cb,0x92fa0187,0x829200bc,0x2290010d}},	//   _ababengo, _тренерск, _bisane_, _tebar_, 
   {{0x72ef03f0,0x7c5902d6,0xa1dc0059,0xa26d03b7}},	// [610] _stefna_, _مکتوبی_, _глоба_, _apervill, 
   {{0x0c520007,0xbf5f039f,0x49580312,0x226d0347}},	//   _akatela_, _citation, _belleile, _tevore_, 
   {{0x4cc40396,0x82b5022d,0x72f002f6,0x22d0003f}},	//   _kapitolu_, _masci_, _lumitaw_, _foglayr_, 
   {{0xc25a0388,0x061b002f,0x03fe0052,0xb71c0094}},	//   _delle_, _lycopodi, _penzion_, _тәржімал, 
   {{0x0e4d0405,0x537800ef,0x29cd02b6,0x02df0360}},	//   _доводить, _زيرمه_, _поштасын, _malovat_, 
   {{0xe61e015e,0xfaa300be,0x82550128,0x22de00af}},	//   _laboraci, _инженерд, _швайншта, _подоланн, 
   {{0x104000d1,0x13f901cf,0xe2d403f7,0xd34801be}},	//   _সহানুভুত, _alque_, _ballinu_, _infekci_, 
   {{0x1e7a0302,0xf40d02ab,0xf39b021c,0x0e000151}},	//   _октябр_, _ebenchek, _sekundár, _balderda, 
   {{0xf3ea021b,0xeea804b2,0x1dce04b3,0xb26e0134}},	//   _avatv_, _publikon, _diskiant_, _praimari_, 
   {{0x425a02d5,0x657f01b5,0xd29101aa,0x09d30302}},	//   _kelle_, _afidhavh, _adray_, _новбари_, 
   {{0xd4ad02c1,0x59cf017c,0x969a019e,0x00000000}},	//   _barashak, _beteende, _бялынічы_, --, 
   {{0x1c7c02d8,0xa2e2017d,0xe7270313,0xe2ee033f}},	//   _pensiun_, _ejendom_, _mamejjaj_, _saafa_, 
   {{0x7b640328,0xa8de0072,0x4bf800d1,0x7a5c004d}},	//   _aratinda_, _stefansd, _পঠিয়াওক_, _一個小小的檔案館, 
   {{0xf3b80494,0x360f004d,0x82c2003b,0x662801c4}},	//   _imovinu_, _三代之中國歷史人, _dzalula_, _normaalw, 
   {{0x9d6b02e8,0x43cd0311,0x00000000,0x00000000}},	//   _chimbote_, _ንመዓስከር_, --, --, 
   {{0xe3000452,0x5c7c008c,0xfc35039c,0x80520350}},	//   _memakai_, _tensiun_, _impartic, _cheratin, 
   {{0x13190271,0x4291001f,0x7150040f,0xa0c702fe}},	// [620] _definisj, _yeraw_, _адамовіч, _معاملاتو_, 
   {{0xa8ec019e,0xbe13004f,0x22000124,0x29580312}},	//   _законных_, _suleymaa, _temika_, _pelleile, 
   {{0x0f3503c6,0x6394017c,0x5a5d032d,0x62920138}},	//   _autodoar_, _fansen_, _барларға_, _nickler_, 
   {{0xe3000054,0xf96d02b4,0x2f2c0147,0x790900c7}},	//   _halarci_, _batiphat, _ققاندا_, _берара_, 
   {{0x6c530026,0x289f0235,0x9383028b,0x1b5b0415}},	//   _fietsen_, _anulbaṇa, _рыҟаҵара_, _erneuten_, 
   {{0x841c02f7,0x833101a6,0x824e039e,0x00000000}},	//   _kanamiso_, _rakapī_, _båtsamli, --, 
   {{0xc2f50046,0x599303ff,0xb3940003,0x00000000}},	//   _apuntar_, _snažili_, _kansen_, --, 
   {{0xe3ea02d9,0xc29201a0,0xce370307,0xd4ea0092}},	//   _avatu_, _dickler_, _bangakha, _万円から始める投, 
   {{0x52b40497,0x5a0c03dd,0x63f40421,0x1257039e}},	//   _baccy_, _gjibralt, _bauten_, _baselkom, 
   {{0xbc4903e0,0xedec006f,0x7ed4031a,0xc402002b}},	//   _ronderëm_, _تابعداري_, _claistin, _করুণা_, 
   {{0x7d9b0300,0x35e5023c,0xa34101d4,0x00000000}},	//   _autoseda, _مېدوېدېف_, _arremba_, --, 
   {{0x0e940277,0xfb2402ec,0xc1520062,0x3d7801ce}},	//   _browbone_, _barakays, _ghalilay_, _ونوجوانا, 
   {{0x586600d6,0x66530045,0x9387031c,0x68ff04b4}},	//   _استايلات_, _trajkovi, _cierra_, _dataprod, 
   {{0x8f060188,0xa602024c,0x22d90049,0x81770315}},	//   _мизроб_, _inklussi, _topee_, _kumakhel, 
   {{0x837c03ba,0x797504b5,0x1d8c015e,0xf94a0151}},	//   _koralle_, _periclit, _aprofita, _diatomic_, 
   {{0xbbb80094,0xd3bb00a2,0x00000000,0x00000000}},	//   _анашым_, _kumwita_, --, --, 
   {{0x22e604b6,0xc0900151,0xc2cd024e,0xf2ba0220}},	// [630] _itangwa_, _precocio, _učenici_, _crediti_, 
   {{0xcf4b0175,0xf1e401db,0xe1b10488,0x00000000}},	//   _senserma, _педиатрл, _premjerm, --, 
   {{0xe17500e7,0x9ee10329,0x9ea101c4,0x27a60087}},	//   _econdsay_, _lazistis_, _sterkste_, _mindyang, 
   {{0xe015035b,0xca9701a3,0xa2f1008d,0x52dd012a}},	//   _zdravniš, _اونھو_, _tarildi_, _japonii_, 
   {{0x001a0258,0x22f10331,0x45f4029b,0xe20200f4}},	//   _staverin, _høgra_, _lëmoodik, _girieu_, 
   {{0xc387023e,0xdfc300c5,0x57400278,0x80f602df}},	//   _vierra_, _indiquer_, _kelowong, _cencaluk_, 
   {{0xc2010091,0x6aca029f,0x732502c3,0xf2ba03fb}},	//   _ilaini_, _pravidie, _slobody_, _srediti_, 
   {{0x98960013,0xb44c006c,0x73f4028e,0x784100e1}},	//   _тартиби_, _қубодиён_, _sauten_, _faaleetu, 
   {{0xa667027e,0x3ee90331,0x96b70434,0x6db50102}},	//   _радимо_, _fiskiran, _cadáver_, _msongama, 
   {{0x57120255,0x40bf00e6,0x12cf042c,0x89f80359}},	//   _मर्दे_, _中华人民共和国中, _redovne_, _fraachte, 
   {{0x7f3c0456,0x0afc0074,0x1c6404b7,0x17750157}},	//   _dikurnia, _onnellis, _geruime_, _प्रभाकरण_, 
   {{0x02910005,0x96ea00f2,0x08940078,0x99030156}},	//   _gerau_, _atraduši_, _пустите_, _דאפלט_, 
   {{0x966802c0,0xceb302d9,0xa34302ed,0x00000000}},	//   _глобални, _fitoiton, _accegal_, --, 
   {{0x130002d8,0x0f4102fb,0x3e59009c,0x6ea20059}},	//   _pemakai_, _kongokon, _chuchupa, _potreste_, 
   {{0x539601b8,0xb291009b,0x8201036f,0x74d70064}},	//   _varsti_, _berau_, _nedovrše, _дарагын_, 
   {{0x42010202,0x72d9021c,0xac6001df,0xef2503b0}},	//   _alaini_, _kopec_, _alludin_, _medlemer_, 
   {{0xb1fd0148,0x5b4001e6,0xd28303a0,0xa2db0027}},	// [640] _行政院公報資訊網_, _dekoračn, _baranodi_, _stromer_, 
   {{0x4f21033e,0x72da0069,0x7bfe009e,0xd6990211}},	//   _orquesta, _mureke_, _namorado_, _добиться_, 
   {{0x54a602a5,0x23ea0176,0x59ee03da,0x1a5e03a2}},	//   _पुरातात्, _iwata_, _ifunanya_, _ऐसेसरीज_, 
   {{0xb3fa005b,0x2c590347,0x7a080294,0x84390045}},	//   _haruru_, _gedurig_, _funavist, _проглаша, 
   {{0x24190013,0x43ea001e,0xddff0268,0x13f4018d}},	//   _байрамин, _kwata_, _aplessta, _portit_, 
   {{0x1c2101d7,0x560304b8,0x3dae0019,0xc2e704b9}},	//   _perquai_, _handloom_, _crítique, _granein_, 
   {{0xb2fc0193,0xbf910204,0x22910308,0x012d004b}},	//   _nongol_, _активная_, _jerat_, _ҡапты_, 
   {{0x629102a3,0xa34400ac,0xb2910071,0x79df0162}},	//   _veral_, _istekne_, _jeram_, _لەردە_, 
   {{0xf05f018d,0x72cb043a,0x529100e5,0x53ea0157}},	//   _ተንሲኦም_, _onedom_, _deram_, _plotek_, 
   {{0x5a67048a,0x030d0285,0xf2e200c7,0x0201026c}},	//   _прозасы_, _zambiya_, _artığın_, _accipe_, 
   {{0x634a014a,0x1ba7019b,0x5ecf0067,0x21c303ea}},	//   _kipufogó_, _susitiko_, _fariison, _apprenez_, 
   {{0xd49e0169,0x93ff023d,0x427f012c,0xcdff0462}},	//   _ফোল্ডার_, _giardini_, _mganga_, _aplersta, 
   {{0xe51e0187,0xfd710378,0x73050356,0x29c203e6}},	//   _балотели_, _svimjara, _tamanak_, _vegetare, 
   {{0xc395025e,0xe3f9037f,0x9d250137,0xc35a01df}},	//   _barst_, _boyuk_, _худгаас_, _puffies_, 
   {{0x829104ba,0x134503dd,0x89df0162,0x13b8021c}},	//   _xeral_, _sigurisë_, _پەندى_, _slovanu_, 
   {{0xc74804bb,0x72b501b4,0x03950274,0x42910110}},	//   _zoonkauj_, _soldate_, _varst_, _ceram_, 
   {{0x139500bd,0xf7e30141,0x6f4a00d8,0x8261040b}},	// [650] _warst_, _номини_, _adoptant_, _polotiki_, 
   {{0x22d80369,0x2ecd0151,0xa99302f0,0xd2d800e2}},	//   _kihee_, _antimoan, _enchutje, _sijens_, 
   {{0x82d90211,0xe95604bc,0x57220265,0x6291018f}},	//   _nopea_, _sørover_, _ingredië, _heraj_, 
   {{0x117d00ff,0x0c740037,0x33800312,0xe2da04bd}},	//   _נילוס_, _መነሳሳት_, _bitrak_, _tureke_, 
   {{0x3291029b,0x19a500ec,0x22d90211,0x0c7300e9}},	//   _seral_, _купалу_, _hopea_, _uvertir_, 
   {{0x120004be,0x52cc0247,0x90dd00bc,0x93fa02fe}},	//   _tubig_, _antlion_, _میارن_, _kusuke_, 
   {{0x527f011b,0x66a80064,0xe248011b,0x1f770161}},	//   _nganga_, _الاقاچتى, _kukwikil, _кремля_, 
   {{0x43ea02e0,0xda5d03d4,0xb04003b2,0x7ab60141}},	//   _barutegi_, _galenika_, _resuspen, _kuchayis, 
   {{0x127f029c,0x727f0007,0xa26e02ab,0x72910231}},	//   _mganda_, _aganga_, _ikpowa_, _veram_, 
   {{0x1372049c,0x990a024a,0x1378031a,0x620104bf}},	//   _bangfuz_, _alabapad, _breagha_, _nacije_, 
   {{0x2eb3005b,0x90d403d0,0xe25e030c,0xaab60087}},	//   _appstore_, _poručuju_, _kitunigl, _anghenis, 
   {{0xe99f02ec,0xa3f904c0,0xa7c20116,0x364a03b4}},	//   _وُپھوارس_, _baguam_, _flurishi, _chihumbi, 
   {{0xfea40235,0xd2ea04c1,0x920000b9,0x1ff501e8}},	//   _पूर्णत्व, _ekriven_, _nubie_, _boryatin, 
   {{0x2364030d,0x00000000,0x00000000,0x00000000}},	//   _brifinq_, --, --, --, 
   {{0x72cb0006,0x32fe0381,0x221303f3,0x33f402be}},	//   _berlari_, _alarmway_, _kachel_, _dautan_, 
   {{0x9e9c00d6,0x11a3004d,0xaf3100f1,0xd280012a}},	//   _ltltltlt_, _戶政博物館_, _spiritya, _papiery_, 
   {{0xd25a0167,0xf5fb0326,0x3fe100ff,0xa75a0350}},	// [660] _clllc_, _chemunyi, _babilejo, _ማክበርና_, 
   {{0x20c000e7,0x3aa60040,0x159100fb,0x531302c6}},	//   _abelledl, _השגריר_, _nasekuth, _eskimoeg_, 
   {{0x8ce5005e,0x639a0107,0xa14101eb,0xfa4f0227}},	//   _پاھىشە_, _اسامي_, _castígop, _lehernya_, 
   {{0x33eb046d,0x46f40092,0x093c04c2,0x01630187}},	//   _phetho_, _人のお友達がいま, _primetit, _поминат_, 
   {{0xb3050243,0x00000000,0x00000000,0x00000000}},	//   _ramadak_, --, --, --, 
   {{0x73fa005b,0xc3a90271,0xa224024f,0x42d00235}},	//   _yusuke_, _øyvind_, _oqoka_, _avatīrya_, 
   {{0xf659019b,0x920602e1,0x62a60025,0xef48023e}},	//   _настольк, _ناروتو_, _alobho_, _anggrain, 
   {{0x5387005f,0x3c680125,0x6dc803fe,0xb3f40296}},	//   _mierda_, _онаран_, _центро_, _alster_, 
   {{0xd27e04c3,0x4e950194,0x00000000,0x00000000}},	//   _gunny_, _mantenet_, --, --, 
   {{0x525103f1,0xef2801e7,0x15580242,0xec0b0032}},	//   _čitateli, _doropper_, _alırdıla, _manongpu_, 
   {{0x12fc04c4,0x115303b0,0xcd400177,0x12b103b4}},	//   _ajaga_, _konserto, _иҟаларан, _dundira_, 
   {{0x6380038a,0xf3e1029f,0xaa910019,0xc9d00162}},	//   _fourmi_, _objektov_, _студияда_, _шерин_, 
   {{0xa2910013,0xcf3900a8,0xd2f20198,0x14860109}},	//   _kerak_, _spengler_, _užitek_, _दोहामा_, 
   {{0x6575023d,0x4ae902d3,0x44ab025f,0x4291013d}},	//   _contatto_, _позиција_, _bakangak, _veraj_, 
   {{0x10d00334,0xc508003e,0xe2ea03cf,0x00000000}},	//   _ingokhal, _беѓѓеѕ_, _biriken_, --, 
   {{0xf86302af,0xdfea00c5,0x0d0800ac,0xb1a50105}},	//   _abandond, _参与本评论即表明, _otvorite_, _chronić_, 
   {{0x2c250245,0xe2da02f9,0xb2ad0012,0x1291013f}},	// [670] _husbandr, _deperi_, _बालमीकीज, _gezar_, 
   {{0xae4a00cb,0x6bec0061,0x72e901c8,0x00000000}},	//   _ababelap, _내비게이션_, _historky_, --, 
   {{0x54a4002f,0x0cbe0046,0x19d1000b,0xba8c03f3}},	//   _akrakiyk, _калем_, _faitautu, _tarieven_, 
   {{0x23ea011f,0xe75f00bb,0x42da047d,0xb99101b3}},	//   _avati_, _موزمبیق_, _dorems_, _bakhjule, 
   {{0x12910039,0xa77801f4,0xd31c0163,0x5a1a00bc}},	//   _berak_, _اوراقی_, _پیرما_, _مزایا_, 
   {{0xf3f402d0,0x455b006d,0xf2900082,0x84bc00c1}},	//   _ulster_, _квадра_, _nunawa_, _परवडत_, 
   {{0x625a015f,0xd21500bb,0x327701ea,0x00000000}},	//   _waelod_, _روپئے_, _вазмин_, --, 
   {{0x044f0287,0x40370156,0xb2da02d9,0x4ae700d0}},	//   _आर्यघाटम, _שייַעך_, _pepesi_, _andreare, 
   {{0xb2ea039e,0x949b0157,0x9ee00486,0xb3f90416}},	//   _skriven_, _ostatecz, _जँड्याहा, _alquo_, 
   {{0x6dbc0203,0x40330059,0x151e0040,0x5a35002b}},	//   _orthogra, _моторни_, _שובבות_, _নিমজ্জিত_, 
   {{0x0dfb0422,0x0fcd002b,0x034d012e,0x73370205}},	//   _čudovito_, _বকেয়া_, _lemezek_, _кинога_, 
   {{0xb362029e,0xa2c70057,0x626d00d7,0xc59b0400}},	//   _mangeek_, _disedari_, _fefole_, _astutezz, 
   {{0x3bee0159,0x92f70059,0xdd25002b,0x9aaa0299}},	//   _вадою_, _ораново_, _কাঁচের_, _بەيھەقىي_, 
   {{0x64680046,0xa0fb0092,0xfef60156,0x938702dd}},	//   _айтор_, _エスニック_, _עבֿריתּ_, _bierda_, 
   {{0x587001d1,0x329101ec,0xa2770188,0xbb8100c1}},	//   _standard, _gerah_, _паймони_, _एकदमच_, 
   {{0x60d802ba,0xf6860127,0x02c30121,0x00000000}},	//   _душманон, _gondaoni, _pillado_, --, 
   {{0xf5470191,0xb2ec0148,0x468702c8,0xd1f50152}},	// [680] _tingsrät, _subinde_, _verdegai, _ауропа_, 
   {{0x92eb02ad,0x19fb0244,0xc2ee00bc,0x5a9d0405}},	//   _majitel_, _martedì_, _ngenani_, _повертаю, 
   {{0xd29101b9,0x199d004b,0xd5c200b3,0x44b40075}},	//   _sezar_, _ғанын_, _онармаса, _undantik, 
   {{0x8bed03cf,0x02920392,0x0da901fe,0x09ea0210}},	//   _gerektir, _casaid_, _konitara, _akarigad, 
   {{0x734200ec,0x85b20139,0x0c630309,0x4334020f}},	//   _elgesio_, _apohyajñ, _avtomaşı, _ورنږدې_, 
   {{0x77420066,0x840e01b5,0x8c6f038b,0x03940160}},	//   _морьтон_, _chunchek, _ataukah_, _proslo_, 
   {{0x53200343,0x82ee019f,0x62b10066,0xbf2a0095}},	//   _ariyos_, _maafa_, _mundura_, _dattulla, 
   {{0xa9dd0244,0x72d5007b,0x9d85034f,0x00000000}},	//   _толерира, _callant_, _ebambana, --, 
   {{0x235b0216,0x8c52004b,0x539402f9,0x2a13007b}},	//   _hunguta_, _ikatela_, _kanson_, _ingaithe, 
   {{0x60570125,0x02fe01d1,0xee350498,0x323000ec}},	//   _динидир_, _periods_, _oslavova, _chemija_, 
   {{0xf3eb00fe,0xc9e700d9,0xbead02eb,0x43f2019e}},	//   _eletā_, _заметно_, _хүрвэл_, _чешуекры, 
   {{0xe841033e,0xa27f0011,0x5344029e,0xd6e50073}},	//   _астено_, _aganja_, _astenne_, _preconci, 
   {{0xe22f00d7,0x5f660276,0x00a702ad,0x422500be}},	//   _абруй_, _پروگىرام, _šatičky_, _كىنەماتو, 
   {{0xa29004c5,0x82830410,0x5051013f,0x89f801d3}},	//   _debaz_, _thekgwa_, _abugidao, _kraschad, 
   {{0xd8c401eb,0x25e8013c,0x0a2b00c1,0x63ea0176}},	//   _endeudad, _manatlıq_, _गुळगुळीत_, _iwate_, 
   {{0x234c0158,0x7fe2015e,0xd15b0405,0x4b4500bb}},	//   _महबूब_, _جەمئىش_, _околиці_, _ناخنوں_, 
   {{0xd3190040,0x72020260,0x13f9004f,0x00000000}},	// [690] _defining_, _maside_, _doyul_, --, 
   {{0x24a2016e,0xdea2004b,0x0ba802d5,0x76690156}},	//   _başladım_, _botlasen, _गुरुँये_, _העפֿלעך_, 
   {{0x5452017d,0x6a010499,0xd2fd04c6,0x9f2e0414}},	//   _brodersk, _femalaga_, _alvhild_, _mbatasia, 
   {{0xd2e90141,0xe8e9027f,0xdc7e0034,0x6278012a}},	//   _oldidan_, _bwashing, _lausnin_, _grunty_, 
   {{0x7ddb022b,0x432003b6,0xa22601d5,0x59c10253}},	//   _endurnýg, _aroye_, _آخرکار_, _sandgree, 
   {{0x12900193,0xd3bb00ef,0xa2c701e4,0xde4a0361}},	//   _lebay_, _مکتبونه_, _vídni_, _вариантн, 
   {{0xe34f04b8,0x33160099,0x52f20040,0x2c5601b8}},	//   _asherah_, _tanzi_, _manually_, _teatele_, 
   {{0x5f3701e6,0x427704c7,0x85ef031f,0xfd3700d9}},	//   _poslanec_, _батман_, _ordforrå, _бизнесе_, 
   {{0xcf7e026c,0xb269032e,0x242800d7,0x5c6d0039}},	//   _中國經濟網_, _sutinkax_, _болоттар_, _савандаж_, 
   {{0x4eac0055,0xa3250120,0x9ccc0094,0x8863030d}},	//   _castagne_, _babbaay_, _العاشىند, _alfonslu, 
   {{0x89f000c4,0x693b0039,0xfa9904c8,0x68b50251}},	//   _kuungana_, _eramatea_, _diverġen, _mandaqad, 
   {{0x503601cd,0xc2a604c9,0xbb8000bb,0xfc920333}},	//   _duterono, _biobã_, _پلانٹس_, _avvecanu_, 
   {{0x7e50018f,0x0ba50321,0x731e01db,0x929000b9}},	//   _bisaghla, _zanimajo_, _армандап_, _debay_, 
   {{0x72fc0193,0xd3500064,0xeeaf00df,0x91620061}},	//   _berikut_, _انگلىسچە_, _nautisme_, _인디펜던스_, 
   {{0x371302e5,0x5d8f00d6,0xcfa104ca,0x6c5e0176}},	//   _evusukué, _bunleaga, _atelosto, _cattail_, 
   {{0xd22b0219,0x96ca00a8,0xecbd0040,0xc4160137}},	//   _avamise_, _chapital_, _גימיק_, _эгчтэйгэ, 
   {{0x59f600bb,0xb1b900da,0x9462022f,0x00000000}},	// [6a0] _futár_, _терминэ_, _moterisk, --, 
   {{0xfaad0052,0x7ab800b4,0x0c730046,0xd3eb007b}},	//   _zasedání_, _нормелор_, _exercir_, _cwyte_, 
   {{0xb27f02f8,0x9b7f01d2,0xe3f901cf,0x257102ba}},	//   _anenai_, _achuqcha_, _loque_, _халқҳои_, 
   {{0xf9e400ea,0xd3e100d1,0x729204cb,0xa2d5029e}},	//   _namorona_, _আম্বেদকা, _nasaud_, _hallont_, 
   {{0x3af700c7,0x375d0022,0x92d90428,0x00000000}},	//   _berrättä, _норвегта, _topel_, --, 
   {{0x9f3b0008,0xe38000f1,0x3f19020f,0x99e40183}},	//   _francesc_, _pourki_, _ویبلاګون, _hamorona_, 
   {{0x3f4d0040,0xc39402f9,0x13050243,0x00000000}},	//   _גיורא_, _ranson_, _tamahak_, --, 
   {{0x9bf10265,0xb39c0076,0x73450192,0x00000000}},	//   _auteursr, _secundár, _lopende_, --, 
   {{0xe27f0251,0x48f900dc,0xe9e40183,0xaca603b0}},	//   _maanta_, _apopoleg, _mamorona_, _mangfald_, 
   {{0xd27f0015,0xc9340274,0x22bb02c2,0x92000269}},	//   _laanta_, _klambrat, _hemelse_, _rubia_, 
   {{0x9dfc0021,0xe94d0064,0x5cff0296,0xbfd903ab}},	//   _annealwa, _demostre, _flyttfir, _avizovan, 
   {{0x32d804cc,0x5dce027b,0x02c70188,0x0200012b}},	//   _cihen_, _निष्पन्न, _тармим_, _lubin_, 
   {{0x91fd0366,0x120001df,0xf97500a6,0x116d002b}},	//   _ежемесяч, _irbid_, _ayenzile, _গাছপালা_, 
   {{0x829b015e,0xdf0e01cc,0x13940359,0xc0190244}},	//   _اكبار_, _alabhamā, _aansen_, _борса_, 
   {{0xcb180125,0xf6320189,0xcd8c0291,0x63160102}},	//   _вакитлер, _gündemin, _تشتهر_, _kanzu_, 
   {{0xfd1401c2,0x541300ba,0x62f30095,0x00000000}},	//   _divulgac, _ماڵدا_, _dijiret_, --, 
   {{0x3d7b0210,0xb2ef0242,0x0db4003c,0x72c10289}},	// [6b0] _akamonya, _tayfa_, _bagianip, _chilima_, 
   {{0xe878030c,0x13960075,0x616b018f,0x2e1c02e4}},	//   _frenchku, _fyrsti_, _birinmoh_, _hibernia, 
   {{0xac8800e6,0x23660156,0x735800c7,0x00000000}},	//   _各级行业管理部门, _aragono_, _басылырг, --, 
   {{0x87690147,0x43bd00d0,0x0c5900e6,0x4b890291}},	//   _жанданды, _баталдаг_, _一心一意谋发展_, _ابشركم_, 
   {{0xc3f800bc,0x6c8000ac,0xd37b02f6,0x71470152}},	//   _anius_, _pokušava_, _kuwarto_, _фаҗига_, 
   {{0x0ed30047,0x4b630255,0xdea30035,0xcea703fb}},	//   _familles_, _tartumaa_, _alınsa_, _neslagan, 
   {{0x53f404cd,0x84f6014a,0xae9001b5,0x62ca019d}},	//   _mostar_, _کامریڈ_, _enambyen, _amodzi_, 
   {{0x1f5f023d,0x9200005b,0x9a4400ff,0xe31601d9}},	//   _citazion, _fujii_, _דאללאר_, _danzt_, 
   {{0x1d5a0076,0x92e700dc,0x114501db,0xe8d9009a}},	//   _моден_, _clendon_, _تۇتىنۋ_, _بڅرکی_, 
   {{0xf2ec03e3,0xf3f40042,0xe2e8001d,0xe10102f7}},	//   _egziste_, _gostar_, _holigan_, _diphekol, 
   {{0x03f80231,0x8248021e,0x03260349,0xfe9302ee}},	//   _unius_, _blomma_, _airblay_, _dottorat_, 
   {{0x49c5041e,0xba530102,0x826c02be,0x00000000}},	//   _tagliata_, _limesema_, _damong_, --, 
   {{0xbbad00bb,0x3c7d0144,0x00000000,0x00000000}},	//   _ایکدوسرے_, _chasann_, --, --, 
   {{0x69e4027c,0x7c710113,0x3f6e00d3,0xee0c01f0}},	//   _buffaloe, _starsat_, _दुष्टहरू_, _dibebofa, 
   {{0x9ee202ec,0x835e018b,0xfc880187,0x6242003b}},	//   _وۅلسنہ_, _варзэ_, _радиодиф, _isimbuli_, 
   {{0xac17017f,0xf1ad01aa,0x756200b3,0xcc9103a2}},	//   _tamakker, _educeray_, _тержимеч, _कंसोल_, 
   {{0xc39e035b,0x436d0265,0xa6f2014b,0xf2d401ff}},	// [6c0] _izvajanj, _levertij, _hortitté, _prudko_, 
   {{0x635c02ec,0x6426013d,0x451602eb,0xe5810267}},	//   _وتھى۪ن_, _organizo_, _ленинээс_, _filmskom_, 
   {{0x32910171,0x5213018f,0x5394002e,0xcd290193}},	//   _stvara_, _dachol_, _prosao_, _अधिकाराच, 
   {{0x9200026c,0x2d57016d,0x6cae0089,0x10000030}},	//   _dubio_, _туридиға, _табарсың_, _demontāž, 
   {{0xb9da014e,0xddbf01fc,0x322e0484,0xc9c70450}},	//   _osvetlje, _dikilila, _कामचलाउ_, _aldeholt, 
   {{0xf63c048a,0x62790333,0x0f570151,0x3c57021b}},	//   _египетте_, _massimal, _amiablen, _kastike_, 
   {{0x1a09028a,0x4cef0153,0x34040296,0x624102d5}},	//   _ستابا_, _ほうれん草_, _inbunden_, _धूसली_, 
   {{0xd39401ad,0x00c1027b,0xf2d5033c,0xa7080461}},	//   _krosno_, _अजुगुप्स, _gallent_, _complèxe, 
   {{0x9db300ee,0x67a5034a,0x88e800ff,0x9b65030a}},	//   _hilabete_, _instruci, _אמבאסאדא, _cataláns_, 
   {{0xe22601c6,0xdd06008b,0x468300e4,0x683a005e}},	//   _tusken_, _charnier, _संकाय_, _ظىرىمحع_, 
   {{0xf6890309,0xce4100ea,0x52d9007b,0x61b1013f}},	//   _bildirmi, _besalamp, _foxer_, _dihelloù_, 
   {{0xe23804ce,0x9a3c022f,0x9c73005d,0xfccf0037}},	//   _khamusi_, _куток_, _ahesyva_, _የአፈጻጸም_, 
   {{0x5dad00bb,0xef8d04ca,0x9bf30137,0x00000000}},	//   _باؤچر_, _adaptèt_, _aireberr, --, 
   {{0x441e019b,0xc2910165,0x00000000,0x00000000}},	//   _savinink, _serau_, --, --, 
   {{0xbed40016,0xfa090281,0xc7160155,0x298c0291}},	//   _אנטייל_, _alianart, _personsö, _ازدياد_, 
   {{0xd26c04cf,0x3ca2002b,0xbc6001a0,0x4afa0374}},	//   _ikhona_, _মেক্সিকা, _illumin_, _соппа_, 
   {{0x720101b2,0xb99c00a7,0xd69300b3,0x7da801e0}},	// [6d0] _strig_, _грецияда_, _җеделлеш, _فدراسیۆن, 
   {{0x1ae2048c,0xe29101ef,0xd17e0091,0x17cf017d}},	//   _careless, _geras_, _kamagill, _サイト内検索_, 
   {{0xac1e0245,0x769600ff,0x062100f2,0xb39403c9}},	//   _gospelu_, _אביוזן_, _asinsspi, _fikset_, 
   {{0xa34403e8,0x987b00ff,0xd36500e6,0x40cd0145}},	//   _predelu_, _פלעשל_, _房地产抵押_, _балгарыя_, 
   {{0xa37803ac,0xbf3401d7,0x0ae303b7,0xc336004d}},	//   _semakin_, _passenta, _aperingt, _文字方塊工具_, 
   {{0xe27f02a9,0x3de90037,0x796f02e4,0x1d000156}},	//   _vienai_, _ጦርነቱን_, _granmast, _centrour, 
   {{0xb291017c,0xad8101d4,0xaf2200d1,0xbc800035}},	//   _deras_, _sagement_, _খৰিচা_, _безем_, 
   {{0xd7b5007b,0xf800000c,0x42ce046b,0xf27c017a}},	//   _disengag, _agaguáre_, _ailosod_, _аҳсан_, 
   {{0x526c02b4,0xfdab03b0,0xec6d00af,0x03950108}},	//   _akhona_, _bygninga, _московсь, _ijasah_, 
   {{0x623e0378,0xa2e902fd,0xfaf60092,0x50f6020f}},	//   _álvarsli, _chrimea_, _forurene, _balinqul, 
   {{0x53f90242,0x3ff3015e,0x62eb006a,0x73940204}},	//   _soyuq_, _banyoles_, _fariseo_, _kansan_, 
   {{0x719504d0,0x3eba02c2,0xaddb03f0,0xd26401fe}},	//   _gancengh_, _toerisme_, _endurnýj, _domomuni_, 
   {{0x929100bc,0xe0ef0482,0x299a018e,0xe349015e}},	//   _beras_, _asmaraak_, _cityssbu, _بەدەرلۉۉ_, 
   {{0x6363008d,0x9262021b,0x73470071,0x83940004}},	//   _термизли, _postikul, _delenga_, _lansan_, 
   {{0xd9170015,0x927e01a6,0x428a0047,0x6bdf04d1}},	//   _رِنگا_, _akene_, _comptabl, _cohesión_, 
   {{0x7292042b,0xf04d00da,0x515f002e,0xffab042a}},	//   _ostaje_, _врутэ_, _sportsko, _alamakho, 
   {{0xb4300445,0xa5a700f7,0xd291043c,0x70cd00d1}},	// [6e0] _desconto_, _לגנאי_, _gerar_, _কমিছনাৰ_, 
   {{0x37090078,0x837304d2,0xd9f80211,0xa7d40021}},	//   _великим_, _einaste_, _ilmianna_, _alarmedw, 
   {{0x8939003e,0x93730191,0x364403bf,0x5c890040}},	//   _профорие, _finaste_, _boyitshi, _לחצתי_, 
   {{0xa12700da,0x7aac01c2,0x427e01d2,0x4a0604b3}},	//   _британич, _deberán_, _cainpa_, _gamalade, 
   {{0x525a0450,0xaae7049e,0xb67f048a,0xb2fd0260}},	//   _wolle_, _videoalb, _اۋدانى_, _chegan_, 
   {{0xfad1020b,0xd883025b,0xdbdc0291,0xc21800ae}},	//   _baithute, _blokkstu, _يقتلون_, _iyakoram, 
   {{0x926c010f,0xe4060103,0x5c5600bd,0x00000000}},	//   _ukhona_, _chaitadz, _pottage_, --, 
   {{0x92f402cb,0xf2b6016d,0x4c6b0233,0x898300af}},	//   _dobijem_, _турсунҗа, _georock_, _переписа, 
   {{0x0c230203,0x97920092,0x3b0002e0,0xf8d102eb}},	//   _astralis, _テキストのお求め, _diartike, _швейцарь_, 
   {{0x74110072,0x667c02ec,0xc29004d3,0xf3f400aa}},	//   _asinarak, _مٔہِس_, _oblats_, _abuton_, 
   {{0x63f802f8,0xc83c04d2,0xd6150040,0x69f002af}},	//   _anaua_, _heimesid, _הובאו_, _kumugabu, 
   {{0x1c050021,0x453c034c,0x829101f4,0x011c0299}},	//   _acerray_, _arxangel_, _berar_, _زەنجىۋىل, 
   {{0x62f001ef,0x78990287,0x63870258,0xd27e0327}},	//   _greitai_, _silvestr_, _baarch_, _ukene_, 
   {{0xb26c0174,0x32d90003,0x00000000,0x00000000}},	//   _ikhola_, _lopen_, --, --, 
   {{0xa2c20338,0xb5600188,0x3c30023e,0x4f5d01dd}},	//   _apelada_, _шимиёӣ_, _apachefr, _batarwan, 
   {{0x62650377,0x5f48008e,0xeab302d3,0xc340000e}},	//   _anunturi_, _coosaana, _интелеге, _gogelia_, 
   {{0x125a03e0,0xde680206,0x52df0064,0xac7c006c}},	// [6f0] _solle_, _aktivít_, _valorat_, _akasona_, 
   {{0x427e033f,0x10760147,0xf36c0435,0xe2d900a1}},	//   _iheni_, _جۉۅگۉمدۉ, _формирај, _topea_, 
   {{0x22d9018c,0xbc74013c,0x729102e4,0x3cea0452}},	//   _kopen_, _asanlaşd, _beraq_, _द्रौपदीच, 
   {{0x43030242,0xf77c0156,0xd2e700b5,0xb0c2004b}},	//   _neqativ_, _קאָשמאַר_, _kapupyry_, _khalemel, 
   {{0x45ac003a,0x94700008,0xcc730034,0x9d53030a}},	//   _ўлими_, _استايئدى, _sverrir_, _bilingüe, 
   {{0x121201f7,0x518401d5,0x2c6a0158,0x3aed00bb}},	//   _lenha_, _بھيجيں_, _गुत्थी_, _فلسفیانہ_, 
   {{0x61ea0294,0xae2b0235,0x52660357,0xe20002a3}},	//   _allitaqm, _राजीवस्य_, _sitokini_, _subie_, 
   {{0x62d9044a,0x8fef0311,0xbe7600e6,0x0903038e}},	//   _cybert_, _ምስትንፋስ_, _地震最新报道_, _cibaduyu, 
   {{0xac630313,0xacaf02f9,0x00000000,0x00000000}},	//   _darurmo_, _enjenyè_, --, --, 
   {{0xf29100b9,0xf2d903f3,0xe365013d,0x52c600ba}},	//   _kerap_, _hopen_, _origino_, _فۆلکلۆر_, 
   {{0x4340038e,0x439400c0,0x584a021b,0x0ac30012}},	//   _telepon_, _pansin_, _дочки_, _तऽआपन_, 
   {{0x329004c9,0x9e5103e7,0xa2d90176,0xd6dc0109}},	//   _trnava_, _vaucluse_, _copen_, _सिभिल_, 
   {{0xc6e5024d,0x9c800125,0x927e0234,0x3ee9018a}},	//   _asebantw, _мерет_, _eyinwa_, _anthracs_, 
   {{0xa3f4026c,0x4c8b04d4,0x647b0165,0xc2260082}},	//   _noster_, _haremgud_, _wirthlin_, _fuskan_, 
   {{0x1d9304d5,0x47c10021,0x77640347,0xc2d4000e}},	//   _jikelele_, _acetatew, _oneindig, _torder_, 
   {{0x520c0207,0xf2e8013b,0xe6d60233,0x90d00447}},	//   _ديندار_, _soliman_, _clarità_, _angokhal, 
   {{0x73f4044b,0x185604d6,0x8f3d04d7,0xac620098}},	// [700] _koster_, _प्रसूतिश, _stafsetn, _svarene_, 
   {{0x0c650386,0xb8980092,0x5f590311,0x12e80042}},	//   _bertemu_, _役にたった_, _ንምዕዳግ_, _atingiu_, 
   {{0x9879017d,0x68470024,0x879f0093,0x3abc0061}},	//   _ジャンル別_, _সংস্কৃতৰ_, _африкан_, _한화꿈에그린_, 
   {{0x070600bf,0xc3a801f0,0xa8d100da,0xc70e0061}},	//   _отдаленн, _bonalang_, _bulevard, _당사자에게_, 
   {{0x0b090249,0x112801eb,0xb90904d8,0x00000000}},	//   _anastane, _anamariá_, _dembiyad, --, 
   {{0x0f3e04d9,0xdcbe006c,0x89cf010f,0x00000000}},	//   _क्रिसमस_, _дареғ_, _amamitha_, --, 
   {{0x32910133,0x9a1000f0,0xe9ef034c,0x437d04da}},	//   _afran_, _percenta_, _arendaga_, _kupače_, 
   {{0x9f2804ab,0xb2b60090,0x61d700e7,0x1afa022c}},	//   _također_, _abudise_, _ashedhay_, _dibukuke, 
   {{0x5ae501e7,0x620201c0,0xab10014a,0x0248000b}},	//   _sendemas, _basine_, _versenyt, _moomia_, 
   {{0xc11f017e,0xd27e04db,0x86cf00a2,0x9e960019}},	//   _ממשות_, _ikena_, _kulalami, _زىۋىز_, 
   {{0xba730435,0x96df038e,0xd3870269,0x00000000}},	//   _mladožen, _membloki, _hierba_, --, 
   {{0x838201a3,0x7121000c,0x69c700be,0x0acc0061}},	//   _ٽائلٽ_, _javorái_, _баратам_, _전화주세요_, 
   {{0xa37b0107,0x4a8301db,0x1b2001cd,0x92010408}},	//   _organel_, _جۇلدىزدى_, _охани_, _atrik_, 
   {{0x525a0296,0xecd90156,0xdf16009b,0xe28b01a4}},	//   _kolla_, _מחריב_, _завтай_, _bakateli_, 
   {{0x5e350393,0xd9f800c6,0x36480268,0x00000000}},	//   _uzgajiva, _моторику_, _eddingsw, --, 
   {{0x852702ec,0xdd23005b,0x5f5d0318,0xfb6600ec}},	//   _پھۆلراوا, _matsumur, _mataafan, _kitokių_, 
   {{0xecf20024,0xa8370177,0xe33200bc,0x6c2302fb}},	// [710] _kultursc, _лахьыҭар, _فیتیله_, _takilotu_, 
   {{0x28cb008d,0xf2d9011f,0x4c75020b,0x24df004d}},	//   _اعتراضی_, _ikangue_, _gaisang_, _業者研發水代汽油, 
   {{0x85a102ec,0x8366016a,0x9a900092,0xfa090348}},	//   _زمانٕچ_, _uragano_, _taliesin_, _alaajana_, 
   {{0x42f20003,0xecf60235,0x441d00f7,0x268902c0}},	//   _archief_, _anativar, _virginio_, _трагична, 
   {{0x441f02e0,0x82c20149,0xfb010195,0x5e8c01d6}},	//   _barataro_, _nbelata_, _clasaige, _medvirke_, 
   {{0x222603f2,0x02d80074,0x32c20200,0x83020159}},	//   _tuskin_, _olleen_, _ibelata_, _nemanau_, 
   {{0x32000033,0x927e00d5,0x93ee0198,0xdb560055}},	//   _lubia_, _ekena_, _kratkimi_, _aritrosa_, 
   {{0x473e0040,0x5437018e,0xb940004d,0x00000000}},	//   _עומדות_, _kokkinak, _以免遭人盜用_, --, 
   {{0xbba20126,0x6dfb0422,0x1b3504dc,0x02d90465}},	//   _lenkeadr, _čudovite_, _کێشراوه_, _kopel_, 
   {{0x72c2002a,0xe2cb012b,0x9def006e,0xa129021b}},	//   _mbelata_, _siedem_, _jàddantu_, _калибров, 
   {{0x22fc00b0,0x0a5103bf,0xf20100d2,0x4c6004dd}},	//   _adiga_, _bamemuoa_, _jurig_, _milutin_, 
   {{0x2c2704de,0x1b3e0271,0x6cfa0161,0x43ea01d3}},	//   _زندگانی_, _fotballs, _видеорег, _siktar_, 
   {{0xe26303c2,0xeccc014a,0x5e56047a,0x05c304df}},	//   _sparingl, _شیرنگ_, _reabilit_, _хассалар_, 
   {{0x631f01cb,0x923700a9,0xe287020d,0x2c2a0123}},	//   _okuyikom, _ikimasa_, _murabizi_, _sovevære, 
   {{0x92d10020,0xdc7204e0,0x6c04014d,0xc4680425}},	//   _feteenai_, _aportes_, _oberhaus, _میلیۆنان_, 
   {{0xe27e0086,0xa2d80028,0xc53700a6,0x1e9500df}},	//   _benned_, _illeen_, _bhayisek, _nautique_, 
   {{0xbecd0241,0x620203b6,0xe28d027a,0x0d930147}},	// [720] _miliyoon, _dasile_, _parkova_, _قىسچۇمۇن_, 
   {{0x820102c3,0x366603a2,0x00000000,0x00000000}},	//   _strih_, _एयरसेल_, --, --, 
   {{0x92e501b5,0xf2c20129,0xe38701ca,0xc2d404e1}},	//   _alingua_, _ebelata_, _gherta_, _osudio_, 
   {{0xe7ba0091,0x77730188,0x027e0163,0x81810040}},	//   _taalamik_, _меоварда, _tenned_, _מדבקה_, 
   {{0x3b5c0375,0x8d0600e3,0x92000176,0xa20100dd}},	//   _anamalir, _baumbast_, _jubii_, _eurig_, 
   {{0x0af003b7,0x128201eb,0x3c6d02af,0x704800f8}},	//   _accesses, _michimi_, _ndorera_, _নিউজরুম_, 
   {{0xa922026c,0x0ecd00cf,0xcdbd033d,0x3e540066}},	//   _所需人才條件說明_, _biliyoon, _demanbre_, _bonbarda, 
   {{0x327e0151,0xe90d0024,0x380d0126,0xd639030a}},	//   _shenn_, _অৱতীৰ্ণ_, _командув, _apróbans, 
   {{0x22d8018c,0xa2d40055,0xf3f40233,0x60c301ea}},	//   _alleen_, _cadorna_, _fortie_, _манучеҳр_, 
   {{0xf2db0092,0xa0b90244,0x5d0d00b5,0xda330299}},	//   _初めまして_, _католиче, _ekatupyr, _ئادةم_, 
   {{0x72ee013a,0xe27e0145,0x1a0e02d3,0x9fda0210}},	//   _fernseh_, _skonis_, _грбот_, _akazodan, 
   {{0x687801db,0x69e60087,0x9e530033,0xb20102c2}},	//   _كادىمگىد, _matomana_, _conburga, _vurig_, 
   {{0x1bf40037,0x2b2b01a7,0x463203db,0x9d0d0177}},	//   _የከተሞች_, _tilaamas, _isingeni, _ikatupyr, 
   {{0xa29001ef,0x7b240099,0xcc240099,0x049002c3}},	//   _punktas_, _angandib, _angandir, _porušujú, 
   {{0xe476041a,0xacc50256,0xa3870313,0x8c71017c}},	//   _процесі_, _notikumu_, _cherta_, _startat_, 
   {{0x5c6e001c,0xd94900da,0x08430117,0x4f270129}},	//   _isernia_, _комитеря_, _pentikos_, _ọmalicha_, 
   {{0xe68e00c5,0x83b20213,0xaf5f01f7,0xbc73008c}},	// [730] _国家税务总局_, _необязат, _citacion, _clostra_, 
   {{0x82910047,0x235b01da,0x52000189,0xc8c70081}},	//   _radars_, _pengesa_, _erbil_, _evitadog, 
   {{0xfa1004e2,0x3a650139,0xf74c0189,0x00000000}},	//   _bercinta_, _anumodas, _benzerli, --, 
   {{0xc3f400df,0xec8000b5,0x92d9013a,0x203504e3}},	//   _sortie_, _иегер_, _noper_, _emitiran, 
   {{0x655101d7,0x22830292,0xbdee0071,0x2d070040}},	//   _provocaz, _nkekewa_, _همتون_, _האקסקלוס, 
   {{0x8c1d0060,0xbe020111,0x00000000,0x00000000}},	//   _بابىردىڭ_, _accetera, --, --, 
   {{0x56aa033b,0x77950073,0x9729006d,0x520203db}},	//   _bongwadi, _postmeri, _архаічны, _masibe_, 
   {{0x54850139,0xa61c04e4,0xa7ac04e5,0x3a850013}},	//   _आस्थाय_, _usporedi, _amatikki, _tonnadan_, 
   {{0xc5ed008d,0xc58701db,0xf2d9015e,0xd20103eb}},	//   _خانخانان_, _ارسەنالد, _copes_, _jurie_, 
   {{0xc27e0314,0x68480163,0x22000145,0xb125032d}},	//   _bkeng_, _الاحادیث_, _teniso_, _илмира_, 
   {{0x56b502a6,0x8d7c0203,0x89610291,0x921301ca}},	//   _andatevi, _vúlnere_, _بإنهاء_, _sighbe_, 
   {{0x6c51016e,0x13f404e6,0xfa640420,0x0795027b}},	//   _noktaya_, _abutan_, _веренико, _candanav, 
   {{0xe2ec0410,0x6e8b04e7,0x48910094,0x07cf0156}},	//   _agribee_, _neskutoč, _الداۋعا_, _מִצְרַיִ, 
   {{0x6ec6019b,0x09a200d1,0x83f9000c,0x00000000}},	//   _кантакт_, _ইচ্ছামতে_, _krauch_, --, 
   {{0xe2ca042b,0x6f3a0080,0xb42b0014,0x00000000}},	//   _prolazi_, _aperilaa, _kompozon_, --, 
   {{0xe201022f,0x0f720299,0xf31d0220,0xf34600bd}},	//   _kurie_, _تېمپۇرات, _miscela_, _puddins_, 
   {{0x72da0437,0x775402cf,0xcea80160,0xf2d90238}},	// [740] _dyrere_, _легализи, _austrije_, _doper_, 
   {{0x4b0a0132,0x467b0082,0x52d10083,0x30f10209}},	//   _okostele, _kwakwalw, _attempai_, _atungarl, 
   {{0x8c36000c,0x68c10128,0x02da023a,0xc37c02a1}},	//   _алидерцә, _аёлдан_, _myseľ_, _gewasse_, 
   {{0x9329004d,0xbe55023e,0x429001d5,0x2e060257}},	//   _完忘扶折批扶抆扼, _bilangke_, _balazs_, _bundinna, 
   {{0xc3e90076,0x2e030073,0x83f800ed,0xf643021c}},	//   _resoluçã, _assecura, _anaus_, _bezbarié, 
   {{0xf9cb0101,0xb27f0159,0xa3f40064,0xa22600ee}},	//   _serviciu, _dienai_, _costar_, _parkea_, 
   {{0xc2d50169,0x7a650076,0x3fca00f4,0xbc1604df}},	//   _রূপকথা_, _criminos, _diziorro, _borsuň_, 
   {{0x502400ff,0x8da80075,0x32920308,0x00000000}},	//   _דראביטש_, _fonglast_, _jasamu_, --, 
   {{0x5ea8018d,0xa19a00ff,0x43a90311,0xf29200e1}},	//   _ንተኻፈልቲ_, _וואלדמאן_, _ተግባራቶምን_, _estale_, 
   {{0x986e003b,0x32fa01e1,0x00000000,0x00000000}},	//   _asengibu, _dichesa_, --, --, 
   {{0x8601017f,0xe29203ea,0xd12e01f3,0x1176038e}},	//   _aallarti, _hasard_, _lososová_, _विषयांच्, 
   {{0x9a5201d5,0xd14500e3,0xb2f002b1,0x26af0291}},	//   _بریڈفورڈ_, _esternal, _muminai_, _gclúdóid, 
   {{0x985f0338,0xa67a02a4,0x2a4d0057,0xa563017d}},	//   _demandar_, _remedium_, _menderma_, _asylansø, 
   {{0x63ea00f5,0x684e0334,0x581102eb,0x570803a8}},	//   _wiktor_, _amalimid, _нөхдөө_, _klarsprå, 
   {{0x42920172,0x2ea100e4,0xe4000244,0x9b95036c}},	//   _kasamu_, _nadmiern, _нейна_, _hiringir, 
   {{0x137a030b,0x10b80040,0x1573018d,0x728a012b}},	//   _kigambo_, _התצוגה_, _ኣዲስኣበባ_, _niskiej_, 
   {{0x2fc201c5,0x218a0162,0x7e5d01db,0x124a00b5}},	// [750] _والون_, _дослуқни_, _таратуға_, _chumbe_, 
   {{0x82fd002a,0x00000000,0x00000000,0x00000000}},	//   _abaghi_, --, --, --, 
   {{0x8ae9041e,0x9da900b8,0xd27e0387,0xcd7e0177}},	//   _intrapre, _kusisita, _ekene_, _anamanda, 
   {{0xceba0023,0x450e014a,0xa5e80163,0x6c1304e8}},	//   _пошли_, _percről_, _kandalló, _amassats, 
   {{0x727e0380,0x620600da,0xb2920165,0x00000000}},	//   _mienx_, _интернац_, _sasalu_, --, 
   {{0xad2a0205,0xc86302c0,0x00000000,0x00000000}},	//   _саиджаҳо, _новаци_, --, --, 
   {{0x7dfd0462,0x8c530046,0xc25a02a4,0xb2d9009f}},	//   _agreedwa, _montoro_, _nolle_, _poper_, 
   {{0x82ec01f7,0xe66a02eb,0x1d5603c3,0x38780311}},	//   _civisme_, _соронзон_, _ispadaju_, _ኣተረጓጒማ_, 
   {{0xb98b0244,0xa3860210,0x5af50211,0xaf210024}},	//   _richiest, _abirwa_, _operaatt, _avstanda, 
   {{0x58890058,0x805300ce,0x22f30008,0x70db03a2}},	//   _boekhand, _konstren, _pirineu_, _आफरीदी_, 
   {{0x33560286,0xecbb04e9,0x43eb007f,0x3a2a018d}},	//   _aspenas_, _maliruaq, _dicter_, _ኣብክንዲ_, 
   {{0x434402a6,0x1f3602ea,0x960904c7,0x00000000}},	//   _cruelle_, _пресата_, _западноб, --, 
   {{0xd3be0220,0xae4a018d,0xbdaa02f3,0xb7cc0142}},	//   _giovani_, _ልፍንታዊ_, _aktivera, _asappuri, 
   {{0x0ede037f,0xf26d0075,0xe3ee0166,0x835b0362}},	//   _milyonla, _amboð_, _qualifiz, _bengisa_, 
   {{0xa6b403c1,0x9c5a04ea,0xe2480275,0x229201fe}},	//   _отстране, _pyntrei_, _onomea_, _yasamu_, 
   {{0x2b17019c,0x62900062,0xc3ce008d,0xc4ce0078}},	//   _alábàási, _dajad_, _талабини_, _талибани_, 
   {{0x9c750193,0x1ea80135,0x82350136,0xea8002be}},	// [760] _शिक्षण_, _премодер, _pasmine_, _daantaon_, 
   {{0x6fba0013,0x903b0372,0x00000000,0x00000000}},	//   _фаровонл, _graffego, --, --, 
   {{0xb81304eb,0x211901db,0x06990008,0xb143005b}},	//   _हरिओम_, _بالگەرلە, _гэсинин_, _besutaro, 
   {{0xcc66007b,0xc3b40152,0xbd8102e2,0xca380364}},	//   _britons_, _птерозав, _alembica, _ozonwäer, 
   {{0x62d80415,0x139404c0,0x2b1804ec,0xa2900163}},	//   _allein_, _mansin_, _ayiguris, _hajad_, 
   {{0xc13602fa,0x9201018c,0x840404df,0xea3c0040}},	//   _amadoral, _ruzie_, _başlajak_, _ומקפיאים_, 
   {{0x58d500c1,0x8fc500c1,0x10520033,0xae4e009a}},	//   _आशुचँप_, _गलिच्छ_, _charplin, _ekwafana, 
   {{0xd27e02fe,0x7c75027b,0xe43500d1,0x035301ec}},	//   _izinga_, _सहस्रं_, _এক্সপ্লে, _پهلان_, 
   {{0x42e903f2,0x61eb00bb,0x60e500c7,0xa8e5004a}},	//   _kotimaa_, _اندوزی_, _aradaşlı, _aralaşuı, 
   {{0x5c75045f,0x43f900b3,0xac750255,0xb27f00ad}},	//   _minuter_, _soyup_, _चुक्का_, _baengi_, 
   {{0x8964009a,0x27af04ed,0x0a7d0315,0x64d70205}},	//   _abangoot, _देवस्थान, _ayanyats, _маскани_, 
   {{0x835b040b,0x6aa8006c,0xc20000ed,0x5ec1005b}},	//   _rengisa_, _abakujab, _gamita_, _banneran, 
   {{0xfc0201df,0x32fd00dd,0xf7ad0187,0x4fd00192}},	//   _cassies_, _chegin_, _ерусалим_, _culinair_, 
   {{0x62ee005c,0xf0360007,0x52d900cf,0xd2000408}},	//   _irindwi_, _dutelono, _fixee_, _hamita_, 
   {{0x4e03037a,0x69260074,0xc77b0133,0x02c6008a}},	//   _masezera, _причины_, _akawunti, _atalale_, 
   {{0xc6b7021a,0xe98f002b,0x529102f3,0x00000000}},	//   _allaatti, _বিবেচনায, _befann_, --, 
   {{0xab8e04ee,0xf27b01f4,0xb85804ef,0xbc760335}},	// [770] _kuzigwor, _temuriyl, _amarelos_, _cśrīc_, 
   {{0x920104af,0x6fd100d1,0xc4350169,0xbac00367}},	//   _isdias_, _নিউজপেপা, _এক্সপ্রে, _análise_, 
   {{0xb6d30034,0x32fd01b2,0x01ac0060,0x7c1102ef}},	//   _tungumál_, _shegin_, _аянышты_, _kompayi_, 
   {{0x13970056,0xcc0202a1,0x00000000,0x00000000}},	//   _турсунзо, _passies_, --, --, 
   {{0xce5600d9,0xeea4011d,0x9b060204,0x225a03f0}},	//   _простая_, _distruge_, _hauskast, _felldi_, 
   {{0xbc3502c3,0x3c63022b,0xe85003ec,0x7341013a}},	//   _topartic, _limunum_, _hollivud, _logelin_, 
   {{0xc23b0025,0xa0490265,0xdcc6010d,0xdbcb01c7}},	//   _नारायणाय_, _doorgaan, _vaginaku_, _balkanyň_, 
   {{0x2291049e,0xb7c40367,0x126700e6,0xc2c80148}},	//   _teraz_, _brasilei, _树立和落实科学发, _incolae_, 
   {{0x127f011b,0x0c380177,0xa62401a4,0x852701f3}},	//   _azanga_, _рықәҵара, _nakokomi, _prozaick, 
   {{0x12d804f0,0xa3e000ee,0x627701a4,0xddb10021}},	//   _dihek_, _медалийн_, _asangani_, _acticump, 
   {{0x969b0440,0x62d802e7,0x99ca0240,0x620000c4}},	//   _baseruki, _golean_, _rokowaqa_, _arbia_, 
   {{0x998e00af,0x904100bc,0x4c000143,0x4c7a0244}},	//   _таких_, _رئیسه_, _viaggiar, _зверски_, 
   {{0x3fa90019,0x527f048f,0xdd5e00f8,0x82fe018e}},	//   _crític_, _ezanga_, _করুণাময়_, _novhele_, 
   {{0x787a04f1,0xa2770414,0xa17c0014,0x075c0462}},	//   _dionysiu, _esangani_, _avantazh_, _eclining, 
   {{0x32910230,0xd7470162,0x33000399,0x6200012d}},	//   _feray_, _пикирни_, _kamatai_, _subim_, 
   {{0x093a0125,0x2b5c0350,0x99c50148,0xefa3004d}},	//   _гадаганл, _ኮምፕሌክስ_, _aspernat, _中國新聞簡訊_, 
   {{0x6e0300ca,0x03bd04f2,0x0c2803ae,0x8c0a00de}},	// [780] _assegura, _chovinh_, _innebære, _amathams, 
   {{0xf26201c5,0x0c6200f6,0xafbf007f,0x00000000}},	//   _عاشقا_, _prosesə_, _hocedwyr_, --, 
   {{0x92010066,0x42fc0062,0xc25a024c,0x00000000}},	//   _zuria_, _jingol_, _godla_, --, 
   {{0xc6c90194,0x559100d6,0x249b0088,0x4f9200a1}},	//   _incapabi, _التالى_, _түркияны_, _hāereere_, 
   {{0x37d701f4,0xf317012a,0x3425027b,0xd9e70420}},	//   _سارانول_, _straży_, _ऋषीणां_, _паметни_, 
   {{0x1c680037,0x464f00de,0x50b504f3,0x00000000}},	//   _ተደራዳሪ_, _elikumyi, _गुरुची_, --, 
   {{0x898f0135,0xdb64032e,0xb4ac0147,0xd2020338}},	//   _убликасы_, _uchumasa_, _دەۋۇشكا_, _arties_, 
   {{0x805a008d,0x22900275,0x6a040143,0x8341014b}},	//   _عرفانی_, _aunaga_, _акцентир, _tajeero_, 
   {{0x123901f2,0x498702f0,0xdae4002b,0xa20002c7}},	//   _қобул_, _bayifaka_, _কাহালু_, _urbia_, 
   {{0x99e2020d,0xf277033d,0x33f80195,0x494100ec}},	//   _haboneka_, _byenvini_, _comunn_, _атлетыка_, 
   {{0x088a026f,0x220102df,0x8c8a00a4,0x06460242}},	//   _ارپىندە_, _suria_, _زدۇلانعا, _bashlayi, 
   {{0xc26e019c,0x2e5504f4,0x369400e6,0x82ee017a}},	//   _ekpoma_, _graciosa, _留言板管理人员有, _ayafa_, 
   {{0xd2fc031e,0xfda400e7,0x10b10153,0xdbc60185}},	//   _ističu_, _allieswa, _窓口一本化_, _автойөре, 
   {{0xc34b0473,0xe27f0175,0x3b9a015e,0x0a1f0297}},	//   _scheint_, _azanda_, _بىلمەك_, _айсыз_, 
   {{0x162102bd,0x43ea01f6,0xf8970075,0x6a5901a3}},	//   _annuwiol_, _diktar_, _bókhaldi, _ڊوائيسز_, 
   {{0xa21c033e,0x7ae20096,0xbcb201de,0x12d000d1}},	//   _itakarai_, _babukere, _янушкеви, _সঠিককৈ_, 
   {{0xa33a0361,0xe91e00bb,0x0c180074,0x00000000}},	// [790] _надгроби, _مستحقین_, _syntyä_, --, 
   {{0x2be3013c,0xbc580168,0xd2360157,0x3c3504f5}},	//   _teleapar, _taktikk_, _uboju_, _rasadnic, 
   {{0xb55700bf,0x02010116,0x098e00d7,0x94d50012}},	//   _выравнив, _durin_, _закир_, _घुसिआय_, 
   {{0x941500eb,0x09a701ee,0xc5830166,0x65a90311}},	//   _anonsemk, _закаев_, _supersch, _ከብጽሓና_, 
   {{0xfc4e02ec,0x127e02a3,0x02da01ed,0x329204f6}},	//   _زمانچ_, _skenk_, _pepehi_, _optage_, 
   {{0xa29e0041,0xcfcc0037,0x12d40289,0xb2010014}},	//   _véase_, _ዴቨሎፐሮች_, _analitu_, _anaidi_, 
   {{0x94ab029f,0x12fe0263,0x01c30255,0xb2d9005b}},	//   _nastaviť_, _serieus_, _lammutam, _baworks_, 
   {{0x628b0075,0x13b50016,0xbb0700ee,0x0333018a}},	//   _bilafram, _solvita_, _hausnart, _catholig_, 
   {{0xe20100a0,0xc2c30281,0x3127010f,0xca6700cb}},	//   _burin_, _abelsen_, _панохи_, _кунҷора_, 
   {{0x62ea0156,0xbb3a00a6,0xe20101b2,0x080c0361}},	//   _ekzisto_, _کلاشينکو, _atrip_, _блокĕ_, 
   {{0x3200024b,0x4e5d0037,0x9a1f00a4,0x4d2f0170}},	//   _tenido_, _ለማሰልጠን_, _conscièn, _hisitore_, 
   {{0xf3eb00c8,0x7a390046,0x427e0494,0x085b00bb}},	//   _barupedi_, _берели_, _samnji_, _اٹھہتر_, 
   {{0xbecd01e7,0x48af02ac,0x90400156,0x22010068}},	//   _verzerrt_, _تحدثت_, _קעסיידער_, _furin_, 
   {{0x42d904f7,0xa11a00e5,0x3201001e,0x2e940226}},	//   _gopet_, _борба_, _gurin_, _adamuyan, 
   {{0x5a6b01e1,0xb202013f,0xd79f005b,0x2fc804f8}},	//   _bafosets, _hatier_, _bekendtg, _lexingto, 
   {{0x3fbb01d3,0xbdac0219,0x932002a0,0xa4b300a3}},	//   _fungerar_, _alinakup, _isoya_, _romarrik, 
   {{0x395c02c9,0x9698006c,0x3c680162,0xc29001a3}},	// [7a0] _понегрир, _abawaziy, _таможнис, _matamshi_, 
   {{0x400f035b,0x820101ef,0x3c4b0166,0xd0b801fc}},	//   _priporoč, _kurio_, _achtung_, _moominih_, 
   {{0x8ea6046d,0xe0610206,0x727e01f1,0xc26c02c5}},	//   _ndalukan, _nepriazn, _skena_, _chiono_, 
   {{0xc3ea0142,0xe2ef0251,0x22ee00c1,0x4bf70105}},	//   _siktir_, _dejinta_, _syafi_, _मान्यताए, 
   {{0x12ce049e,0x4727003c,0xa1e900bb,0x47bc001c}},	//   _akadémia_, _تراست_, _کےنام_, _kalundii, 
   {{0xd6f800c8,0xa25a0332,0x64e80094,0x181501cd}},	//   _тракторс, _polla_, _تاماشامو, _муқарар_, 
   {{0x7c8a002c,0xa27802a2,0x6183027e,0x78970075}},	//   _уралдаан, _kaunti_, _алати_, _bókhalda, 
   {{0xec4e01c5,0x0316005e,0x025a0055,0xb9af01a0}},	//   _زمانن_, _ﻗﯧﭽﯩﭗ_, _volla_, _foodlove, 
   {{0xc201005b,0x54ab0206,0xb26d02c2,0x031c0156}},	//   _purin_, _zastaviť_, _regoor_, _פלאקערט_, 
   {{0x1e8801ea,0xa24f00d9,0x78090223,0x033801de}},	//   _یوناما_, _remontti_, _тандалты, _айлардың_, 
   {{0xe2fc04aa,0xf6b604f9,0x39e90333,0x03f4015e}},	//   _adaga_, _allattui, _antipapa_, _virtut_, 
   {{0xb9d90016,0x825a00bc,0x7e820299,0x6ae700df}},	//   _אינדרויס, _makluk_, _ئوغوللار, _bretonne, 
   {{0x027e04fa,0x836f0274,0x5eb2004d,0x96ce004d}},	//   _okenn_, _byggist_, _你以為你是誰_, _凡本網註明_, 
   {{0x526502d3,0x00bc0448,0xe34a02ba,0x1fd803cf}},	//   _агенции_, _fremstil, _abafile_, _kartınız, 
   {{0x79ca0144,0xab1f004e,0xd3870144,0xc2950235}},	//   _khaliefa_, _dinalian_, _mbarra_, _प्रोतं_, 
   {{0x927e0018,0x62910009,0x7e400109,0x2201009f}},	//   _bhenu_, _igrah_, _घोर्लिखर, _utrip_, 
   {{0xb4f70005,0x8202018b,0x59dc014d,0xc6df0122}},	// [7b0] _communal_, _vasile_, _hergeste, _pembloki, 
   {{0x029e00b3,0xf7d00145,0x68e30094,0x98af0087}},	//   _дилар_, _многа_, _бурын_, _mindhavu, 
   {{0xe27e00ab,0x12fc01f6,0x44e904fb,0x921003c3}},	//   _whenu_, _leige_, _pantalón_, _psihicki_, 
   {{0x49df04fc,0x129101fc,0x32910103,0x0e0f02cf}},	//   _বিলুপ্ত_, _agrak_, _kufara_, _arrecada, 
   {{0x7abe0037,0x62e80037,0x74400002,0x72ec030d}},	//   _በዋነኝነት_, _hiliran_, _svekolik, _erzinde_, 
   {{0x525a004b,0x2ad40435,0x4dd00242,0x53cf0453}},	//   _mollo_, _đoković_, _sarkisya, _odavde_, 
   {{0xce5101ba,0x8d3a038e,0x12e802be,0x95490143}},	//   _lavansma, _shahabat_, _bilisan_, _мездра_, 
   {{0xe80a023d,0xaa39015e,0x048600c1,0x7dba02ac}},	//   _струва_, _денеси_, _माघारी_, _يساهم_, 
   {{0x634101e0,0xe2910243,0x07af0005,0xe3f9016b}},	//   _بۆتان_, _agrah_, _fuormazi, _biyun_, 
   {{0xffda0437,0xac0701dd,0x34a203f8,0x16e30187}},	//   _forhisto, _tharciss, _hornbill_, _олимпија_, 
   {{0x774500e5,0x3bab04d8,0x623f0132,0xe2900277}},	//   _владата_, _گردابس_, _bankszám, _mabag_, 
   {{0xefc80220,0x7be30227,0x729102e2,0x94a3047d}},	//   _visitato, _melempar, _anaash_, _breissel_, 
   {{0xeab604fd,0x32fc03ea,0x127e00a0,0x2344008e}},	//   _हावड़ा_, _neige_, _ayinsa_, _gendiku_, 
   {{0x17910231,0xa30501ac,0xc25a0058,0x72d4041b}},	//   _sententi, _رويال_, _dollo_, _sordar_, 
   {{0x00000000,0x00000000,0x00000000,0x00000000}},	//   --, --, --, --, 
   {{0xa2bc0277,0x2a080189,0x02fc0020,0xfb2701c4}},	//   _kredito_, _yunanist, _keige_, _dinamies, 
   {{0xc29002e7,0xe15c010d,0x00000000,0x00000000}},	// [7c0] _kabag_, _एअरपोर्ट, --, --, 
   {{0x620000c3,0x478800ff,0x035d0312,0x12a60223}},	//   _orbis_, _װײַבער_, _arnevez_, _proban_, 
   {{0x07de0187,0x4b07015e,0xeba402f6,0x00000000}},	//   _законски_, _билемин_, _disipulo_, --, 
   {{0x93f404b2,0x38b901f4,0x0a9e0082,0xa25a0220}},	//   _abutin_, _қарасанг, _barikins, _bollo_, 
   {{0xac1d0325,0xb25a01cf,0xb2120172,0xbd2f0155}},	//   _insanlar, _collo_, _renhu_, _skrivare_, 
   {{0xf3f903e6,0x530003ba,0x46e800da,0x02e80119}},	//   _brauch_, _catarrh_, _трактоар, _biliran_, 
   {{0x420104b9,0xbbf502b9,0x58670279,0xd6160075}},	//   _aurie_, _اوردوسرے_, _cuisines_, _innlogni, 
   {{0x8c5501b2,0x9f000169,0xe25a01bf,0x2e920128}},	//   _mouthed_, _যাবজ্জীব, _follo_, _порталш_, 
   {{0x3290004e,0xff5602a6,0xf2de0177,0xa2900251}},	//   _babag_, _guignols_, _мацароуп_, _labad_, 
   {{0xfb3e045f,0x1d780164,0x48c500d8,0x327f0418}},	//   _fotbolls, _елментли, _acordatg, _inanan_, 
   {{0xc2900015,0x4ae7041f,0xc2fe023c,0x7a1501c2}},	//   _nabad_, _siprofet, _atshate_, _barbanza_, 
   {{0x465b006c,0x626e0130,0x995303b3,0x89c202b0}},	//   _abakholi, _ratozh_, _monstrar_, _bundesst, 
   {{0xa290022c,0x827e046b,0x92dd04fe,0x59e600d5}},	//   _najan_, _rhent_, _ritorni_, _natokana_, 
   {{0x2f240089,0x5202026c,0x4ef9044a,0xd2cb021e}},	//   _вятка_, _istius_, _diswaswa, _skadat_, 
   {{0x429002d4,0xad9c020f,0x7981008a,0x5b70001c}},	//   _hajan_, _basendle_, _peritome, _maglasur, 
   {{0xdf680041,0x9e3504ff,0x371000ff,0x0290029b}},	//   _cabañas_, _sigaigva, _נאכקוקען_, _galaas_, 
   {{0x22bc023d,0x5c550220,0xa2fc0108,0xb14600d1}},	// [7d0] _credito_, _montare_, _ningal_, _ঘৰলৈকো_, 
   {{0x563903a0,0xf2560499,0x2d2a00da,0x71cd02a5}},	//   _akantshi, _agalelei_, _статале_, _afričtí_, 
   {{0xb29000e1,0xb27f006a,0x3715022b,0x34ff00a1}},	//   _balaas_, _ananan_, _partinum_, _haumapuh, 
   {{0xd2b0039f,0xa439006f,0x71b80141,0x00000000}},	//   _proclaim, _عبارتن_, _биргалаш, --, 
   {{0x929104da,0xc06d0044,0xd2d402bc,0xca0700b0}},	//   _hrvata_, _הסלבס_, _kordor_, _cambaare, 
   {{0x7c530043,0x41ef020f,0x828a028f,0x92900277}},	//   _akitalo_, _دبېلګې_, _kuratini_, _kabad_, 
   {{0x67530016,0xd5cb03cf,0x762001c3,0xf290029b}},	//   _לאנדא_, _tamamlay, _annooini, _falaas_, 
   {{0x8de8002b,0x340f005e,0x72d50126,0xc573015e}},	//   _শক্তিকে_, _ﺧﺎﺗﯩﺮﻩ_, _кліпів_, _adolescè, 
   {{0x4201003a,0xa27e0247,0x7b020347,0xdb350313}},	//   _turib_, _ajeng_, _weerspie, _dasawnis, 
   {{0x6a16023e,0x729001aa,0xe5d600e7,0x935b0087}},	//   _minangka_, _agbay_, _alibutsh, _khigela_, 
   {{0x529000bc,0x796400b9,0x29ec0288,0xa8cf0252}},	//   _iclass_, _जीवनात_, _buriouta_, _zwiendeu, 
   {{0xd26e02aa,0xe2490343,0xb2020005,0xfb5703d4}},	//   _batohy_, _angmga_, _butias_, _pritvora_, 
   {{0xe4b4009b,0xbf5a033e,0x4c6b0193,0x229101b8}},	//   _didaktik, _scipione_, _कुत्रा_, _arvata_, 
   {{0x514500f5,0x9696029f,0x32020307,0xf4180038}},	//   _душманы_, _posedeni, _basike_, _месхет_, 
   {{0x127e02b2,0x6b5c0196,0xb96d00cd,0x8c0200bd}},	//   _gjeng_, _chimalir, _biancott, _lassies_, 
   {{0xc29000a8,0x7c6f03ac,0x6af301db,0xaa6d01dd}},	//   _pajan_, _ukhuwah_, _алдымнан_, _ayigenga_, 
   {{0xe29203e6,0x7ed6031e,0xf191031a,0xe95f00a6}},	// [7e0] _optakt_, _držao_, _dunbeath_, _پېغمبر_, 
   {{0x9ee20246,0xffbf02ac,0x3c070500,0x00000000}},	//   _стоки_, _رحمتك_, _bamugamb, --, 
   {{0x52fc02fd,0x7917014e,0x95ab00be,0x08ba0220}},	//   _aingil_, _средине_, _دىنامو_, _двореца_, 
   {{0x1d3000a6,0xe430006c,0x6151032d,0x2c530255}},	//   _abasesic, _abakubiz, _һәммәһе_, _nautida_, 
   {{0x777c02ac,0x330d02d0,0x03eb0060,0xf18c003c}},	//   _زيزووم_, _depairt_, _айдынынд, _نادرترین_, 
   {{0x2c2601a3,0x22c601b9,0x027e021f,0x00000000}},	//   _راڻيپور_, _realime_, _diinan_, --, 
   {{0xf2900005,0x02e9033d,0x13fd0315,0x62900068}},	//   _sajan_, _andidan_, _akunendz, _xabad_, 
   {{0x2a6c03bf,0xb2fd02e6,0x53f90185,0x25120147}},	//   _вагондар_, _arkiver_, _biyue_, _كەيئگەن_, 
   {{0x66d30501,0xef1f00c9,0x25a3017f,0x253d01a3}},	//   _साहिब_, _santaiga, _astridik, _چيڀاٽي_, 
   {{0xb0ab0109,0xa52402e7,0xf2fa02c9,0x6bc50502}},	//   _टुहुरा_, _kutsilyo_, _inchisa_, _miscawin_, 
   {{0x05ff018d,0x620002d3,0xc14800de,0x19530128}},	//   _ብሓባራዊ_, _menino_, _angenaml, _сўздан_, 
   {{0x5b430061,0x52640277,0x7506011a,0x2a3600be}},	//   _국회의원선거_, _ihulad_, _ובטוחה_, _бекмамат_, 
   {{0xd3f900b1,0xac600503,0x703201ab,0x8d0a0177}},	//   _nique_, _styring_, _मुँहे_, _embopore_, 
   {{0xb3340016,0x7d5e0504,0xe6960024,0x00000000}},	//   _סאציאלע_, _विम्बल्ड, _সাঙুৰি_, --, 
   {{0x85810088,0x856c0335,0x73640367,0xd2910002}},	//   _депутатт, _प्रसज्ये, _chegada_, _igrao_, 
   {{0x025a0505,0xe9eb002c,0x01d1011c,0x426c0055}},	//   _sollt_, _langilee, _attekaay_, _arnoud_, 
   {{0xbedc0194,0x9da600ac,0x535d0033,0x247100a6}},	// [7f0] _juristes_, _navikava, _lungatg_, _تجاران_, 
   {{0xdfca0366,0xf3a902ac,0x7226030d,0x14e10142}},	//   _принимал, _جزءاً_, _petkim_, _रामभद्रा, 
   {{0x5da901ef,0x72fc04b2,0xb27e0506,0x325a03e6}},	//   _atsiliep, _singil_, _ukens_, _wolls_, 
   {{0x0d9401a2,0x2df10059,0xf7ad02be,0x00000000}},	//   _finanšu_, _studiare_, _dudurugi, --, 
   {{0xa9db0485,0x32da0448,0x82640145,0x00000000}},	//   _forelske, _dyrene_, _siulau_, --, 
   {{0xc20101fe,0x429000bc,0x89e502ac,0xe294011b}},	//   _muria_, _xclass_, _كنترول_, _bisaleli_, 
   {{0xe2ca0195,0xdbfa0196,0xc03d0151,0xeb6e0260}},	//   _chidhe_, _amenenso_, _aragatso, _senlleir, 
   {{0xe9fc0191,0xf26103fd,0x926c0099,0x12000439}},	//   _tekniska_, _polokiki_, _chioko_, _mamisa_, 
   {{0xbbfd026c,0x6201015b,0xdc060156,0xb20000f7}},	//   _被引用次數_, _guria_, _בשלימות_, _benino_, 
   {{0x3f2e0044,0xb24802f3,0x8c230450,0x02da0014}},	//   _editoria, _hemmet_, _ferneamd_, _biznese_, 
   {{0x359300de,0x4f370013,0x1dab031a,0x3ad404b9}},	//   _zaseburh, _uskunala, _connraga, _chattere, 
   {{0x120104b8,0xbebb00df,0x5edc00a4,0x02010139}},	//   _buria_, _tourisme_, _turistes_, _atrir_, 
   {{0xaebf0037,0x22e101ab,0x92770507,0xfae90039}},	//   _አገላለፅ_, _बूझीं_, _bernilai_, _польш_, 
   {{0x43b6029f,0x2740011b,0x23060057,0xbd9f0076}},	//   _dievča_, _bakowang, _samalah_, _pingente_, 
   {{0xf25a015c,0xa03f01d1,0xe3420193,0x42010066}},	//   _solls_, _listenin, _gesekan_, _euria_, 
   {{0x9aec0357,0xcb4001be,0xc25a01d1,0xebba019b}},	//   _bubuluit, _celoročn, _polls_, _аварыі_, 
  
   {{0x93cc00f5,0x847001db,0x9a830184,0x18f601de}},	// [800] _башланяр_, _ұйытқы_, _domitien_, _секциясы_, 
   {{0xe5670061,0x13f004ad,0x543e045e,0xdb9502e1}},	//   _일본직수입구제티_, _dumelang_, _фаянс_, _fisiteir, 
   {{0x9b8c0040,0xe73b0071,0x4dd60025,0x32d80342}},	//   _ולהבין_, _فیروزآبا, _apānau_, _kodenn_, 
   {{0x820102da,0x58fc012f,0x6271022e,0x9201000c}},	//   _atriz_, _karaququ, _frastagl, _heviro_, 
   {{0x1ca1014e,0x72e9031c,0xa2900015,0xcac00260}},	//   _особом_, _indican_, _jajab_, _diálise_, 
   {{0x82000499,0x6d600128,0xc3a201bf,0x6aea0344}},	//   _samita_, _هاویلند_, _kamper_, _atatsime, 
   {{0xa2840166,0x1af501a3,0xc16c0147,0x258904fb}},	//   _einkauf_, _فرقيوارا, _سلىكپ_, _comisarí, 
   {{0xe2ec00bc,0xd20100cf,0xc4ea0095,0x63040203}},	//   _aabiete_, _furii_, _تعالیم_, _miracul_, 
   {{0x669c0372,0x6e9604a7,0xdb8f009a,0x116b0255}},	//   _arteithi, _mantense_, _besigeor, _kutsekoo, 
   {{0xa51b0508,0xe2880497,0x8200046d,0xc2ca022a}},	//   _kholidzh, _derangem, _tamisa_, _neodoy_, 
   {{0x038704b7,0x3b280008,0xb2ca0509,0xaba80181}},	//   _daarna_, _ئۇللىنىش, _produz_, _babychan_, 
   {{0x5ea800db,0x19cd02ff,0xa0660147,0xb6d10449}},	//   _kindlaks_, _lezekrit, _مۉچۉلۉشت, _metalnim_, 
   {{0x50f103dc,0x22c5045f,0x9c550098,0x7d2701da}},	//   _grundarl, _gillade_, _montere_, _rajonale_, 
   {{0xb1770368,0x910d00a7,0x9278031a,0x1a310024}},	//   _месту_, _замандаш_, _bàigheil_, _দেখিছো_, 
   {{0xf2c8018b,0x07f20192,0xd1270013,0xb27e02ae}},	//   _nicolae_, _일간스포츠_, _газовик_, _sjene_, 
   {{0x5c750007,0x82900369,0xe95800da,0xcea704ae}},	//   _ennuyer_, _punana_, _calorife, _разводу_, 
   {{0x05ae045e,0x237f038b,0x7c2001bd,0x729000b0}},	// [810] _позволен, _penanda_, _توبەمنەن_, _fajac_, 
   {{0xe2fc0499,0x92da042b,0x4c1d0185,0x757e03a4}},	//   _iliga_, _štene_, _ekrannar, _evolutió, 
   {{0x329000db,0x52eb038f,0x00000000,0x00000000}},	//   _sajab_, _fizikel_, --, --, 
   {{0xe27f040b,0xa437011b,0x92d700ec,0xd2ef0227}},	//   _khuni_, _ebikisak, _klientai_, _dahinya_, 
   {{0xeafb0241,0x5200027f,0x47580287,0x38520059}},	//   _afarsine, _bamira_, _सिग्देल_, _реставри, 
   {{0x625a02c3,0x620002af,0xf91200ba,0x4291050a}},	//   _podla_, _camira_, _مڕاستی_, _duvara_, 
   {{0x83f00108,0x3dc0050b,0x2d6d00f8,0x00000000}},	//   _sumedang_, _disinila, _বোরখা_, --, 
   {{0xf598025b,0xae470040,0xc9ba003c,0x43f401df}},	//   _monnunum_, _מעטפת_, _فرايند_, _kirtle_, 
   {{0xdb82012e,0xe75a00bc,0xd2ef008b,0x1ccc0343}},	//   _تجلیات_, _اقداماتی_, _kilimaa_, _maihatud_, 
   {{0x4c760282,0x05c8028a,0x29ca005b,0x00000000}},	//   _haironi_, _ushawish, _cococara_, --, 
   {{0xd27e0320,0x925a0372,0xd3fd042a,0xec780037}},	//   _akeni_, _golli_, _akunandz, _ትምህርቶችን_, 
   {{0x338702c2,0x8afa0076,0x929101c7,0x606a004d}},	//   _waarna_, _предаден, _agras_, _討論進行中_, 
   {{0xac5a0245,0xa48b0092,0x1270025b,0x8fcd008d}},	//   _syntiew_, _パティスリ_, _byggisam, _файласуф_, 
   {{0xa2910034,0xf9ee000f,0x0dd00241,0x00000000}},	//   _punktar_, _iktidara_, _harkisee_, --, 
   {{0x127e0262,0xe20e0056,0xd3fa01e6,0x9dfa0238}},	//   _ekeni_, _насаб_, _okruhu_, _лінки_, 
   {{0x625a006e,0xe387003f,0xfe4f0357,0x98480226}},	//   _dolli_, _cherdi_, _semasema, _bvumbulu, 
   {{0xa4200192,0x6f0c050c,0x8b520405,0xec0e004d}},	// [820] _개인정보의_, _प्रखर_, _аналогіч, _台灣師大環保中心_, 
   {{0x825a00e1,0x534b0277,0xdc550060,0xdaee007b}},	//   _folli_, _lineart_, _яланған_, _gratifie, 
   {{0x720200a5,0x00000000,0x00000000,0x00000000}},	//   _teuila_, --, --, --, 
   {{0x5e340021,0x6eea01ec,0x1c6002ea,0xbd9f008e}},	//   _anagerma, _چسبون_, _fiducia_, _dingante_, 
   {{0xc42c0071,0x6a7b0041,0xbf69050d,0xcb07007f}},	//   _خاکسپاری_, _ишақәиҭы, _armarios_, _gorsedda_, 
   {{0x1400022a,0x51e104f3,0x0e390022,0x00000000}},	//   _nebundan_, _अविरत_, _legalfra, --, 
   {{0x525a018a,0xbf9f03b8,0xb5380075,0x14320121}},	//   _colli_, _بوينشا_, _fyritrey, _descenso_, 
   {{0x70be0037,0xaf030188,0xe201001b,0x00000000}},	//   _ለማግባባት_, _хобгоҳи_, _flyiif_, --, 
   {{0x473b00c4,0x127e025b,0x2eb1005b,0x00000000}},	//   _ايماندار_, _stongt_, _buosyare_, --, 
   {{0x396e0074,0x527f0049,0x085502d3,0xe2fc01f4}},	//   _kiinnost, _ikuna_, _competên, _idagi_, 
   {{0x627f0128,0xdf3001df,0x904800cb,0xf34b045b}},	//   _shuni_, _rosemoun, _даснигар, _fineart_, 
   {{0x03eb0412,0x159c016e,0x425a01b8,0x9f520060}},	//   _kwathi_, _koleksiy, _rolli_, _بولساڭىز, 
   {{0x72d303b5,0x53e60022,0x12900015,0x0d4400dc}},	//   _ikutilah_, _секундҡа_, _sunada_, _tāpenaga_, 
   {{0x52940148,0x836b0208,0x587b040f,0x07d10191}},	//   _在這個版面刪除文, _ئاپارتما, _страта_, _helsingf, 
   {{0xc1b00061,0x2245018d,0x7ac000a6,0x727f019d}},	//   _일부상품은_, _ዝበለጸት_, _avakalis, _dzanja_, 
   {{0x17550378,0xb1800207,0x3ecd00db,0x5c17005b}},	//   _postrúm_, _مجموعن_, _silikoon, _kofanger, 
   {{0xf201011d,0xd2900015,0x14e600ba,0xfa450111}},	// [830] _murit_, _rabaa_, _ئاژانس_, _ripetuta_, 
   {{0xddb2014a,0xe290015a,0x0290000a,0x18b60149}},	//   _براڈکاسٹ_, _sabaa_, _aajaa_, _kọvadel_, 
   {{0xc19a03c4,0xd27f0294,0xc45501d7,0x5c6e00cf}},	//   _مىليون_, _akuna_, _ponderaz, _biiroon_, 
   {{0xc266002f,0x593801db,0x720103ec,0x6f2a02aa}},	//   _achupall, _دانىشپان, _arrij_, _sharerap, 
   {{0x82d902db,0x62fc050e,0x12ce004d,0x5e3303d1}},	//   _dipen_, _uloguj_, _工作勝任愉快_, _friziere_, 
   {{0xc83d006c,0x7c7403ac,0xb3a8010e,0x3db702e2}},	//   _додарзод, _musuhmu_, _dinalang_, _boliveea, 
   {{0xe2d40013,0x861100f5,0xfc000024,0xe346013b}},	//   _bordir_, _berlendi, _হিন্দুধৰ, _figueirã_, 
   {{0xdfd501f4,0xc2de012d,0x58c300d3,0x874f00e6}},	//   _курашда_, _streteji_, _gamelead, _本站拒绝色情小说, 
   {{0xe3870122,0xa833008d,0xa343000c,0x22900251}},	//   _nyerah_, _дўзахга_, _косован_, _jaban_, 
   {{0xc290016b,0x4dd90036,0x73ee02e1,0xe711010d}},	//   _daban_, _اتخاذ_, _استفتاء_, _दर्दी_, 
   {{0x49810004,0xc3860348,0xa27f0172,0x00000000}},	//   _dominike, _abirya_, _nyansa_, --, 
   {{0x72010145,0x58f6000a,0x1281015a,0x1ac000c1}},	//   _turiu_, _affaaluu, _bombiiti_, _काळपट_, 
   {{0xad7c007e,0x629001a6,0x62d5021e,0x40bf0056}},	//   _anirvācy, _atoato_, _gatorna_, _amamojul, 
   {{0xd380000c,0xd0770143,0xa2db0361,0xfb270137}},	//   _амонахцә, _френска_, _подребер, _равжаа_, 
   {{0x8273003f,0x1c68003c,0x02900183,0x51b700e6}},	//   _botichdi_, _baluchi_, _haban_, _快捷的投稿平台_, 
   {{0x6e4801cd,0x17e50452,0x5ed203f2,0x00000000}},	//   _angacaba, _गदारोळ_, _шведский_, --, 
   {{0x5158023c,0x62310020,0x00000000,0x00000000}},	// [840] _لوړرتبه_, _vaimoso_, --, --, 
   {{0xf20103dd,0x03f9005b,0x1b6c0476,0xef4300a4}},	//   _durim_, _miyuu_, _akaroora_, _чехиядаг, 
   {{0x629000a2,0x994c0116,0x963f015f,0xff77042a}},	//   _mabao_, _faimilie, _ethnigrw, _icocisan, 
   {{0x420e0039,0xd4c300c8,0xd75802bb,0x8d03006d}},	//   _шавар_, _алтындан_, _बदस्तूर_, _ажывілі_, 
   {{0xf29000a0,0x5fa70147,0x47900034,0x59d701cd}},	//   _gaban_, _ادبئيات_, _sundlaug, _amathend, 
   {{0x92d90303,0xc26c04a6,0xae96023c,0x3a270012}},	//   _dipeo_, _osnovu_, _خرڅوي_, _पुरबिओ_, 
   {{0xfb080087,0x86d00061,0xc2e900d2,0x00000000}},	//   _chaptara_, _지난해보다_, _arindit_, --, 
   {{0x62010245,0x6c0103fc,0x2d090352,0x84270068}},	//   _kurim_, _samsvar_, _বাহিৰলৈ_, _qabanayo_, 
   {{0xb27f025f,0x22d901dd,0x53a80119,0x6c6101da}},	//   _abengi_, _aboneke_, _hinabang_, _dituria_, 
   {{0x925a0396,0xd84100dd,0xe297011f,0x5dbe005f}},	//   _kollu_, _scarlets_, _asegurád, _pelicula, 
   {{0x0394017d,0x22d800dd,0x125a041e,0x60100040}},	//   _件を表示していま, _fodern_, _collu_, _למטופל_, 
   {{0x827e0043,0xccfa00bf,0x17570135,0x7fe30074}},	//   _ayinza_, _предател, _минемчә_, _marimeko, 
   {{0xe486050f,0xe29e0071,0xadc20074,0x8dec0299}},	//   _परदादा_, _امامی_, _ensisija, _ئاققۇزۇپ_, 
   {{0xf00b0125,0x7162007f,0x9c0102ca,0x00000000}},	//   _атанак_, _canghell, _hamstar_, --, 
   {{0x22e801c0,0xa3eb0399,0x304b0107,0x7b120023}},	//   _miliyan_, _itatui_, _معاشقه_, _собчак_, 
   {{0x523701a4,0xd20103dd,0xd347023b,0xf3e302ac}},	//   _abimisa_, _burim_, _kuleana_, _ومحركات_, 
   {{0x9290021f,0x92bc04ac,0x4a0b020f,0xf90b0188}},	// [850] _qaban_, _ассортим, _amabhant, _amabhand, 
   {{0x13100462,0xb162046b,0x534000ff,0x7a5c02ea}},	//   _arrayay_, _ganghell, _belecon_, _medesima_, 
   {{0xe1900352,0x7939009b,0x8621012a,0x22ea0160}},	//   _জানুৱাৰী_, _бактерий, _infolini, _podigao_, 
   {{0xc2900120,0xe3640113,0xf2010159,0xfa410510}},	//   _taban_, _forfás_, _turim_, _ойланаш_, 
   {{0xbeab0147,0xa57403ce,0xd22d015e,0x72e80082}},	//   _dimecres_, _خوپاراست, _امداشتىر, _biliyan_, 
   {{0x120103ad,0x72010377,0x8b44034c,0xef67010d}},	//   _ambitu_, _auzit_, _aksakalı_, _sahabatn, 
   {{0xc2d903d7,0x4c7503ea,0xc2970122,0x493201d5}},	//   _anpes_, _annuler_, _kanjeng_, _باسٹھ_, 
   {{0xc20100ee,0xa29000b6,0x525a0034,0x004a033c}},	//   _orria_, _dabal_, _hollt_, _cloriann, 
   {{0xf2d8018f,0x72010367,0x83f102ee,0xe2500060}},	//   _andeen_, _devido_, _tassisti_, _بىلەك_, 
   {{0xd7250040,0x67450271,0xc290008e,0xab2400e2}},	//   _נועדו_, _grunnlov, _fabal_, _gryptsje, 
   {{0xd29000b6,0xd2e7005c,0xe2fc0173,0xee490305}},	//   _gabal_, _urunana_, _elige_, _eigarane_, 
   {{0x95b5027f,0x3ecc020f,0x00000000,0x00000000}},	//   _bidatevy, _bayintan, --, --, 
   {{0x8f1d02c3,0x5a0701cf,0x551a016d,0xec0301d7}},	//   _vykurova, _cambiava_, _пәйзиват, _cassier_, 
   {{0x1d2c0073,0x1c7d0085,0x12fc0255,0x427f0159}},	//   _meritate_, _dausiwa_, _mingil_, _naminiai_, 
   {{0x575e0021,0x293c0075,0x67fc03d4,0xf413004a}},	//   _acticing, _framleit, _полумесе, _алышачак_, 
   {{0xc2900087,0xe55c0156,0xbc550059,0x0e3a0051}},	//   _sabao_, _גלוגעוו_, _contare_, _pianists_, 
   {{0xdf8e0017,0x6cbf01a3,0x08da040e,0x327e002b}},	// [860] _पक्कि_, _پينگهي_, _bibelsku, _ajeno_, 
   {{0xe6b900b0,0x329003d1,0x12910511,0x00000000}},	//   _dooranay, _labam_, _mufana_, --, 
   {{0x46e20019,0x87f00153,0x4e690177,0x029104cf}},	//   _بوقتوپسۇ, _満足度ランキング_, _ҳаирцәаҳ, _lufana_, 
   {{0x3a9402f3,0x98070512,0xe76201be,0x72620297}},	//   _artikeln_, _नसरुद्दी, _इन्धन_, _izraelgä_, 
   {{0xe25a0513,0x737a0128,0x96d5028e,0x302f0086}},	//   _endle_, _سوریله_, _korporol_, _نحوست_, 
   {{0xb815020e,0x82aa03c2,0x829000cf,0xd27f0145}},	//   _буласаҡ_, _concealm, _babal_, _gaminiai_, 
   {{0xc4ff00be,0x13ea0286,0x6e9a0378,0x82ef0096}},	//   _اشىرابەر_, _mpotam_, _veruligt_, _bahisha_, 
   {{0x9ec50062,0x99c80049,0xa7ed03d5,0x43eb0148}},	//   _brazilda, _fotofota_, _aaraueag, _statui_, 
   {{0x22010066,0xef2f030a,0xe3df0163,0xe2e00086}},	//   _urria_, _altermun, _fantázia_, _alufelni_, 
   {{0x8adf025c,0x229000a1,0x2f200312,0x379f0514}},	//   _bildungs, _punaha_, _adtermen, _diftongi, 
   {{0x884d02d4,0x73a2021e,0x92d600a8,0x757f0121}},	//   _formaziu, _lampor_, _balluns_, _hortaliz, 
   {{0x60dd03a1,0xf8f8042f,0x029001d8,0x63f202d8}},	//   _положите, _pitaaqtu, _rabad_, _frustasi_, 
   {{0xdc55046d,0x029a00cb,0xa70a01eb,0xc3f4040e}},	//   _maitele_, _ababezam, _castellá, _puttar_, 
   {{0x58d2000a,0xa2cb0128,0x28f701c8,0x6fc300a5}},	//   _ajeraliv, _sirlari_, _punčochy_, _lamolemo, 
   {{0x129000fa,0xa25a00bc,0x936c01d8,0xf29002ee}},	//   _babae_, _rndld_, _dingiei_, _qabad_, 
   {{0xb2dd018b,0x685a04d2,0x38e803a8,0xa6de0153}},	//   _europei_, _nedanfor_, _brisling, _まっぷるの宿泊予, 
   {{0x4f4d01fb,0x62da0392,0xde68028a,0x46a7046c}},	// [870] _adoptate_, _eireas_, _ulichona, _ehrgeizi, 
   {{0x5a6001c3,0x02480034,0x22d40138,0xa44700c7}},	//   _blameles, _vélinni_, _zordur_, _алдыгызм, 
   {{0xcba401e8,0x8b9202f4,0x398e0205,0x87b502e7}},	//   _artikulo_, _teniendo_, _калит_, _indsutri, 
   {{0x34c50367,0x729000f1,0x7c670190,0x7eba02b6}},	//   _trabalho_, _kabab_, _iriring_, _تالابىڭد, 
   {{0x92010151,0x23f400b4,0x3f420343,0xc04c0420}},	//   _orrin_, _partid_, _ginsakup, _мигранти_, 
   {{0xc379005a,0xc27f0204,0x00000000,0x00000000}},	//   _jiharqo_, _dianan_, --, --, 
   {{0x1c4a0055,0x52550049,0xbae70024,0x6c55000b}},	//   _bétail_, _failelei_, _প্লাৱন_, _faitele_, 
   {{0xd20100bc,0x06bf018d,0xd64e0060,0x537f000b}},	//   _gurih_, _ተስፋናን_, _тарифтік_, _samania_, 
   {{0x68e000f7,0x3c4a00c5,0x52d900d8,0x52ec0515}},	//   _malgrand, _détail_, _topex_, _pariete_, 
   {{0x986a0196,0x99ee0145,0xc8780090,0xa84a0161}},	//   _amangofu, _sektoriu, _asingaku, _водки_, 
   {{0x1449017d,0x127e03ba,0xd5c800a2,0x8349018a}},	//   _ドを忘れた_, _atonit_, _kuhamish, _enwebai_, 
   {{0xcd7e0430,0xf42e0143,0x52700220,0xa981009a}},	//   _khalanwa, _издателс, _preghiam, _baphicot, 
   {{0x2e5c0516,0xc201028e,0x5e0400ba,0xb5930257}},	//   _auncient_, _surik_, _پرنێوه_, _barnsfað, 
   {{0xd3010316,0xc9cd03ec,0x00000000,0x00000000}},	//   _gatanci_, _sondazhe, --, --, 
   {{0x814c00f2,0xc0370066,0xccf50376,0xe8720137}},	//   _pietieko, _bulegoak_, _doktarar, _хотруу_, 
   {{0xb20103dd,0xcdc001dd,0x3c6a018d,0x90a900cb}},	//   _arrin_, _hakizima, _ብካሕሳይ_, _ашрофзод, 
   {{0x3c67012f,0x587d0092,0xd8060517,0xa7590311}},	// [880] _eriring_, _文字以内で入力く, _cúpulas_, _ነንበይኑ_, 
   {{0x28e600d0,0x52d20009,0x5f25004f,0x6927015f}},	//   _африк_, _spremeni_, _elpensan, _carchard, 
   {{0x36990039,0xd3030008,0xa23f0138,0xbc7600e4}},	//   _мэрилин_, _demanat_, _bülten_, _pierogi_, 
   {{0x4e960518,0xff9b0089,0xfc2901db,0x229104e3}},	//   _براون_, _евразия_, _دانەكەرل, _igrat_, 
   {{0xd0970046,0xcba702a3,0x2c3c0297,0xb1e90169}},	//   _армиясы_, _dankbaar, _basunı_, _indicarm, 
   {{0x82d801d8,0x0b2f029e,0x158f014e,0x4a0c02af}},	//   _baheh_, _disadorn_, _поступку_, _bagateba_, 
   {{0x2c5502a4,0x37840008,0x1a13001e,0xe75a00cb}},	//   _pietate_, _терапиял, _bahaushe, _домодҳои_, 
   {{0xf3f9005b,0x5a51027b,0x320101d7,0x421c0162}},	//   _pique_, _apadeśen, _arriv_, _хоронъғу, 
   {{0x1adf0258,0x5a280311,0x530f029c,0xf2e8036e}},	//   _briedgeb, _ወድሸሪፈይ_, _bamboyo_, _coendou_, 
   {{0xcc710519,0xd2360148,0xa6050178,0x69da0297}},	//   _मोर्चे_, _設定查詢條件_, _avaśenāp, _biznesta_, 
   {{0x46b803a0,0x997100c4,0x429101b9,0x270d022b}},	//   _bakatisi, _الڪرام_, _laraf_, _skattahæ, 
   {{0xe27f04cf,0xceea0421,0x82010102,0xb7480223}},	//   _abenzi_, _fraktion, _shairi_, _alhondig, 
   {{0x8ce7016d,0x0bb70360,0x0c56006f,0x526c0369}},	//   _قۇدرەتلى, _programů_, _عبدالعلي_, _lehova_, 
   {{0xd291019d,0x00000000,0x00000000,0x00000000}},	//   _kufala_, --, --, --, 
   {{0x1ad500c7,0x6ec302c9,0x93ca0242,0xbc750203}},	//   _аңлата_, _интимита, _ayları_, _amputat_, 
   {{0x33410122,0xfec400af,0xd21c017c,0x00000000}},	//   _پنجاه_, _нескладн, _mathem_, --, 
   {{0xf39600af,0xc20004d3,0xac0d00f2,0x42d800fe}},	// [890] _авторськ, _thaij_, _visbiežā, _mahei_, 
   {{0x13eb0360,0xebed0192,0x7f250130,0x157101c8}},	//   _historii_, _네비게이션_, _advezian, _sledoval_, 
   {{0x22e9051a,0x37ae0162,0xeb9902a5,0x54fa0365}},	//   _ditimpa_, _кимгә_, _पाइँदैन_, _किटाणु_, 
   {{0x932f0057,0xac75007b,0xca860167,0x3c2f0111}},	//   _በእንደዚህ_, _acquant_, _garndolb, _bisidoru_, 
   {{0x3a16045d,0xe67a01c5,0x308701f4,0x5db700e7}},	//   _saradnja_, _caleykum_, _нахотки_, _ancingda, 
   {{0x125a005b,0x63670220,0x8fb301db,0x22d900a1}},	//   _fille_, _bergamo_, _ақиық_, _kipea_, 
   {{0x521c0212,0xfa910172,0x22010338,0x9294049e}},	//   _sophos_, _anyinyin_, _arriu_, _fotkach_, 
   {{0x226c01ed,0xd22b051b,0xb2e803ba,0x0be902ea}},	//   _iehova_, _animace_, _rrufen_, _pomodoro_, 
   {{0x4cad025e,0xe54400a7,0xee4e0455,0xee9a02c7}},	//   _byggingu_, _بىلەمىن_, _semblent_, _beruhigt_, 
   {{0x625a02f3,0xdb22032e,0x90fe0297,0xf41c01b3}},	//   _kille_, _paypacha_, _аһәңе_, _прогресу_, 
   {{0xc2ba02bd,0x629102ec,0x00000000,0x00000000}},	//   _academi_, _marag_, --, --, 
   {{0x6e7300ff,0xa1c90126,0x4d9c018b,0x026402a3}},	//   _מעדעצינע, _сорти_, _cererile_, _misluk_, 
   {{0xf3ff01f6,0x12d8051c,0x52d8011d,0x0d0c037c}},	//   _তালিকাসম, _sahep_, _clientii_, _sepulchr, 
   {{0x57b40415,0x8b690211,0x3d410079,0xe2d8051c}},	//   _mittlerw, _treffien_, _pedagogu_, _pahep_, 
   {{0xa3880384,0x728f01e8,0xe1bc0361,0x626c01fa}},	//   _unutrašn, _techies_, _листинге_, _sanitesi_, 
   {{0xc15b0138,0x2290015a,0x2438044a,0xcfd6020f}},	//   _nedeniyl, _gabaa_, _abakisak, _تفخيم_, 
   {{0x0291051d,0x592e0046,0x1873051e,0x20630103}},	// [8a0] _xaraf_, _палестин_, _físicos_, _avasunun, 
   {{0x129101c0,0x469b00a6,0x3c430061,0xa2fc0343}},	//   _mazan_, _سرکاڼو_, _밤새안녕님_, _ilaga_, 
   {{0xd2900172,0xfe4b0318,0xe280023e,0xd29101ad}},	//   _babaa_, _angavale_, _anakane_, _darag_, 
   {{0xe72d0063,0x72cb020e,0x0dc20312,0x00000000}},	//   _inspiorá, _ithopia_, _enskriva, --, 
   {{0x4c6f00dc,0xf290002a,0xae12025c,0x00000000}},	//   _sharron_, _dabaa_, _vereinba, --, 
   {{0x7da0002e,0xb276029f,0xa27e01e5,0x31560244}},	//   _ravnopra, _stredošk, _ayinla_, _детските_, 
   {{0x72ee0040,0x32fc0416,0x16fc0030,0x70bc0396}},	//   _נוירולוג, _singul_, _piereģis, _jimmobil, 
   {{0xf2910038,0x32910163,0xa9db00a9,0x68550131}},	//   _kazan_, _marad_, _ahindura_, _naqueles_, 
   {{0xe3860102,0xb291011c,0x78d4018d,0xfb770282}},	//   _شاندار_, _barag_, _መዋእላት_, _tairanga_, 
   {{0x3d8500de,0x5272014f,0xd9320071,0xb25b00fc}},	//   _annexure_, _географс, _انجین_, _chellu_, 
   {{0x326c03f1,0xf3800434,0x6c680119,0x0c3c0185}},	//   _lehota_, _actriz_, _guarino_, _basulı_, 
   {{0x220004ea,0x9b5800d3,0xaee10148,0xbaad0053}},	//   _khaii_, _अक्षरको_, _scriptis_, _seukuran_, 
   {{0xa59f0252,0x4eb7051f,0xc20002a3,0x4fe102f1}},	//   _linganah, _وروتر_, _shaik_, _amizades_, 
   {{0xbfba01f4,0xabfc006d,0xc4780156,0xa4d60012}},	//   _аралашти, _трамваях_, _amnestio_, _मउगियो_, 
   {{0x11eb02b9,0x02240116,0x9c4e023c,0x56a201ac}},	//   _وفاداری_, _choked_, _زاخېلوال_, _gortaith, 
   {{0x83780082,0xc4450247,0xc0040134,0xa2900191}},	//   _lamarin_, _فرماندار, _atilẹyin_, _bekant_, 
   {{0x32cb0028,0x3c6f01df,0x35120153,0x17320396}},	// [8b0] _ethopia_, _befreen_, _ポリエステル縮緬, _infushom_, 
   {{0x2e990077,0x3b7d03e9,0x7d9901b0,0xf3600372}},	//   _kontinye_, _çylşyrym, _kontinyu_, _blygell_, 
   {{0x03fd030b,0x2291019f,0xfc6d0520,0x0ec50059}},	//   _abinywez, _mazao_, _relatóri, _климата_, 
   {{0x473c00ee,0x2b2c0159,0x6d1f0445,0xb6930205}},	//   _олимпийн_, _pacientų_, _síntese_, _десятчик, 
   {{0x86060126,0xf29001c4,0x00000000,0x00000000}},	//   _квартирі_, _gekant_, --, --, 
   {{0x59f200e6,0x8f67015e,0x67e40094,0xe30b0521}},	//   _以信息化带动工业, _байгеге_, _قىرقىسۋع, _alibeaj_, 
   {{0xf5ac0522,0x61f80060,0x6a140181,0x7a97019d}},	//   _वीरता_, _تەرىستەپ_, _buiberut, _kanyenya_, 
   {{0xd29103cf,0xaeea0107,0x5d9d016e,0xe28802a3}},	//   _yazan_, _تساوی_, _erteleme_, _veralgem, 
   {{0x42910282,0x73410088,0x02910160,0x92910433}},	//   _marae_, _اندان_, _kazao_, _parag_, 
   {{0x057000ba,0x83a201f6,0xaf9b00be,0x457502ac}},	//   _دیلمان_, _kampar_, _تۉيۉنگۅ_, _شاكيرا_, 
   {{0x12e702ef,0xe6c20008,0x1b0600ec,0xc53b014e}},	//   _flatbush_, _بەيىشكە_, _растуць_, _атеизма_, 
   {{0x54720523,0x8d1b02b9,0x373a01ea,0x42470023}},	//   _प्रभू_, _mennyire_, _вояга_, _группу_, 
   {{0x56a9015c,0xa2000294,0x7e5400a0,0xaca90161}},	//   _betruech, _chaii_, _bamaguje_, _доставим_, 
   {{0xacb60277,0x4dc001d4,0x829002c3,0x7ae0011a}},	//   _polyneur, _reliquie_, _dunaja_, _saturate, 
   {{0x1f930126,0x02ca034b,0x92910144,0xed8a0418}},	//   _реформув, _prodak_, _carad_, _trafikte_, 
   {{0x52fc023e,0x9bd5002c,0x5c0f04a7,0x6387000d}},	//   _tlaga_, _рублийн_, _costumis, _kaarma_, 
   {{0xd9f2020e,0xb46903f5,0x18df0265,0xf80800e7}},	// [8c0] _amahngwa_, _prefeito_, _hergebru, _aunching, 
   {{0xd18903b0,0x832700dd,0x5212018f,0x32d0028a}},	//   _নিবনুৱা_, _barciau_, _lomhey_, _sulemani_, 
   {{0x92c300af,0x8ec100c7,0x0f910524,0x829101b5}},	//   _модний_, _келәм_, _baldasar_, _luvana_, 
   {{0xf3a902f3,0x420e00c7,0x82910183,0xe31600df}},	//   _helvete_, _карар_, _tazan_, _engagez_, 
   {{0x929b0206,0x0291014e,0xcc2302dd,0xf2910094}},	//   _izbový_, _zarad_, _appredis, _ولگەندى_, 
   {{0x357b02c1,0x99e100a6,0x9eb90177,0xda0102a0}},	//   _imitungo_, _نیازمن_, _рбаҟақәа_, _nguanamt, 
   {{0x538701b8,0x029d035b,0x4d3d0226,0x82d5006e}},	//   _maarja_, _gnojila_, _asanathe_, _doroora_, 
   {{0x827e032d,0xa27f00b8,0x4eea0139,0xe201026c}},	//   _tjena_, _khunu_, _प्रथमम्_, _muris_, 
   {{0x23f8026c,0x42fc017e,0x62910115,0x00000000}},	//   _maius_, _aligo_, _juvana_, --, 
   {{0x312501ea,0x23130184,0x0291050e,0x56a000e7}},	//   _قانونچی_, _aricara_, _duvana_, _eekendsw, 
   {{0x23fe0369,0xd1020148,0x527e0197,0x6201022f}},	//   _akelanik, _無標題文件_, _djenn_, _turit_, 
   {{0x26ad01eb,0x666d0147,0x6b730196,0x4341030a}},	//   _agureroh, _بلەسز_, _atauyala_, _obreira_, 
   {{0x3a5f0033,0x5c820276,0xbd300019,0x2ab50147}},	//   _dumengia_, _بوستانلى, _эмоциясы, _رومكادان_, 
   {{0xc201022f,0x15930096,0x8200005b,0xb3a2018a}},	//   _kuris_, _aseserez, _beniko_, _fampir_, 
   {{0xb2010488,0xbbb900da,0xca1604dd,0x55ff032e}},	//   _juris_, _десенат_, _španija_, _paylliwi, 
   {{0x729301db,0xfe9a023d,0x923801a4,0x52010145}},	//   _ﻛﻪﺗﺴﻪ_, _comunque_, _abimisi_, _duris_, 
   {{0x030d0190,0x157b027f,0x2ce101a7,0x5e430243}},	// [8d0] _bagawer_, _amatongo_, _основы_, _cabaarut_, 
   {{0x127f03ef,0x0a080095,0xddbe02f6,0x632702bd}},	//   _nyanza_, _ramayana_, _pelikula, _parciau_, 
   {{0x92ad00e6,0xd35e0436,0x59870007,0x00000000}},	//   _河北农业信息网_, _anadolij, _nayikaka_, --, 
   {{0x1f4101d7,0xde0902b2,0x527e021e,0x00000000}},	//   _fabricha, _воріт_, _kunnig_, --, 
   {{0x47b600d7,0x2e660040,0xf2970115,0xe27f04c9}},	//   _bolumeli, _לספטמבר_, _tanjong_, _hajnã_, 
   {{0x9e500328,0x10c802f7,0x00000000,0x00000000}},	//   _kigahama, _kwalolol, --, --, 
   {{0x82fc040f,0x8b8a018c,0x2d180168,0xfac90093}},	//   _smagu_, _juridisc, _favoritt_, _миллиона, 
   {{0xa27f0344,0x38cd011a,0x43a70052,0xb8fb004d}},	//   _akunn_, _stressfu, _त्रिपाठी, _並非依固定之百分, 
   {{0x62010230,0x18fd0255,0x560d029a,0xbc76006d}},	//   _furir_, _parandad, _promouvw, _sparnai_, 
   {{0x080a0525,0xec0a02d9,0xf2da0180,0x44b00456}},	//   _इन्द्री_, _anapapa_, _direks_, _difahamk, 
   {{0x72900285,0xc22f027b,0x6409036e,0x386302c0}},	//   _runaka_, _कामचारः_, _chinpayk, _несекојд, 
   {{0xc7e00410,0x71b301d5,0xd7530399,0x82d802d5}},	//   _ditsenyw, _کامرس_, _avangong, _vahet_, 
   {{0x020004b8,0xd3f402ec,0x7d930046,0x59cd03e6}},	//   _thain_, _kartid_, _dèficit_, _verdecke, 
   {{0xaae200b3,0xf2d90050,0x2f780008,0x5ff702eb}},	//   _делиллер, _tipeu_, _cambrils_, _махбодь_, 
   {{0x8c7300ec,0xf576003d,0x92cb008d,0x00000000}},	//   _startas_, _brilhanç, _birlari_, --, 
   {{0xf27f04f2,0xf96701a6,0xed83031a,0x7291018e}},	//   _phunu_, _kahikate, _peileara, _muvala_, 
   {{0xb27f0226,0xd2b40160,0x70e10010,0xef260526}},	// [8e0] _akuno_, _pricam_, _ekonakal, _digendon, 
   {{0x43bc0113,0xb29004bd,0x38d500e6,0x92ec01f3}},	//   _علمني_, _hunaia_, _此地空余黄鹤楼_, _cisterny_, 
   {{0x6d390222,0xa1cc00a4,0x9f44012c,0x77730258}},	//   _ancienne_, _сымал_, _اسلاميءَ_, _folksheg, 
   {{0x1b7201e5,0x925a0181,0x83be00ac,0x625b0527}},	//   _elerugba_, _rilla_, _kreveti_, _dotle_, 
   {{0x13860358,0x99210397,0x627e035e,0x326d0338}},	//   _cherif_, _ababechu, _njenu_, _lafont_, 
   {{0xf27f0069,0xe20004ee,0xe379033f,0xf3460235}},	//   _myanya_, _shiiti_, _mataika_, _dhuraṃdh, 
   {{0x129701fe,0x871f010f,0x1604019b,0x02f10275}},	//   _josateki_, _убури_, _olimpini, _masiasi_, 
   {{0x8c600528,0x9200013f,0x52e504d8,0xa2010326}},	//   _diluain_, _chiit_, _miinada_, _chaiti_, 
   {{0xbd9d0449,0x62cb01fc,0x058501eb,0x796300b5}},	//   _jednosta, _akadde_, _agronomí, _ахрархәа, 
   {{0xb25a01da,0x959d0263,0x15b30250,0x0548002e}},	//   _tilla_, _belgisch, _qëndrimi_, _uništiti_, 
   {{0x424303db,0x07640147,0x52d50529,0x9066004a}},	//   _abammeli_, _انىبار_, _formiraj, _анысында_, 
   {{0x83b00285,0x32010230,0x629001da,0x6c630110}},	//   _amavuko_, _surir_, _bekare_, _mirušo_, 
   {{0xb3f80066,0xf2ec018b,0x8a9a00cb,0x3df6018d}},	//   _метронд_, _fisiere_, _abanezis, _መሳለጥያታት_, 
   {{0x330a004d,0x7495012e,0xc2e900d5,0x324901da}},	//   _不用穿西裝_, _motorral_, _fidinan_, _ademit_, 
   {{0x7f020371,0xb28602ec,0x049b012b,0x8b2d0037}},	//   _около_, _وگنى۪ن_, _ceramicz, _የመፈንቅለ_, 
   {{0x0f48032f,0xfad7048c,0x669c01bd,0x5e4b0499}},	//   _páginas_, _inattent, _бизнесті_, _fogafale_, 
   {{0x9b270211,0x4bb7019b,0x802a0060,0x22d90117}},	// [8f0] _selaimes, _programų_, _تارتىنات, _pipel_, 
   {{0x729203e5,0x736f010d,0x5b34015f,0x231000ad}},	//   _matans_, _lengket_, _drachefn_, _burahay_, 
   {{0xd292052a,0xd07a00be,0xdad000db,0x4374008e}},	//   _pataas_, _принципк, _ekstrave, _ewestism, 
   {{0x82010245,0x73a20147,0xe3f1029e,0x4eba02cf}},	//   _jurip_, _tampoc_, _freelang_, _дошле_, 
   {{0x7cbc0162,0xd2b40333,0xc36b005b,0x62fc0079}},	//   _алғандин_, _recco_, _topgear_, _smags_, 
   {{0x225a0260,0x7c2b009b,0x9a50052b,0xef720296}},	//   _millo_, _zoragarr, _विषुववृत, _stackars_, 
   {{0x11b6052c,0xf9df03f3,0x0d800212,0x62fc0272}},	//   _رۆژگار_, _structuu, _venerunt_, _alage_, 
   {{0x0962033b,0x620004d3,0xc5830435,0x734400c7}},	//   _bolokile, _khaim_, _москви_, _kertergä_, 
   {{0xf3d001db,0xab19018d,0x3601010d,0x48d904c7}},	//   _اتويشىلا, _ድሕንነት_, _ngeliati, _приходим, 
   {{0x7ecc023c,0x49da00e2,0x94cb01be,0x5caf0208}},	//   _abenelun, _direksje, _किरिया_, _ڵماشی_, 
   {{0xe8970247,0xbc5200d1,0x262d0224,0x797b0097}},	//   _مرتبه_, _লুপ্ত_, _ofangrei, _iṣẹgun_, 
   {{0x42d80245,0xfc6d032e,0x53ec027e,0xfaf30158}},	//   _taher_, _ayirina_, _таксиста_, _najskute, 
   {{0x2163017d,0x227e02af,0x6c4a0434,0x239602f3}},	//   _円以上ご注文頂き, _aronse_, _increíbl, _missat_, 
   {{0x6304051c,0x327e03ae,0xafea00bb,0x6c7602ee}},	//   _jasabel_, _bronse_, _کرڈالا_, _iparlaw_, 
   {{0x2ad50204,0x1afe0190,0xb38002e2,0xd7d600bb}},	//   _tuntemat, _einsalze, _sorrel_, _یادرہے_, 
   {{0xb8590527,0x09980453,0x337f0239,0x8570004d}},	//   _doprinos_, _bliži_, _hunanga_, _上班甘苦談_, 
   {{0xe387036e,0x030e0044,0x00000000,0x00000000}},	// [900] _abaroa_, _repairs_, --, --, 
   {{0x8c5e0024,0x6da30156,0x200800e6,0x371b02ac}},	//   _সম্বন্ধ_, _שנאפס_, _社会主义市场经济, _astralaí, 
   {{0x229000ac,0x64dc0105,0x0c6104bd,0x134802e2}},	//   _ionako_, _द्विलिंग, _bitunia_, _screech_, 
   {{0xd28e01db,0x34a8036e,0xa25a01e5,0x66240185}},	//   _ءتاۋىر_, _alcaldek, _didle_, _bryussel_, 
   {{0x00000000,0x00000000,0x00000000,0x00000000}},	//   --, --, --, --, 
   {{0x6f4000a7,0x92de0009,0x70ad0488,0x0b0c0338}},	//   _dissenya, _strojev_, _pasargāt, _classame, 
   {{0xca970477,0xfb190228,0x9b2f014e,0xa6950116}},	//   _tanyanya_, _uorganis, _изненађе, _disestai, 
   {{0x30ce0410,0xb25a01c2,0x203200ee,0x52da02ea}},	//   _ditlhohl, _fillo_, _sustapen, _avrete_, 
   {{0x0af10003,0xc25a0119,0x727e0099,0x09e0020e}},	//   _opdracht, _gillo_, _atonge_, _kaholima_, 
   {{0x73ea041e,0xd7d90024,0x19c70376,0xe290011b}},	//   _dritti_, _শ্ৰীৰামক, _býlingar_, _sekaye_, 
   {{0x694901a7,0xc2910068,0xed560306,0x2f2c043a}},	//   _мастерск, _yaraa_, _aqhanaku_, _padeklin, 
   {{0x12900223,0x437900ec,0x17a400d1,0xe2b5013e}},	//   _honako_, _palaiko_, _ইনফৰ্মেশ, _sledece_, 
   {{0x0e0100c4,0x21e80014,0x1c7d051e,0x7b280023}},	//   _ٻانھون_, _reformim, _cansado_, _значок_, 
   {{0xa6920175,0x722b0194,0x471c002e,0x14eb0060}},	//   _lentansy, _chimere_, _srednjoj_, _شىرايلى_, 
   {{0xe68b002b,0xd07c0101,0x7c5f0372,0xd5c8045a}},	//   _নবীগঞ্জ_, _membrilo, _deuthum_, _rambølls_, 
   {{0xdad100bc,0xe49c01bb,0xe34301eb,0x316d0403}},	//   _tuttnaue, _барысыны_, _bareiro_, _manirery_, 
   {{0x2a970321,0x6e980061,0x83a6004d,0xc416006d}},	// [910] _količino_, _브라우저가_, _電子化政府_, _альгарыт, 
   {{0xf2ef0387,0xa18201be,0x80d80037,0xf22e0107}},	//   _chefuo_, _उर्वर_, _ንብረትነቱ_, _ناکارآمد_, 
   {{0x825a0124,0x22d90479,0xb3f4021c,0xc74c023c}},	//   _sillo_, _videó_, _kartou_, _دترهګرۍ_, 
   {{0x9ad0001f,0xcfd9018d,0x037f02b1,0xe26c00e2}},	//   _ntamadan_, _ዳሕረዎት_, _samarwa_, _gedoch_, 
   {{0x92910211,0x0e8f02d5,0xb29002f7,0x723e0038}},	//   _varaa_, _अनितहुँ_, _bonako_, _джомолун, 
   {{0xc7690025,0x120004af,0x2afa017d,0x243700b4}},	//   _शिक्षते_, _phais_, _branchen_, _недоринд_, 
   {{0xd37f00a1,0xee9300be,0xb37f01fe,0xdc1700e2}},	//   _runanga_, _легитимд, _mamajia_, _opblaasd_, 
   {{0xc290005b,0x29ea02b1,0x9e48012b,0x33b50446}},	//   _minato_, _gwargwad, _zakazane_, _zahvala_, 
   {{0xe2e80058,0xa2910247,0x3d800060,0x62d80083}},	//   _balidan_, _jaran_, _ازيالىقت, _sched_, 
   {{0xd8cb00c4,0x00000000,0x00000000,0x00000000}},	//   _اعتراضن_, --, --, --, 
   {{0xb2d801c5,0x08290147,0x366b0061,0x584500d1}},	//   _tahey_, _үстөк_, _저지방우유_, _সমন্বয়ৰ_, 
   {{0xf38002d5,0x0d3d0135,0x33510199,0x83ea0230}},	//   _korral_, _популярл, _blueftp_, _ezite_, 
   {{0x525a0087,0xca57052d,0xa27f031a,0x8b790044}},	//   _solly_, _प्रकाशीत_, _chanan_, _umbrella_, 
   {{0xa2e80073,0x53160312,0x12da02e1,0x427e0272}},	//   _affirma_, _digarez_, _phreas_, _atonde_, 
   {{0x225a0195,0xbdcb0060,0x13960204,0x0957004d}},	//   _gille_, _шалқарды, _tissit_, _不能太多次_, 
   {{0xd6ae01a0,0x00000000,0x00000000,0x00000000}},	//   _makunguh, --, --, --, 
   {{0x32910528,0x4c700053,0x026d028d,0x0295013d}},	// [920] _caran_, _मार्को_, _lafore_, _diskuti_, 
   {{0x02ea0261,0xcc5a013c,0xac030264,0x7fe7002b}},	//   _atingis_, _faktiki_, _mattersb, _তোমার_, 
   {{0x81880243,0x9af702b2,0x00000000,0x00000000}},	//   _mayanaay_, _forskere, --, --, 
   {{0x4044007c,0x120e00a7,0xab7d01d6,0xb22a00b9}},	//   _kubumban, _барат_, _tegneser, _सदिच्छा_, 
   {{0xf5c903a6,0xe9ec00dc,0xd4ea0350,0x00000000}},	//   _bagafash, _lolovaia_, _የሚለያይ_, --, 
   {{0xf25a01da,0x125b0009,0x034400fc,0x84d5014d}},	//   _tille_, _kotli_, _nubejbe_, _aktionär, 
   {{0x129100cf,0x2e460528,0x03b002f3,0xe20203d1}},	//   _aaran_, _alabasta, _felaktig_, _satiec_, 
   {{0x92910054,0x4c3602b4,0x3e5f0037,0x8809028a}},	//   _yaran_, _alabacec, _ያስችለናል_, _inachang, 
   {{0xa25a0513,0x93df02ac,0x87b5012d,0x022500f7}},	//   _endla_, _فأكثروا_, _matuguai, _atakas_, 
   {{0x22fc02d9,0x52fc031a,0xe9e9019e,0x00000000}},	//   _ilagi_, _hoigh_, _арашэньн, --, 
   {{0x03f404c5,0x729100b0,0x09680417,0x0f4701fb}},	//   _partou_, _waran_, _aktiwite, _estranie_, 
   {{0x92b4005b,0x33eb023d,0xe6c200ea,0xee580311}},	//   _lecca_, _tratti_, _ankafizi, _ንባህልናን_, 
   {{0x5cd701cd,0xa010004d,0xb8430332,0xf2e2008f}},	//   _мехаранд_, _禁毒工作形勢依然, _carteras_, _valivad_, 
   {{0xb94a0256,0x3eea0161,0xd3f900e1,0xbfa90147}},	//   _labsajūt, _радиальн, _layuw_, _químic_, 
   {{0x834102d4,0x1e2001b8,0x2d1502dd,0xb9d70431}},	//   _dependa_, _खदरौन_, _esportat_, _badeanle, 
   {{0xb29100b6,0x42f302e4,0x5c550003,0xafc60013}},	//   _maral_, _kumitat_, _grotere_, _grantlar_, 
   {{0x12910068,0xe24701bd,0xa29101b9,0xaa880241}},	// [930] _qaran_, _шекарасы_, _laral_, _bayinaan_, 
   {{0x1201052e,0x07be0208,0x1f6d0092,0x92900414}},	//   _affixo_, _ئسلامی_, _チェックイン_, _monano_, 
   {{0xa52b005c,0xc4550269,0x56ef052f,0x428c051b}},	//   _munyakaz, _producto_, _nezabelw, _soupravy_, 
   {{0x4364041c,0xf2910013,0x03f8015e,0xab5601a3}},	//   _dangeen_, _izzat_, _senzill_, _ٻاروچا_, 
   {{0x99510527,0xdc6701eb,0x786b029b,0xb5a6034f}},	//   _nepoznat, _achuapa_, _alhibaad, _بازمحمد_, 
   {{0xd7300071,0x1ab9013c,0x5b3703f2,0x00000000}},	//   _هیتاچی_, _medvedye, _надежду_, --, 
   {{0x08fd0134,0xe35500bd,0x03f400ef,0xc8dd00a8}},	//   _babatund, _cheeper_, _evutha_, _agressiu, 
   {{0xdeaf01e6,0xf2fc015d,0x20cc00f6,0x12e10299}},	//   _nedostan, _flagi_, _böyrək_, _دوۋزاققا_, 
   {{0x66740113,0x327e01da,0x35070062,0xead20163}},	//   _rankousf, _gjeni_, _irnehnal_, _rettenet, 
   {{0x4291004f,0x12ec0230,0x33eb02a4,0x8aaa006d}},	//   _faral_, _ekziste_, _fratri_, _аўторкам_, 
   {{0xb3f404c4,0x527f0382,0xa28501e8,0x78820157}},	//   _vastus_, _akuni_, _archill_, _छात्रसंघ_, 
   {{0x46c503ce,0xa6f20220,0x0e4b024f,0x43f9005b}},	//   _یویست_, _интериор, _sigawale_, _dayuv_, 
   {{0xab760040,0xd3960004,0xc3e4010d,0x3da40462}},	//   _בשומרון_, _dossie_, _melunasi_, _armieswa, 
   {{0x00000000,0x00000000,0x00000000,0x00000000}},	//   --, --, --, --, 
   {{0x99740307,0xfa4d0107,0xe60003d5,0x8291008b}},	//   _asondele, _baadilla_, _bailliui, _jaral_, 
   {{0x739600af,0x58bc0156,0x02a000cb,0xeb330222}},	//   _visste_, _פלעשער_, _бронхҳо_, _spacieus, 
   {{0xd3a203ac,0x12910340,0xba150103,0x0240003b}},	// [940] _hampir_, _parao_, _anochere, _etimweni_, 
   {{0xa4d701ef,0x1a3e01db,0x03a20205,0x00000000}},	//   _канады_, _ءتىرشىلى, _kampir_, --, 
   {{0x3c6b0052,0xc2fc022b,0x4b550121,0x1a080530}},	//   _कुल्ला_, _slagi_, _producen_, _ramazana_, 
   {{0x26b60303,0xf6d40092,0x00000000,0x00000000}},	//   _bolelelw, _あなたもガ_, --, --, 
   {{0x137f00b3,0x6aba03a2,0x32fd003c,0x53a804e6}},	//   _kenarda_, _रिऐलिटी_, _babirus_, _banalang_, 
   {{0x77ed0108,0x00cf01f3,0xd5cb0095,0x00000000}},	//   _babareng, _zaplavil, _dananjay, --, 
   {{0x92ea04b3,0x613101eb,0x934e00e6,0x223f02f3}},	//   _asantit_, _findshel, _请自觉遵守互联网, _fälten_, 
   {{0x281c02e5,0x54ed008d,0x51c800d3,0xd22a0156}},	//   _лонднотә, _холмирза, _विभागबाट_, _הכּתוב_, 
   {{0x76df015e,0x5ff8017d,0xaf3d0193,0x15f0022d}},	//   _اساباعا_, _北海道大学大学院, _निर्माते_, _permetti, 
   {{0x5fed0047,0xfce502ac,0x220000fe,0xadc9001a}},	//   _百度知道投诉吧_, _مظلات_, _ikaii_, _وفروخت_, 
   {{0xc386019f,0xc2bb02ac,0x2b21027f,0x32d900b4}},	//   _abiria_, _ونغمات_, _harasamb, _taxei_, 
   {{0x29de014d,0x7c77023e,0xe291028e,0x85100251}},	//   _vergesse, _saisine_, _garae_, _shirkado_, 
   {{0x83160031,0xb62300af,0x22ed048c,0x65cb0010}},	//   _diobati_, _коваль_, _barratry_, _ithayiph, 
   {{0x225a002f,0xc2e80107,0xb27f02a6,0x5906047b}},	//   _killa_, _kaliyan_, _scendi_, _kropslig, 
   {{0x6079011d,0x42c70019,0x10fc0255,0x7291018f}},	//   _промулга, _дистантт, _नछावर_, _qarad_, 
   {{0x647f023d,0xc62600a4,0x026d0018,0x401400c1}},	//   _progetto_, _بالالۇۇ_, _ikaono_, _चळवळीत_, 
   {{0xb2910201,0xf1330145,0x141800ba,0x7ad201d2}},	// [950] _garab_, _vakarėli, _شۆڤینیست, _ejemplon_, 
   {{0x00000000,0x00000000,0x00000000,0x00000000}},	//   --, --, --, --, 
   {{0xd25a017c,0xad7b036e,0x52910396,0x213101eb}},	//   _gilla_, _alimanya, _azzar_, _bindshel, 
   {{0xc640022b,0x00000000,0x00000000,0x00000000}},	//   _fiskinum_, --, --, --, 
   {{0xc4300055,0x26e300dd,0xe25a03db,0x927e016b}},	//   _endémiqu, _barchedi, _endlu_, _ayinka_, 
   {{0x82910163,0x7b19028d,0x20680261,0xddee0153}},	//   _darab_, _lafarinn_, _aerarmeo, _みんなの感想_, 
   {{0x22990013,0x8e4d0040,0x2c7a0274,0x8e1300d1}},	//   _خاندانین, _אינטל_, _ögmundur_, _ছাত্ৰজনক_, 
   {{0x225a00f3,0xa25a01d4,0xad0d01c7,0xdd3d01db}},	//   _indlu_, _dilla_, _какасыны_, _сайлайды_, 
   {{0x64230164,0xfa8e0286,0xf20600c7,0xe35e02e2}},	//   _ﺋﻪﺩﻩﺑﯩﻴﺎ, _omansies, _сатылса_, _bungled_, 
   {{0x4bca006f,0xc25a0008,0x25bc0210,0xdf640344}},	//   _مراقبي_, _filla_, _achadonh, _allaniin, 
   {{0xe38600c3,0x42c60020,0x5d11012a,0xdc4a032d}},	//   _amoris_, _asalele_, _teoretyc, _азатлығы_, 
   {{0x6291004f,0xe7300061,0xf27f0172,0x124600db}},	//   _barab_, _남자친구가_, _okunu_, _छोडले_, 
   {{0xa29204e6,0x152902a2,0x729101c5,0x522a008d}},	//   _mataas_, _nabigasy, _carab_, _зотан_, 
   {{0x125a02ee,0x6aba00c5,0xa2910152,0xed850061}},	//   _billi_, _双色球霸主_, _sarae_, _카테고리에_, 
   {{0x93800165,0x757b03ef,0x72910298,0x4904020f}},	//   _laurai_, _amatungo_, _parae_, _انګولا_, 
   {{0x17d60022,0xadc20071,0xc38601df,0xd33d0291}},	//   _некролог_, _wikifika, _coorts_, _لتدريب_, 
   {{0x7aef0329,0xbedd02eb,0x5fc40053,0x00000000}},	// [960] _enformen_, _нямбай_, _करमचंद_, --, 
   {{0xa0750079,0x12d80321,0x40f80022,0x2be30192}},	//   _inventār, _rumeno_, _трамвайҙ, _wederpar, 
   {{0x3c5b02c1,0xfc8a0195,0x1ee7040f,0x277b0322}},	//   _bakunze_, _bhictòri, _дарагой_, _amavangi, 
   {{0x027f028d,0x7d4d0205,0xe2fb044a,0x52fc0422}},	//   _thanen_, _баравари_, _kishasa_, _vlago_, 
   {{0x82000531,0xd3790246,0x32240134,0x437900ff}},	//   _thaiv_, _palazzo_, _awoku_, _arbaron_, 
   {{0x34ac0386,0x927f033a,0xd0470076,0x85780037}},	//   _kebanyak, _ikunu_, _законот_, _የተጋነነ_, 
   {{0x225a014b,0x8a970532,0xd3f9005b,0x9af9017e}},	//   _cilli_, _količinu_, _mayuri_, _kreskant, 
   {{0x5f3b00fb,0xc3f801e1,0x6bfa00d9,0x338003eb}},	//   _bangazen, _borutehi_, _лицензио, _korrel_, 
   {{0x82e5031d,0x8622023a,0x5b2e00ad,0xcc6203bd}},	//   _impunity_, _darovani, _bagbagan_, _kaputan_, 
   {{0x83cf0249,0x93860067,0x21470060,0x00000000}},	//   _ataveu_, _medrek_, _шариғат_, --, 
   {{0xb2c2019d,0xce900148,0x37af018d,0xb52f03f8}},	//   _adaluma_, _法人團購更多優惠_, _ሰብአይን_, _nitivmoh, 
   {{0x429100d2,0x262301d7,0xda080156,0xa5850130}},	//   _parab_, _taylorsw, _געװיסע_, _difrouez, 
   {{0x52910201,0x312d00b4,0xea3a002b,0x6b02011a}},	//   _qarab_, _парте_, _সিদ্ধিরগ, _clarifie, 
   {{0xdc950213,0x364c0113,0xdd980299,0x00000000}},	//   _квалифиц, _theileaf, _سۈركەپ_, --, 
   {{0xd4870287,0xb851005e,0xc2b604b9,0x08e90022}},	//   _रेखाको_, _ﻳﺎﭘﻮﻧﯩﻴﻪ_, _doucer_, _газетаһы, 
   {{0x026d0010,0x2d2d0016,0x00000000,0x00000000}},	//   _bavote_, _aranĝita_, --, --, 
   {{0x6c6d0478,0x2e660097,0x8e4a00c8,0x82fe0148}},	// [970] _teorica_, _gẹṣin_, _itlamile_, _maritus_, 
   {{0xf7af03b0,0x539402d4,0x1ec502d0,0x4a16042a}},	//   _rettleii, _glisch_, _haunders_, _ingabeka_, 
   {{0x92d80194,0x98c601b2,0x9fbc028b,0x5e450029}},	//   _astonat_, _antemund, _спорттә_, _مێدیای_, 
   {{0x5d2d02ac,0x8ac70302,0x19c10105,0xa0b1020a}},	//   _leanacht_, _такзиб_, _teleadre, _амандасы, 
   {{0x926c00a7,0x425a01c5,0xdf330061,0xd06d0040}},	//   _alhora_, _cidlo_, _무엇인가를_, _וסלבס_, 
   {{0x19e401f6,0xb31802c4,0x00000000,0x00000000}},	//   _শিক্ষাৰ্, _западнит, --, --, 
   {{0xf283011d,0x3fc20163,0x4b250064,0xf47301b7}},	//   _romaniei_, _ڈائون_, _сурады_, _अमुना_, 
   {{0x520002fd,0x2d0e03ef,0xbf660178,0x00000000}},	//   _chait_, _bafungur, _durbalen, --, 
   {{0x45ba0037,0xa62201ff,0xd2840109,0x6c2d03c2}},	//   _አንድምታ_, _varovani, _alergiky_, _beanachd_, 
   {{0x82100041,0x3abd0094,0x63140156,0x00000000}},	//   _рдиаспор, _سيىمدىلى, _מאָושע_, --, 
   {{0xe291021f,0x82d801d7,0xca160315,0x620004b8}},	//   _karaa_, _schef_, _angabeka_, _thait_, 
   {{0xd2d90338,0x7a5d0369,0x33f9005b,0xb2ef001f}},	//   _tipes_, _hamepuka_, _sayuri_, _woniema_, 
   {{0x861903f2,0x00000000,0x00000000,0x00000000}},	//   _нападающ, --, --, --, 
   {{0xc20004d3,0x2d62020f,0xb999004d,0xd3f400cd}},	//   _khais_, _محرميت_, _水質代驗收費服務_, _cartiu_, 
   {{0xa3160397,0xa131005b,0xfb3201e1,0xa668017a}},	//   _imizwa_, _meddelel, _кескәйҙә, _барангех, 
   {{0x726f006c,0xa291001b,0x120104cc,0x1b2a02af}},	//   _eziningi_, _garaa_, _liyiz_, _akabirab, 
   {{0x3f6c00a7,0x2e4800a9,0xfce101b5,0xd5b90094}},	// [980] _paraules_, _bakababa, _entwanar, _карзайды, 
   {{0x92eb0533,0x0e6401da,0xf273045f,0xa06300d9}},	//   _muintir_, _procesit_, _hänga_, _половой_, 
   {{0x425a0219,0x3e4601ef,0x89c500c7,0xd9e20107}},	//   _sidlo_, _kataloga, _кулдан_, _واگير_, 
   {{0xd2910015,0xe3640288,0xf25a03f8,0xdb6704b3}},	//   _jaraa_, _rangaen_, _dillu_, _boulouar, 
   {{0xe20e01cd,0x6c76012c,0x2aa7028b,0x00000000}},	//   _шараф_, _mbaroni_, _далагт_, --, 
   {{0xf3440129,0x520001d8,0x8e5f00c8,0x1027008e}},	//   _dabeere_, _shait_, _конкурсҡ, _bindewoo, 
   {{0x9911027b,0xcf8e0092,0x626d01da,0xdccc013c}},	//   _स्वरार्थ, _ドランキング_, _javore_, _nöqtə_, 
   {{0x3a490049,0xb25a0534,0xc24804f2,0xf2e9008d}},	//   _puleanga_, _daklak_, _phomai_, _tadigan_, 
   {{0x81400169,0x3dbb017f,0xae500166,0x35ef012e}},	//   _মালিকানা_, _akmissaa, _leuchtet_, _merevedé, 
   {{0xc1ca0247,0x73860535,0x67da0208,0xddd20147}},	//   _مراقبت_, _mmere_, _سعودیا_, _جۅتكۅپ_, 
   {{0x62d90466,0x27f80037,0x2372003a,0x00000000}},	//   _stanove_, _ደጋግመን_, _osilsang_, --, 
   {{0xdfbd0164,0x320004bb,0x80ca009b,0x938602ab}},	//   _جەريانىد, _rhais_, _сорви_, _omere_, 
   {{0x930501e0,0x2107009a,0x6e4e0125,0x626d0009}},	//   _خوتان_, _ngokumal, _даргашып_, _zavore_, 
   {{0x8303036d,0x673604dc,0x3395021c,0x4aa1005b}},	//   _malairt_, _بالنده_, _plasty_, _beskeden_, 
   {{0x446602f1,0xcd9d005f,0x302c0364,0x9abb0188}},	//   _novembro_, _guanajua, _nordbank_, _akukabos, 
   {{0xe2cb0536,0x4b270163,0xfeb802d5,0x00000000}},	//   _ccedil_, _kápolna_, _fototehn, --, 
   {{0x928600a2,0x42560185,0xf0710537,0x93b10242}},	// [990] _mabalozi_, _cimerelm, _levaremo, _basqa_, 
   {{0x2db60036,0x246d03d9,0xd25a014b,0xcb660133}},	//   _cuirimid_, _tandremo_, _billu_, _baruumsa_, 
   {{0xf3860129,0x734200c3,0xc2fe0073,0x82e801c0}},	//   _emere_, _ingenio_, _fusiles_, _dalilan_, 
   {{0x274d00de,0x492302ac,0x2aa4034b,0x823002fe}},	//   _abanoluv, _لاتفوتكم_, _obligeis, _amemeza_, 
   {{0x156e0156,0x1f2003d1,0x93d70046,0x20c10538}},	//   _מומביי_, _pavedien, _سۉيگانوش, _celledel, 
   {{0x7aad0036,0x33860200,0x5200000a,0xf7790299}},	//   _حزيران_, _imere_, _akait_, _دوستوم_, 
   {{0x29c301e0,0xc27302f3,0x82c9022a,0x33a901ac}},	//   _کاربه_, _hända_, _notodob_, _ازهار_, 
   {{0x027e015c,0x547900be,0x823203e6,0xf3a304be}},	//   _stonne_, _програмд, _ausmaan_, _ihapak_, 
   {{0xebb201cb,0x525a00bd,0xa7c003be,0x147c0156}},	//   _omthetho_, _killt_, _bakubisw, _פּושינג_, 
   {{0xfcd90199,0x8e2b0113,0xb8360539,0xb0aa02d3}},	//   _alivethr, _chigirea, _sølvmeda, _навивачк, 
   {{0x71460357,0x0ad30192,0x5c770065,0x63eb0220}},	//   _clarksto, _opstarte, _riesige_, _eletto_, 
   {{0xbf24053a,0x4846037b,0x00000000,0x00000000}},	//   _višak_, _frutales_, --, --, 
   {{0xe290011f,0x52c5023e,0x52b502a6,0x0d1c0060}},	//   _nekane_, _vegetasi_, _greche_, _өлсем_, 
   {{0xb2040240,0x328f0171,0xce7e0076,0x77110109}},	//   _basikeli_, _najpovol, _спринтер, _हँुदै_, 
   {{0xa2d90062,0x9a9900d1,0x18fb037f,0x8ece0223}},	//   _dipep_, _কালছোৱাত_, _vahabzad, _задарсан_, 
   {{0x23ea006f,0x39d702c9,0xd17f023e,0x12ea036e}},	//   _uzito_, _horoscop_, _خسارات_, _antiman_, 
   {{0xb7e300b5,0x846e0092,0x883f0037,0xcae700df}},	// [9a0] _алорд_, _ランキングを詳し, _ተቀብሏል_, _embrasse, 
   {{0x2e000179,0xbc2d011a,0xf5c00378,0x325a0115}},	//   _wereldta, _imbalanc, _blokknið, _taklik_, 
   {{0xc2d401ec,0x8afe0288,0x634a02fb,0x6ee5004d}},	//   _kardus_, _ausgiess, _angefau_, _觀看報紙版_, 
   {{0xfbc403dd,0xa01701b3,0xe8a301db,0xf45e0350}},	//   _kancerin_, _районне_, _سەكۋند_, _መዛሙርትህ_, 
   {{0x227f036e,0xa35b0103,0x34a80060,0x5487019b}},	//   _chanin_, _azogara_, _قارامايل, _keturkoj, 
   {{0x4e2802ac,0x63690331,0xd6ba02d9,0x5f2e01d2}},	//   _لبوابة_, _fregnir_, _overstay, _indexmun, 
   {{0xd332015e,0xb2940274,0xd3ea028d,0x6b57019b}},	//   _baixos_, _frekari_, _ciltra_, _базару_, 
   {{0xd355053b,0x1a0901a3,0xdf4200d6,0x1c43037c}},	//   _confira_, _اڪابر_, _barracha, _barbaric, 
   {{0x72e80140,0xa0120092,0x637b006a,0x1d8000ee}},	//   _maliban_, _タイで見る_, _hataoko_, _normalea, 
   {{0xa3f90467,0xf3170064,0xb2cb0035,0x9c5d0251}},	//   _fufuro_, _carboni_, _baedı_, _tartamo_, 
   {{0xa4d40139,0x1b750193,0x349d0039,0xcb620162}},	//   _विविधा_, _कार्पोरे, _berariaz, _шериклиш, 
   {{0x648400ac,0x2e5700b4,0x43ea01a4,0x6acc004d}},	//   _pokušajt, _concerte_, _ezate_, _異議受理單位_, 
   {{0x052702ba,0xddb602c6,0x22ef044a,0x39f8019a}},	//   _валенса_, _andifeda, _boniama_, _forgethe, 
   {{0x8d8504df,0x26230008,0x5d490235,0xb2fe009d}},	//   _adamdana, _создор_, _bandheṣu_, _habitur_, 
   {{0xc37b006a,0x8fc000ce,0x03c70089,0xe9ab01ef}},	//   _nataoko_, _lakomino, _мухаметш, _апаненты_, 
   {{0xa1570277,0xe7860102,0xa2e000d6,0x02da03dd}},	//   _sourcebo, _باشندن_, _domnall_, _evropes_, 
   {{0xd51700f5,0x939500ce,0xea0800d5,0xe2e8001e}},	// [9b0] _сайлады_, _berso_, _manatona_, _daliban_, 
   {{0x5408029e,0x6c35003d,0x00000000,0x00000000}},	//   _chauffin_, _bipartic, --, --, 
   {{0x45d600d6,0x022b03ea,0xad7f0348,0x8d050209}},	//   _forbarth, _chambre_, _akimanye_, _attuisar, 
   {{0x7854018d,0xfa08006a,0xf2d80342,0x6c0104df}},	//   _ሃልሃልታ_, _nanatona_, _echek_, _bergidar, 
   {{0xad890098,0x8ef101a3,0x23400371,0xfc63016a}},	//   _rimelige_, _نگاھون_, _modella_, _beaupol_, 
   {{0xb1f200fd,0x00000000,0x00000000,0x00000000}},	//   _breabadh_, --, --, --, 
   {{0x9052013b,0x33f90367,0xdeb1004b,0xac330222}},	//   _podravin, _daqui_, _difumane_, _descendr, 
   {{0x932b0497,0x195c01b2,0x820e0039,0xc4280061}},	//   _chicory_, _impounde, _тахал_, _필수적이다_, 
   {{0x008c01d5,0xf2d80465,0x3c93026f,0xe30100cf}},	//   _بیہقی_, _spleta_, _تاڭات_, _bayanii_, 
   {{0xc0d101eb,0x13d30061,0xeb67026e,0x42c70101}},	//   _асамбои_, _기획예산과_, _जोडने_, _hoteluri_, 
   {{0x726e0198,0x37e20061,0x48470374,0x00000000}},	//   _lepota_, _헌법재판관_, _манави_, --, 
   {{0xd7920220,0x00f80168,0x2396004c,0x5f3a0171}},	//   _интересу, _samhandl, _amussa_, _posumnja, 
   {{0xed85052e,0x63dd007f,0x7c8002b6,0xd4650066}},	//   _sinecure_, _chawod_, _кесер_, _landutak, 
   {{0x0a6d04ad,0x9a08006a,0x9ff900b7,0x4332015e}},	//   _boporaeb, _hanatona_, _җайындак, _caixes_, 
   {{0xd9d80094,0xb15102ec,0x83900062,0x77e90076}},	//   _алдарасп, _yeelatay_, _chuydah_, _валандов, 
   {{0x462c00ee,0xf0f000b3,0xa263004a,0xf429003b}},	//   _египетэд_, _ahtimall, _izraildä_, _kukhonek, 
   {{0x5344053c,0xab220321,0xc3f002d8,0x727f0127}},	// [9c0] _ourense_, _ljubezen_, _konsumsi_, _ahanon_, 
   {{0x127f019d,0x2758012a,0x5c510290,0x00000000}},	//   _nyanja_, _मुद्दों_, _apoteca_, --, 
   {{0xbc7f02af,0xbc73001d,0x200202ac,0x945c0040}},	//   _akamanyu_, _guarras_, _إستراتيج, _ולהמשיך_, 
   {{0x322b0387,0xa2b5001d,0x727e01da,0x5a760078}},	//   _akamere_, _gesco_, _pronat_, _сегменту_, 
   {{0x0c6f0217,0x3332015e,0x82d80304,0x210c016e}},	//   _pharaon_, _baixes_, _acheh_, _anahtarl, 
   {{0x6fe70411,0x966703bf,0xce4a0216,0x1e6b00e6}},	//   _utfyllen, _ҡадиров_, _lulamile_, _依法从重处罚_, 
   {{0x3cfa0133,0xc2e80151,0x26c00262,0x864200a1}},	//   _akkeesuu_, _aalican_, _aýyplaýa, _pakipaki, 
   {{0xdc6903f5,0xd2b80092,0x5fec00de,0x724803ec}},	//   _dourado_, _参議院議員_, _awayefan, _kulmin_, 
   {{0xa889053d,0x627e0090,0x2c88013c,0x926d01ac}},	//   _abakwand, _aronge_, _bildiklə, _rindreái, 
   {{0xa3a302c3,0x727e01e7,0xdef30350,0x2c580299}},	//   _prepis_, _bronge_, _ታዛቢዎችና_, _ساداقىتى, 
   {{0x622400ec,0xa3f60265,0xf2240464,0x4fe90053}},	//   _etikos_, _vanzelf_, _ntoke_, _मेगावॉट_, 
   {{0x874c0220,0xd5f204e5,0x43950116,0x6f110147}},	//   _растения_, _agumansi, _gerse_, _كۉلجىگىت_, 
   {{0x564c029f,0x5d8702a9,0xd9f6029b,0xe60300b9}},	//   _psycholó, _мармур_, _bouño_, _ngeluari, 
   {{0x00c10156,0xc25a00fd,0xbe290019,0x0908013b}},	//   _לאביונים_, _bidli_, _байларыб, _pamakabu, 
   {{0xf39500c7,0x6df40302,0xac7f0321,0x293c002b}},	//   _berse_, _экунумис, _prostem_, _নিবেদিতপ, 
   {{0x62fd0218,0xf37f0528,0xe7090008,0x5c090326}},	//   _ivengay_, _chiadna_, _сеники_, _chipepa_, 
   {{0xc355023b,0x034100ec,0xd76f053e,0x00000000}},	// [9d0] _raifela_, _sviesto_, _tolvårin, --, 
   {{0xe34c034b,0x72da025c,0x00000000,0x00000000}},	//   _auteuil_, _eltern_, --, --, 
   {{0xa2000369,0x139501c2,0x0ec400c4,0x4201021f}},	//   _akaii_, _terse_, _wanyarwa, _fayiliii_, 
   {{0xa29100c7,0x214e00f7,0xd936011a,0x7e920161}},	//   _azrak_, _anatomio, _וסאטירה_, _постель_, 
   {{0xf4890095,0x725a01bb,0x33bb00d7,0x72da0362}},	//   _روزانه_, _hilli_, _росстатт, _napesi_, 
   {{0x4af70262,0xc95e043f,0x17550376,0x0c3a0365}},	//   _машкың_, _poznajet, _farstøði, _पुरयाउन_, 
   {{0x93f40331,0x052d005e,0x9302026a,0x43860192}},	//   _stutta_, _ﺋﺎﺩﺩﻯ_, _mamarau_, _koorts_, 
   {{0x8af4007e,0xdf33053f,0x7f2e020a,0x1f330156}},	//   _श्रीलक्ष, _tukstata, _қиялы_, _ראָשי_, 
   {{0x70dd00bb,0xc41c01ef,0xb2a6002a,0x2b84006a}},	//   _عیاری_, _meninink, _obobdo_, _afangaro_, 
   {{0x79e3033a,0x98e70052,0xd2da0290,0xbae30147}},	//   _dedikata_, _zásobová, _capeti_, _كۅدۅۅسۉ_, 
   {{0xb2ef0540,0x11640287,0x9cd20061,0xc2640541}},	//   _þeirra_, _poloviny_, _누군가에게_, _polovini_, 
   {{0xa2d90031,0x629002c6,0x3d2900e1,0x44220066}},	//   _dapet_, _bekabe_, _doonadee_, _haratago_, 
   {{0x2a8e001b,0xd94e014b,0xf25a0294,0xeff90350}},	//   _amantiin_, _kiilomit, _huttayll, _ያስብላል_, 
   {{0x40070162,0x03950180,0x5fd303f0,0xe6ab0184}},	//   _دىلىمدىن_, _serse_, _aukakrón, _nkurirah, 
   {{0x7f250455,0x4a0502a4,0xf25a00ec,0x02d90270}},	//   _utiliser_, _butalbit, _арыгінал, _planate_, 
   {{0x2bc90147,0xbaa801bd,0x82c602d8,0xff24022f}},	//   _грузияда, _кредитті, _bereaksi_, _nyderlan, 
   {{0x6270004f,0xe2d901f1,0x51f3008b,0x575c0308}},	// [9e0] _benneeli_, _hapet_, _dinañuy_, _keliling, 
   {{0x425b0062,0x5e710052,0x6f48014b,0xef20025e}},	//   _botlu_, _कमन्स_, _maksaana, _birtinga, 
   {{0x02d901b7,0xfee3010d,0x522c02fe,0x8d8102a4}},	//   _japet_, _दाक्षिणा, _فیصلی_, _referunt_, 
   {{0xeaac004b,0x02f301d8,0xf5c70381,0x1f4201ad}},	//   _быков_, _kumapati_, _ailandth, _fabricia, 
   {{0x427f0184,0xc83202ac,0xb42901f0,0xa2d2034e}},	//   _ayanka_, _شاطىء_, _kabalano_, _imatatah_, 
   {{0xdb74051c,0x49c000f8,0x00000000,0x00000000}},	//   _manshuwa_, _শেরেবাংল, --, --, 
   {{0xd2b00542,0x928a0163,0x52eb027a,0xc2da0239}},	//   _कुरुप_, _grafikák, _citirao_, _rapeti_, 
   {{0x06150020,0x05350342,0x30fb0010,0x4b0902c3}},	//   _apologai, _aktyaliz, _baphekel, _vulgárne_, 
   {{0xfaf2024b,0xb4f900ba,0x61c70425,0x0302028f}},	//   _presupue, _پرۆپاگه_, _کارتۆن_, _tamarau_, 
   {{0xd7620388,0x18340543,0x13780415,0x0f63014f}},	//   _става_, _клаудио_, _monaten_, _персијск, 
   {{0x8a740135,0xe2e200a7,0x042204f9,0xdb590205}},	//   _элитасы_, _энергоба, _annikikk, _миссияси, 
   {{0x42d8019a,0xaf280187,0xd2e10450,0x43f900b9}},	//   _saloons_, _impressa, _feinsum_, _gayus_, 
   {{0x92b503a1,0x913601e0,0x22ea00ec,0x00000000}},	//   _pesce_, _بریقه_, _grindis_, --, 
   {{0xe752019c,0x72d40098,0xeddf0193,0x58cb0311}},	//   _adanilag, _husdyr_, _berjabat_, _ዝተሳዕረ_, 
   {{0x2d4a01b6,0x49de0169,0xdb0b014e,0x031100ec}},	//   _لسانك_, _সুকুমার_, _стални_, _debesų_, 
   {{0x02d9038d,0xd3870465,0xc9570041,0x7a93027b}},	//   _rapel_, _pogreb_, _туаҧсе_, _गोपीजनवल, 
   {{0xa0590140,0xeaed0264,0x13f90115,0x72f200d9}},	// [9f0] _diksiyon, _wolfrats, _dayus_, _энергосб, 
   {{0x20860148,0x02da01ab,0xd66702cf,0x8f0e0095}},	//   _金管證四字第_, _tänava_, _трикови_, _adityawa, 
   {{0x227f0288,0x06820179,0xf2900274,0x00000000}},	//   _ekanen_, _nerekosi, _rekast_, --, 
   {{0x025a02e7,0xe119026f,0x24400018,0xa2ea00d5}},	//   _bellow_, _ءنۇسىپحا, _itikotik, _didinao_, 
   {{0xe3a90066,0xd5b30148,0x227e00d9,0x91b803a4}},	//   _онигоо_, _regionem_, _tuonne_, _elkervið_, 
   {{0x9e74003a,0x23f40274,0x6343035b,0x617700da}},	//   _чемпионл, _ingibjör, _telesom_, _finantel, 
   {{0x527e0544,0x853a0226,0x32eb02fd,0x43ea015a}},	//   _edena_, _akanasiy, _braisil_, _asitti_, 
   {{0xb9f300d0,0xc2fc01e1,0x12fc004d,0xf18803b0}},	//   _prestatu, _boigu_, _水瓶月座的人_, _alvanutl, 
   {{0x24a80024,0xa87b0213,0x50dd0374,0x47e501b7}},	//   _মুদ্ৰকৰ_, _ытларах_, _depozitl, _cetasaiv, 
   {{0xfc3500d2,0x98f10065,0x00000000,0x00000000}},	//   _ngabubur, _versteig, --, --, 
   {{0x43950247,0x741703ad,0x527e0101,0x00000000}},	//   _kersa_, _barranin_, _lemne_, --, 
   {{0x79650194,0x56a5009a,0x5807011a,0x00000000}},	//   _notorime, _bentsaph, _שתגיע_, --, 
   {{0x8f9e00bc,0xb0370227,0x23170067,0xcc0e00ec}},	//   _محسوب_, _semenjak_, _darbani_, _nepagrįs, 
   {{0xe2d9043a,0x52d401c5,0x00000000,0x00000000}},	//   _taxet_, _gogosha_, --, --, 
   {{0x13780515,0x9e7203aa,0x9c39048c,0xb9dd01c4}},	//   _novanta_, _वाह्य_, _asschaar, _forensie, 
   {{0x2200008b,0x98c50034,0x7b060435,0x00000000}},	//   _ajiin_, _afgerand, _картица_, --, 
   {{0x029101ac,0x97b90261,0x60450159,0x92790031}},	// [a00] _cheana_, _altfrekv, _skersmen, _bergelim, 
   {{0xd27e001b,0x6ad50288,0x00000000,0x00000000}},	//   _demne_, _erstarre, --, --, 
   {{0x2ed603b9,0xb3950013,0x4a7c0126,0x96030161}},	//   _camillun, _bersa_, _принципі_, _логином_, 
   {{0x86a503f8,0xd30102fe,0x652b0135,0x00000000}},	//   _datuqtah, _eerandi_, _kaderlär, --, 
   {{0x9386012f,0x84e6016d,0x6c6201b2,0x41fa0322}},	//   _emero_, _урушқа_, _antraie_, _aranshim, 
   {{0xdc8202d5,0xb9ce004d,0x042200be,0x00000000}},	//   _perekond_, _國三生身高_, _قامپا_, --, 
   {{0x638101f0,0xcf530156,0xcf4b0545,0x82da00d9}},	//   _enayang_, _סטארי_, _artsrike_, _paperi_, 
   {{0x03ea00b2,0xf76d00be,0x839500b6,0xb22b009a}},	//   _asitt_, _апалар_, _gersi_, _azimase_, 
   {{0xda0a0224,0x429002a2,0x09c700d7,0xbf2e0166}},	//   _persónul, _binago_, _маташа_, _anmerkun, 
   {{0x727e019a,0xe1630013,0x62fe033c,0x3cba0037}},	//   _manned_, _мушук_, _bargod_, _ሳይንሶች_, 
   {{0x63ea03b4,0xceaf02e2,0x8f570188,0xff360205}},	//   _tsitsi_, _adultrin, _ahlangen, _шахсдан_, 
   {{0x9d1d0152,0x7c0c0080,0xde690256,0xb3950304}},	//   _igelekle_, _alaskap_, _modificē, _jersi_, 
   {{0x92120211,0x3ee7008d,0x53950138,0x1c4401d7}},	//   _vanha_, _саратон_, _dersi_, _carvers_, 
   {{0x37a703b9,0x184c00b4,0xfb7d00bb,0x186d0010}},	//   _mistsupx, _контрази, _مؤرخہ_, _belibhod, 
   {{0x721200bc,0x8f4102c5,0x3be7026f,0xe3660042}},	//   _tanha_, _akarisha, _қисаюуы_, _chegado_, 
   {{0x0b670546,0xccc3019e,0xae00022f,0x00000000}},	//   _आगजनी_, _šokolado_, _surengta, --, 
   {{0x56b50044,0xb7b502a3,0x33570185,0xd9f80157}},	// [a10] _saturday, _saterdag, _cimerep_, _kamienna_, 
   {{0xa2bf0122,0x430300d6,0x46fb0205,0x229201f5}},	//   _سمنان_, _raidió_, _строкой_, _sesaat_, 
   {{0xe3010075,0x959b00c5,0x323e0127,0x1d6b0041}},	//   _verandi_, _胡锦涛强调_, _arameek_, _ихәҭоу_, 
   {{0x4e36030c,0x027e0116,0x23f40415,0xca340046}},	//   _kalallua, _fanned_, _leuten_, _قىيباعان, 
   {{0x34480128,0x0b0c02c2,0x5d6000e6,0xb9700259}},	//   _کوملگن_, _klaskame, _出入境管理局_, _fornemst, 
   {{0x030700e4,0x328b019f,0x125b02c3,0x2ac700c1}},	//   _nibandh_, _kujadili_, _kotly_, _टोणपे_, 
   {{0x52500444,0x6d0d03ce,0x0c460362,0x5817020a}},	//   _левая_, _سزادان_, _esepelis, _سىيونيزم_, 
   {{0x5396046d,0x97ba0285,0x90ed000e,0xa33c01a3}},	//   _aluswa_, _hakuriki, _christal, _ريمارڪس_, 
   {{0xae48046d,0x7e4e002b,0x10b5012b,0x23ea00ea}},	//   _makahane_, _হায়দার_, _premiery_, _izato_, 
   {{0xc93504ab,0x73ac0547,0xcae4019b,0x53570053}},	//   _primjera_, _chupar_, _kreipęsi, _आपुले_, 
   {{0xbc640095,0xa3f40065,0x00000000,0x00000000}},	//   _diculke_, _deuten_, --, --, 
   {{0xabff0225,0xf0fb02b4,0x93950015,0x52010087}},	//   _austreib, _baphakel, _xersi_, _layini_, 
   {{0xeb91024b,0xb25b03b0,0x18480061,0x35aa0211}},	//   _duración_, _litle_, _바르셀로나_, _спасения_, 
   {{0x53f8049a,0x72cb0139,0xee96014a,0x905703c6}},	//   _pljuje_, _adadat_, _پرغور_, _longerho, 
   {{0xa10b00c5,0x62d902fb,0x42910155,0x53950138}},	//   _座落于胜利油田发, _kapei_, _hyran_, _tersi_, 
   {{0xac61027b,0xa9f70314,0xb25a048c,0x2e0d01a3}},	//   _acirād_, _менњн_, _aillt_, _سُهڻا_, 
   {{0x5ebb02e6,0xf5e500e6,0x1df80177,0x3b060059}},	// [a20] _overveje_, _邮箱大奖等你拿_, _лыцәгьар, _частици_, 
   {{0xf4910139,0x7ebf00bc,0xbd7a036c,0x8aff006c}},	//   _दम्मी_, _جومونگ_, _tsimbaza, _abashiye, 
   {{0x4fd50287,0x49c503fe,0x5f07007e,0x6af8006c}},	//   _पारिएको_, _гулдан_, _damayatā, _azishint, 
   {{0xa6080177,0xcd9c02f7,0xcec6034c,0xb2fc00ea}},	//   _аиустици, _berekile_, _фактик_, _blagy_, 
   {{0x025a005b,0x8db80381,0x79e601b0,0x00000000}},	//   _gills_, _ankingba, _carogena_, --, 
   {{0x2a060334,0x64c90078,0xf7ee03ef,0x00000000}},	//   _ankatsut, _догодила_, _barareng, --, 
   {{0xd18d0444,0x4dbd015a,0x1d350029,0x8c02008c}},	//   _писатель_, _afriikaa, _پۆڵیڤیا_, _caussas_, 
   {{0x363700bc,0x46080503,0xc1840145,0xb7ba01dd}},	//   _khoshgel_, _formidli, _няхай_, _zakuriki, 
   {{0x37ba0440,0xae2e0040,0xc9c8035e,0xd2b50220}},	//   _bakuriki, _חוששים_, _potvrdju, _pesci_, 
   {{0xa2240264,0xc250021b,0xea920210,0xa25b0138}},	//   _trikes_, _делал_, _ananiyas, _kitle_, 
   {{0xb2fc01ad,0xf2d80177,0x8ab0020f,0x3c730189}},	//   _enage_, _проекҭқә, _فلوریډا_, _türkan_, 
   {{0xe2fe007f,0x27430092,0x820a00af,0x587400d6}},	//   _targed_, _クに登録されてい, _симоненк, _indibhid, 
   {{0xf27f0377,0xf20101b5,0x8c640017,0xf386028f}},	//   _ajuns_, _fayini_, _libuše_, _umere_, 
   {{0x6b2c00e9,0x8e3d00be,0xdc1b02cd,0xc22400fe}},	//   _devalyas, _долларла, _aljannar, _kuoke_, 
   {{0xd3860206,0xa471007a,0xc99600c6,0x273000d6}},	//   _smere_, _rentetan_, _brukerst, _fhisiciú, 
   {{0x12df015e,0xb25a0044,0xae5301c5,0xbcbc0064}},	//   _europeu_, _bills_, _qafaasha, _апасын_, 
   {{0xa7ba0440,0x285600c4,0x6947026b,0x0a010043}},	// [a30] _yakuriki, _سنڌڙيءَ_, _cremalle, _bebafuga_, 
   {{0xf3ea01d9,0x89e600dc,0xced60078,0x25150322}},	//   _fritzi_, _fiatauau, _идола_, _ataricyo_, 
   {{0x32fc01b8,0x1498042a,0x3dce01de,0x6ed8019d}},	//   _liige_, _banganik, _жирен_, _kunyumba, 
   {{0xd25a01d3,0xdb0c0125,0xa2020265,0x87ba01dd}},	//   _tills_, _бурны_, _opties_, _wakuriki, 
   {{0xc8270060,0x3c6e0365,0x29b503dc,0x9ed400ec}},	//   _قاراشا_, _refrén_, _fundarpe, _kelionin, 
   {{0x2d6f0147,0x5af50271,0xfea402e2,0xeaf4029e}},	//   _ئحسان_, _overnatt, _ableness_, _atersade, 
   {{0xb3a90404,0x0dbe02f6,0x625a003f,0x71760139}},	//   _magatong_, _katipuna, _jedlaw_, _प्रयतात्, 
   {{0xa2900285,0x1224007b,0xc8e5002b,0x00000000}},	//   _bukavu_, _daiker_, _শিক্ষামূ, --, 
   {{0x937c00f9,0x32ee0220,0x161000c1,0xb86800b7}},	//   _yatanze_, _tecnici_, _वेलदोड्य, _berilmed, 
   {{0xad5a019e,0xc2a30270,0xc1a0004d,0xd1f70077}},	//   _штатам_, _precisem, _加入行事曆_, _enjistem, 
   {{0x8dd9034f,0xa8ce00c3,0x7eb8033f,0x02240181}},	//   _دتخار_, _perfectu, _kolokein, _etoko_, 
   {{0xde69018b,0xb291002f,0xc98704d7,0x52010087}},	//   _modifică, _bifaro_, _útiloka_, _nayili_, 
   {{0x8a080282,0xf4ee0097,0x4344044d,0xa7390062}},	//   _akiakina_, _hìnkùlé_, _gindiku_, _netlhlog, 
   {{0x696a0003,0x0d9703f2,0xce3600d2,0x7c1e0311}},	//   _advisere, _listattu_, _dihaleua, _መንግስተይ_, 
   {{0xe3ea000b,0xf5f30548,0xf2fd0151,0x8db50381}},	//   _aitulagi_, _krumspri, _beagli_, _egendsla, 
   {{0xbec40096,0x22fd0211,0x8fae002b,0x9d0a02ca}},	//   _banyarwa, _reagoi_, _অযৌক্তিক_, _diallait_, 
   {{0x32d801eb,0x03f40030,0x3395022e,0xef21004b}},	// [a40] _blanked_, _kastes_, _versu_, _bosehlen, 
   {{0x55be013c,0x42d8019a,0x81b301ac,0x8c65018a}},	//   _döydülər_, _clanked_, _خاطرك_, _brotest_, 
   {{0x3f6b0273,0x3395047b,0xfb8c0040,0x0ac60187}},	//   _usuarios_, _gerst_, _ההנדסה_, _афион_, 
   {{0x32ec02ff,0xf291016a,0xac7202ed,0x728e02b6}},	//   _otantik_, _invado_, _arasaac_, _ғаламнан_, 
   {{0x2c6700d7,0xfc020249,0x43ea009c,0xd5870185}},	//   _aparang_, _mauspas_, _asiti_, _никколо_, 
   {{0xf5d8037c,0xb65d00d9,0x73950003,0x53ea0066}},	//   _glickenh, _tarkemmi, _kerst_, _aritz_, 
   {{0x92fc002e,0x6c1802da,0x8fe201e9,0xdfed0191}},	//   _snage_, _текстот_, _badirako, _riskerar_, 
   {{0x153200db,0x7d8703d0,0x425a0062,0xa2f4007b}},	//   _नब्बे_, _sjednice_, _dellaw_, _bruital_, 
   {{0x225b00f3,0x0a2d00af,0x3729034c,0xa30100b2}},	//   _entla_, _покращен, _arslanov, _baqanii_, 
   {{0xb2c1004b,0xe73001e0,0xf38600ae,0xc7e402ff}},	//   _mohlala_, _دیبانی_, _imera_, _laperèz_, 
   {{0xa1c700bc,0xe45e00ff,0xb2f5043b,0x9c73004a}},	//   _جاستین_, _אוגאנדע_, _gàrradh_, _därman_, 
   {{0x30fe02b4,0xe2900176,0x89810234,0x83b60188}},	//   _babhadal, _afkast_, _onikunra_, _ayavuma_, 
   {{0x75e2027f,0xfdd80297,0xcc1904df,0x00000000}},	//   _atibagiy, _balkonna, _barỳan_, --, 
   {{0xbb49030d,0x12900181,0x00000000,0x00000000}},	//   _cabbarlı_, _dfkaze_, --, --, 
   {{0xf2e102ac,0x727f02a8,0x12d80230,0x3f580216}},	//   _اضغطي_, _tkunx_, _lalenn_, _entangen, 
   {{0xfaf901b1,0x3c9200c1,0x02900549,0xf3c80163}},	//   _कृष्णदास_, _अंघोळ_, _seljord_, _tervez_, 
   {{0x7065053e,0x7e3302ac,0xd2b5026d,0x39b5001b}},	// [a50] _politikk_, _بنطلونات_, _tescu_, _fundurat, 
   {{0x48b90244,0x5c51004c,0x93200119,0x00000000}},	//   _последни_, _alituma_, _canchis_, --, 
   {{0x3dd0023d,0x039e002f,0xf2d20439,0x1afc017f}},	//   _остров_, _dasypus_, _mutekani_, _immernis, 
   {{0x50e50142,0x72780374,0x8e4c021f,0x7a08042d}},	//   _देवीम्_, _фғонисто, _gabaajee_, _hanarona_, 
   {{0x4d29015e,0x2d6d0040,0xae0003b5,0x4bb601f4}},	//   _suspendr, _ניסתה_, _perebuta, _врачлар_, 
   {{0x1d920251,0xbb1700d9,0xffb301db,0x7889006e}},	//   _puntland_, _вниманию_, _оқиық_, _daakaand, 
   {{0x472a0092,0xa42d00a8,0x363b00d1,0x5941002b}},	//   _読み込んでいます_, _stoppien_, _কালীয়_, _স্তনে_, 
   {{0xe4a501a3,0x77760052,0x6c7602c3,0x7b5600d1}},	//   _انڌاڌنڌ_, _pružinov, _záruke_, _সংকটৰপৰা_, 
   {{0x5ae201d3,0xe6ac0156,0xb43603d9,0xfc9e00ab}},	//   _studentb, _publikoj_, _ambarako_, _kakepuku_, 
   {{0x0fc30132,0xbb9d0234,0x00000000,0x00000000}},	//   _aggodalo, _werinipr, --, --, 
   {{0xcd5a0444,0x3f58012f,0xa1860061,0x5f4902a1}},	//   _почек_, _erbarmen, _스와로브스키_, _bakplaat_, 
   {{0x777600ef,0x3cef00e6,0xc2da032d,0xfda800fe}},	//   _abayindw, _万元以下罚款_, _bopeng_, _kafukafu_, 
   {{0xca270012,0x7da1003e,0x00000000,0x00000000}},	//   _बिसबास_, _екатерин_, --, --, 
   {{0xa6410071,0xf20e01cd,0x6fe40244,0xcf8701ea}},	//   _کارکنان_, _назан_, _великден, _маҳзун_, 
   {{0x12e803de,0x8e1b003d,0xb30000d7,0x6964020f}},	//   _umzimba_, _normands_, _bofalli_, _andisiwe, 
   {{0x33070304,0xe200015e,0xdd8a0299,0x26d30028}},	//   _dibasuh_, _conill_, _ئىشكاپ_, _xabaashi, 
   {{0x52ef003d,0xf25a01d4,0x16790152,0x22010416}},	// [a60] _empiric_, _dalli_, _beryulı_, _novial_, 
   {{0x03e50014,0xc2c502c7,0xdff301ac,0x4dfe0017}},	//   _celulari_, _sammler_, _muiscíte_, _जन्मन्छ_, 
   {{0x927e01c5,0xc3950258,0xf20101cd,0xe38602c6}},	//   _sannad_, _iersk_, _anezinhl, _enorus_, 
   {{0x3c0a012d,0xbd2c054a,0x9b9f0187,0xf2fc008d}},	//   _adopsen_, _dobijate_, _acrilico_, _yniga_, 
   {{0x8d210321,0x51900299,0x152a0259,0x00000000}},	//   _zanimive_, _ئولۇمپىك_, _babydark, --, 
   {{0xd75d0016,0x7b70019d,0x3b770081,0x85b301db}},	//   _רבונו_, _nyirenda_, _kolbrún_, _تەڭدەپ_, 
   {{0x22ef00b3,0x058303ac,0x425a054b,0x00000000}},	//   _ahundow_, _dimeriah, _yalli_, --, 
   {{0xe25a00b6,0x73150126,0x29670288,0x808e01db}},	//   _calli_, _включенн, _obaiwote, _бизнеске_, 
   {{0x837c01db,0xb2f100a2,0x1bff0059,0x3ae2004c}},	//   _اتقوشى_, _mapishi_, _singolar, _atategee, 
   {{0x82fc01ea,0xa167019e,0xd6b40342,0x42da02ae}},	//   _rniga_, _храмам_, _anbochaj_, _poreč_, 
   {{0x13860321,0x22d9015e,0x82ef0358,0x83ea0211}},	//   _smeri_, _mapes_, _dekouraj, _esitti_, 
   {{0x32c101b8,0x64ba0362,0xb343030a,0x83090195}},	//   _tellida_, _ebebisak, _obreiro_, _phabail_, 
   {{0x7f1001db,0x5c25014d,0xce1700c1,0x831e0364}},	//   _ءبورىنىڭ_, _verbrauc, _जगभरच्या_, _obschon_, 
   {{0x20500178,0x5077006d,0x92e900c5,0xc2d9007b}},	//   _aparāhna, _хронік_, _prenant_, _gapes_, 
   {{0xf3ea040b,0xd296005b,0x00000000,0x00000000}},	//   _dzata_, _takayuki_, --, --, 
   {{0xb41601b7,0xc2fc0318,0x6ec1012b,0x4e440315}},	//   _हीदमायुष, _feigai_, _niedostę, _ingasifa, 
   {{0x82cc01f9,0x02190166,0x426101e5,0x02d90017}},	// [a70] _ayidluli_, _markenam, _kaloliki_, _kapes_, 
   {{0x227e00bd,0x127e0129,0xe96a054c,0xe6390350}},	//   _keeng_, _isonye_, _aktivise, _ከታሰበው_, 
   {{0x0a650041,0x6f5b004c,0x0c5203d1,0xdc4001ac}},	//   _рмшын_, _bakankan, _platuma_, _wyspians, 
   {{0xa1c90074,0xf7800177,0x52eb00e9,0x19e9010f}},	//   _почте_, _арабтә_, _nsansis_, _amathulu, 
   {{0x625b022a,0xf2900219,0x62eb0403,0x00000000}},	//   _stelav_, _bekake_, _entinao_, --, 
   {{0x72a70145,0x380f00d1,0xf7ab0158,0xb95e018c}},	//   _такога_, _উপসৰ্গই_, _kuchnią_, _kennisse, 
   {{0x00530204,0x9b9b0012,0x025a02c2,0xca610123}},	//   _mangosmo, _टिमटिमात_, _kollig_, _caféer_, 
   {{0xbdd200bf,0x9b03000b,0x12da0312,0x2c8201fe}},	//   _доступа_, _coastwee, _asteca_, _waidranu_, 
   {{0x013f046d,0xa27700d0,0x225a02a1,0xe0ef0055}},	//   _tshengel, _таемин_, _mollig_, _addivall, 
   {{0x8ef1010c,0x03ea013d,0x35730004,0x9f7200fb}},	//   _तुमको_, _uzata_, _gradyasy, _ngabanin, 
   {{0x3147003a,0xe49b015d,0x927e0048,0x7c7300d6}},	//   _камида_, _ogranicz, _adeni_, _muirear_, 
   {{0x36c901ea,0x71fe0078,0xb3f40220,0x20070205}},	//   _тасарруф, _кризу_, _frutta_, _замирда_, 
   {{0x8d1e0285,0x6c66004a,0x0bce01db,0x49db054d}},	//   _jenoside_, _балыгым_, _كەلەشەكت, _solfange, 
   {{0xc881054e,0x5de30061,0x627e021e,0xe8b001c5}},	//   _naminiku, _한나라당의_, _tvinga_, _xudduudd, 
   {{0xd27e0200,0x166500d7,0xa28d0211,0x730502a5}},	//   _esonye_, _украинда, _olekaan_, _panelů_, 
   {{0x8b600139,0x45b500ec,0xd7f9027e,0x6c0a019e}},	//   _वाहनं_, _пунктаў_, _знакова_, _аргентын, 
   {{0x9c240476,0xe37f00d6,0xce44042a,0x334901df}},	// [a80] _achaitir, _thiarna_, _angasifa, _basebaw_, 
   {{0x8bcd054f,0x939500b7,0x01340060,0x7bb400d9}},	//   _chivkeeb, _hersi_, _алаштың_, _лесбиянк, 
   {{0x23160307,0x62370119,0x31b7028a,0x5dce0255}},	//   _yenza_, _coimbra_, _الملوڪ_, _vaikselt_, 
   {{0x125a03b9,0x5bae01ab,0xd86c001c,0xc31602cd}},	//   _jallu_, _कवाँड़ी_, _fuentidu, _cenza_, 
   {{0x78f802ec,0x00000000,0x00000000,0x00000000}},	//   _gobaleed, --, --, --, 
   {{0xaf270087,0x4c7d023d,0xf28b00a2,0xec560043}},	//   _factiona, _massima_, _kubadili_, _akatale_, 
   {{0xd25a022d,0xa88e014e,0x1224002f,0xec2303ef}},	//   _fallu_, _холандск, _arikos_, _abasores, 
   {{0x32d801c5,0xe29201d9,0x81e303ff,0x2dac01c2}},	//   _galeen_, _gesait_, _parfémy_, _linguaxe_, 
   {{0x00000000,0x00000000,0x00000000,0x00000000}},	//   --, --, --, --, 
   {{0xd2d80241,0x02b502d4,0x0cbd00ec,0xa39a0311}},	//   _aaleen_, _desch_, _наведаць_, _ምርጭኦም_, 
   {{0x9316048f,0x33f401ef,0xf6cf043d,0x1813027e}},	//   _penza_, _rastas_, _perpecah, _подвиге_, 
   {{0x210f031e,0x69d00074,0xc26c0233,0xf3cf0407}},	//   _značajan_, _серий_, _iumori_, _pravnu_, 
   {{0x1a860281,0xb26c01da,0x6e39028b,0x8a7e01da}},	//   _angissus, _humori_, _copaltep, _pavarura_, 
   {{0x0316014c,0xadc30285,0xec1e0258,0x72640229}},	//   _wenza_, _gisirika, _kuipers_, _pislik_, 
   {{0x72d90550,0x73f402d5,0x934702fb,0xb3860348}},	//   _saper_, _vastas_, _faleloa_, _ameru_, 
   {{0xe25a007f,0xc386000f,0x00000000,0x00000000}},	//   _gallu_, _fikrim_, --, --, 
   {{0x32900226,0xa3a3033e,0x3f4f0212,0x8c7300fe}},	// [a90] _linalo_, _acepar_, _adoptare_, _teisina_, 
   {{0x129200b9,0xf2c601f9,0x00000000,0x00000000}},	//   _dhuafa_, _iyalele_, --, --, 
   {{0xba87002f,0xd1c901b3,0x28bc00c7,0xda280145}},	//   _akunawan_, _поета_, _заводлар_, _piniginė_, 
   {{0x75f20209,0x4f7d019b,0xb75e01b7,0x1ae2001c}},	//   _sermitsi, _ажыццяўл, _जुह्वति_, _miltenbe, 
   {{0x828e01b4,0x76ed0125,0x7ecf03f7,0x00000000}},	//   _miskien_, _görünýär_, _bringurn, --, 
   {{0xe25a004f,0x92ad0247,0x02010256,0x03960475}},	//   _wallu_, _بلوار_, _nezinu_, _просим_, 
   {{0x63f402e7,0xd27e01fa,0xcd9c0092,0x231c017a}},	//   _brutsa_, _heene_, _雑誌に出ていない, _abeyozam, 
   {{0x73ea030b,0x65d40092,0x03940072,0x92ea01ba}},	//   _mpita_, _チエンジン_, _munsta_, _fatigan_, 
   {{0xf3940192,0xf3960176,0xe1ac0138,0xe25a007f}},	//   _mensen_, _passwd_, _rahatlık, _hallt_, 
   {{0x125a02f3,0x1c6e0160,0x69cc047d,0x94f30093}},	//   _kallt_, _navrata_, _chrescht, _тоскана_, 
   {{0x025a032e,0x4e6b0013,0x00000000,0x00000000}},	//   _jallt_, _دیوانیمد, --, --, 
   {{0xc95d0545,0x8170011a,0x72f0027f,0x904700af}},	//   _minneste, _הרייטינג_, _mubindi_, _бароко_, 
   {{0xdf2e0135,0xd29100ec,0x03cf02a5,0xf278002e}},	//   _бирле_, _vyrai_, _pravou_, _desnoj_, 
   {{0x912303c7,0x9c1c004a,0x32d40551,0xe7d000a2}},	//   _stanisła, _albannar, _féodal_, _mapunguf, 
   {{0xb3f103a2,0x29380037,0x1dd80297,0x55cc01af}},	//   _एंटीबॉडी_, _rasminya_, _balkanna, _ankarany, 
   {{0xc2cb02ee,0x33c8011a,0x804a0144,0x00000000}},	//   _kwadru_, _מתגעגע_, _siorcann, --, 
   {{0x2316005b,0xcc8200ee,0xcb300475,0x15bd007f}},	// [aa0] _kenzo_, _студи_, _уполномо, _technium_, 
   {{0xbc1800c9,0x29c30113,0x4c330224,0xe274047d}},	//   _vbbanner, _طالبه_, _aukaspyr, _entschel, 
   {{0xe997011f,0x4161030b,0x0b820408,0x085701a3}},	//   _бузуртан, _aligolol, _anananar, _هولڊر_, 
   {{0x7e600552,0x14d500d3,0x00000000,0x00000000}},	//   _hemphuhu_, _संचिता_, --, --, 
   {{0x4b670172,0x9b9d028b,0x8a630272,0xea3c0013}},	//   _mekenkan_, _иҧшаауп_, _ataganya_, _сурон_, 
   {{0x30c40534,0x13d501e9,0x13040012,0x12fe01c9}},	//   _kẹosao_, _baithuti_, _खोदियवला_, _kirikus_, 
   {{0x86cc003c,0x95fe01c5,0x00000000,0x00000000}},	//   _ساماندهي_, _allmuqdi, --, --, 
   {{0x6e5f0057,0xbae00347,0x5d0900c4,0x1194020f}},	//   _ስላልሆነ_, _terugbet, _دردناڪ_, _انګستان_, 
   {{0x26860147,0x4ee000ff,0xe18f0153,0x927e0553}},	//   _اچىىشبىز, _baziĝis_, _サイト名カナ_, _zdeno_, 
   {{0x8aae0159,0xfa4901dd,0x52ea00bd,0x4e4701dd}},	//   _смерцю_, _bakekaga_, _ratigan_, _batakoze_, 
   {{0xbbd301d5,0x03be0272,0xf3ea0554,0x82f4004a}},	//   _بمطابق_, _abavumi_, _upita_, _ermitaj_, 
   {{0xd3480065,0x00000000,0x00000000,0x00000000}},	//   _krefeld_, --, --, --, 
   {{0x3c000113,0xaf5d023d,0x502e009b,0x234c002b}},	//   _تختلف_, _relazion, _fundazio, _গৃহবধুর_, 
   {{0xa4ce008d,0x3eea003c,0xcd030061,0x00000000}},	//   _хакидаги_, _آستون_, _사도세자의_, --, 
   {{0xcee60087,0x0b0c0039,0xed9603f7,0x3306022c}},	//   _enghozin, _бууна_, _bollurna, _dibabuk_, 
   {{0x3b9e049a,0x1b3602b1,0xc27800b9,0x756404c7}},	//   _podnosio_, _asibitin_, _hyunmi_, _злостављ, 
   {{0xb5ae02c4,0x475201a4,0x5f4b00fd,0x00000000}},	// [ab0] _дозволен, _akontang, _siostama, --, 
   {{0x7f890148,0x39b00132,0xdb2201d7,0x125b004a}},	//   _公開所有人_, _مانگنے_, _sanaziun_, _bitle_, 
   {{0x46280218,0xb3fe0226,0x5f0d00bd,0x8d7a00a2}},	//   _abricati, _akaziwa_, _clachans_, _usambaza, 
   {{0xb7a102bf,0xa9950555,0xb3840156,0xaa03004d}},	//   _babukisi, _bakhjula_, _כנבוזי_, _patriciu, 
   {{0xb20c04cc,0xc5980331,0x78a7023d,0x1b0202c4}},	//   _hoihlaux_, _manninum_, _класиран, _којшто_, 
   {{0xdda7017a,0x89a40113,0x95c10037,0x73eb03d4}},	//   _раббонӣ_, _twojanut, _membebel_, _uleteo_, 
   {{0x12f40256,0xa2ea03d1,0x42f40261,0x3ab100dc}},	//   _stundas_, _princis_, _armitaj_, _sogasogā_, 
   {{0xd3f9041e,0x189100b0,0xa31601cd,0xf29101bb}},	//   _acque_, _ڈى۪کس_, _senzo_, _myrat_, 
   {{0x92e9043d,0xdd5a01cd,0x847601db,0x3b4202c3}},	//   _jadikan_, _додем_, _гаухар_, _odporučt, 
   {{0x28d10192,0x9e7102ac,0xc84400c4,0x56960352}},	//   _버전에서만_, _رخيصة_, _بريڪنگ_, _স্কুলত_, 
   {{0xbc810428,0xb261015d,0xa5490125,0x4de500e6}},	//   _storitev_, _मताधिकार_, _bashlady, _汽车电子制动系统, 
   {{0xdcf2004c,0xf24c0125,0x1d87030f,0x35ac0126}},	//   _agatager, _кувватың_, _hinerupe_, _трагедії_, 
   {{0xbb8a0064,0x8a390220,0x49230178,0x147a0299}},	//   _корот_, _весели_, _doṣaśca_, _سۈمەييە_, 
   {{0xddda0262,0x53ea012c,0xcb240137,0x19c00092}},	//   _tolkunla, _mpito_, _буучид_, _hedehuse, 
   {{0x6a4600b4,0x2b1601c9,0xf70001f9,0x3b770195}},	//   _necesara_, _vigastus, _ekubanjw, _muslamac, 
   {{0x82010124,0x43010416,0x249a00f5,0x4f5e004d}},	//   _mbaiki_, _strangi_, _богоскоп_, _評價與意見_, 
   {{0x039603f5,0xe17700f0,0xe27e01b4,0x7c0500e7}},	// [ac0] _passou_, _spravodl, _bronne_, _aferway_, 
   {{0x3561026f,0xaa8c03db,0x880e0147,0x00000000}},	//   _ءراببمىز_, _asinakub, _مۅلۅنكۅن, --, 
   {{0x4340018b,0xcae10288,0xb75f03a2,0x1f2a021a}},	//   _prieten_, _giddines, _एंज्वॉय_, _carraaqa, 
   {{0x14580235,0x1ae20223,0xc202014b,0x2ddd0094}},	//   _viditvā_, _naturare, _waqini_, _كەسىلمەگ, 
   {{0xfa280145,0x47e50037,0x16460255,0xf2cb0108}},	//   _piniginę_, _ለማውራት_, _maakleri, _dikompa_, 
   {{0x0dc304bd,0xd998034c,0x25ac0153,0x00000000}},	//   _iwakalua, _баруыгыз, _お試しあれ_, --, 
   {{0x5037040b,0x31ed00b7,0xf31603db,0x46fd01f4}},	//   _doiteron, _базарова_, _benze_, _بیرسی_, 
   {{0x4afd0473,0x2ac002bb,0x3060033f,0x660b0109}},	//   _münchen_, _विसंगतिय, _inisulin, _nečekaně_, 
   {{0xa68e03a0,0x53f8008e,0x7f5202a5,0x794c003b}},	//   _dikemedi, _dunuko_, _जाँगर_, _kulosise, 
   {{0xa73f018d,0x4316014c,0x2ffe053e,0x36f3025d}},	//   _ተሞክሮና_, _wenze_, _diskusjo, _kulturrå, 
   {{0x2ed40347,0x96f6052b,0x4f1401fb,0x27c70371}},	//   _bedienin, _एकलव्य_, _permaner_, _банкови_, 
   {{0x80fe0114,0xc2b203a6,0xa139012e,0xf26f00db}},	//   _אוגוסט_, _amaduka_, _linkgyűj, _langetam, 
   {{0x478e046d,0x6625028b,0xae7800c1,0xd2f1016a}},	//   _muitazwi, _алитерат, _खरडींतून_, _rezisti_, 
   {{0x1291013d,0xbaa70300,0xe3950034,0x0c9502c1}},	//   _infano_, _potrubí_, _berst_, _asezerer, 
   {{0x63160556,0x825a01a0,0xd395022d,0xa386007b}},	//   _yenze_, _badli_, _persu_, _boords_, 
   {{0x3b980047,0x27b0009a,0xa1e90178,0x527f0105}},	//   _visiteur, _amawakaw, _balikarm, _tkanin_, 
   {{0x621303e6,0xe62400d1,0xa25a0242,0xed9a0557}},	// [ad0] _mechel_, _স্মৃতিহী, _dadli_, _abanakwa, 
   {{0x73860558,0xc74f01b7,0x1cb201e5,0x6c7f033a}},	//   _imeri_, _क्रियाभि, _bibajẹ_, _twassal_, 
   {{0x25ce010f,0x90e200be,0x869400d8,0xc2a70144}},	//   _гармо_, _بەيىشى_, _albergai, _دائرية_, 
   {{0x854e02ba,0xaf3a01aa,0x6acb00bf,0xa437009a}},	//   _abaholay, _acquesja, _введены_, _ayokufak, 
   {{0x03ea0326,0x99fb00b5,0xe5fa0059,0x00000000}},	//   _asati_, _jahaikat, _premiazi, --, 
   {{0x03160559,0x9da900dc,0x8b6101be,0xb3860129}},	//   _senze_, _banimara, _थालनी_, _mmeri_, 
   {{0x625a00a0,0x105303ab,0x4a0b046b,0xc3be0499}},	//   _kalli_, _potravin, _hunaniae, _asavili_, 
   {{0xd38604bd,0xfc790008,0x00000000,0x00000000}},	//   _omeri_, _безгек_, --, --, 
   {{0x43cf031e,0xda0100ad,0x53f40046,0xb52c04d7}},	//   _pravcu_, _bujangga_, _pastes_, _breiðahv, 
   {{0x474f01b7,0x02010488,0x397d0153,0xacb603f8}},	//   _क्रियावि, _nebiju_, _北海道大学_, _lungorlu_, 
   {{0x8df801c9,0x00000000,0x00000000,0x00000000}},	//   _शर्मशार_, --, --, --, 
   {{0xd1400374,0x2ae6002b,0x986f055a,0x02300362}},	//   _герби_, _ভাসানী_, _abusivos_, _ememaka_, 
   {{0x3ba80365,0x11260162,0x72910089,0xbb1900bb}},	//   _न्यूनतम_, _بىلگەندى, _ayzat_, _سولہویں_, 
   {{0x807c0044,0x56e50008,0xde500227,0x22f4055b}},	//   _הרפתקאות_, _passarà_, _datangla, _områdere, 
   {{0xb48602b9,0x159002e0,0xd4b80061,0xc7ed0011}},	//   _عادتیں_, _deseketh, _구월롯데캐슬_, _awaaling, 
   {{0x5fbf055c,0x73ea0375,0x9c430111,0x00000000}},	//   _fungerer_, _ipite_, _barwick_, --, 
   {{0x725b0034,0x6e3d055d,0xcdc1019f,0x9c180192}},	// [ae0] _litla_, _kewajipa, _rasilima, _dynamisc, 
   {{0x1065055e,0xb2fc04de,0x2291012c,0xd8590352}},	//   _danskern, _inaga_, _mifano_, _straumar_, 
   {{0x53ea03b4,0x4eb903d9,0xb0db00cd,0x830501e0}},	//   _usati_, _votoatin, _beinvugl, _کوتان_, 
   {{0xa0aa00bf,0xdd8001bc,0xd30202c2,0xc389001c}},	//   _животным, _formulea, _verbode_, _rbaycan_, 
   {{0x6b5400e6,0x3c76003d,0xf59000de,0x02e703ac}},	//   _土地使用权出让_, _barralh_, _beseketh, _bunuhlah_, 
   {{0x4b7e00b0,0x8e7a03c1,0x950e00e6,0x3beb01a6}},	//   _iskuulka_, _шампиони, _道路运输证_, _werowero_, 
   {{0xb88900c5,0x1d7e041a,0xe49902da,0xb1100198}},	//   _您当前位置_, _моментам, _говориме_, _znižana_, 
   {{0x27f301db,0x0e9b01b4,0x12fc008d,0x67c5008f}},	//   _тексеріл, _rondings_, _onaga_, _जलुहार_, 
   {{0xf3ea029c,0xd8620013,0xbaf10147,0x0f200476}},	//   _apite_, _llanilad, _تۉنگۅ_, _handifun, 
   {{0x52ba00ec,0xb8d402e7,0x5ae2005e,0x3e52019b}},	//   _старым_, _bulutang, _ئەجداد_, _autorinė, 
   {{0xc2da02cf,0x430f01fd,0xc9ec0102,0x1234005e}},	//   _esteja_, _probado_, _kuingiza_, _سىمۋولى_, 
   {{0x93f9045e,0x93940095,0x1653005e,0xe6cc0133}},	//   _acqua_, _sungsang_, _ئىملاسىن, _cokamani, 
   {{0x725a03a0,0xf5100089,0x81cc00bb,0xc8d30244}},	//   _emelle_, _бекмә_, _testünk_, _товарен_, 
   {{0xf3780038,0x9f9a0055,0x525b036d,0x12c9022c}},	//   _дәрес_, _poète_, _bitli_, _sapopoe_, 
   {{0x6496015e,0x62ea0342,0x12da00ac,0x19ea04a2}},	//   _اندەلىس_, _patizan_, _isteka_, _claridad, 
   {{0x6c1800bd,0x62d1006a,0xdf270156,0xa7da0139}},	//   _coppers_, _antokom_, _מאַקעדאָ, _पत्र्चमु, 
   {{0x20210147,0x52b40199,0xf4ca00d9,0xd5fb0212}},	// [af0] _ازىتقىلا, _meocon_, _магнитол, _communem_, 
   {{0x8f97032e,0x1394001f,0xc039005d,0x275a018d}},	//   _chikayaņ, _sensan_, _castanon, _ኣፍቀርቲ_, 
   {{0x431602e8,0x38e003b0,0xe39401f7,0x719501db}},	//   _kenza_, _fylgjand, _pensan_, _актобеде, 
   {{0x1b5b01d9,0xd2da0039,0x93eb04a8,0xd3250403}},	//   _galerien_, _esteka_, _sletio_, _drabiby_, 
   {{0x320002e1,0x1c510069,0x9340027f,0xdd9901af}},	//   _innill_, _imitima_, _bagenwa_, _ahallyla, 
   {{0x32240097,0x531604cf,0x254a0475,0xd297017c}},	//   _iroko_, _lenza_, _провозгл, _godkort_, 
   {{0xf2fc028c,0xc97a0166,0x42c50220,0x647d00a6}},	//   _liiga_, _verhalte, _inseriti_, _emifanek, 
   {{0x2f2d0349,0x426400e2,0x125a005a,0x82fc0294}},	//   _actualfa, _mislik_, _nadlu_, _hapinku_, 
   {{0xee18019c,0x0e390273,0x6987032d,0x00000000}},	//   _apópo_, _soportes_, _hookobat, --, 
   {{0xf2d402cb,0xb25a0062,0x9292055f,0x00000000}},	//   _redovna_, _hadlu_, _mesafe_, --, 
   {{0xb3160560,0x52fc002e,0xc20e0046,0x227e003f}},	//   _benza_, _snaga_, _жагат_, _homna_, 
   {{0xd1e70561,0x343e0388,0x0ce60061,0xbbe50061}},	//   _kliknutí_, _даяна_, _엘리자베스_, _telespor, 
   {{0xa03d0026,0x0b170375,0xe9290083,0x234c002b}},	//   _degelijk_, _angalets, _hansjörg_, _গৃহবধূর_, 
   {{0xb192006c,0x62ea0373,0x57410045,0x22250079}},	//   _ababehil, _latinan_, _источне_, _trakas_, 
   {{0x1c73004f,0xd3870409,0x43860359,0xf9140477}},	//   _asistaa_, _angreb_, _akkrum_, _tercantu, 
   {{0x02c401a2,0x08540299,0x52500361,0x50050188}},	//   _pēdas_, _ئوقوغۇچى_, _дехар_, _дуюним_, 
   {{0x32d40159,0xc37a01ce,0xc30100c1,0x10a30156}},	// [b00] _vardas_, _éwahan_, _kurangi_, _שאַצט_, 
   {{0x2dad01e0,0x4340026b,0x286a033e,0x00000000}},	//   _مانچه_, _quieren_, _iconocid, --, 
   {{0xb62a0562,0xc92a02b6,0xd9eb00e2,0x0eb101a3}},	//   _babibari, _күнкөріс_, _boergond, _رامچند_, 
   {{0x3db804ca,0x968102d8,0xf991011f,0xb34b03e6}},	//   _solament_, _गेलास_, _истепен_, _bedengt_, 
   {{0xab650202,0x82ea0183,0x06290062,0xe3790373}},	//   _awadanun_, _vadinao_, _hajimari, _agrabla_, 
   {{0x33f40150,0x6d5b01ef,0x59db0153,0x6cbc02e4}},	//   _jastis_, _авансу_, _キャメロン_, _innaqqsu_, 
   {{0x777f047f,0xb9e001d9,0x329e049a,0xe9190109}},	//   _क्रान्ति, _ochiniwa_, _krajnja_, _व्यहोरा_, 
   {{0xcf3401d4,0x17b20193,0x4a080176,0xe2d4018f}},	//   _sessanta, _रक्तवाहि, _dorakuee, _qardas_, 
   {{0xb37f02d9,0x1876017f,0x3eeb000e,0xd3ea030b}},	//   _manatua_, _avannamu, _flexione_, _asatu_, 
   {{0x626e02a5,0x82e700a8,0x722500e1,0x6a220244}},	//   _metody_, _chantun_, _baakar_, _отвор_, 
   {{0xa29201a4,0x21c7012c,0xc195005e,0x8637027b}},	//   _mesage_, _داستانن_, _يېراق_, _महाहवे_, 
   {{0x05e600df,0x00000000,0x00000000,0x00000000}},	//   _condamné, --, --, --, 
   {{0xb25b03f0,0x069d0255,0xfcb102e1,0xad62004d}},	//   _litlu_, _intensii, _تنتشر_, _七二大隊救援乙隻, 
   {{0x2d0000ef,0xc27f01a4,0x3d0f0181,0xe47f03bd}},	//   _سپيني_, _avanda_, _ankommet_, _mangadto_, 
   {{0x48450083,0x349e03a8,0x721802ee,0x00000000}},	//   _abilitad, _মুক্তিত_, _jeditjaw_, --, 
   {{0x730c00e0,0x368a02f0,0x79cc0158,0x57d40347}},	//   _ornaris_, _ekudzili, _kolorowa_, _wetsontw, 
   {{0x796702ec,0x81f40060,0x66840060,0x5a4a0348}},	// [b10] _نہناوِہے_, _тырысты_, _түрме_, _akwesiga_, 
   {{0xa88301f0,0xac6900b2,0x3504014b,0xd29d00f5}},	//   _baikoped, _bituufi_, _maddurul_, _açary_, 
   {{0x927f029b,0x8c7d0292,0x13160102,0xa56d0037}},	//   _aduna_, _amisano_, _penzi_, _ተፈጻሚነት_, 
   {{0xd76e02e2,0x019f01e6,0x91e502f9,0xb3fa00ab}},	//   _aigharag, _šablony_, _dedomajm, _korupe_, 
   {{0xca030088,0x2c61005e,0xf2180276,0x827e025b}},	//   _igualada_, _ھېسداشلى, _باشقلارن, _flenn_, 
   {{0xc27f00e1,0xa2740119,0x294600e2,0x00000000}},	//   _dduna_, _nagresul, _taalstat, --, 
   {{0x531602e8,0x269c04ca,0x00000000,0x00000000}},	//   _tenzi_, _congensi, --, --, 
   {{0x47be01f4,0x327e013f,0xcb7f01b5,0x8be000db}},	//   _مصافه_, _alenn_, _ivangabr, _arreteer, 
   {{0xca70010f,0x46d20334,0xb27e03e6,0x55c70219}},	//   _тиллоӣ_, _aphatiki, _aleng_, _ibhaloth, 
   {{0x60480094,0x627e0083,0xb07f005e,0x2e4f0456}},	//   _بالدىزىم, _omens_, _ئەلبەتتە_, _kegatala, 
   {{0x719502b5,0xb292028d,0x72c602f0,0x0b760291}},	//   _yencangh_, _extans_, _ayalele_, _باهتمام_, 
   {{0xf2fc022d,0xe4c30396,0x3aec03d1,0xffcd00f4}},	//   _piaga_, _approċċ_, _eksterje, _dupitier_, 
   {{0xf27e020b,0x5cf0026c,0x6f5e023d,0x2ff70156}},	//   _eleng_, _三天就成交_, _redazion, _צעטיל_, 
   {{0x927e013a,0xb1660040,0xffc30093,0xc28d00a6}},	//   _ament_, _טיקוטין_, _антонови, _asikuko_, 
   {{0x32cb0172,0x46a20013,0x44a7010f,0x53820163}},	//   _adadam_, _чеченист, _техникаи_, _نابلد_, 
   {{0x5b6b01b8,0xc1c301f2,0xab1b022f,0x20f20417}},	//   _renoveer, _гобияв_, _успенска, _verbreek_, 
   {{0x1977001b,0xa7e201cd,0x2e2e036b,0x00000000}},	// [b20] _ministee, _мукаддас_, _полигоно, --, 
   {{0x49170078,0xeb190191,0x8f6304f8,0x3d110061}},	//   _далеком_, _varannan_, _galaxies_, _프로이트의_, 
   {{0xf49e0173,0x7d980003,0x26190563,0x55630075}},	//   _মুক্তির_, _licentie_, _narednim_, _kollfirð, 
   {{0x020e01db,0xc2d50130,0x4f4e00d9,0x15c00065}},	//   _барар_, _hellont_, _naisille_, _gruppenk, 
   {{0x09b6026f,0x27cd0023,0xe364008a,0x33ea00a1}},	//   _ادۋىندى_, _родствен, _atagana_, _apiti_, 
   {{0x325b018b,0xb20202d8,0x9e28023e,0xaa37014e}},	//   _titlu_, _terigu_, _biomedis_, _никакву_, 
   {{0x72fc01c5,0x0c7701b4,0x526c0403,0x246100d1}},	//   _anagu_, _kwessie_, _bohoka_, _বিভিন্নৰ, 
   {{0xe249019a,0x3b5103ce,0x3a0704c8,0x7eee02b0}},	//   _clamps_, _سێزده_, _dekċer_, _sicheres_, 
   {{0x229d00a6,0x5e3a0142,0x53ee02d9,0x00000000}},	//   _دزرداري_, _apsarasa, _ovataimi_, --, 
   {{0x257d0364,0x26b00193,0xcae2002b,0xa2ef01c0}},	//   _identité, _आहेत्_, _পাহাড়ী_, _bajinta_, 
   {{0xdf690145,0xe3860195,0x685b00bf,0xfc1401bf}},	//   _komandos_, _athris_, _обострен, _terrengs, 
   {{0x5a8c0125,0x00000000,0x00000000,0x00000000}},	//   _bezirgen_, --, --, --, 
   {{0x73ea03b6,0xca790276,0xd290005a,0x00000000}},	//   _apata_, _نادانلىق, _najang_, --, 
   {{0x9da50021,0x6e9602ac,0xb27e0372,0xd6280210}},	//   _activewa, _نرجوا_, _sment_, _angondii, 
   {{0x927e047d,0xf84d019b,0xef20025b,0xe86c0222}},	//   _blend_, _partijos_, _landsfun, _poissons_, 
   {{0x215c0088,0x146401c2,0x17b9031a,0x00000000}},	//   _сураш_, _antedito_, _saoranai, --, 
   {{0x06d50047,0xcdd00263,0xe25b029b,0xc852008e}},	// [b30] _与本站立场无关_, _toekomst_, _amalul_, _beelsebu, 
   {{0x628d000c,0xffd603db,0x22ff0046,0xd7b80135}},	//   _arahaku_, _ekuzalen, _كەلەجاتا, _kiterelg, 
   {{0x469801aa,0xc27e00cd,0x0f46030b,0x73ea02cb}},	//   _unsettli, _umens_, _asasudde_, _upiti_, 
   {{0xb3f902d4,0xc317000e,0xdc530298,0x6f3400e7}},	//   _spezial_, _grazer_, _apotoro_, _abasesta, 
   {{0xc58a0564,0x833201b5,0x753a02f7,0x6d710132}},	//   _dientifü, _byoxe_, _betheleh, _útmutató_, 
   {{0xdeaf0565,0x3b2a024f,0x7a31028a,0x0c5d02c0}},	//   _takozvan, _icabocab, _مشترڪه_, _пирамиди_, 
   {{0x934f041e,0xa3c304bc,0xc6970204,0xbb8b0251}},	//   _lamenti_, _låven_, _integroi, _siminaar, 
   {{0x428d0552,0x9dad01fb,0x263c0195,0x8292012a}},	//   _boekfan_, _linguage_, _droighni, _sprawi_, 
   {{0x328a000d,0x828f0085,0xbe4c0344,0x027f0084}},	//   _maratoni_, _nasareci_, _angalapp, _adung_, 
   {{0xd3f900e9,0x644c01bb,0x034c0079,0x95da028b}},	//   _dibute_, _гурлушык_, _rudenim_, _шәабдуцә, 
   {{0xb25a041e,0xf9ce0166,0xfb78019b,0xaf630047}},	//   _valls_, _produzie, _konkreči, _maladies_, 
   {{0x1373031f,0x62d90203,0xfca201c8,0xaf960366}},	//   _omfatte_, _exposit_, _konvenčn, _ханства_, 
   {{0x06d00002,0x9c5d00e6,0x22e502c5,0x07d80045}},	//   _igračima_, _爱心涌三秦_, _anonaka_, _unapredi, 
   {{0xa7a80037,0x5394005b,0x711f0291,0x228301cd}},	//   _የማዕረግ_, _sensen_, _كثيييييي, _сурху_, 
   {{0x927e0566,0x2e39009b,0x23940008,0x619500ba}},	//   _alene_, _topaketa, _pensen_, _ڕێکبخه_, 
   {{0x6c340014,0xf20000b2,0xd947005e,0xf2900193}},	//   _ዝተኸስተ_, _adiin_, _ﺋﯩﺪﯗﻕ_, _pajang_, 
   {{0x9bdf02ea,0xf3cf0488,0x12d901e8,0xbf3801f0}},	// [b40] _спектакъ, _dievam_, _greeno_, _dipuotla, 
   {{0xd27c0567,0x8d6d005e,0x425a017c,0xa57d014a}},	//   _чаралары_, _арсланға_, _emelie_, _identitá, 
   {{0x6c480287,0x526701ea,0x65c700be,0x4fc600ab}},	//   _काउन्टर_, _هیدوچی_, _арийне_, _kokotiko, 
   {{0x9f2402a5,0x92330061,0x2e2500ec,0xf27002f8}},	//   _zdálo_, _오세아니아_, _derliaus_, _tufitufi_, 
   {{0xa77d02ac,0xd4b901f2,0x13ea0235,0xf197000c}},	//   _الرزق_, _телегр_, _asaty_, _магомеҭ_, 
   {{0xb22403d9,0x75950122,0x00000000,0x00000000}},	//   _oroka_, _diperjay, --, --, 
   {{0x24460047,0x79dc026f,0x631702f1,0xd27f0286}},	//   _信息产业部_, _ءﺗﺎﺑﻴﻌﻲ_, _prazer_, _nwanwa_, 
   {{0xe8660074,0x23fb03ce,0x13430220,0xd29200a3}},	//   _kotisivu, _پرنسیپ_, _disegno_, _lesast_, 
   {{0x6c14001a,0x4d4c032c,0xe58f0037,0x564900ac}},	//   _verseny_, _angalaaq, _ያጋጠመውን_, _rashladi, 
   {{0xe224002a,0xe7ed038b,0xc3ce0017,0x12910059}},	//   _broka_, _didatang, _stovek_, _divano_, 
   {{0x1799005e,0xa3140429,0x0b370397,0x00000000}},	//   _زەرەپشان_, _berzanji_, _махалхо_, --, 
   {{0xd7220037,0x52eb036d,0xc6b6012c,0x6378016a}},	//   _ተፈጥሮአዊ_, _aranais_, _عدالتون_, _vivanta_, 
   {{0x60840044,0x32910135,0x48b30148,0x63240125}},	//   _באזזזזז_, _ayrat_, _反折射超硬藍寶石, _кызыны_, 
   {{0x6eb50148,0x22e00568,0x429200af,0xe09f00ba}},	//   _無苦集滅道_, _turneen_, _besatt_, _فیڕۆدانی_, 
   {{0x1ae800bd,0x9f6c018d,0x426c01ed,0x61690569}},	//   _cautione, _ዓቃባውያን_, _nohona_, _kompjuto, 
   {{0x927e0261,0x7dc40040,0xed280024,0x219402fd}},	//   _plene_, _הנקסוס_, _বিচাৰিব_, _forargyl, 
   {{0xa38603a4,0x99d602d5,0x30530109,0x6a0c004d}},	// [b50] _teirra_, _ettepane, _startovn, _台北市蘭雅國中_, 
   {{0x81020028,0xe9ed00ca,0xb59c00ff,0x96f800da}},	//   _زمینہِ_, _militara_, _פלאנצן_, _ынтылни_, 
   {{0xdc7f019d,0x7035056a,0xc12f0095,0x4699020f}},	//   _abusawo_, _bontshan, _مارکتینگ_, _bangangx, 
   {{0xdc01054d,0xf51b0146,0x00000000,0x00000000}},	//   _næsten_, _mengawal_, --, --, 
   {{0xdb0600d6,0xd2d40041,0xe3010205,0x9e910059}},	//   _clasaice, _añeha_, _berardi_, _mestiere_, 
   {{0x737c03a6,0xe3030290,0x0d2800d1,0xbc5b0362}},	//   _kumushim, _camarat_, _বিচাৰিম_, _molunge_, 
   {{0x9b550117,0xdd8d03b7,0x9cb401a3,0xf30a0076}},	//   _fandesen_, _andoncra, _پنجٽيهه_, _возврати_, 
   {{0x8aee0190,0x67410040,0x3c550286,0x17ed000c}},	//   _ansteche, _אדידס_, _nantese_, _сангәлиа_, 
   {{0x7bd70013,0x85ab0311,0x32e70313,0xb2ab0311}},	//   _نگاریم_, _ንምጽናት_, _lunuqlah_, _ንምጽኣት_, 
   {{0xd0390125,0x59ed003e,0x5c4f0147,0x92fc03b3}},	//   _yeterlik_, _dilitara_, _جەڭشى_, _viage_, 
   {{0x671603ab,0x9e3b0176,0x9db50065,0x00000000}},	//   _mramorov, _kvinders_, _abendbla, --, 
   {{0xb3f801d1,0xc84e00ec,0x8f1c0376,0x00000000}},	//   _unjust_, _бізантый, _handtikn, --, 
   {{0x90b8005e,0xed030029,0xb4ee0125,0x4b3a002b}},	//   _ئەخەت_, _نگمان_, _дилинден_, _উজ্জীবিত_, 
   {{0x5e1f036b,0xc65a02b6,0x82f503d4,0xbd13021e}},	//   _здраво_, _нашақорл, _kreiraj_, _konstver, 
   {{0xb25a0005,0xf2fd056b,0xfd7e0349,0x625b032d}},	//   _pally_, _elegan_, _angleswa, _ditlh_, 
   {{0x2f920360,0xc4320169,0x49f702cb,0xc27e04ad}},	//   _receptů_, _সাদিক_, _dijabete, _boene_, 
   {{0x5fac00ec,0x4b3b00ba,0x00000000,0x00000000}},	// [b60] _абскардз, _کۆشنێر_, --, --, 
   {{0x126c0174,0x8b4202c3,0xf19d0040,0xa2fc02e2}},	//   _mohola_, _odporuči, _אביהו_, _anagh_, 
   {{0x56f60162,0x127e0450,0x4aa70238,0x3c540040}},	//   _قازاقچە_, _woene_, _занадто_, _texting_, 
   {{0x73ea025f,0x320e00ee,0x02a00135,0x05e80006}},	//   _mpate_, _хавар_, _zavodı_, _munculny, 
   {{0xe75b018d,0xa058001d,0x09ec02ac,0x52240004}},	//   _ኣልበርት_, _elfstran, _لتبليغ_, _konkli_, 
   {{0xd928010f,0x32ff013f,0x43d701e6,0xab5404df}},	//   _ректори_, _skritur_, _ploché_, _adamalar, 
   {{0x729100ec,0x802900c5,0x22dc0321,0x6da80066}},	//   _vyras_, _返回河北主站_, _podobni_, _kolonbia, 
   {{0x68990092,0x614b009a,0xaa75017a,0x3c450096}},	//   _インフォカ_, _angekahl, _аллбата_, _barwara_, 
   {{0x1c5d0223,0x68110276,0xf25b03f0,0x05f300d8}},	//   _hasteko_, _иммунитл, _litli_, _permetri, 
   {{0x4b5c056c,0x73870234,0x63f9024e,0x97c90024}},	//   _delimičn, _imura_, _pobune_, _প্লেটফৰ্, 
   {{0xdecb0544,0x1135004d,0x00000000,0x00000000}},	//   _hikinaan, _我是艾艾艾_, --, --, 
   {{0x42d403d1,0x6ad70177,0x22920400,0xa0e201c4}},	//   _gardas_, _рыцхараж, _aprasi_, _transval, 
   {{0xfed604eb,0x00000000,0x00000000,0x00000000}},	//   _विंटेज_, --, --, --, 
   {{0x497b032e,0x83eb025c,0x36340061,0x24e80156}},	//   _qamiript, _treten_, _하기스골드_, _בעהמען_, 
   {{0xd27e0258,0xc26c04bd,0x5bae00be,0x00000000}},	//   _soene_, _hohola_, _دەلەبەرب, --, 
   {{0x530002d5,0xf26c0544,0xb0dd0071,0x298000cf}},	//   _finaali_, _kohola_, _اینرو_, _firiille, 
   {{0xa20200d2,0x7f5a003d,0x00000000,0x00000000}},	// [b70] _kuring_, _comprene_, --, --, 
   {{0x0291003f,0x62eb00b2,0xe206034c,0x0ef10265}},	//   _ayraq_, _amannus_, _беатриче_, _verklein, 
   {{0x320203b2,0x8d260136,0x62d801b4,0xde7300bb}},	//   _during_, _napomene_, _kameel_, _رداؤں_, 
   {{0x83eb0240,0x327f02f7,0x12770344,0x8f700138}},	//   _imatau_, _gwanta_, _avanaani_, _alçak_, 
   {{0xfdd5056d,0x9853024b,0x542400f6,0x2455031c}},	//   _abakhuba, _estudios_, _bürosuna_, _provocan_, 
   {{0xb2f30386,0xccf804b1,0xd54e0334,0x00000000}},	//   _dilihat_, _ukategor, _khekhekh, --, 
   {{0x52b402fd,0x727f02b1,0xd2ea0061,0x6d89017f}},	//   _stocha_, _kwanta_, _충청투데이_, _husfeldt_, 
   {{0x0f3e00ff,0x84d90178,0xc2f50194,0x00000000}},	//   _בוזשעט_, _arājakam_, _pruntar_, --, 
   {{0xdc6702c2,0xc0450134,0x03ea056e,0xb3ea00a2}},	//   _hanteer_, _finunkon, _emitiu_, _apate_, 
   {{0x93940418,0x92650045,0xbd270139,0x3a090026}},	//   _sensin_, _игуман_, _darbhaṃ_, _geparkee, 
   {{0x075b0025,0x0fc60345,0x2a8301c0,0xc2b50362}},	//   _मार्गेण_, _positivo, _aziyyata_, _precé_, 
   {{0x69ec041e,0x762f0103,0x47b0018e,0x369c03eb}},	//   _ritirata_, _aipomerw, _emasikwi, _vergifti, 
   {{0xa3ce051b,0x827f002e,0x03eb0020,0xe7a1056f}},	//   _provoz_, _šanse_, _amatau_, _svedectv, 
   {{0xb224012b,0xa00502ba,0x153d04df,0x9b3f0274}},	//   _kroku_, _дурнамо_, _таймдакы_, _leiguíbú, 
   {{0x227e0372,0x72d70029,0xb3870357,0xce95015e}},	//   _eleni_, _ۆکاری_, _emuri_, _pendents_, 
   {{0x0b19038f,0xf973033c,0x2e9e02c7,0x9b7a0145}},	//   _vogalenn_, _frenhine, _verteilt_, _sovietų_, 
   {{0xd2fc0266,0x5c700570,0xca3d020f,0xe866023e}},	// [b80] _niaga_, _मार्क्_, _کاشکې_, _نکسوس_, 
   {{0x82880369,0xaf0f00dc,0x569003f2,0xb99c0156}},	//   _ainapuni_, _leatuava, _marengei, _בלוטיק_, 
   {{0xac6601bd,0x1d2c0352,0xda7a00f1,0x1d760371}},	//   _санының_, _জ্ঞানগত_, _konzwent, _stampare_, 
   {{0x6e53005c,0x09c20315,0x023100e5,0xcfc50311}},	//   _amabombe_, _basemise, _единицит, _ብዘይቀልዓለም_, 
   {{0xbe6a02b7,0x97190092,0xd15c00fb,0x427f0163}},	//   _katikâti_, _スキンケア_, _amagalel, _adunk_, 
   {{0xc3cf0377,0x899f0335,0x44f10166,0x1dfd0268}},	//   _servicii_, _apāṃsi_, _werkstät, _arietyva, 
   {{0xd249015b,0xdc2e000c,0xf3ea00c4,0x394200a4}},	//   _amamas_, _ainupä_, _upate_, _esplugue, 
   {{0x92a7032e,0xb9ca00a8,0x90b700c1,0x8a7f0331}},	//   _sullsuńa, _bagliafa_, _ह्युएन_, _ivingars, 
   {{0xd3ea00b4,0x1232034e,0x0d0d0125,0x77cc01b4}},	//   _spate_, _adambro_, _даналыгы_, _dissipli, 
   {{0x08c002c3,0x17c10040,0xcbfa016a,0x829201ec}},	//   _predsedu, _הֶחָפֵץ_, _analogio_, _desane_, 
   {{0x125001cd,0xfc080257,0xf64000b3,0x82b4033e}},	//   _бешак_, _skagafir, _berişlik, _katakuáp, 
   {{0x127e0571,0x602a00a3,0x726f0399,0x2b8901a3}},	//   _koena_, _vindafjo, _hangatam, _خوشبوئن_, 
   {{0x21d10381,0xcf630455,0x3a840148,0x0d3e0064}},	//   _upperway_, _demandes_, _比利討論區_, _кризиске_, 
   {{0x327e01e1,0x0dfc0462,0x0c8301b2,0x6e1800b3}},	//   _moena_, _exceptwa, _abetting_, _гөвек_, 
   {{0x009102ac,0x37e30262,0xbaa7030d,0xacae00e6}},	//   _الزغبي_, _almaklyg, _valideyn_, _仅搜索标题_, 
   {{0xa7310410,0x61010572,0x54960013,0x30cc00de}},	//   _laolegeg, _तलाशे_, _алмашину, _akrokrel, 
   {{0x3eac00e0,0xf27f046d,0x7ee70368,0x15d90573}},	// [b90] _sintrale_, _nduni_, _замало_, _dalbanay, 
   {{0x454301ef,0xfc1204a4,0x627f0148,0x09cb0109}},	//   _pasisaky, _chargaib, _dignus_, _अझैपनि_, 
   {{0x927f0551,0x82da0194,0x139600ff,0xd27e0155}},	//   _jeung_, _astonar_, _מיאוסע_, _somna_, 
   {{0xf3ea026c,0xfc510057,0x827e004b,0x8ea90037}},	//   _mentem_, _jentera_, _boena_, _ከባልንጀሮቻች, 
   {{0xb2900127,0x1168044a,0x49d300ac,0x69c002e0}},	//   _addalc_, _congobil, _udaljena_, _dumelese, 
   {{0x537802e1,0xb82a01a3,0xb77c0040,0x16b90251}},	//   _theanga_, _تبرڪات_, _ההסדרים_, _milateri, 
   {{0xd9520026,0xa340014d,0x7e0c0046,0x187500f6}},	//   _veelgest, _frieden_, _رجانا_, _radıyall, 
   {{0x827f0265,0x3d510088,0x1c770026,0xba8601b0}},	//   _ieung_, _امىنىدا_, _kwestie_, _didiskus, 
   {{0x52910107,0xe52b0157,0x5e3400a0,0x6f2002c3}},	//   _jabang_, _marynark, _askarawa, _nezvyčaj, 
   {{0xa2130233,0x6599025b,0xb603006c,0xb395015f}},	//   _amcham_, _savninum_, _косимов_, _asesir_, 
   {{0xdc0800a5,0x89950315,0x42d901c8,0xce1b00f2}},	//   _asomaliu_, _benkinga_, _bojlery_, _normunds_, 
   {{0xea150103,0xfafc0287,0x93630161,0x00000000}},	//   _kurarama_, _obvinění_, _карточку_, --, 
   {{0x35ad0244,0x47a70071,0xf27e024b,0x290a0121}},	//   _работата_, _غفاری_, _lleno_, _cambiand, 
   {{0xa3340218,0x69e20574,0x00000000,0x00000000}},	//   _osscray_, _napolija_, --, --, 
   {{0x329102f6,0xb5d9014f,0x43b800ff,0x0846006c}},	//   _habang_, _анализе_, _אזערבייד, _abalitad, 
   {{0xd2910022,0x033d0029,0xbb1903fb,0xf290046f}},	//   _babang_, _ڕیوان_, _detaljan_, _jackett_, 
   {{0x227e0004,0x0a2f01c8,0xc34f00b4,0xaf7b01c0}},	// [ba0] _plenn_, _fenomén_, _camerei_, _bercelon, 
   {{0x93a700e4,0xd40802e7,0xea0b023c,0x4a970418}},	//   _त्रिविमी, _bibuguin_, _bamagama_, _metrobüs_, 
   {{0xb5c70125,0xff6904d1,0x63400258,0x4c7e02fc}},	//   _utgaşdyr, _murallas_, _brieden_, _amasano_, 
   {{0xb2ab0003,0x3acf0235,0xf57804e5,0x627e0028}},	//   _vandaag_, _aghaṭana_, _abawanik, _yoonis_, 
   {{0xeb20051f,0xafa90061,0x3f3b000f,0x00000000}},	//   _تائیستا_, _하지정맥류의_, _belgelen, --, 
   {{0xd94e0170,0x6b1f04dc,0x967a0212,0x7e270575}},	//   _abalalit, _بڵندی_, _honestum_, _هومایوون_, 
   {{0x50bc02ec,0xd53202d3,0xc29102a2,0xbbef0244}},	//   _گاسہٕ_, _телефонс, _aabang_, _colorato_, 
   {{0x6a2900ff,0xc3f903f1,0xc9230153,0x627f004f}},	//   _ספרעדשיט_, _pegudj_, _チャットレディ_, _jeund_, 
   {{0xd3040227,0xfbed0099,0x6d020050,0xc2d804ca}},	//   _menolong_, _aitovawo_, _ngaliwat_, _calern_, 
   {{0x9386008d,0xb889006c,0x7ae10227,0xee3200e6}},	//   _iborat_, _abakhand, _keilmuan_, _最近播放器增加了, 
   {{0x5d1900f4,0x0efe0444,0xcc7e0499,0xc5ab0220}},	//   _kinniget_, _среднего_, _amasino_, _гърдите_, 
   {{0xb2240360,0x39ed01fe,0xb9f301c8,0x2d630162}},	//   _řekla_, _didivara_, _exprezid, _بىلوگىڭى, 
   {{0xefd701ac,0x87ab02ca,0x12240022,0x29da0137}},	//   _chainteo, _وردشان_, _esoka_, _объектуу, 
   {{0x32980019,0x6ec20135,0x0c93015e,0x53940064}},	//   _каббалис, _byudjetı, _قازات_, _salses_, 
   {{0x33870129,0x875c00c5,0xdd9702cf,0xe4da0094}},	//   _amuru_, _政府信息公开_, _месеците_, _мойны_, 
   {{0xcb92041f,0x02870576,0x1c75001d,0xd0e60012}},	//   _okunjalo_, _دفعات_, _sequent_, _आदमीके_, 
   {{0x727f0222,0xdb1c01d9,0xb2ff022b,0xdd940166}},	// [bb0] _jeune_, _dobannen_, _eirikur_, _bewältig, 
   {{0xd97e003a,0xa2020577,0xa6bc00de,0x11230143}},	//   _чораларн, _musiet_, _kukushiy, _клинична_, 
   {{0xc8b80044,0xaf3c00da,0xc646009a,0x1746009a}},	//   _ותתפרסם_, _колорату, _abaneemf, _abaneemv, 
   {{0x88380220,0xec7302e0,0xc3c1020a,0x3589039e}},	//   _проектир, _agisana_, _амандығы, _austblok, 
   {{0xf3ea0358,0x9aeb0145,0x88a700b3,0xc6f902ac}},	//   _apati_, _столькі_, _урушмаяр, _وبعضهم_, 
   {{0xd2f70193,0x856c0483,0xd18d008d,0x60f700d9}},	//   _अरेरे_, _antigüid, _kuzatish_, _таблице_, 
   {{0x89f60131,0x13640287,0xb355015e,0xdeae0014}},	//   _xesús_, _उचाईमा_, _superat_, _rubrikat_, 
   {{0x644b018d,0xafa50217,0xebac017a,0xe3870140}},	//   _መኮነናት_, _expeller_, _abayijab, _adarna_, 
   {{0xc01a0148,0x75ca018d,0xe2b800cb,0xcfe0025e}},	//   _子類股相對成長狀, _ምምንዛዕ_, _бармехӯр, _bíltúr_, 
   {{0xdb76005e,0xddfb015d,0x8fe50488,0x7163011a}},	//   _دۇككان_, _अनेकता_, _partnerī, _salinity_, 
   {{0xeb9204cf,0xdf2f01a6,0x441100b5,0xd9ed003a}},	//   _akunjalo_, _heretaun, _асекциа_, _fransiya_, 
   {{0xf2e301f0,0x5ecc0115,0x0a0702ea,0xd3ac0325}},	//   _bilione_, _fikirann, _sembrava_, _tövhid_, 
   {{0xd387006e,0x2943004b,0x3a020107,0x64ad00ba}},	//   _alersi_, _гектарын, _turangga_, _رۆککۆمار_, 
   {{0xa2ff0578,0x27ed0060,0x72450486,0xd91900cb}},	//   _sibhlub_, _قالدىرىپ_, _čelisti_, _бекзода_, 
   {{0x638701ac,0xe6dd0579,0x63860198,0x88a20045}},	//   _bearta_, _नितिश_, _spored_, _студирао_, 
   {{0x9c66019a,0x92920064,0x00000000,0x00000000}},	//   _dafties_, _secretàr, --, --, 
   {{0x5c710235,0x0e9203d4,0x38a30093,0xeeef0059}},	// [bc0] _मार्गो_, _потребу_, _северног, _здравна_, 
   {{0xdb7002fe,0xb2ea0230,0xaa8c012a,0x827e042b}},	//   _الجزایر_, _batiman_, _kolekcję_, _pomno_, 
   {{0x04540468,0x1d9c00af,0x674d00ac,0x2986027b}},	//   _اختلاس_, _споруди_, _zbrinjav, _उपगम्य_, 
   {{0x1f6f000e,0x22cb0117,0x23480230,0x799300bb}},	//   _mudanzas_, _keadem_, _lenerzi_, _بھرکم_, 
   {{0x3cbb002f,0xc29000b5,0xa89d01c8,0xd30e0185}},	//   _allintaq, _hakate_, _prémiové_, _cimerä_, 
   {{0x290f011f,0x6a420208,0x325a0125,0xa91e0126}},	//   _аппаратз, _ئێریک_, _hally_, _обіцяють_, 
   {{0x533401b7,0x625a00ea,0xd31102ff,0x00000000}},	//   _सिडनीनगर, _kally_, _dezakň_, --, 
   {{0x9a020024,0x41470161,0x975a0291,0x9378042d}},	//   _মাইবং_, _машинах_, _وسلّم_, _hazaela_, 
   {{0xb0c70141,0x0303009b,0xe1a504c7,0x98ef02f8}},	//   _туркияда, _berandu_, _mirović_, _tangilau, 
   {{0xc27e053e,0xf224012a,0x03780133,0x727e0295}},	//   _poeng_, _kroki_, _daballa_, _moene_, 
   {{0x82130062,0x129100dd,0x9a150455,0xf9e5015e}},	//   _bavha_, _bedair_, _appartie, _телеберү, 
   {{0x03eb00f4,0x9527032b,0xb27e04c5,0x09dc00d1}},	//   _breton_, _далйән_, _pyonye_, _কাপুৰুষ_, 
   {{0x96730212,0x6066033a,0xff2c0331,0xa63001ab}},	//   _hendreri, _indirizz_, _avhendin, _पुछहीं_, 
   {{0x42e301ad,0xec53024c,0x03ea0103,0xb6880156}},	//   _lapinig_, _huttafa_, _epatv_, _cindruli, 
   {{0x51f800bc,0xf22600be,0x1aba0041,0x725a0486}},	//   _عقيلي_, _بوشقولۇم_, _ратәамба, _padly_, 
   {{0x52420025,0xb200018a,0x530001b8,0x815d01d9}},	//   _कपिला_, _adain_, _sajandi_, _öffentle, 
   {{0xb3440515,0xcc6801e8,0xde4d0326,0x2392025e}},	// [bd0] _acresce_, _alfreso_, _angadana, _afbragðs, 
   {{0x012d000c,0x42ea034d,0x6f33002b,0x06070265}},	//   _ханты_, _matikan_, _অতিচঞ্চল, _ademhali, 
   {{0x125a011b,0x4c4800ff,0x775a02bf,0xc3640334}},	//   _fally_, _לעסאָף_, _baphendv, _atagona_, 
   {{0x49c701bd,0x61550452,0x4d0003c6,0x557d0374}},	//   _салада_, _कल्लोळ_, _beslisse_, _фармонга_, 
   {{0x93420244,0x720003eb,0x6cf802f3,0x72fc02c2}},	//   _modello_, _gekies_, _okategor, _snags_, 
   {{0x82a60247,0x0fd4021f,0x60ed00e6,0x4b0901f9}},	//   _tumbas_, _amanitoo, _版权均属于新华社_, _eceshane, 
   {{0xf7150073,0x4ff40235,0xa2a90311,0x1a65026f}},	//   _terminav, _निशाचरः_, _ብጎነጽን_, _ندىلىعى_, 
   {{0xe37800d7,0x2178020e,0x052b03b9,0x4e83015e}},	//   _baballa_, _baballel, _marimach, _келишимг, 
   {{0x2993017d,0xc3860476,0x3306023e,0xf3ea0142}},	//   _ソフトウェア_, _afirwa_, _pemanah_, _apitu_, 
   {{0x40f502a5,0xb2ea03e5,0x417000ff,0x931502e1}},	//   _अप्रील_, _datikan_, _סעליולער_, _arabach_, 
   {{0xf29100dd,0xdeaf02ac,0x15ea0244,0xe2770370}},	//   _pedair_, _مساحتها_, _приготве, _allahhtm, 
   {{0xb0470023,0x9307022c,0xb9d1004d,0x8851030a}},	//   _самого_, _sakabeh_, _新華網版權與免責, _queredes_, 
   {{0xdaf401eb,0x241d023c,0xa0f00040,0x8a8c00a6}},	//   _aserrade, _وغورځول_, _ומפגשי_, _nezingab, 
   {{0x727e0008,0xa6f603f2,0xc38600e6,0x9aec02eb}},	//   _plens_, _научить_, _aborde_, _adjektib, 
   {{0x93ea01fa,0x62c60333,0xcdcc005f,0x00000000}},	//   _epato_, _aculate_, _michoaca, --, 
   {{0x4faa027b,0x34850276,0x68c80212,0xdf1e01f5}},	//   _adhokṣaj, _гугулашт, _adstring, _mendefin, 
   {{0x0666028b,0xe16501e8,0x792200be,0x23710127}},	// [be0] _страничк, _motorway_, _теорияла, _defakeg_, 
   {{0x9987013d,0x52900028,0xe9a70060,0xc9ec03ef}},	//   _elektita_, _aynaan_, _تۇرمايمى, _arangiza_, 
   {{0x13810334,0x138601fb,0x095b0126,0xec6501ab}},	//   _akayang_, _eboree_, _tallrike, _filtrit_, 
   {{0xb575023d,0xcc690151,0xa8d601a6,0xfe9601db}},	//   _trattato_, _baarool_, _mututang, _شىبىق_, 
   {{0x1c730073,0x8e720025,0x4cc80064,0x06350012}},	//   _pensata_, _तिष्ठ_, _الاقانعا_, _उतरहीं_, 
   {{0x385d008f,0x22cf00ce,0x83b0028b,0x03d8021c}},	//   _kinnistu, _negosye_, _иззеиқәм, _plochá_, 
   {{0x07b301c2,0x5544018d,0xaa8902ef,0xb7ed027f}},	//   _próximos_, _ዘምህረት_, _babilonn_, _bidasang, 
   {{0x095d01c6,0x00000000,0x00000000,0x00000000}},	//   _minniste, --, --, --, 
   {{0x2e900147,0x93720151,0x6d1a0061,0x9d0e00a7}},	//   _بۉچۉر_, _defaced_, _민원처리공개_, _моментте, 
   {{0x5c030107,0x90640142,0xd27f008b,0x6fc903c2}},	//   _rimpang_, _वर्षति_, _beengi_, _aahidoor_, 
   {{0x56c901af,0xfe3600e6,0x00000000,0x00000000}},	//   _alsaňam_, _拆迁人应当对被拆, --, --, 
   {{0xe03300f4,0x00000000,0x00000000,0x00000000}},	//   _distroen, --, --, --, 
   {{0xcd15033e,0xdc6202f6,0x00000000,0x00000000}},	//   _europape_, _batuhin_, --, --, 
   {{0xb97501d4,0xf4be0297,0x246c01f9,0x5f61037c}},	//   _antichit, _бюросынд, _balebhiz, _diabolus_, 
   {{0xe8790211,0x738600cc,0x81fe057a,0x92d602d7}},	//   _maahantu, _scoret_, _арканман_, _aproben_, 
   {{0x3073002b,0x3a9700da,0xe909014e,0x42d50086}},	//   _আত্মশুদ্, _dumitres, _ценама_, _sarokba_, 
   {{0x22d400a8,0x9202008b,0x234103dd,0xec0b0156}},	// [bf0] _mardis_, _afrigu_, _distancë_, _אמענדמענ, 
   {{0x23950076,0x14ac01fc,0x6c05005b,0x608b01e0}},	//   _apesar_, _anfakaak, _matsuri_, _بریتانی_, 
   {{0xec3103c7,0xee7000f2,0x9d7b0192,0xbcc70161}},	//   _osobowyc, _ugunsgrē, _vermelde_, _трибуны_, 
   {{0x02f20261,0xa402011e,0x5c83012d,0x22eb029d}},	//   _informoj, _eparnyen_, _laetning_, _emailul_, 
   {{0xe3eb055d,0x73cc0185,0x49ec0043,0x77370488}},	//   _umatku_, _башланыр_, _asinziza_, _frizieri, 
   {{0x49490061,0xfb6b012a,0x528201a6,0xc3f400b6}},	//   _학창시절을_, _brytania_, _miihini_, _uguten_, 
   {{0xb94201eb,0xb26e0487,0x3a1b057b,0x3c0003e6}},	//   _aislante, _scroll_, _bloquead, _ausseet_, 
   {{0xa37b04df,0xe16f003f,0x27810409,0xe41700b3}},	//   _armanym_, _majijlah_, _kirkelig, _bilinjek, 
   {{0x9f54048c,0x021b002f,0x9f300092,0x5257014f}},	//   _supplant_, _ayakachi_, _プレミアム会員規, _жестоком_, 
   {{0x82da018c,0xe2d80027,0x4b8a018d,0x7c1b000a}},	//   _nateon_, _kniele_, _ekuilibr, _annaavar, 
   {{0xfb880450,0x9deb0002,0xb77b01db,0x8cd70271}},	//   _gelokkic, _grejanje_, _спортпен_, _buskerud_, 
   {{0x286e0076,0xaa8c0037,0x6c2b057c,0xf2070156}},	//   _adesivos_, _አውቶማቲክ_, _banegård, _יעדנס_, 
   {{0x4f110148,0xc9f3019f,0xc3b002e5,0x3a150415}},	//   _vantagep, _jitihada_, _balque_, _verbande, 
   {{0xac280121,0x21db0025,0x52c60129,0x2e1a01c5}},	//   _establec, _aligatah_, _ibulite_, _habeenka, 
   {{0x33dd026f,0x220e015e,0x6f5001d7,0x5c6600c8}},	//   _ءتەمۇجين, _матай_, _presidia, _барышы_, 
   {{0x49bf01fe,0xa30803bf,0x7b7c00d1,0x1bfa0087}},	//   _sekerite, _фразалар, _ভাষণত_, _nyingiso_, 
  
   {{0x44fb0255,0xcd4c0040,0xf9eb01ab,0x32d50138}},	// [c00] _किसाने_, _ורעיונות_, _पिटववले_, _tablosu_, 
   {{0xda4f0163,0x372c03a2,0x00000000,0x00000000}},	//   _الانبیاء_, _बेग़म_, --, --, 
   {{0x127e0241,0x32cb01f0,0xdda60020,0xff37021e}},	//   _amananii_, _bokolwa_, _fefinaua, _vägledni, 
   {{0x58c702b2,0x2e640164,0x22c3034a,0xa08c01cd}},	//   _районі_, _бурунму_, _tellado_, _қаландар_, 
   {{0x2c85026c,0x095901b8,0x617e0428,0x92fc0051}},	//   _個搜尋結果_, _प्रकाशनक_, _kadarkol, _baigi_, 
   {{0xf6c4004b,0x6979057d,0x03ea01d9,0xebc9002b}},	//   _отставка, _povijest, _dentom_, _আয়োজনে_, 
   {{0x4e3a02ce,0x19c604b3,0x92900418,0x03eb01e6}},	//   _biologis_, _landerne, _kumaş_, _platbu_, 
   {{0xa2fc02fd,0x333203db,0xeb1a0126,0xdb250026}},	//   _taigh_, _axoxa_, _фірма_, _gesproke, 
   {{0x42cb01e5,0xd94b0035,0x221301ac,0x20a9017a}},	//   _akadá_, _уйлаганд, _dochum_, _ҳоугленд_, 
   {{0x627f03f6,0x5b69028e,0xcb780139,0x454b03d5}},	//   _iluna_, _konfusen_, _वार्ष्णे, _aachlash, 
   {{0x82c90037,0x12c60387,0x00000000,0x00000000}},	//   _በትህትና_, _ebulite_, --, --, 
   {{0xf349033a,0x79fe00ff,0x5f2603ae,0x4387018b}},	//   _esterni_, _גוטמאן_, _hovedinn, _mearga_, 
   {{0xf12d0397,0x9f2b0108,0xc993008b,0x08d800d9}},	//   _дасти_, _kabudaya, _dekkitee, _секунду_, 
   {{0xf0fb0311,0xa6f001fc,0x33dc0053,0x8264034c}},	//   _ዓንገረር_, _tabantá_, _polwan_, _kaplap_, 
   {{0xfec0035f,0xc9d20255,0x2ee1019b,0x927f00a7}},	//   _सर्वोपरि_, _perearst, _turintis_, _lluna_, 
   {{0xc27f0309,0x2d66057e,0x161904e5,0x4341023e}},	//   _oluna_, _इतिहासमा_, _amalwali, _قنداق_, 
   {{0x1c6b02af,0x86b6017f,0x9264015b,0x12bb0044}},	// [c10] _atamuntu_, _aamarsui, _laplap_, _altered_, 
   {{0xc2120129,0x67480386,0x1f4b018d,0x13e10102}},	//   _ahihia_, _menyaksi, _ምቅንጃው_, _kielelez, 
   {{0xd27f02d3,0x8b250265,0x60ba012a,0x9ad1034c}},	//   _aluna_, _besproke, _modlitwy_, _folklorı_, 
   {{0x927e0049,0xa387031a,0x00000000,0x00000000}},	//   _koeni_, _dearga_, --, --, 
   {{0x45730037,0xf25b013d,0xb2a7057f,0xc7c10196}},	//   _በቫንኩቨር_, _italio_, _huebes_, _chosungi, 
   {{0x63ea012f,0x6bc10192,0xc20102e7,0x4290024f}},	//   _spitz_, _세금계산서_, _ascite_, _takape_, 
   {{0xd0e903b7,0x485302d6,0x00000000,0x00000000}},	//   _acticabl, _деразада, --, --, 
   {{0xd2ca019d,0x88490311,0x43d50153,0x42000318}},	//   _abodza_, _ክንቃወሞ_, _この商品は他のサ_, _oliia_, 
   {{0xb2fc022f,0x4c010230,0x93eb02c2,0x79600038}},	//   _taigi_, _awtsors_, _spyte_, _лэкин_, 
   {{0xd1e70223,0xcc7a005d,0x00000000,0x00000000}},	//   _barrutik_, _naimandu_, --, --, 
   {{0x527e015e,0x0b8a0322,0x625b00f2,0xee3800f4}},	//   _somni_, _abanyair, _katlu_, _dalgalia, 
   {{0x6fb00040,0xb8760289,0x034c0077,0x58980350}},	//   _mattress_, _atanyamu, _footbalè_, _ተሸንፈው_, 
   {{0x63f8019d,0x00000000,0x00000000,0x00000000}},	//   _fanuel_, --, --, --, 
   {{0x037802a6,0x538702ec,0x72da01c5,0x4236028a}},	//   _rifatta_, _afarta_, _wateen_, _ngoja_, 
   {{0xa2d80039,0xe6a80233,0x235600aa,0xffff03f7}},	//   _lehen_, _ultrasch, _josephs_, _dýrmætan_, 
   {{0xe3390525,0xd8c80039,0x06bf01c7,0xbb9700af}},	//   _जनकपुरी_, _testuing, _bayrammy, _дискримі, 
   {{0xca110169,0x3b2200ff,0x22d80357,0x01f20025}},	// [c20] _repairme, _טיקקלינג_, _iiieee_, _अधिवर्षः_, 
   {{0xa3790291,0x0f4e00f4,0xa69002ae,0x00000000}},	//   _dialóige_, _erspizet_, _večernje, --, 
   {{0x1a15018c,0x81df014b,0xe27e0045,0xd5f00207}},	//   _verbonde, _gorrisak_, _elenu_, _پڌرنامي_, 
   {{0xe7fa03da,0xe2a1022b,0xfb070421,0x70760237}},	//   _anabigag, _veljast_, _passiert, _블로그검색_, 
   {{0xc95702a4,0xab250272,0x83c80005,0x73540580}},	//   _whistler_, _ababereb, _nouvas_, _cements_, 
   {{0x20260156,0xc2a10034,0xc30002fa,0x22d803ad}},	//   _אינסייד_, _teljast_, _nabandi_, _dehen_, 
   {{0x9c510429,0x1ec300c3,0x013e01bf,0x93ea026c}},	//   _tentera_, _facilius_, _legemidl, _gentem_, 
   {{0x83770148,0x74c9023d,0xe2e800e6,0xa3100059}},	//   _廚房與廚房用品_, _догодина_, _采矿工程师_, _siccome_, 
   {{0x0300025f,0x544600be,0x28070148,0x8201042a}},	//   _babandi_, _تاعىنا_, _nascitur_, _bucine_, 
   {{0xfab0014a,0xda8b029b,0xda0b0020,0xcad30065}},	//   _keresünk_, _bariwoon_, _lamalama_, _editiere, 
   {{0x77bb019b,0x2c5902b9,0x53eb009b,0xd72c02af}},	//   _kolektyv, _kaptunk_, _uretan_, _ikamurig, 
   {{0x02d80250,0xeafe003d,0x66b9003d,0x00000000}},	//   _behen_, _agarrime, _bilateri, --, 
   {{0xa5990220,0xfc050040,0x42cf0044,0x17ed0084}},	//   _крастави, _clarify_, _chimney_, _didagang, 
   {{0xf4b4038b,0xae5e0311,0x00000000,0x00000000}},	//   _pelantik, _ንኽትወጽእ_, --, --, 
   {{0x7f6404bd,0xce45012f,0x7f6d04b9,0xe0490103}},	//   _baharain, _doganiga, _asmatics_, _amirisan, 
   {{0x653401cd,0xff26020e,0x334003e6,0x227f026c}},	//   _abayibiz, _ferekann, _friemen_, _pignus_, 
   {{0x93200219,0xe39501b0,0x02e301e9,0x7b710403}},	// [c30] _lenye_, _diasuh_, _gidione_, _hamongor, 
   {{0x21bc0025,0x82ca033f,0xd2920524,0x00000000}},	//   _व्यवहारे_, _ifalemi_, _trsatu_, --, 
   {{0x3a440119,0xe27e0581,0x517601fc,0x327f002c}},	//   _macerata_, _flent_, _fransaay_, _emanen_, 
   {{0xd0570046,0x951400ca,0x72000241,0x00000000}},	//   _курманбе, _arrocalh, _eliin_, --, 
   {{0x22fc01f4,0x7a1201e9,0xb2020003,0x39970513}},	//   _chaga_, _dibayoke, _syrië_, _jackbuda_, 
   {{0x6c7501b2,0x62740207,0x2ae50220,0xb5180059}},	//   _ceasing_, _سورلي_, _pasticce, _простата, 
   {{0xd88a0147,0x92000138,0xd2ef02a8,0xaa1400a8}},	//   _ارچىندى_, _eskiye_, _ġlieda_, _percunte, 
   {{0x13200582,0x86b40004,0x22470203,0xd2150135}},	//   _denye_, _asosyasy, _mondokom, _игәнәй_, 
   {{0x7f660435,0x3df00132,0x46800105,0x92fd01bc}},	//   _имала_, _اندوز_, _लाराः_, _joegen_, 
   {{0xc2900242,0x928a022d,0x332002e0,0x00000000}},	//   _vakant_, _paragoni_, _fenye_, --, 
   {{0x10ad008d,0x9288025b,0x6d9b02d0,0xf277019f}},	//   _хотираси, _finaluni_, _beguiled_, _uwanjani_, 
   {{0x72f00583,0xb9ad0271,0xd6a3015f,0x00000000}},	//   _delovanj, _miljømes, _diffinni, --, 
   {{0xe2260075,0x937b0117,0xbc910584,0x5b0f0163}},	//   _merkja_, _honarem_, _celebrou_, _párommal_, 
   {{0x3679037c,0xf29500de,0x97ea0261,0x63e6022d}},	//   _bookbrow, _منتظري_, _לכתחלה_, _bastardi_, 
   {{0x2380003c,0xe218016f,0x0e0100be,0x00000000}},	//   _بادگیر_, _обрав_, _كونراددى, --, 
   {{0xeb210418,0x56d501c5,0xd2fc00ee,0x320000cf}},	//   _itibaren_, _faransii, _zaigu_, _aliin_, 
   {{0xb57b0119,0x2524021b,0x222403f3,0xa30c0169}},	// [c40] _bertulfo_, _афоризмы_, _lukken_, _mamadas_, 
   {{0x52a600f2,0xdc4a003c,0x1945004d,0x00000000}},	//   _bumbas_, _دارچیننو, _白點病的原因與治, --, 
   {{0xfd0001aa,0x4b0c0041,0xa2dc0585,0xb29103d1}},	//   _encumber, _ahypyiva_, _polovni_, _vingroša, 
   {{0xf2e80222,0x425900e4,0x38c6049e,0x5169045e}},	//   _objectif_, _त्रिलोचन_, _cibulkov, _хелоуин_, 
   {{0xf2b40025,0xa297005b,0xcd9f0241,0x00000000}},	//   _tacca_, _masayuki_, _giloobaa, --, 
   {{0xd2920377,0xec5a030b,0x72d903c2,0x26310153}},	//   _mesaje_, _agatali_, _anility_, _三島水辺の散歩道_, 
   {{0xf5c1031a,0x6f5701db,0x929000ec,0x02d4005b}},	//   _artaigil_, _арабша_, _sakant_, _ertdna_, 
   {{0x1d080039,0x00000000,0x00000000,0x00000000}},	//   _мухлагий, --, --, --, 
   {{0xec7b0457,0x401f018b,0x627f00bd,0xa2380250}},	//   _asisnah_, _referito, _slung_, _flamuri_, 
   {{0xc2fe04c3,0xefbc02da,0x66c4018e,0x8fc10372}},	//   _exciter_, _историск, _disayiyi, _brunstro, 
   {{0xc2a600e1,0x729202a3,0x7ddc02bb,0x00000000}},	//   _cambar_, _tesame_, _spokojne_, --, 
   {{0xdcef045f,0x4fda01cb,0xd8250299,0xd3490207}},	//   _ansvarig_, _ngezilan, _تېىخى_, _sipendi_, 
   {{0xf2f10016,0xba940031,0xb3bd01f0,0xffc3005b}},	//   _atribui_, _akuntans, _gogwang_, _biginner_, 
   {{0xc373020f,0x5ef90126,0x122403e6,0x2201026c}},	//   _kumazwe_, _негайно_, _kukken_, _habitu_, 
   {{0x827e0004,0x3f620060,0xdd6900da,0x03040227}},	//   _plent_, _толуына_, _монетарэ_, _penolong_, 
   {{0xc26f00e6,0xbdc4011a,0x50de0350,0x00000000}},	//   _中国中小企业信息, _לנקסוס_, _ወደምትባል_, --, 
   {{0x1cf70250,0x662200da,0x046b0219,0xb29c0322}},	// [c50] _kulturor, _непревэз, _atawuntj, _ababakom, 
   {{0xa8f70060,0xb224038e,0x362801a3,0xe2d8010d}},	//   _تويتارىس_, _psikis_, _ٽوئنٽي_, _behel_, 
   {{0x324900db,0x47ee0376,0xec22024c,0x6c4d03d4}},	//   _asemel_, _allahalg, _gustuż_, _цигарета_, 
   {{0xb9dc0488,0xd202036f,0xd667046b,0xbc4e005a}},	//   _klientie, _seriju_, _ganiatáu_, _chuvmey_, 
   {{0xf9c40586,0xdb940222,0xec7702ef,0xe2900165}},	//   _kweentat, _similair, _abitrč_, _kakase_, 
   {{0x322400c2,0x87690044,0xe71101db,0x3e5802eb}},	//   _isoko_, _אחסנה_, _депутатқ, _үбтдс_, 
   {{0xa20000d4,0x81a80302,0x2f9c0139,0xb2240181}},	//   _bliid_, _ngamazwi_, _ayoniśov, _asoko_, 
   {{0xa2480326,0x92ef0342,0x41e1032d,0xa23f0040}},	//   _dzimwe_, _ankouraj, _уйынын_, _רמיקס_, 
   {{0x58730097,0x02900184,0x3245020f,0x925b034a}},	//   _fàgbèrè_, _nakare_, _تربګني_, _atallo_, 
   {{0x727e011e,0xda0402d9,0x40d00115,0xa26d03b4}},	//   _iminan_, _faeasait, _lailatul, _emaoko_, 
   {{0x25bf00fc,0xec17012b,0x53ea008b,0xd3f0003d}},	//   _dayajmoh, _kąpiel_, _gentam_, _barsotti_, 
   {{0x800500ff,0x82000028,0xa091006d,0x1a720411}},	//   _רופסט_, _amiir_, _адаптара, _samlivsb, 
   {{0x05850312,0x927e0265,0x027e00ad,0x59ec0103}},	//   _energiez, _klenz_, _eneng_, _aitibata_, 
   {{0xaa1300c5,0xc6a00163,0xacbf0130,0xdb390019}},	//   _您的身份为游客_, _الباری_, _echedoù_, _ракетада, 
   {{0xbef80309,0x91fe029f,0x0fec00c7,0xb27e00f4}},	//   _quraşdır, _diskusné_, _хакимият_, _boent_, 
   {{0xd9fc0152,0xdeb90265,0xc2b40230,0xc50301f6}},	//   _машинасы_, _situatie_, _cacco_, _দিয়ক_, 
   {{0xf27e038f,0xc200046b,0x2db3001d,0x39f30119}},	// [c60] _voent_, _ddail_, _redactet_, _konsumed, 
   {{0x738701f1,0x9fa40156,0x56240009,0x757103a4}},	//   _ndarja_, _ברעיקט_, _navodili, _gundadal_, 
   {{0x3db902f6,0xf27e00a0,0x82d40258,0x5d7a0260}},	//   _maghinta, _aminan_, _efternei_, _baamonde_, 
   {{0x28c5003d,0x13f904c3,0xe9e700da,0xdfc30007}},	//   _vicesind, _acquy_, _медикалэ_, _bakomilo, 
   {{0x32920219,0xc290000c,0xfb0e027c,0x6f110437}},	//   _besake_, _jakare_, _eliphant, _mandagen, 
   {{0x694c0258,0x997a0168,0xb248003a,0x230503ce}},	//   _dakleaze, _invitert, _imomi_, _ڕوبار_, 
   {{0x851f00d1,0x025a00b4,0xa25b00f2,0x96fd003c}},	//   _অতিসংবেদ, _unelte_, _katli_, _چیپست_, 
   {{0x72bb0233,0x10320158,0xf34f02ac,0x0b7a024f}},	//   _volente_, _दुख़दायी_, _بمرضى_, _eparaama_, 
   {{0x89e601aa,0xbb0c0013,0xd683010d,0x113502e5}},	//   _escribed, _نازیک_, _विरार_, _кындыҕ_, 
   {{0xbc63019f,0x727e01cd,0x8ee401b7,0x329200da}},	//   _matukio_, _mnene_, _सनत्कुमा, _повязкэ_, 
   {{0x32a604ea,0xe2fc0113,0x727e02f6,0x3d9e0436}},	//   _lambor_, _haigh_, _aminin_, _agresije_, 
   {{0x42900120,0x8fe50073,0xc3960587,0xfb4300b4}},	//   _bakare_, _scriptio, _èsser_, _fotbalis, 
   {{0x93f9005c,0x126e005b,0x2d6f00bb,0x23ce00f1}},	//   _kibuye_, _istock_, _وحرام_, _provok_, 
   {{0x935302c4,0x32fc0113,0x13f900ae,0x21b2002b}},	//   _слабеење_, _maigh_, _bibuze_, _তাতেও_, 
   {{0x63870353,0x927e013f,0xf3790321,0x6412004d}},	//   _zdarma_, _poent_, _cesarja_, _權利金報價單位_, 
   {{0x6c6700b4,0xcdb20094,0xd6ed0141,0x629001a6}},	//   _solutia_, _قىزىعۋشى, _моделлаш, _takare_, 
   {{0x4d760247,0x62fc005b,0x00000000,0x00000000}},	// [c70] _پرينت_, _chage_, --, --, 
   {{0x4cd6022f,0x424804b9,0xa84801e1,0x23f800e1}},	//   _забрала_, _climbs_, _рәшит_, _alluwa_, 
   {{0x9d66026e,0x6ec40483,0x076d0139,0x583f004c}},	//   _इतिहासका_, _redondas_, _दग्धा_, _asumulud, 
   {{0x226c0261,0xdaf10373,0xe2af00fc,0xa29401e3}},	//   _denove_, _imperies, _daharlaw_, _opravili_, 
   {{0x23f900de,0x16cd0227,0xdafb018d,0x72e8017f}},	//   _sibuze_, _disampai, _ሓንጎለይ_, _aarfit_, 
   {{0x72d2013d,0xa57b0257,0x2bae02eb,0x82900145}},	//   _titoloj_, _grindaví, _физикийн_, _vakare_, 
   {{0xf2cb04bd,0xfa8f01d2,0xce4d00fb,0xa2900227}},	//   _kolopua_, _ashinman_, _ingakana, _mukaku_, 
   {{0xc2fc0195,0x3a8e0250,0xf62b00ab,0x451300ec}},	//   _faigh_, _françesk, _harihari, _тэўтонск, 
   {{0xe9dc02d8,0x37250170,0xed110242,0x39ec020a}},	//   _motornya_, _akumakag, _vurduğu_, _جانباسام_, 
   {{0x2dba00d8,0xa54e02cf,0xf3c800bd,0xa2d6001c}},	//   _notament_, _видни_, _dauvit_, _habombo_, 
   {{0x3263032e,0xab1c03e6,0xdab80045,0x720e0361}},	//   _walikiti_, _ausprobe, _формулар_, _канаш_, 
   {{0xd27e0052,0x025a00af,0xfe510050,0xd29001f0}},	//   _pleny_, _drillo_, _kalangka, _makape_, 
   {{0x2036013b,0x7200028a,0xd5b9020f,0x150000e6}},	//   _kaatuban, _kajiru_, _اوتاسو_, _拍卖出让起始价为, 
   {{0x4373017c,0x93cf0543,0x42a7023e,0x0a7e0375}},	//   _senaste_, _aceval_, _brebes_, _afundits, 
   {{0xd3e000da,0x7d71036e,0xf64700de,0x42fc04b2}},	//   _медалион_, _chimbora, _abazitsh, _maigi_, 
   {{0x3c6500a1,0xb2f300e3,0x00000000,0x00000000}},	//   _tapuwae_, _jezistu_, --, --, 
   {{0xf98e0219,0x29e701e9,0x32f00272,0x8263012c}},	// [c80] _lomhlaba_, _babolela_, _abaingi_, _katoliki_, 
   {{0xd78101d0,0x72cb0564,0x62000212,0xd1bb01ab}},	//   _virkelig, _deadam_, _mulier_, _चहुँपे_, 
   {{0xd69602d4,0x7ad30152,0x80be0161,0x6f480244}},	//   _suverani, _рекламаг, _киева_, _sessuale_, 
   {{0x9d79003b,0xc8770177,0x7daf01bf,0x8c9d01ac}},	//   _abamange_, _аграната, _undertøy_, _الوشم_, 
   {{0x0915014d,0xba1502c7,0x4ae10065,0x532802d6}},	//   _verbindu, _verbinde, _arbeitss, _прозелит, 
   {{0xb25a02ec,0x92d800fe,0xdc9e0153,0x16c500c7}},	//   _sahlan_, _hehea_, _前記管状体の近位, _беттеләр_, 
   {{0x49e7044a,0xc2d800fe,0x00000000,0x00000000}},	//   _bazobela_, _kehea_, --, --, 
   {{0x4bfc00ef,0xf2ca018d,0x00000000,0x00000000}},	//   _عدلیې_, _ምምላስን_, --, --, 
   {{0x72fc0588,0xdb0d0589,0x123a023c,0x3535021b}},	//   _ibigo_, _gretzkéh, _bakwandl, _mainosmy, 
   {{0xd2d80410,0x156b012b,0xdd23041e,0x6b650121}},	//   _lehea_, _napisała_, _tirrenic, _catalán_, 
   {{0x479601fb,0xc9670373,0x12d60170,0xe2d20071}},	//   _predicav, _alligite, _kajombo_, _didokok_, 
   {{0xdc5b0101,0x94940255,0x28210092,0x6ba703a2}},	//   _noutati_, _उपेन्दरव, _取り扱いジャンル_, _तरणताल_, 
   {{0x73ea03e4,0x080103d0,0x16b9006a,0xaed4003c}},	//   _aqata_, _العسلي_, _hitantsi, _آبرنگ_, 
   {{0x52900312,0xa17f0218,0xe202001e,0xb9d60235}},	//   _lakaat_, _admitway_, _afrilu_, _विषयैः_, 
   {{0x32d80039,0x2c65000b,0xde4201ef,0x00000000}},	//   _behea_, _tapuvae_, _будуюцца_, --, 
   {{0x2ea101bf,0xf8120207,0xc3a80456,0xb84b022e}},	//   _fullsten, _دُنيا_, _senapang_, _bastiais_, 
   {{0x025b001d,0xb73c00bf,0x02d90372,0xea910050}},	// [c90] _araldo_, _спешите_, _anaele_, _caringin_, 
   {{0x64da0371,0x026c04f8,0xd1d1006d,0xa9ee000b}},	//   _помни_, _denote_, _андэграў, _potifara_, 
   {{0x2307031a,0x85670089,0x59f60152,0xdc61033c}},	//   _ardaibh_, _синаның_, _borçu_, _gatrawd_, 
   {{0xfb8a0187,0x8be80057,0x05760177,0x9cfb03da}},	//   _помош_, _ይሰማኛል_, _агранатр, _hortativ_, 
   {{0x52fc01e9,0x438704b9,0x43db017a,0x83490318}},	//   _baagi_, _fearna_, _amathegi_, _mateloi_, 
   {{0x1f50058a,0xf205058b,0x598e03de,0xf4bf0188}},	//   _consocia, _splitski_, _bomhlaba_, _африқо_, 
   {{0x3868009a,0xa26c03f6,0x741703ba,0x62490255}},	//   _خيريه_, _gihona_, _frisiren_, _enamus_, 
   {{0x934103ad,0xe4130220,0x6f0200ec,0x532303b2}},	//   _privatam, _chiamato_, _pusmetį_, _lanclip_, 
   {{0x72900301,0xdd58034c,0xa9630154,0x032103b6}},	//   _olmasa_, _ләйлә_, _поезий_, _gbayì_, 
   {{0x554c02c1,0xbc260258,0x46920192,0x00000000}},	//   _mashyash, _omnamwur, _letterty, --, 
   {{0x875a008d,0x90f60035,0x2a91003c,0x6eb80037}},	//   _васаллам, _kulların, _waringin_, _በመሰለፍ_, 
   {{0xf0b801de,0x4de10287,0x027e00dd,0xc3e10102}},	//   _بەسەۋ_, _turisté_, _boeni_, _vielelez, 
   {{0x4ce20041,0x1556058c,0x3f6702e2,0xca9d0281}},	//   _аҽалархә, _प्रणालील, _aggairys_, _atsiugas, 
   {{0x1fb90071,0x9a0e004d,0x835a0416,0x33eb02ef}},	//   _هلیکوپتر_, _桃園停水公告_, _touflet_, _kretin_, 
   {{0xf2020286,0xeb1f02df,0x70170126,0x938600ea}},	//   _afrimu_, _penafian_, _районна_, _endrik_, 
   {{0xf7b40515,0xb27f0027,0x1213013b,0x32e803ad}},	//   _aggrandi, _fluni_, _cochem_, _abbilta_, 
   {{0x6e730406,0x5bc30071,0x8e670164,0xae52022f}},	// [ca0] _बौद्ध_, _تهاجم_, _байлиқи_, _istorinė, 
   {{0x6c510318,0x704600c4,0x24b8002c,0x822b051a}},	//   _anitema_, _ڇائنجي_, _витаминт, _qardhawi_, 
   {{0x139404b8,0xaffd0361,0x86f000c1,0x0aa501a3}},	//   _babsa_, _военкома, _पायवाट_, _اڻسڌي_, 
   {{0x62fc01b8,0x82c1035e,0xae5b0177,0x56c00155}},	//   _saagi_, _okolina_, _убриалаг, _hässleho, 
   {{0x32fc04be,0x8ebd01cb,0x535f006c,0xa9cf0165}},	//   _paagi_, _ukuzibop, _singase_, _cokovata_, 
   {{0xbc7f023d,0x23ea047d,0x5d480060,0xee5500e7}},	//   _massimo_, _spatz_, _клиентте, _adicalra, 
   {{0x1bd8058d,0x2c95016d,0x89470259,0x3fbd0097}},	//   _अमेरिकन_, _атаңниң_, _afslappe, _iyàrá_, 
   {{0x794703db,0xa38603f1,0xa07d00a7,0xdeb50043}},	//   _abambele, _kufre_, _батса_, _alkright_, 
   {{0x72fc0129,0x7a150166,0xd3eb0288,0x23410208}},	//   _taagi_, _verbunde, _eretin_, _دۆغان_, 
   {{0x73480274,0x646a004d,0x00000000,0x00000000}},	//   _áfengi_, _台灣大學藝術史研, --, --, 
   {{0xb9bb0066,0xec04023c,0x22000039,0x6088040f}},	//   _moldatze, _asisayi_, _alaia_, _burokėli, 
   {{0xe27e033c,0x72b40082,0xb94700f3,0x927f033f}},	//   _poeni_, _lacca_, _ebambele, _kouna_, 
   {{0x7a890253,0xf01501ef,0x17f900be,0xe2130313}},	//   _sivisuss, _merginą_, _базардаг, _jeghbe_, 
   {{0xc95802a5,0xb1de008d,0x22b40120,0xe6630078}},	//   _जुनसुकै_, _birlashm, _gacca_, _ментално, 
   {{0xc2550008,0x05fd0113,0xe32704b9,0x10e9050a}},	//   _ensenyam, _chreidiú, _conceit_, _yuvarlak_, 
   {{0x2ff601e5,0xd2020291,0x823b0294,0x3e450119}},	//   _ifamọra_, _impigh_, _fulllog_, _nakataga, 
   {{0x52a700c8,0xf9cf030a,0x757700d6,0x40640119}},	// [cb0] _лауреатт, _aquelout, _steiréit, _papatayo, 
   {{0x0341019f,0xb9fb04da,0x9ae40109,0x5b83016e}},	//   _napenda_, _mobitela_, _चट्याङ_, _pornolar, 
   {{0x417e02ee,0x8290001e,0xe0f600f6,0x144a0478}},	//   _madankol, _almara_, _pulların, _anglofòn_, 
   {{0x1cf202a8,0xaa5f022b,0xe6550311,0x82d90320}},	//   _lecturer, _ringasta_, _እናንቆልቆለ_, _maendle_, 
   {{0x827f03d7,0xd94901af,0x22d80369,0xf7e502fb}},	//   _jouna_, _терзде_, _meheu_, _matavaiv, 
   {{0x1300003a,0x7d3200c5,0x0b5b0026,0xdda5010b}},	//   _sifatli_, _wikicode_, _momenten_, _dirisiwa, 
   {{0xe41304dc,0x4c6704dc,0xbe4500a5,0xac2400a0}},	//   _واندا_, _ترسام_, _fakataga, _fabarair, 
   {{0xeb2203d5,0x39790281,0xa449002b,0x427f00d7}},	//   _dispelle, _arsimmee, _ঘটনাপ্রব, _founa_, 
   {{0xd3860120,0x6635031c,0x425b0079,0x00000000}},	//   _agirwa_, _atracció, _katls_, --, 
   {{0x356b02bb,0xe43c0153,0x42f00243,0x99760137}},	//   _kapitału_, _その他レディ_, _wariseh_, _никхүн_, 
   {{0x4fd2048a,0xc155058e,0xe3f401da,0x62b200b0}},	//   _اماندا_, _जल्लाद_, _vertet_, _muddada_, 
   {{0xfebc03af,0x235a011a,0xb297011d,0x62a600e1}},	//   _sexuelle_, _confers_, _grupuril, _mambar_, 
   {{0x52a60082,0x7da00007,0x7907020f,0x6bf50040}},	//   _lambar_, _bakotuna, _تعصبه_, _חוכמה_, 
   {{0xb7280128,0xc290003b,0xeab80037,0xb3ab0064}},	//   _موضوعلر_, _bomata_, _ክፍያውን_, _píxels_, 
   {{0xf79301b5,0x2f600047,0x426c0343,0x4b6500a8}},	//   _cheddarg, _relatifs_, _calory_, _èquesta_, 
   {{0xa49c032e,0xe84602c8,0xdf25003d,0x934100c4}},	//   _inamayäk, _partires_, _annexion, _wapenda_, 
   {{0xf395058f,0x43f901e6,0xc27f02d3,0x686d003c}},	// [cc0] _darse_, _cibule_, _aluno_, _ذیربط_, 
   {{0x164f007f,0xc96c0224,0x22c904a4,0x8bd80109}},	//   _phenderf, _brennide, _millidh_, _अमेरिकि_, 
   {{0x990a0037,0x67bb005b,0xe2dd0372,0x6f670234}},	//   _የሚፈፀሙ_, _indretni, _chroesi_, _oníṣeẹ̀d, 
   {{0x12d80163,0x2369040a,0x2efa01d5,0x00000000}},	//   _mehet_, _ångrar_, _szüzessé, --, 
   {{0x749301ec,0x13d70052,0x70950041,0x776c0060}},	//   _سخنگو_, _शाकाहारी, _афабрика_, _монтажда, 
   {{0x325a013a,0x439502e7,0x9e93040a,0xe9a6027b}},	//   _wahlen_, _giasoy_, _thailänd, _तत्फलं_, 
   {{0xc7280037,0x84cf0476,0x00000000,0x00000000}},	//   _ይፈጽማል_, _chichemo_, --, --, 
   {{0x3369018a,0xdb6202d3,0xc2df02c7,0x00000000}},	//   _aneglur_, _jeferson_, _gehofft_, --, 
   {{0x02000270,0x313e0145,0x3d89038b,0x43290153}},	//   _blain_, _reguliuo, _memotiva, _チした商品はあり, 
   {{0xe2b101eb,0x309400ff,0xf290000f,0xf02b0420}},	//   _sandía_, _סאציאלאג, _almaya_, _допринес, 
   {{0xb2550193,0x127e0158,0x00000000,0x00000000}},	//   _सिनेमे_, _zimna_, --, --, 
   {{0xca1701ef,0x4c090100,0x9b5f0037,0xd8520237}},	//   _феномены_, _propala_, _ይጠቅመናል_, _공고문보기_, 
   {{0x977a018d,0x7f2b00f5,0x130e00b7,0x0fbc011f}},	//   _ብመዝሙር_, _partlama, _alyalar_, _маскевич_, 
   {{0x2bcc0220,0x897601a4,0x32900185,0x644e009b}},	//   _комисият, _etangame, _elmaya_, _доройтло, 
   {{0x19d00162,0xd692016d,0xe27e0528,0x9c08004c}},	//   _бейиш_, _штабиниң_, _lionas_, _bakulemb, 
   {{0xe3f802fd,0x6c67008c,0x82110122,0x00000000}},	//   _beaul_, _adattos_, _بدلکار_, --, 
   {{0xe27f012d,0x42c1011b,0x731c0262,0xd2b50220}},	// [cd0] _egensi_, _ekolona_, _ayechka_, _fasce_, 
   {{0x52b503f9,0x6dbc032e,0x72ee008e,0x335f03d8}},	//   _nasce_, _jakirina, _atangii_, _parfemi_, 
   {{0xfb9000ee,0x6ef101b6,0x89b70148,0x5213015d}},	//   _мэднэ_, _marketin, _請看影片說明_, _kocham_, 
   {{0x398a0092,0x329000ad,0xa7090137,0x234000ee}},	//   _ジアドレス_, _komara_, _дөхөмтэй_, _legeria_, 
   {{0x779c02b7,0x9d93007b,0x530e01e7,0xf17703a4}},	//   _gobongö_, _shetland_, _albator_, _allarhel, 
   {{0xf694018d,0xde9e00c7,0x00000000,0x00000000}},	//   _መፈጸምታ_, _сайла_, --, --, 
   {{0xc2250190,0x93f80044,0x62cc019d,0x19ed00dc}},	//   _jucken_, _manual_, _adalimo_, _fitugafu, 
   {{0xac4c000e,0x622502a7,0x79ea0590,0x527e02e0}},	//   _mulching_, _ducken_, _чацарган, _ineng_, 
   {{0x6e1b0251,0xc57d01a3,0x7e6a00c7,0x92cb0235}},	//   _dareenka, _پيڙائن_, _бозда_, _dagdha_, 
   {{0xb50b018b,0xa2d80244,0x627f0140,0x00000000}},	//   _guvernul_, _chiese_, _boung_, --, 
   {{0xbc9b0041,0xff430156,0x1c5b0207,0x31ac0242}},	//   _аҵаҳҩит_, _געװײנטלע, _kapteni_, _düşünmür, 
   {{0x8b35002b,0x98740013,0xaab20043,0x106d0321}},	//   _অক্টোবার_, _nalishid, _alikukub, _skopiran, 
   {{0xa9f70151,0x0290036c,0xb303012d,0x009700ec}},	//   _demagnet, _adiady_, _turangu_, _арастові, 
   {{0x896e01e5,0xcace005d,0x57ed0090,0x24630524}},	//   _alaisoot, _angapýpe_, _andakang, _predivno_, 
   {{0xb27f03e0,0x74560061,0x8aef0591,0x00000000}},	//   _goung_, _기독교사의_, _etiopien_, --, 
   {{0x8e320531,0x2a1401f1,0x9b5000e6,0xc2900592}},	//   _amelikas_, _miratohe, _原中国人民银行河, _tomara_, 
   {{0xc1b00297,0xe34b0061,0xda230333,0x00000000}},	// [ce0] _belemenä_, _geneukt_, _banchitt, --, 
   {{0x85ee03f0,0x7e8902ec,0xf2070012,0xc53d003c}},	//   _landslið, _نوبہارس_, _बतिआवत_, _شيرخوار_, 
   {{0x3db30593,0xd1fe0360,0xd85700c4,0x9ec200ab}},	//   _utlandet_, _diskusní_, _فولڊر_, _erenatan, 
   {{0xb4ec002b,0x47790045,0x12360193,0x0201010e}},	//   _সিহাব_, _парамета, _sekjen_, _habiru_, 
   {{0x520002fd,0xec6200fe,0x709901c7,0xe26e01d4}},	//   _amais_, _aufuato_, _кемпуды_, _riposa_, 
   {{0xba0b0282,0xec7100df,0xe82e0374,0xd2fc0278}},	//   _kamakama_, _chariot_, _урсин_, _cengal_, 
   {{0x6200033c,0x93860264,0x52ef02db,0xa3560373}},	//   _blaid_, _leiria_, _misnari_, _superas_, 
   {{0x9db1026b,0x6c880162,0xbc7f03ed,0xd2b4003a}},	//   _lenguaje_, _билишимч, _versão_, _pincha_, 
   {{0x21e70079,0xeece0029,0x6fc30203,0xe7f40291}},	//   _spriedum, _کڵتور_, _admisser_, _chladaig, 
   {{0xf27f033d,0x28600012,0xe2240107,0x1f2d0326}},	//   _moune_, _पीठेश्वर_, _binkai_, _chaticha, 
   {{0xc31601c8,0x627f005b,0x05240037,0xd9090350}},	//   _krabici_, _amuny_, _ፊሊፒንስ_, _በሚጠቅም_, 
   {{0x889c00be,0x627e048b,0xd2fc051a,0xae4603ad}},	//   _ئزىلدۅچۉ, _mieng_, _sengal_, _diossidu_, 
   {{0x97f202c3,0x696c0036,0x6b1101bd,0x526e0544}},	//   _možnosť_, _eilimint, _جىيعىزىپ_, _zipora_, 
   {{0xf50604d8,0x4c1401aa,0x02910101,0x9dde01d0}},	//   _جانانہ_, _ourshay_, _pacate_, _tyskerne_, 
   {{0xf63002ef,0xbb9c00a4,0xeea40200,0x7387024a}},	//   _biyograf, _ئزىلدەنۉ, _marelius_, _elerii_, 
   {{0xbfed0238,0x742d0352,0x8dbe002e,0x947601b4}},	//   _ознаки_, _স্মাৰকসম, _oduševil, _brittanj, 
   {{0x0c7c00e0,0xec5c0594,0xf3940117,0x2387006e}},	// [cf0] _frisian_, _slutten_, _longlong_, _enersi_, 
   {{0x029200bc,0x02d802ee,0x427e04c3,0xe79900be}},	//   _marang_, _sehem_, _kieng_, _талантты, 
   {{0xb27f015a,0xe386024c,0x653200c4,0x00000000}},	//   _amanan_, _sufra_, _mwanasay, --, 
   {{0x32240119,0xba6b0595,0xea030263,0x7eb1004b}},	//   _dinky_, _यौनशोषण_, _verbouwe, _hatsetse_, 
   {{0x527e0245,0x92870596,0x3e520456,0xd79b0061}},	//   _lieng_, _bouazizi_, _cadangka, _김치볶음밥_, 
   {{0xa1ac0242,0x7b090149,0x3386024a,0x72000304}},	//   _düşündür, _futubọọl, _dunra_, _slaid_, 
   {{0x727e00c9,0x92b904d2,0x6b1b02ac,0xf893007e}},	//   _nieng_, _endeleg_, _وفنادق_, _दस्सेन्त, 
   {{0xf868017f,0x63e5004d,0xb94103ec,0xeb5f022c}},	//   _maniitsu, _salutari_, _kualitet, _darmamur, 
   {{0x7c75020e,0xf27e012a,0x038e01cf,0xf44e0009}},	//   _ofising_, _zimno_, _rompiasi_, _veljavno_, 
   {{0x62160041,0x467e00e6,0xb09702cf,0xe86c01af}},	//   _apararä_, _放射性同位素与射, _техничка_, _bilimind, 
   {{0xd7a60326,0x6f98026f,0xf29103f0,0x00000000}},	//   _chatakai, _كەسۋى_, _evran_, --, 
   {{0xe2c40331,0x14330202,0x8e4d014c,0xe26c02d9}},	//   _ongland_, _ikimọlẹ_, _engakana, _lomitusi_, 
   {{0x5c800368,0xed0a00f3,0x0a010184,0xd830007e}},	//   _десет_, _ihardwar, _nkurunku, _सिंहवर्म, 
   {{0xe22a014f,0x69fa02af,0x7e3d002f,0xda9102d0}},	//   _досад_, _kibarere, _hawapipa, _scrievin_, 
   {{0xeb6c00da,0x186703e2,0xd60301d5,0x027e04f2}},	//   _министру_, _solicitu, _gondolom_, _gieng_, 
   {{0xebd2020f,0x33ba01d3,0x8e4c01e8,0x95550597}},	//   _مینځنی_, _elevers_, _makagana, _бухахь_, 
   {{0xe2b60005,0x0d4102a4,0x44fb0501,0x629200ad}},	// [d00] _paucas_, _cappadoc, _किनारी_, _carang_, 
   {{0x126c0304,0x616c0300,0x794d0073,0xa25b00de}},	//   _aktiviti_, _aktivity_, _removere, _agalel_, 
   {{0x127e0531,0x632c0013,0x9353020f,0xa4190046}},	//   _xieng_, _шулардан_, _تهداب_, _медалын_, 
   {{0xf27e04bb,0x7b55029f,0xa998016d,0xdfeb02ac}},	//   _vieng_, _dostávať_, _تەدرىجىي_, _إرشادات_, 
   {{0xb38700bc,0xd2480020,0xc8c7001c,0xa97503dc}},	//   _ngarep_, _amomoi_, _oberberg, _grindame, 
   {{0x4320020b,0xfc1c03da,0x386d0099,0x00000000}},	//   _bonye_, _wentị_, _hatichad, --, 
   {{0xbcd00169,0xa45f0037,0x820902b9,0xb2910290}},	//   _লেখকঃ_, _በመራጭነት_, _marosvás, _avran_, 
   {{0x4e4d00cb,0x00000000,0x00000000,0x00000000}},	//   _angakana, --, --, --, 
   {{0xb307017d,0xc27e02b5,0xebe30246,0x5f9d030a}},	//   _aalborg_, _sieng_, _гоблени_, _agresión, 
   {{0x427e01bc,0x4c19009a,0xeb8400da,0xe8c80244}},	//   _miene_, _amalaphu_, _ӂенераци, _costring, 
   {{0x3dc00272,0x8ed6014d,0x7d99011d,0x47460144}},	//   _abakumwa, _bedienun, _повестит_, _caipitiú, 
   {{0x23980510,0xbd6a0013,0x524503ff,0x6a3e0185}},	//   _трагичес, _کروانگه_, _kámen_, _сайлаган_, 
   {{0x112d0444,0x59250052,0x358c02a9,0x57b40297}},	//   _марте_, _भविष्यदर, _нясуць_, _bedretdi, 
   {{0xd27e04c3,0x325a054b,0x087f00e4,0x1f3600d2}},	//   _tieng_, _sahlin_, _शब्दयोग_, _susugana, 
   {{0xe29401ff,0x59f9038e,0x02fc0264,0x1b6402ef}},	//   _spravili_, _मौल्यवान_, _maagi_, _katezien_, 
   {{0x87e60598,0x329202f6,0xb27e04f2,0xae6f0255}},	//   _अनार्य_, _parang_, _rieng_, _गम्भीरत_, 
   {{0x42920013,0xbc6802ac,0x7a7e0133,0x14f90093}},	// [d10] _qarang_, _corrán_, _gallakis, _герзаца_, 
   {{0x1e4b0281,0x326c003a,0x3b0801c8,0x88f60281}},	//   _qularnaa, _sahifasi_, _neuprave, _atuagagd, 
   {{0x1eb0033d,0x259a0396,0xc011011e,0xd1fe023a}},	//   _konesans_, _sikurezz, _providan, _diskusný_, 
   {{0x729200ad,0x8291002e,0x60c3027e,0x031a040e}},	//   _tarang_, _pucaju_, _уцинака_, _avvising_, 
   {{0xd39503cf,0xa27e04ff,0x53200387,0x098302e5}},	//   _varsa_, _moenx_, _sonye_, _ргәыҧ_, 
   {{0xe2d900d6,0xeac600e6,0xe39500bc,0x85cc0060}},	//   _diyene_, _篇推荐文章_, _warsa_, _барғаным, 
   {{0x05e300af,0xf27e0359,0x04070076,0x527e012a}},	//   _культури_, _hiene_, _градови_, _zimne_, 
   {{0x9b7b0515,0xb32f00c7,0x424b003e,0x00000000}},	//   _longitan_, _адәмнең_, _бошҡанда_, --, 
   {{0x9fe700dd,0x8b190159,0x00000000,0x00000000}},	//   _archesgo, _камфортн, --, --, 
   {{0x62d604a6,0x62240120,0x3eca0119,0x1053018a}},	//   _redovno_, _tokkel_, _mrinalin, _henseren, 
   {{0x9cfe0440,0xf386004c,0xed8d00ba,0xcbf501d2}},	//   _aritahir, _agirya_, _پاشڤه_, _creenanc, 
   {{0x4eca00ba,0x32ca013f,0xc2d90107,0x017a00d9}},	//   _باپیرئاغ, _bridel_, _biyene_, _самоделк, 
   {{0xccdd002b,0xd356019d,0xc200007a,0x3e41018d}},	//   _ঢেঁকি_, _idafala_, _alaik_, _grabitet_, 
   {{0xaa070338,0xc26c024f,0x438601f3,0xe31103f0}},	//   _semblava_, _tilomi_, _oporou_, _enskumæl, 
   {{0x32c801b2,0x9d9a0041,0xa25a00ad,0x5b9e0041}},	//   _expound_, _иаҳдыруе, _doeloe_, _рышҟа_, 
   {{0x8c680067,0xca27014e,0x74770026,0x62ef025e}},	//   _aanutti_, _уредник_, _systemen_, _krafti_, 
   {{0xaf670033,0x8b860183,0xc7fc0314,0xe3160262}},	// [d20] _votaziun, _beronono_, _лотфулли, _bujagaz_, 
   {{0xe49900bf,0x92000227,0x1c1d00e0,0x62900185}},	//   _претендо, _alaih_, _kloppet_, _elmaep_, 
   {{0x4c710599,0x4b5500bb,0x00000000,0x00000000}},	//   _पुल्टा_, _اختےار_, --, --, 
   {{0x0b3500cb,0xa39f02ac,0x9db50002,0x2edd0128}},	//   _ababeses, _أصناف_, _proslavu_, _ташланиб_, 
   {{0xe6730139,0x7ff400bb,0xceae0037,0x825a0359}},	//   _प्रतिमास, _پرتھوی_, _እስካለፈው_, _boeloe_, 
   {{0xcfeb010d,0xf39400e2,0x9bda0253,0x4c1b03a4}},	//   _kenyaman, _kinsto_, _brewhous, _innangar, 
   {{0x9e0a01d5,0x165203a2,0x1c6d0373,0x947e027e}},	//   _دہرایا_, _चारदीवार, _aliuloj_, _официра_, 
   {{0x2769004d,0xf2ee03dd,0x973000a7,0x3f2a0068}},	//   _全文接近率_, _prifti_, _эмиратта, _bastoola, 
   {{0x997104cc,0xe29102d4,0x7ea000de,0xee6d0256}},	//   _nyinhnae, _ovras_, _چپاول_, _nodibinā, 
   {{0xfdb200fe,0xb3dc0288,0x0300023b,0xf26c021c}},	//   _fulufulu_, _schwe_, _leialii_, _jahoda_, 
   {{0x82900117,0x939502ce,0x22d004a4,0xd810004d}},	//   _nomata_, _darso_, _chalder_, _巴西塔姆航空公司, 
   {{0xe35a00bd,0x884d0260,0xa5fe0309,0x72bf01ac}},	//   _coffers_, _ópticos_, _bombanı_, _أمجاد_, 
   {{0x0bfe040f,0x12910128,0xc3fb050a,0x00000000}},	//   _skrandži, _avrat_, _portatif_, --, 
   {{0xfb8f02fd,0xfc2a0148,0x421c01f1,0x12ec02a4}},	//   _glengarr, _全民最大黨_, _kushdo_, _latinae_, 
   {{0xdc5a037c,0x59c403d5,0xf20204f8,0x58370137}},	//   _montgri_, _adeeabat, _resins_, _жинлүүр_, 
   {{0x527e00ee,0x3054018b,0x0fb7005d,0x2f4c001d}},	//   _onena_, _clasamen, _exalumno, _págines_, 
   {{0xb34c027b,0x9a370235,0xf1bd00e6,0x3daf0429}},	// [d30] _राजंस_, _bahiddhā_, _申银万国预计_, _bergayut_, 
   {{0x93200138,0x16b80249,0x929701ba,0x3631005b}},	//   _konya_, _kalabusi, _senkant_, _månedlig, 
   {{0x627e007e,0x54da01a7,0x637c0423,0x22da01ad}},	//   _anena_, _ровно_, _pergoly_, _eatern_, 
   {{0xfa2800ba,0xb7a60092,0x80dd009a,0x68d000d2}},	//   _خولقێنه_, _個人情報について_, _ibonakel, _cibeureu, 
   {{0xe26c023b,0xed9c03a0,0xebf3005d,0xfbdf0121}},	//   _kilohi_, _hosetele_, _irresurr, _adhesión_, 
   {{0xc395019b,0x5290011b,0x4b630244,0x5cc90297}},	//   _garso_, _komata_, _bretagna_, _kardäşle, 
   {{0x038700fd,0xc628037c,0xd2560193,0x3699000d}},	//   _lawrie_, _veritati, _प्रांतात_, _sisenemi, 
   {{0x68460595,0xb35e027f,0x63790046,0xc981021c}},	//   _डायस्पोर, _gakunkum, _baralla_, _cyrilome, 
   {{0x3a8f033c,0x7b08042c,0xa5160156,0xbd810222}},	//   _llundain_, _vlastima_, _ביעלסקי_, _jugement_, 
   {{0x0320020b,0x4dd4004c,0x30650183,0x804c0350}},	//   _bonya_, _amukemye_, _antanifo, _የአልሸባብ_, 
   {{0xc7b60032,0x358900e6,0x9f5b02a2,0x4f4f0251}},	//   _biruchni, _劳动教养试行办法_, _silangan, _nooshaha, 
   {{0x2fe102d4,0xd2cb0004,0x125b01f1,0x352701e1}},	//   _turistic_, _pradel_, _komentim, _галстукт, 
   {{0x69240126,0x00dd017a,0x59870261,0x42b6003d}},	//   _власну_, _abonakel, _aneksita_, _bauces_, 
   {{0x53f90028,0x337c012e,0x939603c9,0x428c0521}},	//   _درامٕژ_, _gergely_, _satses_, _bankën_, 
   {{0xb52501cb,0x32b50461,0xd2f50024,0x23860269}},	//   _ukuzizuz, _basco_, _grunnar_, _sufre_, 
   {{0x2581047d,0xf20201ce,0x337902fb,0x9e6f0109}},	//   _begeesch, _asring_, _ikuanga_, _hodoníns, 
   {{0x6e350462,0x2fd50013,0xc5d5020a,0x2b7503da}},	// [d40] _impactwa, _турарди_, _алакөл_, _ogaranya_, 
   {{0x0ece0046,0xc1830142,0xfda70188,0x1cf80045}},	//   _таластык_, _सर्वत_, _унсурҳои_, _исламске_, 
   {{0x579e03c2,0x06f60287,0x827f033d,0xa6730235}},	//   _certifyi, _कतिवटा_, _mounn_, _प्रथमानि, 
   {{0xb2640319,0x4f3b0322,0xe27f03f6,0x1e45001c}},	//   _বিনামূল্, _amageren, _pouna_, _makasaga, 
   {{0x92ca023e,0xe2d401c8,0x80ce0060,0x33780128}},	//   _ngalami_, _realitu_, _пошталық_, _safarda_, 
   {{0x2905042f,0xd05b018d,0x22a704a8,0x603c00f7}},	//   _ahiatigu, _ኣልጀሪስ_, _trebas_, _amatoroj_, 
   {{0xcdbd00c7,0x0e50030c,0x3e6001d5,0xb758012e}},	//   _arasında_, _kaasiliq, _بیرسٹر_, _prohardv, 
   {{0xec7503b2,0x1ef100ec,0x00000000,0x00000000}},	//   _herself_, _narkotin, --, --, 
   {{0x5be7034f,0x40f903e6,0x31cd0538,0x11cd0086}},	//   _ارادې_, _barbudok_, _godtfolk_, _akadály_, 
   {{0xc3480494,0xc2d704ec,0x36af034e,0xf37e0156}},	//   _kineski_, _impongo_, _chutariy, _אויוונס_, 
   {{0x5dc3009a,0xef1700c1,0x00000000,0x00000000}},	//   _bemitsha, _perdanan, --, --, 
   {{0x2a0603a2,0x06300188,0xbf3e047b,0x149d0011}},	//   _एयरएशिया_, _забонӣ_, _avhongur_, _babasinz, 
   {{0x6c9600c5,0x839502c3,0x33eb0020,0xee180137}},	//   _重要思想为指导_, _opasok_, _soatau_, _хониноос_, 
   {{0x6202053f,0x03280125,0x119c0107,0x58c700d1}},	//   _kusist_, _халычыла, _دلالی_, _তকৈয়ো_, 
   {{0x32d60116,0x239500fa,0xa788021b,0x674e0092}},	//   _ottoman_, _ipasok_, _запланир, _関連リンク_, 
   {{0xde1b0158,0x6ac6016a,0x19f6043e,0xc6b002c7}},	//   _पैकेजिंग_, _הימלער_, _abuín_, _gerechtf, 
   {{0x4f640482,0xa06b020f,0x0436012c,0x364401f9}},	// [d50] _madabiin, _معاصرو_, _kuchapik, _etikwesi, 
   {{0xf64a01aa,0x4a4400ee,0x4ce80129,0x7ea20120}},	//   _optionsw, _diseinua_, _tukwasir, _marrowte_, 
   {{0x65f600c5,0x25ce01ea,0x1694033b,0x927e003a}},	//   _sélectio, _хамма_, _sekereni, _zimni_, 
   {{0xc2e803ee,0x0a4704bd,0x424a009b,0xcdb0006d}},	//   _odlican_, _kekemapa_, _дийлдэшг, _бажнiцу_, 
   {{0x62bb0044,0xce8f0148,0xe35d0059,0x91b40126}},	//   _entered_, _路透社圖片_, _посолств, _автобусі, 
   {{0xf5cf01a9,0xbb570217,0x79aa0204,0xd5670053}},	//   _líquido_, _septanta_, _пошив_, _इतिहाससं, 
   {{0x675a0037,0x3e520135,0xdc7c008d,0x12ef000d}},	//   _አደቆርሳ_, _remontlı, _asarlar_, _sündis_, 
   {{0xa2f30478,0x76730235,0x00000000,0x00000000}},	//   _apareish_, _प्रथमावि, --, --, 
   {{0xc1590052,0x00000000,0x00000000,0x00000000}},	//   _kroužkov, --, --, --, 
   {{0x62d8009d,0x91df01b9,0x430f0184,0xeac00255}},	//   _behet_, _biznessm, _arubaka_, _vaikimis, 
   {{0x524801ec,0xa7de004d,0x2f610033,0x00000000}},	//   _dekorasi_, _本站最佳分辨率_, _chapella, --, 
   {{0x42310041,0xd35401dc,0x8a8c01d9,0x7f3e00f5}},	//   _jazmín_, _maletgs_, _burnings, _сайламак_, 
   {{0xcf23020e,0x4ce9027e,0x0ca7006c,0xcd8f013a}},	//   _bokellan, _вечност_, _ahiyezer, _vileicht_, 
   {{0x02ba04f8,0x625e0061,0xe3950243,0x7d29019e}},	//   _modeled_, _우리결혼했어요_, _sarse_, _анёлаў_, 
   {{0x60860041,0xac2d03e4,0x125b0125,0xfd7e00c1}},	//   _алингвис, _maratpac, _batly_, _alamenda, 
   {{0x9c7202ac,0x5be70364,0xea590144,0x3b660137}},	//   _ودخلت_, _asselbor, _chugatsa_, _ширтэх_, 
   {{0x4c040285,0xd3640043,0x2b9d04ae,0x657702cf}},	// [d60] _kubungab, _alagula_, _транзита_, _фантазиј, 
   {{0x918204fd,0x762202c3,0x133002d5,0xb2c100a8}},	//   _एआईसीटीई_, _kanalizá, _निकम्माप, _vallada_, 
   {{0xa8dc009b,0x22000116,0xf22f059a,0x19cd000c}},	//   _хуний_, _flail_, _câmbio_, _enteroit, 
   {{0x87c90092,0xf27f0127,0x8bb60019,0x00000000}},	//   _明けましておめで, _bignas_, _жикчил_, --, 
   {{0x4c3201f4,0xea5a02ac,0x726d01d9,0x635502c6}},	//   _гўштини_, _éagórach_, _gevote_, _gemerer_, 
   {{0xb815032d,0x71c20462,0x047d01b7,0x227f02f7}},	//   _булараҡ_, _oredstay_, _मधुना_, _founo_, 
   {{0x92fc0118,0xef030079,0xe30c0249,0x0291005b}},	//   _mbaga_, _emocijas_, _hamamas_, _ameana_, 
   {{0x429b006a,0x417f0021,0xf0b502ac,0x6ccb0291}},	//   _nankany_, _adminway_, _tromlach_, _لعائلة_, 
   {{0x60dd0382,0x1512001b,0xdc7302ae,0x29f000d9}},	//   _khonkhel, _gugurdoo_, _jamstva_, _pannulla_, 
   {{0x3f27012a,0x584c0192,0xf2d80251,0x62910388}},	//   _सरबजीत_, _이었습니다_, _meher_, _avrai_, 
   {{0x6cdf04cf,0x43860288,0x826d00e4,0x36a402fd}},	//   _ikakhulu_, _aufri_, _ozdoby_, _carraigh, 
   {{0x23ea0119,0xeffe003a,0xa9d001f4,0xd2fc02e7}},	//   _poitou_, _газетаси_, _шерик_, _abaga_, 
   {{0xd386059b,0x329b0183,0x3eb701ac,0xb2fc003a}},	//   _jufri_, _mankany_, _براتز_, _yengil_, 
   {{0xed620073,0x720503b9,0xcebc0206,0xd32200a4}},	//   _diaboliq, _kamisaki_, _vodotesn, _fiscals_, 
   {{0xcc660077,0xc3340268,0x3e6b0050,0x3dce0040}},	//   _anatòt_, _airchay_, _abdoménn, _סוככים_, 
   {{0x827e013f,0x9b3c004d,0x036f0585,0x24fb0235}},	//   _hienn_, _台北市文山區興隆, _nastojim, _कौमारी_, 
   {{0x60110238,0xd3110073,0x7497005e,0x60ef0418}},	// [d70] _неподалі, _mascule_, _чақмақ_, _muhakkak_, 
   {{0x2ed101af,0x62d802a8,0xcb7b01f0,0x2c2a0153}},	//   _arazmuha, _deher_, _gaisanya_, _passions, 
   {{0xd69a02ba,0xb36c034b,0xa2c90037,0x636801df}},	//   _хатарнок, _nuigini_, _ከእርስዋ_, _mangles_, 
   {{0x727e0023,0x56fb032c,0x87ba00d1,0x9361029e}},	//   _toinen_, _specialf, _উত্তাপিত_, _dargemm_, 
   {{0x820000c3,0xada60076,0x1ae500ea,0xc7a5030a}},	//   _aliis_, _планинат, _aterinet, _destruci, 
   {{0xd24a00b4,0x89aa0244,0x2b7b0455,0xc0ec03f2}},	//   _drumul_, _топик_, _covoitur, _radikaal, 
   {{0x429001bb,0x9b380022,0xdc0700a4,0x658a010f}},	//   _almana_, _процеста, _cadascú_, _babelokh, 
   {{0x53950141,0x208b022a,0x0c740025,0xd29000b7}},	//   _narsa_, _tuscaloo, _शास्ता_, _almaga_, 
   {{0x927e01a7,0x527f04b2,0x38630405,0x0d0c03f7}},	//   _hieno_, _anung_, _водами_, _borðplöt, 
   {{0x17b203bf,0xf2d80312,0x48c700f0,0x7c600006}},	//   _этабы_, _aprouet_, _skrutkov, _sedunia_, 
   {{0xf42e029d,0x23950122,0x927f04f1,0x00e70132}},	//   _епископи, _karsa_, _signis_, _کانشانہ_, 
   {{0xcc40006d,0x526e0514,0xf6d900fa,0xcd1c0046}},	//   _абурана_, _ripoza_, _gambalai, _recollit_, 
   {{0x9b840145,0x4a0e037b,0xfb610209,0x42ba0166}},	//   _апроч_, _corazone, _aqiliner, _lagernd_, 
   {{0xd32004ee,0xa27e04b9,0xf302013c,0x037a0127}},	//   _konye_, _anent_, _musayev_, _binarel_, 
   {{0xe20003d9,0x8c3f0037,0xd39b036c,0xe8740096}},	//   _alaim_, _ተቀላቀሉ_, _hijangaj, _batishyu, 
   {{0xd67b0019,0xd2f401af,0xf2000334,0xa2e30012}},	//   _تىزەدەن_, _ahtimal_, _blaim_, _लेतीह_, 
   {{0xb4b00185,0x24c10041,0x66c30196,0x830d02cd}},	// [d80] _başlawın_, _ҟәшахьы_, _chosinth, _gamayar_, 
   {{0xa2f00393,0x22ca02fb,0x29ec01d4,0x930e051a}},	//   _bolovanj, _isileli_, _acconcia_, _munafiq_, 
   {{0x0a2000d7,0x27f3033a,0x49c8025f,0x727f007b}},	//   _темпы_, _maħżen_, _kokotisa_, _gouns_, 
   {{0x3f2f0377,0x1d5800d7,0xedfc0021,0xb39b0403}},	//   _corespun, _сәсле_, _albeitwa, _fijangaj, 
   {{0x35850312,0xb39500a2,0xf2e6015e,0x137a0084}},	//   _tierniez, _darsa_, _amanida_, _amparan_, 
   {{0x00000000,0x00000000,0x00000000,0x00000000}},	//   --, --, --, --, 
   {{0x127f015e,0x951f018d,0x004602a4,0x741700c6}},	//   _lluny_, _ተጠቂሙሉ_, _sarracen, _frisyren_, 
   {{0x127f01b2,0xb59402c0,0xcc4a0052,0x1f350156}},	//   _drench_, _студенит, _भावनामा_, _װעבזײַטל_, 
   {{0x22ca00bd,0x177f014f,0x73f100d7,0xe2f5007a}},	//   _gilded_, _поправку_, _dibekeng_, _ditikam_, 
   {{0xbc4402d4,0x02f102c9,0x7292018d,0x7a6c0022}},	//   _inscuntr, _parinti_, _masave_, _уллин_, 
   {{0x7c140223,0xd9f601aa,0xbfa10189,0xb95504b4}},	//   _segurtas, _istrictd, _aksesuar_, _kollegae, 
   {{0x724602af,0x727e022f,0x4200012d,0x3108009a}},	//   _yémen_, _vieno_, _ilaik_, _amakrwal, 
   {{0x4da70205,0x4cc703f8,0x7cb10357,0xa34701fa}},	//   _والدیه_, _danidchu_, _monasavu_, _meletoa_, 
   {{0x5af60305,0x839402ca,0xd3dc033d,0x4d81008f}},	//   _sterkast, _annseo_, _echwe_, _avaldata, 
   {{0x366701cd,0x4d8b0510,0xf43c002b,0x00000000}},	//   _артиши_, _аппетита_, _নিবিড়_, --, 
   {{0xefa00191,0xd2000249,0x32c400ca,0xa17d059c}},	//   _underbar_, _plaim_, _bellaud_, _olivenöl_, 
   {{0x52b50478,0x7edb0433,0x6eb20364,0x94e4011a}},	// [d90] _basca_, _aguillos_, _autobunn, _ראומטולו, 
   {{0x127e01ef,0x52e900a0,0x427f0564,0x2c3400d9}},	//   _pieno_, _addinan_, _touns_, _тянет_, 
   {{0x1290044d,0xf30c027b,0xc3010331,0x8c1d013c}},	//   _tombeaux_, _amanāpāṃ_, _varandi_, _hesablar, 
   {{0xc23701c5,0xe9b701d5,0x9297038e,0x89c30059}},	//   _waajib_, _باآسانی_, _jenjang_, _aumentat, 
   {{0xd84a00be,0xf92e0148,0x4d2c02ea,0xde4c001c}},	//   _сотко_, _隱私權保護政策_, _caricate_, _makalana, 
   {{0x2f920191,0x927f0124,0xf3f9034e,0x52000455}},	//   _ungdomar_, _youns_, _adyus_, _clair_, 
   {{0x13070179,0x33470049,0x2f0401d7,0xf9a401c8}},	//   _aalburg_, _feletoa_, _survegna, _povinnéh, 
   {{0x6e060012,0x95a700e7,0x8d2500e6,0x3f3e059d}},	//   _आनकरउदूस_, _anishkak, _黑道女友i_, _kharisma, 
   {{0x7ef001b2,0x230200fb,0xae720178,0x469b0037}},	//   _bickerin, _akubone_, _ananyopā, _መመካከር_, 
   {{0x52ba018b,0x7f090128,0x72d80151,0x9f1100fa}},	//   _inteleg_, _бюджетга_, _aghee_, _alitapta, 
   {{0xb356013d,0x9297003c,0x5b8702c7,0x00000000}},	//   _esperas_, _benjing_, _dominier, --, 
   {{0xa5f50420,0xd76a01be,0xe37903c3,0x3265019b}},	//   _lideranç, _मिश्रले_, _disanja_, _patogiai_, 
   {{0xe27e0450,0x9648017a,0x70f601db,0x02e90251}},	//   _giene_, _abangezw, _балтық_, _gedisan_, 
   {{0x46550285,0x122a006d,0xa0370155,0xb71e009b}},	//   _amakimbi, _ботам_, _bukefalo, _чавга_, 
   {{0x717f0238,0x3544004d,0x3d3c052b,0x0202018b}},	//   _останній_, _地理資訊系統_, _फ्रॉम_, _rusine_, 
   {{0x8cc2003a,0x052c02ec,0x4288031a,0xe9c10066}},	//   _عبدالودو, _wabilaah, _leahbar_, _desegite, 
   {{0xa2670318,0xbb77040e,0x6a02005c,0x90940234}},	// [da0] _holomimi_, _feiringa_, _baravuga_, _àbòsí_, 
   {{0xd27e0244,0xda160044,0xc990027f,0x99e10476}},	//   _viene_, _purchase, _arakazit, _adhonija_, 
   {{0xe27e01c6,0x0f810255,0x7d7f042a,0xd2d00085}},	//   _wiene_, _मक्की_, _alamanye_, _joketani_, 
   {{0xb27e024b,0xab9102ac,0x5c3a0274,0x70e600c1}},	//   _tiene_, _الشئون_, _alfreð_, _उंचीची_, 
   {{0x0c9304dc,0xbf380041,0x2ac100b4,0x8ebf014a}},	//   _داماو_, _atãva_, _ынтылнир, _adásvéte, 
   {{0xb29702c2,0xa6b3059e,0xb2040148,0x52d803b0}},	//   _eenkant_, _kulendaw, _periculi_, _avleia_, 
   {{0x6fae0074,0xe0e80409,0xe7a80416,0xcb76002f}},	//   _совершен, _oprindel, _centupli, _atillanc, 
   {{0x36440061,0x00000000,0x00000000,0x00000000}},	//   _필수자료실_, --, --, --, 
   {{0x5c2704f2,0x126c00ea,0x124f0357,0xc9580350}},	//   _vinaviec, _rahona_, _sogolati_, _ማቅለምምን_, 
   {{0x82e301d1,0x8c7e005b,0xdbd600cb,0xa2020577}},	//   _arrived_, _ageshio_, _amametro_, _musime_, 
   {{0x271200ff,0x3d830109,0xd2f10037,0xde5d03fe}},	//   _פֿרױען_, _बोलउनुपर, _varieti_, _бахча_, 
   {{0x42e20218,0x2ead059f,0x1e4d0151,0xd2cb0275}},	//   _anetplay_, _januzajt_, _bigamist_, _solofua_, 
   {{0x6d440379,0x26ac004d,0xbc5501eb,0x8c39008d}},	//   _अतिरिक्त_, _二十四詩品_, _imitame_, _ҳайкалта, 
   {{0x73790359,0xb1e305a0,0x927e0176,0x05d8004d}},	//   _televyzj, _साधरण_, _riene_, _電腦軟硬體_, 
   {{0xfda302c4,0xe2d900bc,0xb61000dd,0xd89103d5}},	//   _формира_, _lepen_, _cholledi, _basketfu, 
   {{0x727e022d,0x42d701e0,0x4dd70291,0x8efc0143}},	//   _piene_, _دکارن_, _افدتك_, _архитект_, 
   {{0x5d760251,0x85ee0371,0x923500ba,0x8316028d}},	// [db0] _ترانا_, _апартаме, _خۆسووتان, _manze_, 
   {{0x73160190,0xf29203bf,0x430f03ef,0x4b6d0272}},	//   _lanze_, _assaad_, _asubiza_, _aliroopa_, 
   {{0xf348035b,0xc2f900ba,0x1248033e,0x00000000}},	//   _besedah_, _ستۆری_, _maimbe_, --, 
   {{0xe82c05a1,0x8b0e035b,0xa23b033f,0x892e016f}},	//   _སྒྲིལ_, _čistila_, _koheleti_, _покатати, 
   {{0x03860082,0x8e4f033f,0x7cbc015e,0x12250415}},	//   _afirka_, _angapala, _алтайдан_, _sockel_, 
   {{0xb2fc02fd,0x892a0207,0x3e4300dd,0x00000000}},	//   _dcigh_, _فرمائڻ_, _deisebau_, --, 
   {{0x8ecf024e,0x1a6302ac,0x857e00e6,0x44870143}},	//   _socijaln, _ليفينج_, _优化发展环境_, _дизела_, 
   {{0xaafd01d9,0x652700d9,0x0b0204b9,0x07a10071}},	//   _usergale, _кажется_, _chestnut, _خشکبار_, 
   {{0x7b0202f0,0x52e300d9,0xd27f0077,0x29a201d7}},	//   _akusonge, _kimille_, _gouni_, _brüngger_, 
   {{0x641d010e,0x1d4d0311,0x23f90007,0x0e5402fd}},	//   _akusahan_, _ዝመለለይኡ_, _mabulu_, _phoblada, 
   {{0xe1b000d4,0xbd850338,0xe27e0210,0x43430078}},	//   _riemersm, _defendre_, _aneni_, _домова_, 
   {{0x91790059,0x959500b5,0x529102c9,0x0f240026}},	//   _триъгълн, _jesuitak, _aleasa_, _instelba, 
   {{0xef3e007e,0x6a6c05a2,0x752b0203,0x027f0211}},	//   _क्रियाः_, _देवघर_, _scrimach, _jouni_, 
   {{0x340000b9,0x9e920126,0xa1480009,0x729101ac}},	//   _नामदेव_, _порталі_, _nestrpno, _cleasa_, 
   {{0x546a013d,0x907504e3,0x22da0075,0xbdb20399}},	//   _televido_, _doživio_, _umseta_, _lulululu_, 
   {{0x7ac200c4,0x82ca0099,0x629001c5,0x609d019c}},	//   _عبدالقدي, _bildad_, _ilmaha_, _fifaṣẹfu, 
   {{0xc9a500f5,0x2ecb040b,0xe5b00343,0x55c100d1}},	// [dc0] _алдаҗак_, _tshinnan, _giestrik, _আইৰিছ_, 
   {{0xe3580226,0xf953029c,0x693b0311,0x00000000}},	//   _akagule_, _analembe, _ዝተሰነደ_, --, 
   {{0x9e83002a,0x3bd4027e,0xa74300c5,0x053a0142}},	//   _akawanye_, _федералн, _公安消防机构应当, _anindriy, 
   {{0x81a502b7,0xdf3e01b7,0x46f101be,0x2f35032b}},	//   _danzapä_, _क्रियां_, _सातवटा_, _ئۆتسەم_, 
   {{0x32f2014e,0xe75905a3,0xe3100021,0x226c01f7}},	//   _letovanj, _मात्रिक_, _anyatay_, _arioan_, 
   {{0xda1b0037,0xc290008d,0x5d7501db,0x00000000}},	//   _መድረሳቸውን_, _kuzatilm, _سوزشى_, --, 
   {{0xc75e0255,0x6319028a,0xc4ea018d,0xf14e02a2}},	//   _कम्पनियन_, _بيتاب_, _ብኢሰያስ_, _sigurado, 
   {{0x56c30040,0x9e4c009b,0xa9da0139,0x00000000}},	//   _biosynth, _sakabana, _प्रवहति_, --, 
   {{0x3397022f,0x2e0200ec,0x42900312,0xdeb200f6}},	//   _renginyj, _pabendra, _endalc_, _diplomun, 
   {{0x202a00bf,0xf27e0585,0xfa7d0210,0xc365031c}},	//   _наполнен, _radnik_, _asingats, _dragón_, 
   {{0xcc5b0315,0x30a9027e,0x05850362,0x7193019f}},	//   _ahlunge_, _мирослав, _akotisak, _وحشتون_, 
   {{0x42fc0046,0x2f61006c,0xa7290149,0x23f90079}},	//   _camions_, _abaphola, _nkanụzụ_, _labumu_, 
   {{0x0459018d,0x5320001f,0x00000000,0x00000000}},	//   _ካርቱምን_, _wonya_, --, --, 
   {{0xdcd600da,0xba850162,0x2d0302ea,0x37790157}},	//   _патруля_, _турлук_, _annullar, _विजयनगरम_, 
   {{0x7a8b0321,0x02910342,0x29fe009b,0x63200004}},	//   _maribors, _eleaza_, _esanahia_, _konyn_, 
   {{0x723d03c4,0x527e0044,0x55e30092,0x7c1f0185}},	//   _бөлүмини, _phones_, _白石麻梨子_, _başlíça_, 
   {{0xac4f0193,0x0c5500d7,0x9c75027b,0xd8b8004d}},	// [dd0] _कंपनीला_, _bultswe_, _समर्थो_, _第四十一條_, 
   {{0xfc040105,0x5cd70163,0xfe560235,0x54070004}},	//   _konsoli_, _وعیال_, _athopakā, _ekoulman_, 
   {{0xe30e0054,0x26ea00bf,0x377c01ef,0x7c67030a}},	//   _ziyarar_, _подписки_, _кантакты_, _teatros_, 
   {{0x830e0054,0x05440094,0xa20703ab,0x4eab01c4}},	//   _siyasar_, _تىلەيىك_, _demontáž, _kolossen, 
   {{0x9313022e,0xaf980019,0xd27e0396,0x8f3502e0}},	//   _mancava_, _петуния_, _jiena_, _dibukana, 
   {{0x727e0145,0xf30f0233,0x02570156,0xf2130062}},	//   _diena_, _borator_, _װײַסן_, _lughqu_, 
   {{0x139d0071,0x63ac05a4,0xe6560196,0x00000000}},	//   _کتابچه_, _hospod_, _kuphiphi, --, 
   {{0xbe4e0238,0xd34a00cd,0x79f300ca,0x715200be}},	//   _морально, _abstrahà_, _apareigu, _سەرتكە_, 
   {{0x227e02e4,0xf99c03bf,0x7dc50400,0x00000000}},	//   _gieni_, _грецияла_, _artisgia, --, 
   {{0x9da900f1,0xf27f033f,0x9fa80052,0xcb7801f3}},	//   _ladifera, _mounu_, _prumyslo, _evakuačn, 
   {{0x23c90272,0xafa5014d,0xec97000e,0xa29e0211}},	//   _akawumbi_, _sprecher_, _obtrusiv_, _силах_, 
   {{0x929204c0,0xcee70250,0xe1d60040,0x430d0040}},	//   _aduasa_, _dashurin, _השמאלית_, _פייפל_, 
   {{0x2a8002e7,0x8a0500a6,0xbfb501b2,0x15f700c7}},	//   _atensyon_, _bayazife, _barleyco, _eskertlä, 
   {{0x192a0148,0x95900113,0x18f500e2,0x30c503b0}},	//   _隱私權聲明_, _litearth, _ferantwu, _velledal, 
   {{0xae8c017d,0x6ef40074,0xa60c017f,0xa7c50026}},	//   _ウェブ検索_, _merkitys_, _akimmiff, _overleef, 
   {{0xd2ca05a5,0x4ed10203,0x288a009a,0xd63e0315}},	//   _pridal_, _cornicos_, _bakhumbu, _bhalisiw, 
   {{0x83080046,0x1f2001fb,0x3eb203b4,0x6200008c}},	// [de0] _исламдын_, _devenien, _amborion, _plaiv_, 
   {{0x726800a2,0x7af0016a,0xf5c40235,0x00000000}},	//   _صوبدار_, _allogajn_, _digbandh, --, 
   {{0x6369055c,0xee3f0024,0xe3f801fe,0x4200038e}},	//   _mangler_, _মেৰামতি_, _lumuta_, _doain_, 
   {{0x8f770461,0x73730455,0x827f032d,0xdc5301c5}},	//   _tractats_, _arnaque_, _founu_, _guutada_, 
   {{0x806100cb,0xec5301c9,0x00000000,0x00000000}},	//   _akusadin, _rattaga_, --, --, 
   {{0xe25a0258,0x294700be,0x89020486,0x8f920450}},	//   _fielde_, _دۇۇماندۇ, _startér_, _needwaar_, 
   {{0x552b0041,0x81ae018d,0x7c5c0040,0x634e02a1}},	//   _анҧҵара_, _ከይንኸውን_, _ולעתים_, _ongemak_, 
   {{0x2d0c031f,0x23e50100,0x091d0137,0x63f80184}},	//   _formidle_, _napuniti_, _уяраав_, _rumuva_, 
   {{0x625a0192,0xb7ec033f,0xf2d001d6,0x8b660272}},	//   _snelle_, _halamang, _skylder_, _antumira_, 
   {{0xd27e018a,0xd01e044b,0x7db20240,0x7d3d05a6}},	//   _rieni_, _forventn, _bulubulu_, _kopirett_, 
   {{0x93000139,0x2c93040b,0xa200047d,0xb2510333}},	//   _aagaami_, _mukegulu_, _flait_, _tintarel, 
   {{0xb12c0156,0x6d50027e,0xe33b0398,0x57e80235}},	//   _מלבושים_, _зборник_, _donarà_, _cetanatv, 
   {{0x65370199,0xded10044,0xeb7e004a,0xd15d011a}},	//   _anninhth, _channels_, _avgustka_, _etiology_, 
   {{0x8c0904dc,0xc73a03c4,0xa6d800e6,0xf34e0179}},	//   _بوودنه_, _мәһкимис, _上海市公安局杨浦, _tudelik_, 
   {{0xa2c100fb,0x2daa0446,0x30e60299,0x9b710291}},	//   _esilula_, _debitira, _بۆشۈكى_, _التذكير_, 
   {{0xf27e03ad,0x6773008d,0xf26c0318,0x9a3e0156}},	//   _tieni_, _моллари_, _mahoaa_, _יוניאָן_, 
   {{0x6eb50168,0x814501f4,0x96d001c0,0x6e1a0187}},	// [df0] _redusert_, _суонси_, _alkalami, _романски_, 
   {{0xb0d20148,0xceb0010f,0x74c10227,0x53eb0105}},	//   _已經本網授權使用, _ahlukene_, _membisik, _wiatru_, 
   {{0xc2da0244,0x727f01b2,0x0af20005,0xbb7a0204}},	//   _tornare_, _fount_, _mazzetta_, _varrella_, 
   {{0xc5c80076,0x85f90178,0x9230040f,0x427e011a}},	//   _нареднат, _avaniṃ_, _sumušė_, _מושקעת_, 
   {{0xf38c012c,0x38cc0325,0x63790360,0x23ea0397}},	//   _maishani_, _birdənəm_, _ukradla_, _махмудчо, 
   {{0x82d9018c,0x02fe03a8,0xd3030147,0x858201d9}},	//   _texel_, _avsides_, _كۅردۉك_, _gewensch, 
   {{0x7ebc043a,0x1e4b020f,0x3abb018d,0x6109002b}},	//   _lotedels_, _alibabop, _ህግድፍን_, _কলকাতায়_, 
   {{0xc3200176,0xbd3401fb,0x4c7c02f3,0x1ef200a6}},	//   _ponyo_, _evanesce_, _konsten_, _anokukun, 
   {{0x637a026b,0x83f401fb,0x2ae40109,0xfebb00f0}},	//   _caballo_, _tertie_, _पाउरोटी_, _potrieme_, 
   {{0x427e001f,0xee68004b,0x235500ce,0x9266026c}},	//   _mienu_, _табиптар, _lemeyer_, _antonini_, 
   {{0xf2820242,0x1da70349,0x1c760305,0x77ee01e8}},	//   _şahidi_, _acticedp, _draumar_, _gitabang, 
   {{0x12dd00ab,0xee1a0452,0x15b1027b,0x506802f9}},	//   _popongi_, _मनूबाबा_, _नरकतिर्य, _mwayenaj_, 
   {{0xb2000578,0xf2e501b8,0x7233035b,0x3cc40087}},	//   _hlais_, _erineva_, _spomnim_, _letikulu_, 
   {{0x59e70234,0x0e960162,0x3300023d,0xcc060265}},	//   _adegboye, _مىتىر_, _ricambi_, _tentoons, 
   {{0x1c7d0089,0xc26e0076,0x00000000,0x00000000}},	//   _apastan_, _pipoca_, --, --, 
   {{0x52bb041e,0x8bd20452,0xd42d0010,0x6dba0153}},	//   _agguantà_, _छोटया_, _kukhonak, _なんですね_, 
   {{0x62f40249,0x274102d3,0xecae002b,0x2387044d}},	// [e00] _merikel_, _источна_, _আমন্ত্রি, _enerci_, 
   {{0xb27e03d1,0x5f55019b,0xe34f0243,0x52d80120}},	//   _dienu_, _становіш, _ittenik_, _lehey_, 
   {{0x69e20069,0x40530264,0xf8100373,0x699a021b}},	//   _kuboneka_, _preseden, _precizig, _бисеропл, 
   {{0xa316016b,0xa3050060,0x00000000,0x00000000}},	//   _canza_, _موشان_, --, --, 
   {{0x41c50338,0x1f930191,0xfdff00db,0x3c750222}},	//   _florença_, _vardagar_, _aksessua, _refuser_, 
   {{0x125b0206,0xcaba0311,0x531703c6,0xab5e0022}},	//   _umelé_, _ዝውዕልን_, _monargy_, _ораны_, 
   {{0x52070160,0x5b87032d,0x42000279,0x2f4b0285}},	//   _istinski_, _bomolimo_, _plait_, _amasashe_, 
   {{0xde5002c3,0xc03c000a,0x5320018a,0x2e7801e1}},	//   _financie_, _amigarso, _ennyd_, _блокадаһ, 
   {{0xe4e10287,0xa61d01a3,0x327e01bc,0xd9e600c3}},	//   _राजभण्डा, _سهاڳڻ_, _mient_, _maturand, 
   {{0x227e009a,0xc27e0079,0xa316044a,0x431c00ca}},	//   _lient_, _ikonas_, _sanza_, _carbons_, 
   {{0xd9e202c1,0x22910200,0xba7800dc,0x93dd029b}},	//   _buboneka_, _umeala_, _mualepos, _itewoo_, 
   {{0xd5a50169,0x6396001d,0xe145005d,0x52f40064}},	//   _গুগলের_, _cessat_, _мурман_, _spanair_, 
   {{0x8f2d03b2,0x69fa019b,0xd36803c2,0x75930204}},	//   _determin, _svarbiau, _tangles_, _itsemurh, 
   {{0x7f9605a6,0x1654034f,0x497f007f,0x068201b5}},	//   _nordover_, _afunyenw, _breichle, _huweleri, 
   {{0xb757000c,0x9d8f01c2,0x2ead02cf,0xa3f801f5}},	//   _даниель_, _homenaxe_, _мотивира, _bajuku_, 
   {{0x15c10242,0x22d703ce,0x0abb018d,0xdb7b00e6}},	//   _sevirəm_, _تکاره_, _ህግዲፍን_, _公房承租人_, 
   {{0xa27e03f3,0x3d06016d,0x0aa50360,0x689e0172}},	// [e10] _dient_, _شوپۇر_, _cukroví_, _wonkunku, 
   {{0xd27e05a7,0x5e480219,0x82d901be,0x5654034f}},	//   _vienu_, _bekacaba, _sexem_, _efunyenw, 
   {{0x5c2d00b2,0x467a020e,0xe379008c,0x563c011a}},	//   _barabaac, _dinkutlw, _cafanun_, _ואוזניות_, 
   {{0x263c03f5,0xf1cd0041,0xfea3029f,0xd81f0156}},	//   _nacionai, _дшьуп_, _doprajte_, _נוטריקול, 
   {{0x968f002b,0x5a020343,0x67ba0161,0xd28b0299}},	//   _টিপাইমুখ_, _igbalukt, _развивал, _رىتسىپى_, 
   {{0x6a060416,0x718e01b2,0xb41300ba,0x655102ea}},	//   _camarade, _arramish_, _یاڵدا_, _convocaz, 
   {{0x525b0396,0x83ea001d,0xecb80155,0x3db80155}},	//   _tielet_, _geotek_, _begagnad_, _begagnat_, 
   {{0xedb4024c,0x7de300c7,0xe75c05a8,0x32d101f3}},	//   _antiċipa, _аллаһыны_, _komibeng, _postrach_, 
   {{0xbc710163,0x42cb00b4,0xe2950043,0x3ad20168}},	//   _دھیان_, _gradul_, _arrahiim, _skatteet, 
   {{0x05020220,0xea8f0002,0xa20002bd,0x703b014a}},	//   _iscritto_, _odličan_, _enaid_, _jégkoron, 
   {{0x23160082,0xdd70002b,0x9aed0022,0x427f0370}},	//   _manzo_, _কাশ্মীরে_, _башлауға_, _ciung_, 
   {{0x92f10453,0x9105023a,0x00000000,0x00000000}},	//   _navikli_, _guličky_, --, --, 
   {{0x05180220,0xc2e6008a,0xc2e90175,0xd6bb012a}},	//   _verranno_, _atanaga_, _mazinen_, _zidentyf, 
   {{0xe9fc05a9,0xfca90078,0x054102fe,0x37b4015c}},	//   _iyandika_, _поставим_, _بیکاره_, _mettlerw, 
   {{0x3c060064,0xd1050365,0x42d402ef,0x1dba0119}},	//   _майрам_, _kuličky_, _boudam_, _katiguba, 
   {{0xe063018b,0x9248005e,0xb3470095,0xd42d0059}},	//   _молотов_, _قەلىپداش_, _قادرند_, _dinamico_, 
   {{0x2c7c00b0,0xd9e202c1,0x5cf900ba,0x03160342}},	// [e20] _taasina_, _ruboneka_, _باوباپیر, _kanzo_, 
   {{0x7951009a,0x8f6705aa,0xd2300310,0x32f30155}},	//   _abalulut, _tropiske_, _chamara_, _logiskt_, 
   {{0x829401e9,0xd20004a4,0x0c710421,0x6a150326}},	//   _bookami_, _ciiig_, _bedroht_, _chichava_, 
   {{0xa5440156,0xfe5d0350,0x00000000,0x00000000}},	//   _ראמאעלד_, _አልታወቁም_, --, --, 
   {{0x2320001f,0x52d8019b,0x22f2044a,0x00000000}},	//   _annye_, _kelionę_, _kiniamu_, --, 
   {{0x620003ec,0x06cc00e2,0x93b50299,0x82ea0011}},	//   _anaid_, _eksplisy, _ئىلھامى_, _babiito_, 
   {{0xe80000c5,0x227f0017,0x9c120421,0xa9980050}},	//   _胶南市安监局_, _louny_, _teppich_, _arboréal_, 
   {{0x25b90291,0xce530084,0xebbc0156,0x17860235}},	//   _فودافون_, _tatangka, _נינדזשאַ_, _पर्वता_, 
   {{0x8cc004d8,0xd290035b,0xbae6016d,0x92fe024c}},	//   _دیوانگی_, _pomaga_, _قۇملۇق_, _debitur_, 
   {{0xb1450373,0x82c70242,0x12020044,0xa50300bb}},	//   _distanco, _azalıb_, _varied_, _امرےکی_, 
   {{0xe84401d1,0x48f10360,0xfbe6035d,0x5557041e}},	//   _listings_, _inspirov, _gledalac, _ammintà_, 
   {{0xcc73029a,0x227f01da,0x827f00bc,0x02e900b4}},	//   _chargos_, _planin_, _ngendi_, _marimea_, 
   {{0x287502eb,0x41de0185,0x00000000,0x00000000}},	//   _олимпын_, _ivanoviç_, --, --, 
   {{0xb3870105,0xdee9004d,0x00000000,0x00000000}},	//   _piersi_, _真希望往後不要再, --, --, 
   {{0xbe4b0381,0x86440080,0xa9f60119,0xe426025a}},	//   _aptainca, _atikitsi, _pumakadt, _ubahiriz, 
   {{0x22f9033e,0x3db60381,0x00000000,0x00000000}},	//   _анимам_, _afghanwa, --, --, 
   {{0x4e510059,0x4f69021e,0x00000000,0x00000000}},	// [e30] _bloccare_, _kanalern, --, --, 
   {{0xbc52044a,0xc9fd0362,0x03ea030a,0xe29005ab}},	//   _abatela_, _asungaka_, _ventá_, _tomada_, 
   {{0x997302ec,0x9e4c03cf,0x00000000,0x00000000}},	//   _یێہکھ_, _yakalana, --, --, 
   {{0xa72c0076,0xbc6f033e,0x0ea20110,0xae130265}},	//   _suspensã, _chororo_, _šarlote_, _oldenzaa, 
   {{0x9dba026c,0x4f18014f,0x450d002f,0xbe6e0061}},	//   _司法人員研習所_, _сестре_, _agnococh, _증권거래세_, 
   {{0x66270285,0xa70f0061,0xedcf027b,0xfda6006a}},	//   _minisiti, _자연스러운_, _कूटकोष्ठ, _hazofija, 
   {{0x328f0384,0x72360265,0xf0710184,0xd9f20260}},	//   _stranici_, _dagje_, _icabunyo, _recrecid, 
   {{0x80350392,0x82ea0243,0x00000000,0x00000000}},	//   _santayan, _tarigen_, --, --, 
   {{0xa3b6045b,0x737800f5,0x03790403,0xb590012e}},	//   _жертвами_, _allanyn_, _ankanjo_, _elmulasz, 
   {{0xfd09033e,0xdc870125,0x3dbb005d,0x7ed304f8}},	//   _гергиев_, _дындарла, _colectív, _achieves_, 
   {{0xda79005a,0x2226023e,0xed6000bb,0x6a800096}},	//   _botaghpa_, _warkop_, _مسلمانوں, _amazinda_, 
   {{0x526c0085,0x7290018a,0xc2fc023e,0x319500f2}},	//   _domomu_, _afiach_, _afngal_, _rezervēj, 
   {{0x125a0300,0x2c1f03bf,0x6976018b,0xd26e006a}},	//   _okolí_, _аманов_, _aranjame, _hatory_, 
   {{0xa2920270,0xdf5f03cf,0x4c5c00ce,0xb290000e}},	//   _basate_, _istasyon, _soutyen_, _homama_, 
   {{0x3a160154,0xb2920055,0x22740037,0x23ec00be}},	//   _патрия_, _casate_, _ገብረመድኅን_, _куйбогон_, 
   {{0x226e00ea,0x2387008c,0xf2020010,0x3d8b0259}},	//   _matory_, _ouvra_, _busime_, _bellezza, 
   {{0x7e550014,0xdea800e3,0x00000000,0x00000000}},	// [e40] _islamike_, _hallieln, --, --, 
   {{0xf06c0099,0xdea5009b,0xe292027f,0x03f800a1}},	//   _achavano, _partaide_, _gasase_, _ngaua_, 
   {{0x0e38034e,0x9f5f0077,0xcc520272,0xeb9603fb}},	//   _arcatata, _estasyon, _baatula_, _poznavao_, 
   {{0xec71010d,0x00000000,0x00000000,0x00000000}},	//   _पुष्कळ_, --, --, --, 
   {{0xe9a90037,0xd34301f0,0x037c016a,0xf2d8016b}},	//   _በየክፍለ_, _ditetlo_, _agrable_, _budewa_, 
   {{0x58760019,0x3a430009,0x11370022,0x1056011a}},	//   _اندانكىي, _gradbena_, _ирәмәл_, _בבודפשט_, 
   {{0x494303ea,0x5290048f,0xaf5d00a8,0x4266008d}},	//   _scolaire, _bomama_, _apparats_, _kitobini_, 
   {{0xd7c701a7,0xa94d0416,0xe38700e6,0x20120235}},	//   _наличии_, _absorpte, _版权和其它问题需, _atonidān, 
   {{0xae5f0256,0xd26c0369,0x1316028d,0xdb6b0153}},	//   _velosipē, _pahola_, _vanze_, _タ生成手段によっ, 
   {{0xfedc001d,0x847b013a,0xd2670223,0x12da029e}},	//   _nationes_, _minutten_, _салонд_, _chaoser_, 
   {{0x42c50387,0x6f5b0056,0x22480204,0x49e60403}},	//   _ewelite_, _ahlangan, _saimme_, _fatorana_, 
   {{0xf27e0258,0x4937015e,0xa1420059,0x3c6801a2}},	//   _rienk_, _камбар_, _оттам_, _miruši_, 
   {{0xd1b20024,0x23470055,0x8dab00aa,0x537800ba}},	//   _ব্লেক_, _finezza_, _gisigura, _مۆنیمێنت, 
   {{0x226c00d6,0x8e93031a,0x42e80156,0x4292008f}},	//   _tahoma_, _celtscot_, _admiron_, _issand_, 
   {{0x43160285,0x61f20148,0xfdf2005e,0x6315001e}},	//   _yanze_, _新加坡大紀元_, _سەنشىڭ_, _tambayi_, 
   {{0x8be1026c,0x22f70243,0x116a01f1,0x5c7e00ed}},	//   _本站使用正體字_, _acrimuk_, _respekto, _burston_, 
   {{0x633d01ce,0xb1220092,0xe4a300d6,0xd77800e5}},	// [e50] _میثاق_, _注文を確認または, _stráice_, _фантазии, 
   {{0xdd78012f,0x23ea020d,0x721300d4,0xa2fc008c}},	//   _adamonit_, _twita_, _lichem_, _camiuns_, 
   {{0x543b018d,0x327e03ad,0x0e99019e,0xcb870239}},	//   _መንግስትናን_, _hieni_, _брактэац, _timotimo_, 
   {{0x93f90030,0xfb010119,0x00000000,0x00000000}},	//   _tabulu_, _pagsimba_, --, --, 
   {{0x8b220169,0x27b1025c,0x8373019a,0xd3160230}},	//   _অধিবেশনে_, _verschwi, _beggary_, _ranze_, 
   {{0xaa1203a6,0xf91202af,0xe3160175,0xda9e0046}},	//   _bagateke, _bagateku, _sanze_, _сириянын_, 
   {{0xb31602e8,0x197b02fe,0x2f2800ca,0xdb8e0041}},	//   _panze_, _کړیده_, _représai, _иҧшӡоу_, 
   {{0xcb34003a,0xa3f40422,0xd4f700af,0x894f00c6}},	//   _muhandis, _sester_, _китайці_, _nedlegge, 
   {{0x3878034e,0x9e4c02f6,0xf3e705ac,0x11d701d4}},	//   _atinnaku, _makahana, _løtan_, _abandunà_, 
   {{0x06d90128,0x00000000,0x00000000,0x00000000}},	//   _وحیدالله_, --, --, --, 
   {{0x4a9e009a,0xec93012c,0x19180061,0xa38700ee}},	//   _مستقله_, _واتان_, _추가자가진단_, _afaria_, 
   {{0xd6c701d8,0xf5fe0238,0x6380015d,0x6d2c0095}},	//   _cicadidi, _позначен, _patryk_, _barokahe_, 
   {{0xe354058a,0x99e700be,0x7dfc0349,0x42910377}},	//   _numerus_, _بىلبۅۅسۉ_, _albertwa, _pleaca_, 
   {{0x321300e2,0x6bd6019c,0x9e9c0147,0x00000000}},	//   _hichem_, _eledumar, _مازۇت_, --, 
   {{0xa29004ca,0x729f0274,0x81460299,0x0aeb0403}},	//   _aimava_, _áttaði_, _بالاغەت_, _famonoan_, 
   {{0xc30b0192,0x76cd0040,0x967b0148,0x284d0291}},	//   _업체등록안내_, _איקאה_, _inventum_, _وجدته_, 
   {{0xe5f2038c,0xdc040148,0x00000000,0x00000000}},	// [e60] _razmotri, _consuli_, --, --, 
   {{0x421c035a,0x56720117,0xc27f01eb,0xa6d4003e}},	//   _harhan_, _fandresi, _erendy_, _ditabohi, 
   {{0xfd3b00d6,0x22d90250,0x835b00a9,0xffd800d0}},	//   _ǁǁǁ҈ǁ_, _jepet_, _bongera_, _хёмин_, 
   {{0x6b8100d2,0xe24a01cc,0x296601ee,0x0ac60368}},	//   _gatotkac, _क्रेता_, _хĕрарăм_, _стокхолм, 
   {{0xac260193,0x814300e7,0x329001a4,0x5c06000a}},	//   _भविष्यात_, _upheaval, _bomaka_, _igerlass, 
   {{0xf3dc0288,0x95b90066,0x8b790156,0x00000000}},	//   _schwi_, _campusek, _הקרעטשמע_, --, 
   {{0x877f020e,0xb7b50178,0x00000000,0x00000000}},	//   _спортсыл, _avaśyāya, --, --, 
   {{0x5ff90037,0x228d0450,0xe62902c7,0x00000000}},	//   _እነዚሁም_, _baakman_, _staatsbü, --, 
   {{0xd2d804c3,0xc84602fe,0xc26b0133,0x39db02c0}},	//   _nghen_, _بډايو_, _harrumal, _страста_, 
   {{0xc25a00dd,0x0d04018d,0xe85d0444,0xe9ea0128}},	//   _wella_, _ዘመተታት_, _оплатил_, _талайгин, 
   {{0x3da40268,0xf35b0069,0x62da0244,0x1cf40181}},	//   _orkingwa, _yongera_, _fornire_, _vesterbr, 
   {{0x3c61002e,0xbc0b05ad,0x820102a0,0x22900373}},	//   _odlucio_, _propalo_, _loyin_, _aneksas_, 
   {{0x127702c1,0xe29b02d0,0x3288027b,0xfb2100be}},	//   _indishyi_, _rickety_, _जज्ञिरे_, _айланта_, 
   {{0x538701c2,0x5581034c,0x625a00e0,0xd8d60156}},	//   _agarda_, _европача_, _fielle_, _אבֿיבֿ_, 
   {{0x7d0d0425,0x371a00f4,0xbc7300ec,0x00000000}},	//   _سزادانی_, _digustum_, _skardos_, --, 
   {{0xb7950065,0xa37f01fc,0x71b202f8,0xc29600a6}},	//   _testberi, _halanka_, _kelekelé_, _ayikoku_, 
   {{0xa6280037,0x8c590153,0x129101c1,0x00000000}},	// [e70] _perihati, _しょこたん_, _didaur_, --, 
   {{0x537f01c5,0xc373042f,0x94d30374,0x620101e5}},	//   _calanka_, _uyarangm, _мексикал, _joyin_, 
   {{0xe52f023d,0x72da01fb,0x327e03d9,0xdf93022b}},	//   _prossimo_, _fornace_, _ahena_, _bardagar_, 
   {{0x43fa0265,0xb3f400a3,0xc14b01c8,0x9b190108}},	//   _marufu_, _hestar_, _dalekohl, _romadhon_, 
   {{0x431602c1,0xcad1002a,0x553300d1,0x407e03dd}},	//   _manza_, _kromozon_, _নায়িকাৰ, _perballo, 
   {{0x9b380238,0x326e0014,0x4a890014,0xa56b0251}},	//   _процесуа, _aktori_, _komision_, _tarjumay, 
   {{0x03f402df,0x02da018b,0x42ef0388,0x00000000}},	//   _mestar_, _pornire_, _graffi_, --, 
   {{0x8f3505ae,0x99d00220,0x5a870061,0x0261002b}},	//   _reportar_, _тенис_, _보내시겠습니까_, _কামারুজ্, 
   {{0x53f80240,0xb0ed007d,0x846f01cc,0xda5804e0}},	//   _cumuta_, _jadikanl, _अन्यॊन्य, _urgencia_, 
   {{0xe2d804c3,0x49ee0229,0x02a40284,0x902505af}},	//   _ngheo_, _intihara_, _beskydy_, _prodavao, 
   {{0x13870062,0x9db201fa,0x6e9c04a5,0x62ec006e}},	//   _cherwi_, _kulukulu_, _kwamazin, _jëful_, 
   {{0x968e00b5,0x83950067,0x3c000151,0x127f03da}},	//   _irreligi, _ajessa_, _draughts, _onunu_, 
   {{0x8df0046a,0xe25a0211,0xb2cb0037,0x960f0080}},	//   _traduire_, _kello_, _ውዝግቡን_, _anillagi, 
   {{0x22d401bb,0x727c014e,0xc4ba004d,0x32010358}},	//   _serdar_, _играч_, _尺仿石紋面晚碟櫃_, _goyin_, 
   {{0x86bc05b0,0x3db20369,0x1292006e,0x04f300c8}},	//   _सत्तर_, _huluhulu_, _bawaul_, _энергияһ, 
   {{0x93870242,0x461f031a,0x717f0086,0xe37300bd}},	//   _enerji_, _dunomhai, _استادِ_, _gangwey_, 
   {{0x173205b1,0x93f40024,0x250d04df,0xf3fa012c}},	// [e80] _nezodpov, _festar_, _abulgazy, _harufu_, 
   {{0x5fae0016,0x23f40257,0x92d8012c,0x62d800b0}},	//   _שווייץ_, _gestir_, _kuleta_, _heleen_, 
   {{0xc32d018d,0x299c0274,0xe3f80256,0x149b03d9}},	//   _ንማእሰርቲ_, _bankanna_, _numura_, _ankabeaz, 
   {{0xa365035b,0x420001c6,0x92300562,0x0fa101fb}},	//   _drugega_, _noait_, _akamuca_, _appellar_, 
   {{0x22900120,0x83f800f9,0xf38f0075,0x9e380094}},	//   _akkale_, _humura_, _ímynda_, _سابىرلىل, 
   {{0xa35600a6,0x9378001b,0x00000000,0x00000000}},	//   _amafama_, _hawassa_, --, --, 
   {{0x23da053f,0x5f4002c1,0xea1a034e,0x735700d8}},	//   _khatatix_, _akagaban, _bracerot, _asperar_, 
   {{0x7c02002b,0x3ef002a3,0xd3f8030f,0xe27e01c6}},	//   _টাট্টুহর, _prakties_, _mumura_, _kninen_, 
   {{0x2fb402a5,0x437f01c5,0xf1520268,0x13f4025b}},	//   _říjen_, _dalalka_, _obalglay_, _festir_, 
   {{0x185c02c9,0x13ea0286,0x9ba400b4,0x31a5012a}},	//   _romanesc_, _tintimii_, _continuă_, _zarobić_, 
   {{0x03200043,0xda410177,0x1ad1015b,0x58060019}},	//   _ennyo_, _гәндеи_, _protekte, _клеткада, 
   {{0xd9c80007,0xd3da024c,0xa99d0094,0x00000000}},	//   _kokomisa_, _intrużjo, _уакыт_, --, 
   {{0x0da1012c,0x852703a2,0xbbc1020f,0x02010134}},	//   _بارگاهن_, _सरफ़ेस_, _دايکندي_, _toyin_, 
   {{0x55580037,0x67e20105,0xcb8602eb,0x00000000}},	//   _ያሳየናል_, _cierpliw, _шархыг_, --, 
   {{0x46830523,0xda9f03ab,0x327f0399,0xcaeb018d}},	//   _विशाल_, _povinnos, _anunu_, _ዲክታተርነት_, 
   {{0x60770016,0x6279000b,0xef4a032d,0xd3800288}},	//   _מערבֿ_, _aposetol, _baipitsa, _oturay_, 
   {{0xfe5100e1,0x50a70092,0xea340125,0x5dc1002c}},	// [e90] _aymatuka, _最も参考になった, _мекежинл, _авралгүй_, 
   {{0x327e0497,0x23fa0278,0x9ec5003d,0x307300a6}},	//   _chenn_, _marudu_, _jacobins_, _ayabongo, 
   {{0x520000aa,0xfb5902da,0x1212007d,0x0f960156}},	//   _diiin_, _сензори_, _bakhil_, _זידלען_, 
   {{0xf7c701c9,0xa501044a,0x8ec202d4,0x00000000}},	//   _उन्हकर_, _bokristo_, _decisivs_, --, 
   {{0xd9430497,0x176d025a,0x325a0223,0x25cf051e}},	//   _approver_, _arihanag, _pello_, _líquidos_, 
   {{0x35a20579,0xc42c0060,0xb87e0125,0x93f8033a}},	//   _पराते_, _ايالاي_, _kümüş_, _agius_, 
   {{0x80380176,0x00000000,0x00000000,0x00000000}},	//   _softphon, --, --, --, 
   {{0x02bb0217,0x09c00211,0xa4e900f2,0x727e00bd}},	//   _vidente_, _tekemise, _parastā_, _kenned_, 
   {{0x057302f3,0x927e00ad,0x08fd0029,0x62f60016}},	//   _hantverk, _aheng_, _دهوکێ_, _aktivaj_, 
   {{0x0d2e02b3,0x62c10275,0x00000000,0x00000000}},	//   _abrirase_, _vailima_, --, --, 
   {{0x14b502af,0x540e0456,0x00000000,0x00000000}},	//   _barashik, _syarahan_, --, --, 
   {{0x9a5900d1,0xa47301d2,0x8f9d00d1,0x93200151}},	//   _সংস্থাপক, _asutiwan_, _অনুসৰ্গ_, _annyl_, 
   {{0x2a2f00a4,0x312702d3,0x73160038,0x4ca3027c}},	//   _دوكىلات_, _заболи_, _гакрәп_, _عارضې_, 
   {{0xce850125,0x227f0101,0x1b8d00fb,0xa39403fe}},	//   _тургут_, _anunt_, _abandayo_, _недопуще, 
   {{0x64a8039e,0xa27e0256,0x0aa3018d,0x027e0528}},	//   _মৃত্যুৰ_, _sienu_, _እንፈልጦም_, _gheng_, 
   {{0x727e0111,0xde170060,0x230d041e,0x126e0453}},	//   _pienu_, _калмауы_, _albanus_, _napona_, 
   {{0x6ab9017d,0xc27e0222,0x426e005b,0xfa8e01e5}},	// [ea0] _陽気なギャングが, _vient_, _hitomi_, _daindain_, 
   {{0x3024026f,0x14870019,0x6af4018c,0x00000000}},	//   _алдымен_, _байлайт_, _verslete, --, 
   {{0xa93c00b4,0xc27e04bb,0xe249039d,0xa27e0222}},	//   _популаци, _giens_, _mbambe_, _tient_, 
   {{0xb28b00b6,0x8290024f,0x3958037c,0xc2bb0515}},	//   _binaadam, _tomana_, _ultravnc_, _ridente_, 
   {{0x1fc300d4,0x040f04a4,0x413600a6,0xc51e012c}},	//   _kalinder_, _charrann_, _طريقې_, _mafuriko_, 
   {{0x730c00b4,0xb0220092,0xa2000281,0xb6040299}},	//   _sanatos_, _この項目を引用_, _aniit_, _ئۆڭكۈرلە, 
   {{0x70a3016d,0xa2ef0067,0xc6c20347,0xeb0500cf}},	//   _техникид, _bilisaa_, _zimbabwi, _faashist, 
   {{0x927e0347,0x9cdb033c,0x7fd6015e,0x224902ba}},	//   _diens_, _anawster, _ordinado, _abambe_, 
   {{0xbef202f0,0x904700a6,0x822c0156,0x03e500c4}},	//   _bankulun, _ادعاوو_, _חפֿצים_, _mahubiri_, 
   {{0x952d0297,0x59d6057c,0xb9c8025f,0x4b5305b2}},	//   _betermäs, _julekale, _kokokisa_, _каланă_, 
   {{0xf4b50250,0x97580193,0xdd040350,0x00000000}},	//   _parashik, _दुर्दैव_, _ለመቅዳት_, --, 
   {{0x838705b3,0x624904cf,0x038702ec,0x444d0035}},	//   _daarop_, _ebambe_, _naarta_, _бирэм_, 
   {{0xd2d40250,0x1c6b02bb,0x0dc103d9,0x49680168}},	//   _perdor_, _खात्मा_, _besinima, _modifise, 
   {{0xf226045a,0x727e00df,0xef5d038b,0xb177017a}},	//   _kirken_, _biens_, _ditangan, _несту_, 
   {{0xa16a01ea,0x0a1704bf,0x1a7d030f,0xf49902c0}},	//   _самарқан, _stranaka_, _apiatara_, _моторите_, 
   {{0x4f3f0559,0xc32001b9,0xf2fc0455,0xa75b0235}},	//   _kangakan, _minye_, _robinet_, _bahirnag, 
   {{0xb2e90223,0x7adc026c,0x3dbb0206,0xb396018f}},	// [eb0] _hasiera_, _並給作者一個通告_, _kolektív, _dessut_, 
   {{0xc25a00db,0xa27e018d,0x32020227,0x030001ed}},	//   _selle_, _dhene_, _dirimu_, _kahaoki_, 
   {{0xb9eb0033,0x2fe4003e,0xff9103a4,0x817c00b9}},	//   _correspu, _dimillio, _biddarar_, _मत्सर_, 
   {{0xd02501d5,0xbce803a2,0x72fe0130,0x250802eb}},	//   _گوارا_, _जगनमोहन_, _brugha_, _zentroko_, 
   {{0x9344031e,0xc2e901c3,0x978801a3,0x00000000}},	//   _gledaju_, _aarnieu_, _فوٽوُن_, --, 
   {{0xe3f40540,0x027e02c1,0x684a018d,0x105b02fb}},	//   _gestur_, _ihene_, _ሃገርውን_, _hiusiton, 
   {{0xfda80257,0x2ec101a6,0xce9d022f,0x1a10000d}},	//   _tengjast_, _hainaman, _kosmetin, _trepikod, 
   {{0xb27e0051,0xa37800ec,0xec11005a,0xd2300322}},	//   _viens_, _pagalba_, _chopmeh_, _akamara_, 
   {{0xd3780272,0x93f4025e,0xf50f005f,0x8ed802e9}},	//   _bagamba_, _bestur_, _forococh, _medianas_, 
   {{0xbc450410,0x3201011f,0x47e601ec,0xd26c0160}},	//   _dikwano_, _agaipi_, _رهروان_, _skloni_, 
   {{0x4053038f,0x4e92010f,0xba910497,0xa3f900b3}},	//   _tresaden, _бонувон_, _iconclas, _хозурини_, 
   {{0x92ab0435,0x230e018d,0xba36014e,0x7d2604eb}},	//   _dinkić_, _ክንቀሳቐሱ_, _мрачни_, _सांवरिया_, 
   {{0x92d40265,0x56d6014a,0x5ca70238,0x8a8702e9}},	//   _verder_, _ناممکن_, _редакція_, _anuncian_, 
   {{0x527e0079,0x7297017a,0xfb4b0185,0x91200135}},	//   _piens_, _кампири_, _аспектла, _ашханә_, 
   {{0x727e0292,0xf200036d,0x029202be,0x4a2703c7}},	//   _ahene_, _anaim_, _kisame_, _देवबंद_, 
   {{0xa7e80061,0x7f63015d,0xcc0600bd,0xe86c011b}},	//   _노출됩니다_, _संख्याओं_, _daursay_, _komikund, 
   {{0x7eaf0173,0x02510287,0x66940085,0x726c030f}},	// [ec0] _আমন্ত্রণ_, _डिआइजी_, _relearni, _maioro_, 
   {{0xc3950075,0x3b87025d,0x00000000,0x00000000}},	//   _fyrst_, _verneomr, --, --, 
   {{0xd94e02eb,0x617c02e1,0xed9e033c,0x48f70100}},	//   _хакерууд_, _cheangal, _curlyhyp, _raspisiv, 
   {{0xb27e009d,0x63ee0092,0x3347018a,0x0436018d}},	//   _thene_, _講談社文庫_, _barbeciw_, _መንግስታዊት_, 
   {{0xb38702c2,0x48b90159,0x022c014a,0x77fd0037}},	//   _waarop_, _заставал, _کیپلر_, _አባሎቻቸው_, 
   {{0xdc6f0195,0x014e01b2,0xcf2a0258,0x598300ae}},	//   _clarion_, _buttonho, _bertepla, _ikizungu, 
   {{0x02f500df,0xbe6b01a3,0xf30601e7,0x4bda027e}},	//   _dernier_, _بيرڪن_, _berodung_, _приложни, 
   {{0xc380047d,0x9c6500a5,0x3119005b,0x00000000}},	//   _duurch_, _toatolu_, _guavacuz_, --, 
   {{0xe32001cc,0x47e202f7,0x326e01e9,0x3e390099}},	//   _samyak_, _akarediw, _bapola_, _acharura, 
   {{0xfc6e0411,0xfdbd009a,0xc3ea0438,0x6c5202b0}},	//   _досконал, _andisena, _fwiti_, _hintern_, 
   {{0x8a160494,0x910c01ac,0xa57501a3,0x00000000}},	//   _ugradnja_, _scimeáil_, _جاڙيجا_, --, 
   {{0xa2790018,0x3bee02be,0xc24804d7,0x52920160}},	//   _apositol, _aramaiko_, _blommi_, _arapskih_, 
   {{0x7e9600ec,0x75b301f4,0xa3ea0289,0x556701c7}},	//   _čempiona, _сондаги_, _hwati_, _diliniñ_, 
   {{0x3c55038d,0xb17e00c5,0x82d7008c,0x2be40156}},	//   _lentere_, _compagno, _amalats_, _טריטיס_, 
   {{0x317701a7,0x025a01b8,0x5ae4036d,0x97ca01d2}},	//   _тесты_, _kella_, _chluinnt, _hampitsi, 
   {{0x72e8010d,0x035f0167,0x5a8a0465,0xbdab00b2}},	//   _belikan_, _brigâd_, _magistrs, _eeritira, 
   {{0x5d6f02ac,0x736f02f6,0x7341020e,0xebee0145}},	// [ed0] _أحرار_, _benguet_, _ipuella_, _бамон_, 
   {{0x3df000a2,0xea0e020f,0x00000000,0x00000000}},	//   _ونڊوز_, _bamagale, --, --, 
   {{0xaec701e1,0xb1cc00d0,0x00000000,0x00000000}},	//   _behiloen, _багажаар_, --, --, 
   {{0x6e1301a7,0xe38601e4,0x72fe0256,0x46b90085}},	//   _ollenkaa, _kufry_, _norises_, _salamuri, 
   {{0x654b0287,0xd2ee03b4,0xd20402a6,0x146c0219}},	//   _विवेकको_, _asafi_, _agriculi_, _esifundz, 
   {{0xd0ee0330,0x820201c9,0xb5340040,0xe38b00f2}},	//   _maligall, _kiriku_, _הטעויות_, _divpadsm, 
   {{0x886101b2,0x796d033a,0x506101a3,0x803d016a}},	//   _feloniou, _antikwat, _ڀنڀرو_, _bastonoj_, 
   {{0xb2f10231,0x9a6c00ee,0x12020006,0x435b00a9}},	//   _christi_, _өлзий_, _diriku_, _nongera_, 
   {{0x825a0220,0x82f0042c,0x159d03b9,0xe3200176}},	//   _della_, _silovanj, _siqichañ, _annya_, 
   {{0x0c66030e,0xe35b019f,0x8b610161,0x24d7034c}},	//   _عبدالطيف_, _hongera_, _paremman_, _басабыз_, 
   {{0x135b05b4,0xb6e701f4,0x9723013d,0x648902cb}},	//   _kongera_, _tasarruf, _aspektoj_, _započeli_, 
   {{0xda7c028a,0xa54400a4,0x00000000,0x00000000}},	//   _zingatia_, _куршаб_, --, --, 
   {{0x26000255,0x626e029d,0xdd370135,0xaf68021c}},	//   _शायदे_, _napoca_, _теориясе_, _totalitn, 
   {{0xbf7c05b5,0xd363008d,0x134f028d,0xf38703ba}},	//   _poderás_, _kengash_, _isterik_, _ogaroa_, 
   {{0xa3860369,0xc793020e,0x56830074,0x7a370142}},	//   _akere_, _bakwetli, _коллеги_, _bahirdhā_, 
   {{0x9ad900c5,0xdbc302a9,0x69ba0053,0x4b4200e6}},	//   _justacot, _kreditų_, _ridertua_, _名英语学不会者_, 
   {{0x0a6e0464,0xd46c01f9,0x2af500d8,0x624b0510}},	// [ee0] _aragenda_, _asifundz, _afrontan_, _свиньи_, 
   {{0xb5770212,0x1b7f011f,0x00000000,0x00000000}},	//   _xsitepro_, _ifunción_, --, --, 
   {{0x7981005b,0xdb810119,0x32ee05b6,0x1e47044a}},	//   _hashimot, _neunkirc, _grafy_, _bakataye_, 
   {{0xf2d90032,0x429201fa,0xa0690047,0x58cc00c4}},	//   _angegh_, _aisake_, _proposen, _واندڪائي_, 
   {{0x2f6f03d4,0x7ce7022b,0x00000000,0x00000000}},	//   _спровође, _happað_, --, --, 
   {{0xe4fb0013,0x6ca40045,0x582400bf,0x126d033f}},	//   _دارالحفا, _густина_, _утилизир, _ngaolo_, 
   {{0xd3f80288,0xe7a00148,0x6e020211,0xc64c005b}},	//   _ngaun_, _contendi, _безналич, _aminasuf, 
   {{0x025a0120,0x30ea01cd,0x6f6a02db,0x690a009e}},	//   _celli_, _захираҳо, _gavanens_, _lembrand, 
   {{0xdc620331,0xdc5c02ea,0x127f0322,0x696a0265}},	//   _veturin_, _vietato_, _azanwa_, _navigere, 
   {{0x42b7033e,0xd29f0193,0x6087003d,0x0d5a0078}},	//   _министр_, _berjiwa_, _agachatz_, _волео_, 
   {{0xb2d90095,0x5ea3033e,0x36520268,0x72c401f1}},	//   _cepet_, _cañada_, _opinionw, _premtes_, 
   {{0x23410459,0x12340169,0x13490148,0x38d30312}},	//   _कैमूर_, _বৈচিত্র্, _externi_, _arafound, 
   {{0x47d90108,0x332d034c,0x421e00a1,0x522001e0}},	//   _kulawarg, _проезжая_, _möhio_, _وینداری_, 
   {{0x0de60255,0x43650449,0x4a930204,0xb885022b}},	//   _miljonit_, _drugoga_, _комедии_, _munkagru, 
   {{0x32a601d1,0x327e0415,0x996400aa,0x82d80073}},	//   _global_, _abend_, _hypokale, _ardera_, 
   {{0x80b0009a,0x32f000d6,0x45940007,0x559400fb}},	//   _abamajel, _eisiach_, _babungak, _babengay, 
   {{0x875e0031,0x51f300c7,0xa3860231,0x325a0274}},	// [ef0] _अवस्थेत_, _sabantuy_, _nheri_, _velli_, 
   {{0x996e04d7,0x82c202f7,0xf320018a,0xcf2000de}},	//   _brennist, _ipalela_, _ennyn_, _bendifun, 
   {{0x125a02d5,0xe36602a0,0xe48902cb,0x29ec0242}},	//   _telli_, _alagolo_, _započela_, _sınaqdan_, 
   {{0x33ea02b4,0x827e0065,0x11690584,0x738600a2}},	//   _kwato_, _ebene_, _proposto, _kheri_, 
   {{0x42d901f1,0x2594016d,0xb12201db,0x30190374}},	//   _neper_, _ﺭﻩﻫﻤﻪﺕ_, _تەڭدەسە_, _чорсу_, 
   {{0xf27f024f,0x47c902f1,0x225a05b7,0x00000000}},	//   _diuna_, _manterá_, _stolac_, --, 
   {{0xc104042a,0x92470297,0x8aa90061,0x79c8020e}},	//   _akukenel, _aşmas_, _브라우징은_, _fokolisa_, 
   {{0xc2da031d,0x5afc005b,0xa8d003d4,0x389c0193}},	//   _bowery_, _samfunds, _издавачк, _मनुष्याच, 
   {{0xa43f002f,0xdbbd00d1,0xc1cc01de,0xcaf300f8}},	//   _chakishk, _তাত্পয্য, _сызат_, _ক্ষেতের_, 
   {{0x82d901ec,0x962c03b7,0x5e650017,0x2b8d0142}},	//   _pepet_, _acrobatw, _वर्गमा_, _प्रमा_, 
   {{0xda5f00ea,0x8d4a0013,0xac1c0040,0x22c7040a}},	//   _matetika_, _اسکنه_, _ולבחור_, _lådan_, 
   {{0x2daf0272,0x2f5a0013,0xf27e02d5,0x82960126}},	//   _abatujju_, _тааллуқл, _laenu_, _beskrev_, 
   {{0xd2fe0168,0x5b020066,0x01f20151,0xbe3a000a}},	//   _torget_, _adiskide, _altaragh_, _asaanera, 
   {{0xf427014e,0x39b600c5,0x3c8c05b8,0xbb3c00f8}},	//   _мислим_, _云南电子政务门户_, _njutning_, _সচিবালয়ে_, 
   {{0x9c070103,0x92d900d8,0x2f7400d1,0x0a250137}},	//   _kamutamb, _sabers_, _চিৰযুগমী, _клубууд_, 
   {{0x03fa0044,0xea280326,0x0b09027e,0x427e0322}},	//   _assume_, _achchema_, _берлина_, _abene_, 
   {{0x00000000,0x00000000,0x00000000,0x00000000}},	// [f00] --, --, --, --, 
   {{0xb290030f,0xb37d00cf,0xc33b0055,0xb22800c7}},	//   _timata_, _baqanne_, _annasà_, _биргәннә, 
   {{0x3e830187,0x49330299,0x727e018a,0x93fa0569}},	//   _романот_, _ئىچمەكلە, _daenu_, _jarunu_, 
   {{0x22d801f0,0x239400b9,0x09ea05b9,0x72fb02fe}},	//   _atlega_, _singkong_, _nedgrade, _مسئولانو_, 
   {{0xd25a029b,0xa19a02e7,0x23f90014,0xbdf80025}},	//   _dellu_, _blackhol, _hequr_, _अनुमानं_, 
   {{0xc5380013,0x07f300da,0x2a060117,0x8c5a025f}},	//   _انکارایت, _райсобес_, _rimaende, _ekateli_, 
   {{0xc96901a7,0xa4400315,0x02d901bb,0x13e40192}},	//   _ajankoht, _akakabik, _zeper_, _바이올린의_, 
   {{0x7eb603f2,0x52680156,0xe24c038e,0x00000000}},	//   _системы_, _בייַשפּי, _मंगलम_, --, 
   {{0xfa1700b8,0xa3820092,0x7f6a0092,0xd2d4029a}},	//   _quranaka_, _滋賀県近江八幡市, _返品について_, _verdir_, 
   {{0xf27e00dd,0x52f000ad,0xa2cb0445,0x33e10291}},	//   _maent_, _dititah_, _moedas_, _إضراب_, 
   {{0x425a02dd,0x2ab4034b,0x827e01c2,0x327f00b3}},	//   _kellu_, _blakskin_, _iconas_, _alanyn_, 
   {{0xa2d901f1,0x02900119,0xad1300e2,0x72b50488}},	//   _teper_, _bujari_, _brosjuer, _sveces_, 
   {{0x5b2a02b6,0x7ff70044,0xa290054e,0x22e70119}},	//   _пайдалан, _מעניק_, _simata_, _aminado_, 
   {{0x03980013,0x21f60291,0x3967015e,0x00000000}},	//   _حقانی_, _تفعله_, _алмайынч, --, 
   {{0x8c57011f,0x8dc70025,0x63e20344,0x422500e6}},	//   _sudaméri, _avikalpa, _ikittuni_, _雪灾紧急救援行动_, 
   {{0x7b060188,0x92260211,0x32d80170,0x00000000}},	//   _хамсоя_, _kirkon_, _kudera_, --, 
   {{0x15bb019b,0x22bb0040,0x4c6e033e,0x634e0153}},	// [f10] _атлеты_, _שהופך_, _catafóri, _を住居侵入容疑で, 
   {{0xc55b0170,0xeb710187,0xc2d9059f,0x22b60031}},	//   _akaweluk, _emissora_, _veper_, _netcut_, 
   {{0xfe4e02be,0x63860369,0x927e02d5,0xb25a041e}},	//   _kasalana, _akera_, _vaenu_, _bellu_, 
   {{0x5d740064,0xa2c200cf,0xc2000399,0x00000000}},	//   _атрибутт, _faalama_, _piiii_, --, 
   {{0x6270025b,0xef2f013a,0x4e460168,0x78f70241}},	//   _grundini_, _beweegun, _ultralyd_, _eebantuu, 
   {{0x9290023b,0xe25a04d7,0xf9ab0291,0x82d904e5}},	//   _dimara_, _fellt_, _واحتياجا, _aveeyo_, 
   {{0x508c00bf,0x5c6e0195,0xdf790162,0xae9a0361}},	//   _главе_, _cuirinn_, _әйләп_, _радиокал, 
   {{0x62d901b4,0xb80c05ba,0x8c340198,0x00000000}},	//   _peper_, _अंगरक्षक, _izkaznic, --, 
   {{0x08ea0037,0x386300d9,0x3d350388,0x00000000}},	//   _በማቴዎስ_, _годами_, _елените_, --, 
   {{0xf5190037,0x58370204,0xa15603bf,0x89e30397}},	//   _እስፓንያ_, _батареи_, _малына_, _доданаш_, 
   {{0xa8270046,0x3ef504b1,0x87c9018d,0x827400be}},	//   _تارتىبى_, _desverre_, _ኣቐሚጥዎ_, _كۉچسۉزۉن, 
   {{0xed93009a,0x63cf0255,0x82aa00ef,0x12d90082}},	//   _amaesile_, _odavam_, _مسئلی_, _hudowar_, 
   {{0xd3ea02f8,0xc6ae01db,0x92bd00d9,0xd9ed037f}},	//   _atita_, _اتاۋدان_, _косметич, _zengimce, 
   {{0xd9e0016d,0xc5ef01c6,0x205302dd,0xfc6b050a}},	//   _ақсүңәк_, _grimmiti, _familtek_, _huzurlu_, 
   {{0x53940230,0x220000e2,0xc5940011,0xa62200e6}},	//   _belser_, _iiiiv_, _babeegay, _太平洋汽车网_, 
   {{0x72d80196,0xd25b033f,0x9da005bb,0x33f80119}},	//   _kulera_, _alelé_, _finínfin, _lumuya_, 
   {{0x13ea0049,0x23fa0051,0x6212009a,0x00000000}},	// [f20] _etita_, _sarunu_, _emihla_, --, 
   {{0xc2f20428,0x910800cb,0x3ca300e6,0xf479001c}},	//   _potovanj, _amakhwal, _héritage_, _langkuro_, 
   {{0x53860326,0xd5440285,0x2381019d,0x379f0148}},	//   _chero_, _ishingiy, _amayang_, _contingi, 
   {{0xc99d023d,0x97730052,0x763701e4,0x4c5b0013}},	//   _дискусия_, _बिहानैबा, _भयरहित_, _истилоҳи, 
   {{0x3c770270,0x73200140,0xbc280272,0x5264034c}},	//   _pensate_, _ninyo_, _abaperus, _agulau_, 
   {{0x0f670177,0xe36200d9,0xb24b0169,0x71ee016d}},	//   _христопу, _одноврем, _আনন্দে_, _позитсий, 
   {{0x8af7005e,0x93860074,0x90400306,0xf8110291}},	//   _كىتدۇ_, _hiiren_, _cantokun, _تشارجر_, 
   {{0xef5e017e,0x3b09006c,0xf68b00de,0xfb0b03cf}},	//   _komprena, _махалчиг, _babemoyi, _taksitle, 
   {{0x99090276,0xb8b701c8,0x9c2a02c1,0x00000000}},	//   _һесабат_, _protipov, _arababar, --, 
   {{0xa0660401,0x41530026,0x73c502b2,0x43f800b9}},	//   _लक्षित_, _kunststo, _турнір_, _nemuin_, 
   {{0xbb370360,0x24fd0420,0xdb9a048c,0x5d8d0037}},	//   _बसोबास_, _законите_, _pachyder, _ስኮትላንድ_, 
   {{0x3ab80148,0x9d7b00f3,0x82690288,0xaf4f00db}},	//   _元以限時掛號印刷, _abaminya, _mwinenei_, _meestele_, 
   {{0x92d405bc,0xe2000249,0x8d8701a6,0xbd670077}},	//   _verdur_, _inait_, _herekore_, _demandè_, 
   {{0x92000359,0x165a020a,0x5dc50439,0xbbae0144}},	//   _kriich_, _фирмасын, _kumiweke_, _ilchodac, 
   {{0x82010062,0x26cd0222,0x89f8005e,0x00000000}},	//   _boqil_, _rapproch, _әслимиси_, --, 
   {{0xe200005b,0x7852020e,0xcf7800e6,0xc0460158}},	//   _aiain_, _diushers_, _取得经济学_, _zagubion, 
   {{0xd86a00df,0xb2fe019a,0x6f5e0455,0x727e012f}},	// [f30] _politiqu, _forgat_, _comprena, _tsinya_, 
   {{0xc27f0199,0x02c302b7,0xae4003d5,0x00000000}},	//   _khung_, _suellen_, _broachit_, --, 
   {{0x6916053f,0x4889004a,0x00000000,0x00000000}},	//   _chacharu, _заманада, --, --, 
   {{0xee5d0037,0xe2c302c7,0x428d0241,0xe28f02ac}},	//   _አልታወቀም_, _quellen_, _bekkamo_, _تساريح_, 
   {{0x938600ab,0x4317023e,0xeed80311,0x00000000}},	//   _whero_, _dhanyang_, _እንብህጎ_, --, 
   {{0x6386046d,0x520101eb,0x4c660488,0x622605bd}},	//   _thero_, _araity_, _baltais_, _birken_, 
   {{0xf27f0199,0xc41301e0,0x2afe0333,0x02d800bd}},	//   _nhung_, _لاندا_, _apertame, _bedein_, 
   {{0xf5b901d9,0x4c35003d,0xa3d10366,0xcfba0160}},	//   _speziell_, _repartic, _тинĕс_, _krevetić, 
   {{0x5c3500a8,0x8c1e03ba,0x5ea200d9,0x8bc8004d}},	//   _separtic, _gogoredu_, _laadukas_, _按平日每小時工資, 
   {{0x6ed40487,0x9ae4000d,0x5db300f6,0x5e2e01fc}},	//   _achievin, _otstarbe, _ambisiya, _yintifiq, 
   {{0x9303011f,0xd3d7019e,0x328b00cb,0x00000000}},	//   _marandu_, _адзiн_, _babaholi_, --, 
   {{0xb2b50270,0xc02204e8,0x727e0156,0x74b300a6}},	//   _svedese_, _acceloro, _abonis_, _bematrik, 
   {{0x45270091,0x4215003b,0x191501cd,0x1f3200ea}},	//   _karitauy, _akahlali_, _худамро_, _fiafaran, 
   {{0x4192006c,0xce4d00d6,0x0e250243,0x0d2d020f}},	//   _abobulil, _calafort_, _tantafaq, _bazimase_, 
   {{0xaee00162,0x4c0b02d0,0x23200316,0x1c120176}},	//   _مۆمىن_, _flappin_, _cinye_, _deepchi_, 
   {{0x13160464,0xb7a1014d,0x63200127,0x32d0013d}},	//   _akizwa_, _verteidi, _aonyx_, _koloroj_, 
   {{0x5a9103df,0x96030211,0xf2000144,0xddbd0370}},	// [f40] _kringkas, _новинок_, _diail_, _bagianna, 
   {{0x75d20046,0xd36e012a,0x73f80085,0x1c3a04eb}},	//   _ئشتەتىپ_, _perfumy_, _kumuna_, _ईडियट्स_, 
   {{0xadc2038f,0x737f00ad,0x038600a4,0x6f780296}},	//   _deskriva, _kalahka_, _aniran_, _grabbarn, 
   {{0x752a05be,0xecc8020f,0x72d102c7,0x00000000}},	//   _žestoko_, _دتېلو_, _postfach_, --, 
   {{0xc32600c5,0x133d01e0,0x16f600c1,0x85830403}},	//   _图片和音视频稿件_, _جیراد_, _सँडविच_, _fanendah, 
   {{0x436e017e,0x0972013d,0x8c26012a,0x9386023a}},	//   _הוספות_, _kopirajt, _wersję_, _miery_, 
   {{0x225a041f,0xcd160208,0x1c2704ac,0x58580374}},	//   _bedla_, _حکومی_, _примеру_, _safarbar_, 
   {{0xa25a029f,0x42eb023e,0x92d90497,0xd0d902c6}},	//   _jedla_, _chairul_, _abbess_, _barabbaz_, 
   {{0x835f0035,0x13860005,0xc1e70151,0xd84e0290}},	//   _valeriy_, _tierz_, _accouchm, _castials_, 
   {{0x78aa00bc,0xb2d7023e,0x33200129,0x127e030b}},	//   _نکردنی_, _شکاری_, _tinye_, _asinga_, 
   {{0xb2da0050,0xac04025f,0x02d803e6,0xdd2d00a0}},	//   _puseur_, _ekeseni_, _betount_, _gajimare_, 
   {{0x46280047,0x9403002e,0xa35b02b9,0x52d80198}},	//   _habitati, _utvrđen_, _zongora_, _hudega_, 
   {{0xd2a101ba,0x42ea013f,0xf8830159,0x00000000}},	//   _intansif_, _carnoet_, _bankrutu, --, 
   {{0x40f503c7,0x038605bf,0x4c5c0047,0xa1f80071}},	//   _अनुरूप_, _diery_, _soutien_, _مقوله_, 
   {{0x622e041f,0xd9a0004c,0x331a0488,0x33c90163}},	//   _ukuvikel, _abakozie, _labajā_, _fakadó_, 
   {{0xf2f0034b,0xd7a90145,0x459d00ae,0xdd340333}},	//   _filipai_, _захворва, _birungik, _svanisce_, 
   {{0x0a12002a,0x82f4008c,0x262b04f9,0x00000000}},	// [f50] _amachara_, _turnaus_, _nerisari, --, 
   {{0xe37800a0,0x7f3902a6,0x00000000,0x00000000}},	//   _bawansa_, _annuchja, --, --, 
   {{0xe3860558,0x93ea04ec,0xc7a80306,0xd6b90096}},	//   _ekere_, _gwati_, _charikri, _badakuri, 
   {{0x43ea01b2,0x4c550322,0xb6260318,0x227e032d}},	//   _swath_, _sentore_, _havilivi, _eneneg_, 
   {{0x4c520191,0xcec701c9,0x23ea016b,0xe9a90037}},	//   _vintern_, _इन्टेकचु, _awati_, _በየክፍሉ_, 
   {{0x23960132,0x8290003a,0xf3200200,0xb36c006e}},	//   _messze_, _nimaga_, _pinye_, _dieggui_, 
   {{0x825a05c0,0xd8c8017c,0xcb9002b9,0x827201f4}},	//   _kelli_, _avstängn, _atlétika, _kelishdi_, 
   {{0x6d60023e,0xae4400ee,0x7f4103b4,0xbcd900f4}},	//   _کامیونت_, _pribatua, _bharabha, _gelveneg_, 
   {{0xcb810169,0xb2da055c,0x463601f7,0xbece033e}},	//   _লাগতে_, _spredt_, _apoiridi, _шраку_, 
   {{0x925a00fc,0x98f20253,0xb43000c5,0x231a0126}},	//   _lelli_, _nangillu, _polémiqu, _прикріпл, 
   {{0xdba902c1,0x209800ff,0xfc6f001d,0xa18b025b}},	//   _ubukerar, _געשװיגן_, _centvez_, _finalupl, 
   {{0x53bb006f,0xcf0b01b6,0x3aa300bc,0x66cf019f}},	//   _وستار_, _אלירן_, _rashedin_, _kikamili, 
   {{0xccda0126,0x073a0444,0x937c0077,0xeea3001c}},	//   _наскільк, _зорге_, _envante_, _lañada_, 
   {{0xab0a02ee,0xcc07000a,0xfb8c00ee,0xe29104ec}},	//   _klassika_, _agerlars, _nazinoar, _bubati_, 
   {{0x2ece03a2,0x79c50032,0xecd30060,0xdb13014f}},	//   _कार्यवाह, _cholonta_, _بارىلادى_, _послао_, 
   {{0xaae4002b,0xc3f003bf,0x327e020e,0x8292018c}},	//   _কাতারে_, _bolelang_, _bonnte_, _gitaar_, 
   {{0x63200132,0x487b030c,0xcc9f003e,0x8a9a0358}},	// [f60] _annyi_, _ministau, _опрессов, _akonplis, 
   {{0x1b8c053f,0xd36f04b3,0x0320051a,0xc94f01da}},	//   _marimoto_, _prigent_, _kunyah_, _mjeshtër, 
   {{0x0d78038a,0xcdfe0360,0x0eca01db,0x08c70126}},	//   _arampamp, _कलाकारित, _جەتپىستە, _законі_, 
   {{0x22d80499,0x83860250,0xa6d7040f,0x99690008}},	//   _aulega_, _sherr_, _празаік_, _proposar_, 
   {{0xa3200163,0x1b7100b0,0x23ea028b,0x32d801e9}},	//   _ennyi_, _guurtida_, _avaty_, _bulega_, 
   {{0x83770164,0xc532014e,0x327e0073,0x62c80037}},	//   _بىراق_, _септемба, _ebeno_, _አገሪትዋ_, 
   {{0x02ea0249,0xde1b00a7,0x86b604ad,0x4f5d02b6}},	//   _hariken_, _primeres_, _belegelw, _минуттай_, 
   {{0x13ea001d,0x0910019b,0x6f5d000a,0x00000000}},	//   _bontá_, _ўзнагаро, _appakaan, --, 
   {{0x203501b6,0xfe320307,0xc4f7014e,0xbaf500e0}},	//   _אומגה_, _bengahla, _мислили_, _ferriede, 
   {{0x6c6000c5,0x0c7b00a7,0x1e4804a4,0x00000000}},	//   _中国视觉网_, _баянкүйү, _marairea, --, 
   {{0xc236042b,0x0303021a,0x326e0074,0xe56300be}},	//   _manjih_, _garasuu_, _tapoja_, _كەچەدە_, 
   {{0x120002ce,0x3b3d0396,0x00000000,0x00000000}},	//   _azmira_, _franċiż_, --, --, 
   {{0x5a710122,0x8290003d,0xafa4017f,0x00000000}},	//   _معرکه_, _aimada_, _atulerso, --, 
   {{0xe2bb0270,0xd52d0297,0xe6ef0105,0x725501be}},	//   _funebre_, _betermäg, _zapachow, _प्रदेशीय_, 
   {{0x020e032b,0x1f630026,0x69d80306,0x917b05c1}},	//   _капал_, _relaties_, _asterale, _marhalah_, 
   {{0xd1bd0093,0x0c850130,0xf5380397,0xd9e2020f}},	//   _каталоге_, _okitaneg_, _abayibek, _راټيټ_, 
   {{0x946c0219,0xa14a0061,0x9af60007,0x2cf5039f}},	// [f70] _asafundz, _새집증후군_, _deboston_, _spawning_, 
   {{0xa89e0302,0xbe38048c,0x6320048f,0x936e0020}},	//   _зарафшон_, _anvashta, _kinya_, _osiganu_, 
   {{0xe0ea0071,0xce00027c,0x9b1800ae,0x430c01f5}},	//   _فرگوسن_, _aludinga, _buzayats, _depanku_, 
   {{0x4f38006c,0x3fb604b9,0x3479013a,0x259301e5}},	//   _abasespa, _beltless_, _grotéin_, _takuntak, 
   {{0x73200277,0xa20e015e,0x12d8000b,0xa89601ec}},	//   _linya_, _талаш_, _pulega_, _سخنگوی_, 
   {{0x72a70244,0x00a701cd,0x92e9004f,0x3e4f02fb}},	//   _такова_, _биринҷӣ_, _basiira_, _fematema, 
   {{0xcfed018d,0x223101fb,0x1d3d0010,0x438601b4}},	//   _ምስትንታን_, _inimico_, _bakhonte_, _skerm_, 
   {{0x62e90111,0x8f4d03c4,0x39a002f9,0x1a090277}},	//   _scritta_, _башланди_, _konjonkt, _blaauwbe, 
   {{0x2d1901f6,0x97c3013a,0x838603b4,0xd24501d9}},	//   _personar, _bestriew, _atorwe_, _dämpt_, 
   {{0x9c7100ef,0x52000092,0x1b8100d1,0xc657040f}},	//   _دپلار_, _iiiii_, _লাজতে_, _важкае_, 
   {{0xd95b03f3,0x6396005a,0x53200316,0x5723002b}},	//   _dienstve, _chusha_, _jinya_, _অনীহা_, 
   {{0xf320022c,0x19c802fe,0x7c6602b6,0xaf790137}},	//   _dinya_, _نظرياتو_, _сауығып_, _фосфорын_, 
   {{0x3dc4007f,0xf0060153,0x9200003c,0xf5cb034e}},	//   _breintia, _月発売予定_, _cuiiih_, _hamawtay, 
   {{0x2017019e,0x4f8200da,0x21c10156,0xc4e20352}},	//   _законна_, _afectiun, _סוּווערע, _চেডাৰ_, 
   {{0x497c000b,0x5b0403ba,0x030f0252,0x06130163}},	//   _ainitene, _einsalbe, _tambaho_, _kollekci, 
   {{0x2d2f0024,0x820104d7,0xae0602f9,0x92b20297}},	//   _বিধায়ক_, _aleinn_, _fondalna, _fondtan_, 
   {{0x82000257,0x2984002e,0x93f90338,0xf69c00d7}},	// [f80] _kominn_, _pružiti_, _ateuna_, _institjh, 
   {{0x11fb041b,0x72c30132,0x8f38027b,0x63860116}},	//   _nanpalok_, _nyelven_, _देहिनां_, _sherp_, 
   {{0xa76502fe,0x72a7010f,0x00000000,0x00000000}},	//   _دوامداره_, _панохаш_, --, --, 
   {{0x02c300b5,0x2c330328,0xe2260331,0x0c6b018d}},	//   _tallado_, _agacerer, _virkin_, _ከበሳታት_, 
   {{0x9876016a,0x135100c5,0xca0f0388,0x7b20003c}},	//   _משניות_, _consacré_, _chiarame, _درآستانه_, 
   {{0x9c730461,0xbacb0243,0x83790313,0x00000000}},	//   _cabrils_, _rammiten_, _pehajqo_, --, 
   {{0x806601ab,0x3e3d002f,0x00000000,0x00000000}},	//   _कातसँ_, _estadopa, --, --, 
   {{0x126c0270,0x32ea0152,0xbfc3034c,0xf601040e}},	//   _schola_, _аттранж_, _asrauçıl, _fiskebåt, 
   {{0x63960550,0x4a7f02e3,0xf3ea0196,0xb2a90037}},	//   _shusha_, _thuế_, _awatu_, _አገሪቷን_, 
   {{0xd5d203d4,0x427f02ab,0x8ffd0202,0x530001ab}},	//   _железниц, _ihuna_, _erunwọ̀n_, _romaani_, 
   {{0x1c1401aa,0xee330132,0x825b0369,0x2fcc01ac}},	//   _udystay_, _villamos_, _kaeleu_, _مزدوجة_, 
   {{0x837c00f7,0x05810003,0xd24a037c,0x1da1012c}},	//   _vivante_, _eigensch, _turmas_, _بارگاهه_, 
   {{0x9398022f,0x495a0287,0xdfbe01b6,0xf1b901db}},	//   _рассыпае, _हिंसाको_, _pollutio, _термині_, 
   {{0x59170371,0x567e016d,0x56ff003c,0x5b7900be}},	//   _призова_, _җавгониң_, _دستامو_, _ونۋەرىست, 
   {{0x92c7057c,0xc47902ce,0x7171020f,0xc68f0139}},	//   _sådan_, _protéin_, _دبېلابېل, _chettavy, 
   {{0x22da0258,0x256f00e4,0xbd0a000a,0x228c02b4}},	//   _sprekt_, _प्रताड़न, _alarniar, _bukhulu_, 
   {{0xb64b018d,0x15330238,0x6f2503a2,0xa422033a}},	// [f90] _ንዓሰርተ_, _погляди_, _खनिजों_, _definizz, 
   {{0x531d00b4,0x57830092,0x6386002a,0xd3bb00ef}},	//   _sarcina_, _総スクラップ数_, _ikeri_, _مکتبونو_, 
   {{0xb27f05c2,0x7ee300b7,0xd2450241,0x43160043}},	//   _ahuna_, _hoşniýet, _atileeti_, _akizza_, 
   {{0xfae70320,0xa9c70145,0x66040026,0x020102a0}},	//   _blueglob, _чакала_, _beslissi, _enyin_, 
   {{0xb2d80511,0x62da04d8,0xbb3c00bf,0x38270061}},	//   _etlela_, _mareeb_, _хлопонин_, _열렸습니다_, 
   {{0xe27f0014,0xb702005e,0x42bc0296,0x5c6103f1}},	//   _dhuna_, _ﺑﯩﺰﻣﯘ_, _bildfel_, _rakusko_, 
   {{0x6c160125,0x5c5503a8,0xb2eb0062,0x00000000}},	//   _berseň_, _bentare_, _qeliqam_, --, 
   {{0x74f7023c,0xb5ea004a,0xf2cb0456,0x99d100c1}},	//   _ښاپېرۍ_, _astağı_, _khadam_, _नौदलाच्य, 
   {{0x15440094,0x92ab018d,0x2c1b016e,0x89b4015e}},	//   _بىلەيىن_, _ንምጽኣቱ_, _makamlar, _бугунун_, 
   {{0x141603cc,0x92d50329,0x00000000,0x00000000}},	//   _এক্সক্লু, _adjourn_, --, --, 
   {{0x12ca0052,0xc1560038,0x27a6036e,0x00000000}},	//   _akademii_, _башыма_, _churaqti, --, 
   {{0xa25a03f8,0x72c602ec,0xe37f0340,0x33bb014c}},	//   _qellu_, _بدلنہٕ_, _hamaria_, _akhwela_, 
   {{0xc03602bb,0xf2570022,0x0d5803bf,0xd27f0176}},	//   _छमाही_, _алтынсыл, _сымдарын, _chuna_, 
   {{0xfc65033a,0xecaa00f2,0x4ffb0074,0xf2e5009f}},	//   _kuntatt_, _asociāci, _ставить_, _prilagaj, 
   {{0xae9f0079,0x00000000,0x00000000,0x00000000}},	//   _ekskluzī, --, --, --, 
   {{0xc2010077,0x427e018a,0xdfa700e6,0xb291031e}},	//   _anyin_, _baent_, _等额本金还款法_, _drzati_, 
   {{0xf29000a5,0x9c05022f,0xfd4e0092,0x527e018a}},	// [fa0] _aonapo_, _verslui_, _地球の歩き方_, _caent_, 
   {{0x9420016d,0x42900119,0x19c3028a,0x6278018f}},	//   _نىمانداق_, _himaya_, _طالبن_, _jitney_, 
   {{0x8d810212,0x029402d8,0x83860257,0x9fb60226}},	//   _truetype_, _sukabumi_, _skera_, _angolozo, 
   {{0x9e8d028b,0x12d500ab,0xc3a9005e,0x547b0294}},	//   _иамшы_, _kaponga_, _سېكۇنت_, _cartolin_, 
   {{0x94cc03b8,0xf276003c,0x036f00a3,0xb6570297}},	//   _магмалық_, _diingoni_, _byggast_, _ишәйде_, 
   {{0x62ca0203,0x736502f7,0x00000000,0x00000000}},	//   _mundes_, _mengobo_, --, --, 
   {{0x6b7b031a,0xc27e048e,0x3730001a,0x305401b2}},	//   _ainglean_, _kaens_, _تیراکی_, _brusquen, 
   {{0x64d7048a,0xc29002d8,0xba270109,0x1372017f}},	//   _санаты_, _kejang_, _ढंगबाट_, _eigaard_, 
   {{0xf46e04c7,0x5f8d02d5,0x93ea0558,0xdb52020f}},	//   _према_, _सलीका_, _etiti_, _عبدالمعي, 
   {{0xb30d046f,0x73ea012f,0x402c004e,0xf379010d}},	//   _geparkt_, _otata_, _impeksyo, _kotanya_, 
   {{0x70d5034d,0xf99603de,0xbaa4015f,0x5f5c01b2}},	//   _bergerak_, _ukuhlala_, _ardystie, _asianonn, 
   {{0x13dc02bd,0xfbb2017e,0xeb0301c6,0x420e01cd}},	//   _talwrn_, _subjekto_, _barradie, _малах_, 
   {{0x28860178,0xb59002c2,0x93ea00b4,0xaabb01b2}},	//   _akhaṇḍaṃ_, _teruggek, _atata_, _bunkeryn_, 
   {{0x68ab01ce,0xec550244,0x1379036e,0x4a7901d2}},	//   _برجسته_, _sentire_, _antacha_, _antachap_, 
   {{0x9d29042f,0x84cb0220,0x24af0003,0x6927005e}},	//   _enmikkot_, _контрапр, _minimaal_, _ھۇرەيرە_, 
   {{0x9d5c029d,0x00000000,0x00000000,0x00000000}},	//   _комисару, --, --, --, 
   {{0x13f403ae,0xd047041a,0x00000000,0x00000000}},	// [fb0] _kartet_, _базової_, --, --, 
   {{0xd68301be,0x3984027f,0x9c0d033e,0x00000000}},	//   _संभार_, _ikazindu, _langdocc, --, 
   {{0x59c70205,0x878a016d,0xf2a202ac,0xb59c02d3}},	//   _малака_, _заманиди, _لمنطقة_, _legislaç, 
   {{0x0af60016,0x027e00aa,0xb1b30204,0xe364008e}},	//   _informon_, _abena_, _моложе_, _dungeen_, 
   {{0xc29d0183,0xce4f0125,0xac7c0371,0x034700d7}},	//   _tanjona_, _makalala, _чистката_, _lelekoa_, 
   {{0xe4b50118,0x3a2d012e,0x2c390077,0xfedb0350}},	//   _kutandik, _الادا_, _epicstor, _ለፍትህና_, 
   {{0xe0dd0219,0xf5c90125,0xa9d501f4,0xbe18018f}},	//   _ngendlel, _киргизле, _yerlarda_, _mimechja, 
   {{0x2d8c02dd,0x63fa01a6,0x035f005e,0x629003b4}},	//   _འཁྱོར_, _harumu_, _سەيپىدىن_, _aonawo_, 
   {{0x7c7e0119,0xb2010313,0xa2cf01ae,0x12ae00a4}},	//   _opisyal_, _biyin_, _coloque_, _previsió_, 
   {{0x03bc0013,0xb671004b,0x0d5b02a0,0x785c0098}},	//   _товарлар, _акинфеев_, _ifisilẹ_, _strammer_, 
   {{0xd3ea00b8,0x427f00c9,0xd2660466,0x8200051a}},	//   _utata_, _chung_, _otvoreni_, _dhaif_, 
   {{0x50bf02ac,0x3f380041,0x3301009a,0x00000000}},	//   _أصدرت_, _isãva_, _bombane_, --, 
   {{0xb3ea0388,0x07f40020,0x594f0305,0x00d80453}},	//   _stata_, _felauaig, _gullinge, _najozbil, 
   {{0x63ea05c3,0xf27f04f1,0x427e0117,0xbfa4017d}},	//   _fuite_, _aiunt_, _saens_, _opslagso, 
   {{0x474a01f4,0xdb0c051a,0x322e0010,0xedfc0161}},	//   _ускунала, _keistime, _cámelo_, _водонепр, 
   {{0x523002e8,0x9dbc0388,0x8f2905c4,0x79fd02d7}},	//   _akamira_, _milanese_, _napoleón, _alzament, 
   {{0x2201005a,0x438601e5,0x52bc01b4,0x627e0269}},	// [fc0] _yiyin_, _akero_, _verdwyn_, _iconos_, 
   {{0xcc7c02f3,0x12820014,0xe2f4008b,0x00000000}},	//   _vinsten_, _radhazi_, _metital_, --, 
   {{0xf37a0285,0x00000000,0x00000000,0x00000000}},	//   _magambo_, --, --, --, 
   {{0xd2b9046a,0x6e96017a,0xe18701c8,0xa2470022}},	//   _lúcia_, _abamkhon, _levandul, _декадаһы_, 
   {{0xa8d40148,0xcaee0269,0x33320077,0x057f022b}},	//   _天生成腔子_, _sentimie, _annafè_, _etingaró, 
   {{0x127f0184,0x646e00ec,0x32900122,0xb5cb0306}},	//   _aranka_, _драмы_, _rejang_, _andahuay, 
   {{0x784700b7,0x59fe02e5,0x6108004c,0xe51900b4}},	//   _захария_, _apuntaha_, _anakuwal, _traficul_, 
   {{0x22da023d,0xd49101ab,0xf7cf0159,0x72fc0119}},	//   _attesa_, _करीमन_, _rūpestin, _nanhold_, 
   {{0x989500a4,0xbb8800ff,0xd37602b2,0x51af00e6}},	//   _resistèn, _העסליכע_, _крісло_, _险胜中国女排_, 
   {{0x5290038e,0x52d802e7,0x127f04f2,0xd28e014d}},	//   _dimana_, _kahel_, _phung_, _muskeln_, 
   {{0x9f5500d1,0xf9fb018b,0x339501b2,0xc04202ac}},	//   _সংগঠনসমূ, _maramure, _omasex_, _رووووووع, 
   {{0xd14500a7,0xa34700de,0xab7e0183,0x00000000}},	//   _курман_, _athenga_, _asiriana_, --, 
   {{0x82d8003f,0x743b0311,0x53f90040,0x00000000}},	//   _mahem_, _ንወትሃደራዊ_, _לקסוס_, --, 
   {{0x527f02bc,0x24420287,0x05160039,0xa3860230}},	//   _thung_, _katalogů_, _навчаа_, _shert_, 
   {{0xd28d019d,0x93860047,0x50e70262,0xfef60299}},	//   _akukuwa_, _chers_, _almaklyk_, _ئۇپرىشى_, 
   {{0x1e49007c,0xa2b205c5,0x9a5502bb,0xba3d0089}},	//   _angaziba, _तालुक_, _यथार्थवा, _auditorı_, 
   {{0xb345034b,0x26db04f8,0x8fc601ce,0xb05602eb}},	// [fd0] _graduet_, _lymphocy, _تهاجمی_, _agenteak_, 
   {{0xeb95012c,0x2317020b,0x35fe0209,0x6ffb000d}},	//   _mazingir, _akanyang_, _hammondi, _tööohutu, 
   {{0xc3870183,0xe2d00467,0xec910040,0x2e3f01e7}},	//   _anaran_, _ankonam_, _הכניס_, _detailop, 
   {{0xb77c02c1,0xfe1c0235,0xeda803b7,0xb02300c5}},	//   _abavandi, _alpeccha, _actileta, _专业游泳教练一对, 
   {{0x8aea0124,0x82900031,0x1cbb0142,0x9445002b}},	//   _barthele, _gimana_, _उत्सृज्य_, _গেমসের_, 
   {{0x94d000a6,0xa5270427,0x1f4a0148,0x2d3a0158}},	//   _البلاوي_, _qaritauy, _epistula, _jesienne_, 
   {{0x6b720148,0xb4d70185,0x23800387,0x920004a4}},	//   _從之前的文章開始, _барасыз_, _latrik_, _ciiis_, 
   {{0xd3450305,0xf29000f7,0x09ac037f,0x31c900d9}},	//   _tildelt_, _monato_, _dostluğu_, _магнитны, 
   {{0xe290003b,0x627f0464,0x09cd04ad,0xa0f9018d}},	//   _lonato_, _isanga_, _baperofe, _ተጸንቢሩ_, 
   {{0xd27f00a9,0xb990002a,0x126c0170,0x814701cd}},	//   _asanga_, _chekwaba_, _achona_, _қасида_, 
   {{0x41b303ce,0x73ce0276,0x8af703e0,0x52d8015a}},	//   _کافری_, _жамаъити_, _saxophon_, _bahee_, 
   {{0xe656003b,0xcc5a012c,0x0a390019,0x3e1503d4}},	//   _afungelw, _ukatili_, _бегдин_, _империје_, 
   {{0xd20000d6,0xd43e0126,0x330e0121,0x4eab0279}},	//   _riail_, _гарне_, _cambian_, _palettes_, 
   {{0xa3860202,0x3290019f,0x6fa50277,0x8ef70025}},	//   _miiran_, _kujali_, _bulletpo, _करटको_, 
   {{0x42ea0231,0xf27e02e4,0xfdfe0162,0xefb80524}},	//   _helical_, _spinta_, _تەمىن_, _poslovno, 
   {{0xe3000090,0xf9240478,0x64ab038b,0x265604cf}},	//   _achanzi_, _cavalièr, _menampak, _efungelw, 
   {{0x427f0382,0xf230005b,0xbf7a02e1,0x2dbe0025}},	// [fe0] _frania_, _okamura_, _إفتتاح_, _पूर्वजान, 
   {{0xd4ed002b,0xb8dc0205,0x21fa002c,0x00000000}},	//   _পেপাল_, _бувим_, _подволко_, --, 
   {{0xe27f00ee,0xc06b01f2,0xf2830028,0xc04b00d6}},	//   _esanda_, _көчишими, _aansaday_, _faighteo, 
   {{0xb46d00e1,0xee9a0162,0xa2c504bf,0x4a9100a9}},	//   _baadoolo_, _затларни, _okoline_, _kuririmb, 
   {{0xcc1b0312,0x6e1d0265,0x00000000,0x00000000}},	//   _bourchas, _hooglera, --, --, 
   {{0x59410352,0x138600b0,0x227f03db,0xcc2302eb}},	//   _সযতনে_, _diiran_, _isanda_, _inprobis, 
   {{0x99200109,0xe820023a,0x6af901d4,0x761f00a4}},	//   _mobilní_, _mobilný_, _pressant, _aprovaci, 
   {{0x22d8010b,0x50730046,0xde1d00e6,0x421c02ee}},	//   _baheb_, _اڭگەمە_, _聚丙烯增强纤维防, _arthom_, 
   {{0x62b40067,0x13f403ee,0x2c2f02a0,0xf2f003f6}},	//   _chocho_, _žrtva_, _apopọ_, _hilinai_, 
   {{0xc3870417,0x322600bd,0xd9330035,0x00000000}},	//   _namibië_, _kirkin_, _дейтером, --, 
   {{0x984c0125,0xc71a008d,0xb26c0245,0x32d8023b}},	//   _моллалар, _закачкал, _ymdon_, _pahee_, 
   {{0xb30d01fd,0xcfc105c6,0x42c203fb,0x3f2d0277}},	//   _ganador_, _barnekor_, _obalama_, _makuyoga, 
   {{0xe27f03ec,0xf40700bc,0x13ea0270,0x729002f6}},	//   _prania_, _kejuruan_, _etate_, _himala_, 
   {{0x628e00c9,0xb3860081,0xa26d02f3,0xaea7005b}},	//   _parkson_, _skert_, _hofors_, _harunire_, 
   {{0xd23c0026,0xa3ea01e1,0x8e280268,0xc9cd01e9}},	//   _환영합니다_, _ntate_, _uestionq, _alefabet, 
   {{0x227f05c7,0x88470040,0x527e00cb,0x22d40127}},	//   _usanga_, _peptides_, _abenu_, _cerdic_, 
   {{0xb65600cb,0xeb3804df,0xf2eb02f9,0x8bc104df}},	// [ff0] _afundelw, _arbitraž_, _deliram_, _bitirdiň_, 
   {{0xf99702fa,0x00000000,0x00000000,0x00000000}},	//   _abayahud, --, --, --, 
   {{0xd3860558,0x2dad0257,0x094b006c,0x41380092}},	//   _ejere_, _landspít, _abamethe, _シンビデュ_, 
   {{0x8527030c,0xa2d80022,0xa2fc04b2,0x00000000}},	//   _qarirauy, _dulela_, _abuhing_, --, 
   {{0x7386019d,0xac1b013f,0x7c140013,0x5d2d0155}},	//   _njere_, _pourchas, _کورنر_, _brännpun, 
   {{0x2386002a,0x935e01c8,0xaa0a01d9,0xf85f05c8}},	//   _ijere_, _momenty_, _mataarbe, _entregas_, 
   {{0x13200207,0x31f600bc,0x957f02fe,0x00000000}},	//   _ninyi_, _مفصلی_, _ehluphez, --, 
   {{0x6968028b,0x932e0040,0x694a00e4,0xeae40040}},	//   _antilite, _קונצרני_, _यथासंभव_, _אנתרופול, 
   {{0x5c270344,0xd3ea0289,0x38c80077,0xe2d8003e}},	//   _alcoallu_, _atate_, _gwadelou, _hulela_, 
   {{0xf5d102bb,0xe3a9036f,0x369c046b,0x5f4b0144}},	//   _produktó, _previse_, _allgyrsi, _maisithe_, 
   {{0xf4070477,0xc2cb02bc,0x0f6a00d2,0x37e50014}},	//   _merinduk, _shadem_, _antawisn, _simbolev, 
   {{0xf89000c7,0xfd9c0189,0xf37801f6,0x7b4a00c8}},	//   _авторлар_, _inceleme_, _omfatta_, _башланам, 
   {{0xf386044c,0x0b68019b,0xd8f90067,0x3c170046}},	//   _gjere_, _atitinka_, _basaastu, _geganter, 
   {{0xe36b041b,0x73f402cf,0x755a042d,0x00000000}},	//   _nangdep_, _curtiu_, _hahalāla_, --, 
   {{0xfa1d01cd,0x8a0e015e,0x3c790089,0x8990004c}},	//   _томактаб, _ормон_, _belsäk_, _baakuyit, 
   {{0xe0df0057,0xec30004c,0x33200096,0x00000000}},	//   _ለክርስቶስ_, _akasiris, _banywi_, --, 
  
   {{0x541a053e,0xebf80041,0xacc30405,0x45d5002b}},	// [1000] _frankrik, _еициелах, _населені_, _রোজনামচা_, 
   {{0x5701015d,0x959501c5,0x82d80303,0xe22702b6}},	//   _रविन्द्र_, _wareegay, _bulela_, _хадисті_, 
   {{0x00940040,0x00000000,0x00000000,0x00000000}},	//   _ונהנים_, --, --, --, 
   {{0x54fb0273,0x8c52023d,0x42da035d,0x25f30034}},	//   _práctica_, _scatola_, _puteva_, _sameinað, 
   {{0x1d7c0044,0xf2da0265,0x717d0040,0x25bf038a}},	//   _במתמטיקה_, _meteen_, _בימוי_, _allintam_, 
   {{0xcaee0256,0xaaa4004b,0xd9f6005d,0xebdf0138}},	//   _pretinie, _сетерекл, _jahayhue, _temeller, 
   {{0xc183014e,0x139504cd,0x165d0040,0xf2ef01c5}},	//   _плате_, _pjesma_, _יבואו_, _waligaa_, 
   {{0x511803b8,0x0a71017c,0x2d0f004b,0x33070308}},	//   _заңға_, _kreativa_, _hamonate_, _merasuk_, 
   {{0x950200d1,0x1b640163,0x47a80344,0xca0e03db}},	//   _মায়ে_, _آذربائیج, _atominik_, _lamakale, 
   {{0xc12f0203,0x0c070166,0x73960192,0x23dc030e}},	//   _minorité_, _wörter_, _sessie_, _samwel_, 
   {{0x127f001e,0x87230434,0xd29200b4,0x67bb04ca}},	//   _rauni_, _impresió, _strazi_, _aperteni, 
   {{0x227f03fd,0x306102d8,0xd85601db,0xd6b4008a}},	//   _sauni_, _विकसक_, _اۋدارۋعا_, _islandwi, 
   {{0x490901f4,0xf25a04ca,0x827e010b,0x28a90076}},	//   _бераман_, _isolar_, _bonnye_, _брадавиц, 
   {{0x0ae703d0,0x71f701a2,0x7d79002b,0x2f21014d}},	//   _završeta, _uzklikšķ, _তালিকার_, _experten, 
   {{0x72fc01c2,0x427f0010,0xae960046,0x52f000aa}},	//   _veiga_, _ayenti_, _تىعىز_, _gilinaw_, 
   {{0x02da03ba,0x1c3b0316,0x034700d9,0xa06e00e6}},	//   _neteen_, _asibitoc, _надпись_, _发展规划论证会举, 
   {{0xf27e0157,0x174d0409,0x327f019d,0x00000000}},	// [1010] _ocena_, _バックナンバ_, _tauni_, --, 
   {{0x59ee00ab,0xf3080156,0x1352045b,0x13ea0318}},	//   _matikara_, _צעלזיוס_, _петриків, _tuita_, 
   {{0xd54a0113,0xee520010,0x1db90166,0x84f80274}},	//   _labharth, _angavaka, _gewinnsp, _sigurjón_, 
   {{0x127f0225,0xbda70061,0xdb0a01af,0x7386013a}},	//   _ebune_, _국가종합전자조달, _barlagyň_, _fiirun_, 
   {{0x020005c9,0x3eda040f,0xbaea0122,0x14ad034d}},	//   _phaib_, _medienos_, _angrikat, _disabdak, 
   {{0x138702e8,0xafa602ba,0xc3f40039,0xdcbe0145}},	//   _mhuri_, _хайрат_, _уулсын_, _абалонкі_, 
   {{0x5dd40003,0x84cf0111,0x00000000,0x00000000}},	//   _verkocht_, _bischizz, --, --, 
   {{0x037c004b,0x28cd05ca,0xb25b0052,0x00000000}},	//   _baballe_, _entendid, _nocleh_, --, 
   {{0x4c5e0013,0xad8f00fd,0xb2e80023,0x9fa80128}},	//   _اسقامت_, _caileaga, _планшето, _турисбек, 
   {{0x4b7c0430,0x0eca02ee,0xa6a1017d,0x5a5c0060}},	//   _divulela_, _mannarin, _kontanth, _داستاندى_, 
   {{0x02e005cb,0xceec0148,0xe3860077,0xd908036a}},	//   _तुलनात्म, _金門縣文化局_, _akeri_, _tamatabu, 
   {{0xfe520122,0x33ea03dd,0xb38a0144,0x220100bd}},	//   _sutawija, _drite_, _ترافيان_, _graith_, 
   {{0x43ea0387,0xf3f8023b,0x5f25029e,0x3be8028f}},	//   _erite_, _paaua_, _diseblan, _patopato_, 
   {{0x63250486,0x53ea0203,0x63870203,0x4db502a2}},	//   _tiscali_, _frite_, _acusticm, _pakingga, 
   {{0xa7fa02ec,0x77b700a4,0x42800096,0xe239000f}},	//   _گى۪وُن_, _imprimei, _asukuye_, _resmini_, 
   {{0x827e018a,0x7a7d05cc,0x52ca05cd,0x83ea0129}},	//   _eginyn_, _abanents, _fulde_, _irite_, 
   {{0x5f3f0205,0xadf5014a,0x7b370061,0xe31001ad}},	// [1020] _belgilan, _hardvera, _가맹점추가매물보, _maundang_, 
   {{0x527f0580,0x455300a6,0xa3ea00d4,0x1bc5019b}},	//   _jaunu_, _abakuluh, _krite_, _neleidži, 
   {{0x08450040,0xc2da00ca,0xa26d0109,0x08b500e2}},	//   _statutes_, _aprene_, _chladicí_, _kwetsber_, 
   {{0xa2ca045a,0x54a600be,0x71f202e2,0x2ae8002c}},	//   _kulde_, _جالقوو_, _altaiagh_, _naturalt, 
   {{0x7387032e,0xb996023c,0x3d2d00da,0x12f200dc}},	//   _churi_, _akuhlala_, _професие_, _lilivau_, 
   {{0xb2fc022a,0xa27e03f2,0x41660044,0x6f6400a4}},	//   _leigo_, _nainen_, _חילופי_, _экспертт, 
   {{0x04dd00ec,0x139403ec,0x8262056c,0x065500d3}},	//   _французы_, _taksat_, _metohiji_, _प्रदेशहर, 
   {{0x6c6f013b,0x23f8000e,0x1292018d,0x00000000}},	//   _dourada_, _mziuri_, _murati_, --, 
   {{0xfcac0193,0xb7f9015e,0xd6570137,0x7cf70365}},	//   _भास्कराच, _дегидей_, _файлтай_, _वैठकका_, 
   {{0x8a57014e,0x8b6b0099,0x7fe30291,0x3e49017a}},	//   _милана_, _aikonzer, _لافتا_, _angaliba, 
   {{0x73870069,0xf0f902f0,0x76190092,0x3e900237}},	//   _shuri_, _bakhosel, _aurorafi, _vermogen, 
   {{0x325a05ce,0x2e550140,0x22e9026c,0xae150281}},	//   _çelik_, _katangia, _scripta_, _kisermaa, 
   {{0x76a705c2,0xe7a80047,0xfb3402c5,0x33020009}},	//   _linganyi, _librairi, _ashandis, _kuharju_, 
   {{0xc65a0253,0x83ce03ff,0xe20900ef,0x63330017}},	//   _akikilli, _podvod_, _amahlwem, _konané_, 
   {{0x8ec203db,0xf13301b3,0x00000000,0x00000000}},	//   _abanaman, _непопуля, --, --, 
   {{0x827e0318,0x93c200a7,0x7c070222,0xc3870176}},	//   _esinia_, _ажарын_, _faisait_, _okura_, 
   {{0xea9705cf,0x52240271,0x9e3a026c,0x496b025d}},	// [1030] _veličinu_, _lenke_, _publicis_, _politiat, 
   {{0x32bd00bf,0xa3f90044,0x5394011f,0x3573017a}},	//   _позволяю, _occurs_, _hérib_, _зуровари_, 
   {{0xe38702e8,0x4f3a02c2,0xf25b0107,0x024a0456}},	//   _akura_, _spandeer_, _betle_, _syumul_, 
   {{0x1291010b,0x8646026f,0xc2990077,0x23ea02fd}},	//   _tebang_, _تۇننەن_, _jenjanm_, _stath_, 
   {{0xf27f05d0,0x13ea03b9,0x1ba70261,0x3d2f02ea}},	//   _taunu_, _atati_, _baziliko_, _caricare_, 
   {{0xe31c01dd,0x62e0025e,0x437b03a4,0x4c090392}},	//   _amacupa_, _botninn_, _fananum_, _mallachd_, 
   {{0x227f0516,0xe292041c,0xc2d805d1,0x23870292}},	//   _haunt_, _jurati_, _nyhed_, _ekura_, 
   {{0xd2240166,0x9d0503e8,0xde5501fa,0x7c5e023e}},	//   _denke_, _poglejte_, _fatangia, _وسلامت_, 
   {{0x2bdf055f,0x16e60156,0xeb8a021b,0x94c400e6}},	//   _yemekler, _חשובֿן_, _армейски, _旅行社审批_, 
   {{0xf9df0315,0xbeca0074,0x727e022c,0xf224029b}},	//   _afunelwa_, _раскраск, _aceng_, _fenke_, 
   {{0xef4a027a,0xd3f40130,0x17570162,0x22cb00dc}},	//   _besplata, _dister_, _тайлор_, _pokotia_, 
   {{0xa49802b2,0x16f000d6,0x9258023d,0xa29e0164}},	//   _тексті_, _الوندوز_, _colleghi_, _шикар_, 
   {{0x0dd60278,0x67b501d5,0xb2f400d8,0xd264005a}},	//   _berkorba, _عاشورہ_, _barnats_, _sorlij_, 
   {{0x73f401b9,0x085d00d9,0x3103004b,0xfe5c006d}},	//   _nister_, _opintotu, _ipokelel, _баніфацы_, 
   {{0x2b63022f,0x1294027b,0xce540537,0x6d0603c6}},	//   _роздум_, _विरोधो_, _presidiu_, _kaartfer, 
   {{0x6b92020e,0xe8e2019b,0x72d6006a,0x444e00ba}},	//   _dientapr, _ўнітарна, _antokon_, _میشێل_, 
   {{0xb8670163,0x3a620381,0x727e02a7,0x92920155}},	// [1040] _katoliku, _ainlesss, _tsinia_, _gitarr_, 
   {{0x2fe9010c,0x5850004d,0xe37b001c,0xec1b0390}},	//   _भावार्थ_, _removend, _pananum_, _ehkamlar, 
   {{0x1f3b017e,0xd387007f,0x33ea00e6,0x92010107}},	//   _apartena, _churo_, _cuite_, _diqin_, 
   {{0x8ac70590,0x6c5d04c3,0xdb0c015e,0x09790145}},	//   _талаар_, _viettel_, _possible, _motinyst, 
   {{0x4c6a0287,0x5b56007e,0x9c6b02fd,0xa5d00051}},	//   _गुल्मी_, _abcdphen_, _altraim_, _manuprāt_, 
   {{0x10770059,0x2fe80401,0x32010120,0x1ea80255}},	//   _френски_, _देहान्त_, _niqin_, _sekundit_, 
   {{0x07940138,0x7c600040,0xe3f400dd,0x23600040}},	//   _ekstresi, _המעסיק_, _cartre_, _המעיין_, 
   {{0xc97901a6,0xa1890037,0xa894019d,0x50ef00d0}},	//   _erihapet, _የአጭርና_, _chokumbu, _aliatuak_, 
   {{0xe2000063,0xe0760350,0x00000000,0x00000000}},	//   _bhain_, _በየወገናቸው_, --, --, 
   {{0x23ea01b4,0x026c023b,0xdecb0416,0xd2910318}},	//   _buite_, _maioko_, _samidean, _oofato_, 
   {{0xf2f50288,0x18b601ec,0xcfd905d2,0xfedc0067}},	//   _burioum_, _گرديد_, _barnesko, _faayidaa, 
   {{0x947205d3,0x8a1300b4,0x3c750193,0xf25f00da}},	//   _प्रभो_, _elicopte, _manuver_, _noutatil, 
   {{0x327e0465,0xebf40040,0x7001020f,0x00000000}},	//   _ocene_, _לאכלוס_, _وروځو_, --, 
   {{0x742301bb,0x344f018d,0x19e002d9,0x29da0037}},	//   _radiomyz, _ተጽዕኖን_, _alagatat, _የሚቀንስ_, 
   {{0x1b0b0088,0x531d0417,0x78420074,0xa6f501b7}},	//   _аттанып_, _kopiereg_, _teollisu, _शतावरी_, 
   {{0x42d7024f,0x5cfa0135,0x00000000,0x00000000}},	//   _idrodro_, _галлодак, --, --, 
   {{0xd30702ce,0xa6d005d4,0x8a74022c,0x00000000}},	// [1050] _nimbang_, _खंडित_, _bangetna_, --, 
   {{0x99d000b9,0xcac0040f,0x65aa0024,0x428e00b2}},	//   _सहाय्य_, _techniką_, _forseink, _gabaroom, 
   {{0x325a018a,0x20ad0576,0xab8c01f7,0xf034004d}},	//   _felly_, _اشاره_, _oscillar, _三民學習網_, 
   {{0x2eb100ce,0xdea302f3,0xbc6505d5,0xe1930061}},	//   _diferans_, _intresse_, _bentost_, _대한민국의_, 
   {{0x6d620092,0x523603fb,0x039600ac,0x00000000}},	//   _読み込み中_, _boljem_, _ukusna_, --, 
   {{0xefc500f5,0xc01b0184,0x22e90304,0x23f402b2}},	//   _аграмлы_, _atawuren, _istisqa_, _østen_, 
   {{0x16d00031,0xd41301e0,0xf9cd0222,0xe85c019c}},	//   _क्विझ_, _ماندا_, _interdit, _alábó_, 
   {{0x423200f9,0xfc7c012b,0x0bf40044,0x495f020f}},	//   _akamaro_, _kwestia_, _relevanc, _نیپکو_, 
   {{0xc0d905d6,0xabe70095,0x62000144,0x56cf0041}},	//   _autodail, _ارشدی_, _dhaid_, _шьакуа_, 
   {{0xce390326,0xd2b4011d,0x32ba000d,0x140e0234}},	//   _achakura, _calcat_, _tugevad_, _nijẹr_, 
   {{0x43020322,0x70290224,0x00000000,0x00000000}},	//   _atabaye_, _danstónl, --, --, 
   {{0x13070402,0x8f7b04d8,0x243b018d,0x83870288}},	//   _bimbang_, _غنیمتھ_, _ንወተሃደራዊ_, _oberei_, 
   {{0x5aff05d7,0x78370435,0x6b8d00b4,0x79210167}},	//   _boroatun_, _параде_, _scrisoar, _benblwyd, 
   {{0xc4b50216,0x1f440311,0x959e02b6,0x00000000}},	//   _basangik, _ዚመላለስ_, _әпербақа, --, 
   {{0xcd34012a,0x7d9f002b,0x52a301c7,0x23e0011a}},	//   _kompozyc, _চৌধুরী_, _bereniň_, _שמטרתה_, 
   {{0x330d0187,0x114a03bf,0x00000000,0x00000000}},	//   _cavalos_, _викиһаҡл, --, --, 
   {{0x05f000b6,0xfaef047a,0x35f701c2,0x30bb03c2}},	// [1060] _ellecabó, _renonmen_, _interpoñ, _ballaugh_, 
   {{0x220203bf,0x00000000,0x00000000,0x00000000}},	//   _fisiks_, --, --, --, 
   {{0x2c7103b5,0xd6170147,0x00000000,0x00000000}},	//   _istriku_, _دارجىدا_, --, --, 
   {{0x615c004f,0x93070031,0x00000000,0x00000000}},	//   _gaaraloo, _bimbing_, --, --, 
   {{0xb17b000d,0xa099016d,0xa60700ec,0xd3f4021b}},	//   _pikaajal, _франкфор, _чакаць_, _kartat_, 
   {{0x42000587,0x827f021b,0x4c650074,0xf2da0342}},	//   _biais_, _tsanna_, _tunteet_, _detenn_, 
   {{0x612d01ef,0xa25b02f7,0xa2da021c,0x978a0202}},	//   _часта_, _betla_, _spreje_, _ipanilẹr, 
   {{0x6c3202af,0xf6c700c4,0x0f4102be,0x3d9c00c4}},	//   _akibarir, _مورڳو_, _pangakon, _فيڪٽري_, 
   {{0x6f710342,0x4c7003f5,0xe2ec01d4,0xb0d300d1}},	//   _advantis_, _afirmou_, _abbiete_, _পত্ৰও_, 
   {{0x8c610003,0xbc4602ac,0x995d013a,0x464b01b8}},	//   _overige_, _حريمى_, _honnerte, _kahurväe, 
   {{0x93ea0371,0x2c0501cd,0xec930029,0x5278042c}},	//   _stato_, _ekuseni_, _چاوان_, _ratnih_, 
   {{0x183c0187,0xbe4f001c,0x595f02b0,0xfa5703b0}},	//   _прочитав_, _makakala, _franzose, _binære_, 
   {{0xd38c04cb,0xb27f0380,0x61af0226,0xfef402f4}},	//   _лутер_, _mbung_, _adamukum, _ficheros_, 
   {{0x2ee202d8,0x238001fc,0x405e0179,0xf2e7020e}},	//   _मुद्द्या, _cerral_, _lienetik_, _founela_, 
   {{0x8184018f,0x4d5e0109,0x1d810176,0x57f3020f}},	//   _biratlhl, _किशोरावस, _skolesta, _دليږلو_, 
   {{0x92ea007a,0x4ac705d8,0x36b90067,0xa24a0331}},	//   _petikan_, _pohvalje, _afgaansi, _karmar_, 
   {{0x4b5503ad,0x5fec0169,0xe8510073,0xff08005e}},	// [1070] _adottata_, _ইঞ্জিনিয, _astutias_, _بېىشغا_, 
   {{0x836005d9,0x32820464,0x59d3027b,0xa2d7008d}},	//   _aluguel_, _imihini_, _bhallena_, _dilorom_, 
   {{0x5f280266,0x66e90410,0x434800c3,0xf7560299}},	//   _cintaila, _tlhagišo_, _ingenii_, _تاڭنامە_, 
   {{0xfed9015d,0x07bc015d,0xb2ca05da,0xe2f00054}},	//   _kulinarn, _zatrudni, _fundas_, _baligai_, 
   {{0x43ea0182,0xc46e00ff,0xf29d042c,0x46b3028d}},	//   _huita_, _וואלקער_, _manjina_, _konsepty, 
   {{0x83ea0326,0x5d7f0315,0x204a054d,0x6f070092}},	//   _kuita_, _ngamunye_, _parforho, _お客様の自由な投, 
   {{0x33790189,0xe2de0162,0xa52600d6,0x20c205db}},	//   _antalya_, _جەرىمانە_, _ghriangh, _abalimel, 
   {{0xa3ea0023,0xd2fc025b,0xaae70160,0x79f6000b}},	//   _muita_, _leiga_, _završetk, _apineina_, 
   {{0x0bd8027b,0x2abd00e6,0xe28b012a,0x32b20297}},	//   _विलीयते_, _事业单位招聘_, _nabiał_, _bizniñ_, 
   {{0xbd7901f6,0x6c1d034c,0x11a90234,0x4c6102a2}},	//   _তালিকাত_, _fasadlar, _réfùrè_, _esturya_, 
   {{0x72900087,0x9bc400e1,0x00000000,0x00000000}},	//   _timali_, _anayejis, --, --, 
   {{0xd9d103d8,0x2290020e,0xd287029b,0x33870193}},	//   _kolovoza_, _bonabo_, _deniouy_, _biarin_, 
   {{0xb20005c9,0xd22a01c7,0xaa970002,0xae2c02cf}},	//   _khaib_, _ковал_, _veličina_, _владо_, 
   {{0xe3ea01fe,0x15290381,0x627c021b,0xba9a0176}},	//   _buita_, _achinery, _играх_, _bunntais, 
   {{0x1b53007c,0xe91b009b,0x68790148,0x188302c9}},	//   _kukwakha_, _аврага_, _升級個人空間_, _мунитатя_, 
   {{0xcd9e0233,0xf29001fe,0xe3bb0163,0x63a301b4}},	//   _dicoteca, _kimami_, _دسواں_, _dorpe_, 
   {{0xea9703d8,0x72fc01fa,0x2c3b0059,0xf44a0064}},	// [1080] _veličine_, _feiga_, _издаване_, _ажыны_, 
   {{0x59d30066,0x1cbb002b,0xed0d0390,0xafaa0153}},	//   _ahalmena_, _ফেরদৌসী_, _aviadaşı, _プエラリア_, 
   {{0x5a0b046d,0x0d16022b,0xb292029b,0x4790004d}},	//   _takalela_, _skiljast_, _buraax_, _裕隆集團不落人後_, 
   {{0xc2d80430,0xa73b0374,0x48fb02fc,0x43ea00ec}},	//   _vulela_, _акалари_, _barahuru, _krito_, 
   {{0x32a304df,0xd0f10425,0xb271033a,0x80350061}},	//   _bereliň_, _پێشره_, _glandoli_, _폭파시키겠다_, 
   {{0x94ab0031,0x482700be,0x7a13048c,0xe2260168}},	//   _penampak, _اشىنعان_, _emaciate, _tyrkia_, 
   {{0xe3570176,0x22e901f1,0x5290013d,0x3a020348}},	//   _cakephp_, _ideologj, _donaco_, _amusungu, 
   {{0x96d002a2,0xc5bd003f,0xbfe4016a,0x82c505b3}},	//   _magagami, _bitahtah, _verkisto, _ateljee_, 
   {{0x42000531,0x3c7d00f6,0x22b202f9,0xa9c8017e}},	//   _thaib_, _ziddiyyə, _fondman_, _belorusa_, 
   {{0xeb7e0524,0x23ea0087,0x00000000,0x00000000}},	//   _cooleric, _irito_, --, --, 
   {{0xc2f200dc,0x6f6f0256,0x730d0177,0x39de05dc}},	//   _molimau_, _komandas_, _изхыжьтә, _borgerse, 
   {{0x6c3a05dd,0xc2a300b3,0xe27f02d8,0x3f0c002b}},	//   _मधेपुरा_, _serediň_, _apanya_, _পরাজয়_, 
   {{0x896b05de,0x3bb301d9,0xedc7020f,0xc3ea01ec}},	//   _tannlege, _biekerec, _basinike_, _crito_, 
   {{0xe25501be,0xcc5d029a,0x695c00ba,0x83250059}},	//   _स्पेनी_, _lonterm_, _بگوازێته_, _fiscali_, 
   {{0x02da0066,0xd2d60156,0x21dc011a,0xa93e0320}},	//   _artera_, _aktoron_, _מלכודת_, _mihletwe, 
   {{0xd2600125,0x12480178,0x4e160139,0x6a71012e}},	//   _еврейлер_, _bhomi_, _chabdaḥ_, _semleges, 
   {{0x7acd00bf,0xc2ea0203,0xa23a040a,0xcfac02ea}},	// [1090] _поселени, _acrimen_, _nöjda_, _animazio, 
   {{0x232005df,0xcb920334,0xa7cb01c4,0xb3f00031}},	//   _sanyi_, _asanakac, _inspuiti, _dilelang_, 
   {{0x799500e8,0xd3500147,0x78ac01f4,0xb0390322}},	//   _amakrist, _تىلۅۅ_, _спортчи_, _assetamo, 
   {{0x752302da,0x62ca02c2,0x7d2d03dd,0x37b40037}},	//   _поздрав_, _kudde_, _opsionet_, _የኮምፒየተር_, 
   {{0xb3860074,0x10ef0530,0x61360107,0x5c300241}},	//   _nuoret_, _radijall, _هروقت_, _garagalc, 
   {{0xad9b044a,0x6518012b,0xb1b003f1,0x00000000}},	//   _bakulutu_, _podjął_, _sklenený_, --, 
   {{0xff5c005a,0x3380053c,0xab5600e4,0x82910059}},	//   _sugarcan, _ferrol_, _हेर्नुहु, _alfano_, 
   {{0x020101d8,0x42230071,0x97fa0152,0xfccf004d}},	//   _bleiun_, _تدارک_, _alabugag, _十八世紀中日文化, 
   {{0x727e0465,0xf1d0012b,0x71ac00f6,0x0b8a0089}},	//   _oceni_, _polecony_, _bulandır, _гонококк_, 
   {{0x01250059,0x2d5a0420,0x53ea0176,0x00000000}},	//   _икономед, _подем_, _biotek_, --, 
   {{0x3226018d,0x4ca402f3,0xd09000e6,0x21c1014b}},	//   _ውልቀምልካዊ_, _bakgrund_, _内蒙古自治区_, _lootanak_, 
   {{0xc8680011,0x00000000,0x00000000,0x00000000}},	//   _baligisu, --, --, --, 
   {{0x948a02d5,0xc2e800d5,0x694c00d9,0x69880153}},	//   _energiaj, _andiana_, _испанско, _といっても_, 
   {{0xd1370259,0x73a90144,0x6e2a018d,0xf47702c4}},	//   _landshol, _تزداد_, _ከይወደኣ_, _натера_, 
   {{0xc200029b,0x4ad8044b,0xfa1e0223,0xd2da05e0}},	//   _abiil_, _umiddelb, _битий_, _autoras_, 
   {{0x675b027b,0x00000000,0x00000000,0x00000000}},	//   _citrīkṛt, --, --, --, 
   {{0x6af702ee,0x19b4015e,0xc09a002b,0xdee500ec}},	// [10a0] _konsumat, _булуту_, _এমবিবিএস_, _блокаў_, 
   {{0x8bf70093,0xeaf70101,0xd31704bd,0xa2d80124}},	//   _жителей_, _consumat, _ahazia_, _sulema_, 
   {{0x32c50566,0xaf2b037f,0xad2c03fb,0x627e0211}},	//   _stemmer_, _qaytarma, _godište_, _painon_, 
   {{0x12fc04d7,0xa2880147,0x324804ce,0x68e8055a}},	//   _leigu_, _بئرۉگۉۉس, _thomi_, _ilegalid, 
   {{0x7c7504cc,0xaef104ac,0x84fa00c7,0x3a7d022d}},	//   _byasang_, _образом_, _mamadış_, _amparata_, 
   {{0x7fd7003a,0xe9f2036a,0xf3f40191,0x333501eb}},	//   _aksiyado, _guiguile, _listor_, _compañìa_, 
   {{0x02000195,0xe2ca0438,0x2287003a,0xb04a045b}},	//   _abaid_, _afodya_, _samimiy_, _холостяк_, 
   {{0xdeda00e6,0x52ca04df,0xe7f4036d,0x9d500126}},	//   _artisans_, _bibliki_, _polataig, _аборти_, 
   {{0x84100288,0x339500bd,0x9c740255,0xc2ec0337}},	//   _tauschen_, _odessa_, _vanuses_, _tarihte_, 
   {{0xd68c05e1,0xa69804b1,0xd7370071,0xc1630074}},	//   _सलवार_, _vesentli, _کاکتوس_, _ролика_, 
   {{0xc30d013a,0x433505e2,0xe46b0125,0xc9ce0041}},	//   _gepackt_, _compañía_, _айрылышм, _аиҟәшара_, 
   {{0x22900193,0x906600c1,0xe24a03dc,0x5c7c02f3}},	//   _cimahi_, _बालपणीच्, _karmur_, _önskan_, 
   {{0x72da00c2,0x827f04e5,0xb2b80071,0xf50300be}},	//   _gutera_, _mpanga_, _آموختگان_, _تااجى_, 
   {{0x327e04d0,0x7cef05e3,0xcc6b02c2,0x9393024c}},	//   _gainen_, _असामयिक_, _ontruim_, _esprimew_, 
   {{0xf42803d9,0xa062027b,0xee690046,0x3b55002f}},	//   _manadino_, _भाषसे_, _банктард, _bendicen_, 
   {{0x43ea01fb,0x1ee80092,0xeaf80200,0x6da700da}},	//   _irate_, _このブログをマイ, _jerusele, _infiinta, 
   {{0xb3860352,0xbd4b0045,0x93ea0049,0x02a70322}},	// [10b0] _gjera_, _станице_, _huitu_, _avebar_, 
   {{0x59e80075,0x6313032d,0xe3870165,0xc8ff0486}},	//   _kapteinu, _ремонтла, _ikuri_, _kamenný_, 
   {{0xfbd801a7,0x0b0a031e,0x8f2e02c7,0xb304005d}},	//   _сначала_, _vlasnika_, _bemerkun, _стамбулҟ, 
   {{0xdc80014f,0x5320026c,0xc3f901ad,0x23ea0062}},	//   _девет_, _sanctis_, _dayun_, _kuato_, 
   {{0x9a0803be,0x2c610055,0xf807002b,0x83eb04e3}},	//   _bamarana_, _amirale_, _বেগবান_, _sjetio_, 
   {{0x72fc033b,0x12f30170,0x92aa0037,0x86f60092}},	//   _leago_, _akristu_, _መገኛችን_, _クチコミ募集中_, 
   {{0xd32000bc,0x49cb0428,0xc9580037,0x32950145}},	//   _banyu_, _namestit, _ወልደገብርኤል_, _кургана_, 
   {{0xb3d4034c,0x735b0074,0xb2240347,0x3dbb0255}},	//   _yutazı_, _достоинс, _duiker_, _mugavalt_, 
   {{0x62ca01df,0x5053023c,0x226d00f5,0xc2e802a2}},	//   _gander_, _پاړسي_, _дүшйәр_, _palitan_, 
   {{0x232000a9,0x89950158,0xe20b0097,0xf0dd003c}},	//   _wanyu_, _ठेकेदारो, _didasilẹ_, _بیاری_, 
   {{0xd2fc0404,0xc8d1052c,0xf03b00e6,0xe2470135}},	//   _beago_, _ئیحسان_, _中国工商银行_, _енисейск_, 
   {{0x52f3041f,0xa4280403,0xd43e00d0,0x02ca0181}},	//   _ukristu_, _hanadino_, _магни_, _bander_, 
   {{0x6f35002b,0x28c50061,0x00000000,0x00000000}},	//   _উপায়ে_, _사이버민원실_, --, --, 
   {{0xdc0500e7,0x5320005c,0x02ee02d5,0x1a20033e}},	//   _overway_, _zanyu_, _tunneli_, _ҳәатышь_, 
   {{0x43200285,0x32da0227,0xd27e05e4,0xa3d70058}},	//   _yanyu_, _sutera_, _oceno_, _pikoupöl, 
   {{0x87cc033b,0xb05700b4,0x8a89043d,0x424c00c1}},	//   _phagameg, _синилие_, _aktifkan_, _बॅचलर_, 
   {{0x42a60177,0x627f02d4,0x7cb1057c,0xff8b0206}},	// [10c0] _аланархә, _mauns_, _læsning_, _semináre_, 
   {{0x13a30396,0x1c52004f,0x16f50012,0xbf1501a3}},	//   _korpi_, _amatuma_, _लटकवले_, _اسڪالرشپ_, 
   {{0xcfef01b2,0x53870282,0x4a170099,0xe6b10143}},	//   _playfuln, _ehuru_, _chichape, _ресурсит, 
   {{0xe27f00a8,0x1e7105e5,0x8d7d03db,0x1c1b0163}},	//   _taunt_, _जिल्द_, _abamanga, _elmagyar, 
   {{0x02e504df,0xb15800fd,0xfc750144,0xb2c503de}},	//   _afinyda_, _chonnadh_, _beorach_, _nihlale_, 
   {{0x03f405e6,0xfdd30301,0x9387002a,0x40e70262}},	//   _gister_, _moskvada, _ihuru_, _almazlyk_, 
   {{0x985700bc,0x085c00ff,0x4e4901cf,0x09e000f2}},	//   _کیانیان_, _אפעטיט_, _ligamine_, _planitop_, 
   {{0x327f0079,0xf8530008,0xcd7d02f0,0xeb7c0048}},	//   _jauns_, _financer_, _ebamanga, _bafuluma_, 
   {{0x2251044b,0x0201024c,0x338703b4,0x18cc0137}},	//   _deltagel, _debitu_, _churu_, _маркетер_, 
   {{0x52eb03b2,0xec44049f,0x0bd1019b,0xc7670013}},	//   _medical_, _isewula_, _projektų_, _халкка_, 
   {{0x92c505e7,0x93c801ca,0x3aa402c8,0x396b00e6}},	//   _lihlale_, _letvad_, _caciquis, _要学习红军长征中, 
   {{0x15770073,0x82f30393,0x9af70235,0xcb9f01b5}},	//   _sentiero_, _dodavati_, _aparaist, _gavhenar, 
   {{0x62fd00ce,0x72920226,0x698701d2,0xc19903b6}},	//   _manhole_, _surati_, _chikanta_, _ládélé_, 
   {{0x5e22025e,0xd2e80037,0x72010205,0x00000000}},	//   _formanns_, _saliran_, _hayiti_, --, 
   {{0x4ae7041f,0x138703da,0x527f0334,0x790f00b5}},	//   _waprofet, _ahuru_, _mbuna_, _апеллиац, 
   {{0x629000ff,0x3fef0178,0xe9ff0486,0x1f7b02a0}},	//   _donado_, _atithīnā, _ramenní_, _ríbiribi_, 
   {{0x727f0013,0xb26c02d8,0x6c4902ef,0x23100397}},	// [10d0] _obuna_, _politisi_, _antwòt_, _abuzwa_, 
   {{0x17a801b9,0xf2ec004f,0xa2d805e8,0x4d2403cc}},	//   _santrali, _addinab_, _polelo_, _চুপচাপ_, 
   {{0x09ec0051,0x6fcb0177,0xf98e0060,0x4bb603f8}},	//   _kabineta_, _асанитар, _қария_, _dachavmo_, 
   {{0x5863011d,0xb97001d5,0x827f01c7,0x62eb025b}},	//   _вокация_, _نہِیں_, _abuna_, _barnatæn, 
   {{0x8386057c,0xdf170272,0xac1b01fd,0xe68302d5}},	//   _fjern_, _akaddann, _acostumb, _पिताक_, 
   {{0xcbd10360,0x3c66023c,0x9f3101b3,0x00000000}},	//   _projektů_, _عبدالطیف_, _неприпус, --, 
   {{0xd2d503ab,0x52fc012d,0xeb6702d5,0xb15b0372}},	//   _kontakty_, _mangal_, _अयिनी_, _abenbury_, 
   {{0x73bb0216,0x1ebe0516,0x540a002b,0x34a90038}},	//   _akhwila_, _americae_, _অল্পক্ষণ_, _вәгъдәлә, 
   {{0xd9f801a4,0x88ce0092,0x00000000,0x00000000}},	//   _komimona_, _statslig, --, --, 
   {{0x8c000158,0x95a201b7,0x82ca01b8,0xa9e20113}},	//   _एएसआई_, _याचते_, _mulda_, _جاريث_, 
   {{0x43870369,0xb53d019c,0xe1d1042d,0xcc9304dc}},	//   _azaria_, _gbasiṣẹ_, _andevony_, _لاتان_, 
   {{0xa4a401db,0x6292008d,0x92fc02be,0x3ed605e9}},	//   _ءبىرتالا, _surasi_, _aangal_, _granadas_, 
   {{0x5387030e,0xbaa00122,0xe4d701bd,0x51fa019b}},	//   _uhuru_, _ریکاوری_, _баратын_, _planavim, 
   {{0xd3ea013d,0x93f802c2,0xeb2d0227,0x26220331}},	//   _brita_, _toernooi_, _tembakan_, _formansf, 
   {{0x67c40045,0x527e0227,0xf7720193,0xc2fc00c0}},	//   _инвалиди, _mainan_, _प्राणिजा, _dangal_, 
   {{0x53ea00f9,0xf3ea01da,0x727e02cb,0xac5d0039}},	//   _itatu_, _drita_, _scenu_, _gustuko_, 
   {{0x03ea0200,0x22af013e,0x83bf0061,0x00000000}},	// [10e0] _erita_, _birališt, _아름다운강산_, --, 
   {{0x9b3301de,0x094b0486,0x0f2301b9,0x61b002c3}},	//   _بۇرلەگەن_, _प्रसूति_, _patrimwa, _sklenené_, 
   {{0x5d990021,0x3387053f,0x79d301f2,0x179f02a2}},	//   _actorsfa, _thurt_, _ноябир_, _pantangi, 
   {{0xe6c90088,0x62b60450,0x5bdf013a,0x7ddf01f3}},	//   _мистикал, _joadske_, _kalenner, _klikneme_, 
   {{0x494e0020,0x729102f6,0xcf2d0159,0x730000ac}},	//   _amalosit, _subali_, _saldumyn, _nosači_, 
   {{0x2f6e0016,0x4f0000e4,0x237a01e8,0x00000000}},	//   _וועילס_, _कुल्हाड़, _kagarbo_, --, 
   {{0xe3ea023e,0xd2760044,0xee42006e,0x594f026b}},	//   _crita_, _מסודרים_, _alkaande_, _estrenar_, 
   {{0x62ca00ad,0x858d0326,0xa2cb0010,0x73a30261}},	//   _kandar_, _najehovh, _acedze_, _korpo_, 
   {{0xd3ea0196,0x58ea0037,0x92640339,0xf4760116}},	//   _atatu_, _የማቴዎስ_, _liuliu_, _northmen_, 
   {{0x0859036f,0x674b0041,0xcc7e03b0,0xdde70287}},	//   _upozorav, _акадртә_, _innspel_, _rodinném_, 
   {{0xc281042c,0x586a0262,0x5da50218,0x9d39036e}},	//   _izabrati_, _antiwiru, _artistwa, _eskaparq, 
   {{0xbe710335,0x537900b9,0x2b7f03d9,0xd46005c6}},	//   _काप्र_, _ditanya_, _asyriana_, _anleggsk, 
   {{0x39fd00c7,0x535f0040,0xf2e70517,0xcb980435}},	//   _вазифасы_, _plugged_, _afinado_, _odličnog_, 
   {{0x77ad0046,0x5f680198,0xc96d02ac,0x320005ea}},	//   _تااسئرىن_, _pohodniš, _وترتيب_, _xenial_, 
   {{0x42fc02e2,0x738c00dc,0xf264033c,0x48dd022b}},	//   _leigh_, _leasapai_, _carlam_, _forferdu, 
   {{0x22ca01c5,0x6e4e00bf,0x0c4a02ac,0xbb720185}},	//   _muddo_, _локально, _لأجلك_, _baruına_, 
   {{0x32910172,0x42b301c1,0x3c6e0139,0xa2fc0065}},	// [10f0] _enfato_, _berdaya_, _aparena_, _springt_, 
   {{0xb4570060,0x028c02d5,0x42910133,0xf3ea004d}},	//   _ادالدانى, _tagastam, _azzaa_, _trita_, 
   {{0x764901d5,0x138600ff,0x43790053,0x7d8400e2}},	//   _بیروزگار, _adoras_, _citanya_, _reedride_, 
   {{0x2ee70125,0x7dbd051a,0x13f9019d,0x4b4204cf}},	//   _mezhebin, _keridhaa, _ambuye_, _bokwenza_, 
   {{0x327f046d,0x058a021c,0x835f017d,0xc92c02b4}},	//   _mbuno_, _magistrá, _undervej, _etimiswe, 
   {{0x3e510386,0xc2fc036d,0x70620307,0xf0f800ec}},	//   _melangka, _deigh_, _kwesivun, _viduramž, 
   {{0x13ea02c5,0xad2c01fb,0xcc530031,0x8c00017e}},	//   _utatu_, _veritate_, _bintaro_, _kreskas_, 
   {{0x2c3203be,0xd320012c,0x9372006f,0x22670156}},	//   _akabarir, _nanyi_, _خودارادي, _ננננְנננ, 
   {{0xf3ea0333,0x853500ff,0x02ec01f0,0xa3ec00de}},	//   _statu_, _שוטעף_, _busitse_, _باروردار_, 
   {{0x732001b5,0xd9df035e,0xc85001a4,0xacf001a4}},	//   _hanyi_, _brendova_, _nakofand, _pretendr, 
   {{0x4bb2002f,0x6ad400d3,0x67520192,0x2f2500ff}},	//   _booksour, _blondýnu_, _toonaang, _aspektan, 
   {{0xbb4205eb,0x227f021c,0xcc7801c8,0xab7b023e}},	//   _yokwenza_, _sauny_, _opustil_, _adiningr, 
   {{0xaf1001dc,0x12e8029d,0x72f00140,0x7c53008c}},	//   _cuntinua, _craiova_, _malinaw_, _metteva_, 
   {{0xe8cd01e1,0x03ea030f,0x0c1e040f,0xf9df0100}},	//   _лоббиста, _kuiti_, _labainor, _trendova_, 
   {{0x3aef025c,0x44b7043a,0xdb1803bf,0x7a06003a}},	//   _genommen_, _neloveäd, _boramots, _арофат_, 
   {{0x23ea046d,0x84c8000c,0x717c034c,0xa26c005b}},	//   _muiti_, _гарвардт, _arxierey_, _aroots_, 
   {{0x5ab80135,0xce37004d,0x920100e4,0x9d890372}},	// [1100] _başlağan_, _有錯就要承認錯_, _krainy_, _hailwamp, 
   {{0xb0dc0013,0x95cf00e6,0x4940004d,0x00000000}},	//   _avtomatl, _备案证编号_, _也給自己多一個選, --, 
   {{0x71c700bc,0x12da0269,0x52f001c0,0x65f600bb}},	//   _داستانی_, _tareas_, _dalilai_, _ادکارہ_, 
   {{0xa2620193,0x047602d5,0x09e3014e,0xe3880108}},	//   _रक्षण_, _चट्नी_, _боравак_, _biayana_, 
   {{0x5264023b,0x807c0040,0x122e00e5,0xbc1d0284}},	//   _ahulau_, _להתווכח_, _проверив_, _shoptet_, 
   {{0x79d80092,0x49bb023f,0xf3b40238,0x1b5c0011}},	//   _eksemple, _lordship_, _власникі, _akamalir, 
   {{0xd2d1022a,0x690e0244,0xef4b021c,0x54b50153}},	//   _notodom_, _прекрати_, _muškátov, _ルでのお問い合わ, 
   {{0x92fc00a5,0x274e0075,0xb27f00cf,0xe3ea0415}},	//   _leaga_, _grundleg, _waanan_, _statt_, 
   {{0x3c140025,0x027e015d,0x03ea02bf,0x8afd0203}},	//   _विस्तीर्, _opinia_, _asite_, _direktis, 
   {{0xc2970265,0xb2d805ca,0x8eac025c,0xd16d0168}},	//   _bescherm, _pilotos_, _zentrale_, _konsesjo, 
   {{0x4f5f048b,0x229500e4,0xa27e0144,0x42bb04cb}},	//   _uppppppp, _redakcji_, _linnte_, _măcar_, 
   {{0x638c0017,0x13410220,0x7c7700b9,0xe3d10166}},	//   _अग्रगामी_, _insegna_, _शिट्टी_, _heimwerk, 
   {{0xf2fc00fd,0xb8b70148,0x8c50008d,0x9db10024}},	//   _beaga_, _未得標廠商代碼_, _dastlab_, _শঙ্কৰদেৱ, 
   {{0xe38b02ac,0x63400008,0x52fc0176,0x82c8005f}},	//   _víris_, _vedella_, _efigo_, _retoque_, 
   {{0x2a310169,0x062a0335,0x62c90063,0x35b80177}},	//   _দেখিয়ে_, _ग्रहणे_, _míonna_, _кремльтә, 
   {{0x2ec3013d,0x620c00e6,0xbc07021e,0x59ec0382}},	//   _באורד_, _互联网周刊_, _konsult_, _mariyeta_, 
   {{0xbc5e00ac,0x6a290434,0xec1c00d9,0x3af80089}},	// [1110] _kratkom_, _seccione, _участке_, _машинкас, 
   {{0x1eac053e,0x5a0f03db,0xe3ea0055,0x0b2a0060}},	//   _sentrale_, _akaphind, _fuata_, _بەلگىلەم_, 
   {{0x65c4004d,0x72fc0195,0xa6b80119,0x00000000}},	//   _頂救災帳篷_, _seagh_, _pinakasi, --, 
   {{0xa3870392,0xb197027e,0x62130009,0x00000000}},	//   _bharan_, _наступит, _zlahka_, --, 
   {{0xfc7d005b,0x1f5f0220,0x3a970299,0x00000000}},	//   _tetsuya_, _capannon, _سۈلھى_, --, 
   {{0xdd6f041e,0x48700076,0x5378034f,0xe2d8015e}},	//   _tramunta, _pernambu, _زيرمو_, _veient_, 
   {{0x22a1015e,0x81010399,0x4f4c008c,0xa7ec039a}},	//   _conjunt_, _ehhhhhhh_, _surpassa, _pelarang, 
   {{0xd2eb0244,0x2c770275,0x82d9054c,0x3f5601a3}},	//   _scritto_, _leitiō_, _ideell_, _لالٽين_, 
   {{0x03ea002c,0x12ca01d9,0x9f3f0017,0x30670143}},	//   _aritu_, _gudde_, _उपनिवेश_, _краткоср, 
   {{0x54860193,0x13ea0079,0xa2c801bc,0x6d3d02ea}},	//   _द्वारे_, _britu_, _metoade_, _cliniche_, 
   {{0x83860054,0x23ea033a,0x3387037c,0xcbac019b}},	//   _shirin_, _dritt_, _zharan_, _прасторы_, 
   {{0xc2ca03b0,0x0b620041,0xa2da037c,0x163e01b5}},	//   _budde_, _иҭылҵаау, _parens_, _hlaleriw, 
   {{0x43ea053e,0xd7b7020a,0x187b026f,0x52d902ff}},	//   _fritt_, _تابعاش_, _бекұлан_, _iminite_, 
   {{0x8d9204e8,0x48890333,0xd720014a,0xa90e02af}},	//   _montrond_, _chevrier_, _versenyé, _kirasunu, 
   {{0x6b9602c9,0x0c7801c8,0x437a0122,0xf2e9016b}},	//   _духовнич, _spustil_, _کوبیده_, _hadisan_, 
   {{0x63940541,0xb3ea013d,0x2bca0037,0xda140256}},	//   _utisak_, _frato_, _የሚከሰተውን_, _uzgaidie, 
   {{0x93ea046f,0x1b9e048a,0xb2f00054,0x3b9d00d6}},	// [1120] _kritt_, _бюджетте, _dalibai_, _fisiceac, 
   {{0xc9f60086,0xfc60019a,0x775d023e,0x696b0264}},	//   _اولیت_, _blutter_, _متقابلا_, _propesor_, 
   {{0x54880334,0xa291018b,0xc9680399,0x5a060281}},	//   _anaganiz, _gheata_, _palinise, _innarlut, 
   {{0x1290002a,0x28da0093,0x1a910304,0x44bf0060}},	//   _abiara_, _признако, _teringin_, _астыртын_, 
   {{0x0e500374,0x33e2005b,0x2c700497,0x7b7f00ee}},	//   _masalala, _hollansk, _arasane_, _blogaren_, 
   {{0x516600ff,0x026e01af,0xc34c0109,0xe5e80035}},	//   _חילוקי_, _avtory_, _odstraní_, _bodaynı_, 
   {{0x8403002e,0x4200037c,0x00000000,0x00000000}},	//   _utvrđeno_, _abiit_, --, --, 
   {{0x1c7601b7,0x7872013c,0x2f4205ec,0x5ba80320}},	//   _दिस्वा_, _klintonu, _avisreda, _mukhuvur, 
   {{0xc2fe007b,0x407a0074,0x92fc0255,0x00000000}},	//   _forgie_, _миноборо, _teagi_, --, 
   {{0x9bf10212,0x21dd00de,0x33860359,0x0ae80120}},	//   _filebarr, _abanedum, _tjerk_, _fiddinos, 
   {{0x765e0388,0x12d40208,0x92f302d5,0xf3490120}},	//   _филми_, _بخورێت_, _अद्रा_, _esseqqi_, 
   {{0x63ce0005,0xdd31003c,0x84b402be,0x25350137}},	//   _privel_, _جووووووو, _maharlik, _гуалиг_, 
   {{0xb7b70027,0x52d900a1,0x2c220435,0x23ea025c}},	//   _dedietön_, _rapea_, _добрим_, _tritt_, 
   {{0x937103e7,0xc7f900f5,0x16d600d1,0xf7490083}},	//   _pahayag_, _кесилен_, _উদ্ৰেক_, _bisignev, 
   {{0xb37b00e4,0x1a840267,0x93eb00b4,0x76b6003c}},	//   _क्षिप्रा_, _memorijs, _nasterii_, _chornoby, 
   {{0x87f900f5,0xb6d20320,0x77db0082,0xdd8b0046}},	//   _демирел_, _exigodlw, _jarrabaw, _comodita, 
   {{0xb3860014,0x0c60005b,0x396901b4,0x57b501d9}},	// [1130] _njeri_, _slutter_, _motorfie, _umbeding, 
   {{0x82920141,0x6386002a,0x9c00001d,0x137f01d2}},	//   _turadi_, _ijeri_, _corsett_, _bonanta_, 
   {{0x75fd0333,0x07a9024a,0xfede0089,0x36d00348}},	//   _forestiè, _asenusún, _римда_, _bagalami, 
   {{0x72240172,0xd79702e4,0x404901f4,0x010a01c5}},	//   _monka_, _netwerki, _кетибди_, _kadhacay_, 
   {{0x9c9c00a2,0x570803a2,0x6d6f01cc,0x5f130209}},	//   _دشمنن_, _कंसल्टें, _asamanta, _anittara, 
   {{0x7c53002e,0x5dcc037e,0xeeb100b2,0x60300452}},	//   _žrtava_, _shakhmat_, _angowonn, _एकआहे_, 
   {{0x833c0220,0x6b200188,0x129102e7,0x12240067}},	//   _протеста_, _ҷиликӯл_, _gubaon_, _gonka_, 
   {{0xa43203dc,0x62e8023b,0x85c80322,0xe200029b}},	//   _skiparin_, _midiana_, _bakayish, _mbiir_, 
   {{0xfea8018d,0x03ea0046,0x63a8001d,0x36d101e8}},	//   _ዘይንፈልጥ_, _crits_, _hépat_, _hisalami, 
   {{0x527f019d,0xa3e602f3,0xc27f019d,0xf39f0110}},	//   _mpanda_, _böter_, _apanga_, _savainoj, 
   {{0x82d90489,0x4224021b,0x63870216,0xc5b1023e}},	//   _hapen_, _jonka_, _akuri_, _margahay, 
   {{0xd5920089,0xe38601f1,0x5847041a,0x00000000}},	//   _автордан_, _bjeri_, _рабами_, --, 
   {{0x0ccc01d5,0x0ff9018d,0x327e027e,0x57a9028a}},	//   _لیجنڈ_, _ታሕተዋይ_, _ocenu_, _دولتانه_, 
   {{0x12a401e6,0x9b37021b,0xaea900a7,0x10e70017}},	//   _pracujem, _надежды_, _орбитада, _सीबीएम_, 
   {{0x8248019b,0xa38701eb,0xe94e01dd,0x18940078}},	//   _akimis_, _ekuri_, _amalisit, _пустити_, 
   {{0xbdb00240,0xd2e800d5,0x00000000,0x00000000}},	//   _manumanu_, _didiana_, --, --, 
   {{0x03ea020e,0xeae60388,0xe5eb00da,0x53ea0049}},	// [1140] _esita_, _strument, _докторат, _huatu_, 
   {{0x7b51045b,0x22b4023f,0x81220097,0x8e8000d1}},	//   _територі, _riddled_, _jélàdé_, _নগৈছিল_, 
   {{0xc2480087,0x7cb6019f,0xdeca0372,0x1fac00ff}},	//   _ahomu_, _حالانڪ_, _acenmewn, _advokato, 
   {{0x32c0011f,0xf20105ed,0xb34a05b6,0x3e16025c}},	//   _андаа_, _imbibe_, _zelenou_, _alleskla, 
   {{0x5c670141,0xd3ea0455,0xcc8c0274,0xd18b018d}},	//   _sentabr_, _nuits_, _flutning_, _ንብጻይካ_, 
   {{0x165400cb,0x93f800ad,0x47bf04ad,0x7a670019}},	//   _abanalow, _nyium_, _gaotingw, _бурканда, 
   {{0xc2d802f3,0x72d901b4,0xe3eb0305,0x768101a6}},	//   _nyhet_, _wapen_, _gryte_, _keneturi, 
   {{0x52c50098,0x2dd201f4,0x89db013a,0x0d80006c}},	//   _fremmer_, _rishtala, _geleenhe, _ихели_, 
   {{0xa38705ee,0x169b0015,0x0de8002b,0x5eea018d}},	//   _ukuri_, _maleeshi, _শক্তিতে_, _ብታህዋኽ_, 
   {{0x3bf40487,0x93eb0168,0xc2e5023e,0xe07101f0}},	//   _toleranc, _bryte_, _صبوری_, _dipalamo, 
   {{0x2648039f,0xd26c0240,0x864c0010,0x2cd500a4}},	//   _wikiansw, _lolosi_, _ekuhambi, _سۉيگۅن_, 
   {{0x7a4502ac,0xe25a0010,0xf04c019e,0xe3ae0156}},	//   _ورومنسيا, _amelwe_, _журба_, _חיסרונות_, 
   {{0xa2d904c5,0xd2ca00cf,0xf327015e,0xeea703b6}},	//   _lapel_, _gudda_, _арамза_, _àkọọ́lẹ̀_, 
   {{0xc2ac00a4,0x5c5500e9,0xa6c80111,0xf3a900be}},	//   _турмушун_, _lintere_, _accupià_, _سووزۇپ_, 
   {{0xd320015e,0xc2d9022c,0x5103044a,0x72ca04d7}},	//   _danys_, _napel_, _emekanel, _audda_, 
   {{0x328f005b,0xc30c05ca,0xb27f01ad,0x586c013c}},	//   _bonheur_, _semanas_, _saanen_, _polisind, 
   {{0xae56032d,0xb601004b,0xbe500315,0xcd09020f}},	// [1150] _юристар_, _communci, _basabala, _ښکیلاک_, 
   {{0xf6390037,0x33ea0481,0x6248023b,0x90df0350}},	//   _የታሰበው_, _duits_, _okomo_, _ለአምስተኛ_, 
   {{0x1995032d,0xf2f1009c,0x8da10144,0x5b0c0116}},	//   _bakhatla_, _antahawi_, _pornagra, _claggies, 
   {{0x22d900f1,0x726c011d,0x62e00097,0x052d0177}},	//   _dapel_, _folosi_, _asunwon_, _иҟаларц_, 
   {{0x62ca004f,0x409600ba,0x28600148,0x09d703db}},	//   _guddi_, _داماوی_, _francoru, _ephelile, 
   {{0xc320018a,0x14a30138,0x53ea0144,0x81160095}},	//   _canys_, _bilimsel_, _crith_, _کالباس_, 
   {{0x2af605ef,0xe98e015e,0x1201044a,0x8b7b0227}},	//   _ressurse, _назик_, _bayiti_, _pangkuan_, 
   {{0xc47701a7,0xc26c00fe,0x828e00d0,0x13ea00bd}},	//   _проекта_, _kolosi_, _тангараг_, _buits_, 
   {{0x83ea00d6,0x23ea00be,0xc2240374,0x32cc0013}},	//   _frith_, _cuits_, _salkam_, _chidamli_, 
   {{0x7edc0043,0xa9ee005e,0x03fe0090,0x95c8005b}},	//   _abayudaa, _خەلپە_, _akazova_, _nakanish, 
   {{0x1b550265,0x626d04dc,0xdea100f2,0xb34703bf}},	//   _kinderen_, _بیروباوه_, _londonas_, _bolella_, 
   {{0x32fc008a,0x12010180,0x33ea0008,0x6aee00d1}},	//   _afiga_, _fayit_, _tuits_, _উচ্চবৰ্গ_, 
   {{0x8c27028b,0x935400c5,0xd213006c,0xd6370258}},	//   _крамер_, _mineurs_, _alahla_, _keizerry, 
   {{0x5b6d020f,0xc3dd00af,0x40df00e2,0x13ea007b}},	//   _ليسانس_, _thawte_, _moannebl, _ruits_, 
   {{0x32010205,0x11a5002b,0x89e00087,0x82da02d9}},	//   _hayit_, _মিঠাপুকু, _hoyozela_, _lutena_, 
   {{0x6201011c,0xa24405a3,0xef4505f0,0xe691014d}},	//   _kayit_, _रामानन्द_, _božiji_, _lesermei, 
   {{0x2847006c,0x21470060,0xa2cc0077,0xf2d9046f}},	// [1160] _ханафи_, _ханифа_, _chalimo_, _aapel_, 
   {{0x337800c7,0xcf490009,0x625b0033,0x320004b2}},	//   _рәсем_, _dogodivš, _chalà_, _etniko_, 
   {{0x12d9007f,0x638703da,0x4326015e,0x78fe0184}},	//   _capel_, _ekuru_, _تاقىمىڭ_, _biragend, 
   {{0xab850041,0xe2da0066,0x5310022d,0xca4c01db}},	//   _акнферен, _ostera_, _bauzia_, _ۋاتىممەن_, 
   {{0xf38705f1,0x030d05f2,0xf34b02d3,0x7e6501df}},	//   _nkuru_, _rematar_, _detetou_, _cambodie_, 
   {{0x02010414,0xd248000c,0x550502d4,0x53ea01b8}},	//   _bayisi_, _thoms_, _insembel_, _briti_, 
   {{0x833c0220,0x23ea0044,0xd27e00b9,0x49f601df}},	//   _процента_, _suits_, _mainin_, _desairve, 
   {{0x922b01f0,0x73ea0085,0x5c7d0150,0x7afc00bd}},	//   _baamore_, _driti_, _kwestin_, _admeenis, 
   {{0x83ea008f,0x0b4200f3,0x72ca003a,0xa2da02c8}},	//   _eriti_, _nokwenza_, _xuddi_, _mareas_, 
   {{0xc201016e,0x4224028d,0x72830251,0x4e640038}},	//   _elbise_, _malkom_, _imikana_, _алоэның_, 
   {{0xb2920285,0x42cf03a7,0x471c0040,0xc24800a2}},	//   _burayi_, _stimuly_, _בהכנסת_, _ukomo_, 
   {{0x4fa90409,0xbd0301a0,0xdc050430,0x9d8200db}},	//   _インテリア_, _afambile_, _lupunjab, _दुर्गादत, 
   {{0x0da00153,0x19740335,0x62e700d0,0x00000000}},	//   _とは異なる場合が, _bdhātuḥ_, _arinago_, --, 
   {{0xe63e018a,0x22b2015e,0x5b050064,0xc0f6015d}},	//   _clasurol_, _tindran_, _алмашты_, _असुरों_, 
   {{0x62010342,0x23f80245,0xe41a01eb,0xe671001d}},	//   _sayil_, _lyiuh_, _асистема, _cuidanti, 
   {{0xc2640075,0x326c0244,0x226c0285,0xb3ea0085}},	//   _skuldu_, _colori_, _nanone_, _drata_, 
   {{0xa22403db,0x698c0037,0x62ec029b,0x89e70089}},	// [1170] _lonke_, _ከቴክኒክና_, _barilee_, _раббысы_, 
   {{0xe2e70055,0xc26302eb,0x7daf022f,0x00000000}},	//   _turnata_, _minusbal, _kostiumu_, --, 
   {{0xb5c80379,0x829003ba,0x427e0074,0x034303a2}},	//   _पंचवर्षी, _maiana_, _rinnat_, _निशंक_, 
   {{0xc387021a,0x4e830385,0xac510052,0x60e100f3}},	//   _axarra_, _plivanje_, _जानेर_, _ibonakal, 
   {{0x627f001f,0x65cc0472,0x39770176,0x7f64000a}},	//   _baanan_, _lokasiny, _fornemme, _annaasin, 
   {{0xa2d601ef,0x52e90193,0x33ea0321,0xd3a30541}},	//   _stilius_, _ngentot_, _priti_, _korpu_, 
   {{0x8224047d,0xbefb001e,0x7702003b,0x017a00d9}},	//   _jonke_, _makwabta, _elucingw, _пропускн, 
   {{0xc2f4012a,0xa4b501e1,0x86d30109,0x53f90201}},	//   _podstawy_, _алманым_, _राजिव_, _maqub_, 
   {{0xb7060192,0x2b300092,0x8d8b00fb,0xd2360076}},	//   _오스트리아_, _havemøbl, _ngamapha, _beijar_, 
   {{0x62e30437,0x70c60125,0xeeea0039,0xa0ee0466}},	//   _magiske_, _azaltmal, _моделийн_, _šetališt, 
   {{0x9386013d,0x42ab001c,0x22f00006,0xc22402fe}},	//   _adoris_, _maripã_, _matilah_, _nonke_, 
   {{0x73790397,0x59aa0037,0x429200ad,0x7a0700ec}},	//   _yilapho_, _መኪናውን_, _oerang_, _памерла_, 
   {{0x43ea0200,0x127f033a,0x928a01db,0x42e9019b}},	//   _esite_, _spanja_, _асырылад, _паспяхов, 
   {{0x922401cd,0x624205c5,0xf67e0295,0xa69c0369}},	//   _konke_, _केरला_, _finefeui, _kaseluhi, 
   {{0x3e2f05f3,0xe8fd0556,0x13730288,0xd29200ad}},	//   _células_, _nabafund, _cigarre_, _herang_, 
   {{0x93f40257,0x93ea0129,0x8f880060,0x287301b6}},	//   _listir_, _isite_, _سابىلىسق, _aliquots_, 
   {{0x20e103db,0x02d90488,0x32910067,0x00000000}},	// [1180] _ebonakal, _kapec_, _gubaan_, --, 
   {{0x28fd03de,0xcb600047,0x4c8d0061,0x362e00d8}},	//   _babafund, _soumettr, _뿌리깊은나무_, _abrabanè, 
   {{0xee5202f8,0xfd4d0243,0x33f2020e,0xf26c00da}},	//   _angafaka, _murabbaq, _entelang_, _manole_, 
   {{0xe2da02eb,0x62fc048c,0x9bf10173,0xb29202f7}},	//   _dutela_, _beagh_, _calefacc, _ferang_, 
   {{0xd20100b8,0xc30c0159,0x96810109,0x36b40197}},	//   _payiri_, _idealas_, _गफगाफ_, _konsepsy, 
   {{0xf236035b,0x82000005,0x404702f7,0x63f00007}},	//   _svojo_, _obain_, _dituelon, _kresansi_, 
   {{0xb1f20392,0xb12d0354,0xe07d0241,0x8a6f0311}},	//   _chlaradh_, _рафто_, _dabballo, _ብዝላዓለ_, 
   {{0xbb46027d,0x82e90321,0x929201f1,0xe3f905ca}},	//   _privatna_, _intimna_, _kurani_, _saque_, 
   {{0x0d86017d,0x02d80097,0x2e9301a7,0x53ea0113}},	//   _明日の日経平均を, _aileto_, _kertovat_, _fuath_, 
   {{0xc59502ea,0x1f9005f4,0x51c30456,0x12d80373}},	//   _attribuz, _campiñay, _mustahak_, _bileto_, 
   {{0x5e5203ac,0xa3840184,0x31fa0529,0xbc04025f}},	//   _sedangka, _amasinem, _planovim, _emeseni_, 
   {{0xbb0d045e,0x178500cb,0x21420361,0x0ce3002e}},	//   _приют_, _авиатсия, _аттал_, _vođena_, 
   {{0xa2fe0191,0x9fb30086,0x3c110062,0x3af804ca}},	//   _inrikes_, _مصلحتوں_, _junqang_, _apaurime, 
   {{0xebd205f5,0x0b9201f2,0xaf5f04aa,0x72900521}},	//   _पप्पू_, _جەزمەن_, _domaneab_, _bankës_, 
   {{0x32c705f6,0xa3070442,0x8af7027e,0x78700097}},	//   _fødde_, _merajuk_, _наредио_, _padabọ_, 
   {{0xe3a80479,0x00000000,0x00000000,0x00000000}},	//   _gépre_, --, --, --, 
   {{0xd3ea018b,0xbc530204,0x8d8900e6,0x8fa50116}},	// [1190] _luati_, _vartija_, _添加到豆单_, _hellispo, 
   {{0xf996026a,0x5901004d,0xe277006c,0x8359006c}},	//   _eucheuma_, _功能提供滑鼠經過, _сахнаи_, _amafemu_, 
   {{0x5da80243,0xadbc0010,0x4a4b0187,0xe290024c}},	//   _farinita, _batukulu_, _desejada_, _felaħ_, 
   {{0xdc93003a,0xd2e50085,0x4c2a0350,0x00000000}},	//   _هاوان_, _kainoda_, _መቀነስና_, --, 
   {{0xa25a0244,0x3984028b,0xc8fd00d1,0x00000000}},	//   _dalle_, _ихақәиҭр, _কনকলতাৰ_, --, 
   {{0x231c00ae,0xc5cd0227,0x616f00d1,0xdbfd0155}},	//   _aracura_, _negarany, _ইঞ্জিনৰ_, _gaffeltr, 
   {{0xf6640012,0x053701a0,0x92cc0042,0xa1ab0153}},	//   _अकाससँ_, _idayirek, _apelido_, _バイオハザ_, 
   {{0x65ff0429,0x32910261,0x7b1f0095,0x525a017c}},	//   _ተግባራዊ_, _movado_, _pinangan_, _nalle_, 
   {{0xd791016d,0xc3ea003b,0x02d90039,0x7ecb021f}},	//   _كوللېكتى, _asate_, _mapea_, _ayiislan, 
   {{0xd02e00dd,0xd65e003a,0x12fe029a,0x668c00c1}},	//   _angerddo, _зидми_, _viziter_, _सणवार_, 
   {{0x72d70191,0x07ec0084,0xfc510049,0x98e900da}},	//   _villkor_, _majaleng, _faktaha_, _причинуи, 
   {{0x5b3000b0,0x70470444,0xde630088,0x00000000}},	//   _garanayn_, _забором_, _курчалып_, --, 
   {{0x827e00bd,0x22c50195,0xc53a01a0,0x03ea0039}},	//   _bonnie_, _bremner_, _empiresh, _eratu_, 
   {{0x526c03ff,0x3fee00ff,0xe0f0000a,0xe30b0278}},	//   _nehoda_, _מוזשיי_, _affarmik_, _membiak_, 
   {{0x357d0242,0x3ea400da,0xa9830289,0x9c730157}},	//   _markalı_, _стандару, _amazungu, _siostra_, 
   {{0x9292022e,0x737205f7,0x4ea50177,0xdd980192}},	//   _murali_, _gadawyd_, _игәаан_, _receptie_, 
   {{0xcb2a02af,0x3d8904e7,0xc354033d,0xf2920309}},	// [11a0] _ababirab, _aaadopyt_, _atletis_, _qurani_, 
   {{0xf395045f,0x7a76039d,0xd3cc0044,0x0592019b}},	//   _flesta_, _hangwela_, _הלקחנים_, _ўнутраны, 
   {{0xacaf012c,0x228402c1,0xd4d700b7,0xcc56042e}},	//   _تماشو_, _amahano_, _гараны_, _fattige_, 
   {{0xd63200c1,0xa3780281,0xe9db0009,0xfec80064}},	//   _निवासस्थ, _affaata_, _kazenske, _шексиз_, 
   {{0x53f90353,0x491401ca,0xed9c0338,0x2c10040f}},	//   _nebude_, _bipaschu, _absoluda, _чэлес_, 
   {{0x127f041f,0x745d05f8,0x53ac04b3,0x222b018b}},	//   _iqanda_, _корректн, _albanieg_, _trimise_, 
   {{0x13ea0550,0x6c6101b2,0x09e0017d,0xe2cb044a}},	//   _usate_, _slurred_, _platitud, _tokolia_, 
   {{0xeb8b018d,0x21cd008d,0xe3490220,0x8b610065}},	//   _ክትገልጽ_, _азимжон_, _disegni_, _stellver, 
   {{0x9e6c0039,0xeab40072,0xd33e0187,0x62910119}},	//   _азарга_, _daikojin_, _приватен_, _mayada_, 
   {{0x1d6c00a4,0x2cfd018d,0xc2da0065,0xe2e10121}},	//   _партиясы_, _ንህሉዋትና_, _metern_, _plantel_, 
   {{0x516f0135,0x6850025f,0xe3ea053e,0xf3fd05ed}},	//   _kimendä_, _bakoland, _dratt_, _ikiziga_, 
   {{0xd2c30118,0x289901c6,0x4bda018b,0xfb350280}},	//   _okulaba_, _beskreau, _прилежуи, _कमोबेश_, 
   {{0xe3880087,0xe2940206,0x12d902ff,0xc96e00b2}},	//   _chayana_, _stratili_, _imanite_, _fayiloot, 
   {{0xb2910358,0xf3ea0066,0xc12d0302,0x33550372}},	//   _abyata_, _tratu_, _рабте_, _druenus_, 
   {{0x2248025f,0xd2d504ca,0xfa190137,0x55d10051}},	//   _akomi_, _alcoran_, _бэхжиж_, _tavuprāt_, 
   {{0x23ea0081,0x5559009b,0x139603e6,0x00000000}},	//   _hratt_, _харварды, _dasste_, --, 
   {{0xa48700c1,0x6bfd012a,0xbc750031,0x11bd03f2}},	// [11b0] _माझाही_, _kulturys, _टिक्का_, _диету_, 
   {{0xaede0164,0xc2ef0399,0xb20202ff,0xeaeb044d}},	//   _динда_, _fungalei_, _jouinn_, _melokaan_, 
   {{0xb38701b0,0x835f01a6,0x00000000,0x00000000}},	//   _akaran_, _pongere_, --, --, 
   {{0x33e10206,0x11ce005d,0x3200012b,0x229101fe}},	//   _klientov_, _ehaopavẽ_, _zamian_, _vayaga_, 
   {{0xfe300071,0x9c3d01bb,0x7ced0162,0x12f501be}},	//   _پروازهای_, _saklanýa, _سۇرايمەن_, _rizikem_, 
   {{0x929001ff,0x6fe80139,0x00000000,0x00000000}},	//   _najavo_, _विभावना_, --, --, 
   {{0x509600c5,0xc9430249,0xd3f8031a,0xa34001ab}},	//   _搜狗拼音输入法_, _evaluese, _chluba_, _दुनूं_, 
   {{0x6c6102f8,0x1815005b,0x811804df,0xd2b50347}},	//   _fotunga_, _darlinｇ_, _chykmaly_, _liedere_, 
   {{0xc3ea03fc,0x133c00ff,0x33fd025f,0x33ea01ad}},	//   _bratt_, _פּטירה_, _banzela_, _comtã_, 
   {{0xeaf10101,0x931300b4,0x3ba7027b,0x83410282}},	//   _prezenta_, _functia_, _ह्यत्र_, _koperea_, 
   {{0x43f901c4,0xf8e600d7,0xa5440219,0x7b9f0282}},	//   _debuut_, _тартма_, _emkhankh, _pokerehū_, 
   {{0x32fc000b,0x56b905f9,0xf2ff0516,0x425a001d}},	//   _agiga_, _críticas_, _lorimer_, _colleg_, 
   {{0x12270590,0xdb370426,0xa395025e,0x68370397}},	//   _магнай_, _यसैबीच_, _blessa_, _ватане_, 
   {{0x62e70321,0x1bd20206,0x03bb0092,0x722701f4}},	//   _prilagoj, _pochopiť_, _掲載情報について, _карнай_, 
   {{0xa6e90410,0x6509033f,0xb1750381,0x92c100f3}},	//   _tlhakišo_, _haateiho_, _agondray_, _behlola_, 
   {{0xd8c20192,0x88a70025,0xc7bb0245,0xb8f9026c}},	//   _자세히보기_, _adhoakṣa, _lamumshi, _romanoru, 
   {{0xc850048f,0x82ff01c8,0x3722004d,0xf5390126}},	// [11c0] _bakoband, _vitríny_, _航空公司拖欠機場, _прогляну, 
   {{0x88e90034,0xc36402ac,0x49d20487,0xe5f002d6}},	//   _tilgangu, _أوامر_, _notewort, _педиатри_, 
   {{0xe01401bb,0x99e600ac,0xeda80482,0xdd570040}},	//   _йыкылан_, _dovoljna_, _karibita, _preceded_, 
   {{0x3ea10003,0xe688008d,0xfd7e01f0,0x929101dd}},	//   _부동산써브_, _гипермар, _abalanwa, _abyara_, 
   {{0x0fc0032a,0x00000000,0x00000000,0x00000000}},	//   _ilungrso, --, --, --, 
   {{0x0af502c8,0x6e5301a6,0x00000000,0x00000000}},	//   _poderans, _tohatoha, --, --, 
   {{0x1f5700db,0x29a9005e,0xad340163,0x3e9a01cd}},	//   _जिंगी_, _ئىملاسى_, _نخواستہ_, _anqunywe_, 
   {{0xce5401d1,0x8d30002e,0xff27018c,0x00000000}},	//   _financia, _većem_, _geperson, --, 
   {{0xe6b800c7,0xf44803d4,0xe33800f5,0xdb6101ad}},	//   _redaktsi, _критиков, _болдулар_, _villaver, 
   {{0xc7950061,0x73ea0211,0x5a800109,0x326405f4}},	//   _전체의견보기_, _osata_, _kolegyně_, _chullu_, 
   {{0x13ea0499,0x2d480145,0x7dd90125,0xe4b101f4}},	//   _usita_, _pagaliau_, _билдирйа, _پیغاملر_, 
   {{0xb27703be,0x92eb0073,0x196801c9,0xd957048c}},	//   _akanyoni_, _scripto_, _valimise, _censurer_, 
   {{0xb62902f7,0x5bea01aa,0xc02b0244,0x87d00040}},	//   _bafilisi, _ackwards, _допринас, _המספקות_, 
   {{0x43950129,0x43f80480,0x284602d4,0xd54300b9}},	//   _emesia_, _ahluka_, _realisad, _ibuhamil_, 
   {{0x7c7c01f6,0x72ca008d,0xf754006c,0x99f900ea}},	//   _startar_, _huddi_, _akunjeng, _bilakare, 
   {{0x320e00ee,0x5eef0059,0xe9f302ff,0x9d9c0198}},	//   _санал_, _здравно_, _flurpoid, _obkljuka, 
   {{0xef1a05fa,0xc3ea005b,0x0300017f,0x9598019b}},	// [11d0] _ओरिजनल_, _esata_, _tamaani_, _нарачанс, 
   {{0x5fd4002a,0x3224003a,0x8ae0040e,0xd8bf021c}},	//   _ezinaulo, _balkim_, _বেতাঁৰ_, _homecred, 
   {{0xd38700b5,0x37470145,0xd0610086,0x2d950040}},	//   _ajura_, _белмузтв_, _بنارس_, _פורטו_, 
   {{0x33fb0091,0x91c600c5,0xf38604da,0x32900364}},	//   _aturiami_, _保持共产党员先进, _pokraj_, _opnam_, 
   {{0xc1880213,0xfc080488,0xe20002b4,0xce1d0059}},	//   _простейш, _nomainīt_, _buniyo_, _aspettia, 
   {{0x925b0116,0x4258004b,0x00000000,0x00000000}},	//   _hetly_, _khothall, --, --, 
   {{0xcfbc0037,0x9f2c0084,0x175c00e6,0xa5590133}},	//   _የሚዘወተሩ_, _perenahn, _从吻的部位看男人, _feekeeny, 
   {{0x8e4c021a,0xea48005e,0x02d50053,0x63fe00a6}},	//   _arrabsee_, _ﺭﺍﻳﯘﻧﻰ_, _bocoran_, _ezaziwa_, 
   {{0x03ea0386,0x20e90275,0xfd320066,0xf575030a}},	//   _suatu_, _kapiliel, _argibide_, _riotorto_, 
   {{0x9f6f05f4,0x8af205a6,0x4d0c00c8,0x1e7700a7}},	//   _achanpas_, _debutert, _ҡылды_, _داندان_, 
   {{0xb26c04d3,0xec9302b9,0x6ae104f9,0x82ce017a}},	//   _proofs_, _کانام_, _alaufese, _навалний_, 
   {{0x037d00ac,0xbda702af,0xec0a0143,0xf7950420}},	//   _disanje_, _butoseka, _включа_, _кутија_, 
   {{0x40680064,0xb1a70029,0xcd2701de,0x1068010e}},	//   _баяндалы, _نامۆیی_, _оранды_, _balahibo, 
   {{0x97d0017f,0xc18c006e,0xd25a01c0,0x6064033d}},	//   _itisilii, _cawartey_, _zalla_, _envansyo, 
   {{0xc25a0243,0x1ccd0374,0xd2910096,0x36f402d8}},	//   _yalla_, _даражага_, _abajepe_, _जनावरे_, 
   {{0x42f0008e,0x87d9040b,0xd3000179,0x198701eb}},	//   _abdulaay_, _mutahabv, _lefaili_, _hẽngue_, 
   {{0x035b0120,0x8b3f00ff,0x220202a3,0x74d00291}},	// [11e0] _mangaba_, _וווּהין_, _louisn_, _يشكلون_, 
   {{0x3347003d,0xeba7019b,0x075703b0,0x547304ae}},	//   _quadres_, _greičio_, _breiddeg, _клинтона_, 
   {{0x627f0244,0x97dc0128,0xfa87020f,0x1e4a005d}},	//   _eventi_, _талаблар_, _akazanga_, _ipbansca, 
   {{0xa3790193,0xaf6c0037,0x03f80203,0x00000000}},	//   _matanya_, _በመተግበር_, _nejust_, --, 
   {{0x42d80410,0x03ea00d6,0x927c002b,0xcb550259}},	//   _bilego_, _brath_, _কল্পনার_, _vinderen_, 
   {{0x726c02e7,0x13ea0195,0xb52a0235,0x5fe305fb}},	//   _dumog_, _crath_, _caritasy, _sirijsko, 
   {{0x8dfa008d,0xf76100e5,0x442a0183,0x52350458}},	//   _сайловчи, _кварт_, _fararano_, _jordvarm, 
   {{0x0c82048a,0x927803ef,0xd201041c,0xa224005b}},	//   _өлкетану_, _mpunzi_, _bayit_, _bonko_, 
   {{0x22910286,0x9d4b05fc,0xc97f0041,0x54440311}},	//   _abaawa_, _निरीक्षक_, _moõrupíp, _ዝዓለመት_, 
   {{0xa25a004f,0x837905fd,0x927704ce,0xbae60057}},	//   _walla_, _katanya_, _shangoni_, _berlesen_, 
   {{0x635e045d,0x5aa90187,0xb3ea027b,0x2c17011a}},	//   _fondacij, _печете_, _asito_, _לגביו_, 
   {{0xb317003a,0x647a0074,0x09370060,0x1379010d}},	//   _ommaviy_, _osittain_, _بىلسەڭدە_, _datanya_, 
   {{0x61890056,0x73400007,0xc7a2020e,0x69db05b9}},	//   _фармонде, _angenga_, _barutisi, _velfunge, 
   {{0xe3dd0375,0x7b180144,0x507e0260,0xf26e0449}},	//   _akumaliz, _bhialann_, _carballo, _letovi_, 
   {{0xf63902b1,0xf3ea0059,0xec0103f7,0x227f0059}},	//   _likitoci, _esito_, _breskar_, _aventi_, 
   {{0xf64800f9,0xa8e80061,0x425a014b,0xe74b00d1}},	//   _bishingi, _건축계약서_, _qalla_, _ডায়ৰেক্ট, 
   {{0xca150015,0xd16f002b,0x5aea019a,0x92000158}},	// [11f0] _islaamka_, _ইঞ্জিনে_, _gallopin_, _ramion_, 
   {{0x2c010073,0x14a80390,0x506a0433,0x32020089}},	//   _gentiles, _başlanıb_, _mapasabo, _ixtiar_, 
   {{0x23860226,0x1692008d,0x00000000,0x00000000}},	//   _adera_, _турсунов_, --, --, 
   {{0xc8cb0094,0xc7f90037,0x2e5f0037,0xf25b003f}},	//   _съезде_, _በማግኘቱ_, _ነግረውናል_, _javles_, 
   {{0x2581007d,0xb94e0396,0xc2780008,0x52fc0387}},	//   _bermalam_, _adoloxxe, _tornem_, _ogige_, 
   {{0x92e30288,0x7dd00189,0x21a002ed,0x227e00bd}},	//   _gehilfe_, _merkezde_, _aproxíma, _nowherex_, 
   {{0xe25a002d,0xf2cb0059,0x00000000,0x00000000}},	//   _mallo_, _manovra_, --, --, 
   {{0x4264025b,0x0e4c043a,0x82d502d9,0x00000000}},	//   _skullu_, _lekanana, _tosovaa_, --, 
   {{0x43ea01d4,0x09da02be,0xbf17023a,0xf37d0453}},	//   _erati_, _amandeep_, _dromedar_, _sisanje_, 
   {{0x53ea0111,0xd2010428,0xc74e01a5,0xd9ca0193}},	//   _frati_, _dobite_, _grunnleg, _संयोजकां, 
   {{0x0897028a,0xa3eb03b0,0xacfe0037,0xa2e90416}},	//   _مرتبي_, _gryta_, _ትፈልጋለች_, _exsicca_, 
   {{0x9d9b04bb,0xc224005b,0x74b8033e,0xd27e014b}},	//   _onionhea, _tonko_, _ливадиит, _sinnit_, 
   {{0xc25a016b,0x78b301d7,0x42d701e8,0x00000000}},	//   _kallo_, _festivar_, _govorko_, --, 
   {{0xc98e0391,0x53eb02f3,0x160d033a,0xd396001d}},	//   _фатир_, _bryta_, _assoluti, _lassat_, 
   {{0x525a0371,0x769d00a4,0x605201bc,0xe351009d}},	//   _dallo_, _preferei, _bedrigin, _sigurinë_, 
   {{0x416b0352,0x2d0700c8,0x969b0420,0x25200015}},	//   _অসমাপিকা_, _китапҡа_, _скриена_, _haboonay, 
   {{0x013b02eb,0xe84400c1,0x7afd04d7,0xd2cf0291}},	// [1200] _жигүүртэ, _लेखसंग्र, _sprengis, _folcadái, 
   {{0xaf6a028d,0x29620064,0x8dd303f1,0x3a4c03d8}},	//   _laparans_, _деректир, _posklada, _čudesna_, 
   {{0x8e54041e,0x8344019f,0xc3ab0405,0xa16903ac}},	//   _minaccia, _sanduku_, _уявлення_, _batiniah_, 
   {{0xb65a010f,0x5a9f04a6,0xa2e902d9,0x526002ee}},	//   _сарбалан, _zavisnos, _kitiona_, _bilingwi_, 
   {{0xf3ac024b,0x9379034c,0xc14105fe,0xbb690456}},	//   _grupos_, _natalya_, _बिरंगी_, _temuduga_, 
   {{0x725b014a,0x0b0600b3,0xf06200fb,0x9f690488}},	//   _emelet_, _awestada_, _kwesigun, _nemaldos_, 
   {{0x423605ff,0xcb060226,0x79460111,0xf200023a}},	//   _diljem_, _akusunga_, _agalabat, _ramien_, 
   {{0x5f07002f,0x2ac10010,0xd26b0128,0x77870060}},	//   _pinceles_, _abukisis, _ایشلیدیگ, _جاناسىڭ_, 
   {{0x5fc40553,0xe9e60099,0x725a02e9,0xb2000461}},	//   _šírenie_, _hurumend, _fallo_, _zunino_, 
   {{0x33ea01e6,0xa25a0120,0x35120297,0xb5ba02d6}},	//   _trati_, _hadle_, _başlaunı_, _ярмаркал, 
   {{0xf25a01e1,0x91d90065,0x268e0331,0xd5040011}},	//   _союзының_, _vollkomm, _spreingi, _amutango_, 
   {{0x923602d5,0x5c670095,0x04930135,0x14ba025f}},	//   _hiljem_, _حرکات_, _almagaçl, _eyebisak, 
   {{0x03ea0145,0x592b00e4,0xd6f7020f,0x7a3200f8}},	//   _esate_, _फलाहारी_, _برابرېږي_, _নলছিটি_, 
   {{0x6a8a0209,0x712d0013,0x86f5004a,0xfa0d01c9}},	//   _aaqitass, _матто_, _cirteträ, _klassiju, 
   {{0x23870387,0xe21902b2,0x725a0212,0x03ea04c8}},	//   _ajuru_, _режиму_, _vallo_, _qrati_, 
   {{0xa38102a2,0x6afd017d,0xa00e02c0,0x00000000}},	//   _ngayong_, _overhale, _холанѓан, --, 
   {{0xd20102bb,0xf86d00e4,0xa1e302d5,0xd2b20278}},	// [1210] _kobiet_, _आदिवासिय, _अधमरा_, _pindaan_, 
   {{0xb385032a,0x40520144,0x0200005b,0x626e02cb}},	//   _grønland, _phortain, _adoigj_, _setovi_, 
   {{0x02910439,0x89f60418,0x02f4004f,0xf283006f}},	//   _mayana_, _durumunu, _bidiwam_, _alikana_, 
   {{0x09c00120,0x7e5203c6,0x235f0192,0x1c030037}},	//   _haweenet, _belangha, _jongere_, _kompang_, 
   {{0x87a601c2,0x125a03f2,0xccff0037,0xdf1604c9}},	//   _estratex, _pallo_, _አይስላንድ_, _magtatap, 
   {{0x720005c9,0xc2f0007a,0xb9f1048a,0x00000000}},	//   _ncaim_, _fatimah_, _تىلشىلەر_, --, 
   {{0x4cb4004d,0x00000000,0x00000000,0x00000000}},	//   _健康美容交流_, --, --, --, 
   {{0x69e20303,0x635f00a9,0x72d102bd,0xc96e021b}},	//   _bapisiwa_, _nongere_, _bostiwch_, _mainiost, 
   {{0x82c200fa,0x86d20207,0x97db0357,0x5a140163}},	//   _bibliya_, _kuhakiki, _delainav, _خبريں_, 
   {{0x5ac200c1,0x035f0239,0x6201005b,0x0bab0273}},	//   _जाणीवपूर, _hongere_, _bseina_, _precisó_, 
   {{0x1593035e,0x8d3304cb,0xba15002e,0xc96f0272}},	//   _prilikom_, _теодоров, _stvarima_, _abangobe, 
   {{0xb27e02bb,0x42eb008d,0x8af701f7,0xc52d02a2}},	//   _sceny_, _dasturiy_, _consomat, _kapistah, 
   {{0xf47300e6,0x340100d0,0x4c970290,0x4f57032d}},	//   _农民专业合作社成, _foroetak, _celebrau_, _митингығ, 
   {{0xd9f2024f,0x462a008d,0x88b005cd,0x00000000}},	//   _daligada_, _tariqasi, _østerbro_, --, 
   {{0x53f80216,0xc347000e,0x02ca047d,0x22e80167}},	//   _ahlula_, _stadies_, _gudds_, _nerfus_, 
   {{0xc9a6003a,0xb291028a,0xe2920240,0x70cd0156}},	//   _амалдаги_, _hayana_, _taqaya_, _מיצװה_, 
   {{0x28bb0141,0x120201d4,0x17ed0011,0x130e0108}},	// [1220] _mirtohir_, _meritu_, _babaleng, _dibalur_, 
   {{0x725a014b,0x06a9031a,0x63a30521,0x1c0901e5}},	//   _aalle_, _barraich, _mirpo_, _isipaya_, 
   {{0xc30d015e,0x9baa02d6,0x9a070281,0x00000000}},	//   _demanar_, _қўлма_, _innarlee, --, 
   {{0x147a019d,0x002602e7,0xf6820097,0x1c06005b}},	//   _afafaniz, _magdadao, _pureposi, _harurunb, 
   {{0xf38700a4,0xfaec05b7,0x00000000,0x00000000}},	//   _negres_, _zastarje, --, --, 
   {{0x002b0363,0xd2fe023f,0x52ef045f,0x8429020e}},	//   _tradisjo, _thrives_, _gunilla_, _bokhelek, 
   {{0xb25a02d5,0x9b6504e5,0x224802e2,0x3560006c}},	//   _talle_, _addukira_, _acomax_, _кимиёӣ_, 
   {{0xeb0c052c,0x5f3d013c,0x2c260040,0x5f8600a7}},	//   _سابیر_, _aparatla, _אינטימי_, _агронасы, 
   {{0x5d890329,0x267f025e,0x69680499,0x31170061}},	//   _normalma, _eindregi, _iunivese, _고교등급제_, 
   {{0x98aa018d,0xcbc70137,0x9302018f,0xdf5c0255}},	//   _ብምግሃስ_, _сахлын_, _daladqu_, _kavatseb_, 
   {{0x617400ff,0x8292040f,0xd29000a5,0xea870234}},	//   _סטריזוב_, _nesate_, _taiala_, _sẹ́kún_, 
   {{0xc28300ec,0x825a0243,0x9fa200ba,0x99c504e5}},	//   _palaikym, _qalle_, _میزڵدان_, _baamemba_, 
   {{0x802e025c,0x2556032d,0xe2010211,0xa339020f}},	//   _kraftsto, _ынтылышы_, _upeita_, _دسړکونو_, 
   {{0xf387045f,0x7cf20122,0x32000082,0x31970204}},	//   _svarta_, _خاتمه_, _jamian_, _влагалищ, 
   {{0x12f30169,0x5c6a00e4,0xabf1009b,0x434101d7}},	//   _ড্রোন_, _laptopy_, _kalebarr, _basegna_, 
   {{0x6b20007e,0x53860121,0xa40e04ca,0xcfdd04df}},	//   _apragalb, _peores_, _amarnian_, _berersiň, 
   {{0x6db102d9,0x42f70281,0x0f7100fd,0x790b004a}},	// [1230] _lafumanu_, _aqqinik_, _iapanais_, _аягың_, 
   {{0xa25a0222,0x632005ce,0x89e300b3,0x9c7601eb}},	//   _salle_, _şeyin_, _ромада_, _deputas_, 
   {{0xa3860558,0x2a230060,0x169b02a4,0xfda50087}},	//   _edere_, _кішкене_, _suffragi, _herisiwa, 
   {{0x6b1e0064,0x137302be,0x0bc60100,0x634103bf}},	//   _جامعىردا_, _alalaong_, _deterdže, _kelello_, 
   {{0x43860099,0x63480244,0xe83e018d,0x7936002b}},	//   _ndere_, _modelli_, _ፋይናንሳዊ_, _নাস্তিকে, 
   {{0x038b00c3,0x954c003a,0x7e70030d,0xfe5701b2}},	//   _加入我的最愛_, _гулистон_, _kapitalı, _armbadge_, 
   {{0x8df10015,0x725a013a,0xc05f0378,0x00000000}},	//   _caddaata, _folleg_, _gimstein, --, 
   {{0xe3050113,0x129700f1,0x399c0072,0x29630015}},	//   _دورات_, _adekwat_, _munktana_, _minnisot, 
   {{0xb3860356,0x42da006f,0x3867034c,0xf395017a}},	//   _ukirin_, _kuteka_, _аркама_, _amesha_, 
   {{0x4c7c0074,0x5ff802a9,0xa35600c1,0xf160005a}},	//   _muistan_, _пацьверд, _कबुली_, _lomnitlh_, 
   {{0xc25a01d9,0xc5660156,0x22ca015f,0x46980153}},	//   _kolleg_, _אבסעסיע_, _erddi_, _アイちゃん_, 
   {{0x62cf033a,0xc301024a,0x9be50144,0x03be009a}},	//   _permezz_, _adobaje_, _randamac, _ayivumi_, 
   {{0x370700e6,0xcaaa04ca,0x62480014,0xca950373}},	//   _请输入关键字_, _archeves, _njoma_, _antitrib, 
   {{0xf396046f,0x92910170,0x5ba60299,0x00000000}},	//   _basste_, _hayala_, _تۇغلان_, --, 
   {{0xcfb90275,0x4d5000e6,0xb1d8020f,0x00000000}},	//   _logologo, _专题交流会_, _خوبياهم_, --, 
   {{0x829d03a7,0xa7d9008f,0x53f20308,0xa2ea00ee}},	//   _všade_, _लालकिला_, _ditebang_, _zatitan_, 
   {{0xa272001a,0x91540388,0xcd810115,0x120d0444}},	// [1240] _tűnik_, _difficol, _berlelua, _заданные_, 
   {{0xb9680003,0x6bb6028b,0xc2fc04aa,0x086d0287}},	//   _activite, _avaháich, _ngaga_, _procesů_, 
   {{0x2b8101ff,0xd3070195,0xe9470133,0x835402ed}},	//   _sledovať_, _agbaidh_, _atileeot, _empezou_, 
   {{0xe29202ee,0xdaaf0192,0x622401b5,0x341601cd}},	//   _rurali_, _원칙적으로_, _donki_, _дурандеш, 
   {{0x5a7b0600,0x34a80046,0x3d1c0033,0x03dd003e}},	//   _संवेदनाक, _paralitz, _brambrüe, _вакантлы_, 
   {{0x72d60601,0xec280036,0xe3ed02ee,0x06c50233}},	//   _negosyo_, _ديانا_, _barrieri_, _inusabil_, 
   {{0x08f6049f,0x626c013d,0x44f8028b,0x00000000}},	//   _kuzakuvu, _idioto_, _excursón_, --, 
   {{0x91440040,0x0a2702a6,0x12ea0408,0x12f50066}},	//   _הארצית_, _riscalda_, _batisan_, _politak_, 
   {{0x72f00350,0x625b0111,0x13150445,0x604b04a7}},	//   _fatihah_, _acellu_, _império_, _carrican, 
   {{0x19ed0077,0x12dc01e9,0x8d0a018c,0xf4330094}},	//   _majistra_, _babotsi_, _dierenar, _گرامماتي, 
   {{0x144b028a,0x92e5005b,0x33d5013d,0xd27f001c}},	//   _انگلنڊ_, _shinoda_, _protekti_, _ibanan_, 
   {{0x5d760207,0x22fa00f3,0x2db7004d,0x73bb00de}},	//   _گرانٽ_, _egehena_, _供應塑料桌子_, _معتبرو_, 
   {{0xe26c007f,0xee4900db,0xa8b8032d,0x66960307}},	//   _ormod_, _jagamine_, _нистрати, _kusekuni, 
   {{0xe6ad02a5,0x1f3803a2,0x62ed01cd,0xb395033d}},	//   _orgánů_, _लडकियों_, _тақаллуб_, _clesca_, 
   {{0x727e010b,0x13ac0488,0x279c00ee,0xe2c4013c}},	//   _dinnye_, _grupas_, _puntuazi, _hikmət_, 
   {{0x8bf101a3,0xdd4b0369,0xe5b8030b,0xcfb90004}},	//   _بروھي_, _makawalu_, _aligaziy, _cooloomo, 
   {{0x1154002e,0x9da8007f,0x2c620378,0xa3870051}},	// [1250] _budućnos, _recordia, _maturin_, _negrib_, 
   {{0xdd310195,0xa5680311,0x3d940008,0xc96003c2}},	//   _earsnaic, _ዝተተርጎመ_, _бездерди, _blundere, 
   {{0xa0940044,0x74b4034e,0xcc530541,0x787303b8}},	//   _פרידמן_, _achallik, _obrtaja_, _پروپەتسي, 
   {{0x2fb901e9,0xbc7f0095,0x5e4300da,0x527f01c7}},	//   _bogologo, _abimanyu_, _рничирил, _abanan_, 
   {{0x13f003bf,0x1c8602eb,0x726c0369,0xb17300d1}},	//   _balehang_, _эрдсийн_, _rehoba_, _দক্ষতাৰে_, 
   {{0x245503cb,0x226d02d5,0x225a00f0,0xf25b03fb}},	//   _convocan_, _बसेषा_, _sadla_, _hvalio_, 
   {{0x137301b4,0xa3ea0052,0x1abf018d,0x21ac0189}},	//   _stelling_, _bratr_, _ድልዱልን_, _yalattır, 
   {{0x273d0089,0xa13504a6,0x033b018d,0x7075000a}},	//   _afanasev, _portparo, _ዝተሓደሰ_, _assammio, 
   {{0x625a0005,0xe5ac0013,0xc378031c,0xf37f0333}},	//   _dalla_, _tenglash, _alcanza_, _annanta_, 
   {{0x92d3014a,0x177f032b,0x3c710486,0x00000000}},	//   _motorok_, _سەمرا_, _डेन्टल_, --, 
   {{0xd3ea0388,0x8a7f0299,0x00000000,0x00000000}},	//   _usata_, _ساداسىغا_, --, --, 
   {{0x62d503e9,0xe9470244,0x34d70060,0xc90502e0}},	//   _eýesi_, _писане_, _сарайы_, _baobamed, 
   {{0x8a1c046f,0xcb730287,0xd2c301cd,0xe2ff00e6}},	//   _verbanne, _jednolůž, _akuloba_, _diriger_, 
   {{0xf7a50211,0x479c01d7,0x422a0238,0x0e4d0347}},	//   _светодио, _sentenzi, _посад_, _paragraa, 
   {{0x963802f0,0x9795004d,0x59d40462,0xa45c0234}},	//   _akhlélwa, _廣告刊登連絡_, _atherine, _àgọ́_, 
   {{0x92360360,0x13a2005b,0x488a00ef,0x51670314}},	//   _svoji_, _ponpon_, _bekhumbu, _шатбыҙ_, 
   {{0x938701cc,0x87cd002b,0x831e0372,0x12da05f2}},	// [1260] _akaron_, _মহররম_, _anochel_, _sotelo_, 
   {{0xd2df05aa,0xf7890223,0x02000083,0x65b600d8}},	//   _ladning_, _гандантэ, _camiun_, _cachaviè, 
   {{0xa6320177,0x75ab032c,0x6c520365,0x0d69032b}},	//   _ахысбыжь, _gummibåd, _सिआइए_, _ساراڭلار, 
   {{0x8dbf01a4,0xc292030f,0xab3801bb,0x66250400}},	//   _andimela, _auraki_, _элъетерл, _affitivi, 
   {{0xc9a70088,0xe2780181,0xf6b80137,0xc2e80099}},	//   _алмашылы, _fornem_, _дээхнэ_, _edzimba_, 
   {{0x93a802f7,0x4d2c0202,0x82900340,0x4da70462}},	//   _etlareng_, _lonibise_, _paiaka_, _askingta, 
   {{0x96010006,0xa2e3012a,0x7493034c,0x1224005b}},	//   _mendalam_, _podobny_, _almayaça, _genkai_, 
   {{0x19800132,0x22240286,0x77e80255,0xd2550280}},	//   _kivitele, _donku_, _strateeg, _सौतेली_, 
   {{0x8290039e,0xf29200a1,0xd52f0062,0x40790137}},	//   _opnar_, _turaki_, _dativmoh, _янзлах_, 
   {{0x32910399,0xce820400,0x3fca0188,0x356c00a7}},	//   _iaaaaa_, _cervelle_, _пурқурбо, _داۋىنچىڭ_, 
   {{0x228701a6,0xfc760321,0x4d0503c9,0x041201d2}},	//   _arokite_, _izbrali_, _enkleste_, _chinpank, 
   {{0x787204ed,0x078b04e5,0xd9c10602,0xfade0296}},	//   _हरिश्चंद, _agajjang, _moderere, _auktorit, 
   {{0x3da3047d,0x727e046f,0x4b970156,0x9f35003d}},	//   _sonnenop, _demno_, _amantino_, _conclús_, 
   {{0x41ad0444,0x89020092,0xaf400479,0x985e00ff}},	//   _развитию_, _は参考になりまし, _térfogat, _aperigas_, 
   {{0x2a86024a,0x32fe01b8,0x6405015d,0xe9170061}},	//   _nítorí_, _haridus_, _गीताप्रे, _설문조사를_, 
   {{0x642b0603,0xc2800588,0x914b00de,0xbeaf0084}},	//   _कवितासंग, _abakene_, _angezihl, _cikondan, 
   {{0x97a400ff,0x83860014,0x00000000,0x00000000}},	// [1270] _באַסטי_, _nderi_, --, --, 
   {{0xf3870367,0x338602a0,0x529d0551,0x0294005b}},	//   _regras_, _ideri_, _amijaya_, _arakaki_, 
   {{0xe2d9045c,0xf986015b,0x0956004d,0x634100a8}},	//   _chcela_, _edukeise, _印尼蘇門答臘地震, _alpetta_, 
   {{0xe292013a,0x79fa00a1,0x1d8901b9,0xaefc00db}},	//   _suraki_, _pitihana_, _formelma, _leevenda, 
   {{0x7dbc01b8,0xa4a30265,0x50a80361,0x00000000}},	//   _regionaa, _schimmel_, _декъар_, --, 
   {{0x01570183,0xd4f000e5,0xd291015a,0x627e0092}},	//   _anarambo, _делимано_, _duraanii_, _clonic_, 
   {{0x20f00349,0x363f00b6,0xed0e0014,0xb943000a}},	//   _acticall, _daleelá_, _olimpike_, _avalatse, 
   {{0x34100437,0x2e6900be,0x70530126,0x63cf0465}},	//   _forsiden_, _ايىتپ_, _правової_, _pravil_, 
   {{0xbb6c00db,0x729100c5,0xd8550144,0x16df0037}},	//   _वामना_, _urbain_, _análú_, _እንደዛው_, 
   {{0x21380086,0xbe3b0326,0x234401cf,0x224f044a}},	//   _ابدالی_, _achakupa, _aquelle_, _balokoti_, 
   {{0x11b303ce,0x73ea0200,0xfab300da,0xd2a60077}},	//   _کابرا_, _asato_, _интележе, _chobal_, 
   {{0xf3f40261,0xd26c0119,0x24520374,0x434c0026}},	//   _ekster_, _ormoc_, _акром_, _wederom_, 
   {{0x526d043a,0x529202ec,0x234c01c8,0x85b90147}},	//   _dugons_, _quraan_, _odstupné_, _شومشەك_, 
   {{0x729a0188,0x7eda030b,0x0b2601ef,0x907d01b3}},	//   _ababeham, _amuyamba, _адток_, _спорткар, 
   {{0xe59f02f6,0xe23b0148,0xfc9301e0,0x00000000}},	//   _pangunah, _控制面板首頁_, _ئالای_, --, 
   {{0xb2a60033,0x57150017,0xe35f0203,0x1393013c}},	//   _dumber_, _chomutov, _longore_, _aktyoru_, 
   {{0x0f5d010e,0xed0d05fb,0x00000000,0x00000000}},	// [1280] _bokasyon, _opstrukc, --, --, 
   {{0xb2a600d6,0xf4c8010f,0x79850016,0x02d50045}},	//   _phobal_, _ватандор, _efektiva_, _пламена_, 
   {{0x6a1c046f,0x924002b6,0x64490153,0xcd1b0105}},	//   _verbonne, _ысырып_, _福袋気分で楽しめ, _berlinie_, 
   {{0x96fd05d7,0xcbfc00b0,0x1196003f,0xe38601ab}},	//   _lindolên, _گۯاین_, _muschugh_, _veerg_, 
   {{0x02d901d1,0x38fd00d9,0x23b5012b,0x8327023e}},	//   _reality_, _бюджетны, _koncepcj, _انباردار, 
   {{0xd3e100dc,0x2b7002d6,0xc6e200e6,0xd38600e0}},	//   _alititai_, _arboblar, _学生会名单_, _heerd_, 
   {{0x374f027b,0x31fb0212,0x6af20513,0x727e035b}},	//   _साहसदण्ड, _splitcam, _entshave, _temno_, 
   {{0x83530162,0xedd90025,0xed880013,0xec8802cf}},	//   _ئۇزاق_, _उद्याने_, _синовлар, _унеско_, 
   {{0xad400156,0x73b6002e,0xbafa02d4,0x5c000359}},	//   _ממשיכי_, _pravima_, _persuent, _paesens_, 
   {{0x33860558,0x22d6038a,0x6196003f,0xd2870229}},	//   _meere_, _mayoreo_, _buschugh_, _portalın, 
   {{0x6cce027f,0xb2f4029a,0x4f5d011e,0x0970023e}},	//   _akavumer, _fransir_, _vokasyon, _تفلیس_, 
   {{0xe14a050b,0xd3660083,0x314d02fe,0xc29204d8}},	//   _ऑब्जेक्ट, _aunghel_, _besempil, _baqaya_, 
   {{0xac700230,0x4b1500e2,0xca7d027f,0xa2f000d1}},	//   _asasine_, _baskelân_, _hanabura_, _খামোছ_, 
   {{0xc24c018d,0x618f00e7,0xe6ea027e,0x88460046}},	//   _ተስፋኣለም_, _aheadway_, _sataraš_, _سۉۉيۉ_, 
   {{0xf6440148,0x71650462,0x6abc007e,0x00000000}},	//   _參觀人氣統計_, _acrosmay_, _dagdhāni_, --, 
   {{0x57ec0472,0x87060024,0x89c7023a,0x127e0116}},	//   _belakang, _কুৰুক্ষে, _kreditne, _kinnle_, 
   {{0xb3ea0388,0x03860558,0x8dcb0061,0xb2ed0155}},	// [1290] _usato_, _jeere_, _스포츠조선_, _barnlek_, 
   {{0xdee004ac,0x8eb501d9,0x34280156,0x5e9c008a}},	//   _земле_, _hierscht_, _דעדליין_, _salmasin, 
   {{0x2b6501f2,0x1c0b02d9,0x8bbc00e6,0xd558010b}},	//   _ﭼﻮﻗﯘﻡ_, _laupepa_, _余忆童稚时_, _ikokoany, 
   {{0x378b0156,0xcb9a031a,0xa9c60092,0x2c7d02ea}},	//   _עלענד_, _gainmhic, _kunderne, _sposato_, 
   {{0x03170449,0x223602cb,0x284d00d1,0x5acc004d}},	//   _potiskuj, _biljem_, _নাটঘৰ_, _能力來自愛麗絲學, 
   {{0x179100e4,0xfa130148,0x2c000347,0x9a160322}},	//   _छायावादी_, _訂閱部落通知_, _gautengs, _bagateka_, 
   {{0x19960177,0xe41303ce,0x925a053e,0x93ea0075}},	//   _сантос_, _هاندا_, _fylle_, _gentum_, 
   {{0x3036023e,0xb29101c0,0x8c060094,0x1386024a}},	//   _anataran, _alfanu_, _دىننە_, _keere_, 
   {{0x985400bc,0x02f10145,0x0f150255,0x6d450126}},	//   _اولين_, _katilai_, _vihterpa, _рекламні_, 
   {{0xa29c0276,0x0ec801de,0x4917002b,0xb25a03ae}},	//   _قاسىمجان_, _ретсіз_, _সত্বেও_, _hylle_, 
   {{0x92540417,0x0f42005d,0x13ff0156,0x92f40233}},	//   _sogenaam, _бельгиаг, _וואלאזשי, _transir_, 
   {{0x323203f2,0x12ca01bb,0x56b5004e,0x429002fd}},	//   _varmaan_, _belledi_, _subseksy, _bonaid_, 
   {{0xbe470440,0x037802f3,0x8edc0092,0x245a0153}},	//   _bahavuye_, _utvalda_, _アメブロを書いて, _オオキンケイギク, 
   {{0xf167008d,0x31270076,0x99d5027b,0xf99201db}},	//   _kengashl, _барови_, _बोधयति_, _реактивт, 
   {{0x828701ec,0x32fd01d5,0xa2f70206,0xceaf01d4}},	//   _هفتاد_, _idegen_, _veciach_, _colomban, 
   {{0x6de702b6,0xbb71013f,0x872701a3,0x60e7014a}},	//   _қиянат_, _mouladur, _سگھاري_, _hívták_, 
   {{0xb3fa0604,0x6ad701d9,0x9c76003d,0x9c7c0274}},	// [12a0] _bituma_, _verwacke, _onorari_, _starfar_, 
   {{0xb3ea0172,0x3f250255,0x7dbf01b8,0xab2d01b4}},	//   _yentum_, _baltimaa, _hilisema, _gebalans, 
   {{0x13860190,0xfadf01b8,0xa27c044a,0x00000000}},	//   _arorae_, _korterit, _etindaki_, --, 
   {{0xb96d03ea,0x930d00ad,0x98bf026c,0x00000000}},	//   _proposer_, _réaksi_, _videretu, --, 
   {{0xb0ac0078,0x69da0151,0x7c2100c1,0x26d201cc}},	//   _планиран_, _autoharp_, _शुभसंदेश_, _शोणित_, 
   {{0x35be0037,0xbb2c0389,0x027b00bb,0x373101bb}},	//   _እንዳየነው_, _mayascas, _طرزعمل_, _bellemeg, 
   {{0x84a7010f,0x5bec02c3,0xa7f60094,0xa2010574}},	//   _техникии_, _nohavičk, _بىلەۋلەن, _bobice_, 
   {{0x0e4705a9,0x3993014a,0x7dfc00e6,0xa1b5022f}},	//   _wahavuye_, _بھوکا_, _etudiant_, _блонскі_, 
   {{0x23200058,0xfe8c00e6,0x43080258,0x00000000}},	//   _baryonyx_, _市合作交流办公室_, _symboal_, --, 
   {{0x034103ad,0xecb90187,0x53fe04ab,0xde730157}},	//   _koperta_, _поставен_, _njezina_, _फ़र्क_, 
   {{0xa301003b,0xad920515,0xb2f20178,0x3f9b021b}},	//   _bambone_, _sublinea, _balinau_, _авиации_, 
   {{0x0c7500a7,0xce39024b,0xc7d503bf,0xfaa801c9}},	//   _этникалы, _deportes_, _тусовка_, _उबिलाला_, 
   {{0x1177006a,0xd26d02c3,0x2d890196,0x00000000}},	//   _akanjony_, _obvode_, _chimanja, --, 
   {{0x71c70163,0xe4df026f,0xdeb003a0,0x268000d8}},	//   _دراندازی_, _تابباققا_, _dibokwan, _arrecoti, 
   {{0xaf650116,0x627c011b,0x5f070159,0x23bf00c5}},	//   _attachin, _atindaki_, _бровар_, _两会三人组_, 
   {{0xb8610042,0x2f300325,0x32a601ec,0xbc7c0046}},	//   _combater_, _cavabını, _dhobel_, _مەلدەشىن, 
   {{0x3b4d00c8,0x26d3015d,0x61640109,0x4ea2055f}},	// [12b0] _премьеры_, _दंडित_, _नपुग्दै_, _hurriyet_, 
   {{0x96600086,0x8fb404e3,0xbe9e038a,0x5a8c03b7}},	//   _antikvár_, _pravomoć, _chomolun, _econdeds, 
   {{0xa3000330,0xcd5d014e,0x656d0163,0xf3800059}},	//   _tamakni_, _читалаца_, _legolcsó, _terrà_, 
   {{0xf50a00d6,0xdaf80037,0x622400ea,0x5dfc0194}},	//   _gaillimh, _ግጥሚያዎች_, _donky_, _studiant_, 
   {{0x847300fc,0xef05014e,0x6fa7039a,0xf2d9007f}},	//   _daleghmo_, _чување_, _selembar_, _etholwr_, 
   {{0xd72900d1,0xeea70308,0x15ac019a,0x6fb2018f}},	//   _ব্যঞ্জন_, _pelembab_, _forgaith, _najlahbo, 
   {{0xb31104d3,0x4c660061,0x5dcc016b,0x92170024}},	//   _taubhau_, _puntjes_, _hanyarsu_, _সমুদ্ৰপৃ, 
   {{0xf8360061,0xae390169,0x00000000,0x00000000}},	//   _제공사선택_, _reportes_, --, --, 
   {{0x13800220,0x3cb101cd,0x53860099,0x827802cf}},	//   _verrà_, _яктарафа_, _awirwa_, _tornam_, 
   {{0x1e770323,0xa98f0258,0xfe720256,0x04360320}},	//   _خاندان_, _linkdump_, _modifikā, _ngaherik, 
   {{0x5ee303ab,0x39c602eb,0xa38601ba,0x3387001e}},	//   _spokojen, _биохими_, _lakrem_, _akarin_, 
   {{0x637900c5,0x3b450420,0x9c0600ff,0x54700595}},	//   _充值优惠标准_, _булевар_, _אױסזען_, _अमीनो_, 
   {{0x626d0119,0xf30001fe,0xed670342,0x590300d3}},	//   _savoie_, _kamaini_, _defansè_, _komorní_, 
   {{0x21d1026c,0xa8ea0253,0x53480094,0x622a03fe}},	//   _在此類別張貼免費, _pitsanng, _جالىنىشپ, _котам_, 
   {{0x438b015e,0x591305f4,0x0b00027b,0x1c1c017a}},	//   _спорттун_, _anyanaku, _गुणीभूतव, _amfungis, 
   {{0xb974036d,0x00000000,0x00000000,0x00000000}},	//   _lionacle, --, --, --, 
   {{0xd2830182,0xc25a02f6,0x7ee3035b,0xfc6e009b}},	// [12c0] _alikona_, _madla_, _upokojen, _modurik_, 
   {{0x72f1008e,0x35f60135,0xb3210005,0x3bb900ef}},	//   _matukaay_, _kiresenç, _blocher_, _وغنده_, 
   {{0x8fae035b,0x23260265,0x332c0311,0x308d0156}},	//   _odgovoro, _richtlij, _ብማእሰርቲ_, _לבֿוש_, 
   {{0x17a501fb,0x99750217,0x19f00074,0xb58100ef}},	//   _appellav, _utensile, _kunnolla_, _amodarey, 
   {{0x6aed00ee,0xaff200e6,0xbc93003c,0x149c0350}},	//   _lasterke, _六味地黄丸不是补, _بانام_, _አይጨምርም_, 
   {{0x2d06023c,0x7eb104cf,0xe21500bb,0xdfbc01db}},	//   _مبارزينو_, _bafumane_, _سورئہ_, _جۇقباسىن_, 
   {{0x025a00ef,0xc52e027b,0x72ba0244,0x03560145}},	//   _badla_, _नाधिगच्छ, _redditi_, _seserys_, 
   {{0x2de1016d,0x1c150021,0x8c4b0126,0xf58100de}},	//   _африқили, _alaropes, _епоху_, _emodarey, 
   {{0xb27e046a,0xf3190193,0x62da0373,0xaf17041e}},	//   _femna_, _cibinong_, _hotelo_, _ristampa, 
   {{0xab1403b9,0x895904ad,0xf297010b,0xa278023a}},	//   _arusakha_, _diporofe, _fakalthi_, _hornom_, 
   {{0xb4bd020e,0xed5701cd,0xa2d80062,0x87080144}},	//   _диагнозы_, _хайвон_, _fileio_, _baitsilé, 
   {{0xa5c70074,0xf64a018d,0x52ca005a,0x0c54020f}},	//   _германии_, _ኣእምርኡ_, _fuddy_, _دنيپال_, 
   {{0x06320223,0x239604ac,0xf2be002b,0x15a90126}},	//   _nabigazi, _alusta_, _বিনিয়োগক, _нарахова, 
   {{0x7f6501fe,0xa9940178,0x963d01f4,0x9ed702b3}},	//   _paraimin, _avaśyamb, _mushtari, _asinados_, 
   {{0xdd9c0141,0x14ac00f0,0x07c9018d,0x36a400d1}},	//   _munosaba, _vozidiel_, _እምበአር_, _চপোৱাৰ_, 
   {{0x73aa02be,0x6c1400ef,0xeda6013a,0x50e4004d}},	//   _maraming_, _ووینی_, _dergeint_, _普查指導員和普查, 
   {{0x015800be,0xf2d50605,0xbbb9021c,0x00000000}},	// [12d0] _pressupo, _birokra_, _maskovac, --, 
   {{0x0c8f01f2,0x0ff003c1,0x640001d5,0x02da016a}},	//   _түзәштүр, _сенка_, _kibontak, _botelo_, 
   {{0xc63b00b8,0xcdce015e,0x72e70032,0x314002af}},	//   _askitapx, _билек_, _lujustah_, _kudukoso, 
   {{0xda8300ee,0x63fe0557,0xbf570050,0x627f015b}},	//   _genituen_, _abaziwa_, _pamanten, _twenti_, 
   {{0xd9940178,0x45bf0313,0xe3870145,0x3e520322}},	//   _avaśyame, _luyajmoh, _indrė_, _bakanaka, 
   {{0xd2d30266,0x29530087,0x2c75050b,0x680002e1}},	//   _dikenali_, _emalembe, _alpukat_, _cúcamar_, 
   {{0xe321042e,0xf7b60024,0xa27f01da,0xdb2002a2}},	//   _babyen_, _মুখেৰে_, _mbanin_, _babaunin_, 
   {{0x3c280046,0xa2da0513,0x49f4033d,0x52ca00f5}},	//   _милицияс, _hiseka_, _fonèm_, _bellidi_, 
   {{0x9b470193,0xa26c01ed,0xed8300e0,0x00000000}},	//   _निर्मिती, _pololi_, _goadinne_, --, 
   {{0x91c901ef,0xc28d019f,0x80da0012,0x03410313}},	//   _тэрмін_, _ifikapo_, _किरीपा_, _marehqa_, 
   {{0x5340028e,0x8eaf018d,0xc3a401e4,0xc2920251}},	//   _bulekon_, _ቁምነገርን_, _हतियारहर, _huraan_, 
   {{0x867a02fe,0x813701bd,0xb35b018e,0x9bfe017a}},	//   _وکیلانو_, _клиникад, _gangisa_, _артишҳои_, 
   {{0xcb5b0153,0x239600a3,0x01e80161,0x398200bf}},	//   _modeugen_, _blussa_, _костюмов_, _достур_, 
   {{0x62910606,0xd101042f,0x27dd01ed,0x427e0457}},	//   _babaso_, _nguyunik_, _hoopihai, _ceena_, 
   {{0x5278023b,0x635b0362,0xf4d70046,0xc29e00a4}},	//   _kenikeni_, _bangisa_, _баратып_, _تۅكمۅ_, 
   {{0x2ccd0205,0x32da0103,0x728b028c,0x86b700d9}},	//   _даражада_, _aiseka_, _टिकोरा_, _salaatti, 
   {{0x0b630372,0xcbee03d9,0x11f3008b,0x7f590088}},	// [12e0] _materion_, _marozevo_, _danañuy_, _кимибизд, 
   {{0xc5880150,0xd39501b0,0x05fd02c8,0x6ba00452}},	//   _promotim_, _arasak_, _lémbrame_, _पैलतीर_, 
   {{0x9b63033c,0xd2e001a7,0x9290028d,0x834701d9}},	//   _faterion_, _asunnon_, _melanz_, _bridder_, 
   {{0xd3ea03b0,0x252e04a2,0xe41301a7,0x246a01c2}},	//   _midten_, _círculos_, _совета_, _falecido_, 
   {{0x394e015c,0x1e520072,0x17700139,0x8051008d}},	//   _stroosse, _pakanaka, _anekadiv, _машқлар_, 
   {{0xf0c30125,0xdc6202f9,0x73870097,0x2960007b}},	//   _кувватлы_, _antrave_, _ikarun_, _foundere, 
   {{0x74dc01f2,0x5c620100,0x00000000,0x00000000}},	//   _ﮔﯜﻟﺰﺍﺭﻯ_, _potrage_, --, --, 
   {{0x74b3030b,0x69e100d8,0xa29204d8,0x63f80258}},	//   _akubiriz, _aplicava_, _furaan_, _sekuer_, 
   {{0x527e00a5,0x7f29037f,0xde3202bf,0xc94a0153}},	//   _teena_, _avatarla, _bangahla, _富士フイルム_, 
   {{0x839600fe,0x906b019b,0xfe7c0420,0xc0d4000d}},	//   _amusia_, _станам_, _хормонит, _motoroll, 
   {{0x627e0076,0x09aa0420,0x234903da,0x3c040055}},	//   _memnu_, _почит_, _hoteeli_, _alesani_, 
   {{0x0b910607,0x79c002cb,0xd46d015e,0x6fae00b5}},	//   _abanjalo_, _početnic, _карындын_, _kálkulop, 
   {{0xf2f20193,0xcf3700d9,0x5f75033e,0x9a7b00f0}},	//   _पत्रे_, _грузии_, _interése_, _pouzivat, 
   {{0x9f3200af,0xf2f30429,0xde480155,0x626c04ee}},	//   _гостей_, _didapati_, _etablera, _nghota_, 
   {{0x72f10242,0x23f400ca,0x126c04ee,0x975900be}},	//   _ibtidai_, _mistic_, _yoloji_, _قوزدوپ_, 
   {{0x726e025f,0xe50b005b,0xd2870176,0x00000000}},	//   _botosi_, _dhaosidh, _bankede_, --, 
   {{0x146c0087,0x83790397,0xc8920092,0xc3880188}},	// [12f0] _swifundz, _nalapho_, _バからのお知らせ_, _akayona_, 
   {{0x161a0454,0x5f4400da,0x525b00a0,0x43ac025e}},	//   _ihimbazw, _индивизи, _kwallo_, _kaupir_, 
   {{0xb16103ff,0x63f404a0,0x63860011,0xf3950204}},	//   _ponožky_, _noutro_, _alera_, _unesta_, 
   {{0xc37900fb,0xfc610362,0xe2b20077,0x00000000}},	//   _balapho_, _bitunga_, _mandyan_, --, 
   {{0x03f9019a,0x97360035,0xc2c30305,0x339601a1}},	//   _rebuke_, _рептилия_, _svelgen_, _missie_, 
   {{0x8a7c02ec,0x2af1018b,0x22910007,0x45370189}},	//   _jawaabta_, _prezinta_, _bayaka_, _bilinmey, 
   {{0xf2d90181,0xc228014a,0xf26e005b,0x196d0059}},	//   _typem_, _címmel_, _kotori_, _poliziot, 
   {{0xb38602f3,0xa2fc04aa,0xc2020244,0xf47f0265}},	//   _flera_, _ngago_, _morire_, _hartelij, 
   {{0x32da0073,0x0c60003d,0xa4570153,0x31440421}},	//   _appeti_, _moutier_, _ナメント開催中_, _regelfal, 
   {{0x7cb90122,0x90480037,0x67a900bc,0x77df01fa}},	//   _pasargad_, _አይገኙም_, _مقارن_, _samuelá_, 
   {{0xa27e0068,0xe395012d,0xd3ac01d2,0xc26c0216}},	//   _keeno_, _plesia_, _chaqakam, _miloti_, 
   {{0xc26c0141,0xbade026c,0x62ca0151,0x2c180061}},	//   _lumot_, _auctorit, _bedded_, _이루어진다_, 
   {{0x414700c5,0x65f400ff,0x52e300fd,0x838600cd}},	//   _怒龙大都奢靡之始_, _ערקלער_, _chriosd_, _clera_, 
   {{0xd154018a,0xe3870054,0xe111009a,0xcb8802d7}},	//   _amhriodo, _awarta_, _سپيره_, _acendido_, 
   {{0x157d0169,0x543d0169,0x52e9017e,0x826c01be}},	//   _বন্দি_, _ফাহিম_, _strikta_, _gumou_, 
   {{0xe03c0073,0xc3f40608,0x00000000,0x00000000}},	//   _decennio, _doutro_, --, --, 
   {{0xcfb90609,0xb29201fe,0x00000000,0x00000000}},	// [1300] _métodos_, _waqaca_, --, --, 
   {{0x32d801da,0xe3a3030d,0xf8bb0095,0x00000000}},	//   _sidomos_, _kirpi_, _رکسانا_, --, 
   {{0x9d43018d,0x374d035d,0x81950488,0xe1520462}},	//   _ሰንሰለታዊ_, _izvinjav, _integrēt, _angleway_, 
   {{0x9d7d0226,0xe29001c5,0x1eaf018b,0xffd00418}},	//   _adamanga, _ummad_, _intrebat_, _silindir_, 
   {{0xdcfe018d,0x6e6000d3,0x32910409,0xf2d9030f}},	//   _ክትመላለስ_, _प्रकाशनम, _sayaka_, _ngaere_, 
   {{0xa2d902ff,0x26810360,0xaecc0180,0x426c01fe}},	//   _afinite_, _ल्याए_, _lepidous_, _lodoni_, 
   {{0xcae70024,0xe2da001d,0xdc7c0020,0x0bfe0062}},	//   _ভোগালি_, _inteco_, _measina_, _mohlahmo_, 
   {{0x9224005b,0x22da0333,0x1858060a,0x826c03bd}},	//   _rinka_, _appesi_, _queridos_, _humot_, 
   {{0x9dc6045a,0xcc5d01bf,0x4b1f019b,0xd3e40568}},	//   _beskrive_, _isoterm_, _paskolų_, _allmennk, 
   {{0x33870225,0x33fa017d,0xa34c0359,0x00000000}},	//   _idura_, _derude_, _oftewol_, --, 
   {{0x23e10041,0xe9f70133,0x115b0381,0x3e6f0144}},	//   _дауҭиеи_, _barnotaa_, _allongay_, _concubha, 
   {{0x830e0177,0xd2f2037f,0x4705038e,0xffad004d}},	//   _nasales_, _əzimov_, _दिशादर्श, _新增公告傳輸次數_, 
   {{0x564e009a,0x92010273,0xeabd0029,0x84b50139}},	//   _abakwezi, _éxito_, _تیشدا_, _anvavaik, 
   {{0xb2240145,0x76f60019,0xc6730025,0x00000000}},	//   _tinka_, _تاپانچا_, _प्रतिनिस, --, 
   {{0x545200ba,0x47b30258,0x499f0204,0x00000000}},	//   _رمۆردی_, _delsetti, _pikkutyt, --, 
   {{0xf75700ec,0x3b8e02a4,0xc13f00bc,0x1ae80026}},	//   _метры_, _magistro_, _دیکتاتور_, _verrasse, 
   {{0xd2b90130,0x42d60055,0x7e5201dd,0x63410110}},	// [1310] _nedeleg_, _apellos_, _bakabaka, _baseina_, 
   {{0xb5cd043d,0x7ab003b0,0xdf140235,0x234403f1}},	//   _segalany, _folkebib, _anatipra, _štetce_, 
   {{0xa3870234,0x96cd0164,0x0287029b,0xa3750074}},	//   _adura_, _аяллар_, _ajikane_, _клипарт_, 
   {{0xa5e80089,0xf2b20192,0x269903d4,0x820200a6}},	//   _almaslıq_, _vandaan_, _košarkaš_, _lenkulum, 
   {{0x1682028c,0x926c011b,0x2ca30135,0x00000000}},	//   _उदगार_, _moloni_, _гупче_, --, 
   {{0xe9910480,0xd2b200fa,0xa27e0184,0x00000000}},	//   _abahlale, _tandaan_, _aronke_, --, 
   {{0xcfcd026f,0x4319004f,0x3043039a,0x42d8017e}},	//   _الۋعا_, _beugué_, _twittern, _sidejo_, 
   {{0x32010160,0x199e00af,0x04140145,0xa0e100e6}},	//   _dobije_, _повернен, _выпускні, _商务部信息化司_, 
   {{0x2d8004aa,0x427b0035,0x00000000,0x00000000}},	//   _ponement_, _kertelä_, --, --, 
   {{0xb3480497,0x85ea022b,0xbb7202cf,0x226c0062}},	//   _stifled_, _filminum_, _песимист, _lumoj_, 
   {{0x726c00ef,0x87b40218,0x59f30079,0xfcf80037}},	//   _koloni_, _arketing, _francija_, _የአመጋገብ_, 
   {{0x56d8023c,0x3b610016,0xf24602eb,0x46b202a2}},	//   _مبارکی_, _komenton_, _удвал_, _tanggali, 
   {{0x056b015d,0xd36f0040,0x1291008d,0x00000000}},	//   _napisał_, _longest_, _okeani_, --, 
   {{0xed130003,0xd20101c0,0xc39501c8,0x82c801db}},	//   _kunstwer, _bozize_, _klesla_, _ластануы, 
   {{0x4f340462,0x00000000,0x00000000,0x00000000}},	//   _atoshisa, --, --, --, 
   {{0x0224024f,0x344f0092,0x31770092,0x4a8d0026}},	//   _kinko_, _ブリヂストン_, _ご注文方法_, _papieren_, 
   {{0xcc3b018d,0x0e6400e6,0x53470122,0x467b01a3}},	// [1320] _ኣብርሀት_, _唐海县人民政府信, _ariesta_, _ڇرڪائي_, 
   {{0x97dc0035,0x75dc0242,0x00000000,0x00000000}},	//   _малайлар_, _borçalın, --, --, 
   {{0xb39e002e,0xcdb403b9,0x229203ad,0x52a303c6}},	//   _stvaranj, _kusisiya, _fetaħ_, _karbrief_, 
   {{0x53f00340,0x6e37025a,0xf26c02a4,0x806d0279}},	//   _ipurangi_, _atagusha, _coloni_, _proposan, 
   {{0xc680004a,0x752d0036,0x4d76003c,0x4f09017e}},	//   _infektsi, _lonnaith, _ارژنگ_, _kombinaĵ, 
   {{0xaf4a010f,0x32910043,0x45e80089,0x173d047d}},	//   _пизишкон, _abyala_, _almaslık_, _besonneg, 
   {{0xa3a804ad,0x482900cb,0x5cad033e,0x6a0e00db}},	//   _atlageng_, _меҳвар_, _hendapýv, _plastiku, 
   {{0xa2d900c3,0x328a00a6,0x6c9e018d,0xe2d8009b}},	//   _quinque_, _اړینه_, _እንተዄንካ_, _hileko_, 
   {{0xddcc0166,0x763b012c,0x5b1d03c6,0x33dd047d}},	//   _richtige_, _bukhaari, _tapassen_, _mogway_, 
   {{0xfb5300f5,0xb2670013,0x746502dd,0xb2d700ba}},	//   _hemmetar, _нечун_, _assenjaz, _سکاری_, 
   {{0xd15a0288,0xab7c004d,0xd2da013d,0x7e4c001b}},	//   _astonish_, _中彰投區就業服務, _litero_, _dabarraa, 
   {{0xf739024b,0xb3f2017f,0x50d10410,0x0dc601c8}},	//   _deportiv, _matumani_, _kgothatš, _aktivuje_, 
   {{0xf9dc0166,0xc8d9023d,0x7e6c051e,0xf2fc0515}},	//   _dargeste, _наказате, _adicione_, _luminas_, 
   {{0x9c9201e5,0xf9a80097,0x00000000,0x00000000}},	//   _adahunṣe_, _fásitì_, --, --, 
   {{0x0d050305,0x00dc00f2,0xf26c0343,0xb1fa009d}},	//   _enklaste_, _autoratl, _humok_, _praktikë_, 
   {{0x2e5101c8,0x7970026d,0xaae802a3,0x7a0d002b}},	//   _nedokonč, _nominujt, _europeen_, _মজিবর_, 
   {{0x65620135,0x7bec01e6,0x8852031a,0xd9520195}},	// [1330] _сентябрь, _relaxačn, _cholaisd, _cholaist, 
   {{0x72360465,0xc5020244,0x09c701db,0x00000000}},	//   _svojci_, _corretto_, _كوڭىلسىڭ_, --, 
   {{0xe38603b6,0x78ef02aa,0xb0e101be,0xc26c03dd}},	//   _elere_, _neopakov, _doinstal, _poloni_, 
   {{0xf3860566,0xe1b900be,0x32e7031e,0x5e4102f8}},	//   _flere_, _сабырсыз, _gubljenj, _lakaange_, 
   {{0xc9170352,0x5c6b0320,0x05cd01b3,0xfd6b0300}},	//   _এনেবোৰ_, _keauhou_, _формують, _palisády_, 
   {{0xee030093,0x1ea4033a,0x17f400a5,0xb3670176}},	//   _формате_, _kontenut_, _tilafaig, _pengebæl, 
   {{0xf7b50156,0x0bdc05a3,0xf405031e,0x026c0085}},	//   _tierkrei, _हटिया_, _ispunjen_, _toloni_, 
   {{0x1b8b0212,0x53860417,0xbe11029a,0x32da0069}},	//   _aleinwar, _klere_, _formidab_, _bitero_, 
   {{0x329103a2,0x43ea0034,0x00000000,0x00000000}},	//   _फ्लाईओवर_, _beittu_, --, --, 
   {{0x2ff100bb,0xde4e0198,0x23f1038c,0x5156003e}},	//   _منقبت_, _nogavice_, _izazove_, _балына_, 
   {{0x5af3029a,0xa68d01db,0x934100c4,0x55f703b9}},	//   _underpas, _امانتايد, _هنڌان_, _ullarañ_, 
   {{0xa4bd00c5,0x9224009b,0x6f750147,0x1ea10287}},	//   _做别人没想到的生, _tinko_, _دىپوزىتت, _primární, 
   {{0xef2501ec,0x27530185,0x4da70297,0x5c21060b}},	//   _diperban, _метросын, _alıpsata, _मनमौजी_, 
   {{0xcb910217,0xbf250253,0x72240176,0xcd97021b}},	//   _scandalo_, _akornuta, _rinko_, _lastattu_, 
   {{0xf7870272,0x3b4f004d,0xd1eb0246,0x00000000}},	//   _akawunyi, _文化資產再利用技, _осиновяв, --, 
   {{0x843302af,0x1ca10100,0xe8fc0226,0x00000000}},	//   _akakirek, _prognozu_, _kumadand, --, 
   {{0x52240125,0xde4900ad,0xc2d503ae,0x526c033f}},	// [1340] _sonky_, _kawajiba, _skallet_, _kololi_, 
   {{0x6af50359,0xe67a00c3,0x2ccc0061,0x9013000a}},	//   _sitewaas, _effectum_, _단순변심으로_, _anaviann, 
   {{0x69850320,0x301d00be,0x9e47005c,0x00000000}},	//   _amahanye, _تۅمۅندۅك, _bahatuye_, --, 
   {{0x7e5702da,0x907700c5,0xf9c003d8,0x81f50272}},	//   _металург_, _国务院环境保护行, _početnik, _amunyoom, 
   {{0x1b0c0094,0xe2cf0396,0x00000000,0x00000000}},	//   _жуыну_, _gradilji_, --, --, 
   {{0xd8b9060c,0x881b01da,0x5f720255,0x1948060d}},	//   _nastavov, _domethën, _klubides_, _जनआस्था_, 
   {{0xa64a042a,0x847d027b,0x961f03b2,0xa55802c3}},	//   _atinatif, _बहुना_, _pioneeri, _prevadzk, 
   {{0x12ab00ad,0x12fd01dd,0xfba70132,0x2de403ee}},	//   _mindeng_, _uregwa_, _vízilabd, _rodjenda, 
   {{0x5eb80257,0x1f350291,0x695b0481,0xcf1d0144}},	//   _erlendis_, _lónadóir, _gemontee, _caoladói, 
   {{0xf2240359,0x23870225,0xa26c0374,0x4e0001ef}},	//   _tinke_, _ijaran_, _armon_, _naudinga, 
   {{0xe39903f0,0xf41201d5,0x2dbc02fd,0x00000000}},	//   _næstu_, _احمقانہ_, _reggenie_, --, 
   {{0x067f010f,0xfed5030d,0x12cb0052,0x87cc0204}},	//   _abadingi, _birincin, _zvedne_, _fossiili, 
   {{0xc27e023b,0xdf660033,0x1a96013c,0x53f9022d}},	//   _keena_, _relaziun, _milyarde, _arburu_, 
   {{0xf7e60040,0x4afd02aa,0x43a00465,0x00000000}},	//   _הביצים_, _nakresle, _pisatelj, --, 
   {{0xab61044b,0x37bb02a7,0x9a8e0079,0x65e602ac}},	//   _billiger, _ibugibug, _benzīna_, _نايلون_, 
   {{0x27f30174,0xadc20022,0xd58800a6,0x32360009}},	//   _ditabakg, _субъекты_, _مېلادی_, _dvojni_, 
   {{0xe37a0342,0x817101ac,0x68b2004b,0x0a0803f0}},	// [1350] _defakto_, _مشاعرك_, _столяров_, _aukagest, 
   {{0x80560107,0x0e6e0161,0x930c03d1,0x206201be}},	//   _blontank_, _горловин, _lamatas_, _poustevn, 
   {{0x22da0285,0x2db20028,0x00000000,0x00000000}},	//   _intego_, _xannaana, --, --, 
   {{0x13f205b4,0xf2120074,0x3feb060e,0xe86b0045}},	//   _amashuri_, _kunhan_, _दुराचार_, _обренова, 
   {{0xf202019b,0x445202ba,0xeca60274,0xe332002e}},	//   _norite_, _яксон_, _berglind_, _održanoj_, 
   {{0x539601cd,0x798900af,0xffae004a,0xec610453}},	//   _omusha_, _forholde, _хакка_, _sahrane_, 
   {{0xf3dc012e,0x55d700d9,0xff5f0340,0x604a0322}},	//   _félpanzi, _завести_, _kuraimon, _ataratan, 
   {{0x6e4c0125,0xf00d0074,0x13890350,0x00000000}},	//   _бөлүмлер, _talviren, _የዓመቱን_, --, 
   {{0x33870410,0x82900157,0x00000000,0x00000000}},	//   _swarwa_, _sciaga_, --, --, 
   {{0x427e02f3,0x827e02f7,0x2be300d9,0x196a02f0}},	//   _kvinna_, _afeng_, _neuvolas, _batimise, 
   {{0x543201b7,0xd42602b6,0xb26400ff,0xda06017f}},	//   _अपृच्छत्_, _ارمانداد, _דעליווער, _allaaqut, 
   {{0x2d7004a4,0x325a01b8,0x0f5c01d7,0x52f50242}},	//   _achmhasa, _meelde_, _arpagaus_, _intizam_, 
   {{0x3107005e,0xb27e03b6,0x59f20040,0x3c060044}},	//   _ئېلھامجا, _beeni_, _גינזבורג_, _enclosed_, 
   {{0x4c31008f,0xc27e00d7,0x244a020f,0x4db40305}},	//   _parimaid_, _efeng_, _ستړیا_, _fingrane_, 
   {{0xf38701fc,0x67ef0192,0xb61f025c,0x09170074}},	//   _adure_, _소요됩니다_, _angenehm_, _травмы_, 
   {{0xd38601b4,0x305401b2,0xc3c8000e,0xc20200e1}},	//   _boere_, _amassmen, _pruvat_, _korite_, 
   {{0xfb0a04a7,0xad070373,0x5ac000c1,0x93ab0099}},	// [1360] _conselle, _אינסולעי, _कुंपण_, _atsvage_, 
   {{0x42a6001b,0x93490204,0x5fa6022f,0xa2d50095}},	//   _bobba_, _hotelli_, _permaino, _cocokan_, 
   {{0xc2a601d3,0xc2f50242,0xf14f018f,0xb36100e7}},	//   _jobba_, _intiqam_, _dimojmeh_, _aneuverm, 
   {{0x4b4a0185,0x1a5201e8,0xf38602c2,0x09c10263}},	//   _грозныйд, _kasemana_, _toere_, _inlevere, 
   {{0x945d0057,0xea54017d,0xc84002ac,0x81520021}},	//   _መዛሙርቱም_, _検索オプション_, _بخطوة_, _angloway_, 
   {{0xe50101b5,0x6e0e0342,0x9c75015d,0x5ba60273}},	//   _byimbirh, _abòde_, _chorych_, _trabajó_, 
   {{0x32da027f,0xb2c5014c,0x406e0039,0x848701c9}},	//   _mitego_, _anelise_, _botazino, _दिसाईं_, 
   {{0x2ca30135,0x29cf014e,0x00000000,0x00000000}},	//   _анализла, _lekovita_, --, --, 
   {{0x03be0044,0x929000b0,0x4e9700e6,0x705a0039}},	//   _preview_, _annagu_, _中华人民共和国税, _доройтол_, 
   {{0x101a024e,0x833a018d,0x272302a4,0x1d1604fc}},	//   _životinj, _ኣካላተይ_, _fortunam_, _estremec, 
   {{0x9a0b0239,0x447f0253,0x00000000,0x00000000}},	//   _ramarama_, _heksejæg, --, --, 
   {{0x42ec0270,0x22920382,0x73cc0079,0xbc5b0453}},	//   _scripte_, _chuchisi_, _būves_, _umutiti_, 
   {{0x1a0100a0,0xcc8201e1,0xd2f40279,0x927e02f8}},	//   _bambanta_, _ipitsang_, _grandir_, _peeni_, 
   {{0x325a00e1,0xe38e0450,0xff2203bf,0xd0e40040}},	//   _leelee_, _reagearj, _busulosa, _באזורי_, 
   {{0xe50703d4,0x93fa0212,0x2ead012a,0x00000000}},	//   _продат_, _meruit_, _poronien, --, 
   {{0x22d0002a,0xe0da0297,0x93b70371,0xc9c80143}},	//   _achorom_, _талибанн, _salvato_, _циркуляр, 
   {{0xf2da030a,0x00000000,0x00000000,0x00000000}},	// [1370] _antelo_, --, --, --, 
   {{0x73860125,0x686f01f2,0xe9a40044,0xa649014a}},	//   _ileri_, _توققۇز_, _בטירוף_, _مقدسہ_, 
   {{0x235e0049,0x2a1e00bc,0x231a033d,0xfd1b0350}},	//   _ikafoli_, _ايتالياي, _chichak_, _ማሳሰባቸውን_, 
   {{0x39c701ea,0x529102e7,0x763c0141,0xcbfa013c}},	//   _талаба_, _kabayo_, _kuchlari, _möminlər, 
   {{0xa2fc000f,0xe85f02e1,0xb4890425,0xbd0701ac}},	//   _izinsiz_, _cheantar_, _خورافه_, _costasac, 
   {{0x82900482,0x100f0092,0x73f90134,0xa2000054}},	//   _umman_, _ガイドライン等に, _buburu_, _bijire_, 
   {{0x83870119,0x831603dd,0x22510178,0x05cb01b0}},	//   _kwarta_, _elizza_, _deseyyaṃ_, _dikaniay, 
   {{0x92910272,0x5395029f,0xbe54049a,0xeee803ff}},	//   _abaana_, _miesta_, _ostavile_, _opakovan, 
   {{0x60cb00c8,0x129101c5,0xf8dc0089,0x0aaa0044}},	//   _этапта_, _gabayo_, _ачарбыз_, _archives, 
   {{0x215c0152,0x9b2c00a0,0x22920082,0x2ae202c7}},	//   _кулай_, _annabins, _barawo_, _plaudere, 
   {{0x92c2025c,0xc1ac02ec,0x2ed00056,0x82e90054}},	//   _sollten_, _کٔرمے_, _асорати_, _burinta_, 
   {{0xa49a01f6,0x1ff6002f,0x00000000,0x00000000}},	//   _নিশ্চয়_, _cichorio, --, --, 
   {{0x648701b8,0x33db006d,0x2d9e021b,0x00000000}},	//   _दिशाईं_, _абурэньн, _повество, --, 
   {{0x623001ed,0x7888039e,0x957a00e6,0xdc150267}},	//   _kālele_, _sviktand, _问题排行榜_, _patuljas, 
   {{0x02b20241,0xf6c60175,0x9dc8032b,0x338600dd}},	//   _gandaan_, _mekanizm_, _маслашту, _eleri_, 
   {{0xb3890450,0xb586005d,0x43860004,0x23a80271}},	//   _argyven_, _delinkué, _fleri_, _ingvild_, 
   {{0x44be0040,0x763c0184,0x00000000,0x00000000}},	// [1380] _בוחבוט_, _mukigani, --, --, 
   {{0x727f03fd,0xba6e02c3,0x7c170039,0x4c600435}},	//   _avanoa_, _profesia_, _indarker, _buduća_, 
   {{0x07520169,0x92240193,0xd4ed02fe,0x409c0374}},	//   _বক্সে_, _jinki_, _نامعلومه_, _забардас_, 
   {{0x8823060f,0x63420285,0xd9c700ea,0x45710188}},	//   _སྒྲིམ_, _ingengo_, _tselatra_, _машқҳои_, 
   {{0x422403a4,0x73ea02d5,0x76a00177,0x07b70026}},	//   _einki_, _leitud_, _апактқәе, _verschri, 
   {{0x1f2d0265,0xd2920428,0xac7c025d,0x22fc0269}},	//   _maatscha, _naravo_, _styrkar_, _caiga_, 
   {{0xa3fb045f,0x225b0314,0x8e750193,0x72a60466}},	//   _människo, _matlo_, _विश्वकोश, _krajnji_, 
   {{0x739e002e,0x50e50309,0x49d90119,0x00000000}},	//   _otvaranj, _formasın, _gerterod, --, 
   {{0xa7f5023c,0xc2e90066,0x73ff02d6,0x5b1a04dc}},	//   _انستان_, _arrieta_, _tarzida_, _پروسکی_, 
   {{0x13a202bd,0x827e021a,0x127e018c,0x42fc00a5}},	//   _stopio_, _ceenu_, _meent_, _uaiga_, 
   {{0x03f80578,0x1f5f005b,0xa24801ed,0xa8d2004d}},	//   _txaus_, _onepiece_, _edoma_, _吳博仁整體造型工, 
   {{0x9fbc0238,0x238601b8,0x8d7e0092,0x2c18020f}},	//   _традиції_, _koera_, _過去の記事_, _اوسپنه_, 
   {{0x9abb0311,0x11420094,0x53e60109,0xdd960115}},	//   _ምጽንሖም_, _аттай_, _chaloupk, _muafakat_, 
   {{0x4d980441,0x796f0281,0x47b30074,0xc27e008b}},	//   _beletrie_, _manngert, _prosenti, _geenu_, 
   {{0x62da0610,0xbc7d0144,0x6f720139,0xe29001bb}},	//   _inteko_, _measann_, _संस्थितः_, _almaň_, 
   {{0xbb2801db,0xee0d00e7,0xa2a60563,0x2202006e}},	//   _تراگەديا, _ardensga, _priboj_, _loriye_, 
   {{0x626c005b,0x32fc005b,0x8b180370,0x00000000}},	// [1390] _midori_, _taiga_, _pagawean_, --, 
   {{0xb27e02a5,0xe38700b7,0xb3fa00e9,0xb38700d0}},	//   _denně_, _ederdi_, _derule_, _iduri_, 
   {{0x2f4f01f1,0x0c6505ac,0x7c69007b,0xf27e0077}},	//   _seksuale_, _giftast_, _anatoly_, _bannou_, 
   {{0xc4720066,0xfa8e0392,0x23a30371,0x00000000}},	//   _импортоо, _leannain_, _carpi_, --, 
   {{0x138600ee,0xbc2f00e6,0xf1f900c7,0x26dd010d}},	//   _joera_, _世纪中英创业计划, _berketmä_, _पैरिस_, 
   {{0xaaf50437,0x94ae0611,0x1e2a020f,0x00000000}},	//   _tilsvare, _stennsil_, _banguwup, --, 
   {{0x0ce40360,0xf34800f2,0x92fe0017,0xce52001c}},	//   _podobně_, _griesti_, _samotě_, _nakakaka, 
   {{0xf27f006f,0x675d00d9,0x9a580121,0xf27e047d}},	//   _mwanza_, _достойно, _tenencia_, _keent_, 
   {{0xc3fb0155,0x1dc30285,0x52e30024,0xe47e0444}},	//   _människa, _basirika, _stundom_, _битов_, 
   {{0x1ae802a5,0x33cd0154,0x23a3022d,0x19e201f7}},	//   _असुविधा_, _норведжь, _sarpi_, _claustru, 
   {{0x5fd602ac,0x288e02ad,0xdf3f0418,0x00000000}},	//   _تفحيط_, _zbohatnu, _dalgalan, --, 
   {{0x887700ad,0x78c30071,0xbe520119,0x00000000}},	//   _nuliskeu, _caketipu, _makakaka, --, 
   {{0xe83e0366,0xa26c0184,0x302a003c,0x534f0308}},	//   _бирки_, _eueom_, _برجستگی_, _dipeluk_, 
   {{0xd27f028a,0x55650137,0xe2d5022c,0xb0e500f6}},	//   _kwanza_, _аллерги_, _cocooan_, _formasıd, 
   {{0x02a6053e,0x026c04b9,0xd7d40156,0x9b93037b}},	//   _jobbe_, _aumos_, _כאפצעם_, _subiendo_, 
   {{0x6779009a,0xa2a600e2,0x2ba20153,0x22ab00c1}},	//   _داستخبار, _dobbe_, _広瀬町立比田中学, _rindang_, 
   {{0x9d0503ea,0x32ab0108,0x90330148,0xc2cd00da}},	// [13a0] _commence_, _sindang_, _sustinen, _jandarmi_, 
   {{0x637f047b,0xbe5200f2,0xc52e00c0,0xb984014d}},	//   _einasta_, _gatavoja, _persiano_, _typische, 
   {{0xf7970211,0xefc40092,0xdf48022a,0x18be00e9}},	//   _билеты_, _バイク用品_, _leigasin, _mpetitiv, 
   {{0xe4d7019e,0x7cdd0382,0x93050205,0x136f0288}},	//   _балконы_, _amakwenu_, _قوشان_, _rangaet_, 
   {{0x12fc005b,0x3ab602fe,0x56180061,0x00000000}},	//   _daigo_, _kubhekis, _전문자료홈_, --, 
   {{0xe40d0226,0x0d8a0031,0x7e8b003c,0x7e490311}},	//   _anandiuz, _diamanka, _سراشیبی_, _አርዓዶም_, 
   {{0xe27f005c,0x420101c8,0xd0cc00e6,0x254103bf}},	//   _mwanya_, _pozice_, _焦点装修家居网_, _diphetoh, 
   {{0xef5e00cd,0x841c00a7,0x822b0445,0x02b4003d}},	//   _campiuna, _сурма_, _promove_, _poncha_, 
   {{0x3c5303d8,0xfa0f0138,0x925b04b2,0x4fb80234}},	//   _nastupa_, _makalele, _tatlo_, _lilọsiwa, 
   {{0xa50f022f,0xb285004b,0x00000000,0x00000000}},	//   _orchidėj, _kathoko_, --, --, 
   {{0x80320222,0xa7a603f3,0xd6c402fe,0x2c6b003c}},	//   _nettemen, _uitrusti, _bukathix, _didulit_, 
   {{0xb6b502c1,0x625a018f,0xb060018b,0x626a0211}},	//   _ahererey, _cholup_, _consecin, _заморачи, 
   {{0xc2dd0172,0x08520564,0xef4f05db,0xfa0202f6}},	//   _farossi_, _patuvons_, _abaswele_, _pambansa_, 
   {{0x8571008b,0x17ec02be,0x3d050126,0x6f1f023e}},	//   _biddiwal_, _dalawang, _stillhet_, _digubeta, 
   {{0x530e000e,0xefc00047,0x526c00dc,0x226c019e}},	//   _masajes_, _提问者对于答案的, _fitifiti_, _sumos_, 
   {{0x87ee02af,0x9f2903bf,0x10d40449,0xa21401db}},	//   _barakeng, _банкирҙа, _okružuje_, _ۇستانعان_, 
   {{0x726401b9,0xe21603db,0xbf5800d8,0xb53d0141}},	// [13b0] _anplen_, _amakhadi_, _adoptada, _beshinch, 
   {{0xd2fd0069,0xdc800076,0x238701c4,0xb2fc02a3}},	//   _aregwa_, _течен_, _deure_, _maagd_, 
   {{0x79fb01e9,0xc386022c,0x00000000,0x00000000}},	//   _didimala_, _comro_, --, --, 
   {{0x89840041,0x59340090,0xcd4b03c1,0x229001b8}},	//   _аусуҩтә_, _akamurat, _станици_, _kuskilt_, 
   {{0xc3870066,0xfb36004d,0xf25e01b9,0xb27f042c}},	//   _neure_, _變更或換證_, _rantabil, _zvanja_, 
   {{0x23f90309,0x84570287,0x03f80127,0x33a3005a}},	//   _arzusu_, _koncertů_, _avius_, _harpu_, 
   {{0x638703ea,0x88d400a1,0x726c037f,0xc2c403f6}},	//   _heure_, _hikurang, _yumor_, _loomens_, 
   {{0x5e5302f6,0x6b7a03f6,0xf20202fe,0x00000000}},	//   _kakayaha, _eperaima_, _senkulum, --, 
   {{0xd8650187,0xc9db00e6,0x5dba0153,0xde530322}},	//   _близина_, _新农村商报_, _大きな写真_, _bakazaha, 
   {{0xf291009a,0x16430092,0x415c0008,0x82e90247}},	//   _abachasi_, _配送料と配送情報_, _мукам_, _aktifna_, 
   {{0xb9d70255,0x85bb019f,0x38590008,0x9213009c}},	//   _प्रयास_, _issamich, _aguantar_, _bozhao_, 
   {{0xd3fa0003,0xed46006c,0x15f80350,0x396c0444}},	//   _gerust_, _бруссел_, _ይሰበካል_, _дурдзуки_, 
   {{0xa3890202,0x82ee03ec,0x5d9c0386,0x522402aa}},	//   _arayín_, _stafa_, _dialihka, _zinku_, 
   {{0xfa0902fe,0xa9eb0061,0xb3eb0255,0x52900039}},	//   _عقيده_, _다이아몬드_, _teated_, _sinatu_, 
   {{0x9ecc030c,0x427e026c,0x56310036,0x0e1c03fe}},	//   _tikitinn, _sponte_, _miontuai, _канцлера_, 
   {{0x2eae0166,0xa90a008d,0xde4900d7,0xdc67026c}},	//   _vorteile_, _далалари, _bolailoe_, _diutius_, 
   {{0xd3640289,0x4a1100e6,0xc2b50014,0xba97041a}},	// [13c0] _amagula_, _应当按照国家有关, _kontratë_, _седокова_, 
   {{0x87e10038,0xcc0302c2,0x3cc5003b,0x9fc702fd}},	//   _зинһар_, _roeping_, _besikimu_, _greineto, 
   {{0x3fee035f,0xf3a302a9,0x736f0612,0xfc640169}},	//   _असमानता_, _tarpu_, _manglet_, _estuche_, 
   {{0x99fa009d,0x91c90405,0xdb130211,0x69d30361}},	//   _pershend, _кошти_, _punainen_, _алексеев_, 
   {{0xd9bf025e,0x19e20192,0xd378015e,0x00000000}},	//   _fundarge, _경상남도교육청_, _segarra_, --, 
   {{0x83a2023d,0x2c3603ff,0xa3ea00e9,0xa2fc0203}},	//   _troppo_, _minulý_, _biltin_, _gaige_, 
   {{0xcb4a0184,0x1202019b,0xf2910097,0xa5c60278}},	//   _adatabwa_, _norint_, _babalo_, _dimansuh, 
   {{0xc3cf01d7,0x0291034a,0x518300bf,0x3b220247}},	//   _previu_, _cabalo_, _елата_, _binangun_, 
   {{0xbb7801b2,0x68490037,0x5387009b,0x4f9c0156}},	//   _aaventyn_, _አይሻልም_, _ederki_, _פלייצעס_, 
   {{0x2eef0220,0x3c0302c2,0xd27e0007,0x00000000}},	//   _здравни_, _vorster_, _mwinda_, --, 
   {{0x8448048a,0xff0202c9,0xb29200ee,0xf3860011}},	//   _орналаст, _ефектуяз, _arrain_, _amery_, 
   {{0x6c3802c3,0xe61802e4,0xaae10223,0x95d9009f}},	//   _generáci, _immodifi, _unitatee, _peteršil, 
   {{0xa20005b1,0x0210005d,0xe2da012d,0x5aad018d}},	//   _upnito_, _акаталог_, _eksodas_, _ተዳጕኖምሉ_, 
   {{0x9202014a,0xc8b600c9,0xa0e40156,0x78970122}},	//   _forint_, _viettrav, _טאיאטע_, _سرابی_, 
   {{0x94da0159,0xe3eb0165,0xdb930173,0xc3860450}},	//   _бойня_, _edatou_, _arriendo_, _boerd_, 
   {{0x8aea013c,0x17c2017f,0x72640333,0x00000000}},	//   _millinin_, _aporaaff, _adultu_, --, 
   {{0x229001b4,0x0e51037f,0x1ef6019e,0x65750613}},	// [13d0] _bedank_, _tullantı, _партала_, _pretexto_, 
   {{0x8cd20156,0x00000000,0x00000000,0x00000000}},	//   _אַלבאָם_, --, --, --, 
   {{0xa24800eb,0x904b0058,0x12da0232,0xb3480041}},	//   _adome_, _lepradan, _anteno_, _маиромиа, 
   {{0x39c00614,0x4e6d00f6,0xd8c701f3,0x634c042b}},	//   _viderese, _apardıql, _ozvučova, _zelenoj_, 
   {{0x427e0068,0xf2fc00f2,0x30e4002b,0x5159006d}},	//   _keeni_, _armijas_, _জুবায়ের_, _арандата, 
   {{0x5b530044,0xfee300a6,0xf25a03f7,0x6e9804ac}},	//   _pulmonar, _aliyitha, _hylli_, _радиоупр, 
   {{0x5ae100b2,0x997a02fd,0xe7a802c0,0xf3060184}},	//   _ballinan_, _dèiligea, _настрада, _ntazohem, 
   {{0x5d6d0125,0x09680448,0xf3f90615,0x527e029b}},	//   _гарамаяк_, _gevinste, _vezuje_, _leeni_, 
   {{0xed23038a,0x82e901d9,0x2d4c006d,0x00000000}},	//   _abusakur, _schneit_, _волевыяў, --, 
   {{0x164a0251,0xc6170241,0x900e00d6,0x03250152}},	//   _مرکزٕے_, _amalaani, _gearmána, _borhanov_, 
   {{0xa7780320,0xbddb0548,0x22b40059,0x48ce0373}},	//   _ahikhong, _tyrkiske_, _blocco_, _akademiu, 
   {{0x53bf00de,0x4b3100f6,0x33420244,0x67d70307}},	//   _akhwele_, _futbolun_, _vederlo_, _kokuvalw, 
   {{0x0437036e,0x02f30101,0x5db904a6,0x12910373}},	//   _kathulik, _ridicat_, _proleće_, _bazaro_, 
   {{0xeae20171,0xf2a702e4,0xf25b0087,0x4f280350}},	//   _pretpost, _bebbux_, _hatla_, _በጠየቀው_, 
   {{0x225a0032,0x871c0022,0xfd2c0073,0xffce0476}},	//   _cholha_, _алынасаҡ_, _maritate_, _chinombo, 
   {{0x00f800a7,0xe25a0259,0xdf3702e7,0x12d70294}},	//   _informàt, _ludlow_, _guhukuma, _coroico_, 
   {{0x425b020e,0xfd0b031a,0x22a60132,0xb8d10092}},	// [13e0] _matla_, _caileige_, _hobbi_, _新感覚馬券術_, 
   {{0x127e0403,0x78730014,0x92ef0316,0x710b0014}},	//   _afeno_, _aktivizu, _bajimta_, _elementë_, 
   {{0x698b0087,0x44200094,0x42d902c2,0x2c05003a}},	//   _anakanya_, _استانانى, _toename_, _hissasi_, 
   {{0x7d7c0315,0xf94601eb,0x75f101f6,0x152c00b9}},	//   _abomasip, _adelánto, _নিয়মীয়, _प्रात्यक, 
   {{0x62490564,0x83860026,0x33f800a1,0xbdb601db}},	//   _gramat_, _nadruk_, _maruwehi_, _слайдтар, 
   {{0x5fa8023d,0xcbb90616,0x84870125,0xb9dc0115}},	//   _кулинарн, _स्वंयभू_, _килелап_, _imigrese, 
   {{0xe51c00e6,0x42f604e3,0xd84403d1,0xdcde0299}},	//   _秋天不回来_, _poticaj_, _hostings_, _تصزصملات, 
   {{0x5faa0047,0xa9f8013c,0xe7210192,0x129000b0}},	//   _字母不区分大小写_, _quruculu, _기술적분석_, _innagu_, 
   {{0x4c530072,0xf9ef02ac,0xda390074,0xb2b50553}},	//   _juttana_, _وأسرار_, _ведение_, _riziká_, 
   {{0x3249012a,0x935104c8,0xb0910352,0x4c6e0617}},	//   _dramat_, _devjazzj, _টেবুল_, _metamórf, 
   {{0x3d1b03b6,0xc248025c,0x97d9003c,0xf26c01c2}},	//   _afonrere_, _stimme_, _bergerig, _creou_, 
   {{0xbf2f01d9,0x60050040,0xc592021b,0x968a0334}},	//   _astellun, _בוקסר_, _raiskauk, _ayadzami, 
   {{0x331904bb,0xac6b00e6,0x85f20516,0xfa3401e1}},	//   _lijchoj_, _县级以上地方各级, _clamouri, _статьяла, 
   {{0x019c00bc,0x0ed402fd,0xb2ef042c,0x802d03f5}},	//   _جلالی_, _chriochn, _kazniti_, _conflito, 
   {{0x525a04d8,0x19fb01eb,0xa1930279,0x3ae700ca}},	//   _geelle_, _jerureku, _ponctuel, _cobrisse, 
   {{0xc31604ee,0x33b30145,0x42a6022e,0x5aee00f2}},	//   _ghozie_, _статкеві, _robba_, _faktorie, 
   {{0xbaf303b7,0xdede0162,0xf0590274,0xd290006e}},	// [13f0] _unprofit, _биздә_, _pressunn, _demati_, 
   {{0x82910345,0xb35f01fb,0xe9c100f2,0x00000000}},	//   _tabaco_, _suggere_, _komercre, --, 
   {{0xc0a5043b,0x60cb034a,0x62fc0051,0xc6be0444}},	//   _bhàrdach, _redondel, _gumijas_, _соратник, 
   {{0x237900fe,0x141c0297,0x00000000,0x00000000}},	//   _mauanga_, _зурмы_, --, --, 
   {{0xd38001eb,0x7b4c013c,0xa1f9001c,0x77490014}},	//   _parral_, _hesabatı_, _buraidah_, _aksionev, 
   {{0x529b04af,0x46660040,0x788302eb,0x150d014b}},	//   _khejdaj_, _ובגדול_, _konkretu, _mattacoo_, 
   {{0x721204bb,0xcc610409,0x47c900c5,0xd224005b}},	//   _neohom_, _bidrage_, _第四十九条_, _ninki_, 
   {{0x724804cb,0xfe4d023c,0x9cf30094,0x2d850109}},	//   _filmul_, _angabina, _قوشتاسار, _अड्काउ_, 
   {{0x98c70010,0x82e50322,0x66be004d,0x627f0344}},	//   _ayetseng, _aboneza_, _補領身分證查詢_, _avanna_, 
   {{0xdaf301d1,0x49df04a2,0x89320365,0xbc020277}},	//   _presente, _austerid, _kuchyní_, _gialagad_, 
   {{0xdc6600a7,0xc62d034e,0x33d600c1,0x2ad7005d}},	//   _últims_, _afrikapi, _proteksi_, _forticat, 
   {{0x240e035d,0x8779032d,0x73e500ba,0x43040035}},	//   _zadržana_, _сосновка_, _درۆکانی_, _açarga_, 
   {{0x453d013d,0x62ee0497,0x89fb0476,0x96d90037}},	//   _respondo_, _easterly_, _abhabhat, _አልዓዛር_, 
   {{0xe27f02fc,0x206d0002,0x22310075,0x5f990128}},	//   _rwanda_, _propisan, _marknaði, _битирувч, 
   {{0x407301a7,0x2b280157,0xea8e02d3,0x83f20227}},	//   _пусть_, _मूल्याकं, _опозициј, _madzhab_, 
   {{0xa225001e,0x53ea0240,0x4536047b,0xd518022f}},	//   _iyakar_, _veitau_, _familjuh, _rankovėm, 
  
   {{0x52fc000b,0xe6030125,0xc4dd0178,0x92b20066}},	// [1400] _faiga_, _белалары, _balavāha, _handian_, 
   {{0xb983002e,0xf31704bd,0x4da7024f,0xdb4a0350}},	//   _građani_, _amazia_, _rejisita, _አይጠፉም_, 
   {{0x26770409,0xd1970040,0xdea400b4,0xd61103b5}},	//   _高等専門学校_, _בתואר_, _continut_, _direndam_, 
   {{0xe2b2028d,0x6c530005,0xa27e00a0,0xba1101f2}},	//   _mandian_, _tuttina_, _adinan_, _чиңҗүн_, 
   {{0xa72c0618,0x22900080,0xf2f3015e,0xc2780100}},	//   _miloševi, _immat_, _oblidat_, _mirnom_, 
   {{0xe30c0203,0xf98302d5,0x4dfc0462,0xdaf60205}},	//   _camaras_, _konkreet, _accesswa, _بولسنگیز_, 
   {{0xa2020034,0xf248019b,0xf58d0263,0x12380128}},	//   _borist_, _seimas_, _vertrokk, _rahmati_, 
   {{0x97410045,0x6f25004b,0xfca900d8,0xa3280137}},	//   _источно_, _daerekta, _assetgèt_, _каприоги, 
   {{0x57bb0168,0x89e3003b,0xdc1f0037,0x03dc0062}},	//   _finnmark_, _emathebu, _drypers_, _mahwa_, 
   {{0xbaf30321,0xc9ee0075,0x0ed3003d,0x8fe800c1}},	//   _presenet, _bakteriu, _altituds_, _विशाळगड_, 
   {{0x92e101bc,0x9b060348,0xeabf0450,0x52cb036c}},	//   _toaniel_, _amusanga_, _gûverneu, _dakozia_, 
   {{0x8b4e00f5,0x174e0272,0x32ca01e5,0xb99d0125}},	//   _башласам_, _abanneeg, _biodun_, _чакыр_, 
   {{0xec0001c6,0x4313029b,0xce4c0322,0x42dd008f}},	//   _fansels_, _jambaar_, _bakavana, _betooni_, 
   {{0x832201a4,0xc52a0218,0xbdd90105,0x71f80308}},	//   _garcons_, _argingch, _traktuje_, _ingatkah_, 
   {{0x437a0371,0x179d0311,0xf16301a3,0xd86e01cc}},	//   _affatto_, _ተነጊርዎም_, _ٽارزن_, _पारलौकिक, 
   {{0x1d4e0220,0x2935035e,0x7e4d00cb,0xd38702a0}},	//   _задавани_, _krompira_, _angazina, _olura_, 
   {{0xbc7500c1,0xd48c0334,0xa67c003c,0xf2fe012c}},	// [1410] _ciputat_, _anagonek, _طالعبینی_, _kuugua_, 
   {{0x3a12019d,0x265000e6,0x7f260143,0x00000000}},	//   _akachira_, _企业经营管理人员, _affezion, --, 
   {{0xe38702d4,0xf9e10217,0x79c40037,0x739601b8}},	//   _alura_, _exhibiva_, _ለጦርነት_, _unusta_, 
   {{0x83ea0240,0xb2c8018d,0x31cd0041,0x3ad103b5}},	//   _keitou_, _ሽግራትና_, _мшыуп_, _termakan_, 
   {{0xcb7701c7,0x48d800d9,0xe99a02ac,0xa2180119}},	//   _арзасы_, _секунды_, _ترنيمة_, _magkatam, 
   {{0xa2310075,0xcdb4025f,0x937900a1,0x3b6f0209}},	//   _marknaða, _alongola, _tauanga_, _alloriar, 
   {{0x903700db,0xe7ec004e,0xf1ea03b7,0xd1ee0237}},	//   _अपनही_, _iglalang, _atricesm, _돌아갑니다_, 
   {{0xf76000ba,0xb4490166,0x02d80556,0x96f501d9}},	//   _سلاوله_, _privaten_, _ihlelo_, _eisterrä, 
   {{0xfe430003,0x0322040e,0x0854023e,0xdbf30161}},	//   _betaalde_, _baryon_, _سومين_, _планшеты_, 
   {{0xeb81002b,0x67720059,0x15b50045,0x66b602f0}},	//   _লাগতো_, _централа, _старосед, _ihlelelw, 
   {{0x369600c4,0xe5390008,0x52010007,0x33860619}},	//   _عالمگير_, _توپتور_, _docier_, _uzorke_, 
   {{0xf3170005,0x0c1c0093,0xda61023d,0x81170079}},	//   _plazza_, _участки_, _conferma_, _publicēš, 
   {{0x19f3015e,0xb2fc00a5,0x41ea01da,0xe2fd011d}},	//   _matinada_, _paaga_, _çiklizëm_, _lumanari_, 
   {{0xa461002c,0xd302015e,0x729400f3,0xa6980223}},	//   _hondartz, _интрузия, _kubalimi_, _оёдолчин_, 
   {{0x826c008d,0x0ee30238,0xc3170338,0x68460420}},	//   _osmon_, _plakaten, _amainatj, _analisad, 
   {{0x22fc054b,0x7eb300e4,0x419a0079,0xbeb40044}},	//   _waaga_, _chronion, _sekretār, _reserves_, 
   {{0xc2250429,0x006e006a,0x00000000,0x00000000}},	// [1420] _syakir_, _hanamelo, --, --, 
   {{0x1b4c0035,0x93860282,0x76d1028a,0xb1760021}},	//   _dekadası_, _roera_, _zitatumi, _eignsray_, 
   {{0x75160387,0x137f0062,0x927f018a,0xf29103d8}},	//   _olileany, _elladha_, _beuno_, _seljake_, 
   {{0xcea105ff,0xe38700c3,0x5795018b,0x1c210061}},	//   _posljedn, _plura_, _буридан_, _최종정보수정일_, 
   {{0xb2bb0515,0xc2350235,0x725a0296,0x99ca0109}},	//   _sedente_, _binduḥ_, _fylls_, _měkčí_, 
   {{0xf27b018d,0xe22400ec,0x00000000,0x00000000}},	//   _መተግበሪ_, _bankui_, --, --, 
   {{0xc2d80302,0x4458026c,0x2715022a,0x0d2c0073}},	//   _uhlelo_, _歷史人物故事_, _frutikum_, _dividite_, 
   {{0x53860396,0xb6d4003e,0xa7d704a5,0x27860235}},	//   _kleru_, _botabohi, _kokuzalw, _पर्वणि_, 
   {{0xcbfc00bb,0x7ed7002f,0x8c6200e6,0x00000000}},	//   _جگجیت_, _buwiskun, _vitrage_, --, 
   {{0x729101ba,0xd8760334,0xbd57005a,0x3fa1037b}},	//   _konkour_, _amangomu, _jinaschu_, _insertar_, 
   {{0xde51019b,0x5a2800ba,0x625a02fd,0x52fd0155}},	//   _ligoninė, _خولقێنێ_, _cholla_, _typiskt_, 
   {{0xe3af0181,0x4a910409,0x21eb0153,0x714e014c}},	//   _halvleg_, _babyyoga_, _キャプテン_, _sinenkul, 
   {{0x52b80418,0x036c0331,0x1af60077,0xc2ff01ad}},	//   _malesef_, _stigini_, _entevans, _saraburi_, 
   {{0xb3eb008f,0x8c8c01b2,0xa2bb024a,0xf3b900d9}},	//   _teatud_, _abutting_, _dededee_, _помечены_, 
   {{0xa57c017d,0xad13044b,0x527e02d0,0x9dc10020}},	//   _ジに対するお問い, _kunstner, _beens_, _fitisema, 
   {{0x929202fa,0xbbc9015e,0x21ff017a,0x0292027b}},	//   _maraso_, _барларды, _аминам_, _carato_, 
   {{0xd2ec00c7,0x7bb3030f,0xb2d80130,0x96740096}},	// [1430] _алман_, _manawatū_, _moneiz_, _arakenew, 
   {{0xa27e03eb,0x7b0c014a,0xe6f300b8,0x90060092}},	//   _weens_, _ناہید_, _satanakw, _小川明日香_, 
   {{0x1b8a0608,0x7da400e6,0x1ff600d9,0x7913004d}},	//   _fronteir, _人力资源管理_, _матрасы_, _處一年以上七年以, 
   {{0x535e041f,0xe9ee0183,0x227f0117,0x7842008c}},	//   _wokushum, _tetikasa_, _stanap_, _amaturas_, 
   {{0xd2ee0020,0xd2fc014b,0xcd38042a,0x92fd0064}},	//   _atafi_, _daago_, _baphetse_, _queixar_, 
   {{0x026c028d,0x8352061a,0x735d0291,0x52fc029b}},	//   _lemond_, _खल्ला_, _langmsg_, _laago_, 
   {{0xae1c00e5,0xa94e01f6,0x6e560244,0xc48601db}},	//   _pergunta, _নামনি_, _ареста_, _имани_, 
   {{0x2b42041f,0xf5ad01b7,0xacae039e,0x3c7201ef}},	//   _wakwenza_, _यावता_, _forsking_, _польшчы_, 
   {{0x7bad0561,0x02ab013b,0x88710093,0x824803bf}},	//   _karoséri, _lindung_, _ислама_, _edomo_, 
   {{0xc053003b,0x63660076,0x826c00d0,0xdd380169}},	//   _imiseben, _реалност_, _andoni_, _বিছানায়_, 
   {{0x621304bd,0x2ae7002b,0x92fa0205,0x1a8e019a}},	//   _akahai_, _ঘটনাটা_, _bechora_, _clungies, 
   {{0x6ba70193,0x9ca60125,0x3292013d,0xf9870303}},	//   _berisiko_, _чагыряр_, _hararo_, _diokobat, 
   {{0x55230277,0xefbf0268,0x24a50397,0x9ec8011a}},	//   _teknoloh, _opulatio, _ababekuk, _recipien, 
   {{0x059c0300,0x22900286,0xa12b027e,0x626c019d}},	//   _souhlasí, _emmah_, _оксида_, _biloyi_, 
   {{0xd29201b7,0x5c5800f2,0xab600435,0x327e01df}},	//   _parato_, _pietiek_, _амнестиј, _peens_, 
   {{0x0699045e,0x17630135,0x7b180274,0x030003f8}},	//   _несебър_, _alekseev, _dásamleg, _danabli_, 
   {{0xabfa04f2,0x331e017d,0x65ea00e2,0xb19a0061}},	// [1440] _vietcomb, _frankrig_, _himmelum_, _선생님들은_, 
   {{0x5c8c0093,0x3f2e018b,0x96d30255,0xc8dd03a2}},	//   _концерта, _conexiun, _देवानागर, _सिमटा_, 
   {{0x2067061b,0x82f5044d,0x4723061c,0x9da60064}},	//   _वर्षकी_, _bitigam_, _narednoj_, _لىمون_, 
   {{0x71d90166,0x227e0262,0x6ea700d0,0x6b5500ee}},	//   _willkomm, _edinen_, _villabon, _италичуу, 
   {{0x02ee01da,0x71f10011,0x935f0111,0x93170185}},	//   _stafi_, _adonikam, _rameaux_, _cimerü_, 
   {{0x22000130,0x28470205,0x47b200bb,0x64f80162}},	//   _seniñ_, _назария_, _سلیکٹر_, _қалаймиқ, 
   {{0x1d5701ca,0x7a3c0041,0xb2da02f6,0x99900166}},	//   _binaqchu_, _ауӡом_, _eksena_, _einkaufe, 
   {{0x4d8100a7,0xb3fa014f,0x2b88050a,0x02ee033e}},	//   _diferent_, _veruje_, _birimler, _delfia_, 
   {{0xe2240359,0xb2ea002f,0xce41017f,0xd2df00e4}},	//   _tinkt_, _arbieto_, _anpartit_, _szwedzki_, 
   {{0x4aad00a4,0x00000000,0x00000000,0x00000000}},	//   _previste, --, --, --, 
   {{0xb19c0113,0xdbfe00a2,0x0dd30099,0x00000000}},	//   _هلالي_, _makumbus, _ewikilea, --, 
   {{0x4fd502a2,0x4dba006c,0x4bef0109,0x00000000}},	//   _wikisago, _amahekta, _objektec, --, 
   {{0xa2020237,0xd292020b,0x83040012,0x68f20420}},	//   _vorige_, _bararo_, _झँझिरिया_, _уличната_, 
   {{0xf729009a,0x2dc30122,0x62ab02c7,0xe29204d8}},	//   _حيواناتو_, _bokongé_, _bindung_, _cararo_, 
   {{0x3ff90169,0xf27e05f4,0x3778014a,0x4a140281}},	//   _দাম্পত্য_, _atinta_, _چوراسی_, _anaanama_, 
   {{0x8c7c0359,0x92ca0087,0x737d0152,0x12cb044a}},	//   _huisman_, _fihleli_, _eşsezlär_, _nakolia_, 
   {{0xc01c007e,0x229201ac,0x4fc40040,0x972f0009}},	// [1450] _asminkār, _asraon_, _לנציגי_, _dimenzij_, 
   {{0x216f04ea,0x699a031e,0x99bb011a,0xb3bd0076}},	//   _prosesho, _sluša_, _hardship_, _засадени_, 
   {{0x4eb901b2,0x56960040,0x23a20040,0x726c009f}},	//   _absolvin, _היוקרה_, _לחיתוך_, _bidoni_, 
   {{0x125a0321,0x384d01e6,0x326c000b,0xd224014d}},	//   _okolja_, _nedoporu, _mitimiti_, _sinkt_, 
   {{0x3321055a,0x146400e6,0x8c7100d8,0xe2ee0325}},	//   _décima_, _中国中医药论坛_, _aparant_, _arifə_, 
   {{0x14fb02a5,0x706201c9,0xd7c901de,0xeb2b036c}},	//   _काहानी_, _enesetun, _таратуды, _hananias, 
   {{0xa33c0040,0x3fde01a7,0x14a202b6,0xc3e8005b}},	//   _ומתלבטים_, _irtisano, _эконо_, _akitsuki_, 
   {{0x62480250,0xfb2001c5,0x0291005c,0x8ff2055f}},	//   _krimit_, _macallin_, _babamo_, _faturası, 
   {{0x725704c9,0x1dc20092,0xe0f8032b,0x4b63000c}},	//   _westphal, _ご了承下さい_, _пүрстигә_, _cuarzosa_, 
   {{0x80f50459,0xf27f004c,0x2d36036e,0x6a320452}},	//   _अप्रैल_, _awanga_, _chipirir, _आल्हाददा, 
   {{0x06bb02a4,0x9c27018b,0x6ee300f4,0xd36600d1}},	//   _setattri, _примиря_, _blaketen, _গিৰ্জা_, 
   {{0xca0f0211,0x76b002b0,0x3a0800ff,0x2851061d}},	//   _rakastaa_, _hotelbew, _שעניצע_, _шәрбәт_, 
   {{0x804d008d,0x85b2061e,0x1302000a,0x62f50418}},	//   _خلقرا_, _alítuyqu_, _affarlu_, _intikam_, 
   {{0xc0e104f8,0x6bb0042c,0xb8f8033c,0x00000000}},	//   _uninstal, _šikanira, _isradded, --, 
   {{0x9e51015d,0x42ea02f3,0x7c6b004f,0x4b090079}},	//   _ostatnie_, _kuriren_, _geureum_, _karstuma_, 
   {{0x92b505f4,0x82c5000b,0x55ce006c,0xb47b0265}},	//   _addcat_, _kooline_, _назму_, _benutten_, 
   {{0x02d6045a,0x00000000,0x00000000,0x00000000}},	// [1460] _skilles_, --, --, --, 
   {{0x52e900b0,0xdb220176,0x6c6f00ee,0x00000000}},	//   _arrinta_, _afspille, _loturik_, --, 
   {{0xdf1602cf,0x52cb044a,0xc28c0334,0x9b2502b6}},	//   _илинденс, _bakolia_, _anakana_, _тумасы_, 
   {{0x116a0497,0xbcbe02d3,0x404600be,0x46b200c0}},	//   _kiangley_, _надеж_, _جۇڭحۇاا_, _pangkali, 
   {{0x6c6101c2,0xd29201e5,0xd3220028,0x7b1b014a}},	//   _daquela_, _darapo_, _maryan_, _funkciót_, 
   {{0x438601b4,0x2ca5025c,0x820200ec,0x79a90211}},	//   _koers_, _konzentr, _norime_, _родилась_, 
   {{0x12fc04de,0xfb9d0446,0x75ad0012,0x4a9d0541}},	//   _raage_, _sufinanc, _धारति_, _sufinans, 
   {{0x02f1030d,0x86c30017,0x0c6103ed,0xe0450192}},	//   _ictimai_, _volantem_, _naquela_, _begrafen, 
   {{0x03960180,0x0276003b,0x4c2f019c,0x4fdb018d}},	//   _dousma_, _angancum, _atopọ_, _መጽሓፎም_, 
   {{0x72e30242,0x1eb504b9,0x4ecf02a6,0xd9e200ba}},	//   _istinad_, _rooftops_, _bruyère_, _سۆفتوێره_, 
   {{0x8f1701bd,0xd2ba0255,0x0bef017e,0x00000000}},	//   _اناڭنىڭ_, _suletud_, _bajoneto_, --, 
   {{0x0e1a0238,0x7c370188,0x60d301da,0xedab022b}},	//   _юридично, _забону_, _holandez_, _vinninga, 
   {{0x427f0050,0x8c0b01ea,0xe2f302a2,0x226e0393}},	//   _keuna_, _maishiy_, _kalahati_, _mitovi_, 
   {{0x6b0301bb,0x89800362,0x00000000,0x00000000}},	//   _дореден_, _babiblia_, --, --, 
   {{0x020e0244,0xb56400d1,0xed74015e,0x327f012c}},	//   _капак_, _অকলশৰে_, _gramenet_, _twanga_, 
   {{0xb248018b,0xd2f702eb,0x5b510029,0x956e0046}},	//   _primit_, _кинонд_, _پێبده_, _ايگەرىم_, 
   {{0xb02a0092,0x1c5200c1,0xb27c004a,0x00a4015e}},	// [1470] _バンクディ_, _तरबेज_, _häryakla, _имаратты_, 
   {{0xa37801f7,0x12910285,0xbbc1000c,0x65fe03f4}},	//   _medalha_, _habaho_, _ambovóra, _подмоско, 
   {{0xd2c90037,0x926c041e,0xc3a20181,0x00000000}},	//   _በድርድሩ_, _piloni_, _panpan_, --, 
   {{0xe0fa00de,0xd2ba0213,0xbb9b01d9,0xf248011d}},	//   _افتخاري_, _втором_, _technesc, _trimit_, 
   {{0x4d5701bd,0x525b0034,0x02020225,0x831402ff}},	//   _кабинеті, _stelpu_, _obuien_, _chabrak_, 
   {{0x2e1f0057,0x4200044d,0xf065024a,0x89bb0137}},	//   _ተጠንቀቁ_, _adiis_, _alabaṣep, _gelditze, 
   {{0x025a0034,0xd3f90158,0xb169020b,0x00000000}},	//   _falleg_, _सीजफायर_, _matshwao, --, 
   {{0x42ee025c,0x1ece00ee,0xeaf90240,0x5a4f03ef}},	//   _griff_, _birzikla, _naisogot, _algeriya_, 
   {{0x8fe80426,0x13ec019d,0x62fc019b,0x6387015e}},	//   _लालायित_, _amamudik, _kilimas_, _coure_, 
   {{0xfdea018d,0x8cd6045b,0xa83b00c1,0xd2ee0037}},	//   _ሓድነቱን_, _забрали_, _उघडपणे_, _ariff_, 
   {{0x7d7b0025,0x0290008e,0xb29101dd,0x92f50023}},	//   _anumīyat, _dinanu_, _babaho_, _häihin_, 
   {{0x427e020d,0xfc890116,0x6b8805e2,0x124703c1}},	//   _atinya_, _profited_, _avanzado_, _разигра_, 
   {{0x2d980206,0x7e5a0235,0x239400ad,0x1b0502ba}},	//   _kolekcie_, _apacāyet_, _tonggong_, _алмаато_, 
   {{0x5c210240,0xe2a603a4,0x2248036a,0x33f80184}},	//   _bogilevu_, _tobbi_, _iloma_, _bujuju_, 
   {{0xb386015c,0x627e0127,0x854d0162,0x6dc002e7}},	//   _anere_, _afent_, _پارتىلاپ_, _katigula, 
   {{0xeb1b014a,0x7b400204,0x58440040,0x5387033d}},	//   _funkciók_, _halvalla_, _postings_, _boure_, 
   {{0xf2f50023,0x8292005b,0x4464028b,0xfb1a0067}},	// [1480] _näihin_, _harago_, _рзуны_, _dibamoon_, 
   {{0x73f4015c,0xc20202d0,0x483e0210,0x28d80137}},	//   _kruten_, _cosier_, _chemajud, _вакцинаа, 
   {{0x2c73006e,0x23200286,0x2b5d0045,0xe0580272}},	//   _arisona_, _yenya_, _дивизија_, _baasulan, 
   {{0x522400cd,0x0d7c023e,0x4dd9006f,0xa5020059}},	//   _janki_, _agamanip, _بڪواس_, _libretto_, 
   {{0x62fc0028,0xc9cb0274,0x9c5a050a,0x787401b5}},	//   _kaaga_, _unglinga_, _defteri_, _etiyuniv, 
   {{0x6b1700f5,0x8fb0026f,0x52480095,0xdc5c0109}},	//   _агитацио, _айшуак_, _rahmad_, _बालेर_, 
   {{0x4f4c0160,0x9e4c04a8,0x82fc02a2,0x62fa03da}},	//   _rasprave_, _raspravu_, _maaga_, _mechara_, 
   {{0x4b2300b0,0xddc30047,0xb2f701e6,0x220200de}},	//   _isbahays, _volonté_, _podstaty_, _azikufum, 
   {{0x0c550259,0x43ed061f,0xc8ec033e,0x534d00c3}},	//   _deltage_, _studenog_, _колумбиа, _impetum_, 
   {{0x230100bc,0x332002f3,0x02fc003a,0x4f3100b6}},	//   _piranti_, _menyn_, _uyiga_, _massoowa, 
   {{0x42240054,0x025a029f,0xe248026a,0x8a1e00ff}},	//   _yanki_, _okolia_, _eloma_, _זוטשקע_, 
   {{0x69f70300,0x031203d3,0x296c01cd,0x12ad00dd}},	//   _dodavate, _forbudt_, _саривақт_, _caribî_, 
   {{0xf2db0027,0x827e0321,0x689400b5,0x003200c1}},	//   _filosop_, _bolnih_, _бутруш_, _वसाहत_, 
   {{0x7ec301b7,0xccaf0238,0x538700a4,0xaa0803f3}},	//   _संस्कारस, _обставин_, _roure_, _garandee, 
   {{0x4e38038e,0x7af90220,0xfb61008b,0x00000000}},	//   _perawata, _социални_, _kontaraa_, --, 
   {{0x137f0544,0x27c90059,0xf26e00e3,0x43010202}},	//   _kanalua_, _tempesti, _intomx_, _riranti_, 
   {{0xe26c013d,0x00000000,0x00000000,0x00000000}},	// [1490] _memoru_, --, --, --, 
   {{0xe2240189,0x862600be,0x528c0349,0xe1b702da}},	//   _sanki_, _قامىلعا_, _asesphay_, _пинокио_, 
   {{0xf525016d,0x0c9202f6,0xb30500d9,0x47a40156}},	//   _ﺭﻩﺳﯩﻢ_, _marunong_, _maanvilj, _alstrebi, 
   {{0x32fa015d,0x327e04bd,0x46a502c1,0xf7a70255}},	//   _informuj, _agena_, _kurushah, _intressi, 
   {{0xdfcc01e8,0xfeee02ac,0x2dbd02eb,0xe29000fe}},	//   _pacifier_, _الخنازير_, _барагсад_, _imeat_, 
   {{0xaeb80261,0x925b004f,0x896f002b,0x0c6f04e8}},	//   _komencis_, _alalam_, _অসাংবিধা, _adarron_, 
   {{0xb7bb002e,0xd2ee0327,0x2d3b01da,0x727f00fb}},	//   _međutim_, _traff_, _tanishme_, _ifune_, 
   {{0x7b91004a,0xdd2c011a,0x92480046,0x1f1e014e}},	//   _фәрештә_, _minimise_, _ploma_, _упропаст, 
   {{0x32800032,0x75ba02e5,0xb27e012c,0xf2480259}},	//   _darkcle_, _иранашьо, _kuinua_, _grimme_, 
   {{0x89ee010f,0x29e40241,0xb7ab0253,0xd86d042d}},	//   _bacteriu, _amaneera_, _partiimi, _andinind, 
   {{0xb27e02b0,0x727f006f,0x213000be,0x12e900d8}},	//   _meinen_, _uwanja_, _اسمانداق, _seriosa_, 
   {{0xa27e0258,0xbc6b0157,0xb7d40156,0xc320007f}},	//   _leinen_, _कृप्या_, _לאָבזעג_, _fenyn_, 
   {{0x93860099,0x7dd40250,0xadd50344,0xd320046b}},	//   _joeri_, _ndikimit_, _biskopit_, _genyn_, 
   {{0xac800074,0x32820148,0xbdc90244,0xaa2503a4}},	//   _несет_, _門牌查詢系統_, _крепостт, _forbanka_, 
   {{0xfba5020f,0x227e033e,0x5a510156,0x8dcf006c}},	//   _abazokub, _aponde_, _מוסלמענע, _akahambe_, 
   {{0x31c5032d,0x03b6002e,0xf32001e8,0x920200e9}},	//   _планын_, _obavlja_, _henyo_, _kirite_, 
   {{0x09630083,0x42da02c0,0xd65703a4,0xd2e901f4}},	// [14a0] _suandont, _ítens_, _atlitið_, _berilsa_, 
   {{0x2394035d,0x53f00109,0xed9a018f,0x00000000}},	//   _spisak_, _चेलीबेटी_, _relobrup, --, 
   {{0x227e025c,0x764d0178,0x42d90073,0x86b901b5}},	//   _deinen_, _abrahmaṇ, _exper_, _halateri, 
   {{0xc4f20178,0x7834014e,0xe1da020f,0x00000000}},	//   _alamāryā, _културу_, _لکڼوال_, --, 
   {{0x27730440,0xd26e0092,0x4f3a00ba,0x82e700dd}},	//   _arayanyw, _motoni_, _بکێشێته_, _acenion_, 
   {{0x132802c9,0x94ea02ca,0x00000000,0x00000000}},	//   _тресэлта, _meatadón_, --, --, 
   {{0xb0170164,0x027e00ab,0x32da0620,0xb02e0100}},	//   _районни_, _otinga_, _vereor_, _desetogo, 
   {{0x579801bd,0x53f8003e,0xa24903b4,0x00000000}},	//   _исламның_, _barutehi_, _arambe_, --, 
   {{0x927e0421,0x86dc010c,0x09f90127,0xc2000262}},	//   _keinen_, _साहिर_, _adlavare, _meniñ_, 
   {{0x2be7012b,0xc45700ec,0xff0a033e,0xdfb900a7}},	//   _dyrektor, _koncertų_, _guàre_, _араптард, 
   {{0x42900233,0x32b5046f,0xaba7003c,0xb119004c}},	//   _ilmari_, _feldwee_, _گوشتخوار_, _banjagal, 
   {{0xa38700a1,0x638705d5,0x8a5100c8,0xa28c00d5}},	//   _koura_, _pluri_, _bademona_, _diakona_, 
   {{0xd290006e,0xca29004d,0x21cd0487,0x4b8e04e6}},	//   _almasi_, _歷年得獎專輯_, _textbook_, _anunsiyo_, 
   {{0x93ce0514,0x0d240420,0x71c3002b,0xdee70224}},	//   _vulve_, _аларми_, _কলকাত্তে, _bankaman, 
   {{0x79760076,0x22240306,0x42910198,0x18f701cf}},	//   _atendime, _kanku_, _kazalo_, _dispariv, 
   {{0x12cc034b,0xc3c6027b,0x429001d7,0x73ce034b}},	//   _paslain_, _परमतत्त्, _linard_, _tulve_, 
   {{0x3ecf0388,0x4ed30281,0xe2900203,0x4f6f009c}},	// [14b0] _posizion, _immitsin, _finard_, _canastas_, 
   {{0xe8fa0026,0x927e03d9,0x6e960334,0xe87d01b3}},	//   _verpleeg, _adinon_, _asamakon, _консерво, 
   {{0x226e036a,0x425a022a,0x025a02fb,0xa42304a7}},	//   _botoni_, _ililom_, _ikoloa_, _aprazado_, 
   {{0x93b00305,0x9349006e,0x292f0037,0xc29005c1}},	//   _halvdel_, _biteeli_, _ወንጀሎችን_, _almari_, 
   {{0xe3960163,0x72500397,0x531202e5,0x89f80282}},	//   _kissé_, _тесак_, _banbros_, _hararete, 
   {{0xcef2027b,0x325a019a,0xbaa90060,0x63860144}},	//   _गणिका_, _heelie_, _кешеге_, _áirne_, 
   {{0x00c6006c,0xf5940037,0x852b0144,0x069f0462}},	//   _abalimal, _ታንቀላፋለህ_, _ghrianch, _astenedf, 
   {{0x484d04b2,0x2936036d,0xd2570061,0xe2d901eb}},	//   _pigtails_, _chamorra_, _일부기능을_, _erangue_, 
   {{0xe5c1011d,0xf9c702d3,0x4988003b,0x927e0544}},	//   _истенцэ_, _самарас_, _ayokwent, _ofeni_, 
   {{0xe2e60051,0x927e023e,0x38d3002f,0x1f2c0145}},	//   _biznesa_, _ageng_, _aboutpag, _legendin, 
   {{0xe20200ea,0xe7a10372,0x397a01d7,0xe2da01e9}},	//   _corine_, _bostiedi, _equilibe, _diteko_, 
   {{0x1a1f00c7,0x439a0205,0x0c4a00cb,0x15150193}},	//   _yazarğa_, _нотариал_, _дипломҳо, _धर्माविष, 
   {{0x5b440590,0x41dd00b5,0xe2d900fd,0x92da01c4}},	//   _хүний_, _грызлови_, _cainnte_, _vereer_, 
   {{0xfb6e0075,0x936600c5,0x9b940119,0x00000000}},	//   _kollafir, _下属市县局_, _moniquir, --, 
   {{0x93fa0041,0x02a7012e,0x03870066,0xe96c0139}},	//   _kurusu_, _norbi_, _amaren_, _bahirant, 
   {{0x02010320,0xf27e003b,0xd9e000a6,0x3ab600f7}},	//   _bibile_, _efeni_, _بډایه_, _arbhakis, 
   {{0xc36500a6,0x6a170056,0x9d790311,0x94130291}},	// [14c0] _amarulum, _alabhast, _formimit_, _رايدر_, 
   {{0x78e7020f,0x91530156,0x54ac03f7,0x00000000}},	//   _دپلوماتا, _akordigo, _djöfulle, --, 
   {{0xd39f016a,0x53a202cb,0xc7ee0282,0x66a9045b}},	//   _חציצה_, _propao_, _kopaning, _заручник, 
   {{0xf2a7026c,0x394f018d,0x657c03bf,0xab630270}},	//   _morbi_, _ብምድግጋም_, _diadvokh, _reimplac, 
   {{0xb7e1053e,0x8af60009,0x0af5039f,0x4f260109}},	//   _forskrif, _videopos, _videoans, _भोलीदेखि_, 
   {{0x6ad6039f,0xc67b00a6,0x13fa00ab,0x400e05d2}},	//   _acetylat, _قربانيو_, _rurutu_, _matvaren, 
   {{0x89b90439,0xf320028d,0xb28e032e,0xbeb8004b}},	//   _ambexiwa_, _benye_, _laphiru_, _didomein, 
   {{0x8bc40222,0x16b5015a,0x37760025,0x12900226}},	//   _prochain_, _arkayivi, _प्राकृता, _domasi_, 
   {{0xca0e0041,0x1d060217,0x72d701c4,0x00000000}},	//   _арҭон_, _ululante_, _skilder_, --, 
   {{0x43200207,0x8e160156,0xf9e40155,0x62c80064}},	//   _wenye_, _ויסריכט_, _plantera_, _дастанчы, 
   {{0xbf1e0227,0xd0930169,0x52480087,0x132001b9}},	//   _pertanya, _রুহুল_, _hlome_, _tenye_, 
   {{0x126c023b,0x98c300be,0x51470297,0x18b20088}},	//   _nahora_, _сабырдуу_, _архивта_, _комурду_, 
   {{0x662404a7,0xd373023d,0xb345033d,0x527e04ee}},	//   _tecnolox, _domande_, _ansegne_, _ogene_, 
   {{0x732001a3,0x126c0120,0xa0bd0041,0x034101ec}},	//   _zenye_, _biloy_, _ирҿуп_, _ambegan_, 
   {{0x63200207,0x7c560621,0x427f0200,0x73490497}},	//   _yenye_, _partije_, _nwanna_, _aridity_, 
   {{0x26ba034e,0xca0a037f,0xc3e20498,0x32da0064}},	//   _amarakay, _konsullu, _kobercov_, _ítems_, 
   {{0x1b580125,0x7378002c,0x15fa004d,0xae2b0044}},	// [14d0] _барлагчы, _lanaren_, _處一年以下有期徒, _siblings_, 
   {{0x7fde0204,0xeda803c6,0x89e30022,0x00000000}},	//   _tulipalo, _ferreind_, _йомала_, --, 
   {{0x83020287,0x93a201a7,0x826c0318,0xa2920264}},	//   _orgasmu_, _kuopio_, _kalofi_, _harayo_, 
   {{0x5dab03f0,0x64510102,0x30660025,0xd29204d8}},	//   _minninga, _pendekez, _bindusār, _karayo_, 
   {{0x302a04b1,0xe65700d0,0x46950229,0x08470361}},	//   _sandefjo, _тийнхүү_, _muzeyini, _баварин_, 
   {{0xf29200b0,0x427e00bc,0x6292005d,0x584f0014}},	//   _marayo_, _ngene_, _carazo_, _burgosur_, 
   {{0x3d0f01ad,0x39e9014a,0x79fc0348,0xd60e012b}},	//   _sudoeste_, _keressük_, _asindika_, _मनोभावों_, 
   {{0x8afa0348,0x7597012a,0x0f400235,0xc248026c}},	//   _abafugib, _zaprojek, _apagatan, _primae_, 
   {{0x82f103f8,0x426c042b,0x92f4047b,0xe0550344}},	//   _biyitdi_, _nemogu_, _plantur_, _angalavo, 
   {{0x046d0064,0x89e30584,0xe38700c5,0x4df60021}},	//   _нарындан_, _salienta_, _lourd_, _aradoxpa, 
   {{0x611a019e,0xf30d04a2,0xe39500d3,0x6b0b0092}},	//   _бомбы_, _levamos_, _opasek_, _congoles, 
   {{0x09470076,0xe9f3003a,0x537803da,0x828801fe}},	//   _писател_, _natijada_, _zigaara_, _tinamuni_, 
   {{0x198e032d,0x3a49015e,0x00000000,0x00000000}},	//   _сабир_, _بەيتانىش_, --, --, 
   {{0x990803c7,0xcbb70158,0xb3f40343,0x70dd00e7}},	//   _pieniądz, _संस्कारो, _buutan_, _aminatel, 
   {{0x526c00a9,0xafe800e4,0x0201012a,0xb27f02f9}},	//   _bahora_, _देवानंद_, _kibice_, _atanta_, 
   {{0x3c44006c,0x718e01c7,0x626c0622,0x00000000}},	//   _abawisa_, _чоннелик, _cahora_, --, 
   {{0x09a1025c,0xca18004b,0x00000000,0x00000000}},	// [14e0] _diskutie, _khobotla_, --, --, 
   {{0x3b77005e,0x3c14027b,0x0c9b038e,0x00000000}},	//   _урулди_, _शुक्लवर्, _ringroad_, --, 
   {{0xd38603e6,0x626c007f,0x5e880177,0x8c090153}},	//   _dierf_, _halogi_, _принципқ, _本発明によれば_, 
   {{0x938700d6,0x6fcc0515,0xf29001f7,0x4110019b}},	//   _gourd_, _attinger_, _somari_, _pakeitė_, 
   {{0x32fd053d,0xc2b400b2,0x647b0211,0x92cb0196}},	//   _emzantsi_, _fincaa_, _fortumin_, _kulonga_, 
   {{0x1eb8012b,0x8b5c0169,0xf30d00b0,0x0de1019b}},	//   _lubuskie_, _বিশ্বকাপ, _samatar_, _laukelia, 
   {{0x395a0450,0xa2bc0244,0x8d91002b,0xc9f60414}},	//   _benoarde, _reddito_, _এক্কেবার, _kolukalu, 
   {{0x77ed027f,0x32a701ba,0x37530156,0x7dc4011d}},	//   _badasang, _korbo_, _האלדז_, _motivele_, 
   {{0xb3730083,0xa43c0008,0xa2ee0020,0xda4c03ba}},	//   _romande_, _الاسىزدا, _atafu_, _tagenimp_, 
   {{0x0387015e,0x1eb104ca,0xb5c903b5,0xd59601c8}},	//   _moure_, _dissoute_, _membasah, _miliardá, 
   {{0xd8880623,0x06ba0125,0x7e9004c7,0x037200fa}},	//   _स्वीकार्, _akwatori, _ranković, _dayalog_, 
   {{0x49f60231,0xc3440258,0xaf4c012d,0x127f01e5}},	//   _tristiqu, _betelle_, _risponsa, _itanra_, 
   {{0x530d02a7,0xfe0500c5,0x80f700af,0x6a50004b}},	//   _kamarar_, _combiné_, _будматер, _lekesana_, 
   {{0x4867017d,0x9967053e,0xaa0802ec,0xe2f5007e}},	//   _mulighed, _mulighet, _daraadee, _antikam_, 
   {{0x45010314,0x59c7017a,0x52d904ad,0x4387019a}},	//   _әйтергә_, _баракат_, _bonnake_, _bourd_, 
   {{0xbab600c1,0xa387012f,0x037b03b1,0x338602b6}},	//   _बडबडला_, _omaran_, _relevé_, _تاريعي_, 
   {{0x1ba50624,0xbc60007b,0x752701bc,0x262701d1}},	// [14f0] _abazakub, _pierced_, _definity, _definiti, 
   {{0x92d50169,0x00e0023d,0x73a300b3,0x4e0c00e6}},	//   _আশাকরি_, _онова_, _harpy_, _企业法人营业执照, 
   {{0x826c0198,0xe264017d,0xc38702df,0x4a90015f}},	//   _zalogi_, _boulet_, _amaran_, _gomisiwn_, 
   {{0x41d00218,0xac60033f,0x93870004,0x1c850156}},	//   _erversay_, _akauola_, _foure_, _יוליש_, 
   {{0x83fa0002,0x72300177,0x9fca015c,0x7c68005b}},	//   _struju_, _colmán_, _stengefo, _everevo_, 
   {{0x922601ad,0x7f09008d,0x00000000,0x00000000}},	//   _borken_, _razvedka, --, --, 
   {{0x3ec60011,0xe2cc0156,0x82cb01b8,0x4fec020f}},	//   _abizimba, _anglino_, _leedus_, _ډیرخطرنا, 
   {{0xf8020025,0x6c4700d1,0x439500e4,0xf631004d}},	//   _परिवारित, _আৰ্গছৰ_, _diesla_, _交通安全講習_, 
   {{0x0996048a,0x02d70566,0x9ed80126,0xa2fc008d}},	//   _картасы_, _skyldes_, _пропорці, _oyiga_, 
   {{0xb3170003,0x77120579,0xc38603e0,0x32240074}},	//   _functie_, _शब्दन_, _bierg_, _hanki_, 
   {{0xaec304bd,0x6224038a,0x4387016b,0xb32000eb}},	//   _oponopon, _kanki_, _amarin_, _benya_, 
   {{0xbc8400a6,0xca9b0321,0xd7c10299,0x824801fc}},	//   _قربانیان, _veličast, _ئەرقۇت_, _yoome_, 
   {{0xd37f042c,0x16280187,0xa7e804a8,0xc2ee00bd}},	//   _izlaska_, _климатск, _ribarstv, _draff_, 
   {{0x5836041e,0x4f090135,0x922b0279,0x378701db}},	//   _foncière_, _xäzrät_, _fromage_, _لاۋازىم_, 
   {{0x0a900372,0x83870225,0x8394002c,0x13780408}},	//   _comisiwn_, _emarin_, _abisua_, _angatra_, 
   {{0x82e500a9,0x77ed018f,0x85bf01fc,0xcf1d0085}},	//   _iboneka_, _dadaqang, _gamissam_, _kubunava, 
   {{0xd26c03bf,0xd3e50625,0xe26400ca,0x54af034d}},	// [1500] _balodi_, _januári_, _roulet_, _menanamk, 
   {{0x5c21048f,0x22f0016b,0xd39503d1,0x925401b5}},	//   _clergé_, _addinai_, _liesma_, _mutlangi_, 
   {{0x224801c9,0x38820134,0xe1b30576,0x891300de}},	//   _soome_, _ainipeku, _قاهره_, _استراليا, 
   {{0xcefd0444,0x260201d5,0xf2490282,0x88e8004d}},	//   _справок_, _تھرپارکر_, _iramoe_, _只要葉王高興就好, 
   {{0x2e3b04f9,0x00000000,0x00000000,0x00000000}},	//   _aporfioq, --, --, --, 
   {{0xfc560220,0xb9190066,0xad33012d,0xbf6502af}},	//   _здравето_, _биохимий, _karimaut_, _rutashin, 
   {{0x4b670137,0x59fa034e,0x72900133,0x285903d0}},	//   _галерей_, _agradese, _ammami_, _samoregu, 
   {{0xd13d02ef,0x557c015e,0x4f5100d3,0xdf570488}},	//   _abitasyo, _vendrell_, _सिंगो_, _financen, 
   {{0xad8004f2,0x02e500a9,0xe2fa00fe,0x085b00e2}},	//   _cafeluat_, _aboneka_, _faahiga_, _keunstwu, 
   {{0x53860206,0xb2d600ff,0xc2d8004b,0x0292022a}},	//   _miere_, _motoron_, _boketa_, _muskuls_, 
   {{0xfc03037e,0x7fe40195,0x1a170145,0x0b4000b5}},	//   _bampong_, _choithio, _пенья_, _inevujoa_, 
   {{0xf20000fe,0x1aca0132,0x2967011a,0x9c2a03b8}},	//   _aeaia_, _látogato, _delimite, _болдыңыз_, 
   {{0x327f0220,0x8da403bf,0x527e0054,0x902c0315}},	//   _stanza_, _bososela, _irinsa_, _banelifo, 
   {{0x312d0076,0x5d0f0333,0xe37800a0,0x5b5301a6}},	//   _масти_, _accultur, _alhasan_, _rāwinia_, 
   {{0x53950626,0x561f0162,0xe27e00b0,0x0691031a}},	//   _dneska_, _амиллар_, _arinta_, _eiseimei, 
   {{0x57b9021b,0x52ee0382,0xa07300a6,0xd9e300ff}},	//   _домашнюю_, _irifu_, _bayasoko, _aplikata_, 
   {{0x9b050627,0x9749053e,0xda8c03f3,0x1e35021c}},	// [1510] _krasnyst, _papirutg, _bevinden_, _inkasova, 
   {{0x3854019f,0xc3860347,0xa2900261,0x5a54005e}},	//   _ڪوريا_, _diere_, _elektis_, _ﺷﻪﻳﺘﺎﻥ_, 
   {{0x06a200b5,0x5fbf040d,0x17e201db,0xd3860506}},	//   _sinfónic, _dumeletš, _ابىزالدى, _eiere_, 
   {{0xd44600bc,0x127e03f5,0xfc2f003e,0x00000000}},	//   _سارقان_, _trinta_, _аҡбашева_, --, 
   {{0xa25b0140,0xc9c50037,0xdf21022d,0x00000000}},	//   _ilalim_, _ዋርካዎች_, _aspetten, --, 
   {{0x1c1c0092,0x9a1901cc,0x4c3400fd,0xfe3a003d}},	//   _ご利用規約_, _अवलोकिते, _cabadaic, _andromaq, 
   {{0x63eb007e,0x8e530122,0x00000000,0x00000000}},	//   _asatsv_, _anggawé_, --, --, 
   {{0xa38f033a,0x6c620007,0x44700137,0xd26d0527}},	//   _rapporti_, _tournee_, _мөлхөж_, _zapitati_, 
   {{0xb2ec0113,0x43400265,0x501e018c,0x00000000}},	//   _intinne_, _spieren_, _vereenvo, --, 
   {{0xd44f018d,0xdecf0268,0x42e202a4,0x10ab0061}},	//   _ታሪኽናን_, _ansition, _ioannem_, _웨딩드레스_, 
   {{0x461903f0,0x6ce80126,0xe9630217,0x803f018c}},	//   _vegagerð, _херсон_, _plenment, _schulden, 
   {{0x335f0010,0x03860585,0xc736040f,0xb69000ba}},	//   _nangabe_, _blizini_, _дыпламат, _هاوینان_, 
   {{0x874300be,0x9395004d,0x924802ec,0x4975013f}},	//   _ئزىلدەپ_, _我的想法是_, _nooma_, _erminige, 
   {{0x3037009a,0x72e3031a,0x62fd02c9,0xfaf90089}},	//   _lentshon, _glaiste_, _romilor_, _зиһенемд, 
   {{0x29a303db,0x4c76005b,0x00000000,0x00000000}},	//   _banjenge, _afesdvd_, --, --, 
   {{0xd27e00de,0xa24903b0,0x67c0034e,0x6a6a020f}},	//   _printa_, _framme_, _adoranki, _ډوبېدو_, 
   {{0xe2590004,0x92ee016a,0x32d90145,0xc8f80013}},	// [1520] _reflechi_, _grafo_, _viename_, _махкамас, 
   {{0x78630257,0x92020014,0x00000000,0x00000000}},	//   _straumur_, _lirise_, --, --, 
   {{0x72480028,0x2bb60148,0xe34100d7,0x8eda01a3}},	//   _looma_, _執行率占分配數_, _hatella_, _ڳراٽڙي_, 
   {{0xe2c104cf,0x631f0173,0x8d96038d,0xc2ca045d}},	//   _wahlala_, _cercano_, _konfront_, _okolini_, 
   {{0xab2d0281,0x7c07015f,0x82d40243,0xe9a00128}},	//   _qarasaas, _agosáu_, _mododda_, _masjidga_, 
   {{0x653c017d,0x2c84019a,0x286103e6,0xb387013f}},	//   _希望小売価格_, _rebelled_, _eroberer_, _bourk_, 
   {{0xdea80084,0x509c0141,0x00000000,0x00000000}},	//   _ngalakon, _убликаси, --, --, 
   {{0xf292033d,0xedbc04be,0x751c0628,0xe4750045}},	//   _aprann_, _ginikana, _командуу, _еулекс_, 
   {{0x3db802e7,0x63100270,0x8a6d0158,0x5f4b0060}},	//   _filament_, _nascite_, _अमेरिकिय, _اتاعىڭىز_, 
   {{0x72cc03b0,0x38c90037,0x0b340204,0x5b0f009f}},	//   _pølser_, _መሆንዋን_, _pelaamis, _glasbila_, 
   {{0x8a8700cb,0xf2a70033,0x69ed0291,0xd3e40238}},	//   _amazinga_, _sorbs_, _anlionra_, _сплатити_, 
   {{0xf26e0202,0x2b310376,0x3aed008a,0xd27e01a4}},	//   _nitori_, _absaloms, _satupait, _otinda_, 
   {{0x32010234,0xa3fa03e9,0x1c670086,0x3ead00a4}},	//   _leyin_, _tutuş_, _یرقان_, _ايشادان_, 
   {{0x510b0629,0x029204b2,0x520201ac,0x92ea015e}},	//   _owthgray_, _sarado_, _hirise_, _arriben_, 
   {{0x8f16002c,0xcbf70064,0x6f3701f6,0xa395008c}},	//   _настай_, _тиреген_, _forskara, _chesta_, 
   {{0xa40f001d,0xb7cd0040,0x3ba40139,0x6386004d}},	//   _beermann_, _מיונז_, _अनंतरं_, _onera_, 
   {{0xee010342,0x1202020b,0x027e014d,0xb9cb0170}},	// [1530] _anjenera, _dirise_, _beinen_, _cholinga_, 
   {{0x0c6701b4,0x21b904b3,0x624800f2,0xa2c60347}},	//   _bedreig_, _detektiñ_, _mammam_, _marlize_, 
   {{0xf512005e,0x429001b5,0x327e0007,0x702d02e4}},	//   _ﻫﺎﻛﯩﻤﯩﻴﯩ, _fomati_, _etinda_, _geddumho, 
   {{0x23870197,0x6b7d0226,0xd7d9034e,0x527e0421}},	//   _kouri_, _asanaper, _caquetá_, _weinen_, 
   {{0x66ba019e,0x65c60041,0xe43e01ec,0x629201e9}},	//   _разведан, _аҳкәажә_, _آسانتر_, _karabo_, 
   {{0x1af300d4,0x67f90238,0xc93302ac,0x31270374}},	//   _presinte, _признача, _خاضعة_, _мажозий_, 
   {{0xa2910148,0x326c019f,0x97c20024,0x92480108}},	//   _abramoff_, _balozi_, _মনবৰে_, _akhmad_, 
   {{0x82d8017e,0x997404e2,0x5395022c,0x93050374}},	//   _pokera_, _aidilfit, _kaasup_, _اوراب_, 
   {{0x35ec00bf,0x627f00a9,0x9aa60034,0x526e01e9}},	//   _приводит_, _itanga_, _markviss, _ditori_, 
   {{0x49590037,0x9201016e,0xb2d100bf,0x92de03fb}},	//   _ፓርቲውን_, _beyin_, _осмотру_, _redovnu_, 
   {{0x2c3102d5,0x7d3101b8,0x157b022b,0xd22401da}},	//   _artiklid_, _artiklit_, _brenniví, _floket_, 
   {{0x9387023e,0xe582017d,0xdb720205,0x82c603da}},	//   _ngerti_, _アフィリエイト_, _یئرین_, _ọdachi_, 
   {{0xd3f800e3,0x227f0007,0x6a9f01be,0x91fa015e}},	//   _allura_, _bwania_, _nevinnos, _билинген, 
   {{0x348d0040,0x822902f3,0x41cb01e4,0x00000000}},	//   _דיזינגוף_, _räkor_, _zánovní_, --, 
   {{0x6c660185,0x32bb0092,0xf27e02fc,0x025a03c2}},	//   _табышы_, _fedeste_, _atinda_, _ballig_, 
   {{0x127e02b0,0xe27e046d,0x19e1005d,0x52010264}},	//   _seinen_, _ngeno_, _аҭахрақә, _kabidu_, 
   {{0x5dc800d3,0x94850052,0x00000000,0x00000000}},	// [1540] _technice_, _शिवालय_, --, --, 
   {{0xe96602a9,0x4e54045b,0xef400044,0xb5d800ff}},	//   _простых_, _економіч, _subscrip, _סענעגאל_, 
   {{0x42fc001d,0x850701ea,0x025b0343,0x13950281}},	//   _arighi_, _қасддан_, _ilalom_, _asasaq_, 
   {{0x52120095,0xf06f0047,0xc2ec0240,0x72d30234}},	//   _omahe_, _proposon, _kitione_, _gálọ́ọ̀n, 
   {{0x8bcc0276,0xf2170074,0xa113004a,0x729a0164}},	//   _киродийә_, _klikkaam, _bankrotl, _хираҗәтн, 
   {{0x23570255,0x55b90113,0x6c6101ac,0xefc30243}},	//   _छल्लो_, _fillteán_, _storace_, _militeer_, 
   {{0x7f1e01ef,0x7b5e02eb,0xea0b0311,0x725a0013}},	//   _tradicin, _ираны_, _ሰክረታርያት_, _yallig_, 
   {{0x514c0410,0x0753025c,0x63f800ee,0x4ebc0020}},	//   _ithekgil, _grundlag, _modura_, _fetulele_, 
   {{0x6c230622,0x62f30110,0x3f5b0343,0x85670161}},	//   _imuryé_, _pamatoti_, _makaiyan, _терминов_, 
   {{0x235d0135,0x2e1b0148,0xf9a802b6,0xb18a0311}},	//   _фотопрое, _臺北市民e點通_, _ереймент, _ኣሸገርቲ_, 
   {{0xd3a2024b,0x6e24008f,0x54b0062a,0xa2b90127}},	//   _propio_, _koolitus_, _लंगडी_, _baleseg_, 
   {{0xb156009a,0x8b500359,0x8c1203ee,0xb365005f}},	//   _خاموشه_, _vaatstra_, _propali_, _últimame, 
   {{0x6501018f,0xa3f40281,0x1c760142,0x81420094}},	//   _bireqtal_, _aattaa_, _नेत्रा_, _оттай_, 
   {{0xe2120601,0x82a701d6,0x48f4024d,0x8eae0115}},	//   _imahe_, _forbi_, _wamavowu, _tharikat_, 
   {{0xbab102cf,0xf292022a,0x25e303c2,0x80610060}},	//   _активира_, _caraco_, _balcaney, _قىيالداپ_, 
   {{0x425b00df,0x1cb10038,0x0d2904c7,0x00000000}},	//   _quelqu_, _исэптэн_, _произила, --, 
   {{0xcc7100b4,0xf2d700cc,0x1bf70094,0x09fc0279}},	// [1550] _pierdut_, _skiller_, _بىلەسىڭد, _intempér, 
   {{0x8eb000ff,0xc4fa0255,0xd1d901ec,0xcd7b015c}},	//   _המספיק_, _खैराती_, _اعتنایی_, _ageloggt_, 
   {{0x52a7022d,0x832c0061,0x00000000,0x00000000}},	//   _corbi_, _키워드광고_, --, --, 
   {{0x44960060,0xf26c031a,0x9c7001c8,0x00000000}},	//   _تۇرمىن_, _ghlor_, _pokroku_, --, 
   {{0x767d02c2,0x35e900f6,0x56a101af,0xa6280014}},	//   _privaath, _dayandı_, _amatlydy, _ambienti, 
   {{0xdf46005b,0xc7a00089,0x00000000,0x00000000}},	//   _voksende_, _гербының_, --, --, 
   {{0xb2e300c7,0x0a0a0056,0x1bdc0157,0x65860128}},	//   _iqtisad_, _ababewat, _तकिया_, _ошишига_, 
   {{0x5f3a001b,0xab020168,0x896902d8,0xf27f0556}},	//   _cyclonic_, _samfunns, _denpasar_, _efuna_, 
   {{0x130500a4,0x1b75012b,0x37ae0448,0xd2780209}},	//   _پولات_, _okolicac, _foreligg, _ajunng_, 
   {{0x6c0301c1,0x4f9a0041,0x96b9013d,0x39f603fd}},	//   _gampang_, _agãite_, _malaperi, _atinoina_, 
   {{0x72d90067,0x026c01da,0x107402e7,0xc34f00f4}},	//   _bayeet_, _kaloni_, _kapanaho, _dinerzh_, 
   {{0xc2ba0558,0xad3000af,0xb37f0251,0x7248022b}},	//   _weediri_, _jernbane_, _nolasha_, _blomm_, 
   {{0x03430143,0x938704a2,0xcb27019b,0x7386003d}},	//   _посока_, _louro_, _senamies, _ciera_, 
   {{0xe27f0417,0x265302fe,0x00000000,0x00000000}},	//   _seuns_, _ekwilizw, --, --, 
   {{0xe15c027b,0xb9e90049,0x95ba0342,0x3bf800be}},	//   _हविषा_, _hepisipa_, _ekwatory, _سويموق_, 
   {{0xd84000c3,0x221304d3,0xa2e9038b,0x27220177}},	//   _spiritus_, _tobhau_, _periksa_, _рхатәгәа, 
   {{0xefe702d3,0x46e103dc,0xf5250187,0xc310019a}},	// [1560] _правата_, _avtalað_, _sobrinho_, _scraggy_, 
   {{0xf27f0219,0x63860147,0xfabb03f1,0x67a80044}},	//   _ufuna_, _riera_, _neuverit, _pertaini, 
   {{0x03870076,0xac0301d6,0xfd9a00b7,0x5ebf003a}},	//   _couro_, _forsker_, _barlagla, _قویولگن_, 
   {{0x43860403,0x0982017d,0x46b302ac,0xaf47003c}},	//   _piera_, _beskæfti, _ومعجنات_, _عیدفطر_, 
   {{0x92480122,0xa27f0320,0xa27e0312,0x42c1024d}},	//   _geomax_, _pfuna_, _ugent_, _yahlela_, 
   {{0xc7ee0140,0xe2ee0274,0xbb0a0074,0x142101d4}},	//   _natatang, _krafa_, _avustaja_, _ariberto_, 
   {{0x9ce30242,0xec12011b,0x02010229,0xe8cc00b7}},	//   _yarısı_, _asopeli_, _seyid_, _сырларың_, 
   {{0xc2d90129,0x110a00be,0xa9d6024f,0x330003be}},	//   _bayere_, _دۉيشەەۋ_, _solesole, _inganji_, 
   {{0x89f700c5,0x22cb015e,0x02ef053a,0x81770397}},	//   _爱情两好三坏片尾, _quedat_, _siniša_, _angancel, 
   {{0x167b00bf,0xadc10053,0xc2ed00e6,0x5704027b}},	//   _отличие_, _onlineka, _mariée_, _असंशयम_, 
   {{0x73870249,0x4f59028f,0x00000000,0x00000000}},	//   _aigris_, _taupatup, --, --, 
   {{0xc2c70092,0xbd3a028f,0x00000000,0x00000000}},	//   _予約受付中_, _kapitene_, --, --, 
   {{0xb8620241,0x8909002b,0x427e04d7,0x3ec804df}},	//   _baanglad, _অণুকাব্য_, _beinin_, _beýnisi_, 
   {{0x527e02d4,0xc6ba020f,0xcbf801a3,0xbfb301db}},	//   _agens_, _bakangqi, _نيوٽن_, _قيىنعا_, 
   {{0xc38600dc,0x6dc102e7,0x6db30087,0x6c040388}},	//   _aneru_, _katiguma, _lokukulu_, _mensili_, 
   {{0xc7bc002f,0xad2d018d,0x92cb057c,0xb487026f}},	//   _adurarni, _ተስፋስላሰ_, _fredet_, _жидебай_, 
   {{0x6cd50192,0x03940140,0xb2990238,0x67220434}},	// [1570] _페이지까지_, _naisip_, _заборгов, _aparició, 
   {{0x2c530169,0xae4e0020,0xffe6007e,0x8b510084}},	//   _শূন্য_, _felagola, _apasṛtya_, _mendakan_, 
   {{0xce5400ad,0xeaf50008,0xe20200c0,0x290000de}},	//   _kasalaha, _aleshore, _enrile_, _awuphang, 
   {{0x927e0259,0x6aa60052,0x32da01b8,0x77250187}},	//   _ugens_, _दिल्लीमा_, _maantee_, _contagem_, 
   {{0xe5fd037c,0xd2b4023e,0xa25b025b,0x62cb000e}},	//   _filmmagi, _lancip_, _frelsu_, _credet_, 
   {{0x7dac001e,0x06820139,0x63860310,0xf39402a2}},	//   _fabrairu_, _व्यान_, _dhoras_, _maisip_, 
   {{0x71580079,0x4c670122,0x42380256,0x80cf039f}},	//   _konkurēt, _برسان_, _dzimusi_, _nanoscal, 
   {{0x2c7703b2,0x142a0041,0x07bb0444,0x89f30087}},	//   _popular_, _дадгылои, _оставали, _hlahluva_, 
   {{0x3fc301e7,0x827f0011,0xd91e00e4,0x5b2700e6}},	//   _wikinger_, _afunn_, _नानीहरुक, _文字的真实性_, 
   {{0x7e1900e6,0xd9dd000b,0xaa4f0517,0xd386026b}},	//   _为贯彻落实_, _hikomaga_, _psicodél, _kiero_, 
   {{0xb05900ba,0x327f0258,0x93f8032d,0xdb57022f}},	//   _دابڕێژرێ, _reuny_, _koduwa_, _вашаму_, 
   {{0x903501e9,0xc9c2012d,0xc75e00da,0xf12c0040}},	//   _bantlhan, _intenese, _опрееешт, _גלגולים_, 
   {{0x40fc00c5,0xeda60420,0xc2f20193,0x49ed00c6}},	//   _胶南市交通局_, _планинит, _पत्री_, _lysegrøn, 
   {{0x02a705be,0xa1590185,0xaf7204ac,0x0b6600c7}},	//   _borbu_, _сигналла, _подруги_, _прошкин_, 
   {{0xc1630071,0xe37c02af,0x77590162,0x00000000}},	//   _فائزه_, _batashe_, _بويۇنچە_, --, 
   {{0xa2da001a,0x828300ab,0x4bd804c7,0x4e8302b2}},	//   _ferenc_, _amokura_, _значило_, _родичів_, 
   {{0x0cbe015e,0x92940272,0x627e0331,0x88c805a6}},	// [1580] _кажет_, _abakopi_, _teinin_, _festning, 
   {{0x6082004c,0x52fc0430,0x675e0143,0x22a7042b}},	//   _abacondo, _nyaga_, _гимназии_, _torbu_, 
   {{0x7545003a,0x395202ec,0xeaa001f6,0xb224005b}},	//   _اندیجان_, _گٔنڈتھ_, _brukaren_, _panky_, 
   {{0xfc03038e,0x23f003a0,0x6037003c,0xe3940318}},	//   _lampung_, _belegang_, _مهرزاد_, _maisoa_, 
   {{0xd46f02e7,0x85f80191,0xa6050141,0x0f3b00bb}},	//   _kolehiyo_, _direktlä, _usullari, _شہادتِ_, 
   {{0xbad600c5,0xa85d015a,0xc0ff005a,0x5b880541}},	//   _中国国际广播电台_, _amanamuu, _choyajmo, _artiljer, 
   {{0xb3870279,0xec7103cf,0xdd9303d4,0xb39a0247}},	//   _jours_, _şirket_, _подвала_, _yésus_, 
   {{0x928e00d5,0x838c0019,0xc291017c,0xb26e0403}},	//   _ofisialy_, _тузем_, _jagade_, _hitodi_, 
   {{0xe6e4046d,0x348a023e,0xa3540095,0xf3e502c3}},	//   _rembuluw, _geofisik, _kasebat_, _spolujaz, 
   {{0xdcea0142,0x3387002c,0x4b38005e,0x3db6031a}},	//   _प्रमाणं_, _ilaran_, _ئاۋىئاتس, _churachd_, 
   {{0x23e0000c,0x4d0d009f,0x66d204eb,0x721901ab}},	//   _létra_, _snemanje_, _दैहिक_, _taskulam, 
   {{0xcead0590,0xfab90173,0x82fc0068,0x020e0361}},	//   _хүсвэл_, _বিদ্যালয়, _ayaga_, _закат_, 
   {{0x1c200261,0x29f80360,0xa1af0090,0xa81f03a8}},	//   _priskrib, _licencí_, _akamukum, _কািৰকিৰ_, 
   {{0xc27f022d,0x5e8d048a,0x920903db,0x53a00066}},	//   _stanca_, _шаршы_, _abahlwem, _академич_, 
   {{0xb46b01eb,0x43870279,0x4c5f032b,0x429102cd}},	//   _obtenido_, _cours_, _قورقما_, _bagade_, 
   {{0x7c370169,0x06c60041,0xa20d0143,0x849c02e4}},	//   _সংকটের_, _насыҧны_, _японки_, _dekadenz, 
   {{0xd0360205,0x92c104cf,0xd0c10307,0x0b750348}},	// [1590] _алимкент, _bahlala_, _bahlalel, _aleruuya_, 
   {{0x64860105,0xb46f01bd,0x7c6701be,0xb75a0374}},	//   _बुझाने_, _سكريپتسي, _nakupka_, _ливаннин, 
   {{0x61e10193,0x001a01d1,0xf39400f2,0xed15004d}},	//   _हजारो_, _providin, _seksam_, _liquefac, 
   {{0xd2920286,0x42360562,0xfc8c0040,0xf27f00b4}},	//   _abrabo_, _azoje_, _מהארון_, _franta_, 
   {{0xe24f0532,0xdb750006,0x7bba01c8,0xf989003c}},	//   _dogoditi_, _suaranya_, _velkého_, _سورینت_, 
   {{0x601e0040,0x526e02c1,0xe4b400ea,0x08fd0075}},	//   _הונגריה_, _intoki_, _manakaik, _adrastad, 
   {{0x23dd062b,0x1dfc03f3,0x839400dc,0x479502aa}},	//   _kapwa_, _verdient_, _gaisoa_, _diagnóza_, 
   {{0x51ca022a,0x5ed80051,0xa32103c7,0x00000000}},	//   _kretatik_, _skaistas_, _zabawę_, --, 
   {{0x92ee032d,0xc3e301eb,0xf5d30148,0x5277004a}},	//   _asafe_, _amirĩri_, _藝術品會說話_, _бауман_, 
   {{0x733c02b6,0xcfb4037c,0xc4bd0400,0xe2830103}},	//   _ايماقتا_, _protinus_, _associà_, _haikona_, 
   {{0x5dc8000c,0xe302005e,0xc2920181,0x8c0700f4}},	//   _amohenda, _ﺋﯧﻬﺘﯩﻴﺎﺟ, _sprain_, _alesant_, 
   {{0x2b670255,0x60da0518,0xb38601a7,0x040d0223}},	//   _कारने_, _پارکینسو, _koiran_, _gainditz, 
   {{0x52ee0295,0x7c610129,0x0b83005b,0x4387011e}},	//   _akonaki_, _mberede_, _fujimoto_, _sours_, 
   {{0x7062003b,0x738e0244,0xca3502a6,0x69820420}},	//   _anesitun, _versioni_, _tuscania_, _костур_, 
   {{0x73860377,0x979f020f,0xcf3b006d,0x627e02fb}},	//   _pierd_, _bentengi, _бiлiтава, _tuinga_, 
   {{0x30450400,0x2d2f0147,0x933400f2,0x6fad01a3}},	//   _impurtan, _اۋگۇست_, _nozarē_, _بگاڙڻ_, 
   {{0x874a009d,0x47bf01b4,0xac4000e6,0xc29e0040}},	// [15a0] _prizreni, _fauresmi, _并不构成投资建议_, _לוינסקי_, 
   {{0x16540243,0x7a5f0568,0xcc5a0234,0x2d700187}},	//   _makkaabi, _allmuges, _senturi_, _promessa, 
   {{0xe27f0229,0xcdf50416,0x928c0285,0xb2ee00dd}},	//   _fransa_, _credente_, _ahakana_, _crafu_, 
   {{0x6a9800d7,0xc386025c,0x73a900b9,0xff220125}},	//   _antikres, _tiere_, _jejaring_, _azalýar_, 
   {{0xb2e6024a,0xcdbf0309,0x22d90119,0xb9d70255}},	//   _adanida_, _regionla, _nocera_, _धनियां_, 
   {{0x84b80255,0x6ce40061,0x1d1700bb,0x00000000}},	//   _सिनेमाई_, _황사주의보_, _رندھاوا_, --, 
   {{0x0999000c,0x425a01c3,0x00000000,0x00000000}},	//   _ребекка_, _badlag_, --, --, 
   {{0x23fa0418,0x02b90044,0x72ec0195,0x363a0203}},	//   _kurulu_, _swedish_, _ceairde_, _derivabi, 
   {{0x92ee0372,0xc2d90125,0x2ecb0043,0x8cda00f4}},	//   _arafu_, _azaltdy_, _bakirwan, _dravideg_, 
   {{0xa292024a,0x827f0117,0xbe37011a,0xb34d0370}},	//   _daramo_, _nguna_, _explodes_, _belekok_, 
   {{0x6c0b01d2,0x4ff60299,0x82b6002b,0x0f5d0439}},	//   _akupana_, _بىزھەققى, _রোজগার_, _masakhan, 
   {{0x529201fd,0x3cea015d,0xc292024a,0x79b9019f}},	//   _abrazo_, _प्रमाणन_, _faramo_, _madereva_, 
   {{0x239504e5,0xc5f700c8,0x006d006e,0x2d8300ab}},	//   _abassa_, _армияла_, _demandoo, _kaimanaa, 
   {{0x7ff4030b,0x539403e8,0x6bd6062c,0xa95d01f9}},	//   _benyamin, _česen_, _चप्पू_, _amenyete, 
   {{0xd9210035,0x52480191,0xb386002a,0x3e180060}},	//   _эстетик_, _zooma_, _siere_, _көсем_, 
   {{0x8386044a,0x71160094,0xe98b02ac,0x1b28020e}},	//   _piere_, _جالباس_, _وأكبر_, _конькиҙа_, 
   {{0xe3cd008d,0x398300fe,0x22ee014d,0x3e1b01d9}},	// [15b0] _ватанини_, _faahinga_, _kraft_, _jugendha, 
   {{0x37d9008a,0x2f7a00d1,0xea010043,0x63150115}},	//   _lausilaf, _চিষ্টেমত_, _babafuga_, _muncung_, 
   {{0xbada042f,0xfee20193,0xeb7f01a6,0x227f007f}},	//   _taimatun_, _युक्तिवा, _itariana_, _beynon_, 
   {{0x479f0209,0x4c75013a,0x0c06021c,0xd27f021b}},	//   _katersug, _prisong_, _papriky_, _uransa_, 
   {{0xde4d0120,0x82f602e1,0x6bae00a6,0xb15300a7}},	//   _nagayina, _حفرالباط, _ekayakob, _مونتسەرر, 
   {{0x84970326,0x70b8015e,0x043e010f,0xd24801c9}},	//   _kuratidz, _туристти, _паҳни_, _rooma_, 
   {{0x43dd0380,0x928a0287,0x729202a7,0xfc4a0046}},	//   _ndawde_, _stromů_, _essaal_, _дипломдо, 
   {{0x7ec5029b,0xe38603a1,0x668200cf,0xc56400be}},	//   _jacopins_, _oneri_, _hindeebi, _وركەني_, 
   {{0xe63b01a7,0x938602d0,0x8e51024c,0x527f0097}},	//   _введите_, _chores_, _finanzja, _atanna_, 
   {{0x42d902f8,0x898b002e,0xd98b03a0,0x4b24022c}},	//   _akanete_, _preći_, _ikakanya_, _carponna_, 
   {{0x43fa011c,0xfa890180,0xb2d8023d,0x72e90313}},	//   _gurubu_, _fasilman_, _chiede_, _danidmo_, 
   {{0x7da501b5,0x827f0053,0xe6cf002c,0x98470013}},	//   _barisiwa, _nuansa_, _израилий, _карами_, 
   {{0x0f680033,0x990701a3,0x3ba00208,0x5212004b}},	//   _vacanzas_, _تعصبي_, _زیادبکه_, _emaho_, 
   {{0x82a700bd,0xb2a60242,0x62300255,0xc27e0037}},	//   _forby_, _tibbi_, _kaamera_, _ለማስታረቅ_, 
   {{0x72920028,0x4fde0161,0x920f02b0,0x001700ec}},	//   _darajo_, _водоросл, _fakultät_, _бхута_, 
   {{0xb00300be,0x76b700fb,0x00000000,0x00000000}},	//   _жоокер_, _singaphi, --, --, 
   {{0x557f0181,0x3c3b00d3,0x00000000,0x00000000}},	// [15c0] _lagersty, _हृदयघात_, --, --, 
   {{0x0068008d,0xbaf0021b,0x0c0c0234,0x77df018f}},	//   _журналин, _varustee, _ijarọ_, _jinasjaj_, 
   {{0xc9d00388,0x4c130111,0x03880096,0x31130021}},	//   _медии_, _abelianu_, _amasanam, _anikiway_, 
   {{0x82d800ff,0xd8e8028b,0x02fc0212,0x2bb90207}},	//   _ערדציטער, _ацәнакит_, _longum_, _علاوالدي, 
   {{0x9a230051,0x9c6100e0,0xbc7e0528,0xb35c0109}},	//   _darbinie, _fierste_, _friseal_, _सक्ला_, 
   {{0x9f730095,0x2e5c02c9,0x025a040a,0x226c00fe}},	//   _purbalin, _autorită, _samlat_, _fklou_, 
   {{0xf4220026,0x8320015e,0x2e21062d,0xee0f004d}},	//   _개인정보를_, _menys_, _primeros_, _中文標的名稱及數, 
   {{0x62920142,0x8202029a,0xd2010054,0xcbed0387}},	//   _paramo_, _dirize_, _kabilu_, _nkwonkwo_, 
   {{0x0291041b,0x12ef02fb,0xe5360517,0x133d0246}},	//   _osward_, _felihaa_, _rústicos_, _противен_, 
   {{0x42d904fc,0x027f018b,0xb2e60129,0x6f4002c2}},	//   _mayores_, _stanga_, _omenala_, _subskrip, 
   {{0xe3000184,0xaa6e0285,0x720102c9,0xe99000e6}},	//   _makambi_, _ntaganda_, _fizice_, _国务院法制办公室_, 
   {{0x738701a6,0x0a52004b,0x979702c4,0x8ebb031e}},	//   _pouri_, _batemona_, _циклус_, _širenje_, 
   {{0x3241015d,0x124800fe,0xa9c20034,0x48d2020f}},	//   _दलाली_, _hoomo_, _tilvitnu, _bezenkcu, 
   {{0x015d0101,0x1d670012,0xb6420372,0x00000000}},	//   _ofertelo, _कियैक_, _glanyraf, --, 
   {{0xb27f013c,0x4da002e1,0x00000000,0x00000000}},	//   _atanda_, _اشتهرت_, --, --, 
   {{0x227f00a9,0x54530041,0x42010261,0x105303db}},	//   _utanga_, _оқәымтәи_, _babilu_, _oliseben, 
   {{0x52b90040,0x3b6f0118,0x8bcc003a,0xc5cc0227}},	// [15d0] _חחחחח_, _amutuuma_, _кобилият, _tulangny, 
   {{0x9d3505ba,0x42240116,0xc26e02c9,0xc201037f}},	//   _स्वर्गीय_, _looket_, _capota_, _yeqin_, 
   {{0x04440092,0xb27f020d,0x29870316,0x030f008b}},	//   _ファンタジ_, _ifuni_, _alakanta_, _ecsamer_, 
   {{0xd12d00c7,0xdf6f0057,0x533c00d1,0xd70001ce}},	//   _тарту_, _ለመተግበር_, _ছদ্মবেশ_, _بدلیجات_, 
   {{0x8264025f,0xe3fa03ba,0xeecc0019,0xbd600012}},	//   _boulot_, _metuwa_, _албайсыз_, _गोसईन_, 
   {{0x7aa700b7,0xc2130119,0x499c0306,0xf918023d}},	//   _сайлап_, _mughal_, _akujmant, _cliccand, 
   {{0x9d440409,0x6212032d,0x1300001e,0x8a0a02af}},	//   _最近の記事_, _amahe_, _bakassi_, _baratuna_, 
   {{0xa61e008d,0xa3870065,0xf2fd062e,0x02a60342}},	//   _gaplashi, _klaren_, _hidimar_, _monben_, 
   {{0x338601d7,0xa9b1033e,0xba660187,0x60930291}},	//   _gieri_, _hendapet, _терминот_, _تطورت_, 
   {{0x320101da,0x00000000,0x00000000,0x00000000}},	//   _peqin_, --, --, --, 
   {{0xee1a00cf,0x45460377,0x5d460368,0x535205a2}},	//   _ameerika, _брашов_, _братом_, _उभयलिंगी_, 
   {{0x2ea001f2,0x6c6d0058,0x4a64029a,0x72640343}},	//   _мәхсус_, _balugik_, _boulvers, _coulee_, 
   {{0xd38103c4,0x3da30085,0xeaca0460,0xe4d70297}},	//   _террорлу, _sikotela, _मीटरींग_, _барасын_, 
   {{0x0e350163,0xf4850154,0x428d034c,0x4f240291}},	//   _kellemes_, _фуратэ_, _ayaktan_, _divergan, 
   {{0xd27f047b,0x7292046d,0x39fe02dc,0xe99201c3}},	//   _standa_, _faraho_, _machista_, _aachumme, 
   {{0x23860231,0x582000ff,0x9983002e,0x3c030050}},	//   _fieri_, _סמעטענע_, _građanin_, _lamping_, 
   {{0xbfbd0156,0x0e53000c,0xa24a01b3,0x00000000}},	// [15e0] _היבשע_, _ijobliga, _стояти_, --, 
   {{0x37ba02ab,0xd1440265,0xc5b600a2,0x62d900f4}},	//   _chorioni, _gastenbo, _kukabidh, _diberc_, 
   {{0xe1970044,0x9ff1016d,0x692c012e,0x30530219}},	//   _התואר_, _ﺋﯚﻳﮕﻪ_, _دانشمندی_, _aliseben, 
   {{0x82910449,0xf5680299,0x00000000,0x00000000}},	//   _lagane_, _تۇترۇقسى, --, --, 
   {{0xde2e0094,0x6ca4028a,0xd20000da,0xfa0e008a}},	//   _الداعىنى_, _تخمينو_, _numita_, _tamavale, 
   {{0xa9fb0010,0x9c5f0004,0x421201f1,0xe2a60342}},	//   _achashat, _septanm_, _njihni_, _konben_, 
   {{0xf5440010,0x226e000f,0x17dd0311,0x00000000}},	//   _bakhonkh, _kapora_, _ኣይረሳዕኩኽን, --, 
   {{0x95120244,0xe3870282,0x494c0396,0xe27e007f}},	//   _possesso_, _kouru_, _fotoelet, _leinin_, 
   {{0x28e800a5,0xdaa700d9,0x639501dd,0xc92c013b}},	//   _avasegag, _honkanen_, _abaswa_, _coscollu, 
   {{0xf2ee03de,0x59bc0022,0xd27f009c,0x29b400e4}},	//   _isifo_, _советтар, _aranwa_, _पर्वतमाल, 
   {{0x0291039e,0x5f920361,0xc26d0175,0x5c8501a3}},	//   _dagane_, _однокомн, _oktob_, _ترڪمينست, 
   {{0x22500073,0x927501c7,0x00000000,0x00000000}},	//   _externem, _dilimizi_, --, --, 
   {{0x220003ed,0x59c70135,0xf27804bf,0x6ad90156}},	//   _reais_, _баралар_, _putnik_, _אקאדעמיע_, 
   {{0x126e0009,0xb6d6023e,0x0c61041a,0xc37a0031}},	//   _zapora_, _هارمونی_, _nyttår_, _megapro_, 
   {{0x32cd01e1,0x86300037,0xb2ee00de,0xf27e010e}},	//   _angoang_, _የጥፋተኝነት_, _esifo_, _asinta_, 
   {{0xa200004e,0xd170031d,0xbba8027b,0x89c70361}},	//   _kumita_, _solidify_, _साधूनां_, _барамах_, 
   {{0x626400d6,0x03fa00bb,0x734b02e4,0xf90c00ba}},	// [15f0] _roulee_, _تریسٹھ_, _brieret_, _ناپاکییه_, 
   {{0xbf23021c,0xda0203c3,0xad5b0144,0x00000000}},	//   _objednan, _dijalekt, _فأجاب_, --, 
   {{0x32ee01ba,0x213b003f,0x296d01eb,0x916e015d}},	//   _grafi_, _bilesmeh_, _bipinnat, _प्रसंगों_, 
   {{0xd386045f,0x1181004d,0xf85b02aa,0x0ac901b3}},	//   _gjorts_, _嚴格檢查入托幼兒_, _senzorov, _гнізда_, 
   {{0x4c7e01b9,0xd1470094,0x49bf03f3,0x5d7f0322}},	//   _krisyal_, _фариза_, _samenste, _atambaye_, 
   {{0x127e062f,0xc27f04aa,0xcb62034a,0xa26e01cf}},	//   _laeng_, _ngune_, _contorna_, _sapora_, 
   {{0x7d1f045f,0xd803021c,0xd3870180,0xe20d005e}},	//   _beroende_, _samotný_, _kourt_, _بەرھەق_, 
   {{0xbf7302a4,0x19db01eb,0x9e1a02ee,0xfd390587}},	//   _turbolin, _amenása_, _potenzja, _contràri, 
   {{0x1a130630,0x5322019a,0x0a1402b1,0x7b0a0420}},	//   _bancnote, _rascals_, _fafaroma_, _милениум, 
   {{0xa20203e9,0x53860625,0x20bd0012,0xa2b402ea}},	//   _birine_, _mieru_, _उपजितिऐक_, _pancia_, 
   {{0x727e010b,0x21560145,0xf697000d,0x724801eb}},	//   _baeng_, _машына_, _nimetami, _jooms_, 
   {{0x41c70060,0x05c80076,0xbd9b0037,0xf63c048c}},	//   _داستانى_, _нареднит, _የገባሁት_, _bichlori, 
   {{0x1fa301b2,0xdde40158,0x3e14018c,0x00000000}},	//   _bisector_, _balkonie_, _regelmaa, --, 
   {{0x622a003e,0xfaf80276,0x0dd90081,0x1b350322}},	//   _мотал_, _تارانچىل, _borgarís, _barampis, 
   {{0xc2d500a1,0xfda60465,0xe27e0322,0x00000000}},	//   _rotorua_, _tovornja, _arinda_, --, 
   {{0xd248036f,0xad9d0220,0x0ccf0297,0x9f7a0013}},	//   _onome_, _monoloca, _baksañ_, _динларин, 
   {{0x427f0526,0x8da600be,0x0d5c0132,0x93f800a0}},	// [1600] _tuanya_, _بالاڭدى_, _مجسمے_, _alluna_, 
   {{0x216c03b2,0xc38605bf,0x46a6038d,0x52ed0034}},	//   _activity_, _dieru_, _kontinny, _tilgangi_, 
   {{0xca4f0072,0x4b67003e,0x92fa02e7,0xd148006d}},	//   _warmirus, _хашеме_, _ipahawa_, _ажыўляць_, 
   {{0xc9ee002a,0xde540140,0x9cf003ae,0x00000000}},	//   _itunanya_, _kasamaha, _mastergr, --, 
   {{0x02910240,0xb27e04d0,0x024800c3,0xb3ae0089}},	//   _tagane_, _vaeng_, _animos_, _şaxmat_, 
   {{0xccf10119,0x76390088,0xa28000e0,0x0aea024a}},	//   _hartberg_, _саналары, _neakene_, _omoleyin_, 
   {{0x527e0317,0xfd840086,0x32ef018a,0xfe4d040f}},	//   _tamno_, _kereslet_, _cryfa_, _lagamina, 
   {{0x2adb01bd,0x2125053f,0xa27402c2,0x83410452}},	//   _колледжі, _puriyaña, _versamel, _raperda_, 
   {{0x62cd03eb,0xf02300ff,0x132200f1,0xc1fd0310}},	//   _stelsel_, _באקטעריע_, _rasyal_, _chladach_, 
   {{0x933d01ec,0xa27e0037,0xe68c010d,0x9825034c}},	//   _ویوان_, _camne_, _भिकार_, _europağa_, 
   {{0xdfea015d,0xef080274,0x2227017a,0x22120107}},	//   _विभागों_, _snúast_, _васияти_, _amaha_, 
   {{0x8b7d05e2,0x89090145,0xff7000be,0x23010225}},	//   _atención_, _лекара_, _ايروپىلا, _maranuw_, 
   {{0xa37303d7,0x3e4202f4,0xebb10011,0xb27f030f}},	//   _dimande_, _embaraza, _atukubir, _muanga_, 
   {{0xce1702da,0x36b7016d,0xf38600ac,0x00000000}},	//   _значи_, _иһсаноғл, _samrti_, --, 
   {{0xbc09015e,0x12d801f7,0x62010125,0x927e0053}},	//   _либералд, _ancorat_, _beyik_, _taeng_, 
   {{0x2274026f,0xe62802aa,0x130900cb,0x00000000}},	//   _قوسلۋ_, _netušili_, _махмадса, --, 
   {{0x6e02011e,0x826402e7,0x214702ba,0x92900564}},	// [1610] _anzenera, _daplin_, _қадимаи_, _yunaf_, 
   {{0x4dc4018b,0x425a03c0,0xf39501fc,0xc92b01c3}},	//   _ultimele_, _samlet_, _caasna_, _discolou, 
   {{0xb2d802d0,0xf24800b5,0xb3500272,0xd38602c9}},	//   _skinned_, _anome_, _abatutum, _fiert_, 
   {{0x07be0192,0x304c02a4,0xe23702d3,0x620e0052}},	//   _토지문학공원_, _moduslin, _британиј, _penziony_, 
   {{0x5ddf00f3,0xacdf03db,0x51b301a7,0xb27e0317}},	//   _abakhule_, _abakhulu_, _голове_, _tamne_, 
   {{0xfa100119,0xf386047d,0x984b018d,0xb63901b8}},	//   _calabria_, _hiert_, _ውሕሉልን_, _जमाएकेँ_, 
   {{0x035f006c,0xc29101f0,0xe2120318,0x13a901ac}},	//   _bangase_, _bagale_, _emahi_, _أزهار_, 
   {{0xc26e0318,0x0ae202ef,0x599a0089,0x00000000}},	//   _aitoli_, _chalatan_, _аптырады_, --, 
   {{0x4c21031d,0x727e04d0,0x003f0321,0x322400f4}},	//   _drapery_, _ngenx_, _testenin, _dinkeg_, 
   {{0x0291018e,0xa41e005e,0x7ddd0060,0x1e520006}},	//   _adyaha_, _принсипи_, _қайтарып_, _menaikka, 
   {{0xadb70050,0x4d3601a3,0xa9db02db,0x338703a4}},	//   _blogsome_, _مفھوم_, _oganaesa_, _alarin_, 
   {{0x8e5505c7,0xf2e9016e,0x7d9b0218,0x43070277}},	//   _bigamije_, _pornosu_, _acancyva, _bombang_, 
   {{0x4a9a015a,0xc307050b,0xcbf60251,0xac33038a}},	//   _amantiis, _jombang_, _billaabo_, _educakuc, 
   {{0xe0d50238,0xf81900b5,0x6201019b,0x82240116}},	//   _журналу_, _ахабар_, _sveika_, _lookit_, 
   {{0x3383011e,0x72bb00c5,0x93f80631,0xa47c032d}},	//   _dinyite_, _demeure_, _skjule_, _enyeholo_, 
   {{0x88830272,0xbc190521,0x5db80046,0x1979036b}},	//   _abakunuu, _komunë_, _فۇتبولدۇ, _концесии_, 
   {{0x65290077,0xf477035b,0x162901b4,0x5d1a02ea}},	// [1620] _definisy, _obstajaj, _definisi, _repliche_, 
   {{0xbc9a01ef,0x625a03f3,0x237f0193,0x00000000}},	//   _абслугоў, _erelid_, _bolanya_, --, 
   {{0x03330632,0x81b30107,0xec150239,0x03cf0436}},	//   _अशाप्रका, _حاضرم_, _koropupu_, _zrtve_, 
   {{0x4f5b040b,0xabd1044b,0x1b820173,0x047e00a9}},	//   _balangan, _kundeser, _আপাতত_, _afatanij, 
   {{0x039500b0,0xbfb7048e,0x948600b9,0xe51103f8}},	//   _taasna_, _ventürs_, _तुतारी_, _masoptah, 
   {{0x557e02e5,0x41bc0185,0xd06100dc,0x00000000}},	//   _violació, _beterelä_, _sausauin, --, 
   {{0x5c0300bc,0x9db4020f,0x8e92004d,0x00000000}},	//   _rampung_, _غوڅوی_, _權利金每日最大漲, --, 
   {{0x123702c1,0x6c0302f6,0x80ef00d9,0x662802aa}},	//   _akimara_, _sampung_, _inhimill, _netušila_, 
   {{0x1335053f,0xd44a0192,0x5fff0092,0x7b6800a0}},	//   _cusconx_, _prijzenk, _pakkesho, _betuliya_, 
   {{0x002d028b,0xfb2e002e,0x6ab7028d,0xbc0b0008}},	//   _кристиан_, _dijagnos, _cinkapas, _despesa_, 
   {{0xb7f70148,0xcd11014f,0x0f910014,0x38c60315}},	//   _學生學習與產業連, _осталог_, _prodhuar_, _basetind, 
   {{0x1beb00db,0x3a9a001b,0x2cf40102,0x43860364}},	//   _मद्रासी_, _amansiis, _اثناعشري_, _tierm_, 
   {{0xbeb6005a,0xbcf000d3,0x337200d9,0xcdbd0139}},	//   _maruchbe_, _svetandr, _seksikum, _dinakare_, 
   {{0x7223019b,0x3f5401c8,0x02ec034c,0xa24a00c1}},	//   _любога_, _režimy_, _алпар_, _murmer_, 
   {{0x2aa30082,0x9de000dc,0x739403c6,0x029000af}},	//   _bankunan_, _melkonia, _haisma_, _bunad_, 
   {{0x86b202bb,0x220104e3,0xf2e9014b,0x00000000}},	//   _खस्ता_, _razinu_, _kirissa_, --, 
   {{0x5a8102ac,0xa3870339,0x5c6801eb,0xf96f0515}},	// [1630] _اليرموك_, _jiure_, _curuñi_, _reinfort, 
   {{0x6c670415,0x6d93013f,0x9b4d0074,0x961d0170}},	//   _betreff_, _dastumad_, _прогнозы_, _chingati, 
   {{0x153a00c7,0xbcd6020a,0x3ec20183,0x29110016}},	//   _stantsiy, _патшаға_, _dranaman, _antaŭjuĝ, 
   {{0xb725037e,0xadbb02d8,0x36d600de,0x8993005b}},	//   _pyntriem_, _kemitraa, _ناممکنه_, _bmwkasut, 
   {{0x6adf02c2,0xbc0500aa,0x639400f2,0xc9a10128}},	//   _reddings, _bentilas, _gaisma_, _masjidda_, 
   {{0xb2020633,0xa8a50019,0x00000000,0x00000000}},	//   _thrift_, _дубалга_, --, --, 
   {{0x9aa30082,0x45d70405,0xa2f8020f,0x00000000}},	//   _yankunan_, _нарешті_, _وګرځېد_, --, 
   {{0xb3870339,0x6bec019d,0xa2d801f1,0x8a8900ff}},	//   _kiure_, _aphethir, _ankesa_, _demision_, 
   {{0x33fa03cf,0x75330193,0xcb9c012a,0x937c0004}},	//   _kurumu_, _seenakny, _kontrolę_, _devaste_, 
   {{0x127e012c,0xa7530634,0x62cc01ec,0x78890035}},	//   _namna_, _grunnlag, _مهارتهای_, _заманала, 
   {{0x4b730261,0x96aa006d,0x532b0109,0xaed100c5}},	//   _komunuma_, _корпусам_, _गाँउले_, _positifs_, 
   {{0x3c2a060c,0x8d7b0397,0x00000000,0x00000000}},	//   _bicyklov_, _ayiminya, --, --, 
   {{0xab5100cf,0xe27e0365,0xb2d80040,0x47b300b5}},	//   _daimlerc, _kamna_, _פלייבקים_, _aposenti, 
   {{0x788b01aa,0xc52e01b3,0xfa5502ed,0x00000000}},	//   _aughterd, _мінздоро, _carcacía_, --, 
   {{0x5b5c0244,0xc9df00dd,0xe2ec031a,0x6b9701f4}},	//   _публично_, _addurned, _frainge_, _даракчи_, 
   {{0xbb0b0008,0xf4c80064,0xc9fb027f,0x5e4f0119}},	//   _resposte, _абаны_, _karatere, _nakatala, 
   {{0xa3fa01fe,0xd37900a7,0xba15005b,0x8b87002b}},	// [1640] _burumu_, _paraula_, _yamanaka_, _চাটতে_, 
   {{0xf27f00b0,0x17d000bb,0x5b9c0096,0xa1af0128}},	//   _uguna_, _گاہکوں_, _abazayob, _иденти_, 
   {{0x5488029c,0x733300e6,0xe4270294,0xd13c021c}},	//   _amaganiz, _未经授权禁止复制, _causakun_, _neplatné_, 
   {{0x1ab20532,0xa1e8010d,0x8533008b,0x2be700f2}},	//   _stavljat, _सन्माननी, _fésaloon_, _laulāto_, 
   {{0xc5e50148,0x73ea01bf,0xa27c011d,0xf37b023e}},	//   _趕快來加入我們一, _lukter_, _revistei_, _dedegé_, 
   {{0xd27e02d4,0x07f600ec,0x77de0109,0xfdad0207}},	//   _jamna_, _зрэшты_, _चालकलाई_, _kingunge_, 
   {{0x799d0060,0xf2a701ce,0xc056017d,0xa7fa01d1}},	//   _санын_, _nyebar_, _betragtn, _respectf, 
   {{0xf7490635,0xf2d90153,0x7fb30203,0x1c62008e}},	//   _венеры_, _øjnene_, _mollusco, _jaarale_, 
   {{0x727f0191,0xfea8018d,0xadaf011f,0x8bc600c7}},	//   _stanna_, _ዘይንፈልጦ_, _arenisca, _кузьмины, 
   {{0x423b017d,0xa610004d,0x83870097,0xf98c00ed}},	//   _cykling_, _acceptam_, _inura_, _ihahanda_, 
   {{0x61580397,0x42e60002,0x12ea0007,0xa2c70258}},	//   _бармегар, _stanova_, _bayindo_, _earlike_, 
   {{0x02000020,0xd65101b7,0x02c20092,0x908a01ac}},	//   _agaia_, _समाधौ_, _をブラウズする_, _معروفه_, 
   {{0xd0f300ff,0x41e6032c,0xc2010126,0x4fe60037}},	//   _פאָון_, _ameralik_, _steira_, _ፈላስፎች_, 
   {{0x4eb30244,0x63f801d2,0x62a7012b,0x73fa01e5}},	//   _potrebbe_, _alluka_, _torby_, _buruju_, 
   {{0x0386022c,0xa1df0636,0x1c030153,0x00000000}},	//   _damri_, _popravak_, _korsør_, --, 
   {{0xa1f10047,0x937b005a,0xee66027b,0xe38702eb}},	//   _订阅该问题_, _biradmo_, _संस्कृतश, _onura_, 
   {{0x560d0014,0x281c0052,0x0afc00d1,0x129000fe}},	// [1650] _ዘይተኣደነ_, _एक्स्पोज, _নিয়মত_, _lomaki_, 
   {{0x304501aa,0x76980276,0x70b60012,0x5a2d02ac}},	//   _overnmen, _турмушни, _सिहुला_, _للجدل_, 
   {{0xa8b70181,0x099d00ec,0xaaa30258,0x57e70053}},	//   _vestager_, _набыў_, _folkerts, _देवराई_, 
   {{0xb2910036,0x63860304,0x1dae02fe,0xb8470013}},	//   _sagart_, _zamri_, _اسمبلې_, _набавий_, 
   {{0x7394028a,0xd35d0595,0x6d3a0278,0x232400ff}},	//   _maisha_, _पल्लव_, _fadhilat_, _morgaŭ_, 
   {{0xb2f5032e,0x8f700125,0xb3fa0279,0x5eb100e0}},	//   _walinak_, _biçak_, _parure_, _sternsee_, 
   {{0x3acb0037,0x07e20074,0xb2c4048e,0xac96004d}},	//   _ቪዲዮዎች_, _kaupalli, _milmets_, _近月契約為_, 
   {{0x52480295,0xc0670282,0x32c60151,0x00000000}},	//   _foomu_, _takaokeo, _bowline_, --, 
   {{0xdd410044,0x42b10158,0xeafa003a,0xc9f50193}},	//   _רכשתי_, _जटिलताओं_, _tafsilot, _परिश्रमा, 
   {{0x551600b0,0xc2b40269,0x89680165,0x7a850090}},	//   _siilaany, _cancha_, _melikise, _asingamb, 
   {{0xdc530582,0xc2cb0437,0xb31b01b2,0xc394003d}},	//   _erutala_, _bredde_, _bancagh_, _baisha_, 
   {{0x3d2c01b8,0x36a90415,0xedd300e2,0x352c0166}},	//   _ravimite_, _herrlich, _boekebea, _legendär, 
   {{0xf3bb0622,0x00b202ac,0x72240347,0x92c5004b}},	//   _bakwega_, _واغفر_, _blokke_, _fehlile_, 
   {{0x526d005a,0xd94f036f,0x24860052,0x452703b7}},	//   _bitoy_, _razlicit, _बुहारी_, _affinity, 
   {{0xf2cb00e0,0x9ff10029,0x83fa018e,0xc67f037c}},	//   _tredde_, _کۆچبه_, _buruku_, _quadragi, 
   {{0xead201e7,0xe7f700c4,0x62b902ef,0x00000000}},	//   _bildauss, _رنڊڪون_, _fondtah_, --, 
   {{0x50700387,0x93940211,0x7b610061,0x00000000}},	// [1660] _ensaiklo, _naisia_, _한국광학회_, --, 
   {{0x0c8205f6,0x1c260158,0xd73004dc,0x52ce010d}},	//   _inneheld_, _ब्यौरा_, _بیزانین_, _diklaim_, 
   {{0x7c67013a,0xaaed0193,0x82f100e0,0xf85001eb}},	//   _getraff_, _cileungs, _delslach_, _mazurcas_, 
   {{0x4e8304ee,0x60960040,0xc1c9041a,0xdd8d0268}},	//   _abawanye_, _בשלושה_, _пошти_, _adfordra, 
   {{0x4d160098,0x827e028d,0x2edb002b,0x0ccc004b}},	//   _venligst_, _laenn_, _স্পেনীয়_, _миссияһы_, 
   {{0x7b700637,0x10f60427,0x2c6703e6,0x3a440213}},	//   _kwirinda_, _maligaul, _betraff_, _алатырь_, 
   {{0x449f002b,0xa27a00fe,0x4e5a022d,0x738601d3}},	//   _সাপ্লাই_, _kaniseli_, _adopranu_, _tierp_, 
   {{0xf202003b,0x627e03f6,0xf38b03f1,0x00000000}},	//   _akakuvum, _waena_, _súrne_, --, 
   {{0x43960527,0x927e012c,0x3d8d019b,0xcc7d004f}},	//   _turski_, _iringa_, _normalia, _diissoo_, 
   {{0xdf2403ff,0x727f00a4,0x020d023b,0x78cc026d}},	//   _avšak_, _guanya_, _inehinei_, _šarapovo, 
   {{0xc8950272,0x89a40190,0x896b00b5,0xfc44010b}},	//   _abakyabu, _kankania_, _aremivév, _digwaga_, 
   {{0x7d8702ac,0x25270244,0x56a200a6,0xf3b900af}},	//   _لازالة_, _maurizio_, _amatshey, _sievert_, 
   {{0x3a9102f0,0x62900261,0xa3f802a6,0x90420311}},	//   _beyibamb, _aneksis_, _andura_, _ብዝረኸብዎ_, 
   {{0x82780101,0x6e7a0397,0x6257014a,0x95fb01eb}},	//   _atunci_, _синдурак, _válni_, _jererekó, 
   {{0x427f051a,0xd03101a4,0xe9ee0188,0x8f690005}},	//   _duanya_, _contuien, _далелхои_, _attachas_, 
   {{0x63aa0402,0x20d301e1,0x3d3a0139,0xf41d01d5}},	//   _terasing_, _власы_, _acchinat_, _واہگہ_, 
   {{0x9c650638,0xeea5042e,0x2fca00c8,0x427e01d9}},	// [1670] _slettet_, _fokusere_, _дивизияһ, _haenn_, 
   {{0xaa83006c,0xa2000018,0x00000000,0x00000000}},	//   _abazonge, _lumisa_, --, --, 
   {{0x95d30169,0x5c9600ec,0xee3a0238,0xeb9a0156}},	//   _বিনিময়ে_, _мальты_, _опозиції_, _admiralo_, 
   {{0x0cfc02fe,0x82490031,0xa14600a7,0x92cd0487}},	//   _اقتصادي_, _nyampe_, _escripto, _ongoing_, 
   {{0x31b90056,0xa323056e,0xa27f02a0,0xc5e200c1}},	//   _дермонӣ_, _décimo_, _itanka_, _रहाण्यास, 
   {{0x985d021a,0x4ee901cd,0xb249034e,0x7db6005e}},	//   _amanamtu, _зулқарна, _ayampe_, _گۈرۈچ_, 
   {{0x472d024e,0xdc8401d2,0xada90203,0x425102a5}},	//   _uostalom_, _apallarq, _debilisa, _skladové_, 
   {{0xbe860059,0xcb7b00ad,0xa27f0116,0x1a870088}},	//   _трафик_, _nungguan_, _leanin_, _бурулчан, 
   {{0xa9fa0100,0x63680093,0x00000000,0x00000000}},	//   _skrivena_, _кхерам_, --, --, 
   {{0x92e602f4,0x786301a7,0x00000000,0x00000000}},	//   _plantea_, _кодами_, --, --, 
   {{0x1d38018d,0xf248052e,0x4200018e,0xcfef0297}},	//   _ትሕዝትኡ_, _gnomo_, _fumisa_, _абзарына_, 
   {{0xd7dd04bf,0x11040035,0x827f0138,0x6e670022}},	//   _odražava, _artırga_, _oranda_, _саммиты_, 
   {{0x52ab02c3,0xfc750044,0x32ad0475,0x13790418}},	//   _káble_, _arising_, _граффити_, _parayla_, 
   {{0xdf970410,0xa1ac00be,0x127f0288,0xd5cb03e4}},	//   _ditheriš, _ايعىرى_, _eranga_, _sumaptay, 
   {{0x8a6c003a,0xb27f034e,0xe27f0148,0xc7e901f4}},	//   _россияда, _asanta_, _agunt_, _кўкалдош_, 
   {{0x384c0192,0x1a5500e6,0xb09d0213,0xbc2f03b6}},	//   _알았습니다_, _中国农业发展银行_, _новостну, _isopọ_, 
   {{0x0d850639,0x1fe800c1,0x612f02b6,0x336d02e7}},	// [1680] _permulaa, _थोडाफार_, _амалсыз_, _halumigm, 
   {{0x6364005e,0x253e010f,0x98600109,0x9d9e030f}},	//   _ئۈجمە_, _милисаҳо_, _बानेश्वर_, _pekepeke_, 
   {{0x5290063a,0xe27c008e,0x6112026f,0x584c0217}},	//   _munan_, _yëngu_, _اۋلداستا, _statutos_, 
   {{0xe68f0179,0xbc740523,0x693a0291,0xc3870319}},	//   _lezenodi, _होल्डर_, _معطيات_, _piura_, 
   {{0xd6140238,0x25080285,0x29480179,0x55070039}},	//   _складаєт, _agatsiko_, _seglofot, _хардаад_, 
   {{0x227f0390,0x330e0277,0xc3870387,0x4b4000d0}},	//   _iranda_, _heralds_, _inuru_, _шэрон_, 
   {{0x5cef003a,0x320003d5,0x2eb903c6,0xfdbd028b}},	//   _مسئوللری, _agaid_, _deromhin, _hetereív, 
   {{0x8c6e018a,0xb38d0465,0x71e601c9,0xaae00065}},	//   _meirion_, _časovni_, _गुलरी_, _geltende, 
   {{0x3290063b,0xc480012a,0x3602020a,0xdd2c0156}},	//   _kunan_, _सेनाओं_, _جولاۋشىل, _מפֿקיר_, 
   {{0x321200d6,0xda9801ba,0x22900074,0xc4970061}},	//   _zmahh_, _dezinves, _junan_, _그린페스티벌은_, 
   {{0xc290023d,0xc27f01da,0xa2f20388,0xc35b027e}},	//   _domani_, _pranga_, _скрап_, _kengura_, 
   {{0xc155042a,0xb9870420,0x63160222,0x226e0145}},	//   _basemapl, _приемен_, _sunnking_, _patogi_, 
   {{0xfc55001d,0x18750105,0x527e0048,0x8abd0208}},	//   _gemtime_, _धनकुबेरो, _asinza_, _ویندا_, 
   {{0x6290017e,0x2301028f,0x00000000,0x00000000}},	//   _nunan_, _taranui_, --, --, 
   {{0x82d80079,0x72f5045e,0x0c8801cd,0x4c5a0243}},	//   _hokeja_, _туризъм_, _мундариҷ, _baatili_, 
   {{0xdd9d014a,0x447a00e6,0x25f10038,0xc5ae0506}},	//   _receptje_, _中国文学艺术界联, _дәвләт_, _eggstokk, 
   {{0x7b5b016d,0x9e3c00d1,0xc6c4004c,0x63a102ff}},	// [1690] _ھەرۋاقىت_, _গ্ৰামীণ_, _bawaanyi, _paspouki_, 
   {{0x0fb400d9,0xb5ad019e,0x15b90059,0x727f02ac}},	//   _платье_, _арабская_, _нормална_, _buanna_, 
   {{0xc27e0006,0x06cf0244,0x1a4501db,0x79c70013}},	//   _isinya_, _изнасилв, _شعارۇلار, _пакана_, 
   {{0x1b23014f,0xff370187,0xd4e80178,0x127f0110}},	//   _простору_, _анкетата_, _amarṣī_, _uguns_, 
   {{0xf69700a6,0x74ad0037,0x00000000,0x00000000}},	//   _بدنامه_, _ፓንክረስት_, --, --, 
   {{0xeecd006f,0x62000528,0xae460220,0xe30e010d}},	//   _wasilian, _agiis_, _агенцият, _seratus_, 
   {{0xb30e0429,0xa3fe04bd,0xd16303c1,0x34b50059}},	//   _peratus_, _kumukahi_, _позира_, _страхоте, 
   {{0x377f016d,0x103e0272,0x95440060,0xe3700061}},	//   _ئەگرى_, _abatasin, _بىلەسىز_, _윗몸일으키기_, 
   {{0x01470368,0xc3bc01ee,0x27d00095,0x00000000}},	//   _забирай_, _губернии_, _بیلبورد_, --, 
   {{0xdf550276,0xdc4b0305,0xe27f01fa,0xa33d04dc}},	//   _турмуши_, _statleg_, _huanoa_, _دیبان_, 
   {{0x6a950053,0x257701a3,0x6b9c00f2,0xe2d60138}},	//   _स्वीकारल, _جهڙائي_, _kontrolē_, _motorun_, 
   {{0xa65802e8,0xde4f036c,0x63870054,0x00000000}},	//   _anokwani, _ampandoa, _izarsa_, --, 
   {{0x5ae602f1,0x0e9504f9,0x2721029e,0xdf5b0239}},	//   _estudant, _naammann, _arallrev, _mamaetan, 
   {{0xd2d8026a,0xfb5b00a8,0x42010318,0xd29801d9}},	//   _dikeva_, _defuncta_, _iteita_, _chancë_, 
   {{0x55770036,0x6b390135,0xc27f01e6,0x72da0450}},	//   _indinéis, _проектла, _sranda_, _auwerk_, 
   {{0xa75400d1,0x33860079,0x83860111,0x826f01d2}},	//   _অধ্যাপনা_, _miers_, _pieru_, _bilisipi_, 
   {{0x88fb0326,0xd9fb0326,0xc202001e,0xb3860347}},	// [16a0] _achanyad, _achanyat, _jaridu_, _eiers_, 
   {{0x6e430285,0xc38703c7,0xc3940321,0xfd49023c}},	//   _ambasade_, _biuro_, _obiska_, _همغږۍ_, 
   {{0x6c58053f,0x7ff10287,0x3ff30444,0xac60011b}},	//   _partejj_, _सिल्भीको_, _мельнико, _kafumba_, 
   {{0x6c090071,0xb2900456,0xa26c0487,0x32e1004f}},	//   _سوزاندن_, _arnab_, _venous_, _mbindum_, 
   {{0x434702ad,0x86430195,0xc2900018,0x43a7004a}},	//   _panenka_, _creidmhi, _tomani_, _балигъ_, 
   {{0xee5a0074,0xd89602cf,0x00000000,0x00000000}},	//   _варианто, _таксито_, --, --, 
   {{0xa2bf0265,0x697c0135,0x72d904e7,0x69ee01d2}},	//   _ramdisk_, _форумыны, _bojnice_, _ashishqa_, 
   {{0x5f3902d4,0xc24903af,0xa2a600b6,0x72fe0455}},	//   _actualma, _champs_, _gabbi_, _cerises_, 
   {{0x07f60036,0xcc2700d5,0xb99500ba,0xc4f80060}},	//   _تعبّر_, _fanatitr, _رووخا_, _جازالاسى, 
   {{0xbec9007b,0x9dca0066,0xa3ea007b,0x86b10093}},	//   _spindles_, _бичүүлэх, _baited_, _ивановна_, 
   {{0x8ae501cf,0x4951001c,0x538702eb,0xca5e0224}},	//   _claudent, _bayolent, _izarra_, _aftengja_, 
   {{0xf8c400bf,0xbd950240,0x8e35001e,0x738603da}},	//   _перевозк, _kailaaaa, _jarabawa, _ohere_, 
   {{0x825b015d,0xf239038a,0x72a603f0,0x00000000}},	//   _mialem_, _formapi_, _dabbi_, --, 
   {{0x0eb20191,0x25bb003f,0x6dd001b3,0x23890350}},	//   _leverans_, _daladtah, _острову_, _የአባቴን_, 
   {{0xc9fc003b,0xee96001d,0xa2d5011b,0xe27e0187}},	//   _buyakwat, _subtenet_, _motonda_, _brinca_, 
   {{0xffdd02b6,0xbdb80005,0xe95a009a,0x7f5304c8}},	//   _талабына_, _vinavant_, _ekulwele, _bengħisa_, 
   {{0xd3860116,0x327e026c,0x00000000,0x00000000}},	// [16b0] _wiers_, _paene_, --, --, 
   {{0x46ab02ec,0xabf601c5,0xcd86020e,0x00f6014a}},	//   _آفتابٕچ_, _tallaabo_, _шарындағ, _سٹیفن_, 
   {{0xe27f0194,0x027e022e,0x12ca00af,0xc3a90343}},	//   _franca_, _trinca_, _hunder_, _gitambag_, 
   {{0x98b30343,0x11630125,0x62a600cf,0xf27e013d}},	//   _diktador_, _сучун_, _cabbi_, _abonas_, 
   {{0xb3c40143,0x9d6c0381,0x82d5011b,0xab8901d2}},	//   _старозаг, _animalwa, _kotonda_, _hemicirc, 
   {{0xc2e300df,0x13860129,0xd5d80164,0x3af0025b}},	//   _famille_, _ihere_, _мәңгү_, _lærisvei, 
   {{0xf202011d,0x081601e0,0xf2d8059e,0x8290019d}},	//   _rutier_, _ئاندریا_, _etheni_, _bomali_, 
   {{0xc386008c,0x12130047,0x83ec03f1,0x26b7013a}},	//   _viers_, _poches_, _schodisk, _aussiich, 
   {{0xa38604ee,0x62fe02f3,0x79110071,0xd9ab00e6}},	//   _chere_, _berget_, _پیازچه_, _méditati, 
   {{0x4ea30101,0x527f033a,0x68ed0162,0xc7d202bd}},	//   _suplimen, _franza_, _болалайд, _aberteif, 
   {{0xd386005b,0xaa1e00c7,0xc4e50291,0x78c502dc}},	//   _iherb_, _диния_, _أوضحت_, _potestad, 
   {{0xa3f80353,0x0c0400a2,0xd9fa0003,0x00000000}},	//   _tomuto_, _hamsini_, _totstand, --, 
   {{0x8248001f,0x93860079,0xdef802e4,0x9c7500a8}},	//   _nnoma_, _siers_, _drawwiet_, _arquint_, 
   {{0x30fb063c,0x5388028b,0x2f2e020e,0x8ede030b}},	//   _उच्चाधिक, _bueycha_, _кисле_, _amuyambe_, 
   {{0x860b029a,0x32d5035b,0x12d901f7,0x296c022e}},	//   _rekonsti, _vrhovno_, _ancoras_, _affissat, 
   {{0xfb11063d,0x00000000,0x00000000,0x00000000}},	//   _klageins, --, --, --, 
   {{0xbe62014e,0xdd350277,0xb2910016,0x31020158}},	// [16c0] _регистру, _barnhart_, _debato_, _kulturą_, 
   {{0xb2610533,0xd177022c,0x11f500cb,0x3b5103b5}},	//   _cíosa_, _cihampel, _курона_, _rindukan_, 
   {{0xf38603b2,0xeb5a0041,0xec70063e,0x85ff0449}},	//   _where_, _аҩынтәтә, _uporabu_, _grmljavi, 
   {{0xd381019d,0xc06501e8,0xe57f004c,0x0ca900e6}},	//   _adayang_, _bilanggo, _alutagiz, _临沧就业论坛_, 
   {{0x94710485,0xd27802c1,0x96d60071,0xc3070057}},	//   _storebæl, _utundi_, _زايمان_, _lombong_, 
   {{0xdd90031a,0x95b10192,0x127f00b4,0x62ca03ae}},	//   _seallada, _제주특별자치도_, _branza_, _ryddig_, 
   {{0x8a0b00c8,0x4d9a0302,0xa71e0205,0x00000000}},	//   _baratuoa_, _абхозист, _оролбўйи_, --, 
   {{0x4d3a010b,0x6fe8004d,0x37a90299,0x126e011b}},	//   _boripane_, _密切觀察疫情進展_, _بوھتان_, _matoyi_, 
   {{0x9b13018b,0xa5cb028b,0xc3160059,0x03df049e}},	//   _антиромы, _астратег, _inizia_, _pátranie_, 
   {{0xbb7f02ce,0x4b2c03a1,0x94b500ee,0x42f50301}},	//   _ngaranna_, _количкат, _probintz, _treninq_, 
   {{0xd27e0160,0xe285040b,0x4c6e0028,0x829100ed}},	//   _radnih_, _mushumo_, _geerida_, _bagahe_, 
   {{0xeda401df,0x128e023b,0xfcb70205,0x93a20424}},	//   _insulted_, _diakono_, _قالدیق_, _cumpar_, 
   {{0xa27e0369,0xd386002a,0x88b9021b,0x53aa0347}},	//   _kaena_, _uhere_, _заставил, _berading_, 
   {{0xabb90037,0x1a23032d,0x13b402ac,0x23870046}},	//   _የገረመኝ_, _почетлы_, _منهارة_, _riure_, 
   {{0x127e0211,0x587901de,0xa38704ca,0xc317005b}},	//   _kuinka_, _بادىزدەگ, _quercy_, _tsubaki_, 
   {{0x9b700233,0xab96052c,0x551700b7,0xc7fc01a7}},	//   _illumina_, _عوبێد_, _ваклады_, _блоге_, 
   {{0x82610063,0xf31d005b,0xbec60119,0xdc92021c}},	// [16d0] _píosa_, _akachan_, _kasirign, _modelkou_, 
   {{0x8a990287,0xaf29014b,0x0bc60137,0x1ae00218}},	//   _situací_, _kaltamma, _лийртэй_, _attempts, 
   {{0x6de900e4,0x8eaa00e6,0x62d804b4,0x73950015}},	//   _आयुष्मान_, _大兴求真务实之风_, _skiene_, _naaska_, 
   {{0x727f0292,0x3e4f02f6,0x4c200396,0x6d9e01b5}},	//   _afanan_, _makasala, _appostlu_, _kekereke_, 
   {{0xf2a70128,0x727801e5,0xfd3e0024,0xcfa90297}},	//   _балога_, _atunbi_, _skrivast_, _арбитрла, 
   {{0xd99503db,0xd3660281,0xf236002e,0x127f0264}},	//   _abahlala_, _flugten_, _brojni_, _huanca_, 
   {{0xdf4b0025,0x9f5c02cd,0x526e009d,0x1f650033}},	//   _asipatra, _albarkan, _patozi_, _apparain, 
   {{0x88fb04ec,0x22a60241,0xb9830204,0x00000000}},	//   _caraseru, _cabbu_, _linkitet, --, 
   {{0xf533056d,0x945e0089,0x527e0121,0x00000000}},	//   _efunekay, _даниядән_, _faena_, --, 
   {{0xd26401b9,0xba790089,0xf3860176,0x00000000}},	//   _boulle_, _farazlap_, _gaeri_, --, 
   {{0xa9e700da,0x4f2d003d,0x9fc30437,0x5e730287}},	//   _матернэ_, _rosellin, _bilister_, _यसर्थ_, 
   {{0x3365013d,0xd8990037,0xc5040322,0x43790407}},	//   _komentoj, _አሸንፈው_, _ahamagay, _ostatka_, 
   {{0x6c0503f0,0x5a730041,0xfdb40144,0x634701f4}},	//   _forseti_, _aguĩva_, _لوجود_, _شاگرددن_, 
   {{0x73b00119,0x2a390444,0x66320315,0x12130195}},	//   _treviso_, _решении_, _aphindzi, _dochas_, 
   {{0x283e0037,0xa24800c3,0xa5dc0392,0xc0720453}},	//   _የደኅንነት_, _animis_, _bracadal_, _bugarsko, 
   {{0x43860382,0xa284013b,0xcb0b015e,0x027e0097}},	//   _acores_, _alghero_, _стилди_, _irinna_, 
   {{0xdd4e005a,0x427f01c2,0x3dca0291,0xb59400de}},	// [16e0] _dibahqoq, _granxa_, _شكشوك_, _babenoph, 
   {{0x1e0002b0,0xf2df045f,0x7a0c0096,0x927e0155}},	//   _gemeinsa, _ledning_, _abashimu, _brinna_, 
   {{0xe0e50178,0x37c50059,0x92e10092,0xac670227}},	//   _विभीषण_, _страдани, _sprintf_, _bulunya_, 
   {{0x62c20387,0x89750092,0x6a05019f,0xa2df03f8}},	//   _epelata_, _楽天ブログ_, _jambonet, _masotqu_, 
   {{0x626e046d,0xb533034f,0xec0502aa,0x154703d4}},	//   _matoni_, _afunekay, _dobroty_, _uračunat, 
   {{0xc1420211,0xfbe5038b,0xf50802ac,0x17350259}},	//   _утрам_, _dipengar, _هناااااا, _bellemag, 
   {{0xdcb40440,0xa20002a7,0x13f8025f,0x370701ee}},	//   _ndayakir, _ngain_, _koluka_, _кампани_, 
   {{0x95c604b6,0xf0bc02ec,0xbe530040,0xcb78004f}},	//   _abepisik, _کاسہِ_, _סטרטר_, _jingéen_, 
   {{0xd3fa0223,0x72920216,0x832403f8,0xa03801a9}},	//   _lotura_, _eswaku_, _huschoh_, _sugerimo, 
   {{0x527e0550,0x48990037,0x60ee013f,0xe9bf001a}},	//   _hymno_, _የሚከፈል_, _bouzello, _emlegete, 
   {{0x238603a6,0x99df0162,0x426e0165,0x1c1b000a}},	//   _mbere_, _سەندە_, _katoni_, _ammariar, 
   {{0x3860063f,0x23f401a6,0x5bfc003d,0x00000000}},	//   _बालेश्वर_, _rautao_, _congombr, --, 
   {{0x438603da,0xe2d8003e,0x750d001c,0x2919013a}},	//   _obere_, _lokela_, _rebolusy, _blackand, 
   {{0xbbaa02ec,0x9387005b,0x3ced0092,0xe7b503a4}},	//   _پروازس_, _miura_, _代表取締役_, _danskari, 
   {{0xaaab0026,0x42490292,0xf20100e3,0xec060203}},	//   _비밀번호를_, _ayamye_, _baziku_, _preskau_, 
   {{0x39f803dc,0xf290046b,0x00000000,0x00000000}},	//   _kristind, _arnaf_, --, --, 
   {{0x29f401d2,0x338702d4,0x34920145,0x37ef016d}},	// [16f0] _allín_, _giura_, _нейтрона, _пәстә_, 
   {{0x2324003f,0xcfdc0198,0x00000000,0x00000000}},	//   _buschoh_, _milijono, --, --, 
   {{0x2c77025c,0xf39504d8,0xa3450371,0x00000000}},	//   _falsche_, _yaasha_, _coperte_, --, 
   {{0x32350287,0x9aa40242,0x938604ee,0x5c5501ec}},	//   _olomouc_, _tikintis, _ebere_, _bentuke_, 
   {{0x32920087,0x4e650148,0x11dd0444,0x42e80403}},	//   _aswaku_, _只限在學生_, _прислали_, _hodiana_, 
   {{0xe8610092,0x0387020b,0x82d80022,0xcf1c00e7}},	//   _と思いました_, _diura_, _fokela_, _arguedwa, 
   {{0xb27f00a1,0x41c702fe,0xca090177,0x03710211}},	//   _oranga_, _داستاني_, _аиҕьтәра, _allekirj, 
   {{0xc3ee01ec,0xb20000a1,0x5a7703a2,0x18f5002b}},	//   _مسافران_, _ngaio_, _भीमभेर_, _বুদ্ধিবৃ, 
   {{0xbe39011e,0x3d1e0148,0xedee00c4,0x5c34058b}},	//   _anbarasa, _文化資產叢書_, _ڪمپوز_, _iskaznic, 
   {{0x82e9012b,0x687601bb,0x33ee0361,0x92910240}},	//   _biznesu_, _almandyr_, _ударени_, _wawale_, 
   {{0x5291033f,0x8b9d0059,0x2058018d,0x429002cd}},	//   _aeaaia_, _временна_, _ብምሉኦም_, _aunai_, 
   {{0x9202022d,0xa48003a2,0x7784027b,0xb2fe0046}},	//   _marinu_, _रेवाड़ी_, _विशरणगत्, _ferides_, 
   {{0x93770060,0x721502ec,0x1587029d,0x127f0290}},	//   _مىسال_, _صداقٔژ_, _дискул_, _buania_, 
   {{0x28a20205,0xc01b01b5,0x9a830066,0xe39501ef}},	//   _انتظارنی_, _enkwamen, _sinisten_, _амонаўцы_, 
   {{0xf26d0488,0x5e300305,0x326702f9,0x00000000}},	//   _aktos_, _pingvina, _finansyè_, --, 
   {{0x538604c0,0x020203da,0x7a9800b9,0xc2900028}},	//   _abere_, _ntukwasi_, _berinves, _hufan_, 
   {{0xec680174,0x590200e6,0xca9a0344,0x0e4f01e8}},	// [1700] _swerego_, _国务院建设行政主, _franskis, _makapala, 
   {{0x02ca0115,0xdc0c024a,0x9de9004d,0xa5b002e4}},	//   _dailami_, _idarọ_, _電話報案正確觀念_, _ghandkom_, 
   {{0xbc76011f,0x7d8d0087,0x9e500192,0xf290029c}},	//   _guarani_, _ahivanhu_, _오마이뉴스_, _timati_, 
   {{0xf51e00a9,0xc5060115,0x027f0138,0x1a650344}},	//   _birorosh, _hormatny, _oranla_, _clemmens, 
   {{0xaf640501,0x89c203f0,0x9291008e,0xb6490311}},	//   _प्रकाशना, _fundarst, _ifaada_, _ስፓርክስ_, 
   {{0x7a2800c4,0xac180153,0x29db0348,0x729501be}},	//   _ربطيات_, _アフィリエイトで, _asanyusa_, _deskami_, 
   {{0xb2e90313,0xf50f0054,0x607700e6,0x7eaf02fd}},	//   _danihmo_, _abdourah, _广西医科大学学报_, _safeways_, 
   {{0x0d3a0076,0xf1590366,0x6b000096,0x7e510074}},	//   _contrári, _самоучит, _amasegit, _особые_, 
   {{0x9c000005,0xac20014a,0x135e019d,0x29440153}},	//   _questas_, _versenys, _bakukhum, _ハンドクリ_, 
   {{0x92fc022a,0xe2da0541,0x2caf033d,0x592e0421}},	//   _avigo_, _poseta_, _enjeniè_, _firmenve, 
   {{0x5c0c03b6,0x549c0360,0x24a00418,0x9a91003b}},	//   _adarọ_, _natočil_, _kalması_, _beyihamb, 
   {{0xe9830184,0xda47022f,0xf40e0076,0x00000000}},	//   _abahinga_, _дружна_, _подновен, --, 
   {{0xa27f0108,0x56bb0097,0xa7d403b7,0xa200005b}},	//   _maung_, _lẹsẹsẹ_, _ariroluf, _eaiif_, 
   {{0x94e400bf,0xb5da0006,0x02960640,0xa27f0309}},	//   _случаев_, _akibatny, _suradnji_, _iranla_, 
   {{0x227e014a,0x8709015e,0xb05700da,0x6290050a}},	//   _szent_, _берилип_, _angajato, _mimari_, 
   {{0xb2e603ba,0x43f4033f,0x8bca0246,0x00000000}},	//   _blinzen_, _fautoo_, _павликен, --, 
   {{0x0de703ab,0x5f4503af,0x3bed05a6,0x0815020a}},	// [1710] _rodinné_, _période_, _kraftver, _бурабай_, 
   {{0xf2c402c2,0x433100bf,0x0ae6006e,0x17a101ad}},	//   _nommers_, _вторично_, _estraate, _nakukuri, 
   {{0x4290035e,0x4f6401be,0xc9bd01d5,0x249000f8}},	//   _dunav_, _प्रकाशला, _belekeve, _এগুতে_, 
   {{0x541e0046,0xb30502d3,0xdc6e0227,0xbe7300bb}},	//   _принциби_, _coragem_, _gemuruh_, _خداؤں_, 
   {{0x5e4e02f3,0xef4500e2,0xbec40019,0x00000000}},	//   _behandla, _fassinea, _бътъръъч, --, 
   {{0xd27e0474,0x9cae0310,0x6340038e,0xf985046f}},	//   _nyene_, _farsaing_, _tukeran_, _inviteie, 
   {{0x1363005a,0x985c042c,0x1ad603f2,0x00000000}},	//   _bongach_, _prezadov, _чистоты_, --, 
   {{0xc2bb01b8,0xa37b01b7,0x2b950125,0xe196020a}},	//   _ostetud_, _आर्याष्ट, _мыдарым_, _سۇننيتتە, 
   {{0x52490108,0xb2ca0068,0x4b6501c2,0x926e0362}},	//   _ciamis_, _caalami_, _villagar, _batoli_, 
   {{0x6d7801db,0x9c730119,0xd27e017d,0x67cc0166}},	//   _ءبىيدى_, _opisina_, _miinto_, _pressemi, 
   {{0x426d027e,0xc3f80076,0xf9a1003c,0xd1030414}},	//   _otvore_, _coluna_, _بلبرینگ_, _bankolel, 
   {{0x12fe0218,0x1fda0090,0x49e20086,0x59fd0223}},	//   _aapgay_, _akazotan, _نائيک_, _aparailu, 
   {{0xf2130269,0x77c2000d,0xb2900328,0xd3a20073}},	//   _noches_, _operatii, _bimari_, _rumper_, 
   {{0x83f700bf,0x02ea026d,0x7eb800e6,0xc958018d}},	//   _хранить_, _moznost_, _直辖市和计划单列, _ዝሰማምዕሉ_, 
   {{0x0d8e00c5,0xa3940210,0x3c2d0144,0x35a3006e}},	//   _可以并处罚款_, _amoses_, _chraenac, _jankonté, 
   {{0x330803bd,0xb9c50371,0xf848018d,0x8ea40017}},	//   _trabaho_, _riservat, _ብሄራውን_, _posunete_, 
   {{0x95440532,0xc9f700d1,0xb292010d,0x9c660181}},	// [1720] _poslužit, _ইঞ্জিনটো_, _espass_, _slettes_, 
   {{0x23f80242,0x69fa0168,0xe2d90160,0x9a170354}},	//   _yoluna_, _motstand, _pocela_, _териккәк_, 
   {{0x5e930087,0xc576022f,0xa238012c,0x73940294}},	//   _hlomisan, _трусаў_, _dhamiri_, _honsiu_, 
   {{0x91c1000d,0xc30703b2,0x384c0344,0xa7c70388}},	//   _गिरहस्थी_, _bombing_, _filmiliu, _реагират_, 
   {{0xed7700e1,0x87760025,0xc3c60076,0xb38a0350}},	//   _brumaire_, _प्राचीना, _фросина_, _መሠረቱን_, 
   {{0xa29203b9,0x32fc011c,0x1cdd0282,0x89870320}},	//   _jawart_, _congam_, _houkamau_, _mathikit, 
   {{0xbafc002b,0x03710264,0xa19f0234,0xb3f8020e}},	//   _বর্মন_, _ighatag_, _kòjòkú_, _hodula_, 
   {{0x7c140013,0x9fe6027d,0x4ee802e7,0x00000000}},	//   _شوونی_, _христу_, _magkakan, --, 
   {{0x62da04bd,0xeaa900c8,0xecae00db,0x70ec04ae}},	//   _losepa_, _теремек_, _hinganud_, _колоквиј, 
   {{0x027f00ad,0x02d00242,0x727e0138,0x22370388}},	//   _saung_, _azalır_, _cennet_, _chimica_, 
   {{0x9f0500d1,0xb5b80235,0xf8b004df,0xccf500b9}},	//   _উপযোগিতা_, _annadasy, _albaniýa_, _लिंकवर_, 
   {{0x9a9d0094,0x907100d1,0x727f02c7,0x19f60392}},	//   _اقىردىم_, _অনুসৰিহে_, _laune_, _ghròt_, 
   {{0x738702d4,0x00000000,0x00000000,0x00000000}},	//   _giuru_, --, --, --, 
   {{0x5248005b,0xee4c03c0,0xbd9f0152,0x00000000}},	//   _roomy_, _etablere_, _тәрбияче_, --, 
   {{0xbbd1019d,0x3c7d022b,0x127f02c2,0xb37802db}},	//   _wanderer, _spurdir_, _taung_, _sumatin_, 
   {{0x5df501f1,0xe2d203ac,0x03790244,0x303101a3}},	//   _mendimet_, _khatimah_, _istanza_, _ڪهاڙيون_, 
   {{0x5f6f00d1,0xf27f023e,0x82df00ad,0x86bb0097}},	// [1730] _হৃদপিণ্ড, _raung_, _bolokot_, _pẹrẹsẹ_, 
   {{0x520202bc,0x19b70153,0xbdb1010b,0x79b40350}},	//   _casius_, _から修正依頼を出, _gobadiwe_, _ለመድገም_, 
   {{0xd15003db,0x7db4005e,0xb54405ad,0xcf9400bc}},	//   _impendul, _سوغوق_, _posluživ, _aréal_, 
   {{0x6c3501b2,0xb27e01c6,0x331b007e,0xdb200594}},	//   _cowardic, _wennet_, _aurasā_, _symaskin_, 
   {{0x76720016,0xcdc0012a,0x4867001d,0xad2c029e}},	//   _פֿעלקער_, _regionie_, _enprenis_, _auxiette_, 
   {{0x071701cc,0x596b0347,0xb55400ff,0x5dad0462}},	//   _ahesuṃ_, _kennisge, _שטרײַמל_, _arsingpa, 
   {{0x89c3023b,0x3d7e01fe,0xa6cf0025,0x42c5000f}},	//   _isemaela_, _iseleiwa, _athainam_, _millete_, 
   {{0x325a0049,0xc2b20066,0x29df0334,0x00000000}},	//   _epiloo_, _mendean_, _amatsegu, --, 
   {{0x627f022f,0x866b02c0,0x98b2032d,0xc60200d9}},	//   _kaune_, _отплата_, _форсаты_, _ovulaati, 
   {{0x1d7f04cf,0xff4300fd,0xb290004f,0xe0530206}},	//   _ngamanye_, _coisirea, _dunam_, _presklen, 
   {{0x683f0162,0x1ff30321,0x02eb01e8,0x85460061}},	//   _قۇرامىغا_, _preseneč, _diritso_, _오즈천공의기사단_, 
   {{0x46b9001a,0xa30d0641,0x43c80130,0x16110290}},	//   _عبداللہ_, _alvorlig_, _barvek_, _ballarei, 
   {{0xfcfa0044,0x52000377,0x7f56042f,0xf66f0178}},	//   _חחחחחחחח, _lumina_, _nutaangn, _anivārya, 
   {{0xb20200a2,0x82cb01fb,0xf7ed012d,0x115c02dc}},	//   _karibu_, _credne_, _leranbag, _denuncio, 
   {{0x5956000a,0x6d420361,0x2b580087,0x627e0168}},	//   _sullinne, _токсины_, _huduriwa_, _rennet_, 
   {{0x93f800d7,0x7e50020f,0x5a7200ab,0x4d8902a1}},	//   _bolula_, _angazima, _mangaeka_, _olifante_, 
   {{0xc3d60052,0xe26c00a4,0x00000000,0x00000000}},	// [1740] _व्यापारी, _menors_, --, --, 
   {{0x7d0301bb,0x80c90056,0xdd5702e4,0x2290017e}},	//   _kanunlar, _таблиғот, _akwatiku_, _nunaj_, 
   {{0xb38004d0,0x042502ec,0x0a8c0415,0x25a30145}},	//   _dourug_, _پھێریُک_, _gewissen_, _колеру_, 
   {{0x37b100c5,0xc2d8034b,0x3a7d020f,0xab00017e}},	//   _对直接负责的主管, _kokonas_, _azinants, _amasigit, 
   {{0x77bf05bf,0x02480200,0x65b30039,0x2f2f0148}},	//   _cokolvek_, _nnomi_, _антверпэ, _inveniun, 
   {{0xcf2501b9,0xec2b0037,0x7e790135,0xb2480387}},	//   _angleter_, _ውድነትን_, _ministrı, _inomi_, 
   {{0x7341008c,0x72000148,0xa1ca0299,0x00000000}},	//   _mesemna_, _numina_, _ئىپىزوت_, --, 
   {{0x328b0025,0xcc5f015e,0xba00012d,0x348c01bb}},	//   _aanandam, _اسپاپتا_, _saksesfu, _ылымының_, 
   {{0x5c34019c,0x2243044a,0x6dfb0400,0xbcfb022e}},	//   _angbadur, _asambeli_, _allevate_, _allevatu_, 
   {{0x42d800e5,0x63dc0249,0x72d9041e,0x7213021a}},	//   _boleto_, _stiwud_, _riceva_, _dachee_, 
   {{0xae9a0325,0xff9a013c,0xd2d5006f,0xfda7026a}},	//   _bildirib_, _bildirir_, _مناظرن_, _tekivuta, 
   {{0x4a8300a6,0xe25b04a4,0xe3400082,0x4a1002fe}},	//   _abazinge, _chalum_, _bayelsa_, _anqabile, 
   {{0xd20005b1,0x95640061,0x830000a5,0x62430007}},	//   _asmira_, _진달래마을_, _lumanai_, _esambeli_, 
   {{0x4b0002e5,0x50f40040,0xda1f03f8,0x6f9b003c}},	//   _básicape_, _האוסקר_, _hesbelme, _سرازیر_, 
   {{0x0ccb009b,0xc21b021c,0x5c270161,0x3386015e}},	//   _гардаггү, _neutráln, _примеры_, _acords_, 
   {{0xbb770220,0xd6fa01ec,0xe3fa0007,0x4a3700d1}},	//   _crescita_, _کرامدور_, _kotuta_, _বিকিৰণ_, 
   {{0x129000bc,0xe2020076,0xc2d802c3,0xa2b501f3}},	// [1750] _lunak_, _assine_, _koleso_, _eviduje_, 
   {{0xfad80540,0xcf5d036d,0x32da0020,0xd6800178}},	//   _bíllinn_, _breatunn, _chankee_, _bāhyahiṃ, 
   {{0x3dbd03f8,0x9259018d,0x823200d7,0xffff0061}},	//   _dachavqa, _ንውድባዊ_, _bonmril_, _중소기업청_, 
   {{0x7e4e020e,0x92010288,0x508d0040,0x9d9b01c8}},	//   _bolaella, _oreita_, _רבעון_, _sponkova, 
   {{0x013500da,0x81b00287,0xfcda0141,0xcdb9056b}},	//   _економие, _nalezené_, _миллийли, _merakyat_, 
   {{0x42bb0261,0x92f0026a,0x63ea0151,0x81990145}},	//   _komence_, _maliwai_, _bantym_, _апаратаў_, 
   {{0x32f3033a,0x20050109,0x4cae03ae,0x72c3032d}},	//   _relatati_, _वरियतामा_, _varsling_, _kahlolo_, 
   {{0x1c500040,0xf0660107,0xef06023e,0x94c60332}},	//   _למטייל_, _ناموفق_, _دعاوی_, _asociado_, 
   {{0xdbb70307,0xd1b00287,0xc3a9015e,0x96a1013a}},	//   _akayikub, _nalezení_, _жаргылча, _matgespi, 
   {{0x58510101,0x73010467,0xcb690074,0x2d8f0013}},	//   _recomand, _adebone_, _paremmin_, _egallaga, 
   {{0x73eb01f1,0x52f3014a,0x1c0e0176,0x1b890013}},	//   _jepte_, _felirat_, _subpage_, _римликла, 
   {{0xd7300074,0x431201b6,0xcf090246,0x9eb0018f}},	//   _mielikuv, _alibris_, _техният_, _muvoqqan, 
   {{0x02010212,0xe22a019b,0x08f003d4,0x22fd0073}},	//   _facies_, _новай_, _stepanov, _rejicer_, 
   {{0x141401cd,0x029000c7,0xad2f0642,0x93fe0166}},	//   _kangcono_, _kunak_, _दुष्परिण, _qualifik, 
   {{0xb39402c2,0x826c013f,0xaa5004bd,0x32fd0089}},	//   _boosts_, _adloc_, _kelepona_, _açildi_, 
   {{0x5201017e,0x3291004c,0x2d840203,0x48b90109}},	//   _kreita_, _agaava_, _inventet_, _sestavov, 
   {{0xd26d006f,0x8c70003c,0xc2b60078,0x01c4011a}},	// [1760] _ufunguzi_, _خودگردان_, _северној_, _בטעינה_, 
   {{0xb50e02f8,0x00000000,0x00000000,0x00000000}},	//   _mailefih, --, --, --, 
   {{0x59960061,0xa059038f,0xffd800bf,0x448401ab}},	//   _남자친구잇는걸_, _ardivink_, _персов_, _झुलावऽ_, 
   {{0x3c79028e,0x582b0244,0xc62a0444,0x00000000}},	//   _trustim_, _украси_, _макарови, --, 
   {{0x4ef20193,0xc8c8031a,0xa355030a,0xad860170}},	//   _सिक्युरि, _casruisg, _valedor_, _imvekere_, 
   {{0x42d9013b,0xbc5a030b,0xfce100ff,0x09f700c0}},	//   _docena_, _abatali_, _בעיסוואט, _maligaya_, 
   {{0xd2f60449,0x730f00f2,0x00000000,0x00000000}},	//   _nadimak_, _ierindoj, --, --, 
   {{0xd20200ca,0x93130445,0x23f9000c,0xcd9c0382}},	//   _astier_, _lembrar_, _сангәлие, _masetele_, 
   {{0x683701f2,0xc1fb0344,0x52570100,0x00000000}},	//   _закайеф_, _barnetim, _nastupal, --, 
   {{0x5fa40203,0x05660061,0xf9f604f6,0xfc5a003b}},	//   _inserter_, _무료입니다_, _byråd_, _ebatali_, 
   {{0x615c01cd,0xa1030092,0xcdfe047d,0xe9a70126}},	//   _худам_, _をクリックします_, _verdeelt_, _класични, 
   {{0x69f80437,0x72d500b0,0xf8240125,0x8a270164}},	//   _tilstand, _intooda_, _шуурсыз_, _ғулҗида_, 
   {{0x5b2d0107,0xa6c5005e,0xc2e302e1,0xb6220147}},	//   _grobogan_, _ئونسۇ_, _chainte_, _دەيبىز_, 
   {{0xd2910357,0x4a090241,0xdda70087,0x52cb00cd}},	//   _keyaka_, _disaasaa_, _majisita, _calonda_, 
   {{0xb10700d6,0x61fc03f8,0x92430020,0x229001fc}},	//   _ضرورى_, _divaqmeh_, _isamaeli_, _tufah_, 
   {{0x335602ac,0xd6c5002b,0x9c6b0107,0x33d500b4}},	//   _bulfinn_, _কাঁঠালের_, _celurit_, _fratelui_, 
   {{0x0f020125,0xaa0000fe,0x7c6804ef,0xe38d00d0}},	// [1770] _акыла_, _aumanafa_, _amarelo_, _харандаа_, 
   {{0xa2e70265,0xc61e003d,0x9c77045a,0x03ea026c}},	//   _klanten_, _phonétiq, _prisene_, _tantam_, 
   {{0x725b0058,0x1c71015f,0x6c5b0172,0x302b0145}},	//   _phylum_, _gwarant_, _onnuare_, _bendrijo, 
   {{0x69eb02bd,0xe3790307,0x05ce00a4,0x00000000}},	//   _aberhond, _belapho_, _талма_, --, 
   {{0x042b00de,0x00000000,0x00000000,0x00000000}},	//   _مستجب_, --, --, --, 
   {{0x0dae04bb,0x32e1019c,0xc30e00cf,0xaf4e00ff}},	//   _tiffanie_, _ajunilo_, _abaadir_, _צוואנציג, 
   {{0xae3601ad,0xfb92001c,0x157a0277,0x00000000}},	//   _paranava, _komitido_, _martilyo_, --, 
   {{0x227801b8,0xb27e02aa,0x0dc80141,0xa9dc013a}},	//   _krundi_, _hymnu_, _kuchayga, _gezeeche, 
   {{0x622300af,0x427f01b0,0x43f10229,0xc2fb016b}},	//   _являютьс, _aranna_, _evezine_, _inshora_, 
   {{0xb6d601e0,0x697300d9,0x884901a3,0x622a006c}},	//   _سازمانه_, _огромная_, _ليکبي_, _комат_, 
   {{0xb9fe02da,0xcadd01db,0x4da60643,0xcaf2018a}},	//   _merament, _ايازدى_, _navodnja, _amhroffe, 
   {{0x99f60240,0x69a50053,0xb8b60155,0xd2dc0160}},	//   _malumalu, _janjinya_, _handland, _odbojci_, 
   {{0xa9730515,0xd2d80247,0xca110349,0xc31600d9}},	//   _diminuit, _solopos_, _inactive, _занятий_, 
   {{0x52cb0243,0x5be50074,0xd60d02fe,0xa27f0478}},	//   _balooda_, _hallinto_, _bezokusi, _cauna_, 
   {{0x99780073,0x42fc0620,0x98730390,0x26580268}},	//   _numinist, _habitet_, _faciədən_, _eelingsf, 
   {{0x4cfb03c2,0xa3a7030a,0xc2da0059,0xf27801a6}},	//   _panelled_, _despedim, _cornice_, _urungi_, 
   {{0x620101ef,0xc5320048,0x4fba0127,0x6f800061}},	// [1780] _ateina_, _agazirik, _amourous_, _누구보다도_, 
   {{0x64d70644,0x10bb03a2,0x80ea006d,0x72fa00ae}},	//   _дамады_, _खंडूरी_, _аўрал_, _ndahava_, 
   {{0xc3fa0041,0x927f01a6,0xde3c00c4,0x821301f7}},	//   _дидикыле, _rauna_, _گيسٽرو_, _archiu_, 
   {{0x42000135,0x22d903ab,0xc9cb027b,0x00000000}},	//   _armiya_, _docela_, _अपनयने_, --, 
   {{0xc2780069,0x51a700ba,0x6ef202d5,0xc0d5004d}},	//   _urundi_, _ساڵۆنی_, _डिप्थिरि, _戒快技抖快找把攸, 
   {{0xff0f0121,0x0a100059,0x9dcd0262,0x60170143}},	//   _mercados_, _chiarime, _baktriýa, _законни_, 
   {{0x28f90148,0xa0210031,0x86a900e6,0x56b900a0}},	//   _荖濃溪勤和段緊急, _berwenan, _农业新闻摘要_, _alfahari, 
   {{0x2dbf0052,0x22a70223,0x2250014a,0x97b001fe}},	//   _विज्ञापन, _garbi_, _télen_, _ikawakaw, 
   {{0x2f7701de,0x00000000,0x00000000,0x00000000}},	//   _физигі_, --, --, --, 
   {{0x42be0645,0x0f06015e,0x9f3801d3,0x00000000}},	//   _oženio_, _булгануу, _skyskrap, --, 
   {{0x5c4504ce,0x5c1c01b9,0xf9e2028a,0x4c3f004d}},	//   _maswina_, _lavangar, _راجيش_, _傳訊給朋友_, 
   {{0x720e040f,0xa8c50121,0x320002fb,0xf9c50212}},	//   _палац_, _intentad, _saiia_, _intentat, 
   {{0xf2a70079,0xd142018b,0xeeda01e6,0x5d9e0340}},	//   _darbi_, _атраг_, _pochopen, _nekeneke_, 
   {{0xea330060,0x65bb0028,0x00000000,0x00000000}},	//   _денелерд, _badantah, --, --, 
   {{0x8b65021e,0x7af6001e,0x56370296,0xe290015e}},	//   _billigar, _kalubale, _barnfami, _arnau_, 
   {{0x734103fd,0x3230023b,0xb3790322,0x2eb401d5}},	//   _aeseina_, _ikemaka_, _akoreram, _tükrében_, 
   {{0x2a140170,0xd3fa009b,0x27730371,0xe41e0321}},	// [1790] _adabwiza_, _altuna_, _бойлери_, _čistilna_, 
   {{0xd9730066,0x32d502b2,0x42f101ff,0x237e01f4}},	//   _teknikoe, _автопроб, _adminov_, _изистонд, 
   {{0x6de70395,0x94d10255,0x0c3801b3,0xf39402b9}},	//   _podivné_, _मानिजन_, _самопочу, _emese_, 
   {{0xe2d5005b,0xe2a70482,0x72d5005b,0x967e0247}},	//   _rollout_, _carbi_, _tilladt_, _akhdaafi, 
   {{0xe9440156,0x813400a7,0x712b04c7,0x19aa03f2}},	//   _ינפרינדז, _алдырат_, _поприлич, _полив_, 
   {{0x490f01cb,0xed3701f4,0x9e0e016f,0xcd6d0040}},	//   _nebandlu, _وکلات_, _вакансій_, _תינתן_, 
   {{0x82af03d8,0x067302c7,0x9300010e,0x00000000}},	//   _igrališt, _landgeri, _humalaw_, --, 
   {{0xf2d800eb,0x26b200bc,0x2195041a,0xbe3c00c4}},	//   _ashesi_, _penggali, _членом_, _مشڪوڪ_, 
   {{0xe978062d,0xa27100f0,0x3d9f05c3,0x5a9d0054}},	//   _suminist, _podeliť_, _vulnérab, _fifikons, 
   {{0x23f100e4,0x9e500010,0x894c01c4,0x0f7d03c1}},	//   _श्रीमाली_, _angalima, _dramatie, _комплика, 
   {{0x027f022f,0x2c6002f0,0x499405ac,0x22fc017d}},	//   _kauno_, _ancunya_, _tjeklist, _evigt_, 
   {{0xf27f01a2,0x42a604c0,0xf37401a3,0xab0e02ac}},	//   _jauno_, _brobro_, _جنڊيءَ_, _bhusanna_, 
   {{0x927f01fb,0x8e80033e,0x44080105,0xd692010d}},	//   _dauno_, _искужин_, _komornik, _विधिमंडळ, 
   {{0xd290017f,0x390a03c7,0xc996048a,0x86e000f3}},	//   _arnat_, _pieniędz, _тартыс_, _kwebhoki, 
   {{0x8e190148,0xaf9e00d1,0x52900170,0xe2d802ba}},	//   _中共煽動仇恨構陷, _চিৰসেউজ_, _dimazi_, _asheri_, 
   {{0xa95202c2,0x094c03eb,0x634f002b,0x934100a5}},	//   _publisee, _primitie, _আধাবেলা_, _seseina_, 
   {{0xa61003cc,0xabf000be,0x04c70156,0x127e03ae}},	// [17a0] _কুড়িগ্রা, _بىچاقتىن_, _כיפּור_, _byene_, 
   {{0xa2420255,0x9e1a0079,0x2c5d0066,0xef3600ad}},	//   _मँगले_, _āgenskal, _sortuko_, _tarumana, 
   {{0xa38603e0,0x4c71034e,0x51e0020f,0x9743025c}},	//   _waert_, _antroxu_, _angonyam, _krankenv, 
   {{0xd90f024d,0x3bf601be,0x37a00107,0x12900646}},	//   _webandlu, _studentů_, _dhampyak_, _lejano_, 
   {{0x303703c2,0xba94043f,0xb195018f,0x978603a4}},	//   _sustenan, _jednakos, _monchugh_, _ferjuleg, 
   {{0xc22402d8,0xd47600e3,0xa195003f,0xd340046b}},	//   _wookie_, _britannj, _lonchugh_, _difetha_, 
   {{0x4afe03e6,0x039801bb,0xb5e800c7,0xf3eb0099}},	//   _vergiess, _талаплар, _bolarnı_, _chatau_, 
   {{0xfe990014,0x634700cd,0x06350161,0x00000000}},	//   _komunave_, _avierta_, _алексея_, --, 
   {{0x78bf033f,0x4eb6026f,0x638d00b4,0xd5dd0486}},	//   _finematu, _بىىكتەتە_, _corpului_, _modelová, 
   {{0xd38702e0,0x327f025f,0x623802ea,0x730300c4}},	//   _aparwa_, _asengi_, _chimici_, _karafuu_, 
   {{0xd2cb0467,0x820101cf,0x32900075,0x00000000}},	//   _naadom_, _racias_, _irnar_, --, 
   {{0xe29103a8,0xb8fb0253,0x31cc0279,0xdfd801db}},	//   _utval_, _allaappu, _facilité_, _электрме, 
   {{0x4ded0039,0xc29000d0,0xebba005e,0x35a000c1}},	//   _сахаргүй_, _arnas_, _بىخلان_, _शोधतो_, 
   {{0x725b019b,0x3227003e,0x727f0362,0x922c0239}},	//   _spalio_, _фашисты_, _esengi_, _kämera_, 
   {{0x1a880238,0x220e0008,0xae3a0461,0x2bd20446}},	//   _основним_, _манап_, _annexèt_, _sanjaric, 
   {{0x6016015e,0xafe60162,0x982600a4,0xa43701dd}},	//   _касында_, _ئابونت_, _جانادا_, _babagaho_, 
   {{0xa3170188,0x427300b4,0x3d9e00a1,0x5b6c0046}},	// [17b0] _abezwa_, _politiei_, _mekemeke_, _catosfer, 
   {{0xf80600ef,0xe03b0039,0xc9be02ac,0x9c74027b}},	//   _ابراهيمي_, _papereko, _تحطيم_, _अशक्यः_, 
   {{0x925b029b,0x82da000e,0x82d201f9,0x15f10156}},	//   _baalul_, _alsena_, _bameleli_, _מוסלומענ, 
   {{0x1386020d,0xb29003f0,0xb227023d,0xe2fe0456}},	//   _abera_, _arnar_, _самият_, _iktibar_, 
   {{0x52fc0069,0xe89500be,0x29530135,0x4db1012b}},	//   _kwiga_, _convidar_, _сырып_, _zamierza, 
   {{0xa6ad018b,0x11300365,0x13270301,0x83650139}},	//   _autentif, _mladých_, _borcunu_, _anugata_, 
   {{0xd3a90203,0xa2010367,0x00000000,0x00000000}},	//   _convene_, _queira_, --, --, 
   {{0x75bd02bb,0x929000e9,0x5320001e,0xd60b00b7}},	//   _archiwum_, _anmani_, _janye_, _исламийе, 
   {{0xf32003da,0xd3050192,0xb26e005b,0x727f008f}},	//   _danye_, _두산벤처다임_, _satomi_, _rauno_, 
   {{0x7201017e,0x52010461,0xb7bb0223,0x92c204df}},	//   _kreiva_, _bacins_, _baloreak_, _chalaja_, 
   {{0x7c570023,0x132003da,0x13d50101,0xec7702ac}},	//   _машины_, _fanye_, _statului_, _عريضة_, 
   {{0x0d2a001a,0x93200180,0x48e90311,0x00000000}},	//   _mennyibe_, _nanye_, _ታሕተዎት_, --, 
   {{0x37f6004d,0xc23b01f4,0x6c76003c,0xe6d100a0}},	//   _運費及交貨方式_, _kunduzgi_, _شدیدتر_, _gangarow, 
   {{0x42a502ca,0x2ee9017d,0xe107003e,0x4b630338}},	//   _pointí_, _ありがとう_, _гидрокос, _obertura_, 
   {{0x63200010,0x33880212,0x3c740647,0x66ef00e2}},	//   _kanye_, _classnam, _प्रेमविव, _easterwâ, 
   {{0x12b3022c,0x84d700a4,0x547c025f,0xbc2f0037}},	//   _pendopo_, _талашып_, _aúgusto_, _አለመቅረባቸዉ_, 
   {{0xfe4900b9,0x74100169,0x8eb801f6,0xe92d0158}},	// [17c0] _kewajiba, _ফারহান_, _আমন্ত্ৰণ_, _बेवजह_, 
   {{0x7533002b,0x1ee903b0,0xc9e60405,0xd6130192}},	//   _স্বাক্ষা, _tyskaran, _шахтаря_, _neutraal_, 
   {{0xd2000359,0x2fcc0061,0xe64801aa,0x316d00e6}},	//   _maaie_, _백산공인중개사사, _ancientw, _赚钱有门道_, 
   {{0xb1cc000e,0xff4c002e,0x42900418,0x526c00cd}},	//   _facilitá_, _prisutne_, _esnaf_, _camond_, 
   {{0x0767019b,0xb5d2016d,0x6f3302d8,0x386d0163}},	//   _reikalav, _инсанийә, _beredarn, _dunaferr_, 
   {{0x82900648,0x499d0177,0x69d800fd,0x71850620}},	//   _kunas_, _напык_, _eisemple, _我的美女大小姐_, 
   {{0xd2740113,0xc09703c4,0xa8ff0037,0xda8501e0}},	//   _سوالف_, _иранниң_, _በውሳኔው_, _عوقده_, 
   {{0x27c7006c,0x7323022f,0x53f40256,0x3aff05b8}},	//   _тариқи_, _фоткаю_, _kautko_, _sovrumme, 
   {{0xe11a0037,0xd0660012,0x169105b7,0x00000000}},	//   _በቀጣዮቹ_, _खेतसँ_, _košnica_, --, 
   {{0x739501cd,0xa2900082,0xe42c02d7,0xf29002ef}},	//   _abasha_, _nunar_, _atraídos_, _jimani_, 
   {{0xb26c00d6,0x99d7019d,0xd9fa025c,0x3bac0359}},	//   _hamood_, _adalemba_, _entstand, _artysten_, 
   {{0x42900141,0x904a0144,0xc2bf0113,0xaa9a0074}},	//   _hunar_, _teorainn, _ومداد_, _olennais, 
   {{0x82e60125,0x59210193,0xf3f801f5,0x327e0176}},	//   _elinden_, _नाकर्तेप, _diduga_, _bennye_, 
   {{0xf29000cd,0x995f0464,0x3290003a,0x5a5400fb}},	//   _bunas_, _amenyere, _nimani_, _asemhlab, 
   {{0x4d990014,0x527e0077,0x1c4702e2,0xab1c013a}},	//   _trafikut_, _dennye_, _asscharr, _erwarden_, 
   {{0x0290059b,0x22580238,0x53840020,0x153d03b5}},	//   _asnaf_, _насампер, _boostrix_, _dagingny, 
   {{0x6b6302da,0xcf8e0013,0x3b5e0145,0xf6b802e2}},	// [17d0] _abertura_, _тарбияси_, _труну_, _divagati, 
   {{0x029d025b,0xe639019d,0x83e5002b,0x8d1f0476}},	//   _seljara_, _chinachi, _অনুকূল_, _chingave_, 
   {{0xf14402ec,0xcdce0060,0x2f5d04b9,0x1a540096}},	//   _پھرى۪م_, _билей_, _creaturs_, _anamusab, 
   {{0xf2900176,0x6fd90314,0x82910161,0x8213003f}},	//   _runas_, _урамында, _luvan_, _hachbe_, 
   {{0x4f3f0298,0x0201015e,0x19be00b7,0x72900082}},	//   _tangihan, _queixa_, _истигфар_, _kunar_, 
   {{0xb0030256,0x7ea1026b,0x12020031,0x69b7025b}},	//   _konsultā, _embrague_, _hariku_, _handfara_, 
   {{0x7db401a4,0x72cf01c3,0x758d012b,0x786e00af}},	//   _abongola, _cigogne_, _wizualiz, _пораненн, 
   {{0x93ea0356,0x027e0414,0xc213003f,0x5bcc036b}},	//   _mantam_, _eyena_, _lachbe_, _комисиит, 
   {{0x729101a7,0xf54700da,0xf1560649,0x00000000}},	//   _kuvan_, _белорушь_, _अमुल्य_, --, 
   {{0x0284004b,0x80310107,0x752e011a,0x52e60263}},	//   _habholo_, _bratasen, _רולדין_, _blinden_, 
   {{0x86cb020f,0x22900372,0x32ec0073,0x0290038e}},	//   _درستیز_, _arnai_, _seriose_, _prnah_, 
   {{0xaea70220,0x57590158,0x82ec00d2,0x962b022b}},	//   _интереси_, _इज़्ज़त_, _nganjuk_, _sokallað, 
   {{0xb2d80104,0x52480516,0xdc7302f7,0x1e0d0238}},	//   _nikeza_, _chimes_, _apesiwa_, _tusentip, 
   {{0xd29001b7,0x12910242,0xb27c0145,0x337a033d}},	//   _punas_, _arvad_, _зграя_, _anpasan_, 
   {{0x2a3900d9,0x9e6a015e,0x39c502ea,0xea4e00a8}},	//   _решений_, _созду_, _villetta_, _anceinza_, 
   {{0xe3e902ac,0x8ffc027b,0xa29a014a,0x0c3a04c7}},	//   _طبيعيه_, _अष्टाङ्ग, _fogpótlá, _покажемо_, 
   {{0xd3f80046,0xd28504e5,0xf2ec00b3,0x868b0423}},	// [17e0] _adjunt_, _baakung_, _berilse_, _nečekejt, 
   {{0x528d0298,0x6f6f0478,0x73870119,0xd111051f}},	//   _raukawa_, _galaxias_, _agaron_, _نیویۆرک_, 
   {{0x0a8f0221,0xf3870439,0xa7c3064a,0xd46a01db}},	//   _penipuan_, _esarda_, _берзалой, _وكىمەتكە_, 
   {{0x369c00e2,0xd9720203,0x4e500343,0x00000000}},	//   _fakentii, _proposir_, _makasama, --, 
   {{0x22130313,0x32b405ab,0xc4e602b0,0x994f0352}},	//   _bachbe_, _eficaz_, _orthopäd, _depotdre, 
   {{0x898203d8,0x00000000,0x00000000,0x00000000}},	//   _okrivlje, --, --, --, 
   {{0xba15027f,0x0e0b0021,0xf38001ad,0x1f910133}},	//   _biratuma_, _ankeesya, _inurug_, _egamaaso, 
   {{0x02f10430,0xf98300ee,0x329000cf,0x39c60488}},	//   _masiari_, _lankidet, _arfan_, _interent, 
   {{0x029000dd,0xe6cf0418,0x08820137,0xe27e011f}},	//   _arnaw_, _bakabili, _тодхон_, _iningo_, 
   {{0x92ff0203,0x0a830004,0xc59b04a4,0xd2480004}},	//   _derider_, _bolivyen_, _cilogram_, _danmak_, 
   {{0x83fa016a,0x53da00d1,0x00000000,0x00000000}},	//   _entuta_, _শব্দকেইট, --, --, 
   {{0xf27f02c5,0x87f301db,0x3386015e,0xc4470185}},	//   _hauna_, _тексерул, _obert_, _видеода_, 
   {{0xc290064b,0xf2fc00ee,0x885c01f3,0xbf1300e4}},	//   _punar_, _blogak_, _manažer_, _जिज्ञासु_, 
   {{0x28a300d0,0xcd38002b,0xa4860109,0x28630084}},	//   _кесерови, _বিদায়ী_, _बुबाले_, _dibanjur_, 
   {{0x427f03f6,0x7f3f04c3,0xb3870128,0xe1070144}},	//   _mauna_, _langthan, _asarda_, _غروري_, 
   {{0x327f023b,0x4f3b00ab,0x421301d9,0x2bfb0066}},	//   _launa_, _hengahen, _tschau_, _langiler, 
   {{0x904a04a4,0x76b702be,0x3f01049d,0x72ba0202}},	// [17f0] _charaban, _mananati, _fragrânc, _kiriyó_, 
   {{0xdf3601f6,0xb290034c,0xdbeb025d,0xe303015a}},	//   _এছিয়া_, _aunap_, _sorenskr, _dabaluu_, 
   {{0x82e302fd,0x028f02d8,0xaea800af,0x34bd0033}},	//   _cheille_, _menandai_, _корисних_, _absolvà_, 
   {{0x396c0333,0xf27e0046,0x9ce00156,0x00000000}},	//   _muniment, _adonar_, _צענליגער_, --, 
   {{0x3c02030a,0x42ca0117,0xc2d4041e,0xedb60087}},	//   _básico_, _gaidim_, _coudes_, _eswianga, 
   {{0xfb27029f,0x2f580039,0xb2f7005a,0x5c6a034a}},	//   _nespolie, _царнаевы, _hadibah_, _reduciu_, 
   {{0x0f9d028b,0x30fa01e9,0xf81d0452,0x00000000}},	//   _иаҳхысыз_, _dishirel, _पानगळीचे_, --, 
   {{0xa2f10111,0x1eaf02af,0xf29103d7,0x52d40205}},	//   _scritti_, _barugize_, _suvan_, _berdik_, 
   {{0xe291013f,0xe29e00d7,0x8a0a0462,0xdb0a0462}},	//   _duval_, _мираҫ_, _ansposed, _ansposet, 
   {{0x8a04041e,0x58fd0556,0xa65f014f,0x70eb006e}},	//   _dibattit, _kubafund, _контролу_, _cammooña, 
   {{0x0eca04a5,0xf2cb0084,0x029000a5,0x02360255}},	//   _abanemin, _nyedot_, _maiava_, _windowsi_, 
   {{0x58e20023,0x4cee0039,0x12000318,0xd26c014e}},	//   _форуме_, _америкт_, _aaiia_, _belog_, 
   {{0x126c00ce,0xe26c03d4,0x19ec0178,0x727f0390}},	//   _denons_, _celog_, _aparagod, _ozunu_, 
   {{0x322601c5,0xff870064,0x03f400f2,0xffb300c4}},	//   _warkan_, _дарбыз_, _tortes_, _کيڏندا_, 
   {{0x296d00a8,0xf9eb02d4,0x438702b1,0x66990078}},	//   _satisfat, _corrispu, _dauri_, _šumadija_, 
   {{0x22480320,0xfe96045a,0xa0bd0052,0x8c18033d}},	//   _khoma_, _bestemte_, _zdravého_, _duvalier, 
  
   {{0x498a019d,0xc62b004d,0x47b1002b,0x0fba0299}},	// [1800] _amakonza_, _本局相關申辦服務_, _বুঝেছি_, _ئەبلەخلە, 
   {{0x32a700a0,0xd38c016d,0x5a260092,0x00000000}},	//   _harbi_, _йөткәшти, _神戸コレクション_, --, 
   {{0x42fc0007,0x62a70054,0x8212018d,0xf35a03e1}},	//   _nazareti_, _karbi_, _shohim_, _skuffet_, 
   {{0xa3200088,0x13ae03f1,0x59c50148,0x00000000}},	//   _canya_, _dávate_, _viderent, --, 
   {{0xb3fa0286,0x8eaf028d,0xc5490013,0x92c50241}},	//   _kotuaa_, _rekondan, _рейдлар_, _fillate_, 
   {{0xbe9c047d,0x8cff01e8,0x33870079,0xe9bb0513}},	//   _erstaunt_, _adjuster, _cauri_, _ehleketa_, 
   {{0xd22b02ff,0xed850614,0xd3fa0049,0x751f0235}},	//   _akomode_, _kinesere_, _motuaa_, _chandasy, 
   {{0x7f5401d1,0x87d00174,0x863903b8,0xee920128}},	//   _תאילנד_, _kwagalag, _саналаты, _мосуво_, 
   {{0x4c7d057d,0xfe710156,0xf3f400c5,0x52e60192}},	//   _jamstvo_, _כוידעשלע, _sortes_, _klinken_, 
   {{0xa32001c0,0x4ed6029a,0xb2480250,0x1d5a0162}},	//   _sanya_, _abondans_, _dhoma_, _золек_, 
   {{0xf3050095,0xf21c00bc,0x2458003b,0xbd5a00b7}},	//   _خوراک_, _pisham_, _angenawo_, _чокен_, 
   {{0x28cd01d4,0xe53b012b,0x3fbd006c,0xd512064c}},	//   _prefettu, _korytarz, _amalekho, _apsurdno_, 
   {{0x40470220,0xa3f801b2,0x12c50032,0xe69a028e}},	//   _мерси_, _adjure_, _fillite_, _stretiji, 
   {{0xe68a0368,0x1f0e0510,0x430d033e,0x862a016e}},	//   _организо, _социальн, _михаилов_, _seviniri, 
   {{0x1ab702d6,0x2c7f0267,0xf27f00ff,0xdf7401de}},	//   _дақоиқ_, _spustio_, _anando_, _термиңде, 
   {{0xa2250558,0xb36600b3,0x2412038a,0xb26c01df}},	//   _amakwa_, _бердилер_, _alinnink, _arnott_, 
   {{0x4387024f,0x6dac0633,0x82010034,0xc26c0092}},	// [1810] _tauri_, _wednesda, _steina_, _mamoru_, 
   {{0x127f0053,0x09ba0321,0x32ca0148,0x2aa80060}},	//   _hyung_, _povezava_, _ibidem_, _турасынд, 
   {{0x49fe01d4,0xcea503ad,0xe21d02d8,0xe22602ff}},	//   _verament, _tolleran, _भोपळा_, _darkon_, 
   {{0x9fad00e6,0xa7a401db,0xecb1002b,0x75cb014e}},	//   _métiers_, _сталинні, _রগরগে_, _изговара_, 
   {{0x85e800b1,0x9a7100c7,0x68d7032d,0xf7300029}},	//   _thomkhwm_, _açılu_, _diselfou, _میراتی_, 
   {{0x9248050b,0x63eb0196,0xaa9201b0,0x6dad0381}},	//   _rhoma_, _chathu_, _bagikeun_, _assingpa, 
   {{0xa24802e8,0xbf5c02f7,0xfe21019b,0xc49f002b}},	//   _shoma_, _bobaakan, _terminas_, _মৃন্ময়_, 
   {{0xf48f02f8,0xe30c00f4,0xe5d502e7,0xaea700e6}},	//   _fungavak, _assavet_, _herarkiy, _全日本最靓的代言, 
   {{0xf2ec0152,0xac660187,0x2dd7032b,0x528702ef}},	//   _yubilee_, _огромнот, _نامزاتلى, _konkete_, 
   {{0xb292003e,0x22bf01be,0xf484015d,0x00000000}},	//   _lerato_, _oženil_, _आबकारी_, --, 
   {{0x2c8a0092,0xfdbf03ad,0xf8b101cd,0xcc1502be}},	//   _自己資本比率_, _addattat_, _эътикоди_, _manonood_, 
   {{0xb2480252,0x8e2d0059,0x95fd027b,0x00000000}},	//   _thoma_, _финансов_, _क्रोधेन_, --, 
   {{0x1aef02bd,0x1c650327,0x08150088,0x6f2d0313}},	//   _hystyrie, _montert_, _суранам_, _ravenwin, 
   {{0x548f0386,0x425a0014,0x02fe0189,0xf58a031c}},	//   _mengadak, _thelle_, _iktidar_, _identifí, 
   {{0x06ac04be,0xb48b01d1,0xea3b0025,0xecbc009b}},	//   _myoglobi, _memorial_, _अधिकृत्य_, _estatutu_, 
   {{0xff1e0093,0xccc5044b,0xdbcd0192,0x9b2102f6}},	//   _основных_, _forstå_, _영업소재지_, _kapansin_, 
   {{0x1bea0076,0xc20102a4,0xdd780060,0x0dbf0064}},	// [1820] _ориентал, _facias_, _ساربازىم, _redactat_, 
   {{0x425b004c,0xf320001e,0x7526024e,0xae52038b}},	//   _abagulum, _janyo_, _zabranio_, _dinaikka, 
   {{0x798f0087,0x7380014b,0x121c003f,0xfb760139}},	//   _anakanye, _derrel_, _dishom_, _विस्तारे, 
   {{0x26ca0386,0xc5080278,0x129204ca,0x1c0b00e6}},	//   _khususny, _አላልኩም_, _anuari_, _广东家丽石_, 
   {{0xe52800f3,0x77e50105,0xce8501cc,0x040e0445}},	//   _abuyekez, _शेवरले_, _antaḥpur, _chegando_, 
   {{0x2fe20307,0x59fa01d2,0xdc1502f6,0xbdb90086}},	//   _abazidin, _antisana_, _nanonood_, _maradhat_, 
   {{0x2e3802e7,0x00000000,0x00000000,0x00000000}},	//   _habagata, --, --, --, 
   {{0xd2490057,0xed9d02e3,0xa78800b3,0x54760061}},	//   _khamis_, _hellocha, _alamançy_, _과세표준금_, 
   {{0x73200138,0x531601a4,0x336500f0,0x73870239}},	//   _banyo_, _atoboli_, _strelmaj, _kauru_, 
   {{0xf9f900d5,0x2b15028f,0xd0d60299,0x8201011c}},	//   _fidirana_, _koropupū_, _توڭگۇزلا, _kayif_, 
   {{0xb25a054f,0xa613002e,0x565e0188,0x160502b2}},	//   _tajlaj_, _iskljuci, _филме_, _туалету_, 
   {{0x52e90150,0xbe500018,0xa65d01a3,0x51fc0105}},	//   _skripsa_, _siganima, _ويڪائو_, _parapety_, 
   {{0x97290388,0x0e3e038a,0x4472055a,0xd3270223}},	//   _добри_, _akrananp, _interino_, _урамтай_, 
   {{0xa3f40062,0x1af303c6,0x60400024,0xf20000bd}},	//   _bortas_, _delegaas, _গৱেষক_, _faain_, 
   {{0x339b0409,0xbb7400da,0x223801da,0xf27f0333}},	//   _こんばんは_, _реглемен, _mehmeti_, _apenti_, 
   {{0xe51405e5,0x320e01ef,0xbc520024,0x137f018f}},	//   _गर्दिश_, _раман_, _আৱদ্ধ_, _dalajha_, 
   {{0xbb8c007e,0xe4020153,0xe3870187,0x5c0f0064}},	// [1830] _anirjāta, _近畿日本ツ_, _bauru_, _congelac, 
   {{0xfcdf006d,0x6f8f0025,0x89db0318,0xcf8f02bb}},	//   _аспектах_, _अपेक्ष्य, _laufilit, _diamento, 
   {{0x23450233,0x24b40091,0x21520268,0x8f70003f}},	//   _caserne_, _nalautik, _abbleray_, _dihadnis_, 
   {{0xb8b603b0,0x32d8003e,0x8303021a,0xc37f016b}},	//   _landhand, _dikela_, _daranuu_, _halayya_, 
   {{0xa00902ea,0x66cf02e2,0xe17e0040,0x138601d9}},	//   _мерките_, _ardaggli, _קובייה_, _haerz_, 
   {{0xa29801b2,0x82e701c7,0x6e3f004d,0x335d0161}},	//   _purplish_, _altmyş_, _有馬的味道_, _воровств, 
   {{0x638603b4,0x831d017e,0x9f5c02a5,0x88cf00bc}},	//   _mberi_, _procedo_, _ब्लगर_, _الیکا_, 
   {{0xd47b00b5,0xd9b30066,0xdecb03c6,0x3eff03ec}},	//   _акалам_, _mendeare, _brazylje_, _servetit_, 
   {{0x62260191,0x620d0244,0xfc1502a2,0x825b00b0}},	//   _varken_, _позовава, _panonood_, _aqallo_, 
   {{0xbeb00029,0xa5be0137,0xc3f4008d,0xc67302fd}},	//   _ماشێنه_, _урагш_, _tortib_, _candleri, 
   {{0x12d8006a,0x4f6b0073,0x87a602d3,0x92d80087}},	//   _andevo_, _detalios_, _платежна, _jikela_, 
   {{0x938602e8,0x3ae50504,0x19e1003b,0x00000000}},	//   _aberi_, _अच्युत_, _kulofaka_, --, 
   {{0x12060156,0x7c1b0138,0x059900bb,0x22d80040}},	//   _פסיקתא_, _rakamlar, _یہوواہ_, _ההילוכים_, 
   {{0x6644020b,0xef30024f,0x27420052,0x3d9802fd}},	//   _dipolelw, _sinuniba, _स्थितिला, _phultana, 
   {{0x08db0032,0x127f025b,0x78fe0189,0x5fe80156}},	//   _bijeqchu, _spenti_, _perakend, _פערציק_, 
   {{0xf1fc0032,0x7dd20084,0x3d83008d,0x00000000}},	//   _bivalmeh_, _banjarwa, _жунбушга_, --, 
   {{0x99040203,0xddde0188,0x8dbc0176,0x838602e1}},	// [1840] _cavallyu, _талабҳои_, _genstand_, _tsiria_, 
   {{0x92da000b,0xc6450276,0x1bcd014f,0x12d8048f}},	//   _iosefa_, _електир_, _народног_, _bikela_, 
   {{0x13a300ce,0x9cdd0213,0x510300f3,0xfdf80333}},	//   _prepar_, _родитель, _abakhwel, _credenze_, 
   {{0xbc3303ed,0x232003da,0xc9520258,0xc00c0207}},	//   _benefíci, _ganye_, _besleatt, _سانجھيءَ_, 
   {{0x12fc0200,0xcb820044,0xdb0e036e,0x00000000}},	//   _kwaga_, _grandpar, _chupanta_, --, 
   {{0xea020080,0xd8bb0290,0x8b000184,0x00000000}},	//   _atussagu, _concepì_, _ugusenye, --, 
   {{0xd3200129,0xf271022e,0x02ff00ab,0xc2fc017d}},	//   _banye_, _mancherà_, _eriahipi_, _svagt_, 
   {{0xade50046,0x246c0061,0x42c500dd,0x00000000}},	//   _алынчу_, _카시오페아_, _moelfre_, --, 
   {{0x96f0004d,0x99c60217,0x10fa0235,0x425a00e0}},	//   _江課長長流_, _totement, _अपेक्षे_, _skelle_, 
   {{0x1f42036d,0xf06e042c,0x00000000,0x00000000}},	//   _cairibia, _državnoj_, --, --, 
   {{0x3f1f00a7,0x494b04e3,0xf3200037,0xa371018a}},	//   _segureta, _punoljet, _tanye_, _deialog_, 
   {{0xe2450366,0x8b80001a,0x937f0227,0x8200022a}},	//   _плотност, _قربانیاں_, _dadanya_, _nomiko_, 
   {{0xe248029e,0x7a7c000d,0x2f370056,0x00000000}},	//   _chome_, _kannatus, _babulala, --, 
   {{0x82a000fc,0xc10c01db,0x69c7034c,0xc2cf0395}},	//   _chijchu_, _базарлық_, _табалар_, _nedojde_, 
   {{0xf9ec0162,0x56c6002b,0xa2f30037,0x52da0198}},	//   _кичикинә_, _হ্নীলা_, _kelibat_, _dosega_, 
   {{0x22d80292,0xf2e7007b,0x09f80053,0x00000000}},	//   _ankeka_, _flannen_, _liliyana_, --, 
   {{0xe38600ed,0xc2000105,0x8162008d,0xfa1b00cb}},	// [1850] _faery_, _pomimo_, _mansabdo, _amabhane, 
   {{0xd4200192,0x92900281,0x09ab004d,0x918d0255}},	//   _개인정보는_, _arnap_, _文史哲出版社_, _बछ्वा_, 
   {{0x739400ef,0xc27e00b6,0x9e1a016f,0xa05701e8}},	//   _amesa_, _iyeni_, _nyhetska, _makabato, 
   {{0xe4f700a4,0x7e8e0061,0xec170013,0x729600cf}},	//   _بالاساعى, _안전검사를_, _forumdos, _bekkamu_, 
   {{0xd2780247,0x41410046,0x72f10331,0x00000000}},	//   _batnah_, _lustrado, _høgan_, --, 
   {{0x3ed30203,0xf277038e,0xfff10025,0x2d8f0071}},	//   _manieres_, _sahabatm, _निर्देशो_, _diilanga, 
   {{0x027e014c,0x3bd7003c,0x43790453,0xb32002f9}},	//   _myeni_, _غدیرخم_, _ustanka_, _panye_, 
   {{0xf24804ce,0x2b8a033e,0xf54d02ee,0x638000b6}},	//   _thome_, _зотов_, _privatez, _xayrâ_, 
   {{0x3c770538,0x429100a5,0x56f40132,0x6e7103d0}},	//   _kristne_, _agaaga_, _mestersé, _ročnik_, 
   {{0xe212023b,0xb96400ce,0xde560057,0x42ec0157}},	//   _dubhe_, _konstrir_, _membimba, _turniej_, 
   {{0x35860251,0x8a600223,0xaaf401bc,0xf41c00ff}},	//   _raadinay, _айхтар_, _federaas, _antarkto_, 
   {{0x94ae0012,0xf1bb0219,0x1c780100,0xa7c7006c}},	//   _चहुँदिस_, _bhóngwan, _ulaskom_, _баршумур, 
   {{0x327e03b4,0xe75300ef,0x3653017a,0x04b300ba}},	//   _bennie_, _abangeng, _abangenw, _زمزیران_, 
   {{0xec6600ed,0xa11d003c,0x00000000,0x00000000}},	//   _inetres_, _محلتبلیغ, --, --, 
   {{0x339402ab,0x4bdd015e,0x637a0547,0x69820153}},	//   _emesi_, _privades, _cigarro_, _お楽しみに_, 
   {{0xfd1305f1,0x66390176,0xeea601cc,0x8c690340}},	//   _bakomeye_, _shinichi, _avalokan, _mutuahi_, 
   {{0x206e042c,0x9d9e0282,0x93a3022b,0xe2da02fb}},	// [1860] _državnom_, _hekeheke_, _drepur_, _kupesi_, 
   {{0x55980046,0xd1580195,0x537f0006,0xa4030128}},	//   _саламатс, _aigneadh_, _padanya_, _سئچگی_, 
   {{0x52ba042b,0x83940553,0xea7d0184,0x637f0307}},	//   _ponekad_, _zmesi_, _kunagura_, _salapha_, 
   {{0x075b0091,0x66b9012c,0x528300db,0x8567002b}},	//   _ukunatig, _kukadiri, _hankida_, _জলাশয়ে_, 
   {{0x62310096,0x3373000b,0x19f4001a,0x75670019}},	//   _ahumeka_, _lanumeam, _humán_, _англияга_, 
   {{0x23f40417,0x52d80464,0x02fc0054,0xcb6a0332}},	//   _partye_, _indero_, _cingam_, _reducida_, 
   {{0x037f0402,0x82780274,0x355400de,0x2c0e033d}},	//   _galanya_, _grunni_, _azikatsh, _epapiye_, 
   {{0x8a5a002b,0x210b03f0,0x00000000,0x00000000}},	//   _বিশ্লেষক, _fiskibol, --, --, 
   {{0x674300ff,0xe4e700e6,0xa290037f,0x00000000}},	//   _טאלנא_, _闂傚倸鍊搁崐鎼佸, _gunay_, --, 
   {{0x67bc022a,0x1f63047d,0x8b1002e1,0x5a45018b}},	//   _badereig, _erwaards_, _rósanna_, _cladirea_, 
   {{0x514b018d,0x506f04bd,0x0a5f02a0,0xe2910062}},	//   _ንሓሙሽተ_, _kalanimo, _edegbeta_, _ervam_, 
   {{0x79d6039f,0xd2910296,0x02fc00d5,0xaaaa004d}},	//   _molecule, _urval_, _singam_, _本封感謝清清郵友, 
   {{0xec5d00c5,0xd26d0230,0x1553006c,0x76460095}},	//   _功成名就闯大都_, _defons_, _abakweth, _anginguw, 
   {{0x226c00f2,0x93870325,0x0e5f0429,0x0c750197}},	//   _nedod_, _aparsa_, _lembutka, _paquiot_, 
   {{0x83760368,0x8d17039e,0x6aa801ef,0xc27e0026}},	//   _простор_, _kunstnar, _mergaitė_, _avonds_, 
   {{0x5320022c,0xd387001c,0xac7d02dd,0x4bed0213}},	//   _nanya_, _agarun_, _chircop_, _районное_, 
   {{0x032004e2,0x5728023c,0xec740040,0x527e0163}},	// [1870] _ianya_, _اوژوبل_, _examined_, _tennie_, 
   {{0xc44601f6,0xf2a60095,0x6c220326,0xc373029b}},	//   _এক্সপ্ৰে, _aanjani_, _asiriris, _kanamee_, 
   {{0xc4b40250,0xe9ea01db,0x62d70244,0x435e00bc}},	//   _artikull_, _شىققام_, _rotondo_, _digunaké_, 
   {{0x4da50268,0x847d0219,0x9404023c,0x00000000}},	//   _insidewa, _ayifanek, _awunyanz, --, 
   {{0x938600ad,0x1e3d048a,0xd2fb03be,0x629001c5}},	//   _pairan_, _ازعىرۋىن, _bishira_, _cunay_, 
   {{0x04af01fc,0xf2d5012c,0x23b70059,0xbf63008a}},	//   _anninnal_, _maalumu_, _trovano_, _mamanuin, 
   {{0x2b170092,0x1c6502d8,0x9fab04a5,0x53f40005}},	//   _hamamats, _tertuju_, _ngamakho, _custab_, 
   {{0xf2900410,0xfc8004ac,0xcf3b033f,0x03860288}},	//   _mejako_, _однознач, _hengihen, _wairan_, 
   {{0x018703db,0xde8b0162,0xfc6701ac,0x00000000}},	//   _nezahlul, _زەنجىرسى, _خرفان_, --, 
   {{0x06370068,0x8c61013c,0xd2f10109,0x7af501d5}},	//   _barnaami, _yuxudan_, _zemanovi_, _koromban_, 
   {{0x22da00fe,0xaa8f009b,0xe437036c,0x00000000}},	//   _kosema_, _familian_, _faranako_, --, 
   {{0x5cba00bf,0x8202015e,0x6ac90211,0xf93600bb}},	//   _предприн, _fruita_, _parvekke, _لڑکپن_, 
   {{0xebe6022d,0x741b0010,0x253303f2,0x4a0200aa}},	//   _dialetto_, _bemikhak, _непредск, _macrobiu, 
   {{0x325a064d,0x76ef0040,0x49cf0220,0x8e0a0407}},	//   _hoolaa_, _ומטאל_, _violenza_, _tvrdogla, 
   {{0xa34700ee,0xdb8d0090,0xd3200102,0x7d020021}},	//   _bulegoa_, _akanunur, _fanya_, _apsulesc, 
   {{0xf8f905f8,0xcd87018b,0x11fc00bc,0xf2ff00b3}},	//   _многих_, _conectat_, _اقتداری_, _beriler_, 
   {{0x10d1028b,0xe3860309,0xee0103b7,0x00000000}},	// [1880] _acusatór, _faizini_, _eakerbra, --, 
   {{0x838701e5,0xc15401d3,0x00000000,0x00000000}},	//   _aburo_, _arbetspl, --, --, 
   {{0xdea402d0,0xb90a0037,0xc753023c,0xae530193}},	//   _likeness_, _የሚፈፀም_, _abaneeng, _kekalaha, 
   {{0x58e802b0,0xa04700ef,0x13f80220,0x02b20066}},	//   _leistung, _رفسنجاني_, _friuli_, _mendian_, 
   {{0x48c90137,0x4b6704fb,0xe2830334,0x00000000}},	//   _финлянды, _comentan_, _kuphiri_, --, 
   {{0x72fc006e,0x6f4f0026,0x00000000,0x00000000}},	//   _lingom_, _stappenp, --, --, 
   {{0xa0ea0056,0x7b37012b,0xc9aa00e6,0xdf2103ac}},	//   _вазифаҳо, _narciars, _在此基础上_, _tertinda, 
   {{0x86060458,0x6c6500c9,0x8a730039,0xe38702a0}},	//   _sammenli, _vietpet_, _banaketa_, _gburo_, 
   {{0x7224005b,0xa47d02d8,0x03fa024f,0xb2000318}},	//   _renka_, _diresmik, _votuka_, _oaaia_, 
   {{0xd2f702df,0x4cfc0037,0x8a8f0277,0xf721026c}},	//   _kalimah_, _ስለሌላቸው_, _namibian_, _extremum_, 
   {{0x9af40120,0xc41b014c,0x02e8036c,0xc21c003a}},	//   _abbootan_, _leminyak, _tahirin_, _yashil_, 
   {{0xd2000318,0xc5fb0615,0xb2ef0275,0x23fa02e4}},	//   _aaaia_, _karadžić, _piliona_, _intuza_, 
   {{0x9ec40190,0xd25a02b2,0x69c7043a,0x177b018d}},	//   _drunkenn, _hjelpe_, _hotentot, _ንመዝሙር_, 
   {{0x5bb600c5,0xdc6300d0,0x727e0120,0x6ecb024a}},	//   _如擅自篡改为_, _торгоны_, _liinoo_, _inunibin, 
   {{0x60ef0071,0xc2f00082,0xbeba0257,0x96850420}},	//   _دستتون_, _hadisai_, _einstakt_, _русите_, 
   {{0x9959040d,0xa92f02fe,0x204e0291,0x00000000}},	//   _boporofe, _استعمالې, _مسجّلة_, --, 
   {{0x40e700c7,0xc246007e,0x13f80377,0x00000000}},	// [1890] _агентлыг, _केवली_, _excursii_, --, 
   {{0x61860324,0x73100206,0x122b05f4,0x45e1020f}},	//   _ababonel, _kurzov_, _badmime_, _اشډاون_, 
   {{0xf0130532,0x6c0900b4,0xc2320159,0xd8d3026f}},	//   _zatvaran, _aluminiu_, _rotušės_, _سارنايدى_, 
   {{0x2ec700ec,0xb29203ad,0x01fc011f,0x00000000}},	//   _краязнаў, _ifakkar_, _karapety_, --, 
   {{0xc3030360,0x92f70227,0x984a0204,0xc30202cd}},	//   _hazardu_, _walimah_, _соски_, _hakarsu_, 
   {{0x930c028e,0x625b04bb,0x750f012b,0xec8000f5}},	//   _parasut_, _sablaj_, _agrotury, _җедел_, 
   {{0x274000c5,0xd33200c5,0x0efd02d3,0x42fc0344}},	//   _发言时请遵守注意, _中国轻工业网_, _позитиве, _allatasi_, 
   {{0x7bf6040f,0xf54b0035,0x82fb014d,0x5555033e}},	//   _studentų_, _marşrut_, _sichern_, _думахь_, 
   {{0xa472002c,0xe29200c9,0x357a005e,0x23cc0354}},	//   _импортло, _vitalk_, _ﺩﻩﺭﮬﺎﻝ_, _سەرسانلى, 
   {{0xd7c301b9,0x9c6f0243,0xd20204f8,0x00000000}},	//   _apersevw, _qalulih_, _basins_, --, 
   {{0x353400be,0xd2fc014a,0x724a000e,0x4c27006f}},	//   _اسماندان_, _blogok_, _elsman_, _خاطريءَ_, 
   {{0x45b003b5,0xf6b001b0,0xafb40478,0x790e00d1}},	//   _bangsany, _bangsani, _centraus_, _সুদীৰ্ঘ_, 
   {{0xdfd6016d,0x52910318,0x6c6004ca,0xf32702f3}},	//   _картнер_, _faaava_, _neutres_, _blocket_, 
   {{0xc61f002f,0x5fae00d9,0xf1bc0135,0x00000000}},	//   _chinkari, _autovero, _kiterelä_, --, 
   {{0x9f02023c,0x6a1e0164,0x12f10153,0xb96d0233}},	//   _ددوهم_, _чижин_, _nøgen_, _suficent, 
   {{0xa853011b,0xea4a00be,0x8da10111,0x37d000d7}},	//   _echanger_, _تىلككقە_, _affrontu_, _знагы_, 
   {{0x9de6015e,0x3f950152,0xe2240181,0xe778005e}},	// [18a0] _اعىنى_, _nindider_, _kenko_, _ﺋﻮﻟﯩﻤﭙﯩﻚ_, 
   {{0x49af0040,0xb975016e,0x73960416,0x227f0140}},	//   _גמילה_, _teknikle, _bussol_, _ayuno_, 
   {{0xec250028,0x837903e2,0x658700ff,0x73440129}},	//   _اخبارچھُ, _usuaria_, _נאכשרייע, _rubeere_, 
   {{0x4366033d,0x09d50497,0xe2990144,0x6b1802af}},	//   _brignol_, _antenupt, _fhinné_, _kunganis, 
   {{0xb1e30061,0x8c650367,0x92120315,0x93720432}},	//   _대전영어학원_, _daquele_, _cubha_, _aagaard_, 
   {{0x22ba0077,0x5974009b,0xf29000b7,0xf2bc054a}},	//   _annegad_, _албууд_, _ahmal_, _uradimo_, 
   {{0x738603a7,0x22260014,0xa3980374,0xed3e0061}},	//   _vcera_, _barkun_, _каналлар, _명품스타일_, 
   {{0xbab8046a,0x003a00e4,0xfe52021a,0x2c65036b}},	//   _paramètr, _wirtualn, _barbaree_, _naquele_, 
   {{0x15910003,0xe3ea0170,0x09fd0110,0x4773014e}},	//   _안녕하세요_, _anhtu_, _nesaprat, _игара_, 
   {{0xaba70092,0x90e7037f,0x3d9f0099,0x39f800d5}},	//   _時間以内に発送_, _istinadl, _chengara, _filibana_, 
   {{0x62e804e7,0x18dc02ac,0xa57502ea,0x372500f7}},	//   _milión_, _تشجيع_, _contesto_, _עובדא_, 
   {{0x6a0f0067,0xd9d90277,0x02d10059,0x220101f4}},	//   _abaabile, _espesime, _ветровит, _mayin_, 
   {{0xeb0f00bc,0x1201016b,0xc3c300bb,0xdecd007b}},	//   _waypoint, _layin_, _اُتار_, _dreiders_, 
   {{0x6ef00051,0x76f7046b,0xfc5a04ab,0xd81e02b6}},	//   _miljonus_, _pencampw, _sjetiti_, _маскүнем_, 
   {{0x2b820003,0xf27e045a,0x075302fc,0xaf3f00ad}},	//   _standaar, _byens_, _abanyeng, _sanghyan, 
   {{0xd7ba0440,0x7af00192,0xb2d80224,0x91280311}},	//   _rukuriki, _구매평가를_, _akkeri_, _ተኣኪብና_, 
   {{0x4cc00024,0xc2240172,0xea1502af,0xd3540014}},	// [18b0] _বিদ্যায়, _yenko_, _kiranuma_, _recetat_, 
   {{0x28f9019e,0x4b0100f7,0x71c700be,0x3a850195}},	//   _антоній_, _lipschit, _دارتىن_, _einnsean_, 
   {{0x16b703a1,0x32910275,0x0fd700f5,0xd2ea025e}},	//   _шампион_, _faaata_, _тапгыры_, _girnist_, 
   {{0x1dc601e5,0x92010028,0x72900230,0x69f2009a}},	//   _botileje_, _dayin_, _zimaz_, _beengoma_, 
   {{0xc53a02fe,0xec1c000d,0xd7e400c1,0x82780372}},	//   _تصویرونه_, _smartpos, _कोथरूड_, _eluned_, 
   {{0xb3950097,0x3779045b,0x49320291,0x8c6a03f1}},	//   _imuse_, _trekning, _بإرفاق_, _rakusku_, 
   {{0xb913001c,0xfa890171,0x6c53030b,0x82900119}},	//   _macarthu, _izazvala_, _akutama_, _limay_, 
   {{0x89590318,0xd2540209,0x62240259,0x31b200d1}},	//   _fetongit, _algeriam, _senko_, _ইয়েৰ_, 
   {{0x42fe019a,0x9fb000c5,0xf9fb022b,0xd2010054}},	//   _purged_, _lecteurs_, _starvinu, _hayin_, 
   {{0x0d5a023d,0x38630435,0x7201001e,0x962b03f0}},	//   _модел_, _додали_, _bayin_, _afmarkað, 
   {{0x335f0193,0xab6100aa,0x364000fe,0x0ecd0153}},	//   _अस्पृश्य, _rollover, _hisitoli, _リストに追加_, 
   {{0x03870286,0xc78a016d,0x2d2d016e,0xe290004f}},	//   _asaria_, _заманини, _bisiklet_, _bimay_, 
   {{0x5147010f,0xea2f0092,0x1a130244,0x29de008b}},	//   _васила_, _ドを忘れた方_, _maschera_, _fransuwa_, 
   {{0xe4130208,0x1b3501d1,0x99820101,0x460101f2}},	//   _بانده_, _establis, _постур_, _җимҗит_, 
   {{0xe387028f,0x5213033f,0x32910551,0x52240176}},	//   _rauru_, _eeehaa_, _irvan_, _renko_, 
   {{0x8d1d0025,0xd285004c,0x021700d9,0x827f0247}},	//   _वैयक्तिक, _abakung_, _сигнала_, _ayune_, 
   {{0xf037023d,0x937c00a5,0x922e0061,0x0c31014a}},	// [18c0] _settiman, _faraile_, _부탁합니다_, _tanuló_, 
   {{0xe2010054,0x82d60253,0x1278008d,0x1261010d}},	//   _yayin_, _villads_, _sahifani_, _प्राजक्त_, 
   {{0xe290033f,0xc9d900ee,0x12a6042b,0x5af901a1}},	//   _mamani_, _esperime, _probao_, _reinigen_, 
   {{0xb2cb02cb,0x48c501cd,0x2568032d,0xc15e0092}},	//   _razlozi_, _мукааб_, _регуляр_, _とネット長野_, 
   {{0x8290005b,0x4b6900bd,0xbb540285,0x713101db}},	//   _mimax_, _screamin_, _abamotar, _جەتپەس_, 
   {{0x12910189,0x3eae0125,0x3373026a,0xc2da02e7}},	//   _hayata_, _kellesin, _gagadre_, _dosena_, 
   {{0x429100bc,0xdaef005a,0x8db9010e,0xa8fa0137}},	//   _kayata_, _dilehnes, _dinampot_, _aitatasu, 
   {{0x3291064e,0xb29101b8,0x127f0207,0xbc7c0003}},	//   _jayata_, _arvan_, _mpenzi_, _janssen_, 
   {{0xf5f90037,0x7e54023d,0xeb5702a0,0xb4a002e5}},	//   _ኮንፌዴሬሽን_, _finanzia, _fátinipa_, _diezmado_, 
   {{0xb290012c,0x52010292,0x022402c2,0x9d3f021c}},	//   _jamani_, _payin_, _wenke_, _neplatít, 
   {{0x1e6c0207,0x52900312,0xe40e0090,0x00000000}},	//   _زینوا_, _damani_, _chegondo_, --, 
   {{0x249c02af,0xd38700ea,0x83fa033f,0xa2d8019b}},	//   _bakarenz, _asyria_, _lotuma_, _visokiu_, 
   {{0x3d9c015d,0xae1204dc,0x329504f2,0xbc010040}},	//   _kolekcje_, _بگرنه_, _vinaxuki_, _הכרזה_, 
   {{0xf17500ce,0x52a0012c,0xd4a702b2,0x4e3600a6}},	//   _konpasyo, _ukubwa_, _банками_, _angundoq, 
   {{0x42da0212,0x638700a9,0x7d0302ac,0x51bd028a}},	//   _altero_, _mbura_, _عدوان_, _ukombozi_, 
   {{0x027b01b8,0xac4d03ab,0xd387007b,0x5303004f}},	//   _mustamäe_, _kravaty_, _caurs_, _estaaru_, 
   {{0x8201019a,0xf2da0369,0x605402e2,0xa37800b7}},	// [18d0] _sayin_, _gosena_, _abysseen, _bahadan_, 
   {{0xfc710255,0x2a060071,0x662000ae,0x19fb0080}},	//   _मार्गी_, _ابراهیمی_, _akanyari, _allagaat, 
   {{0x52b901b2,0x9a0700b9,0x331f05f4,0x6f4600d9}},	//   _ainelag_, _jamannya_, _chicham_, _maksanut_, 
   {{0x93870292,0x62250243,0xc27f036e,0x86b20071}},	//   _abura_, _amaksa_, _ananao_, _bengkali, 
   {{0x0c780257,0x3501044a,0x27840156,0x9c680153}},	//   _flestum_, _bakristo_, _נאבעלע_, _terræn_, 
   {{0xf278014c,0x66b501a4,0x822403dd,0xbf21003d}},	//   _uluntu_, _botambwi, _shoket_, _apilerar_, 
   {{0x72fe02ff,0x2e28015e,0x73af00b5,0x2f6b0073}},	//   _dechire_, _favorits_, _consonán, _retalios_, 
   {{0x32c505ce,0xd27e0132,0xb291030b,0xabf6004b}},	//   _filmler_, _lennie_, _agaana_, _марттың_, 
   {{0x8646047b,0x97d5027e,0x2a140216,0xf4310193}},	//   _bakkanum_, _смеру_, _masalela_, _प्रयत्नह, 
   {{0x8b6b05b8,0xd26c0022,0xd2da0132,0x50640145}},	//   _annonser, _arnone_, _motoros_, _невельск, 
   {{0x32a6005b,0x526d01a0,0x5d19006e,0x52c50189}},	//   _kanban_, _exhikari_, _diangate_, _hileleri_, 
   {{0x1c66044a,0x92e70265,0x13860456,0xe2fc03d9}},	//   _miettes_, _plannen_, _hairan_, _aingam_, 
   {{0x23ea00fd,0xdc6d0270,0xba340273,0x6d3a02e0}},	//   _alltan_, _aperiva_, _eficacia_, _dirisane_, 
   {{0x64a900be,0x18c801db,0x56d0033f,0x72020344}},	//   _تىلمەچ_, _таратылу, _makamimi, _atukkasi_, 
   {{0xca180093,0x1291031c,0x7ec6001c,0xc3870163}},	//   _местах_, _debajo_, _colonels_, _nyerni_, 
   {{0xb290012c,0x02aa0418,0x251f0037,0x396003c2}},	//   _zamani_, _kapsamın, _የገበሬዎች_, _remotene, 
   {{0x02f700d2,0x204a038a,0xc2900049,0x23eb0574}},	// [18e0] _abdimah_, _charasan, _mamali_, _lopti_, 
   {{0x52910130,0x303b02c0,0x00000000,0x00000000}},	//   _ervat_, _станале_, --, --, 
   {{0xa2a6005b,0x38150037,0xe2c50418,0x00000000}},	//   _banban_, _ለመፈተሽ_, _aileleri_, --, 
   {{0x7044008a,0x92b30185,0x82f30003,0x46cf00e4}},	//   _agafesoo, _формаль_, _russisch_, _wyobrazi, 
   {{0x5290017f,0xa09a0061,0xe219002f,0xe34a064f}},	//   _tamani_, _진상규명법_, _chakranm, _panenku_, 
   {{0x475a0144,0xe307003c,0x2162064f,0x00000000}},	//   _tiontaig, _cambang_, _suprapho, --, 
   {{0x4ed605c1,0x3290019f,0x42fc003f,0x042f0189}},	//   _dilindun, _ramani_, _dangil_, _sosyoloj, 
   {{0xc2de02a5,0x43400087,0x80b6027b,0x3d3a004d}},	//   _ponorku_, _mafenya_, _ण्वुल्_, _係經斟酌年度_, 
   {{0x97b503f8,0xf26c0013,0x52ba0130,0x724804bd}},	//   _bolehbog, _olloh_, _annezad_, _kaomi_, 
   {{0xc2020650,0x12da0334,0xc22600bd,0x5ee70056}},	//   _nasiib_, _motero_, _harkin_, _табаров_, 
   {{0x93ba0132,0xb93e0040,0xcdc40095,0x8f260151}},	//   _privát_, _מוצלחים_, _جنگلهای_, _barranta, 
   {{0x4d16004b,0x92900456,0xd60d00ac,0xa29100a6}},	//   _минутҡа_, _cheah_, _školarin, _bezayo_, 
   {{0x88cc006d,0x2eac0016,0xf367014e,0x026c0195}},	//   _контурна, _mezorien, _керамике_, _sheoid_, 
   {{0x4b350106,0x34ab021c,0xbfb8029f,0x727e0407}},	//   _अब्बास_, _keramick, _posledno, _ukinuo_, 
   {{0xa290023b,0x7a14025f,0x2f4400e7,0x00000000}},	//   _kamali_, _basalela_, _arishesp, --, 
   {{0xd0dd0141,0x2e0501b4,0x527e042c,0x34b00297}},	//   _تیتره_, _handelaa, _skinuo_, _başlawğa_, 
   {{0x22b3034d,0xad7f0169,0xce230651,0x42910076}},	// [18f0] _saudara_, _হাবিবুর_, _प्रौढ_, _ervas_, 
   {{0x32a700b7,0xda4700cd,0xd5de021c,0x47be0207}},	//   _harby_, _alpestra_, _hotelový, _مصنفن_, 
   {{0xbc9603c2,0xcd6301d7,0xec0100a6,0x28480311}},	//   _confound_, _procurau_, _غلودانو_, _ክትሓልፎ_, 
   {{0xd3f90085,0x82bb0202,0xa3fa0251,0x73dd0119}},	//   _drauni_, _firipò_, _intuba_, _naawat_, 
   {{0x22240172,0xf2fc006f,0x02900262,0x32a60652}},	//   _menka_, _مشغلو_, _akmak_, _manjini_, 
   {{0x121a015d,0xbe140452,0x62720329,0xc69400b7}},	//   _एकदिवसीय_, _pemesana, _endividi_, _adatlary, 
   {{0x22ca0048,0x9c1400bd,0x43dd013b,0x5e9d019b}},	//   _abalimi_, _classix_, _kaawat_, _kasmetin, 
   {{0xf99803a7,0xa6390226,0x62000054,0x80f400d1}},	//   _akože_, _akanachi, _hidima_, _ককাদেউতা_, 
   {{0xa27201b9,0xaa8f0108,0xed00025c,0x2f9802ac}},	//   _individi_, _kuningan_, _herunter, _توتنهام_, 
   {{0x7ee70102,0x17050187,0x00000000,0x00000000}},	//   _alikutan, _ventilaç, --, --, 
   {{0x4cee014e,0x7b6100f1,0xc06e036f,0xd2910205}},	//   _америку_, _ansenyan_, _državnog_, _bebaho_, 
   {{0x05260076,0x1aef0176,0x12f0012c,0x1a450282}},	//   _carrinho_, _sleeples, _bilioni_, _ripeneta_, 
   {{0xc3870387,0x02910255,0xa80c0291,0x0d8f0289}},	//   _oburu_, _arvas_, _ويوفقك_, _chilanga, 
   {{0x5200039d,0x29f801fe,0x722a008d,0x6542020f}},	//   _gidima_, _daligana_, _мотам_, _لوکزامبو, 
   {{0x12a70206,0x069803b7,0x3dcb0559,0x56d70125}},	//   _farby_, _abitualh, _abahamba, _кувватда, 
   {{0x2e30023e,0xf4b8012a,0x01c80359,0x4224005b}},	//   _panggina, _proponuj, _republyk_, _genki_, 
   {{0x339501cd,0x62b301ac,0xbdf802ea,0xcc7600e4}},	// [1900] _umusa_, _cumarsái, _пенсии_, _szeregi_, 
   {{0xc8730269,0xd34003f3,0x297700e2,0x7394029e}},	//   _procesar_, _beheren_, _fernimme, _daosut_, 
   {{0xd08a01bb,0xf224006f,0x448802c2,0x0ec404c7}},	//   _принципл, _benki_, _vergelyk, _бескрајн, 
   {{0x838702ec,0xf29100f4,0x23870200,0xa6f201f2}},	//   _saaran_, _arvar_, _eburu_, _чоңрақи_, 
   {{0xa38704a8,0x12240176,0xf354011d,0xd8d601ad}},	//   _povrat_, _denki_, _decedat_, _kapunong, 
   {{0xe3ad0030,0xa2e8023b,0xdc1a030d,0x3394012d}},	//   _tāpat_, _heenalu_, _basqın_, _miksim_, 
   {{0xb276029c,0x8c710222,0xd3720230,0x63870129}},	//   _achikazi_, _endroit_, _dilapid_, _iburu_, 
   {{0x42da019d,0x8e1d0244,0xf723031c,0xd387005d}},	//   _potero_, _potenzia, _depresió, _emosaram, 
   {{0xaaea00c4,0xae370108,0x237c02ff,0xd2910076}},	//   _ٽيليويزن_, _kajahata, _detache_, _luvas_, 
   {{0x027f009c,0xc33d006d,0x7a880452,0x9387006e}},	//   _uyuni_, _ажыўленн, _webiklan_, _mburt_, 
   {{0xd19a00bf,0x3e380338,0x4355000b,0x7fe20553}},	//   _жизненно, _rivalita, _elifasa_, _zatepľov, 
   {{0xe6830105,0x3c6500d1,0x6348000f,0x032201d3}},	//   _मेवात_, _অনুশীলনৰ_, _bedelli_, _stryka_, 
   {{0xeae9007e,0xa40a02da,0x6abd0107,0xd2d701d9}},	//   _सर्वशूर_, _economiz, _لیندا_, _erklär_, 
   {{0x526c0049,0x417e022e,0xd88c012c,0xd032015d}},	//   _koloa_, _campagno, _mashambu, _बगाहे_, 
   {{0xadbd00b5,0xaf25033e,0x00000000,0x00000000}},	//   _aitereív, _casellan, --, --, 
   {{0xe38700b6,0x175305db,0x5e170362,0xfe5d01ef}},	//   _aburu_, _abanjeng, _bamemama, _матчы_, 
   {{0x626c023b,0x42000007,0x4eae017e,0xdc6803e0}},	// [1910] _loloa_, _bilima_, _anglalin, _boursen_, 
   {{0x022402b9,0x026c0465,0x7b500046,0xec68013a}},	//   _senki_, _celoti_, _disminuc, _coursen_, 
   {{0x4332002e,0x795404e5,0x07eb00e6,0x126c01f0}},	//   _održano_, _akulembe, _被拆迁人或者房屋, _goloa_, 
   {{0x939503bf,0xa1080318,0x82f00055,0x7c0b015e}},	//   _mmuso_, _anakival, _indiani_, _disposa_, 
   {{0x7778022f,0x0de40052,0xcc2800ba,0x27470364}},	//   _мансарда, _मध्येको_, _فێرخوازا, _faszinei, 
   {{0x2200006c,0x00000000,0x00000000,0x00000000}},	//   _simiso_, --, --, --, 
   {{0xd30300dc,0x4afd01f9,0x5a1402c9,0x00000000}},	//   _atuatau_, _atsetsis, _plictise, --, 
   {{0xb84a0014,0x130903cc,0x48140046,0x726c0058}},	//   _እናበለት_, _তথ্যকোষ_, _بئنادان_, _kelosi_, 
   {{0xe2fc01d3,0x8f32005c,0xef31020f,0x020001e9}},	//   _skrivet_, _abafaran, _akusakwa, _didika_, 
   {{0x4c4401f2,0x672e0040,0x52010445,0x00000000}},	//   _ﺳﻮﯞﯦﺖ_, _תובנות_, _queima_, --, 
   {{0xdc5200d1,0x7eac03ea,0x85c30092,0x9a8c0416}},	//   _বৃক্ক_, _certaine_, _今日の晩ごはん_, _facilmen_, 
   {{0xe87e00ff,0xb4f8014f,0x23f500e6,0x72d8041e}},	//   _סלאָװעני, _ђуканови, _董卿操劳过度脸被, _allevu_, 
   {{0x21b3014a,0x97b40639,0x33f40415,0x0e3b010b}},	//   _نادرا_, _menerang, _erstes_, _boramara, 
   {{0x59fb0080,0x96f702bd,0x59f900d5,0x9d2701de}},	//   _allakaat, _bencampw, _andikana_, _иранды_, 
   {{0xbaf801fe,0xd61b0080,0xbbc10109,0x837f003d}},	//   _katubale, _alannavi, _boskovic, _camarga_, 
   {{0x79c000de,0x29860219,0x026c0020,0xc760003e}},	//   _babephet, _ciniseka_, _seloti_, _бергє_, 
   {{0xc5780219,0xa7530397,0xbfe20271,0xc2da023e}},	// [1920] _atawunik, _abanceng, _variasjo, _gepeng_, 
   {{0xe543019b,0x2b000073,0x08e90094,0xc2b9005b}},	//   _atsisaky, _consumit, _қайтаруд, _kogebog_, 
   {{0x826c00bd,0x0290011f,0x52ae03d0,0x3a310208}},	//   _alloo_, _cheao_, _kazališn, _کیترین_, 
   {{0x33d80064,0xb76100ba,0x00000000,0x00000000}},	//   _дарбазас, _پڕشنگی_, --, --, 
   {{0x6e480122,0x068002d5,0xbaf20217,0x0e340544}},	//   _mohaseba, _krediidi, _ascribit, _kahalewa, 
   {{0x82ca0245,0xdc2b0037,0xed0001e1,0xcc2300f4}},	//   _mynder_, _ውድነትና_, _ditlhare_, _brastres, 
   {{0x42910418,0xe85d04c4,0xebea018d,0x684b023c}},	//   _duvar_, _tunnustu, _ንኣህዛብ_, _anamashu, 
   {{0x215801d1,0x064200cb,0x88fd0272,0x5200022f}},	//   _attorney_, _abanabaf, _babatend, _vilija_, 
   {{0xbd9d03b9,0x78cb018d,0x1913018f,0x4363012a}},	//   _millucha, _ንምእላዩ_, _daladchu, _drogach_, 
   {{0x6278014c,0xe5070238,0x84450204,0x73870128}},	//   _ilungu_, _кредиту_, _свободны, _hayron_, 
   {{0x26a7046d,0xd3780095,0x18a4005e,0x04320204}},	//   _kanganyi, _kahanan_, _немишқим, _naapurin_, 
   {{0xd846005b,0x79c80340,0x02c7053e,0xe1230078}},	//   _glamorou, _motoreta_, _enslige_, _неименов, 
   {{0xa9f60653,0xee990315,0x00000000,0x00000000}},	//   _altán_, _kubukiwe_, --, --, 
   {{0xb3f404bb,0x821d0125,0xf21b01af,0xc60c011a}},	//   _tustub_, _мабуд_, _alaymaly_, _unconsti, 
   {{0x2200020e,0xb2ce03b2,0x5b610025,0x5f2001e5}},	//   _bilika_, _acclaim_, _देवने_, _okitipup, 
   {{0x9225029c,0x2f08016e,0x82ca0092,0xe527027f}},	//   _alakwa_, _numarası, _floden_, _cinyegez, 
   {{0xd2ec0035,0xf0200335,0xbed402fe,0x737200fa}},	// [1930] _алмам_, _aṣṭīr_, _خبرنه_, _gilagid_, 
   {{0x720001fe,0xdb950212,0x234600ed,0x8fe902fe}},	//   _wilika_, _ecritoir, _gliders_, _تحقیقاتو_, 
   {{0x32ca01c6,0x221200b6,0xfc5300ba,0x9dee0156}},	//   _hynder_, _subhi_, _گۆڵچی_, _טשעכישער_, 
   {{0xe200024a,0xd2ca0098,0x165d0178,0x7fad0153}},	//   _griiki_, _kloden_, _bāliśāḥ_, _検索結果が実際の, 
   {{0x13f4002c,0x5ed9012c,0xa2e301bf,0xb24a0035}},	//   _laster_, _ndayamba, _mediene_, _gosman_, 
   {{0x426c02b9,0x925b02d8,0x4c69018d,0x98470420}},	//   _dolog_, _कालावधीत_, _ምምስሳል_, _магацин_, 
   {{0x891e0205,0x096d0187,0xf2fe0014,0x36800052}},	//   _جلریز_, _директна_, _deshire_, _खेतान_, 
   {{0x9f4e0013,0x7b6c009e,0x64e10024,0x74f7004a}},	//   _сайланди_, _imprensa_, _ঘটনাত_, _билләһи_, 
   {{0x8daa0212,0xf2240109,0x90ee02ac,0xbe930338}},	//   _hovnanya, _venku_, _لأجهزه_, _capturat_, 
   {{0x62010058,0xe13a0144,0x029a0222,0x8a1502c2}},	//   _breina_, _cordiall, _changé_, _mosambie, 
   {{0xaf5602bf,0x2fbd0629,0xcd870282,0x00000000}},	//   _emapasip, _atentsto, _turekore_, --, 
   {{0xa35f0359,0xaf28034a,0x12da0005,0x226c00e1}},	//   _leegste_, _recoller_, _viseta_, _bolog_, 
   {{0x14290037,0x359e0177,0x3b4401f2,0x96270347}},	//   _እንዲነሳ_, _арендази_, _сүний_, _koolstof, 
   {{0xb9ea0415,0x712d02ac,0x63f901ce,0xeda20052}},	//   _folgende, _كتيييييي, _asyur_, _पूर्वस्थ, 
   {{0x874100c5,0x3bad036d,0xf37f025b,0xd670004d}},	//   _政治交接学习教育, _atmhorac, _penasta_, _射手男最偏愛肉感, 
   {{0x131a015d,0xd2490288,0x7d110145,0x6ad00014}},	//   _wózki_, _mwamwe_, _устаноў_, _kultivue, 
   {{0xc2cb0125,0x4b8a00b7,0xaffc019b,0x8ebd05af}},	// [1940] _mesihiň_, _adenowir, _спосаб_, _autobusn, 
   {{0x2b610387,0x8201002c,0x03f40181,0x33fd0196}},	//   _emeliter, _eraiki_, _kaster_, _akungodz, 
   {{0x0dca015e,0x93f80082,0xb516020f,0x627e0082}},	//   _июлда_, _kaduna_, _akazifez, _izinin_, 
   {{0x03860148,0x542b0457,0x6c17019b,0x0387013a}},	//   _conroe_, _agnatimo_, _forumuos, _waaren_, 
   {{0x62000067,0x8c2a0037,0x62ef022c,0xf6320111}},	//   _aziiz_, _መኢአድን_, _bilihna_, _binidizi, 
   {{0xb2650194,0xd29001ac,0x59ee0177,0x7c340231}},	//   _conformm, _sheal_, _jurupegu, _perceper, 
   {{0xf3160611,0xdcdf00bb,0x51fc0191,0x240d02fe}},	//   _amize_, _negatív_, _polisanm, _الصحې_, 
   {{0x52480289,0x7daa0193,0x9b9a01b9,0x52da0020}},	//   _aboma_, _pariwisa, _kominalo_, _iupeli_, 
   {{0x7b9301b9,0x9db2005e,0x25eb0187,0x0f4702f3}},	//   _meritokr, _كەنتىدە_, _докторит, _passande_, 
   {{0xe20103d5,0x8a35005e,0x825a00cf,0xd9ef00e6}},	//   _plying_, _ئۆرنەكلە, _boolla_, _arrivera_, 
   {{0x12da049c,0x02e602ea,0x92a60100,0xd2d8005b}},	//   _buhleix_, _pianeta_, _probio_, _aplee_, 
   {{0xb32503f4,0x7b95006d,0xf15d0076,0x13f800ca}},	//   _стиральн, _альендэ_, _новинска, _caduna_, 
   {{0xf3f80571,0xea0901d1,0xa8fd01cf,0xd2b2013b}},	//   _maluna_, _combinat, _disagrad, _acedera_, 
   {{0x331600f9,0x185f02d4,0xbf2400ac,0xe3f800c0}},	//   _imaze_, _dumandar_, _loših_, _laluna_, 
   {{0x53aa0140,0x83550373,0x934901b2,0xb3870243}},	//   _darating_, _necesas_, _avidity_, _raaren_, 
   {{0x0e83014c,0x153a02c1,0xc3870204,0xdcf30206}},	//   _ndawonye_, _inzibacy, _saaren_, _faktorov_, 
   {{0xfe0100d1,0x7d940291,0x920001ac,0x4fe201b5}},	// [1950] _armenara, _meallaca, _phlimp_, _mudiyako, 
   {{0x02f300a4,0xfa3a0405,0x0d370287,0x77ca01f4}},	//   _dedicat_, _майданчи, _odlišit_, _қаратилм, 
   {{0x027f0244,0xca07051a,0x2b5000e2,0x5a2003b4}},	//   _fianco_, _ramainya_, _folchlis, _chichait, 
   {{0x1ae101ef,0x8cb900ed,0xcce4019b,0x8e5104e6}},	//   _projektą_, _binalaod_, _grupių_, _masasama, 
   {{0xf641028a,0xbf250220,0xe1380040,0x085f00cd}},	//   _kusimami, _aspettan, _בתחבורה_, _cumandar_, 
   {{0x42010450,0xa22402a3,0x902e0423,0x426d04da}},	//   _gebiet_, _suiker_, _kolemjdo, _hrvoje_, 
   {{0xaaef0075,0x0bf20334,0xa470004a,0x63040120}},	//   _adressub, _amatsuts, _balezino_, _nabanum_, 
   {{0xa4a500a2,0x7ad000a6,0xf2e50455,0xcd1e0424}},	//   _فنڪارن_, _ورایه_, _alinéa_, _vândute_, 
   {{0xc68301c9,0x4642032e,0x11dd0360,0xa2e300ea}},	//   _रूमाल_, _askiraki, _aplikací_, _sabotsy_, 
   {{0x6e0102da,0xef640184,0x635e00e6,0x00000000}},	//   _comemora, _kanatsin, _上海东川交通科技, --, 
   {{0xe36e026c,0x4dbc0315,0xe2000383,0x00000000}},	//   _centesim, _bonisana, _uzair_, --, 
   {{0x98180076,0xe98f032d,0x00000000,0x00000000}},	//   _предрасу, _khakanye, --, --, 
   {{0x48470244,0x429000fd,0x06d001c5,0x0fb000c5}},	//   _заради_, _sheas_, _macalimi, _secteurs_, 
   {{0x5b9f05e1,0x82e70450,0xb962020e,0xc39d02c0}},	//   _शंभुनाथ_, _moannen_, _ithobale, _посочува, 
   {{0x7b820253,0xc27f0388,0xa3790072,0x92910356}},	//   _nuannaar, _bianco_, _patacha_, _payata_, 
   {{0x4b900302,0xfa0a019b,0xa2ce0625,0x00000000}},	//   _ezinjalo_, _kompensu, _kreditmi_, --, 
   {{0x047702da,0x569500bf,0xd375023d,0xd3550319}},	// [1960] _проекти_, _службы_, _окончате, _recetas_, 
   {{0x71550092,0x627f016e,0x0b6c00f0,0x526c019a}},	//   _その他ベルカディ, _uzanan_, _netopier, _modoc_, 
   {{0x69af02b6,0x926c0008,0x5d9f0159,0x17880097}},	//   _құйып_, _colom_, _geležies_, _tíórì_, 
   {{0x43f40119,0x6c550066,0x840e02a2,0x54d5052b}},	//   _sarthe_, _baitute_, _kaarawan_, _सबसिडी_, 
   {{0xfd260338,0xb5ba0147,0x8f180012,0x226300aa}},	//   _dignitat_, _архаикал, _पुंजौलीउ, _manumbal, 
   {{0x940d0289,0x00000000,0x00000000,0x00000000}},	//   _adandiuz, --, --, --, 
   {{0xa6030132,0x1ea7001e,0x984503c7,0xe495004d}},	//   _frissült_, _tantance_, _uciążliw, _國民旅遊卡網站_, 
   {{0xa4280092,0xcfc60486,0xf3ea01bf,0x165a0137}},	//   _御神楽温泉_, _uspokojo, _rykter_, _логиктой_, 
   {{0xb2ae03d0,0x425a0250,0xb50200d7,0xf9d000d9}},	//   _kazališt, _sjelle_, _снарядта, _летия_, 
   {{0x6202052e,0x5dce031c,0x9e310156,0x7b7e0326}},	//   _druida_, _prohíbe_, _נדברו_, _akangoer, 
   {{0xc35f035a,0x3ead03ac,0x115b01aa,0xbec40587}},	//   _yengere_, _berorien, _annoncay_, _assetèt_, 
   {{0x33d20207,0xc26c01ec,0x5740025f,0xd6f10397}},	//   _عبدالحسي, _volom_, _bokolong, _исхоков_, 
   {{0xc20000c9,0xb4fc0156,0x5c6d02aa,0x0b6300d1}},	//   _syaib_, _ספישיס_, _netusim_, _শঙ্কৰোত্, 
   {{0xa26c0408,0x8aee0396,0xbd8b041e,0x00000000}},	//   _tolom_, _kontijie, _agettivu_, --, 
   {{0x8cff028a,0x93720255,0x0b8801c7,0x8041023a}},	//   _خصوصن_, _tahavad_, _sebitler, _odpusten, 
   {{0x1bf20128,0x7b6802a5,0x5e52001c,0x00000000}},	//   _تینگلب_, _kateřina_, _nakataka, --, 
   {{0x574604e9,0xcd5300d6,0x21550568,0x9386011a}},	// [1970] _maliglug, _daichead_, _leseoppl, _poorer_, 
   {{0xc0b80044,0xce6701bd,0xe7af0034,0x398e03c4}},	//   _בתאונה_, _саммиті_, _algerleg, _таҗик_, 
   {{0xa1030564,0x53fa00ae,0xf97b0094,0xf0f60178}},	//   _bulgarän_, _bituga_, _سالستىرا, _bhyāgata, 
   {{0x33cf00ac,0xa24801df,0x227e0455,0x00000000}},	//   _krevet_, _acome_, _evene_, --, 
   {{0xceba0220,0xa3130521,0xaebd0287,0xc2ec02c2}},	//   _топло_, _serbët_, _litujeme_, _libiese_, 
   {{0xc9fc0333,0x6225022b,0x43ea029b,0xc1240156}},	//   _incalcat, _stakur_, _djitou_, _שטיפּן_, 
   {{0x52ff0250,0xf9e002a4,0x72b3005b,0x748b0077}},	//   _arritur_, _beatitud, _chiduko_, _lakrimoj, 
   {{0xb7ba0343,0x99fa015b,0x5f4a0315,0x7584000c}},	//   _schuylki, _intanase, _bangakun, _haorusuk, 
   {{0xd68e00dd,0xb3f80397,0xb381012c,0x39e40322}},	//   _proffesi, _kalula_, _سرگرميون_, _abandura_, 
   {{0xd2ce01db,0xb1ac0309,0x00000000,0x00000000}},	//   _формулан, _allahsız, --, --, 
   {{0x739505c2,0x49860106,0x933b0074,0x9e54033f}},	//   _amusi_, _एमएमएस_, _способом_, _hinaekia, 
   {{0xd14a02b0,0xdc1e0286,0x48db0227,0xd8720013}},	//   _kostenlo, _ahintasɛ, _diketahu, _endilikd, 
   {{0x4e3603a1,0x35a2007e,0xf68101a6,0x8dd20178}},	//   _красив_, _anarthik, _ripekati, _dantoṣṭh, 
   {{0xc17b0220,0xa9340255,0x15990055,0xc51d00ef}},	//   _автори_, _kaamerat, _abastanz, _elinqaty, 
   {{0x138705b3,0x92c503db,0x53f400ec,0xb3950476}},	//   _daarin_, _bahlole_, _justas_, _emusi_, 
   {{0x7f070022,0x00000000,0x00000000,0x00000000}},	//   _насармы_, --, --, --, 
   {{0x04960300,0xee6b00c4,0x23f80022,0x420000d2}},	// [1980] _obrazovk, _پيشڪش_, _balula_, _ahlina_, 
   {{0xfb090130,0x29aa017a,0xc3640226,0xce740105}},	//   _gresiane, _кодир_, _akagula_, _procesie_, 
   {{0x413000c5,0xcab30545,0xe2e700e2,0x00000000}},	//   _基本比萨汁_, _norheims, _soannen_, --, 
   {{0x92480348,0x253900f4,0x9ba10060,0x72100052}},	//   _abomu_, _abretañ_, _بىزدىكىن_, _महाप्रबन, 
   {{0x461b0178,0x44f40037,0x8d8f0196,0xb265046f}},	//   _anantavi, _ለማርካት_, _chilinga, _fierstel, 
   {{0x3f26008a,0xfca400f5,0x9d050392,0x7ebe00e6}},	//   _amituana, _муртуны_, _cultarac, _广西壮族自治区_, 
   {{0x427f012c,0xf2900084,0x521800de,0x0a96017e}},	//   _chanzo_, _pamali_, _ayakuham, _barilojn_, 
   {{0x626c006e,0x03c20040,0xc44e035d,0x17bb0005}},	//   _bolok_, _ובראשונה_, _prijatno_, _linguatg, 
   {{0x22a0003a,0x726c010d,0x961103b5,0xbc7e0059}},	//   _shubha_, _colok_, _berendam_, _умерен_, 
   {{0x1ab703c7,0x9d150192,0x2b02011a,0xeeae00b3}},	//   _स्टडीज_, _elastisc, _astrocyt, _bellisin, 
   {{0xdc460205,0xf2920269,0x1c030292,0xc2ca000d}},	//   _کریمه_, _verano_, _bempong_, _loodan_, 
   {{0x72e804c3,0x3b6d02ba,0x3865004b,0xb3100227}},	//   _hoangtu_, _abathola_, _dimoleku, _bernaung_, 
   {{0x02710372,0x42fe026c,0x803f0257,0xbf5d0043}},	//   _llanelli_, _auribus_, _endurmen, _arrahman, 
   {{0x366f0168,0xe30400da,0x00000000,0x00000000}},	//   _hundrevi, _barajul_, --, --, 
   {{0x63f40294,0x00000000,0x00000000,0x00000000}},	//   _custis_, --, --, --, 
   {{0x438702c2,0x8341000b,0xb2900258,0xac2602e1}},	//   _waarin_, _aepeita_, _benaud_, _سامراء_, 
   {{0xad9f022d,0xc802034c,0x46d002ba,0x00000000}},	// [1990] _tedesche_, _гектогра, _azwakali, --, 
   {{0xe2fe0587,0x21f50297,0xa2dd00fc,0x53f40046}},	//   _cargue_, _слайдта_, _luqoydi_, _tastar_, 
   {{0xc2900018,0x0d8502ea,0x9f22037c,0xe32002e2}},	//   _namaki_, _finestre_, _pertinea, _bwoyid_, 
   {{0x00000000,0x00000000,0x00000000,0x00000000}},	//   --, --, --, --, 
   {{0x757005e7,0xdbf000e4,0xbf54047d,0xa26c01ed}},	//   _elawulak, _internec, _gespaant_, _holoi_, 
   {{0x91ff02c4,0x1d3f005b,0x2d3b010b,0xc2910242}},	//   _здравје_, _seahorse_, _dijitale_, _yükün_, 
   {{0xc84e045f,0xe8f50032,0x726c00c1,0xd0e7004a}},	//   _hittills_, _chinadaq_, _solok_, _iqtisadl, 
   {{0xbc7f00c5,0xb2900082,0x08800153,0xd1680135}},	//   _返回黑龙江主站_, _mamaki_, _この記事は_, _kitergä_, 
   {{0xdc3203be,0xbed60133,0xc25b0111,0x9b560052}},	//   _ababarir, _bidiruun, _moglia_, _सिद्धिपु, 
   {{0x72eb0051,0x698c02c1,0x1f650050,0xfb1800f1}},	//   _bizness_, _imihanda_, _hidrogén_, _legalman_, 
   {{0x53b000d6,0x29f9001c,0xb26503e6,0x60a70291}},	//   _ahbqs_, _valadare, _vierstel, _يعتزم_, 
   {{0x091e0128,0x12250117,0xcfcf01da,0xf26d0407}},	//   _السین_, _erakor_, _dedikuar_, _petog_, 
   {{0x9f280497,0xd9fb01be,0xb6110654,0x899a0045}},	//   _dogmatic_, _असहमति_, _terendam_, _струју_, 
   {{0xd6010300,0xed150166,0xd81500d6,0xa0e100a6}},	//   _cyklisti, _klassisc, _ابنتي_, _ayonakal, 
   {{0xed0c0103,0xd7c30126,0xfdbe02c9,0x32fe00e6}},	//   _aikumbir, _металеви, _radiatoa, _habiter_, 
   {{0x0b9e01fb,0xa660004d,0x4a8e00d1,0x8bbe0513}},	//   _jachetto_, _汶川大地震抗震救, _ক্ষেত্ৰা, _khokholo_, 
   {{0x955100c5,0xee4602c0,0x95c1012a,0x00000000}},	// [19a0] _山重水复疑无路_, _агенциит, _minerały_, --, 
   {{0x82d700a9,0x635b0101,0x407401d1,0xe911007e}},	//   _gitondo_, _singura_, _processo, _anabhiyu, 
   {{0xbf2f0402,0xce4d0516,0xd3bb0064,0xde9001cc}},	//   _kewujuda, _pegatina, _اسلان_, _ahamanen, 
   {{0xd723031c,0x324102d5,0x99cd0176,0xfcb70089}},	//   _represió, _भेजले_, _kufferte, _illyustr, 
   {{0x054600ba,0x3804019e,0xd26c02d9,0x426c001c}},	//   _بریماکۆف_, _агрэсіі_, _soloa_, _molon_, 
   {{0x4eb002ca,0xe2b20270,0x65190125,0x379e0510}},	//   _farraige_, _obedira_, _azaldyly, _пробе_, 
   {{0xe75e025b,0xb343029f,0x58690059,0x96a801de}},	//   _umsiting, _opatrení_, _книгите_, _гидрогра, 
   {{0x5e38030f,0x54890187,0x2a910153,0x53a20211}},	//   _maramata, _програме, _詳しくはこちらか, _leipä_, 
   {{0x3caf00d1,0xb2a7061d,0x6c00002b,0x363700ba}},	//   _উপন্যাসি, _натоға_, _শিক্ষাবর, _خاکێکدا_, 
   {{0x0c0b03f2,0x826d033f,0x173c002c,0x00000000}},	//   _egyptin_, _ketoe_, _albokaeg, --, 
   {{0xe59b013c,0xfcf50086,0xee1e009a,0x56fb0244}},	//   _kiloqram_, _partnerc, _bangagqa, _отделят_, 
   {{0xc76f00bf,0xe2a60655,0xfc210202,0xcb5900cb}},	//   _изображе, _osobno_, _bunijẹ_, _себзор_, 
   {{0x9278030d,0xc9790028,0x60260044,0x49fa027b}},	//   _olundu_, _طریقتس_, _פיקסלים_, _क्षमते_, 
   {{0xeff101d3,0xd469033b,0xa1c30262,0xc6bb00c4}},	//   _miljoner_, _tshelago_, _клублары_, _kusafiri, 
   {{0xbc7c0212,0x710000d9,0xbd9b0013,0x68750080}},	//   _smartor_, _merkitty_, _atrofida, _allisigu, 
   {{0x67d701aa,0xd27801cd,0x3e4e04b2,0xa2fe03ad}},	//   _ariablev, _abhidani_, _napatuna, _harget_, 
   {{0xd2fe0130,0x316c005a,0xe26c00bd,0xd2fd01be}},	// [19b0] _karget_, _dabijmeh_, _allou_, _muzikus_, 
   {{0x2b710095,0xfdaa028e,0xaeaa0180,0xc3670264}},	//   _berlumur, _kontiniu_, _kontinie_, _irignom_, 
   {{0x076402fd,0xc7820193,0x37c8003a,0x00000000}},	//   _chaitlig, _प्रातिनि, _asoslani, --, 
   {{0xe7e501b7,0x0a79023b,0x5386023a,0x526d0176}},	//   _संचरति_, _lapalapa_, _cukrom_, _baboom_, 
   {{0xec450148,0x1290012c,0x3a1500ec,0x2a9701a3}},	//   _使用者端程式_, _samaki_, _jasaitie, _چوڏھن_, 
   {{0xba070309,0x530303a8,0x00000000,0x00000000}},	//   _aviasiya_, _bakarst_, --, --, 
   {{0xa04700d9,0xd26c03d9,0x026c01f7,0x00000000}},	//   _салонов_, _folon_, _conois_, --, 
   {{0xe26c0564,0xb7070039,0x16bb0092,0xde01027b}},	//   _golon_, _камерыг_, _ブライダル_, _antataḥ_, 
   {{0x0b8300d1,0x00000000,0x00000000,0x00000000}},	//   _অমিতা_, --, --, --, 
   {{0x527e01d9,0x8e52004f,0x085a038f,0xa5a70255}},	//   _shingo_, _angalika, _digoradu, _गावतो_, 
   {{0x3d200133,0xb41c03d8,0x026c0318,0xe80302ba}},	//   _ribosome_, _pregazio_, _holoo_, _гулдаста_, 
   {{0xb31800fa,0xa26c01c2,0x67530065,0xdd9e02af}},	//   _ganitong_, _ollos_, _spannung, _bukebuke_, 
   {{0xd26c0183,0x00000000,0x00000000,0x00000000}},	//   _volon_, --, --, --, 
   {{0x426c0515,0xc2fc0255,0xf2b20456,0x398b0061}},	//   _illos_, _allikas_, _banduan_, _부서별표준서식_, 
   {{0xf1b502da,0x203600d1,0x338700ee,0xcf49027b}},	//   _стандард, _আঁহতগুৰি_, _oparoa_, _व्यधात्_, 
   {{0x322401d9,0x42000404,0x00000000,0x00000000}},	//   _lenks_, _rejine_, --, --, 
   {{0xca14064d,0x724a000e,0x2d2900ad,0x266700c7}},	// [19c0] _eliakima_, _cosman_, _permanén_, _бакиров_, 
   {{0xf5bc00a6,0x5387004b,0xf629034b,0xc0380195}},	//   _بيانيه_, _aparoa_, _havirisi, _carthann, 
   {{0x026c024b,0xb31c0656,0xfe3803be,0xd74f0092}},	//   _ellos_, _preciza_, _barabata, _printerv, 
   {{0xa26c006e,0x575a0144,0x13670040,0x00000000}},	//   _boloo_, _mionlaig, _וכשמדדתי_, --, 
   {{0x7d6f0294,0x2c5c013d,0x12900627,0x4f1404ca}},	//   _animalta, _partojn_, _ikmat_, _calcaris_, 
   {{0x39330144,0x1e8602ea,0x8ae1002b,0x46d30287}},	//   _بإرسال_, _conviene_, _বইপাগল_, _बोरिङ_, 
   {{0x9224006e,0xb26c01f7,0xcb670195,0x6afc027e}},	//   _penku_, _tolon_, _bileagan_, _поздрављ, 
   {{0x3f82026f,0xa04e0040,0xe29e04d7,0x12d6034d}},	//   _اۋىتقىعا, _טורניר_, _neitaði_, _berliku_, 
   {{0x0efe020e,0x1107003c,0xac0f016e,0x47920110}},	//   _barwetsa, _سرزرد_, _körfez_, _centīsie, 
   {{0xa26c0403,0x337c02be,0xc2240594,0xe2ab023e}},	//   _solon_, _detalye_, _tenkt_, _kondang_, 
   {{0x92b403ae,0x9fee0040,0x47b60374,0x3c250011}},	//   _jødisk_, _פולשנית_, _adresing, _basaalir, 
   {{0x0b7f000c,0xc8eb00d9,0xa8fe01d4,0x75b001f5}},	//   _asunción_, _обладате, _parapend, _dinginny, 
   {{0x8c270483,0x8dbe0148,0x2b88050a,0xb26c03ad}},	//   _estímulo_, _上一篇主題_, _terimler, _folol_, 
   {{0xef4e04c7,0xf2d8054f,0x739502ca,0x00f80242}},	//   _политичк, _nplej_, _seasta_, _topladığ, 
   {{0xf37f0188,0x8d320270,0xe2fe0478,0xb224013a}},	//   _namanga_, _maritage_, _variats_, _denks_, 
   {{0x020d014e,0xd2480362,0x71790629,0x930603bf}},	//   _спомен_, _abomi_, _adridmay_, _dirobeng_, 
   {{0x72b8002c,0xac0b0193,0x7ade00e2,0xb2c504cf}},	// [19d0] _handiak_, _ngapain_, _fertocht, _bahlale_, 
   {{0x52900113,0x3e3902d4,0x971d0137,0x1c000012}},	//   _theas_, _finamira, _хомрогло, _हमरॆँ_, 
   {{0x42bc0605,0x437f01ad,0xe2c30003,0xe9b900e6}},	//   _mondyal_, _camanga_, _spellen_, _paramédi, 
   {{0xd03b0238,0xab90002b,0xc57d0128,0x00000000}},	//   _очистити_, _অনুমতিতে_, _дармонга_, --, 
   {{0xdf32020b,0xc6800523,0x33f4003d,0x87ae0088}},	//   _barutaba, _कोलाज_, _barthe_, _бийге_, 
   {{0x739f0301,0x80ab0220,0xb860009a,0xb2eb02f9}},	//   _dövrdə_, _стомана_, _alinamqu, _bizniss_, 
   {{0xb31600f9,0x165e0354,0xdd00014d,0x82910053}},	//   _amaze_, _бизму_, _verliebt_, _revand_, 
   {{0x78390297,0xc93d00dd,0x340000e6,0x22db0203}},	//   _afrikağa_, _anymarfe, _中国兽医药品监察, _suposir_, 
   {{0x726c0201,0x47300071,0x0c65044d,0x02bb005f}},	//   _bolol_, _airlangg, _daytalu_, _novedad_, 
   {{0xb31902e2,0xe063009b,0x53f401f1,0x986d00a4}},	//   _chaining_, _голлох_, _paster_, _ocasions_, 
   {{0x826c0193,0x2e0b01d1,0x915c004a,0x8dd10214}},	//   _lolos_, _elements_, _сулап_, _anokunga, 
   {{0x826c03d8,0xa4f4018d,0x9d8403eb,0xb30702be}},	//   _vodom_, _መዛሙራት_, _leidende_, _hambing_, 
   {{0xa37302c3,0xe200006e,0xa16e00a4,0xf4a10127}},	//   _dodanie_, _ayiir_, _тармагын_, _ahendall_, 
   {{0x124803de,0x73780221,0x123c0003,0x83830009}},	//   _ubomi_, _fahaman_, _normaal_, _pripravi_, 
   {{0xa29202bd,0x652e045e,0xa4a101eb,0x7e350047}},	//   _straen_, _принуден_, _mbaysyvo_, _utilises_, 
   {{0xf3f4018b,0xf9fc00f9,0xe63901ac,0xf30704b2}},	//   _martie_, _kwandika_, _dinimici, _lambing_, 
   {{0x7dc30040,0x7069009e,0xe1510137,0xa398036e}},	// [19e0] _האנטי_, _compreen, _стоус_, _chuymiq_, 
   {{0x53fa00ad,0x03f90095,0x45c0002b,0x021200bf}},	//   _kituna_, _apyun_, _সোপর্দ_, _адамалли, 
   {{0x39d3036e,0x0af5029a,0x0eac01cf,0x829002f6}},	//   _distritu, _larestas, _jerraise_, _munang_, 
   {{0xb25f02bf,0x80960040,0xa26c015e,0x6864004d}},	//   _balungel, _ושלושה_, _celoni_, _我們的故事_, 
   {{0xf316037a,0x001a016d,0x5d1b02c2,0xd38003ec}},	//   _umaze_, _ﺋﯩﻠﺘﯩﻤﺎﺱ_, _avonture_, _revistë_, 
   {{0x3f690121,0x00000000,0x00000000,0x00000000}},	//   _salarios_, --, --, --, 
   {{0xc201027b,0xeba50125,0x663901db,0x426c0205}},	//   _apaiti_, _хысырдыс, _палатаны, _holos_, 
   {{0x1e550333,0x7f5d022e,0x62da00d7,0x8d9d0084}},	//   _arrabbia, _ottavian, _botebo_, _bluefame_, 
   {{0xca1d0147,0x629000d2,0x34350184,0xe38d01b5}},	//   _comença_, _kunang_, _arajabuk, _edeskini_, 
   {{0xeb72023d,0x6e7a0046,0x999300bb,0x6a0200f7}},	//   _стана_, _мандатын, _بھڑکا_, _ambrotiu, 
   {{0xd3780294,0x57620314,0x4a770107,0xe6f60012}},	//   _achawan_, _геройҙар, _بايستي_, _सुझवलन_, 
   {{0xc41201f5,0x0e1b0546,0x13d40181,0x763201d7}},	//   _diingink, _उल्लिखित_, _landbrug_, _habitazi, 
   {{0xe20001e5,0xac460425,0x49c10181,0xa303012a}},	//   _apiiri_, _بریمه_, _aflevere, _finału_, 
   {{0x129201b7,0x88c101db,0x82920240,0x0e3f00e6}},	//   _agrato_, _студиясы_, _saqata_, _手机电子书_, 
   {{0xd95002fd,0x05150287,0xf8340210,0x49340090}},	//   _aislinge, _एकैदिन_, _chemukad, _chemukat, 
   {{0xf3050198,0xa386018e,0x68860349,0x23f302ac}},	//   _članek_, _ebazini_, _alghurid, _تطوان_, 
   {{0x9ffd01bd,0xc6f6034c,0x927f0331,0xbd780161}},	// [19f0] _ءﺑﻮﻟﯩﻤﻰ_, _муллалар, _fegnir_, _наноситс, 
   {{0x26c701a7,0x22ef0055,0x4ec603b1,0xd27800e2}},	//   _tilantei, _turnati_, _citoyens_, _fernim_, 
   {{0xee54043d,0x637303c7,0xa35405e0,0x6320038a}},	//   _kesalaha, _podanie_, _relevos_, _chichas_, 
   {{0x00340139,0x026c05e0,0x526c0115,0x01d70187}},	//   _abhedeno, _tolos_, _hodoh_, _најлош_, 
   {{0xefc300cc,0x93f40194,0xc2a000d6,0x925a0513}},	//   _regioner_, _hastar_, _تنومه_, _kholwa_, 
   {{0xe26c0217,0x726c0386,0xb4640040,0xf2d9000d}},	//   _rolos_, _jodoh_, _באפסטור_, _ostes_, 
   {{0x626c02e7,0xcc5a0241,0xb3f80119,0xe2da0244}},	//   _kolor_, _feeteti_, _naduma_, _inteso_, 
   {{0x92d9001d,0x52e202d8,0xf41a0429,0x00000000}},	//   _istes_, _लॉगीन_, _diandaik, --, 
   {{0xf26c00c3,0x429101da,0x426c0518,0xd3f401f6}},	//   _dolor_, _thuaj_, _xolos_, _lastar_, 
   {{0x8b9e045c,0x226c0016,0x83f80255,0x645d00b4}},	//   _zaciatoc, _volos_, _kaduma_, _completă_, 
   {{0x9f5501c2,0x19430638,0x026201d4,0x87820299}},	//   _despraza, _spillere, _allonghi_, _دەۋزەخ_, 
   {{0x721c0019,0x64f50037,0x8d9b055a,0xf25a01cd}},	//   _ئيىتكەن_, _ለማሰራት_, _atrocida, _aholwa_, 
   {{0x6a100101,0x52d902f1,0x1b100101,0xf26c0227}},	//   _consiliu, _estes_, _consilie, _bodoh_, 
   {{0xf29105fd,0xdeb60238,0x2387001d,0x41390088}},	//   _skuad_, _системі_, _aversi_, _найманба, 
   {{0x32010125,0x7b8d0372,0x16e40287,0x95230361}},	//   _wezipe_, _anonestr, _servisní, _мордва_, 
   {{0xc26c04a7,0xf38603b6,0x510c00d1,0xf8cd00f6}},	//   _polos_, _abirun_, _ইম্পিৰিয, _bayramov, 
   {{0x52380467,0xc3f80333,0xbc1b008e,0xafbe0066}},	// [1a00] _sarmiah_, _padula_, _dieumé_, _koalizio, 
   {{0xc8370192,0x73f40378,0x4c9003a2,0x237c0407}},	//   _반갑습니다_, _fastar_, _लाभों_, _bacanje_, 
   {{0xc3890003,0x38540102,0x126c014b,0x8023009b}},	//   _vergelij, _موديز_, _goloq_, _berdinak_, 
   {{0x72900657,0x29aa0037,0xd3b60532,0xe2af019b}},	//   _ijmak_, _መለዋወጥ_, _stavlja_, _karališk, 
   {{0xd1520349,0xfb6a02d9,0x43f8040b,0x10e10109}},	//   _evelslay_, _amatalia_, _talula_, _odinstal, 
   {{0xa746000a,0x431005a5,0xd2da0244,0x63e100d3}},	//   _malillug, _verziu_, _intero_, _भर्त्सना_, 
   {{0x82d903cf,0xbe52030f,0x7f690141,0x00000000}},	//   _ister_, _takataka, _apparatn, --, 
   {{0xac5901fc,0x9b170235,0x1a06027f,0xd69b0420}},	//   _baktaah_, _प्रणवं_, _biradege, _скриени_, 
   {{0x2e5c0037,0x18fd0209,0xe31e0315,0x12d90051}},	//   _ከማመልከቻ_, _sodavand, _edictal_, _astes_, 
   {{0x58ba0119,0xf3f40257,0x6c6d008e,0x23200156}},	//   _göttinge, _fastir_, _delusik_, _שמוגלער_, 
   {{0x69d001a7,0xc6aa0276,0x4a0c0209,0x1250011b}},	//   _hakemist, _گرامدىن_, _ammaanne, _dicernem, 
   {{0x1ec90083,0xfc58018d,0x098001fb,0xd2f30050}},	//   _politecn, _ንዘኽታማት_, _legierme, _kaliwat_, 
   {{0x63ea01af,0xc6ac00e4,0x3bf00005,0x238800cf}},	//   _soltan_, _intensyw, _surfatsc, _baayina_, 
   {{0x694c0360,0x96b4006e,0xfa590149,0xcb8703b7}},	//   _uplatněn, _defukaay, _ọghara_, _annister, 
   {{0xf3870377,0xaa610479,0x6e6e01f4,0x8e9b007b}},	//   _scurt_, _kovács_, _chaqaloq, _covetous_, 
   {{0x02d90230,0x33f801c0,0x2d0603ad,0x93ea0429}},	//   _aster_, _salula_, _kwartier, _voltan_, 
   {{0x97100192,0xa6c2015d,0x031d002f,0x5242036e}},	// [1a10] _고객센터의_, _धन्यवाद्_, _amachan_, _bibliapi_, 
   {{0x0d99016e,0x8eb9001d,0xe2fe0180,0x83f8019f}},	//   _reklamla, _profanes_, _larises_, _maduka_, 
   {{0xf31605f1,0x44ec00d1,0x2d8f02cb,0x1806002b}},	//   _amazi_, _নিজান_, _skidanje_, _নীরবতা_, 
   {{0xac5c037c,0xc2910111,0x9c5502ef,0x00000000}},	//   _footbal_, _affaru_, _lestrad_, --, 
   {{0x02d80258,0x99da02a0,0xd157052b,0x4bed0061}},	//   _ommers_, _alábahun_, _पल्लवी_, _네비게이토_, 
   {{0x6aa203bf,0x7928016d,0x28c100d7,0xc30e0050}},	//   _авторлыҡ_, _еливатим, _мәкерле_, _saratus_, 
   {{0xcad70163,0x4623013a,0xa2d80003,0x930e026c}},	//   _کاربند_, _homonymi, _immers_, _paratus_, 
   {{0x9c76008f,0x6eaa02a1,0x63f8019d,0x1f1100a6}},	//   _निम्नो_, _naburige_, _kaduka_, _دريابونه_, 
   {{0x163d015e,0xe9c103a2,0xce9b004d,0xf26c0258}},	//   _sobirani, _एसएचओ_, _中國經濟網有權在, _folop_, 
   {{0xa3f8024f,0x34a80127,0x00000000,0x00000000}},	//   _yaluma_, _dizingal_, --, --, 
   {{0x926c040b,0xa2900165,0xf2480061,0x00000000}},	//   _goloi_, _akeai_, _vakman_, --, 
   {{0xd9b50308,0x7bdf00ae,0x23860096,0x637c0100}},	//   _mendapat, _bahenger, _abasindi_, _ostatke_, 
   {{0xc6d20012,0xb3f40108,0x46a50510,0x126c0395}},	//   _तिसिए_, _awutan_, _улсенче_, _poloh_, 
   {{0xb2900562,0xea0702d8,0xbb5b0095,0x426c01e9}},	//   _renaud_, _kamarnya_, _delengen_, _boloi_, 
   {{0x9355031c,0xbae70089,0x00000000,0x00000000}},	//   _decenas_, _диварга_, --, --, 
   {{0x626c02bc,0x5e8f0420,0x0fd4004d,0x0f2f019b}},	//   _doloi_, _projetos_, _內含天使的祝福_, _instalia, 
   {{0x72720134,0x43f80369,0x991200aa,0x00000000}},	// [1a20] _gidigidi_, _saluma_, _mamatahu, --, 
   {{0x1f3e0025,0x9987017d,0xb26c01c5,0x2b620272}},	//   _राष्ट्रे_, _厚生労働省_, _hodon_, _amuleter, 
   {{0x234100ca,0x627e04b4,0x024d0381,0x71e70366}},	//   _ciceron_, _dannet_, _anifestm, _пысăк_, 
   {{0x72da01b9,0x4c7505a4,0xfd750206,0xea880061}},	//   _disela_, _formátu_, _formáte_, _전문가들이_, 
   {{0x777301eb,0xab5b003c,0xf8c00218,0x0c060226}},	//   _аҭыҧантә, _celengen_, _attended, _kansalu_, 
   {{0xf21201c5,0xc2f70239,0xbc71016f,0x9d6002bf}},	//   _dhihi_, _kairīwhi_, _tipsene_, _elicembu_, 
   {{0xd3eb003c,0x908c048a,0x1e90018b,0xcc3601f6}},	//   _cipta_, _мамандар_, _единтелу, _দীঘলীয়া_, 
   {{0x5a1501eb,0xf30d0312,0x681500f2,0x17360291}},	//   _coactiva_, _bisousig_, _meteorīt, _عالمرور_, 
   {{0x26910261,0x78f70094,0x4d8f0196,0x0c740365}},	//   _normalaj_, _تۋراسىنا_, _chilunga, _आबस्यक_, 
   {{0x3cb301a6,0x04780374,0xaee20061,0x3f150153}},	//   _manawatu_, _усама_, _우주선발사_, _デン蓮池公園_, 
   {{0xf2fc00a7,0x21840315,0xc7b40006,0xec690244}},	//   _entitat_, _awabhadl, _penebang, _ritrovo_, 
   {{0xf311012f,0x93f40013,0x73650272,0x64f50350}},	//   _baibait_, _dastur_, _abeegunj, _ለማሠራት_, 
   {{0x2b1d0061,0x73f804bd,0xa9090372,0x7abd03ce}},	//   _결과적으로_, _kaluha_, _benbalad, _میندا_, 
   {{0xa94d00d1,0x298e0041,0x44340320,0x00000000}},	//   _দুজনা_, _аҧшыхәра, _mapakelo_, --, 
   {{0x7e3b0069,0x32900092,0xd29104b2,0x791200aa}},	//   _biragara, _menard_, _niyaon_, _kamatahu, 
   {{0xaa1f01a7,0x13f8025f,0xb3f80247,0xb2d8024c}},	//   _основные_, _baluka_, _paduka_, _aqleb_, 
   {{0xd5c80037,0xa524005e,0x94bd0185,0x42b4007e}},	// [1a30] _ሥልጣኑን_, _ﺳﺎﺑﯩﻖ_, _başların_, _avocan_, 
   {{0x7eaf03b9,0xeda7005a,0x739401df,0x0274020f}},	//   _parlawin, _holoycha, _dunse_, _پريږدی_, 
   {{0x7555017a,0xcc650240,0xfbe302eb,0x18880040}},	//   _abakutsh, _ikatolu_, _жорлон_, _הפרמטרים_, 
   {{0xc12900c7,0xb15c051b,0x037102a2,0x91110125}},	//   _germaniä_, _florbalo, _malamig_, _berkidil, 
   {{0xb373001e,0x995202a0,0xd9fa0343,0x9ca70213}},	//   _magance_, _fasorant, _gililala_, _деветкка_, 
   {{0x1b1f01d2,0x4232002e,0xa129038f,0x028c0100}},	//   _allaukan_, _brojevim, _dermeniñ_, _vlakana_, 
   {{0x77ad03a7,0x1987031d,0x78fd02f3,0x0dfd061c}},	//   _trpezliv, _innkeepe, _skrattad, _podesava, 
   {{0x9fd503c7,0x69a80211,0x495c00a2,0x00000000}},	//   _prezyden, _верхней_, _theonest, --, 
   {{0xc30501c5,0x49090173,0x14ea00d9,0x8c0b0658}},	//   _اوراد_, _স্বীকার_, _закончил, _egipcio_, 
   {{0x827f02e8,0x81b50111,0x226c03a1,0xf7e700c1}},	//   _mhando_, _palmieri_, _veloci_, _सुखरूप_, 
   {{0x32f004aa,0x58de024c,0x52120096,0x43370161}},	//   _debitsi_, _perfectd, _akiha_, _николая_, 
   {{0x6e0c02f6,0x32d4003a,0xc29202ea,0xa8fb0037}},	//   _lisensya, _birdek_, _teramo_, _በባለስልጣኑ_, 
   {{0x10d90475,0x62fe0193,0xec0302ba,0xa26c004f}},	//   _заболева, _target_, _asefranc, _lolou_, 
   {{0x44ed00c8,0x76ab0041,0x82cc003b,0x00000000}},	//   _күмелде_, _рбаталио, _ineliso_, --, 
   {{0x35ff04f9,0x5d40020f,0x00000000,0x00000000}},	//   _bergstrø, _خرابوالي_, --, --, 
   {{0xc9850157,0x56b900ea,0xa95b028b,0x3e3a00ae}},	//   _polityka_, _manamari, _butoride, _baragasa, 
   {{0x72250292,0x637e012a,0x00000000,0x00000000}},	// [1a40] _isakar_, _trafić_, --, --, 
   {{0xa1750277,0x738700c3,0x488e0098,0x3d7102da}},	//   _propesyo, _exerci_, _råvarer_, _palmeira, 
   {{0x4c0502fe,0x94d700f5,0xee900196,0x494b0210}},	//   _abarhweb, _ваканы_, _akamanen, _akamushe, 
   {{0xd27e0025,0xe81a0089,0xf2b40151,0xb9780223}},	//   _svena_, _тәрбиялә, _saddled_, _настнууд, 
   {{0x92da033b,0x68ba0040,0xd2560352,0xd2da012e}},	//   _potego_, _בכרמיאל_, _সদস্যক_, _viseli_, 
   {{0xbb270074,0xd2910129,0xd37900b3,0x00c2004a}},	//   _внимания_, _mobail_, _aydaryn_, _атамасын_, 
   {{0xb3160285,0x85e901ef,0x1ad500f2,0xe18a004a}},	//   _amazu_, _valančiū, _arhibīsk, _аюдан_, 
   {{0x8a600107,0xb2010342,0xb6b90286,0x8313027b}},	//   _اخرين_, _mezire_, _nanabari, _आनुशंसाः_, 
   {{0x0c150052,0xbf3901ab,0xf24a011d,0x138603b6}},	//   _कुर्कुच्, _दितियैक_, _cosmin_, _obirin_, 
   {{0x08d600c1,0xcf630025,0xdc9f00b5,0xb26c0013}},	//   _गोगटे_, _विश्वासं_, _kusepuku_, _eldor_, 
   {{0x426c04a7,0x4fee0401,0x535400dc,0x4212005b}},	//   _lodos_, _क्षारीय_, _leseiau_, _chiho_, 
   {{0x80e90094,0x3b360472,0xe27c01f4,0xa8f1032c}},	//   _ءتاپسىرى_, _membikin_, _topiladi_, _ilusilig, 
   {{0x89040235,0xb25a01e9,0xc3eb01c1,0x936f02cb}},	//   _adinnādā, _beelwe_, _cipto_, _tehničko, 
   {{0xd2b20659,0x255303db,0xc8430299,0xb27a04b2}},	//   _panduan_, _abakheth, _ئوقەتچىل, _bumibili_, 
   {{0xa788012c,0x336f02cb,0xa3800075,0xdc520198}},	//   _نوجوانن_, _tehnički, _spurdi_, _svetila_, 
   {{0xe6c700ee,0x19930359,0x2201033d,0x00000000}},	//   _eleberri, _boekefee, _dezire_, --, 
   {{0xaaf70039,0x9d9e00fe,0xb6970065,0xe27f03b4}},	// [1a50] _нандин_, _hukehuke_, _bedenkli, _chando_, 
   {{0x12b800ff,0x15b9012a,0x026c032d,0xbf5f02bb}},	//   _פעקעטע_, _posiadam_, _bolou_, _demontaż, 
   {{0xc5a80044,0xa9e30013,0x46d8032d,0x00000000}},	//   _לגידול_, _хонага_, _харрасов, --, 
   {{0x71aa00da,0xf21d0023,0x8e460113,0x6638015e}},	//   _дискуцие, _самую_, _كائنات_, _mediambi, 
   {{0x2f3900e4,0xeaf80173,0x99f80173,0xb94f00cd}},	//   _तिमिलाई_, _asesinat, _asesinad, _approvar_, 
   {{0x12e500a6,0x683e00da,0x900e03fb,0x785b0131}},	//   _amoniya_, _чирка_, _razveden, _autoaxud, 
   {{0x79130062,0x3bf0003d,0xf6990374,0x6e4c0482}},	//   _dalajchu, _adressec, _байтулло, _siyaasaa, 
   {{0xca1e00c5,0x8a0402e1,0x5e360017,0x2cdb007e}},	//   _亿元人民币_, _cumasait, _zasahova, _atulāṃ_, 
   {{0x826c022c,0x4212005b,0x030f065a,0x8f4900be}},	//   _kolot_, _shiho_, _akubona_, _байчечек, 
   {{0xa2d801e1,0x6ae20320,0x58ec01b3,0xc26c0030}},	//   _baheso_, _emaritwe, _районних_, _dodos_, 
   {{0xc2cb031a,0x096a008d,0x9c74065b,0x397a00b3}},	//   _aisde_, _самарадо, _शिप्रा_, _aktiwist, 
   {{0xc1f6017d,0xb06d0027,0xb3640162,0x30ff065c}},	//   _ejendomm, _nedabino, _ئويما_, _atshabal, 
   {{0x86ce003a,0x32ca03db,0x343e0366,0x73360025}},	//   _balandli, _behleli_, _парне_, _स्थापिता_, 
   {{0xe44a0299,0xb2fc0079,0xb9cc0092,0xa26c029e}},	//   _индәккә_, _polijas_, _外部サイト_, _deloof_, 
   {{0x83900216,0x8dd50099,0x72d90008,0x5afe0127}},	//   _ahiyeni_, _akakamba, _esteu_, _diframme, 
   {{0x628702ac,0x66b20193,0xd3fa0074,0x927e012c}},	//   _مفتاح_, _मस्तं_, _sipuli_, _ukingo_, 
   {{0x6e5a0297,0x00000000,0x00000000,0x00000000}},	// [1a60] _ciñgäç_, --, --, --, 
   {{0x562401aa,0x00000000,0x00000000,0x00000000}},	//   _appliesw, --, --, --, 
   {{0x52e7042b,0x73420029,0xc7b902bf,0x57fd00c5}},	//   _kornera_, _پێشخستنی_, _amsukumi, _深入贯彻落实科学, 
   {{0xc26c016c,0x59e60203,0xe2d8065d,0x964001c0}},	//   _todos_, _correctu, _epler_, _hikimomi, 
   {{0xf2f30040,0x69f90403,0x1a7300b9,0x00000000}},	//   _inhibit_, _dadanare, _indojilb, --, 
   {{0x9ec801ef,0xcded0182,0x7431027b,0x00000000}},	//   _staigmen, _ukālā_, _नावबुध्य, --, 
   {{0x5f6e0148,0xe7b404a4,0x1c72007f,0x43530510}},	//   _家電安裝小貼士_, _correigi, _ceirios_, _декъашхо, 
   {{0x42e80478,0xac560156,0x262a00e5,0x00000000}},	//   _aplican_, _ישראלס_, _макарони, --, 
   {{0x4c0d00dc,0x93dd003f,0x92d8019f,0x6f5e0040}},	//   _apopole_, _chawbe_, _bahero_, _simplest_, 
   {{0x226c02f3,0xb5bb039e,0xcadf004c,0x7b850425}},	//   _annons_, _গৱেষণা_, _agateege, _خورماتوو_, 
   {{0x27240259,0x0b59026a,0x8605032d,0x8f0b03d5}},	//   _aneurysm_, _basulawa_, _именлеге_, _commoner_, 
   {{0x9c50002b,0x00000000,0x00000000,0x00000000}},	//   _গুচ্ছ_, --, --, --, 
   {{0x02780428,0x35b901a3,0xb2f003ad,0x97b5000b}},	//   _zurnal_, _سوغاتون_, _estiżi_, _saleutog, 
   {{0xc22b005b,0x7f1b0213,0x00000000,0x00000000}},	//   _formand_, _звания_, --, --, 
   {{0x039402b7,0x926c0050,0xfab90132,0xad910061}},	//   _teisha_, _bodor_, _paraméte, _동영상천국_, 
   {{0x81430473,0x419502a7,0x78710371,0xea79023b}},	//   _innerhal, _peaceabl, _устата_, _kapakapa_, 
   {{0x1beb0124,0x13d2006f,0x52e800ff,0xa2d9008f}},	// [1a70] _hollengo_, _عبدالحڪي, _armilon_, _istet_, 
   {{0x2ae3065e,0xde97013f,0x089304ca,0xaea602a2}},	//   _overhove, _dastumet_, _magistèr, _alalahan, 
   {{0x5b1a018d,0xa9a20040,0xc2ca02ee,0x59210326}},	//   _ሓንጎሎም_, _בקטלוג_, _hedded_, _chichagu, 
   {{0x5fbe02bb,0x23fe03de,0xf25b01be,0x6727002b}},	//   _znalezio, _ayaziwa_, _udelat_, _আরোহী_, 
   {{0x9d0001d5,0x7b570008,0xc56d0238,0x3dc403ec}},	//   _گھونٹ_, _балалуу_, _форматув, _dobishme_, 
   {{0x126c0429,0x950301e8,0xa26c031d,0x627e0117}},	//   _dilog_, _freefall_, _sodor_, _ivent_, 
   {{0x4ede040f,0x62f1042f,0x6283043a,0x72d501b2}},	//   _dienomis_, _qitiani_, _frikopa_, _afflict_, 
   {{0x63fe05e7,0x53fa0275,0x72f500e4,0xc913005e}},	//   _eyaziwa_, _fatuga_, _सम्बन्धो, _قذرذلذشع, 
   {{0x22360230,0x8dd1065f,0x631601da,0xde490003}},	//   _bhojpu_, _službama_, _imazh_, _betaalba, 
   {{0x5d6f05c9,0x403203a4,0x02fc010a,0x00000000}},	//   _niamhlua, _partapen, _golgaa_, --, 
   {{0xa15c03bf,0xad34027b,0xfc050312,0xb27e03f3}},	//   _тулап_, _समारुह्य_, _barrouz_, _ovens_, 
   {{0x8756002b,0xf26c02f6,0xe581004b,0xe9b20107}},	//   _বীরশ্রেষ, _bilog_, _европала_, _candrase, 
   {{0x2655017a,0xe6be01db,0xedbe026a,0xc23300a6}},	//   _abangelw, _بۇحاردىڭ_, _matasere_, _ekuvakal, 
   {{0xa6ef0040,0xedc10010,0xa7af0081,0x00000000}},	//   _ומכאן_, _betinema, _barnaföt_, --, 
   {{0xa25a0036,0xba6c01db,0xe5a1027b,0xc3730222}},	//   _giolla_, _тоңазытқ, _दिशतु_, _bagarre_, 
   {{0x4c7c004f,0x630c0359,0x32ab0472,0x32ea0372}},	//   _emisyon_, _draacht_, _bondong_, _heintus_, 
   {{0x2e950056,0x621f036f,0xf3c8028b,0xfc23021c}},	// [1a80] _шурави_, _značajno_, _ианрылаг, _japonsku_, 
   {{0x142b00e6,0x72c800d9,0x00000000,0x00000000}},	//   _本文仅代表作者个, _настенны, --, --, 
   {{0x14b300c5,0x2321002f,0x1b9e0513,0x20e60361}},	//   _中国科学院_, _chachas_, _makhotso_, _аьрби_, 
   {{0xc0c90046,0x329102e7,0xe2f10085,0x5ab4039e}},	//   _мелдеш_, _biyaan_, _kitioni_, _frukostb, 
   {{0xeb48045c,0xf91801f2,0x72070105,0xe3ce0151}},	//   _šampión_, _фейшуң_, _kosiarki_, _calved_, 
   {{0xc56402ac,0xb69700a0,0xd3ea0204,0x4fe80486}},	//   _shamhlaí, _bajekoli, _boltin_, _संघारमा_, 
   {{0x8ae4048e,0xa52c0029,0xf26401b4,0x3c51011f}},	//   _beduinat, _چاوێک_, _beplan_, _apotaha_, 
   {{0x952c0029,0x1c2504ec,0x566d0291,0x55e1041e}},	//   _ناوێک_, _araborer, _الكسل_, _appacià_, 
   {{0xd016004b,0x0d8d03d4,0x639c0529,0x991a02eb}},	//   _хатында_, _demolira, _pomaganj, _нимбэгни, 
   {{0x68e60011,0xd0e802f3,0xc6e600bb,0x827e00e2}},	//   _abafuumu, _nationel, _پاسباں_, _muonts_, 
   {{0x3aa10288,0x1fcd00bb,0x7c6800f4,0xa0ea01f3}},	//   _sechzehn_, _پاؤڈر_, _bourmen_, _stanovil, 
   {{0x8213008d,0x82d903ab,0x1b5b0192,0x9c740110}},	//   _shahri_, _trhliny_, _afleggen_, _mirušu_, 
   {{0xc2020225,0xf20100ba,0x32f30055,0x333f00d1}},	//   _meriot_, _خورێنیدا_, _acciaru_, _জন্মোৱা_, 
   {{0x22b50256,0xcedc0162,0x426c0062,0x62c40203}},	//   _preces_, _مۇراسىمى_, _boloy_, _geoland_, 
   {{0x928d014f,0x986f0547,0xc80e014e,0xcc10003b}},	//   _направио_, _causados_, _либерали_, _fasítelo_, 
   {{0xe9fc01d2,0xbc1a0044,0xe95d01b6,0x8eea012e}},	//   _allamant, _launched_, _elongate, _وسکون_, 
   {{0x803b0370,0xf36503a2,0x03950370,0xb3f103dc}},	// [1a90] _wewengko, _एलआईसी_, _beasna_, _eitrandi_, 
   {{0x62c700c5,0x720202fd,0x7bc400f5,0x7388006c}},	//   _任何单位和个人不, _heriot_, _лесбиянл, _abayona_, 
   {{0x821f042c,0xa202004b,0xc9a400d1,0x00000000}},	//   _značajna_, _ditima_, _গণ্ডীৰ_, --, 
   {{0x6db40362,0x43070195,0x00000000,0x00000000}},	//   _odongola, _shiaigh_, --, --, 
   {{0x19f2019c,0xf2da023e,0x33870075,0xc27e00ae}},	//   _atehinwa_, _adangme_, _sverri_, _bwena_, 
   {{0xb03101fb,0x026c04c0,0x0aa60023,0xaef6014e}},	//   _protegen, _dodow_, _прочие_, _разумом_, 
   {{0x2200005b,0x369b00bb,0x52120285,0x461c0204}},	//   _kimiko_, _شریانوں_, _akahe_, _joillaki, 
   {{0xe3dc00da,0x2ec903d5,0xab170235,0x64070291}},	//   _ачестор_, _disingen, _प्रणवः_, _ياااارب_, 
   {{0x182d0129,0xde2f00cf,0xb26d00f1,0x65e802ff}},	//   _agumakwu, _aangawaa, _divors_, _alontèm_, 
   {{0x5d4a02b6,0x60fd000f,0xf2fc01ad,0x00000000}},	//   _боларсың_, _iltihapl, _polinas_, --, 
   {{0x5d4001ac,0xf5670185,0x12e80158,0x469f0153}},	//   _molaimid_, _бинаның_, _pobiera_, _養魚場から発生す, 
   {{0x1d0502e9,0x04c30357,0x8ad00163,0xc3a70349}},	//   _adelante_, _laubasik, _آرایس_, _ammysay_, 
   {{0xadc700a6,0xe8980188,0xc86101c9,0xad9001d7}},	//   _داعدام_, _шавқу_, _meenutad, _chalanda, 
   {{0x926d0049,0x4c2c0195,0x8c3c0416,0x7d740073}},	//   _kotoa_, _albannac, _circualr, _promisse_, 
   {{0x7af00144,0x8202036a,0x42e90414,0x4c240322}},	//   _chluinst, _sitila_, _lipinga_, _bahambir, 
   {{0xdc9f0287,0xce6d0078,0x727f00cb,0x0ec801cd}},	//   _veletrhu_, _компенза, _avune_, _куркурон, 
   {{0x63b700ff,0xa26d05d0,0x5c090046,0x7a0401dd}},	// [1aa0] _מײַקל_, _lotoa_, _formatiu_, _bakambit, 
   {{0x076b0102,0xde3a001c,0x1c76015f,0x72020216}},	//   _برتاءُ_, _babayara, _cherddi_, _lerise_, 
   {{0xb40e00ce,0x437a004f,0xc66d0153,0xcde70137}},	//   _lagreman_, _ismayil_, _きっこのブログ_, _самнах_, 
   {{0x11bc00d1,0x1ddb00e7,0x36a600af,0x542804a5}},	//   _নেকেড_, _adikwema, _istedenf, _enokwenz, 
   {{0x7c7401d2,0x94940153,0x2b350433,0x283f003b}},	//   _awarank_, _宜しくお願い致し, _mapartis, _indlomvu, 
   {{0x92fc005b,0xf2bd0132,0x026d0066,0x3c500053}},	//   _guigui_, _mondtam_, _botoa_, _कॅसेट_, 
   {{0xfbe40076,0xf26c0026,0xdb0303f7,0x652e01b3}},	//   _engenhar, _volop_, _byggðin_, _спотворе, 
   {{0x7ac7027d,0x8e950660,0x30570307,0xe2020198}},	//   _zahvalje, _tiltaket_, _bengakho, _berite_, 
   {{0xcd7e0039,0x930300db,0x00000000,0x00000000}},	//   _шамбарам_, _jumalat_, --, --, 
   {{0x22020004,0xc04500af,0x895b015c,0x6c030259}},	//   _verite_, _anerkjen, _hellegke, _fuelband_, 
   {{0xd26c05b1,0x850c002f,0x5fb001b2,0x00000000}},	//   _bodov_, _alemaniy, _buttress_, --, 
   {{0xee3602df,0xac35028b,0x00000000,0x00000000}},	//   _kongsika, _japartic, --, --, 
   {{0x72ce00cb,0x1c6d026b,0xfe3200c1,0xfd960178}},	//   _узтрансг, _sonrisa_, _दुग्धशाळ, _doṣasya_, 
   {{0x22f20287,0x4d3700b4,0x912d0444,0x263d017e}},	//   _milionu_, _латинэ_, _барта_, _albigani, 
   {{0x3e3a0140,0xfdf60661,0xe40202c7,0xabf700c7}},	//   _karanasa, _nordeste_, _verraten_, _аллаһыда, 
   {{0x22bc02c5,0x3387011d,0x00000000,0x00000000}},	//   _chedoro_, _livrat_, --, --, 
   {{0x2998014f,0x825c02e4,0xe70a0162,0x54cf0064}},	// [1ab0] _унутар_, _avultuni_, _بارالايت, _иштиктүү_, 
   {{0xb73102b9,0x8c10052c,0x0ce70013,0x4e5200d2}},	//   _کھوسو_, _مایکرۆ_, _дангал_, _cacaraka, 
   {{0x827e00af,0xe25a003f,0x98d7010f,0x183c036d}},	//   _vannet_, _cholta_, _милали_, _chambrid, 
   {{0x5071013d,0x6e3a02f6,0x88d1004d,0x8c7603a2}},	//   _malamiko, _naranasa, _較新的文章_, _भुल्लर_, 
   {{0xaef100d9,0x02a102f3,0x0807004d,0x4cf900a2}},	//   _оставил_, _dödade_, _尊重網路道德_, _walemavu_, 
   {{0x53e5010b,0x3b03029f,0xc3a2005f,0xfe63034c}},	//   _baathudi_, _preprava_, _limpia_, _инсультн, 
   {{0xf1fd0036,0x06420240,0x4a6502f4,0x44960429}},	//   _soladach_, _mokimoki, _asombros, _difarduk, 
   {{0x7a57027e,0x7bfb00d8,0xff6602ce,0x9a2100cb}},	//   _динара_, _intonaco_, _nitrogén_, _akabophe, 
   {{0xf2b4005b,0xbe6a0159,0xbc6701a3,0x5d97012b}},	//   _zucca_, _дождж_, _سرٻاٽ_, _najdrożs, 
   {{0x62120662,0x36c305a6,0xe2b4005b,0xace5005e}},	//   _ikihi_, _programf, _yucca_, _مائىدە_, 
   {{0x137a00ad,0x34a802f7,0x00000000,0x00000000}},	//   _kapanan_, _bosaitek, --, --, 
   {{0xc27e01d9,0x526d023d,0x72f202a0,0x5af70167}},	//   _owend_, _impianti_, _bilionu_, _aberport, 
   {{0x3aeb00ee,0x802903f4,0x47ec0253,0x72fe0261}},	//   _entrenat, _мальчико, _allaanng, _altiras_, 
   {{0x748602d5,0xad28002b,0xf2ad02ac,0x6389012c}},	//   _मोहाला_, _নেপালের_, _ألغاز_, _upasuaji_, 
   {{0x73560101,0x8dd200ba,0x620200ea,0x8bb601b5}},	//   _necesar_, _ئیمێڵه_, _bitika_, _mathlelo_, 
   {{0xf3a30353,0xe90a0013,0xf3d40158,0x727e0219}},	//   _nadpis_, _малакаси, _झालावाड़_, _eveni_, 
   {{0xa2e800e1,0xe407011e,0x64f501c8,0xa3040075}},	// [1ac0] _madiina_, _groupman_, _kapitál_, _abbanum_, 
   {{0x497700ee,0x436f0257,0x57210073,0xa8680371}},	//   _orrialde, _tengist_, _affligev, _conosciu, 
   {{0x6060018b,0xf72a00c7,0x2a50018b,0x3c8c01c8}},	//   _presedin, _bersennä, _prietena_, _hladinou_, 
   {{0x026c0342,0xd1630217,0x5dec0153,0x00000000}},	//   _vodou_, _ultragio, _引きこもり狩り_, --, 
   {{0xe39601b8,0x92d4005b,0x1f390119,0x00000000}},	//   _ilusti_, _aikowin_, _harumama, --, 
   {{0xa5780156,0xa92a00a5,0x0eb60025,0xe7200187}},	//   _טעללער_, _loomatua_, _bandhanā, _импресив, 
   {{0xd2010050,0x32e60061,0x4394000d,0x00000000}},	//   _ngaing_, _입찰보증금_, _seisma_, --, 
   {{0x4e2d01b3,0x73f80119,0x275a00f7,0x163603ae}},	//   _колисков, _namuno_, _budhanaj_, _vernepli, 
   {{0xd2fe0448,0x79ff00f2,0x654e00e6,0x1a250109}},	//   _skrives_, _nesaprot, _公安民警与您相约_, _क्लबका_, 
   {{0x428c02fe,0x833d0029,0xe6b900ea,0xbb89005e}},	//   _مقدماتي_, _نیوان_, _fanamari, _ئۇشتۇمتۇ, 
   {{0xddff007a,0xf80800e4,0x3a10017a,0xe2630400}},	//   _kelewata, _गद्दारी_, _akubanga_, _allungal, 
   {{0x35ac0157,0x8d260160,0xdc260449,0x00000000}},	//   _आत्मघाती_, _uspomene_, _uspomenu_, --, 
   {{0x1d80003d,0x3f5502f4,0x06b903d9,0xf9770396}},	//   _tenement_, _desplaza, _hanamari, _diminutt, 
   {{0x9aee0125,0xe0460178,0x2365029e,0xdf3204ac}},	//   _билдирен_, _anairyāṇ, _abugida_, _костей_, 
   {{0x7f150366,0x82db0040,0xcb88030a,0x1d8900da}},	//   _блогов_, _פליקס_, _novoneyr, _povestit_, 
   {{0x7838015d,0x31110159,0x50a00019,0xc4bf01ab}},	//   _स्प्रिंग_, _surengė_, _тезирээк_, _गँवइऽऽह_, 
   {{0x527800fe,0xf27f0292,0xeb590217,0x29fa04f8}},	// [1ad0] _nounou_, _akanfo_, _accusava_, _database, 
   {{0xa396022d,0x62a60193,0x290100e6,0xdfb8011a}},	//   _flussi_, _sumbar_, _郭晓冬做客_, _אתאיסט_, 
   {{0xb8fc03d9,0xc1650125,0x62ad02ac,0x78d90128}},	//   _tolakand, _aralaşma, _بتطبيق_, _бекжон_, 
   {{0x121201c5,0x83cf03c2,0x9ebe045f,0x00000000}},	//   _dhaho_, _adsvn_, _datorern, --, 
   {{0x726d00db,0xea5d00bf,0xb7f503fd,0x9fae00af}},	//   _fotod_, _последую, _fetalaig, _байки_, 
   {{0x12d8018f,0xe37900a2,0x3e7400c8,0xc27e0663}},	//   _aqleh_, _kitaifa_, _күмер_, _nwene_, 
   {{0x92130544,0x2711014a,0x0c550219,0x58360053}},	//   _ahahui_, _جنازے_, _aketame_, _एन्जॉय_, 
   {{0xaadb002b,0x22f10085,0x72910304,0x739500d6}},	//   _গোলাপী_, _mitiani_, _akuan_, _deasca_, 
   {{0xb30501ec,0xb2c301e6,0x65140193,0x7b7800d6}},	//   _جوراب_, _doslova_, _गर्दीत_, _achomair, 
   {{0xe4ec0169,0xd2ab0487,0xcc22009a,0xab4f005b}},	//   _নাগাদ_, _bonding_, _ayesakub, _dramater, 
   {{0x62d801d9,0xbec10040,0x035e0188,0x7cd5015e}},	//   _immens_, _פרוטוקול_, _лахза_, _تىزگەن_, 
   {{0xd9ab0014,0x32d4001e,0x6cf00664,0xda5d035d}},	//   _መዘናግዒ_, _dokokin_, _नीलकंठ_, _putevima_, 
   {{0x92b40294,0x298e032d,0xe278002f,0x00000000}},	//   _arcce_, _сабит_, _hurnal_, --, 
   {{0x47ee02b2,0x5cee04c7,0x67f500e5,0x416c0291}},	//   _нідерлан, _броду_, _passará_, _للأكل_, 
   {{0x4eb20099,0x16e9004d,0x92d20307,0x324200a6}},	//   _akazokwa, _截止收件期限_, _lasemini_, _دنشتوالي_, 
   {{0xeaea0148,0x33a80022,0x67f90060,0x780c0022}},	//   _claritat, _dikateng_, _شامالاۋع, _поездарҙ, 
   {{0x525a032e,0x0dd1021c,0xb0870162,0x9f66027b}},	// [1ae0] _qullan_, _službami_, _ﺳﺎﻳﺎﮬﻪﺕ_, _बालचन्द्, 
   {{0x39d60177,0x5cbd005b,0x527e00cf,0x0e27008e}},	//   _ироуртә_, _covayasu_, _gannat_, _liggeeya, 
   {{0xe29104c3,0x720000bc,0x364b00d6,0xbebb0148}},	//   _thuat_, _exail_, _maghribi, _文化資產類_, 
   {{0x5386001b,0x3ece0044,0x6b4f0101,0x2e7b0262}},	//   _seera_, _decision, _trimiter, _antakýan, 
   {{0x7a830373,0x32b50203,0x063101aa,0x79eb0053}},	//   _grandajn_, _grecos_, _athletew, _supriyad, 
   {{0x826d015c,0x640e031a,0x827e0013,0x9ced0082}},	//   _fotoe_, _beirsinn_, _jannat_, _kanjamau_, 
   {{0x92010077,0xf65e011b,0x995e01a0,0x8875059a}},	//   _deziye_, _kiekieki, _khunyete, _telemóve, 
   {{0x7d1a018d,0xe2910079,0x82020028,0x3e3a02cd}},	//   _ኣዒንተይ_, _edgars_, _weriye_, _garabasa, 
   {{0x00da0153,0x00000000,0x00000000,0x00000000}},	//   _クリスティ_, --, --, --, 
   {{0xf0f90008,0xe3fa012c,0x6b7200ee,0x39f20299}},	//   _بووبەك_, _hatuna_, _стенк_, _ئەجدات_, 
   {{0x9d8f018d,0x7e3a02af,0x47ce027f,0xb42202d4}},	//   _ፑንትላንድ_, _karabasa, _abatumiw, _segirezz, 
   {{0xa39400a0,0x312c0040,0x48db0151,0x7a0c009a}},	//   _kunsa_, _צלצולים_, _altrooag, _راستنيدو_, 
   {{0x826c00f1,0x96c5012e,0xe6e804eb,0x540b0291}},	//   _dilon_, _تونسہ_, _जलाभिषेक_, _وفواكه_, 
   {{0x597802ac,0x884b021b,0x20a70388,0x55bb042a}},	//   _موآضيع_, _kokoontu, _виновни_, _bekangah, 
   {{0xe9f70294,0x72c30527,0x2d9c005f,0x90c10224}},	//   _anankuna_, _poslova_, _homenaje_, _fagfólk_, 
   {{0xa27e00bd,0x727a0240,0xc2e802f9,0x2e3a01ad}},	//   _winnie_, _kilikili_, _aplikan_, _nababara, 
   {{0xe2dc03ad,0x48e601be,0x62550139,0xb35602ed}},	// [1af0] _notevoli_, _न्यूयोर्, _विशेषा_, _desexas_, 
   {{0xd2910291,0xa1380092,0x02690157,0x1d080239}},	//   _thuas_, _続きをよむ_, _emerytal, _koronete_, 
   {{0x97e703dc,0xa9830080,0xee3a0322,0x00000000}},	//   _samanleg, _fleisvhe, _barabasa, --, 
   {{0xa9b000b0,0xe8fc04df,0xd37a010e,0x00000000}},	//   _fardowsa_, _dolanand, _hilahil_, --, 
   {{0xa0ef0281,0x7a120198,0x00000000,0x00000000}},	//   _atsiirol, _povablje, --, --, 
   {{0x72ea01f7,0xc35e02a3,0xeff70309,0xd75900b9}},	//   _estiman_, _wingerd_, _kadrları, _आवर्जुन_, 
   {{0xa26c0261,0xe41d0107,0x15e80242,0x427f0102}},	//   _filon_, _مانگا_, _memarlıq_, _chanjo_, 
   {{0x929b0036,0x9e4100a7,0x6e24026c,0x897c0159}},	//   _أكياس_, _repartit_, _sermones_, _азерны_, 
   {{0x3d430040,0x0c5d04c8,0x03cf03b0,0x00000000}},	//   _סטייק_, _mhuwiex_, _krevje_, --, 
   {{0x00dd001a,0xb27301ab,0x46d9028b,0x42f10291}},	//   _تیاری_, _tänan_, _ихҵоуп_, _تجربتك_, 
   {{0xb61f025b,0x3a71012c,0x2395012c,0xc30c0396}},	//   _dronguri, _watakiwa_, _ngassa_, _ispazju_, 
   {{0x1db30101,0x02500128,0x716e01cd,0xc2e900d2}},	//   _sanatate_, _десам_, _abashoko, _batinna_, 
   {{0x4ed3014e,0x43860243,0x8df50121,0xe3950055}},	//   _негодова, _deero_, _garantía, _anessi_, 
   {{0xc386030b,0xfd170075,0xeffe0029,0x23fa01fa}},	//   _leero_, _ivaleyst_, _ستتێوه_, _natula_, 
   {{0xfc6b02be,0xd91700c7,0xe9e50092,0xeff60488}},	//   _malupit_, _ливанда_, _おめでとうござい, _deklarāc, 
   {{0xf2ca00b4,0x9f4001a7,0x972f03ee,0xe3a80022}},	//   _acelasi_, _amerikka, _isplativ, _bokaneng_, 
   {{0x6f1f0217,0x4c53034e,0xd8d90153,0x326c0202}},	// [1b00] _misdemin, _castapa_, _本ウェブサイトで, _niloo_, 
   {{0xd9c302ca,0xa63e034c,0x00000000,0x00000000}},	//   _يالبى_, _galiulli, --, --, 
   {{0x080903cc,0x32da00f3,0xee4a000d,0x238602ec}},	//   _বেপরোয়া_, _bawela_, _detailne_, _beero_, 
   {{0xd7250018,0x35da01cd,0x1a0f00d9,0xfb120258}},	//   _guilecav, _абармард, _uskaltaa_, _oergeuns, 
   {{0x137d002b,0xf0dc0125,0x6304029d,0x00000000}},	//   _ফলোআপ_, _bisowatl, _ecranul_, --, 
   {{0x1da4023d,0xdf0f01a9,0xf3700040,0x15070022}},	//   _очила_, _marcados_, _גזעיים_, _буласағы, 
   {{0x4e180021,0x430f0047,0x8e3a00b0,0xec030144}},	//   _unregula, _essayer_, _tababara, _bruscar_, 
   {{0xf8800092,0xe47b0057,0xa6590220,0xdcaf0177}},	//   _この記事の_, _dihebahk, _прозорец, _кәрченко_, 
   {{0x1a88003b,0x76e9018d,0xd1290320,0x2ff6033c}},	//   _tinyatse, _ኣእትዮም_, _darwenfo, _archebio, 
   {{0x7e3a0084,0xf2e702f3,0x42e90448,0x5c9c02fe}},	//   _sababara, _chansen_, _blandet_, _anezipor, 
   {{0x2d9d0076,0x9c60000f,0x00000000,0x00000000}},	//   _прецизни_, _soyunma_, --, --, 
   {{0x23fa0281,0x1a680094,0x838300ef,0xb8670222}},	//   _matuma_, _باقتاشىل, _ayoyise_, _monstres_, 
   {{0x327f00d5,0xb79a00c5,0x0eb002dc,0x6dd50210}},	//   _akanjo_, _中国储备粮管理总, _cárcere_, _akakomba, 
   {{0xf26e0288,0xfdb80527,0xf291010d,0x00000000}},	//   _daroom_, _potrebnu_, _skuat_, --, 
   {{0x02d8006a,0xe19a01c8,0xed860090,0x817503b7}},	//   _maheno_, _nerezová_, _aswedere_, _aronsbay_, 
   {{0x5ee900c5,0x0af10142,0x4c7c0014,0x00000000}},	//   _江规建字江海_, _bahukirt, _emision_, --, 
   {{0xa25a0202,0xc6310147,0x47ab0333,0xc200019c}},	// [1b10] _abilé_, _جلۇۇلۇق_, _acquazzi, _kinium_, 
   {{0xa3a301bb,0xb36a03f5,0xc7070135,0xea580403}},	//   _sarpa_, _aluguer_, _gaetennä, _haleloia_, 
   {{0x46490342,0xf1660238,0x02010178,0xc68f0421}},	//   _machandi, _футболіс, _apaihi_, _urgestei, 
   {{0x7b740128,0xe39403fd,0xc7140159,0xcc6100c3}},	//   _اورمانزا, _ashsrb_, _balticum_, _uterque_, 
   {{0x3c7403c7,0x154500f6,0xd96300da,0xcd3602b4}},	//   _वृध्दि_, _aktivliy, _imunitat, _iphindze_, 
   {{0xe43b0037,0x7b620260,0xe25a0003,0xa27d0037}},	//   _መንግስታዊና_, _estreita_, _vullen_, _በማለታቸው_, 
   {{0x2615016f,0xc0480311,0x44790178,0x2f640043}},	//   _атлантич, _ኣጋጢሙዋ_, _caiṣo_, _banaasin, 
   {{0x32ff02a4,0x405601f2,0x615c0162,0xd2d801db}},	//   _pariter_, _ﺋﻪﻧﮕﯩﻠﯩﻴ, _қулан_, _турнирле, 
   {{0xd8fc0243,0x37150212,0x426c0120,0x1bc9007e}},	//   _antafaqu, _platnium_, _bilol_, _apakṛṣṭa, 
   {{0x83ea0342,0xbf270025,0x12d800ea,0x103104c7}},	//   _achte_, _ahoratra, _naheno_, _непримет, 
   {{0x225a01a1,0xcc61005c,0xaddd04a6,0xff6601ef}},	//   _zullen_, _butumwa_, _projekat_, _умела_, 
   {{0x373c0092,0x4ad0013a,0xd2aa0665,0xc86a0196}},	//   _マイクロソフト_, _beetebue, _geocellm, _atangofu, 
   {{0x7e0100e4,0x3eb80008,0x726d023e,0x36b60291}},	//   _rejestra, _incendis_, _botoh_, _malartui, 
   {{0x33380297,0x4d3602f0,0xd386024a,0x7afc00e6}},	//   _жанрлары, _aphindze_, _geere_, _第二代身份证_, 
   {{0xab1f01d2,0x53fa024f,0x03950206,0xcc7c0279}},	//   _allankan_, _katuba_, _klesli_, _boisson_, 
   {{0x09d50044,0xdc770342,0x5dd3032d,0x1e320227}},	//   _מוצלח_, _dansite_, _гуашь_, _panggila, 
   {{0x83860202,0xd394005b,0x327d0142,0x45b502d4}},	// [1b20] _beere_, _junsu_, _प्रयुञ्ज, _cumposiz, 
   {{0x2db30330,0xfb780009,0x526c012c,0x164d01c2}},	//   _saniraya, _železoce, _ondoa_, _apróbase_, 
   {{0xea1d0398,0xc38600f7,0xb2f60206,0xa8c70109}},	//   _començar_, _veere_, _farizej_, _धूमपान_, 
   {{0x7249026b,0x12ca01b6,0x038003dd,0xd3860129}},	//   _llamar_, _orodha_, _revistës_, _weere_, 
   {{0xc832015e,0xffbf0174,0x726c01d2,0x12a60059}},	//   _نازىر_, _feleletš, _andoa_, _debba_, 
   {{0x526e03e8,0xe7300024,0xb0410177,0x7a7302f6}},	//   _šport_, _নাহৰকটীয, _рзыҟанаҵ, _dalagita_, 
   {{0xc2fd0068,0x63160044,0xfa5d0008,0xc21f042c}},	//   _aragti_, _pointing_, _расизмге_, _značajne_, 
   {{0x02910082,0x42fe02c7,0xcf170184,0x326d0009}},	//   _ayyana_, _sichere_, _igodomon, _motoi_, 
   {{0x60ce0276,0x5d010115,0xf394000e,0xc67b0212}},	//   _تەكەببۇر, _pertutur, _munst_, _adventum_, 
   {{0x02910440,0x2d2d0040,0x8a3800e6,0xed64019c}},	//   _ntware_, _משלהם_, _睡前不能吃的五种, _ikasilẹ_, 
   {{0xeeea003a,0x42e701fb,0xb19a01c8,0x4d8f00cb}},	//   _тилларид, _fornira_, _nerezový_, _akalinga, 
   {{0x1ccc0205,0xbd130095,0xcbdd0059,0x00000000}},	//   _میوند_, _abdurrac, _николова_, --, 
   {{0xb4d10193,0x18c701e9,0xe14f00fc,0x32d800ab}},	//   _मालिका_, _buitemog, _mamodmeh_, _paheno_, 
   {{0x707d00c7,0x7341006f,0x001700e6,0x3a130078}},	//   _барсы_, _kupenda_, _广西自治区_, _духовног_, 
   {{0x9deb012c,0x20360176,0xac7c00df,0x6a8a0400}},	//   _سڃاتو_, _lovesick_, _poisson_, _arridoss, 
   {{0x9386008e,0x3dbb01cf,0xe6fa0086,0xd7400279}},	//   _seere_, _archaisa, _شہوانی_, _endommag, 
   {{0x5dbc0072,0x73a301ea,0xc7b801b5,0x0c45026b}},	// [1b30] _arkirina, _barpo_, _arhwaliw, _desconec, 
   {{0xd2d50233,0x72b4008c,0xe2490005,0x513a01d1}},	//   _afollat_, _bucca_, _clamar_, _hardball, 
   {{0x084a0287,0xb052046b,0x46bf040f,0xa2e80116}},	//   _detailů_, _allgello, _ўдалося_, _forfar_, 
   {{0x32910184,0xe9670003,0xe09b02ac,0x238601c2}},	//   _atware_, _schoonhe, _تراخيص_, _aforas_, 
   {{0x7595022c,0x517d01ee,0x434100c4,0x126d0275}},	//   _kapercay, _барамехь_, _hupenda_, _sotoa_, 
   {{0xf5380071,0x49770244,0x00000000,0x00000000}},	//   _اواتار_, _addiritt, --, --, 
   {{0x437a0402,0xf7a7021c,0xf3eb012b,0x37ca00af}},	//   _capaian_, _integrov, _klimatyz, _motsetni, 
   {{0x77850053,0xbbee028a,0x1679014e,0xce24015e}},	//   _प्रागैति, _chimbuko_, _вартолом, _germanes_, 
   {{0x3b1b0132,0xc58c04ca,0xc706033e,0x83030085}},	//   _funkció_, _angiospè, _hivralté, _suvavou_, 
   {{0x2ad702c2,0x7e0200d2,0xd26c02c6,0x7c730223}},	//   _verwikke, _bebenera, _diloc_, _толины_, 
   {{0x63730414,0x960103a2,0x3e240156,0xb38003dd}},	//   _maladie_, _हिनदी_, _אָנטון_, _revistën_, 
   {{0x587a020a,0x767201f3,0x00000000,0x00000000}},	//   _табандыл, _kruhová_, --, --, 
   {{0x4b1f034c,0xa3710564,0xbb6300e9,0x137c03e7}},	//   _sanalgan_, _tatalif_, _obsesyon_, _jipapad_, 
   {{0xa6950310,0x030504dc,0x727e03fb,0x97b00291}},	//   _capercai, _دوعام_, _jednih_, _سلحفاة_, 
   {{0x825b0287,0x5eb603ac,0x30520061,0x62d901c4}},	//   _omylem_, _menolakn, _부과됩니다_, _optel_, 
   {{0x926d0192,0x9e010164,0xfd8d039d,0x7dcd00a4}},	//   _noton_, _исмаил_, _demokira, _азабын_, 
   {{0xa3f003c2,0x0252018e,0xabd10193,0x92fa02aa}},	// [1b40] _scheming_, _etilweni_, _सदियो_, _deformuj, 
   {{0xd38703f0,0x52ad02b2,0x326d016b,0x6852001c}},	//   _hvergi_, _нововвед, _hoton_, _awardees_, 
   {{0x0aa1023c,0x426400b6,0xd21201a6,0x075a0060}},	//   _پريږدۍچې_, _bisleh_, _akihi_, _دالالارد, 
   {{0xfd0302ee,0xec5904b2,0xedae021b,0xc30e0159}},	//   _applikat_, _malusog_, _vertailu_, _rizikuoj, 
   {{0x38f90184,0xfdbd0015,0x4b0a005b,0x71fd0077}},	//   _badaharu, _arrinkaa, _bunsyoka_, _lilavach_, 
   {{0x10af0513,0xdc5d0311,0x00000000,0x00000000}},	//   _khomelel, _ኣተኣሳስራ_, --, --, 
   {{0x0d5e0025,0x5656019d,0x237901a9,0xe1130021}},	//   _कार्यसिद, _akukambi, _tomando_, _alikeway_, 
   {{0xdc6f0285,0xaf57029f,0x624800c3,0x43940363}},	//   _itorero_, _uplatnen, _summam_, _lunsj_, 
   {{0xc02e056e,0xa23b041b,0x01f40381,0x2f5c032c}},	//   _referido, _suklang_, _amageday_, _angalaan, 
   {{0xd2b40113,0x221204bd,0x8d8e02f3,0xee2b01d3}},	//   _pucci_, _ikahi_, _engelskt_, _morgonda, 
   {{0xfb030437,0x1415003c,0x1f4f0311,0xa29103ef}},	//   _webstede, _پسردلفین_, _መንፈሳዊት_, _atwaye_, 
   {{0xa38600cf,0xee6803ea,0x02ee0103,0xfc0903d9}},	//   _heera_, _concerna, _nyanzvi_, _sampana_, 
   {{0xc231015e,0x4408024a,0x534300af,0xe979022f}},	//   _límits_, _lokunrin_, _володар_, _баптысцк, 
   {{0x43ea0113,0xdb090073,0x226c0211,0x31dc003c}},	//   _achta_, _campinet, _kiloa_, _alkitabé_, 
   {{0xc3ea0250,0x826d0295,0xe2910077,0x69f60096}},	//   _flitet_, _lotoo_, _etwaye_, _babizeza_, 
   {{0x6c2600ff,0x821201ed,0x5a8b014d,0xb0dd0122}},	//   _אינטימע_, _okahi_, _planungs, _نیمرو_, 
   {{0x6d4704f9,0x028e0334,0xb5ee0564,0xd2c7003c}},	// [1b50] _kalaaleq, _amakono_, _pamenodö, _asumber_, 
   {{0x72b5026c,0x1f5d0154,0x9d9e0359,0x98840148}},	//   _fusce_, _краковия_, _sitearje_, _dilithiu, 
   {{0xe2fe028d,0x40cf014a,0xf2da010b,0xa02103e6}},	//   _kishore_, _baloldal, _kwantle_, _hanergro, 
   {{0x5ea202a4,0xe99801bb,0x00000000,0x00000000}},	//   _contione_, _bolšy_, --, --, 
   {{0xa7f30025,0xac69017e,0x8c04024a,0x18b20217}},	//   _सामान्यं_, _intrigo_, _beesini_, _destruev, 
   {{0x411004dc,0xb8550350,0x02a301e5,0x00000000}},	//   _میکرۆبه_, _ማስታገሻ_, _tétété_, --, 
   {{0xabca015e,0xb35f037c,0xa02001f0,0xb05a019d}},	//   _بارماقتا, _fingere_, _direkoto, _atesalon, 
   {{0x3c0f0192,0x538b0073,0xa3560041,0x0d88003e}},	//   _오피스텔분양권_, _beryllo_, _иҵаҧжәеи, _dinerefe_, 
   {{0x8c55007b,0x00000000,0x00000000,0x00000000}},	//   _moothie_, --, --, --, 
   {{0x13860482,0x031d0073,0xb9ca04ec,0x72120133}},	//   _geeri_, _functio_, _botorera_, _dhahu_, 
   {{0x19f602e3,0x5ae50262,0xafae01cd,0xf05a0216}},	//   _truân_, _bellenen_, _халку_, _etesalon, 
   {{0x1a7f0162,0x00000000,0x00000000,0x00000000}},	//   _ساپاسىغا_, --, --, --, 
   {{0x33030040,0xfe86026b,0xfb030138,0x513a03c2}},	//   _רנטגן_, _proviene_, _kürdista, _barelagh_, 
   {{0xda830003,0xba2a0092,0xd9cf0041,0xe40201f1}},	//   _genieten_, _エンジェル_, _аҟәҕара_, _rezulton_, 
   {{0x1c5f0666,0x9f010148,0xe22b02de,0x0d8f0011}},	//   _obitelj_, _中國圖書分類法查, _प्राब्लम_, _akalunga, 
   {{0x322b00be,0x9d050038,0xc25a01df,0xa396005b}},	//   _ئيگەرسىن_, _populyar, _pullin_, _bousui_, 
   {{0x48800224,0xd2d80230,0x426d02c3,0x9b19038b}},	// [1b60] _hamingju, _komers_, _kotol_, _lepaskan_, 
   {{0x8110027b,0xa3de0211,0x7a0a024c,0x00000000}},	//   _डुकृञ्_, _подобран, _gensillu, --, 
   {{0xebe20297,0x4a8d0192,0x7f0f03b7,0x00000000}},	//   _белогорс, _전문가들은_, _austiewa, --, 
   {{0x2f9b00a8,0x697f05f4,0x90e801c9,0xd6900135}},	//   _scherrer_, _alphapat, _अनुकूला_, _амперлар, 
   {{0x496a010f,0xa73101d5,0xf73f01a3,0x00000000}},	//   _самарано, _پھنسے_, _ڀوڏيسر_, --, 
   {{0x8f980192,0xf26d0101,0x43ea0176,0xbc290358}},	//   _기타레포트_, _altor_, _amitie_, _angletè_, 
   {{0x31c60177,0x2ea80039,0x00000000,0x00000000}},	//   _клубқәа_, _юнител_, --, --, 
   {{0x527f0500,0x026d02f6,0xb2d500e3,0xfc6f0064}},	//   _mwenzi_, _totoo_, _bibliku_, _daurada_, 
   {{0x627e0245,0xada5012c,0xfece009b,0x97920178}},	//   _tynnad_, _takukuru_, _хагарсан_, _कौटिल्ये_, 
   {{0x33eb01ba,0xe25d03b2,0x82ea0279,0x93ea045f}},	//   _alatet_, _fiveprim, _pointes_, _slitet_, 
   {{0x6e940127,0x66a902f6,0xeb6a00e6,0xa2c50155}},	//   _statique_, _pangingi, _土豆客服说_, _bromsar_, 
   {{0x730f021a,0xf26c01c5,0x47550223,0xffe70100}},	//   _barbada_, _bilow_, _путинд_, _knjižicu_, 
   {{0x43f60513,0x7d5a0235,0x7c2500e6,0x638600b4}},	//   _avelanak, _प्रभावः_, _未持有本公司股票_, _ofere_, 
   {{0x031004df,0x52d90235,0xc3fa0083,0x01dc0351}},	//   _agraldy_, _भारतीयसं, _actura_, _малтанхи_, 
   {{0xe60b02b2,0xe320004e,0xef4a00c5,0x4c560077}},	//   _вчора_, _tanyag_, _régions_, _apatide_, 
   {{0xb2d900b9,0xf2d9010d,0x003c03a2,0x8e1805d5}},	//   _भारतीयां, _iptek_, _बेकहम_, _inregula, 
   {{0x0be9018d,0xa3160161,0x4e3503a4,0x99690602}},	// [1b70] _መልክዑን_, _занятие_, _berghama, _komikere, 
   {{0xc7e3006c,0x89830041,0xa407038b,0x515300ff}},	//   _комили_, _añoitént, _dibolehk, _abortigo, 
   {{0xc51900a6,0x75850082,0x00000000,0x00000000}},	//   _یوناني_, _ishtirak, --, --, 
   {{0xb38603da,0x53c80667,0x02f00341,0x23940226}},	//   _efere_, _houver_, _limitli_, _kunsi_, 
   {{0x437b0130,0x83c8047a,0xbd8d0067,0xb74503a8}},	//   _dispakañ_, _kouver_, _beeljiya, _arkivavg, 
   {{0x5c59019e,0xa27f0447,0x130c02b2,0x2a7d0464}},	//   _запамята, _bwenzi_, _россійсь, _kumarira_, 
   {{0x62120464,0x719a01e6,0xd2120285,0x6e430296}},	//   _shahu_, _nerezové_, _nkaho_, _orsakade_, 
   {{0xfdd00061,0xa2a6006e,0xea8a0060,0x8e4600ed}},	//   _회원에게만_, _cumbur_, _атышулы_, _mapanuga, 
   {{0x37b501ef,0x336d01f1,0x6df0040a,0x00000000}},	//   _tobulini, _largimi_, _söderut_, --, 
   {{0x09f602fa,0x72f800be,0x52fd0194,0x426d03d1}},	//   _habineza_, _جاعراپىي, _oldijar_, _dotos_, 
   {{0xaece04fe,0x8dc801bb,0x3b0d022c,0x226c00bc}},	//   _decizion, _усулы_, _alesanna_, _didol_, 
   {{0xfff90052,0xc642004a,0xacbc0133,0xda1b0037}},	//   _अस्थायी_, _alınğaç_, _baradhuu_, _puncanya_, 
   {{0x3d4800c7,0xcaf70213,0x10e00188,0xc696017c}},	//   _ибсен_, _наречия_, _педагогӣ_, _anteckni, 
   {{0x0af903fc,0xc291021a,0x34840013,0x7b2d0183}},	//   _tunnelen_, _argate_, _учинчиси_, _damaskos, 
   {{0x72900301,0xf1450199,0x92f10342,0x432702a9}},	//   _idman_, _yesmoney_, _strikti_, _paramą_, 
   {{0x226d001c,0x628d00f4,0x584b03de,0x3cdc0061}},	//   _botos_, _blakenn_, _kwamathu, _아잉루나는_, 
   {{0x1c630372,0xb99c00d1,0xe3b7008a,0xcc0100c5}},	// [1b80] _astudio_, _বাইন্ডিং_, _atuvasa_, _ressort_, 
   {{0x838701d2,0xc2fe016a,0x00000000,0x00000000}},	//   _avaroa_, _altigas_, --, --, 
   {{0x6e530108,0xe339018d,0x69e5013b,0xb26e008a}},	//   _masaraka, _እትሕተም_, _barumbad, _petoni_, 
   {{0xcc5200d6,0x70ef0139,0x426d01cf,0xc60a0037}},	//   _godthla_, _adhaḥśir, _totos_, _ከሚያዚያ_, 
   {{0x8b80027b,0x3ec90040,0x1c5a0005,0x11a20276}},	//   _विषमं_, _polymera, _arduond_, _ئۆلەي_, 
   {{0x726e0145,0x49d0004c,0xf291033f,0x00000000}},	//   _netoli_, _balewube, _sevalu_, --, 
   {{0x00000000,0x00000000,0x00000000,0x00000000}},	//   --, --, --, --, 
   {{0xc0ec02f0,0xf290004e,0xa2c20334,0xbc470024}},	//   _amendlul, _adman_, _amaliza_, _সৰ্গিত_, 
   {{0x92bf01ec,0xa343028d,0xde3a02f6,0x00e203c2}},	//   _گمنام_, _altermo_, _karahasa, _beanstal, 
   {{0x626d026b,0x53f40181,0xc9ee0013,0x0c220008}},	//   _votos_, _tastic_, _tortishu, _жемкорду, 
   {{0xd2000578,0xa68c0668,0xaea8040f,0xa2d801c5}},	//   _txais_, _सुवास_, _анатоль_, _sideed_, 
   {{0x649f002b,0x465200ba,0xbeba0350,0xb2b3014e}},	//   _দৃশ্যপট_, _ڕیخۆڵه_, _ለማሰለፍ_, _menjač_, 
   {{0x83730222,0xdf5c01b2,0xf26e033f,0x7a890175}},	//   _demande_, _sulphide_, _fetoli_, _linivers, 
   {{0xc3ea0263,0xd29000dc,0xc38e01dd,0x1e4c001b}},	//   _echte_, _aviata_, _agustini_, _fafakkaa, 
   {{0xa4ad01f6,0xcda203ce,0x126d021a,0xf0660085}},	//   _ছাত্ৰীৰ_, _زامنی_, _botor_, _tamamudo, 
   {{0xc6800235,0x92300239,0xba1b00e2,0x7791023d}},	//   _विशां_, _itamara_, _kampeard, _protetti, 
   {{0x23440187,0x2017005e,0x053c0272,0xa34900f2}},	// [1b90] _недостиг, _ئىچرە_, _anzizaay, _baseini_, 
   {{0x628d02c1,0x9f370193,0x7cae0193,0xd26c00bc}},	//   _imikino_, _persyara, _bersaing_, _bilou_, 
   {{0x689100ae,0x00000000,0x00000000,0x00000000}},	//   _akikangu, --, --, --, 
   {{0x65180377,0xa2d704c0,0xbea204c7,0xb2ab04c9}},	//   _profilul_, _soronko_, _инсистир, _aprikã_, 
   {{0xb2a70024,0xc38602d8,0x72f1002a,0xa25b0414}},	//   _verba_, _geert_, _striiti_, _ebalé_, 
   {{0xa2eb0564,0xe6ba0478,0x9a43048a,0xe9d5026f}},	//   _espinho_, _cavalari, _торпақ_, _قاۋقار_, 
   {{0xa8fe02e5,0x00000000,0x00000000,0x00000000}},	//   _иреиуоуп_, --, --, --, 
   {{0x23780294,0xad0002fc,0xb5d7015d,0xc34800bd}},	//   _achalan_, _abitegur, _plebiscy, _enyeuch_, 
   {{0xd3fa0669,0x03f20163,0xa2ca00b7,0x353b02bb}},	//   _yatula_, _manuális_, _bakdy_, _marynarz, 
   {{0x12ca00d7,0xa301003f,0x22d70390,0xdd1000a4}},	//   _bolebedi_, _duraddi_, _bitlcus_, _كيمەشەكت, 
   {{0x415d0244,0xeeba0037,0xb15603d5,0x42d800e4}},	//   _assunzio, _ለማሳለፍ_, _baillesh_, _biletu_, 
   {{0x2250029d,0x30530059,0xde94006e,0xf51001c9}},	//   _чебан_, _носител_, _kampañu_, _koolijuh, 
   {{0x17be00a4,0x284e01e1,0x53470008,0x1d4e032d}},	//   _استنعى_, _проектын_, _calella_, _докладын, 
   {{0x40c104d2,0xd291023b,0xe3a90148,0xc2b5013a}},	//   _verktøy_, _augate_, _solvere_, _drecks_, 
   {{0xf87d019b,0x0d260219,0xb3a90220,0xb2ef01ec}},	//   _кампанія_, _ashonele_, _polvere_, _chafid_, 
   {{0xc0730159,0xf2fd003a,0x13a20074,0xc09600bc}},	//   _papasako, _bolalari_, _инфракра, _جاسازی_, 
   {{0x9794004d,0x94d500de,0xd5710334,0x25fa0307}},	// [1ba0] _你就渾渾噩噩的過, _انصافه_, _anatuluk, _esemanzi, 
   {{0xe36c017d,0x871b038f,0x73fa0328,0x0df704ae}},	//   _byggeri_, _akordeoñ, _batuma_, _развила_, 
   {{0x45730037,0xf4da014e,0x00000000,0x00000000}},	//   _በዚምባብዌ_, _поена_, --, --, 
   {{0x627f0359,0xc7470281,0x4fd70354,0xa5f30022}},	//   _eigner_, _katillug, _рамалла_, _доценты_, 
   {{0xd38702b1,0xa2910541,0x2f1400ba,0x63bd0093}},	//   _kwarya_, _pevaju_, _مێستاکه_, _шайхи_, 
   {{0x88620662,0xa6c401c5,0xf322004d,0xeb1700c1}},	//   _takathur_, _argagaxi, _不能說的秘密_, _दणदणीत_, 
   {{0x34c103ac,0x061400c5,0x5d9c0242,0xb22500c7}},	//   _memberik, _经络锻炼法_, _üstündə_, _bersenä_, 
   {{0xe0dd0163,0x4bfe053b,0xb7f803ce,0xb2a700f7}},	//   _ہیلری_, _colocado_, _سانترالی, _herbo_, 
   {{0xfa0102c2,0x48d90107,0x5d05011d,0xb2d60567}},	//   _verskeid, _گمرکی_, _preluate_, _сынаулар, 
   {{0x1c580162,0x1899006c,0x5302039d,0xb39000be}},	//   _قاتارىدى, _abakhanu, _wahashu_, _تويبودۇڭ_, 
   {{0x816902f5,0xf8dd02ac,0x0f090022,0x00000000}},	//   _completo, _الحظر_, _бюджетҡа_, --, 
   {{0xb305019f,0x0ae200cb,0x00000000,0x00000000}},	//   _رولاڪ_, _колхозу_, --, --, 
   {{0x63560203,0xf9d70332,0x43790022,0xaaff01ad}},	//   _decelar_, _vegetale, _furalla_, _kansilye, 
   {{0x334803c7,0x826d0014,0xb347024a,0x2ff3066a}},	//   _klienci_, _botoi_, _kujenra_, _milyones_, 
   {{0x10410005,0x31fa019d,0x22e60297,0x2c740148}},	//   _requiren, _alinkuim, _gimnın_, _intulit_, 
   {{0x53ba0059,0xa27603b7,0x726a004f,0xbc750012}},	//   _преместв, _alladium, _disaaynë_, _होख्बा_, 
   {{0x42240342,0xc2f0040a,0xc7ee02c2,0x82130119}},	// [1bb0] _manke_, _höger_, _bepaling, _ngahaw_, 
   {{0x03fa001e,0xdb320010,0xcaa400bf,0xd907015a}},	//   _matuka_, _athazeks, _гласных_, _dabaluud, 
   {{0xd2a604cb,0xb36c02ba,0xb0130222,0x5ed5004b}},	//   _bumbac_, _amagoli_, _survivan, _булгас_, 
   {{0x9e3a022a,0x3119018d,0x125a018f,0x789b0185}},	//   _angatura, _ኣንጻሮም_, _choldi_, _burjanad, 
   {{0x2d01066b,0xb2e9010f,0x13eb01ba,0xd2d90045}},	//   _སྒྲུབས_, _силоҳбад, _rapti_, _dodelu_, 
   {{0xb24a0150,0x43160206,0xbef10388,0xe39b0416}},	//   _jasmen_, _zmizli_, _оставим_, _simplicm, 
   {{0xc2f203d8,0xe46502ea,0xa3860144,0x00000000}},	//   _napominj, _superato_, _éirne_, --, 
   {{0x1531012a,0x2d0b0415,0x3ced002e,0xfc41020f}},	//   _चम्बल_, _explizit_, _rođeno_, _راوکښه_, 
   {{0x626c02cb,0xaa730223,0x13050207,0xc9fe0139}},	//   _silom_, _bidalita_, _سوراج_, _antavant, 
   {{0xd394000e,0x3c73022f,0x2adf0265,0x96f503dd}},	//   _afisha_, _сценку_, _maatrege, _partnerë, 
   {{0x33eb01ef,0x4c5702a4,0xd2240258,0xddab0155}},	//   _tapti_, _vestrae_, _fanke_, _forumgud_, 
   {{0xa2020034,0x9c6a0397,0x6d5a03d4,0x8f80040f}},	//   _gerist_, _komuntu_, _корен_, _specifin, 
   {{0x129200b0,0x010300f2,0x2f2d0308,0x2264023a}},	//   _qoraal_, _kristieš, _diperbin, _kotlov_, 
   {{0x10af0374,0x03120415,0x59fb0090,0xfe24017e}},	//   _استحضا_, _verbaut_, _andakape, _פרופייל_, 
   {{0x0af90444,0xe2c505a6,0x6a8804d4,0x126c02e2}},	//   _начальны, _reglane_, _infomeis, _endow_, 
   {{0x1c8201f2,0x3e7c05fc,0xc26c028e,0xa3a20420}},	//   _قەيسەر_, _भाद्र_, _kilok_, _secretár, 
   {{0xb4a00192,0xcc6a01cd,0x598e019d,0xe30103b5}},	// [1bc0] _wedstrij, _nomuntu_, _amakonze, _sayangi_, 
   {{0x1865014e,0x4c1f00ad,0x7e1d01ff,0x526c003c}},	//   _близини_, _alisyahb, _odvetvia, _dilok_, 
   {{0x52d70152,0x317e01a3,0xb3f9001d,0xf9450244}},	//   _графикас, _ريگيوليٽ, _liausu_, _omologat, 
   {{0x52bd0132,0xd541026f,0xe3bb020f,0xc81c0008}},	//   _mondjam_, _كومگەنىن_, _بسلان_, _камкорчу_, 
   {{0xe508066c,0x00000000,0x00000000,0x00000000}},	//   _doktorko_, --, --, --, 
   {{0x4a060464,0x02cc0321,0xa73102f3,0xa1fd064f}},	//   _bababuza_, _razliko_, _troligtv, _antispam, 
   {{0xee780051,0x68c7002b,0xe2000077,0x5f2d0044}},	//   _aktivitā, _ঠিকঠাক_, _amhiti_, _expectin, 
   {{0x326c0120,0x0c5b003d,0x2201048f,0xa3930297}},	//   _bilok_, _abstrai_, _buzitu_, _camaliev_, 
   {{0x426c01b0,0x1c030230,0xb4bb0311,0xc7870162}},	//   _cilok_, _tersyer_, _ንምልከት_, _تالانىت_, 
   {{0x9d0d014a,0x0ea00008,0x6c7c0251,0xf1400086}},	//   _آزادانہ_, _facultat_, _geesiga_, _kitermel, 
   {{0x6e68013d,0xde010022,0x194f04a4,0x367d0037}},	//   _koncerna, _имтиханы, _boillsge, _ተፈፃሚነት_, 
   {{0x17b8066d,0x7c6a006c,0x57c603a0,0x22db016d}},	//   _sikudumi, _yomuntu_, _aperetsw, _достилир, 
   {{0xc52803ad,0x026c0120,0x8266026f,0x8709015e}},	//   _vassallo_, _biloh_, _بوگەت_, _бейити_, 
   {{0x7c090264,0x03eb0225,0xd30c01ec,0x2e5800ba}},	//   _campina_, _flatte_, _bapakku_, _بسڕێته_, 
   {{0xec6a066e,0xb2a701d9,0xa4e600ff,0x3a7f0139}},	//   _pluriel_, _berbe_, _ריטעיל_, _alpatara_, 
   {{0x46a9001c,0x120004ee,0xa44d0061,0x23850122}},	//   _nangingi, _kajite_, _고객님에게_, _brastagi_, 
   {{0x07c10076,0xcdaa00b5,0x0ed50095,0x6a6303ac}},	// [1bd0] _passagem_, _bibiogra, _انصافا_, _muttafaq_, 
   {{0xaf93066f,0x051c027b,0xcf23030b,0x2d850195}},	//   _vendedor_, _ananyadh, _akatyaba, _geamanna, 
   {{0x92120544,0x52fc0129,0x22ea0047,0xcea00279}},	//   _akahi_, _iziga_, _jointes_, _amatrice_, 
   {{0x02390354,0x7bec00ac,0x7183049d,0x3e68020a}},	//   _торус_, _mehaničk, _absorção_, _сатылмай, 
   {{0x16100670,0xbde60008,0x2ed90269,0x141a0170}},	//   _ukulungi, _بولمويۇن_, _antiguas_, _chinafik, 
   {{0x9b97005c,0x29200276,0xa8370026,0xa26c04bd}},	//   _komisiyo_, _аппарати, _하겠습니다_, _kiloi_, 
   {{0x7290053a,0x73860243,0xd21204bd,0xaf42032b}},	//   _odmah_, _meeri_, _ekahi_, _идиологи, 
   {{0x44b10076,0x9fcc00e6,0x5d9c02f0,0xfee803b4}},	//   _inscriçã, _年度新世纪小学数, _besevele_, _chakatan, 
   {{0xedee0141,0xc12003f1,0x327902b2,0x0c2301df}},	//   _کمپوز_, _podvozok_, _довелось_, _famished_, 
   {{0xe68a041e,0x449c0230,0x426e0020,0x7a2501ac}},	//   _spiegazi, _dezangaz, _fetoai_, _arabacha_, 
   {{0x7c6100b4,0x8f6303c8,0x38cd015f,0x80fb0153}},	//   _oferite_, _tempatka, _academyd, _ツショップ_, 
   {{0x93ea0013,0x52900288,0xd2fc02fa,0x2387038e}},	//   _uchta_, _memag_, _aziga_, _ajarin_, 
   {{0xbe960030,0x543301f6,0x12fc016a,0x10060366}},	//   _čempionā, _লাচিত_, _indikas_, _кальци_, 
   {{0xc3eb03b0,0xc2a701da,0x234100ab,0x89f30483}},	//   _flytte_, _serbe_, _kawenga_, _pluralid, 
   {{0x03860016,0xfec2016d,0x9ceb0040,0xf3eb025b}},	//   _ofero_, _достиму_, _להטיל_, _taptu_, 
   {{0xf26c000b,0x4302008d,0x399900e6,0x00000000}},	//   _fidow_, _kuzatuv_, _你说得有道理_, --, 
   {{0x09a0002b,0x1f5f0061,0x00000000,0x00000000}},	// [1be0] _পন্ডিত_, _레스토랑을_, --, --, 
   {{0xffb901c2,0x23860656,0x19e702fe,0x1506007e}},	//   _títulos_, _afero_, _abaomdla_, _आन्ध्रप्, 
   {{0xee3b001b,0xc2120369,0xddd70177,0xfa9100cb}},	//   _barabara, _haihai_, _ишәыҭатә, _akayanga_, 
   {{0x308103c7,0x5c8501d1,0x06d70117,0x926c022a}},	//   _opubliko, _appeared_, _kamautim_, _silop_, 
   {{0x726d03dd,0x79c3026c,0x503b0059,0x4cb801f4}},	//   _fotot_, _delectat, _станали_, _келсам_, 
   {{0x62cb030f,0x13670277,0xe5bd0113,0x2a730040}},	//   _kokonga_, _abugado_, _archwium_, _פרארי_, 
   {{0xba9900d7,0x99ad026c,0x5386013f,0x745d0037}},	//   _babylona_, _conventu, _ufern_, _መዛሙርቱን_, 
   {{0x5e93015e,0x4d4e003a,0xa2f00457,0xb9e302a4}},	//   _келишимд, _палатаси_, _bayisuh_, _ordinata_, 
   {{0x175c0145,0xfd9a0557,0xcba0001a,0x52020135}},	//   _нобелеўс, _abangawa, _بیچارہ_, _baqiev_, 
   {{0x6efb0360,0x43720528,0x1d420094,0xb2d80313}},	//   _prevence_, _fallaing_, _коасано_, _luqoplu_, 
   {{0xd9c30027,0xd2f4028e,0x26ba02cd,0x0f2b00d1}},	//   _beleseat, _bihinim_, _bagarori, _austroma, 
   {{0x329002d5,0x899d004b,0x4c61004e,0x516a018f}},	//   _nemad_, _тайыр_, _katunga_, _mubitmoh_, 
   {{0x1df603cf,0xb3ea01b9,0x9d8702ac,0x89fe01d2}},	//   _kuruluşl, _doitet_, _وازالة_, _antarant, 
   {{0x8d8b02c2,0x0624014e,0x6da40113,0x63220260}},	//   _gereelde_, _влашка_, _منتشرة_, _lúcido_, 
   {{0xb3fc00ee,0x4281028e,0x4e8a00bb,0x1e0c0141}},	//   _antolatz, _namanggi_, _ہونہار_, _алданган_, 
   {{0xb45c02b2,0x596a0181,0xccd90024,0x33eb03ae}},	//   _участі_, _araicoct, _triveleg_, _klatre_, 
   {{0xad3501ef,0x62da0288,0x6e80005e,0x735f05dc}},	// [1bf0] _кулаком_, _kapero_, _ﺋﻪﻧﺌﻪﻧﯩﯟ, _ringere_, 
   {{0xaf5f0249,0x43860016,0xf2a70181,0x230c0279}},	//   _envairon, _sfero_, _chocolam, _romains_, 
   {{0xceac014e,0xc5fd03e2,0x425b0189,0x626c0165}},	//   _користит, _inserció, _edelim_, _yalovi_, 
   {{0x3285020f,0xbc61027f,0x22910326,0x507a0361}},	//   _alubavum, _batunga_, _arware_, _мироново, 
   {{0x0e3b01ad,0xee0b0046,0x11ee004d,0x00000000}},	//   _caracara, _premiats_, _七十五年十月_, --, 
   {{0xeefb0094,0xa1fc00b6,0x26c102bf,0x00000000}},	//   _سىپاتاي_, _sidicaam, _kulandzi, --, 
   {{0x1ed9051a,0x1b8a00ec,0x00000000,0x00000000}},	//   _ditindas_, _leidinių_, --, --, 
   {{0xf3a20199,0xfc6102f8,0xd05e0238,0x8319010d}},	//   _mcipty_, _fatunga_, _дорожньо, _cibitung_, 
   {{0x0bb20244,0x07b501d9,0x0cd00234,0x32640009}},	//   _archivio_, _onbeding, _kalẹ̀_, _mislih_, 
   {{0x69c300b4,0xe8d60071,0x2974020f,0x0e1c0281}},	//   _selectat, _مارتیک_, _andinixe, _anigaasa, 
   {{0xc0d4016d,0x22900322,0xb396018d,0x760003a8}},	//   _يوققۇ_, _akabindi_, _blushi_, _সপ্তাহলৈ_, 
   {{0xec7e0076,0x029100b6,0xe26c0165,0xcfd301a3}},	//   _adesivo_, _kibaal_, _qalovi_, _ٽئنڪر_, 
   {{0xc6250209,0x5aaf0061,0xb287041c,0x43b50322}},	//   _europami, _자체적으로_, _daniouy_, _akivuka_, 
   {{0x82780250,0x12e10062,0x45d300d1,0x2f890420}},	//   _besnik_, _dimuvmoh_, _ফঁহিয়াই_, _мераци_, 
   {{0x34f600c5,0x4a0b018e,0xdcd4021c,0x72c80077}},	//   _一年赚一生工资_, _ambalela_, _regulačn, _debouye_, 
   {{0xb2910318,0xf7230420,0x7b920169,0x617e0147}},	//   _avaava_, _costumam_, _tornillo_, _كۅپكۅ_, 
  
   {{0x154a027e,0xc72a018b,0x06320381,0xd51c0164}},	// [1c00] _половини_, _multumim_, _airlinew, _тәрбийил, 
   {{0x99ba0040,0xb29000e2,0x02d80282,0x92da0204}},	//   _ודגמים_, _froast_, _paheko_, _akseli_, 
   {{0xc2240184,0x6fa401d1,0x96600360,0xb9fb0018}},	//   _yanka_, _moreover_, _दिवसका_, _kadinala_, 
   {{0x9c610340,0x11470022,0x152402bd,0xaf95048a}},	//   _patunga_, _aparetso, _annisgwy, _этнопеда, 
   {{0x5f0202bb,0xa387041e,0xefd003d1,0x12a70128}},	//   _रहस्यमयी_, _peura_, _pastaigā, _masjidi_, 
   {{0x3e560671,0x10360043,0x00000000,0x00000000}},	//   _cubanske_, _baateran, --, --, 
   {{0xc7a00217,0xf24a0013,0xc1fd01b2,0xcc5a04e5}},	//   _ascendev, _rasman_, _aleatory_, _amatabi_, 
   {{0x8b950220,0x326c0049,0x4fd700f2,0x32da028b}},	//   _столицат, _haloti_, _pretrunī, _japepo_, 
   {{0x76a2026f,0x5efe015e,0xb2da013d,0xb2d604b9}},	//   _احەمەن_, _الاعۇشوۋ_, _papero_, _gunless_, 
   {{0x429d01af,0x725a023b,0x2caa0255,0x0d4001a3}},	//   _ahalyñ_, _maklia_, _पूर्वाँच, _ڄنگهه_, 
   {{0x3224032e,0xaed801ac,0x22c50271,0xa2f1053f}},	//   _panka_, _مزدوج_, _reglene_, _purinti_, 
   {{0xd13d011e,0xf36a0181,0x899d0089,0x424a0117}},	//   _ezitasyo, _slugger_, _височная_, _wasman_, 
   {{0x020201ec,0x820b0031,0x92ac0147,0xc36a01b3}},	//   _pesiar_, _syahrini_, _دەسڭەر_, _plugger_, 
   {{0x9cf20490,0x3438006c,0x627804c7,0xbed80151}},	//   _cantábri, _напазиру, _pesnik_, _biliousn, 
   {{0x88450052,0x30aa01a3,0x2345012b,0xe2f100ec}},	//   _स्मृतिमा_, _سرسوتي_, _weselne_, _turinti_, 
   {{0xe3960141,0xeec90008,0xbf5b00ea,0x326d0396}},	//   _ulushi_, _amenaces_, _fakampan, _intom_, 
   {{0x23950204,0x42000005,0xc80003b6,0x27fc02d3}},	// [1c10] _viesti_, _avain_, _adirẹsi_, _улога_, 
   {{0xe7e8012b,0x67b50166,0x831f0040,0xdc6a013f}},	//   _कामकाजी_, _unbeding, _biochem_, _bourdel_, 
   {{0x19d00518,0x730500aa,0x50470365,0x00000000}},	//   _лекин_, _humapak_, _देउलेक_, --, 
   {{0x39b90368,0xb2020450,0xa301020b,0xd3940020}},	//   _материја, _striid_, _arabiwe_, _faisua_, 
   {{0xd291030f,0x406702c0,0x937f0059,0x0c73030b}},	//   _kuware_, _краткотр, _останаха_, _alisala_, 
   {{0x32b5036b,0xfee50013,0x56fc003c,0x034304c7}},	//   _fusca_, _sarhisob_, _لغتنامه_, _хорова_, 
   {{0xd5b70262,0xe5a40142,0xd5b60102,0xd49e0297}},	//   _senagaty, _anyonyam_, _chipukiz, _архивтан_, 
   {{0xf6b90261,0x72b5008c,0x626d003f,0xc27b0318}},	//   _ensaluti, _susch_, _hitod_, _pilikimi_, 
   {{0xb290008a,0x400602da,0xb26d0408,0x9e21004d}},	//   _manatu_, _енергија_, _antom_, _買方付運費_, 
   {{0xdee6032e,0x8300003b,0xe39402c1,0x5a75009f}},	//   _suchurin, _babanti_, _agisha_, _prične_, 
   {{0xe2240183,0x76110226,0x0a9a0322,0x75e8016e}},	//   _manko_, _akulandi, _abanyais, _zamanlı_, 
   {{0x43940074,0xb1ba0061,0x00000000,0x00000000}},	//   _naista_, _민주화운동_, --, --, 
   {{0xa2f000db,0x4ef90142,0x842a0061,0x00000000}},	//   _वक्री_, _anavadya, _인상적이다_, --, 
   {{0x9b8803cf,0xbb380213,0x934e0179,0xb2eb0359}},	//   _tarifler, _жертвы_, _negebik_, _flinter_, 
   {{0xd12203ff,0x8c5000e2,0xcf5a0086,0x1a850028}},	//   _životnos, _prachtic, _tápanyag, _arintaan_, 
   {{0xf2cd046d,0x9224005b,0x746f0099,0x43910147}},	//   _khuliso_, _hanko_, _ainetsek, _جىرعاتىپ_, 
   {{0xf2260003,0x026d0032,0x3ae200ff,0x92300298}},	// [1c20] _merken_, _bitod_, _אָבאַמאַ_, _atamira_, 
   {{0x1224004a,0x66770335,0xb2600087,0xc26d008e}},	//   _barasıñ_, _asāṅkary, _ikhonomi_, _fotoy_, 
   {{0x99120148,0x137300e4,0xf35e02ac,0xf4af0024}},	//   _波羅僧揭諦_, _badanie_, _وسيطات_, _মুক্তিৰ_, 
   {{0xbfc70287,0x1af70381,0x4d950040,0x22010100}},	//   _सहसचिव_, _ampshire, _מובטח_, _dubinu_, 
   {{0x42ef01d8,0x54930147,0x00000000,0x00000000}},	//   _hangamei_, _بووزوقان, --, --, 
   {{0x1d8a0026,0xc38604b7,0x5ae90037,0x8b34000a}},	//   _conditie_, _heers_, _ስለኢትዮጵያ_, _annaffis, 
   {{0xbe270173,0x126c0319,0x9a0b0153,0x56cb0381}},	//   _primeras_, _hilos_, _商品の追加_, _asophary, 
   {{0x9c300354,0x47c700d1,0xa9330377,0xfad90097}},	//   _яврупаға_, _জাউৰী_, _promovat, _olumusin_, 
   {{0xa89102e8,0x6226050a,0x7c5b0407,0x3535009b}},	//   _chikungu, _derken_, _nastupi_, _akusazio_, 
   {{0xa7c700da,0xd26c00fc,0x804e00d1,0x67cd002b}},	//   _фамилие_, _dilos_, _অসমজুৰি_, _হেনরি_, 
   {{0x96ab00b5,0x17b601df,0x9cbc001b,0x3d1a0222}},	//   _абатальо, _forefing, _barachuu_, _chinoise_, 
   {{0x33cf04cd,0x9af603c2,0xf2fc0005,0x4b7d0407}},	//   _posve_, _abruptne, _rumians_, _dopunama_, 
   {{0xa6b901b8,0x2200030b,0xd290007f,0x00000000}},	//   _seisukoh, _addira_, _amlach_, --, 
   {{0xc93d0060,0xa2260347,0x54d700be,0x53c402bb}},	//   _اتاعىڭمە, _herken_, _بايسەركە, _ज्यामिति_, 
   {{0x7131025b,0xd226018c,0x5328024c,0x126d0005}},	//   _landsfel, _kerken_, _emikranj, _antoc_, 
   {{0x43a003cc,0x3c7c0203,0xc47e02c0,0x62ea02d3}},	//   _মহিলাদের_, _elision_, _офицери_, _isentos_, 
   {{0x23860101,0xa2240375,0x32fe0257,0x210c0092}},	// [1c30] _ofera_, _yanko_, _akranesi_, _ドキュメンタリ_, 
   {{0xe8600257,0x937304d6,0x11f30280,0x539602f6}},	//   _raunveru, _zadanie_, _बलूचिस्त, _intsik_, 
   {{0x72000033,0x74750661,0x26ab0145,0x0c76019d}},	//   _ovais_, _balanço_, _азеры_, _gwirani_, 
   {{0x256c0254,0xb61003db,0x831602bc,0xd26c0132}},	//   _promoció, _okulungi, _kalbari_, _tilos_, 
   {{0x8c750022,0x515505dd,0x526c01fc,0x6301009a}},	//   _atisang_, _अम्लीय_, _kidoh_, _egranti_, 
   {{0x00000000,0x00000000,0x00000000,0x00000000}},	//   --, --, --, --, 
   {{0xa2000222,0x7c8a0060,0x5905005d,0xdc0503ba}},	//   _avait_, _اققۇم_, _armadagu, _sterday_, 
   {{0x941301e0,0x4c2601c9,0x6bfb051f,0xa6d50010}},	//   _شاندی_, _चुनौटी_, _مکارێم_, _emlandvw, 
   {{0x05250265,0x54250014,0xef1c01e8,0x32e70290}},	//   _verzendk, _personin_, _hamugawa, _abandun_, 
   {{0xf26c0062,0x623704f4,0x00000000,0x00000000}},	//   _vilos_, _trajes_, --, --, 
   {{0x58f800b0,0x426c015d,0x2d900011,0x0a7003a2}},	//   _dabadeed, _widok_, _akalinda, _फ़ुरसतिय, 
   {{0xd9aa0013,0xa25a018f,0xb7d700bb,0x55d40205}},	//   _шокир_, _cholli_, _راجائوں_, _zelandiy, 
   {{0x79d80287,0x0d760107,0x0fc302c2,0xd09702e5}},	//   _desetile, _گرسنه_, _redigeer_, _франциа_, 
   {{0x0f2400da,0xcaf90055,0x5387002c,0xc213038f}},	//   _админист_, _riassunt, _geure_, _diehan_, 
   {{0xa2010073,0x4c74015f,0x83540047,0x3be30159}},	//   _habite_, _bapurau_, _atteint_, _готланд_, 
   {{0x1e9c005e,0x00000000,0x00000000,0x00000000}},	//   _جاسۇس_, --, --, --, 
   {{0x0387029e,0x1395020d,0xe9490337,0x52020014}},	// [1c40] _beure_, _ifasha_, _ortadoğu_, _perime_, 
   {{0x779b0253,0xec9304fd,0x84c302e6,0xa34b013a}},	//   _chemnitz_, _विभोर_, _netbutik, _gedeelt_, 
   {{0x43870147,0xc3540007,0xbaf6009a,0xcc7602ef}},	//   _veure_, _etteint_, _اواسلامي_, _gwarani_, 
   {{0x24f50285,0x33870200,0x32910672,0xb7a50220}},	//   _itumanah, _eduru_, _avyara_, _centinai, 
   {{0xe2fc03b9,0x4467019b,0x92c90037,0x62d80240}},	//   _oblitas_, _чакаюць_, _በጥራትና_, _meketi_, 
   {{0x31fc00ea,0x920000df,0x446e00a7,0xe3020177}},	//   _malagasy_, _avais_, _арамы_, _jahayhu_, 
   {{0x6344011e,0xf355055a,0xd61005db,0xe2360159}},	//   _aprepre_, _facetas_, _akulungi, _stojo_, 
   {{0x0c8b005e,0xb78a02a0,0x31d60112,0x41b2026b}},	//   _يەرتەۋرە, _iyanilẹn, _kaffarah_, _শ্বেত_, 
   {{0x96440421,0x32760344,0x81b50109,0x326d003e}},	//   _vernünft, _allamium, _generací_, _entoa_, 
   {{0xe2240082,0x1d65019e,0xf4a803a8,0x00000000}},	//   _wanke_, _алюмнаў_, _পছন্দলৈ_, --, 
   {{0x73870145,0xa26c004b,0xdfbf0174,0x23e70257}},	//   _tvarka_, _ammone_, _tshebotš, _bætur_, 
   {{0xe5c80480,0xa0c502d3,0x675303a8,0xd201015e}},	//   _intaneth, _евровизи, _উভয়সহ_, _enviem_, 
   {{0x8a7c01b5,0x82000005,0x9a5f033a,0xdcd100d1}},	//   _ahlayisa_, _avair_, _bloggata_, _খনিকৰ_, 
   {{0x470f0061,0xd12d0076,0x8d22005b,0x0dca0311}},	//   _겨울스포츠_, _саати_, _birilove_, _ምፍራህን_, 
   {{0xd16600ff,0xb570015e,0xb40c016d,0x02240082}},	//   _עירובין_, _берилген_, _алданған_, _yanke_, 
   {{0xf3870292,0x49760021,0x79530142,0x12fe00d9}},	//   _aduru_, _undivide, _चतुस्त्र, _potilas_, 
   {{0xd6b90133,0x0863014c,0x77cc0156,0x8ea50008}},	// [1c50] _aspaalti, _kwenkund, _פלאנסט_, _vallesan, 
   {{0xffb40034,0x4a7302dd,0x00000000,0x00000000}},	//   _lesendur_, _kalamita_, --, --, 
   {{0x05e80088,0xe2870010,0x4d5d02cf,0xb9a2011a}},	//   _сулайман, _ibekiwe_, _цигарата_, _הקטלוג_, 
   {{0x828d0410,0x97fb04a5,0x2fe80193,0x3a0d0369}},	//   _boikano_, _amabhung, _सुधारित_, _kapaakea_, 
   {{0x7ee4003c,0x32d8030a,0xbae100e6,0x0e9201a3}},	//   _خویشاوند, _mamede_, _maquette, _گاڏهي_, 
   {{0x00000000,0x00000000,0x00000000,0x00000000}},	//   --, --, --, --, 
   {{0x9db401a4,0x351900c4,0xd772004b,0xb26e024f}},	//   _afongola, _چوپائي_, _перфилье, _setoki_, 
   {{0xa226004a,0x63fc00d2,0x6ecf01d2,0x96270185}},	//   _diskı_, _boeldozz, _echinops_, _kaxovski, 
   {{0xb1da01b7,0xe51501d5,0x524901da,0x8f5d0344}},	//   _क्रयादिग, _پروڈکشن_, _flamur_, _angalann, 
   {{0x48160145,0xe67b02c9,0x69c700e4,0xae9e019c}},	//   _pareigūn, _атримис_, _चुंचे_, _ojúde_, 
   {{0x67910218,0x52ce00d9,0x53f4009b,0x22a6007b}},	//   _isotreti, _бразилии_, _antton_, _glibly_, 
   {{0xe2c2023b,0xd28301b5,0x62870559,0xd8ef01e4}},	//   _amaleka_, _atekiwa_, _abekiwe_, _propojov, 
   {{0xd9c90176,0xac6000ad,0x533a0311,0x9f5800de}},	//   _plumeria_, _sumuhun_, _ዝድምደም_, _ekwakwen, 
   {{0xb33d00bb,0x79fb0478,0xa26c0456,0xe0bc027e}},	//   _سیلاب_, _radicala_, _paloh_, _promenil, 
   {{0x3b0e0158,0x5a8e031d,0xc1c300e6,0x845803b6}},	//   _krystyna_, _blandnes, _imprimez_, _tíìfù_, 
   {{0x02df0197,0xf26c005b,0x7dba03f2,0x00000000}},	//   _kokorat_, _eblog_, _прелестн, --, 
   {{0xf26c01d8,0x12fd0654,0xef8c04ca,0x93790403}},	// [1c60] _daloi_, _didasari_, _aquifèr_, _efraima_, 
   {{0xea7a0204,0x53210262,0xd4920025,0x9dbe03d0}},	//   _гарантий, _ajayyp_, _आत्मन_, _kukuriku_, 
   {{0x12fc0056,0x6290029b,0x8ef4002b,0xa8850178}},	//   _izaga_, _almaa_, _কারফিউ_, _avaśasya_, 
   {{0x83eb01c6,0xcecd0022,0xc38600fe,0x6040013c}},	//   _moatte_, _ausinyan, _eferu_, _statusun, 
   {{0x103602c1,0x3fdb00ba,0x5f200005,0xe6800235}},	//   _abateran, _تۆتنهام_, _adattada, _विधाः_, 
   {{0x3de300c4,0x33c70017,0x82fe00c1,0xc61d000b}},	//   _چنبڙي_, _तिरस्कृत_, _antasari_, _noanoati, 
   {{0x777902ac,0xcb0202b0,0x00000000,0x00000000}},	//   _جورجيا_, _versiege, --, --, 
   {{0xf0d30013,0xb5260040,0xd291029e,0x00000000}},	//   _takomill, _ניחוחות_, _argant_, --, 
   {{0x550d0059,0xb7e301ce,0x6376023c,0x666a0137}},	//   _подготвя, _چمستان_, _راځينه_, _горилсон_, 
   {{0xb3a3034f,0x9361047d,0xa31d0418,0xe3eb00d2}},	//   _phepha_, _stemmung_, _onaylanm, _saptu_, 
   {{0xd27f02b7,0x21da0276,0x59e201fe,0x77ce0216}},	//   _omenë_, _жамаъәтк, _kidomoka_, _enetisiw, 
   {{0x5386015d,0xa26c014b,0x74610347,0x0a1b0477}},	//   _ofert_, _aalow_, _samewerk, _kuncinya_, 
   {{0x72c6003e,0x504700bf,0xd2490157,0xeb05004c}},	//   _pauluse_, _перси_, _kremem_, _beesanga_, 
   {{0xb72300d9,0x499c01e9,0xab78028f,0x2b8002aa}},	//   _победы_, _gonkgona_, _panuitia_, _autosklo_, 
   {{0xc1de02e1,0x0d0501fb,0xefc2028a,0x870900c4}},	//   _chinntiú_, _stellate_, _باجوڙ_, _فرڊننڊ_, 
   {{0x4a72016d,0xa18a03db,0x7c0e0400,0x7dfa01f1}},	//   _айғичә_, _ababenal, _rispose_, _mendimit_, 
   {{0xcee5020e,0x8fa700c7,0x00000000,0x00000000}},	// [1c70] _агентлығ, _isleytar_, --, --, 
   {{0x13870108,0xa59900b5,0x4c030138,0x79af0211}},	//   _geura_, _chehaité, _dersler_, _извращен, 
   {{0x600003d1,0x2d620354,0x00000000,0x00000000}},	//   _informāc, _кесингир, --, --, 
   {{0x2c49027c,0x2224004f,0xef93025d,0x1387012a}},	//   _داعلانات, _cafka_, _fordelar_, _twarda_, 
   {{0xe26d01e1,0xd9b70022,0x7c1d0203,0x2a7c0365}},	//   _sitoa_, _призер_, _adoptet_, _प्रेरणाक, 
   {{0x7e9a0092,0x83800064,0x33ea00bd,0x5c770135}},	//   _このエリア_, _carril_, _blithe_, _проброс_, 
   {{0x62ca00b3,0xc9110427,0x824903d7,0xec610585}},	//   _milleti_, _kivalliq_, _vremem_, _prerade_, 
   {{0x237900ed,0x83eb03f1,0x00000000,0x00000000}},	//   _gimando_, _platbe_, --, --, 
   {{0x4c7c007f,0x5a960156,0x00000000,0x00000000}},	//   _blismon_, _meritojn_, --, --, 
   {{0x1a7204ac,0xf35502a4,0x12260138,0x724a007a}},	//   _акции_, _angelis_, _serkan_, _jasman_, 
   {{0xc2480618,0x12cb00bd,0x1dea0160,0x00000000}},	//   _veoma_, _colorea_, _paljenje_, --, 
   {{0x1af302c2,0x00000000,0x00000000,0x00000000}},	//   _indringe, --, --, --, 
   {{0xa248037c,0x4387004f,0x4cc80037,0x0a8d0044}},	//   _teoma_, _beuri_, _የመቁሰል_, _agencies, 
   {{0xcd01028b,0x78d70012,0x1b92005e,0x460b004a}},	//   _curtidur, _जमघट्_, _لەغمەن_, _blagoveç, 
   {{0xb29001a7,0xa6f5012e,0xddf0023c,0x738603dd}},	//   _ilman_, _partnerü, _ځنډوي_, _afert_, 
   {{0x9c6101d9,0xa02a00a4,0xfdc700bb,0x026c0251}},	//   _cadrage_, _tecnològ, _دعوؤں_, _walow_, 
   {{0xe57c03ab,0x326d0342,0x52f70227,0x7e1603e0}},	// [1c80] _anglické, _antou_, _belilah_, _benevola, 
   {{0x026d013b,0x6dff02dd,0xf3200082,0x52a700f6}},	//   _hiton_, _allegata, _adiyya_, _herbi_, 
   {{0x0bdd00e7,0xe9f402c1,0x4c910012,0xd29000d0}},	//   _adientgr, _uturingu, _किलोल_, _temati_, 
   {{0x53f402f3,0x02b5047d,0xbeae0242,0x126c0342}},	//   _mitten_, _lusch_, _millisin, _jalou_, 
   {{0x43f40450,0xa2fd0223,0xa5c300c7,0x763b0385}},	//   _litten_, _dragoi_, _массалар_, _varijaci, 
   {{0xa364014c,0xab7c0090,0xc7470188,0xd2b40053}},	//   _amagama_, _abhurama_, _милливу_, _tancap_, 
   {{0x0ddf03ad,0xe26d0311,0xd26c009e,0x726c00d2}},	//   _birkirka, _fiton_, _falou_, _lolong_, 
   {{0xc2900233,0x4551046f,0xf2370031,0x00000000}},	//   _demasi_, _evoluéie, _diejek_, --, 
   {{0x08790066,0xa518016f,0x3a2301d2,0xe7130137}},	//   _замбараа, _забрудне, _chaqnayu, _медалиуд, 
   {{0xe3640010,0x72fd0066,0xabf30310,0x00000000}},	//   _emagama_, _aragoi_, _oileanac, --, 
   {{0xc38602c1,0x05200036,0x126c04ef,0x82b502f3}},	//   _igera_, _glantach, _lidos_, _dusch_, 
   {{0x538700ad,0x626c00d2,0x5e3b036a,0x55a904e5}},	//   _seuri_, _kolong_, _parakara, _amussaak, 
   {{0x226c04ea,0x42da033d,0xef0b0040,0x326c00ec}},	//   _lalot_, _tranble_, _תפסיק_, _nidos_, 
   {{0x6860031c,0xc2900018,0x63860008,0x00000000}},	//   _difícile, _semati_, _afers_, --, 
   {{0x026c010b,0xe86900ce,0xe8e90274,0x62de016a}},	//   _badirisi_, _konparab_, _borgarfu, _ankorau_, 
   {{0x620e0125,0x0c9802e2,0x3290050b,0xe26c0230}},	//   _чанак_, _courting_, _lemari_, _galou_, 
   {{0xe2940369,0x13cf001c,0x42b501e6,0xe2bd0142}},	// [1c90] _anakoni_, _nieves_, _stojany_, _aindram_, 
   {{0x726c03fd,0xf2910046,0xe29003c5,0x24c8002c}},	//   _malosi_, _legals_, _gemari_, _витамину, 
   {{0x89aa01cd,0x76bf02da,0xa26c0131,0x43a2006e}},	//   _полис_, _порталот_, _eidos_, _boopam_, 
   {{0x8ae801ce,0xe6190052,0x9ea50067,0xa3f800bd}},	//   _شوماخر_, _profilem_, _callisan, _dwaum_, 
   {{0x126c0032,0xbfb901f0,0xdc7d005b,0x1cc70340}},	//   _arloqh_, _bagologo, _tatsuya_, _matikuku_, 
   {{0xf6a20673,0x04690420,0x16ad0147,0x29aa0164}},	//   _okuthath, _conforto_, _ايۇۇنۇ_, _пойиз_, 
   {{0x629100f4,0xb2fd0057,0x962500c4,0xa3e70163}},	//   _bugale_, _dilayari_, _انشاءَ_, _hátra_, 
   {{0xdea9052c,0x531601dc,0x182f0200,0x526c0318}},	//   _رژمێری_, _balzer_, _ngosipụt, _kalosi_, 
   {{0x16a203db,0x875f0037,0xbcda00d1,0x52e902c8}},	//   _akuthath, _ባህላችንን_, _দাঁতেৰে_, _apuntou_, 
   {{0xd26c02f6,0x4f4e0037,0xbdb100d4,0x126c0674}},	//   _ondoy_, _diasaska, _belgyske_, _kalot_, 
   {{0x040e055a,0x82d4015e,0xdf480039,0x00000000}},	//   _alegando_, _ajudes_, _эйлерийн_, --, 
   {{0x495f0184,0x29ea0091,0xae6b01a3,0xb38603ae}},	//   _ahengere, _ngutillu, _اينڪر_, _leiren_, 
   {{0xc17700fc,0x9290015a,0x52fd0063,0x5b470162}},	//   _bangheyl, _ammas_, _araibis_, _бардим_, 
   {{0xa18f02fe,0xe3780233,0x505f0156,0x00000000}},	//   _bioassay_, _nelatin_, _akuzitaj_, --, 
   {{0x126d0343,0xda10004a,0x9c7e046b,0xe3ea0172}},	//   _antos_, _ansamble, _arestio_, _tuntum_, 
   {{0x440f036d,0x16d600d1,0x521c0211,0xf56a0237}},	//   _fearainn_, _ভাইভেক্স_, _kauhea_, _미생물자원을_, 
   {{0x975e01e4,0x13540191,0xd0d900ec,0xc3e70052}},	// [1ca0] _जलप्रलय_, _baserat_, _распраца, _játra_, 
   {{0xe9e905ba,0xb2420255,0x84b30040,0x7ca20322}},	//   _आशावादी_, _मंगले_, _גרילה_, _abazayir, 
   {{0x22260373,0x27f40026,0x131701da,0x3386013a}},	//   _verkon_, _사업계획서_, _plazhi_, _deiren_, 
   {{0x41c70122,0x4c5b02e4,0x06a500c4,0x040a0246}},	//   _باستانی_, _buttuni_, _مخواهه_, _наднорме, 
   {{0xbb3b00be,0xd9780312,0xcc520415,0xd34500af}},	//   _ئشتەمەكچ, _vanifest, _dritten_, _leserne_, 
   {{0x023603cf,0x026d01b9,0x628d03b9,0xc21300ea}},	//   _proje_, _antor_, _patakkam, _mpahay_, 
   {{0xe651022a,0x7e7f0092,0x025a0079,0xbbac01db}},	//   _wilhelmi, _さん更新しました_, _skolai_, _كەزەڭىن_, 
   {{0xf26c0227,0xc65c000c,0x738603e6,0xeb130538}},	//   _tolong_, _апошта_, _heiren_, _herredøm, 
   {{0x3759060e,0xdd730059,0xf3950074,0x347c03b5}},	//   _पुत्रों_, _войната_, _maasta_, _dipecahk, 
   {{0xb26c013d,0x926c00ac,0xa3870455,0xcb6c02e5}},	//   _vidos_, _maloj_, _meurt_, _lottigna_, 
   {{0x44d70141,0x561604f9,0x0c8700fc,0xff780158}},	//   _футболчи, _aallarni, _boleghpu_, _ज़रदारी_, 
   {{0xc82a02eb,0x79c100a7,0xe7da01db,0x340a0127}},	//   _хийлгүүл, _تەركۅۅ_, _جىڭىشكە_, _diziverk, 
   {{0xe437002c,0x12900044,0x6fcf00cb,0x58690347}},	//   _bezalako_, _ideal_, _abanombo, _besighed, 
   {{0xf29e0247,0xfa89022a,0xc6370205,0x022d044b}},	//   _تمامی_, _anniston_, _блоглард, _forvandl, 
   {{0x127f0016,0x02900039,0x001f0515,0x14370675}},	//   _atenti_, _banatu_, _alienato, _conceito_, 
   {{0x62da013a,0x442a03d8,0x02ff034e,0xc26c022d}},	//   _poteau_, _detaljno_, _allampax_, _calori_, 
   {{0x5eb102f7,0x00000000,0x00000000,0x00000000}},	// [1cb0] _hutsitse_, --, --, --, 
   {{0xc29001c0,0x8af70168,0xfd490060,0x6f1900da}},	//   _ummar_, _aftenpos, _балдырға, _цэраний_, 
   {{0xe99704ab,0xc2a00272,0x0ea20176,0x04de0350}},	//   _ubojstva_, _amubba_, _felterne_, _ኩባኒያዎች_, 
   {{0xbd4e02fe,0xe9c7026f,0xac7601fe,0x987005ce}},	//   _محکمی_, _далада_, _iwirini_, _getirild, 
   {{0x527f023d,0x3fc0033b,0x72be0149,0xd15101b3}},	//   _utenti_, _feteletš, _nwayọọ_, _струм_, 
   {{0x0394002e,0x726c02f3,0x70a90188,0x24b4000a}},	//   _zaista_, _sidor_, _мекнан_, _annannik, 
   {{0x726d0141,0xfd1d00c4,0x926d02f6,0xe3000344}},	//   _kitob_, _سيٺارجا_, _antok_, _allatai_, 
   {{0xe2480118,0x59f901fe,0xc2fc0194,0xf800002b}},	//   _edomu_, _kamakore, _fatigat_, _পাশবিক_, 
   {{0xf26c022e,0xa3860377,0x81540204,0xf37f0223}},	//   _valori_, _oferi_, _hakusano, _ardanza_, 
   {{0x92260003,0x226c0374,0x776d0060,0x42eb0098}},	//   _werken_, _salom_, _қазпочта_, _blandes_, 
   {{0x17c90055,0xaed5031d,0x2248019e,0x6420004d}},	//   _soustrai, _shriekin, _idomu_, _般若波羅密多心經, 
   {{0xe3770162,0x826e04e7,0x122401c6,0x7cb30061}},	//   _ۋىسال_, _maroš_, _nynke_, _이산화탄소_, 
   {{0xc26c01f0,0x779f0281,0xbc8900d9,0x7c8000bb}},	//   _nomore_, _mittarfi, _заключит, _ٹائیٹل_, 
   {{0x27b1004d,0x59b1034e,0x6373033f,0x73940338}},	//   _上海第八屆國際攝, _bigdelet, _kihaane_, _baissa_, 
   {{0xf6a301b5,0x493802eb,0x639400d9,0xcb750109}},	//   _cheddarf, _сайтууда, _paista_, _formátů_, 
   {{0xbc56023d,0x526c01f4,0x02eb0238,0xf270051f}},	//   _partire_, _halok_, _sminker_, _ڵقورتاند, 
   {{0x83bb0429,0x5fca00e6,0x38d3010d,0x7da301e4}},	// [1cc0] _arowana_, _促进社会和谐_, _tulungag, _ležící_, 
   {{0xd2fe0445,0x803701b5,0x00000000,0x00000000}},	//   _antigas_, _khutazan, --, --, 
   {{0x33950578,0x9291036e,0x13ea02e9,0x126c014a}},	//   _huvsi_, _ajuaq_, _faltan_, _dalok_, 
   {{0x4300025b,0xdc17016a,0x20c103f0,0x00000000}},	//   _lisberg_, _abcajedr, _fagfólki_, --, 
   {{0xa51f0178,0xead50047,0x8db8044d,0xeae30434}},	//   _anantabh, _histoire, _defaraat_, _requiere, 
   {{0x026e0287,0x31b80455,0x62e60676,0x9d3c0039}},	//   _autory_, _remercié_, _sjenila_, _обьектий, 
   {{0x88d90074,0x3e520465,0x42d80168,0xb870013c}},	//   _сервисы_, _potaplja, _damene_, _yetirild, 
   {{0xe26c02a2,0x07a300be,0x4201003b,0xf2da0222}},	//   _aalok_, _بەيعام_, _babite_, _entend_, 
   {{0xd8960147,0xdf5c00f2,0x105400e2,0x962c01d5}},	//   _максаты_, _apraksts_, _betsjoen, _pornófil, 
   {{0xe2d80198,0x2c2701b9,0x9616011f,0x334b0176}},	//   _namene_, _fristras, _суверент, _futenou_, 
   {{0x02da017e,0x65380397,0x00000000,0x00000000}},	//   _kapelo_, _angikush, --, --, 
   {{0xb3870396,0x13160306,0x61110002,0xe2cc032d}},	//   _dwarna_, _balzar_, _prašina_, _ebeliso_, 
   {{0x5e0c0245,0x726d0074,0x0b9e033f,0x66e10058}},	//   _tendulka, _antoi_, _foungaho_, _rebbachi, 
   {{0xad3200c7,0x57190361,0x69d001f2,0xd29000ad}},	//   _корсак_, _михалков, _шеһид_, _somad_, 
   {{0x226c0028,0x724902cb,0x525b0455,0x02fc00dd}},	//   _madow_, _kremom_, _appli_, _drigai_, 
   {{0xcf4c0432,0x00000000,0x00000000,0x00000000}},	//   _tinglysn, --, --, --, 
   {{0x294600c5,0x247b001e,0x49fc00a8,0x99d80612}},	// [1cd0] _国家外国专家局_, _littafin_, _excursiu, _forenkle, 
   {{0x937f0031,0x631300d6,0x68780272,0x00000000}},	//   _bedanya_, _saibhir_, _banneeku, --, 
   {{0x6341018f,0x568d003a,0x7520018a,0x00000000}},	//   _bilesmo_, _ekofesti, _llanfach, --, 
   {{0xd7dd01cf,0x3e9c0020,0x126e0541,0x03560162}},	//   _displaci, _maimoain, _varoš_, _بىرما_, 
   {{0x02900125,0xd63504d6,0x851f01cc,0xb30e0141}},	//   _almak_, _वविद्याल, _anantasy, _arabcha_, 
   {{0xfc1000c1,0x2c170343,0x53860282,0x1a2100ec}},	//   _kesukses, _aliadier, _ngere_, _skandalą_, 
   {{0x626c009d,0x3c0304b7,0xfb1800f4,0xbe3a0499}},	//   _kaloi_, _versier_, _bakadenn_, _masalosa, 
   {{0x34030094,0xbe4b02f9,0xe6720133,0x18b00109}},	//   _بىرگەمىن_, _casaonca, _daddafsi, _धितोपत्र_, 
   {{0xd22502b0,0x73870107,0xeb680040,0x3c480156}},	//   _deckel_, _awarna_, _מתקשרים_, _טעלפאן_, 
   {{0xd2fc0233,0xb41d019b,0x726c028d,0x8c93034c}},	//   _cadidas_, _meningok, _laloi_, _аңлатучы_, 
   {{0x529f0510,0x062c0260,0x529001a6,0x3889015e}},	//   _очевидны, _reciclax, _kanapu_, _даназала, 
   {{0x5f030677,0x72ab01b0,0xa2d8050e,0xe2c40075}},	//   _निर्मोही_, _gandeng_, _zamene_, _eineiasi_, 
   {{0xb2d8032d,0x02d80226,0x0af70085,0x72e303db}},	//   _mamele_, _pamene_, _nabukele, _ishiywe_, 
   {{0xd2900231,0x826c0028,0x82eb007b,0x8da900bc}},	//   _romae_, _cadow_, _glances_, _بواسیر_, 
   {{0x825d0148,0x22ab023e,0xf46600c5,0x530f0119}},	//   _鍾永豐客語詩歌_, _bandeng_, _下属管道防腐施工, _dzierå_, 
   {{0x531f0416,0x57a5019a,0x29ec003c,0x4388012e}},	//   _glacial_, _affronti, _artikata_, _ennyien_, 
   {{0x295900c6,0x7c2b041c,0x522f0452,0x5e93015e}},	// [1ce0] _семеро_, _karbonar, _जाईचिया_, _келишинд, 
   {{0x6aad0278,0x0d2c0436,0x3a1601e0,0xc4f501c8}},	//   _berkawan_, _zavirite_, _دانشگای_, _kapitálu_, 
   {{0x2da30040,0x7f6401a0,0x84230103,0xc348050e}},	//   _הנופש_, _hakanyin, _chibharo_, _spreči_, 
   {{0x728b000c,0x1f6402af,0x3cbf033f,0x56af03a2}},	//   _адраматә_, _bakanyin, _konatapu_, _एस्तोनिय, 
   {{0x172502da,0x22d80085,0x526c033d,0xe2530184}},	//   _montagem_, _damele_, _salop_, _buhengam, 
   {{0xfc54028d,0xf2e3003b,0xefef01be,0xe9f501eb}},	//   _disteng_, _ashiywe_, _जनभावना_, _ipeón_, 
   {{0x8c07001d,0x2f120219,0x2c280107,0x8ab2004d}},	//   _atestat_, _akutenta, _بوانات_, _遠流出版股份有限, 
   {{0xd3350097,0x71f30126,0xe2c3016a,0x3290008e}},	//   _hanghó_, _критерії_, _anglion_, _jemadi_, 
   {{0xb31701d1,0x19d00143,0xad0b0376,0xf3410053}},	//   _planning_, _петия_, _forritar, _gebetan_, 
   {{0x737f01c5,0x13fa01b2,0xbfc200bb,0x626c0179}},	//   _kulanka_, _piqued_, _یاجوج_, _talop_, 
   {{0x92010030,0x930e04ec,0x92d80347,0x00000000}},	//   _diviem_, _arabaha_, _kamele_, --, 
   {{0xdfe6002e,0x82fe0242,0x49fa046f,0x984d0256}},	//   _povrijeđ, _intizar_, _dorausse, _pavadzīm, 
   {{0x52b40037,0x8f2a021b,0xc37f0077,0x2b0c0478}},	//   _lancap_, _martinla, _gedalya_, _bengalin_, 
   {{0xe51b0148,0xcd180393,0xae3c03b9,0x1c1800ac}},	//   _skinligh, _izložbe_, _saranaqa, _izložbu_, 
   {{0xfb8d02e8,0xb6970188,0x1c6103e0,0x255e02fe}},	//   _mamiriro_, _микдори_, _kadrage_, _استرلیا_, 
   {{0xbfe1008d,0xcc7e0035,0x764d0095,0xe3f8007f}},	//   _ибратли_, _barsın_, _يزداني_, _gwaun_, 
   {{0x626c03ff,0xb2eb02a3,0x68410259,0xce9601db}},	// [1cf0] _pomoct_, _blankes_, _realkred, _وگەيىستۋ, 
   {{0x926d0250,0x99e400a0,0x02bf0102,0xeeaf00a3}},	//   _fitoi_, _aikomana_, _شمشان_, _akkordan, 
   {{0x2290033f,0xb30f024a,0x1140038b,0x82aa017a}},	//   _aleaa_, _amubina_, _mendahul, _саховатм, 
   {{0xa9b9003e,0x00000000,0x00000000,0x00000000}},	//   _hotetswa_, --, --, --, 
   {{0xe0ab00c1,0x3230056c,0x00000000,0x00000000}},	//   _चिमुरी_, _kremlja_, --, --, 
   {{0xa2d8048d,0x1d0f01b4,0x4e03020d,0x5d9302e1}},	//   _prnews_, _inkomste_, _zerekera, _محترفات_, 
   {{0x3fae00a4,0x4faf00e6,0xbf370128,0xd9ef00d0}},	//   _convenis_, _大家可以自由转载, _улуғми_, _бялдаржу, 
   {{0x12fc026b,0xf3790016,0xb3f80488,0xbe4e0167}},	//   _salidas_, _israela_, _cukurs_, _drobwynt_, 
   {{0xd24b0044,0xb23704bb,0xb99c006c,0x089c006c}},	//   _בהיקף_, _tsimtsa_, _abakwame, _abakwamu, 
   {{0x185d011d,0x22bd022f,0xdb2700e6,0x086d0325}},	//   _минерале_, _спробах_, _内容的真实性_, _vadisind, 
   {{0xc3f8033a,0x035201e6,0x0ba600f6,0xc5f70153}},	//   _veduta_, _stručný_, _benzinin_, _タイに持ち出そう_, 
   {{0x626c0377,0xe2d00240,0x302501a3,0x3c4f012c}},	//   _cadou_, _mekesini_, _موٽرن_, _thawabu_, 
   {{0x43fe03ad,0x28540102,0x083e0211,0x4ea000d8}},	//   _kwalifik, _سوويت_, _диски_, _alertaue_, 
   {{0x24a80037,0x3f2e014e,0x22ff01d3,0x6a8d00e7}},	//   _ተገንዝቦ_, _мисле_, _skriker_, _arenthes, 
   {{0x63ce049e,0xe8780157,0xb30c012d,0x338600f2}},	//   _slovan_, _शब्दलेख_, _breakas_, _aborts_, 
   {{0xbc1101da,0x110200e6,0x496d012d,0xc95101d4}},	//   _sarandë_, _各级人民政府应当, _patisipe, _grillett, 
   {{0xc06003ba,0xd2ff034e,0x06f000e6,0x7dae016f}},	// [1d00] _aussöhne, _allanapi_, _中国建设银行_, _бориспол, 
   {{0x69e403f6,0xa387005b,0x3e740299,0x9c8a0037}},	//   _solomona_, _afuro_, _ئىتوتلىر, _ማግኘቷን_, 
   {{0x3f5d002c,0xadca0435,0xb2f401a6,0xcf5b0029}},	//   _erlazion, _upoznaju_, _käinga_, _هێمفێر_, 
   {{0xc35300a7,0x82e0038f,0x4b0405dc,0x128c00ee}},	//   _تۇرات_, _skinwel_, _prishist, _gurasoei_, 
   {{0xe31c031a,0x9f21025b,0xc22604d7,0x3eca04e3}},	//   _chabair_, _vanligar_, _verkin_, _spoznaje_, 
   {{0x17d402ec,0x40da0164,0x94b500e6,0x00000000}},	//   _کھاسى۪ن_, _чөмүлгән_, _农民专业合作社应, --, 
   {{0x4c7f046d,0x9e80033d,0x00000000,0x00000000}},	//   _mutsiko_, _jilbrèt_, --, --, 
   {{0x2f9a0125,0x1ea501b4,0x1d89015e,0x8b7a002c}},	//   _билишими, _omstrede_, _divertit_, _товлосон_, 
   {{0xc201033d,0x1070024a,0x0b74004b,0x497c04ae}},	//   _egzije_, _ketadilo, _hlaselwa_, _капиталу_, 
   {{0x7eb102ca,0x91b00208,0xe3940558,0x42ab02a2}},	//   _كلاسيك_, _مناله_, _ikesa_, _handang_, 
   {{0x8366003a,0x92e50285,0x02fc008d,0x929101dd}},	//   _бердилар_, _iminota_, _talabasi_, _arwaye_, 
   {{0x138702af,0x0ddc00bb,0x36310333,0x8b65023d}},	//   _atarya_, _زلغوط_, _itinerai, _collegar, 
   {{0xd8d40091,0x3963032d,0x32a703eb,0x47270095}},	//   _hakuging, _akgohale, _verby_, _مداخلات_, 
   {{0x59f80564,0x02f50229,0x4f0a043b,0x658000db}},	//   _delagase, _satiram_, _clàir_, _paberleh, 
   {{0x336a0047,0x00000000,0x00000000,0x00000000}},	//   _bougies_, --, --, --, 
   {{0x1f6d01cc,0x43eb00ac,0x32ab04b2,0x00000000}},	//   _संस्कृतं_, _slatke_, _gandang_, --, 
   {{0x027f0663,0x47dd0212,0x290b0038,0xef07029a}},	// [1d10] _amanfo_, _supplici, _уянып_, _temwanya, 
   {{0x93860272,0x4f5b0281,0xe27e0067,0x0ade0220}},	//   _ngeri_, _qularnan, _aminoo_, _лампи_, 
   {{0x63940240,0xe2ab02f6,0xe6530343,0x1da003bd}},	//   _akesa_, _bandang_, _anthelmi, _almorana, 
   {{0x4b7e033a,0xe56d0156,0x763e0316,0x93cd019b}},	//   _fruntier, _סימפאטיע_, _biritani, _бярнова_, 
   {{0x4f470024,0xa48a0025,0x42d9011a,0x637900ed}},	//   _ভাওনাত_, _प्रतिकाङ, _wrinkle_, _kayahon_, 
   {{0x52900190,0x39500590,0xea8e00be,0x99ec018b}},	//   _glean_, _negoziat, _رەۋئزىيا, _estimata_, 
   {{0xa394002a,0x95bd0299,0xab16007f,0xb3eb0453}},	//   _ekesa_, _ئەلرايىن, _gampwait, _kretao_, 
   {{0x6b5a04ae,0x7e410253,0xf290009b,0xc2ca0274}},	//   _прокомен, _sapaatit_, _alean_, _andliti_, 
   {{0xb9cd01cf,0x7a810371,0x7a3f03ad,0x62380128}},	//   _impellit, _убеден_, _ikkawżat_, _atamasi_, 
   {{0x03eb0265,0xf5de0235,0xa26d0165,0x32330145}},	//   _flythe_, _adhruvā_, _kitou_, _выпускам_, 
   {{0x52f10416,0x70530078,0x30b60334,0xc1cc036e}},	//   _seriosi_, _логике_, _chamakol, _coloresm, 
   {{0x73170333,0x65ff03fc,0x8997004c,0x88610092}},	//   _puzza_, _framtidi, _abojjere, _国立教育政策研究, 
   {{0x5e10036d,0x22fc04bb,0x574d01e6,0xd53e0303}},	//   _chreidea, _ualicas_, _vanilkov, _dirisany, 
   {{0x527f0039,0xcd850122,0x3bdf00aa,0xb2b70101}},	//   _emango_, _prambana, _firetruc, _bendeac_, 
   {{0x93670109,0x548600c7,0x7a040328,0x1c6b0350}},	//   _protirom, _смсны_, _kahashit, _የተምታታ_, 
   {{0xd6c9009b,0x8ddf0291,0xf146021b,0x00000000}},	//   _жавзанда, _أسعدني_, _saaristo, --, 
   {{0x23f40003,0x33940134,0xba760524,0x58d50119}},	// [1d20] _zitten_, _aheso_, _zračne_, _kagurang, 
   {{0x826c04b2,0xe84b0311,0x00000000,0x00000000}},	//   _balot_, _ክንሰግር_, --, --, 
   {{0x4cba0036,0x82b9003a,0x7b1d02ba,0x585200e0}},	//   _عراقنا_, _норасмий_, _бодияниш, _prysters_, 
   {{0xc26c00d9,0x00000000,0x00000000,0x00000000}},	//   _valot_, --, --, --, 
   {{0x40590213,0xe9e40308,0x9cde010f,0x00000000}},	//   _черкес_, _dikumand, _ayikhulu_, --, 
   {{0x129002c2,0xce290087,0x155f0061,0x7c03042e}},	//   _almal_, _choosers_, _개인정보취급방침, _hersker_, 
   {{0x7a340169,0xac6800b6,0xd30e04ec,0x2e720061}},	//   _জানিনা_, _abuuruh_, _arabuha_, _생로병사의_, 
   {{0x27c500dd,0xd26c02f6,0xce570037,0x119603c1}},	//   _aberystw, _halos_, _የተዘረዘሩት_, _хуманост, 
   {{0xb3f4021b,0x835600c3,0x9a4d00da,0x5dc7045e}},	//   _sitten_, _impetus_, _нациуний_, _дебелина_, 
   {{0x83f4019a,0xc51c031a,0xdf35004a,0x725a0097}},	//   _pitten_, _chinnidh, _avtorlar_, _imole_, 
   {{0x0fbf033e,0x6b670200,0xbdbd0067,0xd635032c}},	//   _amondoro, _juputara_, _barichaa, _annikigi, 
   {{0x39b900b5,0x09b801ed,0x73870258,0xe21802ba}},	//   _adjetiva_, _halelewa_, _learen_, _аблах_, 
   {{0x226c0245,0xdd060156,0x6c6a046f,0x9c53025c}},	//   _nalor_, _עירובֿ_, _biergem_, _mütter_, 
   {{0x62ee0059,0x3aa701a3,0x73010018,0x2a8f0307}},	//   _шоколадо, _انشاءَال, _kurabui_, _bemicimb, 
   {{0x03940516,0x56a2056d,0xc26c0245,0xe6b70058}},	//   _sensed_, _ukuthath, _halor_, _cenamati, 
   {{0x6ed9015e,0x82010235,0xe35c001d,0x00000000}},	//   _создорду_, _avaimi_, _págine_, --, 
   {{0x726c00aa,0x7e03027b,0x926c02be,0x6292001d}},	// [1d30] _balos_, _surendra, _salot_, _neways_, 
   {{0x3b6f0148,0x1d79002b,0xf05b02e7,0x126c009d}},	//   _受想行識亦復如是_, _দ্বিগুণ_, _kakakapo, _malor_, 
   {{0x5f230233,0x853504b2,0xc35702d3,0xe05b000c}},	//   _deplorar_, _binibigy, _desejar_, _jakakapo, 
   {{0xeb3702c6,0x2c6100e9,0x08d701cd,0xd3950059}},	//   _herblain_, _degutan_, _шиками_, _riesci_, 
   {{0x953200bf,0x67160148,0x723100ae,0xbc5a04b2}},	//   _многочис, _此篇留言為私密留, _amumuha_, _matulog_, 
   {{0x2a6c0224,0x62910488,0xec6b0426,0x116b0260}},	//   _heimilis, _segals_, _चेल्सी_, _agasallo, 
   {{0xb247016d,0x4fac00bb,0xf65301c4,0x15b9012e}},	//   _ﺋﻮﭼﯘﻕ_, _کتابچے_, _wiskundi, _اولادوں_, 
   {{0x2c0501aa,0xd03e0135,0xd2900170,0x3291007d}},	//   _userway_, _ekaterin, _binamu_, _aduan_, 
   {{0xc5a80069,0x63870258,0x559701e6,0x02f80149}},	//   _amashyak, _kearen_, _alergick, _ọhere_, 
   {{0x83870047,0xc2ab013a,0xeabb00ff,0x32d10024}},	//   _leurs_, _landung_, _provinca_, _মাইক্ৰ_, 
   {{0xe3eb0453,0xcd8b0008,0x23d00397,0xe6d800bb}},	//   _zlatne_, _joventut_, _abamemez, _کووسعت_, 
   {{0x2386004f,0x0aeb0073,0x01bd023e,0xdade01f0}},	//   _amerig_, _clarment, _طلائی_, _bosenagb, 
   {{0xfc7600b9,0x66f60153,0x00000000,0x00000000}},	//   _मित्रा_, _ム周辺機器_, --, --, 
   {{0x3f060368,0x9a370187,0x00000000,0x00000000}},	//   _титулом_, _ризаов_, --, --, 
   {{0x4dcf006c,0x72010181,0xaf000516,0xe3f8030b}},	//   _abahambe_, _viviam_, _discards_, _adduka_, 
   {{0x23170058,0xf38702c2,0x626c013b,0xb328048a}},	//   _kurze_, _beurt_, _balor_, _تومپاق_, 
   {{0x2cfd02e5,0x53290037,0x70330189,0xff640120}},	// [1d40] _aimesẽgu, _ኃጢአተኞች_, _listelen, _makaayin, 
   {{0xe2900418,0x4aba037f,0xdcae02fd,0x5bac0256}},	//   _olmak_, _kanadalı_, _farsuing_, _sadursmē_, 
   {{0x139400ea,0xac610036,0xc56000e4,0xef260166}},	//   _anisan_, _taquila_, _अभ्यर्थि, _berliner_, 
   {{0x2eea01c7,0x12620374,0xf290033f,0xe26d0290}},	//   _залларын, _умуминсо, _lemani_, _antop_, 
   {{0x32b602da,0x00a30276,0xcf5c0403,0x60d1019d}},	//   _планирањ, _سەلبىي_, _dadatoan, _kalondol, 
   {{0x17e7026c,0xff26003c,0x00000000,0x00000000}},	//   _auspicii, _پاتختی_, --, --, 
   {{0x92e900ec,0xc304004b,0x74760013,0x00000000}},	//   _француза, _homolong_, _мурсийни, --, 
   {{0xa9df0479,0xe200011f,0x73780285,0xd3fa033a}},	//   _augusztu, _bolita_, _rugamba_, _inqumu_, 
   {{0xc29101ed,0x83c40169,0x6526016d,0x03870003}},	//   _awaawa_, _ব্যতিক্র, _ﻧﻪﺷﯩﺮ_, _deurs_, 
   {{0xd236002e,0x533c017e,0x7290011c,0xd2900202}},	//   _broja_, _גלובאָק_, _domam_, _jemani_, 
   {{0x3f2d02f3,0xb2a0013c,0x8f5703db,0xf16c020a}},	//   _inrednin, _bildirə_, _emgaqwen, _ғибратты_, 
   {{0xb2900449,0x561a0056,0x92900027,0xd9c402b0}},	//   _sinaju_, _доғистон_, _fomam_, _gelegent, 
   {{0xe4c30024,0x023603f4,0x6b760193,0x5e17007f}},	//   _ৰক্তক্ষৰ, _eroja_, _आवश्यकते, _cadeirla, 
   {{0x675a005c,0xfc1e018d,0x11ac013c,0x320000c8}},	//   _igenamig, _መንግስትኻ_, _balansın, _holisa_, 
   {{0x03870127,0xe3870265,0x62000362,0x8d130211}},	//   _seurt_, _beurs_, _kolisa_, _нынче_, 
   {{0xa2000100,0xe2900172,0x9f230079,0x5378034e}},	//   _dodira_, _komam_, _iniciatī, _allatin_, 
   {{0xda89035b,0x1c5c0352,0xb2010184,0x0c6e0445}},	// [1d50] _ministrs, _পচন্দ_, _buzimu_, _amarela_, 
   {{0xf3b4017e,0x4294023b,0x23cf0145,0x635400ee}},	//   _הריגות_, _inikini_, _dievas_, _diseinu_, 
   {{0x62900390,0xc6370057,0xc2730211,0xac6a0064}},	//   _almaq_, _peribadi, _сувениры_, _гардизин, 
   {{0x82900016,0x138d0281,0xa4be0064,0x8e36038e}},	//   _homaj_, _asasaani_, _баянынын_, _tinggika, 
   {{0xde510321,0xa11f042c,0xf17d0040,0xd3f403d5}},	//   _pomanjka, _raspolaž, _טיעון_, _aittin_, 
   {{0xc37a0067,0xa290001f,0x761b03b4,0x62240259}},	//   _abaaboo_, _gemani_, _akandivi, _synke_, 
   {{0xfc1400bc,0x36810126,0xd200004b,0xef3900c1}},	//   _مومنی_, _церемоні, _bolisa_, _कानिटकर_, 
   {{0xc20000ee,0x626c03f8,0xfbae0147,0x47fa0311}},	//   _polita_, _dalop_, _تكەلەي_, _ጋብሪኤል_, 
   {{0x995f02c5,0xdeeb036d,0x00000000,0x00000000}},	//   _chenjere, _mathanas_, --, --, 
   {{0x8b7b0373,0x83010013,0x57b70233,0xaa230294}},	//   _originan_, _turardi_, _hyperlog, _hampiyku, 
   {{0x96f003b7,0x726c01f4,0x79c0013a,0x22cb05ad}},	//   _acebookf, _taloq_, _berechte, _podosta_, 
   {{0x83ea0587,0x6ed00192,0xcdd30359,0x9246023d}},	//   _unitat_, _없으신가요_, _bakkefea, _едвам_, 
   {{0xeb30018b,0xb2000040,0x9c7d00cf,0x12ca025e}},	//   _невой_, _במפורש_, _aidsiin_, _tilliti_, 
   {{0x175b007d,0x227f035d,0x33f9027f,0xbe0d02fe}},	//   _menyukai, _stenci_, _habuze_, _حیاتي_, 
   {{0xac5305f5,0x7318010b,0x42900342,0x6c4300be}},	//   _पैकेज_, _bakileng_, _domaj_, _بىلبەستى, 
   {{0x12da033d,0x2fe802ec,0x7c4c006c,0x173702ba}},	//   _asanble_, _یتیٖم_, _abawisi_, _урунбой_, 
   {{0xc5a804e1,0xd269005e,0x47b501b2,0xfd130148}},	// [1d60] _preporuk, _ئىلھاملا, _anveanag, _consuler, 
   {{0xc2fd0061,0xec040220,0x7379004d,0x00000000}},	//   _kregen_, _consumi_, _交通及地理位置_, --, 
   {{0x22720273,0xe03e0265,0x6c0e02a8,0x130a03f3}},	//   _dónde_, _huwelijk_, _aluminju_, _mannelij, 
   {{0xe27f04bd,0xdc0b015c,0xf6b0002b,0xb00f002c}},	//   _atenai_, _zampano_, _পপুলার_, _омголон_, 
   {{0x537300b3,0xe03e0023,0x6b1902ff,0x1d62028a}},	//   _sungaty_, _proteiin, _akwasman_, _قديمھ_, 
   {{0x31c305cf,0x334c0042,0x5290026c,0x482e0074}},	//   _nastavak_, _futebol_, _romam_, _tammikuu, 
   {{0x62900025,0x38dd0092,0xc29103f5,0x02fe01aa}},	//   _somam_, _プロジェクト_, _legais_, _awardway_, 
   {{0xe2900527,0x626c0678,0xb06d0241,0xb6850187}},	//   _momak_, _pomoze_, _bakakkoo, _нудиме_, 
   {{0x42e700b0,0x637a00b4,0x6f2d00e6,0x00000000}},	//   _marnaba_, _romanul_, _人民法院应予支持_, --, 
   {{0xe218027e,0xe3fa0133,0xe14901a3,0x12bc00da}},	//   _елементи, _boruus_, _وزٽرن_, _handbal_, 
   {{0x878c007e,0xf3070095,0x72900049,0x5d8f0170}},	//   _भाषार्थः_, _rembang_, _femali_, _amalinga, 
   {{0x03070057,0x620002e0,0x27b50074,0x3290018b}},	//   _sembang_, _bodipa_, _panssari, _somaj_, 
   {{0x56480462,0xcc4601ce,0x039400cf,0x3226021b}},	//   _againstw, _جریمه_, _ciisan_, _merkin_, 
   {{0x5a0701f5,0x53f902fa,0x939500ee,0x0c6500ac}},	//   _temannya_, _kabuye_, _abesti_, _vrhunac_, 
   {{0x920001f4,0xdaea0092,0xd6520299,0xcaa70142}},	//   _oldiga_, _前記スキャナヘッ, _ئىۋەرتىپ_, _महर्षिणा_, 
   {{0x73f900a9,0xe3f902af,0x5b180306,0x12bb02f7}},	//   _mabuye_, _cabuze_, _cemplade, _itheile_, 
   {{0x1307023e,0x07c20388,0x6f510192,0x59290147}},	// [1d70] _tembang_, _passaggi, _유념하시기_, _تىلوۋات_, 
   {{0xda8a01b9,0x7f7e0153,0x58dd0012,0x55fe007e}},	//   _dividenn_, _二世帯住宅の間取, _बाँटस_, _cedipāñc, 
   {{0x09f800f7,0x4d0a009b,0x637905df,0xb41d01e8}},	//   _metadate, _ikaragar, _kafafen_, _kausahan_, 
   {{0xa3860176,0x92e603b1,0x4b8d01d7,0xf3b60184}},	//   _ugers_, _génial_, _genituor, _ikavuza_, 
   {{0x59b70045,0x820201b9,0x62c30418,0xb9c50019}},	//   _прозор_, _larive_, _toplama_, _detectat, 
   {{0x880804af,0xf2d90097,0x8629018b,0x2655013f}},	//   _dabqhuas_, _nbeere_, _ingineri, _dudjenti, 
   {{0xb2150094,0xccf10281,0xe9fc0375,0xf5170105}},	//   _ءناپسىنى, _akitsuer, _balabant, _nadzorcz, 
   {{0xc0c6042a,0x7c1501db,0x7fcc0347,0xda27004d}},	//   _abelibal, _берешегі_, _motiveer_, _請作者在兩周內速, 
   {{0x5c1b00b4,0x0fd400d9,0xc3f7019d,0x4e0204ca}},	//   _vanatoar, _автокрес, _awerengi_, _arrefusa, 
   {{0xcc040328,0xb9cc0059,0x720201eb,0x00000000}},	//   _amosozi_, _allestit, _karive_, --, 
   {{0xa29000fe,0x02260211,0x08260040,0x13010235}},	//   _aleai_, _purkaa_, _בשבתות_, _caranti_, 
   {{0x63e60011,0x129000dd,0x32900014,0xe96e01ac}},	//   _amamotok, _comah_, _romak_, _lánghaei, 
   {{0xffe805e5,0x41790177,0xf04904f9,0x2dbf000a}},	//   _लावारिस_, _дшыгьежь, _akorngan, _annavaat_, 
   {{0x43ea0120,0x1ba900c1,0x00000000,0x00000000}},	//   _siitat_, _polytron_, --, --, 
   {{0xbaf7053e,0xe2fc01ef,0x1db703f5,0x3a3100ba}},	//   _selskape, _galimas_, _mobilida, _هیکرسن_, 
   {{0x22d90118,0xe200033f,0x48c50192,0xe9d003d5}},	//   _abeere_, _folipa_, _ingezond, _auberjee, 
   {{0x8fae02d3,0xdc6b03d1,0xa2e10177,0xe8cc00e0}},	// [1d80] _новогоди, _braucot_, _ибзиоуп_, _allebeid, 
   {{0xfe5600c7,0x70790109,0xc3fa00b4,0x32b901b2}},	//   _урысча_, _propustn, _porumb_, _boddash_, 
   {{0x729000a1,0xe3dd0475,0x6e36012c,0x19aa0435}},	//   _homai_, _способст, _اورنگزيب_, _водич_, 
   {{0xa2900082,0xd2e800cf,0x6eb70278,0x3da401d1}},	//   _komai_, _addigna_, _menziara, _resulted_, 
   {{0x198b01e9,0x53010350,0x7ee90060,0x02fc02f6}},	//   _baakanya_, _waranti_, _زامانىمز, _aligid_, 
   {{0x2236002e,0x8f58004a,0x8fc9015e,0x5f2d01f6}},	//   _broju_, _lukaşenk, _بالبانىن, _foreinin, 
   {{0x4f5200b7,0x83870200,0xd25b036e,0x33f80079}},	//   _алышмагы_, _ifuru_, _amalas_, _sajust_, 
   {{0x4f320180,0x760a00ea,0xe2900318,0x459400fb}},	//   _depresya, _torohevi, _oomai_, _nobuhlak, 
   {{0x5d0c022a,0xc00b01c5,0xce37043d,0x32c40497}},	//   _albufeir, _دربارٕ_, _kejahata, _bellied_, 
   {{0xb9df0037,0xe3010084,0x120102c9,0xf2de0206}},	//   _ጥቃቅንና_, _paranti_, _parintii_, _motorov_, 
   {{0xecb90162,0x662300e2,0x2f660344,0xd14302f7}},	//   _пәхәс_, _behoarli, _allangun, _groenwal, 
   {{0xd26c01a9,0xa3670233,0x7d8501eb,0x22ca0311}},	//   _lados_, _geprintm, _hendatee_, _ምውሓስን_, 
   {{0xf306035a,0x5fc20063,0x42fd02f6,0x33a002ee}},	//   _humazah_, _عاشور_, _alagad_, _akkademj, 
   {{0x495101b8,0x6d9d0049,0xf26c034a,0x87eb048c}},	//   _realisee, _faingata, _nados_, _aalaanag, 
   {{0xc95003dd,0x779f015e,0xf2690127,0xdef100e4}},	//   _negociat, _homenatg, _romantoù_, _तरिके_, 
   {{0x0379015d,0xa2f3002b,0x2a8b01f3,0xe31f044a}},	//   _telewizj, _স্রোত_, _nestojí_, _chegué_, 
   {{0x13010356,0x6c060190,0xd5e8050a,0xf2e5027f}},	// [1d90] _saranti_, _oturiay_, _mimarlık_, _iminuta_, 
   {{0xdd6e0354,0x426e0160,0x1300017f,0x626c03eb}},	//   _гирамдин_, _satovi_, _allagai_, _sadou_, 
   {{0x1290038d,0x88060046,0xe26c01ef,0x795e0037}},	//   _moman_, _клеткала, _mados_, _በየሳምንቱ_, 
   {{0xcc9a02e5,0x02900211,0x3c5302a0,0x00000000}},	//   _аверсиа_, _loman_, _olutaja_, --, 
   {{0x2e180177,0x0dde00c8,0xeb35036a,0x012d0188}},	//   _ахысра_, _башланыҡ_, _paratais, _шарту_, 
   {{0x826c0051,0x45f203b2,0x46670153,0x2a010322}},	//   _gados_, _permissi, _出版社の皆さまへ_, _babarega_, 
   {{0x1200037c,0xb25901fe,0xe2900172,0xbbca015e}},	//   _godiva_, _amonaiti_, _womaa_, _تارماقتا, 
   {{0x90140188,0x00000000,0x00000000,0x00000000}},	//   _вусъати_, --, --, --, 
   {{0xf29000f1,0xc26c0095,0xeeae0349,0x32fd0202}},	//   _koman_, _kados_, _abilizin, _ategun_, 
   {{0x89ca0440,0x59f9014f,0x3f4e0074,0xb347024c}},	//   _bitorera_, _medisana_, _mansikka, _iqaddes_, 
   {{0x526c003c,0xb0750126,0x13f90247,0x86c402fc}},	//   _dados_, _чудовий_, _babune_, _barashyi, 
   {{0x32fc01d9,0xd2e602c1,0xc3860066,0xf23f023a}},	//   _dengem_, _amanota_, _ageri_, _kalkulác, 
   {{0x42ca0271,0xc01000a2,0x925b00fa,0x855202dd}},	//   _bildet_, _ڳجھولفظ_, _umalis_, _gravitaz, 
   {{0x6d1f0503,0x19df0313,0x2290001e,0x10e80120}},	//   _planlagt_, _biroprup_, _noman_, _sabaabak_, 
   {{0x127f0016,0x31190023,0x5edb0488,0xc527005e}},	//   _atendi_, _keittiö_, _nolikums_, _ﺋﺎﺷﯩﻖ_, 
   {{0xc2900416,0x16d40140,0x33f8034f,0x83c00143}},	//   _homan_, _sasabihi, _adlula_, _сватбата_, 
   {{0xe29001ac,0xb212028b,0x63170107,0x03f80067}},	// [1da0] _plean_, _ndaha_, _ananging_, _adduma_, 
   {{0x74370282,0x0200038a,0x8f0200d1,0xf5c00297}},	//   _kaikarak, _boliva_, _কুচকাৱাজ_, _elektriç, 
   {{0xfdd103ad,0xe0f900d1,0x29240099,0xcfd1030d}},	//   _deskritt_, _গ্ৰাউণ্ড_, _chichabu, _batildir_, 
   {{0xe7590299,0xaecd00bb,0x00000000,0x00000000}},	//   _ئۈندەپ_, _bepillan, --, --, 
   {{0xec6800cb,0x8eb90055,0xe3f804a7,0xd96701a3}},	//   _wokuthi_, _disordin, _reduza_, _ڪلھوڙا_, 
   {{0xb2900197,0x4a0700b9,0x794e018d,0xc2b4005f}},	//   _goman_, _idealnya_, _ብዝወልዕዎ_, _rincon_, 
   {{0x435f01aa,0xb4cf0003,0xc22300bb,0x7c070101}},	//   _angeray_, _beschikk, _احساسِ_, _arestat_, 
   {{0x2b950242,0xbe050041,0xf26c003c,0x06880010}},	//   _sevindir, _ахаҧшьга, _ablok_, _bandluli, 
   {{0xcc4e0102,0xca7c0022,0x06f4015d,0xb7490059}},	//   _آمدني_, _ahlamisa_, _कारवां_, _ripostig, 
   {{0x938705d7,0x459e00ff,0x2ac3022a,0xd2d80051}},	//   _ngura_, _סודילקאו, _meropön_, _pamest_, 
   {{0x8f27019b,0xe2120015,0x228d00fe,0xe76901c8}},	//   _paprasta, _adaha_, _inukava_, _konkurov, 
   {{0xbdb10184,0xaeab0062,0x57570013,0x99ec02ac}},	//   _intambwe_, _danehnes_, _йерро_, _scriosta_, 
   {{0xc45e00ec,0xf2dc005a,0x93f80499,0x6cf90012}},	//   _народным_, _bolondi_, _ataua_, _आदिमियो_, 
   {{0xee9200c7,0xbd5803f1,0x182303fe,0xae0f020e}},	//   _protsent_, _reguláci, _нейтралл, _уставына_, 
   {{0x329000c5,0x034505b9,0x6a77017f,0xc485038e}},	//   _nomao_, _meddelt_, _illuliaq_, _रहदारी_, 
   {{0x9a8f034d,0x626c0633,0xd29801a3,0x3b2b005e}},	//   _demikian_, _almost_, _غزالا_, _ئىنئام_, 
   {{0x99e900b1,0x126c0107,0x42e700b0,0x226d0342}},	// [1db0] _mainidea_, _pados_, _doonayo_, _sitou_, 
   {{0x321201fa,0x92000275,0x00000000,0x00000000}},	//   _meihe_, _molita_, --, --, 
   {{0xf3ea004b,0xe5a90158,0x59480382,0x00000000}},	//   _diitse_, _trenerem_, _nononhwe, --, 
   {{0xd95901bb,0x02900358,0xc387005c,0xbc520241}},	//   _tekliple, _nomal_, _agura_, _briteen_, 
   {{0x58c90019,0xcc8000af,0x93c80079,0x05380296}},	//   _базалард, _дебет_, _latvju_, _brandsky, 
   {{0x4a8801ee,0x53ea0139,0x56240326,0x82a000f6}},	//   _основном_, _anitye_, _akamupaw, _klubda_, 
   {{0x93eb00c3,0x39780065,0x00000000,0x00000000}},	//   _pretio_, _polizist, --, --, 
   {{0x826d0145,0xb1f60241,0x7172023c,0x62cb0150}},	//   _kitos_, _amantumm, _ددښمنانو_, _stadim_, 
   {{0xb2e303ef,0xad9900b7,0xea0b01e1,0xadf9011a}},	//   _ishimwe_, _adalgala, _bosberat, _cohesive_, 
   {{0x62cb0271,0x626c0176,0x72eb0212,0x126d02dc}},	//   _gleder_, _vador_, _ioannes_, _ditos_, 
   {{0xb1cc00b7,0xa2d90527,0x457f0297,0xbe6a00e6}},	//   _хытая_, _poceti_, _birmäyäç, _卫生部关于印发_, 
   {{0x03f80171,0x62fd0242,0x8f4600bf,0x53f8031a}},	//   _odluka_, _yadigar_, _отличали, _duiue_, 
   {{0x79ad0095,0x6ba7013d,0x4fe500d0,0x47c20388}},	//   _تجربی_, _venkinto_, _авлигата, _passeggi, 
   {{0x4341033c,0x04050148,0x2c7300aa,0xce700157}},	//   _offeryn_, _網路申領電子謄本_, _kalsafa_, _dominują, 
   {{0xdb9903a1,0x9fa90203,0x8f2d01d5,0xc6de0119}},	//   _заплатит, _preferer_, _testalka, _pagpahay, 
   {{0x526c0176,0x7fa40180,0xa3940044,0x6adc02eb}},	//   _pylori_, _resepter_, _chest_, _нотлогдс, 
   {{0x03870257,0x026d0256,0xdbcd0046,0x5ef0032d}},	// [1dc0] _starfa_, _citos_, _кармалды_, _көрсөк_, 
   {{0xbf4703b0,0xb9f800d9,0x0a1e019d,0x83770088}},	//   _nærmast_, _varastet, _chibwana_, _فىلاش_, 
   {{0xb3650397,0x50d90092,0x00000000,0x00000000}},	//   _imigomo_, _地域ガイドとは_, --, --, 
   {{0xecd30159,0xcb9c0156,0x32c1018e,0x126d03ec}},	//   _сценах_, _אפעלאט_, _hahlula_, _titos_, 
   {{0x2301030f,0x07810053,0x021d02c5,0x92560178}},	//   _hararei_, _विधानपरि, _chakaini_, _bāhyāñ_, 
   {{0xb851001d,0x86a20220,0x5386030f,0xb9180099}},	//   _eforties_, _решеният, _ngeru_, _emichind, 
   {{0xef780211,0x726d043a,0x08e10620,0xdc3c0089}},	//   _женская_, _zitos_, _交通十分便利_, _bozunı_, 
   {{0xf276040f,0x72480499,0x2aa5016e,0x52d8044a}},	//   _moterišk, _afoma_, _kesintis, _bokeyi_, 
   {{0x026d0230,0x6f390679,0x023f001a,0x2b7000cf}},	//   _ditor_, _terutama, _kalkulát, _abbummaa_, 
   {{0x77330057,0x629b0004,0x7f8f002e,0xdc73028a}},	//   _አስነብበኝ_, _abichayi_, _teškim_, _falsafa_, 
   {{0xf3c305ac,0x7290013d,0x52a602ff,0x43fa023e}},	//   _dávid_, _nomas_, _kalbas_, _deputi_, 
   {{0x62020219,0x6153011f,0xf3410264,0xe077005e}},	//   _abakavum, _морель_, _doberan_, _ﻗﯩﻠﭽﻪ_, 
   {{0x54bb01cd,0x5eb80455,0x1dab0021,0xa3860119}},	//   _истаравш, _lorraine_, _ansittra, _kaoras_, 
   {{0x1a9200e1,0x5b150603,0x7386067a,0xc26c010b}},	//   _awantaas, _पत्रव्यव, _camra_, _dilong_, 
   {{0x16420409,0xacb70045,0x026d01fb,0x7f3a00b9}},	//   _最近の記事一覧_, _границу_, _sitos_, _विकिकरण_, 
   {{0x42d90227,0x6b1902a2,0xea0201f4,0xb89b0291}},	//   _segera_, _masaktan_, _кобулга_, _فأكثر_, 
   {{0xd9f701b3,0x8278027c,0x18a701ab,0x00000000}},	// [1dd0] _органу_, _awasenal, _मलेछवा_, --, 
   {{0xeef6027e,0x2a8901fc,0xf34504a8,0x830300be}},	//   _затреба_, _winiston_, _nijemac_, _كۅۅدۅك_, 
   {{0xb2640181,0xfdab03dc,0x026c012d,0xb2a600ed}},	//   _outlaw_, _kanninga, _hilong_, _balbas_, 
   {{0x2e960374,0x8067002b,0x629102c2,0xa607019a}},	//   _chempion, _মাসআলা_, _nogals_, _seeminli, 
   {{0x1dab0331,0xc301030f,0x7c27003d,0x00000000}},	//   _manninga, _karaati_, _aubadaur, --, 
   {{0x5ab900d6,0x63900074,0x358000da,0xceb40279}},	//   _sağyaşar_, _maksimim, _терминэм_, _attentes_, 
   {{0x61630162,0xfe1601fd,0x329000f2,0x803600b4}},	//   _бузуш_, _venezola, _jomas_, _tinerilo, 
   {{0x93070084,0xd2900079,0x9f470075,0xc2900013}},	//   _lembang_, _domas_, _nærkast_, _olmay_, 
   {{0xc03302d3,0x63890013,0xb94200d1,0xdc5500e6}},	//   _поточно_, _сезган_, _চোমনি_, _比去年同期减少_, 
   {{0x29f60479,0x1d240172,0x38270132,0xa03a0066}},	//   _روایت_, _nhankare_, _munkaügy, _genetiko, 
   {{0x22fc0225,0xe2900342,0x92020286,0xa96200bf}},	//   _apago_, _almay_, _ketiwa_, _неудобст, 
   {{0x4387067b,0xb2fd00ca,0x73470108,0x019a021c}},	//   _afuri_, _pregon_, _bekelna_, _kazetové_, 
   {{0x4edf0195,0x126c067c,0x4819004d,0xb6020211}},	//   _lochlann, _aeiohl_, _台中縣大里市東勢, _tabletti, 
   {{0x474e0411,0x32d501d1,0xaaf30372,0x96d901c2}},	//   _принесли_, _violent_, _achubiae, _psicolox, 
   {{0xba80000e,0x00000000,0x00000000,0x00000000}},	//   _atention_, --, --, --, 
   {{0x0d5e0193,0x325c026f,0x96b801db,0x1971014c}},	//   _कार्याबद, _جازلىعان_, _казросга, _kunikeze, 
   {{0x72da015c,0xf9d80092,0xda0e0255,0x5909027e}},	// [1de0] _zereck_, _日までです_, _maastiku, _сходно_, 
   {{0xcaf500f1,0x28a903b1,0x32fc0130,0xcc3c0135}},	//   _enternas, _stratégi, _spagn_, _forumı_, 
   {{0x63880306,0x9c6d01db,0x4df801a0,0x00000000}},	//   _atispanm, _قۇلچا_, _onheriwe_, --, 
   {{0x49d605db,0x04880289,0x827d00da,0xb29000ec}},	//   _ngothand, _adaganiz, _партикул_, _romas_, 
   {{0xeb3e01f6,0x4fd7013d,0xdd870226,0xccad005d}},	//   _নাস্তিকত, _fortikaĵ, _atambala, _mundopýr, 
   {{0x79e60211,0x2ae60204,0x22900119,0x376f0178}},	//   _harrastu, _harraste, _jomar_, _ariṃdamā, 
   {{0x7b9700ba,0x926e012b,0x376c011a,0x00000000}},	//   _داخرانی_, _istoty_, _והבנתי_, --, 
   {{0x4f3f0462,0xd69b0233,0xc569038a,0xfc2f02a0}},	//   _affrayja, _congluti, _chijilay, _rinpọ_, 
   {{0xac760062,0xdb9c020f,0xcf5c0170,0x6c170092}},	//   _antumir_, _abangako_, _angakwan, _balancer, 
   {{0x1cf101c9,0x747701b7,0xd37800f0,0x927900ec}},	//   _पाठकजी_, _प्रियाप्, _dodacia_, _visiskai_, 
   {{0xfc0003c2,0x58fc0064,0xb2700299,0x0b460158}},	//   _dissect_, _calamand, _تۇڭگۇز_, _atrakcją_, 
   {{0x626d02a7,0x903800fe,0xa6490022,0x2290034b}},	//   _gatoi_, _fietokon, _легаль_, _zomar_, 
   {{0xc7090301,0xc2900256,0xab0000af,0x72d904bd}},	//   _gündüz_, _somas_, _озеленен, _maeele_, 
   {{0x5fdf020b,0xc71d00be,0x0d3000d1,0x326c01e9}},	//   _bodipolo, _арасынын_, _দুটুকুৰা_, _iphora_, 
   {{0xe2000205,0x22ec02a3,0x835600b4,0x92ec034c}},	//   _moliya_, _kliniek_, _fetelor_, _олпат_, 
   {{0x838700c7,0xb0000178,0xf38700b4,0xd27f0016}},	//   _andrey_, _adhobhāg, _starea_, _planto_, 
   {{0x3d3b030c,0xc29005ca,0xf175030c,0x39f90303}},	// [1df0] _angayuqq, _tomar_, _kalaligl, _babalese, 
   {{0x97060360,0x1ea60148,0xf51f0139,0xdc270014}},	//   _kulturní, _台中市文化局_, _ananyabh, _serbinë_, 
   {{0x72b40227,0xeaf301db,0x07e302c0,0x706d0094}},	//   _cincin_, _بايپاعىن_, _морков_, _تارتاتىن_, 
   {{0x17570573,0x62000128,0xc248003b,0x9290005a}},	//   _مارتورٕ_, _oldida_, _agome_, _bomaq_, 
   {{0x5d720173,0xfab1028b,0x9edb0269,0x695a0177}},	//   _ভিত্তিতে_, _акритика_, _antiguos_, _палатаҟн, 
   {{0xcaef0166,0x8c73031c,0xdf690370,0x20090061}},	//   _geholfen_, _pensaba_, _akibalan, _룸싸롱업소_, 
   {{0x7627012a,0x1ae3048c,0x00000000,0x00000000}},	//   _terminow, _billioon_, --, --, 
   {{0x52da04b7,0xc4ed0444,0x43ff01d4,0x8db40208}},	//   _bereik_, _хранятся_, _andreani_, _شوکور_, 
   {{0xb26c00e2,0x02f60156,0x00000000,0x00000000}},	//   _gleone_, _batitaj_, --, --, 
   {{0x72fc00ca,0x6a130420,0x031f0060,0x22ca0212}},	//   _activat_, _descubra_, _بەرمەكشى_, _cuidam_, 
   {{0x33410309,0x4225067d,0x9ae20123,0xfe650308}},	//   _yunesko_, _kiakia_, _fritidst, _tempatmu_, 
   {{0xde4e02d2,0x703803f2,0xe7c70249,0x461f02ec}},	//   _дарди_, _tietokon, _aburusim_, _پون٘پر_, 
   {{0xf20204b8,0x1387019a,0xe52000b7,0xaf4400d1}},	//   _pariat_, _bearin_, _alanlary, _কামনাৰ_, 
   {{0xf3960656,0x83fe0036,0x329001e5,0x1430005e}},	//   _versio_, _قصيمي_, _ayoade_, _ﺋﺎﻗﯩﻞ_, 
   {{0x9be9047f,0x4506046d,0x88c6021d,0x00000000}},	//   _अमेरिकी_, _tselopah, _øresunds, --, 
   {{0x9f7004c8,0xa9dc002c,0xd6dd00c1,0x9b6a0188}},	//   _agħti_, _alderdie, _पुढिल_, _саҳланго, 
   {{0x5fe50309,0xe4500206,0x02460025,0x17b50075}},	// [1e00] _dostları, _uplatniť_, _केवले_, _teksturi, 
   {{0x7b6b02ea,0x32fd0333,0x8202013d,0x400e004d}},	//   _conoscer, _omagiu_, _metita_, _事後經公安交通管, 
   {{0x7fbc01d5,0x3390036e,0x3a2003d1,0xf98c0276}},	//   _تقاضوں_, _amayani_, _precizit, _ойнавати, 
   {{0xd3180402,0xb2e600e3,0xd31704a8,0xd9f400de}},	//   _gemilang_, _umanita_, _burzi_, _ebhaliwe, 
   {{0x87f00334,0x22fc019b,0x00000000,0x00000000}},	//   _akasidiw, _radijas_, --, --, 
   {{0x937802a6,0xac0d007e,0x00000000,0x00000000}},	//   _andaria_, _caruṃ_, --, --, 
   {{0xdf21002e,0xc2260127,0x5ae30089,0x00000000}},	//   _određeni, _turkia_, _kaplagan_, --, 
   {{0x785b04a0,0xa202006c,0x62cb018f,0x366700c1}},	//   _agrícola, _abakuvum, _heydaj_, _भरमसाठ_, 
   {{0x4fc302c1,0xe89d006c,0xcf0c00a7,0xdeb301d4}},	//   _erlinder_, _abakwaju, _funcions_, _anguille_, 
   {{0x2fa10270,0x82670188,0x436c0153,0x9c040153}},	//   _interrar_, _залонд_, _送料込み価格_, _みんなのクチコミ, 
   {{0xeff402a0,0xf2e10077,0xb2cb018f,0x62190013}},	//   _arikogbo, _chandel_, _meydaj_, _халокатг, 
   {{0xeacb00af,0x1202018b,0xf12000bb,0x1290016b}},	//   _sommeren_, _fetita_, _الاٹمنٹ_, _bomai_, 
   {{0x3f21002e,0xb3eb00b4,0xf39503fb,0x2d5c005e}},	//   _određeno, _спиритул_, _izasla_, _سۇكۇت_, 
   {{0xc3f8005b,0xdcf104b8,0x8ee402b4,0xb264023b}},	//   _staub_, _mantomer, _alukamen, _luuluu_, 
   {{0xe27f01b9,0xb3790054,0x961c00e3,0xa6360203}},	//   _prensi_, _nuwamba_, _bhalliki, _maritagi, 
   {{0x939401f1,0xc158008d,0x99f4020f,0x327e02b0}},	//   _pjese_, _агентлик, _abhaliwe, _szene_, 
   {{0x4e75008d,0xf6b80145,0x627401ec,0xd2ca02f0}},	// [1e10] _اندونیزی, _разраста, _توسلی_, _bahlali_, 
   {{0x7e90000c,0x430700bc,0xe2fd0428,0x0be70233}},	//   _hectárea_, _cembung_, _salonarj, _sutempor, 
   {{0xae690008,0x2deb019e,0xa38600e2,0x07dc0089}},	//   _تياتر_, _страшны_, _waerd_, _гавайлар_, 
   {{0xc2df012d,0x29b702ac,0xed850538,0x1fc3010f}},	//   _kokonat_, _جاكسون_, _referere_, _бебозгаш, 
   {{0x43790391,0xf26d0240,0xc2fd013b,0x82c70159}},	//   _mananeo_, _datou_, _alagid_, _засталас, 
   {{0x538702f3,0x89f4023c,0xbaf20166,0x13950216}},	//   _starka_, _achaziwe, _forumsbe, _mhusi_, 
   {{0xdd2c0220,0x214800f4,0xa9700066,0x00000000}},	//   _paziente_, _destenno, _akuikult, --, 
   {{0xebea0185,0xa7be0013,0xdf3300ff,0x00000000}},	//   _оркестрл, _jarrohli, _בייסבאָל_, --, 
   {{0xacf603d1,0x22f70389,0x63790046,0x214101b3}},	//   _studentu_, _fixixik_, _votaria_, _tallulah_, 
   {{0x2c6800cb,0xc2cb037c,0x260901ff,0x43410084}},	//   _kokuthi_, _quadam_, _artforum_, _ambekan_, 
   {{0x360f0462,0x02d8022c,0x00000000,0x00000000}},	//   _elementw, _buled_, --, --, 
   {{0x138700ee,0x1aa301df,0xb85b0046,0xf95a0216}},	//   _ataria_, _getherin_, _agrícole, _madokode, 
   {{0x424a0320,0x339500d8,0x4225001b,0xe27e002e}},	//   _brummm_, _liason_, _dhakaa_, _sumnji_, 
   {{0xb2cb0240,0xe5c9005a,0x82c702a4,0x0e9e03b8}},	//   _domodra_, _jorbehch, _equestri_, _сарлы_, 
   {{0xf4b101cd,0x56f5028c,0xebe701ac,0xa94200d1}},	//   _umnyango_, _आशावान_, _bardasac, _দুধনৈ_, 
   {{0x329000a5,0x486b020e,0x00000000,0x00000000}},	//   _tomai_, _указын_, --, --, 
   {{0x0b0a01c4,0x16b100e4,0x9c1c01a4,0x1ad801ac}},	// [1e20] _kanselle, _सत्तू_, _kobundis, _سواليف_, 
   {{0xc9b00075,0x06600334,0xb26e0145,0x03940367}},	//   _ongantíð_, _akukuthi, _matosi_, _pensou_, 
   {{0xa3f4037c,0x7e8c0223,0x92640343,0x887503f2}},	//   _certus_, _комменту, _itulod_, _отбелива, 
   {{0x0c630140,0x2bae002c,0x53920107,0x00000000}},	//   _patungo_, _сибирийн_, _banyadu_, --, 
   {{0xf2d402b1,0x761f0347,0xe2fd015e,0x326e014b}},	//   _wakokin_, _avonturi, _oblidar_, _tatoti_, 
   {{0xe2e90119,0x13870591,0xbe7d0023,0x569d00d9}},	//   _hainaut_, _styrka_, _придётся_, _appelsii, 
   {{0xf26d067e,0x19c60035,0xf213016b,0x02c90158}},	//   _tatou_, _перчатка_, _shehun_, _लखोटिया_, 
   {{0x2bde0040,0x926e0211,0x82480152,0xf207028a}},	//   _רוזמרין_, _katosi_, _filmı_, _wakiishi_, 
   {{0x239602a9,0xc0f6067f,0xaeb30455,0xabc3019e}},	//   _verslo_, _maliraul, _aiguille_, _алюмінія_, 
   {{0x0eae0057,0x898302c9,0x82d10145,0x1f5f01d4}},	//   _syarikat_, _модерне_, _neseniai_, _mutazion, 
   {{0xfa27050b,0x586d01da,0xf6cb030a,0x4801012a}},	//   _bercanda_, _kombetar_, _comarcai, _inspirow, 
   {{0x916302ea,0x727e021c,0x00000000,0x00000000}},	//   _correzio, _clingo_, --, --, 
   {{0x22ca0212,0x03e70479,0xd27f012c,0x1eb200d9}},	//   _pridem_, _hátha_, _mlango_, _академии_, 
   {{0x62390276,0x756001dd,0xf5a3012b,0xf57c006d}},	//   _норуз_, _abakiliy, _रश्मिरथी_, _асваеньн, 
   {{0x92c60160,0xb2830021,0x00000000,0x00000000}},	//   _poslove_, _adostray_, --, --, 
   {{0x23170300,0x72900359,0x62ec029a,0x626f00b4}},	//   _kurzu_, _bleau_, _aplikab_, _mediafax_, 
   {{0x96c70594,0x25fc03e2,0xf3170096,0x7d160374}},	// [1e30] _samarbei, _ascensió, _ahazwi_, _тарсаки_, 
   {{0x231600c2,0xfe4d008b,0x81390276,0x789700b9}},	//   _ikiza_, _boxarest_, _قابىليىت, _berkoord, 
   {{0x326e0082,0xb29002fc,0x226301a7,0xec670207}},	//   _fatori_, _amabandi_, _герметич, _kanumba_, 
   {{0xdebe0439,0x82d00059,0x529000b9,0xf9ec0241}},	//   _eukraine_, _здравнат, _pemaaf_, _galiinsa_, 
   {{0x8c680197,0x829100fd,0x9ba503d2,0x9dcd0395}},	//   _reprann_, _cogais_, _desiatic, _riskovat_, 
   {{0x17ae03c4,0x02ec007b,0xb75a0354,0x5dc302e7}},	//   _биргә_, _blithely_, _ئاچالايد, _kasingka, 
   {{0xd20201fc,0x3df5002b,0x32900049,0x1665014f}},	//   _sarite_, _চাইছেন_, _homau_, _аферу_, 
   {{0x22ca0680,0xa202038d,0xe3bc0147,0x62900318}},	//   _abodin_, _parite_, _الۇنۇ_, _komau_, 
   {{0xd2ef00e4,0x126e0079,0xb20000de,0x8e390203}},	//   _पदार्थों_, _datori_, _andiva_, _raportes_, 
   {{0xd3ea018b,0x1e740060,0x39f90603,0x735102cd}},	//   _suntem_, _сүзек_, _निर्मूलन_, _dauwamam, 
   {{0x2f640268,0xfb670681,0xa316005c,0x1c7e0047}},	//   _embarkin, _ईरानी_, _akiza_, _mensuel_, 
   {{0xf3870264,0x05710335,0x00000000,0x00000000}},	//   _styria_, _bhūsurot, --, --, 
   {{0xf38600e3,0x35b80074,0x0b14026c,0x4a1900be}},	//   _kamra_, _позволит_, _consilia_, _جىشقىچ_, 
   {{0x636d0256,0x18150013,0xb291056e,0x81400218}},	//   _intervij, _тураман_, _vogais_, _ahamgray_, 
   {{0xc9fc0420,0x23eb0210,0xbb8b000a,0xfe77020a}},	//   _задникот_, _apetro_, _annittar, _раббым_, 
   {{0x21fb024a,0x33eb00bd,0x7cb00040,0x7c660147}},	//   _fidimulẹ_, _coatie_, _האלמנטים_, _شاشكەدە_, 
   {{0xe2900033,0xd29005ce,0xa7c20040,0xdc0d00cc}},	// [1e40] _domat_, _olmaz_, _חחחחחח_, _kampene_, 
   {{0x9290007b,0xb9f801d1,0x92910203,0xed430311}},	//   _fleas_, _paramete, _efectivm, _ኣይልወጥን_, 
   {{0xd4690212,0x72490583,0x9974034c,0xe9960137}},	//   _profecto_, _čemer_, _defitsit, _вакцинд_, 
   {{0x535300ef,0xc29100f2,0x22ca0037,0x244301db}},	//   _مهمات_, _aigars_, _የድርድሩ_, _زىعىردان, 
   {{0x522402bb,0xbf250194,0x13f901e6,0xe341048a}},	//   _rynku_, _regretta, _tabule_, _انسار_, 
   {{0x820002e0,0xa202027f,0x6fc2028a,0xfb00034a}},	//   _bodiba_, _barire_, _بانور_, _pavillón_, 
   {{0xe2cb0237,0xebfe0334,0xd566029d,0x61c402a5}},	//   _moeder_, _alendowo_, _прочесе_, _nemožné_, 
   {{0xaf57029d,0xc20001f7,0xd25a0074,0x226402af}},	//   _армате_, _polida_, _kallio_, _ifunderi_, 
   {{0x526d0160,0xddad0007,0x00000000,0x00000000}},	//   _ratom_, _mangenge_, --, --, 
   {{0x3f080009,0x8ef30193,0x06da0014,0x276701b7}},	//   _ustvarja, _perkebun, _zëvendës, _तप्तखल्व, 
   {{0x4c670243,0xec0503eb,0x00000000,0x00000000}},	//   _ammunta_, _verteerb, --, --, 
   {{0xf7580682,0x62b403ea,0x12ee003a,0xedc401b3}},	//   _संस्मरण_, _débit_, _gapirib_, _пустелі_, 
   {{0xf9f6033f,0xcd140019,0x00000000,0x00000000}},	//   _palupalu, _жууркан_, --, --, 
   {{0x72900450,0x62fe00a0,0x1dc5021e,0x00000000}},	//   _sleat_, _fitinar_, _marklyft_, --, 
   {{0x6290031a,0xa4060130,0x429003d5,0x41c70107}},	//   _cleas_, _grennamz, _pleat_, _براندازی_, 
   {{0x2fd303ee,0x4a8300ef,0x87e70393,0x327e00f7}},	//   _trenutno, _ezazinge, _tajanstv, _alineo_, 
   {{0x832001ce,0x396b0486,0x13560155,0xb4580397}},	// [1e50] _دعوتنامه_, _filmovéh, _baseras_, _angesiwo_, 
   {{0xf696002b,0x427f00b9,0x537f02bf,0x096b03e0}},	//   _একাডেমীর_, _esensi_, _bemanga_, _aneneege, 
   {{0x0f320013,0x64f0017a,0xddf7004d,0x59d4025f}},	//   _عنوانیده_, _варорӯд_, _與我們聯絡_, _ekolanda_, 
   {{0x7471001a,0x730900ff,0x329000e0,0xe2b800ee}},	//   _pontosan_, _פיליפינע, _alear_, _mendiak_, 
   {{0x33ce002e,0x0c6103d5,0xf1fd031a,0x921200cd}},	//   _kakvu_, _churned_, _fadalach_, _amihs_, 
   {{0xe395020e,0xe4770074,0x338d0094,0x22fe02be}},	//   _thuso_, _проекте_, _اشسام_, _matigas_, 
   {{0xa85d0223,0x826d010d,0xe20201b5,0x7213005a}},	//   _голланды, _jatoh_, _kuriku_, _muchbe_, 
   {{0xf39604ea,0x9b580320,0xd50402c1,0xbe6d0188}},	//   _yousuf_, _anguriwa_, _abamugay, _ниёзманд_, 
   {{0x737b026c,0x3e98008f,0x32d700b4,0x42300322}},	//   _romanum_, _खोजताने_, _biserici_, _azamara_, 
   {{0x557f013f,0x53c100d1,0xb2fe008d,0x32fd0250}},	//   _kumuniez, _কবিতাবোৰ, _mitalari_, _bregun_, 
   {{0x1e9202f5,0x85050074,0xbcd700bb,0x69e0025f}},	//   _líderes_, _отказать, _کھڑکیوں_, _kokomama_, 
   {{0xda580212,0x22ce02d0,0x53b30071,0xd20f00fb}},	//   _scientia_, _alloued_, _مصادیق_, _baphakam, 
   {{0xc4df0092,0xdac70045,0xa636004d,0x92200527}},	//   _改善要望の掲示板_, _fašiste_, _保健營養食品館_, _tenkovim, 
   {{0x026d021c,0xb7b302d8,0xfdce03d5,0x02e603d4}},	//   _batoh_, _kelembag, _anchovee_, _smenama_, 
   {{0xbed60386,0x620002cb,0x93f903db,0x6f8e00ca}},	//   _melindun, _kolica_, _bazuze_, _apuprètz_, 
   {{0x73df03a4,0x43fd0192,0x7387021e,0xa9df038e}},	//   _týdning_, _hypothek, _lagras_, _चक्रीवाद, 
   {{0x2f830683,0x2c18014a,0x6c7c00df,0x925f04cf}},	// [1e60] _redigér_, _bográcso, _caisson_, _nelungel, 
   {{0x3ccd01a7,0xa5c0036d,0x83f801df,0x58e704ca}},	//   _последне, _ionadail_, _staun_, _dérapage, 
   {{0xeb96006a,0x6c1d00d9,0x76f402e0,0x39bf0331}},	//   _anananao_, _hampaat_, _meratshw, _hæddina_, 
   {{0xd25f03db,0x44c000d1,0x42fe00a0,0x90110184}},	//   _belungel, _উত্তৰপাৰ, _fitilar_, _kwivayan, 
   {{0xf33d01e0,0xc63a01b8,0xdf6a0187,0x00000000}},	//   _میزاد_, _printsii, _симпсоно, --, 
   {{0x8e1800e7,0x2e7c02d8,0x432f01b6,0x3ab2000c}},	//   _aguedpla, _फुल्ल_, _בויקיפדי, _рфолькло, 
   {{0x6387035a,0x157f013f,0xb7d300d7,0xf9dc0127}},	//   _starla_, _gumuniez, _фурсенко_, _adreizhe, 
   {{0x982c038f,0x22020390,0x0ea400a3,0xe28800d3}},	//   _སྦྱིས_, _imtina_, _vestlege_, _krystaly_, 
   {{0x63f900ac,0xb2900264,0x1c7101ab,0xe06d01b7}},	//   _jabuke_, _aimag_, _पूछ्कर_, _बन्धुभिः_, 
   {{0x62e20013,0xb2c501cd,0x6da90091,0x9248028a}},	//   _وطالب_, _ingelosi_, _takulugu_, _ngome_, 
   {{0x706d0594,0x937a0057,0x2294004a,0x5465014f}},	//   _kompetan, _lepasan_, _avgustın, _односима_, 
   {{0x569800bf,0x0ebd005c,0xbd150130,0xe0930061}},	//   _продвину, _yibukije_, _berradur, _논술지도교사_, 
   {{0x0cd80244,0x624801f0,0xd05700bd,0x28c30326}},	//   _разнообр, _kgome_, _rooshian, _hakungav, 
   {{0xe43300d1,0x7d0600c5,0xf37a009f,0x00000000}},	//   _থেচিচ_, _cycliste_, _navaden_, --, 
   {{0x429001b9,0x6285012c,0xb303023c,0xfacb005b}},	//   _domaz_, _mathayo_, _دليکنو_, _dommeren_, 
   {{0xb2d8000b,0x4cd3014f,0xe3f9042a,0xf27f0059}},	//   _pulea_, _помоћу_, _babuke_, _prendi_, 
   {{0xef270684,0xd3170140,0xe9c70128,0xa27f00f4}},	// [1e70] _orrespon, _mamatay_, _харажат_, _brenux_, 
   {{0x7ea4048b,0x12d80430,0xd4d1008f,0x2f3c02ac}},	//   _giftcode_, _vulea_, _भूमिजा_, _لتحفيظ_, 
   {{0x13ff0125,0xd83a018d,0x5f5c0132,0xb2a603cc}},	//   _ядамады_, _ክንዕቅቦ_, _balatonn, _aprobó_, 
   {{0xe3170433,0x764900ef,0x7387007b,0xcef9013b}},	//   _namatay_, _نتيجې_, _hearin_, _maswerte_, 
   {{0x0ce202fe,0x7a90002b,0xb38601a6,0x4e4d0041}},	//   _کیمیاوي_, _বায়তুল_, _maero_, _mymbápe_, 
   {{0x5edc00a7,0x37c70115,0x00000000,0x00000000}},	//   _botigues_, _nirrahim_, --, --, 
   {{0x945d0076,0xa202021d,0x22020009,0x51e900cb}},	//   _alteraçã, _skridt_, _skrite_, _бадоҳата, 
   {{0xfb620404,0x07c900c5,0x5cb501b8,0xe2e2000d}},	//   _leotwana_, _销售的专业化公司_, _उदारचरित_, _tekivad_, 
   {{0x183c017d,0x429004b3,0x24570299,0xd77302eb}},	//   _産学官連携リンク, _tomaz_, _ئابروي_, _доллор_, 
   {{0x62fe037f,0x813503ee,0x1a12037c,0x63860212}},	//   _intihar_, _prodaval, _discussa_, _haero_, 
   {{0xfc0e031f,0xca2b0273,0x2b6a0499,0x4f160226}},	//   _ventelis, _alegría_, _faitalia_, _asadayan, 
   {{0xe3bf00bc,0x9378013c,0x6c0300bd,0x32900230}},	//   _arcveiw_, _allahin_, _cursour_, _somaz_, 
   {{0x6a1402ee,0xeed603b5,0x426400a5,0x1a700268}},	//   _benefiċċ, _pelindun, _itulau_, _amplings, 
   {{0xaa8000ca,0x037c0118,0xc6a2027f,0x7312021c}},	//   _atencion_, _kitaawe_, _atatekey, _tábora_, 
   {{0xe65903db,0xc6010320,0x0bef004d,0xc3fa01e5}},	//   _abayitsh, _diklarex, _九評共產黨_, _laruge_, 
   {{0xf2580256,0xf3190321,0x925700c1,0x13f1004d}},	//   _publiski_, _seminarj, _आकुंचन_, _請選擇貼紙尺寸_, 
   {{0x00000000,0x00000000,0x00000000,0x00000000}},	// [1e80] --, --, --, --, 
   {{0xf2d801f6,0xe278009d,0x42e80084,0x00000000}},	//   _gulen_, _fisnik_, _bedilna_, --, 
   {{0x82130203,0x22ca0305,0xed900016,0xdb770088}},	//   _archit_, _fridom_, _alilanda, _аркасын_, 
   {{0xbc03037e,0xc4850096,0x158503ef,0x00000000}},	//   _lympung_, _ageragej, _ageragez, --, 
   {{0xbf2a0372,0xf3030037,0x4797034c,0xa3cf0198}},	//   _dystiola, _melawat_, _алманияг, _nisva_, 
   {{0x697a01cc,0x1c0d022d,0x66440297,0x67460092}},	//   _विस्तरेण_, _campane_, _пхеньянн, _無修正動画_, 
   {{0x330402b1,0x928c01fc,0x2ffa02da,0xe2250067}},	//   _suratul_, _maakina_, _сварете_, _dhakka_, 
   {{0x6c7c0047,0xe27d047d,0x32f9012e,0x5c7e0344}},	//   _贴子相关图片_, _versamml, _hetilap_, _amerlup_, 
   {{0x1d8602d5,0x8d1703be,0x979103b6,0xf01a0097}},	//   _प्रोटोका, _imishwar, _olutọju_, _pẹlupẹlu_, 
   {{0x7afa02d5,0x347302d8,0x13ea03dd,0xcc0f0194}},	//   _tingimus, _penembak, _lehta_, _plutonis, 
   {{0x50e6027b,0x336c0479,0x1afa0211,0x098000d3}},	//   _किरीटी_, _dögös_, _файлообм, _špindler, 
   {{0x727e00dd,0x7bea0177,0x0fc502aa,0x6ba20139}},	//   _alinio_, _рыцҵараз, _celistvo, _dukkhudr, 
   {{0x1a3903f4,0xf2ef04a7,0x79f6008a,0x7e600297}},	//   _девайс_, _adafad_, _talutalu, _интеккән_, 
   {{0x3a8903e3,0x4337017a,0x21fd01ac,0x00000000}},	//   _solisyon_, _диловар_, _radacach_, --, 
   {{0x135601d1,0x730200f3,0x0200041e,0xc106027b}},	//   _depends_, _ixubene_, _aldila_, _कृतशः_, 
   {{0xd679008a,0x32c30043,0x39040013,0xc2a6038e}},	//   _bankstow, _atulaba_, _dekabrid, _ghibah_, 
   {{0x3f6a00ea,0x2291006c,0x72c80125,0x23f800fe}},	// [1e90] _ohabolan, _amaconsi_, _begjanow_, _pelula_, 
   {{0x53d101a3,0xd28e01dd,0x2fc200ef,0x6b8703a0}},	//   _اَمان_, _agakono_, _قانوي_, _dilither, 
   {{0x6e6c008d,0xabd20061,0x38c9004f,0x9aa40156}},	//   _ایرور_, _가능하다는_, _guënë_, _כּפֿר_, 
   {{0xdf5d0140,0x93a1005e,0xbe1503b8,0x00000000}},	//   _kasamaan, _ﻧﯩﺴﺒﯩﺘﻰ_, _атаңнан_, --, 
   {{0xc2000499,0x4eac0008,0x9776002b,0x395e0462}},	//   _moliga_, _албастык_, _নিভৃতে_, _artoonst, 
   {{0xcb67053f,0xc5b202b2,0xc7430038,0x8dc50685}},	//   _amulatar, _якими_, _русск_, _opskrift_, 
   {{0xd3f80033,0x79cb0004,0x73eb032e,0xd67f033e}},	//   _staus_, _entelekt, _khatat_, _anhelati, 
   {{0x637b0261,0x49d00211,0x6aeb0148,0xb34200c1}},	//   _israelo_, _tekemist, _中國民用機場協會, _goresan_, 
   {{0xf5f301db,0x33010128,0x3a7d01af,0x58c001d1}},	//   _доценті_, _qavatli_, _bahalara_, _extended, 
   {{0x5aa401db,0xae5700de,0x7ab50205,0x85a20012}},	//   _ءبىرتۇتا, _دريشي_, _beshyuzb, _जीअता_, 
   {{0xdd180343,0x22da03d4,0x0878026c,0xe3f80079}},	//   _glasswar, _poseti_, _militibu, _draud_, 
   {{0xd2d4029e,0xd2250082,0xf9bd005b,0x22c60357}},	//   _brudet_, _shakka_, _bandcamp_, _meteresi_, 
   {{0x02d80130,0xa2e802c6,0x7207048a,0xcab00206}},	//   _erlec_, _delienn_, _شىرقىمدى_, _tradičný_, 
   {{0xf3be0073,0x72a60274,0x1eb902ea,0xc2ca037f}},	//   _proveni_, _labba_, _послание_, _analoji_, 
   {{0xb39102b6,0xaa61004d,0x494d0066,0x7a0902ce}},	//   _импортта, _千萬人民幣_, _eskolare, _babakuna_, 
   {{0xc2d80300,0x9c7f00f0,0x00000000,0x00000000}},	//   _hokeji_, _kreslil_, --, --, 
   {{0x0c660056,0x12530220,0xc9b1025b,0xb8950053}},	// [1ea0] _сентябри_, _orientam, _fiskidøg, _शरीरशास्, 
   {{0xc2a600b2,0xaf64031a,0xf2f302ec,0x24a4010d}},	//   _aabba_, _breatuin, _arrintu_, _अर्थपूर्, 
   {{0x23030304,0x12000259,0x034c0013,0x32da00fe}},	//   _pelawat_, _boliga_, _istemol_, _haueee_, 
   {{0x52a6001b,0x3fc901e1,0xf9e40328,0x2eb2024a}},	//   _jabba_, _белгес_, _atangura_, _kerosinn, 
   {{0xbb5a0238,0xd5c70024,0x0fc60217,0xf2a602b1}},	//   _проектув, _হামৰেণ_, _delictuo, _dabba_, 
   {{0x02ff03c6,0xfb5600ae,0x00000000,0x00000000}},	//   _feroverj, _rwamator, --, --, 
   {{0xcc9a0211,0x6bf60142,0x55ab0059,0x411c0242}},	//   _аварии_, _atatsvab, _гърдата_, _alışı_, 
   {{0xfe050041,0x63fa0362,0x02120182,0x92fd0257}},	//   _ихаҧшьга, _bopusi_, _olaha_, _dregin_, 
   {{0x214800f4,0x22da0085,0xe90c042f,0x362f0356}},	//   _testenno, _boseri_, _tamainnu, _sorianox, 
   {{0x9ee90226,0xe2c80342,0x83fa05d5,0xe39402e0}},	//   _akukulan, _anboche_, _letura_, _ijesa_, 
   {{0x427e002c,0x24930334,0xbb6202f3,0x32c80147}},	//   _izena_, _akazinso_, _korrekta_, _بەيكۉنۅۅ_, 
   {{0xf19101f1,0x6b7201dd,0x526d0256,0x00000000}},	//   _hardkorë_, _abashora_, _latos_, --, 
   {{0xef4500d1,0xd88b00a2,0x520001fe,0x00000000}},	//   _কিডনীৰ_, _kuchambu, _voliga_, --, 
   {{0x51030169,0xdb20003e,0xee3902e1,0x97d50065}},	//   _ষড়যন্ত্র, _пхана_, _abhantra, _doppelzi, 
   {{0xed3d01b2,0x23b50320,0x626e0190,0xef600040}},	//   _assignee_, _alovola_, _patiriri_, _nowadays_, 
   {{0xa0590686,0xa4d40142,0x430002dd,0x720000db}},	//   _okuseman, _उत्तरपश्, _bagalji_, _kolida_, 
   {{0x2ea10180,0xb6ae0397,0x23130320,0xd3c80333}},	// [1eb0] _akseptab_, _abadakiw, _cincela_, _fauves_, 
   {{0xfd0e00ca,0xd25b0386,0xa3dd0372,0xe0dd00de}},	//   _gentilic, _reflek_, _huawdl_, _ریفري_, 
   {{0xc3160200,0x437803c7,0x529e017a,0x595c0216}},	//   _ahazi_, _podania_, _милат_, _madorobe, 
   {{0x94fb0157,0x29980653,0xfeef0037,0x6f2c0009}},	//   _क्वारी_, _ploše_, _ተችሎዋል_, _najemnin, 
   {{0x74bf0522,0xbe5d017d,0xf26d01da,0xf5a20212}},	//   _अवहेलना_, _セキュリティ_, _fatos_, _filiorum_, 
   {{0x7c0e03d9,0x404300b7,0xac470039,0x420001b5}},	//   _jentilis, _bilinmez_, _тарган_, _enliwa_, 
   {{0x93ea0277,0x22ec0173,0x16680061,0x05ec0030}},	//   _duktor_, _obtiene_, _이야기하고_, _pensijā_, 
   {{0x8202033d,0x7c5500cc,0x81590418,0xffe60022}},	//   _dirije_, _bistand_, _bursaspo, _табыуға_, 
   {{0xefc9001d,0x5296005e,0xc2000362,0xe3400461}},	//   _inrichar_, _ظعككع_, _kodima_, _argeria_, 
   {{0xa3160328,0xf40a006d,0x4290030f,0xfd120237}},	//   _ikizi_, _абцяжарв, _moeau_, _보고서에서_, 
   {{0x6fda00ee,0x226e0304,0x332202ac,0xb29202e2}},	//   _positibo, _sotong_, _glactar_, _assail_, 
   {{0x7a1200ff,0x32fc0269,0x43870181,0xeb08004d}},	//   _אקסלען_, _caminos_, _aguri_, _僅能於到期日行使, 
   {{0x9e38043d,0xfd3700c2,0x626d02eb,0x00000000}},	//   _peralata, _yifitiye_, _nator_, --, 
   {{0x721203fb,0x5f4405d2,0x7d780148,0x00000000}},	//   _vlaha_, _rikshosp, _promisit_, --, 
   {{0x13a200ca,0x97af018b,0x93e20288,0xfa8f0116}},	//   _compta_, _апаратул, _bairatsi_, _crunchin_, 
   {{0xaacb044c,0x7cc80255,0x77740163,0xbdab0253}},	//   _sommaren_, _कर्पूरी_, _پروزیراع, _misilera, 
   {{0x300702d6,0x23fa03dd,0x038f02ba,0x2cf5020f}},	// [1ec0] _парижда_, _vetura_, _aliyona_, _وریښمو_, 
   {{0x63940377,0xef570340,0x3d190479,0xe5b50366}},	//   _exista_, _takawaen, _gipszkar, _дуккха_, 
   {{0xd2a7025c,0x846b0234,0x899b01ab,0x00000000}},	//   _farbe_, _imuṣiṣẹp, _seljakot, --, 
   {{0x83e101ce,0x539401f1,0x2bf4021a,0xb41703f3}},	//   _عضلات_, _pjesa_, _murteess, _pensioen_, 
   {{0x206103e8,0x9200046d,0x72020541,0x529001ed}},	//   _enostavn, _miliwa_, _sirije_, _noeau_, 
   {{0xf2a70082,0x787d03b5,0xe1da032d,0x25450110}},	//   _harbe_, _tercemar_, _митингыл, _krištopa, 
   {{0x143a02af,0xc31000f4,0x22a700a0,0x7a5d0035}},	//   _agakorok, _aluzen_, _karbe_, _башларга_, 
   {{0x429001d2,0x3a340024,0x2c57041c,0x7e830019}},	//   _anman_, _জানিবৰ_, _bétani_, _تاڭشى_, 
   {{0x7c360478,0x3af201e9,0x1433018e,0x1a130303}},	//   _circonsc, _akaredit, _etikerek, _difatlhe, 
   {{0xc26d045f,0xe618028e,0x820001ad,0xf2d90529}},	//   _dator_, _acceptim_, _colima_, _vojnike_, 
   {{0x82ee036f,0x63160069,0xc20203eb,0x1ff80040}},	//   _stanovi_, _akaza_, _visier_, _התערובת_, 
   {{0x03870687,0x9c0d0292,0xc9d9021b,0xfc550385}},	//   _ararya_, _wampene_, _tunnista_, _smetnje_, 
   {{0xdb0c013d,0x2a1d0338,0x830303db,0x1b9203e2}},	//   _אלימלך_, _cambiame, _labantu_, _remitido_, 
   {{0xe0dd018e,0x82000240,0x59c701db,0xbaac01aa}},	//   _etindlel, _liliwa_, _таратылғ, _ansheesb, 
   {{0xdab90061,0xf5d30241,0x439d0405,0xd2d8027f}},	//   _다우메디텍_, _armaatiy, _гарантія_, _inkezi_, 
   {{0xc89c015e,0x22490108,0x9a060198,0x4dd80378}},	//   _ازايات_, _agamis_, _terapevt, _bankarna, 
   {{0xce2401d5,0x129401f1,0xa2e904fe,0x1e9c00c7}},	// [1ed0] _بریگیڈ_, _shikoni_, _impiega_, _польшаны, 
   {{0x02c00040,0x36770029,0x8c760064,0xbed10041}},	//   _nucleic_, _رچوارپار, _جاپپاسا_, _нанҳәа_, 
   {{0x1844021e,0x72fe0145,0x82e80048,0x00000000}},	//   _reagerar_, _katinas_, _bazimba_, --, 
   {{0xd38f0414,0x8387042d,0xba050178,0x419b011a}},	//   _balyaka_, _afaran_, _dayanvit, _לפענח_, 
   {{0xa321034c,0xdf59013a,0x831b003f,0xc2e800ea}},	//   _alayda_, _gespaart_, _danchoh_, _vazimba_, 
   {{0x23210073,0x779302d2,0x62480122,0xd27f000d}},	//   _cliccar_, _курбонов_, _agomo_, _trenni_, 
   {{0x049d004c,0x283b01a6,0x43860084,0x00000000}},	//   _amwambaz, _pepamārō_, _daera_, --, 
   {{0x62d80430,0xec5b00e3,0x8f590265,0xc81f00e6}},	//   _kulea_, _brutali_, _bespaart_, _造成损失的_, 
   {{0x42020437,0x353a0013,0x3316006a,0xb07100ac}},	//   _skrive_, _frantsiy, _ahazo_, _dinarsko, 
   {{0xa2b30245,0x6200008a,0xa2480103,0x00000000}},	//   _buddien_, _kiliva_, _egomo_, --, 
   {{0x1fde01d5,0xe3e102cb,0x9cd60094,0x72c900ae}},	//   _کمنٹس_, _postupci_, _تاريحىن_, _boroshe_, 
   {{0xe5550125,0x490d04ca,0x00000000,0x00000000}},	//   _мурдар_, _absorbís_, --, --, 
   {{0xf2b30191,0x05c0007f,0x00000000,0x00000000}},	//   _studera_, _cofadail_, --, --, 
   {{0x22c2006f,0xf2900028,0x02cb0036,0x24d300ff}},	//   _usalama_, _niman_, _gradam_, _אטראקציע_, 
   {{0xcd9d006c,0xa63c0019,0x9af400ef,0x28b6039e}},	//   _abalupha, _египетке_, _aneeklas, _austover_, 
   {{0xbc0f0200,0x5b9a01ce,0x9d13020d,0xcd660035}},	//   _agamnihu_, _سفارشی_, _bukomeye_, _крутяк_, 
   {{0x6c67000e,0xec9d0061,0xc3950394,0x83b00163}},	// [1ee0] _ametter_, _컴퓨터에서_, _akuso_, _المائدہ_, 
   {{0xacbd00ff,0x59f70360,0x2481003a,0x5c6b01c1}},	//   _ליביע_, _zadavate, _усулда_, _tubuhmu_, 
   {{0x429100d6,0x1b840369,0xe21e01e5,0x00000000}},	//   _fouad_, _henoheno_, _lóhun_, --, 
   {{0x982c02dd,0x381d0148,0x22d40453,0xe1fd0195}},	//   _འདྲིལ_, _得阿耨多羅三藐三, _okolinu_, _dadamach_, 
   {{0x2290030c,0xf35f01aa,0x4c600195,0xf2d80429}},	//   _inmat_, _aigepay_, _giorrad_, _kuden_, 
   {{0xe2d8005b,0xd2fe0427,0xa7130047,0x429000ee}},	//   _juden_, _maligaq_, _consulté, _unean_, 
   {{0x229002a9,0x8941012a,0xe3f80290,0x9a7e0021}},	//   _šiame_, _plbloadt, _criua_, _edroomsb, 
   {{0x43f102c3,0x49c70034,0xe31002ff,0x24280188}},	//   _poštovné, _samvisku, _bouzen_, _таракиёт, 
   {{0x63030307,0x56b7012c,0x462e022a,0x3c0701da}},	//   _zabantu_, _yanapati, _stralanä, _taksist_, 
   {{0x2eac0059,0xfb76015e,0x3d1c01af,0xad0d003c}},	//   _sostiene_, _ырахат_, _başlanso, _biyungir, 
   {{0x1202007b,0x16d900c4,0x72550688,0x6c5a000b}},	//   _thrice_, _ڪينسر_, _कमसेकम_, _laititi_, 
   {{0x8b1a0057,0xc2d800af,0xa4da00be,0xc11400bb}},	//   _በመጪዎቹ_, _huden_, _биргелик, _پيشرﻓﺘﻪ_, 
   {{0x09fa0663,0x727f014c,0x325b03db,0xf7e203ec}},	//   _mbrantse, _asenzi_, _azalwe_, _propozim_, 
   {{0x9d130285,0x9202013e,0x220000f2,0x9b600263}},	//   _rukomeye_, _kotira_, _polija_, _ongedaan_, 
   {{0xa39402e8,0x368e03a0,0x91af0092,0xf60c0037}},	//   _ajesu_, _bonesedi, _最高の人生の見つ, _እንቁጣጣሽ_, 
   {{0x72db0044,0x13ac0041,0x75bf02e2,0xd21e01e5}},	//   _הלהקה_, _арццакра_, _archaism_, _kóhun_, 
   {{0x134a018e,0x59210102,0xd7d9009c,0xc9fe0016}},	// [1ef0] _esydney_, _alichagu, _chirimaw, _batalant, 
   {{0x07bb0114,0xe28701e6,0xbaed0315,0xb2900028}},	//   _לפועל_, _bylinky_, _balulnge, _calankii_, 
   {{0x52000007,0x77c400c5,0xb9fc00c8,0xea380092}},	//   _lilita_, _大兴区教师进修学, _машинаһы_, _この版への固定リ, 
   {{0xf39402b2,0x33f00281,0x1dc40204,0x00000000}},	//   _gjest_, _illuanni_, _hygienia, --, 
   {{0x965e03d4,0x9c0d0024,0x5da60163,0xfa390213}},	//   _фирме_, _kampane_, _ناراضگی_, _ведении_, 
   {{0x0147032d,0x63f40151,0xf200033f,0x00000000}},	//   _фатима_, _burtit_, _tiliva_, --, 
   {{0xf2d8000c,0x65390135,0x8eed00d9,0x89e601e9}},	//   _judeo_, _gimnaziy, _valvonta, _gololola_, 
   {{0x429000b0,0xda5c013b,0x3438036a,0x235601ba}},	//   _siman_, _meißen_, _isakisak, _lisenns_, 
   {{0x3290011e,0x14370361,0xec68005b,0xa9ed0178}},	//   _dimal_, _включают_, _kikuchi_, _apanīya_, 
   {{0x0a4e05c7,0xc37f03cf,0x596e01d2,0xa329065b}},	//   _kohereza_, _malatya_, _aspimant, _शेखपुरा_, 
   {{0xa27f013d,0x832c0040,0xaf1b00e6,0x4781004d}},	//   _flanko_, _ולבדוק_, _高级经济师_, _一個像偶像劇的夢_, 
   {{0x48dc0141,0x72d800a5,0x68370192,0x22500420}},	//   _истайсиз, _tulei_, _되겠습니다_, _мерак_, 
   {{0x929000f1,0xc12e00be,0xd43e01f4,0xb2d801b9}},	//   _anmas_, _اسلدىعى_, _оавни_, _kulev_, 
   {{0x57890076,0x62000183,0x43940455,0x53a303d5}},	//   _месото_, _solika_, _brosse_, _bedstraw_, 
   {{0x226c0277,0xce5f0092,0xa29001fc,0xfacb0276}},	//   _bahoin_, _ご当地グルメ_, _kimal_, _усуллири, 
   {{0xe2e101a3,0x93be0014,0xc30c0265,0x0f4901c4}},	//   _بگاڙيو_, _provoni_, _elkaars_, _lessenaa, 
   {{0x52900092,0x3b5b0359,0xfcfa0094,0xfcbf00d1}},	// [1f00] _simao_, _beferzen_, _تۇراعىڭد, _আমন্ত্ৰি, 
   {{0xa514017a,0x43860079,0xc502008f,0x98680076}},	//   _abashiwo_, _ezers_, _परितिष्ठ, _градовит, 
   {{0xdeaf01fc,0x524a01c2,0x2b0900e6,0x985101c2}},	//   _curriyat_, _durmir_, _竞猜场次的通知_, _enquisas_, 
   {{0x72d80258,0x8316013d,0x22920230,0x6fb5028b}},	//   _suden_, _okaze_, _lasanm_, _gríngo_, 
   {{0xf0750030,0x468c0689,0xc50800c7,0xc98d00ff}},	//   _materiāl, _बोलाव_, _başınnan_, _ביאלא_, 
   {{0xefa201a3,0x0e3c00d1,0xdd9901f4,0xc969030a}},	//   _جهڪيل_, _নাইটছ_, _muhlisla, _asoparar_, 
   {{0x469f012a,0x44f800e6,0x7aa50096,0x00000000}},	//   _pneumaty, _第六十二条_, _atsindis, --, 
   {{0x3c0b00fb,0x010902e4,0xc29000bb,0x77b30457}},	//   _abelungu_, _amikevol, _kalauz_, _masruufi, 
   {{0x805000bf,0x2b530075,0x3f69028b,0x5abe00cf}},	//   _оформляю, _heimsbar, _isoberan, _hankaaks, 
   {{0x8b5a00f5,0x33ea01d3,0x22320009,0x5e48028a}},	//   _башланян, _luktar_, _prevajal, _kukaraba, 
   {{0x161a042f,0xc2a700eb,0x52000090,0xc687068a}},	//   _toyotigi, _yarba_, _andipa_, _gradjani, 
   {{0xfe6c0416,0x13210241,0x015c01cd,0x0c000148}},	//   _concerne_, _alayka_, _дусад_, _tristis_, 
   {{0xcbf2046d,0x2b070040,0x727f01c7,0xb8d80178}},	//   _khathuts, _מתקשר_, _ozune_, _aprakṛti, 
   {{0xe96b011d,0x231600c2,0x6b5600b4,0x6c8300fa}},	//   _dimineat, _ikaze_, _instanta_, _ikatlong_, 
   {{0x390901cb,0x038301cc,0x2258007b,0xf3eb02db}},	//   _bazakubu, _manyate_, _boothill, _taetel_, 
   {{0x927a0056,0x479f0311,0x4fd90037,0x325a0452}},	//   _daniyeli_, _ብትግርኛን_, _እናከብራለን_, _pailit_, 
   {{0xcf570536,0x5c0f0265,0x205d01a6,0x52fe02f4}},	// [1f10] _baýram_, _maaltijd_, _matapopo, _matizar_, 
   {{0x63560132,0x825a02ef,0x32d800cd,0x00000000}},	//   _مرحلہ_, _abilte_, _audel_, --, 
   {{0x5294004c,0xed850073,0xb9960115,0x8985021c}},	//   _akabanzi_, _fenestre_, _anakanda_, _tenistka_, 
   {{0x520201fc,0xc5c60366,0x504000ba,0x72da025d}},	//   _akriye_, _вручную_, _بیتوێن_, _sauene_, 
   {{0x453000d1,0x08b60217,0x4edc015e,0x7d4702ac}},	//   _স্নানাগা, _destruer_, _antigues_, _عارضات_, 
   {{0x344c0035,0xe3860405,0xfa1a01ef,0xb23601be}},	//   _элтон_, _nyere_, _раздробл, _projev_, 
   {{0x5e5a0011,0xea2f01c9,0x56890039,0xcdf80041}},	//   _ababataa, _उन्हनीं_, _тормосны_, _рҳьақьым, 
   {{0xce4803ef,0x5b1f0057,0xf9610192,0xf80c00d1}},	//   _rukaraba, _penangan_, _woonoppe, _চিকৰপতি_, 
   {{0x23ea0120,0xab470056,0x1e7104ae,0x00250156}},	//   _abittu_, _гандум_, _rečnik_, _קאָסמעטי, 
   {{0xb6ba00c4,0xffd402c8,0x364b018d,0x117b008a}},	//   _ريسٽورنٽ_, _vacación, _ንደለይቲ_, _simanual, 
   {{0xc2d80107,0x6c6901cd,0x8c02018c,0x27720365}},	//   _audee_, _барчидан, _vissers_, _हरिसिद्ध, 
   {{0x4e550285,0x827e01d9,0xd2d8004f,0x57200128}},	//   _bagamije_, _grenz_, _budee_, _японияни, 
   {{0x127e0286,0xc3950195,0x00000000,0x00000000}},	//   _aseni_, _chasan_, --, --, 
   {{0x456c0075,0xb2ef0011,0x425a0318,0x520101eb}},	//   _heimalið, _alafat_, _mailee_, _iraiti_, 
   {{0xb2d50410,0xa20000db,0x83f8013b,0xf27f0178}},	//   _tlhotlo_, _kriisi_, _traun_, _ananto_, 
   {{0x83fd01a4,0x255c03e9,0xef670137,0xe31000f6}},	//   _balukaki_, _paýdarla, _батгыг_, _fouzan_, 
   {{0x73fa0243,0x3e3700a7,0xf379042c,0xe9840224}},	// [1f20] _barule_, _finalita, _dolazio_, _hamingja_, 
   {{0x286c014f,0xaded045b,0x03f90033,0x4eb30445}},	//   _павловић_, _позичаль, _arcuns_, _baseados_, 
   {{0x232101fb,0xf394005b,0x8243031e,0x3be603e6}},	//   _placias_, _akisan_, _rahmetli_, _dageshor, 
   {{0x054a03a3,0x93fa0240,0x836603c6,0x6ad70255}},	//   _prevençã, _narube_, _deugden_, _tuttavat, 
   {{0xcc1c0518,0xe87501cb,0x00000000,0x00000000}},	//   _organlar, _neenkulu, --, --, 
   {{0x6c77012a,0x00000000,0x00000000,0x00000000}},	//   _potrafi_, --, --, --, 
   {{0x8200009f,0x6c35043e,0x3387007b,0x124a0229}},	//   _hodila_, _valcárce, _haurd_, _durmur_, 
   {{0xf8c20225,0x92a70082,0x573c01cd,0x029101e5}},	//   _liederbu, _harbo_, _найранги_, _nouah_, 
   {{0x972302e5,0x17c20132,0x12bd0139,0xfbed039e}},	//   _expresió, _کمپوزنگ_, _bandham_, _bladstyr, 
   {{0x587603cf,0x63870119,0xd20201fe,0xc45f0159}},	//   _olabilir_, _ngaran_, _kotiva_, _buteliuk, 
   {{0x52a7022f,0xf8a10409,0x75fc0156,0x42fc0241}},	//   _darbo_, _お気に入り_, _פּרנסות_, _fiqiruu_, 
   {{0x418f00d1,0x4bfe0410,0x0a10048f,0x00000000}},	//   _শোচনীয়_, _latolago_, _bombanda_, --, 
   {{0x7c7c03b9,0xbe770455,0x7876055f,0xf1840289}},	//   _apasina_, _demandé_, _alabilir_, _chiphoko, 
   {{0x87290246,0x98c7017d,0x571f000c,0x825b01fc}},	//   _добре_, _知恵袋に投稿され, _дбари_, _maalut_, 
   {{0x094e02dc,0x52120028,0x6f2d0028,0xe9750272}},	//   _escolare, _llahi_, _tartanka, _azinsome, 
   {{0x427e042d,0x770f068b,0x2200003e,0x339401da}},	//   _dreny_, _kommunev, _bodila_, _gjesh_, 
   {{0xf28c04f2,0x32a70119,0xde2403b8,0xb06e0279}},	// [1f30] _tinhyeu_, _barbo_, _альянсы_, _comprenn, 
   {{0x338603ef,0x7063009a,0x26b7042a,0x9ebb018d}},	//   _nzeri_, _abaselun, _bangaphi, _መለሰለይ_, 
   {{0xa21202fb,0x77eb025b,0x12d802ee,0x0387001e}},	//   _alahi_, _samanlag, _mulej_, _daure_, 
   {{0x125a0245,0xa26400a5,0x73f803b0,0x938700fa}},	//   _bailut_, _atulou_, _draum_, _agaran_, 
   {{0xd8ce0092,0x3654012a,0x35ce01de,0x588b0226}},	//   _ハンドメイド_, _granatow, _шалма_, _kuchimbu, 
   {{0x82a70120,0x02000043,0x8b9b0007,0x517d00ff}},	//   _garbo_, _endiga_, _babikolo_, _דינוב_, 
   {{0xcb0a02fd,0x6a340206,0x032201e8,0xf2bb0185}},	//   _barscune, _dizajnér, _ituyok_, _cimeşe_, 
   {{0xd61f0091,0x15850148,0x17820013,0x4387016b}},	//   _piinnari, _精彩內容推薦_, _акага_, _haure_, 
   {{0x0e1c0067,0x5502015c,0x86cf0281,0x0b4d01a4}},	//   _aangoosa, _allefall_, _ethanoli, _bakwanga_, 
   {{0x5aea03f7,0xa5bf0322,0x00000000,0x00000000}},	//   _austurle, _bararyoh, --, --, 
   {{0x0a7501b6,0x17ca0206,0x730301cc,0xadab0264}},	//   _حبيبة_, _spusteni, _carantu_, _masigura, 
   {{0x431e0307,0xf2e702a0,0x36b700b4,0x3c710287}},	//   _namhlanj, _adunola_, _sanatati, _पुच्छर_, 
   {{0xce010369,0xa2ca0107,0xf994020e,0x25fd0276}},	//   _aldebara, _bunder_, _brokrest, _соливәтт, 
   {{0x701b01f4,0xec13005b,0xaebe035d,0x129001e5}},	//   _محرومیتل, _hverdags, _sagovorn, _mimaa_, 
   {{0x623f034f,0x8ae4002b,0xbbd80185,0x4a2c0037}},	//   _دجګړې_, _কোলাহল_, _агрегатл, _በመምሪያው_, 
   {{0xb38600f4,0x02ca0421,0x73050125,0xc9680065}},	//   _agereg_, _wunder_, _aklamak_, _ansichte, 
   {{0x9d9a0164,0x685700b4,0xe3800277,0x8dab01ad}},	// [1f40] _پاراڭلىش, _фражиле_, _istrok_, _kasigura, 
   {{0xce3700ad,0x52900225,0x72bb0279,0x00000000}},	//   _manggiha, _kamawi_, _galette_, --, 
   {{0x4c130583,0x234401f4,0xc40d02af,0x2316005c}},	//   _skupini_, _قبرستاند, _bobigenz, _akizi_, 
   {{0x42d9014e,0x6290029b,0x9fea0157,0x60fb00d9}},	//   _ocenite_, _bimaa_, _विषाक्त_, _участием_, 
   {{0x51c9006c,0x430501af,0x6d1c03a4,0x22fe0420}},	//   _сойти_, _aklajak_, _børsskrá, _obtidas_, 
   {{0x718902ec,0x02d801ed,0x73f80166,0x8040005e}},	//   _jawaabay_, _iudea_, _traum_, _ﻣﯘﻻﺯﯨﻤﻪﺕ_, 
   {{0x86280225,0x3c5a022d,0xf9d90220,0x5ef80287}},	//   _jubilati, _abitati_, _inserime, _अर्गनाइज, 
   {{0x831d02d3,0x93f80145,0xa9d8009b,0x79f40211}},	//   _torcida_, _nemuno_, _манзушир, _selän_, 
   {{0x02e9021b,0x8213003f,0x108d017a,0xfec300a8}},	//   _parissa_, _jichus_, _сиеси_, _ambizius_, 
   {{0x288a0309,0x2c800060,0xd1c60120,0x81b00342}},	//   _tamamilə_, _белең_, _ossotinâ_, _konmansm, 
   {{0xfd9d02af,0xef290047,0x32d80369,0xda8d0184}},	//   _abanyata, _apporter_, _ludea_, _binywera_, 
   {{0x23eb026c,0x6ca60008,0x37420239,0x7ab601b5}},	//   _auctor_, _салсын_, _korotang, _muchavis, 
   {{0x32ea055a,0x73010294,0xe72d0092,0xe2e60160}},	//   _eventos_, _altarpi_, _わかんねぇだろ_, _imenima_, 
   {{0xa3160438,0x8c530588,0xcece0287,0xa66f0148}},	//   _mkazi_, _igitabo_, _voliteln, _每個漢字相當於兩, 
   {{0xf2d900ac,0xe607034c,0x2ad70235,0x4a8602fd}},	//   _vicevi_, _классикл, _अञ्चु_, _doinionn_, 
   {{0x9f25048a,0xd93401ad,0x9f6402ea,0x8cd902a8}},	//   _اقداريعا_, _itamarat, _affascin, _bankarju_, 
   {{0x77cc00ff,0x99e505e0,0x9e4100a4,0xce620033}},	// [1f50] _פלאנעט_, _testícul, _expandit_, _bloccada, 
   {{0x9213007b,0x426d00ee,0xd3a1027e,0xe84502cf}},	//   _lichts_, _datoz_, _украшена_, _leitores_, 
   {{0x4a54027f,0xcea3029b,0xdaaa008f,0xd0bb018d}},	//   _aramutab, _bañata_, _मुरलिया_, _ፍሬዘርን_, 
   {{0xc27f0039,0xc2ed01be,0x1f5d05c3,0x67e40012}},	//   _joango_, _निरीह_, _dépendan, _झटकरले_, 
   {{0x7edc0200,0x491f034e,0xa79b0311,0x629001e8}},	//   _ịzachana, _chacrayu, _መስተንክራዊ_, _limaw_, 
   {{0xfb8e0279,0xc963034e,0x5ae10258,0x38d2032d}},	//   _première, _akunatat, _blokhúsp, _мутлашыу_, 
   {{0x8db0026c,0x029e0475,0x6a0302c1,0x00000000}},	//   _consensu_, _низам_, _baraseze, --, 
   {{0x5c4a027b,0x0b70004d,0xdf920039,0x300f0163}},	//   _विशन्ति_, _不得轉載使用_, _гурилаар_, _اورنبی_, 
   {{0x724e01e6,0xff61012a,0x70db03a8,0x1213007b}},	//   _autorovi_, _zapoznał, _উদ্যোগীক, _dichts_, 
   {{0x539601ba,0x9248046d,0x4e480099,0xca800545}},	//   _morsel_, _ngomu_, _achakuba, _planfors, 
   {{0xb3eb0279,0xaae803e6,0x5ecb00a3,0x3a110015}},	//   _chatte_, _betounen_, _bilistan, _ammaanke, 
   {{0x025501b7,0x294900d9,0xa1510244,0x03950198}},	//   _बिभेति_, _водителя_, _оттук_, _okusu_, 
   {{0xb25a01f0,0x23b8030b,0x1e3c0334,0x9cb90205}},	//   _abilwe_, _akaweke_, _angamupa, _аралашиш, 
   {{0x5b3b0144,0xd291011d,0x00000000,0x00000000}},	//   _dolcáin_, _aluat_, --, --, 
   {{0xf2d8012c,0xde99027f,0x00000000,0x00000000}},	//   _tiketi_, _ugitwaye_, --, --, 
   {{0x84e6015e,0x3c0e00f2,0x090603e6,0x9b970107}},	//   _بولالباي_, _cenuklub, _verbreed, _حاضران_, 
   {{0x3b8b03c3,0xd21200a1,0x0bd200ba,0x53940286}},	// [1f60] _ministar, _hoiho_, _ئۆزێل_, _nyisia_, 
   {{0xc32401ca,0x6c750158,0x49fa0340,0xef150041}},	//   _birchoh_, _हार्ले_, _marikena_, _itúaep_, 
   {{0x06110043,0xf09003d5,0x00000000,0x00000000}},	//   _amulindi, _avocatio, --, --, 
   {{0xff1f033f,0x52490102,0xc9060237,0x00000000}},	//   _lautohip, _mpambe_, _데살로니가전서_, --, 
   {{0xc33d0247,0x632504cb,0x837f0064,0x33030241}},	//   _میراث_, _stradă_, _астанага_, _furamuu_, 
   {{0xc2fc0058,0xbfc200bc,0x7dae02a3,0x2e420022}},	//   _bungil_, _راهور_, _hangende_, _өҙөлдө_, 
   {{0x21fa068c,0x79da042d,0xc4860553,0x430304f9}},	//   _umphefum, _adoniasa_, _prevziať_, _allatat_, 
   {{0x4e960181,0xdc5a02af,0x9117045e,0x00000000}},	//   _fortalte_, _bintazi_, _дисплеи_, --, 
   {{0x02ca01f6,0x72ef0282,0x301b0153,0x45080030}},	//   _kundar_, _pahitia_, _日本麻酔科学会認, _faktisko_, 
   {{0xf213056e,0x66a70313,0xd5da0386,0x4bfb0203}},	//   _rochas_, _chirghch, _rambutny, _borgesuc, 
   {{0x42900278,0x97ad0478,0xf395034b,0x024d02bb}},	//   _limau_, _insectiv, _okust_, _मंडला_, 
   {{0x6317021c,0x32d801fe,0x537b0119,0x537f018f}},	//   _kurzy_, _tudei_, _nienburg_, _dalanha_, 
   {{0x9f7801f7,0x572d0205,0x1da9021e,0x94b50322}},	//   _adicionn, _farmonig, _splittra, _baratwik, 
   {{0x031301b5,0xc9fa0226,0x0e000107,0x00000000}},	//   _mincila_, _keliyala_, _dilepasa, --, 
   {{0x1230005c,0xd3730003,0x74d903ed,0x52de0449}},	//   _nyamara_, _relatie_, _direção_, _duhovnu_, 
   {{0x60d300ec,0x02d802f1,0x137a051a,0xbe95025b}},	//   _класы_, _ordem_, _sepadan_, _nordplus_, 
   {{0x83a303a4,0x442d0192,0x07720193,0xc3170096}},	// [1f70] _sleppa_, _여러분들의_, _प्रायव्ह, _abazwi_, 
   {{0x426201d5,0x42da00dc,0x739502a5,0xab8c0109}},	//   _ذائقہ_, _asuelu_, _vkusu_, _संघमा_, 
   {{0xd3170119,0x7a790148,0x637f0342,0x934b02c2}},	//   _liezen_, _這樣的發言參考價, _dilatwa_, _krieket_, 
   {{0xb4da015e,0xd30d0005,0x43b5037f,0x9bdc0061}},	//   _образдар, _spezialm, _əlvida_, _가능하다면_, 
   {{0x727e05d0,0x112103d8,0x46210281,0x06cd0170}},	//   _apena_, _raspolož, _ilimmarf, _ankangoi, 
   {{0xb16d0255,0x2316013d,0xc364002e,0xb2cb0079}},	//   _गोपालीचक_, _okazo_, _snagama_, _lidosta_, 
   {{0x2290006f,0x931902ac,0x4b0201ec,0x62d80189}},	//   _kamati_, _فيسات_, _نورپرداز, _erdem_, 
   {{0xda0804b2,0x43060077,0x2f05007e,0x9309068d}},	//   _gumagana_, _grangwav_, _श्रीवत्स_, _blindveg_, 
   {{0xf2b603f9,0xb9e4005d,0xedb500e7,0x5a7702eb}},	//   _parchi_, _arandura_, _alonylma, _видеон_, 
   {{0x90c702c4,0xd5e20076,0xb2a700a0,0x3290000e}},	//   _рамките_, _железнич, _harba_, _limat_, 
   {{0xe2a7001e,0x94f300c7,0x1a0800b0,0x313a0211}},	//   _karba_, _торамы_, _rasaasee, _калорийн, 
   {{0x636e012b,0x910c02bb,0x9ba4012c,0x25620061}},	//   _komentuj, _उच्चायुक, _wakiwemo_, _안내입니다_, 
   {{0x02a700b0,0xc5bb02fe,0x0202025f,0xe54e03fe}},	//   _marba_, _سیاستوال, _kotiya_, _тигна_, 
   {{0x1b9702ac,0x82ff0077,0xc26301bb,0xb38700cd}},	//   _agritour, _andikap_, _ahmiyeti_, _caura_, 
   {{0x72d403b0,0xb0ed0255,0xc8f5019b,0x0059017a}},	//   _trudde_, _optimaal, _складана, _akusiman, 
   {{0x866a018b,0xf9ae00be,0x93f4019b,0x00000000}},	//   _скицате_, _تۇپتۇۇرا_, _vertas_, --, 
   {{0x92d900f4,0x53730305,0x805701e8,0xb533068e}},	// [1f80] _attek_, _skuledag_, _makapato, _nenasiel_, 
   {{0x8261042a,0xcc4900e6,0xcaa803b8,0xb526011a}},	//   _acatulul, _讨厌干妹妹_, _логотипі_, _לְשׁוֹנְ, 
   {{0x429102a0,0x84da0187,0xc27e023b,0x02d803ff}},	//   _alakans_, _воена_, _upena_, _prdel_, 
   {{0xc290033c,0x00000000,0x00000000,0x00000000}},	//   _timau_, --, --, --, 
   {{0x72a70030,0xa23500a6,0x22fc00b4,0xb2e80119}},	//   _darba_, _پاسورډ_, _lungul_, _buligan_, 
   {{0x68ce01c6,0x62d8000e,0xf607032d,0x00000000}},	//   _allegedu, _ludet_, _ditlhapi, --, 
   {{0x92a70206,0x43fa001d,0xa2020271,0xc86101ef}},	//   _farba_, _casuar_, _skritt_, _autoriau, 
   {{0x499100ac,0xf93200de,0x9dcf01bd,0x0bdf0378}},	//   _klijenta_, _انتیک_, _оптикалы, _ellender, 
   {{0xc3870357,0x254d0040,0xe20102ff,0xca6c0161}},	//   _taura_, _ובלבד_, _ekzije_, _россияна, 
   {{0xcc010053,0x5ea302a4,0x43eb01fb,0xa966020b}},	//   _drastis_, _litterae_, _sexte_, _diporoje, 
   {{0x7e6c013d,0x56c601db,0x3eaf0322,0x00000000}},	//   _koncerne_, _шрифтің_, _baburiye_, --, 
   {{0xc71800ff,0xad2703d4,0x396f0282,0x1cb7003c}},	//   _מעקסטו_, _произвођ, _kotingot, _bangsamu_, 
   {{0xe2900422,0x42d90321,0x62ec029b,0x52900144}},	//   _nimam_, _poceni_, _diineek_, _aneas_, 
   {{0x39e30318,0x0a0a0082,0x668901da,0x59f60028}},	//   _tokotaha_, _sarakuna_, _graduali, _idinkuna_, 
   {{0xaf970410,0xd7f000bc,0x63070037,0x849a0105}},	//   _dithekiš, _میمونه_, _silalah_, _kawalerk, 
   {{0xc5650244,0x29fa0082,0xd632034c,0x00000000}},	//   _сложете_, _babakere, _акциясен_, --, 
   {{0x06b404f9,0xf7c50076,0xe30001eb,0x2c70020f}},	// [1f90] _atugarli, _passagei, _bilampi_, _amasele_, 
   {{0x1c02015c,0x497a022e,0x2b0302c2,0x00000000}},	//   _histores, _antivist, _narratie, --, 
   {{0x89fb0235,0x7d3e006d,0x48d40153,0xc2fd007f}},	//   _क्रमशो_, _арэлі_, _クチコミブログを, _gregyn_, 
   {{0xdb9704ce,0x0599018d,0x86090037,0x6da2003b}},	//   _dzangano_, _መሃንዘል_, _በሚያዚያ_, _alenkapa, 
   {{0xcb1f0157,0x9e3402d6,0x5b910373,0x7b25003e}},	//   _samadhan_, _بوجاغیند, _cionismo_, _булашыу_, 
   {{0x5a7700ed,0xc667030b,0x9a4800c1,0x8fab00d1}},	//   _flagella_, _amajambi, _resepnya_, _বিনন্দিয়, 
   {{0xbe830204,0x76b402f6,0xa20000cf,0x129000d8}},	//   _подарок_, _makatuwi, _bilisa_, _aimam_, 
   {{0x95b90113,0x8290068f,0x14e20071,0xaa490022}},	//   _ballstát_, _enear_, _هیچکدام_, _финанста, 
   {{0x82d802c6,0xe27f00ec,0x7036007e,0x9d860408}},	//   _ardec_, _aplinkai_, _avataran, _enimbola, 
   {{0x527e028d,0x0ce5023a,0x631c005b,0xea07022c}},	//   _apenn_, _serveroc, _dosyusei_, _cilamaya_, 
   {{0xb2d90211,0xc821026c,0x4b6b0119,0xa3260040}},	//   _ettei_, _為民服務白皮書_, _enforcer, _מילפית_, 
   {{0x19650255,0x91cb00d9,0x43f8005f,0x5eba0060}},	//   _प्रवेशला, _sitoutum, _temuco_, _قىسقاشا_, 
   {{0x084a008d,0x43f403f5,0x2e860156,0x4eaf018c}},	//   _борки_, _certos_, _הייראטן_, _parttime_, 
   {{0x73860151,0x326c01e5,0x3a5d0135,0x30a400a6}},	//   _gyere_, _aimoye_, _сайлагыз_, _پروردګار, 
   {{0xa6d402ec,0x7891004c,0x037f027b,0x82fd007f}},	//   _salaadii, _amakungu, _balasya_, _cregyn_, 
   {{0x9224002a,0xef0b018d,0xa41c0162,0x9ab20040}},	//   _adikwa_, _ግዳማዉን_, _буюми_, _חילוניים_, 
   {{0xf2ca03f0,0x22cb012a,0x92a0013c,0x1ed9026c}},	// [1fa0] _fundur_, _kredyt_, _bildirən_, _insidias_, 
   {{0xbfcb0148,0xc501027f,0xfefc0325,0xdb3900be}},	//   _大家最想要的網誌, _aramwish, _balaxanı, _نۇرجىگىت, 
   {{0x1da300af,0x52e90067,0xb34a0242,0x1e8901f3}},	//   _болить_, _ertiraa_, _bilgilər_, _cirkulač, 
   {{0xd2620247,0x45a30147,0x3bc9012a,0xa184005b}},	//   _téori_, _بەرشىن_, _kredytów_, _ayapanko, 
   {{0x1c210046,0xec5201a4,0x52690128,0xa2cb0433}},	//   _ايگەرىمد, _apetola_, _ییملیکلر, _tesda_, 
   {{0xb60e034e,0xf1340088,0x291302fc,0x527f0192}},	//   _albostri, _алдылай_, _babasuhu, _tranen_, 
   {{0x3c6f03ee,0xa9470128,0x4a8400e6,0x4bf400a7}},	//   _potraga_, _шаҳват_, _新规定明确_, _subestac, 
   {{0x6a7c0109,0x0868020a,0x8201010d,0x61f30062}},	//   _प्रेरितक, _بايرىننى, _praktisi_, _danaymeh_, 
   {{0xfe00022a,0xc8eb0037,0xe6b80399,0xb4b90311}},	//   _literata, _ፔንታጎን_, _manavasi, _ትምልከት_, 
   {{0xfc6f03b3,0x13fa012c,0xf6030153,0xa25b0265}},	//   _entrava_, _karume_, _させていただきま, _haalde_, 
   {{0xd2d8025c,0xbeb80037,0x839402ff,0x00000000}},	//   _zudem_, _በማሳለፍ_, _nevyèm_, --, 
   {{0x42d800ee,0x8c62048c,0xf140025c,0x91a100a4}},	//   _ordea_, _mcardle_, _zugleich_, _cercavil, 
   {{0x437800fe,0xdc07038b,0x02670135,0x3d8d0037}},	//   _ataaina_, _persatu_, _алтынсым, _ለማቀላጠፍ_, 
   {{0x02a2047f,0x5743012e,0xfed4022b,0x245d0420}},	//   _उच्चस्तर, _آزمودہ_, _freistin, _interaçã, 
   {{0x829002df,0x43070278,0xb387007b,0x93eb03f8}},	//   _jimak_, _bilakah_, _haurl_, _pepta_, 
   {{0xdc070212,0x0f3f028f,0xa2fd02a0,0xc2780272}},	//   _grisoft_, _hangahan, _isegun_, _amuntu_, 
   {{0x3e0e03b0,0xf08b03ce,0xb20204f8,0x4c130372}},	// [1fb0] _forfatta, _براتان_, _shrine_, _carpedi_, 
   {{0x938703b4,0xe5ff02fe,0x7472035e,0x228b0139}},	//   _sauro_, _ټلویزیون_, _zelenilo_, _dayitā_, 
   {{0x63870103,0xb39502ff,0x63860068,0x2316036c}},	//   _pauro_, _akasan_, _fiirso_, _akizy_, 
   {{0x46040231,0x030d0513,0x0f9603c9,0x5316013a}},	//   _imperium_, _hambana_, _fordeler_, _skizz_, 
   {{0x330d03d9,0xc36c0040,0xec61022b,0x00000000}},	//   _kambana_, _והתחלתי_, _gudurin_, --, 
   {{0x0278017a,0xff090094,0xed790089,0x72900053}},	//   _umuntu_, _ادامشىلد, _наркозда, _limah_, 
   {{0x5388018d,0x8f8e023e,0xaec4023e,0xdf3501f4}},	//   _ትካላቱን_, _تیتانیوم_, _blangkon, _misollar_, 
   {{0x59b600af,0xe85902dc,0x2c610082,0x5f2e023d}},	//   _meddebat, _marrocos_, _kudurin_, _титла_, 
   {{0x33f40005,0xadfd0149,0xe2d800a4,0xc49300d1}},	//   _surtut_, _kọmunist_, _aules_, _এখেতৰ_, 
   {{0xa7c80128,0xf387015e,0x12d80033,0xe9bb01fe}},	//   _اصطلاحلر_, _caure_, _sulet_, _galeleta_, 
   {{0x51820420,0xf3f80082,0x00000000,0x00000000}},	//   _niterói_, _haduwa_, --, --, 
   {{0x52d80016,0x561901d8,0x5394022c,0x02900072}},	//   _dudek_, _ballarmi, _nangtung_, _rimak_, 
   {{0x03f8015e,0x6997042c,0xb2dc0128,0x372502d3}},	//   _graus_, _svojstva_, _лобановс, _vantagem_, 
   {{0x4fc2004a,0x10f600f7,0xbb550026,0x6afd038d}},	//   _konovalo, _אברומי_, _middelen_, _siperfis, 
   {{0x4a5e00ea,0xf22a0244,0xc30d02be,0x7641020f}},	//   _takelaka_, _кораб_, _dambana_, _بارکوال_, 
   {{0x42d9007b,0x760b0237,0xd27e0044,0xd2d804b9}},	//   _favours_, _afkomsti, _spend_, _auler_, 
   {{0xb27e0286,0x8b0900be,0xe387009c,0xcb7d028a}},	// [1fc0] _apene_, _кирешеле, _baure_, _زيارتون_, 
   {{0xd3f8047d,0x69c201db,0x62900227,0xeecf01f3}},	//   _draus_, _تەرسكە_, _samapi_, _postavím, 
   {{0x02d801b9,0x41f5022f,0x2ec702be,0x00000000}},	//   _duler_, _суботах_, _abrolhos_, --, 
   {{0x93f801fc,0xd26d0282,0x00000000,0x00000000}},	//   _baduwa_, _iraoho_, --, --, 
   {{0x230d005b,0x6d290044,0x129002d8,0xad870013}},	//   _bambina_, _substanc, _simak_, _bilmayma, 
   {{0x93b600d7,0x82a701ef,0x92f602be,0x9d190142}},	//   _хайран_, _часовая_, _tahimik_, _anindite_, 
   {{0x343e00ac,0xb61a003c,0x650404b9,0x494e04f9}},	//   _slobodno_, _فرزندم_, _fareweel_, _biologit, 
   {{0xd3f8004d,0xc2c60334,0x615c0145,0xabd9005e}},	//   _prius_, _amalize_, _думах_, _كورېيە_, 
   {{0x027e00a9,0x186f01be,0x93fa00d3,0xacbc01fe}},	//   _ngingo_, _filmový_, _varuje_, _tawalotu_, 
   {{0x92390056,0xe2010373,0x73f400c5,0xf3a30176}},	//   _номус_, _trairi_, _pertes_, _amepia_, 
   {{0xb2d801c7,0x034400f4,0xd2d80362,0xcf2401b4}},	//   _irden_, _antelme_, _bikedi_, _anderkan, 
   {{0x03f8016b,0x871b01da,0x4b630062,0xaeec0153}},	//   _yaduwa_, _gjermanë, _gheritra_, _クショントップ_, 
   {{0xef77017e,0x9293019a,0x7a2003a2,0x4270017a}},	//   _demandis_, _bankrup_, _नवाबों_, _amagilam, 
   {{0x3140020e,0xaed700c6,0x663700d0,0x9b1f018e}},	//   _dibelael, _значного_, _дардас_, _namafamb, 
   {{0x727e00d0,0x62bb024c,0x64b40142,0x53a900db}},	//   _egingo_, _valette_, _अन्तर्_, _munasarj, 
   {{0xb6a50370,0x4e2000cd,0x00000000,0x00000000}},	//   _barungah, _cunmeins_, --, --, 
   {{0xc3870338,0xdb6102d8,0x7c7402ee,0x86cd0291}},	// [1fd0] _paure_, _sinetron_, _affresk_, _antartai, 
   {{0xbf250501,0x3b27024d,0x13b602c3,0x41aa00ff}},	//   _अभिजीत_, _yamaphes, _možnosťo, _אַמסטערד, 
   {{0xe39503b9,0x1212059f,0xa3f80082,0x2b380153}},	//   _ajusa_, _llahu_, _saduwa_, _コシャマインの戦, 
   {{0x427e01f2,0xd3860286,0xd9c700b7,0x619300ff}},	//   _компарти, _ayera_, _балажа_, _פאלקס_, 
   {{0x23fa0282,0x30bd0089,0x7f2b0311,0x00000000}},	//   _petuha_, _броун_, _ከይደቀሰ_, --, 
   {{0x48630016,0xc3090583,0x31c10291,0xff4000a6}},	//   _akuzativ, _prebral_, _دجيتال_, _ayisosip, 
   {{0xa200014c,0x1067002a,0x731c00de,0xf2d90163}},	//   _indima_, _akwarado, _awayeham, _ettem_, 
   {{0x2aa503db,0x00000000,0x00000000,0x00000000}},	//   _kusindis, --, --, --, 
   {{0x2486014e,0x1e000408,0x7c020044,0x00000000}},	//   _смене_, _andefasa, _pictures, --, 
   {{0x03b60238,0x0216001a,0x269a00f6,0x741a0049}},	//   _значення_, _bonyolul, _tikilməs, _ikonimik, 
   {{0xfdb90170,0x4b0d0211,0x00000000,0x00000000}},	//   _chinakha, _потихонь, --, --, 
   {{0x6df70342,0x4a3b00e6,0x11b502c8,0xaee60299}},	//   _bilyonè_, _无锡工商红盾信息, _caramiña, _بۇھايات_, 
   {{0xd9f702a5,0x5758060e,0x90f5017f,0x79630344}},	//   _vydavate, _संग्रहक_, _aktianil, _cafésemi, 
   {{0xd2cd0312,0xa9c3031a,0x06a7013a,0x122b00d1}},	//   _poloneg_, _cilemeat, _mayerhof, _দণ্ডাধিক, 
   {{0xb27e0321,0xa03800c5,0x4a760143,0x5815020e}},	//   _žensk_, _gestionn, _филтъра_, _бумала_, 
   {{0x2200025f,0x72fc0452,0x3afe02ee,0x870d014e}},	//   _andima_, _mungil_, _deframme, _каира_, 
   {{0xa26e0140,0xc340014e,0x2b9a0310,0x2e360399}},	// [1fe0] _nitong_, _nijedan_, _beannaic, _tavaliva, 
   {{0x23dd03ba,0xfc7201e7,0x4ff904c7,0x700900be}},	//   _drawal_, _betreit_, _трансилв, _кичипейи, 
   {{0x5db30195,0x058e0179,0xe2000085,0xc2b60220}},	//   _colaiste_, _baitonik, _biliga_, _marchi_, 
   {{0xd2d50333,0x3ed70060,0x73190079,0xc7fa0137}},	//   _cipolla_, _текше_, _kāzas_, _жинлүүри, 
   {{0x43f900ad,0x1e5400aa,0x466c024a,0x9f3a00d5}},	//   _tuyul_, _bahandia, _birasíìl, _arafesin, 
   {{0x1dbb030c,0x89da01a7,0x368e0101,0xe2940313}},	//   _maliktaa, _kunnossa_, _conditii, _hiratlhm, 
   {{0x37580157,0x7c100061,0xa0e7012a,0x631801e9}},	//   _संग्रहण_, _수소에너지_, _protokoł, _gamiwang_, 
   {{0x6d800115,0x02650024,0xb2090213,0x14080097}},	//   _wallahua, _ত্ৰিপুৰা_, _названия, _laapọn_, 
   {{0xaae80077,0xab1f006e,0xa3ea00a5,0x93e60282}},	//   _retounen_, _damadaan_, _maitau_, _mōtai_, 
   {{0x5667000c,0x6584023d,0x72d803dd,0x6cc40055}},	//   _валико_, _manutenz, _eulex_, _articulu_, 
   {{0x8d1b0091,0x64a30373,0x52000013,0x527800a9}},	//   _amigaitq, _anstataŭ_, _yiliga_, _umunyu_, 
   {{0xbf3b0193,0x12eb015a,0x038700a0,0xb37a02f9}},	//   _kerusaka, _baannus_, _haura_, _depaman_, 
   {{0x338702b1,0x79d801f4,0xcc57039f,0xe61003eb}},	//   _kaura_, _misolida_, _histone_, _noemensw, 
   {{0x62b601f4,0xeaa9008f,0x0c7000a1,0xad030080}},	//   _garchi_, _salvesta_, _kāraha_, _illutaar, 
   {{0x9ebb014e,0x47a200be,0x74b40464,0x294501cf}},	//   _maloletn, _بۅلسۅڭ_, _bakandik, _requirer_, 
   {{0x12d90120,0xfc5c0045,0xc1ca00af,0xe9ca04a7}},	//   _ittek_, _pretilo_, _установч, _saudable, 
   {{0x5248019b,0x12450036,0x9b050109,0x00000000}},	// [1ff0] _kaimas_, _bímid_, _cyklistů_, --, 
   {{0x1ae9035b,0xeb3d0148,0xed5b01b7,0xcdb80034}},	//   _sprememb, _台北市松山區民生, _प्रभृति_, _rannsaka, 
   {{0x77be016d,0x99e60408,0x3f2d00aa,0xd27e0234}},	//   _ھەرقاندا, _antonona_, _kabuanga, _npeni_, 
   {{0xce9c00ff,0x8b1101e8,0xc26e00fa,0x38dc02cf}},	//   _והארות_, _kompanya_, _pitong_, _судии_, 
   {{0xfa9f02ac,0x937a00a5,0x8c670049,0xf29102aa}},	//   _يحفظك_, _augaaso_, _lohuloa_, _steaky_, 
   {{0x408400c9,0x62d8034a,0x0eae0291,0xa42f0265}},	//   _stockbiz_, _ordes_, _stormont_, _afspelen_, 
   {{0xc387001e,0x196603dd,0x1263008c,0x02000013}},	//   _daura_, _denigrue, _schurnal, _tiliga_, 
   {{0xc27e019d,0x69970029,0x41c4005d,0xfd0600be}},	//   _mpeni_, _ڵگاێکی_, _alamikam, _توبۇۇ_, 
   {{0xf3eb00a4,0x8e370217,0x16370075,0x9c58005e}},	//   _repte_, _mananita, _megindei, _تاماكىنى, 
   {{0x26a803f8,0x42020216,0x025a002f,0xa3ea04ca}},	//   _charghch, _entisa_, _asillu_, _abitud_, 
   {{0x296d0203,0xf06d0220,0x42da0193,0xc65e01ee}},	//   _compleer_, _complean, _bosedi_, _жимма_, 
   {{0xcb0704fe,0xd2e901c0,0xf2d901db,0x0b0d0294}},	//   _rimprove, _barinsa_, _سۇيمەدىڭ, _hampinat, 
   {{0x2b8702c7,0xa847017a,0xe2a0021a,0x72f10055}},	//   _gefilter, _масали_, _durbii_, _altiani_, 
   {{0x863701eb,0xf26602c9,0x83020690,0x82000568}},	//   _мариан_, _ансамблу_, _tuhanku_, _feiing_, 
   {{0x22be0040,0x9da00144,0x3287013f,0x5321002f}},	//   _סוכריות_, _chuntasa, _creirwy_, _coayla_, 
   {{0xb26d0121,0x22480145,0x00000000,0x00000000}},	//   _actos_, _žemyn_, --, --, 
  
   {{0x9b7d01ad,0x3463004d,0x02a7033d,0x3ecc03d3}},	// [2000] _sonneber, _睇紫微斗數可唔可, _chebna_, _feriehus_, 
   {{0x3c710025,0xd2d805a9,0x82f20024,0xdea4005b}},	//   _मार्गे_, _mikeyi_, _সহযোগ_, _returret_, 
   {{0xc27f0288,0x2f5f000b,0x470903c4,0x9bda03a2}},	//   _aranon_, _autaunon, _учрушиду_, _भदौरिया_, 
   {{0xe3870149,0x93a901b2,0xfe2b0148,0x12e70122}},	//   _ezuru_, _crevice_, _政府採購資訊公告_, _awangun_, 
   {{0x72d90211,0x08b700c4,0x1678018a,0x43410016}},	//   _kuten_, _لامحدود_, _mileniwm_, _liberan_, 
   {{0x4c5701d4,0x28cc03a1,0x7d7e0081,0x827f01bf}},	//   _pistone_, _осветлен, _framunda, _usunt_, 
   {{0x02d900ee,0xa31600a9,0x76c60006,0xa26d0040}},	//   _duten_, _akazu_, _membersi, _actor_, 
   {{0x62c10321,0xd41a0318,0xc8530126,0x425b03ab}},	//   _želiva_, _ikonomik, _площу_, _povlak_, 
   {{0x38530074,0x8a3e0189,0xc9fb02f7,0x711c0229}},	//   _рекламны, _haritası_, _bukatsat, _alışıb_, 
   {{0x53b900a4,0xca9701b4,0x22320211,0xd4fd0350}},	//   _previst_, _namibies, _многодет, _የአብዮታዊ_, 
   {{0x4290043a,0x0ea702fe,0x90f8018d,0x204404b3}},	//   _nimas_, _پیامها_, _ኮንቴነራትን_, _diduaman, 
   {{0x5f5c00aa,0x6ae601be,0x2e540372,0x00000000}},	//   _alyansan, _अन्योल_, _asiantia, --, 
   {{0xd386001a,0x9da000d6,0xbf62017a,0xd23902d6}},	//   _nyert_, _shuntasa, _akuphela, _зобул_, 
   {{0xecce0047,0x92fa00e9,0xd0fa030a,0x2e380427}},	//   _县级以上地方人民, _bachara_, _bacharel, _turaaqta, 
   {{0x729000ed,0xf177040f,0x930400da,0x7c4e0216}},	//   _pamati_, _месты_, _curajul_, _makwenu_, 
   {{0x030c00f4,0x12900082,0x9a12022d,0xea53014a}},	//   _dibabet_, _lamari_, _riscossa_, _idióta_, 
   {{0x32020005,0xa96700e4,0x15530320,0x22d90014}},	// [2010] _entira_, _skontakt, _eyakweth, _futen_, 
   {{0xa29001fa,0x32d90166,0x371800ff,0xc7bc0040}},	//   _tamasi_, _guten_, _צעלסיוס_, _גלידות_, 
   {{0x22490457,0x52da013b,0xf41d00ab,0xc3fa0270}},	//   _daamis_, _abueme_, _kiripuak, _vetula_, 
   {{0xb27f01da,0xb51a0192,0x920003f5,0x73eb0270}},	//   _pranon_, _관광안내책자_, _comigo_, _nepta_, 
   {{0x02900108,0xb6800255,0xf53e002e,0x52d8022c}},	//   _kamari_, _रुलाई_, _održavaj, _ludes_, 
   {{0xf45501b7,0x1fb0014e,0x8f46031a,0xf25d00dd}},	//   _रसेन्द्र, _имунизац, _deirdrie_, _calonogi_, 
   {{0x543e0223,0x57e7004a,0xa52001d2,0xac6703ac}},	//   _хасна_, _başıña_, _chantach, _lakunya_, 
   {{0xf27f00ea,0x5c0902df,0x14a8032d,0x39dd02f4}},	//   _tranon_, _sempena_, _байдәүлә, _entendie, 
   {{0x690700c4,0x663902c9,0x00000000,0x00000000}},	//   _kitamadu, _invizibi, --, --, 
   {{0x53eb0203,0xb2d80212,0x1c2a0350,0x8e4701a4}},	//   _lepta_, _audet_, _አርእስተ_, _sibakaye_, 
   {{0xf34400c2,0xbdc3007a,0x69e203c4,0x28c0019c}},	//   _ubwenge_, _meriahka, _ئاسيا_, _olodoodu, 
   {{0x62d90590,0x72740593,0xc98c004c,0x3f1e0117}},	//   _zuten_, _forskjel, _abahinda_, _sandroin, 
   {{0xdb76024a,0x628e0043,0x120e00af,0x478d0137}},	//   _àyọkà_, _kaakano_, _гадаю_, _цогзолма, 
   {{0xa29100bd,0xc49e02af,0x8340031a,0xc9ea011a}},	//   _preach_, _barasonz, _cirdeas_, _overload, 
   {{0x644a005e,0x33a00156,0xa5a801de,0x00000000}},	//   _ظعلضعرع_, _ספּיידער, _мазалайт, --, 
   {{0x93fa0179,0x42f00067,0x00000000,0x00000000}},	//   _setula_, _godinni_, --, --, 
   {{0xd3fa0620,0x91cc00f5,0x0f22009a,0xb5ce010d}},	// [2020] _populi_, _лылар_, _alithaba, _bawaanny, 
   {{0x636002c2,0xa2900373,0x1a440157,0xfd8f0295}},	//   _liggaam_, _timas_, _adresata_, _ngalinga, 
   {{0x42f5035b,0x0d000212,0x12b802c2,0x00000000}},	//   _turizem_, _occurrer, _handsak_, --, 
   {{0x8290001e,0x12a7006e,0x231002ff,0xd69a04b3}},	//   _samari_, _caabiy_, _bouzin_, _boutailh, 
   {{0x72d80237,0x3c390096,0x7ed401ce,0x34b60109}},	//   _ouder_, _abaperes, _agungbbs_, _टाँडी_, 
   {{0xd4770452,0xb348007f,0x5e0702eb,0xdfbc015d}},	//   _प्रिलिम्, _adleoli_, _бичвэл_, _अलिकांते_, 
   {{0x837a0115,0x26b8005c,0x996900e6,0xb54100ae}},	//   _sepakan_, _babafiti, _aspirate, _kizigamy, 
   {{0xf972020f,0x825b0120,0xae530054,0xb200008b}},	//   _عبدالروو, _naalle_, _bambamce_, _indina_, 
   {{0x2000007e,0xdd9f009a,0x71330032,0x62000691}},	//   _aghoryād, _abangasa, _chowodmo, _comido_, 
   {{0x221c0325,0x00000000,0x00000000,0x00000000}},	//   _dəmirəl_, --, --, --, 
   {{0x0fad028d,0x8dba0268,0x9a6c025c,0xdf0300c5}},	//   _enkontro, _acticesp, _thematis, _inspiré_, 
   {{0x42d80416,0xa7370137,0xb6b40308,0x826400ca}},	//   _luder_, _урангоо_, _meluasny, _caulet_, 
   {{0x0ccc03ce,0x9e01003f,0xa34804d7,0x103200c7}},	//   _میونخ_, _dapeghta, _algengi_, _болында_, 
   {{0x1f4002fa,0x92e80499,0x4fad01b9,0xf395024e}},	//   _nyagasan, _amanatu_, _inkontro, _svasta_, 
   {{0x225a00df,0x72d9009d,0x827c0333,0x034205fb}},	//   _taille_, _lutem_, _gênes_, _pobegao_, 
   {{0xa20000c7,0x5d9a01a9,0x856700b6,0x62d40311}},	//   _liliya_, _comodida, _koomaamí, _lubonja_, 
   {{0x82cc0124,0x929003b0,0x1ad202db,0x8cab00e6}},	// [2030] _kualimo_, _timar_, _niuteste, _更多该播客的视频_, 
   {{0xb2ec0692,0xda7d03b4,0x2666008d,0x6c9802c0}},	//   _алмай_, _achafara_, _гуруҳини, _концепти_, 
   {{0x52020088,0xcf3004b4,0xe34b0350,0x827e00e0}},	//   _botiga_, _wesenlun, _የተሸከርካሪ_, _speno_, 
   {{0x574603f4,0x7fb700dd,0x8f78004d,0xd0f80153}},	//   _аккаунто, _diflanno, _財政部臺灣省南區, _ル条約登録_, 
   {{0xedf5029f,0x276901b8,0x05050137,0xdc7400fd}},	//   _atraktív, _हिम्मते_, _энергиэр_, _samradh_, 
   {{0x5e670488,0x1a0100a5,0xfea903a2,0x20be02ba}},	//   _autorizē, _asiasiga_, _फ़ीडबैक_, _шиква_, 
   {{0x6a3100de,0x721201a6,0xd88802d5,0xd1980152}},	//   _مشترکه_, _anahe_, _isikuand, _органнар, 
   {{0x137c025f,0x291e00bb,0x8e29026c,0x2ecc02c6}},	//   _israele_, _المیے_, _sermonis_, _dilinenn, 
   {{0x52ee00bc,0x94d3043a,0xb15600c1,0xecc40012}},	//   _madranah_, _filipuän, _आपुलकी_, _पराइलउभा, 
   {{0xb76901b8,0x125a01ac,0xffc900cd,0x00000000}},	//   _हिम्मती_, _saille_, _aquistar_, --, 
   {{0xea7d02c5,0xec2b02ea,0x22d8014a,0xe4460162}},	//   _achagara_, _apparecc, _erdei_, _ماڭىلا_, 
   {{0x3e5d0088,0xc20000d5,0xb8510405,0x9200000a}},	//   _treballa, _midina_, _обрали_, _asiip_, 
   {{0x29f5026f,0xed1b018d,0xee3500ce,0x61e0011a}},	//   _ءﺍﻧﺸﻰ_, _ንክኽተቡ_, _reponsab_, _הנישואים_, 
   {{0x262d02a9,0xf9880590,0x768b03d1,0x6f2d001c}},	//   _лінгвіст, _театрт_, _paverdzi, _kabutnga, 
   {{0x2bd101b7,0xa2d80176,0xbf7d004b,0xc9ed002b}},	//   _योऽयं_, _ruder_, _камераға_, _ইউনূসের_, 
   {{0x984e004c,0x466201cd,0x4d060099,0xa2e70258}},	//   _amalirid, _angisakw, _haareger, _teannen_, 
   {{0x99ac048a,0xc6a1017d,0x1902032d,0x2a950096}},	// [2040] _бюджетті, _ご了承ください_, _бульвары_, _akiyonge, 
   {{0x454a0148,0xd31600bb,0x6e3902a2,0x5d96004d}},	//   _本部落所刊登之內, _konzol_, _mabawasa, _世界請看著我_, 
   {{0x4c16012b,0xb213005b,0x063b036d,0xa15600dd}},	//   _ofertę_, _lychee_, _chliamai, _brastero, 
   {{0x8ae1045f,0xf3170272,0x320000ec,0x61fa00d1}},	//   _kostnade, _abazzi_, _didina_, _কোৰোণা_, 
   {{0xbc1c002a,0x63fd00a6,0x28b80153,0x2f4b0693}},	//   _uzopulu_, _aziziva_, _子犬の飼い方_, _fotosluž, 
   {{0xb7e001c9,0x89f901e4,0xcf3e0139,0xe3ea0358}},	//   _hispaani, _nadstand, _ambarānt, _abitid_, 
   {{0x724904ca,0xeb18038e,0x50990181,0x5bb200be}},	//   _acamps_, _bebatuan_, _auとwimax_, _سەپلدى_, 
   {{0x1a760335,0x2f3b01d8,0xd36502ac,0x345d0078}},	//   _नमोनमः_, _kongwien, _صناديق_, _проповед_, 
   {{0xb93d0169,0x3cd7022b,0xf8e901be,0xa224013e}},	//   _সভায়_, _dávavirk, _balónky_, _edikta_, 
   {{0x43020313,0xcfad0053,0x9c7d0120,0x4060063d}},	//   _bodanpu_, _dikontro, _onusida_, _vulkansk_, 
   {{0x367f0087,0x334300d9,0x00000000,0x00000000}},	//   _ehlekiti, _ходовая_, --, --, 
   {{0x83700192,0x92900326,0x735f0021,0x9c7504eb}},	//   _톡톡궁금증_, _aamai_, _aacenay_, _सिप्पी_, 
   {{0xa2900082,0x32900032,0xe0f00187,0x73a50464}},	//   _bamai_, _mamaw_, _статусот_, _narangij, 
   {{0x22900338,0x371400b5,0x62d90211,0x375f028b}},	//   _jamai_, _cherendá, _ettet_, _официалт, 
   {{0x0462002b,0xbe3b0331,0x2af700d7,0x4dba02e0}},	//   _মেহদী_, _limaskap, _гарегин_, _diritiba, 
   {{0xb2900120,0xb3a502c1,0x390200b3,0xbe39010e}},	//   _tamah_, _barangij, _aldamakd, _babawasa, 
   {{0x321300d6,0xb26c0147,0xc20202c3,0x0200042d}},	// [2050] _nagham_, _ئللپاللا, _skrine_, _aidina_, 
   {{0xb387030e,0xe27f01d9,0x5d7d011d,0xf21203f6}},	//   _nzuri_, _fruny_, _марторий_, _iniha_, 
   {{0x9e9e02b0,0x32d8004b,0xc395015d,0xb9c300ba}},	//   _erstellt_, _pehelo_, _skazany_, _ناڤبه_, 
   {{0x1c7c014a,0x88c003c2,0x225a0369,0x32da04b9}},	//   _forrás_, _deserved, _plolei_, _direck_, 
   {{0xf202014b,0x12900082,0xd27f0418,0xffad02e7}},	//   _fotima_, _yamai_, _aranan_, _gikontro, 
   {{0x6a7a017d,0xfc8b0192,0x0e4305fc,0x197e00b4}},	//   _エグザイル_, _저작권정책_, _मुद्दाहर, _echivale, 
   {{0x8bf5003d,0xdaf503eb,0x338000dd,0x351b02fd}},	//   _arrestac, _arrestas, _meurig_, _slanuigh, 
   {{0x23a502c1,0x2cbd013d,0x054200de,0x00000000}},	//   _yarangij, _ensalutu_, _azikabuy, --, 
   {{0x5d860359,0x2004034f,0xb2000369,0x1c570036}},	//   _tegearre_, _اندازې_, _hilina_, _cistine_, 
   {{0xbb620052,0x171d039c,0x1cef0026,0x6b540059}},	//   _भयानक_, _actuació, _plattegr, _esemplar, 
   {{0xa29005fd,0xf3ff0414,0x57b0002b,0x7212005c}},	//   _ramai_, _batunaki_, _রোকেয়া_, _aniha_, 
   {{0x421300df,0x10c900c7,0x3e6703d1,0x625b0448}},	//   _fiches_, _тарихыбы, _autorizā, _kabler_, 
   {{0x7f2303f5,0x7dea0583,0xc21301b6,0x9a330177}},	//   _semelhan, _deljenje_, _niches_, _hogakuér, 
   {{0xca7f0147,0x7b8d0152,0x46240170,0x133c0188}},	//   _ئيمەگىرە, _tariflar, _athimbwi, _маъзарат_, 
   {{0x9c540263,0xedc40059,0x02a500e6,0x92c300f3}},	//   _prachtig_, _comincia, _用户收藏管理_, _isilimo_, 
   {{0x1a4f009a,0x68c00448,0xa04502f9,0x52d8012d}},	//   _abamiseb, _reserved, _ameriken, _oslem_, 
   {{0xc29000fe,0x93ea0278,0xa37800b2,0x5423034f}},	// [2060] _tamai_, _baitku_, _bahatan_, _amabhaso_, 
   {{0x0c1d01af,0xa310037c,0x34e50452,0x00000000}},	//   _arwahlar, _mercede_, _एलिझाबेथ_, --, 
   {{0x643800c5,0x125b0249,0x02d40037,0x2ecb03bd}},	//   _警惕高仿真的古币, _skelem_, _ለድርድሩ_, _kalisdan, 
   {{0x598a002e,0xc2ee0359,0x2e8400f0,0xe030020f}},	//   _sviđa_, _moandei_, _letovísk_, _banesibo, 
   {{0x1e770222,0x5b8303b7,0xec760005,0x6f660109}},	//   _salariés_, _acrobloc, _anquals_, _patrové_, 
   {{0x937f01bd,0xe4ec002b,0x5e4d00ec,0x23720130}},	//   _астанада_, _নাদান_, _спробы_, _bellaing_, 
   {{0x1c610384,0x63160694,0x39bf0151,0xfd3c00e0}},	//   _siguran_, _ejizi_, _abnegate, _drintske_, 
   {{0x0a07020d,0x9bd90434,0xf2c5027c,0x6acf026e}},	//   _gerageza_, _posesión_, _avelise_, _शंकरपुर_, 
   {{0xa3f900ad,0xd20003f1,0x56d70322,0x00000000}},	//   _buyut_, _zilina_, _bakabitw, --, 
   {{0x238700c4,0x67860208,0x9e3b03ac,0x3200023b}},	//   _uzuri_, _داننان_, _berlapis_, _pilina_, 
   {{0xec550371,0x3f9500cd,0xc1ae0144,0x4da501aa}},	//   _esitate_, _aventüra_, _ومالي_, _earingwa, 
   {{0x52020256,0x92da023b,0xf8bb009a,0x5baa04cf}},	//   _notika_, _lepero_, _ميرکی_, _lenkonzo_, 
   {{0x1082022f,0x9f0c0040,0xdabd03ce,0xb567003e}},	//   _бенгальс, _בהולנד_, _میشدا_, _англияла_, 
   {{0x03e40362,0x529100bd,0x2c970013,0xa54a02b6}},	//   _akamatak, _aready_, _турғун_, _ماڭدايىڭ, 
   {{0xe8fd0695,0x4c3000f8,0x31fc010d,0xd2020439}},	//   _yuvarlad, _নরওয়ের_, _अर्जुनान, _nitiva_, 
   {{0xa2590388,0x02d90098,0x92da0047,0x738c00fa}},	//   _particol, _atter_, _faveur_, _karylle_, 
   {{0x220e0088,0xf3ff03b9,0xbbaa04cf,0x06c200e6}},	// [2070] _тамак_, _ratunaki_, _benkonzo_, _主要表现在_, 
   {{0xfccc015e,0x42d8009b,0x99110147,0x43e4011b}},	//   _миссияны_, _beheko_, _تۅۅلۅر_, _ekamatak, 
   {{0xa9f303d8,0x30e903bf,0xe022002e,0xc714005d}},	//   _prosvjed, _башлаяса, _predizbo, _cherendú, 
   {{0x42d9047c,0x4dd901bd,0x32d80245,0x94d700c7}},	//   _etter_, _дәрменсі, _shken_, _талкан_, 
   {{0xf5080163,0x526c0373,0xc25a0113,0x3a8604b3}},	//   _freemail_, _celon_, _mbille_, _bennaenn_, 
   {{0x285a0068,0x82c900dd,0x2dfb0311,0x06a200fb}},	//   _دعوادار_, _camlesi_, _ክነጻጸር_, _oluthath, 
   {{0xb3940527,0x0a1a04dc,0x136d007a,0xfa0602b0}},	//   _prosle_, _رزایی_, _bergaji_, _verbiete, 
   {{0xcea80125,0xa0f003b7,0xee290212,0xaa1400c4}},	//   _аладасын, _asticall, _germanis_, _kusamehe, 
   {{0x593f0311,0x00000000,0x00000000,0x00000000}},	//   _ክጥርነፉ_, --, --, --, 
   {{0x72900372,0x1f350478,0x7a350128,0x73f802ea}},	//   _camau_, _suportar_, _حساسیتلر_, _caduta_, 
   {{0xa39400ce,0xf200019f,0x3d2e00d1,0x722a00af}},	//   _asosye_, _milima_, _চুদাংফা_, _комах_, 
   {{0xf2e103d8,0x1231026a,0x449d0092,0x8b6c00d1}},	//   _kolovoz_, _daumaka_, _コンスタンティン_, _সংখ্যাৰপ, 
   {{0x52a00309,0x637f05c9,0x12900243,0x3145006c}},	//   _qurban_, _hahaaaa_, _namat_, _душманӣ_, 
   {{0xd03f01ac,0x826c0183,0x798100ac,0xc3780291}},	//   _cartlain, _velon_, _prekrive, _eteanga_, 
   {{0x9202011b,0x3a5001d5,0xd3a10109,0x33fa00a1}},	//   _botika_, _الیقین_, _sekretář, _topuni_, 
   {{0xcdb70269,0x720002e0,0x43460026,0x4e180134}},	//   _vivienda, _didiba_, _leiders_, _owóye_, 
   {{0xd3f80025,0xef0d02d3,0x19700065,0xdb6200de}},	// [2080] _yaduta_, _dormitór, _standort, _elothana_, 
   {{0x9290010b,0xd4ad0059,0x7290000f,0xa37c0194}},	//   _bomang_, _цитиране_, _damat_, _marasme_, 
   {{0x940d0562,0x39f6014a,0x659c0040,0x12620299}},	//   _bibigenz, _netán_, _ולהעביר_, _ئاققۇ_, 
   {{0x68c800e6,0x0d2e00d1,0xd51601e9,0x00000000}},	//   _国家保护知识产权, _দোকানখন_, _khuranyo_, --, 
   {{0x8c760696,0x8b1f00b0,0xdbdf03e0,0x19ac0262}},	//   _actuais_, _ramadaan_, _alleguer, _amatlyş_, 
   {{0xbdef012a,0xa3f80082,0x520004e5,0x00000000}},	//   _studiowa, _hadura_, _bidiba_, --, 
   {{0x1a0d008c,0x72c2053a,0xd90d01d9,0xadca0184}},	//   _aviatica_, _čelika_, _aviatiou, _iyihamba, 
   {{0xfa4303ff,0x68f70210,0xebe40274,0xa2020205}},	//   _konkrétn, _achatitu, _úrvinnsl, _fotiha_, 
   {{0x92d9008c,0xb28100c1,0x00000000,0x00000000}},	//   _fageva_, _semanggi_, --, --, 
   {{0xa104000c,0x72020240,0x00000000,0x00000000}},	//   _адержава_, _tuqiri_, --, --, 
   {{0x9fee0502,0x02900235,0x00000000,0x00000000}},	//   _greyhoon, _damam_, --, --, 
   {{0xef350035,0x5b7e0291,0xf2ec0212,0xf3f802bb}},	//   _bertuğan, _تكبيرات_, _actione_, _waluta_, 
   {{0xb37f023d,0x3a0a0301,0x28b603f0,0xd2d80066}},	//   _domanda_, _başlıca_, _myndband, _ordez_, 
   {{0x21ad0102,0xb8b90045,0x7a350046,0x22000102}},	//   _بيابانن_, _наставил, _fiscalia_, _kiliba_, 
   {{0xe7ad01e1,0x926c0403,0xf5ea019b,0xd16301d5}},	//   _премияһы_, _veloo_, _поймы_, _ٹارزن_, 
   {{0x49ec01a0,0x20460220,0xcfa10312,0x39b602b4}},	//   _anyiketa_, _altrimen, _berengar_, _fundísa_, 
   {{0x007e003c,0x2b8101fe,0x92ef037b,0x313a0151}},	// [2090] _مسافرت_, _phonecar, _semilla_, _berehagh_, 
   {{0x9454016d,0x6b070044,0xa6b20164,0xb57201a3}},	//   _ﺑﯩﺨﻪﺗﻪﺭﻟ, _consumpt, _мураҗиәт_, _رائٽر_, 
   {{0xe386021a,0xdb080096,0x755b01bd,0x00000000}},	//   _biiroo_, _arishima_, _ەتۋگە_, --, 
   {{0xa37f0377,0x8a22006c,0xc394006e,0xbae80109}},	//   _comanda_, _аттор_, _feese_, _odstínec, 
   {{0xf27f0306,0x158101ca,0xdde4001e,0x2b4e0226}},	//   _apuna_, _daleghch, _murkushe_, _bakwenda_, 
   {{0xa379001f,0x8a590121,0x1673004b,0x00000000}},	//   _papaapa_, _carencia_, _болотҡа_, --, 
   {{0xe29002d5,0x1fbd0060,0x2a430163,0x33d30092}},	//   _samal_, _ايتماتوۆ, _konkréta, _個人情報保護のた, 
   {{0x890a0089,0x28960244,0xe5150012,0x958401c8}},	//   _alabugad, _таксата_, _उरीदवे_, _rodinám_, 
   {{0x8e4e010f,0xb2eb02bc,0xc90403b4,0xbafe03f0}},	//   _панду_, _saindur_, _adhavhid, _aðfinnsl, 
   {{0xda2b0294,0x02d80418,0x00000000,0x00000000}},	//   _cuicocha_, _dikey_, --, --, 
   {{0xc27a017d,0x8b81052b,0xe85e046b,0x00000000}},	//   _氏名又は名称_, _सुरमई_, _llanystu, --, 
   {{0xf28701a0,0x7202019b,0xc3860132,0xde7d01b3}},	//   _atekiwe_, _motina_, _nyers_, _вареники_, 
   {{0x71280092,0x959a008f,0xe32501ef,0x62000101}},	//   _発明の名称_, _energiak, _адкрытым_, _ridica_, 
   {{0x725b02fb,0x8c170343,0x9a62034a,0xa27e0574}},	//   _ipalau_, _jailbird_, _amplious, _openu_, 
   {{0xe3940095,0x7bb00086,0x42180369,0x8a2a0153}},	//   _ndeso_, _الزبتھ_, _wiekanam, _エンジョイ_, 
   {{0x75a7012b,0x90e50376,0xa9fb01c9,0x52dd0390}},	//   _झूमते_, _avriksfl, _kajastat, _finişə_, 
   {{0x0ff40193,0x8b7c00ab,0x798a019d,0x0d28004b}},	// [20a0] _प्राकृत_, _mehurama_, _idakonza_, _ахырҙа_, 
   {{0x98940155,0x03380145,0xf68e007f,0x821c0318}},	//   _råvaror_, _арнамент, _bontnewy, _mashee_, 
   {{0xa2d9037c,0x32a00141,0x742200ba,0x77c100e7}},	//   _artem_, _qurbon_, _قاسپه_, _annularw, 
   {{0x5dfc01aa,0x5646022b,0xe45604da,0x6aef0004}},	//   _objectwa, _leikarum_, _prijetio_, _kalonnen_, 
   {{0x0d9a01f4,0xd15c0008,0x9a4c006f,0x767c0220}},	//   _tomonida, _сурап_, _تجزيا_, _evidenzi, 
   {{0x25b5019e,0x809300be,0x661f0090,0xb380012b}},	//   _пунктам_, _ابىيىرىڭ, _akandisi, _potraw_, 
   {{0xaaa9034c,0xc31702cb,0x23660156,0xd09700e5}},	//   _князева_, _emocije_, _דיקדוק_, _премин_, 
   {{0xf29001b7,0x13ce00e3,0x93f80055,0x00000000}},	//   _samam_, _solvit_, _calura_, --, 
   {{0xfc68000a,0xf28600e6,0x6d3c01c6,0x00000000}},	//   _buhrkal_, _affinez_, _tryntsje_, --, 
   {{0x62cb0313,0xd2000320,0x8fd60697,0x00000000}},	//   _chadaj_, _ehlisa_, _atendemo, --, 
   {{0xf76702eb,0x60440390,0x169900c4,0x00000000}},	//   _банкаар_, _abdullan, _nimesiki, --, 
   {{0xc30e0210,0x32e801f1,0x4bdf02bb,0xdb0a00be}},	//   _akabava_, _abonohu_, _holender, _قالۇۇسۇن, 
   {{0xd2910113,0xc2900016,0xaa3c03f2,0x927e0026}},	//   _anuas_, _samaj_, _зубов_, _opent_, 
   {{0xa3a300fe,0x8f080037,0x229004b2,0x3981019a}},	//   _alepea_, _የሚለዉን_, _hamak_, _adviseme, 
   {{0xb14e00d8,0xa8910272,0xf5060204,0xf29102ca}},	//   _imitacio, _alikungu, _maalivah, _cnuas_, 
   {{0x48b70169,0xfaba0135,0x7e720664,0xf8060361}},	//   _দেশগুলোর_, _talantlı_, _सुज्ञ_, _кратера_, 
   {{0xc27e033e,0x2aef033d,0xbafe002b,0x03c40188}},	// [20b0] _apenu_, _galonnen_, _ইশতেহার_, _дӯзах_, 
   {{0x0b9b02ec,0x8ca20184,0xe9f7038b,0x0bd40122}},	//   _ژھێپِتھ_, _arazakir, _miliknya_, _تألیف_, 
   {{0x5af50527,0x2ea70333,0x3d980139,0x09ff028a}},	//   _dovoljan_, _parlavan, _anyoanya, _watakaot, 
   {{0xc2910057,0xb29e00f5,0x04c1000c,0x52270137}},	//   _anuar_, _дивар_, _гәндарс_, _парист_, 
   {{0x0188038d,0x61b90064,0x190b0205,0xd3ff002c}},	//   _levantay_, _деймин_, _уйланама, _anplifik, 
   {{0x429000ad,0x7cf001ab,0x00000000,0x00000000}},	//   _mamah_, _भाएकेँ_, --, --, 
   {{0x1a0402ca,0x5357034b,0x3e2c0064,0x8203022f}},	//   _polasait, _sotfala_, _جانشەرىك_, _алкалоід_, 
   {{0x605e0060,0x725101e6,0xc9f80022,0x6d3500c7}},	//   _айдарлар_, _poslanci_, _balisana_, _рудаков_, 
   {{0x9891006d,0x529000d2,0x7be80085,0xe539029b}},	//   _афганска, _namah_, _kotokoto_, _farataal_, 
   {{0x82010073,0xd37a000c,0x18c80185,0xfc150222}},	//   _debite_, _астандар, _betereld, _désert_, 
   {{0x2fcc048f,0x93eb03ab,0xcfae0445,0xb26c018b}},	//   _fatiguer_, _texty_, _encontro, _deloc_, 
   {{0xcd1c040d,0xcb55022b,0x00000000,0x00000000}},	//   _semorafe_, _feitasta_, --, --, 
   {{0xf5630148,0x3f3b02b4,0xf7d50043,0x00000000}},	//   _命中注定我愛你_, _esigaben, _batundaw, --, 
   {{0x187f0266,0xf2aa0037,0x05aa03f2,0x00000000}},	//   _perhimpu, _አፈጉባኤ_, _опасения_, --, 
   {{0x39ee0257,0xd13e0064,0x5a0d029b,0xe6c50083}},	//   _borgarst, _التووبۇز_, _axaaliba_, _calantgi, 
   {{0x03860439,0xeb78018d,0xc20202d3,0xca990122}},	//   _axere_, _ናይብሓቂ_, _rotina_, _دوردست_, 
   {{0xc5710170,0xe37b02cb,0x22d90166,0x12250331}},	// [20c0] _amatuluk, _dolazim_, _gutem_, _fjakka_, 
   {{0x6290022f,0xdc9600ff,0xafe000b2,0x7866015e}},	//   _namai_, _ישראלדיג, _eksipilo, _pèrdues_, 
   {{0xc2d902a4,0xcbe00217,0x04b502c3,0xdc62010d}},	//   _autem_, _disesper, _cudzieho_, _mutusin_, 
   {{0xc21303cc,0xa51c0096,0xa4b30137,0xe2020360}},	//   _dichos_, _bakuyemo_, _үлгэрлэн_, _fotila_, 
   {{0xd15c0035,0x32900245,0xa2da000f,0xd05a014a}},	//   _турап_, _kamai_, _lisesi_, _parancso, 
   {{0x92e9003f,0xd29001ec,0xacd40162,0x422502c3}},	//   _biwihha_, _samak_, _гурридә_, _nickom_, 
   {{0xa053013b,0x5315040e,0x036402b0,0xd4e703c4}},	//   _geoscien, _sinnelag_, _fingern_, _دارىلتام, 
   {{0x86570067,0x105901e8,0x7f5b0193,0xf2980126}},	//   _bishanii, _igkakaro, _kekayaan, _програмі, 
   {{0x3709063d,0x9e4d03d9,0xf8820361,0x00000000}},	//   _kulturmø, _ambarana, _кохтла_, --, 
   {{0xf200030c,0xebdf0127,0x49fb00b4,0xa21302cf}},	//   _kihimi_, _pagesper, _medicala_, _bichos_, 
   {{0x89d901da,0xbc2c01a1,0xe27f02e4,0x17cd0022}},	//   _bisedime, _toebehor, _elenku_, _фоторәсс, 
   {{0xc83900b4,0x00000000,0x00000000,0x00000000}},	//   _политикэ_, --, --, --, 
   {{0x72d80212,0xa00d042c,0x0b44002b,0xe70301ee}},	//   _iudex_, _pokvaren, _ফোটোগ্রা, _йоккха_, 
   {{0x8379000c,0x07b10160,0xe2e0024a,0x1280020e}},	//   _hilario_, _obilazak_, _idanimo_, _drakone_, 
   {{0x520e061d,0x1d540318,0xa27e0055,0x00000000}},	//   _қарап_, _kapapulu_, _apens_, --, 
   {{0xe27e0342,0xdae10079,0xc28d00a6,0xc0c60170}},	//   _osinon_, _projektā_, _akukuva_, _amalakal, 
   {{0xa8f6008d,0xd1cc00ff,0x936e033e,0xa3ed0318}},	// [20d0] _لایتهد_, _אלקהאל_, _mongaru_, _tautoloi_, 
   {{0x403800bf,0xdc720026,0x99c800bb,0x126c0039}},	//   _особенно_, _betreft_, _lendület, _leloa_, 
   {{0xdc51023b,0x027e0343,0x524a0189,0xc248048f}},	//   _ahituba_, _asinon_, _resmen_, _dzomi_, 
   {{0xa35603ba,0x58900139,0x79800065,0xd34203ac}},	//   _stiffen_, _anekavid, _maximale, _torehan_, 
   {{0xc06f0061,0x423e0061,0x326c0190,0x2934004d}},	//   _무시무시한_, _우선합니다_, _redoa_, _市府新聞稿_, 
   {{0xf43203a8,0xa96e02eb,0xb13d0243,0xa5bb01d5}},	//   _পোলিং_, _ломбардн, _tellemmô_, _diplomát_, 
   {{0x8ae60265,0x4fb801e6,0x3fc101b6,0xdc010434}},	//   _verloren_, _naplánov, _minneapo, _asistir_, 
   {{0xa2ea0639,0x7f4200d1,0x6fe40056,0x0d6f0144}},	//   _butiran_, _torsdaga, _супурд_, _أحزان_, 
   {{0xd14a0177,0x32f701ec,0x8280012e,0x25320227}},	//   _australo, _مازیار_, _الوحیشی_, _sunnahny, 
   {{0x82f5008c,0x4179036c,0x15e400ff,0x721201a6}},	//   _turnier_, _andininy_, _לטובֿת_, _inihi_, 
   {{0xb2fc012a,0xb25a0544,0x12d60181,0x9d3a01c4}},	//   _uwaga_, _hoolei_, _skolens_, _afrikane_, 
   {{0x77bd000d,0xf2ce03c2,0x06b202a3,0x02e70203}},	//   _खड़गपुर_, _piloted_, _vergifni, _duantun_, 
   {{0xd14002e0,0x93f402f2,0x754f0028,0x77070381}},	//   _babelael, _cortos_, _tashanay, _bahyayá_, 
   {{0x1b0700af,0xc2000085,0x33a200b4,0x8e270024}},	//   _тиждень_, _daliga_, _scopul_, _হেঁপাহ_, 
   {{0xf9c502ee,0x92a2038a,0x021e0158,0x322d00cb}},	//   _valletta_, _chantá_, _naśladow, _мантикро_, 
   {{0x503f03a4,0x0c2601a3,0x572e0653,0x00000000}},	//   _bloggupo, _ڪاريڊور_, _nazvaná_, --, 
   {{0x6e3802be,0x106d00c5,0xff41031a,0x22c400bd}},	// [20e0] _karapata, _生命的艳遇狂奔_, _bharicha, _timmers_, 
   {{0x55280170,0x6580056b,0x35eb02b9,0x00000000}},	//   _chingakh, _dilukisk, _beregszá, --, 
   {{0xb2820013,0xd8d20599,0xf37800e4,0x1e4e05b1}},	//   _کنفرانسی_, _बाँटे_, _badania_, _vacsinou_, 
   {{0xeb7900ab,0x75100153,0x477301b8,0x00000000}},	//   _kapowair, _個人情報保護_, _सुतावऽता, --, 
   {{0x3e33042f,0xf7a3068e,0xbcb9028b,0x62780128}},	//   _halummaq, _zriedkav, _ҕәҕәа_, _matnni_, 
   {{0x4d81035e,0x1c150255,0xbf2502a6,0x52c80184}},	//   _trudnice_, _haruldas, _aggrutta, _kabonye_, 
   {{0xc2de0390,0xca6d0044,0x727d0059,0xf2d400b9}},	//   _dilində_, _לשדרג_, _ъплоуди_, _kalopun_, 
   {{0x5466006f,0x20510040,0xec8d00cf,0x00000000}},	//   _بازمير_, _בדרגת_, _hindeemu_, --, 
   {{0xfe3803b9,0x92d90065,0x89f500a4,0xdaf500d8}},	//   _saraqata, _orten_, _aparegud, _aparegut, 
   {{0x52fa02ea,0x5d580019,0x00000000,0x00000000}},	//   _bacheca_, _айлардын_, --, --, 
   {{0xf2f501a2,0xd6c802f6,0x42de021c,0xe94a03b2}},	//   _valodā_, _kinakabi, _stimuluj, _tectonic_, 
   {{0x63f40608,0x32b40321,0xc889025b,0x3fd801d5}},	//   _portos_, _mojca_, _frakland, _جوناتھن_, 
   {{0x4f3f000c,0x691f038a,0xb099005b,0xe9400126}},	//   _bgcolour_, _cambiaku, _auのwimax_, _firmaatt, 
   {{0xba05026a,0xc4a4040e,0x24bf00e6,0x60e801e8}},	//   _kurabuit, _bomstasj, _今日宏观经济要闻_, _maganyak_, 
   {{0x6c12023b,0x464200fb,0x6bff02f7,0x00000000}},	//   _elepani_, _ekholelw, _ikhudits, --, 
   {{0x724a04f2,0x291203a1,0x0a11013c,0xb3c50045}},	//   _hesman_, _достига_, _klubunda_, _турниру_, 
   {{0x627f0101,0xff2601d7,0x12eb0220,0x24800046}},	// [20f0] _spune_, _mantegna, _impiego_, _جانۇۇعا_, 
   {{0x52d7008d,0x737803a2,0x3c52023b,0x104300c5}},	//   _ayollar_, _zadania_, _okatoba_, _affichez_, 
   {{0x17d302da,0xa9960099,0xa25a00e0,0xc3560020}},	//   _доплата_, _akakanda_, _einlik_, _luafata_, 
   {{0x8a1d00c4,0xa26c0026,0x8f23036e,0xde23036e}},	//   _ڀينرون_, _schoon_, _anqusara, _anqusarq, 
   {{0xeade0049,0x43d50321,0xd339018d,0x16d1010d}},	//   _huatolit, _ureditev_, _ዝወስደሉ_, _गिरिश_, 
   {{0x2b6f0250,0xda01033a,0xa7e7038e,0x004500fa}},	//   _momentin_, _trasfigu, _सुपर्ब_, _papuntan, 
   {{0x9a6f03ae,0x22480176,0x435f00bc,0xb3860159}},	//   _tilleggs, _ryoma_, _anggawe_, _tvoros_, 
   {{0x1c2d0054,0xc2000499,0xbea10192,0xb04c00aa}},	//   _masallac, _taliga_, _인권단체연석회의_, _aparaton, 
   {{0x8c680072,0xf37b0249,0xc02a0037,0x98db0092}},	//   _yakushi_, _manajem_, _ጂዎግራፊ_, _banebryd, 
   {{0x026c0130,0xf34100c9,0xe213011d,0x323003da}},	//   _redon_, _pokezoo_, _inchis_, _shemaya_, 
   {{0x064200f3,0x0699011d,0x4d640255,0x6de30109}},	//   _akholelw, _некларэ_, _उद्वीप्त_, _projekce_, 
   {{0xb2e80006,0x6394028d,0x0b6f01f1,0x401b029e}},	//   _baginya_, _komsa_, _komentin_, _balearez_, 
   {{0xb31705c9,0x33490179,0x720c0206,0x82d5011b}},	//   _concile_, _bukemav_, _užite_, _batonda_, 
   {{0x12f8008b,0xf2b803da,0x12ef023a,0x00000000}},	//   _andarnax_, _zubeghị_, _trendov_, --, 
   {{0xac230025,0x93730206,0x7aa30137,0x9de20061}},	//   _सुरेश्वर, _sedacie_, _bilkuran_, _한나라당은_, 
   {{0x348c0192,0xcee20052,0xf200003a,0xe27f02f8}},	//   _예정입니다_, _स्त्रीला, _zalida_, _moenau_, 
   {{0x93950103,0xd8fd0255,0x12c50333,0xa28d0046}},	// [2100] _ajason_, _samamood, _ballate_, _maquinàr, 
   {{0x9364002a,0xe1dc00db,0x79f9000d,0x3c620014}},	//   _murukwuọ_, _miinimum, _meeskond, _letrave_, 
   {{0xb22c04dc,0x82ef01eb,0x43870428,0x1879030d}},	//   _قیبله_, _anhinga_, _dobrem_, _bilinird, 
   {{0x52bc00bc,0x7a0400f5,0xbc2e019c,0x95390322}},	//   _jendral_, _беденими, _mọgbọnwa_, _babisaby, 
   {{0x1a330177,0x1e9003ae,0xbefe050a,0x00000000}},	//   _angakuér, _permalen, _salatalı, --, 
   {{0xf9ce0117,0xf3940113,0xe3820208,0x00000000}},	//   _indepede, _domsa_, _قاقله_, --, 
   {{0xc2950012,0x818c0444,0x00000000,0x00000000}},	//   _probleem, _трофимов_, --, --, 
   {{0xa27c018d,0xf6d901ac,0x7d6f02a4,0xe52003b4}},	//   _ድኽመታትን_, _ميرسي_, _committa, _chandich, 
   {{0xd26c0117,0xdb4b0278,0x02d803e0,0x00000000}},	//   _aedol_, _bertaqwa_, _geleed_, --, 
   {{0xe2900230,0x8f450216,0xcb26005d,0xd9820061}},	//   _lamas_, _entsomba, _ijudaísm, _마이리스트에_, 
   {{0xbf1d01e6,0xa287029b,0xc844013b,0x62da0279}},	//   _nafukova, _fenkkee_, _inagurar_, _saveur_, 
   {{0xd3000082,0x029001ef,0x24d601c1,0xc2240116}},	//   _malamai_, _namas_, _निकिता_, _chokit_, 
   {{0xbbe8028a,0xa434005e,0x6e9f01e7,0x28c5001c}},	//   _motomoto_, _ﻧﯧﻔﯩﺖ_, _gestemmt_, _nadepend, 
   {{0xad2f01f1,0x42390244,0x1e3302f8,0x00000000}},	//   _arsimore_, _дотук_, _tengaima, --, 
   {{0xcffb029b,0x924a0189,0x03300188,0x59da0239}},	//   _jakkarlo, _resmin_, _бензинро_, _tiketike, 
   {{0xd37b0414,0x1e9f047d,0xa59002e0,0x128b0082}},	//   _saleté_, _bestemmt_, _bonetesh, _muharram, 
   {{0x431602fe,0x629002ce,0x65170148,0xc2950285}},	// [2110] _ndiza_, _camat_, _consulto_, _bavandim, 
   {{0xc5a3016f,0x5e080050,0x5e9700c5,0x00000000}},	//   _tilstrek, _ngadagoa, _vendeurs_, --, 
   {{0xc1eb014f,0xfc180265,0xd30c0476,0x98fb0028}},	//   _европе_, _verander, _dynamos_, _aflagaad, 
   {{0xff3c0053,0xbd6001e0,0x42e80261,0x2561015e}},	//   _perusaha, _باسیان_, _militon_, _кейиштүү_, 
   {{0x0abd01b8,0xf4860178,0xbb7b012a,0x127a0207}},	//   _likvidee, _बीजानि_, _podopiec, _pilipili_, 
   {{0x33800004,0x173003ce,0x4260025f,0xaf840159}},	//   _bourad_, _میزاجی_, _makomami_, _miniatiū, 
   {{0xc9e300a1,0xc27f0176,0x0e1c00d9,0x91660040}},	//   _tokomaha_, _spunk_, _pakettia, _גידולי_, 
   {{0xc3f80091,0xdc070461,0xc2900332,0x841d0085}},	//   _akhut_, _apareiss, _jamas_, _vavakoso_, 
   {{0xc8ed0088,0x020200f7,0x92d801fc,0xee4401c5}},	//   _experièn, _citita_, _ikkel_, _ambabaxa, 
   {{0xcbfc02d0,0xf1250156,0x00000000,0x00000000}},	//   _majestic, _ינדוסטרי, --, --, 
   {{0x43a901c5,0xf29002bc,0x12a80292,0x8d120322}},	//   _پٲغام_, _namar_, _yayaayaw_, _arirahir, 
   {{0xc2a601ea,0xfea301aa,0x50aa008f,0xeda200e6}},	//   _автоҳало, _upplemen, _केहुना_, _辖市区人才工作新, 
   {{0xe2d80206,0x827f0182,0x825003a2,0x2646026f}},	//   _chcem_, _apuni_, _सीनेटर_, _داۋدىڭ_, 
   {{0xe2130338,0x59c1002f,0x0e7700df,0x547301d2}},	//   _dichas_, _deletere, _demandée_, _iglesiak, 
   {{0x62900074,0x09950103,0x72020007,0x72880109}},	//   _samat_, _akakunga_, _kitisa_, _spustily_, 
   {{0xcade01b9,0x89a30148,0xaf5702f7,0x5c320562}},	//   _britalit, _地震發生後_, _bolailen, _iyibarir, 
   {{0xd27e0007,0xf4b300ff,0x9c590039,0x02ab034d}},	// [2120] _baindo_, _גאַבי_, _gastuak_, _rendang_, 
   {{0x12d800b6,0x836403db,0x930d022c,0x1baf011e}},	//   _akkel_, _abagula_, _dibales_, _enkyetan_, 
   {{0x026c0461,0x62ca018d,0xde960089,0xf4780041}},	//   _medoc_, _ንምርድኡ_, _azakları, _харадҵар, 
   {{0x220001c2,0x426c0206,0x728c0289,0x9eaf00ea}},	//   _galiza_, _celom_, _adakana_, _fokontan, 
   {{0x698302cf,0xd2d90155,0xbd7b0139,0x17e20022}},	//   _модерна_, _orter_, _avamanya, _декабрҙә, 
   {{0xc06a01e8,0x00f001b4,0x9def0524,0xcb890311}},	//   _adapalen, _gemaklik_, _vrednova, _ዝኸፈለሉ_, 
   {{0x072a0137,0x48780595,0x6e9c00a8,0xf7cc006c}},	//   _байлгүйд, _आजैदेखि_, _adimmain, _asethekw, 
   {{0x79fa01fe,0xa20000bc,0xa2900013,0xbb4d01ac}},	//   _tatawase, _dadiya_, _xamas_, _slavacha_, 
   {{0x620201df,0x6f480307,0x821c0278,0x38370022}},	//   _adrift_, _bangayin, _atthos_, _ҡуяһың_, 
   {{0x6ffc011c,0xab180032,0x4b67017a,0xe90c0153}},	//   _barkeelo, _cubangan_, _далеле_, _コルビュジエ_, 
   {{0xcaa800a2,0x36080421,0x9d0c00da,0xfdaa00de}},	//   _نياپو_, _vermutli, _ingrijor, _emsintsa, 
   {{0x07020139,0x7aef0342,0xf2fd0456,0xf4a602cf}},	//   _वर्णग्रह, _padonnen_, _selipar_, _авантури, 
   {{0x93f9001d,0x4b1b03ea,0xc2020099,0xc21c03e5}},	//   _esque_, _remplace, _aitira_, _washoe_, 
   {{0x5290008f,0x520002ec,0x32d80009,0x95f1003c}},	//   _samas_, _kaliya_, _telesu_, _alamatsi, 
   {{0xaf760276,0xf2d90424,0x93870139,0x7ed500c0}},	//   _инглизчә_, _astea_, _amarā_, _matindin, 
   {{0x93870662,0xcc5500ac,0xc200017f,0xfede00bc}},	//   _ayuru_, _pratite_, _amiilu_, _brahalan, 
   {{0x0301032e,0x4d38018d,0xa23102fe,0x02b103a4}},	// [2130] _pitampi_, _ክትወድቕ_, _اخیری_, _hondina_, 
   {{0xb5e9013c,0x2c5503ee,0x82960297,0xfea304a8}},	//   _yararsız_, _vratite_, _basuçıla, _zaplijen, 
   {{0x1200004a,0x22fc024c,0x32d901c2,0xdd050107}},	//   _galiya_, _metadati_, _estea_, _inframer, 
   {{0xc20100d3,0x1a17015e,0x9f0f0044,0x2ee0014f}},	//   _emailu_, _descobre, _specials_, _рекли_, 
   {{0x42900119,0x92a002ac,0x069b0390,0x3a8d01d5}},	//   _samar_, _الأئمة_, _antiazər, _kinyitot, 
   {{0xa4900050,0x5df900b9,0x385a0040,0x339402a0}},	//   _ngagunak, _शर्मिला_, _bedrooms_, _ilese_, 
   {{0x4290005a,0x5f6301c8,0x9c0a030a,0x0e3d0390}},	//   _damaq_, _mimozemš, _cumpran_, _astroloq, 
   {{0x1c6d04ac,0xc66d0063,0x24860420,0xc76d0269}},	//   _постоянн, _سلاسل_, _имено_, _convirti, 
   {{0x7239025f,0x3dc80013,0x147b028b,0x10570119}},	//   _akumaki_, _پغانه_, _икалам_, _gagamito, 
   {{0x22b200e9,0x458d01ac,0x111900b9,0x00000000}},	//   _kondann_, _daingneá, _berjodoh_, --, 
   {{0x47bb04d8,0x4f780147,0xbd2a0064,0x6af900e5}},	//   _gumeesig, _جەتشىنچە_, _arribant_, _faturame, 
   {{0xa2900249,0x9383019b,0xe2d900f2,0x30190126}},	//   _kamap_, _sutrikim, _mutes_, _боксу_, 
   {{0xf73b0145,0x12d8021b,0xda3e0297,0xcb9000cb}},	//   _акуляры_, _pakeni_, _garizası_, _asinjalo_, 
   {{0x85000028,0xf838033e,0x3201023e,0x14ad02c3}},	//   _ballaadh, _думазаро, _asyir_, _legálne_, 
   {{0x82d90166,0x0b2c0192,0xcc600082,0xb39402c9}},	//   _gutes_, _찾아오시는_, _dakunan_, _alese_, 
   {{0xc3940197,0x52f20209,0x004504eb,0xeea60497}},	//   _blese_, _ammillu_, _आउटलेट_, _angloman, 
   {{0x82d9005b,0xa2d9012c,0xac5c00c8,0xb5eb012e}},	// [2140] _artek_, _kagera_, _bootril_, _agresszí, 
   {{0xb2c001cd,0x427f01c5,0xd27e0288,0x4a4e0184}},	//   _андар_, _maanso_, _tsinin_, _bihereza_, 
   {{0x535b02cb,0x1ebc0128,0xbe1b0113,0xc3fa00e6}},	//   _najgora_, _advokatn, _halgarta, _占查处价格举报案, 
   {{0x726e0265,0x520000d2,0xfbb602eb,0x522400e1}},	//   _stroom_, _jadina_, _стрессий, _diokhe_, 
   {{0x18b70071,0xd291013d,0x2fec0092,0x12b50017}},	//   _نامحدود_, _arbaro_, _の商品となります_, _herce_, 
   {{0x896d00cb,0xf61b0205,0x32ab038e,0xb224019f}},	//   _akanalut, _muttasil_, _gendong_, _alikua_, 
   {{0xa380007a,0x6d8800bd,0x83ea0257,0xdb4c03b8}},	//   _umurmu_, _defeatit_, _beltin_, _хақназар_, 
   {{0xb9800101,0xf2d80481,0x04970227,0xe6ba027f}},	//   _echipame, _beleid_, _menakutk, _biragisi, 
   {{0x12d900f9,0xa476014f,0xc3d5035b,0x166f003c}},	//   _bagera_, _процеса_, _sredstev_, _دوقلوی_, 
   {{0x226c04e7,0xcd4e0203,0xc6b2033f,0x08790260}},	//   _celok_, _elaborad_, _kaafakaf, _tempadas_, 
   {{0xd2d90247,0x1ec70396,0x7a5e00bb,0x998200cb}},	//   _muter_, _attitudn, _کےبجائےن, _amakhora_, 
   {{0xbe280060,0xb290004f,0x5e9f0166,0x3b590147}},	//   _كەلدىڭىز_, _samay_, _bestimmt_, _جىلچىقتا, 
   {{0x5d8f02a2,0x72bf014a,0xd9a4045f,0x28a400f2}},	//   _kailanga, _لمحات_, _miljarde, _miljardu, 
   {{0xb20000ea,0x5262054a,0x72d90166,0xbf470024}},	//   _lalina_, _istoriji_, _guter_, _ভাওনাৰ_, 
   {{0x4d5f05a2,0xf46902ac,0x00000000,0x00000000}},	//   _वीरभद्र_, _مباركه_, --, --, 
   {{0xec070223,0xb3a90262,0x12d90005,0xc71201f2}},	//   _oneshot_, _янында_, _auter_, _достиға_, 
   {{0x700d03e8,0x899b00ac,0x00000000,0x00000000}},	// [2150] _življenj, _najniža_, --, --, 
   {{0x70f70106,0x8c710139,0xa24b004d,0x1d0701da}},	//   _मद्रास_, _मार्च्_, _權釋設計小老師_, _diellore_, 
   {{0xc84705aa,0x33a20122,0x22eb019d,0x62da02ba}},	//   _rollemod, _kripik_, _ampingo_, _agwema_, 
   {{0x19f60562,0x78670658,0x028d005b,0xa8b700de}},	//   _agashuru, _sensores_, _ayukawa_, _کلینټڼ_, 
   {{0x3e380255,0x136c00b4,0x69cb0025,0x1200019b}},	//   _kanalisa, _droguri_, _ज्योतिषि_, _vadina_, 
   {{0x00000000,0x00000000,0x00000000,0x00000000}},	//   --, --, --, --, 
   {{0x2b8202ec,0xa25a0294,0xf29e014f,0x2fc90185}},	//   _مۅکلُن_, _ashla_, _низак_, _cäühärlä, 
   {{0x794600ff,0x33000119,0x2b6701b8,0x226c0115}},	//   _טשעפטער_, _dadayaw_, _जियनी_, _selok_, 
   {{0xe05501bd,0x44b20052,0xfdb20156,0x0571029c}},	//   _اتاۋىنىڭ_, _सत्यताहर, _זימערמאן_, _idatuluk, 
   {{0x12d902a4,0x5a5f01a4,0x793002d4,0x8b8a016d}},	//   _putes_, _basekaka_, _execuziu, _таранчил, 
   {{0x12000043,0xc25a0241,0xa2dc0045,0x81f2006c}},	//   _balina_, _boolli_, _posetili_, _агарчанд_, 
   {{0xec19002c,0x520103e6,0x3d050345,0x09b90139}},	//   _gainditu_, _dreien_, _exelente_, _candraya_, 
   {{0xedbc024f,0xd2a60177,0xfa4f03c8,0x83800193}},	//   _matabete_, _аланарҵә, _jaketnya_, _umurku_, 
   {{0xbe3801d7,0xf2920286,0x72010415,0xa711009a}},	//   _canalisa, _aguadi_, _freien_, _ننوزه_, 
   {{0xaa9202fe,0xc34000d8,0xf20000d2,0x2dbb01ff}},	//   _محافظه_, _gardias_, _tadina_, _valentín, 
   {{0xbc65039f,0x04a901bb,0xf24a00ba,0xe00b0059}},	//   _contact_, _салынярм, _سرۆشتی_, _описа_, 
   {{0x230d00a4,0xda7a0583,0xf0410244,0x0ec8019d}},	// [2160] _cavalls_, _zračni_, _acquiren, _atsibwen, 
   {{0xc20101d9,0xd2a602ae,0x85710289,0x4c5e00c5}},	//   _kreien_, _seljaci_, _adatuluk, _蛮儿初遇天赐_, 
   {{0xa6d5001d,0x32fc012a,0x322602f3,0x9bcc018e}},	//   _descriti, _uwagi_, _kyrkan_, _dzivamus, 
   {{0xf39400a5,0x7c5c0359,0xf01202ec,0x60a00335}},	//   _toese_, _bestean_, _پھسہِ_, _ahaṣṭasa, 
   {{0xf775010d,0x3e560238,0x337a02af,0xc2240256}},	//   _संभाजीरा, _частин_, _ataranam, _slikta_, 
   {{0x239401e6,0xe95d0225,0x178800ba,0x620001c5}},	//   _blesk_, _hatohobe, _ئوزوون_, _walina_, 
   {{0xe2ea0428,0xb67b0008,0x2586005a,0x8c9100ee}},	//   _varnost_, _بىرەلە_, _dibeqmoh, _амидрала, 
   {{0x72000077,0x565200bc,0x06b6020b,0xfc6803f3}},	//   _apaid_, _فعالیتها_, _bulegelw, _beurzen_, 
   {{0x9e7c0287,0x3dfc00c1,0x2133023a,0xb4360465}},	//   _बिम्ब_, _kelelawa, _reflexné_, _mehansko_, 
   {{0x5ee30210,0x225a0242,0xa5e9055f,0x4379016b}},	//   _akakuten, _minlik_, _tarafsız_, _hadafin_, 
   {{0x127f00ac,0x877d00be,0x54e200be,0x8c60003c}},	//   _neznam_, _الىزا_, _بىلبەيىت_, _bakulan_, 
   {{0xb3cf0273,0xad2d0092,0xcbee00af,0x943105f7}},	//   _llevar_, _デジタルコンテン, _шаром_, _cwlcymro_, 
   {{0x2c48014f,0xf30f0102,0x6d180153,0xaa7c01ad}},	//   _петром_, _pambano_, _いずれにせよ_, _motavita_, 
   {{0x37b7016d,0xe6f800bf,0x325f01ed,0x52e9005a}},	//   _ئاخشام_, _предшест, _kumuolel, _dawivha_, 
   {{0x32000118,0x727a000b,0xdc5c0553,0xae0102fd}},	//   _talina_, _silisili_, _neptún_, _meidigea, 
   {{0x62d902e9,0x15a2009a,0x85e30213,0x924801ec}},	//   _usted_, _asisokuz, _джулиан_, _ayomi_, 
   {{0x7c070175,0xaad603c2,0x62bb055d,0x2d07013d}},	// [2170] _restoras, _creditab, _saudari_, _restorac, 
   {{0x65fc0434,0x00000000,0x00000000,0x00000000}},	//   _recepció, --, --, --, 
   {{0xa3ea01f8,0x9870052e,0x53d80056,0x62130359}},	//   _imitwe_, _quandocu, _боадолат_, _rychje_, 
   {{0x43cf040e,0x75c80220,0xfc9e0040,0xf3870155}},	//   _elevar_, _предимст, _סודיות_, _segrar_, 
   {{0x99b2001a,0x996e0166,0x9b070178,0x2306011a}},	//   _انتظامیہ_, _donnerst, _बहुभिः_, _imposing_, 
   {{0xd34804ad,0xa2a7022f,0xc6e20441,0xb2c20126}},	//   _bafenyi_, _народаў_, _provozní, _платника_, 
   {{0xf2d900a7,0xf7270163,0xc9fc0055,0xda36002b}},	//   _estem_, _کریسی_, _abbastat, _ভূমিতে_, 
   {{0x830501e0,0xf2900231,0x6e9b026e,0xbf490052}},	//   _فورات_, _donare_, _उल्लेख्य_, _जसमध्ये_, 
   {{0xc20001b4,0xec1d05fb,0x00000000,0x00000000}},	//   _madiba_, _neprikos, --, --, 
   {{0x43800148,0xf61a01c5,0x80b5015e,0xb3f300e6}},	//   _terram_, _گرفتارس_, _تىزىمىند, _胶南市水利局_, 
   {{0xf3940170,0x466e01b9,0x0b2400f3,0x89fe0086}},	//   _alesi_, _konversy, _bempahla_, _megalkot, 
   {{0xd7200040,0xedc500ee,0x1efe016e,0x039402f9}},	//   _במזומן_, _baliteke_, _kalabalı, _blesi_, 
   {{0x42d80372,0x61330287,0x8b2f035b,0x203d00c1}},	//   _deledu_, _reflexní_, _naravnos, _दरमहा_, 
   {{0x3f130124,0x0e7a00e6,0x73940243,0x4d06008c}},	//   _leithira, _影音娱乐意见反馈, _maksam_, _currider, 
   {{0x023f05f3,0x2c6101bc,0x02d902c3,0xfc84003c}},	//   _célula_, _bedrige_, _istej_, _نظرماهنا, 
   {{0xf3860371,0x439401b9,0x389802a8,0x61270045}},	//   _avere_, _flesi_, _brawżer_, _законик_, 
   {{0x91e8005b,0x06580382,0xe25b00bc,0xf21204bd}},	// [2180] _kagoshim, _etikweni, _asalè_, _unahi_, 
   {{0xf27e02f2,0xae6d023a,0x00000000,0x00000000}},	//   _opinan_, _abecedne_, --, --, 
   {{0x81cc00f2,0x9a5a0484,0x00000000,0x00000000}},	//   _finansēš, _मधुसुदन_, --, --, 
   {{0x2b1a0037,0xe39400e9,0xa2120339,0x82ef0108}},	//   _በማረሚያ_, _komsi_, _kiaha_, _dalilna_, 
   {{0x8dbf026c,0x976d0255,0xe12b0024,0x895001c8}},	//   _台北旅遊飯店住宿, _धन्धा_, _কেৰিয়াৰ_, _nedoplat, 
   {{0x45f801b1,0x833b0587,0x3d570041,0x819e0039}},	//   _सुशोभित_, _canadà_, _далгеит_, _томилгоо, 
   {{0x3c9601e0,0x4c760139,0xc30e00e6,0xc38a01a7}},	//   _دانلۆدی_, _निम्नं_, _tirages_, _хромиров, 
   {{0xca310177,0x841600a4,0x929002e2,0xc2ab010d}},	//   _бџьаршьҭ, _تاقمازا_, _abeam_, _nendang_, 
   {{0xa6af052f,0x57f9006c,0xcc060224,0x00000000}},	//   _wokuleth, _баландиҳ, _bærust_, --, 
   {{0xad440211,0xb96402a9,0x831204ca,0xa99f01cd}},	//   _уникальн, _мудрая_, _bombons_, _abakhala_, 
   {{0x95050299,0xd7b50075,0x92ab00d2,0xbffe0128}},	//   _буддист_, _raksturi, _kendang_, _газетани_, 
   {{0x01ae0122,0x7e000027,0x1ecc020e,0x65a90274}},	//   _کمالی_, _matemata, _коньякта, _vellíðan_, 
   {{0xa1c80420,0x3c5a0258,0x34470022,0x48fd056b}},	//   _востание_, _hartoch_, _китапх_, _betapapu, 
   {{0xc6af01cb,0x6c650066,0xf08001dc,0xe2c50016}},	//   _yokuleth, _hautatu_, _dübendor, _aliloke_, 
   {{0x42d800dd,0xa380024a,0xea7e036c,0xc2fc0014}},	//   _teledu_, _aburú_, _novambra_, _gabimet_, 
   {{0x52ab0402,0x31c6003b,0x12d90138,0xafe4005a}},	//   _gendang_, _alamakom, _istek_, _jiriqcho, 
   {{0x5c4b0269,0xa9e20403,0x4da602d9,0xf3790046}},	// [2190] _desconoc, _ankolaka_, _musumusu_, _ratafia_, 
   {{0x021c0087,0x728d014a,0xf66c0040,0x836a0361}},	//   _mather_, _joghurt_, _ההשוואה_, _гимназин, 
   {{0xecd60039,0x5ce6010f,0x148f00bf,0x4a0d0028}},	//   _задрал_, _биёянд_, _обновите_, _labaduba_, 
   {{0xf84700cb,0xbc13001d,0xb7a80120,0xa2ce01b2}},	//   _задании_, _disposi_, _caamiyik_, _exclaim_, 
   {{0xf5410029,0x8c5c01b4,0x20ec004f,0xa146046f}},	//   _لیزاده_, _gestaan_, _budiwaal, _amnevill, 
   {{0x020201f7,0xeaa60023,0x2f650087,0x9d950179}},	//   _antica_, _прочее_, _ebibelen, _numavöd_, 
   {{0x9e87013b,0x155a01bd,0x6a9c01a0,0x04a20144}},	//   _kroměříž_, _ұжымы_, _komitins, _garáistí_, 
   {{0x3c5c02c2,0xad5f0044,0xd2ab022c,0x29d40025}},	//   _bestaan_, _תמשיך_, _gending_, _सर्वाधार, 
   {{0x203500c5,0x4e1b01f9,0xc3160102,0x1c00036e}},	//   _推荐给好友_, _balencha, _ndizi_, _efesios_, 
   {{0x0e3b0462,0x1dbb025e,0x2b130074,0x97de021c}},	//   _ogrampra, _palestín, _ilmainen_, _nebankov, 
   {{0x339501ba,0xd65e017a,0x821c02ee,0x64860142}},	//   _adusi_, _зимма_, _eather_, _युवाम्_, 
   {{0x72fb0250,0xcfbe02ed,0x0d2f00e6,0x0bf8002e}},	//   _dashura_, _abondoso, _省食品药品监督管, _viđenja_, 
   {{0x894d0035,0x00000000,0x00000000,0x00000000}},	//   _ашуын_, --, --, --, 
   {{0x2a390088,0x4a390368,0x0b170244,0x11600158}},	//   _береби_, _беседи_, _разделя_, _paliwowy_, 
   {{0xd27a00a5,0x7ad501b6,0xe3eb0271,0x525b0117}},	//   _filifili_, _restrict, _kjetil_, _skelim_, 
   {{0x5d1703ad,0x63940189,0x7c26038b,0x9b810111}},	//   _konsular, _taksim_, _kehancur, _scontrar, 
   {{0x89960272,0x7bb2017a,0xdb180147,0x53940397}},	// [21a0] _akakonda_, _abazazis, _حوپكىنس_, _aleso_, 
   {{0xa2000015,0x9fa0019b,0x8ac10113,0xbc4702d4}},	//   _waliba_, _reklamuo, _تنادي_, _dischocc, 
   {{0x406c01a3,0x58d30244,0x39e90310,0xb67f035d}},	//   _بيخودي_, _подаде_, _dhorchad, _pomenuti, 
   {{0x43780054,0x29cd00be,0xe2fc0499,0xc23e03b0}},	//   _malamin_, _اۋتومات_, _itaga_, _følgja_, 
   {{0x95f20047,0x22fc0518,0xf3250235,0x23a80151}},	//   _获取免费代码_, _atigi_, _atsyāmi_, _annalong_, 
   {{0x430000fe,0xdbd70698,0x7ae70169,0xe520029c}},	//   _talamai_, _ntumbero_, _বিকালে_, _akandich, 
   {{0x82c301e5,0x2a3e00c8,0x42230095,0x629201a6}},	//   _ailootọ_, _әсәҙулли, _تدارج_, _kauati_, 
   {{0x2be500d6,0x00000000,0x00000000,0x00000000}},	//   _paidreac, --, --, --, 
   {{0x1f5200b3,0xef58009b,0x226c043a,0x4b2f00e5}},	//   _бельгияд, _нефтийн_, _kelos_, _основите_, 
   {{0xb395057f,0x42fc00dc,0x42f1054c,0xeab601b3}},	//   _meuse_, _otaga_, _høgmo_, _капусти_, 
   {{0x4d1203be,0x4fa4019a,0x0502012f,0xa3000240}},	//   _ararahir, _kilmarno, _tsitsino_, _lalakai_, 
   {{0x9156048a,0x42f00242,0x3b910119,0xfdd00126}},	//   _басына_, _temirli_, _dominggo_, _острові_, 
   {{0x62fc03fd,0x92ee0230,0x8a710010,0xc2d901b2}},	//   _ataga_, _inifye_, _awuligub, _dwindle_, 
   {{0x42900089,0x32da0138,0x09830220,0x54e2002b}},	//   _kamaz_, _liseli_, _генерира, _নিমাই_, 
   {{0x080401ad,0x7c2d00a4,0x8e3c0147,0x45e9019b}},	//   _nièvre_, _esportiu_, _تئيئشسىڭ_, _падабаец, 
   {{0x04070285,0xf27e02cf,0x7a1e0475,0xc2da02b1}},	//   _ruzinduk, _saindo_, _финик_, _dawowar_, 
   {{0xf3f80591,0x626c022c,0xa4a40156,0x2ce70244}},	// [21b0] _bomull_, _kedok_, _נעווזלין_, _решаване_, 
   {{0xb3000165,0x2395030a,0xa3ee00ee,0x00000000}},	//   _malakai_, _deuse_, _динза_, --, 
   {{0x438604b9,0x56580387,0xe364006f,0x339505b3}},	//   _exert_, _etinyekw, _مھندار_, _eeuse_, 
   {{0x5e0301aa,0x89ce05bd,0x13940249,0x38ce017d}},	//   _interpra, _videreut, _olesm_, _videreud, 
   {{0x9ac801ea,0x329002f6,0x195301bd,0x149e0192}},	//   _маслаҳат, _kamay_, _сырын_, _업그레이드_, 
   {{0x5ef301c9,0xbfae02ba,0x880402a6,0x79bf00bb}},	//   _अधिका_, _макка_, _fièvre_, _بیکٹیریا_, 
   {{0x8ba6002c,0x00000000,0x00000000,0x00000000}},	//   _jakiteko_, --, --, --, 
   {{0x939501b4,0xb1b90276,0xea7300c8,0xaf2e0188}},	//   _keuse_, _берилсә_, _тхэквонд, _тифли_, 
   {{0xd38b0074,0x656d010f,0x2f9601af,0x089703cd}},	//   _станет_, _бармеояд_, _girdiler_, _हेरफेर_, 
   {{0xf29002e7,0xa3f8022a,0x7a17031c,0x85b903fd}},	//   _gamay_, _fiduin_, _descubre, _olopelek, 
   {{0xdeaf00b7,0x53960222,0x22da00ac,0xa2fc000b}},	//   _birligin, _abusif_, _kiseli_, _utaga_, 
   {{0x52d10109,0x9eae0466,0xf6d70372,0x72fc008d}},	//   _motorem_, _podržati_, _bregethw, _rtaga_, 
   {{0xfef0003e,0xc31a01d5,0x00000000,0x00000000}},	//   _balkonin, _józan_, --, --, 
   {{0x32d90228,0xe628033e,0x914002d3,0x3290000b}},	//   _urter_, _ahecháma_, _верба_, _osiana_, 
   {{0x12d704ca,0x42d80107,0xc290004f,0x146f039e}},	//   _evoluar_, _mudeng_, _damay_, _lydeffek, 
   {{0x2270024d,0x826c0338,0x00000000,0x00000000}},	//   _elungeni_, _belor_, --, --, 
   {{0x926c00b4,0x726c00e5,0x0eb8019b,0xc00b022f}},	// [21c0] _celor_, _pelos_, _rekordin, _эпосе_, 
   {{0x3ee7032e,0x3ead045e,0x8e400699,0x5b7e00d3}},	//   _luphiwin, _средната_, _harabaye_, _beruška_, 
   {{0x0d0f00e6,0xe06d0148,0x00000000,0x00000000}},	//   _新型共聚乙烯防腐, _properan, --, --, 
   {{0xfb4a030b,0x82a7006c,0xd70800d9,0xdf31000d}},	//   _abatubwa_, _сабоҳат_, _brittilä, _roosteva, 
   {{0xf202036c,0x520001fb,0x2c7c003c,0x72880156}},	//   _entina_, _oblida_, _awasana_, _װעמענס_, 
   {{0xdf070360,0x43a300d0,0x620f0237,0x2c61029b}},	//   _कृष्णहरी_, _булангаа_, _고객님들께_, _masumaa_, 
   {{0x2316029c,0x3fb001f2,0x4adc04d1,0x8d6d00f7}},	//   _ndizo_, _ﺋﻮﺭﺗﺎﻕ_, _descoñec, _חיותו_, 
   {{0x320203b9,0x0bfc01bd,0x834000ae,0xf2bc02fd}},	//   _intina_, _аспектіл, _cogenda_, _iordain_, 
   {{0x7d9b028e,0x529003d9,0x17c200c4,0x62ef0049}},	//   _komunitu_, _asiana_, _ڪمپوزنگ_, _maliana_, 
   {{0xa290010b,0xce3600fe,0xb2a20156,0x49dc0127}},	//   _monate_, _fikaulua, _געפּײַני, _direizhe, 
   {{0x42d90163,0x10c702f3,0x60d2025f,0xae8d002b}},	//   _isten_, _redaktör_, _bakotiol, _ইয়াসমিন_, 
   {{0x597800db,0x438600ec,0xeeb70378,0x9de7021c}},	//   _valimist, _svoris_, _autotekn, _bylinné_, 
   {{0x6e39044a,0xe1c2014a,0xcb030420,0x22bc02fd}},	//   _bafalisa, _mentünk_, _болеше_, _lordain_, 
   {{0xcb030388,0x712d014f,0x6daa036e,0x95c20234}},	//   _пореден_, _напредак_, _chinchip, _níwọ̀n_, 
   {{0xa29001a6,0x42ab0304,0x92e1046b,0x00000000}},	//   _apiata_, _bendung_, _godidog_, --, 
   {{0x59dd0166,0xcb6d01f4,0x72dd00ab,0x00000000}},	//   _lizenzie, _саркарда_, _poroaki_, --, 
   {{0xf2e5020a,0xa2da00f1,0xd77c00de,0x13a800d7}},	// [21d0] _ءبىرى_, _anseki_, _awayenaw, _lekaleng_, 
   {{0x53f8033b,0xc3400454,0x12900044,0xfc700397}},	//   _bahumi_, _wogenda_, _donate_, _agasele_, 
   {{0xae64069a,0x36430024,0xb70d0061,0x73160039}},	//   _सूर्यवंश, _দ্ৰাঘিমা, _디아스포라_, _arkaitz_, 
   {{0x76bf0145,0xe78d04e5,0xecbc03b2,0x00000000}},	//   _удалося_, _awawaabi, _revamped_, --, 
   {{0x623a002a,0xc857014e,0x10c70046,0x27e60012}},	//   _abamuru_, _културно, _пландары, _बिचरले_, 
   {{0x2c6e0144,0x2d3a023e,0xf27e0312,0xf6c30184}},	//   _achrann_, _caritane_, _fonnus_, _nkurariy, 
   {{0x563f04bf,0x04120071,0x430e0044,0xe9c900dd}},	//   _poginuli, _احمقانه_, _phrases_, _beddgele, 
   {{0x695102d5,0x230d00d1,0x82900373,0x9ae705ab}},	//   _kvalitee, _অন্যথাই_, _konate_, _cuidados, 
   {{0x4f3e026b,0x6462004d,0x0f420040,0x8cf201ab}},	//   _estrella, _商品圖檔顏色因電, _נחמיאס_, _बंहेड़ु़, 
   {{0x49ce018b,0xd7a7021c,0x82d800dc,0xccf500da}},	//   _intelege, _zareagov, _mānava_, _protejar, 
   {{0x9e4002c1,0x672f00d3,0xc27e03ea,0x00000000}},	//   _yarabaye_, _karviná_, _connus_, --, 
   {{0xd8d203b6,0xdb7d0191,0x8a15021a,0xf53d0061}},	//   _alamọdaj, _kronober, _barbadde, _불가능하며_, 
   {{0xd2d900dc,0x2310002e,0xe19702ac,0x32020257}},	//   _asteo_, _poznatog_, _uasdátú_, _litina_, 
   {{0x2bd2051f,0x94d701e1,0xb2900200,0x81270185}},	//   _ڕۆژێک_, _сараның_, _isiala_, _валиева_, 
   {{0x53c50144,0x729002a5,0x286f00c5,0xe97500de}},	//   _comparái, _sklady_, _pompiers_, _ayincome, 
   {{0xbecf00f5,0xb35200d9,0x79c602c4,0x327f00be}},	//   _сүңклери, _postinum, _terapêut, _apunt_, 
   {{0x7a020198,0xab6f069b,0x00000000,0x00000000}},	// [21e0] _zdravega_, _sahutnya_, --, --, 
   {{0x320001d1,0xfcbf041e,0xa2b1037f,0xcc6e0204}},	//   _spain_, _lisandru_, _fonduna_, _saarela_, 
   {{0x1f1c00bc,0x64a70057,0xc0190258,0x12f001d4}},	//   _temulawa, _karnival_, _loadewyk_, _taliani_, 
   {{0x164a00fb,0x39d0028b,0xa95701af,0x998204d7}},	//   _abanesif, _бедиа_, _bilseler_, _dreifike, 
   {{0x121c0212,0xc3860476,0x930f0244,0x8e7301f6}},	//   _cathar_, _storrs_, _bambino_, _বনাওক_, 
   {{0x62480170,0x521c0194,0xb29001bb,0xca68030b}},	//   _nyomi_, _orthos_, _ahlaky_, _aligamba_, 
   {{0xe2de0134,0x34ed00d9,0xdc710100,0x56b80241}},	//   _idanimọ_, _подземны, _potragu_, _googilii, 
   {{0x92d90230,0xb24903f5,0xbeae0040,0x9e5700ef}},	//   _butey_, _exames_, _utilizin, _atyabeke_, 
   {{0x431d0111,0x3248005b,0xe26c0084,0x637f0244}},	//   _nascita_, _kyomi_, _afdol_, _rimanda_, 
   {{0xa3ea0138,0xc92901ef,0x2dbd02a5,0xa05c011a}},	//   _sahte_, _дональда_, _obraťte_, _urbanspo, 
   {{0x804c01ea,0x62570041,0xb861008d,0x30420361}},	//   _қурби_, _еицрыдыр, _bakalavr_, _султанов_, 
   {{0x1bab0125,0x12ba001d,0xf21c0245,0x803b0059}},	//   _акылына_, _bandsaw_, _pathar_, _станало_, 
   {{0x512d0093,0x62fa00ec,0xd3790373,0xdb4a02e0}},	//   _символов_, _vadovauj, _demando_, _dintshwa_, 
   {{0xe1530212,0x98a700ba,0x837a0183,0xe206031a}},	//   _chiefspl, _مولکی_, _entanin_, _lukiwski_, 
   {{0xb30d02ff,0xcf3e0206,0xb17900e7,0x5aa001d5}},	//   _danbala_, _najmladš, _aptichay_, _elemzésé, 
   {{0x120000c3,0x22fc03b6,0xd2df003f,0x9962013d}},	//   _veniam_, _itage_, _luyonlu_, _anoncant, 
   {{0xf6af024d,0x82ca0278,0xb9fc00ee,0x130a018c}},	// [21f0] _lokuleth, _takde_, _hasierea_, _kennelij, 
   {{0x57b300ff,0xce5b0079,0x852d00de,0x7641027f}},	//   _האוסט_, _dekoratī, _amanyath, _bariyami, 
   {{0x1202018e,0xe8de01b8,0x529501af,0x030d0064}},	//   _beriwe_, _फराटा_, _tematiki_, _escales_, 
   {{0xb9db03bf,0x77b3007d,0xe2970109,0x5a4f00c1}},	//   _съезда_, _ahlulbai, _fungován, _paketnya_, 
   {{0xb6c50003,0x39f90017,0xde7f015d,0x5e0700e6}},	//   _verschil_, _interní_, _घोषणाएं_, _智能模糊搜索_, 
   {{0x19d4002b,0xb301008a,0x517d0040,0xf65501ee}},	//   _বৌদ্ধধর্, _matagai_, _סילוק_, _пуçласа_, 
   {{0xd20005c9,0x3fc60207,0x21f80455,0xbc250077}},	//   _npaim_, _وفاداريء, _strictem, _bakoulou_, 
   {{0xcd1902e1,0xb4280244,0xa7ec0374,0x00000000}},	//   _cairdiac, _chiamano_, _қайрилиб_, --, 
   {{0x03f2042c,0x59f9018c,0x4c610155,0x585f008d}},	//   _modernog_, _capacite, _fastnar_, _tumanlar_, 
   {{0x7368022f,0x1b3900c7,0x2b190193,0xd273018f}},	//   _напрыкла, _больцман_, _keraguan_, _dutichdi_, 
   {{0xf87400a2,0x3a8b014d,0x3f7e003c,0x02da033e}},	//   _آبهوا_, _meinungs, _غیرطبیعی_, _jepeko_, 
   {{0x1ffe015e,0x1c2c0291,0xe2780042,0x64d80374}},	//   _подкасти, _بالاوراق_, _reuniu_, _яҳованин, 
   {{0xbc5a01c9,0x42ca00b9,0x03d703d4,0x00000000}},	//   _pakuvad_, _pakde_, _мембране_, --, 
   {{0xf2000272,0x5ecf069c,0x27d101c5,0x330e01f1}},	//   _hadija_, _viditeln, _گلستانس_, _tiranes_, 
   {{0xb20003d8,0x12ef00de,0x120003a0,0x8291019d}},	//   _radila_, _aljibra_, _gadima_, _dubayo_, 
   {{0xc41c0056,0xe0be01db,0xca5c0162,0x1a7d0136}},	//   _дуюми_, _бизнести_, _قاتىللىق_, _sanadera_, 
   {{0x8dd40163,0xc391038e,0x09f20299,0x2bd90035}},	// [2200] _technika, _berselim, _تەھدىتى_, _ватанынд, 
   {{0x140e02c1,0x99fd01b8,0xaa810035,0x7d6f01db}},	//   _ubugingo_, _varastat, _açıluga_, _تڭداۋ_, 
   {{0x4fb20071,0x5ca9010d,0x76180499,0x225a020e}},	//   _جداول_, _शिक्षकाच, _sailiili, _kelllo_, 
   {{0x83790244,0xfe8a0148,0x5d9001ea,0x7e3a0370}},	//   _catania_, _台北市立聯合醫院, _saylanga, _babasara, 
   {{0xb4b10076,0xe7a5000a,0x926d02cd,0x642f00e6}},	//   _descriçã, _amerlati, _ceton_, _国务院管理节能工, 
   {{0x92f0029c,0xa31d031c,0xc57d00d9,0xd25a018e}},	//   _ambiiri_, _afectan_, _комбинез, _kholwi_, 
   {{0x927a03c7,0x522b0014,0x5dad0061,0xe2fc021e}},	//   _zapisani_, _permend_, _소비자들의_, _stigs_, 
   {{0x36f40057,0x4cf6000a,0x68360257,0x39fd01b9}},	//   _መዋቅሮች_, _saattuar, _klárlega_, _parastat, 
   {{0x6200001e,0x14d90125,0xe6360439,0xed7b0307}},	//   _halima_, _ортарасы, _magondzw, _lwaminya, 
   {{0xd2d900ce,0xa1a80177,0x7395000d,0x7bb102fe}},	//   _aksed_, _идҵақәа_, _ilusa_, _lokhetho_, 
   {{0x3202029c,0xbcac02e1,0x4da701a3,0x00000000}},	//   _mitima_, _ملاهي_, _ڳوٺڙي_, --, 
   {{0xf7430420,0xf2fc011a,0x02ef00ad,0x329103a4}},	//   _годинка_, _abruptly_, _dalitna_, _grikkar_, 
   {{0x1eb401f7,0x2760027b,0xa4b00497,0x133501a7}},	//   _intenses_, _ववृधे_, _argidoil_, _halvempi_, 
   {{0xce010462,0x32fc0040,0x126c022a,0x75190119}},	//   _oblempra, _מפלסטיק_, _nedos_, _gerundio_, 
   {{0x5200040f,0x24ad045f,0x3e2902b2,0x3805066f}},	//   _galima_, _fullstän, _режимі_, _disparos_, 
   {{0x02000108,0x22fd0037,0xb37a0176,0x456703b8}},	//   _salila_, _melayari_, _papasan_, _фарабиді, 
   {{0xf2000067,0xb31902ac,0xaea20203,0x3c0a0269}},	// [2210] _aalima_, _شيلات_, _decretet_, _cumplan_, 
   {{0x42fc04bb,0x937f02df,0xe2ab01f6,0x21d70065}},	//   _melikas_, _didakwa_, _hending_, _stellenm, 
   {{0xf395046d,0x0379026a,0xe9f50390,0x3d730148}},	//   _alusa_, _matalia_, _debüt_, _生物科技研發人員_, 
   {{0x7408024a,0x039505d9,0x3ec60058,0xf4880447}},	//   _dekunrin_, _blusa_, _talopels_, _aziganiz, 
   {{0xcecb02ec,0x6291023b,0xc27f0050,0x32ab01d1}},	//   _aaminsan, _isaaka_, _apanan_, _mending_, 
   {{0x87010094,0x429104d8,0x00000000,0x00000000}},	//   _تىلدىلەر_, _usaama_, --, --, 
   {{0x43640286,0x5b5a0162,0x00000000,0x00000000}},	//   _koogyan_, _калламди, --, --, 
   {{0xa2c201c5,0x300000f2,0x00000000,0x00000000}},	//   _hablaha_, _nenormāl, --, --, 
   {{0x0a210168,0xa3000357,0xb6190014,0xf2000045}},	//   _forbruke, _mamaroi_, _perendim_, _dalija_, 
   {{0x1dbe00ab,0xbc740227,0x73010050,0x263a00a6}},	//   _rawakore_, _melukis_, _katampi_, _babhapti, 
   {{0x32d10061,0x7d3501a3,0x32f000e3,0x943a00e2}},	//   _상품판매를_, _اُگهاڙي_, _balieni_, _harksank, 
   {{0x2202022d,0x8c060272,0x84d60486,0x92790529}},	//   _ferite_, _abatagas, _युरिया_, _krugovim, 
   {{0xa2000107,0xbda20095,0x75960086,0xd2aa0040}},	//   _nalika_, _saandhap, _legrossz, _spectrom, 
   {{0x94730402,0x820202ee,0x09410163,0xee510203}},	//   _pastikan_, _antika_, _kellemet, _detallie_, 
   {{0xa37a0456,0xb26d00d2,0x030c0045,0x1afb017f}},	//   _paparan_, _getol_, _зарађују_, _imartune, 
   {{0x4c130192,0xff3903a2,0x19cd00ab,0x00000000}},	//   _생각되시면_, _बीवियों_, _matenuit, --, 
   {{0x1200029c,0x57840292,0xacea0061,0x278900d9}},	// [2220] _salima_, _amanfoɔ_, _슈퍼기억력_, _деловой_, 
   {{0x72fc00e0,0x02fc013a,0x426c00bc,0x82d80456}},	//   _krige_, _getippt_, _pedot_, _jelebu_, 
   {{0x086504f2,0x831701d1,0x73e801bd,0x17db0024}},	//   _phunutod, _finally_, _естен_, _বিনিময়ত_, 
   {{0x30350203,0xe9c304ad,0xc2020129,0x7c6f02c7}},	//   _centrian, _bonelape, _nkpiri_, _vierten_, 
   {{0xb23c017a,0x792800cb,0xd42301df,0x98f801db}},	//   _abawucel, _фисқу_, _forsworn_, _قارلىعاش, 
   {{0x66260101,0x02da03a0,0x126d0465,0xd6490151}},	//   _sistemul_, _basegi_, _letom_, _anchoodi, 
   {{0x42000662,0x06220306,0xfc630156,0xc32c0153}},	//   _halika_, _chantapi, _asturio_, _鍼灸で甦る身体_, 
   {{0x1c08008d,0x0c44001e,0x9288038a,0x1a060464}},	//   _буддавий, _shawara_, _akhamani_, _bazatege, 
   {{0xf31600c4,0x8316025a,0x1200008f,0x52d00287}},	//   _uliza_, _ndazi_, _valija_, _litovel_, 
   {{0xe2fc042c,0x626d0456,0x58ba0311,0x7e840156}},	//   _brige_, _betol_, _ብምፍሳስ_, _אָרנטלעכ, 
   {{0x9b1602d5,0x9c1201e5,0x67b304a4,0xa5e601de}},	//   _majandus, _akasọ_, _chluasai, _حايلۇن_, 
   {{0x43870672,0x866d01ac,0x289402eb,0x7132017e}},	//   _akaryo_, _إليسا_, _өвөлжилт, _mortinto, 
   {{0x2c34007e,0xfdbf0184,0x736403a4,0xe0640361}},	//   _नियोजयेत, _bisature_, _bloggan_, _автоçулс, 
   {{0x1d7d00d6,0x2342060b,0x5afc00b3,0x32120015}},	//   _نجران_, _सारंग_, _askorbin_, _dhaha_, 
   {{0xe9960476,0x2e3b006a,0xdb6400bb,0xb9cb015a}},	//   _akakunda_, _baravara, _مضائقہ_, _dameesit, 
   {{0xe20001ad,0xc394033d,0x822603f1,0xc2120176}},	//   _balika_, _blesu_, _ziskom_, _haihu_, 
   {{0xa3860177,0x4f400034,0x388500ec,0x0e0e007f}},	// [2230] _overa_, _næringar, _varikliu, _fandalia, 
   {{0x2dd103de,0x82e202f6,0xb90d004d,0xe2900144}},	//   _ngokunga, _kwantum_, _笑望來時路_, _pcman_, 
   {{0xd4fc02fe,0xea6a02ac,0x8e3b03b9,0xe23a003c}},	//   _نامعلومو_, _اعتذار_, _warawara, _گرايشها_, 
   {{0xf85d0144,0x43a804b2,0x225e00a5,0x5426019b}},	//   _cairdeas_, _tinanong_, _faititil, _баяцца_, 
   {{0x184201d1,0xd69001eb,0x2212000c,0x5a9800cf}},	//   _proteins_, _anafóric, _chaha_, _chayinaa_, 
   {{0x06eb0092,0x408a02ac,0x640f02e5,0x61e101b7}},	//   _ドラゴンボ_, _معقوله_, _avogádo_, _वातपित्त, 
   {{0xc3fa0096,0x44270184,0x8e1c0281,0xf19c020f}},	//   _batura_, _banyegej, _aniguisa, _اتڼونه_, 
   {{0xa61a00b5,0xaebe040f,0x734e0452,0x00000000}},	//   _kuaapyré, _patogesn, _घराघरात_, --, 
   {{0x6e3b036c,0x5a090148,0x42d901f7,0xde3b00c5}},	//   _varavara, _perpetuu, _accesi_, _警惕高血压高血脂_, 
   {{0x3b3f012a,0x2a160044,0x40e000f5,0x76ca003f}},	//   _ponieważ_, _discusse, _мүңкүрли, _dibahhom_, 
   {{0x6c6f013b,0x32eb0274,0x2e4a01f9,0x138701cc}},	//   _viersen_, _barnabæt, _bucakaca, _bhargo_, 
   {{0x19c4000b,0x329000a4,0x32000393,0xfd6b00be}},	//   _apamemea_, _donant_, _zaliha_, _مەلدەشتە, 
   {{0x83170513,0xfc28018d,0x367a0212,0x63f400bd}},	//   _cincile_, _ስብከትን_, _fidelium_, _eyster_, 
   {{0xd3fa0079,0xd6990206,0xc2ea01f7,0x56f90135}},	//   _satura_, _centrumh, _aminats_, _bombalaw, 
   {{0x12d9018c,0x5ea200c7,0xd3ea0178,0xe2d60008}},	//   _tweede_, _berlegen, _amitre_, _orelles_, 
   {{0xc2000544,0x6e3b0139,0x0abe0053,0xa930034e}},	//   _palika_, _agrahara, _diajukan_, _carmenqa_, 
   {{0x52ef02ce,0x5aaf0014,0xef2d02f0,0xc2ca035c}},	// [2240] _balikna_, _diskuton_, _irifaren, _bokdag_, 
   {{0xd0940134,0x625b02a0,0x4d8d018f,0x62ef022c}},	//   _albáníà_, _baalé_, _hologhra, _calikna_, 
   {{0xc9c30071,0x5da300af,0x4cab0467,0x19f9027c}},	//   _جالبه_, _колись_, _yenyinar, _beyifuna_, 
   {{0x0101051a,0xb27a0544,0xccf50109,0x33f40153}},	//   _radhiall, _milimili_, _अनिकाल_, _ウイニングイレブ, 
   {{0xf021041a,0x33fa01fa,0x9e3d051e,0x028e00ff}},	//   _квартири_, _katupa_, _azulejos_, _bajkalo_, 
   {{0xbf350192,0xf82303b0,0xb86e04df,0x93790053}},	//   _공급면적당_, _প্রজন্মই_, _akabalar_, _sumargo_, 
   {{0xc1f500d7,0x1c140170,0xfd2f002b,0x6bc500d1}},	//   _смотр_, _amulungu_, _মোজাফফর_, _ওচৰিকৈ_, 
   {{0x0be90059,0x07590255,0x6fd00147,0x1c6202be}},	//   _apposito_, _पुत्रीक_, _شاۋچئڭ_, _gutumin_, 
   {{0xa378004e,0x9b5b01b4,0x81d901c4,0xa26c006e}},	//   _salamin_, _ingedien_, _stelselm, _meloy_, 
   {{0x10b202ac,0x027b0368,0xe71c0142,0x30fd001d}},	//   _هاتفك_, _склоне_, _नन्दन_, _farbierz_, 
   {{0xd64a0037,0x39740080,0xd82e00a7,0xfe4600be}},	//   _የክርክር_, _ajungune, _арбир_, _دوشتورعو_, 
   {{0x89c70013,0x99c20255,0x405b0183,0x42f0041e}},	//   _қарамай_, _kindlast, _ampandro, _galiani_, 
   {{0xec25037c,0x573d00e4,0x939403d5,0x62900119}},	//   _lionhead_, _आर्यभट्ट_, _aless_, _baeay_, 
   {{0x4c4f0052,0xe2260017,0x00000000,0x00000000}},	//   _जमानामा_, _ziskem_, --, --, 
   {{0xa65f023c,0xb3940116,0x7ef6002b,0x7e0a002b}},	//   _amakishi, _cless_, _শরিফুল_, _নায়িকার_, 
   {{0x79f8034f,0xb2d8012a,0x8292045b,0x8ee6036e}},	//   _abhalise, _ojcem_, _колядки_, _chikitus_, 
   {{0x038603f0,0x72ca011b,0x0b630005,0xd27e002c}},	// [2250] _hvern_, _macdo_, _avertura_, _jainko_, 
   {{0xb4b90501,0x0df70023,0xc7c7038a,0xc57b047b}},	//   _मंगेशकर_, _заявил_, _castigaw, _fuglabjø, 
   {{0x1dab04d7,0x081c0162,0x4c620135,0xf170002b}},	//   _kenninga, _سانائىتى_, _basudan_, _বন্দুকের_, 
   {{0x234703ed,0x2379042c,0x14b001ab,0x92030156}},	//   _começa_, _nalazio_, _तिनडोरिय, _פענאמענע, 
   {{0x3dab03f0,0xc3b300e6,0xd2d900ec,0x00000000}},	//   _menninga, _编辑好友列表_, _metodus_, --, 
   {{0x2c6702fe,0xb9f800fb,0x00000000,0x00000000}},	//   _malunga_, _ubhalise, --, --, 
   {{0xf38604c8,0xb5b00006,0x7a8b0024,0x327803f6}},	//   _gvern_, _tanganny, _meinings, _malihini_, 
   {{0x1acb0335,0x53790062,0xa2f00196,0x6185000a}},	//   _भरतर्षभ_, _astalya_, _qadiani_, _assammil, 
   {{0x220401e6,0x12fc03a6,0x12910118,0xadfd02cf}},	//   _hodinami_, _ntago_, _asaana_, _предците_, 
   {{0xc2fc004e,0xd49d0092,0x2d44036e,0x5bde00ba}},	//   _itago_, _メッセンジャ_, _chiqirir, _چاوبکرێت_, 
   {{0x52d900d6,0x29a1010d,0xa68203a2,0x25a10077}},	//   _ligean_, _स्वीकारण, _अबराम_, _dominikà, 
   {{0xc30304e2,0x021c0528,0xda57027e,0x3e420445}},	//   _pndapat_, _bathar_, _писана_, _sinaliza, 
   {{0xb34000b9,0x625b0101,0x92ec0169,0xbe4e0038}},	//   _अथांग_, _cuplu_, _detiene_, _ааҗдә_, 
   {{0x41bd01a7,0x52ab0166,0x86ba00c5,0x92ea0277}},	//   _развития_, _sendung_, _caradisi, _kutihan_, 
   {{0x527a0165,0x3c610050,0x637800c0,0x79c10067}},	//   _bilibili_, _butuhna_, _dalahin_, _gandaatt, 
   {{0xb28c0285,0xbddc0176,0x68ba006d,0xfe1c008c}},	//   _adakuna_, _tankerne_, _абясцэнь, _datescha, 
   {{0x637f01e9,0x0af00094,0x7ae4000d,0xb283000d}},	// [2260] _bonatsa_, _بىزدەردى_, _postkast, _pakkuja_, 
   {{0x0c650534,0x22610340,0x526d0020,0xf56a00c5}},	//   _vietjet_, _kiwikiwi_, _letoa_, _médaille_, 
   {{0x0f4802e7,0xdfa7019a,0x3aad004d,0x77800092}},	//   _diksyona, _belvaros_, _若不記錄可不填寫_, _レシピブログに参, 
   {{0xf867065e,0x38fe069d,0x22120049,0xcc2202fd}},	//   _venstres_, _baragend, _ohahe_, _pharrais, 
   {{0x09e401cb,0x2a100285,0x57830013,0x97110291}},	//   _nokuband, _kambanda_, _серазетд, _منتزه_, 
   {{0xa26d01fa,0x9c620292,0x7c6f047d,0xe7b3017e}},	//   _aetoa_, _awurade_, _dierfen_, _konsenti, 
   {{0xe29403db,0x00000000,0x00000000,0x00000000}},	//   _elibanzi_, --, --, --, 
   {{0x9dac00ba,0x7ae400da,0x12cb0034,0x0a90014a}},	//   _باهۆز_, _inculpat, _saedis_, _kivitelb, 
   {{0x5cf80037,0xa2c201a4,0x9e820301,0xcd8801aa}},	//   _የአስፋልት_, _apelisa_, _osеyə_, _effortwa, 
   {{0x07830255,0x827e0288,0xf3940109,0xeb8d0043}},	//   _पारामारि, _ibingo_, _चिरन्जीव, _awangayo_, 
   {{0xd71c028b,0x82450162,0x346d0024,0xb27e0183}},	//   _reducció, _ماڭىمۇ_, _বিপদৰ_, _connes_, 
   {{0xb20003ba,0x5164004f,0xb2080163,0x9dbf0116}},	//   _epait_, _jogomaay_, _lebontás, _polissma, 
   {{0xc281054f,0x5bb10024,0x534d0374,0xeeed032d}},	//   _hahhaah_, _ইউৰেছিয়, _парфи_, _һѳнәр_, 
   {{0xac6500c9,0x913f0122,0x0a2001db,0x5c00000d}},	//   _biethet_, _angendel, _جانۇيا_, _unistus_, 
   {{0xa39401b8,0xe2d70418,0xc29f0082,0xcee60040}},	//   _poest_, _oteller_, _ajujuwa_, _בסטייל_, 
   {{0xd9e402bf,0xc2040300,0x00000000,0x00000000}},	//   _kokuband, _rodinami_, --, --, 
   {{0xb225006c,0x7e1c007f,0x32da0118,0x00000000}},	// [2270] _amakha_, _gadeiria, _basezi_, --, 
   {{0xa27e00df,0x734100bc,0x702d00d4,0x4719032d}},	//   _bonnes_, _مندان_, _stadicho, _приборҙа, 
   {{0xd25a02a0,0x62cc0265,0x039401c9,0xe2c400c5}},	//   _akole_, _spullen_, _enese_, _mondiaux_, 
   {{0x72d90117,0x20ad03ce,0xc7e40163,0x429102fb}},	//   _aksen_, _بشاره_, _عضلاتی_, _hauai_, 
   {{0x6e3a042f,0x2c09069e,0x7a490060,0x95ab012c}},	//   _kinaliqa, _permitiu_, _بايقالات, _menginey, 
   {{0x1df102b6,0x43940079,0xc2e501cd,0xf73f0037}},	//   _ءبىراقتا_, _inese_, _adoniya_, _በመደበኛው_, 
   {{0xb5850004,0x92fe00a4,0x69c601e9,0xf2910118}},	//   _barselòn_, _tarifes_, _ditement, _asaala_, 
   {{0x720004aa,0x456c00d8,0xb97805a6,0x03030282}},	//   _apait_, _chamaliè, _grunngje, _mitarau_, 
   {{0xc67d0147,0x3b8500ec,0x90eb00d1,0x00000000}},	//   _اكۇنوۋا_, _агулам_, _চাবোনৰ_, --, 
   {{0x22e60090,0x6212028f,0x00000000,0x00000000}},	//   _akaneta_, _naihi_, --, --, 
   {{0xa969020a,0x153100f8,0x064d02b9,0x00000000}},	//   _аралдары, _নয়নাভিরা, _vitorlás_, --, 
   {{0xc2c4035b,0x8dba0113,0x0225025e,0x1224004c}},	//   _povedati_, _mbunacha, _smakka_, _alikka_, 
   {{0x19f1007c,0x3212023b,0x84210244,0x6b6c01c4}},	//   _elandela_, _kaihi_, _cambiato_, _navorser, 
   {{0xa42803de,0x2b6a008a,0xa2ef029b,0x737a02a2}},	//   _ngokwenz, _tupulaga_, _diaffe_, _patayin_, 
   {{0xf386008c,0x52120340,0xc17a01ca,0x834102ac}},	//   _avert_, _maihi_, _blahblah_, _انقاص_, 
   {{0xae3900f5,0x077201b7,0x7f2e01f7,0xce7f015d}},	//   _биологла, _प्रसारित, _castelha, _घोषणाएँ_, 
   {{0x0ea600a3,0xc2ea03b5,0xfb940170,0xd6b50007}},	// [2280] _fastsett_, _bisikan_, _choimbir, _litambwi, 
   {{0x82950329,0x6ae6002c,0x59be00d1,0x517a0237}},	//   _efektiv_, _extranet, _andersdt, _박사학위를_, 
   {{0x0dd6002c,0xf76e0060,0x70e8005b,0xf6180223}},	//   _deskriba, _ايالاعىس, _akkinabl, _бадамгэр, 
   {{0x12d603ea,0x6262017d,0xa202043a,0x23860363}},	//   _quelles_, _takoyaki_, _tipiki_, _tvert_, 
   {{0x8a020499,0xce250220,0x89fc005f,0x8afc034f}},	//   _matafaga_, _отключва, _relajant, _eedomain_, 
   {{0x53860224,0xa3a20233,0x93aa0092,0xd3f40256}},	//   _hvers_, _simpli_, _この人と友達にな, _pirtis_, 
   {{0x7bc001f2,0x69d1000c,0xe8f70103,0x35ff0037}},	//   _ﭼﺎﻏﺪﺍ_, _абраҟа_, _achaswed, _shamsudi, 
   {{0xf00000f2,0xc7cf0153,0xba8c0077,0x00000000}},	//   _neformāl, _ジのトップへ戻る_, _kotidyen_, --, 
   {{0xd9f101cb,0x0d1e0212,0x523b024c,0x3d390321}},	//   _alandela_, _dealtime_, _riferiti_, _socialne_, 
   {{0x72fc0180,0x77570257,0x93860172,0x7c9e0258}},	//   _dedikas_, _yndisleg, _nwera_, _leeftiid_, 
   {{0x62120399,0x3224011c,0x596b041e,0x82c30187}},	//   _hhhhhh_, _fenkug_, _ammintat, _desliga_, 
   {{0x5b8400b4,0x337a0201,0x75ad0311,0xf4a40311}},	//   _женераци, _naharal_, _ንሰብኡተን_, _ንሶማላውያን_, 
   {{0xc4880092,0xbc7503f5,0x1a35030a,0xa26d0085}},	//   _おすすめ商品_, _reduzir_, _establéc, _metou_, 
   {{0x9f3c0193,0x5290037c,0xb2640273,0xcc6d0220}},	//   _perumaha, _bonart_, _amplio_, _storica_, 
   {{0xa2d7019d,0x5039019f,0x42ca01c5,0x98660144}},	//   _matondo_, _پيچرا_, _orodka_, _pairilis_, 
   {{0xd67a025e,0x36de0040,0xabd100cc,0x927f02eb}},	//   _nemendum_, _מוסקבה_, _soldater, _abando_, 
   {{0x665d00e7,0xd230025b,0x5c030003,0x3da2014f}},	// [2290] _addisonw, _marjun_, _grappig_, _свуда_, 
   {{0xdd5a0061,0x8304010e,0x40970156,0x00000000}},	//   _서해그랑블_, _antagal_, _לייַדנשא, --, 
   {{0x3294043a,0xe56000c7,0x322602f6,0x227f0172}},	//   _alikani_, _kullanuç, _paskil_, _npanin_, 
   {{0xadb804f9,0xb27e02af,0xc386030b,0xb3f901a6}},	//   _angallat_, _icinyo_, _awera_, _ngauru_, 
   {{0x5212032d,0x563e023b,0x7e2600c7,0x795d00e2}},	//   _baahi_, _beritani, _алыштыры, _taalbehe, 
   {{0xb53e050b,0x097a001d,0x5615014f,0x8f8c0158}},	//   _ceritany, _latinist, _русији_, _बेशकीमती_, 
   {{0x049c0238,0xf2b4018c,0x52f20374,0x00000000}},	//   _плани_, _verblijf_, _яккаю_, --, 
   {{0x18dd019b,0xc27b009a,0xab34022f,0xda0601dd}},	//   _poreikiu, _andilili_, _будучыя_, _baratege, 
   {{0x225a005a,0x5b8c037a,0x921202fb,0x36380163}},	//   _choli_, _itangazo_, _faahi_, _legendás_, 
   {{0xae4a0013,0xe2910007,0x4394024c,0xcf6b0090}},	//   _наширнин, _movate_, _inmsa_, _emubatan, 
   {{0x9a1300bc,0x4ed00052,0x826d0085,0xa7b20053}},	//   _comconte, _policejn, _ketou_, _khalayak_, 
   {{0xbc490013,0xe2c40338,0xe17f002b,0x926d01b0}},	//   _безовта_, _enemics_, _লজিষ্টিক_, _metot_, 
   {{0x6f5004c3,0x7c260019,0x53fa00fe,0x4a0e030d}},	//   _sohanews_, _temeràri, _mapuni_, _aviabile, 
   {{0x238a0139,0x2279045e,0x3d5a0012,0x00000000}},	//   _प्रदापये, _магьосни, _ाधुन्हि_, --, 
   {{0x7b6204a9,0xbaed003a,0xe395001f,0xf2fc0077}},	//   _अभिनव_, _тилларда_, _seesei_, _belgja_, 
   {{0xfaa901ad,0xaccb018d,0x2395006a,0xed7101cf}},	//   _mecklenb, _ሓሳባተይ_, _imason_, _commatra, 
   {{0x9afb038b,0x646d00e6,0xa3950016,0x029202ef}},	// [22a0] _diperiks, _不能立即改正的_, _amason_, _jerall_, 
   {{0xecd7023e,0xed06015e,0x09770258,0x42d70184}},	//   _اعلام_, _carreter, _tennisje, _gatondo_, 
   {{0x33fa030f,0xe2f3012a,0x2316027c,0x45b902ac}},	//   _kapuni_, _metodą_, _alizi_, _موناكو_, 
   {{0xca5200ef,0xa2690013,0x98f30025,0x08760439}},	//   _تدريج_, _баробари, _पदार्थात, _khungulu, 
   {{0xfc4e02ec,0x13640046,0x363e026a,0x1da701a3}},	//   _زمانا_, _vulguin_, _peritani, _موچڙن_, 
   {{0x43870167,0x2c65041e,0x72fc00df,0x0342006a}},	//   _chario_, _acquale_, _orage_, _harenan_, 
   {{0x925a0011,0x28c601f6,0x4c7601ef,0x1317011a}},	//   _akola_, _noverand, _keturis_, _succeed_, 
   {{0xb2120298,0xc2910165,0x98ba028d,0xb2ef02ef}},	//   _waahi_, _kovate_, _mintenir_, _chafat_, 
   {{0xca730060,0x73ce023d,0xc9f9009b,0x00000000}},	//   _алдын_, _магазини_, _ангараг_, --, 
   {{0x964d0046,0x330801b4,0x00e40299,0xf1b5004d}},	//   _ايىتقانى, _simbool_, _تۈزگۈچىل, _促進教學發展研究_, 
   {{0xe85800a4,0x15d601dd,0x0b090359,0x9afc0054}},	//   _процесст, _abibumby, _terpstra_, _bakoncin_, 
   {{0x59770548,0x53dc02f7,0x8f3a0359,0x55e80229}},	//   _menneske, _bulwe_, _degradaa, _aldanmış_, 
   {{0x42c6004b,0x80140046,0xac07017c,0x926d023a}},	//   _ditekesi_, _دوكۇمەنت, _pinsamt_, _detom_, 
   {{0xe2fc02c7,0x025a03bf,0xa27d01d5,0x8eb800be}},	//   _frage_, _kholo_, _مقابلوں_, _ايعىر_, 
   {{0x70600126,0x482402a9,0xb3950609,0xc25401da}},	//   _апеляцій, _сувязь_, _lousa_, _mungojnë_, 
   {{0x92b503d5,0x38a80276,0x139003db,0x7b0700a7}},	//   _horch_, _бастурма, _abayeni_, _диндин_, 
   {{0xc3eb0253,0x423b00de,0x0ba203a2,0xe26d028d}},	// [22b0] _imatut_, _asiwisel, _बेबुनिया, _zetol_, 
   {{0xabc502ac,0x425a03f6,0xd2000084,0x92e80358}},	//   _بناطيل_, _oholo_, _abdina_, _dilibon_, 
   {{0x260e00ff,0x0a540464,0xd8700376,0x5741011b}},	//   _הורקנוס_, _akamusab, _uppihald, _bazobang, 
   {{0x5723003e,0x73aa0672,0xf4170313,0x84bf01ab}},	//   _советы_, _norvege_, _bingilmo_, _चहुँपनी_, 
   {{0x43b90060,0x64120061,0xb30d011a,0x054103ce}},	//   _мініп_, _문헌정보과_, _hazards_, _میزاده_, 
   {{0xd2fd0434,0xc6540037,0xf6f50350,0x632002d7}},	//   _útiles_, _ማስቀረት_, _ላቀረብንላቸው_, _cancros_, 
   {{0xdd2c0270,0x8fb40047,0xb9990244,0x3017027b}},	//   _arrivate_, _contenus_, _бележка_, _ददृशुः_, 
   {{0xb30603d8,0xcc7304ce,0xfc4401d2,0x82b30017}},	//   _podatak_, _imisela_, _akawara_, _द्रुत_, 
   {{0xb316002e,0x72b3022a,0x726d012d,0x026c00b6}},	//   _ulaza_, _saidiko_, _setol_, _othoga_, 
   {{0x65430061,0x62ec04a7,0x00000000,0x00000000}},	//   _가성소다의_, _abriuse_, --, --, 
   {{0x47b90060,0xc04701a3,0x52b50195,0x426c00ff}},	//   _мардымсы, _رئٽڪلف_, _dorch_, _aglon_, 
   {{0x26ba022f,0xebe3017f,0xead20061,0x24ec01c9}},	//   _pavasari, _tikeraar, _여주직사각_, _समैया_, 
   {{0xd26a00bf,0x80500052,0xb2fd00bc,0x5d30047b}},	//   _заморажи, _स्थितिको_, _anggak_, _busskoyr, 
   {{0x30340132,0xc2fc00b4,0x51fc00f5,0x22000423}},	//   _embernek_, _trage_, _aglabasy_, _lamino_, 
   {{0x5330005e,0x78150023,0x829200ec,0xde7303a2}},	//   _кәррий_, _думала_, _atrado_, _शख़्स_, 
   {{0xc3db034b,0x3df0028a,0x02e1009f,0x731a010b}},	//   _sikuriti_, _سندون_, _kupnino_, _itsiweng_, 
   {{0x9c14014a,0x527e012d,0xcd8c014f,0x224701b7}},	// [22c0] _سوچنے_, _apinun_, _фондациј, _केवलो_, 
   {{0x6b710108,0x331a0004,0x9c60013d,0xabf4026b}},	//   _indungna_, _anachik_, _saluton_, _follando_, 
   {{0xa9c30147,0x12000092,0xf2ba017d,0xb3e700ec}},	//   _باقبى_, _kamino_, _øjemed_, _сакратар, 
   {{0x6e27009c,0x7d8f0397,0x898204b3,0x7906000c}},	//   _cromadas_, _abalanga, _brizonid, _karapegu, 
   {{0x69f70287,0x2dbd069f,0x6204020f,0xa6e7014e}},	//   _ovladate, _rumunsku_, _andizami_, _заслуге_, 
   {{0x9b1100a7,0x020201a4,0xc0e601cd,0xdb7a0311}},	//   _campanya_, _batiya_, _anezimbo, _ምምቕቓል_, 
   {{0x6a4204dc,0x62120150,0x129100d9,0x4ce704c7}},	//   _نێزیک_, _raihu_, _kauas_, _електриц, 
   {{0x3325003f,0xd9d40211,0xbffa01c4,0x83b60161}},	//   _chobmey_, _tekemine, _roekeloo, _патроны_, 
   {{0x73940192,0x72a600f7,0xc6b4005e,0xebdf0193}},	//   _moest_, _nombra_, _ﮬﻪﺭﺧﯩﻞ_, _अग्रलेख_, 
   {{0x10310157,0x73f901de,0xe1c401be,0xea100156}},	//   _अनुगमनकर, _моцартты_, _milostné_, _antaŭler, 
   {{0x17be0208,0x526d0529,0x08670046,0xd2b501ac}},	//   _ئسرائیل_, _petom_, _fresques_, _corca_, 
   {{0xe855018d,0x6ecd032d,0x3d2c0044,0x7bfe01a4}},	//   _ዝሓቖፈት_, _borithan, _irritate_, _mukumbus, 
   {{0x724900d4,0xf906011f,0x31d500ca,0x2639004a}},	//   _keamer_, _carapegu, _amolonam, _заманасы, 
   {{0x2f780288,0xc8c5022a,0xc6580676,0x52e702c8}},	//   _diabolos_, _dimetrod, _crikveni, _asinado_, 
   {{0xf2d80005,0xaa1a0061,0x10d9018d,0x65cd0102}},	//   _mument_, _검색도움말_, _እምበእር_, _kugawany, 
   {{0xcfa102c2,0x17dd0040,0x929104ca,0x00000000}},	//   _beklemto, _היעדר_, _cauas_, --, 
   {{0x02a6014a,0xe26d00bc,0xc291033d,0xd6ed02cd}},	// [22d0] _gombra_, _ketok_, _anfave_, _garanbaw, 
   {{0x52ba00dd,0x4b8b0022,0xa8bf0092,0xb5df00e6}},	//   _garedig_, _dilithar, _allerbed, _新增社区好友_, 
   {{0x0d8c0152,0x444a0008,0x17940156,0x00000000}},	//   _awazdaşl, _كۇرۇستار, _יאָדער_, --, 
   {{0xe2ea015e,0x42c800a9,0xd7250071,0x81e20025}},	//   _ارقىلىق_, _rutonde_, _blambang, _नकारे_, 
   {{0x65f002a7,0x1e3603bf,0x625a01ac,0xc86a02fd}},	//   _inimatsi, _bengdika, _cholm_, _chonnaid, 
   {{0xd3860149,0x32fc022a,0x73eb018b,0xb6d00405}},	//   _nwere_, _kriga_, _lapte_, _antageli, 
   {{0x23f40516,0x374700b3,0x83860129,0x539400e0}},	//   _gotten_, _аңламагы, _iwere_, _koest_, 
   {{0x5dfd01aa,0x930500ac,0x37d1033f,0x33f4057c}},	//   _assetswa, _dolazak_, _apogipog, _ryster_, 
   {{0xa3170497,0x727e00a1,0xa38604ee,0x43f40191}},	//   _muscled_, _koinā_, _kwere_, _syster_, 
   {{0x765e01f2,0xd3f402f3,0xdaed0155,0xaeda0121}},	//   _қисми_, _botten_, _carlsson_, _mediados_, 
   {{0xcadd00e2,0x52cc0185,0x425702f7,0x225a0392}},	//   _akademys, _berlän_, _leitibol, _pholl_, 
   {{0x92cb03c7,0xaf970092,0x3d490153,0x92d40198}},	//   _żaden_, _周辺地図を表示す, _ソフトバレ_, _jabolka_, 
   {{0x8e5e0657,0xf34b0034,0x93030306,0x33050139}},	//   _uzubilla, _algengt_, _almabot_, _antaram_, 
   {{0xa317027d,0x7f2e0223,0xfbc302b6,0x12ba018a}},	//   _zvezda_, _библи_, _денешыны, _caredig_, 
   {{0x12300359,0xccfb0039,0x7c80015e,0x92900359}},	//   _blommen_, _kaleratu_, _сезет_, _jonkjes_, 
   {{0x8e5e0163,0x61a50008,0xe224053d,0xc58f003b}},	//   _ریستوران_, _алайкуу_, _anikwa_, _ekutivik, 
   {{0xf2fc028a,0x8200006a,0x6dcf0061,0x00000000}},	// [22e0] _alhamisi_, _ramino_, _투자자들은_, --, 
   {{0x7d3000be,0xe3b700ff,0x63ca0126,0xeead031e}},	//   _эмоциялы, _רייַזע_, _заворуше, _dovođenj, 
   {{0xe20202ee,0xc2cb010a,0x08670080,0x00000000}},	//   _katina_, _dugdaa_, _iffiortu, --, 
   {{0xe28a008d,0x98bc00d3,0x11c30076,0xfb8f01a0}},	//   _паспортл, _उत्साहजन, _бодови_, _marinlor, 
   {{0x3e47027f,0x21170553,0xad7b0011,0xb16100cb}},	//   _ashavuye_, _ťaháky_, _atamanya, _amarobho, 
   {{0x927f0286,0xddb80080,0x91de0035,0x42e903ec}},	//   _mienou_, _assingup, _бәрделәр_, _filologj, 
   {{0x12c7049e,0x4d880462,0x4dfd0218,0x00000000}},	//   _rádiu_, _arnoldwa, _assesswa, --, 
   {{0xe840013f,0x00000000,0x00000000,0x00000000}},	//   _digredus_, --, --, --, 
   {{0xb29102e5,0x5d5b03a4,0x92da000e,0xa2fc000a}},	//   _alvane_, _barnarím, _pasebi_, _atagu_, 
   {{0x2a7e01ec,0xd9bd0041,0xa9f006a0,0xcc3f0125}},	//   _بلندترین_, _азызуаз_, _pseudobu, _гүчленди, 
   {{0xf39502e2,0xff2501ab,0x7e6a015e,0x00000000}},	//   _louse_, _अँउजाइ_, _тойдо_, --, 
   {{0x32ca01b5,0x8a16015a,0x63d00405,0x00000000}},	//   _eindia_, _barbadee, _sommersk, --, 
   {{0x9a790264,0xc86f0097,0x79cd01a7,0x00000000}},	//   _dumangop_, _onísé_, _valokuva_, --, 
   {{0xb25a04c8,0xd3030031,0x53050453,0xb2b90243}},	//   _wkoll_, _didapat_, _polazak_, _fardiik_, 
   {{0x5379000c,0x199503ef,0x13a802f7,0x023102e7}},	//   _aguasua_, _amakenga_, _dinakong_, _kkumuha_, 
   {{0x925a024c,0x09710073,0x337900ad,0xe20e0223}},	//   _ukoll_, _compatir_, _sipatna_, _жанам_, 
   {{0xe354042c,0x926001a4,0x3d4a01ac,0xaf690134}},	// [22f0] _posebnu_, _batoboli_, _hisaronu_, _iwọle_, 
   {{0x015c00e3,0x95b80040,0xc3160414,0x00000000}},	//   _diffikul, _ועיבוד_, _moize_, --, 
   {{0xc3950195,0x2d0a03ef,0xbc7600e4,0x507d02ea}},	//   _amasan_, _igaragar, _माल्या_, _копиране, 
   {{0xe2910285,0x0e7201be,0xc40d0297,0x00000000}},	//   _kubaho_, _जिन्स_, _baruımnı_, --, 
   {{0x4d350056,0xbc01023c,0xac660478,0x093101d6}},	//   _вукалои_, _ګلبدين_, _pintors_, _blomstre, 
   {{0xfc530390,0xc3ea00c1,0xa2020018,0xf32b00e4}},	//   _dostuna_, _apotik_, _watina_, _spacery_, 
   {{0xa9b90145,0x27430061,0xa316004c,0x886c016a}},	//   _казанска, _업무혁신방_, _alaze_, _והבלים_, 
   {{0x33a3012d,0xc30e00fe,0xc120003c,0x31c400ba}},	//   _diepla_, _karalus_, _اینشتین_, _ڤێرشنی_, 
   {{0xa38c00f5,0x3637002c,0x0b3403c2,0x72480378}},	//   _душен_, _aisialdi, _albaanis, _filmum_, 
   {{0x427f02fe,0xcba2000c,0x3b640308,0x13bd004d}},	//   _ibango_, _аднакыле, _detergen_, _電子公佈欄_, 
   {{0x12b3013d,0xd2ee02e1,0xbaf70017,0x1e3900d5}},	//   _londono_, _taifid_, _spisovat, _manahira, 
   {{0x00570212,0xd6ce0039,0x239402bd,0xc2a9018d}},	//   _cuislean, _kataluni, _phosib_, _ንቁጠባዊ_, 
   {{0x89e300ca,0x39f302fd,0xfc580299,0x2ea10192}},	//   _wikidata_, _chriosda_, _تاماكىسى, _naarmate_, 
   {{0x8cea065b,0x883e045e,0x89c2001b,0xd2d40193}},	//   _पाठमाला_, _митко_, _firdiitt, _cheonsa_, 
   {{0x1a510204,0x1fdd002e,0x839501b5,0x2f920061}},	//   _lopettaa_, _ozbiljno, _emasin_, _출고예정일은_, 
   {{0xac6f032e,0xb3270008,0xb9eb009b,0x7eb30445}},	//   _churata_, _بالبان_, _estropad, _governos_, 
   {{0x1248036f,0x5b7000d7,0x0a7c0583,0x22250224}},	// [2300] _ovome_, _iphumana_, _zračno_, _flakka_, 
   {{0x3f27017e,0x8c6f02ae,0x7340025e,0x8b8a01ac}},	//   _interkon, _budući_, _eigenda_, _diantoir, 
   {{0xec660415,0x87af0040,0x42c6016e,0x8bcd00b4}},	//   _besteht_, _יציבה_, _siteleri_, _фарисеий_, 
   {{0x42250034,0xe3960076,0x8320005b,0x00000000}},	//   _hlakka_, _passam_, _dojyou_, --, 
   {{0xf316002e,0xb4340147,0x061a018d,0x5b7b0428}},	//   _ulaze_, _تئزمەسى_, _ዝሳቐዩን_, _staranja_, 
   {{0x4f1e0040,0x06540023,0x4c75005f,0x63fa01ed}},	//   _אורלנדו_, _непонятн, _reducir_, _kapuai_, 
   {{0xdfea0354,0x7f5d0209,0x22e7014e,0xc07d032d}},	//   _бринклни, _ungasinn, _pernica_, _сапрыкин_, 
   {{0xeb0500d6,0x02360541,0xa0300223,0x00000000}},	//   _colscart, _daljem_, _tabernak_, --, 
   {{0x97090013,0x6aef02d8,0x730d02be,0xb8470204}},	//   _назарида, _उर्वरित_, _pulbura_, _гадание_, 
   {{0x4292039d,0x66170024,0x995e0211,0x81eb00bb}},	//   _murado_, _কৰিহে_, _mainitse, _گنگوہی_, 
   {{0x546e0152,0x13ec015a,0x0f580594,0x340200aa}},	//   _юрама_, _barressi_, _kryptert_, _madulaon_, 
   {{0xc558004a,0xe2fa018b,0xc21200a1,0x89750431}},	//   _filialı_, _prahova_, _haahi_, _minnesme, 
   {{0xcf0b00ff,0xb2970180,0xcfdc003e,0xda3e0046}},	//   _מפקיר_, _bankrut_, _транпорт_, _байлаган_, 
   {{0xdee30226,0x83fa0005,0xe2b5022e,0x72fc0038}},	//   _adakaten, _anturn_, _porcu_, _buaga_, 
   {{0x4ff10135,0x83890128,0x2e96015e,0x00000000}},	//   _buluları, _shayton_, _قىزىر_, --, 
   {{0x563200bf,0x4abb00e6,0xc6f0019e,0xeed8019b}},	//   _неоднокр, _上海长途汽车客运, _аздаблял, _greitesn, 
   {{0x5378012d,0x4bb70176,0x6c720047,0xd2fe001c}},	// [2310] _advaesa_, _esthetic, _alertes_, _bariles_, 
   {{0xd5430056,0xc3fa0005,0xb2fc03fd,0x116d0085}},	//   _бордюжа_, _enturn_, _fuaga_, _panitsch_, 
   {{0xbcf2009b,0xa2ec0011,0x027e018e,0x00000000}},	//   _болсоор_, _bazimbe_, _nweni_, --, 
   {{0x1e0a0057,0xe5500093,0x91ae037f,0xa7b0004d}},	//   _በማግስቱ_, _включать_, _yarandığ, _immutabi, 
   {{0x12360197,0x83f40257,0x929100d6,0x3a5301de}},	//   _sonje_, _systir_, _scuab_, _хорезм_, 
   {{0x903a0026,0xc2e8012a,0x5a9f004d,0x088501ab}},	//   _bijeenko, _jeziora_, _前往國軍北投_, _देतीदेल्, 
   {{0x027e0253,0xbd150399,0xa43e0374,0xe86b01c5}},	//   _nannut_, _emelinee_, _хатни_, _kaniisad, 
   {{0x52120544,0x0c6a0024,0xd31601e1,0x287601af}},	//   _abihu_, _দ্ৰব্যৰ_, _boaze_, _ahmaldyr_, 
   {{0x416702fd,0xedc204bd,0xea170178,0xe27e018e}},	//   _dianamnh_, _panihaka, _babandha_, _lweni_, 
   {{0x0e6b0268,0xf3060393,0xe2fc03c3,0xb2120285}},	//   _edicalma, _dodatak_, _brigu_, _abaho_, 
   {{0x2a1501c5,0x85b903e6,0xfabc0103,0x99940156}},	//   _ammaanka_, _gelausch, _chajakob, _אריזאנא_, 
   {{0x55ec0510,0xf3f20192,0x21460452,0xc2fa002f}},	//   _приведут_, _typering_, _आपसूकच_, _indhina_, 
   {{0xe0070008,0x29c7016d,0x9d5801eb,0x78470405}},	//   _душманда, _давалаш_, _османтәи_, _наради_, 
   {{0x2b8e0172,0x651a00b7,0x911202fe,0x72ea0279}},	//   _rwandafo_, _asyllyly, _nenkulul, _teintes_, 
   {{0x30d10564,0x0dbc01b9,0x53040183,0x33b30025}},	//   _realajul, _moralite_, _andalam_, _बालबुद्ध, 
   {{0x32fc024c,0xb6a700d1,0xc00003d1,0x00000000}},	//   _hrigt_, _সজোৱাৰ_, _deformāc, --, 
   {{0x719b04cb,0xb01e00e4,0xaa110217,0x2b81000a}},	// [2320] _консекут, _मन्दिरों_, _voraceme, _erininar, 
   {{0x3c7d0277,0x1c6f05da,0x79c4036c,0x00000000}},	//   _proseso_, _pierden_, _fonenant, --, 
   {{0x8d1e04b7,0x737a0573,0x0b72038a,0xbc190021}},	//   _deelname_, _matalin_, _cristoqa_, _ayesianb, 
   {{0x5248036f,0xe1d502c9,0x964f02f6,0xd204044a}},	//   _svome_, _инстигат_, _lathalai, _endimami_, 
   {{0xff410028,0x6eb90194,0x9b27002e,0x5346003c}},	//   _farshaxa, _desordin, _domaćina_, _ظاهرشدن_, 
   {{0xd56c0170,0x83370045,0x6fa402c2,0x78050235}},	//   _adawalek, _николај_, _vererger_, _लक्षयिष्, 
   {{0xb3790120,0x73fb0223,0x04ef01c3,0xe0eb04a5}},	//   _katarwa_, _baloratz, _badmynty, _nemidlal, 
   {{0xbbfe033b,0x4f09014e,0x2dad01a3,0x00000000}},	//   _fetogago_, _задовоља, _جهٽڪا_, --, 
   {{0xf292034a,0x5a85043f,0x67090064,0xb1ad0325}},	//   _xurado_, _okončana_, _terratrè, _bacardıq, 
   {{0xea8101f1,0x7fff0122,0x22900369,0x327201a6}},	//   _domosdos, _banyumas_, _konane_, _hōnea_, 
   {{0x4312018c,0x15d603de,0x83950077,0x87bc0244}},	//   _gunbros_, _ababemth, _boush_, _шотландс, 
   {{0x726d0198,0x025a035b,0x9d150203,0x3283044a}},	//   _letos_, _okoli_, _mikrostr, _azokisa_, 
   {{0x920200a2,0x6b030022,0xea020290,0xe9c7033a}},	//   _ratiba_, _торесен_, _adoraziu, _filliera_, 
   {{0xa3eb007e,0x29de0085,0xd68c0546,0xd92d003f}},	//   _sapta_, _daufeeee, _संजाल_, _hommeyve, 
   {{0x8212017a,0xc2e30258,0xe64300e7,0xa7530090}},	//   _abahl_, _alliade_, _alcoholw, _avanyeng, 
   {{0xd7090125,0xc3e60061,0x7c5a03b4,0x704a0365}},	//   _кесилип_, _바이올린과_, _bwititi_, _ब्लगरको_, 
   {{0xf26d0342,0x586202fa,0x537a0132,0xbcee0177}},	// [2330] _retou_, _basobanu, _katalin_, _нызқьҩык_, 
   {{0xf1ae0242,0x61b600da,0x026d00ce,0xa2e80198}},	//   _yaratdığ, _ниньдже_, _setou_, _milijon_, 
   {{0xd31601da,0x5c7c00b8,0xf3950318,0xd5730360}},	//   _plazh_, _utasana_, _housi_, _studoval_, 
   {{0x723600d5,0x456101fc,0x530c00fa,0x85af03ab}},	//   _monja_, _qellootá, _dumanas_, _pochutná, 
   {{0x478f0354,0xb2ca01f1,0x26ea0287,0xf144000d}},	//   _амбири_, _lindja_, _खतिवडा_, _liberaal, 
   {{0x3c29003e,0x739e0189,0x326201a4,0x00000000}},	//   _agosetos, _adaylar_, _makomaki_, --, 
   {{0x85600226,0x7e29000e,0xbaf00399,0x00000000}},	//   _amakasiy, _geoghega, _oiaueeee, --, 
   {{0xe27e0312,0x71470039,0xc2fc007b,0x672c0062}},	//   _gwenn_, _халимаг_, _brigs_, _germanyv, 
   {{0x79810024,0x25400218,0x00000000,0x00000000}},	//   _পৱিত্ৰ_, _artially, --, --, 
   {{0xb29401da,0xa225053f,0xd37a018b,0x471c0040}},	//   _klikoni_, _unaksa_, _catalin_, _שהכנסתי_, 
   {{0x2ad90211,0x00000000,0x00000000,0x00000000}},	//   _давление, --, --, --, 
   {{0x3394036e,0xd9b90429,0x0e9c018c,0x00000000}},	//   _kimsa_, _rindunya_, _vertoont_, --, 
   {{0x72fd03b0,0x2395034a,0xf8f602d6,0x7c1401e8}},	//   _trygd_, _cousa_, _تورتینچی_, _elepono_, 
   {{0x7c6601db,0xc43e02b6,0x4e6b05fb,0x00000000}},	//   _зайыбым_, _жарна_, _sočiva_, --, 
   {{0x025a0184,0xb3ea00d4,0x227f007f,0xcd6a0444}},	//   _akagisum, _reitse_, _rhentu_, _собаками_, 
   {{0xe24601cc,0xb2d502b6,0x00000000,0x00000000}},	//   _केवलः_, _аламын_, --, --, 
   {{0xb2f70052,0x362d025c,0x135e00fd,0xb79d03d4}},	// [2340] _उजुरी_, _frankrei, _clogaid_, _цифре_, 
   {{0x4b9c002c,0xf3010082,0x127e00f1,0x19d70416}},	//   _egindako_, _matakai_, _zwenn_, _greenele, 
   {{0x221c02fb,0x727e029a,0x929900e6,0x626d0194}},	//   _afuhia_, _pwenn_, _环氧煤沥青玻璃鳞, _letor_, 
   {{0xcf8f0281,0xc6b10012,0x2fc400c8,0x3f0903d1}},	//   _erhvervs_, _गढ़नारियल, _diforamo, _lidaparā, 
   {{0x8a3701f6,0x03eb0261,0x81ff0041,0x7eea0035}},	//   _বাহিৰত_, _kapto_, _ҕәынџьиа_, _башларын, 
   {{0x52240255,0xc28702fe,0x0cd40276,0xeb670193}},	//   _punkti_, _دفراه_, _пурридә_, _चीनने_, 
   {{0x2c1b0233,0x237900fa,0x00000000,0x00000000}},	//   _samquam_, _datapwa_, --, --, 
   {{0xc3ea0255,0x455602ba,0xd2e301c6,0x339501b9}},	//   _seitse_, _мукаррар, _ellinde_, _tousa_, 
   {{0x38ab0047,0xdc1e033e,0x94f70060,0x338c02c4}},	//   _第二十一条_, _elipsis_, _سالالارى, _јужен_, 
   {{0x2d8903dd,0x994001da,0x97b4028d,0xb67e0194}},	//   _kuvendit_, _siguruar_, _konsansi, _trovabil_, 
   {{0x82fb01f2,0x0aea003b,0x37cc01aa,0x754f010b}},	//   _явропа_, _awatfume, _airstyli, _diphaeph, 
   {{0x0d3a0037,0xfd8f03db,0xb95c0013,0x91560064}},	//   _ብንወስድ_, _abalinga, _бошкалар, _сабына_, 
   {{0x12fa0454,0x864f000b,0x92910217,0x02b5005b}},	//   _arahava_, _fatialof, _invase_, _bizcd_, 
   {{0x127e02f7,0x4bf40373,0x83eb026c,0x22c10184}},	//   _bannye_, _pollando_, _capto_, _frolina_, 
   {{0xda0d01cb,0x325b0287,0x03870493,0x179f03b7}},	//   _bazakuba_, _anglii_, _mvura_, _immuniti, 
   {{0x8e2a0099,0x92d901df,0x23960008,0x437902d9}},	//   _akagwada, _armorer_, _passem_, _mataafa_, 
   {{0xc05202ec,0xe43003d4,0xd7430211,0xa5820025}},	// [2350] _کٔٹھِش_, _objasnio_, _новички_, _अनुमोदना, 
   {{0x639502d5,0x511801b6,0x529102f4,0xaf6a014e}},	//   _elust_, _markedly_, _envase_, _латиницо, 
   {{0x22480253,0x14300061,0x70840162,0x92010185}},	//   _reimer_, _카드할인가격_, _херидарл, _обаманы_, 
   {{0xe26d01f1,0x025a0586,0x11d202e2,0xeb9a0388}},	//   _tetor_, _ikolo_, _enslavem, _финланди, 
   {{0x825a033f,0x330b0444,0x12fc031a,0x18090233}},	//   _akolo_, _подробну, _brigh_, _descorag, 
   {{0x71bd01cc,0x0c0b029f,0xe3fa0140,0x2342028d}},	//   _dhanaṃja, _najbližš, _bituin_, _kareman_, 
   {{0x3249027c,0xd26d02da,0xde95063e,0x798903bf}},	//   _swamps_, _setor_, _thompson, _diakaont, 
   {{0x5be0056e,0x6be90192,0x729001e9,0x2f5b0611}},	//   _entender, _엘리베이터_, _bonale_, _lakanpan, 
   {{0xc25a0007,0x66bb0325,0x00000000,0x00000000}},	//   _ekolo_, _aktrisay, --, --, 
   {{0x13020369,0x026d0076,0x768206a1,0x77670161}},	//   _kalamau_, _vetor_, _verdsmei, _проката_, 
   {{0x126c024c,0xc2a7003a,0xba0604f9,0x9be002ea}},	//   _ammont_, _otabek_, _allapput, _intender, 
   {{0x4f140241,0x77ec034c,0x6fe30147,0x83780161}},	//   _gaattira, _gabbasov, _كرەپوستن, _luvatta_, 
   {{0x739500a6,0x3b190035,0xd84b0290,0xf9b102c7}},	//   _ulusu_, _berazdan_, _arcunads_, _mandante, 
   {{0xb9b5045b,0x1ce90059,0x526c020e,0x728c0202}},	//   _bildespe, _показаха_, _ithoba_, _sunkún_, 
   {{0xa3410343,0x0e9f0375,0xc9c001db,0x00000000}},	//   _macedon_, _akumufun, _ەسكەرۋسى, --, 
   {{0x62d8011d,0x35bb00d5,0x1baf03e8,0x4395015f}},	//   _numele_, _manampah, _sovraštv, _clust_, 
   {{0x930d0108,0xeb74009a,0x6dd10139,0xa99400f7}},	// [2360] _dumasar_, _amiselwa_, _baleṣu_, _alikonst, 
   {{0x927e0230,0x639502ee,0x63f80294,0x02c8004a}},	//   _mwens_, _fluss_, _achuni_, _дастанны, 
   {{0x626d0409,0x01ca0035,0x521200f9,0x2f40002b}},	//   _netop_, _корвалол_, _ibaha_, _বিষন্ন_, 
   {{0x4394018b,0x522a01cd,0x5f6a0066,0xbf3a0121}},	//   _piesa_, _горат_, _явцтай_, _afortuna, 
   {{0x53050208,0x76a001d5,0xa01a0079,0x7a0900ef}},	//   _موتان_, _صفحہِ_, _kompensā, _مقتدي_, 
   {{0x2a090625,0x5040020a,0xdd0601b6,0x03eb0214}},	//   _nezamest, _الاتاۋ_, _collapse_, _amatye_, 
   {{0x0f5a00ba,0x3f4503a9,0x00000000,0x00000000}},	//   _مریشکدا_, _алхазов_, --, --, 
   {{0x839401a2,0x843d0193,0x98c4045f,0x72fe0203}},	//   _tiesa_, _धर्मनिरप, _inneband, _scrites_, 
   {{0x130c02a2,0xc3ea0147,0x137a018b,0x0ec300a2}},	//   _lumabas_, _meitat_, _valabil_, _فڪرمند_, 
   {{0x431602f4,0x88570086,0xd6dd0192,0x922403b2}},	//   _plazo_, _میانداد_, _풍림아이원_, _evoked_, 
   {{0x52dc0380,0xcb360401,0x13c30046,0x4c2e0047}},	//   _dangzrwi_, _वेश्यावृ, _коюптур_, _apparenc, 
   {{0xf2940103,0x1f2a023c,0x8b0c0071,0x3b1b0056}},	//   _bhokisi_, _کالهیندا, _رافیک_, _abaprist, 
   {{0xd3b7033f,0xeb9a058e,0xb5030241,0xd2ba014c}},	//   _ahovelo_, _रेणुकूट_, _billaach, _lindani_, 
   {{0x840502e4,0x1ab80219,0x4291031e,0xb36c01a4}},	//   _allokazz, _belweswe, _ubijene_, _sangisi_, 
   {{0xb2cb0585,0x626c00ac,0xb38e01e5,0xfbe40258}},	//   _poslovi_, _malog_, _aposteli_, _aldeboar, 
   {{0x5d1b00d6,0xb2d40138,0x06a400f3,0x65f100bd}},	//   _fianaise_, _bardak_, _bebengaf, _glimmeri, 
   {{0x5b6c0367,0xa2360358,0xd27e0197,0x88b500ff}},	// [2370] _estatíst, _lonje_, _pwent_, _ראכמסטרי, 
   {{0xd395001c,0x068000d8,0x190400d1,0x52bb011a}},	//   _pouso_, _arreflex, _ধ্বংসাৱশ, _והנפש_, 
   {{0xef4c0033,0x1a2a01b5,0xf5ef00aa,0xb2920076}},	//   _respunsa, _chichaka_, _anamneti, _errado_, 
   {{0x83940074,0xac7f035b,0xdf3a033a,0x7e8e00ff}},	//   _toisen_, _obiskom_, _sfortuna, _וואזנער_, 
   {{0x7c6202af,0x0c73019d,0xac0f0205,0xe9c20004}},	//   _amarobe_, _amisala_, _bostiris, _danmbala_, 
   {{0xe304013d,0x43030203,0x6404023d,0x4cae0083}},	//   _rilataj_, _balayat_, _traffico_, _passlung_, 
   {{0x726c0230,0xc2dd005b,0xe166011a,0x530d001c}},	//   _lanons_, _hiroaki_, _שיגידו_, _pumasar_, 
   {{0x6bdc0223,0x29540009,0x420001b5,0x6a09013a}},	//   _чармайлт_, _poslanst, _njhini_, _messbrau, 
   {{0x89ed01fe,0x8e40001c,0xee440573,0x00000000}},	//   _bulisara_, _nakakomp, _anbabaxa, --, 
   {{0xc31e03ba,0x4fe4004e,0xe3eb00b4,0xc9c7014f}},	//   _haschen_, _bisitaho, _sapte_, _таласа_, 
   {{0x9c26014e,0x49ef0335,0xec2d04a4,0x46e90227}},	//   _природе_, _amīṣāṃ_, _buanachd_, _percerai, 
   {{0x0d1e04b9,0x52910015,0xf26e002e,0x1f230171}},	//   _lemonade_, _hayaan_, _otpora_, _zamrzava, 
   {{0x1f050154,0x38e20244,0xaaab031c,0xc25a028e}},	//   _купате_, _получен_, _asesoría_, _unklin_, 
   {{0xd2330409,0x36dc01c1,0x1e260368,0xcd8803e6}},	//   _ショッピング_, _डेनिश_, _блокирањ, _geweecht_, 
   {{0x938701bc,0x00000000,0x00000000,0x00000000}},	//   _swurd_, --, --, --, 
   {{0xafdc069e,0x425b018a,0xe395041e,0xc6ed00a0}},	//   _ficheiro, _gwallt_, _mouss_, _garambaw, 
   {{0xfc12006f,0x220f0304,0x7d8800e2,0xe1e50126}},	// [2380] _kampeni_, _tanyalah_, _beweecht_, _сукупнос, 
   {{0xa2500211,0x5395047d,0xa96b0241,0x9c6f00cd}},	//   _темах_, _fresch_, _eshiyaat, _crousch_, 
   {{0xc39502aa,0x3acf0109,0xb36e03d0,0x00000000}},	//   _tresty_, _गुलरिया_, _trogiru_, --, 
   {{0x2dbe028d,0x6ed70033,0x6d4600be,0xccc6003f}},	//   _corizina, _decisiun, _تاشپاقا_, _jimischu_, 
   {{0x9f3f04d2,0xdb5c0172,0x5eb303bf,0x9f2e002e}},	//   _styresma, _wɔtsena_, _borokgon, _najvećem_, 
   {{0xec670034,0xa0e700a6,0xa8e00568,0x428f036d}},	//   _flottar_, _سازشونه_, _friskliv, _euphort_, 
   {{0x19e9003e,0x50970361,0xee4302bb,0x831700c5}},	//   _прокопье, _времен_, _मुख्यधार, _essayez_, 
   {{0x6cca0372,0x715c0064,0x67460092,0xf9e40184}},	//   _archifau_, _кумар_, _前記グレイチャ_, _bikorana_, 
   {{0x52ea00ce,0xc3ea0201,0x930102af,0x43e80397}},	//   _aksidan_, _afitte_, _inyandi_, _ваксинза, 
   {{0x43ea01a1,0xcc1202d9,0x87b70024,0xa3fa001c}},	//   _editie_, _anapogi_, _স্পেইন_, _bituun_, 
   {{0x7ece0138,0x1f700092,0x839402f6,0xea3003a2}},	//   _pozisyon, _を表示するために, _alisin_, _एशेजः_, 
   {{0x6396026c,0x715c020a,0xfd6901a3,0xf3800450}},	//   _passim_, _тумай_, _پينٽاگون_, _marrum_, 
   {{0xed49048a,0x5f500152,0x721206a2,0x9a510297}},	//   _кернеу_, _абруен_, _mbaho_, _бәялим_, 
   {{0xa2b201dd,0x6aa70188,0xb2cb04a4,0x34e3015e}},	//   _akaduha_, _парасту_, _gasda_, _кордоду_, 
   {{0xdaa60220,0x437f0235,0x895e0044,0x12a60396}},	//   _картофи_, _annassa_, _abilitie, _brijuzi_, 
   {{0xa395037f,0x8e9200df,0xc13b02e1,0xf34f003c}},	//   _olasan_, _montrent_, _prionsaí_, _dipenek_, 
   {{0x93410247,0xf3300026,0x33ec02e4,0x52ff033a}},	// [2390] _چندان_, _makkelij, _multipli_, _karattri_, 
   {{0x82900255,0x02000176,0xab7200ae,0x538f0244}},	//   _ennast_, _mamiko_, _indongor, _supporti_, 
   {{0x8c4602fe,0x07b4023f,0xa531002b,0x39aa0013}},	//   _کرامت_, _nonsensi, _ভোকাবুলা, _зокир_, 
   {{0xa2d50516,0x9d19021b,0xfc620299,0xca93014e}},	//   _becomin_, _прекраще, _جەمشېت_, _повери_, 
   {{0xdc4e01ea,0x9394025c,0xe87b002b,0xb1620397}},	//   _هملند_, _wieso_, _গণভবনে_, _amagobol, 
   {{0x6e92038d,0xc2310072,0x3fbb037c,0xaf12040f}},	//   _kontrent_, _warmina_, _secundus_, _portreta, 
   {{0xcfa40212,0x23eb0086,0xb90404a4,0xa11902eb}},	//   _adcenter_, _kapta_, _chlaraid, _техникч_, 
   {{0xc13e0041,0x72fb01da,0x3292000e,0x820801d5}},	//   _изыбзоур, _ንኣስቴር_, _rurano_, _informál, 
   {{0xf30e0095,0xa20200a2,0x7ed90033,0x0b1700db}},	//   _karimunj, _hatima_, _areisens_, _parandus, 
   {{0x52d90059,0xf2e7005b,0x827e0288,0x2d1302eb}},	//   _accedi_, _chancen_, _iteng_, _медальта, 
   {{0x2a8901aa,0x50b3019e,0x7fcf040e,0x6d1f046f}},	//   _officers, _аксэсуар, _bilistar_, _jéngste_, 
   {{0x96020091,0xd2020013,0x69fe0032,0x6395012b}},	//   _ilaliuti, _natija_, _dacherta_, _plusy_, 
   {{0xb2d50440,0xce4e0162,0x83e100bc,0x17730177}},	//   _baronka_, _барди_, _ditutupi_, _егырҭ_, 
   {{0x42900034,0xf503036d,0xcd7d0307,0x1c7d0307}},	//   _annast_, _galldach, _kwamanga, _kwamangq, 
   {{0xf5580072,0xb9170244,0xd5050144,0xac1702ea}},	//   _arakitay, _продан_, _intleach, _провал_, 
   {{0xa31601e4,0x2519017a,0xf19700c1,0xfb9700ef}},	//   _knize_, _семент_, _अनुयायां, _ماهران_, 
   {{0x03950402,0x1a8f0054,0x75c30040,0x576b02bb}},	// [23a0] _ulasan_, _ministan_, _גטסבי_, _odizolow, 
   {{0xc9fe03bf,0x8c1301db,0x437e02ee,0x947e0163}},	//   _parament, _ءبىراۋىز, _professj, _professz, 
   {{0xf20800f0,0xdce0034c,0x52a60331,0x72f2041e}},	//   _informác, _адмиралт, _tilber_, _talianu_, 
   {{0xf2e901f0,0xc3f80122,0x4b0f01a0,0x125b0098}},	//   _kapinga_, _adhuh_, _hangalas, _kvalme_, 
   {{0x3b480148,0x035f0334,0x38410220,0x02360267}},	//   _未找到關於_, _aongoke_, _екология_, _saljem_, 
   {{0x43dd030b,0x6b8e015e,0xbd3e0206,0x9c5c004f}},	//   _mutwe_, _اسمانسا_, _prinesie_, _bettoon_, 
   {{0xd2fc0633,0x429001b6,0x39da0054,0x65bd003c}},	//   _usage_, _kinase_, _anoninsa_, _campurak, 
   {{0x7a430279,0x3a0904dc,0x7f3b013f,0x439501d9}},	//   _cinquièm, _وتوبی_, _dibrenna, _duesch_, 
   {{0x26580014,0x7889006c,0xb87c0145,0x373d01f4}},	//   _trajneri, _гирандаг, _filipinu, _aralashg, 
   {{0x4df7027d,0xb202012c,0xa2fc0372,0x0b4300c8}},	//   _развили_, _yatima_, _bragu_, _йомарт_, 
   {{0xd87d0374,0x668d00db,0xb384020a,0xd1280109}},	//   _портлашл, _बनवास_, _аттандыр, _podvazko, 
   {{0x1e4f030c,0xbb9f02ac,0x01f9010d,0x93010229}},	//   _hunaukma, _رووووعه_, _merambah_, _namazov_, 
   {{0xd2fc0409,0x92960151,0xe740025f,0xcea10347}},	//   _fragt_, _stepchil, _bakolong, _gedrukte_, 
   {{0x32ff000f,0x1f5b02a2,0x1c0300bc,0x720300b0}},	//   _kariyer_, _nakaraan, _tumpeng_, _abdirahm, 
   {{0xfcad04d7,0x0a7c00a5,0x85190161,0xb29004e6}},	//   _tengingu_, _fitafita_, _десерты_, _binase_, 
   {{0x8394018b,0xca73005e,0xb7090008,0xd73001e0}},	//   _piese_, _خۇشپۇراق_, _меники_, _بیلادی_, 
   {{0x34850255,0x52020160,0x77a6026d,0x321500bb}},	// [23b0] _दिवाना_, _satima_, _akceptov, _سوچئے_, 
   {{0x972800af,0x53040006,0xe29000d1,0xd202030f}},	//   _продукці, _didalam_, _finare_, _matika_, 
   {{0x884d030a,0xe2ba046f,0xa19204cb,0x0c73024b}},	//   _destinos_, _mécht_, _clienţi_, _cuartos_, 
   {{0x226e0219,0x1847018b,0xd2570325,0x7b78019a}},	//   _lokukhul, _салариу_, _portuqal, _dauredna_, 
   {{0x6fb702c7,0xd90e011a,0xd5020183,0xf8c002ea}},	//   _vertrieb_, _hazardou, _aretinao_, _distrugg, 
   {{0xab9902b6,0x4bb4052b,0xd4760145,0x0e9b0198}},	//   _тарапына, _नामंजूर_, _гувернёр, _zamudite_, 
   {{0x08b50203,0x029e0162,0x12b6029d,0x3eb7009b}},	//   _contener_, _мизан_, _cercei_, _багажны_, 
   {{0xb27e02c7,0x59d201d1,0x89d300b7,0xc422012f}},	//   _kannst_, _interest, _веребиле, _kamamado_, 
   {{0x93940044,0x532001eb,0x43cf01cf,0x69870466}},	//   _choses_, _amayo_, _previe_, _ocekivat, 
   {{0x42020058,0xef9e00be,0x53670361,0xe5dc004a}},	//   _datika_, _жоокерле, _тематике_, _ayagıñ_, 
   {{0x845801bd,0x78cc03bf,0xb2f00061,0xbe830291}},	//   _орналасу, _athetoid, _마포자루를_, _عايشة_, 
   {{0x7d2c00b4,0xbf03039e,0xa28200a9,0x5f1e03b0}},	//   _ачестей_, _সমাজত_, _isahani_, _টিউটৰিয়, 
   {{0x239a0019,0x872500e6,0xb9f50005,0xfe3103f2}},	//   _تانگوودو, _中国第二次经济现, _allianza_, _marginaa, 
   {{0xb6af02ca,0xbbfe00e2,0x00000000,0x00000000}},	//   _fhoghlai, _eastfrys, --, --, 
   {{0x439400b3,0x53e7023a,0x2c580162,0xfd17047d}},	//   _enesi_, _kútik_, _باتارىيى, _erklaert_, 
   {{0x2202011b,0x69bf01d1,0xa89902d3,0x46ed014b}},	//   _batika_, _generate, _projetad, _faransaw, 
   {{0x7f1300d8,0xfc690260,0x995f028a,0x426201a4}},	// [23c0] _formator_, _morrazo_, _waingere, _nakomaki_, 
   {{0x2a7d0476,0x68f101db,0x8ae40303,0x0a0c0303}},	//   _aidavira_, _بولدىڭعو, _dikurant, _dumalane, 
   {{0xfab1045e,0xec7300e5,0xcb5400ae,0x6dba02ac}},	//   _област_, _quartos_, _akamubar, _تساهم_, 
   {{0x97dd0270,0x1387040e,0x4c52027a,0x81860235}},	//   _cavalcav, _angrar_, _amatera_, _cintitān, 
   {{0x95c400d1,0xc85f0109,0x0c080211,0x50bc02b6}},	//   _ঘোঁৰাৰ_, _symbolů_, _blogikir, _бозымбае, 
   {{0x54fb061b,0x3c1202a6,0x49440344,0x2e89023e}},	//   _ज्यादै_, _campani_, _akimorne, _اوزاوا_, 
   {{0x6a660016,0x9b6600ff,0x926501ef,0x1941013c}},	//   _טשעכיי_, _טשעכיש_, _autoriai_, _tutublar_, 
   {{0x32d80132,0x82fc04ad,0x62ec022d,0x34880145}},	//   _neked_, _brags_, _scrisse_, _каралеўс, 
   {{0xecf0018b,0x62fe0250,0x22cb019a,0x5c73013b}},	//   _андардул_, _vargje_, _beddit_, _juarros_, 
   {{0xe45e0037,0xe92b0282,0xa236006a,0x00000000}},	//   _በበላይነት_, _ahimaata_, _ponja_, --, 
   {{0x3e1700aa,0xc3f1024e,0xb107020f,0xa3950414}},	//   _gynecoma, _tenzije_, _دارزښت_, _sousi_, 
   {{0xa29002fd,0x92f20420,0x8262048f,0x886e00e6}},	//   _annait_, _украл_, _bakomaki_, _县工商行政管理局, 
   {{0x52fc05d0,0xa2ff04b9,0xb25a01a4,0x81c60321}},	//   _asaga_, _mariner_, _abongisi_, _odstavek_, 
   {{0x727a0024,0xeaee0288,0xbcde002b,0x1adf027f}},	//   _অনুস্থিত_, _ersteche, _বাঁকা_, _camenets, 
   {{0x829204ef,0x4a860607,0x4def0032,0x00000000}},	//   _buraco_, _amantomb, _pindajva, --, 
   {{0xefa400e9,0x0e2304a2,0x9c6f013d,0x32910044}},	//   _berenger_, _formados_, _librojn_, _infant_, 
   {{0x8a9b055d,0x220e015e,0x3c21024a,0x8d64019c}},	// [23d0] _penindas, _санай_, _banilẹru_, _gbasilẹ_, 
   {{0x4d7a0037,0x6b180264,0x4ade01de,0xe8bd039e}},	//   _ቅቅቅቅቅቅቅቅ_, _nabaruan_, _қашпа_, _bortafor_, 
   {{0x7c0300b9,0x0496028b,0x6de601db,0x7d7e0235}},	//   _numpang_, _бырзентә, _электрлі, _विस्तारत, 
   {{0xe29d03d4,0x330703c2,0x150b031c,0xa302018f}},	//   _biljaka_, _allayah_, _titulado_, _lunadlu_, 
   {{0xab130415,0x6af300b4,0x248704c7,0x12a6008d}},	//   _gefallen_, _numeroas, _бибера_, _dilbar_, 
   {{0x427e06a3,0x036c016e,0x92f1019f,0x56340012}},	//   _gwent_, _hangisi_, _hatiani_, _गिरहूं_, 
   {{0x89aa002c,0x225a023b,0x0c5101b7,0x3aac0126}},	//   _сонин_, _ekolu_, _मुनेः_, _розібрат, 
   {{0xc379019f,0xec840148,0x7c510108,0x00000000}},	//   _mataifa_, _的搜尋結果_, _waktuna_, --, 
   {{0xf6220437,0x23950281,0x726c0056,0xee2b0211}},	//   _forordni, _clasen_, _athola_, _hurghada, 
   {{0x637a0082,0xc5fa021e,0x625a02a0,0x19e7033f}},	//   _matakin_, _superhjä, _ikolu_, _pokotala_, 
   {{0xdc7105e3,0x8ee9034d,0x72d8013f,0x5fd9020f}},	//   _मान्छे_, _berkuran, _beked_, _beentsho, 
   {{0x83eb0088,0x81d203ab,0xc61000de,0x22b20012}},	//   _teatre_, _kyseliny_, _ebulungi, _सतजुग_, 
   {{0x91cc0089,0xd9c90018,0x5929004d,0x62e5008e}},	//   _барбарис_, _buloudra_, _公共工程主辦機關, _fotosop_, 
   {{0x92ca00bd,0x5595014e,0x9e2303a2,0xc2c900ef}},	//   _meddle_, _vlasinsk, _सनाउल्ला, _basonge_, 
   {{0xb22903fe,0x6c0b04e8,0xddd0000d,0x530d0296}},	//   _летнее_, _versatz_, _elektrip, _utmanar_, 
   {{0xf9460262,0x13950065,0x73ac002e,0xc2d8006e}},	//   _animirle, _blasen_, _natpis_, _fekee_, 
   {{0x99960289,0xc47a00ad,0x026c01f0,0x160b05b3}},	// [23e0] _amakonda_, _anifeliz, _ithoma_, _bykomsti, 
   {{0xf61d011d,0x92c40033,0x00000000,0x00000000}},	//   _nenoroci, _chemics_, --, --, 
   {{0xe25a023b,0xfd9f040b,0x675a018d,0xc74302eb}},	//   _akolu_, _milenzhe_, _ምዕባይን_, _курст_, 
   {{0x12d80544,0x09e40322,0x69730465,0x02910287}},	//   _kekee_, _avangura_, _omenjene, _invaze_, 
   {{0xc2780255,0x00000000,0x00000000,0x00000000}},	//   _saunad_, --, --, --, 
   {{0x9dba0062,0xd26c014b,0x027e02d4,0x80fa0309}},	//   _escargot_, _malon_, _gronds_, _ixtisasl, 
   {{0x7cb20031,0x09880132,0xf2fc0195,0xcc6504d7}},	//   _tanganku_, _meghirde, _dragh_, _bikarúrs, 
   {{0xe35b01ff,0x7a2800e6,0x2a9403bf,0x5ddb04e3}},	//   _biogaia_, _我的灌水记录_, _kenyedit, _vjekosla, 
   {{0x41450373,0xd23c008d,0x02d1038f,0x926c0211}},	//   _בושות_, _исомидди, _nilotek_, _valoa_, 
   {{0xd2b5033d,0x546906a4,0xdd040268,0x62ee00fe}},	//   _kondane_, _jordskok, _ailroadr, _laifau_, 
   {{0x918f02ec,0x727e0663,0x41840397,0x7c0700d9}},	//   _illaahay_, _ntena_, _amabhodl, _pistoras, 
   {{0x52fc04bb,0xb26c03ec,0xc71b00da,0xf4d70178}},	//   _iragi_, _kalon_, _оперэ_, _atreṣyat, 
   {{0x84c7010f,0x227e0516,0x499d00c8,0xb51d00d1}},	//   _тамдиди_, _sannie_, _табыр_, _গৰমকালি_, 
   {{0x426c043a,0x23940256,0xb23701d5,0x6f2a01cc}},	//   _dalon_, _viesi_, _بیوپاری_, _bhallair_, 
   {{0xc364012c,0x436901b3,0x6e5901a1,0x8bac00be}},	//   _فورمن_, _бразильц, _stabiele_, _كەلەرى_, 
   {{0xb3960147,0x36f0034f,0x0c7100a6,0xb5ce014e}},	//   _ئچىڭەر_, _ziyacelw, _aimssec_, _установу_, 
   {{0xab74053d,0x54a703bf,0x00000000,0x00000000}},	// [23f0] _amaselwa_, _didaerek, --, --, 
   {{0x40530045,0x8180005e,0xed0801d9,0x327e0347}},	//   _почиње_, _قامۇسى_, _geklickt_, _tannie_, 
   {{0xc1cd0041,0x09490064,0x5d31002b,0x227e016a}},	//   _рзымхои_, _requerir_, _পাঠকপ্রি, _avinon_, 
   {{0xc9c20321,0x138700a3,0x137b0100,0x2c7601be}},	//   _ugodnost, _sigrar_, _nalazim_, _टिष्टा_, 
   {{0x4c030050,0xf316002e,0xde4300ba,0xd2b10054}},	//   _sumping_, _ulazu_, _سێمیناره_, _dandana_, 
   {{0xa847048a,0xe2fc0274,0x1aa70060,0x7d00018c}},	//   _фараби_, _bragi_, _жайлап_, _forumber, 
   {{0x62980169,0x9b7701d7,0x288302bb,0xe26c06a5}},	//   _নতুনরাও_, _consista_, _विभूतियो, _maloo_, 
   {{0x30c6042a,0x738800f2,0x0c5201dd,0x55f000b6}},	//   _anelical, _tērpu_, _amatara_, _qammalsi, 
   {{0xd27e0025,0x09860052,0x2c24032e,0x8f1e0043}},	//   _etena_, _मौसममा_, _tamachir, _amatoffa, 
   {{0xda2e0092,0xe2b60301,0x92cb00d3,0xf2d803eb}},	//   _街遊びのスポット, _bircə_, _spadá_, _hemels_, 
   {{0xff3d0088,0xef300387,0x4b46010d,0x21b3028a}},	//   _التنچىسى_, _kwesikwa, _diajarin_, _ڪالرو_, 
   {{0x05d10184,0x6f0f02d9,0x4267003c,0x00000000}},	//   _aracumvy, _avetaava, _تیفوسی_, --, 
   {{0xc26c01c5,0x2a170147,0x9f9301f4,0xd61f0235}},	//   _kaloo_, _تاازىم_, _berdilar_, _ग्राहयेत, 
   {{0xf83e01ee,0x3e7a0148,0xb4bc012e,0xa27e040f}},	//   _диске_, _雙方各負其責_, _غیرجانبد, _duonos_, 
   {{0x02e90298,0x44370074,0xb2930194,0xf29002c2}},	//   _pounamu_, _включает_, _concretm, _inname_, 
   {{0xd26c037e,0x7e18012c,0x00000000,0x00000000}},	//   _laloo_, _wajeruma, --, --, 
  
   {{0xa2d8046d,0x5c730047,0xc062029c,0xe3950261}},	// [2400] _rumele_, _alerter_, _chosafun, _anuso_, 
   {{0xf26c00a6,0x3c79029b,0xbc35002b,0xebdf01df}},	//   _naloo_, _bëreek_, _দলিলসমূহ_, _kamester, 
   {{0xe27e005b,0x49af0040,0x9540050b,0xa26c028d}},	//   _utena_, _במילה_, _लोंढे_, _zalon_, 
   {{0xac0300bc,0x70990040,0x3907008d,0x596a00f7}},	//   _mumpung_, _מחשוף_, _tavallud, _alinomit, 
   {{0x630b01d5,0x9c850040,0x0052015e,0x4b430099}},	//   _ڈکٹیٹر_, _מושיק_, _كىچىنەكە, _ekubikis, 
   {{0xfd9b0626,0x62ef044d,0xc2fc0422,0xc379053b}},	//   _fungovat_, _awliyaa_, _pragi_, _aguarda_, 
   {{0x631901cd,0x0df5030d,0x59fc0348,0x09d30145}},	//   _бозрасии_, _goldenpa, _baliraba_, _біржавы_, 
   {{0xb47e0058,0x121f01fc,0x3c510403,0xc7ba0120}},	//   _aldeliko_, _bakkeeli_, _alitara_, _mellebik_, 
   {{0x4394029f,0xf00e002e,0xe2fc0141,0xa8800061}},	//   _miest_, _ostvaren, _palatasi_, _페이스리모델링_, 
   {{0xc2c106a6,0xc2e301f7,0xc27e01d8,0x2d9c0435}},	//   _kuhlala_, _altitud_, _kumne_, _словачки_, 
   {{0x4cbf04ac,0x01ff01be,0xdead03ec,0xcc780309}},	//   _спецпред, _obrazech_, _kallashn, _getsəm_, 
   {{0x53fb0464,0x595e0272,0x60050161,0xf34102d7}},	//   _intsinzi_, _abanneet, _амурской_, _artella_, 
   {{0xacb70080,0xfc8f042c,0xf3d10153,0x00000000}},	//   _bilitseq, _svidjaju_, _ぶっ生き返す_, --, 
   {{0xb27e0004,0xb2bf02e1,0x00000000,0x00000000}},	//   _etenn_, _تمتاز_, --, --, 
   {{0xe2ed0243,0x92d5048f,0xe7540235,0x06b8020f}},	//   _kooriyah_, _ekulusu_, _अभिषवे_, _basendlw, 
   {{0x8c74026c,0xf0450371,0xfeba04ad,0x430600b3}},	//   _salutis_, _sperimen, _difounun, _aldamak_, 
   {{0x120d0163,0x8289018e,0x626c0013,0x449f014a}},	// [2410] _بالترتیب_, _diyakoni_, _halol_, _vitatkoz, 
   {{0xe3940256,0xd9ed044b,0x2b67004d,0x026d01b3}},	//   _viesu_, _overhold, _不含週六日及國定, _нормаліз, 
   {{0xf320029c,0xa1420128,0x722401c8,0x2f7005ce}},	//   _amayi_, _ўтмас_, _unikla_, _buçuk_, 
   {{0x29c5001d,0x49f300b5,0xe39403c6,0x65e600be}},	//   _diferant, _choreygu, _giest_, _فاشىستتە, 
   {{0x3304004f,0x13060125,0x057501c5,0x00000000}},	//   _bataxal_, _aldajak_, _hindisah, --, 
   {{0xc63701ab,0xda6c02ac,0x2a5d0396,0x8ae60041}},	//   _धिरहीं_, _آلمشآركآ, _ungerija_, _рыцәкны_, 
   {{0x23940026,0x04ca01cd,0x775d00fa,0x00000000}},	//   _kiest_, _anochoko_, _gigising, --, 
   {{0xdc010017,0x527f012e,0xe2f703ad,0xf2fc00b4}},	//   _तुलसीपुर_, _ajanlo_, _bilanċja, _calarasi_, 
   {{0x10350034,0xd2a40037,0x7d5701ab,0xb6f30025}},	//   _samtakan, _መሥፈርት_, _पलँगरी_, _श्रद्धया, 
   {{0xb7aa01b4,0x727e01b9,0x13b6014e,0xf2250268}},	//   _letterli, _atenn_, _obaveza_, _agekay_, 
   {{0xa30402ef,0x7a030015,0x00000000,0x00000000}},	//   _katafal_, _badanaye, --, --, 
   {{0x7d0b00ee,0xced30061,0xb2d80216,0x425a0255}},	//   _herritar, _교환및반품_, _dumeke_, _tollal_, 
   {{0x6d3b01bd,0x374303b8,0x13990258,0x7634004d}},	//   _атанды_, _долинка_, _húske_, _明清之中國歷史人, 
   {{0x7e62007d,0x4b2203b0,0x7c7d021c,0xb780000a}},	//   _mencukup, _forboden_, _naostro_, _bankitig, 
   {{0x327e0288,0x7c7c04ca,0x0ee10212,0x1375023e}},	//   _eteng_, _agisson_, _antiquis_, _cakrakem, 
   {{0x939501da,0x9843005b,0x851102e5,0x00000000}},	//   _flasin_, _mellemru, _laurindo_, --, 
   {{0x23fa01cc,0x00000000,0x00000000,0x00000000}},	// [2420] _kurute_, --, --, --, 
   {{0xd2240129,0x5e30027a,0xf6d006a7,0x09ff00d9}},	//   _chikwa_, _imigrana, _antakeli, _varastot, 
   {{0x6a730217,0x0c4d02eb,0xab1b0066,0x729004d7}},	//   _almafeta_, _түшмэл_, _durangon_, _einatt_, 
   {{0x17c7015e,0xaab803a2,0x6c980019,0x02ae01a3}},	//   _بارلاردى, _मोटोकॉर्, _جۇپتايسى, _لسٻيلي_, 
   {{0xd7a70344,0x3bc600e6,0xe2e603e8,0x00000000}},	//   _amerlari, _任何组织和个人不, _ribnica_, --, 
   {{0xd3040140,0xbb2f0192,0xeaa2017a,0xd4690143}},	//   _matagal_, _추천해주세요_, _abahlamb, _горивата_, 
   {{0x53d5016d,0x22f100c5,0xfa5900b7,0x99520344}},	//   _شىۋېتسىي, _小时内送达_, _arafatda_, _biologst, 
   {{0xc03c0264,0x7d2e0148,0x9f1300e7,0xf3ac00d1}},	//   _liveliho, _dubitare_, _anitegra, _গিটাৰবাদ, 
   {{0xc9ef002b,0x622f0061,0x38930061,0xc9720024}},	//   _সুসংবাদ_, _부동산중개소_, _정책홍보관리실_, _সংস্থাটো, 
   {{0x430e0043,0x00000000,0x00000000,0x00000000}},	//   _amaboga_, --, --, --, 
   {{0x675c0429,0x227e015c,0x8d8e02ac,0x3248012a}},	//   _kakitang, _steng_, _استكمال_, _dwoma_, 
   {{0x67e503a2,0x10610247,0x6037007e,0x2341002c}},	//   _आतंरिक_, _دنیرو_, _dattaman, _angelun_, 
   {{0x4a5e032d,0x025b0010,0xb3b60322,0xad310291}},	//   _малдарын_, _atalwe_, _abavuka_, _لووووووو, 
   {{0xd2a70127,0x0316006a,0x49ad008f,0x2a86015e}},	//   _arabek_, _moizy_, _salvestu, _барчын_, 
   {{0x42940320,0x058002df,0x6d2c031d,0x0262019f}},	//   _anakeni_, _televisy, _irrigate_, _wasomaji_, 
   {{0x63850338,0xb29100e9,0x9b670079,0x22cf0397}},	//   _prestigi_, _invant_, _koncertā_, _acloque_, 
   {{0x8fef0052,0xb3f800ab,0xc0400153,0xd5bb00fc}},	// [2430] _विवादित_, _kaiutu_, _クションの落札者_, _musangch, 
   {{0x829102c5,0x7bc402ac,0x7c8c0148,0xc5bb0313}},	//   _tifare_, _تنانير_, _臺北市政府地政處_, _lusangch, 
   {{0x0a5f024f,0x4fd302d5,0xb99600ae,0x1c0d014f}},	//   _besetaka_, _tehnoloo, _amakanda_, _признање_, 
   {{0xdb67019b,0xe316049e,0x453e0282,0x793a0037}},	//   _koncertą_, _plazy_, _maaharah, _የአንጎላ_, 
   {{0xbc120196,0x62010422,0x830c05ca,0x0d7f005b}},	//   _kampani_, _izbire_, _tomamos_, _aromabea, 
   {{0xa291007b,0xf3ea047d,0xddbb01fc,0x930c01a2}},	//   _invade_, _neitst_, _anninnaa, _rotaļu_, 
   {{0x259b0223,0x521202f6,0x0d700076,0x00000000}},	//   _horrelak, _damhin_, _инает_, --, 
   {{0xab08017d,0xdeb000ba,0xd9b10081,0x562800d0}},	//   _アルバイト_, _لاکێشه_, _landsnet, _aminoazi, 
   {{0x214c0199,0xd8590309,0xf2e702ff,0x320103ba}},	//   _cinephil, _kitablar_, _ajanten_, _speien_, 
   {{0xd26e04c1,0x37ed0235,0x261e0012,0xcb80004d}},	//   _reponn_, _वर्ण्यते_, _चारउफूस_, _如能提出交易時之, 
   {{0x72fd0155,0x14e900af,0xaa1f0223,0x8c5f037c}},	//   _drygt_, _почитати_, _alabaina_, _vestram_, 
   {{0x5c1a0044,0x13db0022,0x7a95007e,0x59e70289}},	//   _הכרזות_, _портретт, _हनुमता_, _dokotala_, 
   {{0xda310008,0x229e02da,0xbd980105,0x6df2027b}},	//   _استرولوع, _рибар_, _sugestie_, _नैष्कर्म, 
   {{0x32e5035d,0x443e0420,0xb436022a,0xd3eb0527}},	//   _hronika_, _разно_, _penamiko_, _odatle_, 
   {{0xc01a00f2,0x00000000,0x00000000,0x00000000}},	//   _kompensē, --, --, --, 
   {{0x44190147,0x09080296,0x75f90046,0x0b17046c}},	//   _теманы_, _populär_, _سالشىتىر, _leipzige, 
   {{0xd27e0662,0x77b90047,0x9d8b0181,0x5ad001cd}},	// [2440] _atene_, _signalez_, _leverede_, _ахлот_, 
   {{0x9d9e01a4,0x4eb303d1,0xae10002b,0x995a0311}},	//   _elendisa, _tendencē, _নবীজির_, _ዝቕበልን_, 
   {{0x237b0140,0x32960334,0xaf5f0133,0xbb2d0028}},	//   _malalim_, _amapanil, _baqatton, _israsaas, 
   {{0x894500de,0x8b620050,0xa3620299,0x00000000}},	//   _مناسبو_, _bentukna_, _سەيپۇل_, --, 
   {{0x10970074,0xc6ef0041,0x1b150046,0x02e80053}},	//   _франции_, _ззымҧшаа, _companye, _pekiwan_, 
   {{0xf2ed02e2,0x1f660010,0x886f051e,0x1dbb00e7}},	//   _arsnick_, _ekubuten, _acusados_, _ausingca, 
   {{0xc80700f2,0x53f904ca,0xb2590331,0x3db7031c}},	//   _vispirms_, _arbust_, _seinasti_, _debilida, 
   {{0xa30e0048,0xdfd90037,0x0320066f,0x8f40011d}},	//   _amabega_, _ሲተረጎም_, _ganchos_, _dragusan, 
   {{0xb2920698,0x7d0d000c,0xf225005d,0x00000000}},	//   _murako_, _amboveve_, _guerekõi_, --, 
   {{0x05400173,0x36a103db,0xf65903ee,0x7dae0052}},	//   _স্বাভাবি, _abathath, _stakleni, _पूर्णरुप, 
   {{0xfbee00bf,0x6303036a,0x3e32034c,0x00000000}},	//   _башкирии_, _matalau_, _barganna, --, 
   {{0x02900326,0xc6c8019d,0x290b0019,0xa95f03d5}},	//   _ainaye_, _asasemph, _айланада, _cainlere, 
   {{0x42d701cf,0xc26c023b,0x161002c5,0x00b7004d}},	//   _besonio_, _ialoa_, _avimbisw, _有效提升市民無恐, 
   {{0x026c00e9,0x5d9e044a,0xd3f10448,0x3e4c02b9}},	//   _demont_, _alendisa, _foredrag_, _mutatott_, 
   {{0x16d50068,0xac5c0312,0x8dae0052,0x62b20127}},	//   _saraakii, _listenn_, _पूर्णरूप, _bandenn_, 
   {{0x453d006e,0x8a0f0315,0xbc070135,0x2f86036b}},	//   _bariwaay, _babalule, _заводта_, _пророци_, 
   {{0x9aa90059,0x620e00c7,0xca9f036c,0x73f900fa}},	// [2450] _наречени, _хаман_, _antiokos, _drburt_, 
   {{0xc3ea0435,0x82d1043a,0xbae90368,0x88dd0157}},	//   _zahtev_, _ispodom_, _zgrožen_, _बाँटा_, 
   {{0x13950277,0x8c6001b5,0x6f77004b,0x5cc001e0}},	//   _seesaw_, _bubutsa_, _красноуф, _بیراند_, 
   {{0xfc0a0281,0x63a500ce,0xf7100111,0xea7c0020}},	//   _berthels, _konpromi_, _abuminev, _mitamita_, 
   {{0x82c8018d,0x029000b7,0x727e02a3,0xb3d80193}},	//   _ጸገማትና_, _adlary_, _hannie_, _बिहारमधी, 
   {{0xd2780093,0x81a7005e,0x9a8e0600,0x0e14018c}},	//   _правобер, _ﮔﯘﺭﯗﭘﭙﯩﺴ, _कपोलकल्प, _domeinna, 
   {{0x826c0245,0x18ef0144,0x8d6d011a,0x42020333}},	//   _ladon_, _ومعظم_, _איסתא_, _avvià_, 
   {{0x2d6f00d6,0xdd010111,0xc27e0116,0xf24806a8}},	//   _احزان_, _scultore_, _mannie_, _verovati_, 
   {{0x06f4015d,0x63940307,0x4303026a,0x89cf0169}},	//   _कारवाँ_, _aziswa_, _katalau_, _prefiere, 
   {{0xeb2d02f6,0x48c402da,0x21720299,0x83e7022b}},	//   _simbahan_, _televend, _ئۈندەيدى, _býtti_, 
   {{0xe8fb0071,0x89f90513,0x00000000,0x00000000}},	//   _bahanipu, _mubalese, --, --, 
   {{0x329001f7,0x42d30365,0x7303008a,0xfb1f0211}},	//   _deman_, _motorek_, _matamau_, _rakastan_, 
   {{0x3d3f01e6,0xb2f10163,0xf2e302a4,0x1db401ac}},	//   _zaplatít, _optikai_, _paginae_, _ووجود_, 
   {{0xd2a100ec,0x88390302,0x6225042d,0xe2fd0111}},	//   _менталіт, _сайфулло, _diakra_, _amagru_, 
   {{0xd29001c0,0xd8ef019b,0x225b0420,0x804700c1}},	//   _neman_, _tarpusav, _avalie_, _थायलंड_, 
   {{0x4342001c,0x72010231,0xfabe0156,0xa2d80466}},	//   _abrehan_, _impie_, _אקאמאדיר, _veceg_, 
   {{0x8d950190,0x930302be,0xdc030107,0x0394001c}},	// [2460] _wretched_, _salamat_, _lumping_, _tamsi_, 
   {{0x49f900b0,0x17c40040,0x331900c4,0x81640347}},	//   _arrintaa_, _הרגעים_, _ريڍار_, _liggaaml, 
   {{0x89e402c1,0xe8e300c8,0x3d7e0061,0x8b83027b}},	//   _ivangura_, _аңлашыла_, _길거리에서_, _संयुक्तस, 
   {{0xe26c0245,0x9ca5022e,0x9611005e,0x1290012c}},	//   _badon_, _longwood_, _ﺗﻪﺟﯩﺮﯨﺒﯩ, _minane_, 
   {{0xc33d03ce,0x2824026f,0x1ac1004d,0xc1b304b3}},	//   _میرات_, _ءىزدەگەن, _教育暨青年局_, _bevennoù_, 
   {{0xebfc026f,0xf4b5009b,0x92550235,0x2af70088}},	//   _تەحينكال, _konbentz, _विधेहि_, _дарегим_, 
   {{0x073b00f4,0xbeb2009a,0x596a0222,0x64630060}},	//   _alkooleg, _anzongon, _optimise, _قىرعىندا_, 
   {{0xc26e0476,0xe3dd0102,0x00000000,0x00000000}},	//   _kupora_, _kutwa_, --, --, 
   {{0x4d1b033d,0x5d9f0011,0x326c0082,0x7c7c0513}},	//   _surrogac, _abongera, _gadon_, _hlasela_, 
   {{0x42b60246,0x5dc50320,0x7373015c,0x2ba601c0}},	//   _cerchi_, _edliweke_, _rodange_, _arizikin_, 
   {{0x032e0044,0x6c530400,0xa86b0247,0xce47008a}},	//   _בוטוקס_, _mettila_, _aslinipu, _matailup, 
   {{0x966d0144,0x627e04ea,0x2a0801d4,0xf2ea01da}},	//   _اليسا_, _kumno_, _parapett, _mitologj, 
   {{0x47e301bb,0x80f405a2,0x38890223,0xad1e011d}},	//   _bolandyg, _ओबेरॉय_, _наранцэц, _inaltime_, 
   {{0x8aa502ec,0x69d00420,0xfee80326,0xdb19034c}},	//   _gurigiis, _решив_, _akakatan, _asralgan_, 
   {{0x52240179,0x995e0218,0x97770192,0x326c0095}},	//   _anikna_, _acilitie, _속성신고하기_, _wadon_, 
   {{0x03f402c3,0x03030005,0x8e350181,0x526e00a7}},	//   _hostí_, _mumaint_, _morgenma, _suposa_, 
   {{0x484e05f9,0xfc12012c,0x9290069c,0x5f55002f}},	// [2470] _publicid, _kampuni_, _zeman_, _chapashp, 
   {{0x92b10103,0x82d5033a,0xb2290333,0xc3c40156}},	//   _handina_, _barokka_, _ajaxiaul, _שראדער_, 
   {{0x8a4003ac,0x2e1400e3,0x5394005d,0x929000e9}},	//   _beberapa_, _བསྒྱེལ_, _ahesa_, _lemal_, 
   {{0xc26c0342,0x52120212,0xb7ec0128,0xa27e0165}},	//   _padon_, _jcaho_, _سیلشماقد, _iteni_, 
   {{0xb290029f,0x5a9b0420,0xb4340039,0x838302c5}},	//   _nemal_, _jornalis, _sorkuntz, _asiyane_, 
   {{0x32900193,0xf27800a9,0xb63605c5,0x76eb0166}},	//   _teman_, _ukuntu_, _ब्रहमा_, _beachtli, 
   {{0xa1620200,0xa20200d8,0x726f0102,0xf3ea0116}},	//   _websaịtị_, _actica_, _progaram, _peitie_, 
   {{0x22050085,0xf10a0272,0xb95900bf,0x6e4304d8}},	//   _bilitaki_, _abakugol, _венето_, _cabanaya, 
   {{0x07ac002b,0x98fc02a2,0x96830187,0x3acc004d}},	//   _শিউলি_, _palatand, _papelari, _申訴受理單位_, 
   {{0xcb5003d0,0x9a40034d,0x129000e1,0x8302005a}},	//   _النعمان_, _seberapa_, _demal_, _lunablu_, 
   {{0xb5d90192,0xb7660004,0xc66a006d,0x00000000}},	//   _크라운제이_, _ekstrèm_, _аўтобусе_, --, 
   {{0x52d80068,0x3a150255,0x127e02f7,0x79730347}},	//   _badeed_, _kombinee, _bueng_, _beinvloe, 
   {{0x635f03f3,0x62630085,0xae000053,0x739400a8}},	//   _laagste_, _kasonaki_, _pelepasa, _chesa_, 
   {{0xac3c0342,0x8c5a04d8,0x525a01f0,0x23f4023d}},	//   _segondè_, _کراماتھ_, _builwe_, _frutto_, 
   {{0x39760347,0x2a08008f,0xfaf3013f,0xf8cf0350}},	//   _geliefde, _garantee, _falsente, _በመሆንዋ_, 
   {{0xde4303b2,0x527e02b5,0x2f430166,0x2c5401d1}},	//   _password_, _fueng_, _passwort_, _posting_, 
   {{0x627e048f,0x11420265,0x729001af,0xfab70272}},	// [2480] _eteni_, _settimeo, _jemal_, _agikakas, 
   {{0x5344005d,0x8aca02ac,0x2dac02fe,0xa26e0066}},	//   _airespe_, _شراميط_, _ayinakup, _lepoan_, 
   {{0x6a0d046f,0x8e4300b2,0x20600307,0x5e430408}},	//   _rassismu, _barabade_, _esisidin, _hazakaza, 
   {{0x4dce02d3,0x9a7e0257,0x8d4601a3,0xfeea0297}},	//   _видеа_, _ragnarss, _ماسٽرس_, _балларын, 
   {{0x434206a2,0xa301005a,0x5e3402d3,0x139502aa}},	//   _ingendo_, _biyahdi_, _плетени_, _kresby_, 
   {{0x6dc3014e,0x73ea0358,0xc39500ae,0x00000000}},	//   _улици_, _atitid_, _inusu_, --, 
   {{0x8c3600a4,0x2b6100be,0x50f10459,0xf6d00157}},	//   _центерра_, _атындагы_, _कविवर_, _ग्रिड_, 
   {{0x17e30093,0x12e70449,0x2e48031a,0x97a00347}},	//   _полиции_, _ukinuto_, _anabarra, _ammunisi, 
   {{0xb9cb0439,0x23120273,0x02900418,0x6d5d03b0}},	//   _dzolonga_, _empezó_, _cemal_, _bagsværd, 
   {{0xd26c00ca,0x32d900bd,0x62900022,0x6aaa03a0}},	//   _demore_, _breest_, _dinale_, _letheres, 
   {{0xfc550217,0x77bf01a7,0x2f0302eb,0xed9d02e2}},	//   _evitate_, _обратная_, _соргог_, _ashlisha, 
   {{0x27bb019f,0x4cd5018d,0xbc1e0076,0x5d3b053d}},	//   _vinginev, _ጎረቤተይ_, _изборнат, _bafikile_, 
   {{0x432b041b,0x3a8900e9,0x1d83028e,0x427e0009}},	//   _shahlang_, _lanivers, _wapemaot_, _steni_, 
   {{0x5aa20041,0xaef400ff,0x5ef20235,0xec1803f3}},	//   _амҩатран, _יאָגאַ_, _anavatap, _garander, 
   {{0x631c01e1,0x1b3b03cc,0x77680156,0x2f6902c4}},	//   _аңлай_, _ছাত্রছাত, _געבײַדע_, _певаљки_, 
   {{0xb5eb0297,0xc49d03c2,0xba9601ad,0x27a00046}},	//   _испанияг, _aerofoil_, _madiskub, _poguessi, 
   {{0xeae60058,0x320b00c5,0xe27e000e,0x3a8301d9}},	// [2490] _bigikön_, _地质工程师_, _buend_, _entziffe, 
   {{0x15cd00f9,0x1c5c0036,0xf7780425,0xfd7c00ef}},	//   _kugabany, _miotail_, _قوناغی_, _سهولتونه_, 
   {{0x7d95017f,0xc26c0230,0xa53d0010,0x00000000}},	//   _aallakaa, _ladob_, _besiboph, --, 
   {{0xbf69019b,0x7a0203db,0xb517017e,0x00000000}},	//   _palangos_, _lamadoda_, _boksisto_, --, 
   {{0xbf440057,0x32480138,0xce4301e8,0xfb19008d}},	//   _የጽሕፈት_, _bilmem_, _kabalaya, _tarafdan_, 
   {{0xe378023e,0x4c260012,0x9566004d,0x8cf00109}},	//   _ornamen_, _कजरौटा_, _非複數決標_, _सूचकको_, 
   {{0x67d8006f,0xd3950405,0x39680040,0x1b8d012c}},	//   _سبزواري_, _knust_, _מתבייש_, _kilichor, 
   {{0xf6d30154,0x3c5d0321,0x78830227,0xdc8d05f8}},	//   _asociati, _kartico_, _rahimahu, _азимова_, 
   {{0x631604a5,0x8c1c005a,0x527e0564,0x36800120}},	//   _anazo_, _bimunnis, _huene_, _handeedi, 
   {{0x827e023b,0x86c20320,0xf201030f,0x85cd027f}},	//   _kuene_, _enkandzi, _hiainu_, _bugabany, 
   {{0x642402ec,0xc2b5019b,0xeb6c00cd,0xe5b8023c}},	//   _لى۪کھاں_, _londone_, _admonesc, _bakarubh, 
   {{0xb29d02c2,0x338602ae,0x73b9017d,0x62c403d5}},	//   _verkoop_, _sakrij_, _delvist_, _ainmeas_, 
   {{0xa31603de,0xe2b20274,0xd25a02e1,0x486d030a}},	//   _enazo_, _vandinn_, _muilte_, _ameixend, 
   {{0x233700c8,0xbae90410,0xeea80222,0x4e05019b}},	//   _бармай_, _kgathele, _pourtant_, _клубень_, 
   {{0xa3cd0074,0xd20100a5,0xfd2d03a8,0xfc4401d5}},	//   _предметы_, _fiainu_, _উপধানতা_, _hangkárt, 
   {{0xa394049e,0x3599053f,0xf47203a2,0x2e59015a}},	//   _ciest_, _phirunak, _नरेन्_, _bilbilaa, 
   {{0x53b20047,0xb22600bb,0x927d04d7,0x0f900291}},	// [24a0] _disque_, _حدیبیہ_, _andheiti_, _ألتراس_, 
   {{0x261c0074,0xb2d90265,0x51b200f8,0xee4000d1}},	//   _mielenki, _breekt_, _উসাইন_, _লটিঘটি_, 
   {{0x439604b9,0xd394047d,0x9f240065,0xaac7017a}},	//   _trusty_, _giess_, _aufeinan, _санадро_, 
   {{0x8dca018d,0xc37f0275,0xc27e015e,0x62780289}},	//   _መብርህን_, _manamea_, _troncs_, _khungu_, 
   {{0xbeb101da,0x1bea020e,0x1965004d,0x82ee03db}},	//   _evropian, _didemokr, _危險藥物條例_, _ijenali_, 
   {{0x12f10198,0x1e2500c7,0x964200d8,0x6c9a0153}},	//   _natisni_, _булгари_, _acabariá, _おごと温泉暖灯館, 
   {{0x75eb0192,0x1a1302b6,0x32500094,0x00000000}},	//   _공정거래위원회_, _تاڭسىڭدى_, _كىلەڭ_, --, 
   {{0x7afc0005,0x7a0e009b,0x6c0100b4,0x1eb90145}},	//   _indemnis, _prestaku, _acestor_, _спачатку_, 
   {{0xdcfb0211,0xe27e046d,0x386d00da,0xe38700bc}},	//   _операции_, _ndingo_, _констрын, _awerni_, 
   {{0x6379012c,0xe97f01b5,0xeed300a7,0xb78b004d}},	//   _matakwa_, _mafikele, _solistes_, _一匹馬的故事_, 
   {{0xd1e6006f,0x2e4300c0,0x8bea0102,0x89f9026a}},	//   _بارودي_, _kababaya, _kidemokr, _niusilad, 
   {{0x71560391,0x237f0172,0x22ba008d,0x97100193}},	//   _барыла_, _nanabea_, _muddati_, _वर्दे_, 
   {{0x3730019b,0x4555004d,0xef2d044c,0x00000000}},	//   _смяротна, _台灣壹週刊_, _bereknin, --, 
   {{0x3c6f023d,0x9c5b03b9,0x9c690037,0x6df500e1}},	//   _storico_, _mistuni_, _ኤልሻዳይ_, _boddante_, 
   {{0xa3160324,0x4c2c015c,0x915000c5,0x425a0498}},	//   _unazo_, _mojikosu_, _全国人民代表大会, _skoly_, 
   {{0x368c0052,0x2cac0041,0xcc120028,0xf2d80049}},	//   _देहाय_, _усҳәарҭа, _horreeys, _tokee_, 
   {{0x09550142,0xa59b032e,0x9bcf0061,0xbcf7019b}},	// [24b0] _agrahaṇa, _walinkañ, _어린이만화_, _электрыч, 
   {{0x3bd800bc,0x0f0d002b,0x00000000,0x00000000}},	//   _تحلیف_, _হিজড়া_, --, --, 
   {{0x07c800c9,0x5df5012e,0x838701f1,0x44da0205}},	//   _vietarow, _بوکوحرام_, _ministër_, _молни_, 
   {{0x64990141,0xf30503ac,0x6b1601f1,0x00000000}},	//   _birgalik, _ditanam_, _kompanit, --, 
   {{0x2fd00242,0x42b40466,0xfcbe0145,0x93b002ee}},	//   _malikdir_, _majci_, _макей_, _dejqa_, 
   {{0x2fee0360,0xc2010320,0x32ea012a,0xac680338}},	//   _किनारमा_, _empin_, _jezioro_, _annuari_, 
   {{0xe2d400c5,0x991301d7,0x00000000,0x00000000}},	//   _第四十六条_, _spectatu, --, --, 
   {{0xedb20247,0xab05024a,0x34f9023c,0xc3420288}},	//   _nannanna, _afasegbe, _مبارزين_, _übermo_, 
   {{0x3f930338,0x954f0075,0xf17e04f9,0xca9b00d9}},	//   _fondator_, _heimastý, _allamill, _kuningas, 
   {{0x027f00d2,0x92ff02d4,0xb6d500b0,0xafed0206}},	//   _itung_, _scriver_, _maraakii, _spáľňu_, 
   {{0xaae30162,0x4c170209,0x4a570013,0x731600ea}},	//   _июндики_, _ammaaner, _минага_, _hoazy_, 
   {{0x2771027b,0xcdb60361,0xd47301a4,0x245c06a9}},	//   _रूपसिद्ध, _царские_, _komentak, _federaçã, 
   {{0x73950534,0xd2900318,0x07ae0133,0x4eae0203}},	//   _giuse_, _kemaa_, _dentinii, _refrenat_, 
   {{0xe39401a7,0x895c02c3,0xb26d033a,0xdeb1006a}},	//   _voisin_, _vedomost, _ospitati_, _antoeran, 
   {{0xf30d06aa,0xb49f01d5,0x2a7700e6,0x037f00d9}},	//   _membina_, _مبالغہ_, _党的十六大以来_, _sanasta_, 
   {{0x537804a4,0x9a9202ba,0x79d401ef,0x00000000}},	//   _camarun_, _abayenze, _мужчын_, --, 
   {{0x298303be,0x9787015e,0xe1fe0320,0xdf42018a}},	// [24c0] _arahunga_, _بازاسى_, _dbcircom, _amhrisia, 
   {{0x929001d9,0x9be401a3,0x639506ab,0xc75c0011}},	//   _gemaa_, _بولٽن_, _viuse_, _bakisang, 
   {{0x2c6002b3,0x115f0153,0xcaf10041,0xc57a0040}},	//   _mestras_, _まちづくり_, _ҟалҵеит_, _הכתובות_, 
   {{0x805e012d,0x88d5013b,0x38ba004d,0xd7a80350}},	//   _ikenomik_, _jacuting, _主計處預估_, _ተቋርጧል_, 
   {{0x7ae200ad,0x92cf02bb,0x52910197,0x867f0223}},	//   _ngalaman_, _fundacji_, _divage_, _handiegi, 
   {{0x5e8d027e,0xc347028d,0xeec2022f,0x34f10476}},	//   _компонов, _talerla_, _коштам_, _chimwech, 
   {{0x09ed01e6,0xdf1300b4,0x665203f3,0x00000000}},	//   _doprovod, _dormitor_, _vakkundi, --, 
   {{0x082d018d,0x5d8500ee,0x2eb500c7,0x7394005b}},	//   _ኣይፈቅድን_, _мужаан_, _активлыг, _armsny_, 
   {{0xc2c50100,0x887006ac,0x3dbc0494,0x02ba033a}},	//   _obiluje_, _músicas_, _obratite_, _sudditi_, 
   {{0x3d8000e3,0x6dce0371,0x123b0156,0x00000000}},	//   _མགྱོཌ_, _фидер_, _פּיסק_, --, 
   {{0x92010246,0x83a30272,0xef1703b9,0xc29000d2}},	//   _ampio_, _abapya_, _sistaspa, _semah_, 
   {{0x642901cd,0x3dfa0399,0x92d80339,0x270a00c7}},	//   _абарқудр, _fureseve_, _āhewa_, _kerttelä, 
   {{0xe20e0159,0xac9402a0,0xaba40059,0x8ea305f2}},	//   _баках_, _honerebu_, _agricolo_, _condados_, 
   {{0x12fc0088,0xdea70025,0x49cc0382,0x96c90037}},	//   _milions_, _anulepan, _federexe, _ያተኩራል_, 
   {{0xaaba0076,0xc9dd00a5,0x93f80282,0x00000000}},	//   _предизви, _fagotaga_, _kaiuru_, --, 
   {{0x065c026c,0xc37a00d6,0xec090544,0xd2900198}},	//   _只看該作者_, _ebtahin_, _hoopuka_, _temah_, 
   {{0xaaaf04f0,0xce780101,0x65cc0315,0xe9fe0462}},	// [24d0] _bathobas, _activită, _angaboph, _acrament, 
   {{0x6380003f,0x5fc20040,0x4efc01cd,0x4d68006c}},	//   _beprup_, _טקסטיל_, _туркӣ_, _abamelwe_, 
   {{0xec1f01df,0x4f250113,0x330d0316,0x00000000}},	//   _templar_, _hiarrata, _dumamar_, --, 
   {{0xcc0a032e,0x7d1f0148,0xecb40039,0xfc530272}},	//   _arapiwa_, _經永靖到田尾_, _курсийн_, _atutuma_, 
   {{0x14b2037f,0x068f02a1,0xe3870573,0x00000000}},	//   _dolları_, _allerhei, _amarro_, --, 
   {{0x03ea0195,0x100905b2,0x00000000,0x00000000}},	//   _beithe_, _беркате_, --, --, 
   {{0x194100f6,0x8053023e,0x00000000,0x00000000}},	//   _tuturlar_, _daksenen, --, --, 
   {{0xd3da0368,0x43480528,0xdc88007f,0x00000000}},	//   _правилни, _aiteamh_, _helfeydd_, --, 
   {{0xed9000f5,0xc5bc0354,0x72d50396,0xcdc6033d}},	//   _сежде_, _бостанли, _karozza_, _anvizaje_, 
   {{0xc3160130,0xafc90060,0xa3720127,0x542201ab}},	//   _inizi_, _нәрселер, _romaned_, _करऽबऽ_, 
   {{0xbc60037c,0x9bd80157,0x19f206ad,0x00000000}},	//   _vestras_, _niedobor, _borgerne, --, 
   {{0x427e0190,0x42910451,0xf27e03f3,0xf29d0147}},	//   _mwinen_, _difane_, _breng_, _دااتىتار_, 
   {{0xe3b600bf,0x638400cf,0x77b601aa,0x45d800ec}},	//   _значения_, _aidsiifi_, _agreeing, _рэшткі_, 
   {{0x4db6004a,0x6c06011a,0xfaae00f7,0xe322005b}},	//   _камский_, _entropy_, _asekuron_, _foryou_, 
   {{0x90ca0187,0xf36600c4,0x227e01e9,0x417e0133}},	//   _можности_, _فائينل_, _ereng_, _dolphino, 
   {{0xf2dd0423,0x12900288,0xdb830318,0x696c04fc}},	//   _nikoliv_, _wemai_, _kahokaho_, _remitent, 
   {{0x527e015c,0x226d00a5,0x4bb105af,0x62db0147}},	// [24e0] _greng_, _ataoto_, _diskutir, _укмкнын_, 
   {{0x861d0003,0xc1a506ae,0x438601db,0x0f3202d5}},	//   _개인정보보호정책_, _comezará_, _сессиясы_, _चिल्लइने_, 
   {{0xa29103cf,0x604e004d,0xd39504ca,0x00000000}},	//   _linkler_, _中華民國刑法_, _coason_, --, 
   {{0x704a0121,0x06390184,0xe6230405,0xf7d80465}},	//   _edificio, _bagisubi, _плавання_, _označeva, 
   {{0xc27e026b,0xadfa0462,0x25c100d1,0xe2d8030a}},	//   _suena_, _aradigmp, _পথাৰখন_, _achego_, 
   {{0x32d5024e,0x03fa0384,0xbdc500a2,0x43eb0014}},	//   _razliku_, _struje_, _maridhia, _afatit_, 
   {{0x724e0643,0x7dc90037,0xc4a801d5,0x00000000}},	//   _plodovim, _አጥብቀን_, _elmarasz, --, 
   {{0x03ce0049,0x7c7c034e,0xb79d00d0,0x6a7d0109}},	//   _agkvi_, _alaslla_, _тиара_, _अमेरिकाब, 
   {{0x5c1e02eb,0x090401ad,0x14460040,0x62e1008b}},	//   _эмээлт_, _kalalawd, _ובשביל_, _indilug_, 
   {{0xe529011f,0xb959015e,0x7e0300de,0x712d027b}},	//   _уникалт_, _acollime, _beneempa, _प्रसन्ने_, 
   {{0x239406af,0xdad004dc,0x5b720220,0x439500ed}},	//   _mbese_, _کردیت_, _стени_, _hiusa_, 
   {{0x323f0417,0x0e18017a,0x927e0071,0xc7db03f0}},	//   _vermaak_, _охиста_, _mrene_, _baksviðs_, 
   {{0xa34d0120,0xd8210188,0x8fc20061,0x897f0418}},	//   _esseram_, _ҷанҷол_, _발명협회장상_, _indirile, 
   {{0x87c5047d,0xcf4a011d,0x59c70035,0xccfd011a}},	//   _warschei, _neaparat_, _басалар_, _שביתת_, 
   {{0x29ee0066,0xcdb901db,0x304c0053,0xdb65019d}},	//   _arduradu, _сатиралы, _dirumahn, _fulumira_, 
   {{0x227e040e,0x7d280169,0x798501db,0xb27e0347}},	//   _treng_, _ফরমালিন_, _اندورران, _arend_, 
   {{0x0a0003bf,0x2704023a,0x4d1f046f,0x00000000}},	// [24f0] _bajalefa_, _masturbá, _jéngsten_, --, 
   {{0xe20000e1,0x208a01cd,0xa29401dd,0x4eb7040f}},	//   _addina_, _саройкам, _agakoni_, _indeksas_, 
   {{0xc90902ba,0x7a0601f7,0x807b0089,0x69c100e6}},	//   _бетараф_, _nombrose, _elemtälä, _奥运圣火到我家_, 
   {{0xb6cd021a,0x6f430028,0x9fbe040e,0x2a850092}},	//   _argamani, _warshada, _grunnsto, _この作品は_, 
   {{0x3a3100d1,0x027e0282,0xc28c032f,0xbb3a04c7}},	//   _বাজিছে_, _erene_, _levantam, _запленил, 
   {{0xc3c5023e,0x4b8803e9,0xb179004d,0x339904d7}},	//   _جانوری_, _kabirler, _苗栗市廠商_, _dísar_, 
   {{0x024103b9,0x87b5053f,0x85b60089,0x14c801e1}},	//   _jallumpi_, _larusipx, _жванецки, _наградла, 
   {{0x1c6502ac,0x9b5a016d,0x00000000,0x00000000}},	//   _عواصم_, _сайламди, --, --, 
   {{0xe787004b,0x129000fe,0xc6c80350,0xc3160014}},	//   _уралды_, _kemau_, _የመከራው_, _unaza_, 
   {{0x727e03d8,0xacf90287,0x9da800e7,0x0eea0092}},	//   _krene_, _aktivně_, _almiyasa, _serveret_, 
   {{0x08db0462,0xf42c0161,0x1a3400ba,0xd8780156}},	//   _accruing, _огонь_, _خۆڕاگر_, _קעיפינג_, 
   {{0x5b4f018d,0x7c66003e,0x00000000,0x00000000}},	//   _ተታሒዝዎ_, _буровойҙ, --, --, 
   {{0xce4e018b,0x4e9e00b3,0x7d8e01db,0x6ca000f8}},	//   _дарде_, _маялы_, _قۋىپپىن_, _মৃত্তিকা, 
   {{0xd2900372,0x7316040b,0xe25a000d,0xb1b30371}},	//   _gemau_, _dombani_, _millel_, _боровец_, 
   {{0x122500ad,0x9a09014c,0xc31900d9,0x063e0271}},	//   _anakna_, _yabasebe, _приспосо, _innspill_, 
   {{0x189104e5,0x03860433,0xd76e007b,0xf747059f}},	//   _abakungu, _azores_, _canvassi, _familjev, 
   {{0xb04e06b0,0xbc530251,0x550c026b,0x228a03d4}},	// [2500] _emgungun, _kastana_, _নিয়ত_, _prateći_, 
   {{0x9290029e,0x05870317,0xdb880418,0x53030165}},	//   _demat_, _sastojak, _tabirler, _matakau_, 
   {{0x56ca02ac,0x2d9f0479,0x86d70219,0x1230042d}},	//   _أعلمني_, _gépjármű, _ebabambi, _dramora_, 
   {{0x7f6a019b,0xa27801bd,0xbfc000c7,0x63430184}},	//   _padangos_, _магнитті, _абыстай_, _impembo_, 
   {{0x4225036e,0x23680347,0x2764034c,0xc290015c}},	//   _chakra_, _vingers_, _рухында_, _gemat_, 
   {{0x027e0327,0x7f2d065e,0xaebc0291,0x1a090322}},	//   _trene_, _beretnin, _fabraice_, _babarebe, 
   {{0xd2900526,0xd87702af,0x2b6601ef,0xd2fc0179}},	//   _hemat_, _akunkumu, _autorių_, _leigod_, 
   {{0x42eb01bc,0xc2640156,0x23e10009,0xef4803f1}},	//   _reinder_, _עטיקעט_, _lestvici_, _rozprava, 
   {{0x474f0360,0x13d402c1,0xd38701bb,0x5b1901af}},	//   _designov, _kwamamaz, _itergi_, _barandan_, 
   {{0x79f6051f,0x8a09021b,0x7341035e,0x1ee2027b}},	//   _سوریا_, _parantaa_, _istekla_, _दोर्भ्या, 
   {{0x925a0416,0x455e0094,0xf3940116,0x00000000}},	//   _hillel_, _болмасад, _laest_, --, 
   {{0x96810525,0xc20001e1,0x129000db,0x9f7a002b}},	//   _क्रास_, _felisa_, _temal_, _সূত্রপাত_, 
   {{0x89e0030f,0x767b00d1,0xba150192,0x1e400178}},	//   _tokorima_, _অনুস্থান, _combinee, _इवर्णोवर, 
   {{0x8b95030b,0xad9501c8,0x9709015e,0x56050080}},	//   _katikkir, _dvojité_, _бетинин_, _grammini, 
   {{0xd39a014a,0xd9f20274,0xeef1026f,0xc43f0061}},	//   _مسامع_, _borgarne, _بەرنشام_, _가족문화센터_, 
   {{0x120002df,0x83600242,0x92c80117,0x32b80141}},	//   _kelisa_, _yaddaş_, _tovotae_, _агросано, 
   {{0xef3604d0,0x9290029b,0x00000000,0x00000000}},	// [2510] _hausaksa, _kemam_, --, --, 
   {{0x9292054f,0xaa7d0356,0xc27e0461,0x72310096}},	//   _ntsaim_, _mapasata_, _prene_, _atumiza_, 
   {{0x4f310108,0xa9e400e4,0xc35802d9,0x730501ac}},	//   _paguyuba, _dystrybu, _asefulu_, _جولات_, 
   {{0x69840461,0xcf4402c8,0xb37101d5,0xd64b0311}},	//   _maximala_, _división, _pihenő_, _ዘይቕየር_, 
   {{0x0e510147,0x127f044a,0xb3eb0085,0xd4690204}},	//   _ابئيىرسى, _atuna_, _itatau_, _мигранто, 
   {{0xf98e01cd,0xb92900f5,0x3d8301b8,0x9b80027b}},	//   _қадим_, _биохимик, _kriminaa, _विषमः_, 
   {{0x968e00d9,0xcdb30074,0x00000000,0x00000000}},	//   _прогулки_, _alkaneet_, --, --, 
   {{0x12d800a5,0xeb0b004c,0xb598008d,0x650401cc}},	//   _filemu_, _abagugub, _блоггерл, _अर्धमात्, 
   {{0xd3940212,0xd4d40148,0x4f280629,0x07b40037}},	//   _yaesu_, _看附近餐廳_, _imarypra, _ፊተኛይቱ_, 
   {{0xa11e0037,0x7c700366,0x2f6404b2,0x9c72013f}},	//   _ይመጣብሃል_, _сервером_, _aakalain, _bourlet_, 
   {{0x053e00f5,0xf2640085,0xc2d800f4,0x89810299}},	//   _afrikany, _lakoyani_, _boked_, _ئەگمەس_, 
   {{0x62d800e5,0x4eca02f8,0x3c700158,0x530e01f4}},	//   _homens_, _amanekin, _बुर्के_, _alabaga_, 
   {{0xf9600048,0xb201023d,0x63950292,0x305200af}},	//   _abangere, _ampia_, _presby_, _klarerin, 
   {{0x5f5d006e,0x33eb00a5,0x6c390037,0x1ee400aa}},	//   _nasaraan, _atatau_, _የበለፀጉ_, _diskuwen, 
   {{0x581b01ef,0x021d0177,0x559900bb,0xb9aa002c}},	//   _стремно_, _дануп_, _مفروضہ_, _садангий, 
   {{0x39c8017f,0xd87e0176,0x00000000,0x00000000}},	//   _anemaria_, _cityring, --, --, 
   {{0x8c5302ce,0x49f10303,0x32cb003f,0x00000000}},	// [2520] _pastina_, _khansela_, _relosta_, --, 
   {{0xa2d201ac,0x951f01a3,0x3b670109,0x09eb0284}},	//   _صداقه_, _چولياڻي_, _koncertě_, _webgarde, 
   {{0x3d9d0139,0x32d803e0,0xae540092,0x00000000}},	//   _anenaita, _yoked_, _detailha, --, 
   {{0x99a90397,0x422a0076,0x6959018d,0x0c5c0309}},	//   _қаламрав, _борат_, _ክንብልን_, _fikrinə_, 
   {{0x3dab041f,0xd2d901c4,0xf2020230,0x833700c1}},	//   _okungafa, _besef_, _korips_, _ड्राईव्ह_, 
   {{0xa3f80125,0x51bd0045,0x861f0158,0xbdc500b5}},	//   _tohum_, _ништа_, _इकनॉमिक_, _ателехәа, 
   {{0x8bb30342,0x0e4e00d9,0x8c970041,0xe33c008d}},	//   _rankontr, _opiskelu_, _еизоит_, _bankning_, 
   {{0xb7d30061,0x1953008d,0xd20004b8,0xf96803b2}},	//   _고려대학교_, _декабрда, _swait_, _infotrie, 
   {{0x92900288,0x36f5002b,0x299a0466,0x13e70071}},	//   _memak_, _সহসভাপতি_, _kruži_, _digatèka, 
   {{0x478700be,0x25c504e6,0x09e70486,0x00000000}},	//   _جاشايىم_, _binabagy, _neproved, --, 
   {{0x62d8014e,0xb3940155,0x427800c3,0x73f8037f}},	//   _izmene_, _friska_, _carnem_, _qohum_, 
   {{0xb5d7046c,0x005a02b9,0x9ddc0120,0xe06d04eb}},	//   _geschich, _عریانی_, _fakkiima, _बिरसा_, 
   {{0x5b0e0168,0x595d022a,0xe2780102,0x31cc026d}},	//   _passasje, _magodibe, _chungu_, _rovinatý_, 
   {{0xa27f0054,0x0f650247,0x00000000,0x00000000}},	//   _kwanan_, _diopname_, --, --, 
   {{0xf25a028b,0x427f00df,0x625d0020,0xe3730144}},	//   _otilde_, _gagner_, _fetolofi_, _bomaite_, 
   {{0xa2b90033,0xf81d00da,0x89f1002f,0x75360156}},	//   _tudestg_, _ратификэ_, _chenilla_, _טשעכקאסל, 
   {{0xb31904bd,0x82c60151,0x9e130100,0x2c5500c4}},	// [2530] _kamanā_, _beslave_, _poremeca, _bintiye_, 
   {{0x478000af,0x048500db,0x00000000,0x00000000}},	//   _управлін, _शिवाला_, --, --, 
   {{0x5c8d027b,0x00000000,0x00000000,0x00000000}},	//   _बोध्यङ्ग, --, --, --, 
   {{0xd292021c,0x727e038e,0xa85f0121,0xe26c012e}},	//   _vpravo_, _ironis_, _barreras_, _bakony_, 
   {{0x826c0599,0x027f00ed,0x578503b2,0x9b2a0156}},	//   _रक्षा_, _awanan_, _prevaili, _אדוניהו_, 
   {{0x929002ee,0x9fe30218,0x41f5010f,0x2dc300e7}},	//   _ideat_, _ommissio, _дубораи_, _amlinsha, 
   {{0x425a0144,0x649c0035,0x4b0602f2,0xf7ee0013}},	//   _tuilte_, _аланд_, _asistida_, _istasang, 
   {{0x1a1202af,0xa9510220,0xa97301f0,0x383800bf}},	//   _akabugit, _riportat, _boenjene, _илларион, 
   {{0xd73d0214,0x563e0052,0x507a019e,0x9b8a0374}},	//   _akunakug, _दुनियाँम, _апосталы_, _шодон_, 
   {{0xaaff03c4,0xa58103e6,0x7c720047,0x699500d6}},	//   _المفردات_, _ennersch, _extrait_, _imbhalla_, 
   {{0x44b20138,0xb2ca02ec,0x3394005c,0x827f0084}},	//   _kodları_, _muddadii_, _arisha_, _atung_, 
   {{0xd0e6014a,0xfa6500ef,0xaa520439,0x2c0e03ef}},	//   _نامنظور_, _طبیعي_, _bohelela_, _amatagis, 
   {{0x747d0107,0xe29002ff,0xeb2d00ec,0x28f90185}},	//   _interwik, _remak_, _subalans, _diñgezdä_, 
   {{0x427e02da,0x220101fc,0x6d7f014c,0xac9d0025}},	//   _itens_, _abbire_, _kwamanye_, _क्षेत्रस, 
   {{0x42f1030f,0x4e960052,0x088900ee,0x9e4c0585}},	//   _moriori_, _दुर्गाभव, _занабаза, _dijamana, 
   {{0xca9f012b,0xbd990076,0xd27e00b4,0x818504ad}},	//   _papieros, _комедија_, _atent_, _goyagoil, 
   {{0x277301cc,0x027e029f,0x799a0435,0x507600ba}},	// [2540] _प्रस्थित, _stenu_, _pruži_, _ناداتێ_, 
   {{0x025a01eb,0x52d80052,0x83800590,0x13a3022d}},	//   _atilde_, _rokem_, _prozesu_, _scappa_, 
   {{0x8f620051,0x426b015e,0xdc6500d1,0x2c3e005b}},	//   _katalogs_, _سۉرەتتى_, _প্ৰলোভিত_, _dayphras, 
   {{0xb9bc01f4,0x19c306b1,0x956c0279,0xde9b03ec}},	//   _بیداوسوا, _شامبو_, _autorité, _portalit_, 
   {{0xc278046d,0xe3940039,0x91c1038e,0x95cc0092}},	//   _thundu_, _krisia_, _disebuah_, _træpille, 
   {{0x127e02ee,0x3d0c0022,0xb143047d,0xa26c01fa}},	//   _utent_, _рылды_, _bettembo, _mohono_, 
   {{0x4199015d,0x53940362,0xc667034c,0xde4c0403}},	//   _problemy_, _priska_, _пикетта_, _ankapobe_, 
   {{0xc39c0171,0x6c090182,0xfc300060,0x123603df}},	//   _zakašnje, _alopeka_, _ازىرلەيد, _vinje_, 
   {{0x138f0037,0xfff9014a,0x8f19004b,0x00000000}},	//   _ለዘለቄታው_, _fűnyíró_, _яныбай_, --, 
   {{0xa2d90116,0x35c604b2,0x7231049e,0x3af4004f}},	//   _aesed_, _sinasady, _artmama_, _leeralut, 
   {{0x8a88021c,0xa27f047d,0xcd3a03a0,0xb2d90198}},	//   _moderáto, _stung_, _athikele_, _besed_, 
   {{0xa6d3010f,0x72900305,0x4bca00be,0x42550220}},	//   _роғиён_, _idear_, _تۉركۅي_, _insegnam, 
   {{0x2ee6031a,0x5274008d,0xbd3102ac,0x66f5025b}},	//   _lochlain, _یوزله_, _مووووووو, _partabræ, 
   {{0x629004cc,0xd3f80286,0x3f28020a,0x71330105}},	//   _golaeh_, _kohui_, _бөгде_, _zintegro, 
   {{0x00f30016,0x0bf20163,0xc2bc0170,0x220002f3}},	//   _נאטור_, _kattints, _goodall_, _lediga_, 
   {{0x8206044a,0x627e03ba,0x6fc200bb,0xe3100364}},	//   _andimaki_, _muena_, _باغوں_, _babalux_, 
   {{0x2864011d,0x19620153,0xfab100f6,0x00000000}},	// [2550] _poporulu, _を行っても_, _əhvalatl, --, 
   {{0xfb01014a,0xc5b001cd,0x4b4503f2,0x885301d9}},	//   _forraszt, _alisayik, _рунета_, _inhalter_, 
   {{0x526c04bd,0x873103ee,0x1d3d02af,0x08fc00b7}},	//   _hohono_, _ispostav, _babirabe_, _ashagynd, 
   {{0x52d90172,0x320001b5,0x06280307,0xd44d01b3}},	//   _kesee_, _bohiwi_, _elingazi, _поширюва, 
   {{0x027e0359,0x0278019b,0x827e0452,0x29f900ec}},	//   _utens_, _mediniai_, _jreng_, _nepasite, 
   {{0x127e0409,0x82090092,0x42fd000e,0xda88029e}},	//   _dreng_, _タッチタイピング, _klegal_, _binijenn_, 
   {{0xfb8a0440,0xe3470124,0xcd2f023d,0xd960023c}},	//   _vyananir, _tenesha_, _arrivare_, _akunamse, 
   {{0xe27f037c,0x1d1900d9,0x06e20025,0xc3ea0255}},	//   _itune_, _tekniset_, _उत्तरकाल, _suitsu_, 
   {{0x26820074,0x62f40434,0xd17e036c,0x3d9701db}},	//   _переключ, _asuntos_, _andamiol, _ساندال_, 
   {{0x727e023e,0x0f980368,0x02b203ec,0x92d20085}},	//   _ireng_, _сиромашт, _prodhon_, _siteseni_, 
   {{0x1d13025c,0xf2a3022f,0x984a0144,0x2200021e}},	//   _existier, _папараці_, _leithris_, _heliga_, 
   {{0x2292022d,0x52d8001f,0x022501f6,0x94fd0101}},	//   _impara_, _gokeh_, _snakka_, _локалитэ, 
   {{0xd57d0026,0x287a00f6,0x24e20024,0x43f802a0}},	//   _엔터테인먼트_, _xatirinə_, _চুপাৰ_, _mohun_, 
   {{0x0377032b,0x52ff0270,0x33f8019c,0x8c920094}},	//   _ھىلال_, _scriber_, _lohun_, _شىققانشا_, 
   {{0xb8590135,0x8cf50012,0x6e9c0375,0xf17e008d}},	//   _kitaplar_, _काजकेँ_, _anamunin, _intilish_, 
   {{0x8e350224,0x627f03fc,0x896900d6,0xd70d045b}},	//   _morgunma, _magnar_, _connacht, _жанри_, 
   {{0xa809018b,0xf440020e,0x862004e5,0xc8d3001c}},	// [2560] _бикамера, _atakisik, _alangiri, _pagrangg, 
   {{0x29f50035,0xc5bd01ed,0x33000326,0xdb4c0061}},	//   _хуплап_, _manaopoh, _anganzi_, _외국어학습_, 
   {{0xefbf012c,0xa8fe02a2,0xbb23002c,0x727e016a}},	//   _محنتي_, _matatand, _хэтчбеки, _areno_, 
   {{0x952800fb,0xdc6002d0,0xeade0188,0x3e720237}},	//   _elingakh, _cloutin_, _ботантан, _국가추념일_, 
   {{0x33ce002e,0x1f640006,0x1c29034c,0xb3f8024a}},	//   _kakve_, _masalahn, _adaptats, _dohun_, 
   {{0xa85a00e1,0x09e80253,0xf67b0212,0x21d600ba}},	//   _aydapoor_, _akigitit, _adversum_, _رکێفی_, 
   {{0x927e01b9,0x86f503dc,0xf69b0022,0x2307007a}},	//   _trenn_, _partabrø, _акцияны_, _tilawah_, 
   {{0x22da0511,0x2a550156,0x39c8015e,0xe3fc0100}},	//   _matewu_, _שאפליפטי, _سالماقتۇ, _napunili_, 
   {{0x01660156,0xd27e0226,0xf2c606ae,0x12000115}},	//   _גיהינום_, _greno_, _inclúe_, _geliga_, 
   {{0x47310384,0xb30d06b2,0x2f3300ff,0x3178027c}},	//   _uspostav, _ajoboja_, _סאָשע_, _babammel, 
   {{0xcb160073,0x926c0343,0x4dc80125,0x35ef00db}},	//   _componit, _aydon_, _хатырасы, _जूराउजूड, 
   {{0x37550092,0x76330128,0xe4b20309,0x00000000}},	//   _予めご了承下さい_, _tarannum_, _qolları_, --, 
   {{0x33000108,0xd1af0152,0x70bc00c7,0x38bf0037}},	//   _maraneh_, _banknıñ_, _арттыруы_, _የመፀዳጃ_, 
   {{0xe290031a,0x72780264,0x6c5c0405,0x6306010d}},	//   _aolach_, _barnim_, _подорожу, _ditopang_, 
   {{0x38e002e5,0x19c7004b,0x196001dd,0x12d801fe}},	//   _ahasamiv, _хаталар_, _abanyere, _moken_, 
   {{0xd9cc02f7,0xc5430325,0xadd204cf,0x4cd8011a}},	//   _etleedit, _badımcan, _sithathe_, _בתצוגת_, 
   {{0x2eb3023b,0x03460277,0x77d90145,0x52910258}},	// [2570] _hokuhele_, _eugenic_, _населены, _drokker_, 
   {{0xab8100ee,0x66280349,0x1e1d0227,0xd3ce02aa}},	//   _teknikar, _amilialf, _tengkora, _stovka_, 
   {{0x13ae00d1,0xb6a5031a,0x61c702fe,0x132700dd}},	//   _দ্বিতীয়ত, _burraidh, _سایتونه_, _clychau_, 
   {{0x29e70407,0x00000000,0x00000000,0x00000000}},	//   _nepraved, --, --, --, 
   {{0xa31d0478,0xdc0b00ac,0x127f004f,0x00000000}},	//   _cercada_, _približi, _geenë_, --, 
   {{0x3a7b01a7,0x41ed00c1,0x72c303db,0x432700dd}},	//   _kalliiks, _निचरा_, _kuhlelo_, _flychau_, 
   {{0xc2f901af,0xbdbe027f,0xa6cd0528,0x331602e8}},	//   _agressiw_, _birafise_, _obrachai, _enazi_, 
   {{0x88760076,0x41d1003b,0x82900052,0xa27e0220}},	//   _периодот_, _alelicem, _dolary_, _treno_, 
   {{0xdd90008d,0x241103a0,0xd6110013,0x26c80037}},	//   _тезда_, _bannelak, _fazliddi, _ይሞክራሉ_, 
   {{0x52fe0326,0xb1060678,0xc200003d,0x9236033a}},	//   _pashure_, _vecičky_, _religa_, _binja_, 
   {{0x54c800c7,0x1236005b,0xb9e900fd,0x2b6d00da}},	//   _тарафдар, _jinja_, _cairtead, _фронталэ_, 
   {{0xf26d00bc,0x1f4c02e2,0x92a000ec,0x15680059}},	//   _katon_, _disprove_, _klubai_, _растение, 
   {{0x62d80238,0x427e02c3,0xcb440066,0x4fcc00f1}},	//   _boken_, _steny_, _гүний_, _laribyer_, 
   {{0x826d0016,0x32e5011b,0x8f560061,0x32d50499}},	//   _daton_, _aponaka_, _대구광역시공보_, _sosooga_, 
   {{0x99c0008a,0x72da0685,0xd2900157,0xb3f8019c}},	//   _matelete, _truede_, _polach_, _tohun_, 
   {{0x864703e1,0xa20401a4,0x01c700cb,0x92da01c4}},	//   _forklari, _batikali_, _akumarom, _leuens_, 
   {{0x226d0277,0x668a00c5,0x105f00a7,0x81d10021}},	// [2580] _naton_, _中小企业服务月专, _сократес_, _arvercay_, 
   {{0x6e95048a,0x795c00d8,0xcd310263,0x1c7c0198}},	//   _рухани_, _abondiue, _anonieme_, _presega_, 
   {{0xb967005a,0xa9d104bb,0x735f03d8,0x33210334}},	//   _believet, _muitimed, _najgore_, _amayii_, 
   {{0x425a00d0,0x5866022b,0x6f780040,0x00000000}},	//   _odola_, _betongju, _להתעניין_, --, 
   {{0xd30102bb,0x82580139,0x826c019d,0x8fab0153}},	//   _सहशिक्षा_, _bhaiṣṭa_, _choona_, _ライトオン_, 
   {{0xafd60590,0x3a6a0059,0x122504df,0xef84021c}},	//   _профайл_, _горивото_, _chyksa_, _katolíci_, 
   {{0x1b4900db,0xb36701d5,0xa97602f0,0x226d0343}},	//   _रास्ट्री, _gluténme, _emiholwe, _matoo_, 
   {{0x5c6600f5,0xa9ed017e,0x22b50482,0x0eb202a4}},	//   _санынын_, _ordinara_, _garci_, _inceptos_, 
   {{0x9ba500f3,0x462b0244,0xd2b5001d,0x52d9016e}},	//   _abakwabr, _danneggi, _sarch_, _beceri_, 
   {{0xdbec03f1,0x44b8029f,0x86c403d9,0x00000000}},	//   _dodatočn, _podpisuj, _fanamafi, --, 
   {{0xd2b50082,0x1bf70244,0x49f302dd,0x12b801c6}},	//   _barci_, _сирене_, _bennejja_, _jiddysk_, 
   {{0xf26c037c,0x0d8f019d,0x0e510068,0xb7c10167}},	//   _mylot_, _adalinga, _walaalka, _dadrithi, 
   {{0x0fb3028b,0x0a000009,0x83bd0147,0x35ad0078}},	//   _anítei_, _mrežna_, _حۇيزۋلار_, _заборава_, 
   {{0xd3050243,0xe4a80453,0x81f400e0,0xdc1404dc}},	//   _katayam_, _pouzdano_, _feestlik_, _هوونه_, 
   {{0x60e70039,0x12b50220,0xe9dc0397,0x03200188}},	//   _агентлаг, _farci_, _amagajet, _имиҷи_, 
   {{0x23f4045f,0xc25b033c,0x3224022c,0x7341028f}},	//   _natten_, _ofalus_, _kunkun_, _kereopa_, 
   {{0x129501a6,0xe6970169,0xe04d0370,0xf3050053}},	// [2590] _tamariki_, _মানুষই_, _deproton, _dilacak_, 
   {{0xd24902fd,0x1ef6014f,0xe2570024,0xf697002b}},	//   _ciamar_, _настала_, _নৱগ্ৰহ_, _মানুষে_, 
   {{0x19510338,0xe26d001e,0x4a3300c8,0x8b640212}},	//   _burocrat, _zaton_, _поездан_, _occupata_, 
   {{0x92900157,0x530001ef,0x64f30213,0x4e55015e}},	//   _temat_, _nelabai_, _богатые_, _توپتۇ_, 
   {{0x726d001b,0xb71a02e1,0xbea801ef,0x3291031e}},	//   _batoo_, _cairdiné, _анатолю_, _uhvate_, 
   {{0xd887042f,0x826d0482,0x33a20129,0xab64041e}},	//   _atukkiru, _catoo_, _imepe_, _accupata_, 
   {{0x120501fe,0xf290007d,0x8e430241,0x2b0e0168}},	//   _bilicaki_, _kemas_, _gulaalee_, _massasje, 
   {{0xb980024d,0x12e80051,0x826d013b,0xddff03b5}},	//   _bavikele, _skaista_, _taton_, _kedekata, 
   {{0xe653029b,0x8290005f,0x42ea018d,0x39fc02a2}},	//   _bakkanam_, _demas_, _ግሃድኤን_, _kahalint, 
   {{0xe9d5003a,0xf29000ab,0xddcd0047,0x1b54018d}},	//   _mintaqad, _atiawa_, _associé_, _ዝተለምደ_, 
   {{0x4981024d,0xec5c0274,0xd9940468,0x153804b3}},	//   _belivike, _listinn_, _esihlala_, _beveziñ_, 
   {{0x5c170080,0xc2bd0142,0x927f02be,0x00000000}},	//   _ammarner, _candram_, _buung_, --, 
   {{0xa27f042f,0x4d4901bd,0x9b0e014b,0x284a0161}},	//   _atuni_, _бергей_, _kassisna_, _йорке_, 
   {{0xe1fe0161,0x52000429,0x83730455,0x41680453}},	//   _призы_, _heliza_, _vidange_, _luksuzno, 
   {{0xab0504d3,0x8394017a,0x53b602fa,0x1291002e}},	//   _grignion_, _esisha_, _abavoka_, _shvate_, 
   {{0x73f801b8,0x0290037f,0x729003ac,0x539401df}},	//   _kohus_, _memar_, _cemas_, _baest_, 
   {{0x39380052,0x0945048c,0xa26d02a2,0x5cd10255}},	// [25a0] _शुभेच्छु, _acquirer_, _hatol_, _tahvelar, 
   {{0x43820113,0xbd9d02c3,0x15bd0334,0x321300df}},	//   _تابلت_, _generuje_, _gabadinh, _cocher_, 
   {{0xa2900227,0x06ce0291,0xfd310333,0x4f4200ec}},	//   _gemar_, _بأكمله_, _amazzatu_, _аўстра_, 
   {{0x63860274,0xe7250333,0xe2000020,0x13700036}},	//   _skorar_, _fiamming, _itaia_, _múscraí_, 
   {{0x03ce025b,0xcd9c0297,0x318402f0,0x42f401fb}},	//   _stovna_, _биоценоз_, _asibandl, _planger_, 
   {{0xfcf10450,0xa394013a,0x337b0076,0x7f28020f}},	//   _spitiger, _haess_, _aguardo_, _نظرلرئ_, 
   {{0xb2e30262,0x4eb7023d,0x16220482,0x062b006f}},	//   _dilinde_, _consente_, _manoboli, _معنائن_, 
   {{0x5d6501d5,0x73410172,0xbb170271,0x21cb01f6}},	//   _بدسلوکی_, _merempa_, _bompenge, _tettleik_, 
   {{0x997e0264,0x6394047d,0xd7cf04f8,0x2213013f}},	//   _kapitane, _daess_, _drosophi, _bocher_, 
   {{0xea31012a,0x64d9019b,0x8c6003cf,0x123605bb}},	//   _दर्जे_, _праведзе, _saatler_, _finju_, 
   {{0x82d8007f,0x81a602e1,0x78580233,0x0c5a000d}},	//   _boced_, _يعتقل_, _reganiar_, _esitati_, 
   {{0x9ddc02ac,0xb2d80320,0x4a6b0022,0x394f01e7}},	//   _الغوص_, _hekeni_, _ikhopots, _geklonge, 
   {{0xd68d0372,0xfeb40194,0x92e301af,0xb67f00dc}},	//   _bendithi, _nocentes_, _bilinde_, _voleniti, 
   {{0x53940645,0x720002ec,0xf4a401d2,0xd15c002e}},	//   _često_, _keliya_, _agradoyk, _ispravno, 
   {{0xe2d80053,0xb7b4017d,0xc17f0381,0x00000000}},	//   _toket_, _forsigti, _allisway_, --, 
   {{0xdf30055f,0x59c104b7,0xf9be0169,0xbeb30544}},	//   _tarafınd, _verduide, _স্মৃতির_, _mokulele_, 
   {{0x658900b5,0x6975012a,0xb349040f,0x62250397}},	// [25b0] _refinerí, _bransole, _neretai_, _abekwa_, 
   {{0xaf7100e6,0x14a90436,0x42d801da,0xeb5100c1}},	//   _东方财富网_, _zaobilaz, _kokes_, _gundukan_, 
   {{0xe8150256,0x4f8c02d5,0x32d80044,0x6ec7013d}},	//   _sacensīb, _हक्का_, _jokes_, _kontraŭu, 
   {{0x2394014b,0xc7a7027c,0x6512004c,0x0c610274}},	//   _abesa_, _دفتره_, _abusinso_, _lestrar_, 
   {{0x629000bc,0x3bd20052,0xdb750061,0xf38f01ef}},	//   _semar_, _मनाये_, _시청하려면_, _адпускац, 
   {{0x1e4e0046,0x537b023d,0xf6cc01a3,0x0b41003c}},	//   _тарда_, _sguardo_, _ويھندي_, _آزادیخوا, 
   {{0x650b031c,0x4dee00d0,0x7a050499,0x06b20420}},	//   _recuerdo_, _далангүй_, _fatafait, _бестселе, 
   {{0x427f0288,0x39950094,0x12360079,0x0abc045d}},	//   _mwanin_, _بىلەگىمى, _vinju_, _medjusob, 
   {{0x63b10287,0xff2b00f4,0xa511004f,0x6f440139}},	//   _अभिबृद्ध, _distumma, _menuñoo_, _dvijaśār, 
   {{0x37e7004a,0x6419004a,0x33fa027f,0x4b000192}},	//   _başıñ_, _темасын_, _muruce_, _fabrieke, 
   {{0xa2d8034b,0x4f6c004b,0x2dd900c4,0xdc0b0016}},	//   _poket_, _вышка_, _ٻڪرار_, _vespera_, 
   {{0xcb1f00b0,0xba140024,0x9a51004b,0x42d80472}},	//   _balaaran_, _sambande, _balelloa_, _loker_, 
   {{0xe1b30374,0xc378023d,0x72d903bf,0x1d0002c5}},	//   _ژانری_, _vacanza_, _dientse_, _anotakur, 
   {{0x06d90066,0xacb400ae,0x9c2700ba,0xd2d8009d}},	//   _аравдуга, _akiyuhir, _ئیفلیجی_, _tokes_, 
   {{0x73ea0540,0x1395012a,0x7378023a,0xa27e0092}},	//   _þetta_, _biust_, _sedacia_, _crena_, 
   {{0x65070263,0x328f019c,0x26d3033e,0x83f506b3}},	//   _allemaal_, _adahuns_, _alegará_, _өңүнден_, 
   {{0x52a4017d,0xbf41013b,0xcef1014f,0x69fb023a}},	// [25c0] _広島県広島市中区, _sergipan, _оставио_, _modernéh, 
   {{0xa25a0255,0x6a4100ab,0x82000082,0x23fa0205}},	//   _millal_, _hererapa_, _alhini_, _durust_, 
   {{0xaf7402fe,0x756a0047,0x12f203b9,0xd9ed0107}},	//   _طرفداران, _第三十五条_, _camillu_, _ekstraku, 
   {{0xe9890065,0x6eb60271,0xf98e015c,0xe1a40156}},	//   _parkplat, _innsendt_, _heihinne, _ארעגאן_, 
   {{0x8c380193,0xc55700da,0x12000206,0xfe4b01cc}},	//   _उत्पादक_, _традусэ_, _dedina_, _ayamasyā, 
   {{0xd344013b,0x5e920047,0x1c6101a7,0xd30d039f}},	//   _lucerne_, _contient_, _turussa_, _rebates_, 
   {{0x3eaa0409,0xe23104fc,0xd3ce002e,0x72d8033f}},	//   _この回答内容が不, _primero_, _kakvo_, _fekeli_, 
   {{0x79f20103,0x00000000,0x00000000,0x00000000}},	//   _chiratid, --, --, --, 
   {{0x5eb90307,0x22c90287,0x86bc0004,0xdbfe0016}},	//   _entombin, _sklizeň_, _inoubliy, _balotado_, 
   {{0x9b0c001d,0xafad01b9,0x469f0044,0xa0e7031c}},	//   _jesperse, _dekontro, _coeffici, _olímpico, 
   {{0x531602a7,0x027e0312,0xf39504ec,0x6ece0137}},	//   _fainting_, _krenn_, _arasha_, _тасарсан_, 
   {{0x528e0294,0x4342027b,0xbf5b0461,0xc7c302c7}},	//   _arabyapi_, _शीलपारमि, _almanjan, _reisezei, 
   {{0x92780138,0xd29000d6,0x927e01b9,0x0a66021c}},	//   _okundu_, _folamh_, _drenn_, _gurmánsk, 
   {{0xb9b5021c,0x933d0061,0x06cd022c,0x0a180022}},	//   _neodolat, _스타크래프트_, _baranyai, _iqobella_, 
   {{0x26820051,0xc31c0079,0x3b2d04b2,0x320003ad}},	//   _novembri, _liecina_, _tambayan_, _fedina_, 
   {{0x9cd60094,0x34b7005d,0x97b201b4,0xf3a202ff}},	//   _تاريحىم_, _сухумпри, _volstrui, _monpè_, 
   {{0x528502f7,0x80a803d4,0x00f0002b,0xee0000ba}},	// [25d0] _arakeng_, _доступне_, _সুযোগে_, _بێچوه_, 
   {{0x287502e2,0x32c301b5,0x00000000,0x00000000}},	//   _bounteou, _muhlolo_, --, --, 
   {{0x4bd70013,0x67ab0110,0x00000000,0x00000000}},	//   _билдим_, _austrumi, --, --, 
   {{0x9dad031a,0x5a7e05ed,0x5adf00be,0x3c5200da}},	//   _gainmhea, _kitagira_, _كەزەگىند, _alatura_, 
   {{0x46c90009,0x026c0010,0x9a7e0455,0x00000000}},	//   _strankam_, _iployi_, _scolaris, --, 
   {{0x592c029d,0xf909018b,0x957e04ae,0x70170137}},	//   _конкомит, _сепара_, _конгресн, _тхштх_, 
   {{0xb27e013a,0xecb7021b,0x32f0023b,0xb14a006a}},	//   _frenn_, _границы_, _muliwai_, _eksodosy_, 
   {{0xc27e033d,0xca13027c,0x1f8903d4,0x93eb0122}},	//   _grenn_, _abebenge, _бежали_, _adaté_, 
   {{0x7200005b,0x0a5b0297,0x2d0b0037,0xd2d2013f}},	//   _hajime_, _объектны, _የአትክልትና_, _gidolek_, 
   {{0x9749034f,0x13eb0130,0xaef005db,0x7efb02cf}},	//   _عبداله_, _statud_, _abakudin, _ставови_, 
   {{0x422400a5,0x0235001b,0xd2000055,0x1395021c}},	//   _hunkin_, _boodatti_, _pedina_, _tryska_, 
   {{0x49080296,0x6045033e,0xad0f0515,0xec600488}},	//   _populärt_, _ejararen, _rumorate_, _tartars_, 
   {{0xf27c00b7,0x777002fe,0xa8fb01ac,0xbae800a3}},	//   _гарамалы_, _ebuhlung, _chlaonad, _postopne, 
   {{0xa96e02e4,0x65380312,0x6cf80037,0xde550203}},	//   _ospitant, _seveniñ_, _ከተረጋገጠ_, _detallia, 
   {{0x226d030f,0xb414041f,0x14290690,0x021300d6}},	//   _katoa_, _kungcono_, _tempahan_, _dochar_, 
   {{0xb84e0415,0xc5e40148,0x5291040e,0xff8e0205}},	//   _erstmals_, _屏東市自由路_, _asgaut_, _тарбиячи_, 
   {{0x426d00ea,0x13550273,0x738003e8,0xf20001b9}},	// [25e0] _matoa_, _escenas_, _potrdi_, _redina_, 
   {{0x8230027f,0x735e0144,0x020000bc,0x2a93027e}},	//   _aramira_, _marfach_, _sedina_, _лондону_, 
   {{0x5c0003c9,0xde0e00aa,0x5f20016e,0x4a7e00c2}},	//   _varslet_, _mendelia, _istersen, _zitagira_, 
   {{0x439506b4,0x7f4f01cd,0x4d0d0047,0xe2e60359}},	//   _thuse_, _abasebha, _titulair, _gjinien_, 
   {{0x22d30360,0x79440137,0xb9d9002b,0x8034007f}},	//   _potomek_, _анкараги, _শিশুটির_, _gynefino, 
   {{0x826d000b,0x88460253,0x82000028,0x231000cf}},	//   _aatoa_, _akimorlu, _welina_, _caccabe_, 
   {{0x89770184,0x33b800b9,0xf26f03b1,0x07bf027b}},	//   _cashizwe, _बाजारातू, _épicerie_, _सरसश्लोक, 
   {{0xf8c5017d,0xc34d0663,0x1ea505e6,0x12d80007}},	//   _の検索結果_, _pepepem_, _liedjies_, _bokei_, 
   {{0xc06905d6,0xe249046b,0x09f10397,0xdc6503ee}},	//   _vinparen, _siambr_, _abantula_, _nastupu_, 
   {{0xcd5100de,0x8ed8021b,0x5714028b,0x2355012d}},	//   _ویندوي_, _pariskun, _aserradé, _koperet_, 
   {{0x0c680371,0x38be00d1,0x28fd0071,0xc20000dc}},	//   _annunci_, _গাওঁবোৰ, _bapanipu, _melila_, 
   {{0x507302d7,0x4a160023,0xb49b012c,0x5c3e0264}},	//   _concerto, _отклонен, _افغانين_, _banskã_, 
   {{0x02d50205,0xb051001d,0x91b20017,0xbece01f0}},	//   _بخارست_, _fürstenf, _posezení_, _dibikhon, 
   {{0x1610000f,0xa2a6005a,0x9b2a0350,0x00000000}},	//   _nemlendi, _ngiboy_, _እውቀታቸውን_, --, 
   {{0x27b10040,0xc05a00bc,0x7d0f037c,0x717d02e4}},	//   _preservi, _فرمانیه_, _teutonic, _ikkalkol, 
   {{0x36db0384,0xec6001cf,0xaa940247,0xcae00307}},	//   _srebreni, _bestias_, _روسپی_, _kokuyise, 
   {{0x52e0023b,0xfbfe0434,0xbc1d03f0,0xd27e00ac}},	// [25f0] _nannerl_, _valorado_, _veraldar, _arenu_, 
   {{0x90ed011f,0x83800244,0x00000000,0x00000000}},	//   _колодиаж, _potrei_, --, --, 
   {{0x080a02fe,0x6ecd00f4,0xea0a038e,0xc305023e}},	//   _akuchong, _addilenn, _शिवकालीन_, _سولاخ_, 
   {{0x72b501d1,0xcdbe0495,0x82e3024a,0x8c6805b6}},	//   _march_, _unzanire_, _debosky_, _florbal_, 
   {{0x4b9803f5,0xddc5010f,0x52000275,0x96cd04cf}},	//   _feminino_, _олимов_, _felila_, _engaboni, 
   {{0xb84a02cf,0x137f0068,0x2d91026b,0x1dcf00c5}},	//   _фотки_, _ummadda_, _cantidad_, _在中华人民共和国, 
   {{0xa38603da,0xc5bc01b3,0x480a00a6,0xe8d50026}},	//   _izere_, _пострадя, _ekuchong, _enkelvou, 
   {{0x73370046,0x71fc045c,0x8e58017a,0x7ef1000c}},	//   _климатты, _spokojná_, _ободу_, _астатиа_, 
   {{0x3c1b0031,0x627e01b9,0x399c0156,0x3af903f3}},	//   _pekanbar, _krent_, _בלוטיקע_, _aannemen_, 
   {{0xc2b5018a,0x0c7502c2,0x4d250024,0x4ae60040}},	//   _barch_, _kleuter_, _মাধুৰীমা_, _encrypte, 
   {{0xb55000bb,0x5c260122,0x727f010d,0x00000000}},	//   _وکہانیاں_, _هاليوود_, _arung_, --, 
   {{0x9b550193,0xec05021b,0xed1400d1,0xc23600c1}},	//   _इंद्रधनु, _укладыва, _samlande_, _minji_, 
   {{0xb236024c,0x3f150430,0x15d70361,0xa9b3019e}},	//   _linji_, _tendelan, _криптон_, _андрэевi, 
   {{0x16fd0024,0xd16002f3,0xb8fc0210,0xcd0d042c}},	//   _সাহিত্যক_, _blogginl, _acharind, _rezultir, 
   {{0x5f2105c1,0x5394037c,0xe2260053,0xbf22022c}},	//   _diperken, _abest_, _taukah_, _dibubura, 
   {{0x138603b4,0xee7e0095,0x178500ec,0xe2d906b5}},	//   _azere_, _محسنی_, _kitokią_, _smser_, 
   {{0x66fe0162,0x1a0a0223,0x63950318,0x227d0094}},	// [2600] _болалмай, _garapena_, _fausi_, _садақаны_, 
   {{0xf498018d,0x92d80101,0x749d026b,0xc27e013d}},	//   _ጸሓፉልና_, _vocea_, _বহুতল_, _prenu_, 
   {{0x62b50482,0xaa63004c,0xf27e02a3,0x0ef1004b}},	//   _karci_, _alimusas, _erens_, _исрафил_, 
   {{0x52dd00ee,0xf679014e,0xe6540462,0x12ca0153}},	//   _баталлаа_, _региону_, _anxietyw, _kaldte_, 
   {{0x7ed403eb,0x127e01b4,0x227e034e,0x8300004e}},	//   _inligtin, _grens_, _atinan_, _iglaraw_, 
   {{0x430d0108,0x9379028f,0x00000000,0x00000000}},	//   _didahar_, _paraama_, --, --, 
   {{0x7aa8028e,0x44ec002b,0xdf5d022a,0x8add02c5}},	//   _alexnade, _মুশাফ_, _votaflan, _anotinye, 
   {{0x83ea0005,0x7c760053,0x00000000,0x00000000}},	//   _quitau_, _निम्मी_, --, --, 
   {{0x2316030d,0xb0450192,0x42d5018e,0xb37103f0}},	//   _faizi_, _rabobank_, _kwalamu_, _asnaleg_, 
   {{0xdc570300,0x637f0167,0xe9c701eb,0x69cc019d}},	//   _dostane_, _allanfa_, _мацара_, _khodzoke, 
   {{0xe8370244,0xaf3a0142,0x6fa1024c,0x6225019d}},	//   _уникална_, _परविवेश_, _interzar_, _khakhi_, 
   {{0x5b6d0306,0x976c00e6,0x00000000,0x00000000}},	//   _neumatic, _国务院台湾事务办, --, --, 
   {{0xb2da0402,0xadc103ba,0xf6a600c9,0x6dc30303}},	//   _resepi_, _boritima, _viethiph, _boditsha, 
   {{0xbd270076,0x638602e8,0x3d7e01db,0x9a440282}},	//   _знаци_, _uzere_, _اتاۋىنا_, _paremata_, 
   {{0xc85d009a,0xc9d80675,0xb9fe0277,0xad7c026f}},	//   _akalishu, _recebime, _katarant, _كۇنمەنەن_, 
   {{0xa27f0534,0xc27e0249,0xf3110045,0xfe52011f}},	//   _trung_, _brens_, _ljubinu_, _imbaraka, 
   {{0x62910230,0x1e440028,0xb27f0107,0x032000bd}},	// [2610] _aswafe_, _waramaya, _urung_, _culyes_, 
   {{0x7f30004a,0x59e40040,0xb95f0090,0x085f0090}},	//   _tarafınn, _חניכיים_, _anondire, _anondiru, 
   {{0x49aa02b2,0xcc5e02d4,0xd99a0160,0x00000000}},	//   _голих_, _mastral_, _sruši_, --, 
   {{0x31fc05b1,0xd21300cd,0x8a700235,0x72b101c8}},	//   _spokojný_, _locher_, _पत्नीं_, _chodila_, 
   {{0x525a0074,0xe2c90037,0xa2ca05d1,0xb20001df}},	//   _muille_, _የጥራትና_, _kaldet_, _duiin_, 
   {{0x23010229,0x68c402b4,0x7a070184,0x9d28021e}},	//   _babayev_, _banemand, _bitaraza_, _blandade_, 
   {{0xdc1b003c,0xcd140037,0x5b6700d9,0xd8fe005c}},	//   _mekarsar, _በአሸባሪነት_, _газете_, _batarand, 
   {{0xb3f40258,0x6c230298,0x53eb0025,0x7f390109}},	//   _gatten_, _horonuku_, _asatsu_, _बानियाँ_, 
   {{0xf3ce002e,0x45200172,0x01220314,0x202f0127}},	//   _kakva_, _akosombo_, _шешҡолаҡ_, _erbedado, 
   {{0x4ddf041b,0x72640362,0x91780019,0x037f01ed}},	//   _mankacha, _bakokani_, _бурмалан, _oikaika_, 
   {{0x1153003d,0xceaf0258,0x7163021b,0xf3790309}},	//   _micrófon, _baltyske_, _логина_, _yaranma_, 
   {{0x5ad70066,0xa29004f2,0x98fc0099,0x2a17048f}},	//   _partekat, _vodanh_, _achapind, _bombanga_, 
   {{0xb6190144,0x2964000c,0x1b2002cd,0x880a0390}},	//   _chreidim_, _latosole, _halascin_, _elsevər_, 
   {{0x5e47020a,0x92a101f7,0x194800d9,0x83050160}},	//   _جىلتا_, _agendà_, _normaale, _zalazak_, 
   {{0x7a05008c,0xa3f900a2,0x02ca0284,0x49f303a4}},	//   _cumainza_, _shauku_, _fandí_, _fornerma_, 
   {{0x2b7a01b7,0xe47b0046,0xe2020219,0x00000000}},	//   _संस्कृते, _سزدەردئن_, _iyakuvum, --, 
   {{0x6c660155,0xe6d20023,0xd7170041,0x36100017}},	// [2620] _vettigt_, _безупреч, _мышқәак_, _učiliště_, 
   {{0xc2000068,0x62e90129,0xa2000092,0x00000000}},	//   _weliba_, _chaiken_, _delica_, --, 
   {{0x92900051,0xccc1034e,0x44d6004b,0x1394005b}},	//   _nemaz_, _artikuiu_, _зарурлығ, _daisen_, 
   {{0xa8fe0663,0x9c1c0024,0x4c520272,0xd36f025e}},	//   _mbrantsɛ_, _কন্ঠদান_, _anatera_, _gangast_, 
   {{0x760302eb,0x0ead002e,0x9a180113,0x33fa01b8}},	//   _мобиком_, _navođenj, _clubanna_, _turule_, 
   {{0xb39401a7,0x437d004f,0x7e0f0092,0xc2120039}},	//   _naisen_, _boqaale_, _accessup, _leiho_, 
   {{0xc89e03bf,0xa6e30300,0x7c350529,0x03a80013}},	//   _командаһ, _podvodní, _igraonic, _махаллас, 
   {{0x105702bf,0x830d04df,0x00000000,0x00000000}},	//   _bangakho, _bahadyr_, --, --, 
   {{0xa74a0040,0x63f40155,0x73950051,0x1fe8007e}},	//   _חדשנית_, _ratten_, _kausu_, _विशारदः_, 
   {{0x3b8b00a4,0x3b670368,0x849000d1,0x49f300b4}},	//   _اماندىعى, _далеке_, _এখেতে_, _inaintea_, 
   {{0x43160544,0xa25a00d6,0x8a140039,0x73950274}},	//   _ahaza_, _buille_, _gorabehe, _laust_, 
   {{0x515c009b,0x73d70045,0x89ca00be,0x0f2e027f}},	//   _ууган_, _митровиц, _جۉربۅڭ_, _kurubaga, 
   {{0xccaf026c,0x578700be,0x9395055b,0x683e00c7}},	//   _收購存摺存簿是違, _جاشايىن_, _naust_, _бишкә_, 
   {{0x2b43029f,0x12d804bf,0xb5160242,0x529002fb}},	//   _futbalis, _poceo_, _mourinyo_, _nanamu_, 
   {{0xcc7504bb,0x72e60334,0x302e0038,0xa67f0085}},	//   _puasyog_, _adanama_, _каһвә_, _silesiti, 
   {{0x41fd021c,0xe98403f6,0xfc670195,0x92cb00ac}},	//   _kapacity_, _kapikala_, _cultair_, _sladak_, 
   {{0x2fcd0354,0xc292013f,0xf15000bf,0x926e0369}},	// [2630] _бағдадта_, _merañ_, _изложенн, _kopoko_, 
   {{0xd27e00cd,0x7a0b0058,0x952d0170,0xc26b0126}},	//   _quent_, _paravert, _chingath, _доброзич, 
   {{0x58680037,0x7a7d023e,0x1b0a03ae,0x65950025}},	//   _ቆርኔሌዎስ_, _badanira_, _innsamle, _धर्मचारि, 
   {{0x99a5015e,0xbc6e065a,0x7f0e0047,0xc9d601de}},	//   _алмаша_, _amaroma_, _bouchons_, _жанрдың_, 
   {{0x827d02aa,0x631602b4,0x08c606b6,0xcbc202c4}},	//   _materiál, _chaza_, _navegand, _авион_, 
   {{0x665003ce,0x6f34047b,0xb27e0100,0x476e01bd}},	//   _میانڕه_, _einligur_, _kreni_, _ولەڭدەرد, 
   {{0x339501f6,0xe2ca000b,0x5995009a,0x1db200e6}},	//   _haust_, _isilami_, _asahlala_, _其中的数据不会丢, 
   {{0x62ca0226,0x90bf0461,0x8bb600bb,0xce520061}},	//   _alaliki_, _agricòla, _عُکاشہ_, _플레이어가_, 
   {{0x8c000168,0x92900133,0x7c1a024f,0xb0e50012}},	//   _suksess_, _banamu_, _wabosucu_, _रिहीसे_, 
   {{0x67dc03b8,0x00000000,0x00000000,0x00000000}},	//   _тараулар_, --, --, --, 
   {{0x53e304ca,0x126d01fe,0xe6a40603,0xf653019d}},	//   _apprenti_, _semineri_, _अनुपलब्ध_, _machinji, 
   {{0x9f50002c,0x24b60255,0x576e0235,0x1324027e}},	//   _англи_, _कुंडी_, _गुप्तम्_, _турског_, 
   {{0x4fa8018d,0xe37f02c3,0xf2cb0308,0x72f9005b}},	//   _ብቐጥታዊ_, _volania_, _ovulasi_, _chihoda_, 
   {{0x9a68018d,0x5ef30444,0x62e60258,0x9c1c017c}},	//   _ዕልማናዊ_, _уличного_, _feinten_, _anfallar, 
   {{0xbfed0016,0x3fb101a4,0x6a68018d,0x61b30029}},	//   _כסליו_, _pasteurs_, _ዕልመናዊ_, _داخرا_, 
   {{0xe3940292,0x02d6033e,0xe98f04ad,0x426e0259}},	//   _ebesi_, _имаац_, _leakanye, _fotovv_, 
   {{0x4ad0000c,0xe6c70294,0x65710062,0x44c903ac}},	// [2640] _ахлор_, _ascaridi, _dirwijmo_, _percayak, 
   {{0x977b0037,0x37a601e6,0x0d98046b,0xb2e601d9}},	//   _ወንድሙን_, _rezervov, _imaginet_, _keinten_, 
   {{0x4c6900c9,0x406502f6,0x1dc900a7,0x878c0157}},	//   _vietkey_, _makabago, _саудияны, _विचारकों_, 
   {{0x92d804ef,0xc13a0371,0x26b600bc,0x628402f4}},	//   _doces_, _самоличн, _هاروارد_, _rechazo_, 
   {{0xb04301f0,0x2e470035,0x8dba00d8,0xf8bc0143}},	//   _bohutsan, _analarnı, _autament_, _преминат_, 
   {{0x8dea0040,0x177606a1,0x83f402df,0xaf2a03f2}},	//   _serviced_, _traktorv, _hattan_, _заплатил, 
   {{0x9c5a03ef,0xb3f40418,0x19fb058f,0x00000000}},	//   _agatabi_, _kattan_, _arrastre, --, 
   {{0xa290028a,0xe27f01e5,0x3c35002b,0x0f5e03b5}},	//   _sanamu_, _itunu_, _টিনটিন_, _sasarann, 
   {{0x5df501eb,0xd3f40155,0x4ec7013d,0x730f02be}},	//   _añekaram, _mattan_, _kontraŭs, _humanap_, 
   {{0xbf200203,0xab4d0161,0x1a4b0061,0x2e6004b9}},	//   _accepten, _топливны, _디모데전서_, _laichest_, 
   {{0x47ad01d1,0xac2800c4,0xfb70037f,0x3557017a}},	//   _extensiv, _شيڊنگ_, _tehranda_, _аралов_, 
   {{0xa51f0388,0xf9bb008d,0xe2fd0148,0x5dc800de}},	//   _giardino_, _muddatga_, _maximis_, _دغزنی_, 
   {{0x62e30212,0x98da00b0,0x49a80292,0x5ae80206}},	//   _undique_, _galgaduu, _yɛkenkan_, _dostupne, 
   {{0x4c720269,0x6cb40622,0x027e013d,0x9eaf00da}},	//   _viernes_, _akayuhir, _preni_, _exprimat_, 
   {{0x7b04046d,0x72d801df,0xa47e02af,0x2201018d}},	//   _matshaya_, _hokey_, _baherako_, _gabime_, 
   {{0xb00a0052,0xd30100ff,0x90fa020e,0x00000000}},	//   _यांत्रिक_, _barakti_, _itsherel, --, 
   {{0x627f000b,0xb5f90022,0x33f40033,0x529e0076}},	// [2650] _atunu_, _микрозай, _dattan_, _џихад_, 
   {{0x296601ac,0x853e010d,0x733f0287,0x451d004d}},	//   _chorsaic_, _resikony, _अञ्चलमा_, _租稅法律主義_, 
   {{0x7cef0212,0x9e460392,0x2b610011,0x82d80233}},	//   _dnowshac, _banachda, _abireeta_, _docer_, 
   {{0xf3f403ba,0xe51a0192,0x539401c2,0x37e503a2}},	//   _gattin_, _모르겠지만_, _amosar_, _जलभराव_, 
   {{0xf3ac00ac,0x4887006c,0xd3fa023e,0x632a06a0}},	//   _ukupna_, _набард_, _buruhe_, _maghatag_, 
   {{0x7c0705d7,0x95750177,0x1b810120,0x61890126}},	//   _soussou_, _ақәыҕәҕә, _mokookoc, _командою_, 
   {{0xe3940495,0xa3f400c9,0x82120415,0xd3ac0009}},	//   _icese_, _battin_, _reihe_, _skupna_, 
   {{0x5c9d0169,0xf4b30138,0x00000000,0x00000000}},	//   _চিন্তাভা, _notları_, --, --, 
   {{0xc7ae01f6,0x8d86025f,0x7300000e,0xc3f401c0}},	//   _মিহলি_, _elimbola, _macabri_, _dattin_, 
   {{0x3f3b0307,0x82be02d6,0x8619003e,0x81290089}},	//   _bangawen, _фотогалл, _антипов_, _garmoniä_, 
   {{0x336302fe,0xc7aa0206,0x794f0037,0xa1d10381}},	//   _کوندوليز, _zastreli, _ያጠዋልላል_, _arvedcay_, 
   {{0x5a050036,0x9b0b0455,0xb9880350,0x00000000}},	//   _matamait, _consomme, _የሰሞኑን_, --, 
   {{0x227e04d0,0x89c300bc,0xb3950066,0xf9840096}},	//   _buenx_, _داربی_, _ogasun_, _arazindu, 
   {{0x430100a1,0x1ed701ab,0xc2d80097,0x65ac0013}},	//   _karaiti_, _भेंटाई_, _dikee_, _mingbosh, 
   {{0x585f0113,0x589f0088,0x620106b7,0x73490222}},	//   _acariens_, _спортчул, _bazize_, _chiffre_, 
   {{0xcd2d0200,0xf379008a,0x9a580062,0xe2da0452}},	//   _megidere_, _pelasio_, _muweghha_, _resesi_, 
   {{0x73c80037,0xdaa10193,0x60e901fc,0x77da02ac}},	// [2660] _ከመነሻው_, _दृष्ट्या_, _diraarak_, _فعندما_, 
   {{0x6892026c,0x2ba801cc,0x6f1e00e6,0x42d802fb}},	//   _臺北市政府捷運工, _anekapar, _家企业上黑榜_, _sekeli_, 
   {{0x7a1e001b,0xf3010028,0xdb900173,0x03160408}},	//   _arabiyaa_, _carbeed_, _transacc, _anazy_, 
   {{0x31fc045c,0xa4be053c,0x326e044a,0xb1990395}},	//   _spokojní_, _martiño_, _bopono_, _kabelové_, 
   {{0xad9102e7,0x768a008d,0x85bc006c,0x7a2800a6}},	//   _kantidad_, _birdamli, _angamlah, _elichane, 
   {{0xdec70261,0xb9160179,0x118c067c,0xe46701d5}},	//   _kontraŭl, _belotädö, _newberry_, _سیٹنگز_, 
   {{0xd201037a,0xf66700c7,0x430500f6,0x00000000}},	//   _yazize_, _чистарту, _natamam_, --, 
   {{0x23c700c5,0x62b20073,0xf2a0005f,0xb3400026}},	//   _产品尤其在无溶剂, _credera_, _koubei_, _schepen_, 
   {{0x620201c5,0x397d01b7,0x3add0039,0xa3aa00fe}},	//   _wariye_, _antareṇā, _gasteize, _itavake_, 
   {{0x4def0163,0xb2b500cc,0x8d0a0003,0x8c5402f6}},	//   _اجتماعات_, _landene_, _geslacht_, _wastong_, 
   {{0x3aa10025,0x8a6d003f,0xc640019f,0xa2900125}},	//   _दृष्ट्वा_, _chollahb, _serikali, _allahy_, 
   {{0x021302e1,0xee0b002f,0xb2b4011d,0x0c7403ec}},	//   _sochar_, _ayudanma, _cancan_, _komunes_, 
   {{0x3d0a03c6,0x75dd0105,0xaed000ba,0x82de030d}},	//   _beslacht_, _कालाहांड, _ناوێرم_, _belində_, 
   {{0x348702a5,0x983802eb,0x86b9018d,0x2225003a}},	//   _उपशाखा_, _эсгий_, _በብጊዜኡ_, _shakli_, 
   {{0xbb0a0274,0x2ec7013d,0x43790005,0xe95a0350}},	//   _vinsamle, _kontraŭa, _attacha_, _ያለመኖር_, 
   {{0x23870049,0xec5a00ac,0xb20102bf,0x266c0064}},	//   _arerei_, _pratiti_, _babike_, _корейлер, 
   {{0x320e01e1,0xdf660091,0x1f4802bd,0x02a60371}},	// [2670] _тамам_, _qulaanun, _pensiyna, _регулира_, 
   {{0x4c5a03d8,0x8f6a00cb,0x5d270343,0x29ed03ef}},	//   _vratiti_, _ababelan, _aninipot_, _ashimira_, 
   {{0xb26200d8,0x408b0092,0x4371012a,0xeee0057a}},	//   _mesurabl, _お絵かきしりとり_, _trafił_, _векло_, 
   {{0x3237032d,0x839503b4,0x856e00df,0x127f04e6}},	//   _приставт, _hausi_, _autorisé, _krung_, 
   {{0x42300357,0xb3950211,0x7e450294,0x1177015d}},	//   _dramica_, _kausi_, _baratpip, _जस्सी_, 
   {{0xa3fa01d1,0xe3c801b9,0xf2b40054,0x197f01bb}},	//   _forums_, _ckuver_, _wancan_, _indikile, 
   {{0x83160328,0xf21206b8,0xee500222,0x79cd033e}},	//   _ahaze_, _meiha_, _descente_, _nopermit, 
   {{0xc2d902e2,0x7d900211,0x9e9e00a7,0x5ad90076}},	//   _nosed_, _везде_, _таала_, _намирниц, 
   {{0x614b0092,0x60e900c7,0x5935006c,0x7ff601b3}},	//   _の的中馬券_, _башлаяча, _akumphat, _дистриб_, 
   {{0xbd4b0120,0xb0c10059,0xf27f0108,0xf3eb0020}},	//   _ammakkaq, _основен_, _irung_, _luatau_, 
   {{0xbbef01be,0x8c1400ca,0x65780046,0x520202a3}},	//   _pardubic, _existiss, _ишмерлер, _harige_, 
   {{0x3f5d0400,0xa1f9035e,0x12ca0077,0x927f0446}},	//   _risponde_, _vanzemal, _gendwa_, _kruno_, 
   {{0x765e0184,0x72020003,0x932201f7,0x520101b9}},	//   _abokwiki, _jarige_, _nascuts_, _mazine_, 
   {{0x7e2c00af,0x22880060,0x32130052,0xa86c00b7}},	//   _влади_, _айтар_, _nichž_, _составыд, 
   {{0x327f04c4,0xb27c045e,0x82d8064d,0x52d90187}},	//   _juuni_, _играя_, _kekehi_, _recebi_, 
   {{0xd27f0241,0x1b60012b,0xe25a00c5,0x53790282}},	//   _duuni_, _burmistr, _grille_, _netania_, 
   {{0x79810130,0x6c77023c,0xce100349,0x00000000}},	// [2680] _bolitike, _amisele_, _eakerssp, --, 
   {{0xc07900b7,0xb571019d,0x152e0092,0x9b2000a6}},	//   _биринжид, _akatuluk, _プレジデント長崎, _aliphile, 
   {{0x36b700fd,0xa2000449,0x955a01b3,0x140300e5}},	//   _chlaisti, _jelima_, _самооцін, _limitaçã, 
   {{0x10cd0247,0x7e9002ea,0x65c800c4,0x0629020f}},	//   _ردصلاحیت_, _trattare_, _kukatish, _elingayi, 
   {{0xc68101c1,0x5e830532,0x3d54023c,0xf2360181}},	//   _एवढाच_, _spavanje_, _ورنژدې_, _danji_, 
   {{0xc395002a,0xd96e00b2,0xab1500a4,0xa65300da}},	//   _ebuso_, _amanamee, _campanye, _тоталэ_, 
   {{0x8372019a,0xc32b0012,0x339403a4,0xf2730102}},	//   _sheared_, _गमकउवा_, _innset_, _kienyeji_, 
   {{0xf9d401d3,0xcac803a2,0x253c03f8,0xf716003c}},	//   _östersun, _बेतरतीब_, _dichelch, _پانویس_, 
   {{0xdb1f0177,0xf3ff030b,0xa3210015,0xbf600153}},	//   _амҩаду_, _akozeko_, _ilayhi_, _は父の日です_, 
   {{0x791d0273,0xb200038b,0x16d801e9,0xce510206}},	//   _economía_, _kelima_, _diegisiw, _atrakcie_, 
   {{0x3c290386,0x79bf00ea,0x0b840015,0xc64c0097}},	//   _pembayar, _fanevate, _maandoor, _pilatinọ, 
   {{0x9d130096,0x863c0333,0x66d302c4,0xd0fa0314}},	//   _aburanir, _ancillai, _поплави_, _itshirel, 
   {{0x64c30265,0xb394005b,0x516a039e,0x00000000}},	//   _misbruik, _daison_, _bloggpul, --, 
   {{0xac7301d9,0x32020612,0x1413023e,0xc2c80037}},	//   _kierper_, _varige_, _هايده_, _በወልድና_, 
   {{0x2cfb02d8,0x52900158,0x9302037f,0xf37202c2}},	//   _प्रमाणे_, _polacy_, _qarayev_, _mamagud_, 
   {{0x6e4601b9,0x6b7401af,0xe97006b9,0x8f01020f}},	//   _dinamize_, _улашып_, _acuicult, _دخوشي_, 
   {{0x85ad004d,0x720e006c,0x0ede02ba,0xeeb702c8}},	// [2690] _值得注意的是_, _чаман_, _ҷилди_, _consonte_, 
   {{0x5f2700c5,0x720003ad,0xea8f038c,0xda4400dc}},	//   _经营许可证编号_, _medika_, _priznaje, _haserota_, 
   {{0xaf2a037b,0x20220359,0xc2120282,0xca020019}},	//   _pastilla, _needsaak_, _reihi_, _relaxada_, 
   {{0xcea8022f,0xa2d902a0,0xbeaa0060,0xfa34002b}},	//   _анатоля_, _kosee_, _سىزىقتى_, _জাজিরা_, 
   {{0xe27f004e,0x50fa04ad,0xcb060359,0x8b7900ec}},	//   _atanan_, _atshirel, _ditsoart, _medinių_, 
   {{0xbbb8019b,0x095702cf,0xe04000f3,0xfb61033e}},	//   _сейфах_, _прочисту, _emvuzwen, _florcita_, 
   {{0x2fe300bc,0x269d0405,0x843e0405,0xd14c021b}},	//   _کارتن_, _преси_, _сауни_, _molemmil, 
   {{0xc39505db,0x8c66015e,0x00000000,0x00000000}},	//   _ubuso_, _карытып_, --, --, 
   {{0x662b033e,0x1200007f,0x10e10125,0x00000000}},	//   _аморалтә_, _graig_, _якасы_, --, 
   {{0x865c00e4,0x4a5b00e2,0xa366014e,0xf27e0318}},	//   _vidyalay, _dramatys, _zasedanj, _oseni_, 
   {{0x8c6a0242,0x221c0234,0x73eb01c8,0x61e00541}},	//   _sonuncu_, _akuhan_, _mletá_, _žandarme, 
   {{0xd1cf00c3,0x74d3026c,0x7f63038e,0x22d90117}},	//   _檢視引用通告_, _目前顯示第_, _kumpulka, _kosem_, 
   {{0x34ac049f,0x19080155,0x8625012b,0xeea000ac}},	//   _kuzakwak, _populära_, _porozumi, _pokušati_, 
   {{0x225b029a,0xf2d902e7,0x5f5b00f6,0x2a390213}},	//   _realis_, _ulser_, _silahlan, _бердан_, 
   {{0x11d70177,0x22020216,0x6d0e0127,0x00000000}},	//   _агроаага, _hetisa_, _gomunour, --, 
   {{0xcce40212,0x87dd0040,0xb3c401bb,0x420101c2}},	//   _traveloc, _גינדי_, _aýyplaw_, _ducias_, 
   {{0xe00804c7,0xa2010640,0x1a090344,0x42490227}},	// [26a0] _рукописн, _razine_, _allanart, _khamar_, 
   {{0xaa090209,0x3eb803c1,0xbe9c01d1,0x92d9012d}},	//   _allagart, _владетел, _promotin, _sosel_, 
   {{0x62d90465,0xa20102f9,0xbe3304d7,0x1fb60040}},	//   _posel_, _dazile_, _boogiema, _מיוזיק_, 
   {{0xf6a80037,0x82500255,0x927f0241,0x49500421}},	//   _የሚይዘው_, _देखेके_, _duunu_, _schleude, 
   {{0xf2e802ef,0x83f80130,0x3dc101f2,0x72000005}},	//   _dokiman_, _dihun_, _ириңиз_, _duain_, 
   {{0xb25b0333,0xa90500d1,0x43800220,0x42d6001d}},	//   _francesi_, _বুদ্ধিদী, _potrai_, _collets_, 
   {{0x989a01bd,0x936c0132,0xe2d90172,0x580601b7}},	//   _мамандан, _tengeri_, _wosem_, _bhāsate_, 
   {{0xb9fa056d,0x332000bc,0xe20200fe,0x8200031a}},	//   _قزاقستان_, _palyer_, _setita_, _araid_, 
   {{0xb202015e,0xac1d0013,0xb236035e,0x63010333}},	//   _petita_, _tovarlar, _danju_, _baratti_, 
   {{0xc27e003e,0x0c4e01a3,0x2200029a,0x7e4800d9}},	//   _tsena_, _تمدني_, _delika_, _уголовно, 
   {{0x783000c3,0xdf1c0381,0x43ea0255,0xfc5d0220}},	//   _fermentu, _annualwa, _maitse_, _listino_, 
   {{0xe3ea043a,0xc26c010b,0x96ba0013,0x196d0067}},	//   _saitot_, _diholo_, _катнашчи, _geenyett, 
   {{0xdb4c00e0,0xd2d50054,0x00000000,0x00000000}},	//   _keamerfr, _hotonta_, --, --, 
   {{0x8e5a0162,0x1c990037,0xe8c601f6,0x538600f2}},	//   _дилдарли, _የአባቱን_, _innehald, _ģirts_, 
   {{0xd82903a2,0x8b7f0328,0x2236019c,0xaaba00d3}},	//   _सिअंगापु, _biturika_, _kanju_, _ukrajině_, 
   {{0x7d2101dd,0x6a110129,0x30d500c1,0xc916041a}},	//   _bakomeje_, _edebanye, _आपलमराठी, _судимост, 
   {{0x8ae1002f,0x23ea02d5,0x93f905d5,0xb76501ef}},	// [26b0] _chiliman_, _kaitse_, _popul_, _pasibaig, 
   {{0xc2490445,0x19d702c2,0xcb8a002c,0x00000000}},	//   _chamar_, _kwetsend, _тохож_, --, 
   {{0xa2d90163,0x63400223,0xee020108,0xe7cc02a4}},	//   _sosem_, _honekin_, _kabenera, _temporum_, 
   {{0x72d9015e,0xa2e302ac,0x6f0f00e6,0xeac40040}},	//   _posem_, _scornach_, _街拍明星睡姿看谁, _הנחשקים_, 
   {{0x2e9200bd,0x34e90125,0x0dc0003a,0x1c540040}},	//   _ointment_, _таквалыг, _kiritila, _fasting_, 
   {{0xc15104c7,0xb4a001ac,0xa9c104e5,0x985f004d}},	//   _струк_, _domnaill_, _balemere, _中央直接一次次撥, 
   {{0x330700d6,0x22d50087,0x00000000,0x00000000}},	//   _كوردستان_, _kwalomu_, --, --, 
   {{0x1386064d,0xed21005c,0xab850229,0x3407033e}},	//   _ezera_, _yakomeje_, _yalançı_, _ираклии_, 
   {{0x93ea020b,0xa6840152,0x425a0259,0xeccc016f}},	//   _baitse_, _күчмә_, _negle_, _наведені_, 
   {{0x5798013e,0x83ac0157,0x00000000,0x00000000}},	//   _mladenov, _skupia_, --, --, 
   {{0xcf74038e,0xd66b02c3,0xc6a100c9,0x13750099}},	//   _प्रकाशचि, _žurnál_, _baotheth, _aitungam, 
   {{0xe200041e,0xc62801c5,0x825000f5,0xb86a056e}},	//   _vraie_, _بولبوشا_, _девам_, _unanimid, 
   {{0x8c73046f,0x1e2e018d,0x4fa3022f,0xb61301c8}},	//   _bierger_, _ስለዝኰነ_, _корзун_, _postaral_, 
   {{0x283e032d,0xb4530053,0x62000144,0x9696027e}},	//   _киске_, _स्वयंचलि, _araib_, _povereni, 
   {{0xc2b40576,0xd34502bd,0xf4130060,0x720100ae}},	//   _pancen_, _gardiau_, _باندى_, _kazibe_, 
   {{0x299201cb,0xf04c025b,0xc25a02ec,0x7b97016d}},	//   _ngokobut, _amerikon, _olole_, _сайлими_, 
   {{0x23940281,0x3e830079,0x3866009a,0x406001ab}},	// [26c0] _tonsit_, _aktivizē, _akwisivu, _कैइसन_, 
   {{0xdab703bf,0xa0730092,0xc888018d,0xe2b501f6}},	//   _baikakas, _内閣総理大臣_, _ዘረጋገጽዎ_, _sandane_, 
   {{0x1742010d,0xa413014e,0x006100cb,0x62020362}},	//   _perorang, _поредак_, _akusemin, _farize_, 
   {{0x627f0233,0x6e1b02c2,0x79b104c8,0x70880177}},	//   _trunc_, _geselska, _bużżieqa_, _паспортқ, 
   {{0x741d01b2,0xc42205f2,0xbc5c025c,0xbd6200c5}},	//   _scission_, _rematado_, _drittel_, _symboliq, 
   {{0x707403d1,0x9c730359,0x29340090,0xd071032d}},	//   _komentār, _fierder_, _anomutsa_, _ынтылыус, 
   {{0x026c02f6,0x53950256,0xfbe1025c,0xa2ca0020}},	//   _lalong_, _kauss_, _inserier, _isalami_, 
   {{0x33010051,0x8200007b,0xc03b016f,0xf6e10178}},	//   _parasti_, _craib_, _абонента, _सूतपुत्र_, 
   {{0x98ed017d,0x30530040,0xc14901f0,0x563d0321}},	//   _よくあるご質問_, _הנתבע_, _borraaro, _socialni, 
   {{0xa2d803cf,0xca6d0303,0x527b03e2,0x93780057}},	//   _anket_, _bipolots, _eclesiás, _pelamin_, 
   {{0x9345033c,0x7b1c0375,0x32d903f3,0xd01a0024}},	//   _cardiau_, _akupanga_, _ineens_, _সন্দৰ্ভত_, 
   {{0xa2340148,0x026c04e5,0x08760334,0x5b5e0078}},	//   _carmine_, _ajooga_, _atangomu, _крсне_, 
   {{0xc2d80039,0xcdbb0125,0x9202005b,0x4b03006a}},	//   _mikel_, _bashtuta, _betipa_, _hampiova_, 
   {{0xd9d90030,0xc8350590,0x3dd802ba,0xb3bb0107}},	//   _dienesta_, _музейн_, _туркзабо, _فسفات_, 
   {{0xe48b061d,0x9e7d0147,0x6e6902ac,0xc3180022}},	//   _аталған_, _اتىبىزدى, _ويأتي_, _колхозсы_, 
   {{0x8bd501f6,0x7bd20065,0x1f740235,0xb39500f2}},	//   _soldatar, _wundersc, _प्रकाशयि, _paust_, 
   {{0x01860021,0x52d801c7,0xed7300d0,0xaa72005e}},	// [26d0] _unlawful, _tiken_, _конвенц_, _گەپكەن_, 
   {{0xec7f010e,0x48390037,0xcae8065d,0x5b420267}},	//   _mahusay_, _ባላውቅም_, _sjarmere, _isporuču, 
   {{0x11660047,0xbdab0257,0xc26c00c0,0x29aa0204}},	//   _第三十八条_, _kynninga, _halong_, _болит_, 
   {{0xa395019d,0xbdf1016d,0x626c00ad,0x674e018d}},	//   _abusa_, _ﻣﻪﺭﻛﯩﺰﻯ_, _balong_, _ብማዕርነት_, 
   {{0x22260200,0xf25b0437,0x9f520148,0x948700c7}},	//   _ebukwa_, _jubler_, _monachus_, _баглый_, 
   {{0xf5330286,0x03f80032,0x995c0450,0x00000000}},	//   _omanpany, _hihub_, _sydspoar_, --, 
   {{0x75230026,0x62ec03ec,0xf8c303b5,0x7b880176}},	//   _선택하세요_, _veriore_, _diseluru, _butikker, 
   {{0xea20000c,0x66a000bb,0x06ed0188,0x320200a0}},	//   _agaguápe_, _الہامی_, _задухӯрд_, _dariye_, 
   {{0x1533001f,0x5a1100be,0x52ff0381,0x7ba90594}},	//   _amanpany, _اجوسۇن_, _aturenay_, _merkevar, 
   {{0x3c1605bd,0x869402c9,0x00000000,0x00000000}},	//   _forurens, _bineveni, --, --, 
   {{0x5c190139,0x748e00d1,0x726e00d7,0xdc9301b8}},	//   _atirahas, _কালান্তৰ, _diposo_, _थ्रोन_, 
   {{0x406704fd,0x8a7e02c1,0x53160293,0x4a8901b9}},	//   _आईओसी_, _batagira_, _abiza_, _relizyon_, 
   {{0xbdd100c5,0x52b401d7,0xc2e40390,0x790f0050}},	//   _山东省人民政府门, _mancan_, _müellif_, _asmaramu, 
   {{0x58940022,0x42480197,0x907a0178,0x9b67003c}},	//   _спайс_, _chimer_, _avaśiṣya, _delengan_, 
   {{0x539402c9,0xc3960212,0xe8e1000e,0xa0c60040}},	//   _acest_, _mersal_, _acusativ, _השטויות_, 
   {{0xf3560056,0x9308002b,0xe2be02e2,0xdc610008}},	//   _abafisa_, _তথ্যাদি_, _bardoil_, _bestiar_, 
   {{0xc5c6054e,0x4287020f,0x03db002e,0x2fd30156}},	// [26e0] _hanayauh, _قفقاز_, _preuzeti_, _פראזע_, 
   {{0x02e90207,0x0a2402fe,0x8db20455,0x09ff014a}},	//   _kupitia_, _ليتوانيا_, _remarque_, _objektív_, 
   {{0xd75a0094,0x603e0051,0x9fd7004b,0xd9e6023c}},	//   _بالالارد, _girgenso, _танаулы_, _bawuland, 
   {{0xd34101f6,0x6c600066,0x1b4701bd,0x22d8009f}},	//   _verdiar_, _laburra_, _قاتستى_, _cikel_, 
   {{0x69cd0073,0xbc8701ca,0x8b6701ec,0x90f50092}},	//   _attendit, _daleghpu_, _celengan_, _藤本えみりのム_, 
   {{0x0c5503dd,0xf6c700ba,0xa35b021e,0xd42b0156}},	//   _amatore_, _بێوچان_, _framsteg_, _bagatelo_, 
   {{0xa3f8018f,0x61a10162,0x25220244,0x2c40005c}},	//   _bihub_, _بەرىكەت_, _classico_, _abaporos, 
   {{0xa5bd0074,0xf2d804b9,0xcb5e045e,0x2bef00d1}},	//   _построен, _pokey_, _броня_, _কেন্দ্ৰল, 
   {{0xe900021e,0x3d0501b7,0x46300130,0x5f110187}},	//   _koppling, _asurendr, _bersonel_, _ибраими_, 
   {{0x787305e3,0x2eb400c3,0x33c00145,0x93ea0211}},	//   _प्रकारको_, _dicentes_, _kambaryj, _laitat_, 
   {{0x1c0900f2,0x52d800dd,0x34e200d1,0x84ba01f4}},	//   _izbaudīt_, _biced_, _জাভাৰ_, _ғазнасин, 
   {{0x92020507,0xd20003ea,0xc93e0040,0x9fca0291}},	//   _ketiga_, _etait_, _מוסלמים_, _حريملاء_, 
   {{0xa2d900ad,0x42b400bd,0x13cb0004,0x7b300061}},	//   _bosen_, _dancin_, _dezakò_, _모두보기를_, 
   {{0x46950126,0x7291030b,0x810600ba,0x80f00009}},	//   _суворо_, _ataasa_, _نگلادیش_, _delavnik_, 
   {{0xc7c9047b,0x97ad009b,0x423003f0,0xfdae033e}},	//   _bjørgini_, _besteeki, _ferjan_, _omonamba, 
   {{0xe20e0398,0xaa050387,0xf5d70013,0xf4ac044a}},	//   _жаман_, _satalait, _турадига, _babangak, 
   {{0xa2000142,0xb2320090,0xcf3000c7,0x226c003a}},	// [26f0] _rohini_, _ishmael_, _bazasınd, _avlod_, 
   {{0xfa9402af,0xaed303d1,0x26970024,0x36e801db}},	//   _abanonos, _nomierin, _মানুহো_, _таластыр, 
   {{0x0e1b0360,0xd22901b4,0xd2d9024f,0x98c60161}},	//   _skupině_, _glimlag_, _peceli_, _экзамено, 
   {{0x025a006e,0x3b190211,0xd64b0350,0xc9f9023e}},	//   _boole_, _espanjan_, _በጭብጨባ_, _dijambre, 
   {{0x5200054f,0x82770590,0x36870527,0xc380009e}},	//   _ntais_, _батмөнх_, _kladioni, _entrei_, 
   {{0x908c008d,0xae960060,0xc37903f6,0x84460060}},	//   _шартнома_, _ءىشىپ_, _karaima_, _تارقان_, 
   {{0x526e02c1,0x12fd009c,0xb2b502ef,0xec620191}},	//   _siporo_, _achasiri_, _randone_, _sparade_, 
   {{0x22020245,0x94a401db,0x6a020066,0x93d702a5}},	//   _narine_, _ءبىرقاتا, _zabaltze, _वातावरणी, 
   {{0x50920060,0x1a080439,0x8f6502cb,0x814600ff}},	//   _мініңіз_, _cristinu, _rasplaka, _עבֿירה_, 
   {{0x89b90066,0xb37400a4,0xfc430369,0x12d50321}},	//   _өсвөрийн_, _oposició_, _kāwili_, _podoben_, 
   {{0x623600bd,0x92a70402,0x8909017f,0x62fd003c}},	//   _kanji_, _kaabah_, _allappoq_, _aragog_, 
   {{0xf6d40433,0x32b6007b,0xf3eb0120,0x7d5a045b}},	//   _lombardi, _cordage_, _gaatat_, _морем_, 
   {{0x3e570053,0x1394015b,0x4f9d0196,0xf69d0510}},	//   _मार्गशीर, _paisin_, _chimango, _прусс_, 
   {{0x92d901f1,0x083e02c4,0x27e802c3,0xf2fe0110}},	//   _qosen_, _мирка_, _rybarstv, _iztikas_, 
   {{0x0ed70265,0x35fc0434,0xa2020222,0x03f40203}},	//   _eveneens_, _excepció, _farine_, _torter_, 
   {{0x77dd0156,0xc27f00ff,0xb3ff0102,0x53070304}},	//   _בינדט_, _aganto_, _hatutaki_, _bilalah_, 
   {{0x35f6033e,0x7d4b0036,0xcabb01f7,0xc3dc019a}},	// [2700] _artesaní, _فرحانة_, _showalte, _chowin_, 
   {{0x037f0275,0x4cd702ac,0x12bb0275,0xcede019a}},	//   _silafia_, _زعلان_, _keleise_, _fashoius_, 
   {{0x3dbe024f,0x9336023c,0x9162036d,0x4a48017f}},	//   _faranise_, _سکاټلینډ_, _cairstio, _agnethip_, 
   {{0xf25a01c9,0xe77a026f,0xbebb01b7,0x52120339}},	//   _poole_, _ادۋاكاتت, _नामधेयं_, _heaha_, 
   {{0x77a6052c,0x821203f6,0xdc0c03c4,0x7af601dd}},	//   _زدانپه_, _keaha_, _сәрдарли, _amashere, 
   {{0x32850230,0xf18a0183,0x9df50198,0xab200316}},	//   _kraking_, _ainakely_, _vrednote_, _halalcin_, 
   {{0x32d90611,0xb3950074,0xd43001ff,0x1618020f}},	//   _ilser_, _vaasan_, _percento_, _اوټپیان_, 
   {{0x62530020,0xcd2904f8,0xd27f024a,0x02000144}},	//   _aumeamam, _claimant_, _irunu_, _graif_, 
   {{0xb2240397,0x1c6e001f,0xce490151,0x032700a4}},	//   _umika_, _mmarima_, _forbeara, _iniciat_, 
   {{0xf27f0100,0xb7c700c5,0xda4b0092,0x9e70010f}},	//   _krunu_, _记者了解到_, _独立行政法人_, _генералӣ_, 
   {{0xf12d0040,0x4429035b,0x90e90198,0x00000000}},	//   _שיאצו_, _nadaljno_, _portorož, --, 
   {{0x33940318,0xd291004f,0x344a0086,0x8394010b}},	//   _apisia_, _ataaya_, _حرکتوں_, _bonshe_, 
   {{0x63640556,0x934f0120,0x41ed019e,0x44d00029}},	//   _ngegama_, _esserak_, _маладога_, _تیۆرییه_, 
   {{0xee8d00c7,0xdab200b5,0x329101eb,0xe20004b3}},	//   _маршы_, _aseverat, _kavaju_, _draig_, 
   {{0x225a001e,0x192401db,0xeec8041e,0xa320030d}},	//   _aloli_, _дербісәл, _arcipien, _dilarə_, 
   {{0x59e30040,0x32da012c,0xe39501d4,0x74070308}},	//   _שנגרם_, _leseni_, _abusu_, _dilibatk, 
   {{0xddb30262,0x49ea0116,0x24da0205,0xcafc03ae}},	// [2710] _muhammet_, _forfoche, _ҳолни_, _kursdelt, 
   {{0xd0eb00bc,0xbeab03bd,0x038c027d,0x3f2a0196}},	//   _اعتباری_, _makonten, _формирањ, _amatiama, 
   {{0xe25b012f,0x9c77012e,0x04da0205,0x43940347}},	//   _kralle_, _soproni_, _голни_, _einste_, 
   {{0x64490066,0x827f004d,0x53940225,0xe4c30205}},	//   _британий, _erunt_, _finste_, _бўритош_, 
   {{0xb3010499,0xab190383,0xe1fd0251,0x0999018d}},	//   _fetalai_, _paparkan_, _ixtiraam, _ተተርጒሙ_, 
   {{0x1c610225,0xcab800f2,0x727c0137,0x00000000}},	//   _baruora_, _konvenkt, _хорьдуга, --, 
   {{0xb2da029a,0x00000000,0x00000000,0x00000000}},	//   _deseni_, --, --, --, 
   {{0xe319012c,0x89c200f9,0x2ba50023,0x1976004e}},	//   _خيرات_, _bategere, _угадай_, _hilisgut, 
   {{0x72f3029d,0xabfe00ff,0xf20c0040,0xebf6005e}},	//   _лучеферь_, _צוגאָב_, _אאוטלנדר_, _ﮬﻪﻳﺮﺍﻥ_, 
   {{0x0316020f,0x9ff803b8,0xec0103ae,0xe4720291}},	//   _abazo_, _سورتاڭ_, _passert_, _وموظفات_, 
   {{0x79d90338,0xb594003a,0x02d9010b,0x817d00dc}},	//   _privilèg, _infratuz, _boset_, _gataifal, 
   {{0xf2d90046,0x020200b4,0xa3450188,0x52bb0111}},	//   _poseu_, _marime_, _уқёнуси_, _ardette_, 
   {{0x92da0196,0x270b03b8,0x0bd901b8,0x2f1f06ba}},	//   _beseni_, _رەسپۋبلي, _सम्राटः_, _kameraen, 
   {{0x629d0540,0xa5a701e6,0x586a0184,0x598e00cb}},	//   _búast_, _akustick, _imwibaru, _басич_, 
   {{0x52000044,0x325a0544,0x204d031a,0xa3cf0204}},	//   _train_, _hoola_, _dhrumain, _rasva_, 
   {{0xaf28032f,0x62fe00e1,0x33760388,0x7f12017f}},	//   _devolver_, _dougal_, _trasform, _uuttorta, 
   {{0x2dac0092,0xe3ea02a7,0xf545004a,0xa17500e7}},	// [2720] _ドラッグストア_, _iyited_, _avtorlık_, _alenttay_, 
   {{0xcb7b0227,0x825a0120,0x5f1e0192,0x5b420267}},	//   _pungutan_, _moola_, _mondelin, _isporuče, 
   {{0x3db300ff,0x725a0028,0x60e00246,0xfa0202af}},	//   _מנוחת_, _loola_, _гнева_, _karanega_, 
   {{0x93f002e0,0x221c003f,0x17be0107,0x0ee60145}},	//   _atlegang_, _deshos_, _اسکانیا_, _veiksmus_, 
   {{0x520000bd,0x8638014f,0xc31c0044,0x0b660073}},	//   _frail_, _направље, _lincoln_, _maculara_, 
   {{0x07770040,0xeb030045,0xc1ce0039,0xee770222}},	//   _מתאמן_, _доведен_, _роботехн, _salarié_, 
   {{0xd52b01a7,0x74790003,0x8b3a00d1,0x5baa00e6}},	//   _kenenkää, _redelijk, _উজ্জীৱিত_, _杭州市国税系统工, 
   {{0x2c030013,0xc25a00b6,0x54990037,0x725b0466}},	//   _فرانسواف, _boola_, _የጠፋውን_, _žalbi_, 
   {{0x522400ea,0xa7a6001d,0xe4360092,0x24e3002b}},	//   _amiko_, _currenti, _セックスフレンド_, _জাসাস_, 
   {{0x6e6300c5,0xf2d902f6,0x3a5c020f,0x00000000}},	//   _北京青年报_, _boses_, _atyelela_, --, 
   {{0x02d900be,0x7b6605fb,0x1142018d,0x72ef01ff}},	//   _coses_, _racunara_, _kontribo, _ojazdené_, 
   {{0x939503e7,0x927f00ee,0x025a008b,0xc35b01c2}},	//   _jayson_, _isuna_, _foola_, _reigosa_, 
   {{0x8cbe022e,0x9224005b,0x1b2001c0,0x53e80370}},	//   _paradisu_, _emiko_, _halaccin_, _digadéke, 
   {{0x3e5c053e,0xf5a00352,0x5d2f0377,0x2395042c}},	//   _etablert_, _মিহলাই_, _schimbat_, _opasna_, 
   {{0x929404c9,0xc9f40024,0x9ee50488,0x01df023b}},	//   _potosí_, _borgarle, _notikums_, _rehoboam, 
   {{0x34a80010,0xddb9004a,0x5386042d,0xdd390244}},	//   _bebangek, _артистны, _drery_, _officine_, 
   {{0xab870334,0x5c610291,0x2a050089,0x72d90594}},	// [2730] _malicher, _uwtrend_, _музейда_, _koser_, 
   {{0xe25f0374,0x23f00288,0x21d90374,0xdfba01bf}},	//   _mustaqil, _hetzung_, _норбеков_, _kollisjo, 
   {{0x0eb602a9,0xb162006e,0x2f6403f3,0x2bee027e}},	//   _валюты_, _baasdedo, _plaatsin, _жаром_, 
   {{0x99a80057,0xaa15007a,0xd9830059,0x02d8023e}},	//   _የሚውለው_, _hambanya_, _модерно_, _ancen_, 
   {{0x9c670513,0x0cc1009b,0xb8ba022b,0x00000000}},	//   _cakunha_, _айлган_, _herdeild, --, 
   {{0xdaed043b,0xf9e00239,0x225b0108,0x54fb00da}},	//   _fhòlais_, _nikorima_, _dialus_, _permisul_, 
   {{0xe20005c9,0x13a300c0,0x562700ba,0x2ef7000d}},	//   _nraim_, _umupo_, _لازاده_, _klikates_, 
   {{0x43fa0528,0xc46a0231,0x00000000,0x00000000}},	//   _doruis_, _condicio_, --, --, 
   {{0x13f900ac,0x432a0149,0xe98e032d,0xb20000db}},	//   _poput_, _akpụkpọ_, _радик_, _priit_, 
   {{0xe2020275,0xb3940044,0x830e002a,0xd2d90040}},	//   _marist_, _closer_, _ngabiga_, _poses_, 
   {{0x42ee017e,0x1201007b,0x52c3041e,0x61d103b7}},	//   _plenumi_, _buyin_, _collabo_, _airedhay_, 
   {{0xe21300bc,0x07400471,0xb2bb01a2,0xef2604a4}},	//   _argham_, _kekosong, _enerģēti, _buntanna, 
   {{0x5d3201e8,0xc639003a,0xbf960125,0x1d8101eb}},	//   _coenzyme_, _англаб_, _berdiler_, _cotegipe_, 
   {{0x48470013,0x55b00654,0x8c6704c9,0x0356003c}},	//   _жасади_, _lenganny, _higtaas_, _نپذیرفت_, 
   {{0xa6b7045b,0x1a5f05f1,0xccec0040,0x5255021b}},	//   _категорі, _imperuka_, _להיקרע_, _lopettam, 
   {{0x586e02fe,0x9291046a,0x3bf50092,0x5e9600a3}},	//   _akwicand, _pagats_, _コレで話題中_, _agatunet_, 
   {{0x7a0900f3,0xbf0704ca,0xc20201b5,0x00000000}},	// [2740] _indawana_, _aracnids_, _letiya_, --, 
   {{0x2200036d,0xb567020e,0x8cf20425,0xd3fa02fb}},	//   _braim_, _мираҫын_, _هایمه_, _sepuni_, 
   {{0x73e00230,0x737b03f8,0x8ce701f2,0x9c170219}},	//   _distribi_, _daradmo_, _әхмәқлиқ_, _ilearner, 
   {{0x220001d8,0x71c501b0,0x0df000c4,0x083e0137}},	//   _jemino_, _panonpoé_, _مهاڀارت_, _циркт_, 
   {{0xef9e0036,0xe6630153,0x57670213,0x19c400e6}},	//   _لحقوق_, _つの案内セクショ, _халкъан_, _市环境监察支队_, 
   {{0x42000150,0xe37c0076,0xd7b5050a,0xc25a003f}},	//   _traim_, _aguarde_, _hissetti, _koolg_, 
   {{0x12d80269,0x568c0257,0x39eb004d,0x00000000}},	//   _dicen_, _handteki, _perficie, --, 
   {{0x4ed301cf,0x42d90064,0xb2910191,0x3202025e}},	//   _juniores_, _josep_, _dagars_, _barist_, 
   {{0x52cb03e5,0xce0e0246,0x73eb0189,0xd2b300b5}},	//   _diplomi_, _perfetta, _saatte_, _enkantáv, 
   {{0x3c86018d,0xadd7008b,0x3eea0262,0xf03f0333}},	//   _ብኣድማዕነት_, _dekkiwaa, _җайларын, _addurmen, 
   {{0x8a0f0497,0xb83b026f,0x92b40156,0x00000000}},	//   _embattle, _تەقنيكال, _procio_, --, 
   {{0x6b390037,0xcf730101,0x42e7022c,0x03a20400}},	//   _ትዕይንት_, _concuren, _adinoto_, _propiu_, 
   {{0xf59c00f1,0xc3e90009,0x4c6d03ee,0x0f500305}},	//   _progresy, _postopki_, _kadrova_, _hjørnest, 
   {{0x0038012a,0x0b330361,0x964c0164,0x00000000}},	//   _pojemnik_, _вовзар_, _ساتامدۇق_, --, 
   {{0xfbb5020b,0x362803d5,0xfb5e0021,0xff960418}},	//   _bokhutlo_, _albinoti, _anklinfr, _verdiler_, 
   {{0x1c6303e0,0x23210568,0xa3c8018d,0x12cc0183}},	//   _paquito_, _stryn_, _ወልደስላሴ_, _alalako_, 
   {{0x337f00b2,0xe2d8018b,0xe2f1033a,0xe99005b7}},	// [2750] _bahataa_, _incet_, _impiegi_, _prikupit, 
   {{0x75560286,0x03010225,0xeb630347,0x02000150}},	//   _abasobɔd, _marakei_, _taalgebr, _praim_, 
   {{0xc29106bb,0x634200c8,0x83050036,0x1b77034e}},	//   _teuas_, _boneril_, _خولات_, _cristota_, 
   {{0xb2db0284,0xf04f003a,0x8a61003c,0x1c660167}},	//   _turnaje_, _hukumatn, _زیررده_, _fastiau_, 
   {{0xa9df0162,0xda070058,0x57ba00b4,0x42d8014a}},	//   _جەڭدە_, _malafaya_, _scormoni, _miket_, 
   {{0x820006bc,0x32d801c6,0xd8590126,0x120000a1}},	//   _fuaim_, _liket_, _протисто, _hihiri_, 
   {{0x13030396,0xc14b00b4,0x00000000,0x00000000}},	//   _relatat_, _comenzil, --, --, 
   {{0x901e01f2,0xcded01d2,0x14040290,0xe2a60184}},	//   _خەقكە_, _atijsuma, _abundonz, _ibibwa_, 
   {{0x920006bc,0x93080243,0x89410083,0x460d055a}},	//   _craic_, _antafaq_, _schlatte, _triglicé, 
   {{0xcf2a032e,0x59610088,0x62d80084,0xe776004d}},	//   _imatjama, _recomane, _ancet_, _並不意味著讚同其, 
   {{0x37300031,0x230003f6,0x22d60288,0x0aa40354}},	//   _berlangg, _halawai_, _totowen_, _феодалли, 
   {{0x92da0368,0x822603d5,0x314702d3,0x530004bd}},	//   _meseci_, _forked_, _навика_, _kalawai_, 
   {{0x025a06bd,0x53160199,0xb2d80155,0x00000000}},	//   _znanosti_, _haizz_, _diket_, --, 
   {{0x0fbe00cf,0x32ba046b,0xee460015,0x12960259}},	//   _binnenso, _ceredig_, _cajalada, _conkatu_, 
   {{0xf98b0635,0xac6700a9,0xa3f401cc,0x358e0075}},	//   _штрафу_, _hakurya_, _aputro_, _hentleik, 
   {{0x03ac00f6,0xe69400c5,0x32130062,0x8cc60527}},	//   _mövlud_, _inventai, _lughim_, _navijaju_, 
   {{0xcfe300bc,0xdeb902c2,0x1c890131,0xfebf0061}},	// [2760] _مالتي_, _situasie_, _folclóri, _공개되었습니다_, 
   {{0xa1850556,0x73820473,0x75a90294,0x9d7800f8}},	//   _isibonel, _prozess_, _fiestank, _বড়িশুর_, 
   {{0x129002a2,0x02020145,0x4c6b0488,0x57c500c7}},	//   _kamag_, _ketina_, _plaušu_, _актуальл, 
   {{0xd20000a1,0xd31602fa,0xc307001e,0xe138004d}},	//   _iraia_, _abizi_, _balagah_, _關鍵字搜尋_, 
   {{0x88f2026f,0xd3360193,0x3f6601b3,0x246901a3}},	//   _ءمۇبادا_, _स्वस्तात_, _частки_, _وونئڻن_, 
   {{0xcc850114,0x325a006e,0x5af4017f,0x5a220046}},	//   _רואים_, _doole_, _anisitse, _afectade, 
   {{0xab1e0148,0x5a4d00ba,0xc4ec0167,0xb2020008}},	//   _蔣家三代接班亡_, _ساڵۆنێکی_, _dramodwy, _obrint_, 
   {{0x75c001c5,0xc3f80223,0x018d00c5,0x32070282}},	//   _پشیمان_, _moduan_, _应在授权范围内使, _kihikihi_, 
   {{0x22020418,0x1c5302e4,0x24dd0037,0x00000000}},	//   _tarihe_, _battala_, _እንኖራለን_, --, 
   {{0xd6c804b2,0xc05301a3,0xae0101cc,0x97b40350}},	//   _sinasabi, _واٽسن_, _cetasaḥ_, _ለመዘከር_, 
   {{0x725a06be,0xbb80052c,0xb0b302ac,0xaf340211}},	//   _hoole_, _ئیمزای_, _محششين_, _karsinta, 
   {{0xd2cb024a,0x929004a4,0x99420301,0xa25a000d}},	//   _aguleri_, _camag_, _matəm_, _koole_, 
   {{0x7eb4001d,0xea0006bf,0x2a8900bc,0x1c3504ca}},	//   _cavernes_, _लक्ष्मीब, _محرکه_, _faraonic, 
   {{0x47850542,0x69fc008a,0xcdb20060,0x438602d5}},	//   _सुपरमार्, _faaauupe, _بەتتەگى_, _koerad_, 
   {{0x638f0163,0xeff501df,0x82d80527,0x2f330241}},	//   _rengeteg_, _balkanco, _licem_, _bulummaa, 
   {{0xcb050035,0xaf26017d,0x42d80122,0x27190435}},	//   _албасты_, _forlader_, _ancer_, _темпом_, 
   {{0x4618018d,0xb3320235,0xf0c200ea,0x90fc01f2}},	// [2770] _ደጋጊሞም_, _abbahī_, _analakel, _лаяқәтси, 
   {{0xf22401c5,0x2316020d,0xa1eb018d,0x2db9002b}},	//   _imika_, _ubizi_, _ዝደለኻዮ_, _শব্দটির_, 
   {{0x7a9900d7,0x0a9903e7,0xe3a30476,0x627201f7}},	//   _amahants, _amihanan_, _amupa_, _bònur_, 
   {{0x18f900c8,0x57c702ba,0x3436018d,0x020c0447}},	//   _призерҙа, _калиди_, _መንግስትታት_, _asayiwal, 
   {{0xb26404bb,0xa3f00022,0x626c018e,0x7395015a}},	//   _haulwm_, _atlehang_, _ekhoto_, _baasan_, 
   {{0x32900362,0x53520055,0x72cb0541,0x4e5b00ba}},	//   _atiaka_, _trasferì_, _uradim_, _یاڵڕۆیشت, 
   {{0x731b06c0,0x220200a5,0xeae103bf,0x2d9b0022}},	//   _názor_, _letioa_, _foselits, _күлтабан_, 
   {{0xe290028d,0xa7c90244,0x53930059,0xa26c0320}},	//   _kamad_, _linguagg, _военна_, _ikhoto_, 
   {{0xec1f01da,0x823e00d0,0x3c1b0096,0x1da60051}},	//   _perandor, _томмонго, _bajandar, _mantību_, 
   {{0xd54805f1,0xa2e800ad,0x62df0222,0x11c50152}},	//   _nyakubah, _mikiran_, _ménage_, _атаганна, 
   {{0x6b1100bc,0x1a7201a7,0x7224005b,0x78490207}},	//   _آمريکا_, _акций_, _amika_, _اڊوبي_, 
   {{0xa04d02c4,0x32e80278,0x4d7501b7,0x5b400668}},	//   _врати_, _fikiran_, _आवाहयामि_, _धनाढ्य_, 
   {{0xde7302a5,0xff22017f,0xa8a5005e,0x3b150333}},	//   _सशक्त_, _takuneqa, _ﭘﯘﺗﺒﻮﻝ_, _pausania_, 
   {{0x42000445,0x0310014a,0xab970326,0x00000000}},	//   _praia_, _zsuzsa_, _esangano_, --, 
   {{0x78c70255,0x5c690212,0x12ca011f,0x10c70126}},	//   _सोनपुर_, _noordam_, _gondra_, _паркету_, 
   {{0x5b700005,0x59f20094,0x142102a0,0x00000000}},	//   _collavur, _مولايۋىن, _témbélú_, --, 
   {{0x629001fc,0x2f2a0170,0x71ca0127,0x9abd005b}},	// [2780] _camad_, _amathama, _amourouz_, _axnjapan_, 
   {{0x32c80044,0x271300bb,0x226f01db,0xfda80499}},	//   _resolve_, _چھیڑا_, _جەتپەتىن_, _tofutofu_, 
   {{0xf66300c5,0x039c022b,0x16220381,0x06950246}},	//   _煤炭经营资格审查, _skapandi_, _attlistw, _чуколов_, 
   {{0x729002f6,0xc3a401cd,0xc34d03d4,0x02d80255}},	//   _tamad_, _аҳорун_, _kiselom_, _pikem_, 
   {{0x60210066,0x3c350541,0x42bb02c2,0x0c2c0121}},	//   _galderak_, _saradnic, _rakende_, _adaptars, 
   {{0x02a70082,0x9b4203ee,0x66470060,0x13950089}},	//   _dubban_, _isporuči, _بۇرالىق_, _apaska_, 
   {{0x0200002c,0xd20200b4,0xd30000a5,0xd0580218}},	//   _orain_, _scrise_, _talavai_, _avigatio, 
   {{0x2b080092,0x7a0b0362,0x275401f6,0xafb20144}},	//   _プロバイダ_, _babatela_, _planprog, _تدهور_, 
   {{0x72880314,0xc59400aa,0x274d00e3,0xfc730020}},	//   _уйлап_, _dineseny, _fariżej_, _vaisala_, 
   {{0x33870115,0x026d046f,0x678f02e5,0x00000000}},	//   _tuaran_, _gefoor_, _oentrevi, --, 
   {{0xc403041a,0xffb5008f,0x6d120101,0x58b100c4}},	//   _бюджету_, _postitus_, _ingrijir, _ڪريڊٽ_, 
   {{0x42000033,0x4f8f012a,0x65e90620,0x22d80247}},	//   _crain_, _studniów, _一九七九年_, _dikek_, 
   {{0xda7f02b7,0xd3950117,0x92f000dc,0x33880272}},	//   _demondas, _paasin_, _mulimai_, _beesigam, 
   {{0xab2102d4,0x16b90057,0xc9e00320,0xadae014e}},	//   _semplame, _persefah, _fikisiwa_, _уредници_, 
   {{0x5ad50166,0xd35602d4,0x14830105,0x8a75021e}},	//   _österrei, _basegns_, _reputacj, _billigas, 
   {{0x42920300,0x3a170589,0x0412027e,0x0d840304}},	//   _dotazy_, _kosačka_, _звони_, _coverset_, 
   {{0xd2ca02b7,0xd95e048f,0xcb6003d7,0x50090371}},	// [2790] _sondra_, _ebongise, _telefonn_, _перката_, 
   {{0x22000392,0x43220230,0xc2cb0065,0xa32102f3}},	//   _arain_, _matyer_, _nieder_, _juryn_, 
   {{0x5c5103a0,0x47b401db,0x00000000,0x00000000}},	//   _bontsha_, _мылтық_, --, --, 
   {{0x5321007f,0x00000000,0x00000000,0x00000000}},	//   _euryn_, --, --, --, 
   {{0xcd33011f,0x705302a1,0xf2ca0297,0xb2910195}},	//   _amandaje_, _burgeroo, _fondqa_, _sguab_, 
   {{0xdc1901b8,0xb2ef0184,0xe68200d3,0x3ea303e8}},	//   _sportlas, _hapfa_, _प्रतिभाह, _umetnine_, 
   {{0x4cf5008b,0x00000000,0x00000000,0x00000000}},	//   _kattanug_, --, --, --, 
   {{0x12910467,0x61290041,0x91bb0037,0x29c70060}},	//   _kraata_, _еиҿнакаа, _በእንጦጦ_, _патшалық, 
   {{0xa2fc013d,0xb202001d,0xc9640053,0x00000000}},	//   _longaj_, _petida_, _dipopule, --, 
   {{0x5c3204ec,0xa50f0373,0xd21203d9,0xbc550008}},	//   _arabarir, _tertremo_, _afaho_, _яланган_, 
   {{0x9c14003a,0xa22400ff,0xccd90130,0x00ea01e8}},	//   _دورنگ_, _קאַסעס_, _sloveneg_, _chandeil, 
   {{0xf39502fb,0xb97600a6,0x17ea0218,0xb2ef04d8}},	//   _apasia_, _alungele, _airportw, _culimaa_, 
   {{0x454e014e,0x9d1f005d,0x00000000,0x00000000}},	//   _битно_, _апедогог, --, --, 
   {{0x379d0343,0xe32103fc,0x0f6a0297,0x00000000}},	//   _browserw, _ombygd_, _ciñgä_, --, 
   {{0xbe53003b,0x8290003f,0xf2d8007f,0x40cb0219}},	//   _abochwep, _bidach_, _cloeon_, _ebhodlel, 
   {{0xfb620168,0xa9e3014e,0x7e950226,0x1a7d0290}},	//   _publiser, _пожара_, _akumugan, _acladira_, 
   {{0x8406048e,0xf7400349,0xe6130092,0x3394015b}},	// [27a0] _balflano_, _annoying, _現在の観光エリア_, _tingitng_, 
   {{0xf4e000af,0xa3170033,0x7e81027b,0x9e190311}},	//   _ретельно_, _grezia_, _प्रकुप्य, _ተመላሊሱ_, 
   {{0x721d0162,0x47530065,0x639401c4,0x00000000}},	//   _قازانغان_, _krankeng, _winste_, --, 
   {{0xa2ce0089,0xdb0c0405,0x7a6c0272,0x14ee012e}},	//   _премиясе_, _luksusme, _anyoomeb, _اسپنرز_, 
   {{0xe225032e,0xd15c034c,0xa4a800a4,0x6200012d}},	//   _chakaw_, _сусап_, _urbanitz, _orait_, 
   {{0xa2d90117,0x237c054a,0x488301fc,0x59cf00dc}},	//   _ensel_, _lobanje_, _tankuttu, _pelofeta_, 
   {{0xf22301d5,0xeee60172,0xd290006a,0x127d033e}},	//   _غداری_, _swahilin, _kilasy_, _уамаганы_, 
   {{0xe25a008f,0x1a0903ce,0x701b02ac,0xbdc70076}},	//   _kooli_, _تتابی_, _تأسست_, _чеченија_, 
   {{0x93030402,0xe2d90166,0xbf900072,0x253e0654}},	//   _gelagat_, _insel_, _tumpañap, _sosialny, 
   {{0x22fe04b9,0x443a0092,0x21dc0156,0x52970059}},	//   _strives_, _神戸ルミナリエ_, _ולתורתו_, _concetti_, 
   {{0x106c0135,0xaf1d00d0,0xd2020456,0x1c6800a1}},	//   _китаплар_, _sustatza, _tetiba_, _takuahi_, 
   {{0xc2000288,0x3a1e0361,0x32de013c,0x8e730280}},	//   _erait_, _диких_, _dedikdə_, _सशर्त_, 
   {{0x5303001a,0x9b84030b,0xa300057f,0x16c2027b}},	//   _feladat_, _abanyoro_, _atubang_, _asurebhy, 
   {{0xbd9c01b5,0x322400db,0x69dc0478,0xbda901d9}},	//   _huwelele_, _imiku_, _calendie, _jidderén_, 
   {{0x9c0800ee,0xed2702a9,0x738700ee,0xe6ed0654}},	//   _antolatu_, _бронзы_, _uraren_, _tercermi, 
   {{0x4f17040e,0x97db0165,0x96dd034e,0x00000000}},	//   _kommunar_, _komaisav, _bumbatam_, --, 
   {{0xf24a0092,0x29520026,0xd25a017c,0x398302ea}},	// [27b0] _エンディング曲_, _publicee, _coola_, _колбаси_, 
   {{0xcef90173,0xfcbe01cd,0x707200aa,0x1212030f}},	//   _পশ্চিমবঙ, _далер_, _kamaluho, _ngiha_, 
   {{0x8e4602af,0xf2f1023e,0xd86d0326,0x296d0103}},	//   _barabaga, _ampingi_, _hatingad, _hatingat, 
   {{0xf7be0013,0x098c007d,0xd9e80088,0xc6c30013}},	//   _آسمانی_, _ayahanda_, _avinguda_, _бастакор_, 
   {{0x7fd500b3,0xf12d01cd,0x4d3705ed,0x03860239}},	//   _куранда_, _хасту_, _bafitiye_, _epere_, 
   {{0x02910650,0x772800af,0xe2a704f2,0x72d903e5}},	//   _jawaab_, _продукті, _thebox_, _lised_, 
   {{0xdc1e0046,0xb2d90338,0xe25a04c4,0xe2130115}},	//   _бюджетин, _ensem_, _soola_, _mudhar_, 
   {{0xb25a02d5,0x65ce00b3,0xa3f40076,0x7ea90086}},	//   _poola_, _abrayyny, _cortar_, _grafikus_, 
   {{0x930700c5,0x6d2502eb,0x9298033d,0x1224017d}},	//   _全国外语翻译证书, _сувгаар_, _byenfè_, _amako_, 
   {{0x39cf0003,0xa25a00e9,0x33aa03c2,0xa2e30067}},	//   _selectee, _dogla_, _straying_, _hamilee_, 
   {{0x59f10422,0xb2a602a5,0xff0f0187,0x52ca02ef}},	//   _premožen, _osobě_, _облеката_, _fondwa_, 
   {{0xc20003ea,0x321202af,0x2c1b00bc,0x16e302e5}},	//   _frais_, _agiha_, _kekaisar, _атауарқә, 
   {{0x13400189,0xa3790251,0x32e900a2,0x00000000}},	//   _annemin_, _fasalka_, _kupigia_, --, 
   {{0xc20202d4,0xac010160,0x22ba0347,0x57f301f2}},	//   _retica_, _četrdese, _herenig_, _тексасти, 
   {{0x89b102dc,0x62e80082,0x6bf00258,0xb23b00d7}},	//   _pendente, _ashirin_, _kettingb, _benefiti_, 
   {{0xf3dc0206,0x3392027b,0x00000000,0x00000000}},	//   _kreditov_, _प्रभवन्त, --, --, 
   {{0xcbd2017d,0xadaa0072,0x00000000,0x00000000}},	// [27c0] _シャルブックマ_, _yuriwisa, --, --, 
   {{0x36a10083,0x74d60060,0x93340486,0xfbff0085}},	//   _comunich, _باركول_, _jakkoliv_, _vatusaus, 
   {{0x157000c4,0x72d90172,0xe25a00f3,0xd20202d9}},	//   _اشتهار_, _ansem_, _alolu_, _nopiai_, 
   {{0xb30e03da,0xa30102fb,0x7e360235,0x3ebe04e3}},	//   _agabiga_, _fetakai_, _aprasava, _razumije_, 
   {{0x42d800a5,0x23860234,0xf255002b,0x42230244}},	//   _maketi_, _ariran_, _তাণ্ডব_, _чувствам_, 
   {{0xea47013b,0x8a7c004d,0xe1760349,0x01e400c5}},	//   _brodnica_, _你可以這樣做_, _aganalay_, _intitulé_, 
   {{0x41eb0462,0xa9010013,0xb29000ab,0x72000291}},	//   _esignday_, _kelajakd, _eriapa_, _arais_, 
   {{0xa2000450,0x82000260,0x7e5500b4,0xa4b60153}},	//   _priis_, _brais_, _eliberea, _ラベル基材_, 
   {{0xdf4e02d3,0x72000249,0xbfad03a0,0x1d0d00d1}},	//   _полициск, _prait_, _dinomoro, _ক্ষিপ্ৰ_, 
   {{0xe5cb0162,0x8c660167,0xece10302,0x00000000}},	//   _истратег, _mastiau_, _маҷҳул_, --, 
   {{0xc2ba06a6,0x42da0110,0xeb0a0364,0x9a0a01d1}},	//   _umndeni_, _paredz_, _entstane, _inspired, 
   {{0xa2000005,0x5c73001d,0x767b0559,0x320000c0}},	//   _trais_, _monstra_, _abakholw, _kaliwa_, 
   {{0x1f000410,0x7369002a,0xb2000207,0xb9d100e0}},	//   _etšensi_, _anataghị_, _urais_, _begeunst, 
   {{0xb63d0088,0x60330053,0x1f1e0352,0x2232025b}},	//   _ايىتماتو, _अहाहा_, _inndelin, _hermenn_, 
   {{0xc07d0361,0x923b0020,0xd2d80170,0x00000000}},	//   _кассы_, _penefiti_, _faketi_, --, 
   {{0x999103df,0xa7450159,0x63670291,0xa5890158}},	//   _leikange, _алкагалі, _أذربيجان_, _ministró, 
   {{0x0d3500ec,0xb1af0071,0x42d900c5,0x4883023b}},	// [27d0] _славяне_, _سوزوکی_, _posez_, _kanilehu, 
   {{0x8868032d,0xbeaf029a,0x4697002b,0xcbbb00f7}},	//   _тарттыры, _mekontan, _মানুষও_, _bandaĉo_, 
   {{0xc87f0179,0x39510279,0x00000000,0x00000000}},	//   _badinilu, _dessiner_, --, --, 
   {{0x817705c5,0x3290021b,0xceb7003c,0x540800f4}},	//   _प्रतिरोध_, _samaa_, _فروتن_, _lebreton_, 
   {{0x92900037,0x08020244,0x93870210,0xa345032d}},	//   _laman_, _parchegg, _afarao_, _bopetse_, 
   {{0x40cc000c,0x4c910185,0x3aeb01da,0xe78400ff}},	//   _абольшев, _африканы, _anulimin_, _טאבעלע_, 
   {{0x02d8018b,0xc6e3023a,0x76b20021,0x1e030322}},	//   _liceu_, _prevodní, _astenerf, _barebera, 
   {{0xd2f10400,0x6e4f054c,0xf9c50014,0x00000000}},	//   _apristi_, _reparert_, _realizua_, --, 
   {{0x8a930366,0x4290012c,0x622f005a,0xf98e0444}},	//   _создан_, _tamaa_, _chavnabl, _садик_, 
   {{0x0202041e,0x3d8200e3,0xb18102bb,0x5f2d0095}},	//   _scrive_, _འཁྱོང_, _osobisty_, _manungga, 
   {{0x72900107,0x5fb7015a,0x524b003e,0x00000000}},	//   _jaman_, _biiliyoo, _korosari_, --, 
   {{0x12900119,0xac6f0138,0x555701ef,0xe12d0187}},	//   _daman_, _ederken_, _дружны_, _напредок_, 
   {{0x12d50168,0xf9f20184,0x0a0b011a,0x4ee900d1}},	//   _billett_, _icanyuma_, _הפושע_, _biskopan, 
   {{0x7c06014b,0x537f024a,0x1be8067e,0x16970153}},	//   _batraay_, _lalafia_, _potopoto_, _記号ないし文字の, 
   {{0xb290001c,0xb22601ef,0x620400c5,0x6ab8004c}},	//   _naman_, _laukia_, _到目前为止_, _abakokas, 
   {{0x99c30006,0x120201dd,0xc909003a,0x22ca0035}},	//   _menempat, _parike_, _bolalard, _fondta_, 
   {{0x7c080021,0x9320005b,0x120004b9,0x094102b0}},	// [27e0] _olutions, _lubys_, _craik_, _schlitte, 
   {{0xc200043b,0x237f046a,0xea95027f,0xa3870181}},	//   _duais_, _galaxia_, _abiyonge, _uzura_, 
   {{0x7c65000d,0xf3070243,0x49d601c8,0x27d100e6}},	//   _arutelu_, _dadalah_, _modlitba_, _主营业务收入_, 
   {{0xf2f206c1,0xa200024f,0x820000e4,0x2c7300ad}},	//   _putovanj, _caliva_, _paliwa_, _nyarios_, 
   {{0x923b03f8,0xb342029a,0x158c0192,0x84940061}},	//   _benediti_, _efreyan_, _aantrekk, _아카데미스위트_, 
   {{0xf2d80148,0xf20000fd,0xfc6f0042,0x0f7f0156}},	//   _licet_, _huair_, _estreia_, _שמײכל_, 
   {{0x42900224,0x2be2023d,0x66e20118,0xa2dc003f}},	//   _gaman_, _inserisc, _abebitii, _dalondi_, 
   {{0x36820052,0xf2120049,0x804d01ad,0xa7a2007f}},	//   _शैतान_, _efihi_, _entremon, _beaumari, 
   {{0xaf4c0296,0x50d90061,0xd41300e6,0x0b010153}},	//   _midsomma, _바탕화면저장_, _家具团购报名最后, _カテゴリ別商品一, 
   {{0x6c8000c7,0xcd7800be,0x043e00d1,0xf7f30597}},	//   _телен_, _ابىيرىڭ_, _ঘটনাক্ৰম, _арамаçи_, 
   {{0xdc3300ff,0xcd2a0046,0x3ecd0005,0x6e46029b}},	//   _באריס_, _пайдубал, _auditurs_, _jarbaata, 
   {{0xfe5d0141,0x80f10242,0x2294017a,0x1ae5015e}},	//   _гарчи_, _ittihaml, _abakini_, _introdue, 
   {{0x3b400314,0x059c000d,0xf849032d,0xc37f004b}},	//   _мөхтәр_, _augustik, _ғималетд, _астанала_, 
   {{0xa18f0381,0x62ea0039,0xd5a90205,0x36470196}},	//   _areasway_, _argiako_, _темиров_, _cazolakw, 
   {{0x9d8403fd,0xb291033e,0xbb9000e3,0xb2900020}},	//   _televise_, _aguad_, _brancacc, _asiata_, 
   {{0x637c0170,0xa25a0292,0x62940087,0x2ede03ea}},	//   _katakwe_, _oogle_, _ebakini_, _lyonnais_, 
   {{0xb38702df,0xc66503a2,0x13f9051a,0xd9120099}},	// [27f0] _luaran_, _वादसभा_, _topup_, _babamuku, 
   {{0x760e000a,0xf68d0174,0x9eeb020d,0xdee30184}},	//   _oktobari, _segeorgi, _ubukolon, _ikikumen, 
   {{0x6f300169,0x63870172,0x720001e6,0x9d8d00d1}},	//   _নকিয়া_, _guaran_, _paliva_, _utfordra, 
   {{0xe32100f9,0x12000139,0xc3a201d4,0xf25a002a}},	//   _kurya_, _lalita_, _scopre_, _poolu_, 
   {{0xe26c0270,0xbea40060,0x676a004d,0x85bd003f}},	//   _famose_, _ءوزىم_, _全國法規資料庫入, _sutamtah, 
   {{0x59340334,0x032106c2,0x0f9e033a,0x0c1c008d}},	//   _amamupat, _murya_, _diamando, _sifatlar, 
   {{0xe99801ef,0xa61802fe,0x79f7014e,0xb200036a}},	//   _каментар, _asilehli, _smanjena_, _taliva_, 
   {{0xf3ac045c,0x5c6103a4,0xd3860129,0x43ce02a0}},	//   _naspat_, _sigurin_, _mperi_, _ibanujẹ_, 
   {{0x925a0485,0x92000367,0x92d805a6,0x6c310079}},	//   _nogle_, _quais_, _riket_, _personis, 
   {{0xa2d80450,0x02900181,0x95c60264,0x52ee022a}},	//   _siket_, _milady_, _probinsy, _stanedi_, 
   {{0xe3870119,0x82a00016,0x437f0073,0xbf340137}},	//   _guarin_, _serbio_, _maladia_, _жунхён_, 
   {{0x12d806c3,0x69bd0124,0xce520053,0x9f3d01c9}},	//   _liker_, _muddatht, _kukataka, _फिल्मिये_, 
   {{0x2290039e,0x964b0164,0x0af7028e,0x24d5000d}},	//   _gamal_, _жәһәтләр, _phosohat, _लईकिया_, 
   {{0x2395022d,0xd29b041a,0x65d40374,0x40b00095}},	//   _avessi_, _конвенці, _mahalliy, _chamsyah_, 
   {{0x129202e2,0x827e0049,0x3a8801df,0x53950267}},	//   _potash_, _asinó_, _balochis, _svesti_, 
   {{0xf17e00be,0x293200ba,0x6a0800d9,0xd100003f}},	//   _اكتىيور_, _تۆکیۆ_, _antamatt, _machicol, 
  
   {{0xa3b903ee,0x634200d2,0xd2d9020e,0x837802be}},	// [2800] _spavaju_, _berehan_, _ikentse_, _galawin_, 
   {{0xfecd026f,0x42830184,0x438400d1,0x00000000}},	//   _ءقازىر_, _inshozi_, _প্ৰৰোচিত_, --, 
   {{0xe25a01c9,0x7c08020e,0x77a801d2,0xd9670212}},	//   _poolt_, _транснеф, _awstruni, _audiente, 
   {{0xe2900008,0x4d450092,0x8c5800be,0xa2d8065d}},	//   _triada_, _黒酢で簡単ダイエ, _جاشاشىبى, _eiker_, 
   {{0xa2d80101,0x12910241,0xeb3b00ba,0xd37f042d}},	//   _incep_, _beyaan_, _مسادا_, _faladia_, 
   {{0x9613001d,0x22d8037c,0x259500ee,0x00000000}},	//   _guttural_, _vicem_, _aparkatz, --, 
   {{0x127e05cc,0xcd3102a6,0xc2900461,0x72fc0241}},	//   _izinto_, _arrivait_, _guiana_, _caagadii_, 
   {{0x122401ed,0xc6a20352,0xf6f00081,0x226c003e}},	//   _omaka_, _tiltaksh, _austurvö, _kamore_, 
   {{0x62d90409,0xe29002ec,0x92480249,0x7c6f01c4}},	//   _onsen_, _camal_, _tromei_, _heerden_, 
   {{0xd1400212,0x73a30170,0x02e6033d,0xc5030080}},	//   _lovenfel, _adapha_, _abondan_, _alpeviol_, 
   {{0xaff805b1,0xbe47055a,0x32240043,0xbbb9014e}},	//   _spokojno, _rivalida, _amaka_, _мерења_, 
   {{0x569a0450,0x4ffa00b9,0x795101c4,0x7a790185}},	//   _eigenski, _सुनावणी_, _weslande, _гигантла, 
   {{0x5c1b00e6,0x02e5001c,0xb4750026,0x921301b7}},	//   _虎门农情电子版第_, _arinola_, _monteren_, _babhau_, 
   {{0xe9b200ac,0x23400189,0x027e019d,0xb37b04d8}},	//   _pronašao_, _annenin_, _izinso_, _karaamo_, 
   {{0xd48f043d,0xe3f503b9,0xd3f100dc,0xfa070193}},	//   _mengatak, _kallinak, _fetuunai_, _gumamnya_, 
   {{0x82d8014a,0xd61f02b6,0x3ad50087,0x09c3000d}},	//   _siker_, _амалдар_, _etitempe, _generaat, 
   {{0x84d0004d,0x00000000,0x00000000,0x00000000}},	// [2810] _電器安裝維修_, --, --, --, 
   {{0x4c560181,0xd25a0044,0xca690118,0x2c0b004b}},	//   _lactone_, _pools_, _amagumba_, _обелискы, 
   {{0xb2240328,0xe54e00da,0x12f00094,0xb2e103bd}},	//   _amaki_, _примулуй_, _екіталай_, _handuraw_, 
   {{0x4200054f,0xf9840158,0xa48002d5,0xef340196}},	//   _nkhib_, _doniesie, _फैलाइं_, _chosatsa, 
   {{0xc5aa017d,0x419c0207,0xed3400ff,0x96360482}},	//   _の中空ボデ_, _زلزلو_, _קאזלאוו_, _dooritil_, 
   {{0xa380026c,0x02310139,0x1d4a0239,0x4255002b}},	//   _ferrum_, _anumeya_, _hirawanu_, _তান্ডব_, 
   {{0x12480129,0xb75e0036,0x6acc00c1,0x230d0370}},	//   _asompi_, _mycinaog, _धावपळ_, _tubagus_, 
   {{0x77860141,0x7b880037,0x19990453,0xa3470008}},	//   _تداویسی_, _አደጋውን_, _klijenat, _cloenda_, 
   {{0x086800bc,0x8d7f004d,0x6f770161,0xf9400591}},	//   _سيمين_, _位使用者正在瀏覽_, _огромног, _varmvatt, 
   {{0xb2b4017e,0xb3070115,0x18cb0037,0xcb0100e6}},	//   _asocio_, _bumbung_, _ለመንጋው_, _请赶快发表吧_, 
   {{0x89d1003f,0x39e601bf,0x9c67006e,0x6b8e0156}},	//   _bibechbe, _styreled, _gudrong_, _מוזעאמס_, 
   {{0x0201023f,0xe2d80193,0xf9b503f7,0x872701a3}},	//   _cryin_, _dicek_, _handknat, _اگھاڙي_, 
   {{0xf71402a4,0xf27e03c3,0xfc16013a,0xa48f02b4}},	//   _multorum_, _radnji_, _virowend_, _bengitak, 
   {{0x23f402b0,0x9486010d,0x7e2c014e,0xfcf00012}},	//   _erster_, _भंडारा_, _глади_, _भाइकेँ_, 
   {{0x3a8f0285,0xe64003a0,0xedd4000d,0xc9f500d1}},	//   _batishob, _difilimi, _elektrit_, _borgarme, 
   {{0x52cb02b0,0x9ae2007e,0x12e900ea,0x9045016e}},	//   _wieder_, _agotrast, _tokinao_, _tutuklan, 
   {{0x5ee10148,0x270303bf,0xc38a0344,0xf2900100}},	// [2820] _insidiis_, _диеталар_, _copydan_, _mamac_, 
   {{0x2b1b005e,0xf3f0003e,0x521801a3,0xd2a603b4}},	//   _ﮬﯧﻠﯩﻘﻰ_, _bulelang_, _سوڀراج_, _haachadi_, 
   {{0x88fc03dc,0xd224012a,0xd2c10289,0x437303c2}},	//   _avlagand, _smaki_, _chiliza_, _buggery_, 
   {{0xd0e900e4,0x96370388,0xa6c60425,0xa791023d}},	//   _अनुक्रम_, _файлове_, _شاملوو_, _trattati, 
   {{0xd3f800ab,0xdf2501db,0x4b550026,0x4ac6000c}},	//   _rahui_, _стансасы, _bladeren_, _малхаз_, 
   {{0x62fe0309,0x3cf8012d,0x22910119,0x537800e3}},	//   _ixtisas_, _bwatigor, _aguak_, _galatin_, 
   {{0xa20001e9,0xc2d90487,0x3a1001ed,0x92d90461}},	//   _badiramm, _onset_, _kumakaia_, _disen_, 
   {{0xa2d90237,0x376103d4,0xc2900251,0xaf34005b}},	//   _eisen_, _двору_, _jamac_, _eigostar_, 
   {{0x0956018b,0x42b200ee,0xd2b904d2,0xa2d8011b}},	//   _минуте_, _munduan_, _tydeleg_, _bakei_, 
   {{0x12c5050e,0x0a09003e,0x32d903dd,0xb700020f}},	//   _spoljne_, _ditatabe, _nisen_, _میړنیو_, 
   {{0xd05c0092,0x02cb046f,0x3dbf02af,0x87e300db}},	//   _メンテナンス_, _rieder_, _barabire_, _kauplemi, 
   {{0x6b610258,0xca1e0156,0xc9110239,0x8ae50181}},	//   _efteroan_, _קוטשמע_, _tumataku, _tilliden_, 
   {{0x638a018d,0x2a0a00d2,0x05060134,0x02020256}},	//   _መሰላቱን_, _antarana_, _aseranwo_, _netika_, 
   {{0xfef3042a,0x0213003f,0x3b880026,0xdb1c00a6}},	//   _akukalun, _jeqha_, _adviseer, _bayakwab, 
   {{0xc6560029,0x52ec00e0,0xd8210035,0x00000000}},	//   _ربچێت_, _stribbe_, _иттифакъ_, --, 
   {{0xd89b02ac,0xc2960188,0xeb50017a,0x35ec00d9}},	//   _لأكثر_, _ababenem, _abacibis, _проводят_, 
   {{0xe3960058,0xcc53013a,0x1239023b,0x90090205}},	// [2830] _bussum_, _spatzen_, _laumeki_, _жазирама, 
   {{0xe63201aa,0x17ef01f2,0x6d9a01b8,0xfbee000c}},	//   _appliedw, _йәттә_, _inglisma, _иамои_, 
   {{0x938602ea,0x33130342,0xebea0043,0x999f00de}},	//   _spero_, _abichwa_, _akaonero_, _ayikaphe, 
   {{0x431d00da,0x1264026c,0x431603db,0x586e0119}},	//   _dincolo_, _paulum_, _hambani_, _jennersd, 
   {{0xe96d00c8,0x46b90685,0x8e460008,0x54b50126}},	//   _латипова_, _sydameri, _قاانات_, _музикою_, 
   {{0x33090125,0x06350499,0xc0a8027e,0x303603c6}},	//   _bitarap_, _amanuali, _поступке_, _kabelnoo, 
   {{0x3afb0429,0xedc40091,0x49cd03e0,0xa2d803ba}},	//   _peperiks, _malittia, _meedeche, _rakei_, 
   {{0xe4ff03e5,0x937a00a4,0x98b100a4,0xc51a019c}},	//   _dillingh, _ايكۅل_, _centenar_, _oluranlo_, 
   {{0x26a700a6,0xf94e0449,0x4306019e,0x72a603ef}},	//   _abagwayi, _maglovit, _moterį_, _acibwa_, 
   {{0xe290015a,0xba310052,0x9bfc0654,0x3f640112}},	//   _namaa_, _दर्जी_, _pergeser, _menaikin, 
   {{0x05e901f4,0x037b0073,0x89b10487,0x85cf02af}},	//   _сайтинин, _detalio_, _predicte, _barashoy, 
   {{0x32cb0198,0xd22200c5,0x484303c6,0xb2e8010d}},	//   _komolca_, _安徽一拓通信科技, _fermoard, _bikinan_, 
   {{0xb290023b,0xf5d101bb,0xc2d80176,0x5b1102c2}},	//   _kamaa_, _mirasymy, _takei_, _passasie, 
   {{0xe28f007f,0x318a013f,0x00000000,0x00000000}},	//   _cathays_, _grubuilh_, --, --, 
   {{0xd290023b,0x513b018f,0xb72302cf,0xb4a806c4}},	//   _mamaa_, _dadelmeh_, _независе, _straffek, 
   {{0xa3db0117,0xc290015a,0x125b03f8,0x42020107}},	//   _sekuriti_, _lamaa_, _buvlij_, _betika_, 
   {{0x91f50518,0xee010233,0x818700b3,0x074e035b}},	// [2840] _муборак_, _admemora, _mahabatl, _imunskeg, 
   {{0x5f31015d,0x351f00c4,0xf99a0066,0x3b8a011a}},	//   _zaprasza, _سوڳوار_, _imajinat, _adenovir, 
   {{0xdaf40066,0xa29e0184,0x62d90359,0x5b270255}},	//   _очсон_, _akajana_, _ynset_, _hambaars, 
   {{0x9380015b,0x013600c5,0x5ed10052,0x620200ea}},	//   _dipren_, _劳动合同法_, _योग्यताह, _tetika_, 
   {{0x63160244,0x02db025b,0x0c750235,0x662302a1}},	//   _bambini_, _oktobur_, _समग्रं_, _nakomeli, 
   {{0xf296035f,0xa290012c,0x358c0126,0x449d0191}},	//   _देशान्तर_, _jamaa_, _останньо, _formulär, 
   {{0x1d0a0178,0x42d90191,0x4290004f,0x838a0311}},	//   _antataś_, _inser_, _damaa_, _መሰልቱን_, 
   {{0xebb4004a,0xa1970035,0x382e0013,0xa2d90193}},	//   _рефератл, _ишемик_, _юртим_, _gisel_, 
   {{0xd2d40175,0x97150148,0x3a5d0211,0x930003bd}},	//   _poudir_, _posterum_, _раковины_, _malaraw_, 
   {{0xd25a01da,0x4263063e,0x803f0066,0x12f4021e}},	//   _vogla_, _europski_, _seguruen, _chanser_, 
   {{0x83200062,0xca690162,0xa64104f9,0x93f8001b}},	//   _chiyo_, _дастихан, _afrikami, _bahuu_, 
   {{0x1f61036b,0x1e4602af,0xe95e004c,0xca7301a3}},	//   _остане_, _barakaga, _atanneet, _وڪڻندا_, 
   {{0xa3860202,0xc104004a,0xe3aa03ec,0x3c2600de}},	//   _aririn_, _altınga_, _arratisj, _مکمله_, 
   {{0x66a80195,0xc47506c5,0xaa9400d9,0x5eb00219}},	//   _abartach, _त्रिमुर्, _sivistys, _inyonyan, 
   {{0x22910292,0x43cb02ef,0x2cea0040,0x3213007f}},	//   _nguan_, _anrapò_, _הדלתות_, _iachus_, 
   {{0x30230039,0xf62d004c,0x640d00bb,0xc2900528}},	//   _хонинд_, _agoogerw, _الکحل_, _chlach_, 
   {{0xe3d00040,0x2f640476,0x536c0541,0xb47b020c}},	// [2850] _הצביעו_, _achasvin, _konekcij, _melebihk, 
   {{0x6e34022c,0xb47c02ea,0xa7bf01ec,0xeb190061}},	//   _anggiema, _medesimo_, _bintangw, _축하해주세요_, 
   {{0xdc5201b9,0x1fb106c6,0x1b7f00ea,0xd2cb0350}},	//   _montayn_, _porfavor_, _gadraina_, _diedar_, 
   {{0xfdc10240,0x2e0c032d,0x615a0291,0x8b880224}},	//   _kirisima, _рухланып_, _شكشكة_, _dreifibr, 
   {{0x1c1d0135,0x72130026,0x63170111,0xd3eb0334}},	//   _tarafdar, _nachts_, _spezza_, _azathu_, 
   {{0xf2e30194,0x02d80117,0x540f01e1,0xbc460107}},	//   _maniere_, _maket_, _участкаһ, _درامد_, 
   {{0xe1fd0139,0xf2d80312,0x9302030a,0xc23b038b}},	//   _बुधवासरः_, _laket_, _rematou_, _meneliti_, 
   {{0x620002db,0x820000a8,0x00000000,0x00000000}},	//   _prais_, _crair_, --, --, 
   {{0x5291001f,0x803702ba,0xa66d01bd,0x1de1041c}},	//   _aguan_, _хушмуоми, _жанрының_, _losisiél_, 
   {{0xf2fe0040,0x2aa20019,0x93eb0015,0x00000000}},	//   _arrives_, _этикасын_, _ahatee_, --, 
   {{0xc5a2026c,0x41fd0478,0x6f670095,0x6a070028}},	//   _dominium_, _seriosam, _sasampun, _badanaya_, 
   {{0xa0540299,0xe36e0344,0x366c03a4,0x00000000}},	//   _ақартилғ, _centerim, _forbjóða, --, 
   {{0xd86300ef,0x89bb0142,0xc1ba02eb,0x134703a0}},	//   _abangend, _पूर्णस्य_, _лизингий, _bonelwa_, 
   {{0x45fa03ff,0xff6b0322,0x429100f3,0x93f900cf}},	//   _vojenský, _akubitan, _ityala_, _fixuu_, 
   {{0x92d90377,0x08d50288,0x92f102dc,0x399501da}},	//   _faceti_, _untertau, _mágoa_, _dinjitet, 
   {{0x77dd0040,0x9a5200ff,0x460a0019,0x0e260088}},	//   _אינדי_, _סופערמאר, _айланаар, _алдылары, 
   {{0x625a002a,0x5960017d,0x20d80040,0x7c6e02ce}},	// [2860] _goolu_, _avancere, _העוצמה_, _tumuwuh_, 
   {{0x785602eb,0x0c6d036a,0x2283025e,0x286300d1}},	//   _чамруу_, _nadroga_, _toshiki_, _জীৱশ্ৰেষ, 
   {{0xb36e01e0,0xa3a3000b,0xff5500b4,0x32480051}},	//   _کڕینی_, _alepai_, _raspunza, _dzimis_, 
   {{0x125a0129,0xdcbf03cc,0xc9c2005c,0x9e4801df}},	//   _boolu_, _অপরদিকে_, _batekere, _banatyne_, 
   {{0xb26d031d,0x8291008e,0xfc00008c,0xc29002f8}},	//   _devour_, _bagaas_, _omisdus_, _paeaa_, 
   {{0x2e560143,0x3804002b,0xe30202e5,0x720002fd}},	//   _частен_, _চটিবাজ_, _haperâ_, _esain_, 
   {{0xa6ec0247,0xb30300b6,0x5f3f02bc,0xd25b00a8}},	//   _ساماندهی_, _ascassu_, _pangnian, _analas_, 
   {{0xf48600c5,0xd79200e6,0xb1bf011c,0xf2d802a3}},	//   _阿里巴巴网络_, _入党申请书_, _jonganté_, _takel_, 
   {{0x0c800045,0xc30301d4,0xe3a802df,0x00000000}},	//   _желео_, _barattu_, _bonagong_, --, 
   {{0xc2640318,0x09bf0101,0xd373047d,0x775d0141}},	//   _koulá_, _bineinte, _erwaard_, _filiolog, 
   {{0x82990453,0x03030211,0x32e60118,0x00f80349}},	//   _izabrali_, _varattu_, _atanula_, _atanovzl, 
   {{0xe38b0479,0x42d80138,0x86f003a2,0xa99a0311}},	//   _járok_, _hakem_, _पाझवोक_, _ብትምኒት_, 
   {{0x7ec9025f,0xa71f00e6,0x23ea0453,0xe9c80153}},	//   _musicien, _转让企业国有产权, _protok_, _大地の景観のクチ, 
   {{0x11680185,0x2960012a,0x69ff02f8,0x00000000}},	//   _betergän_, _zakopane, _milionaa_, --, 
   {{0x4a0903d9,0x4f6c0067,0xfc2600be,0x8d860211}},	//   _andalana_, _baabilon, _جوقتوعون_, _игнориру, 
   {{0xc3870260,0x9f4b0126,0xae030322,0x00000000}},	//   _agardo_, _океаном_, _barekera, --, 
   {{0x07a802a8,0xe9e202fe,0xf35600f2,0xcf0e00d1}},	// [2870] _approssi, _فاميل_, _baseins_, _নোপজা_, 
   {{0x92fc0250,0x1324012e,0xdfca00e6,0xa200019a}},	//   _burimet_, _mézes_, _召开座谈会_, _graip_, 
   {{0xecc40294,0xa25b0243,0x92640274,0xd2b10095}},	//   _artikulu_, _abelem_, _skulum_, _bendana_, 
   {{0x516c03f8,0xe2d902c6,0x3d570365,0x904a0009}},	//   _biyinmeh_, _disec_, _बिरगंज_, _segrevan, 
   {{0xd98e02d2,0x925a033f,0xd57302bd,0xfd920359}},	//   _кабир_, _anolo_, _brodorol_, _folleyba, 
   {{0xf8580242,0x9387005b,0x813401da,0x26f500c1}},	//   _medallar_, _tsuru_, _tajlandë_, _टवटवीत_, 
   {{0xc7c80152,0x2c3c0035,0x32d90033,0x0e3700bd}},	//   _мохаммәт_, _barunı_, _ansei_, _implores_, 
   {{0x21f502ab,0x151c00a2,0x31630088,0xb3f801ff}},	//   _afranịọs_, _kukomesh, _купуя_, _doduin_, 
   {{0x7abf02b9,0x3532003e,0x72d803fc,0x02d80198}},	//   _اسیران_, _семеновс, _bakeri_, _takem_, 
   {{0x378603f2,0x926902c9,0x42000073,0x18f0048c}},	//   _turvalli, _деликт_, _cadita_, _beisteig, 
   {{0xd419018d,0x729001b8,0x32480117,0x7d230322}},	//   _ተመስሪታ_, _eriala_, _tromoi_, _amasafur, 
   {{0x42a7001f,0x828e0529,0xe8360109,0x11fd00ec}},	//   _baabia_, _stanić_, _मनाङमा_, _turistam, 
   {{0x0f5d000e,0x55a8004c,0x29bd0060,0xa7cb005d}},	//   _stragran, _abassaak, _фильмнің_, _constami, 
   {{0xc20203b3,0xecc10148,0x63200418,0x837f04bd}},	//   _scribe_, _年度學校衛生委員, _ikiye_, _walania_, 
   {{0xe26c0686,0xcb1b03e6,0x8200002e,0x003702b0}},	//   _ukholo_, _fokusséi, _hadisa_, _kartenan, 
   {{0x4b6b00ee,0xf9d50271,0x2d9e01da,0x070c0122}},	//   _justizia_, _utroskap_, _profetit_, _اقتباسی_, 
   {{0x2a0101af,0x329002fb,0x9a89036d,0x2ebd016f}},	// [2880] _aglamaga_, _iaeao_, _creidinn_, _signalen, 
   {{0xe648012c,0xc66400a6,0x8c7002e4,0xa224017a}},	//   _kuchangi, _پرایران_, _emeritu_, _amakh_, 
   {{0x0963023c,0x66280205,0x4c03055c,0x4db70213}},	//   _abaneent, _شاعرلرنی, _varsler_, _паровых_, 
   {{0x48b6030e,0x62d8026b,0xf17900ff,0x893400e6}},	//   _براين_, _dices_, _סימפאטיק, _欢迎光临似水流年, 
   {{0xc2d800bc,0xbc160191,0xf29e03a8,0x94ff0381}},	//   _pakem_, _kampanj_, _উন্নহয়ন_, _andlingh, 
   {{0x7017014f,0xc9c3038b,0xff6b0010,0x6c6f0064}},	//   _народне_, _penempat, _ekubutan, _aturada_, 
   {{0x3ae50132,0xe85d0331,0xbdbc00dc,0x4a080125}},	//   _amelyben_, _seinastu, _lasusulu_, _bahasyna_, 
   {{0x9ef60138,0xb28a0076,0x3b1901de,0x867e0241}},	//   _bulamadı, _спортска_, _лицензиа, _daddaffi, 
   {{0x72000277,0x28f801f1,0x22780200,0xc74001c3}},	//   _balita_, _armatosu, _umunne_, _alcoalag, 
   {{0x19c2016f,0xeb71057d,0xd680004b,0x322402f0}},	//   _legefore, _kolodvor, _halefisi, _imaki_, 
   {{0xb2000204,0x52d802d8,0xac5d018b,0xafd700cb}},	//   _valita_, _kakek_, _изворул_, _рафаэл_, 
   {{0x2fe800c8,0xfb9901db,0xf2d90055,0x00000000}},	//   _террит_, _заманына, _addevu_, --, 
   {{0xfb5102e7,0xdc050414,0x19e1040b,0x2153021b}},	//   _tindahan_, _apusani_, _wisisiwa_, _восемь_, 
   {{0x63ea00c5,0xf2f10193,0x7b4b01eb,0xa3c901f7}},	//   _unité_, _तर्री_, _congréso, _bielorús_, 
   {{0x92d9000b,0x63f80340,0x863500ec,0x7291015a}},	//   _aisea_, _kahui_, _клубні_, _araada_, 
   {{0xf20002c1,0x4e6602ac,0xb9e5046d,0x523c004d}},	//   _kalisa_, _فرجهم_, _tsireled, _即除運送用之包裝, 
   {{0x051300c7,0x83f804bd,0x96d50241,0xd27e0041}},	// [2890] _яраталар_, _mahui_, _bitaatii, _лыӡҕы_, 
   {{0x55a800a7,0x250b00f7,0xf1b101d9,0x7c7601b2}},	//   _саламатт, _historio_, _télévie_, _fleshed_, 
   {{0x52d80270,0xabfb02e8,0xd2c601c6,0x00000000}},	//   _dicer_, _mhinduro_, _swalkje_, --, 
   {{0x23640162,0xf1130156,0xe2d00109,0x21cd01d7}},	//   _خورما_, _דענסטמאָ, _trenéři_, _deliberà_, 
   {{0x7a03027b,0x2f3a0253,0x134c01d7,0x3b900491}},	//   _aprayukt, _aserujaa, _capetel_, _levantó_, 
   {{0x017d013d,0x330f0138,0x63f9021b,0xff600130}},	//   _עיבור_, _beraber_, _kipua_, _dispenna, 
   {{0x12000223,0xa32003b6,0x9ded0178,0xb10c02d6}},	//   _badira_, _akaye_, _arājā_, _траффорд_, 
   {{0x820000fa,0x9824024a,0x2c55025c,0x8e68000e}},	//   _salita_, _fẹ̀ẹ́_, _abstand_, _mulchina, 
   {{0x12bb0410,0x2d200204,0x518401bd,0x34710277}},	//   _dilense_, _известно, _судьясы_, _diktahan_, 
   {{0x5163010f,0x0ce90013,0xd071033d,0x00000000}},	//   _хотираи_, _байроғин, _lanbisyo, --, 
   {{0x5c140163,0x0db6005e,0xb200046d,0xef4e0220}},	//   _اورنگ_, _گۈلۈم_, _walisa_, _missione_, 
   {{0x7af501cc,0x3c66015e,0x00000000,0x00000000}},	//   _cārhanta, _карыны_, --, --, 
   {{0x739400d2,0x96370024,0xb2ea0004,0x0c620231}},	//   _manggung_, _ফ্ৰয়েডৰ_, _ensidan_, _narrare_, 
   {{0xec7705dd,0xfad40415,0x79f60077,0x2f610110}},	//   _पेप्सी_, _mittlere, _karès_, _pedagogs_, 
   {{0x7c28041a,0x82d401cd,0x3c73020e,0x00000000}},	//   _самодост, _ambopha_, _krosara_, --, 
   {{0x42d80465,0xf2ea021e,0xed230073,0xb79f0244}},	//   _sicer_, _insidan_, _seminate_, _punteggi, 
   {{0x868301f2,0xe7f700d9,0xb2ca0195,0xc91e00f8}},	// [28a0] _مەپتۇن_, _средняя_, _anndra_, _অংশীদারি, 
   {{0xb2b80156,0x6224022b,0xb64e0255,0xcfc40040}},	//   _געלעגער_, _leikti_, _निरासाजन, _מנהיגי_, 
   {{0xcb5d012c,0xdcd7023e,0x5ba906c7,0x1c5f038d}},	//   _البيروني_, _اعماق_, _दुरूहता_, _sistenm_, 
   {{0x73f40215,0xd2a70011,0x12b601d4,0xed67015e}},	//   _utstyr_, _ababba_, _mosche_, _تىرشا_, 
   {{0x62d7000b,0x13860499,0x0891032d,0xa290030f}},	//   _ansongo_, _eperu_, _афғанста, _iriaka_, 
   {{0x227e00af,0x927f013d,0x5365022f,0x1ccf0128}},	//   _funnet_, _uzanto_, _dauguma_, _بیلچر_, 
   {{0xc1af0163,0x9b1602b9,0xd29202e2,0x52000039}},	//   _المرسلین_, _اوردوسری_, _apoplexy_, _balira_, 
   {{0x839400d2,0x80e502a5,0x42a60620,0x62000005}},	//   _nanggung_, _बहुमुल्य_, _concludi_, _calira_, 
   {{0x61830125,0x42c1036c,0x040e005e,0x38410166}},	//   _илата_, _ahilika_, _ﻗﻮﺷﯘﻧﻠﯩﺮ, _einleitu, 
   {{0x3a800025,0xe2b10082,0x727e0437,0x3a4501db}},	//   _adveṣṭā_, _haddasa_, _kunnet_, _блогшы_, 
   {{0xeddc009a,0xde4c001b,0x4291018f,0x5300015a}},	//   _abakumma, _abdallaa, _cubavo_, _bahanii_, 
   {{0x13dc020e,0x16a90111,0x00000000,0x00000000}},	//   _bokwe_, _biugrafi, --, --, 
   {{0xe2ef02e4,0x00000000,0x00000000,0x00000000}},	//   _jtaffu_, --, --, --, 
   {{0xdc51004b,0x623902a9,0x620000ad,0xec4c030f}},	//   _dintlha_, _розум_, _salira_, _ngawari_, 
   {{0x611f0013,0x0a1e00a4,0xf86302fc,0xaa6b020e}},	//   _америкач, _динин_, _abanyend, _itlosits, 
   {{0x4d5f00c4,0xf50301db,0xb27902e5,0xc2cb031e}},	//   _تجربيڪار_, _энергиям, _djuhiuri_, _spadam_, 
   {{0x03f000be,0x45fe0013,0x296900b4,0x5aeb0251}},	// [28b0] _сссрдин_, _мазмунли_, _admitere, _ethopian_, 
   {{0xa7e50003,0x75990148,0x3c7f004f,0x99bc012a}},	//   _verpakki, _第三季工作報告_, _beureup_, _poddasze, 
   {{0x6471022c,0xabef002f,0x1fa003dd,0x53030343}},	//   _pantesan_, _atiendec, _referuar_, _iglapat_, 
   {{0x82ad04dc,0x739500fd,0x128c00bc,0x4abc01a1}},	//   _دلتان_, _acasan_, _angkara_, _volwasse, 
   {{0x3a11000c,0x444f0169,0xfd950040,0x2378001e}},	//   _estancia_, _ছিনতাইকা, _קוסטה_, _talatin_, 
   {{0x017d013d,0x8d3f0024,0x4360027b,0xa0230022}},	//   _חילוק_, _তাহানিৰ_, _भागैकं_, _реформаһ, 
   {{0xbe470028,0x12e80195,0xb94d000c,0xc9260139}},	//   _farabada, _daonnau_, _jahovere, _परिष्कार, 
   {{0xc302000b,0xd3a20217,0x1c3704ae,0xf2f300d9}},	//   _ascadsv_, _compli_, _бригаду_, _tulivat_, 
   {{0x3e02033e,0x4132012a,0x5e410183,0x320001a0}},	//   _hetemara, _żywotnoś, _faratamp, _mbhiri_, 
   {{0x03f403f0,0x4afd0133,0x00000000,0x00000000}},	//   _austur_, _baaruule, --, --, 
   {{0x57ae02ac,0xd2000242,0x129002aa,0x2c5a0007}},	//   _وأتمنى_, _vahidi_, _ohlasy_, _ebetami_, 
   {{0x029102e5,0x6d5a0220,0x816e03b8,0xc60d0148}},	//   _aguai_, _корем_, _бабамның_, _theodori, 
   {{0x943e00b3,0xe2df008e,0x327f01fa,0x9f3a033a}},	//   _магна_, _butongu_, _heenau_, _affumika, 
   {{0x01290152,0x8ee00148,0x023d0061,0xc5ca00c4}},	//   _almíça_, _reliquis_, _금지합니다_, _kusafish, 
   {{0x33a2017d,0x727f0183,0xeb8305ae,0x82df02c7}},	//   _ご利用案内_, _amanà_, _solicito_, _eignung_, 
   {{0x2d0c0060,0x77bc0349,0xc3860416,0xc2810141}},	//   _мында_, _undersig, _apert_, _bilasizm, 
   {{0xe37802fc,0xaa020088,0x1c1802ca,0xe6f70299}},	// [28c0] _palatin_, _pedalada_, _splancsc, _ساقالنى_, 
   {{0xc0d500bf,0xe320019c,0x00000000,0x00000000}},	//   _выступит, _ikaya_, --, --, 
   {{0xe320001e,0x00000000,0x00000000,0x00000000}},	//   _shayi_, --, --, --, 
   {{0xde16031d,0xd27302a0,0x69ac0153,0x5a700322}},	//   _formless_, _fínra_, _踊るマハラジャ_, _bakanywa_, 
   {{0xf38600c9,0xc8b501b9,0x8d3f02a2,0x5381019d}},	//   _uqerc_, _diktater_, _newhouse_, _atayang_, 
   {{0x185601eb,0xc4b70161,0x6d2b0224,0x1cc40080}},	//   _бабурин_, _техникой_, _blandast_, _dorisilu_, 
   {{0xe61a0014,0x9637008d,0xeb2d01ef,0xdfd6023e}},	//   _ዘጋጠሞም_, _сайлови_, _nepapras, _سولاریوم_, 
   {{0x825a054f,0x33f40022,0xd26603bf,0x92d901da}},	//   _yogli_, _курсына_, _boarabel, _niset_, 
   {{0xc8c90039,0x79ba007e,0xdfda007e,0x00000000}},	//   _багабанд, _स्पष्टं_, _barhiṣma, --, 
   {{0x4fa200d7,0x521200fe,0x00000000,0x00000000}},	//   _elelliso, _ngahi_, --, --, 
   {{0xb56500c4,0x1a5f0015,0x8f96003c,0x9f5100d6}},	//   _بنگالي_, _hoteelka_, _تویسرکان_, _messinia, 
   {{0x9613016d,0x80c50075,0x2c7800e7,0x415c0371}},	//   _ﻧﯩﺴﺒﻪﺗﻪﻥ_, _mikladal, _appuway_, _кураж_, 
   {{0xbe560211,0xc32100b7,0x9a6a020e,0x10af06c8}},	//   _картин_, _arryk_, _ватансыл, _америкăр, 
   {{0xde8d0147,0x92240457,0x99d600c1,0x1cb206c9}},	//   _каршы_, _kooká_, _विस्कळीत_, _lenganku_, 
   {{0xd3860445,0xc201034d,0xa3200216,0xcfaa011e}},	//   _bairro_, _asyik_, _ekaya_, _trafiker_, 
   {{0xe386008c,0x22560021,0x8ccd01c2,0x8d840176}},	//   _spert_, _amatical, _salvater, _handlede_, 
   {{0x638600bc,0xeee50187,0x97030022,0x00000000}},	// [28d0] _nimrod_, _еврозона, _бѳгѳн_, --, 
   {{0xc320039d,0x426c0397,0x130802d5,0x07270159}},	//   _khayo_, _ikhono_, _अड्डाढूं, _благасла, 
   {{0xf8420044,0x397f0177,0xd38802c6,0x4d9303dd}},	//   _contains_, _идҵала_, _aragoneg_, _fotoshop, 
   {{0x830e01e9,0xa3f90204,0x5c600347,0x161901d3}},	//   _arabiwa_, _liput_, _bottels_, _ensamstå, 
   {{0x2290006e,0xe6d0012c,0x056800ba,0x00000000}},	//   _bilaay_, _nifahami, _کتوپڕ_, --, 
   {{0x8db902ef,0x0d2200be,0x00000000,0x00000000}},	//   _kontenè_, _كۅزدۉۉ_, --, --, 
   {{0x92d901d9,0x8703022b,0x4c7101c8,0x22b60422}},	//   _eisem_, _sparkivø, _potravu_, _kupcem_, 
   {{0x4ec60314,0x92c60044,0xbc3d01db,0x9c24029c}},	//   _кадрҙар_, _realize_, _كتىرمەگە, _kulambir, 
   {{0x22d90198,0x3c5201b9,0x52d4002b,0xf92d00a8}},	//   _nisem_, _kontiyn_, _অধিকতর_, _promouve, 
   {{0x97b10120,0x4cf403f7,0x196301f3,0x33200370}},	//   _sallisak_, _austurbr, _nedovole, _bhayo_, 
   {{0xa2d8026b,0x1fce016f,0xac670020,0x02ea0359}},	//   _colores_, _поскаржи, _luluina_, _fannijs_, 
   {{0xcf5000ba,0x7504008d,0xba1303dd,0x63a20032}},	//   _ئابڵاخی_, _inglizch, _pakapshe, _ngipta_, 
   {{0xe4b70009,0x125b00f4,0x72d90035,0x8b13047b}},	//   _montažo_, _chalus_, _cisem_, _harradøm, 
   {{0xb84a01ba,0xd022001b,0x2ee80156,0x4dc90350}},	//   _chateris_, _daddarbo, _מעקינלי_, _የወርቅና_, 
   {{0x5bfb0286,0xa2020377,0x7c1d013c,0xa2f200e1}},	//   _ahinkuro_, _copiii_, _divarlar, _déngay_, 
   {{0x994e02eb,0x4355003c,0x00000000,0x00000000}},	//   _amerikar_, _dipenet_, --, --, 
   {{0x73a7020a,0xd65300b4,0x62d90129,0x538600f4}},	// [28e0] _депардье_, _publică_, _kweere_, _azereg_, 
   {{0xb95a02f7,0x80e200a7,0xd27f00b4,0xf2fd002b}},	//   _akantswe, _بەسىگىم_, _planul_, _নিটোল_, 
   {{0x857a0040,0x12bb00f4,0xe7b500db,0x32e302a4}},	//   _הכחולות_, _azteked_, _fikseeri, _reginae_, 
   {{0x6bb902fe,0xa26e0140,0x9f150307,0x00000000}},	//   _رغنده_, _batong_, _landelan, --, 
   {{0x1f3f0255,0x92fe045f,0x74eb00e6,0xd7cc0065}},	//   _ट्विस्ट_, _utrikes_, _安全生产领域违纪, _verschli, 
   {{0xb301030f,0x404b012c,0x636c003a,0x674700c8}},	//   _matawai_, _استمراري_, _singari_, _аңламайы, 
   {{0x6df902d3,0xdb5e00e3,0x53f90313,0x00000000}},	//   _токсичен_, _frattemp_, _nipum_, --, 
   {{0x5135018d,0xd0d3036f,0xb60b0279,0xd20202f0}},	//   _ሃይለሚካኤል_, _krvoprol, _colocati, _icrime_, 
   {{0xff38028c,0x93f801f5,0xd6b80340,0x1c750109}},	//   _क्रिएशन_, _sahut_, _karapiti, _सिम्ली_, 
   {{0x8b10025c,0xb7dd027b,0xf38601c8,0xfa0e02f0}},	//   _verstehe, _रुचिकराः_, _opery_, _kubafuca_, 
   {{0x627803db,0x9bbe008d,0x8304033a,0xad9a0011}},	//   _olunye_, _اتفاقچیل, _għaqda_, _agenyiwa, 
   {{0x52d800c0,0xc2d800da,0x29f7030b,0x9c7a0164}},	//   _baket_, _colectii_, _balinnya_, _رىچارد_, 
   {{0xf2d801d1,0x8cba0307,0x2cbd037f,0x02d60222}},	//   _makes_, _abaneziq, _istintaq, _billets_, 
   {{0xbbe50080,0x42fd00c5,0x00000000,0x00000000}},	//   _uppernar, _éditer_, --, --, 
   {{0x72c500b4,0x027e0039,0x225a0590,0x7b18039a}},	//   _utilaje_, _ezingo_, _ziola_, _goyangan_, 
   {{0x729406ca,0x72d80168,0x12d8033a,0xea0a003e}},	//   _क्वार्टर_, _taket_, _alleat_, _botalana_, 
   {{0xc95f000c,0x4a090099,0x738600e4,0x796102c1}},	// [28f0] _nepomuce, _aidanana_, _szereg_, _anonciat, 
   {{0xcbbe0156,0x00000000,0x00000000,0x00000000}},	//   _וואלעס_, --, --, --, 
   {{0xb87300e5,0x62e900b9,0x62c60187,0xce390007}},	//   _procurar_, _cicilan_, _атанасов, _bafarisa, 
   {{0xf2ca02b9,0x729000d8,0x93ac0249,0x826e02a2}},	//   _mondja_, _menant_, _ekspot_, _patong_, 
   {{0x7edc027d,0xfe9f06cb,0xce3702bc,0x6dc60287}},	//   _албански_, _códigos_, _ninangta, _posiluje_, 
   {{0xdb6f0196,0x96a701af,0x334d00e1,0x2c070456}},	//   _afulatir, _abatlany, _deretam_, _presint_, 
   {{0xe25501d9,0x28ba0046,0x2c5701d4,0xf2d800d2}},	//   _photogal, _contenir_, _bastone_, _naker_, 
   {{0xb2120184,0xa9f100dc,0x825a022d,0xe2020275}},	//   _ngaho_, _amaisega_, _piola_, _pipisi_, 
   {{0x7532012a,0xf3c500c8,0xe2d8018b,0x0c5100aa}},	//   _चम्बा_, _турниры_, _facem_, _bintaha_, 
   {{0xc34b001a,0x9396003c,0x626c0300,0x41fb0325}},	//   _médiaajá, _طهماسب_, _dekory_, _biznesim, 
   {{0xbaef0203,0x2b0f0064,0xdc6804e6,0x00000000}},	//   _comodmen_, _desperta_, _bakulaw_, --, 
   {{0x2fd9020a,0xb2810376,0x0f1d0462,0x32f1019b}},	//   _جولاتپا_, _endaligi_, _assurewa, _butinai_, 
   {{0xf23b0031,0x56a80133,0x284a0211,0xfe6e0162}},	//   _peneliti_, _baarbach, _доски_, _таңдейиң_, 
   {{0x46a70264,0x0ad703fd,0xa41f017a,0xf1bb00a4}},	//   _ayutthay, _apotopot, _abahlinz, _بىلبەي_, 
   {{0xbdb80533,0xf409005e,0x13cc04a8,0x7b2b0080}},	//   _chaithea, _ﺭﻩﺋﯩﺴﻰ_, _podsjeća_, _alianaas, 
   {{0x00610013,0xd2e60247,0xb3160444,0x8a9601cd}},	//   _منظره_, _pranala_, _заняли_, _abayenza_, 
   {{0x2e56018b,0x490101af,0x62c30403,0xd4e700d1}},	// [2900] _баштинэ_, _aglamakd, _anilako_, _পাকঘূৰণি_, 
   {{0x0e540088,0xc2d80271,0x01f900d0,0xa3f8000d}},	//   _subscriu_, _kaker_, _дэрний_, _vahur_, 
   {{0xe2a90040,0x20d1024f,0x6c2303c2,0x56d70422}},	//   _בחופש_, _ibulubul, _bakshees, _domačimi_, 
   {{0x735b00a4,0x420001b6,0x82480292,0x4e380044}},	//   _ئىچەرگە_, _indian_, _mpoma_, _involves_, 
   {{0x6e550122,0x8c5e00c3,0x32fe0148,0xa2d8023e}},	//   _صورتش_, _fratrem_, _surgit_, _bacem_, 
   {{0x5dbf0414,0xfdcf0026,0x00000000,0x00000000}},	//   _atlantat_, _lelystad_, --, --, 
   {{0xf8880120,0x475800c5,0x9c64022d,0x2a9003dd}},	//   _amukkuqu, _万元以下的罚款_, _abitatu_, _hadithin_, 
   {{0x439403f0,0xc28805c2,0x5c6e030a,0x9382009a}},	//   _kemst_, _mahayani_, _nobreza_, _غافله_, 
   {{0xda880147,0x59dc0265,0x72e900a2,0x41010176}},	//   _matemàti, _bestrijd, _kupikia_, _bathtaol, 
   {{0x52d80116,0xdb7d0334,0x00000000,0x00000000}},	//   _sakes_, _kuonerer, --, --, 
   {{0x22d803c6,0x1505016a,0x97c700cb,0xd8be000a}},	//   _pakes_, _deputito_, _мафияи_, _ingullug, 
   {{0x6ad800c7,0x39e00160,0x7d3b00f3,0x92c503d3}},	//   _berdänbe, _zakonima_, _befikile_, _primær_, 
   {{0xf6b903a0,0xc31900bc,0xc9db0096,0x3127008d}},	//   _babatisi, _زيباي_, _abigomet, _ғаниев_, 
   {{0xd2c50073,0xdce50276,0x7e5c0092,0x3ecf01ab}},	//   _fallite_, _بارىچە_, _タイトリスト_, _eelistab_, 
   {{0x9a2c0037,0x52f100ee,0xf7480461,0x52e903c2}},	//   _የመምሪያው_, _artibai_, _maridatg, _andiron_, 
   {{0x12000456,0x5c040139,0x32ea036e,0x00000000}},	//   _akhil_, _श्रृङ्गा, _disipan_, --, 
   {{0x42d8053e,0x4b530031,0xd35002d5,0x09d50156}},	// [2910] _saker_, _कॉम्प्यु, _profiil_, _שוהלן_, 
   {{0x6a2403f9,0x62e1012b,0x3d6c00ef,0x456b0334}},	//   _sacchett, _dostawcy_, _abamelwa, _akuvutik, 
   {{0x06a70241,0xf5f90452,0x00000000,0x00000000}},	//   _abigaayi, _पाठोपाठ_, --, --, 
   {{0xb2d8011b,0xdd7b018d,0x72d80026,0x3a910009}},	//   _sacem_, _ጠበቓታት_, _vaker_, _adrialin_, 
   {{0x82d800c3,0xe2d8015f,0x92fc02c7,0x34ed0234}},	//   _pacem_, _allent_, _langem_, _yọ̀nmò, 
   {{0x71bc03bf,0xc14f036d,0x0c1a011a,0x3b1d026f}},	//   _виртуаль_, _chromadh_, _branched_, _ققاجەت_, 
   {{0xd2d4024a,0x10a2027b,0x00000000,0x00000000}},	//   _balogun_, _भार॑द्वा, --, --, 
   {{0x4791023e,0xd2d800d6,0x79fc01dd,0x00000000}},	//   _aritmati, _gacek_, _ahinduka_, --, 
   {{0x746e0006,0x7e4700a9,0x070702d3,0xb29001ec}},	//   _mendirik, _yabahaye_, _нагласи_, _asmani_, 
   {{0x52ec00da,0x55370045,0xb13b02eb,0x5ad5004a}},	//   _actiune_, _приступљ, _жигүүрлэ, _аңласаң_, 
   {{0x3d37018f,0x89750065,0xa1e601c9,0x123e0061}},	//   _bingaghq, _dienstle, _गोबरे_, _기준합니다_, 
   {{0x02d800e4,0xa04d041a,0x832b0462,0x87b50255}},	//   _jacek_, _грати_, _alackay_, _sisestag, 
   {{0xf13f020e,0xd2c20011,0x5e6b05fb,0x460a0096}},	//   _bokellel, _akaleka_, _mečeva_, _atambiki, 
   {{0xd3940116,0xb29b0429,0xb2c50243,0xc287003e}},	//   _geese_, _membaiki_, _tallite_, _турнирҙа, 
   {{0x63f80372,0xc98e0302,0x9ecc0079,0x32d800e0}},	//   _achub_, _сафир_, _komerciā, _fotoset_, 
   {{0x51920092,0x263500fb,0x820001dd,0xc2f102a0}},	//   _盗難発生警報装置, _amangali, _gahini_, _feyinti_, 
   {{0x02b500b4,0xb622055c,0x52fc0117,0x22d80193}},	// [2920] _discutii_, _egenkapi, _hangem_, _cakep_, 
   {{0x6f3700e7,0x3ee20025,0xc2b4005b,0xdd9b0053}},	//   _alorieca, _वार्षिका, _chocol_, _dioleska, 
   {{0xc49305f5,0x0f870017,0x148602bb,0x330a0373}},	//   _अम्मा_, _विस्तारै_, _अर्थों_, _nombroj_, 
   {{0xf57e0121,0x5b78003f,0x8f4e0008,0xb1e703a2}},	//   _evolució, _botungha_, _edificis_, _तोगड़िया_, 
   {{0x098d0040,0xe3eb019d,0xe30c018b,0x7690015e}},	//   _מסמכי_, _akathe_, _hotarat_, _advertei, 
   {{0xbe96031d,0xa6b20094,0x5a370024,0x39f100cb}},	//   _fondness_, _руханият_, _বাহিৰা_, _amanyela_, 
   {{0xa8d7028b,0x13ce002e,0x4b590220,0x127e00f3}},	//   _бираҟи_, _kakvog_, _sostanza_, _iyinto_, 
   {{0xc9fb02fe,0x92010062,0x592700d0,0x863c0145}},	//   _athatyat, _luqip_, _виржини_, _tenisini, 
   {{0xce03010d,0xab0203cc,0xec550047,0x7a8f01ad}},	//   _kedelapa, _escribie, _toiture_, _malikyan_, 
   {{0xe2fe0014,0x9904002b,0xb1c700d1,0xffc701b3}},	//   _burgut_, _শিক্ষাজী, _বিচাৰিলে, _резервів_, 
   {{0xbcf60116,0xa04c034c,0x93020062,0xc69600d1}},	//   _bordered_, _abdullin, _daladpu_, _বুদুৱে_, 
   {{0x12ba001a,0x3d890534,0xd6af028b,0x0c1d014a}},	//   _mondani_, _truelife_, _googemai, _kütyü_, 
   {{0x19130386,0xe290030f,0xb3860082,0x57090008}},	//   _pembangu, _henare_, _asirin_, _терисин_, 
   {{0xa9830420,0xd2000125,0x03790082,0x6904002b}},	//   _модерни_, _nahili_, _hadarin_, _শিক্ষানী, 
   {{0x83e00479,0x5317009b,0xf8c50262,0xd3f40312}},	//   _hétig_, _gorantz_, _debetind, _fustec_, 
   {{0x279e0367,0x920701a4,0x27da0061,0x939401e5}},	//   _produtiv, _batikaki_, _발표되었다_, _seese_, 
   {{0xcfa80037,0x79fe0206,0x9279036a,0xf5a20148}},	// [2930] _ስለጉዳዩ_, _atrament, _madirini_, _dimidium_, 
   {{0xc7f9020a,0xe27e00bd,0x0ff90360,0xf166042d}},	//   _разрыхли, _bunnet_, _चिराइतो_, _hatolony_, 
   {{0xd0420061,0x20b300d1,0x32000138,0xe5c70113}},	//   _경북다육농원_, _আমোলা_, _dahili_, _لروحك_, 
   {{0x227e053e,0x01b30122,0xa2c40115,0xdbdf0169}},	//   _vunnet_, _لاوره_, _jenerasi_, _aumentó_, 
   {{0xb573002b,0x4c7c0450,0xd1480037,0xa45f0086}},	//   _ইহুদি_, _fynsten_, _ይገነባሉ_, _modellez, 
   {{0xb25a00e1,0x1d4600c4,0xe39400c3,0xc389047d}},	//   _digle_, _مانيءَ_, _idest_, _plusquam, 
   {{0x817502e5,0xcc6e03ee,0x0ecd029f,0xc6aa004b}},	//   _аланхо_, _prerada_, _adresáta_, _ржига_, 
   {{0x32d800b7,0x9cd90192,0xd0cf01e6,0xa29003bf}},	//   _illere_, _민주주의의_, _nedostal, _denare_, 
   {{0x329100a1,0xa304044f,0x006402e7,0x197f0078}},	//   _kauae_, _kedalam_, _atraksyo, _идеала_, 
   {{0x93f8042b,0xe35601a3,0x20de0156,0x79bb021b}},	//   _usluga_, _ٿرٿلو_, _atendebl, _videosta_, 
   {{0xaae702f3,0x22a70148,0xd9e300a8,0x8c68010d}},	//   _styrelse, _讓我試試看_, _canoscha_, _yasudah_, 
   {{0xf9e002c9,0x4f6100e4,0xd2e000ca,0x629200b2}},	//   _експедит_, _अवस्थाओं_, _basteish_, _hawaas_, 
   {{0x62d60224,0x54ae01ab,0x22da01be,0xa40700aa}},	//   _tillits_, _चहुँपलन_, _musely_, _kaluhaan_, 
   {{0x63020288,0x325601b7,0x22120182,0xb3940541}},	//   _kakairu_, _देवेशि_, _naihe_, _udesu_, 
   {{0xd02e0074,0x72b6000e,0xe99401a2,0x63940212}},	//   _разве_, _biscut_, _pusēm_, _adest_, 
   {{0xac57000f,0x734201c8,0x5ea20162,0x6f1a01db}},	//   _hastane_, _starostí_, _بەربات_, _бұрмалау, 
   {{0xf27e002e,0x91d70021,0x723b03c2,0xb2b6015e}},	// [2940] _sunnet_, _allertay_, _ambling_, _viscut_, 
   {{0xc28800bc,0x538702ec,0x1fad004e,0xf85003f3}},	//   _بنیانگذا, _maarso_, _makontro, _behorend, 
   {{0x97dd0585,0xf38702c5,0x39d70130,0x004b0027}},	//   _mihajlov, _apuro_, _distagad, _kalkulön_, 
   {{0x224a0212,0x99f6019c,0x5c9100c1,0x4d900318}},	//   _formxp_, _ahasweru, _झालोय_, _tenetene_, 
   {{0x929002f3,0xcfcc0366,0x8a7c012d,0xe3050017}},	//   _senare_, _списка_, _melanisa_, _obratem_, 
   {{0xe77b01bd,0xd2ea00f7,0x65770145,0x526c0127}},	//   _атанып_, _motivon_, _расколу_, _annoar_, 
   {{0xc75a0188,0x92e501fb,0x8cb703b5,0xfa11012b}},	//   _толорҳои_, _samnita_, _tanganmu_, _podobają_, 
   {{0x63f80036,0xc20703ab,0x00000000,0x00000000}},	//   _abhus_, _nenormál, --, --, 
   {{0x1749023c,0x62c402c2,0x825600ff,0xe96f03c6}},	//   _خواشينۍ_, _lammers_, _לייקנט_, _keunstst, 
   {{0xbd4206cc,0x453006cd,0x2d890528,0xf2ff0047}},	//   _भविष्यफल_, _लम्बी_, _almondva, _arriver_, 
   {{0x933601e5,0x2bef01a4,0x77a7004d,0xfc6d01fa}},	//   _amugbó_, _kilomoto_, _累積財富充足_, _taerata_, 
   {{0x4a950214,0x8b5a00b7,0xc1b802a1,0xe3f001e9}},	//   _abayinge, _сайланан, _maleisië_, _molelong_, 
   {{0xf2c205ca,0x02d80420,0x00000000,0x00000000}},	//   _acelera_, _colete_, --, --, 
   {{0xc2d60250,0x32d80244,0xef290350,0xbfb70156}},	//   _fitoren_, _volete_, _የሲቢሊን_, _אָנכאַפּ, 
   {{0x9d9d00c4,0xb4ae0012,0xfe4f00d7,0x0dad014a}},	//   _مهاڻا_, _चहुँपला_, _dikamola, _felderít, 
   {{0x530e025f,0x93790028,0xf1880183,0xd3710235}},	//   _eyebana_, _qadarin_, _hahalany_, _duruktaṃ_, 
   {{0x4ad901da,0x163800ba,0x094f0399,0xb6a404a4}},	// [2950] _kastriot, _شۆڤێنیست, _koloamat, _fearradh, 
   {{0xbb880415,0x537800ce,0x68d00544,0x41e10049}},	//   _aktivier, _bomaten_, _belezebu, _lepohoam, 
   {{0x1ee002e5,0xc2a70467,0x72d80071,0x3405009b}},	//   _нелли_, _ababaa_, _kolese_, _nortasun_, 
   {{0xcb15023b,0xbc4e015e,0xc2ca01b2,0x00000000}},	//   _abusinia_, _تەرمەچىك_, _bucolic_, --, 
   {{0xda090084,0x0f2000d2,0x7b060277,0x8e4901c5}},	//   _sadayana_, _beruruta, _aniridia_, _gabagaba, 
   {{0x27c80028,0x737f04bd,0xc85c0378,0x00000000}},	//   _tansaani, _kalaiia_, _vanlukku, --, 
   {{0x725a0261,0xdfc70169,0x4d2f03ae,0xd7b403a8}},	//   _angla_, _টমেটো_, _prosedyr, _ছাঁইৰে_, 
   {{0x2b5e03ef,0x5d2503a2,0x19cc018d,0x3c110234}},	//   _primatur, _कुपवाड़ा_, _ከምዝሕብሮ_, _laisọ_, 
   {{0x830502d3,0x88c100ad,0x6b0800da,0xe95e0044}},	//   _garagem_, _handapeu, _emisiune, _qualitie, 
   {{0x1394019c,0xf7420193,0x93c401f6,0xac62007a}},	//   _geesi_, _दुनियादा, _ব্যতিক্ৰ, _hasutan_, 
   {{0x1ad501e7,0x3ddb01d2,0xdda2048d,0x1b8302f8}},	//   _bildstab, _apakulla, _inmobila, _kolinito_, 
   {{0x72d90279,0x6c5d00fe,0xd618005d,0xa2ea008d}},	//   _mises_, _kautemo_, _imbaretè, _imtihon_, 
   {{0x42550268,0x021301f7,0x0f3e0037,0xaa1701c0}},	//   _olitical, _faches_, _zikrulma, _bambance, 
   {{0x82000337,0x5b5504dc,0x327e02f3,0xa0fa005b}},	//   _sahibi_, _عامودا_, _kunnat_, _motionsl, 
   {{0x5fe60045,0x7c180192,0x9379019b,0xe394041c}},	//   _приступ_, _블로거뉴스에서_, _pataria_, _deesi_, 
   {{0x4fad022a,0xae73035b,0xdc750100,0x82910253}},	//   _pakontro, _priložno, _opasnog_, _juaaka_, 
   {{0xa41d003a,0xdf5703db,0xf2d90456,0x67be0213}},	// [2960] _narsadan_, _engangen, _loceng_, _царицыно_, 
   {{0xa97d0238,0xd78301b7,0x1ea80156,0x877602e1}},	//   _medisine, _प्रसुप्त, _בייַשטיי, _plútón_, 
   {{0x9c600081,0x4d55034e,0x00000000,0x00000000}},	//   _listans_, _hatalliq, --, --, 
   {{0x66200322,0xab7d024f,0x00000000,0x00000000}},	//   _abanziri, _tamusuka_, --, --, 
   {{0xce3b0256,0x820200dc,0xf86c0078,0x9628020f}},	//   _pamatkap, _mativa_, _кабинету_, _ebengazi, 
   {{0xdc6e0288,0x1213021c,0x02240488,0x82fd02f6}},	//   _anarama_, _suché_, _slikti_, _kaagad_, 
   {{0x634f0531,0x4aa905bf,0x7c0b0218,0x6b7600d3}},	//   _heheheh_, _dievcata_, _andstay_, _आनन्दीदे, 
   {{0xdd7d00bc,0x3db001cd,0x52d50036,0xe1bb0350}},	//   _اقلیمی_, _akungaba, _iomorro_, _የእንጦጦ_, 
   {{0x7c440430,0xdd98023d,0xe618028b,0x2cf600c1}},	//   _servaas_, _зехтин_, _imbareté, _विणकाम_, 
   {{0x15250092,0x39d9042a,0xb25a00d0,0x53780155}},	//   _機動戦士ガンダム_, _basesime, _diola_, _domaren_, 
   {{0x62d900c3,0xb04d01e8,0xe2d80148,0x61cc0022}},	//   _miser_, _gapuntin, _colere_, _быҙау_, 
   {{0xffae018d,0x33d000ef,0xd2900403,0xc9aa0371}},	//   _መምሪሒታት_, _عیسایت_, _dalany_, _ходиш_, 
   {{0xc2fc044d,0xa3940295,0xf28a012c,0x9f5701f9}},	//   _sangam_, _peesi_, _jumapili_, _angangen, 
   {{0xcfb90016,0x89fd06ce,0xd290004b,0xae980056}},	//   _פֿאלגנדע_, _orzament, _dihaha_, _ahlushwe_, 
   {{0x12e901ac,0x551404ca,0x72dd011b,0x4a67011a}},	//   _adanamu_, _assolelh, _matondi_, _אינדיאני, 
   {{0x056701f4,0x295000e6,0xb3dc011b,0x00000000}},	//   _мислсиз_, _跑跑卡丁车_, _pokwa_, --, 
   {{0xe52802bf,0xcc0a02d0,0xa86203c2,0x00000000}},	// [2970] _abengakh, _grippin_, _belabour_, --, 
   {{0xecbe0145,0xe8890053,0x56b20418,0x627e021e}},	//   _валер_, _perkumpu, _zenginli, _funnit_, 
   {{0x6a0c01e9,0x8a920261,0x024b002b,0xd20202bf}},	//   _bolawane, _transpas, _জিহ্বা_, _bativa_, 
   {{0xe2d9015c,0x02d903e1,0xe20200b4,0xeb6a00b5}},	//   _eiser_, _vises_, _cativa_, _figurada_, 
   {{0x998f00bc,0xc6d200ba,0xd7fd0037,0x9c76005b}},	//   _akahroba_, _خولقاندن, _አባሎቻችን_, _ronsard_, 
   {{0xa2d8019a,0x9b690331,0xa8ba01b9,0x5add0085}},	//   _laces_, _orduliga_, _kontenir_, _naduruve, 
   {{0xf36f03f8,0x956d023d,0x32fe0442,0x8b65005e}},	//   _tengert_, _часовете_, _cergas_, _ﻣﯩﻨﯘﺕ_, 
   {{0x0387001e,0xd04e0054,0x1200023b,0x12d603a4}},	//   _tsaron_, _magungun, _mahiai_, _andlits_, 
   {{0x2a700542,0x726d02c1,0x58cd0661,0x43200322}},	//   _ऐश्वर्या, _hegitari_, _estendid, _akayo_, 
   {{0x52900027,0xdb7301b5,0xfe180109,0x26ba00f2}},	//   _menade_, _apfumela_, _थम्बनेल_, _apriņķa_, 
   {{0x0e3403b7,0x66d90322,0xc2670222,0x00000000}},	//   _aboardwa, _bakatirw, _accompli_, --, 
   {{0x13f900a7,0x9c75052b,0xe4730172,0x41130289}},	//   _tipus_, _मुर्ती_, _nantabon_, _amakagul, 
   {{0x8c7104fd,0x46cc029f,0x0d710025,0x32fe030a}},	//   _डिप्टी_, _chladeni, _विश्ववेद, _sergas_, 
   {{0x48f5036e,0x336c02c9,0x42fc00b6,0xb30c02c8}},	//   _ahinataq_, _linguri_, _mangom_, _illadas_, 
   {{0xb2d90122,0x58f900da,0xb29000c5,0x03480115}},	//   _riser_, _urmatoru, _venait_, _karenah_, 
   {{0x99f60124,0xbe8000ff,0x627e021e,0xfe28020e}},	//   _mbrès_, _רעלאטיוו, _vunnit_, _салондар, 
   {{0x92e603db,0x92900111,0x3224005b,0xb5810278}},	// [2980] _isandla_, _tenait_, _gakkie_, _arumugam_, 
   {{0xac670132,0x53a30403,0xc38602e4,0x03940202}},	//   _کردار_, _egypta_, _biered_, _jeesu_, 
   {{0xf2d90566,0xf79f0322,0x5d6c0220,0x959703f0}},	//   _viser_, _ahatangi, _фигурата_, _drangajö, 
   {{0xe200006f,0xef36014e,0x5b340205,0xc2c4000b}},	//   _sahihi_, _матушка_, _almashis, _salelesi_, 
   {{0xf29003eb,0x07e300da,0x70970045,0x6b64029b}},	//   _genade_, _полицие_, _примене_, _mayeleen_, 
   {{0xb2fc03ba,0x5a3900af,0x2cf1029e,0xef5f0303}},	//   _dangom_, _зелений_, _apotiker, _ditaelon, 
   {{0x4278033d,0x98db0101,0xcd8a01c4,0x49db02a1}},	//   _kounye_, _dimensiu, _gemengde_, _dimensie, 
   {{0xb92a02c9,0x3ec20085,0xe30e001e,0x145800e5}},	//   _моментул_, _ikanakan, _murabus_, _проследе, 
   {{0x82d60107,0xdf1504ce,0x9a88021b,0x041f040f}},	//   _mitogen_, _pandelan, _joensuun_, _pusantro_, 
   {{0x23940263,0xc29101a7,0xcf720025,0xa25a0016}},	//   _meest_, _kauan_, _विश्वासः_, _vigla_, 
   {{0x30380347,0x8ed8017c,0x7af90109,0xfda90291}},	//   _sekerlik_, _polisens_, _stanoven_, _longfort_, 
   {{0x12940297,0x315c04dc,0x3f9904ca,0x00000000}},	//   _augustın, _عشیقه_, _bandèira_, --, 
   {{0xf32001c5,0xc51e005b,0xab8c0540,0x00000000}},	//   _khayr_, _fukuneko_, _eyvindar, --, 
   {{0x32d801c2,0x62dc0037,0x6dc1021e,0x3bdb01de}},	//   _facer_, _ይሰበሰባል_, _beskedet_, _شۇمەگىند, 
   {{0x5273045f,0x5c86033a,0x9eb800ec,0xe291014e}},	//   _många_, _novembru_, _mokestis_, _menjate_, 
   {{0x40e10041,0x3fd506cf,0x00000000,0x00000000}},	//   _зкасы_, _मिलिटरी_, --, --, 
   {{0x03e7029a,0x0846007b,0x3f2d01c8,0xe2fe0079}},	// [2990] _entrodwi_, _afttimes_, _membráno, _jurists_, 
   {{0x82b5015d,0xc9ff0287,0xec2b0593,0x3af70039}},	//   _serca_, _moderním_, _flyplass, _зандан_, 
   {{0xb25a018f,0xde47003b,0x9daf0079,0x52b50420}},	//   _anglu_, _angasuye_, _austrumu_, _perca_, 
   {{0x52e0001a,0xb3940003,0x42d8038d,0x938b0075}},	//   _azonnal_, _feest_, _lakey_, _førdi_, 
   {{0xfec20288,0xc3940265,0xa884003f,0xf291023b}},	//   _ekanakan, _geest_, _dawivchu, _mauao_, 
   {{0x495301bd,0x78590205,0xfdc001db,0xa01900de}},	//   _шырын_, _metallar_, _سالۋدىڭ_, _مېزبانه_, 
   {{0xe49c0145,0xe913034d,0x829101fe,0xa137026f}},	//   _плане_, _membangu, _gauan_, _алыпсата, 
   {{0x41f302fd,0x43e20040,0x205303db,0xdce400be}},	//   _attacadh_, _לקסיקון_, _ebiseben, _تۉيۉنچۅك, 
   {{0xf394044d,0xb39404ce,0x0da804a5,0x42080132}},	//   _yeesu_, _itiswa_, _abangaza, _reformát, 
   {{0x3394003e,0x33450044,0x4f1d016b,0xe5b40045}},	//   _atiswa_, _genetic_, _garuruwa, _техничко, 
   {{0x4ea30017,0x3c730288,0x82950198,0x00000000}},	//   _zaplacen, _kehrenr_, _karkoli_, --, 
   {{0x82fe02d4,0x5e0a0061,0x00000000,0x00000000}},	//   _turists_, _부산출발여행_, --, --, 
   {{0x1972003d,0x501a00de,0x00000000,0x00000000}},	//   _avinhone, _اردوپه_, --, --, 
   {{0x15200241,0xe305012a,0xd11900da,0xab440061}},	//   _baankich, _zarazem_, _техникэ_, _마케팅홍보_, 
   {{0xcc53025b,0x1f1d001e,0x71620052,0x76b90102}},	//   _restina_, _daruruwa, _harracho, _wajasiri, 
   {{0x625a00b6,0xb79a0371,0xd3fa009d,0x00000000}},	//   _diglo_, _органайз, _votuan_, --, 
   {{0xe27302f3,0x2438004d,0x02d80148,0x69ed0408}},	// [29a0] _fånga_, _中午不休息_, _sacer_, _hekitara_, 
   {{0xa60702b6,0xf2d900b4,0x62870086,0x270404d7}},	//   _сандар_, _casei_, _بہتات_, _vesturbæ, 
   {{0x03f4006d,0x72d40037,0x0f1801f2,0x2a0000e0}},	//   _kartus_, _ለኤርትራ_, _тәңлидим_, _strawelt, 
   {{0x13bb02fe,0xccf80157,0xcc640032,0xdfcd054d}},	//   _دسمال_, _किरमानी_, _mubusbe_, _kapitler_, 
   {{0x19e500ba,0x869902eb,0xf7b5014a,0x49c8009a}},	//   _خۆشویستن, _харайлта, _vérkerin, _bandlale, 
   {{0x3200037c,0xfa3c026f,0xa5d9018d,0x7c03021e}},	//   _bitkinex_, _الپپە_, _ኣጣሚሮም_, _redskap_, 
   {{0x426d0321,0x13f80339,0xb4a70156,0xad8f0092}},	//   _avtor_, _kumuao_, _נאָזלעכע, _fordomme_, 
   {{0x82b50212,0x62000129,0xb0450304,0x00000000}},	//   _credere_, _midian_, _merompak_, --, 
   {{0xc27e0238,0x104e00bf,0xb47a032d,0xbaf901a7}},	//   _hennes_, _дополнен, _грамотаһ, _заканчив, 
   {{0x0a150390,0x9f3f0307,0x9910003b,0x82910099}},	//   _xalaşka_, _bangafan, _bebanemu, _biyavo_, 
   {{0xcad20192,0x5ef403b6,0x3e1b02f4,0x76390297}},	//   _도와주세요_, _atilẹba_, _alemanes_, _аһәңлеле, 
   {{0x8f77019a,0x86330033,0x1b640065,0x025b0155}},	//   _gracious_, _irritazi, _externen_, _kvalet_, 
   {{0xcd3102ac,0x337f02c0,0xa6970074,0x1fd3030a}},	//   _وووووووو, _останала_, _investoi, _galardón, 
   {{0xa26402bc,0x32ae0256,0x36750037,0xf15f020a}},	//   _khulom_, _punktā_, _እንቅሥቃሴአቸ, _аманжол_, 
   {{0xa12d0188,0x637c0119,0x5a000679,0x6bb301db}},	//   _баста_, _attache_, _kitabnya_, _резервте, 
   {{0xd20e028b,0x3ae500ee,0xa25a0392,0x96c80087}},	//   _даман_, _segurant, _fiolm_, _mafamabi, 
   {{0x5c20009b,0x42ba03a4,0xc66600e6,0x69e40210}},	// [29b0] _зеландын_, _hondini_, _中国县域经济基本, _chirimuu, 
   {{0x90b501b8,0xab0b0087,0x51bd00d9,0x0ad101d1}},	//   _दुगुना_, _antswaka_, _диеты_, _footnote, 
   {{0xfef00056,0x913a00a4,0xf79c0188,0x76cd03d1}},	//   _kwakudin, _reflexió_, _заҳролуд_, _navaļnij, 
   {{0x42ad0008,0x58b602fe,0x9f450065,0xcfc300da}},	//   _التان_, _آرشيف_, _sonstige_, _формаць_, 
   {{0x82ba03dc,0xb1ce00bf,0xd9c70205,0x20200103}},	//   _londini_, _размерам_, _далага_, _chewanan, 
   {{0x42fd0265,0x34a40044,0x3d24019d,0x23f901fe}},	//   _klpga_, _הרגליים_, _alandire_, _sapui_, 
   {{0x4e090028,0x002c0176,0xda2f02e5,0xa2d90077}},	//   _caddaala, _brudekjo, _namichaĩ_, _pasew_, 
   {{0x59fc06b4,0x820801c8,0x82d801be,0xbf6f00e1}},	//   _shanduka_, _neformál, _देवताहरू, _jumaadas_, 
   {{0xf2ca03b0,0xe23a0176,0x15fb0109,0x572101e5}},	//   _hindra_, _ayamaru_, _jizerský, _olurankí, 
   {{0x82ea0461,0xa2d601d7,0x2d420156,0x8c450296}},	//   _chinés_, _antocen_, _aeronaŭt, _servrar_, 
   {{0xb39b01e5,0xb34102cb,0xb5820193,0x7cc3002f}},	//   _alapinni_, _porezna_, _ditulisk, _chakakuq, 
   {{0xad740061,0x0b040271,0x80570162,0xcecd01ff}},	//   _브랜드제화_, _passorde, _мивини_, _striekan, 
   {{0x88c80276,0x69ea0092,0x39af0265,0x6c140261}},	//   _бастурув, _スペシャル_, _eindhove, _ארצינו_, 
   {{0x52120339,0x99ad034f,0xe2ff005b,0xf0680157}},	//   _waiho_, _تجربې_, _striber_, _wachlarz_, 
   {{0x32fd0265,0x27b802a5,0x96570314,0xcc030271}},	//   _jlpga_, _položek_, _файлға_, _selskap_, 
   {{0x2daa0122,0xfc1b004a,0x32d8010b,0xd4030153}},	//   _perunggu_, _almannar, _folete_, _内閣官房副長官_, 
   {{0xd3c7049e,0x82ca0139,0x81e60122,0x2200033c}},	// [29c0] _hospodár, _aindra_, _باروني_, _eilian_, 
   {{0x46c70376,0x33aa010d,0xa99d02c6,0x52fd03ec}},	//   _allarsei, _servage_, _daskemme, _muzikes_, 
   {{0xf92e00d9,0x1d9500f4,0x2d1c0151,0xe4750045}},	//   _попадани, _bantoued_, _ammoinit_, _proteraj, 
   {{0x568800b4,0xc4ed002b,0x42a4027b,0x6e4900aa}},	//   _comandă_, _নিবাস_, _लोहपात्र, _nabanaba, 
   {{0xa2910478,0x938700b5,0x705c0139,0xee390322}},	//   _levant_, _epuru_, _bhaiṣṭat, _bafatira, 
   {{0xde0403b0,0x73f90544,0xe20203bd,0xc7390161}},	//   _eigenkap, _lapuu_, _gipili_, _поиграть_, 
   {{0x0a0d049f,0xebae0055,0x12900189,0xc34b0145}},	//   _kuzakuba_, _orchidac, _cenaze_, _norejau_, 
   {{0x4ca30238,0x59c700cb,0x6641028e,0xc2c5013a}},	//   _москві_, _варақа_, _waritaim_, _matleed_, 
   {{0x9d8801f4,0x1b53028d,0x3aeb04f8,0x8b6f033a}},	//   _грамплас, _kondiyon_, _deprivat, _dentarja_, 
   {{0x9c6503ae,0x71d701d5,0xd2270095,0xced3030d}},	//   _inntekt_, _indultak_, _راستگو_, _canişinl, 
   {{0x1c5a02a8,0x34a5034f,0x38c60138,0x52f100fe}},	//   _evitati_, _رنګارنګ_, _adresind, _kisimai_, 
   {{0xc9f200b0,0x019502fe,0x4199002b,0x7e2900d2}},	//   _culimada_, _کېداي_, _ধ্বনিতে_, _bunganga, 
   {{0x4c5102e0,0xf29000a0,0x72900343,0xac240291}},	//   _dintsha_, _benaye_, _kalaay_, _اختلفت_, 
   {{0x83c502cf,0x00000000,0x00000000,0x00000000}},	//   _temporár, --, --, --, 
   {{0x79c70152,0x769a0037,0x508800c8,0x7dbe0263}},	//   _даталар_, _የጠነከረ_, _министрҙ, _vacature_, 
   {{0x2200030d,0xbec50208,0x23780434,0x8afb03e6}},	//   _sahili_, _سعودبارز, _almacen_, _dodranne, 
   {{0x221303e6,0xe2d90230,0xa2ca025e,0x63200097}},	// [29d0] _duché_, _gaset_, _sindra_, _njiya_, 
   {{0xe3bc0156,0x00000000,0x00000000,0x00000000}},	//   _קנאַק_, --, --, --, 
   {{0x520502ee,0xe320027c,0xe62f0043,0x5b180226}},	//   _marittim, _akayi_, _ajanjabi, _kamponde, 
   {{0x52b201a7,0x6c1e00c5,0x89660371,0x5da0048c}},	//   _heidän_, _点击看大图_, _матраци_, _affordaa, 
   {{0xc65103a4,0xe2900067,0xa2c60456,0x03f801dc}},	//   _skrivað_, _balaay_, _diceburi_, _badugn_, 
   {{0x520002f6,0x7c9301ce,0xdde700c5,0x2e48018d}},	//   _piliin_, _ساسان_, _indiqué_, _እወንታዊ_, 
   {{0x6c5b01a4,0x296b01e9,0x22b30388,0x037203c2}},	//   _abutami_, _dignwage, _rendono_, _asparag_, 
   {{0xad9a0388,0xe37b0255,0x438c01cc,0x62ee0422}},	//   _статии_, _गोविन्दा_, _kuryād_, _limfom_, 
   {{0x03be0204,0xbf1902b2,0xb224003b,0x72d103ab}},	//   _selvisi_, _гордість_, _imikhi_, _neschvál, 
   {{0x528c048d,0x9ed3026c,0xe237014a,0xec7300d0}},	//   _omikron_, _legiones_, _harminc_, _голоос_, 
   {{0xcf9f03c2,0xe2ba014a,0x5b6402a5,0x1150004d}},	//   _shavings_, _londoni_, _zítřka_, _請工務科儘速趕辦_, 
   {{0x0aad02ef,0xda8b019d,0xe0280191,0x986300af}},	//   _aleksann_, _amazione, _kundinlo, _горами_, 
   {{0xb9e20097,0xb462002b,0x13020399,0x7ce60188}},	//   _agéníge_, _আলবদর_, _talatau_, _мепушанд_, 
   {{0x37580148,0x324c0074,0xc2b500e4,0x2fab0147}},	//   _秋天玩科學_, _normaali_, _serce_, _تۉرسۉل_, 
   {{0xa292013d,0x58700585,0xb2780037,0x92b50163}},	//   _strato_, _pevačica_, _አስፍሯል_, _perce_, 
   {{0x13960384,0x0b4a0285,0x83fa0226,0x645d0142}},	//   _njegovog_, _akatirwa_, _kapusi_, _अध्यवसाय, 
   {{0x49d90270,0xa3eb0206,0x2c770019,0x00000000}},	// [29e0] _altereme, _textov_, _قارناۋال, --, 
   {{0xa3940071,0x23940499,0xae4a0069,0xd26d026b}},	//   _langkung_, _afeso_, _birababa, _bogota_, 
   {{0x25a6015d,0x091403b5,0xa34b028f,0xf4fb00c1}},	//   _कोसते_, _membendu, _korekau_, _जिवाणू_, 
   {{0x4aeb0204,0x4cc7024c,0x0f24019c,0x00000000}},	//   _kokonaan_, _akriliku_, _gbále_, --, 
   {{0xd62900a2,0x827e021e,0xaf8d00ab,0x73f90313}},	//   _kufikiri, _hunnit_, _haihanaō, _dapum_, 
   {{0xd45e0107,0x496d00cb,0x3d06005e,0x6b480126}},	//   _تایتانیک_, _abanalut, _قوغۇن_, _печінки_, 
   {{0x5949037f,0x30470374,0x5d100265,0x261c0034}},	//   _sifarişi_, _хислат_, _verliest_, _heilmiki, 
   {{0x72d90172,0x9063003e,0x0a540025,0xf0e8020f}},	//   _wasem_, _белоруст, _रामरक्षा, _ګولونو_, 
   {{0x86af013b,0x2ee00023,0x00000000,0x00000000}},	//   _kustodiy, _петлю_, --, --, 
   {{0x79f601f0,0x3b2304cd,0x3ae700b4,0x46430156}},	//   _ahasueru, _unaprije, _acordare, _סאראס_, 
   {{0x43050017,0x6c760287,0x863702bb,0x2dc1027f}},	//   _obrazem_, _नाघ्यो_, _fioletow, _karizima, 
   {{0x415c0039,0xe14802d3,0x13fa00f2,0x237901fa}},	//   _гутал_, _impresso, _tapusi_, _halapio_, 
   {{0xe2130233,0x530d0040,0x1e050037,0x9f7a017a}},	//   _taches_, _סירפד_, _ለማብቃት_, _amacilon, 
   {{0x3e1f0301,0xa5f90109,0x00000000,0x00000000}},	//   _təkbətək_, _बिथोल्न_, --, --, 
   {{0x128d042d,0x9bac048a,0xe9bf02f3,0xa2fe0169}},	//   _mankato_, _كەلەسى_, _medelbet, _jergas_, 
   {{0x599705cb,0xef1a03dc,0x727e00b6,0x8f5f03a0}},	//   _प्रशिक्ष, _kommunur_, _diinil_, _ditaolon, 
   {{0x22f104bf,0xc2b502a4,0xd3ac01a0,0xea0a036c}},	// [29f0] _učinio_, _precor_, _hlupha_, _antanana_, 
   {{0xff77015a,0x0a31002b,0x6f13042c,0xd94b004d}},	//   _monarchs_, _বিপিএল_, _pretvara, _各分局簡介_, 
   {{0x1dc601e1,0x23f8002f,0xc17a06d0,0x987003ee}},	//   _марсель_, _achun_, _प्रभातफे, _pevačice_, 
   {{0x030a0189,0xa29102c2,0x0334028f,0x13010007}},	//   _lezzetli_, _eenkeer_, _pararē_, _mombele_, 
   {{0x9ff80057,0x026d0066,0x021902ea,0xce1702f7}},	//   _እንቁላል_, _gogora_, _подробни_, _gobelela, 
   {{0x340902db,0x03040027,0xa6e60153,0x6b62018e}},	//   _matugain_, _redakam_, _検索ボックス_, _khorwisa_, 
   {{0xc31004e7,0xf52b01ad,0xfe250461,0xcbaa0037}},	//   _verzie_, _munisipy, _olimpics_, _diekspor, 
   {{0x525a02a2,0x9d030120,0xe2910265,0x6e36004b}},	//   _bigla_, _maslacat_, _bevalt_, _урусов_, 
   {{0xcdc80125,0xb2d8012e,0x32d80065,0xe3940203}},	//   _басыбалы, _ellene_, _ecken_, _oposit_, 
   {{0x3bc30247,0x74100169,0x09f10359,0xa0490382}},	//   _مهاجم_, _হস্তান্ত, _beintema_, _floredan, 
   {{0x69e90024,0xaaef0014,0x7b6800b9,0x13f600e6}},	//   _মানুহৰে_, _perderis, _tutupnya_, _原创作品完结展示, 
   {{0xf2d80129,0x12ea0503,0xac660378,0x22020220}},	//   _illene_, _jeanett_, _flytast_, _tipici_, 
   {{0xe37c023d,0xdcce00d9,0x89850385,0xc2ca033e}},	//   _vacanze_, _развитии_, _motivima_, _findip_, 
   {{0x025a064d,0x5794036e,0xda25002b,0x5c0b02d0}},	//   _ihola_, _atawsami, _মোঃজাবেদ_, _drappin_, 
   {{0xa9790147,0xe7a8065e,0xbdb80291,0xce6b01c8}},	//   _تولستوي_, _afstemni, _للمطالبة_, _pečiva_, 
   {{0xe577017a,0x23420050,0x62d90115,0x8d29047b}},	//   _ҳайкали_, _harepan_, _kaseh_, _dampsper, 
   {{0x78fd00c5,0xf2970224,0x62910231,0x062f005e}},	// [2a00] _您所在的位置_, _pinkett_, _levare_, _سەۋزە_, 
   {{0x82d90266,0xf47302be,0xab7903da,0x3b6c008c}},	//   _maseh_, _listahan_, _emeriela_, _autruisa_, 
   {{0x60cc04cc,0x9283005b,0xdf400381,0x00000000}},	//   _hongdawz_, _nishiki_, _avascrip, --, 
   {{0x00000000,0x00000000,0x00000000,0x00000000}},	//   --, --, --, --, 
   {{0x231e02f3,0x84880170,0xe25a02e4,0x8f6501b3}},	//   _duschen_, _asaganiz, _ghola_, _symbolen, 
   {{0xe25a0002,0x23f40026,0x27a5017f,0xf5280005}},	//   _poklon_, _letten_, _amerliti, _cuvernà_, 
   {{0x0547006f,0xc3fa00c0,0xc2570222,0x7efc0139}},	//   _تابعدار_, _papuri_, _photovol, _bhraṣṭād, 
   {{0xa7d401e9,0xa2780240,0x2fba019b,0xaa0e027f}},	//   _apesitsw, _clunie_, _eurolygo, _barateba_, 
   {{0xf2b5018a,0xf3cf02cf,0x7b3300ff,0xfe51029a}},	//   _serch_, _оставаме_, _יארדאניע_, _separema, 
   {{0xc9e00026,0xc27801cd,0x4501012e,0xe34201f1}},	//   _청소년보호정책_, _waphansi_, _billenty, _nivelin_, 
   {{0x325b0225,0xeeb804de,0xf4330169,0xa9f90073}},	//   _lowly_, _توبوٝدن_, _সুমিত_, _creatore, 
   {{0x2b2f0027,0xec670023,0xa3940230,0xde29042f}},	//   _tyrannos, _другое_, _asosie_, _tungunga, 
   {{0x0c930028,0xea9b0046,0x73ec0494,0xb7bc0145}},	//   _مازان_, _الپۇرۇشق, _dostupni_, _intensyv, 
   {{0xd2ef00a1,0x8fbf00d8,0xb5d101af,0x227e042c}},	//   _mahinga_, _ovulacio, _baranymy, _vojnoj_, 
   {{0x765300e2,0x2bec0156,0xc3f40421,0x00000000}},	//   _kaikosei, _תּזריע_, _fetten_, --, 
   {{0x8985042e,0x9292051a,0x6c2c022e,0xad0d0013}},	//   _vilkåren, _fuqaha_, _accogliu_, _молдовад, 
   {{0x271803bf,0x3278031d,0x72d90176,0x871f00ef}},	// [2a10] _балаларҙ, _pounce_, _kasei_, _اساساتو_, 
   {{0x7bb00348,0x2e3d004f,0x33ea018b,0xe3f401d9}},	//   _abikayir, _batlimos_, _editat_, _hetten_, 
   {{0xdadd0230,0x13f4014a,0xe2d900e4,0x92d90321}},	//   _destrikt, _ketten_, _pasek_, _obseg_, 
   {{0x4307005a,0x0394028a,0x2edd0350,0x00000000}},	//   _lunatlh_, _kwisha_, _ለማመንጨት_, --, 
   {{0x08b40192,0xfd040271,0xd3870309,0xf681014c}},	//   _사진갤러리_, _hverandr, _aparan_, _elivelay, 
   {{0x27d805f5,0xd3ea006e,0x96280099,0x8a28005e}},	//   _अदाकारा_, _asotik_, _akandizi, _خوجىلار_, 
   {{0x68d402f8,0xbc0c0012,0x5da50049,0x231301a9}},	//   _falukung, _चंडूखाने_, _komitiva, _quebrar_, 
   {{0xc7ed02b7,0x28f601d2,0xa3a201ca,0x62680156}},	//   _bocarang, _chanataq_, _ngipha_, _געזצען_, 
   {{0x90eb00a6,0x130d0449,0xb30c03f2,0xdbd500ff}},	//   _اعتباره_, _osobama_, _antavat_, _premiero_, 
   {{0xe2cb0320,0x8a7100bc,0xae840120,0x00000000}},	//   _honokaa_, _astamiwa_, _wadarát_, --, 
   {{0x3cce0147,0x7225023b,0x42920320,0x5ae0025c}},	//   _versió_, _alakai_, _eitaly_, _absteige, 
   {{0xb25a01a0,0xc19100d6,0x8f0f01ad,0x150e00e9}},	//   _thola_, _jumbofil, _westerwa, _impozisy, 
   {{0xc0e401d1,0x02e003ba,0x85380243,0xfd9d01ab}},	//   _מאיימות_, _drunten_, _dabaanal_, _joonista, 
   {{0x62730332,0xae3c0169,0x838700cf,0x978300c5}},	//   _línea_, _এশিয়া_, _daaroo_, _provisoi, 
   {{0x0202020e,0xf29001c5,0x69130654,0xa213036d}},	//   _hatisa_, _axmad_, _membingu, _dachas_, 
   {{0x229f02f1,0x62ef00fe,0xf889018e,0xa4960094}},	//   _projeto_, _fahinga_, _emukhupu, _تۇرمەنى_, 
   {{0xa27306d1,0x15c80037,0xe2370249,0xcc20026c}},	// [2a20] _aínda_, _በመጠኑም_, _inomata_, _consulib, 
   {{0xd60100de,0xa36c00b4,0xb39401b8,0x627e02e2}},	//   _انیسه_, _singuri_, _veest_, _bunnee_, 
   {{0xf06301db,0x5c3202f6,0xcae0003b,0xb01700a7}},	//   _медиация, _pambihir, _beteluts, _душманыб, 
   {{0xed6b01e0,0x52020005,0x805900e4,0xe6d00102}},	//   _ستاندارد_, _natira_, _bohatero, _kutatuli, 
   {{0xe290032e,0x2ad6004a,0x29c20409,0x357d0158}},	//   _aymar_, _albança_, _tandpast, _ezoteryk, 
   {{0x896d06a6,0x2ff40560,0x09130159,0x8a0e0096}},	//   _nesikhat, _abayidin, _безуважл, _barareba_, 
   {{0x15a2043a,0x79d10409,0x897f002c,0x93470488}},	//   _bleinikö, _divemast, _аятунгно, _mirklī_, 
   {{0x512d003e,0xcb9901e1,0xa20200d5,0x9af70154}},	//   _хатта_, _камиллаш, _batisa_, _кафение_, 
   {{0xf1630092,0x3ed70039,0x62b50304,0xabe0046f}},	//   _クリエイティブ_, _гэхчилэн_, _mercu_, _betebuer, 
   {{0x9b2e0145,0x5d5b0206,0x4407058c,0x04ff038b}},	//   _registrų_, _dostanú_, _प्रदिप_, _permusuh, 
   {{0xef770079,0x2c2c00b5,0x317700ec,0xa55b00af}},	//   _koncerts_, _amambaýp, _нехта_, _опинився_, 
   {{0xad110139,0x728201fe,0x0b4b018d,0x6d960255}},	//   _antaraṃ_, _laladidi_, _ዝዕላምኡ_, _abilinna, 
   {{0x2534064c,0x7e9303ac,0xc6b8008b,0x00000000}},	//   _različit, _keimanan, _manganii, --, 
   {{0x5a6c00ef,0xd3d200e6,0xf25a0113,0x00000000}},	//   _abamilis, _临时股东大会_, _bholg_, --, 
   {{0x839400db,0x0989019b,0x39f7044a,0x025a0013}},	//   _seest_, _герояў_, _diangena_, _cholg_, 
   {{0x2a8701b9,0xbe4a0464,0x52ca0261,0x8a6503b6}},	//   _abandonn_, _baragaba, _acidaj_, _omoluwab, 
   {{0xe46f02fe,0x33960432,0x42900044,0xd84c0061}},	// [2a30] _استعمار_, _barsel_, _menace_, _살았습니다_, 
   {{0xb39403e6,0x22ef030f,0x1aab00c1,0xcecf0423}},	//   _weess_, _rahinga_, _गडबडला_, _nastavít, 
   {{0x6d9003f6,0xd8650010,0x425a0342,0xd1b40089}},	//   _menemene_, _besitawu, _ekilib_, _азлар_, 
   {{0xa0540214,0xba4e00d5,0x6290021e,0x9ae600d1}},	//   _abaseben, _mahereza_, _genast_, _নামানে_, 
   {{0x12b102b7,0x4e57005b,0x16e00162,0x32910127}},	//   _kandâa_, _placeret_, _جامەسى_, _bevaat_, 
   {{0x827e01d9,0x029203e9,0x173202d3,0xa88900b9}},	//   _tennes_, _kitaby_, _aparecem_, _perkampu, 
   {{0x025a011b,0x9278011e,0xe84b04ef,0x92020326}},	//   _akilas_, _younit_, _virtuais_, _batira_, 
   {{0x4c690629,0x83940513,0x627b0119,0x0d3d04a8}},	//   _acktray_, _efesa_, _jastrzä_, _tenisice_, 
   {{0xa3950260,0x6f650107,0xbc760291,0x7c150222}},	//   _reuso_, _atraksin, _صدقيني_, _quitté_, 
   {{0xcfe806d2,0x7c4601db,0x0af40024,0xc8590046}},	//   _स्टार्स_, _агроөнер, _ডিৰেক্টৰ, _retallar_, 
   {{0x72f302c7,0xe7b503bd,0x53f4037c,0xd17f004d}},	//   _bedient_, _hypermag, _partus_, _苗栗縣廠商_, 
   {{0x3b5b026c,0xfa9b032e,0x327f0176,0x72f301c0}},	//   _直接購買價_, _walinkas, _opencv_, _barinsu_, 
   {{0x8ece02eb,0xcf2d023c,0xe2c406d3,0x00000000}},	//   _кабелийн_, _baseklin, _porediti_, --, 
   {{0xba8a0462,0x5d2d020a,0x81470093,0xb36404d7}},	//   _advisers, _араша_, _разина_, _bloggin_, 
   {{0xbb61029c,0xd29103af,0x83f80193,0xcdd300fc}},	//   _akaliser, _devait_, _paduan_, _dughupja, 
   {{0x55550181,0x6fbc0061,0x659a0092,0x6f9101db}},	//   _usikkerh, _말했습니다_, _アレンスキ_, _شوشيتىنى, 
   {{0xdeae01bb,0x9a8a0197,0x9ad0008d,0x2a0e0223}},	// [2a40] _dillerin, _madichon_, _ихлос_, _garapene, 
   {{0x8c5b0132,0x3b7d001c,0xd3200193,0x0a4e02af}},	//   _mostani_, _pinneber, _konyol_, _bahereza_, 
   {{0xcae4035c,0x8a290142,0x7c270488,0x90bb00be}},	//   _postlist, _aninditā_, _kokapstr, _قىلعىم_, 
   {{0x3156035d,0xd30e0043,0x63120203,0x0b87018c}},	//   _aktuelno, _akabiga_, _trublat_, _schipper, 
   {{0x2bc40162,0xa2910120,0x22d8026c,0x72d80364}},	//   _ичини_, _badaay_, _solent_, _ecker_, 
   {{0x0f3202e2,0x10ae010f,0x5dc3014e,0xb2ff003b}},	//   _churchya, _ироаи_, _слици_, _baphiwe_, 
   {{0x331d02c4,0x03d40687,0xcc130239,0x00000000}},	//   _пазарите_, _iyamamaz, _reupeni_, --, 
   {{0x5d97007b,0xa945029b,0x2ac90204,0x81bb0311}},	//   _diffrent_, _itilisat, _isovanhe, _ምርካቦም_, 
   {{0xb3ea014b,0xf7c60393,0xee110365,0xbae903a2}},	//   _aditte_, _starijim_, _ह्योल्मो_, _एलेवेटर_, 
   {{0x6c7603a5,0x847e014f,0xfdc70071,0x425a02b4}},	//   _निन्दक_, _силом_, _شادروان_, _ihole_, 
   {{0x1c7301fb,0x3c750486,0xa7cd02d6,0xf457004d}},	//   _ovarios_, _सास्ती_, _сиғмайди_, _中文大辭典_, 
   {{0x025a01a4,0x625a04ce,0x0f6104c7,0x02880493}},	//   _viols_, _khole_, _остале_, _dhlamini_, 
   {{0x62f30193,0xff240359,0x00000000,0x00000000}},	//   _पत्रक_, _poatjirp, --, --, 
   {{0x229001d3,0x5e4a00a4,0xc3490204,0x3ed0027b}},	//   _senast_, _пайдасын, _parempi_, _जाग्रत्स, 
   {{0x32e102f6,0x0395039f,0xe2d802b0,0xc2650321}},	//   _makinig_, _reuse_, _endete_, _zbiratel, 
   {{0x43f800c9,0x099602d3,0x13dd056a,0xe2f30202}},	//   _xaluan_, _вакцини_, _boswa_, _kudirat_, 
   {{0xe27f033c,0xad7e03b7,0x5a6d0183,0x00000000}},	// [2a50] _sianel_, _affleswa, _ampotots, --, 
   {{0xc7380209,0x6e6c0132,0xd785023c,0xb2c600d7}},	//   _aarlinng, _میسور_, _پريږده_, _botlase_, 
   {{0x32a6005b,0x1c22024a,0x7a10038a,0xc25a01cd}},	//   _ameba_, _alariwis, _apachita_, _ahole_, 
   {{0x32640222,0x9c6f02ec,0xa8890456,0x288800ae}},	//   _parler_, _ururada_, _berkompu, _irahindu, 
   {{0xca8b0109,0x9b680031,0x32e003e6,0xe3f80166}},	//   _sociální_, _tuturnya_, _stungen_, _schuh_, 
   {{0x09f40139,0x62ee0225,0x1f860040,0x923b0247}},	//   _राजेन्थ्, _hernach_, _לשדרוג_, _bojleng_, 
   {{0x76d10650,0x225a0044,0xc9aa00d0,0xf8ed02ac}},	//   _ibraahim_, _whole_, _хонио_, _لتخسيس_, 
   {{0xbc5201fc,0xb1630299,0x00000000,0x00000000}},	//   _abatasa_, _нумус_, --, --, 
   {{0xbecc02ac,0x12120201,0x93fe018b,0x72b30073}},	//   _كتالوج_, _baahe_, _салариул_, _mordeva_, 
   {{0x727f024a,0xef63012a,0x725a01f1,0x25e80229}},	//   _eyanro_, _nadciśni, _agolli_, _aldatdı_, 
   {{0xbe5a019b,0xda36019b,0xb16f0420,0x39780021}},	//   _палегчан, _памяці_, _гостивар_, _andingst, 
   {{0xeddc003c,0xaea000ff,0xfd8f003b,0xcc01042c}},	//   _ملموس_, _עמיראטן_, _ayilinga, _prigovor, 
   {{0x9a0d02d7,0xa28c02c0,0x3f97005e,0x2192031a}},	//   _bisbarra_, _глобално_, _ﺑﯘﺯﻏﯘﻧﭽﯩ, _cuachach_, 
   {{0x2d010163,0x4b78003f,0xffb90008,0x00000000}},	//   _pillanat_, _ditungha_, _كوكسەل_, --, 
   {{0x69450279,0x4b040409,0x2e4a00a1,0xe3920041}},	//   _utilisat, _selskabe, _auwahine_, _роуырц_, 
   {{0xf2d9005b,0x9ce40040,0x6b9e0061,0xcdbd014d}},	//   _tuxedo_, _הראייה_, _성원상떼빌_, _verheira, 
   {{0x4c000359,0x7577014e,0x8e770029,0x8ada00ef}},	// [2a60] _himsels_, _регистра_, _ماردێن_, _فرمايش_, 
   {{0xd32002a0,0x30fe001b,0x00000000,0x00000000}},	//   _ijaya_, _faayadoo, --, --, 
   {{0x12d90488,0x123b0085,0x32b50191,0xac690343}},	//   _kases_, _laumoku_, _bredare_, _kasulaw_, 
   {{0x7c670163,0x6317013f,0xc39402ba,0xdfc40052}},	//   _بردار_, _porched_, _efesu_, _नाभिकीय_, 
   {{0x09b50068,0xff2201c1,0xf16901b2,0xaadf0303}},	//   _masjidka_, _berurusa, _adenomey_, _dumelets, 
   {{0xb7a90039,0xba57006c,0xae7d02cf,0x0d7b011a}},	//   _kontsumi, _чикадар_, _сателити_, _אלביט_, 
   {{0xec5c0272,0x738f0229,0xa1dd0211,0x00000000}},	//   _akatabo_, _dunyada_, _красками_, --, 
   {{0xa5bd023e,0x5d090255,0x7c4102c3,0x327e0127}},	//   _ditambah, _सम्वर्धन_, _dospelos, _dennas_, 
   {{0xa2900439,0xaece0333,0xd292019f,0x47c00164}},	//   _aniano_, _ambizion, _mipaka_, _намәлум_, 
   {{0x02e00166,0xa2730147,0x33f90274,0xe25a02a3}},	//   _stunden_, _línia_, _blautt_, _manlik_, 
   {{0xd3f90212,0xb802000c,0xfaf30133,0x94b101b3}},	//   _caput_, _алархәны_, _barresit, _активами_, 
   {{0x92d903b2,0x42000605,0x824b03a2,0x1e77003c}},	//   _cases_, _dimiel_, _ज़ोंबी_, _جاودان_, 
   {{0x6bf603f1,0x792e0145,0x00000000,0x00000000}},	//   _prednosť_, _амерыцы_, --, --, 
   {{0xb8c6044b,0x09c60191,0x70f0035d,0x0c2601db}},	//   _leverand, _leverant, _izdajnik_, _جوقتىعىن_, 
   {{0xaa81015d,0xd2900244,0x00000000,0x00000000}},	//   _natomias, _chiaro_, --, --, 
   {{0xb46e03d4,0x1534035b,0x120e0019,0xd94e00e7}},	//   _храму_, _različic, _камап_, _andlimit, 
   {{0x82d803f3,0xb40d0409,0x4387025c,0x0da700ba}},	// [2a70] _andere_, _最近のトラックバ, _sparen_, _بازاڕدا_, 
   {{0x22e9069b,0x795e0030,0xf5ab0037,0x9e82000c}},	//   _bagikan_, _princese, _የመጓጓዣ_, _чункевич_, 
   {{0x9f2c0338,0x12b5018b,0xd3f900fc,0x44000108}},	//   _uccellin, _predare_, _dapus_, _nubuatan_, 
   {{0x92b5018a,0x705a01db,0xe776033c,0xc30e009a}},	//   _merch_, _комитетi_, _camymddw, _ayabiwa_, 
   {{0x8c1f0141,0x89c60205,0x02050488,0x12090028}},	//   _tarafdor, _аудиокас, _neticami_, _ictiraaf_, 
   {{0xa949013c,0x30c70143,0x00000000,0x00000000}},	//   _qaradağ_, _рамката_, --, --, 
   {{0x03f90250,0xaf47002b,0xde4f026d,0x72d70153}},	//   _hapur_, _তাসনিম_, _neplatič, _治験のあり方に関, 
   {{0xf15600e4,0x7c81034c,0x1bf7029d,0xdc77000d}},	//   _aktualno, _aliullov_, _тинере_, _naisele_, 
   {{0xb9e702e5,0x230c007e,0xb2060119,0x905900aa}},	//   _насгьы_, _adityāṃ_, _sobieski_, _alpabeto, 
   {{0xe2b50450,0xda7101cf,0xfcbc0061,0xa1d100e7}},	//   _berch_, _remaneva_, _촛불집회에_, _ebrewhay_, 
   {{0x23b70299,0x00000000,0x00000000,0x00000000}},	//   _خۇۋەنجۇ_, --, --, --, 
   {{0x19520022,0xea760066,0xb1910205,0x39c20139}},	//   _акцияның_, _сайтууд_, _norasmiy_, _candrast, 
   {{0xdd980265,0xe3cf0109,0x23f40338,0x696a0007}},	//   _infectie_, _plavek_, _betton_, _mwenedit, 
   {{0xb1b70134,0xf51a0350,0xabe102d6,0x00000000}},	//   _ifasẹyin_, _መቋቋሙን_, _италияга_, --, 
   {{0x6c61062b,0xae9f0326,0x757300a8,0x83ea00bd}},	//   _baguhin_, _akamunun, _bandisch, _jditxe_, 
   {{0xe32f0014,0x5e460096,0x7c2b0350,0x9ec401b3}},	//   _ኩለንተናዊ_, _bahageze_, _ፍጥነትና_, _hornhinn, 
   {{0xc25a0400,0x0fe303ce,0x23890094,0x3719003e}},	// [2a80] _paoli_, _بارته_, _تاريحىند, _аэропо_, 
   {{0xd5d102fe,0xf7c40044,0x52b5021c,0x628e0247}},	//   _ایراني_, _ברגעים_, _herci_, _angkoro_, 
   {{0x4304038b,0x03f90514,0x001100aa,0x00000000}},	//   _memotong_, _cueulo_, _maidugto, --, 
   {{0xc7a20278,0x829700de,0xe29000ac,0x32010024}},	//   _pentadbi, _ababangi_, _dunavu_, _উন্নীতকৰ, 
   {{0xf1a20113,0xbe48014e,0xd2e70039,0x621206be}},	//   _امريكي_, _makarone_, _gernika_, _kaaha_, 
   {{0xd0c703c4,0x1af7017f,0x329200dc,0xb7bf0455}},	//   _кашкат_, _anisitat, _sipaka_, _extrémis, 
   {{0x821204d8,0xee2a04a6,0x8c69026b,0xc33f0037}},	//   _maaha_, _sledeće_, _estreno_, _ተጠርተው_, 
   {{0x02900072,0xa3f902bd,0xf7cf018e,0xd25a003e}},	//   _akhama_, _bapur_, _avutisiw, _ebole_, 
   {{0xf7050044,0x998e0164,0x447a0444,0x78130093}},	//   _successf, _зомигәрл, _промысло, _норвеги_, 
   {{0xd2e5036f,0xabdd0148,0x44770059,0xce47023c}},	//   _vojnika_, _申請變更為工商綜, _галена_, _angabuye_, 
   {{0xfe1f017d,0xe5f00008,0x125a036a,0xab9d0022}},	//   _してください_, _الامدى_, _ibole_, _минимумы_, 
   {{0xf62800ff,0x2378025b,0xb25700d1,0x15a1022c}},	//   _מעקעין_, _alfagra_, _পুত্ৰই_, _diasongk, 
   {{0xee350038,0xd2120389,0x65530079,0xd04b0132}},	//   _çönki_, _baaha_, _publicēt_, _munkakör_, 
   {{0xcc580198,0x89f70308,0x00000000,0x00000000}},	//   _zastonj_, _gadisnya_, --, --, 
   {{0x82310288,0x5c760166,0x3b2500e2,0xb75700a5}},	//   _ijamwan_, _hierbei_, _halberts, _malieleg, 
   {{0x7ae50024,0x42900256,0x48d5027f,0x717700a7}},	//   _জুলাইত_, _punktus_, _kaduhung, _бергидей_, 
   {{0x94300176,0x78c9003e,0x00000000,0x00000000}},	// [2a90] _akichaso_, _сарафанд, --, --, 
   {{0xd03b01c4,0xd9ce04aa,0xa27f00d3,0x62e30274}},	//   _ooreenko, _kaderede, _poznej_, _dýfan_, 
   {{0x03160030,0x369601b7,0xa9810315,0xde4903d9}},	//   _reizi_, _हलादिशेष, _balinike, _habakaba, 
   {{0x8949030d,0x504c00da,0x2af40013,0xb26e00ca}},	//   _qarabağ_, _британие_, _турувчи_, _besonh_, 
   {{0x22d902d8,0x279206d4,0xb88700da,0x4a9800cf}},	//   _absen_, _sintétic, _супериоа, _bayyanaa_, 
   {{0x1eb602c4,0x2f54025c,0x72cf009d,0xd2e900ae}},	//   _профил_, _gespannt_, _kalonte_, _bisigwa_, 
   {{0x784b0014,0x596b0409,0x7c6802c1,0x5a8c06d5}},	//   _ኣገላልጻ_, _関連法人等_, _amaraso_, _butikken_, 
   {{0x83f900dd,0xa25b00f1,0x908c0045,0x2a17027f}},	//   _papur_, _twalet_, _плава_, _birateka_, 
   {{0x04430193,0x3dce0220,0x3a14023c,0x9da20357}},	//   _प्रयत्ना, _граждани_, _تبعيض_, _comoufla, 
   {{0xd39406d6,0x63f50041,0x55f90037,0x92ee021c}},	//   _muista_, _cáusa_, _ሲያብራሩ_, _pocitac_, 
   {{0x133d0193,0x83f40166,0x53d0008f,0x02b30235}},	//   _धर्माधिक, _betten_, _reutersi_, _cordhva_, 
   {{0xd8a201c9,0xc2ca00db,0xbec8020e,0x62f00272}},	//   _इश्कियाँ_, _kindla_, _hirilwen, _bahingi_, 
   {{0x7af0047e,0xb25000c7,0x3aa600c8,0xb34103ce}},	//   _prirodze, _бераз_, _картуф_, _خۆکان_, 
   {{0x32d80416,0x00000000,0x00000000,0x00000000}},	//   _polones_, --, --, --, 
   {{0x870400d3,0x5416013b,0xa30e015e,0xc3870059}},	//   _आकाशमा_, _dangallo_, _mosaics_, _scarso_, 
   {{0x03950272,0xb283011f,0x00000000,0x00000000}},	//   _afuse_, _mbokara_, --, --, 
   {{0x23ea025d,0x739b00e4,0xd27f0184,0xd6d2018d}},	// [2aa0] _heitte_, _zamawiaj, _gyango_, _ribashki, 
   {{0x03f40263,0x0d8f007e,0x35b0017a,0x4f38017a}},	//   _zetten_, _विश्वनाथ, _abasayik, _abasiqap, 
   {{0x58320060,0x83ba00b4,0x33940372,0xe29404d7}},	//   _قاسىم_, _convins_, _deisen_, _beikoni_, 
   {{0x9b340047,0x22910034,0xe9f10272,0x162b03d9}},	//   _评价已经被关闭_, _gefast_, _awangula_, _boribori, 
   {{0x100702d6,0x128c00e7,0xdc5702ac,0x22040162}},	//   _душманла, _alaprocl, _بوتفليقة_, _һесиятин, 
   {{0x9f5f028e,0x03870166,0xd3940117,0xb9ae0061}},	//   _antaplon, _hierzu_, _neisen_, _hilversu, 
   {{0xa6530265,0x02910010,0x8728020f,0x7a1400c1}},	//   _deskundi, _anyalo_, _کوټوال_, _membande, 
   {{0x4c55003c,0x164900b3,0x00000000,0x00000000}},	//   _contohe_, _dushundi, --, --, 
   {{0x72910151,0x57930258,0x2a0a001b,0x00000000}},	//   _deface_, _kriteari, _galagala_, --, 
   {{0x93f401c6,0xbabf00bf,0x52b50105,0x627f0274}},	//   _setten_, _империи_, _blachy_, _dagný_, 
   {{0xf2130178,0xca0a012c,0xf5c20235,0x00000000}},	//   _ध्वजारोह, _daladala_, _cintanā_, --, 
   {{0x29e20465,0xd58803e0,0x8f5d0009,0x00000000}},	//   _zakonika_, _antikité, _izražanj, --, 
   {{0x394c00a7,0x31cf002b,0x629000b3,0x221d00d6}},	//   _бытие_, _জসীমউদ্দ, _aymaz_, _تجارى_, 
   {{0x709800f5,0x360b0005,0x3a6b0276,0xb2d90478}},	//   _трибунас, _colliazi, _истемали, _podent_, 
   {{0xb3dc0430,0x6ebf0037,0xca0e027f,0x92e901a4}},	//   _sikwa_, _በማሳወቅ_, _birakene, _motinda_, 
   {{0xe498042f,0x82e90205,0x63320156,0xf6e7030a}},	//   _anngutik, _lotinda_, _אַנקעטע_, _adscrici, 
   {{0x55610052,0x46e20059,0x6eaa002b,0xe5db009a}},	// [2ab0] _अद्यावधि, _главният_, _কোটচাঁদপ, _فرمايل_, 
   {{0xb9830219,0xa394008b,0x4cec0019,0x49ec0320}},	//   _sitifike, _adison_, _تۇرئزمدە_, _kuhitisa_, 
   {{0x03f40051,0xca45010b,0xc27f0077,0x82d7044b}},	//   _kartes_, _bahebera_, _agenou_, _villaer_, 
   {{0x8c600033,0xcb2302ac,0xa2910080,0xdc250013}},	//   _quatter_, _ومصايف_, _affaat_, _pasaytir, 
   {{0xc29002a2,0xd23606d7,0x9379022d,0x62b502aa}},	//   _lamang_, _ahojte_, _capanna_, _placky_, 
   {{0xf17d0044,0x43f803f2,0xbf080135,0x9c1e02fd}},	//   _חילוץ_, _haluan_, _palatası, _adaptxt_, 
   {{0xea2d02ac,0x12f20129,0x73f803dd,0x64740121}},	//   _الغدة_, _hichapụ_, _kaluan_, _superado_, 
   {{0x895100a7,0x62170011,0x723b0343,0xd99b0187}},	//   _reportat, _abukundi_, _dobleng_, _ставиш_, 
   {{0xf34b0203,0xb2820357,0xdfb40159,0x5b90031c}},	//   _adheret_, _katadigi_, _renginį_, _alcanzó_, 
   {{0x4296007e,0x67e60401,0xcd9a0090,0xe9ef00f0}},	//   _द्रोही_, _लेखराज_, _asingawa, _striebra_, 
   {{0xca0f03db,0x0202004e,0x306e01de,0x00000000}},	//   _lubalule, _mapili_, _мүшәйра_, --, 
   {{0xfa5701c7,0x5c1d04f9,0x429000ad,0xe27d03d8}},	//   _дивала_, _pisaasar, _damang_, _jedinici_, 
   {{0x564d00be,0x42b605b3,0xb31c027b,0xe30900aa}},	//   _ايىتساڭى, _bladsye_, _वलीपलितन, _katahap_, 
   {{0x3a190148,0x12020119,0x79f403cb,0xb2b302d3}},	//   _萬元人民幣_, _napili_, _lalín_, _компири_, 
   {{0xe29002be,0x1ecc0261,0xd2640150,0x41790204}},	//   _namang_, _komenciĝ, _skulim_, _грамотны, 
   {{0x03940399,0xf9990244,0x04e80025,0xc23601c0}},	//   _efesi_, _бележки_, _athainām_, _cenje_, 
   {{0x5f7603ad,0x728806d8,0xad100465,0x637f012c}},	// [2ac0] _dnubietn, _प्रसिद्घ_, _spalnice_, _wadaiwa_, 
   {{0x0e020175,0x7e1d046b,0x82910315,0xe39d00bb}},	//   _enternsa, _ryseitia, _bevane_, _بلاؤں_, 
   {{0xb3a20386,0x09c50178,0xa912004d,0x42ea03d4}},	//   _sampai_, _akartṛka, _其實每個男孩_, _старина_, 
   {{0x18930043,0xb04d02e2,0x72aa0113,0xdc51000d}},	//   _agakanud, _enquirin, _تسالي_, _जेहेन_, 
   {{0xc15c0162,0xb6510224,0xf98300a1,0x637f0456}},	//   _туран_, _skrifað_, _atahanga_, _samaada_, 
   {{0xdd6e019e,0x566a020e,0xd33d0163,0x49e00318}},	//   _асфальту_, _хисмәтул, _بیراج_, _fetukutu, 
   {{0x66e901cc,0x99400061,0xe3660613,0xcc62019a}},	//   _विमर्दये, _미국에서는_, _apagado_, _elduelo_, 
   {{0xba0f02f0,0x5795006c,0x44020258,0xea0b00a0}},	//   _kubalule, _дудила_, _deariden_, _biladama_, 
   {{0x7e1a007d,0x35b7032e,0x920202e1,0x63fa000d}},	//   _pengelua, _chikayañ, _intinn_, _astuda_, 
   {{0x02d8018b,0x929002f6,0xd15b0205,0x2cd80061}},	//   _acces_, _yamang_, _dvigatel, _민주주의에_, 
   {{0xb37f006f,0xf20100a8,0xcb890145,0x70610012}},	//   _kamanda_, _debits_, _komandų_, _ठामसँ_, 
   {{0xd807011f,0xc18a02aa,0xbb000281,0xbf2e00d8}},	//   _бармышь_, _vitaminy_, _dieselit, _castilha, 
   {{0xd18a012a,0xe58201e8,0x224f020e,0x00000000}},	//   _witaminy_, _dipennsy, _сменала_, --, 
   {{0x725a011b,0x125b017d,0xc37900b3,0x6eca0067}},	//   _azongisi_, _hvalpe_, _aydayin_, _gazzahaa, 
   {{0xbb02018e,0xcdf40073,0x33780113,0x10330361}},	//   _entsonge, _tardessa, _ويسمى_, _мордвы_, 
   {{0xbbd804a0,0x72d600bd,0x2a0f04cf,0x6a42034c}},	//   _símbolos_, _callous_, _bubalule, _алышабыз_, 
   {{0x11c1041b,0x220e01bd,0x37d901af,0x13ac054c}},	// [2ad0] _karthick_, _самал_, _allaberg, _snuppa_, 
   {{0x598d016f,0x6ffd0177,0xa25a0378,0x6ae4002b}},	//   _запитань_, _иҧшаан_, _siglt_, _শীতাতপ_, 
   {{0xe3030340,0x7ecb0281,0x7c55056a,0x8f2e0187}},	//   _matatau_, _annilaan, _bontshe_, _pastilha, 
   {{0xf36400d6,0x41f40092,0x0628023e,0x88680291}},	//   _بورما_, _ウィキ関連単語_, _dibrodol_, _فيليب_, 
   {{0xc50501cc,0xdd700156,0x32da01d9,0x8da3010d}},	//   _asmadīya, _דעטעקטיו, _eltere_, _kebobola, 
   {{0xe3010253,0x429000fa,0x4c1100ec,0xc1c302c4}},	//   _kitaani_, _tamang_, _статусам_, _сокови_, 
   {{0x0418024a,0x5d11014d,0x59bf0065,0x5efb04c7}},	//   _bibasepo_, _verliert_, _geleiste, _ставове_, 
   {{0x23ea00bf,0xe25a004f,0xbc5b0321,0x0301012c}},	//   _довольно_, _sellal_, _postani_, _mitaani_, 
   {{0xba79003c,0x734505d5,0x839501b0,0x73fa00db}},	//   _دوقرون_, _fonetic_, _awasna_, _istuma_, 
   {{0xc3dc05f7,0xe2d80109,0xaa5f01d9,0xf58002c4}},	//   _incwm_, _koleje_, _dramates, _снема_, 
   {{0xa9800369,0xb84d0051,0x2e67065b,0xbde200d9}},	//   _iunipeia_, _vasarnīc, _सरोगेट_, _консоли_, 
   {{0x435a0055,0xd30e0305,0xf39002b9,0xc2d901e7}},	//   _légion_, _omtalar_, _hunyadi_, _modert_, 
   {{0x47be0229,0x441f0403,0xa0b70008,0x6c0102f3}},	//   _pilotsuz_, _farandro_, _قۇربۇم_, _avklarad_, 
   {{0x227800b3,0x526d0312,0x926d01e4,0xa2020081}},	//   _onunde_, _livour_, _luboš_, _litinn_, 
   {{0xb1120093,0x92e700fb,0x8f820444,0x6ee30025}},	//   _классика_, _asinalo_, _звуку_, _avikalen, 
   {{0x190e03b0,0xaeae0191,0x78e10157,0xc3210015}},	//   _populær_, _tillbrin, _अजहरुद्द, _ayeyna_, 
   {{0x9c4d0007,0xd5ea0037,0xbdb901d5,0x72d600ac}},	// [2ae0] _bótika_, _ከየአቅጣጫው_, _pannonha, _primamlj, 
   {{0x42f5002f,0x9d750124,0xb26d00e4,0xe36e009b}},	//   _kutitam_, _mbumbuse_, _pogoda_, _aingeru_, 
   {{0xec7603d5,0xcd900182,0x52cc0220,0xd26d0210}},	//   _chested_, _henehene_, _mondiali_, _angova_, 
   {{0xfb2203f3,0x9d5c0046,0xce0f018d,0x0a1402c2}},	//   _verboden_, _объектил, _ብተጋድሎ_, _vakansie, 
   {{0x11930128,0x4b890041,0x819400ff,0xf2ec0109}},	//   _туманида_, _дырҿамгы, _אָסלאָ_, _odstíny_, 
   {{0x327e02c2,0xa387023a,0x8f990367,0xed0b01bc}},	//   _kennis_, _mierou_, _convites_, _ferovere_, 
   {{0xe588014a,0xf14601c8,0x01ea00d1,0x296d0156}},	//   _aktivitá, _starosto, _অভ্যৰ্থন, _פשוטן_, 
   {{0x2d1602d2,0xf20001ac,0xf881019b,0x444000db}},	//   _эрдуғон_, _himill_, _patikimu, _rikkalik, 
   {{0x4feb00d6,0x26620061,0x117e01e5,0xadad0185}},	//   _ajoutée_, _개식용합법화_, _ketadinl, _diñgezen, 
   {{0x8d580413,0x8d0c00e6,0x32da054c,0x00000000}},	//   _elaborou_, _modulair, _rotete_, --, 
   {{0x925a01ed,0x5ea2036e,0x03e40079,0x3c710344}},	//   _maoli_, _anatinae_, _lētas_, _akornat_, 
   {{0xd71d00a4,0x7e5100ce,0x1c7700ac,0x12da0244}},	//   _арасынан_, _departma, _unesite_, _potete_, 
   {{0xe5bb021a,0x8e0e0133,0xd36e00dc,0xd1650381}},	//   _baratich, _barfatta, _maatulim, _arrowbay_, 
   {{0x1588025c,0x97a20057,0x28d602a2,0x1651025b}},	//   _aktivitä, _mentadbi, _matulung, _skrivaðu_, 
   {{0xd2d801df,0xa74e0311,0x918400ec,0xc3a202c2}},	//   _accep_, _እምዱርማን_, _сябар_, _skepe_, 
   {{0x335b0559,0x4cca0046,0x7e1b0098,0xf266008a}},	//   _kangaka_, _кредитти, _kommunes_, _kubuabol, 
   {{0xbbdf03ec,0x8c7303c0,0x06b2008f,0x027f012c}},	// [2af0] _falender, _smerter_, _छत्ता_, _vyanzo_, 
   {{0xf20202fd,0x52f201e6,0xe2b302ac,0xa201037f}},	//   _aitinn_, _rodinou_, _preasrái, _baximi_, 
   {{0xd3200134,0xf2ec0103,0x62d8020e,0x2fc20208}},	//   _ajayi_, _agwinhe_, _boleke_, _مانوو_, 
   {{0xb6fa00c1,0x12d80207,0x00000000,0x00000000}},	//   _जीवसृष्ट, _kidete_, --, --, 
   {{0x324a012d,0xeed4019b,0x5f590223,0x384c0239}},	//   _lusman_, _regionin, _болдгийг_, _koromatu, 
   {{0x35ac0397,0xaae401c6,0x92b50271,0x52500205}},	//   _олими_, _dokumint, _hendene_, _беҳад_, 
   {{0x827f0337,0xf2900196,0x93480396,0x8ae40265}},	//   _ilanı_, _akhala_, _mudelli_, _posthist, 
   {{0x0db70096,0x223400c3,0x92cb0538,0xa35b01a4}},	//   _umunyama, _sermone_, _leddet_, _bangaka_, 
   {{0xbc80026f,0xae4200d3,0xd2ee042c,0x1c60024a}},	//   _жедел_, _मूर्तिहर, _vojnici_, _fagunwa_, 
   {{0x1df001c5,0x8a720499,0xb2d902e2,0xf2e901e1}},	//   _مندور_, _aigamaua_, _lagoons_, _bapisoa_, 
   {{0x93790298,0xf2d80151,0x92b5028d,0xc1c40103}},	//   _aitanga_, _dawning_, _predire_, _chamakam, 
   {{0xb26404c9,0x93010061,0xc24a0074,0x821300d2}},	//   _tarlac_, _싸고좋은중고차가, _varmaa_, _agehan_, 
   {{0x9236034b,0xa27701e7,0x6248024c,0xcfcc0291}},	//   _denja_, _biergerl, _hemmek_, _theoiric_, 
   {{0x24850052,0xc3dc020d,0x9e990139,0x6a0a024f}},	//   _ह्यापी_, _inkwi_, _caitanye_, _yalayala_, 
   {{0x673d0205,0xcffe0029,0x72d9048f,0x02cf028a}},	//   _проверку_, _ستبێنه_, _kologer_, _watetezi_, 
   {{0x4f2c0026,0x7be002d4,0x547d022a,0x37c900e6}},	//   _opmerkin, _leuenber, _selediko_, _收藏到我的书房_, 
   {{0xd2670148,0x1b6501b2,0x12f20486,0x42c802a5}},	// [2b00] _若您的瀏覽器不支, _barmbrac, _učinil_, _šumavy_, 
   {{0x2c8a03c2,0x1a8f0090,0x4d7a017a,0x071c06d9}},	//   _perfumed_, _akazoona_, _adalulwe_, _incursió, 
   {{0xc25a0220,0x31b200ff,0x2379020d,0x2a0b0049}},	//   _dagli_, _עקססעל_, _zitanga_, _mahaehae, 
   {{0x83790119,0x3df4028e,0xa2910075,0xb8d00442}},	//   _pitanga_, _gardissa, _gevast_, _dipermud, 
   {{0xb3860528,0x521201a0,0x1c700040,0xaf790078}},	//   _storas_, _byihi_, _גרביונים_, _рафинери, 
   {{0x9c5b01da,0xb256002b,0x931f01a9,0xa9b90223}},	//   _postoni_, _বান্ধব_, _marcado_, _попын_, 
   {{0x522600ee,0xcc0a0038,0x23670119,0xa5bb0046}},	//   _edukia_, _aqşnıñ_, _alimasag_, _تۉشۅنۉش_, 
   {{0x01e101ec,0xf3f00160,0x329002c2,0xc64103b0}},	//   _مخازن_, _bezobraz, _afname_, _skråning, 
   {{0x629104bc,0xe2d9001c,0x02d9008c,0x8c070320}},	//   _lenkjer_, _basey_, _sasez_, _lewsaku_, 
   {{0x03eb0255,0xf2da0244,0xafb20092,0x8ba30282}},	//   _avatud_, _potere_, _検索ヘルプ_, _kaikoper, 
   {{0x69df0270,0x12910151,0xcf350203,0x220201cf}},	//   _prendeva_, _defame_, _apportar_, _sition_, 
   {{0x62d80497,0xf29001b7,0x12d9047a,0x8ddb00bb}},	//   _pilotes_, _agnaye_, _nageon_, _غضبناک_, 
   {{0xc0610207,0x634001f9,0x527f02a6,0x00000000}},	//   _علماءِ_, _bafelwa_, _ageniu_, --, 
   {{0xb0460022,0x939a0220,0x0c760220,0xb765022f}},	//   _сексуаль_, _compagni_, _storici_, _nesibaig, 
   {{0x41480073,0x9b650220,0x5aec00d0,0xbed901d9}},	//   _cultello, _abilitar, _лянхуа_, _gehirlos_, 
   {{0x32e00176,0x0728021e,0x7a2300bb,0x783e004d}},	//   _grunden_, _pensionä, _جوہانسبر, _武漢大學簡帛研究, 
   {{0x332002fe,0x7fd202ea,0x3e5e0350,0x5d3206da}},	// [2b10] _ndiya_, _допуска_, _ላልተወሰነ_, _फ्रॉक_, 
   {{0xe32002e7,0x3ab80043,0x36390234,0x2ccd0161}},	//   _idiya_, _awakakas, _sotìkany, _барабана_, 
   {{0x439400fb,0x96fb0037,0x92b20120,0xad4302e4}},	//   _igesi_, _የበኩላችንን_, _yaadiya_, _invalidu_, 
   {{0xaffb019b,0xd2e90233,0xc9c700c8,0x886b003c}},	//   _nepamirš, _abonnat_, _саранан_, _budinipu, 
   {{0x3668034f,0xa3f4019b,0x0de700c5,0x3f1404ca}},	//   _ټورنمنټ_, _kartos_, _indiqués_, _bastissa, 
   {{0xac710142,0x5e9d01db,0x22d8021c,0x5e550498}},	//   _पृष्टा_, _تۇنشىعىپ_, _kolene_, _obhajuje_, 
   {{0x2dff01da,0xa34f0101,0xd3660272,0x1b0601ef}},	//   _arrestua, _comenzi_, _abatatam, _вернікаў_, 
   {{0xe27e001c,0x7b6501b5,0xb2d800a0,0xf6a200e6}},	//   _dolna_, _angurisa_, _dolene_, _省人大常委会委员, 
   {{0xb03702c2,0x9caf00d8,0x00000000,0x00000000}},	//   _vastelan, _celebrèt_, --, --, 
   {{0x262a00ff,0xa87d0044,0x19fd0297,0x69a80037}},	//   _הוסיאטין_, _deliciou, _bizneska_, _መተዋወቅ_, 
   {{0x72da0343,0xb26e0282,0x63200082,0xf4b40321}},	//   _aspeto_, _ahuone_, _adiya_, _bencinsk, 
   {{0x239d0213,0xa2d401ef,0x87890276,0x8305020f}},	//   _заменены_, _naudos_, _хаталиқи, _ورنکړل_, 
   {{0x96640192,0xcb590477,0x5ec60188,0xe8470089}},	//   _공휴일제외_, _faktanya_, _мантики_, _габали_, 
   {{0x23f4030a,0xdda20021,0xa76a0037,0xb7b2014b}},	//   _cartos_, _acentiap, _አልሸባብ_, _waaliyak_, 
   {{0x34e700db,0xe387005d,0xa32002e7,0x3cf70066}},	//   _गह्यौ_, _avarâ_, _ediya_, _torturar, 
   {{0xa3dc0430,0xd52d000e,0x97700305,0x526c019d}},	//   _bikwa_, _glazialk, _gruvedri, _aulosi_, 
   {{0xd3e50193,0x46bd0229,0x4a19025e,0x83090187}},	// [2b20] _regulasi_, _situasiy, _kaupendu, _престолн, 
   {{0x0291011b,0x00000000,0x00000000,0x00000000}},	//   _biyano_, --, --, --, 
   {{0xf0650348,0x85b20092,0x1abb00da,0xbce80187}},	//   _ababeeto, _今日の訪問者数_, _convinge, _бузлевск, 
   {{0x305301dd,0x943e0066,0xb181004d,0x52f400ee}},	//   _abasesen, _саяны_, _中華人民共和國_, _ostiral_, 
   {{0xd9470125,0x82d6001d,0xe2fc01d9,0x79d802f7}},	//   _bulutlar_, _esforco_, _althing_, _ditesele, 
   {{0xc34702ec,0xeebf00d6,0x90ab028b,0xf26002f7}},	//   _ناگرادن_, _orduithe_, _атеннис_, _dituelel, 
   {{0x19e9017f,0x051b00fd,0x91d70205,0x7a2802da}},	//   _atatillu, _baintigh, _минимал_, _нарушува, 
   {{0xe26c0439,0x647600a3,0x00000000,0x00000000}},	//   _kulori_, _augekrok, --, --, 
   {{0x93ac04d3,0xcda70212,0xed980135,0x0ebf0113}},	//   _soupha_, _sngowsha, _нефтен_, _arduithe_, 
   {{0xfeb303f8,0xf12c0156,0x927e0204,0xe6e0019e}},	//   _charghbe_, _אלפאבעט_, _kynnet_, _бязглузд, 
   {{0x6dfe0430,0xd50d00c5,0x4a8c00f5,0x81fa00f6}},	//   _gandamip, _英超宝贝挂历大盘, _журналың_, _planetim, 
   {{0xb9e200bb,0x429a0209,0xb3f90315,0x4bd80269}},	//   _چاہيے_, _arabiami_, _enyuse_, _intentó_, 
   {{0xbdbf02af,0x72e300f3,0xb31702a6,0x81b30130}},	//   _basature_, _belinde_, _bancale_, _burevioù_, 
   {{0xdb0000ea,0x00000000,0x00000000,0x00000000}},	//   _bersabea_, --, --, --, 
   {{0x63050086,0xa6eb023e,0xe2b5004c,0xc95f0107}},	//   _ثوبان_, _atharwaw, _badduse_, _کیتکو_, 
   {{0xf88d01eb,0xaa120371,0xf237003c,0x00000000}},	//   _ahoverev, _хеликопт, _خشنودی_, --, 
   {{0x626c0424,0x52da05f4,0xcf24002e,0x19fb0393}},	// [2b30] _culori_, _aspero_, _mašta_, _uložiti_, 
   {{0x8a0a0008,0x59c7019b,0x2b0200e0,0xee4d0176}},	//   _catalana_, _гарадах_, _komselde, _chisarou_, 
   {{0x537900a1,0xea790488,0x2e990043,0x00000000}},	//   _tapaina_, _neizplat, _baatonye_, --, 
   {{0x639406db,0x0ef10415,0x9d1200ee,0xf62b03b9}},	//   _weisen_, _hervorra, _titularr, _sumankañ, 
   {{0x625a046b,0xcfd30158,0x3c3d01bb,0xe3e3027b}},	//   _baglu_, _pojechał, _bellenýä, _अमिमिश्र, 
   {{0x92d80085,0x27a60209,0x158400d9,0xf2fe0109}},	//   _dolele_, _amerlisi, _стремитс, _borgis_, 
   {{0xa21500bc,0x2d70004b,0x41160040,0x327401d5}},	//   _هوائی_, _инзер_, _פיזיולוג, _mikrohul, 
   {{0xb59602c4,0x421200ad,0x82ee0017,0xb2d80087}},	//   _имаме_, _nyaho_, _penzijní_, _folele_, 
   {{0x9413003a,0x11590300,0x491a01f6,0xe7b70226}},	//   _شاهدی_, _poplatky_, _স্বীকাৰ_, _bakuguli, 
   {{0x927e008c,0x6fd20513,0x83530094,0x37af02a3}},	//   _tonnas_, _enongono, _جۇبان_, _fakultei, 
   {{0x96110117,0x4307043a,0x742c019b,0x769f0510}},	//   _deklerei, _depatik_, _агонь_, _коьртачу_, 
   {{0x797602bf,0xc876042a,0xa3950119,0xa3de0657}},	//   _abengume, _abengumu, _neuss_, _taqwim_, 
   {{0x5fd9032b,0xa2de013c,0xd7ec0334,0xe2c8012b}},	//   _айтолдиғ, _dilindən_, _ankapang, _spodenki_, 
   {{0x5c6a01aa,0x1c7200a7,0x12d0018b,0x026e018a}},	//   _eastlay_, _ofertes_, _butonul_, _cwtogi_, 
   {{0xb24800fe,0x524c0238,0x82230038,0x265000f0}},	//   _hoomou_, _словники_, _аюпова_, _neverím_, 
   {{0x1c9303b8,0xddf000bc,0xb2d6003d,0xfb6202c7}},	//   _керектіг, _اندوه_, _apelats_, _zwiebeln_, 
   {{0x139402d4,0xb96d00bc,0xd3860076,0x0201014a}},	// [2b40] _quista_, _مارمالاد_, _atores_, _rubint_, 
   {{0x49b20254,0x426e018a,0x132002d6,0x903703cf}},	//   _alojamie, _gwtogi_, _abiyhi_, _hastalan, 
   {{0x125a036c,0x046702fb,0xa386019c,0x3c780013}},	//   _mbola_, _falehopo_, _awero_, _шундагин, 
   {{0x364a02ac,0x8a0d055a,0x72d801e1,0xa3b60208}},	//   _مُشآركات, _hipotéti, _bolele_, _واندوز_, 
   {{0xc2dd013c,0x29c60261,0xff3902c2,0x8c01028e}},	//   _kiminsə_, _revenant, _vinniger_, _ogastus_, 
   {{0xd28c0410,0x627f012b,0xee9602b2,0x326c00d2}},	//   _dipapadi_, _poznaj_, _vålereng, _melong_, 
   {{0xdff801ef,0x226c0115,0x52ee036d,0xaa970141}},	//   _французс, _lelong_, _dornoch_, _черковни_, 
   {{0xda5e0174,0x32840176,0xa38701e5,0x5f3f0320}},	//   _segerika_, _michiko_, _iparun_, _itigiran, 
   {{0x8ee00152,0x8f1f01b5,0x6645007e,0x5d9101e5}},	//   _реаль_, _cukumeta, _anekakri, _borommap, 
   {{0xff4a0120,0x4db6001d,0x865500e6,0xea490028}},	//   _barsaana, _estimega, _据记者了解_, _ajnebiga_, 
   {{0x62340193,0x373b0009,0x00000000,0x00000000}},	//   _berjanji_, _zanositv, --, --, 
   {{0x105d0023,0xa2da0369,0x9291038a,0x4e990074}},	//   _апреля_, _kupelo_, _azuay_, _самодель, 
   {{0x7d9e0359,0xdeac00e5,0x1b0201b5,0x99cf00a2}},	//   _ingelske_, _controle_, _entsunge, _kilometa_, 
   {{0x06290179,0x00000000,0x00000000,0x00000000}},	//   _nevabobä, --, --, --, 
   {{0x6588046f,0xb2e60285,0xe39500e1,0xcc18028d}},	//   _aktivité, _akanama_, _beuss_, _sibalter, 
   {{0x8db004ad,0x930f0198,0x73e30354,0x286a028b}},	//   _babangwe_, _globoko_, _февралди, _gmailbru, 
   {{0xd6e10012,0x4a8a008d,0xca0a02a2,0xc364014a}},	// [2b50] _गोपालपुर, _банданин, _patalast, _telefonj, 
   {{0x522401ed,0x9df20497,0x49c80040,0xf0610178}},	//   _koikoi_, _deadbeat_, _התגלתה_, _साहसं_, 
   {{0x725b00f1,0x87a90272,0xbdf80157,0x8eaf011e}},	//   _evalye_, _abataali, _आत्माओं_, _lakontan, 
   {{0x20ad0323,0x22e902ec,0x027e0198,0xe6330017}},	//   _اشارو_, _deriska_, _vodne_, _पिछडिएको_, 
   {{0x556700a7,0x1f39014b,0x6538026f,0x6b9a031a}},	//   _чиркин_, _dooritaa, _بەلشەدەن_, _daingnic, 
   {{0x07c502ac,0x22340139,0x2148027e,0xe33d002b}},	//   _مررررررر, _anumeye_, _приградс, _চর্মরোগ_, 
   {{0x850302fd,0x8a0a025f,0x2c7e020b,0xf63d004d}},	//   _ballrach, _balabala_, _ekesodo_, _桃園市復興路_, 
   {{0x1b590227,0x73560222,0xb2c60230,0x02d803db}},	//   _waktunya_, _erreurs_, _rialize_, _indebe_, 
   {{0xfc540364,0xd21202f6,0x0c800060,0xd26c047d}},	//   _festung_, _byahe_, _неден_, _gelong_, 
   {{0xdff50153,0x2aa20142,0xde56012b,0xeb77021a}},	//   _betydnin, _पिष्ट्वा_, _atrakcje_, _arjummaa_, 
   {{0x2519020f,0x52b401ec,0x8163017a,0xd1460060}},	//   _خوراکي_, _kencan_, _номида_, _بالامەن_, 
   {{0x8eea0144,0x00b30205,0xed72018f,0x959a0025}},	//   _اساور_, _shimchal, _chomupqa, _aparipak, 
   {{0x73200196,0xf6150040,0xfe4b013c,0x434203fd}},	//   _ndiye_, _רויאל_, _yaradaca, _pafelio_, 
   {{0x4fb50060,0x425703a2,0x8b1e00c6,0x00000000}},	//   _تىراشتان, _रुकेगा_, _лотерейн, --, 
   {{0xc33d0650,0x1f7f030a,0x1c3e004d,0x130f0241}},	//   _سیماب_, _cambados_, _收貨人地址請填台, _darbata_, 
   {{0xe8df0191,0x8b860321,0x9cdb0156,0x229701a9}},	//   _fungerad, _gotovino_, _אפאהר_, _colocá_, 
   {{0x67e3010c,0x72d90122,0x7d3e0360,0xe24a0023}},	// [2b60] _त्रिवेदी_, _bagean_, _definice_, _harmaa_, 
   {{0x00000000,0x00000000,0x00000000,0x00000000}},	//   --, --, --, --, 
   {{0xaec402aa,0xf2290311,0xc49300f8,0xa3060016}},	//   _renesanč, _ኣሕፈሮም_, _সংশিস্নষ, _detalaj_, 
   {{0x23c60012,0x7b2901be,0xba54017a,0x2c61034e}},	//   _बिसमिल्ल, _चक्काजाम_, _abamesab, _buqueta_, 
   {{0x337b028e,0x6e340099,0x9aa9041a,0x110c02ac}},	//   _galasim_, _achatswa, _запланов, _لتبييض_, 
   {{0xc2d40256,0xbb0501e8,0x043d00a4,0x8b06023a}},	//   _naudas_, _kasgaran_, _كاتىيۇشا_, _overenia_, 
   {{0xc3f400ec,0xa2b60046,0x00000000,0x00000000}},	//   _kartas_, _trucar_, --, --, 
   {{0x321f0029,0xfc6601ab,0xe2ee042c,0x92b40138}},	//   _ئیمڕۆ_, _rootsis_, _ukinuti_, _gencin_, 
   {{0xaa0a01fe,0x005800ea,0xf5ec0025,0x89480156}},	//   _calacala_, _ambarato, _अध्यक्षः_, _געקראכט_, 
   {{0xc2ee0532,0x23870109,0xb39402f3,0x7ee20253}},	//   _skinuti_, _čarou_, _etiska_, _dioxinit_, 
   {{0x626d0303,0x7474051e,0x1b0f0244,0xe28a011b}},	//   _bogoma_, _esperado_, _disperat, _efiakoli_, 
   {{0x1d6f0147,0x5a1f021a,0x731f043e,0xe13a0198}},	//   _ئحلاس_, _barbadaa_, _moscoso_, _najdenih_, 
   {{0xfc010058,0xbc53020b,0x3a070583,0xa26c02cd}},	//   _subsats_, _dintsho_, _šiška_, _bulogi_, 
   {{0xd2010148,0x2c6901e5,0x7503002f,0x87f00210}},	//   _subire_, _ifuramo_, _callpach, _asisadiw, 
   {{0xf97e00ec,0x12da007b,0xb343060b,0xb20102fd}},	//   _групы_, _thresh_, _नटरंग_, _fraing_, 
   {{0xf25a00d5,0xd1fd00f5,0x14ac0010,0x46d00096}},	//   _saoly_, _эюзйашоа, _bebangak, _amacakwi, 
   {{0x1d05022f,0xc25a00ea,0xaeac0342,0xb14b0158}},	// [2b70] _populiar, _paoly_, _kontwole_, _obrotach_, 
   {{0xfe6c0132,0xd917053b,0xdc770025,0x9b6e01e1}},	//   _پیشوا_, _cancelad, _मार्षा_, _khutlela_, 
   {{0xb25a0116,0xc2cf012e,0x1faf00e6,0xea61004b}},	//   _scold_, _kellék_, _网易体育推荐_, _kwallets, 
   {{0xcdfe0156,0xa8460040,0x669f0311,0x34fb027b}},	//   _וואלווס_, _contribs_, _ብማእከል_, _क्वासौ_, 
   {{0x6f8900c3,0x79c6023a,0x23dc04b9,0xc9e400a1}},	//   _推薦這個部落格_, _nezabúda, _glowin_, _rokohina_, 
   {{0xe26d01fe,0xf2d806dc,0x83790207,0x00000000}},	//   _digova_, _nomear_, _milango_, --, 
   {{0x9a64029f,0x520600a6,0x6c700267,0x160f02cf}},	//   _areáli_, _والوزول_, _preradu_, _изнајмув, 
   {{0xdf000502,0xc7a000c9,0x2b230163,0x5df700ff}},	//   _knuckles_, _eximbank_, _naprakés, _אסאסיאצי, 
   {{0x37ec0021,0x5dad003d,0xc3030282,0x1c6f019d}},	//   _adapterw, _alunhada, _matarau_, _dziralo_, 
   {{0x5c18027f,0x4c0a0453,0x92dc01da,0x00000000}},	//   _biranter, _prepuna_, _bukoshi_, --, 
   {{0xf2b50007,0xf321047a,0x4c82005e,0x1c670265}},	//   _bercy_, _akeyan_, _كەۋسەر_, _gestopt_, 
   {{0xc2ce03e6,0xe27805d5,0x13dc04b9,0x637900c4}},	//   _schmelz_, _miunde_, _flowin_, _kilango_, 
   {{0x10b501ab,0x8c050388,0x0ebb01f3,0x00000000}},	//   _केहुके_, _sassari_, _majoritn, --, 
   {{0x1b2500d0,0x12fc03d5,0x225a001d,0xfb2a0085}},	//   _мускино_, _bolgan_, _cellul_, _iyabeyab, 
   {{0x8a8b032d,0xbbe10128,0x9c71019a,0x37eb0156}},	//   _balichab, _италияда_, _beeriet_, _תּשעה_, 
   {{0x964c027f,0xb85f0166,0xe496024c,0x69c60024}},	//   _akayirah, _erinneru, _aggressj, _dialekta_, 
   {{0x82da018e,0xb2be020f,0xa3f90165,0x7a8c002b}},	// [2b80] _gqweta_, _جګپوړو_, _oiauwe_, _ভিয়েতনাম, 
   {{0xc4c80302,0x129701d7,0x22b301eb,0xd532012c}},	//   _тарафдор, _engaschi_, _hendyno_, _akinyany, 
   {{0x0e51023b,0x7284048c,0x1f340450,0xbac500e7}},	//   _kepakema, _anthoin_, _persinta, _eamworkt, 
   {{0xeb8500b4,0xc9810217,0xb66d017a,0x00000000}},	//   _стрекура, _typicame, _даровард_, --, 
   {{0xdf40005e,0x41840315,0x528c0528,0x00000000}},	//   _ﻗﯩﻼﺗﺘﻰ_, _atibandl, _pumpaidh_, --, 
   {{0x4dc300bf,0x2c06017d,0x7f3a006c,0xbc7201db}},	//   _улице_, _overenss, _abaseqop, _реалисті, 
   {{0xb3050013,0xa6cb0046,0x200a03ee,0x3ee70368}},	//   _kelajak_, _cospedal_, _raspoređ, _западом_, 
   {{0x05620113,0x028900a7,0xc3160588,0xe3cf0026}},	//   _bhallstá, _اقلاق_, _agize_, _liever_, 
   {{0x60f70086,0xc2ef0045,0x0300034c,0x162900ec}},	//   _نکاسی_, _vernici_, _awsburg_, _mobilusi, 
   {{0xad1a001d,0xcac103ce,0x73ea01b9,0xc48f00d5}},	//   _analogie_, _نۆزده_, _diktif_, _nangatak, 
   {{0xd742022f,0x68350312,0x65e800c7,0x1dce0038}},	//   _pavojing, _termenad, _almassız_, _виҗет_, 
   {{0x973900b4,0xa2260040,0x59e3020a,0x03e40051}},	//   _impotriv, _מסודרת_, _домалақ_, _tētis_, 
   {{0x4bf40051,0xcf3801d2,0x1547018c,0x22d3034d}},	//   _amatpers, _angulema, _verkrach, _celoteh_, 
   {{0x88860121,0x084d0022,0xdef40381,0x02c802ed}},	//   _prohibid, _процесын_, _edevelop, _botouse_, 
   {{0x926c00a1,0x63cf0033,0xb48f036c,0xd36502f1}},	//   _hohoro_, _diever_, _mangatak, _largura_, 
   {{0xb22f0192,0x220e0159,0x92d503b0,0x5147017a}},	//   _진행합니다_, _панам_, _samlast_, _ҷазираи_, 
   {{0x0400027e,0xceda01e1,0xc1c4036c,0x11f400e6}},	// [2b90] _земни_, _bothaten, _akamakam, _搜房房地产网_, 
   {{0xbd8b01d8,0xe3950528,0x9af403ae,0x1ade0261}},	//   _kilomita, _drasta_, _overhode, _achelous, 
   {{0x5c610216,0xe2d80129,0x96c602d8,0xcb2001a7}},	//   _adirese_, _jidere_, _galamedi, _sekaisin_, 
   {{0x8afb029b,0x02120095,0x495a0219,0x00000000}},	//   _dénkaane_, _ayahi_, _eciniswe, --, 
   {{0xf3950534,0xcf21043d,0x76ca0179,0xd12d0045}},	//   _trasua_, _kejujura, _ravanaci, _расту_, 
   {{0x6c930029,0xdee80257,0x63c100e6,0x9c6f00ff}},	//   _راسان_, _frakklan, _买卖通会员_, _akurata_, 
   {{0xec870142,0x01640153,0x9d160062,0x9fdd01a3}},	//   _akhilaṃ_, _よろしくね_, _mohlahbe_, _ڪارڻن_, 
   {{0x53950079,0x2e0b0162,0x5365008b,0xa3070037}},	//   _krasta_, _искәнҗис, _bingako_, _belasah_, 
   {{0x9ea103e7,0x55550159,0xf86a0140,0x0792004d}},	//   _charente_, _думаць_, _aasikasu, _周年紀念車款_, 
   {{0x431704cd,0xf4ba0322,0x7365008e,0xecc60153}},	//   _njezin_, _akabihak, _dingako_, _愛媛県松山市宮田, 
   {{0x7407001a,0x0dc00135,0x4877000c,0x99cd0111}},	//   _feliratk, _artistla, _imongaku, _annodava_, 
   {{0x52ca02f3,0xc394003b,0x6c7d0288,0xaa4703bf}},	//   _handla_, _agesi_, _ortscha_, _дилбәр_, 
   {{0xa386007f,0x92da0311,0x73c403b6,0x00000000}},	//   _agorir_, _hyseni_, _paradà_, --, 
   {{0x8ba40220,0x6307039a,0x8afa0061,0x00000000}},	//   _pericolo_, _sedarah_, _사회복지사의_, --, 
   {{0x543300be,0xe7ea0148,0x82e90212,0x2c640287}},	//   _ابىيرىڭد, _世界趴趴走_, _antiqua_, _tabulce_, 
   {{0xd30d0205,0xa34200c1,0x62d802ea,0x35c50096}},	//   _bolalar_, _लाकूड_, _ridere_, _bamporik, 
   {{0xda74023c,0xa0190188,0x259b042d,0x5225003e}},	// [2ba0] _ګرځېدنه_, _шонси_, _famoriam_, _hurko_, 
   {{0x872500bc,0x565103dc,0x1f090035,0xdd2a046f}},	//   _ngembang, _skrivaði_, _сенная_, _dampmasc, 
   {{0x1bfc0151,0x0dd10313,0xeeaf005b,0x73950400}},	//   _smuggler, _dachavla, _fudousan, _beason_, 
   {{0xb23903e3,0x1e030147,0x8b150156,0x3be40024}},	//   _larmoni_, _سىنينۇچۇ, _דענסטמאל_, _পঞ্চায়ত_, 
   {{0x8a810128,0xac6a062c,0x6b8a0464,0x230602f7}},	//   _آشيرگن_, _चुन्नू_, _arananir, _fetolang_, 
   {{0xbc610066,0xa27e0009,0x09c00258,0x8e490061}},	//   _dituela_, _polna_, _efterste, _오늘까지만_, 
   {{0x8d0f018b,0x1db6003c,0x78e803d5,0x92ca0260}},	//   _colorate_, _astinega, _brashlag, _candea_, 
   {{0x027e0086,0x24fb0052,0x30da013d,0x6bfc0385}},	//   _volna_, _श्रद्धाञ, _volontul, _bolesnic, 
   {{0x6afa0192,0x58ba0008,0xa2d00083,0x66e8004d}},	//   _이르기까지_, _mantenir_, _diploms_, _筆資料符合_, 
   {{0xdb3a0037,0xc4c50145,0xb6a7005a,0xe27e0479}},	//   _አርድዕት_, _kambario_, _disummoh, _tolna_, 
   {{0xaa7e0096,0xa24c0153,0xd4a000e6,0x8ecf02c7}},	//   _ahunguts, _ということは_, _扣发全年目标管理, _sonntags_, 
   {{0x62f50242,0x351a03fd,0x0deb0160,0x3403019b}},	//   _ittiham_, _aperaamo_, _podjedna, _чэмпіяна, 
   {{0x12a60524,0x523901f4,0xb46500bc,0xdba300a4}},	//   _osobnu_, _farmoni_, _nindakak, _ашырылат_, 
   {{0xa3950125,0xb5620125,0xbc1403d7,0x0eb60497}},	//   _arassa_, _зейтинли, _grupman_, _accredit_, 
   {{0x52e70129,0xfcbf00c4,0x7989006c,0x83470239}},	//   _ezinulo_, _ڪيٽگريز_, _барангез, _menetia_, 
   {{0xa9f503ed,0x758f01fc,0x290b00b5,0xc39502a4}},	//   _bebês_, _mafereey, _jahachau, _crassa_, 
   {{0xc99301d5,0xd0c60334,0xa71c0156,0xc3400583}},	// [2bb0] _بھوکے_, _analakal, _האנטוכער_, _vodenja_, 
   {{0x3300035b,0x00000000,0x00000000,0x00000000}},	//   _straneh_, --, --, --, 
   {{0xab0801ff,0xc7e301cd,0x00000000,0x00000000}},	//   _premeniť_, _молики_, --, --, 
   {{0x865803b0,0x6394042c,0x00000000,0x00000000}},	//   _sakkunni, _otisla_, --, --, 
   {{0x52d80069,0x334c0148,0x2a1101c5,0x0b70002b}},	//   _indege_, _liberam_, _kubbadda_, _নন্দিত_, 
   {{0xd37b02c4,0x00000000,0x00000000,0x00000000}},	//   _entregam, --, --, --, 
   {{0x134001da,0x039501f6,0xd2490085,0x00000000}},	//   _modelja_, _kryssa_, _vakotori_, --, 
   {{0x7d6b0144,0x0d500109,0xb1a700c1,0x00000000}},	//   _bhomaite_, _ब्लगको_, _आरामखुर्, --, 
   {{0x318a0039,0xc0e603a2,0x1ad702b4,0xc75e0193}},	//   _дюкан_, _यूजीसी_, _asetjent, _कार्यात_, 
   {{0xf95602ac,0x34fa0193,0xc2960055,0x3b9b05b7}},	//   _بهدفين_, _किराणा_, _antaghji_, _neznalic, 
   {{0x5c6f013a,0x07070039,0x0db700d6,0x00000000}},	//   _mierken_, _камерын_, _ghoillea, --, 
   {{0x339d022f,0xfdc10218,0xde4e053f,0x327e0433}},	//   _манекены_, _orthotop, _nuwawina, _kolno_, 
   {{0xdb0f0141,0xc7e20060,0xddc00473,0x96f40350}},	//   _yangilas, _рефлекст, _steierma, _ማህበሮች_, 
   {{0x22a6060c,0x92fc059c,0x494b02c1,0x460600e4}},	//   _osobou_, _folgen_, _nyamashe, _karmieni, 
   {{0x034a0462,0xbb6b00db,0xda870080,0x9e4b013c}},	//   _oardbay_, _lasteaia_, _allisits, _yaranaca, 
   {{0x1f6d04d3,0x327e04b7,0xdf9b000e,0xa091023e}},	//   _toobfaab_, _vonnis_, _conecter_, _دوومیدان, 
   {{0x4b19022b,0xb3ac013f,0x24210113,0x00000000}},	// [2bc0] _borgmeis, _despet_, _القابل_, --, 
   {{0x930c0033,0x00000000,0x00000000,0x00000000}},	//   _midadas_, --, --, --, 
   {{0xed6c027b,0x04250082,0xe9fd011c,0xb35400d8}},	//   _बाणैर_, _hatsarin_, _dawalkat, _assetat_, 
   {{0xbb0a00ae,0xf4d10255,0x00000000,0x00000000}},	//   _amashuka_, _मानिटर_, --, --, 
   {{0xaf4102f8,0x93010414,0x00000000,0x00000000}},	//   _langafon, _liebele_, --, --, 
   {{0x2dc0024c,0x249f02ac,0x51c9014f,0x23200558}},	//   _kummerċ_, _قسنطينة_, _кошта_, _odiyo_, 
   {{0x1320028a,0xe5520126,0x186e0156,0xe37b0007}},	//   _ndiyo_, _телефону, _טועמיה_, _lotango_, 
   {{0xebe40203,0xacdd028a,0xc65c0386,0x18620125}},	//   _wagenpar, _هزارها_, _banyakny, _görünse_, 
   {{0x8fcc011e,0x51ce0037,0xba7e000a,0x0e1701c9}},	//   _larivyer_, _ያካሄደውን_, _hellefis, _paneelma, 
   {{0x52af0016,0x3ae10478,0xf7b00263,0x00000000}},	//   _אפריקאנע, _accediss, _facultei, --, 
   {{0xe56700ee,0x56040320,0xdb350209,0xa8140299}},	//   _рекордыг_, _hlalwuri, _appartis, _دۆڭكۆۋرۈ, 
   {{0x76ba02f7,0x13f1004d,0x02e805b3,0xd3070227}},	//   _bokebekw, _行政院公共工程委, _perfek_, _setapak_, 
   {{0x8a0f0086,0xcc6a027b,0xf401013f,0x00000000}},	//   _hibajele, _गौर्यै_, _fubudenn_, --, 
   {{0x51600148,0x49f40587,0x634a00e7,0xba720088}},	//   _被關在籠子裡_, _bejàs_, _eardbay_, _optativa_, 
   {{0xd3460515,0x1c0c003e,0x5d6f01a6,0x4b2c0281}},	//   _conduis_, _bleskop_, _kaumatua, _anaanaas, 
   {{0xd25a01b9,0x305a0037,0x896402d5,0xfc6604ca}},	//   _aboli_, _ቡልጋሪያ_, _प्रस्तु_, _bestiau_, 
   {{0xe0600139,0x83200251,0x00000000,0x00000000}},	// [2bd0] _राजसं_, _adayg_, --, --, 
   {{0xef1f032e,0x33f20086,0x237803db,0x47730043}},	//   _mistusip, _beillesz, _bayadla_, _alikumeg, 
   {{0x22d8044a,0xc3a30288,0x59f100ad,0xaa280269}},	//   _andele_, _anapan_, _sahingga_, _sancione, 
   {{0x69f60357,0x827e0321,0x98590187,0xc96700a5}},	//   _butuvanu, _polno_, _проектит, _mekisate, 
   {{0x1f2700d5,0x5bfd0377,0x03770040,0x84870109}},	//   _alatsina, _районалэ_, _טרמפולינ, _आमगाछी_, 
   {{0x7fec0226,0x687300b2,0xac4b017f,0x00000000}},	//   _adayitan, _amanamnu, _brownip_, --, 
   {{0x726e022e,0x7386015c,0xb6e60121,0x9867000d}},	//   _attori_, _iwert_, _inscribi, _tekitatu, 
   {{0xe2560287,0xc5ad0079,0x33fa0304,0x00000000}},	//   _पंगेनी_, _oktobrim_, _catuan_, --, 
   {{0x6daa0307,0xd2900203,0xe167002b,0xc02e0025}},	//   _abangafa, _exear_, _ভূমিকায়_, _ardhamās, 
   {{0x730e0250,0x26a103db,0x4b91020f,0xf9150013}},	//   _ekzistoj, _ayithath, _دجنرال_, _хурайра_, 
   {{0x786102ec,0x4f580367,0x96ba01f0,0xbfc60179}},	//   _دِوٕنووُ, _atualmen, _bosaitsi, _revidavo, 
   {{0xa26c0087,0x709100c6,0xfa0b0035,0x6b23011a}},	//   _kuloni_, _однодумц, _гөлбоста, _לאטמה_, 
   {{0xfb0e0145,0xdfbd006c,0xc2130361,0xbdef0153}},	//   _stiprint, _abalukho, _коммуна_, _というのがありま, 
   {{0x38470420,0x33fa02d8,0x3ca3015e,0x16510257}},	//   _гаражи_, _satuan_, _турчу_, _skrifaðu_, 
   {{0x410a0080,0x9d7001a3,0x0c5a0148,0x00000000}},	//   _amikkull, _مهرچند_, _imitari_, --, 
   {{0x82980494,0x2ce40040,0x00000000,0x00000000}},	//   _ljubavni_, _נרגילה_, --, --, 
   {{0xc8f603db,0xfc180260,0x12d800b3,0x84db01ef}},	// [2be0] _bayakuvu, _encarcer, _dilege_, _востраўс, 
   {{0xef5b05f4,0xaf9b043a,0xe2ed0311,0x60ca0211}},	//   _aknachan, _lydekker_, _ከነዘኻኽር_, _точности_, 
   {{0x5c61023a,0x095003a4,0x89b00497,0x00000000}},	//   _smeruje_, _dagligde, _bedjacke, --, 
   {{0xf26c0151,0x8e950111,0xfc5201dd,0x852b0239}},	//   _demote_, _trattate_, _adatera_, _maungawh, 
   {{0x62c404ee,0x659c01e6,0x3a0a03be,0x7429020f}},	//   _kirediti_, _semifiná, _batahana_, _وګرځاوه_, 
   {{0xa0f60142,0xcd130024,0x3cff014d,0x405e045b}},	//   _गुरवे_, _সতৰ্কবাৰ, _forumsuc, _пробного_, 
   {{0xf34a0037,0x830e0636,0x12ca0046,0x3c5503f3}},	//   _እናመሰግናለን_, _poticanj, _gandia_, _bestond_, 
   {{0xd35f03ab,0xba3d0052,0xd55c0355,0xaa0a0369}},	//   _funguje_, _letiště_, _prašume_, _kalakala_, 
   {{0xd3f40294,0x334800ee,0x624a00aa,0x8297013f}},	//   _earths_, _найрамда, _harmia_, _rankout_, 
   {{0xd9fa000c,0xc2ca012c,0xb6c5028a,0x00000000}},	//   _ambuerku, _bandia_, _ڪونسل_, --, 
   {{0xd69b00b4,0x838600c2,0x01790462,0x3b720211}},	//   _акциуне_, _ntera_, _aimantcl, _стене_, 
   {{0x52440309,0x238601f8,0x72fc010b,0xcd930109}},	//   _mömin_, _itera_, _bothong_, _neneseme_, 
   {{0x65fe01ee,0xd2ca023e,0x8d9904e6,0xf98602ee}},	//   _участвов, _tandha_, _kailanma, _modifika_, 
   {{0xddad03b9,0xef6502bf,0x47550260,0x6d050109}},	//   _apanukup, _acaphele_, _metálico_, _fakturac, 
   {{0xa87d01dd,0x8ae9019b,0xc69c0436,0x3ff10052}},	//   _artichau, _юрыдычны, _baština_, _स्त्रीको_, 
   {{0x02d800bc,0x1ea10176,0x3395031a,0x6af50086}},	//   _filede_, _begrebet_, _leasan_, _sarokban_, 
   {{0xecb802ec,0x4ccf0040,0xbdba004d,0x1a870192}},	// [2bf0] _muxammad_, _המחזה_, _pannonia, _politieb, 
   {{0x92730166,0x53f40230,0x00000000,0x00000000}},	//   _beurteil, _lartis_, --, --, 
   {{0x02d201d5,0xc02e00be,0xb1b10365,0x00000000}},	//   _angolok_, _كەچەكتەر, _decentní_, --, 
   {{0x9b690361,0x43030251,0xf5120014,0x00000000}},	//   _водорода_, _intaanu_, _informoh, --, 
   {{0xa386002c,0xd9f700be,0xc301013b,0x3778004c}},	//   _atera_, _بۇۇرۇل_, _duranti_, _baakolag, 
   {{0x9f2204f2,0x9a880150,0x42900403,0x12ed0529}},	//   _vietinba, _rabisman_, _ahiako_, _odriče_, 
   {{0x226401db,0x00000000,0x00000000,0x00000000}},	//   _қуырып_, --, --, --, 
   {{0xd1d70147,0x6a1702af,0x18050360,0xb31900d6}},	//   _بۇۇعان_, _baraduka_, _वर्षभित्, _ميزات_, 
   {{0xd2ca028b,0xa2910437,0xbd3e00c5,0x6225017c}},	//   _sandia_, _vilkår_, _ambiance_, _gurka_, 
   {{0xa3400456,0xcb280128,0xa191004d,0x4c0702e2}},	//   _lagenda_, _қўғирчоқ_, _circumfl, _barteeas, 
   {{0xfa6b05f5,0x22da029a,0xc4180013,0x93a10181}},	//   _प्रशंसक_, _antete_, _назарияс, _ayaxiah_, 
   {{0xb3860130,0x00000000,0x00000000,0x00000000}},	//   _gwerz_, --, --, --, 
   {{0x82e003ba,0x403102d3,0x93bc00c4,0x1b1804ad}},	//   _brunnen_, _vantagen, _ڪلپنا_, _diragets, 
   {{0x5378036d,0x73430238,0x90880276,0x32250125}},	//   _abhainn_, _дорога_, _قۇماندان, _durka_, 
   {{0x667c018b,0x9340027f,0x777b0088,0x00000000}},	//   _пореклес, _kagenda_, _комузуну, --, 
   {{0x9ae2008d,0x02d90010,0x0a8701b4,0x8adf02c2}},	//   _عبدالقدی, _abonane_, _polisieb, _sekurite, 
  
   {{0xf6d00013,0xf2d903c6,0xb290015b,0x135400f4}},	// [2c00] _ambarimi, _andert_, _ranawe_, _arsezat_, 
   {{0x03c90059,0xd2e003ae,0xd519028f,0x6c6e0305}},	//   _забранен, _grunnen_, _koroneih, _angrepa_, 
   {{0xd6df0244,0x096601e8,0xc447012a,0xc3a3018a}},	//   _descrizi, _anorexic_, _निवासियो, _siapan_, 
   {{0x9b30008d,0x56460122,0x21260074,0x6e43016b}},	//   _мерос_, _کارواش_, _авторизо, _sanadiya, 
   {{0x22ad0036,0x18dd0366,0x825504df,0x00000000}},	//   _ألوان_, _составил, _beslendi_, --, 
   {{0x634000f9,0xaeb00111,0xae490226,0x05080350}},	//   _hagenda_, _racontan, _angafune_, _አምላኩን_, 
   {{0x03400272,0x0386005b,0x7d5401d2,0x125a012a}},	//   _bagenda_, _numre_, _antañiqi, _biologii_, 
   {{0x53940233,0x1305010d,0xf26401bb,0xb274020f}},	//   _aidsmh_, _pemasok_, _baslap_, _څوځلي_, 
   {{0xa27e003f,0xb200047d,0xada90462,0xf8be01b4}},	//   _lodni_, _schief_, _ossiblep, _verenigd, 
   {{0xe62a0238,0x9af4003e,0x8b9b00d0,0x7c800008}},	//   _таланови, _emisitse, _arrigorr, _челек_, 
   {{0xb52c0552,0x744a0037,0x22da002f,0x1d130166}},	//   _vaenghuh, _ክንውኖች_, _aqweta_, _türkisch, 
   {{0x28580374,0x00000000,0x00000000,0x00000000}},	//   _badallar_, --, --, --, 
   {{0xe3db027d,0xdebd047d,0xe034014a,0xeedd02b6}},	//   _početak_, _sonnenen, _keresnek_, _араласуы_, 
   {{0xa2da003f,0x62bb03e8,0x00000000,0x00000000}},	//   _biseng_, _boleče_, --, --, 
   {{0xd76302af,0x6ba60058,0x43a300ac,0xc3bb020e}},	//   _akayishi, _kleiliko_, _skupe_, _bokweta_, 
   {{0x18bf029a,0x06d40281,0x968c0452,0xa8cd01f3}},	//   _understu, _aanaqqii, _फंदात_, _extrudov, 
   {{0x2ea101b5,0x02da0342,0xc3e6000e,0x929002be}},	// [2c10] _adolosen, _antere_, _regulari_, _banaue_, 
   {{0x56510224,0x7342052e,0xd84a0126,0x95330476}},	//   _skrifaði_, _hiberno_, _запаленн, _akanyany, 
   {{0x923e0349,0x6c7e0178,0xea3c0204,0x8b180229}},	//   _agnesium, _aṃśatray, _мусор_, _sabahdan_, 
   {{0x527f000c,0x7c2500d8,0xb224068e,0x722502d5}},	//   _ehendu_, _baquié_, _unikli_, _purki_, 
   {{0x42da0342,0x851602ec,0x4d3e01b4,0xd2e5028d}},	//   _entere_, _yeelanay, _prentjie_, _manntra_, 
   {{0x0e960162,0x58990420,0xecb9032d,0x05210092}},	//   _تىزىم_, _моментов_, _бәйән_, _みんなが書いてい, 
   {{0x42ea016f,0x4aae0342,0x82c602f1,0xc69d027e}},	//   _домашній_, _boukmann_, _normais_, _греси_, 
   {{0xfaf2025c,0x1aa10590,0x898e004a,0x4f450685}},	//   _bearbeit, _өхөөрдөм_, _газиз_, _værende_, 
   {{0x78430084,0x537f004c,0xb366008f,0x00000000}},	//   _airmancu, _annamba_, _बनाईला_, --, 
   {{0xbe39021a,0xbc7f0028,0xac800064,0xe3d90037}},	//   _abbaansa, _farsamo_, _нечен_, _በብቃትና_, 
   {{0x8037053f,0x13ea007f,0xccc40354,0x0d76014e}},	//   _tuiteron, _alltud_, _ۋېروس_, _факсом_, 
   {{0x0cc604bf,0x39ca012c,0xd9df031c,0x3a57004b}},	//   _poziciju_, _bagosora_, _recogida_, _лигала_, 
   {{0x93450040,0x6d540060,0x6fed00d1,0x97f00064}},	//   _kinetic_, _ептеп_, _biskopar_, _desquali, 
   {{0xeea30547,0x88470164,0x7e520040,0x9d89005e}},	//   _vendidos_, _нарази_, _disclose_, _ئاتتىلان, 
   {{0x8290030c,0x504d0163,0x934201ab,0x82e50278}},	//   _hunalu_, _دلیری_, _सबरंग_, _wannura_, 
   {{0x4d97015d,0x127f000c,0x7a1302c7,0x61c70057}},	//   _motoryza, _ahendu_, _verbreit, _menempah_, 
   {{0xf341001c,0xacd10156,0x999f0311,0xd9f901be}},	// [2c20] _depensa_, _צדקתך_, _ንኣገልጋሊ_, _jaterní_, 
   {{0x23860417,0xafda00ba,0x1d3b01f7,0x7533028a}},	//   _sterf_, _فرێدریک_, _berlinés_, _changany, 
   {{0x15a900c5,0xd22406be,0xde730238,0x6ff60035}},	//   _大兴少年宫_, _ahiki_, _ситуації_, _ниятли_, 
   {{0xf2c7040f,0x69d80303,0x48c80311,0x00000000}},	//   _засталос, _ditebele, _ኮምሽንን_, --, 
   {{0x63a3005b,0x527802fd,0x92130242,0x22e1008f}},	//   _chupi_, _chunnt_, _yarıdan_, _बारीं_, 
   {{0x33520286,0xc27e0594,0x934d0367,0xa767003e}},	//   _adaworom, _finnes_, _fizeram_, _педагогы_, 
   {{0xcecd05e0,0x131402af,0x1dbd00e6,0x43060094}},	//   _contraíd, _bihishij, _香港富翁的奢华生, _кешендер_, 
   {{0xb023049e,0x428f0157,0xa03200a6,0x00000000}},	//   _pondelok_, _linkiem_, _ebutshen, --, 
   {{0xc68e0057,0xb7aa0215,0xad230026,0xa60a0196}},	//   _ይነግረናል_, _utstilli, _verstuur, _anamuuki, 
   {{0x2d50018f,0x99c40037,0xb95b0161,0x8dd30153}},	//   _boyajchu_, _አድራጐት_, _uskomatt, _みんなの株式_, 
   {{0x6bf10057,0x1b88028e,0x03dc0170,0x205b01e1}},	//   _berterus, _maritmer, _dakwi_, _hopatero, 
   {{0x33950124,0xd6d102f0,0x2e53003e,0x8fb70122}},	//   _stasia_, _awusesiy, _dikaroha, _چراغی_, 
   {{0x9202003d,0xced30510,0xdcd6002b,0xf380041e}},	//   _ferits_, _шерохова, _শত্রুদের_, _aguriu_, 
   {{0x2201007b,0x227e0009,0x9dbe006c,0xcd690041}},	//   _nubile_, _polni_, _батадриҷ_, _рырҕәҕәа, 
   {{0xa2cb00ab,0xa7a9016d,0x012d019e,0xb37f00b4}},	//   _tokorua_, _كۈيتۈن_, _наста_, _relatia_, 
   {{0xe2250294,0xc2d80288,0x9c0d011d,0x6b8701d2}},	//   _kurku_, _meken_, _баланцат_, _banister, 
   {{0x228c027f,0x73870155,0x130e0257,0xd58f003e}},	// [2c30] _arakena_, _svaren_, _akranes_, _difeketh, 
   {{0xd43301a3,0x68c304c7,0xacef0242,0xbc610003}},	//   _سنڌسلامت_, _деветнае, _bölüşmək_, _startte_, 
   {{0x92da018b,0x02b5055f,0xf224005b,0x7fd702d5}},	//   _altele_, _kendine_, _shiki_, _इन्जीनिअ, 
   {{0x92b40422,0xac530322,0x83170059,0x4628015a}},	//   _jajca_, _amutuka_, _svezia_, _gmailiti, 
   {{0x238604ee,0x19c60126,0x6eaf0133,0x8df60009}},	//   _etere_, _калюжі_, _filooran, _prenašan, 
   {{0xac5502a1,0xb348000f,0x8dc7023a,0x00000000}},	//   _gestand_, _demekki_, _mamičiek_, --, 
   {{0x69c500e4,0xd201023b,0x321c0364,0x7e44025e}},	//   _dewelope, _iubile_, _wouhin_, _næringu_, 
   {{0x825a0290,0x3aca0074,0x270b004d,0xcb8f01cd}},	//   _scola_, _китайски, _浙江省人民政府_, _амалан_, 
   {{0x29920056,0x00000000,0x00000000,0x00000000}},	//   _солхои_, --, --, --, 
   {{0x9d70011d,0xa26303c7,0xa394036e,0x00000000}},	//   _андей_, _złoty_, _grisya_, --, 
   {{0x1c610066,0x1b40002b,0x0911019c,0xa8bb0497}},	//   _zituela_, _মূল্যবোধ, _lairotẹl, _beguiler_, 
   {{0xc39402ee,0x304b0128,0xca08028f,0x53080067}},	//   _hamsa_, _لنگننی_, _hamahona_, _darbeen_, 
   {{0x85c8027e,0x4d110076,0xd02c02fe,0x96ac0081}},	//   _грачаниц, _уставот_, _میلیونون, _bergsvei, 
   {{0x0c4d00a7,0x13ac023b,0x32f004fe,0xdbab00ec}},	//   _байланыш_, _ahupua_, _schiavi_, _energiją_, 
   {{0x0753017c,0xf7a900f2,0x0c400052,0x00000000}},	//   _kronofog, _santīmie, _समुद्रमा_, --, 
   {{0xc8ce0218,0x73200230,0x6a77027c,0x6af80311}},	//   _anufactu, _aliyn_, _کارستين_, _ይቕጽለሉ_, 
   {{0x1c320010,0x5d13005e,0x935804a8,0x03ac0499}},	// [2c40] _akaphamb, _لائىلاھە_, _drugome_, _inupia_, 
   {{0xc1860056,0xfbc10127,0x8be901eb,0x00000000}},	//   _zikankul, _markowic, _indoeuro_, --, 
   {{0xafbd00c5,0x2283005d,0x531200bb,0xb51d0439}},	//   _年中国经济现代化, _arekova_, _پرچھریوں_, _lourenco_, 
   {{0x640303d0,0xab000026,0xd51a023d,0x427e0466}},	//   _savršeno_, _rubrieke, _speriamo_, _podno_, 
   {{0x72ad02ac,0xe1950040,0x639400a6,0x0a870303}},	//   _حلوان_, _traceabl, _bamsa_, _godisits, 
   {{0x1c3e0044,0xfe480169,0x12240066,0xe0ae000c}},	//   _יונייטד_, _উদ্দেশে_, _ohiko_, _арнак_, 
   {{0xd76c028b,0xae530039,0xb18e0291,0x9f370061}},	//   _alphadbg, _моторын_, _تكفيني_, _무엇인지를_, 
   {{0xb87802e5,0xbb5d015e,0x00000000,0x00000000}},	//   _ihenteku, _кадырлап_, --, --, 
   {{0x62d801a1,0xed130119,0x3186032c,0x32240181}},	//   _weken_, _märkisch, _allamiul, _ahiko_, 
   {{0xc06802eb,0xc15600bc,0xbda400ba,0xc74e0350}},	//   _цэгцтэй_, _شادونه_, _گۆڕدرێت_, _ያጠያይቃል_, 
   {{0x2a880148,0x42e20150,0x5224005b,0x926c0103}},	//   _苗栗縣不限_, _prentem_, _chiko_, _anoona_, 
   {{0x75c700b3,0x43160054,0x913a0053,0x00000000}},	//   _ornaşdyr, _agaza_, _telunjuk_, --, 
   {{0x53d80037,0x194701eb,0xa36f02f3,0x226c005b}},	//   _እውቀትን_, _арадио_, _bloggat_, _ishop_, 
   {{0x76130173,0x67d8002e,0xf4030527,0x42d403e2}},	//   _আন্দোলনে_, _događaj_, _završena_, _escocia_, 
   {{0x92d800ce,0xc30101b9,0xcaf20156,0x02eb025f}},	//   _lekel_, _yerarsi_, _aktorojn_, _motindo_, 
   {{0xba8703a0,0x086d01e5,0xf50101c9,0x608e0207}},	//   _bodisits, _ingiland, _miljonär, _مستوئي_, 
   {{0x8ddc04de,0x4cc500da,0xa9730217,0xb19f04c8}},	// [2c50] _الاون_, _активитэ, _admittit, _daħħal_, 
   {{0x32d802c2,0x829001cf,0x2073011d,0xa7cc0172}},	//   _teken_, _chiamo_, _вернанци, _fanteakw, 
   {{0xed8e00c9,0xceb90135,0x686600cf,0x00000000}},	//   _freesize_, _diñgez_, _goorgiis_, --, 
   {{0x12d804b7,0x81310092,0xf6f5015d,0x31b301a3}},	//   _reken_, _四川大地震_, _कौरवों_, _ڇاڇرو_, 
   {{0x22d8012d,0x1ed90005,0xe96d0265,0x777200b9}},	//   _seken_, _indigens_, _eventuee, _विकासासा, 
   {{0x425a0377,0xd5ac0125,0x84030527,0xa0d90350}},	//   _acolo_, _елиме_, _savršena_, _በጥበብና_, 
   {{0xd32004ce,0xd30100ec,0x821b0060,0xc11301af}},	//   _ndayo_, _atrasti_, _تەرىستەل, _anekdotl, 
   {{0xc012004c,0xf94105ce,0xb2dd00e4,0x8ea7020f}},	//   _abavugan, _unsurlar_, _zarobki_, _سوېډن_, 
   {{0x52240250,0xb2ca0247,0x6a1702af,0xea57023a}},	//   _shiko_, _bandha_, _haranuka_, _pedále_, 
   {{0x4f640363,0xc200059c,0x8201027f,0xe2ca0158}},	//   _utdannin, _schiff_, _mubice_, _randka_, 
   {{0x271c0025,0x7e020017,0x626d0184,0x52d803f3}},	//   _शब्दा_, _sebeobra, _ingoga_, _hekel_, 
   {{0x425801d9,0x8f880041,0xc2e9020f,0x8528016a}},	//   _sängerin_, _аусҭҵаар, _andifun_, _בעקבתא_, 
   {{0x48c30507,0x62ec008d,0x8c0a00c7,0x52da0240}},	//   _keseluru, _eshitib_, _anapada_, _koteme_, 
   {{0x62d802b2,0x629404ae,0x31d701db,0x2cae0044}},	//   _bilene_, _cenkati_, _сарапқа_, _bursting_, 
   {{0xb98e0162,0x362f0067,0x81cc0220,0x805b00be}},	//   _бағир_, _alannabi, _mobilità_, _سسيوردون_, 
   {{0xc6460092,0x62010328,0xceb901d2,0x99920046}},	//   _参考にさせていた, _kubice_, _favornin, _لەيلەك_, 
   {{0x22ca0223,0xac550071,0x62f40267,0x6782003c}},	// [2c60] _handia_, _bektine_, _godinom_, _ارادتمند_, 
   {{0xd4c70044,0x340303d0,0xbb3602a0,0x5150034c}},	//   _נעילה_, _završene_, _arabirin_, _adresatl, 
   {{0x337302af,0xc290009b,0xd3ff0256,0x00000000}},	//   _hakanye_, _esnatu_, _eitanāzi, --, 
   {{0x643f02c9,0xf2d800d2,0xa3a8010d,0x4e6301a3}},	//   _ефектив_, _bekel_, _sinabung_, _نيٽورڪ_, 
   {{0xbcf503a5,0x7e1a0287,0x52d80119,0x02d80084}},	//   _आदिकाल_, _kampaně_, _ailene_, _cekel_, 
   {{0x979500ba,0xa31001eb,0x49f300f6,0x87c302fc}},	//   _شتوگوزار_, _garcete_, _aksiyada_, _barumirw, 
   {{0xbe6a0083,0xa26c019d,0x99c002a3,0x084e0064}},	//   _amicabla, _choopa_, _geteiste, _virtuals_, 
   {{0xf32006dd,0x3c590033,0x3b4302c3,0x57c4004a}},	//   _bliye_, _glatsch_, _dospelí_, _алтынлы_, 
   {{0x3df70011,0xe316012c,0x7d8c0083,0x22e90051}},	//   _abadduse_, _igizo_, _armonisa, _granulu_, 
   {{0x4a3600d1,0x00890187,0x63160102,0xc40303d0}},	//   _কালিকা_, _целина_, _agizo_, _savršene_, 
   {{0xaaf20465,0x83df024f,0x3b6204c8,0x0ddf025f}},	//   _priredit, _apimelek, _ġurnata_, _ezekiele_, 
   {{0xfb0e00d9,0xc91002af,0x12d90405,0x71c600dd}},	//   _тренинги_, _kubahumu, _sommerkj, _mordaith_, 
   {{0x82d80129,0x72550120,0x6eae047d,0x49e30095}},	//   _bekee_, _esseraam, _fierwaat_, _bakunipu, 
   {{0xf2d8019f,0xa6a00148,0xa69c00b2,0x1b8c00e0}},	//   _milele_, _閱讀許可權_, _amnestii, _advisear, 
   {{0x2d900165,0xab27024f,0xa8e901ad,0xe16f0185}},	//   _kunekune_, _lasaitub, _crisolog, _iskeçä_, 
   {{0xa29a03db,0xc2da0528,0x861b032e,0x152f0513}},	//   _ababenam, _aiseag_, _wallaqki, _eminkarh, 
   {{0xa2d80211,0xa25d0321,0x9949013c,0xce460547}},	// [2c70] _tekee_, _posebnim, _qarabağa_, _tonalida, 
   {{0x553f013f,0xdc700214,0xa4f50139,0x013400a8}},	//   _menegiñ_, _abasele_, _सन्मित्र, _applitgà_, 
   {{0x5c5302f7,0xcd90023b,0x97590017,0xb9f603e2}},	//   _bantsho_, _hunehune_, _पूर्वीय_, _obtén_, 
   {{0xa81d0041,0x82240558,0x798703f3,0x7e730139}},	//   _баикәлов_, _okike_, _tankstat, _बबन्ध_, 
   {{0x22900142,0x320206aa,0x47310191,0xec7b010f}},	//   _adhara_, _zuriat_, _vanligtv, _тӯҳфа_, 
   {{0xfd2f01fb,0x93860288,0xe38c0024,0x0c7c0046}},	//   _blindage_, _maoror_, _বিৰোধ_, _конкурсу, 
   {{0xb95b0205,0xb04300c7,0xec2102c3,0xa7af0257}},	//   _بیمارلرن, _yazılğan_, _človeku_, _endurrei, 
   {{0xec5d04e4,0xde9500d1,0x5b83004a,0xaf2d0278}},	//   _postano_, _কম্পিউটে, _asılyar_, _penungga, 
   {{0x3400038b,0x82cc0348,0x3ff6003c,0xd37b03fb}},	//   _dianjurk, _akaliko_, _نهبندان_, _zapadno_, 
   {{0x0228019b,0x6dc7020e,0xb7d90064,0x639401e1}},	//   _наступны, _fadimehe_, _comparei, _haeso_, 
   {{0xe22403da,0x7e88019f,0xa52703a2,0x46750137}},	//   _ekike_, _سونارا_, _साज़िश_, _алхдаг_, 
   {{0x590e03b0,0xf27e02db,0x843402eb,0xd2d80207}},	//   _populært_, _bilng_, _теннисни, _kilele_, 
   {{0x62d8012c,0x66780357,0x3318000c,0x3d4801b4}},	//   _pekee_, _ikakalaw, _aschberg_, _verbrand_, 
   {{0x22240149,0x903804c7,0x07a1022b,0x5c63002e}},	//   _ikike_, _блокирал, _brotstei, _isprave_, 
   {{0xad800570,0xfc5b01d4,0x425b0418,0xec1e0311}},	//   _सुस्वागत, _rettili_, _imalar_, _ዘይግድሶም_, 
   {{0x62da0250,0xeeea018d,0x9f3a04f4,0x6424016e}},	//   _viteve_, _ንምስፋሕ_, _tecnológ, _kimsenin_, 
   {{0x13460077,0x8f2200af,0xd17b0334,0x02c6010d}},	// [2c80] _agreyab_, _prøven_, _dilaival, _direvisi_, 
   {{0xb2ec0058,0x30dd0321,0xe3950528,0x3b6c0334}},	//   _kodidob_, _marsikaj_, _drasda_, _chotsala_, 
   {{0xd2bc0053,0x32360009,0xe37900f7,0xedb80119}},	//   _मागुन_, _pravicah_, _bonaero_, _paghalua, 
   {{0x7ad300c5,0x42d80007,0x8e39017c,0xbe29039e}},	//   _正在载入用户签名, _bilele_, _engagera, _profilha, 
   {{0x32f90037,0xd5c0013c,0x427f014e,0xa21300e3}},	//   _ያመቻቻል_, _demirəm_, _saznam_, _frankiġj, 
   {{0xeeb40367,0xc2f00172,0x82250119,0xd05f000c}},	//   _recentes_, _tamilli_, _chakri_, _мҩангага_, 
   {{0xcc9c0128,0x4c5c01eb,0x00000000,0x00000000}},	//   _кузда_, _fortín_, --, --, 
   {{0x7c5a018e,0x509702d3,0xc25b016b,0x11ea00bf}},	//   _alitari_, _примена_, _amalar_, _димитрие, 
   {{0xe40706de,0xab74041e,0xbdbc0046,0x00000000}},	//   _melibatk, _migliacc, _albergín, --, 
   {{0x02380129,0xadc7003e,0x22e6034a,0xfae50097}},	//   _erimeri_, _falimehe_, _afondan_, _onímukúm, 
   {{0x3307012b,0x3eb1040f,0x71db00ec,0x960f0103}},	//   _obrazek_, _pareigas_, _студыі_, _fotospri, 
   {{0x827e02db,0xfe4b00b0,0x73df0148,0xa56a01bd}},	//   _milne_, _barakaca, _廢墟之城的奮起_, _азиядағы_, 
   {{0xadc300aa,0x636902d5,0xa8670365,0x36d70055}},	//   _kabiliha, _बलभद्रपु, _देवघाट_, _bambusci, 
   {{0x5f090089,0x4eb70071,0x4c0902e5,0xf9e80194}},	//   _balaları, _فرستد_, _ehaovusu_, _geografe, 
   {{0xf27404dc,0x23c50187,0x2c1202d4,0xff490321}},	//   _گولله_, _paraná_, _declarau_, _najmlajš, 
   {{0xfc5102da,0x4f3a01b4,0x0dff015d,0xdde6010d}},	//   _leitura_, _moordena, _अधिकांशत, _banjarba, 
   {{0x326c00b1,0x4284006a,0x2dd20177,0xb05302b9}},	// [2c90] _tshov_, _alahelo_, _поетуп_, _فارسٹ_, 
   {{0xf9840338,0x5269001c,0x4c9f02c2,0x03dd02ff}},	//   _capitala_, _shortfal, _leerling_, _diswa_, 
   {{0xfaef02db,0x9b9d0059,0x6bda01db,0x947100c1}},	//   _akaonten_, _принципа_, _маңайынд, _benturan_, 
   {{0x97ec0639,0x9073020e,0x19ed025b,0xfc1e0076}},	//   _dikalang, _рухта_, _mikudagu, _изборнит, 
   {{0xf2f403da,0x457e01c5,0xdd300055,0x027e000d}},	//   _fisikal_, _hindisih, _plaisait_, _eilne_, 
   {{0xa2e300af,0xd843013d,0x020001a1,0x71460012}},	//   _løfte_, _postulas_, _schijf_, _तिवंरा_, 
   {{0x6224012f,0xc310011d,0xd63c02f3,0x00000000}},	//   _akake_, _marcate_, _favoritf, --, 
   {{0x6c9f0061,0xb4ea018d,0xa2d80318,0x532203cf}},	//   _맘에드시면_, _ንምምራሕ_, _hekea_, _okuyan_, 
   {{0x2316011b,0x3b600297,0x5f7b018d,0xcf4b0274}},	//   _pembeni_, _офицеров, _መንገደይ_, _þýska_, 
   {{0x0d8b033e,0x1f06008d,0x0d8f0024,0x660705b9}},	//   _aomondep, _tasvirla, _পদ্ধতিক_, _puslespi, 
   {{0xbacc0370,0x2301015a,0xe5350040,0xe65300cb}},	//   _babaléan_, _duratti_, _תולעת_, _гулрӯ_, 
   {{0xe224009c,0xd7ed0115,0xd3790195,0xa27f0171}},	//   _funken_, _dicadang, _connectg_, _kaznom_, 
   {{0x46b7004d,0xf1c000e6,0x00000000,0x00000000}},	//   _我們全新的伺服器, _让精力旺旺的_, --, --, 
   {{0x92da005f,0x656a0486,0x2f3a0066,0xa3dc04a5}},	//   _botones_, _betonový, _koordena, _nakwi_, 
   {{0x9e6f01b5,0xc2e7014c,0x63f80292,0x53370185}},	//   _chucheka, _ayinalo_, _yehui_, _районга_, 
   {{0x780301e6,0x00000000,0x00000000,0x00000000}},	//   _podobným_, --, --, --, 
   {{0xea340138,0x0c6004e2,0x2b5a0006,0xe69c021a}},	// [2ca0] _ilanları_, _mahupun_, _pastinya_, _boneetii, 
   {{0xae6d0066,0xb3e6025f,0xb2940362,0x22d4014b}},	//   _компаниа, _bosukisi_, _boyanoli_, _qellitu_, 
   {{0x54220048,0xcfab00a6,0x514b0307,0x232002fe}},	//   _ababiito_, _abamapho, _babebahl, _aliyi_, 
   {{0x1c0201bb,0x48630111,0x171101d9,0x97990096}},	//   _mertebes, _bisounou, _beschriw, _abavanyw, 
   {{0x475f0379,0xaf3a02d7,0x47910314,0x7069034a}},	//   _दोस्तों_, _tecnolóx, _ҡәҙимге_, _matalobo, 
   {{0xa2560173,0xad990420,0xa3780080,0x35440060}},	//   _বাস্তব_, _моментот_, _affaasa_, _بىلەمىز_, 
   {{0xaea40038,0x336f01db,0xb6ae014d,0x63190044}},	//   _аларда_, _اۋدارامى, _widerruf, _awaiting_, 
   {{0xa96c0128,0x662700ba,0xd874001a,0x026e0087}},	//   _سقاللری_, _باباعه_, _آئین_, _koporo_, 
   {{0x671101d9,0x8ec7034c,0xc4c10125,0x9263020f}},	//   _geschriw, _фирмасы_, _selbishk, _رښتونې_, 
   {{0x03050028,0x52b9017d,0x6a34055f,0x7291010a}},	//   _دودار_, _アクセスランキン, _alanları_, _asfawu_, 
   {{0xc20001c9,0xc394033c,0x00000000,0x00000000}},	//   _tohib_, _moeseg_, --, --, 
   {{0xa3da002a,0xce5700e5,0xd2d701e9,0x64500553}},	//   _burupụta_, _празно_, _borotho_, _zoraďiť_, 
   {{0x820201ef,0xe7570013,0x12da031c,0x00000000}},	//   _turite_, _берри_, _espejo_, --, 
   {{0x63060243,0xaa340309,0x2cf704e8,0x00e7000c}},	//   _agdabak_, _elanları_, _abitador, _мигрантц, 
   {{0x844200bc,0x00000000,0x00000000,0x00000000}},	//   _کیرگنده_, --, --, --, 
   {{0xa0f8018d,0x926e00d9,0x03cf00ac,0x7c6a032d}},	//   _ይንገረሉ_, _autosi_, _spavam_, _итермен_, 
   {{0x92f400ed,0xa224005b,0x00000000,0x00000000}},	// [2cb0] _pisikal_, _enikki_, --, --, 
   {{0xce68023c,0xe3a302e5,0xbc550235,0xe97a0455}},	//   _کبيرخان_, _ikupi_, _cintaye_, _sonnerie, 
   {{0xdc7701c1,0x9f7706ac,0xca540193,0xf39502a6}},	//   _मिक्सर_, _procuran, _नागरिकशा, _frasca_, 
   {{0xa98003e9,0x72c40212,0xf8410448,0xe86b0105}},	//   _getirile, _vinland_, _utilfred, _skonfigu, 
   {{0x8bb90026,0x924c032b,0x861500f2,0xea6d0161}},	//   _스팸블로그로_, _еливелип_, _kaklasai, _заводить_, 
   {{0x83050140,0x468200be,0x7dcf0125,0x42f40160}},	//   _malawak_, _эксперти_, _awstriýa, _milivoj_, 
   {{0x14b4056f,0x1a2d02ac,0x92a603ad,0x2887012c}},	//   _polície_, _الغدد_, _bombli_, _ورقعه_, 
   {{0xc85802f2,0xe34a005a,0xe3ef005b,0x17930262}},	//   _aparatos_, _ludellu_, _ayatsuji_, _bentleri, 
   {{0x7c580347,0x7f410067,0xcc7403c2,0x8d5a0126}},	//   _kritiek_, _aangawon, _dismayed_, _монет_, 
   {{0x140e02ef,0x9a2601be,0x52fc0262,0x21ff00e6}},	//   _endispoz, _anonymně_, _bolgun_, _河北省道路交通事, 
   {{0x20b601b7,0x5a340418,0x09e001a6,0x1b990439}},	//   _पितुर्_, _planları_, _maturutu, _kukhomer, 
   {{0x539f052c,0x2af50192,0xdc050211,0xece9006c}},	//   _وڵدان_, _플래시게임_, _складыва, _тенниси_, 
   {{0xb224036e,0xe2d80288,0xb30e0031,0x447102fd}},	//   _chaki_, _tekei_, _ditawar_, _ialtagan_, 
   {{0x720700ff,0x6eb3013f,0x3d8500bb,0x040303d0}},	//   _דייַטש_, _ampoezon, _وارمنگ_, _savršeni_, 
   {{0x89960034,0x7c6e0015,0xd3470088,0x7a770013}},	//   _veikinda_, _moorgan_, _conduir_, _билетни_, 
   {{0x78b90039,0x806902a2,0x26330476,0x025a018b}},	//   _багаханг, _negatibo, _akangani, _scoli_, 
   {{0xc2860288,0x530500b3,0x826e0204,0x746f03eb}},	// [2cc0] _antheil_, _aglamak_, _putosi_, _atletiek, 
   {{0x9e9b033c,0xfcbf018f,0x73f40274,0x4c9400c1}},	//   _afreolus_, _dubaghqu_, _pistla_, _घरबसल्या_, 
   {{0x03a3042b,0xdad70128,0xb22400b0,0x74b80040}},	//   _skupa_, _باتبیدی_, _shaki_, _נתקלתי_, 
   {{0x18a5015e,0x326c0276,0x7c9000c1,0xe02000fd}},	//   _буларга_, _миладийә_, _प्रसूचना_, _headrick_, 
   {{0x234d0261,0xdb61019d,0x437f039d,0x111a00a6}},	//   _liberaj_, _adaloser, _takadza_, _قربانې_, 
   {{0xe22406df,0x230501af,0xd12a012b,0x02810137}},	//   _mkaka_, _aglajak_, _handlowy_, _энүүхэнд_, 
   {{0x037b00c0,0xd6b200da,0x3b360082,0xbb5600ff}},	//   _papaano_, _редактар, _tsibirin_, _restanta_, 
   {{0x6aac0074,0x91e900a6,0xf2da012a,0x312a001a}},	//   _выход_, _معاملې_, _fotele_, _اکتالیس_, 
   {{0x22d40132,0x0d30018e,0xd31106e0,0xb2e701d9}},	//   _finoman_, _khongele_, _barnetog_, _haenken_, 
   {{0x437f02b7,0x9316006f,0x2a0100ee,0x44750205}},	//   _kakauka_, _ngazi_, _berresku, _lehtinen_, 
   {{0x4316014a,0x222403f6,0xd2240339,0xfee80289}},	//   _igazi_, _akaka_, _ehiku_, _akakuman, 
   {{0x3fe00016,0xb11600e4,0x934401ff,0x59e501e9}},	//   _aktivulo, _weekendy_, _zavedie_, _magosana_, 
   {{0xf4f30109,0xeabd00ba,0x4b190264,0x00000000}},	//   _टुँडिखेल, _ویشدا_, _samarnon_, --, 
   {{0xbc0b0206,0x15850166,0x413100e6,0x52fe026c}},	//   _krupina_, _videoinh, _唐山大地震_, _totiens_, 
   {{0x36470417,0xf04c03d8,0x62240467,0x967b0153}},	//   _verklari, _pukovnik_, _ekaka_, _東京大学地震研究, 
   {{0xd6df0390,0xe7ab0003,0x5b690343,0xd025014e}},	//   _bayramı_, _bestemmi, _gihuluga_, _путника_, 
   {{0x3f610160,0xdb0d0223,0xb224005b,0x831a0303}},	// [2cd0] _priprema, _машиндаа_, _chiku_, _diriseng_, 
   {{0xde040064,0x852d027b,0x66d000db,0xd26d0464}},	//   _курска_, _ananyath, _जातिक_, _ingona_, 
   {{0xbede0125,0xa2da00a5,0x2c7c0047,0xcdac009f}},	//   _билди_, _aotele_, _courtes_, _surfanje_, 
   {{0x11cc0047,0xbd4c0251,0x22f40261,0x23950119}},	//   _mobilité_, _dabayaaq, _militoj_, _guasca_, 
   {{0x761f02a6,0xd3aa0303,0x32f40527,0x00000000}},	//   _reindiri, _karabong_, _tolikoj_, --, 
   {{0xf9f6029b,0xa76d0169,0x1ee700ef,0x336602bb}},	//   _adrés_, _হতাশা_, _قدرداني_, _फिलिपींस_, 
   {{0x922404bd,0xf4cb005e,0xc278008f,0x12d803dd}},	//   _ahiku_, _ﭼﻪﻛﻠﯩﻚ_, _kaunid_, _leket_, 
   {{0x3865019d,0x934f016f,0x53770194,0xab1a02c5}},	//   _barracks_, _foretak_, _neprenem, _atopembe, 
   {{0x32d8029e,0xa0480035,0x3b880255,0xfa8301af}},	//   _neket_, _frantsuz_, _navigeer, _demirden_, 
   {{0xcc08021a,0x52c4009f,0xc437013d,0x3c5302e9}},	//   _barreess, _narediti_, _triktrak, _exitoso_, 
   {{0x323702d4,0xb21c0148,0xa9a20276,0x8e490090}},	//   _primara_, _開始公佈日期_, _ئوپىراتس, _angakuba, 
   {{0x01e90312,0xc932013f,0x3d8e00da,0x00000000}},	//   _andifurm, _cochimí_, _studiile_, --, 
   {{0xce200075,0x325600d1,0x6929005e,0x938604d7}},	//   _heimsins_, _মেম্বা_, _ﺗﻪﺷﯟﯨﻖ_, _sumri_, 
   {{0xdcfb0046,0x92d8038e,0x326c0212,0xe60a032d}},	//   _объектте, _deket_, _zshop_, _григорен, 
   {{0xd38602d4,0xf38600da,0x829002ff,0x00000000}},	//   _cuera_, _sters_, _manaat_, --, 
   {{0xe2e803d8,0xdb1f0195,0xf27e021e,0xf69b01dd}},	//   _lozinka_, _ammannan_, _minnas_, _agafungi, 
   {{0xb98a02fe,0xb93500f2,0x9b690162,0x0c7c0047}},	// [2ce0] _مذاکرت_, _vidusjūr, _қосиқини_, _bourses_, 
   {{0xff600411,0x0c7c0047,0x272402a2,0xb20104d8}},	//   _оздоровл, _cuisson_, _ipamahag, _arrintii_, 
   {{0x8d400066,0x2dc300b9,0x1ebd004d,0xafa501b2}},	//   _нямдоржи, _kesibuka, _週刊徵訂業務正式, _appeaser_, 
   {{0x923106e1,0x868900cf,0x7c1c009b,0xc633016b}},	//   _cromado_, _haadholi, _albaitar, _jijiyoyi, 
   {{0xc2020138,0xde14021c,0xcdb902f9,0x1207020e}},	//   _suriye_, _filemana, _diktatè_, _dusinski_, 
   {{0x5f9402a9,0x727e02a9,0x4ae701c4,0xa38603b3}},	//   _плоская_, _pilna_, _landdros, _puera_, 
   {{0xc6e701c2,0x27a800e4,0x00000000,0x00000000}},	//   _inscrici, _wykwalif, --, --, 
   {{0xe2eb00a2,0xed7d000c,0xe201017a,0x64b40227}},	//   _انقلابي_, _савенков_, _kubike_, _kecantik, 
   {{0x1e760016,0x11f70169,0x4224005b,0xc3fe003a}},	//   _מספריהם_, _সন্তানদে, _akiko_, _evaziga_, 
   {{0x650f026c,0x3d5702d8,0x5c800152,0xac3b0497}},	//   _小體育促進會_, _महागाई_, _телем_, _carbonac, 
   {{0x80f2029e,0x45dc0153,0xb3100231,0x1c460204}},	//   _berberek_, _有効で安全な医薬, _discere_, _naapuris, 
   {{0x8667011d,0x2037023c,0xbc6c0061,0x8d3000f5}},	//   _галилор_, _بادغيس_, _갑상선암의_, _эмоцияны, 
   {{0x71c60210,0xda860263,0xbdb801e8,0xb79701db}},	//   _akamukom, _fotolijs, _maghalua, _ىشىمنەن_, 
   {{0x4745023c,0x62e8018e,0xeb8d005c,0x927b0074}},	//   _اناتومي_, _eyindlu_, _asensiyo_, _osastoll, 
   {{0x989e011e,0x355d00ad,0x03a3005b,0xceb603c7}},	//   _alavenir_, _hanjakal_, _chups_, _pigułce_, 
   {{0x57dd0156,0x0abb00e6,0xaf2d033c,0x4207034c}},	//   _ליאדי_, _农村教师资助行动, _genfigen, _gusinski_, 
   {{0xe3a3042b,0xa4270109,0x3c8301c6,0x5f6400d9}},	// [2cf0] _skupo_, _klikniaz, _meerburg_, _illallin, 
   {{0x56980126,0xf2d80198,0x0278023d,0x6c9f0119}},	//   _партнера, _rekel_, _suggerim, _eferding_, 
   {{0x906c0047,0xd22500a1,0x6bb90361,0x67370371}},	//   _第三十四条_, _hiakai_, _берегах_, _визитки_, 
   {{0xffb302ee,0x42eb011c,0xdd4a00ec,0x43940008}},	//   _netwerks_, _indiwul_, _аргенцін, _sensat_, 
   {{0x13070392,0x13860129,0x84ad01a3,0xcc530258}},	//   _arcaibh_, _erere_, _بيواهه_, _bottema_, 
   {{0xdc850156,0xb39f0220,0xe2d401fc,0x33880109}},	//   _יוליס_, _semplici_, _narday_, _měrou_, 
   {{0xa3200202,0x593e00ff,0xddd30148,0xf3be00a4}},	//   _alaye_, _צוגלייך_, _國家經濟門戶_, _conveni_, 
   {{0xf316014c,0x82da05c7,0x33550151,0x72a70244}},	//   _ngazo_, _intebe_, _anveays_, _масова_, 
   {{0xae90012f,0x93cc021b,0xee48004d,0xfb970089}},	//   _firmamen, _потребля, _應停止工作_, _башлама_, 
   {{0x630c0140,0x81c40211,0x3c6a0062,0xec6f01c6}},	//   _lalabas_, _аварийны, _lumuhlu_, _skermen_, 
   {{0xd3440100,0x5a0c02a2,0x4c190305,0x82fd03fb}},	//   _porezne_, _talababa_, _fornøgd_, _stihove_, 
   {{0xd8630045,0x35e10193,0xf6a100a8,0x3f090152}},	//   _морали_, _बाजारपेठ, _profitai, _balalarğ, 
   {{0x61dc02b9,0x3f45002b,0x254e0371,0x69590444}},	//   _متوازی_, _ঘরানার_, _дисни_, _дередо_, 
   {{0xfa5302d8,0x8f230193,0x383e0076,0xe2240205}},	//   _dikelola_, _berukura, _миске_, _shakl_, 
   {{0x13590148,0xeeb100b4,0xdd0600a4,0x092b0244}},	//   _建立新帳號_, _petrecut_, _توبۇن_, _отмени_, 
   {{0xebea02a4,0x828e013c,0xa91800c7,0x00000000}},	//   _travelis, _parkın_, _коточкыч_, --, 
   {{0x6c0801f2,0x5d7501cb,0xd3860150,0x53870054}},	// [2d00] _пәйда_, _ngomnqop, _arere_, _awaren_, 
   {{0xc73f0148,0x62240058,0xe27e02ac,0x40f30280}},	//   _以上刊載之內容_, _okiks_, _tinnis_, _थकावट_, 
   {{0x77730410,0xcf480037,0x3ccc0208,0x297c0047}},	//   _boikemeg, _ተቀናቃኝ_, _تیرنه_, _compteur_, 
   {{0x42f1010d,0xd1df03fb,0x997e0115,0xf9fb049e}},	//   _kerinci_, _razlozim, _bachokpe, _širokouh, 
   {{0xb3860169,0x699e0041,0x347a00bb,0x695005af}},	//   _cuero_, _гәлрыҧшь_, _کااستعما, _nadoplat, 
   {{0x83950144,0x65a203df,0x93800076,0x8237005b}},	//   _trasna_, _storleik, _marrom_, _arimura_, 
   {{0xc2020225,0x6db3017f,0x82a9000c,0x64a7015e}},	//   _eurige_, _akunnapp, _охзган_, _períodes_, 
   {{0x24a7010f,0xdd470040,0x8bf500a4,0xab0a02c3}},	//   _ahlanzek, _ורומנטיק, _ordenanc, _rozpuste, 
   {{0x104b03b9,0xe37f02fd,0xf38600b5,0x5b540234}},	//   _empresan, _annamsa_, _guero_, _lẹ́kọ̀ọ́_, 
   {{0x7b4a018d,0x583601a3,0xf2eb004d,0x00000000}},	//   _ዉሽጣዉን_, _نااُميد_, _solidum_, --, 
   {{0xd9e502af,0x29d00220,0x56ce03db,0x3e360115}},	//   _bagutand, _contradd, _konakali, _berganja, 
   {{0x79c60262,0x27ab0258,0x62b502a6,0x0c5701d6}},	//   _сталинчи, _bestimmi, _carca_, _hestene_, 
   {{0x3224044a,0x00000000,0x00000000,0x00000000}},	//   _nkake_, --, --, --, 
   {{0xeedd0060,0x42c1015e,0x8c1b0189,0x02fc0338}},	//   _араласты_, _bellesa_, _kenarlar, _aligat_, 
   {{0x68b00061,0x036b00f6,0x7d8300be,0x97cb0587}},	//   _관련컨텐츠_, _bağçalar, _كۉچتۉۉلۉ, _carchòfa, 
   {{0xc4e102a9,0xb3a2028e,0x5b8700c5,0xa9960096}},	//   _абзацы_, _propet_, _policier, _adakunda_, 
   {{0xaf7a0486,0x8b88025c,0x1d8304e5,0x91890046}},	// [2d10] _upozorně, _politisc, _alimulaa, _سوزبەن_, 
   {{0x4bd00255,0x1c0a0277,0xd3860014,0x01e7019e}},	//   _अभियो_, _kampeon_, _prere_, _вугорска, 
   {{0x32b500b4,0xf2d600f4,0xc6ce03db,0x5ef7002b}},	//   _parca_, _apelles_, _bonakali, _ফলাফলে_, 
   {{0x83860073,0x42b4030a,0xc92c0326,0xf2d8023e}},	//   _puero_, _moncho_, _chichimu, _cekek_, 
   {{0x938602f1,0xdb2d02fc,0xdb07011f,0x73a2038a}},	//   _quero_, _inyamans, _ideprove, _chipin_, 
   {{0xa2fc001d,0x2cc50543,0x83780429,0x95ec00c8}},	//   _estimat_, _сташевск, _tamadun_, _порталыб, 
   {{0xa30c0140,0x132b0012,0xd3940157,0xee740156}},	//   _palabas_, _कोदउवे_, _boisko_, _גראפיט_, 
   {{0x4c550237,0x05dc0152,0x364f0205,0xbfa6020a}},	//   _afstand_, _порталла, _shaharni, _хазрет_, 
   {{0x45ce00d9,0xd93400cf,0x82900265,0x8249029b}},	//   _мобильно, _bormoota_, _linkjes_, _eramus_, 
   {{0x0c09000c,0x243800d5,0xc27e0278,0x00000000}},	//   _ahaovusu_, _arakarak, _taknak_, --, 
   {{0xf2da0499,0x3a870131,0x71ca0244,0xd86d0122}},	//   _aitete_, _telemáti, _щитовидн, _artinipu, 
   {{0xbc5b0102,0x016d00f5,0xc0ee008d,0x03f90089}},	//   _wastani_, _системиң_, _imtihonl, _biyune_, 
   {{0x2ac602c5,0x3c130300,0xb30c0222,0x6bca04a8}},	//   _akajekes, _mailovou_, _humains_, _spomenuo_, 
   {{0x338201e0,0x298e00be,0x5e45025e,0x3db8005b}},	//   _پارله_, _батир_, _varasamt_, _aoaruyou_, 
   {{0x89c50568,0x6b180328,0xd1c7034d,0xd319010d}},	//   _legekont, _haraduts, _menelaah_, _hwaiting_, 
   {{0x7575023e,0xd9cd0261,0xd39f01d5,0xf2fd0456}},	//   _واليبال_, _reservit, _پولٹری_, _kapasiti_, 
   {{0x12b10522,0xfc6a0204,0x52d80318,0x27da028c}},	// [2d20] _अदभुत_, _придержи, _kekei_, _मलिकाइन_, 
   {{0x369b00c9,0x4df00086,0xa0c7010d,0x22c4022b}},	//   _saigonti, _رنگون_, _मच्छिंद्, _bindandi_, 
   {{0xb4910193,0x296a01cd,0x387b0295,0x42d901b3}},	//   _जम्मत_, _чаласаво, _hilingau, _порталом_, 
   {{0x826c0087,0xbbea018d,0xfd5500cb,0x334b030f}},	//   _hakona_, _ምዝመዛን_, _ababeseq, _karekau_, 
   {{0x86fe004d,0x627e005b,0x4e470244,0x226c0050}},	//   _行政院客家委員會_, _andna_, _назначи_, _bakona_, 
   {{0x7248026c,0x627004e5,0xb94f03b2,0x2959018f}},	//   _primus_, _abagalam, _exposure, _jihlutme, 
   {{0x3cdd0024,0x529001c2,0x23a2006a,0xf674005e}},	//   _ডেউকা_, _sinale_, _ekipan_, _ﻫﯚﺭﻣﻪﺕ_, 
   {{0x77a70265,0xc25b0135,0xc35f0192,0x335f00fb}},	//   _beatmani, _alalar_, _학생들에게_, _bangaze_, 
   {{0x9ff6038d,0x72fd0167,0xe79b00ec,0x9e720012}},	//   _orthopho, _capasiti_, _езуса_, _फूट्े_, 
   {{0xf22700b4,0x8eb80291,0xe9c9012e,0x8278011b}},	//   _расистэ_, _astuithe_, _ellensze, _mbunzu_, 
   {{0xf38601c2,0x4b0b05b9,0x1f1f0102,0x8eff006d}},	//   _quere_, _sensomme, _ametanga, _апалчэнц, 
   {{0xbdb30092,0xf2120318,0x8395000d,0x9e5300a0}},	//   _タグクラウド_, _evahe_, _lause_, _akramaka, 
   {{0x3a070440,0x0c0e019a,0x821306ae,0x52d40465}},	//   _karaheza_, _crappie_, _pechar_, _celoten_, 
   {{0x5a4700a1,0xc15602ac,0xc394010d,0xdc0602ea}},	//   _merekara_, _بالظبط_, _genset_, _навреме_, 
   {{0xc22901f4,0x82e201be,0x7c4e00a6,0x2202040f}},	//   _اختیارید, _trendem_, _دمینی_, _neries_, 
   {{0xb29000e4,0x7d8d0155,0x00000000,0x00000000}},	//   _celach_, _renovera, --, --, 
   {{0x32b5055a,0xfd8f0024,0x3f6400e6,0xc85b03a4}},	// [2d30] _barco_, _পদ্ধতিত_, _商城县商务局党风, _baklinju, 
   {{0x19ed0066,0xb27e00e4,0xf43600b5,0x00000000}},	//   _өгзөг_, _pilne_, _itrabajo_, --, 
   {{0xd85c03e0,0x38340019,0xd5c1000d,0x531603b2}},	//   _detailer_, _تولستويد, _tasandil_, _maize_, 
   {{0x620102ad,0x291c0153,0x82ca0212,0x94750107}},	//   _schodišt, _モデル情報満載メ, _includi_, _dikethok, 
   {{0x13870190,0xbd8f0169,0x6a6c0022,0x4ed60309}},	//   _awaran_, _পদ্ধতির_, _ығына_, _regionun, 
   {{0xbd4a0208,0x5c5a0055,0xb2e20255,0x7220004d}},	//   _خساند_, _alitori_, _बहुप्रित, _你應該知道_, 
   {{0x406600bc,0x92ec037f,0x4c5b0333,0xe21601b5}},	//   _warburto, _tikilib_, _bastoni_, _makhasim, 
   {{0x43950166,0x6c6502cb,0x26b902a2,0x00000000}},	//   _hause_, _karticu_, _sasaguti, --, 
   {{0x698d00c8,0xf98e0045,0x249c0204,0x6d880382}},	//   _капиталь_, _радим_, _шланг_, _kolotiwa, 
   {{0x3b6c0251,0xe277012c,0xfa050147,0xb7a803d1}},	//   _حقیقتُک_, _mwanzoni_, _تۇنقۇچ_, _neitrali, 
   {{0x9628000f,0x434a00c1,0x09f4040e,0x8e630365}},	//   _makinesi, _temenku_, _bymål_, _listině_, 
   {{0xe2b20027,0xb3860033,0xcd0d0229,0xa6580541}},	//   _geldern_, _oters_, _bahalaşı, _efikasni, 
   {{0x00000000,0x00000000,0x00000000,0x00000000}},	//   --, --, --, --, 
   {{0xbc470159,0x00000000,0x00000000,0x00000000}},	//   _разгон_, --, --, --, 
   {{0xd2250369,0xd49e026b,0x4a0903f4,0xdf3501c2}},	//   _haakei_, _পৃষ্ঠার_, _ihastunu, _fonsagra, 
   {{0x59e30044,0x03160066,0xe39403c7,0xe386013a}},	//   _דנמרק_, _haize_, _dalszy_, _atert_, 
   {{0x12b5023d,0x72e0012a,0xb3dd0120,0x8ec20093}},	// [2d40] _parco_, _सकतीं_, _haawá_, _горсвет_, 
   {{0x0c55004b,0x18c800da,0xa36a02a5,0x52da0558}},	//   _arotswe_, _орбитоар, _anketě_, _yitere_, 
   {{0x2c6f00a4,0x41bc00d1,0x090f0281,0x1fbe0023}},	//   _barreja_, _ভূঁইৰ_, _ikkaarlu, _сюрпризо, 
   {{0x77a604f2,0x758203d2,0x70c70179,0x7e4d02c0}},	//   _vietgiai, _otvorený, _palautön_, _пакетите_, 
   {{0x82910180,0xbaea02d8,0xf2180374,0xba0401fc}},	//   _lavant_, _ngalamin_, _гидроинш, _mahaffit, 
   {{0x5c5c0328,0x23860450,0x2c63010b,0x9c8c0040}},	//   _amatoro_, _utert_, _dituelo_, _הפסקות_, 
   {{0xa1040040,0x0301019b,0x82ee012e,0x71850010}},	//   _strictly_, _surasti_, _profik_, _etibonel, 
   {{0xe2380662,0xd8e300fc,0x007c009a,0xe70f02e5}},	//   _grimari_, _belgiumd, _طلاقه_, _apomemev, 
   {{0x8e5501d7,0x1c480052,0x0d3002fd,0x00000000}},	//   _detaglia, _क्रन्दन_, _glasraic, --, 
   {{0x154d03a7,0x29940016,0xc9560192,0x22240234}},	//   _prevádzk, _אריזאנע_, _정보화교육_, _ikaki_, 
   {{0x945d0057,0xd30c02f6,0xfc56002b,0x026c04e5}},	//   _ዕብራይስጥ_, _madalas_, _বষ্টনবাং, _bakola_, 
   {{0xdf1600c5,0xc2f60039,0x99d40415,0xd3a201c6}},	//   _买卖通档案_, _audioak_, _gelegene, _stopje_, 
   {{0x72960109,0x00000000,0x00000000,0x00000000}},	//   _तिखात्तर_, --, --, --, 
   {{0xf26e029b,0xb2aa01d5,0xb3420008,0x9ae0014d}},	//   _autoyi_, _ڈسپلے_, _esperen_, _gestrige, 
   {{0x49b2027d,0xf22502ab,0x09bb0005,0x0a8f03ac}},	//   _амбасадо, _nyekwa_, _bandunga_, _muliakan_, 
   {{0xf3f9009a,0x038601c4,0x1f7d027b,0x00000000}},	//   _anyuke_, _stert_, _संस्कृतः_, --, 
   {{0x690e0485,0xb30502fe,0x0eb0013d,0x5398003c}},	// [2d50] _populære_, _دوکان_, _akceptas_, _دوبعدی_, 
   {{0x0c09028b,0x00000000,0x00000000,0x00000000}},	//   _ehaorusu_, --, --, --, 
   {{0x13030556,0x226d0320,0x6b9c009b,0x58dc000a}},	//   _kubantu_, _hiwona_, _esandako_, _illuutig, 
   {{0xc31602ab,0x93970046,0x4f110322,0x00000000}},	//   _agazi_, _глобалды, _abadiven, --, 
   {{0xd2da0474,0xf27e0092,0x3f6802ff,0x6a2f02ef}},	//   _intege_, _endnu_, _dekadans_, _elichama_, 
   {{0xf1700012,0x752b03b4,0x503d00da,0x00000000}},	//   _एह्से_, _akandivh, _definiţi, --, 
   {{0xe3200082,0x7bfd03d4,0x9c60012c,0x00000000}},	//   _aliyu_, _poternic, _liyumba_, --, 
   {{0xc3200277,0x13f40450,0x927e0009,0x00000000}},	//   _ilayo_, _goutum_, _vidna_, --, 
   {{0xa27e023f,0xb2dd0396,0x90450087,0x96ba0672}},	//   _widna_, _karozzi_, _ekereken, _bikegekw, 
   {{0x038602e9,0xe26c00d5,0xaf5804ac,0xf30d0310}},	//   _fuera_, _jakoba_, _проголос, _caladar_, 
   {{0xdf650074,0xa2d9020f,0x4e290462,0x9c2700ec}},	//   _tasapain, _ambeth_, _alifaxha, _nemokamu_, 
   {{0x69c001fe,0x027800dc,0xd9090013,0xaa8f0146}},	//   _peresite, _naunau_, _назарбое, _pulihkan_, 
   {{0x285e0022,0x3fe0031c,0x979f0347,0x00000000}},	//   _вокзалын, _decidimo, _ongunsti, --, 
   {{0x8ac3001a,0x7e4701b2,0x4c4700bf,0xaf5d044a}},	//   _حافظے_, _asianbea, _зарган_, _kowangan, 
   {{0x72b500df,0x4f9e01ac,0x7c6702c2,0x099d0257}},	//   _parce_, _وحبوب_, _hektaar_, _krakkana_, 
   {{0x0eb40051,0xeec1018e,0xec7c0055,0xa2fe01e9}},	//   _receptes_, _emindyan, _bourrer_, _dothane_, 
   {{0x738700e9,0x038602c9,0xe2000172,0x220100e2}},	// [2d60] _ature_, _andrei_, _wohia_, _hepie_, 
   {{0x27c400f7,0xb6330206,0xfe4e02b6,0xcbe8004a}},	//   _הרועים_, _iniciatí, _ханды_, _алмаучыл, 
   {{0x83860340,0xa38b02d3,0x530e0373,0x1e4c00be}},	//   _arero_, _обновува, _nombron_, _كۅزدۅران, 
   {{0xbc5c0196,0x0cbf03bd,0x334f0385,0xc44e0161}},	//   _amatero_, _gilansad_, _poredak_, _очистите, 
   {{0xcac0014e,0x445200f5,0xbb110630,0x52d40003}},	//   _обично_, _буйрулды_, _gmtplaza_, _gelopen_, 
   {{0x373f0037,0x1f5d044a,0xb05b020e,0xff1404ad}},	//   _ከመደበኛው_, _bowangan, _dipatero, _ditthara, 
   {{0x13e50362,0xa2bb03db,0xd2d80193,0x72fd004f}},	//   _akumisak, _anjenge_, _lecet_, _deegol_, 
   {{0xb380037c,0xc25a0373,0xab230434,0xd3860197}},	//   _metrix_, _evolui_, _busqueda_, _frero_, 
   {{0x00000000,0x00000000,0x00000000,0x00000000}},	//   --, --, --, --, 
   {{0xd29001c5,0x32ca054a,0x00000000,0x00000000}},	//   _kulankii_, _spoljni_, --, --, 
   {{0x53eb00da,0x5b75019b,0x898400c8,0x0fe30184}},	//   _statul_, _членаў_, _hlakolwa_, _ntuzotin, 
   {{0x722a0145,0x275500ef,0x142c0011,0xe601004d}},	//   _колах_, _کنوانسيو, _akabbiro_, _偏偏惹月亮在白羊, 
   {{0x2fb70175,0x82d80418,0x5b6400a2,0x00000000}},	//   _ladopsyo, _ceket_, _kupungua_, --, 
   {{0x22000340,0x23860212,0x2d8a0326,0x00000000}},	//   _mohio_, _pueri_, _haamboka, --, 
   {{0x4e3902da,0x8446023e,0xdc620309,0x821100c1}},	//   _esportes_, _طالقان_, _silsilə_, _variatif_, 
   {{0x344900c8,0x527e0256,0x92d800db,0xa3240241}},	//   _пионерҙа, _vilni_, _teket_, _daaccii_, 
   {{0x82250480,0x93870024,0x55850061,0xe86f0450}},	// [2d70] _abakwi_, _sture_, _자동차보험_, _ljeppers_, 
   {{0x6ca601ef,0x08b600c4,0x60f304c7,0x6386004d}},	//   _шансону_, _ورھيھ_, _оценила_, _tueri_, 
   {{0xf29101a0,0xaa5e0096,0x61c80192,0xe3b803c3}},	//   _favase_, _akamusub, _kortrijk_, _prevaru_, 
   {{0xd5ce0262,0x92250107,0x853e0193,0x651b004d}},	//   _agramyny, _burky_, _reviewny, _以動畫為主_, 
   {{0xa2b103f0,0xbeef04d7,0x9eb501be,0x5c7a036b}},	//   _myndina_, _misheppn, _simulace_, _азбуката_, 
   {{0xd20e04ac,0xdeab01d3,0x506604a7,0xb200014d}},	//   _такая_, _rekommen, _engadido, _wohin_, 
   {{0xd22405a9,0xe2d80231,0x1a710331,0xb9f60163}},	//   _nkako_, _decem_, _tunguska_, _نوبیل_, 
   {{0x64a70374,0xea10025e,0xa24800b9,0xdd1d0223}},	//   _ярадор_, _skrautle, _brimob_, _салангид_, 
   {{0x41790169,0x730e04a7,0x88c5030b,0xbaed00f3}},	//   _পশ্চিমা_, _citadas_, _abarikug, _bawuchit, 
   {{0x52bc01dd,0xb2b501d5,0x42910437,0xd92d00e6}},	//   _akadiho_, _harca_, _vinkler_, _太原市水土保持科, 
   {{0xf47b02e4,0xf2fd0612,0x6c61022b,0xe3fe033a}},	//   _domestik, _plaget_, _vegurin_, _amezola_, 
   {{0xbdad0144,0xcf3c00a4,0x46d00093,0x02d900af}},	//   _sainchea, _recollir_, _здраству, _sunnere_, 
   {{0xdffa0071,0xee2900e6,0x329002c2,0x145200cb}},	//   _آزادسازی_, _东营政府采购_, _wynand_, _аксои_, 
   {{0xa2cd0225,0x7d900035,0x92d80015,0xb2e9011b}},	//   _dogodog_, _аерды_, _feker_, _muvimba_, 
   {{0x5a9100be,0xb7a80461,0x8200006a,0xa2000596}},	//   _ابىكەيەۋ, _supressi, _tohin_, _eohio_, 
   {{0xa29003bf,0x85ca0086,0x8288003a,0x73f803a8}},	//   _bohata_, _اولیائے_, _bolasini_, _avduka_, 
   {{0x6200006a,0x9f560053,0x00000000,0x00000000}},	// [2d80] _rohin_, _pesaingn, --, --, 
   {{0x8f740092,0xfd1b0003,0xc9020192,0xb2cf04b3}},	//   _お気に入り商品に, _openbare_, _전송권침해_, _alvokad_, 
   {{0xff7401d1,0xa9da0364,0x00000000,0x00000000}},	//   _placemen, _komesche, --, --, 
   {{0xb3950277,0xd9ea0429,0xe752025c,0x0c5b00d9}},	//   _sausa_, _tertaklu, _beantrag, _lastani_, 
   {{0xcf7a0262,0xe37f0139,0x139503f0,0xa9180061}},	//   _кабинети, _aakaaza_, _lausn_, _류신쇼개인기대회_, 
   {{0x02ed012b,0x95790037,0x2b2b00b4,0x8c15004d}},	//   _kupione_, _ትራንዚት_, _sanatoas, _受理刑事案件報案, 
   {{0xd25502c3,0xa905036d,0x51780093,0x18c7027b}},	//   _problémo, _bataraid, _хостинга_, _निपपात_, 
   {{0x5124003c,0xabbc0159,0x1c7c05b8,0x2c7d000c}},	//   _انديشه_, _renginių_, _styrkor_, _nitsuga_, 
   {{0xa7f402af,0xbb7b006e,0xbf500061,0xfa64027f}},	//   _bagashig, _gournema_, _고민하시는_, _ndamusas, 
   {{0x63410230,0x0ef30092,0x4c040020,0x69da0053}},	//   _asterla_, _serverpa, _tuasivi_, _inteleje, 
   {{0xe2020343,0x5ef00235,0x19c9019d,0x00000000}},	//   _purine_, _लेखकः_, _kalozera_, --, 
   {{0x3f340028,0x09a100e3,0xa34b0055,0x00000000}},	//   _shirkada, _boskijie, _attellu_, --, 
   {{0xb22c03ce,0xe4af01bd,0xd20700a1,0x26ab0261}},	//   _ئیاله_, _ستسەناري, _pihipihi_, _bonordaj_, 
   {{0xc49e0244,0x0fac0148,0x72d80138,0xde8e020e}},	//   _употребя, _天女新世紀_, _teker_, _умарта_, 
   {{0xd2eb025f,0x451d033e,0x42d8029c,0x23950016}},	//   _mitindo_, _рахманов_, _malemu_, _kreski_, 
   {{0x92a60212,0xe16f004a,0x5589012b,0xf4b703c3}},	//   _msnbc_, _belergä_, _telewizy, _grupacij, 
   {{0x62d802a3,0x8316006a,0x938d033d,0x42da0372}},	// [2d90] _seker_, _taiza_, _amuzeur_, _lysenw_, 
   {{0x030c00fa,0xed7f002b,0xcbee020e,0xef1000d7}},	//   _malakas_, _মালিবাগ_, _загон_, _именлект, 
   {{0xe26c00a1,0xf80f0149,0xc2d802cf,0x925a0220}},	//   _takoha_, _ọflaịnụ_, _recem_, _svolti_, 
   {{0x33870007,0x5054042a,0xd27e0259,0x88b90423}},	//   _ituri_, _awaseben, _vidne_, _nastudov, 
   {{0x09c70074,0x72bb02fe,0xbe140037,0x537f0095}},	//   _заказа_, _ترمینځ_, _ከኢየሩሳሌም_, _tuladha_, 
   {{0xc2740272,0xfc14032c,0x92a7013d,0x330d0370}},	//   _aliramul, _apississ, _afabla_, _balayar_, 
   {{0x3f680009,0x93950081,0x00000000,0x00000000}},	//   _zaračuna, _breski_, --, --, 
   {{0x13dd030b,0x7a140678,0x898702ee,0x434100dc}},	//   _aaswi_, _lepšiu_, _notifika_, _fevesia_, 
   {{0x95070263,0x09cf0269,0x697400d4,0x23dd010b}},	//   _helemaal_, _novedade, _keunstne, _baswi_, 
   {{0x32d800af,0x970e01be,0xb2490223,0x00000000}},	//   _peker_, _viktoriá, _poemak_, --, 
   {{0xcd7000c7,0x03e70111,0x5ef60078,0x12f90464}},	//   _ясарга_, _santucci_, _настали_, _itohoza_, 
   {{0xadab0043,0x7a890177,0x56cf01d2,0xd66d00cb}},	//   _abanjaga, _аҕьеҩҳа_, _conacami, _биёям_, 
   {{0xb3870122,0x19ab021c,0x7053006c,0x00000000}},	//   _aturi_, _čestný_, _боризе_, --, 
   {{0xa95a0010,0xd2c400b2,0x01f80120,0x220f0291}},	//   _alingcwe, _bineensi_, _sabaabah_, _تحترم_, 
   {{0x4589033d,0x6faf06e2,0xb3110067,0x6dbb0527}},	//   _televizy, _fluviais_, _darbatu_, _podrucju_, 
   {{0x2379005a,0x462800f4,0x13940447,0x00000000}},	//   _bosabha_, _enporzhi, _ayese_, --, 
   {{0xf2d90278,0xd2130367,0x328300fb,0x2fd300b4}},	// [2da0] _lesen_, _fechar_, _anikela_, _selectaţ, 
   {{0x72d80247,0xa2900181,0xbdfb03e8,0x05810025}},	//   _kalebu_, _tohara_, _predloge_, _bindusth, 
   {{0xa74e0075,0x9224030b,0x12900393,0xa2d80193}},	//   _trongisv, _ahaky_, _oznaku_, _becek_, 
   {{0xa1770359,0x963202c9,0x8c310151,0x3a2c0226}},	//   _behannel, _корурь_, _antiskid_, _chachime, 
   {{0x696c00e7,0x9b630162,0x629000b8,0x82e90190}},	//   _aminobut, _болдиму_, _utmati_, _megidan_, 
   {{0x09fc022e,0xe2d90189,0xa3c30109,0x00000000}},	//   _imbarcat, _kesen_, _dávce_, --, 
   {{0x7c0a0119,0x73950175,0xa3790244,0x031002c9}},	//   _chapada_, _preski_, _rimasto_, _miscare_, 
   {{0x03040416,0x6b660085,0xb30000ac,0x2191014e}},	//   _capabil_, _dakuwaqa_, _nijansi_, _аката_, 
   {{0x725701b8,0x5200003a,0xbaf4013c,0x59070148}},	//   _austraal, _mohir_, _əflatun_, _membroru, 
   {{0x198403f0,0xe3730102,0xedce0265,0x32f003c2}},	//   _aumingja_, _rumande_, _rechtvaa, _biritch_, 
   {{0x3eac01f4,0x12d90256,0x1bb40017,0xfd9b005d}},	//   _мумкинми_, _nesen_, _solárium_, _ipotĩgui_, 
   {{0x4eb400df,0xbc9204fd,0xc85b01be,0x9e0e00dc}},	//   _recettes_, _डरपोक_, _automodu, _suifaisa, 
   {{0x7c470059,0x13410076,0x116c0183,0x00000000}},	//   _правим_, _deveria_, _dakilasy_, --, 
   {{0xada0020f,0xa38603e0,0x827f025e,0x125a046b}},	//   _afundisa, _tuerm_, _botni_, _choleg_, 
   {{0x6c750082,0x52510372,0x115900c7,0x00000000}},	//   _tuhumar_, _beilïaid_, _kildelär_, --, 
   {{0xf8350322,0x6afc00d1,0xbd0503dd,0x79fc004b}},	//   _akamwand, _চাভেৰিন_, _fillonte_, _ikgathat, 
   {{0xc20006e3,0x46c5000a,0x79810010,0x6cb9003e}},	// [2db0] _dohir_, _annaangi, _betitime, _бюджетты_, 
   {{0x0968009a,0x568c015d,0x4c09035b,0xa98b023a}},	//   _abandeze, _मेदार_, _stopnja_, _mestský_, 
   {{0x13a205ac,0x1c61008d,0xfc790257,0x63950066}},	//   _skipan_, _کیچدیم_, _hausnum_, _pauso_, 
   {{0x7af3042b,0x99ce0127,0x07680061,0x49b50003}},	//   _napravit, _diferade, _아이디어는_, _rondlope, 
   {{0x62eb02a4,0x6c5c01b4,0x93860096,0x39f40209}},	//   _militum_, _opstaan_, _arera_, _igasattu, 
   {{0x4603004a,0x112503ea,0x067a0074,0x62fd02f3}},	//   _publitsi, _commencé_, _заработн, _slagit_, 
   {{0x27b9004b,0x33a20059,0x531a020e,0xc2ea00a0}},	//   _карателд, _troppe_, _hirileng_, _fitilun_, 
   {{0x92d9025e,0x2d15023c,0xe371006a,0x63730399}},	//   _vesen_, _ښاپيرۍ_, _complexé_, _talange_, 
   {{0xb2360358,0x82d902e9,0xb4910295,0xa2d902b0}},	//   _danje_, _deseo_, _fangatok, _wesen_, 
   {{0xc827005e,0xb4ce02da,0x7a880080,0x9832015e}},	//   _ھاھاھا_, _навивачи_, _alliniss, _جانىڭ_, 
   {{0x2d8a0203,0x9f1f0065,0x346e00de,0x534d0235}},	//   _confesse_, _griechen, _angenazo_, _careyam_, 
   {{0x52360672,0x8eca0058,0x2076026f,0xfd04002e}},	//   _nanje_, _standjes_, _немқұрай, _počinjen, 
   {{0x068c05c5,0xc30e00ff,0x83f101b5,0x9b880065}},	//   _देवार_, _אורזאך_, _focusani_, _motivier, 
   {{0x32d90095,0x8e430135,0xe27e0312,0xf2d8016e}},	//   _pesen_, _корбан_, _kidna_, _recep_, 
   {{0xce0902d8,0x134c060b,0xd2d90230,0xd9670486}},	//   _keteramp, _मकरंद_, _lesel_, _लायन्स_, 
   {{0xe68c0052,0x027e00b0,0xc37304c1,0x5b2d00ad}},	//   _बिहान_, _midna_, _ogmante_, _nambahan_, 
   {{0x230e0159,0xb3bb004b,0x99c602e5,0x28c10044}},	// [2dc0] _antanas_, _dikweta_, _galléta_, _appealed, 
   {{0x0248005b,0x0ff20488,0xf98600d5,0x00000000}},	//   _otome_, _vissmagā, _hidinika_, --, 
   {{0xa3860534,0x1d6800de,0xc56b006c,0x065b0037}},	//   _androi_, _ayemelwe_, _aliwusek, _መንገዳቸውን_, 
   {{0x86d3007e,0x48f502e5,0x63af00f0,0x467c02ff}},	//   _kuladuhi, _choguyku, _podstrán, _bilengwi, 
   {{0x0eb80203,0x363e0010,0x50270242,0x0c5000bb}},	//   _dassault_, _abelekiw, _düşünməy, _سنانا_, 
   {{0x52aa001c,0x794a00d0,0x423002e7,0x61150056}},	//   _tindouf_, _продакши, _ilimnan_, _эҳдоси_, 
   {{0xae2d005e,0x7c0f002b,0xc20203c2,0xa97d0258}},	//   _يۇپۇرماق_, _খাদ্যদ্র, _aurist_, _meiholpe, 
   {{0x338d0039,0x89ee0622,0xa3190392,0xe413012c}},	//   _дорногов, _bisuragu, _lùbach_, _zimamoto_, 
   {{0xd44c0063,0xa7ee0227,0xd2480397,0xddb20039}},	//   _كيوماكس_, _disayang, _achmat_, _jakintza, 
   {{0xa2d906e4,0x8b9100be,0x72fe0212,0x34b100fd}},	//   _cadeau_, _اشىردى_, _capitis_, _eisimeil_, 
   {{0xf37c008d,0x1dc40381,0x22fd012c,0x91dd00a2}},	//   _aylanib_, _ousingha, _tahariri_, _mwanamum, 
   {{0x40eb017a,0xf962023d,0xa2da00b4,0xe7030019}},	//   _olunabil, _костов_, _viteze_, _декретте, 
   {{0x32c10219,0x596e032d,0xf2ea02be,0x1d2d027f}},	//   _aholela_, _кителгән_, _urinals_, _ihindiye_, 
   {{0x92d806e5,0x5297022e,0x1c7d0084,0x00000000}},	//   _efkes_, _staccati_, _stasion_, --, 
   {{0xd27e0169,0x99a70143,0x4c070208,0xffc90132}},	//   _সম্পদের_, _сидеров_, _باشبوو_, _gumiabro, 
   {{0xc38603b2,0x33ea01b9,0x6317034c,0x00000000}},	//   _sports_, _brital_, _glazov_, --, 
   {{0xb22201de,0x00000000,0x00000000,0x00000000}},	// [2dd0] _геоақпар, --, --, --, 
   {{0xa9050590,0x12fd01b4,0x52fd00a2,0x13d9014e}},	//   _eztabaid, _klagte_, _wahariri_, _поражена_, 
   {{0xc5800140,0xd27f0004,0x63470269,0x1c0a0127}},	//   _telebisy, _ajenou_, _ochenta_, _gampion_, 
   {{0x23e40362,0x577200b9,0xbc5c0096,0x12000278}},	//   _bakumisi_, _भाजपच्या_, _amaturo_, _sohih_, 
   {{0x72da0203,0xa8970060,0xdec70094,0xa30d0316}},	//   _capell_, _ساتقىندى, _балбал_, _falalar_, 
   {{0x127b00f0,0x16160047,0x061102c2,0x55370061}},	//   _komentár, _nucléair, _altesaam_, _뮤즈멜로즈_, 
   {{0x939f018d,0xa8530135,0x4c0a0249,0x7dd90010}},	//   _ተደምዲሙ_, _телефонг, _jampion_, _asekhena, 
   {{0xa34b02c7,0x9f9e02cf,0x00000000,0x00000000}},	//   _gemerkt_, _сфатив_, --, --, 
   {{0x7e6a0320,0x973d02fe,0x5198004a,0x82c8003f}},	//   _calciola, _abunakug, _урманнар, _lamluch_, 
   {{0x822401d9,0xda2900d9,0x00000000,0x00000000}},	//   _donkel_, _средневе, --, --, 
   {{0xf26c0397,0x1c04006f,0x09e80255,0xa42402d0}},	//   _nalowo_, _ufisadi_, _कार्यरूप_, _consolin_, 
   {{0xe270009a,0xbf1f0138,0x247b02af,0x8eb4014d}},	//   _akungeni_, _bileşenl, _congerez, _gedruckt_, 
   {{0xcec00147,0x22fc0027,0xa2a70635,0x72e201c9}},	//   _ئستۇدەنى, _balions_, _сабора_, _valitud_, 
   {{0x22dc028e,0x3c7002bf,0x326c00fb,0xb5c30290}},	//   _espesoli_, _akusite_, _balowo_, _budgetà_, 
   {{0x927b0420,0xa224019c,0x73da0037,0x65950187}},	//   _comentár, _ejika_, _የለባትም_, _refletem_, 
   {{0xeba0014a,0xff4703bd,0xb5b704e6,0x127e0009}},	//   _زکریا_, _ipasabut_, _balanseh, _vidni_, 
   {{0x630d034c,0xe22403b9,0xc628019d,0xb642009a}},	// [2de0] _balalar_, _ukaki_, _alangizi, _ashiyeki, 
   {{0xc62b0374,0x329005a9,0x8294044a,0xb2e202e7}},	//   _ekanligi, _yohava_, _biyanoli_, _kalisud_, 
   {{0xb488015d,0x2c5705f1,0x32e902ec,0x534b02c7}},	//   _gwarancj, _vestine_, _dirirka_, _bemerkt_, 
   {{0xa83701cd,0x893b0135,0x95a701ad,0xf9f10022}},	//   _зараре_, _garmunda_, _napolcom_, _khannela_, 
   {{0x00ab0074,0x160c042c,0x80180177,0x8a0c01f9}},	//   _станции_, _sredinom_, _ргәҭакқә, _ikhabine, 
   {{0x2224023b,0x34f40207,0xf290018e,0xd278034c}},	//   _maikai_, _اختلافي_, _amhaka_, _aviaqosm, 
   {{0xf53304a0,0xe7b20064,0x12d9019b,0x64fb00d3}},	//   _músculo_, _театралд, _patogus_, _ज्यानै_, 
   {{0xf2880128,0xc2da01e9,0xac2901db,0x5565016a}},	//   _holatini_, _ditene_, _ساۋەگەيل, _bestaĉo_, 
   {{0x82ba044b,0x41b70074,0xebb80365,0x5be000e2}},	//   _kodeord_, _широкий_, _अन्लाईन_, _omwenner, 
   {{0xc2d0012a,0x141a02f3,0xb28300b8,0xdeaa025c}},	//   _wyloguj_, _sannolik, _tunkata_, _einfluss_, 
   {{0xd7e803b8,0x4ee802ac,0x68460059,0x226c0145}},	//   _шарттард, _لتجنب_, _парфюми_, _sakoma_, 
   {{0x039500a0,0x49130091,0xd2e80256,0xe486000d}},	//   _hausa_, _ruraruku, _banneru_, _दियावल_, 
   {{0xc5d10029,0xf3ac039e,0x76b00372,0x98c7024f}},	//   _دابڕان_, _utspel_, _ailstrwy, _sauturag, 
   {{0x2cc10046,0x2b0c008b,0xf8fc00c7,0x5a18014c}},	//   _ايماعىنا, _bengamin_, _мәшәкать, _nempendu, 
   {{0x773900a7,0x894c03c2,0x16140086,0x53950275}},	//   _esportiv, _abrogate, _kerestem_, _mausa_, 
   {{0xe306036f,0xdd88029a,0x439501b8,0x0eda02af}},	//   _zadatak_, _deplianp, _lausa_, _arahamen, 
   {{0x50270147,0x121c02e7,0x039a0107,0xa2c60030}},	// [2df0] _ئىيلاعىم_, _tauhan_, _bésuk_, _sirmais_, 
   {{0xd34102c3,0xb492040e,0x00000000,0x00000000}},	//   _nevedia_, _deputasj, --, --, 
   {{0xac0c012d,0x7a480129,0xeb470052,0x1365011b}},	//   _gruping_, _hezekaya_, _नास्पाती, _ekitisam, 
   {{0x42e1029a,0x19c00080,0x0f930227,0x7977009f}},	//   _desisif_, _andelsse, _saudagar_, _ocenjuje, 
   {{0x6f340392,0xaccc0107,0xa73b00be,0x00000000}},	//   _charbada, _هتلداری_, _ولتۇرعان, --, 
   {{0xc3860260,0x10650138,0x00000000,0x00000000}},	//   _peirao_, _üstünlüğ, --, --, 
   {{0x9df80525,0x396c0092,0x7ef8020f,0x28c602d5}},	//   _तन्मयता_, _stenalde, _لوبدلی_, _pantvang, 
   {{0x32900182,0x5c0e02ef,0x33060304,0x67ed010e}},	//   _kohata_, _ekspire_, _semadoh_, _gagalang, 
   {{0x7f2004ec,0x434800ad,0xf30602b9,0xec7d0242}},	//   _amutonga, _merenah_, _madarak_, _missiya_, 
   {{0xd27b0300,0xaf4101c8,0x06e30024,0x00000000}},	//   _momentál, _popraska, _মেৰিয়াই_, --, 
   {{0xb356019f,0x87fc0107,0x2e710255,0x33bd02ac}},	//   _maafisa_, _النازشاک, _चुम्म_, _وتشجيع_, 
   {{0x024801bb,0x24b402a9,0x00000000,0x00000000}},	//   _mahmyt_, _альчыда_, --, --, 
   {{0xb26c019d,0x786a0116,0x530d00a0,0x00000000}},	//   _maloto_, _alangsid, _hadayar_, --, 
   {{0xc20100ad,0x53f40241,0x329001ab,0xe6dc0061}},	//   _ampir_, _cittoo_, _aknast_, _빼빼로데이_, 
   {{0xd4440148,0x77950497,0x190a0126,0x23480429}},	//   _中央廣播電台_, _centrepi, _кодексом_, _kerenah_, 
   {{0x4f660162,0xc30e0242,0xe3550311,0x60d80311}},	//   _агентлиқ, _anlamaq_, _ዘይቁጸር_, _ዘይርትዓዊ_, 
   {{0xbc6c0148,0xb3f90101,0x2afb00e6,0x430c00db}},	// [2e00] _accusam_, _sexul_, _少女与苍蝇_, _sadamas_, 
   {{0xf9ef02d0,0x6679005e,0x79d100ee,0xb36900b4}},	//   _disgrace, _гепимни_, _kontratu, _локализа_, 
   {{0x75b101d1,0xc558020a,0xf30c0255,0x697b00e2}},	//   _בדואר_, _сайттары, _करायेनउफ, _bernejie, 
   {{0x8b540095,0x035f01f9,0x48d103f7,0x438c042a}},	//   _adiwerna_, _bangeke_, _dapurleg, _isayine_, 
   {{0x6b3b0518,0x338600e9,0x83a200c3,0xb2da016e}},	//   _مسجدی_, _atiran_, _nempe_, _sitene_, 
   {{0x9d0f011e,0x66ba01f0,0xb320000f,0x29cd0261}},	//   _priorite_, _dikebekw, _slayt_, _alsendit, 
   {{0x62240382,0x57800095,0xf6ae033c,0xf2e6033b}},	//   _akaku_, _اشراقی_, _arbenigw, _lwanela_, 
   {{0x8adc04ad,0xa15c0064,0x849a0311,0x0d1702d0}},	//   _dikungwe, _шайтанга_, _ዝኸፍልዎ_, _seelence_, 
   {{0x934c0061,0xf6d90144,0x517b004e,0x93200053}},	//   _레지스트리_, _ميرسى_, _gimantal, _aniyo_, 
   {{0xdb5a016d,0x32d800d2,0x034e0168,0x626c036c}},	//   _сайламни, _recet_, _kokebok_, _haloto_, 
   {{0x32360334,0x3dc203be,0x434002ce,0xad1a0123}},	//   _panja_, _bakiruka, _ambekna_, _dannelse_, 
   {{0xdf660354,0x3cd70338,0xedb30235,0xb42b030b}},	//   _мартни_, _abdiquèt_, _arkasute_, _anjabulo_, 
   {{0xe3ce04f2,0xb2d801c2,0xb0d500bb,0x00000000}},	//   _tinvip_, _lecer_, _پچھتاوا_, --, 
   {{0xe15e02b2,0xed06017e,0xafe103e6,0x8fad0350}},	//   _привезли_, _גבירים_, _deskeier_, _መድሃኒቱን_, 
   {{0x296801b9,0xf51d00ec,0x00000000,0x00000000}},	//   _desinate, _ападкаў_, --, --, 
   {{0x72d90489,0xd4ca00be,0x06e70040,0xb4d70094}},	//   _aesea_, _бизнесте, _שעומד_, _жаркент_, 
   {{0x308d0092,0xc85802c8,0x4b790055,0x12b60046}},	// [2e10] _ネットで集まって, _publicou, _acertula_, _rescat_, 
   {{0x03f00318,0x82b500b5,0x2ee800ac,0x17a40193}},	//   _akiumeni_, _chejopy_, _olakšanj, _अन्वयार्, 
   {{0xd3dd0410,0x72da0499,0xa2d90319,0xb15c0040}},	//   _maswi_, _aitele_, _desea_, _ורוחניות_, 
   {{0xb9c100e4,0x5e7c00db,0x86d005f2,0x02cc015f}},	//   _डॉयचे_, _तिन्ह_, _novagali, _dirlawn_, 
   {{0x62d802e9,0xff0a0418,0x00000000,0x00000000}},	//   _veces_, _hataları, --, --, 
   {{0xd2da018e,0xb5ed018b,0x7aa4021b,0xa3ea0343}},	//   _enteke_, _bistriţa_, _mobiilis, _maitum_, 
   {{0xf38d02ac,0x7a8701b9,0xb9e8028f,0x3ad700e6}},	//   _إشراف_, _intodiks, _hangarit, _未知或未标注_, 
   {{0xfc5b01a4,0x52f00580,0x937f017a,0xdeba00d9}},	//   _atutami_, _skaisti_, _adlalwa_, _elikkäs_, 
   {{0x77ed04ec,0xe3860020,0xfea70029,0x0c930365}},	//   _bagabang, _esera_, _سێپتامبر, _बिछोड_, 
   {{0x7c6e0141,0xc8ea0439,0x02240041,0x53f9000b}},	//   _гаджи_, _entshung, _лҳәыит_, _lepua_, 
   {{0x02d8015e,0x501706e6,0x33060233,0x28cd027e}},	//   _peces_, _गजेन्द्र_, _mihalik_, _уплате_, 
   {{0xb38605b3,0x4d090357,0x368e0251,0x00000000}},	//   _ouers_, _poorokar, _seedigii, --, 
   {{0xbfda0444,0x43730047,0x339c0052,0x3d060322}},	//   _загородн, _refaire_, _nekuřáck, _atarager, 
   {{0x9297035b,0xb7bc0092,0xf225019d,0xb0e80046}},	//   _pripravl, _スライドショ_, _dzekaa_, _موقوچو_, 
   {{0x794f0008,0xa2480044,0xad9d02e5,0x447e0198}},	//   _بولموعۇ_, _crimes_, _congreve_, _baterijo_, 
   {{0x2ff10134,0x441d00ee,0xbf0a0089,0x660e0400}},	//   _adúláwò_, _horietak, _dataları, _antomari, 
   {{0xbe460609,0xc7bd0030,0xc23600ea,0xf38601c6}},	// [2e20] _finalida, _patiesīb, _kanjo_, _buert_, 
   {{0xb27e01a2,0x77ec00d5,0x503c037e,0xc37c00d1}},	//   _pilnu_, _hahatong, _pynthikn, _straume_, 
   {{0x2ac7021b,0x00000000,0x00000000,0x00000000}},	//   _научитьс, --, --, --, 
   {{0x02010212,0xe748002e,0x2c7303fc,0x00000000}},	//   _moxie_, _godišnju_, _bjornar_, --, 
   {{0xea3800c5,0x39ae00bc,0x035f00d3,0x69290361}},	//   _国家邮政局_, _سیمین_, _panenky_, _весенне_, 
   {{0xf236006a,0x693d0375,0x48c5021c,0x2d04030f}},	//   _nanjo_, _akumuyit, _sekundov, _ngautuar, 
   {{0x52cb0047,0xaa8e004b,0x5b0a0204,0x00000000}},	//   _对最佳答案的评论_, _комедияһ, _hauskoja_, --, 
   {{0x5d1101e6,0x72490019,0xb39604b9,0x739600ec}},	//   _podstavc, _drames_, _hersel_, _kursto_, 
   {{0xa083004b,0xef600220,0xc2c3028b,0x98d30361}},	//   _черников, _рекламни_, _añoite_, _монблан_, 
   {{0x69dc04f7,0x12560178,0xbf3f0307,0x23f30267}},	//   _bikervie, _जनमेजय_, _bengafan, _pristupi_, 
   {{0x43870002,0x71790349,0x0dc5015f,0x11670371}},	//   _udario_, _actinway_, _awtistia, _мазнина_, 
   {{0x62b700d6,0xad1301bd,0x7d1e0061,0xf6cc0087}},	//   _ẁōгľð_, _медальда, _핸드메이드_, _kanakani, 
   {{0x02fc01f0,0xc2f00045,0xe1b90045,0x1a0e030d}},	//   _bathong_, _troicki_, _термине_, _bitaaane, 
   {{0x62d90179,0x0b0f0079,0x0e4c017f,0x17810109}},	//   _kesev_, _eksporta_, _assannut_, _संगाठानि, 
   {{0x7ce2046a,0xc22601ef,0xb3a2009d,0x218a041a}},	//   _provínci, _армяне_, _ekipin_, _самореал, 
   {{0x47a60301,0x885d00ef,0xa61e025b,0x3f40012c}},	//   _enerjisi, _abalishu, _kommunuf, _درخواستن_, 
   {{0x720e01eb,0x02d80108,0x139902f3,0xe9de006d}},	// [2e30] _шамам_, _cecep_, _mässa_, _баразьне_, 
   {{0xf2020250,0xfa020032,0x39c9011a,0x00000000}},	//   _burime_, _jimatlht, _מקורם_, --, 
   {{0x93990331,0x338701c5,0x49e701f0,0xbfe5027b}},	//   _vísur_, _suuro_, _dikorila_, _carmakār, 
   {{0x1a240204,0x9a460139,0x00000000,0x00000000}},	//   _платить_, _निर्गम्य_, --, --, 
   {{0x56ce03f8,0xa2fa0207,0xc30203dd,0x92480362}},	//   _darachni, _kuchora_, _serbise_, _ntomo_, 
   {{0x52d90130,0x120201ef,0x6af603f8,0xd58802db}},	//   _nadeau_, _turime_, _chorghbe, _promasim_, 
   {{0x924b0024,0x6805002b,0x573f0368,0x512d0395}},	//   _আনন্দত_, _চাইবেন_, _доктрину_, _xenonové_, 
   {{0xd21201c8,0x438702ec,0x8661027b,0xa2ca00be}},	//   _svahu_, _tuuro_, _निमज्जति_, _embolic_, 
   {{0x1af20026,0xa9b102e8,0xa0aa03d4,0xf658020e}},	//   _verricht, _amudhara_, _проистек, _венчур_, 
   {{0xfd7000b3,0xb23100e1,0x162501ff,0xf8c706e7}},	//   _индем_, _alamaan_, _nerozumi, _музейинд, 
   {{0x8a650041,0x13e80054,0xef7800f5,0xe47c0128}},	//   _нугзар_, _lantarki_, _сексуал_, _тугилган_, 
   {{0x75d400a0,0x00000000,0x00000000,0x00000000}},	//   _budaddiy, --, --, --, 
   {{0x852a0175,0x362a029a,0x93870054,0x8572016a}},	//   _idantify, _idantifi, _awarin_, _אַלבומס_, 
   {{0x0de402ac,0x647d0013,0xc30d031c,0xb52e00d1}},	//   _عبدالمحس, _intervik, _aclarar_, _কবিকুলৰ_, 
   {{0x4fdc004d,0xf2b5031a,0xbe200237,0x00000000}},	//   _我有話要說_, _mhecca_, _세탁물보관함_, --, 
   {{0xaa94005b,0xea43020f,0x92fc02d3,0xe2fc00ff}},	//   _shizuoka_, _دپیښې_, _treinos_, _aplikas_, 
   {{0x0395012a,0x2f310074,0x5915006d,0x31c1036d}},	// [2e40] _ciasto_, _loistava, _альпаў_, _leremiah_, 
   {{0x32b2065f,0x7f56004a,0x999a0488,0x00000000}},	//   _gradska_, _abínıñ_, _garkalne, --, 
   {{0xcc2203a7,0x50b80220,0xe7c700c7,0x42d90202}},	//   _skupiny_, _искат_, _намибия_, _aseele_, 
   {{0x7bd1044b,0x720e0061,0x1f5f022b,0xb15b01c6}},	//   _forståel, _쉬폰원피스_, _funksjón, _slauerho, 
   {{0xc3ea0587,0x121203a6,0xa4c80078,0x4b6f023e}},	//   _comtes_, _kwaha_, _планирал, _angupaya_, 
   {{0xcf66012c,0x627e0249,0x1ad60092,0x0c850156}},	//   _makampun, _kidni_, _基準被写体反射率, _דוביי_, 
   {{0x52d90058,0x9d370014,0xd4760078,0x00000000}},	//   _leset_, _perqendr, _процесе_, --, 
   {{0x8867018b,0x2cef0212,0xc86202c2,0xac730540}},	//   _армата_, _sgowshac, _dringend, _sterkur_, 
   {{0x2f2505c7,0xdf780074,0x72d90568,0xe24900d9}},	//   _burengan, _фирменны, _neset_, _raportti_, 
   {{0x63fa030b,0xb17b023b,0x61c00067,0xec2004b3}},	//   _abaruumi_, _lahainal, _billisum, _egiptiz_, 
   {{0x8cd80220,0xe4000246,0x3ef10051,0x1b6903b9}},	//   _служител, _черно_, _projekts_, _jesusaxa_, 
   {{0xf3a2028e,0x1c7d0061,0xe11c05be,0x83b605f2}},	//   _propit_, _moesten_, _mrežama_, _alevín_, 
   {{0x02480095,0xb4570220,0x93c800c5,0xf28c0342}},	//   _utomo_, _лиценза_, _sauver_, _asasinay_, 
   {{0xe749034f,0xe37902a6,0x722a0061,0x5c0a0014}},	//   _خواشيني_, _storicam, _국토대장정_, _kampion_, 
   {{0xf2d6052f,0xe10a01b5,0x00000000,0x00000000}},	//   _sibopho_, _ntshubul, --, --, 
   {{0x93eb01b8,0x313b00fc,0x2156028b,0xf23c0101}},	//   _toetus_, _dulelmeh_, _наҧшҩы_, _schimbăr, 
   {{0x93870012,0x886003b8,0x738703da,0xb4e9019b}},	// [2e50] _suure_, _сөзсіз_, _aturu_, _камсамол, 
   {{0xea130312,0x94330139,0x94b50158,0x00000000}},	//   _mazateke, _atrodāha, _strumień_, --, 
   {{0x0f2201aa,0x836f022b,0xa3bd00c8,0xec0b0066}},	//   _encumbra, _dálking_, _fanweng_, _corpusa_, 
   {{0x7c5a0101,0x8a700307,0x42d90255,0x59cf02f3}},	//   _alaturi_, _babanjwa_, _keset_, _innefatt, 
   {{0x23860694,0x4fb0004b,0x92360197,0x04b80071}},	//   _esere_, _amfolopo, _ranje_, _خونمون_, 
   {{0xa2360321,0x4f72018e,0xd7890187,0x8c510083}},	//   _sanje_, _ebibelin, _небото_, _unitara_, 
   {{0x5e490174,0xfa360169,0xcd8300b4,0xe96d021b}},	//   _mebalaba, _পুদিনা_, _exploata, _astianpe, 
   {{0x439301e0,0x4380001b,0x13ac0583,0xa9e802d5}},	//   _کاروباری_, _metrii_, _skupni_, _करएवाली_, 
   {{0x82b5028b,0x5241053f,0x23f800ab,0x7373014d}},	//   _ahecha_, _sallampi_, _kaiuku_, _stellung_, 
   {{0x0c3f012b,0xbd3f023a,0x72f1029d,0xd58001f5}},	//   _poznaniu_, _poznanie_, _actiuni_, _melukisk, 
   {{0x7186024d,0x23160558,0xb32000fa,0xdf5b0369}},	//   _yemandul, _izizi_, _aniya_, _makainan, 
   {{0xfaae00bf,0x5395033e,0x2f2800f6,0xac91005e}},	//   _соединен, _apesyi_, _paltarla, _ھەجنىڭ_, 
   {{0x80bd0092,0x82ef03bf,0xa6e70078,0x541d03a4}},	//   _さんのブログ_, _folisoa_, _мандату_, _forsetan_, 
   {{0xde420025,0x926602fb,0x05610061,0x8a6b002e}},	//   _वैश्वानर, _fetokoni_, _정보입니다_, _posvećuj, 
   {{0xb32a004b,0x0eeb003b,0xf55801fc,0x63a20157}},	//   _подольск_, _alukason, _raakibay, _krople_, 
   {{0xe2d705d7,0x1b52023a,0x01ca038b,0xb0ba0211}},	//   _firotho_, _zhromažd, _menempuh_, _цилиндро, 
   {{0x1f9b00e4,0x3ced0102,0x83160387,0xc2d001d2}},	// [2e60] _रक्तचाप_, _دؤران_, _ozizi_, _donegani_, 
   {{0x16cf006f,0xa00e0488,0xc1bf0162,0xec900331}},	//   _kukabili, _stiprinā, _түрүватқ, _einføld_, 
   {{0xcf6a020f,0x53f40052,0xb1b40040,0x127e018d}},	//   _ababetan, _koutem_, _הנהגים_, _falni_, 
   {{0xc2d902df,0x968c0013,0xe2fc02e7,0xd807027c}},	//   _mesej_, _абрамовн, _halgon_, _پکیتا_, 
   {{0xa38601fe,0x67630096,0x3f280151,0x98790249}},	//   _cidroi_, _ndayishi, _accoster_, _proporas_, 
   {{0x40e20162,0x87c70062,0x8e0603a4,0x82ea035d}},	//   _مەنىۋىي_, _jangtahv, _bakdyrna, _negirao_, 
   {{0x123a035b,0x33860487,0x0a23011a,0x87a10184}},	//   _primeru_, _query_, _succeede, _cifukuri, 
   {{0x312f00c5,0xcea500a3,0x1da5047b,0x00000000}},	//   _好莱坞经典动画大, _fortalde_, _fortaldu_, --, 
   {{0x32c102f8,0x0a7a0008,0x00000000,0x00000000}},	//   _afilika_, _сабантой, --, --, 
   {{0xfd50005a,0xd29006e8,0x8c0800a6,0x1bf20279}},	//   _biyajchu_, _ormari_, _وستیانو_, _maitress, 
   {{0xe2fd01be,0x222402e5,0xd4a90177,0x340f0157}},	//   _planety_, _ajaka_, _еиҩыршеи, _francisz, 
   {{0x53940105,0xc569003e,0xe7b003f3,0x02020100}},	//   _sensie_, _беренс_, _adresgeg, _tepisi_, 
   {{0x329200fd,0x82ca0455,0x2394011d,0xec1c0156}},	//   _barail_, _soldes_, _pensie_, _בלוטען_, 
   {{0x02900141,0x8d84005b,0xf2e90116,0x56a40010}},	//   _armasi_, _hundrede_, _dannert_, _ebuthish, 
   {{0x52910039,0x5f480255,0xd92e0061,0x3ebd019d}},	//   _ardatz_, _pingviin, _반품배송비_, _chinthen, 
   {{0x838701bc,0x8a2003c1,0x3bd60361,0x514200e6}},	//   _sturt_, _темпо_, _субъекта, _中华人民共和国电, 
   {{0x5ea90258,0x487500ef,0x6e340272,0x1a0d0348}},	// [2e70] _fleurige_, _kwenkulu, _banaggwa, _batalaba_, 
   {{0x887e0217,0x2c740061,0xb2ca02ee,0xdaef00a6}},	//   _neapoles_, _소재및원단_, _falluti_, _عسکرله_, 
   {{0x32e903e6,0x386301c4,0x92b3022b,0x606c014a}},	//   _hannert_, _brandend, _bardaga_, _balatono, 
   {{0x805805db,0x7c6e0062,0xf5810030,0xf2a603b4}},	//   _abaseban, _ghorqan_, _celtniek, _fambei_, 
   {{0x29ed00aa,0x22d90198,0xb3750061,0x99ef02af}},	//   _disulfid, _pesem_, _미스코리아_, _bisigara_, 
   {{0x440f01e1,0xd725006c,0xf23600ea,0x2312033e}},	//   _участкал, _abamding, _lanja_, _garbett_, 
   {{0x8da70227,0x530c0635,0x42070282,0x00000000}},	//   _kebodoha, _пілястра, _pipiriki_, --, 
   {{0x72d900b9,0x7a120096,0x9f25033e,0x00000000}},	//   _gesek_, _babateke, _jovellan, --, 
   {{0x35d701f4,0xec5104e6,0xb9c00239,0x00000000}},	//   _турадила, _bentaha_, _perehite, --, 
   {{0x98470188,0x33220044,0xc2fc02bc,0x89f702d8}},	//   _камари_, _discuss_, _lathang_, _budidaya_, 
   {{0x52360170,0x69310326,0xd3640155,0xe300004c}},	//   _banja_, _akombere, _krafter_, _baganzi_, 
   {{0x98c50056,0x8aea021e,0xaf300021,0x4b180156}},	//   _ифтитоҳи_, _begreppe, _alaskawa, _גערטנער_, 
   {{0x7236036c,0x1c730231,0x769202c9,0x804d014e}},	//   _danja_, _mensura_, _impecabi, _врате_, 
   {{0x510a0040,0xc387004f,0xd9740156,0xa30d0117}},	//   _מכריזה_, _buuri_, _יארעסלאו, _tumbuna_, 
   {{0x366a0235,0x8adb01be,0x22fc023e,0x62f003d4}},	//   _ardayām_, _सिनर्जी_, _bathang_, _sokobanj, 
   {{0x7a6c0255,0x6eb401e6,0xcc7e021e,0x452901d1}},	//   _kummalis, _minulost_, _slussen_, _seminary, 
   {{0x13b00342,0x6c00022f,0x00d80040,0x4baa0181}},	// [2e80] _mouvman_, _скальных_, _בעוצמה_, _nishimur, 
   {{0x840f0163,0x00000000,0x00000000,0x00000000}},	//   _tranzisz, --, --, --, 
   {{0x08370061,0x22ec007b,0xeaa30185,0x00000000}},	//   _있겠습니까_, _draible_, _evakuats, --, 
   {{0xb765014f,0x738f01e5,0xe41a0061,0x89850449}},	//   _духовни_, _alapaosi_, _인플레이션_, _prekovre, 
   {{0x024a0079,0xd2fe0148,0x726e01a7,0x1d8e0634}},	//   _posmā_, _emailer_, _autoon_, _anadrome_, 
   {{0x33160588,0x96d20410,0x33870181,0x03ce0619}},	//   _cyiza_, _sengwalw, _yuuri_, _ulovio_, 
   {{0xb29004c0,0xbbbc015e,0x7037051a,0xdf200210}},	//   _kumasi_, _بالباندى_, _pertunan, _amutunga, 
   {{0x424801b4,0xae1a007e,0x39c700e5,0x273c03e6}},	//   _drome_, _apakṣadh, _папагал_, _ausprobé, 
   {{0x4ca80046,0x810a01d5,0x0f53028b,0xe2fa03da}},	//   _اشىرۇۇعا_, _کولکتہ_, _дҭаацәар, _muchara_, 
   {{0xfeea018d,0xc5f10090,0x9c76026c,0x2bac0046}},	//   _ንምስፋን_, _akamutsi, _populos_, _جەڭەسى_, 
   {{0x1ab100ec,0x70c7029c,0x00000000,0x00000000}},	//   _prognozė_, _chilakol, --, --, 
   {{0x0dda0321,0x39b20120,0xe5b0014a,0xb12701ea}},	//   _soglašat, _guddusse, _kiskutyá, _закоти_, 
   {{0xd38704ac,0xb8fd0059,0x367901a7,0xc38c02bf}},	//   _suuri_, _доказате, _регионы_, _asayine_, 
   {{0xb24800ff,0x45320252,0x6317005b,0x595e011b}},	//   _krome_, _ndingany, _brezza_, _azongise, 
   {{0x06a4003f,0x7d1600bc,0x52e0012b,0x71340185}},	//   _bibudlah, _دکلمه_, _सृजनात्म, _алтыда_, 
   {{0x129c0397,0x20f9018d,0x72480049,0x8b710291}},	//   _ababenom, _ዝንገረሉ_, _kuomo_, _للتذكير_, 
   {{0x83f905c9,0xa7dd0024,0x8f6601e8,0xfaf40364}},	// [2e90] _yexus_, _altartav, _makapaun, _millioun_, 
   {{0x0248005b,0x0ecd012a,0x1249019b,0x68b703e6}},	//   _duomo_, _posiadan, _dramos_, _cordovad, 
   {{0x1eb700b0,0xe70c0153,0x89f602a3,0x026c016a}},	//   _حرکتھ_, _ビスの提供を受け, _dwarsdeu, _baloto_, 
   {{0xb27f002e,0xb2ba01c8,0x1e490010,0xa2d900dc}},	//   _bitno_, _chodili_, _bebacaba, _lesei_, 
   {{0x89df0037,0x73f90227,0x57a7034c,0x3e2303a2}},	//   _አብዱላሂ_, _tepuk_, _алманияд, _बड़ौत_, 
   {{0xdaf30176,0x5c4c03bf,0x2daa0278,0x8d9500b2}},	//   _hydrange, _bohwebi_, _keinsafa, _calliyaa, 
   {{0x66d500cf,0x3a7402f3,0x1ed20256,0x430d00d2}},	//   _ibraahii, _pengarna_, _interesē, _dalahar_, 
   {{0x9207023b,0x3acd03a4,0x23f9026c,0x06d00226}},	//   _nihinihi_, _abbadótt, _sexus_, _kukapimi, 
   {{0xf248005b,0xe6470162,0x4e730012,0x934e016a}},	//   _cuomo_, _مۇراسىم_, _त्त्र_, _anseroj_, 
   {{0x424801b2,0x66ce001e,0x666c0094,0x394b00ff}},	//   _trome_, _firamini, _بالقىتىپ_, _כּשרע_, 
   {{0x13990155,0x4f3c0343,0xe9ee01de,0xbc5e02ee}},	//   _lästa_, _aprubaha, _تۋىتتان_, _dettall_, 
   {{0x723d0072,0x63160039,0x03f10210,0xaef103bf}},	//   _chukiyaw_, _ezazu_, _akarotei_, _абзалов_, 
   {{0xe2000074,0x93100294,0x2292028f,0x182501f4}},	//   _mihin_, _antaray_, _hopara_, _алмашиш_, 
   {{0x540701ea,0x539400fb,0x39f70108,0x095d02b3}},	//   _прокси_, _uyesu_, _amanatna_, _autogobe, 
   {{0x93f400ce,0xc4d70135,0x135606c9,0x00000000}},	//   _koutim_, _чараның_, _diremas_, --, 
   {{0x281f00cb,0xb6650069,0x751c01f0,0x0395028a}},	//   _ёдовар_, _bishinzw, _borulelo_, _nyuso_, 
   {{0x546302d4,0xe28d0182,0xbecd0039,0x790904df}},	// [2ea0] _orientaz, _kahalaom, _москваги, _belalard, 
   {{0x62d80061,0xa8c80144,0x027f0039,0x069501f4}},	//   _kamers_, _portaing, _imanol_, _украинаг, 
   {{0xef9601d9,0x39b7033f,0xf4b20229,0x2dc303d2}},	//   _doudeger_, _kalaisí_, _dolların_, _rekordér_, 
   {{0xa38701e5,0x42a00061,0x024804a4,0x9277001a}},	//   _duuru_, _수거합니다_, _cromb_, _menüben_, 
   {{0xf89502d3,0xbd0602af,0x4d2e00d1,0x5e09018d}},	//   _странств, _atariger, _সমীক্ষাম, _ንተጋድሎ_, 
   {{0xdc360291,0xfb050085,0xd0eb01eb,0xa6380052}},	//   _يعتمد_, _coughlan_, _icompañe, _bezedná_, 
   {{0xe2fc04cc,0xdab10079,0xa2fc00c5,0x7b8d0119}},	//   _bwngim_, _prognozē_, _obtient_, _kahibaro_, 
   {{0x58510478,0x19650313,0x6649003e,0xf2000028}},	//   _actualas_, _lupongme, _профакти, _nihin_, 
   {{0xca080369,0x837600bf,0x7a930374,0xf9ee0155}},	//   _helamana_, _середины_, _версияси, _seriösa_, 
   {{0x5354046f,0xc52802d4,0x13870097,0x20e402c7}},	//   _nodeems_, _acceptà_, _kuuru_, _stundenl, 
   {{0x10eb05e2,0x52cc0039,0xfdc30152,0x227f0241}},	//   _acompaña, _udaleko_, _artistka, _citne_, 
   {{0xb2e30189,0x5207023b,0x298702f8,0xfe1803f8}},	//   _halinde_, _lihilihi_, _lahitaha_, _jipeghla, 
   {{0xf7be01f4,0x3d5803b2,0x215c00d7,0x42920182}},	//   _تصرفی_, _אלטעזאכן_, _бутай_, _zopara_, 
   {{0xb93f005b,0x3373044a,0x937304e3,0x00000000}},	//   _formande, _defance_, _nadasve_, --, 
   {{0x4544015e,0x8312003a,0xcff40158,0x92ad00a6}},	//   _ئىشەنىم_, _manzilim, _दरवाज़ा_, _کليات_, 
   {{0x9413027e,0xf9330008,0x515f02fb,0x6b5b0014}},	//   _домена_, _بالعا_, _kangakal, _studimin_, 
   {{0xe4a301b4,0xc826009a,0xacf60405,0xa3cd0128}},	// [2eb0] _beginsel_, _کالاباغ_, _listhaug_, _тарафини_, 
   {{0x9f580190,0x87cd00ff,0xf201005b,0x8387004f}},	//   _gespenst_, _גיהנם_, _roxio_, _buuru_, 
   {{0x5f360028,0xbede00b3,0x93870192,0x615f0399}},	//   _khasaara, _дилде_, _duurt_, _langakal, 
   {{0x8ad00029,0x527f0168,0x00000000,0x00000000}},	//   _مرۆیه_, _vitne_, --, --, 
   {{0x7c7604ca,0x0986036c,0xcdee015e,0xb25a02e0}},	//   _estudis_, _madinika_, _بارلارعا_, _beole_, 
   {{0x42e90261,0x02fc01c5,0x6fae028e,0xe5100041}},	//   _maniero_, _halgan_, _novogoro, _ьеимс_, 
   {{0xd7ed0322,0x26ed02fc,0x00000000,0x00000000}},	//   _bagahang, _bagahanw, --, --, 
   {{0x098b017a,0x224806e9,0xcaea0003,0x0085010d}},	//   _abahlobe, _dugme_, _begrippe, _membidik_, 
   {{0xf2fd0450,0xe1430145,0x02db0109,0x00000000}},	//   _flagge_, _курапаты_, _समेटेको_, --, 
   {{0x753003a2,0x284c04f9,0xa2fc00a8,0x06ce02a2}},	//   _लम्बे_, _angorusu, _albiert_, _binabali, 
   {{0x226c0016,0x4e4e0054,0x62fc04ad,0x69340040}},	//   _valoro_, _barazana, _bathung_, _לארבעה_, 
   {{0xde5f0037,0x4844004d,0x7207030f,0xe2a60244}},	//   _ባሳለፍነው_, _選擇一個版面_, _mihimihi_, _bimby_, 
   {{0x22ea06ea,0x11ca0213,0x2d5a0145,0xcad101af}},	//   _haunget_, _позволил_, _восем_, _bermeyan_, 
   {{0x961c0475,0x9f26018b,0xe3f4047d,0x558802db}},	//   _изучить_, _mentiona, _werter_, _promisim_, 
   {{0x7df900bf,0xffc70052,0x0aba0198,0xa2fc0120}},	//   _препятст, _सिंचित_, _preverit, _balgan_, 
   {{0xfcd500f5,0x99f701f9,0x3815027e,0x5d8f0462}},	//   _аталарда, _angakhet, _дунава_, _alileoga, 
   {{0xaa5e0303,0x425a01c9,0xd2cb032d,0x92c900e3}},	// [2ec0] _bagerika_, _kallal_, _folotsa_, _hallieh_, 
   {{0xddf20044,0x72a603b4,0x46a70359,0xf840006d}},	//   _חיזבאללה_, _rambai_, _fiersich, _абіўным_, 
   {{0xc2d90263,0x5d3400ab,0x82a6015b,0x75b0011d}},	//   _speelt_, _hūneinei_, _sambai_, _surprinz, 
   {{0xc2fd0359,0x09d00185,0x5d180322,0x92550224}},	//   _slagge_, _атамалар_, _amasigar, _brottfal, 
   {{0xae4c040f,0xf39d00f7,0xc37f000f,0x0f3a0021}},	//   _makarona, _agrablaj, _mudanya_, _atastrop, 
   {{0x37570213,0xf37f01a6,0xa2b5018c,0x9c6e0195}},	//   _терра_, _kohaina_, _heldere_, _fhortan_, 
   {{0x621600b0,0x6a9e0003,0x6d040302,0x8646023c}},	//   _ٹارى۪ن_, _verhalen_, _швейтсар, _ډېوېډ_, 
   {{0xb386014d,0x612300e6,0x00000000,0x00000000}},	//   _usern_, _东城区安定门街道, --, --, 
   {{0xa25a008e,0x29240220,0x296f01a3,0x853000e6}},	//   _ballal_, _незабавн, _اسپلينڊي, _一般情况下_, 
   {{0xc320004f,0x6c7e00f4,0x92ea028e,0xbbcd008f}},	//   _diaye_, _kristol_, _posisin_, _provints, 
   {{0x2c150217,0x54a6061b,0x663903b2,0x17bc0317}},	//   _despero_, _सुभाषचन्, _grandchi, _otpremni, 
   {{0x6ad102f8,0xbf660238,0x40da0037,0x20d8014e}},	//   _esitimet, _картки_, _በፍትሐብሔር_, _samoubil, 
   {{0xb0cc0169,0xc20002a2,0x51670273,0x61500061}},	//   _দিলীপ_, _lihim_, _estándar_, _쇠고기고시_, 
   {{0x914b018d,0xab010444,0xd37c0077,0x8f4b02f9}},	//   _ዝገለጽዎ_, _особую_, _deranje_, _ekspòtas, 
   {{0xdb3d02eb,0x83f90040,0x00000000,0x00000000}},	//   _хабэа_, _פקטור_, --, --, 
   {{0x0dc70420,0x127e031e,0xece70089,0xa705015d}},	//   _северина_, _jadni_, _basqaç_, _आकाशीय_, 
   {{0x018502ac,0x1396003a,0xd386011a,0xfe4903f7}},	// [2ed0] _وبدأت_, _urushi_, _spores_, _farsímum_, 
   {{0x1f7d02ea,0xfd05006a,0x32a5038e,0x00000000}},	//   _камерата_, _fitrandr, _diacungi_, --, 
   {{0xbee000f5,0x9a10029c,0x13760354,0x51b90311}},	//   _белли_, _atachita_, _ئۇزاتتى_, _ኣረጋውያንን_, 
   {{0x539400ad,0xdc69011f,0x74220012,0x99510170}},	//   _tungtung_, _barrero_, _करएबा_, _apulumut, 
   {{0x13870225,0x5291038a,0x0dd10072,0xfc510105}},	//   _arura_, _amaproll, _turkakip, _चोखेर_, 
   {{0x9fab0486,0x826c01dd,0x48d000bb,0x42d900af}},	//   _nemovito, _kadogo_, _بیواؤں_, _leses_, 
   {{0xdc750040,0x7c5d016a,0x181902d8,0xf39401ff}},	//   _לועזי_, _bastono_, _सप्लीमें, _mensie_, 
   {{0x62d9030a,0xb0530219,0x66c100d1,0x52c602ff}},	//   _neses_, _etiseben, _পুণৰাবৃত, _kòdon_, 
   {{0x52cc019d,0x32010515,0x3cd203db,0x00000000}},	//   _adaliko_, _anxie_, _kathathu_, --, 
   {{0xb2da000c,0xad810161,0xfca9002b,0x79e50051}},	//   _астатист, _paremmat_, _বিঃদ্রঃ_, _migrantu, 
   {{0xa2ca010b,0xe04c0061,0x8343013d,0xc9f80177}},	//   _balebedi_, _건설교통부_, _aspekto_, _дипломқә, 
   {{0xc60401b8,0x1c530087,0x826c01e1,0x73eb03f3}},	//   _dubleeri, _hluteka_, _halofo_, _boetes_, 
   {{0x141a01f3,0x8fe60013,0xc6cf019f,0x82d9005d}},	//   _bulharsk, _kashfiyo, _kukamili, _fónica_, 
   {{0x69770268,0xe2010052,0xa27e0009,0x0615000b}},	//   _ommittee, _kopii_, _sadni_, _nailevai, 
   {{0xbee60019,0x6e0800d1,0x3a6200e7,0x38a5014a}},	//   _музыкада, _আদৰিছোঁ_, _analysts, _مختاراں_, 
   {{0xbc7e00f1,0x16350226,0x67ed03f7,0xbeaa0041}},	//   _arissol_, _akangali, _andarung, _moñái_, 
   {{0x92fd00aa,0x5dd203db,0xacd2014c,0x3b7204bd}},	// [2ee0] _areglo_, _bathathe_, _bathathu_, _kumukula_, 
   {{0x9bdf0368,0x52900095,0x43780119,0x72690143}},	//   _историји_, _dumadi_, _buhatan_, _серията_, 
   {{0x19d90058,0x9cb20234,0x9fcb011f,0xeb6201ab}},	//   _speeltje, _alaarẹ_, _асанатор, _गरदनि_, 
   {{0x5bc8012a,0x91ec0387,0x705302bf,0x0b1305d5}},	//   _बदरीनाथ_, _kabinetị_, _atiseben, _finalmen_, 
   {{0xb29201f8,0xc2d9034a,0x77b9042a,0xe4070012}},	//   _impaka_, _deses_, _basukumi, _तविदेश_, 
   {{0xe2920396,0x00ab00d9,0xc26c01f0,0xbb0700d1}},	//   _attakk_, _станций_, _kalogo_, _পিয়লি_, 
   {{0x6d190203,0xc0fa0182,0x52d901da,0x62490076}},	//   _atentate_, _kauhalel, _neser_, _gramas_, 
   {{0x16390203,0x00000000,0x00000000,0x00000000}},	//   _dubitabi, --, --, --, 
   {{0x1a0e0312,0x6538020f,0xa7ec004d,0x742d033d}},	//   _katalane, _لوظنامې_, _做自己的貴人_, _ejipsien_, 
   {{0x438b00b3,0x5d8102dd,0xa1ed006d,0x41fc0032}},	//   _корунмас, _assenjat_, _камарова_, _luvaqmeh_, 
   {{0xa2d902e7,0x8f200399,0xe31602ba,0x237f00a0}},	//   _beses_, _alutanga, _izazi_, _yohanna_, 
   {{0x82c20058,0x96940046,0x02240004,0x42d90050}},	//   _bailön_, _ازدەكتەپ_, _blokaj_, _meser_, 
   {{0x62d90543,0xe29002a0,0x72ec059f,0xb25a0063}},	//   _tónica_, _alhaja_, _serioze_, _feola_, 
   {{0x23ab02cb,0xd2d901b9,0x6d000497,0x29f20103}},	//   _upravnog_, _feser_, _shrubber, _akaratid, 
   {{0xc2d902c8,0x13e101cd,0x4728015e,0xe2d900b9}},	//   _teses_, _abalamuk, _обого_, _geser_, 
   {{0x3fa40636,0x013a0260,0x36b40188,0x00000000}},	//   _prometno, _guitiriz_, _babengaw, --, 
   {{0x9d8600a6,0x6399015e,0x9aab0044,0x4258027e}},	// [2ef0] _elalilap, _físic_, _assholes, _модерних_, 
   {{0xd30e00c0,0x28b30076,0xddb90297,0x24090145}},	//   _satanas_, _rastrear_, _сатираны, _трансьля, 
   {{0x63a20571,0xd2d5001c,0xf3f9018b,0xc3470257}},	//   _alepa_, _parokya_, _depus_, _rannsöku, 
   {{0x12eb0132,0xb2d903e0,0xb53104cf,0xc6f20163}},	//   _انقلابی_, _deser_, _elingaph, _kattintá, 
   {{0x83170261,0x2e5c0212,0xc2010202,0x43670256}},	//   _precipe_, _placerat_, _dopin_, _sastopam, 
   {{0x53870090,0x828a0439,0xde5402bb,0xeea60408}},	//   _kuuri_, _altarini_, _अप्राकृत_, _fialonan, 
   {{0xd3160588,0x2db2014a,0x7aa30529,0xbea80078}},	//   _myiza_, _elmaradt_, _proklets, _обали_, 
   {{0x73870476,0xe3f90456,0xd22302ac,0xf042008f}},	//   _muuri_, _reput_, _إدآرة_, _चउवालिसे_, 
   {{0xedf4053a,0x2b1600f1,0x026501db,0x00000000}},	//   _očekivat, _perpetye, _ەرىتسەڭش, --, 
   {{0x020104b9,0x3c550059,0xcc5b0435,0xad9e0326}},	//   _hopin_, _editore_, _preuzme_, _asingasa, 
   {{0xbe8001f4,0x4a240226,0x0292036c,0x916f0185}},	//   _услубий_, _akubanja_, _ampaha_, _belemgä_, 
   {{0x322c00ff,0x0248003e,0x02bc01ab,0x6f2c03b0}},	//   _תּיקון_, _fromo_, _बुधुब_, _augeblin, 
   {{0x00000000,0x00000000,0x00000000,0x00000000}},	//   --, --, --, --, 
   {{0xbfdd034c,0xb62703b9,0x2c470125,0x62d30321}},	//   _таратыла_, _kamisati, _дарган_, _datotek_, 
   {{0x7f4100a6,0x1c7c0270,0x9afa017f,0xd1740185}},	//   _سپنتا_, _prision_, _pingajus, _англияне, 
   {{0x7c0602b5,0xd59c0120,0xd4c5046b,0x927f0274}},	//   _dahraix_, _algeeriy, _harchifo_, _vitni_, 
   {{0x727e0181,0x3d20001c,0xa2d90230,0x46a100a8}},	// [2f00] _standoff_, _ceasefir, _seser_, _anguosch, 
   {{0xdda50629,0x0630007e,0xa31600a2,0x03490257}},	//   _equitywa, _ananyaci, _uzazi_, _uppeldi_, 
   {{0xd58303cf,0x5c6101c2,0x7317010e,0x9beb0311}},	//   _fenerbah, _enquisa_, _dumamay_, _ምዝርዛሩ_, 
   {{0xc3a201ca,0x42010074,0xd2d90005,0x4eb00455}},	//   _bompa_, _kopio_, _veser_, _tournage_, 
   {{0xc3b6018e,0x2b61019d,0x426c0027,0xab38021b}},	//   _desbathv_, _analoser, _valodo_, _сестры_, 
   {{0x22b301b8,0xf1f2000e,0x4033025e,0x093e00a5}},	//   _परमुख_, _changeam, _listamen, _loomatut, 
   {{0xd6f1026f,0xf3410217,0xf343011b,0x088c0126}},	//   _اششاڭىز_, _expecta_, _bawendo_, _широкому_, 
   {{0xd3c70360,0x1ae200fa,0x525a01f6,0x32990137}},	//   _hospodář, _kaalaman_, _segla_, _анимакс_, 
   {{0x92e300a9,0xe50c0153,0x00000000,0x00000000}},	//   _nakimwe_, _全てのカテゴリ_, --, --, 
   {{0x72d9011e,0xa2a60698,0x43f8024f,0xb16600ff}},	//   _peser_, _ikeba_, _buluta_, _חילוקים_, 
   {{0x69850012,0x8bfc014e,0x017d0205,0x825a03ec}},	//   _झूठमूठ_, _nalepnic, _косондаг, _vegla_, 
   {{0x0c6a0125,0x1ef20287,0xb5d4013c,0xf0560195}},	//   _žurnal_, _सार्बजनि, _irlandiy, _dòrainne, 
   {{0x0c9301c5,0x53f001e1,0xc301043f,0x7c71031d}},	//   _ماران_, _lokelang_, _osoblje_, _doormat_, 
   {{0x0cb102e1,0xc2e0013d,0xe248052a,0xd79300ca}},	//   _ينتشر_, _eventeo_, _tugma_, _cantatri, 
   {{0xd3690193,0xc20103dd,0xa38700c5,0x8fd4042a}},	//   _inggris_, _topin_, _usure_, _khongolo, 
   {{0x4ea302f1,0x8c050230,0x63fe0294,0x5f4602a3}},	//   _produtos_, _miltinas, _ekolohik, _mosselba, 
   {{0x638703b9,0x0ab400c6,0x230e017c,0xcc8b0094}},	// [2f10] _aruru_, _незабутн, _databas_, _سىزدەي_, 
   {{0x5c510173,0xa20000fe,0x81ce0153,0x2290027f}},	//   _অনন্ত_, _fihia_, _宿泊プラン一覧_, _kihava_, 
   {{0x53a20255,0x00000000,0x00000000,0x00000000}},	//   _hoopis_, --, --, --, 
   {{0x4c5200dc,0xf224005b,0xcb900467,0xbad60405}},	//   _anatura_, _bukkit_, _tumidifo_, _veltrent, 
   {{0xc9c701cd,0xe1ac004a,0xbd4e00d1,0x829203b7}},	//   _галаба_, _almaşınu, _আগৰণুৱা_, _alphray_, 
   {{0x721d00d6,0x266f0437,0xb58e01da,0x3248047d}},	//   _xxxxyzdh_, _heldigvi, _britanik, _kromm_, 
   {{0xe424006c,0x3a070464,0x0b6401ac,0x63bd0022}},	//   _abakufez, _bataraza_, _aramatac, _fanwang_, 
   {{0xca830161,0xd3070482,0x46f600e6,0x00000000}},	//   _peniksen_, _madaqah_, _中共中央总书记胡, --, 
   {{0xcc71021d,0x237f026a,0xaa1501e9,0xc29000ab}},	//   _hjertet_, _kalatia_, _derakema_, _mohaka_, 
   {{0xfba60092,0xb26e00a5,0x92900464,0x0b1f031a}},	//   _特定商取引法に基, _gasona_, _bihava_, _comannan_, 
   {{0x934a0384,0x32240183,0x12490015,0x00000000}},	//   _izmedju_, _adika_, _caamir_, --, 
   {{0x8af30059,0x9c0e013f,0xdd0d015e,0x7e4900d7}},	//   _approfit, _bretonis, _балалыгы_, _lebahane_, 
   {{0x2e180225,0x94d6015d,0xc2db0039,0xab5b0444}},	//   _ackersma, _यूरिया_, _встралий, _указов_, 
   {{0x7236049e,0x64ff04df,0x131c02d0,0x6e1a02a8}},	//   _svojmu_, _alamatdy, _corbies_, _issettja, 
   {{0xd3f40212,0xcb230061,0x14710006,0x3db200be}},	//   _fertur_, _사범교육계열_, _buktikan_, _سەيتەگى_, 
   {{0x0fed013d,0x729b0585,0x1c2a0224,0xda1301a6}},	//   _מסביר_, _najbolji_, _böndunum_, _tarapeke, 
   {{0xb4dd00f5,0x23f60299,0xa46b004d,0x022500b3}},	// [2f20] _физикада_, _ئىندىۋىد, _胃鏡裡的無脊椎寄, _cheken_, 
   {{0x66b9030f,0x4bd20065,0x4eb7057c,0x029d03bf}},	//   _kakahuri, _niedersc, _hensynet_, _таралмай_, 
   {{0xccd70036,0x4c640111,0x724800bb,0xbe6c0041}},	//   _أعلام_, _statutu_, _کوبتایا_, _шыҵархаз_, 
   {{0x5a0a0403,0x01330177,0x6b61006e,0x8ea501c4}},	//   _ampahibe, _порттә_, _idolofer, _kundiges_, 
   {{0x715b01ec,0x3ec80013,0x59d601f2,0x61a6026f}},	//   _خسارت_, _дейсиз_, _әрқунт_, _دۇرسپا_, 
   {{0x50200128,0x29b70148,0xf08f01db,0x52c30217}},	//   _بیرساحه_, _甌海區農林漁業局_, _بۋىرقانى, _relloso_, 
   {{0x9746030c,0xfb930092,0xad1f028a,0x129001b5}},	//   _maniliug, _その他のタグ_, _پسندانه_, _bohaka_, 
   {{0xfee5011f,0x1358004c,0xb2690128,0xcc7c03ea}},	//   _автонома, _abagabe_, _سیزلیکلر, _tourner_, 
   {{0x941d026c,0x804d0046,0xf28800c4,0x9c5d0388}},	//   _forsitan_, _empreson, _kilatini_, _bastano_, 
   {{0x7df9010d,0x57e40238,0x09d60275,0x4f4a018e}},	//   _अनुमोदन_, _академіч, _selesele, _muaposta, 
   {{0xd76a0311,0x862206eb,0xa27e031e,0xfdf3003c}},	//   _እናረኣኹ_, _करूणा_, _rodnog_, _لامصب_, 
   {{0x725a01c4,0xef6f0053,0x8a9e03f3,0x927e017e}},	//   _geglo_, _कुलदैवत_, _herhalen_, _atingo_, 
   {{0xba02035b,0xe30e0322,0x6f360142,0x2a7e002e}},	//   _mehanize, _arebana_, _bhaskara, _braćom_, 
   {{0xde7c012a,0x6be301d1,0x0fcb0046,0x5da302d9}},	//   _बौक्स_, _calendar, _poliespo, _safotula, 
   {{0x39dc033f,0xb3f8007f,0x8ee100e4,0x7c1e03ae}},	//   _filosefa_, _addurn_, _रेस्त्रा, _korpset_, 
   {{0xc8e8017d,0x4d080024,0x371f063d,0x4300012b}},	//   _選択してください_, _বিচিত্ৰ_, _kommuneg, _zagadki_, 
   {{0xd911034e,0x28d502e5,0xb17e003d,0x1c180126}},	// [2f30] _allanaku, _атауареи, _compreno, _gruppas_, 
   {{0x34040026,0xdfcd0040,0x8dba0354,0x00000000}},	//   _전체매물정보_, _מבושל_, _ئانتاركت, --, 
   {{0x5ea106ec,0x537f0320,0x51e702c0,0x6267020f}},	//   _amarante_, _fularha_, _анета_, _نیبوشی_, 
   {{0x62a6034b,0xde4e02af,0x52900282,0xc26d0013}},	//   _bambai_, _baracana, _hohaia_, _oppoq_, 
   {{0xebef0456,0x068600ec,0x398200e6,0x258700df}},	//   _disempur, _saldaini, _广安市国土资源局, _illimité, 
   {{0xe04c015e,0x2a080128,0x0e1b0381,0x56be020e}},	//   _اقارات_, _یاشلرنین, _arlescha, _воеводаһ, 
   {{0x9f26004c,0x82fe01f4,0x6d7b0080,0xe2920362}},	//   _agatufaa, _ustalari_, _burmamut_, _mopaya_, 
   {{0x201e0040,0xa392001a,0xf30e02c8,0x86a3006c}},	//   _בולגריה_, _خودارادی, _patacas_, _розиам_, 
   {{0xf9ff0486,0xd1b900ee,0x48ff029f,0x6e5201c0}},	//   _moderní_, _германы_, _moderný_, _albaraka, 
   {{0x6c8c02c2,0xf23302af,0x3f66032c,0x7f53029e}},	//   _waarborg_, _atumako_, _allallun, _eztaolus_, 
   {{0xe035013b,0x328c0145,0x43940227,0x38bd009a}},	//   _mantovan, _niekada_, _punggung_, _bandinyu, 
   {{0x12010058,0x1629004d,0xf3580320,0xa3f800f4}},	//   _topis_, _genitori, _exefamu_, _dahud_, 
   {{0xfc0b0454,0x693d017d,0x173801eb,0x966606cf}},	//   _acagagur, _オンラインゲ_, _europayg, _विकसीत_, 
   {{0xdbb20439,0x1daf0188,0x914e03c2,0xe84a006d}},	//   _atazekis, _abantaba, _aaronagh_, _жорка_, 
   {{0x12900356,0xb9c5018b,0x127e014c,0x1d7900f5}},	//   _asmati_, _еужениу_, _alenze_, _дирелтме, 
   {{0xaf2104c8,0x0314004b,0x83870694,0x6f590178}},	//   _esperjen, _кварталы, _ruuru_, _atitheḥ_, 
   {{0x3aaa048a,0x73870003,0x691c00d1,0xe3e102ac}},	// [2f40] _сараптам, _buurt_, _দিনপঞ্জী_, _لضمان_, 
   {{0x23a20292,0x2d3b018d,0x99be03b4,0x293602af}},	//   _dompe_, _እትዮጵያ_, _akavayeu, _ihambara_, 
   {{0xc628021a,0xd9150294,0x18d2016e,0x20c30409}},	//   _artiisti, _apachisu, _sitelerd, _nummerpl, 
   {{0x38760255,0x195f03ae,0x735602a4,0xa3f402f3}},	//   _ligikaud, _imponert, _miseros_, _nyttan_, 
   {{0x725a008e,0x2a110478,0x3f34025b,0xd9ca03b4}},	//   _begle_, _notadame, _vanligur_, _ambomira_, 
   {{0x82d70117,0x35280375,0xb2480129,0xb2d601e6}},	//   _allowem_, _anandikh, _oroma_, _nálady_, 
   {{0xb84802ba,0x629200e1,0x2a5f02c5,0xf84601f7}},	//   _юнусов_, _diwaar_, _chamoses, _avalorad, 
   {{0xac64018d,0x2aac00c5,0xb98903ea,0x00000000}},	//   _ኣይንዘንግዕ_, _进来讨论一下效果, _notoriét, --, 
   {{0xd248005b,0xfb2300a8,0x12240120,0x708c020a}},	//   _aroma_, _barandun_, _xukkut_, _намаздар_, 
   {{0x7ff50148,0x0200015e,0x952a0223,0x00000000}},	//   _其他行業買賣_, _podien_, _elastiko_, --, 
   {{0x72ca0145,0x93860251,0x8af30203,0xa4d40109}},	//   _bendra_, _geeridii_, _persecue, _एकदिने_, 
   {{0x3aed02ee,0x274800a7,0x12d9032d,0x8bf60035}},	//   _introdot, _habitatg, _baentse_, _шартлы_, 
   {{0x124802d2,0x991c0040,0x22030153,0x00000000}},	//   _eroma_, _להפריע_, _有難うございます_, --, 
   {{0xf2010193,0x2b7f004b,0x9e5303b5,0x72d804b3}},	//   _sopir_, _одолень_, _merataka, _daked_, 
   {{0x29cc020e,0xeebe0100,0x26830452,0xc358012a}},	//   _dikoduwa_, _pokretne_, _फळबाग_, _weselny_, 
   {{0x838701b8,0x1b2f0204,0x37c004df,0x120402a4}},	//   _suurt_, _suvannos, _derrewji, _simillim, 
   {{0xafbb00b5,0x52f60261,0x9e07036e,0x00000000}},	// [2f50] _emendavo, _antiloj_, _hiddenna, --, 
   {{0x82ca006a,0x922503db,0x4e02037c,0x42900320}},	//   _sendra_, _abakhi_, _randomsp, _bohana_, 
   {{0x825a033d,0xa44701db,0x00000000,0x00000000}},	//   _regle_, _лицейде_, --, --, 
   {{0x925a00a7,0x835403e6,0x23f801c0,0x8d13022e}},	//   _segle_, _andeems_, _auduga_, _addsiper, 
   {{0x5c840040,0xd9ef021e,0x568500e6,0x00000000}},	//   _reversed_, _allihopa_, _页面调色版_, --, 
   {{0xb5fb0087,0x2eed041a,0xa40401e5,0x1b86031e}},	//   _khampeyi, _марченко_, _nurudeen_, _stvoreno_, 
   {{0x12d8023b,0xd3780192,0xe3a30103,0xf87403a4}},	//   _makee_, _opnamen_, _ejapan_, _grundunu, 
   {{0xfa130464,0x00000000,0x00000000,0x00000000}},	//   _barateke, --, --, --, 
   {{0xeae50024,0x13000297,0xe8fa00e6,0x206a0299}},	//   _জুলাইৰ_, _aysberg_, _基本资料修改_, _توخۇنى_, 
   {{0xb2900285,0x2c4e02ab,0xa8cc0173,0xe29101ba}},	//   _yohana_, _bukwanu_, _encendid, _preavi_, 
   {{0x52d80347,0xb7300128,0xad0f0138,0x4c15013d}},	//   _namens_, _نیلاریم_, _siparişi, _vespero_, 
   {{0xd26f0169,0xfd900235,0x0db300e2,0x72e90270}},	//   _অভ্যন্তর, _सूर्यपुत, _bedarret_, _paniero_, 
   {{0x168c0255,0xbc6604da,0xc47c00ab,0xac5a037f}},	//   _देवाल_, _uistinu_, _koekoeā_, _etiketlə, 
   {{0x7ac3034f,0xedc7014e,0xc4e9011f,0x00000000}},	//   _حافظې_, _реченица_, _рассамбл, --, 
   {{0xe3a302a0,0x746f03db,0x55440311,0xd187050a}},	//   _adupe_, _engenayo_, _ዘይሕከኽ_, _baharatl, 
   {{0xa29801cd,0x13f8008a,0x146f00fb,0x8e96026f}},	//   _охирини_, _luluga_, _ongenayo_, _گۇلزار_, 
   {{0x12da00df,0x85c603f6,0xc0ec0193,0x47f800be}},	// [2f60] _bateau_, _hoopilik, _परिपत्रक, _تويبوس_, 
   {{0x3eae019b,0xf83d00e6,0x531903fc,0x837f030f}},	//   _reklamin, _新闻详细内容_, _breivang_, _tohaina_, 
   {{0x7e6e008d,0x7866027c,0xc30e0089,0xd37901f0}},	//   _доллариг, _مکروب_, _datalar_, _ithaopo_, 
   {{0xc2d801a7,0x4cdc0347,0x629101b0,0xbf340271}},	//   _hakee_, _witwater, _boxapp_, _grorudda, 
   {{0x73f80135,0x42000183,0x00000000,0x00000000}},	//   _buluga_, _hodian_, --, --, 
   {{0xf2900141,0x19d902e3,0x1be70163,0x279e01ff}},	//   _tumani_, _openbeta_, _فریدا_, _strukovi, 
   {{0x0290042f,0x334800b4,0x82fb033f,0x92ea0140}},	//   _uumani_, _tinerii_, _kauhala_, _adonias_, 
   {{0xd290041e,0xc7750036,0x72780089,0x75ff0142}},	//   _rumani_, _اخواننا_, _aviakosm, _श्रद्धाय, 
   {{0x1200018f,0x126e019c,0xa6cd03ec,0x42ca0278}},	//   _dihij_, _latowo_, _ekzamini, _hendap_, 
   {{0x54380139,0x92fb023b,0x7320019d,0x00000000}},	//   _anekayak, _lauhala_, _inayi_, --, 
   {{0x346f014c,0xf27e0116,0x73f802d9,0xa2cb02c6}},	//   _angenayo_, _feinal_, _sulufa_, _gredus_, 
   {{0x52d7007f,0x7176007e,0x8eb4013a,0xc6a60361}},	//   _bellter_, _विषयासक्, _gedreckt_, _бийцахь_, 
   {{0x90e703db,0xcd390311,0xc316012e,0x00000000}},	//   _belindel, _ኣማውትኡ_, _herczeg_, --, 
   {{0x67fd01db,0x00000000,0x00000000,0x00000000}},	//   _бұлыңғыр_, --, --, --, 
   {{0x1c5a0645,0x73b404c0,0xfae303ad,0xd5ae0255}},	//   _četiri_, _basqueli_, _restritt, _मराठियने_, 
   {{0xe34f009b,0xc23d035b,0x59d00191,0xb2900369}},	//   _direnak_, _najmanj_, _reservde, _kohala_, 
   {{0x7f1500f1,0x36ce02be,0xb3a20037,0x95ea0350}},	// [2f70] _fondaman, _mananali, _sempoi_, _በየአቅጣጫው_, 
   {{0xb24800c3,0xd48505dd,0x3c7702f9,0x12130085}},	//   _primis_, _दावानल_, _antrevi_, _nazhat_, 
   {{0xe8560047,0x86a10334,0x1d1200be,0xf320029c}},	//   _sportifs_, _amatanth, _توقدوعۇن, _anayi_, 
   {{0x439402e8,0x00000000,0x00000000,0x00000000}},	//   _evese_, --, --, --, 
   {{0x93ac002f,0x326c0117,0x827e0364,0x031805c5}},	//   _carpio_, _malolo_, _klenge_, _अन्जाना_, 
   {{0x39c7023d,0xf2480377,0xe6c502f7,0xcedf0088}},	//   _такава_, _trimis_, _atlanegi, _conseqüe, 
   {{0xbc6101e9,0x8eba0420,0x39f40145,0x33870149}},	//   _aberame_, _топли_, _prasided, _nsure_, 
   {{0x63640044,0x4248026a,0x9c6f00d2,0xc3670274}},	//   _באליגם_, _dromu_, _putrana_, _bloggfær, 
   {{0x93f800c7,0x5df0034f,0xec1b00f6,0x00000000}},	//   _tuluga_, _کنجوس_, _qanadlar, --, 
   {{0x52480174,0x122e00f0,0xef06048d,0x6adb000c}},	//   _tsome_, _dozvedel, _flebilis_, _иҧсыр_, 
   {{0x71e601f2,0xc0e204cf,0x22b60439,0x149d0191}},	//   _لۇغىتى_, _abanemal, _chucha_, _permalän, 
   {{0xe6270162,0xd213038a,0xc262002c,0x09f8035e}},	//   _باشقارمى, _anchar_, _аврал_, _huligana_, 
   {{0x198600bf,0x9af70347,0x32450064,0x4f5f0274}},	//   _прошлом_, _gearrest, _límit_, _stokkhól, 
   {{0x09ba0071,0x12ea0079,0x52ca00cf,0xc29100de}},	//   _متقاضیان_, _fizisko_, _baddee_, _areasi_, 
   {{0xce4b0219,0x9061012e,0xe0b70012,0x3da201a3}},	//   _aphawule_, _کنسرٹ_, _मुरुँख_, _چاهنا_, 
   {{0xce3c023e,0x72a0023e,0x17b40375,0x00000000}},	//   _خشنود_, _brubuh_, _kukufuni, --, 
   {{0x3ac3052c,0xf0d20163,0xba9801de,0xb25a01af}},	// [2f80] _دۆنگڵ_, _lebonyol, _جوندەتۋ_, _begli_, 
   {{0xa7ee010d,0xbc6402a1,0xc2010127,0x81c6011a}},	//   _rawamang, _rituele_, _fizias_, _שבחומר_, 
   {{0x624802fc,0x00c2002b,0xc7bc0040,0x8d5600c1}},	//   _usome_, _শিরীন_, _מהתנור_, _बाळगता_, 
   {{0x5f4b014a,0x42b30152,0x3b20005e,0xb2ea0074}},	//   _jellemző, _нормаль_, _ﺋﻮﺑﺪﺍﻥ_, _asennus_, 
   {{0x3edb0270,0xb27f061e,0xadff0478,0x02b9015e}},	//   _capillos_, _ahtna_, _numerota, _كىچىمە_, 
   {{0xea810156,0x426c020b,0x00000000,0x00000000}},	//   _שמאָלע_, _malomo_, --, --, 
   {{0xfa370352,0x8b2903ce,0x635c0012,0xae16019a}},	//   _বাহিৰৰ_, _رزادی_, _दर्लभ_, _hermless_, 
   {{0x93940103,0xf2da020f,0x2b1900fd,0x00000000}},	//   _zvese_, _afunise_, _breatann_, --, 
   {{0x05c002da,0x22d90005,0xb9bd00a3,0x542b01db}},	//   _maravilh, _sesez_, _enkeltve, _эстрадал, 
   {{0x726c023b,0xf8300268,0x7cd9004d,0x432703d4}},	//   _aalolo_, _adomatsu, _本縣體育會_, _правног_, 
   {{0x826c0165,0xd61e0257,0x4c5302c1,0xb6b8040f}},	//   _balolo_, _tengslum_, _igitero_, _глабальн, 
   {{0xd2f10242,0x632002d8,0xec7d0211,0x8c000013}},	//   _birinci_, _biaya_, _miesten_, _dotsent_, 
   {{0x463201cd,0x53470544,0xf063013c,0xf26e00fe}},	//   _olingani, _heleuma_, _tutmuşla, _matoto_, 
   {{0x69f8043a,0xf62306ed,0x2c1b00be,0x5c370076}},	//   _harrisbu, _अरुणा_, _ئشتەپچىع, _пригода_, 
   {{0x66ce00c0,0xa49b02ac,0x0aea0096,0xfc6e02fc}},	//   _pananali, _وفساتين_, _akaramat, _amariba_, 
   {{0xb25604eb,0x327f0388,0x00000000,0x00000000}},	//   _धनतेरस_, _stanco_, --, --, 
   {{0xd20e0145,0xcbc0007e,0x527e00ac,0xff1f0321}},	// [2f90] _замак_, _anveṣaṇī, _radnu_, _dobesedn, 
   {{0x1f63018f,0x2c130039,0x00000000,0x00000000}},	//   _eqlahnes_, _narratib, --, --, 
   {{0x040300c8,0x13170077,0x2c040145,0x38c60109}},	//   _бюджеты_, _arachid_, _maistui_, _धरापमा_, 
   {{0x734d0129,0x065501cd,0x531606ee,0x00000000}},	//   _ebreham_, _abokugci, _ayazi_, --, 
   {{0xde4e013c,0xb01001ac,0x2e9e027e,0x316e0163}},	//   _yaralana, _ينتقل_, _павлу_, _استفادے_, 
   {{0xee37039d,0x3da6015e,0x3ea6047d,0xaf99048a}},	//   _lungafha, _румынияд, _hollänne, _تىزىمد_, 
   {{0x69960145,0x02ee02e5,0xf372007f,0xbb1800d9}},	//   _кактусы_, _adifim_, _amharod_, _humalass, 
   {{0x33eb007a,0x926400b4,0x000901db,0x9316014c}},	//   _khatam_, _titlul_, _машинажа, _eyazi_, 
   {{0xfb3404f9,0x118f0021,0x9e4e017f,0x5275005a}},	//   _ajaappis, _aplankay_, _assaanna, _ngervetl, 
   {{0x5a11040d,0xa25b03b0,0xc7df0206,0xb27f00ec}},	//   _ditatame, _jublar_, _skrachov, _kranto_, 
   {{0xc69c0281,0x832002d2,0x4ecc00bc,0x87ba0061}},	//   _mingutsi, _ahiya_, _ملاقاتها, _시작하였다_, 
   {{0xdc6504a1,0xb6ea0157,0x0d1f004d,0x0eb1038b}},	//   _tiltalt_, _केळवणी_, _招標單位名稱_, _berorgan, 
   {{0xc2c10087,0x6f420144,0x32bb033d,0xad1f04ca}},	//   _endlisa_, _eatramha, _coderre_, _aploïdes_, 
   {{0xa26c03e6,0x2fcc00d1,0x00000000,0x00000000}},	//   _emool_, _পকেটত_, --, --, 
   {{0xebaa01b7,0x1ee200e4,0x86640117,0x3a3900af}},	//   _ध्रुवम्_, _दैत्याका, _luakutim_, _береги_, 
   {{0x1fe5022b,0x1a5903c6,0x00000000,0x00000000}},	//   _bakkafro, _desennia_, --, --, 
   {{0xc224046d,0x0f480118,0xbdf00102,0x707b005e}},	// [2fa0] _ndaka_, _abasiraa, _ٽنگون_, _ﺋﯩﺰﭼﯩﻞ_, 
   {{0x1317042a,0x08b105ff,0xdf020193,0x2f8d00bf}},	//   _ngubani_, _zahtijev, _दुर्दैवी_, _настояще_, 
   {{0xc2740156,0xa9b900e5,0x823d0311,0x52bb06a7}},	//   _כאַסענע_, _преживее, _ንሚኒስተር_, _rikeste_, 
   {{0x4f7c0135,0xbc390452,0xa6e70159,0x82d9014f}},	//   _формалаш, _डनियल्स_, _салдат_, _уосталом_, 
   {{0xd9940039,0x5ba50178,0xd37f02db,0x83a20134}},	//   _менежмен, _सनातनः_, _galasia_, _elepo_, 
   {{0x33f80596,0x661800c7,0x43f80119,0x43fa01c4}},	//   _beduhn_, _ишеттере, _dahun_, _spruit_, 
   {{0x7e480343,0x311601c4,0xf22401f4,0x62dd0282}},	//   _hinagiba, _verkiesl, _ediki_, _rotoiti_, 
   {{0x59dd0320,0x4f490516,0x22480168,0x130f00b9}},	//   _bodlhela_, _waistcoa, _troms_, _cilacap_, 
   {{0x12e800b3,0xf9c20151,0xed580141,0xe52c0029}},	//   _pikirin_, _interbre, _ойлардан_, _وازێک_, 
   {{0xb1c40287,0xb2e3010e,0xe3020334,0xeaf30055}},	//   _rekordní_, _aktitud_, _chindunj, _apprufit, 
   {{0xf2240172,0x8df4053a,0xcee80226,0x234100ba}},	//   _adaka_, _očekivan, _adakuman, _دۆعاو_, 
   {{0x0c8d0159,0x83f90033,0x00000000,0x00000000}},	//   _ровенска, _babuns_, --, --, 
   {{0xb5d600b9,0x7c080011,0x73ea0064,0x4856004a}},	//   _भावपूर्ण_, _ateganir, _juntes_, _баруди_, 
   {{0xf386019b,0x0da90666,0x13ea0030,0x00000000}},	//   _kadrai_, _nominira, _duntes_, --, 
   {{0x44d100d1,0x80b90444,0x82c9022b,0xc3ce03dc}},	//   _উত্তৰপ্ৰ, _разорите, _gamlari_, _grovan_, 
   {{0xa2d803f3,0x5d1300a4,0x7c670055,0x2386026a}},	//   _maken_, _мынча_, _dictons_, _madrai_, 
   {{0x85b901ef,0x6df40171,0x028a042c,0xa7070061}},	// [2fb0] _размахва, _očekival, _dolazili_, _월스트리트_, 
   {{0xa22603ba,0x770a0224,0x027f06ec,0x527e0181}},	//   _musket_, _vesturlö, _pranto_, _brandoff_, 
   {{0x420000e4,0xfc9901d5,0x39b90147,0x2629023c}},	//   _mahiti_, _سزاؤں_, _بازارقۇل, _agunyazi, 
   {{0x45cf002c,0x9aca0025,0x751d03bf,0x0ea6054d}},	//   _амидрал_, _सागरिका_, _dibontsh, _fordeles_, 
   {{0x02da03b9,0x42d8030f,0x0999028b,0xc2ac01a3}},	//   _mallkux_, _takea_, _etereígu, _مئڪڊوگال_, 
   {{0xdd000249,0xc3f8037f,0x82d80126,0xe24a009b}},	//   _bwativur, _orduda_, _kaken_, _bermea_, 
   {{0xe3ca0147,0xedb302c8,0x68d40370,0x52fd0059}},	//   _marató_, _abrangue_, _baluweng, _pregio_, 
   {{0x125b0377,0x1ad60516,0x12d80192,0xa20f002e}},	//   _spalat_, _leeterat, _daken_, _dužinom_, 
   {{0x8c0f0318,0x931c03ce,0x322404a5,0x00000000}},	//   _kalolatu_, _عیلمی_, _udaka_, --, 
   {{0x3c6a006f,0x02fe0111,0x437c0098,0x00000000}},	//   _uchungu_, _plaider_, _stramme_, --, 
   {{0xdb86031e,0xb2d80405,0xc22601b4,0xb131023a}},	//   _otvoreno_, _naken_, _weskus_, _pretakto, 
   {{0x73f4048f,0xc22400e2,0xcb8700d0,0x00000000}},	//   _elutá_, _feike_, _galizier, --, 
   {{0x8dd203b0,0xcd0600ff,0x286b0143,0x02770022}},	//   _miljøet_, _אבֿרהם_, _испанска, _алтынсын, 
   {{0x315100c1,0xf3ea01f1,0xaee6006d,0x00000000}},	//   _पेंढारकर_, _ndotja_, _бурштына, --, 
   {{0x62900178,0xb2b2025c,0x27a500a6,0x6c170039}},	//   _aihata_, _bildern_, _مطالعې_, _bilakaer, 
   {{0xd38d0159,0x26d9018d,0x32480128,0xf9f802b4}},	//   _паранджа_, _ብምዕዛብ_, _majmua_, _kulabase, 
   {{0x126e030b,0x2fbd02e5,0x22000282,0x02a602c1}},	// [2fc0] _nasoma_, _encodebo, _kahiti_, _akebo_, 
   {{0x93a20289,0x7625002b,0x9c66024c,0xefc5008f}},	//   _pompo_, _রেলস্টেশ, _distint_, _autoremo, 
   {{0xa2ca005b,0x33f80082,0x529e0197,0x71140237}},	//   _caddie_, _sahun_, _konjwen_, _ㅠㅠㅠㅠㅠㅠㅠㅠ, 
   {{0xa6a90025,0x335c015e,0x33f800ad,0xbc5c019d}},	//   _papracch, _талаштуу_, _kuduna_, _anatero_, 
   {{0x10100207,0xaeb101f1,0x308c0159,0x4ebd00b7}},	//   _الوداعي_, _europian, _часткова_, _dollaryn, 
   {{0xa2de0428,0x8bfa009a,0x95530037,0xf25a0350}},	//   _kuponov_, _abatyumb, _የማይንቀሳቀስ_, _weols_, 
   {{0xd4ea00af,0xfa6b0109,0xb4280272,0x362700bb}},	//   _новинами_, _प्रशोधन_, _anakuwaz, _لومڑی_, 
   {{0x04f9032d,0x922403b6,0x422400cf,0x32d8017c}},	//   _толкачев_, _idiko_, _bukkee_, _vaken_, 
   {{0x02ea00bf,0xa6b502da,0xb30e0242,0x42d800a0}},	//   _стороне_, _resistên, _qalacaq_, _waken_, 
   {{0xad9a00ab,0xd2ca007b,0xf28a0344,0x72df024c}},	//   _awangawa, _baldie_, _allanili_, _insolvu_, 
   {{0x2c66022d,0x01860128,0xdd29019c,0x00000000}},	//   _listinu_, _акромийл, _ifunjade_, --, 
   {{0x7126018b,0x8d1a0127,0x732e0040,0x03eb00f0}},	//   _евенимен, _adunanet_, _אוטיזם_, _tretiu_, 
   {{0x55700162,0x0340019a,0x4c630167,0x567601a3}},	//   _кетилгән_, _gordons_, _amsugno_, _باڪمال_, 
   {{0x2d8201f4,0x13a20144,0x22f000ec,0xaa570095}},	//   _خصوصيده_, _rompu_, _likimai_, _دهلران_, 
   {{0x55e80223,0x8395007b,0x74aa0167,0x401d00ec}},	//   _саармагж, _byuss_, _bleidiol_, _mašinų_, 
   {{0xc1490162,0x420e01f4,0x02900181,0x606900cb}},	//   _тәҗрибих, _қарам_, _mihara_, _angazibo, 
   {{0x827f02b7,0x838402ee,0x211b043a,0x0bdf0192}},	// [2fd0] _ttango_, _affreski_, _pestaböl_, _allereer, 
   {{0xc4ef018d,0x624803e0,0xdac90125,0xfe8f04da}},	//   _ሶማልያን_, _bromi_, _terbiýel, _prijenos_, 
   {{0x22c40265,0xb37a034d,0xb8e60204,0x606f01e8}},	//   _nummers_, _rupawan_, _частная_, _makabalo, 
   {{0xf2c600d7,0x34da0164,0xf2d80265,0x03430137}},	//   _barekisi_, _йолни_, _raken_, _тоёота_, 
   {{0x7e9f0255,0x02d801b3,0x820100e9,0x8e090182}},	//   _विशेषज्ञ_, _saken_, _lipie_, _belehaza, 
   {{0xe35b021f,0x4d4f0037,0xfe5000a6,0xaa190465}},	//   _galgala_, _በማስፈለጉ_, _ayisosiq, _prebrala_, 
   {{0x0fd40086,0x85a104cf,0x743300d1,0x00000000}},	//   _letartóz, _elifanay, _সংষিত_, --, 
   {{0xbc720007,0x2ba801db,0x2c510096,0x12d8034c}},	//   _cheries_, _метрді_, _azitaba_, _fakel_, 
   {{0x71e2032d,0xe8630128,0x184502d7,0xf1410012}},	//   _лесничес, _یاولریدن_, _asolagad, _पुलंगी_, 
   {{0x9a090402,0xc1c40206,0x13f801b8,0xdfed02dd}},	//   _takbirat, _rekordný_, _mahub_, _insuffiċ, 
   {{0x9c6d00c3,0x21f40027,0x45c30361,0x6ffb00c1}},	//   _populum_, _frisidik_, _статичес, _शरणागती_, 
   {{0xeb7a0024,0x55750057,0xe88700bb,0x62d8021e}},	//   _সংস্থাপন, _cenderah, _ذرےعہ_, _kakel_, 
   {{0xe9af004f,0x8a6100a6,0x63a60289,0x2c4201ee}},	//   _caaxaanu, _پلچرخي_, _chipanim, _жамiаш_, 
   {{0xff3804c3,0x93eb0397,0x08cd0206,0x13940343}},	//   _kienthuc_, _upetru_, _potrebov, _bungbung_, 
   {{0xc25a0074,0xbc3000cf,0x14280079,0x8d84008b}},	//   _esille_, _albinoid_, _randiņš_, _diakhlé_, 
   {{0xe3ed041e,0x71d90046,0x394400be,0xf6ea01b6}},	//   _fratelli_, _кармалга, _توولۇقتا, _unsatisf, 
   {{0xeaf700af,0x6f390193,0xefc70139,0x098200cb}},	// [2fe0] _budskape, _त्रिवार_, _bhaikṣac, _amphenya_, 
   {{0x42480206,0x83f8005a,0x4cc8034c,0x3a870088}},	//   _promi_, _dahub_, _barsañ_, _جاپااعا_, 
   {{0x03b7037c,0x125a03ae,0x22d80176,0xb7c30129}},	//   _kievian_, _spilte_, _takeo_, _tinyekọt, 
   {{0xd0a1005e,0xcbee03f2,0x693b02ff,0xc44a03ce}},	//   _төгитип_, _садов_, _gramerye, _کتریا_, 
   {{0x509c0040,0x95940024,0xba00010d,0x00000000}},	//   _ולנסות_, _কাহিনীটো_, _totalnya_, --, 
   {{0x6f270472,0x00b603a2,0x82480206,0x619e0066}},	//   _sebetuln, _आंसुओं_, _tromi_, _номингоо, 
   {{0x0c6800a1,0xc32002fa,0x00000000,0x00000000}},	//   _takutai_, _ahiye_, --, --, 
   {{0xfda703b9,0xa48c0066,0x820000c0,0x6c5a0350}},	//   _saminita, _murgiltz, _bihis_, _contohi_, 
   {{0x12e90272,0x026e018d,0x0f81010f,0xe3f801b5}},	//   _aisisia_, _pasoja_, _занҷонӣ_, _hudula_, 
   {{0xa5910060,0x17ec02c5,0x03fa0085,0x9d9f0090}},	//   _العانىم_, _achatong, _gutuwa_, _asingara, 
   {{0x4213029e,0x67ed0464,0xaaf304b1,0xc2900082}},	//   _vicher_, _bidatung, _dameklas, _balagh_, 
   {{0x537801d2,0x569100de,0x92e10066,0x63490090}},	//   _ashawan_, _amatyoty, _barneko_, _berekai_, 
   {{0x74da0205,0x73e40076,0x6b4f01f6,0x9c5b004f}},	//   _биргалик, _означени_, _firmaadr, _fattali_, 
   {{0xa9170204,0x49ed034e,0x0a0f00cf,0xb3940449}},	//   _камерой_, _capinota_, _dalagame, _čistu_, 
   {{0x0a520087,0x09c700a4,0x9d9d01a7,0x161503ea}},	//   _loredana_, _барабар_, _maananta, _régulièr, 
   {{0xbc93023c,0x4d9c03ef,0x649101da,0x00000000}},	//   _ښامار_, _abafunze_, _prestigj, --, 
   {{0xf76101ef,0xe5cc01f2,0x627e020f,0xbcd30040}},	// [2ff0] _творы_, _йәвалиди, _asinto_, _הרחצה_, 
   {{0x64f4014a,0x0292013e,0xdd0f0138,0xeeaf01bd}},	//   _اختلافی_, _dopada_, _siparişl, _концерті_, 
   {{0x9d3a018d,0x75f90139,0x6fd20211,0x79b90006}},	//   _ኣካየድቲ_, _प्रोवाच_, _морская_, _bendanya_, 
   {{0x82fb05ed,0x925a0359,0x4c770318,0x868f01c6}},	//   _gushira_, _spilet_, _akosope_, _underwei, 
   {{0x7b4e0238,0xe6870321,0xdfcc00be,0x52db0094}},	//   _залишити_, _hladilni, _азияны_, _мүфти_, 
   {{0xa943017d,0x00000000,0x00000000,0x00000000}},	//   _topliste, --, --, --, 
   {{0x47d0010d,0x32fb025a,0x6f0702ff,0x82920203}},	//   _pinggang, _bushira_, _gouvelma, _scrall_, 
   {{0x121302c7,0x12ca03ba,0xaaba0036,0xb217029a}},	//   _sicher_, _waddle_, _bráisléi, _merkredi_, 
   {{0xc3ea00d6,0x9b860041,0xe0a10041,0xc41304dc}},	//   _cuntas_, _залшом_, _кәҵниеи_, _غاندی_, 
   {{0x53f804cf,0x495a0036,0x8b98014a,0xda9801b9}},	//   _kulula_, _صفحتنا_, _tranzakc, _tranzaks, 
   {{0x82d9005a,0x93a2037c,0xe29000c0,0xddac0237}},	//   _bibech_, _templi_, _dumami_, _도시개발과_, 
   {{0xad0b0679,0x8d340162,0x9094021e,0x3dc30193}},	//   _melompat_, _غېرىپ_, _specifik_, _berisika, 
   {{0x127f04bf,0x2ca8018d,0xef2d01df,0x8fda01a3}},	//   _ratni_, _ተበታቲኑ_, _forenuin, _وڙهائڻ_, 
   {{0x084a0204,0xb5d4015a,0x0e4501ac,0x00000000}},	//   _доске_, _galaatiy, _íobartac, --, 
   {{0x0ae800d7,0x00a30299,0xc3ea00d6,0x74d90143}},	//   _kgothale, _بەدبۇي_, _suntas_, _пресметн, 
   {{0xeb26005e,0x227e025f,0x89cb02c3,0xbbf50299}},	//   _чапчал_, _elenge_, _predobje, _دىموكرات, 
  
   {{0x527f03f0,0x394f0080,0x41310211,0xfc0f039f}},	// [3000] _vatni_, _akulikit, _rattijuo, _deformed_, 
   {{0x0d680128,0xf2050231,0x02d800c8,0x3a080183}},	//   _قانونلرن, _verissim, _бассейны, _halavana_, 
   {{0xd6e70066,0xd224011d,0xf0f60156,0x00000000}},	//   _орлого_, _linkul_, _מבֿינות_, --, 
   {{0xe2da019d,0x6d0300bb,0x0d3000cb,0xbe220012}},	//   _kuweta_, _ثقیلتان_, _adonsele_, _दियौक_, 
   {{0x869b0309,0x22bf02ac,0xc6da04dc,0xf70903dd}},	//   _bizimləd, _أموال_, _ریفراندۆ, _karrierë, 
   {{0x7c7f01a1,0x45b80139,0x00000000,0x00000000}},	//   _toestel_, _dhairyam_, --, --, 
   {{0xf0730032,0xc29002f6,0x1979016d,0xe4d300ff}},	//   _binaqcho, _sumali_, _диванбег, _לעשצינסק, 
   {{0xdc68005b,0x84310061,0x00000000,0x00000000}},	//   _sakurai_, _사용인감계_, --, --, 
   {{0x9f70008b,0x03f802fb,0x29c60452,0x6c51040a}},	//   _angalais_, _mahua_, _गावची_, _skitbra_, 
   {{0x194e03c2,0x5dc003ab,0x42dc0161,0x00000000}},	//   _bedlamit, _opakujte_, _aidosti_, --, 
   {{0xf6d20158,0x1958005b,0x53a30439,0xe3ca023e}},	//   _ताहिक_, _kinoshit, _hlupa_, _موریانه_, 
   {{0x83a30267,0xffa70260,0x91900243,0x1dc30115}},	//   _klupa_, _benvidos_, _tumaliiy_, _perisika, 
   {{0xf51801ec,0x53d20074,0x0b6f0227,0x78d30025}},	//   _گوشواره_, _металлич, _mulutnya_, _व्यक्तम्_, 
   {{0x43940514,0x725e03fb,0xf28c0291,0x1e5302c9}},	//   _geosec_, _oslobodi_, _يلزمك_, _calculat_, 
   {{0xbbe102c1,0xfe6c01d5,0x90ae0276,0x1dc7009a}},	//   _musenyer, _ایہود_, _копирати, _bazinike_, 
   {{0xb69c03de,0x5248008d,0x66320559,0xb3dc0193}},	//   _abafundi, _nazorati_, _alingani, _andwae_, 
   {{0xcc7d05a7,0x617000b1,0x2c6a0368,0xab5a0173}},	// [3010] _versija_, _phonsaly_, _средстав, _publicó_, 
   {{0x934702d4,0x429002a2,0x2435018f,0x990e003b}},	//   _manegia_, _lumaki_, _davangmo_, _balamalu, 
   {{0x94700276,0xcd990074,0xf2d50033,0x5fdd01de}},	//   _берминиң_, _italiala, _absolva_, _маңайына_, 
   {{0xc9c701de,0xe98c03b8,0x75ba0113,0x00000000}},	//   _сараман_, _сатылары_, _تعامله_, --, 
   {{0x9317017e,0x8b8200d1,0xff5c04ad,0xf30000a0}},	//   _poezio_, _আঘাতত_, _ikgaogan, _dodanni_, 
   {{0x03ea018b,0x198b02bd,0xcd22025c,0xbfe202fa}},	//   _multe_, _allyriad, _sportlic, _ibizamin, 
   {{0x2224061e,0x570701a7,0x7a170073,0x03f001e9}},	//   _llika_, _фактичес, _anecdota_, _boleyong_, 
   {{0x5224045f,0x96330320,0x42920144,0xc2d4048c}},	//   _olika_, _hlangani, _popala_, _aillieu_, 
   {{0x4daf014c,0xb2d80282,0x4ba601ab,0x00000000}},	//   _abangaba, _kakea_, _नेवतबि_, --, 
   {{0xab4201be,0x5a47045d,0xc26d00a8,0x17a200d1}},	//   _hypotečn, _prodavca_, _accola_, _টেইলৰ_, 
   {{0x722403d9,0xb20002fd,0xaa8f02a2,0xf20004d7}},	//   _alika_, _aodion_, _kahinaan_, _bolinn_, 
   {{0x6541030f,0xe27f0457,0x33a203ad,0x21b2004a}},	//   _tauhokoh, _catnu_, _pompi_, _cisemenä_, 
   {{0x0845014f,0x126c0062,0x425b05c2,0x696900f4}},	//   _главна_, _bloof_, _psalme_, _addigore, 
   {{0x0290033f,0x3eaf0611,0xb072026f,0xb2eb00ca}},	//   _humaki_, _rekouman, _كۋابولاد, _caminem_, 
   {{0x8c6302e7,0xf49703ad,0x52ca009b,0x1aa200be}},	//   _gihukum_, _densitaj, _sendoa_, _فەزلان_, 
   {{0x3c16003a,0x5fcf017e,0x5b620360,0xc9e30272}},	//   _kuzatuvc, _prononco, _नापने_, _baatambu, 
   {{0x64170031,0x520204e5,0x827002c3,0x22d80039}},	// [3020] _konsumen_, _thrips_, _financií_, _bakea_, 
   {{0xfc520320,0xe313001b,0x3354011d,0x66d2027f}},	//   _chatara_, _cancula_, _adresat_, _infataki, 
   {{0xbd89024f,0xd27f044d,0x8fd90094,0xc9d60003}},	//   _botoniwa, _batnu_, _تاپشىلىع, _betekene, 
   {{0x5c6302ce,0xf1770439,0xcdb5004d,0x00000000}},	//   _dihukum_, _bakanyel, _沒有影響您閱讀本, --, 
   {{0x59d10120,0xf2f700b9,0xe0ac00d1,0x2292012c}},	//   _esseritt, _disimak_, _সুদূৰ_, _vipawa_, 
   {{0xa6320397,0x03ea0445,0x89890092,0x2200003f}},	//   _ulingani, _manter_, _フジテレビ_, _mahiv_, 
   {{0xce6e03c2,0x1a070090,0xeb0700da,0x11e1038e}},	//   _amicable_, _achasiya_, _ниӂерия_, _तावरे_, 
   {{0x93200197,0xe2a60249,0x3a9f015e,0x5df60269}},	//   _abiye_, _renbou_, _perillos, _gravedad_, 
   {{0x425a03d1,0x78ba0175,0x42240138,0x980c0013}},	//   _failus_, _mentenir_, _ndaki_, _далилдир_, 
   {{0xcf7703c1,0xefe20061,0x64780220,0xe5c90233}},	//   _милано_, _첫걸음입니다_, _noleggio_, _gozalish, 
   {{0xa05304b8,0x32a7046d,0x2c6d00a2,0xe636027f}},	//   _matrilin, _shubi_, _ghorofa_, _ikankami, 
   {{0x226c023b,0x9f7400f5,0xe898018d,0xf94c025f}},	//   _maloko_, _автомашы, _ሸንኮለል_, _bakokose, 
   {{0xa29000a1,0xeee60193,0x64ae027f,0xb2010249}},	//   _rumaki_, _पाश्चिमा, _bararonk, _sipia_, 
   {{0x22fe039d,0xf6cf0253,0x92000062,0x820102db}},	//   _sathane_, _canadami, _dahiv_, _pipia_, 
   {{0xf3ea029b,0x23f400ee,0x80e200a6,0x08ca009b}},	//   _akitam_, _testua_, _abanamal, _gordailu, 
   {{0x82a70011,0x823706ef,0xe9df03e6,0xf9110234}},	//   _okuba_, _khajna_, _gottseid, _didaraju, 
   {{0x891d017d,0xc396012e,0xd2b500e3,0x290b0035}},	// [3030] _ご利用ガイド_, _مہمند_, _dannuż_, _аягын_, 
   {{0x9983032d,0x42d9025c,0xb146042c,0xaaf402aa}},	//   _setifike, _regeln_, _protivno, _prisluse, 
   {{0x427f0273,0xb3ea0130,0xa2a70118,0x924d0156}},	//   _cuando_, _hanter_, _akuba_, _איזשביצע_, 
   {{0x56af0082,0x7ba40147,0x53a2006e,0xa7a70181}},	//   _burtaniy, _جۉدۅڭكۉ_, _fompu_, _fordelag, 
   {{0x63200087,0x9201028d,0x42130177,0x4ea40060}},	//   _chaya_, _dipin_, _ашауҕатә_, _سورىن_, 
   {{0xc3f0038e,0x00000000,0x00000000,0x00000000}},	//   _dikenang_, --, --, --, 
   {{0x81de00b3,0x73a2018f,0xe25a0277,0xddd90372}},	//   _milletim, _hompu_, _igilis_, _chryfhau_, 
   {{0xbea70177,0x9fe50037,0x204700c1,0x6f3000f8}},	//   _иамшныҳә, _ሊተረጎም_, _बागलाण_, _ফাওযান_, 
   {{0xb24a002b,0x63fe0087,0x7abd03ab,0x00000000}},	//   _কুন্ডু_, _madzana_, _trojkomb, --, 
   {{0x25590089,0x00000000,0x00000000,0x00000000}},	//   _aktivlıq_, --, --, --, 
   {{0x6ad301d1,0x39d7003c,0x52920007,0x00000000}},	//   _contract, _قاطعیت_, _lipata_, --, 
   {{0x332000f3,0xeb04011a,0x1bb60359,0xf3ea0421}},	//   _phaya_, _התסמינים_, _sechstic, _buntes_, 
   {{0xbb020242,0xd22a0105,0xcb82002b,0x0aab006d}},	//   _gerçəklə, _पाँचवीं_, _ভাঙতে_, _бярэш_, 
   {{0x36b302af,0xdb34006c,0x00000000,0x00000000}},	//   _arasekuy, _athambis, --, --, 
   {{0x92900151,0xa9210060,0x11ab00b5,0xd35200b9}},	//   _adnate_, _бәлеге_, _ocompeti_, _पहीले_, 
   {{0x10ad02ec,0xf2a70302,0x13a2018f,0xca2800ba}},	//   _اشارا_, _ihubo_, _bompu_, _خولقاند_, 
   {{0x79ea0039,0xf1cc01b3,0x00000000,0x00000000}},	// [3040] _jostailu, _лауреата_, --, --, 
   {{0xf2240298,0x9a2504b4,0x7f180046,0x30cd00e6}},	//   _meake_, _arrangør, _айлантып_, _地震发生后_, 
   {{0x825a04d7,0x615b003d,0x6dda0060,0x432000cf}},	//   _reglu_, _aparteno, _ғарифолл, _dhayn_, 
   {{0xf7f90361,0xd7e7008d,0xbce803b8,0x42910408}},	//   _признака, _тиллар_, _сексен_, _gabaà_, 
   {{0x252a00e7,0x3f2d0003,0xb20103ad,0x238700e2}},	//   _advisory, _beperkin, _vipin_, _feestdei_, 
   {{0xea120077,0xa27e02d3,0x1f850040,0xa20100dd}},	//   _leibovit, _afinal_, _רועשת_, _dipio_, 
   {{0x6f4f02f9,0xcf2403f1,0x00000000,0x00000000}},	//   _ekspòte_, _iráne_, --, --, 
   {{0x5d2e0047,0x8c6e0046,0x4492035c,0x12650156}},	//   _承担一切因您的行, _ишмер_, _populasj, _רותקע_, 
   {{0xcc7c0258,0xa2900146,0x757f0061,0x80310399}},	//   _hofstra_, _azman_, _스크립트를_, _initipen, 
   {{0xe3ce0027,0x1749023c,0x593000ba,0x6b720362}},	//   _provin_, _خواشينی_, _واژۆکان_, _kulutila_, 
   {{0x727802ba,0xb2390377,0xe27f0059,0x09e30272}},	//   _omunye_, _termeni_, _stanno_, _abatembu, 
   {{0xc5590089,0x227302e4,0x28b90223,0xf68500c1}},	//   _aktivlık_, _ologramm, _минхёнри, _mendesai, 
   {{0x92010167,0x61ee0358,0xe3ea04ea,0x6e4800ed}},	//   _cipio_, _tranblem, _shitom_, _binaliba, 
   {{0x065802b6,0x92780010,0x3e5001f0,0x8c190025}},	//   _байтұрсы, _amunye_, _dibalama, _पुग्गलस्, 
   {{0x360401ea,0xdc670259,0x957a006e,0xc2d8018a}},	//   _بچاغلر_, _sikring_, _cànkutée, _cacen_, 
   {{0xddf00177,0x2343018f,0x26e20025,0xda7002f6}},	//   _дџьеишьо, _datemmo_, _उत्तरपदल, _makagawa_, 
   {{0x99f000c5,0x09c80156,0x40570183,0xabc200c1}},	// [3050] _有下列行为之一的_, _אײַזיק_, _ankazoto, _उच्चभ्रू_, 
   {{0xe20002a2,0x7b550689,0xc394018f,0x7da1031a}},	//   _kahit_, _अप्लिकेश, _chismo_, _chonnspa, 
   {{0x01cd01ce,0xe9e30172,0x52880162,0x540002b2}},	//   _اجازه_, _achimota_, _достлири_, _зерно_, 
   {{0x2c280176,0x898f0325,0xc1d90157,0x0690004d}},	//   _pensions, _brakonye, _legginsy_, _以數位相機拍照_, 
   {{0xd05f006f,0x00000000,0x00000000,0x00000000}},	//   _شمارا_, --, --, --, 
   {{0x385201b9,0x424802c1,0xad4e00de,0xd35e0188}},	//   _coromand, _isomo_, _دحامد_, _маҳзи_, 
   {{0xd0720040,0xe9c30148,0xfbed0279,0x46250397}},	//   _הקדומה_, _derelict, _interdir, _аҳодиси_, 
   {{0x0200024a,0xaee10147,0x880501d1,0xb8d902b9}},	//   _adiitu_, _ادىگىنە_, _symptoms_, _جمیکا_, 
   {{0x03870052,0x2200012c,0xdf4402d5,0x21840119}},	//   _litry_, _mahiri_, _पण्डीजी_, _kinatsil, 
   {{0x129203bf,0x8a8e0082,0xc2da00c5,0xd6d000c4}},	//   _kopana_, _tsananin_, _obtenu_, _kusajili, 
   {{0xf2240544,0x527f002b,0xbcfe03a8,0xcdb500e7}},	//   _elike_, _আগ্নেয়াস, _অিভধানত_, _earingfa, 
   {{0x2e4a02bf,0xec180265,0xfaa902c2,0x53580021}},	//   _abhalele_, _gebaseer, _verkoops, _aizemay_, 
   {{0x42da03f3,0x30380085,0x31890311,0xd2680089}},	//   _crontab_, _burekalo, _ኣልግርባ_, _буковски, 
   {{0x8200006f,0xf9eb019f,0x3224039f,0x15d502fa}},	//   _rahisi_, _اسلوبيءَ_, _ilike_, _basangiy, 
   {{0x23a30318,0x99e30129,0x59f800dc,0xc2d801b0}},	//   _alupe_, _nchikota_, _karaiset, _baceo_, 
   {{0x52240197,0xacf2012c,0x49e30129,0x69d0000d}},	//   _klike_, _باعمل_, _ichikota_, _reservee, 
   {{0xe2000242,0xd7740235,0x7cdd02c2,0xa25a00e4}},	// [3060] _sahil_, _मार्गम्_, _toevertr, _ogole_, 
   {{0x17cd00d4,0x230200e6,0x1e4a0560,0xc29a015e}},	//   _godstsji, _自然保护区_, _achazele_, _دارستارد, 
   {{0x1201005b,0x3b6a02ea,0xf2d602e2,0x32da03e6}},	//   _pixiv_, _окачени_, _betoken_, _gewenn_, 
   {{0x30ac0061,0x59670126,0x7bc1004d,0xcb830169}},	//   _인터넷뱅킹_, _кукурудз, _利潤率分析_, _felicito_, 
   {{0x1e5401a7,0x339400c2,0xf6330515,0x9d0d00b7}},	//   _экономич, _twese_, _blancani, _kadalaşd, 
   {{0x291000dc,0x3daf0119,0xf200016b,0x33f202e7}},	//   _matagalu, _saarland_, _zahiri_, _dosenang_, 
   {{0x7200004b,0xb27e018a,0xb3650176,0x83940240}},	//   _bahiri_, _dringo_, _arigato_, _ivesu_, 
   {{0xb910015a,0x025a04ee,0x004d0044,0xc22403c6}},	//   _abdatamu, _egole_, _imprison, _blike_, 
   {{0x7cd10342,0xb2ba050a,0xc27f008d,0x9655005d}},	//   _larivyè_, _maddesi_, _matni_, _omoĩvant, 
   {{0x32ef046d,0x52810262,0xba92022f,0x39da03d4}},	//   _pikiswa_, _эсенов_, _stengias, _trgovaca_, 
   {{0x920003dd,0x77e20087,0xdcbe0144,0x12cb0076}},	//   _tahiri_, _enerisiw, _وماهي_, _quedas_, 
   {{0xac35019a,0xba0500a2,0x29620161,0x8af70405}},	//   _tyrannic, _انارڪي_, _постов_, _балансу_, 
   {{0x625a033b,0x837701f2,0x975700af,0x9c38033f}},	//   _kgole_, _جىھاد_, _петро_, _hukitonu_, 
   {{0x3b7b00be,0x960303ee,0x23940064,0x67a902a4}},	//   _ازدەكتۅۅ_, _prodajom_, _cansat_, _opprobri, 
   {{0x52d800bc,0x122400ee,0x118400b4,0x92120116}},	//   _macem_, _udako_, _relatiil, _dodhaa_, 
   {{0x72b10075,0xad960296,0xab9f0316,0xa419048a}},	//   _tilburði, _samlevna, _azuzuwan_, _кепкен_, 
   {{0x33ea057b,0x6b91007f,0x542401b5,0xfce603a4}},	// [3070] _juntas_, _chontrac, _mikitsik, _højsted_, 
   {{0x2d3f00d1,0x00000000,0x00000000,0x00000000}},	//   _এয়াৰচে_, --, --, --, 
   {{0xb345000e,0x2a61009a,0x6a0200d1,0x00000000}},	//   _aspecte_, _akaluseb, _ডিগবৈ_, --, 
   {{0x25c1014b,0x2a5e0622,0xe1a401d5,0x26d40371}},	//   _deraafil_, _azomufub, _panorámá, _площада_, 
   {{0xf22406f0,0x72df01c5,0x237302ff,0xb6d30014}},	//   _ulike_, _eldoret_, _annapre_, _koncepti, 
   {{0x50620156,0xfd0e0128,0xcf370147,0x330302cd}},	//   _בויקאטיר, _кодексни, _لارئسا_, _hirarsu_, 
   {{0x832000ae,0x3d1500ec,0xc49c002b,0x655e014a}},	//   _ahaye_, _футболе_, _কুখ্যাত_, _termőföl, 
   {{0xc2900080,0xe6910153,0x33ea02f6,0x7267004a}},	//   _ammalu_, _みやき町大字市武_, _buntis_, _байтимер, 
   {{0xfa2c0158,0x81c305ec,0x49f80059,0x037a007a}},	//   _उसकीसूचन, _hebraisk_, _dichiara_, _kupasan_, 
   {{0xd0dc0039,0xd20c017d,0x1b4b04ab,0xff5e0039}},	//   _bitartez_, _ラガマフィン_, _zahtjeva_, _дилерийн_, 
   {{0x406005ce,0x52b300da,0xcc6002d9,0xee6a034c}},	//   _gelinlik_, _нормалэ_, _fagupia_, _конда_, 
   {{0x234000cf,0x72e6014f,0x42c100ea,0x74f0027b}},	//   _sheekha_, _preneta_, _mailaka_, _एकोनत्रि, 
   {{0xbf07002b,0x08930279,0x8501002b,0xd8670184}},	//   _সহযোগীতা_, _finistèr, _গালিগালা, _ntiyatev, 
   {{0x5c07015e,0xe26e019c,0xcd15008c,0x00000000}},	//   _بىرلىكدە_, _latodo_, _curridur, --, 
   {{0xdaba0270,0x5ef80237,0x00000000,0x00000000}},	//   _benvenit, _구입하시면_, --, --, 
   {{0x2cfe0014,0xcd7f0193,0x4d840499,0x42d8004c}},	//   _ጀነራላትን_, _विश्रांत, _aeletise_, _abegassi_, 
   {{0xfa0b020b,0x73ea034a,0x227f0178,0x32d80168}},	// [3080] _babalela_, _xantar_, _asanto_, _elleve_, 
   {{0x1f050145,0x5c1502d8,0x979d02c0,0xf3a2003e}},	//   _тумане_, _सहप्रकल्, _шифра_, _dimpe_, 
   {{0x5f5d0101,0x99fc0163,0x4b7800c5,0xeb7103f5}},	//   _raspunde_, _sebesség, _雅虎知识堂_, _pulseira_, 
   {{0xf9d90321,0x62cb0247,0x3226007b,0x11c20630}},	//   _ramenske, _kadosta_, _buskit_, _podobský_, 
   {{0xc3200440,0x93fa02fe,0xf1f4027f,0x9e850030}},	//   _uhaye_, _abarhumi_, _ikanatom, _filipīnā, 
   {{0xb22405de,0x42a8018d,0x02b5001a,0x627f01a4}},	//   _klikk_, _ገብረሂወት_, _maradván, _frando_, 
   {{0xa320001e,0xf5760061,0xd19e00b6,0x377c06a7}},	//   _shaye_, _댓글입니다_, _maabinay_, _troverdi, 
   {{0x42c8014a,0x85f603a2,0x6c630206,0x952a01bd}},	//   _mindenki_, _गूंथे_, _fungujú_, _جىلناما_, 
   {{0x087e005b,0x8074036e,0x1eea025e,0x53500456}},	//   _rythmiqu, _amoblado, _fiskvinn, _profail_, 
   {{0xbba30285,0x97b30564,0xd0ed0315,0x332001ad}},	//   _imihango_, _hidrargi, _asandlul, _abiyo_, 
   {{0x328f0256,0x0a1302d4,0x13a203e6,0x856701a7}},	//   _komandai_, _discurra_, _koepp_, _диваны_, 
   {{0xa1a100ec,0xabe602ae,0xd668014c,0x3a7b0153}},	//   _жыгімонт_, _hladnjac, _kuthengw, _デイタイム_, 
   {{0x2d0600c5,0x22900142,0xe0650277,0xda5b03e6}},	//   _在深圳特区报上看, _asmai_, _mahatugo, _hämmelsm, 
   {{0x797801f9,0xf3ea0119,0x3286004d,0xe3940005}},	//   _nemisebe, _bulto_, _你還可填寫_, _avess_, 
   {{0xf2d9046d,0x26a302e7,0x63a30222,0x13940267}},	//   _lugela_, _eskuylah, _soupe_, _svest_, 
   {{0x23dd03f8,0x66e7011a,0x00000000,0x00000000}},	//   _heywij_, _ועומד_, --, --, 
   {{0x4f6500ac,0x9e6500ac,0x0bdf0281,0x99e40211}},	// [3090] _pripreme_, _pripremu_, _aggerner, _нереальн, 
   {{0x9efd019b,0x4a0f00b2,0x42000318,0xe3a300ed}},	//   _lenkijos_, _calalame, _lahii_, _ilupi_, 
   {{0xa2ba0250,0x23f8024f,0x9497019c,0xb5940053}},	//   _mendoni_, _muduka_, _itesiwaj, _मनमोकळे_, 
   {{0x03a30449,0x0238022a,0x53f4002e,0xfe420177}},	//   _klupi_, _geometi_, _uputio_, _реицхыра, 
   {{0x5e500133,0x754301ef,0xda8604a4,0x00000000}},	//   _garagala, _вочкамі_, _sianalan_, --, 
   {{0x42e90075,0x0a360024,0x92d4011b,0x02b10130}},	//   _mannaræt, _যিদিনা_, _kuzonza_, _ehanañ_, 
   {{0xb74301cd,0x92a80311,0x55170016,0x7c1705b3}},	//   _русси_, _ገብርሂወት_, _apartigo_, _versiers, 
   {{0xe05303de,0x2a8d004f,0xc9dd01db,0x00000000}},	//   _eziseben, _fayyoont, _كۇيشىلەر_, --, 
   {{0xab710320,0xa5d7004b,0x00000000,0x00000000}},	//   _angulana_, _руханиҙа, --, --, 
   {{0x09950184,0x68070013,0xc9490242,0x95300087}},	//   _nyakanga_, _муштарий, _sifariş_, _ekantirh, 
   {{0x35c904c7,0x7e790162,0x8fc50229,0x0a18018b}},	//   _вечеру_, _ролчи_, _anonslar_, _totodată_, 
   {{0x9224000d,0x95660092,0x5f280156,0x00000000}},	//   _kliki_, _スピリチュアル占, _צעזייט_, --, 
   {{0x2200055f,0xda130092,0x99e000b8,0x46860041}},	//   _sahip_, _配当利回り_, _wakisiwa_, _еибыҭоу_, 
   {{0x2d6b03c7,0x051b02ac,0xa8eb0455,0xefea03bf}},	//   _प्रभारी_, _تستحق_, _dangereu, _народово, 
   {{0x141d0008,0xb2fd02e7,0xeb890244,0x4513024a}},	//   _تانگو_, _bhagat_, _anticipo_, _idarugbo_, 
   {{0xa6140238,0x337f0306,0x263302f6,0x0e30002f}},	//   _складают, _almasta_, _alangani, _chiguana, 
   {{0x4d8c0191,0x022e05b5,0xe6440220,0xb978003b}},	// [30a0] _redovisa, _cúmulo_, _енимехме, _bemisebe, 
   {{0xb2240369,0x967c0162,0x88c90220,0xc5a0024c}},	//   _ilaka_, _мәнзилин, _portafog, _ezercizz, 
   {{0x73eb03ba,0xc93b00b4,0xa22400c8,0x87f10141}},	//   _hafter_, _primirea_, _hlaka_, _ясмина_, 
   {{0x02240148,0x03550073,0xa05304a5,0xa2820161}},	//   _bliki_, _edifica_, _aziseben, _адвокато, 
   {{0xf201023e,0xf3f800fe,0xda070115,0xc1d70013}},	//   _pipih_, _fuluka_, _andainya_, _саклаш_, 
   {{0xa6d30193,0x605b00bf,0xd89b01fc,0x652f0210}},	//   _बारिक_, _строки_, _awakkalu, _akandish, 
   {{0x921303f1,0x32240357,0xd2b50320,0xb1a70161}},	//   _najnovší, _eliki_, _emadrid_, _премии_, 
   {{0xfdca00cd,0xa35e023e,0x63f80119,0x927f005a}},	//   _denkmalp, _amigacd_, _duduha_, _kranbo_, 
   {{0xa29000fd,0x5f2501ad,0x88500183,0x43f803db}},	//   _dalach_, _gintalaa, _ankorond, _kuluka_, 
   {{0x69eb02f3,0xae890280,0xe8d30220,0x3c5200ab}},	//   _oberoend, _अलबत्ता_, _consapev, _epetoma_, 
   {{0x73fa032e,0x3c99012e,0x09d602f8,0x32ef04df}},	//   _qututa_, _خاورچودھ, _kelekele, _atageldi_, 
   {{0x39de027f,0x92d100da,0x43ea02c2,0xd2020040}},	//   _arifumbe, _стратурь_, _bulte_, _אינטרסים_, 
   {{0x93fa03fd,0xb477063f,0x6c6e037c,0x768904df}},	//   _tutusa_, _जमीनी_, _querela_, _diliniń_, 
   {{0x13650305,0x02b2003c,0x00000000,0x00000000}},	//   _bryggen_, _تهامی_, --, --, 
   {{0x7224025f,0xa9d6023b,0x52900277,0x53fa02d4}},	//   _elaka_, _helehele, _hihala_, _autura_, 
   {{0x1eb10036,0xfacf0258,0xe62f004d,0x660c02be}},	//   _theorann, _hanthave, _期中報告於期中考, _doroasti, 
   {{0x0c93012c,0x07350023,0x527e02cf,0x253c056b}},	// [30b0] _والار_, _авиабиле, _brinco_, _ilmiahny, 
   {{0xaddc0251,0xd27e0191,0x228d014b,0x2a0a0532}},	//   _تلاون_, _boende_, _barkuma_, _raspored, 
   {{0xc3940673,0x13590147,0x12240198,0x4c650257}},	//   _ivesi_, _ئلكتەدئى, _sliki_, _leitast_, 
   {{0x7c550184,0x82d9042c,0x13270060,0x061b0168}},	//   _agitere_, _naseg_, _арамнан_, _lastebil_, 
   {{0xa2ca0014,0xb34c0059,0x22d800b4,0x6ffd01b7}},	//   _mendja_, _професия_, _facea_, _पताकाभिः_, 
   {{0x315800b1,0xb15102cf,0xc9100188,0xd2d5014a}},	//   _javouhey_, _струи_, _akhazimu, _hallott_, 
   {{0xbc6e0449,0xd17502c9,0xb5130361,0xedc10478}},	//   _aferama_, _куминте_, _энергичн, _maritima, 
   {{0x02a705db,0xf2260482,0x32d7033c,0x00e2015e}},	//   _okubi_, _buskut_, _digonol_, _تەتىنىن_, 
   {{0x55ed0013,0xfc5501c4,0xf2260077,0x88c50652}},	//   _کمپیوترچ, _bystand_, _jeskes_, _dopunjav, 
   {{0xef9403b0,0x159b01e8,0x948601c9,0x97dd0279}},	//   _militær_, _swingarm_, _निसानी_, _comparai, 
   {{0x41ca0238,0x3b0d02b9,0xfe87012a,0xff280255}},	//   _дивовижн, _centimét, _सूचीपत्र_, _teretuln, 
   {{0x33ea0148,0x73440163,0x5c230040,0x920d0361}},	//   _pulte_, _évente_, _קרטון_, _задавать_, 
   {{0xeda20306,0x5278036a,0x9b6a004a,0x465e0397}},	//   _agenciap, _ivunau_, _aslarına_, _кирми_, 
   {{0x8394017d,0x443e00d0,0x82240009,0x00000000}},	//   _uanset_, _давна_, _vlaka_, --, 
   {{0x4e380440,0xa3ea01d9,0xdf670212,0xcdfb065e}},	//   _buramata, _wanter_, _hispania, _velegnet_, 
   {{0x73ea0005,0xb2e800c3,0x6224009f,0x7ec90095}},	//   _tanter_, _lacinia_, _tlaka_, _خدمتگزار, 
   {{0x8a1701b8,0xee6a041a,0x327e0261,0xe3fe0252}},	// [30c0] _हार्डकोर_, _фонду_, _princo_, _madzina_, 
   {{0xf22401f1,0xc2fc018f,0xb3ea036d,0x839200c6}},	//   _kliko_, _itlhvad_, _leotha_, _одногруп, 
   {{0xd3ea047d,0x5e0000e7,0xa6d901db,0xc7b80010}},	//   _zanter_, _alientsa, _جىمىيس_, _bekwatiw, 
   {{0xc25d0268,0xbc1c0350,0x00000000,0x00000000}},	//   _anagersm, _diganjar, --, --, 
   {{0x0396005b,0x63f900e9,0xcf6a014a,0xc2830161}},	//   _morsom_, _lapud_, _parancsn, _слабость_, 
   {{0x9320020d,0x322403f2,0xf2780226,0xc35900b7}},	//   _ubaye_, _oliko_, _amasamal, _binanyň_, 
   {{0xba0801a7,0x52900013,0x52d90318,0x00000000}},	//   _salasana_, _ismat_, _masee_, --, 
   {{0xb3730044,0xe29000b7,0x5967011a,0x72de02ee}},	//   _finance_, _komasu_, _הגרלת_, _immorru_, 
   {{0x52240285,0x4e3c0073,0xc30c0155,0xb2d5001a}},	//   _aliko_, _italicos_, _garaget_, _vallott_, 
   {{0x36c7011f,0x6d68018d,0xc315013f,0x9c6800ad}},	//   _авариант_, _ብሕርቃን_, _surcouf_, _kasusah_, 
   {{0xc39400c2,0xedc5033c,0x3cc50047,0x4e07023d}},	//   _mwese_, _artistia, _artistiq, _guadagna, 
   {{0x3c73000e,0xce7701a3,0xb48900e6,0xb9c80139}},	//   _gloriar_, _وجھندڙ_, _以获取验证码_, _candrale, 
   {{0x4a1502b7,0x8058004b,0xa2900590,0x149c0037}},	//   _lesancie, _bokamoso, _ezean_, _ባቀረቡበት_, 
   {{0x10a60255,0x61ec0258,0x22420331,0x12bb0219}},	//   _जन्मांतर_, _geografy_, _formanni_, _baletse_, 
   {{0x025a056a,0x92ab046b,0xbede00b4,0xf85b00bb}},	//   _kgolo_, _goedwig_, _transmis_, _شعباجات_, 
   {{0xfe530314,0x00000000,0x00000000,0x00000000}},	//   _фотоһы_, --, --, --, 
   {{0xd2bb01b5,0xc267045e,0x041000b0,0xec4b04a4}},	// [30d0] _malembe_, _хемус_, _aragnimo_, _inntrig_, 
   {{0x42ec0391,0x00000000,0x00000000,0x00000000}},	//   _jeografi_, --, --, --, 
   {{0x59c70035,0x63f800ee,0xb51003f5,0x435601c6}},	//   _санаган_, _moduko_, _querendo_, _cuperus_, 
   {{0x823d018d,0xc03f02fe,0x720100da,0x52b90151}},	//   _መሃንድሳት_, _akutshin, _lipit_, _caddish_, 
   {{0x9a700357,0x32d90286,0xcc19016e,0x6f3801aa}},	//   _bakanawa_, _kasee_, _gruplar_, _akistanp, 
   {{0xddb60302,0x625a01e5,0x926e0129,0xd36c009d}},	//   _njengama, _agolo_, _katigori_, _plagosi_, 
   {{0x7b0a0456,0xbf5d003e,0x136f0020,0x2c1d013c}},	//   _pemprose, _bataolan, _atugalu_, _cavablar, 
   {{0x627f0244,0x767f02b6,0x56940142,0x0533037f}},	//   _pranzo_, _израильд, _प्रतापवा, _gündəmə_, 
   {{0x72240198,0x7ef40040,0x36490291,0x52ca022b}},	//   _sliko_, _ההתאחדות_, _تواضروس_, _samdir_, 
   {{0x218900ea,0x760f00b4,0x12f4005b,0x76e90322}},	//   _andaniny_, _prelungi, _chancer_, _bagasabw, 
   {{0x92e900fa,0xdf6702eb,0xaaf30422,0x12e904bd}},	//   _pagitan_, _бамбай_, _odpravit, _pisidia_, 
   {{0x0fe9010d,0x32a0039f,0x86c3012d,0x41600145}},	//   _सामावून_, _herbal_, _rilaesem_, _яблыкаў_, 
   {{0x12920117,0x4a1001fe,0x00000000,0x00000000}},	//   _popaia_, _matanale, --, --, 
   {{0x77ad052e,0x530c00d8,0x12e60220,0x22670156}},	//   _diffidev, _geladas_, _prenota_, _ננננננְנ, 
   {{0x9224019d,0x7cc302cb,0xdef60095,0xe24a046b}},	//   _uliko_, _čokoladu_, _brajaden, _hwsmon_, 
   {{0x670201ea,0xa0410143,0x530c02e4,0xec6702ac}},	//   _همبستگی_, _непрекъс, _abbiltaj, _لرجال_, 
   {{0x82a7010f,0x92e804cb,0x528706f1,0x00000000}},	// [30e0] _akubo_, _executăr, _anikele_, --, 
   {{0x0889034d,0xcfdf00d6,0x3c610140,0x23ea02ca}},	//   _berkumpu, _جماعي_, _sagutin_, _dulta_, 
   {{0x326c0286,0x838003ea,0x276d00f7,0x72b300f7}},	//   _mekora_, _courte_, _alivesti, _bildaro_, 
   {{0x92ca00ee,0x05c402c0,0xc0cf012e,0xfc770012}},	//   _mendia_, _страстит, _sokoldal, _पेन्हे_, 
   {{0x9291024a,0x23d701b8,0x4b9a031a,0xd2a000fa}},	//   _alaabo_, _kultuuri_, _grantaic, _berbal_, 
   {{0xd9e902c8,0x8224054c,0x00000000,0x00000000}},	//   _gandería_, _smakt_, --, --, 
   {{0x42d80132,0x73ea02df,0x1c6f0088,0x98f701bd}},	//   _jelent_, _hantar_, _estrena_, _миллионғ, 
   {{0xd0ab00d9,0x9d470022,0x3c550148,0x01310297}},	//   _станки_, _милицияғ, _agitare_, _эйфель_, 
   {{0x62000105,0x5ed30033,0xd30a0261,0xc20102db}},	//   _sahit_, _novitads_, _membroj_, _hipim_, 
   {{0x086800c4,0xb202040a,0xc3ea055f,0xe9f100a5}},	//   _ويڊيو_, _skrivs_, _mantar_, _kikilaga_, 
   {{0x0b22064d,0x2c610378,0xeef103f7,0x3da902e0}},	//   _alepania_, _dagurin_, _biskupin, _diminira, 
   {{0x826c0410,0x232000a4,0x4b25006d,0x60230153}},	//   _theramol, _senyal_, _будкін_, _プラン概要_, 
   {{0xb59100a7,0xab2000a4,0xd784004d,0xb2e90524}},	//   _العانىن_, _sorprene, _不得低於一公頃_, _tagiran_, 
   {{0x65b80047,0xc2d80262,0xb2900141,0x129d0153}},	//   _构成犯罪的_, _belent_, _izlash_, _持ち運びに便利な, 
   {{0x727e0388,0x2ea001d5,0x73450175,0x562500e6}},	//   _niente_, _کھجور_, _espekte_, _直辖市卫生行政部, 
   {{0x62010193,0x3b79011d,0xa06c004d,0x72110262}},	//   _sipil_, _московей_, _書庫評論及本站所, _bählili_, 
   {{0xc6d20410,0xe2bf029b,0x93ea02d3,0xda350092}},	// [30f0] _dingwalw, _bandonj_, _jantar_, _スチル動画工房_, 
   {{0xf60e0255,0x6c0d0321,0x520001c5,0x82e70050}},	//   _सौंदर्यब, _stopnje_, _dahir_, _sakuliah_, 
   {{0x17c300f8,0x00000000,0x00000000,0x00000000}},	//   _সফররত_, --, --, --, 
   {{0x0b220250,0xa29001aa,0x068200c1,0xf2e901ff}},	//   _kompania_, _ismay_, _सुसाट_, _skrinka_, 
   {{0x22fc0014,0x627f0414,0x4d270291,0xd3a900aa}},	//   _arrihet_, _esanto_, _consalac, _kaaarang_, 
   {{0x09120361,0xc02503ce,0x05840311,0x00000000}},	//   _степь_, _مواری_, _መቓብራት_, --, 
   {{0x72240134,0x55ce026f,0xfca4012e,0x3b880148}},	//   _alake_, _جۋىتار_, _پھیرنا_, _oblivisc, 
   {{0x32000025,0x4c710638,0xff300074,0x12ba000f}},	//   _bahir_, _fjernet_, _редакции_, _caddesi_, 
   {{0x084a011f,0xe27e02c2,0xbdc400e6,0x40fb0092}},	//   _sintaxis_, _moenie_, _民事诉讼法_, _パナテック_, 
   {{0x5afb01aa,0x3b0c014a,0x15de033e,0x0d48046b}},	//   _everyone, _مالیت_, _hokengué, _degawdau_, 
   {{0x45f702ac,0xf8060478,0x22ea037f,0xfdef0247}},	//   _والضحك_, _simbolic_, _misirin_, _andjedja, 
   {{0xfeaf0278,0xad89045a,0x32e80155,0x530c0465}},	//   _khurafat_, _endelige_, _angivna_, _geliranj, 
   {{0xbe0701db,0xd2780046,0x5c6f001c,0x22d800dc}},	//   _францияғ, _reunit_, _matutok_, _tineia_, 
   {{0xa2d8018b,0x3a6503ae,0x827e0416,0xe2780456}},	//   _vedete_, _drammens, _somnie_, _seunit_, 
   {{0x32240339,0xc9e304e5,0xb25002ac,0x94750225}},	//   _hoike_, _abatambu, _المئات_, _pretiden_, 
   {{0x1380009f,0x489000d1,0x19340099,0x6c6f013b}},	//   _litrov_, _নেজডাল_, _chomutsa_, _natutok_, 
   {{0x28c70352,0xc3810302,0x4c1903f8,0x1b1c03e6}},	// [3100] _অধ্যয়ন_, _amazulu_, _bumpmap_, _sprangen_, 
   {{0xe6350121,0xbc6f00ee,0xe9c30059,0x438d021b}},	//   _expansió, _akordio_, _schermat, _гарантию_, 
   {{0x6292000c,0x29f80369,0xe2e00109,0x3b8d004d}},	//   _aipapa_, _mikikana_, _prozradí_, _本城市首頁_, 
   {{0x8a17019b,0xc2f00546,0xcfcd0007,0x7290038a}},	//   _psichiat, _मेकानिकल_, _heritier_, _hitchiti_, 
   {{0x06330178,0x57df0210,0x5dab0195,0x89b10046}},	//   _anantani, _aisangov, _feannaga, _verdague, 
   {{0x9356034c,0xdc900343,0x00000000,0x00000000}},	//   _bushnı_, _kahuyang_, --, --, 
   {{0x73cd005e,0xceaf04fa,0xfc7202e5,0x63480262}},	//   _رەيھان_, _rekonman, _gárdia_, _begendi_, 
   {{0xebe70251,0xf8c60029,0x22a60228,0xb9e00080}},	//   _مرادن_, _گوێبیستی_, _erobre_, _alluitsu, 
   {{0x12cc0261,0x69f502f8,0x82b3025b,0x59100037}},	//   _analizo_, _faingtaa_, _andadrát, _katalalu, 
   {{0xfc000434,0xe7b80243,0xe007004d,0x00000000}},	//   _puestos_, _loonumuk_, _一支熱狗的故事_, --, 
   {{0xe20000a7,0x98d10192,0xf53801b5,0x9278004f}},	//   _milió_, _geleverd, _legintsh, _jeunde_, 
   {{0x33a202bb,0x6aef0630,0xe20100da,0xca10023b}},	//   _pompy_, _charákte, _репродуч, _malamaia_, 
   {{0xb3180032,0x8df70188,0x00000000,0x00000000}},	//   _jilchaj_, _таҳвил_, --, --, 
   {{0x42900058,0x12900049,0xadc100e0,0x340805fb}},	//   _tidami_, _mahaga_, _harinxma, _milionsk, 
   {{0x023100a1,0x937300c5,0xb0b70227,0xb2d40183}},	//   _taumaha_, _enfance_, _taimiyah_, _fonosan_, 
   {{0x0a6b0145,0xceaf045a,0x733700bb,0xf27c0311}},	//   _уважаем_, _bestemme_, _ردوبدل_, _ሽርሕታትን_, 
   {{0x80d70040,0x1d1802eb,0x8236031e,0xc2000414}},	// [3110] _סגווי_, _машинаас, _manjeg_, _kilió_, 
   {{0x2224025e,0x827e0034,0xb3a20265,0xd2d801e5}},	//   _flakk_, _simnet_, _diepe_, _kedere_, 
   {{0x52a700eb,0x05ba0558,0x8ecc00f4,0xa3940107}},	//   _ahaban_, _ntanetiị, _balizenn, _dioser_, 
   {{0x3e570041,0xab8a027f,0x00000000,0x00000000}},	//   _лиегмеи_, _rwananir, --, --, 
   {{0x5f860360,0x63ea026c,0x6289005b,0x5ccd0602}},	//   _ओल्के_, _cultu_, _acoharp_, _likvider, 
   {{0x52f40222,0x30f106f2,0x829003ac,0x61990498}},	//   _changer_, _पैरवी_, _dahaga_, _vliesové_, 
   {{0x42d80418,0x4f5b03bf,0xc32e0078,0x7f9e020a}},	//   _nelere_, _elnathan, _водоприв, _мүбәрәк_, 
   {{0x33800212,0xc5ee0142,0x4c6101b4,0x745c0061}},	//   _clurit_, _उत्तरकाण, _begrawe_, _플레이리스트가_, 
   {{0xd667019b,0xe2000013,0x329001ed,0xb31301d5}},	//   _sostinėj, _vahiy_, _pilali_, _diszkrim, 
   {{0xf32001e5,0xb0e10024,0x90ef00d0,0x42da02e0}},	//   _abayo_, _শেষৰফালে_, _odriozol, _itwela_, 
   {{0x52d802a4,0xb2d80410,0x2f260272,0xf9480257}},	//   _cedere_, _selete_, _abatafaa, _tegundir_, 
   {{0x5df80440,0x6a8a00a4,0xc052004a,0x82d80465}},	//   _bagenywe_, _барактык, _bozularn, _pelete_, 
   {{0x9d2600ac,0xc3ac01cf,0xb347032d,0x9ad302c8}},	//   _istočne_, _cuppas_, _bokella_, _ponteare, 
   {{0x684a0211,0x026e0061,0x93ea02a4,0x637f0370}},	//   _носки_, _보내시려는_, _vultu_, _dahanna_, 
   {{0x9146023c,0xf3a202ce,0x35e30235,0xbf370095}},	//   _راووتل_, _simpe_, _avakīrṇi, _bhismapa, 
   {{0x71b40092,0x233d03ce,0xe053042a,0x654301db}},	//   _ナショナル_, _عیماد_, _asesimen, _بەگازى_, 
   {{0x52d802a4,0xe26c00f4,0xd2d901ab,0x228302b4}},	// [3120] _sedere_, _athoc_, _lasen_, _emphini_, 
   {{0x63f4041e,0x840800da,0x527e0544,0xbc5a0012}},	//   _vostra_, _проспера, _noenoe_, _व्यन्गो_, 
   {{0xb2da0076,0x51f90039,0xb287008d,0x82a703dd}},	//   _aquele_, _нэрний_, _qadimiy_, _shaban_, 
   {{0x82d8023d,0x4e4b0251,0x73460029,0xa621027b}},	//   _vedere_, _nimankaa, _زاررێگا_, _थरॊणं_, 
   {{0xb2220238,0x7f490037,0x304a0096,0xe0b80311}},	//   _матерiал, _አቀንቃኝ_, _akerekan, _ተመያይጡ_, 
   {{0x0e960036,0x93f403b2,0x33800119,0xa2f2004d}},	//   _كركوك_, _aortic_, _imurje_, _是為了身體健康好_, 
   {{0x2c77023d,0x58c400b5,0x02f70321,0x235f004f}},	//   _pensare_, _изольдеи_, _akcijah_, _imigire_, 
   {{0x73780031,0x8c18014e,0x538602cb,0x94b50207}},	//   _kemaren_, _задовољс, _dvorac_, _ntabakuz, 
   {{0x41cb0159,0xcb730067,0x62e6005b,0x4b0a00be}},	//   _эстонска, _doolaarr, _crenata_, _مىنكەن_, 
   {{0x92cb0261,0xd7d8009a,0x4c85004d,0x02fe0528}},	//   _kredas_, _داسترالي, _關于設立中外合資, _lorgar_, 
   {{0xf2d902db,0x33950010,0x0fc90255,0x52d4042c}},	//   _nasen_, _akasho_, _savisaar_, _ponosan_, 
   {{0x4ce90094,0x200d004d,0xa95c019b,0x830d03f0}},	//   _араласқа, _年全國運動會參加, _donoryst, _dónalegt_, 
   {{0xea740080,0x774e011d,0xd2d803ec,0x39030344}},	//   _kingorna_, _граве_, _kinema_, _allaaneq_, 
   {{0xae1c0060,0xa05b00be,0x5344002e,0x55b603ce}},	//   _اقبالا_, _اكتىۋدۉۉ_, _srednju_, _سامرایه_, 
   {{0x03f90117,0xa8420338,0x67be03a2,0xbda4042c}},	//   _lapun_, _corrents_, _खुशगवार_, _memorija, 
   {{0x4a070227,0x0c060060,0x2e4a00c5,0x6b0f0155}},	//   _lidahnya_, _جىينى_, _caravane_, _densamma_, 
   {{0xec6b043a,0xa37201fc,0x09ea00ba,0xd2c20307}},	// [3130] _caruaru_, _angadad_, _داپڵۆسێن, _ebaleka_, 
   {{0xa2ed0258,0xa2b203a2,0x06b70074,0x08b00294}},	//   _berikke_, _सतलुज_, _вредных_, _chejniku, 
   {{0x75a8048a,0xb2240362,0x805b0369,0xc99d0046}},	//   _марапатт, _alaki_, _kahakupo, _досторун, 
   {{0xf3f9036e,0x425a010f,0x23a302a5,0x1167005e}},	//   _kapun_, _egoli_, _koupi_, _شاپتۇل_, 
   {{0x395604fd,0x22d903df,0x638f0090,0xd39401d5}},	//   _इंटेलिजे, _aasen_, _asiyana_, _kérik_, 
   {{0x72ea02f9,0x6d1803e6,0x86cc03ad,0x00000000}},	//   _ensilin_, _gebletzt_, _imrawwem_, --, 
   {{0x737d014b,0x225a03d1,0xf26e0207,0x85ac0205}},	//   _amorramm, _dailes_, _vipofu_, _алами_, 
   {{0xd2dd00c8,0xecb6003d,0xe35f03ef,0xc9e20362}},	//   _гастелло_, _reïntegr, _amagare_, _nakotika_, 
   {{0x02240145,0x4b1800d7,0xf6c80153,0x62e80035}},	//   _veikti_, _ditakats, _ぼっけもん_, _gigiena_, 
   {{0x027101cc,0xe0410125,0x73f90151,0x2f4d0156}},	//   _yānti_, _иймити_, _aiguey_, _כיטרע_, 
   {{0xe224040f,0x23b700ec,0x12fe0093,0x9c4203aa}},	//   _teikti_, _plovimo_, _сценарие, _सुपुत्री_, 
   {{0xf27e0326,0xc2d80066,0x5a220166,0xc62c012a}},	//   _anenge_, _zinema_, _kombinie, _autorstw, 
   {{0xe7c601aa,0xd0c205db,0x7c760142,0x634901a6}},	//   _addressw, _abalekel, _नाट्यं_, _karetai_, 
   {{0x8ff905b0,0x1b100173,0x92780318,0xc5550164}},	//   _विलायती_, _pensamie, _kemipeni_, _تېكست_, 
   {{0x63fa005b,0x3ef206f3,0xba4200e6,0x9996019b}},	//   _kutuya_, _स्क्रीनि, _韩国亲子装_, _таццяна_, 
   {{0xcf3503f0,0x8397005b,0x4d2e0148,0x52d901fb}},	//   _meistara, _newyork_, _承擔一切因您的行, _caseo_, 
   {{0x127f0076,0x86a50205,0x6a880203,0xd2d900d3}},	// [3140] _branco_, _butunjah, _palidiss, _nasel_, 
   {{0x13a303f5,0x9fdf01e6,0x32d902e4,0x4c0c0320}},	//   _roupa_, _postavič, _bugeja_, _eftprag_, 
   {{0x18b600df,0x187d015e,0x09d800ca,0xb7c500e6}},	//   _partager_, _properes_, _assolida_, _现行公开文件_, 
   {{0x7daa0390,0x12a60258,0xbe340137,0x470201f0}},	//   _sistemlə, _stobbe_, _шумуул_, _idibadiw, 
   {{0x5be501ef,0x104a03fc,0xa200002a,0x2ff90012}},	//   _kalendor, _spareban, _ichia_, _अनखाइले_, 
   {{0x77710525,0xb3a204ad,0x6d20017a,0xec2303c2}},	//   _व्याभिचा, _dimpa_, _akhishwe_, _apostles, 
   {{0x37fc014e,0xcdb10242,0xd63a0443,0xec5b013f}},	//   _природне_, _üstündən_, _perhenti, _desteni_, 
   {{0xaeb20014,0xe20e01e0,0xc3a300ac,0x13d30022}},	//   _komunale_, _فغانستان, _klupu_, _октябрҙә, 
   {{0xf34e05e6,0x5c1b0046,0x293b018d,0x8c0000bd}},	//   _ongeluk_, _ايماشقان_, _ለኣኹሎም_, _blisses_, 
   {{0xe25a01e9,0x62fd000c,0xcd2b0415,0x728800d6}},	//   _nuklea_, _ahague_, _kennwort_, _tathair_, 
   {{0x76b80193,0x96f2019e,0x647e00d9,0x9da100ba}},	//   _पर्वतरां, _інкруста, _силой_, _دیڤیدی_, 
   {{0x9a4a0122,0x4ff902d3,0x9c540166,0xeb8d01e9}},	//   _annelida_, _применув, _vortrag_, _leditiro_, 
   {{0xf30100ab,0xcf4700ff,0xae8b0107,0x6321004f}},	//   _hawaiki_, _דייַטשלא, _گسسته_, _fayyu_, 
   {{0x02920072,0xb29101c5,0xa5170109,0xd5a201de}},	//   _sarañ_, _ilaalo_, _हँुदैन_, _центркре, 
   {{0x9b5302c0,0xfe50021a,0x82f20020,0x00000000}},	//   _нелегале, _dabalama, _pikiapu_, --, 
   {{0xd01000c3,0x42e80104,0x33a3003f,0xc82300d1}},	//   _此分類下一篇_, _ludinga_, _blupu_, _অডিপি_, 
   {{0x62020298,0xb3730318,0x2eb2023d,0xb7ed004d}},	// [3150] _kapiti_, _angatae_, _comunale_, _老地方冰果室交流, 
   {{0x9b170630,0x8048027b,0xbb6c022d,0x4d340156}},	//   _gdspirit, _उपागमत्_, _apartura_, _מעקלעלאן_, 
   {{0x2bcf0570,0x72d606f4,0x569f01b3,0x46280291}},	//   _स्वीडिश_, _vyolans_, _контакту_, _stroighi, 
   {{0x93fa034c,0x6db2012e,0x3c770059,0x4395006c}},	//   _artuga_, _kimaradt_, _sensore_, _avusa_, 
   {{0x80900352,0xfe42006e,0x00000000,0x00000000}},	//   _চামুচ_, _loraange_, --, --, 
   {{0x110c016d,0x56b50261,0x6c2a0235,0xdc140349}},	//   _базарлиқ_, _rakontoj_, _anyadicc, _altssay_, 
   {{0xb2240049,0xde170074,0x1f1e00e6,0x6c16000d}},	//   _aliku_, _nimenoma, _小企业会计制度_, _ressurss, 
   {{0xc39001fe,0xf20100bd,0xf25a0473,0x4ee501a3}},	//   _driyani_, _amaist_, _schlau_, _وسطڙو_, 
   {{0xab0e0162,0x53a30182,0xf3950267,0x5c7703dd}},	//   _билимлик_, _houpo_, _svesni_, _istrefi_, 
   {{0x925a0414,0xd3f90249,0x86050287,0x12fd0279}},	//   _ngolu_, _kapul_, _prodejem_, _chaises_, 
   {{0x925a01d0,0x829101cf,0x1305014a,0x3b5b0026}},	//   _spille_, _levate_, _موجاں_, _schelden_, 
   {{0x6abf0148,0x69c0010b,0xdf6b009d,0x93a2030f}},	//   _我要發表留言_, _bokerese, _karburan, _onepu_, 
   {{0x1fc601ad,0xfdc800d9,0x12d9000d,0x04090408}},	//   _amanehar_, _центров_, _laseb_, _antranon_, 
   {{0xc8b804c3,0x6a9302eb,0x085301db,0xc45e019a}},	//   _thethaov, _ховдын_, _шекарада, _claverin_, 
   {{0xdd8d0486,0x42240026,0x8201040f,0xf9e60130}},	//   _televize_, _klikt_, _greito_, _estreged, 
   {{0x999602af,0xd8a600d1,0xe9f703ab,0x4bf002a4}},	//   _ayikunda_, _ক্ষেত্ৰট, _štrasbur, _alterutr, 
   {{0x23f9017a,0x1a8901e5,0x02780007,0x8ddb004d}},	// [3160] _sicula_, _amunudun_, _awundu_, _將廣泛接觸香港各, 
   {{0x02240470,0x869c046d,0xaa190424,0x847b0039}},	//   _koiko_, _mafulufh, _cercetat, _langabez, 
   {{0x6497029f,0x570901bd,0xadd90291,0x4ae50168}},	//   _platnosť_, _аналары_, _إتمام_, _hunderas, 
   {{0xa170002b,0x637f0007,0xaccb00be,0x5293022b}},	//   _সন্দেহের_, _bilanga_, _دئلىنە_, _fruktir_, 
   {{0xcea60143,0xe29001fc,0xbfc700e6,0xa320039f}},	//   _столични, _hahaya_, _路二七厂站_, _pencils_, 
   {{0xdc5203b4,0xf61e003e,0xd3400156,0x00000000}},	//   _akatora_, _трансгаз_, _bukedon_, --, 
   {{0xd2d802f7,0xd2240449,0xd320019f,0x93f40321}},	//   _belege_, _sliku_, _mbaya_, _dostop_, 
   {{0xacca027b,0x00000000,0x00000000,0x00000000}},	//   _लेपयेत्_, --, --, --, 
   {{0xa5620216,0x642b0022,0x199b0169,0x2290018e}},	//   _chavisak, _эстрадаһ, _armonía_, _lahaya_, 
   {{0x2ce30192,0x2a220388,0x1b7e002b,0x4a4a0089}},	//   _조금이라도_, _bombonie, _দৃষ্টিনন, _gazetaga_, 
   {{0x5e51048b,0xd68e033c,0x7071018f,0x22e80219}},	//   _airblade_, _addewidi, _dasachmo, _igcinwa_, 
   {{0x13200480,0xb27e01d9,0x56e801f4,0xe22402b2}},	//   _abaya_, _conner_, _пасайтир, _ulikt_, 
   {{0xf20101f1,0x2dbd0032,0xf2b300b4,0xa6930092}},	//   _tipit_, _dachidqa, _формеле_, _の定番サイト探す_, 
   {{0xefb8018b,0x73de01c6,0x3274009a,0x96760197}},	//   _превенир, _jouwer_, _abasilel, _seksyèl_, 
   {{0x12c9028d,0x63f4025e,0x2797009b,0xf2e70255}},	//   _favorab_, _birtar_, _харжээ_, _suunata_, 
   {{0x9f1e01b4,0x206200d9,0x7ab2020f,0x16810333}},	//   _handelin, _kansakun, _asikokub, _avvedesi, 
   {{0xf2d803eb,0x937801f1,0xa43904c0,0x7116023c}},	// [3170] _gelede_, _islamin_, _nkakrank, _سپیڅلې_, 
   {{0x8c1800bf,0x0f690429,0x756500c4,0xb9130294}},	//   _детской_, _sepatutn, _کنيائين_, _antawaku, 
   {{0x22ba055f,0xb23e014d,0xb21302f0,0x00000000}},	//   _kendini_, _eigentum, _emehlo_, --, 
   {{0x5ad0009a,0xb2240023,0xa2e80219,0x54ac0085}},	//   _برلین_, _voiko_, _agcinwa_, _kawaitak, 
   {{0x536e005b,0x40e601a7,0x5e960090,0x22920062}},	//   _sengoku_, _kuunnell, _akamboon, _datagh_, 
   {{0xc2240405,0xf27e03e0,0x12010291,0x31c30368}},	//   _slikt_, _wonner_, _hipir_, _тополи_, 
   {{0xf3f40257,0x92240168,0x531204b9,0xc43d010d}},	//   _birtir_, _plikt_, _crabbit_, _गर्भारपण, 
   {{0x330c0382,0x888400d9,0xd26c00fe,0x88ee0574}},	//   _carabet_, _сервисно, _laione_, _brazilac_, 
   {{0x752c005c,0xb4d8010f,0x23180192,0xef3f027b}},	//   _imishino_, _ватандӯс, _perceel_, _उपदिशति_, 
   {{0x4ac80076,0x532000a2,0x03100127,0x3cd30045}},	//   _преимену, _ubaya_, _bruzun_, _leskovcu_, 
   {{0x1290004f,0x210002ac,0x00000000,0x00000000}},	//   _komand_, _عناكب_, --, --, 
   {{0xc2eb0015,0xe2010193,0x1dbc0204,0xc3720255}},	//   _انقلابن_, _tipis_, _ostaneet_, _ettekirj, 
   {{0x59dc0368,0xfedf015e,0xc188018f,0x04300269}},	//   _последиц, _conseqüè, _dadanisl, _cambiado_, 
   {{0x5c6e013d,0xcb7e00f4,0x3f290235,0x22020119}},	//   _datumoj_, _aernijer, _cintāman, _pagkakum, 
   {{0x72130673,0xcbf90145,0xf238005a,0x3a120095}},	//   _amehlo_, _земляка_, _chimlaw_, _andalake, 
   {{0x12ee0105,0x82fd0243,0x12ef0037,0x52640150}},	//   _pranali_, _caagid_, _ደብዳቤው_, _paulim_, 
   {{0x51fe0444,0x6b9d001e,0x630001d5,0xc3cb03b6}},	// [3180] _обладают_, _ministoc, _haladni_, _parapò_, 
   {{0x621a0362,0x9a5d0297,0x240403f3,0x00000000}},	//   _asekwaki_, _байларча_, _virussen_, --, 
   {{0x3dec0059,0xaa9200fc,0x39ec025f,0xc288022d}},	//   _кукли_, _klingons, _kokitisa_, _balanini_, 
   {{0x03a2038a,0x3a68018d,0x805a009a,0x8102005e}},	//   _timpu_, _ብንስሓን_, _abaseson, _تەگئات_, 
   {{0x8b220101,0x613b0524,0x9a7d0035,0x00000000}},	//   _compania_, _učestalo, _диалогта_, --, 
   {{0xc7d40071,0x7bca01c7,0x8ed001eb,0xde090420}},	//   _پنگوئن_, _agzibïrl, _убириа_, _поделена_, 
   {{0x9dae0518,0x5914003f,0x31ba0139,0x375f0037}},	//   _наманган_, _bisaschu, _añjaliṃ_, _እስታይል_, 
   {{0xa2010306,0x1e8802fe,0xf86a008d,0xd25a0179}},	//   _pipis_, _سولانا_, _кўмир_, _sailas_, 
   {{0x67b4017a,0x8b0a0118,0xb35f013a,0xc6e80322}},	//   _механико, _amasuuka_, _fligere_, _bakabibw, 
   {{0x89e10439,0xa87301be,0xcc18014a,0x42ed04df}},	//   _basisiwa_, _प्रकाशको_, _forrásbó, _biriçe_, 
   {{0xb3f403ab,0x12d901e1,0x73a202a2,0x1b5a0031}},	//   _postup_, _masea_, _alipin_, _mestinya_, 
   {{0x221300c9,0xe0ea0107,0x922402ad,0xe62900e4}},	//   _hichic_, _ارغوان_, _kliky_, _beznadzi, 
   {{0x66200044,0xf5120420,0x0c1702d3,0x5da902be}},	//   _צמידים_, _traseiro_, _правеле_, _ahensiya, 
   {{0xe317018a,0x5290002c,0x00000000,0x00000000}},	//   _merched_, _epean_, --, --, 
   {{0x4290005b,0x43a303ea,0xa2e703ae,0xf22400a1}},	//   _dsmax_, _coups_, _grensen_, _hoake_, 
   {{0x9290032d,0x62d8001a,0x7a0600a6,0x5231032d}},	//   _nahana_, _felett_, _دکليو_, _hammoho_, 
   {{0x8a1e002c,0xa7d003a0,0x160303f2,0x226d0212}},	// [3190] _чиний_, _aroganng, _помимо_, _pecora_, 
   {{0x3f750149,0x822601b6,0x2cd60126,0x6c680255}},	//   _amụma_, _marked_, _простий_, _nagunii_, 
   {{0x72920064,0x846b02d3,0xcf3c03e8,0xc24a0420}},	//   _usuari_, _desejado_, _dragocen, _infelizm, 
   {{0xfa65009a,0x32cf0225,0x2f160096,0x62fd016b}},	//   _طبيعی_, _kolosse_, _abadivan, _alkawari_, 
   {{0x981800c5,0xeffc0076,0xa2d90066,0x24560061}},	//   _下一个已解决问题_, _изгубил_, _fasea_, _반품조건보다_, 
   {{0x5f2d0497,0x2b6703c1,0x63a204b3,0xe3b602c4}},	//   _shreddin, _наречен_, _simpl_, _просек_, 
   {{0x23f900ab,0x875a02f6,0xd417017a,0x0318014a}},	//   _kapua_, _ibinibig, _achithek, _perccel_, 
   {{0x24600074,0xfe4c00d5,0x22900464,0x4d120299}},	//   _masennuk, _mahamena, _gahana_, _ئېتوتلار, 
   {{0x8f3b0448,0x3b560079,0x49d7015c,0x82900033}},	//   _personop, _organizē_, _onheemle, _romand_, 
   {{0x0b4e0185,0x203000c9,0x725b01c5,0x2290007f}},	//   _babaları_, _gamebank_, _qaalib_, _dydach_, 
   {{0xaea40377,0x724802f9,0x511500c5,0x76d300ab}},	//   _алергам_, _jijman_, _抹上比萨汁_, _aukatihi, 
   {{0x90db0037,0xc974006c,0x426c02fb,0x00000000}},	//   _የፍትሐብሔር_, _akungene, _saione_, --, 
   {{0x43a3019a,0x86fe00da,0xef500078,0xed9b0034}},	//   _soups_, _спиритуа, _знало_, _beitingu_, 
   {{0x2fc60029,0x422404cf,0x0db102aa,0x5b5b01c2}},	//   _سانسۆر_, _inike_, _mimibaza, _acheguen_, 
   {{0xba17015e,0xe30d028d,0x73950083,0x185301cd}},	//   _descarre, _delapar_, _avust_, _фейсбуки, 
   {{0x2836006e,0x84f300d9,0x5f4e051a,0xae37009b}},	//   _b胃nneexu_, _богатый_, _keesokka, _mugatuta, 
   {{0x0c6a0021,0x9d070238,0x7d85040f,0x0d8f04a5}},	// [31a0] _eastway_, _ярмарок_, _словамі_, _esilinga, 
   {{0x2bb201bd,0xe50604f8,0x5e9e0139,0x1db500b3}},	//   _элементі_, _unemploy, _asajjamā, _atanakla, 
   {{0xb29001a6,0x225b00d8,0x12570029,0x920000ad}},	//   _pahana_, _declin_, _نادرێت_, _aslina_, 
   {{0xd201010d,0xa26c00a1,0x96d002fe,0x4ecb047b}},	//   _rapih_, _hekona_, _bavakali, _grunnsin, 
   {{0xbc6701cf,0xee18018d,0xfcc80255,0xcc9902dc}},	//   _fratres_, _ባህላዊን_, _गरियाये_, _advertiu_, 
   {{0xf142016d,0x330d0429,0x9be10178,0x024a055f}},	//   _سەردار_, _pelayar_, _agraṇīr_, _okumak_, 
   {{0x33eb03ea,0xafc10156,0x012f0297,0x994b0116}},	//   _lutte_, _סואוורענ, _bülеnä_, _gramashe, 
   {{0xcf4c0227,0x33ac05b8,0x6e77023c,0x73f80611}},	//   _persoala, _tappar_, _هالینډ_, _raoudy_, 
   {{0xe8520159,0x0a8c014f,0x835b023e,0x00000000}},	//   _troleibu, _изашао_, _bongaya_, --, 
   {{0xe9c902d2,0x822b0172,0xe3790119,0x1a520408}},	//   _wabonisa_, _padmore_, _kasadya_, _firenana_, 
   {{0x669d0265,0xe2eb0318,0xa26e008a,0x9add020f}},	//   _langduri, _kosilio_, _patolo_, _bobuchwe, 
   {{0x2ac702ec,0x025a0339,0x2ae101d9,0xc6d00334}},	//   _کانجہِ_, _haole_, _opgepass, _ankatumi, 
   {{0x4d25002b,0x8e4e0019,0xd25b000d,0x4aaf0061}},	//   _মানুলেহা_, _تانگودوي_, _kaalub_, _중점적으로_, 
   {{0xdb1901e8,0x00000000,0x00000000,0x00000000}},	//   _gitamaan_, --, --, --, 
   {{0x6b2d00d0,0x16a50480,0x00000000,0x00000000}},	//   _lasaitas, _ecetyway, --, --, 
   {{0x437b00da,0xe5b700ae,0xf2010333,0x32a60039}},	//   _контрибу, _babanguy, _capii_, _orobat_, 
   {{0x16970169,0xa2920225,0x8c9d012c,0xc3870233}},	// [31b0] _শিশুকে_, _marañ_, _وارداتون_, _sufret_, 
   {{0x136e0386,0x22cb013d,0x73a202f0,0x398904a4}},	//   _mengaku_, _kredis_, _inepi_, _pitheide, 
   {{0xf3eb0092,0x2af601bc,0xc981003c,0x134702ee}},	//   _hutte_, _kursusse, _سرپرستان_, _inkella_, 
   {{0xb8400168,0x23eb04b1,0xaaf60026,0xe0480144}},	//   _akershus_, _kutte_, _cursusse, _موجودين_, 
   {{0x7c610369,0xed9f00e1,0xcb9b0313,0x3f1500fa}},	//   _betuela_, _baagante_, _dilighmo_, _bandilan, 
   {{0xbb1102f6,0xbeaf047d,0x062a006a,0xfb640156}},	//   _kumpanya_, _rekomman, _siantifi, _אנטמוטיג, 
   {{0x3da70014,0xc31600c2,0xc26f0125,0xabd20017}},	//   _ኦርቶዶክሳዊት_, _mwiza_, _ичимизде, _subjektů_, 
   {{0x6bfc0212,0xb1a80066,0x5b8e04c0,0xcc050457}},	//   _telefnic, _програмч, _mpaninfo_, _raaruuy_, 
   {{0x027800d4,0x0200042b,0xb29002a2,0x62920072}},	//   _keunst_, _splita_, _bahala_, _sipana_, 
   {{0xbf3f00ac,0x5a84018d,0xf3100243,0x22b60026}},	//   _zabrinja, _ንመግለጺ_, _matacay_, _aardige_, 
   {{0xba80017f,0x727e0103,0xa5330309,0x02010209}},	//   _ilungers, _inenge_, _gündəm_, _tapii_, 
   {{0x0f1e02a2,0xc27f019c,0x329200bd,0xdd3600bc}},	//   _sandalin, _eranko_, _ayways_, _افسون_, 
   {{0x06970374,0x3202031a,0xc2d60212,0x89d401db}},	//   _لارینا_, _chrios_, _tullius_, _جىلنامان, 
   {{0x117e02d3,0x737f0321,0x327f038b,0xda5202e0}},	//   _поголеми, _dejanja_, _dimintai_, _direlana_, 
   {{0xdbff007d,0x52b30073,0xb7a8019f,0xb2da0064}},	//   _pengajar, _perdeva_, _tamthili, _esgotar_, 
   {{0x6b2802d0,0x43fa0488,0x53f704d7,0x42900189}},	//   _stranges, _garums_, _andskoti_, _sahada_, 
   {{0x12930026,0x3ebd0102,0x8dd3045e,0xe1cc049e}},	// [31c0] _creatief_, _imenipen, _службите_, _škorpión_, 
   {{0x28740253,0x161f01b4,0x71390092,0x13220611}},	//   _sinnerlu, _openbari, _ホワイトデ_, _kouyon_, 
   {{0x3c6700cd,0x62a70342,0xeaf50092,0x936c02cb}},	//   _statuts_, _chabon_, _リストマニアを検, _najgori_, 
   {{0x56b80148,0x24eb00c7,0x5adf020b,0x3ea801f6}},	//   _聯合報請向精神病, _съезды_, _bolelets, _fortelje_, 
   {{0x32570029,0x3c040334,0xc3650021,0x028c0043}},	//   _ناگرێت_, _akasidi_, _anitobam, _awakana_, 
   {{0x29ea000e,0x56d6020a,0x887303cc,0x22da02e5}},	//   _akademío_, _تايمان_, _ejecutar_, _guggiari_, 
   {{0xb5cd0113,0xfc290169,0x00000000,0x00000000}},	//   _للإستمتا, _seriedad_, --, --, 
   {{0xcafc01a7,0xdde7014b,0x042b01a3,0x00000000}},	//   _tulevais, _numitté_, _کڙڪائي_, --, 
   {{0x8c0a035d,0xd11700a4,0x4d840073,0xa7d90103}},	//   _stepena_, _permetrà_, _retenite_, _angazobv, 
   {{0x93a30329,0xf36301c8,0xdea80381,0x13ea03d1}},	//   _roupi_, _dostanem, _ebellion, _pults_, 
   {{0x1fd200da,0xa07701db,0x09e20362,0x72c902ef}},	//   _констау_, _фабрикас, _bakotika_, _aproche_, 
   {{0x52fc022a,0x633200e4,0xb523009a,0x00000000}},	//   _kulivas_, _राजपुरोह, _راستنېدو_, --, 
   {{0x45a90486,0xf4de0039,0x426c04cd,0x725b0465}},	//   _formulář_, _кардашин_, _suhog_, _spalne_, 
   {{0x6a51021b,0x929f002e,0x1ecd03d7,0xb0c500e2}},	//   _parempaa_, _ubijeno_, _morisian, _follybal, 
   {{0x23a80227,0x6b9a0392,0x22bb04e5,0x927e0439}},	//   _menabung_, _frangaic, _baleese_, _mienge_, 
   {{0x46fd0147,0xe6b8042a,0x93160414,0x812000c7}},	//   _اەروناۋت, _bekanesi, _eyebani_, _diyargä_, 
   {{0xb04c02af,0xd30c017c,0x82c802cf,0xb3ea01a6}},	// [31d0] _araribon, _betalat_, _recorde_, _ngotea_, 
   {{0x23560145,0x32240071,0x43430119,0xc7090205}},	//   _adresas_, _mlaku_, _koreano_, _семизи_, 
   {{0xf3b502d8,0x62020499,0x8200018b,0xf2da0318}},	//   _ग्राहकां, _lapisi_, _ochii_, _hupeto_, 
   {{0x6f5f0281,0x8ea80040,0x1e8d02da,0x7c730269}},	//   _alaperna, _אתאיזם_, _согласув, _ejercer_, 
   {{0x72010318,0xffa401d5,0xb95b016e,0xb9e5001a}},	//   _ateiho_, _بوسٹن_, _beslenme, _انارکلی_, 
   {{0xa6f6040b,0xb26b000a,0x18fc042a,0x2e53038e}},	//   _zimbambw, _darfurim, _ingabhad, _dirataka, 
   {{0x0c5c029e,0x226c0343,0x5c7202ca,0x32780588}},	//   _destenn_, _tuhod_, _chorpas_, _utuntu_, 
   {{0x934204a7,0x9d740347,0x0bfa005c,0xcd060065}},	//   _goberno_, _chemiese_, _amatsemb, _vermisst_, 
   {{0xf98403c3,0xfe4b0312,0xf67e0040,0x170d01d5}},	//   _medijima_, _restroù_, _מותאמים_, _mesterké, 
   {{0x5c0101b6,0x586b0023,0xdaf503c2,0xbc1401c5}},	//   _classes_, _сказано_, _storekee, _todobaad_, 
   {{0x09bb00a7,0x02fc02a8,0xd2e90240,0x7ba90054}},	//   _benvingu, _attivat_, _pasidia_, _aziyyars, 
   {{0x32240298,0x9e490271,0xe2d903ff,0xce470107}},	//   _poaka_, _utgangsp, _kabely_, _اوریگامی_, 
   {{0x17ad0244,0x8b17006c,0xe41802eb,0x00000000}},	//   _pomerigg, _akuprofe, _aktibatz, --, 
   {{0x754d045f,0xb24e05cb,0x63ac006e,0xc3780008}},	//   _verksamh, _आदानप्रद, _cawarteg_, _demanen_, 
   {{0x537f042f,0x98fc042a,0x727f0494,0x90e20004}},	//   _tahamna_, _angabhad, _branio_, _akuzasyo, 
   {{0x690403cc,0x827f0039,0x386104a7,0x7224006a}},	//   _অরক্ষণশী, _esango_, _impartir_, _toaka_, 
   {{0x5746017f,0xf2010277,0x83800333,0x81510342}},	// [31e0] _tikillug, _hapit_, _sourde_, _aparisyo, 
   {{0xd43400ff,0xab9a0392,0x04b30242,0x0cc7040f}},	//   _אָריגינא, _buannaic, _aktları_, _greičiu_, 
   {{0xee4f01a4,0xb63f01be,0x9d3001c5,0x1303022e}},	//   _bakabola, _tajemná_, _shiniile_, _altagnu_, 
   {{0xc3060205,0x22900302,0xa201018d,0x7c2d02ac}},	//   _بنیادکار, _isibindi_, _japim_, _iognáid_, 
   {{0x147506f5,0xebff0092,0xec67025c,0x19cf0169}},	//   _vinteren_, _が必要です_, _dritter_, _disfrute, 
   {{0x36750272,0xa8280238,0xd69600f0,0xe27e0191}},	//   _abajaluw, _колекції_, _zaveseni, _fiende_, 
   {{0x72240439,0x29480205,0xa37f034c,0x664b018d}},	//   _alaku_, _унутиб_, _aklarga_, _ክንመርጽ_, 
   {{0x73ea02aa,0x22d802ea,0xc15d040f,0xd2d1004d}},	//   _pulty_, _fedele_, _aktualio, _你不會比較它廠的, 
   {{0x5ffd035e,0xcaee0065,0xa40100d9,0xfc8800cb}},	//   _muskarac_, _gratulie, _istumaan_, _идеалӣ_, 
   {{0xce3a00f6,0x42900340,0xfc4e064f,0xab490157}},	//   _aparacaq, _papamahi_, _mrtvoly_, _hormonów_, 
   {{0x62ed0026,0x525b0244,0xebb30161,0xa2df01b5}},	//   _positie_, _spalle_, _межкомна, _kotekeki_, 
   {{0x3201013b,0x626c047d,0xf47e01db,0x6c1400ac}},	//   _capim_, _schong_, _تاقۋالىق_, _polupans, 
   {{0x469f004b,0x97530187,0xbb01017e,0x3660027b}},	//   _baadingw, _теоретск, _alispeca_, _भासस्य_, 
   {{0x627e0211,0xc7310398,0x22d800ac,0xd6b50077}},	//   _lienee_, _атасынын_, _pelene_, _antouraj_, 
   {{0x6201031a,0x13a30003,0x63ac03d5,0xc2d8023b}},	//   _alaire_, _slapen_, _sapper_, _lelele_, 
   {{0x3354045c,0x33ac021e,0xd290023b,0x720003f3}},	//   _inzerat_, _papper_, _kapakahi_, _nadien_, 
   {{0xd5f20177,0x027806f1,0x53800047,0x2f780097}},	// [31f0] _имаҷымкә, _afunde_, _courbe_, _iwọlu_, 
   {{0xdb9405a9,0x463700da,0xf3200097,0x225a00bc}},	//   _bakinjir, _рациуне_, _gbayi_, _asilé_, 
   {{0xf200036e,0xfe82005e,0x03cb0097,0x4fdd00bc}},	//   _achin_, _ﺩﯗﻛﺎﻥ_, _darapò_, _تلمبه_, 
   {{0x93200480,0x4c8f0187,0x9c7804b3,0x56a5042a}},	//   _abayi_, _останува_, _leuskel_, _bangadzi, 
   {{0xf1690152,0xc37c005b,0x426702da,0x90f100d1}},	//   _фашистла, _tokushim, _фитинг_, _নোখোজো_, 
   {{0xa6b90152,0x3c910040,0xe2e80054,0xeb51010e}},	//   _yekateri, _סכנין_, _wakilin_, _gandahan_, 
   {{0x89d9001a,0x652105f4,0xb77b011a,0x42780556}},	//   _jelentke, _apuntach, _בהבנת_, _ufunde_, 
   {{0x2f340352,0x725a00d5,0x62240014,0x62d80303}},	//   _চৰায়ে_, _saola_, _plaku_, _felele_, 
   {{0x08820287,0xa1f2019f,0x1df90157,0xe2910115}},	//   _नदरखनीको_, _mwanadam, _hotelowe_, _azuan_, 
   {{0x14f4028a,0x52ed01b4,0x32a600c4,0x529a0307}},	//   _اختلافن_, _posisie_, _membe_, _ngabanam, 
   {{0x22a601b5,0xf2d904a5,0x02e8013c,0x02d806f6}},	//   _lembe_, _zivela_, _hakimin_, _bykes_, 
   {{0xd3db023d,0xbc610151,0x3fbf012b,0xb2d8019f}},	//   _seguenti_, _engrave_, _sponsoro, _kelele_, 
   {{0x83eb0074,0x8bf50264,0x8d9602ec,0xd2b500a3}},	//   _uutta_, _firecrac, _diblomaa, _mildare_, 
   {{0x930d0082,0x00000000,0x00000000,0x00000000}},	//   _addabar_, --, --, --, 
   {{0xd57f012e,0xe6a00148,0x3d9a03b0,0x2ea4017a}},	//   _مصاحف_, _pondstuf, _tryggare_, _amatende_, 
   {{0xc290017d,0xdded001f,0x22d90132,0xcf8400bb}},	//   _wahaha_, _punjabae_, _fedett_, _چھپایا_, 
   {{0x02a6019d,0x32000125,0x8b07012b,0x6c1b028a}},	// [3200] _jembe_, _uchin_, _milionów_, _jihadhar, 
   {{0xda710219,0xa289010b,0xb30c029a,0x32010249}},	//   _akwatiwa_, _boipelel, _paramet_, _sapim_, 
   {{0xfb9c0202,0xd9a3017f,0x31410179,0x0ee7006d}},	//   _atanpako_, _alajange, _plotiteo, _бараною_, 
   {{0x73eb03f9,0xf56b0206,0xd1e20255,0x12d80591}},	//   _tutta_, _dekoratí, _बजारे_, _dyker_, 
   {{0x42a60095,0x22020182,0xc8580173,0xf2a700e1}},	//   _nembe_, _kapipi_, _podremos_, _jibbal_, 
   {{0xa3790456,0xd387002e,0x92830171,0x120103de}},	//   _masanya_, _utvrde_, _svekrva_, _noyise_, 
   {{0x8b65015e,0x016d00e6,0x00000000,0x00000000}},	//   _enquesta_, _建筑师职称评审招, --, --, 
   {{0xf2e504dc,0x928c03bf,0x541d03d4,0xc2e801f1}},	//   _مباره_, _фортепья, _подгориц, _takimin_, 
   {{0xf25a0249,0x2a9a019a,0xa71801a3,0xe8db003f}},	//   _maolo_, _buinmais, _سوجهري_, _ipneschu, 
   {{0x937f023b,0x395e0127,0x06390375,0x76a80162}},	//   _lahaina_, _ekologie, _akanaphi, _растлиқи, 
   {{0x429803a7,0x33f401cf,0x7edc012d,0xf58e02b6}},	//   _dňami_, _postea_, _apendeks_, _айырылды_, 
   {{0xc23500bf,0xe2900387,0x630d00be,0x1e6800d9}},	//   _сторонни, _nchara_, _cabanes_, _местом_, 
   {{0x4a0a0369,0x12c603da,0x929002e5,0x875c0099}},	//   _palapala_, _atulere_, _ichara_, _echirung, 
   {{0x09d40173,0x46050453,0x51cb012c,0xa68f0305}},	//   _বিশ্বাস্, _prodajem_, _طالبانائ, _elfenbei, 
   {{0x0c15055a,0xbf3203bf,0x8b430177,0xc70402d5}},	//   _disparo_, _мостай_, _вокалтә_, _आकाशवा_, 
   {{0x8f3700c5,0x57bf020e,0xf053028d,0xf38e0014}},	//   _大运体育走廊_, _dikoteek_, _spesimen, _respekti_, 
   {{0xe2cb0288,0x680b018d,0xcc5e012a,0x7ab40009}},	// [3210] _ausda_, _ንነፍሰይ_, _oferuję_, _pravokot, 
   {{0xd9c60046,0xefed004d,0xaae60515,0xdc3d036e}},	//   _сталинди, _原來我不帥_, _guernese, _atinichu_, 
   {{0xcb3000d6,0x29fc004b,0x53f4013c,0xfaf6046f}},	//   _ابتدائية_, _егрип_, _dostca_, _gaaspere, 
   {{0x4b7f0003,0x2d7101a6,0x00000000,0x00000000}},	//   _jongeren_, _ohomaira, --, --, 
   {{0x831800a8,0x3200005b,0x9d0c0420,0x00000000}},	//   _cerchel_, _fumiko_, _tabuleir, --, 
   {{0x43f40163,0x99ba00bf,0x530d0057,0xf5040138}},	//   _nettó_, _пределам, _belayar_, _bireysel_, 
   {{0xe8b50026,0x0236040a,0x8b1d02c1,0x434e009b}},	//   _전체평가보기_, _miljö_, _impamyab, _denetik_, 
   {{0xf201003f,0xe278023b,0x2ee20141,0x0ec00147}},	//   _dapih_, _nuunuu_, _kuchayib_, _سىينانىن_, 
   {{0x6bec0041,0x8200005b,0x4bdd0157,0xeb700439}},	//   _ақьиареи_, _kumiko_, _दहिया_, _makuhana_, 
   {{0x9061012c,0x12250206,0xa28502ba,0xc1d70076}},	//   _آندرو_, _diskusii_, _эллиот_, _димитар_, 
   {{0xa3fa019f,0xdd190166,0x1e500073,0x52fb05eb}},	//   _kutuma_, _verletzt_, _marchate_, _bethuna_, 
   {{0x7b740212,0xe7d900af,0xc26c030b,0x42ca00bc}},	//   _acylglcc, _говорять_, _alooni_, _dhidik_, 
   {{0xbd110169,0x99620147,0xc10b01aa,0x853d0061}},	//   _এ্যক্সেস, _بەچكەك_, _alphaway_, _사용하세요_, 
   {{0x33eb030b,0xdd2c0165,0xd6b9029a,0xe8620128}},	//   _butto_, _basikete_, _sekretay, _tafakkur_, 
   {{0x627802fa,0x72010318,0x6e550332,0x5bc500e6}},	//   _afunze_, _kapii_, _embalaje_, _资信参考人_, 
   {{0x125b01c9,0x0b5b0026,0x71d90188,0x86a40064}},	//   _saalis_, _scheiden_, _мемонед_, _ахмадийл, 
   {{0xf394013c,0x2d0c003e,0x6efa0107,0x00000000}},	// [3220] _pulsuz_, _лында_, _digjayan, --, 
   {{0xc71e019b,0x0c5102ce,0xb6540311,0x2155022c}},	//   _эстафету_, _buktina_, _ማእስርቲ_, _bororaah_, 
   {{0x11e702d3,0x4e1a0386,0x6386007a,0x127f0074}},	//   _наградат, _mengelua, _ghazali_, _pienet_, 
   {{0xcf410410,0x1e280037,0x637301b4,0xcc670455}},	//   _lekgolon, _የምወደው_, _belange_, _quitter_, 
   {{0x0c520372,0xae4c042d,0xd7b500d0,0x196d0373}},	//   _brotein_, _hahamena, _ameslari, _decidant, 
   {{0xcabc0485,0xa8e20098,0x85ed0021,0x00000000}},	//   _henvende, _overstig, _armchuky, --, 
   {{0xaf1e03d9,0xeb930145,0x0ed50113,0xfa740103}},	//   _mandalin, _svetainė_, _انجازات_, _angoramb, 
   {{0x82cb0108,0x28cd00be,0xabef0037,0x61350350}},	//   _rusdi_, _تامااقور_, _አሥረኛው_, _ኃይለሚካኤል_, 
   {{0x353c063f,0xc5a901bd,0x6200005b,0x1c00028d}},	//   _लम्बा_, _органика, _yumiko_, _malsans_, 
   {{0x629202bb,0xf3790006,0x4b770024,0x126d0320}},	//   _latach_, _rasanya_, _শিৱদৌল_, _hayidesi_, 
   {{0x6f3f0024,0xbdd400ea,0x99be016d,0x61160488}},	//   _দৃশ্যমান_, _mpikamba, _грантниң_, _deklarēt, 
   {{0x93fa0357,0x03fa01fe,0xe62c004d,0x2d9d013f}},	//   _lutuka_, _qutuma_, _政治大學歷史學研, _duponcea, 
   {{0x73b40052,0xe245005e,0x71450443,0x35ee01c2}},	//   _उत्प्रेर, _ساڭىمۇ_, _dipersal, _valdoviñ, 
   {{0x534302f4,0x02240369,0x52780048,0x0d06017e}},	//   _experto_, _inake_, _afunye_, _חבירים_, 
   {{0xd6b2004d,0xac380311,0x82e900be,0x5b6101d7}},	//   _台灣食品良好作業, _ሃተውተውን_, _signant_, _basegnan_, 
   {{0x82df02f0,0xd9b10192,0x56340334,0x04540541}},	//   _abomantj, _제외하고는_, _alingali, _saudijsk, 
   {{0x4ce802c4,0xd2ec01f3,0x7ec2017a,0xc9da0074}},	// [3230] _постигне_, _rostliny_, _abanakan, _kaunista_, 
   {{0xd3dd03f2,0x00000000,0x00000000,0x00000000}},	//   _витамина_, --, --, --, 
   {{0x8c7500db,0x62a60129,0x34070076,0x83100021}},	//   _तुर्रा_, _edebe_, _трудови_, _actaway_, 
   {{0xf29002c5,0x49f301e6,0x52e8013a,0x8a6c04e6}},	//   _achapa_, _nepravid, _relioun_, _burgesya_, 
   {{0x7bd90137,0xe7a001f6,0xb64302c8,0xdd040311}},	//   _реклам_, _অসমলৈ_, _balonmán_, _ቛንቛታት_, 
   {{0x0b2002da,0x3276008d,0x0224021c,0xfc19032d}},	//   _campanha_, _автоматл, _vlaky_, _ditlhaku_, 
   {{0x822400a1,0x6c6f0292,0xdd5b025b,0xd7420078}},	//   _anake_, _akorafo_, _burturúr_, _неприхва, 
   {{0x43450111,0xa65f0375,0x09a8018d,0xe22400d3}},	//   _rendait_, _amakachi, _ኣኽኢልዎ_, _tlaky_, 
   {{0x35270158,0xc2d6007b,0xbea90094,0x00000000}},	//   _फैंटसीज़_, _billies_, _تىيىستى_, --, 
   {{0xdc1c0130,0x0fbb01f6,0x9e0c0227,0xbd4800f0}},	//   _sacrobos, _উপন্যাসৰ_, _takdirka, _robotníc, 
   {{0xd34201a7,0xdf13023d,0x322603b5,0xf34905b7}},	//   _kaverin_, _elettora, _ajukan_, _porezni_, 
   {{0x1375019f,0x0290001e,0xb379010b,0x53a200e1}},	//   _بامقصد_, _wahala_, _kakanyo_, _kumpay_, 
   {{0x9a170023,0x62d90269,0x821c0116,0x138000c5}},	//   _белья_, _ligero_, _fashes_, _lourde_, 
   {{0x43800342,0x82d900bd,0xca9402d3,0xf9090309}},	//   _sourit_, _mysel_, _atencios, _bombalad, 
   {{0x143e0076,0x9fbc0159,0x183e0056,0x12240321}},	//   _разни_, _treniruo, _ризки_, _znake_, 
   {{0xb3eb0246,0x5c620002,0xd26d000b,0xb2700177}},	//   _tutte_, _izgubio_, _logovi_, _ӡаратәи_, 
   {{0xfaf303c2,0xf3fa026a,0x15b80175,0x918000b6}},	// [3240] _depravit, _butuka_, _minimonm_, _milaagih_, 
   {{0x92c303f6,0x52900102,0xc4a701fc,0x00000000}},	//   _mailoko_, _kahama_, _tugactek, --, 
   {{0xa8de0205,0xf37c02af,0xec940040,0x33640203}},	//   _баркамол_, _ansavye_, _התכשיטים_, _spegula_, 
   {{0x9300017f,0x0ce50041,0x52900198,0xa05302fe}},	//   _nalaani_, _алшоит_, _nahaja_, _ayiseben, 
   {{0x13fa03b9,0x865b0012,0x50b8015e,0xee5502fe}},	//   _tutuka_, _छ्तिनीउब, _جەمەك_, _اوستر_, 
   {{0x7eb003ea,0xb7bf032d,0x027e00c5,0xf2fe0064}},	//   _recomman, _афонин_, _mienne_, _sorgir_, 
   {{0xbca6061d,0xca14011d,0xa80301e6,0xf291030b}},	//   _ваксина_, _intampla_, _podobný_, _afaako_, 
   {{0xc29000ea,0x68610180,0x4fff01ee,0xdf4700da}},	//   _sahala_, _retablir_, _хьесапех, _depresie_, 
   {{0xc290051b,0x0016005e,0x1c5d03d5,0xdd570368}},	//   _pomalu_, _زۇمرەت_, _aontrym_, _назване_, 
   {{0xe4a800ff,0xfdfd0268,0x118b03d4,0x2fb800c8}},	//   _נעישאנס_, _agreeswa, _склони_, _difonofo, 
   {{0xda930292,0x54290639,0xe05403db,0x9d8e0156}},	//   _amanhons, _simpanan_, _iyaseben, _נוטראלע_, 
   {{0xc31600f5,0xc1bb0204,0x230000b2,0xb1690185}},	//   _awaza_, _поступат, _galaani_, _kereşä_, 
   {{0x361e000a,0x82900235,0xec7500b9,0xae560039}},	//   _tullerii, _abhaya_, _मुक्ती_, _жастин_, 
   {{0xdc7403c7,0xc2000108,0x33950388,0x10e7014d}},	//   _एंट्री_, _salian_, _stessi_, _ermittel, 
   {{0x4b020060,0xe6320201,0x03a20343,0x67d900b5}},	//   _كەلدىڭ_, _aninnani, _dampi_, _ҟабардаб, 
   {{0x23e8009b,0x6cca007f,0x4ed504f8,0x36ab00e6}},	//   _барсанда, _bechodau_, _verifyin, _区域发展类_, 
   {{0x32fe0273,0x520000c9,0xede0003c,0xc2830188}},	// [3250] _equipos_, _echip_, _bagiané_, _amaselul, 
   {{0xbad7018b,0xbc4a03c2,0x8ac60156,0x00000000}},	//   _castigat, _pontiff_, _פידלער_, --, 
   {{0xd2000429,0x10470192,0x38e9020a,0x6eb602c7}},	//   _talian_, _gepresen, _камералы, _betracht_, 
   {{0x2297027b,0x457e012a,0x527e0119,0x83b80467}},	//   _श्लोको_, _प्रभावों_, _bienne_, _netwere_, 
   {{0x652b0076,0xa7c80544,0x2035010b,0xc3150179}},	//   _евреите_, _hoopului, _boitsaan, _pronimag_, 
   {{0xb74c01f2,0xa20000cf,0xf3a20244,0xe5c80071}},	//   _سەئۇدى_, _achii_, _campi_, _paramith, 
   {{0x489b017d,0xd9f80241,0x7db6004c,0x3f320153}},	//   _レストラン_, _biliyona_, _amminada, _水流クラブ_, 
   {{0x20c5014e,0xdb660072,0xa2b600a9,0xabdf0243}},	//   _еквивале, _sapurusa_, _ndadaye_, _elleytót_, 
   {{0xbc980034,0x1c020363,0x5741034e,0x926d03d3}},	//   _spurning_, _plasser_, _arcopong, _naboer_, 
   {{0xaded06f7,0xe3e102c3,0xd285057f,0x5290028a}},	//   _शेक्सपिय, _bystrici_, _kelheim_, _mahaka_, 
   {{0x73eb04f7,0x320203b2,0x9d390090,0xd96a0205}},	//   _btttt_, _hoping_, _ajairane_, _гюндоган_, 
   {{0xe947026f,0x6c810156,0x3f290417,0x63000374}},	//   _جۇيرىك_, _נעיםספעי, _terreura, _badanni_, 
   {{0x2b91026f,0x1d0a005c,0xdafc01c0,0xb2cb009e}},	//   _اقپەيىلد, _ataragar, _gabobbin_, _aceder_, 
   {{0x927e0119,0xc24602d3,0x570700ec,0xef20003f}},	//   _vienne_, _здрав_, _паперы_, _namtunda, 
   {{0xb3400090,0x02900216,0xc224014c,0x1957001d}},	//   _aivenga_, _hahaka_, _enika_, _measurer_, 
   {{0x1a6100f3,0xa7560053,0x70ff0066,0x4c05011b}},	//   _abaliseb, _परिषदे_, _norberak_, _fantomas, 
   {{0xbb7a00b9,0xf25a0544,0x7f4c038e,0x7d2d00bd}},	// [3260] _वाल्गुदे, _kaola_, _bershala, _scroggie_, 
   {{0x529002c5,0x120203ae,0xe41e0187,0xf98d0017}},	//   _achava_, _ivrige_, _parafuso_, _profesí_, 
   {{0xf2a402c1,0x3d0d01f6,0x8ca80037,0xf7a400f4}},	//   _amabanki_, _কাহিনীৰ_, _ኤምባሲው_, _alamanek_, 
   {{0xbc770671,0x025a0451,0x736e0299,0xb22401fa}},	//   _venstre_, _laola_, _ئەننە_, _poaki_, 
   {{0xb16c0148,0xedd201c5,0xd04701d7,0x02900544}},	//   _學年度碩士在職專, _mushkila, _sepresen, _kahaha_, 
   {{0x92e70265,0xc38b0065,0xc256002b,0x91130045}},	//   _brengen_, _türen_, _বিস্তর_, _индонежа, 
   {{0x597604ce,0x0513012e,0xc3900087,0x6f150359}},	//   _khunyele, _نصراللہ_, _esiyoni_, _foldwaan, 
   {{0x8ca7019f,0xe3eb015a,0xeec7055b,0xb878033e}},	//   _خاصخيلي_, _kutta_, _mediesen, _igenteku, 
   {{0x287b042f,0x0c5c013f,0x4bdf03f4,0xc883037f}},	//   _aupilard, _testenn_, _videoter, _israildə_, 
   {{0x03eb0211,0x83eb048b,0x93f704d8,0x5c68038b}},	//   _mutta_, _stttt_, _واریاہ_, _sepuluh_, 
   {{0x627e005b,0x71690205,0xa2010148,0x48d80333}},	//   _sienne_, _зачистка, _capit_, _adestrav, 
   {{0xc29000ea,0x6c5900f5,0x066c00c7,0x4f0e0013}},	//   _tahaka_, _халкымыз, _зурга_, _назархон_, 
   {{0x92000058,0xcc830092,0x739600c7,0xbe93013c}},	//   _balion_, _ライフスタイル_, _barsil_, _kitabças, 
   {{0x7226001d,0xd3870449,0x80ef010d,0x331003b0}},	//   _muskie_, _dobroj_, _cilandak_, _regnskog_, 
   {{0xc2120439,0x32ea06a9,0x6d6b0311,0xac45013f}},	//   _dzaha_, _medindo_, _ንተማሃሮ_, _halvomp_, 
   {{0x43eb01fc,0xb6270302,0xe2010138,0xa26c022a}},	//   _butta_, _танкид_, _hapis_, _nedoto_, 
   {{0x716905d7,0x8089018d,0xd4030160,0xb38b05ce}},	// [3270] _swisstoo, _ህዝቅኤል_, _završen_, _süren_, 
   {{0x1c8f049a,0x72da013b,0x237f00d6,0x00000000}},	//   _opadanju_, _horeå_, _cneasta_, --, 
   {{0x820000ed,0x97a700ee,0xb2c70352,0x2c140021}},	//   _anhing_, _ekimenak_, _jødar_, _altshay_, 
   {{0xa1900265,0x5e080299,0x04ac0291,0x326c0261}},	//   _dubbelkl, _بۇفىلىمن, _maxiorel_, _dekoka_, 
   {{0x1f1901a9,0xa38606f8,0xe2900184,0xcfc3013a}},	//   _permitir_, _allra_, _yahaha_, _schimmer_, 
   {{0x9d8f0258,0xd62e0060,0x022500dc,0x63a20062}},	//   _kondysje_, _күмәнді_, _meakai_, _nampu_, 
   {{0x63720140,0x4c4800f5,0x02ed01c4,0x0ee003bd}},	//   _liwanag_, _сынанярл, _lirieke_, _maghunon, 
   {{0x9c73007f,0x52a600ce,0x92010148,0xdeab0378}},	//   _netregs_, _odebi_, _rapit_, _dagrøkt_, 
   {{0x33060062,0xd25a02e7,0x640303d0,0xb2ee01da}},	//   _bimatlh_, _kailis_, _savršen_, _beogradi_, 
   {{0x0320033e,0x8e90003d,0xb3a20055,0x4ef6065b}},	//   _acayo_, _fermamen, _campu_, _रायलसीमा_, 
   {{0xd340027d,0xe44500a4,0x72000342,0x2fd400ea}},	//   _nedelja_, _ارماندار, _achiv_, _yonikafo, 
   {{0xcc160157,0x13eb01d9,0x338601c2,0xb27e0573}},	//   _माल्यार्, _futti_, _medre_, _helno_, 
   {{0xfbe5017f,0x52c3009b,0xd29202c8,0x69d203bf}},	//   _timersor, _saileko_, _rapaza_, _direjist, 
   {{0x57e10419,0xf1f50012,0xc2920007,0xaa0e0205}},	//   _वादविवाद, _उड़अवल_, _bapaya_, _кроос_, 
   {{0x099d03b9,0xb2a60536,0xb26c04bb,0x727e03e8}},	//   _ataktana_, _edebi_, _nthos_, _delno_, 
   {{0xe71203a2,0x2c2300bb,0xb8b80092,0x8c51025b}},	//   _ख़ुदा_, _کولیسٹرو, _日以内に発送_, _sangkóri, 
   {{0xc9b50420,0x7a7d0176,0xa26e0127,0x430d016b}},	// [3280] _imediata_, _kamakura_, _alpoù_, _addamar_, 
   {{0xe25b0247,0x1af60515,0xcb2200e6,0x09ce05e6}},	//   _asalé_, _extranee, _个工作日内完成_, _andersde, 
   {{0xe5a8003b,0xe13f0026,0xa30001fa,0x165d01ec}},	//   _akasanak, _ingestel, _kalauni_, _burisraw, 
   {{0x218c05c5,0x9afb0375,0x84b9012b,0x949102a3}},	//   _सर्वर_, _amagwets, _प्लेन्स_, _vergemak, 
   {{0xc3a2036e,0xd473021c,0x43f400d7,0xf34d039a}},	//   _tampu_, _estetick, _bistwa_, _peredam_, 
   {{0x5d870061,0x42ec0332,0xd24d0320,0x73a40635}},	//   _카테고리내_, _iquique_, _lovoriwi_, _malaizij, 
   {{0x476e042f,0xd8150079,0x32250359,0x43820040}},	//   _haavitti, _direktīv, _blykt_, _copying_, 
   {{0x73a20314,0x42d803bf,0x57780013,0x6db80080}},	//   _thepa_, _telele_, _قووانیب_, _ajungaja, 
   {{0x820101d7,0xfcf300a8,0x02ac02e4,0x04b402aa}},	//   _capir_, _adattesc, _immaniġj, _sluchatk, 
   {{0x622404e5,0x2c7c0338,0x620001f7,0x434d014a}},	//   _riika_, _jaurès_, _achiu_, _napelem_, 
   {{0x0c7502e9,0x02360262,0x19f60086,0xafbf01e6}},	//   _algunas_, _boljak_, _اوریا_, _sponzoro, 
   {{0x55a2044d,0x23670100,0x1996010b,0x72e703d5}},	//   _aydiikum_, _stignem_, _lephephe, _breneen_, 
   {{0x8a280162,0x963400de,0x62ea04ef,0x2db00158}},	//   _قالايمىق, _akwileyi, _pedindo_, _rabatowe_, 
   {{0x62780387,0x012a006d,0x0c6f005a,0x1e9a0212}},	//   _agunye_, _эстрадны, _dalumoh_, _senectus_, 
   {{0xd30c0037,0xbf540540,0x62ea00d6,0x0a1e01b9}},	//   _setakat_, _bregðast_, _taontas_, _futborle, 
   {{0xb2830020,0x65b702af,0xb8e9053e,0x19fd004b}},	//   _dashiki_, _baranguy, _utesteng, _вазифаһы_, 
   {{0xe347039d,0xe2830272,0x54b20137,0xb48701e4}},	// [3290] _fanelwa_, _ayokera_, _жульетта_, _सनराइज_, 
   {{0xf9fd00d7,0x44730307,0x2e5001e8,0x62d40259}},	//   _вазифалы_, _ingenalo_, _masagola, _gonoman_, 
   {{0xb3f400d4,0x6278007b,0xb9e30059,0x72d602f9}},	//   _postma_, _pruned_, _покана_, _appolon_, 
   {{0xfac601f2,0xe90b0125,0xae9e0302,0x6e510332}},	//   _خاككىر_, _аятың_, _сӯзишвор, _jajajaja, 
   {{0xc292053f,0xa2ec0225,0xa536018d,0x32d80135}},	//   _mapana_, _insipid_, _ብልሽዉናታት_, _beleme_, 
   {{0x8a500094,0xe2b70060,0xb2920020,0x781c0138}},	//   _الاقان_, _تىرىسادى_, _lapana_, _varlığı_, 
   {{0x8378001e,0x23a2007f,0xb6ad00dd,0xc6f503b4}},	//   _albarka_, _sampl_, _bysellfw, _chicherw, 
   {{0x8b92026c,0xb290042a,0xff6b017e,0x8984028b}},	//   _所有文章列表_, _abhala_, _תּיתי_, _рхақәиҭр, 
   {{0xb2070163,0x5316012a,0x43f4012a,0xe90d0061}},	//   _قراءت_, _osobami_, _kostka_, _가제손수건_, 
   {{0x5efe0540,0xe6e40040,0xb5ca02fc,0x00000000}},	//   _nóvember_, _לנתניהו_, _barayish, --, 
   {{0xd2da0020,0xf1e80188,0xc4730397,0xdfa20185}},	//   _aetete_, _раҳгузар, _angenalo_, _gruziäne, 
   {{0xb2c3002c,0xf2240259,0xeefc0064,0x125b0350}},	//   _mailako_, _miiko_, _تەڭدىكتى, _እንዲጣራ_, 
   {{0x62240422,0x7454006d,0x22da000e,0xdc1400e7}},	//   _enako_, _клятвы_, _letores_, _antsray_, 
   {{0x9290042a,0x79d200aa,0x2c6e0277,0xe37d0422}},	//   _achaza_, _girehist, _iparada_, _odpadne_, 
   {{0x834b007f,0x8da10137,0x00000000,0x00000000}},	//   _agregau_, _apartatu_, --, --, 
   {{0x355900da,0x163400ba,0x804700c4,0x3a7105db}},	//   _проблеме, _ئێقباڵ_, _سگھارو_, _akwaziwa_, 
   {{0xde5203c2,0x927e01e8,0x2c5c013a,0x8d8e00df}},	// [32a0] _succinct_, _ahente_, _bestinn_, _motorisa, 
   {{0x72920099,0x1f7f02ac,0x82240058,0xd202016e}},	//   _hapana_, _وسبحان_, _oniks_, _istifa_, 
   {{0x12920108,0xd74901d8,0xb27e01eb,0x3e2400b7}},	//   _bapana_, _tanyffri, _chente_, _суртмек_, 
   {{0xa27802be,0x0f6201be,0x00000000,0x00000000}},	//   _ngunit_, _लोककल्या, --, --, 
   {{0x0224033a,0x2c5200ba,0x527e034b,0x3ae8038c}},	//   _uniku_, _بۆتۆی_, _painol_, _šargarep, 
   {{0x12e7025c,0x45b600be,0x0b08004d,0xa8320060}},	//   _grenzen_, _клеткасы, _套房隔間設計_, _قارىس_, 
   {{0xd27e0152,0x8c5306f9,0xa91a00d3,0xc5820192}},	//   _telne_, _हुसेन_, _चक्रवातक, _stamboom_, 
   {{0xf5670135,0x04ad034e,0x67ee00bc,0x90580066}},	//   _бинасы_, _antankak, _pewayang, _alegazio, 
   {{0x7292002e,0x491000f2,0x72e7003f,0x30720322}},	//   _pitali_, _pamatoju, _mumuptah_, _bakazako, 
   {{0x54d701bd,0xb24a0166,0xe2da0101,0x21dd0156}},	//   _саласы_, _firmen_, _retete_, _לייפּציק_, 
   {{0x820e00a7,0xc3e101f2,0xf276023d,0xc348011d}},	//   _тарап_, _унсурлар, _opinioni_, _regelui_, 
   {{0x6ae50263,0x0d8c03e8,0xb1390094,0x00000000}},	//   _toeriste, _točki_, _ەتىلىپتى_, --, 
   {{0x829001d2,0x22fc01e1,0x3c9b00b9,0x2fab00e4}},	//   _achaya_, _bethong_, _संप्रेरक, _दस्ताने_, 
   {{0x05450240,0x62ca02bc,0x16c50060,0x2a9302eb}},	//   _tenkaich, _pandua_, _بولسە_, _ноёдын_, 
   {{0xc278038e,0xf27f012c,0xf2c70638,0x73a20101}},	//   _pengirim, _mpango_, _jøder_, _piept_, 
   {{0x11e00546,0x99d6014d,0x207200a6,0x89c9029c}},	//   _हेनरी_, _gerechne, _bakayako, _kulowera_, 
   {{0x120e01bd,0xd2d90417,0x1ac80147,0xdf000453}},	// [32b0] _маман_, _sedert_, _انتتاشقا, _oslobađa, 
   {{0x72370284,0x52da01a6,0x00000000,0x00000000}},	//   _hromada_, _ketere_, --, --, 
   {{0x2c7703d8,0x68b30354,0x12d80084,0x00000000}},	//   _presude_, _болдуң_, _beleke_, --, 
   {{0x038d033a,0xc2da0076,0x0b2b003c,0xe2da02ff}},	//   _proposti_, _vetores_, _anémomét, _detere_, 
   {{0xa36e0534,0xa2240058,0xc3fa03a0,0xcd9f0080}},	//   _songoku_, _aniks_, _disuma_, _finneera, 
   {{0xc0c70088,0xfd9c0061,0x74a40040,0x4ec500f2}},	//   _кишиге_, _예측상한가_, _לרגליים_, _arheoloģ, 
   {{0x420003ac,0xf99401cd,0xf2000241,0x1341007b}},	//   _kalian_, _менеҷмен, _badiin_, _caredna_, 
   {{0xaa16042b,0x4552048c,0x6c6e0116,0xabe700a6}},	//   _podataka_, _arwhaiyl_, _gairden_, _ژرنده_, 
   {{0x12920298,0x2ae100d1,0x704f00d1,0x00000000}},	//   _rapana_, _দিচাঙৰ_, _দুবাৰমান_, --, 
   {{0x890e034b,0xc2da0265,0xa38b023d,0x59d60275}},	//   _aftavanu, _betere_, _станат_, _malepele, 
   {{0x7939035a,0x49d60415,0x53500238,0xd2a6012b}},	//   _akambaga_, _berechne, _удоскона, _drobne_, 
   {{0x869f0462,0x91f50423,0x516e00d1,0x52250258}},	//   _abidingw, _ukazatel, _চমকপ্ৰদ_, _nyckle_, 
   {{0xb8590125,0xea8500a6,0x338e0444,0x5a7600e2}},	//   _йөрәп_, _ګوردن_, _вступали_, _taalklas, 
   {{0x7807011f,0xe2da00a1,0xc14c0192,0x1f4d0274}},	//   _mercosur_, _tetere_, _스포트라이트_, _farsímaf, 
   {{0x3abc023d,0x52370058,0x620800c4,0xb26c018f}},	//   _benvenut, _fromada_, _ويٺلن_, _erhom_, 
   {{0x69fa017c,0xc9e304c7,0x7c0f00e4,0x4fa10089}},	//   _misshand, _догађа_, _samolotu_, _beretlar_, 
   {{0xd20003bd,0x829200ad,0x00000000,0x00000000}},	// [32c0] _dalian_, _kapala_, --, --, 
   {{0x96d6015e,0xa3a200bc,0xc84e020a,0x3c92010e}},	//   _بارمىن_, _nampi_, _كانديدات_, _hapunang_, 
   {{0xb27e0076,0x2ccc01e0,0xf2d8024a,0x00000000}},	//   _painel_, _بیرنه_, _peleke_, --, 
   {{0x43a2036e,0x02da0270,0x12da03a0,0x8200015a}},	//   _hampi_, _vetere_, _bowelo_, _galiin_, 
   {{0x7e03027d,0x03790343,0xfb73008a,0x58910096}},	//   _uključen_, _estatwa_, _lululima_, _arakangu, 
   {{0x438e0192,0x960902b2,0xbc210409,0xfa52020e}},	//   _주민등록번호_, _vvsforum_, _campany_, _jarelana_, 
   {{0xebdc0483,0x8ecf0052,0x04dc0156,0x4ecd02aa}},	//   _búlgaro_, _उपन्यासह, _פּושקעס_, _agregát_, 
   {{0x864c06fa,0x48fd00b0,0x43790396,0x33800222}},	//   _मर्डर_, _qaraabad, _istatwa_, _tourne_, 
   {{0xf29201e1,0x825a013b,0x08ca0037,0xd26c023b}},	//   _bapala_, _tagle_, _በሆላንድ_, _nuhou_, 
   {{0xa2da010b,0xd2fa0184,0xa202008d,0x4c020222}},	//   _petere_, _adahuta_, _ustiga_, _classer_, 
   {{0xcc770333,0x82fc00d7,0x5b9d00aa,0x00000000}},	//   _fresque_, _betheng_, _maghusto_, --, 
   {{0xfa7d009a,0x3dae012c,0x7027041c,0x3c74006e}},	//   _abenguts, _ndindaba, _bindaloo, _bulufis_, 
   {{0x4ed005dd,0xfb4c032d,0xd29004a4,0x375d0350}},	//   _एचटीएमएल_, _байназар_, _ipear_, _ተደራሽነት_, 
   {{0x3b460365,0x0557027f,0x00000000,0x00000000}},	//   _recepční_, _ntikabay, --, --, 
   {{0x6fcc0101,0x8ffa0360,0x1e08009b,0xb67302e7}},	//   _mobilier_, _ल्याइयो_, _болимоор_, _keldagri, 
   {{0xe7a00148,0x82920318,0xf2010076,0xa1de00d9}},	//   _sloterdi, _aluatu_, _treino_, _посовето, 
   {{0x12780256,0x529200ad,0x1dc001ab,0x00000000}},	// [32d0] _stundu_, _papada_, _wikitext_, --, 
   {{0xcb4501f2,0xfa07009b,0xa29202e7,0x2c1401aa}},	//   _ﻗﺎﺗﺘﯩﻖ_, _arrantza_, _gitahi_, _antsway_, 
   {{0x171f01e5,0x82fc000e,0xcc3e04c9,0x4a5a00d1}},	//   _agesinyó, _attinat_, _hunsrã_, _মৃত্যুকক, 
   {{0x605403db,0x1f6400d5,0x403c007b,0x00000000}},	//   _ayaseben, _hanankin, _papersho, --, 
   {{0x327e0321,0xd212005b,0x226c003f,0x92ca045f}},	//   _redna_, _asahi_, _duhot_, _vandra_, 
   {{0x71c40060,0x8da900bc,0xa67c0177,0x3a17036c}},	//   _тойға_, _pamikira, _косторгы, _ampasika_, 
   {{0x6c770222,0x784700d9,0xb12d0425,0x52a600a2}},	//   _presque_, _медицины_, _رتاشین_, _zombe_, 
   {{0x0229017d,0x566e03e3,0x711f02ac,0xc1b60374}},	//   _lækre_, _konviksy, _للنقاشات_, _театрида_, 
   {{0x0cd500f5,0x0b930145,0x8e130462,0xb18103fb}},	//   _bileleşi, _svetainę_, _araffinp, _zapadnih_, 
   {{0x4c69047d,0x86f40253,0x4f77004d,0xbd690444}},	//   _distanz_, _skatterå, _只因為產檢健保不, _червями_, 
   {{0xf1850101,0xf0020022,0xb27e046b,0x490a0343}},	//   _detaliil, _класында_, _felna_, _mapalibu, 
   {{0x6f2f0040,0xed730142,0x6961015f,0x02530056}},	//   _הצייד_, _amoghaṃ_, _bywoliae, _бакувват_, 
   {{0x904d0238,0x93a201e9,0x32000026,0x095d03ae}},	//   _брати_, _baepi_, _schip_, _igangset, 
   {{0x1a4601cf,0x5a930204,0xb6800066,0x5e9101c2}},	//   _advenira_, _потери_, _dimentsi, _activánd, 
   {{0x22a401cb,0x4641014e,0x82cb0262,0xde450177}},	//   _eliqinil, _старо_, _biriniň_, _афганцәа_, 
   {{0xcf6305e5,0xb2a6019f,0xcbe00333,0xb2e706fb}},	//   _समस्याएं_, _pombe_, _riserver, _drengen_, 
   {{0xdbb90353,0xd7a80040,0xd05202bb,0xcaee004d}},	// [32e0] _parkovac, _התזמורת_, _fabularn, _確認你所輸入的字_, 
   {{0xc9c50059,0x6e980361,0xc202022d,0x00000000}},	//   _букети_, _гипотену, _astima_, --, 
   {{0xeed9014e,0xd45b04b2,0x7d5b01db,0x7b04035b}},	//   _расистич, _maiwasan_, _بىرۋلەر_, _notranja_, 
   {{0x09c30162,0xbc120122,0x81fa0060,0x13ea0439}},	//   _رامبو_, _mumpuni_, _جىلىلىق_, _iyotwa_, 
   {{0x8d990218,0xcd3601d5,0x7cf703ae,0x70590418}},	//   _actoryfa, _کہاوت_, _mestepar, _tansiyon, 
   {{0x52da001d,0x2f940305,0xbc3401d5,0x00000000}},	//   _metodes_, _militært_, _لبرلز_, --, 
   {{0x67230223,0x1af9010f,0x1d90010f,0x927e00a0}},	//   _компани_, _миллионҳ, _abhekane_, _bainal_, 
   {{0xfacf0052,0xa8fc0188,0x69d90282,0x00000000}},	//   _शंकरनगर_, _angashad, _peteheme, --, 
   {{0x22ca0108,0xa3860034,0x1d8c0198,0x2a0a0017}},	//   _handap_, _eldra_, _ročni_, _kapalina_, 
   {{0x7ffc0359,0x92e9000e,0xa2a60387,0x2fb9006c}},	//   _divyzjes_, _atentet_, _ileba_, _abalihlo, 
   {{0x42240356,0x1c6b01cc,0x92a606e9,0x7f0602eb}},	//   _anaka_, _आनन्दः_, _hleba_, _урьхан_, 
   {{0x0f6300e4,0x023f0192,0x16eb00d6,0x517b0147}},	//   _समस्याओं_, _사용합니다_, _hastráil, _بةيشةن_, 
   {{0x70e704a5,0x2c340055,0xfe4b0418,0xec7002c5}},	//   _balindel, _accallic, _yarataca, _chorufu_, 
   {{0x56e800c5,0x7bc60047,0xff3d01a3,0xd9f80178}},	//   _国家工商行政管理, _méditerr, _باگڙي_, _atisaund, 
   {{0x33e30286,0xf2ef0223,0x09c701f4,0x55c101c2}},	//   _engrensi_, _nahikoa_, _баравар_, _bosquexo_, 
   {{0xf3730194,0x883203b9,0xd6630177,0x12480292}},	//   _audacie_, _ukampiru, _египетҟа_, _ɔmmen_, 
   {{0x22e70004,0xafb30177,0x3ab70041,0x5d2500a2}},	// [32f0] _trennen_, _ақәым_, _иҭәын_, _jikomboe_, 
   {{0xff580047,0x3654015a,0xc29002bd,0x3f3102ac}},	//   _notammen, _argisiif, _amlaf_, _آلأشكآل_, 
   {{0xf7b30442,0x1914005a,0x22a601d9,0xf26d0160}},	//   _berlagak_, _disamchu, _aleba_, _pogodi_, 
   {{0xb014017d,0x0276033a,0x3394002e,0x32ee014a}},	//   _このブログの更新, _opinjoni_, _smisao_, _tegnapi_, 
   {{0x5b0b017d,0xbc660038,0x5c9f0176,0x1ab400bb}},	//   _アプワイザ_, _хатыны_, _ringsted_, _پنڈتوں_, 
   {{0xfb610630,0x19e50024,0x79bd02e0,0xd75701af}},	//   _angloger, _বৌদ্ধধৰ্, _katetswe, _bilinmeg, 
   {{0x62a60200,0x118501fe,0x363100ba,0xac6800ff}},	//   _eleba_, _nasaukil, _ڕابڕدوو_, _ararato_, 
   {{0x7ad802d8,0xb29005a6,0x5ce200ec,0x38f6007e}},	//   _केशराचे_, _omlag_, _вывучыць_, _मल्लयुद्, 
   {{0x8e5103ef,0x1c170147,0x014e04ca,0x102200e5}},	//   _yarahama, _تويچۇ_, _agitacio, _алергија_, 
   {{0xa452015e,0x149f014a,0xd38004ca,0x124a0230}},	//   _окмот_, _mutatkoz, _extrai_, _pirman_, 
   {{0x527e06d5,0xdc14046d,0xf65e004a,0xa2b501ff}},	//   _kroner_, _hotshats, _bärabäre, _plecia_, 
   {{0x22a60513,0x425a00d6,0xec18027f,0xada90265}},	//   _komba_, _eagla_, _murander, _forumlid_, 
   {{0x045d018d,0x55ba027b,0xdb0000dc,0x1797014c}},	//   _ተደላይነት_, _apratibh, _inisitit, _kokwakhi, 
   {{0x42a606fc,0x42820126,0xb2ec02d0,0x2a7b00e6}},	//   _momba_, _одноразо, _bannock_, _州和景区所在市县, 
   {{0xac21006a,0x744a0086,0xa98e01db,0x2af3013c}},	//   _tampony_, _حرکتیں_, _дария_, _mikroavt, 
   {{0x0858019b,0xee370094,0x8ea9029b,0xa202036e}},	//   _amerikos_, _بالداي_, _cxiutage_, _astika_, 
   {{0x0532020f,0xe2a601d5,0x00000000,0x00000000}},	// [3300] _abengaph, _gomba_, --, --, 
   {{0xd1d2006a,0x730d00b9,0x0a930128,0x40c70155}},	//   _navelany_, _pelamar_, _сессияси, _rullstol, 
   {{0x101b00f2,0x707a0299,0xca0102f8,0x00000000}},	//   _ekspertī, _دىلخۇش_, _talaanga_, --, 
   {{0x9581018f,0x061f0513,0xb8910305,0x03fa00da}},	//   _bilengch, _avanyisi, _verkemid, _провокын, 
   {{0x73470133,0x05e80013,0x83330294,0x8ee70291}},	//   _asheeta_, _хасталиг, _chaxra_, _الوورد_, 
   {{0x12900129,0x469d0050,0xa2da0437,0x1e1900f7}},	//   _achaba_, _sangkuri, _oftere_, _agresema, 
   {{0x626d00bc,0x31f602ac,0xb3880590,0x13510086}},	//   _ttpod_, _يفعله_, _илюмжино, _némileg_, 
   {{0xcc04002e,0x5321004a,0x32d9027e,0x2cfa01db}},	//   _rođen_, _akayev_, _sjenice_, _солардан_, 
   {{0xa7780177,0xddb700d9,0xeee6021e,0xded700a8}},	//   _ианрыхәа, _maksettu_, _beskrivs_, _ambiziun, 
   {{0x83460194,0xdf2c01d1,0x6215018f,0x724902ff}},	//   _afferic_, _acceptin, _jichechm, _gramč_, 
   {{0xe9ce0040,0xb278002e,0x02fc0192,0x03960138}},	//   _beverage, _ratnog_, _belgen_, _mutsuz_, 
   {{0x95eb0205,0xe3ea019a,0x7dd70043,0x77a805b7}},	//   _سردابه_, _belted_, _alikuzaa, _kostajni, 
   {{0x74280019,0x42fc0265,0x7a1501b2,0x0fb5020f}},	//   _маданият, _velgen_, _altarpie, _ړومبی_, 
   {{0xac6e0061,0x99b10333,0xe5050040,0x420101d2}},	//   _결혼이야기_, _abaddate, _מושבה_, _hapiy_, 
   {{0x430d06de,0xc9de059f,0x671d01be,0xe31002c8}},	//   _pelajar_, _qëndruar_, _नहुदा_, _cambiou_, 
   {{0x778a001b,0xc6e500c7,0x00000000,0x00000000}},	//   _deevidii, _аладыр_, --, --, 
   {{0x83a20334,0x72f00286,0xe68b007f,0xf2e6004f}},	// [3310] _pampu_, _sodikuw_, _ailweith, _jaanama_, 
   {{0xa1dc02fe,0x8201029a,0xd4310024,0xf26d0326}},	//   _دتراوی_, _lapiy_, _কৃষিৰ_, _angoti_, 
   {{0xd342029a,0x73f801c2,0xea0f050a,0x70b80156}},	//   _aprezan_, _trazado_, _katliamı_, _געיאגט_, 
   {{0xbda200e1,0x6ada02eb,0x92e702c3,0xac2f0066}},	//   _asiraasu_, _биоаюулг, _turnaja_, _hiriburu_, 
   {{0x3bd706fd,0x42ca012a,0xe290030a,0x0230019d}},	//   _जटायू_, _londyn_, _faiado_, _chamawa_, 
   {{0x7aed0087,0x8afd00e7,0x00000000,0x00000000}},	//   _ebetlehe, _akefiles, --, --, 
   {{0xb2a70200,0x02010049,0x025b006e,0x4147061c}},	//   _eduba_, _inaise_, _dawle_, _nepristo, 
   {{0xe2ca001a,0x42280012,0x37680331,0x585e00ec}},	//   _minden_, _अचकचाइल_, _privatum_, _aparatas_, 
   {{0x9278050b,0xa7cb018d,0x8d07001a,0xc98e0205}},	//   _mengirim, _ንምልእቲ_, _اِعلانات_, _лазиз_, 
   {{0x7e500262,0x109604dc,0xdf96021e,0xb5830045}},	//   _alparsla, _ئاقاری_, _militär_, _фондова_, 
   {{0x327f03f3,0x1d0a0264,0x236a0325,0x00000000}},	//   _dienst_, _starogar, _barelə_, --, 
   {{0xa365005c,0x8cd902d3,0xe34100ba,0x055700cb}},	//   _tangazo_, _заслужув, _سۆدان_, _дилдода_, 
   {{0x127b01be,0x06c700af,0x353e00d5,0x2c82055b}},	//   _komentář, _medarbei, _draharah, _espeland_, 
   {{0x130d0114,0xe76400b9,0xa33d0374,0x00000000}},	//   _מייפל_, _पौष्टिक_, _تیکان_, --, 
   {{0xdc1700ac,0xc38004b9,0x82f7006e,0x62d80541}},	//   _ukupnom_, _bourie_, _dekuwaay_, _autoput_, 
   {{0x52ca00b3,0xa86302a6,0x432b0218,0xb97502fe}},	//   _dinden_, _avanzend, _eamcray_, _elongame, 
   {{0x11d90178,0x1017007e,0x770e014a,0x727e0321}},	// [3320] _apanetuṃ_, _दर्शित_, _mesterhá, _redne_, 
   {{0xa50d039e,0x72ca025c,0x23a202be,0x29d6014a}},	//   _নিয়ম_, _finden_, _ngipin_, _oklevele, 
   {{0x329001a6,0xce710071,0x03800347,0x63e7003c}},	//   _timaru_, _مشایخی_, _fourie_, _دادسرای_, 
   {{0xced900f5,0xfe3c0031,0x638b0296,0x00000000}},	//   _сабырлыл, _आर्किटेक, _päron_, --, 
   {{0xe38600af,0x4c0e0285,0x4e370028,0xf28c0226}},	//   _eldre_, _abatigis, _adagtaha, _atakana_, 
   {{0xc859036d,0xc2ca017c,0x00000000,0x00000000}},	//   _chromaid, _kinden_, --, --, 
   {{0x957c016e,0xf2cb01b5,0x976901f3,0xc060046b}},	//   _bankası_, _gireyidi_, _etiketov, _glasbrin, 
   {{0xd26d0167,0x9ae6012e,0x8a650226,0x7b9c0126}},	//   _angori_, _nyertese, _ayambens, _компенсу, 
   {{0xdb2701c4,0xc66301ec,0x298e016d,0x66ff0385}},	//   _gespasie, _سالمندان_, _җаһил_, _potrošit, 
   {{0x5202024e,0x7d0f01f6,0x289f023c,0x3216027b}},	//   _istina_, _সুবিধাৰ_, _اجنډا_, _भूतभविष्, 
   {{0xd20d00e7,0x00000000,0x00000000,0x00000000}},	//   _ecrystal, --, --, --, 
   {{0xb2240087,0x1fa20147,0x202500cb,0x486d0573}},	//   _miako_, _جۇۇيت_, _иллохо_, _arrinsad, 
   {{0xf4db04ac,0xa95f00a2,0xf84b0061,0x228600f6}},	//   _обратить, _سوچيندو_, _전자폐기물을_, _dediniz_, 
   {{0x02d80314,0x3d9a0165,0x4950005b,0x00000000}},	//   _pakeng_, _sevusevu_, _futsaler_, --, 
   {{0x22620154,0x164201fd,0x0224021a,0x3e3b042d}},	//   _mediului_, _grabació, _hiiku_, _hiravora, 
   {{0x33730148,0x22010040,0x5d9c01dd,0x99520176}},	//   _國家食品藥品監督, _fixing_, _adafunze_, _mellemst, 
   {{0x8090014a,0x7ded0024,0x2afc029f,0xf7c70148}},	// [3330] _مشاعرہ_, _তাৰকা_, _dopravne, _perspici, 
   {{0xd7bc026c,0xffab0053,0xcc3c0185,0x720e00a4}},	//   _行政院農業委員會, _मस्तानी_, _abruyı_, _шамал_, 
   {{0xd20201ec,0x09940109,0x94600465,0xc9ff0064}},	//   _astina_, _घरदैलोमा_, _zemeljsk, _tornaria_, 
   {{0xeb1b018d,0xc7ee004a,0x04900255,0x1d9a0165}},	//   _ዕርክነት_, _образлар_, _जन्मक_, _revurevu_, 
   {{0x624a018f,0x69500119,0x430c043a,0x99ce01fb}},	//   _airmen_, _esslinge, _demanos_, _devorava_, 
   {{0x8568032d,0x1eb702d6,0x00000000,0x00000000}},	//   _найтинге, _тасанно_, --, --, 
   {{0xfdda0369,0x8de40397,0xbc5d0059,0x1c41020f}},	//   _kookoola, _abayimiq, _restano_, _دريڅې_, 
   {{0x0c4803eb,0x1ba00039,0x535701d3,0x23480014}},	//   _dikwels_, _инжон_, _tapeter_, _kolegji_, 
   {{0x129201a6,0x9a130370,0xc2fe00f2,0x730300be}},	//   _amuamu_, _baladahe, _aprites_, _كۅلدۉك_, 
   {{0x82a6033e,0x0a2a0092,0x6d8001a4,0x93eb0255}},	//   _mombe_, _セッション_, _boulleva, _ruttu_, 
   {{0x320601d9,0x62e9042a,0x92c9012b,0xbc140381}},	//   _bobinski_, _basitwa_, _obronie_, _antspay_, 
   {{0x52620066,0x327f00fe,0x4278003c,0xc60100bd}},	//   _авгай_, _apango_, _agunge_, _gallanti, 
   {{0x14ea028a,0x4c7f003f,0x1b440164,0x537f01ac}},	//   _پروجيڪٽ_, _chesvel_, _йүмин_, _pukawka_, 
   {{0x734e01f5,0x6a740226,0xf2c700ac,0xb83601cd}},	//   _sejenak_, _angoyamb, _toplije_, _идайн_, 
   {{0x47320220,0x62a6030b,0xdf5c00da,0xe3860422}},	//   _авторски_, _alebe_, _respinge_, _zbirko_, 
   {{0x427e034e,0xeb6d06fe,0x262000d1,0x00000000}},	//   _addns_, _सायना_, _পদ্ধতিটো_, --, 
   {{0x02ca0197,0x591d022b,0x9bb40178,0x52a601ca}},	// [3340] _anndan_, _vinnulív_, _avaśyaka, _jombe_, 
   {{0xefe5022e,0xd27e01e6,0xfe9a00c3,0x2e38003f}},	//   _variazio, _ledna_, _effectus_, _davangta, 
   {{0x211b0027,0x92d90360,0xc71c0080,0x00000000}},	//   _pastabön_, _skvela_, _ilimagiv, --, 
   {{0x74ed018d,0x609601d5,0xd1370635,0xf5be006c}},	//   _ንኣዝማሪኖ_, _رانجھا_, _раннім_, _азсаргир, 
   {{0x96d6017d,0xfd9401ca,0xba51033e,0xa14e03db}},	//   _に示すように_, _daleghbe_, _екологиа_, _iphendul, 
   {{0xabf501be,0xc5770352,0xf31303b4,0x5301024d}},	//   _produktů_, _ইহুদী_, _ariccia_, _okwathi_, 
   {{0x457f003a,0x042f0102,0xb07a0299,0x73f400d9}},	//   _yurtimiz, _washitak, _تۇيدۇرما, _postia_, 
   {{0xef4e0377,0x9bcd032d,0x62a6012c,0xd3940362}},	//   _persoane_, _апрелдә_, _kombe_, _klisto_, 
   {{0x362b0408,0x00000000,0x00000000,0x00000000}},	//   _famirapi, --, --, --, 
   {{0x4e800298,0x802001ef,0xa3f40360,0xe329028b}},	//   _mōteatea_, _naudingo, _mistra_, _ишәыдысн, 
   {{0x9b37029d,0xe3a202aa,0xb15b0320,0x383301d2}},	//   _пиканте_, _rampy_, _kingshel, _chimpapu, 
   {{0x1a08014d,0xf0f5037f,0xf3a2006a,0x2313036d}},	//   _verbesse, _birincil, _sampy_, _arabais_, 
   {{0x72da00ea,0x595f0037,0x93b7014e,0x862201de}},	//   _karemy_, _የኦሎምፒክ_, _rasveta_, _секторды, 
   {{0x2224036c,0x0b6d00ac,0x426d0303,0x214e03db}},	//   _tiako_, _razmiric, _bogogi_, _aphendul, 
   {{0x1ca6022f,0xfae000d1,0xcd3603db,0x339402f6}},	//   _журналіс, _নিভাঁজ_, _ilingane_, _alisto_, 
   {{0x4f64019b,0x3c630009,0x43eb005b,0xd50406a9}},	//   _panaikin, _izgubil_, _apftbs_, _voltando_, 
   {{0x6afb0258,0xd1050094,0x8e050209,0x325302ea}},	// [3350] _sutelaks, _توردوستا, _hvidegaa, _tonalità_, 
   {{0x529002c5,0xb9d0039e,0x00000000,0x00000000}},	//   _achafa_, _aldersst, --, --, 
   {{0xa3b304bb,0x63560306,0x0af5038d,0xa2c801ed}},	//   _khuvxim_, _cyperus_, _charlett, _wiwoole_, 
   {{0x5386005b,0x3045010b,0x53ed0110,0x6a0005c1}},	//   _wolrd_, _dipuisan, _kokteili_, _wataknya_, 
   {{0xc2fe03b4,0xb97d019e,0xbc010013,0x326d0393}},	//   _mushure_, _народную_, _alisher_, _dogodi_, 
   {{0x2c6f03c6,0x1c720678,0x9e50023c,0x3d890074}},	//   _waarden_, _dopredu_, _angafuma, _kalliimp, 
   {{0x468b00d1,0x424b00d1,0xe78000ec,0x32840219}},	//   _কুকুৰৰ_, _চলন্তি_, _аблічча_, _emaholo_, 
   {{0x5df20059,0xd356045b,0xa29002e7,0xc8ca0350}},	//   _туризмът_, _foretas_, _maiayo_, _ከትላንት_, 
   {{0xa24e001d,0xbf2000da,0x62780528,0x00000000}},	//   _cuidosim, _спектато, _grunnd_, --, 
   {{0x18830045,0xe2900294,0x00000000,0x00000000}},	//   _генералш, _ichaga_, --, --, 
   {{0x2eb703e7,0xe387047d,0x3eb002dc,0xcd700162}},	//   _neustadt_, _charel_, _vivendas_, _енгел_, 
   {{0xc1af012c,0x77a001cf,0xaf2f011a,0x660400dd}},	//   _المرتضيٰ_, _invertev, _אציין_, _dyslecsi, 
   {{0xf27e02f3,0x3a710164,0xc250019b,0x02e70166}},	//   _kronor_, _усулини_, _небам_, _brennen_, 
   {{0x2f78018a,0x72870291,0x00000000,0x00000000}},	//   _brechdan, _وفراق_, --, --, 
   {{0x23160141,0xd43e0039,0x2987029c,0xadb10322}},	//   _manzil_, _засна_, _chikalat, _baratowe_, 
   {{0xdce40044,0xf57c0060,0xe39d057c,0x6def0193}},	//   _לראייה_, _ايىلنىڭ_, _fremhæv_, _berdakwa, 
   {{0x57ae0169,0xba2a034a,0xd15d01d1,0xc99602f7}},	// [3360] _পাতলা_, _concelle, _publicly_, _bophephe, 
   {{0x43560274,0x52e700f1,0xfd27040e,0xab690204}},	//   _stefán_, _grennen_, _kaboodle_, _hotellin_, 
   {{0x231b0386,0x126d01f0,0x195f00bb,0xf23c018d}},	//   _menyelam, _bogodi_, _ہیںکہ_, _ብሚኒስተር_, 
   {{0x8aa50152,0x63950257,0x67aa05bd,0x257e033e}},	//   _африкада_, _fresti_, _fortelli, _ireligió, 
   {{0xa29202a2,0x5f080156,0x33dc0439,0xf212031a}},	//   _napaka_, _בראנסדאר, _kakwe_, _fadhla_, 
   {{0xbef10262,0x05b6016d,0xcf580219,0xa2b9011f}},	//   _merkezin, _мурәссә_, _bawangen, _getdork_, 
   {{0x046502ec,0x824a001e,0xaeb00421,0xcdc90152}},	//   _شامٕکہ_, _girman_, _einladun, _видеохәб, 
   {{0xf20c009a,0xa2da000e,0x6bef014e,0x00000000}},	//   _هينداره_, _detene_, _lekovito_, --, 
   {{0x72ca013f,0xc39600f5,0xc34c0061,0x46520075}},	//   _zindan_, _tutsak_, _포인트걸고_, _marknagi, 
   {{0x42240240,0x8d7e0025,0x47f502e1,0x00000000}},	//   _inaki_, _वार्तापत, _cosacaig, --, 
   {{0xb4800109,0xa26e0278,0xf9fa02e4,0x8e210445}},	//   _सेनाका_, _sekumpul, _antifona_, _inimigos_, 
   {{0x02020113,0x43010091,0x67a303f1,0x32ca01c5}},	//   _scrios_, _uataani_, _zameriav, _darwiish_, 
   {{0x02240363,0x629f00d9,0xb6cd0277,0x00000000}},	//   _snakk_, _karjala_, _lamparah, --, 
   {{0x9c490377,0x827e0151,0x32c8010d,0x8b730307}},	//   _реколта_, _atonic_, _ketombe_, _lakudala_, 
   {{0xf378027c,0xa1fe0044,0x18040157,0xf8c604df}},	//   _ميرمن_, _שוטפים_, _शब्दज्ञा, _berenind, 
   {{0xfcf80093,0x1da100de,0x32900210,0xb15c01cd}},	//   _применят, _abanenqa, _achada_, _abagibel, 
   {{0x338603f7,0x969d0360,0x6ba8009b,0x401b0227}},	// [3370] _eldri_, _लोकसंस्क, _aizkolar, _sebentuk_, 
   {{0x2905017f,0xdc190065,0x531900a6,0x607301e6}},	//   _allanngu, _vergleic, _ايلات_, _masaryko, 
   {{0x3c6700b0,0x594c0249,0x6c770193,0x26c9029b}},	//   _پرواے_, _mesopote, _शिक्का_, _jaraafam_, 
   {{0x537f0099,0x629a0374,0x1f2500e6,0x52d9054d}},	//   _achaona_, _кароматл, _日大盘有奖竞_, _dyser_, 
   {{0xf40f002c,0xeab10046,0x825b0075,0x79d40088}},	//   _sarritan_, _convidat, _fjalir_, _бурулса_, 
   {{0x1ed605da,0xd15c014f,0xf89f0013,0x92c606e2}},	//   _mientras_, _прослава_, _спортчил, _termais_, 
   {{0xb172012b,0x42f1035b,0xdc210177,0xf3fd0153}},	//   _बक्से_, _očitno_, _рҩызцәа_, _和食なす料理_, 
   {{0x5c6a00aa,0x62cb0499,0x704d003c,0xb929020a}},	//   _systray_, _ipulasi_, _ليفتينگ_, _аралында, 
   {{0xea2401ab,0x24fa0012,0xc1b60156,0x965c0013}},	//   _खुनबैत_, _चुहाडी_, _איסטאמבו, _keskinli, 
   {{0xa9f702fd,0x03dc00da,0x05490022,0x8f3102dd}},	//   _baistead, _диструсэ_, _символда, _deprezza, 
   {{0x5224012b,0x52b200cf,0xe9fb03bf,0xcc27028b}},	//   _znaki_, _baadhaa_, _disakare, _marandur, 
   {{0x0292036c,0xf28e00fe,0x8f220291,0xca170151}},	//   _tapaka_, _ivakano_, _amstarda, _anscarre, 
   {{0xb0c10167,0x37bc01b7,0x43650307,0x6488020f}},	//   _danlinel, _caturbhi, _nangazo_, _داعليحضر, 
   {{0xbb7701db,0xf85f0229,0x488100c1,0x238601da}},	//   _арманым_, _yalanlar_, _dilingku, _kodra_, 
   {{0x3395043f,0x00000000,0x00000000,0x00000000}},	//   _sresti_, --, --, --, 
   {{0x4a8700aa,0xc98e0185,0x43940074,0xc9040038}},	//   _dennison_, _рафис_, _poisto_, _автошәһә, 
   {{0x97650435,0x52fa0287,0xc30e017c,0xae16008c}},	// [3380] _духовне_, _učinit_, _betalas_, _illegala, 
   {{0x7e330253,0x7f020109,0x737f0695,0x69930061}},	//   _tunuliaq, _वेम्ब्ली_, _hamamda_, _우리나라에는_, 
   {{0x0b360012,0xc828047b,0x72a6020e,0x8da90326}},	//   _कटुबचन_, _byggibúð, _hombi_, _chinonya, 
   {{0x7c69011f,0xe30f0396,0x72c502d5,0x82da01fb}},	//   _cuartel_, _marbuta_, _millise_, _retene_, 
   {{0xa68c0262,0xb8840397,0x4821003c,0x00000000}},	//   _atajanow, _amakaled, _هفتکل_, --, 
   {{0xd2240323,0x25ce03a6,0xb8680044,0x2301008d}},	//   _miaka_, _batameny, _entitled, _vatanni_, 
   {{0x33010054,0x2a6b04ad,0xfb230132,0xaf270204}},	//   _watanni_, _bakopats, _rendelő_, _загадки_, 
   {{0x226e02d9,0xa2da018b,0xa174026f,0xf2240339}},	//   _lesona_, _fetele_, _تىرگىش_, _oiaka_, 
   {{0x9017014f,0x92ec0035,0x626c0453,0xf0480311}},	//   _народни_, _илфат_, _ishod_, _ኣጋጢሙኒ_, 
   {{0xf53400e2,0x796b027f,0x43e001d5,0x00000000}},	//   _njonkely, _mwinyege, _filmfesz, --, 
   {{0x07b301d2,0x12a60196,0x52e90166,0x9dc303ab}},	//   _persigui, _zomba_, _breiten_, _ponorné_, 
   {{0xfe410178,0x7afd00d1,0x0a830261,0x241a01da}},	//   _aprakamp, _নিয়মৰ_, _atingojn_, _ብኣሜሪካ_, 
   {{0x705a012e,0xb96b00c7,0x2e1c0268,0xde020132}},	//   _بریانی_, _акланды_, _aptercha, _médiahat, 
   {{0x06d3000a,0xb2c601fc,0xe29103ba,0x4c06015e}},	//   _procenti, _baaluke_, _equan_, _билээр_, 
   {{0x02b002d3,0xf2d80120,0x514e0008,0x5d8d042d}},	//   _hardmob_, _excet_, _кайнатып_, _andosira, 
   {{0x99ee0044,0xbdff0038,0x00000000,0x00000000}},	//   _מוצלחת_, _jaŋalif_, --, --, 
   {{0x5ae10065,0xcc3e01aa,0x960d00de,0xc14101d5}},	// [3390] _anderers, _araphras, _bopoliti, _kartondo, 
   {{0x0f3e068f,0x92a6028b,0xd683018d,0x932a0140}},	//   _clergyma, _romba_, _ተጸንቢሮም_, _ipahayag_, 
   {{0x26e701c2,0x9477025c,0x53ad023d,0x28910189}},	//   _descrici, _bestehen_, _циганите_, _niteliği_, 
   {{0xea870022,0x00000000,0x00000000,0x00000000}},	//   _felisits, --, --, --, 
   {{0xf2fe02d5,0xe2da0044,0x826e001d,0xcb71038e}},	//   _margus_, _attend_, _besona_, _सिंगापूर_, 
   {{0x795b0133,0x7fac0179,0xb0c70354,0xe03800a6}},	//   _addoolee, _herodoto, _чайнап_, _مصلحتونو_, 
   {{0x4c6f0261,0xebc30366,0x00000000,0x00000000}},	//   _henriko_, _боьжна_, --, --, 
   {{0x519500ec,0x71750352,0x57b40019,0x3a4a01fe}},	//   _планам_, _কামাখ্যা_, _بىيۇرو_, _laveliga_, 
   {{0xc7600026,0xc7b4000d,0xa5ca02af,0x0b8a00af}},	//   _크리에이티브_, _rubriigi, _barahish, _позов_, 
   {{0xb1cb00c5,0x395200af,0xcb500418,0x7c500195}},	//   _本网未注明_, _mellomst, _karadayı_, _shocruic, 
   {{0x70720082,0xc0ba0093,0x86ae00fa,0x009002e9}},	//   _sakamako, _временно, _nagustuh, _concesio, 
   {{0x0c0d00e6,0x00000000,0x00000000,0x00000000}},	//   _先进性教育_, --, --, --, 
   {{0xa38701b9,0x004d03d4,0xd952017e,0x065e0152}},	//   _letre_, _прати_, _parolant, _бирми_, 
   {{0x9f6a010d,0x9ecc01bb,0xd6a101ac,0xa0ed00e3}},	//   _प्रदुषण_, _коньякда, _contaeth, _cavincal, 
   {{0x903d017a,0x3e75021c,0x32f30032,0xb84c00a4}},	//   _хайрулло_, _pečivo_, _dawivpu_, _gestions_, 
   {{0x426c0240,0x31da00e5,0x61e70046,0x76ae00ed}},	//   _lakova_, _спермата_, _admissió_, _magustuh, 
   {{0x12a603a7,0x33950371,0xbe4c029b,0x7a1a037f}},	// [33a0] _alebo_, _questi_, _addaymaa, _fotoları_, 
   {{0xeeb40051,0xd631007f,0xa2240340,0x4df9011c}},	//   _rezerves_, _bronglai, _riaki_, _miliyoŋu_, 
   {{0x72d701a4,0xbdd901ce,0xb22403fd,0x52b303f2}},	//   _millier_, _اتمام_, _siaki_, _saadaan_, 
   {{0x1e3202ee,0x470b011a,0xe30e0332,0x00000000}},	//   _ghazliet_, _דקורטיבי, _garajes_, --, 
   {{0xca500185,0x626e0472,0xe3bb00d6,0xe54b0350}},	//   _геологик_, _pesona_, _اسنان_, _መጎብኘት_, 
   {{0x7e35042f,0x3a360177,0x14660119,0x56ae0140}},	//   _munariva, _агитациа, _miyembro_, _kagustuh, 
   {{0xc38701b7,0xd26d03db,0xa290009c,0xda1702b8}},	//   _netre_, _ingozi_, _achaka_, _baraseka_, 
   {{0x5e520018,0x59bc020a,0x12250192,0x9c720498}},	//   _tabacaka, _повестер, _bleken_, _popradu_, 
   {{0xd3dc0559,0xd2a601fc,0x894d0013,0x00ce00f7}},	//   _yakwa_, _hombo_, _aralasht, _analizil, 
   {{0x02a6011b,0x581302ac,0x9d2e037c,0x3888029d}},	//   _kombo_, _وطلعت_, _accipere_, _текстул_, 
   {{0x7224005b,0x5c5e0037,0xcb5402af,0x826e000e}},	//   _shika_, _ብሩክታዊት_, _ikamurar, _resona_, 
   {{0x92a602e8,0x2b8d02c2,0x820203b2,0xe6ca0167}},	//   _dombo_, _tronkstr, _piping_, _diffiniw, 
   {{0x12a60584,0x826e000e,0x79760156,0x046200ba}},	//   _lombo_, _sarogr_, _השׂכּלה_, _ڕێزێک_, 
   {{0x5fc20036,0xb8ad005e,0x73ff00ef,0x4d9b03c6}},	//   _قابوس_, _ﻛﯚﭘﻠﯩﮕﻪﻥ_, _akuzala_, _atmosfea, 
   {{0x63dc0410,0xe4710037,0xb224028f,0x00000000}},	//   _rakwa_, _dipendek, _whika_, --, 
   {{0x72ca0263,0xa26c04bb,0xc1b400e4,0x61ee00d2}},	//   _vinden_, _tshom_, _अभिभावको, _pangaruh_, 
   {{0x5a4601fb,0xd2a602fe,0x2e9702ac,0x00000000}},	// [33b0] _devenira_, _amajoni_, _للنفاس_, --, 
   {{0x72a6001c,0x3c69007b,0xce810139,0x29cd0087}},	//   _bombo_, _quarrel_, _प्रकाश्य, _dirowiwa_, 
   {{0x14ab038b,0x9c64004c,0xf1ae02fe,0xeaaf030d}},	//   _menandak, _akitubu_, _awamaqum, _ekshumas, 
   {{0xbe380286,0x02cd03b5,0x71680304,0x2d1b0331}},	//   _ntwamuta, _mendiami_, _didiklah_, _bumshamr, 
   {{0xea0e0440,0x630301e8,0xd2bd0652,0x7c5d0620}},	//   _baraheba_, _kahapit_, _uvodnom_, _festino_, 
   {{0x42910120,0x32fc016e,0x99cd01e9,0xe85f003a}},	//   _abaaro_, _irtibat_, _boromiwa_, _talablar_, 
   {{0xba8e035a,0x926d005a,0xeeae03de,0x5b5502a4}},	//   _kodibiob, _mupon_, _oluthile_, _inimicor, 
   {{0x46810052,0x83a202bb,0x826d0343,0x8471038b}},	//   _ज्यान_, _lampy_, _lupon_, _tentukan_, 
   {{0x93d0035b,0x4d08013f,0x00000000,0x00000000}},	//   _spominsk, _arroutet_, --, --, 
   {{0xe9330169,0xebf501ef,0x3dd300c5,0x822402ce}},	//   _আদায়_, _produktų_, _mathémat, _diaku_, 
   {{0xf36e0161,0xf9f9015e,0x61d302ef,0x6cf7060d}},	//   _пробовал_, _criature, _lamiaceæ_, _प्रकास_, 
   {{0x22fc0203,0x6be0039f,0x5ec800d1,0x00000000}},	//   _mutilat_, _citeseer, _bulystsa, --, 
   {{0xf25a0359,0x13be00bf,0xe9df00de,0x0c59046f}},	//   _kollum_, _мотостре, _ويساريون, _deitsch_, 
   {{0x931c01e0,0x173704cc,0x9bec0125,0xe90c00ec}},	//   _فیلمه_, _liglieng, _başkentd, _nemalonu, 
   {{0xbe7102c3,0x441e027f,0x12d800df,0x3053004a}},	//   _ostatné_, _barikunk, _salopes_, _darularn, 
   {{0x1cf701a7,0x00000000,0x00000000,0x00000000}},	//   _электрич, --, --, --, 
   {{0xe2cf029a,0x72ee01d2,0x06c303b8,0x701a00d1}},	// [33c0] _rikorde_, _chanimi_, _инабатты, _মূৰটোহে_, 
   {{0x4db1020d,0x5572011a,0x00000000,0x00000000}},	//   _yaragowe_, _איסטנבול_, --, --, 
   {{0x37b6008f,0x856200d6,0xd47a0399,0x00000000}},	//   _unustasi, _mballstá, _peeeeekk, --, 
   {{0x5c5501a6,0xb37a0195,0xbfc801cf,0xa2840274}},	//   _akatere_, _cholmaig_, _sigillar_, _sósíalis, 
   {{0x5b1c0192,0x629000cf,0x769400fc,0x625a03f0}},	//   _적극적으로_, _ahmaad_, _daleghni, _bollum_, 
   {{0x138600f1,0x72cb01da,0xcf120120,0x6e51009c}},	//   _fodre_, _sekonda_, _kattaata, _casadoma, 
   {{0x7d11007e,0x627e03ec,0x00000000,0x00000000}},	//   _satataṃ_, _pronar_, --, --, 
   {{0x22250263,0xad3f03a8,0xd3860371,0xe4ab002b}},	//   _boeken_, _এল্গোৰিথ, _vedrai_, _ঘোষণা_, 
   {{0x9e490048,0x42d4049a,0xbaa90061,0x034a0075}},	//   _newakuba, _obiluju_, _우선적으로_, _samtakið_, 
   {{0x80a30046,0x852d0113,0x12d7008a,0x6f490416}},	//   _بەكباي_, _coinnith, _malepeai_, _propagat_, 
   {{0x62b700d9,0xdc140392,0xb2c502aa,0x02d8046b}},	//   _pistettä_, _dripeil_, _usiluje_, _hudolus_, 
   {{0x7ae502b2,0xe848032d,0xd28b03fd,0x7e3a04bd}},	//   _bekrefte, _ғәрип_, _malaeimi_, _tiranosa, 
   {{0xbcd30026,0x5c79000d,0x3f1f03a4,0x00000000}},	//   _부담하셔야_, _muuseum_, _fosturfa, --, 
   {{0xbe9a00c3,0xd2a60333,0xb9e40569,0xfef20240}},	//   _affectus_, _rombu_, _jakovina_, _veikemun, 
   {{0x2e4e02fd,0x00000000,0x00000000,0x00000000}},	//   _afragana, --, --, --, 
   {{0x72560012,0x4d36006c,0xf8770088,0x49770088}},	//   _तितइया_, _alingane_, _obtingud, _obtingut, 
   {{0x5a1e0074,0xf4da00ff,0x02e8002b,0xf1170154}},	// [33d0] _синий_, _אכסניא_, _দেখিয়েছ, _симпле_, 
   {{0x5ecc0478,0x64b206ff,0x03a20217,0xa30c0009}},	//   _dirigits_, _reklamı_, _scopos_, _zalivanj, 
   {{0x430005d8,0xbe540193,0xe85d00b9,0xee4f013f}},	//   _albanci_, _सार्वत्र, _desainer_, _alfasila, 
   {{0x837200e9,0xa7a004e5,0x9e7e0177,0x0834034e}},	//   _cholding_, _abatandi, _здырҵаз_, _chamqapu, 
   {{0x314800aa,0x56ef0153,0x0a2a00e6,0x96de069b}},	//   _stateroo, _当店特別価格_, _国家环保总局局长, _kampusny, 
   {{0x7202002c,0xf1ed0352,0x63730343,0xb822027e}},	//   _zatian_, _tannkrem, _kasagad_, _постиже_, 
   {{0x4c6a0464,0xd9bf03dd,0x6db60141,0x829101ac}},	//   _muhungu_, _integrue, _deyishga, _ruball_, 
   {{0x54ab022f,0x44ec016d,0x52240034,0x6d2d03a8}},	//   _свайго_, _консулид, _fylkir_, _অপসাৰিত_, 
   {{0x2e0a00c5,0x66780126,0x4d2b003c,0x8182018f}},	//   _剧情介绍分集_, _системни, _تراختور_, _jilarghl, 
   {{0x981202ba,0xd8d40092,0xd1c40189,0xaffa0161}},	//   _федератс, _ペット用品_, _kaymakam, _заложник, 
   {{0x99f6009a,0xce49004c,0x1290014d,0x9a15004a}},	//   _عواید_, _aewakuba, _monats_, _bolşar_, 
   {{0x0f6701e0,0xf3a300a1,0x5f270152,0xbfaa0497}},	//   _باوجانی_, _arapia_, _канатка_, _bendiuic_, 
   {{0x3317018b,0x9f6103e5,0x1ffe0444,0x5284017d}},	//   _barbati_, _nudahogs_, _похоронн, _sachiko_, 
   {{0x6ecb023c,0x72020081,0x4290033d,0xb38f0096}},	//   _سرتیری_, _matinn_, _emdan_, _banyita_, 
   {{0x39200040,0x1301006e,0x8de0000d,0xf4e80079}},	//   _מצטרפים_, _bataani_, _elektria, _nemaksā_, 
   {{0x7b180013,0xc098012a,0x36850187,0x743601af}},	//   _далиллар, _wpływem_, _туѓите_, _dişläp_, 
   {{0xb22403da,0xeb560028,0x052b02d3,0x1d0c0314}},	// [33e0] _chike_, _khatarta_, _conselho_, _йында_, 
   {{0xdcbb01d2,0xe135032d,0x00000000,0x00000000}},	//   _akunapiq, _boithapo, --, --, 
   {{0xae4c0054,0xbc6f0026,0x36b4008c,0xc3a7008f}},	//   _finafina, _paarden_, _bergagli, _hoopiski_, 
   {{0x02ca013f,0xdc1d0462,0x2fd90199,0x66c0004d}},	//   _dindan_, _aterials, _racingbo, _台中縣身心障礙藝, 
   {{0xf6360255,0xb2b906c0,0x9d7f0025,0x06df0229}},	//   _alandami, _minutová_, _विश्वसित, _faxralı_, 
   {{0x920001e7,0x03770013,0xa84c0189,0x594c009b}},	//   _famill_, _верратти_, _laboratu, _laborate, 
   {{0xac1b02c5,0x9beb020f,0x613a021b,0xd2070137}},	//   _abhadhar, _akuvisis, _tunneisä_, _бишдээ_, 
   {{0xeea50024,0xc699018b,0x129000b8,0x3f010270}},	//   _flytande_, _деклара_, _uchana_, _wwwwwzap, 
   {{0xb9f10400,0x35af0153,0xf2d60155,0x5e170084}},	//   _granella_, _ハプニングシ_, _publikt_, _dibekela, 
   {{0x02900418,0xb1dc004d,0x698000d1,0xe2900499}},	//   _amdan_, _歐米茄名人大使楊, _দাঁতোন_, _simanu_, 
   {{0x13880087,0x39e401c8,0x80030109,0x4c800213}},	//   _chayela_, _rakovina_, _klempířs, _телей_, 
   {{0xbe500362,0x32e902a2,0x91eb023e,0x253600af}},	//   _basakola, _huminto_, _سنتوری_, _ремонтні_, 
   {{0xa3dc02af,0xbb570405,0x969b0376,0x00000000}},	//   _bakwe_, _нараду_, _byggisti, --, 
   {{0xc59d034e,0x4436004d,0xb60801f4,0xb2ca04b9}},	//   _antuchik, _中國歷史人物探究_, _bermasli, _findin_, 
   {{0x1d280213,0xef4a0019,0xb9fd02b6,0x5eb100d7}},	//   _начинают, _жийиркен, _байыппен_, _karoloan, 
   {{0xf3dc01a0,0x167b02fe,0xa2ca029b,0xd2fc0204}},	//   _wakwe_, _afekselw, _dellusi_, _ostivat_, 
   {{0xc30e02f3,0xcc680033,0x00000000,0x00000000}},	// [33f0] _betalar_, _strusch_, --, --, 
   {{0x5db701aa,0x8ccd0156,0x7e9300ec,0x50240359}},	//   _eitherwa, _לבוים_, _primenan, _romeinsk_, 
   {{0x5a9d005e,0x32cb023a,0x534f022c,0xb9a000e2}},	//   _учмақчи_, _birdz_, _beberah_, _tinkstie, 
   {{0x637902c1,0x64960156,0xdc03061f,0xc3a90244}},	//   _batanga_, _סיידבאר_, _pretvorb, _provate_, 
   {{0x13dc0320,0x062a0066,0x8ae00060,0xe8fa0153}},	//   _yakwe_, _zerikusi, _بولساڭدا_, _スソフトウェア活, 
   {{0xf10e0256,0xc3ff022a,0x1bd300f5,0xec04004d}},	//   _parvieto, _overtoni_, _чөзҗек_, _請關閉瀏覽器_, 
   {{0xee400399,0x99cf02ee,0xe2c600b9,0x5ae20151}},	//   _angafefe_, _benefatt, _eksekusi_, _allthebe, 
   {{0x03a901cf,0xb29005f4,0x3fdd00bf,0x1c550272}},	//   _trovate_, _achala_, _трудовые_, _akatare_, 
   {{0x115f027d,0x1b70000c,0x00000000,0x00000000}},	//   _односи_, _clasista_, --, --, 
   {{0x80b700fe,0xf30c0090,0x7e750008,0x00000000}},	//   _houmapol, _calatas_, _жылаан_, --, 
   {{0x5a150285,0x6271004b,0x7ff10144,0x00000000}},	//   _gitarama_, _dipurutl, _منابر_, --, 
   {{0x73870230,0x5e4c0151,0xfea40134,0xfaa8005e}},	//   _iltra_, _annalist_, _olatunde_, _تاشالماي, 
   {{0x9bd10024,0xd2260004,0x52d806dc,0x00000000}},	//   _কণ্ঠৰ_, _jiskas_, _calotes_, --, 
   {{0xa37902e8,0x3c2f0037,0x1eb2029a,0x5b1c00e6}},	//   _vatanga_, _ፐርማሊንክ_, _larepons_, _imbattab, 
   {{0xa7a902ac,0xb9f7016f,0xada40039,0xda8d04df}},	//   _يقترب_, _ведеться_, _жендерий, _bitirips, 
   {{0x20190089,0xe50405d7,0xe71f0411,0x1bb903a2}},	//   _попса_, _tottongo_, _збори_, _लचीलापन_, 
  
   {{0x64d6010d,0x437a0405,0x00000000,0x00000000}},	// [3400] _मंजिरी_, _snartmam, --, --, 
   {{0x0d7b03b8,0x410301ef,0xb854004d,0x448c0061}},	//   _комитеті, _аўторак_, _又總以為自己絕對, _회사입니다_, 
   {{0x03eb02bb,0x879602b6,0xa32202e7,0x363d0464}},	//   _listy_, _авиациял, _kauyon_, _mubigani, 
   {{0x8e4206f9,0x33fa032d,0xdc600204,0xaea600a4}},	//   _शुक्रवार, _ditulo_, _kadulla_, _генийлер_, 
   {{0xe387015e,0x56d10418,0xa2240037,0x9afa01cd}},	//   _altra_, _hissediy, _baiki_, _antshont, 
   {{0xa2cb0497,0xe184018b,0x4bb5016d,0x427a00d7}},	//   _aaronic_, _salariil, _җуңгоға_, _hlasimol, 
   {{0x22da042e,0x3a0c001e,0x437f01c0,0x52120062}},	//   _oftest_, _balaraba_, _alkarya_, _lenhom_, 
   {{0x7f5400ff,0xc386009f,0xafac023e,0x9365013f}},	//   _קאבינעט_, _modri_, _aeronoto, _bosmaneg_, 
   {{0xece800e4,0xf2830051,0x68c100c8,0x0f33013f}},	//   _सर्विसेज_, _veikala_, _студияһы_, _ambrouga, 
   {{0x9b2101f7,0x50e80151,0x3d33036d,0xa2740060}},	//   _bizantin_, _avoidabl, _chainiut_, _تورلاردى_, 
   {{0xb968018d,0x4c6a01c8,0x72a60272,0xd3430109}},	//   _ክንከዉን_, _listiny_, _amajini_, _naprosté_, 
   {{0x137f0025,0x439502ff,0x39750026,0x126d048c}},	//   _lokasya_, _alasyo_, _woonkame, _buxom_, 
   {{0x13860003,0x5a870289,0xcfb90075,0xe2250297}},	//   _zodra_, _akunyumb, _prísur_, _elekon_, 
   {{0xd346016d,0x7b18055d,0xfb570193,0x026e00d7}},	//   _барсаң_, _ingatkan_, _मृत्युमु, _letoto_, 
   {{0x33cf0269,0xc3f90256,0x4a460099,0xf3950220}},	//   _jueves_, _graudu_, _akwegura_, _pressi_, 
   {{0x8c220244,0x327f035b,0xc3140180,0xb4610373}},	//   _дограма_, _letno_, _priblik_, _alidirek, 
   {{0xeb6c01ad,0xf2020212,0xc944047d,0x7ae400d1}},	// [3410] _pastrana_, _tation_, _dorunner_, _austkyst, 
   {{0xc9df0169,0xb29002bd,0x715c00f5,0x58c40194}},	//   _ঠাকুরের_, _allaf_, _дурар_, _gazetiad, 
   {{0xd20201cf,0x927c009a,0xa2a70348,0x3e0100f2}},	//   _ration_, _احتکار_, _aluba_, _robežsar, 
   {{0xb224023e,0x82a605f1,0x52e101ca,0x725a01ea}},	//   _saiki_, _yombi_, _bitultah_, _ldilar_, 
   {{0xa38602c2,0xf386025b,0x9cf2015e,0xf9cf00f4}},	//   _sodra_, _eldru_, _سايما_, _deverade, 
   {{0x416301cd,0x23dc0200,0x547801c7,0x827800e1}},	//   _хотима_, _nakwa_, _başpena_, _geuné_, 
   {{0x077101ef,0x6ac60137,0x00000000,0x00000000}},	//   _абакраў_, _христэд_, --, --, 
   {{0x82da000b,0x15ce014a,0xe2a00457,0x1bbb0285}},	//   _tetele_, _valamely, _garbol_, _akekwaho_, 
   {{0xda8e0124,0x73fe00c5,0xff5b02dd,0xf95d0204}},	//   _kodidiob, _日一周时政要闻_, _allarman, _mainoste, 
   {{0x7eba0176,0x92ea04e8,0x517e0035,0x00000000}},	//   _iført_, _atentes_, _гаебе_, --, 
   {{0x585c0211,0x4cd3014a,0x13dc02ab,0x88560204}},	//   _maalisku, _انشااللہ_, _makwa_, _сковород, 
   {{0x8eae033c,0x025a0013,0x03dc00f3,0x00000000}},	//   _peiriant_, _edilar_, _lakwa_, --, 
   {{0x6747014e,0xf26d002e,0x525701cd,0xfc6104b4}},	//   _милиона_, _otpor_, _ашковар_, _klarere_, 
   {{0xbcab0452,0x64000109,0x443902cf,0x69ce03a8}},	//   _menyadar, _पाइदैन_, _копирање_, _brufeste, 
   {{0xb200019c,0xc2f1001d,0xcec9013b,0x1f0b0311}},	//   _lehin_, _antiqui_, _gionales_, _ዝሓለፉን_, 
   {{0x4ecf0052,0xc74f0401,0xd2ea0231,0x00000000}},	//   _शास्त्रह, _चारित्रि, _utentes_, --, 
   {{0x63dc02ba,0x7dbc0037,0xf723031c,0xf8fd00b0}},	// [3420] _bakwa_, _ባለጉዳዮች_, _nutrició, _daraasad, 
   {{0x92240700,0x103e0177,0xd3f70041,0x5be80037}},	//   _ihaka_, _aratirin, _уаанӡа_, _የወያኔው_, 
   {{0xf32f0348,0x69c202f9,0x00000000,0x00000000}},	//   _amaviivi_, _pandanst, --, --, 
   {{0x022405a7,0x430302f6,0xdb180255,0x2ea50405}},	//   _laiku_, _sumagot_, _hingamis, _flytende_, 
   {{0x625b050a,0xccf90244,0x7371001c,0x62bd01ff}},	//   _odalar_, _задоволя, _palanog_, _kondóm_, 
   {{0xd2240596,0x3b430010,0xf26e0028,0x00000000}},	//   _mhaka_, _akubuyis, _baroor_, --, 
   {{0x1e0b02af,0x83030170,0xcf4d005b,0x1b7f00a3}},	//   _bahebiya, _amanjenj, _asiposte_, _augebryn_, 
   {{0x5a14021a,0xf36502f6,0x43a30369,0xd7ce012c}},	//   _abdatama_, _pangako_, _haupu_, _inatakiw, 
   {{0x59410073,0xb0f30092,0x1e530701,0x12f402db}},	//   _violette, _サインインが必要, _maranaka, _pisical_, 
   {{0x0d0300aa,0xdc470217,0xd7b403b5,0xf4ed00ee}},	//   _stereogr, _malcompr, _dimenang, _моргейжи, 
   {{0xa9800051,0xdfd403db,0x1740030f,0x6d48020a}},	//   _konkursa_, _alondolo, _amiorang, _بالنيساع, 
   {{0x120000d0,0xd3aa0565,0x624c017d,0x96b20318}},	//   _behin_, _dozvole_, _ということで_, _faigmali, 
   {{0x70bf00bb,0xaaf50092,0x9146032b,0x657501ab}},	//   _نصاری_, _disreput, _پالاكەت_, _सोचऽता_, 
   {{0x1ca600f5,0x9ae5004d,0xf80c02d6,0x9386030a}},	//   _чалышяр_, _前項平均價係採每, _аликс_, _dodro_, 
   {{0x72a6019c,0xa1b3053f,0xa590019f,0x2af4019b}},	//   _alebu_, _timasiña, _televish, _mikroaut, 
   {{0x4d8d0037,0x84c2008d,0x9d9d0462,0x127c0311}},	//   _አውቀዋለሁ_, _умумтаъл, _andleyha, _ኣፓርታይድ_, 
   {{0x6e4a0462,0xc98400d1,0x57ce012c,0xce520562}},	// [3430] _ahrainba, _আয়তনৰ_, _anatakiw, _ingaruka, 
   {{0x03100260,0x59c30061,0x99f40211,0xe947048c}},	//   _forzas_, _창조한국당_, _kylän_, _ballymot, 
   {{0x3b8f0259,0x178100cb,0x73f4015e,0x00000000}},	//   _visitkor, _муртабит_, _destí_, --, 
   {{0x12e903b0,0xad2d0197,0xa8360029,0xf8f1027b}},	//   _steinen_, _planifye_, _ئۆلۆمپی_, _विगर्हित, 
   {{0x32240196,0xac7d0058,0xd2d50285,0x85830135}},	//   _chaka_, _florüp_, _sesonga_, _terrorçı, 
   {{0xcc680034,0x62da012e,0xb9fd0028,0x113a014b}},	//   _trausti_, _teteje_, _istaraat, _sandugih_, 
   {{0x1ad00479,0xa303014e,0x07bf0052,0xe03c02d3}},	//   _درویش_, _smanjenj, _kalousek_, _pergunto, 
   {{0x8dc70076,0xd0d4034c,0x00000000,0x00000000}},	//   _решенија_, _avtoyull, --, --, 
   {{0x91b30425,0x844a0013,0x5c0e02ba,0x5c010288}},	//   _ئاگری_, _اتنیک_, _баландии_, _siastes_, 
   {{0xd2bc02e2,0x243e01b3,0x6312043f,0x0c0001d3}},	//   _sundial_, _типового_, _izazovim, _samuelss, 
   {{0x5290055f,0xdc5501a6,0x04bb0311,0x74740397}},	//   _emlak_, _ikatere_, _መዘራረቢ_, _angenabo_, 
   {{0xf6b40089,0xb0280223,0xcce5005e,0x0c66034c}},	//   _актерлар, _букингем, _رابىئە_, _табыны_, 
   {{0x82240468,0x3e460264,0x08c1024a,0xe60202a6}},	//   _xhaka_, _penalida, _aisedeed, _dialetti, 
   {{0xad9d02f8,0x42df0318,0x226601e1,0xa4ab042d}},	//   _etangata, _matoluu_, _ikarabel, _hamaliak, 
   {{0xe156028a,0x998e02ba,0xc3520297,0x82250265}},	//   _خانواهڻ_, _равия_, _daruxanä_, _hoeken_, 
   {{0x02a0053a,0xbf0b03fc,0x22b301b2,0x5d060312}},	//   _ljubav_, _framover_, _cheddin_, _diblaset_, 
   {{0x086e005b,0x1df903e6,0x6a13003c,0xf9c70076}},	// [3440] _carparts_, _bildkomp, _batalake, _наназад_, 
   {{0x6ab9002e,0x64dd008d,0x7c6a00d3,0x039801db}},	//   _menadžer, _натонинг_, _startem_, _сарайлар, 
   {{0xe2fc00e9,0x7a04024a,0x03020544,0xc06f00cf}},	//   _emigre_, _aṣatunyẹ, _kalaunu_, _baqattoo, 
   {{0xf0c8019d,0xbf6f0133,0x20d5020f,0xe0b40040}},	//   _smallhol, _baaqeela, _شپږتنه_, _האכיפה_, 
   {{0x45ee0121,0xb3540026,0x62f500e2,0x1a250325}},	//   _rendició, _beweegt_, _mislearj, _companyd, 
   {{0xef5b020e,0x311200ac,0x237b00e4,0x85d80041}},	//   _bananyan, _prekinul, _tematem_, _ишыжәдыр, 
   {{0x13470270,0xd9e900c5,0xeab00166,0xc8e300bb}},	//   _venetia_, _第四十七条_, _einkaufs, _انڈکس_, 
   {{0x30f601db,0xc7330210,0xd357045b,0x00000000}},	//   _таптық_, _akazvivi, _foretar_, --, 
   {{0xa202034d,0xc290018f,0x00000000,0x00000000}},	//   _matian_, _omlah_, --, --, 
   {{0xe543005e,0x551a0148,0x813e00be,0x57a60515}},	//   _جەنائىز_, _沒收到禮物_, _саммитте_, _ingrassi, 
   {{0x1a1701d7,0x416003fc,0x00000000,0x00000000}},	//   _discurre, _turforsl, --, --, 
   {{0xa2900313,0x3f5901c7,0xf20300d1,0x1cdf0275}},	//   _bedawi_, _гаймалаш, _স্বাধীনো, _esekielu_, 
   {{0x48e9034c,0x9d090333,0x35a20251,0x00000000}},	//   _камераны, _anumalie_, _baafinay, --, 
   {{0x26380037,0x322300bc,0xf3dc033c,0xcc1a00e6}},	//   _በቁርአን_, _مديره_, _bacwn_, _直辖市人民政府环, 
   {{0xc60300c7,0x258803ea,0x825e0062,0x6cb9045e}},	//   _koalitsi, _activité, _binoghdi_, _заблужда, 
   {{0x32d402c4,0xd2c1004c,0x10e60418,0x68cf0311}},	//   _ajudar_, _agolola_, _başladık, _ሰለሙንን_, 
   {{0x33870388,0x83810002,0x9327015e,0x43790020}},	// [3450] _altre_, _verziju_, _بالبانى_, _mataaga_, 
   {{0x1c7c0184,0x6dc803b8,0xd5cf00d7,0xeaa201d5}},	//   _amasema_, _асель_, _асанбаев_, _termelői_, 
   {{0x826c01a4,0x32a70320,0xe6c3024c,0x530803bf}},	//   _bakota_, _elube_, _alkareem_, _chebelo_, 
   {{0x226c019f,0x648e015d,0xe37902d9,0x62d800a5}},	//   _makosa_, _प्रमुखों_, _gataaga_, _talepe_, 
   {{0x460e0268,0x050c0025,0xf26e0403,0x182c002b}},	//   _amplifyi, _सामान्यग, _lesoka_, _এএসপি_, 
   {{0x6d4a012e,0x37540434,0x03410516,0xd35e0092}},	//   _اسانج_, _polémica_, _caresna_, _マイコミジャ_, 
   {{0xa25a02b0,0x419500bb,0x720200c0,0x95da00c1}},	//   _vollem_, _پگھلنے_, _batiin_, _memberny, 
   {{0x0b1303ba,0x18de0152,0xc2ee02ff,0xc07703b7}},	//   _ermahnen_, _balkışı_, _kannari_, _eincorpo, 
   {{0x12a70675,0xfcb3020f,0xbeb1012c,0xadb30394}},	//   _clube_, _abanganq, _kinondon, _abangana, 
   {{0x428c0109,0x763503b5,0x32a801a3,0xdaf30187}},	//   _प्रश्नको_, _meninggi, _روڪٿام_, _abordage, 
   {{0x8998020a,0x821c005a,0x3f0f0162,0x62ed036d}},	//   _жануарла, _daphey_, _тирәп_, _lannach_, 
   {{0x637900ac,0xf2eb011d,0x92ba0026,0xdfd800db}},	//   _boravka_, _medicul_, _geleerd_, _elanikko, 
   {{0xbb19019e,0xb2d90296,0x00000000,0x00000000}},	//   _заблякав, _ordnade_, --, --, 
   {{0x0641018b,0xab13028a,0xbe4e0205,0x453d0113}},	//   _етерн_, _kumpinga_, _зарда_, _ايمانية_, 
   {{0xa66701b7,0xdcdb0023,0xb2e301fc,0xd8f80035}},	//   _रूपस्य_, _избежать_, _ellitte_, _углеводл, 
   {{0x351c0020,0x2af70303,0xc26c0082,0x00000000}},	//   _aitumalo_, _ithutile, _hakora_, --, 
   {{0xaea301cd,0x42d9007b,0xe27f009b,0x8a8603ea}},	// [3460] _usathane_, _steers_, _abendu_, _rediffus, 
   {{0x926c0294,0x5a950486,0x08b600bf,0x527f035b}},	//   _chorrill, _उन्मुख_, _украшенн, _letna_, 
   {{0x92db0064,0x0255013c,0x8740006d,0x12d8004d}},	//   _assolir_, _dəlil_, _абрыўкі_, _valeat_, 
   {{0xae4c04bd,0xa7f403ac,0x646e015e,0x92780257}},	//   _ninanina, _disalahg, _абшырата_, _brunnu_, 
   {{0x12ca0331,0x62a70126,0x77320022,0x2f9b00d0}},	//   _lindin_, _klubb_, _кластеры_, _шарилжгү, 
   {{0x28c200b4,0xdbcd0092,0x8ecb033e,0x9f1102fe}},	//   _етник_, _で共有しよう_, _estádogu, _فرمانونه_, 
   {{0x93430078,0xfa1b01be,0x6c9c020f,0x075800e4}},	//   _положај_, _चक्रवातप, _عزتمندو_, _मिस्त्र_, 
   {{0x0dbc0146,0x661a0037,0xc2d800dd,0x6d62004d}},	//   _kecintaa, _ማኅበሩን_, _dalent_, _打造一個偉大的城, 
   {{0x1c7602b2,0xa37200aa,0xb1b3002b,0x02d10203}},	//   _kjersti_, _katarog_, _ফয়েজ_, _vagonoj_, 
   {{0x467901bd,0x5b83019b,0x3f4a02bf,0xe1370156}},	//   _графикал, _komiteto_, _bangafun, _אינטעגרי, 
   {{0x64850139,0xbee800a6,0x43950672,0xc88700be}},	//   _द्वादश_, _abakuman, _amasho_, _заманды_, 
   {{0x926c01f9,0x52780289,0x585905ca,0xe27b02cf}},	//   _betimoti_, _azungu_, _entramos_, _изнасмее_, 
   {{0xcf090488,0xf658006d,0x4e2601d7,0x29f8005b}},	//   _kapacitā, _анічога_, _ciclists_, _gaiarese, 
   {{0x3d0f0175,0x52b10702,0xaaea0217,0x649d03a2}},	//   _relocate_, _टेबुल_, _guerreat, _डीएमआरसी_, 
   {{0x92e901d9,0xb2d80046,0xe09101af,0x818c0156}},	//   _freiden_, _calent_, _berilmän_, _פּיזשאַמ, 
   {{0x52c5048b,0xb2d4031c,0xa2e90258,0xb3cf0465}},	//   _ionline_, _ayudas_, _greiden_, _dreves_, 
   {{0x72240703,0x626c0604,0x9713003a,0x304902c5}},	// [3470] _chake_, _bakora_, _معلوماتل, _awiriran, 
   {{0x96a505a3,0xe5e1006f,0x2ad9002f,0x6313008d}},	//   _हृदयाघात_, _خلاصين_, _castigot, _qalblar_, 
   {{0x9f9b05f6,0x6952022a,0x1ae10217,0x4a8f0304}},	//   _tenester_, _acrocant, _stillman_, _fikirkan_, 
   {{0x938703b1,0xf2290153,0xa6980313,0x00000000}},	//   _votre_, _række_, _santatlh, --, 
   {{0xc2d9001a,0xe26d02c0,0xb3a3025e,0x7036000a}},	//   _emberi_, _cupom_, _kaupi_, _anittann, 
   {{0x43790289,0x6a0b033c,0xaf3c0052,0x23cf0271}},	//   _malango_, _wahaniae, _पाण्डेले_, _kreves_, 
   {{0x00000000,0x00000000,0x00000000,0x00000000}},	//   --, --, --, --, 
   {{0x9fb20185,0x106f021a,0x235b0243,0x44b500c7}},	//   _африкаан, _arrabsoo, _sangaya_, _алмадык_, 
   {{0x60360610,0x690b0167,0xdb8a0045,0xf03b01e8}},	//   _guverino, _ailbenod, _водом_, _gireroko, 
   {{0xea8303ae,0x616d0183,0x59dc0192,0x1da203c4}},	//   _komiteen_, _angilisy_, _selectie, _ئاننا_, 
   {{0x69420203,0x42a60289,0x422602df,0xe59e02c3}},	//   _parlante, _limbe_, _alukan_, _manipulá, 
   {{0x12a60284,0x13870212,0x02240182,0x3fa90222}},	//   _bomby_, _myfree_, _haiki_, _profiter_, 
   {{0x42900417,0x13cf05e2,0x52d803e2,0xa7550061}},	//   _omdat_, _nuevos_, _cadete_, _한편으로는_, 
   {{0xa26c030f,0x345203d4,0xc2fd0478,0x6607019f}},	//   _hakopa_, _актом_, _amagat_, _shambuli, 
   {{0x058e01e5,0x7b710334,0x93ec0103,0xf290001d}},	//   _dunnìbák, _amalisec, _anomanik, _telavi_, 
   {{0xb0170066,0x550d005d,0x1998039e,0x00000000}},	//   _насосны_, _karréro_, _banktene, --, 
   {{0xe95d02e1,0x139500b4,0xabe40258,0xd99b00de}},	// [3480] _bainiste, _presei_, _alderear, _خرابیدو_, 
   {{0xf2cb00d5,0xc2d80487,0x9fd80107,0xc99301ef}},	//   _pinoana_, _talent_, _نقليه_, _prijungt, 
   {{0xd2900321,0x035700b3,0x00000000,0x00000000}},	//   _delati_, _doreyar_, --, --, 
   {{0x6ae300d6,0x9d2c014d,0x7ac801e0,0x62ee0428}},	//   _cultúrth, _gebildet_, _نوامبری_, _oceniti_, 
   {{0x72c1037f,0x957f025b,0x854e038d,0x15d8007e}},	//   _dollara_, _kunngerð, _konklizy, _anekamaṇ, 
   {{0x35a9049e,0x7b190418,0x01690032,0x00000000}},	//   _formulár_, _taraftan_, _jitivlah_, --, 
   {{0x7417008d,0x971b005d,0x752f01df,0xa30c02f6}},	//   _باریشگه_, _aporomoñ, _blandish, _matapat_, 
   {{0x12890533,0x228303da,0x326d01f0,0xec2400bb}},	//   _اقلام_, _elekota_, _digogi_, _دراڑیں_, 
   {{0x9f6f0033,0x16a90212,0xa3870611,0x5c600108}},	//   _finanzas_, _neofashi, _labrim_, _bubuara_, 
   {{0xab0c0425,0x00470225,0xe2000039,0x02240092}},	//   _ئاخیر_, _tengeiyo, _lehia_, _abiko_, 
   {{0xffc901f6,0xb2d403f3,0x3b18000a,0xe26d0045}},	//   _artistar_, _geloven_, _allapass, _supom_, 
   {{0xd1f4020f,0x92f50187,0xea1f03db,0xc6700331}},	//   _اېټمی_, _visitam_, _kwebhaje, _einaráða, 
   {{0x7387000e,0x6d0401bd,0x6b910272,0x78fd0028}},	//   _altri_, _станцияс, _abanyolo_, _riwaayad, 
   {{0x23420453,0x3f10003f,0x822501e5,0x1c78020f}},	//   _spreman_, _bortasva, _ilekun_, _اودحمزه_, 
   {{0x42000172,0x63cf0131,0x8f37048a,0x29c30291}},	//   _behia_, _suevos_, _аружан_, _هايبر_, 
   {{0x0e2a0037,0x2a740362,0x90970045,0x29f70307}},	//   _የማይሰጥ_, _bakoyamb, _примени_, _kokubalu, 
   {{0x90dc0156,0x00000000,0x00000000,0x00000000}},	// [3490] _קלײדער_, --, --, --, 
   {{0x2395031e,0x8dd00704,0xb3180704,0x00000000}},	//   _glasao_, _ambisiøs_, _meditasj, --, 
   {{0x82000318,0x7e42008b,0x2d1501eb,0xed1c0244}},	//   _fehia_, _karaange_, _milsearc, _хлебарки_, 
   {{0x9fb500ba,0x975e012a,0x2e470359,0x66cb01c5}},	//   _خوتبه_, _काम्यवन_, _akwadukt_, _barakici, 
   {{0x43fa0410,0x394101b9,0xb4e20061,0x00000000}},	//   _ditumo_, _migrater_, _부동산뉴스_, --, 
   {{0x24dc00e4,0xc18b04dc,0xdded0094,0x162b0220}},	//   _उत्पादों_, _تاریکستا, _баршаның_, _agrituri, 
   {{0x432004cc,0x022503b6,0x2a9000c0,0x57a10192}},	//   _veiyi_, _alekun_, _adhikain_, _annuleri, 
   {{0x841300bc,0x73810161,0x37730361,0x1c890019}},	//   _گاندی_, _странами_, _бовлура_, _карлодог, 
   {{0x3290019c,0x8d5a00af,0xd3030334,0xc2d80039}},	//   _abiamo_, _помер_, _akwathu_, _halere_, 
   {{0xcc5b0287,0x3365008e,0xd9c00244,0x9635008b}},	//   _योजनाको_, _dangako_, _intercet, _jiangali, 
   {{0x37a30024,0x4342035b,0x430f01b9,0xacc105e0}},	//   _পাবলো_, _nedeljo_, _laraker_, _insistiu_, 
   {{0xcee4008d,0xbb700144,0x0c5a0109,0xac190013}},	//   _politexn, _dubossar, _editaci_, _haqqiga_, 
   {{0xf8c500d9,0x1ae100fd,0xfc7d03b6,0xb20503fb}},	//   _студенче, _cilltean_, _kansoso_, _godisnji_, 
   {{0x7d6a04c7,0x1b470039,0x8daf0428,0xd808015e}},	//   _доказали_, _бардам_, _pločevin, _килемдер, 
   {{0xede90255,0x2ab200e7,0xee3d00d1,0x00000000}},	//   _seevastu_, _arshells, _শ্ৰাদ্ধ_, --, 
   {{0x1b6b0343,0x815a0312,0xc38701da,0xad580088}},	//   _dystopia_, _amerikao, _motra_, _جامعىرلۇ, 
   {{0xf8e00381,0x7b6c0139,0x4c7d009b,0xf3eb023a}},	// [34a0] _ahlgrend, _राजनि_, _amesten_, _šatka_, 
   {{0x446001cd,0xc6dd010d,0x0a1a015e,0xab1a03eb}},	//   _okwengez, _उद्देशान, _سارقىلما, _verplett, 
   {{0xbefc02d6,0x724901e5,0xb2b4005b,0x03940166}},	//   _чунки_, _abamì_, _kimchi_, _falsch_, 
   {{0x22d8023b,0x7e2b005e,0x0dfb018d,0xe4a102e4}},	//   _keneta_, _بۇدۇنياد, _ነፍስሄር_, _attrazzj, 
   {{0x42240049,0xc63e0513,0xdc730528,0x2380042c}},	//   _paaki_, _burisani, _bhosnia_, _prozoru_, 
   {{0x329006f8,0x697e014f,0x938100a4,0x64e2002b}},	//   _annars_, _бомбардо, _consorci_, _হতবাক_, 
   {{0xa2240596,0x094c0022,0xf4fb0255,0x134f00ad}},	//   _vaaki_, _сытин_, _जातानी_, _bebenah_, 
   {{0x71c801a3,0xa0a80205,0xe35605ab,0xa02c023a}},	//   _جوڊيشل_, _тангалар, _morenas_, _pondelko, 
   {{0x7beb01d2,0xa283033e,0x822400fe,0x00000000}},	//   _cholango_, _momaitei_, _taaki_, --, 
   {{0xdc1c03f1,0xc387018f,0x9c1c0026,0x4a8d0219}},	//   _nitrians, _cherlu_, _verstelb, _icongres, 
   {{0xb3080003,0x723e019a,0x27090205,0xd3790151}},	//   _symbool_, _ferventl, _терими_, _accanyn_, 
   {{0xaeb70222,0xd01d0079,0xba0900d9,0xc2d800dd}},	//   _pourrait_, _marihuān, _положить_, _bwced_, 
   {{0xe74e0246,0x43eb01e9,0x11ad004d,0x8a0101ff}},	//   _прави_, _etetse_, _標準作業程序_, _dobruchu, 
   {{0xa0470013,0xeb250403,0x4eb702e5,0x2e95014e}},	//   _берса_, _tombonts, _erasykue_, _чувари_, 
   {{0x9a100117,0xca17055a,0xbc66051a,0x3cff0350}},	//   _nabautia_, _disparid, _syarief_, _ኔዘርላንድ_, 
   {{0x06ba05c1,0x0c7501eb,0x80160125,0x131604f2}},	//   _barangsi, _aheréi_, _бабылда_, _zuizui_, 
   {{0x12d502d8,0x72d800f1,0x19f5011c,0xca1004b9}},	// [34b0] _infokan_, _salere_, _daañu_, _horseshu, 
   {{0x6a750705,0x5938004d,0x00000000,0x00000000}},	//   _lágrimas_, _一聲佛號一聲心_, --, --, 
   {{0xd3870388,0xb2f90208,0x2bee014f,0x299a0040}},	//   _altro_, _ستیره_, _малом_, _טורנירים_, 
   {{0xa2d80231,0xb340023e,0x5cc801a3,0xc21e00c1}},	//   _valere_, _ameesha_, _متڪلم_, _अंकनीकरण, 
   {{0x9a4800d5,0x08620155,0x9aa702da,0x84d901db}},	//   _mendrika_, _planerad, _какаото_, _سالماڭدا, 
   {{0x5c1c012b,0xc0ab021c,0x6159032d,0xd97c03e0}},	//   _energoos, _diamanty_, _волосына_, _erliefne, 
   {{0x43e6006c,0x49340090,0x9fac03c2,0xdeae003d}},	//   _abalimaz, _akamuita_, _aeromoto, _afirmant_, 
   {{0xe627017f,0x2ccc0593,0x222405db,0x68a9027e}},	//   _misissui, _innvandr, _abake_, _мартовск, 
   {{0x81ed06f2,0x935601ae,0xa284005b,0x03eb02c1}},	//   _बाजरा_, _sugerir_, _michiyo_, _atetse_, 
   {{0x32a70261,0x917b01fa,0x97c501a6,0xf2d80275}},	//   _klubo_, _halaeval, _kaitakaw, _malepe_, 
   {{0x4d0d00f5,0xf5890274,0xb040053f,0x8c0002f4}},	//   _базарыны_, _steingrí, _tuiterun, _chistes_, 
   {{0x5a6d03ec,0xbfc500af,0xd84506d9,0x627c0311}},	//   _farmacis, _дванадця, _vantaxes_, _ኣንስታይን_, 
   {{0x535f02c1,0x0c7d0230,0xf9d801e9,0xfc840153}},	//   _yongeye_, _rtasyon_, _ditekele, _トラックバック先, 
   {{0xd3250403,0xd71700be,0xe2240295,0xb9e30045}},	//   _tombony_, _берээрин_, _naaku_, _dototeka_, 
   {{0xfe93006e,0x1a5000f3,0x4dee0210,0x00000000}},	//   _gestukat_, _ngamaceb, _handirwa, --, 
   {{0xf4d702eb,0x82240295,0xa85f0073,0xddac02ec}},	//   _банкинд_, _haaku_, _spiritos_, _maansada, 
   {{0x8c5103b4,0x00000000,0x00000000,0x00000000}},	// [34c0] _anotida_, --, --, --, 
   {{0xc2240003,0xe3ef021c,0xbd53015f,0xf1470209}},	//   _maakt_, _samolepk, _carcharu_, _baltimoo, 
   {{0x860d05e8,0xf28d009b,0x84860193,0x1e5403d9}},	//   _dipoliti, _царайлаг_, _दिलासा_, _farafaha, 
   {{0x3b39018d,0xe90901f9,0x63c002e1,0x6ee90311}},	//   _ዕብዳንን_, _bayawubu, _تضامن_, _ብምልዋጥ_, 
   {{0xeea1031a,0xab220191,0xffe4031d,0xd2a701e5}},	//   _aindreas_, _kampanje, _foliatio, _elubo_, 
   {{0xbad50425,0xe2dc0399,0x8ba703dd,0x36cb02e1}},	//   _بێوران_, _hoooooi_, _dashamir, _atlantai, 
   {{0xa2d50132,0x33cf02e9,0x663d04b5,0xcc2600f5}},	//   _mellett_, _nuevas_, _persunal_, _ялңышмая, 
   {{0xea2a018d,0x29390157,0xf1e20012,0xdc52046f}},	//   _ዝዓናቕፍ_, _gromadze, _चंऊरा_, _blotoun_, 
   {{0x138702a4,0xf2a1013c,0x58e6019e,0x552a0397}},	//   _ultro_, _verdilər_, _частках_, _abazofak, 
   {{0xd1e700a7,0x49fd010f,0xec12019c,0x00000000}},	//   _comissió_, _amanetha_, _onipadi_, --, 
   {{0xf26d0440,0xb213023b,0xc2000099,0xa4d4027b}},	//   _migozi_, _alahou_, _chiite_, _लिखितं_, 
   {{0x57b503e0,0x231203bf,0xd0490229,0xc42e0156}},	//   _gestuerw, _bamboos_, _mehriban, _רופסטו_, 
   {{0x52b3001c,0x8dc70013,0xab6c0524,0x3a17006e}},	//   _condado_, _باردیم_, _kvarnera_, _jangalék, 
   {{0x52ca00e1,0xd34702e4,0x22fd00e7,0x1640004d}},	//   _boodul_, _armenja_, _anggay_, _台灣精品獎_, 
   {{0xb6020013,0x94760003,0xf29102a4,0x027e02d5}},	//   _batlanti, _partijen_, _aquas_, _kannab_, 
   {{0xfd0a0265,0xfa090156,0xf7a70291,0xb6b804cf}},	//   _europese_, _arbalest, _بفارغ_, _lisekelw, 
   {{0x838000e3,0xcd700016,0xfce802c4,0xf78000bc}},	// [34d0] _འབྱོངས_, _מעזשביזש_, _достигне_, _التصویر_, 
   {{0x62a60216,0x36d2022b,0x120e01ee,0x0fa40262}},	//   _rimba_, _aldarski, _самай_, _berenler_, 
   {{0x43b805ac,0x2ab40012,0x1b7c0414,0xbd2e0212}},	//   _tilveru_, _कूंड़े_, _kopumola_, _occidere_, 
   {{0x038c0013,0x37780272,0x440000bb,0xa0090128}},	//   _تصویرلر_, _abakolag, _خلفشار_, _маликала, 
   {{0xfe35022d,0x2d2901a7,0x647d0128,0x00000000}},	//   _chiarava, _arkistot_, _ҳордиқда, --, 
   {{0xfd0c0478,0x3be30258,0x85330090,0xaaf202a0}},	//   _triumvir, _allegear, _akandiny, _indradit, 
   {{0xbb6900c8,0xa3860130,0x77ea010d,0x48c0046b}},	//   _дипломда, _endro_, _लेखकाने_, _integred, 
   {{0xa50c00f1,0x4233004d,0x00000000,0x00000000}},	//   _ladopasy, _formido_, --, --, 
   {{0xe2570156,0x3d990233,0xdae201c3,0xc2ea00f7}},	//   _טייַער_, _saventie_, _bawdines, _ateisto_, 
   {{0x626c00bd,0xf2f000e6,0x231704d8,0xfb8c00d1}},	//   _shool_, _广西农业信息网_, _illahay_, _steingar, 
   {{0x2de0048f,0x63ea0286,0x652d02d2,0xa23801eb}},	//   _fatigué_, _akoten_, _ngenkath, _amambai_, 
   {{0x3989015e,0x1a0e03a4,0x4fa4050a,0x00000000}},	//   _дасторко, _annaðlei, _verenler_, --, 
   {{0x2c540140,0xbeae01c9,0x32f40212,0xb5490361}},	//   _gustong_, _energiat_, _paginam_, _бевдда_, 
   {{0x768e0445,0xaeb200ae,0x3f610486,0x14090080}},	//   _profissi, _carubone_, _celoploš, _arrortik, 
   {{0x12780438,0x57030039,0xbafd00e0,0x284300e6}},	//   _mzungu_, _москвад_, _bulgaars, _手机看新闻_, 
   {{0x89e700e7,0x925a01bc,0xd4740397,0x4c7101e5}},	//   _agstripd, _lidlum_, _angezwak, _onarebu_, 
   {{0x6f1900d9,0xfa13061d,0x7b1b012e,0xc9cf0188}},	// [34e0] _металла_, _әдипләрн, _strandon_, _anamakha_, 
   {{0xf3160497,0xd854009a,0xae3402db,0x3a450439}},	//   _stinging_, _لودين_, _namabawa, _navetisa_, 
   {{0x0200012d,0x659e013a,0xa31c0294,0x1e15006a}},	//   _behim_, _manipulé, _arichin_, _andehana, 
   {{0xcc68018d,0x32ec0515,0xe0470111,0x81ea003e}},	//   _እንስሳን_, _attinge_, _ripresen, _тарихсыл, 
   {{0xbf2c01f9,0xe2d8028d,0x9c15023d,0xdc980139}},	//   _abatsika, _eklere_, _trasmiss, _कार्पटिक, 
   {{0xf8cf0127,0xcf1c01aa,0x49180220,0xdd2e0212}},	//   _sevenadu, _adjustwa, _текуща_, _accidere_, 
   {{0x138700df,0xa77602ba,0x827803b4,0x222400bd}},	//   _notre_, _густарда, _dzungu_, _paiks_, 
   {{0xdae302a4,0x8b870012,0x39a504eb,0x81ce0204}},	//   _voluntat, _कातमे_, _इम्फाल_, _фототехн, 
   {{0x938200a6,0xcdff030b,0x078d0066,0xa83b0206}},	//   _عاقله_, _abadduga, _видёо_, _bankový_, 
   {{0xd27f0428,0xcaf202a4,0x460d03b9,0x824f0040}},	//   _letni_, _alertsit, _qalltayi, _הצמדה_, 
   {{0xc2a6019f,0xc8fe02fc,0xf9ee0414,0xbb0f02aa}},	//   _jimbo_, _rutagand, _kosilisa_, _kartoték, 
   {{0x926d0170,0xaa680374,0x934e011a,0x1d2e0244}},	//   _angoni_, _кашкадар, _מובחרים_, _uccidere_, 
   {{0xa527005e,0x99df00d4,0x9c5a03a4,0x7b2201ad}},	//   _ﺩﺍﺋﯩﺮ_, _paulusma_, _feitari_, _samarnun_, 
   {{0xa2c701f2,0x16af0094,0x00000000,0x00000000}},	//   _سانغۇن_, _ۇستانىم_, --, --, 
   {{0xe25a047b,0xdb6a014f,0x01cd03dd,0x42d801af}},	//   _millum_, _политици_, _ሪፖርተርስ_, _akdepe_, 
   {{0x8d3602fe,0x00000000,0x00000000,0x00000000}},	//   _ajongene_, --, --, --, 
   {{0x996202cb,0x24b10139,0x91c30636,0x7f2b0222}},	// [34f0] _planirat, _मस्तके_, _postotak_, _systémat, 
   {{0x39ce02e2,0xd2fd0270,0x8ad10229,0xd15c0088}},	//   _forfeite, _judicar_, _bankları_, _сунат_, 
   {{0x8357028d,0x0443013c,0x324c005e,0x93180202}},	//   _anretar_, _kursları_, _ﻫﯩﻨﺪﯨﺴﺘﺎ, _inifẹ_, 
   {{0x59c30235,0xcdbc0321,0xfccd02fe,0x930a0311}},	//   _परिच्_, _opravite_, _کامیابیو_, _ተላገብቲ_, 
   {{0xd3eb0111,0x3b9d0304,0xf1480350,0x9dc601ef}},	//   _muette_, _keizinan_, _ይገነባል_, _гансала_, 
   {{0x3394028d,0x42d80465,0xd290019a,0x00000000}},	//   _puisan_, _videle_, _groats_, --, 
   {{0x7c9301f4,0xf2f400b4,0x2a150052,0x81860223}},	//   _قالاق_, _motivul_, _sekačka_, _зальтай_, 
   {{0x2c610275,0xee1c0282,0x00000000,0x00000000}},	//   _satuala_, _pereteha, --, --, 
   {{0x17a50205,0x1dd9012c,0xc60c0092,0x326e0020}},	//   _انگلشماو, _مڪران_, _コンテンツカテゴ, _letogo_, 
   {{0x493c019d,0x176f017a,0xed75015e,0x9e75018b}},	//   _akamapit, _abahleng, _educatiu_, _educatie_, 
   {{0xdaf30156,0x00000000,0x00000000,0x00000000}},	//   _altrudit, --, --, --, 
   {{0x6b0f0261,0x2cae02be,0xbf5d00d7,0xdde101e5}},	//   _pasporta_, _bersyong_, _водителд, _alukuria, 
   {{0x55c80162,0x05cd005c,0x1dab003f,0xada002c2}},	//   _аламитид, _bafatany, _chinanga, _profiele_, 
   {{0x7ae50352,0x6c3f0076,0x8d0f0040,0x7c3f0368}},	//   _স্নাতক_, _одамна_, _במכתב_, _одавно_, 
   {{0x900c026f,0x868700a7,0x3ecd0099,0xb0d8026f}},	//   _ءﺷﻮﺑﻰ_, _мариям_, _akanokun, _تاۋجىرتق, 
   {{0xe112052f,0x20e40287,0xefed0040,0x26770269}},	//   _izakuvul, _आँधीले_, _יסביר_, _carvajal_, 
   {{0x12a6022a,0xa2ff02c3,0xcbc300ec,0x00000000}},	// [3500] _gliban_, _kuriér_, _vandenų_, --, 
   {{0xbb130359,0x925a0234,0x92900338,0x9345025e}},	//   _benammen_, _ajolú_, _croats_, _handrit_, 
   {{0xcc53012a,0xc22602be,0x5c6901d7,0xd27802c5}},	//   _justyna_, _alukin_, _appruvo_, _ekunze_, 
   {{0x5224004f,0x527802ab,0xa1db02cf,0xa8e20420}},	//   _baakh_, _nkunye_, _откога_, _полуде_, 
   {{0xa6ce00a7,0x8ee3019b,0x3fe500f6,0xba2d022d}},	//   _ошого_, _programė, _bayramdı, _aiaccina_, 
   {{0x62a6011f,0x639500ff,0x8e510156,0x564b00be}},	//   _timbo_, _alasko_, _וועפּאַנ, _نۇرسۇلتا, 
   {{0x662d00a2,0xf3eb0148,0x199d045b,0xef9602f3}},	//   _بيروزگار, _stetit_, _пропуску_, _militära_, 
   {{0xb66f06f6,0x38e70147,0x0f490046,0xa30c012d}},	//   _marjoram_, _بۇتۇنان_, _милицияг, _rilaens_, 
   {{0x48530088,0x38bf039a,0xcdab0184,0x02d90325}},	//   _empreses_, _mendengu, _myandaga, _evsen_, 
   {{0x8e030706,0x547b0193,0x5c660441,0xb1030010}},	//   _बंगलादेश_, _dihebohk, _dostanu_, _aniketel, 
   {{0x62780673,0x02a60065,0xc2d800da,0x97ed00a9}},	//   _okunye_, _liebe_, _zilele_, _bagatang, 
   {{0x0c5b014b,0xc22402f8,0xac04035d,0xa2ea03c1}},	//   _allumme_, _haaki_, _glasati_, _quentes_, 
   {{0xe3790122,0x0c250026,0x854a0444,0x432000bc}},	//   _begawan_, _combiner, _покорили_, _beaya_, 
   {{0xc37b0064,0x42e80204,0x00000000,0x00000000}},	//   _demanem_, _tekisin_, --, --, 
   {{0x23ea02a0,0xb2ea0244,0x92a60289,0x92d400fe}},	//   _akotan_, _acciaio_, _aimbe_, _mafolaa_, 
   {{0x3edc02a2,0x2395022d,0x5a9c013c,0x39ca025a}},	//   _retirees_, _cresci_, _penitens, _gutorera_, 
   {{0x3c1a0005,0x85d10041,0xb36403db,0x32a702b6}},	// [3510] _arrandsc, _хьӡалкаа, _kwegama_, _сыйысымд, 
   {{0xf35400c3,0x622503e8,0x6b8d0388,0xfdd70420}},	//   _habebat_, _znakov_, _capitato_, _нереални_, 
   {{0xd3410166,0xa8c0048e,0x48e001b3,0xc290000d}},	//   _eigenen_, _dasegued, _rørlegge, _vanade_, 
   {{0xb2fd01fc,0xdefc0229,0xe3ce039e,0x33940331}},	//   _amagge_, _ankaranı, _kalvø_, _buison_, 
   {{0xa341022e,0x09bc02e1,0x9d7204fc,0x00000000}},	//   _aspetta_, _chainéal_, _যুক্তিতে_, --, 
   {{0x184b013d,0xb44001dd,0xedf00014,0xe3050107}},	//   _postulis_, _atakurik, _mundesua, _نوغان_, 
   {{0x584c0192,0x48fe02f3,0x282e007f,0x0f6a00d5}},	//   _보았습니다_, _uttaland, _animeidd, _arabatan, 
   {{0x62240011,0xc25e0220,0x82fe066f,0x7c7702c9}},	//   _abiku_, _abitabil, _largos_, _dinspre_, 
   {{0xa26d0393,0x2f21039c,0x0ab902ee,0x92a60062}},	//   _ispod_, _amparánd, _iskwadra_, _qimbe_, 
   {{0x69e50058,0xfde10126,0xb2cc014b,0x87ed0707}},	//   _castricu, _останнє_, _barliin_, _bagasang, 
   {{0x12e800b4,0x5387000e,0x02ca021e,0xb47e02ee}},	//   _decizia_, _cifres_, _guldet_, _fantasij, 
   {{0xae2804f0,0xf14002f6,0x19db00d9,0x4d37023e}},	//   _seafrika, _nagdudul, _pelottaa_, _blanjane_, 
   {{0x76e800f5,0xf27e014d,0xf5100334,0x4c0f03e6}},	//   _тландырм, _mannes_, _everendo_, _kartheis, 
   {{0xf2fe0609,0x9d030253,0x4cf50452,0x4a1a0299}},	//   _cargos_, _malunnar, _बोधकथा_, _رىزقىنى_, 
   {{0x96d8020f,0xffe102c9,0x26550147,0xd27e00f7}},	//   _پېلوځي_, _citynews_, _شالپاڭ_, _avinjo_, 
   {{0xadb402fd,0x09a900d1,0x950f02ea,0x00000000}},	//   _chundina, _ক্ষেত্ৰব, _mettiamo_, --, 
   {{0xec61012b,0xbfe9012b,0xe0da018d,0x86cc0209}},	// [3520] _oferuje_, _आयताकार_, _ኣነባብራ_, _annaanni, 
   {{0x6394044b,0x63860052,0xc60702b6,0xc48702d5}},	//   _prisen_, _ondra_, _хандар_, _निरावै_, 
   {{0x209c0425,0x53870198,0x5f290393,0x3aad0089}},	//   _تاقاکانه_, _notri_, _školarci_, _imidjın_, 
   {{0xb5a2006c,0xd9bc02ac,0xda730082,0x779d02c1}},	//   _abafanay, _phainéal_, _yakamata_, _afatanyi, 
   {{0x738602f3,0xdda900ea,0x32ec015d,0x627e045a}},	//   _andra_, _tanindra, _नगरीय_, _dannes_, 
   {{0x6fa40233,0x427c0046,0x127f0294,0x42d80202}},	//   _rebeller_, _каражаты_, _awanqo_, _tileje_, 
   {{0x2ee303cf,0xff370235,0xc3730119,0x7d0201ef}},	//   _programı, _anirvaca, _patapod_, _вітушкі_, 
   {{0x53160096,0x027e0245,0xe3f80184,0x52d0002b}},	//   _azize_, _nannes_, _bokura_, _ফোরকান_, 
   {{0xbd27003b,0xfcf20168,0xe2ff0155,0x3304016a}},	//   _abosomac, _gratuler, _sprider_, _islamaj_, 
   {{0x8224019c,0x1dc30442,0x7a7c0139,0xcecc0183}},	//   _ebiks_, _diringka, _astamita_, _habibian, 
   {{0xf7ec004b,0x1e4502af,0xd77d0137,0x6ac703f2}},	//   _bakading, _hanasiga, _томруулд, _научитес, 
   {{0x622403e6,0xcc61034c,0xab160264,0xd609012e}},	//   _wenkel_, _batulla_, _eksperye, _دوردراز_, 
   {{0x1b70044a,0x303800bc,0x025a0465,0x5ece0153}},	//   _dailleur, _paceklik_, _spolni_, _滋賀大津の旅館_, 
   {{0x2adb01cc,0x541d003e,0x73dd046b,0x3fc0023e}},	//   _अन्यद्_, _bomajoro_, _baswn_, _آلانیا_, 
   {{0x33e205c0,0x6c690250,0xad3600e5,0xea970247}},	//   _ritratti_, _titulli_, _настап_, _پانسیون_, 
   {{0x630e0229,0x32da00d9,0xdd5a006d,0x7d220366}},	//   _demaqoq_, _ottelu_, _апірышча_, _акиев_, 
   {{0x9aff012d,0x3248005b,0x83470161,0x259b0018}},	// [3530] _impruvme, _honma_, _armeija_, _taurivak, 
   {{0x6f260235,0xf28701fc,0x83f802ff,0xde5202f0}},	//   _agarhita, _tinkise_, _jeouch_, _ingacuka, 
   {{0x01860056,0xe2360193,0x88b701e6,0xca73000c}},	//   _bakankul, _prediksi_, _kritizov, _jakakata_, 
   {{0x22d604c3,0x9c62005e,0x75970156,0x1ba80439}},	//   _tinopal_, _دەششەت_, _אייכנשטי, _makhomur, 
   {{0xfdc40430,0x238703fc,0xfe1601f0,0x0c170368}},	//   _hositele_, _sotra_, _golelala, _решавања_, 
   {{0x28470398,0x2bcd0024,0x496201e9,0xb6a002fe}},	//   _маданий_, _মনস্তত্ব, _dihotele, _سلوانیا_, 
   {{0x603d0014,0x522b005c,0x862903ad,0x5e890335}},	//   _perfundo, _abimuwe_, _busuttil_, _bhūkaṃpa, 
   {{0x8224017e,0x95df021e,0x602c001c,0x8933020f}},	//   _punkto_, _speciell_, _biedenko, _دادعا_, 
   {{0x22a60707,0x92bc00cf,0x58fd01b8,0x8f0600d9}},	//   _nimba_, _raadiyo_, _kodakond, _вирусов_, 
   {{0xd26c038a,0x0c2901fd,0xdddc0025,0x0eee02d0}},	//   _szkola_, _variedad_, _उपस्थितम, _aichties_, 
   {{0x2f3d05b0,0x5f7201f0,0x8e8f0162,0x591400aa}},	//   _कृतित्व_, _emabasin, _تەلبا_, _matalahu, 
   {{0x22240440,0x348300bc,0x971201f2,0xd0640311}},	//   _acika_, _حدودا_, _өзәңларн, _ኣይነፍቅድን_, 
   {{0x3b0201fe,0xb3170040,0x00000000,0x00000000}},	//   _inisitut, _granting_, --, --, 
   {{0x12a6029c,0xb4c302ac,0x95eb01e8,0x00000000}},	//   _mimba_, _ممتازه_, _itumitum_, --, 
   {{0x02a60377,0x92010272,0x26070060,0xd2900156}},	//   _limba_, _abairu_, _بارلىعىم, _allasi_, 
   {{0x36bb004d,0x52d401c0,0x81d00287,0x7b200011}},	//   _分期零利率_, _manoman_, _nalezeny_, _babalumb, 
   {{0x127f004a,0x763402fa,0x8394009c,0x33870111}},	// [3540] _ananı_, _abungani, _atisun_, _altru_, 
   {{0xf202012b,0x36c90066,0x05ea02eb,0x06b800cf}},	//   _kupić_, _батзанда, _системүү, _antaarti, 
   {{0xd2e804e3,0xf26c02c2,0x49b900c7,0x918601e8}},	//   _milijun_, _ikoon_, _болыт_, _makalkul, 
   {{0x848e0148,0xfc66015c,0x32d905b6,0x00000000}},	//   _勇者逗樂園_, _begreff_, _lomnice_, --, 
   {{0x07d40029,0xb99602eb,0xd5160291,0x00000000}},	//   _ئێڕاقی_, _багцын_, _ماعليه_, --, 
   {{0x82a6019d,0xc2900075,0xdc910148,0xa3720251}},	//   _dimba_, _allari_, _這裡記錄了我的點, _mohamud_, 
   {{0xba850013,0xf3820235,0x5f720011,0xf3c20311}},	//   _اوردو_, _प्रभावात, _alibasin, _ትሕዝትኡን_, 
   {{0xa1ac02a5,0x00000000,0x00000000,0x00000000}},	//   _pondělí_, --, --, --, 
   {{0xe2fd0428,0x963f018a,0x2461012a,0x0f6a01a3}},	//   _kolikor_, _bersonol_, _genetycz, _دٻدٻي_, 
   {{0x3c5202d5,0x12d9040a,0xd4190311,0x00000000}},	//   _स्लेट_, _avses_, _ተማሃሪት_, --, 
   {{0xfb9403b4,0x33010007,0xc9fc01f0,0x3182037b}},	//   _abhigair, _bayaudi_, _dikakant, _complejo, 
   {{0xe2a6023d,0x920101ac,0xdd9f00e7,0x00000000}},	//   _bimbi_, _dhaite_, _awiniara, --, 
   {{0x937a00b4,0x0d1100af,0x61470354,0x7c0e0014}},	//   _numarul_, _установ_, _ираний_, _nderkomb, 
   {{0x41d30061,0x818f002b,0xec06004d,0x029000a2}},	//   _가능하도록_, _ডাওনলোড_, _多年生草本_, _hodari_, 
   {{0x2b210179,0x555101f6,0xa749005a,0xfb6601c9}},	//   _biraktin_, _স্বাভাৱি, _botivjaj_, _ओसवनी_, 
   {{0xb132006d,0x6dc30013,0x0eab0310,0x73ea01f1}},	//   _страшным_, _shikoyat_, _crofters_, _flitej_, 
   {{0xe394046b,0x22c90116,0x02d90591,0x1278003f}},	// [3550] _asesu_, _hellish_, _avser_, _chunbe_, 
   {{0xc2dd005b,0x1290036a,0xefd70121,0xc2140109}},	//   _hiroshi_, _colati_, _invitado, _दाँज्नुह, 
   {{0x735001e1,0x65ee0058,0xc35e02e1,0xc2f702b9}},	//   _bonfril_, _pamenedö, _destinym, _کاریگر_, 
   {{0xe2410072,0x7a2d02ac,0xf5de03dc,0x72e80049}},	//   _jullimpi_, _لتثبيت_, _fundarfó, _tainamu_, 
   {{0xe6480218,0xf1530218,0xa95e00a8,0x47250343}},	//   _ambientw, _amplesay_, _bainesse, _maamping, 
   {{0xd201007b,0x29870068,0x1ad70170,0x46be004a}},	//   _vexin_, _kariimka_, _chewuche, _воеводал, 
   {{0x3f130025,0x1a8e00f2,0x5d8803db,0x12e9047d}},	//   _परीक्षित, _loterijā_, _khumbula, _dreinen_, 
   {{0xc2cb029e,0x03dd0116,0x32240201,0xab6002eb}},	//   _medousa_, _ayewis_, _saaku_, _aparatua_, 
   {{0x763f0372,0x58cd037c,0x12a706ae,0xe3550203}},	//   _personol_, _lindenhu, _houbo_, _adherer_, 
   {{0xc9b20235,0x7183008f,0x00000000,0x00000000}},	//   _ayudhyet, _romantil, --, --, 
   {{0xb30103a0,0x42240359,0x82010144,0x74d5027b}},	//   _baebele_, _faaks_, _chaite_, _दुहिता_, 
   {{0xf7ed0164,0x034f03ac,0x46cd0382,0xf0150110}},	//   _норвегий, _sebelah_, _dizayini, _skrastiņ, 
   {{0x61470031,0xbad40627,0x00000000,0x00000000}},	//   _diperbol, _ahrweile, --, --, 
   {{0xb38001a6,0x2ef0013f,0x4339002c,0xb024016f}},	//   _haurau_, _danjerus_, _биомассы, _звенигор, 
   {{0xe2e9003b,0x82ca0224,0x53eb0450,0xe9e200bb}},	//   _afriaka_, _selfossi_, _frette_, _باتيں_, 
   {{0xf290003a,0x63100028,0xa7050142,0x00000000}},	//   _bolasi_, _marayey_, _भर्तृदार, --, 
   {{0x9483052c,0xd30503b1,0xc37c03b1,0x341200d2}},	// [3560] _ڵگادا_, _appelé_, _royaume_, _nyanggak, 
   {{0xe678009a,0x099d00be,0x32900220,0xc3fd0399}},	//   _abakulaw, _чачын_, _processi_, _kumutoki_, 
   {{0x2b8800c7,0x62240225,0x22bb0175,0x7d6d00de}},	//   _рәсми_, _ibaka_, _selebre_, _awumelwa, 
   {{0xa2240362,0x6290005b,0xbebe02ba,0xfa0a004d}},	//   _abiki_, _uehara_, _газалхои_, _一點都沒有陰鬱的, 
   {{0xd29002f7,0x9c2b02e1,0x12000418,0x296c03b7}},	//   _manane_, _monaplac, _nehir_, _econside, 
   {{0x72a70256,0xec5701c9,0xcf830234,0xf2a702ff}},	//   _klubs_, _अपनें_, _asunrárà_, _afebli_, 
   {{0x7c2b040c,0x72900211,0xaa9c00c7,0x98cc048f}},	//   _skusenos, _kolari_, _devyatae, _kukengid, 
   {{0x10290092,0x1c6102e7,0x930e0256,0x286f039e}},	//   _カテゴリの記事_, _gihusto_, _gatavas_, _barbarar_, 
   {{0x0290018b,0xa2a7013f,0xd06900bf,0xb2fe0051}},	//   _dolari_, _doubl_, _раковина, _margas_, 
   {{0x6f5d04c3,0x99d40173,0x7d9003cf,0x8a850178}},	//   _vinaphon, _বিভ্রান্, _ellerine_, _apariśud, 
   {{0xf668023e,0x2394019a,0x00000000,0x00000000}},	//   _تورنمنت_, _guisin_, --, --, 
   {{0xddff040a,0x530a04d2,0x00000000,0x00000000}},	//   _ljudklip, _brattvåg_, --, --, 
   {{0xdc3a027b,0xcac80029,0x43050160,0x820101c4}},	//   _महायशाः_, _جوامێر_, _izlazak_, _thaise_, 
   {{0xaf38032a,0x2413004f,0x885f0274,0x473200d3}},	//   _kreutzma, _bensaman_, _opinberu, _tvarohem_, 
   {{0x926c054f,0xb2b3018e,0x1b250035,0x84710227}},	//   _nkoos_, _eyudiya_, _буталып_, _hentakan_, 
   {{0x85ff02d8,0xd1f40037,0x722a034c,0xe26c0119}},	//   _विरोधात_, _አንቀጾች_, _томан_, _bigoy_, 
   {{0x62ec045c,0x446d005e,0x918100d9,0xcf250342}},	// [3570] _rastliny_, _ﭘﯘﺷﺎﻳﻤﺎﻥ_, _maapallo, _ekperyan, 
   {{0x43170096,0x8f1e0100,0xc2a603b4,0x82fe0121}},	//   _arazwi_, _hladovin, _dimbu_, _rutinas_, 
   {{0xdc5c02e5,0x4f6a005a,0x9379016b,0x297c0163}},	//   _bastón_, _crabstan, _zamanto_, _leghíres, 
   {{0x62d901fe,0x8c610437,0xb3f801fe,0xd2a6028e}},	//   _keveta_, _snarere_, _mokuta_, _tambui_, 
   {{0xf2cc000c,0xa3f8011b,0x92e302ea,0x026e0145}},	//   _esclavo_, _lokuta_, _ragione_, _betono_, 
   {{0xf04300d1,0x00000000,0x00000000,0x00000000}},	//   _অত্যাৱশ্, --, --, --, 
   {{0xb14502ba,0x825700db,0xbc1f0005,0x46c101fb}},	//   _душмани_, _virtuaal, _cumprar_, _immagazi, 
   {{0x59020319,0xdc740233,0x63940478,0xb2a703ed}},	//   _কেন্দ্রী, _accurat_, _frison_, _roubo_, 
   {{0x427e0256,0xae270092,0x75c4048a,0x638700d9}},	//   _vannas_, _礁渓ロイヤルホテ, _جورامالد, _сервисов_, 
   {{0xb7cc0374,0xdc66033d,0x62ea000f,0xebe203ae}},	//   _qarshili, _degraff_, _prenses_, _gravemas, 
   {{0xb8e800ef,0xd04c0312,0xd2d8003e,0x05c602e7}},	//   _abasemag, _wirionez_, _bonesa_, _igbaligy, 
   {{0xd343017e,0x00000000,0x00000000,0x00000000}},	//   _barejno_, --, --, --, 
   {{0xb2c603db,0x26810193,0x614800fc,0x125a0331}},	//   _abaleke_, _ओंकार_, _datobmeh_, _feilar_, 
   {{0x3e200169,0xb50503b5,0xeb280092,0xb2d90109}},	//   _সজিপ্র_, _alamatny, _skraldes, _webech_, 
   {{0x33eb06b7,0xb02c01d5,0x62000138,0x00000000}},	//   _uretse_, _gondolko, _sehir_, --, 
   {{0xd69b00dd,0x530c007e,0xe34e022a,0xd9960135}},	//   _effeithi, _agastyaḥ_, _linedik_, _балтаси_, 
   {{0x77f503e5,0x22530220,0x56e40344,0x1c1e000e}},	// [3580] _mischiev, _finalità_, _allartif, _gruppat_, 
   {{0xbfaf044d,0x9b570244,0xba450087,0xfeaa00d1}},	//   _aeroporo, _chitarra_, _haverisa_, _ছাহজাহান, 
   {{0xfab403c4,0xf42a018d,0x18020145,0xc0900239}},	//   _ئىدارىسى, _ከመይነት_, _kampelis_, _mangatāw, 
   {{0x6c5c0289,0x57ac039e,0x6e5701ec,0x8ec702a2}},	//   _adatero_, _fortelji, _مهرشاد_, _eklipsen, 
   {{0xb3940244,0xa25a0075,0xb30c04ca,0x67c70211}},	//   _spesa_, _feilir_, _andains_, _насилию_, 
   {{0x32640010,0x56cc0125,0xfd940308,0x81cb0105}},	//   _amaforom, _tussagly, _berlamba, _दुपट्टे_, 
   {{0x26e700de,0xfb1f0120,0x62fe000d,0x42ef012c}},	//   _aqiqiley, _makaaban_, _pargis_, _janiora_, 
   {{0xc38702c9,0xc32000c2,0x271f0576,0xc2fd00bd}},	//   _intre_, _agiye_, _حساسیت_, _ordinar_, 
   {{0x52250075,0x71700121,0x69f90010,0xa61e04df}},	//   _drekka_, _episodio, _bayasese, _basleshi, 
   {{0x22780285,0x22ca02d5,0xd98400f2,0xc2d8027f}},	//   _nyungu_, _अष्टजाम_, _komiteja_, _bonera_, 
   {{0x920100ca,0xa633013f,0xb38601d4,0xd5310040}},	//   _mexic_, _cornouai, _cidre_, _האוטומטי_, 
   {{0xc26d045c,0xd722007e,0x9cd002f9,0xa7b00079}},	//   _aspon_, _acetanam_, _batistè_, _pagriezi, 
   {{0x00000000,0x00000000,0x00000000,0x00000000}},	//   --, --, --, --, 
   {{0xd26d01f0,0x99b600cf,0x5290011c,0x981c027b}},	//   _bagogi_, _baaddhat, _ganale_, _bhājane_, 
   {{0x657102f9,0x477d012c,0xfbd70162,0xd745027e}},	//   _sendikal_, _پلازه_, _кирдиму_, _ударе_, 
   {{0x92ed0040,0x8f240109,0xfaa6030d,0x00000000}},	//   _ושאני_, _चिनजान_, _flayinka_, --, 
   {{0x43870077,0x12da02c1,0x69aa000c,0xe26e006f}},	// [3590] _antre_, _gatete_, _софиа_, _wasiwasi_, 
   {{0x624d042c,0xec77008f,0x0b5e0368,0x2b8702c7}},	//   _zaboravi_, _मार्हा_, _трону_, _beliefer, 
   {{0x75a20313,0x6b87002b,0x2f58032d,0x49ff036c}},	//   _bingotlh, _কাটতে_, _borasaen, _ampangot, 
   {{0xcb9703e7,0xe31604aa,0xe386015e,0xbdb60060}},	//   _trentino_, _cringing_, _vidre_, _تۇرسىز_, 
   {{0x8aa90397,0x86420241,0x347a01e0,0xc26801ac}},	//   _ngokusob, _amantaaf, _دامرکاند, _creatlaí_, 
   {{0x5290029b,0x52380219,0x0c610185,0x1fe30061}},	//   _bolaax_, _ekomiti_, _daruğa_, _최신영화다운_, 
   {{0xfecb0072,0x8445023c,0x1376027e,0xd634020f}},	//   _kulintan, _دخارجه_, _престо_, _ebunyani, 
   {{0xd43801cd,0xc37c02c1,0x1c66042c,0xd26c02d5}},	//   _imibhalo_, _yasabye_, _postanu_, _skoor_, 
   {{0x126d01a7,0x6f420065,0x42b602d3,0x39ed022c}},	//   _espoo_, _dasselbe_, _ентериер_, _bawirasa_, 
   {{0xd3e301d3,0x627f012c,0x12900220,0x538603f3}},	//   _tillverk, _mwanzo_, _canale_, _overig_, 
   {{0xfc930060,0x82250066,0xdbe802fc,0x227e0120}},	//   _بايات_, _irekia_, _abademoc, _kalne_, 
   {{0x2dce018b,0xaaa502fe,0xcc7101c1,0x82dc014e}},	//   _градулуй_, _قربانيان, _पिझ्झा_, _celosti_, 
   {{0xe9800153,0x44670145,0x75ce004d,0x27ec0343}},	//   _件までしか表示さ, _багацце_, _複製或利用其他方, _makaling, 
   {{0xc8d501fb,0x2da600ff,0x14180071,0x0e4e026a}},	//   _possedev, _ביזדערוו, _روبروی_, _cesalona, 
   {{0x12d20282,0xf43e006c,0x46d50133,0xa8bf0375}},	//   _herewini_, _батни_, _farachii, _kalembed, 
   {{0x00000000,0x00000000,0x00000000,0x00000000}},	//   --, --, --, --, 
   {{0xc3cf04f7,0xa3990017,0x3b1c013a,0x3395003c}},	// [35a0] _musvn_, _pásek_, _agaangen_, _arasen_, 
   {{0x326e035d,0x126e0082,0xf2910081,0x477f0061}},	//   _gasova_, _tasowa_, _altaf_, _순천대학교_, 
   {{0xa26d02f7,0x128f003d,0xf52a0708,0xa7fd0378}},	//   _bagodi_, _botanici_, _abazifak, _landsjúk, 
   {{0xec610297,0xca400039,0x6c6f0223,0xbd250097}},	//   _baruğa_, _янгир_, _barrura_, _osundare_, 
   {{0x9395047b,0xf7b9041e,0x42900018,0x32ef0233}},	//   _flestu_, _intrecci, _dolavi_, _caniera_, 
   {{0xa278004c,0x439502f3,0x2e5b01b3,0x00000000}},	//   _abagalim, _frysen_, _страйк_, --, 
   {{0x42f800e6,0x9d1b0210,0xd00b000c,0x002b0299}},	//   _诚招合作伙伴_, _apindire_, _рпост_, _ئىشرەت_, 
   {{0x5c61017e,0xf3f8014c,0x62f40378,0x027b03dd}},	//   _aktuala_, _kokuza_, _eldinum_, _aplikimi_, 
   {{0x4e820004,0x625a0331,0x586a00d0,0x00000000}},	//   _dimwatye_, _feilur_, _traineru, --, 
   {{0xa60604dc,0x62010176,0xef350291,0xa20600de}},	//   _بارمته_, _lexia_, _bunsonra, _باروتو_, 
   {{0x20b90037,0x106d0086,0x06d500b2,0x81e50162}},	//   _ተወያይቶ_, _magazino, _barachii, _қурбаниғ, 
   {{0x0daa0354,0xa52600fb,0x430c0119,0x00000000}},	//   _оргинини, _komsindo_, _mahamis_, --, 
   {{0x022c01e0,0xf509000e,0xf4840012,0x18c40181}},	//   _دیاله_, _agreabil_, _खियाइल_, _legeplad, 
   {{0xa3160149,0xa291022b,0x1278017a,0x49bf01a4}},	//   _afrịka_, _umtal_, _abasilal, _sendenge, 
   {{0x3932052c,0x72a600e0,0x3a9c0220,0xe3f804cf}},	//   _سۆڤیه_, _siebe_, _affittas, _kokuya_, 
   {{0xe68c0052,0x2b6b000e,0x5a850366,0x62ea017d}},	//   _तिहार_, _bottilia_, _слабых_, _grundet_, 
   {{0x438603d9,0x2f4e0371,0x8a170039,0x026e0240}},	// [35b0] _endri_, _sessione_, _баазаар_, _tasova_, 
   {{0x7c930094,0xae1d0312,0x36c2018e,0x80630144}},	//   _تاراز_, _kerentia, _etibukwi, _artscoun, 
   {{0x14a9021c,0x8290005b,0xbb8d0092,0x6ecd00f4}},	//   _tematick, _tanabe_, _このスポットを地, _barizian, 
   {{0xba500142,0xc2ec0219,0x98bf0080,0x68d700c7}},	//   _abhedena_, _agcinwe_, _katersuu, _милади_, 
   {{0x827e0130,0x57d903e0,0x2c750073,0x8ea801db}},	//   _vannes_, _verschaf, _maculas_, _كۇنەلتۋى, 
   {{0x78a900be,0x6ebd0008,0x72010262,0x00000000}},	//   _montjuïc_, _жарлыкка_, _depin_, --, 
   {{0x3c7403e5,0x23cf01b9,0xa24800f4,0x158c007e}},	//   _datuvot_, _grevis_, _akomod_, _उड्डीयान, 
   {{0xaddf0211,0x365101db,0x229004e3,0x539403b6}},	//   _оптималь, _телефонғ, _hodati_, _ipese_, 
   {{0xf29e03c4,0xb1080375,0xff39002e,0x2da40268}},	//   _китаб_, _akakudal, _sakuplja, _aimingwa, 
   {{0xd3cf017d,0x22ef01a6,0x24b5012c,0x3b7f0239}},	//   _brevis_, _raniera_, _اورانگهي_, _kuputaka_, 
   {{0xf3f80059,0xbae2014a,0x88a20479,0x8e1002be}},	//   _chiude_, _hiteless, _medvehag, _telebaba, 
   {{0x36d902fe,0xb3940247,0xf3000288,0xe2cb003a}},	//   _سياسی_, _irisan_, _dabatsi_, _muddat_, 
   {{0x7a8f019d,0x87c70268,0x722b02ff,0xc2bb01e5}},	//   _adaziona_, _aitressw, _chemine_, _kekekee_, 
   {{0x339603d3,0x091f008e,0x64aa0037,0x73870117}},	//   _altså_, _aristàrk_, _በአእምሮ_, _potri_, 
   {{0x8d7c0026,0x3d6a0247,0x32020378,0x4ebe0666}},	//   _블로그에서_, _فرمانده_, _umsita_, _sugovorn, 
   {{0x3f4b008b,0x4dcc0220,0x62d003ac,0x3815034c}},	//   _instalé_, _спортен_, _menemani_, _думада_, 
   {{0xd394024a,0xce2f0058,0xee170259,0x0eb6018d}},	// [35c0] _apese_, _menodots_, _andenpla, _dekretit_, 
   {{0x03100578,0x57770093,0x3c9000ba,0x617b01e8}},	//   _yajceeb_, _биологи_, _عائیشه_, _igmantal, 
   {{0x227e01c9,0x9dd7032b,0x83f800ad,0x637f02f7}},	//   _pannes_, _русийини, _alkuna_, _ithaopa_, 
   {{0x164f0057,0xa5d4036e,0x32d802ca,0x19f200e5}},	//   _ተባብረው_, _alcaldiy, _eimear_, _кошула_, 
   {{0x33940107,0x5a940184,0xbe6a0022,0x6f07020e}},	//   _arisan_, _arazanka_, _моңдо_, _holwanya, 
   {{0xa073003a,0x638600af,0x0ea20319,0x90ea0071}},	//   _بهارک_, _bidra_, _contiene_, _مریوان_, 
   {{0x432f0051,0x89c9003f,0x82a600b4,0xb9ed0233}},	//   _satversm, _chodelme, _limbi_, _facilisa_, 
   {{0x62900128,0x930e00a0,0x00000000,0x00000000}},	//   _holati_, _fatawar_, --, --, 
   {{0x367701dd,0x415801f0,0xbc0a0059,0xf28f0344}},	//   _mushikiw, _borraabo, _ваканцио, _allamimm, 
   {{0x6e8600c8,0xb3cf02d4,0xb5f0005f,0x8da90152}},	//   _чкаловск, _previs_, _climátic, _бандитла, 
   {{0x370e0125,0xdd390453,0x2c390453,0x13e50343}},	//   _bakteriý, _higijene_, _higijenu_, _makuriri_, 
   {{0x89d10039,0xdf3f0501,0x454102da,0x427e0414}},	//   _pentsatu, _उपविभाग_, _икономов_, _mwindo_, 
   {{0x63c80064,0x5dd6003e,0xb8dd02ac,0xfb610709}},	//   _servei_, _bethuele_, _بلحظة_, _दलानी_, 
   {{0x420001d4,0x8291009f,0x00000000,0x00000000}},	//   _aghia_, _navade_, --, --, 
   {{0xc2eb04d2,0xf8df01db,0xf93a03c4,0x7b1a044d}},	//   _grenser_, _ءﻭﺷﯩﭗ_, _бетидә_, _dogaakon_, 
   {{0x6f490074,0x57c502ac,0x199b03cb,0xb6a00086}},	//   _katsomaa, _رررررررر, _celosía_, _العالیہ_, 
   {{0xf2f903b8,0xf3940244,0x4eb8013d,0x22780090}},	// [35d0] _ءتىرى_, _spese_, _akceptis_, _akunde_, 
   {{0xf316049b,0x23be0422,0xab6d02c9,0x960c00e6}},	//   _nziza_, _živali_, _прогнозэ_, _党风廉政建设_, 
   {{0x1b16025e,0x2fcf03dd,0xe2fe0008,0xa8bb0110}},	//   _endalaus, _aplikuar_, _estirar_, _austrumv, 
   {{0x07bb01da,0xa9dc04bd,0x6395005b,0xda88004d}},	//   _gjermani, _betelehe, _azusa_, _feliciss, 
   {{0x00000000,0x00000000,0x00000000,0x00000000}},	//   --, --, --, --, 
   {{0xe2d80270,0x9f65021b,0x29fc0322,0xd0e50012}},	//   _poneva_, _metallin, _atinyuka_, _लउकीहे_, 
   {{0x42900418,0x219a0455,0x52ca000d,0x470703f2}},	//   _atmak_, _effectué_, _kuldne_, _тактичес, 
   {{0xa0b60092,0x038a0105,0xd8e0033e,0x00000000}},	//   _ネットラジオ流す, _górne_, _kangýndi, --, 
   {{0x540e0270,0xa28201a9,0x03160387,0x92f20067}},	//   _malgrado_, _incluí_, _oziza_, _bidiruu_, 
   {{0x2dda0129,0x33ff0149,0xc23f031a,0x2ebe00dd}},	//   _adresị_, _ejuzila_, _aramach_, _changhen, 
   {{0x6ac100d6,0xad72002b,0x7291035d,0x4319003e}},	//   _لنادي_, _সমন্বয়ে_, _kafane_, _fodisang_, 
   {{0xd03500ff,0xe7700095,0x00c20022,0x53190303}},	//   _פויגל_, _adédasar_, _кластағы_, _godisang_, 
   {{0xbd2301a0,0x73d90037,0x229201e8,0x7dc7008b}},	//   _diroweke_, _የእቅድና_, _lsrael_, _lonkante_, 
   {{0x6343049e,0xad200414,0x19df0169,0xe2f100f2}},	//   _členom_, _désordre, _বড়ুয়া_, _fiziski_, 
   {{0x3dce0026,0x832d0052,0x868300da,0xc71d039a}},	//   _베스트셀러_, _stačilo_, _фондатэ_, _termotiv, 
   {{0xf219010f,0x3c210152,0x8c5e02b0,0xdfbd02e5}},	//   _ленину_, _статусын_, _erstmal_, _decodebo, 
   {{0xc51d0178,0x83ea054c,0xc9c70137,0x00000000}},	// [35e0] _asannidh, _nekte_, _канадад_, --, 
   {{0x486a0292,0xdc6705c9,0x3dc301a7,0x52ef01a6}},	//   _asantefu, _panuska_, _hankinta, _hikitia_, 
   {{0x56e0026f,0xe344035d,0x876800c4,0x4f560061}},	//   _ءالەمى_, _naredne_, _آدمشماري, _대구광역시공고_, 
   {{0xf232040b,0x839c02ac,0x727800a6,0x427e029e}},	//   _kwamaho_, _واحترامي_, _okunje_, _gannas_, 
   {{0x931d010d,0x8eb50291,0x00000000,0x00000000}},	//   _bercita_, _مافهمت_, --, --, 
   {{0x1bd2032d,0xcd6b00c5,0x1dc7006e,0x958e0187}},	//   _гульнара_, _苏北地区投资贸易, _fonkante_, _конгресо, 
   {{0x8e730251,0xcae401ab,0x49350099,0x22480393}},	//   _امتحانس_, _ओहिठाम_, _akamuisa_, _odvojiti_, 
   {{0x92d00179,0x390c0210,0x59ca032d,0x2a900416}},	//   _defomam_, _achatinu, _битарафл, _sybillin_, 
   {{0x70fa0092,0xd29000bc,0x6ef9014a,0x829100e6}},	//   _ズドブック_, _adhama_, _vígjáték_, _中国建材商务网_, 
   {{0x329200a1,0xbb63015e,0xbc4401cd,0x89bf0126}},	//   _anuanu_, _келатыша, _agcwala_, _sendinge, 
   {{0xa4390061,0xe3c9006d,0x205b000d,0x930e00f8}},	//   _울산광역시_, _organų_, _missioon, _সংগঠনটি_, 
   {{0x5b0c01e0,0x22920122,0x4f2003ef,0x92900119}},	//   _مالیک_, _betawi_, _adutanga, _lumad_, 
   {{0xfde9014e,0xbd9b02ca,0xa7360253,0xb5e1028a}},	//   _препоруч, _bunoidea, _anillang, _صلواتون_, 
   {{0xd4f400e5,0x7e7200b9,0xe9030156,0x6afe036d}},	//   _acompanh, _अपक्ष_, _באָלד_, _harrisle, 
   {{0x93fa0564,0x77ba0382,0x6b200322,0xfc020033}},	//   _taquet_, _kukumuki, _babakumb, _chasper_, 
   {{0x51cd00f1,0x61d30040,0x00000000,0x00000000}},	//   _labolism, _ושדרוגים_, --, --, 
   {{0x8290024e,0xbd58016d,0xce210253,0x5dfa03f3}},	// [35f0] _dolazi_, _айлардин_, _kultureq, _verdacht_, 
   {{0x9c2303ff,0x01c700da,0xb143021c,0x17640156}},	//   _poprvé_, _лидерь_, _objednal, _פאַשקעוו, 
   {{0x434102ac,0xb03f0347,0x17f40144,0x2ee100bd}},	//   _فنجان_, _vertonin, _allamuig, _brekkers_, 
   {{0x998b0100,0x82390056,0xf31e005b,0x9a2a01df}},	//   _tehničar_, _товус_, _buuchan_, _pincille, 
   {{0xf2d5010f,0xe2ba0075,0xabac015e,0xd2eb0271}},	//   _олимон_, _myndini_, _بەدەنى_, _stenger_, 
   {{0xc61d0410,0xcd35000c,0xbc7302af,0x261a0009}},	//   _ditlhaki, _кумахов_, _imisiba_, _telovadi, 
   {{0x2387023d,0x4ee102c2,0x047100b9,0xb47e03f3}},	//   _entro_, _trekkers_, _hentikan_, _feitelij, 
   {{0xc364020d,0x4cda0061,0x0290048f,0x00000000}},	//   _amagara_, _이원주의를_, _molayi_, --, 
   {{0xa7b70179,0xf3ac00ff,0xe07300ae,0x4c0600be}},	//   _biliarön_, _בלוטיגע_, _batazoko, _تۉشنۅ_, 
   {{0x03b7003d,0xd0b80037,0xb81503a9,0x00000000}},	//   _serviva_, _የሚወክል_, _гуламаш_, --, 
   {{0x12b6014a,0xd290001d,0xf8c10287,0x4960003c}},	//   _percig_, _aldagi_, _hypermed, _ملزومات_, 
   {{0xddfd04e7,0x3c740158,0x229503a0,0x6d23030f}},	//   _modelova, _जिन्हे_, _bapagami_, _koroheke_, 
   {{0x1394025f,0x7a90005c,0x5a5001b5,0x029101fa}},	//   _apesi_, _indirimb, _bejelana_, _fafale_, 
   {{0xd2b604fe,0x654e0276,0xf2ca029b,0x04b50636}},	//   _turchi_, _мисни_, _buddee_, _suradnik, 
   {{0x43200069,0x052e00f5,0x58a50134,0x2e09000c}},	//   _igiye_, _аренадан_, _dunjúdun, _колдомов_, 
   {{0x996d0088,0xd2010233,0x53950140,0x00000000}},	//   _visionat, _gexim_, _asust_, --, 
   {{0xc27e003f,0x17aa01f9,0x5c040020,0xe200037f}},	// [3600] _vannis_, _bafundzi, _iniseti_, _cehiz_, 
   {{0x296c0566,0x0c3203d4,0xb3f4046b,0x6192027b}},	//   _visninge, _интерфеј, _distaw_, _कियच्चिर, 
   {{0x7978005e,0xfdac01d9,0x3b400061,0xd39503f7}},	//   _милләйәт, _sozialpa, _기분좋은가격_, _arason_, 
   {{0x13470010,0xc3e60205,0x5af20360,0x24b500c7}},	//   _akhetsa_, _ساعتلیک_, _londýně_, _алмашы_, 
   {{0x624f0057,0x8b39038b,0x9fe60094,0x7c7703d2}},	//   _minoriti_, _membahas, _мансабы_, _petrovi_, 
   {{0x9a540287,0x32c8012b,0x5cdc0338,0x00000000}},	//   _स्वर्गबा, _sezonie_, _cerquè_, --, 
   {{0x92e7019c,0x25ee00c7,0x4290024e,0x325b010d}},	//   _abinimo_, _akademiä, _polazi_, _baglog_, 
   {{0xfcc90169,0x8be7025c,0xc0250208,0x89f80192}},	//   _বৃহত্তর_, _warenkor, _قوبرس_, _afwachte, 
   {{0xae920314,0x630d02f6,0x62d70461,0x22a60044}},	//   _подроб_, _kapalit_, _inclús_, _limbs_, 
   {{0x82900281,0x432d0088,0xab8a015e,0x835606a9}},	//   _allani_, _балансты_, _чолок_, _insetos_, 
   {{0x920e00c8,0x539400c4,0x4c4a02d3,0x6c6e0133}},	//   _харап_, _upesi_, _синемани, _heeruma_, 
   {{0xb9a2006c,0xdfab02c8,0x42f402a4,0xdefc070a}},	//   _abayinku, _morfolóx, _modicum_, _साईकल_, 
   {{0x111e0156,0x839500b3,0xf9c10196,0x9ee60299}},	//   _בייַם_, _atasyn_, _cypermet, _بۇجاھان_, 
   {{0x9ee401cc,0xa35401c9,0xd52e070b,0xfeaa0122}},	//   _संस्कारा, _paremat_, _अल्बेनिय, _کراوات_, 
   {{0xee950073,0xdba30594,0x7b1f01e8,0x00000000}},	//   _critante_, _miniatyr, _makaiban_, --, 
   {{0x73f80556,0xb0a20092,0x92330658,0xa7ba0211}},	//   _kokuba_, _コメント日時_, _firmado_, _чрезмерн, 
   {{0x3200047d,0xfe250125,0xb2900195,0x59cf0188}},	// [3610] _iddien_, _суратлы_, _itean_, _asemasha_, 
   {{0x42cd032d,0x10090013,0xa6d0000f,0xbedb03d1}},	//   _binoang_, _захирала, _sorabili, _atlikums_, 
   {{0x7f3f0171,0x928c023b,0x1a7f0060,0x1201028d}},	//   _osiguran, _anakola_, _تالابىنا_, _mexik_, 
   {{0x93f801fe,0x4201030f,0x6c63070c,0x00000000}},	//   _lokuca_, _nepia_, _uslugom_, --, 
   {{0x4c440334,0x28490265,0x13800180,0xd26d0102}},	//   _mabwana_, _benodigd, _repran_, _magoli_, 
   {{0x09850315,0x00000000,0x00000000,0x00000000}},	//   _alukatse, --, --, --, 
   {{0x4cad002b,0xbc73030b,0x5c850156,0x914600c1}},	//   _চিন্তাবি, _alisaba_, _זוסיא_, _दोघंही_, 
   {{0xff6a0012,0xdeb40023,0x00000000,0x00000000}},	//   _पटिदारन_, _упала_, --, --, 
   {{0xf24102d5,0x51c700bc,0xe7d80079,0xaa570125}},	//   _राजतंत्र_, _داستانک_, _elektrīb, _битарап_, 
   {{0x2394017a,0xbe58003c,0xfc8002cf,0xb2d802b4}},	//   _ngisho_, _خودسوز_, _леден_, _ihlele_, 
   {{0xa394022f,0xfba801b7,0xf7dd02af,0x96c9034c}},	//   _maisto_, _धातूनां_, _barashav, _гитарасы, 
   {{0x5290046d,0x83020405,0x95440126,0x72d000dd}},	//   _wanale_, _польоту_, _slokkesy, _morlais_, 
   {{0x997600d1,0x0dba0055,0x28e10145,0x7a3f027b}},	//   _দৃষ্টিগো, _disaient_, _operatyv, _अननुबन्ध, 
   {{0x3db5033f,0xa2da0367,0x139e0138,0x00000000}},	//   _faingama, _fatores_, _müstakil_, --, 
   {{0x79760173,0x55800148,0xed02006e,0x80cd02c2}},	//   _দৃষ্টিকো, _物品所在地_, _fuglukat_, _busongel, 
   {{0x72f40156,0x9ce9033e,0xeccb01be,0x46440204}},	//   _ענגעלס_, _ретност_, _स्वयंको_, _logistii, 
   {{0xfcbd01a7,0xd2f4018b,0x8cf2019f,0x5a71000b}},	// [3620] _наверное_, _ultimul_, _صائمه_, _aogasiva_, 
   {{0x91630262,0xdeb6048a,0xa290005b,0xc27e01b3}},	//   _дурус_, _элементт, _kaname_, _правовий_, 
   {{0x32d802f0,0x22b602e2,0xcdab020f,0x1e460007}},	//   _ahlele_, _fescue_, _akananga, _bafarize_, 
   {{0x35020434,0xaa3900be,0xb6d000a6,0x894e031e}},	//   _correcto_, _берери_, _bevakali, _otklonit, 
   {{0x3c5404d3,0x66cc0110,0xd17501e8,0x00000000}},	//   _lintawd_, _mazajiem_, _makalagl, --, 
   {{0xe3d70211,0xb7910243,0x520705fb,0x73e50161}},	//   _moottori_, _tanteeti, _sirijski_, _значимых_, 
   {{0xb394023b,0xe387029f,0xe10f0193,0xd3ea025b}},	//   _epeso_, _nitre_, _पश्चिमेक, _skotin_, 
   {{0xd3ff024f,0xb892017a,0xe3eb0058,0x60010089}},	//   _buturaki_, _abahlomu, _kretat_, _усинск_, 
   {{0x5112014c,0xb25f031d,0x02da030f,0x1e210047}},	//   _ayakuvul, _austrail, _hatere_, _parleurs_, 
   {{0xb5a602d5,0x3477014e,0xb5c701f6,0x129000cf}},	//   _कसरती_, _далека_, _মণিৰাম_, _baname_, 
   {{0x21bb01ab,0x09300297,0x19f6019f,0x224106a8}},	//   _चहुँपल_, _artmasqa_, _kuhimiza_, _mramorni_, 
   {{0x9f340137,0x44d70153,0x52da0198,0x7c60057c}},	//   _алдрыг_, _検索エンジン_, _matere_, _hestens_, 
   {{0x229102e2,0x3bc40382,0x51d00183,0x00000000}},	//   _aggair_, _manyanis, _halemeny_, --, 
   {{0xfc42014e,0x399a0220,0x52640583,0xfb3201a3}},	//   _непознат, _цветята_, _zaslon_, _جهوٽي_, 
   {{0xf374004f,0xd2240130,0x770e02b9,0xb18e0314}},	//   _dépansé_, _damkan_, _bakteriá, _аяғөҫтө_, 
   {{0x19cb0109,0x884101ac,0x9a1e0311,0xd30d00d3}},	//   _गरेपनि_, _تلمسان_, _ክትግንዘብ_, _kapacit_, 
   {{0x0dff0305,0xf5f200d1,0xe2d90096,0xf4990347}},	// [3630] _meldinga, _ইমৰান_, _alvera_, _onwaarsk, 
   {{0x32da0198,0xf4c6000c,0x90dd0109,0x79f4005b}},	//   _katere_, _аркыуп_, _jednatel, _manér_, 
   {{0x2b5d03d0,0xa67e00bc,0x1264001b,0x516702ea}},	//   _borilačk, _استتار_, _ayoodini_, _мазнини_, 
   {{0x1f930229,0x331e0047,0x7f2d0192,0xf4e1003e}},	//   _vurdular_, _bouchon_, _bereidin, _аблеев_, 
   {{0xbd9801f6,0x338701eb,0x02010211,0x45cb020f}},	//   _পদ্ধতিৰ_, _guarâ_, _repii_, _سرچېنې_, 
   {{0x5d410225,0xc2eb0203,0x47d202eb,0x9c6600f6}},	//   _bagadugu_, _atenher_, _инженерч, _dostunu_, 
   {{0xdece02f7,0x5c700251,0x55a404df,0x7cf70109}},	//   _dibilion, _sarsare_, _amnistiý, _protikor, 
   {{0x72f301d4,0xc1f70060,0xb699006d,0x3aa70187}},	//   _adrizzu_, _жиынын_, _аналаг_, _паѓаат_, 
   {{0x614e01f9,0xd49c00a8,0x48ca0350,0x00000000}},	//   _akufakel, _devastaz, _ከሆላንድ_, --, 
   {{0xa29000a2,0x42ce018a,0x92bb01d5,0x4150011a}},	//   _manake_, _eironig_, _velence_, _קצבאות_, 
   {{0xef2c0074,0xdb1a0212,0x9fd502a2,0x5c52038e}},	//   _onnellin, _disperde, _panibago, _nentuin_, 
   {{0xd2020114,0x83560058,0x46e80350,0xc74a013d}},	//   _action_, _virebas_, _ከወትሮው_, _bicikloj_, 
   {{0x468c0157,0xcccc0163,0x3a7802f7,0xb84f0125}},	//   _देवास_, _شیرنی_, _bogagapa_, _көлегеси_, 
   {{0x15be00be,0x72800175,0x1c610222,0xe2120087}},	//   _ايتچۇۇ_, _sansibil, _capteur_, _kwihi_, 
   {{0xb7a30211,0x52900239,0xea45011f,0xdc6001c0}},	//   _annettav, _hanake_, _grúpope_, _bukuwan_, 
   {{0xf89f02f0,0xca17048f,0x76b30119,0xbffe028a}},	//   _asikephu, _botalaka_, _hinunday, _ملازمتون_, 
   {{0x020004fe,0xc3f80298,0xe37f0334,0xb61800f0}},	// [3640] _impieghi_, _huhuti_, _ankatha_, _polomafi, 
   {{0x77b801d2,0x8cd1004d,0x00000000,0x00000000}},	//   _fiestapi, _但是我不斷勉勵自, --, --, 
   {{0x43f102e0,0x3c680053,0xe7a302e5,0x08b70541}},	//   _begelang_, _nugroho_, _findserv, _kritikov, 
   {{0xc9fb023e,0xedcb02ac,0xec71019f,0x92a601fc}},	//   _kapungku, _جثمان_, _شھباز_, _kalbik_, 
   {{0x7317024c,0xc9bd02c2,0x529000fe,0x19d701db}},	//   _arazzi_, _windpomp_, _kanahe_, _ханзада_, 
   {{0x698a00c7,0x95d8018d,0xf271048f,0x67b2020e}},	//   _bakıy_, _ዘይቅበልን_, _ebandeli_, _вольтлы_, 
   {{0xb3990132,0x9dc301d2,0x106f00a5,0x6b2102af}},	//   _másik_, _allincha, _fakatalo, _baracumb, 
   {{0xa8ae0246,0x92d80418,0x96c6004d,0x09f100cb}},	//   _сметка_, _ekleme_, _所有的時間均為_, _abenzela_, 
   {{0xa3160129,0x125a029f,0x73ce04e3,0xd2da01f3}},	//   _esizi_, _kvoli_, _živio_, _diplomy_, 
   {{0x95cd011f,0x3e5c0350,0x82da0212,0x7e2f0144}},	//   _españayg, _የሶማልያን_, _patere_, _thomáis_, 
   {{0x6c18011d,0x00360195,0xb3f900c5,0x16d103a2}},	//   _милилитр, _buntainn, _chaude_, _ऑफ़िस_, 
   {{0xb3f8025f,0x7d83026f,0x7a8b0227,0x4320005c}},	//   _kokufa_, _باقپادىم_, _menyesat, _agaya_, 
   {{0xb39400bd,0x028d0185,0xa2d9000c,0xa2e100c3}},	//   _arisin_, _системын_, _lovera_, _balneum_, 
   {{0x5b650244,0x0316006a,0x030d013d,0xd9f9025c}},	//   _cellular, _krizy_, _milionoj, _gewachse, 
   {{0x469b0099,0xd2ec0220,0xd7b6008d,0x1c0501d2}},	//   _asvetuki, _avviare_, _guruhini, _cuerpoy_, 
   {{0x36570232,0x1942019d,0x5caf01e5,0x8faf02f7}},	//   _אָקספֿאָ, _choletse, _oluyawor, _leroboro, 
   {{0x5a70020f,0x5e9202cf,0x83a60158,0x00000000}},	// [3650] _angasiwa_, _коктели_, _odnajduj, --, 
   {{0xfd1b0037,0x6fca01c2,0x8a03020f,0xe2b40177}},	//   _በማካተት_, _estivero, _anyameze, _haicha_, 
   {{0x43f9023d,0xe26e00fe,0xa2900227,0x02d9003e}},	//   _alcuna_, _fetoho_, _illahi_, _hofeta_, 
   {{0x22a6044a,0x2c7e02c1,0x7da503b7,0xa27e040a}},	//   _zambi_, _amasomo_, _aerialwa, _galna_, 
   {{0x127e0136,0x867b0094,0x963f0092,0xf4570361}},	//   _radna_, _بىلەگەن_, _現在ブックマ_, _лицензи_, 
   {{0xb2a60461,0x931203d5,0xd2c600ce,0x84cb0012}},	//   _cambi_, _babbitt_, _oubliye_, _खँभिया_, 
   {{0x527e022a,0x29d0008f,0x927f00bd,0x00000000}},	//   _balna_, _venelast, _dwango_, --, 
   {{0x003000be,0x888700d6,0xf79f0263,0x769c01da}},	//   _جويۇتتار_, _صرقعه_, _leidingg, _mengjesi, 
   {{0x5d07003a,0xe2bc0193,0xb3ac029d,0xda7c0262}},	//   _эрматов_, _मजकुर_, _corpul_, _ahwalata_, 
   {{0x72910235,0xd2900435,0x90c80045,0xf4950061}},	//   _savane_, _dodaci_, _ibarskoj_, _디지털카메라_, 
   {{0xa2a60099,0xca15036c,0x020102fd,0x684f00e6}},	//   _rambi_, _malalaka_, _cogidh_, _外文科技期刊数据, 
   {{0x52780101,0xa30b029f,0xf93503db,0x92b4034e}},	//   _ajunge_, _turistov_, _ahambisa_, _caicha_, 
   {{0x486106bc,0x727f027f,0x8e9d014e,0xdf350155}},	//   _donnchad, _bwango_, _напустио_, _obesvara, 
   {{0xb14701e1,0xd2920298,0x0c5e0037,0x28890147}},	//   _хазина_, _hepara_, _እውነታውን_, _توبۇنان_, 
   {{0xe5d10046,0xca01005a,0xaef10052,0xeb7e0195}},	//   _امانتۇر_, _ghertlhu, _विप्लवसि, _fiolmaic, 
   {{0xb290022e,0xa6b102e2,0xb37301fa,0x96c20418}},	//   _andati_, _bequeath, _falamoe_, _haftanın_, 
   {{0x920204fb,0x1b8b0037,0xc6db0399,0xbd1f0294}},	// [3660] _equipo_, _ወንጀልን_, _lakangaf, _cuellaje_, 
   {{0x2a0902fe,0x9ad50594,0x69520250,0x3b6c00a4}},	//   _عقیده_, _postadre, _papritur_, _تۅكمۅلۅر, 
   {{0xf25b0566,0x53c60013,0x3201038e,0x6e00040a}},	//   _daglig_, _اعالن_, _jepit_, _söderham, 
   {{0xa2900193,0xe2dd025f,0x77320061,0xd6f5047b}},	//   _cuman_, _betelemi_, _정비사업의_, _dalbúð_, 
   {{0x82000166,0xc4c100d1,0xf2910318,0x5bd200be}},	//   _medien_, _ইস্তাহাৰ, _lavame_, _قوڭعوروو, 
   {{0xd2fe00d9,0x1dba0478,0x4d190257,0x1b8703bf}},	//   _ostotarj, _aisament_, _gissurar, _кускилди, 
   {{0xf2610153,0x73170107,0x99d50259,0xd27a0108}},	//   _同和対策事業特別, _blencong_, _canteapu, _dewawarm, 
   {{0xca3c0543,0x82900136,0xc37f027f,0x7a15042d}},	//   _чуров_, _kolaci_, _kikarya_, _halalaka_, 
   {{0x8aed0039,0x09e20325,0x84dc0291,0x5dc20229}},	//   _gasteizt, _bitiyeva_, _لتصنيع_, _cinsində, 
   {{0xe2d901d4,0x64070142,0x34d502bb,0x52480134}},	//   _povera_, _प्रदाय_, _गीतिका_, _fonmu_, 
   {{0xc9fa003c,0xe32104d7,0x00000000,0x00000000}},	//   _اروبیک_, _steypa_, --, --, 
   {{0x63fe000b,0x73d50238,0xaed4038a,0x939602d5}},	//   _apolokik, _пунктів_, _allitsin, _ilusad_, 
   {{0x0f3a00c8,0x8fde00bb,0x738601c0,0x842003a2}},	//   _фамилияһ, _کمےٹی_, _amiril_, _गुंबद_, 
   {{0x037800ef,0x77db0011,0x4e95024a,0xc8cd0155}},	//   _څيرمه_, _bakangav, _olumudan, _reseguid, 
   {{0xa33302ec,0x06aa0226,0xfa8a01f7,0x8dad00c4}},	//   _رٔچھِن_, _akagundi, _addicion_, _ٽارچر_, 
   {{0x9290038c,0x23a20050,0xc9dc0222,0xd37f004a}},	//   _podaci_, _nempo_, _remercie, _bolarga_, 
   {{0x63950200,0xf379033e,0xa5060238,0x8e4a003b}},	// [3670] _asusu_, _pinasco_, _вдома_, _ashayele_, 
   {{0x24e60162,0xa63d008d,0x7145027b,0x158103f0}},	//   _رايونغا_, _bibixoni, _द्यूतं_, _brottrek, 
   {{0x1bee0205,0x99d40024,0x9f3e00db,0xa8ea0198}},	//   _калом_, _বিভ্ৰান্, _करतियों_, _pregledu, 
   {{0x9bf50014,0xc59d0126,0xec9b0064,0x54370178}},	//   _ኣብያተክርስት, _паспорта_, _باستاشقا, _aniccato_, 
   {{0x2f680144,0x6eb600bb,0x20b6020f,0x74800062}},	//   _chaambas_, _بدنظمی_, _بدنامۍ_, _mavumbej, 
   {{0x02020245,0x92900071,0x027e0372,0x930d03db}},	//   _husiar_, _andari_, _cadno_, _kombala_, 
   {{0xb2900141,0x166501b7,0xe93f03c6,0x52d900d3}},	//   _tuman_, _कालस्य_, _ferminde, _liligeři_, 
   {{0xfadf070d,0x0fe803a2,0x90b8005e,0xfd8a040e}},	//   _seguinte, _स्टापें_, _ئەنەس_, _arvelege_, 
   {{0xc2f10198,0x929002ee,0x9db5010f,0x76ea004d}},	//   _samostoj, _ruman_, _abangala, _全國戶政機關_, 
   {{0x518f0462,0xf4b8025c,0xacdb0022,0x86470453}},	//   _allanway_, _motorräd, _этабын_, _kafićima_, 
   {{0xd2ef00a1,0xa788012e,0x92900201,0xe2ca0392}},	//   _pikitia_, _کوروکنے_, _dumal_, _chodal_, 
   {{0xcd1e01a3,0x593500ec,0xc20101c9,0xe42503ae}},	//   _اٽينڊ_, _skambint, _lepik_, _torstein_, 
   {{0x5ad601e1,0x12ef0102,0xd0e90161,0x00000000}},	//   _aceturat, _fikiria_, _капюшоно, --, 
   {{0x5b280193,0x3692027f,0xa3570053,0x025b01df}},	//   _माध्यमां, _banditsw, _siregar_, _dwalls_, 
   {{0x750405d7,0xb80e010f,0x97b60299,0x62000452}},	//   _battango_, _далелҳои_, _ئالپلار_, _gulita_, 
   {{0x24130145,0x97e800ff,0xb8890188,0x831600a2}},	//   _пожелаю_, _שעדליץ_, _самараба, _tumboni_, 
   {{0xa0dd01bb,0x33950342,0x72000318,0x4387022d}},	// [3680] _awtobusl, _asasen_, _hulita_, _antru_, 
   {{0x816300b3,0x23f901b5,0xf2900255,0x57b600bb}},	//   _гурур_, _chauke_, _jumal_, _انفیکشن_, 
   {{0x32a60022,0xbdac006c,0x795101c3,0x63560445}},	//   _sheba_, _партофта_, _aerospat, _tarefas_, 
   {{0x2cf8005e,0xfdc80092,0x125a0151,0x77c70211}},	//   _پەيلاسوپ_, _あなたの評価_, _agiler_, _насилия_, 
   {{0xe93f01b4,0xb69203a6,0xf743018d,0xa21c0133}},	//   _verminde, _zanditsw, _ብምድርባይ_, _beshir_, 
   {{0x268400e6,0x19c7004a,0xae39003d,0xa3f8000b}},	//   _据不完全统计_, _шундыйла, _blindats_, _tokula_, 
   {{0x5713015c,0x469202af,0x4af300e7,0xbb4b0311}},	//   _presenté, _canditsw, _andridge, _ዝድግፉን_, 
   {{0x447b014d,0x5e1a00d2,0x9bde012e,0xcc7102cd}},	//   _freunden_, _pabeteka, _privátba, _fabreru_, 
   {{0x721600b0,0x56e80061,0xb1fd0067,0xda160403}},	//   _والى۪ن_, _가능범위에_, _bilisoom, _dadazaka_, 
   {{0x82da0364,0x92c2030b,0xaa0e0182,0x4411040f}},	//   _streck_, _amaliya_, _palauale, _redagavo_, 
   {{0xf27e00ac,0x18e900a6,0xd2d8070e,0x23f8011b}},	//   _radno_, _abasemng, _boneca_, _kokuma_, 
   {{0x9c23005c,0x6c6a029c,0xedc401d4,0x00000000}},	//   _aburanis, _aphungu_, _alliscia, --, 
   {{0x3a04007e,0xf22c00ef,0xe386025e,0xc9ed03ef}},	//   _प्रश्नो_, _خیاله_, _afdrif_, _bakinira_, 
   {{0x5320014c,0x72fe0145,0xc2920053,0xd09e0156}},	//   _ngaye_, _motinos_, _pepaya_, _מחותּנים_, 
   {{0x39e30135,0xca5800d1,0x00000000,0x00000000}},	//   _тоталар_, _borggata_, --, --, 
   {{0x62d90244,0x83a10291,0x00000000,0x00000000}},	//   _doveva_, _للتدخل_, --, --, 
   {{0x89c700a7,0x37300013,0x91b700e5,0xfa040235}},	// [3690] _каражат_, _دیناسی_, _тихомир_, _प्रश्ने_, 
   {{0xd3000393,0x20ef0148,0xfaba040a,0xc2bb0163}},	//   _članci_, _故知般若波羅蜜多_, _fraktkos, _medence_, 
   {{0x5ff70205,0x527e0067,0x3eea01a3,0x6c660420}},	//   _барбод_, _badne_, _بسڪوٽ_, _пресели_, 
   {{0x82da021e,0xfd1c0148,0x630e02db,0x12df00af}},	//   _datorer_, _informit_, _japanis_, _legning_, 
   {{0x69f20439,0x2d8c009b,0x33eb009a,0x775e00ab}},	//   _asungula_, _animalia, _asetwe_, _kirimang, 
   {{0x32900129,0xac2c036d,0x526f036e,0x0c52027f}},	//   _aghara_, _chearnac, _caruncul, _iratoba_, 
   {{0x62fd0051,0xf6890074,0x02fd0138,0x6e4e017a}},	//   _akcijas_, _настольн, _biliyor_, _сауди_, 
   {{0x825a02c2,0x9235002e,0x054801cd,0xc24e0100}},	//   _willem_, _prošlost, _тамаллуқ, _brodovim, 
   {{0x83f8022a,0x7ad6011b,0x72950303,0xa3e50212}},	//   _brouck_, _akatikat, _bapalami_, _illustri_, 
   {{0xff410140,0xe98501a4,0xd2e3008e,0x00000000}},	//   _abogadon, _komiteka_, _indilee_, --, 
   {{0xfcf4018d,0x48740334,0x8c2602ef,0xd00f01a3}},	//   _ዓንደማርያም_, _amaimbid, _benzoliv_, _ٽياڪڙي_, 
   {{0xdef50515,0x83c600bc,0x62900020,0x78c3006c}},	//   _orphanos_, _فعالی_, _leiato_, _бетаваҷҷ, 
   {{0x2cdc0147,0x336601a4,0xa3df03d4,0x00000000}},	//   _perquè_, _obatisam, _обратити_, --, 
   {{0x09aa0188,0x3ae2017d,0x49bf014d,0xa2910163}},	//   _хотир_, _fortryde, _sendunge, _zavart_, 
   {{0xd71306d9,0x3c73030b,0x40090022,0x227e01cd}},	//   _presentá, _alisiba_, _машинана, _amenze_, 
   {{0xdc650120,0xfdff0025,0x10ea0148,0xae320169}},	//   _acquise_, _जन्मानि_, _企業職工工傷保險, _করিয়া_, 
   {{0x33860082,0xd615034f,0x527e0160,0xdc1b0326}},	// [36a0] _amirul_, _سپکاوي_, _radne_, _achanyar, 
   {{0xab19017f,0x02ea01bf,0x42390289,0x627e0009}},	//   _allagars, _grunnet_, _atumiki_, _sadne_, 
   {{0x53870250,0x9db8001c,0xc14f0037,0x63010197}},	//   _njeriu_, _bebravou_, _ስለሚችሉ_, _apranti_, 
   {{0xb5ee0125,0x8c7604ca,0xcdcc011a,0x00000000}},	//   _akademiý, _casudas_, _הפירסום_, --, 
   {{0x33950083,0x85ee03a4,0x75cd0126,0x41d50420}},	//   _spusa_, _akademiú, _достроко, _дванаесе, 
   {{0xa15c0088,0xc15c02da,0x00000000,0x00000000}},	//   _сурай_, _сусам_, --, --, 
   {{0xce2a011f,0xd9c60219,0x00000000,0x00000000}},	//   _idignida, _emsebent, --, --, 
   {{0x32e60362,0xee890046,0x9dad0224,0x00000000}},	//   _abenisa_, _قوشامات_, _fornalda, --, 
   {{0x034006d5,0x3db6028a,0x59da0035,0xd07201e7}},	//   _verdens_, _maandama, _гражданн, _finanzko, 
   {{0x52900450,0x630c0235,0x42f70066,0x0c0600d5}},	//   _stean_, _asatyāṃ_, _bisitak_, _fotriny_, 
   {{0x2bc40037,0x686c028e,0x32920095,0xedda016d}},	//   _ሊቃውንተ_, _kristens_, _cisauk_, _парихорл, 
   {{0xf2b502bb,0x6af300e6,0x82d600e2,0x00000000}},	//   _czechy_, _是科学的旗帜_, _sinleas_, --, 
   {{0x83110149,0x73ea000e,0x86d201db,0x52f100b3}},	//   _ọbara_, _junter_, _سەزبەس_, _bizinki_, 
   {{0x096d0416,0xeba90218,0x12da0066,0x127e01dd}},	//   _poliglot, _aightstr, _liteke_, _amenye_, 
   {{0x896b027f,0x86a90187,0x42fc012a,0x9c1c0042}},	//   _arinyege, _направим, _tragedii_, _declarou_, 
   {{0x00000000,0x00000000,0x00000000,0x00000000}},	//   --, --, --, --, 
   {{0xd9c60219,0xc20e006d,0x32fe03da,0x2308019e}},	// [36b0] _umsebent, _дамам_, _putakari_, _маладосц, 
   {{0x66d3041a,0x8b06026f,0x1f4000ae,0x92fe01a2}},	//   _студенті, _жансая_, _aragican, _misijas_, 
   {{0x62ba0373,0x3ae20184,0x62560024,0xb3070277}},	//   _traduki_, _izitembe, _বিগ্ৰহ_, _mapatik_, 
   {{0x2c7505ba,0x638700c5,0x00000000,0x00000000}},	//   _बोर्डर_, _vitre_, --, --, 
   {{0x1c60014d,0xf3950082,0x73f8044a,0x139400d9}},	//   _bestens_, _asasan_, _likuta_, _taisto_, 
   {{0x4f3b0067,0xd7a00373,0x09c5004d,0x00000000}},	//   _arguudha, _neatendi, _ravennat, --, 
   {{0xebab0206,0xbb89019b,0x1db60264,0x41480261}},	//   _fungovať_, _finansų_, _kaandama, _centmilo, 
   {{0xdf5c0082,0x5201005b,0x72bc0105,0x64b5017f}},	//   _magangan, _ffxiv_, _दारुल_, _arrannik, 
   {{0x62a6002a,0x339501bb,0x72900253,0x26420109}},	//   _chebe_, _esasan_, _allami_, _झन्डा_, 
   {{0xd2eb0168,0x6ae4002b,0xba2b0024,0x63870242}},	//   _trenger_, _আঁধারে_, _গৈছিলো_, _tutsaydi_, 
   {{0xd3160382,0x8a6c0166,0x429a0206,0xa7530420}},	//   _gumbani_, _stammtis, _vedomý_, _профилот_, 
   {{0xf0de02c3,0xfab40401,0x7b8d018a,0x00000000}},	//   _považská_, _जनश्रुति_, _califfor, --, 
   {{0xa6c80415,0x6cd70113,0x323d01b7,0xb723012a}},	//   _mitarbei, _أعداد_, _आश्चर्यम, _postaram_, 
   {{0x7f7e0012,0xc30e00f6,0x727e02d0,0x625b0291}},	//   _जानअनजान_, _salaraq_, _hadna_, _ngalar_, 
   {{0xdd810011,0xa2eb041a,0xf53900de,0x00000000}},	//   _josephat_, _trender_, _akwintsh, --, 
   {{0xb1c3010f,0x3a8a0151,0xe2a801ac,0xe29201f4}},	//   _чориева_, _sedition_, _placenam, _tepaga_, 
   {{0x7d8c0388,0xe31e00e1,0x43550187,0xcb9700a6}},	// [36c0] _парченца_, _kerceen_, _tabelas_, _حاضرینو_, 
   {{0x03870235,0x72ba05be,0x39f6019f,0xe81500b7}},	//   _pitre_, _gradski_, _sikiliza_, _курана_, 
   {{0x722a0037,0x0e810143,0x87e90145,0x00000000}},	//   _ተካፋዮች_, _столчета_, _аратарск, --, 
   {{0x02a60216,0x6292034c,0x82a60303,0x03870176}},	//   _hambi_, _izrail_, _thebe_, _intri_, 
   {{0x32a6012c,0x4f0f02ac,0xe47702ea,0xdbcb0185}},	//   _kambi_, _للسمينات_, _estetico_, _ikeyaqlı_, 
   {{0xe1870025,0xd44e0076,0xe20200d6,0x77c70078}},	//   _vartamān, _списание, _thuill_, _паркова_, 
   {{0x4290004f,0xfad50218,0x12d8017e,0xb9b80185}},	//   _jumaa_, _onstruct, _bonega_, _архивлар, 
   {{0x925b01af,0x8de70177,0xe29000e1,0x429702e2}},	//   _agalar_, _иҳаҭыри_, _dumaa_, _bueklit_, 
   {{0x9ad503b2,0x9a2d0177,0x929e0162,0xab490311}},	//   _instruct, _ииҩыз_, _хилап_, _ትሕስምቲ_, 
   {{0xe2a0067c,0x9413005b,0x9320025f,0xf74c0311}},	//   _hotboy_, _yamamoto_, _ngayi_, _ባርዳይሳን_, 
   {{0xb63203fd,0xcf3e0113,0xc318018f,0xc290021c}},	//   _amanaiai, _astrálac, _holchaj_, _volali_, 
   {{0xb37b0035,0xaba60021,0xf3860342,0xbd9004df}},	//   _orenburg_, _agazines, _gadri_, _bolegine_, 
   {{0x62cb01d0,0x72d1014e,0xf742048a,0xa290008d}},	//   _steder_, _pojedini_, _دەيسىڭ_, _tolali_, 
   {{0x53f8023b,0xae21027b,0xd290018f,0xf43f003c}},	//   _mokuna_, _द्यौः_, _mumaw_, _لژیونر_, 
   {{0xeb21027f,0x3693023a,0x93f90055,0xd8bb020f}},	//   _barakumb, _pietruch, _ancura_, _جينکۍ_, 
   {{0xf2c1019d,0x29f8023b,0x6290010d,0xd8fa015e}},	//   _akolola_, _mokihana_, _dumai_, _сюжеттик_, 
   {{0xeba8001c,0x5f590203,0xfb0e02bf,0x6b200054}},	// [36d0] _alayonan_, _expanden, _entsanje, _hayaƙin_, 
   {{0x3d7a009a,0x5b1f0015,0xbe560014,0x6d040350}},	//   _abalelwe_, _kumanaan_, _organike_, _በነበርኩበት_, 
   {{0x03db0318,0x36e8013b,0xad5f0335,0x32900241}},	//   _kaluseti_, _jaraczew, _bhāñji_, _gagaarii_, 
   {{0xa31a0271,0x725a03bd,0x02e901c5,0x7e6c00ba}},	//   _motivasj, _ecklin_, _dariska_, _ریسوا_, 
   {{0xc9c7015e,0xed9401d4,0xbee500a7,0xa9f80362}},	//   _балага_, _spalanca, _сынакка_, _likitana_, 
   {{0xcc5a0203,0x3b2700bd,0xa9960040,0xe9f90014}},	//   _unitari_, _clearnes, _איגרוף_, _inkuraju, 
   {{0x965100c7,0xc64501b8,0xe387012e,0xd0300654}},	//   _amerikän, _blokeeri, _hajrá_, _menerobo, 
   {{0xa2900089,0x6379040d,0xcc680374,0x6eb50035}},	//   _urman_, _tekanyo_, _موسمیده_, _agronomn, 
   {{0xd35100d6,0x9a17027e,0xc20102d4,0x73010290}},	//   _meiriceá_, _дефицита_, _rabius_, _agradsi_, 
   {{0xc08c0366,0xfe140238,0x6985002b,0x1ea80630}},	//   _слева_, _власний_, _ইলাতাই_, _okgessib_, 
   {{0xa3870119,0x61d7006d,0x96370514,0x73000414}},	//   _nitra_, _вапняку_, _geosteel_, _kabambi_, 
   {{0x7e150218,0x358501f1,0xb8b202db,0xe4fb010d}},	//   _umbersna, _komentoh, _prodiusu, _गोसावी_, 
   {{0x69aa01cd,0xf2ee004f,0x94250331,0x983c0125}},	//   _собит_, _anofon_, _forsetin_, _шәхерлил, 
   {{0x879201f4,0x81470066,0x9d0f0040,0x4d1e0047}},	//   _نصرانی_, _машинаа_, _המכתב_, _cyclisme_, 
   {{0x4a060307,0x303b003e,0x2c3f0311,0x02130143}},	//   _bembalwa_, _стенала_, _ዘካይደሉን_, _военния_, 
   {{0x26430544,0xf0950488,0xf20801a3,0x00000000}},	//   _aliiwahi, _inteliģe, _هيڪلو_, --, 
   {{0x23a2041e,0x98f101eb,0x00000000,0x00000000}},	// [36e0] _tempi_, _langgrou, --, --, 
   {{0xe3ea0117,0x5e2b02fd,0xb6810092,0x83480185}},	//   _dokta_, _ainghlea, _ここをクリック_, _протезны, 
   {{0xe3000010,0x442f00e6,0x67c90086,0x829200da}},	//   _babambi_, _对照生日查查你属, _چکسواری_, _votati_, 
   {{0x67a201a2,0x5a0302a2,0xfc280037,0xdb2e0153}},	//   _kredītvē, _diyalekt, _በምክትል_, _東京都江戸川区新, 
   {{0x5c5104ec,0x4c6006af,0x149803b4,0xe28701e5}},	//   _agitura_, _kayumba_, _aiparadz, _edekede_, 
   {{0x8c84007b,0x1b5400ae,0xff980309,0x1aaf0061}},	//   _streamed_, _idemokar, _antitürk_, _정치적으로_, 
   {{0x3a560182,0x5c0f0223,0x63870278,0x431701f4}},	//   _barenaba_, _baloratu_, _jitra_, _indamay_, 
   {{0x6c7b00c1,0x4290031d,0xea070057,0x25630311}},	//   _काव्यलेख, _armal_, _solatnya_, _ዲክታይተር_, 
   {{0xa3f901fe,0xb2d8011f,0x13870034,0x63a20239}},	//   _akaude_, _fonema_, _eitra_, _teepa_, 
   {{0xf46a0133,0x93200331,0x7316012a,0xc2740102}},	//   _moqdisho_, _møblar_, _frazy_, _روپلو_, 
   {{0x1b840244,0xc201058a,0x4d2f06d9,0x6ff70378}},	//   _експлоат, _cepit_, _palmarés_, _biskupur_, 
   {{0xa2da05b3,0x02900165,0x404b003a,0x7596014a}},	//   _streek_, _cilavi_, _mehribon, _cukrászd, 
   {{0xfad800f5,0x4c930102,0x784300ec,0x629102cc}},	//   _гитдигич, _ڌاران_, _martynas_, _tavale_, 
   {{0xdf56016d,0x4be00450,0x91440128,0xb34400d4}},	//   _листик_, _bewenner, _анонимай, _betelje_, 
   {{0xe28a0177,0x8a3d0139,0x15bb02d8,0x00000000}},	//   _апремиер_, _ananyayā_, _detikcom_, --, 
   {{0xc27501d8,0xc3950014,0x5da001ac,0x60c7023d}},	//   _basaiawm, _vrasin_, _briotana, _типичен_, 
   {{0x4c6a0312,0x02d802f7,0x026d0285,0xb48e003c}},	// [36f0] _steuñv_, _dinewa_, _akwos_, _فجرسپاسی_, 
   {{0xfda4020f,0x6a0500f2,0xf2ed00dc,0xe25d01d7}},	//   _abanonop, _koledža_, _fasiofe_, _organisà_, 
   {{0x05c00040,0x1c7e0152,0xd2bb03a4,0x631602bb}},	//   _ומגברי_, _basseyn_, _bardagi_, _urazy_, 
   {{0x0602042f,0x88d00277,0x66c500a6,0x36330231}},	//   _naalauti, _greensbu, _قونسل_, _incassum_, 
   {{0x67a205b1,0x43160365,0x65e700c4,0xec7502f3}},	//   _spotrebi, _srazy_, _ٻُڌائي_, _valutor_, 
   {{0x34b801cd,0x1c5c0060,0x3292010d,0xba8a0220}},	//   _ойини_, _айларынд, _rotasi_, _сателитн, 
   {{0x0a07022a,0x09ed0033,0x125a029b,0x014f0145}},	//   _bahariya_, _istorgia_, _dallul_, _уступ_, 
   {{0x7e4500fa,0xab6503fc,0x4212023b,0x3b7603b5}},	//   _pinangga, _roperten_, _owaho_, _putranya_, 
   {{0x4a20000c,0x53a202ad,0xc200026c,0xb7c80105}},	//   _araguápe_, _kempu_, _audita_, _zaatakow, 
   {{0xe21201ed,0x16d50120,0x96120060,0xf25a00c1}},	//   _iwaho_, _firamfii, _تەكشەۋ_, _ngiler_, 
   {{0x74700277,0xd20002c2,0x38e00061,0xf2d701b2}},	//   _telepono_, _bedien_, _모르겠네요_, _bifocal_, 
   {{0x9290037f,0xbe4502a2,0x738600b4,0x8226002a}},	//   _lumat_, _tinangga, _cadru_, _nsukka_, 
   {{0x13720303,0x9e7700d7,0x4c9501a3,0x73610153}},	//   _abilweng_, _урманлы_, _ڊارلنگ_, _ガソリンスタンド, 
   {{0x1200046d,0x16a00249,0xe523005e,0x038600a6}},	//   _gudisa_, _bragrapi, _ﺋﻪﻧﻬﯘ_, _مافيايي_, 
   {{0xb2350544,0x8f94004b,0x2fe90255,0x4c7602f7}},	//   _hīmeni_, _алистар_, _निरामया_, _hutsang_, 
   {{0xa6f30052,0x023202c8,0x464304b3,0x537a00a5}},	//   _उपनिवेशव, _fálase_, _diokleti, _togavao_, 
   {{0xe99400d9,0x075702cf,0x452e0056,0x7ed0019b}},	// [3700] _joukkuee, _бунтовни, _abangith, _абортаў_, 
   {{0xbc740121,0x00000000,0x00000000,0x00000000}},	//   _saludos_, --, --, --, 
   {{0x037b026c,0x63860108,0x284c00f2,0x32f001e9}},	//   _humanum_, _badru_, _negaidīt, _dikirii_, 
   {{0x72d20087,0xb066026a,0x12fd016e,0xc1d200ea}},	//   _jenerali_, _buladodo, _gidiyor_, _jeneraly_, 
   {{0x027f0364,0xe3a201d4,0xb9b900c4,0x282301a3}},	//   _klengt_, _tempu_, _مرڻينگ_, _چَنڊَ_, 
   {{0x229000a5,0x931f023d,0xf25a0101,0x89db0311}},	//   _tumau_, _cercato_, _anilor_, _ምፍታንካ_, 
   {{0xe2d800b4,0xa7770261,0x137902cf,0x63a20499}},	//   _cineva_, _יתומה_, _laranja_, _feepo_, 
   {{0x8d040212,0x688e042c,0x0dce0003,0xf9ff0109}},	//   _dremhost_, _državnu_, _luchtvaa, _bederní_, 
   {{0xeddb053f,0x59f200ee,0xd27e00a1,0x5f4001d5}},	//   _katjatap, _begirada_, _ohonga_, _versenya, 
   {{0xe2a6007b,0xe0d10163,0x0c800388,0x12580198}},	//   _lambs_, _kialakul, _зелен_, _odpovedi_, 
   {{0xfc4b0009,0xb2000252,0xf0410151,0xa27e02c2}},	//   _največ_, _mulisa_, _appurten, _deense_, 
   {{0xd387038a,0x53a204b3,0x33f702eb,0xcc3402a8}},	//   _mitru_, _templ_, _хаянаа_, _bieraħ_, 
   {{0x422a0162,0x52fc00b7,0x23cb0138,0xb2c80678}},	//   _қонай_, _fransuz_, _kanalı_, _povodne_, 
   {{0xbc5a0239,0xdc6801e0,0xf2d6014e,0xe36a02e1}},	//   _hiitori_, _کولانکه_, _promenlj, _mórshiúl_, 
   {{0xd2290013,0xaeb702c8,0x7e56042a,0xcefd0153}},	//   _اختیاریگ, _persegue_, _babafake_, _ジュリエット_, 
   {{0x6200046d,0xb5130062,0xf290025c,0xa9bd001a}},	//   _hulisa_, _davoqmoh, _zumal_, _beceneve, 
   {{0x3b8100ee,0xa46e01b4,0xd2f502a4,0x1a8c0256}},	// [3710] _abenduar, _goddelik, _ultimum_, _galerijā_, 
   {{0x988303f8,0x9c750092,0x8c60022c,0xfccc0156}},	//   _bonidchu, _ド検索回数で分か, _bukuran_, _עפיזאד_, 
   {{0x4c3200c4,0x81bf01ff,0x3f040034,0x2bff00e0}},	//   _اصطلاحي_, _materské_, _forvarna, _emigrear, 
   {{0xbc0d041b,0x7379013b,0x9c65008a,0x379f02c1}},	//   _lurstep_, _baranja_, _atutumu_, _agitangi, 
   {{0x5a8c0145,0x7ee300ea,0xd4cb050c,0x5347020e}},	//   _galeriją_, _toekaren, _कैफियत_, _kenelwa_, 
   {{0x152e020f,0xdf3b0148,0x42bb0188,0x321600ba}},	//   _abandith, _營養和採購關相關, _итолиё_, _فۆڕماتکر, 
   {{0x5149018d,0xd29000b9,0x52d803fd,0xff400037}},	//   _ክገልጽዎ_, _gumam_, _lineta_, _persenya, 
   {{0xf6520212,0x73790227,0x70990242,0x82c60192}},	//   _raphaeli, _ingatan_, _azaldılm, _horloge_, 
   {{0xbb200074,0x14300350,0xe2450499,0xee7e04ae}},	//   _takaisin_, _diaktifk, _foodstam, _банатски_, 
   {{0x3b02047d,0x232202c3,0x460b0057,0xba8301c8}},	//   _ausserge, _dopyty_, _termiski, _mimozems, 
   {{0x1c050212,0xd17b00c0,0x7ae90047,0x8201005b}},	//   _mgmtclas, _samantal, _privilég, _ffxii_, 
   {{0xfcce0076,0x57ec00c7,0x62060198,0xb0990242}},	//   _предлози_, _кастилия_, _vozički_, _azaldıla, 
   {{0xde970360,0x23f80255,0x02d9012f,0x92c9048c}},	//   _दक्षिणमा_, _kuhugi_, _tsinime_, _aillesh_, 
   {{0xc3eb0123,0x76380037,0x23ea0358,0x9dd200de}},	//   _dufter_, _የቁርአን_, _dokte_, _bathuthe_, 
   {{0xa3f40151,0x8c640148,0xf0330059,0x6285010b}},	//   _witted_, _提報上週檢查抽水, _доволна_, _dithogo_, 
   {{0x6b5b0071,0x4364030b,0xaa0704e3,0xb9ee01a4}},	//   _منافقین_, _alagira_, _potaknut, _nasilisa_, 
   {{0x252e02d7,0x5dc301f1,0xc37201b8,0xcd890176}},	// [3720] _consello_, _diskutua, _algasid_, _kedelige_, 
   {{0x23f904f1,0x02900318,0xae2b0479,0x7387012b}},	//   _pocula_, _holani_, _csövek_, _pierś_, 
   {{0x61f401bc,0x0eb800c5,0xa2900013,0xe9ba0238}},	//   _kristlik_, _aimerais_, _bolani_, _округах_, 
   {{0x4eae041a,0xc7ee0244,0x40c1003f,0x76a104a5}},	//   _fortelle_, _casaling, _dipupjaj_, _kwathath, 
   {{0x1c7600aa,0x129401eb,0x9290021a,0xc4fd0061}},	//   _macular_, _apakani_, _armaa_, _상태입니다_, 
   {{0xc2a60130,0xae4c016e,0xe9dd018e,0x6ab10064}},	//   _kambr_, _muhasebe_, _gigliola_, _областы_, 
   {{0x0af10082,0x541505eb,0x7249004b,0x00000000}},	//   _hanzarta_, _elingumk, _lefokisi_, --, 
   {{0x93790403,0xe2c70188,0x96020142,0x347d0291}},	//   _taranja_, _тармими_, _badarīm_, _شياطين_, 
   {{0xfecd0013,0x42000487,0x66430109,0x861b0514}},	//   _москвали, _median_, _अन्डा_, _incoordi, 
   {{0x5e390122,0xfd840347,0xbd950052,0x127e0140}},	//   _mihancra, _honderde_, _sklenice_, _uminom_, 
   {{0x699b0307,0xe2a00206,0x2755028e,0x01bf01ff}},	//   _akakhole, _klubov_, _marihaiv, _materská_, 
   {{0x46ce0220,0x39e3017a,0xf2bb0158,0x22e90251}},	//   _carabini, _доманаи_, _kolejce_, _sarifka_, 
   {{0xda4701e1,0x8316061e,0x29cf014b,0x202c02f9}},	//   _гражда_, _apaza_, _injeniee, _desepsyo, 
   {{0x41550172,0xa2da01b6,0x56470121,0xbb970026}},	//   _amponsah_, _merely_, _mercancí, _adviseur, 
   {{0xd1df0160,0x52eb014e,0x2ece00a2,0xd3f8030b}},	//   _poslovim, _murinjo_, _mabilion, _ankuba_, 
   {{0x1ae503ba,0x5d220073,0xd2d502bd,0x2da00081}},	//   _anklagen_, _relinque_, _chronfa_, _brandara, 
   {{0x6416024d,0xf61a01d9,0x00000000,0x00000000}},	// [3730] _ngengomk, _eldoradi, --, --, 
   {{0xcaa50189,0x49da01f6,0x32da03a2,0x5966014a}},	//   _fragmanı_, _strekkje, _tereny_, _iskolake, 
   {{0x5db0006e,0x1e950142,0xf9ee01a4,0xb888009b}},	//   _afisaasu_, _anumodan, _basilisa_, _центавр_, 
   {{0x931703e9,0x837c03a6,0xa9010148,0xd8c10291}},	//   _lezzet_, _batange_, _國務院農業普查領, _تشارلز_, 
   {{0x76cf042f,0xc29002bc,0x1343023d,0x1ee00148}},	//   _kanatami, _kumah_, _aspetto_, _regionis_, 
   {{0x528a01b5,0xbdb302dd,0x620000c4,0x3dbb00c4}},	//   _aftarini_, _hematite_, _kulipa_, _ايڪڙن_, 
   {{0x5cdc041a,0x4cbe0244,0xc29001e5,0x00000000}},	//   _виставка_, _ранен_, _tolani_, --, 
   {{0x771a00b5,0x37a0015e,0xb9e602e0,0x4057015e}},	//   _ikaruvaí, _haguessi, _kolopela_, _киришин_, 
   {{0xb21305f7,0x62cb0337,0xf1fa03fb,0xe99d0405}},	//   _archeb_, _lerde_, _vojnicim, _forkamme, 
   {{0xf4860211,0x691e0041,0x43f8010b,0xec1b0420}},	//   _имени_, _амҿхак_, _boduto_, _ultrapas, 
   {{0x5c6b05e5,0xb95b0061,0x008b0149,0x50bb0120}},	//   _जिन्दा_, _리모델링의_, _netwọk_, _yasmatuh_, 
   {{0xdbd2016d,0xdf060078,0x930e036e,0xc32201af}},	//   _دوستۇمنى, _вирусом_, _aytapas_, _artyar_, 
   {{0x02bb0360,0x5a8d03dd,0xee19012a,0xc0aa048a}},	//   _kolekce_, _ofendues, _licencja, _جۇلدىزدا, 
   {{0x82d802f7,0xeb5501af,0x1d1503dd,0xe06104df}},	//   _bonena_, _tutmalar, _siperfaq, _aktiwlik_, 
   {{0xb41d00d1,0x4290000f,0xb27e0292,0x72480120}},	//   _হস্তিনাপ, _orman_, _nkonta_, _gammik_, 
   {{0xeda90252,0x66a50148,0x96fc0162,0x2c16057d}},	//   _demikira, _出租幫您省_, _تەزكىرىس, _modrić_, 
   {{0x83650418,0xb93302c6,0x03eb00bd,0x4ad40350}},	// [3740] _oturumum, _célesta_, _meeths_, _ለመደጎም_, 
   {{0x26210209,0x5d8d00a0,0x00000000,0x00000000}},	//   _atungari, _demokura, --, --, 
   {{0x02900377,0x6bfd03f7,0x4d320281,0x7fbf0153}},	//   _numai_, _bergþór_, _eskimuut_, _ツとして貼る_, 
   {{0xce72070f,0x669b0203,0x920002a2,0xc02a0622}},	//   _वैद्य_, _exigenti, _sahig_, _bokwisun, 
   {{0xac550198,0xa29002fb,0x48e602ac,0x4f830419}},	//   _svetuje_, _humai_, _spúnóg_, _इन्का_, 
   {{0x52cb0135,0x1757034c,0x5f360013,0x9ad9065b}},	//   _kerde_, _шарлар_, _namunala, _अतिरिक्_, 
   {{0x32ab0485,0x72900306,0xb6cf006f,0x7f5800e4}},	//   _håber_, _sumak_, _majadili, _krwawien, 
   {{0xa3a201cd,0xc9da006f,0xa201024c,0x630100a0}},	//   _lempi_, _asilimia_, _abbiss_, _alwashi_, 
   {{0x3202022d,0x00000000,0x00000000,0x00000000}},	//   _aprite_, --, --, --, 
   {{0xd3f80372,0x0648004a,0x70ae03db,0xd37901d5}},	//   _moduro_, _пакетлар, _inamandl, _darabja_, 
   {{0x0e440091,0xf9ba0125,0x0fb0066f,0x47090205}},	//   _avvariya, _bildirip_, _afiliado, _черков_, 
   {{0xf7aa0258,0x92000390,0x5ab60029,0xc3f80244}},	//   _opstelli, _vahid_, _مژدێن_, _voluto_, 
   {{0x12a60663,0xc3a200a1,0xc065023e,0x1f77027b}},	//   _bribia_, _keepa_, _anganggo, _citrāḥ_, 
   {{0x23eb0445,0xf80300c3,0x6aef01df,0x82d9026b}},	//   _deste_, _corporis_, _likelies, _vientre_, 
   {{0x33430244,0x32ca0120,0xf9670147,0xd47f01ac}},	//   _esperto_, _gillabi_, _جالقوولو, _مسائكم_, 
   {{0xb29003d5,0x7d34026f,0x171c05f2,0x77d901b7}},	//   _steat_, _ءﻣﻮﻟﺪﯨﺮ_, _excursió, _anekarūp, 
   {{0xa28c01d9,0x6e5e0387,0xd2000309,0x96950169}},	// [3750] _punkten_, _aịzik_, _zahid_, _শিশুরা_, 
   {{0x16d8008d,0x02d901e5,0xb2cf0020,0x12d900ac}},	//   _зарурлиг, _kongbari_, _mcmoore_, _konobar_, 
   {{0x3bee014f,0x797a02dd,0x63eb0259,0xa2c3033b}},	//   _након_, _attivist, _heste_, _taolelo_, 
   {{0x30d10165,0xc69202c2,0x42e803ac,0x00000000}},	//   _isulusul, _vandeesw, _sucinya_, --, 
   {{0x8f540244,0x33a202c1,0xd061013c,0x9f4c0541}},	//   _денонощи, _adepr_, _aktivlik_, _promoviš, 
   {{0x82d8050e,0x5486031c,0xf2770361,0x786d02a4}},	//   _donela_, _entregó_, _дlакъовл, _excitand, 
   {{0x725d0047,0xed18001e,0x0d760178,0x5e760178}},	//   _organisé_, _kwaskwar, _asakṛd_, _asakṛt_, 
   {{0x115e01b6,0xa2d8018e,0xac54005d,0x872e005e}},	//   _oncology_, _fonela_, _lastlog_, _خەققە_, 
   {{0xd2c9048c,0x1ed700cb,0x9a190060,0xe6c600c7}},	//   _aillish_, _akayikup, _زىمىران_, _барчасы_, 
   {{0x63eb0710,0x2c8701e1,0x520000b0,0x2ef60587}},	//   _odsto_, _генераль_, _gudiga_, _macedòni, 
   {{0xc2d80223,0xe2d2032d,0x7e3000c5,0x520e0041}},	//   _honela_, _balebeli_, _législat, _баҭал_, 
   {{0x7c0b024d,0xc1620218,0x45e60013,0xf2d8023b}},	//   _iimpilo_, _eparatio, _ساقلانه_, _konela_, 
   {{0xb8df068f,0x327e021e,0x137f008d,0xc0e3013f}},	//   _ogoganad, _leende_, _allahga_, _didaktek_, 
   {{0x7653006c,0x6eac00d8,0x9c0400be,0x7ee40137}},	//   _хубро_, _bendèls_, _قىزعىزدى, _ягштал_, 
   {{0x955400c5,0xd4280337,0x12020220,0x22000251}},	//   _小时内解决_, _hüseyin_, _aprire_, _gudida_, 
   {{0xda85010f,0x17a40073,0x571b01b3,0xca700394}},	//   _ҷунбиши_, _inventav, _опори_, _angaziwa_, 
   {{0x435600ed,0xa70b0148,0xdede0251,0x2f26054c}},	// [3760] _parehas_, _公務員考試_, _baryayna, _forlater_, 
   {{0x12fd03f3,0x13100021,0xc2a6013d,0x5d14023c}},	//   _webhard_, _aftanay_, _abebo_, _bobumbac, 
   {{0x52c400b9,0xb37800b2,0x7ae5005b,0xf9c0016e}},	//   _kavling_, _angafaa_, _indrette, _kendinde, 
   {{0x352e026f,0x42f10229,0x62d802f7,0x7366030b}},	//   _ءۇنجاريا_, _bizimki_, _bonela_, _amagero_, 
   {{0x4e5400b4,0xda0101cc,0x42000320,0x72480230}},	//   _економич, _kalyāṇam, _buliga_, _ennmi_, 
   {{0x0bef036c,0x03660328,0xe47a0272,0xaa1501ad}},	//   _ankehitr, _amatoram, _abatalin_, _precinct, 
   {{0x5290048c,0x5e4c00a2,0x00000000,0x00000000}},	//   _trean_, _umesahau_, --, --, 
   {{0x032103f0,0x3e9400d5,0x38fe0015,0x12b403b1}},	//   _breyta_, _mpaminan, _andacood, _conclu_, 
   {{0x4b900172,0xc2000233,0x44770407,0xd2da0074}},	//   _filipifo_, _audida_, _nastupaj, _itsesi_, 
   {{0x752f006f,0x00b50035,0xf9db04e5,0xdf0500e6}},	//   _waandish, _agentılı, _batereke, _中共中央宣传部_, 
   {{0x1c5101fe,0x45850359,0x04fa00be,0x420000fe}},	//   _juitasa_, _kanonskû, _كۅزدۅرۉڭ_, _sulifa_, 
   {{0x929002d8,0x6a2503a2,0x3d8e0183,0x9774004d}},	//   _ormas_, _इक़बाल_, _fatokisa, _不挪到下一梯次_, 
   {{0x5e4f0125,0xe8160129,0x6fdb0373,0x28d4009a}},	//   _dabarala, _kapchọ_, _aktiveco, _kokulung, 
   {{0xbd290057,0x00000000,0x00000000,0x00000000}},	//   _disiasat_, --, --, --, 
   {{0x829001d8,0x427e0289,0x2c57012c,0x552a0244}},	//   _ireal_, _akonza_, _المناڪ_, _назначав, 
   {{0xdd3c01ec,0x1c9a018d,0x6c750142,0x0de40466}},	//   _kepincut_, _መደባቱን_, _सूत्रा_, _pogoršav, 
   {{0xd7860095,0x32e3023b,0x82a60362,0xff6f0350}},	// [3770] _نازنین_, _mahiole_, _lonbre_, _ወደተግባር_, 
   {{0x0f200701,0xb27e055f,0x951b0277,0x7f260244}},	//   _kumunasa, _eminim_, _gansilyo_, _corretta, 
   {{0x0c7c0453,0xac1603fc,0x7a6a004d,0x00000000}},	//   _presuda_, _datalagr, _中國共產黨史_, --, 
   {{0x027e0292,0x298c00f5,0xbf230055,0xba4f009a}},	//   _nkonya_, _шатылары_, _acquifra, _babesaya_, 
   {{0xe02a03f4,0x11c600d3,0x4c7f0141,0xd26c0067}},	//   _физическ, _dostatek_, _uslubiy_, _akkoon_, 
   {{0x1abc017a,0x5b8c00ff,0x029000da,0xde1b02af}},	//   _клипи_, _ספארטס_, _urmat_, _barereka, 
   {{0x727f0150,0xe3eb0030,0x331f0244,0x4357012f}},	//   _patna_, _lietus_, _mercato_, _daredar_, 
   {{0x11bd0036,0x13170021,0x3d5201db,0x627e023b}},	//   _الفئة_, _ablatay_, _депозитт, _neenee_, 
   {{0x610404c3,0xf27c00e6,0x9ba0000c,0x33450373}},	//   _mobiarmy_, _个月内的主题_, _инхон_, _pardonu_, 
   {{0x058b0089,0x4d8401c3,0xe50400e6,0x00000000}},	//   _яталар_, _boullera, _maternel_, --, 
   {{0xe23a0541,0xf3950159,0x04770652,0x00000000}},	//   _prevazil, _miestu_, _zastupaj, --, 
   {{0xa135033e,0x52cd008d,0x97a402a6,0x57230176}},	//   _aantropo, _muddatli_, _diventav, _aromamag, 
   {{0x4c5101a6,0xf31d0371,0x225d013a,0xced00203}},	//   _waitara_, _pescara_, _deitschl, _sceneros_, 
   {{0x1c5100a1,0xd01a00d1,0x927e02e1,0xaf8f0235}},	//   _taitara_, _আন্দোলনত_, _dhonna_, _अनुकृष्य, 
   {{0x42d20227,0x8ff70040,0x0ef2042a,0x2fab00fb}},	//   _menolak_, _ועליו_, _ayikalun, _lwamapho, 
   {{0x3043003a,0x46110243,0xbb7603b5,0x0af70074}},	//   _yakunlan, _daktaral_, _putrinya_, _падения_, 
   {{0xc6d5003e,0x1ce60590,0xdb980109,0xbe930060}},	// [3780] _австриян, _мааэшх_, _सेतुराम_, _беринизд, 
   {{0xf9b001da,0x29ce00c5,0xfa7e04dc,0xab0c02d6}},	//   _menjëher, _parfaite, _کشمیش_, _тунни_, 
   {{0xa1d10045,0x586a02e1,0x00000000,0x00000000}},	//   _основао_, _معصوبة_, --, --, 
   {{0x231702be,0xa1b602c1,0x1c530059,0x1224057c}},	//   _palagay_, _abambari_, _vittima_, _lokker_, 
   {{0xf29000db,0xd0bd018d,0xd3480013,0x12f101e5}},	//   _urmas_, _ንተግባራት_, _сапармур, _giriiki_, 
   {{0xec570206,0x12ba0310,0x3278018b,0x73200176}},	//   _prstene_, _eideard_, _adunat_, _caiya_, 
   {{0x83560257,0x084300be,0x8f4a03eb,0x5a12042a}},	//   _tannlækn, _ايعىردى_, _menslike_, _bababeke, 
   {{0x4c5a040b,0xb3cd011f,0x33f20193,0xc3820208}},	//   _siatari_, _басариеи_, _wewenang_, _پاقله_, 
   {{0xadb60560,0x9d7e0462,0x83eb006e,0x7a2300a6}},	//   _abangama, _adellewa, _caatam_, _تقريبأ_, 
   {{0xcdf000a6,0xc96f0407,0x94050311,0x8aa5003f}},	//   _ځناور_, _dvanaest, _ንዘኽታማትን_, _mayitnis, 
   {{0x73ea0261,0x23cf0287,0x3b2b04f9,0x721a017a}},	//   _nokto_, _jizvy_, _allaqqas, _волоияти_, 
   {{0xb34e00bc,0x6b7d0085,0xfbe5026b,0x7b9b0241}},	//   _nanffff_, _dipuloma_, _intentar, _arsiimoo_, 
   {{0x027e018e,0xe2e201b8,0xa2900179,0x67a400ec}},	//   _bhonga_, _valikud_, _numas_, _investav, 
   {{0xc38202fe,0xd1830004,0x731600f0,0x127e019d}},	//   _میلیونه_, _camaguey_, _sadzba_, _chonga_, 
   {{0xb6e502c4,0xfaf8023d,0x58f70178,0xc3ea0711}},	//   _отстрани, _sicurame, _antarodd, _emoten_, 
   {{0xc2900113,0xd2240359,0xf9e20677,0x3b9602e8}},	//   _ailati_, _hokker_, _पल्टी_, _achitaur, 
   {{0x34e80059,0xf2a700a2,0xce8b00de,0x3a520282}},	// [3790] _сноудън_, _ghuba_, _نسبتأ_, _perehana_, 
   {{0xe290030f,0xdc580299,0xab1900d9,0xa5c80237}},	//   _pumau_, _تاماكىدى, _mitataan_, _빨래건조대_, 
   {{0x405f00bb,0xd2c5026c,0x00000000,0x00000000}},	//   _ھمارا_, _tollere_, --, --, 
   {{0x12d90321,0xf3f20227,0xc290009b,0x92a604b3}},	//   _novega_, _sewenang_, _gidari_, _emober_, 
   {{0x1290002a,0x051d005c,0x29c00108,0x00000000}},	//   _gilasi_, _asanzweh, _diimahna_, --, 
   {{0x034003d5,0x81ab033a,0x1a480704,0xfc8c0040}},	//   _anmeeyn_, _djamanti_, _sandvika_, _מלגזות_, 
   {{0x8d0e0092,0x429002d8,0x42eb0364,0x32900066}},	//   _最近の注文状況を, _humas_, _drenner_, _armak_, 
   {{0xe3940318,0xb371033f,0x36ac03c2,0x52900097}},	//   _faisoo_, _kesaiaf_, _argentif, _kilasi_, 
   {{0x382e018b,0xdd5c0177,0x92900097,0x00000000}},	//   _биланцул_, _апартиа_, _didari_, --, 
   {{0x5fff0060,0xe30e053b,0x26ce001e,0x02900258}},	//   _ستانسياس, _atraves_, _faramini, _pream_, 
   {{0x62020396,0xa290011b,0x1c8500ec,0x00000000}},	//   _attiva_, _oumar_, _вучобы_, --, 
   {{0x92900377,0xcad60223,0xd44600a4,0x729001e5}},	//   _numar_, _ташуур_, _سانىنان_, _nilari_, 
   {{0x67c80272,0x629102d9,0xba4d004d,0xa2a7042a}},	//   _abatekow, _atuai_, _教宗的洗手間_, _chuba_, 
   {{0x42d80451,0x1290014e,0x6f860071,0x32900034}},	//   _bekeng_, _hilari_, _عبداللهی_, _humar_, 
   {{0x020205b1,0x46ce0113,0x15b5015f,0x020000fe}},	//   _farieb_, _sinaonli, _baratowy, _pahia_, 
   {{0x82900195,0x19d100ce,0x02900264,0x868a0162}},	//   _breac_, _inifikat, _sumat_, _қисмитин, 
   {{0xf29002e1,0x440702dd,0xb28c02eb,0x92790125}},	// [37a0] _cumas_, _vaporizz, _банзрагч_, _auditini_, 
   {{0xe34201b9,0xc9ed0465,0x5a000472,0x00000000}},	//   _atreyan_, _pedikura_, _ketatnya_, --, 
   {{0x03000157,0xbdd9023c,0x0b6400e6,0xf290041e}},	//   _saransh_, _اتلان_, _扬州市工商局红盾, _filari_, 
   {{0x02900249,0x24860158,0x92fd01eb,0xe72d0564}},	//   _tumas_, _निभाने_, _atinguy_, _pustitom_, 
   {{0xc39c0013,0x8b8b02dc,0xbf3f03b7,0x20940061}},	//   _тартибга_, _connosco_, _akartaja, _청약철회등_, 
   {{0x5c7302c2,0x12000166,0x3a3f00bb,0x262e00af}},	//   _waardes_, _dahin_, _غمزدہ_, _операція, 
   {{0x46b202e1,0x08ec0247,0xfa410128,0x8c1802c7}},	//   _beaglaoi, _سیدالشهد, _айланай_, _asiatisc, 
   {{0xc2a7014c,0xc31202ee,0x529002db,0x4aae00af}},	//   _thuba_, _darbiet_, _yumas_, _forvalte, 
   {{0xf29001c5,0xa50b02ca,0xa27e00d1,0xd1cc0203}},	//   _dumar_, _ورداسم_, _সম্পদনা_, _habilitá_, 
   {{0xf2900244,0xf4b4004d,0x141802f0,0xa2a10061}},	//   _ormai_, _但歡迎提供_, _beyingek, _공개합니다_, 
   {{0x254f00c5,0x27090008,0xae650061,0xaefd0456}},	//   _未经本网授权不得, _терини_, _홈페이지에서_, _berkeras_, 
   {{0x53f2014a,0xf20003bd,0xcf2504fd,0x426c0028}},	//   _عبدالحسی, _bahin_, _अफ़ज़ल_, _adoon_, 
   {{0x82020212,0xd70d0036,0x64850142,0x3cdd0461}},	//   _varius_, _leithdhá, _स्वादु_, _perqué_, 
   {{0x2d17025b,0x2ad200cf,0x9c9b0052,0x4e55017f}},	//   _dalsgaar, _baddeess, _लाक्षणिक, _assannia, 
   {{0xeda80294,0x9290068f,0x7f5803b3,0x3ce6002e}},	//   _alitunku_, _godauw_, _equalmen, _dođete_, 
   {{0xe29001c5,0x513201c3,0xc29002c2,0xb22503e6}},	//   _cumar_, _castleto, _pumas_, _zocker_, 
   {{0x7b62017c,0x93ea0550,0xf2d803cf,0xe27e0125}},	// [37b0] _publicer, _nocte_, _askeri_, _shonda_, 
   {{0x25d40177,0xe9df0018,0xd2480309,0xd290042d}},	//   _студентц, _gugumatu, _dinləyin_, _andafi_, 
   {{0xbbea027b,0x23eb0034,0x8c760005,0x37dd0279}},	//   _सम्राट्_, _elsta_, _occupar_, _temporai, 
   {{0x0322007f,0x1259007b,0x00000000,0x00000000}},	//   _barchus_, _forehamm, --, --, 
   {{0x459a06d9,0xcffb01e8,0x8bc701de,0x2e470322}},	//   _clonació, _ikakatlo, _майлин_, _bafatiye_, 
   {{0x6f0200c8,0x5b530057,0x62600041,0x5c17003e}},	//   _секцияла, _berdepan_, _eñoso_, _diprofes, 
   {{0x76cf019f,0x36d101f1,0x12cb00ad,0xa90102e5}},	//   _mabadili, _miratimi, _ngadak_, _iñarandu, 
   {{0xb853006c,0x12a6066e,0x32900242,0x27580109}},	//   _телефонҳ, _ebeba_, _xumar_, _हवल्दार_, 
   {{0xff240331,0x4106021c,0x48e00204,0x3c7a047b}},	//   _bláur_, _zločinec, _деталями_, _hástig_, 
   {{0x9af20063,0x7bdf0026,0xb2480120,0xec1903f1}},	//   _عبدالكري, _selecter, _kammik_, _podunajs, 
   {{0x02c5004f,0xa21202fc,0xc5db0057,0xba830364}},	//   _kollare_, _utaha_, _merbahay, _schinnen_, 
   {{0x13fe01a1,0xd2000211,0xda000227,0x53f40127}},	//   _seizoen_, _pahin_, _letaknya_, _bertek_, 
   {{0x73950082,0x3c52018e,0x1c02011f,0xd2b305f2}},	//   _asasin_, _enetaka_, _icalidad_, _abadín_, 
   {{0x2e38019d,0x22000488,0x00000000,0x00000000}},	//   _anyamata, _mudina_, --, --, 
   {{0xf83e0205,0x73dd00da,0x6320005b,0x3d900189}},	//   _киска_, _патратул_, _taiyo_, _ailesine_, 
   {{0x12000241,0xd0ff0060,0xd2900139,0x4a660272}},	//   _tahin_, _تەرەندىگ, _asmad_, _amalirab, 
   {{0xbb440359,0xa40501e4,0x15db0386,0xd27f0527}},	// [37c0] _maskelyn_, _doručeny_, _berbahay, _ratne_, 
   {{0x3d7a009a,0xba6b01e4,0xff420008,0xb84e00be}},	//   _abalulwe_, _प्रश्रय_, _aragiron, _كاندىدات_, 
   {{0x08370060,0x32fc0527,0xbc6e0061,0x976d0064}},	//   _баламен_, _stignu_, _과학이야기_, _болмушта, 
   {{0x5ff000a7,0x42a604b8,0x096d023d,0xe67d0145}},	//   _кечки_, _symbai_, _sconfitt, _palengvi, 
   {{0xd29001d2,0x33160220,0xe15a02ac,0x1379010d}},	//   _sumaq_, _spazi_, _سكاكا_, _ungaran_, 
   {{0x037b0120,0x23f002a3,0x331e0244,0xe28d0420}},	//   _tamatem_, _enkeling_, _spaccio_, _aguardam, 
   {{0x9ea700c7,0xfbb70128,0xb8b90037,0x35a900a7}},	//   _kontsert_, _دیگنلر_, _በከፍታና_, _ماۋسىمىن, 
   {{0xf5bd0298,0x36450162,0x92900102,0x80a100d1}},	//   _karangah, _сликниң_, _undani_, _কৌৰৱৰ_, 
   {{0x52120172,0x9798019b,0xe8f9017f,0xeb0c0153}},	//   _ntiho_, _aplinką_, _allatoru, _週間市場ランキン, 
   {{0xffa8005b,0x32b500a0,0xe24900dd,0xad23004d}},	//   _embellir_, _abacha_, _bobman_, _臺灣證券交易所正, 
   {{0x5200051a,0x63560332,0x9b1a000d,0xf38b020f}},	//   _jahil_, _parejas_, _inspiree, _اوپښتو_, 
   {{0xc2cb002e,0x9f2e00b5,0x943e04e5,0xad060187}},	//   _mozda_, _atâre_, _akikkakk, _умрел_, 
   {{0x38c2017d,0x2eee023d,0xb2f300c1,0x0ce9034c}},	//   _ドラマティック_, _намерени_, _mobilku_, _аралашуы, 
   {{0xd2ca01fc,0xd1240074,0xdbdf01af,0x22090712}},	//   _baaluki_, _незнаком, _bedenter, _लोकजीवन_, 
   {{0xa150004a,0x39d2006e,0x79090141,0x00000000}},	//   _agregatl, _enresist, _сезаман_, --, 
   {{0x2ec202d5,0x84bb0158,0xd99c0450,0x00000000}},	//   _valitsus_, _स्केचअप_, _nijkomme, --, 
   {{0xd0780169,0x19960464,0x037b01fc,0x3f25028d}},	// [37d0] _ইউসারনেম_, _arakunda_, _kumakum_, _sirentan, 
   {{0x12cb004a,0x71490143,0x62900028,0x00000000}},	//   _bozda_, _синониме, _tumay_, --, 
   {{0xfe140435,0xa6aa0177,0xe2000138,0x00000000}},	//   _власник_, _ҳшыҧшаат, _cahil_, --, 
   {{0x607300d4,0xed1201b9,0xd5cf00a6,0x629d02af}},	//   _strafsko, _dedomaze_, _آسمانه_, _azijana_, 
   {{0x16e2014e,0x82a60430,0x492a005e,0x1319005a}},	//   _резултат, _mbebo_, _яридәмчи, _qodchaj_, 
   {{0x93e40067,0xdad301af,0x72360229,0x00000000}},	//   _cituutti_, _býullete, _dəmiri_, --, 
   {{0x68fb0125,0xf4010057,0xac6c0148,0x00000000}},	//   _tamamlad, _ketuanan_, _fraudem_, --, 
   {{0x1ce00409,0x92910367,0x6c210206,0x7c0003d0}},	//   _削除用パスワ_, _atual_, _prestavb, _ropstvu_, 
   {{0x620001ad,0x4227027b,0x8c0d0265,0x91f20088}},	//   _sahid_, _asamañja, _simpele_, _мурастар_, 
   {{0x7d6b01b8,0x61a80051,0xf50603e2,0x55a001cc}},	//   _inimeste_, _maksimāl, _claustro_, _रुदती_, 
   {{0xcdb605ee,0xd3940233,0x3b8a019b,0x89260060}},	//   _abanyama, _consus_, _detalių_, _емделуге_, 
   {{0x535402a4,0x6eea0144,0xae890031,0x00000000}},	//   _angelus_, _أساور_, _रोहतांग_, --, 
   {{0xca89013f,0x886300d9,0x830e027f,0x02a60680}},	//   _relijion_, _собаки_, _arabaga_, _obebu_, 
   {{0x139500ee,0x729e004a,0x0c530133,0x00000000}},	//   _osasun_, _сиваш_, _eertraa_, --, 
   {{0xd2a70120,0x0203053f,0x0dbf0179,0xba5701f6}},	//   _ahube_, _kunkimpi_, _dunikama, _ছাত্ৰীসক, 
   {{0x52d90073,0x412d02c9,0x01620203,0x337902d3}},	//   _viveva_, _танти_, _aparitio, _putaria_, 
   {{0xe1c30255,0x828d0369,0x05b8004d,0x427f03dc}},	// [37e0] _उन्हा_, _anahulu_, _您目前的身份是_, _matna_, 
   {{0xc2ca05a5,0x8b07015e,0x720001f1,0x9a1604bd}},	//   _pridaj_, _ارلىلىعى_, _rudina_, _kamauoha_, 
   {{0x93bf0192,0x8efc0074,0x9c67027e,0xd27f02a4}},	//   _맨마지막글_, _сумки_, _велесова_, _planum_, 
   {{0x62a60292,0x11bc0169,0xae6f0466,0xa2940229}},	//   _ebebu_, _মাঠের_, _počele_, _israilli_, 
   {{0x00000000,0x00000000,0x00000000,0x00000000}},	//   --, --, --, --, 
   {{0xf412024e,0x8e530507,0x3cb8060b,0x00c001a3}},	//   _sarajevo_, _merasaka, _अलेक्झां, _پورچوگيز_, 
   {{0xe9f6001a,0x9ee40184,0x8f7f011a,0x87590297}},	//   _کوئین_, _irakamen, _למאכל_, _бәяләнгә, 
   {{0xa5c10374,0xceb3014f,0x07d000ad,0xc7580350}},	//   _batafsil_, _smernice_, _pangwang, _የብልጽግና_, 
   {{0x52e901e1,0x89fc02e5,0xfeaf04bf,0xac720116}},	//   _пехота_, _aranduka_, _nevladin, _cairies_, 
   {{0x2e3702a2,0x12900062,0x55e60205,0x00000000}},	//   _mamamata, _jidadi_, _хуружида, --, 
   {{0x0eb00172,0x8f21020d,0xe28c004b,0x8d870362}},	//   _agiriade_, _kumugara, _chakela_, _etambola, 
   {{0x62510410,0x630502a5,0xd1410291,0xab220203}},	//   _maitirel, _modelů_, _criticeo, _quadrési, 
   {{0xb2ea015c,0xd6100272,0xa95001b2,0x948800ee}},	//   _aktioun_, _atulangi, _bifoliat, _нансалма, 
   {{0x1ecd0193,0xa30100d8,0x6fea017a,0x00000000}},	//   _ketimban, _acabaue_, _хислатҳо, --, 
   {{0x42000390,0x7c620360,0x23870004,0x91470205}},	//   _sahib_, _rubrice_, _batri_, _ғанимат_, 
   {{0x22a600eb,0xca5203bf,0xc3960189,0x8c1b0138}},	//   _abebu_, _ferekana_, _dersim_, _kanatlar, 
   {{0xa31702fe,0x12240052,0xffaf0170,0xd53d011b}},	// [37f0] _معلوماتو_, _krokem_, _analongo, _mokyemok, 
   {{0x7c5100ee,0x0b23015a,0xdc1500ec,0xa2d90049}},	//   _baitira_, _dabaluun_, _korpuso_, _soveka_, 
   {{0x62c000f5,0x33310092,0x7618001d,0x2e4d037f}},	//   _онлар_, _要チェックリスト, _millupli, _buxarest_, 
   {{0xe290011d,0x002201ef,0x831e018a,0x02ea01da}},	//   _vreau_, _стамбуле_, _berchen_, _besimin_, 
   {{0x1ad5000e,0x06940206,0xa34100a1,0x44490045}},	//   _distruct, _uzneseni, _mereana_, _пристигл, 
   {{0x8c7501ab,0x29df02c5,0x4a8e02b0,0x1ed20176}},	//   _संग्रा_, _anongova_, _grundges, _fornails_, 
   {{0x7c5e02a1,0x72700177,0x23c701de,0xac660333}},	//   _pistool_, _ҿарацәа_, _алдыңызд, _bastonu_, 
   {{0xf2ee039d,0x4bb401ab,0x838602b6,0xa9880049}},	//   _khonani_, _कहलखिन्ह_, _تاريقي_, _imakulat, 
   {{0xc5660040,0x7c6801db,0xabc7020e,0x00000000}},	//   _ובלעדי_, _جالىقپاع, _барланы_, --, 
   {{0xf9dd01b3,0x92e80331,0x23fa0449,0xd9ca0189}},	//   _справах_, _sveitta_, _posuda_, _gebelikt, 
   {{0x62e20249,0x0b430126,0x206501e8,0xebae020a}},	//   _spendem_, _додайте_, _makaingo, _نۇربولات_, 
   {{0x9ea3026c,0xf27101fe,0x25610257,0x1475018c}},	//   _oportere_, _ocanieli_, _egilsstö, _kenteken_, 
   {{0xaa120440,0x8da70177,0x5023008f,0x00000000}},	//   _yaraheje, _ақәырҵеи, _swedbank_, --, 
   {{0xe50600ff,0xbb3b0205,0x598000d0,0x57c70349}},	//   _עבֿודה_, _سلامتلیگ, _ospitale, _actressw, 
   {{0x83f9041e,0xa0ad012c,0x9e3a0080,0x95b10188}},	//   _sicura_, _مشارع_, _alianaqa, _депутатх, 
   {{0x13f403ea,0x53a00213,0x73eb00e1,0xf6310255}},	//   _toutes_, _удостове, _baatam_, _hasartmä, 
  
   {{0x560f0216,0x23e40620,0xcbdf01c4,0x96270158}},	// [3800] _endlangi, _主要原因是_, _geletter, _formatow, 
   {{0x01400264,0x00000000,0x00000000,0x00000000}},	//   _bubuhato, --, --, --, 
   {{0xcb6602fe,0xeb04010d,0x82b101e5,0xb9060013}},	//   _يونيفورم_, _jobstree, _eleduwa_, _дархол_, 
   {{0xfa520069,0x46590087,0x4369022a,0xb2010326}},	//   _yerekana_, _byintshw, _postenom, _amaiwe_, 
   {{0xdf3e0178,0x1af500ad,0x9c9300ba,0x083e01cd}},	//   _akardama, _ngalamun_, _ساماڵ_, _фиску_, 
   {{0xa2790305,0x527f0372,0x92cf0347,0x66c800b6}},	//   _fjerdepl, _awenau_, _sekonde_, _mayakkam_, 
   {{0xe6890220,0xbc760181,0x850a02d3,0x76e40061}},	//   _панталон, _amarabi_, _привлечн, _생각해보니_, 
   {{0x12900373,0x837801c0,0x8c0402e8,0xc47803b8}},	//   _kreas_, _fulanin_, _chisati_, _рыногынд, 
   {{0xd20000ab,0xd29204b3,0xec000166,0x134b015e}},	//   _mahia_, _skramm_, _rettungs, _referit_, 
   {{0x8d550090,0xf3f40114,0xd8c602ea,0xff990223}},	//   _absaromu_, _routes_, _inserend, _форумчин_, 
   {{0x820e0039,0x62cb002c,0x4224005b,0x09d60177}},	//   _харан_, _gorde_, _reika_, _манучар_, 
   {{0x62900266,0x9379000b,0x427e0568,0xc0dc04f6}},	//   _bahawa_, _autagia_, _stengd_, _islandsk_, 
   {{0x33b7043a,0x050d01d2,0x38b60397,0x82a70129}},	//   _chevain_, _anumaliy, _мархум_, _obube_, 
   {{0x82020190,0x227f00b3,0x8a10032d,0x50470368}},	//   _eetien_, _alanym_, _изделиел, _зевса_, 
   {{0x822401fe,0xddb303cf,0x3ce40365,0x8c7c01b8}},	//   _veika_, _muhabbet_, _pravomoc, _korraks_, 
   {{0xe9c4013a,0xb2010177,0x5ceb0040,0x26a000de}},	//   _tageblat, _aveiko_, _מהעיר_, _بلغاریا_, 
   {{0xbec801cb,0xf394038a,0x887002f6,0x16fc014a}},	// [3810] _buziphen, _abiseo_, _pakiramd, _listázás, 
   {{0xe2020294,0xb15c0064,0x9c5c0314,0xc39500ac}},	//   _kutita_, _мурас_, _bmntril_, _opasan_, 
   {{0xb29002dc,0x2c05041e,0xe87203a4,0xee3b0147}},	//   _frear_, _katsuni_, _blondinu, _شافاگىرا, 
   {{0xa2900195,0x92ea028b,0xda61009a,0xe2a70149}},	//   _treas_, _cecilio_, _abaluseb, _ebube_, 
   {{0x0e5b00c4,0x20e000ec,0xb34102d4,0x244501a3}},	//   _سياڻا_, _унквд_, _vereina_, _لئبررين_, 
   {{0x637f0006,0x55a80037,0x27790420,0xa9ec03e6}},	//   _makanya_, _በተገናኘ_, _selvagem_, _matgedee, 
   {{0x77ca01ef,0xe2010130,0x93410298,0x1859015f}},	//   _verslini, _emaint_, _tereina_, _coronaid, 
   {{0xc4ac03c4,0xc599005d,0x32b6002a,0x3c2e0147}},	//   _гөрүгә_, _деилкаа_, _nkuchi_, _busques_, 
   {{0xdb4f03b7,0xc85d0065,0xd53b0009,0xf26c033f}},	//   _acemaker, _realschu, _prepozno_, _tuione_, 
   {{0x8f9101e6,0x5c07007b,0xc2880318,0x899d020e}},	//   _formátov, _blastet_, _kalauini_, _малың_, 
   {{0xd9f6034f,0xe14803f2,0xdee801f4,0xa0b30060}},	//   _سوریې_, _kaverill, _تورویب_, _باياشاتى_, 
   {{0x53eb0465,0xff040693,0x4d9200d6,0xf39500b0}},	//   _boste_, _chladnič, _šɦăɗă_, _kaasoo_, 
   {{0xd2240181,0x2318054c,0xd2120304,0xc2d80095}},	//   _meiko_, _indikasj, _sakhar_, _cineda_, 
   {{0x24960099,0x9c070437,0xb290004b,0x00000000}},	//   _achazadz, _glasset_, _esman_, --, 
   {{0x62e00359,0xe6c50147,0x1c6d032b,0x8b050378}},	//   _promoasj, _جووسۇ_, _ئاگرانوم_, _borgaran_, 
   {{0x73200120,0x922601f6,0x26fb03d4,0xe5830059}},	//   _waaya_, _elskar_, _строгом_, _фондове_, 
   {{0x6ab103f4,0x5e16000b,0x12c9004d,0x4b9702d6}},	// [3820] _область_, _salemala, _不代表本站立場_, _майлими_, 
   {{0xa1380075,0x827c02c7,0x5afe0660,0x7d150025}},	//   _naudsynl, _baustell, _kraftutb, _हितोपदेश, 
   {{0xb224005b,0x7972002a,0xb20202e7,0x82cb018d}},	//   _keiko_, _ebinyene, _amping_, _ፍሽለትን_, 
   {{0xb37f0439,0x6e16033f,0x99c80245,0xcc590130}},	//   _bakanya_, _falekala, _shimkhia_, _broudig_, 
   {{0x82d9022e,0x2387002e,0x72d20095,0x905a0147}},	//   _difesa_, _vatru_, _penolak_, _تۉيسۅڭ_, 
   {{0xb3f80075,0xf22d0061,0xe0f10178,0xc5d30314}},	//   _vikuna_, _선택합니다_, _antaḥśar, _йәүҙәт_, 
   {{0xd7b50544,0x6b2000c0,0xee5602ba,0xb6680184}},	//   _babuloni, _kumakain_, _хастан_, _hoshingw, 
   {{0x9b680640,0x58f5013e,0xa39500cf,0x70990138}},	//   _postanja_, _dragolju, _faasoo_, _azaltılm, 
   {{0x83eb00ec,0x00000000,0x00000000,0x00000000}},	//   _uoste_, --, --, --, 
   {{0xa43800c5,0xcf4a0091,0xd2da019a,0x729001af}},	//   _该会员所有供应信, _tunguyun, _afresh_, _asman_, 
   {{0x5c5b0133,0x338c0087,0x800f00d1,0x7b7600a4}},	//   _abdulle_, _chayele_, _ডক্টৰেট_, _estranya_, 
   {{0x027e00ab,0x5e1604bd,0x6b2102a2,0x1d7d0088}},	//   _akonga_, _halehala, _tumatakb, _бүлгүн_, 
   {{0xb32006a0,0x6657034b,0x87be004d,0xcc2a009a}},	//   _maayo_, _welkamem_, _姚嘉文小說公演_, _لړمون_, 
   {{0x2317011e,0x1ad0034f,0x02d90095,0xc71b00d1}},	//   _prezan_, _سرتیر_, _beceng_, _মানুহজাক, 
   {{0x0db301f2,0xf053015e,0x43ef0095,0xf5840343}},	//   _ленинниз, _جاقسا_, _anglangk, _kailalum_, 
   {{0x04a60188,0xbd1c0059,0xe2e9005b,0x527e01f9}},	//   _ababenez, _илиев_, _uventet_, _ekonga_, 
   {{0x32d801fc,0xb586015e,0x1e280212,0x9a0501a2}},	// [3830] _addere_, _курстард, _communis_, _koledžas_, 
   {{0x3cf904ac,0x449002ac,0x290d01ea,0x39940133}},	//   _принимаю, _الغداء_, _тўнғич_, _barkumee, 
   {{0x420001fe,0x932001e8,0xcde10126,0xbcdc0296}},	//   _vulica_, _kaayo_, _остання_, _knivskur, 
   {{0x58f20281,0x0c880255,0xf773004c,0x4d0d04a7}},	//   _kangerlu, _galeriid_, _baakuteg, _auruxeir, 
   {{0x2fc60147,0x6a7602a9,0xe2120318,0x93a20284}},	//   _ئبنۇل_, _частку_, _atahi_, _kempy_, 
   {{0xd75702b6,0xb8d6003b,0x68a402ac,0xa3200650}},	//   _تارتار_, _banemalu, _وخفايا_, _laayo_, 
   {{0x92cb0261,0x3386015d,0x2d78018d,0xa290030f}},	//   _norda_, _kadry_, _ብምቕዳም_, _iahata_, 
   {{0x04020277,0x202d02c2,0x8f3f00d1,0x79690348}},	//   _carraben_, _lesersfo, _মূল্যৱান_, _bannakye, 
   {{0x563f02c1,0x3e520013,0xe29001c5,0x22ef034c}},	//   _ikinyarw, _uchastka, _lumay_, _bulirga_, 
   {{0x62cb02d5,0x39d80039,0xaa1301db,0x99690350}},	//   _korda_, _бутархай, _قيىندعى_, _ተደርሶበታል_, 
   {{0x63ad0363,0x8b6c0170,0x8246022d,0xa3eb025e}},	//   _håvard_, _anaomber, _parlanti_, _elsti_, 
   {{0x82cb0428,0xb29002b0,0xcec80099,0x0d3800e6}},	//   _morda_, _jemand_, _akaichen, _hygiène_, 
   {{0xd37802f8,0x16d00148,0x41f501e8,0x7b980012}},	//   _angahaa_, _mirabili, _hiligugm, _रोआँरंग_, 
   {{0xc510039e,0xc9c503f1,0x9d920148,0x02ef0148}},	//   _সাহিত্যি, _šteniatk, _也不影響你閱讀本, _reliqua_, 
   {{0x92b600bc,0x93bb034f,0xbc1800e2,0x4224043a}},	//   _marcro_, _دستار_, _flaander, _teiko_, 
   {{0x629001c5,0x49e6012d,0xeee601f4,0x84430350}},	//   _dumay_, _stanamap_, _anchagin, _አስደምጠኝ_, 
   {{0x8644024d,0x71bd019e,0x2224005b,0x5c7f046b}},	// [3840] _kwezokuh, _марафоне_, _reiko_, _ardudwy_, 
   {{0x527e03db,0xe4bc041a,0x43f902f0,0x64070244}},	//   _ukonga_, _поступов, _ancuma_, _трудово_, 
   {{0x52cb068d,0xc23b0347,0x20ba0040,0xa48c0061}},	//   _jorda_, _klimaat_, _הכניסו_, _경기문화재단_, 
   {{0x16330108,0x4d1d004d,0x32ee01a0,0x53a30102}},	//   _rarangké, _漫談黨文化_, _khoneni_, _weupe_, 
   {{0xd3eb00ca,0xb22c0273,0x256301db,0x6e740145}},	//   _nosta_, _cámara_, _جەرەبە_, _jakilaič, 
   {{0x13000392,0x9c1d016e,0x6f4a00be,0x42760326}},	//   _abraibh_, _taraftar, _تىكتەدى_, _angapfum, 
   {{0x176f03d5,0xe27f0120,0x6d2d0455,0x92d801c7}},	//   _aishanag, _keenit_, _assiette_, _bedewe_, 
   {{0x529004cf,0x99b90061,0x83f80420,0xa96e006c}},	//   _asmal_, _모습이었다_, _roludo_, _кадестай_, 
   {{0xb2920344,0x32f3038b,0x1637014e,0xdd8d024e}},	//   _altami_, _bibirku_, _кавказу_, _poboljsa, 
   {{0x1b0401d9,0xa2d80100,0xba9d014e,0xefc60084}},	//   _ausserde, _kineza_, _василије_, _dibongko, 
   {{0xeb730177,0x023e0061,0xdecd04b2,0x8c2403db}},	//   _ақәыӡбон_, _기원합니다_, _artistan, _ibusines, 
   {{0x08710076,0x1f7c00e4,0xc2bc0066,0x1fd00263}},	//   _остана_, _पुस्तकों_, _graduko_, _sanitair_, 
   {{0x0e100713,0x3c6600c7,0x1649000e,0x9c570023}},	//   _कलाक्षेत, _залының_, _gmcholdi, _кабины_, 
   {{0x53200251,0x33e500e1,0x3206053a,0x437902e7}},	//   _waayo_, _endustri_, _fizički_, _angayan_, 
   {{0x7027006e,0xa96a02ba,0xd1ec0361,0x9b0305b8}},	//   _dendaloo, _варақаҳо, _листинга_, _livsnjut, 
   {{0xdf7c00e4,0x32da04e9,0x6a5d0011,0xba710090}},	//   _पुस्तकें_, _arreak_, _alumizib, _angaziva_, 
   {{0x93eb0074,0x7b23024c,0x020e017a,0xeee704ad}},	// [3850] _josta_, _abbandun_, _намак_, _bothatin, 
   {{0xac9300ef,0xc94d0166,0x00000000,0x00000000}},	//   _داراز_, _gepolste, --, --, 
   {{0xe3f80288,0x92bc013d,0xb2240206,0x825a03f7}},	//   _eikuba_, _traduko_, _krokom_, _stolti_, 
   {{0x53eb0424,0x5ba701b7,0x773e0126,0x2bfd0212}},	//   _fosta_, _anekavar, _щонаймен, _meretric, 
   {{0xf29000a1,0x3a5403ef,0x45e200e6,0x931703d9}},	//   _tapatahi_, _aramusab, _可以依法申请行政, _dadanay_, 
   {{0xb2fe0349,0xe497010d,0xd69900e6,0x00000000}},	//   _afaritay_, _sahabatk, _longévit, --, 
   {{0x83ea0168,0x3f5c0259,0x00000000,0x00000000}},	//   _likte_, _diaperca, --, --, 
   {{0x72240247,0x47b3000c,0x73a2008e,0x7c01002b}},	//   _adiku_, _ecorregi, _feepp_, _যুদ্ধবির, 
   {{0x12120588,0x63200007,0x457e019d,0x82cb04df}},	//   _ntaho_, _baaye_, _inatumiz, _deriniň_, 
   {{0x4c720516,0x5b7c03ed,0x66bc0031,0x9ed302da}},	//   _mairies_, _reconhec, _hasratny, _верифици, 
   {{0xaf6f01f2,0x42120184,0x2b1802af,0xda7a020f}},	//   _жәмъи_, _ataho_, _itagifis, _کاکړلیکن, 
   {{0xb320008b,0x4294024a,0x7dc7032e,0xea880362}},	//   _waaye_, _itokasi_, _chikayap, _kolongis, 
   {{0xe29202ee,0xd9730214,0x737302d4,0xa3f204ad}},	//   _totali_, _abangene, _mesadad_, _diseting_, 
   {{0xb4ab0199,0xebda01b8,0xea7c00dc,0xfaf40080}},	//   _teengirl_, _बदनीयती_, _timalesa_, _ilerisut, 
   {{0x794c0045,0x10d10678,0xf6c40158,0x00000000}},	//   _османско, _žiarovky_, _preferow, --, 
   {{0x525100d8,0xaae90133,0x4d1b0307,0x6ad500f4}},	//   _montefel, _booranat, _kwandise_, _disteure, 
   {{0x02d803a7,0xc9b600ff,0xb29000a1,0x03eb0113}},	// [3860] _úlety_, _מאָזאַיִ, _papatahi_, _elsto_, 
   {{0x20850300,0x66650035,0xb765006d,0x1bed0361}},	//   _komplexn, _эфиры_, _тундры_, _народное_, 
   {{0xd28701ce,0x8ea4007b,0xa37f03db,0x3290003f}},	//   _صفحات_, _lifeless_, _cakatha_, _ihlah_, 
   {{0xe38700c9,0x9f1702b1,0x3a4500ee,0xfe36021c}},	//   _natri_, _mummunar_, _ingelesa_, _havarova, 
   {{0x8c4802d5,0x72d80142,0x86840084,0xcea10244}},	//   _अबिनेता_, _annena_, _naudzubi, _guardate_, 
   {{0x2c02003f,0xc08a0162,0xa2900714,0x62a70190}},	//   _jetsons_, _كىنونىڭ_, _chlapi_, _ngabun_, 
   {{0x3e8a0173,0x77b103f3,0x3bdd02d8,0x153502cf}},	//   _মহাসচিব_, _vertrouw, _मोठया_, _квартето, 
   {{0x04b5065b,0x00000000,0x00000000,0x00000000}},	//   _अल्ताफ_, --, --, --, 
   {{0xbdb60209,0xda11028b,0x790f04b9,0x9b2f02e7}},	//   _ajungila, _casaccia_, _capaciou, _giubanan_, 
   {{0x5c920094,0x9c6e0253,0x1c9a0153,0xe34301b3}},	//   _شىققاندا_, _dagrafa_, _中村礼子が試着し, _пологах_, 
   {{0x0884019b,0xd290028d,0x43420371,0x9e53033f}},	//   _konkursu, _rilax_, _елизабет_, _tapaneka, 
   {{0x0a840148,0x57d100bc,0xb29002e2,0xe7a000d1}},	//   _站務討論區_, _پلاتین_, _ahlah_, _এক্সাৰচা, 
   {{0xef660205,0x802700e6,0x1f66009a,0xc37f00dc}},	//   _пастки_, _打分最高的_, _angangun, _malaeva_, 
   {{0xab610335,0xbda304ac,0x485301bd,0x13f400c5}},	//   _भेदने_, _носить_, _шекарала, _doutes_, 
   {{0x469c00d5,0xe23b022e,0x072a0039,0x00000000}},	//   _mangatsi, _alienati_, _мазаалай, --, 
   {{0x03480013,0x35a6023e,0xd8f80156,0x68d601be}},	//   _байрамла, _ناتمام_, _סעקשאן_, _ध्रुवचन्, 
   {{0x8c760715,0x52c5003d,0xc2fc0416,0x62d9016b}},	// [3870] _डेब्यू_, _bollore_, _hesitat_, _annobar_, 
   {{0x2dbe030f,0x8a1700b8,0x169d022f,0x3c3a02a6}},	//   _pukupuku_, _satanaka_, _ярусе_, _alibianc, 
   {{0xe3790087,0x52920318,0xd2a80388,0x4e840256}},	//   _hetanga_, _lotaki_, _vercelli_, _brokeris_, 
   {{0x1e36009f,0x25b7007e,0xad3a018d,0x3d00001a}},	//   _zavarova, _agrabodh, _ንብዓትና_, _دھونس_, 
   {{0x5951004c,0x969c042a,0x3e3702a2,0xeacb03fb}},	//   _akulukut, _bangatsi, _namamata, _primljen_, 
   {{0x65c5041e,0x7d970359,0x8f1e00ed,0xe93e0210}},	//   _disprezz, _tillefoa, _condamin, _akamuput, 
   {{0x58e20135,0x461e0417,0x02d80497,0xde370239}},	//   _музыкаль_, _vernieti, _askew_, _hamamata, 
   {{0xe22403f0,0xd25601f6,0xc25601f6,0x67e201dd}},	//   _leika_, _বাস্তৱ_, _সদস্যৰ_, _agurishw, 
   {{0x129000d0,0x7a010211,0x23120367,0xe34303ff}},	//   _bidali_, _marrasku, _membros_, _funkcí_, 
   {{0x73ea0179,0x1846008d,0x02e804b2,0x192f02ea}},	//   _obitom_, _anglatad, _aakitin_, _piemonte, 
   {{0xcc7600c3,0xec1a02ee,0x9cad002b,0x42d80342}},	//   _populus_, _transitu_, _ঔপন্যাসি, _eskew_, 
   {{0x267b0162,0x00000000,0x00000000,0x00000000}},	//   _кирәләйд, --, --, --, 
   {{0x66d405f8,0xa3780230,0x158400bc,0xbb9c0408}},	//   _площади_, _lematen_, _تروریسته, _akanjoko_, 
   {{0x2c8d009b,0x690d0181,0x42c80009,0x00000000}},	//   _багананд_, _aurabeau, _bodoče_, --, 
   {{0xcb670066,0x9629013a,0x92900340,0x928c013a}},	//   _bulegoan_, _däichwis, _paparahi_, _junkien_, 
   {{0xd43801c1,0x745600e6,0xa37f0282,0x30d701de}},	//   _diiklank, _本帖最后由_, _piharoa_, _стейтiн_, 
   {{0x430102d8,0x53170028,0x5a17025f,0xd9df00dc}},	// [3880] _garansi_, _badalay_, _batalaka_, _fetuutuu, 
   {{0x52cb055b,0x552b0156,0xc19300da,0x00000000}},	//   _forde_, _אַססאָסי, _procesel, --, 
   {{0xd2cb013d,0x58420005,0xbe870094,0x02d801f0}},	//   _norde_, _praticas_, _تارقاتىل, _helete_, 
   {{0x9f9d018a,0x56bb0129,0x68dc0371,0x4f170308}},	//   _hirdymor_, _nlereany, _купим_, _mendemon, 
   {{0xf3000402,0x7d8700a4,0x32900105,0x705302bf}},	//   _ustazah_, _comentat_, _tematu_, _asiseben, 
   {{0x3a7101c2,0xe5da0092,0x7c6701f7,0xe9fc0048}},	//   _celanova_, _競馬必勝法プレナ_, _amators_, _asanyuka_, 
   {{0x2a230148,0x6db90342,0x027e0150,0xa292030f}},	//   _全民國防知性之旅_, _kiltirèl_, _klinim_, _aotaki_, 
   {{0x63fa00a1,0x985f02fd,0x03940358,0x23eb01c4}},	//   _pupuri_, _altramas_, _meksik_, _ooste_, 
   {{0xaf650080,0x1bdc0012,0xaf47002b,0xab5302fe}},	//   _anpartin, _पंचपसेरी_, _তাসনীম_, _echwetha_, 
   {{0xf21205c7,0xf31703d8,0xcd9a0226,0x2c5201c4}},	//   _iriho_, _izazov_, _amangowa, _fontein_, 
   {{0x3200029c,0x721200a9,0xae0901af,0xe2fe007b}},	//   _kulima_, _ariho_, _goldanma, _craitur_, 
   {{0xf2b30386,0xee530526,0x89e6015b,0xf8c5000f}},	//   _keadaan_, _merayaka, _stanemap_, _incelend, 
   {{0x80640139,0x8c190260,0xe22c00bc,0x9a4500ae}},	//   _रक्षति_, _vilagarc, _خیالم_, _kigesera_, 
   {{0x16d60192,0xdd320010,0xa2f70456,0x63eb0046}},	//   _말레이시아_, _alahliwe_, _lagilah_, _dietes_, 
   {{0xf19c022f,0xa64900ef,0x53490153,0xf14f004b}},	//   _кантакце_, _نتیجې_, _オフィシャルブロ, _ithepetl, 
   {{0x227902fb,0x9b1900d9,0xb9ce03c5,0x66980139}},	//   _ingilani_, _antamaan_, _melembut, _प्रविभज्, 
   {{0x13eb008e,0x07230100,0x693200ba,0x84ac011b}},	// [3890] _noste_, _kulturom_, _دۆنیس_, _bavandak, 
   {{0xd47c03ae,0xd2d200a8,0x00000000,0x00000000}},	//   _innenrik, _ramosch_, --, --, 
   {{0xc57e046b,0x360f02c5,0xc1e201ac,0x0bee0377}},	//   _benderfy, _eapokiri, _بمليون_, _demersur, 
   {{0x52d800a1,0x5c7c006c,0xf2ea0488,0x65cc00fa}},	//   _rinena_, _abasola_, _dabisko_, _bulakeny, 
   {{0xdff3014a,0x553801da,0x7379008c,0x97c201eb}},	//   _festmény, _shantazh, _ustaria_, _isegurov, 
   {{0xff2f00be,0xa281004d,0x3f240045,0xcb0603b0}},	//   _اڭگەمەڭد, _者方可留言_, _делимичн, _satsinga_, 
   {{0x4200045d,0xa9930037,0x0fb80180,0xc9800396}},	//   _sudija_, _አረጋውያን_, _extorsyo, _ekwivale, 
   {{0x720203b1,0xae29026c,0x1c5a0322,0x608902cf}},	//   _tarifs_, _fluminis_, _ahatari_, _воронцов_, 
   {{0xc2130338,0xd4130086,0x8db70188,0xc4c800f5}},	//   _luchas_, _راشدی_, _abangaja, _талапдыр, 
   {{0x9c0801c6,0xa2900347,0x2b0804e5,0x7c780553}},	//   _boarters, _kuikens_, _amapeera_, _kapsúl_, 
   {{0x6a8e0066,0x9d83005e,0xe22a003d,0xfd8100d9}},	//   _группийн_, _ئەلسوفت_, _alemand_, _toteavat_, 
   {{0xbd050024,0xa354047d,0x54010213,0x49e800f5}},	//   _এনাজৰী_, _astellt_, _абадиев_, _bognunda_, 
   {{0x1c800125,0xb9aa01f4,0x13960189,0x46c800a2}},	//   _reşit_, _носир_, _sessiz_, _majaribi, 
   {{0x42ca0030,0x430b022f,0xf27e038f,0xfe53006a}},	//   _bildes_, _склонах_, _lenner_, _pahameha, 
   {{0xf2d8008f,0xc0cd00f3,0x8200004c,0xf3170343}},	//   _minema_, _basondel, _akkira_, _galamay_, 
   {{0xd6b7023c,0x629001ac,0x4213055a,0x72b401ad}},	//   _داساسي_, _preas_, _duchas_, _ilocos_, 
   {{0xd20203b9,0xa2b1005e,0x27e300bf,0x00000000}},	// [38a0] _kutisa_, _ﻛﯚﺭﯗﻟﺪﻯ_, _позици_, --, 
   {{0x88cc01bd,0x59d0012b,0x2c35004d,0x02b40420}},	//   _боттарда, _kontynuu, _渲染色情暴力或人, _blocos_, 
   {{0xa57e018a,0x3c74033c,0x6aef0678,0x787b002b}},	//   _penderfy, _mesurau_, _sedemdes, _গৃহবধু_, 
   {{0xe5f200f5,0xf99d0022,0x00000000,0x00000000}},	//   _антеннас, _ҡасыу_, --, --, 
   {{0x727e0516,0x193c0040,0x630c01b2,0x1a88020b}},	//   _denner_, _באקספלור_, _aquaint_, _gatisits, 
   {{0xdc5c0217,0x3b76038b,0x025b0144,0xd48602d5}},	//   _fortran_, _istrinya_, _ghalar_, _छैलाजी_, 
   {{0x64a503f5,0xe25a0040,0xc92900ba,0x3ecf04a7}},	//   _espírito_, _virtuall, _سووزانه_, _destruír, 
   {{0xc34600d8,0x32000388,0x5a8802f7,0xa639009a}},	//   _gardant_, _ordina_, _katisits, _beningci, 
   {{0x920d0536,0x5d9d0074,0x3da402eb,0x372501db}},	//   _içine_, _kannetta, _шудрага_, _بوكىستان_, 
   {{0xb2790122,0x89fc0177,0x1400012c,0x584b00f2}},	//   _angimani_, _нҳәит_, _نشانبر_, _nenolied, 
   {{0x7292019d,0x79f60090,0x9d290148,0x4b790159}},	//   _kotani_, _andiudza_, _componer, _audinių_, 
   {{0x237303b4,0x629400e3,0x1230012e,0x469501af}},	//   _achange_, _notarili_, _terjed_, _bedewini, 
   {{0xd84000c5,0x09ef01eb,0x5dc102f3,0x00000000}},	//   _四川省国家税务局, _casimira_, _matkasse_, --, 
   {{0x63af00d6,0x18110169,0xf8900008,0xc34b00c5}},	//   _câpre_, _শাহরিয়া, _التايعا_, _家电维修特约服务, 
   {{0x43f400ee,0x9e600387,0x72900189,0x0a8a0277}},	//   _hortik_, _gọzie_, _ihlal_, _audisyon_, 
   {{0x43cd011f,0x729000dc,0x32e50313,0xbe610153}},	//   _карасини_, _lemapu_, _luqummeh_, _日本のポップパワ_, 
   {{0x7d1e00c5,0x038b021c,0xd43a0061,0x1fea003e}},	// [38b0] _明星大哉问_, _párty_, _보건복지부_, _дивизиян, 
   {{0xadbe024f,0x2eaf0212,0xda5d0449,0xbeb2005b}},	//   _tukutuku_, _worldlin, _adresama_, _webstore_, 
   {{0xa3f4041e,0xc387018b,0x52000071,0x122403a4}},	//   _vostri_, _patru_, _ardina_, _leikt_, 
   {{0x0f5c0128,0x9dbc043a,0xd7a0004c,0x2b190277}},	//   _تامانلری_, _litagret_, _agatandi, _gitakpan_, 
   {{0xc87801ef,0xad92012c,0x1a8f0044,0xf62502c9}},	//   _pasinaud, _vilevile_, _galician_, _doctorul_, 
   {{0xc22403de,0xdcf10360,0xa20203ac,0xc2b300b3}},	//   _ufike_, _युवकको_, _ittiba_, _darkaş_, 
   {{0xeaca01d1,0x230e0079,0xac620251,0xdc250284}},	//   _convenie, _atrasts_, _kusugan_, _samotnou_, 
   {{0x385f0716,0xf290023c,0xa2880399,0x4c0104ca}},	//   _missnoob_, _ahlal_, _kalasini_, _amasses_, 
   {{0xbc660064,0x6d2d0092,0x9212023e,0x00000000}},	//   _bastant_, _さらに知りたいこ, _arahe_, --, 
   {{0xad8b00ca,0xa2120338,0x30e101f4,0xaa3c0051}},	//   _velocita, _brahe_, _olsangiz_, _variantā_, 
   {{0x05c80013,0x73f202b4,0xc9e001f0,0x92c60262}},	//   _bajarish, _avalelek, _fetogela_, _birlige_, 
   {{0x39ad01ec,0x28920024,0x6df00071,0x2dac0273}},	//   _الگوریتم_, _দক্ষিণপা, _سنتور_, _avanzada, 
   {{0x330100a0,0x26a60227,0xb3f900a4,0x7e4e02ea}},	//   _dembele_, _kaitanny, _licula_, _магда_, 
   {{0xf62b0288,0xb51c02ac,0x42f00148,0x55460052}},	//   _kananoañ, _بتشكيل_, _reliqui_, _सभासदहरु, 
   {{0xbac80126,0x02da0147,0x8e3801da,0x00000000}},	//   _ресурсу_, _òpera_, _arvanita, --, 
   {{0xf20001e9,0x17360034,0x8981007b,0x43000176}},	//   _godimo_, _skilning, _amuiseme, _higashi_, 
   {{0xb2020244,0x42a603de,0x329004c2,0x1045020f}},	// [38c0] _aprile_, _icebo_, _bahata_, _دبېلتانۀ_, 
   {{0xe80c017a,0x82010163,0x27a5011d,0xe26c007b}},	//   _взятка_, _napig_, _exerciti, _alood_, 
   {{0x983700da,0x82aa0037,0xa29002be,0x0eea0037}},	//   _паралел_, _የተጣጣመ_, _nilay_, _ከወለጋው_, 
   {{0x97630019,0x26a20268,0x92ca037f,0xbf37002f}},	//   _декартты, _appearsw, _millisi_, _chishipa, 
   {{0x42710240,0x12020059,0x7290010e,0xaab8023a}},	//   _digidigi_, _ottica_, _gahasa_, _pomaranč_, 
   {{0x4386001d,0xc6920352,0xf09700d0,0xb2da051b}},	//   _wahren_, _কিছুসংখ্, _драмын_, _pivovar_, 
   {{0x619703d9,0xec060488,0x2a2f003c,0x52d80514}},	//   _rahalahy_, _pensiju_, _اساطیر_, _oscer_, 
   {{0x53200286,0x929000ea,0x720100dc,0xdd8f0007}},	//   _ayiye_, _milay_, _amaise_, _balekiye_, 
   {{0x821c02b0,0xa2900177,0x9ac7015e,0x8290029b}},	//   _bisher_, _jahasa_, _бараары_, _lilay_, 
   {{0x1e0d01ec,0x9200016b,0x43410717,0xa42a0219}},	//   _زینتی_, _hikima_, _teretna_, _inshisek, 
   {{0xd3240188,0xd2010320,0x00000000,0x00000000}},	//   _курсҳои_, _haxin_, --, --, 
   {{0xbf2c020b,0xa29001c5,0x4304026c,0xe887019b}},	//   _babuadip, _riday_, _israhel_, _каманды_, 
   {{0xb2900119,0xdb990177,0x485d026f,0xe39403b0}},	//   _siday_, _иаҿагыла, _تيەسىلى_, _ønska_, 
   {{0x06670287,0x529002d9,0xffe803a2,0x3ba4003b}},	//   _देवसंग_, _lalafi_, _हाथापाई_, _etikwawo_, 
   {{0x932002b1,0xe9c201db,0x00000000,0x00000000}},	//   _iyaye_, _резервті, --, --, 
   {{0x029000b0,0x7230056a,0x76d401c5,0x147200ab}},	//   _dilay_, _tsamaya_, _falastii, _heterono_, 
   {{0xe2d9006a,0xc290030f,0x32900329,0x8c9900d6}},	// [38d0] _gazety_, _mahara_, _vilaz_, _هونداي_, 
   {{0x0507010f,0x220101b8,0x02ca0155,0xb1df0037}},	//   _кредитӣ_, _kapid_, _bildas_, _መልከጻዲቅ_, 
   {{0x42900718,0xbc520044,0x6697039e,0xa4f703b0}},	//   _kalafi_, _contain_, _মানুহক_, _holmedal_, 
   {{0x52a702b7,0xbf690279,0xfff00223,0x22d9021c}},	//   _abuba_, _magasins_, _селка_, _kazety_, 
   {{0x520102bb,0x220000ac,0xe5550023,0x13410370}},	//   _mapie_, _volimo_, _отправил, _beresna_, 
   {{0x00570013,0xd83c00e6,0x00000000,0x00000000}},	//   _кийиниш_, _城镇市政养护示范, --, --, 
   {{0x422b0172,0x31b9003a,0xad010071,0x5a4201b7}},	//   _amemene_, _берилса_, _kartasur, _anekaśaḥ_, 
   {{0x4995006c,0x1d8404bd,0x01a5042c,0x52240417}},	//   _abahlola_, _kamebuse_, _govoreći_, _lankal_, 
   {{0x88620052,0x32900243,0x9c7302d0,0xc2920362}},	//   _ओमेगा_, _dahara_, _cairier_, _botali_, 
   {{0x199106ee,0x51b60024,0x4bf6005e,0xb212023e}},	//   _kwakunge, _আৱিস্কাৰ_, _ﻫﻪﻳﺮﺍﻥ_, _buahe_, 
   {{0xf4960099,0x65b600e6,0xc859038e,0x00000000}},	//   _achagadz, _怀柔区土地利用总, _अबुधाबी_, --, 
   {{0x1279017d,0x78aa018d,0xbba50226,0xb14701cd}},	//   _コミュニケ_, _ብትግሃት_, _abizines, _захираи_, 
   {{0xb22401b9,0x82d001ef,0x622401bc,0x721d00af}},	//   _bankal_, _kabeliai_, _teake_, _калуш_, 
   {{0x2ee70074,0x00000000,0x00000000,0x00000000}},	//   _каналов_, --, --, --, 
   {{0x71dd01e1,0xf27e0272,0xc05d0274,0xe2ee00de}},	//   _матвеева_, _agenze_, _saksókna, _ekoneni_, 
   {{0x6da3033c,0x439602ec,0x72900392,0x54f8018d}},	//   _systemau_, _mursal_, _chlar_, _ብምዃኑን_, 
   {{0x33f30397,0x1d15031c,0x569a0229,0x6f1501e8}},	// [38e0] _kokubili_, _liquidac, _zabitlər, _handuman, 
   {{0x43eb0580,0x1a3d01d5,0x1c5b0187,0x9d280053}},	//   _vietas_, _کاحکم_, _ставаме_, _कलाकाराच, 
   {{0xde460086,0x03680035,0xd6d00418,0x72900062}},	//   _karbanta, _башыбызд, _yazabili, _dadadi_, 
   {{0xac71044b,0x1f42018a,0x49c601ad,0x56c701d2}},	//   _overalt_, _anerchia, _insedent, _chisiyay, 
   {{0x8a070193,0xa26c0666,0x6c16035d,0x330f0151}},	//   _jalannya_, _odgoj_, _andrić_, _strayer_, 
   {{0x7c7c04e5,0xebe00456,0x099a011f,0xb0ae0162}},	//   _abasala_, _ketenter, _маргошьи, _әрбаб_, 
   {{0x63800108,0xf37f0240,0xd3bc026f,0xfd7b0156}},	//   _beurat_, _gumatua_, _нәтіжесі_, _פלוין_, 
   {{0x7c6401da,0x1ec000bb,0x2be30128,0x9ecf0087}},	//   _aktuale_, _ٹیکساس_, _кескинли, _letitson, 
   {{0x39d7013d,0x950801e1,0x3e03033a,0x00000000}},	//   _instruad, _boitseko_, _ittempra, --, 
   {{0x69d20230,0x37340092,0xa3fa0244,0x1e5401cc}},	//   _anrezist, _おはようございま, _potuto_, _aspardha, 
   {{0x4290044a,0xdcec032d,0x034201ba,0xd29d05ed}},	//   _maladi_, _тартырға_, _otreman_, _iyijana_, 
   {{0x561b002b,0x63130167,0x4395021b,0xfb2d0202}},	//   _করেসপন্ড, _basbort_, _taasko_, _lekansos, 
   {{0x6eca010f,0x29ea0130,0x4200033f,0x72cb013d}},	//   _abanezin, _alofonie, _hikiha_, _nordo_, 
   {{0x8c7004c9,0x69140024,0xb3a30226,0x15840344}},	//   _ostrów_, _শিক্ষানু, _atapsa_, _aperiguk, 
   {{0x322703bf,0xf29001d8,0xe3800050,0xdf580039}},	//   _тимофей_, _pahara_, _beurit_, _garaipen, 
   {{0x1abc02c7,0x42ef01fa,0xd3050247,0x72d50529}},	//   _antworte, _fuefue_, _رودان_, _italiju_, 
   {{0xa22a007b,0x516a0212,0x629702ac,0x4f4a028f}},	// [38f0] _commend_, _mxyzptlk_, _مشغلات_, _hungahun, 
   {{0x4d390719,0x4e060128,0xa3210081,0xc3fa020b}},	//   _mobifone_, _اوقتیردی_, _freyja_, _bosula_, 
   {{0xd27f0249,0x438702c3,0xe87a0258,0x711d0220}},	//   _planem_, _tatry_, _koopmans_, _участиет, 
   {{0xd2000261,0xbe61006c,0x00000000,0x00000000}},	//   _milito_, _ababesha, --, --, 
   {{0xa3f80578,0x966000ef,0x169d00e4,0x4dc00165}},	//   _nplua_, _مشورتې_, _प्रतियां_, _kecisema, 
   {{0x3d280074,0x5290021c,0x2b68005f,0x995006c4}},	//   _начинает, _chlap_, _medellin_, _forsyner_, 
   {{0xbb4f02bb,0xf27e03f0,0x276701d5,0xda7300c7}},	//   _लक्षणों_, _pennar_, _جائےگی_, _artına_, 
   {{0xbc140516,0x029101f1,0xe24a0003,0x03eb040f}},	//   _varsity_, _gruan_, _vormen_, _dietos_, 
   {{0x125b01fb,0x63e00148,0xc5f203e2,0x7b9a020e}},	//   _thaler_, _首頁推薦微調_, _efemérid, _dipisano_, 
   {{0xa0830041,0xabe503da,0xe51c0151,0xe3ea0258}},	//   _аҵиааӡар, _wereghar, _ansoorey, _rikte_, 
   {{0xbaf601fb,0xf3ea0271,0xb3eb00d9,0xa3aa02cb}},	//   _apprende, _sikte_, _nosto_, _slavine_, 
   {{0xa29002f6,0x222401c9,0xb9ca0343,0x79c8005a}},	//   _palagi_, _heiki_, _mailakip_, _qorwaghd, 
   {{0x52240182,0x321c037e,0x4faf0289,0x00000000}},	//   _keiki_, _bishar_, _chilango, --, 
   {{0xa34d015e,0xd2120298,0xc14b020f,0x662f00ba}},	//   _esperem_, _kuihi_, _benemihl, _ڵقوڵاوی_, 
   {{0x03eb0388,0xf58c0192,0x8851044a,0x0da6000a}},	//   _costo_, _프랜차이즈_, _bazovand, _annittua, 
   {{0x622403f0,0xbd68006c,0x8c19002f,0x92cb00ff}},	//   _leiki_, _abamiswe_, _andamarc, _pordo_, 
   {{0xf51a0178,0xca2000c1,0x9dbd000c,0xf2ca0265}},	// [3900] _amāyayā_, _पिनबूक_, _jakavere_, _wijde_, 
   {{0x2c7f01e9,0x5c530320,0x2b99020f,0xa29000ad}},	//   _aguseto_, _khutaza_, _وژباړل_, _caladi_, 
   {{0x43eb02d3,0x6b47037f,0xaecf071a,0xdebd001a}},	//   _gosto_, _buradakı_, _аьрбийн_, _belterül, 
   {{0xeaf90258,0xe9e601f0,0x0fc3013a,0xa26c05b6}},	//   _meastent, _bololela_, _apdikter_, _moooc_, 
   {{0xb24a00d0,0x79ae03ce,0x22ca0026,0x5c010233}},	//   _sormen_, _سیحیه_, _zijde_, _omisser_, 
   {{0xc27f0462,0x303d013d,0x6f620092,0x12d901e9}},	//   _abcnay_, _sistemoj_, _ショックウェ_, _difela_, 
   {{0xcf3f02bc,0x0af9008d,0xca07040f,0xb62e0211}},	//   _kharmaja, _миллионг, _назваць_, _участвуе, 
   {{0x23eb01ef,0x1034015d,0x5c1d0310,0x33eb0373}},	//   _vietos_, _zmienisz_, _caractar, _vosto_, 
   {{0x72d9037a,0xd38202fe,0x5341045d,0xb737047d}},	//   _ingeso_, _میلیونو_, _odsekla_, _ubelaang, 
   {{0x3e32002b,0x340e0175,0x8ad50035,0xc2d0023a}},	//   _খাঁটি_, _oparavan_, _аңлаган_, _zarobil_, 
   {{0x32ca0313,0xd2f30415,0xb6d00415,0x024a0313}},	//   _comdaq_, _saniert_, _sprachli, _nuvmey_, 
   {{0x1e0f01d1,0x66c90011,0x124803fb,0x63220265}},	//   _undernea, _babasibi, _izvoditi_, _weekendj, 
   {{0x6c0a023b,0x4c54014d,0xaa07038b,0x22cb0418}},	//   _emepela_, _vertrag_, _malamnya_, _sordu_, 
   {{0x13dc00c4,0x23a2062b,0x261c02fd,0x6224013d}},	//   _usimamiz, _dolphy_, _chroitei, _efiko_, 
   {{0x02ef00e1,0x94ec01f6,0x12000195,0x42d801de}},	//   _adunabi_, _যিমান_, _gaoith_, _сауғалап_, 
   {{0xadbe02c5,0xedf3006e,0x0c73019a,0x35e4017d}},	//   _dukuduku_, _bundasra, _fairmer_, _studiebø, 
   {{0xe8ce0135,0x3658019b,0xa264034c,0x00000000}},	// [3910] _похвистн, _tinklini, _kaplau_, --, 
   {{0x13eb0073,0x2a250129,0xc2d80018,0xedd203f4}},	//   _tosto_, _ghabigha_, _ganeda_, _отеля_, 
   {{0xf2a7005b,0x23eb00ec,0xac8500de,0x22df0251}},	//   _rayban_, _uosto_, _مانورې_, _gedonet_, 
   {{0x797900d4,0xf3eb0420,0xc70000c1,0xcd990059}},	//   _betingst, _rosto_, _प्रश्ण_, _eseguire_, 
   {{0x30540219,0x02d8017d,0xf4e20255,0x5c1d034e}},	//   _asaseben, _kaneda_, _फराठी_, _curahuar, 
   {{0xe39400de,0x414301e9,0xafd4036c,0x6212026d}},	//   _kwesi_, _bomethal, _ambinifo, _draho_, 
   {{0xe3940576,0xe7a8008d,0xd9440321,0x1c0101c0}},	//   _langgeng_, _asarlari, _primerne, _hudubars, 
   {{0x296600d1,0xf3640139,0x969b013c,0x0e0d0271}},	//   _উদ্ভুত_, _apagata_, _tariflər, _verdiska, 
   {{0x3b1b0036,0x92fc00d6,0x45630156,0x00000000}},	//   _بنكيران_, _dhigit_, _מארעי_, --, 
   {{0x39fc029d,0x00000000,0x00000000,0x00000000}},	//   _actiunea_, --, --, --, 
   {{0x5f7900c5,0xe2480177,0x99e80160,0x66bc01e8}},	//   _其内容均由服务对, _amombe_, _dostignu, _indusriy, 
   {{0xc9c50255,0x78c50255,0x39e60363,0xb202019a}},	//   _sisestat, _sisestad, _styremed, _parins_, 
   {{0x02cb007b,0x33fe036f,0x22b10035,0x12da00e4}},	//   _cords_, _prirodni_, _imanlı_, _okulary_, 
   {{0x12da0430,0x52870320,0x99ce03b5,0x46e600dd}},	//   _buseni_, _afikile_, _kelembut, _botanegw, 
   {{0x7c3200bb,0x68580067,0x485b00c5,0x03940005}},	//   _اصطلاحی_, _abbagaar_, _安徽省徽骆驼物流, _svess_, 
   {{0x29df0322,0xa85f03ad,0x35bb004d,0x92a30268}},	//   _azotangu, _immarkar_, _他不是用來降少煞, _edicinem, 
   {{0xfc750195,0xcece004d,0xac5a03b4,0x41ed0350}},	// [3920] _chhradh_, _政府採購法_, _bhatiri_, _ማንችስተር_, 
   {{0xb2920374,0x5b970213,0x3be10450,0x52d80403}},	//   _mitasi_, _файлами_, _sprekker, _abnera_, 
   {{0x5e81027b,0xbcdc02ba,0xcccc0045,0x783702cf}},	//   _प्रकृत्य, _барканор_, _наставни_, _карамел_, 
   {{0xb290027a,0x435e0019,0x043e0008,0x6e9c0433}},	//   _nalazi_, _edifici_, _баяны_, _sigmarin, 
   {{0xa0530516,0x52910014,0x22ca019f,0x4054020f}},	//   _conscien, _gruas_, _ubalozi_, _اورښتونو, 
   {{0xb9d20154,0x394100df,0xd0930156,0x1a500403}},	//   _inregist, _chercher_, _דרײען_, _hanenina_, 
   {{0x19100090,0x00000000,0x00000000,0x00000000}},	//   _achasimu, --, --, --, 
   {{0x9ad001e0,0xd2040118,0x421a01af,0x911a03ab}},	//   _ترکیا_, _bayibuli_, _praktiki_, _praktiky_, 
   {{0x59e80160,0xde9f0618,0x32d4013d,0x6e520057}},	//   _postignu, _zvanični, _studis_, _dinafika, 
   {{0x44ac001e,0x43ea00f2,0xaa3c030d,0x9694016e}},	//   _madaukak, _dikti_, _variantı_, _ellerini, 
   {{0x89f60061,0xe2a700fb,0x48d900cd,0x2f520204}},	//   _브랜드매장_, _icuba_, _barschav, _naapurit_, 
   {{0xed300127,0x34c80444,0x0a7e0096,0xec6100ad}},	//   _tonnelle_, _наступае, _atunguts, _cucukan_, 
   {{0x52000451,0x7200028a,0x3e5704bd,0x9f060046}},	//   _modimo_, _lolilo_, _paralake_, _diabetis_, 
   {{0xa2da021c,0x1f770302,0xc93000ba,0x4ea700a1}},	//   _museli_, _imicaban, _تاهۆما_, _hurukore_, 
   {{0x1dab01cb,0xb2020246,0x127f015b,0xaf12009a}},	//   _amanenga, _ottima_, _planim_, _emadoden, 
   {{0x3a520183,0x76d2012c,0xd9f40087,0x02910261}},	//   _niverina_, _yanawaki, _khasimed, _bruas_, 
   {{0x6a4901e1,0xf37102f6,0xac76027b,0xc3960158}},	// [3930] _финансла, _makapag_, _पुब्बे_, _biustu_, 
   {{0x920003a0,0xbc780265,0xb5850251,0x6d0800d1}},	//   _bodilo_, _massaal_, _inernetk, _সুধিবলৈ_, 
   {{0xf956027e,0x02d90168,0x0ecd0013,0x6a060449}},	//   _фигуре_, _nedover_, _москвани, _nadahnut, 
   {{0xc2010343,0x2063009a,0x4a3c0365,0x4883027b}},	//   _kapin_, _abasebun, _variantě_, _कारीषगन्, 
   {{0x927e044b,0xb20101f1,0x926c0180,0xeee0014f}},	//   _venner_, _japin_, _alooo_, _рекла_, 
   {{0xd2da0321,0xa27e01b4,0x755e00d7,0xe29202eb}},	//   _pogovor_, _wenner_, _волосынд, _aitari_, 
   {{0x0378034d,0x277b0101,0x829202fa,0x62f101f6}},	//   _makanan_, _ачест_, _kitari_, _lågen_, 
   {{0x83200285,0x4224003b,0xcadf020e,0x49ea0368}},	//   _nyayo_, _afake_, _belehets, _отпусти_, 
   {{0x332000a9,0xc9f802f7,0x12920014,0x9e0e021b}},	//   _iyayo_, _dikahise, _ditari_, _вакансий_, 
   {{0x1ee00025,0xf42900c5,0xb32000ae,0x32900627}},	//   _उपस्थिता, _国家烟草专卖局_, _ayayo_, _aklan_, 
   {{0x77dc004a,0x920103ec,0x7ac10113,0x2292011b}},	//   _тарафлар_, _hapin_, _هنادي_, _mapata_, 
   {{0x129200a5,0x7b8102d5,0x7a7b021b,0xf22602cd}},	//   _lapata_, _देशमे_, _спросить_, _abukan_, 
   {{0xbcc40247,0x62d90172,0x4e2902b2,0x297600cf}},	//   _نظامی_, _wannyae_, _мерилін_, _hadhooft, 
   {{0x6bcb0095,0x8c35046b,0x7292020d,0xef3a0227}},	//   _سرتاسر_, _heintiau_, _zitari_, _renungka, 
   {{0xf2b40052,0xf292037a,0x610e0198,0x69d4002b}},	//   _trochu_, _bitari_, _nezvesto, _কোথায়_, 
   {{0xcb9103e2,0x0d64004d,0x82fd018c,0x4a050299}},	//   _dotación_, _摩台結算權值股殺, _haagse_, _بۇتىما_, 
   {{0x9298009c,0x4cf603a2,0xc69701db,0x8201019a}},	// [3940] _arajuno_, _अंडकोष_, _شىرقاعان_, _gapin_, 
   {{0x02240034,0x521204bd,0x6355071b,0xbed70156}},	//   _leiks_, _kuahu_, _levevis_, _דײאיס_, 
   {{0x42fd018c,0xc2900005,0x237900ee,0x0a520166}},	//   _daagse_, _bumang_, _erlazio_, _warmwass, 
   {{0x17a30220,0x1aa2036e,0xb6190065,0xb7d90135}},	//   _trattabi, _arikapus, _ökologis, _binalarg, 
   {{0xa6d30058,0xf2920081,0xcedc0059,0x086600e6}},	//   _hamburgi, _ritari_, _спирка_, _观点发表后不能作, 
   {{0x1d380057,0x822406a6,0x3573019e,0x52900020}},	//   _የማዕድን_, _ufake_, _педагога, _lemanu_, 
   {{0x147701be,0xda1105f1,0x00e90238,0x14140169}},	//   _अग्नी_, _batarame, _народили, _belgrano_, 
   {{0xe20102bd,0xd2920282,0xb25b0316,0x7b5a0156}},	//   _lapio_, _hapata_, _akalar_, _הכּבוד_, 
   {{0x130f02fe,0xeb610060,0xf44c02ac,0x04c80152}},	//   _nombolo_, _бәлкім_, _هيوماكس_, _премиялә, 
   {{0x52cb0013,0xb2240030,0xa3fa0388,0x0ea70120}},	//   _bordi_, _veikt_, _misura_, _cukuumat_, 
   {{0xd2cb015e,0xa3eb0030,0xb2ea011a,0xc92203a2}},	//   _jordi_, _lietas_, _avenues_, _फेफड़े_, 
   {{0x537f029c,0x92240030,0x72cb018f,0xfe070343}},	//   _kumanda_, _teikt_, _dordi_, _gipdagaa, 
   {{0x094604da,0xd291030b,0x544b0137,0x00000000}},	//   _izgledat, _afaayo_, _италид_, --, 
   {{0x92cb055c,0x22ca049a,0xec01051c,0xe37f0055}},	//   _fordi_, _obilazi_, _kolshor_, _dumanda_, 
   {{0xbdc70362,0xdb6b02c9,0xe26f025e,0x92e60160}},	//   _banzungu_, _negocier, _leigusam, _imenica_, 
   {{0xa7c1042f,0xe3140037,0x7290031a,0xb54d0061}},	//   _uyarakhi, _መዛግብት_, _bhlas_, _가성소다를_, 
   {{0x1b180444,0xc37902b1,0x829000fd,0x7b2803c6}},	// [3950] _пенсию_, _cigaban_, _chlas_, _albanees, 
   {{0x02d000b5,0x8aca0209,0x5307045b,0x00000000}},	//   _añorei_, _baajakas, _закриват, --, 
   {{0xf2900015,0x2a340029,0x4a710499,0x0f47014b}},	//   _badani_, _خۆڕاگری_, _aigaeiva_, _boositaa, 
   {{0x977801e0,0xa5b40156,0x227b0244,0x62020478}},	//   _وولاتی_, _פאדווא_, _digitali_, _artiga_, 
   {{0x50b700bf,0xf24002ef,0xbe51000d,0x138d0206}},	//   _надоело_, _chalbari_, _paratama, _pretrváv, 
   {{0xb74901a7,0xfe8d0061,0x926003db,0xd290023b}},	//   _зеленый_, _예체능계열_, _bavunyel, _lalani_, 
   {{0x312a03cf,0xd2da0167,0x3c7e0203,0xa2020088}},	//   _müdahale, _barnwyd_, _presado_, _útils_, 
   {{0xa20200b9,0x8bde0226,0x63ea0212,0xcade009a}},	//   _ertiga_, _amadikir, _dicto_, _amatikit, 
   {{0x92ef01d9,0xffed04a7,0x8629000a,0x0c2a004a}},	//   _trefft_, _calzadas_, _aserfall_, _аракчино, 
   {{0x1229056a,0xd7670147,0xb3eb0321,0x32000013}},	//   _boemong_, _ئلحومۇ_, _dosti_, _ishini_, 
   {{0xf6b90321,0x32ec00da,0xc290023b,0xb3f8032d}},	//   _nekateri, _decizie_, _kalani_, _bolutu_, 
   {{0xca0700b9,0xb29000b9,0xb3540233,0x93ea0421}},	//   _badannya_, _jalani_, _heredat_, _booten_, 
   {{0x1d9d03f2,0x1453018d,0x5162000b,0x622401ef}},	//   _kannatta, _ኣይረክብን_, _faagasol, _reiks_, 
   {{0x727e044c,0xa9d20077,0xb3a00161,0x63f8002f}},	//   _hennar_, _enrejist, _острый_, _illuyu_, 
   {{0x8fc20162,0xe022032b,0x5b1a0247,0xe8890046}},	//   _مايور_, _خۇلقى_, _بروسلی_, _таразала, 
   {{0x92900140,0x727e03ea,0x03ea0079,0x561f00d6}},	//   _aklat_, _agence_, _tiktu_, _achomhai, 
   {{0x73000193,0x02ca006c,0x620100d9,0xa36e02bb}},	// [3960] _bisakah_, _abalazi_, _tapio_, _orientuj, 
   {{0x0a9104aa,0xca5203f6,0x94930236,0xf4600304}},	//   _capitain_, _hesebona_, _motocikl_, _direhatk, 
   {{0x829002e7,0x32900179,0x19e900f5,0xbe5100b2}},	//   _madali_, _balani_, _намартла, _bararama, 
   {{0x89090056,0xd2120108,0x32900020,0x82020446}},	//   _мерасад_, _iraha_, _lemalu_, _kutina_, 
   {{0x2c67020e,0x121200ab,0xed0502b9,0x32010255}},	//   _bakuena_, _arihi_, _meglehet_, _napib_, 
   {{0xaf9701e1,0xf3780082,0xa25b041b,0xa6820059}},	//   _журналда, _makaman_, _shalor_, _метроста, 
   {{0x72900318,0x5db90203,0x551f005e,0xcdc404ae}},	//   _falani_, _desarmat_, _گەنسۇ_, _пустила_, 
   {{0x9e4f0091,0xc7180097,0xa637011f,0xdb9804bd}},	//   _hanahima, _ikọgun_, _маслови_, _pilikino_, 
   {{0x00000000,0x00000000,0x00000000,0x00000000}},	//   --, --, --, --, 
   {{0x2290023b,0x22a701cd,0xeb5702a9,0x272802ad}},	//   _aalani_, _ububi_, _замаху_, _analogov, 
   {{0xa2b302a0,0x327e002e,0x33780031,0x5b0c0082}},	//   _afidipo_, _radnog_, _bakalan_, _gangamin_, 
   {{0xde55003e,0x2d55010f,0x52b6046b,0x43a4003c}},	//   _absalome_, _absalomu_, _barcio_, _apositif_, 
   {{0x271e0013,0x00000000,0x00000000,0x00000000}},	//   _кайгу_, --, --, --, 
   {{0x02010060,0x23ea0455,0xe3800265,0x068d008d}},	//   _рейтингт, _picto_, _deurne_, _yondashi, 
   {{0xc2010333,0x5c1b032c,0xb2260134,0xa69d011f}},	//   _tapie_, _allalaar, _ibukun_, _langperi, 
   {{0x8dd600ad,0xa2ca03f3,0xa35b01a0,0xc3f6034c}},	//   _richadia, _vonden_, _hungaka_, _алмаулар, 
   {{0x2dc702d3,0x629001e8,0xf02a022a,0x86910270}},	// [3970] _десетина_, _kadali_, _gledinik_, _intenibi, 
   {{0x82a70068,0x875c0047,0xbaa60043,0x79090088}},	//   _gaaban_, _affichag, _abayonka_, _темада_, 
   {{0x787b002b,0x1290023b,0x10c40040,0x73790325}},	//   _গৃহবধূ_, _palani_, _שנוצרה_, _bacadan_, 
   {{0x417100d5,0x929002f6,0xd202006e,0xfd0001c6}},	//   _evanjely_, _madami_, _gariis_, _healoere_, 
   {{0x9eb600d9,0xd61e00b4,0x35450092,0xeea700bb}},	//   _профиля_, _imposibi, _現在の旅行テ_, _خیزمواد_, 
   {{0x85da01a3,0x92fd0055,0xc51506d8,0x629201f0}},	//   _ارنيسٽ_, _piaghe_, _अनुदित_, _ditagi_, 
   {{0x48e300da,0x14380164,0xca00018e,0x1ea70065}},	//   _музикалэ_, _обаманиң_, _espaniya_, _montiert_, 
   {{0xf22100ba,0x1f2d021a,0x40470204,0x23030055}},	//   _هاوژین_, _bareedin, _законов_, _abbassu_, 
   {{0xf3f402af,0xd2900028,0xce93005e,0xb3dc00f0}},	//   _acutse_, _badali_, _تەھسىل_, _porcií_, 
   {{0x82b403da,0x341e013d,0x42900020,0xc6d0012d}},	//   _adicha_, _reciprok, _salani_, _binainim_, 
   {{0xce2700da,0x820100e9,0xc8890128,0x08850014}},	//   _презент_, _papie_, _самарада, _konkurru, 
   {{0x32b60372,0x5f0202ba,0x49fa0515,0x82020066}},	//   _parcio_, _ростои_, _votatore, _mutila_, 
   {{0xc2d500d6,0xfad303ce,0x7eec01c7,0x7b58006c}},	//   _مخدرات_, _رهادی_, _beýni_, _babulawa_, 
   {{0x421202aa,0x925a003f,0x73eb013c,0x63010160}},	//   _praha_, _szolg_, _dostu_, _nikakav_, 
   {{0x69c8003e,0xf08a0193,0xbed5002b,0x00000000}},	//   _парашютт, _प्रयोगां, _ইউআইএসসি_, --, 
   {{0x0d880268,0x7290019f,0x1b170226,0x6e4603ba}},	//   _almostwa, _halali_, _akhalits, _ongabeda, 
   {{0x732002ab,0xa29000b6,0x93e000e1,0x62d90241}},	// [3980] _oyiyi_, _kalali_, _géttu_, _ergeen_, 
   {{0xa3200493,0x929000bc,0x32cb0376,0x708e023c}},	//   _nyaya_, _jalali_, _tordu_, _دسعودي_, 
   {{0x5320024f,0x21ab0097,0xdaac020f,0x9c7701cd}},	//   _iyaya_, _elimenti_, _amakanan_, _alisuse_, 
   {{0x81dc0179,0xca4801a7,0xd290001e,0x62d80165}},	//   _konstanz_, _юридичес, _malami_, _ganena_, 
   {{0xb6520326,0x699a00bb,0xb67f00a8,0x29ed02fb}},	//   _ahezekiy, _ایتھوپیا_, _vendergi, _lesisita_, 
   {{0xdb640252,0x34b504df,0x9532017a,0x12da029b}},	//   _mahulusa_, _алдадып_, _alandway, _keseng_, 
   {{0x838700c3,0x0d3b0162,0xd4f4020f,0x70b5027b}},	//   _fieret_, _كەلىمىسى, _کوئټه_, _तुमुन्_, 
   {{0x33fa026c,0x03a200d7,0x865e00e7,0xaaea0098}},	//   _insula_, _hampe_, _andiamow, _partikle, 
   {{0x1290021a,0x62f2028b,0x5c9c0013,0x667b0094}},	//   _balali_, _акуац_, _тузди_, _بىلەمە_, 
   {{0x4a8a01cc,0x19030022,0x53480151,0x33940126}},	//   _कर्मणा_, _лекторий, _anveagh_, _kvisen_, 
   {{0xa9620047,0x42e802f3,0x3e10009b,0x620e0188}},	//   _商务部网站版权与, _polisen_, _уншаарай_, _сарам_, 
   {{0x7cf705fd,0x61c00038,0x61340040,0x9a3800ff}},	//   _pertukar, _şögıllän, _מאוורר_, _מײדלעך_, 
   {{0x92020043,0x9092019e,0x22d90241,0x3c9f0191}},	//   _mutima_, _avalynė_, _argeen_, _intrång_, 
   {{0x87c1005a,0x739c034c,0xbaad00bc,0x231a010b}},	//   _gharghhi, _boxaraev_, _وزیرانش_, _leriweng_, 
   {{0xbda7018a,0xe1ab0244,0x430f0040,0x8edf00d7}},	//   _symudiad_, _alimenti_, _itrader_, _diphuman, 
   {{0xa2900334,0x0c27001d,0xc0a801db,0xf63605f4}},	//   _saladi_, _artícul_, _رەكىتتەر_, _challwaw, 
   {{0x939403c0,0x3b9c0147,0xfb18003e,0x4dac03c2}},	// [3990] _avisen_, _ئدىرەگىن_, _batalats, _adenoida, 
   {{0x3e000147,0x00000000,0x00000000,0x00000000}},	//   _ششەپكىن_, --, --, --, 
   {{0x43860176,0x00000000,0x00000000,0x00000000}},	//   _lierre_, --, --, --, 
   {{0x213d014f,0xaecd00dc,0x472b0129,0x53200170}},	//   _спортист, _kerisian, _baptizim_, _ayayi_, 
   {{0x1a070386,0x8c660008,0xd2d20240,0x12920369}},	//   _dalamnya_, _obstant_, _kavetani_, _papapa_, 
   {{0xc4010288,0x2e5401f5,0x70e801d5,0xa22b02b2}},	//   _heiraten_, _tercipta, _magadnak_, _rommene_, 
   {{0x72d5022b,0x083100bc,0xdad000cd,0x00000000}},	//   _kallnet_, _الشریف_, _carteive, --, 
   {{0x42a60067,0x00000000,0x00000000,0x00000000}},	//   _ginbot_, --, --, --, 
   {{0xc4eb0590,0xec1a051a,0x61f80392,0x62010207}},	//   _нүсэр_, _luarbias, _macdhòmh, _papic_, 
   {{0x927e030f,0xd68701ab,0x75930244,0x42d801e9}},	//   _ngenge_, _अजमाई_, _персийск, _ganela_, 
   {{0x6b780008,0x125a0360,0xf7a601be,0x00000000}},	//   _raconair, _teologii_, _oddechov, --, 
   {{0xfb930074,0xb20100dc,0x4e3902b1,0x52d8004b}},	//   _огромный_, _gapia_, _albarusa, _hanela_, 
   {{0x40fc00b9,0x6fcd0176,0x3c69030a,0xa7230013}},	//   _फोनवर_, _cerisier_, _dorrío_, _пўписа_, 
   {{0x727e0118,0x9b470287,0x72d803f5,0xcdb602dc}},	//   _ogende_, _nespoléh, _janela_, _admitida, 
   {{0x42d90076,0x08cf0153,0x5a140189,0x627e0464}},	//   _esses_, _行ってきました_, _kabartma_, _ngende_, 
   {{0x23a204d3,0xb2d80082,0x9f490224,0x62a70082}},	//   _nompov_, _manema_, _morgunin, _ababen_, 
   {{0x2eca009a,0x227c025f,0xb3860319,0x7690034f}},	// [39a0] _abanazin, _akendeki_, _cierre_, _alawulay, 
   {{0xf6a001aa,0x98150064,0xab590006,0x23490418}},	//   _effectsw, _бурана_, _buktinya_, _desenli_, 
   {{0xe2d501a6,0xc3ea019b,0x6b820086,0x9290003a}},	//   _kororia_, _likti_, _اختیا_, _talabi_, 
   {{0x11fd01a0,0xde4e02ba,0x1316044a,0x694b049a}},	//   _cclaunch_, _харду_, _mpebeni_, _preosjet, 
   {{0x3f6b04c7,0xd8d800ad,0xf2d8009a,0x42250224}},	//   _стране_, _panglawu, _banela_, _beyki_, 
   {{0xa94203e6,0xb1380037,0x337b0117,0x2e10039f}},	//   _schlusse, _አማፅያን_, _pulapim_, _hyderaba, 
   {{0x4f580264,0x645d0450,0xf9c30455,0xb26c0399}},	//   _paranaen, _einstân_, _tendance, _hoooi_, 
   {{0xaa2d0163,0x0200031c,0x36aa00da,0x4bee0299}},	//   _بلندی_, _salió_, _стация_, _ئەبۇلقاس, 
   {{0xeda800ee,0x9db8010f,0xfb880299,0xd41d0299}},	//   _donostia, _abangaka, _ئۈندىدى_, _ئەبۇداۋۇ, 
   {{0x43f00286,0xbbd20052,0xc2c4007a,0xc9d000e4}},	//   _teluguni_, _propuště, _alawiyah_, _zajebist, 
   {{0x22f1045f,0xb21203ba,0x620e016d,0x9389003a}},	//   _någon_, _draht_, _тарам_, _шароитид, 
   {{0x0ea600a6,0x4ee80289,0xc2a102e1,0x00000000}},	//   _abalinan, _atakuman, _litriúil_, --, 
   {{0xd7a70300,0x232a0012,0x63fa00b9,0x4eda03c2}},	//   _investov, _कहाउति_, _wisuda_, _archfien, 
   {{0x79d4008d,0xb8d30299,0xfe150084,0x9587015d}},	//   _августда, _ئەسۋابى_, _dedegana, _hebrajsk, 
   {{0x92020244,0x3e9f0615,0x49de0184,0xa0c601ef}},	//   _estiva_, _zvanično, _imanikwa_, _бурмістр, 
   {{0xea1e01cd,0xa63900f5,0x127e0117,0xe2b800e0}},	//   _динии_, _вадалары, _joinim_, _laadbak_, 
   {{0x93a30073,0x191601db,0x42f60243,0x9a0403db}},	// [39b0] _crypta_, _بولدىعوي_, _fidinuk_, _bayakuye, 
   {{0x73ea0231,0xc8b200c5,0x264a018a,0xb0a70148}},	//   _dicta_, _劳动社保局_, _negyddol_, _政府資訊公開專區_, 
   {{0x28e80141,0x9ebe00b3,0xf77f0061,0x55ca0122}},	//   _asoslang, _barlagyn, _아주대학교_, _ارامنه_, 
   {{0xf5a3048e,0x524902eb,0xa290024f,0x93ea026c}},	//   _bankrutö, _индонез_, _talaci_, _ficta_, 
   {{0xa2b903c0,0x4617000c,0x3f20014a,0x00000000}},	//   _rimelig_, _amboysyi, _teremten, --, 
   {{0x32d9001d,0x320a0013,0xd975006e,0xfcf800c7}},	//   _esser_, _мазмунин, _daaneele, _барчабыз, 
   {{0x3dfe02a5,0x8c6d004c,0xd1bd0371,0xa32202b2}},	//   _हार्डवेय, _agiraba_, _писателя_, _asylsøke, 
   {{0x9236035b,0xe303046f,0x0b090462,0x737f029b}},	//   _imajo_, _gelaunt_, _amascene, _jumaada_, 
   {{0xdc7e01f6,0x828d0258,0x1c670258,0xec6f025c}},	//   _hausten_, _harkema_, _flaters_, _starken_, 
   {{0x7c2b03f2,0x725f0061,0x2d2b0265,0xd0ef046f}},	//   _egyptiss, _조심스럽게_, _egyptisc, _freiwell, 
   {{0x2c780029,0x71450040,0xc54500cf,0x5a03029f}},	//   _ئیبڕاهیم_, _קולור_, _bakkalch, _preložen, 
   {{0x486101b9,0xc29200ae,0x6b0901c8,0x128f0161}},	//   _repantir_, _gitazi_, _vlastene, _luvattom, 
   {{0x4ef400c4,0xbf7b02c9,0x395e0378,0x00000000}},	//   _گھوٽڪي_, _dimineaţ, _herovast, --, 
   {{0x6db80214,0xde670188,0xbe9e034c,0xd1be0299}},	//   _abandaka, _рахмати_, _карлы_, _بەزمە_, 
   {{0x0c1f01f7,0xf3eb0052,0x82d70442,0xd81a00ff}},	//   _despart_, _hosty_, _diketuai_, _אַלכּסנד, 
   {{0xe37800c1,0xfb2b0075,0xc201035b,0x2bd800bb}},	//   _pakaian_, _almannas, _izpit_, _بحثیں_, 
   {{0xfeae01f9,0x664501e6,0xc3a3030f,0x00000000}},	// [39c0] _bafundze_, _krkonoše_, _puapua_, --, 
   {{0x7d8d0082,0x6ec100a6,0x43eb012a,0x1cb80022}},	//   _dimokura, _ayinakan, _mosty_, _кинологт, 
   {{0xa3410217,0xa3580116,0x99fe0187,0x9a93007a}},	//   _expensa_, _facevox_, _franquia_, _dititikb, 
   {{0xd21201dd,0x76cd0007,0x879f03ef,0x229101f1}},	//   _isaha_, _kebasini, _azatangi, _uruar_, 
   {{0x6eba0111,0xe62500b4,0x12920092,0xa6240077}},	//   _giurnale_, _partidul_, _desi様_, _lesansyè, 
   {{0xa89b01d5,0x6c2702ee,0x3cf70012,0xf386046f}},	//   _پرنسپل_, _orfanotr, _डाटकाम_, _dierfe_, 
   {{0x9c13010d,0x8d1b0048,0x326c01d9,0xb2010198}},	//   _pemprov_, _atandise_, _floot_, _izpis_, 
   {{0x225a0274,0xee48004a,0x43170053,0x0c770125}},	//   _skilar_, _berlinnı, _परिसंवाद_, _bashlaýa, 
   {{0x92000129,0xa22b03a2,0xbe0b00db,0xcff503b4}},	//   _idiime_, _मुखचोदन_, _प्रणाम्_, _chakambo, 
   {{0xaa990199,0xd9f70211,0x2fd0005e,0xf95202ea}},	//   _tuananhs, _peruskou, _ﺋﯩﻠﻐﺎﺭ_, _resocont, 
   {{0xe3930265,0x96b6050e,0x73f902f7,0x43eb0130}},	//   _bodyfit_, _obradovi, _bodutu_, _aketus_, 
   {{0x3e73002e,0x8fdd001d,0xf992018e,0x00000000}},	//   _nadležno, _madhrepo, _maphepha_, --, 
   {{0xd3a20043,0x726e02dd,0x72d805d9,0x8ed300f2}},	//   _yampa_, _appogg_, _caneca_, _samierin, 
   {{0xafad018d,0x8c0a020e,0xc3ea03e0,0x4be000e6}},	//   _መድሃኒትን_, _аркадьев, _dooten_, _中央政府门户网站_, 
   {{0xec610255,0xc79e018b,0xf5aa0040,0xd4b102cf}},	//   _virumaa_, _трябэ_, _לדסקטופ_, _percepçã, 
   {{0xb3a30227,0xf58901f9,0x4ceb0040,0x6be002e5}},	//   _adapun_, _balesikh, _להעיר_, _heteiter, 
   {{0x1e540369,0xe4f201db,0xf3e9032d,0x834103f3}},	// [39d0] _papahele_, _қолхат_, _kastriki_, _negeren_, 
   {{0x97cc0040,0xcc7500f4,0x00000000,0x00000000}},	//   _אליאור_, _haisleg_, --, --, 
   {{0xf26c02a3,0x72fc0338,0xfc24030a,0xa37104b3}},	//   _bloot_, _encoratj, _escaleir, _bagadig_, 
   {{0x62ee04da,0x8b690372,0x0e520140,0x5853003d}},	//   _krenuti_, _butetown_, _hinalika, _annadier_, 
   {{0x43a20306,0xc56100f4,0x33d30060,0x7b890119}},	//   _pampa_, _skrivañ_, _болмай_, _reynaldo_, 
   {{0xf76f0023,0x230f00aa,0xba0f023c,0x00000000}},	//   _удалять_, _kurbata_, _echanile, --, 
   {{0xf3a300c4,0xe59c02b2,0xa43701b5,0x3a110282}},	//   _mfupi_, _бірюльов, _kavaloko_, _matapaia_, 
   {{0xb3a20043,0xe3a2022d,0xa3aa045b,0xdb3101ac}},	//   _wampa_, _trippa_, _старий_, _cairpéad_, 
   {{0x02ca02c2,0xe292012c,0x12000464,0x50990153}},	//   _londen_, _yapata_, _indimo_, _それよりも_, 
   {{0x52e3022e,0x6e600148,0x8a9301ea,0x1f540156}},	//   _legione_, _透過宅配或是郵局, _osoyisht, _נאליטע_, 
   {{0x53870220,0xe31703ee,0xe30f01c0,0xe8110061}},	//   _orario_, _unazad_, _gurbata_, _냉난방방식_, 
   {{0x824a013d,0x328003f3,0xf8b500c7,0xd30302cd}},	//   _formon_, _leukste_, _biktimer_, _babansu_, 
   {{0xb8680076,0x804d014e,0x81b9015e,0x01060206}},	//   _assinatu, _брате_, _intenció_, _dobierky_, 
   {{0x22cb0125,0xfaf10016,0x63810096,0x59b703f3}},	//   _bizde_, _לעבאוויט, _amasimbi_, _hardlope, 
   {{0xf34303cc,0x82c80176,0xe90603d3,0xe499044f}},	//   _diseño_, _cocotte_, _forbered, _dilahirk, 
   {{0x63a201d1,0xadfd0076,0x8ead01b2,0x112d00a4}},	//   _scopus_, _галерија_, _foolishn, _тапта_, 
   {{0x2c520326,0xba940660,0x9fa8015e,0x238004d7}},	// [39e0] _abatira_, _tannhels, _monestir_, _sturtu_, 
   {{0x6e180462,0x7658025e,0x026c0026,0xe398006c}},	//   _embersma, _velkomni, _sloot_, _корупсия_, 
   {{0x39c30488,0x07790147,0x822404d5,0xc4be0052}},	//   _tendence, _تۈشتۈم_, _ifaka_, _pachatel_, 
   {{0xc2240043,0x8c5506d9,0x88080128,0x51920078}},	//   _afiki_, _montaxe_, _ташланиш, _непостој, 
   {{0xc2ca0263,0xb914011d,0x967000a2,0x00000000}},	//   _honden_, _parchetu, _utakatif, --, 
   {{0xf2ca0265,0x7d390038,0xd6ee003b,0xb37b0058}},	//   _konden_, _рэхмэт_, _balawulw, _tulatim_, 
   {{0x227e0075,0x91bd0137,0x76160310,0x33860279}},	//   _kennir_, _тинто_, _chaladai, _vierge_, 
   {{0xc7120004,0x02db008d,0x693200bb,0x737a0109}},	//   _achitèk_, _musofir_, _تنسیخ_, _oslavil_, 
   {{0x026c01a4,0x2689018d,0x78d2027b,0x0c050499}},	//   _woooo_, _ዕላምኡን_, _बीजसन्ता, _mausali_, 
   {{0xd26c01a4,0x08520139,0x97c1007e,0x07e30162}},	//   _toooo_, _दुर्लभम्_, _aparikhi, _содиси_, 
   {{0x7c62059b,0x722b00a5,0x6e460142,0x6b6300d9}},	//   _susulan_, _elemene_, _apsaroga, _vaarassa_, 
   {{0x0224042d,0x85a200e4,0x9a830198,0xc5cd0120}},	//   _afaka_, _प्रत्_, _odpornos, _makaadoy, 
   {{0x32cb016e,0x287500cb,0x63a20207,0x00000000}},	//   _sizde_, _asangulu, _dampo_, --, 
   {{0xd99e01c4,0x99fe0203,0x033a01eb,0x28b503dd}},	//   _bankreke, _desavant, _cheakã_, _viktimav, 
   {{0x22900225,0x9a380205,0x134200d9,0x1202029b}},	//   _gadauw_, _видеотас, _pureman_, _kariis_, 
   {{0x91790162,0xa1fa0060,0x23180168,0x78270060}},	//   _интизам_, _جىلىمىن_, _obligasj, _مازالاي_, 
   {{0x092b0244,0x816b00ec,0x5e900147,0x168d02a1}},	// [39f0] _commenta_, _акторка_, _تىزۉۉ_, _beledigi, 
   {{0x5dbd05b3,0xb200022a,0x57f40153,0xfaf8020f}},	//   _toestand_, _kilido_, _新商品情報_, _اودخلکو_, 
   {{0xec74026c,0xa68703eb,0x527e01ad,0xb6d70157}},	//   _網路追追追_, _toedieni, _ininom_, _kolarstw, 
   {{0x03860347,0x137c020d,0x738400ff,0x7c010228}},	//   _vierde_, _babanje_, _בנגינות_, _dagslys_, 
   {{0x725a071c,0xd2120298,0xd5ca003a,0xad290541}},	//   _izolo_, _arahi_, _yaratish, _ambijent_, 
   {{0x7256016d,0xb3440089,0x00000000,0x00000000}},	//   _نامرات_, _tarixı_, --, --, 
   {{0x8ac60157,0x4a160354,0x4b00002b,0xa4b60013}},	//   _परिलक्षि, _електирс, _বিয়িং_, _мунаввар, 
   {{0x9f0800f2,0xd3f9000d,0x00000000,0x00000000}},	//   _parakstī, _istus_, --, --, 
   {{0x0b8302ba,0xcdb80062,0xa55301c8,0x09170420}},	//   _дурнамои_, _heshomva, _termoprá, _крадени_, 
   {{0xa6c800f1,0xa8fb01b7,0xd2c7003c,0xed1d0151}},	//   _lansenny, _कैकेय्या_, _disentri_, _ansoorit_, 
   {{0xbdb802fc,0x00000000,0x00000000,0x00000000}},	//   _abanyaka, --, --, --, 
   {{0x100600c4,0x837c020d,0x9e5302f6,0x6290070c}},	//   _ٽرئفڪ_, _yabanje_, _kinasiha, _oblaci_, 
   {{0x93f90261,0x2930026c,0xbc1a02d9,0x424e0420}},	//   _estus_, _conciliu, _gerstenb, _изобилст, 
   {{0x2e5302df,0x55ce020d,0xce9400f3,0x458b03f0}},	//   _dinasiha, _kutameny, _kwamanan, _bindisky, 
   {{0x516e02ad,0x82ee000b,0x4d390374,0x62d900fe}},	//   _trailery_, _asenati_, _видеотаб, _mafela_, 
   {{0xc53a02ec,0x926c00bb,0x7aa705e2,0xc0ed00ff}},	//   _تسنُد_, _fogom_, _boletín_, _יינגל_, 
   {{0x1fde01bd,0x62d9004b,0x928f00e4,0x737100ec}},	// [3a00] _идеясы_, _esseu_, _punktem_, _svarstym, 
   {{0xd394033c,0x82910265,0xf63d003b,0xd6a40142}},	//   _broses_, _mktac_, _alinyatw, _ambarīṣa, 
   {{0x840802c3,0x429202fa,0x120000df,0xf2900251}},	//   _taliansk, _mitali_, _exhib_, _cadami_, 
   {{0x625a0257,0x1e510138,0xf2260488,0x00000000}},	//   _skilur_, _havalima, _virkne_, --, 
   {{0x83a800ff,0xffda0238,0xf6030250,0xd3940333}},	//   _געלענק_, _цілий_, _bullgari, _stesa_, 
   {{0x02fd0462,0x0311057b,0x00000000,0x00000000}},	//   _ahiritay_, _jurídico, --, --, 
   {{0x42360163,0xac1e01d1,0x0e1902fb,0x1fac01d5}},	//   _جاتاہے_, _respect_, _falefaka, _مجہول_, 
   {{0xe2900334,0x222b0284,0xb28e01a0,0x8ae0020b}},	//   _sadali_, _plemene_, _ihakelo_, _fetelets, 
   {{0xb290019d,0x426c0278,0x9f20008c,0x85fc0274}},	//   _padali_, _rogol_, _pertutga, _borgartú, 
   {{0x9d1b005d,0xe2900084,0x829200b9,0x28740320}},	//   _aporomoc, _badami_, _gapapa_, _mpinyulu, 
   {{0x05830071,0x3c070098,0xeb1904d8,0x7fe402b9}},	//   _panembah, _borgerkr, _matalaan_, _munkacso, 
   {{0x38430217,0x53180032,0xc29200de,0xb03802eb}},	//   _criticos_, _halchaj_, _eitali_, _alberdik_, 
   {{0x52ea0082,0x02b100de,0xf84503dd,0x8d3001b5}},	//   _tasirin_, _lendoda_, _dritares_, _mofihlit_, 
   {{0x93f90015,0xe3a902f6,0xd2d502dd,0xfc700080}},	//   _lagula_, _isaalang_, _falliet_, _imeraju_, 
   {{0x0c6b0333,0x43ea01df,0x22b100ef,0xa3b90279}},	//   _alcuinu_, _hootin_, _nendoda_, _survenu_, 
   {{0xe1790352,0x12c50334,0xc6ef0040,0xb3f90251}},	//   _পঞ্চানন_, _akolole_, _סמואל_, _nagula_, 
   {{0x934204c3,0xdd8500b5,0x71d9005b,0xa0ed00d9}},	// [3a10] _doremon_, _acultura, _girlswom, _afrikkal, 
   {{0xcdd60040,0xb290004e,0xe2cb003a,0x6a26005e}},	//   _גבירול_, _kalami_, _bizda_, _ﺑﯜﻳﯜﻙ_, 
   {{0xfbc40023,0x79490079,0x8e7102ac,0xb634023c}},	//   _очень_, _personīb, _مخصصة_, _afunyani, 
   {{0xeebf01da,0xa27803cc,0x4ae003a0,0xc79803ab}},	//   _gjermane_, _বিজয়ের_, _betelets, _bezdomov, 
   {{0xb2d903db,0xd2870265,0xea92002b,0x13f901c0}},	//   _bafela_, _donkere_, _কামড়_, _dagula_, 
   {{0x9baf0409,0xe2c80262,0x36670064,0xc2d6001c}},	//   _oversætt, _арассалы, _хатико_, _endorso_, 
   {{0xd025003c,0xcb8601e8,0x92eb03d9,0x00000000}},	//   _نواری_, _gimodelo_, _hariako_, --, 
   {{0x7f3d01c9,0xe29002aa,0xedc002cd,0x652c0029}},	//   _फिल्मवले_, _radami_, _difiloma, _کاژێر_, 
   {{0x2d5a0135,0x86e701b7,0x92a7003a,0x203603b4}},	//   _гомер_, _सदेवमानु, _натога_, _akatowan, 
   {{0xb4cb01f2,0x42dd018d,0xa6c602e0,0x4dfe00e6}},	//   _ﺳﺎﻧﻠﯩﻖ_, _ንበተሰብካ_, _dikanedi, _在全面建设小康社, 
   {{0x7202013d,0xfa8901eb,0x3f1f01ad,0xd24100a2}},	//   _kutima_, _hantasía_, _kabugtua, _shambani_, 
   {{0x6290001a,0x53f10066,0x742f0076,0x2616028a}},	//   _valami_, _biolentz, _апартман, _ماليڪٽ_, 
   {{0xb9eb026c,0x1b9100a4,0xd2950157,0x2dd1003f}},	//   _exercend, _natació_, _odpadami_, _luchavla, 
   {{0x93c30061,0x62020478,0xf2ec0230,0x165a027b}},	//   _친구들에게_, _urtica_, _lekilib_, _ग्रसते_, 
   {{0xc78201b7,0xa3f90015,0x5eb70276,0xe3480120}},	//   _कालाग्नि, _laguma_, _маканни_, _esseroh_, 
   {{0x187a02da,0xed370105,0x39690065,0xda890121}},	//   _затворен, _oceniane_, _importie, _fantasía_, 
   {{0x17ee02a2,0xc9800111,0x72b1009a,0x00000000}},	// [3a20] _katarung, _balisgia_, _sendoda_, --, 
   {{0xfa4e0064,0x649c00c1,0x79060058,0xd20204a8}},	//   _اقبالىنى, _पिनमराठी_, _vamablud, _autima_, 
   {{0x07be0044,0xb6ae03bd,0xa3de00e7,0x12310251}},	//   _קונספט_, _gugustuh, _ddrway_, _aaamiin_, 
   {{0xac5c019d,0x8d28036c,0x641100e6,0x5cec003c}},	//   _akatero_, _hampandr, _停产整顿井_, _بالابردن_, 
   {{0x7b060132,0x451a00e6,0x20440060,0xea09039a}},	//   _fórumban_, _上海市实施_, _пендешіл, _membulat, 
   {{0x449b0278,0x5ae802e7,0x062a0115,0xaea400d9}},	//   _dipapark, _cysteine, _saintifi, _чемпионо, 
   {{0x1567009b,0xc41c0264,0x52900278,0xdd28036c}},	//   _гитарын_, _cotabato_, _pemaju_, _mampandr, 
   {{0x3aa201ef,0x420202cb,0xc290009b,0x227e01c0}},	//   _priklaus, _kutija_, _badaki_, _idonta_, 
   {{0x425b03b0,0x42d5031e,0xff43017d,0x347b014d}},	//   _fjaler_, _analizu_, _personda, _gelungen_, 
   {{0x22d90160,0x7bf90220,0x835600db,0x5301020f}},	//   _saveza_, _scontato_, _ratesms_, _ډپلوماسۍ_, 
   {{0x72000251,0x03f903bd,0xd9f80209,0x4bfb01d4}},	//   _fidiyo_, _maguba_, _illinuna_, _bisguadr, 
   {{0xc9490051,0x7230022d,0x51e70059,0xab5e00d9}},	//   _personīg, _scambia_, _наградит, _грани_, 
   {{0x4f640210,0x627f0331,0xcd0903a2,0x020201c5}},	//   _achandin, _omaná_, _नकाबपोश_, _iftiin_, 
   {{0xb6a00381,0x64d10059,0x938702e2,0xaa8f013b}},	//   _affectsw, _авторите_, _anerit_, _kaliawan_, 
   {{0x32d902a2,0xbb7504d0,0x6290023b,0x00e80086}},	//   _nangyari_, _sinsizva_, _halaki_, _magamnak_, 
   {{0x1b2200da,0x274801e0,0x82cb013d,0xf2d50287}},	//   _конфор_, _تووندو_, _birdo_, _generaci_, 
   {{0x37b7062d,0x72b502ab,0x2ae104b1,0xdfc800d7}},	// [3a30] _ejercici, _imechi_, _redusere, _bosootho, 
   {{0x92f400ac,0x12c40257,0xd6b700c8,0x02ca0112}},	//   _nepovolj, _sendandi_, _сараларғ, _pondan_, 
   {{0xe39405a9,0x22d600c1,0xa3bf0224,0x00000000}},	//   _ijisho_, _आऊटडोअर्, _farvegi_, --, 
   {{0x22d902a2,0xe3f801f6,0x02d80436,0x4a0e027f}},	//   _mangyari_, _solund_, _sanela_, _turakene, 
   {{0x33940292,0x1f2f0231,0xb2b50149,0x62900119}},	//   _etese_, _justitia, _mmechi_, _kalahi_, 
   {{0x3942071d,0x7e3d0025,0xb39404c9,0x42ca0390}},	//   _aparecer_, _अतिक्रान, _ianske_, _tondan_, 
   {{0x3d2003db,0xf06d005d,0xe3ea022b,0x12d80211}},	//   _achithwe_, _campoman, _rakti_, _faneja_, 
   {{0x51ae0301,0x729001fa,0xe3eb0445,0x387600ec}},	//   _yaratmış, _lalahi_, _disto_, _амоку_, 
   {{0x371a01f2,0x3c210033,0x3998028b,0x24e100be}},	//   _ئىدارە_, _perquei_, _абзиа_, _ارجاقتان_, 
   {{0x72d90047,0x23a200bc,0x82ea045a,0x4a09060a}},	//   _assez_, _nampa_, _tvunget_, _cocaína_, 
   {{0x92d40270,0xb31d02a4,0x12d401a7,0xcdab007f}},	//   _gauder_, _viscera_, _kalojen_, _llanenga, 
   {{0x33ea0201,0xf6e5013b,0xf25a033a,0x229000fe}},	//   _wakti_, _forchhei, _isolvi_, _talaki_, 
   {{0x9394055c,0x65f800ff,0xd2900084,0x365e02d6}},	//   _ganske_, _עפּיזאָד_, _balahi_, _жисми_, 
   {{0xf23603c3,0xcff00265,0x285201ae,0xc3eb00d4}},	//   _imaju_, _wachtwoo, _segundos_, _bisto_, 
   {{0xfc070024,0x5518023b,0x925a0009,0x13a2011b}},	//   _borgarkr, _sadukaio_, _izola_, _mampa_, 
   {{0xd394017c,0x2f2c0224,0x029400a2,0x927e0056}},	//   _kanske_, _almennin, _mwakani_, _adonsa_, 
   {{0xcd4000d9,0xc9c70255,0x1c1404f8,0x47f403d4}},	// [3a40] _семейный_, _त्योहरवा_, _parsley_, _екселенц, 
   {{0x6394054d,0x42900086,0xb2ca0261,0xb41f02ad}},	//   _danske_, _valaki_, _mondon_, _majitelk, 
   {{0x93b601be,0x00000000,0x00000000,0x00000000}},	//   _hedvika_, --, --, --, 
   {{0x8e1c0285,0xde1c03c2,0xb4bc00bf,0x9e70028a}},	//   _interaha, _disencha, _поступив, _اپاهج_, 
   {{0x665d0162,0xf25a00f2,0x53a2004c,0x00000000}},	//   _топтикил, _ozola_, _bampa_, --, 
   {{0xe2d8008f,0xe26d023d,0x138602c3,0x937a0152}},	//   _panema_, _negozi_, _mierne_, _yasagan_, 
   {{0x129000ad,0x6306048e,0xfdf000bc,0x94860040}},	//   _salaki_, _kaenalav_, _گناوه_, _הבנאדם_, 
   {{0xe69600f0,0xe7ac0352,0x22d8004b,0xa3740040}},	//   _zavedeni, _এখিলা_, _faneka_, _לנפגעי_, 
   {{0xcc12035d,0x7a280319,0xac6f0538,0x48580117}},	//   _stepeni_, _funcione, _styrken_, _kabohaid, 
   {{0x398e02d6,0xd7c80330,0x661203b9,0x0a9302c4}},	//   _салим_, _sanginiv, _qalltasx, _солени_, 
   {{0xa2ca01d1,0x4c6600f5,0xab880268,0x120902b9}},	//   _london_, _җайының_, _andingbr, _alpolgár, 
   {{0x5934011b,0x28ec0238,0xf871014f,0x927f000d}},	//   _alimbisa_, _народних_, _остала_, _arengu_, 
   {{0xc2cb0063,0x5b610450,0xa41c007e,0x231604c9}},	//   _airde_, _kollumer, _antarato_, _swiza_, 
   {{0xe2cb0089,0xbf6b0139,0xaa59021b,0xc9c000ff}},	//   _birde_, _प्रदेशः_, _parempia_, _ampleksa_, 
   {{0x59d202aa,0x39bf071e,0x826c016b,0xef4102f8}},	//   _zaregist, _gelehrte, _dogon_, _fungafon, 
   {{0xad2f017d,0x33f4012e,0xa25a0331,0xa7200261}},	//   _回答順に表示_, _postai_, _skilir_, _dezertaj_, 
   {{0xff540092,0x4b7d0183,0xa587005b,0x00000000}},	// [3a50] _日以内に発送致し, _ampototr, _tietgenk, --, 
   {{0x51850374,0xf2010433,0x70610012,0x9ecc011a}},	//   _مظفری_, _rypin_, _जेइसन_, _להספיק_, 
   {{0x14d6027e,0xdb9500ae,0xc38701da,0xd20202ce}},	//   _кустуриц, _bisinzir, _fierit_, _artina_, 
   {{0x43860071,0x22a7001e,0x01bb0204,0x3d4f020e}},	//   _jamrud_, _ababan_, _поступит, _уҙышы_, 
   {{0x8c6f0396,0xd9cd001c,0xff59029d,0x724801d0}},	//   _approva_, _hildeshe, _suspenda, _blomst_, 
   {{0xd37f0049,0x44f4016d,0x69fe030f,0xb7bc0162}},	//   _malanga_, _ﮬﻪﻗﯩﻘﻪﺗﻪ, _hainatia_, _оғлан_, 
   {{0x2e1000af,0x8f670121,0xa97c0040,0xbf240435}},	//   _adressea, _estadoun, _להבליט_, _rešen_, 
   {{0x73eb0157,0x627b02e1,0xfd0f0143,0xc3a30217}},	//   _posty_, _ginearál, _struttur, _frappa_, 
   {{0xa9dc002c,0xdc22014f,0xd68e00ec,0x62a60102}},	//   _publikoa_, _селекциј, _апостала, _temba_, 
   {{0x19e6011b,0xa3040420,0x1432003e,0x00000000}},	//   _bilobela_, _mudaram_, _дөйәғош_, --, 
   {{0x03eb06bc,0x52a3038c,0x72910120,0xa6cd0365}},	//   _aiste_, _klubovim, _gitay_, _strachem_, 
   {{0x23eb027a,0xd93100a6,0x8b740276,0xd1c70071}},	//   _biste_, _abambise, _ئىتالىيە, _غیرقابل_, 
   {{0x904603ad,0x89aa0076,0x824800e0,0x05a500d1}},	//   _istrumen, _хобит_, _blomke_, _ইবিলাক_, 
   {{0x4eab0497,0x22910119,0x900b016f,0x2cda004d}},	//   _breeches_, _bitay_, _опису_, _provenir, 
   {{0x39740011,0x2a0603db,0xf26c012c,0x5c3b0097}},	//   _abazituu, _bambalwa_, _jogoo_, _àmàlà_, 
   {{0x80fa01c5,0x627f029b,0x0200016a,0xe200037c}},	//   _وُنستامت, _asensu_, _filino_, _nimium_, 
   {{0xc3ea025e,0x8c65032d,0x4da202ac,0x42940219}},	// [3a60] _taktu_, _отличниг, _باتنة_, _evikini_, 
   {{0xbd8c061f,0x9212042d,0xf3f90074,0xd2f2024c}},	//   _dečki_, _tsaha_, _istuu_, _jaghraf_, 
   {{0x837f02f8,0xb3b10185,0x4200005b,0xa3eb0180}},	//   _halanga_, _ayaqqa_, _akkina_, _ziste_, 
   {{0xdb87037c,0xe29003db,0x237f010e,0x00000000}},	//   _dimitter, _kunawe_, _balanga_, --, 
   {{0x5c73030a,0x91770093,0x2a2c030d,0x0a6a020f}},	//   _angrois_, _черте_, _alicənab_, _پوهېدو_, 
   {{0x386c0148,0x39af02e5,0xc63a018d,0xfb5901e5}},	//   _existens_, _códigope_, _ዝወሃበና_, _larubawa_, 
   {{0xbc01024c,0x8fbb0041,0x5140012b,0xbc59001c}},	//   _ifisser_, _реиҭаш_, _सतरंगी_, _mabulag_, 
   {{0xc37b0002,0x43820094,0xb291041c,0xd2190305}},	//   _ostavio_, _بارلق_, _litax_, _bruksnam, 
   {{0x72f40101,0xbef20159,0x21440123,0x00000000}},	//   _posibil_, _хваля_, _verdensl, --, 
   {{0x438603b5,0xcc5900ed,0x00000000,0x00000000}},	//   _zamrud_, _nabulag_, --, --, 
   {{0x33eb04c6,0x86340121,0x3f4301c1,0x50f701af}},	//   _siste_, _redacció, _bersanda, _alsaňyz_, 
   {{0x35f6026f,0x82da0417,0xa9de02fc,0x331e0065}},	//   _ءۇشتاس_, _spreek_, _agenerwa_, _kirchen_, 
   {{0xf3ea012d,0x4200019f,0xa2d40416,0xf0370122}},	//   _faktri_, _lililo_, _laudar_, _پروزه_, 
   {{0x637f018e,0xf3eb01b9,0xe50400fc,0xb2920499}},	//   _valanga_, _insti_, _anglahch, _matagi_, 
   {{0xffd6021b,0xa7c70059,0xb9bb00a2,0x06890311}},	//   _активиро, _маркови_, _nimepata_, _ዕላማኡን_, 
   {{0xe5a800f3,0x67c00287,0x21310320,0xe2a600a2}},	//   _abasenak, _समूहका_, _kondelel, _nembo_, 
   {{0x75ea014a,0x926c022f,0x00000000,0x00000000}},	// [3a70] _اٹارنی_, _algos_, --, --, 
   {{0xe15c02ba,0x09190162,0x42a80092,0x89d30137}},	//   _хунар_, _билалаба, _ヴィンチブックス_, _хотжилт_, 
   {{0xfecd02e7,0x62920277,0x0c0b0160,0x15cd0308}},	//   _gitimban, _hatagi_, _naopako_, _teraniay, 
   {{0x82240318,0x037f00ec,0x12d40082,0x73a3019a}},	//   _afaki_, _palanga_, _daudar_, _heapin_, 
   {{0xdbf900ea,0xfc7e00a3,0x29e40134,0x32d902bf}},	//   _taonjato_, _samspel_, _ibaraẹni, _bavela_, 
   {{0x228e0044,0x5d7200e2,0x699e00e9,0x738b03da}},	//   _שוויון_, _helmholt_, _kankrela_, _kwesighi_, 
   {{0xd2d400a7,0x395903b8,0x6d340153,0xc28a019e}},	//   _gaudir_, _зеленов_, _家族と避難場所を, _бярэзіна_, 
   {{0x437f0049,0xcbe1000c,0x76d30053,0x12610325}},	//   _talanga_, _амрагыла, _ब्रिज_, _onkoloji_, 
   {{0x6eb401f1,0x798e00d7,0x323200f7,0x00000000}},	//   _komunist_, _вадик_, _anemono_, --, 
   {{0xc37f01af,0x1fc500a0,0x905a02fe,0xc2120184}},	//   _badalga_, _aminiyar_, _درخانی_, _isaho_, 
   {{0xf2f20115,0x24290133,0xb99a0397,0xbf080256}},	//   _bagitau_, _calanqoo_, _alikhole, _kazahstā, 
   {{0x3683035d,0xe25a024c,0xf0ca022f,0x00000000}},	//   _trpezari, _brolli_, _варнянск, --, 
   {{0x6e4e022f,0x1875017a,0xb3ce0405,0xe2b401c2}},	//   _кагда_, _abangelu, _габарити_, _cunca_, 
   {{0x13f4018d,0x00000000,0x00000000,0x00000000}},	//   _postoi_, --, --, --, 
   {{0x5e9e0159,0x00000000,0x00000000,0x00000000}},	//   _шарля_, --, --, --, 
   {{0x334006b2,0x87f60040,0x7200028a,0x023f0311}},	//   _kugenda_, _ביהדות_, _andiko_, _ኩለንትናዊ_, 
   {{0x29f8038a,0x73940018,0x162f002b,0xae120510}},	// [3a80] _allikuna_, _etesi_, _এডুকেশন_, _гiала_, 
   {{0xc97000d4,0xa38602c9,0x35490152,0xb9ab018d}},	//   _standert, _pierde_, _символла, _ቃልዓለም_, 
   {{0x528b0145,0x2c5500e2,0x997b02a4,0x9abc018d}},	//   _pakankam, _sietske_, _artifice, _ብተኣምራት_, 
   {{0x8c73017d,0xb2b402df,0x8b3d0273,0xb5d7014a}},	//   _fabrics_, _punca_, _energía_, _سیلولر_, 
   {{0x9c530087,0x7a8b005b,0xff4302c2,0x4fea019e}},	//   _akuteka_, _artnahib, _versinda, _ассяродд, 
   {{0xe2cb01f6,0xc2910039,0x5c6d001d,0x3960027f}},	//   _firda_, _iktak_, _efortia_, _bikonone, 
   {{0x42a6019d,0xfcc701d2,0x749304df,0x00000000}},	//   _tembo_, _allinchu_, _allaniçi, --, 
   {{0xc2e60318,0x4e3a030c,0x44c6003c,0x0a17019d}},	//   _asenita_, _tamayaqa, _لاکپشت_, _inyamuka_, 
   {{0xa62301a3,0x7dbd0211,0x49150033,0x7d7b0163}},	//   _مٽياري_, _коричнев, _successu, _delmagya, 
   {{0x52fb033b,0x22cb018f,0x221c0067,0x00000000}},	//   _lephaga_, _birdi_, _amuhoo_, --, 
   {{0xbab1041a,0xd7c400d9,0x267e0263,0x00000000}},	//   _області_, _незамени, _kinderfi, --, 
   {{0xfc0f003d,0xcd9a020b,0xe96e03fb,0xd69404df}},	//   _inutilis, _diponaga, _trinaest, _bolegini, 
   {{0x53940055,0xa33b0350,0x62010194,0xb9130202}},	//   _stesi_, _ለአራተኛ_, _typic_, _tipatiku, 
   {{0xfc0a01e5,0x53790277,0x1224028f,0xe1c300e6}},	//   _alapata_, _agdahon_, _ngake_, _exprimez_, 
   {{0x139a0311,0xd44500be,0x00000000,0x00000000}},	//   _መንጐኦም_, _دايىداپ_, --, --, 
   {{0x23eb0206,0xc9fc02eb,0x14ac00e4,0x8d970224}},	//   _svetre_, _үгний_, _प्रतिघंट, _afslöppu, 
   {{0x63eb0396,0x86e10294,0x7ee90040,0x4c66006d}},	// [3a90] _jista_, _barbayki, _וחדרי_, _брусэлі_, 
   {{0xf946016e,0x42e10139,0xe2cb0125,0xa34103f3}},	//   _ameliyat, _महतीं_, _baydak_, _degenen_, 
   {{0x0b820061,0xc3a20202,0xfb0401af,0x155001f3}},	//   _재난안전관리과_, _isipya_, _bermeseň_, _nezničit, 
   {{0xc99a0156,0x42e40061,0x527f0253,0x2c000145}},	//   _אושפיזין_, _누적판매량_, _anynom_, _veisles_, 
   {{0xd4bf0012,0xc300018e,0xb8b70045,0xe58d00e6}},	//   _चहुँपली_, _jahangi_, _признао_, _个人用户如何选购, 
   {{0xf26c0066,0x32f50176,0x4394031c,0x269d020f}},	//   _gogor_, _reggiani_, _fuese_, _ديرشمه_, 
   {{0x03050162,0xde9a01da,0x90e80008,0x3f8500be}},	//   _يوغان_, _መንገዶም_, _بوجومول_, _аллахка_, 
   {{0x850c0044,0x149b01c1,0xb37a00b3,0x63eb004e}},	//   _ברונטיות_, _diharapk, _yasayan_, _bisti_, 
   {{0x3823005e,0xde9501cd,0x2a7d0078,0x23340452}},	//   _ئەكرەم_, _пулаки_, _цивилног_, _गाजावाजा_, 
   {{0x95da018d,0x432a019e,0x163601b8,0x03ea007b}},	//   _ይምርኮስ_, _транссэк, _edendami, _dootin_, 
   {{0x8ea70409,0xc26c0225,0x5edd01da,0x862600be}},	//   _oversigt_, _dogor_, _berishes_, _جاشاچۇ_, 
   {{0x1c16015d,0x03d50227,0xab660244,0xc3540370}},	//   _हार्वेस्, _mentaati_, _прашки_, _berekat_, 
   {{0x82da0045,0xc6580089,0xf04d014e,0x9f21069b}},	//   _posetu_, _капеллас, _прате_, _tertutup, 
   {{0x42cb0013,0x00000000,0x00000000,0x00000000}},	//   _tirdi_, --, --, --, 
   {{0xe3eb0346,0x4b060076,0xb2960453,0x70e80153}},	//   _zisti_, _borracha_, _bugarski_, _どうしよう_, 
   {{0x821d0041,0xf16c0213,0x9a0703b5,0x7d9202f7}},	//   _иаиуа_, _обложени, _kadarnya_, _galefile_, 
   {{0xa26c0031,0x6349014a,0x93540278,0x54980126}},	// [3aa0] _bogor_, _mindegy_, _berehat_, _текстів_, 
   {{0x123100b3,0x2af901ef,0x7c000265,0x8ca803c7}},	//   _амангелд, _фатальны, _meisjes_, _wyścig_, 
   {{0x63580354,0x4491030b,0x4290003f,0x8ae202e7}},	//   _талашмас, _aligolok, _ijlah_, _mablihan_, 
   {{0xf84801ec,0x49d600d0,0x4c22022b,0xf6160395}},	//   _نظامیان_, _ostegune, _brynhild_, _nedorazi, 
   {{0xb25b00e1,0xe621027b,0xd60f00ee,0xaf9b007b}},	//   _begleg_, _थरॊणॊ_, _erromeri, _greedier_, 
   {{0xa5c10147,0xc2c90037,0x00000000,0x00000000}},	//   _اراڭاردى_, _ብክለትን_, --, --, 
   {{0x027e021b,0x9f28046b,0x1c1c02d3,0x437a0082}},	//   _tunnus_, _mharagra, _comprou_, _masanan_, 
   {{0x6285002e,0xc5ee028b,0x682700a2,0xbdc601e8}},	//   _ovakvog_, _рпарламе, _پاراتا_, _naghalip, 
   {{0x2f420217,0x3c90010d,0x93f8017f,0x00000000}},	//   _regratia, _pemulung_, _illulu_, --, 
   {{0x18eb012f,0x2317004f,0xb4cb005e,0x3daa0476}},	//   _òñabida_, _damakoy_, _ﺳﺎﻗﻠﯩﻖ_, _asingafa, 
   {{0x42e0001c,0x8c1e0040,0x5387013a,0x22d90014}},	//   _blansko_, _קוגניטיב, _mierkt_, _kafeja_, 
   {{0xa399018d,0xa34e0039,0x425e00d3,0xa35400c1}},	//   _ኣጎስቲኖ_, _zenetik_, _zapletli_, _perekat_, 
   {{0x8c520155,0xb14d03ac,0xb360006e,0x9321004f}},	//   _lektion_, _dipersil, _entermej, _fayyug_, 
   {{0xda100033,0x5a8d012b,0xf2510145,0xe3800418}},	//   _surprend, _recenzję_, _аклахома_, _oturdu_, 
   {{0xfe3b0094,0x3c1d0222,0xfb710320,0x3a4a00e5}},	//   _باياعىدا, _disparu_, _holualoa_, _gordinha_, 
   {{0x4e390140,0x741c0257,0x796a012a,0xe37f0229}},	//   _pamamara, _kristinn_, _jednolit, _camaata_, 
   {{0x58920499,0x8ee10022,0xa49a0311,0x00000000}},	// [3ab0] _alavelav, _августан_, _ዘንጊዖም_, --, 
   {{0xa7b50539,0xb38002d5,0x92b4009f,0x00000000}},	//   _tidsskri, _suured_, _punco_, --, 
   {{0x3378001a,0x3dfa01eb,0xb65b013d,0x17aa02a3}},	//   _balaton_, _enterove_, _proksimi, _vertelli, 
   {{0x97ba049a,0x117502a2,0x03f9020d,0x89fc03a0}},	//   _nekretni, _mainstay_, _baguma_, _bokafant, 
   {{0xa68000a8,0x88cd007f,0xce1600bf,0x00000000}},	//   _venderdi, _herfeidd, _гульдима, --, 
   {{0xa71d0366,0xd3eb025b,0xdad3009b,0xa2990350}},	//   _подскажи, _mistu_, _kantuare, _አንፃርም_, 
   {{0x53220008,0x3b5f004a,0x59640385,0x873e01df}},	//   _mercats_, _altınçäç_, _skloplje, _meercham_, 
   {{0x7743011d,0xa948012b,0x99bd012e,0xbf200080}},	//   _сурса_, _क़िस्मत_, _kilencve, _bhuttoga, 
   {{0xf86303d4,0x7db90188,0xe416002b,0xc7a100d1}},	//   _монаси_, _abangaha, _ইঞ্জিনের_, _তহিলং_, 
   {{0x28e30418,0x4fa90311,0x42ef0455,0x1739006c}},	//   _programd, _ንጸጥታዊ_, _greffe_, _датаринҳ, 
   {{0xc66c032b,0x63100396,0x4a98016e,0x99c501db}},	//   _җуңго_, _simbolu_, _verilmes, _журедим_, 
   {{0x6b8d023d,0x5aca0280,0xa2a60087,0xa2d50388}},	//   _impianto_, _रिहर्सल_, _hemba_, _salotto_, 
   {{0x3f5d04ad,0xe42104f0,0x734102d8,0x6c5300d9}},	//   _akhanton, _lebanego_, _आश्चर्या, _karttaa_, 
   {{0x5dbd004b,0xb60e018d,0x135403ec,0x7d08018c}},	//   _comacare_, _ዕንባባታት_, _enverit_, _animatie_, 
   {{0xf2a60249,0x461f0192,0xa2480347,0x726d0088}},	//   _memba_, _구매자료에_, _blomme_, _negoci_, 
   {{0x6c7102ec,0x3d9d0187,0x6c39018a,0xf87301b5}},	//   _ژھٹان_, _концесио, _toriadau_, _empindzu, 
   {{0x8c6a018d,0x69cf0233,0xeef80162,0x913500c5}},	// [3ac0] _ምስልሳል_, _gulfstre, _бириктүр, _或被配置为不显示, 
   {{0x7c7100ff,0xd30500b3,0x420202f8,0x8dd10077}},	//   _סוצקעווע, _awlamak_, _pisila_, _mechoula, 
   {{0x5ff000ed,0xb3df00bb,0x6b710418,0xee080061}},	//   _edukasyo, _مسعودکیل, _motorlar, _시사프로그램_, 
   {{0xe9fb00bc,0x3c560059,0x8eb50455,0x434203f3}},	//   _kepungku, _vittime_, _superbes_, _beweren_, 
   {{0x38470397,0x237a0141,0xce8901f2,0x73b001b3}},	//   _тарафи_, _masalan_, _маңидиға, _реоргані, 
   {{0x4f5d03a0,0x962204df,0x668200db,0x00000000}},	//   _akhaoton, _begenýän, _बिलाइ_, --, 
   {{0x329202c1,0x8c3003ef,0x9e20007e,0x52000240}},	//   _batazi_, _abasuwis, _गुप्तकाल, _qiliho_, 
   {{0x2961041e,0x00000000,0x00000000,0x00000000}},	//   _adinarat, --, --, --, 
   {{0xed98049e,0x3c98049e,0x09dc01d8,0xf9630059}},	//   _recenzie_, _recenziu_, _ningtase, _arcobale, 
   {{0x52240298,0x0e510047,0x96df02fb,0xaa570046}},	//   _ngaki_, _bancaire_, _fevavaof, _базарга_, 
   {{0x547a042c,0x62e004e0,0x19d00092,0xd2500299}},	//   _zastuplj, _adentro_, _bulerebe, _بىئەپ_, 
   {{0xab7e02b0,0x8041026c,0x496e0039,0x3b8f00d6}},	//   _vielleic, _部落格全站分類_, _ezinbest, _sóiseara, 
   {{0x1a710170,0xce02000a,0x2dc00399,0xb300018c}},	//   _kupangwa_, _upperisa, _ausitula, _verberg_, 
   {{0xb1ff027b,0x051f040b,0x63eb041e,0x5b64005e}},	//   _abhaavah_, _leluwaho_, _vistu_, _ﺳﻮﻏﯘﻕ_, 
   {{0xc04400c9,0xe2a604d8,0xb9e402a5,0x3160058b}},	//   _sieunhan, _dembi_, _trenéra_, _reagiral, 
   {{0xf2b4009f,0x4292016b,0x372d003e,0x88600061}},	//   _punce_, _datayi_, _поездары, _온라인상담_, 
   {{0xd27e038d,0xd9a30134,0x00000000,0x00000000}},	// [3ad0] _skente_, _olujagba_, --, --, 
   {{0x2be70008,0x6e2400ff,0xa2ca013c,0x07410025}},	//   _اداتقا_, _געפלויגן_, _fondun_, _विभिन्ना, 
   {{0x5c58013d,0xb9c402a6,0x9a600338,0xb975027e}},	//   _pastroj_, _albergat, _forçat_, _блажени_, 
   {{0x60e60169,0x33a20279,0xf9fb0227,0xba94027f}},	//   _ইন্তেকাল_, _sympa_, _kehangat, _bwanonos, 
   {{0xbbb40379,0x996804b1,0x5e7c0255,0x5b8d006a}},	//   _विस्फोटो, _pasiente, _पुन्य_, _ampianar, 
   {{0x83730212,0x8bdf0074,0x538600ea,0x827c011c}},	//   _metamod_, _kalenter, _sedra_, _jéngi_, 
   {{0x8386071f,0xc87501a9,0xe64b018d,0x82d600cd}},	//   _belra_, _curiosid, _መጀምርያ_, _niklaus_, 
   {{0xc39d007e,0x93f40150,0xfc760076,0x027e012c}},	//   _kuryāt_, _histri_, _recusar_, _chenye_, 
   {{0x6a550203,0x93d0002e,0x4d8102ac,0x899d020a}},	//   _fonetica_, _svemirsk, _الكحول_, _талып_, 
   {{0x32fc0197,0xec2b031a,0xd94b011f,0x1dbf00e6}},	//   _langaj_, _comannac, _kojointe, _ossature_, 
   {{0x92ea00e2,0x06b80298,0x62b10403,0x29eb0045}},	//   _altiten_, _karapoti, _anidina_, _усмерава, 
   {{0x70c70211,0xd3f4038f,0x82df0046,0xe6cd003b}},	//   _пишите_, _listri_, _renovat_, _bebacini, 
   {{0x5d120322,0x66cf0011,0x37c8021e,0x72e50083}},	//   _ataragir, _bakatuli, _vansinni, _camutsch_, 
   {{0xaedf0089,0x506003b0,0x00000000,0x00000000}},	//   _berençe_, _meistrin, --, --, 
   {{0xf39402ee,0x6fbf00bc,0x416f0227,0x89e200d1}},	//   _stess_, _رحمتی_, _pilihlah_, _গাম্ভীৰ্, 
   {{0xa9c900ea,0x516c0092,0xe576065e,0xc08902d3}},	//   _dokotera_, _続きを見る_, _millionæ, _семиња_, 
   {{0xe2a6005d,0x82000320,0xc2e8048c,0x490503db}},	// [3ae0] _tembi_, _aphili_, _enliven_, _bayakufu, 
   {{0x5b3300f3,0x5b670089,0xd2f901e1,0x00000000}},	//   _amachweb, _сандык_, _itihela_, --, 
   {{0xc7c90122,0xda7f0092,0xc60f00d0,0x78fb03f5}},	//   _pangangg, _タルサイト_, _eurokeri, _adiantad, 
   {{0xf35500df,0x93f802c2,0x82fc01d2,0xdd08005d}},	//   _acheter_, _adjunk_, _ankawasi_, _маншәала, 
   {{0x9b3d053c,0xc38602cb,0xe5670188,0xf156021c}},	//   _enerxía_, _prozori_, _тиллоии_, _bezstaro, 
   {{0x43a902f1,0xc9b60060,0xddc5027f,0x6c7b00ec}},	//   _convite_, _تالقىسى_, _cakikuje_, _ажыцьцяў, 
   {{0x72ef005b,0x235400b4,0xf0560009,0xc29d02b9}},	//   _trefle_, _dovedit_, _starostn, _اتفاقِ_, 
   {{0x0d6a04ac,0xadfc00e4,0xcd950350,0x00000000}},	//   _прокладк, _polerowa, _አልገመገምም_, --, 
   {{0x92b40697,0x927502c3,0x8202016a,0xde4f018e}},	//   _nunca_, _priedušn, _antido_, _magandla, 
   {{0x498e00f5,0xd9700086,0xc34b0040,0x2af7020a}},	//   _талим_, _بیوقوف_, _להלחם_, _سىندارلى_, 
   {{0x02920226,0x7b9e00c5,0xfaee00cb,0x69270079}},	//   _katani_, _农业产业化_, _abadumis, _portatīv, 
   {{0xd85902c8,0x36800031,0xd62e0081,0x926c0028}},	//   _impresos_, _जसराज_, _barnadei, _anoon_, 
   {{0x69d501d7,0xaa570046,0x7b2d00b4,0x491d0331}},	//   _sentupad, _кадамга_, _филипине_, _mannalív_, 
   {{0x82b40101,0x602c011e,0x73550261,0x20d40019}},	//   _munca_, _eksepsyo, _alvenis_, _زووقۇ_, 
   {{0x7444050b,0x7cf500bd,0xc13801de,0x00000000}},	//   _terjangk, _wandered_, _исламнан_, --, 
   {{0x44920173,0x43b00515,0x8ef10052,0x692b0253}},	//   _উত্তম_, _proque_, _बांकी_, _kommunep_, 
   {{0xc3a30464,0x26be0238,0x858e021c,0x694401de}},	// [3af0] _arapfa_, _доступні_, _syntetik, _ауытқу_, 
   {{0xf7050461,0x72d402e1,0x5c59009d,0x00000000}},	//   _apareguè, _portaigh_, _partiak_, --, 
   {{0x64870255,0x205a008b,0xa9be013d,0xceb001dd}},	//   _निराली_, _barabaso, _tradukit, _akarande_, 
   {{0xb2e802d9,0x725600e6,0xd2b4055f,0x00000000}},	//   _lagiina_, _rôles_, _bunca_, --, 
   {{0xab2f031a,0x917c031a,0x22780077,0x00000000}},	//   _carbadan_, _coghnadh_, _kalifoni_, --, 
   {{0x09f60272,0x893a0035,0x41630013,0x10d200e6}},	//   _locative, _almadıq_, _фотима_, _自动化计算机_, 
   {{0xed1e0074,0x0f6b01b8,0x2c010209,0xc3f900a9}},	//   _поздравл, _प्रदेशन_, _geisler_, _induru_, 
   {{0xda89033d,0xe30401f4,0x3a04019d,0x63580044}},	//   _granmoun_, _judayam_, _angachit, _utterly_, 
   {{0x02640152,0x52d9006a,0x796800f4,0x519903d4}},	//   _beslan_, _tavela_, _basiante, _капитула, 
   {{0x44800677,0x16e70019,0x0b4f00f5,0xae41030b}},	//   _मिसाईल_, _линктер_, _гойярлар_, _akabaate_, 
   {{0x03fa003c,0x62bb003a,0x039402c8,0xee2801df}},	//   _kawula_, _yerdagi_, _crese_, _coronets_, 
   {{0x1acb02ff,0xaeb40037,0xf90d021b,0x00000000}},	//   _donminen_, _merogoln, _фруктами_, --, 
   {{0x329104c8,0x6424011c,0xb292008d,0x1de30065}},	//   _iktar_, _baksasin_, _vatani_, _osnabrüc, 
   {{0xc76504df,0xfdee00bb,0x23690187,0x8db902fc}},	//   _aktiwlig, _تمغوں_, _романија_, _babisoba, 
   {{0x543b009a,0x83010206,0x5d75001d,0x523102c7}},	//   _workbook, _chlapov_, _submisse_, _ehemann_, 
   {{0xd95a005b,0x72b0002f,0x994f0385,0xdc7f02ea}},	//   _medlemme, _ayasqaña, _isplatit, _causato_, 
   {{0x9a5e00b7,0xd37300a5,0xebd90125,0x82b80156}},	// [3b00] _болегини, _fakavae_, _тарафынд, _קעפעלעך_, 
   {{0x827001a4,0xb2cb0141,0x6a23000e,0x00000000}},	//   _atindeli_, _kirdi_, _cruceade, --, 
   {{0x0292048f,0x33160197,0x52920050,0xe2a60048}},	//   _matali_, _zwazo_, _patani_, _beebo_, 
   {{0xd2cb013f,0xbdb30230,0x339402a3,0x5235024c}},	//   _mirdi_, _limanite_, _vrese_, _buddisti_, 
   {{0x8d0200ca,0x626c0067,0xb7410041,0x32a700cf}},	//   _realitat_, _angoo_, _ганқәеи_, _babbal_, 
   {{0xb291024c,0xa37f00a1,0x229001bb,0x0250002b}},	//   _aktar_, _tamatea_, _ajdar_, _ডেঙ্গু_, 
   {{0xb3670202,0x35e103b4,0x94290453,0xc7a3033e}},	//   _afetigbọ_, _anochovh, _porastao_, _isituaci, 
   {{0xa394015d,0xf9da0014,0x7a5604ca,0x33d5006e}},	//   _polski_, _nepermje, _elvetica_, _fentkati_, 
   {{0x170a00d4,0xc25a024a,0x29f400fd,0x56eb002f}},	//   _opsterlâ, _apola_, _bhlòg_, _askachaw, 
   {{0x82920326,0x5959018d,0x42700024,0x0e5304b2}},	//   _satani_, _ክትቀውም_, _অত্যাচাৰ, _sinabiha, 
   {{0x4200012c,0x727e013d,0xc2900212,0xe2ea0036}},	//   _kilimo_, _opinio_, _ornare_, _pionós_, 
   {{0x83410036,0x58f30379,0xcc1b012c,0xf9a70096}},	//   _إنسان_, _संवर्द्ध, _tahadhar, _abajinga_, 
   {{0xe8cd055a,0x62d50340,0xf14a0201,0xaff502e8}},	//   _intensid, _horomia_, _doolatih_, _akakombo, 
   {{0x9db90090,0x002a014e,0x00000000,0x00000000}},	//   _akundika, _познатог_, --, --, 
   {{0x21200488,0xc2d90087,0xa9470143,0xc3eb0376}},	//   _noformēt, _laveka_, _развит_, _histi_, 
   {{0xe81501a3,0x736600a8,0x00000000,0x00000000}},	//   _ثبوتن_, _prighel_, --, --, 
   {{0x6eae01b7,0x2eed0244,0x597a009a,0xd867017d}},	// [3b10] _anaikānt, _населени_, _akwisice, _menighed, 
   {{0x8f3604ec,0x7134014b,0xd49e0311,0x73a801e9}},	//   _amashira, _madduruy_, _መፈጸምታን_, _lonakeng_, 
   {{0x83860437,0x123d018d,0xb49d0311,0x00000000}},	//   _bedre_, _ሓርኮትኮት_, _ተፈጻምነት_, --, 
   {{0x2dc80028,0x516c0060,0xe1d90051,0x13940088}},	//   _جوابٕے_, _ازىرەت_, _savulaik_, _fresc_, 
   {{0x234e01d8,0x339503fd,0x93940269,0x523102b4}},	//   _benedik_, _atusa_, _queso_, _chumana_, 
   {{0xa2000027,0x125a0113,0xc3a8000d,0x00000000}},	//   _gidiko_, _maolú_, _finantsj, --, 
   {{0x00700244,0x3c69018b,0x90e0034d,0x025a027a}},	//   _ценности_, _usturoi_, _memburuk_, _upola_, 
   {{0x720a0157,0x4292019d,0x63a70074,0x643e0205}},	//   _प्रजाति_, _aatali_, _аренду_, _хатна_, 
   {{0x5292003b,0x526c0578,0xcc550271,0x632303c3}},	//   _batali_, _hnoos_, _avstand_, _svečanom_, 
   {{0x326c0163,0xb3160278,0x45b000ba,0x135b0307}},	//   _angol_, _alhafiz_, _ڤانکوڤه_, _nanguya_, 
   {{0xa99d03bf,0xff200181,0xa37f01af,0x72000183}},	//   _башың_, _vesterga, _asmanda_, _didiko_, 
   {{0x49a30192,0x725f0087,0xca160067,0x303c027e}},	//   _우리나라에서_, _hlutekil, _darbeett, _западној_, 
   {{0x36370113,0x12d80333,0x227e0168,0xc0210157}},	//   _chiclipé, _incendii_, _minner_, _rejestro, 
   {{0x7bad0125,0xa48f01a4,0xa6150040,0xbc11014a}},	//   _күрешиң_, _bengisak, _מויאל_, _januárba, 
   {{0xe9960158,0xb58e04ea,0xedc503ec,0xbb09050b}},	//   _प्रेमियो, _pyntreik, _prekurve_, _kuesione, 
   {{0x8f1d0047,0x097c0113,0x726c00c0,0x04880235}},	//   _allemagn, _inghlact, _ungol_, _badhnīyā, 
   {{0xe26c029b,0xb3ca00b5,0xf291000e,0x837f0282}},	// [3b20] _anoos_, _иааҳарту, _mtvare_, _mamaata_, 
   {{0xbc7b00c5,0x5a040178,0x25ea01e7,0x3301034c}},	//   _泰山石敢当_, _aprameye, _arockaly, _bilalov_, 
   {{0x0349035d,0xf58302c0,0x4c2304b9,0x00000000}},	//   _naredni_, _фондови_, _menseles, --, 
   {{0x5b150055,0x314b0311,0x8570023e,0x02ef03e6}},	//   _masseria_, _ምንእኣስ_, _ریسمان_, _kuffer_, 
   {{0x927e01d1,0xaa070143,0x00000000,0x00000000}},	//   _dinner_, _chiavett, --, --, 
   {{0x3202013c,0x4d930456,0xac6901b2,0xc300001c}},	//   _aksiya_, _tertumpu_, _amatory_, _gidakoi_, 
   {{0xb27e00af,0xa248001f,0x429200c0,0x124a008f}},	//   _finner_, _nnompe_, _katabi_, _ट्रेनक_, 
   {{0x6200005b,0x259c0037,0x6c390244,0x21ed00c1}},	//   _ariisu_, _dihuraik, _затлъстя, _नॅचरल_, 
   {{0x927e04f2,0x32d00127,0xda1a0092,0x850e0077}},	//   _lienhe_, _istorel_, _ティファニ_, _depozisy, 
   {{0xd27e02f3,0xe6c502fe,0x5d3000d9,0x00000000}},	//   _hinner_, _یولسو_, _rinnalle_, --, 
   {{0x93a302fb,0x6ec401b3,0x24120352,0x5c070338}},	//   _maupe_, _незамінн, _brannvak, _chasteu_, 
   {{0x50cf0135,0xbf330133,0x939502f6,0xe3e203ab}},	//   _şaktıy_, _abdurraa, _iwasan_, _británie_, 
   {{0xb24902b7,0xa8cd030c,0x8ea70034,0xb9dd000c}},	//   _djemah_, _hapummiv, _karlalan, _иорданиа, 
   {{0x06b900dd,0x42d9000b,0xf461019f,0x00000000}},	//   _annaturi, _mageso_, _kupendez, --, 
   {{0xa62e0012,0x5a02003c,0xfc5b0053,0x81e7002f}},	//   _छ्ँउड़ी_, _antaboga_, _योजनेचे_, _dañawapt, 
   {{0x265c006e,0xc43c0024,0xe27b0179,0x1d2f0176}},	//   _anbiyaaw, _সুধিব_, _lestiyän_, _musikere_, 
   {{0xe2260193,0x23ea0467,0x94330037,0x92000007}},	// [3b30] _kaskus_, _krotia_, _ገብረእግዚአብ, _biliko_, 
   {{0x82ca05fd,0xa6a70003,0x3b7203d8,0xd29903c3}},	//   _akidah_, _overzich, _stručna_, _tribinam, 
   {{0x0a1e00c3,0x131c04fa,0x4c46030c,0x47da018d}},	//   _鼓勵此網誌_, _etablir_, _kuaparis, _ብምውራድ_, 
   {{0x54930276,0x6b2d0211,0x43ea00b6,0x77740311}},	//   _پروفېسسو, _espanjas, _lacti_, _መንፈሳዊያን_, 
   {{0x4ae10212,0xa2d9000b,0xfa00045b,0x3157050a}},	//   _deducere, _laveia_, _prisguid, _parfümle, 
   {{0x53790196,0xa0b60125,0xee10016d,0x43940230}},	//   _watatoa_, _adamlary_, _аялларни, _pwisan_, 
   {{0x917d0044,0xf3fe013a,0x6a140102,0x89df019d}},	//   _דיבור_, _skizzen_, _watawala_, _fulukutu, 
   {{0x4be2003b,0xc433018d,0x0b770061,0xb3cf0189}},	//   _inombolo_, _ገብረእግዚኣብ, _무엇일까요_, _merve_, 
   {{0x093b0206,0xb27e02c2,0xbc6602c2,0x00000000}},	//   _funkcií_, _mienie_, _krities_, --, 
   {{0x78ab00c5,0x22c9015e,0x6f7400ff,0x326d0234}},	//   _第五十一条_, _insereix_, _טראצדעם_, _gowon_, 
   {{0x6c1b017f,0x1d2a0116,0x2d53021b,0x546e0025}},	//   _qilanaar, _equitant_, _величайш, _अध्यवस्य, 
   {{0x00000000,0x00000000,0x00000000,0x00000000}},	//   --, --, --, --, 
   {{0x10da0060,0x0a51020e,0xc61c00e7,0xae9303d1}},	//   _ايالاعان_, _bokelloa_, _ailorabi, _brokastī, 
   {{0x62f103e9,0x33f80720,0x42020244,0x3ff70079}},	//   _getirdi_, _mahumo_, _ritiro_, _uzglabāš, 
   {{0xf87e0139,0x2274042a,0x8ff800f2,0x32d801f7}},	//   _अमावास्य, _akusimel, _esplanād, _colombs_, 
   {{0x5e7c06cc,0x69200649,0xee5102e5,0xeab103e0}},	//   _पुष्य_, _अराजक_, _calcáreo_, _projeten_, 
   {{0x925b019e,0xf38601c2,0x999a0198,0x22020170}},	// [3b40] _spalis_, _medra_, _lepša_, _idakutum, 
   {{0xe25a0119,0xcd48033f,0x9fd60040,0xe99d0011}},	//   _opole_, _angaitau_, _פינלנד_, _amakoona_, 
   {{0x3e5300d5,0xc2ba0216,0xde84034c,0x72920284}},	//   _fanafiha, _ekedexi_, _avtorını, _vypada_, 
   {{0x938602c2,0x94d801ef,0x829200e4,0x616b03a2}},	//   _gedra_, _загрузка, _wypada_, _अपीयरेंस_, 
   {{0x63cf0312,0x511a0013,0x4ce502e5,0xd1c40060}},	//   _herve_, _такомилл, _илшоит_, _جونكى_, 
   {{0x3afe0047,0xb545027b,0xc1d10021,0x00000000}},	//   _chargeme, _स्थण्डिल, _earerway_, --, 
   {{0x73af0363,0x334702e5,0xf3170153,0x72cb02c3}},	//   _håper_, _alhevra_, _所望走査範囲を複, _kazdu_, 
   {{0x62a60219,0x81e802ec,0x92f8045b,0x00000000}},	//   _lembi_, _ہِنجٲر_, _померлих_, --, 
   {{0x818c0092,0x317c0344,0xef670126,0x5f6503d9}},	//   _インドネシア_, _angalaal, _пристосу, _atsarain, 
   {{0x28840046,0x5f4b033d,0x00000000,0x00000000}},	//   _кембагал, _fortuné_, --, --, 
   {{0x3fc20247,0xd1f800be,0xf68201ab,0xe94b0009}},	//   _هاتون_, _تويعۇچا_, _बिछाइ_, _zanosite, 
   {{0xe843005e,0x7a2d0244,0x00000000,0x00000000}},	//   _تەبرىك_, _повръщан, --, --, 
   {{0x1c1d069f,0x97b4025d,0xf19b00e4,0x8db50037}},	//   _štandard, _energidi, _विनियमित_, _keanjala, 
   {{0x4d3e020e,0x58560177,0x0743038e,0xfd260211}},	//   _арала_, _сабуеи_, _प्रियंका, _верующих_, 
   {{0xae5800be,0xb2bf02e1,0x00000000,0x00000000}},	//   _حۇتورلور, _جمباز_, --, --, 
   {{0xa1bc0169,0x256c0262,0x134000fe,0x71930092}},	//   _বলতেন_, _animasiý, _kavenga_, _生活用品費_, 
   {{0xe28c0439,0xa7bd0161,0xe9770029,0xb7a5011a}},	// [3b50] _amakela_, _подросто, _نادادپه_, _starvati, 
   {{0xfb84012d,0xa344022d,0xda8204a5,0xb38701b8}},	//   _bwandoro_, _sereine_, _emizimba_, _saarel_, 
   {{0x1b370151,0x00000000,0x00000000,0x00000000}},	//   _askaidyn_, --, --, --, 
   {{0x5314035a,0x2e3f0157,0xc60b0157,0x415b0153}},	//   _keebook_, _फ्रेडरिक_, _klientem_, _たんぱく質_, 
   {{0xa3eb0044,0x496500c5,0x08d40193,0xd344025c}},	//   _lists_, _是什么意思_, _महासागरा, _vereine_, 
   {{0x62d806d5,0x9348026c,0x93cc029a,0x340000ff}},	//   _ellers_, _ingenti_, _konvenki_, _עמבארגא_, 
   {{0x826c020e,0xdb7f04b4,0x2ed50452,0x00000000}},	//   _angoa_, _fingeren_, _एकवटली_, --, 
   {{0xeb050251,0x0eb80279,0x00000000,0x00000000}},	//   _carrabka_, _relookin, --, --, 
   {{0x87d80139,0x949a0192,0xcf3300f0,0x327a0177}},	//   _अधिकारः_, _미디어리뷰_, _surfovan, _ikostill, 
   {{0x7df900a1,0xdfc20198,0x00000000,0x00000000}},	//   _kawekawe_, _netočnos, --, --, 
   {{0x2d8d0182,0x69fc004f,0x22a800c3,0xd57b03f2}},	//   _welokira, _jokalant, _marcelli_, _достигат, 
   {{0xb74b01bb,0x3e530183,0x35cf019e,0x00000000}},	//   _şeỳle_, _hanadiha, _бялыніцк, --, 
   {{0x43d3020f,0x62d800a7,0x3c7b018d,0x82a60255}},	//   _جاسوسانو_, _bolets_, _ንኽትረኽቡና_, _beebi_, 
   {{0x429e0039,0x0e750178,0xfbd201c3,0x7eb90222}},	//   _гитар_, _balarūpa, _bowdeler, _rongeurs_, 
   {{0xc2fc008f,0x134802f0,0x7ee802cb,0x5b3d039f}},	//   _lepingu_, _angenti_, _elektran, _junction_, 
   {{0xc9ec0044,0x5f320137,0x00000000,0x00000000}},	//   _להאמין_, _цомтой_, --, --, 
   {{0x6ac10678,0xe29100b3,0x739500cb,0xea8500be}},	// [3b60] _parkovis, _aktau_, _atuse_, _ووزدۇ_, 
   {{0xa2b403ba,0x53f802d4,0x32c60097,0x93eb00bd}},	//   _hunch_, _scoula_, _alalaye_, _kists_, 
   {{0x831600c4,0xf4840012,0x79f20026,0x425a019f}},	//   _uwazi_, _कुठाँव_, _overheid, _upole_, 
   {{0x47e902d5,0x5d9f0252,0x527a0020,0x16f70126}},	//   _अदाकारी_, _mulenzhe_, _kasimani_, _шириною_, 
   {{0x11110292,0x62e300a7,0xfc7f0235,0xa1770059}},	//   _ɔnhyehyɛ_, _delicte_, _aupacāri, _черти_, 
   {{0x8da70013,0xcb36031e,0x426e01b6,0x00000000}},	//   _چارواچیل, _otključa, _utwory_, --, 
   {{0x76d00321,0x67570177,0x31940024,0x99ea0320}},	//   _ostareli, _рациала_, _পাইনজোপা, _magrenad, 
   {{0xbb6c0036,0x094402eb,0x22b500d6,0x33980040}},	//   _postanna_, _ахмадууд, _neacha_, _געגועים_, 
   {{0x62a20475,0x432403d4,0x23160090,0xd2d902c2}},	//   _этаже_, _placevi_, _atize_, _opset_, 
   {{0x78930478,0x32b4008c,0x00000000,0x00000000}},	//   _policièr, _aunch_, --, --, 
   {{0xd2cb0051,0xec560095,0xa3eb0017,0x8b1c032d}},	//   _sirds_, _kontrib_, _mistr_, _азатлыҡ_, 
   {{0x727f008c,0xa230041c,0x20c20022,0xf0390084}},	//   _unanim_, _bindalum, _властары_, _cafepojo, 
   {{0x417501aa,0x338602bd,0x62b4007b,0xc2e30381}},	//   _amongway_, _medru_, _dunch_, _argofay_, 
   {{0x027e00ae,0xf29000fd,0x66ab03b7,0x93520126}},	//   _akenye_, _bunait_, _amnestyw, _геометрі, 
   {{0x22b40235,0x4a990074,0xc073013b,0x5bf20126}},	//   _जन्ममृत्, _картофел, _nasasako, _heltidss, 
   {{0xc9f30068,0xea7d0210,0x65dc0037,0xd69b0211}},	//   _sawirada_, _angasara_, _በሚሰጥበት_, _apteekki, 
   {{0x6086005e,0xa634017a,0xcd1500ec,0x52ca0311}},	// [3b70] _ئىلھاملى, _aningili, _populiac, _ሓበሬትኡ_, 
   {{0x427e0200,0xf9d000bf,0xd2d70488,0x23480071}},	//   _ekenye_, _велир_, _topošo_, _digenti_, 
   {{0x4d150141,0xd26c0277,0x5bf2013a,0xfb91031c}},	//   _футболи_, _ingon_, _weltauss, _natación_, 
   {{0x8e96007b,0xac61030a,0xb387004f,0x4870000e}},	//   _landless_, _sequera_, _gaaral_, _quandecu, 
   {{0x6f0c0268,0xe4da0059,0x144b0311,0x159800d0}},	//   _aldwinba, _войни_, _ምስኪናይ_, _баганадс, 
   {{0xd2d200db,0x468803eb,0x427e03f0,0xd2ed0192}},	//   _paremini_, _wonderli, _sinnar_, _marieke_, 
   {{0xd36c0318,0xb2fe0540,0xc3860167,0x82e0004e}},	//   _aangaki_, _birgir_, _fedru_, _blangko_, 
   {{0xc68900ee,0x6b69042c,0xe3a801f0,0xaeb104b3}},	//   _komertzi, _sastanka_, _bonaleng_, _ergorenn, 
   {{0x2e4c014b,0xc60e00c1,0x730e0476,0x537a0050}},	//   _affaafaa, _kepolisi, _akabuda_, _basajan_, 
   {{0xd04001d2,0x8da00090,0x8d8f01d2,0xc35401f1}},	//   _alltakun, _akangora, _asnontap, _gazetat_, 
   {{0x23ab049a,0x141802d8,0x6c1f00bd,0x7a190420}},	//   _odraslog_, _mobilbek, _dispert_, _заканува, 
   {{0x526c023e,0x9d66036b,0x52a604a8,0xc2fc00a4}},	//   _angon_, _краток_, _spojiti_, _visitat_, 
   {{0x53100320,0xaa7f01d5,0x00000000,0x00000000}},	//   _himbilu_, _iszlamis, --, --, 
   {{0x0974030f,0xb05600da,0xe27e012c,0xba9b00fa}},	//   _pakiwait, _сексуалэ_, _chenge_, _palibhas, 
   {{0x8c6e01ed,0xc20004b2,0x67a60065,0x56940189}},	//   _aperila_, _lahing_, _handlung, _ailesini, 
   {{0xc25a005b,0x440104f7,0x7309015d,0x1e6100c5}},	//   _mellem_, _kilobook, _aplikacj, _照片文字内容_, 
   {{0xac5f0178,0x14270388,0x92b00094,0x83f900cb}},	// [3b80] _ananuṣṭh, _наредба_, _بىلىڭدەر_, _бармеанг, 
   {{0xc2d10287,0xd7d80255,0x87e802da,0x825a0044}},	//   _autorem_, _अधिकारन_, _главобол, _partiall, 
   {{0x283f04df,0x521200c1,0x2f0704dc,0xb2c90497}},	//   _adamzatd, _अतीशय_, _کاریکی_, _biblagh_, 
   {{0xb34304b3,0x5bae0513,0x226d0360,0x00000000}},	//   _begerel_, _makhombo_, _pavouk_, --, 
   {{0x29830420,0xb32402e2,0xf4200046,0x70e9066c}},	//   _полесно_, _bascish_, _قىرقىبىز_, _polymero, 
   {{0x43f600ea,0xa3fa004f,0xfe55010d,0xac58020f}},	//   _ikalamak, _dawuma_, _keramaia, _شېرپاو_, 
   {{0x03400060,0xb3f80129,0xfe5a00ac,0x6280021e}},	//   _الباستى_, _nchuso_, _slobodna, _brukade_, 
   {{0xd26c0261,0xcdfb0037,0xc2f105f6,0x68470204}},	//   _ligon_, _እንቀበላለን_, _nøgde_, _величины_, 
   {{0x0b780195,0x42a6012a,0x4cdf0193,0xcc2f026c}},	//   _catriona_, _osobie_, _berjihad_, _sociosqu_, 
   {{0xb13b0179,0x72a60397,0xb20102bd,0x902f00d1}},	//   _poincaré_, _qembu_, _braidd_, _ধ্বনিতাত, 
   {{0xbe1702d4,0xb4250120,0x4d930237,0x00000000}},	//   _federala, _tasissik, _불확실성을_, --, 
   {{0x32240183,0x07090450,0xfae702c2,0x2a150052}},	//   _saika_, _plattelâ, _erediens, _लक्ष्मणल, 
   {{0x5229056a,0xc39403b1,0x4d6a0037,0x52cb00a7}},	//   _maemong_, _ouest_, _አፍርሃት_, _majoria_, 
   {{0x266f0541,0x8f6d0061,0x04290163,0xeaf900dd}},	//   _gradjevi, _게시판입니다_, _دوعالم_, _dilledyn_, 
   {{0x526c00dd,0x622400ea,0x4d05029b,0x22cb01fc}},	//   _digon_, _vaika_, _bellanet_, _fardi_, 
   {{0x637a038b,0xa8ed0119,0xa78900d9,0xb86206ec}},	//   _rasakan_, _toggenbu, _ужасы_, _amenizad, 
   {{0xf32200d8,0x3637005e,0x00000000,0x00000000}},	// [3b90] _cercles_, _ئىچسە_, --, --, 
   {{0x2f350253,0x08140079,0xa99a00c7,0xb04601a3}},	//   _katsorsa, _objektīv, _berkemne, _گارنٽي_, 
   {{0xfdb90011,0xc2a60004,0xb7aa018d,0x78d9002b}},	//   _abiraamu_, _banbou_, _መተዓረቒ_, _অটোক্যাড_, 
   {{0x1bf60038,0x086402da,0xf2cb041e,0xd2ef021c}},	//   _сайтны_, _универзи, _cardi_, _turnaji_, 
   {{0x32fa018d,0xb752000d,0x5e3700a5,0xa3f90138}},	//   _ህዝብኻን_, _लिपिस्टि, _fakafeta, _kodunu_, 
   {{0xe7e601b7,0xc9f50179,0xac770170,0xca2901db}},	//   _स्वराः_, _vegamave, _flossie_, _كەزەرگەن_, 
   {{0x72740104,0xb2ee00b6,0xfb090169,0x00000000}},	//   _evuselel, _hayramah_, _presione, --, 
   {{0x3c1b0122,0x13f8013d,0x72020371,0xd3c101cc}},	//   _mahabhar, _brazilo_, _antico_, _bharaṇa_, 
   {{0x23eb013a,0x359f03d9,0x75fa0139,0x67bd01b4}},	//   _basti_, _fangatah, _व्यवच्छे, _joernali, 
   {{0x02910138,0x8b870012,0xf741014a,0xf2900456}},	//   _oktay_, _काँम्_, _mosonmag, _adlan_, 
   {{0xc9d601f0,0x7189002b,0x13a30488,0x52c6019c}},	//   _balebele, _মাননীয়_, _kaupo_, _olaleye_, 
   {{0x4db40573,0x12ed00c1,0xb4ab01d4,0x9ac70205}},	//   _قوبوٝ_, _फडणीस_, _applicà_, _самарра_, 
   {{0xb2240259,0xdeea02eb,0x2291004a,0xb3950409}},	//   _maiko_, _нобелийн_, _aktay_, _atusi_, 
   {{0xd5f402c3,0x42c60163,0x7ae80189,0x82e90047}},	//   _zamestná, _módra_, _filtrele, _gagnant_, 
   {{0xc2e900bd,0xf5ae003d,0xea460096,0x00000000}},	//   _excitin_, _archilaü, _bagemura_, --, 
   {{0x5d800025,0xa069032d,0x626c029b,0xa6cd04a4}},	//   _पुस्तकगत, _валориза, _digoo_, _furachai, 
   {{0xcb0e04f2,0xfc0302f3,0x4380006e,0xf3e80198}},	// [3ba0] _phapluat, _budskap_, _beuré_, _avstriji_, 
   {{0x33eb02d4,0x622403d9,0xf58a068f,0xe0a90143}},	//   _casti_, _haiko_, _bekränze, _пропусна, 
   {{0x4ec700d9,0xbd210113,0x3274006c,0x086100e6}},	//   _мировых_, _aersheir, _avuselel, _湖南统计信息网_, 
   {{0xeb1f0175,0xd90100f5,0xf2a703bf,0x60f5037f}},	//   _finalman_, _айдаңда_, _самокат_, _bizimkil, 
   {{0xebdf0027,0xfc4e0163,0xb2320113,0x0fd3011c}},	//   _steenber, _آمدنی_, _chumann_, _bibiliyo, 
   {{0x103f0390,0xa224022f,0xda7e009a,0xbd92033e}},	//   _sistemin, _laiko_, _abalalis, _aguerune_, 
   {{0x3f5e040f,0xe2a60342,0x00000000,0x00000000}},	//   _ekologiš, _tanbou_, --, --, 
   {{0x621d0095,0x549600a2,0xcaa70064,0x1379011b}},	//   _تجاری_, _پبليڪيشن_, _талашты_, _lipanda_, 
   {{0x4e1000ef,0x32920108,0x12c800d8,0x702300b9}},	//   _قضاوت_, _patali_, _vicomte_, _berdetak_, 
   {{0xb6430246,0xfb2100b9,0x31430234,0xad980107}},	//   _охраните, _bayangin_, _lówùúrò, _caillola, 
   {{0x52df0166,0xdd850571,0x022400d5,0x52310226}},	//   _sonntag_, _euperate_, _baiko_, _akumana_, 
   {{0x33950015,0x6c120022,0x25a8006c,0x943e0043}},	//   _muuse_, _bompoli_, _abasinak, _alikkakk, 
   {{0xf2e7015c,0x7d3d042d,0xd2ed01d7,0x54bb003c}},	//   _drenken_, _ambilobe_, _gimnasi_, _قرنطینه_, 
   {{0x82920181,0x323f0192,0xaaa700a4,0x924a00e2}},	//   _tatami_, _모집합니다_, _таласта_, _harmen_, 
   {{0xe4410061,0x449c0184,0xbac7035b,0x93790007}},	//   _프로젝트의_, _bihasanz, _preverje, _dipanda_, 
   {{0x238700ff,0xb394001d,0x52e70527,0x097c0253}},	//   _libroj_, _presc_, _iseljenj, _erligine, 
   {{0x826d0151,0xea1600fb,0xadb30184,0x22fd0465}},	// [3bb0] _argosy_, _babaleka_, _mamiliya, _sokolarj, 
   {{0xd3f9018f,0x52de014f,0x797a007b,0xc8f7002e}},	//   _aqtul_, _нормално, _dignifie, _strpljiv, 
   {{0xe65801aa,0x1c770478,0x644b018d,0x039400d8}},	//   _articlew, _mesurar_, _ዘይኮናስ_, _gresa_, 
   {{0x3e6c014a,0x76b9023d,0x42150022,0xc5cc042a}},	//   _بیروت_, _направен, _алдыбыҙҙ, _kubashay, 
   {{0xb27e0238,0x9b550178,0x00000000,0x00000000}},	//   _vinner_, _शुक्लयजु, --, --, 
   {{0x626400c7,0x22250200,0x8c7e05b5,0xa79d0093}},	//   _íslam_, _erekwa_, _fértil_, _баннеров_, 
   {{0x334e0044,0x862a04c1,0x3f430153,0x038a030f}},	//   _קונכיות_, _syantifi, _このタグの情報_, _tōrea_, 
   {{0xd05a018d,0xa845001d,0x32250097,0x628c0226}},	//   _ዕድሜኦም_, _germanau, _leekan_, _imakula_, 
   {{0x52c60047,0x4f660072,0xa40a034e,0xf2fc0231}},	//   _第二十六条_, _purpacha, _asuntoyk, _solidos_, 
   {{0xbd1b014b,0xf2920082,0x209d012e,0x1224005b}},	//   _urinaire_, _mataki_, _میانوالی_, _saiko_, 
   {{0x23870020,0xcedb01db,0xc3800039,0x00000000}},	//   _faisalam, _ماسەلەرد, _agurne_, --, 
   {{0x829200fe,0x03200648,0x97710066,0xed1f045f}},	//   _fataki_, _awiya_, _төрдөг_, _ovanligt_, 
   {{0x2fce0192,0xd316042c,0xf9a400bb,0x2c4403ff}},	//   _시작페이지_, _staza_, _منافقوں_, _klavír_, 
   {{0x2e990178,0x756f02d3,0x4f850132,0x52ca00fc}},	//   _सनातनम्_, _instruçõ, _munkaerő, _lamdaq_, 
   {{0x22b403d8,0xa3a7032d,0xa292012c,0xaaf304b4}},	//   _suncu_, _юристарҙ, _hataki_, _overlege, 
   {{0xb25a0263,0xd29200fe,0xe72d00bf,0x0ea105ab}},	//   _epoll_, _kataki_, _началось_, _adolecen, 
   {{0xe2cb019b,0x0224006a,0xe28c0048,0x727e0155}},	// [3bc0] _vardu_, _raiko_, _amakula_, _rinner_, 
   {{0x2d230342,0xc8350029,0xb6e202d3,0x39fc020e}},	//   _kominote_, _ماسولکه_, _главниот_, _dikarant, 
   {{0x7b91015d,0x5dec027d,0xfb2100a8,0x32fb0242}},	//   _materiał_, _дупло_, _veramein_, _baghlan_, 
   {{0x82da0638,0xc32802d5,0x274300b7,0x11ff00c1}},	//   _årene_, _अनुजवत्_, _нурсы_, _ramahlah_, 
   {{0xf2cb0168,0x17b2002b,0xc8ec0061,0x1a8203de}},	//   _hardt_, _লোডশেডিং_, _블록버스터_, _imizimba_, 
   {{0x02d80122,0x029003db,0xde5c0046,0x00000000}},	//   _amben_, _kunaye_, _كۅربۅيسۉ, --, 
   {{0x627f017d,0x674c00e4,0x873802ac,0x72ef023b}},	//   _ukendt_, _mobilnej_, _ويغفر_, _pilihua_, 
   {{0x2b8d0338,0x429202f7,0x19c30425,0xdc9c0374}},	//   _artilhar, _bataki_, _ۆمپیوته_, _мужда_, 
   {{0x62240362,0x62150061,0x041d015f,0x023702ee}},	//   _baike_, _도시주택본부_, _cristion_, _idejha_, 
   {{0x81e600d1,0x33eb0039,0x9f570478,0x62f00385}},	//   _বিপদাপন্, _gastu_, _aigarden, _preostaj, 
   {{0x417e003a,0x84010046,0x5dba003f,0xc40900e4}},	//   _ettirish_, _سئزدا_, _luchelta, _ratownik, 
   {{0x629200fe,0xac530300,0x437804b2,0x905a0311}},	//   _tataki_, _dostala_, _alyansa_, _ዕድመኦም_, 
   {{0x939c02fe,0x5049018a,0x66b7004d,0xa30d031e}},	//   _ساختماني_, _darganfo, _台北介壽郵局_, _osoblja_, 
   {{0x31440092,0x5b1900b0,0x95e801eb,0xe2240295}},	//   _の設定を有効にし, _samaroon_, _guacamay, _naake_, 
   {{0x23eb008f,0x9a9e00ec,0xbd280060,0xe3a30256}},	//   _vastu_, _кампаній_, _шариғатт, _raupe_, 
   {{0x953b00d1,0xe53c0472,0x42da0202,0x7c5c02dd}},	//   _আধাৰতে_, _keningny, _josefu_, _instron_, 
   {{0xf378022a,0xd2c2013a,0xbfa10342,0x00000000}},	// [3bd0] _palabon_, _bekloen_, _ozalanto, --, 
   {{0x5fa9029a,0x00000000,0x00000000,0x00000000}},	//   _envestir_, --, --, --, 
   {{0x788a04a5,0x99280226,0x12250116,0x00000000}},	//   _baphendu, _ikamagwa_, _reekin_, --, 
   {{0xadbb0067,0x0a1402a2,0x929100da,0xcd87008d}},	//   _achirraa, _nadarama_, _cuvant_, _shamolla, 
   {{0xed0202a4,0x21ff0383,0x9be4026f,0x35bc02c7}},	//   _requiesc, _ramailah_, _موڭىرەدى_, _geringem_, 
   {{0xc88a0556,0xe2e60050,0x0d230065,0x64d40405}},	//   _waphendu, _awongan_, _kündigen_, _спини_, 
   {{0xf78b0040,0xb73502e2,0x027e03dd,0xd0150510}},	//   _הלבנת_, _ackleeag, _gjente_, _дуьйцу_, 
   {{0x2292019c,0xe4730039,0x5ee00145,0x4aee004b}},	//   _pataki_, _lehendak, _dalintis_, _baadimis, 
   {{0xa59a0013,0xdda202da,0x00000000,0x00000000}},	//   _ترجمانی_, _сведе_, --, --, 
   {{0xb0ae04a5,0x8fe90100,0x00000000,0x00000000}},	//   _imimandl, _pokrivač, --, --, 
   {{0xa71d0255,0x00000000,0x00000000,0x00000000}},	//   _भद्दा_, --, --, --, 
   {{0x937c0454,0x43fa023e,0x62900138,0xdc6000f6}},	//   _basavye_, _caputo_, _iddaa_, _ruhunun_, 
   {{0x6e8e00af,0xb4a800b4,0xd4730227,0xeb44015d}},	//   _комерцій, _динадинс, _kehendak, _विन्डोज़_, 
   {{0x8e400721,0xba4f013c,0x5a83023c,0x927e0034}},	//   _प्रशस्ति_, _venesiya_, _amazimba_, _hinnar_, 
   {{0x33cf0016,0x72ee0007,0x7cca02b9,0x718e02d6}},	//   _gravaj_, _amonani_, _ڈیموکریس, _сизбу_, 
   {{0x5b8f017f,0x647600c5,0xd9ab0087,0x7a0703db}},	//   _sivitsor, _改革开放课件下载_, _dzudziwa_, _bayazuza_, 
   {{0xe39403fd,0x1e490040,0x9b0b0538,0x00000000}},	// [3be0] _asese_, _dynamica, _klassele, --, 
   {{0x39f60040,0x73950277,0xb3fa03b2,0x15d9032d}},	//   _מסתכלים_, _iwason_, _kapuso_, _кендеге_, 
   {{0xd592049a,0x1660027f,0x02d30441,0x51d30441}},	//   _dvostruk, _bahisemw, _objevili_, _objevily_, 
   {{0x03950358,0x50380189,0xc7410053,0x27ab0431}},	//   _bwason_, _ergenlik_, _dibohong, _avstammi, 
   {{0x634a02c3,0xdb830318,0xdb7f018c,0x52b403d8}},	//   _susedov_, _loholoho_, _vingeren_, _crnci_, 
   {{0xb3f000bc,0x121c0087,0x187402e1,0xf58703ec}},	//   _jumeneng_, _esikwini_, _eacstais_, _mirenjoh, 
   {{0xe3870675,0x2f1c0441,0xf9230061,0x1c7204ca}},	//   _episódio_, _skútry_, _안타깝게도_, _atirats_, 
   {{0x113204ea,0xbc2002ba,0xb7ff004a,0xa387029c}},	//   _obadaiah_, _abasegib, _bigeräk_, _chisilam, 
   {{0x462f01eb,0x02bb024c,0xe202029b,0xf35105d4}},	//   _veintici, _komunità_, _aksida_, _हल्ले_, 
   {{0x4ce80037,0xdc800213,0xa0490183,0x43fa0059}},	//   _ቅቅቅቅቅቅ_, _велел_, _anoratan, _saputo_, 
   {{0x4e3d0040,0xb63f02aa,0x999502e7,0x00000000}},	//   _השבחה_, _objednám_, _nagkarga_, --, 
   {{0x414b0037,0x00000000,0x00000000,0x00000000}},	//   _የክምችት_, --, --, --, 
   {{0x33a30034,0x5ae20225,0x50b5027b,0x00000000}},	//   _kaupa_, _ungehors, _बुबुधे_, --, 
   {{0x1ccb023d,0xa27e00fd,0xbaa501d4,0x926c04ac}},	//   _обслужва, _ainnir_, _antichis, _kokoon_, 
   {{0xa2650138,0xc26c0318,0xa37d0419,0x53a3023b}},	//   _maalesef_, _higoa_, _जनसमुदाय, _maupa_, 
   {{0x8b7c045b,0x1e6b017a,0xe290015c,0x17220261}},	//   _участь_, _abacishe_, _gelaf_, _dezertoj_, 
   {{0xd45d0157,0xf0de03c6,0x520202e7,0x12d802c8}},	// [3bf0] _अव्यवसाय, _agrarysk_, _gitino_, _alleas_, 
   {{0xb69500b7,0x82bb023d,0x9a490287,0x22ce0167}},	//   _liderini, _comunità_, _sardinka_, _aerobig_, 
   {{0x127e01da,0x178c0135,0x039401df,0x00000000}},	//   _thenie_, _фаразлау_, _drest_, --, 
   {{0xf8660085,0xe39504c1,0x7f6c0025,0x7d6a0126}},	//   _achiuuuu, _pwason_, _निर्माणं_, _покарати_, 
   {{0x46d6014f,0x2c4500ce,0x8691016a,0x240901c2}},	//   _стратешк, _rezwenn_, _animaloj_, _morreron_, 
   {{0x8c8700bf,0x84b500be,0x4a3d0071,0x39400064}},	//   _передать_, _بئيىكتىك, _فارکس_, _аппаратк, 
   {{0x1ccd0148,0x83000010,0x9b4d019e,0x00000000}},	//   _convener, _ebhangi_, _бюджэтна, --, 
   {{0xc22405a7,0x7d92018e,0x5b760013,0xca630243}},	//   _laika_, _balekile_, _پروگرامل, _sangayya_, 
   {{0x1b71008d,0xf87901ac,0x2cd20055,0xfd8900e6}},	//   _kitoblar, _flannbhu, _archiviu_, _appelait_, 
   {{0x0681047f,0xc30501e0,0x024a00c7,0x15db018d}},	//   _क्रियाकल, _موراد_, _sarman_, _ዝምርኮስ_, 
   {{0xb7aa02c3,0xf6510148,0xe2d90338,0x9ef90005}},	//   _anatómia, _提交搜尋表單_, _poders_, _servezza, 
   {{0x8f7900a7,0xb713010d,0x18f801ab,0x617902c3}},	//   _treballs_, _तद्दन_, _घोड़ाकेँ_, _dokončia_, 
   {{0x696401f2,0x00000000,0x00000000,0x00000000}},	//   _чүнки_, --, --, --, 
   {{0xa90e0035,0xfac9033e,0xb2d90258,0x00000000}},	//   _подберез, _ашхарыуа, _opgean_, --, 
   {{0x49c30071,0x8c760282,0x9da90202,0xd0a700bb}},	//   _زامبی_, _aherimi_, _fifiwera, _معجزے_, 
   {{0x53f9005b,0xe29003dc,0x4754000c,0xaf4800e3}},	//   _soeurs_, _felag_, _escénico_, _casselle_, 
  
   {{0xe394013f,0x829001f7,0xed6a0220,0xfc7103f1}},	// [3c00] _brest_, _arnaut_, _показани_, _etarget_, 
   {{0x3248019d,0x79970109,0xd3940055,0x65e8006d}},	//   _chomwe_, _प्रशीक्ष, _presu_, _настальг, 
   {{0x6d6d0420,0xa2900255,0x72cb00d2,0x929001d3}},	//   _бактерии_, _punane_, _kardi_, _delad_, 
   {{0xc9fc00d6,0xa0f6004b,0x42c80111,0x72ef00cf}},	//   _saorghlu, _алтынбае, _risolte_, _faafam_, 
   {{0x239400bd,0x4357059d,0x77730572,0xe532020f}},	//   _gress_, _beredar_, _निजामाबा, _abanciph, 
   {{0x82cb0013,0x4fde024c,0x194d0054,0x9c1f0398}},	//   _lardi_, _elettriċ, _fihrisar_, _gispert_, 
   {{0x1d090073,0x731803f1,0x394e021c,0x00000000}},	//   _exponite_, _obecnom_, _nadlimit, --, 
   {{0x4fe802d5,0xc2260039,0x834f012e,0x7e2000d1}},	//   _स्थानपर_, _edukin_, _nevezik_, _পোহপাল_, 
   {{0x1316042c,0x50c6002b,0x548d022f,0xd97f01fb}},	//   _staze_, _এয়ারটেল_, _промыслу_, _simileme, 
   {{0xf394039f,0x0c5b012c,0xf1ae0309,0x2f53028b}},	//   _dress_, _bustani_, _yaranmış, _иҭаацәар, 
   {{0x82900277,0x9bf7014f,0xb2f5034b,0x261a0244}},	//   _adlaw_, _posetioc, _risivim_, _приготви, 
   {{0x1a2800e6,0x3b3c0137,0x4c7001df,0x00000000}},	//   _海淀区西三旗街道, _кальцийг_, _scornfu_, --, 
   {{0x00e70021,0xdcb2046b,0xaed90037,0x13160169}},	//   _obliquel, _atgasedd_, _ደብብህክ_, _suiza_, 
   {{0x5c530287,0x2387005b,0xc5a0002b,0xc6ed002b}},	//   _kostela_, _jetro_, _মাইলেজ_, _কাজলাদিদ, 
   {{0x220e0314,0x12d10013,0xfa8900a4,0xef320067}},	//   _һаман_, _ibrohim_, _montgrí_, _haareffa, 
   {{0x62900130,0xa2490226,0xd3940116,0x537800dc}},	//   _aelad_, _amamwa_, _bress_, _legavia_, 
   {{0x8d8f03cf,0x16960220,0x83170039,0xedc6002b}},	// [3c10] _belediye_, _страничн, _zarautz_, _কষ্টকর_, 
   {{0x4b000269,0xbd9700f1,0xeebd0320,0xfdc600d1}},	//   _extranje, _lotoriza, _emonumen, _কষ্টকৰ_, 
   {{0x24160569,0xac6e0493,0xf24a01f4,0x3be80061}},	//   _površinu_, _akareba_, _darmon_, _질병관리본부_, 
   {{0x2a5c003b,0xdaca0510,0x6f33012d,0x92fd013a}},	//   _abegujwa_, _убедитьс, _konsalta, _molitor_, 
   {{0x42ea03c2,0xa394001f,0x83a8010b,0xd25b0585}},	//   _fagiano_, _asesa_, _dinageng_, _divlji_, 
   {{0x05040047,0xa3b00044,0x7279046d,0xb29102d4}},	//   _除权除息日_, _אמסטרדם_, _madimoni_, _affars_, 
   {{0xff8e02fe,0x62900082,0x29fe015e,0xae1000e0}},	//   _تمرين_, _kamaru_, _باستىرات_, _arrestea, 
   {{0xec9301bd,0x23050089,0x9f5903f3,0xa26c004a}},	//   _ساقال_, _bularak_, _paspoort_, _diyarseñ_, 
   {{0xa2ca005b,0xb1ca0179,0x132002ff,0x535b0053}},	//   _manden_, _kantonik_, _bwaye_, _yonghwa_, 
   {{0x92ca0263,0xc3b6014e,0x73170111,0x00000000}},	//   _landen_, _izdvaja_, _barbuti_, --, 
   {{0xe2240074,0x13e70010,0x75c70291,0xcc5501df}},	//   _raaka_, _bútsa_, _مرشحي_, _kintrie_, 
   {{0xf22401c5,0xfdcc0222,0xe7c700bf,0x52fd0350}},	//   _saaka_, _accordée_, _башири_, _dikitar_, 
   {{0xa39401f6,0xf9da0244,0x124a0205,0x0bdc0452}},	//   _gresk_, _edilizia_, _farmon_, _सगळया_, 
   {{0xe315014f,0x12260003,0xb2b305ab,0xd2ea00d9}},	//   _египту_, _neuken_, _vendido_, _entisen_, 
   {{0x0eb7016d,0xe3870220,0x1e78013c,0xe6ad03ef}},	//   _далайни_, _vetro_, _hasilatı, _akodeshw, 
   {{0x5305007e,0x322401a6,0xe394029e,0xbdf000ee}},	//   _uttamam_, _waaka_, _kresk_, _kreditua, 
   {{0xe27e04e5,0x53f60052,0xf57a0139,0x9c5b05fb}},	// [3c20] _alonda_, _regulaci_, _स्वादयाञ, _sustini_, 
   {{0xe057046d,0xf81500b7,0xc489023c,0x00000000}},	//   _tshamuto, _нурана_, _دديموکرا, --, 
   {{0x02770074,0x18550037,0xb0f6034c,0xf3130092}},	//   _seksuaal, _መጽሃፍት_, _мальме_, _コンテンツにふり, 
   {{0x125d023b,0xe9cf02ac,0x47be0163,0xf9c5019d}},	//   _mizeraim, _شموخي_, _نسوانی_, _callista_, 
   {{0x225a002e,0x4cd201a3,0xe27e01a4,0x67b2028b}},	//   _sellem_, _رُڪنن_, _ekende_, _icertifi, 
   {{0xa747036b,0x52ca0263,0x0b16036f,0xf2fd030a}},	//   _милиони_, _handen_, _sarajevs, _encimas_, 
   {{0x12400164,0xb725005b,0x83f903c2,0x92490226}},	//   _يانۋار_, _fremgang, _debunk_, _amamva_, 
   {{0xab53011d,0x191f02a5,0xdc9700da,0x26f600be}},	//   _promovar, _shrnutí_, _ӂенералэ_, _تۉيۉندۅر, 
   {{0x73950172,0x915e02f7,0x7226033e,0x32a70464}},	//   _guuso_, _borraalo, _cuartélp, _itabwa_, 
   {{0x2b0000e6,0x2316033d,0x7d4002eb,0x3dfd01c8}},	//   _土豆网推出更清晰, _brize_, _адьшааги, _moderova, 
   {{0xf5ab01e9,0xfaf702c5,0xa9bf0189,0x5b940118}},	//   _bongweth, _akarembe, _bildirge, _balifiir, 
   {{0x81eb0071,0xbc9103ae,0x827f03a8,0xe2020095}},	//   _منصوری_, _naturfag_, _særskild, _dapidg_, 
   {{0x122502db,0xb3170218,0xdb0c01e0,0x1e28020f}},	//   _brekap_, _aedaqay_, _جاریک_, _bangalip, 
   {{0x222600ff,0xfd890181,0x5eb00081,0x7c240299}},	//   _edukon_, _tydelige_, _reglubun, _بىتچىت_, 
   {{0xb2d70365,0xe28d0381,0xa2020123,0xff320061}},	//   _balonem_, _artschay_, _ferier_, _사실인가요_, 
   {{0x78730342,0x7ccc00f5,0x26d30231,0x25950061}},	//   _disponib_, _айратынл, _vincenti, _고객리뷰평균_, 
   {{0xa27e025f,0x9eb0009a,0x16bc034e,0xea9600ba}},	// [3c30] _akende_, _angooban, _decretoy, _گوڵستانی_, 
   {{0xf2c5015b,0x04e30169,0x9d76012c,0x2cbb02c2}},	//   _henline_, _বারাক_, _چراند_, _skepping_, 
   {{0x0387040e,0xcec30156,0x1dfd044b,0xb98500f0}},	//   _betre_, _דאתרא_, _voldsomt_, _polievka_, 
   {{0x69460059,0xf2a6017a,0xa75102e2,0xc25706db}},	//   _сайтове_, _afeba_, _awintrag, _hälls_, 
   {{0x82d5033e,0x10cf0211,0x231602c1,0xe224006e}},	//   _алимон_, _ищите_, _atazi_, _daako_, 
   {{0xdb5601ec,0xb4f200be,0x54550021,0xdb55012d}},	//   _جانوران_, _الپەيىم_, _aardvark, _tradisen_, 
   {{0xac6d004c,0xdfe80365,0x52e002c6,0x16b7019f}},	//   _akiraba_, _गुमाएका_, _bennwal_, _magazeti, 
   {{0x82d702a6,0x5e500082,0x339401b9,0xb8b306c4}},	//   _rallier_, _gagaruma, _presk_, _kundegru, 
   {{0xf7450265,0x724a0181,0x5c520107,0x6f4501f1}},	//   _verzendi, _varmen_, _awatara_, _personit_, 
   {{0xf8c403a2,0xac150109,0x824a014d,0x8c04005c}},	//   _छिटपुट_, _zemanovc, _warmen_, _amaseti_, 
   {{0x7c780140,0xc22400eb,0x25a103dd,0xcb3d0273}},	//   _patuloy_, _baako_, _gatishmë, _energías_, 
   {{0x74710241,0x4fa001d7,0x14db004d,0xe644036e}},	//   _eritrean_, _daventar_, _公司主營業務分析_, _chakipti, 
   {{0x7b7e004d,0xa2250116,0xca190097,0xd63000f3}},	//   _快樂星期天_, _keekin_, _papàá_, _nkulungw, 
   {{0x2cd700d6,0xc200033f,0x8b160094,0xec6e02af}},	//   _اعجاب_, _fekita_, _афины_, _ikaraba_, 
   {{0x1da203ce,0xc2b3023a,0x00000000,0x00000000}},	//   _گارنر_, _malackác, --, --, 
   {{0x82560024,0x238e0291,0x7037027e,0x0b2d026d}},	//   _বাক্যত_, _وأحيانا_, _сноси_, _domacnos, 
   {{0xe37f02e1,0x88660060,0x27a30203,0x93850128}},	// [3c40] _chearta_, _ниетпен_, _centdeci, _sportchi_, 
   {{0x0cdc0044,0xda9b0200,0x12dc0040,0x3ecc047b}},	//   _הפסקתי_, _eklizias, _הפסנתר_, _meginlan, 
   {{0x1a6c02af,0x73160069,0x5042046f,0x13a5024c}},	//   _akamubis, _utazi_, _begriefn, _espatrij, 
   {{0x8b0903c2,0x67a90188,0x2d710166,0xc2e900e3}},	//   _inappete, _наоварда, _kümmert_, _indifen_, 
   {{0x14c001f4,0xa8b80037,0x437800ad,0xefb80243}},	//   _پیرمحمد_, _ይከፈታል_, _lalakon_, _caglitoo, 
   {{0x8ded00a7,0x6e1b00fe,0x47d502da,0xd999017a}},	//   _картасын_, _falemaha, _смири_, _болаёқат_, 
   {{0x2a7c00c5,0x3263008f,0xbe970371,0x049c0152}},	//   _该文章由网民直接, _इक्षा_, _cantiere_, _алинә_, 
   {{0x121f00b7,0xa2d200e6,0xdd1d00c5,0x22cb044a}},	//   _mähri_, _杜大夫在线客服_, _pilotage_, _lards_, 
   {{0xaf750179,0x4276000a,0x78bb00a8,0x00000000}},	//   _fetanoms_, _annakkum, _concedì_, --, 
   {{0xd2240211,0x5e52022a,0x22e80251,0x862d05e0}},	//   _saako_, _propagid_, _jadiida_, _trinchei, 
   {{0x59e0019f,0x35180187,0xb3ed00e6,0x9343005b}},	//   _kulikuwa_, _престана, _生殖器疱疹_, _airdrop_, 
   {{0x35ca04f7,0x9973027b,0xe2320220,0xfdd00049}},	//   _canbannh, _अविवक्षि, _scambio_, _kulykefu_, 
   {{0x63f704d8,0xed9903b7,0x2d250296,0x00000000}},	//   _واریاہہ_, _arilynma, _grundare_, --, 
   {{0x3d0a042f,0x37300515,0x220d0361,0xc3940202}},	//   _aallanit_, _ascoltav, _шоколада, _osese_, 
   {{0xe2f0040b,0xc291004f,0x63220116,0x08c80312}},	//   _madindi_, _amaañ_, _mercies_, _brederou, 
   {{0x0aa80192,0x467b012c,0x46430334,0x492801b3}},	//   _전체적으로_, _مرداني_, _akakwati, _шестеро_, 
   {{0x83a902ac,0x0e76020a,0xfab40088,0xbdbc02e5}},	// [3c50] _ازرار_, _склифосо, _nerviosa_, _michĩram, 
   {{0xb9c900d5,0xd2cb0305,0x4b4b004d,0x49f600d7}},	//   _ankoatra_, _gards_, _蘭陽女中六名_, _елгестәр, 
   {{0x425a0499,0xd290023e,0x69c70140,0xeaee000d}},	//   _upolu_, _iddah_, _saserdot, _laadimis, 
   {{0xc42e015e,0xc2940020,0x00000000,0x00000000}},	//   _disposen_, _sapapali_, --, --, 
   {{0x225a0561,0x8e6c0013,0x2394001f,0xdc6200ef}},	//   _spolu_, _پیلوت_, _esese_, _مهمند_, 
   {{0xf27e0129,0x726c0095,0x45f7002b,0x37ba0271}},	//   _nkenke_, _angop_, _জেরুজালে, _innredni, 
   {{0xf38f00d1,0xe9e0019f,0x897e003b,0x3ca0002b}},	//   _বিভিন্নধ, _tulikuwa_, _babhajat, _বিন্দুমা, 
   {{0xf25a00c7,0xa68202d5,0x7578030a,0xf9c90272}},	//   _gastroll, _मेटाई_, _filoloxí, _amulwaza_, 
   {{0xc0670041,0x086300ff,0xb61e01d1,0x00000000}},	//   _агәнамӡа, _טרייף_, _quantiti, --, 
   {{0x0fcd01b9,0xcc6b00aa,0xf075023a,0x00000000}},	//   _larivier_, _kulubot_, _garancio, --, 
   {{0x773600dc,0x09c30265,0x889d02a5,0x27290008}},	//   _alalafag, _geselect, _soutěžte_, _аркалага, 
   {{0x83870130,0x9d3805a9,0x529000b6,0xa3170180}},	//   _netra_, _yashitse_, _addah_, _letalaz_, 
   {{0xc3eb0051,0x9cbc00cf,0xd96a018d,0x227e003d}},	//   _pastu_, _baqachuu_, _ዘይከዉን_, _alonha_, 
   {{0x01750135,0x4d2b001a,0x967b01a3,0xacaa0209}},	//   _pedagogl, _forintot_, _جرڳائي_, _anniseqq, 
   {{0x3d760722,0xe8c80130,0x2224030e,0xfea7018d}},	//   _icambere_, _prederou, _mziki_, _sporteve_, 
   {{0xd2cb02d0,0x045f01f9,0x1ff70156,0x45ac027b}},	//   _wards_, _batehluk, _נעפיו_, _विशति_, 
   {{0xd2d903e2,0x937802e7,0xb3eb04cb,0x6b3e002b}},	// [3c60] _aldeas_, _dalahon_, _textul_, _ষ্টোরটি_, 
   {{0x02d9010f,0xaad40156,0x21560094,0x0c230290}},	//   _inceku_, _ברעיקס_, _жадынан_, _consumes, 
   {{0xa87c0368,0x035b0037,0x39c001f6,0x00000000}},	//   _доставље, _እንስሶች_, _atterste, --, 
   {{0x94980173,0x087d0361,0x7ad10107,0xaa920308}},	//   _পদত্যাগ_, _симптомы_, _darmawan_, _menimbun_, 
   {{0xe97f014a,0xeae0038a,0xef340251,0x00000000}},	//   _mostmár_, _derechus, _aamusana, --, 
   {{0x82d70207,0xc4080025,0x1bcd01b8,0x822f02a5}},	//   _matokeo_, _सामान्ये, _konvents, _autopůjč, 
   {{0xcc5e0044,0x721d0122,0xe3e70046,0x430001d9}},	//   _virtual_, _چجوری_, _mútua_, _beraich_, 
   {{0x569601f0,0x430c00d8,0x388c0395,0xa224044a}},	//   _botekini, _acabèc_, _kartáč_, _eziki_, 
   {{0x6d8c0461,0x8212033c,0x934f0723,0xe387001d}},	//   _valorisa, _leihau_, _levemik_, _detra_, 
   {{0x428801bd,0xec800008,0x3a310434,0x4ba90137}},	//   _ойлап_, _желек_, _descubie, _дээлний_, 
   {{0xb394033c,0x22ca03cf,0x7628012c,0x338002c2}},	//   _geisio_, _yandan_, _اورنگي_, _korrek_, 
   {{0xd3eb019a,0xe29001c5,0xd94202dd,0x25d80311}},	//   _casts_, _illaa_, _bibljote, _ኮምስዮን_, 
   {{0x53f60162,0x0f28031c,0x124a0122,0x00000000}},	//   _алғанлар, _pantalla, _darman_, --, 
   {{0xb9fe00a8,0x57040060,0xf290005b,0x327e0333}},	//   _disavant, _рейтингі_, _nedad_, _alonia_, 
   {{0x43870075,0xea3400c7,0x1b6901d2,0x00000000}},	//   _betri_, _кыпчак_, _imatacha_, --, 
   {{0xe4aa01cd,0xee390177,0xfc53029f,0x461301c0}},	//   _ababenaz, _ахсаала_, _kostola_, _dillanci, 
   {{0x19df001c,0x6387011e,0xb290022c,0xc35f0152}},	// [3c70] _alvorada_, _detri_, _gedag_, _evgeniy_, 
   {{0xc2ca016b,0x203003c7,0x01c400d3,0x535b0371}},	//   _sandan_, _najtrudn, _oplocení_, _cinghia_, 
   {{0x86b006f9,0x92ca0057,0x4d8f0219,0xbcff0188}},	//   _शक्ती_, _pandan_, _umhlanga, _узвҳои_, 
   {{0x05cf00ef,0xbe0102eb,0xe5ff0274,0x23f40255}},	//   _اسمانه_, _хүрдэггү, _borgarrá, _tuttav_, 
   {{0x1baf00a6,0x1354026c,0x629001c5,0xf2ca047b}},	//   _روزنيز_, _invenit_, _allaa_, _vandan_, 
   {{0xc26d05df,0x8669012c,0xccf002c7,0xfc0b04a5}},	//   _ciwon_, _nashindw, _luftdruc, _sempilo_, 
   {{0x7394018a,0x7aea000f,0xc2fc0207,0x7c3703f7}},	//   _ceisio_, _milletin_, _hisabati_, _blandinu_, 
   {{0x2a1502c3,0x1b670034,0x5c740156,0x901d01a3}},	//   _doposiaľ_, _spilator, _באליבט_, _فتوائون_, 
   {{0x1c7c0414,0x914400c5,0xb1de01f1,0x7c020065}},	//   _heurter_, _请在这里发表您个, _publikim, _stattdes, 
   {{0x033206fa,0x126c0003,0x211800b5,0x926c008a}},	//   _मिलाजुला_, _ibood_, _espáñame_, _migoi_, 
   {{0xa3eb03d1,0x89ca02cf,0x53160390,0x42e90168}},	//   _pasts_, _encontra_, _guiza_, _midnatt_, 
   {{0xcee90097,0x2396005b,0x31de0528,0xa6b60109}},	//   _alukuran, _mitsui_, _iongnadh_, _neratovi, 
   {{0xf73903f1,0x5b020312,0xb3f8025f,0x29f90176}},	//   _nepouziv, _debrerie, _milulu_, _midaldre, 
   {{0xc9ca0515,0xe2e80138,0x628601b7,0x9b1802f6}},	//   _incontra_, _bilinen_, _अन्योऽन्, _kabaitan_, 
   {{0x74130207,0xd3050076,0x29a9018d,0x50f1012d}},	//   _عابده_, _estavam_, _ካልእውን_, _ripablik_, 
   {{0xc2900172,0x319c0037,0xe7e3069f,0xe395008e}},	//   _nyiano_, _የወሰዱትን_, _dvojičky_, _duusi_, 
   {{0x800b0147,0xe2e90020,0x329002ff,0x201f0220}},	// [3c80] _аталышы_, _fitiuta_, _bedad_, _allenato, 
   {{0x52900240,0x54b70287,0x53f60311,0x71340349}},	//   _kimamu_, _बजेतिर_, _ብተኣማንነት_, _arathyro, 
   {{0x26b003b9,0xb2cb02c3,0x348502ac,0x45240024}},	//   _ajarankh, _kazdy_, _اختطاف_, _কলিয়াবৰ_, 
   {{0x6316013d,0xb3200358,0xcc5b0061,0x47bd0291}},	//   _krizo_, _lwaye_, _ㅋㅋㅋㅋㅋ_, _لتوصيل_, 
   {{0x3e110065,0xda890213,0x0e3504cb,0x7b2101be}},	//   _arbeitsp, _повлиять_, _asemănăt, _chloupků_, 
   {{0x4f400440,0x72e8042b,0x0cd3015e,0x00000000}},	//   _ategekan, _truljenj, _قاچقاندى_, --, 
   {{0xa65701e1,0x6d8906ce,0xa27e00e0,0x60ae023c}},	//   _файлдар_, _monforte_, _sjenre_, _elimandl, 
   {{0x00000000,0x00000000,0x00000000,0x00000000}},	//   --, --, --, --, 
   {{0xd55f011f,0x016d00e6,0xc1bc0444,0x6d1a01c8}},	//   _monseñor_, _民国版线装_, _каменных_, _žaluzie_, 
   {{0xf3fa01a6,0x098a009a,0x0053033f,0x15a30452}},	//   _kotuku_, _laphinde, _pangaimo, _आवरता_, 
   {{0x620e0039,0xe036017f,0xc31600a9,0x263e0145}},	//   _саран_, _unitsinn, _arizo_, _suvirini, 
   {{0x32ca0261,0xb41a038c,0x4c710092,0xcd2c00d1}},	//   _landon_, _izazivaj, _starnet_, _কামাণ্ড_, 
   {{0x80b80128,0xd8880213,0xc2e9033d,0xdd8d03b7}},	//   _асраш_, _дорожных_, _endijen_, _eedomfra, 
   {{0x729002e2,0x5a570008,0xa39504ee,0x001801b3}},	//   _ellan_, _антын_, _puusi_, _законсер, 
   {{0x937301ba,0x03160111,0x74f1019e,0x7fd30216}},	//   _inkarne_, _erizo_, _адсьвятк, _mabiliyo, 
   {{0x55aa00a6,0x67ef0040,0xf8960137,0x3b360109}},	//   _abasenok, _ומהנה_, _ширтэж_, _लम्बाइ_, 
   {{0xa320020f,0xb2900074,0xf37b0117,0x92ca00f7}},	// [3c90] _kwaye_, _illan_, _nakamal_, _bandon_, 
   {{0x12f20587,0xe3950253,0xd27e01e5,0xf1640021}},	//   _sègle_, _tuusi_, _ikenne_, _argosway_, 
   {{0x741e00c8,0xed0e018b,0xd2d80108,0x1b6d02e5}},	//   _райондың_, _амарник_, _ambek_, _балкариа_, 
   {{0xf2020095,0x2dc50079,0x7dab036e,0xa3940234}},	//   _kaping_, _satiksme_, _awkiamap, _isesi_, 
   {{0x82730415,0xbb87002b,0x32fc02fd,0xff250272}},	//   _hängt_, _ছুটতে_, _leigte_, _bakrista, 
   {{0xac5305d5,0x72730313,0xd2c30724,0x3cd601b3}},	//   _postula_, _hotlhlaw_, _emplaza_, _простим_, 
   {{0xd94c04f8,0x237f0034,0xec420044,0x36ec04fe}},	//   _favorite, _annarra_, _procedur, _miscugli, 
   {{0xb5930089,0x8020025c,0x1b0902fd,0x511b0185}},	//   _abdulxak, _relevanz_, _corparra_, _drujinal, 
   {{0x649c00af,0x7280002c,0xc27303e6,0xc19404a5}},	//   _члени_, _daukate_, _längt_, _elibalul, 
   {{0x7f890161,0x5291054c,0xa616023a,0x13880350}},	//   _педали_, _erfart_, _najaktuá, _ትኩረቱን_, 
   {{0xab1c0251,0x00000000,0x00000000,0x00000000}},	//   _badanaab, --, --, --, 
   {{0xf9c0010b,0xef3300ce,0x787e0099,0x00000000}},	//   _bakerese, _konsilta, _anohwand, --, 
   {{0x10470089,0xd9a501bd,0x7c7600d3,0xe1400125}},	//   _милләт_, _алладан_, _बाक्लो_, _amallary_, 
   {{0xea040120,0x73f4001a,0x92fd018e,0xf24801ec}},	//   _abbaasit, _vetted_, _muxanisi_, _diombe_, 
   {{0x1c3c048a,0x0b140148,0xf037015e,0xaa64009c}},	//   _азияда_, _北美新浪網_, _иниси_, _antuñuqa_, 
   {{0x126301c5,0xb39404f8,0x9e1b038f,0x3323014e}},	//   _احتیاطک_, _press_, _dreganta, _откривај, 
   {{0xd08e0057,0xe26d00ac,0x7651031a,0xb38f040b}},	// [3ca0] _የምትሻውን_, _tagovi_, _aichilli, _sinyusa_, 
   {{0x816502cf,0x03f3020f,0x00000000,0x00000000}},	//   _следеше_, _دطلاق_, --, --, 
   {{0x9ed400ef,0x5f5b053f,0xa2f40416,0x937f00d6}},	//   _رباني_, _aynachan, _visibil_, _mheasta_, 
   {{0x05b400dd,0x56850078,0x824a0185,0x0955027b}},	//   _adnabuwy, _блокаду_, _garmun_, _copasaṃh, 
   {{0x28860255,0x2d2c03b0,0xf317007b,0x92fe00a7}},	//   _विदेशिया_, _søndagen_, _parched_, _licitar_, 
   {{0x02d104ca,0x3ed9029d,0x829003c7,0xa61b00e6}},	//   _acronim_, _советеле_, _oddam_, _英寸液晶跌破_, 
   {{0x586a055f,0xa94c0265,0x34710323,0xd3220040}},	//   _istiyoru, _favoriet, _mapendek, _אינטרקום_, 
   {{0x92900201,0x49f700de,0x99f1006c,0x00000000}},	//   _addal_, _kungashe, _asenzela_, --, 
   {{0x12fe00b8,0xc2f4022b,0x238303bf,0x80290060}},	//   _arxatiri_, _oddinum_, _курбатов_, _жетимжи_, 
   {{0x938c0172,0x39f90099,0xd3940508,0x135401f1}},	//   _kristoni_, _achatore, _tsesa_, _nivelit_, 
   {{0x9c5e0040,0xa9b90219,0xc5c604b2,0xf74503ab}},	//   _לועזיים_, _bajehova_, _talambuh, _atypický, 
   {{0x72020010,0x9aec01ad,0xd33b01ef,0xc39400fa}},	//   _litiko_, _colectib, _атамнае_, _deismo_, 
   {{0xe6830193,0xd8cf0311,0xa69000f3,0xa5de0144}},	//   _हैराण_, _ተመሪሕና_, _nelesibi, _بأعماق_, 
   {{0x353b0036,0xdda0006a,0x72fc00ec,0x0d240060}},	//   _samhlach, _panorena, _likimas_, _رومانىند, 
   {{0xb303019e,0x6dbe00b8,0xe2ca0265,0xab620053}},	//   _джонса_, _luririna, _banden_, _फिरनी_, 
   {{0x0e4a02cb,0xc12000f2,0x19d701c2,0xd85c0256}},	//   _detaljne_, _informēt, _faleceme, _nogurums_, 
   {{0x58d304d3,0x68600071,0xd31501af,0x00000000}},	// [3cb0] _attrativ, _aljazair_, _aglamaz_, --, 
   {{0x83160358,0xb6cb01d1,0x66dd0192,0x42a10092}},	//   _kraze_, _hospital_, _문화예술인_, _afgjort_, 
   {{0x529003e8,0x1bb704ab,0xa3610276,0x1a7d0090}},	//   _oddaj_, _ubojstvo_, _گۈلىستان, _angafara_, 
   {{0xa69c0258,0x170603db,0x89c70094,0xa34100c1}},	//   _underwii, _amacwecw, _шамадан_, _एकजूट_, 
   {{0x99c60204,0xade8019e,0xc2e9015f,0x322602b9}},	//   _vallassa_, _андрэем_, _ditectif_, _vaskos_, 
   {{0xc7a90008,0x6cfb0148,0xc310031e,0xec6102be}},	//   _بوستون_, _全國公教人員遊嘉, _groblju_, _papunta_, 
   {{0x5b1e034a,0xca580544,0x00000000,0x00000000}},	//   _comproba_, _maheleia_, --, --, 
   {{0x9aed025d,0x2290026c,0x4909017a,0x15260613}},	//   _partikke, _illae_, _безарар_, _prestado_, 
   {{0xc4df034f,0x90510067,0xd316028d,0x7be002b3}},	//   _موافقې_, _aangawoo, _araze_, _estender, 
   {{0x5b2f0387,0x1be0026c,0xa27e0007,0x22fc0212}},	//   _katalọgụ_, _ostender, _koonda_, _solitus_, 
   {{0xe5010205,0x734a0002,0xcf5c00be,0x338602a5}},	//   _صحافتی_, _nedelju_, _аллахтын_, _pokrmy_, 
   {{0x35b70009,0xc379003e,0x227e0476,0x930c013b}},	//   _bolnikom_, _calaloo_, _anonwa_, _humagos_, 
   {{0x226c0635,0xb0fa05b8,0x1da500e9,0x4e6a0397}},	//   _ligos_, _upphandl, _fragmant_, _корди_, 
   {{0x0a3000c5,0x2ecb03de,0xf3f00304,0xfb090310}},	//   _的所有文字_, _ubungqin, _sekeping_, _corporra_, 
   {{0xfb19000a,0xd2ca0181,0xf5880076,0x529000a0}},	//   _aamakors, _panden_, _обновено_, _addaci_, 
   {{0x82480130,0xa29d0188,0x6e3503db,0xb30a0299}},	//   _chomet_, _тамаркуз_, _kungenja, _تىخخمۇ_, 
   {{0x8b1802e0,0xce9c00be,0x7b04005b,0x60be00d1}},	// [3cc0] _babalets, _باسۇۇ_, _budskabe, _পদুলি_, 
   {{0x52dd0076,0xed0e002b,0x7fe9008f,0x8b740011}},	//   _resolvi_, _চাপিয়ে_, _दुखारचक_, _bakusaba_, 
   {{0x22ca002e,0x0787005e,0x2c1800b2,0xadea0037}},	//   _prodao_, _خۇپتەن_, _dabaleer, _ምልክቱን_, 
   {{0x3dbe053f,0x268c00c1,0xbdfa0405,0x00000000}},	//   _yuririna, _फरसाण_, _кішка_, --, 
   {{0xe2010055,0xc416009f,0xaea60403,0xdf4e0110}},	//   _lecita_, _površino_, _bealanan, _šoferis_, 
   {{0x0a8700aa,0x9b8d0456,0x18e60162,0xf436035d}},	//   _aronaron_, _istikhar, _партлаш_, _madjarsk, 
   {{0xde560060,0xbcd90041,0x8db70067,0x321a01cd}},	//   _тастан_, _иреилсыр, _beyilada, _мазмунҳо, 
   {{0x63410244,0x777b02ea,0x294901cd,0xd6c20219}},	//   _potenza_, _мъниче_, _awulokot, _kucandzi, 
   {{0x4264036f,0xb3940203,0xe3790343,0xcf5902b0}},	//   _poslao_, _seismo_, _madahon_, _unpassen, 
   {{0xd31605a4,0x60ed026c,0x0225013c,0x2dac0090}},	//   _praze_, _等分類廣告交流資, _maykl_, _asingada, 
   {{0x2ccb01b3,0xad6b00ef,0xf30c01e6,0xb45500c1}},	//   _опалення_, _استعفاوې_, _stanovuj, _अबाधित_, 
   {{0xf1f202d3,0x22ca0189,0xe2fe01e5,0xd951055e}},	//   _planejam, _golleri_, _mosalasi_, _missiler_, 
   {{0x44e700d1,0xd2fe06c6,0x93b50022,0xd4000037}},	//   _চুলাই_, _cocinar_, _сынаяҡ_, _gugurkan_, 
   {{0x21200051,0x029003b3,0x1b250039,0x00000000}},	//   _informēj, _illac_, _тугалын_, --, 
   {{0x7b0d0013,0x3ccc0028,0x92bf00ef,0xb48400ba}},	//   _кишининг_, _بیانس_, _بمبار_, _بۆنمونه_, 
   {{0x5ef80016,0x3ccd02c9,0x00000000,0x00000000}},	//   _דערבײַ_, _махалауа_, --, --, 
   {{0x70710453,0xb2fd0338,0x40f000c1,0xf3020055}},	// [3cd0] _pripremn, _auxilis_, _मयुरेश_, _arialdu_, 
   {{0xfc1b02b9,0x38d4047b,0x8a7d019d,0x00000000}},	//   _vadaspar, _finsensg, _kudalira_, --, 
   {{0x8c5c0314,0x4a6a00c5,0xf20104e5,0x03ea06a0}},	//   _bkntril_, _régional_, _againe_, _daotan_, 
   {{0xa76b014a,0x52800272,0x55cd00a6,0xc1780299}},	//   _برادران_, _abakole_, _اقوامو_, _ئۈندەش_, 
   {{0x239500b8,0x4d470192,0x0c2a0037,0x0803027b}},	//   _arusa_, _전문가서비스_, _በዩኔስኮ_, _bhāsvatā_, 
   {{0xa38c0481,0xeb8c00dc,0xc5ce0262,0x339503d4}},	//   _toestemm, _alenatur, _etrabyny, _brusa_, 
   {{0xd3960235,0xa9e001fe,0xd9f702f3,0x322b03ae}},	//   _प्रथमाध्, _tutukutu, _lanserad, _rammene_, 
   {{0xadc604ae,0x4476034c,0x729002fb,0x92a900e6}},	//   _капсуле_, _бдины_, _punake_, _毕业论文范文网_, 
   {{0x19760118,0xb2fd0014,0xe2ef0183,0xf3790049}},	//   _abankeme, _policor_, _cosfa_, _matahoa_, 
   {{0x02dd04bb,0x487d040f,0x7c5c0039,0xf43e0094}},	//   _wowowow_, _artimiau, _tartean_, _қарны_, 
   {{0x926c013f,0x6bb7040f,0x531200f2,0x0e320156}},	//   _digor_, _запусьці, _simbols_, _akuzante_, 
   {{0xb3fe0085,0x02e9005d,0x6cc60061,0xac0b03db}},	//   _mokulaki_, _kapilla_, _일목요연하게_, _nempilo_, 
   {{0xafde0373,0xd31601f4,0x3c2600d9,0x337f0204}},	//   _civitano, _ariza_, _краткое_, _bloggaaj, 
   {{0x1f6c024b,0xee9e004a,0x42620299,0x00000000}},	//   _detalles_, _парлы_, _راكقا_, --, 
   {{0x38da02d8,0x636f0253,0xcc480162,0xf0f30156}},	//   _disetuju, _aputilim, _باتالىيو, _טאַוב_, 
   {{0x808c00ec,0x9373010b,0xf26c00ee,0xd29002ca}},	//   _славы_, _bolaile_, _zigor_, _solad_, 
   {{0x736c0125,0xa2900242,0x8ba30153,0x90ae0039}},	// [3ce0] _belgili_, _polad_, _グラビアアイドル_, _уртад_, 
   {{0xd290020e,0x4d120059,0x62da014d,0x8eb002b4}},	//   _bolae_, _гърди_, _alters_, _escotlan, 
   {{0xaea601c6,0xe93f054f,0x13410244,0xe2780241}},	//   _italiaan, _xeemphee, _altezza_, _baqattum, 
   {{0x352f01c2,0xec4e00de,0x11840439,0xb84500ec}},	//   _disposto_, _کمپنۍ_, _bakanyil, _словіа_, 
   {{0x8e6c028b,0xb9570416,0x29d7042d,0xc2fd0258}},	//   _диреқтор_, _conscier_, _abdemele, _fannejûn_, 
   {{0x637f0132,0xf2d804fc,0xe033003e,0x50b1027b}},	//   _feladva_, _salones_, _информре, _परमुखे_, 
   {{0xe3ea023e,0xf31604cb,0x524803db,0x91200040}},	//   _mboten_, _criza_, _abomvu_, _התבוננות_, 
   {{0x23d403cf,0xb2d801f0,0x03350025,0xa80c015e}},	//   _devamı_, _balege_, _ह्यात्मा_, _талибдер_, 
   {{0x4d8f04d5,0x5d0d00b4,0xe3ce0148,0xea15006f}},	//   _emhlanga, _antrenor, _silvis_, _madaraja_, 
   {{0x9e1b02e9,0x38890013,0xb3cf02c3,0x539500da}},	//   _pregunta, _ливандаг, _pozvi_, _trusa_, 
   {{0xf057015e,0xa18600b0,0x2be302d8,0xa2240066}},	//   _тилинин_, _tanaasul, _pelestar, _izaki_, 
   {{0xab7801dc,0xa2b4018f,0x58b6019a,0x6fde00dc}},	//   _annunzia_, _chech_, _couthier_, _oloipolo, 
   {{0xe6d002f0,0xc9e4020e,0x9adf00be,0x72cb02b9}},	//   _bebatimi, _dinokana_, _كەزەگىڭد, _alkotta_, 
   {{0x5d7d0169,0xd31600da,0x29030156,0x00000000}},	//   _দৃষ্টিতে_, _priza_, _יאָלד_, --, 
   {{0x1be70151,0xa2910075,0x43980141,0x8c0102c7}},	//   _foreshor, _arvast_, _фанатлар, _friseur_, 
   {{0x4c040585,0x19dc0222,0xc37a033d,0x8b020166}},	//   _srpskih_, _profonde, _batayon_, _herrsche, 
   {{0x1ecd02fe,0xad0300a7,0xaf810041,0x02240181}},	// [3cf0] _abanakun, _realment_, _гәҩарас_, _ozaki_, 
   {{0xa2240493,0x21830187,0x898402fc,0x5ec50045}},	//   _nyika_, _германци, _amakemwa_, _главних_, 
   {{0x63b0017f,0xb304006e,0xed7f06bf,0x46d0008a}},	//   _aleqa_, _ahsanal_, _संक्रांत, _aisakuli, 
   {{0xec0104b9,0x618700f0,0x85a600f4,0xe378010d}},	//   _maister_, _kupovať_, _brasparz, _cekatan_, 
   {{0x22950097,0xa2260277,0x3248005b,0x3c5e019a}},	//   _abulẹ_, _kaskas_, _menma_, _fortial_, 
   {{0x5b210133,0xc41a00c4,0xbbaf0207,0x00000000}},	//   _ampasiin_, _ڪسوٽي_, _machimbo_, --, 
   {{0x19c50039,0x72080725,0xd34601e8,0xea02014d}},	//   _дурдана_, _रामानुजन_, _berdent_, _versorgu, 
   {{0xf8b70176,0x82dc0318,0x4343022c,0x00000000}},	//   _kildekod, _lokotui_, _dibedol_, --, 
   {{0x30f700d1,0x00000000,0x00000000,0x00000000}},	//   _আয়োজক_, --, --, --, 
   {{0x2b0c0222,0x42ca0378,0xf2ca01f4,0xe9fc0107}},	//   _classeme, _sandin_, _hollari_, _bagaspat, 
   {{0xef0a0301,0x2486010d,0x13dc00bd,0x78490311}},	//   _ortaları, _बदनामी_, _growen_, _ዝመሰልዎ_, 
   {{0x1af80037,0x1c6103ba,0xd2240134,0x1f4a02dc}},	//   _መምህራንና_, _eborage_, _ayika_, _carpinta, 
   {{0xe2900372,0x42ca0141,0x32da0145,0xfd240040}},	//   _allai_, _mollari_, _moters_, _תרשיחא_, 
   {{0x32900135,0xe6810158,0xb5c704a5,0xa9670400}},	//   _eldan_, _ज्वार_, _iplaneth, _annighet, 
   {{0x5b000212,0xae490170,0xf2f0021c,0xbd6a027e}},	//   _camsplit, _anganene_, _tekutiny_, _полагали_, 
   {{0x83eb00bd,0x1759019b,0x699e030d,0xb389036e}},	//   _hasty_, _рамантыч, _parkına_, _chuyata_, 
   {{0xd3b80497,0x55b70005,0x89bf02e6,0x50450133}},	// [3d00] _doubting_, _supposiz, _underret, _durumaan, 
   {{0x6372048c,0xac5c00b0,0x18610203,0xec6c0261}},	//   _scolding_, _kartaan_, _reintrad, _aulusoj_, 
   {{0xf8740291,0xedb0021a,0xaa000181,0x52cb02eb}},	//   _مبسوط_, _geessisu_, _elsaraya_, _alkorta_, 
   {{0x7efc03d4,0x821c0074,0x027e04a4,0xe2d4019e}},	//   _мушка_, _muuhun_, _dionta_, _vardai_, 
   {{0xee5500b2,0x1c140255,0x32d7002b,0x95fa0153}},	//   _baratame_, _litsents, _নামকরন_, _新着のクチコミ_, 
   {{0xd29200a8,0x528901a3,0xaacd025e,0x82000216}},	//   _sguard_, _ڳوٿريءَ_, _erkisósí, _nokisa_, 
   {{0xc17e01f6,0xb3460046,0x82c90135,0x3f570086}},	//   _উচ্চাৰণ_, _perdent_, _диспутла, _kaphatóa, 
   {{0xec780212,0x227305ce,0x626a023a,0x00000000}},	//   _dogswim_, _künye_, _detailné_, --, 
   {{0x46c8034d,0x241300d6,0xa34b0257,0xb4f10235}},	//   _maksudny, _مازدا_, _askepot_, _aṃsena_, 
   {{0xf290034c,0x8c2300d9,0xc5670135,0x425a00dd}},	//   _aldan_, _новость_, _китабын_, _fioled_, 
   {{0x05b8069c,0x1f2e00d1,0xc2900573,0x00000000}},	//   _bankovní, _ফেঁচা_, _allaw_, --, 
   {{0x404a0253,0x4f0a0135,0x20dd0059,0xcc7d0192}},	//   _imartaan, _urtaları, _говорите, _meesten_, 
   {{0x726c02e5,0x3c0302c6,0xa637046f,0x00000000}},	//   _dudoso_, _egipteg_, _kalibrei, --, 
   {{0xbc7600bd,0xdd07013f,0xfc020075,0x00000000}},	//   _abashed_, _empleget_, _frystur_, --, 
   {{0x9ef10139,0x7d0b017e,0x4984007e,0x425d00be}},	//   _बालकः_, _mallonge_, _asahāyen, _شاڭدانىپ_, 
   {{0x066000ff,0x2290016b,0x3ecd00ea,0xa75e01a6}},	//   _פאקיסטאן_, _ahmadu_, _farisian, _porihang, 
   {{0xa6280416,0x02a902cf,0xefaf0170,0xf2c20422}},	// [3d10] _attincti, _parcelam, _amalongo, _razlaga_, 
   {{0xc3160160,0x1d2e0195,0xd018045b,0xa9f9005c}},	//   _krizu_, _luaithre_, _прискорю, _bahakore, 
   {{0xcdf2019e,0xa26c04f2,0x1a550052,0x1c660047}},	//   _джорджа_, _iboom_, _निवर्तमा, _restent_, 
   {{0x63f8029b,0x06800366,0xa92b02e4,0x00000000}},	//   _adouna_, _экзюпери_, _jammonta_, --, 
   {{0xc85700bb,0x33ac00ff,0xfc8300d9,0x9c660046}},	//   _چیچنیا_, _גלאובס_, _реализуе, _lustrat_, 
   {{0xf2fe030a,0xe283019c,0x2c260045,0x5c7d0026}},	//   _motivos_, _alikama_, _фабрике_, _feesten_, 
   {{0xf2ee04bd,0xdec30043,0x926c004f,0x8289010b}},	//   _hoonani_, _akunnaan, _gudoro_, _maipolel, 
   {{0x3290011b,0x12f30201,0x485d0097,0x00000000}},	//   _kelasi_, _fakimit_, _ibọsẹ_, --, 
   {{0xa2900166,0xa8530222,0x194a0220,0x03f00347}},	//   _hinaus_, _regarder_, _вторият_, _bekering_, 
   {{0xa0f60177,0x2c1802ba,0x286d01a3,0xd05b00be}},	//   _мальцев_, _феврали_, _اڻهوند_, _تىكتەيم_, 
   {{0x831600ee,0x233a02d5,0xce5b00c4,0xadfd042d}},	//   _arazo_, _मरीचिका_, _سياڻپ_, _andevova, 
   {{0xa26a0360,0x9316031c,0x222501d2,0x42ca02b1}},	//   _detailní_, _brazo_, _atakaw_, _gandun_, 
   {{0x0d23024f,0x85ca04ad,0x00000000,0x00000000}},	//   _nimilote_, _disaitsh, --, --, 
   {{0xecd500be,0x775d038e,0x19510299,0x00000000}},	//   _رۉلگۅن_, _dibilang, _سىچۈەندە_, --, 
   {{0x304a0069,0x6cd703cc,0x14d700b7,0x9513014b}},	//   _kwerekan, _ওদিকে_, _гараның_, _furuntoo_, 
   {{0xd316013d,0x89dd025c,0x539501b8,0xfef501cf}},	//   _frazo_, _reservie, _arust_, _methodos_, 
   {{0x0c18024c,0x639502c7,0xb1fa0188,0x2f65011a}},	// [3d20] _karatter, _brust_, _забондон, _impactin, 
   {{0xde3d0212,0x76b200c1,0xc2d802f9,0xcdec0137}},	//   _chyawanp, _चिंतामणी_, _aljeri_, _аарцагны_, 
   {{0xe564004d,0x71c30100,0xe0e801d5,0x00000000}},	//   _易淹水地區水患治, _punjači_, _haladunk_, --, 
   {{0xef6500fb,0x9ccf02b2,0xc290001d,0x7d300262}},	//   _ababesen, _спецпрое, _telasi_, _birsydyr, 
   {{0x5e6404fc,0xa3950166,0x253300cb,0xfe31004d}},	//   _públicam, _gruss_, _abanciny, _不要逼他承諾什麼_, 
   {{0x423d00bf,0xb26c0212,0x028300ac,0xa29002d8}},	//   _продукты_, _lbook_, _slikama_, _relasi_, 
   {{0xac51049a,0xb95f00c4,0x1280028b,0x1e0c01aa}},	//   _spotova_, _سوچيندي_, _визатә_, _aladzeka, 
   {{0xf2f301f1,0xff8001c0,0x5fa60019,0xd0c80350}},	//   _takimit_, _cincirin, _балтада_, _አውደጥናት_, 
   {{0xaa39015e,0xfc3603a8,0x8d3a0066,0xb290019d}},	//   _денесин_, _এৰাটাৰ_, _hirigune_, _delari_, 
   {{0x53f802e8,0x734c012d,0x52840156,0xcc140092}},	//   _sokuti_, _fogetem_, _נאכטמאל_, _フィリピン_, 
   {{0xc408001e,0x9aec002c,0x23f604fe,0x41b3030a}},	//   _hukuncin_, _kolektib, _mœurs_, _camariña, 
   {{0xbf690306,0x73160445,0x626400d7,0xb25e0153}},	//   _batallas_, _prazo_, _bokoloni_, _耳鼻咽喉科_, 
   {{0x6ae70032,0xe63c00d5,0x69f701b5,0x71440109}},	//   _aperfect, _faminani, _gangarhe, _उहांले_, 
   {{0x026c0179,0x5323018a,0xa4130177,0xae26000c}},	//   _magot_, _mercher_, _аопера_, _duelpass_, 
   {{0xcba90138,0xc8470276,0xea90015e,0xa4fb0204}},	//   _markalar, _маканиң_, _англисче_, _оставать, 
   {{0xa394059f,0xb31606d9,0x829000d9,0x4b2b017a}},	//   _përse_, _trazo_, _pelasi_, _абдулхай, 
   {{0x4a87001f,0xd80b00be,0xd2d801a0,0xcc1d015a}},	// [3d30] _kronkron_, _تىيسىن_, _genesa_, _cuquliis, 
   {{0x47580360,0xa46603ce,0x118c008d,0xb3650139}},	//   _सदस्यिय_, _مێزگرده_, _izlanish_, _cintayam, 
   {{0xe387022e,0x068a0079,0xf9c00155,0x00000000}},	//   _petru_, _akadēmij, _filmerna_, --, 
   {{0x92490230,0xbea600e2,0x62f30119,0x4be403c6}},	//   _gramer_, _italjaan, _makikit_, _redenear, 
   {{0xea5e039d,0xc1230060,0x867d0420,0xe8d30224}},	//   _lugerika_, _بالىقبەك_, _farmacêu, _dekurdag, 
   {{0xbea700f7,0x020102dd,0x89ba029e,0xd883015d}},	//   _esploran, _antoloġi, _arsellva_, _कालीमिर्, 
   {{0x771e0206,0x8adc00da,0x666c0035,0xec7c021b}},	//   _neprihlá, _цянулуй_, _биргәнгә_, _saksaan_, 
   {{0x9d600012,0x53170487,0x2cf20107,0xae120021}},	//   _कहलैथ_, _zazzle_, _ناامن_, _arrettba, 
   {{0xc6270029,0xe30c05ca,0x5ecd0499,0x0b21027f}},	//   _شازاده_, _armados_, _karipian, _caratemb, 
   {{0x6225007b,0x7224005b,0xc6570085,0x453d01a3}},	//   _brekna_, _ayako_, _paikarai, _ميڙاڪي_, 
   {{0x86270145,0x8263023c,0xcc4204ca,0xf37a0016}},	//   _remianti, _دښوونې_, _brocadur, _batalon_, 
   {{0xf29002f3,0x59ea0439,0x577100e6,0x5c340037}},	//   _bolag_, _atinemba_, _家庭装修全流程_, _terceder, 
   {{0xf84a00dd,0xe31602ba,0x621c02df,0x8dc80100}},	//   _gogonedd, _asiza_, _aruhan_, _promašaj, 
   {{0x5c0d00fe,0x354e00e5,0xd3600156,0xa7d901e4}},	//   _alipate_, _житни_, _רעפידשער_, _दीपकराज_, 
   {{0xe6ba017c,0xbbff00d2,0x130d00da,0x72900227}},	//   _invandri, _pangajar, _urmator_, _pelari_, 
   {{0xa2900212,0x1b8601b7,0x83650253,0xf52f002e}},	//   _illam_, _क्षमः_, _akurijum, _obećavaj, 
   {{0x8c060353,0xac1f0181,0xa07804a8,0x82320210}},	// [3d40] _dopravy_, _disaccor, _bespravn, _chemuno_, 
   {{0x05c8036e,0x20fd0105,0x5f30038b,0x90400031}},	//   _alabaych, _नामवर_, _disembun, _पीपल्स_, 
   {{0x684c019a,0x4590003e,0x02d8027f,0x4a2f0139}},	//   _dustoons_, _federish, _kenera_, _cetthaṃb, 
   {{0xa395013a,0x3ce800c7,0x29680021,0x0a55017a}},	//   _fuuss_, _белсен_, _atriuret, _babesaba_, 
   {{0x3c150132,0xc2240207,0x03320031,0x00000000}},	//   _templom_, _vyako_, _मिठाच्या_, --, 
   {{0x76d4014b,0x7fa60371,0xbc980156,0xa20103f1}},	//   _atlantii, _закрито_, _העלצער_, _libier_, 
   {{0x007300ee,0x99a10211,0x59df043e,0xfa52004b}},	//   _etiketak_, _virkamie, _monteagu, _ithehela_, 
   {{0x3c670308,0x6ee7014e,0x00000000,0x00000000}},	//   _sekrang_, _нападом_, --, --, 
   {{0x62180162,0x953200cb,0xc0470005,0x6b8100db}},	//   _قاتاردىك, _abazofik, _dapresen, _viinamar, 
   {{0x37fa018d,0x8bb6000c,0x839503e6,0x0dfe02aa}},	//   _ገብሪኤል_, _fncháich, _duuss_, _potetova, 
   {{0x62e702c7,0x2c990102,0xf0eb0105,0xced00030}},	//   _spenden_, _سوندري_, _policeal, _akreditē, 
   {{0x25260119,0x55270158,0x038602fc,0xf388029c}},	//   _estrecho_, _मंज़िल_, _amerwe_, _chipulum, 
   {{0x4ea40012,0x4fe80051,0x92000087,0x0201013e}},	//   _नेवतौनी_, _netraucē, _kokiwa_, _filološk, 
   {{0xfacb028b,0xbae40073,0x088a0312,0xafa90037}},	//   _евгении_, _deludent, _servijer_, _በተጓዳኝ_, 
   {{0xfe5102bb,0x71ca038e,0xb92202f4,0x837f0207}},	//   _ukrainie_, _kolomrum, _descargu, _wajanja_, 
   {{0x41e00066,0x438601a0,0xef91038b,0x0ae00192}},	//   _спамбото, _emerwe_, _mendasar_, _geruchte, 
   {{0xd3ea03b0,0xc290018f,0xc7dd0156,0x9d150037}},	// [3d50] _tomter_, _bolad_, _איעדע_, _የአሸባሪዎች_, 
   {{0xbb4f014e,0x827e068f,0x92900297,0x4d9000de}},	//   _premijer, _quinò_, _bodae_, _تدریسي_, 
   {{0x32cf0311,0xa3cf0231,0x9aec017f,0x00000000}},	//   _ተመለስና_, _corvi_, _illuutit, --, 
   {{0x4b6901e9,0x7c380207,0x23950387,0x2a830263}},	//   _bahuduga_, _لاقانوني, _irusi_, _senioren_, 
   {{0xba7e02c1,0xef9c00e6,0x123c0052,0x6ce40188}},	//   _kutagira_, _可以根据情节处以, _makléři_, _хунрезӣ_, 
   {{0x8c0a0438,0xd64301f4,0x362e025c,0x74da02ba}},	//   _anapita_, _терговчи, _krankhei, _хоини_, 
   {{0x62900212,0x00000000,0x00000000,0x00000000}},	//   _ullam_, --, --, --, 
   {{0x68fd02a2,0x8ffc005e,0x4f760040,0x1ac603f1}},	//   _magagand, _ﺗﺎﺋﺎﻻ_, _לשלטון_, _eurozóne_, 
   {{0x994201c3,0x5d1503b6,0x4c180242,0x23c101bd}},	//   _dismembe, _adarudur, _xarakter, _имандылы, 
   {{0x62ea00b3,0x421c0663,0x561503b9,0x6b09012e}},	//   _bitiren_, _fathia_, _qalltapx, _chipsete, 
   {{0x22240102,0x92480726,0x8290021c,0xc58603b5}},	//   _vyake_, _ebomvu_, _volal_, _tandasny, 
   {{0xc2ca00d7,0xf26c043a,0x12c603f7,0xf2900014}},	//   _golder_, _sagom_, _amelíe_, _muskujt_, 
   {{0x9ae701b3,0x5e480058,0x5d81030a,0xb97403df}},	//   _begrense, _hüstrid_, _reflicta, _kvinnele, 
   {{0x63080345,0x1301023e,0xff4e0224,0x00000000}},	//   _acabado_, _akibate_, _forgangs_, --, 
   {{0x034c0120,0x5a9f01eb,0xe4780156,0x2d6f003d}},	//   _esserol_, _goviérno_, _געסטאפא_, _animista, 
   {{0x26a104f2,0x62d8024a,0xb49902c6,0x3582010d}},	//   _tintheth, _ladele_, _deknikel_, _प्रदेशमध, 
   {{0x12dc029b,0xf42401c8,0xcf02045b,0xd1030315}},	// [3d60] _banoppi_, _konzumuj, _гострий_, _inekumel, 
   {{0xd3950374,0x970d0211,0xcdbf0243,0x82d80347}},	//   _urush_, _жанра_, _silaacat_, _nadele_, 
   {{0x04bb0315,0xb3c80203,0xb1550108,0x2c920109}},	//   _akubafak, _pruvar_, _baroraah_, _pctuning_, 
   {{0xe86804cb,0x71e106c7,0x1e9c019b,0xd2a80156}},	//   _subiectu, _भीतरे_, _pramonin, _געדױערט_, 
   {{0xbea500e2,0xaafc048f,0x31f80022,0xe26c02f6}},	//   _fertelde_, _kolendis, _йомабикә_, _dagok_, 
   {{0x32b50036,0xf0890162,0x26250040,0xdc41013c}},	//   _reathatá_, _засидати, _grateful_, _sistemə_, 
   {{0xd07f018d,0xe21a004a,0x9bc80178,0x9d2a0141}},	//   _ክልተኣዊ_, _allanıñ_, _मुनीनां_, _хайдовчи, 
   {{0x5290041c,0x77e201b5,0x50190238,0x8c29018d}},	//   _solal_, _averisiw, _проповід, _ኣንነትን_, 
   {{0xfb71026b,0xdc720409,0x0272013c,0xca1102df}},	//   _quisiera_, _styrket_, _brauzerl, _terahsia_, 
   {{0x831600f5,0x52900013,0x2345005b,0x69d20170}},	//   _oraza_, _bolam_, _cyudoku_, _imatched, 
   {{0x4f160104,0x58bf02d5,0x4b200408,0x1c6600d9}},	//   _amadodan, _nimetatu, _nolazain_, _kentät_, 
   {{0xcf2904ca,0x92ad0037,0x9e4d020f,0x00000000}},	//   _ecumenic_, _ተመራቂዎች_, _دسپينې_, --, 
   {{0x93160698,0x3ed00012,0x1afc01a4,0xe7d90109}},	//   _araza_, _एसटीएमएल_, _bolendis, _नजिकबाट_, 
   {{0x46ba029e,0xbc5c0180,0x00000000,0x00000000}},	//   _anvaduri, _partman_, --, --, 
   {{0x39e502c2,0xe26c0132,0x440901f4,0x62f102be}},	//   _gedurend, _tagok_, _قالدیقلر, _matindi_, 
   {{0xeb360171,0x437d02db,0x61760148,0xb29000da}},	//   _isključi, _dutronom, _尊重網上道德_, _aflati_, 
   {{0xd23c0052,0x0c7600d6,0x01df0080,0x6c330130}},	// [3d70] _makléře_, _carrach_, _annoraam, _cheyeneg_, 
   {{0x92d904b9,0x005a0047,0xb4990150,0x4207016b}},	//   _greets_, _passionn, _teknikel_, _ittifaki_, 
   {{0x8a630338,0xac60021a,0x4c6e0596,0x2201004d}},	//   _forçar_, _albudaa_, _eafrika_, _栽培技術文件區_, 
   {{0x08820192,0xa92b00ec,0x52900080,0x2ed403ce}},	//   _이글루스에_, _specialu, _allap_, _سۆلانا_, 
   {{0xc2d80252,0xf29000ad,0xbf4c0462,0x163d02c7}},	//   _badele_, _nolak_, _ajestyma, _pauschal_, 
   {{0x719803b2,0x49360169,0xd34300da,0xa4b80092}},	//   _probably_, _হিন্দুদে, _bugetul_, _お疲れ様でした_, 
   {{0x02910163,0x96ce00b8,0x106e009a,0xdc1301d5}},	//   _adtak_, _sarawini, _akapasan, _ہدائت_, 
   {{0x53040016,0x1a38005e,0x7f4600e4,0x0be30030}},	//   _rilatoj_, _ھۇزۇرىغا_, _szerokie_, _lasvegas, 
   {{0x9dfb00bf,0xb8b70217,0x8a9d00ec,0x62900212}},	//   _освобожд, _capturav, _aplinkos, _solam_, 
   {{0xf38702f6,0x7dc60009,0xdae50111,0x72f10007}},	//   _kwarto_, _radijske_, _assuciat, _natindi_, 
   {{0xe3160567,0xe2d00092,0xa3930224,0xe9d2019d}},	//   _uraza_, _ジャパンネット銀, _matreiðs, _amatched, 
   {{0x46060148,0x19d00244,0xf200019c,0x63eb015b}},	//   _新華網主頁_, _реших_, _dokita_, _statem_, 
   {{0x3b2e0064,0x7828019e,0xa0df0060,0x3e3c0291}},	//   _القاقتان_, _гейтса_, _ايلىعىند, _بشؤون_, 
   {{0x931601c2,0xc89e010d,0xa2480230,0x4e0b004d}},	//   _praza_, _दक्षिणेक, _lenmi_, _個月繳一次_, 
   {{0xc26c0039,0xf31605a9,0x58f8000a,0x0c1703ae}},	//   _eskola_, _nsize_, _akigamiu, _selskaps, 
   {{0x0081037c,0xeaed0047,0xc2a7020f,0x99ed0345}},	//   _globepho, _sexualit, _agube_, _sexualid, 
   {{0x06a6020f,0xc202012e,0x0a15024f,0x0aa20061}},	// [3d80] _دکوټې_, _gerinc_, _yalataka_, _십자수패키지_, 
   {{0x6224040d,0x026c02ee,0xc57e0334,0x62000007}},	//   _nyaka_, _iskola_, _amatumiz, _kokita_, 
   {{0x82a600b0,0x1224001e,0xbdb400bb,0x36930156}},	//   _dambe_, _iyaka_, _دوٹوک_, _װאָכנדיק_, 
   {{0xf2d801ed,0xcc0103ea,0x30fb0393,0x00000000}},	//   _aalele_, _laisser_, _slovački_, --, 
   {{0xf62c0022,0xf3f80165,0x7fee00f6,0xf3800155}},	//   _подробне, _mokuti_, _bayramlı, _djuret_, 
   {{0xeda70148,0xf3fa027f,0x72fd04ad,0x8290018f}},	//   _臺原出版社_, _bitugu_, _disamiti_, _jolah_, 
   {{0x522400c2,0x505902c2,0x52ad023e,0xf9fa0334}},	//   _myaka_, _verstaan, _دلفان_, _kilipula_, 
   {{0x937f0373,0xe579033e,0x7ad60165,0xa0450119}},	//   _financa_, _filologí, _ikatakat, _schroben, 
   {{0xf2a601a0,0x52730591,0x7953004d,0x1ad40067}},	//   _kambe_, _länge_, _信長之野望_, _bardhibb, 
   {{0x49c0017e,0xbc7d0497,0xb02002c7,0x399e0137}},	//   _interret, _pigskin_, _toleranz_, _мандатыг_, 
   {{0x13860266,0xac4a00e4,0x82900107,0x31860344}},	//   _fikrah_, _महानायक_, _wolak_, _allangul, 
   {{0xbd14017f,0x727e01ac,0x9224005b,0xe291029e}},	//   _ilusiler, _lionsa_, _ayaka_, _betag_, 
   {{0x126e021c,0xbeba071a,0x8a170282,0x62d802ff}},	//   _odporu_, _австри_, _pihapiha_, _palede_, 
   {{0xc14500b5,0xa85d0244,0xb1c40059,0x62d90267}},	//   _кузмин_, _приказка_, _учебници_, _podnese_, 
   {{0x6a7002c9,0xc224066e,0xcc1802a3,0x5f2000d1}},	//   _negociab, _dyaka_, _naspers_, _diktarda, 
   {{0x8e1301aa,0xd2240362,0xa9c700be,0x98fa020f}},	//   _urrentca, _eyaka_, _каталар_, _سکاټلند_, 
   {{0xc0e00044,0x62d4015e,0x217e004a,0x42590037}},	// [3d90] _מצננים_, _recorda_, _axmadull, _ይለወጣል_, 
   {{0x82d902ea,0x9f350627,0x77780219,0x5c4301db}},	//   _alberi_, _kauropda, _esikhung, _كەرۋلەن_, 
   {{0x0249018a,0x8279024f,0x4af4018c,0x0273014d}},	//   _dramor_, _bogitini_, _overhede, _gänge_, 
   {{0xff3a0138,0x18ca042b,0x1224011b,0x836c00c4}},	//   _profilin, _podržava, _ayaki_, _ڪانٽريڪٽ_, 
   {{0xe3490396,0x98060142,0x08b1024c,0x81b00061}},	//   _aspetti_, _वर्षसहस्, _kwadratu, _도박중독자가_, 
   {{0xa29001fe,0x49440153,0x3a830123,0x00000000}},	//   _kolai_, _ボトックス_, _malingen_, --, 
   {{0x7f010161,0xc27302c7,0x00000000,0x00000000}},	//   _kaivataa, _fände_, --, --, 
   {{0xf3fa026a,0xa49a00cc,0xd3790039,0x0da600a2}},	//   _lesuvi_, _israelsk, _urratsa_, _kilithua, 
   {{0xaed2004f,0x52810171,0xd45b00ff,0xe3160118}},	//   _addiisub_, _zlostavl, _מפּלה_, _asaze_, 
   {{0xe27302f3,0x180c0040,0x2c090150,0x3b8a00bf}},	//   _hände_, _הפנטזיה_, _sampela_, _подол_, 
   {{0x705401d2,0x1273045f,0xddbd0321,0x5f8d025b}},	//   _chiriqun, _kände_, _nekatere_, _landsbók, 
   {{0x04860139,0x2175017a,0x817802c6,0x66db0291}},	//   _द्वारि_, _афсуз_, _divaskel, _لااااااا, 
   {{0xe6980333,0x1da701a3,0x62000326,0x3e3b0183}},	//   _depenali, _ٿورڙن_, _chiine_, _firandra, 
   {{0xe36e0089,0xd1b3016f,0xd6720261,0xc27801d2}},	//   _belsälär_, _хороше_, _bridgesi, _ikunam_, 
   {{0x6a7d0449,0xec750158,0x5dcf015d,0xba8600fd}},	//   _oprašta_, _हैप्पी_, _आर्यशील_, _meanglan_, 
   {{0x6c610210,0x82cb00d2,0x3df1017c,0xe79802aa}},	//   _afarire_, _panonna_, _funderat_, _metalíza_, 
   {{0x90dd00c7,0x75d50238,0xcce40040,0x7c3700c5}},	// [3da0] _avtobusl, _туризму_, _מרהיבה_, _laissé_, 
   {{0xf6ea0061,0x6a6700ec,0x4673001d,0x1c9103b2}},	//   _글로벌마케팅_, _крызіс_, _quadresi, _scaffold_, 
   {{0x6f41032d,0xa2900009,0xe95e003c,0x627e0144}},	//   _dikgomon, _oddaji_, _arondise, _lionra_, 
   {{0x2e8a0187,0x00000000,0x00000000,0x00000000}},	//   _донесени_, --, --, --, 
   {{0xfa5b0208,0xa20102e1,0x1ad700c7,0x5c610048}},	//   _سیمینارێ, _chaife_, _билбау_, _batuula_, 
   {{0x62d90076,0x11160060,0xa278040f,0xe3890085}},	//   _defesa_, _بىلدىرەد, _burnos_, _sausaumi_, 
   {{0x327805f4,0xc4af00d1,0xe4b50197,0xb9cb00db}},	//   _akunam_, _শিক্ষকে_, _revandik, _अप्पना_, 
   {{0x397504ce,0x82250181,0xa9ec028e,0xc64103d4}},	//   _kwanyele, _webkit_, _volontia_, _džibonij, 
   {{0xfe9403bf,0x87d50510,0x9b580219,0x6c0d0028}},	//   _егорова_, _уведомля, _ichujtwa_, _suurtoob, 
   {{0x8c180244,0xc4bb020f,0xe2780217,0x0f18005e}},	//   _caratter, _ababhank, _furnos_, _ھارغىنلى, 
   {{0x42e90013,0x88c503c2,0x00000000,0x00000000}},	//   _boricha_, _bentynag, --, --, 
   {{0x56460192,0xc534017e,0x52fd0053,0x12d80121}},	//   _터치스크린에_, _konsilio_, _disakiti_, _padece_, 
   {{0xf20d01a7,0x0249018a,0xa3bd01cd,0xc2a706e8}},	//   _заказать_, _tramor_, _нарху_, _hrabra_, 
   {{0x2477017a,0x5a7f0132,0xf50f0390,0xc5320320}},	//   _abathenj, _felolvas, _birjası_, _minzilik, 
   {{0x034902ee,0x5a68018d,0x8aff042a,0x3a7e01c0}},	//   _esperti_, _ክስራሓሉ_, _bangajab, _attajira_, 
   {{0x92190331,0xdd380091,0xff800439,0x888400d0}},	//   _vinnumál, _tipaakuq, _cincacin, _бугуйвч_, 
   {{0xcf270315,0xb26c0107,0x4cc3009b,0xa2900008}},	// [3db0] _basembon, _budoyo_, _дутуугүй_, _allau_, 
   {{0x68150135,0xc290009b,0xdd73038e,0x647700ef}},	//   _булалар_, _holan_, _स्नेहेषु_, _ebathenj, 
   {{0x629001af,0x375b042f,0x8d09012a,0x623b029b}},	//   _bolan_, _qulialag, _formacie_, _janloog_, 
   {{0x729005f4,0x25b90290,0xe28003ab,0x00000000}},	//   _colan_, _angarsch, _pusinky_, --, 
   {{0x089002ec,0xaed603a2,0x1fb00366,0x48450092}},	//   _ژھۅٹھ_, _स्फटिक_, _убирать_, _skildpad, 
   {{0x22900314,0x4e810162,0x798e0220,0xce39044f}},	//   _molao_, _бериватқ, _магия_, _pemasara, 
   {{0x82780497,0x8e320450,0x7d2000d6,0xce5c00d9}},	//   _earner_, _singella, _bolscair, _полотенц, 
   {{0xa3eb0212,0xf02b0092,0x1378043a,0x2550005e}},	//   _statim_, _オヤジの独り言_, _lekanan_, _ﺋﺎﺩﯨﻞ_, 
   {{0xb8630420,0x925b02ef,0xc7e9001a,0x83a300be}},	//   _домати_, _anglad_, _معصومہ_, _تۅمۅنگۉ_, 
   {{0x934d012a,0x291c0161,0x2a5200d7,0x00000000}},	//   _rowerem_, _опухоли_, _ithekela_, --, 
   {{0xfa5000ea,0x49f80129,0x70a10153,0x5c480156}},	//   _tenenina_, _leghaara_, _フィギュアスケ_, _דעלפין_, 
   {{0xecc20258,0x00000000,0x00000000,0x00000000}},	//   _eachweid_, --, --, --, 
   {{0xb29001aa,0x5e1b02d3,0xb358004d,0xe865020f}},	//   _amday_, _ставаат_, _日本趣味宣導影片_, _لوژیستیک, 
   {{0xabf3008d,0x7e1902d8,0xaaa703a2,0x11f3034c}},	//   _حسناتلرا, _sederaja, _नूब्रेला_, _galiäxmä, 
   {{0xd4eb0092,0x0d49009b,0x522401a0,0x088d002b}},	//   _文部科学省_, _сандарса, _iyaku_, _অক্ষরের_, 
   {{0x9290000a,0x027d00a4,0x65440251,0xc6470162}},	//   _allat_, _макаланы_, _منزلیُک_, _تۇرايىم_, 
   {{0x82900130,0xc7e101f9,0xe4c70053,0x47cc0119}},	// [3dc0] _bodad_, _batsatfw, _rencanak, _ikasiyam_, 
   {{0x193700ad,0x233d00bb,0x4fc702ec,0x92900028}},	//   _ngumbara_, _ریڈار_, _caloosho, _codad_, 
   {{0x970000c1,0xf8eb020f,0x6a7c0343,0x00000000}},	//   _पानशेत_, _ژرترژره_, _makabasa_, --, 
   {{0x341900da,0x2c6a03c7,0xfe75031e,0x428d012d}},	//   _престижи, _कुश्ती_, _počelo_, _eleksen_, 
   {{0xdd0701f1,0xc2900102,0x426c02c4,0x9fd8011b}},	//   _bullgare_, _medani_, _pagou_, _ndongoko, 
   {{0x068a0074,0x19f802d3,0x049a0335,0x81470360}},	//   _заработо, _картичка, _avāṅmukh, _naprosto, 
   {{0x0ea701da,0x561500d0,0x9c2c007b,0x7b260444}},	//   _mysliman, _balorazi, _chairged_, _мельнице_, 
   {{0x92730138,0xf9860139,0x59ef02d4,0x9288002e}},	//   _günde_, _प्रकारेण_, _partiziu, _ovakvom_, 
   {{0x32900008,0x442b010b,0x22c8010b,0x62900078}},	//   _dinars_, _kobamelo_, _latotse_, _rolan_, 
   {{0x80460073,0x93f40011,0x902b04df,0xcb1902b1}},	//   _extremen, _atutte_, _begenjek_, _daraktan_, 
   {{0xc6d7035b,0xa70901bb,0xd089005e,0x529002c8}},	//   _sporočit, _никалашя, _хелила_, _ollar_, 
   {{0xa2a60414,0x92d8035b,0x54af0024,0x987101ee}},	//   _zamba_, _spletu_, _শিক্ষকৰ_, _встала_, 
   {{0x771503a8,0x92a60727,0xa7ad02a3,0x7c600390}},	//   _নিয়মনীতি_, _yamba_, _vertolki, _djhusen_, 
   {{0xd27e002e,0x6c89055c,0xb15701c7,0x3b350075}},	//   _jednog_, _samtidig_, _дискет_, _gerandis, 
   {{0x82900005,0xe0940047,0x2d0a0142,0x63b9009a}},	//   _allas_, _互联网上网服务营, _bharatar, _برخلیک_, 
   {{0x0c090148,0x351c03e9,0x008704cb,0xd2cf018c}},	//   _justaros, _планынын_, _producţi, _beroofd_, 
   {{0x79fa038a,0xaa7d004c,0x729003fb,0xbb8b0359}},	// [3dd0] _antikuna_, _akwasisa_, _hodam_, _nominear, 
   {{0xf20e006c,0x526c022c,0x2c050247,0x326c062b}},	//   _самад_, _ragot_, _بخشداری_, _aagos_, 
   {{0x22a6046d,0x869d01ef,0xb2ca01d1,0xeb160277}},	//   _ramba_, _труса_, _folder_, _kalanpus, 
   {{0x722b01eb,0x85c50128,0xee1602f6,0xe26200a6}},	//   _ahamive_, _октябрни, _balewala, _سابقې_, 
   {{0x02a601a4,0x0cd70013,0xbe150241,0x61cd00f0}},	//   _pamba_, _билган_, _internaa, _dostatok_, 
   {{0x729003a4,0xd2ca0487,0x63560195,0x00000000}},	//   _allar_, _holder_, _qinetiq_, --, 
   {{0x4db90227,0xad870244,0xda7c01c5,0x02920160}},	//   _keindaha, _superare_, _astaanta_, _toranj_, 
   {{0x52010176,0x72a60447,0x9eb803d8,0xf38b0037}},	//   _gibier_, _wamba_, _započinj, _የደረሱት_, 
   {{0xf3870052,0xa2d800d9,0x749e0374,0x2291012e}},	//   _metry_, _lukee_, _порносай, _adtam_, 
   {{0xb29000c7,0x93950130,0xab62005e,0xf88e0037}},	//   _ellar_, _klasel_, _مەھلىيا_, _መረጋገጡን_, 
   {{0x2e5a02ac,0x7934007e,0xf287019b,0xfb030359}},	//   _اردنية_, _apamayat, _rankose_, _deaskett, 
   {{0xe2f10093,0x89da02b3,0xe2960196,0x00000000}},	//   _айĕнчи_, _abondosa_, _itapanil, --, 
   {{0x49c301d1,0xf39400d2,0x32d80187,0x00000000}},	//   _celebrat, _loisel_, _veneza_, --, 
   {{0x4add00c8,0xb6d6005e,0x257901c2,0x337300e1}},	//   _мостафин, _راخمان_, _mitoloxí, _indaale_, 
   {{0xdfcc033e,0x93470108,0xab21027f,0x7ae300d1}},	//   _aníve_, _sejenna_, _birakemb, _উপায়েৰে_, 
   {{0x0dc00007,0x96200285,0xe39504ee,0x45e8030d}},	//   _antioche_, _ntangiri, _osuso_, _yalandır_, 
   {{0xb0b80039,0x462002c1,0xd3950129,0xe3f00265}},	// [3de0] _устай_, _itangiri, _nsuso_, _tekening_, 
   {{0x2d0901ee,0x5a2a020a,0x93a20326,0xe45c0297}},	//   _конце_, _залалсыз, _avepo_, _forumın_, 
   {{0x495c0728,0xe26d0008,0x924902f3,0xd951008b}},	//   _udelukke, _auditori_, _kramar_, _callamee, 
   {{0xb84700cb,0x7d070195,0x12900125,0x233a0162}},	//   _зарари_, _cartesac, _aldap_, _тәртипли, 
   {{0xb2a6006f,0x3e320062,0x2e3a00cd,0xc36901c4}},	//   _mambo_, _jingilla, _anzacura, _tragies_, 
   {{0x222401ec,0x4a7900a4,0x04860092,0xb62203f1}},	//   _isikli_, _долларга_, _前記超音波振動子, _tetovani, 
   {{0xa863048a,0x353f0094,0xb04c00c7,0xeee600be}},	//   _телефонд, _استارلى_, _ayrılğan_, _музыкала, 
   {{0x326c02bd,0x4db60272,0x8c010024,0x50b200bb}},	//   _ragor_, _agannama, _skisser_, _ٹورزآپری, 
   {{0x9b7e01b5,0x82ea0074,0x8db90286,0x857b0313}},	//   _angulaka_, _entinen_, _mpontuha, _kaleboel_, 
   {{0xdd090295,0x259200d1,0xf7ca0123,0x00000000}},	//   _laumalie_, _এইকাৰণেই_, _sansynli, --, 
   {{0x53780429,0x6a1b0148,0x2248018b,0x3c680050}},	//   _bekalan_, _億元人民幣_, _primar_, _sapuluh_, 
   {{0x724202bb,0xf27e03b4,0xdade0421,0xa208016f}},	//   _कोटला_, _aionga_, _innenaus, _критикую, 
   {{0xedb103dd,0x78670126,0xa25103ac,0xc3f70064}},	//   _organeve_, _михайла_, _dipersem, _баяндар_, 
   {{0xf1cf00c7,0x3d3b0037,0x6a26027b,0x220100bd}},	//   _agrofirm, _ወላይትኛ_, _यथाबलं_, _ghaist_, 
   {{0xc2900643,0x1034023c,0xf18201fc,0x02a7036d}},	//   _rolat_, _خنډونو_, _yamaatuh_, _meaban_, 
   {{0xd2900115,0xda1602cb,0x99c101d9,0x99cd01f0}},	//   _solat_, _zadataka_, _jidderee, _borongwa_, 
   {{0xc58f0251,0xf31a00b9,0x6300016b,0x22d40122}},	// [3df0] _beledwey, _kepiting_, _alkalai_, _ausdag_, 
   {{0x030102e4,0xea9a00ff,0x1efe00be,0x949f002b}},	//   _strambi_, _teknikis, _таластын_, _মিম্বার_, 
   {{0xb94503d5,0x02a6019d,0x0b6b036c,0x08450212}},	//   _philippe, _bambo_, _masoandr, _philippu, 
   {{0x17c4049c,0x3c5e0164,0xd29004a7,0x3c620109}},	//   _bingzonj_, _зийарити_, _tolas_, _र्सीइओको_, 
   {{0x13160189,0xd3440138,0xd2d501da,0x7e7d0255}},	//   _arazi_, _randevu_, _rajonin_, _नान्ह_, 
   {{0x92a705d7,0x1c730421,0x40450352,0xf2e9023e}},	//   _ngube_, _würden_, _তথ্যসংগ্, _جوابگوی_, 
   {{0xc290015d,0x25c803a6,0xa7a3001d,0x331e0059}},	//   _podaj_, _bakamush, _greenwav, _braccio_, 
   {{0x6d200096,0x22d9022d,0x784a03c1,0xc4320153}},	//   _ishinzwe_, _offesa_, _фотка_, _お問い合わせはこ, 
   {{0xea16028a,0xa2ee0092,0x203900e6,0x00000000}},	//   _madaraka_, _スタッフ募集_, _准确率保证_, --, 
   {{0xf290017e,0xd6ba038f,0xde690291,0x57c80144}},	//   _volas_, _livaduri, _ريحته_, _inasbhai, 
   {{0x326c00bd,0xf68001b5,0xb2cb0205,0x67db0344}},	//   _scool_, _etlerisi, _birligi_, _allassav, 
   {{0xdae501ff,0x75a50516,0xfb160277,0xef110377}},	//   _primárne_, _kenspeck, _malampus, _randamen, 
   {{0x62fd0338,0xedb503de,0xf0ce0320,0xb2fa0049}},	//   _paginas_, _ezingama, _abalekil, _asahola_, 
   {{0x07360081,0x7c5f018d,0x64300220,0x217b0466}},	//   _snilling, _ሕውነታውን_, _ricambio_, _misleći_, 
   {{0xa2900262,0x32d8029b,0x7ecd019d,0x461300dd}},	//   _bolar_, _benena_, _chanthun, _critigol_, 
   {{0x929001c2,0x83160279,0x94d7000c,0x22d80251}},	//   _polas_, _quizz_, _маҳадыр_, _dameer_, 
   {{0x03160302,0x13f804bb,0xb5c50347,0xb38f00e1}},	// [3e00] _usizo_, _lulug_, _gesprekk, _loppanti_, 
   {{0x5c490163,0x79c1060c,0x2c670133,0xd2ef0102}},	//   _interjú_, _diskoték, _bukuraa_, _kukicha_, 
   {{0x46d70465,0x12fe04ca,0xc3450044,0x1b7e02fd}},	//   _sporočil, _aisinas_, _expense_, _choltaic, 
   {{0xc0c6032b,0x7a5f0210,0x68c50073,0x1b2d00d0}},	//   _يىلقى_, _akameres, _resultav, _галиндэв_, 
   {{0x85e90309,0x22c203f0,0x4ecb04a2,0xd1510105}},	//   _yanaşı_, _myndinni_, _mínimas_, _eholiday_, 
   {{0xa31c01e0,0x84340162,0xe2d90260,0x9290004a}},	//   _قیامه_, _учрашқан_, _devesa_, _bolaq_, 
   {{0x00000000,0x00000000,0x00000000,0x00000000}},	//   --, --, --, --, 
   {{0x33990109,0x7fcc0202,0x32d8023e,0x8c62040f}},	//   _inspekci_, _oníre_, _daleme_, _antrame_, 
   {{0x031203cf,0xf00100e6,0x02fe0197,0xdda403b7}},	//   _serbest_, _卡通花卉矢量图_, _altidor_, _ageingwa, 
   {{0x0c6a02bb,0x8b1801f0,0x531604bf,0x527802f3}},	//   _कुत्ती_, _bakgeris, _trazi_, _varnar_, 
   {{0xfae1023d,0xdd750205,0x5c1202a5,0x2b6a03fd}},	//   _contratt, _قویشه_, _patrně_, _initeria_, 
   {{0x230501bb,0x22b501ca,0x65c50359,0xed1102d3}},	//   _bolanok_, _chuch_, _besprekk, _исламот_, 
   {{0x170c0092,0x72da0197,0xe402021a,0x04020347}},	//   _はてなハイカ_, _edreyi_, _faarseen_, _waarteen_, 
   {{0xfdb302f6,0xb2a60244,0xa2d80418,0x64dd02d6}},	//   _maunawaa, _gambe_, _kaleme_, _дамашқда_, 
   {{0x826d0147,0x2d2002c1,0xcf420416,0x41fa0375}},	//   _escola_, _ushinzwe_, _reprocha, _asanalim, 
   {{0x1cab017a,0x12f8003e,0xd55200e4,0x31440195}},	//   _abanengq, _патронда, _अव्यावसा, _dhalladh_, 
   {{0x8fd101f6,0xf386045a,0xf3cf05ca,0x62a60170}},	// [3e10] _অভিজ্ঞতা, _smerte_, _sirva_, _bambe_, 
   {{0x1ee90037,0x8ed9000a,0x6356028a,0xac9000d3}},	//   _ተቆርቋሪ_, _nalilern, _مرحلن_, _zeleninu_, 
   {{0x8db400a6,0x50a605fc,0xb07300d0,0x9c6602ef}},	//   _ubuncina, _आधुनिकता_, _ariketak_, _alatčt_, 
   {{0xee7a0397,0x9f2c025e,0x30370195,0x6278013d}},	//   _октябри_, _sameinin, _coithion, _turnis_, 
   {{0x98260046,0x81c500bb,0xe26d0342,0xd2900092}},	//   _بالاڭار_, _سانپوں_, _bawou_, _modan_, 
   {{0xc5950485,0x9a9700da,0x83a200dd,0xdbec022b}},	//   _flyselsk, _респекте_, _chipio_, _bileftir, 
   {{0xbc6b04a0,0xd2d50102,0xd5860569,0x3037004c}},	//   _estudou_, _kusonga_, _podravsk, _alituwon, 
   {{0x22da024f,0xfc0a0334,0x69690325,0xcef0006d}},	//   _cerevi_, _chapata_, _afanasye, _атруціць_, 
   {{0x5c5304e7,0x42730023,0x7b5f01d9,0x5933014f}},	//   _zistila_, _tänne_, _airtramp_, _секуларн, 
   {{0xcbe501d8,0x247f00c5,0x0109006c,0xb3560250}},	//   _selector, _réunion_, _abahudul, _gazetar_, 
   {{0x1a8c02f3,0xc96e0176,0xca5c01eb,0x43f80229}},	//   _antingen_, _kvindebe, _kaserola_, _bulud_, 
   {{0x129000bc,0xf2c602ff,0x4234011d,0xdb930011}},	//   _solah_, _bòdro_, _fondului_, _baligwir, 
   {{0x427e021d,0xe29000ad,0xef7a032b,0x708a0187}},	//   _odense_, _polah_, _سانتىمېت, _канибали, 
   {{0xc8260147,0x6e1803d5,0xe9270122,0x2a5400e6}},	//   _بالاپان_, _afterpla, _casciscu, _毛泽东选集_, 
   {{0x489f041a,0xd63f0060,0x43a40031,0x3f5d00b2}},	//   _компанії_, _нәрсе_, _क्रियेटी, _dabalann, 
   {{0x3290036a,0x88b302d3,0xe8f7003b,0xc308012c}},	//   _dolai_, _protetor_, _bangachu, _دارالحڪو, 
   {{0x2bf80102,0x1c34025c,0xf0e30040,0xb2d902a4}},	// [3e20] _سواليه_, _monatlic, _צריבה_, _revera_, 
   {{0x829000b0,0x3b8f06e3,0xe3860010,0x03a3005b}},	//   _hodan_, _detikfor, _edizili_, _ayapon_, 
   {{0xe7b10262,0xfea10312,0x07b302fc,0x52c701be}},	//   _saklamak_, _bedrohte_, _akarangi, _tendenci_, 
   {{0x8b8600e6,0x4c7300b4,0xf20200a8,0x00000000}},	//   _情节特别严重_, _cristea_, _curius_, --, 
   {{0x927800eb,0x89cb01f4,0xa9d9048f,0xd3f80085}},	//   _nkunim_, _dollarga_, _bateleme, _lokuci_, 
   {{0x20ce0159,0xad1900c8,0xebfd01e9,0x00000000}},	//   _айтматаў_, _habobebe_, _kwalollo_, --, 
   {{0xfed400c7,0xccb80056,0x560604df,0xf34901c6}},	//   _meditsin, _беляева_, _пархсыз_, _bradery_, 
   {{0x4c610191,0x228001c6,0x5a230079,0xcddb01f4}},	//   _snarare_, _technyk_, _francijā_, _mahkumla, 
   {{0x728f0016,0x4c06025a,0x0859034e,0xaf4b02aa}},	//   _edukado_, _bigushob, _bryopsid, _biopotra, 
   {{0x32f50075,0x786703b4,0xb2da0079,0xc6f50185}},	//   _netinum_, _achikued, _nereti_, _birsäñ_, 
   {{0x72bb022e,0xffd60297,0x3dfc0142,0xd02f031e}},	//   _difende_, _generalş, _काव्यव्य, _učenjaka_, 
   {{0x3c0203e6,0x83070189,0xa16a0513,0xa2c001f4}},	//   _waasser_, _tutarak_, _hungukul, _ундаш_, 
   {{0xf23603b9,0xf2020097,0x22010222,0x95ce0045}},	//   _chiji_, _eesita_, _chaine_, _сајму_, 
   {{0xf08a022f,0xd51f009c,0xb8130040,0x22da024f}},	//   _psicholo, _atinkich, _כריתת_, _serevi_, 
   {{0x7357026b,0x67590052,0x584b0095,0x83ea017e}},	//   _agregar_, _बिस्वास_, _kartunis_, _rekta_, 
   {{0x52900240,0x51f4018d,0x37bf003b,0xc546003c}},	//   _volai_, _ንምሕጻር_, _bebunguw, _واقعیات_, 
   {{0x32da00dc,0x3d8302a6,0x0d2f03b0,0x22020416}},	// [3e30] _fereti_, _rallegra, _অফলাইনত_, _hesita_, 
   {{0x32b50163,0x7c730191,0xf582006c,0xd2d800a4}},	//   _piacon_, _färgen_, _abatelek, _torneig_, 
   {{0x6edf0264,0xc3ea00c6,0x5a9b02a8,0x46e30161}},	//   _hinitaas_, _vekta_, _gurnalis, _металлои, 
   {{0x66830012,0xf2d8019d,0x9a760109,0xbc7201ab}},	//   _उतसाह_, _baleke_, _जमीनको_, _ohtralt_, 
   {{0x12ef0203,0x2adf025c,0x816c00d3,0x82da04bd}},	//   _chefes_, _eintrage, _pacienty_, _kereti_, 
   {{0xdd7d00d1,0x72da0165,0xe2bb0421,0xeb7f02af}},	//   _জাতিভেদ_, _jereti_, _gelenke_, _ruturika_, 
   {{0x30350181,0x22d803e0,0x33220008,0x12fd037f}},	//   _montblan, _kuken_, _marcats_, _tikilir_, 
   {{0x1047033e,0x0264012c,0xa51c03db,0xc6af014b}},	//   _amogotyo, _mikononi_, _ikhomish, _tattakiy, 
   {{0x822400ee,0x39d9010e,0x00000000,0x00000000}},	//   _txiki_, _atenista_, --, --, 
   {{0xc241008b,0xbd4e01f4,0xfdaa006c,0x2fec01c7}},	//   _alamaani_, _саналади_, _ғанисози, _физиклер_, 
   {{0x22900465,0x11780238,0x22d50195,0xb7870094}},	//   _dodal_, _британсь, _cartaidh_, _تاياعىڭ_, 
   {{0x72e800ad,0x33720130,0x030d03b5,0xc2e20135}},	//   _halimun_, _aryaneg_, _gembala_, _gazzädä_, 
   {{0xf29001d9,0x453400c3,0xb2900185,0xb2fe00ca}},	//   _vakanz_, _consilio_, _ildar_, _fisicas_, 
   {{0xebfd0275,0x62a7017d,0xf2e90185,0x248d03ad}},	//   _lagolago_, _brabra_, _fatirda_, _iltaqgħe, 
   {{0xb40203b8,0xfaa10211,0x7ea802e7,0x00000000}},	//   _атомы_, _selityks, _maglabon, --, 
   {{0x259601f1,0x48d801cd,0x9c71012c,0x24f001db}},	//   _individë, _алхамдул, _kiarabu_, _ананы_, 
   {{0x93e40125,0x32c30257,0xf23b014c,0x00000000}},	// [3e40] _культы_, _varlega_, _nokwabel, --, 
   {{0xa26d034b,0x04080092,0x816302ba,0x9c1800b2}},	//   _hawok_, _フランス料理_, _бурут_, _barameer, 
   {{0x8a780300,0x3bb00226,0x9f0e00d0,0x4d550100}},	//   _značek_, _amakanir, _налайхын_, _sanaciju_, 
   {{0x53790210,0x9a14006a,0x927e0129,0x527804b3}},	//   _kuramba_, _tapakila_, _ndenye_, _barner_, 
   {{0x435603f5,0x427e0200,0xd93402fd,0xc3170040}},	//   _desejos_, _idenye_, _chumanta_, _vacancy_, 
   {{0xa2a603d9,0xe8c601bd,0x98ec0092,0x030e0256}},	//   _jamba_, _бакуге_, _すべてのカテゴリ_, _istabas_, 
   {{0x80f60229,0xa42a017e,0x54070276,0xc5840274}},	//   _canların, _aviadilo_, _унчивала_, _fallegum_, 
   {{0xb33d04dc,0xc0610211,0x1c280450,0xa0700040}},	//   _حیجاب_, _torstain, _prestaas, _המרצים_, 
   {{0x5997034c,0x5e18039f,0xae190031,0xbc5b0119}},	//   _аңлатала, _upregula, _peletaka, _masunod_, 
   {{0xf1cb03b5,0x1290036d,0xab060348,0x82940205}},	//   _disentuh_, _codal_, _amusembe, _falsafiy_, 
   {{0x2c7900b8,0x129000e9,0x426d0107,0x2b4e0350}},	//   _jesusax_, _lodas_, _bawok_, _አማርረዋል_, 
   {{0xa3160056,0x1d8b0148,0x737c0119,0xa19201aa}},	//   _isazi_, _conferre_, _makakab_, _aunchedl, 
   {{0x675800be,0xc3f40003,0xa3160438,0x72ea01a2}},	//   _пайдалар, _nuttig_, _akhza_, _paziņo_, 
   {{0x23860591,0x8ff30300,0xca8f00c1,0x1e1e00e6}},	//   _aldrig_, _netradič, _kuliahan_, _产品质量法_, 
   {{0x2290018a,0x9c5b02f6,0x7c06006e,0x929000e4}},	//   _golau_, _kasunod_, _guestou_, _atlasy_, 
   {{0x338601c2,0xaba400a7,0xf051057c,0x9ef40311}},	//   _cadra_, _سىزمالار, _ølsmagni, _ንምስጋር_, 
   {{0x2c08041a,0x637f02e2,0x02fb004b,0x54370178}},	// [3e50] _законопр, _astatic_, _kahobotj, _devaloko_, 
   {{0x027e0387,0x83f40061,0x326d023e,0x890902cf}},	//   _edenye_, _최근북마크_, _dawoh_, _немала_, 
   {{0x1201028e,0xb2d80190,0x8b9d02ac,0x82cd032d}},	//   _alcina_, _tuken_, _aeriompr, _fanoeng_, 
   {{0xe2fd00aa,0x8f5d034c,0x12900165,0x53f00035}},	//   _eksibit_, _babacann, _volau_, _берзаман_, 
   {{0x12d90531,0xa4d80078,0x02c80222,0xfa7d00a6}},	//   _ntseg_, _планирам, _absolue_, _okwazisa_, 
   {{0x1f3b0552,0xd3c301a3,0xa236050e,0x27a900d6}},	//   _bangcoen, _دُڪان_, _menjao_, _صورتين_, 
   {{0xc0dc0092,0x032502ea,0x5afd004d,0xd69f01e7}},	//   _ただいまアクセス, _mercati_, _要林宥嘉嗆_, _gemengef, 
   {{0x02900729,0x22900128,0xdd2c03ee,0xcc4f01a6}},	//   _kodas_, _holat_, _dobijete_, _rītaha_, 
   {{0x1da8005c,0x2b030033,0x412702d6,0x59240299}},	//   _itangaza, _perscrut, _макроиқт, _ئېلپە_, 
   {{0xd966026c,0x92900256,0xcb4f0206,0xf19b001d}},	//   _寵物使壞也可以拿, _dodas_, _pozvania_, _fidelitá_, 
   {{0x2ec401c8,0xa3860479,0xac0304ec,0x38dd0084}},	//   _rezervač, _falra_, _hahungab, _bangbaru, 
   {{0xb7b704cc,0x68470013,0xa5c10081,0xb22501d5}},	//   _ngaudali, _назарий_, _fiskveið, _ezeken_, 
   {{0x33cf0269,0x4e4c0243,0x1eca00c5,0x32640109}},	//   _sirve_, _dabaanaa, _blanches_, _kotlem_, 
   {{0xcf1203ec,0x53970291,0xc29002cd,0x00000000}},	//   _themelor_, _مدربين_, _hodar_, --, 
   {{0xb37301a7,0x9a7d01e9,0xe06e021f,0x32da029b}},	//   _tilalle_, _ikgabisa_, _eedalloo, _jotees_, 
   {{0x72900108,0x998e010f,0x71f40040,0x12f30040}},	//   _bodas_, _латиф_, _לאוהבי_, _ארסנל_, 
   {{0xbe2d02a9,0xe4ef012c,0x0da50050,0x629001e6}},	// [3e60] _японец_, _محمدن_, _dipikawa, _podat_, 
   {{0x21fd0510,0x63860130,0xc2f70678,0xe383009a}},	//   _картинок_, _andrev_, _daniach_, _aziyele_, 
   {{0xb2c100be,0x83660136,0xf2cd04dd,0xa0b30176}},	//   _millora_, _skretanj, _poslato_, _aromatal, 
   {{0x92900076,0x568d02d5,0xc37f0240,0x61b302b6}},	//   _todas_, _बिनास_, _ninaica_, _повесі_, 
   {{0xdc5d0065,0x4a3901c7,0x63ea028d,0xa6c500bb}},	//   _schließl, _дердине_, _rekto_, _کویسٹ_, 
   {{0x2d7200e9,0x46940222,0x7c7303e6,0x92c20113}},	//   _dyametra, _adversai, _büroen_, _dealbha_, 
   {{0x292f01bc,0x42ad01ac,0x9c5b0119,0x7a390019}},	//   _eleminte, _خلفان_, _masulod_, _десениз_, 
   {{0x414200c8,0x92d801ef,0xdf5e034c,0x00000000}},	//   _яттан_, _rengiasi_, _karagann, --, 
   {{0x62d9012b,0x1c6900ee,0x3af9019a,0xb2d8017e}},	//   _analizy_, _buruari_, _chinamen_, _ignoras_, 
   {{0x72ef00d4,0x3cff004c,0x101801db,0x5a740133}},	//   _ensfh_, _amutumir, _دوستاۋ_, _daggafaa_, 
   {{0xeda401aa,0x7c6e01bd,0xcfb9036a,0xc938002b}},	//   _officewa, _үштен_, _vagonego, _পদক্ষেপে, 
   {{0x8eb601a7,0xb934041e,0x5f0a0229,0x475e05bd}},	//   _профиль_, _scambiat, _ustaları, _siviling, 
   {{0x93860138,0x9cbd023a,0x327e000e,0x63e10109}},	//   _kadro_, _strednýc, _leente_, _odstavci_, 
   {{0x838602c3,0x79e6023a,0xef110224,0x92000342}},	//   _jadro_, _štruktur, _bandamen, _ilkija_, 
   {{0x82900145,0x23f801fe,0x196101b3,0x0d2f0296}},	//   _sodas_, _sulua_, _нелегалі, _ökningen_, 
   {{0xa27800d6,0xad850222,0xf22901a3,0x092802c0}},	//   _karnar_, _remettre_, _ريڊئي_, _ментор_, 
   {{0x1ba1019b,0x48900299,0xdeb80020,0x1aa50320}},	// [3e70] _variklio_, _ئىزنالار_, _momoliin, _matishis, 
   {{0x12910172,0x1602005b,0x2682020f,0x74a60121}},	//   _botae_, _daydream_, _abavelay, _esencial_, 
   {{0x59680121,0xfb0203ad,0xa3570288,0x6158031a}},	//   _reciente, _konsekut, _warewar_, _connaidh_, 
   {{0x817e0410,0x6da7036a,0x62cb012c,0xc2f00488}},	//   _tlhaboll, _draivata, _kikorea_, _dabiski_, 
   {{0xc2a600bc,0x2abd015e,0xac690137,0x1ae50212}},	//   _milboy_, _تامتىراپ_, _lapurdi_, _vetustat, 
   {{0x138601c2,0x3d27023a,0x338606a8,0x6f110338}},	//   _cadro_, _prepravc, _izdrzi_, _bandimen, 
   {{0xc87c0499,0x03800553,0x0224023b,0xabe400a4}},	//   _talitonu, _metrov_, _akikī_, _اپەكەم_, 
   {{0x84600052,0x53aa047d,0x98600092,0x92ca0303}},	//   _धर्मग्रन, _rivanerj, _デスクトップパソ, _dikeledi_, 
   {{0x4c60010d,0xf9f70137,0x460a020e,0x817f032c}},	//   _anjuran_, _арматур_, _оберхауз, _angalall, 
   {{0x148704ac,0x84fe00f2,0xc2d8064d,0x4ba20299}},	//   _видела_, _reibumā_, _peneia_, _بەلباغ_, 
   {{0x4290023e,0xc3ea0261,0xa2d9031e,0x030603bf}},	//   _milad_, _rekte_, _abdest_, _disokang_, 
   {{0xf2000141,0xc290005b,0x22870092,0x92ff010d}},	//   _birinchi_, _bilag_, _言及リンクのない, _disadari_, 
   {{0x73860141,0xe3f80341,0x126c00d3,0x93d100e4}},	//   _yadro_, _bulun_, _kohout_, _sylwetki_, 
   {{0x029003a4,0x82e80418,0xf31b01b7,0xf3f8010d}},	//   _einans_, _mobilya_, _antarā_, _culun_, 
   {{0x81fe00bf,0xaed70065,0x72c3017c,0xda0601fb}},	//   _обладает_, _mobilfun, _farliga_, _reassecu, 
   {{0xf723004a,0xd29e008d,0xd2d80198,0xc33a010d}},	//   _домены_, _рифат_, _obleke_, _रामपुरी_, 
   {{0x986c0478,0x22d90267,0xc63701f4,0x00000000}},	// [3e80] _pulsions_, _odvela_, _харидни_, --, 
   {{0x28820144,0x63f80278,0xb3890289,0x02fb0639}},	//   _محدودة_, _hudud_, _akapulum, _derhaka_, 
   {{0xf54700c1,0xce010060,0xb290003f,0x9c8a034a}},	//   _जेवढे_, _исраил_, _dilad_, _produciu_, 
   {{0x196c0073,0xf4330169,0x8196039e,0xe9d10417}},	//   _anxietat, _মৌখিক_, _বিনামূলী, _appellee, 
   {{0x22a700bc,0x8200006e,0xe5a203f8,0xa3d10281}},	//   _keybin_, _dokima_, _mangotlh, _frimærki, 
   {{0xa2900138,0xda860172,0x5928018b,0x83920148}},	//   _kolay_, _amanaman_, _вестире_, _累計總人數_, 
   {{0x6736054e,0x80630022,0x725b0037,0x00000000}},	//   _kiilling, _тоҡомо_, _seelok_, --, 
   {{0x22000201,0xe6770178,0xc290004f,0x00000000}},	//   _nokima_, _bilvākhy, _molay_, --, 
   {{0xcbfa003b,0x98b70059,0x83e20145,0xca0d0219}},	//   _abetsemb, _признак_, _pratimai_, _emasheju, 
   {{0x0c0802e2,0xac8c0205,0x6378010d,0xbc2d0310}},	//   _sprouted_, _сатторов_, _rekaman_, _moraltac, 
   {{0x8aa101f2,0x03ac00c9,0x43f800d7,0xc2300082}},	//   _абдигүл_, _itspam_, _bokudi_, _adamawa_, 
   {{0x73860222,0x27370124,0xee46007a,0x2394000e}},	//   _cadre_, _ngellang, _mujahada, _mensus_, 
   {{0x0f360173,0x991b0207,0xec55023d,0x22910119}},	//   _এগিয়ে_, _پرستيءَ_, _evitare_, _altai_, 
   {{0x129000c7,0x92ca00b3,0x727802bd,0x4d330279}},	//   _bolay_, _sejde_, _barnwr_, _habitude_, 
   {{0x9290036c,0xfdbc0312,0x468f0264,0x03be00e1}},	//   _jolay_, _isrannet_, _arleshei, _jimblang_, 
   {{0x829002bc,0x484a00a4,0xf70401a3,0x53f20193}},	//   _ailad_, _criteris_, _اندوهه_, _sesering_, 
   {{0x5ac60137,0x14280207,0xaffa017a,0x00000000}},	// [3e90] _сансрын_, _jumatano_, _давомнок, --, 
   {{0xbfd90191,0x529102d8,0x0c5c0342,0x628d04ec}},	//   _grundsko, _ultah_, _bastyon_, _intangam, 
   {{0x9a7e01fe,0x620001f0,0x3bb3018d,0x125b014b}},	//   _gasagasa_, _bokima_, _ስልጣናትን_, _geelek_, 
   {{0x467300c7,0x42f202d4,0xa43903b9,0x00000000}},	//   _traditsi, _decisiv_, _yatkarak, --, 
   {{0x3dad00fd,0x32800176,0x7ff10017,0xd41c002b}},	//   _daingnea, _looklab_, _vypuštěn, _asesinan_, 
   {{0xb9c103e0,0xa9c50073,0x0e5100a6,0xe7ad026f}},	//   _diskutéi, _desertat, _akwafuma, _بۇلجىماس_, 
   {{0xe7790148,0x6d170075,0xa10b0358,0x00000000}},	//   _船及電單車_, _rakstrar, _palmantè_, --, 
   {{0x290a018d,0xea15023b,0x5ee301bb,0xae16048c}},	//   _ተጋዳሊት_, _hapalima_, _торбалы_, _balesala, 
   {{0x93250037,0x904705f8,0x926c0516,0x8cbd00bf}},	//   _bercuti_, _районов_, _scoor_, _каменные_, 
   {{0x00000000,0x00000000,0x00000000,0x00000000}},	//   --, --, --, --, 
   {{0x3dac00b7,0x53f801c5,0xd2e80133,0x418300c8}},	//   _minnetda, _kulul_, _argitaa_, _сабыйҙар_, 
   {{0xbfd900f3,0x7c7300f4,0xf39a02c4,0x417d0011}},	//   _asentsho, _stirner_, _mêses_, _basamaal, 
   {{0xa2d9014f,0x254e0220,0xebf80366,0xfdbb01d5}},	//   _pobedi_, _пиано_, _распалас, _bababolt_, 
   {{0xd26c0265,0xc9aa0074,0x2863019b,0xe2d80145}},	//   _icoop_, _носит_, _meistras_, _kojomis_, 
   {{0x44000286,0xe6410162,0x73080229,0x50c6020f}},	//   _ankorank, _атура_, _artaraq_, _بهسودو_, 
   {{0x47170692,0xf17f0120,0x73950092,0xca5f03d9}},	//   _анасының_, _angacall, _詳しい記事は_, _niresaka_, 
   {{0xde5202df,0x19450400,0x73ea023e,0x6c0702cf}},	// [3ea0] _menafika, _expulser_, _bekta_, _multipos, 
   {{0x0a0e03d1,0x7dde0072,0xbaf10462,0xacff003d}},	//   _krustoju, _pankaaka, _achelorb, _distrair, 
   {{0xc29005fd,0xbd630276,0x22000049,0xe10503d5}},	//   _lelaki_, _كىنولىرى, _hikiva_, _antinomy_, 
   {{0x910f017d,0xe200046d,0xc2f503e6,0x226e0102}},	//   _個人情報保護方針_, _sikiwa_, _awunner_, _popote_, 
   {{0xba5f036c,0xc9c3004d,0x1c8e00d1,0x67a602e2}},	//   _miresaka_, _主權獨立國家_, _ভিত্তিতহ, _britaani, 
   {{0xd2910172,0xb56f0128,0x0a7d01b5,0x5b6f0308}},	//   _botaa_, _осойишта_, _makamara_, _fokusnya_, 
   {{0x5a700462,0x321d0145,0x29150046,0x4a5f0408}},	//   _alklands, _нашую_, _atractiu, _firesaka_, 
   {{0x1b29072a,0x1c610033,0x675d018d,0xbbbd0153}},	//   _آزادی_, _actuala_, _ኣይመጽእን_, _その他の作家_, 
   {{0x12fe040a,0x03ea01ec,0xa86901d1,0xfdb40162}},	//   _seriös_, _bekti_, _designed, _بولوش_, 
   {{0x860d0086,0x6a5f0403,0x9500004d,0xb26e01f0}},	//   _وزارتِ_, _hiresaka_, _長庚醫院基隆分院_, _kopore_, 
   {{0xa378012f,0x05f00019,0xe2d80018,0x00000000}},	//   _dedaroa_, _توپچۇباي_, _nenema_, --, 
   {{0x03e401a4,0x7f1b0353,0x9ebe003c,0x531a020e}},	//   _alamukak, _podvečer_, _غیراصولی_, _larileng_, 
   {{0xc30400bc,0xd9d600a6,0x14080569,0x63f80130}},	//   _tegesé_, _banetale, _jelovnik, _fulub_, 
   {{0x73f800b6,0x61300040,0x7cd902ea,0x82d8005b}},	//   _gulub_, _הממצאים_, _послания_, _fukei_, 
   {{0xcf2c02a6,0x72d80373,0xf0c001d5,0xf7b80013}},	//   _agnellin, _arkeo_, _trafikok_, _мунажжим, 
   {{0x00000000,0x00000000,0x00000000,0x00000000}},	//   --, --, --, --, 
   {{0x585e000a,0xb3f801b8,0xb6b302d5,0xdade00e7}},	// [3eb0] _sinniisu, _kulub_, _डकैतन_, _angerous, 
   {{0x5c5803d3,0x2d95041c,0x1518004b,0x52f2005b}},	//   _britisk_, _balluwaa, _трассала, _himitsu_, 
   {{0xaae80026,0xc29001d9,0x43f8029b,0xbb67022b}},	//   _gewonnen_, _gelaaf_, _dulub_, _amputera_, 
   {{0x726403b3,0x923602ff,0xbd1b009f,0xd8c80311}},	//   _amulek_, _bhaji_, _lepotice_, _ተመርዕዩ_, 
   {{0x4200011b,0x8a3c0235,0xa2d8019f,0x62d8014e}},	//   _likita_, _aharniśa, _meneja_, _pojeli_, 
   {{0x9f3501e7,0xc29000dd,0x00000000,0x00000000}},	//   _riesenra, _endaf_, --, --, 
   {{0x54770025,0xb6640037,0xf2010055,0x03ea01b9}},	//   _अग्ने_, _ፍላጎታቸውን_, _incisa_, _rekti_, 
   {{0x4d850013,0x62d801c6,0xe200024f,0xa27601b5}},	//   _шуларни_, _venema_, _tikiva_, _kwinyeni_, 
   {{0xbe640137,0xfb6000d8,0xb26e0156,0x00000000}},	//   _дугтуй_, _argerian_, _autoro_, --, 
   {{0x280c0040,0x11530475,0x420003db,0xa0520160}},	//   _ופנטזיה_, _дочерью_, _ithini_, _tvorevin, 
   {{0xb22601f6,0xb30d0434,0x7fa4013a,0x326d02bb}},	//   _verket_, _creador_, _doremmer_, _jawor_, 
   {{0x3b2601e5,0x068002e0,0x519700bb,0x451c002b}},	//   _agabageb, _atlegisi, _رہیئے_, _কাজকর্ম_, 
   {{0xceb40119,0xdea40176,0x23ea019b,0xff5300bf}},	//   _biyernes_, _forummet_, _tekti_, _боламна_, 
   {{0xfc5c00db,0xe0360222,0x417d01b8,0x1d88012a}},	//   _बेमेल_, _mentionn, _tasakaal, _dokonywa, 
   {{0xfa07015a,0xb379038b,0x2a3c016f,0xef730116}},	//   _azharitt, _pecahan_, _думок_, _brichten, 
   {{0xe0b10200,0xe26c0087,0xf57e0387,0x68d8018d}},	//   _amerịka_, _buloho_, _ikwesigh, _ደገፍቱን_, 
   {{0xd38600d6,0xc38e02ea,0x4a5c0396,0xda720244}},	// [3ec0] _madra_, _compresi_, _demenzja_, _свидетел_, 
   {{0x3c580465,0xb26d023e,0x026e00ab,0x85e0020f}},	//   _pritisk_, _bawor_, _popore_, _وپلټل_, 
   {{0x94ab01fe,0x22da00a9,0xb27f0064,0x00000000}},	//   _dinautak, _bateze_, _artifici_, --, 
   {{0x99f3032a,0xe4a100e3,0x738600ea,0x00000000}},	//   _nørresun, _astrazzj, _gadra_, --, 
   {{0xb9d204c7,0x40f600c7,0x0c0b01b9,0x63ea0148}},	//   _neregist, _safların, _korpora_, _tecta_, 
   {{0xe9fb01d9,0xc2c5017d,0x2c910040,0x9aed0288}},	//   _allerdén, _hellere_, _reducing_, _lmetsche, 
   {{0xf39d0209,0xef2e019b,0x14a80039,0x85a60064}},	//   _aapakaaj, _ventilia, _тормозны_, _купуялыг, 
   {{0x51f10085,0x42ca00c5,0x24a103ad,0x4c4000dd}},	//   _bainimam, _hebdo_, _estrazzj, _forwrol_, 
   {{0x97ea0074,0x522601da,0xf2b502ac,0x869a0315}},	//   _магазино, _perket_, _chucu_, _baneleki, 
   {{0xb2a706a2,0xbfa500be,0x96a20093,0xb6390187}},	//   _asabwa_, _تووعا_, _венедикт, _радулови, 
   {{0xaf5b054e,0x29d20187,0x02de041e,0xb26100d1}},	//   _nalauman, _eeregist, _parechji_, _কেদাৰেশ্, 
   {{0x32d9013e,0xc2a7013b,0xb3080229,0x79c500b4}},	//   _nevena_, _arabya_, _tutaraq_, _apreciat, 
   {{0x49d20265,0xcae7026f,0xbddd0162,0x32d9034c}},	//   _geregist, _ءابزال_, _бастуруп_, _itsen_, 
   {{0x8c0b00c3,0x764e014f,0x22d8019d,0x731e0372}},	//   _corpora_, _покатоли, _deneka_, _flinedig_, 
   {{0xca710381,0x87b3027f,0x12900120,0x773a0013}},	//   _analyses, _akirungi, _culaah_, _бойга_, 
   {{0x83f9024f,0xd36c0009,0x53f90040,0x4c6b04b3}},	//   _reguca_, _temeljij, _הקעור_, _dihunet_, 
   {{0x220e020a,0x73aa00bb,0xef690188,0x397600c5}},	// [3ed0] _қарай_, _بتاےا_, _бебарки_, _avanceme, 
   {{0xe302072b,0x3b1302f9,0xca9202d4,0xc709015e}},	//   _ruganzu_, _arjanten_, _religiun_, _сезилип_, 
   {{0xbff00262,0xc1550041,0x129000ea,0x0260025f}},	//   _белки_, _аусутә_, _andao_, _bososoli_, 
   {{0x2c01005b,0x4dbd0274,0xf1d50354,0xc2b304c2}},	//   _whisker_, _appelsín, _қутрават, _prodato_, 
   {{0x0213003f,0x91940397,0x95a201a3,0xd52f06bf}},	//   _lucher_, _anibalul, _ڪمانڊنٽ_, _कलात्मकत, 
   {{0x0efa0125,0x92000017,0xd2da0487,0x00000000}},	//   _гардашың, _dokina_, _roanoke_, --, 
   {{0xe2ca0242,0x0c92028a,0xe5f200c5,0x158702aa}},	//   _yoldur_, _خصوصيتن_, _soumissi, _superpoh, 
   {{0xd9d2022a,0x629102f3,0x760e003a,0x42d804c9}},	//   _peregist, _hotad_, _ostonasi, _rkheim_, 
   {{0x9f3c01b7,0x13f80181,0x91b7008d,0x6f5d0274}},	//   _viruddha, _atlus_, _килолик_, _þýsku_, 
   {{0xc3ea01cf,0xb2910077,0x331e0372,0x545e0156}},	//   _lecto_, _anfans_, _blinedig_, _בושארד_, 
   {{0xae52036f,0xe87f006c,0x00000000,0x00000000}},	//   _ostavlja, _anginalu, --, --, 
   {{0x72240450,0x229001b8,0x65ea05ce,0x1fe400de}},	//   _wekker_, _endal_, _savaşı_, _alizukun, 
   {{0xf2f303f2,0xaeba0057,0x00000000,0x00000000}},	//   _valitut_, _adiospun, --, --, 
   {{0x9aac0260,0xe6120125,0x32910305,0x6d92018e}},	//   _poderán_, _мелеклер, _altaj_, _helerile_, 
   {{0x12d801f1,0x19be02c1,0xbeb40322,0xc2d9019a}},	//   _duket_, _abadepit, _akarenze_, _preens_, 
   {{0xbb020040,0x18530047,0x10b60299,0x22690148}},	//   _charitie, _reprises_, _ئىسھاقبە, _spirital, 
   {{0x3b030192,0x9fed0373,0x830101fc,0x69fa0278}},	// [3ee0] _기본적으로_, _פסקים_, _diraari_, _kokuriku, 
   {{0xde880572,0x6eb20148,0xa37803d9,0x2345022c}},	//   _चरित्रा_, _計算機的使用與電, _sabatra_, _ahadiat_, 
   {{0x56cd025c,0xedce01cd,0x11070171,0xb9cc0262}},	//   _ansprech, _бидех_, _pločica_, _birwagtd, 
   {{0xdf130125,0xbf2703c2,0x3fd70185,0x437f020f}},	//   _келимеле, _accryssa, _канатлы_, _belanga_, 
   {{0x0b6c005e,0x20eb0017,0x00000000,0x00000000}},	//   _ﺋﺎﻟﺘﻪ_, _अग्रता_, --, --, 
   {{0x93f806e3,0x8ed4010d,0x264c01aa,0x0a2c0237}},	//   _suluh_, _belimbin, _earningw, _살아가다가_, 
   {{0x634f003c,0xd0390281,0xcc520045,0xb1b1002b}},	//   _تستوسترو, _aniguivo, _pretnja_, _কিচেন_, 
   {{0x5c3a0076,0x2e4d03db,0xda7e0165,0x6c7f022c}},	//   _lembranc, _engasena, _yasayasa_, _digupay_, 
   {{0x77470094,0x131601c7,0x302001db,0xdf2602df}},	//   _бурундук, _atabegi_, _وقىعانىڭ, _berleter_, 
   {{0x2f57005e,0xe1800392,0x1dae02c5,0xf560036e}},	//   _ﻣﻪﺭﯨﭙﻪﺕ_, _diobradh_, _asingaba, _chakiriy, 
   {{0x4f4d0156,0x72340289,0x12910129,0x73b60170}},	//   _היברו_, _akumane_, _jotam_, _anavina_, 
   {{0x897e05f8,0xe7310046,0x5c5304eb,0x4b9b0142}},	//   _групп_, _атасынан_, _रीतेश_, _गणपतये_, 
   {{0x3226034d,0xe686008f,0xe3f8005b,0x58c702f3}},	//   _berkat_, _कटवाइ_, _bokuni_, _stortorg, 
   {{0x27910025,0x9200014c,0xdf22017f,0x00000000}},	//   _चलचित्रे_, _omlilo_, _illutaqa, --, 
   {{0xe63b014e,0x94b1030b,0x47b10307,0xc1eb0365}},	//   _околна_, _amayengo_, _lakwamow, _निरञ्जन_, 
   {{0x72da01d4,0xd8c40307,0xdda80102,0x3d9a053b}},	//   _catene_, _babengad, _utangaza, _colorida, 
   {{0xe2d800c3,0x285e0334,0xefb200c8,0xb3790009}},	// [3ef0] _lucem_, _akulikhu, _нәғимә_, _igralca_, 
   {{0xc290072c,0x6c5d025c,0x476000c5,0x6654006e}},	//   _finais_, _schließe, _毛泽东自述_, _bonéfis_, 
   {{0x32900013,0x8a17026a,0x130200e6,0x4a0b0153}},	//   _bilan_, _matataka_, _业主博客圈_, _ができます_, 
   {{0x42000125,0x216702c4,0x7c5201b0,0x4e8a011f}},	//   _arhiwi_, _казнени_, _centrin_, _númeront, 
   {{0xa291003f,0xe2d60119,0xdc7503b3,0x29d1006c}},	//   _altaq_, _jarocin_, _excusas_, _облава_, 
   {{0x5ac7020a,0xa2d602ea,0x8186006c,0x52800223}},	//   _авторлық_, _secondo_, _nakakhul, _emakume_, 
   {{0xb28d0343,0x0c9300a4,0x4b21034e,0x4ad000e6}},	//   _asiaroom, _جاراق_, _cotabamb, _contenue, 
   {{0x49ee017f,0x506000a0,0xd144009f,0xbb3300b2}},	//   _alluitdu, _akasarin, _ultrazvo, _fincilan_, 
   {{0xf2900277,0x4a170096,0x45f0011f,0x8a2300e6}},	//   _andam_, _badataha_, _mitakuña_, _个人买电脑三年内, 
   {{0x22900150,0x32700169,0xde600147,0x1cbe01cd}},	//   _ailan_, _অত্যাচার, _influènc, _масеҳ_, 
   {{0x6264002e,0xe3f801cf,0xb61000b7,0x9c8003bf}},	//   _mislio_, _ardue_, _gollandi, _мечел_, 
   {{0xe2d9035b,0xda08015a,0x860d00c5,0x59cb0189}},	//   _seveda_, _gabaasee, _expositi, _inceleye, 
   {{0x729001ca,0xfc0c0643,0x72d80250,0x92900367}},	//   _vilan_, _unapred_, _dukej_, _sinais_, 
   {{0xb2910212,0xc29001f1,0x0c0e026f,0x57480205}},	//   _totam_, _andaj_, _жанбөбек_, _lubiyatg, 
   {{0xfc60026c,0x74ee01f2,0xf2da03fd,0x1f26021b}},	//   _nostros_, _юңҗүн_, _matele_, _verratta, 
   {{0xf99d000d,0x5c3f0456,0x8d9f061c,0xc1c20153}},	//   _osakonna_, _keningau_, _brendira, _ビスでも扱ってい, 
   {{0x43e50377,0x92d80204,0x9202044a,0xa3ea0194}},	// [3f00] _reduceri_, _arkea_, _kosisa_, _tecte_, 
   {{0x5e450020,0xf6930368,0xb290012d,0x11bf0061}},	//   _fegalega, _необузда, _zilan_, _지하철에서_, 
   {{0xfc720437,0xb8150088,0x24f400e6,0x00000000}},	//   _snarest_, _сурашат_, _非法经营和走私文, --, 
   {{0xeec902fe,0xdfc200c4,0xaec50059,0x62ca01c8}},	//   _تبادله_, _ڄاڻون_, _главния_, _chodil_, 
   {{0x857a0040,0x5ba70097,0x0f2104d7,0x00000000}},	//   _בכמויות_, _erekuṣu_, _eldunara, --, 
   {{0x2a150343,0xd2f30277,0x550a0350,0x505d0138}},	//   _bombilya_, _haliput_, _የሚልኩት_, _törenind, 
   {{0x62da018b,0xc3f8004f,0x8c600429,0xf96d018b}},	//   _datele_, _fudul_, _unjuran_, _pasionat, 
   {{0x332b036f,0x417d0040,0x377901ce,0x88c500be}},	//   _njihovog_, _שיזוף_, _angkring, _بۇيلاش_, 
   {{0x4f390456,0x82da00dc,0x13ee0160,0x229e0223}},	//   _memulaka, _fatele_, _postigli_, _загалмай_, 
   {{0x229100ee,0xafc9036e,0xa22400ea,0x7e340105}},	//   _motak_, _bañadork, _aviko_, _oznakowa, 
   {{0x62900325,0x83ea0231,0xe6cf0013,0x32900028}},	//   _onlar_, _recte_, _bajarili, _dilal_, 
   {{0x761604b1,0xd219010f,0xb29102aa,0x4fa90208}},	//   _veiledni, _ваколатҳ, _fotak_, _ڕبرینی_, 
   {{0x22da0357,0xf15c0590,0x5292072d,0xe49a002f}},	//   _poreti_, _жужан_, _iftari_, _illariqk, 
   {{0x203c0309,0xabd105d2,0x73b60403,0x9c610326}},	//   _başlanac, _bildeser, _diavina_, _chirere_, 
   {{0x75e40092,0x620100fe,0x1364058b,0x7e3001b4}},	//   _ザ操作端末の状態, _ikaike_, _reagira_, _hoegenaa, 
   {{0x02b303ed,0x6a6e02dd,0x02570041,0xfa48010d}},	//   _produto_, _ortodoss, _аныҧҵәаӡ, _kerennya_, 
   {{0x5ee9013d,0xb2e300b4,0xf30503c4,0xa2900264}},	// [3f10] _בחדרי_, _autobuz_, _ئوپال_, _kilal_, 
   {{0xea8604a5,0xbfd704e0,0x0f230061,0x6f150452}},	//   _emizimbe, _dirigido, _프로그램으로_, _tertabra, 
   {{0xc3f800d7,0x83f8041c,0x7eb40322,0xd3bb001c}},	//   _bokuli_, _budul_, _akaranze_, _eskwela_, 
   {{0x62820397,0x39d90037,0x4b070095,0xb3f8019b}},	//   _abaholi_, _ተለዋዋጭ_, _mésopota, _ruduo_, 
   {{0xc2900245,0x93060040,0xfc750452,0x37dc0205}},	//   _lilam_, _opposing_, _हेन्री_, _газаллар_, 
   {{0x49c701af,0x7f210584,0x15b901a3,0x7fb900dc}},	//   _гапана_, _gratuida, _اوڻايون_, _sagolego, 
   {{0xc2d900b7,0xc9c701db,0x9c930299,0x42cd032d}},	//   _etsek_, _саралап_, _كالام_, _fanoang_, 
   {{0xbdca0138,0xc28f023b,0x933000e0,0x3c600121}},	//   _cumhurba, _makaikai_, _boekenij, _rostros_, 
   {{0xb230023b,0xde0d060e,0x829101fc,0x5e010349}},	//   _alemona_, _दुष्प्रभ, _cotak_, _atheticp, 
   {{0xa2d805e6,0xe26c00ee,0x898e00d0,0x52560061}},	//   _erken_, _arloko_, _гадил_, _뉴글로벌로밍_, 
   {{0xb5010100,0xf60d0101,0x22da02f7,0x5cf6003c}},	//   _protekao_, _expoziti, _boreri_, _سایزهای_, 
   {{0x0de1041a,0x238602fa,0x00000000,0x00000000}},	//   _останні_, _akorwa_, --, --, 
   {{0x93870515,0xfa57003a,0x509100d1,0x536c04d7}},	//   _matre_, _лигада_, _খেজুৰ_, _flagari_, 
   {{0xf2030051,0x72cb0005,0x9b9a00de,0x8c5b01e8}},	//   _automašī, _alloura_, _bepiyano_, _masukod_, 
   {{0x549c0040,0x837c02c3,0x00000000,0x00000000}},	//   _להתייעצו, _ostatne_, --, --, 
   {{0x2528026f,0x41f40044,0x0d0c0314,0x60a60220}},	//   _ءپالساپا, _גרוסמן_, _ғында_, _центрове_, 
   {{0x8292023b,0x12d5013d,0x120204ef,0x5f49006c}},	// [3f20] _ihuanu_, _rekordo_, _aquilo_, _бераҳм_, 
   {{0x8afa01cb,0xa6980309,0x99dc01d9,0xdeb800ff}},	//   _nokuvike, _liderimi, _altershe, _קלינטאָן_, 
   {{0x3bea018e,0xd3f800d9,0x9807000c,0xff5e0297}},	//   _dzivamis, _kulut_, _bíbliagu, _barabann, 
   {{0x1c760325,0xfc35015e,0xa3ea0197,0x12510268}},	//   _fikrini_, _descober, _lekti_, _agneticm, 
   {{0x6c600217,0x2395019c,0x59e60361,0xd1d70206}},	//   _fortias_, _gbasò_, _сталинск, _prenosné_, 
   {{0xd8520148,0xf3f80343,0x5a7e0357,0x00000000}},	//   _開啟自由穿梭新世, _dulum_, _masamasa_, --, 
   {{0x30330059,0x5c900053,0xb7920094,0x00000000}},	//   _доволни_, _ज्योत_, _رەسىمي_, --, 
   {{0x93ea02e3,0x162403c2,0x68050024,0x53200322}},	//   _hecta_, _spiteful_, _চাইবাৰ_, _aziye_, 
   {{0x41e40052,0xc2d40396,0xec2801b8,0x00000000}},	//   _गोंडवाना_, _figolla_, _teeninud_, --, 
   {{0xdb1306db,0xc35600f1,0x4a170013,0xfe0b02ac}},	//   _schaffen_, _lavenir_, _кетишига_, _لراحتك_, 
   {{0xfc260265,0x32e90241,0x2a0702e1,0xd9ae042a}},	//   _verbeter, _argitan_, _أفادت_, _condvewe, 
   {{0xf874022f,0xfdd400b7,0x3ae30196,0xb61f02af}},	//   _курсах_, _рухсыз_, _asatembe, _isinziri, 
   {{0xd2a702dd,0x5b7c0320,0xb97d0360,0x00000000}},	//   _arabja_, _kopunula_, _humpolec_, --, 
   {{0x06db01d4,0xc3f40064,0xa423015e,0x00000000}},	//   _falsità_, _deutes_, _ورنىقتىل, --, 
   {{0x0cb70077,0x00000000,0x00000000,0x00000000}},	//   _lougawou_, --, --, --, 
   {{0x282f01f6,0x8a240362,0x792f00d1,0x9b340204}},	//   _kommuned, _eyebanka_, _kommunet, _finaalis, 
   {{0x446c0235,0x42cb00f1,0x7d9a02eb,0x62240100}},	// [3f30] _ahituṇḍi, _imedya_, _santutxu_, _kvake_, 
   {{0xcc610130,0x728300ef,0x117800e7,0x124602a5}},	//   _gorread_, _abaselul, _abbitray_, _němci_, 
   {{0x892003bf,0xfc290639,0x86b0052d,0x3b7303c4}},	//   _белдерҙе_, _membenar, _वस्ती_, _мустәқил_, 
   {{0x376f01bb,0x30a6029d,0x23580061,0x9a2e01fd}},	//   _спиритиз, _атрибуте, _이루어지고_, _sencilla_, 
   {{0x19a501cd,0x361f03be,0x462904b9,0x9378021b}},	//   _албата_, _asinziri, _eternall_, _velaton_, 
   {{0x430703d8,0x2f6804ce,0x49cc02f7,0xb7e70109}},	//   _ostatak_, _musalaun, _dikereit, _वरपरका_, 
   {{0xe2d90058,0x139501c5,0xad8902fb,0x99bd0011}},	//   _mused_, _meeshu_, _peheange_, _balikeŋŋ, 
   {{0x98760046,0xff3f00c1,0xbf0c00e6,0x6cfe034c}},	//   _жылкылар, _जालिहाल_, _四年度工作要点_, _бирдеңме_, 
   {{0x553a0119,0xbe6d01a0,0xa35f020d,0xffd80274}},	//   _temprano_, _baccanne_, _bangahe_, _hornafjo, 
   {{0xaf3b06f2,0x3254002b,0x1914011d,0x42760344}},	//   _बेफिक्र_, _জাগ্রত_, _тележник, _allallum, 
   {{0x41000046,0x72ee0403,0x538700e0,0x9367007b}},	//   _بىلبەدىم_, _drofia_, _kearel_, _laithsom, 
   {{0x038702bd,0x0b7d0078,0x42a6028b,0x5e080421}},	//   _gwario_, _опреме_, _hymba_, _geldanla, 
   {{0xe3ea0084,0x796e0420,0x2d8e000d,0x73600141}},	//   _bunter_, _assinant, _millegip, _atomning_, 
   {{0x4290025b,0x72ea025e,0x1c63003d,0xff58004d}},	//   _endan_, _gunnars_, _nahuatl_, _小巨人不怕苦_, 
   {{0xe2900262,0x92a601eb,0xacf200e7,0xa9440022}},	//   _ondan_, _mymba_, _apitalsc, _стенаға_, 
   {{0x0a880421,0x26700157,0x07050365,0x52c90350}},	//   _ansichts, _kochanow, _उदाशिन_, _የመሬትን_, 
   {{0x638f0320,0xfa7e001f,0x4d0d0024,0x00000000}},	// [3f40] _amiyela_, _basabasa_, _চলচিত্ৰ_, --, 
   {{0xe34004ff,0x4fe700a1,0x6c5e0633,0x3c730147}},	//   _seveiva_, _ngohengo, _partial_, _podràs_, 
   {{0xdf7701a3,0x33f900f2,0xb2da03ec,0x00000000}},	//   _عطاحسين_, _seguma_, _katert_, --, 
   {{0xb3f802db,0x204c0200,0xa35401c9,0x00000000}},	//   _pulum_, _trafịkị_, _suhetes_, --, 
   {{0x937a0193,0x78790037,0xbc55030f,0x8fed0040}},	//   _pesanan_, _ተምሳሌት_, _awatere_, _polymers_, 
   {{0x95d4019b,0xbaca0350,0x00000000,0x00000000}},	//   _дысцыплі, _ተብዬዎች_, --, --, 
   {{0xcc5301cb,0x5661005e,0xf25b00d2,0x1e0d00fe}},	//   _omutjha_, _ﻳﺎﺩﺭﻭ_, _ngalir_, _paleinga, 
   {{0xf2d9005b,0xf7b50219,0xa1870144,0x00000000}},	//   _musee_, _kugwetjw, _قالتلي_, --, 
   {{0xbef202f3,0x164002f6,0xcc2301d4,0x125a046b}},	//   _beskrivn, _anakpawi, _allivatu_, _ecoleg_, 
   {{0xa200072e,0x63ce0465,0xc2900478,0xf87c014d}},	//   _modiro_, _živil_, _vilac_, _kreislau, 
   {{0x059f0386,0xf3ea0166,0x71d30444,0xf6a300d1}},	//   _mengetah, _runter_, _родным_, _কালান্তক_, 
   {{0x5f1e0013,0xf3f80067,0x0dab010f,0x03ea0193}},	//   _سلطانیگه_, _arduf_, _abaninga, _sunter_, 
   {{0x55d00024,0xd2000513,0x06370013,0x00c5072f}},	//   _ট্ৰানজিষ, _fikisa_, _хамирни_, _америкăн_, 
   {{0x73860377,0xeeb000bc,0x708c01d1,0xde960354}},	//   _oferte_, _rlisense_, _psycholo, _لىرىك_, 
   {{0xf2d5047d,0x6a060167,0x1af10220,0x73430095}},	//   _geklaut_, _ailbrose, _carrozze, _aswendo_, 
   {{0x7c610309,0x617a0036,0x8dc000de,0x02c40145}},	//   _tortlar_, _ومفروشات_, _asikokwa, _parengti_, 
   {{0x34ba01f2,0xcb7e03a6,0xe2e30312,0x602e003c}},	// [3f50] _көңүл_, _bakubaka_, _aktorez_, _پیکرترین_, 
   {{0xb3f8012d,0x52ac019b,0xc9fb0027,0x32690061}},	//   _buluk_, _характар_, _nesuviku, _아니었지만_, 
   {{0xf8810242,0x22d904b9,0x53c0011a,0x00000000}},	//   _ayırdığı_, _freens_, _המדפסת_, --, 
   {{0xcf3901e6,0x42a7021a,0x3326012a,0x13f401da}},	//   _finanční, _arabaa_, _herbaty_, _frutat_, 
   {{0x2c750642,0x1b1c012d,0x27af0061,0x72d80550}},	//   _दोस्ती_, _korapsen_, _스타일리스트_, _urceo_, 
   {{0x92900013,0x629001c5,0x0984027b,0x112602fe}},	//   _lidan_, _bilaa_, _अवगमने_, _ناتوانه_, 
   {{0x82d80730,0x6ea800e2,0x5387019a,0x52c3020e}},	//   _orker_, _meitinke_, _leernt_, _kholumo_, 
   {{0x10ae0060,0xdb5b013a,0x00000000,0x00000000}},	//   _ерлан_, _friessen_, --, --, 
   {{0x72b5055a,0x5ea001d5,0x6200023d,0x9200011b}},	//   _índice_, _کےسیکرٹر, _solito_, _bikisa_, 
   {{0xd60a012c,0x7297033f,0x96dc003c,0x26d40061}},	//   _maambuki, _halafihi_, _مقانلو_, _즐겨찾기를_, 
   {{0x7fcc0073,0x63f800ad,0xe9d500e2,0xc3ea03f8}},	//   _insister_, _tuduh_, _bekerdoe, _mojtah_, 
   {{0x77130689,0x77430220,0xe2900138,0xc2000207}},	//   _जर्दा_, _направят_, _silah_, _fikira_, 
   {{0x9e4602ec,0x6463023c,0x427000d1,0x1e320178}},	//   _dambaysa, _دمقاومت_, _অধ্যাপকৰ, _asamīcīn, 
   {{0x62dc011c,0x5fd300ce,0xcfc20144,0xad9003d6}},	//   _kolombi_, _dediksyo, _واسود_, _संप्रभुत, 
   {{0x76f4063c,0x96eb0082,0xd5430354,0xd9f60034}},	//   _गढ़वाल_, _tilastaw, _поскам_, _strák_, 
   {{0xb396046d,0x23640378,0x0fc3030d,0x7f310209}},	//   _watshi_, _amerikum, _bakinter_, _cykelern, 
   {{0xa2d80039,0x1ed900b7,0x1f42006c,0x1eaf0408}},	// [3f60] _askea_, _arenasyn, _amishada, _famorian, 
   {{0xc7e4018d,0x2937023a,0x055d0291,0x4408022b}},	//   _ፊተውራሪ_, _kurzový_, _لتحضير_, _atlimask, 
   {{0xe2ec0120,0xafe90365,0xc26e03d1,0xcf73014d}},	//   _kawisne_, _निधारमा_, _astoto_, _trachten, 
   {{0x52940145,0xb3f802c6,0x9291028d,0x9356028d}},	//   _renkasi_, _arlun_, _potao_, _savedir_, 
   {{0xc4de002b,0xa2b40279,0x74a20235,0x00000000}},	//   _অবিস্মরণ, _stocke_, _प्रणिपात, --, 
   {{0xa5980045,0xf7bb0281,0xe29000c0,0xd41c020f}},	//   _конгресу_, _amerlini, _dilaw_, _چلوټو_, 
   {{0x72d80418,0x4b1c0486,0x2cb5017a,0x00000000}},	//   _erkek_, _stlačení_, _зулмот_, --, 
   {{0x42900054,0x716c006a,0xa26e013b,0x52d80194}},	//   _gidan_, _mihintsy_, _ossola_, _lucet_, 
   {{0x35a6029d,0x8291028e,0x72000252,0xa2d80181}},	//   _буребист, _botal_, _pikisa_, _nukes_, 
   {{0x2f25038e,0xc3050107,0x3fd300ce,0x12eb01af}},	//   _seseoran, _مودار_, _rediksyo, _bilibem_, 
   {{0x022405b8,0x728602f3,0x6386005b,0x63ea0046}},	//   _exakt_, _choklad_, _koizumi_, _muntar_, 
   {{0x12cb015e,0x8b6f0145,0xeb820102,0x21520180}},	//   _quedar_, _susipaži, _جميلان_, _inpresyo, 
   {{0x4201002b,0x64d90162,0x04fd02da,0x795c0362}},	//   _cocina_, _مارالبېش, _дозволув, _bakolobe, 
   {{0x38890368,0x8e8f0299,0xd2900016,0xc2900150}},	//   _последње_, _فوسفور_, _indas_, _pilai_, 
   {{0xd2930026,0x6226021b,0xb2c603c6,0x68d302fa}},	//   _relatief_, _merkit_, _beslute_, _bakundag, 
   {{0x6290028d,0xd24d02cb,0xbc6d0103,0xd729018d}},	//   _andat_, _najmanji_, _amirira_, _ትርጉማት_, 
   {{0x01e400ff,0xb9fb04b4,0xbaf00704,0xa3ea0350}},	// [3f70] _באסניע_, _forankre, _overvekt, _buntar_, 
   {{0x72900013,0x526e056e,0x7233022f,0x33ea02c4}},	//   _zidan_, _outono_, _kosmoso_, _juntar_, 
   {{0xa9ce027f,0xf2c301eb,0x9292033d,0x9290000d}},	//   _aromboka_, _bellaco_, _betani_, _endas_, 
   {{0x03870158,0x53490333,0xdb1800d9,0x0c700435}},	//   _dobrą_, _sapessi_, _ladataan_, _pokrenu_, 
   {{0x2b98013b,0x525b0107,0x69d3013a,0x936a0086}},	//   _pilipino_, _ngalor_, _vertried, _gravitác, 
   {{0xf200032e,0x9e530690,0x62a70288,0xa1db0040}},	//   _kikipa_, _menasiha, _ngaben_, _endorsem, 
   {{0xa4830141,0x037f0138,0x72300282,0x12900058}},	//   _туркияга_, _sakarya_, _eramiha_, _tidan_, 
   {{0x52cb0270,0x1f93018d,0xdaeb01db,0x00000000}},	//   _creder_, _ብኣማኑኤል_, _كەيبىرەۋ, --, 
   {{0xe2d90125,0xdf4901b8,0xf290003a,0xbc5a0216}},	//   _etsem_, _personaa, _ridan_, _eneteki_, 
   {{0x0290040e,0x24af01d9,0x8cfa0037,0xef3b0359}},	//   _sidan_, _graziano_, _ሊያረጋግጡ_, _geurrapp, 
   {{0xe85a0292,0xed5e0047,0xe0aa00b3,0xa6cf010e}},	//   _koforidu, _marchand_, _диндешле, _babarili, 
   {{0x99680444,0xdd5d016e,0xc2d80262,0x0f3e04a7}},	//   _прилагат, _futbolcu_, _bijesi_, _acurrala, 
   {{0xa05d0191,0x0a0403b6,0xc29000ee,0x060b0447}},	//   _förening, _airotẹlẹ_, _indar_, _chamnthi, 
   {{0x604d014e,0x429102f3,0x43f8008d,0x729002d9}},	//   _врата_, _hotar_, _uslub_, _oilau_, 
   {{0x62fc04a0,0x32fb00bd,0x73f40006,0xfee20156}},	//   _únicos_, _fechtin_, _seutas_, _מילגרוים_, 
   {{0x68d30153,0x506200e6,0x00000000,0x00000000}},	//   _ウィリアムズ_, _无锡市城市房屋拆, --, --, 
   {{0x302502ea,0xc3070245,0x9291001e,0x62f30461}},	// [3f80] _тунинг_, _mikaiah_, _motar_, _freinet_, 
   {{0xa89e0163,0xe1c4005e,0xf78902c0,0x43dd05f7}},	//   _katalógu, _ﺭﻩﮬﻤﻪﺕ_, _парализи, _asgwrn_, 
   {{0xc2370289,0x62a702d4,0x1dc30418,0x26470122}},	//   _alimiwa_, _rauba_, _çikolata_, _ناسالم_, 
   {{0x929003f3,0x1291003d,0xea2f00a6,0xc2660019}},	//   _midam_, _totas_, _دتحقيقات, _буйрулга, 
   {{0x4d980020,0x445e00d9,0x8eb90075,0x8b65030a}},	//   _atalanoa, _напомним_, _avroknin, _levarán_, 
   {{0xbc9501da,0x93eb0465,0x126e033f,0xa9e10055}},	//   _ballafaq, _tretje_, _mutolo_, _annigava_, 
   {{0xf2000219,0x72910119,0x65b901a3,0x1389019d}},	//   _umlilo_, _kotar_, _اوڀايو_, _banyabo_, 
   {{0x5b7c00d5,0x56c503bf,0xc2f1012c,0xea470187}},	//   _natolotr, _пьесаның_, _فضائن_, _diretora_, 
   {{0xc3870163,0x82a705d7,0xd29000ee,0x226e01fa}},	//   _پاسداری_, _tauba_, _bidal_, _nutolo_, 
   {{0x829003dc,0x96250101,0xa8b700d9,0xa2920018}},	//   _endar_, _sectorul_, _признал_, _setani_, 
   {{0xf2cb0374,0xd5570036,0xa3020321,0x42900077}},	//   _yerda_, _صاحبها_, _torbice_, _milat_, 
   {{0xfce80063,0x8cb70036,0x25870128,0xb2900167}},	//   _مبتكرة_, _مازالت_, _термамиз_, _chlaf_, 
   {{0x12cb05b3,0x225a0387,0xeefc0204,0x29430037}},	//   _bladsy_, _etola_, _ручки_, _ተመዝግበው_, 
   {{0x1a570147,0x644a0208,0xee63011d,0x122c00ef}},	//   _ансыз_, _ئازربایج, _calculea, _خیالي_, 
   {{0xb4ab0057,0xe29100ca,0xbff30151,0x22cb0130}},	//   _የአእምሮ_, _botar_, _cathodic_, _preder_, 
   {{0xc2c601bb,0xbfc602c2,0x8a9b0257,0x23870148}},	//   _meselesi_, _tekortko, _barnsmis, _latro_, 
   {{0x37e501b2,0x9d15025c,0xc412027d,0x42360334}},	// [3f90] _passagew, _verursac, _звона_, _djijl_, 
   {{0x537800e1,0xec9300ba,0xfb7c006a,0xbdb10184}},	//   _aflaton_, _ئاباد_, _hatolotr, _catanzwe_, 
   {{0xa8c3017d,0x2659015e,0x3c9a0017,0xb29002be}},	//   _サプリメント_, _بىرنەچە_, _विस्तारक, _dilat_, 
   {{0x2afc065d,0xce530057,0x4ae70120,0x65590208}},	//   _opprinne, _penasiha, _warrayte, _کتردا_, 
   {{0xdc790060,0x42d903bf,0x2c4a0235,0x5a1d00ba}},	//   _сергек_, _bobeli_, _योजनीयः_, _فاڤۆریته_, 
   {{0x938701c2,0x01ea015e,0x1a170282,0xb3f80148}},	//   _catro_, _بالبانىب, _hataraka_, _dudum_, 
   {{0x4224053a,0xd290004f,0x00000000,0x00000000}},	//   _ovako_, _andak_, --, --, 
   {{0xdc7c03bf,0x0457030a,0x43eb03d9,0x0d4c01a3}},	//   _башланды_, _vindeiro_, _zesta_, _ٽيمپليٽ_, 
   {{0x50bf01ec,0x0c5401db,0x00000000,0x00000000}},	//   _بصورت_, _ءبىرسوزگ, --, --, 
   {{0x5378012c,0xf1f90138,0xa77700e6,0x8b01020f}},	//   _angalia_, _manzaral, _适用本办法_, _دکرښې_, 
   {{0x617f0640,0x03cf0212,0xc3cf0527,0x92c8011a}},	//   _španjols, _parvi_, _obrve_, _הגירעון_, 
   {{0x239401fb,0xfe3300f7,0x7dc5019e,0x5a7d0099}},	//   _menses_, _גרופס_, _kinijoje_, _akwanisa_, 
   {{0xfe6a003a,0xd2b40225,0x129000ad,0xdc660022}},	//   _борди_, _procre_, _undak_, _сабыйы_, 
   {{0xa5ba0047,0x281001d5,0xe2a70357,0xc202018e}},	//   _月加入中国共产党_, _سڑکیں_, _laubo_, _hosiya_, 
   {{0x09c6003b,0xcc2c0040,0x52010107,0x9b60020f}},	//   _lesebent, _equipped_, _ajaibe_, _دلیبیا_, 
   {{0x73000227,0x39df0178,0x72d9033e,0xba8c05fb}},	//   _dicapai_, _ayutasid, _heveha_, _poniženi_, 
   {{0x730102ca,0x7d3302a5,0x4aab000e,0xe3f803a4}},	// [3fa0] _suwalki_, _lyžích_, _troviera_, _gudum_, 
   {{0x03590199,0x79920225,0xe636000c,0x3c4400ff}},	//   _longfic_, _betheile, _аларгале, _סאכאטשאו, 
   {{0x8d8d00be,0x4f3d003a,0x00000000,0x00000000}},	//   _تەگىرمەت, _sharifla, --, --, 
   {{0x52da0020,0x939404ca,0x3290040f,0x53d9012a}},	//   _satele_, _denses_, _indai_, _objawów_, 
   {{0x63870261,0x51770265,0x22da00fe,0xe359022a}},	//   _patro_, _behandel, _patele_, _konflit_, 
   {{0x43f90515,0x08cd01ef,0x52ee0158,0x766a02cf}},	//   _mutue_, _lavrinov, _संघर्षों_, _проверув, 
   {{0xbf3403b0,0xc3f1014c,0x5ee00145,0x626e02ff}},	//   _brødet_, _anelisek, _pinigais_, _enpote_, 
   {{0xb30c000f,0x614202d3,0x253b0405,0xef0800d1}},	//   _siyaset_, _страв_, _устаткув, _কেন্দ্ৰত_, 
   {{0x30200027,0xa97b01a3,0xda6e0092,0x130b00a7}},	//   _literato, _انڌوڪار_, _asdgroup_, _قىزارتا_, 
   {{0x8224002e,0x43ea00bc,0x5c35030a,0x43a400e6}},	//   _svako_, _guntur_, _descuber, _主题实践活动_, 
   {{0xa7b4027f,0xed840206,0xb97400e5,0xbf640241}},	//   _akirindi, _kliešte_, _класата_, _dagaagin, 
   {{0xf3870101,0x44ff014a,0x038603d5,0x83f800ee}},	//   _catre_, _اجاگر_, _chorea_, _ordua_, 
   {{0x16240075,0xe8c00347,0x229102ad,0xe3ce013c}},	//   _størsta_, _teruggev, _potah_, _əhval_, 
   {{0x8c3d02ac,0x6c7c00f5,0x635900c5,0x6fa900d3}},	//   _ماكسيموس_, _пүрсүң_, _conflit_, _tramvajo, 
   {{0xefe40041,0xa3f80212,0xfebf05e6,0x125a0148}},	//   _акәӡам_, _ardua_, _cheetahs_, _utilis_, 
   {{0xb9d3000d,0xfa8f0348,0x00000000,0x00000000}},	//   _raplamaa_, _balisimb, --, --, 
   {{0x62cb03f3,0x10350350,0x02fd037c,0xdb870143}},	// [3fb0] _berdo_, _ለመጋራት_, _ultimus_, _сандвич_, 
   {{0x90090141,0x32fc041c,0x72cb0269,0xc3f801b8}},	//   _вазифала, _andalusi_, _cerdo_, _kulus_, 
   {{0x82da0136,0xae3501aa,0x9290012a,0x823b00ec}},	//   _porezi_, _afraidwa, _widac_, _atleisti_, 
   {{0x73c3012c,0xd2b60432,0x3c260042,0x3e9b037c}},	//   _اُتان_, _fordele_, _informou_, _ulterius_, 
   {{0x138602e1,0x4d6000a6,0x2387002e,0x696705f2}},	//   _ghorba_, _والیان_, _vatre_, _marisque, 
   {{0xe2da01dd,0x22d80181,0xf2e301ab,0x34c90076}},	//   _mateke_, _arcen_, _बिरीछ_, _роботика_, 
   {{0x004d01b6,0x0d0e037c,0x33eb0211,0xbc720305}},	//   _الغرب_, _daltonic, _kesto_, _snarast_, 
   {{0x251702e3,0xc38c0155,0xf17d0162,0xb86301de}},	//   _hapulico_, _utrymme_, _үчүнчи_, _қояйық_, 
   {{0xed9d012b,0x951802ba,0x12d90514,0x42b90350}},	//   _recenzje_, _баландих, _vusen_, _ኮሚዩኒኬሽን_, 
   {{0x43f800a9,0x26160281,0xbb020040,0xaed501d1}},	//   _inkumi_, _tillinni, _librarie, _unwillin, 
   {{0x43f80068,0xbc7e01ec,0x23f80456,0x025b00d3}},	//   _culus_, _بدمینتون_, _pulut_, _hodlá_, 
   {{0x65ed00af,0xc3f8038e,0x4ce700ba,0xdbf700c7}},	//   _sommervi, _lulur_, _نێرگزه_, _алмасыда, 
   {{0xad5a032b,0xda5e0362,0x720002d6,0x83eb03f1}},	//   _довей_, _babelaka_, _muhimi_, _tretie_, 
   {{0xf44c00a4,0x630f00f3,0x79f900c5,0xc200036a}},	//   _بۇلچۇڭدا, _edubula_, _localise, _tikida_, 
   {{0x62d9021c,0xfa590165,0x629000ee,0xe2b2017a}},	//   _musel_, _jeremaia_, _hilak_, _amaduna_, 
   {{0xa8e70075,0xeb3702ea,0x92910165,0xdaa90147}},	//   _lærlingu, _зарежда_, _votai_, _مەلتەيىپ_, 
   {{0xb3f802ee,0xff9500e6,0xa9e0035e,0x4c300359}},	// [3fc0] _kulur_, _监督检查部门应当, _sukobima_, _maaitiid_, 
   {{0xef4d01a7,0x03870107,0xa38001c2,0x261b0167}},	//   _omistaja, _ambruk_, _letrag_, _caboledi, 
   {{0x43f80050,0xf2d90593,0xa6b20020,0xc6c902c0}},	//   _dulur_, _tusen_, _amafanaf, _медиум_, 
   {{0x4c6105f1,0x998506d2,0xf9c601a7,0x698502aa}},	//   _akarere_, _लालकृष्ण_, _itsetunt, _vanička_, 
   {{0xda59030f,0xfb5f0113,0x664e004c,0xff650127}},	//   _heremaia_, _bibleagr, _alondebw, _bombezen, 
   {{0xa9db018d,0x1f390456,0x524a0107,0x5e1f04ae}},	//   _ምልውዋጥ_, _kemukaka, _alumuh_, _здравом_, 
   {{0x139600de,0x3fbf0093,0x05c70024,0x00000000}},	//   _matshi_, _основная_, _ৰবাৰ্ট_, --, 
   {{0xab2e06c0,0x01c101ab,0xdc4a0235,0x8a0200c7}},	//   _poradens, _करीहन_, _योजनीया_, _кәрәзле_, 
   {{0x05cf0025,0x86910024,0x927f0488,0x73870433}},	//   _उपाध्याय, _যৌতুকৰ_, _imants_, _ilarum_, 
   {{0x230f009a,0x030e034c,0x747e0039,0xdc97033f}},	//   _adubula_, _alabuta_, _sakelako_, _kiheenau_, 
   {{0x1fe20032,0x2808016d,0x42d60220,0xf7ce0213}},	//   _bimischo, _башлиниш, _addosso_, _брансуик_, 
   {{0xa29001fc,0xe50100d1,0xe64d02ee,0xc43e0251}},	//   _sidah_, _সিয়ে_, _arcikonf, _bambaano_, 
   {{0xb7c90386,0x7aa80061,0xc308013c,0x56100156}},	//   _mengangg, _민원사무편람_, _tutacaq_, _נאמינירן_, 
   {{0xc25501a7,0x89bd0417,0xc2a40262,0x97b501b8}},	//   _вдруг_, _hardloop_, _ajapsozl, _avastasi, 
   {{0xc2cb02e7,0xcfec0125,0x832b0234,0xf1660354}},	//   _berde_, _урушлара_, _jìgbò_, _بىلگەيتى, 
   {{0xbdad030b,0xca4d0226,0xd5600092,0x595400bb}},	//   _abagenge_, _amadwala_, _誉めて誉めて誉め, _ہندؤوں_, 
   {{0x559c06ca,0x92310288,0x03ed00f1,0x83340164}},	// [3fd0] _प्रापर्ट, _ngamain_, _pitratri_, _دىنازاۋۇ, 
   {{0x788702ac,0x5b250360,0x09850653,0x00000000}},	//   _ورجعت_, _principů_, _panička_, --, 
   {{0xfdb80178,0xa6ea0092,0xa6990045,0x73860241}},	//   _anenaika, _ジョギング_, _системск, _dhorka_, 
   {{0xb0080046,0x01c602c7,0x63a2015e,0x5f3c0176}},	//   _электрди, _festnetz_, _tèxtil_, _profilun, 
   {{0x23790288,0x683000e6,0xa2ea0185,0xb2680291}},	//   _tetaroa_, _与我们联系_, _cömlä_, _دومينيك_, 
   {{0x729001fe,0xfb4200f4,0xf301017a,0xba7e018e}},	//   _kilai_, _aliceads, _acebile_, _hasahasa_, 
   {{0x7af30119,0x32cb03cf,0x6c930207,0xeb0d0169}},	//   _limousin_, _yerde_, _ساران_, _presiona_, 
   {{0xe3710040,0x3fa301b9,0xe29002f6,0x53f40155}},	//   _הכרחי_, _deteryor_, _pilak_, _brutit_, 
   {{0xb0330397,0xb7f1011d,0x632200bb,0xd2bb01d5}},	//   _кулакова_, _скарэ_, _عیدگاہ_, _fedezze_, 
   {{0xb0a2005e,0xb5ed0037,0x09500238,0xdb8a0013}},	//   _ئوكرائىن, _በምድራችን_, _forlenge, _бодом_, 
   {{0x22b602b1,0x39620235,0x32d90116,0x00000000}},	//   _bauchi_, _dhanarat, _rused_, --, 
   {{0xfe6e0390,0x7b7901c7,0x32b602a8,0x9e3501c8}},	//   _rusiyanı, _башламак, _cauchi_, _oznamova, 
   {{0xfadf0151,0x234700b9,0x543e0244,0x00000000}},	//   _forthwit, _gamenya_, _cambiano_, --, 
   {{0x42500635,0x847a03d8,0x6ae50272,0xc20001c0}},	//   _летам_, _nestrplj, _basengab, _hodiyo_, 
   {{0x33870256,0xcc440064,0x3631031a,0xca710005}},	//   _katra_, _куурай_, _econamai, _analises, 
   {{0xd8fd007e,0x0e5303b5,0x5ca90005,0xada90005}},	//   _antardad, _penagiha, _ariguard_, _ariguart_, 
   {{0x96bb0420,0xac6b0343,0xc1560374,0x00000000}},	// [3fe0] _искушени, _mahugut_, _икковими, --, 
   {{0x328d01e6,0xedae0567,0x40c504bd,0xe38d0321}},	//   _komplety_, _таралган_, _hoolimal, _kompleti_, 
   {{0x78410051,0x43f80130,0xb9eb007b,0xfc1b01c7}},	//   _baltijas_, _fulup_, _dungaree, _synaglar, 
   {{0x62900057,0x329a0156,0x5e9d0092,0x6c7902ac}},	//   _silap_, _שומרונים_, _トラックバックの, _بورصات_, 
   {{0xb3f00342,0x27e401aa,0xf936031a,0x9d570318}},	//   _maketing_, _outsidew, _chumannt, _kavaliku_, 
   {{0xcc5701e6,0xc2920249,0x94bb0037,0xb25c00b5}},	//   _postele_, _karaim_, _ከጀመረች_, _karakatú_, 
   {{0xb88800d1,0x99d1026c,0xb9f501d4,0x8c6b0343}},	//   _লক্ষ্মণ_, _contentu, _adunisca_, _kahugut_, 
   {{0x49740040,0x50f5023e,0xfc6b040f,0x6291021e}},	//   _ואכלתי_, _ناامنی_, _aktualu_, _hotat_, 
   {{0x3b6b01cf,0x863c006d,0x722401ba,0x168500da}},	//   _battalia_, _шахматах_, _innkom_, _судичей_, 
   {{0xfa0a004b,0x5b5b038f,0xce4700a1,0xb6d9028a}},	//   _babatsoa_, _sonerien_, _kurahaup, _ڪينسل_, 
   {{0xe3870342,0x72fc00c3,0x638d0220,0x977c0060}},	//   _fatra_, _milibus_, _completi_, _молдалар, 
   {{0x9ed00257,0xb3b6031e,0xe747010f,0x23790075}},	//   _barnsins_, _dozvola_, _зиёиёни_, _eigarin_, 
   {{0xe3eb011d,0xdf970135,0xeafe015b,0x237d019f}},	//   _peste_, _журналла, _nagriame, _kipande_, 
   {{0x6c750155,0xb2ef00ae,0x984b0061,0xcb1f00cf}},	//   _därmed_, _bokinga_, _전자폐기물의_, _dalagaan_, 
   {{0x3ea3056e,0x4dc5012e,0xfc7801a3,0xf7f60088}},	//   _mandatos_, _اردگان_, _روڪرائڻ_, _артылат_, 
   {{0xbd150127,0x00000000,0x00000000,0x00000000}},	//   _europeat_, --, --, --, 
   {{0x5883005a,0x02fe003d,0xa6f30326,0x72ce0479}},	// [3ff0] _binischu, _espions_, _achakohw, _fülöp_, 
   {{0x5b18028a,0x00000000,0x00000000,0x00000000}},	//   _kumpende, --, --, --, 
   {{0x403e00ea,0xac2b0092,0xb3f80264,0xde0d02a2}},	//   _nantsoin, _教育を目的とした, _aslum_, _siyentip, 
   {{0x5a4e0184,0x9a30002b,0x137a052a,0x8258014f}},	//   _angeseza_, _পিটিআই_, _babaero_, _vestionl, 
   {{0x9985024f,0xfd8e06a6,0x4aae01db,0x037f0084}},	//   _drekedre, _bahlonip, _мопассан, _bulanna_, 
   {{0x13940373,0x4ea80179,0x069a0574,0x00000000}},	//   _pensas_, _elelogon, _štedljiv, --, 
   {{0xaac70590,0xd2910076,0x4b490173,0x44e1002b}},	//   _гуужуула, _entao_, _terminó_, _ইসহাক_, 
   {{0x31b4003c,0x7e8a003c,0x9c53009b,0x2c7301da}},	//   _بنويسيد_, _پرفسور_, _tentsio_, _mungojë_, 
   {{0x251f040b,0xd2d90531,0x13e9020e,0xbaa404a4}},	//   _kalulaho_, _ntses_, _газгольд, _funkauss, 
   {{0xa37a011e,0x47c100f8,0x00000000,0x00000000}},	//   _resaman_, _শিউরে_, --, --, 
   {{0x429002ce,0x82c1036f,0x4f6a01ce,0x50ae00de}},	//   _malati_, _prilika_, _کریسمس_, _پلاستيکي_, 
   {{0x43d40390,0xc1e90311,0x97290311,0x00000000}},	//   _cavabı_, _ፎይቶትነት_, _ትርጕማት_, --, 
   {{0x2b2d0304,0xf2d80082,0xe03e00ea,0x78e700be}},	//   _tambunan_, _ganewa_, _hantsoin, _نۇقۇرا_, 
   {{0xe0d50397,0xa4570088,0xfb2c01d5,0x47aa0226}},	//   _туннели_, _мирлан_, _rugalmas, _atatsami, 
   {{0x085d0177,0xd37d012c,0xafe80193,0xf9da0473}},	//   _ажәытәӡа, _vipande_, _वैचारीक_, _fortbild, 
   {{0x7c6e020d,0x8afa002b,0x67a806a7,0xea0900cf}},	//   _amarira_, _নেগেটিভ_, _avstemni, _faransaa_, 
  
   {{0x4815015e,0x72fd00bc,0xf95202ef,0x1db102cb}},	// [4000] _жумага_, _ngagem_, _anplisde, _ulaganje_, 
   {{0x53830163,0x6f340046,0x3ec101f9,0x042b0311}},	//   _ennyire_, _escoltar_, _asinakan, _ሚስዮነሪ_, 
   {{0x463202e3,0xd3f90227,0x4cc7033f,0x2386046b}},	//   _quanghai, _dicuri_, _kiekiatu_, _bydru_, 
   {{0xaeb602e5,0x3ae703a1,0x17c800d9,0xa37a03b5}},	//   _acerrife_, _линейка_, _настраив, _desakan_, 
   {{0xf2ef036e,0x4c3403b7,0xd290031a,0xda1300ec}},	//   _allinta_, _arcastic, _mhlan_, _nepasike, 
   {{0x83eb02f1,0xe2900101,0xc2d8026c,0x22eb00c5}},	//   _nesta_, _galati_, _duces_, _grenier_, 
   {{0xc2cb03b0,0xbb230224,0x99d60139,0x325a025f}},	//   _ferda_, _banaslys, _प्रयतो_, _ntoli_, 
   {{0x403901a3,0xa6240342,0x4395064c,0xef2e03b7}},	//   _نيپرا_, _bezaleyè, _uzasno_, _amsterha, 
   {{0x6f6701b7,0xfc4e0163,0xee370039,0x229001a4}},	//   _स्वच्छन्, _dátuma_, _berandua, _kalati_, 
   {{0x35ad02d4,0x80ec00e6,0x9e350350,0x29e402be}},	//   _cooperaz, _从事辐射工作的人, _ለመዳሰስ_, _bulubund, 
   {{0x02cb0125,0x28880064,0x82910269,0xa7d002e3}},	//   _berdi_, _миссиясы, _mitad_, _conganng, 
   {{0x63eb0396,0xaaf50101,0x2e450420,0x24b1045b}},	//   _lesta_, _crestere, _империја_, _аморальн, 
   {{0xbc670023,0xfb19034f,0x7b1a0057,0x0256039e}},	//   _другие_, _riparian_, _የማንነት_, _মহম্মদ_, 
   {{0xf2000731,0x727e0051,0xf0c702d9,0x2f340515}},	//   _polipo_, _ikonai_, _amolemol, _ascoltar_, 
   {{0xa3ce036f,0x049c0053,0xdcb904b3,0x59a700d9}},	//   _proveo_, _विषयाकडे_, _beredoù_, _лидеров_, 
   {{0xeb35011e,0x8202042a,0xc3f9041e,0x3c580347}},	//   _agrandis, _insita_, _sicuri_, _eintlik_, 
   {{0xb3eb0034,0x82910300,0x0e5d02fe,0x6eb20462}},	// [4010] _besta_, _dotaz_, _تجهيزاتو_, _amazonwa, 
   {{0x4bdd03ae,0x73f90039,0x40370192,0x563c0275}},	//   _aldersgr, _gutun_, _wereldoo, _vanimoni, 
   {{0xd3eb01c2,0x6c67023b,0x067a01dd,0x325b00fd}},	//   _desta_, _hokuloa_, _abawutuy, _cualas_, 
   {{0xc2f50326,0x62fc034e,0x33db0275,0xead50089}},	//   _stunner_, _andinus_, _matuitui_, _аңласак_, 
   {{0xba5303ac,0xada2007b,0xa25a0295,0xd03e00a6}},	//   _menerima_, _betrayed_, _etoli_, _ayitshin, 
   {{0x8a91008f,0x993201d1,0x25cc0334,0xaf24019b}},	//   _kinnisas, _dismisse, _ankameny, _цяжкі_, 
   {{0x93200104,0xe292030f,0xb7f900a8,0xda1500f2}},	//   _ozayo_, _akuaku_, _poschiav, _atrastie, 
   {{0xf3dc0474,0xf1a50178,0x2231026c,0xe2fc011d}},	//   _imbwa_, _देवमनुष्, _flumina_, _necitit_, 
   {{0x23940168,0x43eb0034,0x5e200269,0xee4f04a7}},	//   _helse_, _besti_, _llamadas_, _empadroa, 
   {{0x04960164,0x4c2c005b,0x2c5a0049,0x48470107}},	//   _сүзүк_, _bijinesu_, _muatosi_, _chilopod, 
   {{0x7e4001ec,0xa2000544,0xa0fe034c,0x7af50192}},	//   _هالیوود_, _hikina_, _магнетик_, _prestere, 
   {{0x7ed40095,0xa26e00a5,0xcd970013,0x33dc046d}},	//   _مبانی_, _popole_, _salohiya, _mmbwa_, 
   {{0x630e00f4,0x24f701f4,0x00000000,0x00000000}},	//   _dalbenn_, _қаратмоқ, --, --, 
   {{0x7c340411,0xf32004a5,0xa3f90032,0x3985008a}},	//   _телепрог, _ezayo_, _lutul_, _tipiloma_, 
   {{0xad030010,0x63f8005b,0x71b600c4,0x8045008f}},	//   _ahambele_, _mikuni_, _گنهگار_, _जानलीह_, 
   {{0xeb740031,0x4ce30035,0xc47e0376,0xa31601f9}},	//   _beasiswa_, _artıgı_, _byggiyrk, _ilebuli_, 
   {{0x825a0321,0xd20801f6,0xf0e00635,0x82ec002e}},	// [4020] _stoli_, _এতিয়াৰ_, _гневу_, _gubitke_, 
   {{0xa2900250,0x8290023b,0xe2c602a0,0xe29102d4}},	//   _cilat_, _pilau_, _abalaye_, _citad_, 
   {{0x867600d7,0x125b0005,0x23940073,0x45c700be}},	//   _батыров_, _qualas_, _sensos_, _قوقۇستۇق_, 
   {{0x22900117,0xc25b001c,0x2fcc0041,0x13f8022c}},	//   _andap_, _bielsk_, _aníke_, _dudus_, 
   {{0xa844008c,0x02d80513,0x2bf0013a,0x12d5005a}},	//   _adattads_, _kaneta_, _deselwec, _mutojta_, 
   {{0xf30a0097,0xfe9b0212,0x62020076,0x31470188}},	//   _abanidij, _alterius_, _insira_, _маликаи_, 
   {{0xf37e024a,0xbc9200fc,0x429101be,0xce2000cd}},	//   _básanjó_, _luleghlu_, _potaz_, _clamadas_, 
   {{0xc2240320,0x129000bc,0xc22603f1,0x8308013c}},	//   _avaku_, _kilas_, _neskor_, _artacaq_, 
   {{0x1fbf041f,0xc31700dd,0x1f4102d8,0xcd370299}},	//   _abangaso, _weinidog_, _fungsion, _турқиға_, 
   {{0xbc760044,0xa2da02b9,0x62d900f2,0x3e13004d}},	//   _missing_, _koreai_, _pusei_, _通宵店的鏡_, 
   {{0x83eb03d4,0xd2b4019a,0x924a00f1,0x126e008e}},	//   _vesti_, _brocht_, _fermen_, _fasoon_, 
   {{0x82500162,0x950100e9,0x7f3f01f9,0xef3801d2}},	//   _يىگەن_, _espesial_, _bunganan, _chaupima, 
   {{0x12900343,0x23cb0138,0xf29001aa,0x00000000}},	//   _gidak_, _sanatı_, _anlay_, --, 
   {{0xc3f90316,0xeb3201a3,0xc2b6033d,0x9c490086}},	//   _mutum_, _جهوٽو_, _dorcil_, _interjút_, 
   {{0xd39c0013,0xb3f2020f,0x22c703f8,0xb3f903a4}},	//   _тартибда_, _abazame_, _chemdaq_, _lutum_, 
   {{0x620001fe,0x82900117,0x9a4e012c,0x00000000}},	//   _tikina_, _bilas_, _angeweza_, --, 
   {{0xf2f1038a,0xd2d60008,0xb19c00a6,0x929001c0}},	// [4030] _tarinki_, _recordo_, _سلسلې_, _cilas_, 
   {{0xf7a402f3,0x929003ab,0x6361005b,0x715f0388}},	//   _medelhav, _chlad_, _bizgram_, _cinghial, 
   {{0x2b6103f7,0xc2f200c7,0xea530006,0x99370142}},	//   _regluger, _аккан_, _penerima_, _anuminot, 
   {{0xa2900082,0x00dd001d,0x92490107,0x838600d8}},	//   _tilas_, _heintzel, _arjosari_, _chorma_, 
   {{0x0c4d020a,0x6202003f,0xe3be00ca,0x00000000}},	//   _ايارلار_, _rosiya_, _convidi_, --, 
   {{0x6175002e,0x0637024b,0x52010121,0xd290021a}},	//   _pročitaj_, _ayuntami, _encima_, _azhara_, 
   {{0xb3eb0428,0xa200026c,0xad1f0241,0x807500e6}},	//   _mestu_, _illico_, _callaake_, _庐江县人民政府_, 
   {{0xe55500d1,0xe2240171,0xf2d90019,0x5398045b}},	//   _উত্সাহ_, _svaku_, _museu_, _агропром, 
   {{0xe3f80242,0x07b90250,0x325a00a4,0xe2900242}},	//   _budur_, _komuniki, _quilos_, _xilas_, 
   {{0xc2900338,0xd9a20475,0xc1c900bb,0xb20000fe}},	//   _vilas_, _площадке_, _گراونڈ_, _kikila_, 
   {{0x307a0453,0xf26e004f,0x67b402af,0xac0501f1}},	//   _besplatn, _tasoon_, _akarindi, _perseri_, 
   {{0x329101c5,0x2b2801ef,0xa10b0226,0x4d990097}},	//   _intaa_, _факультэ, _akukolol, _baluwẹ_, 
   {{0x8f3a0025,0x542700fb,0x03f8007f,0x95d000aa}},	//   _alaukika, _ahlabayo_, _tudur_, _baratily, 
   {{0x228c00bc,0x5b1f0140,0x17370220,0xf290003a}},	//   _shakila_, _kalayaan_, _маслото_, _zilar_, 
   {{0xaeae01ef,0x728e0261,0x67250159,0x9be50297}},	//   _dailinin, _verkojn_, _deklarav, _gipermar, 
   {{0x57ec0475,0x797a048c,0xcf480220,0x02a600f4}},	//   _устанавл, _burnishe, _consegna, _adober_, 
   {{0xd26e022e,0x6d1c0177,0xff1f01b2,0x1bb20056}},	// [4040] _nipote_, _еилеигар_, _defermen, _боғчаи_, 
   {{0x526e0100,0x53940064,0xe2900732,0x8d2303d5}},	//   _tipove_, _penses_, _gidah_, _alligate_, 
   {{0xd2ca003f,0x929000bc,0x1b1f02ec,0xfb010195}},	//   _bemdaq_, _tilar_, _galayaan_, _oibriche, 
   {{0xdc010191,0x4f3a0321,0xf2240087,0x4bca0153}},	//   _kostnads, _nadstrop, _hwaka_, _歩き屋野遊び店_, 
   {{0xb29103f2,0xe2dd005a,0x29900196,0xb6d0008d}},	//   _antaa_, _bisoldi_, _amakalit, _yaratili, 
   {{0xb202032e,0x83410396,0x97350156,0x4386005b}},	//   _irpiri_, _materja_, _געפרוווט_, _ekorea_, 
   {{0xe2d90052,0xbadb0321,0xd2240168,0xd98e027c}},	//   _muset_, _kronična_, _svakt_, _baphanda_, 
   {{0xb3d300da,0x96a203e7,0x62920007,0x3224018e}},	//   _гладиолэ_, _populasy, _betaki_, _lwaka_, 
   {{0xc2b50222,0x29c700b7,0x667d02ec,0x0c49012e}},	//   _chacun_, _гарамак_, _waddooyi, _interjúk_, 
   {{0xd688041a,0xfa06005e,0xa40a02fe,0x53eb022e}},	//   _контролю_, _چاقناپ_, _قاچاقبرا, _gestu_, 
   {{0x9952021a,0xc24900b4,0xb200037c,0x42da01fb}},	//   _hypocent, _termenii_, _modico_, _obtene_, 
   {{0x4d5500c5,0xd929008d,0xb29000d2,0x3d3d0040}},	//   _中国人民政治协商, _яраланга, _hilap_, _אשתקד_, 
   {{0x4c5700d7,0x03eb0075,0x83f9037f,0xa41b01da}},	//   _hostele_, _bestu_, _tutub_, _ንኣሜሪካ_, 
   {{0xa5a00025,0x7c570287,0x2f1e05d5,0xe85c02a9}},	//   _प्रतिनिय, _kostele_, _mundolin, _азёрах_, 
   {{0xb6dc0255,0x725b03cc,0x45050040,0x598e0307}},	//   _मानित_, _cuales_, _טוקבק_, _baphinda_, 
   {{0x42f00242,0x9af00127,0x00000000,0x00000000}},	//   _lehimli_, _ezkreize, --, --, 
   {{0x72d90230,0x84b60322,0xca0a0479,0x00000000}},	// [4050] _fuset_, _ahabonek, _fogfehér, --, 
   {{0x19b500e4,0x8b2c034e,0x96ff022a,0x127f00a4}},	//   _दुष्कर्म_, _allawans, _kosteifö, _amants_, 
   {{0x926d000c,0x66d600be,0x92130062,0x4b570338}},	//   _ambota_, _كۇبوككو_, _nopha_, _cantaira_, 
   {{0x62900277,0x40f70025,0x5eb703c4,0x25e2014a}},	//   _salapi_, _अभावे_, _намаян_, _hitelesí, 
   {{0x02ea0261,0x32da0034,0x62ab00c9,0xf59600c5}},	//   _regiono_, _noregi_, _mdidong_, _毛泽东思想_, 
   {{0x5c5c02df,0x850d00b0,0x730c0189,0xed7c002b}},	//   _pertuan_, _hormariy, _diyanet_, _জামিনের_, 
   {{0x868b00ff,0x56180179,0x8e1500e0,0x05700061}},	//   _אלעאי_, _melalasä, _arrestaa, _문화예술회관_, 
   {{0x4f3f0733,0x2ab80037,0x231802be,0xb2da0372}},	//   _ghishiya, _የሰውልጅ_, _hihiling_, _morgeisi_, 
   {{0xec510034,0x0cf3015c,0xa7ac003e,0x020004b2}},	//   _samtaka_, _gesteier, _difestiv, _andito_, 
   {{0x4dd70113,0x486903b4,0x9161019d,0xa30702ef}},	//   _وفاته_, _achikuru, _chiricho, _ispanik_, 
   {{0xe2d30027,0xfb3401a4,0x93e10156,0xd34b0127}},	//   _meropik_, _mabandis, _וואלאווע, _enstaliñ_, 
   {{0x9f850177,0x113100c5,0x6adf023d,0xb9320024}},	//   _автомашь, _中国共产党大事记_, _costruit, _কৰায়_, 
   {{0xb87e0066,0x1feb005c,0x3b8702d5,0x83ac0057}},	//   _дипломын_, _bunyuran, _क्रमक_, _karpal_, 
   {{0x422501ce,0x4b2102a8,0x22a600b7,0x05fe0291}},	//   _پژمان_, _komprome, _пуррелед, _absalóid, 
   {{0x525b01cf,0x5a7e0285,0x852203a0,0x33100040}},	//   _quales_, _ukwakira_, _botokany, _שמטרתו_, 
   {{0x56fb00c5,0xc2360149,0x114c017d,0xe90600c6}},	//   _新增建设用地土地, _ojiji_, _ligestil, _klubbmed, 
   {{0xbf270183,0xe29000ad,0x8a9e023c,0x4a8c0004}},	// [4060] _tsiraira, _walah_, _مسافرو_, _afritjen_, 
   {{0x737a03dd,0x530001af,0x820200ea,0x0213020e}},	//   _pagesë_, _allamow_, _alsima_, _fopha_, 
   {{0xf90a0223,0xa266000d,0xe29001d5,0x3d92004b}},	//   _хюмин_, _spordibl, _falai_, _lelekile_, 
   {{0x9b7b0169,0xdaf20166,0x675e025e,0x5cc80144}},	//   _মুক্তচিন, _konseque, _útigangs, _متولي_, 
   {{0x88580445,0x614a0311,0x00000000,0x00000000}},	//   _segredos_, _ከይንኣቱ_, --, --, 
   {{0x861f000c,0x52e6015e,0x3ebf01b8,0x0afc0223}},	//   _balniari, _llança_, _saarlane_, _laurdene, 
   {{0xb2d4024a,0xa2900062,0x757d0138,0xf04f0035}},	//   _aidogba_, _dalaw_, _alakası_, _идарәләр, 
   {{0xed070044,0x01d50169,0xf83d0478,0x0a10023c}},	//   _אינסטלצי, _হস্তমৈথু, _promulgu, _bapasile, 
   {{0xc16a021a,0x4b3401a4,0x09f703be,0xff260043}},	//   _baasaboo, _babandis, _bakabite, _baatuvaa, 
   {{0xe5d40242,0x137f0113,0x4d0c0359,0x00000000}},	//   _redaksiy, _urlanna_, _sammelje_, --, 
   {{0x6b7f0108,0xefce0257,0xf3f90277,0x6fa70022}},	//   _sakumaha_, _kannanir_, _lutua_, _журналыб, 
   {{0x9c550332,0x615804e5,0x9a310333,0x00000000}},	//   _voltaje_, _besukolo, _boucanie, --, 
   {{0xf2d500db,0xd2c80162,0xb26d0076,0x29f70226}},	//   _sellest_, _خاندانلى, _embora_, _bulanget, 
   {{0x9290008b,0x5d0b0258,0xb29c01a3,0xb16f0204}},	//   _calaw_, _earrebar, _نزريني_, _vedellä_, 
   {{0x38230144,0x7386033a,0x29ce0005,0x5b050156}},	//   _خطوبه_, _skorja_, _bandunie, _brigadon_, 
   {{0xac48033e,0xc2bc006e,0x43f903ad,0x13200362}},	//   _ahendúvo_, _bindeul_, _attur_, _ezaya_, 
   {{0x22360382,0xd2ca04ce,0xd3ac0405,0x35f4022a}},	// [4070] _ujiji_, _kundwa_, _pupper_, _pakeninü, 
   {{0xc20e009b,0xd29002a2,0x0f5704cf,0x00000000}},	//   _канад_, _galaw_, _emlanjen, --, 
   {{0x87e501cc,0x53f402a4,0x73e300d7,0xed7502c1}},	//   _स्मरति_, _vestri_, _dimmarak, _aramutse_, 
   {{0x897801e4,0xa36e037a,0x894b03a0,0xb9f0018e}},	//   _velikost, _amaguru_, _aphosete, _easiriya_, 
   {{0x22910077,0xf8df029b,0xf6c70331,0xb2ce03f5}},	//   _mitan_, _banglaad, _oddagrei, _incluem_, 
   {{0x52d901d9,0x5c660088,0x625103a8,0x62ab0138}},	//   _musek_, _барышым_, _সংখ্য়া_, _kübra_, 
   {{0x029101c5,0x1d8c05c0,0x49350060,0xe52102a2}},	//   _xitaa_, _awtorita, _تۇرلەر_, _prinsipy, 
   {{0xed07013a,0x65930461,0xa3eb026c,0x6b2d00f2}},	//   _bearbesc, _abandonè, _laetus_, _pamatnos, 
   {{0x43bb00ef,0x2200013d,0x0fed054a,0x9d900013}},	//   _دسوات_, _polico_, _republič, _кезда_, 
   {{0xf0530162,0x3c5b05ff,0x3e3f03b9,0xa2e60035}},	//   _комите_, _zahtjev_, _mamamamp, _alança_, 
   {{0x71c3011f,0x00000000,0x00000000,0x00000000}},	//   _vikipetã_, --, --, --, 
   {{0xe24801cc,0xf0790247,0x63d000ca,0xdf350034}},	//   _janma_, _عزیزم_, _bactèris_, _bessasta, 
   {{0xa202012c,0xf00103d1,0xde5f006c,0xdd2c0184}},	//   _kisiwa_, _birokrāt, _оппозисю, _rwansize_, 
   {{0x0290023b,0xe4600193,0x9394016a,0x82920147}},	//   _lalau_, _dijelask, _pensis_, _جۅۅجۉرۉ_, 
   {{0xf9ed00a5,0x268103db,0x7e4c0168,0x43410049}},	//   _fitusefu, _engenasi, _kragerø_, _suvenia_, 
   {{0xc4960092,0x9b870212,0x02380241,0x9c6000a8}},	//   _特許請求の範囲_, _remitter, _dhamsii_, _bartgas_, 
   {{0x2d7500a9,0xbae101dc,0xf291017e,0xb6a502e8}},	// [4080] _uramutse_, _ampurmet, _antau_, _fungidzi, 
   {{0xd29100d5,0x1713022f,0xf3a201bd,0xa9090153}},	//   _hitan_, _фондах_, _дінтану_, _とことん値切って, 
   {{0x8224019d,0x9689016d,0x59160060,0xf48c0128}},	//   _mwake_, _баралмид, _باقتتڭ_, _тўнтариш, 
   {{0x2224002e,0x9ac801f1,0x33780115,0x96770234}},	//   _svaki_, _norvegje, _lakaran_, _àléébù_, 
   {{0x8c620358,0xe2df00d9,0xfeea018d,0xc7750139}},	//   _fevriye_, _sanomat_, _ንምልዋጥ_, _उत्सहे_, 
   {{0x765b0282,0x1ae7023d,0x05900061,0xee900220}},	//   _kaikōmih, _четирите_, _행복한세상_, _trattore_, 
   {{0x320f0298,0xed73005b,0x6ddd0052,0x0c6b00aa}},	//   _wāina_, _aammamap, _उपन्यासम, _mahumut_, 
   {{0xc2910343,0x5b170210,0x668101c9,0x8eb70734}},	//   _gitan_, _achatits, _मैयाँ_, _camelias_, 
   {{0x4f4a00df,0xd2ca00ee,0x130f03a7,0x9fa004a2}},	//   _personna, _mundua_, _bolesť_, _elevados_, 
   {{0x7291018a,0xa34c01b7,0xb7740311,0x722b0054}},	//   _yntau_, _गृहमेधिन, _ንጠለባት_, _gulmace_, 
   {{0xf29003b5,0x72d8057c,0x6907016d,0xc3660417}},	//   _kalau_, _ihjel_, _сайлимиғ, _kletskam, 
   {{0x047a05b3,0x68e703b0,0xb2a30197,0xc9810334}},	//   _ingewikk, _lærlinga, _antiyè_, _bulifike, 
   {{0xb29103dc,0x16310372,0x82fa01ad,0xbc8102c2}},	//   _vitan_, _economai, _bochnia_, _engeland_, 
   {{0x92900082,0x0a850163,0x2bd601a2,0xb5b801a3}},	//   _hadari_, _سویدا_, _definīci, _سِڪوُلَ_, 
   {{0xb26300a1,0xcad7008a,0x94aa0590,0x5202012c}},	//   _horopaki_, _alotolot, _твиттэр_, _visiwa_, 
   {{0xb290050b,0x84eb004d,0xa1270205,0xa8e704b4}},	//   _galau_, _萬美元以上_, _мажолис_, _lærlinge, 
   {{0xc278038a,0xd3eb0211,0x929001a4,0xa13f0399}},	// [4090] _abuná_, _kesti_, _balati_, _manutoto, 
   {{0xa290027b,0x0484017a,0x2d8100d8,0x048e01a3}},	//   _calati_, _abafelok, _abreujat_, _ديانتدار, 
   {{0xc7b8030f,0xc15c0064,0x09e60189,0x205902c4}},	//   _aniwaniw, _тумар_, _kutusund, _неточна_, 
   {{0x72900120,0x6142032d,0xe3eb0396,0x32900119}},	//   _dalat_, _аттар_, _lesti_, _inday_, 
   {{0x5f750149,0xb378016b,0x5b7f0240,0x32000020}},	//   _chọba_, _takaran_, _masulaka_, _leiite_, 
   {{0x9380029f,0xb290043d,0x5cb60193,0xad970021}},	//   _vopred_, _walau_, _bengkulu_, _actoriza, 
   {{0xd25a064d,0x05770257,0x98dd018d,0x7db9030f}},	//   _auolo_, _skilaboð, _እንተቐጺሉ_, _ngangaha, 
   {{0x831102ac,0x12760189,0x3eb401ee,0x50e1008d}},	//   _bancác_, _gündemi_, _япала_, _desangiz_, 
   {{0xc2ca00b7,0xd25700b9,0x72910378,0xf24a003d}},	//   _menden_, _विजेचा_, _ritan_, _bermon_, 
   {{0x929000e7,0xe2900735,0x305a00c9,0x425a00e9}},	//   _onday_, _kalat_, _agribank_, _trole_, 
   {{0xd2900211,0xe22400e3,0xc63a0076,0xaf28033a}},	//   _jalat_, _blokok_, _lembranç, _dentella, 
   {{0x005a0092,0xdb8e03b6,0x62b301e5,0x71010187}},	//   _このブログ全体を, _apaiwoor, _oduduwa_, _сврти_, 
   {{0x22900201,0xfef3004c,0x09ab010f,0xcab00287}},	//   _walal_, _abakomun, _аккалан_, _tradičně_, 
   {{0x12ca0079,0xa2910482,0x71b1004a,0x023b02a1}},	//   _saldus_, _gital_, _açıluğa_, _heeldag_, 
   {{0x62010294,0xd5da00b9,0x63f700a1,0x63a20005}},	//   _lexing_, _gambarny, _ahorangi_, _cumpri_, 
   {{0x629001fc,0x42900058,0xa18f0135,0xb9e602f8}},	//   _sidat_, _bidas_, _almastay_, _pulopula_, 
   {{0x52900245,0xe29002d4,0xdef200e4,0x820201e9}},	// [40a0] _ialam_, _midar_, _चुटका_, _bosika_, 
   {{0x9d140125,0x82cc0272,0xd290009e,0x7a150021}},	//   _сыртыны_, _amalayo_, _lidar_, _arrantie, 
   {{0xc3860138,0xfa7f03cf,0x12900265,0x82b201e6}},	//   _benzeri_, _yasalara_, _zolang_, _hladina_, 
   {{0x86d500b0,0x8290008c,0xf4cb0486,0xa290056c}},	//   _daraawii, _gidar_, _केडिया_, _talasi_, 
   {{0x2288015d,0xab41036e,0x00000000,0x00000000}},	//   _efektem_, _denbighs, --, --, 
   {{0x23f90227,0x42900736,0xc9c9008d,0xd2b2009f}},	//   _lutut_, _sadari_, _munozara_, _mladina_, 
   {{0x42d90200,0xd0a903a1,0x02900410,0xfdb30217}},	//   _chineke_, _пропуска, _kalari_, _remanite_, 
   {{0xd1000044,0x32900256,0x429100ca,0xc25a023b}},	//   _למחירון_, _galam_, _aital_, _puolo_, 
   {{0xe290017d,0xe31802a2,0x80f200c1,0x9284046f}},	//   _salal_, _balitang_, _बागवे_, _amoklaf_, 
   {{0xcad103ea,0x2a7e019d,0x72c8031d,0xa2d601df}},	//   _boutique, _akwalira_, _afflink_, _bullits_, 
   {{0xd4330169,0x67f10315,0x925b02a4,0x770f0072}},	//   _হামিদ_, _akusesiw, _qualis_, _sartasiñ, 
   {{0x650204fc,0x98d8006c,0x3ed9013d,0xd70801c8}},	//   _নিয়ে_, _сентябр_, _altiĝas_, _postupný, 
   {{0x4d6a0037,0xcd0f0411,0x00000000,0x00000000}},	//   _በፍርሃት_, _utformet_, --, --, 
   {{0xe25a045e,0x12f801b3,0x487000e6,0x82d802d3}},	//   _ruolo_, _курортно, _军事第一播报_, _caneta_, 
   {{0x329001fc,0x32570737,0x5290017e,0x6a1b0350}},	//   _bidar_, _målte_, _sidas_, _መነሳታቸውን_, 
   {{0x58c6053e,0x229002d5,0x23e20247,0xee2a0244}},	//   _innehold, _pidas_, _kondhang_, _джоли_, 
   {{0xbec402ee,0x73fa0272,0x21e700c1,0xb2d8023e}},	// [40b0] _transkon, _abuuke_, _आईवडिलां, _ganesa_, 
   {{0x3241004b,0xce3504a7,0xa2260387,0x4be70425}},	//   _khampani_, _mulleres_, _akukwo_, _زرادن_, 
   {{0xf4d70479,0x3c5c0113,0x3b450023,0xa291014b}},	//   _تراجم_, _captaen_, _отключит, _intah_, 
   {{0x229100c3,0xc2e90180,0x2c7503d5,0x9856038a}},	//   _vitae_, _argiman_, _bequest_, _awistrus_, 
   {{0xd279034b,0x734e0009,0x98580037,0x28c601c7}},	//   _piginini_, _spredaj_, _ይወድቃሉ_, _aprelind, 
   {{0x42010333,0xa29102d5,0xaf410528,0xdd5401b5}},	//   _vicina_, _aitab_, _biastaga, _ekwazulu_, 
   {{0x42da01d1,0x99de0085,0x37af021b,0xae6c00bb}},	//   _october_, _cikuuuuu, _soveltuv, _بیجوں_, 
   {{0xf3180140,0xe3b5023d,0x0cd60366,0x738b0371}},	//   _salitang_, _trovata_, _царской_, _достойнс, 
   {{0x29780179,0x72900405,0xea280144,0xfe8e0019}},	//   _dakipast, _vidar_, _ستريت_, _барактоо_, 
   {{0xed6000c5,0x01ed0455,0x325a0738,0xcf9b00bc}},	//   _香港紫金碳雕加盟, _comparez_, _fugle_, _اکریلیک_, 
   {{0x72900120,0x724a018b,0xc2900212,0xe3e30243}},	//   _malak_, _termen_, _palam_, _merrayti_, 
   {{0x22960152,0xbdce0314,0x62d801f1,0xa25a02ab}},	//   _yazuçıla, _кишер_, _banesa_, _itolu_, 
   {{0x6dda0453,0x051100d1,0x4b6e015e,0xb332004d}},	//   _naglašav, _গায়কসকল, _кирпи_, _以及第二身分證明, 
   {{0x0db9056f,0x7c77031e,0xdcbc02ec,0xd2570144}},	//   _stredné_, _ispravi_, _aawadeed_, _dílse_, 
   {{0x44c100f5,0x3d8a00e2,0xe2e00183,0x27190052}},	//   _йөнекей_, _beheinde_, _ajanoko_, _लक्ष्यां, 
   {{0x62910006,0x22900163,0x807704c7,0x227f0227}},	//   _entah_, _halak_, _ирански_, _keenam_, 
   {{0xaf3600af,0x19760071,0xd2ef001d,0x52900120}},	// [40c0] _prøver_, _aranseme, _folieta_, _kalak_, 
   {{0xdaf801f2,0x9b1704eb,0x0305027b,0xcc790392}},	//   _дәпнә_, _रेसकोर्स_, _सच्छिद्र, _seòlaidh, 
   {{0xed0101d7,0x9291004f,0xf0cc0342,0x00000000}},	//   _ancunasc, _gudaay_, _makloukl, --, 
   {{0x92cb02bd,0xa30e04ee,0xb291018b,0xb9e4004f}},	//   _credir_, _nnabata_, _intai_, _léégui_, 
   {{0x95f90023,0xf54d041e,0xf29000ad,0x225a0499}},	//   _напряжен, _dignità_, _halah_, _atolu_, 
   {{0xd6f1014b,0xdc2c0044,0xfc0b0136,0x927101a4}},	//   _farakká_, _assisted_, _skupila_, _evandeli_, 
   {{0x42cb018d,0x32d9044f,0xfac80074,0x00000000}},	//   _ጉድለትን_, _dibeli_, _ресурсы_, --, 
   {{0x0e850178,0x05200143,0xd7870094,0x65940153}},	//   _antaḥpra, _стартова_, _نالانى_, _回高校体育大会_, 
   {{0x0cda005e,0x89f80312,0x204b040f,0xb9e300fe}},	//   _كۈنگىچە_, _belaruse, _graužini, _nofotaha_, 
   {{0xde1b0006,0x27990013,0xe2900155,0x225a0066}},	//   _kelemaha, _қабристо, _domare_, _tailer_, 
   {{0xcdbd029b,0x43e40203,0x1ea70083,0x62cb028d}},	//   _attiijaa, _contradi_, _rentiert_, _predir_, 
   {{0xb986027f,0x685f00ff,0x62d80005,0xa34904aa}},	//   _agukwere, _impresas_, _canera_, _turenaw_, 
   {{0xc2020461,0xc7eb021c,0x082f0272,0xaed40080}},	//   _cosina_, _bambusov, _ayambidd, _bilitsin, 
   {{0x025a01ec,0xd30e0558,0x7b32005e,0x565d034c}},	//   _quills_, _anabata_, _ئەلشىر_, _зоналары, 
   {{0x4da20329,0xa29000ab,0xb2750125,0x7292022b}},	//   _prensipa, _matapihi_, _gündelik_, _oftani_, 
   {{0x225a0024,0xf2cb04b1,0xf2920278,0xaff70156}},	//   _অধিষ্ঠিত_, _verdt_, _mutaah_, _לעװין_, 
   {{0x5f1c0218,0xee2a0037,0x172701d5,0x829000a0}},	// [40d0] _albumswa, _የማይሰጡ_, _بریسٹ_, _dadai_, 
   {{0x02a002ec,0x80be02d3,0xd2d602c7,0x1c650299}},	//   _کۆڈمت_, _комплетн, _autoren_, _сундуқ_, 
   {{0x7c760387,0x0db3015a,0x7ca301f2,0x23f90117}},	//   _adiresi_, _amananna, _нәқәдәр_, _sutum_, 
   {{0xf3f90117,0xa3f90120,0x9553020f,0x5f100160}},	//   _putum_, _mutuk_, _benkcith, _predvodn, 
   {{0xbfae020a,0xf25a014e,0xb4da0076,0x12d9019c}},	//   _банкі_, _želeo_, _болна_, _bibeli_, 
   {{0x920000c8,0x1257068b,0x2987028a,0xb25b03e6}},	//   _dikimi_, _bålet_, _alikamat, _baaler_, 
   {{0xef4c017d,0x329004bd,0x43860155,0xe7c70164}},	//   _priserne_, _kalai_, _gjorda_, _санини_, 
   {{0x82260292,0xe69a002b,0x928b01c8,0x66d302d8}},	//   _akukuo_, _দক্ষিণাঞ, _osloví_, _ब्रिच_, 
   {{0x138f00c5,0xdad101b0,0x53f90120,0x0238003c}},	//   _年获得了苏州市政, _hermawan_, _hutuk_, _anemoni_, 
   {{0x42900240,0xc061012c,0xabf1020f,0x425a017e}},	//   _lalai_, _بندرو_, _basesitr, _brilas_, 
   {{0x12e90184,0x0d620061,0x02d4030b,0x7bef0109}},	//   _birisha_, _인터넷광고_, _bakerubi_, _bolestec, 
   {{0xe28c012c,0x6aaa00a4,0x13eb022d,0x52880071}},	//   _chakula_, _بوتەلكە_, _sestu_, _دونيرو_, 
   {{0xff670510,0xec590264,0xbc1101b3,0xba3503e6}},	//   _других_, _binulig_, _статусом_, _arrangéi, 
   {{0x7a520075,0x09620060,0x90a20126,0x11fa0126}},	//   _formanss, _белестер, _суперкар_, _включно_, 
   {{0x33780194,0x2be501cf,0x3f580126,0xc5a700f8}},	//   _incarna_, _valletto_, _оболонки_, _জ্বলছি_, 
   {{0x6737040d,0x72900288,0x5291012c,0xba930405}},	//   _thulanag, _eadaw_, _mitaa_, _лондоні_, 
   {{0xdf5e00d2,0x04ff03d5,0x00000000,0x00000000}},	// [40e0] _digandon, _cagliagh, --, --, 
   {{0x126e026a,0x0f2a01d2,0x24ea01ff,0x2e1b0452}},	//   _ripote_, _fuerzapa, _previesť_, _pelemaha, 
   {{0x9c1700c9,0x41ab02a8,0x4b510456,0x0d7a00fb}},	//   _rapphim_, _stampati_, _cendawan_, _axelelwe_, 
   {{0xc2900004,0x9ad103b5,0x63eb007b,0x00000000}},	//   _kadav_, _dermawan_, _jests_, --, 
   {{0x02d000d3,0x00000000,0x00000000,0x00000000}},	//   _kokosem_, --, --, --, 
   {{0x4d2a0039,0xa29100cf,0xc4a002d3,0x5c0403b4}},	//   _etengabe_, _bitaa_, _trazendo_, _haasati_, 
   {{0xc3f9038e,0x7a970140,0x552b0265,0x03cf0198}},	//   _butuh_, _tumingin_, _basissch, _obrvi_, 
   {{0x52d90165,0x723201c8,0xb781027b,0x8c2202f8}},	//   _laveta_, _plemeno_, _वस्तुशास, _pilitauu_, 
   {{0x7d100258,0x72b90393,0x0ef200db,0xa20003f7}},	//   _boalsert_, _debelog_, _फूंको_, _asdis_, 
   {{0x2202048f,0x329001af,0x5699036c,0xa378055d}},	//   _kosila_, _talap_, _antenimi, _pelakon_, 
   {{0xe2fc00a7,0xc8fe02ac,0xbeb80373,0x00000000}},	//   _positiu_, _وأجوبة_, _defendis_, --, 
   {{0x83eb0312,0x825b0232,0x12fd02e7,0xcb65007b}},	//   _mestr_, _influi_, _isagol_, _hittemup_, 
   {{0x324a00b7,0x49db061c,0x36d102d5,0x73eb02c6}},	//   _derman_, _porodica_, _मोहिं_, _lestr_, 
   {{0x72ea01e7,0xdddf0291,0x7a39034c,0x00000000}},	//   _actioun_, _تستدعي_, _венерик_, --, 
   {{0xa4770029,0x03eb0044,0x825a04b8,0xd2d90165}},	//   _نامیلکه_, _tests_, _nailar_, _daveta_, 
   {{0xb26700ff,0x084d02dc,0x91ea0311,0xf4af02ca}},	//   _ננננננננ, _castelos_, _ብምሕጻብ_, _colóime_, 
   {{0xc2d80359,0x529100fe,0x8290048e,0xccf50040}},	// [40f0] _winnend_, _eitai_, _gadav_, _credited_, 
   {{0x344000bb,0x43ce0296,0x22d9019a,0xe2ca0374}},	//   _الکرسی_, _allvar_, _ruses_, _sendan_, 
   {{0x79a302da,0x73f902f8,0xadf5014d,0x18b7005b}},	//   _ministér, _lutui_, _hunderte_, _bordplad, 
   {{0x12a700a0,0xbb2501f5,0xa40d0320,0x2a4a04ca}},	//   _ayuba_, _habbatus, _maendlek, _cerdanha_, 
   {{0x42900025,0x73e50030,0x32d901b9,0x12ca0033}},	//   _dadau_, _tātad_, _duser_, _vendan_, 
   {{0x07ed003c,0xf2a001b8,0xc4040178,0xe142005e}},	//   _kapanlag, _klubid_, _amuṃl_, _ئەبجەش_, 
   {{0x83a902e7,0xc3f901ab,0x32910488,0x0d0f00b5}},	//   _gitanyag_, _istub_, _citai_, _iplocate_, 
   {{0x6bf20050,0x35880127,0x96400326,0xcb6d01d5}},	//   _kartakus, _beurzesk, _chandirw, _riporter, 
   {{0x8f1502e2,0xd60f018d,0xdc5a04ca,0x0ae300bc}},	//   _furthera, _ንዝተባህለ_, _sintaxi_, _berliyan_, 
   {{0xc8e00359,0xb25a0121,0xb6880045,0x78ba0038}},	//   _oangeand, _bailar_, _андрић_, _биобибли, 
   {{0xcb1700bf,0x52e70172,0x994f00b4,0xa314005b}},	//   _надзору_, _nnonnoo_, _aprobare, _bijinbij, 
   {{0x02d90051,0x0ac500da,0x029102e7,0xa2ea02cf}},	//   _puses_, _адаптаря_, _bitaw_, _prontas_, 
   {{0x33cb0040,0x92fe013c,0x990a05d2,0x6788004b}},	//   _בפוטושופ_, _nergiz_, _gulbrand, _зарланыр, 
   {{0xded3007e,0xae69003c,0x97bc0076,0xe2f00226}},	//   _prayujya, _مبارزات_, _комуници, _goliati_, 
   {{0xd29002a3,0xe84a01a7,0xb59c0053,0xb20000fe}},	//   _nadat_, _доска_, _sanustik, _kikihi_, 
   {{0xd3eb02c6,0xcb310309,0x13950035,0xc59a0092}},	//   _restr_, _klubunun_, _alası_, _マリンスポ_, 
   {{0x3ef00281,0x5efb01d5,0x2ed6040f,0x00000000}},	// [4100] _folketin, _meseköny, _signalas_, --, 
   {{0xb60c0583,0x925a025c,0x9b7f00ee,0x9808018d}},	//   _avtomati, _stolz_, _akordioa_, _ከይፈተወ_, 
   {{0x62ca00f7,0x63800172,0xdebe020f,0xd37c0203}},	//   _mendon_, _afurum_, _akunqwen, _curasse_, 
   {{0x96e00147,0x3edd018d,0x92900240,0xe3f903ac}},	//   _تامەكى_, _ዘይምቕባል_, _komave_, _dicuci_, 
   {{0x827e0578,0xa8060144,0xf3560033,0x00000000}},	//   _hmong_, _aficheur_, _anseuls_, --, 
   {{0x7290012c,0xf103017a,0x735f0653,0x00000000}},	//   _wadau_, _akayitho, _lucerny_, --, 
   {{0xa3e70034,0x4a4a013d,0xa8800275,0x7ff500e6}},	//   _láttu_, _tradicia_, _masinalu, _请一定升级到最新, 
   {{0x62e90308,0x8b6c0139,0xbcf30126,0x3d320026}},	//   _dirinya_, _aparatra_, _невикона, _boeiende_, 
   {{0xdb9400c7,0xa13f0262,0xbd3b0311,0x25760076}},	//   _алишина_, _begenmel, _ገዛውትና_, _inclinaç, 
   {{0xf27e0050,0xd2900138,0xd315042c,0xa2c4003e}},	//   _omong_, _ablam_, _aktivnij, _hillard_, 
   {{0xa2d90003,0x33ea02be,0x7c8400bf,0x0c1f00f4}},	//   _opeens_, _brotsa_, _беркеман, _goapaus_, 
   {{0x927e06a0,0x22ef01cd,0x12480120,0x02910527}},	//   _imong_, _inkinga_, _nammey_, _citav_, 
   {{0x64850025,0xa29000df,0xc2900013,0x69d30100}},	//   _स्थानी_, _nombreux_, _dadam_, _debljina_, 
   {{0xb5c7012e,0x06210065,0xda2401ac,0xe4b90127}},	//   _صراحی_, _prinzipi, _اتفاقيات_, _feilhañs_, 
   {{0x85ca03a8,0xfd94018a,0x034f0120,0x22020255}},	//   _পদ্মভূষণ_, _celtaidd_, _esserok_, _leping_, 
   {{0x6290042b,0x1f250130,0xfea50239,0x041d0159}},	//   _nadam_, _kazetenn, _manurere_, _hepatito_, 
   {{0x825a0300,0xa4f1018c,0x7f9e00d6,0xcb8704bd}},	// [4110] _stoly_, _chemisch, _محاور_, _nemonemo_, 
   {{0xf51f00ae,0x029003f1,0x2234022f,0xd7ee03be}},	//   _batumako_, _hadam_, _kosmose_, _kitareng, 
   {{0xbc040249,0x329003e7,0x92dc0422,0x00000000}},	//   _akauntab, _kadam_, _zadosti_, --, 
   {{0x1202051a,0x0291010b,0x4b6f0043,0x98150088}},	//   _keping_, _ditau_, _atulumir, _сурабай_, 
   {{0xc23902e5,0x749e00d1,0x11080343,0x00000000}},	//   _арбџьарм, _তীব্ৰতা_, _maghuhul, --, 
   {{0x126c0263,0xab7d05a6,0x5134018d,0x23f9004d}},	//   _begon_, _kunngjer, _ዓበድበድ_, _ortus_, 
   {{0xc08c014f,0x92ca0181,0x3c2500f6,0xb2dc034d}},	//   _главу_, _kaldes_, _kubokunu_, _menodai_, 
   {{0xf2900051,0x93550166,0xb20003f0,0x12360077}},	//   _gadam_, _urheber_, _eplin_, _odija_, 
   {{0xd70d02da,0x2417008d,0xc79500c7,0xfeb7014e}},	//   _experiên, _قاچیشگه_, _лукина_, _prosvete_, 
   {{0xd25304bd,0x47ee025a,0x8e110153,0xe2d803ef}},	//   _kaleimam, _bitareng, _弾き語り用_, _bajeyi_, 
   {{0x829100ca,0x188102d8,0x83eb021c,0xf291015e}},	//   _mitat_, _selingku, _vesty_, _citau_, 
   {{0xd1850252,0x7eaf023d,0x93eb00dd,0xc97403d8}},	//   _nambatel, _nonostan, _westy_, _izričito, 
   {{0x3c0600ff,0xf2a60013,0xb0f5020e,0x407301b3}},	//   _זשאואיש_, _kambag_, _dipitlil, _включаєт, 
   {{0x09e60138,0xdedc0222,0xa59301d2,0x00000000}},	//   _butonuna_, _optiques_, _iglesiay, --, 
   {{0x8c080219,0x68470302,0xca80013d,0xa5f4010d}},	//   _learners, _насаби_, _signifon_, _भारतासार, 
   {{0x06f60061,0xbcdb0061,0x04880061,0x88c5009b}},	//   _강력추천이벤트_, _골드스타게임_, _시뮬레이션_, _интэрнэт_, 
   {{0x34f70331,0x53790242,0xcee50137,0x829003ec}},	// [4120] _helmsdal_, _bacaran_, _клипээс_, _aleate_, 
   {{0x42d402bd,0x52900140,0x229000f5,0x92900258}},	//   _gerddi_, _balat_, _zadam_, _bleate_, 
   {{0x338600e1,0x83f80017,0x9178018f,0xf38b02b9}},	//   _biirum_, _čluny_, _paghdich_, _sírva_, 
   {{0x92900141,0xb2480027,0xf9b701d5,0xc80302c1}},	//   _qadam_, _geomet_, _fordulat, _ububilig, 
   {{0x3d3d0037,0xf56701e5,0xa2d90338,0x736e0061}},	//   _ተቀናጅተው_, _dọkita_, _assem_, _선글라스를_, 
   {{0x369a02ae,0x063f0018,0x229002ff,0xb3f9021b}},	//   _uvredlji, _kamikami, _fomate_, _istua_, 
   {{0xf290012b,0x9ff70125,0x99cf00a6,0x5d370003}},	//   _zadaj_, _гыргынчы, _anjengee, _serieuze_, 
   {{0x12e6004b,0x00000000,0x00000000,0x00000000}},	//   _hlanaka_, --, --, --, 
   {{0x806e00e4,0x6320043d,0xcaca01b7,0x43f90148}},	//   _klasyczn, _senyum_, _स्वर्गं_, _artus_, 
   {{0xa22502a0,0x09c00298,0xcc43026f,0xb0e201da}},	//   _akekoo_, _kaimoana_, _اﺳﺘﺎم_, _gjeneral, 
   {{0x8290007e,0xaf8d02d8,0x4387011d,0xfd8d0244}},	//   _padam_, _प्रकारची_, _oferit_, _dimostra, 
   {{0x1bee01aa,0xfa9a0061,0x2e8b02ff,0x8291003f}},	//   _indentur, _종합적으로_, _astawòt_, _ditam_, 
   {{0x226c04e8,0x0fa40138,0x8320010b,0xf29001ec}},	//   _segon_, _haberler_, _apaya_, _nalar_, 
   {{0x602c0251,0x728102b7,0xcdb0027b,0x5af800e2}},	//   _اقبالؒ_, _lembetti_, _भावकर्मण, _betroube, 
   {{0x5fa702d7,0xc6ae01bd,0x02ca0189,0xe6f001d5}},	//   _benestar_, _اتاۋلار_, _benden_, _ذیابیطس_, 
   {{0x52900690,0x448a0041,0xbc3500d1,0x329002be}},	//   _ralat_, _илыҵшәад, _কথাটোত_, _aalas_, 
   {{0x429005fd,0x33790193,0x52ca02f4,0x5cae01c9}},	// [4130] _balas_, _pacaran_, _venden_, _tingitud_, 
   {{0x3290037e,0x62ca0166,0xe07d0045,0xf2910145}},	//   _palat_, _wenden_, _британци_, _kitam_, 
   {{0xe06e0261,0xa2900230,0xcdba0047,0xbc620039}},	//   _rachunek_, _dadak_, _souhaita, _argudio_, 
   {{0x4a2f013d,0x72900367,0x8aef01d4,0x4dc8046b}},	//   _speciala_, _falar_, _allumett, _technega, 
   {{0xc2be011a,0x566e0291,0x00000000,0x00000000}},	//   _cardiol_, _مسلماً_, --, --, 
   {{0x13070195,0x08620242,0x326e0127,0x92ca0026}},	//   _aghaigh_, _kosovonu, _dipode_, _zenden_, 
   {{0x502f0269,0x33f902a4,0x687c000d,0x00000000}},	//   _alrededo, _nutus_, _tekitanu, --, 
   {{0x935400c3,0xf4f300ed,0x8a760031,0x1ed60148}},	//   _generis_, _bhumibol_, _kualitas, _自強工業科學基金, 
   {{0xdd300124,0xd6c8003a,0xc3f8014d,0xdc2303b7}},	//   _tennille_, _shubhasi, _akkus_, _atisfies, 
   {{0x10df0064,0xd8350297,0xe25a0023,0x00000000}},	//   _түркиялы, _идеологы_, _finlex_, --, 
   {{0x52ca02f3,0x83f900ad,0x33410265,0x889a0022}},	//   _hundra_, _butut_, _gegeten_, _көрһөнөп_, 
   {{0xa2910212,0x42d901b6,0x1fb50005,0xceb50230}},	//   _vitam_, _speeds_, _profitar_, _profitab_, 
   {{0xb29102bb,0x193a0276,0xd3fe0053,0xf35b042a}},	//   _witam_, _беримән_, _diduduki_, _esigaba_, 
   {{0x2e0e00d1,0x62ef030f,0x51a100be,0x43540212}},	//   _ত্ৰিদীপ_, _pikinga_, _كەچىرەم_, _advenit_, 
   {{0x973001fb,0xc3da00e4,0xfba0000c,0xc7b30188}},	//   _affollav, _obrazów_, _иртәыз_, _amasenti, 
   {{0x72900278,0x3316041c,0xb03b02ff,0x63b5013d}},	//   _dadah_, _dimbali_, _dadescho, _trovita_, 
   {{0xa2c501c7,0x620200ce,0xb208042c,0x72c10321}},	// [4140] _dillere_, _kisisa_, _učini_, _dekleta_, 
   {{0xf2f505bd,0x71bc002b,0xcca901b3,0x467f0153}},	//   _grunner_, _যেতেন_, _намалюва, _愛の奇跡第_, 
   {{0x33400122,0x10dc008d,0x5ad10148,0x1307000a}},	//   _ramezan_, _advokatl, _continet, _appanik_, 
   {{0x82ca00d6,0xa2910249,0xa3160135,0xeae90039}},	//   _kundra_, _antap_, _rimzil_, _больж_, 
   {{0x349d0169,0x615903a0,0x84160061,0xe2d90170}},	//   _শান্তির_, _barutamo, _국어교육과_, _kabedi_, 
   {{0xf25a068f,0xbc5200ae,0x32900128,0x638701d5}},	//   _bugle_, _byatera_, _ralar_, _egeret_, 
   {{0xf2900082,0x93450109,0x00000000,0x00000000}},	//   _kadai_, _papeže_, --, --, 
   {{0x5f2200e7,0x075f01c9,0x8c6100aa,0x92900120}},	//   _andreawa, _दोस्तपर_, _kabugan_, _sadak_, 
   {{0x1290012c,0xa62203b4,0x1c2a0260,0xf2020085}},	//   _madai_, _aitofani, _presupos, _sisita_, 
   {{0x450b0342,0xe90e0262,0xd25a0025,0x83490267}},	//   _espayòl_, _җайларың_, _bhunakti_, _teretni_, 
   {{0xc88500da,0x63f9018b,0xe3f800aa,0x32ef00d8}},	//   _рыдала_, _putut_, _kakuli_, _bodista_, 
   {{0x82900245,0x8fff02ac,0x02800251,0x833d020e}},	//   _ialap_, _أساتذة_, _casilay_, _boswaswi_, 
   {{0x52d90451,0xd6310046,0xe3490132,0x12020739}},	//   _babedi_, _البۇمۇ_, _keresni_, _aspipi_, 
   {{0x13f803b4,0x614502fd,0x5adc00e6,0x4d2a0153}},	//   _makumi_, _eiseamal, _含经备案的企业标, _stenkast_, 
   {{0xeac9018d,0x6c2b036e,0xf24c0297,0x1a11012c}},	//   _ሽፍትነት_, _ajnallac, _алыначак_, _tembelea_, 
   {{0x53f90005,0xe3860611,0xd5f60156,0x62b400da}},	//   _autur_, _ladrog_, _היאורה_, _plece_, 
   {{0x1bce00a4,0xc86600a3,0x229000f6,0x729103f1}},	// [4150] _бюджетти, _risikovu, _qalar_, _vitaj_, 
   {{0x26af02a9,0xb17d0223,0xf8690242,0xc827032b}},	//   _ісуса_, _arratsal, _turnirdə_, _جاپاغا_, 
   {{0x53f800c8,0x538d038e,0xac5c01e1,0x1af701e1}},	//   _bakuli_, _properti_, _bontril_, _заманса_, 
   {{0x12b40701,0x02d50285,0x3c4802d5,0xdc86007f}},	//   _jinchu_, _gakondo_, _अभिनेतन_, _anatomeg_, 
   {{0x59d8054d,0x3ae6002b,0xf74d02a6,0x1f130629}},	//   _varebile, _স্মারক_, _aspittav, _avitygra, 
   {{0x3a4f00c1,0x00000000,0x00000000,0x00000000}},	//   _kabelnya_, --, --, --, 
   {{0x125a0223,0x329100ee,0x00000000,0x00000000}},	//   _urola_, _aitak_, --, --, 
   {{0xd1de01f1,0xa9450230,0x462e027f,0x9581022b}},	//   _realizim, _nsolidat, _bizoterw, _avtornað, 
   {{0xc96f035c,0x5ecb03d5,0x529100d2,0xadd70192}},	//   _planarbe, _benignan, _citak_, _kookplaa, 
   {{0x32ca0075,0x0e090519,0xd29100d2,0xbc760189}},	//   _hendan_, _गुरुदत्त_, _nitah_, _idaresi_, 
   {{0x3491027b,0xe27e03d1,0x00000000,0x00000000}},	//   _apadiśya, _klints_, --, --, 
   {{0x78c405fd,0xe304028e,0xc43d0040,0x4c690020}},	//   _dikehend, _emtasol_, _אספלט_, _ausumai_, 
   {{0x1291005a,0x92bb0092,0x82ca0205,0x4135005e}},	//   _bitah_, _新築一戸建て_, _mendan_, _ئۇيقىدا_, 
   {{0x81150278,0xb292019f,0x98d9047b,0x00000000}},	//   _berkasih_, _matawi_, _inngongd, --, 
   {{0x329001a4,0x3981020f,0x71470435,0xae140263}},	//   _bomaye_, _څرخکو_, _пасива_, _inzetbaa, 
   {{0x5eab012b,0xe99b005d,0x31fb024a,0x53b000ca}},	//   _systemie_, _caloría_, _fifisilẹ_, _sonque_, 
   {{0xf3ce024b,0xe3f902a4,0x87170046,0xa82d01cd}},	// [4160] _volver_, _istud_, _سىنوودون_, _махкамаи_, 
   {{0x425a03e8,0xe2d60019,0x67290444,0x8bba0311}},	//   _željo_, _анттарды_, _арканака, _ይገርመካ_, 
   {{0xc2900343,0xdfe30144,0x32ce0378,0xe58d02d6}},	//   _talay_, _حالته_, _tyrlufl_, _консулхо, 
   {{0xcf6a006c,0x427200d1,0xecb9040f,0x00000000}},	//   _ababesan, _অধ্যক্ষৰ, _земляў_, --, 
   {{0xe2ca047d,0x8eb101d4,0x00000000,0x00000000}},	//   _dendan_, _arburone_, --, --, 
   {{0x6340034d,0x00000000,0x00000000,0x00000000}},	//   _shiddiq_, --, --, --, 
   {{0x23790467,0xbd8f0056,0xe5e001b8,0x885b0153}},	//   _ansaana_, _bahlanga, _तानाउकनड, _エレキギタ_, 
   {{0x74c701f2,0x22900453,0x929001f4,0x52020357}},	//   _ئاپئاق_, _pomaze_, _qalay_, _misipa_, 
   {{0xbf6d00cd,0x43f901f4,0x00000000,0x00000000}},	//   _annerös_, _putur_, --, --, 
   {{0xf2d90166,0x125a00d9,0xd3e7001a,0xdfa5051f}},	//   _essen_, _kuoli_, _látod_, _دووعا_, 
   {{0x5c0504af,0x02360396,0xcfef00d3,0x52ca04b9}},	//   _kuasmuv_, _sinjal_, _लेखापाल_, _bendin_, 
   {{0x03f90576,0x3e0101f5,0x218b016e,0xef6401a3}},	//   _nutup_, _disekita, _muhatapl, _ويجھڙائي_, 
   {{0x03200004,0x73cf0393,0xa9f80320,0x00000000}},	//   _epaye_, _ranjenog_, _pakanise, --, 
   {{0x229005c9,0x9e4c045e,0xc4d700c8,0x6b35004a}},	//   _oblat_, _опасни_, _таратыу_, _алмашуы_, 
   {{0xd14600be,0x18e003b0,0xf2b401df,0xa8a60350}},	//   _بالاكەت_, _mangland, _flech_, _ወደአገር_, 
   {{0x660d007e,0x3d460012,0x00000000,0x00000000}},	//   _appaṭibh, _सलूकाउचो, --, --, 
   {{0x038c00f0,0x42000175,0x62410375,0xb2900010}},	// [4170] _čistenie_, _aplik_, _akamwini_, _ashada_, 
   {{0xd88903bf,0x690900b3,0x027d011f,0x6eb900ca}},	//   _комитеты_, _кемала_, _налаҵаны_, _agropoin, 
   {{0xc7c701f4,0x72ee0291,0x97090076,0xf61a02b3}},	//   _калити_, _misnigh_, _педикир_, _cabalerí, 
   {{0x22ca0198,0x95950068,0x22fd01b9,0x63a60128}},	//   _najde_, _dareemay, _lamizer_, _евроитти, 
   {{0x52800043,0x8294000a,0x0eb80299,0x1292015f}},	//   _amakobe_, _annaasim, _ئوبىكتى_, _copaon_, 
   {{0x7637041a,0xb2d90026,0xeb7e032c,0x00000000}},	//   _властиво, _assen_, _imarisaa_, --, 
   {{0xe72b0046,0xe3870033,0xc96f0130,0xfd8d0326}},	//   _атактуу_, _fevrer_, _daspuner_, _cheopera, 
   {{0x1b740148,0xe0220117,0xc048011f,0xc26c0203}},	//   _贊助商連結_, _intenaso, _лукошенк, _tvloto_, 
   {{0x041d01ce,0x03330061,0xf7e10152,0x8dc40462}},	//   _چاپگر_, _주민들에게_, _вьетнамн, _antixcha, 
   {{0x1c620433,0x4e970177,0x1d6100e6,0x8587010f}},	//   _charice_, _рырҳәра_, _由产品质量监督部, _далелу_, 
   {{0x422f0169,0x92b4021c,0x931c003b,0x7b34000a}},	//   _মতামতের_, _plech_, _angcoka_, _ammaanis, 
   {{0x469b001c,0xa4fb0178,0x5717005e,0x78b60095}},	//   _krotoszy, _अपवादः_, _филимму_, _فرزين_, 
   {{0x92ca03ec,0xb2d90315,0x4243015e,0x58590012}},	//   _vendin_, _baveta_, _سەلەيدى_, _बितऽवलख_, 
   {{0x6ccc03ce,0x4a7c0193,0xf25a06f8,0xbd38028d}},	//   _ئیزنی_, _rekayasa_, _fugla_, _terhouse_, 
   {{0x4dc70026,0xe2b3012e,0xab7e0183,0x87570185}},	//   _medische_, _takarmán, _amafisin_, _баллары_, 
   {{0x42920256,0x7b550486,0x0af80128,0x42e70407}},	//   _gatavi_, _शुक्राणु, _makroiqt, _zasniva_, 
   {{0xf2560024,0x947b0064,0x73400247,0x930d0362}},	// [4180] _বাক্যৰ_, _акылым_, _damelan_, _tambola_, 
   {{0xbf3f053d,0xb61f045b,0xcc5c0074,0x225b000d}},	//   _akashiya, _африки_, _kertaan_, _osales_, 
   {{0xea900151,0xf9d10515,0x9340006a,0x63000193}},	//   _counterb, _confinat, _famelan_, _bawalah_, 
   {{0x2ae001cb,0x8fdc0528,0x825b00d6,0x53630291}},	//   _nokuvuse, _mathieso, _naionrai_, _ممرضات_, 
   {{0x0c4d006f,0xfe410225,0xb9f800f3,0xd32000a0}},	//   _maswali_, _eamagage_, _belifuna_, _aliyyu_, 
   {{0x3202023d,0xc2b40435,0x721c0374,0xe7bd0253}},	//   _ospiti_, _momci_, _yashar_, _amerlili, 
   {{0x3bcf0092,0x93f90321,0x92c30020,0x69fc005a}},	//   _四国医療専門学校_, _izguba_, _poelman_, _mavuvchu, 
   {{0x6109012f,0x83f401d4,0x992d0061,0xccc900d9}},	//   _eotoroña, _bestii_, _교환배송비_, _нервной_, 
   {{0x3c890590,0xe28303ef,0x5bf30153,0xef3400d1}},	//   _товхимол_, _mushiki_, _でログインすると_, _ছিনয়ি_, 
   {{0xd98e004b,0x1290005b,0x4dbd00f4,0x00000000}},	//   _галин_, _ameame_, _disammet_, --, 
   {{0x03d70287,0xe2e3014a,0xa8050037,0x82920328}},	//   _dědictví_, _bennük_, _tercicir_, _matati_, 
   {{0x62f00285,0xc2d9050e,0x64fb008f,0xc3fe0100}},	//   _inkingi_, _saveta_, _अपराधू_, _trazila_, 
   {{0x5f660294,0x0a190163,0xaf6e05f8,0x228901af}},	//   _almankun, _نظربندی_, _умаров_, _bashgyr_, 
   {{0x030d005b,0x2f16002c,0x02d10374,0x00000000}},	//   _shibata_, _настайд_, _marosim_, --, 
   {{0x4ab30111,0x420e0074,0xcdbb0059,0xa26c00b3}},	//   _salvezza_, _запах_, _опозиция_, _begow_, 
   {{0x53f404c5,0xd20204e3,0x2d3a0297,0x00000000}},	//   _partaz_, _ispiti_, _итэсез_, --, 
   {{0x0c9304dc,0x8f1f0240,0xc2da0058,0x704601db}},	// [4190] _نادات_, _daudroin, _jiregi_, _терроршы_, 
   {{0x53eb0353,0x12900120,0x82f0014d,0x221c0054}},	//   _cesty_, _badat_, _polizei_, _tashar_, 
   {{0xff2a04e7,0x775e0462,0x326c007b,0x04920011}},	//   _rastisla, _advising, _bonoch_, _amagolok, 
   {{0x52900139,0xb28701be,0x0b500513,0x7dc302fa}},	//   _vadat_, _seniory_, _chumayer, _kuzirika, 
   {{0xca45005c,0x93b10016,0x42900420,0x21cc0110}},	//   _bagesera_, _bervalo_, _fadas_, _relaksēj, 
   {{0x8e43042f,0xe340008c,0x6f57020b,0x529002d4}},	//   _munariya, _samedan_, _bokaulen, _gadas_, 
   {{0x086d01ce,0x2379016b,0x86820255,0x663900d7}},	//   _ایربگ_, _maganin_, _फुलाई_, _назараты, 
   {{0xe20c0071,0xd1360086,0xd03b03f3,0x12ca0008}},	//   _غیرانتفا, _طريقہ_, _batterij_, _caldes_, 
   {{0x9290073a,0x606d01b8,0xd27e0286,0x4da0008d}},	//   _zadat_, _भैंसा_, _emono_, _baholana, 
   {{0x803c041a,0x48610281,0x415b0528,0xa42a04b2}},	//   _наступна_, _parnaaru, _bonnaich_, _dumadalo_, 
   {{0x294602ec,0x428a0093,0x00000000,0x00000000}},	//   _خداوندی_, _бухiан_, --, --, 
   {{0xfc8000a4,0x049e002b,0xb3950451,0x00000000}},	//   _берем_, _বুদ্ধির_, _metse_, --, 
   {{0x82440061,0x02d902c2,0xb37800a0,0x09ee0029}},	//   _가격비교사이트_, _skree_, _agwagwa_, _وڕوپا_, 
   {{0xca0e0253,0xd27e0132,0xfa76029a,0x324c01a3}},	//   _soraarne, _mennek_, _reaziste, _ايڏيون_, 
   {{0xaaba0212,0x88fc0068,0x52900082,0xe1c503c2}},	//   _schwerdt, _safaarad, _hadar_, _cometary_, 
   {{0x625a0388,0x033801db,0x19d300be,0x972200a3}},	//   _isola_, _кадрлары, _бересине, _bolstadø, 
   {{0x42ca00f2,0x53f8017f,0x0290029e,0x32cb0074}},	// [41a0] _valdes_, _ikkut_, _badas_, _talossa_, 
   {{0x4de501db,0x87f202ec,0x1c7d0371,0x62da01a0}},	//   _ءوزىمشىل_, _چێیہِ_, _подарява, _giredi_, 
   {{0x34360294,0x63790033,0xc86b046f,0xbbf2013f}},	//   _arkhitik, _ansauna_, _briséis_, _evelatao_, 
   {{0xee6b0212,0xbd230184,0x3290001e,0x22da02b2}},	//   _abacusla, _adasigur, _fadar_, _ørene_, 
   {{0x80b80162,0xedd704ac,0x2290040f,0x429002b1}},	//   _بەدەن_, _пробки_, _tadas_, _gadar_, 
   {{0x12bb0315,0xfa2c00cf,0x43950303,0x038804cf}},	//   _ammelwe_, _caccabaa_, _fetse_, _kweshumi_, 
   {{0xa26c0230,0x0d8e02be,0x05310371,0x52cb00d9}},	//   _degou_, _awtorisa, _атентата_, _valossa_, 
   {{0x483a01c5,0x22900610,0xb29002b9,0x72d90240}},	//   _ارساتھ_, _ashaka_, _ablak_, _jabeni_, 
   {{0x6395041a,0x0daf0244,0x37900361,0x00000000}},	//   _hetse_, _смених_, _дiаолуш_, --, 
   {{0x0290013f,0x6bfa005b,0x9f44030b,0x0e8f00e6}},	//   _romant_, _niconico_, _alisaaba, _快乐的开始不该悲, 
   {{0xe2360077,0x242b0149,0x4290019b,0xe39c0255}},	//   _adaja_, _kwụtịrị_, _vadas_, _lavastaj, 
   {{0x8bd60026,0xa2db0127,0x7a6404df,0x00000000}},	//   _광고제휴문의_, _morlaix_, _bolümi_, --, 
   {{0x8290003f,0xfdbb03d8,0xc25b02e3,0xcc5706f4}},	//   _ablah_, _energiju_, _hiflex_, _enstale_, 
   {{0x629005b4,0x86cb036d,0x94ec01ab,0x256c01d5}},	//   _ushaka_, _galagsai, _बऽईठल_, _grillezé, 
   {{0x2eb700ae,0xf2d901b5,0xd2bb02dd,0xf20204ec}},	//   _akarenge_, _babeni_, _immunità_, _insika_, 
   {{0x2b230079,0xff280037,0x869501c4,0xd2e7006c}},	//   _dombrovs, _እባክህን_, _gedefini, _alinazo_, 
   {{0xe29003e5,0x0f00024b,0xd85003a4,0x00000000}},	// [41b0] _padas_, _análisis_, _innlagdu, --, 
   {{0x4023022a,0xc29101a6,0xb8ef02c2,0x4e1300d6}},	//   _sangalön_, _pitau_, _motshekg, _threasca, 
   {{0xf27e029b,0xdc0e02c3,0x0a790299,0xb7cf0322}},	//   _amone_, _rozpore_, _ئاۋىئاما, _banganag, 
   {{0x23f2056d,0x1611023a,0xb29104de,0x7c640026}},	//   _عبدالحکی, _klientom_, _intay_, _actuele_, 
   {{0xeabb027d,0x73790108,0x729000ac,0xb29203b2}},	//   _шведски_, _misalna_, _nalaz_, _hopkins_, 
   {{0x5e6a03c4,0x02910101,0x85d401b9,0xe386015a}},	//   _торда_, _uitat_, _silansiy, _egeree_, 
   {{0x76d701c9,0x99db0165,0x0c540061,0xbc51027b}},	//   _ओकरिए_, _koronica_, _클라이언트의_, _दृशेः_, 
   {{0x5291073b,0xf42203e7,0x0d9f0021,0x00000000}},	//   _zitat_, _kilalado_, _arrollca, --, 
   {{0xb29e01cd,0xc5aa018d,0xedab0220,0x9da90137}},	//   _дидан_, _ኣፋፍኖት_, _станеш_, _геометр_, 
   {{0x0440012e,0xe29102c8,0x9e5d02d8,0xc2b100b6}},	//   _العربیہ_, _ditas_, _tercepat_, _giddiya_, 
   {{0x42900120,0xfc80017a,0x9291030b,0x2ba4011b}},	//   _wadar_, _меген_, _ataano_, _lopitalo_, 
   {{0xec6701af,0x8c46012c,0x362a0014,0xd2100304}},	//   _ruhunda_, _ترجمن_, _trendafi, _plaintif_, 
   {{0x798701cc,0x32900193,0x90da00c1,0x02e80158}},	//   _नियमाः_, _hadap_, _कतरीना_, _detektyw_, 
   {{0xd300020e,0xbd890513,0x5ed30022,0x375d0037}},	//   _bolaodi_, _amudyeke_, _bonyenya, _መንከባከብ_, 
   {{0x13660037,0x52900245,0x19c701bd,0x92c603e1}},	//   _አለመረጋጋት_, _jadap_, _парасат_, _farlige_, 
   {{0x72d9007f,0xd29001b8,0x635f003c,0xc291001c}},	//   _labeli_, _padar_, _دیوارپوش_, _bitas_, 
   {{0xa8e002c2,0xe6d103a8,0x00d8000d,0xa240020e}},	// [41c0] _aangaand, _পত্ৰচি_, _rekordil, _атлайбыҙ_, 
   {{0x02c805b5,0x32ca008d,0xbc720261,0x92d901a4}},	//   _recorte_, _sajda_, _agordis_, _nabeli_, 
   {{0xf29101c0,0x9d9e00f0,0x00ef0075,0x242903fb}},	//   _fitar_, _železiar, _undantak_, _odrastao_, 
   {{0xe0fd00e4,0x66b900d7,0x3e1d0211,0xdda10399}},	//   _कट्टरपंथ, _шартлатҡ, _itseasia, _mapumapu_, 
   {{0x89f50103,0xa8c4034a,0xaea60158,0xb3460432}},	//   _achagove, _comezand, _skarbowe_, _mandags_, 
   {{0x299d0046,0x4f9b015e,0xf5170223,0xa8800176}},	//   _набыт_, _باستالما, _библийн_, _hashhand, 
   {{0xe2bf01d5,0x42910057,0xf3f800ad,0xdc940291}},	//   _mondjuk_, _kitar_, _dudung_, _منفصلة_, 
   {{0xd2c200c4,0xeeda0410,0x9b2200ec,0x92fa0382}},	//   _تصويرن_, _manyuale_, _незарэгі, _kwahala_, 
   {{0xd29102b3,0x1c060222,0xe2e901c0,0xf2ef0251}},	//   _ditar_, _amortiss, _angizon_, _midigta_, 
   {{0x29c50270,0x02cc01a4,0x136900d9,0xdc0503f0}},	//   _interrat, _alaliyo_, _проверят, _brottkas, 
   {{0x4e5100e7,0x83f901c9,0x39370153,0x00000000}},	//   _alwarema, _istun_, _必ず選択してくだ, --, 
   {{0xf290073c,0xe395017a,0x32d9032d,0xca0f00b2}},	//   _galay_, _abasho_, _habeli_, _galaanaa_, 
   {{0x319000bc,0xd5a10406,0x8d3602b9,0x82e900b7}},	//   _تروریستی_, _संवत्_, _بہاول_, _marisha_, 
   {{0xa3f80435,0x0200054f,0x267b006c,0x929002f6}},	//   _odluku_, _nplij_, _abakhelw, _aalay_, 
   {{0xa29002e7,0x0f5c02a6,0x9ea100df,0x00000000}},	//   _balay_, _conquise_, _quarante_, --, 
   {{0x92490118,0x1f64040f,0xdd3500bf,0xb2d40034}},	//   _akamwa_, _sunaikin, _словен_, _fyllstu_, 
   {{0xc290004f,0x12ea02d4,0x1439009a,0x337f028e}},	// [41d0] _dalay_, _grondas_, _abakwink, _malapoa_, 
   {{0x5bec00e6,0xfd670004,0x82dd0362,0x00000000}},	//   _与灾区人民手相牵, _kanadyèn_, _natelemi_, --, 
   {{0xc2900227,0x83ea0261,0xe2900251,0x00000000}},	//   _hilang_, _fakto_, _falay_, --, 
   {{0x62900452,0xf358026c,0x79590211,0xc7260208}},	//   _bilang_, _virgine_, _sabotage, _پورتوگال_, 
   {{0xd2d9025f,0x72d902ff,0x2a9a00d6,0x00000000}},	//   _babeli_, _ikref_, _seanaois, --, 
   {{0x1343029d,0x826c00ad,0xde3a02af,0x632c00c7}},	//   _колорат_, _legok_, _inyamira, _cıyar_, 
   {{0xb2920176,0xec4c032d,0x13800130,0xe3250055}},	//   _copain_, _bahwebi_, _estren_, _marcati_, 
   {{0x700b0101,0x52900028,0x7921026f,0x9cb901de}},	//   _скопул_, _qaday_, _مەرمەر_, _кәуәп_, 
   {{0x51cd006d,0xb25a02cd,0x29d5026f,0x67570145}},	//   _настроем_, _abilar_, _جاۋقار_, _курапата, 
   {{0x729e0204,0xf5fc03cc,0x7f8f03f1,0x3f220155}},	//   _лицам_, _ছোটগল্প_, _pošlem_, _debutera, 
   {{0xa202020e,0x724802fc,0xc3f8000c,0x63960390}},	//   _botieo_, _ahimba_, _hakumi_, _getsə_, 
   {{0xf2910189,0x00000000,0x00000000,0x00000000}},	//   _hitap_, --, --, --, 
   {{0x2291034c,0x13f80119,0xa4e30037,0x763900e7}},	//   _kitap_, _bulung_, _እንደዛሬው_, _aralkylw, 
   {{0x2dcd0008,0x84c605e2,0x526301fe,0x00080161}},	//   _коалиция, _adecuado_, _vorolaki_, _электрои, 
   {{0xe5cb01a4,0xf38f00da,0xcaa30403,0x79960262}},	//   _kalambay, _pompieri_, _fideràna_, _chykalga_, 
   {{0x9a4901ef,0xb06801be,0xa3f0032d,0xc2000418}},	//   _гайдукев, _सखरखण्ड_, _foleteng_, _iplik_, 
   {{0x7d990281,0xd5c20278,0x6b8700a1,0x42c900b4}},	// [41e0] _slagelse_, _berbogel_, _kemokemo_, _apropie_, 
   {{0x9fe5026c,0x54330352,0x43f9003a,0xf2ab054d}},	//   _我的活動曆_, _ৱাহিদ_, _ustun_, _fradrag_, 
   {{0x136503c3,0x57cc0040,0x83bf034c,0xe2ca016e}},	//   _drugima_, _ופתאום_, _aşqan_, _kendin_, 
   {{0x086a020f,0x18570029,0x1ca80197,0x596a0188}},	//   _abanesid, _ڵیاندا_, _materyèl_, _abanesit, 
   {{0x43ea0139,0x46fc0156,0xe3eb02db,0x24c301cc}},	//   _rakto_, _באליבטער_, _taetas_, _मनोबुद्ध, 
   {{0xa29104b8,0x069a018d,0xb2910205,0xf2ca01df}},	//   _citap_, _ይረኣየካ_, _shtab_, _lendin_, 
   {{0x9c67023d,0xaa540397,0x82490226,0x52c40008}},	//   _телефона_, _руссия_, _akamva_, _alumnat_, 
   {{0xe292038a,0xf39300c5,0xb16b04e5,0x03ea0270}},	//   _watapi_, _分享知识和经验_, _abagabul, _lacte_, 
   {{0x725b01c2,0xc6b80243,0x022502d0,0xcdb70476}},	//   _abalar_, _devaluti, _bicker_, _chirungu_, 
   {{0x62900245,0x158f0061,0xbf2403ee,0x0ade028e}},	//   _rilang_, _의류브랜드_, _neprihva, _opotunit, 
   {{0x72900140,0xd27f00c4,0xc6b7006f,0x9a9b0399}},	//   _silang_, _جوڌپور_, _داداگير_, _kolinias, 
   {{0x1e4001e4,0x30d70361,0xa25a023d,0x82fe015e}},	//   _usnadnit_, _широкое_, _isole_, _pluges_, 
   {{0xc4af0024,0x7aa9014e,0x926e01f5,0xabb8005b}},	//   _শিক্ষণৰ_, _напустил, _dipost_, _chakanac, 
   {{0x12d90034,0x19b00156,0xf2f10009,0xb2660102}},	//   _skref_, _ממזעבוז_, _volitev_, _mahoteli_, 
   {{0x195a06f1,0xa6070118,0x43bf037f,0x19c80008}},	//   _abangcwe, _atambuli, _eşqin_, _aprofita_, 
   {{0x93f00360,0x66430334,0xe12b00c5,0xeedf02fd}},	//   _polopenz, _anakwati, _médicale, _lochlunn, 
   {{0x33f801ce,0x4a3d019e,0x1daa0024,0xbee90040}},	// [41f0] _tulung_, _віленска, _ক্ষেত্ৰৰ_, _לחדרי_, 
   {{0x3b9a0515,0xe37a01c0,0x820e004a,0x00000000}},	//   _capitano_, _basasan_, _жанаб_, --, 
   {{0x491601d7,0x22910318,0x0dc00084,0x32d90229}},	//   _giubileu, _fatai_, _paripola, _birez_, 
   {{0x48c902e5,0xfecf0183,0x59e901f3,0x00000000}},	//   _chichâgu, _fisinton, _škrabadl, --, 
   {{0xd2d404bd,0xee720193,0x915203b7,0x72910255}},	//   _hailuku_, _सिन्ग_, _affleway_, _elekter_, 
   {{0x5a600255,0x3202043a,0x8c0a019d,0x837f0275}},	//   _tellimus, _gupiki_, _amapita_, _kalagoa_, 
   {{0xace80074,0xb24a01c4,0xd2e701fb,0x58d9003f}},	//   _доставки_, _termyn_, _reunira_, _hingongd, 
   {{0x6e6002bc,0x754e0013,0x6c5901e1,0x72900258}},	//   _harbhaja, _фитна_, _dibueng_, _fleane_, 
   {{0xcdd0006d,0xf0d20315,0xeee801f9,0x00000000}},	//   _астравы_, _kubophol, _kukhawun, --, 
   {{0xa2010033,0x8e0d0122,0x22d90189,0xb10c0619}},	//   _nagina_, _آیاتی_, _birey_, _premašio_, 
   {{0xa2d90015,0x89d2011c,0xa0870187,0x3660027f}},	//   _jirey_, _aaresist, _фабрикат, _babijamw, 
   {{0x5d3e02a9,0xb3ea01f1,0x42d90028,0x3d20012e}},	//   _поглядам, _sakte_, _direy_, _elindult_, 
   {{0x45280169,0xd32f0040,0x71a30078,0x6c1200b5}},	//   _মহেশখালী, _במופע_, _глобална_, _atypavê_, 
   {{0xd2c50105,0xf2910318,0xc1ed0187,0x2c2104f8}},	//   _sądem_, _satai_, _гавазова_, _בדייט_, 
   {{0xc29100a1,0x27030061,0xe62100e6,0xc5d50189}},	//   _patai_, _아이스크림_, _委托商标代理机构, _potansiy, 
   {{0x1394018c,0x999500bb,0xe84e015e,0xd20200a1}},	//   _winsxs_, _مورخہ_, _castells_, _aupiki_, 
   {{0xcff40145,0x71f402fe,0x46a6008d,0x4f2d025e}},	// [4200] _techniko, _زېرمه_, _курсисиг, _sprengin, 
   {{0x0b7c00c5,0xb37502ec,0xf17f0211,0xcdaf0594}},	//   _如果您没能找到需, _کھوتہٕ_, _lihapull, _tingrett_, 
   {{0xe84300ec,0xef1a061e,0x22300312,0x62f60022}},	//   _baltijos_, _tapajós_, _mammenn_, _наградағ, 
   {{0x0ddc029b,0x2b200195,0xf17e011b,0x8808002b}},	//   _denkaane_, _dadamain_, _koyambol, _রূপরেখা_, 
   {{0x97c60040,0xc3340025,0xd2830109,0x8fc40153}},	//   _חיידקים_, _कुमारिका_, _आफूहरूले_, _skålen_, 
   {{0x231700ad,0xa2020084,0xaae90026,0x326c02c2}},	//   _ngandung_, _disina_, _doorlope, _regop_, 
   {{0xe16c01e1,0x86d6048a,0x118c00d7,0x00000000}},	//   _проценты_, _باقشاسى_, _апаруҡ_, --, 
   {{0x626e01e8,0x22e902d8,0x5ac602ac,0x33f002d8}},	//   _riport_, _darinya_, _كالعادة_, _asosiasi_, 
   {{0x230c0588,0x72910027,0x52d90008,0x2c6a036a}},	//   _impamvu_, _natav_, _infern_, _nukulau_, 
   {{0x42ee00bc,0xec750151,0xa9eb02ec,0x360e0127}},	//   _comfar_, _inquest_, _xorriyad, _chaoseri, 
   {{0xb2d602a0,0x4f140176,0x0658002f,0x4eb102f3}},	//   _basorun_, _akatoura, _chikiqni, _friskare_, 
   {{0x3357015b,0x86280253,0xb29100f4,0x82020370}},	//   _disfala_, _aktiaati, _batav_, _bisina_, 
   {{0x62e900c1,0xc645018e,0xc05a03ba,0x53a30534}},	//   _harinya_, _amahlayi, _dabararo, _hoapro_, 
   {{0xac0e00c3,0x9a8000f2,0x4b1e018d,0x00000000}},	//   _corpore_, _telefonā_, _kampione, --, 
   {{0x02b401bc,0x3e8301db,0x5c810125,0xb7a10237}},	//   _foech_, _تاعىلعان_, _berkidýä, _서산대사께서_, 
   {{0xfdbf01b7,0x9a86019e,0xc2da0107,0x60b801db}},	//   _गगनोपमोऽ, _матчын_, _cireni_, _كەلەد_, 
   {{0x73540194,0xb37a0278,0x8ee900ff,0x325a04da}},	// [4210] _devenit_, _pasaran_, _בחורל_, _želio_, 
   {{0x41800092,0x38c50139,0x754c0162,0x22ea0256}},	//   _研究機関等_, _ashtamag, _قاتىللار_, _bronzas_, 
   {{0xb2260556,0xb26c01b2,0xe2010159,0x5da800a5}},	//   _akukho_, _afoot_, _ragina_, _lefulefu_, 
   {{0x1c690374,0x37c50078,0xd2fa0022,0x93210054}},	//   _покланиш_, _стациони, _kwahela_, _ilayau_, 
   {{0x349d0169,0x1e71062c,0x728e00ac,0xed8a0393}},	//   _শাস্তির_, _छ्द्म_, _čekamo_, _usporava, 
   {{0x6c6201b7,0x72e9016b,0xa525015f,0x22640167}},	//   _abruvan_, _yarinya_, _ansicrwy, _gyplau_, 
   {{0xe37f03ef,0x87590041,0x5d31020e,0xe89d00f0}},	//   _mihanda_, _иаиааиуе, _borisefe_, _pedagógo, 
   {{0x02ab01b4,0xf4fa0161,0xc30e0099,0x00000000}},	//   _leiding_, _магнитно, _chabata_, --, 
   {{0x990b036a,0x11880262,0x58fc00bc,0xca0f00dd}},	//   _delainau, _ahwalatl, _ancasipu, _cadarnle, 
   {{0x1a8a0678,0xd46e0366,0x67bf017a,0x738902b6}},	//   _upozorne, _способны, _abashayi, _تاريحىڭد, 
   {{0x13ea0352,0x28fd055a,0x578000bc,0x8434028a}},	//   _makta_, _enraizad, _اشکانی_, _atakayek, 
   {{0x67a70066,0x1202036a,0xb26d0041,0x4286031a}},	//   _hautagai, _misila_, _ҧсыҭбара, _nauhatl_, 
   {{0x31af0141,0x5b0302a4,0xa3a503fb,0x71640021}},	//   _موسومی_, _dissuade, _sarajlij, _anyoncay_, 
   {{0x2025016d,0x62bb003b,0x1afc02a2,0xcdfd004d}},	//   _ئوغرى_, _aphetse_, _panoorin_, _不過大部份買那一, 
   {{0x829000bc,0x83f403ff,0xf9c302a3,0xadd70137}},	//   _endang_, _vrstvy_, _goedhart, _жамьяанс, 
   {{0xf2910025,0x62e9010f,0xa20202e8,0xc49b00d9}},	//   _gatau_, _мемонад_, _tisina_, _обогрева, 
   {{0xd290005b,0x19fc029e,0x4a5c0039,0xad7a018d}},	// [4220] _mblaq_, _januariu, _berehala_, _ምቅትታል_, 
   {{0xe3ea073d,0x6e63043b,0x82020099,0xda80019b}},	//   _jakta_, _dorchada, _risina_, _telefoną_, 
   {{0xd2da00a1,0x6aca001a,0x73ea016b,0xb03f013c}},	//   _tireni_, _látogatá, _dakta_, _başlamal, 
   {{0x716a04e5,0x00000000,0x00000000,0x00000000}},	//   _abagesul, --, --, --, 
   {{0x02d90544,0x43540027,0xcea1025c,0xf97601dd}},	//   _hoonele_, _penedis_, _gestört_, _bahindut, 
   {{0xb27e01d8,0xf2910082,0xf35b0223,0xd26c0100}},	//   _klong_, _watau_, _baigura_, _kukova_, 
   {{0xc29100a5,0xd1d10045,0xf2a104eb,0xec55056c}},	//   _tatau_, _услова_, _सीमांध्र_, _pretnje_, 
   {{0xf1470540,0x438b045f,0x95ac0181,0x00000000}},	//   _bjarnaso, _tårna_, _krystalk, --, 
   {{0xe48101c8,0xfa8302c7,0xad7c00be,0xffaa02a4}},	//   _nastupuj, _gelingen_, _عاشىقپىن_, _teneatur_, 
   {{0x52770125,0x16e701ea,0xf27e0117,0x181d0013}},	//   _мазмуны_, _tasavvuf, _olong_, _халкимиз_, 
   {{0x21da00da,0x42900119,0x8a4e00cb,0x047202fd}},	//   _трандафи, _andang_, _amadrama_, _haotuinn_, 
   {{0x927e0140,0x0a6c0177,0x9a7f0299,0x00000000}},	//   _ilong_, _шыцәгьоу_, _تاماكىغا_, --, 
   {{0x7379019d,0x22ab00aa,0x03440020,0xfa010297}},	//   _kupanga_, _beading_, _alaelae_, _baganaga_, 
   {{0x1292006f,0x95030125,0x329102c9,0x0f140156}},	//   _hatari_, _adalatsy, _tatal_, _אָנטײל_, 
   {{0x799d00f5,0x214b012b,0x2608008d,0xe3e4011b}},	//   _барыш_, _stronach_, _fermerli, _kintwadi_, 
   {{0x3fe905cb,0x52fc0437,0x982f0153,0xaa7c02ec}},	//   _फ्रान्स_, _fanger_, _このサイトは_, _kuraasta_, 
   {{0xa855017d,0x13670138,0xdf7d0211,0x6292048f}},	// [4230] _ああっ名無しさま, _inegöl_, _молодоже, _matari_, 
   {{0x52920134,0xa9060331,0x9a5200ea,0x00000000}},	//   _latari_, _hampulig, _haverina_, --, 
   {{0x53f10141,0x09fc0022,0x12ca04c8,0xc67a00c3}},	//   _asoslari_, _иглин_, _bajda_, _ingenium_, 
   {{0x03e900b3,0x5fd60148,0x9add01bf,0xd7eb006d}},	//   _премиясы, _匯豐銀行的信用卡, _kortsikt, _аякса_, 
   {{0xd7e204d3,0xcd090044,0xd56f00c5,0x2ab10278}},	//   _cinplaim_, _opposite_, _北京京广中心酒店, _berkalib, 
   {{0xa0540065,0x1058000a,0xf4620029,0x4d0a00e6}},	//   _befreiun, _danskinn, _گێڕێت_, _报市人民政府批准, 
   {{0x04ac030b,0x8a3a0361,0x00000000,0x00000000}},	//   _banakunk, _видеокий, --, --, 
   {{0x423900b7,0x826c03fb,0x727f0110,0x00000000}},	//   _bermedi_, _vukova_, _žanri_, --, 
   {{0x72d6005b,0x934001c5,0xaf5f00f1,0x5c090488}},	//   _setlist_, _dibedda_, _remarkab_, _izraisīt_, 
   {{0x6336033a,0xd9f900f3,0x029e0008,0xa2970156}},	//   _diskussj, _bacacise, _жихад_, _געלטליכע_, 
   {{0x22ab01d1,0xa48101e6,0x19d7040e,0x303f0418}},	//   _reading_, _zastupuj, _ordentle, _başlamad, 
   {{0xf45000c7,0xa291042c,0x318403b2,0x48cd03f4}},	//   _yazılışı_, _ciljeve_, _bioavail, _потрачен, 
   {{0xeb220308,0x85020040,0x92d802a3,0x120202af}},	//   _walaupun_, _השידורים_, _atleet_, _gisiba_, 
   {{0x5290004f,0xc1cb0225,0x7a0100dc,0x49190135}},	//   _aaday_, _walfisch_, _lagalaga_, _bombalau, 
   {{0x62900120,0xb58f0061,0xa75f0046,0x9dbd00da}},	//   _baday_, _김밥할머니_, _كەچىردىم_, _comisioa, 
   {{0x73ae02cb,0x67cc005e,0x1c36034c,0x62b403d1}},	//   _ljubavlj, _ﺗﯘﻳﯘﻗﺴﯩﺰ_, _акланырг, _plecu_, 
   {{0xc87d019d,0x1c6e0357,0xb2fe0262,0xd5c800c4}},	// [4240] _aloisiou, _kadrala_, _chynymy_, _linalosh, 
   {{0x776e039f,0x9fc60191,0x62900358,0xee09003e}},	//   _universi, _granskar_, _domaje_, _diteromp, 
   {{0xd29201a6,0xa2f0012d,0x4b070262,0x62d9017c}},	//   _tatari_, _holidei_, _себэп_, _skrek_, 
   {{0xc9c90148,0xeffa02cf,0xf2900211,0xa8780153}},	//   _聯合報系第七屆u, _маскиран, _lomake_, _レオナルド_, 
   {{0x626c036b,0x4c62004a,0x269603f6,0xf3d50187}},	//   _pegou_, _barudan_, _pamepuli, _клипот_, 
   {{0x959d037f,0x931d01d4,0xcaa70147,0xbd0f03a2}},	//   _lisenziy, _barbier_, _انەكدوتت, _चाईबासा_, 
   {{0x02d901b2,0xa274006c,0x3fc901f1,0xc1830056}},	//   _shrew_, _akasabel, _besimtar_, _angabahl, 
   {{0xb2d5008f,0xc2d5023a,0x1f2e00e7,0x66ba0311}},	//   _millest_, _nerobia_, _azotemia, _መናፍቓን_, 
   {{0x4c550129,0x5da8001d,0xb380007f,0x8c3b0234}},	//   _ezitere_, _effortia, _estron_, _àdáwà_, 
   {{0x52d600d9,0x2505051e,0x3aba002b,0x1c680311}},	//   _autojen_, _mostrado_, _ফিক্সিংয়, _ብብረታዊ_, 
   {{0xb29100ad,0xa34a04c3,0xdae501df,0x826c0340}},	//   _matak_, _gamethu_, _contrapt, _hukota_, 
   {{0x4202000a,0x69410251,0xb26c01b5,0xe37f016a}},	//   _kisimi_, _khamiist, _kukota_, _denaska_, 
   {{0xb071016d,0x52b402c6,0x0281005a,0x17fe00e6}},	//   _ﺋﺎﻧﭽﻪ_, _alecs_, _dachlah_, _关于支持会计师事, 
   {{0x32cb0087,0x79d0041e,0x4cca0071,0x5ef6018a}},	//   _eaddis_, _ricevett, _کیرمصنوع, _bathodyn, 
   {{0xb6250141,0x206100bc,0xe67f020f,0x6a5703b8}},	//   _moliyavi, _انگری_, _amakishw, _назерке_, 
   {{0xbf7001bb,0xd37d01ef,0x314e01d1,0x065d0282}},	//   _haçan_, _развіцця_, _criterio, _kaikōkir, 
   {{0x5248001b,0xf29100bd,0x92e9004d,0xb3ea02a4}},	// [4250] _dhimma_, _cleart_, _relicto_, _macto_, 
   {{0xb20201fe,0xc8fd010d,0x37d70253,0xf2ef0251}},	//   _sisili_, _kewaspad, _attartug, _fidinta_, 
   {{0x53e70365,0x13ef0140,0x0afc013d,0x2291009b}},	//   _pátku_, _maglingk, _alkemiis, _datak_, 
   {{0xceb80462,0x99cd0629,0x2cf500a1,0x591a0240}},	//   _affordin, _ereforet, _taitamar, _itabagau, 
   {{0xef460462,0xff3702e7,0xd6a602d8,0x16970261}},	//   _adaptawa, _eskuwela, _pantatny, _animalaj_, 
   {{0x0e7d00e4,0x8c89030d,0x22e80170,0x00000000}},	//   _फोन्स_, _dindirmə, _kudinda_, --, 
   {{0xe2d9018a,0x1dab0024,0x921c0176,0xb4a10137}},	//   _chreu_, _meininga, _bashrc_, _өөдлөн_, 
   {{0x5b7301e6,0xa4730009,0xa37a018e,0x6a9d0359}},	//   _poslanec, _postanej, _kwaaito_, _inkhuzen_, 
   {{0xa849018d,0xc20000f2,0x52900219,0x903f01c7}},	//   _ብቴሌፍን_, _aplis_, _bomake_, _başlamaz, 
   {{0x129101fc,0xd9dc00d1,0x5c77046f,0x00000000}},	//   _catak_, _ছিকুৱেল_, _krisste_, --, 
   {{0x1c4806fe,0x537a0179,0x32f30203,0x40ef0092}},	//   _अभिनंदन_, _melajol_, _logiant_, _indimell, 
   {{0x116c0481,0x8b340080,0x3bd905da,0x0f770244}},	//   _gesponso, _ammarnis, _pareció_, _писано_, 
   {{0x489d014a,0x53a30046,0x726d0334,0x534903f1}},	//   _pedagógu, _تۅمۅندۅ_, _asaone_, _anjelov_, 
   {{0xc1cc0375,0x1697003c,0x521d0040,0x32360585}},	//   _anamuyim, _فاطیما_, _רייקי_, _ilije_, 
   {{0x7290035b,0x529001da,0xd72702aa,0x1236044d}},	//   _nimate_, _romake_, _deklarov, _linjil_, 
   {{0x64e10158,0xf291014b,0x757b0192,0xa2260376}},	//   _रवैये_, _datah_, _heleboel_, _enskar_, 
   {{0x72910138,0xac4b035e,0x32c70230,0xd2d802c7}},	// [4260] _yatak_, _rejting_, _implike_, _hinein_, 
   {{0x3a2e0244,0xe47d007f,0xd2e00053,0x837900a1}},	//   _cancella_, _bartïon_, _जागीच_, _wawahia_, 
   {{0x6cd7014a,0xd39d00bb,0x09e2035e,0x00000000}},	//   _اعصام_, _ملاؤں_, _školska_, --, 
   {{0xbc6d002f,0x82f902f6,0xc6f3003e,0xf2000331}},	//   _asiruta_, _masikip_, _парталар_, _eplir_, 
   {{0x28e80024,0x43a80157,0x027e027f,0x46a10025}},	//   _দীঘলীয়া_, _प्रतिमाए, _ndonyi_, _प्राचीनभ, 
   {{0x0fea0125,0x32250132,0x336b0148,0xd2020049}},	//   _аралашыл, _alakú_, _苦悶往裡吞_, _fisiki_, 
   {{0xe27d00cb,0xd1760349,0x62010119,0x00000000}},	//   _abanathi_, _ananabay_, _pagiha_, --, 
   {{0xd27e00f4,0xdd20015d,0xca730315,0x4f230119}},	//   _bennak_, _मानवीयता_, _bangakha_, _esplikar_, 
   {{0x72f20067,0xef83014f,0xc320019d,0x152a0418}},	//   _addisuu_, _функције_, _apayu_, _aktivasy, 
   {{0x59990026,0x6ce90281,0x62fd02d4,0x05040105}},	//   _미디어로그_, _selvstyr, _neginas_, _pochwały_, 
   {{0x993403ee,0x508a01f4,0x66ed0125,0x22fc0062}},	//   _elemenat, _хазинаси, _akpatlaw, _lungas_, 
   {{0xf487012b,0xc84104a4,0xb20201e5,0x92ee029c}},	//   _निकाले_, _buntanas_, _disiki_, _aneneri_, 
   {{0x29fc014c,0x12260482,0xbe160092,0x34d603a2}},	//   _ngonyaka_, _barkat_, _全ての記事を表示, _बेदिली_, 
   {{0xccb302d0,0x9b410144,0x596b00ce,0x00000000}},	//   _preached_, _samplaí_, _linisyat, --, 
   {{0x7fc20374,0xe71a0193,0x1339018d,0x3d2e000d}},	//   _باتور_, _पक्ष्यां, _ባዕላተን_, _hariduse_, 
   {{0xdc720092,0xb3370078,0x9da10399,0xb3dd0450}},	//   _商品到着後_, _типова_, _kapukapu_, _drewes_, 
   {{0xd41d002c,0xa61b0349,0x9ad10292,0x7c5301a6}},	// [4270] _hasierak, _acromedi, _portogue, _hautaka_, 
   {{0x53950410,0xc47d02bd,0xbb260217,0xaa950192}},	//   _botse_, _partïon_, _carpethe, _medicijn_, 
   {{0xb46a0156,0x99fc01fb,0xf96a0066,0xe8f90118}},	//   _אחשוורוש_, _incaviat, _zibilare, _bakaliru, 
   {{0x626b0011,0x227f00a4,0x3ea6023e,0xf0450092}},	//   _abanubbi_, _blanes_, _anglaran, _skorsten, 
   {{0x52490226,0x6291028e,0xb2270060,0x727e0396}},	//   _chamba_, _satap_, _сабитті_, _elincs_, 
   {{0x5d810117,0x2ce3004a,0xb3d3003e,0x93960227}},	//   _makemaot_, _artıgın_, _тоймай_, _khusyu_, 
   {{0x52fc0054,0x83f900a4,0x928b022b,0x0d030208}},	//   _zangar_, _siguin_, _aldargam, _نگتان_, 
   {{0xb2590055,0xf7530187,0x12860101,0x699600be}},	//   _canonici_, _patrimôn, _conducăt, _бактысы_, 
   {{0x6ac8004d,0xa29101d2,0x727e00e4,0xbc600277}},	//   _值得一提的是_, _watap_, _cennik_, _gakuson_, 
   {{0xbcc605b1,0xf845011c,0x5327006c,0x7f6203ab}},	//   _zaciatku_, _alamaanu, _латукӯб_, _akvarijn, 
   {{0x52490328,0x51fd0046,0x1e7301be,0xb9510331}},	//   _shamba_, _урматтуу_, _एडम्स_, _faroenat, 
   {{0xb26e0148,0xa16006a1,0x5c6102ce,0x5b0203e6}},	//   _女性各類包包_, _impresjo, _sabulan_, _deiftens, 
   {{0x5e4101cf,0x239600a5,0x803c007f,0x9d6b0350}},	//   _cambiate_, _siusiu_, _cadeirio, _የፍርሃት_, 
   {{0x720400d9,0x4e9c0040,0xd2fc0034,0x0e9c04cf}},	//   _sosiaali_, _promisin, _rangar_, _kwamanin, 
   {{0x727e00e4,0xe2ef00dc,0xb2cb0403,0x53530465}},	//   _sennik_, _piliota_, _fenoina_, _hormonov_, 
   {{0xa20204b6,0x1a0a00d5,0x3d3903cc,0x23e202aa}},	//   _abwira_, _misahana_, _সবচাইতে_, _británii_, 
   {{0xadee01b4,0xc38001a2,0xc47e00c7,0x2c480176}},	// [4280] _miljoene_, _jāzina_, _тимор_, _akichanc, 
   {{0x8d0805b3,0x22d40037,0xfc78017c,0x00000000}},	//   _geboorte_, _purdah_, _bryssel_, --, 
   {{0x7ef401e4,0x58660157,0xf1b4034c,0x6f5600bb}},	//   _गौरीशंकर_, _कैरेक्टर_, _aprelneñ_, _چادریں_, 
   {{0x131d03d5,0xbc9300c4,0xd310006a,0xf364005c}},	//   _warbler_, _ناپاڪ_, _hataony_, _akagera_, 
   {{0x184b0334,0x92df043a,0x2a400187,0xf37f0275}},	//   _achotsed, _vagobot_, _антиќ_, _malaloa_, 
   {{0x125a0231,0xf27800be,0x072a00be,0xaa71034c}},	//   _bellum_, _египетте, _دەپسىزدا_, _bulanova_, 
   {{0xb15c010f,0xda930162,0xafd4055f,0x32d80294}},	//   _русал_, _қолдин_, _veriliyo, _celeus_, 
   {{0x174a0032,0x434701dd,0x00000000,0x00000000}},	//   _geonativ, _banenga_, --, --, 
   {{0x837f0049,0x02160251,0x80970076,0x880603bf}},	//   _talanoa_, _دارى۪ن_, _промена_, _adopthiw, 
   {{0x331000d5,0x1b8a03d4,0x2a170052,0x695d0092}},	//   _nataony_, _голом_, _सिद्धपुर_, _grindste, 
   {{0x330205fd,0x226c013a,0x7cf80249,0xb19e00f8}},	//   _jikalau_, _schold_, _stetutor, _গাংনীতে_, 
   {{0x6f3b0220,0x93940144,0x00000000,0x00000000}},	//   _giardina, _milse_, --, --, 
   {{0xd82901a7,0x42290206,0x8ea9011e,0x3f250109}},	//   _четверг_, _ukladať_, _patriyot_, _एकहजार_, 
   {{0xcb0f03b2,0x2da001cc,0xa1c6027f,0x203f0418}},	//   _corporat, _abhojana, _aramukom, _başlamas, 
   {{0x72b500e2,0x00000000,0x00000000,0x00000000}},	//   _fluch_, --, --, --, 
   {{0xfff70373,0x10c1014d,0x5200007f,0xf2b50222}},	//   _תענית_, _bielefel, _boliau_, _pouce_, 
   {{0x925b01fc,0x06c90435,0x32760219,0x37cf033c}},	// [4290] _saalic_, _презвите, _ezingeni_, _institiw, 
   {{0x69d60156,0x69cd00c5,0x3379014d,0xe2a60303}},	//   _מיסטיק_, _河北陶金风_, _staaten_, _gweba_, 
   {{0xb2a602e5,0xa277003b,0x5c600092,0x5bac014a}},	//   _banbot_, _bawatfum, _bakuron_, _beazonos, 
   {{0xaf6c0468,0xd2b501be,0x768100c1,0x0394031a}},	//   _ababebon, _kluci_, _खुशाल_, _dilse_, 
   {{0x23030095,0x00000000,0x00000000,0x00000000}},	//   _dicampu_, --, --, --, 
   {{0x520a0076,0x384b036e,0x3d2a00bc,0xe38e01fe}},	//   _додатоци_, _apamuchu, _قاچاقچیا, _sausauni_, 
   {{0x331a0139,0xdeab03ad,0x1d7302fd,0xa90d00d1}},	//   _addasā_, _akkoljen, _cosmonot_, _জনজীৱনত_, 
   {{0xf2fc00c3,0xb30c000e,0xd2fc005a,0xd0f8034c}},	//   _vulgo_, _attacat_, _dangor_, _ковалент_, 
   {{0xab1100e2,0x92b102ea,0x426d013a,0xce8a0311}},	//   _flaggens, _fondata_, _gewot_, _ብዝፈጸሞ_, 
   {{0xd1ff00cf,0x92da035b,0x5c9b019b,0x63880064}},	//   _bilisumm, _naredi_, _склону_, _арзандат, 
   {{0xd55001be,0x6249019b,0x8d240148,0x00000000}},	//   _karvinsk, _skamba_, _transire_, --, 
   {{0x430d02ec,0xe9dd017d,0xd4fe0311,0x3dbf0239}},	//   _goobaha_, _velgøren, _ተግባሮምን_, _taramore_, 
   {{0xbdbc02c3,0xdfea01f3,0x00000000,0x00000000}},	//   _intenzív, _lubrikač, --, --, 
   {{0xb2fc02bd,0x19360173,0x72ca006f,0x91a90143}},	//   _bangor_, _শিক্ষকদে, _labda_, _рекорда_, 
   {{0x3c080231,0xee930139,0x199b0434,0x00000000}},	//   _starburs, _प्रख्यात, _calorías_, --, 
   {{0xc3950082,0xd9c9045e,0x0b740057,0x61130297}},	//   _motsa_, _ангелов_, _biasiswa_, _biznesın, 
   {{0x36a20020,0xb3950039,0x46850187,0x83730125}},	// [42a0] _atafunai, _lotsa_, _јупитер_, _chagasy_, 
   {{0x33430105,0x03dc0387,0xa37a02f6,0x31190128}},	//   _सुकून_, _bukwa_, _tawagin_, _режимга_, 
   {{0x83dc04ee,0x1a60002b,0xd9c8013d,0x1f1502f6}},	//   _jukwa_, _ভাইদের_, _aprobita_, _gantimpa, 
   {{0xadab04ec,0x00000000,0x00000000,0x00000000}},	//   _iranzaga, --, --, --, 
   {{0xa1cd0233,0x4226028d,0x58760288,0x703700a7}},	//   _absolutm, _diskor_, _oraijedu, _араптар_, 
   {{0xf02102fb,0x1e030304,0xa34e0047,0x285001b6}},	//   _falemaro, _disenara, _installé_, _earrings_, 
   {{0x03dd039d,0xfc5c0272,0xcc0e023b,0x00000000}},	//   _ntswa_, _abatoro_, _kaupale_, --, 
   {{0xa31000e1,0x427f0016,0xa60702eb,0x6dc303ac}},	//   _ciibatu_, _uzante_, _вакцинжу, _keringka, 
   {{0xc6ee003b,0x427e01ac,0x01da00dd,0x00000000}},	//   _ihlaselw, _neonex_, _hirfaith_, --, 
   {{0x627f00fa,0x22c50148,0x5d2a047b,0x238703ad}},	//   _planks_, _英文大紀元_, _brennast_, _iservu_, 
   {{0xe3f806a8,0xf8a500e6,0x2d540371,0x00000000}},	//   _deluju_, _全市胶济铁路客运, _уникално, --, 
   {{0x4178004a,0xb5ff0037,0x1eae020a,0xeb810053}},	//   _arxangel, _በገበያው_, _таралуын_, _बदामी_, 
   {{0x5dbf0298,0x00000000,0x00000000,0x00000000}},	//   _harakore_, --, --, --, 
   {{0xa9d40276,0x92900381,0xbc160040,0x0e9b0217}},	//   _бурчини_, _ablay_, _כשהעסק_, _inducite_, 
   {{0x322301ac,0x72b50042,0xad2a0224,0xaf15069f}},	//   _بدوره_, _louca_, _grennast_, _evidovan, 
   {{0xefd70109,0xe63900f5,0x7c5e002b,0x1545003c}},	//   _protože_, _кадалары, _আহ্বায়ক_, _ببندد_, 
   {{0xb524021c,0x8de30061,0x34cb0365,0x2a1e00d0}},	// [42b0] _reagoval_, _울트라건설_, _चिलिमे_, _минии_, 
   {{0xc1e90086,0x42d902d5,0xdc5503b4,0xd2900381}},	//   _اےران_, _kinnine_, _dzitore_, _eblay_, 
   {{0xd3950075,0x9b7e01aa,0x136c02eb,0x72ec02b0}},	//   _altso_, _abinetsc, _түшээд_, _gewinne_, 
   {{0xd2b50124,0x027f02f3,0xf2e8021c,0xb47b03dc}},	//   _bouca_, _igenom_, _hygiena_, _parturin_, 
   {{0x53ea0231,0xb2f00371,0x662f0120,0x192f0122}},	//   _facta_, _ragioni_, _yangalem_, _وشبکه_, 
   {{0xb2910230,0x56760475,0xba1804fc,0x00000000}},	//   _tatat_, _садыков_, _bombilla_, --, 
   {{0xc3790285,0x54050267,0x22f200e0,0x170c0291}},	//   _muhango_, _okružen_, _isolaasj, _يتكلمون_, 
   {{0xb36402e8,0xd347045d,0x00000000,0x00000000}},	//   _akagara_, _kolevka_, --, --, 
   {{0x62fc00af,0x1291004e,0xf2da00fb,0x05da0397}},	//   _ganger_, _katas_, _abanike_, _ababikay, 
   {{0x46ee034f,0x999b03c1,0xbeda0411,0x5a09029b}},	//   _ahlaselw, _ставаш_, _завершив, _espaywee, 
   {{0xea400148,0x86ce015d,0x75dc0361,0xc35502cd}},	//   _部落格文章搜尋_, _ustaleni, _остаткам, _benezir_, 
   {{0x1d780169,0x223600b4,0x329004b9,0x334000f7}},	//   _বাতিলের_, _plaja_, _conkers_, _abneron_, 
   {{0x9ef1025b,0xec29018d,0xb26900a7,0x2f35002b}},	//   _fiskivin, _ዝተኣትወ_, _керней_, _উঠিয়ে_, 
   {{0x02e804a5,0xa0ec050a,0x1c7d0224,0x42f7040f}},	//   _bacinga_, _mobilyal, _oddsson_, _remiasi_, 
   {{0xbd2a0249,0x00000000,0x00000000,0x00000000}},	//   _ridimaot_, --, --, --, 
   {{0xbdc30383,0x3790010d,0x637c0340,0x158b02ea}},	//   _peringka, _प्रस्थाप, _paraire_, _emergenz, 
   {{0x83f102b2,0xa2900306,0x5bb30264,0xfa1505fb}},	// [42c0] _інфрастр, _aqhata_, _alakontr, _vehabija_, 
   {{0xdf0b01bb,0xa2d900bd,0x0847000c,0x5467016a}},	//   _hemmeler_, _adders_, _añandúgu, _adresaro_, 
   {{0xe14804e7,0x92fc03f3,0x00000000,0x00000000}},	//   _kartónov, _zanger_, --, --, 
   {{0xe34304ac,0xb2910054,0xb93c005a,0xfe030112}},	//   _ворота_, _fatar_, _flammife, _diselara, 
   {{0xa2910025,0x6aee0269,0x00000000,0x00000000}},	//   _tatas_, _tratamie, --, --, 
   {{0x3b6f0253,0x11af0037,0xddbf0298,0x5a31027b}},	//   _takornar, _መላካቸውን_, _parakore_, _caraṇa_, 
   {{0xedc30006,0xd8660012,0x69cc02a6,0x533903c1}},	//   _seringka, _घुंघटा_, _accendit, _лозарите_, 
   {{0x699f017d,0x02010265,0x12f0019b,0xcb7d0333}},	//   _ブログランキング_, _optie_, _didinti_, _burrasca_, 
   {{0x1325005e,0xe11000a4,0x00000000,0x00000000}},	//   _ئىسھاق_, _بىلبەگەن_, --, --, 
   {{0xc72201db,0x0bd90238,0x0a840022,0x7183023c}},	//   _ءومىرداس, _завершит, _адвокаат_, _angamahl, 
   {{0x6f4f04d5,0x1bfb0366,0xc0e1002b,0x00000000}},	//   _kwesikha, _столбец_, _ভাবমূর্ত, --, 
   {{0xce3a0382,0xd8870046,0xc321004d,0xf0890135}},	//   _dayagira, _камалды_, _flaccus_, _дисплейг, 
   {{0xab7101f4,0x32e900ff,0xf3380350,0x00000000}},	//   _уйланса_, _delikto_, _አምርተው_, --, 
   {{0x4a060090,0x17140257,0x52ea0360,0xb303038e}},	//   _akabatwa_, _boltanum_, _velitel_, _tawadhu_, 
   {{0x92ea0189,0xdf2402e0,0x0dc700ff,0x12010184}},	//   _getiren_, _bolekann, _adekvate_, _kagiha_, 
   {{0xe640019e,0x5a3603d4,0x85830109,0x62f7022f}},	//   _страшных_, _парцела_, _प्रभुलाई_, _анатолем_, 
   {{0x23eb06f5,0x430e0305,0xeee9021c,0x42f0008a}},	// [42d0] _faste_, _avtalar_, _maskovan, _piliati_, 
   {{0xd9530178,0xa62503f6,0xa3eb00da,0x00000000}},	//   _abhayaṅk, _solowaki, _naste_, --, 
   {{0xae870061,0xdf480054,0x00000000,0x00000000}},	//   _교통행정과_, _dangogin, --, --, 
   {{0x929100c7,0x12b404a4,0x6305015e,0x5c1a0065}},	//   _tatar_, _biocas_, _تومات_, _japanisc, 
   {{0x9290005b,0xd68101c9,0x00000000,0x00000000}},	//   _eclat_, _अफनात_, --, --, 
   {{0x82d501f1,0xd7ee0140,0xdf0d0024,0x3f960040}},	//   _sezonin_, _katanung, _নিউজৰ_, _ריבלין_, 
   {{0xf533068f,0x32fc0119,0x6c93012c,0xcf5d0044}},	//   _schaukel_, _hulga_, _ساراه_, _donation, 
   {{0x50f0007d,0x3d0d0169,0xb27e03d5,0xe52b00e6}},	//   _dilantik_, _ঘুমিয়ে_, _doings_, _公务员考试_, 
   {{0x7aa3019b,0x3f060040,0xa98b00e6,0x00000000}},	//   _aplinkyb, _פונדקאות_, _关于市人防指挥中, --, 
   {{0x5fcf0192,0x72e902e3,0x4ae80055,0x7c52000d}},	//   _마이페이지_, _admicro_, _castagne, _तवलेक_, 
   {{0x6b9203db,0xbc6500c5,0xa26c00a2,0x0486020a}},	//   _ilungelo_, _设为辩论话题_, _kukosa_, _браузері, 
   {{0x039503a0,0x0ad80034,0x30ee0278,0x4c5f0387}},	//   _motse_, _myndaalb, _waliyull, _solushọn_, 
   {{0x9708012a,0x4355013d,0x52fc025f,0x13a9023a}},	//   _pracodaw, _revenis_, _bokanisi_, _odoberaj, 
   {{0x335601cf,0x5d5a02d2,0x92a103b0,0x3b2903d4}},	//   _advenir_, _созем_, _মেহেন্দী_, _родитеље_, 
   {{0x69c30029,0xd2910242,0xe18a0119,0x937a00fa}},	//   _قاڵبی_, _yataq_, _estanisl, _aawayin_, 
   {{0x4bd901db,0x527700a2,0x3e77038e,0x42ea0064}},	//   _баратынд, _kitaalum, _गुच्छ_, _retiren_, 
   {{0xb184005e,0x9bc200d1,0x29ad015e,0x7abb00ec}},	// [42e0] _ﺭﯗﺧﺴﻪﺕ_, _অঙ্গৰাজ্, _داستانىن_, _аўдыёкні, 
   {{0xdc3700ee,0xffdc005e,0x093a0239,0xd37c03ec}},	//   _секундын_, _تۇرشاۋۇل_, _inumanga_, _mazzarri_, 
   {{0x83dc0113,0x5a5a0037,0xaefc0246,0x0aa900e5}},	//   _سؤالي_, _የኢጣሊያ_, _булка_, _телесен_, 
   {{0x105c029f,0x5878012a,0xa306003f,0xa6010287}},	//   _noviniek_, _म्युजियो, _mamatlh_, _तालाबन्द, 
   {{0xcd0a030f,0x630001fc,0x3e4e005b,0x9454007e}},	//   _totokore_, _midaddi_, _blessyou_, _अतीन्द्र, 
   {{0x7186010f,0x97a001f6,0x2b750270,0xced8000a}},	//   _ababalel, _ইফালে_, _existeva_, _assingun, 
   {{0xe9970192,0xe386041c,0xd9e901ef,0xcc27000e}},	//   _한국심평회_, _biiram_, _дастатко, _gelavatr, 
   {{0xed4e0060,0x1d7f02c8,0x62fc0456,0x17db0137}},	//   _заманауи_, _asemblea, _kangar_, _тэнүүн_, 
   {{0xa8e203b0,0xb395003e,0x00000000,0x00000000}},	//   _mangfald, _hotse_, --, --, 
   {{0xc380006e,0x82fc022b,0xf281018f,0xf8f003ab}},	//   _duural_, _mangar_, _sachlah_, _aviváž_, 
   {{0x72fc0224,0x2be400bf,0xe0470366,0xb2b501be}},	//   _langar_, _перерабо, _лагеря_, _louce_, 
   {{0xfecb04cc,0xa95000e1,0xfb2b0043,0xb2e202e9}},	//   _yalijsan, _carlinge, _alibagob, _sanidad_, 
   {{0x62d80126,0x62de018a,0xb3100287,0x89e3003f}},	//   _нарахову, _benodau_, _diabetu_, _maruchru, 
   {{0x539d0198,0xb28200a6,0xe9e3023e,0xfd3702af}},	//   _potrebšč, _bakagadi_, _bukunipu, _narivuze_, 
   {{0xc2910119,0xc2eb061e,0x82920061,0x456e01b0}},	//   _patay_, _aswnpas_, _준비합니다_, _autokoré, 
   {{0x7b940040,0x6b46005e,0x37830294,0x3b500285}},	//   _mediafir, _ﺗﻮﺧﺘﺎﭖ_, _caspahá_, _amatwara_, 
   {{0x7c2703dc,0x22900251,0x83ea03df,0xe2fc026c}},	// [42f0] _haraftur, _mahaan_, _tykte_, _incidit_, 
   {{0x32910068,0xb9330147,0x2a7d0204,0xa3f40465}},	//   _watay_, _شاڭعا_, _dubaissa_, _vrstah_, 
   {{0x21470056,0x029102f6,0xac5c0314,0xbc7002a5}},	//   _вазифаи_, _tatay_, _bnntril_, _सुख्खा_, 
   {{0x6e50017c,0xa2ea007b,0x1607009c,0x3e3a0165}},	//   _engagema, _ainimal_, _chulumpi, _waqanisa, 
   {{0x1aba0057,0xa3030032,0xf54300f4,0x12fb0584}},	//   _ገበያውን_, _disampu_, _arnodiñ_, _pitágora, 
   {{0xdeac0191,0xc86700b3,0x1b6102ac,0x821401a3}},	//   _starkare_, _bilinmed, _تجاربك_, _بورچيخان, 
   {{0x39380334,0x6df802b0,0x00000000,0x00000000}},	//   _akumenya_, _studienp, --, --, 
   {{0x43960024,0x0cad020f,0x83800176,0x3ae20064}},	//   _varsam_, _دحاکميت_, _bptran_, _жесирлер, 
   {{0xb5a10673,0xa8a9006c,0xe386042b,0x3ec2073e}},	//   _esifanay, _ҳамбаста, _umorna_, _saingann, 
   {{0x9fc8025b,0x92fc0148,0xaf3a02a3,0x00000000}},	//   _anonymur_, _vulgi_, _verneder_, --, 
   {{0x9da10207,0x0c1c00b2,0x1d0805b3,0x00000000}},	//   _سالگره_, _bacancar, _beroerte_, --, 
   {{0x43080177,0x1c6103d8,0xcda900d1,0x33210234}},	//   _grabado_, _razuman_, _definera, _iseyin_, 
   {{0xad9e0320,0xcf3a0278,0x3341012c,0xf96b00ee}},	//   _faneleke_, _keburuka, _صنعان_, _musikare, 
   {{0x12d9045b,0x12a70205,0x025d013a,0x72060085}},	//   _skrev_, _масофа_, _daitschl, _tokitaki_, 
   {{0xf29001e8,0x7d3500ba,0x4bef017c,0x735f01d1}},	//   _bahain_, _شۆڤینی_, _undertec, _orderly_, 
   {{0xdc68013d,0x92da02c3,0xf2920385,0xe9b6020f}},	//   _ameriko_, _odseku_, _ispala_, _ړنګېدو_, 
   {{0xa2ef01fc,0x03790428,0x789e00a4,0x5440019d}},	// [4300] _gilitta_, _pisarna_, _pedagògi, _chikufik, 
   {{0x0ab6003e,0xcc7301c4,0xca510156,0x4ba00017}},	//   _bakhomis, _swartes_, _וואלקענע, _androidě_, 
   {{0x172b0250,0x97420239,0x3c040244,0x00000000}},	//   _ekspertë, _koropung, _некадърн, --, 
   {{0x00000000,0x00000000,0x00000000,0x00000000}},	//   --, --, --, --, 
   {{0xbeac0244,0x75a80238,0x2f5d023d,0xf2f30282}},	//   _guardare_, _намагаєт, _donazion, _makatiti_, 
   {{0x158e0334,0x2497001c,0x52120472,0x12000267}},	//   _akatalik, _camapuã_, _shohih_, _toliku_, 
   {{0x42d8010b,0x62fc03dc,0x05000156,0xac250268}},	//   _atlege_, _sangir_, _מפעשוואר, _atistics, 
   {{0xf63902d3,0x338e004d,0x7d090073,0xa9ff00f4}},	//   _combinaç, _外國語文能力_, _opponite_, _bernikia_, 
   {{0x48e10153,0x79d301eb,0xae1a00bf,0xf3870203}},	//   _スライドショウ_, _imitärus, _поедании_, _viaram_, 
   {{0x23b0041e,0x62c303dc,0xdb9d06cc,0xd2630358}},	//   _cinque_, _serliga_, _गुरुदेव_, _anbasadè_, 
   {{0xd2cb016b,0x68be03f8,0x42da013a,0xd2fe0148}},	//   _yarda_, _comewidd, _sprech_, _positis_, 
   {{0xc981025c,0xa3860291,0x9d26019d,0x00f10349}},	//   _nachhalt, _جاليري_, _golosale_, _atinumpl, 
   {{0x8bbe018d,0xfea5032e,0xceb80044,0x606f00a6}},	//   _ብኣጠቓላሊ_, _kullakan, _progress_, _akwangoo, 
   {{0x3c1202d9,0x7d5901a3,0x92a70434,0x637300cb}},	//   _alapati_, _آلڊينهوف, _acabó_, _amlahle_, 
   {{0x2a5701db,0xd3460185,0x63a300a6,0x383d0022}},	//   _газетке_, _бассаң_, _elapho_, _мотоуҙыш, 
   {{0xa37a0257,0xb2f10102,0x32240086,0x8b83038e}},	//   _kjarasam, _misingi_, _etikai_, _yulianto_, 
   {{0xebd1050c,0xd987027b,0x3d5600c1,0x57b70503}},	// [4310] _अर्पण_, _प्रश्लिष, _इनिगोय_, _årsskrif, 
   {{0x6eb901cf,0x96ad04df,0x00000000,0x00000000}},	//   _vengeurs_, _doludygy, --, --, 
   {{0x715c01e1,0x247702d3,0xe2b4036f,0xe38a0291}},	//   _дусар_, _критериу, _slican_, _وفوائد_, 
   {{0x73550189,0x327e0144,0xe9e60361,0xc2da0316}},	//   _senedir_, _mbinse_, _аталанак, _gareni_, 
   {{0xe983018d,0x6d210061,0xbabf003c,0xc394012d}},	//   _ብተክኒካዊ_, _추천해드리는_, _بیدگل_, _saksak_, 
   {{0xf763005b,0x230403bf,0x2c62034d,0xfc5b0158}},	//   _akiyochi, _fokolang_, _dinukil_, _minucie_, 
   {{0x493f0309,0x836c027e,0x87d4015f,0x35b6017a}},	//   _olimpiya_, _blogovi_, _consensw, _angambuy, 
   {{0x502d01a7,0x027e0103,0x9d0501bc,0xc4d001a3}},	//   _название_, _vainge_, _skarster, _جھوٽا_, 
   {{0xc5ba0330,0xae1801fe,0xe95b04a5,0xd3780107}},	//   _kamaniqy, _buredela, _akunakwe, _adyaksa_, 
   {{0x6f940235,0x9bad0029,0x7f370128,0xf619002c}},	//   _आज्ञया_, _وڕێکخراو, _суғорила, _тактикий, 
   {{0xec8000d7,0x5224018e,0x7b77015e,0xbd81034b}},	//   _леген_, _dzike_, _арааны_, _sakemaot_, 
   {{0x86db0036,0x5608034f,0xb22501fa,0x0aca0213}},	//   _وااااااا, _مبارکۍ_, _atakai_, _убедитес, 
   {{0x2fe90025,0x2b55034c,0xd2b506e5,0xeda101d2}},	//   _नारायणः_, _глазов_, _houck_, _arininap, 
   {{0x32fc046c,0xa0ba048a,0x15870172,0x2396055c}},	//   _wichtig_, _санитарл, _nketsenk, _varsom_, 
   {{0x06970265,0xad570156,0x637f0275,0x59a700d9}},	//   _geneesmi, _סעטטינגס_, _talaloa_, _дилеров_, 
   {{0x0291004f,0xd7a6007f,0x0c6d0373,0x53860039}},	//   _caxaan_, _anorecsi, _spirita_, _umorea_, 
   {{0xd39400d6,0xb4b40235,0x93ea02e6,0x63f401c5}},	// [4320] _ailse_, _वर्तने_, _teltet_, _xustay_, 
   {{0x800f0044,0xe3940125,0x78a90035,0x5f3900e6}},	//   _קוקסינלי, _bilse_, _байлыкны, _山东省威海市政府, 
   {{0xdd0801c6,0xf3fa0521,0x631a0361,0x6619014d}},	//   _feroaret_, _popull_, _лихорадк, _kapazitä, 
   {{0x72000159,0x839d0039,0xa2fc0255,0xcb7d017d}},	//   _toliau_, _proposam, _kangur_, _parrucca_, 
   {{0x8fb40014,0x9f3e0092,0x22d801b9,0x02fd02e2}},	//   _ሕድገታት_, _商品の説明_, _dulere_, _cannery_, 
   {{0x084700a7,0xe2b5015c,0x2b820240,0x5852019a}},	//   _sistemes_, _louch_, _lakolako_, _bowsters_, 
   {{0xba800174,0xb68c012a,0x023a01d5,0x00000000}},	//   _senyakwa_, _पीलार_, _böjte_, --, 
   {{0xd9380118,0xb67703a8,0x98dd00c1,0x00000000}},	//   _okumanya_, _আদেশটি_, _धाकटा_, --, 
   {{0xe2fc0166,0x79af01db,0xcc7c0028,0xff2c03d1}},	//   _richtig_, _жұтып_, _mooshin_, _faktiska, 
   {{0x7db20090,0x7c7e0211,0x9d310320,0x00000000}},	//   _asingana, _vessaan_, _nyanyile_, --, 
   {{0x15190076,0x42b50197,0xa22603d7,0x23eb04ed}},	//   _рецепта_, _bouch_, _diskur_, _देवस्थान_, 
   {{0x53b9031e,0xf2fd021c,0x02250016,0xb316012c}},	//   _dozvolu_, _bannery_, _trakti_, _ikibidi_, 
   {{0xcfea073f,0x62b50077,0xc2260034,0xce9e00d1}},	//   _पैदावार_, _douch_, _fiskur_, _চাবছেকেণ, 
   {{0xc1bc002b,0x1cdd0260,0x7236028a,0x4246041c}},	//   _মতভেদ_, _parqué_, _mlaji_, _jëmsi_, 
   {{0xbe040062,0x194900be,0x6f040040,0x3dae01e0}},	//   _daweghqa, _заманыбы, _קרליבך_, _کتریشن_, 
   {{0x805800ef,0xc4a403ae,0x67ab054c,0x00000000}},	//   _دقیقې_, _prestisj, _avstemmi, --, 
   {{0x10d800ec,0x785302b9,0x8dc00408,0x00000000}},	// [4330] _значных_, _ادیتی_, _faribola, --, 
   {{0x944f0046,0xcf9d00be,0x75db002b,0xc73b00c5}},	//   _япониялы, _جازباعىن_, _আফারইফেক, _remplacé, 
   {{0xa51700c1,0x9c55006e,0xb487038e,0x6b0601ac}},	//   _उजळणी_, _denthie_, _निराळे_, _torracha_, 
   {{0x2274031e,0x0a7d0046,0xaff80127,0x00000000}},	//   _pokrenul, _burgesia_, _drekstao, --, 
   {{0x79ef00d1,0x52da0229,0x0cee0244,0x00000000}},	//   _নটসূৰ্য_, _bareli_, _уреда_, --, 
   {{0xe3eb0258,0xe1110145,0x775701db,0x92cb0110}},	//   _hasto_, _parsisių, _سۇيتەم_, _gardo_, 
   {{0x1c66005b,0x278000aa,0x34d70147,0x213400e6}},	//   _fortsat_, _amakasig, _بووعاچىڭ_, _羽毛球拍选购指南_, 
   {{0x896900f2,0x184c0062,0xe2010195,0x2a8b023d}},	//   _reportie, _germanyd, _guaill_, _обремене, 
   {{0xcdd004af,0xdf450417,0x9c5b011b,0x6e2700f1}},	//   _motherna, _ernstige_, _akutaki_, _parfetma, 
   {{0xc3010257,0xb37a001e,0x09d6027b,0xdc6906c0}},	//   _notandi_, _jawabin_, _तदुपरि_, _editory_, 
   {{0x29f50013,0x699700f5,0x82cb019b,0x64a60109}},	//   _tekshiru, _дирелдйә, _vardo_, _भोरालबर्, 
   {{0xe03e03c2,0x6c5e02c2,0x475d06aa,0x043e0244}},	//   _falterin, _vertaal_, _sebilang, _sembrano_, 
   {{0x0223023b,0x446f004d,0x0bab00d7,0xc86d04a7}},	//   _kōmike_, _結帳及付款方式_, _kgakanyo_, _arrincad, 
   {{0x3d960205,0x729003ea,0x00000000,0x00000000}},	//   _наврўзи_, _aimait_, --, --, 
   {{0x1ae40130,0x127f00a9,0xb29602b2,0x9f78000a}},	//   _monumant, _mpanvu_, _одязі_, _beachban, 
   {{0xfeb9001d,0xe282012c,0x00000000,0x00000000}},	//   _profetes_, _kudhani_, --, --, 
   {{0x0c6700a6,0xd04d01c4,0xc2fd0034,0x8a9d0213}},	// [4340] _هرحال_, _frankryk_, _beggja_, _запишите_, 
   {{0x9e9602ac,0xa680005d,0xe8cd00fb,0xe9e606c0}},	//   _طرطوس_, _icámara_, _nasekufu, _eurookna_, 
   {{0x693e03f2,0xd9da0155,0x3b5c0210,0x83ea00cf}},	//   _специаль, _kartbild, _chemakir, _footoo_, 
   {{0x6bd0005b,0x4e5300c3,0x36e90137,0xf9fc0119}},	//   _ipodtouc, _sanctita, _индиан_, _insigida_, 
   {{0xc643001f,0x664503ad,0xe4950418,0x62e80325}},	//   _ahantanf, _arloġġ_, _kurtuluş_, _ardinda_, 
   {{0x037304f0,0x03eb024e,0x6e52034c,0x93f1023e}},	//   _bokaone_, _zasto_, _auropanı, _anduweni_, 
   {{0x8dcb0064,0x2b880166,0xc05b0226,0x89c1020e}},	//   _убликасы, _optimier, _akusokon, _busellet, 
   {{0xcc7c04cd,0xc6b10052,0x2c68027f,0x386d000f}},	//   _pjesama_, _बप्तिस्म, _atarabo_, _sonbahar_, 
   {{0x9c510206,0xe436016d,0x74ae026f,0x92ca012c}},	//   _dátumu_, _ﻣﯘﻫﯩﻢ_, _بيۋروسىن, _kondoo_, 
   {{0xec52015c,0x48b8004b,0x00000000,0x00000000}},	//   _flotten_, _таралышт, --, --, 
   {{0xf4bb0014,0x929101b9,0x70c70220,0x8a150092}},	//   _ዚምልከት_, _lataz_, _pellicol, _akibouya_, 
   {{0x33fa005b,0x7d1203d8,0x22ad0013,0xf2890020}},	//   _kasumi_, _omiljene_, _علیات_, _gataivai_, 
   {{0x19610191,0xe81000c5,0x6a020068,0x684c0024}},	//   _lösenord_, _分类精彩知识问答_, _magalada_, _অগুৰুত্ব, 
   {{0x82cb05e6,0xa6290334,0x06240473,0x245e02ba}},	//   _aarde_, _achikhri, _ökonomis, _aphenduk, 
   {{0xfdd00187,0xa5050040,0x82ea010d,0x35a7047b}},	//   _острови_, _אורבך_, _netizen_, _fullgóða, 
   {{0x156c0147,0xbf920017,0x091d01ab,0xa6ca0184}},	//   _اجەڭىلسە, _bramboro, _कोंहड़ा_, _ihushany, 
   {{0x82480122,0x93fa0205,0x340a0361,0x526c01c0}},	// [4350] _ngombe_, _rasuli_, _трематод, _eggon_, 
   {{0xe3ea0163,0x19940169,0xbd33017f,0xedc20145}},	//   _mintha_, _সুরঞ্জিত_, _faxikkut_, _vaziuoja, 
   {{0x02da041b,0x1e0200bc,0xa3eb0220,0xf27f0045}},	//   _rowell_, _pagelara, _tasto_, _vranju_, 
   {{0x2b49018d,0x8d2a00db,0x00000000,0x00000000}},	//   _ርእሶምን_, _sünniaeg_, --, --, 
   {{0xd2d801d9,0x13f90047,0x5ac803d3,0x81b00040}},	//   _gelooss_, _preuve_, _medvirke, _הזדהות_, 
   {{0x82900056,0x42910138,0xd7a00024,0xa3940141}},	//   _iqhaza_, _hatay_, _এফালে_, _bilsa_, 
   {{0x7c530039,0x93450249,0x92000390,0x00000000}},	//   _bestela_, _gladhat_, _dilind_, --, 
   {{0x5a6d0136,0x42340212,0x33ea02e4,0xc076005b}},	//   _vukovars, _flumine_, _bintha_, _bambambo, 
   {{0x26ca0184,0xe2440132,0x3f5400ff,0xabea019f}},	//   _ahushany, _római_, _ראציגער_, _migogoro_, 
   {{0xa37c0360,0x33eb02c2,0xf5c70198,0x2b1a0076}},	//   _garance_, _gaste_, _oblačil_, _atravess, 
   {{0x0afc015e,0x82ce038f,0x2c060541,0x57e60109}},	//   _باسپاعان_, _estoneg_, _proseku_, _apartmá_, 
   {{0xa2bb050a,0x851001ca,0xc3eb048c,0x4a5d0369}},	//   _genelde_, _biyontah, _aaste_, _papekema_, 
   {{0x5c6700bc,0xd2df00f6,0x93f80369,0x52b50042}},	//   _جریان_, _misirdə_, _mumule_, _louco_, 
   {{0xda3d01e0,0xf2da0321,0xb2cb0478,0xd1c20130}},	//   _بانکه_, _mesecu_, _sarde_, _abardaez_, 
   {{0x52fd059a,0x335d0141,0x4f250377,0x42850206}},	//   _sociais_, _пробирка_, _indrepta, _vetrovky_, 
   {{0xf3fa0050,0x920002cb,0x7522027b,0xccdb0211}},	//   _lutung_, _uzmite_, _मालतीमाध, _избегать_, 
   {{0x0291018f,0xe036027f,0xa3f10095,0x533a018e}},	// [4360] _datay_, _ntatahan, _diduweni_, _ntswatsi_, 
   {{0x97e70740,0xf3870245,0xf28700cb,0x604703a2}},	//   _सामरिक_, _sharum_, _abikele_, _डॉयलाग_, 
   {{0xd663017d,0x03f803dd,0x00000000,0x00000000}},	//   _bankchef, _rumune_, --, --, 
   {{0x72310544,0x335e0047,0xc2c804b9,0xe3f00022}},	//   _haumana_, _achetez_, _wedlock_, _boleleng_, 
   {{0x721c0068,0x63470334,0x30280028,0xc3e8004d}},	//   _abshir_, _athetsa_, _baadigoo, _部落格晚點名_, 
   {{0xd38603db,0x039600b6,0x00000000,0x00000000}},	//   _abazali_, _barsam_, --, --, 
   {{0x73fa003f,0x52910138,0xd23703ab,0xb26201a4}},	//   _dutung_, _yatay_, _slušnost, _naboyaki_, 
   {{0x336c004c,0x53ba00af,0x793102fe,0x2ffa0145}},	//   _abagabi_, _forvalt_, _پیوستون_, _работнік, 
   {{0xd48506cc,0x5a9a0013,0xf2d902a6,0x00000000}},	//   _सामान्_, _llanilis, _avenire_, --, 
   {{0x93eb01f1,0x9d10017d,0xec13002e,0xe2f3031c}},	//   _gjetur_, _knallert_, _potpuni_, _cadávere, 
   {{0x8878020e,0x109a0092,0xfbf503ce,0x2246006e}},	//   _реестры_, _詳細を見る_, _بورجی_, _bëmax_, 
   {{0x5039043a,0x03a2033f,0x92d8018e,0x796602ac}},	//   _pestabon, _ipepa_, _fulege_, _روووووعه_, 
   {{0xc3eb01d1,0x1ede0115,0x0e32008d,0x00000000}},	//   _paste_, _lenyapla, _yengilla, --, 
   {{0x7b4c0041,0x34ad038a,0x2204031a,0x77f900e0}},	//   _абнанхам, _antachak, _chriocli_, _belvedêr, 
   {{0xeacd02a0,0x38d404f5,0x00000000,0x00000000}},	//   _ehínerìg, _spasojev, --, --, 
   {{0x16ff02e5,0x5af60023,0x5f5c01b0,0x12d9019a}},	//   _ambuekué, _pesuaine, _babawaan, _fuloser_, 
   {{0xa2d40434,0x1a6d012a,0x999e028d,0x02d80176}},	// [4370] _ayudar_, _publicys, _sankutla_, _tudede_, 
   {{0x93d40040,0x23eb0199,0x80ef0102,0x886d066f}},	//   _באיחור_, _hastc_, _حسرتون_, _lesionad, 
   {{0x6c2b000d,0xdc0e027e,0xf2fc01df,0xfa950142}},	//   _sündinud_, _okupile_, _langir_, _सम्मन्_, 
   {{0xcbee0145,0xdd2c004a,0x0b2102ba,0xbfa2015e}},	//   _вакол_, _armiyase_, _aliphume, _قىستارسا_, 
   {{0x83a20467,0xf966042b,0x500e01e1,0xf37c01e3}},	//   _apepa_, _natoplje, _колоколо, _obrazce_, 
   {{0x279302b7,0xf8060205,0xd3720192,0x00000000}},	//   _molongö_, _چِبین_, _gedaald_, --, 
   {{0x23cf0271,0x335a01b7,0x937502c6,0x8db40147}},	//   _krever_, _adhiṣṭhā, _abelameg_, _بۉلبۉلدۅ, 
   {{0xb89501f9,0x93cf00ca,0xa25805af,0xe27e00ed}},	//   _akuhluku, _crever_, _usporedi_, _kainit_, 
   {{0x50b3026f,0xe71300c7,0x4d5103a2,0x3396038a}},	//   _ءتىنتۋ_, _булгария_, _भांगड़ा_, _chusku_, 
   {{0x6312019e,0xe303017f,0xcb8a01a7,0x027e02f6}},	//   _moterų_, _allatut_, _водой_, _mainit_, 
   {{0x13f9001c,0x938d00ee,0x10ec0033,0xf2cb000d}},	//   _creuse_, _насандаа_, _regiunal, _karda_, 
   {{0x80330076,0x6f2300be,0x43730184,0xd3cf01a4}},	//   _помогне_, _تولقۇتقا, _bugamye_, _grever_, 
   {{0x12cb03ad,0xa93e01a0,0xde5e01eb,0x63f10258}},	//   _marda_, _enhlokwe, _crackbot_, _reizgje_, 
   {{0x02cb0141,0x99a5019b,0xb2ba0107,0xdc550299}},	//   _larda_, _алтара_, _diidini_, _سىچۈەندى, 
   {{0xc2b40553,0xac7e0010,0xcfb5028d,0x681300a4}},	//   _nieco_, _abasito_, _alawenns_, _реестрин, 
   {{0x52550301,0x8609023e,0x00000000,0x00000000}},	//   _məlum_, _webforum_, --, --, 
   {{0xec670479,0x2b93013b,0xaf3f0041,0xc916036b}},	// [4380] _فرحان_, _alentejo_, _aporãkat, _лимфни_, 
   {{0x2b070194,0x5b820403,0x0e4f0061,0xbc68015e}},	//   _extrania_, _amantsar, _경기문화재단의_, _мундирче, 
   {{0x127f05ce,0xa2b20192,0xfdce0368,0x00000000}},	//   _şener_, _fondsen_, _видех_, --, 
   {{0x497301a3,0x10f60161,0x6d7800c1,0x00000000}},	//   _خلقڻهار_, _пальцем_, _टँकरवरून_, --, 
   {{0xa8590695,0x327e0195,0xf2240196,0x23a305fd}},	//   _insanlar_, _bainne_, _dziko_, _suapan_, 
   {{0xee540121,0x70eb0201,0xe07302d5,0xf81a0037}},	//   _porcenta, _garayyok_, _tagasiho, _ማስቻሉን_, 
   {{0xaac10092,0x6f5702b9,0x75c7020f,0x00000000}},	//   _huskelis, _کاندھوں_, _emmabath, --, 
   {{0x477d0013,0x823c0052,0x4b5d01c4,0x00000000}},	//   _parvardi, _makléř_, _gestroop_, --, 
   {{0x542700e5,0x727e0528,0x00000000,0x00000000}},	//   _наредби_, _fainne_, --, --, 
   {{0x2d1900bc,0x493601d7,0x827e031a,0xff7a0155}},	//   _persebar, _dismessa_, _gainne_, _fotbolls_, 
   {{0x1fc202c1,0x65730037,0x63b60226,0xf9d700b7}},	//   _abanyapo, _በተመሣሣይ_, _amavina_, _bejerile, 
   {{0xa84c029d,0x528e0071,0x9b8c0371,0x00000000}},	//   _ачестуй_, _اصولا_, _alloggio_, --, 
   {{0x027f01da,0xb7740297,0x7e4f004b,0x7c620012}},	//   _mbante_, _алдыймы_, _адамчук_, _vanahärr, 
   {{0x9a960051,0xb2c301e5,0x590702c6,0x5f2900a8}},	//   _novembrī_, _apileko_, _desavadu, _curridra, 
   {{0x4905017e,0xc20001ae,0x32b50662,0x7a260515}},	//   _ankoraŭ_, _único_, _llacan_, _discarga_, 
   {{0x87ec02e2,0x92ef03bd,0x417803a0,0x1eb00059}},	//   _afgaanag, _gilista_, _ditaolel, _minorenn, 
   {{0x37c30074,0x439501f0,0x35b10139,0x3d1f000c}},	// [4390] _регулиро, _antse_, _प्रतीच्य, _аргән_, 
   {{0xa394029b,0x47aa00db,0x837301c4,0x00000000}},	//   _bidse_, _anatoomi, _bagasie_, --, 
   {{0xb35002b2,0xcdb80068,0x7c5c00c8,0x03cf02ad}},	//   _вдоскона, _sannadka, _bintril_, _bezva_, 
   {{0xcc6b0141,0xf2d502d5,0xc201009c,0xb7a70145}},	//   _hukumat_, _millist_, _aqtin_, _svetaini, 
   {{0xcd9d022a,0x62ef0313,0x834d027b,0x08500488}},	//   _brodabüs, _dilista_, _atredam_, _snoudens_, 
   {{0x60e80008,0xdb7f018d,0xaa8a0307,0xc29201f5}},	//   _ايپقا_, _plagosen_, _elinemib, _sapaan_, 
   {{0x1136014a,0x52c605ea,0x2200005b,0x3268004b}},	//   _عراقی_, _alumnas_, _ichiro_, _dituemll, 
   {{0x3561029b,0x7f5d00dc,0xd2d80439,0x12ef028f}},	//   _barinañu_, _fesasoan, _etlele_, _hungarei_, 
   {{0xec5201ac,0xaee70177,0x578a0039,0xe5f6001a}},	//   _toitín_, _каҳаӡом_, _доройтож_, _molekulá, 
   {{0x51ad02c8,0xc8de0238,0xb3dd0247,0x7dab01a6}},	//   _atendémo, _потерпіл, _yuswa_, _ngananga, 
   {{0xd2920074,0x32250261,0x82c300fe,0x74a200e5}},	//   _tapaan_, _elekto_, _kailaho_, _сервисир, 
   {{0x420101e6,0xcf1d03b7,0xa2cb004f,0xac5a0053}},	//   _hodinu_, _abruptwa, _caaday_, _diruang_, 
   {{0x027f03eb,0xbf5c00c0,0x42c503ab,0xb1f60188}},	//   _maande_, _kabataan, _vidlice_, _abazomel, 
   {{0x306900d1,0xbd1d00e3,0x583f0291,0xe4cf0350}},	//   _সদিচ্ছা_, _assorbit_, _اصنعي_, _የታሰበውን_, 
   {{0x7c5c03ea,0xcb130061,0x7ec90354,0xb95e00f2}},	//   _gestion_, _정기적으로_, _پارتكومن, _kompozīc, 
   {{0x43dd00c2,0x08c901bd,0x70ef014e,0x64930527}},	//   _ruswa_, _салалард, _установе_, _doprinij, 
   {{0x2bbb0041,0x51bd0041,0x8fce029a,0x12b1013d}},	// [43a0] _студиа_, _ааиаанӡа_, _akonplir_, _fondita_, 
   {{0x32010100,0x52c5001d,0x427f04b2,0xc249019c}},	//   _godinu_, _syllabe_, _abante_, _ijamba_, 
   {{0xb253012c,0x5ed601e8,0x6dbf014a,0xe487027b}},	//   _راهنمائي_, _gilimbun, _ellenzék_, _निवासं_, 
   {{0x3dcb00be,0x92ec006d,0xc2cb03ad,0x47d8027f}},	//   _اعادىل_, _аграрным_, _biedja_, _gasandug, 
   {{0x0af1056e,0x3ea2000e,0x1efd0193,0x73f6026c}},	//   _endurece, _gekröse_, _तारका_, _consequi_, 
   {{0xdb0601a6,0xd2900220,0xc6970055,0x21480261}},	//   _akiritia_, _concorsi_, _addebili, _alttekno, 
   {{0xb97800f5,0x077101e9,0x14f800c5,0x63d50148}},	//   _serişdel, _diphetog, _第四十二条_, _contenti_, 
   {{0x636f0080,0xd9840396,0xef0d0061,0xe07a019b}},	//   _aattalim, _pulizija_, _종합부동산세_, _stipresn, 
   {{0xc1df0217,0x5e4d046b,0x885d0013,0xf29c0338}},	//   _indorsam, _bersonau_, _aralashu, _batlló_, 
   {{0xcf5d00ff,0xc25a0271,0x6ec4027c,0x73870160}},	//   _קירכע_, _tviler_, _asiyikwa, _zauzeti_, 
   {{0x76b60294,0xf00100c4,0xa2ca007f,0xcf2c02f3}},	//   _amasinch, _مٿاڇري_, _bondio_, _freespin, 
   {{0x31860056,0xb61d039e,0xbae3023d,0xe12b0073}},	//   _kukankul, _হাঁহি_, _costrutt, _servatio, 
   {{0xd0c30361,0xc25b06b5,0xd98500e6,0x7201008e}},	//   _антираби, _hvaler_, _市洞庭湖路_, _modilu_, 
   {{0x0f89015e,0x326c0085,0x72650320,0x00000000}},	//   _таркатка, _yukona_, _mugodini_, --, 
   {{0x126d05c3,0x00000000,0x00000000,0x00000000}},	//   _recoin_, --, --, --, 
   {{0xb942035a,0xcc6e01d4,0x42230113,0xebb400e6}},	//   _charlier_, _sparita_, _بدوري_, _火炬新动态_, 
   {{0x37d50211,0x5f910191,0x12df01a6,0x0a2e0294}},	// [43b0] _экстренн, _middagar_, _tenetahi_, _huntašqa_, 
   {{0x014e0192,0x3236019b,0x988000f2,0xf2d802a2}},	//   _저작자표시_, _евангелл, _salidoju, _astoret_, 
   {{0xe201021c,0x7980019d,0x95fd009b,0x2dfc006f}},	//   _rodinu_, _alikubwe, _бялдар_, _صاحبزادي_, 
   {{0x1bee00ec,0x2c04041b,0x12c1001c,0xf0970040}},	//   _малой_, _gossiah_, _bielawa_, _לייפסטיי, 
   {{0xf2da017e,0xeae0018b,0x0a1f0037,0x90bf0331}},	//   _parolis_, _distruge, _akubiome, _heimsatl, 
   {{0xed99001d,0x1c5f0120,0x171000bb,0x4c63005b}},	//   _adverbie_, _molták_, _بھیّا_, _harunao_, 
   {{0x8e530147,0xcc760018,0x732b016a,0x2e4302a2}},	//   _llobrega, _epereli_, _merkatoj, _kamalaya, 
   {{0xb4770145,0x138c00c4,0x22920163,0x65c800c4}},	//   _манера_, _mwishoni_, _sztaki_, _kukanush, 
   {{0x651d00b2,0xef4d026c,0xe292000a,0xa25b0095}},	//   _amanuudh, _personae_, _arqalo_, _ciblon_, 
   {{0x5e430140,0xd66a0059,0xdfd20172,0x998e0374}},	//   _mamamaya, _проверяв, _nsonsono, _дадил_, 
   {{0x7f770074,0x62ca0245,0x4a5b00b9,0xbb0d018f}},	//   _цитатой_, _hindro_, _नर्सोबा_, _petsenme, 
   {{0xf3eb0120,0xbb59020a,0x00000000,0x00000000}},	//   _amatuk_, _باتاليون, --, --, 
   {{0xc47b0119,0x395d0139,0x79d902b9,0x36230203}},	//   _gostynin_, _bhaikṣeṇ, _مباحثوں_, _reformli, 
   {{0x7def0192,0x368502dc,0xf6f00243,0xe2eb02c4}},	//   _하이파이브_, _sindicai, _nagayná_, _espião_, 
   {{0xef24002e,0xbfa004a6,0xa47b02d0,0x99d90094}},	//   _došao_, _novembar_, _listenin_, _лигасыны, 
   {{0xbfcb0073,0xcdc4023e,0xaa3100d1,0x06cd019d}},	//   _desidero, _beringha, _নীতিকো_, _kufafani, 
   {{0x245800c5,0x4f9100a0,0x36b50267,0x00000000}},	// [43c0] _国家文物局_, _diddigar_, _ulaganji, --, 
   {{0x6c5a0136,0xec1b0390,0xafdf056c,0xb30400d2}},	//   _protivi_, _almanlar, _nastavić, _dicaram_, 
   {{0x8ed401c5,0xf2ca0139,0xb300039a,0x00000000}},	//   _زبانو_, _aindro_, _ditaruh_, --, 
   {{0x89fd01d4,0x634b003f,0xb00303dc,0xc4b300da}},	//   _cavalcat, _mayepqu_, _fastløna, _serialul_, 
   {{0x5da20244,0x0edb0449,0x36d10017,0xba4300a8}},	//   _esigenze_, _nesigurn, _कृतिम_, _chadaina_, 
   {{0xfc3b04ef,0x9c7301eb,0x129e0350,0x704c0279}},	//   _mercador, _ivisita_, _ይሰጣችኋል_, _cherchon, 
   {{0xc57300d1,0x738600b0,0xe867001c,0x10ca009c}},	//   _হস্তচালি, _goorta_, _intrimis_, _chullall, 
   {{0xaed5065d,0x6f860147,0x00000000,0x00000000}},	//   _omvisnin, _وركىي_, --, --, 
   {{0x5c6f0435,0x8c0003ef,0x6c3b00a6,0x52d601df}},	//   _односу_, _bituruts, _bezindlu_, _lidless_, 
   {{0x52d803f0,0x4396018f,0xa2b10042,0xa6950116}},	//   _erlent_, _chuslu_, _conduta_, _efterwai, 
   {{0x637c027f,0x62b500c5,0xb639017a,0x6c71004f}},	//   _amwamwe_, _souci_, _akunanki, _massine_, 
   {{0xe2000119,0x62c30241,0x00000000,0x00000000}},	//   _kahimo_, _gaallan_, --, --, 
   {{0x435603ea,0xc767022a,0x93210235,0x12ca016a}},	//   _revenir_, _kalkulav, _anayad_, _cindro_, 
   {{0x95490046,0xa2260147,0xfdb801c2,0x7c760052}},	//   _замандаш, _دۇۇلداتى, _regresou_, _चिट्टा_, 
   {{0xbdbf003a,0x3f71018f,0x85e1030a,0x00000000}},	//   _muhabbat_, _dasamnis_, _cafetarí, --, 
   {{0x52e90294,0xa2500276,0x3f07004d,0xb3a20413}},	//   _amanaku_, _شىكەر_, _請尊重知識產權_, _rompeu_, 
   {{0xe17b0343,0x6ac802da,0x00000000,0x00000000}},	// [43d0] _makapaal, _филиповс, --, --, 
   {{0xa2920024,0x93a200a4,0x935f0455,0x00000000}},	//   _straum_, _pompeu_, _hongrie_, --, 
   {{0xe27f0211,0x19350349,0x12f403ce,0xa307010f}},	//   _saanut_, _aluminat, _خودموختا, _гармои_, 
   {{0x786a00be,0x99c70188,0xf925006f,0x40d500e6}},	//   _ايىتۇۇنۇ_, _самараи_, _صنعتڪار_, _法规和规章_, 
   {{0x29780044,0x6b64013a,0x3f020208,0x63800159}},	//   _התעללות_, _beweegen_, _ژدیها_, _natrio_, 
   {{0x91180211,0xf32b003d,0xe25b009d,0xb3f40059}},	//   _природны, _cercatz_, _biblen_, _nastri_, 
   {{0x192b01ea,0x39650478,0x406d002b,0x9c4101ac}},	//   _абдулази, _coroname, _চলাচলের_, _forchuir, 
   {{0x817d0040,0x795e0333,0x00000000,0x00000000}},	//   _ליקוק_, _agropast, --, --, 
   {{0x23860485,0x786e019b,0x79950013,0xedf90213}},	//   _hjerte_, _atsirand, _булдим_, _витальев, 
   {{0xe6d2059b,0xcc540265,0xd3fd0141,0x1201033a}},	//   _dijangki, _korting_, _manzara_, _aptit_, 
   {{0x850f062d,0x898e0276,0xca5e0321,0x74010050}},	//   _aprovech, _лачин_, _zapestja_, _kapuloan_, 
   {{0x12020244,0x32920140,0x11790444,0x09820088}},	//   _capito_, _kitang_, _лесном_, _достор_, 
   {{0x0d230101,0xed980265,0x00000000,0x00000000}},	//   _ridicate_, _defensie_, --, --, 
   {{0xf5c3019c,0x13cf01b6,0xed4600ec,0xc2b4023d}},	//   _ahmadiyy, _serve_, _братам_, _dieci_, 
   {{0x122403b4,0xbef001ef,0xf2000039,0x902701d5}},	//   _dzika_, _elektrin, _nahiko_, _راویوں_, 
   {{0xf6390185,0xc340022a,0x2224044a,0xeecb00ea}},	//   _далалары, _panemon_, _ezika_, _bekintan, 
   {{0x158e004d,0x975700bc,0xa27301eb,0x00000000}},	// [43e0] _清華大學光電中心, _مهاجمان_, _mángo_, --, 
   {{0xc2d80073,0x026c028a,0x5693013d,0xba730156}},	//   _peleas_, _bukoba_, _alumetoj_, _ראַזעווע_, 
   {{0x54b90220,0xc964032d,0x32f002ca,0x00000000}},	//   _circolaz, _diroyale, _إشبيلية_, --, 
   {{0xc202008d,0xe200023b,0x7c260045,0x767b0147}},	//   _aksini_, _mahiko_, _кратком_, _شىشەدە_, 
   {{0xa32c024a,0x427e030a,0x95cd0350,0x5e9c0374}},	//   _kaabọ_, _asinou_, _ተሞክሮዎች_, _atamanin, 
   {{0x3f940076,0xab82033f,0x0f2c0040,0x296b0217}},	//   _власта_, _hakohako_, _accessin, _visitore, 
   {{0x1af902db,0x8857014d,0x00000000,0x00000000}},	//   _sakrifae, _jenseits_, --, --, 
   {{0x53f900e0,0x790c0325,0xf2ef02ec,0xe85102f3}},	//   _greult_, _artacaqd, _saliida_, _mogulens_, 
   {{0xcf24034c,0x6eab001d,0x126c0160,0x40700094}},	//   _дефицитн, _defectes_, _sukoba_, _بىلسەمشى_, 
   {{0x8e4f0061,0xcce50297,0x1b130261,0x03f4004d}},	//   _경기문화재단은_, _алынуга_, _bolpunkt, _castri_, 
   {{0xb2b4012a,0xcb010043,0xb35e01c9,0x058001de}},	//   _sieci_, _agasemba_, _पहिलौंठी_, _рекордын_, 
   {{0x9cf20274,0x82b40488,0xaf6c004d,0x32a002e7}},	//   _listaver, _pieci_, _劉心武揭秘紅樓夢_, _ihubad_, 
   {{0x9b5e0435,0x3c7d017e,0x05740465,0x00000000}},	//   _брани_, _majstro_, _gostinsk, --, 
   {{0xd2310515,0x24e401f2,0x53660156,0x954e002e}},	//   _cammino_, _ﯪﭘﺘﻮﺭﻯ_, _שווייצער_, _najvećoj_, 
   {{0xbb0901f1,0xae2f020f,0x42eb030d,0x00000000}},	//   _perparue, _اسویلی_, _gelirem_, --, 
   {{0x5b2603f2,0xb67e00d9,0xb6e002eb,0xb30c01a7}},	//   _одном_, _ennenkui, _анхилуун_, _ostavat_, 
   {{0x32f30040,0xa3a3038b,0xdc18048c,0x00000000}},	// [43f0] _פרונט_, _luapan_, _burgleyr, --, 
   {{0x824000c1,0x620201eb,0x119403f0,0x2a3001f7}},	//   _शिरलो_, _japiro_, _bumbugul, _cancelie, 
   {{0x13f400ce,0x5b5101c0,0xfa71034c,0x00000000}},	//   _lartik_, _bindigan_, _islamova_, --, 
   {{0x39180235,0xffbd0040,0xafaa02a4,0x00000000}},	//   _इतिहासं_, _ייעשה_, _refertur_, --, 
   {{0x49180025,0xae8801db,0xb3aa03c2,0x731c0478}},	//   _इतिहासः_, _арандату, _squaring_, _atecina_, 
   {{0x7ae90101,0xff2701c4,0x6237005b,0xf96701a3}},	//   _департе_, _gisteraa, _bicjcb_, _ڪلهوڙا_, 
   {{0x24b500da,0xb0b401e6,0xcf8f035d,0x23950144}},	//   _луминос_, _znamenal, _spamboto, _entso_, 
   {{0x077b0040,0x79ab03f2,0xa4f302b6,0xa53902fe}},	//   _בהכנת_, _океана_, _сорақы_, _روستار_, 
   {{0x8f310013,0x9ae60191,0xe2d80399,0x766701f9}},	//   _истайди_, _publiken_, _fulele_, _baphatfw, 
   {{0xbbe8024f,0xb247008d,0x7bde0012,0x1ec90047}},	//   _butobuto_, _omillari_, _नकलपचीसी_, _anonymes_, 
   {{0x972b012a,0x329000d6,0x62000044,0x627e044a}},	//   _ekspertó, _abhann_, _pmcid_, _moonzi_, 
   {{0xa3ce012c,0x66c4022c,0x4adf020e,0x924301d5}},	//   _alimshuk, _annasofi, _halelets, _parfümöt_, 
   {{0x32520087,0xe20c00e6,0x32d801a0,0xcf4b0351}},	//   _akutlhel, _和温家宝总理重要, _kulele_, _акхарой_, 
   {{0xc6190279,0x22da03a8,0x84ab010e,0x00000000}},	//   _capacité, _attover_, _halakhak, --, 
   {{0xdb8204a9,0x59d90102,0x72f60263,0xfed90373}},	//   _लोकमत_, _hutegeme, _brazilië_, _datiĝas_, 
   {{0xafb70164,0x1bac00ff,0x89d9012c,0xa6c802d7}},	//   _бурунқид, _תּיכּף_, _kutegeme, _betancei, 
  
   {{0xb2d804ab,0x837f0333,0x13bb02ba,0x3b0300e2}},	// [4400] _odjel_, _innalza_, _aniwona_, _piksjitt, 
   {{0x0f2802c3,0xe03600c4,0xef7103f8,0x73a303e7}},	//   _majiteľ_, _سگھندي_, _dasahnis_, _csupt_, 
   {{0xdba703c7,0xc23601e6,0x74870053,0x2067001c}},	//   _वीभत्स_, _spojil_, _निराळी_, _embahado, 
   {{0x57090211,0x123a03d5,0x59de0478,0x47cc0055}},	//   _seitsemä, _bailiff_, _renomada_, _ipertrof, 
   {{0x02f90034,0xed2301cf,0x0b0e036e,0xa2a80156}},	//   _strákarn, _oblidate_, _butswana_, _געמסרט_, 
   {{0xa1450012,0x55fb002d,0xac760040,0xc2e5012a}},	//   _materjal, _dimensió, _existed_, _minutach_, 
   {{0x2224019d,0xfa590128,0x39d30371,0xe4c100be}},	//   _usiku_, _فزیولوژی_, _десетиле, _تۉشۅنگۉن_, 
   {{0x3292014b,0xb639018d,0x45fd0059,0x02da044a}},	//   _japaan_, _ኣቕሪበን_, _харманли_, _lutete_, 
   {{0xcd7000a2,0xc2020270,0xde5503c6,0x72180103}},	//   _غلاميءَ_, _papiro_, _albaanje_, _apakuvam, 
   {{0xb39504cd,0x67b6047d,0x77a00177,0x12e7013d}},	//   _pjesmu_, _naturkni, _инагӡоуп_, _ununura_, 
   {{0x46300024,0xc16c0022,0x41090060,0x78460040}},	//   _পদ্ধতিলৈ_, _аптырай_, _تايۋاننى, _fixtures_, 
   {{0xf3dd040b,0x22b10115,0x5c9300be,0x4e3e01f7}},	//   _muswa_, _saidina_, _سامار_, _baloards_, 
   {{0xc6190163,0x801f005b,0x9366033c,0x55ed047b}},	//   _kapacitá, _reddrago, _cenllysg_, _fundarhø, 
   {{0x8f3f038e,0xdf25010d,0x9ee102fe,0x0b84003d}},	//   _भुस्कुटे_, _didepann, _الجزيرې_, _avenidor, 
   {{0xc2f002ff,0x860c02c2,0x1d140156,0xbc1b0262}},	//   _filisti_, _outomati, _קאָקספּ_, _almaklar, 
   {{0x82c1005f,0x57b102fe,0x1e6c02dd,0xa5f80017}},	//   _belleza_, _abasengx, _arbitraġ, _यूरोपमा_, 
   {{0x123501b7,0xa27e0013,0x819c02fe,0xf2250165}},	// [4410] _anugṛhṇā, _olonni_, _زلزلی_, _tuakai_, 
   {{0x798501d2,0x4e4301cc,0x297804df,0x0f3e0012}},	//   _pulitika_, _sambhava, _serişdes, _केमिलला_, 
   {{0xf9960040,0xf213021c,0xc290005b,0x768c027b}},	//   _מידענות_, _stehno_, _chmate_, _बाणान_, 
   {{0x29ea00b0,0x4059018d,0x76960418,0x53cf037c}},	//   _weerarad, _ተቐሚጦም_, _gelebili, _cervi_, 
   {{0x10550124,0xf27f015a,0x63ff0086,0xbb1900bb}},	//   _aburukun, _baanne_, _nyaralni_, _چودہویں_, 
   {{0x4f3f0241,0xed9f017f,0x3c9f0080,0xb2e302ca}},	//   _afurtama, _alloriaa, _alloriaq, _pirimid_, 
   {{0xe225017d,0x120203e4,0x272600bb,0xd29100a5}},	//   _でご注文いただく, _intiru_, _چولہے_, _isaako_, 
   {{0x437700ff,0xbf51022a,0x7d10032c,0x6c610192}},	//   _זערסי_, _logakevs_, _asbesteq, _pastoor_, 
   {{0x03730263,0xda7000bc,0x62b5001d,0xf6ce014a}},	//   _betaald_, _ambarawa_, _glacin_, _nedvessé, 
   {{0xf05701cd,0xa2e30269,0xa2cb0211,0xcd1b00e6}},	//   _лимити_, _navidad_, _sekoita_, _ceinture_, 
   {{0x72d803eb,0x23cf0005,0x835e00cb,0xff5e0039}},	//   _gelees_, _pervi_, _ҳавзи_, _билетийн_, 
   {{0xa3a20140,0x52d0015b,0x607504c7,0x7c80020a}},	//   _isipan_, _rikodem_, _рукопис_, _несеп_, 
   {{0x72d80244,0x4e430244,0x527e025f,0xde1800cd}},	//   _красавиц, _cambiare_, _alongi_, _agreabla, 
   {{0xab1500ca,0x026c0058,0x52b900e6,0x2ad20205}},	//   _àustria_, _magod_, _市质量技术监督局_, _интерфут, 
   {{0x23220155,0xe9e90153,0x00000000,0x00000000}},	//   _matchar_, _ポロシャツ_, --, --, 
   {{0x5ac0008f,0x47f40253,0x3f3c010d,0xf426005d}},	//   _pakkumis, _allaatig, _डिस्प्ले_, _матцәа_, 
   {{0x4a0a047d,0x6a390126,0x0c3002c0,0x569f040f}},	// [4420] _veraarbe, _веселий_, _естрада_, _privačio, 
   {{0xc9c40101,0x8213032e,0xc2d90080,0x01430095}},	//   _rezervat, _laphi_, _angerl_, _شریعتینو, 
   {{0x475304b3,0xfb7c004c,0xbc6901eb,0x62920141}},	//   _deknolog, _bakutama_, _mbotavy_, _нурланиш_, 
   {{0xf44002eb,0x274c025e,0x27a80205,0x00000000}},	//   _biokimik, _breiðaví, _attraksi, --, 
   {{0x92eb0257,0x0fd60373,0x5395004b,0xed4b01c5}},	//   _minnkar_, _טיפיקעל_, _eitse_, _munaafaq, 
   {{0x53470213,0xec5b01c8,0xdcba0040,0x12650010}},	//   _надписи_, _posteli_, _sampling_, _bewungal, 
   {{0x1303001e,0x22b8006d,0x00000000,0x00000000}},	//   _dawanau_, _бараноўс, --, --, 
   {{0x827e029e,0xbc5a018b,0x8a83004b,0x5eaf003b}},	//   _finnek_, _pantofi_, _алдырмай_, _dolobhan, 
   {{0x9d1b0047,0x62ca00ac,0x3c5e0278,0x7b1f00d9}},	//   _peinture_, _kablovi_, _webteam_, _pelataan_, 
   {{0x8436005e,0xd2ed045a,0x33940405,0x00000000}},	//   _بالاڭزا_, _syriske_, _kristoff_, --, 
   {{0x337501ec,0xe939009a,0xa2800009,0x00000000}},	//   _بختیاری_, _akemanga_, _lističi_, --, 
   {{0xd27e01d9,0x65b00708,0x92860397,0x0e380066}},	//   _kinnek_, _abasinik, _angawazi_, _garatuta, 
   {{0xd1c302ff,0x1582003e,0xb728021c,0x00000000}},	//   _lestomak_, _бөтнләй_, _tabletov, --, 
   {{0x8193019e,0x1ca60185,0xb2900151,0x08800148}},	//   _паралелі_, _барсын_, _aamaid_, _legitimu, 
   {{0x24f101f2,0xb9cf0044,0x06f504d7,0xa2820102}},	//   _бәәйни_, _preferre, _vestfirð, _ardhini_, 
   {{0xd2cf019a,0x57f102da,0x27830147,0x9a0802f7}},	//   _jalouse_, _старлети_, _كۅشۉلۅ_, _lekawana_, 
   {{0xd3ef00b5,0x01330130,0xff5e039a,0x7eb8027c}},	// [4430] _асценахь_, _skolajoù_, _gerakann, _bafondin, 
   {{0x5c520591,0x4b1c0102,0xb26d0400,0x00000000}},	//   _auktion_, _kumpenda_, _ascosa_, --, 
   {{0x5939018d,0x7c1b0135,0x7e5300e6,0x32d80359}},	//   _ኮይኑዎም_, _almawlar, _零角度射门_, _takend_, 
   {{0x928c0096,0x734000ca,0x1f5c0370,0x1e4e003a}},	//   _amakoma_, _aperaquí_, _babasaan, _almashla, 
   {{0x93a30022,0x335601a3,0x8867016d,0x09a500be}},	//   _agapao_, _نرالا_, _еливатқа, _албаса_, 
   {{0xcd9701fc,0x169701c5,0x527e0129,0x203d010d}},	//   _barlamaa, _bartamah, _ibinye_, _tenggoro, 
   {{0x227f0285,0x84c80213,0x540d00da,0x32050282}},	//   _ibanze_, _наступле, _франчеза_, _hupirimi_, 
   {{0xcc6d0242,0x82da00bd,0xc5c8010b,0xbec702bb}},	//   _sonraya_, _ettelt_, _kakantsh, _endokryn, 
   {{0xc3640148,0x36a10170,0xe42d0172,0x19e903ab}},	//   _依般若波羅蜜多故_, _achumach, _mipacheo_, _dohromad, 
   {{0xb1fa00ff,0x927e0129,0x61fc00b3,0x24290122}},	//   _טולטשעוו_, _mbinye_, _сураймек_, _bayangno_, 
   {{0xa2c50002,0x329001ed,0xaa890274,0xfa7f008b}},	//   _prilike_, _aneane_, _steinunn_, _dekoraas, 
   {{0xc9d8012c,0x9af20358,0x5f27017f,0x8aa60153}},	//   _kutekele, _antretye, _atarqisa, _topklass, 
   {{0x4eb00515,0x412d022f,0x18f70137,0x00000000}},	//   _gazellas_, _балты_, _жийнсэн_, --, 
   {{0x1c6e005d,0xd23e0229,0x99d5016a,0xb9db0076}},	//   _chereja_, _alimlik_, _bontenad, _pingente, 
   {{0xfe170162,0xaaa702c8,0x00000000,0x00000000}},	//   _قايرىپ_, _boletíns_, --, --, 
   {{0x620001b4,0xe61e020f,0xaa130059,0x290b01f4}},	//   _lyding_, _دسوريې_, _elicotte, _undamoqd, 
   {{0x5e7300c5,0x3396005b,0x53940465,0xcaea04b1}},	// [4440] _构建社会主义和谐, _jetski_, _smisel_, _iverksat, 
   {{0xd68001d3,0x3dfd00ba,0x51cb002c,0xf9410087}},	//   _arbetsti, _داقڵه_, _westetik_, _mehleket, 
   {{0xa3cb0040,0x127e0129,0x979900e6,0x47fc0159}},	//   _דפדוף_, _ebinye_, _中国教育报_, _алега_, 
   {{0x527f001b,0xfa2b021c,0xcd9e046b,0x32d901d4}},	//   _baanee_, _psychika_, _bagloria, _vignale_, 
   {{0x73780242,0x81b70558,0xc7570262,0x00000000}},	//   _baxanda_, _udummiri_, _җайлары_, --, 
   {{0xdd8b0295,0x85730157,0x07940220,0x872b0741}},	//   _eeeeeeee_, _amatorsk, _trattori, _eksportø, 
   {{0x88c701f4,0xfd84036d,0x2db8012a,0xa2c80055}},	//   _منتقدلرگ, _chompana, _zaniedba, _asconde_, 
   {{0x52b402bb,0x86cd02c5,0x161f0148,0x469a018d}},	//   _niech_, _kufanani, _國家副主席曾慶紅, _ብዘካየዶ_, 
   {{0x5f4e00df,0x3da80255,0xb2ee018d,0xcebc03ea}},	//   _personne_, _vanuseid_, _ብተዓጻጻፊ_, _laissant_, 
   {{0x28870397,0xfa9f0125,0x0b8a00a7,0xa6d20115}},	//   _баланд_, _астындан_, _болом_, _dibangki, 
   {{0xf3a300e4,0x123b02f7,0xeab9038d,0x07b7010f}},	//   _grupy_, _anelang_, _sirkilas, _надидем_, 
   {{0xec5b0300,0x226d0222,0x32e601dd,0xb37301b2}},	//   _dostali_, _rayons_, _akenera_, _assamad_, 
   {{0xcc25006e,0xe01a03d5,0x110601e6,0xa8ec004d}},	//   _antarpir, _awkwardn, _pochopil, _桃園市館後一街_, 
   {{0x72eb007f,0x9ff00076,0x0ead0170,0x32d5003f}},	//   _digidol_, _чешка_, _asatsale_, _murosha_, 
   {{0x11bf0226,0x53f90065,0x611c005e,0xf02e033e}},	//   _adamupem, _freude_, _جەدۋىلى_, _idefenso, 
   {{0xd3a2047b,0x1cff0350,0x00000000,0x00000000}},	//   _dripin_, _አየርላንድ_, --, --, 
   {{0x7680011f,0x61dd0214,0xd6fc01ee,0xd33a0162}},	// [4450] _акльтура_, _akanakum, _добросов, _мәктәпли, 
   {{0x872c0212,0x82d804b7,0x3b190122,0x940603bf}},	//   _crimefig, _gebed_, _peramban_, _аҫабалар, 
   {{0xa2c90372,0x12840125,0xfd8b0241,0x318901de}},	//   _pellach_, _bashdan_, _dhookata, _ирандықт, 
   {{0x83030080,0x00000000,0x00000000,0x00000000}},	//   _allanut_, --, --, --, 
   {{0x426c019d,0xb2e902d5,0x2d970143,0x22bb0184}},	//   _kukoma_, _omaniku_, _веселите_, _tunenge_, 
   {{0x971d00e4,0xa2d5005a,0x0317033a,0x81dc0265}},	//   _मानवाधिक, _durosha_, _ghazlu_, _secondem, 
   {{0x62860373,0x626c02f0,0x4c760249,0xc34a02d4}},	//   _לשונות_, _kulowo_, _anarasi_, _provedim, 
   {{0x36a6028b,0x62360097,0x6b4200ef,0xc3950390}},	//   _школхәыҷ, _onija_, _اورغورځی, _doxsan_, 
   {{0x59fc03de,0x54a4002f,0x52650448,0x79910092}},	//   _kwenzeka_, _anpanayk, _begravel, _文字サイズ_, 
   {{0x2e45073e,0xf7c00061,0xa9490486,0x37b60021}},	//   _menangga, _검색했습니다_, _शिवसिंह_, _efueling, 
   {{0x2edb002d,0x221c0281,0xbf4a023c,0xa5c7019a}},	//   _residuos_, _anthon_, _bangavun, _kilbarch, 
   {{0x87910217,0x2c53066f,0xdda100b6,0x52310227}},	//   _conducev, _contigo_, _kaarootu_, _airmata_, 
   {{0xff0703ce,0xa3eb0486,0xa2d6031d,0x22380077}},	//   _باریکی_, _byste_, _aidless_, _ejemoni_, 
   {{0x08cf00ad,0x936e0097,0xbc230040,0x030302b9}},	//   _sakeudeu, _ibarinpọ_, _affirmed_, _magamat_, 
   {{0x08c000cf,0x0f8a0148,0x3fdc0210,0x807f0142}},	//   _algeessu, _筆記型電腦_, _akazokon, _भर्त्सने_, 
   {{0x91410161,0x8c520296,0x00000000,0x00000000}},	//   _страшные_, _giftiga_, --, --, 
   {{0xa231022d,0x039401e6,0x7202041e,0xbe510466}},	// [4460] _firmata_, _dalsi_, _ultimu_, _objasnja, 
   {{0x29d80119,0x6d300333,0xa291007f,0x030d0152}},	//   _podlaska_, _cannelle_, _actau_, _bulalar_, 
   {{0xdd0f045d,0x84fc006c,0x2d5200a0,0x880f004d}},	//   _kusturic, _моликӣ_, _barcinsu_, _工商發展處_, 
   {{0x2dcb034f,0xc9ec036d,0xf1750358,0xce9a0477}},	//   _بګرام_, _argumaid, _okipasyo, _menembus_, 
   {{0x47f20552,0xa8d10229,0x32d802aa,0x00000000}},	//   _sicangzv, _ancelesd, _prdele_, --, 
   {{0x63d900c5,0x19290093,0x2366003f,0x104d0086}},	//   _后浏览下载_, _деревне_, _borgnan_, _ہلیری_, 
   {{0xa13f04c3,0x1a3d00bc,0x229003f2,0xb29000f1}},	//   _kemulato, _مارکت_, _pelaa_, _lelan_, 
   {{0xf472002b,0xce590169,0x2b060241,0x50a701db}},	//   _এক্সপ্লো, _disculpa, _cirracha_, _داڭعىر_, 
   {{0xf6d204d8,0x11e5013b,0xfaab0153,0x615d0010}},	//   _کراماتھا_, _görlitz_, _として機能する_, _ekufukul, 
   {{0x5224021c,0xe3e500a1,0x425a023c,0x526d034d}},	//   _triky_, _pukuriri_, _bangafum, _kucoba_, 
   {{0xe2d802c3,0x39ee009b,0x12d80363,0x23d50059}},	//   _smiech_, _argitara_, _oljen_, _contanti_, 
   {{0xa29002f6,0xcb01032d,0xa224033d,0xa20e0244}},	//   _kelan_, _bitsedit, _azaka_, _шаран_, 
   {{0xf2000257,0xa52a04e6,0xfaf604c7,0x04850139}},	//   _bilinu_, _atribusy, _суровост, _स्वाम्_, 
   {{0x22b30452,0xcb230040,0x27b4045b,0x311e0156}},	//   _भाजुन_, _ואשמח_, _sameting, _טייַך_, 
   {{0x5a0e0156,0x3b180307,0x996f01d5,0x00000000}},	//   _יוזערז_, _nangemis, _primitív_, --, 
   {{0xe224036c,0x622402d5,0x59b104ef,0xcd19041a}},	//   _ezaka_, _isiku_, _acidente, _kursstar, 
   {{0x4f680654,0x36940229,0x22ca01f7,0x00000000}},	// [4470] _merawatn, _baletini, _bellori_, --, 
   {{0xb9f70071,0x87e600c1,0x32d9005b,0x0c2f02c4}},	//   _ایزوگام_, _करमरकर_, _avvera_, _исламска_, 
   {{0xacf2019f,0x237d0069,0x52120245,0xa652019b}},	//   _عالمن_, _impande_, _radhon_, _ідэнтычн, 
   {{0x1290013d,0xe3390037,0x6b2c01c0,0x00000000}},	//   _belan_, _በሸራተን_, _gumakans, --, 
   {{0x69f8001d,0xb5a001ac,0x0dac013f,0x72d900e2}},	//   _cathedra_, _foriomlá, _drangada, _redens_, 
   {{0x5c5401b2,0xc39502e7,0x4ed300d7,0x82d9037c}},	//   _blotted_, _pitsa_, _hanyenya, _sedens_, 
   {{0xd2900391,0x7b610409,0x51f605cc,0x0b7a051e}},	//   _melao_, _ruteplan_, _abazimel, _tristeza_, 
   {{0x8db0004b,0x0fa0004a,0xf3f903ea,0x4d560287}},	//   _baballwe_, _muzeylar_, _gueule_, _ब्लगमा_, 
   {{0x049e0024,0x226d0076,0x62900066,0x5248015e}},	//   _শিক্ষাই_, _escova_, _gelan_, _promou_, 
   {{0x620f03e9,0x3282024a,0x2d7f00d1,0xe03900f7}},	//   _işine_, _ifesemul, _বাহিনীক_, _bestoson, 
   {{0x5dfd00d6,0x7472028e,0x130203bf,0x3b4f06b5}},	//   _فلاتر_, _bulekolo_, _arabele_, _frimurer, 
   {{0x6bea01c2,0xa17d036c,0x80e4027e,0xd99f0396}},	//   _cálculo_, _ampandal, _смернице_, _fjakkola_, 
   {{0x23e2019d,0x727f0348,0x7016020e,0x0979004b}},	//   _adalekez, _abange_, _малыңды_, _бактарын, 
   {{0x785e024d,0x89eb00c5,0x43a80479,0x12240196}},	//   _khulukhu, _由县级以上人民政, _gépek_, _tsiku_, 
   {{0x2b84035b,0x6290029e,0x83f7028f,0x82da0159}},	//   _nemoteno_, _welan_, _amorangi_, _butent_, 
   {{0x1d230217,0x603b01f2,0xdf4c0059,0x06a2027c}},	//   _obligate_, _шүкри_, _consegne_, _eluthuth, 
   {{0x895904c7,0xcf11008f,0x6b8c0350,0x4c5302fe}},	// [4480] _зеленом_, _vundamen, _በምትካቸው_, _okutsha_, 
   {{0xa62703d5,0xf52703d5,0x23010277,0x0ecc02fe}},	//   _alligati, _alligaty, _gitandi_, _ayinakun, 
   {{0x929000ee,0xe49e00d1,0xde1c038b,0x286a055b}},	//   _zelan_, _শিক্ষাক_, _dipeliha, _tvangsfu, 
   {{0x92770205,0xf2900006,0x7f03010d,0x433303c2}},	//   _радиоси_, _pelan_, _व्यंकटेश_, _asexia_, 
   {{0xfae6022a,0x05f40187,0xbec400d3,0x386500e6}},	//   _sibinön_, _улична_, _pomeranč, _中国长城资产管理, 
   {{0x72d801f3,0x6d180026,0xb3760143,0x62d901d7}},	//   _budeme_, _publieke_, _престоя_, _cedels_, 
   {{0x8d0f027d,0x1301025b,0x34be017a,0x820202dd}},	//   _krstaric, _vitandi_, _конвенси, _gotiku_, 
   {{0x42b40387,0xa9680416,0x00000000,0x00000000}},	//   _theca_, _derivate, --, --, 
   {{0xd2ca045a,0x32940030,0x537f0220,0x929202cd}},	//   _melder_, _veikali_, _finanza_, _bouake_, 
   {{0xf64502e4,0xf4540012,0x388d03ff,0xc2020320}},	//   _arloġġi_, _ट्ेढ़ी_, _golfový_, _kotiku_, 
   {{0x229002a2,0xb37302ad,0x4d1400fd,0xbb270065}},	//   _akdang_, _medaile_, _coasteer, _inspirie, 
   {{0x07dd01cb,0x12900321,0x26380311,0x49d60071}},	//   _lamaprov, _delal_, _ክሓስበሉ_, _azeotrop_, 
   {{0x926c01df,0x229000b6,0x7f8b0198,0x9c13007f}},	//   _arkona_, _eelal_, _rešiti_, _dadlennu_, 
   {{0x53240060,0x838702e2,0x00000000,0x00000000}},	//   _русском_, _akerit_, --, --, 
   {{0x1e530444,0x1fd600cb,0xbb200107,0x59cf0095}},	//   _коровы_, _abazozen, _الخلقه_, _الزامیست_, 
   {{0x174e0215,0x45f6017e,0xb74c02ac,0x00000000}},	//   _statsråd, _מיקווה_, _القفز_, --, 
   {{0x3a01003b,0x9d9a003e,0x86e60269,0x52900189}},	// [4490] _tilandze, _ananelwa, _suscribi, _helal_, 
   {{0xb5c8003a,0x5875011f,0x06cd000a,0x427f0322}},	//   _ommalash, _avaitegu, _affaanni, _abande_, 
   {{0x12ca0120,0x62ca025c,0x765e0268,0x71f00029}},	//   _boodam_, _felder_, _africanw, _دلێرمحه_, 
   {{0x42ea0534,0x023b02f7,0xe301025b,0xf57201dd}},	//   _johncms_, _dielong_, _sitandi_, _alijeriy, 
   {{0x43f2032d,0x06e800bf,0xe63e035d,0x12900436}},	//   _bolumeli_, _разрешаю, _hemikali, _namazu_, 
   {{0xd2e30113,0xaad6028a,0x6248068f,0x90b300ca}},	//   _elkordy_, _واشنگٽن_, _egomie_, _nonmetal, 
   {{0xbc750195,0x0f39034e,0xc3940079,0xde4c0067}},	//   _adhradh_, _akusunpa, _talsu_, _arfaffaa, 
   {{0x389701b6,0x3ec10201,0x8ae20434,0xf3e20101}},	//   _طرقبه_, _acinnaan, _realizan_, _realizez, 
   {{0x2db00253,0xa68a0037,0x07ca0334,0xe81900ba}},	//   _avannarp, _መቅረቡን_, _akuphati, _موهسین_, 
   {{0xd2d8030b,0x098c048a,0x00000000,0x00000000}},	//   _tuleme_, _ақбоз_, --, --, 
   {{0x2fc80320,0xb939018d,0x830d018a,0x075c032c}},	//   _ebrongho, _ዝጠርነፈ_, _arlafar_, _anniking, 
   {{0x0c800262,0x3fad0148,0x00000000,0x00000000}},	//   _берен_, _開啟新視窗_, --, --, 
   {{0x42460094,0xf58403a4,0xc25b047b,0x9224002c}},	//   _استاناعا_, _gullinum_, _hvalur_, _apika_, 
   {{0xee9f0100,0x66f3021c,0xb23b014d,0x54570205}},	//   _granično, _protiprá, _verlauf_, _бирлан_, 
   {{0xcc7603df,0x9d3003d5,0x9f03036e,0xb20f003a}},	//   _ørskog_, _aafillit_, _atawallp, _ubaydull, 
   {{0x42b40488,0x420200ea,0x8e9f0529,0x49e20307}},	//   _piecu_, _lapino_, _granični, _kokuguqu, 
   {{0xb2360422,0x237c00ec,0xa2330282,0xc61b0178}},	// [44a0] _znajo_, _svarstom, _taumano_, _उच्चार्य_, 
   {{0xf50c015d,0xce940170,0xbfc90041,0xda9a00e6}},	//   _automaty, _adamulan, _mafiósog, _上海市民政局_, 
   {{0x235b0234,0xe0c10148,0x56db005e,0xff390109}},	//   _afirìkà_, _聯合線上公司_, _مىلتىق_, _तपसिलमा_, 
   {{0x33a204b2,0xe9cf0092,0xbb660090,0x34690060}},	//   _isipin_, _ウェブリブログの_, _akarerwa_, _تەربەلىپ_, 
   {{0x023602cb,0xde6c0159,0x320201e8,0xf6d00040}},	//   _uniju_, _азернай_, _kapino_, _למשאלים_, 
   {{0x23030250,0x42d804e5,0x3c4e0086,0x3b9700a7}},	//   _allahut_, _muleke_, _تمدنی_, _relació_, 
   {{0x15b001cb,0xe8440033,0x16a8034c,0x00000000}},	//   _yingceny, _chattads_, _kantsely, --, 
   {{0x4b3c02dd,0xb2c90092,0xeb5c04e3,0x72880439}},	//   _སྟོངས_, _コメント数_, _promovir, _kamareni_, 
   {{0xec750374,0xf62403b7,0x22120028,0xbc730239}},	//   _chirish_, _alamedaw, _madhan_, _macrons_, 
   {{0x0c140742,0x0b4303bf,0xdc0904ce,0x785d0261}},	//   _fotsiny_, _ветеранд, _egipita_, _תשליך_, 
   {{0x964c0016,0xb6d80037,0xb5dc0086,0x6bbd00f5}},	//   _פּרנסה_, _ይቀድማል_, _kondenzá, _ромалыла, 
   {{0x74ad00b9,0x3abb031e,0x3201019a,0x22d801a0}},	//   _ditanyak, _dozvolit, _cleids_, _kuleke_, 
   {{0xb224012c,0x087201f2,0x99a50035,0xf8630177}},	//   _spika_, _йосуни_, _алдаган_, _иоданиа_, 
   {{0xbd2c0225,0x1f5d00c1,0x69dc05b9,0xe2da018e}},	//   _bändigen_, _jabatann, _forgifte, _lutere_, 
   {{0x739500b3,0xe9b503b0,0x6d490220,0x83060156}},	//   _gitse_, _skodespe, _схемата_, _altaroj_, 
   {{0x7f3201c5,0x2fde0092,0x02b6045a,0x8f8f0046}},	//   _horreeya, _オススメ情報_, _bladene_, _رەپەرتۇا, 
   {{0xea1e016d,0x9c0802b6,0x2e1701c7,0x9b230078}},	// [44b0] _диний_, _ءبىرىڭ_, _арабада_, _престолу_, 
   {{0x42370304,0xd5bc01e8,0x23870076,0x5396013a}},	//   _imejan_, _kamaginh, _livrar_, _mutsch_, 
   {{0x438002dd,0xcfe00140,0x709000ba,0x9e4000bc}},	//   _སྦྱོངས_, _artikulo, _بیگزاده_, _مانیکور_, 
   {{0x63950035,0x37930166,0x32a80201,0xe39601d9}},	//   _vitse_, _bestätig, _angaaraw_, _futsch_, 
   {{0xca3d0152,0xb2560034,0x2c1d0013,0xfe490021}},	//   _seminarı_, _sóley_, _vatanpar, _ammatica, 
   {{0xaf990162,0xbe9303f0,0xf2e30241,0x698e012a}},	//   _бирилиди, _heimilan, _arginne_, _giełdzie_, 
   {{0x765302c2,0x935f00ea,0xf34402b6,0x00000000}},	//   _beskuldi, _bebenay_, _ۇپىلمالى, --, 
   {{0x826c02f3,0xe2cb02e5,0x22d900b7,0x4dbb0022}},	//   _lagom_, _chulupi_, _bezeg_, _kornelia, 
   {{0x3a5301a0,0xee6503c2,0xa3750059,0xb1f9006d}},	//   _engetela_, _airbrake_, _сукулент, _астравец, 
   {{0x73100480,0x30e502fe,0xc2da0129,0x369d001d}},	//   _akucele_, _ekungcol, _zutere_, _seignori, 
   {{0x42da0558,0x6447019e,0x0fe904eb,0xa2130176}},	//   _butere_, _дэбют_, _पोलार्ड_, _bbphu_, 
   {{0xecd60008,0x335e029a,0x2e4002b6,0xac5502b3}},	//   _царское_, _kekesoz_, _بىرتۇرلى_, _vantaxe_, 
   {{0xe16f0092,0x73a2033c,0xa43f00a6,0xaf7701cd}},	//   _掛け軸の店ひのき, _sgipio_, _استعفئ_, _минаҳо_, 
   {{0x5aa90145,0x5eb40332,0x3224011b,0x00000000}},	//   _кердык_, _cereales_, _mpiko_, --, 
   {{0x29cb02b0,0xeafb064d,0x939603e6,0x6e680022}},	//   _beleucht, _kakuhihe, _autsch_, _вариҫтар, 
   {{0x7c6f01cf,0xd20000d6,0xed35009b,0xa27f02fa}},	//   _spirito_, _lamine_, _эмоци_, _abanze_, 
   {{0x83e001a7,0x53f80013,0xf26c014d,0x9d8c0446}},	// [44c0] _hallituk, _yokub_, _geholt_, _krčki_, 
   {{0xe31000b1,0x09790292,0x29f60208,0xed8f000b}},	//   _chuckle_, _asantehe, _سونیه_, _laulaufa, 
   {{0xc2c9046b,0x7fc10124,0x02d8013f,0xf30c02f2}},	//   _bellach_, _nabokono, _aljek_, _podamos_, 
   {{0xc33d0013,0x326c00fa,0xfb6001ab,0xad7200d1}},	//   _ویران_, _pagod_, _लोगने_, _সমন্বিতে_, 
   {{0xfc2e01ee,0x469301a4,0xcfe30347,0x627f0149}},	//   _бюджетно, _comentai, _dankbaar_, _nbanye_, 
   {{0x1c620008,0x4b2801ef,0x038603b0,0xa396046f}},	//   _امانات_, _транспар, _fjerde_, _rutsch_, 
   {{0x52490289,0xbf250347,0xed860405,0xd15c01af}},	//   _adamva_, _veiliger_, _навряд_, _тутан_, 
   {{0x002e0142,0xfe520071,0xa2d80258,0x00000000}},	//   _ardharāt, _digateka, _teleks_, --, 
   {{0xe2f0033b,0x106d01f7,0x837f01d2,0x6d0701bc}},	//   _badiidi_, _aucabano, _conaika_, _skildere_, 
   {{0x62d90288,0x527f0129,0x68bd034c,0x638202fe}},	//   _ndred_, _mbanye_, _артыңнан_, _بايلي_, 
   {{0xbea403b8,0x22da018b,0x34e1039e,0x693a0226}},	//   _ءومىر_, _putere_, _কুমাৰ_, _akumanga_, 
   {{0x12900242,0x227e01ad,0x58630370,0xbfff0144}},	//   _odlar_, _dolnã_, _babakaur_, _اساتذة_, 
   {{0xa584003a,0x83950288,0xe70402c3,0xa83d0092}},	//   _dastlabk, _antsi_, _distribú, _読むが価値_, 
   {{0x10260287,0x13cf0055,0x9974040f,0x6c2c027e}},	//   _पर्यटकिय_, _servu_, _celiulit, _родитељс, 
   {{0x927f0559,0xe0a20169,0xd76d00e9,0x10e9009b}},	//   _abanye_, _ইউনূস_, _innvayti, _estatuak_, 
   {{0xd46000c5,0x20c000ac,0xc7c10026,0x2200018a}},	//   _香艳的寻宝之旅_, _pokušaj_, _betrekki, _biliau_, 
   {{0x3af70315,0x3ad1037c,0x54ae0195,0x405d0580}},	// [44d0] _ahlukume, _institue, _cuantail_, _zivsaimn, 
   {{0xfb8c0066,0xc08803a1,0xdd3d0257,0x3a100010}},	//   _компанит, _самочувс, _hallgrím, _bayalule, 
   {{0xd27f03da,0xee2c0234,0x29e10022,0x035b0208}},	//   _ebanye_, _ifigagba, _һалһаң_, _ویرانکرد, 
   {{0x3fba0444,0x22000120,0x500700e6,0xd34300b9}},	//   _заключае, _aamine_, _这才是我要的完美, _नथिंग_, 
   {{0x030e019a,0x022b04b7,0x2c0a019c,0x18c50229}},	//   _retains_, _vermoed_, _irapada_, _muzeyind, 
   {{0x67bd00d9,0xea83004d,0x8b1904b3,0xcc5f037c}},	//   _vieraili, _最後交易日_, _arbajenn_, _tertiam_, 
   {{0x7290013f,0x33f8023b,0x59d00255,0xaf4e01c1}},	//   _ledan_, _hokua_, _integree, _bersenja, 
   {{0x63f80182,0x551b00c5,0x89cd0255,0x6c6d0011}},	//   _kokua_, _马鞍山花山青年创, _मिरचा_, _abiraba_, 
   {{0xa9e90410,0x5c1b0089,0xf9e9041a,0x33e4000b}},	//   _mengwage, _almaular, _bygginge, _manufasi_, 
   {{0x7c530220,0x4eaf007f,0x12cf0047,0x8698050a}},	//   _семейств, _gwariant_, _armoire_, _hedefimi, 
   {{0xf76a0092,0x82900318,0xdf4b00e7,0x23420418}},	//   _個人的には_, _felaa_, _airgroun, _giresun_, 
   {{0xc3e70034,0x3cfb033f,0xb2020116,0x92d9015e}},	//   _bætti_, _kelemutu_, _cluits_, _atendre_, 
   {{0x5290002e,0x3306009b,0x7819006d,0xa2b10261}},	//   _jedan_, _lokalak_, _археяляг, _bindita_, 
   {{0x73950082,0x1d490060,0x926c00fe,0x7e590350}},	//   _kitsa_, _балдырла, _kokono_, _የእርግማን_, 
   {{0xd47b0074,0xa2900120,0xa3a3003b,0xadab00a1}},	//   _aikuinen_, _qelah_, _dlephu_, _ngeungeu_, 
   {{0x4e28008d,0xc53300ee,0xa224021c,0x4a5100e6}},	//   _айланган_, _гоожих_, _mraky_, _专项检验定点屠宰, 
   {{0x9290045f,0x41f60361,0xe08f0037,0x53f8005d}},	// [44e0] _nedan_, _петровна_, _አልተጻፈም_, _jokua_, 
   {{0xcd2a034e,0xb23602a0,0x86230037,0x1ae4017c}},	//   _agrigent_, _inaja_, _ታምኖበታል_, _bostadst, 
   {{0x1c9300a4,0xdff5028b,0x984c0044,0x49f30032}},	//   _керектиг, _атенниса, _portions_, _dangaqme, 
   {{0x22900020,0xfc66043c,0xac650127,0x00000000}},	//   _mamalu_, _mostrou_, _broudic_, --, 
   {{0x10c100ba,0xed580388,0x404c02c1,0xa5a002b6}},	//   _شپرزه_, _внесени_, _bamushin, _сүннитте, 
   {{0x68dc02ca,0x6b2502a9,0x83880043,0x08650090}},	//   _tarraing, _пушкін_, _abayala_, _akazoreg, 
   {{0x7f9400d7,0x33e60024,0x92890074,0x80f8034c}},	//   _класта_, _সমীকৰণ_, _lauantai_, _бисмиллә, 
   {{0x241e0037,0x00000000,0x00000000,0x00000000}},	//   _በቀዳሚነት_, --, --, --, 
   {{0x46360076,0x1ae80287,0xd2240071,0x3c39001c}},	//   _discussã, _अक्विला_, _apike_, _ginhalad_, 
   {{0x72000138,0x32d5008e,0x943102ea,0xee4c005c}},	//   _hamile_, _bayliku_, _soccorso_, _ahaaaaaa, 
   {{0xa87f0092,0xa41f01eb,0x00000000,0x00000000}},	//   _ソフトカバ_, _obrajero_, --, --, 
   {{0xac1f015f,0x62d8003c,0x536002fe,0xc7f80350}},	//   _basport_, _ambet_, _پروفيسور_, _የገጠመው_, 
   {{0x331101ab,0x39e2027f,0x72240017,0xd3ea0020}},	//   _diabeet_, _misurusu, _zraky_, _tiotio_, 
   {{0x129000c9,0xb8b603f1,0x67ec0011,0xae0f0462}},	//   _vedan_, _predchad, _babanyag, _egreesda, 
   {{0x69ad0257,0xb2d5009f,0xa9c8025f,0x49f902ef}},	//   _dagvistu, _tovorna_, _nakopesa_, _malandre, 
   {{0x5333005d,0xd95100b4,0x9f7b0037,0x5bfa0132}},	//   _инхарҭәа, _cutremur_, _ማስገደድ_, _látogass, 
   {{0xf35b00ab,0x4cf700bf,0x6aec0333,0x925b003d}},	// [44f0] _hangaia_, _переданы_, _addurtit, _avalir_, 
   {{0xa960022a,0x25290334,0x02900369,0xc2bb0279}},	//   _kranabre, _akungokh, _kamalu_, _chienne_, 
   {{0x7dcd01c5,0x1fdd00bc,0x43530060,0xe9d803c6}},	//   _badhasaa, _قلمبه_, _قۇبان_, _seleksje, 
   {{0x23bb02b2,0x0fc204b2,0xf129037b,0x435b028f}},	//   _допускат, _thenewpo, _permitió_, _mangaia_, 
   {{0x5cb3022d,0xa5ac020f,0xd4d70012,0xe9ea0452}},	//   _alfabetu_, _bengatsh, _रिसिआत_, _हातवारे_, 
   {{0xe29d0097,0xaa1101c5,0xf2250261,0xa23b0122}},	//   _alawòwó_, _hambalye, _anekso_, _dieling_, 
   {{0x89f10034,0x72ac05dd,0x22ed01bd,0xcc54037e}},	//   _endilega_, _आधुनिकीक, _басталып_, _pyntuid_, 
   {{0x4dd702e5,0xc689016f,0x322402aa,0x694a00f4}},	//   _владисла, _мастильн, _vraky_, _grouadur_, 
   {{0x1ab1015f,0x6290017f,0x54ec002b,0x31430062}},	//   _orchymyn_, _aamalu_, _নকশায়_, _irnehnal, 
   {{0xd29002f3,0xfc0d024a,0x232002e8,0xe6b002f6}},	//   _redan_, _adepele_, _iwayo_, _sangguni, 
   {{0xe29001d1,0x52d80270,0xd9a300df,0x00000000}},	//   _sedan_, _ambes_, _indiffér, --, 
   {{0xc9800220,0x7029020a,0x349f00d1,0x05f80350}},	//   _decisame, _салмайты, _মিত্ৰতা_, _የገበያው_, 
   {{0x4d2204ca,0x932202f6,0x328500e2,0x42d8017c}},	//   _anarquic, _apuyan_, _lemsterl, _mejeri_, 
   {{0x08610338,0xa9f9003d,0xc37c03da,0x4f3c0193}},	//   _establir_, _calandre, _gawazie_, _kerusuha, 
   {{0x8ca30276,0x425b0262,0xeed3032d,0x7efb00da}},	//   _алматаға_, _gizlin_, _banyenya, _страниу_, 
   {{0xfc7500ed,0x7a810342,0xb2d4008d,0xa3950211}},	//   _boksing_, _brezilye, _tiborga_, _vitsi_, 
   {{0x92d8008f,0x227e0265,0x96950367,0x815e00e6}},	// [4500] _umbes_, _yoonji_, _materiai, _奥图码投影机_, 
   {{0xc6900211,0x53f801d2,0x429000ad,0xd9f40297}},	//   _справочн, _alkul_, _kedal_, _bergälek, 
   {{0x73030281,0x33200252,0x2394002e,0x27ee004c}},	//   _allamut_, _zwayo_, _otisao_, _atwalang, 
   {{0xf9860240,0x68fd032e,0x5959018d,0x72d80014}},	//   _digitaka_, _tawaqapu, _የጠቃልል_, _uljen_, 
   {{0x72900342,0xa69e0235,0x02f201fa,0x92c90311}},	//   _medam_, _anagāriy, _filiatu_, _ተጻመድቲ_, 
   {{0x82d802b9,0x32cb0409,0xbb9b0292,0x7395029b}},	//   _ember_, _hedder_, _latinfoo_, _geestu_, 
   {{0x65ed004a,0x6a3900be,0x8dad047b,0x42640374}},	//   _бармакка_, _كۅلگۅ_, _grannaup, _arslon_, 
   {{0xeb4400c8,0xe2870222,0x484b005a,0x040d02ea}},	//   _редакцие, _financem, _chalmajd, _ordinanz, 
   {{0x21ef0098,0x72d9043a,0x72480102,0xfafd02c6}},	//   _fremstår_, _tedels_, _alimpa_, _gwarelle, 
   {{0x2c530072,0xb0c5019d,0x0da701a3,0xa63e02f0}},	//   _sartana_, _asilikal, _موچڙا_, _igunyatw, 
   {{0xbe0700ff,0xa2900170,0x5d170061,0xcc140399}},	//   _סימפּאַט, _esnart_, _업데이트가_, _teepilo_, 
   {{0x5c63023d,0xd395005b,0x32000321,0xbf6d00d9}},	//   _imprese_, _mitsu_, _mamice_, _водителе, 
   {{0xdd7f0173,0xb0f9005b,0x00000000,0x00000000}},	//   _বাহিনীর_, _freiberl, --, --, 
   {{0x7da50021,0xb2860560,0xb27400c7,0x00000000}},	//   _advisewa, _angayazi_, _iştiräk_, --, 
   {{0xefaf00fe,0x526c044d,0x68b10227,0x020e006c}},	//   _kanokupo, _firikati_, _muktamar_, _гапат_, 
   {{0xabce00c1,0x01ae002b,0xc35f0109,0x00000000}},	//   _घाशीराम_, _চিকনমিয়, _starobní_, --, 
   {{0x53800195,0x020003ec,0x3c64004d,0x1f420246}},	// [4510] _churam_, _armiku_, _fabulae_, _океанско_, 
   {{0x030c0281,0x39e4006a,0xcb6600b5,0x02d8009f}},	//   _sisamat_, _lanonana_, _chamacoc, _oljem_, 
   {{0x263e0315,0xb3bd0035,0x40a700bb,0x04a3020f}},	//   _agunyatw, _açqan_, _پروڈیوسر, _asiyonto_, 
   {{0x92900191,0xb2d8000d,0xb27a0414,0x223002ac}},	//   _delat_, _poleks_, _cristell, _للآيفون_, 
   {{0xb2e700c8,0xcff303d1,0xe251022d,0x00000000}},	//   _рубрикал, _ignorēša, _aspettem, --, 
   {{0x139406d5,0xd58200fa,0xd290023b,0xf1840318}},	//   _fleste_, _kategory, _welau_, _makamail, 
   {{0xe2c800f5,0x127e0099,0x8ecb04bf,0x4f6301a2}},	//   _арассамы, _inonzi_, _veličans, _nelaimes_, 
   {{0x934001c1,0x18e5001a,0x0f5900be,0xc3200155}},	//   _memesan_, _اردولائب, _милицияд, _belysa_, 
   {{0xa2e30241,0x2c45005a,0xcf370349,0xb9e40183}},	//   _argiine_, _ghawran_, _ameronca, _danonana_, 
   {{0xe76b0037,0xda7900e7,0x527e02fb,0xeeda0181}},	//   _አጎራባች_, _arallels, _moonii_, _nutidens_, 
   {{0x3b3a0322,0x6dae04ee,0xae4e020e,0x1400020f}},	//   _ababafas, _ntagbade_, _ланды_, _سراختلاف_, 
   {{0xbb010639,0x92360261,0x630600f0,0xf0650130}},	//   _persekit, _liajn_, _dodatok_, _bugaligo, 
   {{0xe15300c5,0x22900198,0x83a30306,0x42ed0195}},	//   _企业国有产权转让, _delam_, _apupi_, _chridhe_, 
   {{0x949e0173,0x32900127,0x420002fb,0x53870322}},	//   _শিক্ষার_, _eelam_, _fokisi_, _abisilam, 
   {{0x068201d1,0xd26d005b,0xb1db0092,0x6bfd036a}},	//   _categori, _docomo_, _上田慎一郎_, _pagopago_, 
   {{0x00000000,0x00000000,0x00000000,0x00000000}},	//   --, --, --, --, 
   {{0x776e04ae,0x63a201ce,0x737b0428,0x9737004d}},	// [4520] _obavesti, _limpad_, _pisarno_, _大熊貓繪畫比賽_, 
   {{0xa2800353,0x629001cf,0x5eca026c,0x00000000}},	//   _novinky_, _helam_, _cognomin, --, 
   {{0x93f80441,0xa96300ef,0xc86b0478,0x9f5b0408}},	//   _miluju_, _angosule, _apondigu, _hanakian, 
   {{0x53870250,0xf3ca00bb,0xd22400d7,0xf33d0425}},	//   _gjerat_, _مونڈنے_, _ipaka_, _ڵینان_, 
   {{0x4d20030b,0x13f8000a,0xcd3901e8,0xeeb30438}},	//   _abasigir, _jokum_, _ginhulat_, _apaubale_, 
   {{0x12b2009b,0x5dd40235,0x7eb400df,0x5b1300d9}},	//   _ninduen_, _पर्वतस्य_, _rebelles_, _salainen_, 
   {{0xebad03a5,0x91d101aa,0x8236002a,0x361202ec}},	//   _गणतंत्र_, _entercay_, _anaju_, _گاٹُل_, 
   {{0x12240447,0xe2d9012e,0x1ba40301,0xc3ba004d}},	//   _mpaka_, _bereg_, _vebkamer, _加入好友名單_, 
   {{0x3dff0061,0x7284036e,0x0f2100a7,0x00000000}},	//   _학습방식과_, _cashian_, _impunita, --, 
   {{0x4e020193,0xef640204,0x42e80071,0xf53802b9}},	//   _सुरक्षित, _pelaamin, _boniran_, _magammal_, 
   {{0xdd290461,0x568801b4,0xb3fa00db,0x00000000}},	//   _varietat_, _kinderli, _istung_, --, 
   {{0xfc8500de,0x427e0499,0x02020116,0x00000000}},	//   _خاموشې_, _toonai_, _pitied_, --, 
   {{0x32d9004f,0x40190152,0x1365040b,0x495e0297}},	//   _gereg_, _францияд, _tangaho_, _agromast, 
   {{0x725a02f3,0xe2c802ff,0x237c0040,0x99f40297}},	//   _orolig_, _antoure_, _notable_, _bergäleg, 
   {{0x12360160,0xe2ae0097,0xbc5c003c,0xa27f0322}},	//   _znaju_, _bódún_, _مدیترانه_, _acanye_, 
   {{0xa27f03be,0x62d8048a,0xdefc0059,0x59f30537}},	//   _abanje_, _бизнесті, _формуляр, _entretid, 
   {{0x12900201,0x8200030f,0x257702e9,0xc856004d}},	// [4530] _addat_, _kokiri_, _íntegro_, _你是願意擠在密不, 
   {{0x3c140268,0x02d902c2,0x2a9701a3,0x5d810016}},	//   _ortshay_, _gered_, _جواھر_, _reflekta, 
   {{0x62d802cb,0x522406be,0x29ed0315,0x00000000}},	//   _uljem_, _upiki_, _kugucagu, --, 
   {{0xfa05000d,0x28620445,0xdb8f032d,0x00000000}},	//   _meisterd, _dignidad, _әмәлен_, --, 
   {{0x975d01a4,0x625a0076,0x8d280555,0x00000000}},	//   _babitang, _османлис, _disnorge_, --, 
   {{0xd3ec005e,0x32c70082,0x1bdf019a,0x00000000}},	//   _вирусида_, _alummar_, _sclenter, --, 
   {{0xf2d90084,0xc69e0139,0xe3f80292,0x1c54004d}},	//   _sereg_, _anagārik, _wokum_, _是否屬建築工程_, 
   {{0x530e0089,0x72d8021c,0x2522006a,0x058000ec}},	//   _bularaq_, _dojem_, _mianadah, _nesulauk, 
   {{0xcd35027e,0x125a00dc,0x433c0140,0x32fc0528}},	//   _планету_, _afolau_, _maikling_, _cnogan_, 
   {{0x4889005e,0x0eab0026,0xcc6f0155,0xcc600075}},	//   _دادېسىدى, _offertes_, _sparken_, _sonurin_, 
   {{0x097a0166,0x5413005b,0x1f2a04d7,0x929000ad}},	//   _enthalte, _kumamoto_, _vesturla, _melak_, 
   {{0x62240183,0x14f9018d,0x02d90347,0x7d380156}},	//   _isaky_, _ብምቕማጥ_, _tereg_, _פעריאד_, 
   {{0x075d02c1,0x8200033c,0xb2d9013f,0x00000000}},	//   _yabitang, _awdio_, _bered_, --, 
   {{0xe2d8002e,0xc63f0191,0x896e0255,0xe62500ab}},	//   _kojem_, _faststäl, _गुदगुदीओ_, _puumanaw, 
   {{0xb26c0449,0x37430204,0x89200205,0x5d1401b3}},	//   _uzgoj_, _новинка_, _изланаяп, _fallende_, 
   {{0x0290018a,0x429000b3,0xbd430059,0x3b9a06da}},	//   _addas_, _helak_, _дебитоме, _माटुंगा_, 
   {{0x729002d8,0xe21201fc,0x76ba0235,0x5b970121}},	// [4540] _kelak_, _malhin_, _avaropay, _siniestr, 
   {{0x1b840238,0xa7ac01d1,0x82df04a8,0xb25f01b5}},	//   _екологіч, _effectiv, _zadnjeg_, _khutazil, 
   {{0xc9f804cd,0x33a302a2,0xf8430478,0xb1820287}},	//   _milijuna_, _usapan_, _sortidas_, _katalogy_, 
   {{0x875d0328,0x798b0043,0xbc7001c0,0xb5bb006f}},	//   _babisang, _alikomya_, _agaresu_, _پرمانند_, 
   {{0x679f0080,0xb0e8043d,0xc96300c5,0x95b101d5}},	//   _avatangi, _sebanyak_, _返回宁夏主站_, _bazsalik, 
   {{0x51c9004d,0x3987002b,0x429100f0,0xe95f0107}},	//   _中正紀念堂_, _সফলতার_, _stojace_, _هیچکی_, 
   {{0x549f00d1,0xec7401bb,0x32d7013c,0x713600e6}},	//   _মান্যতা_, _dostuň_, _gizlət_, _soutenez_, 
   {{0xf463007c,0x90ae0398,0x23870305,0xa2e8015b}},	//   _linelwaz, _ардак_, _fjernt_, _rilijen_, 
   {{0xa2d802c2,0x782a0529,0xf95e0074,0x00000000}},	//   _albei_, _pištolje, _varovast, --, 
   {{0x649f00d1,0xf52d038b,0xb7c201cd,0x0a570013}},	//   _দিক্ষিত_, _perintah, _abashadi, _назарга_, 
   {{0x529002fd,0xd23b0544,0x308900cb,0x42d901fe}},	//   _chiall_, _ahumanu_, _пешина_, _jellyby_, 
   {{0x99400005,0x1bc5036e,0x00000000,0x00000000}},	//   _adumbatt, _chuyapis, --, --, 
   {{0x735f0192,0xb27e009a,0xefa40230,0x7001005e}},	//   _아이들에게_, _acinge_, _interfer_, _ﺋﻪﺧﻼﻗﻰ_, 
   {{0x52900108,0xed1d0128,0x4c1201d2,0x837e00be}},	//   _pedah_, _قیلرایشی_, _anapati_, _تۅكمۅسۉۉ_, 
   {{0xb22402be,0xbf120086,0x56d60046,0x00000000}},	//   _epiko_, _kattinta, _зулумдуг, --, 
   {{0x412c001c,0xe0d80089,0x08890125,0x3b660096}},	//   _südliche_, _барысыны, _тархандо, _akirirwa_, 
   {{0x926e019a,0x6ca3003c,0xa2cb03b0,0xf213017a}},	// [4550] _impose_, _مصادره_, _reddar_, _alahle_, 
   {{0x05710025,0xf7a2001b,0x6a1e0211,0xf255037f}},	//   _राजधानीत, _baruumsi, _химии_, _kəlam_, 
   {{0xe0080352,0x6f250165,0x5ef7017a,0x6681009a}},	//   _শৰ্টকাট_, _kidroata, _киемат_, _elivisay, 
   {{0x54800157,0x48460064,0xddac044d,0xcb8a0314}},	//   _प्राइस_, _таксиге_, _eenteelu_, _боҫоп_, 
   {{0x432000b6,0xa21c00d6,0x76430255,0x5cc402a8}},	//   _awayi_, _aithin_, _pankroti, _agrikolu_, 
   {{0x92d10006,0x32d8035b,0x4794019a,0x2290051a}},	//   _disertai_, _pojem_, _flutteri, _helai_, 
   {{0x0b3a0056,0x20fb00f3,0xea8901df,0x00000000}},	//   _ababewas, _liphelel, _laminton_, --, 
   {{0xe1a20147,0x7e43013f,0xdefd0220,0xb92e02b6}},	//   _ئچپەي_, _lavarout_, _графични_, _بازارلار_, 
   {{0x626404df,0x127e00f5,0x22e30243,0xc29000d2}},	//   _arslan_, _icinde_, _dokonuy_, _pelak_, 
   {{0xa2360434,0x39e00386,0x3c53011f,0xafa4011e}},	//   _viaje_, _menggant, _ajutaha_, _enterfer_, 
   {{0x59c2015e,0x0a9c0316,0x13020557,0x50140009}},	//   _divendre, _dalilins, _asabele_, _delavniš, 
   {{0xfe7206f2,0x96db0036,0x8d2901aa,0xa93b005c}},	//   _आरम्भ_, _يااااااا, _allpaper, _ayembaye, 
   {{0x633b0046,0xf7a40238,0x962e0462,0xd9a500ba}},	//   _كىندىك_, _тематичн, _absorbsw, _بخشێنین_, 
   {{0x3f5b00ee,0x629001aa,0xb40d0010,0xe65a013e}},	//   _elkarlan, _adday_, _ayonakek, _fiskalni, 
   {{0xa3bc00ba,0x5c7f042a,0xa7a10044,0x87a7014f}},	//   _ولانا_, _akusimo_, _reputati, _clatroni, 
   {{0xac70041e,0xbb2f00c4,0xe35e0255,0xe63003b2}},	//   _spiritu_, _اسڪالر_, _mingeid_, _overhaul_, 
   {{0x09f80015,0xd61d0121,0x34d70052,0x48fc02af}},	// [4560] _caasimad, _valoraci, _पोलिसी_, _bakazind, 
   {{0x74a600bc,0xd2ca017e,0xe26902e1,0x0c8402a6}},	//   _esensial_, _hindio_, _bacainní_, _accetatu_, 
   {{0x4302007f,0x637903db,0x20600205,0x7cd303f4}},	//   _briallu_, _iphango_, _oydinlik_, _полосу_, 
   {{0x29f003c4,0xd2d9021e,0xa26e0033,0x1d050617}},	//   _малийә_, _vaknade_, _ampoet_, _retrógra, 
   {{0x12a700da,0x1a34018d,0xbb1f0331,0x1ecd015e}},	//   _trebui_, _ሓንጎፋይ_, _einsamøl, _similars_, 
   {{0xedc00051,0x1e9b0212,0xab890166,0xdf0f0268}},	//   _komisija, _adversus_, _gesicher, _arcticwa, 
   {{0x23d800b9,0x2dff0331,0xfa08010b,0x9b7f0133}},	//   _बाजाराती, _avheinta, _mokawana_, _hurrisaa_, 
   {{0x52310132,0x226d003c,0x29840052,0xe62800c5}},	//   _بخاری_, _mawon_, _nachlaze, _cotisati, 
   {{0x2320011b,0xad3c01d5,0x536c0315,0x351b00d1}},	//   _atiye_, _وحشیانہ_, _bangayi_, _ককায়েকৰ_, 
   {{0x4aec0148,0x43f805d6,0x76ad00ff,0x33010374}},	//   _selestib, _mocua_, _אַרכיטעק, _kerakki_, 
   {{0x59e400a1,0x21ac0092,0x36d802f0,0x30d9009b}},	//   _mokopuna_, _最新の投稿_, _bebabitw, _berariaz_, 
   {{0x52d80418,0xaaf400f4,0xbeda00ba,0x220e014e}},	//   _izleme_, _bolotenn_, _واژۆکۆکر, _јасан_, 
   {{0x3c170253,0xeb5600bc,0xa9fd001d,0xf8590197}},	//   _allaaner, _عاشورای_, _gagraplu, _leplisou, 
   {{0x57570008,0x735601b6,0x6a880397,0xc7930516}},	//   _барлар_, _experts_, _abayilet, _bletheri, 
   {{0x29510396,0x4d8f007c,0x2c0b0250,0x26180094}},	//   _esportat, _yehlanga, _perpara_, _بارلىعىن, 
   {{0xb79501d3,0x4ea20088,0x43f8025e,0xb1b60094}},	//   _bokmärk_, _термелер, _lokun_, _سابىرلى_, 
   {{0x687800af,0xbc9c0188,0x00000000,0x00000000}},	// [4570] _продовжу, _суғду_, --, --, 
   {{0xa2780150,0x62d90286,0x5b8c00ac,0xf80e004d}},	//   _daunim_, _rebesi_, _istinito_, _群園社會福利基金, 
   {{0x9302005b,0xc2c502d5,0x020e0162,0x5b210299}},	//   _komatsu_, _nimekiri_, _тавап_, _سېمىزلىك, 
   {{0xb5ea006d,0xc3550121,0xe5c8019e,0x9a9c01c0}},	//   _волма_, _sucesos_, _значная_, _galibins, 
   {{0xafce025b,0xdfd90105,0x7c660416,0x126d00c8}},	//   _menninir_, _letnisko, _fortiat_, _diboka_, 
   {{0x57ee02b6,0x726d0202,0x46380238,0x12e8043a}},	//   _логарифм, _bawon_, _пікселів_, _monitan_, 
   {{0xed7a0010,0x7460006d,0x9a060207,0x33eb002f}},	//   _endlulwe_, _бiблiятэ, _ڏکويل_, _imatak_, 
   {{0x13720384,0xac69054e,0x544d0244,0x2ea70101}},	//   _ostalog_, _situami_, _занимава_, _populare_, 
   {{0x2da4000d,0x02ea04c9,0xa2a601ac,0x979a01be}},	//   _esitanud_, _nadidto_, _thobac_, _उत्सर्जक, 
   {{0x2d8f05e7,0x65640028,0xc9dc0059,0xc7e40183}},	//   _wehlanga, _barwaaqo_, _diffonde, _fanamaiv, 
   {{0xfaf8017a,0x00000000,0x00000000,0x00000000}},	//   _abasemat, --, --, --, 
   {{0x26b80238,0x127c0187,0xe396005b,0x3fef02ac}},	//   _глобальн, _играм_, _matsui_, _مكعبات_, 
   {{0xa55100a7,0x9387012c,0xe01801bb,0x895e01fd}},	//   _айланып_, _پاسداري_, _гачыбата, _reconoce, 
   {{0xe26d02b1,0xabb203ed,0x827802db,0x8f2303e8}},	//   _yawon_, _poderão_, _raunim_, _zamrzova, 
   {{0x92da040b,0xc3fa01fe,0x08e70045,0x4290046b}},	//   _mutele_, _datuvu_, _затвору_, _fflam_, 
   {{0xdac103ce,0x429003ac,0x4d9c0216,0xa192064f}},	//   _خۆردا_, _namamu_, _katekile_, _vouchery_, 
   {{0xa26d0067,0x9ec900b2,0x4c050297,0x53490158}},	// [4580] _dawoo_, _eksiteen, _ipotekas, _limitów_, 
   {{0xa26c012c,0xf93500ff,0xd75202e8,0x5b17017f}},	//   _mikopo_, _געקראָגן_, _anonyeng, _avaangus, 
   {{0xb16302d2,0x41470039,0x77910055,0xab87039f}},	//   _гурух_, _залилан_, _producev, _believer, 
   {{0x02020193,0x0f230371,0x77bd018c,0xfe380272}},	//   _teriak_, _inquadra, _levendig, _beyayita, 
   {{0xa10c0162,0x68fa0354,0xb40d0204,0x00000000}},	//   _қаларлиқ_, _تأمىر_, _keinotek, --, 
   {{0xe655005b,0x51d90060,0x2166001f,0x10ad0235}},	//   _mushroom_, _кешегі_, _nyanibah_, _antaryām, 
   {{0x3ad600be,0x563f0166,0x3c5701db,0xb2a2023d}},	//   _جاقبادى_, _gaststät, _татиды_, _стомашно_, 
   {{0x0629018b,0x4c260037,0xa21e03a8,0xea5d0019}},	//   _захарови, _ኮንዶሚኒየም_, _কৰ্যক্ৰম, _байларга_, 
   {{0x0320032e,0x6c350497,0x5f800109,0xe2cb03d1}},	//   _awayu_, _drunkard_, _हाल्नलाई_, _karlovi_, 
   {{0x46940109,0x926d0107,0xdc61038e,0xdc02018c}},	//   _kadeřnic, _tawon_, _rebusan_, _routebes, 
   {{0xcc7c0145,0xebab0178,0xd8d702a9,0x90750397}},	//   _вывез_, _atithīn_, _баімся_, _кубоки_, 
   {{0xf2ca0119,0xced40060,0xe30004aa,0x49c901ad}},	//   _lyndon_, _активтер, _kamamei_, _almosara_, 
   {{0x6ae401d1,0x9dec01f2,0xb8cd03d5,0xb9e4022b}},	//   _septembe, _һәмкарли, _deceitfu, _septembu, 
   {{0x8a86054a,0xb3f800ce,0x257700ff,0x94020005}},	//   _istorijs, _bokuo_, _ויסשליסי, _translaz, 
   {{0x22ca0039,0x036801b6,0xa290026a,0xf25a00dd}},	//   _beldur_, _lengths_, _tamamu_, _ngolau_, 
   {{0xee9601b7,0xdf4800b0,0x4c6e0120,0xa3f90212}},	//   _संस्कृतव, _geesiyaa, _saarisa_, _securi_, 
   {{0xcf23003d,0x1b8d012c,0xcd15013a,0x22e00408}},	// [4590] _enquadra, _وزارتون_, _klassesc, _ananako_, 
   {{0xa0b601ea,0x13f8036e,0x82b40129,0x74290157}},	//   _هامبورگ_, _alcul_, _isicha_, _medytacj, 
   {{0x64320008,0x338b0743,0x00000000,0x00000000}},	//   _алдынала_, _børud_, --, --, 
   {{0xd29001b7,0x6b57048a,0x9365040b,0x89fb005b}},	//   _cedam_, _тарату_, _langaho_, _duesseld, 
   {{0x875102ec,0x4052011a,0xee360177,0x00000000}},	//   _گلزارٕ_, _migratin, _jahaikua, --, 
   {{0x49ca0405,0x2290038b,0xe3a900bb,0x449c0177}},	//   _ungdomme, _namaku_, _honvéd_, _планс_, 
   {{0x8f470212,0x92fd0003,0x315f0092,0xef7d03a1}},	//   _corstorp, _liggen_, _monolith_, _боеприпа, 
   {{0x3e0d002c,0x13f40049,0xc2e3015e,0xa94900f5}},	//   _ordenaga, _auptio_, _licitud_, _какасыны, 
   {{0x6641025c,0xddc501cd,0x2fc00408,0x8d56024c}},	//   _deaktivi, _abakwasa, _afangaro, _fanatiku_, 
   {{0x11af02fe,0x32930009,0xbb1f010d,0x02360247}},	//   _موجودیت_, _priklop_, _kelamaan_, _bomjon_, 
   {{0x1290028f,0xb695046f,0x00000000,0x00000000}},	//   _mamaku_, _doutsech, --, --, 
   {{0x526d00e1,0x24360137,0xf34500cd,0x547703d4}},	//   _bawol_, _биесээ_, _bundant_, _барела_, 
   {{0xec0b057c,0x966d010f,0xa20600a2,0x7e9200bc}},	//   _egypten_, _биёяд_, _ushiriki_, _اولوالعز, 
   {{0xa2c402c2,0x66ad019b,0x361600f4,0x00000000}},	//   _skuldig_, _kraujagy, _follenni, --, 
   {{0x33f80034,0x4f1401b7,0x154e0420,0x00000000}},	//   _lokum_, _aprameyā, _битни_, --, 
   {{0x927e0099,0xb3f80082,0xca290037,0xe2b4010d}},	//   _anonzi_, _alkur_, _ይደግፋል_, _loncat_, 
   {{0xe56b03f1,0x1c640231,0x00000000,0x00000000}},	// [45a0] _lokomotí, _tabulae_, --, --, 
   {{0x929000a5,0x426c01cd,0x26bc00b9,0x12e90305}},	//   _selau_, _inkolo_, _मत्तय_, _strikka_, 
   {{0x0a77029a,0x3e260109,0x83f8011b,0x829002af}},	//   _langazma_, _छैठौं_, _bokul_, _celat_, 
   {{0x9c7c029a,0xb62801d1,0xb2900155,0x210a02d3}},	//   _atarver_, _motivati, _velat_, _gravidez_, 
   {{0x220004cc,0x66e50148,0x0c280192,0x238600d6}},	//   _atlig_, _鴨脷洲大街_, _인도티벳망명정부, _giorra_, 
   {{0xb1d7016d,0x4262005b,0xc6e60375,0xa300011d}},	//   _сайлаш_, _eigozuki_, _kukanidw, _locatii_, 
   {{0xc380030a,0xe93100d1,0x62d80486,0xa01a0311}},	//   _curros_, _গল্পত_, _dojel_, _እናነበረ_, 
   {{0xcb880151,0xc30f01cd,0xb140019f,0xcc190339}},	//   _decipher, _emazweni_, _kutembel, _kumukū_, 
   {{0xc54500c5,0x60f903f2,0xe2ec02a0,0xc2d800d1}},	//   _版权均属山东省人, _бороться_, _kariaye_, _soleis_, 
   {{0xd2900585,0xb9e201f2,0xb5d50022,0x40890038}},	//   _sedam_, _ھەقلىق_, _туризмы_, _аелина_, 
   {{0x9cf70157,0x3e0c0678,0xf1500035,0x00000000}},	//   _लेखकों_, _pečeň_, _karadıla, --, 
   {{0x93410005,0x226c012a,0x74990096,0xf29000a0}},	//   _gasetta_, _nikogo_, _abashonj, _athawa_, 
   {{0xc2d800a4,0xe39d0373,0x6cba0062,0x50f9009a}},	//   _milers_, _demandoj, _dibahlod_, _asehotel, 
   {{0x3c4702da,0x13880096,0x6c5c0195,0x3d580013}},	//   _правам_, _abasilam, _fantail_, _берсак_, 
   {{0xa2900428,0x272700de,0x4ebd004a,0xb37f0028}},	//   _sedaj_, _بروسل_, _байлыкта_, _finalka_, 
   {{0xf16303ce,0xe3ec02cb,0x737b0174,0x02d80465}},	//   _سایزی_, _sastavni_, _ditaolo_, _mojem_, 
   {{0xcc5001c9,0xfbff0255,0x7f340185,0x627f007b}},	// [45b0] _कैरेट_, _regulats, _forsatta, _scance_, 
   {{0xff200203,0x27860144,0x43050163,0x7290017e}},	//   _aprenden, _واشنطن_, _بولان_, _celas_, 
   {{0xc09a00e4,0x05640061,0xaec200b9,0x68fc0196}},	//   _प्रयोगपृ, _물품구매전_, _gwenchan, _bakalind, 
   {{0x12a8016d,0xb29000ad,0x77a30156,0x726e01a4}},	//   _ﺗﯧﮕﯩﺸﻠﯩﻚ_, _welas_, _מעזריטשע, _kusola_, 
   {{0x1052034e,0x996e02d4,0xf7400362,0x0c220344}},	//   _amistadn, _musicant, _bakobeng, _aperinis, 
   {{0x029002df,0x029601b8,0x2e5a0311,0x1e0501a3}},	//   _kedah_, _बरजोरी_, _ፍልስፍናን_, _مارفاڻي_, 
   {{0x91500325,0x5302032d,0xbd230151,0xa26e00a2}},	//   _yaradılm, _arabile_, _abdicate_, _musoma_, 
   {{0x591b0061,0x9fa600bf,0xdfaa0447,0xa3800116}},	//   _히스테리아는_, _относили, _chamkoko, _farrer_, 
   {{0x122406be,0x6201071e,0xee160066,0xdf2501f0}},	//   _epaki_, _regita_, _modernoa, _kopelwan, 
   {{0x7290040e,0x8c200192,0xf098014e,0xb2900122}},	//   _delar_, _fabrieks, _бирократ, _cedak_, 
   {{0xbc4803e6,0xc9fc01e8,0x00000000,0x00000000}},	//   _gëttin_, _makabint, --, --, 
   {{0x6dfb019f,0x3202034b,0xfaef065b,0x1da100f4}},	//   _برادري_, _sesivi_, _प्लेटलेट, _dirummad_, 
   {{0xa2e10197,0x3378017d,0x2202045d,0x722b00e2}},	//   _pozitif_, _ひとりごと_, _desiti_, _roomske_, 
   {{0x1f9e0475,0xa6c401a0,0x2d1e0047,0x7c560437}},	//   _понижени, _kayakayi, _tatouage_, _kortene_, 
   {{0x1d27015d,0xa290013e,0x0d0800d1,0x00000000}},	//   _polskapr, _redak_, _বিনিময়ৰ_, --, 
   {{0xee4f05d7,0x497e0238,0x39740061,0x92900057}},	//   _mujadala, _додаванн, _하지정맥류_, _dedah_, 
   {{0x1a1f02f3,0x42900076,0x62900203,0x498f0092}},	// [45c0] _ейный_, _pelas_, _celar_, _gulerødd, 
   {{0x29dd0405,0x26dd0012,0xc4710067,0x00000000}},	//   _повертат, _भुलिह_, _galeeloo_, --, 
   {{0x813200e2,0x6d2c00d1,0x32b40004,0x189106a8}},	//   _mantelso, _কালান্ত_, _doncue_, _proverav, 
   {{0x43670076,0x7290036e,0x6f5d01eb,0x8fb2024b}},	//   _лекарите_, _telar_, _binacion, _empleado, 
   {{0x93a20212,0x81770126,0x1e300352,0x926500f6}},	//   _epipen_, _тести_, _উনুকিয়া, _kartlarl, 
   {{0x163d0462,0xd02f016d,0x52900073,0x52b3004d}},	//   _abioticw, _тошулиду_, _relar_, _condito_, 
   {{0xa2ae017d,0x52d903d8,0xa74400ba,0x33510321}},	//   _回答日時の_, _naknade_, _جۆرجیا_, _primerov_, 
   {{0x69f40249,0x33800217,0x8dbe0036,0x92d500ab}},	//   _asosiasu, _turres_, _نسوانجي_, _koronga_, 
   {{0xaae40359,0x42010039,0x326c0069,0x87d0005b}},	//   _septimbe, _begira_, _inkoko_, _matsushi, 
   {{0x76830142,0x2bf70082,0x89da0037,0x2ffe00d9}},	//   _वेताल_, _mustahab, _አወዛጋቢ_, _потолочн, 
   {{0x524900b5,0xdeaf0065,0xd2a00203,0x8d330744}},	//   _amamba_, _apotheke_, _hotbox_, _equidade_, 
   {{0xa975004d,0x9c77045b,0x7a350488,0x73eb006e}},	//   _insignit, _kvisete_, _kreisajā_, _leetar_, 
   {{0x739a00c5,0x00f9021c,0x917500ec,0xe566004d}},	//   _个人空间管理_, _neexisto, _вуснай_, _你認為這則新聞_, 
   {{0xd9d201ed,0xe25a0013,0x827f012b,0x39c40390}},	//   _apoluona_, _kollej_, _kupno_, _qubernat, 
   {{0xed0900d6,0x71740037,0x608a011f,0x9c0902fd}},	//   _poblacht_, _የፕሬዝዳንቱ_, _рагитаци, _poblachd_, 
   {{0x0f24053a,0x93f2003c,0x09420222,0x00000000}},	//   _zašto_, _اشپیگل_, _àtravers_, --, 
   {{0x2aea01da,0x49570087,0xaa7d0464,0xf91902eb}},	// [45d0] _pallatin_, _ekhombye, _bakarara_, _далайгаа, 
   {{0x030c05e0,0x33b2040e,0x697a014d,0xc2ca022b}},	//   _andamos_, _aarvoll_, _mithalte, _heldir_, 
   {{0x3408002a,0x627f0160,0xf20e0125,0xb2fc02c9}},	//   _akauntin_, _njenom_, _гарап_, _retinut_, 
   {{0xd9d90134,0x4c590009,0xce7000be,0x00000000}},	//   _keresime, _centrih_, _قىيباعان_, --, 
   {{0x63860417,0x1190032d,0xfc1903c2,0x337302e7}},	//   _bedrog_, _ынтылырғ, _agonized_, _hihante_, 
   {{0x6283032d,0xfe55020f,0xb075021b,0x36ae0139}},	//   _diphedi_, _بوختې_, _metallio, _draupady, 
   {{0xda3100be,0x0f530046,0x00000000,0x00000000}},	//   _ئشتەتسە_, _قوشسوڭۇز, --, --, 
   {{0x72e10130,0xb29000e4,0x692a00dc,0x92ee0085}},	//   _galizeg_, _pokazy_, _loomakua_, _saenisi_, 
   {{0x10f401b8,0xf61a018d,0x099803db,0x33050158}},	//   _poliitil, _ዩዘብዩስ_, _okukhula_, _podaruj_, 
   {{0x2db50375,0x52d90502,0x4ab70320,0x4dbc048a}},	//   _asangala, _eydent_, _mathekis, _сынайтын_, 
   {{0x133b009a,0x02900372,0xc14503a2,0x6496009b}},	//   _abawafum, _aflan_, _बलबूते_, _зүдүү_, 
   {{0xec610206,0x2998020f,0x936300ab,0x73890311}},	//   _kapusta_, _akukhula_, _horetā_, _ኣይሕሱን_, 
   {{0x96570039,0xde1c0073,0xb2d802e2,0xe69100a6}},	//   _баглаа_, _streatha, _anjee_, _ayithoty, 
   {{0x89cc003b,0xc18f00fa,0x4daa0037,0xa5940287}},	//   _babodvwa_, _sanaysay_, _እናገኘዋለን_, _imunitní, 
   {{0x4c1400f5,0x8bfe05bb,0xc3f800b3,0x00000000}},	//   _bolsaň_, _dàárúdàá, _bokup_, --, 
   {{0x3c2c0059,0xe2d500ab,0x94a7038e,0x00000000}},	//   _perpless, _poronga_, _भाषाशुद्, --, 
   {{0xc92e0013,0x70400109,0x13040077,0xd35b00b2}},	// [45e0] _болалари, _पापलाई_, _lapawol_, _hangafa_, 
   {{0x794d00e4,0x82900233,0x92940235,0x29e300d1}},	//   _चित्रकूट_, _aglae_, _aneketi_, _কবিগৰাকী, 
   {{0x39ec0010,0xcfdf00d6,0x11c3001d,0x017c0011}},	//   _angulofu, _جماعى_, _similitá_, _bagatwal, 
   {{0x22d501a6,0x6f270212,0x5868021c,0x235b0399}},	//   _toronga_, _interpon, _donedávn, _mangafa_, 
   {{0xfeae00e2,0x724900a0,0x9ae302ea,0xe56500ba}},	//   _fertelle_, _alamta_, _distrutt, _وێنایه_, 
   {{0x19e4006a,0x8fe10206,0x7d500032,0x53c6021c}},	//   _manokana_, _koliesko, _duyajchu_, _hitparád, 
   {{0xdd8f007c,0xa5870411,0x49f90133,0xfb660193}},	//   _behlanga, _газету_, _afriikaa_, _पत्रकारा, 
   {{0xc52a00ae,0xa843036d,0x127802db,0x2a80002a}},	//   _abanegih, _bibledbd, _kaunim_, _tinyekwa_, 
   {{0x70c00453,0xa2900429,0x8dc102eb,0x92b30373}},	//   _pokušaju_, _afdal_, _хvргэж_, _konduto_, 
   {{0x405200ec,0xc97101d9,0x00000000,0x00000000}},	//   _sakralin, _künstlec, --, --, 
   {{0x5224015c,0x434a0057,0x41660040,0x3bf00095}},	//   _spako_, _የተቀጸል_, _צימוקים_, _السلطنه_, 
   {{0x22fc026c,0x1c5d01e6,0x740103f3,0x03940486}},	//   _medicus_, _dostalo_, _begrepen_, _klesne_, 
   {{0x4378016d,0xe2b10205,0x0571004f,0x81b20109}},	//   _олимпикн, _bandida_, _fattaluk, _povedená_, 
   {{0x350400a7,0x651e00ec,0x23fa0148,0x00000000}},	//   _acompany, _адкрыў_, _exputo_, --, 
   {{0x23950288,0xa9070312,0x12b50206,0x95a0038e}},	//   _batsi_, _ensavadu, _vracia_, _संगती_, 
   {{0xfc6e0138,0x9e9b00a4,0x634000f2,0x632002af}},	//   _çirkin_, _muntatge_, _accenta_, _itaye_, 
   {{0x39de03b9,0xe2ec048a,0x1d95015c,0xbc640578}},	// [45f0] _akanakwa_, _бостанды, _tomewert_, _pivtxwv_, 
   {{0x303102bd,0x1ed7044f,0x7e56013e,0x82640262}},	//   _culturen, _bernafas_, _havarije_, _barlyp_, 
   {{0xc6ba01b5,0x63fa00dc,0xa1c6011a,0x00000000}},	//   _mafundzh, _tatupu_, _ויוצרת_, --, 
   {{0xc5c80054,0x871a00be,0x00000000,0x00000000}},	//   _almakash, _шалаакыл, --, --, 
   {{0xced303d1,0xe964011c,0x00000000,0x00000000}},	//   _horeogrā, _makorome, --, --, 
   {{0x2b57055a,0x32a902e4,0xb2d80014,0xd7e300bf}},	//   _pormenor, _attakkaw_, _sezonit_, _переселя, 
   {{0xf29100ce,0x2e3a0108,0x42fd00ce,0x02fd0102}},	//   _letan_, _babatura, _fasilit_, _makafiri_, 
   {{0x3c930113,0x72f50017,0x8e4200d1,0xe29202fd}},	//   _جازان_, _motivem_, _অৰ্গৰ_, _curaim_, 
   {{0xa31302d0,0xe51e00c4,0xf27e0399,0xc3dc0097}},	//   _robbers_, _kipolish, _liongi_, _sinwin_, 
   {{0xfc53022c,0x7d9a016d,0xf5fb0287,0x7d86004b}},	//   _hartina_, _پاراڭلاش, _सहयोगमा_, _artemise_, 
   {{0x336b0092,0xdedc0044,0x99400270,0x82fb0037}},	//   _ランキングに参加, _residues_, _occultar_, _የኦህዴድ_, 
   {{0x847e000c,0xe2d80198,0x07390161,0x00000000}},	//   _мирон_, _noben_, _анкеты_, --, 
   {{0x0d8d04bd,0xe2b50316,0xb34001ec,0xb935030b}},	//   _hipopota, _bauci_, _temenan_, _azimbira_, 
   {{0xfc0002a3,0x62da02dd,0x00000000,0x00000000}},	//   _dansers_, _estejt_, --, --, 
   {{0x5b0301ef,0x32c600c7,0xdd14015b,0x24f20137}},	//   _antradie, _berlege_, _ballande_, _вебсайта, 
   {{0x02850170,0x6fdd0125,0x29dc0073,0x32a0004a}},	//   _bulking_, _карарына_, _diffunde, _ферзь_, 
   {{0x629000b4,0x32ee008c,0x12910200,0x09ea0309}},	// [4600] _aflat_, _trofea_, _netan_, _ordumuzu, 
   {{0x975901b8,0x8c01025e,0xa4130054,0x00000000}},	//   _तिन्हहि_, _breskur_, _halsunan_, --, 
   {{0x1d1401d3,0x3d0e0311,0x2248029b,0x00000000}},	//   _fallande_, _ኣይጒደሎም_, _klimaa_, --, 
   {{0xdc550263,0x3b2b0229,0x39b5003a,0x626c06a2}},	//   _gesteld_, _donanmas, _ziddiyat, _inkono_, 
   {{0xa64f02ee,0x0347007f,0x0ae0000d,0x8ea80281}},	//   _merkanzi, _anaddas_, _albumite, _guultinn, 
   {{0xb2bb02c2,0x9435005b,0x42000119,0x47ca0311}},	//   _groente_, _punkrock, _bulig_, _ዘየርብሕ_, 
   {{0x5dc20102,0xd9420126,0x041d0119,0x00000000}},	//   _رنگارنگي_, _sexleket, _litsonan_, --, 
   {{0x9fee00c5,0x484300ba,0xa30e0176,0xbd3e01eb}},	//   _国家体育总局_, _ستنوێژ_, _butabar_, _machéte_, 
   {{0x87bb05ce,0xa291025c,0xf25a018f,0xc2250040}},	//   _gizlilik_, _getan_, _hollij_, _soaked_, 
   {{0x1eca022f,0xc2d802dd,0xc1270371,0xb6d600a6}},	//   _anonimin, _ilbes_, _радомир_, _دایمان_, 
   {{0x83030359,0x839500c7,0xbe260109,0x833201c2}},	//   _pleatst_, _feysal_, _छैनौं_, _reixa_, 
   {{0x7c7300dc,0xe23b0315,0x425a00fc,0x00000000}},	//   _elisara_, _bekwabel, _mollij_, --, 
   {{0xe2d90527,0x9395005b,0xb2900420,0x2ed901dd}},	//   _pored_, _matsu_, _manaus_, _agiheken, 
   {{0x187c0061,0x7c1b0229,0x19db0092,0xf6c5052c}},	//   _갤러리아팰리스_, _limanlar, _budgette, _قودسی_, 
   {{0xa2910095,0xff5c01b8,0x8f040235,0xc36d0203}},	//   _wetan_, _vanalinn, _ativalla, _propritá_, 
   {{0xb2010251,0xdf3003be,0xaeb60156,0x4053032b}},	//   _gegida_, _kumutaba, _זשאוסעף_, _سامسا_, 
   {{0x69e000e7,0x220201f7,0x1db700d6,0x689900ba}},	// [4610] _actuated, _inuits_, _treibhea, _مافیاکان, 
   {{0xa22600a3,0x596b0213,0xbab90098,0x195000cd}},	//   _merkte_, _обознача, _vaskemas, _applitge, 
   {{0xbfcc0073,0xd2900179,0x610401c8,0xb2de0282}},	//   _resister_, _medas_, _kapitoly_, _kanorau_, 
   {{0x0f6a0147,0xfc07001a,0x7380037c,0x538a00cb}},	//   _penedès_, _ہالبروک_, _turris_, _asesodom, 
   {{0x03df02b5,0x1224011f,0xd2a6001a,0x02070357}},	//   _lwglingz, _apiky_, _szebb_, _lisitaki_, 
   {{0x3f4b00bc,0xc340041e,0xd2c30250,0x6ea5029b}},	//   _sexpersa, _accetta_, _sjellin_, _britanee_, 
   {{0x4f64019b,0x0a5f01e1,0x73780482,0x14370362}},	//   _nelaimin, _difetiha_, _siyaasa_, _lombango_, 
   {{0xa395005b,0x826c012c,0x7c680020,0xd47a0396}},	//   _natsu_, _mikono_, _aperamo_, _awstralj, 
   {{0x7a9d02a6,0xe2e80014,0x21c2021c,0x39c2011b}},	//   _malizios, _publikoj, _rizikové_, _hindoust, 
   {{0xea80040d,0x7d080169,0x52d9031c,0x17cb0037}},	//   _dinyakwa_, _বিনিময়ে_, _podeis_, _የገቡበት_, 
   {{0x7395005b,0xb66900e0,0x80360322,0xae4c0100}},	//   _katsu_, _kontrôle_, _aratayan, _dijagona, 
   {{0x529105d5,0x62d802a7,0xdae40212,0x46fd002a}},	//   _detal_, _hobel_, _drwringt, _eksesaịz, 
   {{0x2eca015a,0x4f310061,0x67530164,0x314701cd}},	//   _amantiin, _생각했는데_, _һөҗҗәт_, _сахифаи_, 
   {{0x5a6801b8,0xae4b0037,0x32e900a0,0x765e0099}},	//   _normaals, _አዳዲሶቹ_, _burinka_, _darisanw, 
   {{0x829101b4,0x7f0b00c1,0xdb8501e5,0x320002d5}},	//   _getal_, _bervaria, _awunilor, _tulid_, 
   {{0xc2d80212,0xa27f00e4,0x0f160135,0xf7a602ff}},	//   _mobem_, _kupna_, _мантыйк_, _estrikti, 
   {{0x59050192,0x5b340010,0x227e01f7,0x229001b0}},	// [4620] _빨래바구니_, _akhanyis, _anonci_, _bedas_, 
   {{0xb3200077,0x7ecb0358,0xdd0a012e,0x6ea40126}},	//   _kriye_, _delivran, _ارتقائی_, _інфекцій, 
   {{0xb7ac05c0,0x2226041a,0x3ecf04ca,0x1e900291}},	//   _effettiv, _merket_, _ratisbon, _البزاز_, 
   {{0x366900c5,0xc3860003,0xb79200c9,0xd2520511}},	//   _contrôle_, _gedrag_, _vietdesi, _eholweni_, 
   {{0x8332015e,0x22f10076,0x9abb018d,0xa300066a}},	//   _deixo_, _утеха_, _ክትወልድ_, _legaspi_, 
   {{0x02cb0175,0xf9e6026c,0x00000000,0x00000000}},	//   _apremidi_, _gloriosu, --, --, 
   {{0x73860003,0x732000e9,0xc2bb003b,0x0395005b}},	//   _bedrag_, _griye_, _bamelwe_, _tatsu_, 
   {{0x042e00d1,0xf06f04bf,0xb40100e0,0x12d90365}},	//   _পদ্ধতিগত, _okupljan, _begripen_, _vozem_, 
   {{0x132002af,0x92b50149,0x927f018f,0x625a01d3}},	//   _ariye_, _nsacha_, _jupna_, _stilar_, 
   {{0x2320011e,0xed6d0037,0x551200fa,0xe708003c}},	//   _briye_, _የተወሳሰበ_, _ahasuero_, _boédaja_, 
   {{0x629001b8,0x00000000,0x00000000,0x00000000}},	//   _vedas_, --, --, --, 
   {{0x2b270250,0x703600bc,0xf2d901be,0x92800105}},	//   _eksperie, _pratayan, _borec_, _kariery_, 
   {{0xbeff0041,0x10510041,0x6b610037,0x4199016e}},	//   _ааҵәа_, _малқәа_, _keredaan_, _harcamal, 
   {{0x00000000,0x00000000,0x00000000,0x00000000}},	//   --, --, --, --, 
   {{0x39c20255,0xfeb00191,0x65bd003f,0x1797014e}},	//   _kindlust, _startade_, _boradlah, _циклуса_, 
   {{0x166500a9,0x8e3c053f,0x82a800ba,0x23430414}},	//   _rushinzw, _mayakipa, _دانپێنان, _bosembo_, 
   {{0x0290038b,0x3dfa007b,0x3d6a0311,0x413100f0}},	// [4630] _pedas_, _creditit_, _ምብራቃዊ_, _ojedinel, 
   {{0xd354013a,0x5cbe0177,0x4291039f,0x54270176}},	//   _scheiss_, _маӡеи_, _metab_, _comauoyo_, 
   {{0x62cb0002,0xab800303,0x88bb00e2,0x71cd01c9}},	//   _tvrde_, _bogodimo_, _grouster_, _फतेहा_, 
   {{0x85ee0121,0x5bbb030d,0x62e90652,0x00000000}},	//   _fundació, _birjalar, _donirao_, --, 
   {{0x2236002a,0x97b203dc,0x8e4e00b8,0xe585023c}},	//   _chaja_, _fartelef, _kurakana, _پنټاګون_, 
   {{0x975802da,0x11fc001e,0x62d90360,0xce470184}},	//   _финансис, _wakilinm, _mozek_, _bufatiye_, 
   {{0x838a00c7,0x22900429,0xe9d90198,0xaa10067e}},	//   _törek_, _sedar_, _kolenske, _faaamuia_, 
   {{0x5341022d,0xcaa9020a,0xe85d00c3,0x37a90224}},	//   _casetta_, _анадан_, _canonicu, _englaryk_, 
   {{0xd2240343,0xa2d802e2,0x29aa0161,0xe3040304}},	//   _alikud_, _albey_, _родил_, _baharom_, 
   {{0xcc5f0100,0x929f0034,0xb2cb014a,0x00000000}},	//   _sestrom_, _fattaði_, _velencei_, --, 
   {{0xba5a0106,0xfb1501c9,0xde3d04ce,0x92f900b3}},	//   _सक्सेना_, _कारणें_, _murangap, _kesilip_, 
   {{0xe284018d,0xc3f9012c,0x873c01f6,0x5d4c03d4}},	//   _ብዘስካሕክሕ_, _nyeupe_, _alvorleg, _копирајт, 
   {{0x0245026b,0x37360156,0xf3370291,0x95490559}},	//   _cundinam, _פיקסעל_, _وشوفوا_, _amahlath, 
   {{0x83e20220,0x38bb007b,0xd26c010b,0x82900193}},	//   _potresti_, _brouster_, _dikolo_, _kedap_, 
   {{0x2e440163,0x89d2018b,0x014700c7,0x862f033e}},	//   _javasolt_, _preferat, _рабига_, _idenunci, 
   {{0x92e60212,0x82240102,0x08c2020f,0x491801cd}},	//   _poonpon_, _malkia_, _اطريش_, _махкумшу, 
   {{0x99c9037c,0xf24a00e6,0x00000000,0x00000000}},	// [4640] _imediale, _宁夏商务编辑部_, --, --, 
   {{0xca27005e,0x35be015b,0x0fb80222,0x72d801d1}},	//   _ﭼﺎﻏﻼﺭﺩﺍ_, _waintaim_, _imaginer_, _robes_, 
   {{0xbc7800a7,0xa3140258,0x0c710109,0x99910217}},	//   _segueix_, _radionij, _povrchu_, _projecta_, 
   {{0xb3200172,0xb30d046b,0x615b00fb,0x43f90120}},	//   _muaye_, _ailagor_, _bangcwel, _kabuuk_, 
   {{0x826e006f,0x82d8035b,0x81050169,0xe29101ac}},	//   _kusoma_, _dober_, _ভাগাভাগি_, _fetac_, 
   {{0x2f290224,0x7a5e0213,0xf95001b2,0x00000000}},	//   _alltsama, _фандорин_, _bousther_, --, 
   {{0x0455018d,0x34d60162,0x30bc0203,0x92ca0109}},	//   _ምድንጓይ_, _расхоти_, _geomobil, _धरौटीमा_, 
   {{0x62d802db,0xdaad0311,0x82f20256,0x29e8030a}},	//   _enjel_, _ተኻፋልነት_, _junioru_, _linguaxe, 
   {{0x23f10263,0xfc0900d7,0x0ec40080,0x51d70268}},	//   _zaterdag_, _adoptha_, _ajunginn, _aileybay_, 
   {{0x72e0043a,0x126300a5,0xe2d80422,0xb2d901ac}},	//   _pianiko_, _fuluulal, _zober_, _rozek_, 
   {{0x83f800b3,0x4aec0085,0xd0e00139,0x16a701cd}},	//   _dokuz_, _dakuivit, _ज्यायान्_, _amathony, 
   {{0xa26c0578,0xb2d800bc,0xdac80155,0x6146011a}},	//   _xyoos_, _afrodit_, _planlösn, _הבטיחה_, 
   {{0x7c5d0117,0x29ed02f3,0x9f2c00af,0x1e02016a}},	//   _wantaim_, _redigera_, _подобаєт, _vegetara, 
   {{0xabe20238,0x11b000d1,0x423602ee,0x8387039e}},	//   _створити_, _এখনেই_, _ghajn_, _angrip_, 
   {{0x60cf04d0,0x5aa50139,0xa30d001d,0x23050527}},	//   _hungnaek_, _संस्थिता_, _apparit_, _duhovnog_, 
   {{0x73fa0030,0xd72c00c9,0x65df00ff,0x44ab0147}},	//   _saturu_, _vietboom_, _רואיגקיי, _تىرۅۅچ_, 
   {{0x52f10044,0xb3f102c2,0xc3130243,0xac58003c}},	// [4650] _saturday_, _saterdag_, _malcina_, _benthik_, 
   {{0xb625017f,0x52e0033a,0xf2900245,0x26d5028e}},	//   _radioavi, _kummissj, _imlang_, _hospitol_, 
   {{0x2cf800c7,0x63c10092,0xa3fa0331,0xa3070056}},	//   _заводлар, _この情報を登録す, _jesusi_, _хаммаи_, 
   {{0x22d80039,0x8d9d03b7,0x66dc032c,0xb7dc04f9}},	//   _anjel_, _ablopica, _angallaf, _angallav, 
   {{0x13940631,0x62000242,0x72a70213,0xb4e90074}},	//   _eneste_, _etdik_, _набора_, _развиваю, 
   {{0xa9e200c4,0x33410220,0x9a890077,0x026c0464}},	//   _گائيڊ_, _caserta_, _bayoplis, _inkoho_, 
   {{0x2d7e00d1,0x82920031,0x00000000,0x00000000}},	//   _উপবিষ্ট_, _spakbor_, --, --, 
   {{0xc2df01fe,0x42900303,0xc395044a,0xed9d03d4}},	//   _lavetaki_, _ithata_, _matsh_, _galenike_, 
   {{0xaa1300dd,0xe040002e,0x8b830170,0xd2d8014e}},	//   _cadarnhe, _zaduženj, _galimoto_, _cijeg_, 
   {{0xfa1a0147,0x2ae6002b,0x7db50210,0x00000000}},	//   _جىدىسا_, _নবজাতক_, _asingama, --, 
   {{0xf2e901da,0x8320024a,0x284100ba,0x9248030b}},	//   _berisha_, _atayo_, _تیپێکی_, _alimba_, 
   {{0xbf640429,0xaac80158,0x326c02f7,0xc2370428}},	//   _kemaskin, _सुपरमैन_, _dikobo_, _krajih_, 
   {{0x89cc01d1,0x9f9a0354,0xd0b800d9,0xfec70564}},	//   _celebrit, _дигиними, _хроничес, _ponosoms_, 
   {{0x675602ac,0x1f240040,0x42270299,0x9a9d033c}},	//   _لاتُعبر_, _סניקרס_, _بېزەكلىك_, _glanllyn_, 
   {{0xec7e0010,0xca430046,0xcbed024a,0xb3080156}},	//   _akasiso_, _небереле, _lowolowo_, _סערגיי_, 
   {{0x75fb0040,0x00000000,0x00000000,0x00000000}},	//   _אלנבי_, --, --, --, 
   {{0x03f7041a,0x47f70444,0x907702e5,0x2dbf02d4}},	// [4660] _березень_, _кустарни, _chicaspo, _approbau_, 
   {{0x1a13020f,0x3c53019d,0xffaa02ea,0x1ebc00c5}},	//   _anyameke, _avutika_, _favorevo, _existant_, 
   {{0x32b5023f,0x3d4e0374,0x53f405d6,0x299000ae}},	//   _hauch_, _آسمانده_, _hotttt_, _bankubit, 
   {{0xdf490392,0x9eda02f3,0xf2fd014b,0x52da0587}},	//   _alascana, _butikens_, _figgan_, _meteis_, 
   {{0xa2ca03f0,0x99b70208,0x62c20243,0x42d40107}},	//   _myndin_, _سامسۆنگ_, _caglita_, _sibolga_, 
   {{0x2622045c,0x65260427,0x2c6801a6,0xafaf0126}},	//   _narodeni, _maligauy, _aharoro_, _основною_, 
   {{0x1d260244,0x51ba016d,0x62000169,0xe23b0587}},	//   _bilocale_, _маймунли, _zulia_, _cervèth_, 
   {{0xc3960585,0xe8410372,0xec510277,0x8fef0139}},	//   _srpska_, _blaleidd, _guitara_, _bhaikṣyā, 
   {{0xa2e60085,0xa2c8012b,0x653e0037,0xcf66018b}},	//   _apenisa_, _pomagać_, _በዳግማዊት_, _rugaciun, 
   {{0x52fd00bd,0x44530037,0x32880060,0xf31b042c}},	//   _diggin_, _ትምህርትም_, _ойлан_, _aktivnog_, 
   {{0xa5ec00af,0x2296007d,0xc291033f,0xa3a906c0}},	//   _повернут, _mematuhi_, _fetaa_, _inovace_, 
   {{0x83350169,0xf2d801d9,0x5246018d,0x2b70012c}},	//   _শাহরিয়ার_, _dobei_, _ቆሮንጦስ_, _kukutana_, 
   {{0x32340016,0xfdb400bc,0xfbb30136,0xd26102c7}},	//   _ברונעט_, _موسوم_, _blokirao_, _vertraul, 
   {{0xd3f800b3,0x020600fe,0xb2cc0061,0xf47d050e}},	//   _sokup_, _hikihiki_, _엔비디아도_, _kiseonik, 
   {{0xe2d90119,0xd2d802f3,0xcda70212,0x2d8c0235}},	//   _bozen_, _bilens_, _humilita, _apalāyan, 
   {{0x224800ac,0x3c7600c0,0xaa6f0147,0x02d90267}},	//   _otvoriti_, _bossing_, _proveïdo, _podnose_, 
   {{0x62360197,0x002a0148,0x42d9034b,0xf6a0003e}},	// [4670] _chaje_, _寄送邀請函_, _fored_, _boledisw, 
   {{0xf27e024c,0xf20e0089,0xda990063,0x918a0188}},	//   _skond_, _камал_, _حيادر_, _ababelal, 
   {{0xd5e1034f,0x33f40130,0x196d00e2,0x1f6401b4}},	//   _خلاصون_, _distag_, _fisigoat, _bemarkin, 
   {{0xc1b400da,0xbb2900e6,0x39ed0059,0x00000000}},	//   _терменул, _请问你们为什么大, _delibera_, --, 
   {{0xf5b00268,0xa2d9013a,0x9916004d,0x6c1a0162}},	//   _aragraph, _andems_, _你是個好人_, _سايلانغا, 
   {{0x331002e7,0x8fce00b3,0xc55b03dc,0x56080176}},	//   _cutaway_, _bildiriş, _fiskiloy, _ayamiumi, 
   {{0x7349005b,0x43790120,0x42b70039,0x4983009a}},	//   _roadway_, _anqaasa_, _визний_, _amakaset, 
   {{0xfc930094,0x5913039e,0xb202046b,0x238001f7}},	//   _باراك_, _কেন্দ্ৰী, _edwina_, _barrar_, 
   {{0x10de01cd,0x1a070087,0x32d90028,0x2f050060}},	//   _abanikel, _erhaxiya_, _amrey_, _этностар, 
   {{0x26910119,0xba0a037f,0xc20101d7,0x12c90037}},	//   _rosenhei, _sonsuzlu, _negina_, _በማለትም_, 
   {{0xa386017f,0xcb8700e4,0x9ae70024,0x1df401ef}},	//   _siorna_, _इनामी_, _নিবাৰণ_, _экскурсі, 
   {{0x1b9702e9,0x2aee00bd,0x624c01a3,0x00000000}},	//   _relación_, _hindmais, _ڪيڏيون_, --, 
   {{0xb947036e,0x0291019b,0x1eb400d9,0x139600db}},	//   _anallant, _retai_, _гениальн, _ilusat_, 
   {{0x5c340102,0xb2b402ee,0x541c0156,0x00000000}},	//   _نبيله_, _spicca_, _arbareto_, --, 
   {{0x96820121,0xee160077,0x5ae7014d,0x00000000}},	//   _necesari, _estefana, _darlehen_, --, 
   {{0x27b402e2,0x42e7029b,0xa38003dc,0x1ee503f1}},	//   _algeerag, _foontoo_, _barrir_, _poskoden, 
   {{0xc2ca01bb,0xc18d0025,0xd060020f,0xdfd60094}},	// [4680] _dilleri_, _देवनागयक, _asisibin, _қайтсе_, 
   {{0x72da01af,0x93a202d8,0x1cbd00d0,0x051702ea}},	//   _baslady_, _ponpes_, _hamahiru_, _наслада_, 
   {{0x823701e9,0x229100a1,0xd2cb0376,0xf9c103d9}},	//   _adimiwa_, _tetai_, _parlagi_, _alemaina_, 
   {{0x4fe000ca,0xa51b028a,0x41030137,0xeb72035d}},	//   _ecliptic_, _ipasavyo_, _германаа, _aktuelna_, 
   {{0xd30c012a,0x46b400e7,0xff4b0088,0x041d0159}},	//   _masażu_, _algebraw, _adaptant_, _аблокамі_, 
   {{0x079100e6,0xf3000340,0xf9cc00ba,0x8fd90420}},	//   _型防腐胶带_, _manauri_, _وهۆیه_, _брендира, 
   {{0x675d030c,0xbb8b00ee,0xb1490321,0xe3f90055}},	//   _maniliog, _baliagar, _preteklo, _lieues_, 
   {{0x1983027e,0x8adf0421,0x3c0f02a1,0x4341018b}},	//   _побегне_, _landtags, _aartsbis, _catedra_, 
   {{0xf0ae00ee,0x86f0012c,0x683303e0,0x128102a3}},	//   _архаг_, _نشانين_, _tammynad, _haarstyl, 
   {{0xc22604bc,0xc98e0135,0x12d90242,0x79bf025c}},	//   _bruken_, _галим_, _gozel_, _niedrige, 
   {{0xb320049b,0x57040132,0xa62a0012,0x6fe10179}},	//   _ariyo_, _منافرت_, _कोंहडा_, _revidamo, 
   {{0x7c6800ec,0x27090125,0x9d840130,0xbc5b024c}},	//   _albumai_, _сесини_, _astennet_, _distali_, 
   {{0x71db0151,0xf1ec02ac,0x13860205,0xb53b020f}},	//   _angoulem, _ايديال_, _chorva_, _افعالو_, 
   {{0x375c03d5,0x22d90053,0x8c750365,0xa2e30140}},	//   _aggindag, _korem_, _किच्चक_, _hagonoy_, 
   {{0x6d1f0211,0xae470185,0x00000000,0x00000000}},	//   _сменить_, _архаик_, --, --, 
   {{0xc96702ec,0x82d9029f,0xc3500371,0x26380444}},	//   _پھۆلرٲوت, _mozem_, _grafico_, _закупори, 
   {{0xf2900120,0x1bf401d9,0xe24a018f,0x330e02ee}},	// [4690] _eglah_, _opgemaac, _idumay_, _cutajar_, 
   {{0xc3a800fa,0x76a101d3,0x2c6b00b9,0x00000000}},	//   _dumating_, _protesth, _situsmu_, --, 
   {{0x527e0399,0xc56c0076,0x24a602c1,0x436c0405}},	//   _ehoni_, _осигурув, _arabonez, _мукачево_, 
   {{0x63f40212,0x82900454,0x397b01e0,0xea380012}},	//   _lottie_, _kuhava_, _اراستن_, _खरीहाने_, 
   {{0x8f6402da,0xe6d200b0,0x00000000,0x00000000}},	//   _економиј, _dagaalki, --, --, 
   {{0xee0703c5,0xb48501d5,0x12300033,0x737c0211}},	//   _dikenalp, _skorpió_, _clamava_, _пошаговы, 
   {{0xf9810203,0x564d026f,0x5dc7009d,0x220006ab}},	//   _curiosme, _بەيساۋات, _juridike_, _xulio_, 
   {{0x4f3000ae,0x5b46035e,0x12260331,0x0c7d02c7}},	//   _bumutaba, _životna_, _døming_, _gürtel_, 
   {{0x9c5b056f,0xa2360097,0x3d1d00ec,0x8c1d00ec}},	//   _zistili_, _faaji_, _lituanic, _lituanis, 
   {{0x22d80050,0xce7b06f2,0x316a0125,0x96ef0092}},	//   _rejeki_, _बहुभाषी_, _байлашян, _神奈川県相模原市, 
   {{0x0c760441,0xc58b00d6,0xc37d0465,0x03f803ad}},	//   _církve_, _dhonnagá, _pisalne_, _inkun_, 
   {{0x862201c8,0x7f290175,0xb2240065,0x92040059}},	//   _narozeni, _entrepra, _dunkel_, _capitoli_, 
   {{0x0f0701e0,0xbf4a02e1,0xec5205a9,0x85710192}},	//   _تاریکی_, _فعاليات_, _iratera_, _결과입니다_, 
   {{0x396402ee,0x16550314,0xdfae00be,0x00000000}},	//   _abboname, _музейы_, _наркы_, --, 
   {{0x9a5302f0,0x9eb001c2,0xa2d80014,0x771a00ba}},	//   _angenela_, _meirande_, _dobet_, _سولێمان_, 
   {{0xa3f40155,0x88f500c8,0xc8da0683,0x7c0a0226}},	//   _slutar_, _субъектт, _undersku, _chapita_, 
   {{0xc3f906e3,0x222d0295,0xd3860101,0x19db03eb}},	// [46a0] _rosul_, _kaivevel, _ciorba_, _welgeste, 
   {{0xc7860630,0x00000000,0x00000000,0x00000000}},	//   _dprvisli, --, --, --, 
   {{0x63b00199,0xa92c002f,0xc2050022,0x2b0c00cb}},	//   _vuiqua_, _apachimu, _һуҙмай_, _бурнз_, 
   {{0x427e0250,0x62dd00c5,0x07a90279,0xc4f60059}},	//   _thoni_, _刑法修正案_, _copropri, _сканиран, 
   {{0x96d5017d,0x55970058,0x89f6026f,0xf4950157}},	//   _月末日まで_, _betiridö, _ساۋلىعى_, _intryguj, 
   {{0x93eb022a,0x6c5203be,0x32900116,0x72d90076}},	//   _glatik_, _aratera_, _aflaq_, _porem_, 
   {{0x139c002e,0xa27e0298,0xbd8e0268,0xc0e901db}},	//   _objašnje, _akona_, _antorgra, _جەڭىستىڭ_, 
   {{0x3f29038d,0x9226023e,0xa2250075,0xf6c90088}},	//   _antrepra, _دوستیابی_, _drekin_, _дарбызда, 
   {{0x620104ca,0x438a02da,0x0c7c00d0,0x62d9013b}},	//   _regida_, _simplesm, _iristen_, _alzey_, 
   {{0xfd86019b,0xe6ea0410,0x90ae014c,0x14d60052}},	//   _настрой_, _ditaetšo_, _ngamandl, _शुटिंग_, 
   {{0x18f803d8,0x7b8a0405,0x0f400196,0x16940142}},	//   _izvanred, _роком_, _amagawan, _व्यवतिष्, 
   {{0x22000129,0x64b403b5,0x73940265,0x320a0013}},	//   _bulie_, _dinantik, _flesje_, _можарони_, 
   {{0xe8f102ac,0x920000fe,0x2200024a,0x69880067}},	//   _انتظر_, _kikivi_, _lokiki_, _dookmant, 
   {{0x89870058,0x6a0a0204,0x42c702d4,0xd16900e6}},	//   _ettimika_, _taistelu, _surmeir_, _富娃帮你赚_, 
   {{0xb8d500c6,0xc43e00af,0x69050241,0xc42200be}},	//   _страхува, _майна_, _ashaangu, _تاشپى_, 
   {{0xf2900125,0x53200134,0x4c750005,0xaa48036e}},	//   _oglan_, _iraye_, _acquist_, _chukuña_, 
   {{0xfa1e0035,0xe290018a,0x00000000,0x00000000}},	// [46b0] _димим_, _nglan_, --, --, 
   {{0x92900152,0xcb990016,0x8eb30455,0xd3e7012c}},	//   _iglan_, _medicino_, _exercice_, _kusubiri_, 
   {{0x49e0007d,0x31ca01b9,0x25970224,0x82900481}},	//   _menghant, _tratezik_, _vinnuskó, _omlaag_, 
   {{0x657602da,0xf27e033f,0xb4a10189,0x630303f8}},	//   _publicaç, _ihono_, _firmamız_, _luyajlu_, 
   {{0x30c00453,0x384e00ce,0xd1b40185,0x63950547}},	//   _pokušaja_, _regretab_, _ферментл, _frasco_, 
   {{0xb5ce00c7,0x43890289,0xcc7c0163,0x1c5d0016}},	//   _даими_, _abisalom, _frissen_, _postulo_, 
   {{0x83160308,0x820003e9,0x515c036f,0x6da80439}},	//   _kembali_, _etdim_, _suprotno, _kumisisa, 
   {{0x92d9035b,0x08d103d4,0x123603ef,0x594201df}},	//   _torek_, _рецензиј, _abaje_, _clartier_, 
   {{0x4291044d,0xdc6603ef,0xd32001e5,0x329000ce}},	//   _setal_, _protais_, _araye_, _meday_, 
   {{0xc9e40412,0xe320028d,0x33f801d2,0xde6e0256}},	//   _lokufund, _braye_, _nikun_, _cienītāj, 
   {{0x2d030366,0x11a2005e,0x7dd000d9,0xbafd0037}},	//   _выберите_, _كۆچەت_, _valkosip, _እንሠራለን_, 
   {{0x929003e9,0xc53303a2,0x670602d3,0x220002a3}},	//   _yglan_, _ज़ाब्तगी_, _трошоци_, _banier_, 
   {{0xfaa50287,0x5431002b,0x92da0058,0x23fc0361}},	//   _संस्थामा_, _তুমিই_, _perotis_, _спиртом_, 
   {{0xbcbf0193,0xd324001c,0xdd8902e7,0x32d90157}},	//   _क्षेत्रा, _tunceli_, _blowhard_, _jezeli_, 
   {{0x13a304b3,0x30200278,0x124901b0,0xb9e404a5}},	//   _limbourg_, _kemeroso, _alamna_, _kokufund, 
   {{0x8f56047d,0xa49605e5,0x08950022,0xe07b015a}},	//   _gespillt_, _प्रचारित_, _клубта_, _bilbiloo, 
   {{0x8c14067e,0x22d901ba,0x9b340023,0x94110157}},	// [46c0] _fiapoto_, _rozer_, _ключом_, _tarnobrz, 
   {{0x3e960289,0x87ca0348,0x730d005b,0xc37202e0}},	//   _adamulon, _amusaani, _andymori_, _epilweng_, 
   {{0x23cf044b,0x1a800225,0x6c66000e,0x6d0703b2}},	//   _farve_, _ekenimon_, _custant_, _unsuppor, 
   {{0xc2910278,0xe9e4014c,0x130004c9,0x72da014a}},	//   _letak_, _nokufund, _legazpi_, _keresi_, 
   {{0x6a57052c,0x62d904f2,0x0682014c,0x4d6000b5}},	//   _زۆۆۆۆۆۆۆ, _vozer_, _abavotay, _henyhêva_, 
   {{0xcbc000f6,0xf21600c4,0x7d1e0153,0x95bd00e6}},	//   _tikilmiş_, _alihitim, _どこでもきのこ_, _政策法规处_, 
   {{0xe2fc02a4,0xb8b603eb,0x45e8037f,0x563601c9}},	//   _occidit_, _vertaler_, _rahatlıq_, _asendami, 
   {{0xc7a301b6,0x79e50022,0xc281003f,0x2f6302d3}},	//   _moneysav, _акттарын, _nechlah_, _огнената_, 
   {{0x03210044,0x8b3a005e,0xbe5b01a0,0xec7504b2}},	//   _success_, _ئەجدىرھا_, _etaberna, _paksang_, 
   {{0xe8b5016d,0x626e0256,0xb9d40013,0x0db303bf}},	//   _كۆۋرۈك_, _biroja_, _hollarda_, _dinalete_, 
   {{0xd9c90125,0x97b4047b,0x00000000,0x00000000}},	//   _bildirme, _innsatsi, --, --, 
   {{0x18e90024,0x020000df,0xd8c70192,0xb9fe0145}},	//   _সমালোচক_, _panier_, _안녕하십니까_, _redaguot, 
   {{0x027e01e8,0x32900274,0x177b027b,0xd63103e6}},	//   _akong_, _opnast_, _आलयविज्ञ, _passabel_, 
   {{0x9408023b,0x3c21055b,0x519400f2,0x92d801f1}},	//   _lokomaik, _nedslags, _komentēj, _hijen_, 
   {{0x99e403de,0xf5c60040,0xe5f90076,0x4e5601cd}},	//   _yokufund, _ובהצלחה_, _кастинго, _вастан_, 
   {{0x4b930528,0x2a2302da,0x6c53030a,0xf508012a}},	//   _aimiseir, _потекло_, _castela_, _kolorowy, 
   {{0xa3870142,0xaa6603df,0x427e003e,0x00000000}},	// [46d0] _aparā_, _husmanns, _ekong_, --, 
   {{0x204c03d0,0xfd0801fb,0xdaea0238,0x3e02018d}},	//   _izbornik_, _dolorose_, _китайськ, _ሲቪካዊያን_, 
   {{0xe20e0066,0x62da012f,0x8b8a0162,0x46d600ff}},	//   _саван_, _kereri_, _кирәлмид, _אביוזד_, 
   {{0x532002c1,0x18c80276,0x6d2102f9,0x22d80528}},	//   _iriya_, _бастурив, _dedomaje_, _dileas_, 
   {{0x22c901ad,0x66cb018d,0x03f403d5,0x18db0369}},	//   _villach_, _ምኽኒያቱ_, _cottle_, _pulelehu, 
   {{0xcc54048c,0x1d0f01db,0x73200122,0x15b9009a}},	//   _toothed_, _احىلاقتى_, _kriya_, _اوقافو_, 
   {{0x82ca0013,0xe54b00ae,0x7c1401f9,0x08960022}},	//   _tillari_, _bishemey, _batsints, _героинды_, 
   {{0x720e03b8,0x7200006f,0x998701d9,0xf6b70299}},	//   _санат_, _kulia_, _annoncéi, _ئۇچقۇندۇ, 
   {{0x72d80127,0xc2d901da,0x9a08013a,0x0a0100f5}},	//   _vijen_, _doren_, _kokakast, _ёкдыр_, 
   {{0x1e030235,0x862d058f,0x02fc00c3,0x4a5e023b}},	//   _abhedopa, _cidadaní, _accidit_, _rabesaka_, 
   {{0x065e0028,0xaeb4053e,0x3320050b,0x1614014f}},	//   _دستوٝر_, _oversikt_, _griya_, _педагошк, 
   {{0x4688002c,0x5ec2049e,0x0a0801f0,0x1c710102}},	//   _системий, _podnikan, _dikatana_, _waarabu_, 
   {{0xd32002c1,0x7fd60074,0xa2ea014d,0x2c60037c}},	//   _ariya_, _seinäjoe, _aktiven_, _vestros_, 
   {{0xf2910122,0x02d90265,0xa6c9008d,0xd2ef0145}},	//   _betah_, _horen_, _klublari, _gaunasi_, 
   {{0xd20003fd,0x12d80225,0xe8760147,0xf26701b8}},	//   _aulia_, _pijen_, _ئننوۋاتس, _alkoholi_, 
   {{0xe2000240,0xb12700ec,0xc2f103ee,0x60f30156}},	//   _bulia_, _гандлю_, _dugovanj, _טאַון_, 
   {{0xbbee006d,0x00000000,0x00000000,0x00000000}},	// [46e0] _багоў_, --, --, --, 
   {{0x835b0382,0xf0c501c7,0x91210155,0xda1401df}},	//   _bangiwa_, _reklamal, _karaktär_, _diacreet, 
   {{0xe2d90415,0x42910639,0xd251024f,0x297500d9}},	//   _foren_, _getah_, _ositerel, _hutiloit, 
   {{0x286d0169,0x9c5504a6,0xb35603e2,0x9eda021e}},	//   _স্মৃতিকথ, _svetske_, _sucesor_, _butikern, 
   {{0x020001c0,0x8a0a020e,0xc30504f9,0xd96101f2}},	//   _kudin_, _bosawana_, _allaguk_, _ғәззигә_, 
   {{0x824904bd,0x8c6601c7,0xb396003d,0xd26e025f}},	//   _alamea_, _башының_, _gousse_, _mosolo_, 
   {{0x826e0085,0xeae10326,0x5e950040,0xdf42011d}},	//   _mosimosi_, _chatukut, _הוארך_, _plastice_, 
   {{0xc3960455,0xbc7600dd,0x834703a4,0xeda6035d}},	//   _housse_, _byrrach_, _bundnir_, _evroplja, 
   {{0x36270013,0x2f4002d8,0xe2d90265,0x9060013c}},	//   _تاباره_, _diartika, _voren_, _bürosunu, 
   {{0xf2d903e6,0x82e80211,0x439c02eb,0x3a8700ba}},	//   _woren_, _arkisin_, _даруйдаа_, _دوڕگه_, 
   {{0x132002fa,0x797301f6,0xf2cb0170,0x1238041e}},	//   _uriya_, _সমস্যাটো, _amadzi_, _alemani_, 
   {{0x7394029f,0xf30500ba,0x9a7e0128,0x3e3d01eb}},	//   _mieste_, _روتار_, _tiklanis, _herajuap, 
   {{0x3200000e,0x524c0311,0xe3f90151,0x2a7f038a}},	//   _ganiar_, _ብምዝኽኻር_, _bosun_, _impapura_, 
   {{0xc32001b7,0xafd200d3,0x06ba0238,0x92d803e7}},	//   _priya_, _dostateč, _концепці, _jijel_, 
   {{0xa2600583,0x59c701de,0xd563017c,0x00000000}},	//   _dovolili_, _таңатар_, _felanmäl, --, 
   {{0x83c40190,0x8c280274,0x6290003d,0xcaf50209}},	//   _buckelig_, _kristins, _aglas_, _aporaatt, 
   {{0x03050141,0xa24800c4,0x00000000,0x00000000}},	// [46f0] _قولاق_, _njombe_, --, --, 
   {{0x06480354,0xa436019c,0x00000000,0x00000000}},	//   _сансизли, _munadoko_, --, --, 
   {{0x75eb0576,0xc2d903f3,0x2af501db,0xd2d900a0}},	//   _سرمايه_, _toren_, _туризмні, _bebeji_, 
   {{0xe2d9018a,0x726e033d,0x32f20019,0x00000000}},	//   _fideos_, _depoze_, _оккам_, --, 
   {{0x102f027c,0xc2e701e1,0x8d360122,0x1a5f00a2}},	//   _محبسه_, _рубрикаһ, _مفتول_, _majeraha_, 
   {{0xfb24023b,0xa2d9017d,0x60c20229,0x4089020e}},	//   _kaupaona_, _sidens_, _adamlarl, _израилгә_, 
   {{0x63960279,0x020001eb,0x67d70374,0xbe530311}},	//   _rousse_, _judio_, _курашади, _ብዝተወሰነ_, 
   {{0x03440417,0x6b27028e,0xad6b0086,0x030402c3}},	//   _landbou_, _ekspirie, _elemeket_, _napadol_, 
   {{0x1eba0037,0x95850109,0x0c7c0065,0x350b0156}},	//   _እያስገኘ_, _redigová, _starker_, _amortizo_, 
   {{0xe2d9039f,0x92910507,0x32eb02c9,0x30660133}},	//   _videos_, _tetap_, _ordinul_, _daragago, 
   {{0xe4d20041,0xa26c0184,0x4200035e,0xea06016b}},	//   _ашәҭқәа_, _bikoko_, _nudio_, _bagadaza_, 
   {{0x2b6d045e,0xe2d9041b,0x49730024,0xf3730222}},	//   _riconosc, _horel_, _সমস্যাবো, _valable_, 
   {{0x326c03ff,0xc20003e5,0xc3f901c8,0xe8d30021}},	//   _nikoho_, _kuliv_, _posun_, _amertagg, 
   {{0x595901a7,0xf20003f8,0x3ea002c4,0xaabd0370}},	//   _дерево_, _ludil_, _dobrável_, _diijinan_, 
   {{0xe93200ba,0xd2fe00ec,0x49b3004b,0xb3f80255}},	//   _تۆمیه_, _masinis_, _тереклек, _rikub_, 
   {{0x9eca00ee,0x43f40192,0x8eb00144,0x8e8300be}},	//   _eranskin, _wouter_, _criosann, _قامىنعان_, 
   {{0x01350159,0x43960047,0x9e6003a4,0x82970118}},	// [4700] _дурное_, _pousse_, _arabiska, _amakulu_, 
   {{0xbeca047b,0xb3a200b4,0x1b97012a,0xdedb003b}},	//   _granskin, _propus_, _finansów_, _bashaden, 
   {{0x2e000227,0x1c610113,0xfc61029e,0x3b9c0145}},	//   _dicerita, _bairbre_, _berrbad_, _galerijų_, 
   {{0xeaab00c4,0x4a880039,0x157902c8,0xbf5c0344}},	//   _سيوھڻ_, _ordizian_, _patoloxí, _avbataan, 
   {{0xf380003d,0x7354011d,0x020201a6,0x12e90015}},	//   _entrò_, _popescu_, _ipuipu_, _arrinka_, 
   {{0x97a7002b,0x2c6101a6,0x3bb40428,0x02910265}},	//   _কৌশলে_, _pairere_, _izmeničn, _opvalt_, 
   {{0x73f90135,0x12d9028d,0xa2490226,0xfd2903e6}},	//   _ilsur_, _anreg_, _anamva_, _akzident_, 
   {{0xfcda0024,0xf23a02b6,0xb21c01bb,0x4380015e}},	//   _বৃহত্তৰ_, _دىندەس_, _bakiýew_, _marroc_, 
   {{0xa2ca0174,0x0bdf0476,0xb25a0077,0x8efb014f}},	//   _dikemedi_, _abudirir, _akolad_, _страних_, 
   {{0xd93e00be,0x3c2b0462,0x5b9800d1,0xbae100ec}},	//   _diumenge, _ansports, _ডায়েৰীৰ_, _forumiet, 
   {{0x8285021c,0x828f0344,0x7c0f0295,0x20b6027b}},	//   _estranky_, _allangai_, _kolomotu_, _गजपुटे_, 
   {{0x0d810007,0x78db012e,0x03f40516,0x00d900ec}},	//   _payement_, _مساعی_, _souter_, _паспраба, 
   {{0xb9e20183,0x1dc00153,0x79090374,0x2c55010b}},	//   _befotaka_, _出品者のその他の, _берасан_, _iketeye_, 
   {{0x120004f2,0xc2f00288,0xb0c90261,0x28b803f1}},	//   _mudim_, _beginni_, _esprimoj_, _predchod, 
   {{0x6b230013,0xc3120269,0x303802e2,0x229400d9}},	//   _худонинг_, _superó_, _bratlhon, _konkari_, 
   {{0x32d90148,0xa97e00c5,0xae120291,0x926d01f3}},	//   _fores_, _visionne, _حدثني_, _nepustil, 
   {{0xe91300b1,0x2990036c,0x92ca0385,0x92af034e}},	// [4710] _anacletu, _mankasit, _prilozi_, _atisqaña, 
   {{0xdd8d01cf,0x159a0089,0x1d3d0297,0x0ea80048}},	//   _inhonora, _карбонил, _факторын_, _amatooke_, 
   {{0x52d90088,0x728004dc,0x7cfa0213,0x53ba00e6}},	//   _hores_, _ویندۆس_, _библейск, _孕妇视频之孕妇b, 
   {{0xaf250318,0xa3130064,0x5f5d026c,0x47b50037}},	//   _falekaon, _diables_, _virginis_, _ለነባቢት_, 
   {{0x63f8024f,0xe2b40157,0x0c02041c,0xe753003c}},	//   _nikua_, _koncie_, _campeef_, _amandang, 
   {{0x977d0016,0x924900a5,0x0ba40745,0x71cc0037}},	//   _סיטואציע_, _anamua_, _मनमुटाव_, _ከግለሰቦች_, 
   {{0x3341001b,0x5e230013,0xd2ca0176,0xee6200d7}},	//   _aateera_, _راولپندی_, _kilder_, _семинарҙ, 
   {{0x81fb02a5,0x22da02eb,0x2c930147,0xf0cd00fb}},	//   _दोषारोपण_, _beregi_, _حارام_, _kusondel, 
   {{0xe39f0092,0x97a8025b,0xa24604c9,0x9a88004a}},	//   _価格の高い順_, _studning, _itaãºna_, _алмассыз, 
   {{0xc236026b,0x824a0067,0x50f70264,0xf2fa00cf}},	//   _abajo_, _amalaafi_, _reshuffl, _daahima_, 
   {{0x854e0152,0xb990006a,0x02d90123,0x92c004cd}},	//   _гимны_, _fankasit, _roret_, _poštivat, 
   {{0x0c1300e6,0x37ba01fc,0x08b8021c,0x00000000}},	//   _更多相关问题_, _poolisik_, _platinov, --, 
   {{0xe2d9015b,0x72da0125,0x31360092,0x12fe0105}},	//   _poret_, _geregi_, _各種お問い合わせ_, _pachnie_, 
   {{0x7202041f,0x82c90065,0x2d340162,0x62000005}},	//   _nosizi_, _endlich_, _سېتىق_, _vuliu_, 
   {{0x23160125,0x00000000,0x00000000,0x00000000}},	//   _майрып_, --, --, --, 
   {{0xad030226,0xc2f5026c,0x3f3602cf,0x565d0105}},	//   _asembule_, _totidem_, _данска_, _waniliow, 
   {{0x52d900f1,0x8d9704dd,0x3c52002b,0xb0e2005b}},	// [4720] _dizef_, _materice_, _অসহ্য_, _trendsal, 
   {{0x834101c5,0x11f30025,0xe228014e,0xe28e0066}},	//   _آنکار_, _व्यवहारः_, _егзистен, _edukien_, 
   {{0x79c200dc,0x98da000d,0x95e5005e,0xa2b300cd}},	//   _alumaina_, _sisekuju, _ھەرھالدا_, _bardola_, 
   {{0x2e3c0518,0x80c800c1,0x4d7b00d1,0x9200006e}},	//   _پشتون_, _ऋषिमुनीं, _পিলিঙাই_, _julit_, 
   {{0x02d90225,0xd7ea0525,0xd0130192,0x6e9f0315}},	//   _dorer_, _सुरुचिपू, _매물이없습니다_, _alamalun, 
   {{0x32d9057c,0x8c760101,0x12c501bb,0x02d80338}},	//   _vores_, _tuturor_, _işden_, _anben_, 
   {{0x0b990145,0x3c9200d9,0xde480291,0x885f04a7}},	//   _gedimino_, _ненормат, _سيعود_, _amorodos_, 
   {{0xe2d900d6,0x5c690203,0xfb0801eb,0x06790244}},	//   _enzel_, _actuali_, _ahaséma_, _дебитна_, 
   {{0xccd5005b,0x2bf60238,0xe35f01ad,0xb2010176}},	//   _rankingu_, _музикант, _razgrad_, _negima_, 
   {{0x515c01ef,0xb35e04a4,0x271f0061,0xcb0100a7}},	//   _лугах_, _bangaid_, _대전광역시교육청_, _posició_, 
   {{0xa1190056,0xf2000124,0xf48001b7,0x9238008a}},	//   _техникӣ_, _sudie_, _संघाटं_, _elemeni_, 
   {{0xbc600415,0x32000057,0x8fe3009a,0xba4800e6}},	//   _schulen_, _kulim_, _anditsho, _瘦到只剩骨头的女, 
   {{0xa37202bd,0xfbcb03a2,0xf28700e7,0xef220144}},	//   _wahardd_, _मंकीगेट_, _anoihay_, _سريلانكا_, 
   {{0x32130032,0x8aa3018d,0xb2900381,0x071e0274}},	//   _suchar_, _ተስፋልደት_, _aflay_, _ákváðum_, 
   {{0x73f902e2,0x72050256,0xd6c00238,0x02cf03c7}},	//   _ensue_, _notikumi_, _депутаті, _pomoże_, 
   {{0x1ecc05b3,0x1b940235,0x937b011d,0x2855037f}},	//   _geïdenti, _bahirnir, _zaharul_, _berlində_, 
   {{0x22ca0069,0xa2d80163,0xbc65007f,0x62cc01e3}},	// [4730] _italiki_, _miben_, _barthau_, _razlago_, 
   {{0x8a3e0156,0x7ea70360,0xd2910193,0x9f1203db}},	//   _אוראנוס_, _platnost_, _setau_, _ekudalen, 
   {{0x86bb03b5,0x8b510029,0x554e0289,0xda8c000f}},	//   _ajaranny, _لێبده_, _chikhakh, _benzerle, 
   {{0xd6bb0456,0xd20105d5,0x8274005e,0x43f801d4}},	//   _putrajay, _attin_, _جىنەستە_, _ancun_, 
   {{0x34910169,0x2f5f0037,0x501b0418,0xa63600b5}},	//   _কবুতর_, _ይገደዳሉ_, _servisin, _ipensami, 
   {{0xacd7020e,0x2eb10026,0xd3470357,0x70f103a8}},	//   _биргән_, _단독다가구_, _menerva_, _নোখোজে_, 
   {{0x82d80342,0x8290011c,0x127e0134,0xe1be014c}},	//   _kiben_, _bankass_, _ehonu_, _enamanzi_, 
   {{0xf1940051,0x0a7d0076,0xe3100396,0x00000000}},	//   _komentēt, _полуврем, _garzes_, --, 
   {{0x12d8018a,0xb200013f,0xbe960060,0x329101c9}},	//   _diben_, _audic_, _جىلىم_, _ketas_, 
   {{0xc2ca013c,0xf2000198,0xd01300cb,0x3528019e}},	//   _hillari_, _julij_, _akuvelan, _абедзьве_, 
   {{0xf2010450,0x18a700ff,0x2b19010d,0x62900334}},	//   _safier_, _דיפענבעי, _tawarkan_, _athana_, 
   {{0xe62f0318,0x20b7027b,0x2b67026f,0x3f650239}},	//   _efulunif, _ष्टुञ्_, _شاپشىپ_, _parakain, 
   {{0xac660125,0x40f902c7,0x126f0066,0x52e0005b}},	//   _кагызы_, _ersichtl, _musikari_, _akaneko_, 
   {{0xaefa005e,0x02ef03b5,0x4a270291,0x87150325}},	//   _بىباھا_, _bijinya_, _قديسين_, _salmanov, 
   {{0x8aeb00ee,0x19290074,0x420003e5,0x23c600bb}},	//   _inprimat, _неверны_, _nulik_, _چٹکلے_, 
   {{0x124e01a4,0x93b903dc,0x5ee901be,0x233903f0}},	//   _akamwaki_, _olivant_, _अतिथिको_, _fiskaspj, 
   {{0xe3e80160,0x63cf0212,0xaa07038b,0x63e8000c}},	// [4740] _austriji_, _parvo_, _tuhannya_, _ислер_, 
   {{0x9332032d,0xbabb0009,0xd29000ed,0x82e301fc}},	//   _горячих_, _posvojit, _buhata_, _galitte_, 
   {{0x3291021e,0x68ee016d,0xe9520059,0xd85400ef}},	//   _letar_, _тарихниң_, _esponent, _هوجين_, 
   {{0xd29101da,0x74e601ec,0x3c0a018e,0x75ef01a7}},	//   _fetar_, _بالانس_, _chaputa_, _изначаль, 
   {{0x49590057,0xc291026b,0xa53d053b,0x42d703bf}},	//   _ክትትልና_, _tetas_, _chupando_, _borokgo_, 
   {{0xc2000179,0xa06f004b,0x56480037,0xcfd60297}},	//   _fulik_, _dikatolo, _ተባብረን_, _авторнык, 
   {{0x637a04d8,0xac7300fb,0xaa4f0109,0xf90502fc}},	//   _siyaabo_, _elistra_, _mladíka_, _bagahagu, 
   {{0xd5d503a6,0x229101f4,0xc3790185,0x18fd0320}},	//   _kirangiy, _ketar_, _cavapka_, _masagwad, 
   {{0x9cc30435,0x6c5100ac,0x121503bf,0x00000000}},	//   _еугеника_, _iritira_, _алдырыуҙ, --, 
   {{0xa2d80472,0x22d8020e,0xff6a01a3,0xc61901f9}},	//   _rileks_, _dibeo_, _دٻدٻو_, _buhlehli, 
   {{0xd9510073,0x4200029f,0x694104f9,0x52da007b}},	//   _apportat, _ludia_, _aallarte, _biters_, 
   {{0x62d8028d,0x83200121,0x3b360183,0x0c73045f}},	//   _anbet_, _efectos_, _anabavin_, _klistra_, 
   {{0x2c0a0450,0x3eac0061,0xbe320185,0xa52d0371}},	//   _skippen_, _이동되었습니다_, _bulgarla, _riescono_, 
   {{0x3c100479,0xe2910062,0xcc130148,0xf46300f7}},	//   _másnap_, _hetaq_, _corpori_, _adrenark, 
   {{0xbee3037f,0xc3940372,0xc6ed012b,0x00000000}},	//   _valideyn, _brisio_, _umiarkow, --, 
   {{0x67b5006c,0x093b0523,0xa3fa0325,0xace80156}},	//   _abasensi, _कंबोडिया_, _bayramli_, _נײַסטע_, 
   {{0x8291013d,0x020000bc,0x220002db,0x5e6d0333}},	// [4750] _petas_, _mulih_, _judia_, _piccione_, 
   {{0xa18502a5,0xc27e029e,0x37530322,0x03030080}},	//   _जंगबहादु, _ahont_, _amanyang, _asaallu_, 
   {{0x478d0142,0xac6200c8,0xd28304e5,0x82d90039}},	//   _प्रवेष्ट, _bonuril_, _alikuba_, _pozez_, 
   {{0x7137033c,0x73f80207,0xe26f003a,0x9e3200f2}},	//   _peidiwch_, _kikuu_, _hukumatl, _anglijas_, 
   {{0x827e0733,0x02da0039,0xae4101f1,0xe20602c0}},	//   _akono_, _merezi_, _serbëve_, _сестрите_, 
   {{0x92910175,0xd18a02fe,0xa7a20631,0x038f0513}},	//   _retar_, _ebabulal, _lavenerg, _hanyisa_, 
   {{0x0c69018d,0x5499043d,0xa2910057,0x92da033d}},	//   _ኑክሌሳዊ_, _melahirk, _setar_, _ferezi_, 
   {{0x0d9900e1,0xd3410222,0x42900746,0x92640077}},	//   _détayou_, _attribué_, _kuhara_, _lakoloni_, 
   {{0xdac80105,0x9260035b,0x5a7001c0,0xc2b503fb}},	//   _जकार्ता_, _varovali_, _askarawa_, _obuci_, 
   {{0x75f00121,0x767701a3,0x62d8005b,0x6c7c036c}},	//   _cataluña_, _سگهئون_, _arjejh_, _drasata_, 
   {{0x455503a8,0x7e010066,0x42010347,0x168f02dc}},	//   _উত্সৱৰ_, _landarea, _attie_, _sementei, 
   {{0x198604cf,0xb41401ef,0xd2b50053,0x733200d0}},	//   _kuthunye, _аварыйна, _आत्मशून्, _afixa_, 
   {{0x235b040b,0x627e00af,0x025a02bc,0x72a601a0}},	//   _langiwa_, _kvinne_, _wallam_, _huiban_, 
   {{0xed760141,0xb9fa0211,0x9fd903b0,0x99840061}},	//   _لرینی_, _varaukse, _filhisto, _레포트월드_, 
   {{0x066300ff,0xd3060482,0x1683000e,0x84590187}},	//   _מײַזענבע, _maganak_, _nesesari, _reflexão_, 
   {{0xb29000b7,0xd1f80040,0x9515015d,0xa89e0475}},	//   _buhara_, _לתאגיד_, _अनुदेश_, _сотворен, 
   {{0xb56500de,0x1291011e,0x39e9020b,0x117c00d3}},	// [4760] _چنداني_, _letap_, _dingwage, _archívy_, 
   {{0x935400a7,0x918a0560,0x33f802e7,0x6200019c}},	//   _vigents_, _ababulal, _hikut_, _kikisi_, 
   {{0x6d1f004b,0x52da009b,0xc7070205,0xfa0d0213}},	//   _аманаты_, _berezi_, _барлос_, _сокращал, 
   {{0x1320013b,0x898600de,0x5dac0560,0x00000000}},	//   _iraya_, _buthunye, _ayinanda, --, 
   {{0xd2d80288,0x3e1b0037,0x6f35002b,0x564d0081}},	//   _bibel_, _የኩላሊት_, _অনিয়ম_, _bronsuð_, 
   {{0x39da0234,0xa21c03d5,0xa7760365,0x83f80071}},	//   _lókòòkàn_, _berhys_, _इन्सेक_, _dikum_, 
   {{0x626c0578,0x923602e5,0xfb640097,0xc43f01de}},	//   _txoos_, _mbaja_, _adedokun_, _اۋدارما_, 
   {{0xe13000b5,0x03a3030f,0x42480456,0x2c7c00d3}},	//   _apanuãi_, _hoapā_, _unimap_, _prasata_, 
   {{0x2ef603ba,0xc2360553,0xbf26020a,0x0f5104a8}},	//   _proviant_, _obaja_, _планшетт, _podlijež, 
   {{0x73200418,0xd26004c5,0x09ae003c,0x3a660008}},	//   _oraya_, _lekonomi_, _خیلیا_, _жанчып_, 
   {{0x03880089,0x429103dc,0x3a8b0119,0xf5830309}},	//   _рельеф_, _aftan_, _desisyon_, _terrorçu, 
   {{0x7290022a,0xeb7d025c,0xd23601dd,0x82310066}},	//   _balaf_, _abonnier, _abaja_, _eremuan_, 
   {{0x9320016e,0x726e01cf,0xe1c20222,0xbcc40037}},	//   _araya_, _depost_, _pourriez_, _መቀስቀስ_, 
   {{0xf2d80277,0xd1630062,0xf2000145,0xbcfa00bf}},	//   _tobey_, _bilimmeh_, _tikisi_, _предосто, 
   {{0x9eff0192,0x92fd02dc,0x0bce0147,0xf2e10012}},	//   _칭찬합시다_, _adegas_, _ساسىىققا_, _पूछीँ_, 
   {{0x83f80084,0xa2fd01c6,0x9c1b0162,0xfae80044}},	//   _ancur_, _freget_, _мәғлубий, _sustaine, 
   {{0xe2ea02c2,0x33f40180,0x12e0034f,0x529802fe}},	// [4770] _tieners_, _fouter_, _akanako_, _amajelo_, 
   {{0x6387010a,0xb2c60003,0x2af102ef,0x7981023e}},	//   _digrii_, _reclame_, _chirijye, _کروکی_, 
   {{0xf20e0039,0x33f8019e,0xa961002c,0xab6101b5}},	//   _таван_, _pikul_, _gainerat, _gaymersr, 
   {{0x6b71030b,0x2ab401c0,0x8fcd005b,0x1fea034c}},	//   _abasussa_, _alokacin_, _tusinder_, _аралашал, 
   {{0xe201050a,0x1290004e,0x00000000,0x00000000}},	//   _ettik_, _kalag_, --, --, 
   {{0xa3f80540,0x9a81008d,0xfb180006,0xfb4100ff}},	//   _vikum_, _مضمونیگه_, _bagaikan_, _malvarma_, 
   {{0x1ba60497,0x2be3043d,0xa2900343,0xd243023c}},	//   _crazines, _dikeluar, _dalag_, _ويغوری_, 
   {{0xead80211,0x99e90076,0x8dab0420,0xd6c90433}},	//   _исходный_, _linguage, _aprimora, _inespany, 
   {{0x42e60482,0x0c71019a,0x63eb04a8,0xc41e0156}},	//   _hannaan_, _fairest_, _pratim_, _סודאַן_, 
   {{0xa2d90266,0x03cf00db,0x721303e6,0x8c3903eb}},	//   _rezeki_, _harva_, _sucher_, _egipties, 
   {{0xe30e06ec,0xc649018d,0x762701b6,0xa6c8019b}},	//   _citados_, _ኣምሓርኛ_, _validati, _бландынк, 
   {{0x440700a7,0x029002ff,0x143700ee,0xef2003bd}},	//   _тарбия_, _malad_, _geratuko_, _kaluwasa, 
   {{0x5c76012a,0x60e90029,0xaaa30388,0x00000000}},	//   _कोस्टा_, _رۆککۆمار, _diminuis, --, 
   {{0x0fb5014e,0x463c06ec,0x4980020f,0x56d100c1}},	//   _играчи_, _habituai, _bakhwaza_, _कंदिल_, 
   {{0xa2cb00ac,0x12900117,0xfdb80310,0x095d0432}},	//   _tvrdi_, _behain_, _claisnea, _urolighe, 
   {{0x03b1006c,0xe2ff0102,0x126d04a7,0x82cb046f}},	//   _aguqe_, _wasafiri_, _adquiril, _jidder_, 
   {{0xdfc2038c,0x2d03006f,0x5341000c,0x3d9d0359}},	// [4780] _najviše_, _بدران_, _cateura_, _befetsje_, 
   {{0xf27e033a,0x794e0073,0xe2e601c5,0x2c620197}},	//   _skont_, _affligit, _bannaan_, _bourike_, 
   {{0x57e500af,0xd8370092,0xc38a01d5,0xcf030361}},	//   _актуальн, _fremkald, _törik_, _гιайгιан, 
   {{0x039402bc,0xff1000ff,0x72900062,0xd714015e}},	//   _vieste_, _מאסנאמען_, _dalad_, _алдынкы_, 
   {{0xe1850013,0xec5c0226,0x4eba03dd,0xc3cf03a4}},	//   _нуқталар, _atatero_, _ንዘላለም_, _darva_, 
   {{0x8641028d,0x6643009a,0x4ece0126,0x62c302cb}},	//   _anaktivi, _ancitshi, _кроки_, _mislima_, 
   {{0x58460019,0x57580465,0xf3eb025c,0x3624032d}},	//   _بۇيرۇسا_, _mobilneg, _mieter_, _алышта_, 
   {{0x32010092,0xd84a0281,0x920000d3,0xc2d802ef}},	//   _mutig_, _takorluu, _nudit_, _konfondi_, 
   {{0x52020050,0xfec20286,0xa2000125,0xb29002b9}},	//   _rosidi_, _mpontunn, _pikiri_, _halad_, 
   {{0xa416019c,0xad22020d,0x471801a3,0xe2000316}},	//   _ajorehin_, _haboneke_, _اوجهري_, _arlit_, 
   {{0x7ab1017d,0x89fd0037,0xd2900255,0xdb290137}},	//   _お気に入りブログ_, _እንሰማለን_, _jalad_, _далайцта, 
   {{0x210700b0,0x22da01bf,0xcaf40126,0xd14600ff}},	//   _قرارک_, _bransje_, _активніс, _מייבאק_, 
   {{0x1290000b,0x03950420,0x7f410678,0x00000000}},	//   _malae_, _osasco_, _zadržiav, --, 
   {{0x0d6f0088,0xf2da0282,0xc29000e7,0xbd26015e}},	//   _احماد_, _hereni_, _aglay_, _белектер_, 
   {{0x151d006f,0x669b0092,0x38370074,0x92da04df}},	//   _kuboresh, _坊っちゃん_, _западе_, _bereni_, 
   {{0xb2ac03c4,0xa8cf0092,0xed810117,0x858200d9}},	//   _бомбилир, _コメント投稿に失, _tekemaot_, _pienempä, 
   {{0xb1ce0169,0xd84e036d,0xb7f90475,0xed80014a}},	// [4790] _অভ্যুত্থ, _bhalgaid, _заражени, _telefont_, 
   {{0x52900084,0xcfe701fc,0xbeb80061,0x6a27040f}},	//   _balad_, _kirkiiro, _plafonds_, _ахрэм_, 
   {{0xf2d80062,0x74090465,0x629001cc,0x425a02bd}},	//   _bijej_, _savinjsk, _calad_, _gallem_, 
   {{0x9ebb0016,0x6d050176,0xf2260050,0x9c6e0011}},	//   _תּמיד_, _tilladte_, _isukan_, _amereza_, 
   {{0xa3d40698,0xe25a0201,0xa2900433,0xbb54023a}},	//   _mwamikaz, _aallem_, _walad_, _snowdena_, 
   {{0xef20014c,0xbdc5020f,0x00000000,0x00000000}},	//   _ekwenzen, _اړيګو_, --, --, 
   {{0x5b4c001a,0x6da703bd,0xee270156,0x0afc01aa}},	//   _دیرپا_, _gilimita, _דיאגניזי, _ategiess, 
   {{0xc3bf0374,0x12010259,0xeb82011a,0x00000000}},	//   _яманда_, _nutid_, _מחטבים_, --, 
   {{0xe0b80147,0xb2cb0172,0x2d7300e3,0x515c027b}},	//   _كەڭەش_, _readih_, _burmarra, _प्रसन्नं_, 
   {{0x13460062,0xb213026b,0x7c8e034c,0xe3ea01d5}},	//   _chidnis_, _luchar_, _арзанрак_, _pontra_, 
   {{0x43e40172,0x52b4053f,0x626f02f7,0x41450251}},	//   _bɛtra_, _sonche_, _hisitori_, _sharafto, 
   {{0x78d902c9,0x6291025e,0x023e02c2,0xa7c204d7}},	//   _басарабе, _oftar_, _naamlik_, _geisladi, 
   {{0xdec801cb,0xb935004c,0x6e3f0707,0xb3940188}},	//   _nezingen, _ayimbira_, _kamaramp, _asisho_, 
   {{0x13200054,0x39bd018b,0x62310244,0x8226007d}},	//   _tsaye_, _browseru, _nemmeno_, _bsukan_, 
   {{0x72d8023b,0x74d000b9,0x1adf005b,0x736e0117}},	//   _gibea_, _रिविजन_, _bekendts, _tangkyu_, 
   {{0x3ad900be,0x85d900a4,0xc5d500fb,0x30f8005b}},	//   _تۉركچۅ_, _تۉركچە_, _irobhoth, _boghandl, 
   {{0x4afa00af,0xd2970340,0xc23402a6,0x8a86031a}},	// [47a0] _населенн, _matariki_, _firmate_, _chonainn_, 
   {{0xf2a70058,0x546b0039,0x3ea90449,0xf4870486}},	//   _braben_, _paperezk, _sastojke_, _सुखांत_, 
   {{0xf53c0219,0x54d601c7,0x256e01db,0x00000000}},	//   _abayifak, _benziniň_, _ەسىكتى_, --, 
   {{0xdc1400d6,0xeec601cf,0x7d810370,0x9f39061a}},	//   _بولند_, _subornos_, _bareurat_, _प्रिपेड_, 
   {{0x5f8a00c5,0xe2e903d4,0x6a7b018d,0x4b66005b}},	//   _广告经营许可证_, _потребан_, _punonjes, _harumasa_, 
   {{0x16a60292,0xf6200157,0x92fd0456,0xc126035e}},	//   _britanny, _malowani, _tetikus_, _stepeniš, 
   {{0xc2000107,0xdb6402a9,0x73a80296,0x82910224}},	//   _nulis_, _сярод_, _utmaning_, _aftar_, 
   {{0xdbfc0015,0x46a400e4,0xe27f0387,0x7386005a}},	//   _نامنظوٝر_, _मैथिलीशर, _kwanye_, _ghordi_, 
   {{0x6e4e036d,0x4d8d024e,0x02dc0396,0x7b2f009b}},	//   _chianala, _oproštaj, _figolli_, _berbetan_, 
   {{0xdc2800d5,0x027f01b9,0x3ae90166,0x785d00e6}},	//   _fitaratr, _mwanye_, _besorgen_, _repasser_, 
   {{0x82900088,0x9b890021,0x39df0108,0x3ec30238}},	//   _canals_, _adlingcr, _mangpaat, _noensinn, 
   {{0x9c000102,0xb0ef0347,0x1d8702dc,0x00000000}},	//   _سرگرميءَ_, _foonhorl, _alpendre_, --, 
   {{0x52d9013f,0xb8310092,0xaafc011b,0xcb730023}},	//   _gireg_, _総資産利益率_, _balendis, _собаку_, 
   {{0x73f801ce,0x7f65017f,0x489600e6,0xa1b80486}},	//   _yakuwi_, _assannin, _激活授权文件_, _mikulášo, 
   {{0x3200026c,0x6b1d02ac,0x29d100ee,0xcfd3003a}},	//   _tulit_, _الخجل_, _puntuatu, _ажнабий_, 
   {{0xcd36006f,0x1237047b,0xad10017d,0xc2fd047b}},	//   _nyingine_, _kommuna_, _商品レビュ_, _hyggja_, 
   {{0xb2d90062,0x9237001d,0xd1d300b9,0x993e02c7}},	// [47b0] _horey_, _communa_, _परिपक्वत, _niemande, 
   {{0x890d0159,0x2c5a033f,0xc9d60109,0xc2910372}},	//   _жалобная_, _gentlii_, _गरेपछी_, _esgair_, 
   {{0xd8620160,0x9cf200a6,0x0ad1034c,0xa2d90265}},	//   _napomenu, _سالمي_, _tendents, _inzet_, 
   {{0xcb1f05fd,0x0d2d0027,0xf2000193,0xf3dc0479}},	//   _bahagian_, _bernheze_, _mudik_, _evőkanál_, 
   {{0xa4770276,0xc881011f,0x32910127,0x72da00b3}},	//   _тапалмиғ, _delitoku, _dezań_, _bereli_, 
   {{0x7c0a0289,0x4ecc0261,0x92640233,0x00000000}},	//   _akapita_, _rakontis_, _poples_, --, 
   {{0x8db4003c,0xb361018f,0xe2b502e1,0x00000000}},	//   _بوفون_, _monglij_, _maidine_, --, 
   {{0x97fc02c3,0x70f002ea,0xd27f036f,0xd2b50113}},	//   _precitaj_, _оптималн, _zvanje_, _laidine_, 
   {{0x0fde0552,0xbf5c02be,0xc0740044,0x32ec00e9}},	//   _archiver_, _magandan, _הנתבעת_, _beenick_, 
   {{0x2d9a01ae,0x79890204,0xa3860282,0x5a7e02c1}},	//   _velocida, _минераль, _ihorei_, _bagakira_, 
   {{0xf200037e,0x620205d6,0x843800d9,0xd2b6023e}},	//   _pulit_, _luvias_, _элегантн, _azuchi_, 
   {{0xd74c01b6,0x455400e4,0x460e00b7,0x60d500d9}},	//   _السفن_, _बाहेकको_, _oppozisi, _журнале_, 
   {{0x2f2c01a6,0xe4ef0132,0xa3410144,0xadc40156}},	//   _pineamin, _بحمدہ_, _أنغام_, _קאָסטיומ, 
   {{0x275a0745,0x77390057,0x92d604cf,0x2fa10178}},	//   _संस्करण_, _ተዘክሮተ_, _injongo_, _akaluṣat, 
   {{0x228c00ac,0xc2e9010f,0x2067008d,0x94110390}},	//   _prekida_, _agripha_, _darslarn, _metronun_, 
   {{0x8c010054,0x5d16012e,0x7cff026b,0x1c5703fb}},	//   _bangaror, _párkapcs, _peluquer, _nestale_, 
   {{0x67cf02f3,0x62fd03a4,0xa887006f,0xed2f008b}},	// [47c0] _dessutom_, _byggja_, _mashahid, _arminaat_, 
   {{0x199100c4,0x22d9004f,0xc2c901bc,0x00000000}},	//   _هيڊڪوارٽ, _firee_, _hillich_, --, 
   {{0x42d900ac,0xd9e20020,0x137f03db,0xafa0007e}},	//   _porez_, _fefinaua_, _ithanga_, _bhilaṣit, 
   {{0xa4c801cd,0x625a02b1,0x80600325,0x93f90062}},	//   _қаландар, _mallam_, _bürosund, _jisud_, 
   {{0x9862064f,0x0897019b,0xb2c9012b,0xd26f025b}},	//   _zapomenu, _reikalau, _europie_, _skrivari_, 
   {{0x603702fd,0x7fd501ac,0xea070046,0xf201007b}},	//   _caitrion, _cosantói, _кесипкөй_, _ettil_, 
   {{0xb302007f,0x00000000,0x00000000,0x00000000}},	//   _deganau_, --, --, --, 
   {{0x52d6028a,0x06290128,0x9c440126,0x93f801f5}},	//   _kibongo_, _эргашувч, _курсами_, _nakuti_, 
   {{0x220002c9,0x92130453,0x2ff10095,0x00000000}},	//   _ordin_, _muskarci_, _فلاسفه_, --, 
   {{0xe2000433,0xb25a008b,0x7f810061,0xca5f00ea}},	//   _pulis_, _ballam_, _권해드리는_, _sareraka_, 
   {{0x1edc00a4,0xa2a700c2,0x926c01e6,0x282d018d}},	//   _artistes_, _izuba_, _eshopu_, _ኣየፍቅድን_, 
   {{0x299b0559,0xfe02038b,0x6d5c005e,0x2241020f}},	//   _abakhole, _kegemara, _ئۇپۇق_, _anambini_, 
   {{0xfcf80192,0x72d40026,0xa3200092,0xba100269}},	//   _정보통신망법에_, _inkomen_, _asaya_, _estatale, 
   {{0xe3c80031,0x2f6601cd,0x8c57004f,0xd63b002b}},	//   _survei_, _вартаи_, _eestale_, _মহারাষ্ট, 
   {{0x2b430354,0x65820026,0x22ba02fc,0x7fbf0059}},	//   _бойлап_, _ingerich, _amadeni_, _основния_, 
   {{0x505a0076,0x9ecd027f,0xd2de04ad,0x3c7b0540}},	//   _променли, _baringan, _difounu_, _árslok_, 
   {{0xea8c030b,0x0b7f0357,0xe32001a0,0x027d0037}},	// [47d0] _chairmen_, _basuraka_, _esaya_, _አንስታችሁ_, 
   {{0x12e30225,0x6db40437,0xbd060310,0x02460157}},	//   _denigae_, _fingrene_, _deatamac, _ओवरले_, 
   {{0x62b404c8,0xfc7100b7,0xe20e0039,0x098b04c3}},	//   _entità_, _dessine_, _гаран_, _timkiemt, 
   {{0x42df02e3,0x525a01f1,0xa18f00aa,0x9a96038e}},	//   _tinnong_, _dallim_, _hulagway_, _उन्मेष_, 
   {{0xc3ea00ee,0x7af5006a,0xbe4702ec,0x32c00666}},	//   _kontua_, _antontan_, _cambaara, _poštivan, 
   {{0xbdec0074,0xaf230291,0x00000000,0x00000000}},	//   _ситуацию_, _وصبايا_, --, --, 
   {{0x669603cc,0x64400315,0x7dce0035,0x43c40034}},	//   _মাগুরা_, _anikefik, _синен_, _rækilega_, 
   {{0x62f60230,0x8da700f5,0xf2d80148,0xaa970433}},	//   _indirek_, _калбыны_, _libet_, _filinves, 
   {{0xed3b00c5,0xdca501bd,0xb3f402cf,0x28e00123}},	//   _国家知识产权局_, _سويلەيدى_, _doutor_, _ubeskriv, 
   {{0xe2cb0541,0x5a000343,0xbd2c0153,0xfc710123}},	//   _smedia_, _hikalimt, _本発明の矩形シ_, _sparket_, 
   {{0x82ca037f,0xb2950261,0x99f700dc,0x00000000}},	//   _bildir_, _komputil, _solatete, --, 
   {{0x5d9703d4,0x1ced0076,0x76db02ac,0xe28c038a}},	//   _pritvoru_, _советува, _نااااااا, _chakuma_, 
   {{0x027e01a4,0xa2d8001b,0xba6e0125,0xe7a903bf}},	//   _abongi_, _arjeey_, _чокерилй, _dipropri, 
   {{0x4eb8018d,0x6fe3028a,0xecdb0061,0x1c13006c}},	//   _ይመስለና_, _لاپتا_, _민주주의를_, _abasadus, 
   {{0x14560029,0xd200034c,0x72d800f4,0x32da01fe}},	//   _ئۆپراسیۆ, _bulip_, _dibet_, _wereci_, 
   {{0xd28704ac,0xd7fc00ff,0x32900015,0xe5970137}},	//   _мультфил, _אפדעיט_, _calaa_, _саадыг_, 
   {{0x427e044a,0xb4dd01de,0x00000000,0x00000000}},	// [47e0] _ebongi_, _грекияда_, --, --, 
   {{0x56ec0238,0xfe4f022a,0x9ba8019f,0x4ede00d0}},	//   _достатнь, _dobanola, _ابوظهبي_, _биздэ_, 
   {{0xe27e0292,0x69cd0347,0xb1cc0145,0xe5a90274}},	//   _akonu_, _teleurge, _былая_, _frelsið_, 
   {{0x81cd0037,0xb34101c2,0xd213016e,0xe2e800d8}},	//   _ተሰርተዋል_, _baleiro_, _cephe_, _babilha_, 
   {{0x77cc0333,0x22a10061,0x2bca0361,0x63f80145}},	//   _marsigli, _소개합니다_, _практики, _likus_, 
   {{0xc74e033e,0xf2d803f2,0xec1d009a,0x73f9030a}},	//   _аппаратқ, _koneen_, _فټبال_, _insua_, 
   {{0x9c5002ec,0x0290021b,0x929000ea,0x27cb00d6}},	//   _وچھنہ_, _palaa_, _lalan_, _deaschli, 
   {{0xf3410245,0x530404d7,0xfd3d03ae,0xfbef024c}},	//   _faleiro_, _endanum_, _arkivert_, _detentur, 
   {{0xd74003ac,0x6e9601df,0xd2c50251,0xad12005b}},	//   _menolong, _gledness_, _hablood_, _daisyduc, 
   {{0x4320019f,0x3e01009a,0x894f031c,0x55dd0235}},	//   _isiyo_, _ancedisa, _expresar_, _धन्योऽहं_, 
   {{0xecf502f3,0x5155064f,0xf3960176,0x5c1403e9}},	//   _viktigar, _barrando, _yousee_, _bilseň_, 
   {{0x829003cf,0x4bcd015e,0x524900b4,0x77c901ef}},	//   _kalan_, _апрелде_, _toamna_, _партызан, 
   {{0xdf6a0266,0x429000ad,0x97f90125,0x02e602a0}},	//   _thabaran, _badag_, _берилер_, _jannkan_, 
   {{0xa15c0066,0xe3450197,0x328c0369,0x5681008f}},	//   _лухан_, _jandbot_, _anakima_, _केराव_, 
   {{0x6493008d,0x429002fd,0xed2a01cf,0xc2900079}},	//   _фермерла, _banais_, _disparer, _izlasi_, 
   {{0x82a7048b,0xde2b002c,0x2cc1005e,0xe3dc0342}},	//   _muaban_, _langilea, _بۇرھان_, _dejwe_, 
   {{0x00000000,0x00000000,0x00000000,0x00000000}},	// [47f0] --, --, --, --, 
   {{0x027e023d,0xfc6e0373,0x3a2f0299,0x06b101cc}},	//   _sconti_, _insuloj_, _ئوپىرا_, _drastavy, 
   {{0xc3870342,0xf38605f4,0x3b380037,0x0b9600ba}},	//   _espri_, _aphru_, _አላየንም_, _مولێر_, 
   {{0x276d0178,0xe2d8055f,0xabee021b,0x130403a4}},	//   _ajjhupag, _sibel_, _жалоб_, _andanum_, 
   {{0xa3a20020,0x52010271,0x634501eb,0x22870220}},	//   _atepa_, _artig_, _bandbot_, _фирмен_, 
   {{0x491e0255,0x72b50158,0x02cf01b9,0x013d0466}},	//   _पत्रिकाक, _kolorów_, _rekonte_, _iznemogl, 
   {{0x27970486,0x7c09030f,0x656f023a,0x6f65036c}},	//   _रंगीविरं, _tokomaru_, _porozprá, _ampaosin, 
   {{0x329003cf,0x52900747,0xcc0402a0,0x4c3c025b}},	//   _falan_, _canais_, _brasili_, _teknisku_, 
   {{0x42900262,0x45a800c7,0x3201018b,0x12da028f}},	//   _galan_, _карамаст, _cutia_, _perehi_, 
   {{0xde390479,0x835f021c,0x9c8b00a6,0x9ff30171}},	//   _tapaszta, _legendy_, _قرارګاه_, _poprilič, 
   {{0xc24e01a4,0x01fa00cb,0x88dc0420,0xc9ca01af}},	//   _akambaki_, _abanemim, _судир_, _bildirje, 
   {{0x6290037f,0x0f0f040c,0x5651022b,0x684600a4}},	//   _yalan_, _filtrova, _strikað_, _portades_, 
   {{0xe6410142,0x429002fd,0x00000000,0x00000000}},	//   _catasṛṇā, _ranais_, --, --, 
   {{0xe3f800bc,0x32900005,0xe4080278,0x8ef60678}},	//   _tikus_, _valan_, _disifatk, _dievčat_, 
   {{0xe03c0371,0xdfa403b2,0x7d7c0169,0x229003d9}},	//   _recensio, _november_, _ক্লিনিক_, _dalao_, 
   {{0xa29000ea,0x793f042f,0x65000040,0xa1fa01db}},	//   _lalao_, _taimaitt, _ומאגיה_, _دىعىنىڭ_, 
  
   {{0x5c69040f,0x24f10262,0xcf65007b,0x00000000}},	// [4800] _forumai_, _birmahal_, _scraipin, --, 
   {{0xaa8b00ce,0xba390147,0x62010240,0xa77e0093}},	//   _desizyon_, _تۅۅگۅ_, _vutia_, _провинци_, 
   {{0xd3f803dd,0xa3cc0040,0xe2ba003c,0xd6c50119}},	//   _dikur_, _ולהגיע_, _amadani_, _ginasugi, 
   {{0xbc440259,0x9fb504ca,0xc7d900c4,0x063b0220}},	//   _プライバシ_, _abitants_, _ابراھيم_, _pochissi, 
   {{0x0290036e,0xe2900390,0xbd290478,0xb1ef0297}},	//   _balao_, _qalan_, _indicant_, _birmiçä_, 
   {{0x62a600ad,0xc3220659,0xf3a20008,0x9f3d0444}},	//   _tribun_, _basyir_, _tropes_, _справке_, 
   {{0x3290040a,0x25560147,0x3c46031d,0x9acb0066}},	//   _ökade_, _بۇزماي_, _stowell_, _filmaren_, 
   {{0x34860255,0x32d8001e,0x676b018d,0x4c3e041e}},	//   _बाजारी_, _nijer_, _ምዕልባጥ_, _arcivecu_, 
   {{0xa2df02d5,0x23eb03f1,0x1eaa00bb,0x00000000}},	//   _hinnang_, _vietor_, _توہینِ_, --, 
   {{0xfadf015e,0x4a71026a,0x8b8a0405,0xd86e00d1}},	//   _بەدەنىند, _kusarawa_, _полон_, _skrikand, 
   {{0x62ba0069,0x012f0279,0x00000000,0x00000000}},	//   _amadini_, _priorité_, --, --, 
   {{0xf93e006c,0x32130113,0x42cb00af,0x7c81018a}},	//   _abambiza_, _urchar_, _gidder_, _enwebiad_, 
   {{0xa5be03d4,0xf20100f5,0xe53f0052,0xde95017d}},	//   _другу_, _butin_, _करोडभन्द, _monteret_, 
   {{0x12900748,0x00cc011a,0xf6bc02ba,0x4dc40433}},	//   _ishara_, _removabl, _agwetshw, _karikoha, 
   {{0xdff2029f,0x89bf039d,0xcb4402eb,0x62d804c8}},	//   _presvedč, _sendedza_, _дүлий_, _injex_, 
   {{0xc3f801da,0x9c2b0024,0x084201f4,0x1317000e}},	//   _sikur_, _কুমলীয়া_, _бортида_, _plazze_, 
   {{0x6200014b,0xa27e0288,0x83de0156,0x2b3900be}},	// [4810] _aslik_, _stinct_, _צושויער_, _قالەمىمى, 
   {{0x50d5016d,0x6afd0037,0xe20e032d,0xe1670299}},	//   _аңлитип_, _እንማራለን_, _ламай_, _ئازتولا_, 
   {{0x7af9002c,0xd29001a6,0x9a82021e,0x3b070297}},	//   _ахлагч_, _huhana_, _blondinb, _диюдән_, 
   {{0x4723029e,0xa61700f2,0x160e0152,0xe202008d}},	//   _pellgarg, _klientam_, _балкашык_, _bosimi_, 
   {{0x6200013d,0x2adf0217,0xd0ed01b8,0x00000000}},	//   _ludis_, _destruit, _omanikul, --, 
   {{0xc2d8018f,0xa27e026d,0x829000ea,0x09d00262}},	//   _vijes_, _ikony_, _lalam_, _гепин_, 
   {{0x62c90157,0xe7bd0255,0xfda90255,0x00000000}},	//   _stronie_, _kvartali, _kreisira, --, 
   {{0xc9c903de,0xd75405b5,0x69f90282,0x905800d8}},	//   _kubonisa_, _benéfica_, _paraiket, _borgonho, 
   {{0x92d900d0,0x00000000,0x00000000,0x00000000}},	//   _diren_, --, --, --, 
   {{0x727f001e,0x4412012b,0x022403a4,0xbe52034c}},	//   _kwance_, _blondynk, _bankum_, _evropanı, 
   {{0x72d800f4,0x0a07022c,0x00000000,0x00000000}},	//   _bijer_, _bagadatt, --, --, 
   {{0xb38703ff,0xb1560019,0xe2df0128,0x03ff0172}},	//   _dobrý_, _башынан_, _dinning_, _tigrinni_, 
   {{0x75280180,0x82010039,0x53f40133,0xd35904b3}},	//   _indikasy, _mutil_, _bittee_, _batromoù_, 
   {{0xc2920346,0xd2d9046f,0x12cb017d,0xfa5700e5}},	//   _depann_, _hiren_, _sidder_, _ливада_, 
   {{0xa2010047,0xac73006c,0x83700037,0x72d900d0}},	//   _outil_, _aboshwa_, _ኢንሳይክሎፒዲ, _biren_, 
   {{0x45c804ea,0xd2b204c5,0xec8b00db,0xcc2103ff}},	//   _muralith, _etidyan_, _algusaeg_, _kapucí_, 
   {{0x12000120,0x5ef10368,0xa5600285,0xa2ec01df}},	// [4820] _ardik_, _осталих_, _abakiriy, _autobuy_, 
   {{0x0a0303d7,0x329000fa,0x000603f4,0x9dc3013d}},	//   _mauritiu, _palad_, _мальчик_, _elektita, 
   {{0x53790140,0x42900251,0x03980152,0x812f0233}},	//   _gagawin_, _qalad_, _фаразлар, _prioritá_, 
   {{0xc2d903cf,0x8b970465,0x00000000,0x00000000}},	//   _giren_, _omenjeno_, --, --, 
   {{0x4a3900da,0x82900120,0xbed504a0,0x120000a1}},	//   _веселие_, _galab_, _mínimos_, _kikini_, 
   {{0x62d90292,0xe2d7002b,0x712f0371,0xa26e025f}},	//   _airen_, _নামকরা_, _priorità_, _misolo_, 
   {{0x229000c0,0x554c00be,0x1583013a,0xde3f0110}},	//   _aalab_, _شايىرلار_, _erreesch, _klementī, 
   {{0x38f500b3,0x5dae0205,0x7e500040,0x4aed01d5}},	//   _акрабала, _камайган_, _ממולאות_, _legidőse, 
   {{0x0a5f0099,0x63020082,0xb2d902c7,0x22130067}},	//   _aangaita_, _janairu_, _viren_, _dephi_, 
   {{0xc98e0013,0x763900b7,0xc2d903e6,0xf0ad01a6}},	//   _далил_, _гарашаны, _wiren_, _matawhāi, 
   {{0xdcd90220,0x03f80165,0xb200005b,0x75640311}},	//   _заслужав, _dakui_, _akkie_, _ዝንውሓቱ_, 
   {{0x8af50126,0x6c930208,0x92bb027e,0xc224021c}},	//   _bilstere, _شامار_, _nameće_, _tenká_, 
   {{0xb3590312,0xcd2802a9,0x934100ef,0xcec502a6}},	//   _patromoù_, _андрэй_, _سنبال_, _abbisogn, 
   {{0xf2d9002c,0xfc1101d3,0xaec3014e,0x084100ba}},	//   _ziren_, _helsingb, _izjednač, _ئیمێلی_, 
   {{0x7efa0272,0x6ec30257,0x00000000,0x00000000}},	//   _abajaman, _athiests_, --, --, 
   {{0x5238017f,0x8938017f,0x29cd01f0,0xa20001cf}},	//   _kommuni_, _kommunip_, _barongwa_, _audir_, 
   {{0xa2250122,0xa01503df,0xd2380212,0xe06500a5}},	// [4830] _anakmu_, _jordbruk_, _communi_, _fakalogo, 
   {{0xeb200169,0x42e30243,0x727f0102,0x91680227}},	//   _মানচিত্র_, _gaditte_, _mwanae_, _rafidhah_, 
   {{0x226c05be,0xab7a00d9,0xdf1d00a4,0xd20102f6}},	//   _sinoć_, _заказчик, _بايرالىپ_, _butil_, 
   {{0x52900374,0x2abc04d4,0xea72015e,0x857a037b}},	//   _talab_, _provaede, _رەتكەن_, _patologí, 
   {{0xaaf70137,0x371f03ae,0x0534005e,0xcbee027e}},	//   _шалдан_, _lommeleg, _ﺋﺎﯞﯞﺍﻝ_, _јаков_, 
   {{0xe2a00024,0x095802ac,0x839401fb,0xd71d005e}},	//   _আধুনিকতা, _أيضًا_, _sonsar_, _ھەلەكچىل, 
   {{0x02da0342,0xf200001b,0xd2880185,0xd6380289}},	//   _jeremi_, _ardii_, _айзат_, _azindiki, 
   {{0x94ca014a,0xcbab017a,0xbd920055,0x1bee03a4}},	//   _دروازہ_, _акалан_, _roselyne_, _alheimur, 
   {{0x42ea0074,0xffc0027b,0xc3f803f6,0x9be000e6}},	//   _ulvilan_, _यावच्च_, _pakui_, _经济参考报_, 
   {{0x12d501c9,0x72900342,0x0d580074,0x65f901e6}},	//   _avaliku_, _valab_, _принцесс, _komenské, 
   {{0x8f7c0074,0x149b012a,0x32f0011d,0x6c4702fb}},	//   _процесса_, _detalicz, _regiuni_, _sētane_, 
   {{0xd41601e5,0x52010396,0xca6b018d,0xf609013e}},	//   _akoroyin_, _attiv_, _ንሰሙናት_, _todorovi, 
   {{0x6200034b,0x22ef03ac,0x00000000,0x00000000}},	//   _pikini_, _hajinya_, --, --, 
   {{0xf1df0057,0x45e90065,0x41770007,0xe2d601de}},	//   _አማኑኤል_, _niederlä, _kogangel, _сыңарлар, 
   {{0x6ad002d3,0x84bb04df,0x627f0230,0xae1a0045}},	//   _инфекции_, _artbujak, _swanye_, _шокантне_, 
   {{0xf290016e,0x76b20081,0x12d90064,0x00000000}},	//   _cemaat_, _brautarh, _mirem_, --, 
   {{0x229001c5,0xd767006c,0xa2000085,0x19f60587}},	// [4840] _qalab_, _akuyikuw, _tikini_, _arvòr_, 
   {{0xfd9a004d,0x4265027c,0xc2d9046f,0x68530147}},	//   _懶人健身房_, _angojuni_, _anrer_, _ستۇلدا_, 
   {{0x72ea0286,0x573d005e,0x12ef03ac,0x737f028a}},	//   _dubiako_, _يۇسۇپجان_, _gajinya_, _nikaona_, 
   {{0xc3f902a0,0x3c580095,0x00000000,0x00000000}},	//   _sisun_, _cantrik_, --, --, 
   {{0x7c6502c9,0x92eb021b,0xf8fb0269,0x13f8033e}},	//   _еколоӂиш, _aurinko_, _desplieg, _hakuv_, 
   {{0xea2601ab,0xb85102d7,0xb2dd0086,0xaa5e033f}},	//   _सुतबाक_, _arroupad, _baromfi_, _tangifua_, 
   {{0x46cc033d,0x53f8006f,0x439e02cb,0x744500b5}},	//   _ekspresy, _makuu_, _krvarenj, _днаргоит_, 
   {{0xa03702b9,0xb9ed0334,0x43f400f1,0xfc67012e}},	//   _درازی_, _amatikhu, _soutir_, _ارزاں_, 
   {{0x03f902ec,0x969a0006,0x6c6c0040,0x97a40145}},	//   _iisul_, _sedemiki, _ההכשרה_, _булыка_, 
   {{0x0fa90013,0x22cb013c,0xc25a01c9,0x5b83063e}},	//   _تبلیغی_, _aiddir_, _kallim_, _europsko_, 
   {{0x83c4005b,0x1c5603b0,0x8a7c02ac,0xe06104b9}},	//   _lykkelig_, _partane_, _لتقنيات_, _daysprin, 
   {{0x74230409,0xb62900d6,0xedd000d9,0xd8e30029}},	//   _marimekk, _traidisi, _острове_, _مۆسکۆ_, 
   {{0xf2bb000e,0x060f022a,0xb1f403f7,0x2e47008e}},	//   _remedie_, _filosopi, _arnórsso, _jambaara, 
   {{0x0db401e0,0x829000fe,0xe2920160,0xf2910004}},	//   _یوتوب_, _halaa_, _otpada_, _davans_, 
   {{0x25600092,0xb29001a7,0xe1d10258,0x037c0478}},	//   _調べる一覧へ_, _kalaa_, _fallisem, _atraire_, 
   {{0x03f90278,0xeb0c0222,0xc27e00f3,0x00000000}},	//   _ansur_, _chapitre, _mbongi_, --, 
   {{0xc429027f,0x4af70151,0x661a00bb,0x98a501db}},	// [4850] _indagano_, _allureme, _بوکھلا_, _شىرقاماد, 
   {{0xf7dc00ff,0x00000000,0x00000000,0x00000000}},	//   _פּועלי_, --, --, --, 
   {{0xca1c0145,0xad0d04ac,0x03710125,0x290b01de}},	//   _маленькі_, _родителя, _arkadag_, _оятып_, 
   {{0x0380038f,0x3db3000b,0xdb740315,0x03f801c5}},	//   _bepred_, _lanumumu_, _esisitwa_, _hakuu_, 
   {{0x13a200fa,0xa2a700d0,0x75b80037,0x7aa90064}},	//   _sumpa_, _araban_, _በዩኒቨርስቲው_, _небере_, 
   {{0x629002ff,0xa9f800bb,0x482702ac,0xb31701ac}},	//   _madan_, _سوناکشی_, _لابتوب_, _boichte_, 
   {{0x2290021a,0x3939030b,0xe26202eb,0x00000000}},	//   _balaa_, _alemenga_, _явтал_, --, 
   {{0x1970019b,0x2d2302e2,0xc2d90042,0xb379008c}},	//   _nusikalt, _celibate_, _dizem_, _losanna_, 
   {{0x53a20212,0x6305025e,0x00000000,0x00000000}},	//   _wumpa_, _breiðfjö, --, --, 
   {{0xef4702cf,0x156a0087,0x53960211,0xfcd80147}},	//   _зелената_, _chivirik, _housut_, _بۅدۅنۅنۉ_, 
   {{0xce520349,0x7c0002af,0x13780073,0x68ed0405}},	//   _anuaryja, _bacudits, _escappa_, _повернув, 
   {{0x42900054,0xdda8020e,0x624a005a,0xc12600e6}},	//   _kadan_, _diponaha, _jatmaj_, _小良镇信息化体验, 
   {{0x32900385,0x83950206,0xb8700024,0x92a00241}},	//   _jadan_, _riesit_, _musikald, _didaniif_, 
   {{0x973003ce,0xd2900084,0x32e80225,0x4c0b00f1}},	//   _میلانی_, _dadan_, _tiniban_, _sirsarz_, 
   {{0xf8820272,0x5f190061,0x0454006d,0xf3f80227}},	//   _abakituu, _한국관광공사_, _агуркі_, _takuti_, 
   {{0xe340022a,0x6abc0147,0x43c80415,0x2c70010b}},	//   _penemon_, _سەكچەسى_, _nervig_, _letsele_, 
   {{0x32da0528,0xc3f80074,0x0b11025e,0xa3380314}},	// [4860] _aiteas_, _takuu_, _páskana_, _лотфулла_, 
   {{0xd320056a,0xf43300f8,0x06f7048f,0xd70801f3}},	//   _tsaya_, _তৃষিত_, _tokangá_, _dostupné, 
   {{0xf2d90325,0x727f0011,0xd20005d5,0x210103e6}},	//   _gizem_, _gwange_, _visibilm, _dikkrich_, 
   {{0xff43025c,0x53550066,0x02000119,0x624901ac}},	//   _passiert_, _ingeles_, _mehiko_, _siamsa_, 
   {{0x72da01fe,0xf2d90179,0x42f3000a,0x29490273}},	//   _cereki_, _vireb_, _balimut_, _termómet, 
   {{0x32470309,0xfa56008d,0xa2d90125,0x2958036c}},	//   _dəmir_, _ёмғир_, _bizem_, _bloodtit, 
   {{0xc2c40148,0xb25a0321,0x628904cf,0x9201024c}},	//   _德文大紀元_, _okolju_, _engafani_, _ittir_, 
   {{0x13f80082,0xb201012c,0xf29002b1,0x993f01bc}},	//   _hakuri_, _kutia_, _fadan_, _fermidde, 
   {{0xc15601c4,0xa60f02a2,0x220205ca,0xad2f0308}},	//   _woordebo, _pilosopi, _repito_, _perputar, 
   {{0xf34200a7,0xfc09027f,0x2c560371,0x00dd051f}},	//   _accepto_, _amugumir, _cartone_, _میسرو_, 
   {{0xa2900015,0xb3f80703,0xf9940135,0xc9640169}},	//   _aadan_, _pakuti_, _konkurst, _শুভকামনা_, 
   {{0x5d910207,0x52f104cd,0xf3bf038c,0xc1c50382}},	//   _انيتا_, _samouboj, _dozvoli_, _hardbody_, 
   {{0x92d8012c,0xd3550044,0x7434035d,0xaf250058}},	//   _bajeti_, _angeles_, _banjaluk, _speranta, 
   {{0x337f013c,0x62d804a4,0x9bca02c4,0x329400a0}},	//   _allahla_, _cibet_, _кредибил, _haikali_, 
   {{0x1c18019a,0x930f001d,0x09b1013a,0xb40c004d}},	//   _clapper_, _apparir_, _quadrate, _不代表中新社觀點_, 
   {{0x2c6101f1,0x8c290060,0x91270188,0x22010005}},	//   _martuar_, _باراسىڭن, _масоҷид_, _butia_, 
   {{0xa2010240,0x4eb70342,0x43f8001c,0x42d90465}},	// [4870] _jutia_, _eklezyas_, _kakuri_, _nizek_, 
   {{0x13f80075,0x25f80025,0x79e3011a,0xe20e0019}},	//   _rakul_, _व्यवहारे, _אנגרי_, _камай_, 
   {{0xf8510227,0x089301b4,0xc23100ba,0x1caa01de}},	//   _berlindu, _prokureu, _رخۆری_, _гипербол, 
   {{0xa2520252,0x53a200df,0xedf803bf,0x4290008f}},	//   _alutshel, _propos_, _behellwe_, _madal_, 
   {{0x327e03da,0x85ac0749,0x8c7603ae,0xaf610342}},	//   _ntinye_, _bangatsh, _basseng_, _konplima, 
   {{0xe27e03da,0xd9e1010b,0x299c0040,0x72010118}},	//   _itinye_, _dirisiwa_, _שהבעיה_, _bagiwa_, 
   {{0x047501d9,0x498703b9,0xbed701db,0x2eba010b}},	//   _photogen_, _masinaka_, _духовкад, _eferaime_, 
   {{0x62d80150,0x3ea20332,0xd29001f4,0xbc7501ac}},	//   _jajem_, _mantiene_, _tadan_, _amarach_, 
   {{0x929e00e5,0xaf3702b2,0x944800d7,0x16d800e6}},	//   _видам_, _дружини_, _көрсөктә, _医院管理杂志征稿_, 
   {{0x29050326,0xe9ec00ee,0xbe950035,0x92d800d2}},	//   _achatogu, _arriskua_, _ипләп_, _hiber_, 
   {{0xc290001b,0x52d802d8,0xc29101d7,0x4af70488}},	//   _sadan_, _ribet_, _cavals_, _sportace, 
   {{0xa2d80321,0xb29000b6,0xfaf803af,0x23790144}},	//   _najem_, _dadal_, _sexuelle, _sosanna_, 
   {{0xdc6103dd,0xc57900f2,0x826e048c,0xe16f008f}},	//   _hartuar_, _rediģēt_, _azsonn_, _स्वाभावक_, 
   {{0x1201053f,0xd29003ad,0x40490205,0xbe5d005d}},	//   _kutiw_, _fadal_, _пекинда_, _fiscalpe_, 
   {{0xd21d01ea,0x4e5001e9,0xb5e3005e,0xafb400d9}},	//   _ҳануз_, _boramola, _ﻗﺎﭼﺎﻥ_, _платьев_, 
   {{0x929003e2,0x857d02d3,0x026c0318,0xdb610338}},	//   _remate_, _извести_, _fkkolo_, _annexion_, 
   {{0xf29002ec,0x09980382,0x69820234,0xdd520061}},	// [4880] _hadal_, _bleksema_, _lé̟nu_, _부서별전화번호_, 
   {{0x42d800a4,0x37b00220,0xeaa50007,0x13d502d4}},	//   _ribes_, _esercizi, _kovimbis, _coltorti_, 
   {{0xd8510193,0x1290003a,0xa27e0558,0x184600a4}},	//   _perlindu, _jadal_, _etinye_, _sortides_, 
   {{0xc40300be,0xc3d90125,0xdc8903b5,0x03e203b5}},	//   _алтындай_, _карысыйл, _belenggu_, _mendiang_, 
   {{0x52d8028d,0xb52b0410,0x7fdb040f,0x89bf0087}},	//   _diber_, _motswako_, _kostiumė, _funenget, 
   {{0x329003d8,0x7e52004a,0x439602ff,0x00000000}},	//   _izlazi_, _awropanı, _koushe_, --, 
   {{0x4290053e,0x1851021c,0x34230131,0xf14701aa}},	//   _temaet_, _mimochod, _balaídos_, _animeway_, 
   {{0xf3960238,0x5c6f01ac,0x12010313,0x22d90304}},	//   _просимо_, _altrama_, _lutiv_, _sireh_, 
   {{0x8262023b,0xb3710127,0xe3960342,0x55980030}},	//   _konohiki_, _amhareg_, _bouske_, _datoriem_, 
   {{0xfce800da,0x16b50297,0x929002ff,0xaafd0008}},	//   _дискурсу, _бункеры_, _demare_, _avortame, 
   {{0x72d7041d,0xa2900195,0xd2940020,0xc04d0010}},	//   _navodno_, _cadal_, _faakali_, _bangagco, 
   {{0xa26f0113,0xf9d50189,0x42d90220,0x4c760194}},	//   _chiarraí_, _incelene, _direi_, _popules_, 
   {{0xa3520148,0xfc7f0147,0x95e90162,0x2eb0004d}},	//   _隱私權及資訊安全, _احلئد_, _дастанин, _國立台灣師範大學, 
   {{0x7348005b,0x7c9b029d,0xfb670255,0x6290008d}},	//   _twofold_, _стиматэ_, _जवाने_, _izlar_, 
   {{0xdf5d034c,0x2dba0285,0x72b10085,0x319b0109}},	//   _ukrainan, _amasunzu_, _veidina_, _bezešvé_, 
   {{0x62200012,0x785100f5,0x72c7050a,0x00000000}},	//   _viljandi_, _айлавлы_, _besleme_, --, 
   {{0xe3bd03ba,0x8c1504ed,0x53d500c3,0xf033013d}},	// [4890] _akawong_, _मुक्तेश्, _institui_, _kulturoj_, 
   {{0x734e0125,0x5c1f0235,0x16c900f5,0xa29001fc}},	//   _tegelek_, _स्रोतआपत, _цитатаны, _madab_, 
   {{0xb9ac0178,0x2c68021a,0x19ed0033,0xa6810010}},	//   _atarkāva, _carraan_, _absolvia_, _ingenisi, 
   {{0x3251046d,0x42d8003f,0x82490242,0x72df0274}},	//   _anetshel, _dibeq_, _inamla_, _minning_, 
   {{0xb25a0230,0x9d56045d,0xf68c00da,0x4e56045d}},	//   _anfle_, _saradnju_, _коституц, _saradnje_, 
   {{0x536a03ab,0x1d2e074a,0xc1c500c5,0x596a014a}},	//   _klasické_, _seriøse_, _提高服务质量_, _mobilare, 
   {{0x537f0285,0xe2900135,0x5c560405,0x4692037c}},	//   _muhanga_, _azlar_, _partene_, _superabi, 
   {{0xe5a10250,0xbef10282,0x00000000,0x00000000}},	//   _politikë, _kēkereng, --, --, 
   {{0x17d704c7,0xf415000e,0x526e0122,0x527f0184}},	//   _сандуче_, _chagreno_, _aksoro_, _bwanje_, 
   {{0x4316071e,0x0607056d,0x250300ff,0x25750109}},	//   _salzen_, _tapeworm_, _aperturo_, _poplatcí, 
   {{0x626d00c9,0x46490213,0x730c0067,0x1b2b0344}},	//   _mycoin_, _печатью_, _bayyetti_, _allappas, 
   {{0xc21301cf,0x63070227,0x268102fe,0x89ce01c4}},	//   _nephi_, _jagalah_, _angenisi, _geleerde, 
   {{0x86b9016d,0x58e201cc,0x5176019b,0x6d3f01c8}},	//   _камбоджа, _vāsudeva, _васіля_, _webhouse_, 
   {{0x63710148,0x43fc005e,0x2986015d,0xebe8027e}},	//   _屏東縣政府_, _پالەچ_, _संयमित_, _promenio_, 
   {{0x1b7f0553,0x5c60020f,0x73100189,0xc5e102c7}},	//   _šablóny_, _رانږدې_, _aksaray_, _ladegerä, 
   {{0x9b3006a0,0x13940125,0x43f800ab,0x43a20126}},	//   _glycogen_, _gelse_, _hakui_, _rumpe_, 
   {{0x12d8003f,0xf583003c,0xdeaf00d9,0xb1f70368}},	// [48a0] _bibep_, _binerkah, _menestys_, _сербской_, 
   {{0xf2d700a9,0x8edc01f7,0xcf6b0094,0x737f0183}},	//   _mirongo_, _basiques_, _بەرمەگەن, _dikaina_, 
   {{0x59780349,0x330503c4,0x8271023a,0xd28802ac}},	//   _ansientt, _ئوچاق_, _atrakcií_, _rachfar_, 
   {{0xe9d402d5,0x2c6e019d,0x62ee0342,0xd53302d4}},	//   _अनुपस्_, _amereka_, _elifaz_, _amiaivel_, 
   {{0xa37f0285,0xb1470435,0x32710089,0xc2d800e4}},	//   _buhanga_, _насиља_, _berwaqıt, _bajek_, 
   {{0x4b90001b,0x337700bb,0x8fcc006d,0xe341010d}},	//   _amanamoo_, _ڈائجسٹس_, _апостал_, _chaerin_, 
   {{0xfd7301e1,0x84c80147,0xb34003c3,0xb39403a1}},	//   _геологта, _каналдар, _pametan_, _riesce_, 
   {{0x0da7032d,0xde3f0079,0x92d90046,0x24070060}},	//   _bahokaha, _elementā, _mireu_, _قۇلايما_, 
   {{0xe30e01f1,0x32640359,0x7c380092,0xc2d9006c}},	//   _shtator_, _houlik_, _ストップ高_, _amonile_, 
   {{0x12bb02c2,0xb31902ac,0x815c040f,0x627f027f}},	//   _engelse_, _ايجار_, _пугач_, _bwanke_, 
   {{0x84a2003c,0x723a041e,0x37dc01db,0x00000000}},	//   _المیرا_, _alemanu_, _مەششەران, --, 
   {{0x1fc900ff,0x520e00be,0x91df01ac,0x329200dc}},	//   _טשעקיוזע, _тарай_, _margaidh_, _aupaga_, 
   {{0x32fc01fb,0x43400191,0x61ef0088,0xd20100d1}},	//   _junger_, _kameran_, _аммоний_, _জ্ঞানীলো, 
   {{0x5db7022f,0x45a10132,0x2da500da,0xaed8037c}},	//   _заторы_, _politiká, _словакэ_, _societas_, 
   {{0x33230047,0xf1d80369,0x53dc00d1,0x0e9b00a8}},	//   _marcher_, _okalahom, _পৃথিৱীখন, _cineasts_, 
   {{0xede000be,0xf2fc01fb,0x82490322,0x00000000}},	//   _اكىمدەرگ, _funger_, _ahamwa_, --, 
   {{0xf37f0074,0xea6103db,0x32e80141,0x7ae50014}},	// [48b0] _illalla_, _asiliseb, _fanidan_, _pastërti, 
   {{0xc30501e8,0x9eda00c1,0xffa302c6,0xf3960212}},	//   _gitanum_, _agribisn, _bromesao, _sursum_, 
   {{0x5a4703a8,0x6f330012,0xfc130407,0x1b7e00e7}},	//   _foreldra_, _maksusta, _okupili_, _arinetsc, 
   {{0xada7029c,0x3290047d,0x7c1400a8,0x0e5d01cd}},	//   _achipata, _gemaat_, _campell_, _харчу_, 
   {{0xbd2802b7,0xca870177,0xa2d800bc,0x5346022c}},	//   _aadiyaat_, _белиаева_, _pajek_, _bandros_, 
   {{0x43240125,0x47a103da,0x0207033f,0x8f8e0060}},	//   _кызынын_, _ighukari, _fkkikihi_, _تارماققا_, 
   {{0xac760696,0x82d9013f,0x3cda026c,0x6d3303c2}},	//   _estudos_, _miret_, _convenir, _acritude_, 
   {{0xed8d0585,0xfe740092,0x072206ce,0xf33b022f}},	//   _odgovara, _ご回答ありがとう, _secreció, _атамнай_, 
   {{0x723903b6,0x169c0148,0x62f402d4,0x944204c7}},	//   _alumoni_, _longissi, _brunies_, _створимо_, 
   {{0xbc2d0528,0x0b2d0528,0x5201028d,0x330e0347}},	//   _barantac, _barantas, _zutil_, _leraars_, 
   {{0x720005b1,0xd9e302fd,0x2b1904a4,0x72480493}},	//   _akcie_, _abductad, _botannan_, _aiimba_, 
   {{0xd3860080,0xc487033e,0x98080045,0x248b03f2}},	//   _akorni_, _кирена_, _наставља, _спросите_, 
   {{0xa96400ea,0x127e0151,0x9317023d,0x99fd0707}},	//   _jerosale, _spongy_, _balcone_, _batandat, 
   {{0x0378011b,0x7d7e03ad,0xfef1004a,0x4b340095}},	//   _koganga_, _ikkmanda, _бәласен_, _dibaptis, 
   {{0xa5860414,0xc20c0120,0xf31602a8,0xf2d904b3}},	//   _amatisak, _bayyateh_, _balzan_, _diret_, 
   {{0xa5860031,0xb3a204ec,0x126e0318,0x15c103f0}},	//   _diproduk, _mumpa_, _tisolo_, _fiskimið, 
   {{0xeeb3047b,0x036900d9,0xd3170371,0x00000000}},	// [48c0] _starvast_, _проверьт, _falcone_, --, 
   {{0x62d9019f,0xe9fd0069,0x6af90009,0x62fe0119}},	//   _gazeti_, _gatandat, _marsikat, _itugut_, 
   {{0xf29002e8,0xdefc034c,0x992e0294,0xfdc30262}},	//   _kuhama_, _allahunı, _apachiku, _ashkabat_, 
   {{0x9c5001f6,0x3290001b,0xf2060092,0x32a70265}},	//   _কিন্ত_, _gadaa_, _クリックで拡大_, _dubbel_, 
   {{0x3e7701e0,0x1a0500ba,0xd2ca0370,0xe15601a3}},	//   _بازدان_, _خۆشویستو, _alullah_, _والٽيئر_, 
   {{0xc03d0158,0x47080192,0xec7d0199,0xbc2101ff}},	//   _पररजिस्ट, _산업자원부_, _luisleo_, _nadstavb, 
   {{0x83a20659,0x495a032a,0xe9cc0515,0x82010371}},	//   _jumpa_, _unioqqut, _ascendit, _vicini_, 
   {{0xc0fd0074,0x7a1200d8,0x1d3d0311,0x3c980235}},	//   _магазины_, _carcassa_, _ሕንቅሊተይ_, _काल्पनिक, 
   {{0xe3dd06b0,0xe28e01f0,0x00000000,0x00000000}},	//   _lezwe_, _inakemo_, --, --, 
   {{0xa2d90052,0xc0720099,0x2c6501b9,0xf87500f8}},	//   _firem_, _achakuko, _ventwit_, _একাউন্টে, 
   {{0xb6180057,0x6e520122,0xcf490050,0x1d59049e}},	//   _ተግባሩን_, _perbanya, _pausahaa, _prenajím, 
   {{0xe71202b2,0xbc2d00b4,0x6c780061,0xd95a0311}},	//   _форумі_, _sarbator, _세상이야기_, _ብዕምቖት_, 
   {{0xc2d901d9,0xbd550013,0x2da703b4,0xab8a00b3}},	//   _hirem_, _assalomu_, _abhiyata, _ватанчыл, 
   {{0x66280334,0xe3940568,0x929103b1,0x1c710523}},	//   _akhirisi, _helsa_, _savais_, _पिच्चर_, 
   {{0x822500bc,0x227e01e5,0xde560541,0x620200aa}},	//   _anakku_, _ajoni_, _španije_, _gisisi_, 
   {{0x443e0162,0x5c24001c,0xfd7c002b,0x00000000}},	//   _санни_, _cajazeir, _কাকিমার_, --, 
   {{0xb2240043,0x1b2d0356,0x5396005b,0x99bb020f}},	// [48d0] _lwaki_, _sarantas, _housle_, _amadonga_, 
   {{0x12480467,0x05a3016d,0x627f0200,0x1b2b0253}},	//   _animia_, _курсиниң_, _nwanne_, _allagaas, 
   {{0xb2d80300,0xa3730175,0x627e018e,0x36800027}},	//   _objem_, _annatye_, _ejoni_, _pasetati, 
   {{0x3202044f,0xc2010150,0x4316005c,0x484100ca}},	//   _disisi_, _putim_, _anizwe_, _balticas_, 
   {{0xbda100ab,0xf2010551,0xd3f9011d,0x206001d3}},	//   _taputapu_, _eutik_, _visul_, _aviserin, 
   {{0x62d90125,0x82da047d,0xa300017d,0x02900340}},	//   _birem_, _durech_, _nedbrud_, _nuhaka_, 
   {{0x7cbe000c,0xb3f9012d,0x3b8e0040,0xe8d00078}},	//   _базеи_, _tisul_, _אוגנדה_, _склоност_, 
   {{0x039403b0,0xf2660207,0x42960291,0xc201003f}},	//   _jelsa_, _masomoni_, _ياقيوم_, _sutij_, 
   {{0x3d9700bf,0x1709004d,0xcc76014d,0x91920219}},	//   _середине_, _月台南南區扶輪社, _fassung_, _ijabulil, 
   {{0x104001c9,0x364201be,0x00000000,0x00000000}},	//   _पाइलां_, _अर्डर_, --, --, 
   {{0xb202030b,0x8a0601e1,0x5b9700e7,0xf2d00013}},	//   _misiri_, _arabelwa_, _ailingtr, _infocom_, 
   {{0x1f2e0116,0x6c6b015d,0xc17e010f,0x731303cc}},	//   _sectaria, _जिन्ना_, _гарби_, _ubicada_, 
   {{0x15b7010f,0x031705b7,0x52d90362,0xc47d0487}},	//   _мемонанд_, _glazbe_, _babeti_, _citeulik, 
   {{0x92d90373,0xdf12041c,0x1947003b,0xd7200040}},	//   _laboris_, _settanta, _abemlale, _פרנסיסקו_, 
   {{0xe3090126,0x45b7003c,0x43050299,0x65d50137}},	//   _присвоєн, _غربالگری_, _ئوماچ_, _октябрий, 
   {{0x35ce0031,0x9b6e04f9,0x949f0153,0xe2d602cf}},	//   _barangny, _amerikap_, _東京都中央区築地_, _encosto_, 
   {{0x3ec204bb,0x12b50259,0x036e02d3,0x03c800f4}},	// [48e0] _vientian, _mindste_, _приватни_, _gurvan_, 
   {{0xac4a00ba,0x25ee0025,0xbfa801c8,0x77cc0348}},	//   _باکگراون, _उत्तरायण, _chladič_, _amusaali, 
   {{0xd34b0058,0x03550166,0x629000aa,0x88880025}},	//   _kleilüka, _eigenes_, _duhaka_, _ardhendu, 
   {{0x1e8101cc,0xb3800127,0x5af20177,0x09b90162}},	//   _द्रक्ष्य, _botrel_, _ҕәҕәеи_, _تاراتقۇل, 
   {{0x72d8037c,0x89f20309,0x1861003d,0x0f2500ff}},	//   _habet_, _regionda_, _amonedad, _aperinta, 
   {{0x8b8a0113,0x5316023a,0xecbe010f,0x72fc0148}},	//   _tiontair, _prechod_, _бадеӣ_, _vidimus_, 
   {{0xb232029b,0xa8c0053b,0xc4370524,0xb68f0088}},	//   _càmbar_, _revended, _sisačko_, _израилде, 
   {{0x139400b6,0x4ab301db,0xac68027f,0x222400bc}},	//   _celsi_, _кенжебае, _icarico_, _bhiksu_, 
   {{0x5fae01cd,0x325b0125,0x6ef1027b,0xa4d00153}},	//   _талко_, _azalar_, _त्वक्_, _在庫表示等_, 
   {{0x9f6a0255,0x92d90138,0xf9c602e2,0xcba7045e}},	//   _बिंदिया_, _haberi_, _mindedne, _средна_, 
   {{0xc05b026f,0xd12501d5,0x93f900f4,0xa2d902b9}},	//   _رۋشىلدىق_, _hallható_, _disuj_, _hirek_, 
   {{0x2c060541,0x79b70046,0x8e8700e6,0xb344020e}},	//   _briselu_, _تۉشۅنسۅڭ, _倍以下的罚款_, _gasette_, 
   {{0xa2d90180,0xdc0c01d1,0x91fe004d,0xff180005}},	//   _mizer_, _skipped_, _台灣商務印書館_, _ademplir_, 
   {{0xb2e8027e,0x4297002b,0x55c9019f,0x8250024f}},	//   _poslednj, _গোবিন্দগ, _kuzalish, _lialiaci_, 
   {{0x3200049e,0x22fd00dc,0xc2d00240,0x7d7e005a}},	//   _akcia_, _fatatusi_, _mekeseni_, _hommajda, 
   {{0xb3f8043d,0x953b0207,0x829000b3,0x2cb903f8}},	//   _takut_, _افسانوي_, _oylan_, _humanyod_, 
   {{0x43ea01e1,0x01ba017a,0x7230033a,0x19450156}},	// [48f0] _dintwa_, _alimondi_, _ferjat_, _קעמערלעך_, 
   {{0xcb7f01db,0x2c1c03c2,0x158501be,0xd26c0446}},	//   _اتاۋلارى, _arjanenr, _palivové, _pozirati_, 
   {{0xecb200cf,0x3ad100be,0xd34400bd,0x00000000}},	//   _filachuu_, _tortugue, _screive_, --, 
   {{0x23200132,0x42d90125,0xc2010014,0x03a20168}},	//   _milyen_, _birek_, _artin_, _drepe_, 
   {{0x12d90187,0x24190013,0xf20105d5,0x6bc80109}},	//   _dizer_, _хайвонла, _lexico_, _डीभीबाट_, 
   {{0x42d90163,0x1147015f,0xe277020e,0xdc610456}},	//   _vizes_, _aberdaro, _фарман_, _cabutan_, 
   {{0x82d802e4,0x0a860292,0x5c1b0286,0x830202c3}},	//   _qabel_, _amanasan_, _nanammar, _odpadov_, 
   {{0x22810072,0xab010646,0x1e230061,0xd2880282}},	//   _ampirux_, _posición_, _화학기업들이_, _kowaiwai_, 
   {{0x3f64017e,0x2290023b,0xbd99040a,0x725b03b2}},	//   _rimarkin, _puhaka_, _valfritt_, _efflux_, 
   {{0xf51803d0,0x03080140,0x7673004d,0xbec401df}},	//   _poručio_, _naganap_, _文化大學二名_, _leandars_, 
   {{0xfd060279,0x12d901b6,0x92e900a2,0xd3550633}},	//   _apprendr, _sizes_, _kusikia_, _whoever_, 
   {{0x23f80288,0x76db02ac,0x935f0192,0x3f2a00f7}},	//   _makur_, _هااااااا, _이루어지는_, _eksterla, 
   {{0x7a1e02d6,0x89790041,0x13f8028d,0xb2d501eb}},	//   _билдирди_, _ахызҩап_, _lakur_, _cotorra_, 
   {{0x92f002ee,0xb27e0415,0xc3420117,0xc5330013}},	//   _delitti_, _bringt_, _jenerol_, _ҳовлида_, 
   {{0xf2d8003f,0x72910277,0xa3f80343,0x6d4b0080}},	//   _majes_, _matag_, _takus_, _alianaaq, 
   {{0x65b601a7,0xca0503e0,0x327f02fa,0x22d800d0}},	//   _kovalevy, _bombaste, _atanze_, _labek_, 
   {{0xc2900120,0xfe8c0066,0x010d021b,0x02000285}},	// [4900] _aydad_, _комиссуу, _vaivatto, _bakizi_, 
   {{0x02d901ba,0xd05202bb,0x930804e6,0xa2a30159}},	//   _sizer_, _फिलिपिनो_, _gaganap_, _procesai_, 
   {{0x01b8034c,0xc8be02e8,0xaefb014e,0xadb601f2}},	//   _контакте_, _akadanid, _откази_, _җазсси_, 
   {{0x552a0342,0x04300073,0xe04005e6,0xd2d90409}},	//   _sitiyasy, _excambio_, _bezuiden, _mirei_, 
   {{0x7a800003,0x327e00e2,0xd2d80017,0x00000000}},	//   _zwangers, _drinte_, _zajet_, --, 
   {{0x584d022f,0xb2d800a4,0x83a80108,0xae6500be}},	//   _sistemos_, _sabem_, _kahayang_, _بئيدەن_, 
   {{0xc9f903cf,0xe27e00dc,0x69360270,0x183501a3}},	//   _arasında, _atinae_, _dormient, _روئڻهارڪ, 
   {{0xae3a02e1,0x694b04ab,0xbe8a005e,0x64c90041}},	//   _teilifis_, _maloljet, _تىرشىڭ_, _ишәзеиҕь, 
   {{0xe8ad0302,0xd2ec0423,0xd29500d1,0xd8370089}},	//   _дафъа_, _strojky_, _অমৃতকৃষ্, _барадеи_, 
   {{0x897700fe,0x7c070378,0x244e00d1,0x298e0045}},	//   _futinout, _býlingur_, _নাহাঁহিব, _палим_, 
   {{0x6ad701c9,0x19d702d5,0xab550220,0x913e02ca}},	//   _postitat, _postitad, _гледане_, _acadaimh_, 
   {{0xc2000450,0xf4370072,0xa3a303fd,0xc2fc0227}},	//   _belied_, _samkanak, _itupa_, _ditakuti_, 
   {{0x6201015e,0x0a8002c2,0x54680008,0x032002f6}},	//   _estic_, _swangers, _найзалар, _andyan_, 
   {{0x40400212,0x32e80222,0xc2490147,0xd2910144}},	//   _gerunden, _panneau_, _توڭبوي_, _catag_, 
   {{0x073d060c,0xa4710227,0xb31703c2,0x52910119}},	//   _posolstv, _rintihan_, _balcane_, _natad_, 
   {{0xf2ee01fa,0x6e0d0205,0x527f0371,0x727e0097}},	//   _amanaki_, _لینته_, _stanze_, _irinse_, 
   {{0x83f80050,0x95bf002b,0x2254002b,0x00000000}},	// [4910] _sakur_, _অন্যান্ন_, _উপক্রম_, --, 
   {{0xe2d80576,0x63ea0132,0x82ef01b8,0x23780210}},	//   _kabeh_, _pontja_, _helista_, _angasva_, 
   {{0x0fbc05cf,0x5c5c0022,0xac6100a0,0x02cb00b4}},	//   _englesko, _bentril_, _baburan_, _titluri_, 
   {{0x0b550170,0xb3f8022b,0x70f000b7,0x99da01fc}},	//   _amatsata_, _vakur_, _assimill, _midnissa_, 
   {{0x337f04bd,0xd52a00f1,0x146d0273,0xcc700100}},	//   _nolaila_, _mitigasy, _tensión_, _podrumu_, 
   {{0xf39403f0,0x92d8014b,0x4f3a0092,0xe2900160}},	//   _felst_, _cabek_, _brancher_, _izlaz_, 
   {{0x527e01b9,0xcc61051a,0x6d2f03e6,0x82d80176}},	//   _grinse_, _taburan_, _derniewt_, _eroero_, 
   {{0xe9aa00da,0x296d02fe,0x5d7e0075,0x5fb8023a}},	//   _лозие_, _alunakut, _tilmelda, _konateľ_, 
   {{0xb4280182,0xa36c02ee,0xa1230060,0xd3f80014}},	//   _asekenaz, _kundizzj, _تورلەتىڭ, _jakup_, 
   {{0x220101f1,0x6503009a,0xad0600f2,0x75990088}},	//   _artit_, _مارجی_, _ballītes_, _камбарат, 
   {{0xf3f801b9,0xbc0c00f5,0x82d80482,0x21ae00e6}},	//   _lakup_, _төвереги, _rabek_, _中华全国青年联合, 
   {{0x7b7a00f5,0xc1550262,0x32fc0148,0x27ff016d}},	//   _сайламак, _almakçy_, _cecidit_, _һәссиләп_, 
   {{0x13f80428,0xbede0087,0x8f0800b4,0xd28b0278}},	//   _nakup_, _enghilan, _localită, _eloklah_, 
   {{0x0dd90291,0xb2910013,0x00000000,0x00000000}},	//   _كتّاب_, _qatag_, --, --, 
   {{0xf200019f,0xea450340,0x75be0037,0x9d3204a2}},	//   _makini_, _temepara_, _አላደረገም_, _humidade_, 
   {{0x9fe80158,0xb2d001ef,0x6fb701f2,0xb71a0109}},	//   _हुमायूँ_, _receptai_, _гуроһини, _लाखौँको_, 
   {{0x9e6000ff,0x84d30155,0x726d0408,0xf28d014c}},	// [4920] _ארדענונג_, _mediasäl, _embona_, _namantom, 
   {{0x928c00a6,0xa27f054c,0xbb2400c0,0x02310320}},	//   _abakula_, _trangt_, _bukambib, _ngumana_, 
   {{0x642f00bb,0x8a7e0219,0x3f7a02e5,0x68ac0153}},	//   _اسکارف_, _andlulis, _балкарие, _グラフィック_, 
   {{0x00000000,0x00000000,0x00000000,0x00000000}},	//   --, --, --, --, 
   {{0xda870342,0x26eb00c7,0xd2010414,0xd2ec02a3}},	//   _dyondyon_, _атайлар_, _lagisa_, _kubieke_, 
   {{0x02cb0212,0xd47d0109,0xacb00024,0xbe7002e5}},	//   _webdav_, _धर्ना_, _সংশ্লেষি, _рзыҟаҵар, 
   {{0x3a800072,0x9ad30253,0xbb200210,0xabff01e5}},	//   _atiyatwa_, _kattusse, _achasimb, _atunyewo_, 
   {{0x6c0d0414,0xf0140374,0x4c640393,0xb3f4014b}},	//   _crapaud_, _اتلانتیک_, _doduše_, _hortah_, 
   {{0xfc2201d2,0x7ce200be,0x535f0191,0x41560371}},	//   _escribis, _دوستويەۋ, _svagare_, _пенсиите_, 
   {{0xb3d40309,0x361f0376,0x8edb0413,0x9dd1017a}},	//   _savayı_, _tannárin, _extintos_, _amchithe_, 
   {{0xc3c20197,0x275b0193,0x32e002fd,0x39bb027c}},	//   _sčvis_, _बास्केट_, _carraigh_, _amadinga_, 
   {{0x32b403ea,0x950402ac,0xd7d80326,0x55bc00da}},	//   _proche_, _وننتظر_, _akaashev, _тристеця_, 
   {{0xfeb701c5,0x427e00b4,0x942e0265,0x531601f1}},	//   _پرستن_, _atinge_, _besparen_, _diabeti_, 
   {{0x226e0635,0x36370524,0x41c90297,0x1bee0184}},	//   _kuponu_, _pobijedi, _сорты_, _bakengur, 
   {{0x7622037c,0x0201018b,0xab430422,0xf71000ec}},	//   _demopoli, _astia_, _klavdija_, _аздаблен, 
   {{0x939503d8,0x5d3d0066,0x72b40105,0xd2b20230}},	//   _opasno_, _баттуулд_, _troche_, _etidian_, 
   {{0xaf5c0036,0xf37900a1,0xdb260145,0x1b8b0252}},	// [4930] _هههههههه_, _rawatia_, _адной_, _sekithar, 
   {{0x55b601e1,0x00000000,0x00000000,0x00000000}},	//   _хрущев_, --, --, --, 
   {{0xe60301c9,0xe0ba0238,0xdb20039f,0x0bea0017}},	//   _दनादन_, _принципо, _compelle, _ससुराली_, 
   {{0x42010125,0x5f08017a,0x29dc018e,0xcc630122}},	//   _ertir_, _дарназар, _herodiya_, _bebucal_, 
   {{0xc3fa0085,0x6a090291,0x75b7012a,0xbbe90205}},	//   _masuti_, _شتنبر_, _alfabety, _масхарал, 
   {{0x864902c5,0x2287020e,0x2e830188,0xa08b002c}},	//   _akaitisw, _itekile_, _коратон_, _цаглашгү, 
   {{0x501600ff,0x921c00f6,0x00000000,0x00000000}},	//   _שילדערן_, _rəmzləri_, --, --, 
   {{0xd2ef0002,0x45ac00c8,0x23be0220,0xdaf803cb}},	//   _nedostaj, _алама_, _trovati_, _presénta, 
   {{0x841d000c,0xc02f056e,0x41440031,0x00000000}},	//   _азербаиџ, _merecedo, _विभूती_, --, 
   {{0x6249004c,0xb29200d2,0x3e260161,0xe40a0350}},	//   _akampi_, _rupana_, _картами_, _ለይስሙላ_, 
   {{0x2201013d,0x5201008b,0xf2f40121,0x00000000}},	//   _pagita_, _butit_, _apuntes_, --, 
   {{0x13170119,0xa3020318,0xa2d801a6,0x620100da}},	//   _brezno_, _hokaniu_, _pokere_, _cutit_, 
   {{0xed9d0094,0xa20b012c,0xb3e00017,0x42b400b9}},	//   _тартатын_, _kichwani_, _létat_, _procie_, 
   {{0x2231020f,0xb20903a2,0xceba018d,0xac240120}},	//   _اختره_, _बुंडेसली, _ዝመስለና_, _tassucub, 
   {{0x4ece026f,0xb8080023,0xc953020a,0x601e02c3}},	//   _ءياسساۋي, _оставьте_, _шыбын_, _nezvestn, 
   {{0xabb00071,0x002e003e,0x6a850138,0x32e802ef}},	//   _هیولاها_, _колоннал, _brezilya_, _maniman_, 
   {{0x93ed0541,0x92010418,0x6ddd033e,0xa931011b}},	// [4940] _autobusk, _artik_, _ensuguýv, _esambise, 
   {{0xf63b0233,0x850b030a,0xc2520077,0x83f00452}},	//   _richissi, _alcumado_, _kčlkeswa_, _kelereng_, 
   {{0x250c016d,0x6f950040,0xb2f60065,0x77090076}},	//   _ﯬﻟﻪﻳﻜﯘﻡ_, _producer_, _komisch_, _велимир_, 
   {{0x52000242,0xd60701cd,0x3290019a,0xce8901ce}},	//   _sakini_, _такдир_, _bemane_, _adujotos_, 
   {{0x2ecf00e0,0x03f80160,0xb22304dc,0xefe303eb}},	//   _besikers_, _doduse_, _رگیرا_, _denkbaar_, 
   {{0x13a2030b,0xf27201b5,0x7237005b,0x9c620371}},	//   _kumpi_, _eversmil, _jaejin_, _rifugio_, 
   {{0x5fae0032,0x5f5d01ef,0x1a0c00cf,0x69930241}},	//   _arnoldqo, _nepaisan, _birbirsa_, _bokkayaa_, 
   {{0xc9b3045b,0x6c7c0187,0xc206020a,0xf4bb019d}},	//   _heidenre, _оркестар_, _ناپولون_, _kumbuyok, 
   {{0x220100c2,0xc60300b4,0xf40001f4,0xb2ed028d}},	//   _bagira_, _вестимен, _резня_, _nevitab_, 
   {{0x22d80455,0xa7b200ac,0x32010338,0xbad302ed}},	//   _objet_, _naglasak_, _cagira_, _asumiron_, 
   {{0x7a0b000e,0xae0700ef,0xb2000165,0x2b550185}},	//   _altavoce, _مهاجرو_, _kakili_, _basmalar, 
   {{0xb5960026,0x7522032d,0x0287003f,0xdfb800f5}},	//   _클릭하세요_, _белгестә, _bachmaj_, _sergiler_, 
   {{0x51fd03c2,0xb36c0107,0x3290013d,0xa0d800bb}},	//   _creamery_, _onigiri_, _johano_, _کومزید_, 
   {{0xf3a2015e,0x62010058,0x62490414,0xffcc013f}},	//   _propis_, _tutis_, _diamba_, _boentado, 
   {{0x1f0f0319,0xbc7401df,0xa0ae0235,0x8c57004b}},	//   _terceros_, _murmured_, _annamāśr, _табибы_, 
   {{0x541700ee,0xa7230130,0x5f1b009d,0x995d033e}},	//   _aplikatz, _bellkarg, _firmosur_, _imenahet, 
   {{0x22ea00ca,0xeeba045b,0xf8d6006d,0x2f35002b}},	// [4950] _annibal_, _чохли_, _кулямёта, _আরোপিত_, 
   {{0x33a200bc,0x02d904cc,0x32cc0242,0x57c40220}},	//   _tropis_, _mobeng_, _bolqarıs, _flessibi, 
   {{0x2200019d,0xf3550166,0xb3f802d9,0x82d4021e}},	//   _bakili_, _eigener_, _koluse_, _brudar_, 
   {{0xdb5701ef,0x82490465,0x0e83023e,0xdf2f00c5}},	//   _тавару_, _znamka_, _مانشت_, _informer_, 
   {{0x620103bd,0x02b40457,0x02240054,0xc06901c5}},	//   _astig_, _beeca_, _awaki_, _gabagabo, 
   {{0x62d90058,0x42ef0282,0x35120188,0x3a38004d}},	//   _kazet_, _hemiora_, _ajuliley, _國內職棒的經營_, 
   {{0xc148074b,0xfed40045,0xd30b0155,0x42fe0102}},	//   _टाइपराइट, _легитими, _nånting_, _aachiwe_, 
   {{0xec7d0035,0x73f9018b,0xa52b0052,0xa4d501a3}},	//   _сайланды_, _iisus_, _श्रदान्ज, _فنڪاره_, 
   {{0xd9a2005e,0x23a804b2,0x99f700d7,0xa20102b9}},	//   _ﺯﻩﺭﺑﻪ_, _bahalang_, _indasete, _estig_, 
   {{0x12d9015c,0xfb120122,0xe2020321,0xb2ed0116}},	//   _hirer_, _اعتبارات_, _izboljšu, _stricke_, 
   {{0xde04038b,0xf52b01d2,0xf3fe0226,0x9c2c0055}},	//   _kegelapa, _antipach, _azilumik, _alloppiu_, 
   {{0x277e00ed,0x522b02f3,0x1c7701ef,0x19aa0037}},	//   _drawstri, _framtid_, _крайні_, _የተዛወረ_, 
   {{0x5c7605c5,0x93db00c5,0xb2d9000d,0x43870148}},	//   _परस्ती_, _查看更多关于该信, _piret_, _clarus_, 
   {{0x18d201a9,0x836b0012,0xaae600a7,0xea10003e}},	//   _sobreviv, _ओममममममम, _inclouen_, _ditafole, 
   {{0xf2d9036f,0xb354015e,0xa04d020e,0x02310203}},	//   _kazem_, _almenys_, _эрато_, _verdatri_, 
   {{0x97030366,0x0512020f,0x837a02e8,0xd3db033a}},	//   _русского_, _دڅارنې_, _bharisam, _induisti_, 
   {{0x63a300a5,0x0375012b,0x33a800c0,0x8387013b}},	// [4960] _atupe_, _oferujem, _mahabang_, _glarus_, 
   {{0xe3e0017e,0xea9d0271,0xf3a20202,0xd1e80028}},	//   _המוריה_, _medisins, _irepo_, _aroornim, 
   {{0x89ea02ba,0x34d7040f,0x856c0037,0x0abb010f}},	//   _гаравгон, _паласы_, _የአቅርቦት_, _amavange, 
   {{0x34a80003,0x1b91015e,0x54f90223,0xe4350251}},	//   _maximaal_, _estació_, _баянсэлэ, _hanbalyo_, 
   {{0xbd9d006b,0x7e9f020f,0x1c6d027f,0x8c3a0092}},	//   _महत्त्वप, _anamalun, _iboroga_, _araishou_, 
   {{0x82fe005b,0x92e90340,0x02d9026c,0x32d90172}},	//   _brugge_, _pirimia_, _vires_, _pazel_, 
   {{0xe98c0060,0xa20100bc,0x6cbc02cf,0xd3f40199}},	//   _табылады_, _kutip_, _опасен_, _satthu_, 
   {{0x6adf017d,0x65d5006d,0x1f910277,0xf9210287}},	//   _kartoffe, _алгебры_, _candybar_, _intimní_, 
   {{0xdc7704d3,0x9ebf0060,0x92920453,0x48e700ff}},	//   _paksane_, _ازيالىقپ, _kupaca_, _קנעכטשאפ, 
   {{0xc39404ca,0x26380105,0xaa8f027f,0x00000000}},	//   _grosor_, _analogow, _kumitumb, --, 
   {{0xad840130,0xb2d90189,0xf52e01fb,0x4c14023c}},	//   _diverket_, _birer_, _despecto_, _ځوړند_, 
   {{0x22e900ab,0xe2c40119,0xc2de00af,0xbaed01dd}},	//   _kirikia_, _heilbad_, _søndre_, _badutege, 
   {{0xa2d90212,0xb20104ca,0xa200016e,0xe50502af}},	//   _phred_, _angion_, _takibi_, _induhuro_, 
   {{0xd28b0396,0x32da01db,0x32d800a7,0xaf5c0061}},	//   _doganali_, _тұншықты, _sabeu_, _입력하시면_, 
   {{0xd2d90222,0xc7930039,0xc53d01c9,0xb2d8010d}},	//   _tirer_, _kantabri, _ansambel_, _mabes_, 
   {{0xaed800bd,0x92900241,0xe3fc0040,0x00000000}},	//   _dochters_, _remade_, _שלפחות_, --, 
   {{0xb05a0086,0x827e0478,0xf3950066,0xcbd50418}},	// [4970] _گردانی_, _adonc_, _abestu_, _doldurar, 
   {{0xefe8015d,0x677601c9,0x12ca034e,0xc4710142}},	//   _मुखातिब_, _दुरपतिया_, _cielopi_, _cintayan_, 
   {{0x654d0410,0x096e01c4,0x00000000,0x00000000}},	//   _dikhomph, _standbee, --, --, 
   {{0x43f90256,0x62d800c3,0xfffe016f,0xe6ad02f2}},	//   _visus_, _habes_, _камерами_, _exigenci, 
   {{0x62d9015d,0xa3ac00c3,0x07710291,0xf2d900df}},	//   _razem_, _stupri_, _للقتال_, _virer_, 
   {{0xd31601b2,0x55290330,0xbdbd0148,0x72910074}},	//   _poached_, _maligary, _春暉出版社_, _sataa_, 
   {{0x020100ce,0x6395006e,0xd8fc0309,0x57ce00d9}},	//   _estim_, _baasal_, _dayanmad, _долгосро, 
   {{0xc29101c5,0x770a022a,0x9c020274,0x94b601db}},	//   _xataa_, _mostralö, _bakvið_, _زۇڭليى_, 
   {{0xc5cf014b,0xe63600da,0x5a01008a,0x12240009}},	//   _baraggoy, _скематик, _sagasaga_, _stike_, 
   {{0xda54016d,0xe3f1023d,0x5fa8007f,0x7287011d}},	//   _ﺩﯨﻘﻘﻪﺕ_, _associaz, _ariennir_, _machiaj_, 
   {{0x9b1f00ad,0xb715014a,0xc2b303c7,0xa1310041}},	//   _priangan_, _elismeré, _भ्रुण_, _ддәылган, 
   {{0x4c770031,0x5f3704f9,0x12d8034b,0x53f800bc}},	//   _populer_, _aperaarp, _rabet_, _bacut_, 
   {{0x42c000f5,0x836801bd,0x22d802a8,0xfb0b020e}},	//   _ансат_, _армандар, _sabet_, _атланыҡ_, 
   {{0xa32002b5,0xab220072,0x99ab0035,0xc13f00e4}},	//   _bahyai_, _paspacha_, _актара_, _symulato, 
   {{0x92d803fc,0xcfa6004d,0x02550338,0x339400a3}},	//   _laber_, _資訊及服務為主_, _aluenham, _nedst_, 
   {{0x02d80022,0x9dd6027b,0x44b500d0,0x00000000}},	//   _dokete_, _सदेवकस्य_, _алдарыг_, --, 
   {{0x443202d4,0x4c680220,0xa52a0077,0xd85902f1}},	// [4980] _cumplain_, _scarico_, _antinasy, _envolvid, 
   {{0xe23f0247,0x07b90220,0x8d8e0153,0x0d8a0465}},	//   _nyembah_, _approcci, _きっこの日記_, _popotova, 
   {{0x33f90145,0x73bb0004,0xe6c40281,0xf252013a}},	//   _visur_, _alavans_, _ammaaffi, _bertinel, 
   {{0xdb790060,0x47430287,0xa9490198,0x02ec0395}},	//   _кешенді_, _obličeje_, _samozave, _stromky_, 
   {{0x62490307,0x39300044,0x9bdf0361,0x2f2503b5}},	//   _phambi_, _permitte, _историки_, _kedepann, 
   {{0x625a000e,0x1f3500d8,0x795903f2,0xb7fc00e6}},	//   _finli_, _assostar_, _зеленой_, _巢湖市房地产管理, 
   {{0x5ad60338,0x9930025c,0x38a40078,0x92b20428}},	//   _aliança_, _vermitte, _хегемони, _učence_, 
   {{0x729101c0,0x07b404a5,0xc8a3018b,0xb3870388}},	//   _fatan_, _banelung, _черемони, _пророчес, 
   {{0x82910191,0x97b4000d,0x8c2e0064,0xd03b003e}},	//   _gatan_, _opositsi, _barques_, _аҡморонд, 
   {{0x03e0014a,0x4dab0375,0xa5930137,0x00000000}},	//   _hétre_, _amangoga, _голлож_, --, 
   {{0xc3a2007b,0x07bb0151,0x2ce7034c,0xcd7d0163}},	//   _lumps_, _anguishi, _русларда, _ہجراں_, 
   {{0xa291074c,0x328003d9,0x443700de,0x679703b8}},	//   _hatao_, _fisiany_, _azikafak, _бурабайд, 
   {{0xd291010e,0x57cc007e,0x62c30435,0x6a8f0193}},	//   _katao_, _agastyam_, _корист_, _menyerap_, 
   {{0xc9e201c4,0xd9490037,0x6fe1005b,0xbc0a0334}},	//   _portefeu, _የማይሆን_, _beskeder_, _adapata_, 
   {{0x829100a0,0x7202039d,0xd8a403a2,0x4c6f00f2}},	//   _watan_, _misini_, _छेड़छाड़_, _mitruma_, 
   {{0xf94603b9,0x12d8017d,0x57ad0331,0x42d8006e}},	//   _challwat, _taber_, _hinumegi, _esklëy_, 
   {{0x20310639,0xf5fb0243,0x0f2503f2,0x4e0f01a3}},	// [4990] _serentak_, _qimmisem_, _veteraan, _نڌڻڪي_, 
   {{0x0291036c,0x95f00151,0x3c2402c8,0xfec600bb}},	//   _natao_, _netmeeti, _cabaleir, _اڑسٹھ_, 
   {{0x57920244,0xc6d70316,0x95be074d,0x2e34003e}},	//   _tantissi, _banbanci, _neglebån, _lakatswa, 
   {{0xef4d016b,0xb26d01f0,0xf11400ff,0x7b870371}},	//   _alassane_, _bobota_, _לאנדונג_, _художниц, 
   {{0xc26d0085,0x5d630148,0x542c01fc,0x8b7100c8}},	//   _cobota_, _達文西密碼_, _illacabo_, _dibukana_, 
   {{0xc342074e,0x8f2c0010,0x2d0c0210,0x027f01eb}},	//   _भुजंग_, _atitsika, _akaritor, _erante_, 
   {{0xe2020477,0x53870113,0xd3060058,0x2c7e0206}},	//   _disini_, _alarab_, _mekavik_, _prispel_, 
   {{0xf202047b,0x31de021c,0x7bb1004d,0x5bf4010e}},	//   _eisini_, _schránka_, _內心的一笑跟葉王, _apelyedo_, 
   {{0x4406019d,0xeef402ac,0xa37f027b,0xfdd70320}},	//   _achisodz, _مخانيث_, _अश्नीयात, _manyunyu_, 
   {{0xfc2800d5,0xf2d9023d,0xaa0101a6,0x026d01e1}},	//   _latabatr, _sarei_, _ongaonga_, _hobosa_, 
   {{0x627f00d4,0xf20101b4,0xb07d006d,0x79f80483}},	//   _krante_, _aksie_, _спектры_, _apostand, 
   {{0x72650272,0xb6170033,0x4e43018b,0xea940177}},	//   _yerusaal, _exposizi, _ворбинд_, _венасуел, 
   {{0x82d900f4,0x120000ff,0x423003b4,0x4a14028a}},	//   _abred_, _akcio_, _arambwa_, _kutawala_, 
   {{0xd3a80377,0xf9d90285,0xa2e900b9,0x7c0602a0}},	//   _privind_, _mugoroba_, _dibikin_, _ifisimu_, 
   {{0xa24902fb,0x0a390089,0x44300074,0xdef301a2}},	//   _ehamai_, _мэддокс_, _merkityk, _ķekavas_, 
   {{0xf6b30159,0x327f0134,0x06f5016f,0x00000000}},	//   _pristaty, _iranse_, _ставлять, --, 
   {{0x6b950016,0xcb0f0291,0x48c00477,0xf2f50212}},	// [49a0] _פאשקעווי, _leigheas, _menelusu, _latinum_, 
   {{0x08fb01c1,0xbc5901c6,0x22e00195,0x995d04e3}},	//   _sekalipu, _spitich_, _barraigh_, _podnijet, 
   {{0xa26d048f,0x103d0064,0x3b6b01df,0xd1a400ac}},	//   _bobosa_, _جانناتتا_, _foregaun_, _todorić_, 
   {{0xeb8302c2,0x4d9d025e,0x1c040138,0x7a8e0077}},	//   _binnekor, _vinnusta, _kanseri_, _grenadin_, 
   {{0x32240414,0x15a2028e,0xc38600a2,0x5db803d0}},	//   _atiki_, _milinium_, _smoro_, _povratnu_, 
   {{0xfc2c01d2,0xdc7700bc,0xd3940224,0xf8490125}},	//   _allacanc, _diputer_, _telst_, _azaldyld, 
   {{0x02020532,0x27290149,0x746200ba,0x46930121}},	//   _visini_, _teknụzụ_, _مێزێک_, _superaci, 
   {{0xb2d90360,0xa3f9003f,0xdd0c006c,0xb30d0147}},	//   _barev_, _masuv_, _athosiwe_, _agraït_, 
   {{0x51c00047,0x1399004b,0xdae30270,0x62d80028}},	//   _normalem, _промысла, _injuriat, _rabey_, 
   {{0x3f170191,0xe2020009,0x527f02a1,0x05ed0350}},	//   _mordbran, _izboljše, _kranse_, _የምድራችን_, 
   {{0x430f01c5,0x693d0244,0x72b30053,0x7a8800d9}},	//   _berbera_, _пациента_, _संकुल_, _pakolais, 
   {{0x42970220,0xb137019e,0x00000000,0x00000000}},	//   _concerti_, _выцяснял, --, --, 
   {{0x9c68051a,0x7224019f,0x731e00b0,0xbc0d0180}},	//   _barulah_, _ataka_, _saacado_, _propoze_, 
   {{0xe27e0421,0x33a20122,0xc1d90311,0x515c0211}},	//   _meines_, _krepa_, _ንዳንኤል_, _чувак_, 
   {{0x39490059,0xd291001c,0xeb6a00bb,0x36030017}},	//   _видеонаб, _hatab_, _سٹرٹیجک_, _जांदा_, 
   {{0xf3440148,0x63f90044,0x57d50244,0x508201b2}},	//   _absente_, _sexual_, _екстремн, _barbicho, 
   {{0xc6cf0289,0xdb2b0178,0x7b8601f2,0x3a8d013a}},	// [49b0] _kukaguli, _कम्बलः_, _шинхуа_, _besichen_, 
   {{0x7cb802b6,0x749e0291,0xdc600224,0x39dc0488}},	//   _дарылеры, _بأشكال_, _pirring_, _indeksie, 
   {{0x3d1400ee,0xc1bf0048,0x129103d7,0x26ae0099}},	//   _фунтик_, _akimanyi_, _latab_, _chaunody, 
   {{0xb1e700bc,0xde220092,0x42d801be,0xd13b03dc}},	//   _مهربانی_, _誰でも参加可能_, _objev_, _banniorð_, 
   {{0x1dbc049d,0x52240009,0x00000000,0x00000000}},	//   _feminina, _stiki_, --, --, 
   {{0x6f24053a,0xb26d0013,0x28d401f9,0x59810166}},	//   _nešto_, _tobora_, _bakulung, _gaskraft, 
   {{0x62ec0193,0x17e80664,0xc1e50147,0x42900100}},	//   _परकीय_, _गुणकारी_, _بىزجۅنۉن, _uplati_, 
   {{0x87ab0033,0xe3200028,0xc3a203b0,0x627e00a7}},	//   _populazi, _milyan_, _drepa_, _feines_, 
   {{0xf2000301,0x3b1101b8,0x03f200e4,0x32d9029e}},	//   _geniş_, _पाखण्ड_, _okazuje_, _laret_, 
   {{0x10b50060,0x6a4d004c,0x14f700bd,0xfc600046}},	//   _بىرىگىڭد, _amadaala_, _gommeral_, _postals_, 
   {{0xe40d0195,0x30a5005e,0xed010264,0xf7b00421}},	//   _cairtean_, _اپىتان_, _magtratr, _naturhei, 
   {{0x785802ed,0xc5870154,0x1fe302b9,0xdd6a0211}},	//   _recollid, _вискол_, _ڈالتی_, _уральски, 
   {{0x33730190,0xcaee02f3,0x42fd0261,0xba090162}},	//   _schande_, _fastighe, _decidis_, _москваға_, 
   {{0xce0c0409,0x12f30166,0x6c77003f,0xf20001b5}},	//   _ドを入力してくだ, _beginnt_, _chomevpu_, _kumiwe_, 
   {{0xa8a50039,0xbdaa0091,0xb3a2022d,0x0fa900c8}},	//   _шударга_, _humiliqa, _crepa_, _министры, 
   {{0x82c70107,0x32570163,0x925d0185,0x459c01d2}},	//   _ادارات_, _nálam_, _максвелл_, _akurdunk, 
   {{0xad8600e6,0xe291030b,0xc23402c3,0x29fd03ad}},	// [49c0] _应当具备下列条件_, _akwata_, _témach_, _ffrankat, 
   {{0xd38002a8,0xa202040a,0x5c03000c,0xf3f700bf}},	//   _འཁྱོངས_, _åring_, _añandúva_, _деревень_, 
   {{0x46b0033e,0xea920291,0x4bb90280,0xc589003b}},	//   _acuífero_, _احتكار_, _सप्लायर_, _kulemikh, 
   {{0xe1270126,0x3eb103ac,0x5bea0211,0x00000000}},	//   _часовий_, _menonton, _helvetis, --, 
   {{0xf2d901b7,0x19e3015e,0x00000000,0x00000000}},	//   _haret_, _модага_, --, --, 
   {{0xed9b00db,0x7de10148,0x649c002b,0xa6d00226}},	//   _kinnisva, _施政滿意度調查第, _অতন্দ্র_, _kukatumi, 
   {{0xc421017f,0x121101c9,0xad320202,0xbdc800dd}},	//   _aalisakk, _अक्सरहाँ_, _irunmale_, _huchelga, 
   {{0xf28c00d6,0x919f00e4,0x1df301db,0x035f020f}},	//   _سلامه_, _szablony_, _антикалы, _bangowe_, 
   {{0x42d902c2,0x96890037,0xb2010211,0x82e60643}},	//   _darem_, _ሳይጨምር_, _ostin_, _stanija_, 
   {{0xf9d900dd,0xe3dd0186,0x8ba40320,0xf2d90708}},	//   _curghywe, _kozwa_, _mavikelo_, _ayinike_, 
   {{0x65130220,0x62d9015e,0x7332006e,0x8224057c}},	//   _енергийн, _farem_, _daaxe_, _jakker_, 
   {{0xddc20148,0x30d900c5,0xd9490724,0x7e970550}},	//   _互動路線搜尋_, _宁波市工商局_, _borrador_, _gratiose_, 
   {{0xf6820052,0xe15c0045,0xb1b0004d,0x00000000}},	//   _एकरात_, _дужан_, _以適應未來發展之, --, 
   {{0x2f800265,0x63a2021c,0x51c90204,0x43360109}},	//   _stichtin, _pumpy_, _торты_, _यताउता_, 
   {{0xf28402a0,0xb2d90150,0x920002f6,0x98d90074}},	//   _abibitum, _karem_, _muling_, _сервиса_, 
   {{0xb1de021c,0xd29104e5,0xa2e104fb,0x2aaf0010}},	//   _schránky_, _akwasa_, _desnudo_, _emshikas, 
   {{0x14400352,0xdd57009b,0x046e0156,0x82900062}},	// [49d0] _মুখস্হ_, _тайваны_, _וואלטען_, _eylah_, 
   {{0x729001a6,0x5b9a0137,0x67130299,0xbc8c04ad}},	//   _miharo_, _наранчим, _بەدۆلەت_, _khutleng_, 
   {{0xf20e0046,0xdda703c4,0xabd80156,0x2c150385}},	//   _сабап_, _органму_, _רעדלעך_, _okupilo_, 
   {{0xc730019b,0xd2ea0396,0x5fc00229,0x00000000}},	//   _informav, _annimal_, _bənazir_, --, 
   {{0x62000013,0x720005a6,0xe6560092,0xc3ef02ea}},	//   _vakili_, _kuling_, _ポン掲載について_, _democraz, 
   {{0x360300d9,0x2ca601b6,0x7200028a,0xc2870498}},	//   _картинку_, _אידיבי_, _wakili_, _tenisky_, 
   {{0x9e9202da,0xc2910129,0x83f9018f,0xf200005b}},	//   _форумот_, _akwara_, _dasum_, _akkiy_, 
   {{0x64ba0220,0xa2ec00ce,0x32cb03da,0x0eba0066}},	//   _програми, _dezinye_, _grafiksi_, _гоулд_, 
   {{0x62d90255,0x9ca800b9,0xd5870258,0xe6d10043}},	//   _varem_, _संस्थांच, _doarpssk, _arrahiim_, 
   {{0xf79f032a,0x5e4e0397,0xeb080095,0xcf420433}},	//   _kattuffi, _ҳарду_, _نمازخانه_, _kauswaga, 
   {{0x72da04ea,0xb5250025,0xe23b0044,0xa3fa00b4}},	//   _suresh_, _veditavy, _element_, _masuri_, 
   {{0x42000140,0x4202019b,0x45ec0614,0xc08901ee}},	//   _huling_, _kepimo_, _viderefø, _лерина_, 
   {{0xe20001e8,0x02f100a2,0x2b0f045f,0xbc1e01f3}},	//   _buling_, _mazishi_, _egyptent, _rebarbor, 
   {{0x77a702bb,0xc39503b0,0x6097003c,0x731c0089}},	//   _बहुविकल्, _hugsar_, _کاستوم_, _akterı_, 
   {{0x400f0193,0x87780126,0x0ad500e2,0xf0110076}},	//   _berjarak_, _подружжя_, _bolwurke, _афинитет, 
   {{0xc307014b,0x87060040,0xdb3b0093,0xc3ca0111}},	//   _antabuk_, _טיוואן_, _стилей_, _chiamò_, 
   {{0x82310092,0x1291001b,0xd306008b,0xf26d000c}},	// [49e0] _fermata_, _mataa_, _andakuk_, _amboja_, 
   {{0xde5201d1,0x02910023,0x6eb1023e,0x17ab0039}},	//   _purchase_, _lataa_, _penonton, _diputazi, 
   {{0x32d70024,0xbfcf01cf,0x1ab2004b,0xc3420111}},	//   _বেংকিং_, _meliorar_, _империяһ, _attristà_, 
   {{0x32000362,0x0f7200cb,0x3c6202d8,0x33f900b4}},	//   _bakimi_, _ababesin, _barusan_, _pasul_, 
   {{0x83ac00e9,0x904903cc,0x52d90527,0x2c6201ec}},	//   _atupri_, _ফারজানা_, _kazes_, _parutan_, 
   {{0x62ef019f,0x52910209,0xb6400148,0x945e0103}},	//   _kulinda_, _aataa_, _periculi, _ashevedz, 
   {{0x02d90255,0x7f9403f2,0xac29007e,0xb26e0326}},	//   _parem_, _класса_, _caruḥ_, _eksodo_, 
   {{0x3adf04ad,0xfaf300c1,0x8bc2002b,0xb96e0059}},	//   _bulegets, _jamsoste, _অঙ্গরাজ্, _derivant, 
   {{0x433a00bf,0xae5903f5,0xa292013e,0x72570086}},	//   _разгроми, _desculpa, _rupama_, _engedelm, 
   {{0x9c960152,0xe2a204c7,0xe8a201b3,0x50b600be}},	//   _музыкасы, _стажа_, _журналах_, _دوتسەنتى_, 
   {{0x17b7035a,0xc98a053a,0xa65701af,0x5f4a009a}},	//   _ibaranbi, _ploča_, _baryandy, _bengagun, 
   {{0x18c7003b,0x986d0037,0x84810287,0xac170109}},	//   _acatjang, _ካልኩሌተር_, _बिनाको_, _filtrů_, 
   {{0x92d900ad,0xee53050b,0xd90f0156,0x43060058}},	//   _karek_, _kurasaka, _פֿוסבאָל_, _tidabuk_, 
   {{0x62d90175,0x265d00de,0x329001c9,0xdd310047}},	//   _mazer_, _akwindaw, _temale_, _freinage_, 
   {{0xa249028a,0xea0100a1,0x0ad5033c,0x568a03db}},	//   _dhambi_, _angaanga_, _basteure, _engenazi, 
   {{0xb23a047b,0x1691003b,0x53010180,0x48dd0012}},	//   _kommunu_, _akwesabi, _letandi_, _नैनटा_, 
   {{0x02d90181,0x326e02eb,0x00b80147,0x00000000}},	// [49f0] _gazer_, _zapore_, _دەشەت_, --, 
   {{0x267b041f,0x494100d9,0x721900b3,0xb95200ee}},	//   _eyakhelw, _mielente, _aslymarl, _erromant, 
   {{0xf3a200c6,0x6c5c0314,0x9bac0061,0xf27001b8}},	//   _drept_, _bfntril_, _주문회원수_, _spordikl, 
   {{0x82d9041b,0xf20000ad,0xc2000282,0x2685007e}},	//   _mareh_, _suling_, _makiki_, _bindukai, 
   {{0x868202d8,0x49e20055,0x0eab00e2,0xf29003eb}},	//   _एकनाथ_, _hortefeu, _opkommen, _denkers_, 
   {{0x7c5301b7,0x225a0049,0xa0610098,0x927800e6}},	//   _एतदेव_, _fifli_, _forsynin, _分包装批准文号_, 
   {{0xb20005b1,0xa39502f6,0x8e46027f,0x22d903ef}},	//   _akcii_, _petsa_, _biraduga, _ahinnye_, 
   {{0xe17d01d1,0xdd9f012a,0x5f3300df,0x1f8500d3}},	//   _בישול_, _zaledwie_, _prestata, _प्याजको_, 
   {{0x8236002e,0xd3fa01da,0x8d2402ac,0xc26e0244}},	//   _brojem_, _pasuri_, _مبرمج_, _sapore_, 
   {{0x47ca00c9,0x73200277,0xf20200b4,0x42b1005d}},	//   _vietnamw, _bilyun_, _pisici_, _hendota_, 
   {{0x6a040057,0x03680662,0xd30d011b,0xcc8000c7}},	//   _megabait, _wingows_, _bambula_, _жебеп_, 
   {{0x3c7e0187,0x59ab0037,0xd2d9028d,0xb4670282}},	//   _умерена_, _ይመዝገቡ_, _sazes_, _porinīhi, 
   {{0x77840181,0x4290017f,0x00000000,0x00000000}},	//   _ボウリング_, _gemaje_, --, --, 
   {{0x59850285,0x82910140,0x55fe00d1,0xb47100fa}},	//   _umwijima_, _tiwala_, _চেংগুটি_, _gantihan_, 
   {{0xf30d040b,0xe15c01b4,0x69dd0168,0xe58a00f3}},	//   _tambula_, _laerskoo, _potensie, _engenakh, 
   {{0xa3f90265,0x814a0092,0x927e01b0,0xc38f0087}},	//   _kasuh_, _問い合わせ_, _meong_, _lenyora_, 
   {{0xd63903bf,0xd534074f,0x933202f1,0xca62046c}},	// [4a00] _балалары, _itungany, _faixa_, _schliess, 
   {{0x524902c1,0xe3a201df,0x825a0060,0xc3f901fc}},	//   _nkambi_, _crept_, _بىلدىرە_, _masuh_, 
   {{0x5f550037,0x83e700d3,0x127e0187,0x19d50040}},	//   _አያደርገውም_, _cítil_, _brinde_, _בוילה_, 
   {{0xc5f9000c,0x7ad00086,0x00000000,0x00000000}},	//   _завражан, _testneve, --, --, 
   {{0xf6f302bd,0x13a20591,0x8cd9012c,0x33a200fa}},	//   _amcangyf, _greps_, _بوندون_, _atipan_, 
   {{0x125b008d,0x3ee90515,0x1361005a,0x5c2f03f7}},	//   _oyalar_, _trovante_, _janglij_, _alviðru_, 
   {{0xd52e024b,0xe3d00046,0x71bc01db,0x327e028e}},	//   _respecto_, _идеялард, _تۇگەل_, _trinde_, 
   {{0x927d0046,0x13f90442,0xbc1c0071,0x2cf10287}},	//   _палатасы_, _basuh_, _bagaskar, _नाटकको_, 
   {{0xb20104d0,0xf16c00c8,0x1f590319,0x362501aa}},	//   _yisiz_, _аптырап_, _respalda, _earlierw, 
   {{0xe3a2013a,0x227e0195,0x76170019,0x00000000}},	//   _dreps_, _guinne_, _فارحات_, --, 
   {{0x998e014e,0xa34b00b4,0xe25b0611,0x6867015e}},	//   _нашим_, _suferit_, _nivle_, _арчадан_, 
   {{0x69d8032d,0x93480066,0x82dd04cf,0x8f9b00e6}},	//   _bosebele, _alberdi_, _intombi_, _收到了较好的效果_, 
   {{0xe2f1056d,0x850c03ee,0xbc5503dd,0x00000000}},	//   _naziphi_, _dostupno_, _dritare_, --, 
   {{0xa2130062,0x5db7040f,0xeb0f05f4,0x2dc80255}},	//   _enghey_, _рабочы_, _compomot, _सत्यपित_, 
   {{0x475702da,0xf27e04bd,0x75be0037,0x8e93058b}},	//   _метри_, _adoni_, _አላደረጉም_, _promican, 
   {{0xb2ee00ef,0xb06e00d5,0x10030040,0xc2d90076}},	//   _alifak_, _mahavelo, _שנועד_, _docete_, 
   {{0x4057012d,0x92900369,0x49cc013d,0xb2010230}},	// [4a10] _biongtok_, _kemake_, _akceptit, _tiginn_, 
   {{0x92da01c2,0x2f4b03ea,0xa4170187,0x6b8a00fd}},	//   _épocas_, _coopérat, _линдзи_, _chonsair, 
   {{0x1c7101f1,0xdb650127,0xf27e00b4,0x3d300059}},	//   _sportit_, _bertrada_, _prinde_, _riunione_, 
   {{0x72d9041e,0x3135005d,0xa14b0307,0x338f015e}},	//   _ebreo_, _стамбулт, _kunezihl, _senyora_, 
   {{0xd9c30273,0x132d01d7,0x93a202d9,0x037b00ac}},	//   _inmediat, _proximam, _asepa_, _dosadno_, 
   {{0xa2020428,0x7e3f0564,0x42780252,0x3c0a0196}},	//   _izboljša, _arkadelp, _muliloni_, _adapita_, 
   {{0xb3ea018b,0x6a3401a3,0x23860156,0xfad50089}},	//   _mintea_, _سرجڻهار_, _aliras_, _аңласам_, 
   {{0x619206b9,0x6a0a01fe,0x0a8502e1,0xbadf0303}},	//   _autonómi, _bolabola_, _daingean_, _etlelets, 
   {{0x42d9038f,0x6c2e0608,0x689c01cd,0xf38904bf}},	//   _ebrel_, _parques_, _okukhulu, _zastrašu, 
   {{0xe9f2015e,0x9d9a046b,0xa9a70161,0xb202065c}},	//   _توپتوردۇ, _arlunydd_, _лидером_, _bawisa_, 
   {{0x992503ea,0xcd1a04e7,0x22fa0087,0x82c300ce}},	//   _caractèr, _stanovte_, _anghena_, _egalman_, 
   {{0x889c0226,0x99c600ba,0xfb7a0147,0x22bb0039}},	//   _akukhulu, _بێرمینگه, _تۉۉرلۉ_, _baleike_, 
   {{0x3c920109,0x91330159,0x606e0408,0x8d1400f4}},	//   _हेरोद_, _džentelm, _hahavelo, _eveldout_, 
   {{0x46010073,0x69e500b6,0x32240014,0x42a70241}},	//   _violenti, _catottaa_, _frike_, _daaboo_, 
   {{0x826c021c,0x4f7f0019,0xe2cb01af,0xe2870480}},	//   _xenony_, _азыноола, _biedep_, _bhokhwe_, 
   {{0x838700ff,0xc3070176,0xf7490097,0x1b2404d8}},	//   _klaras_, _acharoh_, _láíbiri_, _barakeys, 
   {{0x028204b8,0x5a790093,0xac250168,0x4a85064a}},	// [4a20] _bakhraw_, _половины_, _helsearb, _статьясе, 
   {{0x051101f2,0x79d3045f,0xe22403b0,0x4c680529}},	//   _йөткәп_, _spelarna_, _takkar_, _iskusni_, 
   {{0xcc9001e0,0x665302c2,0xf94103e6,0x73bd023d}},	//   _جائیزه_, _verkondi, _faillite, _парапети_, 
   {{0x7c040037,0xda850276,0x3dc3011a,0x00000000}},	//   _obesiti_, _خوردا_, _מאבטח_, --, 
   {{0x246b051e,0x09ac0257,0x4d970374,0xbef10032}},	//   _liberado_, _allsnægt, _турилибд, _pinkmarb_, 
   {{0x110100a2,0x00000000,0x00000000,0x00000000}},	//   _masheikh_, --, --, --, 
   {{0x17e402e3,0x29760207,0xa4800053,0x23f8005a}},	//   _campuchi, _ساراھھ_, _सुधागड_, _mccue_, 
   {{0x9305012c,0x138601d7,0x29480098,0x8984002a}},	//   _نوران_, _pliras_, _formidle, _tinyekwu, 
   {{0xa2020707,0xe2d80062,0x0b72001b,0xb7ab02d4}},	//   _bawira_, _jijeng_, _dogoggor, _copulazi, 
   {{0xe37201ab,0xef0400ba,0xf11f00b9,0x00000000}},	//   _oskavad_, _ڕتوکخانه_, _berjubah_, --, 
   {{0x11970300,0xed2c0270,0x7200045c,0x6e530177}},	//   _koncerty_, _entitate_, _akciu_, _аҷаҧшьаҩ, 
   {{0xb3f1020e,0x72240072,0x22370060,0x0387011d}},	//   _letsatsi_, _itaki_, _мухортов, _oferim_, 
   {{0x7d740037,0xf39405f7,0xded6005f,0x00000000}},	//   _በስቶክሆልም_, _cglsf_, _planchas_, --, 
   {{0xc0560094,0x7c2c01d2,0x320103e5,0x93a8028d}},	//   _ادامسىڭ_, _allakanc, _oksik_, _pravind_, 
   {{0x626d046d,0xb2910129,0xa3f40086,0xf97d046b}},	//   _goboza_, _nkwata_, _horthy_, _dewiniae, 
   {{0x88790397,0xf29001d2,0xeb2d00e6,0x03ec0009}},	//   _abanishu, _aylas_, _东花市北里_, _sestavni_, 
   {{0xae6401bc,0x6af10594,0x92040061,0xf3630452}},	// [4a30] _arabyske_, _redusert, _근심걱정은_, _ningsih_, 
   {{0xeda80193,0x3654020f,0x938f015e,0xd2240239}},	//   _aktifita, _abonyulw, _senyera_, _otaki_, 
   {{0x61b2002b,0x4c2c03b7,0x69540161,0xe27f00d1}},	//   _যেতেই_, _allahanc, _необосно, _buande_, 
   {{0xd6e401c0,0xb2f200cb,0xd5bf0223,0x00000000}},	//   _dambaruw, _аккал_, _асарт_, --, 
   {{0xf2240016,0x92010138,0x42d90046,0xb21700a7}},	//   _ataki_, _eksik_, _segell_, _ماگنئتوف, 
   {{0x061e01af,0xb3a20321,0x12d90420,0xc26d00f3}},	//   _berlishi, _krepi_, _abrem_, _noboya_, 
   {{0xd9e30430,0xb5e802ac,0x6a890089,0x1d4a0354}},	//   _koronika_, _رويترز_, _башланга, _фондиниң_, 
   {{0xcde5017d,0x0301012c,0x9c9d0213,0x466e00c1}},	//   _指定しない_, _wasanii_, _морепрод, _निःसंदिग, 
   {{0xc69a02fe,0xbc1d0272,0xf3f8005b,0x828d0219}},	//   _اقداماتو_, _akaluulu_, _illust_, _besakham, 
   {{0xa3dd0440,0x35420156,0xdda7054e,0x7b1f005c}},	//   _korwa_, _אחשורוש_, _timiquta, _agapfune, 
   {{0x7249023b,0xc9df01ab,0xd1fc00fc,0x80440231}},	//   _akamai_, _अनावश्क_, _dayajmeh_, _occultan, 
   {{0x6394010d,0x6729010f,0x696905bd,0xcb7102ac}},	//   _grosir_, _роҳро_, _sivilise, _أنشيلوتي_, 
   {{0xbee00032,0xc7c10010,0x8f0e0156,0x9665017a}},	//   _binitnis_, _ayitsatf, _אקאדעמיש, _афари_, 
   {{0x10160016,0x3cce0029,0xb3030052,0x52d80255}},	//   _שילדערט_, _ڤینۆس_, _lokalit_, _ankeet_, 
   {{0xae430140,0xe58600b9,0x32a000fd,0xb86e012e}},	//   _kamataya, _hendakny, _crubag_, _napirend, 
   {{0x041c022c,0xcbfd004d,0x494f0049,0x4c550294}},	//   _dibiasak, _美容技術員_, _kanongat, _guatire_, 
   {{0x7c440234,0xad2300ee,0x334c04eb,0x8b1802f6}},	// [4a40] _afagbára, _kalitate_, _नलकूप_, _dadaanan_, 
   {{0x13dd003e,0xd9f80061,0x126800f4,0x0e3500e7}},	//   _borwa_, _제출하여야_, _difaziañ_, _assagewa, 
   {{0x587c0290,0xd87c0037,0xd601021b,0xa1d70349}},	//   _specular_, _ትዋሰናለች_, _englanti, _ankertay_, 
   {{0x0e5b0061,0xff680109,0xed9f018e,0x227e0265}},	//   _상품상세페이지_, _zkvalitn, _luveleke_, _drinkt_, 
   {{0x436302b5,0x05ed0750,0x76820053,0x9f2602eb}},	//   _cingsih_, _videregå, _इरसाल_, _gaurkota, 
   {{0x8c65038b,0x8390017f,0x09f601be,0xf9bf0347}},	//   _tertipu_, _censorim, _nepál_, _groentet, 
   {{0x432003a7,0x3aff002b,0x78c000c1,0xcfa8023a}},	//   _greguš_, _নিবেদিত_, _penelusu, _chladiča_, 
   {{0x92c703d0,0x4485038e,0xfc4b0126,0x0aeb0255}},	//   _sjednici_, _विहारि_, _muntlig_, _noorsoot, 
   {{0x47b20205,0xc3870084,0xa2ef00aa,0xaa5f00a1}},	//   _штаби_, _ngerem_, _iglista_, _tupeteka_, 
   {{0xb292019f,0x3bd2063d,0x3c890311,0x805b0374}},	//   _kipato_, _jordover, _ናቪገሽን_, _атвори_, 
   {{0x7e52020a,0x53f8030e,0xca9d06d9,0xe336052b}},	//   _ارامىزدا_, _mtazamo_, _relixios, _फ्लॉवर_, 
   {{0xbafe0128,0x8f68023a,0x00000000,0x00000000}},	//   _васийлик_, _skvalitn, --, --, 
   {{0xb2d10274,0xb2da0388,0xee4201a4,0x5632019a}},	//   _skuldar_, _pareti_, _kamarade_, _grandfai, 
   {{0x03ab028b,0x6ad30119,0x4f07013f,0xe8070279}},	//   _авторс_, _amstette, _bricoles_, _bricolag, 
   {{0xa2d90142,0x8a2401d4,0xe7b50203,0x99cb030a}},	//   _caret_, _marchett, _aposteri, _homenaxe, 
   {{0xd2d901f1,0xce540397,0xe3ec04a8,0x98d803ac}},	//   _varet_, _ephakeme_, _cestovni_, _diketemu, 
   {{0x206702d7,0x00000000,0x00000000,0x00000000}},	// [4a50] _abraiado, --, --, --, 
   {{0xf2e9012b,0x85a30142,0xd8cd01d9,0x52240399}},	//   _posiada_, _प्रदीप्त, _widderhu, _kuake_, 
   {{0xfbe7056d,0x427e0415,0x020e02eb,0x6e45000b}},	//   _اراده_, _seines_, _хаван_, _femalaga, 
   {{0x2d11008d,0xe2d90516,0xa1390037,0x5dee004d}},	//   _المیدی_, _hares_, _ያስፈራል_, _道聲出版社_, 
   {{0xfe5300a6,0x12d9028d,0xb0e8003a,0xc29000b3}},	//   _achatsha, _kares_, _akromiyl, _aylap_, 
   {{0xb98d00d9,0xf28f02f8,0x32b204b9,0xce4802fa}},	//   _варианте_, _malangai_, _guidman_, _banasoba, 
   {{0x00000000,0x00000000,0x00000000,0x00000000}},	//   --, --, --, --, 
   {{0xc6580281,0xe3540188,0x00000000,0x00000000}},	//   _enokseni, _муҷрим_, --, --, 
   {{0x77e505a2,0x820101ea,0x7d4b00db,0xeaec0014}},	//   _अतिरेक_, _ozgina_, _चुंगला_, _publikon_, 
   {{0xd22403d9,0xf5a202c3,0x08e40147,0xfa29013e}},	//   _itako_, _modifiká, _كۉيمۅلگۅ, _osecanja_, 
   {{0xd2d901b7,0x5224025f,0xc77a01a3,0xc3fa00fe}},	//   _harer_, _atako_, _خداوندعا, _auputo_, 
   {{0xb85900b2,0x1b82042d,0x42e500e6,0x00000000}},	//   _nucleolu, _angoniko_, _款最适合家用照片, --, 
   {{0xa2d902ee,0x43ef009b,0x0b8904a8,0x00000000}},	//   _saret_, _demokraz, _putovnic, --, 
   {{0x0b0305b3,0x50d8018d,0xd5d10110,0x00000000}},	//   _aanspree, _ኣንብብዎ_, _rezervēt_, --, 
   {{0xa3a302fb,0xbd8e03fc,0x9c24017d,0x7950044c}},	//   _utupu_, _legevakt_, _selskabs, _skilnade, 
   {{0xd2d9019a,0xadb902ce,0x6a300177,0x4c04023e}},	//   _wares_, _ngahonta, _нагӡара_, _bansari_, 
   {{0x5b0d032e,0x73950255,0x4d48005e,0x72900333}},	// [4a60] _laughlin_, _metsa_, _پاراسەتل, _armatu_, 
   {{0x5c6f018d,0x9fcf0270,0x1aa40120,0x5efd019b}},	//   _ድህሰሳን_, _delivrar_, _fikiikis, _taikomos_, 
   {{0x536d0009,0xf9620193,0x3c2f00c5,0x82d90047}},	//   _drugimi_, _अधिवेशना, _marquer_, _rares_, 
   {{0x02d90321,0x918f03bd,0x92d70059,0x0ba201ab}},	//   _zares_, _balangay_, _risolto_, _जम्फर_, 
   {{0xec0b0372,0x97c70177,0xfc06019b,0xa2610009}},	//   _etholiad_, _рыҟаҵара, _пагромы_, _zanimivi_, 
   {{0xfc7c024b,0x127f0014,0x629d030d,0x6c0f02a3}},	//   _existen_, _iranit_, _barkamp_, _sappige_, 
   {{0x1bcd0013,0xc30b0060,0xddff03d5,0xb27f01e5}},	//   _апрелда_, _بىراقتا_, _anheilta, _itanje_, 
   {{0x8aa30287,0xe9e40024,0xe24a02fc,0x153d012c}},	//   _अमेरिकाल, _সংকটকালত_, _abumva_, _خيراتي_, 
   {{0xbca40246,0xd32d0060,0x14540448,0xe1d902eb}},	//   _английск, _түрмені_, _verdensk, _тэмбүү_, 
   {{0x92270276,0x0a5800ff,0xe22401d6,0x13aa0176}},	//   _پارتكوم_, _געפלאגט_, _pakker_, _kravene_, 
   {{0x82b100cd,0x92da0377,0x4fdf015a,0xa58501c5}},	//   _rendita_, _pareri_, _artistoo, _hareerah, 
   {{0xd3f9001d,0x92b1013d,0x9a150361,0x00430177}},	//   _casus_, _sendita_, _руслана_, _лгаралеи_, 
   {{0x82d9011e,0x229200ac,0x1f2c020f,0x43870046}},	//   _carer_, _ostaci_, _licencin, _clares_, 
   {{0x1faa0453,0x4a2a0040,0x532102f3,0x820103fb}},	//   _napadač_, _בדיאטה_, _utbyte_, _naciji_, 
   {{0xc2b10244,0x8b6700f5,0xf2e703d9,0x8af5025b}},	//   _vendita_, _залдакы_, _adinoko_, _umsorgan_, 
   {{0xbade00d3,0xb9ea03e0,0x73a2015f,0xbc8c003e}},	//   _पर्चा_, _drogende, _deipio_, _ikutleng_, 
   {{0x528c0075,0x63950288,0x91cd04df,0xb20602ac}},	// [4a70] _klokkan_, _detsi_, _бозмакта, _مالقيت_, 
   {{0x43f900ad,0xf8b901cd,0x7058034c,0x0b250135}},	//   _kasur_, _ҳаракатҳ, _auksionn, _бураны_, 
   {{0x72b40101,0x731e04a4,0xd20e015e,0xe27e015f}},	//   _efect_, _caycedo_, _тагай_, _clonc_, 
   {{0x9984015c,0xd3980177,0xb9c900e2,0x8201009d}},	//   _marische, _иаҭаалар, _burmania_, _aksin_, 
   {{0xd4da03fe,0x57b304a4,0x0c00057c,0x33540191}},	//   _войне_, _beasanti, _sørger_, _arbetat_, 
   {{0xb2d9055e,0xc22a0094,0x42eb012a,0x539f0145}},	//   _varer_, _топас_, _kuchnię_, _suvartoj, 
   {{0xc04201f6,0x5b3b01f2,0x2930025c,0xcf69035e}},	//   _পক্ষী_, _كۆكنۇر_, _vermiete, _slobodan, 
   {{0x8039005d,0x820e00d7,0x32020170,0xef410472}},	//   _apeguavo, _танау_, _basiyi_, _pergudan, 
   {{0xcb680277,0xb37f046d,0xe3130036,0x0748016f}},	//   _takedown_, _tshanga_, _brabús_, _mobilutg, 
   {{0x9d5a0022,0x5aa2023c,0xe2d900bc,0xece102ac}},	//   _конец_, _عبدالقيو, _karep_, _ملاذنا_, 
   {{0x18c60137,0xf7500012,0x7a08035e,0x00000000}},	//   _йеменээс_, _प्रनतपाल_, _bahatost, --, 
   {{0xf29203fb,0x00000000,0x00000000,0x00000000}},	//   _dopalo_, --, --, --, 
   {{0x52e6002c,0xc96400f5,0xf27f028b,0xac240055}},	//   _prentsa_, _гүнки_, _arange_, _sassares, 
   {{0x9c99018b,0x9f1e018d,0x2a600235,0x1557020e}},	//   _interviu_, _ዝንባሌታት_, _anapāśri, _предос_, 
   {{0x83eb0014,0x130f03e7,0x7a3c015e,0x00000000}},	//   _vjeter_, _pribado_, _кумон_, --, 
   {{0x00000000,0x00000000,0x00000000,0x00000000}},	//   --, --, --, --, 
   {{0x83950025,0x0d2901c4,0x04640294,0x00000000}},	// [4a80] _vetsi_, _kamptoer, _haywaran_, --, 
   {{0x4b65011f,0x73a202bd,0x1c570255,0xc96200c4}},	//   _orquesta_, _teipio_, _lastele_, _پروپيگنڊ, 
   {{0x427f00d6,0x3b7f0288,0xdcb30372,0xe2e203db}},	//   _leanas_, _frighten_, _gitarydd_, _ningenzi_, 
   {{0x927e0742,0xc0de00d1,0xf49903ad,0xc2d801d9}},	//   _olona_, _আন্দামান_, _approprj, _fanenn_, 
   {{0x00000000,0x00000000,0x00000000,0x00000000}},	//   --, --, --, --, 
   {{0x790a0126,0xa2010751,0x72260053,0x42bb0107}},	//   _намагали, _eksil_, _parkit_, _balekke_, 
   {{0x224c0129,0xe2fe0129,0xfc5200ff,0x6d3e00e6}},	//   _homonụ_, _izugbe_, _אַססענד_, _年杂志社征稿通知_, 
   {{0x5c5b00a1,0x6275036a,0x7c5a033a,0x127f0073}},	//   _rautaki_, _apinatai_, _floured_, _usante_, 
   {{0x4ae40148,0x134b0364,0xe2ff0176,0xb71700e6}},	//   _fortlibe, _genervt_, _kruizer_, _走进石库门_, 
   {{0x93f90250,0xc72201bd,0xf9e50144,0xa3440047}},	//   _pasur_, _бердімұх, _سندريلا_, _accepte_, 
   {{0x8224049b,0xc2d90329,0xe27e005b,0x33f9028d}},	//   _ariko_, _parey_, _elona_, _lasup_, 
   {{0x030c0227,0x3b7c0061,0x3b0800be,0x887b03a9}},	//   _dicatat_, _대전광역시청_, _قۇتتۇقتو, _аттала_, 
   {{0xc37f0301,0x32ca023b,0x6215003f,0xd9c70092}},	//   _onlarla_, _maalahi_, _duchechm, _ドが一致しません, 
   {{0xff2a0133,0x24c80055,0x727e00f2,0x415c0141}},	//   _abduraza, _ruscello_, _reinis_, _тубан_, 
   {{0x32020377,0xc224005b,0xecb30241,0x1b0f0035}},	//   _masini_, _eriko_, _bitachuu_, _brigadas, 
   {{0x109700da,0x230c0132,0x727e0118,0xcc040304}},	//   _транси_, _illatos_, _asinze_, _fansuri_, 
   {{0xb3ea06d5,0x86a40142,0xa29000d0,0x00000000}},	// [4a90] _feltet_, _avarundh, _sumatu_, --, 
   {{0x73050162,0xa7ef0105,0x49e700da,0x03510176}},	//   _دولان_, _पुनर्जाग, _кредям_, _landevej, 
   {{0x37cc0044,0x5981023b,0xd27f0092,0xbc770461}},	//   _surprisi, _kawiliia_, _brande_, _amrutar_, 
   {{0xd236005b,0x32390227,0xe0ea048a,0xfeed03b8}},	//   _seiji_, _hormati_, _ғұмырымы, _арашалап_, 
   {{0x9f640039,0x00000000,0x00000000,0x00000000}},	//   _konplika, --, --, --, 
   {{0x685001d2,0x9ea40178,0x6d43006c,0x59dc01a6}},	//   _arguedas_, _asanmāna, _точнюс_, _merekihe, 
   {{0xaa58045e,0xc885009b,0x5b3d036d,0x00000000}},	//   _текстът_, _alokairu, _leacainn_, --, 
   {{0x33800261,0xcf720011,0x47cd01c6,0x00000000}},	//   _pluraj_, _ababasin, _midstrji, --, 
   {{0xb14f0029,0x914a0225,0x43ff011b,0x426d005b}},	//   _پسپۆڕی_, _ekatsimo, _bakobwak, _aozora_, 
   {{0x42d902f7,0xf26d02eb,0xbfd701db,0x00000000}},	//   _dibeng_, _alboka_, _ەسكەننىڭ_, --, 
   {{0x4187002c,0x03f9033d,0x00000000,0x00000000}},	//   _замнал_, _apostazi_, --, --, 
   {{0x4e3d0040,0x93250192,0x9b750501,0x92af00e6}},	//   _תשכחו_, _디스플레이_, _कॉम्प्ले, _中国农业信息网_, 
   {{0x0e330261,0xa27e03ef,0x435f0439,0x83e502fb}},	//   _גרופע_, _tsinze_, _langiwe_, _nātou_, 
   {{0x3aa9018b,0x8da701a3,0x92260211,0x36650022}},	//   _privinta_, _هوسڙي_, _farkut_, _афури_, 
   {{0x7e730142,0xa3860261,0x4d0802d9,0x00000000}},	//   _bahirdhā, _aliris_, _suamalie_, --, 
   {{0x624a0318,0x97a40244,0x623b0415,0x00000000}},	//   _kaumea_, _керамичн, _geimpft_, --, 
   {{0x7f260035,0x93ea0313,0x44d7048a,0x1e450080}},	// [4aa0] _veterann, _bajtah_, _санасын_, _aliagiga, 
   {{0x465f0410,0x763f0011,0x46ce004d,0x00000000}},	//   _dikholof, _babiwuli, _不知道如何找書嗎_, --, 
   {{0xa27e03de,0x33a303b9,0xbb4900d3,0xedab02f6}},	//   _esinye_, _utapan_, _तात्काली, _lumilipa, 
   {{0x82b50289,0x924100c1,0xec1b007f,0xbbe7006e}},	//   _kwacha_, _माऊली_, _colofnau_, _gotenbor, 
   {{0x138603ff,0x92d8048b,0xa8620193,0xa201025c}},	//   _tvorby_, _acbel_, _भविष्यात, _steigt_, 
   {{0xb6b30126,0x3af40258,0xbf2602d5,0xeeba0155}},	//   _бензинов, _argewaas, _korrasta, _prisjakt_, 
   {{0x97ee042f,0xa29000c7,0x230101da,0xc2f80037}},	//   _inuqarni, _aydar_, _topalli_, _በመቻቻል_, 
   {{0xf14202ca,0x3310023d,0x4f7f0696,0x928800e6}},	//   _تابِع_, _cercare_, _tributos_, _危险动物与性感美, 
   {{0x52d900a7,0x6eb50205,0xd20103bd,0xe21e0052}},	//   _obres_, _блоглар_, _aksis_, _परिश्रमी_, 
   {{0x56de0213,0xed37023d,0x895e005b,0x8a8801f0}},	//   _домашним, _фитнеса_, _bagladie, _katisots, 
   {{0xcf500052,0x8dda00d9,0xa778012e,0x3b170244}},	//   _लिंगी_, _jonkinla, _اڈوانی_, _раздели_, 
   {{0xa27f0470,0x12f402fd,0xab71004d,0x29dc00d7}},	//   _suanne_, _bòrdadh_, _deportar, _diteishe, 
   {{0x82d90243,0x45370032,0x6202005b,0x52f100d3}},	//   _abret_, _bochargh, _pasini_, _lágru_, 
   {{0x227e0117,0xb2b1063c,0x6e670159,0xe1ce0148}},	//   _blong_, _काबुल_, _гармат_, _觀自在菩薩_, 
   {{0xbd0500d6,0x8d220088,0x62e10195,0xfe630234}},	//   _suntasac, _تومولونۇ, _garraidh_, _olúòyó_, 
   {{0xe7970444,0x22020007,0xb9ce02ee,0x00000000}},	//   _бiеннаш_, _nasili_, _jidderie, --, 
   {{0x5637020b,0xc3f40047,0xc3320465,0x00000000}},	// [4ab0] _dirisedi, _fautes_, _terjatev_, --, 
   {{0xe27e01f7,0x32b60085,0xb25b0229,0x00000000}},	//   _amont_, _gardale_, _dialoq_, --, 
   {{0x29680349,0x5288001a,0xb1e702fe,0xe15c02eb}},	//   _abricate, _balatoni_, _مهربانۍ_, _нурах_, 
   {{0xa3f80092,0x447c0092,0x00000000,0x00000000}},	//   _allume_, _楽譜サンプル_, --, --, 
   {{0xe0960029,0x59fa0193,0x5a6a004d,0x00000000}},	//   _ناپاکی_, _मेक्सिकन_, _並予任務分工_, --, 
   {{0x027f01d1,0x2a41021c,0x08a3004a,0xe34600ca}},	//   _france_, _kombinéz, _боларда_, _bordèu_, 
   {{0x925a0206,0x824100c1,0x00000000,0x00000000}},	//   _stolov_, _माउली_, --, --, 
   {{0x39d800b7,0x8d2c002b,0x78b103ee,0xa17b0011}},	//   _dikeltme, _চিতাবাঘ_, _ljoticev, _banaakal, 
   {{0x5d9201ac,0xc29000da,0x83870148,0x50e800ad}},	//   _siollaba, _urmand_, _claris_, _dicandak_, 
   {{0x7f13072a,0xb2240044,0xd3620132,0xbf4e04e5}},	//   _اختلافات_, _brake_, _hangzik_, _amapaapa, 
   {{0x4e100064,0x6bf1037c,0x5f8b003c,0xabfe0011}},	//   _الامدا_, _celeberr, _مخملباف_, _asitulib, 
   {{0xca2c00ff,0x33f802a0,0x2b3400c1,0x4e1c013a}},	//   _נפֿשות_, _bolude_, _कसेबसे_, _virgesta, 
   {{0x09c100a8,0xfc300187,0x974300e6,0x00000000}},	//   _chamanna_, _paisagis, _辽宁省实施_, --, 
   {{0x6e4c0020,0xd62905d5,0x694806e1,0x8ec203e6}},	//   _aliamana, _radicari, _vibrador_, _hamilius_, 
   {{0x7d860101,0x12cb00e4,0x02eb02d3,0x52da0046}},	//   _necesare_, _wiedza_, _carinho_, _alcover_, 
   {{0x2d3201e6,0x227f011e,0x167001ab,0xd2d8020b}},	//   _pronájem_, _aranze_, _ऊहिचकोला_, _dikete_, 
   {{0xab400127,0x214904df,0x03bb030b,0x8a8700ec}},	// [4ac0] _prévert_, _abulgazy_, _aliwona_, _бахчысар, 
   {{0x2dd700f5,0xc9790098,0x0dae002c,0xed060061}},	//   _тэретини_, _importør, _харалган_, _inbreker, 
   {{0x6202011b,0xb246006e,0x83a2019c,0x2fce057c}},	//   _basili_, _amaliiti_, _asepo_, _skåret_, 
   {{0x3c7e0202,0xe27f0233,0x00000000,0x00000000}},	//   _iyasoto_, _quande_, --, --, 
   {{0x126201fe,0xcb21024c,0x428a003a,0x9292015e}},	//   _civicivi_, _tapplika_, _masalani_, _estadi_, 
   {{0x8c6a0287,0x42bc009f,0x00000000,0x00000000}},	//   _prsteny_, _mladino_, --, --, 
   {{0x094401de,0x3c2b00b5,0x00000000,0x00000000}},	//   _квадратт, _oipejúva_, --, --, 
   {{0xe9c700f5,0x82b3001c,0x00000000,0x00000000}},	//   _аррыклар, _aradman_, --, --, 
   {{0x505201b4,0xd194012e,0xc9090238,0xfe5303b9}},	//   _begrotin, _قراردادی, _застереж, _quranaka, 
   {{0x2d2302c9,0x64ae042a,0x611301ef,0xc7dd0109}},	//   _calitate_, _angagcok, _джунглі_, _podpisem_, 
   {{0x0fa801e6,0x13530012,0x31e70452,0xc73500e6}},	//   _chladiče_, _बतेलक_, _आईवडीलां, _已婚育龄流动人口, 
   {{0xe200042b,0x97a700a4,0x19a700e6,0x29400166}},	//   _veliku_, _اۋعۇستتا_, _保护知识产权_, _themenbe, 
   {{0x0f0a0061,0x639004c5,0x8c2d007e,0xef40002b}},	//   _문화체육과_, _lenstrim, _antarapr, _ফিটনেস_, 
   {{0xe6ff01b7,0x67d90486,0xa0350541,0x221300e7}},	//   _सकृदागाम, _अशिक्षा_, _emitovan, _anghay_, 
   {{0x44e00169,0xc2f40626,0xb3f0020e,0xf03902a3}},	//   _খ্যাত_, _trenér_, _heleheng_, _kortston, 
   {{0x498200b4,0xedb804a5,0x990f046f,0x32910229}},	//   _докторь_, _abanenka, _regulär_, _aytac_, 
   {{0xe29002a2,0x8448018d,0x302b02ea,0x29f900b3}},	// [4ad0] _nalang_, _ተጸዊዖም_, _счита_, _allabere, 
   {{0xe0a301a7,0x50ce01b5,0x00000000,0x00000000}},	//   _мероприя, _andlaril, --, --, 
   {{0x392b006c,0x12780102,0xb75f027b,0x00000000}},	//   _абдумали, _kulikoni_, _citrākṣa, --, 
   {{0x22900245,0xf2d9014b,0xa2750318,0xff2e03b9}},	//   _balang_, _abrek_, _apinetai_, _listucha, 
   {{0x13a30576,0x5c4500ae,0x00000000,0x00000000}},	//   _arupa_, _catwara_, --, --, 
   {{0x83ac0059,0x931600e6,0x8d8d0385,0x2f76004d}},	//   _coppia_, _中国共产党纪律处, _dogovara, _史學研究網轉載_, 
   {{0xf37c005a,0x9adf02c2,0xcbc8027b,0x9292028a}},	//   _biyapbe_, _geluiste, _वृणीष्व_, _ustadi_, 
   {{0xc37f0120,0xa79d010f,0xb2830211,0x36bd00d7}},	//   _bilaala_, _қишри_, _takkuaa_, _һөргөнгә_, 
   {{0xec9c0013,0x9a3600e5,0x206c00d7,0x6e010507}},	//   _булди_, _парцели_, _болоттар, _pelebura, 
   {{0x8e9200c4,0x96a400e6,0x4adf0265,0xe37f0067}},	//   _ساڃهه_, _您当前所在位置_, _beluiste, _dilaala_, 
   {{0xda0f0184,0x0224036c,0xb63400a2,0x12900119}},	//   _arapfund, _grika_, _kuungani, _aalang_, 
   {{0xf9400415,0xefed0420,0x28760045,0x92900013}},	//   _themenst, _повозвиш, _брауна_, _yalang_, 
   {{0x726c0219,0xafc7019b,0x72920115,0xdaec0087}},	//   _akhone_, _даўняя_, _fasakh_, _mintsake, 
   {{0xeed301a2,0x437f013c,0x323601f4,0xc6c900e5}},	//   _apmierin, _silahla_, _janjal_, _решивме_, 
   {{0x729002be,0x56440095,0x6db3008b,0x30d40576}},	//   _walang_, _diakriti, _amfiteya, _رونقی_, 
   {{0xfb0a0692,0x526c037f,0x97ff0040,0x3224028b}},	//   _كىشكەنە_, _inzibati_, _המנדט_, _itaku_, 
   {{0xb22b03d4,0xd63e017a,0x00000000,0x00000000}},	// [4ae0] _стигао_, _adingisw, --, --, 
   {{0xca9a02f0,0xe2d90333,0xf2240014,0x93f8035e}},	//   _alenetis, _cannone_, _frika_, _boluje_, 
   {{0x738a019c,0x53a30298,0xe8a801db,0x8db90204}},	//   _adeyemo_, _urupa_, _таптырма, _painonha, 
   {{0x9f1601bd,0x159b00e6,0xcdd90059,0x00000000}},	//   _سالپتى_, _市政务公开领导小, _дискусия, --, 
   {{0xbf2202a2,0x6f30002b,0x004b0291,0xa94b02c6}},	//   _katupara, _মরিয়া_, _charrann, _gorovoue, 
   {{0xba8e006c,0xf28a042a,0x02cf007b,0xae5c0037}},	//   _abanales, _ekwatini_, _gellock_, _የኔትወርክ_, 
   {{0xf30203be,0xe26403ef,0xad0501b9,0x4d880156}},	//   _akubise_, _abaforom, _lanterpr, _לעמסטער_, 
   {{0x627402ba,0xa21c0333,0x11d004df,0x5fb10237}},	//   _abasabel, _rothen_, _dogulmak_, _밴드지표의_, 
   {{0x02ee0410,0x747102e7,0xda8e0075,0x63aa0022}},	//   _mongwadi_, _bantayan_, _vinnarin_, _bapalang_, 
   {{0xbd9b013c,0x4f3b02d8,0xe97403b4,0x0f2e0162}},	//   _toplanma, _बेफिकीर_, _achikuit, _содигири, 
   {{0xd93c033f,0x0c6002a0,0x8c000187,0x00000000}},	//   _elemenit, _fafunwa_, _prestes_, --, 
   {{0xa4850025,0xc53b014a,0x644e0135,0xac69031c}},	//   _विभाषा_, _افسانوی_, _gomumän_, _impreso_, 
   {{0x59d603a2,0x33e601e9,0xf19a00f8,0x00000000}},	//   _मुआयना_, _borutisi_, _দিগন্তে_, --, 
   {{0xd2ca0025,0xbc00007b,0x12d90333,0xe2ef02d9}},	//   _vaidya_, _tresses_, _ebrei_, _mulilua_, 
   {{0xd8fe0020,0x02c60211,0x1eb203f5,0xd889048c}},	//   _apapalag, _anteeksi_, _defeitos_, _backhand, 
   {{0x32b50310,0x193b017f,0xd6010255,0xaaa600d3}},	//   _feuch_, _kommunea_, _बांदी_, _सुस्मिता_, 
   {{0x5c620230,0xb86c0092,0x09b70147,0x9f9b0437}},	// [4af0] _anruinn_, _本日のメモ_, _تااسئن_, _malerier_, 
   {{0x02900089,0x77520102,0x934b0014,0x46b904b9}},	//   _ablaev_, _shinyang, _tunelit_, _monaltri, 
   {{0xb25f02e9,0xd59702bb,0xeecd00e3,0x00000000}},	//   _síntesis_, _chustecz, _insettiċ, --, 
   {{0x03f90292,0x0d97015e,0x827e04c8,0x62900399}},	//   _waguan_, _денесине_, _dlonk_, _palangii_, 
   {{0x92d90028,0xb27e0393,0xc3c10097,0x00000000}},	//   _marey_, _samnom_, _olutẹjad, --, 
   {{0x34ac06f0,0xe025053e,0x5f2e036d,0x926c02ce}},	//   _artikkel_, _telemark_, _costacha, _bojona_, 
   {{0x46a00518,0xb27e0544,0x9a7301bd,0x1f31004a}},	//   _سلطانی_, _adonai_, _тереңдіг, _eparxiya, 
   {{0x1e32000c,0xf3ad01f4,0xf2e80014,0x726e02e0}},	//   _willians_, _торонтод, _realizoj, _gorosa_, 
   {{0x34b40285,0xaaf80462,0x1070005e,0x9f22013b}},	//   _bagambik, _induceme, _تۈزلەڭلى, _kapulisa, 
   {{0xf669012c,0xd27f01b6,0x63e700bc,0x4f5d01be}},	//   _kushindw, _orange_, _مفاصل_, _डुंगा_, 
   {{0xff6802eb,0xf9f3018b,0x2aee0013,0x00000000}},	//   _блүүмбэр, _regiunea_, _порахурл, --, 
   {{0x1c80015e,0x847e00d9,0x12cb012a,0x00000000}},	//   _десем_, _миром_, _upadek_, --, 
   {{0x7394008d,0x52360176,0x71030211,0x02d90251}},	//   _mansub_, _keiji_, _bikiniyl, _darey_, 
   {{0x3eea032d,0x401b00f4,0xf2cb0157,0xcae50013}},	//   _provense_, _aldernez_, _spadek_, _туплами_, 
   {{0xc2da0240,0x9388004c,0x5b1a00d9,0x00580311}},	//   _mosese_, _amayisa_, _ostamass, _ብሙሉኦም_, 
   {{0xb294040f,0x2db800e6,0x699e02fe,0x030e0163}},	//   _lankosi_, _inventé_, _ebakhoke, _kosaras_, 
   {{0x4d0300d6,0xabc2015e,0xd6800212,0x23f40121}},	// [4b00] _جدران_, _келишинч, _intellex, _pautas_, 
   {{0x8da3019e,0x3ea101ef,0xb38a0291,0x127e01c5}},	//   _ангельшч, _prelegen, _وفوائده_, _roone_, 
   {{0xfcd10114,0x29780013,0xa6b901c0,0x00f60299}},	//   _בדקתי_, _vashingt, _baigongf, _تېنەپ_, 
   {{0x9d7c00be,0x83a303a4,0xe30f009d,0x00000000}},	//   _объектин, _drupu_, _mesatar_, --, 
   {{0x63f40256,0x9577041a,0x9da90170,0xd3050198}},	//   _tautas_, _кафедри_, _asananya, _lokacij_, 
   {{0x12240298,0xc53c02b3,0x5be50044,0x226c00da}},	//   _kuaka_, _rompendo_, _splendor, _vizitati_, 
   {{0xdfaa018d,0xa41901de,0xdc6300f4,0x92d902aa}},	//   _መንፈሶም_, _резерві_, _dabutal_, _narex_, 
   {{0x8f5b040b,0x295100ad,0x51930147,0xf2c20408}},	//   _funashan, _gossamer_, _autonòmi, _fialana_, 
   {{0x99f700ee,0x1c140268,0x065601ea,0xdc69045e}},	//   _hilabete, _artstay_, _кайфият_, _attuali_, 
   {{0x89e20247,0x2236033e,0x02ea00b5,0x725b006e}},	//   _ماشين_, _afijo_, _gavilan_, _fuglug_, 
   {{0xf7170185,0xd96901c0,0x1c5d027b,0x00000000}},	//   _formirov, _gajimare, _पितेव_, --, 
   {{0xe7840013,0xcb370094,0x00000000,0x00000000}},	//   _зўрға_, _سىزدەرشە_, --, --, 
   {{0xcb9e00ff,0x72240277,0xbd3a0294,0xe9dd0265}},	//   _אַלצדינג_, _auaka_, _apuarasq, _intensie, 
   {{0x02da014e,0x615c0145,0x3db60172,0xf34700be}},	//   _posete_, _духам_, _rwandama, _جامبىل_, 
   {{0x334102dd,0x00000000,0x00000000,0x00000000}},	//   _bonello_, --, --, --, 
   {{0x721c0179,0x8d0c012b,0xf8530230,0x4cac008b}},	//   _dothan_, _kolorowe_, _kimanyer_, _emisiong_, 
   {{0x3acb0742,0x83b101ea,0x2c51000c,0x4a1701d9}},	// [4b10] _anaikàna_, _shavvol_, _manteva_, _liichtat, 
   {{0x5b200358,0xa9aa0066,0xe1180162,0xfaa001eb}},	//   _arjantin_, _савангий, _данға_, _апрактик, 
   {{0xa51200da,0x660b02a9,0xbfdc00f5,0xf30a00e4}},	//   _универсу, _учора_, _bilersiň, _nawigacj, 
   {{0x32fd01da,0x3a0c012c,0xa2520061,0x685700d8}},	//   _besimit_, _mikataba_, _포인트벽지_, _amassats_, 
   {{0xb9b500e4,0xf2240295,0xa5ee0037,0xf4d500d6}},	//   _kandydat, _auaki_, _እንዲራዘም_, _عنوانه_, 
   {{0xe6330132,0xddc800c5,0x027f05f1,0xe153006d}},	//   _átalakít, _知识产权局_, _nsanze_, _супадаць_, 
   {{0xe98f0148,0x85d0045b,0x00000000,0x00000000}},	//   _下一個主題_, _театралі, --, --, 
   {{0x9efc004f,0xdafd0403,0x0d0e02da,0x2fe400ff}},	//   _bajjikon, _besoiiin_, _прозорче_, _cirkvito, 
   {{0xda4f0375,0xad2d0191,0xc71b0206,0xd2c301da}},	//   _adampats, _roligare_, _modernej_, _diellin_, 
   {{0xc224017e,0x53d10418,0xfc570204,0x8b8500a4}},	//   _irako_, _testleri_, _emateab_, _recomano_, 
   {{0x7498025d,0xac1c0040,0x0aef0163,0xc2ff037c}},	//   _kongerik, _columnis, _balesetb, _patitur_, 
   {{0x436602c2,0xaa7f01b7,0x52240016,0x82c502a3}},	//   _vergaan_, _अक्रुध्य, _brako_, _billike_, 
   {{0xb9ee02f3,0xe2e900e6,0x3b4500e4,0xd347023e}},	//   _aktivera_, _原注册证号_, _redakcją_, _bandjor_, 
   {{0xcb670522,0xfc730163,0x56310012,0xa94e027b}},	//   _जवानी_, _márton_, _मुँहगर_, _गर्हिष्य, 
   {{0x15a103a2,0xba0602f0,0x204a03a2,0xb96001aa}},	//   _भागती_, _ayibalwa_, _मूँगफली_, _athogene, 
   {{0xf3800342,0x627e0120,0xdf580126,0x327f02fa}},	//   _kouraj_, _koona_, _detaljen, _asanze_, 
   {{0x568c0570,0x0db7036d,0x12d5011b,0x1af5004a}},	// [4b20] _फरहान_, _ministea, _matomba_, _kaleydos, 
   {{0x827e00e1,0x6e5103f2,0xceb201fb,0x40680096}},	//   _moona_, _viranoma, _effectos_, _bakayobo, 
   {{0x727e0196,0x726c0082,0x19d00347,0x2f6000ff}},	//   _loona_, _sokoto_, _teleurst, _אָרעמאַן_, 
   {{0xa38600d6,0x545e01cb,0x62cc017a,0x12010396}},	//   _cairde_, _ngeenzuk, _ngaleyo_, _mediku_, 
   {{0x93a30088,0x7c750752,0x73940008,0x0cad010e}},	//   _grups_, _यार्थी_, _danses_, _guesting_, 
   {{0xda4d014e,0xecda0113,0xae560253,0x9e4f0156}},	//   _понедеља, _catalógú_, _araberit_, _bagatela, 
   {{0x92c90092,0x6df90074,0xafb001fd,0xbf3401c5}},	//   _在庫がございます_, _распрода, _apellido, _suurtaga, 
   {{0xac60017d,0x868102d8,0x00000000,0x00000000}},	//   _pistols_, _केलास_, --, --, 
   {{0x8d76019b,0xf60e0274,0xc9640296,0x4dcf02fe}},	//   _максім_, _borgarbú, _mekonome, _beekwaya, 
   {{0xf27e00b0,0xd26c005b,0x126e0382,0x53870418}},	//   _doona_, _kokoro_, _doropa_, _ibaret_, 
   {{0x0a8d0503,0x141200bc,0x168b00de,0x0b8d055b}},	//   _musikken_, _محققان_, _angenayi, _musikkar, 
   {{0x32240467,0xfd9a0226,0x626c017d,0x423b0192}},	//   _prako_, _atangowa, _dokoro_, _koeling_, 
   {{0xce8300bf,0xa7d0016f,0xb3bb004d,0x00000000}},	//   _добавок_, _kingkong, _你看這個監獄的樓, --, 
   {{0x530e00de,0xb471006f,0x727f0055,0x52c30013}},	//   _abebala_, _kupendek, _usanze_, _azaldan_, 
   {{0xcc93012c,0x10fa01b2,0xbd400038,0x034802dd}},	//   _پاران_, _dishevel, _бәйсез_, _bugelli_, 
   {{0x09c006bd,0x227f02ef,0xc3be0138,0xc5ed02e1}},	//   _prometna_, _aranje_, _takvimi_, _forghéil, 
   {{0xc15b0163,0x62e202a2,0x00000000,0x00000000}},	// [4b30] _اسیری_, _marinig_, --, --, 
   {{0x7292032e,0x1a8004f9,0x727e023b,0x88d201df}},	//   _istani_, _nuanners, _olono_, _confoond, 
   {{0x43f40145,0x00000000,0x00000000,0x00000000}},	//   _tautos_, --, --, --, 
   {{0x22240403,0x7a06013f,0x22b302b9,0x921b0008}},	//   _isika_, _degasade, _magasság, _تەكىستول, 
   {{0x2f410295,0x6368015f,0xdc7100c4,0x6e8301cd}},	//   _longolon, _siomedig_, _سھراب_, _доварон_, 
   {{0x42c60125,0x269d00a4,0xb37b02ea,0x42d80031}},	//   _adamlar_, _арасы_, _metallo_, _dicoret_, 
   {{0x82900429,0xb119018d,0x8c6102a2,0xf6370333}},	//   _ladang_, _ኣእጋሮም_, _pupunta_, _abbitudi, 
   {{0xb8cd026c,0xf36c0285,0x71de00c3,0xd282012c}},	//   _月中國自來水行業, _akagari_, _millesim, _pichani_, 
   {{0x327f0321,0x63ac01e6,0x4adf020e,0xae0501c5}},	//   _branje_, _stupni_, _bulehets, _qandaraa, 
   {{0xdc5b0331,0x1200014b,0xfb5b01d2,0x69f00144}},	//   _kortini_, _asmite_, _alouatta_, _chonaola_, 
   {{0x226d0357,0x87ec0282,0xf29200bc,0x06e202e1}},	//   _boboka_, _aukating, _astani_, _carbaihi, 
   {{0x5db303c0,0x72e20140,0xbc5404dc,0x1fe60148}},	//   _omfattet_, _narinig_, _تۆقاندن_, _申請個人圖像_, 
   {{0xc77b0128,0x567f053f,0xd3f90064,0xc0c7045e}},	//   _دسیسه_, _urakithw, _paguen_, _рибите_, 
   {{0xd8ab010d,0x92f602ae,0x90210126,0x02900193}},	//   _दक्षिणेच, _osmijeh_, _енергоеф, _dadang_, 
   {{0x466d01e0,0x62900135,0x222f00b9,0x4a020020}},	//   _جلیسی_, _ixlas_, _गुलाबजाम_, _masaniga_, 
   {{0x72000515,0x235500e6,0x4be602c2,0x429101a0}},	//   _lumine_, _解放思想深入学习, _vredespr, _nkwama_, 
   {{0xae640538,0xe2240414,0x7290009b,0xfd6403dc}},	// [4b40] _arabiske_, _esika_, _asmatu_, _arabisku_, 
   {{0x028e00f3,0xc9eb0199,0x370e01d9,0xbedf003b}},	//   _abakulo_, _zingspee, _fortsché, _bashadan, 
   {{0xd27e0556,0x43eb04cd,0xc9f80357,0x1a71002a}},	//   _ezinye_, _vjetar_, _kilasese, _ngwangwa_, 
   {{0x42ec0125,0x20df0008,0x77170061,0xdef1057a}},	//   _алдав_, _түркияны, _트럼프공인_, _испани_, 
   {{0xfb500125,0x43410311,0x5ee80444,0x9daf00c1}},	//   _ленинизм_, _derdhur_, _аудиодан, _pantatku_, 
   {{0x398a03a8,0xe26e0100,0x0c6e006c,0x00000000}},	//   _ফল্লেট্_, _korova_, _aseroma_, --, 
   {{0x9e540040,0x623701b5,0x8c6504dc,0x5dbe00c0}},	//   _percenta, _dzimiwa_, _دوسلدۆرف_, _sinimula, 
   {{0x702e0088,0x963000cb,0xbf0f014e,0xae1b04f8}},	//   _moderado, _abanegci, _računars, _climates_, 
   {{0xa3800643,0x871c009a,0xaf54014a,0x9f7c0139}},	//   _napred_, _ستومانه_, _versenyt_, _निर्मितः_, 
   {{0x13520012,0x48490037,0x8c4b02a2,0xf291012d}},	//   _असूलल_, _የሚቃወሙ_, _puntong_, _sytam_, 
   {{0xf27e00c0,0x4f990354,0x825300bf,0xffc30092}},	//   _noong_, _киризиси, _отпускат, _veninder_, 
   {{0x862a0141,0x32d803d7,0xea76016f,0x00000000}},	//   _natijasi, _ankest_, _красою_, --, 
   {{0xaeba024b,0x25ba018d,0x10e800a6,0x3fd70374}},	//   _perfiles_, _ሚርያምን_, _موجودو_, _ғаразли_, 
   {{0x91a30218,0x6dee0192,0x5c770139,0x84a300c1}},	//   _oticenay_, _다큐멘터리_, _पूर्वो_, _किनारपट्, 
   {{0x0f2803d5,0x888701fe,0xbfe804ed,0xc849014d}},	//   _cautiona, _alikisad, _साराभाई_, _oberhalb_, 
   {{0xe2e60008,0xf36404ec,0x72ba02fe,0xf27301e5}},	//   _fiança_, _ibagara_, _egadini_, _yánpo_, 
   {{0xbf32038e,0xa3f401e6,0x46aa0375,0x00000000}},	// [4b50] _sebenern, _postav_, _atagundi, --, 
   {{0xd5df0014,0x22f1033f,0x4c2d02a6,0x04a702db}},	//   _ተመሃሮን_, _angakovi_, _militaru_, _teknikol_, 
   {{0x827e00ad,0x7366032d,0x10630205,0x00000000}},	//   _goong_, _bongril_, _bajarayo, --, 
   {{0x90b700c5,0x92eb0265,0x8e4b028a,0x8efc0035}},	//   _广州黄沙批发市场_, _winnaar_, _ramadhaa, _бормалар, 
   {{0xcba501fc,0x12980311,0x0f410099,0x3b91020e}},	//   _misinkic, _ዳርፉርን_, _chesanga, _ikoniamo_, 
   {{0x427e023c,0x8eaa018b,0x10e500d1,0x3e090076}},	//   _دایټالیا_, _britanie_, _উপহাৰটোৰ_, _норвешка_, 
   {{0x927e048b,0x3ce501ac,0x198e017a,0x5b56004d}},	//   _xoong_, _إظهار_, _назир_, _蘭陽女中九名_, 
   {{0xea96028a,0x0777018a,0x031e00af,0xcbd502d7}},	//   _صارفين_, _catholig, _ядерної_, _caldebar, 
   {{0x00e5019b,0x29440148,0x85b6034e,0xc62d0188}},	//   _скандаль, _dialdict, _afgansuy, _махорати_, 
   {{0x8a7f0162,0xd00c0061,0x627e00bd,0xbc7a0061}},	//   _قاتارىدا_, _다이어트에_, _hoond_, _아프가니스탄에서_, 
   {{0x817a00a7,0xf2900119,0x00000000,0x00000000}},	//   _кичирайо, _sadang_, --, --, 
   {{0x924a0044,0x83a701f2,0xa79d0162,0x4777018a}},	//   _formed_, _натоғра_, _рүйлигә_, _gatholig, 
   {{0x375e01b7,0x93a3023e,0xefa0015e,0x12ef0054}},	//   _कुर्वीत_, _arupi_, _defensar_, _halinta_, 
   {{0x42d70265,0xc224009f,0x00000000,0x00000000}},	//   _antlers_, _kriki_, --, --, 
   {{0xf2fe05e2,0xcc770010,0xd9b7034a,0xb294044a}},	//   _recibir_, _aboshwe_, _infantís_, _bankisi_, 
   {{0x039404da,0x745d018d,0x4bd2019b,0xc2ea00ce}},	//   _ovisno_, _ኣይቆረጸን_, _receptų_, _pronons_, 
   {{0x831c01cd,0x827e010d,0xd3a302e5,0xaf3203dd}},	// [4b60] _мукаддам_, _woong_, _erupi_, _konsumua, 
   {{0x79a80076,0xac9500bb,0x726e036a,0x65ea0109}},	//   _гаранциј, _عبدالقہا, _torova_, _nasdílít, 
   {{0xff730276,0x027e007b,0x822401b5,0xbc4900d9}},	//   _كەتسۇن_, _boond_, _griki_, _раздража, 
   {{0x020203b9,0x817b004d,0x959902b6,0x5add0307}},	//   _masiki_, _亦因遠賢臣而江山, _сарбалаұ, _kubuchwe, 
   {{0x222400a1,0xd9ec0288,0xd20001b5,0x025302af}},	//   _ariki_, _eingrabe, _dumile_, _bimesham, 
   {{0x1eba0428,0x526d05e8,0x728601e1,0x526e012a}},	//   _strokovn, _bobona_, _артыуын_, _dorota_, 
   {{0x78ce002c,0x22e3050c,0x02570035,0x027e018d}},	//   _уралдаан_, _शिरीष_, _açıluına_, _ዘታሓታትት_, 
   {{0x30e0008f,0xf2ef01a7,0x139a0373,0x86090074}},	//   _स्वीटी_, _valinta_, _kompreni_, _насекомы, 
   {{0x1475029a,0xee6a0013,0xbd9101db,0xbce9004a}},	//   _kontiyen_, _yinchila, _мәңгүрт_, _аралашмы, 
   {{0x02900494,0xcbad00be,0x6a8d0125,0xf2ec02ac}},	//   _kamate_, _اۋتورعو_, _танышлык_, _ansiúd_, 
   {{0x2a560114,0x727e008f,0xe2010166,0x92130010}},	//   _בסטיפס_, _hoone_, _breite_, _baphe_, 
   {{0x92d8027f,0xe79d0157,0xd9bf025c,0xc4ec0169}},	//   _bikere_, _प्राइमरी_, _begeiste, _মিলাদ_, 
   {{0x62240408,0xb2900190,0x89f10321,0x71930061}},	//   _araka_, _mamaet_, _velikega_, _오염시키는_, 
   {{0x722403d8,0x93f4019b,0x1bb701bd,0x42480053}},	//   _braka_, _gautas_, _شىقپاقشى_, _tromol_, 
   {{0x72f20753,0x20eb01b8,0xb2020304,0xd79e022f}},	//   _ओक्रा_, _minimaal, _kasihi_, _грубы_, 
   {{0x8896019b,0x1c77042a,0x67250109,0x22da00e6}},	//   _генштаба_, _asisite_, _faktorem_, _posent_, 
   {{0xd740012c,0xd2020304,0x6f2000da,0x557e02c2}},	// [4b70] _المبارڪ_, _masihi_, _спектако, _afwesigh, 
   {{0x73050132,0xc3a303dd,0x60590375,0x78dc0040}},	//   _خولان_, _trupi_, _akusiyan, _בהילוך_, 
   {{0x6d52053f,0x1ae7012e,0x591e004d,0xeadf0116}},	//   _chacharu_, _الصلوۃ_, _布希國會演說全文_, _nummerin_, 
   {{0xc3ea0074,0xeffc02eb,0xdd7f00d0,0x3b6b002f}},	//   _vantaa_, _архинаас_, _tramitea, _enjoyper, 
   {{0x8c66013d,0x85a302c3,0x7b19015e,0xb5080193}},	//   _montris_, _notifiká, _ساعاايتق, _onderdil_, 
   {{0xac67006f,0xe2cf0004,0xed130322,0x83380185}},	//   _پرناب_, _rakonte_, _amasiter, _boxarí_, 
   {{0x558802db,0x1a8e00d0,0x67c10301,0xfbf802ca}},	//   _amamasim_, _мандухай_, _rəsədxan, _díthocsa, 
   {{0x92fc0211,0x11600271,0x668e02c4,0xfc270156}},	//   _blogin_, _depresjo, _самоубил_, _מאסעטשוס, 
   {{0x5c77005b,0x23ff02e9,0x16ea031c,0x5f40012c}},	//   _tsurumi_, _calzado_, _previsió, _ukusanya, 
   {{0xd20101ac,0xd2020224,0x1a150610,0x0f8c01e1}},	//   _breise_, _netinu_, _mutarama_, _спортсы_, 
   {{0xcc51001c,0xb1b300b8,0x7d370066,0x6202019f}},	//   _mantova_, _armasiña, _бизнест_, _fasihi_, 
   {{0xec040546,0x7d2301d9,0x6be30139,0x62390020}},	//   _पुनःस्था, _duesentr, _candracc, _saumani_, 
   {{0x327f00fb,0x905b0037,0xee220724,0x3ea602ff}},	//   _azange_, _በሻምፒዮናው_, _afamados_, _laguerre_, 
   {{0x5c77042a,0xec75001e,0xdc6b0139,0xf2010291}},	//   _usisite_, _aukuwar_, _bhruvau_, _treise_, 
   {{0x669200d6,0x19cd0367,0xf2e6032e,0x9db5047b}},	//   _chothabh, _homenage, _unanaka_, _andstygd_, 
   {{0x8d7901bb,0x4ad302b0,0x32d900c8,0xafd00304}},	//   _сайлавла, _gestatte, _шахматсы, _pelincir_, 
   {{0xc3640157,0xdd0300ba,0xa5a902ac,0x39c90061}},	// [4b80] _kingpin_, _ندمان_, _مبادرة_, _해외리포트_, 
   {{0xe2a6016e,0xe36300ad,0x836a0416,0x03490167}},	//   _projesi_, _manggih_, _partialm, _morfudd_, 
   {{0x311403c4,0xa8c7025e,0xec060163,0x81ac0177}},	//   _ачсам_, _fletting, _leggyakr, _иаҭазарц_, 
   {{0x2e6d05e5,0x076003f1,0xe6240230,0x92d8003e}},	//   _अधिकारिय, _michalov, _latotali, _dikepe_, 
   {{0x9dc40698,0x2a470203,0x84a40315,0x855d0291}},	//   _yimirije_, _assecura_, _atibandz, _متأخرة_, 
   {{0x5af70076,0x9e5a00a6,0x4610015f,0x52b4021e}},	//   _заменик_, _اکبرخان_, _atalyddi, _sticka_, 
   {{0x7ec303d5,0x2b4b00a8,0x1e540507,0x00000000}},	//   _perilous_, _chattava_, _tercinta, --, 
   {{0x48f800ee,0xd3a903bd,0xa2ef014d,0x00000000}},	//   _indartsu, _maaayong_, _liefer_, --, 
   {{0x73030071,0x15b60205,0x9225021c,0x5cd90037}},	//   _pelarut_, _ماهرلیک_, _styku_, _በማያሻማ_, 
   {{0x167e00f5,0x00000000,0x00000000,0x00000000}},	//   _фашистин_, --, --, --, 
   {{0xf6ee017d,0xef27037d,0x127f0117,0x32a602ff}},	//   _よくある質問_, _federaln, _haenem_, _danble_, 
   {{0xa24a0348,0x623e000f,0x326d044a,0x9349007f}},	//   _abumba_, _dosyasın, _bobola_, _forfudd_, 
   {{0xd37a033e,0x7f2b007e,0xbdb40205,0x53940120}},	//   _angango_, _amitauja, _پورون_, _malse_, 
   {{0x03ac00ec,0x07a802ef,0x00000000,0x00000000}},	//   _grupei_, _kontabli, --, --, 
   {{0xdf3b0031,0x8ad10291,0xb3aa020e,0x4c270418}},	//   _kebutuha, _الزئبق_, _hapakang_, _anaokulu_, 
   {{0x37ec04b2,0x0dbd03b8,0xb7030153,0x06a304d7}},	//   _tinatang, _تاپتاعان_, _お願いいたします_, _nemendaf, 
   {{0x0930026f,0xbd9d0450,0xbfaf026f,0xdbfd040f}},	// [4b90] _ءشۇكىر_, _sineeske_, _دويىردا_, _sklandži, 
   {{0xf5310192,0x79f50144,0x57520476,0x3c6d0090}},	//   _꿈꾸는수진_, _bagún_, _chingang, _chirara_, 
   {{0x82e50013,0xaa9e0297,0x00000000,0x00000000}},	//   _عباره_, _cömläsen, --, --, 
   {{0x57c70246,0xb27e028d,0x5c4204cb,0x57b5006c}},	//   _зависи_, _pogne_, _obiceiur, _акмалидд, 
   {{0x0d3c0311,0x565e03c7,0x9a730207,0xd3ac00da}},	//   _ጥንታዊትን_, _najładni, _kukamata_, _trupei_, 
   {{0x1bd603d4,0x47f90037,0xb5fe0135,0x335600ca}},	//   _прошле_, _ይግጠመን_, _bombasın_, _arafura_, 
   {{0xf213037c,0xb2470163,0x0b82018b,0x434601df}},	//   _kapha_, _olimpiai_, _amenajar, _bladdit_, 
   {{0x47cc04cc,0x386800be,0x0de8037f,0x19ca0181}},	//   _roeghaij_, _банкнотт, _dostluğu, _sayonara_, 
   {{0x92d803f3,0x8248014c,0x03730220,0x26d300e4}},	//   _enkele_, _umama_, _allarme_, _शाकिर_, 
   {{0xa2800153,0xc2fb0247,0x46cf024c,0x42c503c6}},	//   _ム状況記憶部_, _bachsin_, _fakultà_, _ridlike_, 
   {{0x58fb003c,0x5b6b019a,0x2bad03dc,0xada50291}},	//   _bakatipu, _floonder, _endurútb, _شهيوات_, 
   {{0x82d90044,0x1c2b0113,0x937b00b0,0x3ba002fe}},	//   _acres_, _cumannac, _waraaqo_, _azikhofr, 
   {{0xb2d90005,0x825a0482,0x1af4017d,0xc3ce0055}},	//   _scret_, _doolat_, _begrunde, _volvic_, 
   {{0xc65e0354,0xf2fc017e,0x2da700c4,0x7ecb031a}},	//   _бирма_, _blogon_, _ٿورڙو_, _bhuntain, 
   {{0xe2370540,0x26a70246,0x953703d5,0x9d3a0198}},	//   _deyja_, _натиск_, _aafilley, _koristne_, 
   {{0x189d02a5,0x3a080462,0x4c7602a6,0xd85901f6}},	//   _soutěž_, _andardst, _spiriti_, _detaljar_, 
   {{0x2caf0088,0xb00103d1,0xb9c70205,0x2c5a0039}},	// [4ba0] _اەستر_, _autoavār, _саналар_, _mintegi_, 
   {{0xdf3403b9,0xa239014f,0x9a3f00be,0x63dc0184}},	//   _kumunana, _gormiti_, _بۅۅدۅ_, _bibwa_, 
   {{0x5c4b003c,0xa5b604f2,0xe6ad00ca,0x00000000}},	//   _sunting_, _keangnam_, _guerrilh, --, 
   {{0x32f10465,0xcf18014a,0x49690238,0x00000000}},	//   _medijev_, _múltkor_, _åfiltrer, --, 
   {{0xd37c0129,0xa2f20318,0xc3120151,0x774d0178}},	//   _buwanye_, _anoinou_, _edibles_, _anantatv, 
   {{0xa2940334,0xbeb60046,0x0d9e0262,0xac76030f}},	//   _adakali_, _чемпиону_, _barlamha, _uparati_, 
   {{0x359102b6,0x856b033e,0xb27e02fb,0x1a870143}},	//   _المادىق_, _chamuchí, _hooni_, _индивида_, 
   {{0x6ece0321,0x8c7602dd,0x73f200dc,0xcc760240}},	//   _pomivaln, _sparati_, _fetuleni_, _wairusi_, 
   {{0x59be0156,0x3a5d0297,0x00000000,0x00000000}},	//   _טירנויער_, _кайларда_, --, --, 
   {{0x027e00fe,0x020002a7,0xb0b60158,0xa72b02ac}},	//   _mooni_, _pumice_, _जाऊँगा_, _بفستان_, 
   {{0xdc9702d8,0x8e50033b,0x850a00dd,0x829203e7}},	//   _प्रकारच्, _ngwalela, _alltudio_, _agtang_, 
   {{0xa28303db,0x3afc0061,0x7d6b018d,0x76f30087}},	//   _kutheni_, _초미니원피스_, _ዘይምሃብ_, _hivamakw, 
   {{0xe224045f,0x574b020a,0x92d900a6,0x4a190092}},	//   _frakt_, _ارشالى_, _ancede_, _コンタクトレンズ_, 
   {{0x73f402ad,0xbf580037,0x3c060488,0x7f4700db}},	//   _airtoy_, _ይጫወታሉ_, _vīrusu_, _klasside_, 
   {{0xcc1b0101,0x81d001b7,0x00000000,0x00000000}},	//   _urmatoar, _नोपपद्यत, --, --, 
   {{0x96b80184,0x228b0464,0x3a57012c,0xa8860299}},	//   _abafunzw, _bakaryam, _alimwamb, _بىريەرگە_, 
   {{0x4291032e,0x1f0300f5,0xe27e004f,0x7fc3005b}},	// [4bb0] _aytat_, _кесиленд, _coona_, _befinder_, 
   {{0xe30803db,0x925a0347,0xdf9f03f2,0x427e0155}},	//   _isabelo_, _sonlig_, _спровоци, _mogna_, 
   {{0x5a0503f3,0x00220050,0x86250058,0x1b180399}},	//   _alsamixe, _ngadadak_, _memidovi, _fungamis, 
   {{0x4e030162,0x621202f3,0x00000000,0x00000000}},	//   _соллақ_, _comhem_, --, --, 
   {{0x39ed0281,0x249d01f6,0x32ec02e5,0xe27e04fe}},	//   _kinguart, _দেৱতা_, _civilpe_, _gogna_, 
   {{0xb3870003,0x4cf2015e,0x0248068f,0x99610067}},	//   _waarde_, _بايما_, _omamo_, _fannifat, 
   {{0xe27e0020,0x22ea0444,0x60e8000d,0xd24e035d}},	//   _soona_, _домашней_, _कतुक्का_, _preduzim, 
   {{0xe4d600c1,0x1d1d0320,0x00000000,0x00000000}},	//   _तपकिरी_, _muhlahle_, --, --, 
   {{0x788901b7,0xdc3f0092,0xbe7703a2,0x087c0177}},	//   _निरीक्ष्, _ストップ安_, _सिंटेयर्, _рықәҵара_, 
   {{0xf4ca034c,0x448201db,0x34b301d5,0x00570003}},	//   _поэманың_, _қосуды_, _anyagokk, _frisdran, 
   {{0xb2c502e2,0x2d8b00af,0x9ae302a1,0x71a10060}},	//   _acolyte_, _договорі, _gestudee, _جەلىلەس_, 
   {{0x2c000163,0xf9d80138,0xc292010b,0xbeff0145}},	//   _الخلاء_, _inceleme, _dipalo_, _turkijos_, 
   {{0x499103c7,0x32ca03e6,0x7a0701f2,0x12da0267}},	//   _तिरछी_, _änder_, _раюниға_, _štedi_, 
   {{0xefe301f4,0x4ae302c2,0x626601af,0xb3ff0374}},	//   _باقتی_, _bestudee, _тупанлар, _усталари_, 
   {{0x77b9012f,0x630100c1,0xd27000c7,0x73bf01c4}},	//   _dairinai, _ketahui_, _aviatsiä_, _meebring_, 
   {{0x35ea02d3,0xd290037f,0xca550277,0x43dd0451}},	//   _презенти, _camaat_, _germinab, _dirwe_, 
   {{0xb7d000e0,0x6a4700a7,0x429105b8,0xc44a027d}},	// [4bc0] _wedstrii, _assegura_, _bytas_, _sledećoj_, 
   {{0xb2420207,0xbebb014c,0x8341006f,0x49d001c5}},	//   _nyumbani_, _ngasinye_, _desemba_, _wareegee, 
   {{0xd4b10205,0x6ce302ac,0x0f68025c,0x126d005b}},	//   _بیمارلر_, _لينُكس_, _anpassun, _cocoro_, 
   {{0x47740147,0x5e3503b1,0xebf501a3,0x47da0307}},	//   _بۉتچۉۉ_, _négociat, _سوچجي_, _kokubekw, 
   {{0xbcdf0061,0x00000000,0x00000000,0x00000000}},	//   _민주주의와_, --, --, --, 
   {{0x5e540220,0x41a900a7,0x1edc023d,0xc30100a7}},	//   _икономич, _тармакта, _спортал_, _estalvi_, 
   {{0x69290420,0xaa660258,0x429102a9,0xb68303fc}},	//   _северна_, _germaans, _rytas_, _bakepapi, 
   {{0xfb1a035b,0x8d86013c,0x970601ac,0xa34101a3}},	//   _preprost, _serverlə, _anatamaí, _ڀنڊار_, 
   {{0x4f420212,0xd1a2002b,0x61ad0418,0x356500ba}},	//   _eparchia, _অসাম্প্র, _karanlık, _پێڕاگه_, 
   {{0x62ff0247,0xb341033b,0x53a3062b,0x3516032b}},	//   _pesisir_, _dineelo_, _tsupa_, _مۇختار_, 
   {{0xe2900281,0x9ce700c5,0xe2fc0437,0x0c590370}},	//   _tamaat_, _第一财经日报_, _synger_, _bajuang_, 
   {{0xb30705d0,0x5aec01c9,0x52f30033,0x7aa50365}},	//   _tamaiti_, _kindlaks, _clinöz_, _सुम्निमा_, 
   {{0x6224017d,0x4fb90287,0x7209039f,0xd8810291}},	//   _asaka_, _investic_, _polynucl, _الفزعه_, 
   {{0xfc1f0233,0xd32b0156,0x00000000,0x00000000}},	//   _navalmor, _פּיצל_, --, --, 
   {{0x527f0699,0x1fa00065,0x1265015f,0x5c7701eb}},	//   _azanye_, _offenbar_, _annuwiol, _irurami_, 
   {{0xd27e0068,0x77a501b8,0x00000000,0x00000000}},	//   _doono_, _उद्विेग्, --, --, 
   {{0x1110016d,0xf0e10504,0x94600009,0x78dc00e6}},	// [4bd0] _ﭘﺎﺭﭼﻪ_, _डिजीटल_, _dolenjsk, _confondu, 
   {{0xd22403b4,0xc00f0321,0x421a019b,0x0a9c007e}},	//   _tsika_, _potrošni, _падпарад, _apasṛtaḥ_, 
   {{0x90270091,0x79e60094,0xf9840364,0x2af60184}},	//   _karenerk_, _қайтар_, _abrieche, _iyirembe, 
   {{0xf9c70145,0xbeea0037,0xe7d800c1,0xb28103a4}},	//   _багата_, _አቈልቋዩ_, _घाटकोपर_, _bilbelti_, 
   {{0x77230025,0x4fcc014d,0x4c6a0229,0xb78001c9}},	//   _सामान्यव, _geringer_, _buludlu_, _सर्वचो_, 
   {{0xbc5c00e9,0x660b02f7,0xa39502c2,0xcaf7020f}},	//   _fortinn_, _dikomiti, _hetsy_, _balufume, 
   {{0x62b4011d,0xc27e004f,0xe28c01f0,0xf7b502c2}},	//   _sticla_, _coono_, _digagabi_, _uitenhag, 
   {{0xdecd0051,0xe273006c,0x6301003a,0x4d4801de}},	//   _oktobris_, _abasasel, _ertangi_, _جوندەۋ_, 
   {{0x7fee0287,0x00000000,0x00000000,0x00000000}},	//   _घटनापछि_, --, --, --, 
   {{0x13ea0074,0x8d880277,0x616f02fd,0x17350138}},	//   _kantaa_, _greenlit_, _horisary_, _kıskançl, 
   {{0x78800306,0x1fad029a,0x92020321,0x724a06be}},	//   _kapitulu, _izolasyo, _prvič_, _haumia_, 
   {{0xa99000e4,0xc88702fe,0x127400a6,0xedac00e2}},	//   _znakomit, _ذریعه_, _وویله_, _treflike_, 
   {{0x927f00a9,0xe23f018d,0xd2a00342,0xf7b703a1}},	//   _uzanye_, _ተላኢኾም_, _defansif_, _валиден_, 
   {{0x13870050,0x2556059b,0xadb2019b,0x1f23017f}},	//   _ibarat_, _wahhabiy, _досыць_, _ammerlan, 
   {{0x3fc20107,0xc2d904fb,0x00000000,0x00000000}},	//   _کاموا_, _licores_, --, --, 
   {{0x0f5c0642,0xd344011f,0x63ea0143,0x42f30181}},	//   _प्रगत_, _imbegue_, _преместе, _faridyu_, 
   {{0x3c1d018b,0x0d9d0299,0x7201055b,0xdb8201de}},	// [4be0] _ориентат_, _ئاداشقان_, _steike_, _пішінге_, 
   {{0x83a30202,0xdd2c0096,0x2a3601f4,0x12ed00e6}},	//   _isupo_, _arangize_, _врачлик_, _消防监督检查记录_, 
   {{0x12da0264,0xceda01b2,0x221b03f7,0xe3f903e7}},	//   _alcober_, _anchreen, _barnasál, _maguin_, 
   {{0x7290018b,0xa3ea015a,0x92500076,0x00000000}},	//   _pamant_, _dantaa_, _перат_, --, 
   {{0xe3dd0104,0xc3d901da,0xc27e0482,0xd37f00a1}},	//   _zizwe_, _dollarë_, _soono_, _taharua_, 
   {{0x07770066,0xb7a90107,0x5be100e7,0x4062000a}},	//   _алдартну, _دوستانم_, _assenger, _danskiun, 
   {{0xe5720188,0x00000000,0x00000000,0x00000000}},	//   _телефонх, --, --, --, 
   {{0x5b860162,0x02cf0055,0x7200024e,0xdda80277}},	//   _پروگرامم, _cagoule_, _armije_, _giminusa, 
   {{0x394b046b,0xd74f0074,0x339401eb,0x09270291}},	//   _mamolaet, _elintarv, _dansas_, _واسرار_, 
   {{0xc35b001e,0x857801c8,0x022404a5,0x7c6a01ff}},	//   _kungiya_, _poplatní, _isiko_, _krstiny_, 
   {{0x398e00af,0x9c090231,0x82240134,0x52e900c7}},	//   _таким_, _stipula_, _asiko_, _печора_, 
   {{0x12700060,0x622400a0,0x52d9036d,0x2e0c008e}},	//   _كومپيۋتە, _iraki_, _aicese_, _espesiya, 
   {{0x127e02f6,0xce720420,0x47640041,0x927e0116}},	//   _anong_, _гостин_, _аҕәазаҟн, _loons_, 
   {{0x92bb02c2,0xc61c0213,0x3f0e0381,0x625b0448}},	//   _gereeld_, _ослаблен, _acetalwa, _lovlig_, 
   {{0xc29003f0,0x899d00c7,0xa3fa013d,0x1b1900aa}},	//   _gamalt_, _табыш_, _entute_, _balaanon_, 
   {{0xc2b4005b,0x7797002c,0x539400c7,0x993c04f9}},	//   _namco_, _баржээ_, _qalsa_, _kommunit, 
   {{0x1f9402ff,0x4aba00bb,0xd5370272,0xa3e601b3}},	// [4bf0] _chéry_, _جکارتہ_, _avunnamy, _лауреаті, 
   {{0x13800059,0x10d203f2,0x03890258,0xa3000376}},	//   _potrà_, _алфавиту_, _dęryn_, _galandi_, 
   {{0xfa91013c,0x83f90527,0x00000000,0x00000000}},	//   _şriftin_, _upoznam_, --, --, 
   {{0x373203ab,0x126e0640,0x127e04b9,0x5d7c01db}},	//   _informov, _poroda_, _coont_, _دانىشپان_, 
   {{0xe2240176,0xa23b0046,0x27720142,0x936e03d4}},	//   _araki_, _premiat_, _स्थायिभा, _zamenjuj, 
   {{0x527e0192,0xbf0601cc,0x3b34015a,0x724202d5}},	//   _woont_, _athedānī, _calaqqis, _बलबले_, 
   {{0xb2920286,0x427e0116,0xec3601d5,0x227e0026}},	//   _aguare_, _goons_, _معظمہ_, _toont_, 
   {{0x1224024f,0x0c6e028f,0xbe4f0213,0xd27e021c}},	//   _draki_, _aperama_, _единицу_, _klony_, 
   {{0x52d503c3,0xbdc50197,0x43a30499,0xec5304df}},	//   _odnosno_, _kominike_, _usupo_, _dostuma_, 
   {{0x3bde0754,0x3a15024f,0x83eb021c,0x07f80013}},	//   _अप्रतिम_, _bulataka_, _prsty_, _товарлар_, 
   {{0x83b003ea,0x4e470136,0x21fb01db,0x7d180296}},	//   _manque_, _karlovač, _قىزبەن_, _charterr, 
   {{0x326e0513,0x627e028d,0xc4040177,0xa57201f7}},	//   _doroba_, _kogne_, _евразиит, _grotowsk, 
   {{0xff1f0445,0xbab40354,0x00000000,0x00000000}},	//   _saneamen, _زىدانىنى, --, --, 
   {{0x9ab105b1,0x02da0197,0x63000314,0x8cf800ae}},	//   _telefón_, _posede_, _balaodi_, _aratomor, 
   {{0x469000ba,0x02240071,0x5e31016a,0x00000000}},	//   _دیوارێک_, _craki_, _deklaras_, --, 
   {{0xdc5301f7,0xb2240252,0x0c6a0193,0x7c5400bb}},	//   _costuma_, _tsiko_, _गोप्या_, _شرمگاہ_, 
  
   {{0x8d690107,0x73000274,0x83fa00ad,0xd34b0153}},	// [4c00] _ایمونولو, _talandi_, _lisung_, _ポイント対象商品_, 
   {{0x126e04ad,0x63870333,0xabd8010d,0x7290007e}},	//   _boroba_, _spartu_, _अग्रेसर_, _camase_, 
   {{0x82a6029c,0xf290028d,0xae00038b,0x3b2b02ec}},	//   _jumbe_, _lamare_, _diperlua, _galayaas, 
   {{0xdf4801d1,0x34860235,0xb2000428,0xcf4c000a}},	//   _possible_, _पुराणः_, _zalivu_, _ikissima, 
   {{0xfe3b0091,0x32d900b7,0x48dc00d0,0x43d40034}},	//   _katraqaq, _dollary_, _жунин_, _sundlaug_, 
   {{0x5bdf0379,0x82240092,0x39500205,0xd8430269}},	//   _अग्रवाल_, _osake_, _аппаратл, _vertidas_, 
   {{0x92da0245,0x62900101,0x2a02002c,0x02d900d0}},	//   _aireng_, _ramase_, _монцамэ_, _реппер_, 
   {{0x2248017a,0xa595027e,0xf3ea0234,0x7a1500a2}},	//   _omama_, _prouzrok, _isotan_, _kutazama_, 
   {{0xc2f002fb,0x3fcb01c4,0x527e021c,0xaba4022f}},	//   _fulimui_, _maandago, _clony_, _kapitalo_, 
   {{0x92a601b5,0xb2010415,0x166f0445,0x8e35037f}},	//   _kumbe_, _preise_, _ninguém_, _darmadağ, 
   {{0x71c70278,0xffa90203,0xc2b5034e,0x323c02f6}},	//   _bolehkah_, _confuser_, _atacha_, _taimtim_, 
   {{0x423404cf,0x52e600ea,0xd1ad0229,0x00000000}},	//   _afumane_, _mianaka_, _abbaslın, --, 
   {{0xf775063f,0x1808020e,0xe40002a5,0x59e503ad}},	//   _इन्सान_, _игнатенк, _बलभद्र_, _bijotina_, 
   {{0x69d10457,0xfc4b02a2,0x95c4030a,0xf26d01b5}},	//   _asseedee, _munting_, _kerakoll_, _mugodi_, 
   {{0xa98d018d,0x8394017e,0xea9104d7,0x824802bb}},	//   _መለክዒታት_, _valso_, _kennaras, _emama_, 
   {{0x2d1a0119,0x22240303,0xcaf90064,0x00000000}},	//   _wallonie_, _isake_, _amenacen_, --, 
   {{0xd506017e,0x3d7b01f0,0xbb35025f,0x92fb020e}},	// [4c10] _regularo_, _betlilwe_, _basambis, _bothata_, 
   {{0x852f006f,0x5da702df,0x5944028d,0xf304006e}},	//   _mwandish, _motosika, _chauvier_, _jagaram_, 
   {{0x73560207,0xc2480092,0x08290302,0xf27e0118}},	//   _مرحلو_, _amami_, _меҳвари_, _anone_, 
   {{0x79010039,0xa20102b0,0x07870060,0x0d8404df}},	//   _уйлаад_, _steine_, _دارالىق_, _deōziniō_, 
   {{0x93e90101,0xf3b0051e,0x20ef027b,0xc27f02b3}},	//   _советикэ_, _tanque_, _योगज्ञान, _ananos_, 
   {{0x31d303b2,0x5c57017d,0x76c8010d,0xd3010028}},	//   _recently_, _強い味方が必要_, _rajamobi, _istaagi_, 
   {{0x6290007e,0x88c70462,0xd300031a,0x056c0121}},	//   _samare_, _omething, _astaigh_, _animació, 
   {{0x9394019f,0xee9f04e9,0xbf4f02c1,0xe2ec0212}},	//   _mwisho_, _iqalungn, _imishaha, _divinae_, 
   {{0xe1330287,0xb26700d9,0xbe1c00ec,0xc14a014f}},	//   _odstarto, _raportoi_, _modernia, _спустила_, 
   {{0x823400f3,0xd26c00eb,0xa3dd03ef,0xde580037}},	//   _ufumane_, _kokobo_, _bizwi_, _ባደረግነው_, 
   {{0x068c00de,0x00000000,0x00000000,0x00000000}},	//   _angenaxi, --, --, --, 
   {{0xbf340183,0x747e0405,0xf2cb0015,0x25ef0450}},	//   _aferanda, _нирок_, _waadna_, _simmerti, 
   {{0x12060212,0x42900087,0x42d00374,0x00000000}},	//   _zikiwiki_, _fumaku_, _amaldir_, --, 
   {{0xf3a300d3,0x2e4f02e1,0x3d2c014d,0x3c7504fb}},	//   _दर्शकलाई_, _zippered_, _gängigen_, _oscuras_, 
   {{0x23f900c3,0x9388004c,0x42d50034,0x6386008d}},	//   _induit_, _alayisa_, _fallist_, _zuhra_, 
   {{0x934e015e,0x12b30058,0xe3c802eb,0x0e00021e}},	//   _castellà_, _nendoto_, _христитг, _kreditup, 
   {{0xac510008,0x238300f1,0x92900439,0x00000000}},	// [4c20] _mantega_, _lwayote_, _kumaku_, --, 
   {{0xc66f015d,0x4f3a04d6,0x46c60075,0xa0f0004b}},	//   _pozdrawi, _रीमिक्स_, _bilboksi, _hatisell, 
   {{0xa39401c5,0xa9ab04ab,0xd27f034b,0x229001ad}},	//   _balse_, _grijanja_, _saenem_, _dumaku_, 
   {{0xc4870255,0xd4b403b5,0xef250166,0x3b9902ef}},	//   _बनवावल_, _menantik, _badewann, _jimnetic, 
   {{0x84dc0035,0x72c101d2,0xcf3b0109,0x6d0300f4}},	//   _avtoşähä, _chilina_, _nosičů_, _evelkent_, 
   {{0x9b8d03a4,0x22ba0620,0xad9900e4,0x628d0414}},	//   _metingar, _conditi_, _streamie_, _metangam, 
   {{0x623a0079,0x330503f1,0x8f9101d3,0xb2d201f5}},	//   _ķemeru_, _odpadom_, _tenderar_, _foglamp_, 
   {{0xfb0702bb,0xa9820061,0x7ad6045b,0x00000000}},	//   _seniorów_, _소크라테스가_, _чистоти_, --, 
   {{0x69e60524,0xba390147,0xe206023b,0xae4a0294}},	//   _mirovina_, _جۅنگۅ_, _wikiwiki_, _favarone_, 
   {{0x7fb800be,0x11b20052,0x22820087,0x0290018f}},	//   _بايولۇقت, _adventní_, _michini_, _ovlah_, 
   {{0x79c40039,0x9ead02fe,0x262702d0,0x28c400f7}},	//   _defendat, _amathole_, _eddicati, _defendad, 
   {{0x92900212,0xb0c000a3,0x5cb5030b,0x92d9000f}},	//   _lojack_, _trommesl, _amuyigir, _incele_, 
   {{0x5fc30058,0xa27e0068,0xb1f700c4,0x50de0397}},	//   _speicher_, _gooni_, _رچرڊسن_, _abanezel, 
   {{0xc5bc0061,0x5317006f,0x3632022b,0x00000000}},	//   _변승우목사님_, _akubali_, _eginogni, --, 
   {{0xe6cb0326,0x35cb0326,0xf9b50231,0x5b320041}},	//   _achaurai, _achauray, _quadrata_, _инахыҳәҳ, 
   {{0xdc760129,0x55ff01e4,0xd42700ef,0x798c020a}},	//   _agirisi_, _स्रोतका_, _adlalayo_, _сатылады_, 
   {{0xf3f8019c,0x318300d7,0x63f8006f,0x00bc03a4}},	// [4c30] _lekun_, _флоты_, _pekua_, _fagurbók, 
   {{0x9e010338,0xde90017a,0x46a70411,0x2d3a0239}},	//   _remembra, _abamelen, _stoffski, _miritene_, 
   {{0xc1860343,0xbab700db,0x18dc0388,0x00000000}},	//   _kinalkul, _मांड़े_, _confindu, --, 
   {{0xb4d60755,0x03150092,0x9a8d0219,0x8c760085}},	//   _भेडिया_, _netbank_, _betingab, _sairusi_, 
   {{0xd88901ef,0xb8ca0137,0x00000000,0x00000000}},	//   _залагава, _бичвэрий, --, --, 
   {{0x00000000,0x00000000,0x00000000,0x00000000}},	//   --, --, --, --, 
   {{0x82a606b2,0x78640352,0xc34e001c,0xc4a9018b}},	//   _ntebe_, _nærings_, _castellã_, _jurnalul_, 
   {{0xa5c90391,0x1290034e,0x29db03be,0x2d4a04bd}},	//   _тантанал, _sumaku_, _arongora_, _kamamalu_, 
   {{0x2aa4000a,0x14ed00d9,0x83860036,0x67ec0414}},	//   _naligiis, _мобильна, _gairme_, _binayang, 
   {{0x88670450,0x60df0135,0x1abe02c2,0xf3ea04d7}},	//   _ferneamd, _ğomumän_, _weekliks, _brotin_, 
   {{0x041300fd,0x3c180044,0xf30d02ce,0x33790369}},	//   _ceistean_, _chapter_, _cicadas_, _makaino_, 
   {{0x09ff014d,0x33f8009f,0xd975014d,0x00000000}},	//   _tourismu, _odkup_, _hinnehme, --, 
   {{0xef350416,0x7ddc03ac,0x58640741,0xf87300be}},	//   _absorbar_, _syukurla, _lærings_, _قوجوجارد, 
   {{0x2a490092,0xaeb40119,0x0f670039,0x530703a4}},	//   _日常ミニミニ広東, _beyernes_, _диаграм_, _danberg_, 
   {{0x58ce0033,0x4eb803d9,0xa2bb0197,0x8d8400c5}},	//   _tradiziu, _rajoelin, _konekte_, _atteinte_, 
   {{0x629b0135,0x6b840162,0xca9d022a,0xce4c024f}},	//   _aleksey_, _аментлиқ_, _masiakas, _niaaaaaa, 
   {{0x21350008,0xc29101cc,0x00000000,0x00000000}},	// [4c40] _журмок_, _devair_, --, --, 
   {{0x65a9017d,0x91d101c5,0x6ecd038b,0xc3ac00f2}},	//   _よろしくお願いし, _wareegay_, _meringan, _grupai_, 
   {{0xb2d803ec,0xa26e00a2,0x1387012d,0xdb8d04a7}},	//   _lejen_, _gorofa_, _sherem_, _cándido_, 
   {{0x68c2013b,0x597e047d,0x2d98020f,0x9a0804c8}},	//   _portaleg, _analyséi, _دښوونځيو_, _edkarist, 
   {{0x8d2d0220,0x00000000,0x00000000,0x00000000}},	//   _indicare_, --, --, --, 
   {{0x204000cd,0xc3f80242,0x179e0213,0x4dc10134}},	//   _incumben, _yekun_, _арабы_, _irokeere_, 
   {{0xa3870235,0x4dc200bc,0x1e5700a0,0x362c000e}},	//   _acarat_, _pamiliha, _bahaushe_, _princidi, 
   {{0x9430012b,0x1c32003c,0x4ecd0227,0x00000000}},	//   _narkotyk, _اصطلاحا_, _keringan, --, 
   {{0xed780250,0xc9c80418,0xd23304fc,0x2d7f0216}},	//   _flamurit_, _geldikle, _permuto_, _nsululwa, 
   {{0xd3ea0387,0xc56b0364,0x32d8017d,0xd27e03ae}},	//   _protin_, _minorité, _dejen_, _vogna_, 
   {{0x42fc02e0,0xe11c0206,0x4386001d,0x516f0304}},	//   _bakatisi_, _spokojny_, _sairme_, _baliklah_, 
   {{0xe29800c4,0xdfbd0153,0x62240226,0x00000000}},	//   _سڀنيءَ_, _インプレッサ_, _isaki_, --, 
   {{0xd2d803ff,0x3d310478,0x822503b0,0x5dc6018b}},	//   _nejen_, _atribuit_, _trykt_, _такселе_, 
   {{0xe26e035a,0x6a2a0040,0xc9e60453,0x51b302b9}},	//   _moroda_, _הדיאטה_, _sirovina_, _یاترا_, 
   {{0xf3940035,0x4c930029,0xb27e03da,0xc97e016d}},	//   _kalsa_, _ڕامان_, _loonu_, _торбәтли, 
   {{0x4017014f,0xee41003d,0x793a0037,0x32010405}},	//   _наводно_, _agrandit_, _የሚመነጭ_, _greide_, 
   {{0x5729016d,0x806e01d8,0xb0ce0510,0x3cfd03a1}},	// [4c50] _مىليارد_, _chaphran, _арабской_, _фабрично_, 
   {{0x3e2f03ea,0x42010257,0xc9cf0165,0x0dfd0125}},	//   _historiq, _greint_, _domovata_, _намерика_, 
   {{0x2faa0453,0x831602eb,0x81ad030d,0xef3704c9}},	//   _napadača_, _erdaraz_, _abbaslıy, _nabubula, 
   {{0x836404d0,0x02b2001a,0xb26e04ad,0x26370260}},	//   _singdin_, _rendben_, _goroga_, _descubrí, 
   {{0xb9f90005,0x821b010d,0xbd4c0196,0x64e0004d}},	//   _indigena_, _प्रजाती_, _chiarabu_, _人氣總排行_, 
   {{0x53f803e5,0x539400c0,0x00000000,0x00000000}},	//   _dekul_, _aalsa_, --, --, 
   {{0xc2fd03f3,0x75010289,0x371700da,0xe4d70092}},	//   _loggen_, _akorinto_, _прелаць_, _周辺の地図_, 
   {{0x527e0202,0x499d0350,0xf1c6034c,0xe69c03ad}},	//   _foonu_, _ለመገልበጥ_, _бураннар, _jaderixx, 
   {{0xd27e006e,0x260b01fb,0x78430192,0x2a870013}},	//   _noonu_, _allocuti, _받았습니다_, _эндигина_, 
   {{0xb9e60191,0x513103fc,0x02c804ba,0x62fc0202}},	//   _forumind, _kartverk_, _escolle_, _roogun_, 
   {{0xc2000229,0xdf68022f,0x21a50529,0x53f2020e}},	//   _ilkin_, _karikatū, _navodeći_, _ketekeng_, 
   {{0x427f0440,0xce6d0149,0xf355016b,0x99f801e5}},	//   _vyanse_, _kọtin_, _kujerar_, _intaneet, 
   {{0xe8c50192,0x95870157,0x66b40376,0x4639004d}},	//   _energiev, _opatrunk, _byggismi, _財物類其它_, 
   {{0xc21e0114,0x4a5302e0,0x2e3d01ac,0xd6b60262}},	//   _שופינג_, _begelela_, _رسولنا_, _arassach, 
   {{0x62c4004b,0x1eb30338,0x806e04ea,0x94060281}},	//   _bamedisi_, _densitat_, _shaphran, _aaniaruk, 
   {{0xdaa90061,0x927f0198,0xf3f90101,0x07ca0153}},	//   _공식적으로_, _obenem_, _situatii_, _滋賀県草津市大路_, 
   {{0x659f004d,0x627e015a,0xf2ba03a9,0x00000000}},	// [4c60] _臺北市八德路_, _goonu_, _вагонашн, --, 
   {{0xf3fa0333,0xfbd900b7,0x3cb00185,0xf2240350}},	//   _rotule_, _хатарынд, _яхуди_, _ቆስጠንጢኖስ_, 
   {{0xb37f0056,0x82870219,0x218b03cf,0x0cf100e2}},	//   _ikhanda_, _ayekele_, _yasalarl, _kwetsber, 
   {{0xf880026c,0x3c680037,0x2a6b018d,0x3b00015e}},	//   _capitulu, _ይወሰዳል_, _ምትሕሓዝ_, _decisió_, 
   {{0xb2f101ea,0x68560022,0x6b6e00d0,0x3a0b0357}},	//   _ettirdi_, _шаярыу_, _birtuala_, _vagalala_, 
   {{0x9dbc030c,0x55370756,0xb3420066,0x729102f8}},	//   _kamisina, _जलेबी_, _atseden_, _matangii_, 
   {{0xbe0005e2,0x37e90193,0x22d80050,0xab6e016a}},	//   _necesita, _अधिकार्_, _sejen_, _virtuala_, 
   {{0xac28018d,0x55fc0336,0x327e0097,0x00000000}},	//   _ዝመንቀሊኡ_, _målform_, _toonu_, --, 
   {{0x12fd0528,0x437f00c4,0xb5a40439,0x1344022c}},	//   _uisge_, _ايماندار, _hlaselek, _bebende_, 
   {{0x548f0093,0x32000177,0x6c2a018d,0x29f60461}},	//   _управляю, _aecid_, _መዝነትን_, _apercebu, 
   {{0x79fa04e6,0x3c0a00dc,0x9ec400ef,0x47710273}},	//   _maghanap_, _atapula_, _akoyiswa, _compañía, 
   {{0x827e008e,0x021301a6,0xdafc02d3,0x035e0054}},	//   _yoonu_, _awahou_, _потенцир, _abdulmum, 
   {{0xf2e60369,0xb84c0192,0x1ede03ef,0x82ec01be}},	//   _abenera_, _없었습니다_, _abahezan, _logobox_, 
   {{0x12e50084,0x00000000,0x00000000,0x00000000}},	//   _bhineka_, --, --, --, 
   {{0x18d10159,0xcc8f03a4,0x9504055a,0xa2d00007}},	//   _амбасада, _vindorku_, _anotando_, _makeseni_, 
   {{0x54fb0109,0xa49f00d1,0x94ba01cd,0x22fc0040}},	//   _कैलाली_, _দাম্ভিক_, _ababenak, _sexually_, 
   {{0xf9d60058,0x20660013,0x33790037,0x5a0b03a0}},	// [4c70] _guverane, _arabisto, _imbasan_, _gagamala_, 
   {{0x232400ca,0x2add038d,0x86810065,0xd9f600bb}},	//   _omicidi_, _kontinye, _stadttei, _براڈکاسٹ, 
   {{0xf38700bd,0x42b601ab,0x5db00282,0xb29202f7}},	//   _spared_, _घुघुआ_, _hunuhunu_, _dipako_, 
   {{0x630104a8,0x9b87050b,0x226e0298,0x42d40219}},	//   _trebate_, _लैंगिकता_, _horoma_, _bhudza_, 
   {{0x706e0627,0xcfe70074,0x39cb0757,0x736400ad}},	//   _piaseczn, _привет_, _agrokora_, _cingcin_, 
   {{0x462200d9,0xbc6501c7,0xe4da0420,0xcc5c027b}},	//   _векторны, _душмеги_, _воини_, _पाशेन_, 
   {{0x12f90037,0xaf3403f6,0x874d0311,0x4858044a}},	//   _የመቻቻል_, _kumukana, _ብዝዓይነቱ_, _starvros_, 
   {{0xbc9304d8,0xe2a60375,0x0c930046,0x934302ba}},	//   _نالان_, _fumbo_, _بارام_, _норохат_, 
   {{0xf2a60103,0x1239012d,0x526e01b5,0x73040150}},	//   _gumbo_, _bosmeri_, _dirowa_, _rikoding_, 
   {{0xf61a0075,0xe61e01c7,0x828d03ec,0x00000000}},	//   _urtagarð, _birleshi, _edukata_, --, 
   {{0x4d360060,0x2dce0220,0xd25a0540,0x4224017d}},	//   _қайтып_, _предимно_, _fullum_, _asako_, 
   {{0xe8670238,0xa516007e,0x0d3e0024,0xd04c0040}},	//   _михайло_, _आर्द्र_, _ঘটনাৱলী_, _מהצורך_, 
   {{0x328301da,0x40290148,0xc62e0040,0xbf570022}},	//   _nishani_, _書名關鍵字_, _מותאמת_, _bomakhen, 
   {{0x82010075,0x63a6042c,0x23370052,0x1f1a00cd}},	//   _freist_, _propisim, _नियात्रा_, _animatur_, 
   {{0xadb300d5,0xca800175,0x488f012e,0x8cf203dc}},	//   _fiangona, _negosias, _مسابقت_, _flatsker, 
   {{0x9290019a,0xad550022,0x62790226,0xab0f008c}},	//   _breard_, _аллаһҡа_, _imbirani_, _chapient, 
   {{0x8ec100d6,0x4f410099,0xfc7604b9,0x6cf801db}},	// [4c80] _bronntan, _chesunga, _purrich_, _گەينەمەن_, 
   {{0x8af902da,0x86dc01c9,0x2f340050,0xe81700e6}},	//   _ilustrat, _मालिन_, _nguranga, _综合基础知识_, 
   {{0x8fe300bc,0x620100d2,0xbe2104fc,0x0a4f0347}},	//   _پانته_, _kaditu_, _hermosas_, _klimaats, 
   {{0xefc9032d,0x3da202f7,0x2c6e0210,0x03dd03a0}},	//   _белгесе_, _dianelap, _akarera_, _dirwa_, 
   {{0x8fb90148,0x3e6c023e,0xb0ef03f2,0x76c40153}},	//   _想要回應這一篇日, _گیپور_, _aurinkol, _おまとめロ_, 
   {{0x3994020f,0xc5ab0355,0x9b6903fb,0x2c3800c7}},	//   _ګرځېدلې_, _krapinsk, _opstanka_, _gäreç_, 
   {{0xc34e0008,0x22da02ff,0xb9a5009a,0xb98b002e}},	//   _castelló_, _ansent_, _سردارمحم, _svađu_, 
   {{0xc2a6019f,0x227e04a4,0x5b880164,0x8186041e}},	//   _tumbo_, _diong_, _һәқму_, _aciartul, 
   {{0xafa20192,0x45f30135,0xa37900ea,0x74710331}},	//   _상습누범에_, _deleğaçi, _ambaran_, _superdek, 
   {{0x629d016d,0xc95f0288,0xdcfa038e,0xa2a60121}},	//   _баралмай_, _katsimor_, _राजमाची_, _rumbo_, 
   {{0xc34f038f,0x4db300ea,0xa2e800ff,0x4a67027e}},	//   _armerzh_, _piangona, _ambicia_, _прилагођ, 
   {{0x9e050203,0x51090278,0x33420059,0xe2960365}},	//   _paneurop, _berkekal, _recesso_, _फेवोना_, 
   {{0x32ed03ba,0xa70900b7,0xd2780005,0x00000000}},	//   _besiege_, _верилир_, _turnar_, --, 
   {{0xc2e0007c,0xf2cb04e5,0x027e02db,0xc12200c5}},	//   _ofanako_, _abadda_, _biong_, _国务院发展研究中, 
   {{0x82020333,0xa107034e,0xbd20010f,0x7297033f}},	//   _truite_, _akakamuy_, _медалҳои_, _kaukauu_, 
   {{0x8aa60102,0x9e2104a7,0x42d100bb,0xb2cc00b2}},	//   _magharib, _fermosas_, _الشہداء_, _furdinni_, 
   {{0x92eb0359,0x64000456,0x3afc01e7,0xc61a0393}},	// [4c90] _wannear_, _kecurian_, _allereis, _osmogodi, 
   {{0xdd2d0184,0x330500ef,0x33dd00a9,0x9453041b}},	//   _arangiye_, _اومال_, _kizwi_, _thadlask, 
   {{0x527e04f7,0x3c5c004b,0x326e0282,0xdbec021c}},	//   _giong_, _bantril_, _koroka_, _rukavičk, 
   {{0x54050151,0x127f0234,0xa3ac0331,0xee4c02a2}},	//   _shrunken_, _ayanfe_, _sluppu_, _pamayana, 
   {{0x22e0024d,0x2356045f,0x126e02e8,0x39e60223}},	//   _efanako_, _arbetar_, _airova_, _бактер_, 
   {{0x62e70089,0x2aea02b1,0xf37a03ba,0xa47b0061}},	//   _башмак_, _kwalejin_, _popanen_, _청소년들의_, 
   {{0x627e05c9,0x343e00c5,0x32d9023e,0x6348033e}},	//   _xiong_, _有哪位朋友了解中, _ancene_, _memerai_, 
   {{0xd9b5006c,0x1afa02d0,0x69fa0290,0x17d8029e}},	//   _ализода_, _americae, _americau, _displegi, 
   {{0x0e630220,0x7320013f,0xdbae020f,0x00000000}},	//   _circonda, _furchet_, _elikrokr, --, 
   {{0x22240292,0x327f0116,0xa3ac0074,0xf7ec0140}},	//   _benkum_, _downa_, _tappaa_, _binabang, 
   {{0x027f03ef,0x220b0276,0xa8ca0037,0x103a054a}},	//   _nyange_, _жамаъәтн, _የሳምንቱ_, _virtueln, 
   {{0xe8e301d5,0x39d002f7,0x32d100d3,0xce4e036e}},	//   _کاشغر_, _bakerest, _takovej_, _aywakuna, 
   {{0xbfef0254,0xdecd0256,0x127e03e7,0x515e016d}},	//   _electrón, _potenciā, _siong_, _пәйзиват_, 
   {{0x89e303bf,0x74020244,0x9bf4021e,0xa0580059}},	//   _торатау_, _prenotaz, _gustafss, _блокиран, 
   {{0x827e022d,0xff4700b7,0xbd0e0272,0x9e3a00cf}},	//   _lione_, _иниши_, _ayambuke_, _diyaagra, 
   {{0x998e0374,0x426d003e,0x376e01c9,0xa8cf0350}},	//   _нафис_, _dibona_, _horvaati, _ስነጽሁፍ_, 
   {{0x738702a6,0xfb930016,0xd34901af,0x00000000}},	// [4ca0] _scarse_, _agentejo_, _direldi_, --, 
   {{0x6627004d,0xf636000a,0xe2a600fc,0x52da03ec}},	//   _delicati, _atungali, _pumbe_, _viseve_, 
   {{0x52d900cf,0xc2040220,0x0287009a,0xe26d00fb}},	//   _ameera_, _visibili_, _eyekile_, _nibona_, 
   {{0x5c3c00e4,0x3d9303ba,0xa5b80040,0x97120113}},	//   _मान्यताओ, _demedeme_, _טמפרטורת_, _micreafó, 
   {{0x4e1f028e,0x98670074,0x50b500af,0x74fb02d5}},	//   _hangamap, _процитир, _стимулюв, _छिनारी_, 
   {{0x226d03a6,0x4a710020,0x196d013d,0xf2bb0212}},	//   _bibona_, _apolofes, _vizitant, _honeste_, 
   {{0x658203c2,0x9c76016e,0x7d87025e,0x538800e4}},	//   _adidassh, _dairesi_, _afslappa, _tekstami_, 
   {{0xc1bd003a,0x00000000,0x00000000,0x00000000}},	//   _битта_, --, --, --, 
   {{0xa27e03d5,0x0b9c005e,0x096d01fc,0xb7e40652}},	//   _nione_, _تەيىنلىن, _kiriyaat, _skraćiva, 
   {{0xe9210300,0xa02e022a,0x1097015e,0xe200008f}},	//   _aktivní_, _polenado, _شىڭگىلىن, _sokid_, 
   {{0xb38000a4,0x938c0076,0x23f8040f,0x38fc0145}},	//   _haurem_, _чуден_, _dekui_, _алгарытм_, 
   {{0x750a01f2,0xc94d01b9,0xff3905e5,0x4f0c027b}},	//   _شىنخۇا_, _cenlight, _भाषियों_, _asākṣātk, 
   {{0x59b3004a,0xb05c01a3,0xd2d901fe,0xb31d034a}},	//   _терактла, _ريڙهيون_, _nicene_, _adicado_, 
   {{0xba150341,0x615c0244,0xe346000d,0xc7670405}},	//   _ortalama_, _чувал_, _meedias_, _гаражі_, 
   {{0x2ccf0071,0x526c00f0,0x6c6e02af,0x00000000}},	//   _ویلچر_, _lehote_, _ikarara_, --, 
   {{0x020001ef,0x196c02a0,0x8a8b059c,0x129002a3}},	//   _tokie_, _fijilant, _ordnungs, _sinaï_, 
   {{0x82e60184,0x46f001fc,0x029001be,0xb6b20178}},	// [4cb0] _ahanaka_, _bataatá_, _plakát_, _antarṇīy, 
   {{0xf27f02fc,0x372a002c,0xcd3b05b7,0xe4750235}},	//   _ayande_, _биемахбо, _mobitele_, _cintayen_, 
   {{0x72d80415,0x427e001b,0x69d9018d,0x39f9009a}},	//   _leben_, _ayinee_, _ዕርቃንን_, _aqwalase, 
   {{0x1059004c,0x07e200e0,0x2082050a,0x00000000}},	//   _amassann, _helptsji, _tübitak_, --, 
   {{0x4d2d0184,0x6ced014f,0x527f0417,0x00000000}},	//   _arinjiye_, _наставак_, _vyande_, --, 
   {{0xa25a0212,0x65860040,0x2f9b015c,0x4ccb0559}},	//   _goolge_, _אינטנסיב, _momenter_, _abahlanu_, 
   {{0xe9de0332,0x431302e4,0x3ade0220,0x02fc019c}},	//   _contenid, _antijokj, _contenit, _loogun_, 
   {{0x2d06055f,0x72e400c8,0xfc7203dc,0xcd2c0515}},	//   _birlikte_, _алтынсы_, _svarast_, _fatigate_, 
   {{0xe27f04c0,0x62250265,0xc7ce03fc,0x54770045}},	//   _nyanee_, _steken_, _journalf, _важније_, 
   {{0xf2d80121,0x9e210261,0xb76a0037,0x0c6601c8}},	//   _deben_, _permesas_, _ግለሰባዊ_, _sestrou_, 
   {{0xdb8a02eb,0x41ad013c,0xcb55042f,0x026e029b}},	//   _догол_, _maraqlıd, _piumayar, _amsolo_, 
   {{0x63ee0060,0xe8060223,0x6f2d0055,0x25b0039a}},	//   _фотосуре, _симфони_, _adreatin, _hangatny, 
   {{0x4b0001fd,0x5e4002af,0xa2d40318,0x72ec02f7}},	//   _decidió_, _kararuye_, _nofonoa_, _kobilwe_, 
   {{0x427e036c,0x52a6041b,0xf38f0132,0x128e0128}},	//   _inona_, _kumba_, _annyira_, _چقریله_, 
   {{0x1c0a00dc,0x618a0226,0x3cd601bd,0x669700a6}},	//   _amepasa_, _amabisal, _تانيتىن_, _ودراوه_, 
   {{0x72a60099,0xa24c0092,0x56530090,0x3ed602fe}},	//   _mumba_, _続きはこちら_, _akanganw, _aseyorda, 
   {{0x2f1f0611,0xa39b00bb,0x3f3a00e2,0x07e701ab}},	// [4cc0] _manejmen, _tanulság, _bornmeer_, _दुलरुआ_, 
   {{0x770500d6,0x4adf02d4,0x3fe102dc,0x327e015f}},	//   _cuntasaí, _schurmet, _estivemo, _dogni_, 
   {{0x99ec02a0,0x0ef40074,0x5c0a00a5,0x23d70061}},	//   _aibikita_, _становят, _emepasa_, _국가인권위원회_, 
   {{0x7c670206,0x00000000,0x00000000,0x00000000}},	//   _poltár_, --, --, --, 
   {{0x98d70211,0x083503dc,0x4d3d0392,0x9c3d0392}},	//   _питания_, _fremmand, _companac, _companas, 
   {{0x32a601c2,0x7aa4000a,0xcd5700c1,0x62b90008}},	//   _probas_, _naliliis, _बाळगून_, _تىزىلە_, 
   {{0x929104fa,0x6d4a021b,0x58600274,0xb27e0183}},	//   _anbark_, _прекрати, _óeðlileg, _anona_, 
   {{0x69440437,0x24760066,0x31cc0145,0x1e3a0083}},	//   _herunder_, _sustapen_, _выхад_, _abunents_, 
   {{0x4c000285,0x126d005b,0x83210035,0xcd1800b7}},	//   _baturuts, _rococo_, _aqayev_, _ahalteke_, 
   {{0x1a0e005e,0x6b67013d,0x950402d4,0x271c026b}},	//   _ﻗﺎﻻﻳﻤﯩﻘﺎ, _prilabor, _artetgel_, _llamativ, 
   {{0x1e370169,0x83b9004a,0x2af800d1,0x0b8d017a}},	//   _সঞ্চিত_, _баннерла, _নামেৰেই_, _anginaso_, 
   {{0xc62d0117,0x72fc01b9,0xf0b301bd,0xc04700cb}},	//   _litimapi, _polites_, _شوقپارتا, _балохо_, 
   {{0xf1ae0193,0x68410462,0x725b017e,0x0049038a}},	//   _ومسلم_, _eveloped, _tablon_, _chiriwan, 
   {{0xb8db01d8,0x44350282,0xcdf900d9,0xf37902be}},	//   _kharlyng, _tumanako_, _оранжевы, _ambagan_, 
   {{0x227e0220,0xeaf80024,0x00000000,0x00000000}},	//   _sogni_, _নামেৰেও_, --, --, 
   {{0xfb300056,0x1209033e,0xc3a504eb,0x126e0408}},	//   _беном_, _achyrocl, _क्रिस्टी, _vorona_, 
   {{0x52d802e7,0x7a6a0405,0xa20102a3,0x13e504a5}},	// [4cd0] _lebel_, _колишній_, _treine_, _januwari_, 
   {{0x34ba0758,0xc74d0178,0x5e4b009a,0xcc6600f2}},	//   _ababonak, _ananyatv, _akaphind_, _pietiks_, 
   {{0xc2df002c,0x82d8011a,0xb7720299,0x070a0060}},	//   _bereziki_, _tumours_, _ئىچمەسلى, _شاراپاتت, 
   {{0xbb27002e,0xd2af02e1,0x0ed40452,0x00000000}},	//   _jedanaes, _ridirí_, _कपाटात_, --, 
   {{0x4fc10261,0x00000000,0x00000000,0x00000000}},	//   _bronzepo, --, --, --, 
   {{0xd0e900c5,0xc111015d,0xfb2903d1,0x95ce0223}},	//   _新疆自治区_, _पितृका_, _nepaties, _баймж_, 
   {{0x901a0047,0x3a080142,0x23480074,0x0f33013d}},	//   _服务已开通_, _samayena_, _paketti_, _apartiga, 
   {{0x3200019b,0xbd0d022d,0xbf8a02cf,0x453b00c1}},	//   _kokia_, _insulair, _раководи, _पंखांवरच, 
   {{0x9e900085,0x8d05002b,0x96c5019f,0x60d90222}},	//   _daumaten, _সুইজারল্, _تونسا_, _ensoleil, 
   {{0xf26e0340,0x92170080,0x521301d2,0x99110010}},	//   _torona_, _aarhusim, _ayphu_, _bayatemu, 
   {{0x48e002f3,0x06c30170,0xa75c0420,0x05ad005e}},	//   _bakgrund, _anasinth, _reciclag, _әпсанилә, 
   {{0x0d850219,0x4725009a,0x2dac018b,0xd26e012d}},	//   _angenise_, _amampung, _хородишт, _rorona_, 
   {{0x12d801c5,0xe26e00d5,0x52a600d2,0x226d01c2}},	//   _hebel_, _sorona_, _sumbi_, _encoro_, 
   {{0x82920227,0xefae004a,0xd37c0434,0x1c2d0235}},	//   _datang_, _паркы_, _detalle_, _antakapr, 
   {{0x4dd104cf,0xc29e0371,0xc996011a,0x2c8d0213}},	//   _bakhethe_, _питах_, _מידעפון_, _дамаванд_, 
   {{0x36bb03ef,0x82a60102,0x2e93034e,0x22dc01be}},	//   _agafungw, _vumbi_, _climaman, _votoči_, 
   {{0xe239022d,0x4a8f0250,0x1fda00be,0x92000273}},	// [4ce0] _firmati_, _skenderb, _бюджетте_, _ánimo_, 
   {{0x2348014b,0x0b2b02ec,0xf3f4000e,0x62a6022d}},	//   _esgelli_, _qalalaas, _jettat_, _tumbi_, 
   {{0xc8be024a,0xb2d60244,0xd03f000f,0x3afe002b}},	//   _aladanid, _accordo_, _listesin, _স্পেনের_, 
   {{0x53eb03d2,0x9b780291,0x8804036b,0x00000000}},	//   _textom_, _وبسيطة_, _флората_, --, 
   {{0xa89d02a5,0x65a90126,0x05f90166,0x9dcb0137}},	//   _soutěži_, _частково, _kommerzi, _өвдвөл_, 
   {{0x202a003a,0x135f0219,0x825a022b,0xfa10004d}},	//   _kundalik_, _bunguye_, _einlig_, _speciosa_, 
   {{0xf86d0572,0x07f402f3,0x5c7d009a,0x5cf9019f}},	//   _बग्गा_, _felaktig, _amtsala_, _endelevu_, 
   {{0x786f0061,0x83d00167,0x3d030138,0xe30401f3}},	//   _공산품안전관리법, _cwrteisi_, _tohumlar, _nasadil_, 
   {{0xd69b00a6,0xdc340310,0x12d8057c,0xc2250039}},	//   _ارقامو_, _chladaic, _lejet_, _etekin_, 
   {{0xa2d9019a,0x51960169,0x1b0b0064,0x3290038f}},	//   _nicest_, _সংবিধানে, _acostame, _dukark_, 
   {{0x19ee03c3,0x9c2400b2,0xaf56008c,0xca9701b3}},	//   _novinara_, _bahaniir, _appartgn, _слабкіст, 
   {{0xe0cc0169,0x927e01ac,0x02000244,0x72cb02ec}},	//   _সুশীল_, _anonn_, _schifo_, _raadka_, 
   {{0x0d03013c,0xfa260542,0x63e60210,0x8639018d}},	//   _qohumlar, _लक्ष्मील, _akamukok, _ኮንፈደረሽን_, 
   {{0x27670238,0x12d90033,0x8ab20587,0xd2000211}},	//   _наразі_, _andeer_, _telefòn_, _tekisi_, 
   {{0xbc5b02a2,0x562500e4,0xfd370322,0x2dbc014d}},	//   _susunod_, _chomikow, _babikuye_, _songtext_, 
   {{0xa3fa0461,0x14b60164,0xc6d0008f,0x16b30193}},	//   _situat_, _قاتلام_, _टानिक_, _menertaw, 
   {{0xbb1701e1,0x49ab0562,0x11dd01cd,0xc5f30368}},	// [4cf0] _ntlafats, _arajunja_, _abanakum, _моменте_, 
   {{0xd3420113,0x37ee019b,0x5bdf0437,0x1b5a0227}},	//   _inneall_, _atsaking, _indekser, _hartanya_, 
   {{0xfbfc0286,0x62780082,0x39db00d2,0x2c930299}},	//   _kolosefo_, _murnar_, _pangante, _يانار_, 
   {{0x02000062,0xf6c3037f,0x22a6014b,0xaace012b}},	//   _alcin_, _portalı_, _dumbu_, _kontrowe, 
   {{0x2e010024,0xe3e30087,0x43560065,0x54010119}},	//   _kalendra, _hlomulak, _vereins_, _katundan_, 
   {{0xc98402a5,0x48bc00a7,0x00000000,0x00000000}},	//   _घुलमिल_, _камоолор_, --, --, 
   {{0x31fe0235,0xc2a600ad,0x69d000f5,0x0ece00c8}},	//   _ajuhavuḥ_, _numbu_, _деьил_, _талапсан_, 
   {{0xbac80139,0x8292022c,0x931000e7,0x127e0392}},	//   _जागर्ति_, _tatang_, _alsasay_, _lionn_, 
   {{0x90f00024,0xf41300bb,0xf072017f,0xb61601da}},	//   _সহযোগত_, _ماجدہ_, _arparujo, _sulltani, 
   {{0x92a6019d,0xcd1b020e,0x8dd102d5,0xae6d024a}},	//   _kumbu_, _ananetse_, _ठेकेदारो_, _kọrin_, 
   {{0x52ba007b,0x034101d7,0xe2d400dd,0xf557011a}},	//   _annexed_, _marenda_, _esbonia_, _בתכלס_, 
   {{0x4f430227,0x958b02f0,0x69750166,0x4c510609}},	//   _persauda, _basemakh, _einnahme, _cantiga_, 
   {{0x3ac30179,0xdee903bf,0x7be30386,0x10470038}},	//   _chavanne, _ashkelon, _kekeluar, _җенси_, 
   {{0x4bae007c,0xc37b012c,0x02e4014a,0xc7a7019f}},	//   _imihlobo_, _kiwango_, _átmérőjű_, _مفسرن_, 
   {{0x42120092,0xedaf0392,0x23220168,0xf4b4008e}},	//   _frihed_, _mhonarca, _stryke_, _malaayik, 
   {{0x7a070139,0x344e026f,0x784b0313,0xac370077}},	//   _adharott, _дінмұхам, _challijd, _braslè_, 
   {{0x93f801f1,0x63f702a9,0x2df00177,0x92a60322}},	// [4d00] _punuar_, _граніт_, _усзуҩны_, _arebe_, 
   {{0xa3940417,0x81f4034f,0xbb5101a3,0x00000000}},	//   _beeste_, _زېرمو_, _اسڪالرشپ, --, 
   {{0x325b03ea,0x2ac0008f,0xa73f0151,0xef670112}},	//   _onglet_, _कांपत_, _ammoinag, _pejabatn, 
   {{0x293a03f0,0xa26e0362,0x6d5a0035,0x13730307}},	//   _formlega_, _bosoto_, _дорес_, _ithande_, 
   {{0x6d7a0173,0x02d90230,0x3a0f00f3,0xbb1600a7}},	//   _বিনিয়োগ_, _ankoler_, _akaphend, _بولسوڭۇز_, 
   {{0x827e0533,0x22a600ad,0x4d9b0021,0xa7ec00da}},	//   _cionn_, _tumbu_, _aginalva, _рякция_, 
   {{0x087801bd,0x227e0287,0xe8db040b,0x33020569}},	//   _тексеру_, _fronty_, _tanganed, _slabije_, 
   {{0x82830013,0x6dde0172,0xa839010c,0x00000000}},	//   _kishini_, _monkenka, _इमर्जिंग_, --, 
   {{0xe93401d7,0xa291021e,0x09ef0061,0xab5600cc}},	//   _permetta_, _avtal_, _보내드립니다_, _verdenen_, 
   {{0xd553046d,0xb62701d1,0x75c30235,0x27bc0244}},	//   _khakhath, _medicati, _devamukh, _комуники, 
   {{0x4d1b0441,0x9283003a,0x42d4019d,0x8f420289}},	//   _expozice_, _lishini_, _akudza_, _akusanga, 
   {{0x50bb04ff,0xdae80485,0xca8b0155,0x296d0133}},	//   _hailangh_, _vedrøren, _ordnings, _diribaat, 
   {{0xdc28024a,0x06ed0383,0x937305db,0x3771016f}},	//   _atapọ_, _qaradhaw, _athande_, _образі_, 
   {{0x926301cb,0x39b90066,0xc6e800a7,0x547900f5}},	//   _nokuhlal, _харамсда, _турмушун, _basgança, 
   {{0xb1140222,0xff650685,0x663b0273,0x00000000}},	//   _hiérarch, _vandløb_, _equipaci, --, 
   {{0xa2f202d9,0xfc2c0195,0x19c10183,0x00000000}},	//   _mulinuu_, _greannac, _hanendre, --, 
   {{0x996d00fd,0x7eaa00a6,0x00000000,0x00000000}},	// [4d10] _còisirea, _مذاکرې_, --, --, 
   {{0x12230139,0xf487012b,0x62e30497,0xeb850153}},	//   _agocaraṃ_, _rekreacj, _attired_, _出品者はログイン, 
   {{0xf20602db,0xa9aa0188,0x93410155,0xaa2400d1}},	//   _diskrism, _воҷиб_, _varenda_, _কলপটুৱাৰ_, 
   {{0xe39401c5,0x326e02b7,0xad1b03c6,0x00000000}},	//   _amisom_, _mosoro_, _slingere_, --, 
   {{0xbb8703d8,0x510a0204,0x37380213,0x24f103ac}},	//   _dogodilo_, _означает_, _ожерелье_, _termahal_, 
   {{0x4c9e016a,0x525b0478,0x72cb00ef,0x51b10169}},	//   _תוויות_, _anglet_, _abadla_, _কাঠের_, 
   {{0xdd9b0315,0x0ad5034c,0xb3940134,0x00000000}},	//   _bahlanja, _аңлатам_, _ròyìn_, --, 
   {{0xba99012c,0x1e37020e,0x614d029d,0x86ca0223}},	//   _زياده_, _bakgtsha, _локотене, _тангараг, 
   {{0xb201007e,0x341a0013,0x4b99037b,0x9e8401eb}},	//   _aadisu_, _agentlik, _infierno_, _челискин, 
   {{0x7249038a,0x92f2004a,0x87e0002e,0xa8280299}},	//   _alampi_, _уклар_, _potpisni, _بەشبالىق_, 
   {{0x4c5d0755,0x59d7017d,0x33e6033e,0xbb070101}},	//   _प्रोमोशन, _hadersle, _chamakok, _lansarea_, 
   {{0xfc7304b9,0xb5ef0187,0xd9690096,0x00000000}},	//   _hearers_, _antecedê, _bakikore, --, 
   {{0x693f0148,0x73730139,0x13ac02ea,0xc0de02c7}},	//   _年全國運動會_, _bhramad_, _sappia_, _sonnenbl, 
   {{0xa294005b,0x3242020a,0xf26c0372,0xe5040205}},	//   _nakashim, _شۇنلي_, _esgor_, _butlovch, 
   {{0x8e1b0462,0xeb59015e,0xbded0211,0x9cc50348}},	//   _ambercha, _мөрөй_, _добивать, _bayitamu_, 
   {{0xe1d4007b,0xcfc80160,0x00000000,0x00000000}},	//   _kinsfowk_, _magistar_, --, --, 
   {{0x63f802e3,0x86220527,0x96b20178,0x377702eb}},	// [4d20] _recuc_, _povoljni, _antarṇīt, _онигоонд_, 
   {{0x33e20168,0x20af0107,0xcafc0211,0x9c240099}},	//   _fellessk, _استحضار_, _rehellis, _ashanyir, 
   {{0x32d90265,0x697d0222,0x92da017a,0xc7ee0153}},	//   _lezen_, _ancienne, _саховатп, _テキストのみ_, 
   {{0xec1a01b2,0x7200019b,0x125001f4,0x20d0023e}},	//   _cornered_, _kokie_, _берар_, _collicul, 
   {{0xdca100c7,0x039501c0,0x8c6d0139,0x00000000}},	//   _aralaşu_, _datse_, _chrutam_, --, 
   {{0x631000bd,0x43dc0062,0xa26e01e5,0x00000000}},	//   _bauchle_, _labwi_, _tosoro_, --, 
   {{0x2a9a0173,0xb32702d4,0x87780093,0x23460119}},	//   _দৃষ্টিভঙ, _darcheu_, _процента, _mendros_, 
   {{0x0869019b,0x856a00a4,0xd2d801d9,0x74ad020f}},	//   _autopliu, _азиядагы_, _gebei_, _بيځايه_, 
   {{0x5f2900cf,0x13430127,0xfc9500c1,0x00000000}},	//   _aantumma, _boutinañ_, _कोणकोणत्, --, 
   {{0x11f70250,0x1c120097,0x0f8d04c7,0xf2bc03d1}},	//   _qëndrimi, _egipiti_, _минерала_, _apprecēj, 
   {{0x99f801b8,0xc6a0023e,0x34e100fd,0x00000000}},	//   _saladuse, _الماسی_, _fràngach_, --, 
   {{0x069d0192,0x429c015e,0x301903c7,0x63dc036e}},	//   _해피선데이_, _минерлер_, _podrażni, _chiway_, 
   {{0x629106b7,0x72e800b4,0x367303b8,0x00000000}},	//   _ndwara_, _pozitia_, _хоббиі_, --, 
   {{0x66d7012a,0xdc280311,0x746302e7,0x10ba0350}},	//   _malarstw, _ኻህናትን_, _kwaderno_, _አባዊርቱ_, 
   {{0x8ddc0212,0x99e40320,0x13a8004d,0x3ad2048c}},	//   _pocketma, _farnbisa_, _道路構築物_, _betterte, 
   {{0xe94803b8,0x259200b9,0x193e025c,0xc3420120}},	//   _кафедрас, _प्रदेशात, _kommende, _esseren_, 
   {{0x4e370172,0x6c6204aa,0x10a202c9,0x69d902ee}},	// [4d30] _aduannua, _avarice_, _адмирато, _emendata_, 
   {{0x3dc801e9,0x3d150026,0x8fe9010d,0xadf601a3}},	//   _bothokga, _automaat_, _सामायिक_, _سائِيٽ_, 
   {{0xcf2c0140,0xa37c01ab,0x5248028b,0x2ef700c1}},	//   _katunaya, _detaile_, _imimbi_, _चुटके_, 
   {{0xbe2c0386,0xe7aa0189,0xaaea00bd,0xe27e048c}},	//   _mengemba, _destekli, _includin_, _bione_, 
   {{0x02940176,0xe2d90189,0x11c50075,0x12fe0116}},	//   _takashim, _gezen_, _avroknað_, _laricks_, 
   {{0xf20101b4,0x02ef02f3,0xa95e02ac,0x62010230}},	//   _besig_, _chefer_, _وأمراض_, _lesid_, 
   {{0xa968037c,0xb5260008,0xad960053,0xf37f030d}},	//   _veritate, _рухтарды, _panwaslu_, _fanatka_, 
   {{0x5f9001b6,0x027e02c5,0xc34100b2,0x426e01b5}},	//   _لنكيف_, _tione_, _bareeda_, _girosa_, 
   {{0x32b502cd,0x03060094,0x03040040,0x2c6a0193}},	//   _kauce_, _кеселдер_, _סטרפטיז_, _कुल्फी_, 
   {{0xf03203e6,0x23fa027f,0xcade01a6,0xd70f0425}},	//   _festbren, _biture_, _kaitakit, _مموزی_, 
   {{0xf04e00ff,0x03f4004d,0xf0f40211,0xe2d90265}},	//   _טורנער_, _看所有商品列表_, _sveitsil, _wezen_, 
   {{0x12fa02af,0x6d7800d9,0xa44f0022,0x62880060}},	//   _arahema_, _энергию_, _японияны, _ойран_, 
   {{0xe20103d7,0x6f56033e,0xbaf50197,0x42240079}},	//   _desid_, _apppleya, _abrevyas, _teiktu_, 
   {{0x9f670145,0xe2d401f0,0xa9cd0334,0x81da0374}},	//   _разбой_, _bhudda_, _akumtima_, _бизникил, 
   {{0xa3fa0212,0x8af20129,0x6c1d019a,0x00000000}},	//   _intuit_, _imirikit, _clippet_, --, 
   {{0x99d60073,0xd92a0041,0xfb5600e2,0x52f2001b}},	//   _funerale, _лскульпт, _gerdinen_, _gudisuu_, 
   {{0x1d650287,0x42bb010d,0xad720310,0x651c034c}},	// [4d40] _लघुवित्त_, _perduli_, _deamocra, _агентлык_, 
   {{0xf29e04d8,0x3fef0141,0x0d350204,0xd201031a}},	//   _امامس_, _امابو_, _планеты_, _greine_, 
   {{0x18990397,0xf27e01fa,0xdc46040e,0x50f700d1}},	//   _писандид, _sione_, _klippfis, _নোযোৱা_, 
   {{0xa2d40134,0xac7602f3,0x947b02fa,0xa4480374}},	//   _aimokan_, _leksand_, _amagerez, _тутмасли, 
   {{0x1d1b045b,0x940200e2,0x00000000,0x00000000}},	//   _flinkere_, _soargjen_, --, --, 
   {{0x5c6d0178,0x92d90342,0x4387023d,0xd1f701f1}},	//   _abruvam_, _rezen_, _scarpe_, _qëndrime, 
   {{0x77430211,0xdd66027e,0x4c6e012c,0xc14100b4}},	//   _новинки_, _критику_, _dharura_, _статулуй_, 
   {{0xa0960029,0xe2c90151,0xb6b50462,0x98b10181}},	//   _رازاوی_, _ammonic_, _arismach, _vandretu, 
   {{0x49530253,0x296d03d4,0x6d8f0291,0x41e80153}},	//   _ikiliart, _издања_, _حملته_, _よろしければ_, 
   {{0x8ae80473,0x73820060,0x4c440161,0xdb95022f}},	//   _zentrale, _جايلى_, _резервно, _вылазы_, 
   {{0x7b8f05aa,0x82ca0183,0x8856015e,0x1f2c02a2}},	//   _musikkor, _abidia_, _terrenys_, _patunaya, 
   {{0x22f703ab,0xebe0017d,0x6b70002b,0xf298029c}},	//   _prostaty_, _hotelser, _বহুদূর_, _chipulul, 
   {{0x226c0580,0x5177064d,0x2ec3028a,0x00000000}},	//   _rajona_, _kukaepel, _waungwan, --, 
   {{0xffd900f0,0xf3ea0130,0xb2a601c1,0x00000000}},	//   _dostatoč, _bikted_, _probis_, --, 
   {{0x5c5c029e,0x6c170303,0x427e0054,0x5c7602c7}},	//   _kartenn_, _baruabos, _anoni_, _messung_, 
   {{0xdccd0076,0xaf2d042f,0xf9b10306,0xe9840297}},	//   _читатели_, _uumunnga, _axidente, _декабрьг, 
   {{0xa2e603b4,0xd39402ac,0x920102c3,0x62d8030a}},	// [4d50] _akanaka_, _bhosca_, _nesie_, _debeu_, 
   {{0x10e60135,0x56d101be,0x5889040f,0x00e4011a}},	//   _başladıl, _ग्राहकहर, _падарава, _הטיסות_, 
   {{0xbfb002ca,0xc1700213,0x339905ac,0x00000000}},	//   _telesync_, _цхьаъ_, _fúsir_, --, 
   {{0xf3f401d1,0x27ef032d,0xb5d3021b,0x3f4704f9}},	//   _partly_, _оҙата_, _наступит_, _inissipp, 
   {{0x07e800b7,0x2f7302ac,0x11810321,0x926c0202}},	//   _хабарчыс, _مدهشة_, _pomanjkl, _kajola_, 
   {{0x029101fe,0x028703d5,0xc2e9036c,0x52e301d2}},	//   _dewava_, _finicky_, _ambinin_, _delisse_, 
   {{0xce1801be,0x2fae00cb,0x720000e4,0x00000000}},	//   _अम्बिका_, _балкӣ_, _uokik_, --, 
   {{0xd9b70078,0x76c7011f,0x7f5b02a2,0x075006a8}},	//   _прозора_, _куралеси, _pinangan, _bliznaki, 
   {{0xd2d80108,0xf26c0182,0xc2ea030a,0xbe030022}},	//   _lebet_, _kinohi_, _dicindo_, _туризмды_, 
   {{0x3c640040,0xfaa90088,0x6e1b00d9,0x4d5a0052}},	//   _הנמצאת_, _энеден_, _sateenka, _महीनामा_, 
   {{0x22490067,0x8d03001a,0x464d0061,0x5ba603ff}},	//   _ademaa_, _وگذار_, _서브프라임_, _evidenčn, 
   {{0x9f9a0121,0x59f1011c,0x00000000,0x00000000}},	//   _conducir_, _jéngukat_, --, --, 
   {{0xb3340044,0x14a5008d,0x52300331,0x87690350}},	//   _באריאל_, _دنیادن_, _byrjad_, _ይገለጣል_, 
   {{0xb35e04d7,0xef2c03f7,0x22050466,0x00000000}},	//   _forgang_, _affermin, _etnički_, --, 
   {{0x027e00ab,0xe5e9030d,0x3b96019b,0x3e4800c4}},	//   _hiona_, _insandır_, _школьнік, _شيڊول_, 
   {{0x52d800c3,0x72a00245,0x224a01b8,0xbd9d04e8}},	//   _debet_, _marbam_, _firmad_, _calorica, 
   {{0x0f950228,0x6a790291,0x00000000,0x00000000}},	// [4d60] _ordinære_, _وتدعو_, --, --, 
   {{0x6d8201ec,0x0ad80369,0x631702a2,0x42b400a4}},	//   _realesta, _asetarot, _kwentong_, _gencat_, 
   {{0x427e01ed,0xe5c30148,0x62d904b3,0x737903fd}},	//   _liona_, _星座排行榜_, _bageal_, _mataala_, 
   {{0x52f9030f,0x5848027b,0x2ffe03b6,0x00000000}},	//   _erihama_, _इद्धिया_, _àdánudúr, --, 
   {{0xcef800ec,0xd55a00be,0x61d90059,0xe1d70629}},	//   _карпарат, _جۅندۅسۅڭ_, _антония_, _armelcay_, 
   {{0x97e70038,0x364b0090,0xa345003d,0x31140153}},	//   _башлау_, _akandigw, _bandòu_, _サイトの使い方_, 
   {{0x33f9002c,0xc627050a,0x00000000,0x00000000}},	//   _badugu_, _hukuksal_, --, --, 
   {{0x52510169,0xcc4d03ff,0x42cc009c,0x3a87003d}},	//   _ভাস্কর_, _životy_, _chullin_, _barnaran_, 
   {{0xf30e0433,0xcea9023c,0xae2a0163,0xc7e0019b}},	//   _visayas_, _خوړینې_, _leggazda, _амбудсмэ, 
   {{0xd2d8034b,0xc27e0066,0xd98e0128,0xa95c00f3}},	//   _tebel_, _diona_, _жалил_, _evenezue, 
   {{0x9c0105d5,0x82450148,0xcc3b0061,0xa2e30258}},	//   _crescer_, _應當認定為工傷_, _카테고리에서_, _belibbe_, 
   {{0xc8400148,0x227901ef,0x82d800d3,0x4d1800bb}},	//   _公共藝術類_, _papildai_, _nebem_, _تھرتھرات, 
   {{0xaa13031d,0x70bc02c9,0xfc1b015f,0xc3f8023e}},	//   _debauche, _коордоня, _calonnau_, _cekut_, 
   {{0xa9b70203,0x33f80061,0x091c0299,0x00000000}},	//   _graduant, _손바닥으로_, _بۇزغۇنچى_, --, 
   {{0x826603c4,0x9c8501df,0xbd4a0041,0x62de01fc}},	//   _ئىملا_, _depended_, _абзиабар, _alfoonu_, 
   {{0x12000034,0x3f7d034c,0xdbe300f2,0xa64000c3}},	//   _lokin_, _aktivlaş, _nenovērt, _vicissim_, 
   {{0x52a702a7,0xfa5200da,0xa27e006f,0xfb660322}},	// [4d70] _stube_, _inseamna_, _jioni_, _abirirwa_, 
   {{0xa0790035,0xb264019a,0x0249016b,0xef24018d}},	//   _принтерг, _birlin_, _imamai_, _ንነፍስኻ_, 
   {{0xcfbb0094,0x763601ce,0xad8c01ac,0x90b5014f}},	//   _комменті, _amarhgil_, _وشاهد_, _окупљени, 
   {{0xc20001ef,0x03f800bc,0x920102a6,0x75ce0477}},	//   _tokia_, _kecut_, _decisi_, _terangny, 
   {{0xceb701cf,0xa3950082,0xb0d5020f,0xa9cd0126}},	//   _guastate_, _ratsa_, _شپيتمه_, _rimelige, 
   {{0xb39502f3,0xa958018d,0x02d80455,0x9dfc0268}},	//   _satsa_, _ተኣሚኖም_, _humeur_, _allegewa, 
   {{0x53f80256,0x3ed60390,0x92000176,0xf39903a4}},	//   _nekur_, _radiosun, _dokin_, _fúsur_, 
   {{0x0c8000c8,0xc347001b,0xd7590411,0xb68c0052}},	//   _венер_, _badeera_, _присутно, _दुलाल_, 
   {{0xe3950025,0x1dac0177,0x00000000,0x00000000}},	//   _vatsa_, _ианхадаз_, --, --, 
   {{0x43b30759,0x4df40238,0xf3950082,0x788604ed}},	//   _अनियंत्र, _екскурсі, _watsa_, _निवेदिता_, 
   {{0xb9db00ad,0x43940172,0x495a012b,0xcf130094}},	//   _panginte, _keesee_, _फ्रेंचाइ, _تىلدەسۋى, 
   {{0x3936000b,0xb9fa0117,0x4ee70126,0x5f2504b1}},	//   _alamagot, _intanese, _правові_, _veileder_, 
   {{0x3ea400ce,0x720000ea,0x67bd0263,0x1ec804b7}},	//   _balthide_, _bokin_, _gezellig, _opwinden, 
   {{0x16e0029f,0x53f401df,0x8200005b,0x7a8c014a}},	//   _pracujem_, _mettle_, _cokin_, _emailben_, 
   {{0xfffa02d5,0xbf010455,0x7224044f,0x1a380037}},	//   _elektroo, _composé_, _adikku_, _የተጣለባቸውን_, 
   {{0x285100f2,0xbd370366,0x57b50305,0x8bc8020f}},	//   _meistars_, _дионис_, _bilethog, _دکنړسيند, 
   {{0x63f4048c,0xb83a0037,0x1e510052,0xad0b002b}},	// [4d80] _nettle_, _ልጠይቅህ_, _चित्रप्र, _ভূমিকায়_, 
   {{0x2186041a,0x92d80521,0xeb2500d7,0xedcd0206}},	//   _економік, _tejet_, _булалыр_, _stropné_, 
   {{0x1be80016,0x29b30148,0x7b510258,0x1f12033f}},	//   _advokato_, _亦無老死盡_, _meidwaan_, _fuatauta, 
   {{0x05b90251,0x21c30371,0x72b500f2,0xb3f804d7}},	//   _wargeliy, _подобие_, _sauca_, _dekur_, 
   {{0xc8c80257,0xa888014c,0x03f800bd,0xcf6c0150}},	//   _flutning, _isikhund, _becum_, _paradaes_, 
   {{0x5a57006c,0xf5620026,0x6ffc0025,0xb2b40176}},	//   _паланги_, _때문입니다_, _व्यक्तिः_, _eyeco_, 
   {{0x1988020f,0x895700c6,0x830e002b,0x82d80434}},	//   _akuhamba_, _frisyrer_, _উদ্যাপন_, _dejes_, 
   {{0x427e0055,0x6e1801aa,0x139a0094,0x00000000}},	//   _pigna_, _assescla, _ۇرەيلى_, --, 
   {{0x6d1e0417,0x302e0696,0xc33d003c,0x2935004a}},	//   _sodoende_, _liderado, _ایحاد_, _berketü_, 
   {{0xa27e03f9,0x2db60316,0x00000000,0x00000000}},	//   _vigna_, _arangama, --, --, 
   {{0x72ce071b,0x4a96075a,0xfc040645,0x23f8023b}},	//   _utrolig_, _सन्मान_, _emisiji_, _halulu_, 
   {{0x72d80080,0x43790015,0x06990008,0x2be50142}},	//   _rejet_, _walaalo_, _арзандыг, _candrapr, 
   {{0x32d800c7,0x1b4b018d,0xf2020020,0x36d002ee}},	//   _kebek_, _ኣጠማምታ_, _druitt_, _akkademi, 
   {{0x77c90218,0xf25a0255,0x1dec0177,0x234101a3}},	//   _alestini, _hullem_, _ҿыцазтәи_, _پنڊال_, 
   {{0x7c5b0132,0x5a0202ec,0xf2d80409,0x83f8026a}},	//   _tartani_, _salaadda_, _lejer_, _malumu_, 
   {{0x63f40453,0x6c9e0109,0x6aca0012,0x23dd011b}},	//   _sastav_, _संस्कृतक, _बटखरासँ_, _nazwi_, 
   {{0xa3f80230,0xa54502fe,0xa036008f,0xfc6a031e}},	// [4d90] _sekur_, _abakwibh, _कराही_, _najznača, 
   {{0x29f00117,0x637901c7,0xd05b006c,0x50b50156}},	//   _longwane, _abraýa_, _akusiyon, _כאָולסיי, 
   {{0xf2d90237,0x6f5d0309,0x140702c6,0xf98300d0}},	//   _leren_, _hesablan, _alkimiez, _ariketet, 
   {{0xdf0701e0,0x13f8026c,0xfbe30057,0x028501f0}},	//   _تاریکیه_, _secum_, _sekeluar, _bothelo_, 
   {{0xa2d8050a,0x79e302c4,0xd2d800ad,0x838202f6}},	//   _bebek_, _покажа_, _jejer_, _aksyong_, 
   {{0xfc7f02da,0xf20201ed,0x339c002e,0x635b027f}},	//   _existem_, _latitu_, _izjašnja, _ningoga_, 
   {{0xc417006d,0x89f001f0,0x07680061,0x21490678}},	//   _пленарна, _bongwane, _아이디어로_, _skorumpo, 
   {{0xe2d9038e,0xa20000b9,0x2dcf00e6,0xe9ee0085}},	//   _keren_, _gokil_, _凡中华人民共和国, _siviyara_, 
   {{0x49310178,0xc2d80258,0xa37a03d9,0x4f3d0253}},	//   _वराहमिहि, _tebek_, _ambarao_, _aserfala, 
   {{0x72d90415,0x47060014,0x8f21029d,0x227e00bc}},	//   _deren_, _doktrinë, _protejea, _dhinas_, 
   {{0xb19501ef,0xc879004b,0xcccd004d,0x5f65028f}},	//   _членам_, _ентарий_, _影音娛樂物品_, _kararain, 
   {{0x12ec0099,0xb9d0015e,0x2b8a006c,0x5c0d0021}},	//   _adaidze_, _чекит_, _борок_, _allroomb, 
   {{0xe25b02ea,0x33f4004f,0xed8603a0,0x00000000}},	//   _moglie_, _bettee_, _masetase_, --, 
   {{0xbd1700fc,0x7b5b03f3,0xcd640287,0x21770141}},	//   _anglahbe_, _algemeen_, _mobilníc, _حالتده_, 
   {{0x726d0118,0xca88014e,0x5f3a0654,0xebbe00be}},	//   _kabona_, _paročist, _dibuatka, _күтөбүз_, 
   {{0xe28b002e,0xc2ba006c,0xb87e0092,0x6fdd0092}},	//   _postići_, _abaduni_, _いますぐ検索して, _学校法人山形デザ, 
   {{0x049900d1,0xe27e01cf,0x464500a6,0x93ed034c}},	// [4da0] _হোষ্টেল_, _ligno_, _abakwisi, _avtobusk, 
   {{0x9aa004e3,0x37030177,0x23f702ac,0xd3860241}},	//   _religijs, _нерудком, _تفاؤل_, _doorii_, 
   {{0xa0490046,0x32ca01b2,0xc978002f,0x89fb020b}},	//   _радикалд, _winded_, _achitust, _bodikela_, 
   {{0x20dd0013,0x3f8b0483,0xc0120244,0xa24c0291}},	//   _طیاره_, _bruxelas_, _gravidan, _يشتكي_, 
   {{0x3021005e,0xdf9a0297,0x22e7014e,0x29520238}},	//   _ﻳﯩﻠﻼﺭ_, _кабинетк, _прогон_, _vanligst, 
   {{0x927e0199,0xe04b03d7,0x8d130622,0x32770065}},	//   _khong_, _reprezan, _bitohoze_, _bekanntm, 
   {{0x42d9013a,0x13f90234,0xdd2a0226,0xe2da0178}},	//   _aeren_, _jesun_, _chapader, _diteþ_, 
   {{0x2c5d01cb,0x1413016d,0x6c0d03bd,0xaf69055d}},	//   _okutjho_, _ﭼﻮﯕﻠﯘﻏﻰ_, _bagpipe_, _merampas_, 
   {{0xf27700a7,0xcc7603f8,0x2cc80234,0xe0320347}},	//   _банкты_, _nucular_, _pààyàn_, _besturen, 
   {{0x92d903cf,0xd2ef00b2,0xf3490133,0x4c5b0371}},	//   _veren_, _annisaa_, _foyesii_, _cartoni_, 
   {{0xa3f1032d,0xa2b50055,0xa2d904f8,0xc5e90059}},	//   _matsatsi_, _rendite_, _weren_, _настанен, 
   {{0x0d730060,0xf5fd0031,0x5d41021a,0x2c1e020f}},	//   _بىلسەڭدە, _ngomongi, _barbaduu_, _نيمګړې_, 
   {{0x817c033f,0xb53a032d,0x82b501fb,0x74a301db}},	//   _angangal, _boshareh, _pendite_, _мемсанэп, 
   {{0x2f2c00e2,0x8206033f,0xf2da0014,0x569b037f}},	//   _beneamin, _likiliki_, _bisede_, _beyinlər, 
   {{0x9c630060,0xd2d90066,0xe2b50371,0xf20003ba}},	//   _болмады_, _zeren_, _vendite_, _tokit_, 
   {{0x52d902ea,0x123a02a6,0xd3fe0241,0x52fc00aa}},	//   _aereo_, _gandolfi_, _booranni_, _golists_, 
   {{0x2a1e0223,0x7387007b,0xd7a4026f,0xd27f0195}},	// [4db0] _миний_, _scarce_, _ءوزراقات, _chanas_, 
   {{0x63f90066,0x1b190152,0x5d7b005a,0x317602d5}},	//   _baduzu_, _yasağan_, _chomaghp, _कइेसे_, 
   {{0x320e00a7,0x327f00eb,0xb2a602eb,0x22b5075b}},	//   _карап_, _ebenim_, _greba_, _pauco_, 
   {{0xbc7501c0,0x124a01be,0xe2000414,0x7a9e0262}},	//   _hukumar_, _kosmas_, _dokis_, _bethowen_, 
   {{0x7852026c,0x52a60322,0x22d80347,0xe8840193}},	//   _incommod, _areba_, _jakobus_, _वेबसाइटव, 
   {{0x0e4f003a,0xe628075c,0x2b7100f8,0x00000000}},	//   _mojarola, _poništit, _দূরবর্তী_, --, 
   {{0x53dc02bb,0x2b9e0682,0x9437019f,0xdc2502c9}},	//   _kosmetyk, _अवरुद्ध_, _mashabik, _intalnir, 
   {{0x23f90261,0xe26e0399,0x00000000,0x00000000}},	//   _jesuo_, _posiposi_, --, --, 
   {{0xb69401b3,0x4ed90478,0x00000000,0x00000000}},	//   _струмене, _coiffée_, --, --, 
   {{0x5a9302cf,0xc200034b,0x1b000121,0x62250497}},	//   _можеби_, _bokis_, _decisión_, _beaked_, 
   {{0xd3440096,0x22ca000d,0x98b600c4,0xe2360107}},	//   _murenge_, _loodus_, _ترڪيب_, _paijo_, 
   {{0x0bb20065,0xc1d70268,0xf9e303bf,0xf9db0158}},	//   _spezifis, _aplestay_, _йоматау_, _sponsora_, 
   {{0x62910062,0xf95a0061,0xc5930015,0x1f5300c7}},	//   _avtah_, _리모델링은_, _maleegay, _боларны_, 
   {{0xd163041a,0xe37a02ff,0x00000000,0x00000000}},	//   _котика_, _monetè_, --, --, 
   {{0xa26c005b,0x765d015e,0x56f700c1,0xb1630299}},	//   _makoto_, _поэтикал, _पैलवान_, _زاڭزۇ_, 
   {{0xb2a70558,0x6c6e0322,0x3aea0127,0x00000000}},	//   _otubo_, _akarira_, _disteule, --, 
   {{0x62fb018a,0x143501b5,0x125100bb,0x22cb030b}},	// [4dc0] _bychain_, _himavoko_, _بنیئے_, _aukoola_, 
   {{0xe2d90107,0xf39504b4,0xc711006d,0x9df103ad}},	//   _lerem_, _satse_, _абэліск_, _jaddatta, 
   {{0x927e0113,0x928c00a9,0xd45700b3,0xe38900a6}},	//   _aigne_, _amakuba_, _berdinaz, _معاهدې_, 
   {{0x12d80107,0x93f901d7,0xec5c04a6,0x2ccf00ba}},	//   _yakobus_, _resun_, _svetsko_, _ریاچه_, 
   {{0xc9fb0132,0xae630450,0x3498036e,0xdb350017}},	//   _ellentét, _trochgea, _athapask, _अनुबाद_, 
   {{0xa20701db,0x93f9004f,0x442a00c7,0x126e02ef}},	//   _футболшы, _desul_, _модельне_, _depote_, 
   {{0xb40e02d7,0xf36602f6,0x03e100ad,0xe27f0328}},	//   _ensinanz, _hinggil_, _ngalakuk, _iyanje_, 
   {{0x946e0047,0xa20206bc,0x97a3045f,0x9eb104a7}},	//   _国家税务总局关于, _imrich_, _kundserv, _parellas_, 
   {{0x243e0147,0x620101ea,0x847703e6,0x4e880161}},	//   _ئللىنويس_, _olsin_, _bestanen_, _безумно_, 
   {{0x3264049e,0xe71c02a5,0xa200023b,0x98870019}},	//   _poslal_, _dopravní, _hekili_, _базарды_, 
   {{0x666703c1,0xc2fd00a1,0x941303ce,0x59e00297}},	//   _видеото_, _makariri_, _سازدا_, _agrosila_, 
   {{0x193a04f0,0x03dd036e,0xce070238,0xb0530076}},	//   _abelanwa_, _qhaway_, _символи_, _солиден_, 
   {{0x23570047,0x02fd049e,0x3e32026b,0xfc6e0247}},	//   _appeler_, _podnety_, _tabletas_, _dibusak_, 
   {{0x5c290014,0x5d2e01d4,0x93870016,0xb3f90145}},	//   _ካህናትን_, _litigare_, _kupro_, _sesuo_, 
   {{0x33f90193,0xb5be0126,0x4521047d,0x9a3501a3}},	//   _mesum_, _останніх_, _cornisch, _جسوڌن_, 
   {{0x5c53042b,0xbae30308,0x7afc0299,0x8f5e0176}},	//   _gostima_, _melembab, _ئەشھەدۇ_, _jobannon, 
   {{0x6f490041,0x3d9e0021,0xe1b7004d,0xf7d1022b}},	// [4dd0] _рструкту, _artleyha, _請問你有這樣的準, _fiskitúr, 
   {{0x0f6e0025,0xee4400ce,0xb9ec013d,0x752f012c}},	//   _राष्ट्रं_, _konsolid_, _skribita_, _muandish, 
   {{0x42d90265,0xc52a0162,0x635400b3,0x99ce0350}},	//   _gezet_, _ئىفتار_, _berdiň_, _chempaka_, 
   {{0xa7bb02da,0x1c5c029e,0x5fb7035d,0x4ce902b6}},	//   _останати, _gartenn_, _saglasno, _араласпа, 
   {{0xd9d504ac,0xfe9e01bd,0x4dd800e6,0x835401c7}},	//   _главную_, _қаулы_, _年农村基层组织建, _derdiň_, 
   {{0xebe3002f,0x36cf00a2,0x227f0265,0x00000000}},	//   _arkengar, _kujadili, _ehands_, --, 
   {{0x3ece03ea,0x2b8c008a,0xb30e013b,0x3ae4000d}},	//   _environn, _fatitoto_, _bisayas_, _vestlust, 
   {{0xdc720079,0x8e330083,0x0b570212,0x61480299}},	//   _sapratu_, _ampluias_, _germanor, _تاشپاقىل, 
   {{0x4c6100a2,0xc34101e1,0x002b0343,0x13640103}},	//   _lipumba_, _diketso_, _imbensyo, _avagara_, 
   {{0x399d0147,0xf2e805bf,0xed1301b5,0x203000b6}},	//   _калып_, _porfix_, _efasiter, _ellecabo, 
   {{0x4d0a038c,0x61ef03ff,0xddaa006c,0x15440037}},	//   _učlanjen_, _brigády_, _abangofa, _መመሥረት_, 
   {{0x90320272,0xdceb0280,0x0c80032d,0xce7103f4}},	//   _abatagen, _पैगम्बर_, _себен_, _импульсн, 
   {{0xa2f30150,0x03540130,0xb35a018d,0xaea000bb}},	//   _dediket_, _adwelet_, _ዝወረዶም_, _کھسوٹ_, 
   {{0x259a02d3,0xd98d0125,0x4e1b020e,0xdc090192}},	//   _поголемо_, _bashgada_, _fenetjha, _portokos, 
   {{0x33950087,0x9c0b00dc,0x42dc030f,0x12c50405}},	//   _katsa_, _amupasa_, _tokoiti_, _samleie_, 
   {{0x170d0701,0x5342043c,0xf9900265,0x00000000}},	//   _tantachä, _sabendo_, _rechthoe, --, 
   {{0x82ca005b,0xb286016e,0x53950082,0xfebd04ad}},	// [4de0] _umeda_, _ingiliz_, _matsa_, _bonneten, 
   {{0x93780082,0x18d80307,0x0dad01d2,0x00000000}},	//   _alfasha_, _nasekulu, _hapinapa, --, 
   {{0xd89702ac,0xb27f0454,0xbae50064,0x00000000}},	//   _قريبا_, _vyanje_, _enfronte, --, 
   {{0x13070031,0x02d900d3,0x0453018d,0x6e4503db}},	//   _dikasih_, _herec_, _ትምህርቲን_, _bayayifa, 
   {{0x09f703b0,0xa2fb0359,0x8f970188,0xbc6f0138}},	//   _samanset, _kolleezj, _агроинве, _korumak_, 
   {{0xd2a6010b,0x325a02a3,0x00000000,0x00000000}},	//   _tsebe_, _knolle_, --, --, 
   {{0x267b0311,0x00000000,0x00000000,0x00000000}},	//   _ኣይተለወጠን_, --, --, --, 
   {{0x9fb1017d,0x35df0409,0x5f5e0019,0x07800040}},	//   _すべてのカスタマ_, _understø, _полициял, _ומפנקת_, 
   {{0x940e0193,0x1e47051e,0x50d70161,0xc3950403}},	//   _अध्यक्षप, _balancea, _широкой_, _datsa_, 
   {{0x6ae60179,0xadd5040b,0xab2d01ad,0xeb0c00bc}},	//   _oberurse, _sekhitha, _kalampos, _یانیس_, 
   {{0x893f013b,0xd01e0040,0x16cb03c4,0x5bd501e5}},	//   _alemanya_, _בולגרית_, _көргәзми, _olodumar, 
   {{0xbdab02a2,0x09940022,0xf70702ea,0x9cc70282}},	//   _ipinanga, _күмелгән_, _тампони_, _ngaitahu_, 
   {{0x267501ca,0x8381005e,0x79e70244,0x42d80088}},	//   _bochmohw, _دىيەرلىك_, _каменни_, _rebeu_, 
   {{0xe3fa012f,0x6a2a0040,0xd85f0316,0x3a2b007e}},	//   _bitune_, _ודיאטה_, _aljannar_, _श्रीभवान, 
   {{0x78dd0153,0x103402b9,0x00000000,0x00000000}},	//   _スキルアップ_, _kerestek_, --, --, 
   {{0x615e025e,0x1f2803f1,0xca890193,0x00000000}},	//   _morgunbl, _majiteľa_, _kesiapan_, --, 
   {{0x8a6e000e,0x917900d0,0xa290007e,0x74870486}},	// [4df0] _nepotess, _анхилам_, _dinair_, _वाहाकी_, 
   {{0x52d800b9,0xc82f0299,0x439401da,0x1b2800a7}},	//   _tebet_, _ئاپەتنىڭ_, _thosha_, _газпрому, 
   {{0x527e019a,0x52da01d9,0xc37906ce,0xccaa018d}},	//   _shines_, _nawell_, _bolaño_, _ተሓታቲት_, 
   {{0x5539008b,0x17c6034b,0xaad7036d,0x11c9005e}},	//   _barewuñu_, _pairapim_, _crewiche, _گېنېرال_, 
   {{0xe3160006,0x0c5b0082,0x17b30025,0xd62b01f9}},	//   _membeli_, _martani_, _प्रधानम्_, _aseningi, 
   {{0x52f1043a,0x13f401c8,0xdf6b0102,0xf23e0080}},	//   _monitav_, _nastav_, _pembezon, _igammik_, 
   {{0xa8730093,0x132101c3,0x527e008c,0xac760187}},	//   _телефоне, _ampys_, _aigna_, _escutar_, 
   {{0x7fda00be,0x526e0408,0x0200023b,0x0291033e}},	//   _اتچۇۇ_, _mirona_, _pokii_, _kogara_, 
   {{0xcb9a0269,0x72910334,0x4aac006d,0x325a0130}},	//   _invierno_, _amwala_, _жылой_, _bullom_, 
   {{0xe2d900a1,0x026c01b4,0x92910054,0xd373000d}},	//   _herea_, _spoor_, _dogara_, _tuhande_, 
   {{0x12d90240,0x927e0352,0x936400c0,0xaeb102b9}},	//   _kerea_, _eigna_, _aangkin_, _ittlakun, 
   {{0x7c1a0255,0xb373049b,0xb0f001ab,0x829d042c}},	//   _चुनौती_, _ruhande_, _खिआवत_, _ciljeva_, 
   {{0x08c90590,0x1dfa0092,0xbedc0062,0x00000000}},	//   _мэдмээр_, _cometrue_, _reghulus_, --, 
   {{0x601f0024,0xcc2e01d2,0x9d02001a,0x127e0049}},	//   _পশ্চিমীয, _antakanc, _عبدالوحی, _ihona_, 
   {{0x138602ee,0xbe2a0074,0xc98601ab,0xd90b05aa}},	//   _enormi_, _начально, _एहिमें_, _tomatsau, 
   {{0x1c97005e,0xf38a0010,0x32240240,0x0da102ee}},	//   _گىلادىئا, _bengikuj, _veikau_, _iddomina, 
   {{0xaf660009,0x82f200ee,0xe9320205,0x6ae00026}},	// [4e00] _ljubezen, _baliatu_, _farmatse, _utrechts, 
   {{0x027e0233,0x83dd0062,0x93160087,0x0d930229}},	//   _digni_, _harwi_, _hembeli_, _qoroskop, 
   {{0x7387013d,0x3b2a0368,0x80bd014a,0x62fe000d}},	//   _supre_, _миланско, _fülhallg, _tasapisi_, 
   {{0x0317014c,0xad7903ba,0x1dd5007c,0x305201cd}},	//   _amazwe_, _submerge_, _nekhutha, _дурандеш_, 
   {{0xd31c01d9,0x4acc027b,0x6c7d01bb,0x62110041}},	//   _flicken_, _ल्यपि_, _bedrelp_, _ҳрыҳәон_, 
   {{0x1ea50040,0xbc7200f2,0x3494004d,0xbecc018f}},	//   _בואכם_, _saprotu_, _本頁最後更動時間_, _duboqnis_, 
   {{0x78420329,0x827e023b,0x99ce02bd,0xe30f0194}},	//   _overpass_, _ahona_, _arbenige, _insacar_, 
   {{0x77af0148,0xcc630287,0x22a60473,0xf7870060}},	//   _發表了日記_, _deprese_, _krebs_, _ماناسىم_, 
   {{0xb2b3056e,0x50e803c2,0xa9ed019d,0x6f3e056f}},	//   _fundado_, _definabl, _akatikhu, _naprikla, 
   {{0xe343023d,0x82fe027d,0x437f04c9,0x0c0e0156}},	//   _livello_, _svugde_, _kroasya_, _apotekis, 
   {{0xf26e00a7,0x32e20217,0x02d901b4,0x69d30262}},	//   _girona_, _ordonez_, _berei_, _тэзелеме, 
   {{0x44f40255,0x221f0444,0x2a7e004c,0x034303b3}},	//   _अभिज्ञात_, _обладать_, _agwanira_, _nivello_, 
   {{0xc2020115,0x9a3400d1,0xd40003c5,0xa2d800c5}},	//   _resipi_, _কালিলৈ_, _taburkan_, _rumeur_, 
   {{0x2a49024f,0x12d90050,0xb2ee004f,0xc603017f}},	//   _kakecega_, _tereh_, _ginnaaw_, _frelseri, 
   {{0x7be200da,0x2a5a0220,0x83fa012c,0xe7b504ca}},	//   _дестрэма, _санданск, _mitume_, _centreaf, 
   {{0xbd580600,0x6f2800c7,0x298d0307,0xa21c0299}},	//   _कालभैरव_, _алжирлыл, _kuthanda_, _ساقايغان_, 
   {{0x931c017c,0x42d80421,0x32b301ae,0xe7e501f3}},	// [4e10] _blicken_, _ueber_, _fundido_, _cukrová_, 
   {{0x36b2040f,0x02550153,0x3ec30102,0x8292008e}},	//   _dangteli, _ナイス書き込みラ, _ikizinga, _liqaam_, 
   {{0x22d800c7,0x786d0133,0xa3860062,0xd86b00d7}},	//   _seber_, _baribaad, _ghorwi_, _указына_, 
   {{0xf3870114,0xcd9f00e4,0x02e901fe,0xb1d90161}},	//   _fabric_, _katowica, _matnitu_, _построил_, 
   {{0x37ec0140,0x7a020184,0x97c4028b,0xf2d90086}},	//   _panalang, _batavuga_, _ргәыҧи_, _mezei_, 
   {{0x4e99033e,0x32950321,0x37480055,0x82920131}},	//   _карпенте, _ostalimi_, _accittev, _úsase_, 
   {{0x6389033e,0x4f4200f3,0xab450364,0x8fb904a7}},	//   _ahuyama_, _ekusinga, _komponéi, _míticos_, 
   {{0x98c8005b,0xb6a00017,0x0da70295,0x62000372}},	//   _slutning, _गोविन्दर, _kilisita, _docio_, 
   {{0xc90d005c,0x02d9033f,0x3374006d,0x00000000}},	//   _bagabanu, _rerei_, _вядзьмак_, --, 
   {{0xa2da04cf,0x73f80148,0x66260233,0x82d90163}},	//   _awanike_, _secus_, _obstacul_, _merev_, 
   {{0x293f00d9,0x5f3901be,0x00000000,0x00000000}},	//   _elementt, _चिटिक्क_, --, --, 
   {{0xa8870039,0xf23604c4,0xf2d8075d,0x5a830263}},	//   _наранд_, _saaja_, _peber_, _filialen_, 
   {{0xdf57022f,0xa27f0488,0x83f90020,0xc22702eb}},	//   _merginos_, _zvanot_, _fesui_, _магнайд_, 
   {{0x525c01c5,0xe2f301fe,0x3b4c014a,0x22d90183}},	//   _habeenim, _kalaveti_, _شیمپو_, _edrey_, 
   {{0x3c1d016a,0x43ce0092,0x7f1300f2,0xfe5000a6}},	//   _משכון_, _コストパフォ_, _bezdarbn, _akwanela, 
   {{0x53f800f1,0xab9702ba,0x00000000,0x00000000}},	//   _recur_, _ashisayo_, --, --, 
   {{0x4deb018d,0x63f80217,0xc26d008d,0xa2e60020}},	// [4e20] _ውጽኢቱን_, _secur_, _rivoji_, _epenesa_, 
   {{0x89ad014a,0xeaad02c6,0xfee90156,0x00000000}},	//   _dalszöve, _bravente, _מחברס_, --, 
   {{0xe614018b,0xa7a70211,0x2e2304fc,0xd17e0205}},	//   _оформаря_, _публикую, _hermosos_, _волосеви, 
   {{0x539d019e,0x2e3c04ca,0x5d050233,0x41be00e6}},	//   _занесены_, _apulians_, _retroduc, _大力发展职业教育_, 
   {{0x727e0533,0x469b0590,0x06270044,0xaf4a0177}},	//   _bhonn_, _эзэмшдэг_, _inhibiti, _иреиҵамк, 
   {{0x42300461,0x4b0c03dd,0x00000000,0x00000000}},	//   _tramvia_, _reagimin_, --, --, 
   {{0xef2a0141,0xdd9c00c8,0xa2da00db,0x2d39034d}},	//   _chaladir_, _bahlanka, _sisene_, _mudharat_, 
   {{0x8a060047,0x02e9001c,0x92da020b,0x3b7200ab}},	//   _上一篇文章_, _gorizia_, _disele_, _kupuhuna_, 
   {{0xf2010372,0xb27e0063,0xbe5d02cf,0x4f0e00a8}},	//   _bosib_, _fhonn_, _desculpe_, _vischins_, 
   {{0xcb680005,0xe7a90061,0xbc1500e0,0xf3a802d6}},	//   _schebein_, _스파이웨어_, _reisfers, _allaning_, 
   {{0xdeb700ba,0xf3d100ba,0x60da0061,0xdb1000e6}},	//   _درێتێ_, _ڵێمان_, _열린우리당_, _专科就医指南_, 
   {{0xb3680224,0x37770276,0xab6c0187,0xab010272}},	//   _dragast_, _шиддәт_, _impressa_, _baasemba_, 
   {{0x02d9001f,0xe27e00d2,0x42cf0418,0x36f50081}},	//   _terew_, _ahong_, _saglık_, _austfirð, 
   {{0xee2a00a7,0xb34703ed,0x53900096,0x2ce202ac}},	//   _тилдерде, _madeira_, _abasilim, _امبارح_, 
   {{0x9da60276,0xe24900cf,0x72020072,0x23610157}},	//   _ۋىروس_, _ademma_, _tatitu_, _beneficj, 
   {{0xe93f03f2,0xf71300bb,0xfcd6004d,0xfe190224}},	//   _kommentt, _جھاڑو_, _你有本事招惹他_, _afreksma, 
   {{0xc9f701d3,0xd27f0197,0x86200235,0x0b050156}},	// [4e30] _samarbet, _avanse_, _वर्णात्म, _אָנזאַמל, 
   {{0xb3640387,0xb3680304,0xc52f02fa,0x525b0074}},	//   _kwagara_, _bergiat_, _arangish, _omalta_, 
   {{0xe20e016d,0xb34900a2,0xcc42001d,0xd28c03cf}},	//   _раван_, _vipenzi_, _látere_, _yakalanm, 
   {{0x3c7c02fc,0x3c4d0334,0x47ec01dd,0x00000000}},	//   _amasura_, _chaching_, _banakang, --, 
   {{0x007104d3,0x32910338,0xa2a6000c,0x4c30000b}},	//   _norapamo, _jogava_, _humby_, _moligafu_, 
   {{0x49670285,0x33060139,0xfd130328,0x4d0e021b}},	//   _minisite, _amoghā_, _bidohoye_, _корейски, 
   {{0x9fdf0709,0xf3f80399,0x46190012,0x127e01d7}},	//   _टिमटिमात, _faluku_, _छानउगाय_, _gions_, 
   {{0xc74f02ac,0xe1fa0276,0x4c00023e,0x00000000}},	//   _استدعاء_, _хатадәкм, _نخاله_, --, 
   {{0x3c5901d7,0x0f3404f9,0x7e42042a,0x33990008}},	//   _tratsch_, _persutta, _babandza, _músic_, 
   {{0xeeac0036,0x13f8023b,0x68710257,0x760304b9}},	//   _حيوانات_, _haluku_, _hússins_, _crudream_, 
   {{0xc6080131,0x805f019f,0xad7503b8,0x43f80234}},	//   _xeografí, _سمارٽ_, _دوپشى_, _kaluku_, 
   {{0x12d90288,0x1fa30064,0xfe0802b0,0x800b0311}},	//   _gereu_, _بوجومولد, _bundesla, _እንግሊዘኛን_, 
   {{0x127e04ea,0xc2d8023a,0x29df005b,0x9d890021}},	//   _shong_, _webex_, _burutyuu, _arrowswa, 
   {{0xe27e04f2,0xee6104c3,0x70f80444,0x8e42005e}},	//   _phong_, _tenbaiha, _травмиру, _ﺑﻪﺧﺘﻠﯩﻚ_, 
   {{0xac010331,0x1d7000e6,0x00000000,0x00000000}},	//   _tekstir_, _河北省司法鉴定管, --, --, 
   {{0xd2d9008e,0x125a026c,0x5afd02c2,0xa188013c}},	//   _deret_, _nullam_, _republie, _hesabatl, 
   {{0xd384001c,0xa68c01cc,0x09090444,0x42540166}},	// [4e40] _oborniki_, _राजाह_, _немалая_, _jugendam, 
   {{0x83eb0265,0x838700e1,0x6f6e018d,0xe141055d}},	//   _fmrte_, _baaré_, _ብሊቃውንቲ_, _disembel, 
   {{0x5c7c045c,0x3ac00118,0x7dbf03d2,0x9307075e}},	//   _vacsina_, _amakanis, _chorobou_, _ашинов_, 
   {{0x3fe3012c,0xac6e0292,0xa5880117,0xc9860165}},	//   _شانتي_, _ayaresa_, _binmekim_, _cakitaka_, 
   {{0x12d903dd,0x963701db,0x00000000,0x00000000}},	//   _heret_, _كۇيزەلگە, --, --, 
   {{0xf6cf019f,0x66dd0287,0x5201023b,0x42d9014a}},	//   _kubadili, _provádím, _iosia_, _keret_, 
   {{0x225b005b,0xf27e0269,0x08bb0192,0x83460371}},	//   _piglet_, _chinos_, _annuleer_, _occuperà_, 
   {{0x138800b7,0xb7fe0092,0x5945038b,0xd7a80274}},	//   _görülmed, _ショップ評価を見, _tertidur_, _landhelg, 
   {{0x62da00df,0x72ca016e,0xb94702e4,0xbda50357}},	//   _moteur_, _geldik_, _bumunqar_, _radiniva, 
   {{0x98bb055c,0xf2bb0358,0x33470066,0x1fb70187}},	//   _minutter_, _enfekte_, _generoa_, _хармониј, 
   {{0x5111029f,0x7200021c,0x1dc501c8,0x3f2d0020}},	//   _projekty_, _pocit_, _definuje_, _matelain, 
   {{0xfd9a004a,0x33eb0061,0x305c01a3,0x4e44004d}},	//   _avtogiga, _nagenoeg_, _پيڙهيون_, _不然三菱汽車早就, 
   {{0x37b40421,0x84fb00db,0x320100e4,0x8f560128}},	//   _befriedi, _चउथापन_, _gosia_, _қаърига_, 
   {{0xa2d9000f,0x70f60192,0x94b400e4,0x4379005a}},	//   _yerel_, _정책홍보관실_, _प्रज्ञान_, _maqadba_, 
   {{0x0d8d00cf,0x220001fb,0x0ad303ae,0x5af502a3}},	//   _aholiiya, _simias_, _petterse, _medemens, 
   {{0x93b903de,0xe2230187,0xd3f402c2,0x52d9011d}},	//   _esoviet_, _milionár, _hettie_, _cerem_, 
   {{0x03f004d6,0xed0401e0,0xc26c0578,0x52df0228}},	// [4e50] _गोलीबारी_, _دواهه_, _npoos_, _honning_, 
   {{0xcf6e0409,0xa27e00d8,0xad220250,0xc98601fe}},	//   _organics_, _pions_, _burimeve_, _sakitaka_, 
   {{0x09c60031,0x3dad0291,0x82fb04ad,0x2249015a}},	//   _विरोधकां, _aeriompa, _dithata_, _deemna_, 
   {{0x42bd013a,0xf6b701a3,0x00000000,0x00000000}},	//   _rondrem_, _ساماڻي_, --, --, 
   {{0x763c0359,0xa86e02c1,0x0af10065,0x59f10065}},	//   _spesjaal_, _wariyand, _verschwe, _verschwu, 
   {{0x62000007,0x4b910252,0xf8510162,0xfc6c0321}},	//   _mikie_, _thendelo_, _обласит_, _nakupom_, 
   {{0xd355026c,0x877302eb,0x52ec056a,0xf3b90037}},	//   _liberos_, _долларт_, _dirilwe_, _መንፈሣዊ_, 
   {{0x22a600de,0x027e009d,0x329000ec,0xc962027b}},	//   _isebe_, _thone_, _nedaug_, _शुभव्यूह, 
   {{0x126c00ab,0x2236029b,0x9200015e,0x2a4f0375}},	//   _takoto_, _baaje_, _socis_, _anampats, 
   {{0x2d4302d3,0xc0290078,0x92d9012d,0xe05f075f}},	//   _можност_, _реформу_, _werem_, _poznanik_, 
   {{0xf2d903ec,0xe2890654,0xf248047c,0x0add0223}},	//   _krenare_, _sesampai_, _salmar_, _kostatze, 
   {{0xc34401ad,0xfae90039,0x737904bd,0xebef013a}},	//   _lucente_, _pentsame, _papalua_, _ausfeier, 
   {{0xe7e602d5,0xa24700d5,0x020203f3,0x81ab004f}},	//   _बेशरमी_, _réformée_, _bruine_, _jaamooti_, 
   {{0x9ae302d8,0xdeaa0077,0x12020418,0xe88902f3}},	//   _kelembab, _banditis_, _tesisi_, _markerad, 
   {{0x42b40168,0x886f00be,0x29020076,0x00000000}},	//   _wenche_, _سانچونۇن_, _чествува, --, 
   {{0x61e30253,0x926c026a,0xf3ea0046,0x00000000}},	//   _grønvold_, _nakoro_, _voltes_, --, 
   {{0x5aff017d,0x576d02fa,0x32a6029a,0x159802e5}},	// [4e60] _overveje, _abavicti, _wilby_, _michĩvér, 
   {{0xde2801e1,0x02a60271,0xe2d90157,0xdf9d00be}},	//   _райондар, _tilby_, _nerek_, _банктагы_, 
   {{0x6b7b03b4,0xd26e02d3,0x035f0122,0x1236005f}},	//   _ambotaur, _piroca_, _گیلانغرب_, _arqueólo, 
   {{0x2ad80132,0x685f0036,0x01ab004f,0xd58f0010}},	//   _تبادلے_, _bunachar_, _baamooti_, _belungek, 
   {{0xb4e8014f,0x756c0420,0xe3020120,0x3b2502ac}},	//   _планиран, _laborató, _gumaytu_, _وفيتامين, 
   {{0x12fc00c3,0xb2e801f7,0x4bb60760,0x1c590415}},	//   _milites_, _trufas_, _प्लुटोनि, _quatsch_, 
   {{0xd8570029,0x3c69010d,0x93c4020f,0xf496011a}},	//   _ریاندا_, _terurai_, _اسوشیټیډ_, _ששאלתי_, 
   {{0xa23800be,0xe29000ab,0x4eac00ff,0xa7470187}},	//   _بازارباي, _akeake_, _תּהילים_, _цивилни_, 
   {{0xa7dd00c5,0x234f03e5,0xd8fb0127,0xa2a601e3}},	//   _红股上市交易日_, _muvemik_, _endantad, _gumbov_, 
   {{0x72d90125,0x226d064d,0xec28019b,0x02e403e0}},	//   _gerek_, _iaboka_, _ўрачыста, _méngen_, 
   {{0xe2c500de,0x77570262,0x070300de,0x00000000}},	//   _ajolise_, _beryandi, _صحرایي_, --, 
   {{0xf2d9028d,0x4cfb0151,0x5f530148,0x60ae03f4}},	//   _rezet_, _indented_, _tyrannus_, _rähinä_, 
   {{0xf26c00eb,0x93f500bb,0xc2da00c5,0x22ba009a}},	//   _dakoro_, _ونشریات_, _planche_, _bandidi_, 
   {{0xdea401b6,0xb27e02ce,0x031602fc,0x82d9064f}},	//   _hundreds_, _abong_, _amabati_, _mezer_, 
   {{0x2a20005e,0x72d90026,0x34e6004a,0x79840320}},	//   _ﺋﯚﻟﯜﻡ_, _lezer_, _баруның_, _muqivela_, 
   {{0x065d00c5,0xe30c0040,0x15430161,0x56d300cb}},	//   _印发给你们_, _בהסכמה_, _тонким_, _воқиан_, 
   {{0x46d3047f,0x80f300ff,0x45450229,0x721501a3}},	// [4e70] _ध्यानाकर, _ראחוב_, _verildiy, _روپئي_, 
   {{0xbead0483,0xc654003b,0x027e01e9,0xe328002b}},	//   _perdemos_, _atonyulw, _ebong_, _মটরসাইকে, 
   {{0x3a8303e7,0x55870220,0xcf010213,0x83f9015e}},	//   _brandenb, _причинит, _школьные_, _resum_, 
   {{0x12d40026,0x6e7a0013,0xb6d200b9,0xf2e802ca}},	//   _gekomen_, _каллагин, _लॅटिन_, _lenihan_, 
   {{0x9ede016f,0xcf62038b,0x905303a4,0x00000000}},	//   _вийде_, _menarikn, _dansigen, --, 
   {{0xf2d9028d,0x32d903d0,0xb10f00c5,0x29ab004f}},	//   _dezer_, _cerek_, _若干问题的解释_, _maajooja_, 
   {{0x098e02b6,0x33e60302,0x7cd000c7,0xbb800201}},	//   _казир_, _кадрҳо_, _акулалар_, _siyaasâ_, 
   {{0xdc7f0244,0x53610313,0x92900009,0x00000000}},	//   _possano_, _lenglij_, _financ_, --, 
   {{0xd2e60480,0xfb4a00ba,0x6db800e7,0xf9c8048f}},	//   _abanika_, _سکۆفیلد_, _ammingsp, _komonisa_, 
   {{0xa1f7015d,0xab6703d4,0x23660040,0xf73900b7}},	//   _programy_, _камере_, _שיבדוק_, _гараярмы, 
   {{0xc27e005b,0x73a302e7,0x652f027f,0x00000000}},	//   _kvinde_, _giapil_, _iranyish, --, 
   {{0xc2c70417,0xdfcd00b7,0x0cf700e6,0x29770137}},	//   _vermoor_, _etsinler_, _可以并处一万元以, _кимбаб_, 
   {{0x22cb04ad,0xc236035b,0x65a000f5,0xdc5304a7}},	//   _barebodi_, _tvojem_, _getirilý, _mantivo_, 
   {{0xa300041c,0x795603d4,0xd6a30169,0xc08700e6}},	//   _tabaski_, _прихода_, _পারস্পরি, _广东省清远市阳山, 
   {{0xf12102ec,0x6fdb031d,0x2d4f0092,0xefad0037}},	//   _نوبہارُک_, _botherso, _ごめんなさい_, _መድሃኒቶች_, 
   {{0x23dd012b,0x60d1011d,0x52df020b,0x00000000}},	//   _nazwy_, _instituţ, _bonnong_, --, 
   {{0x9af700be,0x826d0464,0x59c70198,0x42ea02e4}},	// [4e80] _кажети_, _baboha_, _inštitut_, _animazzj, 
   {{0xaa7a00c5,0x9365003a,0x6c39020f,0x42a70134}},	//   _白歆惠坚持三点不, _birgina_, _اغيار_, _irubo_, 
   {{0x92d9024f,0x8f9a005f,0x6343001c,0xd4dd02da}},	//   _kerei_, _producir_, _imperyo_, _тишината_, 
   {{0x76f10035,0x595301bd,0x414b018d,0x32d902bb}},	//   _вского_, _тыныш_, _ዘከራኽር_, _serek_, 
   {{0x4c7c0225,0xc2d40654,0x027e0165,0x8a460059}},	//   _presuma_, _rekomen_, _taoni_, _картите_, 
   {{0x42d90564,0x12d90130,0x8dec014f,0xc25a0080}},	//   _kadets_, _vezer_, _тукли_, _emilip_, 
   {{0xf20002a4,0x1bf70022,0x9fa20147,0xcc5e0166}},	//   _socii_, _динебеҙ_, _شوپەنگاۇ, _bestell_, 
   {{0xb236035b,0x5b27005e,0x0e6303a1,0x28540040}},	//   _svojem_, _سايمانلى, _riscalda, _גרעינית_, 
   {{0xd37b04e1,0x00000000,0x00000000,0x00000000}},	//   _uplatom_, --, --, --, 
   {{0xb18e02b6,0x06110476,0x8fe801de,0x00000000}},	//   _الپەن_, _akamutsw, _музейінд, --, 
   {{0x0cb8005a,0xb22a0152,0x0f11013d,0x82a70172}},	//   _bitaghqu_, _сорап_, _protekta, _ntaban_, 
   {{0x81030177,0xf3880425,0x83ea0058,0xe70a0037}},	//   _германиа, _رزیمه_, _veitik_, _ለገበሬው_, 
   {{0x00000000,0x00000000,0x00000000,0x00000000}},	//   --, --, --, --, 
   {{0x92d80363,0x24e302ac,0x85940162,0x053d0393}},	//   _igjen_, _اصحابك_, _курувалғ, _križevač, 
   {{0x7ba8015e,0x03aa0006,0x7a230204,0x8c5a050a}},	//   _باستارلى, _sepasang_, _повезло_, _kriteri_, 
   {{0x04bc014c,0x0c5a0220,0xb3460155,0x23430277}},	//   _ababenok, _criteri_, _kundens_, _emperyo_, 
   {{0xb2a605c0,0x41f30040,0x2dcc0139,0xd4270289}},	// [4e90] _membru_, _גרסאת_, _वनस्पतीन, _kalatayo_, 
   {{0x942c0397,0x53860103,0x02ca041c,0x6c4d02ac}},	//   _ягона_, _dhori_, _bindou_, _تيشرتات_, 
   {{0xa34400c3,0xb31604cf,0xabf8015e,0x6c250177}},	//   _necesse_, _ilizwe_, _بولموق_, _илаганы_, 
   {{0xd3650277,0x797701b5,0x29e202fe,0x42ca0133}},	//   _virgina_, _etshiawe, _تاميل_, _boodas_, 
   {{0xcc570567,0xc5bb002f,0x4c52022b,0x8c47015e}},	//   _тарихы_, _amparach, _bretska_, _чалгын_, 
   {{0xc2770035,0x4e230434,0x19d600b0,0x92d902b9}},	//   _сарман_, _permisos_, _puntland, _terep_, 
   {{0x935801e5,0x91370168,0xc9c1027b,0x2452000c}},	//   _mògún_, _usedvanl, _अयाचत_, _momorãhe, 
   {{0xa3b60368,0xf3560187,0x00000000,0x00000000}},	//   _пресек_, _diretos_, --, --, 
   {{0xde4500ad,0x2c17019d,0x51b20109,0x99d6009a}},	//   _bujangga, _angather, _povedený_, _simthand, 
   {{0x03f40372,0x6dab036e,0xe719016d,0x9fa403ad}},	//   _gutted_, _achinapa, _микробин, _fundatur_, 
   {{0x6b780012,0x5a6500d1,0x49600026,0xfc0a023e}},	//   _इन्शाफ़_, _জমিদাৰ_, _genomine, _cumpèn_, 
   {{0x572e0044,0xfc80020a,0x48660058,0x062e00df}},	//   _exclusiv, _берел_, _teorodis_, _exclusif, 
   {{0x93a7018b,0x00000000,0x00000000,0x00000000}},	//   _прынзул_, --, --, --, 
   {{0x35af004d,0x639400e2,0xf2130342,0x3748020f}},	//   _第四季工作報告_, _geeske_, _jechwa_, _مېړانې_, 
   {{0xc5980144,0x00000000,0x00000000,0x00000000}},	//   _chaisleá, --, --, --, 
   {{0x9779033e,0x6f25025c,0x0b0300a3,0x3e33017a}},	//   _afavisem_, _miteinan, _sørvestl, _илочи_, 
   {{0x2c3701a7,0x82da029d,0x02c5002a,0xad0600be}},	// [4ea0] _самому_, _astept_, _ntolite_, _قوقۇي_, 
   {{0xa57d01ac,0x3d3c016d,0x12d8021e,0xe3210004}},	//   _bainistí, _миллийәт_, _talets_, _kopye_, 
   {{0xa3ad027b,0x7b66038e,0x4e6801ac,0x734a015f}},	//   _संयुक्तं_, _कॉलनी_, _bolcánac, _cemegau_, 
   {{0xa2010150,0x03870003,0x951204e5,0x6c55033d}},	//   _bosim_, _overal_, _akaswero_, _cantave_, 
   {{0xc26e02fd,0xc28c0285,0x23aa0327,0x6a10001a}},	//   _baroda_, _amakosa_, _reparasj, _شیرافضل_, 
   {{0xbc7f0244,0x69bd04c7,0x828901a0,0xc6d8012c}},	//   _possono_, _шампиона_, _engatini_, _tunapasw, 
   {{0xb608011f,0xb38605b4,0x5c4503b1,0xb3990439}},	//   _geografí, _akora_, _serveur_, _broxara_, 
   {{0x7279023b,0xc2e30417,0x63f90466,0xaf370181}},	//   _episetol, _mediese_, _raduju_, _saksespa, 
   {{0xe7660314,0x00000000,0x00000000,0x00000000}},	//   _намыҫлы_, --, --, --, 
   {{0x92a60391,0xe20e009b,0x250e00e4,0x426c029e}},	//   _tseba_, _хацар_, _कारणात्म, _askorn_, 
   {{0xa2fd00f1,0xb22a0094,0x6f400122,0x9da70119}},	//   _solider_, _торап_, _alesanip, _mahitata, 
   {{0x8c4905d7,0x1389013c,0x3b7c05da,0x52e90024}},	//   _takweer_, _karyera_, _automotr, _trengst_, 
   {{0x7c6f023e,0xb2d9002a,0x4fd30156,0x67730366}},	//   _dirusak_, _ifrem_, _amantino, _воцийла_, 
   {{0x23860430,0x9db704a4,0xf23d0071,0x0a5f0176}},	//   _khoro_, _aidichea, _عشقولانه_, _formands, 
   {{0xb3400147,0x342900ac,0x72c50200,0x196d015e}},	//   _ئرگەپ_, _opravdao_, _etolite_, _assignat, 
   {{0x368100a6,0xb0e40287,0x12d40219,0xb5bd0037}},	//   _وجدانه_, _आँधीमा_, _babonga_, _የእነርሱን_, 
   {{0xf7c402f3,0xd34100ba,0x093f03db,0xbda9026f}},	// [4eb0] _inträffa, _رچنار_, _ngamafut, _نەعۇرلىم_, 
   {{0x7e5e0234,0x4895028a,0xb2000499,0x00000000}},	//   _kúlaàtàn_, _anakumbu, _vikia_, --, 
   {{0x3d9a01f0,0x69d50040,0x32c903c2,0xe2a60004}},	//   _baanelwa, _גוזלן_, _espouse_, _atibon_, 
   {{0x8e3c01db,0x185a01b3,0x00000000,0x00000000}},	//   _تانباپتى_, _канонічн, --, --, 
   {{0x0c7d0096,0xf1d10062,0x257602ac,0x3635012c}},	//   _imisoro_, _entepray_, _bhallraí, _mpangili, 
   {{0x5c680193,0xe5d700a6,0xda9100a8,0xca9001cd}},	//   _kerumah_, _شخصيپېغا, _bainplas, _angiqamb, 
   {{0x29d20069,0x82e10064,0x02170022,0x23f203bf}},	//   _bikomeza_, _òmnium_, _ирандан_, _ditemeng_, 
   {{0x6db6012c,0x1c930354,0x720000bd,0xb01a0311}},	//   _nsengima, _تارام_, _eikin_, _እናነበሩ_, 
   {{0x1b220062,0xa29e0188,0xc3860097,0x12f1012a}},	//   _bimatlhb, _дидам_, _ehoro_, _publikuj, 
   {{0xfc5b0007,0xe5390077,0xb2c00449,0x00000000}},	//   _awutaki_, _enpasyal_, _mladenci_, --, 
   {{0x84d70223,0x652806dd,0x0387006e,0x96d80037}},	//   _канадын_, _ledikasy, _jaaré_, _ይታየኛል_, 
   {{0x4c800125,0x9bea030a,0x93480156,0x676b00be}},	//   _керем_, _cálculos_, _טענהען_, _تەلچىتىپ_, 
   {{0x1202035d,0x00000000,0x00000000,0x00000000}},	//   _vasić_, --, --, --, 
   {{0x75410013,0x624a04bd,0x09dc0191,0xff0100df}},	//   _ایمانه_, _idumea_, _anslutna_, _composés_, 
   {{0xc9da041e,0x75c3010f,0xd35901bb,0x8e2a005b}},	//   _preferit, _коллеҷи_, _almanyň_, _norgesga, 
   {{0x535102ad,0xd9b601db,0x825a00df,0x09ed0690}},	//   _chomutov_, _قوزعالۋى_, _cholet_, _ironinya_, 
   {{0x057501c5,0x85120207,0x428b008b,0xfc5d00ec}},	// [4ec0] _distoork, _اسلامآبا, _diin茜_, _kartono_, 
   {{0xb60d033e,0x586e027f,0x4c1d02e5,0x0366010d}},	//   _golondri, _bariyand, _dumpbot_, _manggil_, 
   {{0xd2b402e9,0x42a60292,0x0c5e0271,0xcd6e02b6}},	//   _inicio_, _asebo_, _bestill_, _күнкөріс, 
   {{0x724802f3,0x2c75018d,0xbabb00fb,0xd3a2034a}},	//   _kalmar_, _ዘይንጹር_, _abavange, _exipto_, 
   {{0x6894045c,0xc4d70046,0x328a0060,0x335a0311}},	//   _prevodov, _камалып_, _тіреп_, _ዝወሰዶም_, 
   {{0x7c62033e,0xaa080105,0x1ff605f7,0x4a0d02eb}},	//   _refugio_, _wokalist, _brîff_, _ondasune, 
   {{0x5f81048a,0x02130013,0x9e04025d,0x10a70291}},	//   _экологты_, _nechta_, _studiesp, _ناقشني_, 
   {{0x620104cc,0x42d900ad,0x8d390014,0x92a60140}},	//   _cosih_, _leres_, _ardhurat_, _milby_, 
   {{0x7eb00009,0x05210301,0x9d9b00b5,0x00000000}},	//   _težave_, _mərdanov_, _omongava, --, 
   {{0x12c70128,0xe5280140,0x96280006,0x149d03be}},	//   _egallab_, _dedikasy, _dedikasi, _ritangaz, 
   {{0x73060179,0x1f4000a6,0xed560385,0x9e560100}},	//   _makabik_, _alusanya, _ugradnju_, _ugradnje_, 
   {{0xb23b02f7,0xbc11005a,0x99c80418,0xe24804ca}},	//   _abelang_, _chipmeh_, _bildikle, _balmar_, 
   {{0x17df03a2,0x83f4018c,0x73c304bc,0x732f0040}},	//   _आलाकमान_, _peuter_, _gåver_, _המספק_, 
   {{0xfc48007b,0xb7f70089,0x02480251,0x86870061}},	//   _blackfac, _дисклар_, _dalmar_, _경남웨딩홀_, 
   {{0x030e016b,0x7a8100d1,0xc2fc015e,0xf95e0453}},	//   _maganar_, _নিবেদিতা, _volgut_, _upropast, 
   {{0x02cb05d7,0x934405b5,0xf2d901f6,0x447c0227}},	//   _bakouma_, _ausente_, _veret_, _dihentik, 
   {{0x62000075,0x80ac023c,0x63fa0627,0xdd9200da}},	// [4ed0] _tikin_, _بادارانو_, _katuyu_, _camerele_, 
   {{0x0e7a0409,0xa7e10192,0x0202008b,0x620103e5}},	//   _チェックリストに, _판매자에게_, _bitiku_, _posik_, 
   {{0x304003a2,0xb8fd00aa,0xde6c0145,0xe2130122}},	//   _डीएलएफ_, _gisangpu, _piniginė, _buahmu_, 
   {{0x52000117,0x2510012c,0xb2c70486,0x92190462}},	//   _sikin_, _mikutano_, _kaplice_, _assygray_, 
   {{0x32d9001a,0xf7ac0219,0x38670011,0xaba70156}},	//   _keres_, _esifundv, _babitadd, _atakanto_, 
   {{0x22d90259,0xf2cd0302,0xe9e601d1,0xe0a40040}},	//   _jeres_, _abadlali_, _carolina_, _טראומה_, 
   {{0xc2d906d5,0xa26d00c9,0x62c90058,0xdcfa015e}},	//   _deres_, _sogood_, _koultik_, _جارناقتا, 
   {{0x72a60314,0x9e5402b4,0xad9e0005,0xc54a0761}},	//   _tsebo_, _agocotwe_, _colligia, _bakhutsh, 
   {{0x43070058,0x07070314,0x6f990109,0xbb690234}},	//   _bisarik_, _башлыса_, _बक्तब्य_, _kéèlú_, 
   {{0x830e001e,0x32d60352,0x19f60318,0x42010185}},	//   _tawagar_, _টোৱাইলাই, _hinakaue, _babiç_, 
   {{0xc6b202a2,0x9b63013d,0x237f02d9,0xc65d0386}},	//   _tungkuli, _aspekton_, _lokaina_, _kekhilaf, 
   {{0xaa37012a,0x1a8f0247,0x1fef0360,0x950c0242}},	//   _अर्जी_, _kelingan_, _अवतारमा_, _bilmediy, 
   {{0xa2d90050,0xc8d900d9,0xbdaa0541,0x6d2a00be}},	//   _beres_, _сервисе_, _motivisa, _retirant_, 
   {{0xc27e011b,0x59d30007,0xe201018b,0xed13008e}},	//   _azongi_, _bakoteya_, _rosia_, _gaalsene_, 
   {{0x43e60065,0x32d900f1,0x46b000dd,0xe6490311}},	//   _nötig_, _lerer_, _arestiwy, _ከየምርሕ_, 
   {{0x92000072,0x737f0118,0x748d0061,0xcde301a3}},	//   _ankir_, _yokaana_, _문제입니다_, _نچوڙڻ_, 
   {{0x14c801bb,0x7a710347,0x6feb0025,0x461900de}},	// [4ee0] _тарапдар, _xenophob, _atiyajan, _bayokufi, 
   {{0x43f902f6,0xbf1100e6,0x2ea800d9,0x027e025f}},	//   _hesus_, _合肥市城市管理行, _гармонич, _ezongi_, 
   {{0xa2bb04b4,0x805800ca,0xb18c013c,0xa29102e8}},	//   _fineste_, _vergonho, _kataloql, _angava_, 
   {{0x53a203f9,0x38040155,0x22ca007e,0x9ec900d1}},	//   _volpe_, _gruppens_, _bindau_, _পূৰাবলৈ_, 
   {{0x82a602bd,0x42010331,0x9af6003e,0x47530462}},	//   _heibio_, _kosin_, _carolynn_, _amending, 
   {{0xa2e3014a,0x9532027c,0xe25300b4,0x32010762}},	//   _mégpedig_, _awanciph, _sistemel, _josin_, 
   {{0x43af002e,0x3644003b,0xbc03071b,0x4d86036e}},	//   _glavnog_, _akukenti, _trusler_, _allmalla, 
   {{0x31bd018b,0xe7600128,0x661e0025,0x427e028a}},	//   _виата_, _یومگنیدن_, _श्रद्धाभ, _haoni_, 
   {{0x7d540029,0x6f390255,0x4ea60023,0x2c2e015a}},	//   _پسپۆڕ_, _बेरियां_, _кадров_, _galagalc, 
   {{0xb448008d,0x4669011a,0xf7c201db,0x7a930045}},	//   _سورلگن_, _החמאה_, _كۇشىكتەۋ_, _волели_, 
   {{0x927e019f,0x5966015d,0x9a1b0299,0x69aa0291}},	//   _maoni_, _महानता_, _تىزتاپ_, _لاحتفالا, 
   {{0x0c9300bc,0x83f9018a,0x92d901bb,0xdf3300ff}},	//   _تالار_, _mesur_, _berer_, _יאַשע_, 
   {{0x3c6701f4,0x73f90331,0x02fb0307,0x40fb00fb}},	//   _ارگان_, _lesur_, _baphela_, _baphelel, 
   {{0x9c2e01fe,0x74d70401,0x333a005d,0x56cb0100}},	//   _daligaqu_, _सत्तापक्, _kuaarã_, _upravnom_, 
   {{0x03ea043a,0xcbb70609,0x99c200e6,0x8fd601ac}},	//   _neitik_, _presbíte, _停运或者撤销审批_, _عفريت_, 
   {{0xd3430187,0xab83007f,0xb2d90037,0xd3fa008e}},	//   _assento_, _deinosor, _terer_, _matunu_, 
   {{0xaa070374,0x786102c6,0x74010291,0x7e970059}},	// [4ef0] _капелло_, _denoniou, _بلطجية_, _smettere_, 
   {{0x020104cc,0x120101f1,0x37b301c2,0x098401eb}},	//   _gosin_, _secili_, _deputaci, _araitema_, 
   {{0xf3860260,0xa200030d,0xf0e606cf,0x00000000}},	//   _asorey_, _dikib_, _घनमीटर_, --, 
   {{0xb49204e5,0xdf2f0165,0x70fa0092,0xe15c00af}},	//   _abagolok, _draunida, _クリニック_, _сумах_, 
   {{0xd2d40191,0xc29100fe,0xf432023d,0x1e50016e}},	//   _vardag_, _engata_, _discorso_, _piyasala, 
   {{0xf2fb04cf,0xd2d902d4,0xdcf703dd,0x3990002c}},	//   _qaphela_, _verer_, _gostivar, _emakumea_, 
   {{0x89e40058,0x9ae00388,0x4a1403f3,0xfc1600da}},	//   _gettysbu, _contenut, _verborge, _униформэ_, 
   {{0x84fa00db,0xb28d0241,0x32d8004f,0x00000000}},	//   _गुयाना_, _galatoom, _kenenn_, --, 
   {{0x0d5a0064,0x1dec0238,0x857f01b7,0x00000000}},	//   _абонентт, _практиці_, _एकादशोऽध, --, 
   {{0x02d90071,0x8a6c03b7,0xa826009a,0xa37f008b}},	//   _kerep_, _acrobats, _سالاران_, _danaaka_, 
   {{0xf25a0032,0x8201027a,0x82d901ad,0x9291004c}},	//   _bomlah_, _nosio_, _efren_, _alwana_, 
   {{0xab8d035a,0x3db30103,0x00000000,0x00000000}},	//   _dalisoro_, _bhishopu_, --, --, 
   {{0xe3960101,0xb1d10629,0x6c1e03c9,0x83fa0138}},	//   _reusit_, _appedmay_, _slippes_, _hatunu_, 
   {{0x75da0472,0xf5670397,0xced502c2,0x8d2e00d8}},	//   _sumberny, _мискин_, _besittin, _blanquit_, 
   {{0xdbee0240,0x62c20461,0x4e1a017f,0xf26e026a}},	//   _davodavo_, _anglesa_, _pingajua, _karona_, 
   {{0x06bb00a9,0x5201009f,0x02ca009b,0xa7d70374}},	//   _abafungw, _nosil_, _bilduk_, _курашами, 
   {{0xd2010074,0x42e000fb,0x4f3802ac,0xa27e03a1}},	// [4f00] _tosin_, _abanazo_, _ماكروبيو, _bagni_, 
   {{0xef9e0086,0x5e470139,0x72d9029b,0x561d0361}},	//   _محصور_, _anabhisa, _berep_, _подражан, 
   {{0x015f036d,0x13f40163,0x3b6101e8,0xf22302e1}},	//   _bannrigh_, _vastag_, _atnesyon_, _hidirnái, 
   {{0x850c00c5,0x4c3503f3,0x0c450382,0x430e01c7}},	//   _胶南市农业机械管, _psychisc, _khuwana_, _cagalar_, 
   {{0xd74601af,0xdf5d0021,0xb0240153,0x00000000}},	//   _kompaniý, _askatoon, _職員団体等との会, --, 
   {{0xdb9a042a,0x77460759,0x73950172,0xe395047d}},	//   _akanalic, _भूविज्ञा, _woasem_, _agesat_, 
   {{0x6be800dc,0xc34e002b,0x1f7e0311,0x5a7c01d2}},	//   _koronito_, _সংঘবদ্ধ_, _ኣይከዉንን_, _estadota_, 
   {{0xb38602e2,0xbabd015e,0xf3100153,0x8e6e0325}},	//   _chorp_, _тапшырып_, _に応じお使い分け, _afrikanı, 
   {{0x9d30020f,0xb2d80133,0xd1900178,0x658901ac}},	//   _quintile_, _malees_, _anantāḥ_, _aeroiriú, 
   {{0xf2010013,0x61a4036f,0x23f801c2,0x46270101}},	//   _hosil_, _nemoguće_, _arousa_, _calitati, 
   {{0xba1000be,0x5ed40122,0x00000000,0x00000000}},	//   _بىلبەيىم_, _مبتني_, --, --, 
   {{0x69cf0148,0xd9bb0763,0xb26e0338,0xfcfd018d}},	//   _發表你的留言_, _abadinga_, _garona_, _ንኣሕዋትና_, 
   {{0xaa1403f3,0x661d0145,0x13bb00a2,0x93bd010b}},	//   _verberge, _ratlanki, _kukwama_, _kaiwang_, 
   {{0x526e01ed,0xfc790444,0xe7ca0044,0xd26d02ee}},	//   _aarona_, _накладыв, _comprisi, _abbona_, 
   {{0x82a703cf,0xc7410128,0xbeca031a,0x46790156}},	//   _grubu_, _ترتیبیده_, _beantain, _אַדסענסע_, 
   {{0x09860410,0xd50a0264,0x3fdc00c5,0x7aa501e5}},	//   _dikhonfe, _segurado_, _visiteur_, _katikiis, 
   {{0x003d026f,0x360103ce,0xd38603b5,0x428e02ba}},	// [4f10] _күшпен_, _زۆرسه_, _aborsi_, _волотари, 
   {{0x1c2402e2,0xb27200f0,0x00000000,0x00000000}},	//   _asiangir, _poberať_, --, --, 
   {{0x5b70005b,0x00000000,0x00000000,0x00000000}},	//   _cocoroar, --, --, --, 
   {{0x723100d8,0xc84c0061,0xd34c0181,0x51fb0032}},	//   _sismica_, _태왕사신기_, _regelmæs, _muyajmoh_, 
   {{0xa201054f,0xa2000163,0x320200b9,0x9a0a01ad}},	//   _losis_, _سیاسیات_, _kesini_, _posavina_, 
   {{0x55280410,0x53780122,0x929d0122,0x18b50028}},	//   _matswalo_, _tukaran_, _andjaga_, _qaddiyad, 
   {{0x06d1016d,0xc2020027,0x8e3700c0,0xfffa012a}},	//   _айаллар_, _desini_, _kumakata, _निखारने_, 
   {{0x7b7f045d,0x2a7200c7,0xcec90026,0xf96d0246}},	//   _poslanic, _aldıma_, _abonnees_, _издават_, 
   {{0xfbc9020a,0x463601e9,0x2c680285,0xb6b3000c}},	//   _تاقاتسىز, _didikadi, _aherako_, _kanguemi, 
   {{0x3c6a02b7,0xb6ff0179,0xd2d90217,0xd61e00cf}},	//   _tahreem_, _besteifö, _perex_, _amaleeff, 
   {{0xafcd0147,0xd9440191,0xa291028f,0x33a900ef}},	//   _الۇعا_, _resurser_, _engara_, _جزيات_, 
   {{0x7ae8019a,0x42de020e,0x234403ae,0x466000c1}},	//   _worthine, _bokereki_, _utsette_, _बामसेफ_, 
   {{0x09e90059,0xe65c001a,0x9e770137,0xdf3f0600}},	//   _нараства, _واسرائیل_, _наргиж_, _व्दितीय_, 
   {{0x524901cd,0x13a900b0,0x23780151,0xc84a0350}},	//   _ngemva_, _پٲراو_, _annagyn_, _መከራውን_, 
   {{0xd226028d,0xb25b025c,0x32d90005,0x10af0257}},	//   _joukal_, _angenehm, _laders_, _kastljós, 
   {{0xd02700e6,0xcc080044,0x13780316,0xdc10020f}},	//   _注册通行证_, _favoured_, _dayansa_, _فليپين_, 
   {{0x22900357,0x9b000169,0x03e9019b,0xd3f90119}},	// [4f20] _bulasi_, _নিয়েই_, _разнаста, _agsub_, 
   {{0x4df20119,0xd3030671,0xf9eb00da,0x1f520127}},	//   _niedersa, _arealet_, _micround, _frealzus_, 
   {{0x69df0064,0x839501da,0x31c70156,0x8ff50546}},	//   _contingu, _flasim_, _געפרעגטע_, _उपकुलपति_, 
   {{0xa26e020e,0x227e019d,0x7d0e01bc,0x00000000}},	//   _harola_, _dzonzi_, _twatalic, --, 
   {{0x2720025e,0x10210099,0x5ce80008,0x89f500c7}},	//   _aldrinum_, _airwisan, _дейсин_, _зурайта_, 
   {{0xca1701cf,0x73870181,0xb2d903f3,0xd29005fb}},	//   _amicitat, _dspre_, _daders_, _rudari_, 
   {{0x42da026c,0x0f850580,0xfb190057,0xc0ac002b}},	//   _aptent_, _visdažād, _empangan_, _বিরূপ_, 
   {{0xec2b03e6,0x737c015a,0xcf2802c9,0xd134003e}},	//   _faragerr, _fixatee_, _rasturna, _елғыуар_, 
   {{0x21a70147,0x1764020f,0x00000000,0x00000000}},	//   _رۉۉلۅرگۅ_, _خپورکړ_, --, --, 
   {{0x916a0764,0x32900085,0xc31d0294,0x7e50020e}},	//   _muaposto, _dulari_, _aniceto_, _borapola, 
   {{0xf2010416,0x1c1b03cf,0x22000295,0x283800c5}},	//   _posit_, _zamanlar, _eikii_, _市国土资源局_, 
   {{0x277f0475,0xd15901a7,0xb3440203,0xb0400346}},	//   _способам, _наименов, _nivelle_, _grandyoz_, 
   {{0x09fe0119,0x71c90161,0x3ad500ac,0xa2d900cd}},	//   _sotavent, _борту_, _jerković_, _caders_, 
   {{0xe69400fc,0xf97501f0,0xd2c70282,0xae000133}},	//   _dalengni, _dikiloge, _kerekori_, _dareekta, 
   {{0x32360494,0x59be029f,0x8f940061,0x12d8041c}},	//   _biljka_, _stredove, _채택포인트_, _beneen_, 
   {{0x92e503f0,0xb3940168,0x9aef016f,0x00000000}},	//   _vinnuna_, _genser_, _tilførse, --, 
   {{0x42d8040b,0x1f180372,0x4c0f03d5,0xd9100334}},	// [4f30] _funesa_, _mabwysia, _supplie_, _ankalamu, 
   {{0x4640005e,0x8361005e,0xc2a703b6,0x1e9400c5}},	//   _شاڭگاڭ_, _ئوبامانى, _osuba_, _exotique_, 
   {{0x84de0093,0x52c3006c,0xfdda03a8,0x4b680403}},	//   _временем_, _abulawa_, _brukarna, _aintsika_, 
   {{0xa2c0000c,0x3fd40148,0xc25a017c,0x8a660630}},	//   _анвар_, _西安建築科技大學, _gefle_, _ínfrenat_, 
   {{0xf38600c2,0xa26e0145,0x725b0141,0x93720035}},	//   _ukora_, _paroda_, _amalda_, _рептилия, 
   {{0x63df027e,0xf3db00ff,0xc2ea011e,0xd2d90347}},	//   _обратили_, _אַסימילי, _lorizin_, _vaders_, 
   {{0x996d00e7,0x520102dd,0x8bbf0237,0x903c0111}},	//   _assionat, _insib_, _고린도후서_, _bijectio, 
   {{0xd3f9046f,0x82fe021e,0x2236005b,0xa6670141}},	//   _speziel_, _notiser_, _atijuf_, _халилов_, 
   {{0xcd7f002b,0x724900dc,0xd0f80064,0x6323013f}},	//   _দেখিয়া_, _neemia_, _elsingul, _furcher_, 
   {{0x62ff0050,0x326c023b,0x127e0052,0x4ea602e1}},	//   _basisir_, _nakolo_, _jednal_, _tallainn, 
   {{0xebf20220,0x4eea022b,0x961d0041,0xc1900235}},	//   _contrass, _forkvinn, _iñopinió, _chandāḥ_, 
   {{0x0f95012e,0x04c30160,0x4249000d,0x29dd0229}},	//   _بالفرض_, _procitao_, _keemia_, _canlanma_, 
   {{0x155100b3,0xd4ee01db,0xaeb100a8,0x9386043b}},	//   _ойланып_, _жүйрікте, _autezzas_, _mhort_, 
   {{0x5b7305a9,0x16a40251,0xa2d80212,0xee50003b}},	//   _ruhuhuma_, _منسووم_, _munera_, _anyamala, 
   {{0x93860261,0x4e1c007b,0xe30e0267,0x00000000}},	//   _akiris_, _fameelia, _stabala_, --, 
   {{0xa2000058,0x0f5d038f,0xe1b803c7,0xaab50137}},	//   _licin_, _vogalenn, _pamięć_, _эгшгээр_, 
   {{0xa25c013b,0x44e10178,0x63940405,0x93410029}},	// [4f40] _impeachm, _दस्यु_, _renser_, _شۆڕای_, 
   {{0x125b0287,0x17a603df,0xb92c018d,0x739401b9}},	//   _anglie_, _haldning, _ብድኽነትን_, _senser_, 
   {{0x44d8006c,0x43940047,0x13a80141,0x6f2c01f5}},	//   _забардас, _penser_, _bolaning_, _cantumka, 
   {{0x5471038b,0x6f5e0235,0x9ad50136,0xe200040e}},	//   _sentuhan_, _aprasann, _perković_, _avling_, 
   {{0xe3320005,0xc183036c,0x72480310,0x31b00040}},	//   _proxim_, _asabotsy_, _calmac_, _הצלחנו_, 
   {{0xce530359,0xdc7c0408,0xfa980421,0x00000000}},	//   _trochdat_, _alasora_, _unsichtb, --, 
   {{0x2545009a,0x7ae502dd,0x295a00c1,0xa27e0058}},	//   _ابادی_, _osservab, _अयशस्वी_, _taons_, 
   {{0x96220534,0x33860291,0x39830153,0x00000000}},	//   _chaobuoi, _ghort_, _非常食を買った_, --, 
   {{0x827e0046,0x0a0501dc,0x8cc60156,0xc8f90165}},	//   _raons_, _cumbatte, _רוזשינער_, _tatamusu, 
   {{0x160300da,0x3aa30362,0xbe4a033a,0xa30d0055}},	//   _тестамен, _balimwis, _elastiku_, _andatur_, 
   {{0x516a0281,0x3291012c,0xb7c0024a,0xd51b023c}},	//   _naaperto, _ingawa_, _alarinki, _دسرحد_, 
   {{0x3c8901b2,0x7868004d,0xb291006c,0xb784027b}},	//   _anvenkid_, _habitatu, _angawa_, _ईश्वरं_, 
   {{0xc00f0051,0xaf3c0044,0xc2900193,0xdb07032d}},	//   _pavairoš, _להפתיע_, _jelang_, _никерин_, 
   {{0xffa4009d,0x36520008,0xf2ee0017,0x6b9603e0}},	//   _vendosur_, _атага_, _zavinac_, _demineur, 
   {{0x480001d1,0x2d8a0253,0x0b69000d,0xb313019a}},	//   _executiv, _asimiuka, _minutiga_, _saabres_, 
   {{0x0cd00169,0xbd9f01b7,0xf6a70083,0x433402b2}},	//   _এটিকে_, _संस्कृतप, _spordsch, _площею_, 
   {{0x4ff80026,0xde320060,0xdf9f0468,0x426c0544}},	// [4f50] _담당중개업소_, _ءومىرىڭن, _بوسنیا_, _iakobo_, 
   {{0xef440037,0xd58002cf,0x6a2502a5,0x99ec00a7}},	//   _መመላለስ_, _negociaç, _किनबेच_, _апыртып_, 
   {{0xa2d800e1,0xa2900456,0xcc1c01c5,0xe63300f4}},	//   _dajeg_, _helang_, _tiyaatar, _dizimezi, 
   {{0x12d9025e,0x349d01a3,0x691401e8,0xb26e0033}},	//   _afrek_, _نگاھھ_, _kapanghu, _baroca_, 
   {{0x93860234,0x5cbd0156,0xd3580388,0x524d03b6}},	//   _akoro_, _ריליס_, _vergine_, _láàánú_, 
   {{0x420000bd,0x7ae20148,0x726c0544,0x12fd0251}},	//   _likit_, _sereniss, _lakobo_, _milateri_, 
   {{0x33170272,0x420001cf,0x00000000,0x00000000}},	//   _amazze_, _vicin_, --, --, 
   {{0x3c04011f,0x63790414,0xf27e0113,0xe3460450}},	//   _автономт, _hurayra_, _mbonn_, _bondels_, 
   {{0xb3a905bf,0xb20002bd,0x26800087,0xd38601e5}},	//   _zaoberaj, _licio_, _chikisiw, _ekoro_, 
   {{0x5413048f,0xd31d02ac,0xa3a20590,0x828d00a1}},	//   _abunelak, _وجاءت_, _kolpe_, _rakamaom, 
   {{0xd20000da,0xaf94021c,0x3d0a0476,0x3aea06a7}},	//   _nicio_, _scény_, _akaremar, _fortvile, 
   {{0x52b5048b,0x9d950040,0xa26c007f,0xf8540291}},	//   _nhacso_, _centered_, _ardoll_, _جوزيف_, 
   {{0x971100e4,0xc2000193,0xc145021e,0x904d00bb}},	//   _गर्दन_, _dikit_, _tusental, _مغویوں_, 
   {{0xbf4a0258,0xf45f002c,0xd20000bd,0x9126002b}},	//   _klassike_, _эмблем_, _eikit_, _সন্তানরা_, 
   {{0xdbff0253,0x7da103c6,0x4bc7003c,0x2200007f}},	//   _takutits, _assosjaa, _نابرده_, _cicio_, 
   {{0xe29100ac,0xa2000144,0xbf5d0024,0x00000000}},	//   _nogama_, _nicil_, _detaljan, --, 
   {{0x3cbb067f,0xd2d9021c,0xdc6e0220,0x87e601ed}},	// [4f60] _ministaq, _nerez_, _scarica_, _hoopilii, 
   {{0x171b0411,0xea6d02ac,0xbdc003f3,0x32ce015c}},	//   _опора_, _لتحرير_, _typische_, _reklamm_, 
   {{0xc3860310,0x56d7026c,0xe38602d4,0xd26c0362}},	//   _phort_, _peccatum_, _chors_, _bakobo_, 
   {{0x34080064,0xc75704d7,0xfd020145,0x00000000}},	//   _سويلويت_, _breiðuví, _беспадст, --, 
   {{0x726d010b,0x3a060382,0xadb004ad,0x00000000}},	//   _bogodu_, _kulangut, _lemangwe_, --, 
   {{0x137901d9,0x6201018b,0xe1ae022a,0x12910082}},	//   _besonneg_, _rosii_, _primanum, _jigawa_, 
   {{0xd37b0027,0x220000b0,0xd2000189,0xf8a30299}},	//   _epladom_, _ficil_, _incir_, _تەجۋىد_, 
   {{0x50ed025f,0x0f5d010e,0x435000be,0x6e6d0156}},	//   _lisitual, _binangon, _كۉرۅڭ_, _ספרעדשיט, 
   {{0x69460108,0x43f900eb,0x62d800ad,0x6ade0515}},	//   _ngaliwat, _yeguan_, _pajeg_, _mantenit, 
   {{0x29290093,0x02d40481,0x59c7020e,0x49fa0118}},	//   _деревни_, _aardig_, _ологияла, _balibula_, 
   {{0x158a00d9,0xe3f30163,0x6c5b02a0,0x6a250452}},	//   _примечан, _üzletsze, _lakunle_, _अचंबित_, 
   {{0x82fd02e9,0x20460127,0x14050076,0x9c3001c9}},	//   _llegar_, _berraden, _depilaçã, _männiku_, 
   {{0x525a008e,0x81b700b4,0xff3f03dc,0x43730243}},	//   _defla_, _populaţi, _aserbaja, _qalalle_, 
   {{0x32d9038f,0xb1bd014f,0x33ab02eb,0xcd2f002b}},	//   _derez_, _листу_, _авлигын_, _সংসারের_, 
   {{0xf2c806db,0x22910515,0x0b1f0140,0xe1b002b9}},	//   _schluck_, _ligava_, _kaharian_, _منزلہ_, 
   {{0x47460135,0x1f010279,0x530c0115,0x02ee0230}},	//   _kompaniä, _composée_, _aidarus_, _profon_, 
   {{0x73950488,0x5b100021,0xd3f40151,0xcdca0062}},	// [4f70] _arestu_, _ansplant, _bastag_, _naghitsp, 
   {{0x12910009,0xee950271,0x62b50031,0x206e0299}},	//   _dogaja_, _senteret_, _nyuci_, _تەلۋىلەر, 
   {{0x6ec700f3,0x5059033d,0x877901ff,0x037d0100}},	//   _anizange_, _bagaydro, _neprečít, _popustim, 
   {{0x12d90039,0xd2d80258,0xfc6f023a,0x00000000}},	//   _berez_, _falens_, _posudok_, --, 
   {{0xada30219,0x22000278,0x39fd0334,0xc76d004d}},	//   _akugadze_, _encik_, _ankangot, _並應符合下列規定_, 
   {{0xa3ce00d9,0xa39501e6,0x87a10033,0x21a40267}},	//   _vaivaa_, _trestu_, _ampernev, _nemoguća_, 
   {{0x9d9b02f6,0xfc0d00f1,0xbc45006c,0xbfcf0251}},	//   _awtorida, _stipile_, _akuwena_, _siminaar_, 
   {{0x32d90245,0x2f060276,0x43860591,0xc63d05fb}},	//   _terez_, _باشقىغا_, _gjord_, _dobijeni, 
   {{0xa3030091,0x4bb30466,0x00000000,0x00000000}},	//   _hilakut_, _ocekivao_, --, --, 
   {{0xf2b50179,0x12580037,0x6db9014e,0x3291030a}},	//   _riacho_, _ይመደባሉ_, _prihvata, _sogama_, 
   {{0x6d0b0222,0x22d903ea,0x194e004d,0x9fb901e8}},	//   _collège_, _serez_, _在烈日炎炎的夏季_, _maglublo, 
   {{0xb61a0037,0x464a018d,0x32b500b4,0x53a302c5}},	//   _የሚታዩት_, _ኣቡበከር_, _specii_, _chepfu_, 
   {{0xd322000c,0xcb3500ba,0xc9d30634,0x00000000}},	//   _дукуваха_, _فێبریوه_, _bluesart, --, 
   {{0x1fff02d5,0x62900141,0x696d027e,0x7d2f0077}},	//   _खलनायकी_, _izlab_, _израза_, _andikape_, 
   {{0x42d90120,0x2a7d009b,0x060500f2,0xa943047d}},	//   _ferey_, _topaketa_, _šampanie, _erklaere, 
   {{0xd3200478,0xc2410193,0x92cb01fc,0x6c1d014e}},	//   _volcans_, _दामले_, _iskoola_, _опрости_, 
   {{0xb355013f,0xa3790090,0xe4ad02ac,0x92d903ae}},	// [4f80] _degemer_, _echando_, _مغادرة_, _vennene_, 
   {{0xb1d401c5,0x63f402c9,0x00000000,0x00000000}},	//   _wareegey_, _castig_, --, --, 
   {{0xf744035a,0x72d90765,0xbc0a0485,0x00000000}},	//   _bubangêr, _tennene_, _kosttils, --, 
   {{0xa4cb0012,0xa27e00ff,0x14530350,0xb27a002f}},	//   _ओतहिसँ_, _abonu_, _ትምህርቴን_, _hapimuni_, 
   {{0xfaec0130,0x85ca0017,0x38f60390,0xfabf0308}},	//   _distruje, _projedná, _celaledd, _perjalan_, 
   {{0x41e7018b,0x50ae0153,0xf70b01a3,0x84ba0311}},	//   _уните_, _おやすみなさい_, _وڪيچيڪلو_, _ዝመረረን_, 
   {{0xb1490029,0xa2d80249,0xa16f0076,0xb46e02fe}},	//   _رزاری_, _salens_, _споменув, _babenazo_, 
   {{0xf35702d3,0x4c5a034e,0xf264002b,0x66c6020f}},	//   _diretor_, _aratori_, _স্বাবলম্, _bamamidi, 
   {{0xc2ca022a,0x4386012a,0x519500bb,0x92900344}},	//   _goldik_, _chory_, _اِمام_, _angalamm, 
   {{0xf157002b,0x9f3b0067,0xce200153,0xa97e027f}},	//   _হাবিজাবি_, _awuropaa, _公営企業金融公庫_, _kutibone, 
   {{0x324901b8,0x548902c0,0xa83601b4,0x2c5300c0}},	//   _surma_, _прогласе, _vermeend, _kastila_, 
   {{0x83790203,0x220100d7,0x8292014a,0x6f5d01db}},	//   _yucatan_, _bosiu_, _maradj_, _полицейд, 
   {{0x84d80145,0xda7d004d,0xcfff01b8,0x637902d3}},	//   _рассылае, _切勿撰寫粗言穢語_, _खलनायको_, _achando_, 
   {{0xbc0a03eb,0x00000000,0x00000000,0x00000000}},	//   _pampoen_, --, --, --, 
   {{0xb02c026f,0x2ec20375,0x1f880137,0xa31c020e}},	//   _اقبيىك_, _amanenan, _сэгсэрч_, _аңлат_, 
   {{0x59640037,0x068e00e6,0x3c1d0291,0x00000000}},	//   _ጀርመኖች_, _房地产转让_, _اتبعني_, --, 
   {{0xfe370125,0x6ccc02b2,0xf38601c4,0x2c7100ba}},	// [4f90] _чингиз_, _служб_, _skors_, _نفلۆنزای_, 
   {{0x2adc0444,0x4a890185,0x948702d5,0xf33701cd}},	//   _опасных_, _garifcan_, _सुखाइल_, _китобаш_, 
   {{0x9b300092,0x948400c1,0xddb60397,0xd7e3014e}},	//   _クチコミを投稿す, _अजरामर_, _нансмит_, _понизио_, 
   {{0x8dc202c1,0xa20101b4,0xca0902ac,0xf395021c}},	//   _yashimye_, _insig_, _afganast, _senzory_, 
   {{0x530601fc,0x4d7c0147,0x23730053,0xe8e20081}},	//   _afdaguk_, _الچۇۇلار, _dipekerj, _berglind, 
   {{0xae5600b9,0xfc530155,0x42d9022c,0x00000000}},	//   _दुर्गभ्र, _plattan_, _agrem_, --, 
   {{0xbfc503cd,0x93f3011f,0x4c5e0350,0xd343038e}},	//   _उपसचिव_, _isarambi_, _እውነታዎች_, _तंदूर_, 
   {{0xd34c026c,0xfe4300c7,0x6c7e0322,0x1c990046}},	//   _liberum_, _торгызу_, _amasaro_, _دوردوي_, 
   {{0xae5404f9,0x9acf0514,0x729101c0,0x0f35005e}},	//   _ajaappia, _gurwince, _alwala_, _ئۆلسەم_, 
   {{0x361f0249,0xebf202a6,0x92640010,0x92b3042d}},	//   _plantesi, _poveracc, _ithokeni_, _handoto_, 
   {{0x6321045c,0x52d6018a,0xb62100fd,0x6c1202db}},	//   _dopyt_, _esbonio_, _chrombai, _prosekus, 
   {{0x43f002e4,0x13af0155,0x5b2a004d,0x739401d3}},	//   _minoranz, _trevlig_, _詢問相關問題_, _censur_, 
   {{0xb063008e,0xc1820109,0x9e590315,0x00000000}},	//   _denariyo, _गरीवि_, _inebuhle_, --, 
   {{0xfd3b0455,0xfd5a014e,0x2eb3013a,0x6f9a00be}},	//   _employé_, _повез_, _autoskon, _قىشىندا_, 
   {{0x01870162,0x06ba013f,0xe27e02ea,0xd3a20220}},	//   _تالانتلى, _savaduri, _icona_, _colpa_, 
   {{0x0c9b0209,0xa2f101c9,0x27720375,0xec7e0043}},	//   _siegstad_, _मछ्री_, _anaziriw, _amasiro_, 
   {{0x038700ce,0xf2fc0133,0x3c5001ab,0xd3210486}},	// [4fa0] _kwarze_, _bitaatti_, _पछतऽईबऽऽ_, _kopyt_, 
   {{0x52d40461,0x430e001e,0xcd0d034c,0xf379002f}},	//   _gaudí_, _ragamar_, _арсланов_, _bucaran_, 
   {{0x5e59007d,0xd19b03b8,0xb19c02e1,0x2249000c}},	//   _berbinca, _الاساپىر, _ولولا_, _inambi_, 
   {{0x7d7a0244,0xcc2b00c4,0xc24d01fe,0xd25a046f}},	//   _качество, _منصفاڻي_, _wanonovi_, _geflu_, 
   {{0x1b6301bd,0x8b8702c7,0xa2910119,0xa47c0088}},	//   _геология, _behinder, _ungara_, _تااسماسى_, 
   {{0xa35f0024,0x43ac017a,0x2b02007b,0x00000000}},	//   _borgund_, _болаёкат, _messeige, --, 
   {{0x12f00145,0xd4490037,0xbf6c0162,0x22d4000c}},	//   _pinigai_, _የከነዓን_, _көндүрим, _daudí_, 
   {{0x511900be,0x3eaf01f0,0xa26701f2,0x537f00a8}},	//   _режимге_, _bolokwan, _шаңгаң_, _aviarta_, 
   {{0xb7b300f0,0x644b0297,0xf97a019b,0x609900e6}},	//   _miniatúr, _эстрадан, _atsirast, _县委副书记_, 
   {{0x72130013,0xe3940364,0xc7a5032d,0xf3920388}},	//   _pochta_, _zensur_, _отребнад, _ангренаж, 
   {{0x198c0223,0xc2ca033a,0xce260109,0xcd940311}},	//   _болдбаат, _aboliti_, _याङ्गशिल, _ዓብዱራሕማን_, 
   {{0x83ff0220,0xddba0055,0x8af900a3,0xb6c502a9}},	//   _оставащи_, _avariamu_, _bokutgje, _rėžėsi_, 
   {{0x72300252,0x64370227,0x199a0255,0x0a800271}},	//   _kwamiwa_, _perhatik, _कार्क्रम_, _svangers, 
   {{0xbc750255,0x2da601e0,0xcb570177,0xc4710333}},	//   _गोर्की_, _ڕایانگه_, _бабаду_, _unificaz, 
   {{0x33860097,0x07c90027,0xbc4502e8,0x00000000}},	//   _akori_, _kompliti, _ekuwana_, --, 
   {{0x52fd02d4,0xd9cc0282,0x32e7002b,0x726e00ec}},	//   _eleger_, _hinenuit, _desnuda_, _daroma_, 
   {{0x2202016e,0x25270040,0x79cf008b,0x45dd0062}},	// [4fb0] _hariç_, _פינלנדלי, _deseetut, _hoschemh, 
   {{0x463e003d,0x03fa0129,0x7a060028,0x00000000}},	//   _albigeoi, _ratulu_, _diwaange, --, 
   {{0x82250700,0x3e590146,0xce4e0140,0xcbfd033b}},	//   _ngakau_, _perbinca, _pamahala, _polokego_, 
   {{0x77ef02fe,0x2fab01d7,0x72780141,0x32910050}},	//   _عثماني_, _ulteriur_, _kuchlari_, _bogana_, 
   {{0x0201031a,0x3fd701eb,0x741e0177,0x00000000}},	//   _aisig_, _слепниов, _франциеи_, --, 
   {{0x16420288,0x0fbb0199,0x6aa502f3,0x820103d7}},	//   _standhaf, _zingstar_, _utnyttja_, _lisid_, 
   {{0x028d0343,0xa2900456,0x56400113,0xcdc3031e}},	//   _alikabo_, _ledang_, _braithim_, _sličnom_, 
   {{0xeb820169,0x1cfe011f,0x30e503a2,0x335701ab}},	//   _নামতে_, _avatimir, _सीवीबी_, _छ्ोलक_, 
   {{0x22d403b4,0x73400028,0xc3050161,0x48f70020}},	//   _ajudha_, _debedda_, _автокред, _tinamatu, 
   {{0x9dac038a,0x528e00d2,0x1c7c018b,0x00000000}},	//   _achinanp, _rachmat_, _clasica_, --, 
   {{0xb7eb0499,0x74ae00c4,0xf3f8001c,0xf249005a}},	//   _talafeag, _رتوڇاڻ_, _nakun_, _qurmo_, 
   {{0x23f9034a,0xa6570024,0xa37c018a,0xa3f903d1}},	//   _seguen_, _পত্ৰচিহ্, _dihareb_, _mugura_, 
   {{0x02010342,0xf4d70008,0x52240156,0x22fd0095}},	//   _disid_, _ташкын_, _טאַסקס_, _bleger_, 
   {{0x302e0156,0x0c7c0193,0x00000000,0x00000000}},	//   _brufanto, _मुक्तांग, --, --, 
   {{0xfe3d023b,0xc3f7041c,0x79f302eb,0x89dd003c}},	//   _lunahoop, _delseeti_, _inprimid, _bangunre, 
   {{0x926e02c5,0x2ae1002c,0x46cc036d,0x6f6b054d}},	//   _varoma_, _daitekee, _logarbai, _japanern, 
   {{0xa26e048f,0x540102ff,0xf027004d,0x72c101c0}},	// [4fc0] _waroma_, _cheriben_, _何不馬上註冊_, _gallaza_, 
   {{0x86cc0369,0x83f902c1,0xbf2b0241,0x13f30756}},	//   _ainapuni, _kugura_, _addunaya, _सेटअप_, 
   {{0x82cb00a2,0xc2d90424,0x384f0255,0x00000000}},	//   _amedai_, _sufera_, _laulupid, --, 
   {{0x61a10093,0xfc6b017f,0x56d00418,0x224103f0}},	//   _адвоката, _bonusit_, _kurabili, _fiskibát, 
   {{0xec770155,0x5e14002b,0x03010009,0x00000000}},	//   _skruvar_, _কলেজছাত্, _globine_, --, 
   {{0x0fd50219,0xf96f00ce,0xe2d40766,0x144000bc}},	//   _njengalo, _difikilt, _večernji_, _العربیه_, 
   {{0xfb7e0044,0xdf4103e0,0xd3f80049,0xc74a01a3}},	//   _biologic, _sougenan, _kakuo_, _فرزندن_, 
   {{0x62000240,0xf6430274,0x127b034c,0x98ce0153}},	//   _nakiti_, _leikriti, _cittelär_, _メインメニュ_, 
   {{0xf3fa022c,0x22350287,0x529000d2,0x03a20119}},	//   _satuju_, _mrtvých_, _gedang_, _golpo_, 
   {{0x12a7020e,0x336902cf,0x511e01d5,0xf61a0274}},	//   _tsuba_, _проверет, _وجاہت_, _algleymi, 
   {{0xa27e0170,0x29840204,0x28e9019b,0xbf27038e}},	//   _mboni_, _esikatse, _партугал, _सुसज्ज_, 
   {{0x7b000503,0xad850154,0x92d9034a,0x804b02c2}},	//   _fabrikke, _кураан_, _cadeas_, _deurgaan, 
   {{0x72010129,0x0f3c0080,0xbdaa04e3,0x8c210041}},	//   _jisie_, _airgreen, _motivira, _ҳҩызцәа_, 
   {{0xe3440263,0xc3f800b7,0x1db802fd,0xb1bd0397}},	//   _decease_, _makul_, _aitichea, _кисту_, 
   {{0x52900122,0x94ad0184,0xeba901ab,0x2201007f}},	//   _wedang_, _bayaronk, _भुइंहार_, _eisie_, 
   {{0x43ac012d,0x017904cc,0x53fa02ce,0xe27e00ff}},	//   _respek_, _conhgyah_, _katuhu_, _aboni_, 
   {{0x138c00e6,0x1d9301a6,0x1dae02ed,0x42cb0130}},	// [4fd0] _现在年营业额均在_, _kumekume_, _aragunde_, _feadra_, 
   {{0x53f801e5,0xf30e01fd,0x0c290092,0x13dc0262}},	//   _takun_, _zapatos_, _最新のコメント_, _alabaý_, 
   {{0xf3fa02a0,0x02de0239,0xf021002b,0xc2d8030a}},	//   _batuku_, _mangonui_, _দিকনির্দ, _baleas_, 
   {{0x227e03f6,0x920201da,0x0c66018a,0x7d37032e}},	//   _eboni_, _besimi_, _mantais_, _webamtuq, 
   {{0x8c700578,0x7aec0053,0x626e021b,0x761700ac}},	//   _tojsiab_, _likuidit, _varoja_, _udaljeni, 
   {{0xc9f0048f,0x2e50037f,0x93f90066,0x09560299}},	//   _alongola_, _piyadala, _neguan_, _تراگېدىي, 
   {{0x694a0019,0x00000000,0x00000000,0x00000000}},	//   _ارئيەت_, --, --, --, 
   {{0x53f80035,0xce4b04bd,0xf61e0307,0x0f57020f}},	//   _fakul_, _hakanele_, _elingesi, _bamanyen, 
   {{0x42b401d5,0xa26f0055,0xe3ea0126,0xa720013d}},	//   _vendég_, _marinari_, _lukte_, _modernaj_, 
   {{0x830e02e7,0x5b7304a8,0xb28c03de,0x325a008d}},	//   _sapatos_, _tvornica_, _isekela_, _arilar_, 
   {{0x12900657,0x0c5c06f2,0xd34200d4,0xedd9003c}},	//   _sedang_, _प्लेन_, _skreaun_, _کتمان_, 
   {{0xbc65041e,0xad8a04a5,0xb2c40258,0x6bf4011a}},	//   _visuale_, _ebambeka, _frommes_, _mattress, 
   {{0xa88a027c,0x3e1a004d,0xd42702ec,0x02cb0127}},	//   _رسميت_, _考量下游無法轉嫁_, _silaanyo_, _beadra_, 
   {{0xe37b002a,0xf24e0061,0x9c66018a,0x96d3033e}},	//   _mahadum_, _등급셀러입니다_, _fantais_, _milarchi, 
   {{0x284305d9,0xafcf02fd,0xd7a603ed,0xd3f80243}},	//   _gostosas_, _chuntair_, _britânic, _makum_, 
   {{0x792a000c,0xbe9e00c7,0x050d02ea,0xd3b3003c}},	//   _аскульпт, _затлы_, _fratello_, _گلوگاه_, 
   {{0x994103ea,0xb4d9023e,0x6e1a00bb,0x89db03bf}},	// [4fe0] _commence, _بیاندازی, _اکنامک_, _diplejia_, 
   {{0xa2d40078,0xdb8a02ed,0x00000000,0x00000000}},	//   _večernje_, _abandeir, --, --, 
   {{0x7e1d020a,0x32d500e0,0x738501c0,0x028e0048}},	//   _اشىمايدى_, _bedoarn_, _adireshi_, _amakubo_, 
   {{0x4c0e008f,0xb7a9012e,0x12d801d8,0xc95c0405}},	//   _teatamis, _دوستانہ_, _tajen_, _utelukke, 
   {{0x615b0047,0x4b6f0227,0xd2da018d,0x256f0095}},	//   _添加到收藏夹_, _hukumnya_, _ብውጽኢት_, _arswendo_, 
   {{0xe893004c,0xad850282,0x69cc020f,0x32d601e7}},	//   _abakalud, _erietere_, _دمشکوکو_, _hellers_, 
   {{0x7660029f,0xdc5900d4,0xbc5c02c7,0xd2f40230}},	//   _mobilná_, _tritich_, _basteln_, _natirel_, 
   {{0x93ce00fe,0xae80011a,0x00000000,0x00000000}},	//   _faivaa_, _ומרשים_, --, --, 
   {{0xee4f03d8,0x1b1a018d,0x9269044a,0x708b004d}},	//   _malograđ, _ኩዉንነት_, _asirasal, _房產大巴扎_, 
   {{0x989200bf,0x02c902a5,0xf649018d,0x22f4001d}},	//   _тестиров, _japonce_, _ተመሓይሹ_, _articul_, 
   {{0x83f8032d,0x027800a5,0xf9f90067,0x09d202f3}},	//   _athuto_, _aukilani_, _birichaa_, _killarna_, 
   {{0x179500aa,0x32250052,0xd3780343,0xc00700d3}},	//   _centerpi, _čekat_, _bukalan_, _ज्यानगयो_, 
   {{0xe2cb0130,0x7fe90767,0xaa630013,0x5a650056}},	//   _peadra_, _सिताराम_, _vengriya_, _буздил_, 
   {{0x479d045a,0xb29204e5,0x72630325,0x126c020b}},	//   _tydeligv, _attayi_, _defisiti_, _makoko_, 
   {{0x7c510073,0xd5130252,0xc20102ea,0x2e3b02af}},	//   _tentava_, _thalutsh, _ansia_, _karacura, 
   {{0x0d440041,0x397e002a,0x423400d1,0x06930086}},	//   _аелектро, _zachanat, _সপ্তাহটো, _konzervá, 
   {{0xdc670140,0x529102d9,0x82910476,0xfbad01b3}},	// [4ff0] _libreng_, _aveatu_, _angada_, _народній_, 
   {{0x5a8c0166,0x9b1f00ad,0xe2c200fe,0x00bd005e}},	//   _optionen_, _rohangan_, _iteliha_, _урхун_, 
   {{0xc26c0182,0x7db0005b,0x1e640255,0x80590515}},	//   _hakoko_, _densetsu_, _गुन्जाइश, _vergonio, 
   {{0x95f30143,0x02fd0088,0x138600f9,0xf3f403f3}},	//   _момента_, _llegir_, _ijoro_, _lastig_, 
   {{0x1abf0193,0x9386019c,0xfadf0016,0xfe4e02a2}},	//   _berjalan_, _ajoro_, _mortigit, _namamala, 
   {{0x687d02be,0x117e0126,0xab58014c,0x90350306}},	//   _alipores_, _фарба_, _kubulawa_, _contaman, 
   {{0xaa580768,0x990f008b,0x0344025d,0xc71f047d}},	//   _pergunta_, _daganalu, _busette_, _deemoleg, 
   {{0x42d8029c,0x147f0265,0xce4e04bd,0xbbff017f}},	//   _kunena_, _wettelij, _kamamala, _alluitts, 
   {{0x47d402ec,0x9c93016d,0xd399047c,0xeb730074}},	//   _کھۯاشێو_, _تاقاق_, _påska_, _kaduilla_, 
   {{0x9b640238,0x3b3402ee,0x5fdd02f3,0x00000000}},	//   _стипенді, _darbtejn_, _likheter_, --, 
   {{0x320000ad,0x526c0339,0xefd6020f,0x988f0125}},	//   _mikir_, _aakoko_, _akunjalo, _bashlapd, 
   {{0x626c048f,0x52640422,0xedf800be,0xa3160103}},	//   _bakoko_, _mislil_, _سەزۉۉ_, _gombami_, 
   {{0x1080012c,0xb8d502c8,0x8a850037,0xc02202c5}},	//   _المرجب_, _celebrou, _ገልጻለች_, _handimbo, 
   {{0xe2910763,0x2ae6020a,0x52d902b4,0x227a0376}},	//   _ingaba_, _تارماعى_, _buveta_, _bussvanl, 
   {{0x2dd902ac,0xdf190041,0xd7ab02ea,0x7b8d041e}},	//   _إتحاد_, _иеигур_, _reputazi, _aministr, 
   {{0x624902d4,0x2058004b,0x12ee0135,0x201a0361}},	//   _furma_, _chesehan, _мотозаво, _законном, 
  
   {{0x375a04f9,0x1200051a,0x55f60040,0x129002f8}},	// [5000] _frankrig, _kikir_, _ויהודה_, _hulali_, 
   {{0x58c80059,0x3ee30354,0xf2000189,0xdaed0403}},	//   _концерта_, _тутмақта_, _sicil_, _botrabot, 
   {{0xed4f0193,0xcca30089,0x9b770068,0xa2000037}},	//   _मित्रमंड, _тәрәзә_, _sportiga_, _dikir_, 
   {{0xc34f0497,0xb9d80350,0x00000000,0x00000000}},	//   _buffing_, _ተዘዋዋሪ_, --, --, 
   {{0x9b7d01d3,0x3dbc0025,0x4af10257,0x00000000}},	//   _prenumer, _सूर्यकान, _brauðstr, --, 
   {{0x164200d1,0xd19302ff,0xc544034c,0x3c74011d}},	//   _মানসে_, _checotah_, _donorlık_, _debutat_, 
   {{0x62910056,0xc63903bb,0x52130144,0x3bb700da}},	//   _angaba_, _fumigaci, _nochta_, _populară_, 
   {{0xd2010204,0x02000278,0x926f015b,0xf38601d4}},	//   _ensin_, _zikir_, _marimari_, _scorri_, 
   {{0xa200012d,0x82d90079,0x267e017f,0x12fc02f1}},	//   _sikis_, _ogres_, _kuldioxi, _origem_, 
   {{0x53f8008f,0x65fc01eb,0x4ee90220,0x00000000}},	//   _pakub_, _angirũme_, _previste_, --, 
   {{0x28be0148,0x16f600c1,0x92a0044d,0x7b7300ef}},	//   _與閱讀文獻_, _दळणवळण_, _cuubug_, _ambulala_, 
   {{0x7c060441,0xcaf4017e,0xb21301ac,0x426c028f}},	//   _ostravy_, _alisekse, _dochta_, _pakoko_, 
   {{0x8efb0093,0xb24902e4,0xac040015,0x462b0248}},	//   _страниц_, _curmi_, _galladuu_, _agradecé, 
   {{0x50c3014a,0xceca0227,0x43f800d3,0x4f510038}},	//   _مدرسہ_, _seandain, _trouba_, _вәгъдә_, 
   {{0x7de00300,0x70d1017d,0xb7540287,0x5e5d03f2}},	//   _povinné_, _この人とブロとも, _प्रिस्कि, _матчи_, 
   {{0xbc760387,0x02120250,0x8a82002b,0x6f6600cf}},	//   _adiriri_, _njihet_, _দ্ধেউসকা, _eegaluun, 
   {{0xc2e0034f,0xf97e01b3,0x27d6025e,0x00000000}},	// [5010] _abanako_, _показанн, _afbragðs_, --, 
   {{0x93e30016,0x17bd029a,0xfa450144,0xd953017f}},	//   _ברוסט_, _envestig, _innealra_, _amiliart, 
   {{0x5288031a,0x020e0088,0x0af50033,0xfce50145}},	//   _aigheir_, _лакап_, _absolvan_, _sekundži, 
   {{0x920100d6,0x734001a4,0xe3be0209,0xcd1e0211}},	//   _ansin_, _boudins_, _saavani_, _kadonnut_, 
   {{0x620700fe,0x2c6f0108,0x5eb404c0,0xf63d00ab}},	//   _pasifiki_, _barudak_, _mansotwe_, _kiriatai, 
   {{0x63170288,0x0386037c,0x395e0326,0xd38106a2}},	//   _beichte_, _stirpe_, _anonetse, _ibuzimu_, 
   {{0x07470076,0xf27f0185,0x638604ca,0xb2c500df}},	//   _disposiç, _bignov_, _atirat_, _tromper_, 
   {{0xfc6502a3,0xc3f80204,0x2fe1004a,0x411c002f}},	//   _visuele_, _hakua_, _образлы_, _chakatay_, 
   {{0xf3f801fe,0x925b0515,0x123002f4,0x53eb0095}},	//   _kakua_, _italic_, _llamada_, _agetir_, 
   {{0x5be70207,0x621300d6,0x00000000,0x00000000}},	//   _مرشدن_, _eibhir_, --, --, 
   {{0x13f80182,0xa99c0074,0x3b1f024a,0x7e100195}},	//   _makua_, _последст, _dánilójú_, _fhreicea, 
   {{0x6c6a0037,0x12d6033d,0xf06700e4,0xb2cb00f5}},	//   _ትንቢቶች_, _apolòs_, _स्वप्नद्, _beydip_, 
   {{0x3d650187,0x346502c0,0xc316019f,0x17e2047b}},	//   _главно_, _гладни_, _itabidi_, _avspegli, 
   {{0x71c70135,0xda0c03b4,0x98ef012c,0xb73300e6}},	//   _piträç_, _achapone, _اسپارٽا_, _国务院令第_, 
   {{0x33860183,0x528c01a4,0x66a801f5,0x8a9a0204}},	//   _akory_, _alakisa_, _laptopny, _kannabis, 
   {{0x3e5901d5,0x462701ec,0xdafd03f3,0xaeed03f2}},	//   _شرمناک_, _رايانه_, _situatie, _прелесть_, 
   {{0xb7cc0073,0x726c03c2,0x338004eb,0x820001c7}},	// [5020] _reappari, _ardoil_, _हारमोनिय, _dikip_, 
   {{0x52920285,0x0a28006c,0x13c8018c,0xee4c0183}},	//   _impano_, _факултаҳ, _durven_, _fanakona, 
   {{0x4340006e,0xb2c200d5,0xe31b0239,0xe2000086}},	//   _agadiir_, _alalana_, _matakā_, _cicik_, 
   {{0xdb7c02f3,0x261d02f0,0xd30c0074,0xc29000ea}},	//   _aktuella_, _asengoti, _antanut_, _rakapy_, 
   {{0xe37f0314,0xd0f502d6,0xdaeb0497,0xaa0904e5}},	//   _belaela_, _ettirdil, _battleme, _bagavana_, 
   {{0x024801c5,0x63ea036e,0xde790187,0x00000000}},	//   _dhimi_, _centla_, _пронаоѓа, --, 
   {{0xd2d9028d,0x82d8021c,0x39cd02ea,0x82300005}},	//   _egrer_, _vajec_, _rivendit, _clamada_, 
   {{0xb20106a3,0x8c2a020f,0x3878013f,0xeaf40021}},	//   _eisin_, _ګړدود_, _disivoud, _artridge, 
   {{0xf31604ff,0xb33d00bb,0x8da700c5,0x6f46002b}},	//   _seizde_, _مینار_, _安徽金仑商贸有限, _অপছন্দ_, 
   {{0xd2ca0194,0x4201009d,0x6fb3005e,0x2962023d}},	//   _munde_, _nisin_, _شەھۋەت_, _болтове_, 
   {{0xbc0d0497,0x32e90115,0xb77c00e1,0x00000000}},	//   _stipule_, _bijirin_, _iniwersi, --, 
   {{0xc200009f,0xfe49022d,0xf22500cf,0xe6bf01a3}},	//   _takih_, _affarone_, _daakuu_, _هيپاٽائٽ, 
   {{0x820101ba,0x837a00fa,0x0bf00162,0x93f4000e}},	//   _bisin_, _uusapan_, _йетилдик_, _battet_, 
   {{0xd29102bf,0x8a390059,0x501d01ac,0x2d060012}},	//   _angaya_, _веселин_, _hoavietn, _लेलखिन_, 
   {{0xa4a50094,0x08030137,0x830200a6,0xdb8a02d5}},	//   _ءبىرىڭدى_, _сувилагч_, _abanamaj, _hinnakir, 
   {{0xf4b5040b,0x420100f7,0x383e00c7,0xa7a80311}},	//   _lunyadzo_, _misio_, _биткә_, _ብማዕረን_, 
   {{0xa25701f6,0x1a0a0229,0xf3f702cf,0x7b89013c}},	// [5030] _বাক্সা_, _rosalina_, _царствот, _ingilisc, 
   {{0xe9a403cb,0x2f4d02e4,0xd5bc00b4,0x91930044}},	//   _autovía_, _acephate_, _хортенси, _sincerel, 
   {{0xe24901ca,0x83d90278,0xfad20282,0xac610087}},	//   _chamwi_, _አመታትን_, _poutapet, _nkhumbo_, 
   {{0xf8a40769,0x1cd900d9,0x437f00dc,0x686e018c}},	//   _प्रश्नोत, _заслужив, _pulatoa_, _basisond, 
   {{0x94bd00db,0x83be02f6,0x220202a3,0x83c1036b}},	//   _ट्रेनवा_, _baywang_, _maritz_, _inspeção_, 
   {{0xe4ec0092,0x9fd50128,0x8d900098,0xc477014e}},	//   _キャッシング_, _дубайда_, _helligda, _царева_, 
   {{0x82ca005b,0x5fe400c7,0x329102e8,0x53870441}},	//   _hunde_, _militsio, _aigara_, _starat_, 
   {{0x4c930354,0xdb0a04d8,0x82fc0231,0x23c50409}},	//   _خازان_, _kansarka_, _oblitus_, _kirkelig_, 
   {{0xed8d00ce,0x0a5e00d0,0x2c7f0331,0x92fd020e}},	//   _kalobora, _лондонги, _suduroy_, _гражданы_, 
   {{0xd6980074,0xf27f0288,0xd2d80039,0xaa5f006c}},	//   _контроля_, _emanor_, _daben_, _akumahub, 
   {{0xf30e004b,0xc269009c,0x72480362,0xce98003b}},	//   _arabela_, _afrikapi_, _akima_, _ancunywe_, 
   {{0xe98e00c7,0x6bf801ce,0x12e8008e,0x1c5e046b}},	//   _равил_, _شوالیه_, _degniou_, _cestyll_, 
   {{0xc341001a,0xd2000295,0x41790261,0xba6c032d}},	//   _انعام_, _takii_, _respondo, _илгиз_, 
   {{0xf9b80238,0x2a5e01c5,0xcdff0271,0x4cb20242}},	//   _театру_, _habeenka_, _voldtekt_, _blogerlə, 
   {{0xa9ee041e,0xab1900d9,0x7c570092,0xc2910558}},	//   _dicitura_, _ottamaan_, _kostume_, _zigara_, 
   {{0x03eb0058,0x630c0044,0x43fe0267,0x00000000}},	//   _diatek_, _damages_, _stazama_, --, 
   {{0x5da7017e,0xf44a03d4,0x323c0040,0xe8a301cc}},	// [5040] _katolika, _zatvoren_, _harmful_, _पाकशास्त, 
   {{0xd251010b,0xd20200d0,0x82fe0088,0xfc22004d}},	//   _aretikel, _haritz_, _ultimes_, _人物美圖欣賞區_, 
   {{0x1108018b,0xf5d902b2,0xdae00101,0x820100bd}},	//   _абеба_, _аналіз_, _continut, _risin_, 
   {{0x1dd900c4,0xa3f003bf,0x92010183,0x5c620185}},	//   _اڪرام_, _binelang_, _sisin_, _artuın_, 
   {{0xec610163,0x164a00e7,0x7dd80241,0xbbb300f6}},	//   _sorrend_, _advisorw, _dunkaana, _aparması_, 
   {{0x53ea04ad,0xe5a70089,0xf51100c1,0xf3750434}},	//   _badumedi_, _tatptiçe, _पैठणी_, _tendré_, 
   {{0x52910189,0x1dd104c7,0x986302c6,0x2f580177}},	//   _sigara_, _скица_, _bevoniou, _ҧшьганкт, 
   {{0x852801b9,0xb0b800be,0xb2480277,0x7a86011a}},	//   _salitasy, _جەڭەم_, _ihimo_, _הסכמתו_, 
   {{0x8308015b,0x7061010e,0x128c023b,0x324800aa}},	//   _bagarap_, _worsenin, _esekola_, _ahimo_, 
   {{0x0516016d,0xe3250187,0xc3280039,0x00000000}},	//   _چاقماق_, _percebi_, _модулийг_, --, 
   {{0x92ca0226,0x02d80286,0x9f4202c1,0x02c9048c}},	//   _afilipi_, _waben_, _amusanga, _ashlish_, 
   {{0xba1e00a7,0xe2b502b0,0x5300001b,0x00000000}},	//   _чирик_, _landete_, _hoganni_, --, 
   {{0x99b602f4,0xff3f0343,0xc5cc00f6,0x172a00e6}},	//   _pendient, _dunggoan, _bacarmay, _respecté, 
   {{0xa39e0212,0x0396048f,0x00000000,0x00000000}},	//   _draynor_, _oguste_, --, --, 
   {{0x32d80082,0x8486014e,0xfb9901db,0x88c9018d}},	//   _zaben_, _stručnja, _намазына, _እግዚእብሄር_, 
   {{0xc3200230,0x2ec20009,0xe9400155,0x690000f2}},	//   _indyen_, _prenehan, _kommunst, _saspring, 
   {{0x358a003b,0xa8b90059,0xc2d80403,0xf31d0013}},	// [5050] _angesikh, _фондация_, _babeo_, _узундан_, 
   {{0x438f0050,0xfe610006,0x91cf0078,0x00000000}},	//   _mulyana_, _korbanka, _концепту_, --, 
   {{0x52d804aa,0x3c0b057f,0xa291021a,0xc0dc0040}},	//   _nabel_, _lausitz_, _angafa_, _להאזנה_, 
   {{0xc5270024,0x80b50008,0x4db30003,0xf3e300db}},	//   _প্ৰহসন_, _تىلىبىزد, _gedachte_, _intressi_, 
   {{0xc27e026b,0x251e0645,0x9fb80137,0xe997016a}},	//   _icono_, _doručkom_, _нэгхэн_, _פריטענשע, 
   {{0x120001e8,0x1aa4006d,0x7fe60013,0x33fa0300}},	//   _makit_, _пласты_, _эдики_, _koruny_, 
   {{0xee0d02e4,0x1c5a0165,0x99b0004d,0xf0530425}},	//   _interdip, _isitori_, _公共工程及採購契, _مانسا_, 
   {{0xad04017d,0x82be00ff,0xb2c80393,0x00000000}},	//   _fremmest_, _פוטבאָל_, _komadiće_, --, 
   {{0x52480092,0xf18b015c,0xfd090222,0xa68c00e4}},	//   _shimo_, _finanzpl, _insolite_, _स्याह_, 
   {{0x319403de,0xeeab00b7,0x827e017d,0x45fa0350}},	//   _ezibalul, _астындак, _econo_, _አስቆራጭ_, 
   {{0xa200044a,0xa2900146,0x412c0187,0xa26e012c}},	//   _bakiti_, _azlan_, _престане_, _kasoro_, 
   {{0x1a2b017d,0x313b0163,0x78940289,0x42000318}},	//   _オプション_, _برگزیدہ_, _chikumbu, _makisi_, 
   {{0x31320078,0x785400b3,0x3f6a0193,0xd3f400bd}},	//   _страшном_, _amallard, _योगदाना_, _fittie_, 
   {{0x82000039,0xd200002a,0xf67e0092,0x0e380467}},	//   _dakit_, _fakisi_, _クション一覧_, _sumakasa, 
   {{0xe5b90062,0x035406f6,0x17e404df,0x83e10016}},	//   _bilachch, _aagents_, _basandyg, _alfronti_, 
   {{0x14930319,0x12bb00bb,0xc2900009,0xe29d0375}},	//   _কেন্দ্র_, _گرویدہ_, _izdal_, _gonjera_, 
   {{0x3e3b025a,0x6a9900e6,0xafc00027,0x3b65046f}},	// [5060] _baramura, _让我们撑起那片天_, _vamotino, _depensen_, 
   {{0x42d80017,0xec5a033e,0x4f4e00e7,0xb37804d7}},	//   _labem_, _aratiri_, _akashika, _atlason_, 
   {{0xa2900339,0xc00d01a0,0x72c20400,0x82640724}},	//   _hioana_, _erivalen, _acclama_, _coplas_, 
   {{0xda080104,0x87290059,0x1af90062,0x0fa8030f}},	//   _sikanina_, _микровъл, _jiruchme, _whīti_, 
   {{0x9c51053f,0xd54a00d6,0x4c680445,0x93f402f3}},	//   _muntaxa_, _catharth, _segredo_, _fattat_, 
   {{0x42cf0073,0xd24d033f,0x00000000,0x00000000}},	//   _monoide_, _kanokovi_, --, --, 
   {{0x9aae034c,0x095c01db,0x9347019f,0x805b05e6}},	//   _комедиян, _جانسەبىل_, _nimeona_, _strafpro, 
   {{0x92ef0018,0xa7000179,0xe20001f8,0xc697023c}},	//   _raffia_, _besteigä, _hakiri_, _دځوانانو_, 
   {{0x627b023a,0x831e0291,0xca7701de,0x00000000}},	//   _orientác, _piscín_, _алмұрт_, --, 
   {{0xba710176,0xd368005a,0x1f66030b,0x32f40231}},	//   _hirasawa_, _lingnis_, _banaafun, _ordinum_, 
   {{0x47f20255,0x6d190035,0x8200028a,0x7aef0035}},	//   _इन्दोनेस, _башкирия, _pakiti_, _йөрдегез_, 
   {{0x427e02e2,0xd2b4053f,0xd2ea013d,0x8e460166}},	//   _lagny_, _punchu_, _pozicio_, _stört_, 
   {{0x02480359,0x0c67001d,0x0ae4018e,0x4c3e0487}},	//   _nimmen_, _geotour_, _hulument, _סוויפט_, 
   {{0x89cf049e,0x658700b8,0x88c800e7,0x72940282}},	//   _stretnut, _mistunak, _abutting, _anakimi_, 
   {{0x93020020,0x86f800d7,0x5c5d0373,0xc012028e}},	//   _aimaasu_, _предметт, _kastelo_, _prodakso, 
   {{0x7fa20638,0x9e7304d6,0x68ce0037,0x29d00265}},	//   _nedenfor_, _हुक्म_, _ተሰሎንቄ_, _gereagee, 
   {{0xac45004d,0x120003b6,0x00000000,0x00000000}},	// [5070] _常見問題集_, _kakiri_, --, --, 
   {{0xec510073,0x0200032e,0xbe9400f3,0xb29401e3}},	//   _sentiva_, _jakiri_, _abamelan, _enakimi_, 
   {{0xccf2030e,0x5f44025c,0xecf900bf,0xcb6503f3}},	//   _عالمي_, _aussieht_, _гостевой_, _aspecten_, 
   {{0x276d0257,0xb86d0274,0x4383023e,0xb6fa0185}},	//   _andstæði, _ingimund, _banyuke_, _ekipajı_, 
   {{0xdaf30168,0x218901c5,0x4b690024,0xd2c80160}},	//   _konsepte, _garaacay_, _skulekor, _otrovne_, 
   {{0x2c7c0043,0x0d6b00b4,0x136c04cb,0xfb8d01eb}},	//   _agasoba_, _primeste_, _liberă_, _iministr, 
   {{0x9e3403de,0x1e670188,0x3387012a,0xef2c0308}},	//   _nabantwa, _наҳваи_, _twarde_, _selesain, 
   {{0xa8ea039e,0xb1cb00bf,0x80fd0255,0x4a050185}},	//   _forsking, _акунин_, _पंचवा_, _däşmi_, 
   {{0xe3470369,0x82000069,0x59e90044,0x029100ef}},	//   _simeona_, _bakiri_, _language, _angala_, 
   {{0x9ea60155,0x98a7003e,0xfe4f0399,0x72000318}},	//   _bostäder_, _мурзабае, _mamamama, _pakisi_, 
   {{0x7dab011f,0xf3790478,0x53a900a6,0x815f00d0}},	//   _boliviap, _escapan_, _دزيات_, _alorreko, 
   {{0x179f01f1,0x267f00ab,0x9d490128,0x11a400e7}},	//   _komentev, _koheteti, _ўшаларда, _aunchesl, 
   {{0x92f400f4,0x4e330193,0xfd4e003c,0xa200028f}},	//   _aktivel_, _बुद्धिबळ, _مگاآپلود_, _takiri_, 
   {{0x52910480,0x442d0192,0x412c036b,0xf201021c}},	//   _engama_, _kampioen_, _придонес_, _tisic_, 
   {{0xe2fc049a,0x3b3903b5,0x811e04df,0x1e3b0096}},	//   _brigom_, _membinas, _balkanly_, _barakura, 
   {{0xdd26018b,0x2c020193,0xaeb100bd,0x3f690464}},	//   _europene_, _नेतृत्वा, _breedins_, _ibibaran, 
   {{0xa98e0039,0x4c6700a6,0x36ce0145,0x18fd0331}},	// [5080] _таних_, _کردان_, _торговал, _umfatand, 
   {{0x1146032b,0x0db60256,0x6c73031e,0xf3000414}},	//   _جاپاكەش_, _cienījam, _čistka_, _tokangi_, 
   {{0xf2ca00b9,0x22f0029c,0xea8803ea,0x6e4b0430}},	//   _sunda_, _kabichi_, _choisiss, _takalele_, 
   {{0x9e8302e1,0xd2000048,0xebbc016e,0xc344001d}},	//   _عائشة_, _wakiri_, _ayarları_, _essente_, 
   {{0x13f60187,0xbc61005b,0x11890143,0x2d150019}},	//   _автобуск, _ayarere_, _териер_, _maquetac, 
   {{0xf9d80453,0x53f00037,0x00000000,0x00000000}},	//   _čelnika_, _seleweng_, --, --, 
   {{0x12010207,0x03800372,0xbe4b0513,0x17970137}},	//   _hisia_, _betrol_, _hakamele_, _давжээ_, 
   {{0x4e8b0040,0x3f3b02a2,0xdcc30262,0xd27f02b1}},	//   _והלכה_, _kabuluha, _ardynjyr, _amanar_, 
   {{0x63b004a0,0xc7a4017d,0x9a3f0147,0xaef0000a}},	//   _elevado_, _マの記事一覧へ_, _بۅلدۉ_, _akikikin, 
   {{0x4e1c0171,0x129104a5,0x3230023a,0x73b5024e}},	//   _prekršaj, _angama_, _premena_, _udovica_, 
   {{0x718604c7,0xb75e0091,0x42000163,0x9eb00417}},	//   _економск, _tariunng, _picit_, _benewens_, 
   {{0xd26d02dd,0x87a200d1,0x6bef0318,0x6efd032d}},	//   _angolu_, _অনিৰ্দিষ, _kanokato_, _яппаров_, 
   {{0x1dd90126,0xf2b50103,0x92900410,0x163e045f}},	//   _масштабн, _chacho_, _tlhako_, _inriktni, 
   {{0x1dde026c,0x02d10527,0x3c770025,0x72000051}},	//   _當地二手交易_, _povodom_, _पूर्वे_, _ticis_, 
   {{0xa2010039,0x55a2015d,0x97ee0192,0x5847045e}},	//   _aisia_, _भागते_, _저장됩니다_, _запази_, 
   {{0x57a9015c,0x1bcf027b,0x52fe0747,0xd40703a2}},	//   _sportspi, _लोकेऽस्म, _alugar_, _मज़दूर_, 
   {{0x95ce010f,0xb288027f,0x529100d8,0x90630126}},	// [5090] _сахми_, _bakarani_, _aigada_, _позовом_, 
   {{0xe832027f,0xd201003d,0x38fd01a3,0x32bd015e}},	//   _aramwiru, _disia_, _بيٽسمين_, _tindrem_, 
   {{0x620002c8,0x1a1e0162,0x920b0366,0x814e004a}},	//   _dicir_, _бирип_, _сосредот, _almadıla, 
   {{0x2c6c0151,0xd2e301b4,0x4cf2000d,0xaff002c4}},	//   _perusal_, _indiese_, _laadijad_, _зелка_, 
   {{0x161702d4,0xe3b800a9,0x529701da,0xa6e70059}},	//   _opposizi, _bitwaye_, _efektet_, _бандата_, 
   {{0x320100bc,0xb3f90066,0x7ae80265,0x6fe605fc}},	//   _sisih_, _dugula_, _seconden_, _कष्टकर_, 
   {{0x72480243,0x020e027c,0xa6380348,0x52ca00e1}},	//   _akame_, _asphindi_, _asindiki, _jendë_, 
   {{0xf2900252,0x83790011,0xf6da02cf,0x932101a3}},	//   _tshau_, _abirabam, _азаренка_, _mipya_, 
   {{0x800e02c3,0x22ca017e,0x9db90462,0x165a01c4}},	//   _potvrden, _hundo_, _almingca, _verkenni, 
   {{0x1994023c,0xe2910119,0xbb44014d,0x6b8102aa}},	//   _ګرځېدلی_, _diwara_, _barcodes, _byrokrac, 
   {{0x223605ff,0xc3780122,0x810b0040,0xf9cf0037}},	//   _dvije_, _bukakan_, _rockvill, _መስፋፋትና_, 
   {{0xdd91016d,0x8f8b02d6,0x035f0481,0x5629018e}},	//   _رەۋىشتە_, _تآلیفاتی_, _hoogste_, _ealitari, 
   {{0x687602b6,0x77ca02b9,0x62ca0016,0xa5e0005d}},	//   _артуда_, _energiaf, _lundo_, _hendondé, 
   {{0x497a00dd,0x696b01c9,0x00000000,0x00000000}},	//   _archwaet, _vahistat, --, --, 
   {{0x8b9c016d,0x6a6c00d7,0x4da80119,0x53f902af}},	//   _تەيىنلەن, _bebofats, _mahipasa, _muguma_, 
   {{0xe8c502ea,0xb3f0033f,0x61470195,0x52000028}},	//   _атрактив, _feluteni_, _caillich_, _sicir_, 
   {{0x435d00c5,0x9e6e040f,0x6f7801c7,0xe3ea002f}},	// [50a0] _régime_, _civilinė, _aktiwleş, _aukta_, 
   {{0x020203ad,0x72d900cb,0x238004b3,0x7dd1018c}},	//   _ilwien_, _azinake_, _gopret_, _simkaart_, 
   {{0xee9702ac,0xd7cf006c,0xb9d50262,0x49ed0361}},	//   _باتجاه_, _abasaphi, _barlagda_, _ацаламов, 
   {{0xe3c80246,0xe29104ee,0x62d90119,0xe290033f}},	//   _форумите_, _tiwara_, _lareg_, _nnoaia_, 
   {{0x995e02e4,0xb2480102,0x4dbd022d,0x9cbd022e}},	//   _dellijie, _ukame_, _amparate_, _amparatu_, 
   {{0x857501e5,0x439000c5,0x73730315,0x23170166}},	//   _agologaà, _意见与建议_, _bamanje_, _beachte_, 
   {{0x49d40013,0x672501af,0x4da8033a,0x129002fb}},	//   _tillarda_, _göterim_, _antikita, _iulaki_, 
   {{0xbf310220,0x233b00af,0x02d90198,0x42d90117}},	//   _apprezza, _подробиц, _kazen_, _mared_, 
   {{0x35ee02e5,0xd2d8033e,0xf3870191,0x196f0020}},	//   _апарламе, _aimeha_, _starkt_, _fasitoot, 
   {{0x89d803b0,0xd3780442,0x0ade03d5,0xfa470077}},	//   _vesentle, _sukakan_, _airtight, _etsetera_, 
   {{0x99d803e6,0xbf4b0178,0x33780277,0x49f70204}},	//   _wesentle, _aprahṛṣṭ, _hulaton_, _pelastet, 
   {{0xdf2a003a,0xe5a20025,0x02ca0016,0x25e5051f}},	//   _dasturla, _भारते_, _vundo_, _ناپلیۆن_, 
   {{0xff2b00e2,0xac04031e,0xa75200c0,0xb9c5033a}},	//   _easterma, _upisali_, _alinlang, _evalwata_, 
   {{0x22000189,0x820101ca,0x74d5027b,0x9cf7036e}},	//   _rakip_, _jisiv_, _सुखिनो_, _gustawar, 
   {{0xa2b401fb,0x839c0064,0x74ce00af,0xc2ca0216}},	//   _sancte_, _اقبالدا_, _написати_, _endliki_, 
   {{0x199d00a4,0x3d7b027b,0xd145000f,0xc9f60094}},	//   _насыя_, _अलिखत्_, _emperyal, _قىزىعۋشى_, 
   {{0x226302a8,0xc2d9048c,0xa2d80321,0x04e0015e}},	// [50b0] _definiti_, _eared_, _delež_, _имаратты, 
   {{0xe3dd01bd,0x7d99023d,0x563f0486,0x02920148}},	//   _талантты_, _поредица_, _kamenná_, _mutari_, 
   {{0x931604b6,0x6e4a0466,0xd3630064,0xf50f009a}},	//   _igizwe_, _vlasniku_, _دىنسىزدە, _bagulayo_, 
   {{0x4200055f,0x1316025a,0x89c200e4,0x49df0162}},	//   _takip_, _agizwe_, _ढांचे_, _دەردى_, 
   {{0x1274003a,0x020103f8,0x22e9014f,0x9c6700aa}},	//   _اوشلب_, _bisiv_, _делова_, _librang_, 
   {{0xa8dd0145,0x596802a4,0x00000000,0x00000000}},	//   _visureig, _caritate, --, --, 
   {{0x8b0d0128,0x0b06044a,0x00000000,0x00000000}},	//   _دسیمبر_, _sacrifia_, --, --, 
   {{0xf26f0282,0x16f50357,0x9b00012a,0xa3000318}},	//   _harihari_, _mataveiw, _regionów_, _lehauli_, 
   {{0x52d90133,0xf2bc0040,0x1f390208,0x2a1100d8}},	//   _maree_, _handful_, _عقوبی_, _aisadame, 
   {{0x728b03b4,0x5c0601e6,0x7a9a0093,0x49c50060}},	//   _uchangam, _ostrovy_, _самарско, _ماتىنگە_, 
   {{0x9f6a022a,0xc9ff051b,0xb4720017,0xbb72006c}},	//   _lesagons_, _bolestí_, _स्तनधारी_, _akhulela_, 
   {{0x0e9f04cf,0xc2900082,0x00000000,0x00000000}},	//   _ngamalun, _jakada_, --, --, 
   {{0x56ce008d,0x5f6c03e6,0xb248017d,0xdfe503d1}},	//   _jarayoni, _verbrann, _chami_, _restaurā, 
   {{0x0f1f025b,0xa575019b,0xa0ed011b,0x529000dc}},	//   _saltanga, _pertvark, _kolimbol, _pakaga_, 
   {{0xe7d00534,0x01d10056,0x222e0365,0x534a00dd}},	//   _congdong, _остонаи_, _ईन्जिनिय, _dadebru_, 
   {{0x36dd001e,0x22d9006e,0xb7430205,0xbc7403d8}},	//   _mawallaf, _jaree_, _посилка_, _dvornik_, 
   {{0x0240034f,0x8567048a,0x965301c9,0x40450249}},	// [50c0] _ezimbini_, _визасыз_, _रामदुलार, _livuslan, 
   {{0xd3c501d0,0x54b10304,0xb2480328,0x62c50233}},	//   _virkelig_, _dipadamk, _ikama_, _promoer_, 
   {{0xa27f0032,0xb80c014f,0xcfa7022f,0xd3fd00ba}},	//   _pawns_, _млека_, _сувеніра, _سامڕه_, 
   {{0x699e00f3,0x2a5d00d1,0x2a1e012e,0xd2d803f3}},	//   _isikhoke, _নিশ্চয়ক, _piacveze, _tekent_, 
   {{0x9201026c,0xec610210,0x024801f1,0xe10e0045}},	//   _misit_, _abereke_, _xhami_, _повлашће, 
   {{0x72d90198,0x3fd7020e,0xd9d800a4,0x6dee00ba}},	//   _razen_, _зарарлы_, _recentme, _عیلمانیه_, 
   {{0x029000cf,0xc35b0128,0x4d7800d1,0xc191036d}},	//   _sudaan_, _ёппасига_, _বিকিৰণক_, _shocrach_, 
   {{0x36310259,0x438700e2,0x053602b9,0x00000000}},	//   _お問い合わせ_, _gearts_, _ferihegy, --, 
   {{0x023b002e,0xd37b00ff,0x52d90009,0x921a00c7}},	//   _ostvaril, _פּטור_, _prvega_, _balanıñ_, 
   {{0x8e71073f,0x8ad70396,0xcd39037a,0x9a980192}},	//   _छात्र_, _letterat, _urupapur, _사회적으로_, 
   {{0x32480328,0x02c10054,0xfe8a00b7,0x32a00014}},	//   _akama_, _hallaka_, _колегеси_, _klubet_, 
   {{0x33080169,0xbd920303,0xf20103bf,0x03540071}},	//   _অধ্যক্ষ_, _atlegile_, _bisiu_, _فراگیری_, 
   {{0x2b1e0169,0xa4810207,0x2ed50151,0x89e0020e}},	//   _সাম্প্রদ, _الفاظن_, _abridgin, _bososela_, 
   {{0xe3800122,0xc245047b,0x52c10054,0xc8eb0238}},	//   _netral_, _dámar_, _mallaka_, _обставин, 
   {{0x32ca076a,0x3e3601d1,0x220103ec,0x825d0255}},	//   _sunde_, _declares_, _fisit_, _kopeerim, 
   {{0x4c070150,0xd5470369,0x8899002b,0x92f3027b}},	//   _baksait_, _kaikuwah, _লক্ষ্মী_, _योगयुक्त, 
   {{0xf39a0060,0xa20c0667,0xd38d00b4,0xb2480259}},	// [50d0] _ايالامەن_, _jóias_, _grupului_, _chimu_, 
   {{0xa2910069,0xbecb001c,0x00000000,0x00000000}},	//   _ingana_, _kahigran, --, --, 
   {{0x02c405b5,0xb29004ca,0xb30c0515,0x298b03d8}},	//   _ademais_, _iphan_, _ramanes_, _znače_, 
   {{0x224803dd,0xbbbd002b,0x301a0418,0x51e10255}},	//   _dhamo_, _নরাধম_, _geldiniz_, _मोटरी_, 
   {{0x4c1603ef,0xb5ea0094,0x63430453,0x72b4003f}},	//   _bourgmes, _болма_, _okrenuo_, _junchu_, 
   {{0xb201012d,0x08d901de,0x32cf0097,0xc5cd01d5}},	//   _wisil_, _бекжан_, _oloogbe_, _babakony, 
   {{0xc29e0162,0x1e380085,0xe2000240,0x43f40092}},	//   _бизар_, _kilakasa, _maciu_, _opstå_, 
   {{0x399a0051,0x730f0573,0x72480234,0xd234012c}},	//   _atpakaļ_, _نظرنٕے_, _ihamo_, _mwambie_, 
   {{0x3683016f,0x353d0483,0xb9aa0405,0xba240217}},	//   _послуги_, _ocupando_, _божий_, _furchett, 
   {{0x860f018d,0x5db5025f,0x700002ec,0xbe4800c5}},	//   _ዘይተባህለ_, _akangola, _یرِہے_, _最高人民法院关于, 
   {{0xd2d80340,0x760003a2,0x4c120262,0xd2d60102}},	//   _hekere_, _लुगदी_, _tropiki_, _wabongo_, 
   {{0xcd9d015e,0x5301005b,0x82c50737,0x77380061}},	//   _connecta, _musashi_, _trommer_, _것만으로도_, 
   {{0x82010138,0x00000000,0x00000000,0x00000000}},	//   _cisim_, --, --, --, 
   {{0x88890019,0xd3f4041d,0x36950425,0x0880017f}},	//   _макалала, _unutar_, _سنیشان_, _assigalu, 
   {{0x1c6b01c9,0x12d80124,0x5e930036,0x42df02f7}},	//   _कुर्मी_, _lekere_, _سندويشات_, _banneng_, 
   {{0x76050360,0x82390145,0xfa58012c,0xeb0b01f9}},	//   _kreditem_, _trumpai_, _akamwamb, _bungases, 
   {{0x037b01e4,0x43ee0025,0x00000000,0x00000000}},	// [50e0] _zátiší_, _darpaṇa_, --, --, 
   {{0x63ea054e,0xa61f0272,0x7c800025,0x56b0044a}},	//   _tuktu_, _akommyew, _arcitaṃ_, _dilukish, 
   {{0xc8fd0220,0x420102be,0xdfe4016f,0x00000000}},	//   _поставян, _pisil_, _станетьс, --, 
   {{0x02d8019c,0x50050145,0x7cf20093,0x43640370}},	//   _kekere_, _сукном_, _войско_, _bengsin_, 
   {{0x848a0044,0x458e020d,0x2168010d,0xe06102ac}},	//   _הדמויות_, _amadosiy, _प्रायोजक_, _لنصرة_, 
   {{0xf248037e,0xe0060071,0xf0450255,0x00000000}},	//   _shimti_, _درگفت_, _haruldan, --, 
   {{0xa2910165,0x0d6001d5,0x00af0265,0x640701e8}},	//   _ligana_, _ضیاالحق_, _criminel, _dulungan_, 
   {{0x029003a6,0x6a480206,0x62510092,0x2a080119}},	//   _hakaza_, _pondelka_, _gentagel, _nakadist, 
   {{0xa2ca03f9,0x014a0163,0xeb2a013d,0xe23e0238}},	//   _nunda_, _matolcsy_, _membrojn_, _bokmerk_, 
   {{0x45ec0058,0x23de028d,0xf3290102,0xd82700be}},	//   _bedekefö, _answit_, _رياضت_, _بازادا_, 
   {{0x42ca0133,0x1dea0037,0xd58501b8,0xe97e0212}},	//   _hunda_, _ተሞክሮዎችን_, _esitatak, _machinat, 
   {{0x620000c0,0xbcfe027f,0x8ea400ec,0x83790294}},	//   _bakit_, _aratumir, _neturite_, _arcaman_, 
   {{0x829102ce,0x440702be,0x051801bc,0x23780224}},	//   _jigana_, _bulungan_, _filosofy, _afganga_, 
   {{0x62d904cf,0xb20101b8,0xa2000138,0xe76103d4}},	//   _kuvela_, _ansip_, _vakit_, _твари_, 
   {{0x3226011c,0xb0e400ff,0x09c40386,0x8bed057f}},	//   _jurkat_, _באריכות_, _memerint, _wolfsber, 
   {{0xdc5d030a,0x82000176,0x6fa8027b,0xa34303fb}},	//   _castelo_, _takit_, _apīty_, _skrenuo_, 
   {{0x426d0052,0xc8cc0052,0x3618004d,0xd369022c}},	// [50f0] _letišti_, _upgradov, _都市計畫法_, _cinggir_, 
   {{0xe05b00a6,0x33680053,0x5fc7016e,0x74d90159}},	//   _alusiyon, _manggis_, _pornolar_, _багацеюц, 
   {{0x82d802c2,0x05b6028b,0xcd8702ac,0x8a7001c0}},	//   _sekere_, _зыҧсҭаза, _واصابة_, _abbasawa_, 
   {{0x0201004f,0x275e0086,0x2ba301b7,0x55980126}},	//   _misik_, _ہمسفر_, _बाहुभ्या, _намагавс, 
   {{0x43b10487,0x12ca03ab,0xea57029c,0x537b0274}},	//   _prevail_, _spodku_, _chimbamb, _aukaval_, 
   {{0xdc53044a,0x18f7015e,0xf2fc0040,0xd2d902b4}},	//   _asutuka_, _بايساق_, _alright_, _buvela_, 
   {{0x2af80179,0xcb8b0011,0xbb280377,0x7f150095}},	//   _letedels, _akunamir, _intalnes, _brawidja, 
   {{0xeaf201b7,0xa63300ee,0x0f720322,0x0cf2011c}},	//   _aparimit, _motibazi, _akabarin, _fondland_, 
   {{0xb2ca0048,0xac930208,0xd2020117,0xa290020d}},	//   _gundi_, _تافان_, _cariak_, _bakaza_, 
   {{0x051b034f,0x099d00b7,0x72d8003a,0x62000084}},	//   _مساحت_, _залым_, _uzbek_, _rakit_, 
   {{0x4b6500d4,0x32900439,0xe2e305d5,0x6e37002b}},	//   _aspekten_, _lakaya_, _schisme_, _সঞ্চার_, 
   {{0x464300ff,0x72010230,0x029d0053,0x73600035}},	//   _באיאן_, _disik_, _प्रभावळक, _berseneñ_, 
   {{0x74a30312,0x729002cd,0x5d2c0073,0xb2fe0047}},	//   _relijiel_, _abkawa_, _retirate_, _bouger_, 
   {{0x734c01d8,0xa2fc00c3,0xfdd60631,0x0d1f0385}},	//   _jasebel_, _talibus_, _synkende_, _trendove_, 
   {{0x8afb00f1,0x7200015b,0xd00c00e6,0xa3780006}},	//   _degrenne, _takis_, _市国有资产监督管, _dijaman_, 
   {{0xa36900bc,0xfb1a0374,0x2da40303,0xe9a000d8}},	//   _pinggir_, _mutaxass, _bedisiwa, _alekseie, 
   {{0x6407010e,0x1290012c,0xf80602a3,0x32910036}},	// [5100] _tulungan_, _jakaya_, _druppels_, _bacach_, 
   {{0x7e4405f8,0x73730358,0x72510499,0x6b870418}},	//   _интерфей, _anbasad_, _leotetel, _polisler, 
   {{0x1f1702c9,0xf35200d1,0x39640157,0x6c5a0371}},	//   _федерале_, _অপৰম্পৰা, _skonsult, _pratici_, 
   {{0xca7e01a4,0xf43700a6,0xf0dd01e0,0xdc58002c}},	//   _atelemis, _دفابریکې_, _زیاره_, _akatsak_, 
   {{0xe632023d,0xad9b00ff,0xd55302fe,0xf2f603e6}},	//   _indicazi, _ממשותדיק, _elikhath, _demisch_, 
   {{0x4e710760,0x4a7a00f5,0xfe9c0375,0x1f5d0013}},	//   _अगस्ट_, _аркасынд, _akamalin, _kasallan, 
   {{0x72a003dd,0x935f00bf,0x5832026f,0x10570181}},	//   _klubit_, _усилению_, _شولدەگەن, _teoriern, 
   {{0x48c701f4,0xbeb40064,0x00000000,0x00000000}},	//   _урлаева_, _parelles_, --, --, 
   {{0xc200013c,0xe6c903ae,0x00000000,0x00000000}},	//   _zakir_, _opparbei, --, --, 
   {{0x163801a7,0xab8d047b,0x49e30157,0x8c240099}},	//   _perintei, _blinkstr, _weronika_, _ekanzuru_, 
   {{0x12910084,0x48bf0462,0x93f801fc,0x741100be}},	//   _sigana_, _onnected, _addude_, _بىلبەمىش_, 
   {{0x42ca0095,0x8e950437,0xa95301cc,0x3d950305}},	//   _pundi_, _omstridt_, _asmadgṛh, _omstridd_, 
   {{0x12cb00fd,0x031e019f,0x05fd0265,0x95810342}},	//   _agadsa_, _inahitaj, _potentië, _kokennch, 
   {{0xbde0001d,0xd7eb00bb,0xd26c02ba,0x813f032d}},	//   _societé_, _سرخیاں_, _amnoni_, _ikhethel, 
   {{0xb2ca00f9,0xfb5a0456,0x3a50014c,0xc1520234}},	//   _wundi_, _tertanya_, _eyamaheb, _tódọ̀gba_, 
   {{0x82ca01b8,0x875205c5,0x92d501b4,0x9f240486}},	//   _tundi_, _सुनिष्चि, _heelwat_, _आवाजले_, 
   {{0x142b0174,0x5200025e,0x42910277,0xeaa700ec}},	// [5110] _pabalelo_, _sakir_, _higala_, _германію_, 
   {{0x6270001e,0x8143038b,0x8205005a,0x9e1a0007}},	//   _marigayi_, _dikembal, _dipoqlaw_, _kudedaka, 
   {{0x239600f4,0x2f060374,0x558501db,0x29d404a7}},	//   _batseg_, _минскда_, _ىنىشەك_, _billarda_, 
   {{0xf29000fe,0xcf3101fe,0x8cdd00c7,0x71d201f1}},	//   _ahoafi_, _drauniba, _косовоны, _miliardë_, 
   {{0x998e0152,0x63b902c2,0x245e0156,0xe2290046}},	//   _хасил_, _privaat_, _אַכזריות, _داردىلەۅ, 
   {{0x92910219,0xf93a02bb,0x9292008d,0xaa930066}},	//   _ligama_, _जलप्रपात_, _tutadi_, _моодонд_, 
   {{0x82d90269,0x438703dd,0xd9940153,0x00000000}},	//   _tarea_, _duarve_, _になるように添加, --, 
   {{0xfea402bf,0x8290006a,0xed730333,0xf1df00f8}},	//   _adlulise_, _lakana_, _animacap, _অগোছালো_, 
   {{0xb2d90003,0x6a5f0028,0x53e201ee,0x60f602e1}},	//   _jaren_, _dareenka_, _инсталля, _معافى_, 
   {{0x44530014,0x52d9001e,0x4e520006,0xb14f018b}},	//   _ትምህርቶም_, _daren_, _menangka, _guvernul, 
   {{0xa2fd02e4,0x62d901c6,0x66670360,0x3f5d0215}},	//   _pilastri_, _earen_, _महासँघ_, _relasjon, 
   {{0x02d900d4,0x13a802f6,0xaf2500c1,0xab82002b}},	//   _oaren_, _palaging_, _वांजळे_, _নাচতে_, 
   {{0x72900240,0xcd9200c8,0xa268010b,0x72480532}},	//   _kakana_, _atlehile_, _bafilipi_, _njime_, 
   {{0x020e0013,0x5a1b0287,0x92ec0222,0xcff3027b}},	//   _қадар_, _क्लबले_, _optique_, _संस्कारो_, 
   {{0x0f0a01f6,0x02900183,0x00000000,0x00000000}},	//   _বিশ্বনাথ_, _dakana_, --, --, 
   {{0xf20204cb,0x75ca01c7,0xde800204,0x438703ec}},	//   _ştiri_, _чоннелик_, _selville_, _oraret_, 
   {{0xb6160253,0x581200d1,0x012d0374,0xb35b0184}},	// [5120] _millioni, _অতীজৰ_, _манти_, _isigara_, 
   {{0x4200022a,0x227e0233,0x857b008c,0x00000000}},	//   _dakip_, _clinar_, _apiestel_, --, 
   {{0xe7a90185,0x27450170,0x628c0219,0x384702fe}},	//   _синдромы, _akuzindi, _ayekela_, _تبلیغاتو_, 
   {{0xf2cd0479,0x72d90271,0xc31e019f,0x62ca025e}},	//   _reklám_, _faren_, _unahitaj, _fundu_, 
   {{0x02bc0276,0xdb5502ee,0x6b2d0178,0xe61104f8}},	//   _гуажу_, _adattata_, _apraśast, _misleadi, 
   {{0xb627018b,0xbe4f033f,0xec5c0170,0x92910294}},	//   _achiziti, _kamakama, _asatero_, _hiwaya_, 
   {{0x813e0693,0xe35e0061,0x9a140226,0xef6a01bc}},	//   _svietidl, _이루어지지_, _chichewa_, _karavans_, 
   {{0xb2ca0075,0xf2910320,0xa2d902b1,0x31470397}},	//   _kundu_, _angaka_, _yaren_, _василаи_, 
   {{0x01190045,0x6f4a022c,0x9fd00397,0x727802af}},	//   _технике_, _diistila, _abangaco, _bangayim, 
   {{0xf2e6022d,0x3301001f,0xf2d90307,0xde3f0024}},	//   _vignola_, _nowanni_, _azinike_, _পৌৰাণিক_, 
   {{0x82d90265,0x22da0265,0x65bb005a,0xfdc40235}},	//   _waren_, _iqtest_, _bitaghch, _anantāpa, 
   {{0x99d20066,0x00f7001a,0x69b70247,0x68c001d5}},	//   _erregist, _مالدیپ_, _bendhera_, _évezrede, 
   {{0x5b6c0156,0xed21004c,0x53ea001d,0x32910097}},	//   _אלקעהאל_, _amusalir, _lucta_, _nísìnyì_, 
   {{0x423c00d6,0xf6c80457,0xa248019c,0x07ad03a4}},	//   _ويندوز_, _niyannam_, _kanmò_, _bestikki, 
   {{0x1b9a049a,0xb2d90066,0xe29101b5,0xa2d10310}},	//   _ispisano_, _zaren_, _enwana_, _chultar_, 
   {{0x9b88018d,0x034b022e,0x00000000,0x00000000}},	//   _ብሕጋውን_, _accentu_, --, --, 
   {{0x529101c0,0xe2a70181,0x6b9c02eb,0xabe502a3}},	// [5130] _cigaba_, _snabel_, _abenduko_, _ontelbar, 
   {{0xf6a206b0,0x62ca046d,0x358003b1,0x4a4800e6}},	//   _ukuthuth, _vundu_, _reconnaî, _企业法人营业执照_, 
   {{0x7206001a,0x2ef90075,0x93820210,0xa6d2034c}},	//   _نانوتوی_, _pussaður_, _akarusim, _aydarski, 
   {{0x42ca004f,0xa10c00b3,0x52d901fc,0xbad70192}},	//   _tundu_, _ватандаш_, _taren_, _netwerke, 
   {{0xc35504ca,0xaa0a012e,0xa206005e,0x265d009a}},	//   _pageses_, _magatart, _ﺭﻩﺳﯩﻤﻠﻪﺭ_, _ايوانوف_, 
   {{0x2551017d,0x637f0134,0x629002ec,0x43940212}},	//   _サイトデザインが, _bakanna_, _lakala_, _glossa_, 
   {{0x52910219,0x06290253,0x6acc00a7,0x5ba700ab}},	//   _sigaba_, _aalisari, _агапи_, _matihiko_, 
   {{0x8290012c,0x726e01a3,0x7e520031,0xb2480029}},	//   _nakala_, _masomo_, _penangka, _رووسیا_, 
   {{0x029001a7,0x572e00be,0x513d05b8,0x00000000}},	//   _takana_, _مەققە_, _direktfl, --, 
   {{0x1a5e0276,0xeca60128,0xd2cb00fa,0x00000000}},	//   _лондонди, _саксон_, _deadma_, --, 
   {{0xa2910087,0x02c500cc,0x56af020a,0x8c610270}},	//   _anwana_, _synlige_, _تسقارى_, _plorate_, 
   {{0xc2000198,0x315d00be,0xb8c00107,0x859802b6}},	//   _bodite_, _ايىتقىن_, _قربانیان_, _القاشتىڭ_, 
   {{0x72d901ba,0xda0503be,0xe67800e6,0x69400151}},	//   _harel_, _batandit, _日拍卖会公告_, _ballaque, 
   {{0xb1df01f2,0xd15502fd,0x5ae20097,0x03f900e1}},	//   _بۈركۈت_, _eiseampl, _oyelaran_, _masul_, 
   {{0x6da903c9,0xa85d0220,0x220201e5,0x173604d7}},	//   _interiør_, _оправи_, _fasiti_, _spilling, 
   {{0x9cb50206,0x39380037,0x3202029d,0xaa0a0544}},	//   _stupňov_, _እባክዎን_, _gasiti_, _lepanona_, 
   {{0xd2d900bc,0x05110071,0xb0f40297,0x604a031a}},	// [5140] _marem_, _آشيانه_, _başlawın, _doirlinn, 
   {{0x33eb0016,0x1f390501,0xc2d9012d,0xc2e00255}},	//   _pretas_, _अनधिकृत_, _larem_, _खालीन_, 
   {{0xf2480362,0x3305003a,0x7d800040,0x0c8c0153}},	//   _akimi_, _اوچاق_, _coherent_, _ブの登録商標です_, 
   {{0xa37c01d1,0x986d038b,0xb97900be,0x88b60142}},	//   _surgery_, _membakar_, _بۉتكۉس_, _ayatanav, 
   {{0x8aa802e1,0xd84d03d1,0x00000000,0x00000000}},	//   _sathairn_, _noraidīt, --, --, 
   {{0xd83c0037,0xaa390211,0x72e20158,0x00000000}},	//   _ያለአንዳች_, _летение_, _fontanny_, --, 
   {{0x17ce021a,0x32480189,0x393d0076,0x839002b0}},	//   _gabroomf, _ekimi_, _модулаци, _massnahm, 
   {{0x55cb00cb,0x3290021a,0x7e8b0040,0x9382019d}},	//   _ahlanzay, _bulaan_, _כהלכה_, _khirisim, 
   {{0xa0e70262,0x8931004d,0x00000000,0x00000000}},	//   _doganlyk_, _附影片檔案_, --, --, 
   {{0x56b60343,0x529000ed,0xb37c0109,0xd3860013}},	//   _newsarch, _dulaan_, _atrakce_, _maorif_, 
   {{0xc290035a,0xbbe50145,0x457a0057,0xa0c70318}},	//   _bakala_, _aksesuar, _የዜግነት_, _atolitol, 
   {{0xf292020d,0xee0c0415,0x46f20108,0x93b103ad}},	//   _tutazi_, _bundeska, _binadakw, _ileqqu_, 
   {{0xa200013b,0x5a17030a,0xf2d600ce,0x587f00c1}},	//   _molise_, _percorre, _retourn_, _वैभवाच्य, 
   {{0x420003d8,0x92d9015a,0x19db00f0,0x1c0700b2}},	//   _volite_, _aaree_, _materske, _buutotas, 
   {{0x03eb03ea,0xa2d9004f,0x13f90138,0x320000d7}},	//   _juste_, _baree_, _masum_, _folise_, 
   {{0x829000c2,0x1c060040,0xebe4045f,0x92480409}},	//   _hakaba_, _השאירו_, _underbar, _okami_, 
   {{0x6af6015c,0x2db10164,0x52cf0176,0x00000000}},	// [5150] _autobunn_, _қәлбидә_, _gekoame_, --, 
   {{0xac670340,0xf2d90172,0xfb5d0375,0x094301de}},	//   _tanumia_, _waree_, _atumizir, _ректорын, 
   {{0x82020116,0xd2710110,0x570f060d,0x63f8023e}},	//   _busily_, _anonīmi_, _क्षमादान_, _binuka_, 
   {{0x86460091,0x929e0142,0x00000000,0x00000000}},	//   _pukkitqi, _dvijān_, --, --, 
   {{0x737304b9,0xbf6a005c,0x59e301bb,0xdb6a0200}},	//   _croatie_, _ababuran, _нокада_, _softuwia_, 
   {{0xfc5d0158,0xd2c10071,0x32d50261,0x0a8a0360}},	//   _ईमेलकरें_, _mallika_, _rakonto_, _geniální_, 
   {{0x01110288,0x1f36039e,0x12d90286,0x16670128}},	//   _ticklish_, _ressursa, _yaree_, _жалилов_, 
   {{0x54110064,0xf2d803d4,0x3ba0027e,0x00000000}},	//   _этият_, _donelo_, _učitanom_, --, 
   {{0x3f7a0459,0x73470211,0x79b5023d,0x43510022}},	//   _रंगदारी_, _monella_, _пушене_, _шекспирҙ, 
   {{0x1fe70089,0x53f8004e,0x8a190071,0x0f95019c}},	//   _править_, _dinuha_, _صدابردار, _hinderer_, 
   {{0x72910326,0x0c0000af,0x1dce00b7,0x847b018c}},	//   _aiwana_, _motsatt_, _abatlaýy, _schulden_, 
   {{0x82010264,0x129200ad,0x437f0370,0x8de702c4}},	//   _misis_, _ketang_, _bakalna_, _ѕирнете_, 
   {{0x597b0041,0x674303f8,0xc85a033e,0xb2d80594}},	//   _аҭыҧаҿ_, _disopbog, _europagu, _hybel_, 
   {{0xb32301e1,0x9c9302fe,0x52a000ca,0x5f7d0135}},	//   _полиэф_, _رایاد_, _loubet_, _проектка_, 
   {{0x0eba0014,0xe316038e,0x0d340162,0x32d9029f}},	//   _ይመስለካ_, _pribadi_, _خېنىم_, _marec_, 
   {{0x48e5004a,0x5147009b,0xf0440311,0xb2820157}},	//   _aralaşuç, _эриний_, _ብዘየወላውል_, _kochani_, 
   {{0x4c040479,0xf37103d5,0x529200ad,0x6d2600ac}},	// [5160] _szőke_, _acquirem, _astati_, _povoljne_, 
   {{0x93dd041f,0xc4fd0143,0xac390154,0x82e000fb}},	//   _wezwe_, _позволяв, _cercetar, _akanayo_, 
   {{0xc0530094,0xca97046c,0x3c750515,0x14ab021c}},	//   _ءوزىڭىزب, _zumindes, _adjutar_, _botanick, 
   {{0x00000000,0x00000000,0x00000000,0x00000000}},	//   --, --, --, --, 
   {{0x36b001c9,0x4d5302ca,0xf6000361,0x00000000}},	//   _आव्ते_, _roibeard_, _вĕрсе_, --, 
   {{0x862b0091,0xc292039d,0xffab02d4,0xc44002fe}},	//   _nipitiri, _mutani_, _anteriur_, _کامیابه_, 
   {{0xb3dd06b0,0x54d80374,0xf34002a6,0xd6dc0351}},	//   _yezwe_, _убликаси_, _albetta_, _латтанаш_, 
   {{0xc292020e,0x3112053a,0x721302f0,0x5f7c0299}},	//   _fetang_, _potkrovl, _ikahle_, _زەررەئۇچ, 
   {{0x55ce01af,0xa84e0061,0xf3d70059,0x0a17011f}},	//   _annaguly, _모았습니다_, _mettersi_, _mbocayat, 
   {{0xd201028e,0xc2900085,0xf9f600a5,0xf2010249}},	//   _bisis_, _kakaca_, _fulufulu, _sisit_, 
   {{0x72010309,0x8c90003e,0xa3f003f6,0x49c203a4}},	//   _misir_, _bakulang_, _mokupuni_, _alivinnu, 
   {{0xa29201b5,0x62ec0362,0x03bb036e,0xe72a0097}},	//   _kutani_, _batiste_, _allwiya_, _iyẹfun_, 
   {{0x92ec0101,0xf3da0311,0x7bf0042d,0x00000000}},	//   _pozitie_, _ጕርብትና_, _firehitr, --, 
   {{0x7b5b0358,0xca6b0139,0x20c100ba,0xb53f0120}},	//   _komedyen_, _उन्नतः_, _میمۆریه_, _tamannal_, 
   {{0xd641023d,0xe3110241,0x2fab0494,0x49f902f0}},	//   _втора_, _adabamu_, _jugoisto, _angapose, 
   {{0xb910032c,0xcdd2020f,0x7368018f,0x22e80097}},	//   _allaruju, _asikokup, _jangnis_, _tòyótà_, 
   {{0x0d070040,0xf213006c,0x2b0d00e6,0x324102ba}},	// [5170] _סימפטומי, _akahle_, _作品版权归小说阅, _сирқати_, 
   {{0x57b3015e,0x28870148,0x7e880126,0x02920002}},	//   _diputaci, _轉寄本篇文章_, _прогнозу, _pevač_, 
   {{0xc2ca001b,0x8388019c,0xe387041c,0x59db00bc}},	//   _hundi_, _adayeba_, _adares_, _pengante, 
   {{0x62920429,0xe69d019e,0x1c780211,0x00000000}},	//   _petang_, _яруса_, _запомнит, --, 
   {{0x013d03ee,0xfdda032d,0xf111012e,0x8acb0251}},	//   _iskustvo, _diakahoa, _پھیرے_, _jahwaree, 
   {{0x7c53008f,0x4d53024b,0x829201f4,0x93fa0161}},	//   _लादेश_, _comuníca, _ustasi_, _заводско, 
   {{0x969e033f,0xca820322,0xaafd004b,0xd54e00e6}},	//   _faitelih, _akanasab, _iseraele, _比拼肯德基_, 
   {{0x087c0119,0xd9cb05a3,0xf1880311,0x00000000}},	//   _mahinunu, _अल्पता_, _ብንጹርን_, --, 
   {{0x12250369,0x526403e3,0x12480672,0x7af70415}},	//   _akakuu_, _anplas_, _akamo_, _betriebe, 
   {{0x22490058,0x538300e6,0xcaa201de,0x89d5018b}},	//   _diemen_, _日鹤庆兰协_, _музыкаға_, _anotimpu, 
   {{0xfdf80026,0xf6c30289,0xaba00039,0xa3830087}},	//   _빌라연립다세대_, _amasinth, _инчон_, _hanyeke_, 
   {{0xfac804a6,0xf1e600d1,0xb29501a6,0xe3f90152}},	//   _dozvolje, _বিপদাশঙ্, _haukoti_, _барыбызн, 
   {{0x11400400,0x69310047,0xc3a80107,0x829104ec}},	//   _albertel, _primaire, _dalaning_, _niwaba_, 
   {{0xd4d300d9,0xc254008f,0x4294018b,0xa4f0002b}},	//   _arhinmäk, _जानेहि_, _linkuri_, _ফুসফুসের_, 
   {{0x3c5e029e,0xe39500db,0x1d98037f,0xd4430486}},	//   _kastell_, _baasil_, _estoniya, _svačinu_, 
   {{0x79f8012d,0xc7a10344,0x00000000,0x00000000}},	//   _melanese, _immuleri, --, --, 
   {{0xcc730135,0xbc2100d5,0xcb590176,0x28cf0084}},	// [5180] _pensiya_, _tempoly_, _furukawa_, _dedetkeu, 
   {{0x42ed015e,0x6a9101b3,0x77ca008f,0x02fc0005}},	//   _очерктер, _економія_, _persooni, _cungir_, 
   {{0xd6bb0179,0x724a00a5,0x000701f4,0x6ed20153}},	//   _reiganef, _laumua_, _заминда_, _春ファッション_, 
   {{0x0c5303a2,0x82b30226,0x599d0219,0x00000000}},	//   _भिड़ंत_, _gladson_, _iyakhona_, --, 
   {{0x3e960162,0x4a000354,0xcb8c04a7,0x69f003d5}},	//   _ئىدىڭ_, _силигә_, _neoclási, _banglane, 
   {{0x92d90288,0x428200d7,0xa9470309,0x63f9011f}},	//   _earea_, _bokhoni_, _bonuslar_, _nasua_, 
   {{0x32e502cb,0x797700cf,0xc0370155,0xf01100e4}},	//   _naknada_, _bishooft, _resteran, _sądzisz_, 
   {{0xb721014f,0x1d86002e,0x9ec30277,0x52ba01d2}},	//   _bolesnoj_, _privatnu_, _kliyente_, _gradopi_, 
   {{0x7be80541,0x33f90039,0x23f40153,0x29ea0251}},	//   _narocito_, _kasua_, _このタッチタイピ, _sharikad, 
   {{0xe2ea003f,0x971100ba,0xbc9a017a,0x361a0037}},	//   _biriyin_, _ئیندیپه_, _бедакӣ_, _አጋጥሞት_, 
   {{0x6a6001c9,0x362001b8,0xd44802b6,0x922402c2}},	//   _koolitus, _planeeri, _әртарапт, _aankom_, 
   {{0xa0df0302,0x5c93003c,0x5f6f0053,0x620100b4}},	//   _имтиёз_, _داماش_, _गोंदिया_, _nisip_, 
   {{0x24390192,0x0231068f,0xd3770314,0xba7700c8}},	//   _인천광역시_, _erumena_, _карпет_, _кирбес_, 
   {{0x81c903f2,0x638602e1,0x25660022,0x32920170}},	//   _шорты_, _buirge_, _миҙхәт_, _futali_, 
   {{0x62900369,0xfd54004a,0xa2920062,0x5d3b00df}},	//   _pakaha_, _ачуда_, _masagh_, _employée_, 
   {{0x964500d1,0x7224001a,0x00000000,0x00000000}},	//   _অঘোষিত_, _leginkáb, --, --, 
   {{0xc2010342,0xab590357,0x2a550046,0x479d04ae}},	// [5190] _disip_, _turukawa_, _masculí_, _шифру_, 
   {{0x3b250088,0xa371033c,0x92000278,0x703401b9}},	//   _куралы_, _organig_, _kacir_, _polevano, 
   {{0x12df03dc,0x61eb0376,0x3f6e0311,0x00000000}},	//   _kanning_, _gummibát, _መቕተልትን_, --, 
   {{0x457200ff,0xb18d0022,0x2f680145,0xc909014e}},	//   _עקיבֿא_, _bbabuell, _dizainas_, _чекала_, 
   {{0x0a9302d3,0x09dc0223,0x1ebe0255,0x92000203}},	//   _музиката_, _astelehe, _kingitus_, _foliat_, 
   {{0x87590031,0x22eb03c5,0xe2010120,0xe38601c5}},	//   _नेक्स्ट_, _menikam_, _rasih_, _idiris_, 
   {{0x79dd0166,0xed3e033e,0xb8190178,0x7fdd01db}},	//   _integrie, _analogía, _arājake_, _балконға_, 
   {{0x064d0024,0x83eb023e,0xb34600cd,0x5ae2021b}},	//   _মাংসৰ_, _brstg_, _bindels_, _активным_, 
   {{0xc2310288,0xd2010120,0x63960223,0x49e00223}},	//   _arumena_, _qasih_, _hauste_, _mantendu, 
   {{0x426c0233,0x5c5a0239,0xc259002f,0x9c1f055f}},	//   _sonori_, _apatari_, _apalachi_, _klipler_, 
   {{0xf2000148,0x139402ce,0x32d00229,0x5b570219}},	//   _pacis_, _vérsi_, _fayllar_, _bugwadla_, 
   {{0xb2550012,0x58bc0153,0xb6cd004d,0x2ad801b4}},	//   _उहुंवे_, _はじめての方_, _年度校護工作報告_, _gesteent, 
   {{0xc89b042a,0x6ae504df,0xc3e201b9,0xc7cb01df}},	//   _abekhulu, _akkredet, _lyerarsi_, _compairi, 
   {{0xc30c00f2,0x55eb0420,0x73fa0262,0x929001a6}},	//   _fiziskaj, _постарит, _biruny_, _rakaia_, 
   {{0x8a450085,0x37c00135,0xd3f40212,0x42c10178}},	//   _rajendra_, _spartaki, _justfx_, _anilena_, 
   {{0x69d801af,0x5c0d0516,0x8d1a0092,0x13be0397}},	//   _meselele, _cripple_, _ありません_, _abavuni_, 
   {{0xc3eb04a4,0xb2590437,0xbf54017a,0x92830334}},	// [51a0] _mustn_, _forekomm, _aliphaza, _chikaba_, 
   {{0x8db6040b,0x0ee20052,0xc553032d,0xa4850185}},	//   _hangwele_, _पूर्णिमा, _boikhath, _bändälär_, 
   {{0x929701d7,0x732c0234,0x944d0045,0x89fc0272}},	//   _menaschi_, _nikanṣoṣ, _радикала_, _balikuba_, 
   {{0x827400d6,0xa0f60056,0x7b900360,0x12cb00e4}},	//   _قوالب_, _олимпӣ_, _telefonů_, _zgadza_, 
   {{0x8e540219,0xd03e032c,0x00000000,0x00000000}},	//   _emachawe_, _doktorin, --, --, 
   {{0x8aca012b,0x59d901df,0xa6e8022b,0x86ec03b7}},	//   _warmińsk, _resentme, _atlantsf, _albaniaw, 
   {{0x458a01cb,0x134000a4,0xda9f010d,0x529100d2}},	//   _ledemokh, _coberta_, _बहुलीभवन, _macana_, 
   {{0x1e9101d1,0x739400aa,0x4a61008d,0x74190019}},	//   _abstract_, _winsor_, _گیلرگه_, _сенаты_, 
   {{0x1724018f,0xd2c8042d,0xaf6b0219,0xcae00388}},	//   _dibejbej_, _normaly_, _ekubukan, _mantenut, 
   {{0x5df800c8,0xe396034b,0x4681012d,0xe25b0035}},	//   _советтар_, _hauset_, _kopereti, _apalar_, 
   {{0x720002a4,0xdfbb03d1,0xbc800431,0x33eb03f8}},	//   _golive_, _reitings_, _askeland_, _qusta_, 
   {{0xe89b02ac,0x497d027e,0x0a100157,0x03050162}},	//   _بأكثر_, _прочитао_, _holandia_, _توشار_, 
   {{0xe73e000c,0xfa8101b9,0xffca0220,0x072301aa}},	//   _искандер_, _emportas, _екстри_, _allmanag, 
   {{0xe24801cb,0x9f5b0281,0xfb7f0321,0x83950393}},	//   _ijame_, _kujataan, _hipnoter, _spasio_, 
   {{0x32ea0309,0x12d6021e,0x2c59010d,0xb6c30375}},	//   _birinin_, _farligt_, _अभिनेते_, _amasunth, 
   {{0x81bf030b,0x165902e8,0xced40189,0x7d0c019e}},	//   _abamenyi_, _akakwani, _bilincin, _бяжыць_, 
   {{0x93eb02c7,0x4c08009f,0x2ae603b7,0xe3940015}},	// [51b0] _erste_, _rastlins, _artratet, _raisul_, 
   {{0xd35f0017,0xcaf4027c,0x428c0139,0x52920177}},	//   _objednej, _ahlukene, _andhāv_, _copaco_, 
   {{0xd2de02ba,0x3b6f0403,0x00000000,0x00000000}},	//   _хатарнок_, _rakotoar, --, --, 
   {{0x253302f0,0x438f00f3,0xf7ec038e,0xa9ee0096}},	//   _alenyony, _benyuka_, _menayang, _bagikora_, 
   {{0x22910342,0xa29102d3,0xd2e501b5,0xec7702ac}},	//   _espas_, _bacana_, _khondla_, _feisire_, 
   {{0x2db40128,0x626c02a3,0xa5200273,0x538600dd}},	//   _دوروم_, _stoof_, _fármacos_, _deires_, 
   {{0x73a404a6,0x0c030343,0x83eb0277,0x73a801e8}},	//   _finansij, _sloping_, _husto_, _kalabing_, 
   {{0x52920160,0x4fbd0061,0x76090220,0x331e002f}},	//   _ostavi_, _주문내역과_, _паметниц, _chacato_, 
   {{0xc20000c3,0x857b022b,0x12300310,0x06970139}},	//   _nolite_, _beinisvø, _salmean_, _प्रदेशेष, 
   {{0x29f9005b,0xc58a0010,0xd3800435,0xfe3100b4}},	//   _relatere, _angelikh, _ostrvo_, _prezente_, 
   {{0x6868033c,0x359d0420,0x8b870268,0x99130060}},	//   _wirioned, _satisfaç, _andomlyr, _قورقىنشت, 
   {{0xd1e201a7,0x7e4e01b2,0x62d8007b,0xbc5a0320}},	//   _техничес, _sugarloa, _abiech_, _epitori_, 
   {{0xfa010224,0x8a100107,0x01ed0157,0xc0f600f5}},	//   _allavega_, _polandia_, _मसखरा_, _симэени_, 
   {{0xd06100c4,0xa2d8003e,0xc61a0141,0x00000000}},	//   _سنڀري_, _kekele_, _anglaymi, --, 
   {{0x23f80171,0x1efe01ef,0xc2b401a0,0xc3d10086}},	//   _odluke_, _elektros_, _dulcyk_, _diagnózi, 
   {{0x1611048f,0xc409000d,0xe2d701a6,0xb64901de}},	//   _amterdam_, _metoodik, _parongo_, _кадрларм, 
   {{0x33eb04ef,0xb2cf011b,0xfdc4027e,0x00000000}},	// [51c0] _custo_, _binonde_, _неминовн, --, 
   {{0x78c9048a,0xda9a003b,0x42e20175,0xc292012c}},	//   _шаралард, _amenetis, _kontinny_, _ustawi_, 
   {{0xad2600ac,0xfc260449,0x5290011e,0x65250291}},	//   _dovoljne_, _dovoljnu_, _irlann_, _انفصال_, 
   {{0x2b3501a7,0x92800044,0x9e1f01eb,0xabad0420}},	//   _tavallis, _anxiety_, _cmsguara, _горенаве, 
   {{0x73eb03bd,0x02740251,0x770a0122,0xa2410141}},	//   _gusto_, _سوالا_, _غیرقانون, _usullari_, 
   {{0x22d80491,0x42d30223,0x141700ba,0xeb240170}},	//   _dinero_, _буландаа_, _وازیندا_, _chiphula_, 
   {{0xc6cb018b,0x23030048,0x8c190255,0xa91301af}},	//   _оказия_, _abazimbi_, _tulumaks, _меканыны, 
   {{0xd15c009b,0x029403dd,0x34ad0158,0x7341020e}},	//   _тутам_, _financim, _inspekcj, _kenello_, 
   {{0x4ddc01f2,0xcaf80307,0x40ce0089,0xefa40421}},	//   _лятсийә_, _kwesabat, _баннерын_, _diverser_, 
   {{0x52570179,0xfed5022f,0x9249011c,0xa05e0156}},	//   _húliu_, _anonimas_, _gaambi_, _װוּהין_, 
   {{0xcd400126,0x4e9e010f,0x5c67023e,0xa394000d}},	//   _зеленого_, _халли_, _سرحال_, _joosta_, 
   {{0x20980056,0x22cf0073,0xc3c600e6,0x692e0126}},	//   _сарнавиш, _innocue_, _逾期不改正的_, _додавати, 
   {{0x12ca05aa,0x3982048a,0x697d056a,0xc0b50452}},	//   _rundt_, _докторы_, _itshware, _तरतुदी_, 
   {{0x4b8301a0,0x38db0252,0x1290019f,0x22ca054d}},	//   _bronghor, _sengened, _wakala_, _sundt_, 
   {{0xe290039d,0xe16a0295,0x7eea0037,0xf0f40234}},	//   _takala_, _hongoful, _ተገልጋዩ_, _odòlílí_, 
   {{0x426d0212,0x3c5b0397,0x829c032e,0xec960233}},	//   _maxout_, _komunye_, _qullañ_, _cruzader, 
   {{0xf20100da,0x9290005b,0xb378047d,0x1632027c}},	// [51d0] _gasit_, _nakama_, _gehalen_, _andinazi, 
   {{0x6f45019e,0x62560109,0x620200c4,0x03940064}},	//   _евангель, _जितेका_, _kasisi_, _closca_, 
   {{0xc9c90129,0x2aa6076b,0x8b8101c8,0xb2480092}},	//   _azumahia_, _संख्यामा_, _autodopr, _akami_, 
   {{0x629000a1,0x639702e7,0x896000de,0xfe5500bb}},	//   _kakama_, _dumuduaw_, _angosept, _ڈوبتے_, 
   {{0x92920342,0xd159025e,0x3d3b0455,0x723c012e}},	//   _estati_, _skaftahl, _employés_, _kristály, 
   {{0x62010035,0x0c7d0244,0x6da1008a,0xe5cb03ee}},	//   _vasil_, _докладва, _aletatau_, _kardašij, 
   {{0xbf040235,0x82cf0434,0xe8fc0155,0x93eb02dc}},	//   _antardhī, _enfoque_, _begagnad, _custe_, 
   {{0xd292024c,0x64a705a2,0x084c0044,0xace70125}},	//   _istati_, _प्रभुदेव, _patterns_, _даргалы_, 
   {{0x6c87045e,0xc0890444,0xe70a0153,0xcb400331}},	//   _времето_, _великая_, _クリスチア_, _forvitna_, 
   {{0xd1fe00bf,0xc03603c6,0xd202042a,0x9afc0568}},	//   _фразы_, _barentsz_, _basisi_, _storsale, 
   {{0xcff901c9,0x89fd046d,0x9054017e,0xb96b0137}},	//   _रामायणो_, _swondaha_, _alanback_, _afrikare, 
   {{0x534401d1,0x1c7504d6,0xd2900184,0x79f900ae}},	//   _license_, _तमन्ना_, _bakama_, _bigatose, 
   {{0x032000ca,0x895f00c4,0x5f3b0040,0x56010371}},	//   _balcons_, _سوچيندا_, _הפחתת_, _bolletti, 
   {{0x430c0554,0xf290003b,0xff3d01a3,0x77ca03dd}},	//   _namijenj, _balawo_, _راتڙي_, _versioni, 
   {{0xa2480558,0x786d024a,0xa26d01fa,0x2379007a}},	//   _ejima_, _ariigbod, _kapineti_, _dizaman_, 
   {{0x037900fa,0xef280237,0x00000000,0x00000000}},	//   _akbayan_, _배송예정일을_, --, --, 
   {{0xddc80164,0xb6c1012a,0x9beb00ab,0x13eb00cf}},	// [51e0] _усули_, _odnajdzi, _piropiro_, _gibtsi_, 
   {{0xe52a028d,0x69e400cd,0x4202028a,0x022400ea}},	//   _vatisasy, _bernaisa_, _jasiri_, _fankam_, 
   {{0x0ec70397,0x96c60079,0x337f04dd,0x926c013e}},	//   _akazange_, _airbalti, _nemanja_, _tonovi_, 
   {{0x2201029b,0x12b5031e,0xe35100e2,0xf93800be}},	//   _aasim_, _zvuci_, _bûging_, _دۇۇمانىن, 
   {{0x228e03b6,0xaea60403,0x42df0198,0xe213018b}},	//   _alakoso_, _ahalalan, _rokomet_, _rochia_, 
   {{0xf1950749,0x23f30287,0xa2a6008e,0x2248005b}},	//   _ababalul, _minutami_, _biibal_, _maimai_, 
   {{0xf2d8012b,0x8c5b00d6,0xde910478,0xa034012b}},	//   _innego_, _برائحة_, _sultanat_, _polecasz_, 
   {{0xd6dd006e,0x80bb0153,0xc88700bf,0x363400c4}},	//   _cumburam_, _これからは_, _кабарда_, _uwingili, 
   {{0x7a850162,0xa29005a9,0x7290054f,0x926c000b}},	//   _قويدى_, _bakaja_, _nphau_, _fonoti_, 
   {{0xbcb6009a,0x98b60291,0x9386015e,0x89aa002c}},	//   _akangomq, _ترويح_, _quirze_, _толин_, 
   {{0x620d0026,0x3f5d0235,0xf208002b,0x361e0447}},	//   _positief_, _antarjan, _সম্পরকে_, _anamfedw, 
   {{0x103300f7,0x3919008d,0xb2900058,0xae9700ba}},	//   _eksteraj_, _беҳзод_, _pakama_, _دینهاخ_, 
   {{0x8292033b,0xaf390016,0xe2020082,0xf22b00c5}},	//   _bopago_, _סקרין_, _tasiri_, _获重大突破_, 
   {{0xc21d0145,0xa52a00e9,0xb6eb0107,0x3691014c}},	//   _auskarai_, _satirasy, _تعدادي_, _okwesibi, 
   {{0x83b50056,0xe710058c,0xa236060c,0x32ea01e9}},	//   _хусусӣ_, _रद्दी_, _dvaja_, _dibidio_, 
   {{0xde4c0091,0xf23b0047,0xb24802d9,0x2888027f}},	//   _tipaakut_, _médicame, _faimai_, _bishingu, 
   {{0x129001ed,0x2d5500b0,0xa9c60053,0x4bd60622}},	// [51f0] _hakaka_, _islaamku_, _संशोधकां, _imivyimb, 
   {{0x429001ed,0x0fed0044,0xbc580037,0xd2d801e9}},	//   _kakaka_, _בסעיף_, _ስልጣናቸውን_, _lesomet_, 
   {{0x8291015e,0x63a9023e,0x3290000c,0xacb20067}},	//   _espai_, _badaning_, _jakaka_, _falachuu_, 
   {{0xc27f0212,0x4ec30236,0x00000000,0x00000000}},	//   _etenim_, _blizance_, --, --, 
   {{0x95f10013,0x33f801f3,0xb8be006d,0x26e90043}},	//   _обидов_, _cedule_, _адбярэ_, _babalibw, 
   {{0x825a0450,0xf27e000e,0xa9d80673,0x83ac02a9}},	//   _spiler_, _joiner_, _okuthand, _grupę_, 
   {{0x5b5601d5,0xf705015e,0x00000000,0x00000000}},	//   _آپکیرائے, _introduï, --, --, 
   {{0x1ae70147,0xdc0e03b6,0xe9e70145,0xe9420234}},	//   _رازاقۇلو, _olupese_, _басейны_, _tarúgbó_, 
   {{0x1722049a,0xa202032e,0x238a023c,0xd29202dd}},	//   _modernoj_, _pasiri_, _اودیني_, _artali_, 
   {{0x55380089,0x0c5203d9,0x3cdf00e6,0x62ca0157}},	//   _bezeneñ_, _apetaka_, _意难忘分集剧情介, _rundy_, 
   {{0xacee05f8,0x8ec10153,0xb8970061,0x00000000}},	//   _среду_, _クラシックギタ_, _wenkbrau, --, 
   {{0x3f490304,0x35a00148,0x898b0139,0x82650211}},	//   _perpadua, _請到我無名的部落, _andhāstr, _скопиров, 
   {{0x7af003b9,0x6afb05bd,0x3bb80012,0xaadf003e}},	//   _janukast, _begrunne, _अकुलाईं_, _hokelets, 
   {{0xd394007f,0x929002ec,0xccf900f6,0xf86302ba}},	//   _sinsir_, _islaan_, _partnyor, _мотами_, 
   {{0xb29202c9,0x4dff06c4,0x43a50255,0x32cb04a7}},	//   _astazi_, _undereta, _टेलियाडी, _agadea_, 
   {{0x366d01e0,0xa8f70156,0x00000000,0x00000000}},	//   _تلیسی_, _בײַכל_, --, --, 
   {{0x0ae501b2,0x1c600110,0x327e0385,0xd35504b3}},	// [5200] _appealab, _kartons_, _klinac_, _digemer_, 
   {{0x92010308,0x94650041,0x92e30197,0xe65a04ec}},	//   _masih_, _деиҭагье, _bonnanj_, _burihabw, 
   {{0xf3a902f6,0xc3dd00ae,0x00000000,0x00000000}},	//   _madaling_, _berwa_, --, --, 
   {{0x9d02003a,0xfc5e018a,0x43f501b5,0xd365040f}},	//   _عبدالوکی, _gastell_, _hahlulak, _valgymo_, 
   {{0x09bd0148,0xdfd401db,0x7c7e036b,0x73f8011d}},	//   _中央氣象局_, _ءﯨﺮﯨﺒﯩﺲ_, _умерени_, _celule_, 
   {{0xb5310330,0x4adf020e,0x00000000,0x00000000}},	//   _maligakh, _bokelets, --, --, 
   {{0x320100ad,0x3c680141,0xa8f90225,0x8871043a}},	//   _tasik_, _bugungi_, _belageru, _spinosau, 
   {{0x3b1400d3,0x89490075,0xbb90019b,0xf2260016}},	//   _दर्शकले_, _herundir_, _telefonų_, _verkis_, 
   {{0xa9eb033e,0x2c7c004c,0xda060381,0x4488027f}},	//   _arenisca_, _baasaba_, _armaceut, _ndagusiz, 
   {{0x66cf029c,0x3b7e0105,0x57ec003c,0xb7460156}},	//   _linatumi, _ekologic, _salajeng, _אברמסקי_, 
   {{0x43dd018a,0x72ea053c,0x84eb00c1,0x8379034f}},	//   _berwi_, _salnés_, _जोरजोरात_, _banakho_, 
   {{0xf3eb01a7,0xd503004d,0xcea40142,0x048c0111}},	//   _musta_, _扁被告又告人_, _विश्वदेव, _agrunchj, 
   {{0x36b90217,0x5e360256,0xdf9501db,0x09ce0263}},	//   _menageri, _tabletes_, _سۇڭقارى_, _sindsdie, 
   {{0x8b1e004d,0x294700cd,0xa731006d,0x00000000}},	//   _corporea_, _annullar_, _адкуплен, --, 
   {{0x93eb0269,0x41580113,0xd9f60020,0xc8ad0022}},	//   _gusta_, _shannadh_, _mulumulu, _даръя_, 
   {{0x91790283,0xcfb20029,0x2c7702f0,0xaf7304f8}},	//   _canhgyah_, _یگووت_, _avisise_, _specimen, 
   {{0xd68a0169,0xf37301fe,0x82010028,0xd2e901dd}},	// [5210] _ক্ষুধা_, _chaghry_, _kasii_, _musinga_, 
   {{0x668d01d3,0xed0301b0,0x00000000,0x00000000}},	//   _arbetsgi, _muslihat_, --, --, 
   {{0xa2010049,0xf2010163,0x2dc302cd,0xf2360452}},	//   _masii_, _pasik_, _alakanta, _minjem_, 
   {{0xead30162,0x4f2600d9,0x03a900c0,0x937a02f6}},	//   _تۇردى_, _kerrosta, _madaming_, _tirahan_, 
   {{0x91ba0013,0x16980153,0x530102a6,0x84080181}},	//   _bilmaydi_, _の少なくとも_, _altanti_, _chogenbo_, 
   {{0x0249012f,0x47bb0072,0x83eb00a7,0x62f201ab}},	//   _riemen_, _iristamx, _fusta_, _बजीरक_, 
   {{0x13eb00bc,0x8c5e029e,0x21bb00c5,0x42480582}},	//   _gusti_, _pastell_, _东方神起吧_, _mbimbi_, 
   {{0x33870119,0x723c0192,0xa2d90068,0x737f0282}},	//   _learns_, _생성합니다_, _sheega_, _hakaina_, 
   {{0x77cc017f,0x3b1b026a,0x83dc00c8,0xf8c10455}},	//   _napparsi, _delainab, _элегерәк_, _fondateu, 
   {{0xa4620211,0x52ce0022,0x00000000,0x00000000}},	//   _некачест, _поэмаһын, --, --, 
   {{0x6d3305b5,0xd2ec03d7,0xbdaf009a,0x863e0358}},	//   _entidade_, _anbisie_, _abangoba, _danielli, 
   {{0x13d10086,0x698e004b,0xe2b10053,0xe3eb005a}},	//   _العرفان_, _насип_, _घरकुल_, _dusti_, 
   {{0x5e4901cb,0x9c4d02e2,0xa2a60255,0xb9e80153}},	//   _bayaziba, _smacking_, _hambad_, _銀行ネット決済_, 
   {{0x86d601a3,0x03eb02a6,0x0a71012e,0xe63f02e1}},	//   _عالمانه_, _fusti_, _kellemes, _hiriseoi, 
   {{0xe0f70361,0xbf41023c,0x722502b1,0x77050076}},	//   _таблицу_, _شپيتو_, _shakku_, _introduç, 
   {{0xdeb10192,0xae1500e6,0x00000000,0x00000000}},	//   _blessure_, _万元以上的纳税人, --, --, 
   {{0xd2040219,0xdd33019c,0xcfaa0045,0xfcac02f6}},	// [5220] _yesibili_, _atannije_, _stamenko, _edisyong_, 
   {{0xe980011d,0x3880011d,0x22fc00dc,0x884d0204}},	//   _articole, _articolu, _itoatasi_, _потерпев, 
   {{0x0c5703ec,0xd3eb022e,0x8254027b,0x00000000}},	//   _postime_, _custi_, _श्येनो_, --, 
   {{0x3c60007b,0x1f6000a6,0x95980019,0xf2920386}},	//   _gartens_, _angasemn, _барабарс, _masalh_, 
   {{0x80ad002b,0x33960455,0x30310279,0x2bab00e6}},	//   _ফলমূল_, _fausse_, _lentemen, _已经被本网协议授, 
   {{0x7bef001c,0xaf41001c,0x2c760064,0x329102e4}},	//   _altenbur, _spessart_, _debutar_, _espat_, 
   {{0xaea50272,0x63fa01ff,0x02ef014e,0xf14f004d}},	//   _addukire_, _obrusy_, _kikinda_, _批國產公糧標售作, 
   {{0x093e0003,0xf3ea0053,0x53960222,0x32d900ac}},	//   _aanmelde, _mantep_, _hausse_, _dovelo_, 
   {{0x33870638,0x6d300207,0x7c550678,0xa6a702c4}},	//   _styrke_, _hatimaye_, _pretoze_, _наежиш_, 
   {{0x43eb0321,0xf2c603b0,0x4162015d,0xda14016d}},	//   _vrsto_, _måleri_, _pobranio, _телевизй, 
   {{0xb1da0313,0x00000000,0x00000000,0x00000000}},	//   _quvghach_, --, --, --, 
   {{0x227f053e,0x27b502a3,0x8f17023d,0xe47002c3}},	//   _utenom_, _tweeling, _чепеларе_, _záručná_, 
   {{0x3f1f02a3,0x448c019e,0xb2ea0242,0x82cb0051}},	//   _vorderin, _бальзака_, _tarixin_, _biedri_, 
   {{0x61bd017a,0xfa7e004b,0x6b5e0045,0x00000000}},	//   _бисту_, _dipalesa_, _грана_, --, 
   {{0xe4200092,0x62d90362,0x23200478,0xa31001ad}},	//   _弊社注文フォ_, _lifero_, _balcans_, _nawakay_, 
   {{0x56b902c2,0xad040064,0xd2da002a,0x22ee02a0}},	//   _benaderi, _аласын_, _pesent_, _itaniji_, 
   {{0xeae105b9,0x828c0092,0xbbe202ba,0xb0f50185}},	// [5230] _fokusere, _ショップ情報_, _abavakas, _başlavın, 
   {{0x95d30093,0x9f62021c,0x0396003d,0x12480034}},	//   _элемента_, _havarijn, _causse_, _djamm_, 
   {{0x224901a7,0x73730195,0x9d8c01ac,0xba6c0090}},	//   _hieman_, _chiurram, _نشاهد_, _chemazis, 
   {{0x04530057,0x2ef705a2,0x9a0d0185,0x1d9702a4}},	//   _ትምህርቱን_, _मिलीमीटर_, _физикасы_, _tenebrae_, 
   {{0x74930026,0x1fd503a4,0x79e9018c,0xfbe201f9}},	//   _블로거뉴스_, _risastór, _doorblad, _ebavakas, 
   {{0x02c50111,0x4ecd0250,0x7ed6000c,0x1adb05d3}},	//   _inglese_, _komision, _адиле_, _स्वर्गे_, 
   {{0xfba0000c,0xedcc00c7,0x0bb1002b,0x8538046b}},	//   _анзор_, _ачарга_, _ভোটকেন্দ, _ceribeth, 
   {{0xd4b50064,0xf940057c,0x29de002b,0x52260265}},	//   _алакан_, _sammenst, _হুজুরের_, _jurkje_, 
   {{0x8232026b,0xa2390046,0x55dd0059,0x687203dc}},	//   _llamado_, _permeti_, _бизнесът_, _dronginu, 
   {{0xad3203e2,0x42fc0275,0xc31703ba,0xff470098}},	//   _calidade_, _enright_, _brandung_, _færreste_, 
   {{0x0c5e002e,0xf937002b,0xdd320076,0xa6f20210}},	//   _smatram_, _পদত্যাগে, _validade_, _angatokw, 
   {{0x0da0033c,0x1292011b,0x89ea03f7,0x2e74032d}},	//   _alergedd_, _eutaki_, _bangsade, _йүнен_, 
   {{0xdc6f021c,0x8c010650,0xb38001e4,0x36e90135}},	//   _heureka_, _قلندرن_, _skvrny_, _граффити, 
   {{0x43f90016,0xb3e702b2,0x12000528,0xb429015d}},	//   _figuro_, _bøter_, _ellice_, _pilkanoz, 
   {{0x82c50515,0xcecd0173,0x871600ba,0x03eb0066}},	//   _anglese_, _comision, _جاسووسی_, _justu_, 
   {{0xa7c100d6,0xf36c0247,0xa25a01c2,0x97ca01b4}},	//   _frashagi, _irigasi_, _canle_, _verskoni, 
   {{0x564d0334,0x9bd900b7,0x0daf03df,0xdbeb0340}},	// [5240] _alangidw, _масасынд, _øygarden_, _riroriro_, 
   {{0x43130076,0x9ed60191,0xc8bf00b4,0xbbef0548}},	//   _bíblia_, _granskas_, _tineretu, _alderstr, 
   {{0x9c38003a,0x8a890115,0x26f50480,0x00000000}},	//   _تارتمسلی, _kepiluan_, _bezakhiw, --, 
   {{0x158a05e7,0x77fc00e4,0xc21d0397,0x755a03a9}},	//   _yedemokh, _परमाणुओं_, _бануҷ_, _вĕрилле_, 
   {{0x44ae0024,0x2f4c01d4,0x9291008e,0xe3eb0223}},	//   _শান্তিৰ_, _anassima, _jayaŋ_, _hustu_, 
   {{0x8abf0121,0xfd9e0196,0x0f7603a2,0xd9f00318}},	//   _conviert, _akanalep, _बांझपन_, _mafikaip_, 
   {{0xf2fe0055,0x43a40094,0x9d190195,0xe9e90307}},	//   _rougir_, _سناققا_, _meirgeac, _ningange, 
   {{0x93440122,0xd2920007,0xa407026f,0x4a1c00ee}},	//   _hisense_, _autaki_, _جۇعىمدال, _францаар_, 
   {{0xc2ee0652,0x00000000,0x00000000,0x00000000}},	//   _staniji_, --, --, --, 
   {{0x23a800fa,0x32d8018e,0xa6f5052f,0x7c070437}},	//   _malaking_, _tekele_, _zezakhiw, _presset_, 
   {{0xe0b605fa,0xaafc0259,0x3c6e027f,0x00000000}},	//   _नेचुरल_, _stortale, _ngereza_, --, 
   {{0xb3e704bc,0xcd56027b,0x52920105,0x00000000}},	//   _røter_, _मनागपि_, _lasach_, --, 
   {{0xfb810264,0x0292030f,0xb0610004,0xe26d0304}},	//   _autonomo_, _tutaki_, _dessalin, _bebola_, 
   {{0x49200089,0xf2d10257,0x0ee902f7,0x03200242}},	//   _белдерде_, _skuldir_, _bookelon, _salyan_, 
   {{0xbb1f00ed,0x4648016f,0x1ad600be,0x52bd0378}},	//   _kalainan_, _задеклар, _قانبادى_, _handlum_, 
   {{0x6ec5004d,0xb77402ac,0x63ac0117,0xe34901e5}},	//   _傳統藝術叢書_, _فنزويلا_, _rispek_, _kayeefi_, 
   {{0x450f0304,0x13f900fa,0x28a30142,0x73ac00e9}},	// [5250] _komersil_, _siguro_, _प्रशास्त, _sispek_, 
   {{0x9d72010c,0x169f04d9,0x22920219,0x323401dd}},	//   _राष्ट्रध, _प्रसंस्क, _akwati_, _ndamage_, 
   {{0xd200036e,0x2c21029b,0xda280060,0x0fd70617}},	//   _aykili_, _foqqati_, _سوققان_, _oprimido, 
   {{0x72eb03db,0x81bf0272,0x35df00ef,0x527e0084}},	//   _umsindo_, _abimanyi_, _دحاجي_, _alinur_, 
   {{0x1f04007e,0x1292031e,0x22d8011b,0x43640176}},	//   _antardhā, _crtani_, _sekele_, _hengmin_, 
   {{0xa0d70211,0x6a4a0073,0x3201013d,0x338400a4}},	//   _никого_, _camerada_, _lasis_, _existeix_, 
   {{0x4d34069f,0x261801f4,0x9b0c02a2,0x00000000}},	//   _policajt_, _yerlarni, _hangarin_, --, 
   {{0xf0520195,0xb3eb0250,0xff260257,0xe3710264}},	//   _tharrain, _mbetur_, _skattupp, _cabanag_, 
   {{0xb248035b,0xc5300125,0x3cbf00b7,0xe86e0092}},	//   _njimi_, _делилсиз_, _alanyňda_, _エリアから探す_, 
   {{0xaeea018d,0x1225002e,0xe99102fa,0x59aa02ea}},	//   _ብምምላስ_, _ovakav_, _mashyaka_, _ходил_, 
   {{0x920102e2,0xba1701cf,0x892a0354,0xb34c02c2}},	//   _aasit_, _percurre, _яврупа_, _gereël_, 
   {{0xa20103cf,0x52d90073,0x447704ae,0x18460177}},	//   _basit_, _recede_, _навела_, _хылаҧшыр, 
   {{0xd9e90288,0x55ce006c,0xf2a702be,0x72ef01f7}},	//   _einginge, _гарму_, _anabil_, _colissa_, 
   {{0x836a049c,0xa3960117,0x110e0040,0xe200000d}},	//   _lingziq_, _hausat_, _וקעקועים_, _endise_, 
   {{0xa66a0060,0xf20100b9,0xf38a030b,0x361f025b}},	//   _құштарлы, _wasit_, _akayiso_, _borgarum_, 
   {{0x63eb0245,0xe7aa0153,0x67c800b4,0x547a02be}},	//   _phatok_, _おしゃれ度合いア, _tensiuni, _hintayin_, 
   {{0xf24800a2,0xab3400a6,0x0a0003b5,0x83f40014}},	// [5260] _njama_, _ancancis, _lawannya_, _austri_, 
   {{0xaf69035b,0xcf350278,0x0291026d,0xb26c03b2}},	//   _porodniš, _kepunyaa, _zacala_, _uphold_, 
   {{0x82910342,0x548c012b,0x9c39025c,0x66d2076c}},	//   _espay_, _najgorsz, _stichwor, _चालिस_, 
   {{0x190d01ef,0x3d91005e,0xc37f0370,0xf2ca02aa}},	//   _народная_, _ئايگۈل_, _bakatna_, _kundy_, 
   {{0x5233052c,0x422502d1,0xa9df0015,0x0d0b034c}},	//   _پێشڕه_, _xavkom_, _dollarka_, _иконасы_, 
   {{0xaa710054,0x735b018b,0x4c5103b9,0xaf9b0192}},	//   _larabawa_, _asigura_, _muntana_, _파워포인트_, 
   {{0xf369022b,0x00000000,0x00000000,0x00000000}},	//   _bangnir_, --, --, --, 
   {{0x418000c7,0x337500ca,0xb24a0277,0xeaf80034}},	//   _aqsaqall, _actualam, _inumon_, _bensínta, 
   {{0xd39603ff,0xe2010378,0x00000000,0x00000000}},	//   _zkuste_, _hasir_, --, --, 
   {{0x1d1402af,0xfd9a0079,0x8f2e004a,0xd43e0164}},	//   _akarutur, _remontda, _allarınd, _раюни_, 
   {{0x681202ca,0x920101d1,0xf9f801c2,0x3144007b}},	//   _عبدالعزي, _basis_, _adestrad, _colloquy_, 
   {{0x62ca021c,0x66970162,0xce010155,0x6389011b}},	//   _bundy_, _миқдари_, _moderera, _kotyela_, 
   {{0x05010449,0x220101b9,0xd26c02c2,0xd27f00ac}},	//   _početka_, _lasir_, _stoom_, _krenem_, 
   {{0xbe31033d,0xdf160289,0x0a900220,0x422601c9}},	//   _prezante_, _akadatan, _официале, _kerkis_, 
   {{0xdc7702b9,0xb29102a3,0x740701ef,0xd201034c}},	//   _بالعموم_, _oppad_, _паталогі, _gasir_, 
   {{0x32470076,0xde8800e4,0x6226022b,0x558e02a4}},	//   _кариера_, _जनसत्ता_, _merkis_, _negotium_, 
   {{0xfb670041,0x920001b9,0xddf60074,0x4baf00a6}},	// [5270] _реидгыла_, _andire_, _ресурсов_, _روزنیز_, 
   {{0x194301bd,0x32d90042,0xa429020f,0x53bf03db}},	//   _секторын, _recebe_, _اویاهم_, _gciwane_, 
   {{0x02ef01bb,0x01560125,0x72c602ba,0xc3f400b6}},	//   _himiýa_, _машынам_, _abulawe_, _murtik_, 
   {{0xf3800069,0x29e70208,0x537f0189,0x438604e3}},	//   _amazuru_, _دانسقه_, _makarna_, _traziti_, 
   {{0x949b00fb,0x125a013b,0xfae90478,0x00000000}},	//   _enkathaz, _manla_, _convenén, --, 
   {{0x9d210164,0xb94e008d,0x23ac00c1,0x4582009b}},	//   _тәрбийә_, _moslasht, _bispak_, _postontz, 
   {{0xa9730059,0x85010320,0xcdf301ac,0x00000000}},	//   _неприяте, _kwalomuy, _monaraío, --, 
   {{0x7baa0314,0xf386034a,0x0742034c,0xd49b00f3}},	//   _наркопол, _beiras_, _классигы_, _inkathaz, 
   {{0xbece0204,0xd9aa03d4,0xbb2003de,0xeec201e8}},	//   _kodinkon, _водио_, _eliphele, _ipangpan, 
   {{0x8c7005c9,0xe1630013,0xec7c0123,0xa2010053}},	//   _kajsiab_, _кумуш_, _sparker_, _sasis_, 
   {{0x8a150092,0x7201017e,0x2200014e,0x4ae0003e}},	//   _参考になりました, _pasis_, _simič_, _hosebets, 
   {{0x33860367,0x1ae700d1,0x00000000,0x00000000}},	//   _feiras_, _লেধাইৰ_, --, --, 
   {{0xae3d0040,0x027c021b,0xfc050408,0x97e5014c}},	//   _ושכחו_, _играл_, _amoronts, _ngabokug, 
   {{0x9ae0020e,0x116a0092,0x22e9022e,0xedd80368}},	//   _mosebets, _エンジニア_, _scrivia_, _владавин, 
   {{0x52920207,0x9dd70045,0x00000000,0x00000000}},	//   _masafa_, _другови_, --, --, 
   {{0x185700b7,0x820101b9,0xf84400bd,0x89e90415}},	//   _алмандыг, _rasir_, _drauchts_, _dingunge, 
   {{0x437b0609,0x65b00307,0x00000000,0x00000000}},	// [5280] _impacto_, _esisinik, --, --, 
   {{0x8dc5013d,0x9a0700c5,0x5ab7004d,0x92ac01db}},	//   _efektive_, _发展改革委_, _巴里島帶回_, _جازبادىم_, 
   {{0x2f5901cc,0xb2e90250,0xf0c60541,0xe53b03fb}},	//   _anityaḥ_, _gabimin_, _savladal, _raspisao_, 
   {{0xe28c042b,0x5a8c0288,0xfc510083,0xcc22015e}},	//   _varaždin_, _parieren_, _puntina_, _cliqueu_, 
   {{0x8bab015d,0xd201010d,0x6387002b,0xb2010115}},	//   _procesów_, _wasir_, _সৌরশক্তি_, _fasiq_, 
   {{0x66870009,0x6721005b,0x0d3f002b,0xe3990092}},	//   _gradbeni, _helsingø, _অস্থায়ী_, _好きなこと_, 
   {{0xa3410261,0xaec2014a,0xb3860515,0x83f8024f}},	//   _korekta_, _امیتابھ_, _alora_, _lulutu_, 
   {{0x868d0071,0x63760040,0x22e300ce,0x39ef02af}},	//   _هالیوودی_, _ויברטור_, _labitid_, _bisigura_, 
   {{0x2951009b,0x52460325,0xa2000259,0x9f2600d8}},	//   _borondat, _damğası_, _modige_, _charcuta, 
   {{0x526404ff,0x6bf302d5,0xa5220115,0x00000000}},	//   _yauliz_, _justiits, _ulangtah, --, 
   {{0xf386005a,0xccf201ce,0x7a89003f,0x7201033a}},	//   _elora_, _فاطمی_, _bisolnis, _qasir_, 
   {{0xded60195,0x54ef0061,0xeebb004d,0xf38702ac}},	//   _seanchas_, _부모교육의_, _excommun, _fearas_, 
   {{0xa2920292,0xdf5b036f,0x6e510356,0x7f470287}},	//   _basafa_, _uklanjan, _tamanaka, _nárůst_, 
   {{0x37e704ad,0x93a30144,0x63940133,0x69e90370}},	//   _belaeseg, _intps_, _boosxa_, _bingunge, 
   {{0xdb24018d,0x09d8056d,0xa476012c,0xa2e302ff}},	//   _ቀልጢፎም_, _ukuthand, _inataraj, _dabitid_, 
   {{0xefaa0034,0x0fc303b0,0x2a3103cc,0x3f2a01e5}},	//   _nemendur_, _avgifter_, _পিডিএফ_, _idarudap, 
   {{0x726d0532,0xb15b03ce,0x751102fe,0x62b601ab}},	// [5290] _napustil, _ئسیری_, _الاصله_, _गेहँू_, 
   {{0x3a14035d,0x12b602fc,0xf07200ee,0x027e013d}},	//   _kupatila_, _ubudage_, _organiko, _leono_, 
   {{0xd37f038c,0xec5b024a,0xe200005b,0x43f8033f}},	//   _zemalja_, _baptisi_, _nolife_, _hulutu_, 
   {{0xec7c006c,0x9e060155,0x43f6025f,0xbc530097}},	//   _abasusa_, _kunderna, _esalamak, _mùjúmùwà_, 
   {{0x48470169,0x2bfd03f3,0x104b0344,0x8f6600f8}},	//   _cargador_, _waterdic, _igerlann, _অধিবেশনে, 
   {{0x425b00bd,0x16c80078,0x84870365,0x00000000}},	//   _bieldy_, _самуилов, _लागाएर_, --, 
   {{0x5ff30035,0x9467056e,0x8943053e,0x37e10226}},	//   _кораллы_, _espectro_, _avslutte, _kansengw, 
   {{0x026c007b,0x2476012c,0x8e6d05ed,0x810601a3}},	//   _stoop_, _anataraj, _iracîkan, _ٽائيمز_, 
   {{0x1e4700ae,0x69690296,0xb2370153,0x00000000}},	//   _kabavuye_, _socialse, _ガラス製ボトル_, --, 
   {{0x9fc200f2,0x426c042c,0x72fc02c9,0x0ff101ac}},	//   _strogono, _dugog_, _obtinut_, _قنابل_, 
   {{0x12e903ad,0xc30d0609,0x5d9d0023,0x46e202fa}},	//   _tariffa_, _pegadas_, _kannusta, _babarizw, 
   {{0xe98e02ba,0x63f8035b,0xaf4c034b,0x2b710315}},	//   _барин_, _deluje_, _klasifae_, _babukana_, 
   {{0xa8d600da,0xd0de01b2,0x3ec3011b,0xd72900be}},	//   _реформат_, _amendabl, _efungwan, _микробдо, 
   {{0xe59c01cb,0xb2920285,0x904b000a,0xacbe03b8}},	//   _yokuphik, _basaga_, _agerlann, _нареч_, 
   {{0x798b0139,0x2cf60095,0x4833020f,0x3316007b}},	//   _andhāsta, _گردانندگ, _پيکينګ_, _saacred_, 
   {{0x3b870564,0xfe8c0060,0x9a600364,0x926c0119}},	//   _filimler, _تارىلعان_, _harmones, _lugod_, 
   {{0xd9cc01b5,0xc26d019c,0xe639027b,0x8c5600d1}},	// [52a0] _dimotiwa_, _igbora_, _asannihi, _motteke_, 
   {{0xa22503c6,0xc812028a,0x19f60272,0xaf240418}},	//   _kopke_, _اُميه_, _akonkona_, _firmasec_, 
   {{0x499301d5,0xe2fc0065,0x9c5c0244,0x82b605c3}},	//   _بھٹکے_, _gewinnt_, _pratico_, _fondée_, 
   {{0x220102d4,0xc8eb0107,0x00000000,0x00000000}},	//   _hagien_, _اسمبل_, --, --, 
   {{0xc6760307,0xf2b200c1,0x09410279,0xa6f304ca}},	//   _baphethw, _लयलुट_, _dialogue, _contrarò, 
   {{0x113a03ea,0x2213003f,0xaf9f040f,0x27f60008}},	//   _quantité_, _dichna_, _vilkaviš, _аргымак_, 
   {{0xa2920039,0x0e71008f,0x0d7c0046,0xb2cb02bb}},	//   _topatu_, _छान्ह_, _سەزبەيسى, _miedzi_, 
   {{0x627f0092,0x02e500fc,0x0caf0066,0x32cb003f}},	//   _かんたん決済_, _dapummeh_, _murgildu_, _ngadha_, 
   {{0x564a0037,0xc4b600d1,0x62f0003f,0xa6a10374}},	//   _በመታየት_, _প্ৰজাপতি_, _muhivli_, _ashulach, 
   {{0x9dbc0264,0x3cf90003,0x69800156,0xbc650043}},	//   _stargard_, _ingelogd_, _artikole, _battamu_, 
   {{0x3388038e,0x16ec0205,0x053c00fa,0x00000000}},	//   _ekspansi_, _dorchili, _ermitany, --, 
   {{0x3cee035a,0xfb8700b7,0x77c10272,0x224a0044}},	//   _centrafr, _bilimler, _agasingi, _termed_, 
   {{0x12550086,0xc2920018,0xaad20144,0x3e640088}},	//   _problémá, _sasaga_, _chumainn_, _алатоо_, 
   {{0x02d8000c,0x74010024,0x4ec503ad,0x05b30137}},	//   _pinedo_, _পৰ্বতীয়, _arkeoloġ, _ноёдыг_, 
   {{0x3e56048a,0x6a6b0354,0x420100ad,0xbbf6012d}},	//   _бастан_, _ئىمران_, _cicing_, _goveranc, 
   {{0xa3eb036f,0x0da2034e,0xb9070168,0x00000000}},	//   _vrstu_, _calorila, _tippelig, --, 
   {{0x022a0159,0x5a990066,0x137c003d,0x08cb04df}},	// [52b0] _домам_, _хэрлэн_, _errance_, _berenokd, 
   {{0x311802b6,0x841f00f8,0xcf5103f2,0xb200011f}},	//   _нанға_, _হোমিওপ্য, _räsänen_, _ondive_, 
   {{0x33a205c3,0xa20e032b,0x1c930374,0x3389026f}},	//   _compte_, _далай_, _وانار_, _ءونەرڭە_, 
   {{0x6cda0312,0xa63e026c,0x00000000,0x00000000}},	//   _norvegeg_, _archiepi, --, --, 
   {{0xe2f4042f,0xf2d600d8,0xdcc901be,0x8e51027c}},	//   _kinguani_, _villars_, _उपायहरू_, _bamabaka, 
   {{0x49940223,0xb3860342,0x9b0c02ba,0xf26e01b9}},	//   _emakumee, _degre_, _abushele, _zapone_, 
   {{0x930f06ee,0xf490017d,0x3de202b2,0x59c002f7}},	//   _lombuso_, _amagasak, _ворскла_, _iineetse, 
   {{0xd3f8014c,0xfa8c0040,0xccc901be,0x4fc800a3}},	//   _amaziko_, _להתערב_, _उपायहरु_, _arvingar_, 
   {{0x5386015e,0x76ea0187,0xa32001c5,0x2ce10019}},	//   _negre_, _conveniê, _malyan_, _астмасы_, 
   {{0xa6ec02d3,0x225b0268,0x79da0350,0x82da02ff}},	//   _precisam_, _anelay_, _ተመዝጋቢ_, _nesese_, 
   {{0xead80057,0x534104a7,0xf292016e,0x72e90620}},	//   _kelmarin_, _corenta_, _yasada_, _residua_, 
   {{0x04a50025,0xa27c02b7,0x131601cd,0x29d701dd}},	//   _विचारमण्, _nînga_, _nambili_, _amatsind, 
   {{0x0a10023b,0x320005b9,0xd55c011a,0x5f460066}},	//   _mahaloia_, _rolige_, _ההגבלים_, _adiskide_, 
   {{0xc1ff003f,0x02b303c7,0x913a0203,0x826e0244}},	//   _dahadlah_, _gardła_, _quantitá_, _sapone_, 
   {{0x70d5003a,0x8ebb018d,0x62e80243,0x72dc03fd}},	//   _журнали_, _ዝመስለካ_, _jabuufih_, _punouai_, 
   {{0x72d9045a,0xe2e30145,0x06fd00af,0x00000000}},	//   _dyret_, _анамасты, _установі_, --, 
   {{0xb30f024d,0x430000f4,0x820201d1,0xe3860478}},	// [52c0] _nombuso_, _bombard_, _losing_, _amors_, 
   {{0x895e0219,0x226e01a6,0x217a010f,0x3a040289}},	//   _awuniket, _herora_, _милисаҳо, _kukachit, 
   {{0x42d600a4,0xa80600e6,0xedae0092,0x82dc0244}},	//   _millors_, _古井集团捐赠款物, _manglede_, _accordi_, 
   {{0x0be500c3,0x7c1f05e0,0x38640061,0x9a710055}},	//   _appellar, _parábola_, _대우트럼프월드수, _abbadava_, 
   {{0x8df702b2,0xef5b0099,0x7c1c03ef,0xef710150}},	//   _заявила_, _achatsan, _abashumb, _paradais_, 
   {{0x626e01a1,0x32d50172,0x42c50192,0x00000000}},	//   _beroep_, _kurotia_, _talloze_, --, 
   {{0xb6f20022,0x7e3900e6,0x0f2d0040,0x8a1b0037}},	//   _курсында_, _触犯刑律的_, _assessin, _የሚፈቅድ_, 
   {{0x3301034f,0x234b01f2,0xa149018d,0x126e009b}},	//   _acebise_, _йөткишид, _ንታሪኽን_, _gerora_, 
   {{0x5e0a01ec,0x7a130050,0xa29201f9,0x00000000}},	//   _کتابخانه_, _nepangke, _ikwati_, --, 
   {{0x2c5200d1,0x037201bb,0xaea60061,0x3e9e04a0}},	//   _আয়ত্ব_, _garadag_, _제로마켓의_, _lúdicas_, 
   {{0xc2fe0105,0xa598025e,0x7b1602f6,0x1a280311}},	//   _drugie_, _kennurum_, _pampulit, _ክዓጽዋን_, 
   {{0x8b67011d,0x21f60107,0xcb440390,0xa4560368}},	//   _deplasar, _سفالی_, _ansamblı_, _алигатор, 
   {{0xb8b6000f,0x6e8201be,0x00000000,0x00000000}},	//   _partiler_, _dozvíme_, --, --, 
   {{0x7348019b,0x894301ac,0xe2020128,0xbe340005}},	//   _sukelti_, _hailtire, _bosing_, _colliads_, 
   {{0xd0e30152,0x021c046b,0xafd8019b,0x93de032d}},	//   _тышта_, _bethan_, _kontrolė, _basweu_, 
   {{0xd9d90132,0x82900020,0x00000000,0x00000000}},	//   _receptje, _lalafo_, --, --, 
   {{0x13a2076d,0xe26c0578,0xdfa1005b,0x0eb30291}},	// [52d0] _compre_, _ntoos_, _bluestar_, _شيخوخة_, 
   {{0xb11a03d4,0xba0c00e7,0x6dc4007f,0xa50200cb}},	//   _бомбе_, _alkaline, _freichia, _лоихахо_, 
   {{0x730f02d2,0xe64700be,0x87ca019b,0x864b018d}},	//   _zombuso_, _بۇحارىي_, _sausaini, _ሓበረይታ_, 
   {{0x760c010b,0x6d960126,0x505a00be,0xe21c018a}},	//   _bokomisi, _загрозу_, _принциби, _gethin_, 
   {{0x7290040d,0xf9e30013,0xfc2701da,0xd2900115}},	//   _kalafo_, _болага_, _serbisë_, _dipatuhi_, 
   {{0x03a200d8,0xeb7702ac,0x90610450,0xb0ba018d}},	//   _rompre_, _باعتبار_, _besitlik_, _ፍረወይኒ_, 
   {{0xdc6a05dd,0xb2d90114,0x7a880166,0x5f2901b3}},	//   _गाभ्ने_, _becomes_, _männern_, _нацистсь, 
   {{0xef7e00d1,0x2a4701d8,0x22f1007b,0x00000000}},	//   _উজ্জ্বলত, _harendra_, _sanshach_, --, 
   {{0xa87600da,0x1dfa0193,0x3c7c028d,0x86bc017c}},	//   _визуале_, _धर्माचा_, _konsiyn_, _tågtrafi, 
   {{0xce1d02ac,0x726c013a,0x461e02ec,0xc6e800e6}},	//   _وتجارب_, _eroof_, _waalidii, _稽察特派员办公室, 
   {{0xe26d02f7,0x6fd80079,0x953f00f4,0x227f013f}},	//   _rebola_, _kontrolē, _emledañ_, _frenom_, 
   {{0x3c150210,0xd1f800c4,0xed1900d6,0x30320261}},	//   _akarotes, _alihukum, _meirleac, _bretonaj_, 
   {{0xe6410036,0x00000000,0x00000000,0x00000000}},	//   _وعبدالله_, --, --, --, 
   {{0x3ef00169,0x7cb80159,0x62900202,0x1c6a0066}},	//   _মুশফিক_, _санктуар, _johanu_, _segundu_, 
   {{0xa65600b2,0x2cfe01e3,0xb7a200ae,0x93810278}},	//   _arginuuf, _prepreči, _baturiri, _kakyong_, 
   {{0xae940089,0x0d9a0187,0xf292007f,0x79a80311}},	//   _konkursı, _статуи_, _butain_, _ሰንዓፈን_, 
   {{0x2d870203,0x22da00a5,0xdee801c7,0x9807002b}},	// [52e0] _orientat_, _ekueta_, _малмүлкс, _হিযবুত_, 
   {{0x226e0450,0x5d3302fa,0x7ae30112,0x32980350}},	//   _jeropa_, _arangije_, _berlawan_, _ኤይፕርል_, 
   {{0xf3fd0764,0x877a0128,0xd95b0037,0xbf8302a5}},	//   _munzira_, _خداوندرا, _ሐይማኖት_, _plátna_, 
   {{0xf3860180,0x0c5a028c,0xe202017f,0x22da0124}},	//   _plore_, _ühtegi_, _rosing_, _yesere_, 
   {{0x524a0452,0xd23b01ef,0x7c6e0234,0xe3bd0040}},	//   _ciuman_, _pakeisti_, _ataresa_, _הבאזז_, 
   {{0x6da800ca,0x00000000,0x00000000,0x00000000}},	//   _actibita, --, --, --, 
   {{0x6742036b,0xcc2c00fc,0xd4eb0311,0x68f601db}},	//   _идеализи, _masopchu_, _ምምላካት_, _گايتيدە_, 
   {{0xd291006e,0x0af00052,0xf7a7040f,0x00000000}},	//   _bakkaar_, _úložiště_, _tautodai, --, 
   {{0x07a90107,0xd1640061,0x063d0138,0xe29202fa}},	//   _دوستانی_, _안양병원장_, _görkemli_, _basaza_, 
   {{0xf2f20240,0xf2910243,0x726c0265,0x537b0244}},	//   _ganilau_, _dakkaar_, _droog_, _impatto_, 
   {{0xa386030c,0x84f90122,0x524a0227,0x00000000}},	//   _quirke_, _ناسازگار, _siuman_, --, 
   {{0xb3ea0386,0xc2e80063,0xc44c0141,0x22020073}},	//   _mantap_, _páiste_, _оллох_, _potite_, 
   {{0x73eb0005,0xa8a300b7,0xe22503ff,0xbfac032d}},	//   _custs_, _сорапды_, _sopka_, _fololiso, 
   {{0x834400a4,0x8c6500a1,0xde6804c7,0xf3eb00d3}},	//   _excepte_, _kautuku_, _гнусни_, _lustr_, 
   {{0x1f100418,0xaebc00df,0x1517006d,0xa31000f7}},	//   _aramalar_, _puissant_, _brazausk, _amuzas_, 
   {{0xde480233,0x82500211,0xb94d00f9,0x2bcc00d1}},	//   _arrangea, _ценам_, _bakomere, _সুক্ষ্মভ, 
   {{0xa2f70055,0xac5703b8,0x4d6f010b,0x0290033f}},	// [52f0] _accorghj, _бақилық_, _khomputa, _talafo_, 
   {{0x816200ca,0xd629027f,0xe9890265,0x325b042b}},	//   _aparicio, _bahimiri, _mishande, _rublja_, 
   {{0x1ede019b,0xa24801c0,0x2c180177,0xdf490194}},	//   _treneris_, _ajami_, _метрала_, _subsigna, 
   {{0x36ae00e4,0x231a02be,0x4ae20028,0x8c1a02e5}},	//   _प्रतीकों_, _antigong_, _murtiyee, _ofarreas, 
   {{0x1a4a0043,0x8ef9023d,0x5ca6006c,0x2cb9020e}},	//   _abyesiga_, _премиеръ, _сарсону_, _мәгәр_, 
   {{0x726c0176,0x3e31011d,0x00000000,0x00000000}},	//   _konomi_, _prezinte_, --, --, 
   {{0x424803de,0x3287042a,0xfe84004d,0x92000407}},	//   _mcimbi_, _asakate_, _重新開啟後即可以, _tolike_, 
   {{0x72010081,0x2baf0480,0xb378019d,0x9cd7004a}},	//   _daginn_, _abahlobo_, _maganga_, _драмасы_, 
   {{0x8e470096,0x1af50014,0x939402ec,0xfa9103db}},	//   _yaravuze_, _publikun_, _booska_, _masihamb, 
   {{0x42f304b2,0xab88004d,0xa05f00d1,0x9fac0403}},	//   _binabati_, _人人圍住我_, _সম্পুৰ্ণ, _hitovito, 
   {{0xe26c02c2,0x59ce0499,0x7ec50332,0x73cd0224}},	//   _troon_, _komepiut, _demonios_, _bollakök, 
   {{0xb0190188,0xac35019b,0x32da04d1,0x49c10170}},	//   _форси_, _uspaskic, _desexe_, _ipambana_, 
   {{0x313b0044,0x38540040,0xf03f0652,0x27e70013}},	//   _שלטון_, _מרהיבים_, _postarin, _динлари_, 
   {{0x2db9024f,0x1e5c0311,0x0264009b,0xa27a018e}},	//   _cauravou_, _ኣይመውትን_, _taulak_, _lehiseli_, 
   {{0x997e03e0,0x031d0040,0x199e0020,0x925a00e6}},	//   _qualitéi, _שילחו_, _kaukauna_, _比去年同期增长_, 
   {{0x2db603b7,0x7eaf06c3,0x95450378,0xd2e002e4}},	//   _abrielga, _montasje_, _fiskasty, _inkixef_, 
   {{0x890b0192,0x57fb029d,0x5a8b001e,0x02d9011b}},	// [5300] _감사드립니다_, _стрикат_, _basirars, _lifelo_, 
   {{0xaf3d00bf,0xa39400b0,0xee0000f2,0x18c5002b}},	//   _справки_, _foosha_, _komercsa, _সখ্যতা_, 
   {{0x66230064,0xff040147,0x13fa017f,0xe8150371}},	//   _ئىنتماقى, _чүйдө_, _assuli_, _мусака_, 
   {{0xd2900483,0x01dc0107,0x2c6102e4,0x71720061}},	//   _calado_, _متوالی_, _caruana_, _사귀게됐어요_, 
   {{0xf31f00b9,0xaafb004d,0xc9c10170,0x5edd021e}},	//   _सहाय्यान, _文學與藝術_, _apambana_, _ombyggna, 
   {{0x00ad0178,0xf20000b5,0x42f40014,0x037801dd}},	//   _balaśāli, _indipe_, _minutash_, _baganga_, 
   {{0xd29201c0,0x97b40439,0x437300ea,0x0c530033}},	//   _masana_, _bohekang, _rangahy_, _chattan_, 
   {{0xc80b0037,0x9b600223,0x0a160085,0x8f3500d6}},	//   _በማጭበርበር_, _tabernan_, _rokataka_, _colscara, 
   {{0x7f64020e,0x13e60299,0x7d9f0177,0x00000000}},	//   _семилетк, _داۋراڭ_, _omongara, --, 
   {{0x326e03ad,0x1c2202e7,0xa2ca005b,0x96e50175}},	//   _deroga_, _stereois, _ikeda_, _entansif, 
   {{0x827e025e,0xa85c0526,0xf847066a,0x6a5302c3}},	//   _vegna_, _berlanju, _empleyad, _pohára_, 
   {{0xef3b037c,0x9d9f01eb,0xd2490414,0x3ec500b5}},	//   _jengglen, _amongara, _ayemba_, _ifuncion, 
   {{0x7c5301d8,0xa386012d,0x02e80434,0xc2000678}},	//   _khatsan_, _glori_, _cáncer_, _hodine_, 
   {{0xadbf0290,0x4c5f00d1,0x00000000,0x00000000}},	//   _cabialla, _ৰদ্বাৰা_, --, --, 
   {{0x72000090,0x2af30258,0xcc0401cd,0x737f000b}},	//   _andipe_, _delsette, _akesabi_, _malaela_, 
   {{0xd26c0417,0xadd90071,0x5ee10163,0x59ed0050}},	//   _droom_, _متراژ_, _الجزیرہ_, _genibara_, 
   {{0xb26c0564,0x53780102,0xfd840287,0x58ff00d1}},	// [5310] _dugon_, _waganga_, _sčítání_, _দীঘলতিৰ_, 
   {{0xbe2601bd,0x5c340132,0x0a1e018b,0x75e9004a}},	//   _бастама_, _قبیلہ_, _линие_, _bazarnıñ_, 
   {{0xb2000160,0xd27e033a,0x083e018d,0x2af90418}},	//   _godine_, _sfond_, _ኣሽካዕላል_, _geleneks, 
   {{0x93860101,0x16d300e4,0xe86d01eb,0xb2b503d5}},	//   _flori_, _शातिर_, _deveháre_, _ayndaue_, 
   {{0x057100da,0x22920050,0xa1470243,0xdb4101c8}},	//   _економие_, _basana_, _gareedol, _kampaní_, 
   {{0x2f5d020e,0x32920243,0xe0ce0060,0xdf4e0010}},	//   _bapatsan, _casana_, _بەرگەندە, _emishika, 
   {{0xf9510064,0x16cc022a,0xcdc50080,0x738600e2}},	//   _اساباداع, _bomalini, _aasimmia, _algra_, 
   {{0xb86d003d,0xd95001b7,0x72fd0265,0x024a037f}},	//   _millimèt, _नोपलभ्यत, _leggen_, _bermud_, 
   {{0x190a0076,0xdf5d019f,0x6292036c,0x226c033f}},	//   _последен_, _mapamban, _fasana_, _konohi_, 
   {{0xa3eb02bb,0xa85b0190,0x7292005c,0x62fc0233}},	//   _pusty_, _timotheu, _gasana_, _geogen_, 
   {{0x32480226,0xaea7028c,0x8460035b,0x93670016}},	//   _adima_, _mistõttu_, _nedeljsk, _aspektoj, 
   {{0x326b04cc,0x426e0216,0x72d801b4,0xaba8016d}},	//   _gingniem, _heroda_, _geleer_, _сиңиллир, 
   {{0xb2ea0082,0x92920240,0x727802bc,0x4073009b}},	//   _tarihin_, _yasana_, _neighrim, _муста_, 
   {{0x278a018b,0x76780119,0x1db3034e,0x00000000}},	//   _валабили, _nagkagaw, _iklisiya, --, 
   {{0xc9bf0009,0xd26c0013,0x5388017a,0xd317003e}},	//   _razdelit, _minoti_, _adayisa_, _khanyeng_, 
   {{0x93ea0107,0x9379002f,0x78990147,0x359c01d2}},	//   _dinten_, _akraypa_, _بۉتكۅرۅ_, _chaillañ, 
   {{0x0249033d,0xf68c076e,0xc8150046,0xcf040037}},	// [5320] _chemen_, _दुधार_, _сураган_, _መንግሰት_, 
   {{0x003c04cb,0x00000000,0x00000000,0x00000000}},	//   _constănţ, --, --, --, 
   {{0x12ca0129,0xf4c5009a,0x529200ff,0xf9fa03b7}},	//   _chedo_, _amacango_, _מחותּן_, _angalore, 
   {{0xe27e0199,0x62000206,0xd0bf019d,0x126402bd}},	//   _sfone_, _rodine_, _akumagul, _morlan_, 
   {{0xc2ca0074,0xd3ea0166,0x62010055,0x4adb01cc}},	//   _niiden_, _hinten_, _ragion_, _स्मरेत्_, 
   {{0x4c6604bb,0x5a7d01d9,0xc2570152,0x03ea023e}},	//   _mentsis_, _besonnes, _sistemal, _kinten_, 
   {{0xe32002e9,0xf37d0062,0x5b6e0271,0x9e510078}},	//   _precios_, _maqambe_, _eierskap_, _остатку_, 
   {{0x028d015a,0x3da20383,0x820000c8,0xe3860326}},	//   _baraaram, _tolongla, _fodile_, _boora_, 
   {{0x8eb00010,0x0440017d,0x92000303,0x53c60122}},	//   _achumane_, _もっと詳しく_, _godile_, _حاميان_, 
   {{0x527e01c5,0xcbe70122,0x0386006e,0x96cf010e}},	//   _eegno_, _پرادو_, _doora_, _dinamdam_, 
   {{0xb26c00c0,0x22920050,0x8b0c025b,0x93160102}},	//   _tugon_, _rasana_, _sangurin_, _thabiti_, 
   {{0x124902c7,0x329202ca,0xbd0102af,0x2cae00aa}},	//   _themen_, _sasana_, _amuterur, _hotsping_, 
   {{0x22ff00fb,0xf62403b0,0x86c703f0,0x734202ff}},	//   _baphele_, _økonomia, _augastei, _koreyen_, 
   {{0xd2da0428,0x637900a2,0xfa0800da,0xf3160322}},	//   _besede_, _kupanda_, _urmarest, _akabati_, 
   {{0x29bf0273,0x835b0403,0xb97b00ba,0x42da0273}},	//   _policía_, _tongava_, _جنێودان_, _recoger_, 
   {{0x5e420142,0x0c330062,0xc369005a,0x46810320}},	//   _शिक्षाकर, _bidalahc, _ngorrupm, _onheteri, 
   {{0x6beb033e,0xfcac008e,0xef0701cd,0xd2ac018d}},	// [5330] _gallégo_, _edisiong_, _мерезанд_, _edicioni_, 
   {{0xb2000318,0xf45c0185,0x863c0486,0xa2b50189}},	//   _ashiko_, _abruyın_, _hlasoval_, _bilinç_, 
   {{0x63580109,0x5a0c00a2,0x0cd8028a,0x00000000}},	//   _expresní_, _kikatiba_, _مولابخش_, --, 
   {{0x0c770287,0x29600053,0xcbac0094,0x00000000}},	//   _naproti_, _योजनेत_, _نەكەسىز_, --, 
   {{0x3f800176,0xde4d01c5,0xa27e0258,0x22a1020f}},	//   _placerin, _ilaalina, _drinke_, _ځمکوکې_, 
   {{0xc2920140,0xa21f0013,0xb9da042a,0x73540148}},	//   _masama_, _shekilli_, _ekulapha_, _muneris_, 
   {{0x16490444,0x7a97022b,0x00000000,0x00000000}},	//   _предания, _brunaums, --, --, 
   {{0xc30102dd,0x3adf04ad,0x261d002b,0x885f016e}},	//   _votanti_, _dikelets, _সিনহা_, _bakanlar_, 
   {{0xef6c02af,0x15050172,0x605a0321,0x4cbc00e6}},	//   _ababaron, _hesekiel_, _čistilni, _环氧煤沥青涂料_, 
   {{0xc29002f6,0x4eec0461,0x52ba01d1,0x92c7057c}},	//   _malayo_, _previsua, _offered_, _måder_, 
   {{0x22d4024e,0x5e260066,0x02920362,0xecfe01e3}},	//   _priliku_, _цирроз_, _basala_, _prepreču, 
   {{0x3519034f,0x16020276,0x4c1c001e,0x0e9b00c1}},	//   _مبارکو_, _كىنوخانى, _tabarbar, _सहजतेने_, 
   {{0xd36900bc,0xaf3f00c0,0x62900028,0x858404a5}},	//   _cangkir_, _pangalan, _galayo_, _kugunyaz, 
   {{0xcc2d004a,0x3ea200c5,0x229201aa,0x85c80141}},	//   _basqart_, _appuyant_, _eashlay_, _aviatash, 
   {{0xd3e3019b,0x8c1a041e,0x0a6c045f,0xb11e0350}},	//   _atstovai_, _apparisc, _grafiska_, _አንጠብቅም_, 
   {{0xcdae03ff,0xaa8900f5,0xc29201c7,0xbcdf002b}},	//   _portálu_, _башланма, _hasaba_, _বিবেচনায়_, 
   {{0x362403b0,0xa9f7021f,0xe50a06a0,0xff2d0034}},	// [5340] _økonomie, _balaqeet, _iskedyul_, _ásetning, 
   {{0x860d0625,0x49c10275,0x32940043,0xeef2016f}},	//   _nehovori, _konefere, _amakumi_, _аваль_, 
   {{0x62920119,0x7bfd01ef,0x038602d3,0xaf3b00d9}},	//   _pasada_, _balandži, _adorei_, _kerrotaa, 
   {{0x75490211,0xab600113,0x75810043,0x8200018b}},	//   _превраща, _aigesean_, _amaterek, _bolile_, 
   {{0xa5270110,0x00000000,0x00000000,0x00000000}},	//   _servisā_, --, --, --, 
   {{0x74b90302,0x9386015c,0x04d802d3,0x9291017f}},	//   _ezibonak, _ploro_, _extensão_, _appap_, 
   {{0xc27e0437,0xc6f30094,0x9f6c0227,0x93e80135}},	//   _vegne_, _قىزىعاتى, _taqarrub_, _исмең_, 
   {{0x47310192,0xc6e402b6,0x995702f3,0x763604ad}},	//   _농업기술센터_, _авариялы, _godsaker_, _modiradi, 
   {{0x8228040a,0x49db0047,0x432101d9,0xa27e0437}},	//   _söker_, _第二十七条_, _klicker_, _tegne_, 
   {{0x0e8f0334,0x52830087,0x622400a3,0xd35f0212}},	//   _dzimaten, _mavhiki_, _bolken_, _erigere_, 
   {{0xea770132,0xfd82000d,0x4d880156,0x793b0109}},	//   _villamos, _koheselt_, _סעקסועל_, _efektní_, 
   {{0xe9bf0188,0xd18e005e,0x6c6a0360,0x3c0a05b8}},	//   _abadinge, _جەڭلەردە_, _dostaly_, _lastbils, 
   {{0x0fd6013d,0xc3860417,0x041800bb,0x92e000a8}},	//   _miliardo, _moord_, _اوارگی_, _amuntan_, 
   {{0xe94402b5,0xc38803b9,0x533d01d5,0xa22b0614}},	//   _doudangq_, _irayata_, _نیلام_, _filmene_, 
   {{0xffda003c,0xea05047d,0xda960184,0x00000000}},	//   _ضربدری_, _amgaange, _kinyarut, --, 
   {{0xe399016d,0x3a450257,0x75a80247,0x467301f9}},	//   _қәпәзниң_, _almennra_, _diasilak, _kukhonjw, 
   {{0xa21100de,0x629200c2,0xe0f7015e,0x024a028e}},	// [5350] _ngakumbi_, _basaba_, _democràt, _niuman_, 
   {{0xc905050b,0x938700a4,0xbb05002b,0x58b90092}},	//   _sekaligu, _podrà_, _জুয়েল_, _jordemod, 
   {{0x15570132,0xe2d801be,0x13680008,0xe9940100}},	//   _remekül_, _jineho_, _rosselló_, _kauču_, 
   {{0x524802ab,0x28d60128,0x7da00127,0xec7600c5}},	//   _odime_, _стадионл, _bounnera, _actuels_, 
   {{0x9bef0264,0x74e30013,0xfcbe0143,0xb251017a}},	//   _rotenbur, _кўпдир_, _навес_, _ayitshel, 
   {{0xdc750570,0x141d04f2,0x472303c3,0xa8f502eb}},	//   _बिल्डर_, _vulanpro_, _počinio_, _стресстэ, 
   {{0x6dff0335,0x93870450,0x12900058,0xc02900b3}},	//   _वात्सल्य, _moarns_, _malano_, _adressiz_, 
   {{0x76400375,0xf26e0157,0xe984027f,0x434700c4}},	//   _akakugwi, _napoje_, _banyakwu, _kukemea_, 
   {{0x34070013,0xb4770076,0x8f5d02a6,0x5d73014e}},	//   _نداردنه_, _намера_, _strappan, _познате_, 
   {{0xcdea016d,0x259b00f2,0xc32100bd,0x8c1d0046}},	//   _терекөл_, _remontam_, _flicher_, _كۅنگۅن_, 
   {{0x359f0117,0xba140247,0x63b101ad,0x2d6a00df}},	//   _enforcem_, _ببريد_, _curvelo_, _chimique_, 
   {{0xcc5701df,0x004d02f3,0xd70e0177,0x826c03fb}},	//   _castile_, _tatuerin, _centurió, _nazivati_, 
   {{0x220200fd,0x972100c3,0x00000000,0x00000000}},	//   _chrith_, _patronum_, --, --, 
   {{0x13210235,0x26b90282,0x2dc4018a,0xe2d906c4}},	//   _anayat_, _henakeri, _breichia, _myrer_, 
   {{0x18510325,0xc3f900dd,0xfa0b0204,0x00000000}},	//   _albomund, _fysus_, _alhaalla_, --, 
   {{0x6631008c,0xe1ba0207,0x928d02b1,0xb32e0092}},	//   _obligazi, _معاوضو_, _karkara_, _クチコミ一覧_, 
   {{0x8201038e,0xef4a034a,0x42920121,0xcc910333}},	// [5360] _bagian_, _consella, _pasaba_, _accecanu_, 
   {{0xf26c0211,0x12900338,0xdd89021b,0x8c8901c9}},	//   _eroon_, _aliats_, _hotellit_, _hotellid_, 
   {{0xa2d900f7,0x027e00fb,0x138603f3,0x458102d3}},	//   _nivelo_, _asinde_, _boord_, _importaç, 
   {{0x636304ea,0x8d9d032d,0xa290012a,0x8d0f03c6}},	//   _langpih_, _ризалығы_, _zadano_, _fermakke_, 
   {{0xad36019f,0x830500ba,0x52a6036b,0x00000000}},	//   _mwingine_, _شوڕای_, _автопато, --, 
   {{0x638605e6,0x286e036c,0x13d4023a,0x61770444}},	//   _woord_, _herinand, _webmagaz, _черта_, 
   {{0x395e0212,0xc26c00bd,0xec0e0102,0x62ef005b}},	//   _atrovast, _broon_, _ahitimis, _crefus_, 
   {{0xff4f000f,0x72f50534,0x2378000b,0xa205008d}},	//   _taksitle_, _vovinam_, _aagaaga_, _олимжон_, 
   {{0x429000bc,0x02ee02f8,0x7cfb02fb,0xeaee013a}},	//   _tadano_, _atenisi_, _finematu_, _waldmeis, 
   {{0x57760204,0xc5f90039,0x73f902be,0xffbc04a8}},	//   _свободно, _шаварнаа, _aysus_, _naglasko, 
   {{0xa2b20101,0x9b4100d1,0xa3da006e,0xf29203e7}},	//   _gradina_, _উপযোগিতা, _baaliyë_, _natawo_, 
   {{0x52da01e5,0xcc7500ec,0x32da0400,0x5c760109}},	//   _isreli_, _albumas_, _apresi_, _भान्सा_, 
   {{0x20d20013,0xedb402fe,0x8abf0074,0xc0d40156}},	//   _farovonl, _موسول_, _karjalan_, _אָבסערוו, 
   {{0x39d20424,0xb26c00bd,0xb9db0135,0x0f6a00f2}},	//   _confrunt, _aroon_, _тәрбияче, _debesīs_, 
   {{0x4b8200ee,0xb6410269,0x00000000,0x00000000}},	//   _eskolako_, _equipami, --, --, 
   {{0xe2d80198,0x8c0800b4,0x0809026c,0x9354019b}},	//   _daleč_, _pregatir, _frequens_, _sniegas_, 
   {{0xdf0402ac,0x00000000,0x00000000,0x00000000}},	// [5370] _مضمونة_, --, --, --, 
   {{0x42c502d5,0x025b02ff,0x00000000,0x00000000}},	//   _inglise_, _javlo_, --, --, 
   {{0xe72b01bb,0x63040113,0xc28304e5,0x03cf0397}},	//   _ездранын_, _logainm_, _akikuba_, _amuva_, 
   {{0xe27e041e,0x1c6e0273,0x2c0d0342,0xb40e0757}},	//   _legna_, _podrán_, _enstriks, _čaroban_, 
   {{0xf2900182,0x3eca01eb,0x9af40088,0x58d100cd}},	//   _malalo_, _jornales_, _бурулча_, _confidad, 
   {{0x627e008a,0x106105dd,0xbd3c01ec,0x53ea0286}},	//   _afono_, _बेबसी_, _وحشیانه_, _tintan_, 
   {{0x43cf0302,0x6a8900c7,0xceb60148,0x72ea0403}},	//   _emuva_, _сайланга, _財務金融系_, _dabilio_, 
   {{0xd29403ee,0x498102cd,0x62370090,0x93c20137}},	//   _ostavili_, _alakarsa_, _anomuka_, _мөчөөс_, 
   {{0x2c43023c,0x4162034c,0x427e068d,0x5ae600d9}},	//   _دمخدره_, _аммонитл, _begna_, _laadukas, 
   {{0x3cfb01d1,0xa58e028a,0xc2fd0478,0xc603031d}},	//   _selected_, _uchunguz, _legions_, _swelteri, 
   {{0x33940666,0x36d2070b,0x029000b0,0xa95604c7}},	//   _pjesme_, _विपिन_, _badalo_, _приходе_, 
   {{0xb3590311,0xba8201b3,0xfaec036d,0x00000000}},	//   _ኣዝማዶም_, _доброю_, _speedbib, --, 
   {{0x78a90242,0x061a0276,0x647e0064,0x150c0057}},	//   _həddində, _ойлаватс, _جايساڭدا_, _uthmaniy, 
   {{0x76d600a6,0xc522015e,0x739602f3,0xcf2804d7}},	//   _ظالمانه_, _рейтингд, _ljuset_, _berrassa, 
   {{0x6944019e,0x6f090007,0x9e37009d,0xc649018e}},	//   _глотка_, _akowanga, _garantua, _kovotliw, 
   {{0x624a02bd,0x42da001d,0x52f50373,0xe62403b0}},	//   _termau_, _besones_, _finitaj_, _økonomip, 
   {{0xfc650075,0xeb1a008e,0x339601a9,0xb2900020}},	// [5380] _samtykt_, _andaloon_, _ajuste_, _ialalo_, 
   {{0xf2e40156,0x729200f2,0x97a90354,0xcab90311}},	//   _ברוניי_, _gatavo_, _بوستانى_, _ኣጽኒዖም_, 
   {{0xba0a0416,0xe2ca00a5,0x35a60041,0x95ca0366}},	//   _masajist, _aialani_, _аҳҳәаа_, _самобытн, 
   {{0x75090037,0xc2ea0082,0x528004ec,0x7de200e6}},	//   _መድረኩን_, _barikin_, _ntukome_, _经济技术开发区_, 
   {{0x224c00ec,0x69610333,0xeaf70421,0x22ef00d9}},	//   _prašymą_, _rinnegat, _verschre, _jumissa_, 
   {{0x10b1020a,0xa07d0204,0x0290044a,0x9474023e}},	//   _аттанады_, _шасси_, _malamo_, _dibedaak, 
   {{0x04770078,0x4a0501dd,0xac7e0416,0xc14703b7}},	//   _депозита_, _abasimbu, _epistel_, _anomejay_, 
   {{0xac7600a4,0x29770046,0x00000000,0x00000000}},	//   _actuals_, _derivade, --, --, 
   {{0x86d6034f,0xaa2d00bc,0x2bfc04a8,0xa3960120}},	//   _عالمانو_, _هلندی_, _doslovno_, _dessay_, 
   {{0x92da011d,0x74ac0183,0x19df005d,0xe7a10152}},	//   _desene_, _andaniak, _omendava_, _kimeterg, 
   {{0x14160047,0x8634019f,0xecfe01e3,0x72fd013a}},	//   _依法追究刑事责任_, _kuingili, _prepreče, _speider_, 
   {{0xd200028d,0xd4780361,0x879a00e6,0x5ea700ec}},	//   _bilite_, _протекае, _信息公开指南_, _ваяводы_, 
   {{0x82d7030d,0x851c01b2,0xa90d01de,0x84ab0294}},	//   _amildir_, _baroosey, _монетаны, _demandak, 
   {{0x12ee00a4,0x62900056,0x79f3025b,0xa29102c2}},	//   _ئشتەش_, _nalabo_, _prosentu, _oppas_, 
   {{0x162403b0,0xc27e0231,0x22fe026c,0xc23b0046}},	//   _økonomis, _regni_, _equites_, _باسدىرعا, 
   {{0xc7b50558,0xd27e0059,0xb292009b,0x7b190133}},	//   _blastosi, _segni_, _pasaia_, _filanoon_, 
   {{0xcbca0013,0xd80b0097,0xc37d031e,0x8e9b017c}},	// [5390] _тарбияси, _gbìmò_, _lukavac_, _mottagit_, 
   {{0xe43c0169,0xd2910281,0x43ea041c,0x83f405b8}},	//   _হাবিব_, _appat_, _bootal_, _njuter_, 
   {{0x22e8035b,0x027e01d7,0x42d80258,0x529000c0}},	//   _naslednj, _vegni_, _teleur_, _malabo_, 
   {{0x9da70175,0xa3050044,0x018001f3,0x38d400bc}},	//   _felisita, _becoming_, _rádiové_, _dimupang, 
   {{0xc202006e,0x22fd01d1,0xcc600205,0x964900b4}},	//   _altine_, _regions_, _snouden_, _пердере_, 
   {{0xf0e5009a,0x2598002c,0x64ae00ec,0x12cf01bb}},	//   _داخليږي_, _саажилтт, _nepalank, _dogmasy_, 
   {{0x99fe0440,0x1f5b01e0,0x43f3023e,0x529201c5}},	//   _ntwarant, _ئینترناس, _اطهار_, _astaan_, 
   {{0xeb5806a2,0x9a95031a,0xeb600370,0x00000000}},	//   _bafungwa_, _lùiginn_, _digedean_, --, 
   {{0xf9aa0045,0x52ce0092,0x5465017a,0xeed9024b}},	//   _позив_, _仕事一覧へ_, _аминзода_, _peligros_, 
   {{0xf2c10369,0xf4a3009b,0xd97c03b4,0x7200024a}},	//   _hailona_, _болгоё_, _achikune, _bidire_, 
   {{0x525b031e,0x15b80044,0x761f0224,0x00000000}},	//   _žalbe_, _equality, _borgurum_, --, 
   {{0xa968018d,0x22f2023b,0xadec0158,0x18530159}},	//   _ክትከዉን_, _kanikau_, _nawilżaj, _вестыбюл, 
   {{0x6f4804d0,0x3ae2023d,0x00da0061,0x2c0702f3}},	//   _minghlin, _costrett, _아이엠지나킴_, _nyttigas, 
   {{0x1e6701f2,0x3ffc040f,0x9070034c,0x9026035e}},	//   _ватлиқ_, _spustelė, _теннесси_, _prodajno, 
   {{0x961100c3,0x99c102d9,0xb9cb003c,0x42d902f7}},	//   _antequam_, _konekere, _دزدکی_, _habeng_, 
   {{0x720002fd,0x00000000,0x00000000,0x00000000}},	//   _ridire_, --, --, --, 
   {{0x344b048a,0xcf290145,0xbda200ba,0x5248033c}},	// [53a0] _аталады_, _бемоль_, _قارنێ_, _cinmel_, 
   {{0xf7a9023c,0x1d950026,0xe2bb01f9,0xe30b0311}},	//   _دقدرت_, _ongepast_, _balenye_, _ብዝፈጠሮ_, 
   {{0x52ca05c0,0x39cd03d6,0x026c01c5,0x18520434}},	//   _skeda_, _ढांचा_, _aroos_, _seguimos_, 
   {{0x126c007b,0x4226047d,0x437a0144,0xd2810400}},	//   _broos_, _mirkes_, _andrumam, _aliberti_, 
   {{0x238603f3,0xfa6f0037,0x07b70258,0xf27c00c5}},	//   _noori_, _ይወስናል_, _figuerli, _musicaux_, 
   {{0x54e90037,0xcdb90255,0x00790076,0x2a02032d}},	//   _ምሳሌያዊ_, _siinkoha, _андонов_, _ҡәһәрле_, 
   {{0xf2480346,0xf24d0031,0x62300445,0x3fa1014a}},	//   _edimi_, _दाखला_, _chamada_, _spamrobo, 
   {{0xb291021e,0x205b0076,0x326c02c2,0x2e9a027b}},	//   _appar_, _строги_, _troos_, _धीमताम्_, 
   {{0x72ca0326,0xe2d401e5,0x0d8d004b,0xd37c0218}},	//   _chedu_, _nimoran_, _ingodisa, _assgray_, 
   {{0xc2fc01fb,0x22e9047d,0x92c600e6,0xce5202a2}},	//   _progra_, _ménger_, _第五十六条_, _mamamaha, 
   {{0xa311012d,0x026c019d,0x8c7c01b9,0xe3a30009}},	//   _atabulu_, _achoke_, _meksinn_, _klepet_, 
   {{0xc6a7006c,0xf683029b,0x20b00456,0xb29200e4}},	//   _abathony, _esspaañ_, _mazmumah_, _chwali_, 
   {{0x53ea0033,0x9250005e,0x356900f5,0xba1601e7}},	//   _ainten_, _بىغەم_, _чекйән_, _virberee, 
   {{0x03fd0163,0x110e045b,0x73240223,0x3dbf0396}},	//   _adozona_, _поводити, _цууралт_, _inkaljat_, 
   {{0x16160466,0x12fd016f,0x301400a7,0x6f4801fa}},	//   _prolazni, _veggen_, _бытырап_, _lingilin, 
   {{0x723100bc,0x92f300d3,0x89fa00e6,0xca4e03ef}},	//   _ذخيره_, _एज्रा_, _请选择栏目_, _bakemeza_, 
   {{0x230300b3,0x268b00d1,0x683e02c0,0x0f3f0183}},	// [53b0] _asgabat_, _কাবুলত_, _финки_, _fangalan, 
   {{0x60ec0390,0x42ca0074,0xef10003c,0x4367014f}},	//   _başlanıl, _viiden_, _نینتندو_, _задушниц, 
   {{0xac7704e6,0x853b00f4,0x7ad101d9,0x747d0261}},	//   _mensahe_, _didamall_, _flottste, _destinon_, 
   {{0x52fd01a1,0x26d100c5,0xcf1401b9,0x7de301a3}},	//   _zeggen_, _土豆推荐的_, _kistnasa, _سنهڙو_, 
   {{0x2f330247,0xc63c00f1,0x675e0025,0xcc6e0304}},	//   _sumringa, _presipal_, _टिप्पणि_, _bebudak_, 
   {{0x309000c5,0x07ed0188,0x52da065c,0x326c0235}},	//   _粮食流通监督检查, _нӯшокӣ_, _besele_, _cinoti_, 
   {{0xf3860067,0xa19300ff,0x511e0135,0x713d00d1}},	//   _soora_, _אָװנט_, _aktivlığ, _চালফাইড_, 
   {{0x23590277,0x44d60025,0x6c61009b,0xcb870238}},	//   _firebox_, _प्रियो_, _diguten_, _мандри_, 
   {{0x295d040e,0x62a703c1,0x25e90035,0xcc750033}},	//   _personar_, _мадона_, _babaynıñ_, _auguris_, 
   {{0x5f3a023c,0x41460012,0xb2ac0008,0x00000000}},	//   _زېږېدلی_, _चैलंजर_, _дарактар_, --, 
   {{0x747e008f,0x08a500bf,0x4ecf02f0,0x08f200d2}},	//   _पहुना_, _сложной_, _dawineon, _bangbalu, 
   {{0x12290213,0xd24802f8,0xc9da02a3,0xa26c008d}},	//   _подавать_, _feime_, _gesteeld, _kinosi_, 
   {{0x8fca0162,0xc5060262,0x83ea023e,0x0feb018f}},	//   _билишиңл, _gymmatly, _sinten_, _luchavbo, 
   {{0x66e301db,0x53ea0107,0xe831033e,0x03000054}},	//   _ءومىردەگ, _pinten_, _anambusu, _mahalli_, 
   {{0xa14700c7,0xf24804d2,0xeecb02f7,0xa34800be}},	//   _артисты_, _heime_, _bamidian, _تەڭدىگىن_, 
   {{0x26e70125,0xb3f10430,0x7ae50085,0x99c70064}},	//   _adresiňi, _magumoni_, _daireket, _баладай_, 
   {{0x88d100e8,0x00000000,0x00000000,0x00000000}},	// [53c0] _babenobu, --, --, --, 
   {{0x8e77026f,0xe296076f,0x929000ff,0x025b0284}},	//   _сауықтыр, _निरोधक_, _palaco_, _havla_, 
   {{0xd1b1026e,0xec5701a3,0xa29901a3,0xd27f02c7}},	//   _इतिहासको_, _خوشبودار_, _طبعزاد_, _kranke_, 
   {{0x038001b8,0x126c0013,0x727f0045,0xb12503e8}},	//   _suurem_, _binosi_, _vranje_, _manjših_, 
   {{0xbe020342,0x1c530195,0x13380311,0xbaf7036e}},	//   _enteresa, _chatain_, _ክቃለሰሉ_, _derechos, 
   {{0x431702e0,0xeea70312,0x28dc006c,0x00000000}},	//   _akanyeng_, _parlaman, _дуним_, --, 
   {{0xe2480438,0xb3f8003e,0xf2d8024f,0x0a0e00cd}},	//   _ndimo_, _baduwe_, _jakete_, _incarica_, 
   {{0x1daf0045,0x3a910326,0x00000000,0x00000000}},	//   _primećen_, _hatizomb, --, --, 
   {{0x4b390135,0x8d2501c6,0x629201f0,0xdbd90145}},	//   _газетада, _altoenae_, _gasama_, _берагчы_, 
   {{0x86a70028,0x3ae10388,0xb200011c,0x6c6f01a6}},	//   _tartamay, _sostitut, _indile_, _pouraka_, 
   {{0xd6d002a5,0x4281005b,0x05ea01e8,0xab1f002c}},	//   _जैविक_, _maskine_, _darchiny, _bukaeran_, 
   {{0xf96e041e,0xd2c80037,0xc4260012,0xcaeb0074}},	//   _rapiment, _ጳውሎስም_, _अकरावनउअ, _sanotaan_, 
   {{0x020104b1,0xd2f300a8,0x713f03a4,0x00000000}},	//   _pleier_, _argient_, _fosturfo, --, 
   {{0x1d630040,0xb4550145,0x47490045,0xf26c011d}},	//   _הדיגיטלי, _latvijoj, _михаилов, _lugoj_, 
   {{0x0b510139,0x42d60017,0x72da0422,0xc47000ba}},	//   _श्रीभगवा, _surovin_, _mesece_, _برادۆستی_, 
   {{0xe386014b,0x9f5701b5,0x958f03cf,0x70f70366}},	//   _dooro_, _makatlen, _huzursuz, _биэкарг_, 
   {{0x30580061,0x627e0203,0x35fe040e,0xeaf903c2}},	// [53d0] _저작권등록_, _opinet_, _atomradi, _bulladyn_, 
   {{0x38950289,0xecd20287,0x1fed0040,0xa26c03fb}},	//   _amakumbu, _reklamě_, _הסעיף_, _tugom_, 
   {{0x92cb0309,0x4200010d,0x0f4802c2,0x00000000}},	//   _anadan_, _diliat_, _seksisme_, --, 
   {{0xd29700ef,0x496900b4,0xf340018b,0x83100010}},	//   _abakolu_, _arhitect, _incerca_, _izuzwe_, 
   {{0xa46700c5,0x03100307,0x2202028e,0x62ad001a}},	//   _您的当前位置_, _azuzwe_, _tawian_, _matiné_, 
   {{0x338600ca,0x5601020f,0x3ff20452,0xc793004d}},	//   _flors_, _ونېسی_, _पुलंच्या_, _中央大學經濟系教, 
   {{0xd25a04d3,0xff5701e9,0x552800e3,0x5c55003c}},	//   _famliy_, _bakaulen, _pubertà_, _رضاخان_, 
   {{0x8cbe00da,0x035d0144,0x85cd030b,0x737f02f6}},	//   _базей_, _grafach_, _afaanany, _aalaala_, 
   {{0xd063038a,0xe503035e,0x92d50160,0x19b300c4}},	//   _abusakun, _postigao_, _pomogao_, _سگھبو_, 
   {{0xf5880205,0x899e0037,0xa35d0372,0x7b3501e1}},	//   _قوانرلی_, _አልፈለገም_, _arafach_, _ditatais, 
   {{0x3f3500fe,0x229200ad,0x46b3015d,0x09cf0126}},	//   _auaupina, _sasama_, _अजीता_, _magefett, 
   {{0x586c019d,0x8d9e00a5,0x39530113,0x6cf00147}},	//   _achilend, _naunauta, _phalaist, _نارۋئيا_, 
   {{0xa194007a,0xc24a0075,0x368d0208,0x995f00ba}},	//   _membetul, _tilboðið_, _داریووشی_, _زیپکه_, 
   {{0x597b021c,0xb26d01cd,0x77d80226,0x9f2f0297}},	//   _neplatí_, _abhineri_, _bakutemw, _delegatn, 
   {{0xe9cf0170,0x9c550145,0x96870053,0xd282027f}},	//   _adamupha_, _своеасаб, _टंचाई_, _imihari_, 
   {{0x73010387,0x2018005e,0x06120538,0x827f013a}},	//   _elebere_, _چېچىنى_, _alderdom_, _ufanks_, 
   {{0xe9c002f7,0x2fe00327,0xa9db01b4,0x125b005b}},	// [53e0] _babeelet, _diskuter_, _gestremd, _fialka_, 
   {{0x23ea0409,0xf1b7018d,0x526c0347,0xe7900291}},	//   _bintan_, _ንኣገልገልቲ_, _prooi_, _يجتمعون_, 
   {{0xbc6a02df,0x7dcb01b5,0xb9ee0244,0x80460178}},	//   _እንስሳት_, _anakanye_, _взаимоот, _akhaṇḍam_, 
   {{0x66d30255,0x6e180347,0x706101be,0x00000000}},	//   _लागिस_, _onverkla, _बेंसी_, --, 
   {{0x93f8024c,0x3040016e,0x435b03b0,0x3ad400e2}},	//   _ajnuna_, _doktorun, _skiftar_, _fermogen_, 
   {{0x6c1103e3,0xd2ca02ec,0x02e90209,0xbf20036e}},	//   _eksplik_, _diidan_, _assinga_, _huntamup, 
   {{0x438300c9,0xc0f600c5,0x9b4501bb,0xf3dc028a}},	//   _petrolim, _雅虎知识堂不保证, _ялңышмас, _kabwe_, 
   {{0x5f3e021e,0x424500bb,0x031d00b4,0x8103017a}},	//   _sturepla, _سٹوڈیو_, _carcasa_, _ajikijel, 
   {{0x27840087,0x72920069,0x920101ba,0xa38000e1}},	//   _chayisiw, _masaha_, _indist_, _buuram_, 
   {{0x293d0448,0x014a0037,0x32000528,0x49d90299}},	//   _fremrage, _በመነሣት_, _eilige_, _جانئالغۇ, 
   {{0x827801ec,0x1a1100ee,0x3ad40192,0x912701f4}},	//   _vitnam_, _espainia_, _vermogen_, _баходир_, 
   {{0x290c04f2,0x630e0319,0xac6403f1,0x626c0140}},	//   _baoquang, _tambien_, _rozumne_, _bugok_, 
   {{0x0248011c,0x4dd20074,0xe6cb0392,0x0ec202f7}},	//   _ndame_, _столь_, _campaich, _bonnyenn, 
   {{0x8c1a0044,0xc2cb02c6,0x526c0265,0x624a015f}},	//   _וסימולטר, _arnodva_, _schone_, _dermau_, 
   {{0x72d4053e,0xc29200ed,0xb1e80007,0x964700be}},	//   _ferdig_, _basaha_, _bakondim, _تۇلاڭىم_, 
   {{0x4a28012c,0xbc6a0206,0x8af50331,0xd8870128}},	//   _تڪميل_, _kostoly_, _tekstgre, _камаяди_, 
   {{0x80370220,0x83860281,0xe27e005b,0x3af702cf}},	// [53f0] _ristoran, _storch_, _peony_, _сателит_, 
   {{0xb26c0231,0xc5e9034c,0x6bcb0025,0x34e2002b}},	//   _ergon_, _abbasnıñ_, _अपेक्ष्य_, _উসমান_, 
   {{0x0292001e,0x22920339,0xb9ba0399,0x02970290}},	//   _fasaha_, _lākana_, _leveleva_, _binkert_, 
   {{0xc27e0476,0x8b420439,0xb2eb00a2,0x23860516}},	//   _agone_, _hambanis, _jaribio_, _coort_, 
   {{0x6b89008d,0x7cad025b,0xd2020376,0xc22502ee}},	//   _aksioner, _landstýr, _ansing_, _djaknu_, 
   {{0x79700374,0x415301cf,0xc40702d3,0xc3f401b4}},	//   _تفسیز_, _chassato, _comissão_, _gestig_, 
   {{0x3248020b,0x5d0a00e6,0x00000000,0x00000000}},	//   _adame_, _他是先行人_, --, --, 
   {{0xb98700ff,0xf0470126,0xea0c01e8,0x79e3004c}},	//   _שעירס_, _кислоти_, _gisalida_, _atongoza_, 
   {{0x07b30174,0x2e530223,0xc3ea01b9,0xaf9a049e}},	//   _bolelwag, _донорын_, _sintin_, _mešity_, 
   {{0xcf330319,0x135c00a4,0x099d032d,0xf2e00181}},	//   _presenta, _тараптуу_, _залын_, _awaniko_, 
   {{0x320201ba,0xa96d00b5,0x8ecd04ca,0xe8c50109}},	//   _antite_, _afrikape, _dominion, _वरिपरी_, 
   {{0x729900da,0x5c62012a,0x920202e5,0xe98e0388}},	//   _формацие_, _pogrzeb_, _jupiko_, _дарик_, 
   {{0xb9c701cd,0x587d0040,0xfc1d02e1,0x72d403ae}},	//   _дарача_, _responds_, _farasbar, _verdig_, 
   {{0x53f40101,0xfc69012b,0x525b036a,0x63f8013c}},	//   _ajutor_, _kwatery_, _lialia_, _pulunu_, 
   {{0x08dd0409,0x1d820462,0x9c680465,0xb538004f}},	//   _ベストアンサ_, _imilarsa, _nagrado_, _dabaatal_, 
   {{0x69bc0388,0xf3860055,0x4380000d,0x03f802f8}},	//   _коментир, _onore_, _suurim_, _falute_, 
  
   {{0xbc560044,0xd290042c,0x52ef01fc,0xa620018e}},	// [5400] _mixture_, _nadamo_, _falitta_, _khanseri, 
   {{0x2386018c,0xf386028d,0xa10c012a,0xe4de033a}},	//   _soort_, _anord_, _dostawą_, _vantaġġ_, 
   {{0xd52001fb,0xe95d0193,0xf3860026,0xe923034c}},	//   _diancech, _bersinar_, _poort_, _гильберт_, 
   {{0x637502af,0x72ef001e,0x365800af,0x3f42033c}},	//   _akarerem, _halitta_, _беруть_, _asesiada, 
   {{0x731c0265,0x19fb0529,0x560f036a,0xacae02ea}},	//   _meubels_, _linijama_, _sosowiri, _писането_, 
   {{0xfd1603b2,0x996400c1,0x563a0153,0xe28700e6}},	//   _insuranc, _खैरनार_, _フィッシャ_, _并处非法所得一倍, 
   {{0xa0e902b9,0xb62903b4,0x00000000,0x00000000}},	//   _mutattak_, _echigiri, --, --, 
   {{0xcc340310,0x694e00d1,0x9aea017d,0x803c01df}},	//   _chlasaic, _মাইনা_, _kartofle, _ambeetio, 
   {{0x9155002b,0xfb78028f,0x975d0350,0x00000000}},	//   _টুকিটাকি_, _pahuatia_, _ትግላችንን_, --, 
   {{0x6cc90211,0x82250122,0x1d2a00c5,0xe25103a8}},	//   _запорожь, _مطلوبی_, _arrivent_, _সমস্য়া_, 
   {{0xb3f40058,0x796d015a,0x3d2300bc,0x627f000d}},	//   _vestig_, _afrikaat, _حمایتی_, _iganes_, 
   {{0x9743027b,0xd05b00d7,0x19db030b,0x00000000}},	//   _निदिध्या, _diraporo, _besereke, --, 
   {{0x093b0039,0x09d60155,0x3278002b,0xfc6e01fc}},	//   _bermatze, _almedale, _ধনেপাতা_, _waarara_, 
   {{0xb202055d,0x551700cb,0x24970010,0x637a0084}},	//   _bising_, _abulalay, _bayahluk, _ajragan_, 
   {{0xe3410203,0xd06d00c1,0xcda701e6,0x6201069f}},	//   _agnello_, _फारसा_, _detoxika, _vidiet_, 
   {{0x2f2e002f,0xb2e306c0,0x6a5702ba,0xdd070365}},	//   _angelkun, _voliče_, _бихарад_, _सोधखोज_, 
   {{0xaf4a0274,0x27670061,0xd20e01f4,0x220003a2}},	// [5410] _versluna, _마찬가지다_, _ҳалал_, _pomiar_, 
   {{0x2365040b,0x1cd7029f,0xe38601df,0x28f50061}},	//   _kungaho_, _postieľk, _poors_, _판매자샵명_, 
   {{0x09d501e7,0x020202a2,0xf2fd054c,0x222400f0}},	//   _kritikpu, _gising_, _speiler_, _lanká_, 
   {{0xe2900182,0xdf4c023d,0xabff020f,0xd9bc009b}},	//   _kalamo_, _pensione_, _baluluts, _sendatze, 
   {{0x52020044,0x2202003d,0x0c910159,0x00000000}},	//   _entire_, _arpino_, _будучыні_, --, 
   {{0xdba302f7,0xc43e00c7,0x3341046f,0x5c2700a6}},	//   _eleketer, _башны_, _enzegen_, _egwanzur, 
   {{0x99640138,0x273c0235,0x063200cd,0xa7030314}},	//   _favorile, _anyodveg, _abdicazi, _дѳрѳҫ_, 
   {{0x46d3009c,0x1f4c023d,0xeec10061,0xab7b002b}},	//   _achanchi, _tensione_, _복지회관의_, _মৃত্যুদন, 
   {{0x529003d8,0x12ee003e,0x7a0e0358,0xd2ca024c}},	//   _nemaš_, _benghadi_, _ansasine, _dendlu_, 
   {{0xfbfc05f1,0x24cb01ab,0x838e0102,0x499d03b8}},	//   _ubugeser, _कलयिया_, _baiskeli_, _малып_, 
   {{0x0a89018d,0x826c01b4,0x6a0b012c,0x0dc50100}},	//   _ዲክታተርያዊ_, _asook_, _makabila_, _oživljav, 
   {{0x459e0409,0xaae302da,0x06810439,0xe2900130}},	//   _クレジットカ_, _интереси, _boheleri, _splann_, 
   {{0x45ce016d,0xe23b009b,0x62f20241,0x9fe70153}},	//   _барму_, _bermatu_, _ergiinu_, _北海道大学低温科, 
   {{0xaa76023c,0x535201ef,0xfa57008d,0x9a570019}},	//   _ادبياتو_, _ikiteism, _лигага_, _далайга_, 
   {{0xb24801ed,0x09c304a2,0xb8d201b3,0xbc070204}},	//   _elima_, _arredore, _геодезич, _tekstit_, 
   {{0x62ef0247,0xd9380156,0xa23d00ec,0xe67f0207}},	//   _menimpa_, _טעכטערל_, _trumpam_, _afikishw, 
   {{0x227e03a0,0xa70c005e,0xf1cc0125,0xdcb6003c}},	// [5420] _kgona_, _شۇرېن_, _хытай_, _ضدآفتاب_, 
   {{0x224a019d,0x73f4005b,0x0b2f01a7,0x22d90244}},	//   _nyumba_, _nettet_, _varastos, _cognome_, 
   {{0xec33018f,0x3308018f,0x9ad500ee,0x87b6020e}},	//   _dadalahc, _dadarup_, _kritikat, _авиациян, 
   {{0xa79500d0,0xa29202db,0xaf9b0194,0x12900403}},	//   _хучина_, _mataso_, _demetter_, _dadako_, 
   {{0x627e071e,0xaffa0025,0xa2aa018d,0xc85f013f}},	//   _ogona_, _नारायणो_, _ካርነሽም_, _bourchas_, 
   {{0x7ab10076,0x89050192,0x68d60235,0xab21010b}},	//   _областа_, _축하드립니다_, _आलोच्य_, _boipheme, 
   {{0xf8460128,0x00000000,0x00000000,0x00000000}},	//   _اوتاغینی_, --, --, --, 
   {{0x827e0226,0xc197006d,0xdeaf03d9,0x0147036d}},	//   _agona_, _марсельс, _kolosian, _ceiltich_, 
   {{0x838a018d,0x920000db,0x608f0154,0xf9e2020f}},	//   _ምሕረቱን_, _endine_, _фьербинт, _راګير_, 
   {{0xf16c003f,0xc179020f,0xac8c0075,0xf2000455}},	//   _lingnisl, _برخمنې_, _fáfongd_, _allié_, 
   {{0x6290008a,0xdba001ef,0x8602020f,0xb599006d}},	//   _salamo_, _konkurso_, _پارټی_, _аўтобуса_, 
   {{0xecad0173,0xc27e0770,0xd2dc00fe,0xe290011b}},	//   _কোম্পানি, _egona_, _lekooti_, _malako_, 
   {{0xb3860120,0x9c36018a,0xbd7602fe,0x530202cb}},	//   _goori_, _grantiau_, _ترینه_, _pomažu_, 
   {{0x187e0342,0xc2b80108,0x00000000,0x00000000}},	//   _préval_, _bandrek_, --, --, 
   {{0x286e0047,0x9a7e0240,0x326d035b,0xd55201a3}},	//   _conseils_, _bukawaqa_, _dovoli_, _اٽڪلون_, 
   {{0xd2000288,0x43e20241,0x21a300e6,0x73940212}},	//   _mekin_, _aantonni_, _申银万国表示_, _adesse_, 
   {{0xc2000374,0x32000049,0x9290002c,0xf9650109}},	// [5430] _lekin_, _pekia_, _halako_, _दिएनन्_, 
   {{0xbae603cc,0x83860482,0x1ab900d1,0x227e00dd}},	//   _সাধারণ_, _doori_, _চিষ্টেমট, _connah_, 
   {{0x02f3050e,0xd20001ba,0x1cb30177,0xa1b70361}},	//   _rijaliti_, _miliye_, _рыҿаасҭа_, _никосия_, 
   {{0xe280003b,0x54d2002b,0x82ef0370,0x6c7702e2}},	//   _asukume_, _এক্সপার্, _balikta_, _borstad_, 
   {{0x626f05a5,0xfc6e0771,0x0d1b032d,0x6988045e}},	//   _tvrdošín_, _aheruka_, _вәлидиҙе, _честит_, 
   {{0x3e570055,0x4599028e,0xc6a700ff,0x0ea70251}},	//   _cliccate_, _hallivim_, _konfiski, _barlaman, 
   {{0x82130142,0x7e57004d,0x00000000,0x00000000}},	//   _asthi_, _擬請各單位遵示辦, --, --, 
   {{0x217f009c,0x9636008f,0x4d770299,0x27530099}},	//   _achaqull, _printimi, _ئىچمەككە_, _chanding, 
   {{0x75800039,0xa2da0157,0x18270061,0x73860243}},	//   _анимэ_, _wesele_, _어렵습니다_, _coori_, 
   {{0x72000361,0x85d1002a,0x8b610270,0xc29c00f5}},	//   _online_, _abachagh, _anglater, _контролы, 
   {{0x52e8018b,0x6bb20193,0xa1d50407,0x86cb00dd}},	//   _ordinea_, _संबंधिता, _prilikam, _famaliai, 
   {{0xfcd403b8,0xefd20252,0xe0380272,0xaf3200e4}},	//   _авторлар, _mbingano, _abatagon, _जुर्माने_, 
   {{0x372e023d,0xff2801fc,0x82d801d7,0x327e0243}},	//   _esclusiv, _horrissa, _atlets_, _tonnah_, 
   {{0xc6d3011d,0x16b500d6,0x00000000,0x00000000}},	//   _пенализа, _cumraith, --, --, 
   {{0x32000198,0x52da0297,0x18dc0156,0x1d5a02b2}},	//   _cekin_, _bareev_, _פּסעוודא, _штатом_, 
   {{0x050601bb,0xf848061d,0x78c305f9,0x76d802e0}},	//   _адамы_, _сәлим_, _conectad, _bakantsw, 
   {{0x8aa606bf,0x31f600ff,0x11030305,0x02020140}},	// [5440] _सुप्रिया_, _קסוויד_, _folketel, _bawian_, 
   {{0x218901bb,0x32bb000e,0x94ad0046,0xb9bc0066}},	//   _tapawutl, _effecte_, _جازساڭىز_, _sendotze, 
   {{0x0b200024,0x00000000,0x00000000,0x00000000}},	//   _মানচিত্ৰ_, --, --, --, 
   {{0x02a00192,0xc1d10462,0x45820365,0x00000000}},	//   _궁금합니다_, _arserlay_, _बद्नामकै_, --, 
   {{0xd50100d1,0xc5a50024,0x54ae0145,0xb5580276}},	//   _গায়ন_, _দীঘলতী_, _nepakank, _باشقلارغ, 
   {{0x8c9c01eb,0x194a027b,0x6d230197,0x48e60137}},	//   _cífragui_, _प्रसह्य_, _estomake_, _сайтаа_, 
   {{0xf34f046b,0xb31700ad,0x7b560147,0x225b0235}},	//   _gadewch_, _nyandung_, _شاافئي_, _chandasi_, 
   {{0xfe54015d,0x2d50020f,0xc32d020f,0x00000000}},	//   _तीव्रग्र, _اوپښتانه_, _مياخېل_, --, 
   {{0xd3dd041f,0x414001f6,0x0a710218,0x4282028a}},	//   _mazwe_, _direktel, _anglades, _machoni_, 
   {{0x5e91005b,0x476f0064,0x974400bb,0xf1ba0139}},	//   _kendskab_, _travessi, _انشائیہ_, _avakrāma, 
   {{0x5c600396,0x65d8005e,0x02d1029f,0xd1e201ab}},	//   _sigurta_, _ﺟﯘﻣﮭﯘﺭﯨﻴ, _útokom_, _ergonoom, 
   {{0xc38602ca,0x6c140255,0x184e0269,0xe0c5040e}},	//   _togra_, _allpool_, _fallecid, _vallokal, 
   {{0x12480450,0x2dfd02d3,0xbee002f6,0x34c601ae}},	//   _neame_, _мистерии_, _maghalon, _clicando_, 
   {{0x2b650166,0x431203cc,0xe27e02df,0x781a0276}},	//   _experten_, _পটুয়াখা, _agong_, _миладиди, 
   {{0x53cf0226,0x29f303d5,0x59f800d0,0x4c7403f3}},	//   _adamupez, _sorrowfu, _estatuet, _inbraak_, 
   {{0x42830362,0xfe520140,0x7fc90229,0x230c00be}},	//   _abikisa_, _pamamaha, _balıqçı_, _ناپسىندە_, 
   {{0x9f2301c2,0xb93402eb,0x72920264,0x60ed01cd}},	// [5450] _semellan, _эзний_, _matapo_, _akanakul, 
   {{0x55fc01f6,0x39e10372,0xf0660079,0x92d801fe}},	//   _বিৰাট_, _anstatud, _valdemār, _takete_, 
   {{0xe7cc01b8,0xe2fe03c1,0x0c5301a7,0x568c0052}},	//   _taastami, _equipes_, _haetaan_, _मुहार_, 
   {{0x22000039,0x9b07011e,0x924801b8,0x03940062}},	//   _rekin_, _kargezon_, _olime_, _ghosqa_, 
   {{0x56010409,0x320001a7,0x425b00b3,0x762e0268}},	//   _kommerci, _sekin_, _ahalda_, _amplifyw, 
   {{0x568903bf,0x2cbe036e,0x25c00122,0x8dd203f2}},	//   _процентҡ, _aanikulq, _addakhil_, _tukholma, 
   {{0x030e00ae,0xe292004f,0x824a0119,0x9d4a00a6}},	//   _akabima_, _aywaay_, _shumen_, _اسانی_, 
   {{0x920001bb,0x52480134,0xba760034,0x2f5700de}},	//   _diline_, _idamo_, _morgnana_, _bemanyen, 
   {{0xf25103bf,0xb23b0227,0xb2f001fc,0x6601000a}},	//   _akitofel, _didekati_, _saliiti_, _billitti, 
   {{0x28c204f2,0xc29e0035,0x533300a4,0x90c7012c}},	//   _lovestru, _низаг_, _جەلدەن_, _raslimal, 
   {{0xff240478,0xc25a00fb,0xf9fb02ee,0x64f10145}},	//   _diamètre_, _bangavum, _addattat, _эйлера_, 
   {{0x8a69023d,0xa40304f0,0x28c1024c,0x8c82004d}},	//   _финансов, _phrothok, _imperatu, _你已推過此廣告_, 
   {{0x926c0339,0xa7af00e6,0x82d800dc,0x48c00272}},	//   _aekomo_, _让世界充满爱_, _sakete_, _bandiddu, 
   {{0xdc560440,0x02d8030f,0x7a760187,0xb6c40105}},	//   _urutoke_, _makere_, _пелистер_, _sklasyfi, 
   {{0x6c6f005e,0xe8f80039,0x453900ff,0x62da020e}},	//   _يوقمىدۇ_, _estatutu, _סימפּסאָ, _deseke_, 
   {{0x00000000,0x00000000,0x00000000,0x00000000}},	//   --, --, --, --, 
   {{0xac760145,0x641300ef,0xc0fc0040,0x464f04e5}},	// [5460] _forumas_, _داردن_, _להדביק_, _alangibw, 
   {{0x43b001eb,0x34b90315,0x399a01a3,0x9e1b0037}},	//   _апринцип, _ayibonak, _ٽرانزٽ_, _diteroka, 
   {{0x34d70635,0x0b750178,0xf2830102,0x89c1031a}},	//   _палаты_, _astrāya_, _methali_, _foolscap_, 
   {{0x2386006e,0xeedc018d,0xa3dc0350,0xfe4c0408}},	//   _booru_, _ቤተመቕደስ_, _ቤተመቅደስ_, _hamarana, 
   {{0xd20203dd,0x70f901a3,0x520d019b,0x91fd0161}},	//   _botime_, _تاجپوشيء, _апокрыф_, _диаметра_, 
   {{0xf0f7004a,0x42d501d1,0xe2260211,0x7cbe0178}},	//   _aluların, _weblagu_, _kirkas_, _campāyāṃ_, 
   {{0xdd2f03ea,0xb285005b,0xe341043c,0x97590142}},	//   _arrière_, _hoshino_, _direita_, _महर्षिः_, 
   {{0x043601f3,0x62500008,0x2ecc066a,0x40d70135}},	//   _praktick, _ئىرەت_, _kuryente_, _almagaç_, 
   {{0xe8c10462,0x86d600a6,0xa2780219,0x7f4203e6}},	//   _emperatu, _ظالمانو_, _baphatsi_, _baurenha, 
   {{0xb349033a,0x73860481,0xd0a00109,0x035701b8}},	//   _livelli_, _hoort_, _प्रभावका_, _कह्ले_, 
   {{0xad73014e,0x2b1303ba,0x52270287,0xf05201f4}},	//   _познато_, _ankaufen_, _थरिथरिका_, _sharafin, 
   {{0x539403eb,0x1e2b0347,0x8a17026a,0xa9680311}},	//   _meeste_, _stropers_, _vosataka_, _ክትኸዉን_, 
   {{0x627e056a,0x2fb901a3,0xeb2f0159,0x5bef0156}},	//   _kgone_, _محرڪن_, _апарцьюн, _armeestr, 
   {{0x9c7705f1,0xa61c000b,0xc9b704d1,0xdc5a02b6}},	//   _ururimi_, _amanatui, _dinastía_, _маскүнем, 
   {{0x3d4e036e,0x1e34018d,0xe394012b,0x730e053b}},	//   _alqaminq, _ወላዲተይ_, _wiosna_, _reparos_, 
   {{0xe08d026c,0x4e2800a7,0x72d8030f,0xf9ec028f}},	//   _月施政報告_, _райондор, _takere_, _mirimita_, 
   {{0x98d20419,0xa87b01c7,0xe00200e6,0x923f0164}},	// [5470] _विघटन_, _отламан_, _个人文件管理_, _умумән_, 
   {{0x4301024c,0x647a01cd,0xb4a80163,0xa6f40156}},	//   _intatti_, _машгулан, _dunakesz, _שראבען_, 
   {{0xf7630261,0x02da0359,0x62bb04d2,0x32cb0556}},	//   _blokitaj_, _petear_, _teneste_, _ekude_, 
   {{0x83860287,0x03fa05d0,0xaf74027f,0x1af70220}},	//   _teorii_, _tutupu_, _akaburun, _валежи_, 
   {{0x71f3029d,0xd86c03c8,0x13a304d7,0x89b903b6}},	//   _войник_, _begitupu, _sleppt_, _owónikók, 
   {{0x6a2d0073,0x9b6b0396,0x72cb03db,0x8c120061}},	//   _obscurme, _bijoener, _ikude_, _강원도고교_, 
   {{0x42f5015f,0x4ee000af,0xf3940347,0xf0fd0012}},	//   _barnwyr_, _тепле_, _geeste_, _धिअवा_, 
   {{0xac760519,0xb2fa015d,0x718e0040,0x00000000}},	//   _पुष्पक_, _archiwa_, _שוכחים_, --, 
   {{0x0b8300d1,0x02e5023b,0x5a8b02ac,0x84880223}},	//   _নামতো_, _hainaka_, _cistiní_, _протолог, 
   {{0x69300281,0x7d370161,0xf045032d,0x00000000}},	//   _bormeste, _бизнесу_, _lequlwan, --, 
   {{0x538b01af,0x4b5501a7,0x13ce028e,0x294a0059}},	//   _dürre_, _tunteita_, _seivia_, _старият_, 
   {{0x8c20026c,0x83f800ee,0x2969016e,0x929b033d}},	//   _小活動收藏間_, _badute_, _bisiklet, _gaspiyay_, 
   {{0xf27c0059,0xbce50109,0xaaed0089,0xc7c70008}},	//   _играй_, _povodně_, _орбитага_, _табити_, 
   {{0x52bb0176,0x8200008f,0xd44e00ba,0xee8a045b}},	//   _seneste_, _tekib_, _ئیمێل_, _стартує_, 
   {{0xeed803ea,0x9c5b01f1,0x73ee0105,0x9e3a0373}},	//   _fichiers_, _kostumi_, _tegorocz, _deklaris_, 
   {{0x7435019f,0x1c5b0220,0xd7a20444,0x020e0064}},	//   _mitazamo_, _costumi_, _берлинех, _казат_, 
   {{0x04960099,0x32f10139,0x89f80176,0x00000000}},	// [5480] _angatadz, _सत्री_, _genstand, --, 
   {{0x026c0040,0x55670064,0x19f301eb,0x00000000}},	//   _pinoy_, _аиданын_, _langname, --, 
   {{0x2979019f,0x42490176,0xa1500553,0x625b02c5}},	//   _mwanashe, _akemin_, _prezývka_, _chanhasi_, 
   {{0xd9a300e6,0x7d3902ac,0xfdb30198,0x9e5303b4}},	//   _胜负游戏第_, _وشاركينا_, _nahajate_, _chichita, 
   {{0xaa7b0365,0x9d3f0041,0x87ff0371,0xdf4a036e}},	//   _opište_, _ишәҵатәы_, _оправдав, _chupanta, 
   {{0x02000028,0xc2870359,0x2036042d,0x3e7d004a}},	//   _amniga_, _funksje_, _aratsian, _аркасына_, 
   {{0x22390439,0x63ff006c,0x638c00ac,0x92c100cf}},	//   _chumbow_, _akhohlak, _raspravi_, _doolara_, 
   {{0xe97802dd,0x6d2300b4,0xc93c0004,0x0279033c}},	//   _derivatt, _aplicate_, _filmhait, _feistrol, 
   {{0xdc470148,0xdd4000d6,0x5e3c033b,0x39bf046f}},	//   _目前無名單_, _tugaimid_, _mebasepa, _landjuge, 
   {{0xa2b4033c,0xdb710297,0xae91004d,0x68a10299}},	//   _glicio_, _autorlar, _林郁工作室_, _ئوۋچىلار_, 
   {{0xe2570410,0xa3ff00f3,0x0d370636,0x4343016a}},	//   _boitapol, _ekhohlak, _inspirir, _foresto_, 
   {{0x82c902ee,0xb681026f,0x58430041,0x4b6c00ba}},	//   _profitti_, _исламға_, _ахазхаҭа, _ئاڵتوونی_, 
   {{0xee5100d5,0x503f03b9,0x2b73014c,0x09080314}},	//   _ravaloma, _kuttirin, _babulala_, _төҫкә_, 
   {{0xac620230,0xda9301e0,0x9e4800e2,0xa343027e}},	//   _laruinn_, _دڵگران_, _garandea, _помогао_, 
   {{0xfe450062,0x00000000,0x00000000,0x00000000}},	//   _romannga, --, --, --, 
   {{0xaaf20022,0x51620105,0x7fac0037,0x0b0900a4}},	//   _dikredit, _zabronio, _የሚሊኒየም_, _tempeste, 
   {{0x116c04ea,0x5afb0014,0xd2c202fd,0xce3400b0}},	// [5490] _divinity_, _sigurohe, _failinn_, _aragnima, 
   {{0x13ec01b9,0x42c2006c,0x2db30119,0x5200010d}},	//   _santrali_, _abalona_, _kahimaya, _imnida_, 
   {{0xa25b01ca,0x62ef0015,0x5cc8018d,0x7c75036d}},	//   _chalha_, _halista_, _ተጠቒሰን_, _dhirich_, 
   {{0xdae702f3,0xe8db0320,0xdde303db,0x787704e8}},	//   _intresse, _ghermang, _nanjenga, _bòstias_, 
   {{0x07b702a1,0x998e0060,0xc2ee003a,0x93bb00bf}},	//   _figuurli, _сатип_, _kiritib_, _апрелехь_, 
   {{0x89e600ee,0x6f94019c,0x62b40372,0x2dfe0162}},	//   _сайтар_, _gbéra_, _clicio_, _بەكىر_, 
   {{0x4e1d0338,0xb9a9018d,0x3bcf0053,0xcdbd012c}},	//   _essencia, _ደንካልያ_, _श्रीयुत_, _kilichoa, 
   {{0x533a03cc,0x83f40400,0xfeb302ac,0x22f50212}},	//   _নভেম্বর_, _nostru_, _أيقونة_, _divinam_, 
   {{0x063c01a4,0x0ef80141,0xa25a004b,0x00000000}},	//   _komimoni, _анордан_, _kgolwe_, --, 
   {{0x7248001e,0xc4b1034d,0x93410244,0x2f2e0044}},	//   _ilimi_, _dimasukk, _diretta_, _bacteria, 
   {{0x82fd0033,0xb4060238,0x0200023b,0xe2b4022c}},	//   _regiuns_, _дистанці, _mekia_, _mencet_, 
   {{0x038702d4,0x6b760528,0x8bfa0043,0x00000000}},	//   _tiaras_, _bhallrac, _alifukir, --, 
   {{0xec6b0025,0xa0e200be,0x46da0219,0x00000000}},	//   _आनन्दा_, _جەڭىشىم_, _ekuphath, --, 
   {{0xe2ee01ce,0x4a4c01ad,0x9c9602d3,0xd4050235}},	//   _استيشن_, _mendiola_, _честитка_, _विषयेष्व, 
   {{0x9f4c0409,0xf3210230,0x5af7034e,0xa20f00a6}},	//   _ガイドライン_, _bhayat_, _aerophon_, _akahambi_, 
   {{0xf2bb0772,0x837a017f,0xf49802a9,0x968a018d}},	//   _kumelwe_, _amerikam, _версіі_, _ምሕጋዝን_, 
   {{0xf37d0461,0x06170019,0x27320178,0x81c90204}},	// [54a0] _impacte_, _تىزسەمدا, _atisphuṭ, _софта_, 
   {{0xadbf02a6,0x33a20189,0xb2480068,0xc45901f4}},	//   _argentée_, _komple_, _ilama_, _чандиқла, 
   {{0xf2480196,0xba7c02bf,0x23dc011b,0x54d503a2}},	//   _alimi_, _kusakata_, _babwa_, _लाजिमी_, 
   {{0x0fdd006f,0x72e90074,0xe5df006e,0xe59d003d}},	//   _متوجهه_, _kutista_, _bareewuñ, _avaironé, 
   {{0x77e70518,0xd5700132,0xa2d9008c,0x625b0211}},	//   _йиллар_, _kielégít, _avrel_, _ajalta_, 
   {{0xd27e02e8,0xbeb0034a,0xb70e01af,0x09d80198}},	//   _ngoni_, _licenzas_, _anatomiý, _založba_, 
   {{0xe248005f,0x0f6b020a,0xc4080061,0x33940032}},	//   _llama_, _страже_, _추천사이트_, _ghosta_, 
   {{0xf38600ee,0xea6c0541,0xac770228,0x09c1040e}},	//   _inork_, _promovis, _forstad_, _annemere, 
   {{0x63820119,0xfe1700b7,0xd49f002b,0xcf5e01ac}},	//   _basyang_, _anketala, _বৃক্ষের_, _turasann, 
   {{0x7dd60125,0x43f8011d,0x1e37015e,0x539d00be}},	//   _овайдими, _padure_, _ырымды_, _ستىپەندى, 
   {{0x3248024f,0x039400d6,0x4200005b,0xb9cc009b}},	//   _alama_, _diosca_, _bilist_, _defendit, 
   {{0x18810046,0x3300018f,0xe7c3008a,0x23fa02cd}},	//   _исламга_, _dalajdi_, _laisenei, _bututu_, 
   {{0x430104c3,0x5dfb0421,0x0fd60013,0x124802a6}},	//   _todaytv_, _bedeutet_, _homilado, _climi_, 
   {{0x033d012e,0x097000d1,0x7c6a02cd,0x637c0358}},	//   _ایضاً_, _ন্যুপিডি, _argungu_, _divalye_, 
   {{0x22d103ff,0x724801b8,0xc10b0093,0x89530024}},	//   _cestách_, _elama_, _атрибут_, _kunstnar_, 
   {{0x838601d4,0x6e09003a,0xcd14036e,0x82480088}},	//   _sforzi_, _kreditla, _ankukanc, _flama_, 
   {{0x32480196,0xd25a0274,0x0cf30046,0x2d0900be}},	// [54b0] _ulimi_, _miklum_, _анализде, _ripollet_, 
   {{0xdde3019e,0x32ad00c5,0x24870177,0x1f7c004d}},	//   _індульге, _activé_, _иреиуоу_, _本公司工作內容有_, 
   {{0xc0f00250,0xc1d70188,0xa3fa0138,0xf39402fd}},	//   _artikull, _милиса_, _kutusu_, _chosta_, 
   {{0x326c0334,0x2db80243,0x5c4601f1,0xac780230}},	//   _sinodi_, _angaarat_, _kompanis, _borstal_, 
   {{0x8c710202,0x3b6304eb,0xa64b036e,0x23490311}},	//   _awuruju_, _रीजनल_, _chuyanch, _እናቐጸለ_, 
   {{0x27b501b8,0x2787018d,0xa63a0311,0xd0e5016f}},	//   _treening, _ንልዑላውነት_, _ቤተሰበይ_, _чудове_, 
   {{0x794e0151,0x4b8402a0,0x00000000,0x00000000}},	//   _accoutre, _ibanisor, --, --, 
   {{0xf2540291,0x7c520205,0x00000000,0x00000000}},	//   _اندلعت_, _соврини_, --, --, 
   {{0xf2840198,0x1c23007b,0xc9aa014f,0xaecb000d}},	//   _arthron_, _clairted_, _додик_, _kuningan, 
   {{0xa6730099,0xcd8d024c,0x9d2f023d,0x7a0804bd}},	//   _kuchinjw, _addolora, _scrivere_, _kumakena_, 
   {{0xdb8a0074,0x5b2402ac,0xc3fe00a8,0xe20002e1}},	//   _домов_, _creatoib, _avantmez, _shlite_, 
   {{0xfa9303d4,0xc69b01b6,0xa2480314,0xb39602d3}},	//   _корени_, _ownershi, _boima_, _растениј, 
   {{0x703c0212,0x25040449,0xd2420255,0xd52604eb}},	//   _rejectio, _početna_, _जंगला_, _विज़िट_, 
   {{0x026c02bd,0xe16c04b9,0xa9ea0452,0x0e6a0213}},	//   _osgoi_, _civility_, _राजवाडे_, _корда_, 
   {{0xc9c3002c,0x528c0348,0x2d920156,0x78c303bd}},	//   _konektat, _akakisa_, _אינדיאנא_, _konektad, 
   {{0xfb5a00a2,0xb3ea008e,0xc04e0223,0x534100a8}},	//   _kugundua_, _dootul_, _холилдсо, _anzemen_, 
   {{0x1f340416,0x47b30225,0x5efc0152,0x4355037c}},	// [54c0] _deformar_, _eriringi, _başlağan, _juvenis_, 
   {{0xfb9c002c,0x15570016,0xd60f02c3,0x048f019b}},	//   _компаниу, _אָריגינע, _samolepi, _serverių_, 
   {{0x39d70156,0xf27e0476,0x53f8019d,0x73780022}},	//   _ניפֿטר_, _apinde_, _buluku_, _дәүер_, 
   {{0xb38602ff,0x9d23005f,0xa2f0019b,0xf084023c}},	//   _onora_, _caliente_, _palikti_, _وظيفې_, 
   {{0x47b3005c,0x9fcf0094,0x326c0013,0xd3f80230}},	//   _ararangi, _اسحانا_, _وتاوان_, _galupe_, 
   {{0xfee10025,0x17eb0151,0x66eb00e7,0x00000000}},	//   _हिन्दीभा, _atlantag, _atlantaw, --, 
   {{0x3c3800c5,0xd2e802cb,0xc386008c,0x0a8d0318}},	//   _禄口机场到达厅出, _naknadu_, _anora_, _pasipaps, 
   {{0x3a9e0590,0x9b5701f4,0x72cb020e,0x00000000}},	//   _дискодно_, _казарун_, _khudu_, --, 
   {{0x327e0326,0x9e500044,0xf2cb0199,0xc884033f}},	//   _upinde_, _למפלצות_, _chudu_, _feliuliu, 
   {{0x029201a4,0x83b303d0,0x126c0181,0x899e0037}},	//   _matayo_, _travanj_, _sinobi_, _አልፈለጉም_, 
   {{0x62c902aa,0x52900390,0xc2eb01fc,0x00000000}},	//   _skylink_, _ithaf_, _sabicil_, --, 
   {{0x18a30074,0x78a10008,0x636c0030,0x52020087}},	//   _команды_, _الاستوو_, _zviedrij, _kotile_, 
   {{0x135300a4,0x470d0041,0x36280289,0xc0e000ff}},	//   _قۇلاق_, _ааҵра_, _akanadzi, _טעמישווא, 
   {{0x23fa0298,0xabe10237,0x6179027b,0xdba90299}},	//   _tuturu_, _antwerps, _सोऽब्रवी, _بىغىمغا_, 
   {{0xe38b03e0,0xf10300e2,0xf200054a,0xb75e0253}},	//   _wärmt_, _folkstel, _cecin_, _ferianng, 
   {{0xbafa05f4,0x207400ae,0x536a0040,0x60ad0110}},	//   _amarakae, _baragaho, _installm, _notariāl, 
   {{0x8ae101d1,0xaca4054c,0x826c02a6,0x00000000}},	// [54d0] _institut, _reiseliv_, _annoii_, --, 
   {{0x16620041,0xd46a0620,0xa1fb01b8,0x00000000}},	//   _амиграци, _prodigio_, _helistam, --, 
   {{0xd2ca029e,0xa30103ac,0xeaf6029d,0x862a007e}},	//   _chaloni_, _ditaati_, _imprumut, _cedirājo_, 
   {{0x327e023e,0x803104cc,0xc202024a,0x864400bb}},	//   _ngono_, _saethoen, _botile_, _کھربوں_, 
   {{0xc2da02fe,0x249200d1,0x431000de,0xe26e0129}},	//   _apreli_, _সময়তো_, _abuzwe_, _mesoro_, 
   {{0x1396005b,0x96220148,0xf83500ec,0xaf3b0185}},	//   _kyushu_, _opentopi, _сумесна_, _berebezn, 
   {{0x8213003f,0x3a4504dc,0xada100e9,0xf9970092}},	//   _baghha_, _زنترین_, _konfirme_, _この動画に関連す, 
   {{0x2df0023c,0x82d80089,0xf2000573,0xf7b300ee}},	//   _انګور_, _cilferdi_, _saliid_, _gomendag, 
   {{0x13210222,0x07a10580,0x00000000,0x00000000}},	//   _placés_, _uzmundri, --, --, 
   {{0x4846013c,0x00000000,0x00000000,0x00000000}},	//   _italiyad, --, --, --, 
   {{0x213a0064,0x9bee00bf,0xd5b00224,0x7e3f03c2}},	//   _exclusió_, _салот_, _dansleik, _bullocks_, 
   {{0x1e4c0067,0x3b8a014e,0x1379003f,0x62410334}},	//   _agaarfaa, _собом_, _dapabta_, _bwampini_, 
   {{0x126401cf,0x62f60261,0x00000000,0x00000000}},	//   _impler_, _civitaj_, --, --, 
   {{0x29e502c2,0xd25b01ac,0x8d030119,0xe2d90042}},	//   _bestuurd, _bhalla_, _boluntar, _pacotes_, 
   {{0x6047012a,0x9f210065,0x42d90076,0x68cf0311}},	//   _zaprezen, _forderun, _cacete_, _ብዙሓንን_, 
   {{0x63410538,0xc2d80369,0x2b050396,0xc2010084}},	//   _bibelen_, _likeke_, _barrakka_, _ahdiat_, 
   {{0x97e30220,0xcac6010f,0x70d30093,0x2e060094}},	// [54e0] _комисия_, _уфтод_, _улуса_, _قالپىن_, 
   {{0x0bf4017c,0xe7c9015d,0x0da9042d,0x9a6c01bd}},	//   _bostadss, _postojow, _hamindra, _ولتىرۋگە_, 
   {{0xc2d80373,0x9e7b01db,0x0683009f,0x2248026b}},	//   _somera_, _күлтегін_, _popestri, _llame_, 
   {{0x62d4037f,0x62c202f7,0xe29003d4,0x821c0199}},	//   _burdan_, _abalana_, _lekara_, _hkshop_, 
   {{0x8dfb00e6,0x653b002f,0x29f50290,0xe4f30365}},	//   _attendue_, _ichichay, _darsched, _इम्मिग्र, 
   {{0x72f40144,0x03860138,0xc9c100ae,0x0b9b0258}},	//   _thriail_, _dogru_, _binezere, _geunstic, 
   {{0xeda900d5,0xb30302f3,0x326c0067,0x0b6800bf}},	//   _famindra, _bolaget_, _alkoolii_, _устно_, 
   {{0x22000138,0x5290001f,0x526d0564,0x1c04017f}},	//   _tekil_, _rekasa_, _tabosa_, _avisimi_, 
   {{0xff2305fd,0x8b950060,0x7856002b,0x2b7b04e6}},	//   _cemerlan, _әуелде_, _নগ্নতা_, _bangayan_, 
   {{0xd2000160,0xd2900679,0x0e890148,0x814102ac}},	//   _nekim_, _menaik_, _並不會影響到網頁, _الاظافر_, 
   {{0x534a017a,0xde95016f,0x6ed5006d,0xb248000d}},	//   _akufane_, _судами_, _аграном_, _elame_, 
   {{0xf9870159,0x0d8400e0,0x72000138,0xb2020347}},	//   _грудок_, _betellet_, _hekim_, _sluier_, 
   {{0x225a038a,0xb2d8023b,0x846e014e,0x715b0274}},	//   _akilla_, _kikeke_, _монголск, _vangavel, 
   {{0x25580060,0xb8f100e6,0x8bcf01c8,0x4c4b0370}},	//   _кристалд, _镜像站服务_, _seminárn, _dietang_, 
   {{0x83cf00b4,0xf9870178,0x35370032,0xe25b02a8}},	//   _elevii_, _संयम्य_, _dichargh, _bhalma_, 
   {{0x52d900c3,0xd4c20397,0x2800045e,0x124801f3}},	//   _facere_, _ababenik, _esecutiv, _klame_, 
   {{0x096701d1,0x42c50334,0x21620515,0x6bd90061}},	// [54f0] _definite, _akolose_, _ingratio, _농작업재해_, 
   {{0xa9db0150,0x226c02f6,0xbceb0156,0x95cc0307}},	//   _singaote, _binoy_, _יפעקץ_, _namaziny, 
   {{0x1200037f,0xa26c003f,0xd9930151,0xe2fd01f7}},	//   _sekil_, _jinoy_, _asthenia_, _argilas_, 
   {{0x326d0240,0xd3a20347,0x1c74018d,0x7379000b}},	//   _cabora_, _diepte_, _ውድቀቶም_, _papatea_, 
   {{0x02d401d7,0x32dd005b,0x22d8044a,0xa2920326}},	//   _curdin_, _kiyoshi_, _bikeke_, _batano_, 
   {{0x107c02e7,0xf2da00ac,0xe3a70137,0x80f60299}},	//   _ginbaylo, _spremi_, _жигнэж_, _تېكەس_, 
   {{0x674201fb,0x8dc1007a,0xb1930290,0xa45a0311}},	//   _avantiav, _diniatka, _amicabel, _ምጥቃምን_, 
   {{0x83a20111,0xce3c0122,0xf105004a,0x2356005f}},	//   _compie_, _مشروح_, _başıbızn, _foreros_, 
   {{0x6da404ad,0x54f90060,0xe2da00d7,0x8e3403bd}},	//   _godingwa, _قىيىنعا_, _jareng_, _malabawa, 
   {{0xa2730146,0xc29502dd,0xcc5c0109,0xc28d0436}},	//   _harijadi_, _edukati_, _पालेर_, _markica_, 
   {{0x64090037,0x40a3002b,0x22d80369,0xf1c302e5}},	//   _እንደአስፈላጊ, _ইনিংস_, _rikeke_, _imomaram, 
   {{0x921d0354,0x02f0001b,0x3b8a00d0,0xc38004c7}},	//   _фарук_, _aaditti_, _дорой_, _околност_, 
   {{0x0c80015e,0xd8f800c5,0x0da100f7,0x52f9028a}},	//   _десек_, _陈乔恩首映会上笑, _konforme_, _آزمودگار_, 
   {{0x73f400af,0x33740113,0x168a0311,0xe247006c}},	//   _bosted_, _haistriú_, _ልዕሊኡን_, _каримро_, 
   {{0x25030092,0x821e0125,0x92000256,0x7a0e0059}},	//   _個人情報の取り扱, _списокды, _vecie_, _ricarica_, 
   {{0x62da0071,0xb2000086,0xf292019f,0x6ba5025f}},	//   _bareng_, _nekik_, _watano_, _batisimo_, 
   {{0x36b7012c,0x87840074,0x7a1e0133,0x5d9f0137}},	// [5500] _والاري_, _velvolli, _dabbasaa_, _abendura, 
   {{0xc3860122,0xcb01017e,0xafd402f8,0x430200a0}},	//   _diiris_, _ilustrit, _kaingalo, _almakru_, 
   {{0x9d5c0247,0x85fe034c,0x1e400285,0x7f640133}},	//   _مجسمه_, _dambası_, _baraguye_, _hinargin, 
   {{0xa15b0167,0xfc9102fe,0x2924010d,0xb9360272}},	//   _abercyno, _حکمرانان_, _मुक्तछंद_, _atamiira_, 
   {{0xcc61012c,0x329204b2,0xb2da010b,0x826e0514}},	//   _masuala_, _matalo_, _gareng_, _sgroup_, 
   {{0x624804b9,0xe395000c,0x434101ac,0x19620010}},	//   _clamb_, _gvescu_, _chreata_, _evenikat, 
   {{0xac260441,0xb2240017,0xb7c4024a,0xef15028a}},	//   _podobnou_, _klikat_, _isiseabi, _kistaara, 
   {{0xa3dd012b,0xd3870005,0x6be800d9,0x96f6015d}},	//   _nazwa_, _biaras_, _историей_, _अवयवों_, 
   {{0xf64b0057,0x5a990145,0xa2e10052,0x034101a3}},	//   _መረባረብ_, _немалую_, _महान्याय, _ڪنڌار_, 
   {{0x1c28019b,0x00000000,0x00000000,0x00000000}},	//   _урачыста, --, --, --, 
   {{0x92cb024e,0x2037026e,0xbc1200fe,0x2cbf0139}},	//   _ljude_, _पर्यटकीय_, _asipeli_, _क्षेप्ता, 
   {{0xe12d0040,0x9ae60067,0x32000138,0x6eaa06c9}},	//   _וקוסמטיק, _daarikte, _ismine_, _mendesis_, 
   {{0x937801cc,0x27ed0285,0x859701f2,0xc3f900a2}},	//   _devasya_, _mafarang, _ﻣﻪﻫﻤﯘﺩ_, _kudumu_, 
   {{0x5a660568,0x02cb0409,0x306f0382,0x51750381}},	//   _formanns, _skudt_, _khupukan, _ayingsay_, 
   {{0xb84f02cb,0x260b0027,0x930800e6,0x129201f1}},	//   _nadograd, _studatim_, _债权登记日_, _truall_, 
   {{0x3c76044b,0x30d101cb,0xeb8c01c2,0x3c2300ee}},	//   _forslag_, _okulawul, _dicionar, _aplikatu_, 
   {{0x11270089,0x00000000,0x00000000,0x00000000}},	// [5510] _ганиев_, --, --, --, 
   {{0x835e02a7,0x9b630238,0x73870064,0xb3dd0095}},	//   _hergang_, _неприємн, _diaris_, _sarwa_, 
   {{0x325b0016,0x39f80010,0x509d03b8,0x7c3601ef}},	//   _biblio_, _bebakhet, _زاپاستاپ_, _brangiau_, 
   {{0x82e6004f,0xc740004d,0x4ad80299,0xe1e3010d}},	//   _daanaka_, _未經書面授權_, _بېرلىن_, _अंतरा_, 
   {{0x3fc90408,0x5b730170,0x9387024c,0xa2130062}},	//   _fanindro, _bakutola_, _gharab_, _nichaw_, 
   {{0xb4da0125,0xad190175,0x62da03ba,0xe2fc02cf}},	//   _гойна_, _lonnekte_, _rareng_, _felizes_, 
   {{0x29f900a5,0xb3400176,0x82d50305,0xe39401df}},	//   _malietoa_, _cardbus_, _fyllast_, _maksna_, 
   {{0x1c900278,0x530c0272,0x641300ef,0x3a0200ee}},	//   _sekurang_, _essanyu_, _ړانده_, _indartze, 
   {{0xff0400ff,0xee96015e,0x8e6700d1,0xc2560012}},	//   _אנפרעגן_, _سىنىق_, _নয়নজ্যো, _बुझइबो_, 
   {{0x72fd00fd,0xdd8901aa,0x02d9027a,0xa2ea0181}},	//   _casga_, _arallelp, _sednice_, _nutiden_, 
   {{0x4eb302d0,0x82920261,0x6bf60343,0x5c760102}},	//   _arreglos_, _batalo_, _sheetroc, _mhariri_, 
   {{0xa291008e,0xe2180476,0x63f8019b,0x449801b5}},	//   _tubaab_, _akakotam, _viduje_, _gingirik, 
   {{0x22020377,0x7889026c,0xc25b02f3,0x21e90311}},	//   _citite_, _graviter_, _skylla_, _ጉልበትናን_, 
   {{0x737300e9,0x36b900d5,0x1d900159,0xa2920433}},	//   _erkarne_, _tafaveri, _logotipa, _natabo_, 
   {{0x26370074,0x22b40109,0x9da8024a,0x00000000}},	//   _пластико, _vsech_, _telifisa, --, 
   {{0xf0ec0152,0x4e9e01bd,0xc2d10206,0xafc2004d}},	//   _başlanğa, _баулу_, _mestách_, _新市區北京南路_, 
   {{0x4fdd00b7,0x33870087,0x23f400e9,0x82d40066}},	// [5520] _хабарына_, _cowra_, _septam_, _baionan_, 
   {{0x12b406db,0x8b7b004d,0x00000000,0x00000000}},	//   _usech_, _塔內植物園_, --, --, 
   {{0xa35e0026,0xd2000193,0x57c40156,0xf13a0222}},	//   _berging_, _pekik_, _ארקאידי_, _qualifié_, 
   {{0x032d034c,0xb10d021c,0x5582009b,0x43600344}},	//   _баланслы_, _cichlidy_, _abstentz, _graderuj, 
   {{0xe70700a6,0x094b0099,0x1a7901a2,0xb78d0237}},	//   _داستازو_, _chemanhe, _neizprat, _게임캐스트_, 
   {{0x32920699,0x19c30212,0xc2a60189,0x35680311}},	//   _gatabo_, _honestat, _tilbe_, _ወንበርነት_, 
   {{0xf31303d1,0x0a86031a,0x00000000,0x00000000}},	//   _stabils_, _shanasan_, --, --, 
   {{0x22d403e9,0x4c36015f,0x954600bb,0x95f6030a}},	//   _yurdun_, _brandiau_, _واقعتا_, _nomenclá, 
   {{0x8b1d041e,0x22d40242,0x3786014c,0x73f80574}},	//   _dispiace, _buzovna_, _nokwenzi, _siluje_, 
   {{0x936e04cc,0x32480253,0x8ca0027b,0x58c70109}},	//   _singriu_, _ilami_, _प्रसीदति_, _मनिपाल_, 
   {{0xf15c0187,0xe282011b,0x57c50218,0x00000000}},	//   _губат_, _machini_, _avoritef, --, 
   {{0xcc040663,0x0ab1004d,0x1b240156,0xb2000105}},	//   _ebesisi_, _以免造成您與他人, _ראַגדאָל, _lecia_, 
   {{0x8066018b,0xe2fc0359,0x16020281,0x32e8001e}},	//   _келтуель_, _kingma_, _billetsi, _fikihun_, 
   {{0xfc7e0352,0x4ae901e6,0x379200e6,0x2b0101e7}},	//   _livssyn_, _nakupujt, _上海系统生物医学, _enersche, 
   {{0x9e560076,0x7e50025f,0x55020244,0xc3940074}},	//   _настан_, _basalela, _ritratto_, _jaksoa_, 
   {{0x5b0303ea,0x22900527,0x92fa04bd,0x9248003a}},	//   _entretie, _nekada_, _alahaka_, _olami_, 
   {{0x0526053a,0x2e0d0187,0xe2020103,0x1d880502}},	// [5530] _završio_, _киселина_, _aitire_, _affeckit_, 
   {{0x23f40191,0xa8a9023c,0x16fa02ac,0x513e0528}},	//   _bostad_, _پرلپسې_, _أرامكو_, _credeamh_, 
   {{0x5ec7003b,0x9ff0004d,0x3dd201af,0xdc9204b2}},	//   _alizange_, _公民或團體陳情意, _agshamla, _katulong_, 
   {{0x4c1501f6,0xbc5c0314,0x29cc0021,0xa292005d}},	//   _meisters, _bpntril_, _amberlit, _mataco_, 
   {{0xa9810013,0xcb5500a1,0xfa51046f,0x921e0219}},	//   _چریکی_, _maumahar, _primärsc, _awukhoni_, 
   {{0xc7300163,0x0f3300d4,0x2a6300c5,0xc2d000b3}},	//   _پیشانی_, _presinta, _压缩机包修_, _adatlary_, 
   {{0x0a6f0113,0xeaa400c8,0xccfe0022,0x00000000}},	//   _prionsab, _класты_, _уҙышында_, --, 
   {{0x4a720055,0x213602ac,0xfc53055b,0x59d403aa}},	//   _casanova_, _كاسياس_, _fortida_, _अल्पमत_, 
   {{0x46b800c5,0x296d03db,0x325b0182,0x5f70017e}},	//   _准确性和合法性由, _akunakut, _ikalia_, _rimarkis_, 
   {{0xc2bb0388,0xad78023d,0x8a300046,0xeda30238}},	//   _offerte_, _енергия_, _اشىرۇۇ_, _волинь_, 
   {{0x734402d0,0x6b690014,0x57ee027f,0x329e017a}},	//   _foresee_, _aspektin_, _biraring, _шидай_, 
   {{0x95b800e1,0x822b020e,0x38fc02ec,0x8e5b022f}},	//   _alxiyaam_, _dimmele_, _cabashad, _атымаць_, 
   {{0x94090148,0x92e601dd,0xd25b0205,0xe2ca01da}},	//   _nourison_, _abaneka_, _shinlari_, _vjedh_, 
   {{0xd24801a4,0x4053009a,0x727f0285,0x2e670299}},	//   _moimi_, _جانسي_, _mpande_, _парлақ_, 
   {{0xc9aa00b4,0x23a801d1,0x1c6e011f,0x6d9b0133}},	//   _робия_, _relating_, _chereka_, _diplooma, 
   {{0x279501a2,0xd1a300d1,0xc97a0021,0xc2cc0275}},	//   _pastipri, _অহোপুৰুষ, _aponifie, _tialino_, 
   {{0x7cf40183,0x9b410029,0xf7e700ec,0xaeaa00aa}},	// [5540] _septambr, _لێخوڕینی_, _службова, _hypomagn, 
   {{0x1d9204bd,0x6fe50178,0xc3650274,0xf2ef00e9}},	//   _halelole_, _apaneṣyā, _borgina_, _prefas_, 
   {{0x1c4f0388,0xcc5300a7,0xd248035b,0x52cd0272}},	//   _специалн, _sortida_, _slami_, _asulayo_, 
   {{0xcab501e1,0x3bcb01d5,0xa248003a,0x60d800ec}},	//   _drakensb, _forduló_, _plami_, _значныя_, 
   {{0xd2010403,0x94b60137,0x03020111,0x7c660279}},	//   _ambiny_, _багцыг_, _almancu_, _sortent_, 
   {{0x3b6203fd,0xd3860176,0x415e0040,0x4c660279}},	//   _amituana_, _inori_, _בוסקילה_, _portent_, 
   {{0x615c0113,0xfcf2040a,0x00000000,0x00000000}},	//   _اشتقت_, _båtolyck, --, --, 
   {{0x06ab0060,0xd98c0326,0x22fc047b,0x37b60308}},	//   _өзара_, _mishonga_, _ringja_, _diperang, 
   {{0x88ed00c4,0x00000000,0x00000000,0x00000000}},	//   _رٽائرمين, --, --, --, 
   {{0xb2bb01c4,0x6c5c02f7,0x047a02cd,0x9a660081}},	//   _effekte_, _gaetsho_, _editocin_, _formenns, 
   {{0xf2480207,0xc2ca04ab,0x2d360231,0x00000000}},	//   _elimu_, _sjedi_, _franciae_, --, 
   {{0xde550205,0x18fc0068,0x33860111,0xb3790220}},	//   _دوستم_, _qabashad, _onori_, _romanzo_, 
   {{0x5934011d,0x6a3e00ff,0xfcf2001a,0x2436001c}},	//   _asemanat, _פויליש_, _دارمی_, _gidadako_, 
   {{0x027f0225,0xa596007a,0xb2d800ec,0x858e003a}},	//   _spange_, _isteriny, _baigėsi_, _kartochk, 
   {{0x2c1202d9,0xfe5b0235,0x5386001c,0x838f01dd}},	//   _asalalau_, _ananyagā, _anori_, _abiyita_, 
   {{0xb2d906dd,0x47eb00e4,0x0dfe01a2,0x8108004c}},	//   _andeor_, _धूमकेतु_, _nīderlan, _baakamal, 
   {{0xd3410203,0x8e010021,0xf2fc0312,0x00000000}},	// [5550] _canello_, _ailertra, _belgat_, --, 
   {{0xa2f30040,0x170b03d4,0x385d00d8,0x2fe902bb}},	//   _דרונט_, _образлож, _amoritas_, _राकांपा_, 
   {{0x454504b2,0xc3050242,0x09c10008,0x7156023e}},	//   _ahhhhhhh, _texnoloj, _finestre, _ماسوله_, 
   {{0x0156011d,0xee7c0094,0xe84f0488,0xf058004d}},	//   _bunurilo, _قاپتاعاي_, _piparkūk, _高雄市監理處_, 
   {{0x2b280192,0x046902ac,0x20e1046f,0xc2480269}},	//   _태그전체보기_, _مباراه_, _verëffen, _llamo_, 
   {{0xd92c0205,0x00000000,0x00000000,0x00000000}},	//   _гулларни_, --, --, --, 
   {{0xa05001df,0xb248030b,0xd26c03ec,0x5b8b0128}},	//   _blauditn, _alimu_, _alkool_, _soliqlar, 
   {{0xa2900218,0x3db70497,0x97b30190,0x720200ce}},	//   _ywhay_, _flagpole_, _tsirongi, _sitiye_, 
   {{0xf27f0102,0x3a0e0253,0x1af50011,0xc2cb003e}},	//   _upande_, _pisarine, _akarikut, _chaden_, 
   {{0x947a007f,0x547101e6,0xb35300c1,0xd69101c9}},	//   _meithrin_, _genetick, _जल्ला_, _ratemobi, 
   {{0xabee010f,0x7ae800df,0x5f9b01dc,0x32480033}},	//   _халос_, _certaine, _ordeifer_, _clamo_, 
   {{0x837f012c,0x529002be,0x5f7402ec,0x47c402f3}},	//   _kukataa_, _athan_, _garanayn, _beträffa, 
   {{0xd8e000a8,0xb627001d,0x734c00b4,0x09db012a}},	//   _prescriv, _allianti, _terenul_, _celebryt, 
   {{0x01f90278,0x5d2f00c3,0x0373033d,0x073902b6}},	//   _dapatlah_, _scribere_, _demaske_, _фильмінд, 
   {{0x99c90170,0x4ac9030b,0x5bcf0423,0x025b01b0}},	//   _akawungu, _akawunge, _seminárk, _akalna_, 
   {{0x4e1902d3,0x138604d7,0x226e0630,0xd25a0279}},	//   _знамето_, _yngra_, _mgroup_, _collez_, 
   {{0x4af90166,0x09f7019d,0xed23049e,0x22d200f7}},	// [5560] _kliniken_, _atsiriza_, _pobočiek_, _baronoj_, 
   {{0x712d00ec,0x896800d3,0x626d0120,0xd2e302ff}},	//   _паэта_, _nevidite, _lafofi_, _enkiete_, 
   {{0x27840741,0x49d2001c,0x4c77069c,0x9bcf023a}},	//   _velvilli, _narekobe, _firmwaru_, _semináro, 
   {{0xb2fc008c,0x02ed0288,0x3200018a,0x82ca02bd}},	//   _lingia_, _gesinde_, _waliau_, _ffodus_, 
   {{0x42d801c2,0x261d01d5,0x52ca0085,0x430d036e}},	//   _comeza_, _لدھیانوی_, _ekiloni_, _altawus_, 
   {{0x43ea06bc,0xa36300bf,0xdc5c0121,0x031c01ac}},	//   _tiotal_, _подписи_, _cartón_, _beachta_, 
   {{0x52540012,0x8047002e,0xe2d903e6,0xa3860137}},	//   _घबरइला_, _utvrđeno, _iwreg_, _aiora_, 
   {{0x428302fb,0x32000249,0xe69501f7,0x8a8a00bf}},	//   _ahokava_, _nekis_, _abstrach, _валериан, 
   {{0xf9ef0222,0x9d320060,0x00f90153,0x5602000a}},	//   _injurieu, _تۋراسىند, _ヘルメット_, _billitsi, 
   {{0x72d9023d,0xb48d0089,0x5a1b03d1,0xf24d0153}},	//   _avrei_, _толстойн, _kilbloka_, _そうなんです_, 
   {{0xd2b9004d,0xe9d40015,0x31780357,0x43790084}},	//   _健康頭號殺手_, _faallada_, _matailel, _ambalan_, 
   {{0x4e4c032e,0xa290033d,0xd2e90165,0xe26e02b4}},	//   _aymarana, _afranchi_, _perisia_, _igroup_, 
   {{0x63f40231,0x82910245,0x89f00092,0xf2a602a2}},	//   _septem_, _umwai_, _ソフトドリンク_, _silbi_, 
   {{0x26490014,0xd1b002ac,0x9a2b0037,0x22250160}},	//   _ዝበልክዎ_, _منزلك_, _ቀልጣፋና_, _stekao_, 
   {{0x76c800bd,0xbad00540,0xd0a400e6,0x2cc400c7}},	//   _assaultx, _sjáumst_, _请通过分页查看_, _алдыгыз_, 
   {{0xb2b4005b,0x784a00cb,0xc3860181,0x4c3d0009}},	//   _oricon_, _тонки_, _kanzaki_, _milijard_, 
   {{0x823500df,0x22910294,0xa9b9019b,0x8eb00092}},	// [5570] _travaill, _recata_, _псыхіятр, _svarende_, 
   {{0xa26e0190,0x0ab700e6,0x5380031a,0xe20203ea}},	//   _marowa_, _成立国家预防腐败, _currac_, _litige_, 
   {{0xfad80378,0x3eab0041,0x00000000,0x00000000}},	//   _filmurin_, _eunectes_, --, --, 
   {{0xaf0500b5,0x8f1e022b,0x00000000,0x00000000}},	//   _campesín, _háttalag, --, --, 
   {{0x16f0033e,0x52160035,0xbe280290,0x00000000}},	//   _imitakuñ, _idiyatul, _deponius_, --, 
   {{0xe24a0367,0x3e4b02e5,0x89d300ea,0xa131025f}},	//   _mesmas_, _cesarsca, _mbaliana_, _bindimel, 
   {{0x2daa0078,0xa3450132,0xfda002f3,0x71470420}},	//   _директни, _rendelt_, _samordna, _зависат_, 
   {{0xc2d70261,0xb9e200a6,0x3b5001e7,0x020202ef}},	//   _oktobro_, _خاوير_, _blameier, _entime_, 
   {{0xf912019b,0xd373028d,0x00000000,0x00000000}},	//   _этапу_, _remarke_, --, --, 
   {{0x4a89000d,0xed9f000b,0x1d3e00d1,0x426c0678}},	//   _komisjon_, _launiusa, _জোতাযোৰ_, _oknom_, 
   {{0xf64a0037,0x92000129,0x1d110138,0x04d9016f}},	//   _ተመሥርቶ_, _sekit_, _türkleri, _кресленн, 
   {{0xadef03ce,0xd48e01a3,0x454e0211,0x8336055b}},	//   _نورویژ_, _سٻاجهڙي_, _видны_, _ekskursj, 
   {{0xe25b016b,0x9290016b,0x32e200f4,0xf7a701b8}},	//   _akalla_, _afkawa_, _bisiseg_, _lastekai, 
   {{0x9a5704ac,0xe70703fb,0x8c5200fa,0x31ef0297}},	//   _правая_, _imovinom_, _dantaon_, _kermiçä_, 
   {{0x92000374,0xf5f10045,0xb31a02f6,0x52a901d2}},	//   _tekis_, _стандард_, _aktibong_, _chicalom, 
   {{0x2c350045,0xb9f4033f,0x920103e6,0x32d80005}},	//   _планова_, _manumanu, _erfier_, _brienz_, 
   {{0x94ac023d,0x9a04032c,0x477b01a3,0x00000000}},	// [5580] _консулта, _allartit, _ڪنٽينر_, --, 
   {{0x70b205c5,0x139400d9,0xe8410260,0xd65400d1}},	//   _प्रजातंत, _maksaa_, _cullered, _কলকাতালৈ_, 
   {{0x7e55026c,0x4541027f,0xe2df041e,0x73ac0516}},	//   _數據載入中_, _barigumy, _accordu_, _nippin_, 
   {{0x5290033f,0xd30c012d,0xe2db012e,0x1d5603d4}},	//   _haiane_, _welabus_, _minthogy_, _ustašku_, 
   {{0x221c046d,0xd2a900c4,0xd26c0497,0xe24b00db}},	//   _mitheo_, _kiuchumi_, _enjoin_, _चाहेले_, 
   {{0x76c1010d,0xbc650538,0x4e4e027b,0x00000000}},	//   _दर्जेदार_, _plottet_, _bravīṣi_, --, 
   {{0xe3dd039d,0x56e8018d,0x72c5023b,0x504b0274}},	//   _farwa_, _ምንቅጥቃጥ_, _keneturi_, _áíslandi_, 
   {{0xba1502eb,0xaeb70287,0xf9d60139,0x427e00d7}},	//   _туйлын_, _populace_, _प्रययौ_, _jaong_, 
   {{0x71770444,0xde3d01e8,0xaafe0153,0xf2d80168}},	//   _ленту_, _gitahapa, _一覧へ戻る_, _ekkelt_, 
   {{0x1af90410,0x4cf200c4,0x82000179,0xb039004d}},	//   _ditshepe, _ڪالمن_, _sekis_, _不要肥滋滋_, 
   {{0xa3c8002e,0xb25b05ac,0x59ee00a4,0x4df50137}},	//   _sasvim_, _gjalda_, _regidora_, _алхмыг_, 
   {{0x8a480177,0x3a190060,0x802c01c8,0xf1630032}},	//   _аҭахым_, _جىلىماي_, _sandálky_, _juliqmeh_, 
   {{0x32fc0117,0x24780368,0xe70300d6,0x00000000}},	//   _belgut_, _астме_, _احبائي_, --, 
   {{0x41560536,0x05df005b,0x0d2403a2,0xb2fd037c}},	//   _газына_, _nedenstå, _बेसब्री_, _digitos_, 
   {{0xb0640142,0x32240130,0x8f820287,0x045301bd}},	//   _लक्षणं_, _klikit_, _नजीकै_, _діндер_, 
   {{0xa9ec0773,0xbb2b017d,0x7b3002ec,0xaf1c0079}},	//   _спортын_, _ボタンをクリック, _garaneyn_, _disciplī, 
   {{0x46950034,0x72910275,0xe3410120,0x94af002b}},	// [5590] _myndasaf, _faaafe_, _esserta_, _শিক্ষায়_, 
   {{0x1517032d,0xb7b40087,0x8bd1045b,0x97300187}},	//   _китергә_, _jahelang, _всякому_, _subsidiá, 
   {{0x40df04f0,0x4c1f036c,0xcb810547,0x0de902cf}},	//   _buduletš, _ampangor, _burocrac, _заблагод, 
   {{0x6a0f03a7,0x2ab10017,0x326e01fe,0x2342009b}},	//   _manažmen, _telefóny_, _garova_, _direnen_, 
   {{0x15f801bd,0x0d4a04e7,0xd9620241,0x0f6402e2}},	//   _басталад, _sucastou_, _amantaat, _sheathin, 
   {{0xf379059f,0xa27e031a,0x1af2019b,0x96570256}},	//   _elbasan_, _bainns_, _коштах_, _punktiem_, 
   {{0x327e02a2,0x626c030f,0x07310061,0xf291019c}},	//   _yaong_, _panoni_, _임원추천위원회_, _isaaju_, 
   {{0xec5302a9,0x62e00544,0x5e120003,0xe3960321}},	//   _būtent_, _hoanoho_, _bereikba, _alpsko_, 
   {{0xab0a0211,0x627e0204,0x04900569,0x2f1e0741}},	//   _treffeis, _mainos_, _naručuje, _smittefa, 
   {{0xd25b00e7,0x3c05003a,0xad060005,0x00000000}},	//   _acelay_, _mintaqas, _avertesc, --, 
   {{0xab0d0276,0x02480225,0x534405ce,0x3fb5037c}},	//   _مەستانىل, _enime_, _elbette_, _quatenus_, 
   {{0x538603dc,0x0d080077,0x46780061,0x5d470209}},	//   _yngru_, _babouket_, _기획재정부_, _ammarneq, 
   {{0x35050291,0x1a9a003e,0x88720097,0x4cf20421}},	//   _خخخخخخ_, _таратухи, _parapọ̀_, _ansteuer, 
   {{0x434200d5,0x0a5f01fe,0x7e3a00ea,0x4226021c}},	//   _firenen_, _kuretaka_, _farantsa, _potkan_, 
   {{0xa29200a5,0x427e01ef,0x279301cf,0xc26e0453}},	//   _tatalo_, _kainos_, _amatissi, _parova_, 
   {{0x8ae70064,0x4d9a02e4,0x53fa01a4,0x80e8011b}},	//   _перисине_, _gallegja, _lutumu_, _mitimbel, 
   {{0x02010117,0xd27e00ec,0x8dae0437,0xa3f900ae}},	// [55a0] _lesin_, _dainos_, _stigende_, _amfuba_, 
   {{0x6200029a,0x737f0235,0x0e290040,0x9acb0192}},	//   _dekip_, _annasya_, _deposits_, _promoten_, 
   {{0xe27e02be,0xc9c7015e,0xe2350111,0xe3f001e9}},	//   _taong_, _саналат_, _credenti_, _fenenang_, 
   {{0x4ca8042d,0x51b200f0,0x00000000,0x00000000}},	//   _synoptiq, _zapekané_, --, --, 
   {{0x29f90005,0x902c0305,0xb201009b,0x02cb0316}},	//   _derschad, _sideinfo, _tesia_, _chadin_, 
   {{0xa7e703b8,0xf20103cf,0x2e510205,0x935f00da}},	//   _сайлау_, _kesin_, _اورينلری, _asigure_, 
   {{0xe3980567,0x2d1000e6,0x08450169,0xe201024a}},	//   _канатлар, _黑龙江农业信息网_, _mentales_, _jesin_, 
   {{0x7ae10461,0x726e033b,0x77920278,0x538601fb}},	//   _utilizan_, _lesolo_, _pentaksi, _whorf_, 
   {{0x125a04d2,0xddec0092,0xa2df025b,0x63fd0211}},	//   _vanleg_, _このブログの新着, _renning_, _finnmatk, 
   {{0xa37e0108,0x43860310,0x5dbe0409,0x126e0774}},	//   _kusabab_, _hiort_, _prisfald_, _garota_, 
   {{0x22010249,0xa22a0038,0x3cfa0040,0x2b9d01b7}},	//   _nesin_, _торам_, _דינוזאור, _गुरुरेव_, 
   {{0xb63802c1,0x698301de,0x80e90120,0x82c602e2}},	//   _twandiki, _телехика, _makaadok_, _batlike_, 
   {{0xc20103dc,0x8887015e,0x72d9030b,0x62fd0409}},	//   _hesin_, _баламды_, _aleeta_, _afliver_, 
   {{0x565b0468,0x7eb00467,0x62010138,0x67b402a9}},	//   _ngokwemi, _indosian, _besin_, _laisvosi, 
   {{0xeb090775,0x237a0122,0x3a67004a,0xa96303c6}},	//   _composte, _perawan_, _кризисы_, _synonime, 
   {{0xe94702d3,0x6c750138,0xcec3029b,0x00000000}},	//   _финале_, _sokuyor_, _laayante_, --, 
   {{0x786e0040,0x663602a5,0x0320005b,0x83020429}},	// [55b0] _sessions_, _संघहरू_, _taiyou_, _andartu_, 
   {{0xe6cc0079,0x2ecb00fb,0x5d4100c4,0x03420262}},	//   _ienaidni, _ebuntwin, _maradufu_, _direlen_, 
   {{0xb20106db,0x12d60177,0xd2ca0202,0x731c01d2}},	//   _gesin_, _турсунов, _afolabi_, _dalcón_, 
   {{0x2ee30052,0xe38202e1,0x148602d5,0x19d90060}},	//   _पूर्वाधा, _قائلا_, _महरानी_, _بەرگى_, 
   {{0x63e4025b,0x1c990059,0x36ce0119,0xa38600ea}},	//   _vantandi_, _кабинетъ, _dimapili, _atoroy_, 
   {{0x8290020e,0x08a20486,0x06500320,0x264f0196}},	//   _lekala_, _zapomněl, _emakhixi, _anandibw, 
   {{0x83aa0698,0xc3f10225,0x5ee30193,0x3b8d0239}},	//   _norveje_, _gatsitsi_, _पूर्वापा, _takitaro_, 
   {{0x2e850014,0x7e03017e,0xc92701be,0xa2010478}},	//   _ወልደሱስ_, _intertra, _solidní_, _vesin_, 
   {{0x573702cf,0x0292026c,0x22d400d5,0x1f2602a2}},	//   _таблети_, _octavo_, _mazotoa_, _modernon, 
   {{0x5d1b0092,0x72900416,0xe9b802a0,0x1201009b}},	//   _オリンパス_, _mymail_, _leleshwa_, _lesio_, 
   {{0xb2ca012c,0xe5f90059,0x1b8a00a4,0x53490482}},	//   _akilini_, _каталоже, _могол_, _wareedi_, 
   {{0x5a880013,0xd62e010f,0xaf750058,0xc29701cd}},	//   _اینترنیت_, _ваколати_, _kosadoms_, _бенатиҷа_, 
   {{0xd9c401cf,0xf34402c8,0xf917014e,0x2a24009a}},	//   _infectat, _alberte_, _средину_, _دزیاتیدا_, 
   {{0x62cb022d,0x5c7000db,0x074b014f,0x5e01013a}},	//   _aceddi_, _kaamerad_, _отровно_, _indextra, 
   {{0xbcd50272,0x03f4046b,0x76a60193,0x6f22011a}},	//   _abakuagu_, _gostau_, _प्रयोगात_, _אקרילי_, 
   {{0x0f660253,0x8e50003c,0xdf61038a,0x820106ae}},	//   _tamakkun, _basamela, _choqueza, _cesio_, 
   {{0x626d03c2,0x02010138,0xc9650600,0x1290016e}},	// [55c0] _inborn_, _nesil_, _अभिनित_, _tuhaf_, 
   {{0x13f4045f,0x7d1f0026,0x2dff0062,0xdf0e01de}},	//   _postad_, _getoonde_, _lijeghta, _армияның_, 
   {{0x12960315,0xebbf004d,0xab67034d,0xe8e90045}},	//   _angafaki_, _台南縣歸仁鄉長榮, _pamerkan_, _наставно, 
   {{0xb96700e4,0x6201011a,0x2da4024c,0x22f60050}},	//   _samodzie, _resin_, _bilingwa, _ninggali_, 
   {{0xe7a60020,0xb02903cf,0x4e1b0095,0x3ed200c4}},	//   _amatalai, _gereksiz_, _ditemoka, _پمفليٽ_, 
   {{0x1009005e,0x1aaa0483,0x00000000,0x00000000}},	//   _مەغفىرەت_, _extraída, --, --, 
   {{0x2f2202fe,0xd2320367,0x8d0c00dc,0x9e7f0092}},	//   _سريلانکا_, _chamado_, _ateritor, _商品詳細へ_, 
   {{0x4097032b,0x1a570134,0x00000000,0x00000000}},	//   _باستىم_, _àdáne_, --, --, 
   {{0x51d20297,0x696300dc,0xc32a00ba,0x6f3b01c0}},	//   _armiädä_, _logolele, _لفوبێی_, _curutuka, 
   {{0x802900b3,0x537901f5,0x00000000,0x00000000}},	//   _dereksiz_, _kobaran_, --, --, 
   {{0xb29004bb,0xfc31008d,0x33f804cf,0x0f3f0241}},	//   _nthaw_, _لشکرگاه_, _mpazamo_, _guurrama, 
   {{0x0ee90286,0x36db0057,0xbeab0222,0xd3ea02ac}},	//   _abakɔnnw, _የገዳማት_, _lunettes_, _miotal_, 
   {{0x78d8007e,0x543e0089,0x727f01b4,0xa46e014e}},	//   _agastyav, _балны_, _spanne_, _драме_, 
   {{0x36b903dd,0x226d001c,0x59d80374,0x29db03e6}},	//   _pavaresi, _enborn_, _лентаси_, _mederche, 
   {{0xc25a0120,0xe7400071,0x6b550282,0xc9250059}},	//   _yolluk_, _اینهمه_, _hautupua_, _главите_, 
   {{0x527502c4,0x1152034e,0x327f01df,0xd4cd00b3}},	//   _hidráuli, _challway_, _laynes_, _böldüler_, 
   {{0xb56902b2,0x5f9d0060,0xb8f1029a,0xb3370368}},	// [55d0] _профспіл, _بەكىتىلگ, _sengapou, _синода_, 
   {{0xc3ea01f1,0x78a70093,0x63f80188,0x0386016a}},	//   _kultit_, _аутентиф, _ahluke_, _agordi_, 
   {{0xa2cb046a,0xdd9b02ac,0xb2fd01eb,0x52360622}},	//   _ajuda_, _tumoidea, _imagez_, _izija_, 
   {{0xe12503b9,0x17b600d1,0xbd760210,0x4f6c0455}},	//   _kutiyaña, _মিলেভা_, _akamurop, _dizaines_, 
   {{0x43e30144,0xa35b0513,0x39cc007b,0x376f00be}},	//   _حقوقها_, _mangava_, _nobeelit, _كەچىرگەن_, 
   {{0xa38b0065,0x5b170148,0xf63102d4,0x1ae202ea}},	//   _würde_, _實用相關搜尋_, _pussibel_, _distrett, 
   {{0x7daa000a,0xed190092,0x6e6100bb,0xab510026}},	//   _tunineqa, _すみません_, _بپاشا_, _olympisc, 
   {{0x6c76054d,0x662701ec,0x5202026c,0xac6e0328}},	//   _tirsdag_, _کاراته_, _oppido_, _ibarira_, 
   {{0x5f1e0238,0xf04d051a,0xfd970078,0xc008045e}},	//   _проектів_, _perundin, _генетике_, _тепърва_, 
   {{0xa3ea024a,0x02920339,0xbeac034c,0xc2d90456}},	//   _biotil_, _mataio_, _distäne_, _aleeya_, 
   {{0xd50700ee,0xb248066e,0x379c0158,0xddfd0562}},	//   _сурталчи, _elamu_, _बाज़ार_, _babeshwa, 
   {{0xef73019b,0x0c6b0776,0xb111001a,0xd22501c4}},	//   _futbolin, _चुम्मा_, _مینیجر_, _vlakte_, 
   {{0xb946026f,0xd2010286,0xfd57040f,0x5f390306}},	//   _ءوتۋى_, _besie_, _тайваня_, _alturama, 
   {{0xe96b03ad,0xd22b03b0,0xc35b0439,0x73a80151}},	//   _allinjat, _ferjesam, _lungiwa_, _belaying_, 
   {{0x41ed000c,0xb213005d,0x27bc014d,0x9b6c0198}},	//   _казакова_, _arahal_, _befestig, _gostilna_, 
   {{0x523901cd,0xc04c0091,0xd4c2020f,0xcabd0122}},	//   _конун_, _ayurnann, _ababunik, _گیلدا_, 
   {{0xe2cb0302,0xe00601db,0x992b02e4,0x727e019d}},	// [55e0] _ujuda_, _кальций_, _enemalta_, _kinnah_, 
   {{0xe26d038c,0xfae2024c,0x71f803ce,0x4bc104eb}},	//   _navodi_, _ristrett, _ستافه_, _अहलूवालि, 
   {{0x42ca00af,0x8294044a,0xfe7c0041,0x67bc025c}},	//   _trodde_, _batatoli_, _chõro_, _gefertig, 
   {{0x38850041,0x72d600ff,0xd7830265,0x00000000}},	//   _иыҵаиаз_, _alvokon_, _slaverni, --, 
   {{0x89c10255,0x58100088,0x00000000,0x00000000}},	//   _kandidee, _cancerig, --, --, 
   {{0xb257012c,0x312801ce,0xe41d00de,0x58f2032d}},	//   _ننگرپارڪ, _موثرند_, _andiyonk, _гульнора_, 
   {{0x94c8048a,0xcbf40024,0x03f903db,0x4290023b}},	//   _мамандар, _অপৰাধত_, _emvula_, _rekaba_, 
   {{0x85d00057,0x938606f8,0x353e02ac,0xd3bc0162}},	//   _በማኔጅመንት_, _yngri_, _وأخيرا_, _момайлар, 
   {{0xb3ca0061,0x49cb0289,0xe6110115,0x62f10157}},	//   _뷰어다운로드_, _chilunga_, _usuluddi, _analizuj, 
   {{0x2e5903ea,0x72fc0288,0x52250258,0x43f903db}},	//   _推荐给朋友_, _betibet_, _blykte_, _imvula_, 
   {{0x6df80255,0xcf4d036e,0xf6940275,0xbf2403d4}},	//   _सम्मनित_, _asipayap, _kaletoni, _duško_, 
   {{0x80d401a3,0xa2ea03b2,0xa26b0585,0x00000000}},	//   _مرسڊيز_, _redness_, _dotrajal, --, 
   {{0x3386017e,0x70c003b8,0x66a2054c,0x3177016f}},	//   _nigra_, _البومىن_, _kontorby, _гетто_, 
   {{0x92900168,0x42b102ce,0xdeb100cd,0x8313013a}},	//   _markert_, _pandita_, _altezias_, _fleisseg_, 
   {{0x3d060371,0xc8550169,0x817900ff,0xbe17018b}},	//   _attraver, _শিক্ষকের_, _eksplodo, _superioa, 
   {{0xc7a900bc,0xa6010142,0xd3ea0486,0x53c504dc}},	//   _دوستانه_, _sundaram_, _dejte_, _ساروزی_, 
   {{0x627e0159,0x2396002f,0xb2900418,0xf2d6014d}},	// [55f0] _kainas_, _awustu_, _ithal_, _verlegt_, 
   {{0xd38f04cf,0x70bf0022,0xb3630498,0xc8fb0085}},	//   _minyaka_, _форумдар_, _objednaj, _nakauvad, 
   {{0x41410120,0xc3f90334,0x3a9100cb,0x37cd0170}},	//   _esseleel, _amvula_, _abazethe, _anasanji, 
   {{0xa3dd0105,0x9658020f,0x00000000,0x00000000}},	//   _norwegii_, _elangakw, --, --, 
   {{0xece80192,0xe78500bb,0x6b890181,0x17ee0183}},	//   _은평뉴타운_, _دھجیاں_, _ayanotdo_, _davarang, 
   {{0xfa9800c8,0x1f5b002f,0x53360061,0xd2970087}},	//   _вариантт, _allaukan, _공무원노조_, _emakumu_, 
   {{0x6643021c,0xa61d069c,0x00000000,0x00000000}},	//   _samotná_, _fotomobi, --, --, 
   {{0xaea30061,0x741c025e,0x02ac040f,0xdb6e019d}},	//   _금호베스트빌_, _uppreisn_, _манастыр_, _kabuwaza_, 
   {{0xae96015e,0x52e30362,0xe2240013,0x427e04bd}},	//   _تىلىم_, _moliere_, _ochko_, _paona_, 
   {{0x17350261,0x3949002c,0xa2cb022d,0xd3b00291}},	//   _prezenti, _udalbilt, _acedhi_, _ولوالدي_, 
   {{0x2b130359,0xe2d90212,0xe27e00ec,0x637b01c0}},	//   _pleatsen_, _videor_, _dainas_, _ajjalal_, 
   {{0xb27e02c5,0x1a140179,0x7a1400ef,0x42080205}},	//   _waona_, _holandja_, _andavuma_, _бостириш_, 
   {{0x827e00ea,0x426c00e9,0xb3240220,0x2035002b}},	//   _taona_, _gokool_, _balconi_, _বীজতলায়_, 
   {{0x36d20157,0x23860302,0xb378014a,0x7f360244}},	//   _विहिप_, _ihora_, _megadva_, _великият_, 
   {{0x01410243,0x92d901e5,0x7a7f028f,0xcbfd0275}},	//   _asseleel, _aleefa_, _hukapapa_, _logologo_, 
   {{0xc3470075,0xdfd102c3,0x8a8d0296,0x49d402ec}},	//   _almenna_, _čitateľo, _visionen_, _kaalmada_, 
   {{0x20a50060,0x4a9f004d,0xe35b0320,0x7379016a}},	// [5600] _этносара, _教師評鑑制度_, _manguva_, _balailo_, 
   {{0xc29102f7,0x04b50057,0xff4d0094,0xa2ca0262}},	//   _bogasi_, _merasmik, _جەڭىلىست, _demde_, 
   {{0x3fcc01d9,0xec9f0576,0xaa97007b,0xc2df0220}},	//   _sozialpo, _pangestu_, _believin_, _alberghi_, 
   {{0x131200d1,0x803002d4,0xf3870279,0x128302fe}},	//   _ইমিউন_, _mastergn, _phares_, _ayokuwa_, 
   {{0x5200018b,0x37b60059,0xf38600fc,0xea0700ee}},	//   _decis_, _георгиев_, _ghora_, _garbiket, 
   {{0x20bb013c,0x4b0a033e,0x120202ae,0xc348024c}},	//   _dəllallı, _корпенко_, _mrsić_, _frieghi_, 
   {{0x93860121,0xd1c900b4,0x534300e5,0xdb1e0192}},	//   _ahora_, _поате_, _direito_, _본격적으로_, 
   {{0xbc910156,0x372b0109,0xa3860103,0x3f5d00f3}},	//   _מכתיר_, _jedničku_, _bhora_, _lamakhon, 
   {{0x22010129,0x83ec01b8,0x20ca014e,0x90ea02ec}},	//   _kesia_, _loomulik, _запослен, _یرٕوٕن_, 
   {{0x5f5d05e7,0x420001f7,0x43dd0120,0x9fae0039}},	//   _namakhon, _recit_, _haaway_, _чалко_, 
   {{0x73dd02e7,0x9c220151,0x2f15025b,0x17e700c1}},	//   _kaaway_, _shirveis, _listafra, _पेहराव_, 
   {{0x8e1202ac,0x2970001c,0x32010240,0x5b9d03ef}},	//   _حدثنا_, _bernkast, _lesia_, _ahongaho_, 
   {{0x42ee0318,0x69cc0073,0x88630613,0xf0ec004c}},	//   _esenisi_, _offendit, _estímulo, _babitwal, 
   {{0x12d001b5,0x2f2c00d1,0x93ac00e2,0xbc330156}},	//   _domeyini_, _পশ্চিমীয়, _pippyn_, _מאריא_, 
   {{0xa2ca015d,0xd27e0240,0x26b5034e,0x8ebf039f}},	//   _drodze_, _kaono_, _aytuchay, _reagents_, 
   {{0x832c00a4,0x9ae40169,0xf8fd02ec,0xfbdd0296}},	//   _булардын_, _অপসারণ_, _garashad, _receptfr, 
   {{0xb3860141,0xaeaf05b9,0xc2ca017a,0x6eaf01fa}},	// [5610] _chora_, _erotiske_, _ajaloni_, _kololian, 
   {{0xb19c0132,0x325b0034,0x6f390177,0x1e120151}},	//   _زلزلے_, _fjalla_, _ambuékat, _anteluca, 
   {{0x56dd0156,0xd2d8014e,0x425b01da,0x4d1001d4}},	//   _מסתמה_, _napolju_, _gjalla_, _alcumitr, 
   {{0x42000777,0x2c1a0167,0xd96a01cc,0x5c0a02f4}},	//   _decir_, _aberglas, _atandrit, _cumplen_, 
   {{0x52df03f0,0x524a0320,0xd8bf0488,0x206e0156}},	//   _menning_, _bvumba_, _graudaug, _baratano, 
   {{0xa5aa0466,0x3fd601db,0x9ae801a5,0x00000000}},	//   _poznajem_, _شۇپتىڭ_, _antonsen_, --, 
   {{0xe64200d1,0xc38600d3,0xcd9800f0,0xf20104d7}},	//   _মানসী_, _shora_, _infekcie_, _bfsig_, 
   {{0xb5c901e1,0xe8de0019,0xa2fc028e,0x3283043f}},	//   _тантанаһ, _кредитке_, _relijes_, _slikara_, 
   {{0xf2000125,0x12010286,0xf97600ee,0xe3f800ee}},	//   _sekiz_, _besii_, _argibide, _publikok, 
   {{0xb300001e,0x2c300040,0x53f801d5,0xe1e601af}},	//   _albashi_, _medicaid_, _őszén_, _biziňkä_, 
   {{0xa8fd00b0,0x8b340125,0xdaba0037,0x39dd04e3}},	//   _barashad, _гүлдүрип_, _ጉባዔውን_, _željela_, 
   {{0xda7f0326,0x20de02f6,0x70310251,0xdf0700ba}},	//   _achamupa_, _ebanghel, _darteedn, _واهیری_, 
   {{0x783900a2,0xfcbb0467,0xfc41048c,0x52fb01c5}},	//   _دوستيءَ_, _menasepɔ, _bulwark_, _tashiga_, 
   {{0xb0c70410,0xa4af039e,0x013e004b,0x963b0211}},	//   _matlakal, _শিক্ষাৰ_, _колонияһ, _сбербанк, 
   {{0x037900d2,0xc2900085,0x6b83002b,0x616a03a1}},	//   _ambahan_, _sekaia_, _নয়তো_, _принуден, 
   {{0xeab1045c,0xcf280061,0xcf63008b,0xc36f02e7}},	//   _telefónu_, _배송예정일은_, _dogalees_, _hingpit_, 
   {{0x1e3b025b,0xe30200cf,0xcc4f0390,0x62ba0055}},	// [5620] _haraftra, _dalaguu_, _biokimyə, _bandeti_, 
   {{0x4a08006d,0x00000000,0x00000000,0x00000000}},	//   _гамасэкс, --, --, --, 
   {{0x3a33007e,0x00000000,0x00000000,0x00000000}},	//   _durvarṇā, --, --, --, 
   {{0x1f69001a,0xf735004a,0x528e04b2,0x7cc9018d}},	//   _hatalmas_, _алулары_, _masasabi_, _ንከታተል_, 
   {{0xf9c0002c,0x32d80286,0x00000000,0x00000000}},	//   _azterket, _homeda_, --, --, 
   {{0x20530101,0x9386031d,0x05fe0041,0xcaac0092}},	//   _reprezin, _chorn_, _иамоузеи_, _熟女とｴｯﾁ_, 
   {{0xa3fa0114,0x92450639,0xd35500df,0xd3f40321}},	//   _nature_, _mendalam, _acteurs_, _bistvu_, 
   {{0x3a08019e,0x1290038e,0x73880307,0xcdd70274}},	//   _буржуазн, _luhan_, _bangazij, _bloggsíð, 
   {{0xd64f0499,0x893101eb,0x53780176,0xcf600156}},	//   _denndorf, _bonhomía_, _affarha_, _אָרעגאָן_, 
   {{0x798c0285,0x5b840061,0x9bb803a2,0x99f7030a}},	//   _mishinga_, _자유토론방_, _इटैलियन_, _chegache, 
   {{0xf34401cf,0x856f00af,0xaa7d033a,0x437f003f}},	//   _foreste_, _hindsigh, _bijokarb, _hinadha_, 
   {{0x36a60255,0x14c20043,0x2876002c,0xd2e30009}},	//   _प्रयासरत_, _ababinik, _bizilagu, _sodisce_, 
   {{0xc3e600d7,0x1ed500de,0xf7e30012,0xc2000418}},	//   _barutisi_, _bayibamb_, _मोड़िक_, _necip_, 
   {{0xde68010f,0x23fa01fb,0xbf1f0072,0xb26e01f4}},	//   _нестем_, _fature_, _sartasip, _xaritasi_, 
   {{0x127e04d2,0x38fc02d3,0xf27d02b1,0xbb6b0399}},	//   _magne_, _премногу_, _likitoci_, _histolia_, 
   {{0x71d204f7,0x625b03db,0x6061016e,0xee9702fd}},	//   _lifebuoy_, _adalwa_, _eksiklik_, _cultaire_, 
   {{0xd225035b,0xf31700e7,0x1ec601db,0x86d60290}},	// [5630] _steklo_, _ankalay_, _شاشپاي_, _decretà_, 
   {{0x56ad01db,0x1387053e,0x122a019b,0xaea7013a}},	//   _اتاۋعا_, _svarte_, _рогам_, _betrefft_, 
   {{0x33cf00a5,0x52b40261,0x727d0135,0xd2b50129}},	//   _agavaa_, _speco_, _minemçä_, _imechu_, 
   {{0x82cb0004,0xa248012b,0x83fa0007,0xf06e001c}},	//   _avadra_, _plamy_, _putulu_, _parasano, 
   {{0xd83d04f4,0xa0e70265,0x0a0c0211,0x58d800e6}},	//   _permitid, _schimmel, _jakamine, _发行时间起始日_, 
   {{0xe0b4012a,0xd6d500b2,0x327e004f,0x311d034e}},	//   _kryminal, _duraanii, _jinney_, _hawkayay_, 
   {{0xfe0203a2,0x1386013d,0x837c01b7,0x32ec015a}},	//   _बमुश्किल_, _akiras_, _cikṣepa_, _googilfi_, 
   {{0x9ae20220,0x6c5b03db,0x42900359,0x2153033e}},	//   _рециклир, _bafunge_, _beskaat_, _морельи_, 
   {{0x0f3501b8,0xd3fa00f6,0xa33d0425,0x24e100d1}},	//   _suurenda, _tutumu_, _شیعار_, _কৰবাত_, 
   {{0xe26d002a,0xba7f0099,0x03430244,0x0f5b00d5}},	//   _adword_, _achakupa_, _diretto_, _manangan, 
   {{0x065b04bf,0x82f1015e,0x973d0148,0x385001a4}},	//   _značajni, _estigui_, _transfug, _nakokend, 
   {{0xf248029b,0x00000000,0x00000000,0x00000000}},	//   _fiime_, --, --, --, 
   {{0x5c590115,0xd3640294,0x72480200,0x70e600bb}},	//   _amatlah_, _angeltaj, _niime_, _کارندوں_, 
   {{0x33fa046d,0x84700358,0x19aa00e4,0xb2da00a6}},	//   _lutuku_, _derespek, _सूर्यादय_, _basete_, 
   {{0x32ca048f,0xedc8027f,0x06ce0067,0xf2d8025f}},	//   _adede_, _amahenda, _baqatani, _komema_, 
   {{0xaf4b0445,0x6ec701ac,0xd9120176,0xc95000ec}},	//   _resposta, _معيشة_, _berbakyu, _pakoment, 
   {{0x7c670107,0xeb9f006f,0x3d600012,0xf1ff034c}},	// [5640] _گردان_, _mishahar, _कोरैन_, _иманым_, 
   {{0xbf640544,0xae980041,0x22e10176,0x00000000}},	//   _hoopaele_, _иубилеин, _asunaro_, --, 
   {{0x2d8005e5,0xb2a10633,0xc19b02d6,0x6191003a}},	//   _मुख्यमंत, _project_, _экипажи_, _murabbiy_, 
   {{0x52d8004b,0x5e550226,0x02da020e,0xe3030195}},	//   _romela_, _chachisa, _hasese_, _lomairt_, 
   {{0x924a0226,0x1f5b006a,0x61d901af,0x83f90318}},	//   _cosmas_, _nanangan, _adaglysy_, _kofuua_, 
   {{0x93f9003e,0x7ebf055b,0x038b046f,0x722400cf}},	//   _mofuta_, _styrkane_, _büroe_, _halkanii_, 
   {{0xbf5b00d5,0x12640008,0x7c2d0325,0xda0c0282}},	//   _hanangan, _parlen_, _biznesdə, _wakamine, 
   {{0x8f140040,0x8f0b00be,0x00000000,0x00000000}},	//   _ברישיון_, _كىرزىس_, --, --, 
   {{0x02fc0365,0x7e95008c,0x15e00450,0x5d3f0014}},	//   _belgie_, _culminon, _efterstâ, _fashiste_, 
   {{0x759d0164,0x79aa01cd,0x51fe04a4,0x612a02d5}},	//   _контролл, _солим_, _organach_, _tervisho, 
   {{0xc3f40372,0x664a0037,0x12da0005,0x69f701ad}},	//   _costau_, _በየምርጫ_, _essend_, _binisaya_, 
   {{0x9f5b00d5,0x66590011,0xed2d011a,0xc2ca037c}},	//   _fanangan, _amakkani, _maximise_, _prodit_, 
   {{0xb2eb0698,0x32fd03c0,0x596901bb,0x635f00c5}},	//   _harimwo_, _rediger_, _borçnama, _appelez_, 
   {{0x968f0024,0x92f0029b,0x3d24018d,0xe2010148}},	//   _শ্বাহৰুখ_, _defukaay_, _ዝነኣሰት_, _desit_, 
   {{0x7c6403cc,0xe290030b,0xd49900c6,0xba2b0076}},	//   _অপেশাদার_, _addayo_, _правозна, _впечаток_, 
   {{0x12e30084,0x822e004d,0x294203f3,0xfb380223}},	//   _asooooy_, _專業性訓練_, _kwartier_, _паакталс, 
   {{0x0aec03ad,0x120103eb,0x8ecd006f,0xac370045}},	// [5650] _attraent, _gesit_, _mamilion, _наслеђа_, 
   {{0x4de10147,0x1e0603f0,0x0248018b,0x63fa0453}},	//   _ابتوبۇسق, _myndirna, _inima_, _putuju_, 
   {{0x725503a2,0x1db10025,0x43a70187,0x5c0b0421}},	//   _टूटेगा_, _विशेषकम्_, _заостану, _treppen_, 
   {{0x22da0085,0xb26e018b,0x03f8030f,0x338701bd}},	//   _kasere_, _carora_, _kukuti_, _ساردار_, 
   {{0x05320072,0x0c720235,0x317a0227,0xec970235}},	//   _apaniway, _दर्शयेत्_, _fadhilah_, _प्रकाशन्, 
   {{0x4dc404df,0x63780133,0x6dbb02ef,0xf28e038f}},	//   _apellýas, _dibataa_, _granmčt_, _diskenn_, 
   {{0xc38700aa,0xbfe300d1,0x4386039f,0x426d04ab}},	//   _charos_, _অভ্যাসবো, _whore_, _odgoju_, 
   {{0x62480384,0x226d00d1,0xe2d80132,0xd2ca035d}},	//   _onima_, _unborn_, _kilenc_, _srodne_, 
   {{0xb26c0298,0x835b00bf,0x7992016d,0x925a047d}},	//   _kanohi_, _изменить_, _تەشكىل_, _vollek_, 
   {{0xe5f90444,0xec6602aa,0x60e900b6,0x1255018b}},	//   _ходят_, _vrstvou_, _kitaabak_, _guvernam, 
   {{0x548501b7,0x879a0061,0x050301f4,0xdd9002f4}},	//   _ध्मातं_, _법정대리인이_, _millatch, _inolvida, 
   {{0xddf10308,0x27c204e5,0x82fc0250,0xef390020}},	//   _mendapat_, _abasindi, _hetimet_, _fotutama, 
   {{0xc8d90148,0xa7b402af,0xf5f002c8,0xec760486}},	//   _未得標廠商名稱_, _ararindi, _albariño_, _कोस्टर_, 
   {{0x227e006f,0x728100da,0x15cd0299,0x00000000}},	//   _naona_, _cursuril, _ئەنقەرەد, --, 
   {{0x791002ba,0xa9bf0231,0x3c1d0281,0x623003ac}},	//   _inkazimu, _quadrage, _appariar, _jelmaan_, 
   {{0x969d03d4,0xfdb300d8,0xe24a02fd,0xc3010239}},	//   _храст_, _acantona, _farmad_, _matanui_, 
   {{0xba700476,0x77a901ac,0xf27e023b,0x50660188}},	// [5660] _achaitwa_, _مقبرة_, _kaona_, _хурӯҷи_, 
   {{0x02ed02fd,0x00290361,0xca17025f,0x58b00299}},	//   _barraich_, _реформы_, _bosalaka_, _ئىغۋا_, 
   {{0x2c5b0250,0xf7b200b7,0x66e7005e,0x127e023b}},	//   _postimi_, _çalarak_, _نۇزۇگۇم_, _maona_, 
   {{0x284c0026,0x52ea02f3,0x047a01da,0x5c9300a6}},	//   _않았습니다_, _butiken_, _statusin_, _بادار_, 
   {{0xf9d0042f,0x520101da,0x918c00da,0xec970235}},	//   _inuttivu, _besim_, _згомотул_, _प्रकाशस्, 
   {{0xd36f007d,0xf87e00b3,0xf0a40126,0x45f4004b}},	//   _ringgit_, _оздуранд, _експерті, _юличка_, 
   {{0x630f03cf,0x301700c5,0xdd79002b,0x139a0400}},	//   _misafir_, _西藏自治区_, _তৌফিকুল_, _adoprani_, 
   {{0x4f1803f2,0x36010253,0x34f700be,0xdb510220}},	//   _центре_, _salliuti, _بالاجاتى, _tastiera_, 
   {{0x04b50245,0x7343013d,0x7201026d,0x0a3d00da}},	//   _luizinho_, _direkto_, _tesim_, _militară_, 
   {{0xe3aa0105,0x07fd02ac,0xbf38033f,0x89bf03b7}},	//   _कम्मेन्ट, _وتفاصيل_, _lotukala, _ariegate, 
   {{0xa3a20079,0x9a4a0202,0x0253027b,0xac4b010b}},	//   _telpa_, _haadiwia_, _aśnanti_, _eketeng_, 
   {{0x03f8014e,0xe249005a,0xdb3f02c4,0x77f40080}},	//   _ponuda_, _boqma_, _esqueça_, _allatsig, 
   {{0x9d99017c,0xd54a0299,0xbf0000ba,0x697900bf}},	//   _bloggare_, _ئىتنىك_, _ناوێرن_, _бербер_, 
   {{0x638600d6,0xa30d002b,0x7e2a0092,0xeea70421}},	//   _mbord_, _কালীগঞ্জ_, _中央道伊那スキ_, _betrifft_, 
   {{0x1c76027b,0xff3b0360,0xd7e30059,0x5b200082}},	//   _मोक्षो_, _hasičů_, _моркови_, _sababbin_, 
   {{0xa19300c4,0x3a0e032b,0x17ed011f,0xe2000227}},	//   _ڊڪٽيٽر_, _ердос_, _españagu, _mgkin_, 
   {{0x90f90135,0xb39b0037,0xb9fa023c,0x80d603c6}},	// [5670] _başların, _ፕላስቲክ_, _baliqela_, _jongfolk_, 
   {{0xa497029c,0x33eb01cd,0xd4e300f8,0x78170019}},	//   _angaupez, _amatry_, _শামান_, _кимбиз_, 
   {{0x52010138,0x7571040f,0x5a2d0163,0xf2d80382}},	//   _resim_, _pertrauk, _المدت_, _gimeta_, 
   {{0xf2cf001d,0x327700a4,0xdd8a03f3,0x43480163}},	//   _abhorre_, _радиусу_, _traditie_, _elmenni_, 
   {{0xa8ac00c5,0xae520074,0x3dc801be,0xe8f5033e}},	//   _防腐涂料厂_, _морские_, _ईत्यादि_, _kokatuvu, 
   {{0x59730319,0x0bee0076,0x9395007b,0x44870475}},	//   _মুক্তিযো, _таков_, _beesom_, _архивов_, 
   {{0xb2640199,0x63870155,0xe6de0210,0xf6600218}},	//   _farlin_, _svarat_, _anyanyof, _arrivalw, 
   {{0x1069049e,0x10d801fe,0xb4e3002b,0x49d70044}},	//   _prepojen, _domolail, _শাবান_, _lonesome, 
   {{0x8c620334,0xf37800d5,0xbd3a03fb,0xf79e0311}},	//   _aigupto_, _anjaran_, _skrivene_, _ተስፋዝጊ_, 
   {{0x69e90401,0x424a0256,0xbd960059,0x83df0763}},	//   _अतिवादी_, _posmos_, _инвентар_, _ayimizek, 
   {{0x50850019,0x72ca055f,0x7e7a00e6,0x00000000}},	//   _алалычы_, _adedi_, _破坏国家宗教政策_, --, 
   {{0x6a4802e7,0x5afc02a4,0xe3200342,0xc2a5042c}},	//   _lisensya_, _neurorne, _abiyou_, _ciljevi_, 
   {{0xabcf00c5,0x856f032b,0xb2b903cc,0x6c0b03f8}},	//   _即中国安徽企业网_, _имитиват, _indicó_, _dihutlhb, 
   {{0x3ad7000b,0x48e00273,0x99e000d0,0xa92a03ec}},	//   _amotumot, _asegurad, _asegurat, _themelua_, 
   {{0x2c6002ce,0x438802ba,0xf25b022c,0xdc7001c4}},	//   _jujutan_, _abesimam, _ajalna_, _verslae_, 
   {{0x62e30044,0x0386005b,0x52020065,0x034803a4}},	//   _visited_, _saori_, _ulrich_, _almenni_, 
   {{0x62da0503,0x33830177,0x0b2100b9,0xbc660064}},	// [5680] _franske_, _зыҟаҵара_, _payakumb, _sortint_, 
   {{0x18db0169,0xb2010125,0x9d3b0052,0x327e03f9}},	//   _শিল্পকলা_, _mesih_, _majitele_, _cagna_, 
   {{0x938603ea,0x79fa01fe,0xd3960265,0xd3dc010d}},	//   _abord_, _bulikula_, _artsen_, _minwoo_, 
   {{0xe9fc0005,0xce7501e3,0x02f20110,0xefe301c0}},	//   _selament, _rečemo_, _paliktu_, _jikkatar_, 
   {{0x223b01f5,0x85d8020e,0x8bb00118,0xcb59003b}},	//   _melewati_, _батталов, _awakanir, _emathaya_, 
   {{0x350502ec,0x526c029b,0x72920115,0xaaf300af}},	//   _پُھٹاں_, _bokoul_, _sesapa_, _cykelvas, 
   {{0x153c0279,0x627803e4,0xeb76008d,0x31190175}},	//   _recherch, _ipunim_, _шархга_, _provizyo, 
   {{0x9e9e0013,0xae2504b9,0x32900220,0x89ce0007}},	//   _ғалла_, _callants_, _gelato_, _ezimbaka_, 
   {{0xee9d0371,0x93690224,0xefab0153,0x32b100a4}},	//   _частично_, _tengdir_, _回全日本総合選手, _voldria_, 
   {{0xb61c018a,0x34a70017,0x72d900cb,0x3d4b0045}},	//   _statudol_, _प्याराग्, _abonile_, _станицу_, 
   {{0x5a5f01dd,0x749b0109,0x7e95021b,0xe01100cb}},	//   _amwereka_, _nenahraz, _кубани_, _ayivelan, 
   {{0x427e02f6,0x0608023c,0x3f6e0037,0xbdb601e9}},	//   _nyong_, _دبغلان_, _ሃይማኖቱን_, _dipinaga, 
   {{0xf27e062b,0xff61030d,0x427e01e8,0x32d800d5}},	//   _iyong_, _çünki_, _tagna_, _nomena_, 
   {{0x3a120268,0xc963009a,0x727e02be,0xb27803fb}},	//   _isabilit, _angomele, _ayong_, _tornja_, 
   {{0x620003d8,0xd2d803d9,0xb301033f,0x00000000}},	//   _obliku_, _homena_, _matamui_, --, 
   {{0x329002e7,0xea2c0059,0x5368004d,0xd5c500d1}},	//   _kuhaa_, _радиатор_, _快速引用第_, _কীবৰ্ড_, 
   {{0x12ee0478,0x428a041a,0x8da5018e,0x82d801df}},	// [5690] _scenari_, _тренуван, _etinhomp, _comena_, 
   {{0x6d0002b6,0xb27e012f,0x62ca024a,0x9e5c00f6}},	//   _ءپاني_, _eyong_, _deede_, _inanmadı, 
   {{0x86cf0252,0xd20e000c,0xfa7e0240,0x5c7600d8}},	//   _timatimi, _закан_, _kosakosa_, _abrusas_, 
   {{0xe6470041,0x9489014f,0x0f0c0299,0xadb3036d}},	//   _ахәҳахәҭ, _проглаше, _ئاقمايدۇ_, _gairbord_, 
   {{0xe58b033a,0x35ea01ef,0xecf101b2,0xa7a70035}},	//   _approvaz, _пойме_, _battledr, _бутамаге, 
   {{0x793e0265,0x981300b3,0xb30001d5,0x043a0153}},	//   _robot혼_, _батылдыр_, _megadni_, _関連インプレッシ, 
   {{0x9dca002e,0xad32050b,0xe97101a3,0xe1b20297}},	//   _sličnim_, _एंजॉय_, _فوٽوگراف, _cimeşlär_, 
   {{0x92900310,0x08c10149,0x3ff70079,0xae940046}},	//   _athar_, _efesọs_, _publikāc, _بىلبەيمى, 
   {{0xb27e058a,0x630d0057,0x08f702c4,0xfabb018d}},	//   _magno_, _pelabur_, _проески_, _ንከይፍኖ_, 
   {{0x5a8801e0,0xb37a00b7,0xf31001ff,0x68f00422}},	//   _ئینترنێت_, _horasan_, _skratky_, _prepisov, 
   {{0x3d58026f,0xff2a0148,0xca0e003e,0x499d00c7}},	//   _анасына_, _內政部自然人憑證_, _basadiba_, _башым_, 
   {{0x62fe0047,0x52d004fd,0xfe530193,0x9e4e003a}},	//   _petites_, _सांत्वना_, _diraguka, _samarala, 
   {{0x4386005b,0x77720025,0x62900026,0x422902c3}},	//   _kaoru_, _स्थापिता, _najaar_, _odhaliť_, 
   {{0x08380066,0x0e9b0217,0x13ea019f,0x27750479}},	//   _үсний_, _defuncte_, _makusudi_, _árkategó, 
   {{0xe4d90444,0x7e3501c9,0x930d013b,0x00000000}},	//   _сознание_, _salakava, _nasakit_, --, 
   {{0x52d8035b,0x176301ab,0x00000000,0x00000000}},	//   _pomena_, _पसीधक_, --, --, 
   {{0xcdeb015d,0x95000040,0xc86703a2,0xc2830282}},	// [56a0] _najbliżs, _מזוודה_, _टुडेख़बर_, _koikara_, 
   {{0xeeb10259,0x9db60141,0x0ac00026,0xadb500e0}},	//   _danskere_, _sahifada, _geavance, _bernemoa, 
   {{0xc28604cc,0x02950014,0xfe4e00aa,0x8ede0153}},	//   _ancienz_, _edukimi_, _kamapala, _アイヌ伝説_, 
   {{0x830d00fa,0xf93600e6,0x7bf302ea,0x22b30082}},	//   _masakit_, _如何防治脂肪肝_, _суровини_, _darduma_, 
   {{0xd3fa01dd,0x18440238,0xfd6d00e7,0x22a703ee}},	//   _bitume_, _forumets_, _airmenwa, _šabac_, 
   {{0x6d830778,0x934b02c8,0x1c370064,0x87ed0297}},	//   _སྐྱོན_, _sucedeu_, _аудиторд, _жибэргэн_, 
   {{0x135b02e8,0x11a000b9,0x4f450374,0x3d4500be}},	//   _panguva_, _pancasil, _алматов_, _этаптары, 
   {{0x524800ad,0xd2920039,0x5bed042c,0x4db90257}},	//   _ngimpi_, _urrats_, _ograniča, _eignarha, 
   {{0xe3f40040,0xd2e205ff,0x7d860089,0x00000000}},	//   _listed_, _uslijed_, _аанруд_, --, 
   {{0x730d0266,0x5ef5018d,0x225b01ac,0xf2910008}},	//   _pelacur_, _ንምልጋስ_, _eaglet_, _urbans_, 
   {{0xeea70148,0x8241032d,0x22eb0016,0xa2d8018e}},	//   _若您的瀏覽器無法, _именлеге, _artisto_, _gomela_, 
   {{0x537d018b,0x3b0e0162,0xe2c40168,0x00000000}},	//   _departe_, _мислисиз_, _haaland_, --, 
   {{0xc9320169,0xf96700fe,0xc9fe0133,0x00000000}},	//   _গলায়_, _kanitite, _hoganoot, --, 
   {{0xd73501f1,0x72e100c1,0xf248007f,0x1be600e6}},	//   _prezanti, _कंदील_, _anaml_, _音乐播放器_, 
   {{0xf9e201cc,0x1be0004c,0x00000000,0x00000000}},	//   _bhartṛśo, _bateeber, --, --, 
   {{0x7b0b00b4,0xe8a50013,0x14630291,0x82920331}},	//   _pregates, _шуларга_, _بطنجة_, _etrans_, 
   {{0x179b0162,0x00000000,0x00000000,0x00000000}},	// [56b0] _ибраһими, --, --, --, 
   {{0xe92802cf,0xc9d20335,0x1fb2020f,0x00000000}},	//   _центар_, _akṣobhya, _ددعوت_, --, 
   {{0xf20e0205,0xd6c5038e,0xb3fa021c,0x80ac0350}},	//   _малак_, _cimanggi, _cituje_, _ኤርፖርቶች_, 
   {{0xb78603ce,0xc5f30363,0x962103f1,0xe20e040f}},	//   _واشنتن_, _påmeldin, _budovani, _вашае_, 
   {{0x5c0202a0,0x43f1010b,0x39f80288,0x169403fd}},	//   _alapejọ_, _befelang_, _omwayote, _kalefoni, 
   {{0x375e0107,0x92980109,0x39da0025,0x2bec00e4}},	//   _همسفر_, _बसीबियाँ, _समावेशः_, _autentyc, 
   {{0xee140265,0x62d80439,0x935602c2,0x42240138}},	//   _inderdaa, _comela_, _alreeds_, _kalkan_, 
   {{0xd7c70397,0x2c980137,0x8c6e00e3,0x00620486}},	//   _кафили_, _киногоор, _iberika_, _učitelky_, 
   {{0x0c2c03ff,0xe1c30066,0x22fd0087,0x00000000}},	//   _stupeň_, _kartelak_, _mulawuri_, --, 
   {{0x72900571,0x0b8c0140,0x42ea021b,0xaa17006a}},	//   _aloali_, _itinutur, _домашний_, _misaraka_, 
   {{0xeff901e6,0x744d0059,0xc69c0368,0x5e17042d}},	//   _ilustrač, _машината_, _потрошач, _andevola, 
   {{0xd3060321,0xa48602a5,0x4292001d,0x86170220}},	//   _podatek_, _लाभांश_, _atrans_, _esposizi, 
   {{0xf4d6006c,0x0b3c0156,0x00000000,0x00000000}},	//   _якпорчаг, _הנפֿש_, --, --, 
   {{0x06fe0405,0x30530287,0x2a2700d9,0xcf2700cd}},	//   _домашньо, _prosklen, _средних_, _alternon, 
   {{0x32a60319,0xa7bd0003,0xa32a002b,0x477b004d}},	//   _hombre_, _bevestig, _মহাসচিবে, _年度預計改善長度, 
   {{0x4ab20025,0x0cc300c2,0x49a70211,0xdc570012}},	//   _ज्योत्स्, _abahungu_, _билетов_, _चिरइआ_, 
   {{0x8c750231,0x54c10162,0x700b0061,0xca870094}},	// [56c0] _tabulas_, _сөздики_, _행복해지는_, _قاراۋعا_, 
   {{0x110c008d,0x697c027f,0x5057015e,0x941601ac}},	//   _ватандош_, _bikibone, _билимим_, _hiaráine_, 
   {{0x12480338,0xf2240028,0x00000000,0x00000000}},	//   _liame_, _falkan_, --, --, 
   {{0xba90014e,0xf72b0395,0x79d700ff,0xe2bb0139}},	//   _обучени_, _jednička_, _certigad, _drauṇiḥ_, 
   {{0x214b0062,0xefbb01bd,0xe4130039,0xdec60192}},	//   _binoblah_, _күйші_, _gernikak, _alvorens_, 
   {{0x52830100,0xc2f100da,0xa2fd0189,0xa31b0051}},	//   _skokova_, _инсталар, _dediler_, _istabā_, 
   {{0x04850312,0x8d240077,0x92ac033e,0x82d70185}},	//   _biologel_, _katsantr, _kuairũ_, _газинур_, 
   {{0xe51a027e,0xe9cc01f4,0x27fd004d,0xf9d60318}},	//   _приближи, _синовлар_, _下載實用軟體_, _taataapu, 
   {{0x9ec20253,0x34310244,0x4be40018,0xa0f501bb}},	//   _avannaan, _successo_, _ivavakos, _partnýor, 
   {{0x231100a6,0x950301b3,0x02d8005b,0x42e300f0}},	//   _عبدالکري, _сюжету_, _akkeie_, _holiace_, 
   {{0x301203db,0xcd080397,0x9d9a00ba,0x1d9a0097}},	//   _akavuman, _ahumushe_, _ڕاگوێزرا, _olówùú_, 
   {{0x04d701c7,0xb2480499,0x29fe023b,0x12fd055f}},	//   _барарыс_, _fiame_, _noonooia_, _kediler_, 
   {{0x3570001c,0x1b0002c7,0x827e00a2,0x32b803c2}},	//   _destroso_, _begrenzt, _ozoni_, _bigdick_, 
   {{0xc7be0013,0xa2ab0333,0x00cd0040,0xbe340158}},	//   _استالیف_, _nudità_, _והשתלמוי, _namalowa, 
   {{0xf2f20211,0xdc170040,0x4e6400ac,0x59fa0018}},	//   _valittu_, _הגריל_, _farbanje_, _tatasere, 
   {{0x82f3006c,0x400f0262,0x5a8f0119,0x7ac60341}},	//   _инандата, _basmaçy_, _nakitaan_, _reyhanlı_, 
   {{0x5a860230,0x4e8603ab,0x71b60094,0x0755026b}},	// [56d0] _evennman_, _spontánn, _قادىرلى_, _retórica_, 
   {{0xd6ce0091,0x9f320108,0x115c00ac,0x92e90422}},	//   _kamagili, _sabenern, _izbornih_, _fitnesu_, 
   {{0xa25603a4,0x026403b0,0x408902da,0x63f502ac}},	//   _sólin_, _koplar_, _примерит, _انشرها_, 
   {{0xb3f80418,0x022404a5,0x527f0453,0x12600396}},	//   _konuda_, _anikwe_, _njenoj_, _appostli_, 
   {{0xaf33032c,0xe836026f,0xf290010e,0xf0b7011a}},	//   _aperinga, _شىنتۋايت, _duhat_, _התנעה_, 
   {{0x4ba70440,0xbd96007b,0xedd5017a,0xd68b0044}},	//   _yashikir, _buttoned_, _abahlale_, _underlyi, 
   {{0x52e00176,0xbcc501e5,0x46100167,0xe2a600c5}},	//   _fornavn_, _asailaju_, _apelyddi, _sombre_, 
   {{0x8c710053,0x382101ee,0x74360403,0x3e210137}},	//   _terucap_, _вĕсенчен_, _hadalako_, _авууштай_, 
   {{0xe6810157,0x1ddc01a3,0xf26f00a1,0x129201e9}},	//   _अफगान_, _بلڊوز_, _paripari_, _kesara_, 
   {{0x82480209,0x2e63024c,0xc2d00304,0xd30c068d}},	//   _inimi_, _teknoloġ, _perogol_, _bruaset_, 
   {{0xc7a902fe,0xf2130316,0xe92e0040,0x2a8f00aa}},	//   _دوستانو_, _amshe_, _פומביות_, _kakitaan_, 
   {{0x67a50779,0x63070006,0xc20102c2,0x730c0040}},	//   _komentov, _makasih_, _besit_, _creates_, 
   {{0xa5ec014a,0x12ca0313,0x0e0f04a7,0x00000000}},	//   _mindenké, _quldaj_, _canceríx, --, 
   {{0x9e960276,0x89cf0132,0x00000000,0x00000000}},	//   _دىڭىز_, _کمبخت_, --, --, 
   {{0x241c0231,0xb4e50238,0xaf5b01d2,0x2ad9014f}},	//   _starburn_, _страхови, _allankan, _радиониц, 
   {{0xfe020065,0xc4440012,0x52ad02cb,0x434300a8}},	//   _wunderba, _छ्ोड़स_, _nalazišt, _anzemel_, 
   {{0xc9660158,0x844700be,0xa2a000c6,0xa28c00a2}},	// [56e0] _आईएनएस_, _تاپتاپ_, _черзі_, _utakuta_, 
   {{0xc24800c2,0x42920320,0x7c75009b,0xf80b01bc}},	//   _inama_, _bowasi_, _barriak_, _nederdút, 
   {{0x02480231,0x121d0145,0x738b003b,0x00000000}},	//   _animi_, _гарун_, _erisithi_, --, 
   {{0x0d79018d,0x591305f8,0x893a0011,0x5204005b}},	//   _እንተዳኣ_, _судьи_, _akaligwa_, _ashimomi_, 
   {{0x7920006c,0x00b4023e,0x183d01a1,0x00000000}},	//   _ababhuku, _apamaneh_, _vermoeid, --, 
   {{0x11ca027c,0x269c02ac,0x834a0148,0x00000000}},	//   _ترټولو_, _ايروبكس_, _的照片已上傳_, --, 
   {{0xdcd602ea,0x7ea7005e,0xcf30029c,0x54810032}},	//   _закрила_, _ئۈندىدار_, _chosakwa, _maqumbej, 
   {{0x051e0604,0xf7e600c1,0xb84101d7,0xfd6e01f1}},	//   _bitorosh, _स्वरात_, _aderents_, _promovua, 
   {{0x39e402d5,0x0201025b,0x8386005b,0x4e350287}},	//   _dokumend, _hesir_, _kaori_, _pamatova, 
   {{0xe8fd02d3,0xa2ca0025,0xc2010057,0x0a0a0147}},	//   _поставен, _sindhu_, _resit_, _تاسبئحئڭ, 
   {{0xa3860340,0xdc5e0172,0xbc600168,0x7c090300}},	//   _maori_, _akatram_, _terreng_, _lymfatic, 
   {{0x2945033f,0xdb8b0013,0x064f0141,0x9ec401c0}},	//   _etolumat, _bilimlar, _shahrini, _chenggon, 
   {{0x1c7603ba,0x27a80008,0xc90d0020,0x32b5021c}},	//   _dogurur_, _сурамжыл, _atuaotau, _plechu_, 
   {{0x17c80033,0xcb6401bc,0xdf270405,0x2db7006d}},	//   _preschai, _beteljen_, _superhon, _баторы_, 
   {{0x82480414,0x6ee20299,0x47390142,0x00000000}},	//   _enama_, _ئەبرار_, _वर्षकोटी, --, 
   {{0x991f0013,0xf97b01e6,0x2b74013c,0xdcd20024}},	//   _адресни_, _zaplatí_, _cavabını_, _চালকৰ_, 
   {{0xb201013f,0x03ce036c,0x7540002b,0x82a5019b}},	// [56f0] _resis_, _anivon_, _দিনপঞ্জি_, _служыў_, 
   {{0x629004e2,0x6eb40079,0x1a9a0307,0x06d101be}},	//   _dinaik_, _pieredze_, _abanelis, _कोसिस_, 
   {{0xd27e00c3,0x224804ae,0x035b02ec,0x8ae30141}},	//   _magna_, _snimi_, _bangiga_, _ashurmat, 
   {{0x9ff70404,0x73f8005b,0xc201046f,0x3b0c022f}},	//   _bonagatš, _dukuri_, _desir_, _судне_, 
   {{0xd38601fe,0x637f0465,0x422500e2,0x27a402c2}},	//   _iboro_, _lekarna_, _flakke_, _dieretui, 
   {{0x53860733,0x3e8c00ff,0x91f5027e,0xad760113}},	//   _aboro_, _אלטסהיימ, _судова_, _جراند_, 
   {{0xf28700b5,0x72ca04ee,0x30bc0037,0x566403bf}},	//   _akakase_, _eleda_, _የመግባቢያ_, _bogkutsw, 
   {{0x82de01f3,0xb3720015,0x2ecc00a3,0x946c02a8}},	//   _dekoltu_, _mahamed_, _arvingan, _inkwilin_, 
   {{0x48600064,0x12ee034f,0x39460092,0x0e560188}},	//   _persones_, _abaniki_, _自分のイメ_, _растанӣ_, 
   {{0x6c1c006d,0xe84b0148,0xc20100e9,0x00000000}},	//   _участку_, _restasis_, _sesis_, --, 
   {{0xc2360171,0x0e00018f,0xf2240306,0xae5b02b6}},	//   _valjda_, _bibechta, _balkun_, _дұшпанда, 
   {{0x1ae50287,0x82fe0116,0xf28f0144,0x520d043b}},	//   _primární_, _betides_, _aighnis_, _càite_, 
   {{0xa577016d,0x14120362,0x36d3001e,0x113a0151}},	//   _маркел_, _ayanolak, _harakoki, _alteragh_, 
   {{0xeb1104ca,0xf34600ba,0x3e510227,0x92da00ad}},	//   _dangeros, _بۆئیوه_, _membiaya, _anteur_, 
   {{0x8f5703b0,0x00000000,0x00000000,0x00000000}},	//   _samanhen, --, --, --, 
   {{0xa2d50373,0xa54e01f2,0x361602c3,0x3200030a}},	//   _laboron_, _йиңнә_, _odpadový, _troita_, 
   {{0x39030040,0xc26d0059,0xf7f901c8,0x00000000}},	// [5700] _באבלס_, _tavoli_, _koncipov, --, 
   {{0xad3900d1,0xc80e014f,0xcc150374,0x47930037}},	//   _প্লাবনে_, _историју_, _ullanuvc, _mentakri, 
   {{0x9b450192,0x108a04ae,0x634201b5,0xe2780178}},	//   _행정정보공개_, _применил, _esselen_, _asthāsi_, 
   {{0x7ff70174,0x43400233,0x70320066,0x02fc022e}},	//   _ponagatš, _studias_, _martuten, _basilgu_, 
   {{0xb05a0191,0x43f80399,0x19fd0108,0x8dfd0218}},	//   _presskon, _monuka_, _cigalont, _attendwa, 
   {{0x337b00f2,0xa6e80094,0x10df01db,0x0291003b}},	//   _saprotam, _шатастыр, _тұншығып_, _engati_, 
   {{0xdc7600e4,0xd5560052,0xb311018b,0x6dd702fb}},	//   _बिल्ला_, _कल्पनाको_, _inscrie_, _kaikehee_, 
   {{0xaa070513,0x120100b7,0x3e27002b,0x76ec0749}},	//   _zakariya_, _kesip_, _তোলপাড়_, _angahlaw, 
   {{0x0ec3067f,0x8cf20297,0x42910219,0x3c6700fa}},	//   _akunngan, _sentyabr, _ingati_, _sobrang_, 
   {{0x23a20372,0x4a4401ef,0x4f9700f5,0x68490037}},	//   _helpu_, _naudinga_, _гурлушыг, _የሚቃወም_, 
   {{0x422502c2,0x420d043b,0x1efa01cd,0xc37a001b}},	//   _vlakke_, _càise_, _порахури_, _horatan_, 
   {{0xfb1c02a8,0xb026004d,0x3e530021,0x814e0381}},	//   _rrappurt, _國際線上專稿_, _ankarsha, _aymurado, 
   {{0x420100b3,0x227a0085,0xf30501bd,0x620d043b}},	//   _nesip_, _joritani_, _سوناۋ_, _fàire_, 
   {{0x1c760079,0x188901ef,0x2346021c,0xf26e005b}},	//   _sarunas_, _надавала, _koberec_, _aironn_, 
   {{0x3e5d00d9,0xca39032d,0xc2910251,0x00000000}},	//   _матче_, _серегин_, _habaar_, --, 
   {{0xc3ea0051,0x82900138,0x18cc022b,0x57de0204}},	//   _viltus_, _erhan_, _forfylgd, _limakalv, 
   {{0x682702c3,0x764e00ef,0x51980125,0x739802cf}},	// [5710] _rodinný_, _abakwizi, _чагыряры, _фармацеу, 
   {{0x23870450,0x59ee030c,0x53a20050,0xc8fd0170}},	//   _swarte_, _parnaiya_, _sampeu_, _angakond, 
   {{0x7af701f4,0x87b60439,0x00000000,0x00000000}},	//   _қаралса_, _mapulani, --, --, 
   {{0x12d8004c,0xfae80255,0x52d6031a,0x3b1700ea}},	//   _kimera_, _एश्वर्य_, _faileas_, _bolafots, 
   {{0xf31d0217,0x8c5a022b,0x22cb0343,0x00000000}},	//   _mercera_, _bretski_, _kwadra_, --, 
   {{0x627f036e,0x7ac7002e,0xc249007f,0xe4f801de}},	//   _jawne_, _zaštite_, _tramwy_, _жаугерші, 
   {{0xe3a20030,0x829000ab,0x851600bb,0x42130316}},	//   _telpu_, _huhai_, _کاؤنٹر_, _amshi_, 
   {{0x6d410147,0x06cc00fd,0xba660089,0x126e00cf}},	//   _البۇۇت_, _argantai, _цифрлы_, _biroon_, 
   {{0x13a20192,0xee960162,0xe93d00ba,0xd20800d1}},	//   _helpt_, _تىزىپ_, _شقارته_, _গল্পটোৰ_, 
   {{0x099100f3,0x2ab900b0,0x7a970177,0x125a0074}},	//   _abahlele, _گى۪واں_, _лиделл_, _omilla_, 
   {{0x53020133,0xe3310544,0x3c510326,0x83ea036d}},	//   _abdatuu_, _lamakū_, _akotama_, _coltas_, 
   {{0x52a600e3,0xd2920051,0x620200ad,0xb7f3024f}},	//   _qalbu_, _otrais_, _katilu_, _veicikev, 
   {{0x24800052,0x3cf70066,0xaa0200b4,0x5b020192}},	//   _विभाजन_, _partehar, _operatiu, _operatie, 
   {{0x13060198,0x7b1700ea,0x1bee00f5,0x3a55005e}},	//   _dodatek_, _volafots, _чозжегин, _ﺗﻪﻧﻘﯩﺪ_, 
   {{0x184b0416,0xfa270297,0x00000000,0x00000000}},	//   _gestosis_, _ivanovnı_, --, --, 
   {{0x99410695,0x9c93005e,0x40c602d9,0x62fe0455}},	//   _populyar_, _چاپان_, _apalepal, _retirer_, 
   {{0x0b9c0011,0x8fe3019b,0x29cc00ad,0x14990125}},	// [5720] _agendeko_, _diskutuo, _nyadiake, _чагырярл, 
   {{0x78c90147,0x72a60066,0x2ae204e6,0xa7b204cb}},	//   _чаралард, _salbu_, _alalayan_, _mărturis, 
   {{0x73f802c3,0xf23a0292,0xa79902c3,0x8e1c033a}},	//   _ponuka_, _ɔmmetu_, _bardejov, _debescia, 
   {{0xa164045c,0xb25a053f,0xdd8c0253,0x72c200ea}},	//   _tvnoviny_, _imilla_, _filmilia, _adalana_, 
   {{0xa08d01cd,0x969b0241,0x16090188,0x5187038e}},	//   _хисси_, _dameetii, _растанип, _tawarikh_, 
   {{0x3c3003b6,0x00000000,0x00000000,0x00000000}},	//   _kaarẹ_, --, --, --, 
   {{0xe80b018d,0x8248011c,0x02450061,0x02ca00af}},	//   _ፕሮፈሰር_, _anamu_, _적합성평가제도팀_, _kledd_, 
   {{0xa29101b5,0x92da0265,0x85a30153,0x12c100e6}},	//   _angari_, _citeer_, _乱高下続く相場の, _国家煤矿安全监察, 
   {{0x028c0359,0x829000b1,0xccd102af,0xef8900da}},	//   _stikken_, _nrhau_, _agakwabu_, _медалия_, 
   {{0x4e300094,0x46b60013,0x33750046,0xef000109}},	//   _الداسا_, _муслимас, _تۉركيادا, _लुंखु_, 
   {{0x9602023c,0x925b03fd,0x4f9a05be,0xfe5d0361}},	//   _پارټۍ_, _fealua_, _čedomir_, _дагчу_, 
   {{0xe2910340,0x595d033c,0xfdef0142,0x00000000}},	//   _engari_, _chaniate, _candrava, --, 
   {{0x32480450,0x42360234,0x529f002a,0x02d601f4}},	//   _nommen_, _apaja_, _kpojoro_, _farovon_, 
   {{0xd52f054e,0x25b40013,0x94ce00cb,0x6b820255}},	//   _nipilioh, _بنانینگ_, _санитари_, _चनरमा_, 
   {{0x9f58017a,0xf9d80024,0x87a70017,0x29d80269}},	//   _нестай_, _trafikkt, _bateriov, _homenaje, 
   {{0x024802c7,0xf8ea0076,0x72e902ec,0x4d0500af}},	//   _kommen_, _предлого, _intiisa_, _anklaget_, 
   {{0x72480282,0x5d9b01b0,0x5a09023a,0x00000000}},	// [5730] _hiamo_, _bengsrat_, _najbezpe, --, 
   {{0xa3a2044f,0x795300c8,0x7db60156,0x20d902d3}},	//   _lampau_, _шының_, _aktiviga, _летниот_, 
   {{0x33880076,0xe38d0059,0xb2ca0097,0xb5a9020e}},	//   _промоциј, _критерии_, _elede_, _медисон_, 
   {{0x834900a2,0x09720004,0xa2c803b1,0x5344003e}},	//   _wapenzi_, _achitekt, _àvotre_, _dirente_, 
   {{0x60600113,0x0ec30257,0xc26c0013,0xfb03010d}},	//   _substain, _barnalan, _кайтариш_, _ध्रुवीकर, 
   {{0x53f80034,0x7fe800b9,0xbc580089,0x40520061}},	//   _konuna_, _स्थायिक_, _bastık_, _출고됩니다_, 
   {{0x19ca02c9,0x903e0421,0xbbaa00a2,0x728d017c}},	//   _моментан_, _stattfin, _nashukur, _frakten_, 
   {{0x7a6c04e4,0x12ca03df,0xf9840024,0xed5f0153}},	//   _usporedb, _klede_, _নিৰৱচ্ছি, _トランペット_, 
   {{0x34600148,0x1b19017f,0x4200001c,0x47440156}},	//   _關於地圖日記_, _arpatits, _makig_, _נאָװעלע_, 
   {{0xc41d01f4,0x4d1c0454,0xb58200bb,0x2365022c}},	//   _مقداره_, _zitomoye_, _وینڈوز_, _cingogo_, 
   {{0x120001d7,0x7da50381,0x00000000,0x00000000}},	//   _cuoira_, _antingwa, --, --, 
   {{0x9bed03d8,0x49e2044a,0xb30c0064,0xe0b603a2}},	//   _ograniče, _bakobuka_, _humanes_, _नैचुरल_, 
   {{0xd2ca0428,0x7a8900c7,0x623900bf,0x20390158}},	//   _glede_, _җайланма, _болуш_, _licencjo, 
   {{0xf31e02cf,0x4341003c,0x579f0135,0xb8430044}},	//   _atacado_, _منوال_, _dementev, _employed, 
   {{0x20660235,0x82920064,0x3fda0311,0xd2e801c0}},	//   _रक्षसा_, _agrair_, _መሊሱሎም_, _bayinka_, 
   {{0x0bd6015e,0x00000000,0x00000000,0x00000000}},	//   _تۇرماق_, --, --, --, 
   {{0x511101ec,0x0daf02a3,0x00000000,0x00000000}},	// [5740] _ریسیور_, _stygende_, --, --, 
   {{0xc34c011c,0xbee70369,0xa2900176,0x29d501f0}},	//   _barewul_, _kaikikan, _arhat_, _gaberone, 
   {{0x4c660176,0x864d0235,0x52c9008d,0x6eb20275}},	//   _bestilt_, _मानापमान, _anglash_, _manulele_, 
   {{0xadff007c,0x62d60040,0xf5b8006c,0x486301f7}},	//   _ubudosip, _פילינג_, _баракату, _alunchad, 
   {{0x63eb00e2,0x825102fe,0xdb030237,0x55e8030d}},	//   _herte_, _amatswel, _논리적으로_, _filansız_, 
   {{0xb0c60157,0xd01b0040,0xf24e026f,0x11430022}},	//   _nielegal, _servicin, _حاڭجوۋدا_, _буласағы_, 
   {{0xa43f0071,0x62330037,0x7c720587,0xc2e50284}},	//   _مستطیل_, _shamsul_, _aürosa_, _esoubory_, 
   {{0x6386034e,0x59f4038c,0x8b21016b,0x2988021e}},	//   _abora_, _povlačen, _alwashin_, _bokhande, 
   {{0x22480388,0x20c50211,0x02e90405,0xb2fb020e}},	//   _siamo_, _смеси_, _новачків_, _kathata_, 
   {{0xeeb103d9,0x00000000,0x00000000,0x00000000}},	//   _hitovian, --, --, --, 
   {{0xd2fb010b,0xb6b40148,0x6087004d,0x00000000}},	//   _mathata_, _在上下班途中_, _以郵戳為憑_, --, 
   {{0x97870060,0xa3860202,0xea0600bb,0xf616021c}},	//   _باراسىڭ_, _ebora_, _شکريہ_, _odpadové, 
   {{0x63040107,0xfaa6029f,0xd9fe021a,0xfe980441}},	//   _citadel_, _potravín_, _angafoot, _normální, 
   {{0xa6b0034f,0x66d3009a,0x4792023a,0xcf2403c7}},	//   _مجرمين_, _angatshi, _nestrati, _rozebran, 
   {{0x79dc0013,0x0d2d0059,0x219903fb,0xac27042d}},	//   _قازانیشی_, _compilar, _parcijal, _hahasitr, 
   {{0xe372029e,0x62ca02ff,0x36590170,0x66130418}},	//   _japaneg_, _plede_, _anakwani, _portakal_, 
   {{0x59520226,0xb8a7041e,0x41360060,0x43410011}},	// [5750] _cholembe, _ammattì_, _مالىمەتى, _basemba_, 
   {{0x8963027b,0x3863020f,0x3e5a00e7,0xac0a032d}},	//   _amanyant, _amanyand, _amibiana, _iqapela_, 
   {{0xffc000ce,0x7fd5004c,0x090f0029,0xc37f003f}},	//   _transpor_, _abanaalo, _خورماڵی_, _jinajha_, 
   {{0x22dd014e,0x839400df,0xfc2700d5,0x00000000}},	//   _košarkaš, _pensez_, _naharitr, --, 
   {{0xcb8c056c,0xf291006e,0x4c690017,0xb52a00fa}},	//   _akcionar, _dogadi_, _nešikovn, _depinisy, 
   {{0xfc460247,0xb38600a2,0x66340074,0x7b2502f7}},	//   _گرامی_, _ubora_, _kunnalli, _boiphehe, 
   {{0x31890024,0x704a06f2,0x01b000c4,0xdf7b0037}},	//   _সুগন্ধি_, _राजगुरु_, _جنرلن_, _ፈርጉሰን_, 
   {{0x12000343,0x32490318,0x7395018a,0x329c0244}},	//   _lakie_, _ofamai_, _flasus_, _партийни_, 
   {{0xec270183,0x2249028d,0xe2630501,0xb7020025}},	//   _maharitr, _gleman_, _हर्षद_, _उत्तरभार, 
   {{0x58040092,0x35790094,0x3a960354,0x00000000}},	//   _ドの商品を探す_, _زامانداع, _ئايفون_, --, 
   {{0x26fa0107,0x00000000,0x00000000,0x00000000}},	//   _گفتاری_, --, --, --, 
   {{0x62900467,0x03db0137,0x9ddd0178,0x43ce02b3}},	//   _helafo_, _хздхя_, _cetkarma, _benvid_, 
   {{0xe2ca0237,0xd1ef0311,0xa4da003b,0xf2910188}},	//   _goede_, _ብታሪኻዊ_, _hlanyélo_, _angawi_, 
   {{0x3e370240,0x8a7104df,0xc1b003b6,0x9f1e0156}},	//   _dalagata, _усулыны_, _iranṣẹ_, _רואיגער_, 
   {{0xb2000461,0x33000443,0x3a270185,0x2b9c0119}},	//   _camins_, _dijauhi_, _biznesnı_, _humibubo_, 
   {{0x4fe301bf,0x663d04c7,0x92ca0181,0x390c0156}},	//   _visittko, _подвизав, _boede_, _ספעשעל_, 
   {{0xee000040,0xb28c03a7,0x23fa01fc,0x0d7600d6}},	// [5760] _המדריך_, _archív_, _aktube_, _labhraío, 
   {{0x94200178,0x179b022c,0xbe1c012e,0xea270137}},	//   _aprameyo_, _abimelek_, _salgótar, _чинбат_, 
   {{0x768d01d5,0xd2900119,0x13f30299,0x4225003b}},	//   _متصادم_, _buhat_, _ئەزدىي_, _inakwe_, 
   {{0x3395046b,0xa48600c1,0xa3ea0086,0xc1e30153}},	//   _blasus_, _बटणाने_, _dobta_, _とっても美味しい, 
   {{0x98db04f9,0x1a7901ac,0xe1ff00e7,0x72480198}},	//   _amerlang, _بتاعت_, _arginalm, _znamk_, 
   {{0xe14101eb,0xc8570244,0x5c630332,0xf15803ab}},	//   _apóstol_, _прибори_, _arquero_, _žiletky_, 
   {{0x8248020b,0xf29001b8,0x57df070a,0x859b026c}},	//   _siame_, _tuhat_, _अविकसित_, _paulatim_, 
   {{0xcb35018d,0x411602d7,0x439c022f,0xb30500e4}},	//   _ኣይንተሃመል_, _inéditos_, _заселены_, _dodanej_, 
   {{0x924a003a,0xa7b40010,0x227e0382,0xae180513}},	//   _umuman_, _achumani, _byona_, _cybersma, 
   {{0xa2920558,0x37f7028b,0x00000000,0x00000000}},	//   _mesaya_, _хадоуп_, --, --, 
   {{0x2efd0256,0x9064000c,0xa1b60101,0x3a010258}},	//   _maskavas_, _аҭелстан, _сервичиу_, _ealahuze, 
   {{0x527e077a,0x92a00278,0xca4400aa,0x6c7b00de}},	//   _eyona_, _nisbah_, _gireseta_, _فرائيدي_, 
   {{0xfdc4049f,0xff63010d,0x52fc00a8,0xd25b010e}},	//   _nesitjha, _प्रकर्षा, _bulieus_, _daglat_, 
   {{0xdf580037,0x8ee30334,0x6c6801db,0xd145032d}},	//   _ይጫወታል_, _akokelen, _әнұран_, _ikhethol, 
   {{0x4bfb0041,0xf2b600ca,0xd3bf0037,0x17eb005c}},	//   _акәзар_, _cercam_, _ሰንብቷል_, _bakandag, 
   {{0x098903dc,0xfc6102a2,0x72930026,0xeea40092}},	//   _kunngjør, _lubusan_, _negatief_, _トフォリオ_, 
   {{0x7292033b,0x938601c8,0x229100e4,0x18e6006d}},	// [5770] _jesaya_, _oboru_, _nogami_, _анціпава_, 
   {{0xdf2d0022,0x724b00af,0xbab2022f,0x5dd5005b}},	//   _дипломға_, _дзеркало_, _diagnozę_, _ccのmt_, 
   {{0xc248041c,0x4bfc01ec,0x96c90526,0x00000000}},	//   _anami_, _بدلیل_, _alasanny, --, 
   {{0xd20e0008,0xdd9a04a5,0x52ca03dd,0x32f303cf}},	//   _талаа_, _abanolwa, _kledi_, _maliyet_, 
   {{0x921201e9,0x424801cf,0x00000000,0x00000000}},	//   _ntlha_, _comman_, --, --, 
   {{0x425a0433,0x829201e1,0x9b8c01b5,0x22ca022d}},	//   _emilia_, _педагогт, _traistar, _inglesi_, 
   {{0x64ee0169,0xe25f00c5,0x614800a6,0x057200cb}},	//   _পরবাস_, _小说阅读网_, _محمدعیان_, _итолиёвӣ_, 
   {{0x634b00b2,0xca6001d9,0x0c6d02ea,0x9abc0143}},	//   _bareedu_, _germanes, _proroga_, _клапа_, 
   {{0x12ca0378,0xca0901af,0x35120334,0xbc7b02c2}},	//   _gledi_, _arkasyna_, _chirambo_, _verswak_, 
   {{0xb10a014e,0x5b36000c,0x9b8901a3,0x926e0620}},	//   _католичк, _маршани_, _ليکجي_, _utpote_, 
   {{0x3b8703e9,0xa22e0148,0x98b603b1,0xce2800f2}},	//   _gelinler, _英國大紀元_, _hebdomad, _godmanis_, 
   {{0x99c40111,0xf73c00a7,0xa3f40179,0xd3a2001d}},	//   _diventat, _recorreg, _distid_, _utopic_, 
   {{0xdbfe044a,0xe9bb004d,0x00000000,0x00000000}},	//   _ligorodo_, _依照投資比例不同_, --, --, 
   {{0x720102c7,0xe131019b,0x1396005b,0xf2900212}},	//   _beginn_, _pastaruo, _matsuo_, _pelago_, 
   {{0x931d037c,0xa2ca05d5,0xad9701c9,0xc3280299}},	//   _mercora_, _anglesi_, _lasteaed_, _بەسلىشىپ_, 
   {{0xf2d90240,0xcfe7004b,0xb4e20393,0x18e5019b}},	//   _tuberi_, _плакатта, _pronašli_, _prognozu, 
   {{0x72a5014a,0x3bb40052,0xa6180183,0x84070119}},	// [5780] _alkotó_, _skleničk, _ankolafi, _kakurian_, 
   {{0x9e59046a,0xb9be0222,0x24b40092,0xa29004c4}},	//   _començam, _effectue, _よろしくお願いい, _puhas_, 
   {{0x3d460137,0x89800253,0xe3020318,0x00000000}},	//   _басхүү_, _assitale, _palakuu_, --, 
   {{0x59d80152,0xe9ea0204,0xa543005e,0xf163007b}},	//   _kontrold, _vertailu, _ئاقكۆڭۈل_, _almichty_, 
   {{0x1adf013b,0xbcea0321,0xbae601eb,0x637f0115}},	//   _simulate, _pravljic, _ikaruhet, _hinanya_, 
   {{0x463600ae,0x3eaf012e,0x3c5b00f0,0x740f029e}},	//   _hatibagi, _lemondan, _listami_, _gwerzenn_, 
   {{0x763d0003,0xd2e30195,0x8a000115,0x11a800d6}},	//   _vernieuw, _choille_, _lewatnya_, _اوريون_, 
   {{0x00000000,0x00000000,0x00000000,0x00000000}},	//   --, --, --, --, 
   {{0xb1630409,0x7223072a,0xf86d02fd,0x12f200a0}},	//   _ペタを残す_, _نگاری_, _chrionad, _duminsu_, 
   {{0xb1060076,0x4fd2002b,0x4d2c03ae,0x42e802e2}},	//   _експресн, _ইকোনমিস্, _jubileet_, _baitçhyn_, 
   {{0xc2010241,0xd2ca035b,0x01e70299,0x329200e2}},	//   _argita_, _sledi_, _ئىرېلاند, _harkers_, 
   {{0xadbe0013,0x909c0479,0x0ea804f9,0x6e4e0022}},	//   _nalishla, _tesszük_, _takukkit_, _залды_, 
   {{0x3ae6002b,0xe9e5023b,0xc9ca00e2,0x24760361}},	//   _দরবারে_, _manoanoa_, _ingelskt, _вăййин_, 
   {{0x82010353,0x12ca0445,0x5248044a,0xd3f90362}},	//   _mobily_, _moeda_, _diama_, _difuta_, 
   {{0x928303ba,0x6f36001e,0x629201b0,0x22900452}},	//   _katholi_, _kalubala, _desana_, _kuhap_, 
   {{0x22900240,0x8ba50314,0x625d0544,0x16c2004d}},	//   _makawa_, _клубты_, _ukaliali_, _以上為最新_, 
   {{0xeb5a00f3,0xec880299,0xfa94030e,0x52080144}},	// [5790] _amathafa_, _ئاخشاملى, _uenyekit, _عيالي_, 
   {{0x0c7603c7,0xcdb300ee,0xf3f40378,0xf37d03c7}},	//   _यात्री_, _teknikoa, _listnu_, _garaże_, 
   {{0x263700c7,0xd36f019b,0x53480372,0xc8270395}},	//   _радионы_, _adresą_, _domenni_, _podivný_, 
   {{0x99f40300,0xd3860441,0xdcf70093,0xd37800c1}},	//   _povlečen, _sboru_, _баннера_, _pijatan_, 
   {{0x49120220,0x9e3e04ab,0x424a0062,0x27b30051}},	//   _земетрес, _sjedište_, _qismas_, _braucēji_, 
   {{0x529200d8,0xc04901ab,0xd2480429,0x00000000}},	//   _cesana_, _sportlan, _diami_, --, 
   {{0x23f8000d,0x429101ac,0xe6360322,0x00000000}},	//   _oskusi_, _habair_, _batibagi, --, 
   {{0xf248048e,0x984c0059,0xb433002b,0xc0e90019}},	//   _fiami_, _подслушв, _লেনিন_, _مانساپتۇ, 
   {{0x532902e4,0x768d0541,0x92ee008d,0xf9c7015e}},	//   _solventi_, _ovlašćen, _tarilib_, _батага_, 
   {{0x62960393,0xf69f0087,0x075802a1,0xbc8c0061}},	//   _jutarnji_, _emafambi, _meningsv, _기타불법물_, 
   {{0x44230007,0x7d8e02b6,0xd27e019c,0x5291005b}},	//   _baekelez, _تاريىحتا_, _iyonu_, _cogaki_, 
   {{0x15fe006f,0x83ec014e,0x562b0012,0xad05040e}},	//   _مسلمانن_, _братства_, _कोंहरत_, _andletet_, 
   {{0x1c4700fa,0x7c900425,0x2e4f02af,0x261102b3}},	//   _eksposis, _ناچیته_, _kamarama, _santoral_, 
   {{0xbe6a03a1,0x85a0007e,0x63fa00b5,0x638603ec}},	//   _борда_, _शेरते_, _kusuvi_, _oborr_, 
   {{0x2ab90359,0x125b029b,0xea83013b,0xb76201bd}},	//   _frekwins, _amalna_, _frankenb, _тереңдет, 
   {{0x9d920450,0x32d90314,0xa3fc02fe,0xbc5e00d9}},	//   _publisea, _boeena_, _alinakuk, _динамики_, 
   {{0xacf102e0,0x778b0153,0x6d9f0282,0x67070213}},	// [57a0] _aretaser, _からどうぞ_, _kohekohe_, _шампань_, 
   {{0xc2900139,0x2d96014b,0x2ae80040,0x426c05d5}},	//   _isham_, _deelimaa, _מתגייס_, _pikoil_, 
   {{0x1e90020f,0x72c2011f,0x419b00a7,0xc2e3046f}},	//   _avumelen, _idalina_, _асанкайг, _freiere_, 
   {{0x58c10218,0x1d73002b,0xb9600109,0xc0ff0137}},	//   _appeared, _মৃত্যুকে_, _बाउन्न_, _админаа_, 
   {{0xd2920230,0x38790212,0x8a0a036c,0xe53b02c1}},	//   _mesala_, _lhanbryd, _resahina_, _kinyamak, 
   {{0x7a60009a,0x849d006f,0x8f4e02c9,0x6297040e}},	//   _schlebus, _matangaz, _versiune_, _buljong_, 
   {{0xfc53015a,0x72f00357,0x034403a0,0x2be90008}},	//   _beettan_, _manitai_, _direite_, _маркумда, 
   {{0x003c0016,0x49e70038,0x5c6000cf,0x582501f4}},	//   _כּדאַי_, _аеның_, _buzunaa_, _алмашиб_, 
   {{0x4b9104cf,0x348c0368,0x2d3f0287,0x881d0338}},	//   _icandelo_, _naprednj, _aktivace_, _afortís_, 
   {{0x59aa0211,0xdf690220,0xd25b00d9,0x8a4f0371}},	//   _ролик_, _произвеж, _omalla_, _изречени, 
   {{0x03f4006e,0x72480409,0xe32900e6,0xa617021c}},	//   _listou_, _shima_, _食品药品监管局_, _lokalitá, 
   {{0xff2e0405,0xb09c002b,0x42020227,0x05960315}},	//   _подивити, _বাবুর_, _hatimu_, _basemany, 
   {{0x553b00c2,0x02ea01bc,0xb2e20144,0xbedc0047}},	//   _binyamak, _bytiden_, _cófra_, _mariages_, 
   {{0xa3070009,0xb4140373,0xfb6603bf,0xb04b0258}},	//   _domači_, _translok, _busulosa_, _kearsinn, 
   {{0x2349000b,0x93ea00f2,0x7e77003e,0x00000000}},	//   _elefane_, _filtrs_, _барыҫтар, --, 
   {{0x7290054f,0xe2b2005b,0xd2ee022b,0x085f001e}},	//   _tsham_, _handlen_, _vinnuni_, _gamayyar_, 
   {{0xa2000242,0x92e902ff,0x4b0a0405,0x79ae0029}},	// [57b0] _lakin_, _teritwa_, _населено, _ژیلیا_, 
   {{0x3a940386,0xcb91020f,0x5d7600d6,0x027f024f}},	//   _menyakit, _acandelo_, _labhraít, _kirijaci_, 
   {{0x0d730169,0x1e430082,0xe28f0222,0xd3120354}},	//   _মৃত্যুতে_, _baraguza, _nichons_, _خوراپاتل, 
   {{0x3a15044a,0x249a03d8,0x2afc00e6,0x2259031e}},	//   _bolamuka_, _baranjsk, _ralentis, _klanjati_, 
   {{0x520003f2,0x73550003,0xb1c50205,0x939d027f}},	//   _takia_, _beperkt_, _европада, _catangaj, 
   {{0x1f3f007e,0x561a0217,0x00000000,0x00000000}},	//   _anasūyav, _incoragi, --, --, 
   {{0x7f4b02d4,0xd1480357,0x92900028,0x82d100e0}},	//   _singulas_, _critchlo, _helayo_, _dertroch_, 
   {{0x2200001e,0xf2490109,0xcdb20439,0x3202036a}},	//   _dakin_, _plemen_, _langheke_, _watimu_, 
   {{0x249d02af,0xe25200e0,0xe290077b,0x00ef032b}},	//   _gatangaz, _eaststel, _pedazo_, _ساندانغا_, 
   {{0x737a02cf,0xf4180066,0x67bd0219,0x00000000}},	//   _способни_, _bisitatz, _kufundvw, --, 
   {{0xc20003d5,0xb6e20128,0x0fe1014a,0x4a99004d}},	//   _nakin_, _умумахло, _benzines_, _是這樣子嗎_, 
   {{0xf39d05b4,0xf2e60008,0x025a0326,0x449d00c4}},	//   _yatangaj, _avança_, _bhonjesi_, _yatangaz, 
   {{0x154f03e0,0x9da80381,0x6cef0682,0x42f30049}},	//   _kommenté, _istoryha, _गरिमामय_, _kalaleti_, 
   {{0x02000054,0x22e0033e,0x1eb102c8,0xf3710060}},	//   _bakin_, _chancho_, _colexios_, _дөрекі_, 
   {{0xa35d0035,0x5eb90012,0x249d00a2,0x00000000}},	//   _спиноза_, _परिधनवा_, _watangaz, --, 
   {{0xe292037f,0x6e0c025c,0x0290005b,0xb2d802d0}},	//   _hesaba_, _kreditka, _nakata_, _tylers_, 
   {{0xd0fe002e,0x4db402ac,0x103101f2,0x9ba70216}},	// [57c0] _društven, _saineola, _нәйман_, _etikhoto_, 
   {{0x33f80018,0x420003d5,0x97120086,0x99dc00d9}},	//   _tukuni_, _fakin_, _menstruá, _ongelmie, 
   {{0xa83a02ac,0x1b63008f,0x52d8048c,0x5057015e}},	//   _كليوباتر, _अहिना_, _gaiety_, _билимин_, 
   {{0xaae10396,0x138c002e,0x13f800a0,0x02ef0318}},	//   _kuntratt, _prisutni_, _rukuni_, _kanisaa_, 
   {{0xde550359,0x5620009a,0xfa0504d7,0x168800f8}},	//   _beharkje_, _ریکارډ_, _hitaveit, _গলাধঃকরণ_, 
   {{0x9c670227,0x954f03ea,0xc29104a4,0x43dc033d}},	//   _manusia_, _commenté, _cupan_, _eskwad_, 
   {{0x26f40169,0x969c0019,0x73860202,0x5f5b003c}},	//   _নেতৃবৃন্, _турнирге_, _ibori_, _سرگشاده_, 
   {{0x1e4802ca,0x729203b1,0x8fdd032d,0xd54f01c8}},	//   _بيروت_, _états_, _паркында_, _elementá, 
   {{0xf51a0213,0x5200036e,0x7f6503b7,0x82910274}},	//   _приблизи, _wakin_, _impairin, _bekkjar_, 
   {{0xa2900255,0x22020227,0x62d802d4,0xcbac017a}},	//   _hakata_, _hatiku_, _dimena_, _курнамак_, 
   {{0x78d5006f,0x72200148,0xf9dc040f,0x6215023c}},	//   _انحرافي_, _請點選攝影機_, _pareigyt, _سورئې_, 
   {{0xa38f0132,0x83f80544,0x1cc40020,0x8b0e06c4}},	//   _mostanáb, _kukuli_, _fifilemu_, _byggearb, 
   {{0xe34e0036,0xd7ed008a,0xe34400c7,0xc7a001a3}},	//   _استلمت_, _autautag, _гелиоцен, _اشڪبار_, 
   {{0x3056020f,0xfa740008,0x00000000,0x00000000}},	//   _سپيڅلی_, _денелери, --, --, 
   {{0x12c903b2,0xdaba0238,0x07e600e6,0x4c1e01ef}},	//   _english_, _компаній_, _铝电解电容器使用, _stiprus_, 
   {{0x7e7200be,0x1a6000ff,0x28c30203,0xf2520265}},	//   _почтаны_, _נאכקומען_, _erodierd, _vaststel, 
   {{0x55920187,0xe1fa01db,0xd296024f,0x225b01fc}},	// [57d0] _телеснат, _تىعىلىپ_, _nacamaki_, _llalta_, 
   {{0x7ff700ff,0x3e3a0080,0xbfdb002b,0xcdff00a3}},	//   _פעניס_, _allagaqa, _কোনমতে_, _augekata, 
   {{0x920e00d0,0x4e940334,0xd3cf01f7,0x00000000}},	//   _балай_, _anamusan, _anavan_, --, 
   {{0x020000bd,0x7c7c0170,0xf3f8019d,0x48d304c7}},	//   _rakin_, _atasusa_, _bukuli_, _богате_, 
   {{0x954f0132,0x8ee60064,0x53ea0342,0xaa0a005a}},	//   _kommentá, _بانككا_, _eritaj_, _susaghbe, 
   {{0xd3f2032d,0x00000000,0x00000000,0x00000000}},	//   _balumeli_, --, --, --, 
   {{0xfdb401f4,0xd1f30262,0x3dad01d2,0x92cb02ab}},	//   _بورون_, _senagaty_, _ananklup, _ududo_, 
   {{0x735903ea,0x60990220,0x58fc015e,0x2200004a}},	//   _compléme, _правомощ, _ambaixad, _fakil_, 
   {{0x520000ea,0x254f05aa,0x616c027b,0x63dd04c5}},	//   _vakio_, _elementæ, _प्रसन्नः_, _redwir_, 
   {{0x122505d7,0x299d00c7,0x33f90184,0xb2e10077}},	//   _siaket_, _калын_, _hovuka_, _jennonm_, 
   {{0x5e540151,0xd248005b,0x6a1202c3,0x00000000}},	//   _alsaasha, _ehime_, _dunajske, --, 
   {{0xfff30198,0x82910252,0x7647004d,0x386c0261}},	//   _nepremič, _sogani_, _北市法規查詢_, _biciklad, 
   {{0xd0e80281,0x7291006e,0x62da027b,0xb4da02ac}},	//   _aktiesel, _dogali_, _atreti_, _يعتقدون_, 
   {{0x42ca0033,0x8e4e00aa,0x4d5f0109,0x2a4f01db}},	//   _pleds_, _ipabuhat_, _गोलभेडा_, _يۋانتۇڭن, 
   {{0x8b8b0060,0x20bc0189,0xa20002db,0x4a37004d}},	//   _اتاعىمەن_, _otomobil, _makim_, _卡債問題面面觀之, 
   {{0x6a03006d,0x17c701cd,0xd9a3015e,0x57330022}},	//   _клайпеда_, _калидии_, _جىلمايۇۇ, _власының_, 
   {{0xb3f70298,0x12a70159,0x898e00e5,0xe65c011d}},	// [57e0] _arorangi_, _stabdo_, _самит_, _replică_, 
   {{0xf2ea03ed,0xa7eb00ff,0x56fd004d,0xa54e0219}},	//   _região_, _פּועל_, _天國美食館_, _buchweph, 
   {{0xa3860088,0xd28c0278,0x51380296,0x235603ae}},	//   _acord_, _erakita_, _bildgall, _arnfinn_, 
   {{0x839d006d,0x02e90047,0x74f300b7,0x84870061}},	//   _нанесены_, _donnant_, _соранын_, _오늘본상품_, 
   {{0x5b9600ae,0x7f5c0080,0xf20000bc,0x24d7020a}},	//   _bohindur, _ammatinn, _cakil_, _сарайын_, 
   {{0x1dff038e,0xb0d8014e,0x90e803f7,0x7a000251}},	//   _ketentua, _поступка_, _djöfulli_, _argagaxa_, 
   {{0x7aa700ee,0x4d4103ac,0xe200015d,0xbac1027b}},	//   _газарт_, _membantu_, _macie_, _ल्यप्_, 
   {{0x0290018a,0xe29001c8,0x3c57004a,0x42d801e1}},	//   _amharu_, _nedalo_, _хатибы_, _dimela_, 
   {{0xd9db0034,0x4f9c0205,0x31710039,0x0dca04df}},	//   _kilgoret, _истикбол, _akusazio, _deňligi_, 
   {{0xd2770159,0xce73016d,0xe8a70141,0x131904ad}},	//   _akvarium, _مىليوندى, _майгача_, _modirong_, 
   {{0x4236024e,0xe7ca03fd,0xc2ec0285,0x236802db}},	//   _svojoj_, _amasinoi, _narimwe_, _langwis_, 
   {{0x57dd018b,0x6408012f,0x623f0172,0xd295015e}},	//   _априлие_, _bwereton_, _merentum, _сунган_, 
   {{0xfe4602f6,0x6411017d,0x7200019a,0x234d03f0}},	//   _pambansa, _årsagen_, _bakie_, _afrekum_, 
   {{0xf3f40455,0x72ae009c,0x00000000,0x00000000}},	//   _bottes_, _hatarišp, --, --, 
   {{0xdc630220,0xbc7a00ce,0xa9570098,0xc9f202eb}},	//   _appunto_, _lobstak_, _kunstner_, _форумаа_, 
   {{0x523600ac,0xcf1800d2,0x3ec903e6,0x00000000}},	//   _tvojoj_, _digalént, _muenches_, --, 
   {{0x92000157,0x0722012d,0x190700b7,0x6c700188}},	// [57f0] _takie_, _impruvum_, _asgabatd, _akusize_, 
   {{0x14aa0276,0x69440194,0x535a00d1,0xdc4c01b5}},	//   _جىسمانى_, _inrupter_, _ফুলবোৰে_, _mulweri_, 
   {{0xb5d703c1,0xffde00ff,0x13ef024c,0x631c03ab}},	//   _хуманита, _וואלקן_, _fekondaz, _vakcín_, 
   {{0xd2cb02ec,0xdc1701b9,0xa5320105,0xa515023d}},	//   _geeddi_, _eksprim_, _macierzy, _terrazzo_, 
   {{0x2eb303c2,0x42f00462,0x7a8d02ff,0xc98700fa}},	//   _arguable_, _albumway_, _glenajes, _bethelit, 
   {{0x736f01d8,0x024a031c,0x879d00d1,0x6ab50014}},	//   _bangeit_, _mismas_, _ধোঁৱা_, _kerkimin_, 
   {{0x72150148,0x310d021c,0x00000000,0x00000000}},	//   _全球精選未婚豬後, _zdevasto, --, --, 
   {{0xf5f80204,0xd3790050,0x06bb036c,0x844f022f}},	//   _заставля, _tibatan_, _ampamari, _апасродк, 
   {{0x82910230,0xd3f8008f,0x829d0059,0x00000000}},	//   _kupab_, _minuga_, _системно_, --, 
   {{0x37580017,0x00000000,0x00000000,0x00000000}},	//   _मोक्तान_, --, --, --, 
   {{0x540a00cb,0xfdb30067,0x677c0320,0x5f2101f4}},	//   _abanemiz, _boliviya, _itiwebsi, _tartibda, 
   {{0x05d000d9,0x33ac0119,0x00000000,0x00000000}},	//   _анонимно_, _kaupod_, --, --, 
   {{0xd5f30420,0xc10a04e5,0x1fa201b3,0x1a090133}},	//   _моменти_, _abakomol, _одноголо, _garaakee, 
   {{0xc1d70021,0x04c70302,0xbdb20354,0xcef80151}},	//   _achedcay_, _масдуд_, _تەكتىگە_, _blownose_, 
   {{0x7e0400ff,0xf29200c5,0x4a53048f,0x33cf010f}},	//   _קרינסקי_, _aurais_, _bakelela_, _akuve_, 
   {{0xec7d0103,0x991403dd,0x730503eb,0x921c01e1}},	//   _amusika_, _percaktu, _uitasem_, _leshwa_, 
  
   {{0x3f55005a,0x819902eb,0xc84b02cf,0x67e60012}},	// [5800] _chipewya, _сэрлээ_, _стресот_, _दुलरवा_, 
   {{0x206900d9,0xa5e80076,0x08260097,0x00000000}},	//   _напомина, _градскат, _oníyàwó_, --, 
   {{0x470a020a,0xfafe022c,0xd2020013,0x00000000}},	//   _جالاڭاشت, _belokeun_, _korish_, --, 
   {{0xf7d00091,0xfda40003,0x8a820060,0x7b26015e}},	//   _taiguang, _schoonma, _بۇركىتكە_, _мазхабы_, 
   {{0x53b10068,0xbbac0046,0x2ea4030d,0x00000000}},	//   _suuqa_, _كەچەگى_, _dondurub_, --, 
   {{0xc03600fe,0x285d01ef,0x5c0d03b3,0x485f007e}},	//   _falemalo, _nuorodas_, _rumpite_, _bhandasu, 
   {{0xd2480089,0x2ead02da,0x374c0037,0xeb560252}},	//   _daimi_, _комисија, _እንድርያስ_, _thithisa_, 
   {{0xafe000b5,0xa7dd01ed,0x4e0900be,0x33ce0521}},	//   _аналакыз_, _hoopomai, _توبۇندا_, _yjeve_, 
   {{0xd71e0192,0x920e0244,0xc24c00b5,0x00000000}},	//   _모델하우스_, _махат_, _kuaavéi_, --, 
   {{0xdded0453,0x34920012,0xd3b90290,0xfe380370}},	//   _vučković_, _लछुमन_, _clavuot_, _didadasa, 
   {{0xac7e02c0,0x12fc0279,0x4db40046,0x745f0342}},	//   _умерено_, _balises_, _سونور_, _pamwayen_, 
   {{0x22ca0313,0xa33a0334,0xe2b6021c,0xe9ec00d9}},	//   _bomdi_, _adawavum, _sluchu_, _mediassa_, 
   {{0x3387045c,0x52e90553,0x8f6602e7,0x82e000c1}},	//   _dobrí_, _skriňa_, _ginangun, _akuntan_, 
   {{0x53eb0271,0x6be00069,0x37a702a4,0xda4a0107}},	//   _borte_, _inyenyer, _stationi, _درواقع_, 
   {{0x5248041e,0x229104a5,0x6320022c,0x00000000}},	//   _liami_, _ingabi_, _bahya_, --, 
   {{0x22900140,0x93eb03a8,0x32b50139,0x0af300d4}},	//   _buhay_, _vorte_, _adadād_, _generaas, 
   {{0xb33700ef,0xd29202ec,0xa3eb0166,0xb290000f}},	// [5810] _معلوماتي_, _qaraar_, _worte_, _ishal_, 
   {{0x1dfa0009,0x5394029a,0xb4100272,0x949903b0}},	//   _povezave_, _aziste_, _aggalawo_, _ঠেঙ্গাল_, 
   {{0x50480037,0xf3700249,0xb2cb0152,0xb20e019e}},	//   _አላገኙም_, _infalif_, _aluda_, _гакам_, 
   {{0x22920195,0xd8c501fc,0x91e70093,0xcc0b00c9}},	//   _turais_, _riferend, _настроит, _taigamec, 
   {{0x446902d3,0x12fe0116,0x0da20235,0xf9c201be}},	//   _пристигн, _betimes_, _athopala, _पांचौ_, 
   {{0x62b50119,0xe6bb0403,0x33f802d5,0x00000000}},	//   _piedade_, _ampakari, _sinuga_, --, 
   {{0x00000000,0x00000000,0x00000000,0x00000000}},	//   --, --, --, --, 
   {{0xa29102bf,0x34e20453,0x173002fe,0xc602033e}},	//   _angabi_, _pronašla_, _جلاوطنه_, _ipolític, 
   {{0xd248008a,0x93440180,0xf7a70281,0x2ed20092}},	//   _taimi_, _liberte_, _amerleri, _スファッション_, 
   {{0xa3c1041a,0x62ee0245,0xe9e00002,0xec5b0007}},	//   _географі, _bynniaw_, _izborima_, _atutaki_, 
   {{0x229005d7,0xe2000369,0xc7da0019,0x428406a1}},	//   _takapa_, _makia_, _осетияны, _valhall_, 
   {{0x8b8a018b,0x4f75013c,0xd2000211,0xb9ea023a}},	//   _норок_, _futbolun, _lakia_, _svedčí_, 
   {{0x3aa50032,0xafaa02e4,0xf37a01f4,0x49120181}},	//   _dapimnis, _difensur_, _boraman_, _ganbarid, 
   {{0x291e00ff,0x983a0037,0xc7c90082,0x18f802af}},	//   _וואלענטו, _በየወቅቱ_, _matsakai, _tukabisu, 
   {{0x930d00dc,0x8a3d0361,0x73150176,0x15120226}},	//   _dreaver_, _начинкой_, _appbank_, _chirombo_, 
   {{0x60a503e9,0x024802f3,0x42e90455,0x58410097}},	//   _уланып_, _kommun_, _donnent_, _ifikọra_, 
   {{0x82480194,0x81d60235,0x015b01a3,0xf2cb024f}},	// [5820] _commun_, _acalopam, _اڳڀرا_, _uluda_, 
   {{0xb3f401cf,0x000404ea,0xc25a0077,0x1fc700be}},	//   _bottas_, _ilektrik_, _akolit_, _فئلمدەرد, 
   {{0xc38000e3,0x6dcf018e,0xa36700c7,0x520004b3}},	//   _འཁྱོགས_, _anakanya, _bersendä_, _dakia_, 
   {{0x0ac002d9,0xfef8018d,0xe25a03f2,0xb248019d}},	//   _afakanis, _ከካይዱዎ_, _iholle_, _khama_, 
   {{0xa45c000c,0x82e505ab,0xda6c0320,0x8202007b}},	//   _agustín_, _mínimo_, _atameris, _squint_, 
   {{0x5cb50040,0x9c770306,0x20ed000a,0xf2970061}},	//   _זוגתו_, _barrupi_, _assingal, _이동합니다_, 
   {{0xdc550134,0x00000000,0x00000000,0x00000000}},	//   _asotele_, --, --, --, 
   {{0x620402a5,0xf5da003c,0x43490433,0x827f01c0}},	//   _probíhá_, _بروجرد_, _bludenz_, _adanar_, 
   {{0x3d1e002f,0x51490059,0x8f6b0388,0xc31a0303}},	//   _aristukr, _подготвя_, _страшен_, _fisiwang_, 
   {{0xd9e90148,0x683d00c5,0x2da7019b,0x6c720127}},	//   _新華社記者_, _共有贴子数_, _komiteta, _berraat_, 
   {{0x12480292,0x395f03b6,0x5ac400e6,0x8953031e}},	//   _ahama_, _afonrere, _上班赚钱两不误_, _iskljuce, 
   {{0x37540156,0xaace00dd,0x52aa02b6,0x8adf02c7}},	//   _נאָקיאַ_, _caethiwe, _тозаңнан_, _bestreit, 
   {{0x51c0005b,0xd37a012d,0x329101f4,0x2225022c}},	//   _phpmyadm, _poraman_, _ligasi_, _diakut_, 
   {{0x5f5d036d,0x622c0156,0x66670143,0x42480241}},	//   _disarman, _חפיצים_, _греков_, _dhama_, 
   {{0x8c610461,0xf31f01f6,0xc63b02f4,0x715f0399}},	//   _ferrand_, _উদ্যানৰ_, _cotizaci, _fungafal, 
   {{0x515c03bf,0xea480213,0x8bf20019,0x2291010f}},	//   _сайтында_, _машиност, _santíssi, _angazi_, 
   {{0x0ee3035f,0x272c0421,0x353a01ef,0x24c302a8}},	// [5830] _महत्वाका, _ehemalig, _твораў_, _approċċi_, 
   {{0x85be0435,0x52d901d8,0xb2da0295,0xafd80399}},	//   _формиран, _ryders_, _fureti_, _kaingako, 
   {{0xf3cf0439,0x830000ec,0x86da0165,0x54ab02aa}},	//   _akuva_, _augalai_, _kilbirni, _metalick, 
   {{0x58750057,0xcecf01d5,0x6291014c,0x67240156}},	//   _membazir_, _borzalma, _engazi_, _ברעזשנעו, 
   {{0xf9c502ec,0x9ad200d0,0xce8300b5,0xee710097}},	//   _kaalinta_, _болчлоо_, _ыркылеит_, _olúòjé_, 
   {{0xd34401b9,0x9291014c,0x6bf40097,0x4d990006}},	//   _piberte_, _ingayi_, _ọ̀bùn_, _melongga, 
   {{0x09660148,0x2c390153,0x53730192,0xc9c8049e}},	//   _musicove, _グランプリ_, _donatie_, _znamenia_, 
   {{0x72ca03ad,0xdc9600ee,0xe95201ac,0x00000000}},	//   _komdu_, _plazaber, _poileist, --, 
   {{0x49e600d7,0xb8830022,0xf143017a,0x5ed20014}},	//   _мастеры_, _телетапш, _будубоши_, _meritojn, 
   {{0x83990009,0x1e890012,0x06d20365,0x00000000}},	//   _člankov_, _सकितहुँ_, _बेठिक_, --, 
   {{0xdf5f014a,0x894f0307,0x625b045f,0x9e1800d6}},	//   _funkciój, _enelunge, _pixlar_, _chóta_, 
   {{0xe33f0040,0x63590354,0x2d9905c1,0x126c02c3}},	//   _רובינשטי, _كۇماندىس, _kelongga, _eshope_, 
   {{0xf2490026,0xec65041e,0x2a9b0052,0x11fb03ec}},	//   _noemen_, _martinu_, _postráda, _furnizim, 
   {{0x1a3b02fe,0xc38903db,0x363503f2,0x59b30192}},	//   _دیپلومات, _kanyoko_, _tunnelmi, _handbere, 
   {{0x6fdb031e,0x1291053d,0xf2000073,0x00000000}},	//   _odrzavan, _angayi_, _racia_, --, 
   {{0x46a5012b,0x634a0331,0x6715008f,0x91300040}},	//   _energety, _almennu_, _सु्प्रीम_, _multiquo, 
   {{0x0a9a028b,0x1f480177,0x447204a4,0xd200019e}},	// [5840] _иаҭаауеи, _ишәымаза, _inntrinn_, _pacia_, 
   {{0xd2d80132,0x03eb01d3,0xab7e0069,0x923b0220}},	//   _fekete_, _borta_, _umunezer, _allegati_, 
   {{0x1d010061,0xb2ca01df,0x5dee0022,0x00000000}},	//   _관련글보기_, _gleds_, _ҡуйһа_, --, 
   {{0x4c73024b,0x0289023e,0xc4de014f,0xeddc003c}},	//   _podrás_, _اقساط_, _временом_, _دلتون_, 
   {{0xba820270,0x568103f0,0xf10c00e6,0x65e40297}},	//   _recognos, _myndskei, _更重要的是_, _aşıgıgız_, 
   {{0xd3fa005b,0x8f420080,0xfd2400d1,0xe9e701e9}},	//   _atsugi_, _atussaga, _পৰিক্ৰমা, _kokotela_, 
   {{0x494f00fb,0x54b101f1,0xfd46019b,0x12d80289}},	//   _anelunge, _ekspozoj, _кратамі_, _jekete_, 
   {{0xa7fe01f2,0x0ee6027f,0xf329041a,0x00000000}},	//   _نەشرىيات, _nanyanke_, _привокза, --, 
   {{0xa2260211,0xc3aa0057,0xec690102,0xf3d400f6}},	//   _matkan_, _petaling_, _muvunyi_, _liqası_, 
   {{0xfc5b023c,0xe25a0014,0x3b0f0453,0xf82701bd}},	//   _kakuhle_, _ብህድኣት_, _šiptara_, _جاعادان_, 
   {{0xe79c020e,0xb1ef005e,0x0be802a2,0xb292016e}},	//   _браузеры_, _ھەرقاچان_, _paborito_, _mesaja_, 
   {{0xb2910331,0x82fc03ae,0x551901a3,0xd2cb00f3}},	//   _eigari_, _renovasj, _نوحاڻي_, _olude_, 
   {{0x440d00ae,0x3e0c041a,0x5fea008f,0xcdbd007e}},	//   _akononek, _нобелівс, _राजाकेँ_, _भिन्नभिन, 
   {{0xed150417,0xc20001f7,0xae3c020f,0xcf5f014a}},	//   _verseker, _bacin_, _دشتون_, _funkciói, 
   {{0x6f3f007e,0x5e3d0059,0x39c40147,0x82e60127}},	//   _anasūyak, _социална, _تۉنتۉرۅۅ, _bannenn_, 
   {{0x7a8c01a1,0xc2fb036b,0x2a5702d6,0x31860139}},	//   _tuinmeub, _автопат_, _визалар_, _cintayān, 
   {{0x82000187,0xed7600bc,0xdd5f00c1,0x4ad802f0}},	// [5850] _macio_, _گردنه_, _जमीनीवर_, _ekutsint, 
   {{0x1b2d0278,0x3db0028b,0x9c25026a,0x0200015e}},	//   _timbalan_, _capitalp, _korodrau_, _facin_, 
   {{0x768c00b5,0x6db106d9,0x41cd018d,0xd16f0041}},	//   _далагоит_, _poliniza, _ተመሳሰልቲ_, _иҩымҭала_, 
   {{0x92fe0068,0x939d01ef,0xac510066,0x32900544}},	//   _weeraray_, _palangoj, _zentroa_, _pakaua_, 
   {{0xebee04ae,0x894f014c,0xf2270064,0x35690139}},	//   _налог_, _unelunge, _наристе_, _स्थावरजङ, 
   {{0x252d004d,0x07b50243,0xf253011c,0x3200046b}},	//   _新民記講場_, _tessekex, _karangué_, _hacio_, 
   {{0x5c3201e9,0xe1e00139,0x9eca02f0,0xf6cd0466}},	//   _bohibidu_, _anyonyam, _elinanin, _posaljem_, 
   {{0x325a035b,0x9291016b,0x8ae70162,0x99fc00b5}},	//   _okolje_, _sigari_, _юртлириғ, _hermaña_, 
   {{0x3028029a,0x0300005b,0x8e1c020e,0xf0f70021}},	//   _moderniz_, _helbred_, _половецт, _aughingl, 
   {{0x92480058,0x7f5b0049,0x83b60059,0x0c620037}},	//   _fiams_, _hakailan, _централи_, _turutan_, 
   {{0xf92800bc,0x42920227,0x438603dc,0x8b2700e6}},	//   _حمایت_, _sesama_, _vaksandi_, _plaquett, 
   {{0x9200013d,0xa7b00018,0x1292013e,0x5fe7002b}},	//   _nacio_, _ilawalaw, _pesama_, _সাইমুম_, 
   {{0x1ed105da,0x0ad80219,0x63860516,0xe5f80125}},	//   _anuncios_, _akutsint, _scorn_, _парахатч, 
   {{0xf29b02af,0x2efc0059,0xa9f80148,0x9c6f00e4}},	//   _akubitam, _чушки_, _progenie, _ktorego_, 
   {{0xb62d0031,0xa7c2022b,0x8ee603ab,0x00000000}},	//   _terinspi, _stigtalv, _pochutin, --, 
   {{0xe3450415,0x724800ea,0x82900239,0x8d3f018d}},	//   _handelt_, _diams_, _hakara_, _ታህዲድን_, 
   {{0x977600c5,0x953b055d,0x53ea005b,0x7292033e}},	// [5860] _大家看出了什么_, _sepanyol_, _siltas_, _hesaka_, 
   {{0xf7ef00f7,0x4c62012a,0x5290012c,0xf06003a2}},	//   _אמונת_, _zebrane_, _sakata_, _वॉरसॉ_, 
   {{0x420202c0,0x28450306,0xc2ca0199,0x49fe03f8}},	//   _equipe_, _manteles_, _amidan_, _dachavta_, 
   {{0xe2910468,0x52900244,0xd9c40270,0x726e0611}},	//   _angafi_, _telaio_, _empleava_, _repous_, 
   {{0x17530381,0x720100e2,0x953e006c,0x00000000}},	//   _alancing, _dizich_, _кимиёвии_, --, 
   {{0x1c30002b,0x52900085,0x727e00d8,0x63ea00ec}},	//   _পজিটিভ_, _takasa_, _aronow_, _tiltas_, 
   {{0xf38a02fa,0xbf7d00c8,0x92380211,0x2f5d006a}},	//   _akayabo_, _проектҡа_, _арестова, _hanangon, 
   {{0xbad00318,0x248a0307,0x28b80162,0xc271029e}},	//   _faitapue, _bangazuz, _بايلىقىم, _eztaoliñ_, 
   {{0xcc9304dc,0xb29000ad,0xe15404a8,0xb2da011e}},	//   _بابان_, _kakara_, _vlastito, _eksele_, 
   {{0x82480095,0x0fc80476,0xbd820144,0x00000000}},	//   _dhame_, _asingazo, _بهجوم_, --, 
   {{0x5248012b,0xfaa400d9,0xd2fc01b2,0xd40903d9}},	//   _znamy_, _konkurss, _amridit_, _ampielez, 
   {{0xc3950256,0xb34403e6,0x52d90246,0xeb970011}},	//   _klases_, _tirette_, _povero_, _bakimayo_, 
   {{0x9d3b0124,0x43950121,0xe073002c,0xb997004d}},	//   _bisharat_, _clases_, _bezalako, _信義房屋叫員工跑_, 
   {{0x4d070074,0x83ef068f,0x937801c1,0xc379006f}},	//   _органов_, _babueiyi_, _dijalan_, _kuwania_, 
   {{0xc7540388,0x7a1e0013,0x96330315,0x337d01c2}},	//   _независи, _кийиш_, _bedizayi, _requirim, 
   {{0x129200d5,0x3201020d,0x534001cf,0xd9fb041e}},	//   _resaka_, _mugina_, _deberea_, _rimarcat, 
   {{0x634302ed,0xc6370220,0xc6e80188,0xb38601be}},	// [5870] _outeiro_, _камион_, _парастор, _bagry_, 
   {{0x16b701a3,0xd7c1003b,0x9e190121,0xd3ea01eb}},	//   _ساٿارين_, _esitsatf, _disfraza, _miltos_, 
   {{0x92b302f6,0x02910117,0x00000000,0x00000000}},	//   _nandito_, _yupal_, --, --, 
   {{0x13150587,0x27d303b8,0x11500086,0xe9c1041e}},	//   _trabalh_, _феодалды, _ویرانے_, _alemagna_, 
   {{0x42900054,0x3c6003b0,0xb2d9003a,0xd7350148}},	//   _takara_, _skattar_, _muzeyi_, _siquidem_, 
   {{0xfd340162,0x956d034c,0x605304dc,0xc0d100d1}},	//   _پېشىن_, _birmaniä, _چانسی_, _শৰীৰক_, 
   {{0x50530107,0x8191046b,0xb4c800be,0xf2c5011b}},	//   _نانسی_, _anobaith_, _جۅندۅلدۉ_, _ikeleve_, 
   {{0x02b202bc,0x237a03cf,0x037a02e8,0x6ed40291}},	//   _mandien_, _tiyatro_, _akararam, _athinsin, 
   {{0x62fc022f,0xca160035,0x22d90365,0x5e9b0205}},	//   _lengva_, _яратты_, _excelu_, _истинжод, 
   {{0xf2920186,0x43f803cf,0x02fc00ee,0xfdb6017a}},	//   _pesaka_, _hukuki_, _arrisku_, _abhinada, 
   {{0xc25b008a,0x32ce0272,0xcfcf0487,0xa29402dd}},	//   _toalua_, _abediimi_, _familiar_, _durabbli_, 
   {{0xf6660157,0x8248019a,0xb6960024,0xddf70155}},	//   _महासभा_, _thame_, _তামুলী_, _handlare_, 
   {{0x72cb077c,0x8d380101,0x4248001e,0x430c0443}},	//   _goude_, _milioane_, _kaimi_, _tadarus_, 
   {{0xe3ac030f,0x3bf00403,0x8291044a,0x2bd702ea}},	//   _piupiu_, _mavesatr, _engali_, _mondador, 
   {{0xcdd50029,0x2c7300be,0xe9e70024,0x42fc0062}},	//   _بێهۆشکه_, _ايىقپاس_, _গাংমৌ_, _jengva_, 
   {{0x5248046d,0x73f70238,0xad3700bb,0xdad70347}},	//   _laimi_, _вересень_, _اکناف_, _bestempe, 
   {{0xf1070305,0xe0b20132,0x9abd020f,0x497705af}},	// [5880] _folketal, _عارفہ_, _نیژدې_, _jednomje, 
   {{0xa077022a,0x25e300ae,0xe2ca0264,0x791101cd}},	//   _carcharo, _arubariy, _baldoz_, _иттиллои_, 
   {{0xbb93020f,0x42e60358,0x7cf60012,0x630f022b}},	//   _abaneenc, _bannann_, _धरमकरम_, _betalur_, 
   {{0x8ae5023d,0xa2d8005b,0xc5b801db,0x00000000}},	//   _risultat, _himeji_, _расталға, --, 
   {{0xb326005e,0x064d010d,0x8d2a006c,0x00000000}},	//   _خاھىشى_, _द्वारकान, _ғалладон, --, 
   {{0xfb500272,0x1c61016e,0xb62c0022,0x82e701ad}},	//   _abattira_, _kurtlar_, _әбелхәйе, _leonilo_, 
   {{0xdc6600a8,0x19af018d,0x7da4018b,0xdf4e020f}},	//   _partent_, _ተንኮልን_, _гласул_, _akusenja, 
   {{0x5ecb0089,0x62dd01dd,0xc3f40243,0x7947047d}},	//   _атомның_, _karongi_, _mattee_, _explikat, 
   {{0x015200ed,0xa1850080,0x3d180311,0xa536012e}},	//   _nutrisyo, _anpartil, _ከይኣተወ_, _közmunká, 
   {{0x0715004d,0x631f002b,0x7e7e03f4,0xc02c00fa}},	//   _行政院主計處第三, _উদ্যানে_, _топливно, _dereksyo, 
   {{0x554b03b6,0xd2fc015e,0x00000000,0x00000000}},	//   _lonílé_, _cadires_, --, --, 
   {{0x425000ec,0x2ddd004d,0x9230077d,0x7fa2040f}},	//   _пекар_, _傳統美食嘉年華_, _drameva_, _neplanuo, 
   {{0x31460276,0x92f703ac,0xdbeb0299,0x42d8077e}},	//   _جاراھەت_, _kafilah_, _ئەۋرەتلى, _anneto_, 
   {{0x22cb015c,0x9290009f,0xf2d8005b,0x69c404e6}},	//   _roude_, _delamo_, _bsnes_, _binebent, 
   {{0x32cb00f1,0x225a060c,0x19d6005e,0x02e200f3}},	//   _soude_, _okolie_, _قاپقارا_, _bengenzi_, 
   {{0x1896011f,0x42480005,0xe3780230,0xf43e0188}},	//   _аҳатарна, _taimp_, _kanapyn_, _занни_, 
   {{0x6c380013,0x00000000,0x00000000,0x00000000}},	// [5890] _ariyning_, --, --, --, 
   {{0x1c61028e,0x9dff01df,0x47090013,0xa8c501ad}},	//   _amorite_, _hardship, _қаратила, _gintatag, 
   {{0x52910131,0xe4530100,0x25390037,0x37ee03be}},	//   _cuxas_, _zatvaraj, _ditampal_, _kutareng, 
   {{0x8201022c,0x0a2a0092,0xe2e1033a,0xcf270088}},	//   _rugina_, _プレミアム_, _effiong_, _арканды_, 
   {{0x14990176,0x7a5e0385,0x5cea0012,0x42b600c1}},	//   _eventuel_, _štednja_, _दूधमुँह_, _curcol_, 
   {{0xd6b70090,0x89910149,0x9e3700dc,0x09c8012c}},	//   _acharati, _ọkpara_, _talamata, _kuzorota_, 
   {{0x3a120455,0xa36801c2,0x52920225,0x17aa020f}},	//   _inscrive, _blogues_, _ebraer_, _درسنيو_, 
   {{0xc2fc02db,0xff6401c5,0x00000000,0x00000000}},	//   _rilijes_, _macallin, --, --, 
   {{0xf29004c3,0xae0f0037,0xd2d90226,0x6e9e00cb}},	//   _choai_, _አሸናፊነት_, _juzeni_, _лайлӣ_, 
   {{0xf54f012b,0xb35000c1,0x43bd00bc,0x660d0052}},	//   _elementó, _गल्लत_, _nyawang_, _ज्ञापनपत, 
   {{0xd3870231,0x3f4a02bd,0xf300001b,0x25fe023c}},	//   _iterum_, _elusenna, _addatti_, _مسلمانه_, 
   {{0x22fc00ce,0x677c017a,0x679300c8,0xb95100d8}},	//   _malgre_, _максадаш_, _декабере, _consòrci_, 
   {{0x632602e5,0xea08006a,0x07cb000a,0x1c540033}},	//   _batconv_, _takarina_, _brønlund_, _castitg_, 
   {{0x8585002d,0x79e201fe,0x727e0049,0xa29103b9}},	//   _autonomí, _bunotaka_, _apongi_, _tupak_, 
   {{0xaf2400af,0x525a044a,0x92940362,0x39650235}},	//   _større_, _violé_, _alakisi_, _शासनम्_, 
   {{0x6e3801e1,0x12a001c5,0x71c20021,0x928e0183}},	//   _ditabata, _qasbay_, _aradepay_, _drakoto_, 
   {{0xd0780148,0x66a8013a,0x3291037f,0xee390370}},	// [58a0] _澳門公職法律制度_, _boursesy, _buxar_, _didasara, 
   {{0xc2de0544,0x32d90233,0xbfaf0242,0x534600be}},	//   _kinohou_, _orbeli_, _demekdir_, _gaudint_, 
   {{0x030d023f,0x93f8002f,0x90970187,0xcd0600a4}},	//   _steamer_, _iskut_, _премини_, _تومۇن_, 
   {{0x02900199,0x82480201,0x7bed049a,0xef4b0445}},	//   _thoai_, _saami_, _varaliča, _disposta, 
   {{0x833d02b9,0x736802a4,0x32090061,0x00000000}},	//   _کینال_, _sanguis_, _케이스라면_, --, 
   {{0xb2000261,0xd38b0238,0x12260416,0x4ab601e5}},	//   _nacia_, _стануть_, _niskí_, _laaknorb, 
   {{0xa8b6072a,0x72da0107,0x9f960405,0x42d90226}},	//   _ترسيل_, _adreng_, _рабство_, _auzeni_, 
   {{0x5200024b,0x6bba018d,0x8851000d,0x26140147}},	//   _hacia_, _ብጥልመት_, _ebaõigla, _سىلۇشايە, 
   {{0x69b70420,0x55da00a4,0x70c80156,0x229b02ac}},	//   _предал_, _تەحىكالى, _פּסקענען_, _بكلام_, 
   {{0x26040169,0xc72b001d,0xd9fb0189,0x8090028f}},	//   _ধানমন্ডি_, _fortisim_, _rahatlat, _mangakāh, 
   {{0xbc520144,0x62fe0462,0xbfb50040,0xf3660453}},	//   _giotán_, _adertray_, _contests_, _opremanj, 
   {{0x829100e9,0x0a0501e6,0x29fa00dc,0x00000000}},	//   _arpan_, _značku_, _oloipola_, --, 
   {{0xf387018e,0x7201013c,0xf9b40045,0x47be0012}},	//   _dawrs_, _faciə_, _кукуруз_, _वनराजकेँ_, 
   {{0xb0350122,0x337800c7,0xb1c5029f,0x4aa30219}},	//   _kuntilan, _alganda_, _účelom_, _bamkhuts, 
   {{0xd27e03a8,0x38e100da,0x2249005b,0x2db30009}},	//   _meiner_, _студиязэ_, _goemon_, _podarite_, 
   {{0xeb180162,0x02010309,0x07810139,0xe2a002fd}},	//   _камирлар, _vasif_, _स्वातिरि, _reubte_, 
   {{0xffdf0195,0x21700156,0x02a500cf,0xe3100119}},	// [58b0] _chunnaic_, _ברעיקינג_, _dimbitii_, _kawaray_, 
   {{0x6dc40302,0x107d021b,0x36fa02e1,0xb2bd03dc}},	//   _сухроб_, _шансы_, _ارامكو_, _bundnum_, 
   {{0xfaa80192,0x020e0162,0xdf1f002f,0x63af0152}},	//   _개인적으로_, _макан_, _atienden, _elemtägä_, 
   {{0x7290002c,0xf62904d7,0xdf0e0126,0x938002fd}},	//   _delako_, _vandamál_, _сферах_, _altrum_, 
   {{0x3200041e,0x9b8705ce,0x5b20048c,0x6e8a0059}},	//   _facia_, _dedikler, _anophyle, _струни_, 
   {{0x8224005b,0x194b0026,0xf30100c4,0x684b0155}},	//   _unikke_, _inkomste, _mirathi_, _inkomstu, 
   {{0xc9bf001a,0x427e025c,0xcd960067,0x65e20238}},	//   _befektet, _deiner_, _amalasaa, _австралі, 
   {{0xd0fe015d,0x09f100dc,0x785c0079,0x0b130204}},	//   _archiwal, _lafitaga_, _lopbarīb, _punaisen_, 
   {{0x83eb046b,0xed2e00bf,0xe2fd0027,0x0cbe0039}},	//   _borth_, _обещания_, _plagik_, _кафед_, 
   {{0x42e50026,0xb1f5034f,0x72fa04f2,0xd3f8027f}},	//   _통신판매업_, _وګرځي_, _tinhvan_, _binuba_, 
   {{0x52480202,0xeb19016d,0x56b906a2,0x942302a8}},	//   _daamu_, _сайлимид, _bihagari, _attivazz, 
   {{0xd24a026c,0x7b8a015e,0x6fcc0273,0x41970137}},	//   _flumen_, _кором_, _avanzado, _группт_, 
   {{0x723103da,0xb27e0421,0xd3860365,0xc4e100d1}},	//   _akomako_, _keiner_, _obory_, _সেনাই_, 
   {{0xbba30080,0xc201036c,0x6430006d,0x9ed002d0}},	//   _akikiler, _bibiny_, _англічан_, _haunlins_, 
   {{0xc2cb008a,0x4fc302e2,0x42d400f5,0x786302ea}},	//   _amaden_, _polisher_, _ленинчил, _кораби_, 
   {{0x6f49022a,0x00000000,0x00000000,0x00000000}},	//   _kompenat_, --, --, --, 
   {{0xae3b034e,0xfdb60133,0x92cb00ff,0xb4890145}},	// [58c0] _allanapa, _baandoma, _aludo_, _антарыа_, 
   {{0x8efb0299,0xaea300f4,0x9068018d,0x78790148}},	//   _بىپايان_, _adprenet_, _ንኽትጽፋዕ_, _proprias_, 
   {{0x8d570036,0x1efc0059,0x24e1002b,0xec86005d}},	//   _استراليا_, _формулир, _সেমাই_, _ipochýra, 
   {{0xf37f0307,0x89290078,0x0bdd045b,0x00000000}},	//   _ithanda_, _северне_, _спалень_, --, 
   {{0x7e50030b,0x22920288,0xa110002b,0xf25a0311}},	//   _abaasima, _tetaro_, _ডারউইন_, _ከነብጽሖ_, 
   {{0xb37e03cc,0xd0650264,0x8d910139,0xb28d01aa}},	//   _tendrá_, _babatngo, _निब्बत्त, _antsplay_, 
   {{0x824800ec,0x00000000,0x00000000,0x00000000}},	//   _paimti_, --, --, --, 
   {{0x52010230,0x924a0473,0xfd2800f8,0x00000000}},	//   _lasie_, _blumen_, _বোনাসের_, --, 
   {{0x054a0162,0x3248024a,0x325804f8,0x5485027b}},	//   _айландур, _baamu_, _initiall, _दोषान्_, 
   {{0x8d3c0047,0xd9c000ce,0xdd4001f9,0xb47d0299}},	//   _发表评论于_, _lenesese, _bebantfu_, _ئاتومنىڭ_, 
   {{0xfa690014,0x4c0b02fb,0xead70148,0x12d90527}},	//   _ደቀምሓረ_, _epipilo_, _aestimat, _necete_, 
   {{0xa1a700ba,0xfa040285,0x12e80678,0x403e045b}},	//   _ئالۆزی_, _ayisumbu, _rodiča_, _поточном, 
   {{0x82da0018,0x1c93009a,0x52dc012b,0xc3440203}},	//   _sureti_, _رامات_, _kolekcji_, _asserte_, 
   {{0x4386053f,0x33660393,0x49690065,0x31770008}},	//   _nyorai_, _spremanj, _exportie, _кести_, 
   {{0xa378001b,0x2e5d02da,0x438603dd,0x00000000}},	//   _dabalaa_, _катче_, _nxorri_, --, 
   {{0x62e30211,0xcc7103a2,0xb12702d3,0xeedc004c}},	//   _valitse_, _बिच्छू_, _агенција, _aleyopaa, 
   {{0xee1d053b,0xa6f40163,0x7a270059,0xf3400156}},	// [58d0] _gerencia, _vastagsá, _средния_, _armenan_, 
   {{0x286700cf,0xe2910080,0x0e3b0253,0xe03503d4}},	//   _achiistu, _arpat_, _allagaap, _луксембу, 
   {{0x7ad70487,0x45df0040,0xcb0800be,0xd26c005b}},	//   _zestimat, _המצבר_, _تولقوو_, _amnos_, 
   {{0x4c650181,0xb977000e,0x727a011c,0x0373023b}},	//   _casuale_, _baricade, _biritani_, _wahahee_, 
   {{0x4201002a,0xbebe03ff,0x72b60222,0x79f403db}},	//   _kasie_, _poznamen, _coucou_, _kadadewe, 
   {{0xafd500ba,0x5eb00156,0xe2e703e6,0x00000000}},	//   _دۆڕێنین_, _שמײכלט_, _hanneno_, --, 
   {{0xb2f30160,0xa06c01db,0x1abd0092,0x96a6054c}},	//   _pojaviti_, _дінтануш, _をプレゼント_, _bidragsy, 
   {{0x12120062,0x73170030,0xb2e80007,0x458703fb}},	//   _yudha_, _googlē_, _kozinga_, _sastanak, 
   {{0xa73703a2,0x82fc03dd,0x592d014a,0x70e003a2}},	//   _एयरफोर्स_, _fitimet_, _struktúr, _सिटीजन_, 
   {{0x35620139,0xcd5a00a7,0x531a010e,0x16b70087}},	//   _apavarak, _قاجاشۇۇد, _bisitang_, _mahakati, 
   {{0xc2cb0403,0xe25a0307,0x9f47015c,0x92e10040}},	//   _demonia_, _bengavum, _dausende_, _openurl_, 
   {{0x22da0503,0x698a042b,0x2c530124,0xd5960220}},	//   _spanske_, _priču_, _pattara_, _riproduz, 
   {{0x48a600de,0xb55900c4,0xf06300c1,0x9dcf002f}},	//   _عبدالولي_, _طوفانن_, _रीतसर_, _chikanya, 
   {{0xbf3d010d,0x52d4008e,0x2c1400ec,0xa94f014d}},	//   _क्लिप्स_, _dolliku_, _мемарыял, _verlaufe, 
   {{0x22b40466,0x4622007f,0x92ed00f3,0x347200c1}},	//   _obicno_, _addurnol_, _basinde_, _gratisan_, 
   {{0xbd0c00d4,0x43880272,0x4b7e015a,0x6c530082}},	//   _kommisje_, _abayisa_, _amerikaa_, _tattara_, 
   {{0xd68f017d,0x2d5400be,0x00f30149,0xd29101f7}},	// [58e0] _新しくブラウザが, _اچىشات_, _netwọọ, _arpas_, 
   {{0x16b6000b,0xfe880350,0x00000000,0x00000000}},	//   _ponausui, _ጥንቃቄና_, --, --, 
   {{0xd941001c,0x555702fe,0xf11b02c4,0x18150064}},	//   _bremgart, _bamkhaph, _стомак_, _букада_, 
   {{0x7286033d,0xc7b901c1,0xe3f90011,0x3d72002b}},	//   _lachanm_, _memungki, _anvuma_, _ফোল্ডারে_, 
   {{0x998500bc,0x9d0a005d,0xb998027b,0x8c760259}},	//   _ماليات_, _cheresar, _भरतश्रेष, _bassdog_, 
   {{0x2db7001c,0x3ec6028e,0xdc19003d,0x9b0602bb}},	//   _aktibida, _impotans_, _acumulèt_, _nagrania_, 
   {{0x4db60567,0xfbdb03bb,0xa9c0034b,0xd9f1005e}},	//   _jurnalla, _alumnado_, _jenerese, _دوستۇمغا_, 
   {{0x54410039,0xa396029b,0x83eb0016,0x026f0133}},	//   _америкий, _buusal_, _korto_, _dangefam, 
   {{0x025a0377,0xf59a0022,0x4a900118,0x00000000}},	//   _doilea_, _әсбаптар, _bagizimb, --, 
   {{0xb22403e1,0xa7b903ac,0xc158031a,0x6a1b0162}},	//   _sukker_, _kemungki, _chinnidh_, _قىستاپ_, 
   {{0xb9f900cf,0xd5a30128,0xbdbd008f,0x00000000}},	//   _barichaa_, _кўникиб_, _सरकावs_, --, 
   {{0x898d00e5,0x629100a2,0x3c660046,0x22fd0370}},	//   _популарн, _angani_, _башынын_, _baliter_, 
   {{0x82e00128,0x5c530255,0x63f90326,0x3aca0005}},	//   _shundan_, _बूटेड_, _anguvo_, _clavanie, 
   {{0x43940140,0x8c1402fe,0x0f390227,0xc6040023}},	//   _moises_, _پولنډ_, _dilupaka, _необыкно, 
   {{0xb6070169,0x107306ac,0xdfa10064,0xd348003f}},	//   _শতাব্দীর_, _conceito, _ensenyar_, _hevetlh_, 
   {{0x068900e4,0xce46012e,0x17e50244,0x49150156}},	//   _bhavishy, _نامساعد_, _disattiv, _טנאָים_, 
   {{0xd3680126,0xff1100c5,0xe196033e,0x2b9100ca}},	// [58f0] _наприкла, _中国民用航空总局_, _boiarsky_, _anonciac, 
   {{0x8e99011d,0xac6003f9,0x02910343,0x60bd0235}},	//   _кампание, _seguita_, _aupat_, _anirjñāt, 
   {{0x82cb0310,0xb133051b,0x33790028,0x4869004c}},	//   _amadan_, _nastarto, _dirayaa_, _bafirisu, 
   {{0x32d902c2,0x33eb0261,0x1f1f02d7,0x8ed60032}},	//   _tydens_, _forto_, _nomeamen, _minyodda, 
   {{0xee35017f,0xfeb100d1,0xdf260109,0x72d802ce}},	//   _aperineq, _styrande_, _अकोराबमा_, _isnet_, 
   {{0x13f80122,0x5c7005aa,0x02df011e,0xd9cb0255}},	//   _uskup_, _forsyne_, _rekonet_, _करायने_, 
   {{0x82cb013f,0x822504dc,0x12d90261,0x8c3e0059}},	//   _houde_, _قژتان_, _alveno_, _признаци_, 
   {{0x19930040,0x89790375,0xb2cb018c,0x795000c7}},	//   _סטילס_, _akanache, _koude_, _berseder_, 
   {{0x9eb10047,0x08fd02ff,0x5482034c,0xda100322}},	//   _entraide_, _estandad, _алынмады_, _bakabime, 
   {{0x33eb00f7,0x929102f6,0x234a029b,0xb59600e6}},	//   _vorto_, _kupas_, _domeenu_, _这种情况下_, 
   {{0xb3780074,0x797501b8,0x956d0397,0x962901a6}},	//   _ainakin_, _artiklit, _бойматов, _tapiriti, 
   {{0xb493002b,0x5a1c0349,0xe98e0444,0x5d30000a}},	//   _কাপ্তাই_, _airborne, _дарий_, _bilionit_, 
   {{0xf168041e,0xd94a062c,0x9c430040,0x688a00bc}},	//   _monsigno, _पचासवां_, _שניצל_, _تسليت_, 
   {{0x82120373,0xcbb9014e,0x1fe9009a,0xe3d9014e}},	//   _budho_, _детета_, _پروفسر_, _преселил, 
   {{0x03eb013d,0xdb6e0008,0x4f5b0080,0xcdf5007e}},	//   _sorto_, _cistella_, _alianaan, _asatkṛto_, 
   {{0x837801c0,0x22190137,0xba29011a,0x4a130064}},	//   _ainahin_, _чамгүйгэ, _volcanoe, _pancarte, 
   {{0x9b32017d,0x93fa005b,0x5c6004a4,0x3e1b022b}},	// [5900] _ジの先頭へ_, _itsuki_, _diarmad_, _akillevs_, 
   {{0x9292040d,0x8c7b001a,0x96b70207,0x4dfe0060}},	//   _fetago_, _korszak_, _تارازي_, _تەرىم_, 
   {{0x227e0003,0xe2c30318,0xf2630452,0xa291005a}},	//   _avond_, _ipolito_, _नामनिर्द, _mupar_, 
   {{0xb85200c5,0x9291005a,0xd79304b9,0x7c9101a0}},	//   _中文科技期刊数据, _lupar_, _gaitheri, _macesanu_, 
   {{0x272e012b,0x72e60257,0xee5403db,0x09060061}},	//   _zapamięt, _manninn_, _basabele_, _권해드립니다_, 
   {{0x1c5d0261,0x88f00167,0x00000000,0x00000000}},	//   _sistemo_, _gwlyptir_, --, --, 
   {{0xa2d003f9,0x7ae503d5,0x037e0514,0xf3140147}},	//   _gaulois_, _disestab, _emfatic_, _دئۋىدى_, 
   {{0xd36402af,0xadb10376,0x3f7d02c0,0x00000000}},	//   _aragora_, _andaligt_, _рамената_, --, 
   {{0x1cbc0044,0xc17f0370,0x6e32002b,0xf9b100ff}},	//   _detached_, _antarmol, _উচ্চমাধ্, _bildlite, 
   {{0x28c402c2,0x19630061,0x62d9016a,0x448500f4}},	//   _groeiend, _오지지역등에_, _infero_, _ekologel_, 
   {{0x12ca00d4,0xed9901eb,0x00000000,0x00000000}},	//   _liede_, _háguinte_, --, --, 
   {{0x424900bd,0xef4201f7,0xd2480282,0x92a7005b}},	//   _thyme_, _estrecha, _haami_, _drablo_, 
   {{0x63eb00d0,0xd2fd0343,0xb23b00b9,0x7ff30024}},	//   _sortu_, _badget_, _dilewati_, _টাংছা_, 
   {{0xe8bf01aa,0x8ab00192,0x63940120,0xf248013a}},	//   _affected, _눌러주세요_, _obisse_, _eenmol_, 
   {{0x13950344,0x02000387,0xaf5f0414,0x73940074}},	//   _aaasit_, _welite_, _degusté_, _saisit_, 
   {{0x73eb00a4,0xd9fa004d,0xd3ce0155,0x00000000}},	//   _forts_, _也許他會寬容的原, _provet_, --, 
   {{0xbb6b02c7,0x8224039e,0x8bbe0060,0x00000000}},	// [5910] _ignorier, _dukkar_, _ساربازىڭ_, --, 
   {{0xc1ce0230,0x4f620354,0x0291019a,0x70f600c7}},	//   _degresaz_, _ядикарли, _cupar_, _dokladın, 
   {{0xc2730639,0x8e1501c1,0x93eb0008,0xd43900e6}},	//   _peribadi_, _kesetiaa, _horts_, _江苏省信息中心_, 
   {{0xb3cf02bc,0x024a02ff,0x5fe80052,0x288802c0}},	//   _bhavan_, _kouman_, _राजालाई_, _дипломит, 
   {{0x87e60052,0x093f0481,0x7a7c033f,0x10a900cb}},	//   _अवार्ड_, _vermoede, _tengihia_, _мекнанд_, 
   {{0xfc6100b7,0x53eb02d0,0x00000000,0x00000000}},	//   _yurtlar_, _dorts_, --, --, 
   {{0xc6a5016a,0xbe94006c,0xc7280089,0x34af00f8}},	//   _konfirmi, _abamatan, _belsennä, _বৃদ্ধকে_, 
   {{0xb9970113,0x008600ee,0x39f5017c,0x2f940017}},	//   _hashjama_, _alabarik_, _bolagsve, _aféra_, 
   {{0x1053004a,0xd9aa00af,0x451e00b5,0xd2d9032d}},	//   _могилев_, _годин_, _aranduty, _bonngoe_, 
   {{0xc248024a,0xaaaa0297,0x52e90176,0x00000000}},	//   _abamo_, _elägüçel, _hajirin_, --, 
   {{0x484d0301,0xa2cf0314,0x485b01ce,0x3eaf0095}},	//   _rəhbər_, _bojohle_, _اکسسوری_, _cadouwan, 
   {{0x42d90558,0x025b00b4,0x86f0003d,0x52910018}},	//   _izrel_, _inalta_, _abbadiá_, _sigani_, 
   {{0x99910207,0x451e036f,0x43eb00a4,0xb635053b}},	//   _mashtaka_, _prirodno_, _corts_, _descartá, 
   {{0xddb8032e,0xfad40585,0xfed00227,0xfc760084}},	//   _kuananka, _janković_, _diizinka, _digusur_, 
   {{0x2b220025,0xd2cc05d5,0x024c015d,0x2e64008d}},	//   _समाचरेत्_, _angleso_, _वडाला_, _муфтий_, 
   {{0x52000148,0xd3f80643,0x58850092,0x815401a3}},	//   _redire_, _fokusu_, _ネックレス_, _ارسٽوفين, 
   {{0xf2fd00bc,0x520100a5,0x7387045f,0x82480302}},	// [5920] _caliper_, _pasia_, _klarar_, _ezimbi_, 
   {{0x6ece00c5,0xb25b0544,0xebf4016a,0x8fe9021c}},	//   _上海联放贸易有限, _alalia_, _renesanc, _hydratač, 
   {{0xd9cb0272,0xde1901d2,0x00000000,0x00000000}},	//   _amalanga_, _enteroma, --, --, 
   {{0x31eb017d,0x23f8016e,0xb3f903bf,0xf77600b2}},	//   _マタニティ_, _kokusu_, _difuba_, _dioxidii, 
   {{0x92010124,0xa60b0287,0x233202e2,0x6dfa019e}},	//   _tasia_, _majetkem_, _ataxy_, _брукаван, 
   {{0x0c6100df,0x4c6a01a7,0xfe7300c1,0x94b503a8}},	//   _cherche_, _tammikuu_, _हुश्श_, _পাইপসমূহ_, 
   {{0x8d9d04c4,0x12b4031d,0xb16d0255,0x43790036}},	//   _tunnusta, _candied_, _राजनीतिग, _busanna_, 
   {{0x8a80047e,0x706d02f6,0xd38703a4,0xf3fd02ba}},	//   _tehotens, _tagasuno, _alarar_, _alinikez, 
   {{0x8300017e,0x9292022c,0x50ab014b,0xbde80192}},	//   _redakti_, _kiwari_, _akummuuy_, _커뮤니케이션_, 
   {{0xf02200b2,0xf2d7012d,0x00000000,0x00000000}},	//   _abreesso, _najorol_, --, --, 
   {{0x714e01cd,0x7ba40310,0x0bc504ca,0x420801ef}},	//   _akufanel, _chaillic, _marcelin_, _мабіліза, 
   {{0xbbe6019a,0xec610140,0x1984022f,0x73870061}},	//   _ancestor, _subukan_, _papildyt, _지역경제과_, 
   {{0xa20103a4,0xd590006f,0xeac20152,0xe20005b7}},	//   _hasin_, _kupunguz, _cinayätç, _kinima_, 
   {{0x46b70010,0x36c20262,0x1e3a0211,0x726e008b}},	//   _abhajati, _arassady, _поединок_, _espore_, 
   {{0xe27800da,0x23570034,0x080801f4,0xdf160183}},	//   _carnea_, _noregur_, _даставва, _aradalan, 
   {{0x200b0008,0x79e7018e,0x07b205aa,0x340b01de}},	//   _апасы_, _dokodela_, _sportsfi, _азаюы_, 
   {{0xc882022a,0x636600a4,0x12b60107,0xeb17020b}},	// [5930] _musigaju, _aparició_, _apadene_, _gagamats, 
   {{0xb2b502c9,0x82010150,0xbe4e0281,0xf7a20467}},	//   _produse_, _fasin_, _innaalla, _sankubɔ_, 
   {{0x0aa10148,0xa9c802d3,0xa224033f,0xa6360012}},	//   _推薦商品享分紅_, _vermelha_, _kaikeu_, _तेवहार_, 
   {{0xde19038b,0x435d012a,0x8c510247,0xaebe0350}},	//   _diselama, _podtrzym, _baltyra_, _አዘገጃጀት_, 
   {{0x25c7020f,0x2b6e00d9,0xac00040f,0xf3cf02e8}},	//   _alfabeth, _listalla_, _minskas_, _chaminuk, 
   {{0x5b9f019e,0x7b4d008d,0xe394004a,0x261202a1}},	//   _keleivių_, _razvedka_, _dinsez_, _misleidi, 
   {{0xf6170179,0x82960092,0xcf9c006d,0x49cb0219}},	//   _volendam_, _amakasu_, _агзкс_, _elilanga_, 
   {{0x26a2018b,0x84400315,0x43e90053,0x3200012a}},	//   _дестойни, _asikefik, _उगमस्थान_, _zycia_, 
   {{0x79de0092,0xd14104a0,0x6f9b00b9,0x22b70092}},	//   _有料老人ホ_, _apóstolo_, _दस्तऐवज_, _あなたもピュアブ, 
   {{0xd6000299,0xd26c00d7,0x1fa60213,0xf2be02b6}},	//   _адреслар, _bonoa_, _запрета_, _намаздың_, 
   {{0xe6990039,0x2b96020d,0xa04d01e5,0x4595020c}},	//   _теллер_, _rihindur, _marundin, _diperday, 
   {{0xac620108,0x324803ed,0xff38008d,0x488c00e4}},	//   _turunan_, _acima_, _ваколатх, _समीकरणों_, 
   {{0x26a503ad,0x306c01a3,0xe2fe00dd,0x9cdc0060}},	//   _konformi, _بيڏوهي_, _basgeg_, _قارىزدار_, 
   {{0x2201012d,0x205300c4,0xb6db02ac,0xb8a000d3}},	//   _pasin_, _جانسن_, _رااااااا, _celosvět, 
   {{0x52010515,0x524d0012,0x811c0040,0x5fe30029}},	//   _basio_, _नहालऽ_, _ההפתעה_, _پاڕتی_, 
   {{0xfc0b01bb,0xd5190059,0x738d004d,0x0225023e}},	//   _çapdan_, _десерти_, _中國語文能力_, _anakke_, 
   {{0xc587053f,0xe2010138,0xe239010f,0xd92b00b9}},	// [5940] _kastanak, _nasil_, _бонуи_, _इंटरनॅशन, 
   {{0x12ed0277,0x0e4200d1,0x3eb40046,0x71a000d6}},	//   _bednash_, _আবেগৰ_, _loteries_, _thochail, 
   {{0x6ea50044,0x72cd021b,0x278a0307,0x1e720025}},	//   _produces_, _формирую, _lokwandi, _राज्ञ_, 
   {{0x420102ff,0x93cf009f,0x00000000,0x00000000}},	//   _rasin_, _pozval_, --, --, 
   {{0x520103b9,0xa39000ef,0x73070313,0x139d00e5}},	//   _sasin_, _المالکي_, _bodameh_, _породува, 
   {{0x030d005b,0x42fa015d,0x1342023d,0x63bf0213}},	//   _dreamer_, _kuchnia_, _accesso_, _единого_, 
   {{0x7d2c0059,0x2d9400a6,0xafcc0058,0x811500cb}},	//   _списък_, _akulamba, _pivilupo, _agijimel, 
   {{0x62010342,0x220802bf,0x225b023b,0x963b005e}},	//   _fasil_, _abuyisel, _alaloa_, _ﺯﯨﻨﺪﺍﻧﺪﺍ_, 
   {{0xf7530219,0x03460287,0x63eb0372,0xa340043a}},	//   _ngenyang, _liberec_, _porth_, _dilekan_, 
   {{0xa49704ce,0x93eb054c,0xd25b039c,0x5f680365}},	//   _sasaladz, _borti_, _olalla_, _मानदण्ड_, 
   {{0xa297036a,0x2e3a0084,0x00000000,0x00000000}},	//   _sasamaki_, _antapara, --, --, 
   {{0xfefd0173,0x7d9000a6,0xb20100bc,0x3200003e}},	//   _বিদ্যালয়_, _ائینه_, _kasil_, _felixe_, 
   {{0x026e0077,0x5200036c,0x0e4d03b9,0x7b37028b}},	//   _repons_, _dinika_, _rijaluna, _милаҭтә_, 
   {{0x39680225,0x69d9033f,0x9fa70227,0x92ca001e}},	//   _dogoreie, _faingata_, _didengar_, _mallaki_, 
   {{0x8025039e,0x3201018a,0x36b400b9,0x419c00c4}},	//   _সাহিত্যৰ_, _pasio_, _solusiny, _لڄالٽ_, 
   {{0x309602b9,0xa37900bc,0xd3780122,0x2225045a}},	//   _نادانی_, _babagan_, _jajanan_, _snakke_, 
   {{0xd7b502a4,0x9e22031c,0xce290045,0x9b390311}},	// [5950] _wireimag, _ejemplos_, _немамо_, _ንበይንና_, 
   {{0x42000437,0x702e045e,0xf9a902eb,0x39900359}},	//   _ledige_, _заяви_, _нарангий, _mishanne, 
   {{0x59cb04d5,0xa3eb0111,0x7b260006,0x83b60361}},	//   _emalunga_, _corti_, _menakjub, _центрами_, 
   {{0x327e02c7,0x1d1a0029,0x82b50101,0xd2d70148}},	//   _seiner_, _ئومێده_, _vandute_, _annorum_, 
   {{0x027e00e2,0xfa7d027f,0x320204a4,0xa3c70126}},	//   _peiner_, _ashavura_, _dirich_, _принесе_, 
   {{0xaaed012c,0x727e011a,0x920200f3,0x87d20198}},	//   _wakuruge, _exons_, _kuwina_, _najvišji_, 
   {{0xa283032d,0xdf2f03a4,0x1b180037,0xa9fc01e7}},	//   _baqhobi_, _adressun, _የብራዚል_, _biergcou, 
   {{0xeed600bf,0x83f901b0,0x121202a2,0x627e040f}},	//   _регионах_, _dibumi_, _budhi_, _avinas_, 
   {{0x62910250,0xf6d00486,0x43fd00be,0x12480292}},	//   _aspak_, _घृणित_, _باداقشان_, _paamu_, 
   {{0xf36402af,0xfdff04f9,0x5d2801ff,0xe4b40344}},	//   _aragara_, _qulequta, _poistenc, _allaniik, 
   {{0x1ba6032d,0x5ed3019a,0xe4110488,0x8a180540}},	//   _чебоксар_, _dominies_, _pagatavo_, _dagbjart, 
   {{0x393b03b0,0xa201029b,0xbdbc029f,0x57470061}},	//   _framtida_, _aasie_, _investíc, _전체기사보기_, 
   {{0xcc7500e4,0xe25b01a7,0xc3940322,0x7e3801fe}},	//   _तान्या_, _alalla_, _abiswe_, _matanata, 
   {{0x2e1b004b,0xd2fc00a0,0xe2cb01d5,0xa65e0184}},	//   _fanetjha, _burinku_, _aludt_, _ndakwaki, 
   {{0x8e24005e,0xbfa6020b,0x6aa0019b,0x58b90153}},	//   _ﻳﯧﻘﯩﻨﻘﻰ_, _dimmotlo, _лябедзьк, _のブックマ_, 
   {{0x921201b7,0x8a170156,0x424a01d9,0xd8b80153}},	//   _yudhi_, _נתקרב_, _koumen_, _コミックマ_, 
   {{0x8313002a,0x298400d1,0x8aec0138,0xe2560452}},	// [5960] _julaị_, _কবিতাক_, _mezuniye, _घटकेचे_, 
   {{0x52b90433,0x227802ec,0x32ca0396,0x6292002f}},	//   _prudnik_, _karnaa_, _rieda_, _ampatu_, 
   {{0x83eb033a,0xbff30302,0xc1cc02f8,0x82c800f1}},	//   _qorti_, _ҷойгир_, _anomasim, _deroule_, 
   {{0xa2480362,0x26b80403,0xd2da005c,0x2552005b}},	//   _abimi_, _mahamasi, _burezi_, _benkyouh, 
   {{0xcf510148,0x6201021a,0xcf3f00a2,0xaa58021f}},	//   _元以下筆記本_, _argina_, _kongaman, _goreedha_, 
   {{0x620001c2,0xe2f0047b,0x360c02f7,0xdb7503fd}},	//   _melide_, _anfinni_, _lekodisi, _tapuitea_, 
   {{0xd25a03f2,0x89eb053e,0xa3ea0338,0xb8f0007e}},	//   _joilla_, _undersøk, _conten_, _गोवर्द्ध, 
   {{0xce4e0238,0xb1a2008d,0x7a54019f,0xde5503cf}},	//   _подальшо, _гуруҳига_, _kutembea_, _okulları, 
   {{0xc24801d1,0xe0bf0361,0xdec10139,0xec650119}},	//   _obama_, _осталась_, _bandhutā, _kagugub_, 
   {{0x82e30193,0xe1f705f8,0x237204d0,0xc29202ee}},	//   _walimbe_, _загрузит, _dinggiz_, _anwali_, 
   {{0xcb8d0193,0xef39019a,0xd4340613,0x63f30315}},	//   _पनामा_, _blinnder_, _caramelo_, _bobubili_, 
   {{0xc57b0075,0x4e4f055d,0x4c3a008b,0x63f9012a}},	//   _sunnukvø, _sukarela, _eksperes, _mazury_, 
   {{0xc6460040,0x9f470166,0xfca90342,0x42480258}},	//   _יבואני_, _tausende_, _disetyèm_, _fammen_, 
   {{0xc2480359,0xa27e0274,0x83cb01d4,0xe98b002e}},	//   _nammen_, _neinar_, _agettivi_, _braću_, 
   {{0xa54500cf,0xba2001bd,0xa33d0071,0xa2900268}},	//   _kiristiy, _грантқа_, _دینام_, _aigay_, 
   {{0x9ecb038b,0x92a601e8,0xb29002be,0xc3000316}},	//   _demikian, _gimbut_, _bigay_, _gabashi_, 
   {{0xa8470013,0x265800cb,0x42440064,0x2c7601b0}},	// [5970] _тамаки_, _abengakw, _алтынга_, _cigugur_, 
   {{0xd29000b0,0x366204c7,0xe2250065,0x47d20198}},	//   _digay_, _емиграци, _zucker_, _najvišje_, 
   {{0x921c046d,0xf9320208,0x927e022b,0xd3e40040}},	//   _yoshua_, _نۆکیا_, _meinar_, _שאושרו_, 
   {{0x52ca0534,0xc2ca026b,0x0dd404cf,0x151002c0}},	//   _toiden_, _miedo_, _ndihlale_, _телма_, 
   {{0x13f40161,0xadd50227,0xc42d0045,0x6658020f}},	//   _kortti_, _keakraba, _законима_, _ebengakw, 
   {{0xead80039,0x75700241,0xd2920139,0xacff0350}},	//   _kontsult, _fandiidh, _cetano_, _መጽሐፋቸው_, 
   {{0xe3f80125,0x54dc0147,0x569d0074,0x436a01a3}},	//   _kanuna_, _эбегейси, _крест_, _راجااڪرا, 
   {{0x9a7d0403,0x5380031a,0xc2380177,0x32e90309}},	//   _mahantra_, _altram_, _амҩатә_, _nazirin_, 
   {{0x2da70262,0xe27e04d7,0xb59200b9,0x02da004b}},	//   _gündogar, _beinar_, _निरिक्षण, _jereng_, 
   {{0x4af7014c,0xa2da023e,0x2a410350,0x00000000}},	//   _enkundle, _dereng_, _berentap_, --, 
   {{0x729003b4,0xe25b02fb,0xb23402a3,0x00000000}},	//   _adhamu_, _foalea_, _warmste_, --, 
   {{0xfaca02cf,0x426e0471,0x9b000724,0xb5d80037}},	//   _манекенк, _disoal_, _escisión_, _ገብረሥላሴ_, 
   {{0x8eea017a,0xe63602a5,0x9bdf037b,0x12ca0290}},	//   _abakuzon, _भाइहरू_, _celebró_, _chodas_, 
   {{0x727e02cb,0x3201017e,0x2af601b8,0x00000000}},	//   _zvono_, _logiko_, _peasekre, --, 
   {{0x7ae201c6,0x32cb0486,0xb224023b,0x1c26020f}},	//   _portugee, _soudu_, _paikau_, _داړيکو_, 
   {{0x82da004b,0x910302f0,0x2c6100b5,0xead100dc}},	//   _bereng_, _ayikamel, _cherehe_, _initonet, 
   {{0xce1402c3,0xe1630164,0x0e3a0268,0x3d5c006c}},	// [5980] _zamestna, _топиға_, _antanasa, _amichand_, 
   {{0x876d0287,0x854a04eb,0xd8ea031a,0xa94903f5}},	//   _दुईतिहाइ_, _प्रेमजी_, _farsuing, _corretor_, 
   {{0x8dfb04c3,0x8bb8006c,0x526c022a,0xc9da0022}},	//   _nukeviet_, _сарраёса, _nonom_, _bonnqosa_, 
   {{0x97660192,0x7248012d,0x3f640205,0xd30000b0}},	//   _마찬가지로_, _kaamp_, _almashin, _xabashi_, 
   {{0xf26c02f3,0x529201ef,0x01fd0113,0x2c31014a}},	//   _honom_, _metalo_, _fillteái, _templomb, 
   {{0x226c043a,0x56d90036,0x0c6f0165,0x4292009f}},	//   _konom_, _simplith, _irorogo_, _letalo_, 
   {{0x5feb0486,0x0bd000ba,0x2c2900b2,0xb95303ce}},	//   _podrobně, _ئیقلیمی_, _baharirr, _رداغی_, 
   {{0xa6bd00d8,0x12c20117,0x226d0127,0xd29201c0}},	//   _parallax, _stilman_, _devoe_, _dasawa_, 
   {{0x020100fe,0x5f5701e6,0xf2880060,0x439500b9}},	//   _kasia_, _američan, _дейсің_, _nyesel_, 
   {{0xd26e015e,0xe9f60257,0x37f9023c,0x98fd0059}},	//   _suport_, _umtalsve, _رادیوګان, _доставен, 
   {{0x1db6017a,0xa69b018d,0xf2cb042c,0xeed00105}},	//   _abangoma, _መዕለቢኡ_, _hladan_, _familijn, 
   {{0xc9590037,0x7a550089,0x7c6001eb,0x4ead017a}},	//   _ጨረታውን_, _стаканда, _chatiar_, _abathole_, 
   {{0xcf210039,0xa29202f6,0x52da0059,0x93a8039b}},	//   _espedien, _aasawa_, _arredi_, _арабовлу, 
   {{0x786d050f,0x926c00e9,0x50dd034f,0x91eb011f}},	//   _दरोगा_, _bonom_, _abonelel, _европеи_, 
   {{0xa2d601c9,0x4201045c,0xa2e80107,0xbef5023d}},	//   _selleks_, _vediet_, _taufiq_, _активира, 
   {{0x620100db,0x8e230008,0xf5e10025,0x3f140156}},	//   _aasia_, _кучагына_, _माहिष्मत, _זאמלען_, 
   {{0x477f016d,0xf8f00148,0x7201037c,0xb27e0321}},	// [5990] _نەشرى_, _glosslig, _basia_, _bolnim_, 
   {{0x5c500433,0x95300422,0xe9e70261,0xe2e10291}},	//   _siechnic, _varčevan, _anstatau, _thaidhg_, 
   {{0x82ca0365,0xc3c60360,0xa9e3040f,0x00000000}},	//   _uvidí_, _विवाहअघि_, _золата_, --, 
   {{0x8c68031a,0x229102cb,0xa20103db,0x66c9030b}},	//   _carrann_, _ispao_, _easia_, _asasaany, 
   {{0x32920230,0xb20102d9,0xa26c0220,0x1513027b}},	//   _kasava_, _fasia_, _ambienti_, _जारणा_, 
   {{0x427b0087,0x205b01f0,0x22920165,0x59de003e}},	//   _dijitali_, _boratoro, _yasawa_, _дискыһын_, 
   {{0x7f3904ca,0x82130025,0x438e0198,0xe2ca0099}},	//   _princier_, _atthi_, _prispeli_, _biedl_, 
   {{0x437f02c1,0x324804b9,0xa9fa0243,0x809801bd}},	//   _muhanda_, _acame_, _ossitina_, _валютасы, 
   {{0xae3802f6,0x665f0177,0xdb85033f,0xc3ea009b}},	//   _kadalasa, _аппасаџь, _malooloo_, _hontan_, 
   {{0xf3ea038d,0xc3f90455,0x67e8006c,0xa9fa002e}},	//   _kontan_, _issus_, _akasihaw, _održivi_, 
   {{0x599d00a4,0x663702c9,0x76b60086,0x5b6b019b}},	//   _башын_, _татиана_, _lenyűgöz, _revoliuc, 
   {{0x53f90080,0x2f0d00f2,0x0292033e,0x4341045f}},	//   _assut_, _turcijas_, _hasava_, _ockelbo_, 
   {{0x87f303bf,0x00000000,0x00000000,0x00000000}},	//   _boradikg, --, --, --, 
   {{0xfc5b0069,0x0fd602dc,0xb9410155,0x12cb0168}},	//   _urutoki_, _admitido, _cykliste, _snudd_, 
   {{0x72ec044a,0xa2480097,0x84700014,0x004101a3}},	//   _antiose_, _ibamu_, _nostalgj, _ٽئڪسي_, 
   {{0xb310002a,0x47a80023,0xa7420299,0x13f90119}},	//   _kwuzie_, _gluteeni, _تولذقلعم, _puguon_, 
   {{0xab9203cf,0x2bd5004a,0x00000000,0x00000000}},	// [59a0] _ingilizc, _inandırd, --, --, 
   {{0x53ea0230,0x00000000,0x00000000,0x00000000}},	//   _bontan_, --, --, --, 
   {{0x0ae40040,0x4846017d,0x6e34008b,0xe47a0265}},	//   _מטומטם_, _postgres_, _dabalewa, _huwelijk, 
   {{0xf7c10272,0xa93d00d0,0x111b005e,0x19a80185}},	//   _agasangi, _залилжээ_, _ئىقبال_, _торналар_, 
   {{0x56e80162,0x6c7200bf,0x3ff30510,0xe29f014f}},	//   _турмушин, _движении_, _болгар_, _valjevo_, 
   {{0xcbb200da,0xfa6203e0,0xecfb0333,0x5b48004f}},	//   _респекту, _schlusss, _annegatu_, _jàmmaarl, 
   {{0x130d01ad,0xc9d70307,0x0b9a0195,0x00000000}},	//   _katapus_, _obathand, _shonraic, --, 
   {{0x22480048,0x20f70093,0x55a401d5,0xd2d4014a}},	//   _abamu_, _таблицы_, _چئیرمین_, _aludni_, 
   {{0x2ece025c,0x4201021e,0x57b2034c,0x52d4024f}},	//   _enzyklop, _mysig_, _алмазлар_, _vagolea_, 
   {{0xe9d705db,0xf826023e,0x00000000,0x00000000}},	//   _abathand, _بالفطره_, --, --, 
   {{0x71b301ec,0xe200028d,0x62000158,0x52cb0140}},	//   _ظاهرا_, _dediye_, _mycia_, _kumopya_, 
   {{0xfdbe01bc,0x94fe0497,0x861700be,0x00000000}},	//   _mansveld_, _aasmeggy, _رافاەل_, --, 
   {{0x3292043a,0x397f02fb,0xd28101ca,0x4f9b02a1}},	//   _masata_, _apoinime, _bochmoh_, _belegger_, 
   {{0xb3e50177,0xd26c00fe,0xbad00163,0xac52029b}},	//   _areterei_, _fofoa_, _گرایا_, _fentoon_, 
   {{0x82ca00e9,0x7e1b0193,0x72120025,0x061601a2}},	//   _siede_, _disewaka, _ardha_, _vadlīnij, 
   {{0xe43e0244,0x534b0224,0x815c01c5,0x66a105ed}},	//   _данни_, _almennt_, _geeriyoo, _bemererw, 
   {{0xf45a0038,0xc8450014,0x33430140,0x16b801dd}},	// [59b0] _бәйсезле, _kultures_, _aasenso_, _arafunzw, 
   {{0x42fe0148,0xb35f031a,0xf2b40278,0x48450044}},	//   _所有歷史碎碎唸_, _airgiod_, _pancut_, _cultures_, 
   {{0xfba40144,0xc2dc0037,0x23ce0296,0x33540203}},	//   _chaitlic, _አይታሰብም_, _skivan_, _obsedet_, 
   {{0xf21300f3,0x7a060024,0x829000bd,0x437a0476}},	//   _kuthe_, _vidareut, _behaud_, _akaruram, 
   {{0x4af70022,0x138e0287,0x8846026c,0x8c6004a4}},	//   _малдан_, _statutár, _doctores_, _charbad_, 
   {{0x120101e4,0xa2d80287,0x6a0704e5,0x32e60087}},	//   _kabiny_, _najevo_, _andaweya_, _kuandza_, 
   {{0x126c0544,0x798800de,0x9fa200e6,0xdf4b02e2}},	//   _nonoi_, _bachonge, _租建筑机械_, _brastyla, 
   {{0x19880184,0xef4200b5,0xb6370087,0x8fc302c4}},	//   _amakarat, _боброви_, _hlahluvi, _мозаик_, 
   {{0x7f4e0420,0xae700222,0x7510009e,0xb088006d}},	//   _милениум_, _regardé_, _chorando_, _валютнаг, 
   {{0xec930060,0x3c9a0244,0xb37902f6,0xecb80278}},	//   _بايان_, _минералн, _labanan_, _kesyukur, 
   {{0x720101da,0x48fc003b,0x5ef3038a,0x238f0004}},	//   _mediat_, _bebashad, _chakakun, _ekszanp_, 
   {{0x16b90440,0xb3eb0052,0xd24802f3,0xfdd90241}},	//   _bahagari, _dorty_, _samman_, _burkinaa, 
   {{0x42f100b7,0xeb340414,0x02b50261,0x362e00f0}},	//   _kesildi_, _babaptis, _akacio_, _stratené, 
   {{0x3b9100f5,0xe1410113,0x829a00e6,0x69e7044a}},	//   _офицерле, _اشتريت_, _踩踩她的博客_, _kokolela_, 
   {{0x7b9e033d,0x8bb7012a,0x3dd902ac,0x99910096}},	//   _prezidan_, _potrafią_, _أتباع_, _akihisha_, 
   {{0xbf35034f,0xc9e101cf,0x17bd0281,0x09c500ee}},	//   _مخکینۍ_, _recipeva_, _artuukii, _codesynt, 
   {{0x5a190111,0x100d01fb,0x5ebe03ad,0xf7b80061}},	// [59c0] _mischiat, _naivemen, _fornimen, _발생하였을_, 
   {{0xf2e703dc,0x78f801c0,0xc8450064,0x9cd900ac}},	//   _havnina_, _ansarudd, _cullerad, _čekanju_, 
   {{0xfe5c00da,0x41c50127,0xcb8f0203,0x468f0311}},	//   _precizat_, _bantouek_, _printerr, _ድሕሪኡን_, 
   {{0x090600d1,0xf1b4033a,0x43780028,0x825f004b}},	//   _বিদ্যাপী, _promossi_, _wajahan_, _dibohodi_, 
   {{0x83eb0288,0x4dc60095,0xc5b50153,0xf4aa0188}},	//   _hirte_, _نافرجام_, _で注文する場合は_, _amabalaz, 
   {{0xceae0192,0xae1a010d,0xc6b80090,0x7dd8006e}},	//   _쿠폰적용가_, _dikenaka, _acharasi, _daakaame_, 
   {{0x637802b7,0xa9dc00c5,0xe39401ac,0x9fd5020a}},	//   _boganda_, _silencie, _gaisce_, _суларды_, 
   {{0x529e02ac,0x3200023a,0xd3ce001d,0x03040255}},	//   _أمامك_, _dedine_, _trovat_, _mugavam_, 
   {{0x526c00f7,0xf2ca024c,0xba46016f,0x3c93020a}},	//   _monon_, _nieda_, _вручили_, _ساداق_, 
   {{0x0ad10165,0x57cb0167,0xa6cb0167,0xb8fa04f9}},	//   _initanet, _breswyli, _breswyly, _angisooq_, 
   {{0x80520192,0x8e3a0277,0xc4080010,0x7c1703dd}},	//   _생각됩니다_, _gitabasa, _bodustin_, _holandës_, 
   {{0x82d800d3,0x409e00af,0xe292012c,0x9fbd00f0}},	//   _najeto_, _новеньки, _anwani_, _folklór_, 
   {{0x8156027b,0x649b0418,0x21e004ca,0xdefc00c1}},	//   _बहुलम्_, _kurulmuş_, _ajustatz_, _मिळकत_, 
   {{0x57e40093,0x686600e6,0x298002f7,0x00000000}},	//   _академич, _炒股专家助您解套_, _dikilome, --, 
   {{0x35a2076c,0x307202eb,0x42b1015e,0x79b50311}},	//   _कबिता_, _desalojo, _quedava_, _ዘደናግር_, 
   {{0x83eb0212,0x1399047b,0x00000000,0x00000000}},	//   _daytek_, _básin_, --, --, 
   {{0xfe56041a,0x52d201da,0x520d00d1,0xf79f00ad}},	// [59d0] _частини_, _ceremoni_, _উদ্যোগসম, _nalungti, 
   {{0xd6bc004f,0x97a70263,0xf4fa02b6,0x0da00304}},	//   _bayyinañ, _boerderi, _قۇيرىعىڭ, _pemodena, 
   {{0x42f0019e,0x92bf03ce,0x15c30053,0x70960095}},	//   _atlikti_, _شمشاڵ_, _tawassul_, _تاتایی_, 
   {{0x626c0087,0x4af8044a,0x434704d7,0x00000000}},	//   _nonon_, _bafukame, _sameina_, --, 
   {{0x6386012c,0x0bb903b6,0x30af011d,0x2ea10046}},	//   _مالدار_, _apewọn_, _animalel, _estudiat_, 
   {{0x4c84014e,0xb3940113,0x261f0046,0x4b7200ae}},	//   _турски_, _taisce_, _servirà_, _carutana_, 
   {{0xc3410377,0xbc680130,0x129101b5,0x42010620}},	//   _cererea_, _barrenn_, _hagayi_, _rediit_, 
   {{0x227e0224,0xacbf003a,0xc5710159,0x129200a2}},	//   _svona_, _borilmoq, _gartrauk, _shwari_, 
   {{0xd287029b,0x684100e6,0x829f0009,0xc445045b}},	//   _bakkane_, _公众公益捐赠调查_, _daljavo_, _пускали_, 
   {{0x324a01b9,0xa2ac0088,0x4d8b01c5,0x89bb003a}},	//   _poumon_, _барактар_, _dhimasha, _مرکزده_, 
   {{0xe26c02b7,0x69e60540,0x9fc20013,0x337900c1}},	//   _fonon_, _öðlast_, _یاروق_, _tabanan_, 
   {{0x2bfe0613,0x0209015e,0xbdeb00ac,0x330503c7}},	//   _renovado_, _артыбызд, _ronjenje_, _pozatym_, 
   {{0xb2b40004,0xfe0c004d,0x8ae90094,0x45d701b2}},	//   _panche_, _其中註冊會員_, _قاراۋشىع, _barbroil_, 
   {{0x5e030462,0x33dc027f,0x695b0612,0xf20001d4}},	//   _equestra, _aramuziz, _planlagt, _pedine_, 
   {{0xb594000c,0xe292012c,0x137900b2,0x59cc024f}},	//   _aranduoñ, _diwani_, _dabalan_, _saleukit, 
   {{0x27c6036f,0xdd8c0037,0x63a20528,0xd2cb0192}},	//   _njegovoj_, _እየተፋጠነ_, _calpa_, _bladen_, 
   {{0xb2ca0074,0x5490002b,0x496f0052,0x9e280311}},	// [59e0] _joiden_, _আলোতে_, _sebevědo, _እተወሰነ_, 
   {{0x42030402,0x7c730369,0x240200d1,0xe819006d}},	//   _nauzubil, _kaisara_, _উদ্ভাৱনে_, _археоляг, 
   {{0xad280024,0xa17a00d1,0x8ab60061,0x00000000}},	//   _বিচাৰোঁ_, _ফুলপাহৰ_, _채권추심을_, --, 
   {{0x4f450037,0xe25b0240,0xf71c030a,0x927b035d}},	//   _ለማርገብ_, _loaloa_, _sadurniñ, _dobijali_, 
   {{0x355704ac,0x9295044a,0xf2ca0074,0xd3fa0085}},	//   _квартиру_, _asukoli_, _noiden_, _musuki_, 
   {{0x93d803c7,0xeb5900a7,0xb3f9005b,0xcf1e0039}},	//   _आर्सेनिक_, _muntanya_, _mizuki_, _hondakin, 
   {{0xc34102d7,0xc7db002b,0xd2ed0148,0xe526019d}},	//   _dereita_, _complaci, _meridie_, _kunyamuk, 
   {{0x68de0107,0x5a000569,0x84800338,0x00000000}},	//   _حسینیان_, _vražja_, _cavanhòu_, --, 
   {{0x6e9600b4,0xf6b80022,0x141301b7,0x220e00d0}},	//   _акциунил, _ahlamisi, _क्रियायो, _садар_, 
   {{0xef2902c2,0xd7cf00e7,0x23fa045e,0xb2ca00cd}},	//   _plattela, _abushiki, _старши_, _riedi_, 
   {{0x8b6300ec,0x0a60072a,0x97b40349,0x4c1401bf}},	//   _paprasta_, _balázs_, _alleging, _taushets, 
   {{0x301403fc,0x92ca0244,0x837902ec,0xf2b402f9}},	//   _landbruk_, _piedi_, _marayaa_, _iteca_, 
   {{0x5ef9018d,0x875700a7,0x84040012,0x6f7b02d5}},	//   _ኣጠንቂቑ_, _بااتىر_, _घोरदवर_, _बहादूरी_, 
   {{0x784203a1,0x47890299,0x52e5006c,0xabe40145}},	//   _доброто_, _ئىلياس_, _akonela_, _невераго, 
   {{0x425b00ad,0x366f00bb,0x2ee700a0,0xfbd701ab}},	//   _soalna_, _بقدرضرور, _bankunan, _üldfooru, 
   {{0x93e60109,0xb9510249,0x2e380140,0x7261013f}},	//   _बालमैत्र, _strongpe, _palakasa, _chateaul, 
   {{0x3dc70318,0x306003ce,0x19f203b4,0x5282021b}},	// [59f0] _faahinga, _بروانامه_, _akahakwa_, _kaahasi_, 
   {{0x0a0703f2,0xeadf026c,0x04590276,0xa78500e6}},	//   _tilantee, _custodit, _биарамли, _你必须了解的_, 
   {{0x4421006a,0xc98b0144,0x1d6d0126,0x82d200ab}},	//   _misakafo_, _lochanna_, _танцю_, _kerehoni_, 
   {{0x4b91035b,0xceda0279,0x427e0196,0xf37904d8}},	//   _velikokr, _invitons_, _awone_, _darayaa_, 
   {{0x19fa00e5,0x66420160,0x670c0156,0x00000000}},	//   _jogadore, _nevidlji, _בליציגע_, --, 
   {{0x72cb0026,0x31930138,0x7aa20013,0x00000000}},	//   _houdt_, _darbecil, _anchayin_, --, 
   {{0xb29100a0,0x3ae2002b,0x319300ff,0xd27e019a}},	//   _magani_, _নামাজে_, _שאָקל_, _dwines_, 
   {{0x4e2f0148,0xb2910245,0x62c802a5,0x720000d7}},	//   _berossus_, _khwai_, _povolte_, _felile_, 
   {{0x660101ac,0x393801db,0x00000000,0x00000000}},	//   _مناسك_, _توبوحان_, --, --, 
   {{0xda850205,0x025a0141,0xb2e00270,0x5ad805db}},	//   _روحده_, _adolat_, _letterby_, _akuthint, 
   {{0xffd80322,0xd249002f,0xcc75036d,0xf6240290}},	//   _abanyako, _ayampi_, _cuiribh_, _autovali, 
   {{0x1a070422,0x120202fd,0x22ea0229,0xb3f10282}},	//   _zvečer_, _chrich_, _parisin_, _maruaiai_, 
   {{0x6fe3013d,0xd8bf0128,0x18d30435,0xc2f40160}},	//   _venkinto, _yordamid, _морате_, _porodilj, 
   {{0x0e5402d8,0x49f5021c,0x6d0f031c,0x9ad804cf}},	//   _pemakaia, _orgán_, _demuestr, _ekuthint, 
   {{0x226c0372,0xdc2901b9,0x46660139,0x5a01036a}},	//   _annog_, _crespons, _मानसम्_, _logaloga_, 
   {{0xc3410032,0x7d7a02fe,0x3c6802fd,0x00000000}},	//   _daperha_, _azaliswe_, _narrann_, --, 
   {{0x6743008d,0x8b7b018f,0x659100ec,0xf39600f2}},	// [5a00] _ботинка_, _chighran_, _svarstyk, _saturošu, 
   {{0x32e000fb,0xff68027b,0x09e302ec,0x057b0272}},	//   _abanayo_, _aprayatn, _caloosha_, _augusito_, 
   {{0x33f900a5,0x5dcf0348,0x5e710025,0xb7140297}},	//   _tafuna_, _akakanya, _वेष्ट_, _egermedä, 
   {{0x63bb04ee,0x4daf0199,0x629103a4,0x00000000}},	//   _akowara_, _itfriend_, _hagani_, --, 
   {{0xc23d0192,0x0291042a,0xbb6101cf,0xe1f501ef}},	//   _필요합니다_, _bagani_, _regretta_, _бутонаў_, 
   {{0x25fe034f,0xc224021c,0x09910158,0xc7aa021b}},	//   _مسلمانو_, _linkuj_, _उल्फ़त_, _драгоцен, 
   {{0xa26c0130,0xceb301ea,0x11820255,0x7c520272}},	//   _benoni_, _kitobxon, _घट्वा_, _anatuwa_, 
   {{0x73940552,0x2f510386,0x21c5038f,0xfae20472}},	//   _yinsiz_, _persedia, _enrollañ_, _nyalakan_, 
   {{0x3d9a01b4,0xfcc300e6,0x4943018b,0x256903e6}},	//   _heeltema, _浅议经济后果观及, _preluare, _europawä, 
   {{0x06b800ea,0xa6c604ad,0x08c600d8,0xbd2805dc}},	//   _mahakasi, _dinaledi, _apregond, _blandede_, 
   {{0x526c026c,0x204603a2,0xfda80021,0x73ad00c1}},	//   _honos_, _लाइलाज_, _ailingsa, _रुणुझुणू_, 
   {{0xff2d0156,0x00000000,0x00000000,0x00000000}},	//   _ביעלסקיס_, --, --, --, 
   {{0x923100d1,0x1f99002b,0xf9be0183,0x00000000}},	//   _কৃষিবিজ্, _মধুসূদন_, _handrefe, --, 
   {{0xace0013f,0xac68036d,0xd1c902b2,0x1c750116}},	//   _divizoù_, _earrann_, _мосту_, _capulet_, 
   {{0xc29001e8,0x035603b5,0x7a01000b,0x00000000}},	//   _duhang_, _direbus_, _mogamoga_, --, 
   {{0xd4fb0157,0x0ed60013,0xe8910151,0x1a0a00ad}},	//   _अफगानी_, _karimovn, _dishonou, _sasarina_, 
   {{0xf3eb01c5,0xf0d901e7,0x4d82002f,0x2592020f}},	// [5a10] _sirta_, _gaaaaanz_, _bibliata, _baserash, 
   {{0xaeb6041d,0x39ee01c2,0x3bef0268,0xa2e80102}},	//   _gradonač, _estivera_, _arteredc, _mizinga_, 
   {{0x1b7f0263,0xac520010,0xdc0d0230,0xf654023c}},	//   _reageren_, _alatiwa_, _destriks, _afunyanw, 
   {{0x53850082,0x2ad2008d,0x00000000,0x00000000}},	//   _agareshi_, _chempion_, --, --, 
   {{0xfbe4001d,0x697e0278,0x89f00235,0x926c02b9}},	//   _greencar, _fadhilat, _रक्षिष्य, _monor_, 
   {{0xd7530011,0xe2d000f5,0x2c35000c,0x48db034c}},	//   _agendang, _ayallar_, _jetapaic, _hersegov, 
   {{0x6eda0047,0x2379015a,0x52da0177,0x00000000}},	//   _environs_, _baranaa_, _heseve_, --, 
   {{0x963d002a,0x2c5203ba,0x82ef0053,0x93d00109}},	//   _christai, _tention_, _अभिनेत्य, _दिईएको_, 
   {{0xa21301cd,0xfb07002b,0xf2d901b5,0x73800084}},	//   _lutho_, _সিয়াম_, _kayena_, _botram_, 
   {{0x224a042e,0x734103ba,0xfce20032,0x240e00ae}},	//   _dermed_, _deretta_, _chavghac, _batisunz, 
   {{0x923e0479,0x68f8042f,0x9a3503ea,0x8dc7002e}},	//   _termék_, _havakatu, _caractér, _građanim, 
   {{0x5354015e,0x1c7c01b5,0x8308005b,0x0652003a}},	//   _balears_, _ehasara_, _ameburo_, _shahrimi, 
   {{0x2c75021e,0x02fd00cd,0x57ac0371,0x00000000}},	//   _konstig_, _bieger_, _difensiv, --, 
   {{0x021303db,0xc90f0092,0x265d0185,0x40730156}},	//   _butho_, _になりました_, _ачалар_, _מיטװאָכן_, 
   {{0x22910020,0x624a0176,0xdc3000da,0x827e012a}},	//   _fagali_, _hermed_, _эстрадэ_, _iwona_, 
   {{0xa6470078,0x9ae70321,0x237a007f,0x9dc7002e}},	//   _властели, _neprijet, _carafan_, _građanin, 
   {{0x391f0025,0x792c0158,0x219500f2,0xdae001f0}},	// [5a20] _उदाहरणः_, _नामजद_, _licencēš, _leselets, 
   {{0x92d9015d,0x227e03ea,0xa4e901ef,0xe25a029c}},	//   _reklamy_, _avons_, _мармуров, _chilwa_, 
   {{0x49eb0259,0x0a8900e7,0x52f40076,0xcbb70158}},	//   _undersøg, _auditors, _jornais_, _potrafię_, 
   {{0xfc760212,0x63590037,0x4b6d02cb,0x60b501c8}},	//   _rigueur_, _የማራቶን_, _centrima_, _formáty_, 
   {{0x3fe302fe,0x7da801e5,0x00000000,0x00000000}},	//   _سانتي_, _ifagilee_, --, --, 
   {{0xa6b001aa,0x435f0222,0x89e8004d,0x6b6200db}},	//   _adversew, _langage_, _維護者電話_, _चिखना_, 
   {{0xf2e6030b,0x3610014a,0x1d9500e5,0x00000000}},	//   _amannya_, _nyolcadi, _tooltipp, --, 
   {{0x6c900151,0x57bb02a6,0x226e0089,0x1a910014}},	//   _scouring_, _stermini, _awropa_, _misionin_, 
   {{0xed9d01ab,0x47e701b7,0xb7870046,0x720101c0}},	//   _संग्रामप, _स्वरेण_, _جاشاعىم_, _angizo_, 
   {{0xa20205b6,0xcfa001bd,0xe3eb0015,0x00000000}},	//   _tarify_, _توڭىرەگى, _dirto_, --, 
   {{0xeaf700ef,0x63ea034a,0x96c800ba,0xb292018e}},	//   _inkulule, _contan_, _داپشراوه, _khwati_, 
   {{0xb200035b,0xb9510130,0x12fd02b0,0xcdb200ea}},	//   _celice_, _berradur_, _sieger_, _andihiza, 
   {{0x4c190025,0x42630176,0x4c610627,0x0edb019b}},	//   _पार्किन्, _kurosaki_, _arnulfo_, _neringos_, 
   {{0x829102df,0xfdc5011e,0x3daa02f6,0x64b90350}},	//   _ehwal_, _lankoura, _natitira, _እየሞከሩ_, 
   {{0xe27f0274,0x637903cf,0x939603fd,0xa37a0243}},	//   _reynir_, _kazanan_, _jessop_, _maradan_, 
   {{0x539400fd,0x5e2f015e,0xf27a035d,0x00000000}},	//   _uaisle_, _europeus_, _obrisani_, --, 
   {{0x89bf0347,0xc2910053,0x49f403b6,0xfea8048f}},	// [5a30] _begeerte, _ihwal_, _ọ̀bọ_, _pourcent_, 
   {{0x93420360,0xf2810278,0xe94b002e,0xa53801c0}},	//   _kulturní_, _dibahagi_, _pomognet, _damisosh, 
   {{0xb9a200bb,0x3e3f0058,0x9b7703c2,0xf1fe0089}},	//   _احتراز_, _timakomp, _baseborn_, _диварның_, 
   {{0x395600ee,0xe9e10270,0x25cc0152,0xce9d00c5}},	//   _bakoitze, _decipeva_, _абунәчел, _visités_, 
   {{0xe2000486,0xcc5e0025,0xe34102e7,0x7d7700f4}},	//   _velice_, _adattam_, _filemao_, _bakadoù_, 
   {{0xfc6201c2,0x9e38001a,0x0e4e04b9,0x7a66005e}},	//   _aparece_, _hamarosa, _despised_, _ﺋﯚﮔﯩﻨﯩﺶ_, 
   {{0xf2120207,0x5ee30125,0x637d0040,0x6248007b}},	//   _ardhi_, _radiosyn, _אברמוביץ_, _dammin_, 
   {{0x0f5d016e,0x64cb00e6,0x00000000,0x00000000}},	//   _tasarlan, _个精品项目_, --, --, 
   {{0x91b4026f,0xe99d0093,0x284600be,0xb1780061}},	//   _аздап_, _посторон, _postures_, _수신확인의_, 
   {{0xf9a501c7,0xa1740360,0xd99d00d7,0x429100b3}},	//   _алдама_, _अनुपयुक्, _балын_, _ahwal_, 
   {{0x6d230190,0x161e023c,0xbbdf01b8,0xfe18033e}},	//   _bediente_, _دسوریې_, _खर्राटा_, _ikóni_, 
   {{0x428105c9,0x537a0309,0x605f01d5,0x0f70002f}},	//   _hehheeh_, _haradan_, _سمارٹ_, _ankallis_, 
   {{0x3ed505b3,0xc08d01eb,0xbc61005d,0x03ea0250}},	//   _opwindin, _hendakãv, _ikarepe_, _dajti_, 
   {{0x4ae0020e,0xbd9d0071,0x68d3047a,0xf35f00e4}},	//   _mesebets, _رحیمیموض, _pourswiv, _koledzy_, 
   {{0x15a201cc,0x606201fc,0x93850092,0x4a170013}},	//   _झटिति_, _furraayn, _igarashi_, _негизида_, 
   {{0x214c03f0,0x640900d5,0x6b4700ff,0x7c66014f}},	//   _almennil, _repoblik, _אינסטאלי, _nastalu_, 
   {{0xb64700f5,0x9c0802dc,0x639500e2,0x9db504ad}},	// [5a40] _гирдаба_, _filgueir, _raasde_, _modiriga, 
   {{0xb63f03f1,0xc60900d9,0xbaeb0112,0xbeb200b9}},	//   _majiteli, _бассейно, _kontinje, _laporann, 
   {{0x91eb00be,0xfecc0055,0x0014004d,0x00000000}},	//   _قىلعىن_, _avviavan, _他以為日本的神道, --, 
   {{0x7379006e,0x9292041e,0xf2b402a4,0x5bd00447}},	//   _abbadan_, _casata_, _edicto_, _ayambapo_, 
   {{0x12a00045,0x9c770433,0x8bc9007e,0x2e200109}},	//   _valjevu_, _kakulop_, _परवीरहा_, _केरौन_, 
   {{0x33a20386,0x13fe03f0,0x2a8200cb,0xf25b0076}},	//   _sempat_, _menntask, _abazosit, _toalha_, 
   {{0x402b0148,0x00000000,0x00000000,0x00000000}},	//   _商品關鍵字_, --, --, --, 
   {{0xd3ea0261,0x6be101a3,0x096f026c,0x6cf60287}},	//   _konton_, _بروگز_, _iuppiter_, _नाटकमा_, 
   {{0xf3f8037a,0x023401b5,0x61a600d1,0xe2f600ac}},	//   _inkuru_, _avumune_, _শক্তিসমূ, _starijih_, 
   {{0x069f03df,0x0286013a,0x09aa0223,0xe88b0153}},	//   _jordskif, _chthill_, _болио_, _お申し込みは_, 
   {{0x43a20308,0x52910172,0x79aa0374,0x42f50058}},	//   _tempat_, _ahwam_, _сокин_, _revidam_, 
   {{0x696c03b2,0x5ae1009a,0x7200023b,0x11fa009a}},	//   _affiliat, _abatshut, _inoino_, _ayenesim, 
   {{0x03ea0193,0x637a0309,0xd2b40220,0x93f40047}},	//   _nonton_, _yaradan_, _banche_, _sauter_, 
   {{0x22920082,0xb3eb02c3,0xe1770405,0xd31d00ef}},	//   _nasara_, _torty_, _жертв_, _abucala_, 
   {{0xf3a201b7,0x33010054,0x37d30065,0x95150397}},	//   _kalpa_, _farashi_, _komplizi, _akazamuk, 
   {{0x91ad00e6,0xa2cb05ce,0xb2b4005f,0x934000f7}},	//   _中华全国妇女联合, _onuda_, _adicto_, _dezerta_, 
   {{0x83f8023b,0x99d701e7,0xd8c60273,0x07c80350}},	// [5a50] _kanuha_, _bedenkle, _empezand, _እያሰብን_, 
   {{0x09a40247,0x9fb5011a,0x326c01ed,0x729202b1}},	//   _مناقصه_, _protests_, _ponoi_, _basasa_, 
   {{0xbe950011,0xb3a204bd,0xae8f0170,0x6d0102ee}},	//   _abitutte_, _iwipoo_, _atamuten, _dettatur, 
   {{0x528e01ec,0x83ea013d,0xa2d4029b,0x53e700d6}},	//   _اصالت_, _fonton_, _gouddi_, _دعائي_, 
   {{0x4ae80064,0x326c00fe,0xdf660258,0x00000000}},	//   _албастык, _nofoo_, _steatkun, --, 
   {{0x66f000a4,0xc8720202,0x8b6a0163,0x62ca01d7}},	//   _continuï, _faramọ́_, _افتادہ_, _miedi_, 
   {{0x926c02e2,0x22d90241,0x06f001c8,0xd96802eb}},	//   _abloom_, _cheeki_, _kontinuá, _paziente, 
   {{0xe2ec027b,0x93ac0160,0x17cc03f7,0x203c0294}},	//   _दिवीव_, _ukupnu_, _flipanum_, _incencio, 
   {{0x7b880125,0xa292012c,0xcc7503a2,0xb5b900b3}},	//   _setirler, _setako_, _दफ़्तर_, _bahalary, 
   {{0xd35400c5,0x7c6000bb,0x9dc701a1,0x3e0102ea}},	//   _valeurs_, _ذیابطیس_, _logische_, _addestra, 
   {{0x4a1803bf,0xad7602ac,0x56f10322,0x00000000}},	//   _arabeloa_, _اردني_, _barabimw, --, 
   {{0xacb706ea,0x434601d1,0xbb5f02a8,0x76e90184}},	//   _riunyumq, _sandals_, _bibljogr, _bugabobw, 
   {{0x8b8a021b,0x32ca046b,0x594e00af,0xaf4900b6}},	//   _порой_, _ahedc_, _throndse, _korsitaa, 
   {{0x7fd7016d,0x823000e9,0xd52c0029,0x03eb00e9}},	//   _ﻗﻮﻳﻐﺎﻥ_, _kilminn_, _ساڕێژ_, _pirte_, 
   {{0x02920300,0xd4e400c5,0x59fa0461,0x2a0a0256}},	//   _odpadu_, _先进生产者_, _minimala_, _visaugst, 
   {{0x29e101cf,0x3b7e0282,0x43410107,0xf7c802ce}},	//   _decideva_, _kahupeka_, _bebelen_, _blogdriv, 
   {{0x1d03017d,0xa7aa01bf,0x6292005b,0x62910416}},	// [5a60] _リスト作成者_, _plutseli, _basara_, _sagaci_, 
   {{0xb3f40343,0x93f8023b,0xc2ec0040,0x22d20010}},	//   _prutas_, _kanuia_, _הלוהטת_, _iimeyili_, 
   {{0x89d900f3,0x04860193,0xda1e0188,0x89cb0010}},	//   _abalapha_, _देखावा_, _зиёин_, _elilunga_, 
   {{0xb3f805d0,0x87be0062,0xe3f80195,0x420104da}},	//   _manuia_, _anggarrg, _athull_, _iskorišt, 
   {{0x7d31033f,0x90210147,0x2b220265,0x360001ee}},	//   _hiliange_, _رتۇۇسۇند, _meubelen_, _кĕрсе_, 
   {{0x9202000a,0xe3f901d4,0x6f3b0257,0x6d1a0119}},	//   _assigi_, _alcunu_, _barnsmóð, _magsupor, 
   {{0x71770187,0x8265026a,0xa1ac00d1,0x873a0311}},	//   _честа_, _yagomuni_, _বাৰুদ_, _ዓስኪሮም_, 
   {{0xb2130107,0x4202033a,0xec51015d,0x91f50176}},	//   _kutha_, _ossidi_, _जूदेव_, _laundrom, 
   {{0x3f1d0354,0x82ee034b,0x003f0003,0x2930000e}},	//   _башламчи_, _selfis_, _besturin, _submette, 
   {{0x204f00e5,0xe2fc02ba,0xd0fb0397,0xd2130196}},	//   _односно_, _коррупси, _umphumel, _mutha_, 
   {{0x93fa0278,0x791702ac,0x28fc02ff,0x42e0022b}},	//   _maruah_, _مفخخة_, _annatand, _skeljadj, 
   {{0xc31701b9,0x47410478,0x9a6100b4,0xc254023d}},	//   _frazil_, _compromé, _утиндень_, _accertam, 
   {{0x63e70453,0x224a0328,0x726c033f,0x203c023a}},	//   _sportovi_, _asumba_, _honou_, _licencio, 
   {{0x0af6045f,0xa26c0252,0xbbf60026,0xb94300c5}},	//   _leverans, _konou_, _leveranc, _félicita, 
   {{0x49cb0315,0x23460425,0xe8f5011c,0x37410046}},	//   _alilunga_, _دۆمینه_, _matalewu, _compromè, 
   {{0x787f0192,0x851600be,0x559001de,0x00000000}},	//   _롯데포인트_, _كىيمىڭدى_, _ورمانداي_, --, 
   {{0x82cb02b7,0x6d930349,0x42be0626,0x00000000}},	// [5a70] _balonka_, _acroscop, _veliký_, --, 
   {{0x42920031,0x82a70457,0x33f402b1,0x69d70312}},	//   _sepatu_, _agabul_, _bautar_, _dastumad, 
   {{0xe37a006a,0x1292013c,0x730500ba,0xc7ed0277}},	//   _karazan_, _tarixə_, _خومان_, _gitambag, 
   {{0x35980071,0x14e504ac,0xe2bc022b,0xb62901d5}},	//   _خوانده_, _указанны, _føddir_, _vajdaság_, 
   {{0x798b027d,0x00000000,0x00000000,0x00000000}},	//   _страну_, --, --, --, 
   {{0x02da05c3,0x5d2e028d,0xb323005e,0xd218000f}},	//   _appels_, _pernisye_, _چاقنىغان_, _merkezli_, 
   {{0x32b406db,0x9213004b,0x90090162,0xdc180213}},	//   _steck_, _authi_, _иранийла, _достигла_, 
   {{0xb9de030c,0x09680189,0xdae1002b,0xedf60061}},	//   _nakuatuu, _gaziante, _সচরাচর_, _아직까지는_, 
   {{0x52480722,0x9eb60388,0x90190059,0x738603f6}},	//   _icamo_, _профила_, _тоест_, _peora_, 
   {{0xd01601f2,0x526c0040,0x8b180031,0x403c0012}},	//   _قۇدرەت_, _שהמזגן_, _bebaskan_, _लगईहऽ_, 
   {{0xa23900a1,0x77a30244,0x00000000,0x00000000}},	//   _arumoni_, _fantasci, --, --, 
   {{0x9a8d01cd,0x12fc012c,0xddf20139,0xa94102c2}},	//   _апрели_, _songea_, _candrasa, _webmeest, 
   {{0x7feb0725,0x926c043a,0xfae10212,0xb2cb011d}},	//   _नामांकन_, _konot_, _destitut, _ciuda_, 
   {{0xfdc70128,0x4c350220,0x8fa9056e,0xea7201cd}},	//   _نادرشاه_, _планове_, _intervir_, _аксиз_, 
   {{0xfecb01e8,0xd26d058f,0xb21100c1,0xa2260155}},	//   _crunchin, _novoa_, _बाभळी_, _buskar_, 
   {{0xe94d02b0,0x874100a7,0xe68f04d7,0xa67600e6}},	//   _ansonste, _compromí, _videolei, _收编该视频的豆单_, 
   {{0x341300d6,0xdda10137,0x00000000,0x00000000}},	// [5a80] _بارده_, _akordatu_, --, --, 
   {{0x57f1012a,0x938c022d,0x7f8302e3,0xa9c10453}},	//   _कंगारुओं_, _agostini_, _quáaaa_, _devedese, 
   {{0xc8960289,0x82970275,0x020002ea,0x58f9020a}},	//   _akukumbu, _kataloki_, _sedile_, _хаттарме, 
   {{0x93b00400,0xcec704cf,0x05a80095,0xf96a0178}},	//   _dunque_, _abazange_, _ngasilak, _ayantrit, 
   {{0xa29102bc,0xadc704c7,0xec150510,0xe2b2064a}},	//   _ikwah_, _проводе_, _таiзар_, _вермахтă, 
   {{0x052a00ce,0x9ea0028a,0x4e3f028b,0xde1a01e1}},	//   _estimasy, _اپلوڊ_, _biformes_, _dikemika, 
   {{0xa26c001b,0x1db90209,0x78610334,0x44a200f6}},	//   _annoo_, _aapakaat_, _chindapu, _başladıq_, 
   {{0x42ca0733,0xea720018,0x62910067,0x307202e5}},	//   _theda_, _livaliva_, _bisaanii_, _hesahojo, 
   {{0x16200376,0x7c090147,0x11c702fe,0xcb730018}},	//   _standuri, _àmplia_, _اکمالاتو_, _varovaor, 
   {{0x6292012c,0x72ca02d0,0x63eb0257,0xb37a050a}},	//   _zawadi_, _mended_, _birti_, _yarayan_, 
   {{0x326c028d,0x66ee0153,0x3c550059,0x71ed0388}},	//   _kofor_, _ク機能について_, _saltare_, _японска_, 
   {{0x3340015e,0x135b0476,0x8be100b4,0x7c15027b}},	//   _recerca_, _nenguva_, _aprecier, _बौद्धदर्, 
   {{0x32320020,0xd200016e,0x2c4702d3,0xe2fc0156}},	//   _alemalo_, _kelime_, _правиме_, _arkivis_, 
   {{0x7eb405a9,0xfb3301b7,0x4af70244,0x42e802c9}},	//   _kwaranze_, _puruṣa_, _potrebbe, _incinta_, 
   {{0x303f04e6,0x12ca0189,0xf371004d,0x463202df}},	//   _annulmen, _aniden_, _老奶奶的暖爐_, _almaklum_, 
   {{0x5b1100ff,0xb57e01c7,0xa517004b,0xae39042d}},	//   _עדעמס_, _biologiý, _китеүгә_, _hamatora, 
   {{0x63b00273,0x2ab00206,0xd0e10019,0x9a9c00ba}},	// [5a90] _aunque_, _tradičné_, _бхуттону, _ڕۆژژمێری_, 
   {{0x73a20031,0xb0e30073,0x83b90083,0xbe64007e}},	//   _sempet_, _cornoval, _oravant_, _apsnānād, 
   {{0x645f014a,0x7d7800d1,0x2d8e0039,0xc26c0145}},	//   _ellenkez, _জাতিটোক_, _галаарид_, _sofos_, 
   {{0x42fc0271,0x0ec30043,0x29cf01a2,0x00000000}},	//   _innovasj, _abonabon, _izjokota_, --, 
   {{0xb0fc0235,0xb4f30361,0x08480350,0x2a9000e6}},	//   _avaiṣṇav, _полкан_, _አላማውን_, _不指定小类_, 
   {{0xfcd1004d,0xdfec0147,0x00000000,0x00000000}},	//   _今夏最新的消暑聖, _ولمىپىيا, --, --, 
   {{0x82f100ee,0xd2bb0364,0x626c03bd,0x40360066}},	//   _стратеги_, _gemenge_, _hinog_, _beterano, 
   {{0x4c5200ba,0x829200f4,0xf04a031a,0x123600e2}},	//   _بۆتۆش_, _disagn_, _mairsinn, _swijt_, 
   {{0xf17600ea,0x47b40220,0x6fea014e,0x52e800b6}},	//   _frantsay_, _allumini, _uporištu_, _lafitna_, 
   {{0x13ac0094,0xa2d90014,0xa03e00da,0x96520316}},	//   _اشىنىشتى_, _muzeun_, _atribuţi, _iraniyaw, 
   {{0x3f640031,0x5b2f00ff,0x539702ba,0xf8d40037}},	//   _perpanja, _simbolon_, _зиммаи_, _ሜሪላንድ_, 
   {{0x42c40288,0xe37902ce,0x320006a8,0x32ed0415}},	//   _heiland_, _babakan_, _delije_, _herrlich_, 
   {{0x1c770450,0x12f000fe,0x8b91055f,0x00000000}},	//   _kwestje_, _sulieti_, _bostancı_, --, 
   {{0x63870367,0xc20002c2,0xdc12003c,0x00000000}},	//   _querem_, _lelike_, _diopeni_, --, 
   {{0x8526000c,0x62ca0026,0xeb6101f0,0x9e5003d7}},	//   _borracho_, _biedt_, _damtshaa_, _resanbla, 
   {{0xe1c40226,0xbe460198,0xe6b90210,0x02ca02d4}},	//   _adamunam, _bibaleze_, _achatari, _mieds_, 
   {{0xac690163,0xad7e0052,0x12b401e6,0xb3ac04b1}},	// [5aa0] _mintegy_, _इंद्रावत, _sumce_, _soppen_, 
   {{0xd7c40473,0xcc6a0205,0x08c605a6,0x00000000}},	//   _entschei, _yusupov_, _inneheld, --, 
   {{0xfe31016a,0x22c60052,0x4a2601ac,0x00000000}},	//   _utiligas_, _dílech_, _forbacha_, --, 
   {{0x4ac70200,0x026c053e,0xbae6033a,0x1f3a0165}},	//   _abawanye, _innom_, _istudent, _draunika, 
   {{0xd38c0125,0x03420138,0x3a09032c,0x1f150260}},	//   _сурен_, _nereden_, _allanert, _costeira, 
   {{0xa2fc0077,0x12b100f0,0x754f0038,0x1fe1061c}},	//   _bonifas_, _predava_, _iskeşähä, _veličkov, 
   {{0x8b820049,0x7dbe011b,0x53860282,0xf8430081}},	//   _hokohoko_, _kanisela, _peoro_, _byggðir_, 
   {{0xdea60220,0x09d100d9,0x9498020f,0x00000000}},	//   _направя_, _rentoutu, _bengazik, --, 
   {{0x4f7200cb,0xec4900be,0xc3f4007f,0x9f250361}},	//   _ababacin, _بۅلچۉ_, _borthi_, _швейцаре, 
   {{0xb04701ea,0xd302033c,0xe26c0482,0xe61702c8}},	//   _сазовор_, _organau_, _konoy_, _milladoi, 
   {{0xe2020007,0xa2d80705,0xd25900cb,0x84250378}},	//   _betise_, _objeto_, _abelaphi_, _bussurin_, 
   {{0xd20203ea,0x22f100bc,0x6a9f00e6,0x811100bb}},	//   _petite_, _قضائی_, _使用放射性同位素, _دھارا_, 
   {{0x326d038c,0x121c0044,0xc1cc00c7,0x03f800c7}},	//   _novog_, _bishop_, _чыгар_, _almuş_, 
   {{0x8b3700ff,0x6300025f,0x12910264,0x526c003f}},	//   _ליפֿשע_, _bakangi_, _dagami_, _jinod_, 
   {{0x037a0309,0xbf4100af,0x5b6500da,0xf6b902c3}},	//   _yaranan_, _образно_, _tratarea_, _ženskej_, 
   {{0xdb340104,0xc2910292,0xa3ea0321,0xae8900ac}},	//   _bakakris, _ekwan_, _najti_, _beskonač, 
   {{0x6fb20028,0x3d9b04bb,0x72e60040,0xa7e20258}},	// [5ab0] _قداور_, _phonsava, _לבלקברי_, _bespotli, 
   {{0x553200be,0x52910286,0x43ea02e4,0xb913028a}},	//   _بئلئمدۉۉ_, _nkwan_, _hajti_, _hawataku, 
   {{0xa2a60150,0xf3ea00b4,0xd02d009b,0xb0530256}},	//   _baibel_, _contin_, _задралын_, _satricin, 
   {{0xd2da0241,0xb9f50715,0x8291005b,0x52ca03e6}},	//   _tureen_, _दिपेन्द्, _kagami_, _rieds_, 
   {{0x2b620220,0x0dca0100,0x1b1e007b,0x40220061}},	//   _montagna_, _običnim_, _haippene, _세계문학전집_, 
   {{0x629202db,0x27ca018d,0x9e43029f,0xaf2204e6}},	//   _disaen_, _ዘቕረብዎ_, _prepravu_, _tutulara, 
   {{0x526401bb,0x94090037,0x8bc903f4,0x656e004d}},	//   _berlen_, _የሥጋንም_, _симфероп, _北投區聯合服務小, 
   {{0x835602ac,0x89120322,0x7c3a0020,0xd0de04cf}},	//   _أرسلت_, _bakayiku, _taligalu_, _udaniyel, 
   {{0xc0f2026f,0x10730126,0x8fd3004b,0xd63e0100}},	//   _اﻳﻤﺎﻗﺘﯩﻖ_, _включают, _dimiliyo, _skriveni, 
   {{0xd0400242,0x2f5b0006,0x6ea804b3,0xa4180097}},	//   _sektorun, _menangan, _boullenn, _rìkulò_, 
   {{0x72cb0287,0x7c56024e,0x421a0187,0xf2a701c9}},	//   _soudy_, _zastite_, _стартот_, _kaabel_, 
   {{0x22c401d1,0x12e100e7,0x9984033f,0xe54a020a}},	//   _zealand_, _abitshay_, _fusipala_, _дюймы_, 
   {{0x3e01013f,0x8ff700e4,0xe63e00ff,0x72ea012d}},	//   _melestra, _शान्तीको_, _הסתּם_, _posisen_, 
   {{0x32ca0222,0xde3a0235,0xa37a02df,0xb92e03dd}},	//   _pieds_, _antakara, _saranan_, _themelue, 
   {{0xe22200e6,0xa5d100ba,0x937a04df,0x00000000}},	//   _造成严重后果的_, _کامڕان_, _daralan_, --, 
   {{0x5dc7030b,0x8fc800cb,0xeac60134,0x115600d7}},	//   _abazungu_, _abanenzo, _gàngàn_, _ханына_, 
   {{0x03ac022b,0xe2130242,0x638304e5,0x67e500af}},	// [5ac0] _loppan_, _izahı_, _baayise_, _екстрено, 
   {{0x364603da,0xfe390072,0xc99a038a,0xad110063}},	//   _atukwasi, _malakara, _akojtint, _بخلاف_, 
   {{0x407603ce,0x9a0a003b,0x550d0087,0xa236030e}},	//   _رۆنالدین, _amlalela_, _byetlelo_, _gwiji_, 
   {{0xd17e032d,0x6291005b,0x924a00a1,0x14bf023c}},	//   _bahatell, _yagami_, _arumia_, _ډيپارټمن, 
   {{0x32ca022a,0xc3ee03f2,0x2c5f00e6,0x78460046}},	//   _ekodos_, _automerk, _惊诧人心的创意图, _partides_, 
   {{0x53800195,0xd3540203,0xea200073,0x561f0011}},	//   _aotrom_, _accedet_, _suicidit, _asanyusi, 
   {{0x7c5a047d,0xe36a0166,0x5752019d,0x22fc00c0}},	//   _thatxii_, _bestellm, _chinsing, _bongga_, 
   {{0x337a03ba,0x962803db,0x6cf504df,0x74300110}},	//   _maraman_, _esengozi, _batareýa, _modernās_, 
   {{0xd5f40109,0xeb8e0153,0x00000000,0x00000000}},	//   _nalezený, _前記演奏部は_, --, --, 
   {{0x72b40076,0x57ca0233,0x00000000,0x00000000}},	//   _trocas_, _nonfatig, --, --, 
   {{0xa7450378,0x8efe0035,0xe2480461,0x8695014f}},	//   _steypavi, _тарафтан_, _acamp_, _дубоко_, 
   {{0xd21302fd,0x49c7032d,0x11ff0243,0x9dba0086}},	//   _ortha_, _шундайҙа, _irlandah_, _vitamint_, 
   {{0xf24901a4,0x12290204,0xc3f4005b,0x2f330095}},	//   _ayambi_, _доказать_, _airtex_, _aturanip, 
   {{0xcdf702b2,0xd2ea0373,0x13790241,0x3a1e02ce}},	//   _заявили_, _societo_, _baramaa_, _akibatna_, 
   {{0xbd570247,0xac9f0182,0x922a02d0,0xb2d40172}},	//   _استرالیا_, _korsakov_, _clamped_, _bomodin_, 
   {{0x14f4018d,0x2a01031e,0x034100f5,0x339a0202}},	//   _ምምሰራት_, _spušta_, _bezelen_, _pésin_, 
   {{0x12f500c9,0x3273043a,0x290900b7,0xeea602a2}},	// [5ad0] _vnreview_, _desinodi_, _allaberd, _maylalan, 
   {{0x44fd028a,0x477500bf,0x62320160,0xc6c8017a}},	//   _سجاده_, _вторично, _krajevim, _abasonay, 
   {{0xe970002b,0xe9c1000e,0x4b820165,0x77880291}},	//   _বিষণ্ণ_, _fenestre, _nokonoko_, _موضوعنا_, 
   {{0xa6b90099,0x7bd800ff,0x14c100e6,0x8b1603c6}},	//   _achapari, _נעמליך_, _白云千载空悠悠_, _rampoefe, 
   {{0x5cbd0040,0x36510178,0xce010312,0x6a5101db}},	//   _פיליפ_, _मागधी_, _velestra, _зәулім_, 
   {{0xeb5a03b9,0x0fc3029a,0x037200c4,0x17b503b7}},	//   _muntanxa_, _zidisyer_, _جٽادار_, _andering, 
   {{0xf34103ae,0xb25a005a,0x06280002,0x6f5f0139}},	//   _verdier_, _chilta_, _poručila_, _bhinnarū, 
   {{0x626d042b,0x5f5b0031,0x4c4a005e,0x19cf01c3}},	//   _novoj_, _penangan, _ئاپەتلەر, _argentee, 
   {{0x52d8025c,0xe34203b5,0x6cf20299,0xc3950265}},	//   _opfer_, _ditekan_, _باۋما_, _baasje_, 
   {{0xf995006c,0xb2cb022a,0xc1b8015e,0x126c0020}},	//   _abahlela_, _kredoy_, _барымтад, _fofou_, 
   {{0x904700c3,0x3d9101a3,0x7b4d0128,0x00000000}},	//   _deprehen, _سنگتَ_, _бюджетда, --, 
   {{0xf2fc04f2,0xee9f0177,0x966802fe,0x67ab0085}},	//   _bongda_, _абанкқәа_, _قوانينو_, _idewadew, 
   {{0x129202e7,0xc134015e,0xfc930060,0x36810235}},	//   _kawani_, _بولگۅنسۉ, _جاپار_, _athendri, 
   {{0x03ce00d6,0x42800255,0xcb1b03b1,0xf1630088}},	//   _comvb_, _meistril, _évasion_, _бужум_, 
   {{0x365e01ea,0xa29100aa,0x46a002fe,0xac0e0381}},	//   _сизми_, _bagahi_, _البانیا_, _apitalis, 
   {{0x33010129,0x9d7e0061,0x42e70188,0x9dfe00d7}},	//   _edebere_, _구내서점을_, _саркашӣ_, _ураллото_, 
   {{0xa92002b6,0x2a590235,0x3a730059,0xeff7004a}},	// [5ae0] _الماقشى_, _आणीस्थः_, _finalita_, _бизгәге_, 
   {{0xfac3018d,0x72830381,0xa38600d8,0x0c5c042d}},	//   _ከምዘተሓሳሰቦ, _ainschay_, _adors_, _aretiko_, 
   {{0x2e45038b,0x8308042c,0xcc1b04a7,0x78790311}},	//   _membenta, _upoznali_, _adiantar, _ክትጥቀም_, 
   {{0xa1d003b7,0xe3a20193,0x50bf00b4,0xd81900ec}},	//   _adgerbay_, _jemput_, _examenul, _археолаг, 
   {{0xc3780610,0x8c7c037f,0xfa3503e6,0x630803e8}},	//   _inganda_, _qalsın_, _garantéi, _spoznali_, 
   {{0x1a390052,0xcf630031,0x73fb00e7,0xb9180094}},	//   _tržiště_, _limpahka, _askowitz, _крахмалд, 
   {{0x7202007d,0xe276049e,0x83600013,0x0b820165}},	//   _tarikh_, _starostl, _پروفیسور_, _lokoloko_, 
   {{0x819203d4,0x46c00159,0x8f3d00af,0xafdc025f}},	//   _недостај, _кёльне_, _andrepla, _kominano, 
   {{0x2fad055f,0xad060108,0x00000000,0x00000000}},	//   _enflasyo, _batrider, --, --, 
   {{0x3da20135,0x4f25003e,0x72d9018e,0x868203a2}},	//   _remontla, _baretsan, _fayeka_, _स्टाक_, 
   {{0xde3606f8,0x826c037c,0x62cb022a,0x705b0092}},	//   _íslands_, _ignoti_, _snudi_, _doragoro, 
   {{0x414104b9,0x0587004b,0xf8510244,0x8f19001d}},	//   _achmahoy_, _бракка_, _облаци_, _samtémpo, 
   {{0x8e080129,0x49f9019a,0x9e360206,0x92d9018e}},	//   _iledoroa, _airgufie, _najaktua, _hayeka_, 
   {{0xa2ba029b,0xac2a021c,0x030c02ec,0x530402cb}},	//   _biddiiw_, _hlasitos, _qaranku_, _orgazam_, 
   {{0x23ce0273,0xa3950028,0xb96800e0,0xb2e9013a}},	//   _lleva_, _baashe_, _fariante, _bannent_, 
   {{0x32130670,0x63ce0023,0x82a201b3,0xdb1800e2}},	//   _kuthi_, _oleva_, _стажу_, _fragelis, 
   {{0xd585026c,0x12fc02e0,0x8a350300,0x2cb900d1}},	// [5af0] _publicum_, _dingwa_, _karantén, _ময়দানৰ_, 
   {{0x92fc02ee,0xddfd01f6,0x484a0073,0xc25b041e}},	//   _lingwa_, _যথাক্ৰমে_, _gentilis_, _rialza_, 
   {{0xe9dd0211,0x22d70234,0xcb5c00f7,0x83fc026f}},	//   _оплата_, _alumọ_, _predikon_, _جالەل_, 
   {{0x13570388,0x3eab015e,0xb8f9023b,0x9cf701e8}},	//   _profilo_, _galeries_, _banakaru, _diktador, 
   {{0x05a40144,0x73f4031c,0x24ed0153,0xda080403}},	//   _chailliú, _éstos_, _フィッシング_, _bolamena_, 
   {{0xf2880320,0xd796019e,0x8e540235,0x0e480055}},	//   _bohaneni_, _педагогі_, _धार्मश्र, _avissimu_, 
   {{0x92cf06a0,0x1a0800ea,0xf2fc019f,0xc2ca04b7}},	//   _bromley_, _volamena_, _bingwa_, _moedig_, 
   {{0x121300d6,0xe2e20139,0x8291019c,0xe38000a7}},	//   _orthu_, _शारीर_, _ataare_, _entrem_, 
   {{0x7096014a,0x82fc0016,0xa16d042d,0xf3e30110}},	//   _دھاگوں_, _lingva_, _ambiansy_, _kozlovsk, 
   {{0x560104dc,0xd2fd0367,0x96fd03d4,0x13dd0369}},	//   _ڵناسی_, _chegar_, _прескочи_, _hoewaa_, 
   {{0x926401b2,0xbbb7023c,0xe25a0198,0xac2b0144}},	//   _burlap_, _بدمرغه_, _šolah_, _polannac, 
   {{0x6dfe005e,0x32f30064,0xf3d00087,0x929201fe}},	//   _قەرىز_, _sanitat_, _ivatsari_, _sawani_, 
   {{0x1fd3004d,0x97a701e7,0x00000000,0x00000000}},	//   _請聯絡我們_, _biergeri, --, --, 
   {{0x9f8900ba,0x36750061,0xed0c04c9,0x12ea02cf}},	//   _شوفێری_, _사용하면서_, _kabugkir, _prontos_, 
   {{0x8dfa01fe,0xa23601e5,0xd3f8033f,0x9914018f}},	//   _davedave_, _ewajo_, _mokulu_, _mavanchu, 
   {{0x99690185,0xc1e000dd,0x00000000,0x00000000}},	//   _harmoní_, _mabolgam, --, --, 
   {{0xc3eb002f,0x398700a2,0x00000000,0x00000000}},	// [5b00] _aqataj_, _kumkamat, --, --, 
   {{0x6eba01df,0x0921034c,0x63780034,0xaf920205}},	//   _perfumes_, _истерик_, _eiganda_, _moddalar_, 
   {{0x8c770165,0xb386019d,0xf29200d2,0xaef20094}},	//   _ceuraki_, _aford_, _kawali_, _تۇتىپ_, 
   {{0x3c5a02a6,0xb05303f3,0xe292004f,0x426b0025}},	//   _puntini_, _pensioen, _jawali_, _dhigataḥ_, 
   {{0x78c5005e,0x48630242,0x7e0d02c0,0x57b302fc}},	//   _پېشقەدەم_, _axundzad, _бабунски_, _atarangi, 
   {{0x7f0d0255,0x025a025b,0xa2900079,0x02020243}},	//   _पुरखा_, _skilti_, _uzlabo_, _gariiy_, 
   {{0xf4520060,0x3ada0162,0x26ab00c7,0x887b019e}},	//   _بەرمەي_, _гоминдаң_, _үзара_, _штрафам_, 
   {{0x52d30278,0xda1402a2,0xa26c005b,0x42e7022c}},	//   _seronok_, _mawawala_, _rinoa_, _amengan_, 
   {{0xb26c00ea,0xb70900b7,0xf2bb019a,0x6d3900d1}},	//   _sinoa_, _ленинин_, _armenie_, _প্লাৱনৰ_, 
   {{0x853c0427,0xa429006a,0x934801c7,0x3c7500e2}},	//   _titiraqh, _nataonao_, _begenji_, _schurer_, 
   {{0xfbde013c,0xaade0695,0x12fd00a0,0xc4fd0137}},	//   _bildirir, _bildirib, _alfadari_, _сүрлэн_, 
   {{0xe2fc0245,0x97ad01f6,0xf2020116,0x442700f3}},	//   _jongka_, _মেইলৰ_, _betide_, _miyalezo_, 
   {{0x629200e9,0x91da00cf,0xb2e9006a,0x8cfd03f2}},	//   _kisann_, _caalaamm, _bosista_, _заставил_, 
   {{0xae2a03fd,0x101b0334,0x4f090159,0xc8580260}},	//   _alagatup, _adawaten, _аранжавы, _argallar_, 
   {{0x937a002c,0x32240163,0x466c0125,0x47aa0244}},	//   _garaian_, _telken_, _нокерлер, _bottigli, 
   {{0xd851000f,0xb3940181,0x00000000,0x00000000}},	//   _sezonund, _cooshi_, --, --, 
   {{0x6cdd0192,0xa34c0092,0xd20002f6,0x62f10239}},	// [5b10] _누가봤을까_, _診療実日数_, _laking_, _karahiwi_, 
   {{0x1c62023d,0xcdc402e3,0x038600a0,0x57a90400}},	//   _seguito_, _ztaigame_, _asirce_, _apprupri, 
   {{0x92f60250,0x747200fd,0xea1402a2,0xee5d031a}},	//   _artikuj_, _cantainn_, _nawawala_, _clabhala, 
   {{0xdc5c0022,0x38d6010d,0xf2e900d5,0x4e3900ad}},	//   _buntril_, _चिंटू_, _firinga_, _dadamara, 
   {{0x026c00ce,0x7379005b,0x1c5d0082,0xbe53036d}},	//   _annou_, _macaron_, _dattijo_, _liaboist_, 
   {{0xffca0222,0xdc280049,0x7ee00145,0x72fc01f4}},	//   _première_, _anasitas, _гейла_, _mingta_, 
   {{0x26810238,0x7be60076,0xe11000d3,0xb274004d}},	//   _телефоні, _кулинарс, _मातृका_, _主動公開資訊_, 
   {{0x2f150115,0xeacb0037,0x7d02009c,0x00000000}},	//   _kundasan, _የጳውሎስ_, _detenesq, --, 
   {{0xca1202af,0x7cc00170,0x19120322,0x92ec02c5}},	//   _bakabike, _amsinkhu_, _bakabiku, _edzimwe_, 
   {{0x4292001e,0x14340092,0x8f9b01b7,0x00000000}},	//   _jawabi_, _この商品をチェッ, _ठपेत्वा_, --, 
   {{0x325b02fd,0x74600258,0xc3f90687,0xa9fd010d}},	//   _chalpa_, _behearsk, _havuka_, _kerakyat, 
   {{0xc89700bc,0x452d0220,0xe4c80111,0xec920244}},	//   _غریبه_, _николета_, _diventò_, _евреи_, 
   {{0x4f2c034e,0x426c02ff,0x00000000,0x00000000}},	//   _alleqnin, _anfom_, --, --, 
   {{0x9da4005c,0x83f901a0,0xf87303ec,0x00000000}},	//   _ishorama, _davuka_, _civilizu, --, 
   {{0x639b0335,0x296b023a,0x03e7045f,0x00000000}},	//   _nāsti_, _hornonit, _liseberg_, --, 
   {{0x957605a9,0x838804e5,0xceb70181,0x92e90340}},	//   _iratabaz, _alayira_, _apistnet_, _piringa_, 
   {{0xfe390108,0xafc700be,0xf2f3015d,0xb26c0261}},	// [5b20] _padalara, _تااسئر_, _भू्रण_, _vinon_, 
   {{0x55f502d3,0x6d94003c,0x6e180274,0x524a0014}},	//   _observaç, _اندوخته_, _rjómi_, _normat_, 
   {{0x5f1a0177,0xd9900096,0x6ae106a7,0x9386033c}},	//   _ирӡеиҕье, _adakubit, _nestlede, _drasiedi_, 
   {{0xe7c1034e,0xe93303bf,0x1db3038d,0x3383017a}},	//   _adorachi, _котелок_, _litiliza, _abasesem, 
   {{0x57bf00ba,0x0290040e,0x6c6602a3,0xa26402f6}},	//   _رزراگرتن, _friare_, _ruiters_, _daplis_, 
   {{0x7b6102bb,0xac770197,0xcb6c023e,0xf292010d}},	//   _डूबने_, _ostrali_, _baureksa_, _cupang_, 
   {{0xb3f004ad,0xe99e0074,0x53ec012c,0xc9af0382}},	//   _atlegeng_, _kaikilla_, _kubonyez, _mundheve, 
   {{0x5249019d,0xb92501a3,0x7921027e,0x826c011b}},	//   _mpemba_, _انويسٽمي, _успеси_, _binoo_, 
   {{0x76d102cb,0xf2d8020e,0x7520000c,0xed6f03b6}},	//   _pojavlji, _kajeno_, _aranduch, _lówùúrò_, 
   {{0xe29e010f,0x9b4301de,0x3fbc040f,0x02e30251}},	//   _дилам_, _телебағд, _stengiuo, _hortagay_, 
   {{0xd2640168,0x00000000,0x00000000,0x00000000}},	//   _terrengl, --, --, --, 
   {{0xf29003ba,0xc3f2008c,0xec9e0235,0x3662038a}},	//   _eriare_, _scrutini_, _avakāśo_, _chakipuw, 
   {{0x49ed030c,0xfbd405e2,0x43f80271,0xd26c0343}},	//   _hapummid, _campaña_, _motorsyk, _ginoo_, 
   {{0x9c6900c7,0x8c4b0258,0x00000000,0x00000000}},	//   _тайпылыш, _moeting_, --, --, 
   {{0xf213003c,0x09de059a,0x71a300b7,0x00000000}},	//   _astha_, _almofada_, _berkeýän_, --, 
   {{0xbee802fe,0x00000000,0x00000000,0x00000000}},	//   _دوامدار_, --, --, --, 
   {{0xd1770263,0x1ab400c1,0x738000ce,0xfb970381}},	// [5b30] _gemakkel, _अमेरिकेल, _kouraz_, _afficztr, 
   {{0x5200039f,0xa1560060,0xc63903b8,0xec64030f}},	//   _taking_, _тарыдай_, _тактикал, _kurupae_, 
   {{0xe26c0515,0x19cd00d9,0x52ec01be,0x00000000}},	//   _annos_, _принципы_, _nezoufej, --, 
   {{0x92d90016,0xb7870046,0x897a01b5,0x00000000}},	//   _gazeto_, _جاشاعىن_, _mukhanse, --, 
   {{0x42000193,0xa2b9015e,0x4c7800d9,0x215500f4}},	//   _saking_, _баяндага, _напомнит, _beurbado, 
   {{0x74020090,0x153b0349,0x14a000ec,0x14370159}},	//   _anongonz, _andicaph, _sensacij, _nepatiko_, 
   {{0xce4d0177,0x069d0244,0x62240373,0x2fd60061}},	//   _аиҕьтәра_, _арест_, _kelkan_, _마르크스주의_, 
   {{0x087504a7,0x1348005b,0xfafd0359,0x0d03004a}},	//   _persoais_, _samfund_, _hongaars, _беркатлы, 
   {{0x254104dc,0x027c0039,0x2e5800e6,0x96980184}},	//   _سیمایه_, _агнах_, _落实科学发展观_, _namwumiy, 
   {{0x437f00b3,0x2cbb0193,0x638601da,0xc40d01db}},	//   _ashakda_, _पार्वतीच, _prirje_, _ماجۋەلىك_, 
   {{0x99a400bf,0x026d0205,0xbb62009c,0x00000000}},	//   _опций_, _tovon_, _gaulther, --, 
   {{0x01f201db,0x1f3f00fb,0x00000000,0x00000000}},	//   _сүтқорек, _singaman, --, --, 
   {{0x6e39022c,0x820203d5,0x44f70163,0x1a6802c9}},	//   _kadahara, _marish_, _اوزاردان_, _marginea_, 
   {{0x422b0010,0x7943013a,0xd39402fa,0x687600c7}},	//   _alimate_, _cyclisse, _abishe_, _омски_, 
   {{0x8d2802c4,0x6f5b0331,0xfecc0334,0xc2500279}},	//   _значење_, _samanhan, _aliyense_, _recensem, 
   {{0x53e20206,0x12d6030a,0x3d820046,0x026c021b}},	//   _receptov_, _magosto_, _depenent_, _infoa_, 
   {{0xe7ea02a9,0x703103c5,0xe7140231,0x00000000}},	// [5b40] _абсурдна, _diternak_, _canticum_, --, 
   {{0x288c0040,0x6d07032d,0xe69505e0,0x49e0019f}},	//   _למקסימום_, _ҡылған_, _marcará_, _mabingwa_, 
   {{0x62a70241,0x52920481,0xc5630187,0x00000000}},	//   _baabel_, _lawaai_, _acomodaç, --, 
   {{0x80a70128,0xcf980299,0x607d0161,0x00000000}},	//   _никоҳни_, _جەنۋە_, _британии_, --, 
   {{0x02fb02d3,0x7b35025f,0x014700b2,0x60b50012}},	//   _потребат, _essambis, _doktoroo, _बलबुता_, 
   {{0x9c5b004d,0x99cb00c4,0x00000000,0x00000000}},	//   _台灣民俗藝品專賣, _inalenga_, --, --, 
   {{0x52fd0082,0x22de0372,0x18e2004d,0x08db0177}},	//   _alfahari_, _almonau_, _思想與宗教_, _heseveku, 
   {{0x0c5e0037,0x3240017a,0x603d001a,0x3b5d00bf}},	//   _መገኘታቸው_, _abawuval, _مجوسی_, _никитина_, 
   {{0x46900378,0x56ce02bf,0x83f80155,0xf2c1033f}},	//   _bíleggja_, _bemafili, _ombud_, _taelava_, 
   {{0x66d3010d,0x026d0448,0x42fc0295,0xef16004d}},	//   _फ्रिज_, _alvor_, _longoa_, _李述德送大禮_, 
   {{0xe909000a,0x8c06000c,0x98520249,0x003702e3}},	//   _allattoq_, _malraux_, _hebrides_, _thitruon, 
   {{0xc30a00ec,0x97ba0276,0x3663014e,0x00000000}},	//   _абгрунта, _хаталиқл, _многобож, --, 
   {{0x160200a4,0x6e55012c,0x924a0485,0x7224029b}},	//   _confianç, _مونتي_, _formue_, _bookoy_, 
   {{0x97920026,0xb2ef000b,0x00000000,0x00000000}},	//   _instanti, _makisua_, --, --, 
   {{0x524a077f,0xd26d00ec,0x19cb0289,0xf202003a}},	//   _कामेडी_, _lovos_, _analenga_, _tarish_, 
   {{0x8fd40156,0xe9f4004f,0xa37a00d0,0x7cab0452}},	//   _נאָרוועג, _indée_, _daraman_, _संस्कृतच, 
   {{0xf26d02f1,0x5f5b03db,0xd7a6045b,0x00000000}},	// [5b50] _novos_, _namabhan, _анатолія_, --, 
   {{0xb2fd035a,0x19f2031d,0x66c80043,0xa39d035b}},	//   _infitar_, _bargaine, _abisonny, _dogajanj, 
   {{0xbbc10064,0x429200a1,0x0d2d023c,0xafd900b4}},	//   _العاچقى_, _tawahi_, _akanguye_, _принчипа, 
   {{0xa38601f7,0xbf5b02d8,0xdae5015d,0xa8dc00ba}},	//   _segre_, _ramadhan, _महाकुम्भ_, _هۆلۆکۆست_, 
   {{0x69e602ee,0x30070019,0x327f009c,0x02360259}},	//   _istruttu, _пишпек_, _buynus_, _awaji_, 
   {{0xf201017d,0x141e01e8,0x03000369,0x137a000f}},	//   _lysis_, _biyahero_, _kulanui_, _karaman_, 
   {{0x91f8041e,0x1c750058,0x29cf018d,0x93e40178}},	//   _lotissem, _lebukas_, _ዘይሓላፍነታው, _उत्फुल्ल, 
   {{0x18f90255,0x7104003a,0x825b00d6,0x00000000}},	//   _tavakasu, _hamkasbl, _dhalta_, --, 
   {{0x22490031,0xd61704f9,0xe3420121,0x3be500e2}},	//   _taemin_, _abelseni, _merecen_, _nuveraar, 
   {{0x94b9062b,0xeb53028c,0xf9f40282,0x921601d5}},	//   _orihinal_, _tammsaar, _manawawe, _مارپیٹ_, 
   {{0xae080013,0xd9cf01e8,0x530201d4,0x00000000}},	//   _obodonla, _gireklut, _addattu_, --, 
   {{0xd788032e,0x92d80265,0x1bec0061,0x128b03fe}},	//   _llawirix, _emmen_, _모르겠어요_, _аттилы_, 
   {{0xeeb00338,0x1a8900cd,0x3a53042c,0x583c0040}},	//   _defensas_, _impustüt_, _kamerama_, _בפשטות_, 
   {{0x386f045e,0x34e0009a,0xc8580161,0xc1fc0139}},	//   _здраве_, _پروردګار_, _растягив, _परसवर्णः_, 
   {{0x753a0251,0xd2d80258,0x905800ec,0x949500ec}},	//   _دفترٕے_, _immen_, _нёман_, _kontaktų_, 
   {{0x22900450,0x537a0076,0xe1f70076,0x28180361}},	//   _stikjes_, _jogando_, _дневните_, _губернск, 
   {{0xd34303b3,0x134101c7,0x426c0055,0x5f69027b}},	// [5b60] _derecto_, _bezemen_, _annoi_, _त्वदीयं_, 
   {{0x826d02a5,0x1c680403,0x22f3000e,0x79cd004d}},	//   _hovor_, _averiko_, _finient_, _金管證一字第_, 
   {{0xe37a00bc,0x42b4011f,0x36e301a2,0xc2fc0117}},	//   _karajan_, _areco_, _smscredi, _tongoa_, 
   {{0x85920309,0x5db303ee,0xc38a0285,0x3b1102b6}},	//   _fikriniz, _nalazite_, _amayero_, _амалдағы, 
   {{0xa2cc0109,0xec7b0039,0x6780020f,0x00000000}},	//   _zaslán_, _больчихс, _قزاقیستا, --, 
   {{0xfdff00bc,0x425b034e,0xa778023c,0xebe5001d}},	//   _katentua, _abelta_, _دصدراعظم_, _hundepac, 
   {{0x1c9c0076,0x14d70159,0x3e0f0254,0x84a80135}},	//   _помогнет, _забавы_, _necesida, _başlanıp_, 
   {{0x1fcc01bd,0xb20200da,0x828b00a8,0x639d0321}},	//   _азияның_, _detine_, _aviartam, _pogajanj, 
   {{0x7ae8057c,0x837f013f,0x0d890021,0x92dc0321}},	//   _repræsen, _adjoraeg_, _alportwa, _otrocih_, 
   {{0x62d601b8,0x2abf0058,0xf733005b,0x563d021e}},	//   _milleks_, _kotenön_, _keezmovi, _därtill_, 
   {{0x134902e4,0x629b01c7,0x38840169,0xeb1a010d}},	//   _foresti_, _wulkany_, _সমস্যায়_, _jagakars, 
   {{0xe3eb0079,0x4e4502a2,0xddf30139,0x21f20597}},	//   _pirts_, _tumataga, _candrara, _алфавичĕ_, 
   {{0x737f0326,0xb1e1027b,0x20920361,0x00000000}},	//   _ashanda_, _भूधरे_, _непромыш, --, 
   {{0x526c0372,0x78e60391,0x0ac1016d,0x459e0559}},	//   _anfon_, _шарттар_, _ھۆددە_, _abafiley, 
   {{0x6b6901c5,0x12ef0298,0x94ac0005,0xb2a7006e}},	//   _tartanka_, _takirua_, _artichel_, _kaabal_, 
   {{0x92d80241,0x514702ba,0xa22702c0,0xf7270013}},	//   _ameef_, _капида_, _мировен_, _иллаллоҳ, 
   {{0xfc55020e,0x121304bb,0x33f40013,0x89ca0135}},	// [5b70] _lentsoe_, _nsthe_, _sirtqi_, _гималайл, 
   {{0x52e901cf,0x4a0901ef,0xdc470332,0xe3ea0347}},	//   _altiara_, _наследны, _cancelac, _whitey_, 
   {{0x471500e5,0x9ec20172,0x9fb500ec,0x2612027e}},	//   _seguranç, _denneenn, _блогеру_, _благодат_, 
   {{0x126d017e,0x32b4029f,0x468c023e,0x526c00ea}},	//   _povos_, _preco_, _اقساطی_, _minoa_, 
   {{0x82c60128,0xee5a0169,0x1fdd0074,0x49f5012b}},	//   _экспорти, _বেড়েছে_, _практике_, _zamierza_, 
   {{0x9786007e,0xa13f033a,0xc3ce006f,0x00000000}},	//   _पर्वतो_, _ferrieħi_, _mlevi_, --, 
   {{0x4c75049e,0xf6e60117,0xdee2033e,0xf30000dc}},	//   _napriek_, _kalbusim_, _идеилирк, _malaeti_, 
   {{0xdcbe03d4,0x029200cf,0xa99603b2,0x3ae000e2}},	//   _кажем_, _bisaan_, _necklace, _hartogge, 
   {{0xdb750453,0x926c04ac,0xd283010d,0x367a0235}},	//   _tekstova_, _ainoa_, _linknya_, _añjalim_, 
   {{0xe327072a,0x4a61029b,0xa37f046d,0xa26c032d}},	//   _پاسبان_, _anañas_, _tshanda_, _binoa_, 
   {{0x54950287,0xc27c018d,0x4fb701ad,0xbc5a00de}},	//   _kontaktů_, _ንመረዳእታ_, _confesor_, _atotali_, 
   {{0xeb630225,0x796301d2,0x306e02b6,0x8a50011a}},	//   _forenoon_, _chanyant, _سەرگەلدە, _במזבלה_, 
   {{0xcfb502fe,0x186d00f5,0x811b0127,0x737a0071}},	//   _کوربه_, _бинамыса_, _biskoazh_, _carakan_, 
   {{0x3a0b0124,0xc1d001aa,0x3be5017f,0x31d400b6}},	//   _bosangoa_, _argettay_, _malersor, _hebeloth_, 
   {{0x43ce011d,0x42ca003f,0x250e004d,0x1202010b}},	//   _elevi_, _mahdaq_, _猜猜我是誰_, _letile_, 
   {{0x9bb500c7,0xb3a60169,0x2162051c,0xc183032d}},	//   _deputatı_, _ওয়ালটনের_, _kharnaio, _bokahohl, 
   {{0xd8f804f9,0x176b0350,0xe39601d7,0x00000000}},	// [5b80] _allaassu, _የሞከሩት_, _cursas_, --, 
   {{0x79470189,0x5bf70187,0xd25701c9,0x5aa5034c}},	//   _kanunlar_, _видете_, _neutraal, _arxiepis, 
   {{0x76d1035b,0x22c602d4,0x7be5017f,0xf38601e8}},	//   _dobavlji, _stampar_, _aalersor, _degri_, 
   {{0xf6a901d1,0x38e903e7,0x42d5012a,0x5cf80088}},	//   _approach, _nangungu, _aktorka_, _dictador, 
   {{0x737a019c,0x666600f2,0xf2ca0405,0x9e3500e7}},	//   _farahan_, _kabīnes_, _sondre_, _assayswa, 
   {{0xdc7503eb,0x159d03b9,0x06e000e6,0x03ad0078}},	//   _verskaf_, _kusiskañ, _国家环保总局_, _пирамиде_, 
   {{0x334304a7,0x5f41030f,0x4b9d01bd,0x00000000}},	//   _dereito_, _mongamon, _ۇيعۇرشا_, --, 
   {{0x237f0245,0x3394014a,0x17a9018d,0x022000af}},	//   _mahanta_, _téren_, _ዓርከይን_, _являться_, 
   {{0xfc6102b7,0x01070095,0xfd870007,0x5ebd0428}},	//   _mosumma_, _فرارو_, _asambela, _težava_, 
   {{0x734f01bd,0xd1fd00fd,0xf3eb033c,0x737b013d}},	//   _ءوزىڭە_, _annasach_, _parth_, _akvario_, 
   {{0x23eb0243,0xe380002e,0xc3df017d,0x326c02d5}},	//   _barti_, _ispred_, _この質問内容が不, _infot_, 
   {{0x27180193,0x183b0012,0x33210107,0xdf3d0151}},	//   _मत्स्यव्, _अकरवलेउन, _gebyar_, _antrapoa, 
   {{0x4c4b0410,0xbf2402bf,0x02b400f7,0x148001c9}},	//   _nneteng_, _angephan, _adicio_, _सुनाओल_, 
   {{0x1a7300be,0xdfde00d1,0xa4720195,0x213f024c}},	//   _алсыз_, _অৰাজনৈতি, _fantainn_, _ferrieħa_, 
   {{0xfb5e02b6,0xdc06011e,0x36df0094,0x63eb0220}},	//   _аруна_, _patrouy_, _تەلەارنا, _farti_, 
   {{0x27c80037,0x17ea00e6,0xce240041,0x0b82058f}},	//   _አንብበው_, _如何治腋臭_, _ҿыцтәи_, _amenizar, 
   {{0x2c620181,0x4ead0193,0xcef500da,0x585901f1}},	// [5b90] _rewrite_, _lintasme_, _активита, _miratuar_, 
   {{0x226c05c3,0xcea101fc,0x3def0160,0x00000000}},	//   _infos_, _yeelleen, _počasti_, --, 
   {{0xd3fa01b6,0xe4a80024,0x3ad1042d,0xf0600037}},	//   _shruki_, _অলঙ্কাৰ_, _ahatante, _prosidin, 
   {{0x8e1102a5,0x33eb018b,0x024101c9,0x12da06d4}},	//   _तीनओटा_, _carti_, _तूरले_, _garotos_, 
   {{0xd9f60074,0x3f6c02bb,0xb3fc0204,0x7c5b057f}},	//   _причем_, _मुद्राओं_, _sukunimi_, _siyudad_, 
   {{0x46a001be,0xf744023a,0x275204b8,0x4b930269}},	//   _क्रियाहर, _prezradi, _sainding, _diciendo_, 
   {{0xd290007b,0x1d7800d1,0x00000000,0x00000000}},	//   _weakest_, _বিকিৰিত_, --, --, 
   {{0xc29500f6,0x334100b2,0xb75600ba,0x726c005a}},	//   _pedaqoji_, _arreeda_, _جاڕنامه_, _jinov_, 
   {{0xc39601b0,0xeadb0037,0x68270071,0xf22a0044}},	//   _nyusul_, _እስላሞች_, _پاتایا_, _climbed_, 
   {{0xc06300c1,0xcffd014f,0xaf3c0105,0x256c014e}},	//   _लालसर_, _leskovac_, _pragnien, _осигурав, 
   {{0x05e10047,0x3287000d,0x624a025c,0xfda402e4}},	//   _网站或个人转载使, _isikute_, _daumen_, _illoggja, 
   {{0x5ece0024,0x25570211,0x8947025b,0xfa8d004c}},	//   _গ্ৰাহকৰ_, _прийти_, _skilagot, _atonnyes, 
   {{0xa237005b,0x1e5a002f,0x407400fc,0x00000000}},	//   _shimada_, _cambiana, _mayajcho, --, 
   {{0x4da903b0,0x2fc70162,0xe3940188,0x9c5a04a4}},	//   _dominera, _нисбти_, _acishe_, _dortadh_, 
   {{0x02ca014a,0xa6250344,0xef2b01d2,0xaf4d04b2}},	//   _mondat_, _artorami, _cuerponp, _elepante_, 
   {{0x3b180268,0x2a5200d9,0xc22c0274,0x11df004b}},	//   _andardss, _koneella_, _örvingla, _hilogram, 
   {{0x87600105,0x9f5201c4,0xeda902f3,0x0b6a0039}},	// [5ba0] _गर्भावस्_, _daagliks_, _nominera, _mintegia_, 
   {{0x3fb30510,0x63f8010d,0xb26c0318,0xcf3f00fb}},	//   _периодик, _disuguhi_, _oinou_, _ningaman, 
   {{0xdb8202c1,0x239a01f4,0x524f00d3,0x2cc301e5}},	//   _inkomoko_, _кийинчил, _rukojeti_, _irukiiru_, 
   {{0xe2360134,0x84d70145,0xe201017c,0x390801cd}},	//   _itaja_, _багаты_, _hygien_, _лозимаст_, 
   {{0xd0f70008,0x963503a2,0xbe390338,0xb7ed0059}},	//   _democràc, _रूपहले_, _ambaissa, _пиротска_, 
   {{0xedae017f,0x02cb0013,0x09c1015b,0x3c0501aa}},	//   _pingasut_, _tomonga_, _revelese, _atorgay_, 
   {{0x6fbe0478,0x463901f7,0x413f0372,0x2e7500b5}},	//   _violacio, _abdicaci, _cartrefo, _сырбеи_, 
   {{0x53f803db,0x9eb903c2,0x0d150177,0x97c7018b}},	//   _enkulu_, _strollin, _агәцқьар, _инаре_, 
   {{0x82ca0478,0x244d0420,0xa38d0037,0x8d23013d}},	//   _fondat_, _подготву, _ድምጻቸውን_, _amasdetr, 
   {{0x538600b4,0x135501d1,0x992f00de,0x92e60205}},	//   _negru_, _accepts_, _دشرکت_, _alaniya_, 
   {{0x4a2003c7,0xb73a009b,0x825b01d8,0x432001bb}},	//   _प्रबंध_, _торго_, _shalai_, _oydyan_, 
   {{0x52920265,0x5e3a036a,0x348400e2,0x5aa90537}},	//   _totaal_, _matamara, _eustaasj, _converta_, 
   {{0x82fc0049,0x0cd700c7,0xa51900c4,0x83860017}},	//   _fongia_, _аңлатырг, _ڪولاچي_, _kurzech_, 
   {{0x661a01b5,0x622400d0,0x92de0157,0xad930153}},	//   _etindlwi, _azokak_, _intencji_, _咲き終わり_, 
   {{0x826c003a,0x722600db,0xbab90290,0x00000000}},	//   _minot_, _tarkus_, _curvalda_, --, 
   {{0x82ca0170,0xfb95030b,0x990400cf,0x00000000}},	//   _gondwe_, _bariirir, _hambisuu, --, 
   {{0x725b020b,0x295a042a,0x5f0a014f,0x3a41008e}},	// [5bb0] _abelwa_, _abengawe, _двеста_, _fondamaa_, 
   {{0xc3940414,0x4f3e008f,0x52d70297,0x1dbc0403}},	//   _baisé_, _क्रियोल_, _бензинга_, _fihirana, 
   {{0x426c02bd,0xc2b4022e,0x2721037c,0x232a0061}},	//   _arnoch_, _greca_, _terrarum_, _너무헷갈려요_, 
   {{0x50f703cf,0x729200a0,0xae5704ca,0x2400017a}},	//   _maliyetl, _dawaki_, _barregèt_, _мекни_, 
   {{0xd3cf0455,0x3afd0281,0xc2c40156,0x00000000}},	//   _neuve_, _kinguars, _דאמיין_, --, 
   {{0x358d0005,0x026c0013,0x625a0210,0xfbee00ad}},	//   _inquisiz, _sinov_, _akanditi_, _pilembur, 
   {{0x52180089,0xd28c04e5,0x69f30065,0x00000000}},	//   _фибрилля, _akakasa_, _langsame, --, 
   {{0xad1500b7,0x2b410139,0x33870155,0x00000000}},	//   _birlikde_, _श्रीवत्स, _sparat_, --, 
   {{0x090f03ac,0x46800077,0xbcf90151,0x00000000}},	//   _didahulu, _kenzyèm_, _birthwor, --, 
   {{0x765a00cb,0x7fcb02e8,0x026c004d,0x12e500a8}},	//   _дидбонго, _asingago, _不生病的生活_, _dalunsch_, 
   {{0x126d0365,0x6292024f,0x44c300d1,0xc30e0311}},	//   _novou_, _cawaki_, _একেবাৰেই_, _እናተሳቐየ_, 
   {{0xfbb20386,0xda930162,0x8b480156,0x3f43000d}},	//   _menyusun_, _кореки_, _אײַרעס_, _arusaada, 
   {{0xec930721,0xbf3f0374,0x439401b8,0x239600a4}},	//   _निरोग_, _yangilan, _maksta_, _curses_, 
   {{0xd3eb029b,0xb2250247,0xa9de0272,0x3e320013}},	//   _aartu_, _angkah_, _asitukid, _bilganla, 
   {{0x4cb8046b,0xe26e0365,0x92d9020b,0x82b4005b}},	//   _addasiad_, _otvory_, _kabelo_, _creca_, 
   {{0x885c02ff,0xaae50080,0x220e02d6,0x22da01b2}},	//   _duvalier_, _aserorte, _мазах_, _beseem_, 
   {{0xd69d00c5,0x4bfe0127,0x29e30144,0x3ae801a4}},	// [5bc0] _如您对管理有意见, _amourous, _fhiuchad, _likelemb, 
   {{0x3bb70277,0xa26c02b9,0x969701d3,0xde330211}},	//   _brokebac, _finom_, _arbetsli, _ключи_, 
   {{0x03eb01c9,0xe2ac0040,0x216100be,0x54240023}},	//   _tartu_, _ההתראות_, _بئيىكتەي_, _ключей_, 
   {{0x62fc0179,0xb0b100c5,0xfe0101f0,0x42900035}},	//   _bukilis_, _中华人民共和国公, _diwebosa, _fidail_, 
   {{0x234b046f,0x130b002f,0xe4640220,0xec600005}},	//   _gefellt_, _allintaj, _arredato_, _adattar_, 
   {{0xa296029a,0x5dac0126,0x148500bb,0x9efd0137}},	//   _lesklav_, _конкурсі, _پراڈکٹ_, _аарцгийн_, 
   {{0x82fc0139,0xec5501f9,0x54ab000a,0x20e800c6}},	//   _amogho_, _avotele_, _ammartak, _портфеля_, 
   {{0x12d90367,0xb018014e,0x12c00156,0x536a01c0}},	//   _cabelo_, _димитриј, _נעטהערלא, _dimashƙu_, 
   {{0xbeff0301,0x45b8010f,0x12c7031a,0x8e7a000f}},	//   _forumçu_, _лаганбар, _finlaec_, _haritası, 
   {{0x595f0269,0x00000000,0x00000000,0x00000000}},	//   _aislamie, --, --, --, 
   {{0xbf650281,0xbea60243,0xfc5a001c,0xc8470780}},	//   _appartin, _tantabbe_, _namukad_, _englænde, 
   {{0x13940072,0x96ba02ea,0x99c701c0,0x38fd0211}},	//   _jaksta_, _правосъд, _ajalinsa_, _зависеть_, 
   {{0xeb9a0105,0x9b450435,0xa4130476,0x485d004f}},	//   _पुरुषों_, _музеја_, _anononok, _eesañeri_, 
   {{0x939501dd,0x022b003c,0xa26c013f,0x0e53038e}},	//   _abashe_, _alamate_, _difoc_, _kerasuka, 
   {{0xf4d6077f,0xbecd01b5,0x1f5c0281,0xedcc0040}},	//   _नगरिया_, _alayense_, _anaanaan, _מהתקופה_, 
   {{0xceb004b3,0x9e170053,0x32e9016b,0xfc6a0472}},	//   _arnodenn, _segerala, _ganganci_, _mulutmu_, 
   {{0x7bec0478,0xbabd00ba,0x8cf7015d,0x32d80192}},	// [5bd0] _confondr, _ریادا_, _साधकों_, _bedenk_, 
   {{0x7ae302b7,0x99d80037,0xadb80024,0x32070291}},	//   _nonekoab, _ይረዳዋል_, _teknikka, _يطلبون_, 
   {{0xf57e00b7,0xe05902fe,0x1712032d,0xc36d0263}},	//   _ekologiý, _ayisiyon, _благовар_, _beverwij, 
   {{0x42860229,0x63fa008d,0xaf440126,0x649200d1}},	//   _böhtan_, _okrugi_, _rørfaget_, _যুকাৰবাৰ, 
   {{0xe1a6012a,0x56cf0272,0x4a670325,0x40a502eb}},	//   _kupować_, _abbakoli, _işgüzar_, _клипийг_, 
   {{0xcda90056,0x7e4d043d,0x6334015e,0xb34b015c}},	//   _вариантҳ, _keyakina, _بىلمىدەر, _gefeelt_, 
   {{0x5a93014e,0x53830285,0x00000000,0x00000000}},	//   _посетио_, _banyoye_, --, --, 
   {{0x95b10343,0x9202004f,0x343d0192,0x92dd00f2}},	//   _vengaboy, _arsiif_, _praktijk, _oktobri_, 
   {{0xfdf20183,0xdceb03a2,0x86b7034c,0x00000000}},	//   _archivé_, _चिपकने_, _виккада_, --, 
   {{0x9eaf015f,0xab60014e,0x62020359,0x7e9502f0}},	//   _adlonian, _изненади, _eftige_, _ivumelan, 
   {{0x82ca009a,0x0456004d,0xe6ce00b5,0xfd2b00ba}},	//   _esidla_, _國泰大中華_, _iguarini, _نۆڕوێژ_, 
   {{0x729105f4,0x0c1601c7,0x12fd03ab,0x493400b2}},	//   _ajwan_, _пердедир_, _skenery_, _dummensa_, 
   {{0x104d00be,0xffc500b4,0x404c0105,0x00000000}},	//   _جاشاپتىر_, _candidaţ, _komornik_, --, 
   {{0x1e7e00c1,0xbfd000e6,0x00000000,0x00000000}},	//   _अधिकाऱ्य, _破坏社会稳定_, --, --, 
   {{0xcc6a0635,0x76bd0126,0xe1f70177,0xa00003d1}},	//   _старое_, _добровіл, _зыҕьараҿ, _demogrāf, 
   {{0x9c74018d,0x12cb00ad,0x771800ff,0x75960074}},	//   _መጽሄታት_, _ngadon_, _רעדסטו_, _pienemmä, 
   {{0x57a90162,0x961803b8,0xdca80354,0xd2d40270}},	// [5be0] _دوستانە_, _ءادرىسىم, _قورقۇپ_, _theoria_, 
   {{0xcb6102ff,0x437b02f6,0x03ac03a4,0xcf3e0178}},	//   _anseyman_, _mabagal_, _toppin_, _कौटिलीय_, 
   {{0x090500a2,0x7eca00e6,0xfe950758,0x00000000}},	//   _kuwasaid, _中华人民共和国反, _avumelan, --, 
   {{0x0342055f,0x79e403ee,0xb95e009a,0x366b00e6}},	//   _gereken_, _osnovana_, _elingase, _浙江省质量技术监, 
   {{0xff4000af,0x73400270,0xc5be004e,0x93ce03e0}},	//   _thermoka, _haberea_, _kabayloh, _enovos_, 
   {{0x1e9f024d,0xedb103f2,0xd85f0205,0xda9b0195}},	//   _abamalun, _tunnetaa, _hakamlar_, _lachlann_, 
   {{0xced90346,0x4876012b,0xe39d02f0,0x3a3000ee}},	//   _babylone_, _gimnazju, _angabanj, _станцаар_, 
   {{0xfe8e001a,0xa3cc00b7,0xc38a000a,0x25860320}},	//   _látogató_, _alamançy, _amigaruj, _mbhendlh, 
   {{0xe302017e,0x9ddb0214,0x1ecc033c,0x0c09013b}},	//   _redaktu_, _abakwala, _ambiwlan, _kompara_, 
   {{0x24080231,0x833b0287,0x8ac703b6,0x0417002b}},	//   _onlinesk, _prevenci_, _jànmán_, _সোবহান_, 
   {{0xca21044f,0x77a80065,0xeca0009a,0x00000000}},	//   _bercerit, _thematik_, _ekhobonq, --, 
   {{0x2c820265,0x0b7403cf,0x969705e8,0x82d8029e}},	//   _nicegood_, _devamını_, _thutamah, _nemeti_, 
   {{0x443705c7,0x4e370132,0x531f00e1,0xdc43051a}},	//   _habayeho_, _feladata, _diogué_, _percatur, 
   {{0x325b00a5,0xf52401f7,0xdd2f002b,0x00000000}},	//   _faeloa_, _amagatal_, _চানাচুর_, --, 
   {{0xb34201c4,0x02b4022e,0x1ecc0238,0x39d00043}},	//   _bereken_, _grecu_, _основним, _akitunuu, 
   {{0x169b01db,0x95cd02ac,0x70130128,0x03420373}},	//   _اتاۋلىنى_, _وقمصان_, _футболга_, _dezerto_, 
   {{0xa3480781,0x450d0148,0xce56016d,0x2f9802ba}},	// [5bf0] _vijesti_, _搶救雷恩大兵_, _растини_, _темури_, 
   {{0x238703ff,0xe47f0039,0xd26d043a,0x296d0085}},	//   _staré_, _papereko_, _nivod_, _korianat, 
   {{0x7354028b,0x98010212,0xf8890252,0x7db5004b}},	//   _venenos_, _temporis_, _mashandu, _dititifa, 
   {{0x125a0229,0x16ae00d1,0xedce0211,0x3642012a}},	//   _ikincisi_, _যোগাত্মক_, _живет_, _informow, 
   {{0x39ce026f,0xe9da0217,0xf29004b3,0xe7880193}},	//   _بابامنىڭ_, _confidit, _briant_, _नागरिकत्, 
   {{0x025a0274,0x420004ee,0x77bd04f9,0xe43702fc}},	//   _skildi_, _malite_, _artukkii, _babayeho_, 
   {{0xc2d902a0,0xbfaa00e6,0xdc1b0344,0x00000000}},	//   _mjeeji_, _哈尔滨工业大学_, _illaruar, --, 
   {{0xd3960515,0x91ad0287,0x9e590420,0x9200014e}},	//   _bursas_, _televizí_, _верници_, _vulinu_, 
   {{0x22bb003e,0xa2fc0013,0xca7d0103,0xa23602fa}},	//   _bolelwe_, _mingga_, _arwarisa_, _ataje_, 
   {{0xd7b60044,0x6c1101b3,0x535b06a2,0x00000000}},	//   _entering, _академію_, _rungana_, --, 
   {{0xd09704c7,0x65e303f8,0x9c16007e,0xe46700ec}},	//   _времена_, _chuchpuh, _बिल्वपत्, _дадайце_, 
   {{0xb58803dd,0x4633011a,0xd26c0020,0xb9500039}},	//   _pacientë, _maximizi, _minoi_, _askorent, 
   {{0x45d00030,0xc20001e8,0x70570058,0xf8650080}},	//   _augustā_, _salive_, _pakazeto, _europamu, 
   {{0xbefb03e7,0x52fc034d,0x00000000,0x00000000}},	//   _provence_, _hingga_, --, --, 
   {{0xf2e7012b,0x9d9b02d6,0x33f00108,0xa0820299}},	//   _बलबिन्दर_, _masofada, _buleneng_, _رېمۇنتچى, 
   {{0x0c6404dc,0x4bef01ad,0x70d700bb,0xe980030f}},	//   _ترکییه_, _undersec, _کرغیزستا, _puhihuia_, 
  
   {{0xe2000159,0x9de801bd,0xc2b4002e,0xa50e0230}},	// [5c00] _galite_, _бюджетті_, _srecu_, _resolisy, 
   {{0x83eb0108,0xcf820153,0x48a7023e,0xba420046}},	//   _harti_, _お召し上がり方_, _زورکی_, _condemna_, 
   {{0x06810251,0x75dd022f,0xd41b0076,0x00000000}},	//   _قبرستانا_, _залях_, _отидов_, --, 
   {{0xe3ce002e,0x73870092,0x331b0291,0xdb0701db}},	//   _kakvim_, _sparet_, _folcadh_, _ىشەمىز_, 
   {{0xe2b40046,0x6061023c,0xd27400cb,0x6dfa048a}},	//   _grecs_, _منظرې_, _akusekel, _жіпке_, 
   {{0xc3aa02d9,0xe14200c5,0x49db00d4,0x628e0129}},	//   _agavale_, _市劳动和社会保障, _appelske, _izikiel_, 
   {{0x2a490321,0x2dd20204,0xbbe0026c,0x54650042}},	//   _nobenega_, _отели_, _ascender, _perdendo_, 
   {{0x94430046,0x721c00b0,0x4380012e,0xa26c000f}},	//   _ئزىلدۅۅ_, _bishii_, _citrom_, _sinop_, 
   {{0x52ea021e,0x694e007e,0x12ca0369,0x2eb0017a}},	//   _mannens_, _atilohit, _tailani_, _axhumane_, 
   {{0xc2ca03de,0xc5330082,0x718902f7,0xe756016f}},	//   _nceda_, _jahiliyy, _dipapetl, _суверені, 
   {{0xbbbd0056,0x32fc0249,0x1db30285,0x127a00d9}},	//   _amakhono_, _fingga_, _badafite_, _брониров, 
   {{0x43c8025b,0x43070120,0xa22a01df,0x53390371}},	//   _susvim_, _kalaluh_, _climmed_, _лакомств, 
   {{0x72d80782,0xd31003c3,0x82cb03db,0x00000000}},	//   _imeel_, _oruzje_, _obude_, --, 
   {{0x49f70074,0x71850024,0xae560222,0x33400015}},	//   _palautet, _তিৰোতা_, _semblait_, _cubeyda_, 
   {{0xffd60627,0x13f904b2,0xfc1203ef,0x99d301ac}},	//   _councilo, _magulo_, _amapaji_, _lialanna_, 
   {{0x9c74018d,0xb2e10370,0xe9c700a7,0x2eb000a8}},	//   _መጽሔታት_, _barungah_, _бачабаз_, _cuvertas_, 
   {{0x03f4063e,0x439800b3,0x724802dc,0x8ed70093}},	// [5c10] _sustav_, _халатлар, _teima_, _вийначу_, 
   {{0x50970046,0xef2301e1,0x28630210,0xabda0060}},	//   _сирияда_, _boleloan, _akanyand, _сапарынд, 
   {{0x228e002a,0xcb620203,0xceea0292,0x28b2034c}},	//   _ezikiel_, _bibliotc, _rockston, _anatolev, 
   {{0xf2e80278,0x4fc2046f,0xf9d30113,0x6e530227}},	//   _dicipta_, _ciaooooo, _bialanna_, _meraguka, 
   {{0x6fd702cb,0xce79027b,0xb200043a,0xd585023c}},	//   _najteže_, _abruvaṃ_, _kaliet_, _سنګاپور_, 
   {{0x09e70004,0xf2d800e1,0xb14c0039,0xb2d80182}},	//   _gregorye, _ameel_, _уртасгах_, _hinedu_, 
   {{0xd2ee037f,0x8abf005e,0x735404a7,0xa75f0311}},	//   _verilib_, _ﺳﻪﺋﯘﺩﻯ_, _penedos_, _ምክእኣልን_, 
   {{0x3be8023d,0x72fc040b,0x363f0135,0xa396005b}},	//   _utilizzo_, _lingea_, _safiulli, _tetsuo_, 
   {{0xca0504d0,0xeed400be,0x43490476,0x67c2002b}},	//   _begsingq_, _اچپاسا_, _airevei_, _অবিরত_, 
   {{0xd3ea0245,0x6e4b04d8,0x654000aa,0xb2bb001c}},	//   _lanten_, _balanqaa, _farhrenh, _fomeque_, 
   {{0x0c28023c,0xff3e061b,0x12470125,0x62cb016b}},	//   _خيانت_, _चिनियाँ_, _делалаты_, _maudu_, 
   {{0x4e1402a3,0x937801e8,0x52b4015c,0xd29201d2}},	//   _hedendaa, _bakakon_, _freck_, _aysana_, 
   {{0x715e0411,0xbd31017f,0x0349008b,0xc20000cd}},	//   _høgskole, _aktianit_, _fireeti_, _bulieu_, 
   {{0x63860370,0x747c0485,0x125b03a4,0xb254008f}},	//   _ngora_, _øjeblikk, _hjalti_, _उठाइले_, 
   {{0x58e902f6,0x85bc0092,0x12020125,0xff34002b}},	//   _pangungu, _昨日の訪問者数_, _netije_, _কমিয়ে_, 
   {{0xb3ea00ad,0x030205c2,0xa2cb0476,0xb292036d}},	//   _janten_, _mulandu_, _abude_, _botail_, 
   {{0x524a004d,0xbe460115,0x53ea022c,0x00000000}},	// [5c20] _formae_, _paramuga, _danten_, --, 
   {{0x32b401d9,0xdf96005e,0x5d8a022c,0x00000000}},	//   _dreck_, _ﻫﯧﺴﺎﺑﻠﯩﻨ, _autocova, --, 
   {{0x328401da,0xcdd10476,0x2d1b0037,0x8c3d005d}},	//   _ምንስቴር_, _akakanga, _የዶክተር_, _ikarẽ_, 
   {{0xa2e1033a,0xcb8303c2,0x92d4033d,0xccf8060d}},	//   _minnhom_, _stonewor, _boudaw_, _इन्सुलिन_, 
   {{0x62ca0077,0x1e37038e,0x04660297,0x23950315}},	//   _kondit_, _kedapata, _etnosäya, _icashe_, 
   {{0xdd0d016e,0x32ca0377,0x72cb0256,0xa02b030d}},	//   _arkadaşı, _conditii_, _naudu_, _studiomo, 
   {{0x020000ce,0x6c0903d9,0x3dfb0151,0xb6ac0153}},	//   _natirelm, _mompera_, _abnegate_, _インデックス_, 
   {{0x93860520,0x12b40497,0xe08d0044,0x6ed4015e}},	//   _agora_, _breck_, _מבחוץ_, _келишими, 
   {{0x42cb02d5,0x90490013,0xb2b400f0,0x9ebc0045}},	//   _kaudu_, _кесилди_, _orech_, _спорова_, 
   {{0x53d501db,0xd2fb0287,0x5a0a0247,0x13070108}},	//   _ايىرىقشا_, _जीवनप्रभ, _antasena_, _balabuh_, 
   {{0xb60b028e,0x6d9b0102,0x3bd10033,0x69c20109}},	//   _kolektem_, _wastaafu_, _aventüra, _शेरचन_, 
   {{0x32360003,0xd3860225,0x32b403d5,0x97480156}},	//   _vrije_, _egora_, _treck_, _ממעזריטש_, 
   {{0xd2f40392,0xf1660040,0x107d0060,0x22fc0177}},	//   _airneis_, _ריקודים_, _нарсе_, _патрисиа_, 
   {{0x123601c6,0xe2cb04cf,0x7eeb018d,0x0056027c}},	//   _trije_, _ubude_, _ሕውስዋስ_, _شفيقه_, 
   {{0xc3ce0357,0x02b400ca,0x38e0008a,0x02da0050}},	//   _alevu_, _drech_, _faosiliv, _bareto_, 
   {{0xbad50135,0x99710036,0x3bdb0178,0x8387000e}},	//   _zamança_, _ومنوعات_, _amarṣaḥ_, _aparit_, 
   {{0x1afb02e0,0x4a0a0178,0xec620009,0xb2cb0079}},	// [5c30] _arogants, _antarena_, _izbrane_, _baudu_, 
   {{0x5da9012b,0x7ae50191,0x32910256,0x32b402a8}},	//   _zapomnia, _spelaren_, _prakses_, _grech_, 
   {{0xde730024,0x27aa02b6,0xd6aa0553,0xe95500be}},	//   _স্বয়ংক্ৰ, _تارتادىد, _upozorní, _دىعىڭارد, 
   {{0xdb3d000d,0xeba40348,0xca9a01b8,0xead20429}},	//   _stabiils, _amakomer, _teenimis, _portalte, 
   {{0xbc610005,0xca910092,0x3ec202c6,0x90850350}},	//   _insumma_, _中古車検索_, _bennaenn, _ለፍጥረት_, 
   {{0x3ac503a2,0x52c80333,0x9f620162,0xa89f019b}},	//   _पारलैंगि, _rivolte_, _йолумни_, _спрабава, 
   {{0x959103e8,0xe8d10264,0x33650006,0x328c01d2}},	//   _prispevk, _regensbu, _berguna_, _awakata_, 
   {{0xb0530107,0xee1d0193,0x8e5001df,0xe3940134}},	//   _شانسی_, _bepergia, _caratula, _kérin_, 
   {{0x97c70302,0x524a019a,0x00000000,0x00000000}},	//   _радиои_, _formit_, --, --, 
   {{0xd23604a8,0x424801ef,0x7e710128,0xd62c00ee}},	//   _prije_, _seimo_, _حساسیتلر, _omenaldi, 
   {{0x623d03cf,0xf95004a5,0x4ab5016a,0x93ce017a}},	//   _altyapıs, _ekulunge, _alteriĝa, _amawindi_, 
   {{0xdea30003,0x75890121,0x7cf2019a,0xee8b0137}},	//   _meerdere_, _auditorí, _hyndland_, _авгайн_, 
   {{0x34860366,0xa84701f4,0xee450071,0x9d0300bb}},	//   _партию_, _қаратиб_, _asmaraga, _اگراس_, 
   {{0x72f1057c,0xadbc00cb,0x7c9d051a,0x530000b2}},	//   _bøger_, _ahlazise_, _isterimu_, _galaati_, 
   {{0x725501a2,0x4ec50061,0x252603a2,0xd3730348}},	//   _zāles_, _이메일무단수집거, _विज़ेट_, _banaffe_, 
   {{0xe380019a,0xc20706d9,0x0dfa0049,0x23ce03db}},	//   _antrim_, _etnográf, _havehave_, _bomvu_, 
   {{0x798e0152,0x541a0061,0x4cd602ea,0x0eb40322}},	// [5c40] _рамис_, _받아들이고_, _укрепван, _atarenze_, 
   {{0x12da023b,0xe14f0087,0xdae003c9,0x9227015e}},	//   _tareso_, _mapfukel, _returret, _каниет_, 
   {{0x42d80455,0x606c040f,0x5e5703d0,0xba1800cb}},	//   _anneau_, _ignalino, _istarske_, _аслов_, 
   {{0x5c6f0408,0xeaac004d,0x62e600ce,0x73440066}},	//   _ratrema_, _他首次以國家副主, _nennenn_, _dezente_, 
   {{0x521c0314,0x8f5b02ec,0x90f700c1,0x744d004b}},	//   _motheo_, _ramadaan, _समोरून_, _вазифаға_, 
   {{0x1c1c049f,0xd30601cc,0x028d0362,0x3c6001d7}},	//   _wokulwis, _मिलित्वा_, _bankoko_, _sistems_, 
   {{0xb9500010,0x6d81008a,0x33bd0188,0x1e490033}},	//   _akulunge, _lupelupe_, _балхӣ_, _aviatica, 
   {{0xb35600c5,0xa4dc00e6,0x16c700bc,0x548a028a}},	//   _均转载自其它媒体_, _香港迪斯尼乐园之, _aswamedi, _alifarik, 
   {{0x5417002c,0xeea9008d,0xcd3400d0,0x00000000}},	//   _begiratz, _россияни_, _индексий, --, 
   {{0xca01002b,0xd341033a,0xa37f0216,0x00000000}},	//   _বরেণ্য_, _hardwer_, _malahla_, --, 
   {{0xc84301c4,0xd38b0420,0xd3a20486,0x59670195}},	//   _vermeerd, _mário_, _klipem_, _sleibhte, 
   {{0x179501cd,0x526c0783,0xdacb0026,0x6bd101b3}},	//   _шунида_, _kinos_, _sommigen_, _оболонь_, 
   {{0x2cf20224,0x52cb0062,0x426c0179,0xf3860663}},	//   _myndband_, _biloyha_, _jinos_, _ofori_, 
   {{0xc613024b,0x6c04029e,0x03e3028e,0x29500143}},	//   _violenci, _argroaz_, _sekretri_, _ascoltat, 
   {{0xc3eb0230,0x73eb0259,0xe3e901e1,0xc5b9018d}},	//   _partu_, _marts_, _премияһы, _ተጓዓዝቲ_, 
   {{0xa387012a,0xf2ef0007,0x320002af,0xddbd0226}},	//   _oparte_, _mahimma_, _palipe_, _kumalire_, 
   {{0x67c30088,0x00000000,0x00000000,0x00000000}},	// [5c50] _мурсинин_, --, --, --, 
   {{0x69e900c8,0x203f0250,0x90420192,0x5db3029a}},	//   _талантта, _historin, _등록됩니다_, _kalamite_, 
   {{0x39c501fc,0x025b027e,0xc35f0349,0xc9e90152}},	//   _dilleyta_, _žalim_, _amiejay_, _diñgeze_, 
   {{0x09c10289,0xec3f01fe,0xe73a0297,0x538602a0}},	//   _akamaona_, _ganiklau_, _alasızmı_, _efori_, 
   {{0x626c0044,0x8f2c0074,0x0395001d,0xffb704da}},	//   _minor_, _numeroin, _avesol_, _suglasno, 
   {{0x12d902f0,0x625b023d,0xc98000e3,0x8bb100d9}},	//   _sabelo_, _scelta_, _debitame, _эксперты_, 
   {{0xc5b9002f,0x43fe0085,0x586c00da,0x9a03004f}},	//   _achakach, _donumaki_, _рпуриу_, _eskaliye, 
   {{0xc349029b,0xd2e800b7,0x9a8802f3,0xa248019b}},	//   _alseeri_, _dikilen_, _händerna_, _seime_, 
   {{0xf2b503ec,0x0fd90151,0x96d7004d,0x93940261}},	//   _protestë_, _alongsho, _不知道版友們覺得, _celsio_, 
   {{0x52c30420,0x6ab504eb,0x526d0032,0x001a0311}},	//   _непотреб, _गाईड्स_, _livon_, _ብዝነበረ_, 
   {{0x9ac4017d,0xb37f01ed,0x0db700d4,0xb2010059}},	//   _質問をみる_, _malaila_, _langstme_, _ambiti_, 
   {{0xa928033b,0x594f0405,0x6dfc00db,0xcff001bb}},	//   _gammalwa_, _адресою_, _kindlalt_, _aýypland, 
   {{0xc3eb02a4,0x71d10462,0x6c260320,0xec750109}},	//   _barts_, _aireclay_, _majambur, _तिघ्रा_, 
   {{0x8b820024,0x026c0173,0x55b703ad,0xb3ea00d1}},	//   _মূলতে_, _vinos_, _dispoziz, _ঠাইডোখৰ_, 
   {{0xec760417,0x73eb05ad,0x5e1c0032,0x16c30285}},	//   _verslag_, _obrta_, _kyrgysta, _badashyi, 
   {{0x8e3a027f,0x5e7101c8,0x9c010181,0x5b87002b}},	//   _batakara, _okrasné_, _falster_, _খুজতে_, 
   {{0xac6f005c,0xeee90655,0x7f7d02c0,0x596301ff}},	// [5c60] _afurika_, _diskutan, _проектна_, _čistiaca_, 
   {{0x1db301b9,0xa3870244,0x5ce40211,0x86b20156}},	//   _kalamiet_, _andrà_, _себестои, _אַשראַף_, 
   {{0x186800bc,0x32ba0133,0x679b0411,0x6c520177}},	//   _ويديو_, _asidoni_, _автошоу_, _роураны_, 
   {{0x503702f9,0x790400fd,0x7e3400f1,0xa85a04e5}},	//   _masteran, _argamaid, _ilegalma, _abenjawu, 
   {{0xe4bc00e6,0x76cc0408,0x45ad00e5,0x00000000}},	//   _英文字母图案_, _hamasini, _насоката_, --, 
   {{0x035b0288,0xa3410333,0x029003ac,0x206000f6}},	//   _mungana_, _orrenda_, _gaharu_, _hakimlik_, 
   {{0xa19f01ef,0x22c801c5,0x03eb0005,0x83df0020}},	//   _жменька_, _faroole_, _varts_, _olemipek, 
   {{0x30f40046,0xd6dd01cc,0x6ba400aa,0x3a9400c7}},	//   _алтынды_, _मारिष_, _artikilo_, _беларусл, 
   {{0xf380013f,0x4364034c,0x93440116,0xb26c01da}},	//   _fourek_, _iserekkä_, _pridefu_, _rinor_, 
   {{0x0ba70193,0x63f800d2,0x73ea0605,0xb2d80219}},	//   _मानतात_, _umbul_, _zantan_, _emmeli_, 
   {{0x9b6501f5,0x1bb801a3,0x82f3013e,0x6fb3019e}},	//   _tertunda_, _دائودپوٽ, _najomilj, _багінскі_, 
   {{0x535b00a9,0x4ec40159,0x41e101b8,0x02ca0039}},	//   _bungana_, _panemunė, _दौंरी_, _zaidan_, 
   {{0xa3eb03b2,0xa2fd00c3,0xd2820361,0x41480014}},	//   _parts_, _civitas_, _текстиль, _pantallo, 
   {{0xd84a00c7,0xe79700da,0x764802da,0x271d0177}},	//   _актуаль_, _диспуне_, _funcioná, _зихыххом_, 
   {{0x564300eb,0x312b005e,0x305f00c1,0xa9fb01fe}},	//   _mpanyinf, _ھەرپلىرى, _seminyak_, _tokaruat, 
   {{0x6e3a02f6,0x1a7c0239,0x8edd0139,0x4efe0137}},	//   _patakara, _hangahia_, _apsarāṇā, _мөхөөлдө, 
   {{0x02d802bc,0x92010170,0xb2900456,0xf26d0261}},	// [5c70] _byneng_, _ambiri_, _baharu_, _vivon_, 
   {{0xb2740673,0x3eea01d2,0xc3100227,0xf3ce0009}},	//   _okusekel, _anchatas_, _membisu_, _dneve_, 
   {{0x10f101b7,0x63870365,0x6f1204bc,0xc9cc034a}},	//   _धातवः_, _povrch_, _jølster_, _vermella_, 
   {{0xfbe704dc,0xb2480224,0xf3410163,0x03790172}},	//   _براده_, _heima_, _کنعان_, _kasakoa_, 
   {{0x996303f1,0x75a900d9,0x0ae80126,0x6a910014}},	//   _čistiace_, _растворо, _значною_, _aksionin_, 
   {{0x03530374,0xa2420157,0xec670227,0x421300d6}},	//   _کهزاد_, _बंगले_, _ilmunya_, _righin_, 
   {{0x13ea017d,0x929200af,0x9a530045,0x535f0092}},	//   _tantan_, _frakter_, _izmenama_, _byggede_, 
   {{0xe396000d,0x075901de,0x239600cd,0x00000000}},	//   _kursis_, _جوندەپ_, _barsar_, --, 
   {{0x92fc007f,0xd3ab03ee,0x72b40033,0xf60e0171}},	//   _blogio_, _zapadnog_, _epocas_, _razotkri, 
   {{0xc2920271,0x245d0076,0x9a120278,0xa75800e4}},	//   _antall_, _alteraçõ, _membabit, _दृश्यता_, 
   {{0xcbea0445,0x42c200a5,0xa3500109,0x31d201de}},	//   _encontro_, _maelega_, _उस्ले_, _экранның_, 
   {{0x94ea0037,0xb219018c,0xf9f10188,0x71a400c1}},	//   _ኤርሚያስ_, _flexibel, _amandhla_, _क्षमापत्, 
   {{0x2365022f,0x708e01a3,0xd2fc018a,0x162a00ec}},	//   _mergina_, _اسٽوري_, _flogio_, _snaiperi, 
   {{0x2289015b,0x0bea02ea,0x92000073,0xce4802ac}},	//   _bataflai_, _incontro_, _vadite_, _نينوى_, 
   {{0x5c90008d,0x02c10258,0xbd0b0040,0xcc2200b5}},	//   _یاپیله_, _bijlsma_, _disregar, _febreris, 
   {{0xa5880276,0x386800ef,0x252a0092,0x0499018d}},	//   _ژورنىلى_, _ديويد_, _総合行政ネットワ_, _ኣከፋፍላ_, 
   {{0xa76f0255,0x3da60235,0xba89004a,0x48b300e6}},	// [5c80] _टिप्पनी_, _athodaka, _сайланма, _文件集浏览_, 
   {{0xd20001c6,0x52ef029b,0x02830223,0x934f012e}},	//   _talint_, _forfe_, _сулардаг_, _dzsemek_, 
   {{0x78d3008f,0x72310332,0xbd370022,0x2f8d03ff}},	//   _विंटर_, _hermosa_, _бизнесы_, _plátno_, 
   {{0xbc0e0066,0x739400bd,0x12620205,0xd19c02b6}},	//   _архангай_, _ghosh_, _аврат_, _تالاسپاي_, 
   {{0x1ff001af,0x822b030f,0x12ca0211,0xf152026d}},	//   _aýyplany, _kākoa_, _maidon_, _obilniny_, 
   {{0xb2d800f4,0x9fd7027b,0x00000000,0x00000000}},	//   _askell_, _आश्चर्ये, --, --, 
   {{0x81a1002b,0x00000000,0x00000000,0x00000000}},	//   _ক্ষয়ক্ষ, --, --, --, 
   {{0x02c40222,0xc39404ce,0x59de019a,0xdade030f}},	//   _vendredi_, _khosi_, _douglase, _ngatahit, 
   {{0x23290036,0xcf3303b0,0x92d80265,0x118903d9}},	//   _وإبلاغات_, _endringa, _bleef_, _ambarany_, 
   {{0x0b09015e,0x9b6700a7,0x437a0343,0x9ba80012}},	//   _comparte, _esquerra_, _kasayon_, _शाहंशाह_, 
   {{0x03eb01d1,0x120b027b,0xc2c3008a,0x88e10784}},	//   _party_, _asthīni_, _mauluga_, _retskriv, 
   {{0xfa39045e,0x89790061,0xf08c02ac,0x32c300dc}},	//   _предстоя, _캠퍼스워십_, _ريموووو_, _lauleva_, 
   {{0xdad30478,0x838200e0,0x92e50107,0xef310025}},	//   _centaure, _keizers_, _anindya_, _केन्द्रे_, 
   {{0x9f3b00c1,0xbb2a0387,0x0c2a0200,0x18350137}},	//   _mengomen, _anabatab, _anabatar, _дуобус_, 
   {{0xf32200a7,0x2394027b,0xeadf013b,0x1bf4021e}},	//   _tercers_, _ahosi_, _bitterfe, _gustavss, 
   {{0x52310260,0x770b0086,0xa9da00cd,0x1a8b009a}},	//   _fermosa_, _کھیوڑہ_, _bellezia_, _belihlab, 
   {{0x725b00f3,0x4f8c03af,0x00000000,0x00000000}},	// [5c90] _acelwa_, _prophète_, --, --, 
   {{0xa3e0027b,0x86b70058,0x34fd0208,0xd32202ef}},	//   _महाभारतम, _lafabeti, _رجاده_, _karyč_, 
   {{0xb123032e,0x0d9a00e7,0x68e40126,0x0e5004fb}},	//   _kikipaña, _amineswa, _платіж_, _ensambla, 
   {{0x625a03dc,0xb87700db,0xb2f601b8,0xd274004d}},	//   _skilji_, _muinasju, _sobilik_, _除不盡餘數於第一, 
   {{0x4cf601db,0xb25b00de,0x3e4702af,0xed0f0405}},	//   _протон_, _ecelwa_, _harabuze_, _avlogget_, 
   {{0x887d0203,0x122d0035,0x5f7a026f,0x01620365}},	//   _geopages_, _подписна, _يمەكەڭنى, _prostudo, 
   {{0x5876004a,0x70890147,0x2a6c02f3,0xe57c015f}},	//   _смска_, _تۉشوبۉز_, _favorits, _gandryll_, 
   {{0x6957020f,0x1b650294,0xc2fd02cd,0xf22b031d}},	//   _اورښت_, _bubunasa_, _anniyar_, _calmane_, 
   {{0x593b018b,0x52f600c8,0x00000000,0x00000000}},	//   _asemenea_, _benghali_, --, --, 
   {{0x135900a7,0x6dd703d2,0xc15b00fd,0x43220077}},	//   _actuació_, _obojstra, _chinnich_, _baryč_, 
   {{0xa200048f,0x533a002b,0x820000df,0xd0b8048a}},	//   _salite_, _সপ্তাশ্চ, _balise_, _كەڭەس_, 
   {{0x22480101,0x9f2200b8,0xf2ca0167,0x3b8f0311}},	//   _seama_, _tuqurusa, _anedig_, _ድንግልና_, 
   {{0xd3ce0119,0x9d9602d5,0x89020012,0x730d001b}},	//   _galvez_, _poolfina, _दइबोउदेव_, _goobana_, 
   {{0x47ad02d6,0xe1e20187,0x7fc90152,0x52e100e4}},	//   _انجیلینا_, _властите_, _tariflar_, _दिखीं_, 
   {{0x52670162,0xcc700160,0xca6200b4,0x993c01db}},	//   _районда_, _nagradu_, _костат_, _جەڭىمپاز, 
   {{0x1c160077,0x845e0130,0x00000000,0x00000000}},	//   _abstrè_, _gendiviz, --, --, 
   {{0xce530057,0x2f26034c,0x294c036d,0xc1d90130}},	// [5ca0] _kurangka, _aprelenn, _cytoecet, _boniadoù_, 
   {{0xbb680415,0xa95002e7,0x085901af,0x027e0054}},	//   _immerhin_, _dukoment, _arwahlar_, _chinar_, 
   {{0xa5880122,0x51190004,0x3d3500ba,0xc033024e}},	//   _ژورنال_, _elevasyo, _نۆکیای_, _počinili_, 
   {{0x43540434,0x23ea0116,0x22ca0307,0x3a76028b}},	//   _tenemos_, _wanton_, _ebaleni_, _рыцхыраа, 
   {{0x35e60036,0x2ac90019,0xc20000df,0xbc7703b0}},	//   _باللون_, _капустан, _valise_, _aktsemd_, 
   {{0xe14000ca,0xe27203fb,0x8b640176,0xde470322}},	//   _arrecuel, _oporavil, _furuhata_, _barabuze_, 
   {{0x4a8a03cf,0xcb2601f9,0x5d3900ca,0x00000000}},	//   _istiyors, _ingachub, _chapadur, --, 
   {{0x8e3c042f,0xd5b90294,0x48ee004a,0xf2c6019b}},	//   _nalunaiq, _achalach, _радионың_, _зьезд_, 
   {{0xe3cf0005,0xb48800b7,0xd94a045b,0x0c7400b9}},	//   _nouva_, _batgalyk, _bokmerke, _अँग्री_, 
   {{0x6291054f,0x3b8d000c,0x4db30050,0x8812002b}},	//   _guyane_, _incienso_, _sumanget_, _ইজ্জত_, 
   {{0x395604f9,0x20e000c1,0xd27f023e,0x92000428}},	//   _aallarne, _भेटीची_, _dhanar_, _juliju_, 
   {{0x9c87014e,0x48110352,0x26e90281,0x5f2b0272}},	//   _правни_, _কলেজত_, _ammasarf, _balunnya, 
   {{0xe3f0046d,0x28f002e5,0xc140040b,0xd9e4033f}},	//   _hulumeni_, _аматериа, _tandulul, _konokona_, 
   {{0x2e6e0076,0x7d8b01ad,0xe4480207,0xed2f020f}},	//   _споменат, _osterode_, _بوتلون_, _bangamaq, 
   {{0x6eec01ef,0x2f77019a,0x134a022e,0x0eb90161}},	//   _mergaitė, _conceits_, _agnellu_, _мониторы_, 
   {{0x426c014b,0x3273068b,0x22eb02af,0x00000000}},	//   _manot_, _lånte_, _biringo_, --, 
   {{0x326c04ea,0xe2150071,0x82000244,0x46b601f0}},	// [5cb0] _lanot_, _توطئه_, _salire_, _golegilw, 
   {{0xba010020,0x969801d3,0x4f38055d,0xc2e70334}},	//   _akoakoga_, _arbetsmi, _ampunila, _alinayo_, 
   {{0x21f700bb,0x43050575,0x5be50398,0x429000f4}},	//   _تعارف_, _بومان_, _былжыр_, _begad_, 
   {{0xf84204ca,0x1a1902d7,0xc2fc018f,0xb40e0053}},	//   _lecturas_, _traballa_, _dingba_, _tabrakan_, 
   {{0x360b0320,0x236d0230,0x593f00f3,0xcea40061}},	//   _erhoboti, _lorgani_, _kwamafut, _온라인상에서_, 
   {{0x53440172,0x4fe602ee,0x826400bd,0x50c90037}},	//   _beberee_, _istrateġ, _bauldy_, _በናይሮቢ_, 
   {{0x311802b2,0x88d70354,0xd3040109,0xa26c02ff}},	//   _провінці, _мизани_, _letadel_, _banou_, 
   {{0x0b0601dd,0x098e03bf,0xae5000a2,0x0efc0012}},	//   _agurisha_, _данис_, _kusamehe_, _मिथकन_, 
   {{0xe1fc0334,0x52890314,0xe9440065,0x923602fc}},	//   _akazikol, _boaparel, _herunter_, _araje_, 
   {{0x19ca0479,0x7c600217,0xb30900d9,0x9c5c007b}},	//   _وزیرستان_, _flattar_, _кораблей_, _mautman_, 
   {{0x83f400dc,0x12640630,0x7d190350,0x00000000}},	//   _gustuv_, _tvplus_, _በትንተና_, --, 
   {{0x298e003a,0x69f103c4,0x6316002f,0x9a89020e}},	//   _карим_, _адресиңи, _banzer_, _diporeis, 
   {{0xcb8c000c,0xb2ca02bc,0x5dd40153,0x036e0105}},	//   _escorpio_, _pondit_, _安価となる_, _denerwuj, 
   {{0x57b404f9,0x42c4012e,0xe60900be,0x6c2e0119}},	//   _malugini, _analóg_, _كودەگە_, _pagpakab, 
   {{0xa26d0618,0x67930170,0xf3960498,0xc74e0161}},	//   _nivoa_, _atatitsi, _skusim_, _дрова_, 
   {{0xe083045c,0xd6bb034e,0xd2ca04b8,0xde4000a9}},	//   _poschodo, _achatapi, _saiden_, _yarateye_, 
   {{0x24730409,0xec75013d,0xdc1300f2,0xb23602ff}},	// [5cc0] _kostplan_, _rifuzis_, _regulē_, _guajo_, 
   {{0x526e0073,0x43f40040,0xec680037,0x9eaa00de}},	//   _expone_, _tested_, _ይመለሳል_, _هرصورت_, 
   {{0x52f9014e,0xbed70073,0x53790155,0x73440608}},	//   _потребно_, _abonatos_, _anpassa_, _xerente_, 
   {{0xfb61011f,0x4b970285,0x1fd500be,0xa1b30127}},	//   _asyrýva_, _kurimbur, _буларда_, _baterioù_, 
   {{0x787a055a,0x1d3e004d,0x23860516,0x5373017a}},	//   _nápoles_, _如果聯絡到已出租, _cairts_, _болооби_, 
   {{0x7a420194,0xb5cc0235,0x00000000,0x00000000}},	//   _condamna_, _daityāś_, --, --, 
   {{0x2356003e,0x262a0144,0x841e0013,0x884103ce}},	//   _alafuwa_, _inaistri, _ноконуни, _ڵسوراوان, 
   {{0x23c301e0,0x494a0271,0xa97a005b,0x22d60168}},	//   _کاروباره_, _sammenhe, _casinost, _homofil_, 
   {{0xc3e3035d,0x1ccd00d1,0xe1d200a4,0x05b90213}},	//   _kablovsk, _কলপতীয়া_, _cornellà_, _чистопол, 
   {{0xd04e02ff,0x4a000325,0x923600f0,0x00000000}},	//   _franchiz_, _batareya_, _praje_, --, 
   {{0x52bb0003,0x817c0011,0xd24800fe,0x9b39003e}},	//   _komende_, _babazaal, _peamo_, _газетана, 
   {{0xba1600ea,0x75510002,0x52d8037c,0xc8db022b}},	//   _mikasika_, _prašine_, _homeri_, _skerjing, 
   {{0x6ae4025c,0xb34103dd,0x62e900d1,0xc37903db}},	//   _festgest, _gazeten_, _শিকাৰুসক, _sohambo_, 
   {{0x047c00d6,0xb2fd0373,0x946d018b,0xa2cb03df}},	//   _cartlann_, _dividas_, _expertiz, _raudt_, 
   {{0x1248013d,0x0a470298,0xff6400a8,0x74e302fe}},	//   _teamo_, _parekura_, _segantin, _پاکستانې_, 
   {{0xa07a0321,0x682901db,0x6818015e,0x465a00ec}},	//   _nasprotn, _микротол, _تارقالۇۇ, _ткачова_, 
   {{0x72910160,0x93ea0305,0x0ffa0311,0x6a160183}},	// [5cd0] _pripreml, _diktet_, _ጽምብላት_, _hikasika_, 
   {{0x689700bc,0xcef401c2,0x732900ec,0xd3cf0016}},	//   _کروبی_, _pechados_, _lenkijoj, _pluvo_, 
   {{0xd55300a6,0x53860225,0xfb87003c,0xe656007e}},	//   _afakiwey, _ogoro_, _مختارنام, _asthibhi, 
   {{0x62cb0476,0x794d0130,0x03ce0085,0x322c00bb}},	//   _abuda_, _boutinoc_, _toevu_, _میڈلز_, 
   {{0xe2b504ec,0xd8630210,0xd25b025f,0xd2ca00e3}},	//   _aruca_, _akandand, _ekangisi_, _fondut_, 
   {{0x73860467,0xfda80343,0x00000000,0x00000000}},	//   _agoro_, _maminusa, --, --, 
   {{0xa23801a0,0x43bb02d0,0xd60a03d9,0x0a5800d9}},	//   _boheriwi_, _cravins_, _fotokevi, _pakettia_, 
   {{0xc2f2006e,0x695e01e9,0x3a140226,0x9e9c03db}},	//   _bégge_, _diintase, _bakayima_, _kwemilin, 
   {{0xaaee014d,0x22540012,0x324702ea,0x03f70127}},	//   _beruhige, _रुसेनी_, _бариери_, _hadzaeg_, 
   {{0xb3860387,0x647101e8,0x992b0066,0xeecc0099}},	//   _egoro_, _bantawan_, _salmenta_, _asingaun, 
   {{0xf236018b,0xe96c0008,0x83ea005b,0xab0b02ea}},	//   _grija_, _reciclat, _kantan_, _spostame, 
   {{0xf290007f,0x1c750270,0xdda80277,0x69730189}},	//   _asiant_, _seculos_, _kaminusa, _alkollü_, 
   {{0x39d00125,0x20f101ab,0x936a011a,0x724800db}},	//   _себит_, _खिआवल_, _margins_, _teame_, 
   {{0xec130265,0xa1c3045e,0x5613019b,0xe31600ce}},	//   _betrouwb, _посочи_, _izoliaci, _lokaliz_, 
   {{0x32ca0194,0xb26c02f6,0xfa660177,0xca7c02f6}},	//   _maidan_, _manok_, _аунивирс, _kabanata_, 
   {{0x8e40016d,0x68d602ac,0x0292005a,0x22fe0009}},	//   _ﻗﻮﺷﯘﻟﺪﻯ_, _باسورد_, _espang_, _dogovorj, 
   {{0x7c1d0265,0x563c00b1,0x2286048c,0x5e3802da}},	// [5ce0] _allplot_, _arianism_, _pecking_, _вентил_, 
   {{0xd2f4002e,0x0a6d02ac,0x3b660103,0x630b0335}},	//   _zapošlja, _وتحرير_, _asarirwa_, _aśīryo_, 
   {{0xcdc90046,0x211500f2,0x00000000,0x00000000}},	//   _досторум_, _mūkusala, --, --, 
   {{0x5e770013,0xb14c0262,0x73ea0006,0x5387018b}},	//   _کاردان_, _hormatly_, _jantan_, _aparut_, 
   {{0x14270476,0x599302ec,0xad2b0169,0x331701fb}},	//   _bulawayo_, _چھُکھ_, _পাহাড়ের_, _cancere_, 
   {{0x32fb03db,0xc3560724,0xc5a904ac,0x1a0c00e6}},	//   _kuphela_, _acceder_, _заработа, _农村孕产妇住院分, 
   {{0x82ea0117,0xa0d3040f,0xa7dc00c7,0xa7e3011d}},	//   _disisen_, _класе_, _каналлар_, _москова_, 
   {{0x426c02bc,0xf3480062,0xa0e30059,0x120d0141}},	//   _ianoh_, _dabejdi_, _carneval, _kuchaydi_, 
   {{0xa26c008b,0xce540119,0x8c7502fd,0x22830418}},	//   _banopi_, _bayaniha, _hairich_, _bankaya_, 
   {{0x2dc10177,0xe1390374,0x48f00009,0x3c76028f}},	//   _атанкқәа_, _мазмунда, _podpisov, _kairiri_, 
   {{0x83410172,0x6c3e0045,0x73ea007b,0x2725023c}},	//   _ketewaa_, _признати_, _bantin_, _amamfeng, 
   {{0xf2f50051,0x7bfc039e,0xc3f802e2,0x8ed10145}},	//   _pavisam_, _পৰিকল্পন, _ablute_, _bosnijos_, 
   {{0xeaee0397,0x951801db,0xc2d40417,0x4274026f}},	//   _abadukis, _ластанға, _gordel_, _دوڭلي_, 
   {{0xdd120042,0x18b900d9,0xd6780141,0x0cd100e2}},	//   _guerreir, _оргтехни, _блоглари, _tankwurd_, 
   {{0x006b00c6,0x6b660109,0x4a1a00ad,0xfa16028f}},	//   _станом_, _खरानी_, _arapaleu, _rikarika_, 
   {{0x5e540225,0x2b4c055f,0x844a0188,0xe3eb012b}},	//   _strangle_, _numarası_, _авохир_, _narty_, 
   {{0x269b03d4,0x99f80321,0xdcf60183,0x338603d1}},	// [5cf0] _активне_, _dobavite, _ahatakar, _igors_, 
   {{0xb6010091,0x514104aa,0x9b30048c,0xcec3008b}},	//   _qulliuti, _harlotry_, _arraneyn_, _gornaman, 
   {{0xb3eb021c,0x92da0347,0xee9703b1,0xd9ca0223}},	//   _karty_, _rowers_, _critère_, _aproposa_, 
   {{0x7a030148,0xe5d700c5,0xbaa90061,0x20ea018d}},	//   _paralyze, _房地产门户_, _인위적으로_, _ዝርከቡን_, 
   {{0x0300008d,0xd91d00a4,0x37d70403,0xa2c800f5}},	//   _aylandi_, _сюжеттер, _filankev, _barmaly_, 
   {{0x12fc021e,0x83600161,0xbfeb020e,0xd868012c}},	//   _krogen_, _анимации_, _hanyenan, _ڪيميا_, 
   {{0x49fc00be,0xaae50013,0xc3cf0520,0x6ae20751}},	//   _ايىتسا_, _муслима_, _houve_, _feltarbe, 
   {{0x327e0318,0x62f10587,0x89d400bb,0x2b1303d5}},	//   _atonai_, _màger_, _منگوائی_, _bigginyn_, 
   {{0xfbc70089,0xaddc0708,0x330001f4,0x5a760145}},	//   _башлана_, _abakwama, _zaharli_, _songaila_, 
   {{0x72ee0165,0xd621027b,0x926f0257,0x48fd0188}},	//   _kainaki_, _निधापयेत, _afmarkað_, _angasond, 
   {{0x329000bd,0xe26d035d,0x1a1401a4,0x5d8b0107}},	//   _cloak_, _nivou_, _basadila_, _تيتانيوم_, 
   {{0x324803f0,0xdd7d03c4,0xfa93033e,0xab6c02c8}},	//   _heimi_, _түзгән_, _морели_, _recoller, 
   {{0x9f0b0162,0xb9960149,0xde7a0297,0x00000000}},	//   _истирате, _ụkwara_, _garizası, --, 
   {{0x2d840119,0x42eb0258,0xf2ed0077,0xa2e900cd}},	//   _landshut_, _amtners_, _egzijib_, _antiera_, 
   {{0x93e80420,0xf2260145,0xcc130275,0x12fc02a2}},	//   _devoluçõ, _parkas_, _atusatus, _hangga_, 
   {{0x220203ac,0x3dad0342,0x91d8018d,0x7dd70291}},	//   _masing_, _patisipa, _ብዝተዓጻጸፈ_, _تفتتح_, 
   {{0xd50c0040,0x120202a2,0xbedd0287,0xc27e0202}},	// [5d00] _והחנון_, _lasing_, _situacíc, _ironsi_, 
   {{0xc3f40193,0xd2480467,0x1b190057,0x5d960203}},	//   _partai_, _neama_, _meraikan_, _bellsona, 
   {{0x5e330510,0x89fb0241,0x1fda02d6,0x00000000}},	//   _ножницы_, _ganamaat, _archalar_, --, 
   {{0x7ccd01b6,0x427e048c,0xfc630139,0x526c028f}},	//   _מבריק_, _akiner_, _aśucir_, _pukoro_, 
   {{0x48dc01b6,0x9bed00ac,0xa2d5023e,0x31880094}},	//   _يشفيك_, _keramičk, _bebojon_, _شولىمىز_, 
   {{0x02020140,0x651c020e,0x7bae00a6,0x62e10321}},	//   _kasing_, _dikomish, _bophando_, _letnico_, 
   {{0xc16201ce,0x82120311,0x284d00c1,0x326d019a}},	//   _احساسی_, _shohin_, _alumuniu, _divot_, 
   {{0x6e9c00ee,0x15da003c,0x0059026f,0x9ae401e7}},	//   _алдартай_, _بروجردی_, _سۇلبالار, _festzest, 
   {{0x17e104d8,0x1c48008d,0x09d1001c,0x1eb4020e}},	//   _بیچارٕ_, _айланиши_, _vogelsbe, _hlaselwe_, 
   {{0xf3f4007f,0x02f00120,0xbccc0102,0x6379035d}},	//   _ofsted_, _boliisi_, _رڪنيتي_, _istakla_, 
   {{0xa29e03c4,0x53ce0192,0xfab70206,0xb3090485}},	//   _нишан_, _lieve_, _tradične_, _foregå_, 
   {{0x5adb0166,0x71bb0147,0x471102ac,0xe0f00631}},	//   _bestimmt, _تۉلبۅيت_, _لجهازي_, _ufrivill, 
   {{0x107d00ec,0x3387012c,0x024803c2,0x19f403f1}},	//   _марсе_, _taarab_, _adamr_, _valút_, 
   {{0x83f401b8,0x52a0004c,0xf9b8018e,0xb4520294}},	//   _testid_, _akubye_, _holeriwa_, _chejjnik, 
   {{0x00000000,0x00000000,0x00000000,0x00000000}},	//   --, --, --, --, 
   {{0x4c620334,0x49f70009,0xfbfc0422,0xed120272}},	//   _kafungo_, _prenosna_, _dosledno_, _beerabir, 
   {{0xa9ee02d4,0xf4130238,0x2d900017,0x8ea50486}},	// [5d10] _abitaziu, _туристів_, _राज्यनीत, _प्रकृतिल, 
   {{0x9f9e03c4,0x92140097,0x40b80060,0xd3ce00ec}},	//   _комитети, _darajulọ_, _كەنەت_, _dieve_, 
   {{0x553a0193,0x9a7c03ba,0xbc9200c1,0xcaf60287}},	//   _हिमालयाच, _rabadata_, _एकदोन_, _यहाँहरूल, 
   {{0x427e01d4,0x5be70209,0x0b1800ea,0xcbed0198}},	//   _pronti_, _katersor, _naughtyb, _keramičn, 
   {{0x598e0013,0x3c19007b,0x620000b7,0xf236030e}},	//   _харид_, _wrinkled_, _bilime_, _auaji_, 
   {{0xae2a0125,0xbaf60287,0x1316003a,0x02fc01f4}},	//   _билдирме, _यहाँहरुल, _manzur_, _jangda_, 
   {{0xc3ea036e,0x50720013,0xd96f0388,0x223601a3}},	//   _kantun_, _unchalik_, _опознава, _usije_, 
   {{0x43ea008c,0xcc460163,0x278000ff,0xac69019b}},	//   _cantun_, _حرامی_, _פארראכטן_, _antrojo_, 
   {{0x32fc040b,0x73730222,0xe8830207,0x00000000}},	//   _langea_, _regarde_, _zisizoku, --, 
   {{0xe2f0030b,0xd349033a,0x9317018b,0xf0d90064}},	//   _poliisi_, _diretti_, _mancare_, _минималд, 
   {{0x7e180368,0x6b870237,0xcd8c0073,0x12ca0685}},	//   _posetila, _schilder, _ascolata, _mindet_, 
   {{0x493f02f3,0xa2b60478,0x705c0200,0x0d7e0076}},	//   _framtide, _sotchi_, _kwesịghị_, _копенхаг, 
   {{0xe8fb015e,0x226e01f9,0x20f3016f,0x3d1a02ea}},	//   _الاقالاش, _akhumbul, _несправе, _заместни, 
   {{0x030f0177,0x4e540219,0xf2cb00c7,0xe2ca01ac}},	//   _barboza_, _adzalule_, _qaydan_, _condae_, 
   {{0xf26c0077,0xa2da0145,0x22e40062,0x554601d5}},	//   _kafou_, _parodos_, _chundab_, _منڈیلا_, 
   {{0x72730036,0x6f4d00da,0xc3200004,0xc4120385}},	//   _línte_, _литереле_, _chiyit_, _trenutak, 
   {{0x72360359,0x766402ec,0x59f40052,0xd63d00d5}},	// [5d20] _krijt_, _کھسٕوُن_, _salát_, _praimini, 
   {{0x2efb0040,0x7417040e,0x00000000,0x00000000}},	//   _מהסרט_, _dansaren_, --, --, 
   {{0xd95100f3,0xb4c303ce,0x42cb003e,0xdc0800bb}},	//   _akulinde, _شمشاڵه_, _контактт, _móricz_, 
   {{0x72480125,0xe1850758,0x8b500074,0x02d90279}},	//   _adamy_, _ababesel, _postissa_, _angers_, 
   {{0xa2ca02c7,0x0aea0061,0xd84c0488,0x2aca00b2}},	//   _findet_, _지방공무원_, _nemainīg, _faawunde, 
   {{0x86560170,0xb35e05e6,0xe658048c,0x02e60062}},	//   _anandimw, _borgtog_, _backstai, _ngengqa_, 
   {{0x75590302,0xd26c01e6,0x227803f7,0xcece0405}},	//   _ngokomoy, _synovi_, _vernda_, _греки_, 
   {{0xf9f602f7,0x4b180065,0xa27e00d9,0x527102c3}},	//   _bangwake, _langfris, _tuonti_, _skrátený_, 
   {{0xa9cf0062,0xe201027e,0x937302a0,0x545f023e}},	//   _chomusha_, _sudiju_, _mokanle_, _brewoken_, 
   {{0xdf44025c,0xe7ca0305,0x2e5d0153,0x626e0108}},	//   _versteht_, _innspeli, _リングワゴン_, _boroan_, 
   {{0xb2d800ad,0xb38b03ad,0x02fd02e4,0xb2fe00cd}},	//   _atheis_, _tassonom, _awditur_, _anvidar_, 
   {{0xb8fd04a4,0xa93601a3,0x068901b3,0xbff5033d}},	//   _carachad, _سارنگا_, _протизап, _katastwň, 
   {{0x3a160410,0xd2260030,0xd1a40128,0xc63d007f}},	//   _dikadika_, _parkos_, _англияли, _ffisegol_, 
   {{0x02fc045f,0x00bb050b,0x722500bb,0xa94100e6}},	//   _skrivit_, _कुतूहल_, _sapka_, _共青团阿拉善左旗, 
   {{0x13f801d4,0xd3860461,0xdfd60177,0x661803d8}},	//   _venuta_, _maires_, _балтиеи_, _suvlasni, 
   {{0x5a1b045c,0x32c6011e,0x4290033c,0x72360269}},	//   _absolútn, _souleve_, _elgan_, _trajo_, 
   {{0x9290029f,0xf3f80244,0xc29401a0,0x82e90396}},	// [5d30] _žiaci_, _tenuta_, _etikwei_, _emendat_, 
   {{0xa3a50302,0xe68300b9,0x35830343,0xf0ad0163}},	//   _муовини_, _aksesori, _aksesory, _کارخانوں_, 
   {{0x627e0007,0xb305022b,0xab190227,0x92ca03a4}},	//   _atondi_, _avtalum_, _hiraukan_, _innliti_, 
   {{0x32b50047,0x304c006a,0x835d024c,0x96370333}},	//   _trucs_, _anarivon, _dungong_, _auménanc, 
   {{0xb25a02ac,0x2ddc023c,0x00000000,0x00000000}},	//   _imill_, _ټلفون_, --, --, 
   {{0xb3ce035b,0x42e600ad,0xefab0333,0x172a02e8}},	//   _dneva_, _nyangka_, _sommatio, _chimwezv, 
   {{0xb30d0119,0x58cf0062,0x00000000,0x00000000}},	//   _kasapit_, _ngerwijv, --, --, 
   {{0x1afd0218,0x4b260010,0xf40e01c1,0xaa51015a}},	//   _impermis, _angachub, _pabrikan_, _bareedaa_, 
   {{0xc23a0276,0x02d501da,0x3d8c00d8,0xa9cb0318}},	//   _билимсиз, _diellit_, _autorota, _taalanga_, 
   {{0x7344025c,0x6d2f01f1,0xc3de0117,0xaa2601db}},	//   _rezepte_, _biznesit_, _souwia_, _элективт, 
   {{0x379d000a,0x4236028b,0x00000000,0x00000000}},	//   _angunavi, _juaju_, --, --, 
   {{0x029000c7,0x7d310074,0xac390067,0x226c004b}},	//   _algan_, _turistit_, _darbeerr, _fonong_, 
   {{0x53490450,0x0c01045b,0x5df60061,0xbb850220}},	//   _dorestêd_, _tilsier_, _성의라면서_, _околовръ, 
   {{0x72f004df,0x33790176,0x494200a8,0xa305022c}},	//   _biriňi_, _esparda_, _currider_, _digotong_, 
   {{0x09cc0261,0x620f03db,0xc2ec0195,0x528800be}},	//   _konektit, _abahambi_, _chaithe_, _ساۋدالاۋ, 
   {{0x226c01b9,0xbd8703ab,0x30580022,0x2145020c}},	//   _lanos_, _hlodavce_, _тетрәү_, _diperhal, 
   {{0x414c0013,0x438602ee,0xac0501a3,0x00000000}},	// [5d40] _آنلاماغا_, _sforz_, _چوديواري_, --, 
   {{0x426c0515,0x367a025e,0x02370105,0x927f00b7}},	//   _nanos_, _eigendum_, _kryje_, _chynar_, 
   {{0x62f202c3,0x40cc02c2,0xb20801de,0xf3a9056c}},	//   _nasleduj, _vergelyk_, _باگريانو, _provere_, 
   {{0x1b780507,0x625a00db,0x897604b3,0x427f012d}},	//   _berusaha_, _omale_, _anvidige, _spenem_, 
   {{0x0248018b,0xa74500bf,0x026c00bd,0x3a34019c}},	//   _neamt_, _введенны, _bloose_, _iyalẹnu_, 
   {{0x02f7059d,0x02ea0125,0xec480077,0xac40002f}},	//   _menikah_, _kisiden_, _bètran_, _colcapir, 
   {{0x326c01fb,0xb25a01f0,0x713e033e,0x8c6d00e6}},	//   _manos_, _amile_, _cuatrifo, _中国影视库博客_, 
   {{0xa0e50193,0x2cd60137,0x7f290320,0x13ff0005}},	//   _प्रीती_, _саарал_, _dnathela, _linguatg_, 
   {{0xa2b50225,0x9b910488,0x9fbc021b,0x00000000}},	//   _cruck_, _distancē_, _joensuuo, --, 
   {{0x3c60044c,0x93ac0114,0xb6270029,0x781b0187}},	//   _flyttar_, _happen_, _جاشایه_, _осветлув, 
   {{0x23f801e5,0x5b180476,0x05b9019f,0xec190468}},	//   _bojuri_, _akagumis, _سونارو_, _bbestenb, 
   {{0x28fd01bb,0xa3f104cf,0x4932013a,0x1bf80155}},	//   _babatynd, _intombaz, _vermesse, _centralb, 
   {{0x126c0027,0x73f10219,0x33f80160,0xa0ef0191}},	//   _kanos_, _aholelek, _uslugu_, _aktiebol, 
   {{0xee950333,0xd2480034,0xf25a04bf,0x5aa90061}},	//   _rustique_, _heims_, _imale_, _경제적으로_, 
   {{0xa26c0445,0xca610255,0x25250264,0xf292004f}},	//   _danos_, _kollekts, _eslovaky, _fuqale_, 
   {{0x5a2b0420,0x46120040,0x0b6403e6,0x77f80163}},	//   _calcinha_, _הקאמרי_, _anzegoen_, _خبرنامہ_, 
   {{0x62d80111,0xb4270012,0x56fb034c,0xc8da00de}},	// [5d50] _teiera_, _टुटबे_, _этнолог_, _babenoku, 
   {{0xa6dc0053,0x1bf8053e,0xea7d01ad,0xdb290061}},	//   _सुनिल_, _sentralb, _organisa_, _이용해주세요_, 
   {{0xa11902ea,0xcd2200d4,0x06d101ab,0xe20002a8}},	//   _границат, _feroarje_, _किलिल_, _ikliet_, 
   {{0x4346001d,0x751100c8,0xe9b70061,0xf394036d}},	//   _studiat_, _яҙалар_, _라일락마을_, _chost_, 
   {{0x93940202,0x83a20179,0xb23b0050,0xef5f0381}},	//   _akoso_, _prepod_, _areling_, _arvation, 
   {{0xa7e901a3,0xb9f90183,0x72ea0071,0xc75d0103}},	//   _ايگزٽ_, _ambinina_, _سکوریتی_, _chaisang, 
   {{0x4e94008a,0x4b4a0059,0xd62204bd,0xe42c01ad}},	//   _atamatan, _социален_, _pōuliuli_, _humabobo_, 
   {{0x5641053a,0x0a420028,0xd302002f,0xbdad01db}},	//   _zanimlji, _ہێکیا_, _aliayku_, _гүлнәр_, 
   {{0x27fe0047,0xc3f60220,0xddbc00b9,0x8d9f0099}},	//   _的所有作品_, _скандалн, _संस्थांन, _chenjera, 
   {{0x90cd00e6,0x42fc0312,0x00000000,0x00000000}},	//   _广州市工商局_, _drogon_, --, --, 
   {{0x5e69004d,0xde4a0061,0xda7c0298,0x5394013a}},	//   _寵物食品及用品_, _중립의무를_, _taranata_, _jhoss_, 
   {{0xabd800ba,0x247804bd,0xd4bb0037,0xdaa6027e}},	//   _محسین_, _zebedaio_, _መበራከት_, _странцим, 
   {{0xf26c0245,0xec7003a2,0xa34102ce,0x00000000}},	//   _janor_, _विस्टा_, _sarerea_, --, 
   {{0x92310480,0x86d30522,0xba7e005c,0xf7640148}},	//   _thumela_, _सृजित_, _kuganira_, _我的大兵週記_, 
   {{0xc3cf00ce,0x72fc0141,0x9ff10092,0x25370411}},	//   _nouvo_, _naviyat_, _お困りの方_, _приходят, 
   {{0x3967027b,0x33ea0286,0xf9940135,0x00000000}},	//   _ध्वनिः_, _nantin_, _декабрьд, --, 
   {{0xe053023d,0x998e0374,0x12ee005c,0x938602e1}},	// [5d60] _consulen, _хамир_, _abanazi_, _ngort_, 
   {{0x03ea022a,0x13a30029,0x03ce0321,0x13fa0204}},	//   _wolter_, _ئۆسڵۆ_, _dnevu_, _totuus_, 
   {{0xc39401ac,0x425901e1,0x954c056f,0x1b8301a6}},	//   _phost_, _тренерҙа, _hlasovať_, _kehokeho_, 
   {{0xd3860286,0xb2d40785,0x52520544,0x03e702ac}},	//   _agoru_, _fordel_, _kaalawai_, _murchú_, 
   {{0x77260147,0x4b94027f,0xbc51020e,0x37090187}},	//   _تۇۇبۇز_, _buhingir, _dinthla_, _развиваа, 
   {{0x63160493,0x7341011d,0xe2bb0192,0x6d49008c}},	//   _rudzi_, _parerea_, _scherpe_, _attaccau_, 
   {{0xb2ca02e1,0x8201006a,0xbd74047a,0xfe96015e}},	//   _maidin_, _levita_, _sirmonte_, _تىلىڭ_, 
   {{0xec7804a7,0x4290000d,0x0e6200dc,0xa2ca00d6}},	//   _persoal_, _algab_, _anscombe_, _laidin_, 
   {{0xca040373,0xf3f8002e,0x142b03c2,0x00000000}},	//   _redaktit, _otkud_, _blasstyn_, --, 
   {{0xce3800e6,0x9fc60299,0xf2cb03bd,0x00000000}},	//   _carottes_, _سعستئمعس, _naadan_, --, 
   {{0x22da02e7,0x3b530441,0xddb00011,0x63fd00c4}},	//   _pareho_, _shromažď, _akunguba, _wafugaji_, 
   {{0x725600c5,0x8294019f,0xebdc008f,0xd2640194}},	//   _胶南市国土局_, _mawakili_, _पटियन_, _explos_, 
   {{0x526c02b7,0x523602af,0x427f02db,0x54d40059}},	//   _mafoi_, _araja_, _openim_, _specchio_, 
   {{0x9c290178,0x2f2a00c5,0xc9090220,0x93ea0126}},	//   _akusalas, _中国天瑞达鲜花礼, _решава_, _siktet_, 
   {{0xb9df0013,0xdefc004a,0x5aa70024,0xd3020128}},	//   _atrofida_, _чучка_, _এতিয়ালৈ_, _тўқсон_, 
   {{0x63cf0021,0xb35406d5,0x42a80630,0x65e20361}},	//   _otevay_, _strengt_, _júdico_, _бовхачу_, 
   {{0x662c00b3,0xd2fe02c2,0x0e3b002b,0x00000000}},	// [5d70] _bazarbaý, _lesings_, _পিয়াজের_, --, 
   {{0x35f903a1,0x53e0044a,0x7f6e018d,0x7d190444}},	//   _водят_, _asirazui_, _ሃይማኖቶም_, _поселков_, 
   {{0x958a0192,0x52260163,0xcd6b03ec,0x69b901db}},	//   _아르바이트_, _farkas_, _partinë_, _шошып_, 
   {{0x9b4b0191,0xfc00028d,0x33250088,0x99fa02fc}},	//   _specials, _websayt_, _алайлык_, _bagakore, 
   {{0x32cb0201,0x00000000,0x00000000,0x00000000}},	//   _baadan_, --, --, --, 
   {{0xe5180246,0xafe70368,0x826c0077,0x5ec405e0}},	//   _картинка, _приват_, _achoub_, _revoltas_, 
   {{0x69bc0149,0x42d9068f,0x34de0137,0x02a00176}},	//   _apịnye_, _nagege_, _ярвигтай_, _skubbe_, 
   {{0xb51900a2,0x7b240016,0xad830253,0xb20203ab}},	//   _نوراني_, _rilatojn_, _avalassa, _dutinu_, 
   {{0xb29101c7,0xa2300210,0x0df9033a,0x00000000}},	//   _nurberdi_, _akamuda_, _akriliċi_, --, 
   {{0x79aa01ea,0x799000bf,0x5ec3019d,0x304500c1}},	//   _вожиб_, _тепловой_, _asungwan, _berontak_, 
   {{0x60470093,0x6a930094,0x03cf0005,0x71410156}},	//   _народов_, _تاريىقتى_, _nouvs_, _געאורטיי, 
   {{0x73ce019b,0x9c6a004b,0x42d802d5,0xb892020f}},	//   _dievo_, _финалынд, _meiega_, _اخندزاده_, 
   {{0x19870074,0x2e9c00e0,0x34010153,0x93aa018e}},	//   _kaikesta_, _eastkant_, _回答ありがとうご, _maavele_, 
   {{0x60690320,0x4ecd0362,0x8b6c00be,0x523602d8}},	//   _emapapen, _bamision, _تۇموولوپ_, _praja_, 
   {{0xc26c0505,0x22fc0062,0xb80a02c1,0xe8fd034c}},	//   _schons_, _bangna_, _electrog, _араларга_, 
   {{0xc06200c1,0x827f0117,0xbd350052,0xe7ad005c}},	//   _कोळसा_, _spenim_, _लक्ष्यित_, _badusigi, 
   {{0x6faf0192,0x131d0111,0xb5260541,0xaa6f0349}},	// [5d80] _도서관에서_, _mischia_, _izvršio_, _amblings, 
   {{0x9236029f,0x52e50007,0xf22100bb,0xa0890094}},	//   _traja_, _ayinaka_, _اجتہادی_, _принтерд, 
   {{0xe8090444,0xdb50041e,0x429102c2,0x01eb00c0}},	//   _ритуальн, _listessa_, _gewag_, _panganay_, 
   {{0x6ecd0033,0xa3790122,0x811c00c7,0x83790095}},	//   _geniturs_, _sebatan_, _alınuı_, _bebasan_, 
   {{0x2d2f00d1,0x4696008d,0xcc6e03ef,0x00000000}},	//   _ভোলানাথ_, _шаръий_, _abereka_, --, 
   {{0x62fe012b,0x6e520037,0x00000000,0x00000000}},	//   _kuchnie_, _difailka, --, --, 
   {{0x7ab300fe,0x278a005e,0xa32a01db,0x7a0d004d}},	//   _enikoles, _капалити, _французд, _把事理講清楚才是, 
   {{0x92480457,0x8dc700d9,0xf11e00d9,0x3ecd0612}},	//   _agime_, _провода_, _смешные_, _deriblan, 
   {{0x147a05e6,0x6c3502d3,0x830c0671,0xe7e403a2}},	//   _ongelukk, _планови_, _notatet_, _कैथरीन_, 
   {{0x108d0125,0x497500f4,0xe3f40333,0x00000000}},	//   _азалдып_, _ganidige, _bestiu_, --, 
   {{0x8203000c,0x03ea00f1,0xc2cb02ec,0x6f5600e6}},	//   _чеботаре, _koltar_, _raadin_, _农业植物检疫机构, 
   {{0x93ce0075,0x2ae101f0,0xb3b001a3,0x975d00e4}},	//   _blivin_, _bakerers, _خشڪيءَ_, _कृत्यों_, 
   {{0x9fc303f4,0xa3f80217,0x23ea00d6,0xfa9500d1}},	//   _подарки_, _palude_, _moltar_, _আগৰতলা_, 
   {{0xf5f80364,0x23f40046,0xb2540308,0x5a010066}},	//   _vergläic, _festiu_, _diulangi_, _balantze, 
   {{0xb2fc022b,0x21fd0046,0xe2cb0102,0xbf1f003c}},	//   _mangla_, _ардактуу_, _kurekodi_, _dikuwata, 
   {{0x39e6042f,0x8cdf0352,0x0c47014f,0xe21204c9}},	//   _uyaraktu, _অনাতাঁৰ_, _правима_, _bakhaw_, 
   {{0x5fec029f,0xfed502a3,0xa37a0277,0xe7ce00f0}},	// [5d90] _dobrovoľ, _bevindin, _basahon_, _vlastnom_, 
   {{0x725b0478,0xc7ee01d4,0x8d0a019b,0x25fb0040}},	//   _abelha_, _tarquini, _наскальн, _ולגבי_, 
   {{0xf3940097,0x725b022b,0x69af00e6,0xe9250059}},	//   _ajose_, _fjalli_, _德利多富信息系统_, _славата_, 
   {{0x60b70052,0x63fc044a,0x00000000,0x00000000}},	//   _firmách_, _bafukami_, --, --, 
   {{0x0d880071,0x262900b4,0x72960240,0xc9850207}},	//   _روتختی_, _пердуте_, _kakavaki_, _kusimama_, 
   {{0xa26d0059,0x29320203,0x63fa01e5,0xbe6a01a3}},	//   _lavori_, _permisse, _lawujo_, _هرشيءِ_, 
   {{0xd3ac0155,0x527b042c,0x604402e1,0x015600be}},	//   _pappan_, _poginuli_, _chlubann, _ساسىشقا_, 
   {{0x70970093,0xc9cc000c,0xc64a00a6,0x53a701aa}},	//   _премине_, _комлексқ, _ezaziway, _athykay_, 
   {{0x5ef404fc,0xbb75027b,0xd8dc020f,0x0b9203b8}},	//   _archivos_, _aparasya_, _دشهيد_, _مەنمىن_, 
   {{0xe26c0043,0x837900ad,0x0a2f0060,0xf4ed013b}},	//   _mukono_, _sebaran_, _الىگە_, _bonfinã_, 
   {{0x9c6a0139,0x4b6c03a4,0x625a02f3,0xe2d60630}},	//   _कृष्णो_, _partanna_, _smala_, _inmobil_, 
   {{0x22cb0074,0xe200047d,0x4aec04b9,0x3b8a03f2}},	//   _laadun_, _schiel_, _cantanke, _помог_, 
   {{0x03ce0212,0x1c04037a,0x5394042a,0x5344020b}},	//   _gieve_, _imisozi_, _atiswe_, _kereite_, 
   {{0xa45f028b,0x4a000193,0xcbe00326,0x74da009b}},	//   _адлеиба_, _पृथ्वीवर_, _aiteerer, _хорны_, 
   {{0x729700a1,0xe6dc0148,0x337b004f,0x82e50299}},	//   _ingarihi_, _最新的記事_, _dogalul_, _ئۆكسۈپ_, 
   {{0x3a7f0294,0x2d88007b,0xc58d005c,0x4c7902ea}},	//   _apurimaq_, _streicht_, _abidishy, _придружа, 
   {{0x1b9900af,0xde600397,0x00000000,0x00000000}},	// [5da0] _продовже, _amabhaka, --, --, 
   {{0x52ca05a2,0x82e3033d,0x314d0073,0x81e6023c}},	//   _कन्फ्यूज, _delivre_, _gentilho, _راووځي_, 
   {{0x67d303b4,0x218d01b8,0xce6402c5,0x825f0153}},	//   _chirongw, _detailpl, _chichaba, _ル便追跡サ_, 
   {{0x203101c2,0x8b7200f3,0x914a01fc,0xa3fa00e1}},	//   _mantemen, _ithumela_, _shiligih_, _gisunu_, 
   {{0x02fc03b2,0x97a501c8,0x305904a7,0xe2900318}},	//   _bangla_, _cementov, _remataro, _nooai_, 
   {{0x7cb30249,0x72b201f9,0x08cc05ca,0x6f540498}},	//   _yunaited_, _bhadala_, _honestid, _riesenie_, 
   {{0xc3ac0300,0x9fec02dd,0xd3860312,0x2977044c}},	//   _koupit_, _dockstar_, _daore_, _brannsje, 
   {{0x143700a2,0x54e100d1,0x930902c3,0x38c8053d}},	//   _masharik, _এয়াও_, _juniorov_, _bandlulu, 
   {{0xa84503c8,0xbfd80234,0x839f0168,0xc2e300da}},	//   _bergetar_, _ifunpọ_, _kokebøke, _mediere_, 
   {{0xf2f1024c,0x203d02ac,0xd3ac01df,0xd3610156}},	//   _estinti_, _وجلست_, _loupit_, _גריגאָרי_, 
   {{0x8fab0033,0xa876005d,0xc2ba033c,0x23c505bd}},	//   _exteriur_, _afrikagu, _addewid_, _merkelig_, 
   {{0x7d8c0524,0xf3f9004b,0x2b7d005b,0x13f90085}},	//   _ručno_, _bobusi_, _maruyama_, _sobuti_, 
   {{0x420e0039,0x12ca0168,0x729601fe,0x6a1e0188}},	//   _ташаа_, _hindre_, _makataki_, _чиҳил_, 
   {{0x56a102b5,0x425a0253,0x0a14005b,0x7ae30092}},	//   _rengzrox, _imilu_, _nakajima_, _自動車保険_, 
   {{0x33940286,0x39df0176,0xea35002b,0xb2ec0171}},	//   _akosi_, _trafikst, _লাতিনা_, _podiže_, 
   {{0x93ce041e,0xe3f70041,0x430301a4,0xc9de034d}},	//   _pieve_, _раамҭеи_, _mutandu_, _berongga_, 
   {{0xa80a0238,0x63c6006f,0xf444026e,0x331902ac}},	// [5db0] _затвердж, _تعالا_, _उड्डयन_, _ويقال_, 
   {{0x53020079,0xcf2402f0,0x89f203d4,0x7b630224}},	//   _talantu_, _bhála_, _могућа_, _fjallabr, 
   {{0xf2fc02b7,0x739400fe,0x7c2c0121,0x950d004b}},	//   _kangba_, _ekosi_, _embarcac, _ситников_, 
   {{0x9da6053f,0x63f904cb,0x9349048c,0x02e50066}},	//   _esposaja, _joburi_, _acidify_, _edonola_, 
   {{0x439a01d5,0x928e02c5,0xdfaa0185,0x99780376}},	//   _نیوزکراچ, _ajakobo_, _кабинетл, _brandske, 
   {{0x42840285,0xf75e0475,0xb3f901dd,0xf1d3011a}},	//   _ndahiro_, _обитания_, _ageunr_, _urgently_, 
   {{0xfedb02c4,0x963c031a,0xc577004a,0x8386044d}},	//   _enviados_, _alaisdai, _таскал_, _doorug_, 
   {{0xa25a036f,0x5ce200ba,0x92da0260,0x3f4300e6}},	//   _imalo_, _بێهۆش_, _baremo_, _公务员管理_, 
   {{0x926c027a,0x225a02d9,0xde3901ec,0x33010239}},	//   _uskoro_, _amalo_, _pelatara, _hatarei_, 
   {{0x12d802ab,0xc95b00bf,0x025003a2,0x59c90290}},	//   _ediela_, _истечени, _सएलेजी_, _carmelia_, 
   {{0xa3df0177,0xf24a0225,0x3e3d0264,0x1dac01d2}},	//   _ацаҳуеиж, _ibumin_, _matalapa, _ashinanp, 
   {{0x33bd0449,0x7ae500d0,0x3b950135,0xa2900020}},	//   _drevnih_, _суларч_, _сынавы_, _fogaa_, 
   {{0xef48001c,0x2b020388,0x573f0222,0xa6dd0343}},	//   _passable_, _passegge, _disparaî, _maipahay, 
   {{0x33ce0465,0x229100bc,0x36c8030b,0x094001ac}},	//   _dnevi_, _negari_, _atassaay, _dtimpist, 
   {{0x82fc04ea,0xe15b01c4,0x22ba022a,0x25680297}},	//   _tangba_, _stormloo, _televid_, _bismillä, 
   {{0x538600bc,0xe57706a9,0x83a30076,0x03a201f7}},	//   _پايداري_, _monteiro_, _amapá_, _campat_, 
   {{0x0110021c,0xb21000e4,0x049c0464,0x6ec901db}},	// [5dc0] _techniky_, _techniki_, _bakabanz, _شارۋاسىن, 
   {{0xdf5f045f,0x9b8004ad,0x03eb023e,0x036d0376}},	//   _knappast_, _borobalo_, _awatak_, _borgini_, 
   {{0xbbed0061,0x13f50291,0x664201c4,0x00000000}},	//   _천연기념물_, _وبهذه_, _marietji, --, 
   {{0xc9040068,0xb40001ef,0x128c027f,0x4f9000c4}},	//   _xabashid, _медна_, _amakera_, _ڳنڀير_, 
   {{0xc2ca03df,0x0c760233,0x73f40203,0xc94f03ab}},	//   _sindre_, _esquiss_, _partli_, _pahorkat, 
   {{0x6d990128,0xd70e0061,0x09580311,0xa1200237}},	//   _кайфияти, _디자인학과_, _ክቐትልዎ_, _만들어내고_, 
   {{0xab89048a,0x796102ac,0x72840241,0xb7c800ba}},	//   _процесте, _لإنهاء_, _bishoon_, _فێدڕاڵیز, 
   {{0xb2360263,0xd1fe029f,0x7291005b,0x695e020e}},	//   _prijs_, _publikác, _regasi_, _diindase, 
   {{0x3437006f,0xe1d40088,0xa9330161,0x21c9008d}},	//   _washirik, _اچلىدى_, _советов_, _котта_, 
   {{0x2b1803fe,0xaddb01cd,0xfc5302e0,0x680d00d1}},	//   _распрост, _abakhala, _dintelo_, _এষাৰতেই_, 
   {{0x87e80061,0xd40d019f,0xba5402ba,0xf3010282}},	//   _시작되었다_, _mwanamuz, _метарсон, _mataati_, 
   {{0xe793006a,0x606f024a,0x7a78046f,0xc26c00e1}},	//   _eritreri, _akoalumo, _derlaans, _kafor_, 
   {{0x118500f4,0x6acd00c6,0x2316015d,0x00000000}},	//   _arsanail, _допустил, _nudzi_, --, 
   {{0xc17a0169,0xd73f02d3,0x430500b7,0xa14c032d}},	//   _পঞ্চগড়_, _inspiraç, _baranym_, _ikhethil, 
   {{0xa3ce019a,0x95980177,0x52bb0269,0x64ba0164}},	//   _shoves_, _aranduká, _ponerse_, _төмүр_, 
   {{0xe2b70188,0xe28b01e6,0xc50302ba,0xe29004bd}},	//   _биҳишт_, _konopí_, _alimazay, _ālaka_, 
   {{0xab0403c6,0x12e0040f,0xf1400045,0x00000000}},	// [5dd0] _selsbest, _pranoko_, _сеоба_, --, 
   {{0x2fc2014a,0x5f07051f,0x5a1400ae,0x3e4d02ff}},	//   _لاشوں_, _تائیفی_, _bakakima_, _corbetre_, 
   {{0x0316012b,0xee4000d0,0xef1f0212,0x3c270184}},	//   _ludzi_, _nolabait_, _athenien, _bazambur, 
   {{0xeb44001c,0x5296027c,0x0c7402f1,0xca800109}},	//   _berchtes, _angafiki_, _manuais_, _दीपकुमार_, 
   {{0x038604ca,0x1ff701ce,0x8bee01b3,0x00000000}},	//   _paires_, _بازسازی_, _балог_, --, 
   {{0x93ce0079,0x1843066f,0x1c3101ee,0x0379000b}},	//   _dieva_, _contamos_, _гельминт, _papauta_, 
   {{0xc0c7036a,0xab59023e,0x74fb0053,0xff300147}},	//   _ibolebol, _basudewa_, _अनवाणी_, _قىزبۇراق_, 
   {{0x40e30139,0xb29d0153,0x7a5703a9,0xd27e00fd}},	//   _परिचिन्त, _ショップ開業_, _визанаш_, _seonag_, 
   {{0x109603ce,0xfa160085,0x12b10362,0x95be002f}},	//   _تابانی_, _bikabika_, _lendisa_, _cumplink, 
   {{0x23cf0148,0xe37c00b7,0xe9c5004d,0xa65e0061}},	//   _一次付清特價_, _докатмас, _offerent, _서울시의회_, 
   {{0x0f4c00c3,0x523f00d9,0x762200d9,0x22d40235}},	//   _existima, _välein_, _pienempi, _baudhi_, 
   {{0xd4430088,0xbb5e0148,0x02fc014b,0xd98c0102}},	//   _душманга_, _選擇排序方式_, _mangaa_, _wachanga_, 
   {{0x8da104f9,0xb312024b,0x998e032d,0x63bf025a}},	//   _minnerpa, _muebles_, _балиғ_, _bakwije_, 
   {{0x1200013d,0x21450287,0xd245068e,0x00000000}},	//   _donita_, _cyklisty_, _cyklisti_, --, 
   {{0xefa300b7,0x06810053,0x14690137,0x42c50187}},	//   _беркитме, _दलवाई_, _кюхюн_, _reflete_, 
   {{0xa4d1050b,0xff5d009a,0xb248007b,0x33020318}},	//   _ब्रिटन_, _bamampon, _jeams_, _talateu_, 
   {{0x151a014f,0x7718017a,0x00000000,0x00000000}},	// [5de0] _capriolo_, _камсавод, --, --, 
   {{0xc27e0092,0x83f803b4,0x3c14005b,0x00000000}},	//   _erongi_, _fukue_, _høstet_, --, 
   {{0x4a7401cc,0xd24800e2,0xc2580197,0xf6b8012a}},	//   _गणेशचतुर, _memmen_, _demenajm, _gwarancy, 
   {{0x72fc004f,0x5c730243,0xf2ac0022,0x1c440192}},	//   _dangaa_, _mansafa_, _торбалар, _servies_, 
   {{0x6bcf00b9,0xf78b0029,0xad5e0053,0xa99d0041}},	//   _श्रीरंग_, _شفرۆشی_, _जगप्रसिद, _уасыл_, 
   {{0x1f260211,0x525900b2,0x62620101,0x0ff80079}},	//   _harrasta, _alattill, _sistemul, _diplomāt, 
   {{0x4a4700da,0xe6e80145,0xa25a0168,0x064f020f}},	//   _индикаць_, _татарску, _smale_, _دټایرونو_, 
   {{0xd2fc048c,0x72f802c0,0x2721004d,0x2d7803b0}},	//   _sangha_, _кабриоле, _librorum_, _পৃথিবীত_, 
   {{0x57090074,0x149c03de,0xf7e00191,0x6da701a3}},	//   _магазина, _angakwaz, _tidskrif, _رولڙي_, 
   {{0xaa710085,0x22760213,0x73eb028b,0x943900e6}},	//   _baglades, _клиничес, _avatik_, _销售收入的_, 
   {{0x3269011d,0x726c03e5,0x03ce0005,0x37b6039a}},	//   _деликте_, _kanoy_, _sievi_, _diteling, 
   {{0x23f4022a,0xde8103f4,0x00000000,0x00000000}},	//   _mustag_, _импульсо, --, --, 
   {{0x1e8f00be,0xdb7800b9,0x344106f5,0x9c7e011f}},	//   _بەرۉۉنۉد, _berolahr, _fiskerik, _dirscan_, 
   {{0x82360300,0xc2ff00a2,0x9c55008e,0x637201b8}},	//   _kraji_, _kusafiri_, _dontale_, _jagatud_, 
   {{0xde5802d3,0xa2d8012d,0x398f00c1,0x786900a4}},	//   _обиде_, _mnmeri_, _नाईलाजान, _esportiu, 
   {{0xf537003f,0xa6150040,0xdc7600a0,0x9cb30541}},	//   _dachargh, _שונאת_, _bazuwar_, _junajted_, 
   {{0x92ef00de,0x25700095,0x9abf02c8,0x42260373}},	// [5df0] _abafaz_, _pendhidh, _convérte, _markis_, 
   {{0xe9f80499,0xc9b900e5,0x61bd002b,0xe53c0048}},	//   _kalaiese, _coletiva_, _ফুলেল_, _balimany, 
   {{0x53ac011b,0xae360140,0x021802cf,0x88b0012e}},	//   _poupee_, _matatagp, _облак_, _ٹکنالوجی_, 
   {{0xc6a30052,0x13f402a4,0x4b0e0061,0x22cb019a}},	//   _कोशिकाहर, _martii_, _부분적으로_, _haadin_, 
   {{0x827e06ee,0x02d50032,0x32d904b4,0xbc1801f3}},	//   _izono_, _bihojqo_, _fagene_, _manažers, 
   {{0x8e460195,0x5cad03eb,0xe0b40009,0x83ba04a7}},	//   _breabada, _reisblog_, _premagal, _acivros_, 
   {{0x354500bc,0xb3a90059,0x726d0527,0x00000000}},	//   _مبتدی_, _provare_, _logore_, --, 
   {{0x83860195,0xd28c020d,0x32f600b6,0x62cb0068}},	//   _saora_, _amakara_, _lafitak_, _laadin_, 
   {{0xc9ea031a,0x90dc0188,0x15530040,0xb40e013a}},	//   _bearghad, _abangadl, _חַיִּים_, _averstan_, 
   {{0x597801a7,0x7e53024b,0xb2fc0282,0x825a0253}},	//   _periaatt, _descubre_, _pangia_, _imili_, 
   {{0xf3a90220,0xec4702ba,0xf1d10325,0x216703ac}},	//   _trovare_, _гулдаста, _aytəkin_, _bernanah_, 
   {{0x07cb0462,0x0bb700e6,0x0aff040e,0x00000000}},	//   _annuityw, _个人累计积分_, _blogtops, --, 
   {{0x52900260,0x7a75009f,0x93860282,0x92870089}},	//   _vogal_, _svečke_, _taora_, _дирмен_, 
   {{0x99db0187,0x4290008e,0xd2e70587,0xcbb802fe}},	//   _страст_, _dogam_, _castèth_, _owayenes, 
   {{0x8358021c,0x51c1005d,0x40d503b0,0xa4d3034c}},	//   _katedry_, _cheruvãi, _manøvrer, _familiäl, 
   {{0x12900497,0xe25a003a,0x9e1c002c,0x82bf00c7}},	//   _hooar_, _omili_, _alderdia, _bardım_, 
   {{0x243e02a9,0x82d90020,0x42be0100,0xa1cd01af}},	// [5e00] _даўно_, _magele_, _hladnom_, _bermelim, 
   {{0xb25a042b,0x5eab02ea,0xd3ce00f2,0x00000000}},	//   _imala_, _conoscen, _dievu_, --, 
   {{0x2c6f0240,0xf6200255,0xc4a5051a,0x2e81005d}},	//   _cauraka_, _skanneri, _diwakafk, _monotóni, 
   {{0x29980066,0x32ca014c,0x42d8004f,0xde0b0258}},	//   _гадуурха, _ecaleni_, _fileek_, _hommerts_, 
   {{0x6edc018d,0x375c03f1,0x538a04c7,0xd35403b5}},	//   _ብምምሕዳር_, _zamykani, _уверени_, _berebut_, 
   {{0xf25a05e8,0x28a000e6,0x18b90107,0x727d0076}},	//   _mmala_, _我局组织召开莘庄, _آکسفورد_, _списаниј, 
   {{0x038b00a4,0xd6e80322,0x04af0140,0x00000000}},	//   _vàrem_, _bakamubw, _hudisyal_, --, 
   {{0x4e6b027d,0xf3f40265,0xfd8801d9,0x43f400f6}},	//   _nečija_, _rustig_, _erreecht_, _kartof_, 
   {{0x451601eb,0x29f80298,0xe5be018f,0x7290008e}},	//   _ahasávo_, _penihana_, _dadachoh, _gogam_, 
   {{0xe0390207,0xb17d0040,0x52a60120,0x95430198}},	//   _زيارت_, _צירוף_, _galbo_, _udeležil, 
   {{0xbc5a0134,0xe3f90151,0xb27e0144,0xd2790439}},	//   _alawọ_, _abduct_, _mhinic_, _hofisini_, 
   {{0x57e502c2,0xada30277,0xd224019a,0x039b0261}},	//   _bespreki, _katungod_, _meikle_, _denaskaj, 
   {{0x4dac0393,0x00000000,0x00000000,0x00000000}},	//   _učitavan, --, --, --, 
   {{0x122b0210,0xf116033e,0x63040176,0xc0cb0161}},	//   _anamate_, _kaseróla, _eigacom_, _annostel, 
   {{0xf57a0013,0x86a200b6,0x93960258,0x71c70029}},	//   _ضرورتی_, _baatiley, _lutsen_, _ئاڵتونی_, 
   {{0xe2fc00aa,0xa0f80185,0xcb650015,0xb3dc0169}},	//   _igogio_, _diplomın, _hortooda_, _manwë_, 
   {{0x4f330462,0x826d0374,0x0edf06f6,0x963302eb}},	// [5e10] _eneralga, _davom_, _eurydice_, _онлайнаа, 
   {{0x8d020192,0x3a7d0033,0xf6b103aa,0x6699004b}},	//   _알고싶어요_, _finamira_, _झाडापखाल, _серияла_, 
   {{0x635601f0,0x16520011,0xfaa5015f,0xb77f03ff}},	//   _alafiwa_, _akukingi, _artiffis, _vinotéka_, 
   {{0x88d7008d,0x1a7c0239,0x00000000,0x00000000}},	//   _лигаси_, _karakata_, --, --, 
   {{0x8bc804d8,0x5387029b,0x00000000,0x00000000}},	//   _یوسفہٕ_, _faaris_, --, --, 
   {{0x139602b1,0x58fc00f3,0x93780590,0x87c701cd}},	//   _dutsen_, _banamand, _шидтэнтэ, _қадими_, 
   {{0xf26c0220,0xa2ea005b,0x8200032d,0x726401ff}},	//   _pazienti_, _akbingo_, _ehlile_, _poslem_, 
   {{0xc2ca0058,0x23be0181,0x02570012,0x5a040422}},	//   _hindut_, _bumbling_, _मौकाखोजत_, _dražje_, 
   {{0xc13600d3,0x92b4006e,0x2b19003d,0x0f64021c}},	//   _studenty_, _dëbbe_, _alsacian_, _neobjedn, 
   {{0x59c60095,0x0b18028e,0xc7d302af,0xeb21033e}},	//   _ngamanca_, _mangaris, _ikarangw, _mosaramb, 
   {{0xb160023c,0xf2900151,0xc37f01ec,0x2a4f01d1}},	//   _ارجنټاین_, _vooar_, _kroasia_, _elements, 
   {{0x73ea0497,0x6dcd0418,0x444d0128,0xbb0c02fe}},	//   _coltar_, _herhalde_, _мадинада_, _چاویز_, 
   {{0x626d0141,0x980500bf,0x331801a2,0x65ef0027}},	//   _savol_, _уважение, _jēzus_, _perevidö, 
   {{0x87c70583,0xc11d00d1,0xd3a30331,0x42d703ac}},	//   _pripravi, _অস্পৃশ্য, _kreppu_, _sebotol_, 
   {{0xc73000ba,0x0c560487,0xab2801fe,0xe29202cf}},	//   _خیتافی_, _lattice_, _tarauses, _atrair_, 
   {{0x9c2b0066,0xcc53000d,0x8c0101f1,0x1ed902c3}},	//   _norberar, _kustuta_, _anetares, _obohaten, 
   {{0x03870051,0x1c7d010b,0x1f53027e,0x0a4f00d1}},	// [5e20] _paaris_, _letsema_, _тотални_, _clements, 
   {{0xf6250527,0x49f70008,0x8df5041c,0x02fb01e9}},	//   _filipovi, _samarret, _bindante_, _bothaba_, 
   {{0x2db3020e,0x8291006e,0xe2330332,0x47d30322}},	//   _akhaonte_, _begadi_, _hermoso_, _akarangw, 
   {{0xa1a50393,0x464b025e,0x62d8007f,0x15f80137}},	//   _ostojić_, _fornleif, _gomedi_, _вирүсийн_, 
   {{0xb3ea0509,0x13eb0008,0x12020130,0xa9f20435}},	//   _voltar_, _dictat_, _akwino_, _допуна_, 
   {{0x33f802d5,0x48db0405,0x2795002c,0xd9a2004c}},	//   _palume_, _gjerning, _дулимаг_, _anijamba_, 
   {{0x42fc02d5,0x0437020f,0xe8c0038e,0xe2d8022d}},	//   _vangla_, _داجایزه_, _महापूर_, _beiela_, 
   {{0x625a01e6,0x4d0e0220,0x8c1802af,0xa3190113}},	//   _pokles_, _паметник_, _bangiric, _نيران_, 
   {{0x1c0700b8,0xe30f026b,0xaf290126,0x5249034c}},	//   _bautisas, _temática, _фашистсь, _imamov_, 
   {{0x9da100a9,0xd4cb0012,0x9c280037,0x77ee02af}},	//   _nyungura, _ट्किला_, _ጤንነትን_, _hararing, 
   {{0x4c32005a,0xdeb201c8,0x9a7c028e,0xc202003b}},	//   _dimatlhc, _nevlastn, _sarakata_, _batise_, 
   {{0x8591004d,0xf99e0153,0x92900198,0x620200ab}},	//   _中國第五大淡水湖, _ナイトウェア_, _nogah_, _matire_, 
   {{0x960901db,0xfdab0203,0x620200e3,0x244c00c8}},	//   _توبەلەس_, _frankoga, _batiet_, _алйот_, 
   {{0x5177010f,0x427303ae,0x084c0034,0xd38f0439}},	//   _нести_, _sånne_, _morthens_, _manyeka_, 
   {{0x8fe302ac,0x3ba70261,0x00000000,0x00000000}},	//   _لافتة_, _bankisto_, --, --, 
   {{0xfa4e047b,0x1386053e,0x9437006f,0x22d8046b}},	//   _kommunus, _lagre_, _mashirik, _comedi_, 
   {{0x838602a8,0xb27e0292,0x9be003ae,0x73fa024c}},	// [5e30] _སྤྲོའི_, _bronyi_, _aksepter, _feruti_, 
   {{0x1e9700c5,0x9947044d,0xe291007f,0x42fc012e}},	//   _critères_, _armuwaar_, _alwad_, _hangja_, 
   {{0x23bd0190,0x328706e5,0x1c9903b6,0x6a0202d9}},	//   _arawong_, _rekkene_, _apaguusu_, _autaluga_, 
   {{0x338600f4,0x029100dd,0x3b8a0381,0x861e00cd}},	//   _aloreg_, _clwad_, _arriersc, _beinvesi, 
   {{0x8a01046f,0xb2e30418,0x6e560510,0xa4190185}},	//   _verschid, _gelince_, _картине_, _магнитка, 
   {{0xc20101b5,0x23f800ab,0x96a1001c,0xe2bb0077}},	//   _lovisa_, _tukua_, _winterth, _anmerde_, 
   {{0x92010003,0x783a0226,0x8ecd0053,0x82b60089}},	//   _muziek_, _chamadzu, _periklan, _galimä_, 
   {{0x4201037c,0xdf750007,0xb744001a,0x43ac007b}},	//   _orbitz_, _baadrɛsi_, _تنزانیہ_, _coupit_, 
   {{0x4ee7028b,0xc2f20159,0x7310018b,0x00000000}},	//   _дабаӡом_, _nudistu_, _deschid_, --, 
   {{0x2c2301b6,0xd3bb00bb,0x338700a4,0xe202065f}},	//   _achieved_, _اسہال_, _تاعدىر_, _kutiju_, 
   {{0xa6bc00b3,0xb39d03d1,0x98fe01bb,0x17ee0370}},	//   _правовых_, _pakalpoj, _barasynd, _bararing, 
   {{0xfd200369,0x72070089,0xa5e900f6,0xd45c0156}},	//   _hikiwawe_, _анатомик_, _bacardı_, _אלימפיק_, 
   {{0xb6980534,0x216c01c8,0x1f540416,0x61fe014a}},	//   _careerli, _varianty_, _consilie_, _publikál, 
   {{0xef6602da,0xa2250160,0xe9e20007,0xdb8801c7}},	//   _имало_, _odakle_, _bakoteka_, _aktiwler, 
   {{0xfe150195,0x3ed60198,0x13ac04b9,0xb2d901a0}},	//   _aigeanna, _jezikovn, _poupit_, _pagett_, 
   {{0x84350093,0x225a03e8,0xac6703eb,0x6d7e0219}},	//   _функций_, _kmalu_, _gebring_, _azaliswa, 
   {{0x83ea045f,0x2f5b0288,0x0db20439,0x950501cd}},	// [5e40] _rejta_, _kananoan, _fungheke_, _алекум_, 
   {{0xe62d0430,0xc52c0148,0x7146005e,0xdf240171}},	//   _khonthei, _母親節活動說明_, _ئاداۋەت_, _lošim_, 
   {{0x92480556,0x46dd026c,0x15fd039e,0xd0b70133}},	//   _igama_, _油品事業部_, _ভঁৰাল_, _adamooll, 
   {{0x62d9046d,0x12eb045d,0x2e1802ea,0xa99800de}},	//   _ndaela_, _zavisno_, _rafforza, _دآسيا_, 
   {{0x6f4800aa,0x76ae00de,0x1a7d02a2,0x7ec40156}},	//   _passible_, _amataliy, _mababasa_, _פאעזיע_, 
   {{0xa2fc00ad,0xe9fe0133,0xb9b20422,0x7a1201f2}},	//   _mangka_, _angawoot, _prinaša_, _сортлуқ_, 
   {{0x825a02d9,0x9a80001a,0x33790037,0xe29700a5}},	//   _amalu_, _legolvas, _bebanan_, _fakatahi_, 
   {{0x7fa500d6,0xb190016a,0x9c2900f5,0xc9ff06d9}},	//   _موقعه_, _המשתלח_, _ташлатды, _simetría_, 
   {{0x4f8f00bf,0x567c0060,0xce9703e6,0x73b002ee}},	//   _оформлят, _байсалды_, _critèren_, _holqu_, 
   {{0x920203b4,0xfb640258,0xf04d01f6,0xb25a001d}},	//   _patire_, _gewesten_, _forurein, _emalt_, 
   {{0xb2cb0202,0x4ca4010f,0xe384023c,0x42f1032d}},	//   _ibadan_, _султон_, _دکوچنې_, _скарабей_, 
   {{0x1e88033e,0x1a1100ad,0x726d03c0,0x527e04cf}},	//   _бегуин_, _dilakuke, _naboen_, _ezona_, 
   {{0xeecb0359,0xb17c03dd,0x8c2c0156,0xf25a04f9}},	//   _besnijin, _budallal, _גרוזיניש_, _imalt_, 
   {{0xc26d0230,0x272c0153,0x99f40479,0x990d015e}},	//   _lavoi_, _マルチエネルギ_, _fahéj_, _кометаны, 
   {{0x63f8051c,0xb3960252,0x529000b3,0x8adf03ba}},	//   _mukul_, _betsho_, _dogan_, _covetous, 
   {{0x524800fb,0xb1790299,0x5ed402b9,0x42f30061}},	//   _egama_, _ئاۋيامات, _دبانا_, _카자흐스탄_, 
   {{0x72d1043a,0xd2a600d3,0xe3eb013f,0x930c0014}},	// [5e50] _demodik_, _malba_, _dictee_, _antaret_, 
   {{0x437a05a5,0x4f7a0037,0xce370014,0x82d900ad}},	//   _zadarmo_, _ጅብገደል_, _masakrua, _cawene_, 
   {{0x7af50120,0x57040161,0x186104b3,0x0ad40109}},	//   _cabsiise, _металлок, _evnoniou, _uzamčená_, 
   {{0x2bbf01fe,0x32cb01bb,0x46ab00d4,0xee940094}},	//   _alakaolo_, _abadan_, _jongerei, _تۋرالىسى_, 
   {{0x3967009a,0x32ca00b9,0xac720256,0x63010321}},	//   _achotshe, _pemda_, _andrejs_, _stranki_, 
   {{0xac670073,0x624801e8,0x6b2d00b9,0x392700ff}},	//   _webring_, _lemmon_, _sembilan_, _סטוטשקאָ, 
   {{0x62d80245,0xf379036c,0xf6f0018c,0x47f00263}},	//   _zaheer_, _mahaleo_, _verblijf, _verblijv, 
   {{0xf290002e,0x2c7702b1,0xd2b5047a,0xff6c00b2}},	//   _mogao_, _karuwar_, _mitcy_, _barannes_, 
   {{0x77d1027b,0x72180021,0x79450278,0xe291014c}},	//   _कौटिल्यः_, _aceystay_, _bertutur_, _begazi_, 
   {{0x922d0320,0x1ba80116,0xa73a00bb,0x14d3034c}},	//   _alavetel, _hockeyar, _چڑھائے_, _familiäs, 
   {{0xf8c60338,0x92f7002c,0x889a0060,0x020104a7}},	//   _neverend, _bizirik_, _تارىيحتا, _povisa_, 
   {{0x8ff3027c,0x45820087,0xed98000e,0x0d050080}},	//   _orthotic_, _hlutekek, _scientie_, _averuser, 
   {{0xad6e0320,0x564f0037,0x04d302c7,0xdb640192}},	//   _enamaqua, _ይባርክህ_, _familiär, _moslimbr, 
   {{0x98ac017d,0xbe370091,0xa2ba041e,0x32900256}},	//   _最新の日記_, _pulaaqta, _banditi_, _olgas_, 
   {{0x91780450,0x2c3700be,0x4a010065,0x7e370017}},	//   _ierappel, _натонун_, _tierschu, _ऋग्वेदमा_, 
   {{0x770803b8,0x120100a4,0x1c0303db,0x42d702d6}},	//   _мобильді_, _rovira_, _makungab, _словакия, 
   {{0x584d00a4,0x051801fb,0x094d0065,0x030c049d}},	// [5e60] _formatiu, _januario_, _formatie, _andares_, 
   {{0xc93a0238,0x62fc0281,0x72cb04d8,0xce55002e}},	//   _зірок_, _kangia_, _ubadan_, _odbacuje_, 
   {{0xc2440036,0xa4e5019e,0xbf2b000d,0x830e040f}},	//   _grafaicí_, _клубнях_, _korterma, _vasaris_, 
   {{0x237a0107,0x822502f0,0x1dcb017a,0x8283022b}},	//   _seratan_, _afakwe_, _abakanye_, _leikara_, 
   {{0x19ce0362,0x64260155,0x12d401d2,0x55b600d5}},	//   _asimbaka_, _diskmask, _chilinu_, _elanelam_, 
   {{0xb0fb01cb,0x5c0900ee,0x4bc603c7,0x8cff0291}},	//   _yaphumel, _campusa_, _प्लूटोनि, _خصيصا_, 
   {{0x99cf026f,0x7f390227,0xee1c0130,0x2ff300e6}},	//   _спортшыл, _melupaka, _adreizha, _徽商大会签约_, 
   {{0xd29002c2,0x9b5000d6,0xc4fb01c9,0x09880013}},	//   _nogal_, _tistissa_, _छ्काने_, _seshanba_, 
   {{0xf3ac0342,0xe7b50405,0xb57e021c,0x00000000}},	//   _souple_, _одеси_, _chrupavk, --, 
   {{0x626c004b,0x1b2a00cb,0x33440287,0x1cc400a6}},	//   _minong_, _ababedab, _recepce_, _اېهود_, 
   {{0x9f5201b8,0xa051004a,0xc08d0023,0x5bf40497}},	//   _majandus_, _астория_, _mennään_, _buttress, 
   {{0xd4a30052,0xa2020344,0x41580156,0x2cd00137}},	//   _ज्ञानेन्, _aktiet_, _געװײנט_, _өвөлжилт_, 
   {{0x3290006e,0xfb720320,0xcf2a01e5,0xa38c0204}},	//   _dogal_, _arhumela_, _daarudap, _путей_, 
   {{0x4e950224,0xfbff042f,0x92b401b6,0x029e02cb}},	//   _mismunan, _ukutarib, _hundred_, _idejama_, 
   {{0x33f9014c,0xb96201b3,0x34970488,0x804b0103}},	//   _befuna_, _постав_, _pakaļdzī, _dhiragon, 
   {{0x46d8005e,0x5edf0037,0x786a0193,0xf30e0411}},	//   _يذقعرع_, _እያከፋፈለ_, _seunghyu, _omtales_, 
   {{0x92ee0272,0x426401b4,0xa509004d,0xd31a0193}},	// [5e70] _abanaki_, _moslem_, _未來通訊產品暢想, _उद्योगाच, 
   {{0xac6f01a6,0x430501ce,0x6cf30033,0xdd030291}},	//   _kauraka_, _نولان_, _buttatsc, _بدءاً_, 
   {{0xc9750358,0x4dd903a2,0x611c0350,0xa3f801b8}},	//   _posiblit, _अफ़लातून_, _ተጽፎአልና_, _kukub_, 
   {{0xa0e80261,0x89c602a4,0xe261017a,0x173b01d9}},	//   _aplikebl, _reverent, _adutshul, _erfolleg, 
   {{0x11a50311,0x66fa009a,0xc2a60013,0x00000000}},	//   _ማዕረማዕሪኡ_, _برمنګهم_, _badbo_, --, 
   {{0xd43e021b,0x89b2005b,0xf2480004,0x2c7304a8}},	//   _тайны_, _kendisse, _chomaj_, _piksela_, 
   {{0x62cb00b6,0x7eb7012e,0x00000000,0x00000000}},	//   _ginonta_, _پرفتن_, --, --, 
   {{0xd3fa005b,0xca83013c,0x6c3f02ef,0xdf810235}},	//   _obtuse_, _şahdəniz_, _ekspiras, _ऽङ्के_, 
   {{0x83a201d1,0xac3d028a,0xb99903a1,0x800f015e}},	//   _simple_, _matibabu_, _десетки_, _بايدىلدا_, 
   {{0xda0a0188,0xc7f802d3,0x49a70045,0xe2ca02c2}},	//   _ahlasela_, _precisav, _видело_, _hindoe_, 
   {{0xa15b041b,0x100002ec,0x21ba0139,0x73a60188}},	//   _agoramoo, _کرِہی_, _atikrāma, _рудакӣ_, 
   {{0x13ad0371,0xc2c60075,0x57c20156,0xbb990365}},	//   _читалище_, _frymlar_, _מיליגראם_, _अवलचिङ्ग_, 
   {{0x72770152,0x026c02af,0x00000000,0x00000000}},	//   _радиусы_, _bukoko_, --, --, 
   {{0xc84d00c5,0xea420425,0xbd3d040f,0x00000000}},	//   _天使的翅膀_, _نێلیه_, _аральнае_, --, 
   {{0x960d029d,0x3291007f,0x22fb005b,0x5b1200a7}},	//   _пианистэ_, _alwai_, _nishida_, _аналогду, 
   {{0x3520005c,0x0f620414,0x15660244,0xb3860105}},	//   _inkotany, _gaspilla, _convegno_, _zagra_, 
   {{0x556d0125,0x6a880189,0x3af2003b,0x1709017a}},	// [5e80] _germaniý, _erzincan_, _emareyit, _гаравида, 
   {{0x8d3c0041,0x52e004a5,0xf2fb005b,0xc2e7023c}},	//   _аицҵараз, _afanayo_, _kishida_, _azinako_, 
   {{0xa073022f,0x22a6009e,0x2076009c,0x4ae102a3}},	//   _густу_, _lembre_, _ccaparin, _boedapes, 
   {{0x9306004a,0x12f1033a,0x2af100cd,0x9db6027f}},	//   _argamak_, _appellaw_, _appelles, _mitimiga, 
   {{0xd2a60312,0x7e4a02af,0xfb07032d,0x8f6001f9}},	//   _gembre_, _barayuba, _ниязова_, _eliphala, 
   {{0x92e00556,0x16820193,0x0ed903a2,0x98f20022}},	//   _efanayo_, _आडनाव_, _लहूलुहान_, _инженерҙ, 
   {{0x53f301c5,0xbba00103,0x8d270046,0x224803f3}},	//   _اطوار_, _kuchikor, _ирандын_, _remmen_, 
   {{0x12a60130,0xa3190107,0xcec70141,0x2ece036b}},	//   _kembre_, _گيلان_, _билмаса_, _траки_, 
   {{0x741f0210,0x42d800ee,0xd6cc007f,0xe2450162}},	//   _aisadaro_, _komeni_, _anfantai, _باسىدۇ_, 
   {{0xdf210483,0xf7210210,0xa25a01f1,0x2ffa008f}},	//   _mostrada, _akamutsv, _dokles_, _मलयालयी_, 
   {{0xd2d804ca,0x928c00f5,0x6ff3005e,0xe20000a4}},	//   _domeni_, _йылгырып_, _ئىتپاقلى, _bonica_, 
   {{0x901b0037,0xddfc01aa,0xecf2020f,0x134802fb}},	//   _መገንጠል_, _alletswa, _فاطمې_, _sakeasi_, 
   {{0x5e5200c4,0x3a2e0643,0x19c4003d,0xd3730009}},	//   _صحتمند_, _ivanović_, _tenement, _rolanje_, 
   {{0xe13b017e,0x493d0568,0xb45d00f5,0x22480225}},	//   _גליות_, _bremange, _гүнләп_, _ngame_, 
   {{0xea090334,0x12470203,0x360e0159,0xc26c02a2}},	//   _kugawana_, _stellari_, _fotosesi, _sinong_, 
   {{0xcafb02c3,0xd2900269,0xe5c700bc,0x850a014a}},	//   _podrobne, _hogar_, _پربحث_, _erőtelje, 
   {{0x729002fd,0x12900172,0x02c5030d,0x2a4f069b}},	// [5e90] _aogas_, _nnoam_, _meneceri_, _komennya_, 
   {{0x30a602d3,0x11fd012a,0x9989018d,0xec5500db}},	//   _ексклузи, _posiadam, _እንተኔሩ_, _kontole_, 
   {{0x20440158,0x2f390041,0xa5180540,0x0c580162}},	//   _जैकलीन_, _еидызкыл, _joðvilli, _سانائىتى, 
   {{0x75ee00da,0xc64a00fb,0x47a20237,0x04da0361}},	//   _дискуцие_, _abaziway, _raadpleg, _аткъаме_, 
   {{0xb29001c2,0xa3540259,0xceb802d9,0xaf5f0704}},	//   _fogar_, _justitsm, _lolomiin, _adoptert_, 
   {{0xa291024c,0x1e3a02ec,0xa2580241,0x5648018d}},	//   _legali_, _kusaabsa, _anittill, _ኣስሚርሉ_, 
   {{0xec0100ce,0x563602f7,0x09450166,0xc96400ce}},	//   _bonswar_, _badiradi, _verliere, _prosedir_, 
   {{0xc2910145,0xb2dc0062,0x90430219,0xa3c60388}},	//   _negali_, _jinoddi_, _ichunyan, _пресен_, 
   {{0xe73c0312,0x86540037,0xcc770096,0x53870089}},	//   _anaoudeg, _ለመታየት_, _abasare_, _bayras_, 
   {{0xf29000e5,0x757800ff,0x93f8019f,0xf200017d}},	//   _jogar_, _קערלער_, _kukua_, _sonica_, 
   {{0xc2fd0256,0xf3840040,0x172d02aa,0x320501dd}},	//   _kafijas_, _הנעורים_, _helsinká, _barishim, 
   {{0x99b10166,0x226d016a,0xa3eb0039,0xb3f8028f}},	//   _mindeste, _havos_, _ametsa_, _mukua_, 
   {{0x6f8b00e2,0x526d022f,0x42000250,0x6379023e}},	//   _nederlân, _kavos_, _arkivi_, _معلولیت_, 
   {{0x3efe0203,0xf7d50162,0xf2950189,0xc2b6019c}},	//   _provenit_, _турдуш_, _riskini_, _oladele_, 
   {{0xe26d00cd,0x180900c5,0x9db10287,0xac62004f}},	//   _davos_, _查看该公司所有供, _प्रश्नमा_, _doorée_, 
   {{0x620204f9,0x553902fc,0x2c2c0061,0xa816011a}},	//   _aktiat_, _babikesh, _연가투쟁에_, _מבולבל_, 
   {{0x92d80786,0x1b1f052c,0xf2ef021e,0x8a20010d}},	// [5ea0] _pomeni_, _بڵندم_, _soffan_, _फीडबॅक_, 
   {{0x62900079,0x8f1c0420,0x8b180264,0x728602b9}},	//   _pogas_, _кормилот, _mangiris, _dokihoz_, 
   {{0xd2d80264,0x523d0026,0x4a620061,0x8ea10033}},	//   _cuneo_, _죄송합니다_, _신세계백화점_, _binderas_, 
   {{0x2a060570,0x4c1801c3,0xe3780415,0x6e55026f}},	//   _तीर्थंकर_, _squander, _schaden_, _انحۇيدا_, 
   {{0x75ba0175,0xb2ca0037,0xabe40191,0xdf2a0311}},	//   _reparasy, _ኬሚስትሪ_, _vardagsr, _ዝዕንቅፍ_, 
   {{0x0668045e,0xc2910092,0x136800ce,0x85ba01b9}},	//   _присъств, _megami_, _sertennm, _separasy, 
   {{0x62fc02ca,0xe3950054,0xc5f400ff,0xaf3a0297}},	//   _éigin_, _kwashe_, _האמבורג_, _belgradn, 
   {{0x8290025c,0xb3ce0079,0x60650139,0x5d2d00b4}},	//   _sogar_, _dievs_, _वर्षम्_, _aplicare_, 
   {{0x2265023d,0xd1b4016d,0xc35c0067,0xfaef0062}},	//   _агенция_, _азлап_, _aangoof_, _bonehnes, 
   {{0x33860476,0xcd3d02ca,0x07b301bb,0xaa5f0090}},	//   _nyore_, _ballraío, _кэрханал, _aungaita_, 
   {{0xd35800a4,0xe3f90307,0xb2900141,0x8df303a8}},	//   _reducció_, _bobubi_, _vogar_, _পৃথকৰূপে_, 
   {{0x024601ab,0x779301b8,0x8e52021a,0xe2d80229}},	//   _जुनली_, _kriteeri, _barbadee_, _gunel_, 
   {{0x32740092,0xb38801b9,0xa60901a7,0x7a7e01dd}},	//   _どうもありがとう, _responsi_, _valokuvi, _arwanira_, 
   {{0x339601d9,0xc3f8005b,0x6de4015e,0x46250787}},	//   _missen_, _fukui_, _бездерин, _milinovi, 
   {{0xd7220411,0x00000000,0x00000000,0x00000000}},	//   _телеведу, --, --, --, 
   {{0xb26d00b0,0x9b8003dd,0x35e80325,0x3d5902ea}},	//   _haboon_, _injoranc, _balansı_, _кренвирш, 
   {{0xdcb3004b,0x413100fe,0x627e042a,0x38270060}},	// [5eb0] _akhauntu_, _ekitauto, _asoni_, _قاراقات_, 
   {{0xdcee011d,0xd6250092,0x76960399,0x135b0153}},	//   _предэ_, _クチコミを紹介_, _kelekoli, _八千代グリ_, 
   {{0xc30c0212,0x0e9000be,0x326d0009,0x00000000}},	//   _sodales_, _كىيۉۉ_, _zavor_, --, 
   {{0x1bfa016d,0xd26d0488,0xfd650046,0x30f40010}},	//   _جىمجىت_, _savos_, _чынгыз_, _besikuhl, 
   {{0x93ea0396,0xb2d701db,0x7c5800c1,0xe3f801da}},	//   _dejta_, _تانتمىن_, _bentrok_, _menuja_, 
   {{0x4b3b0039,0x628d0285,0x2cd8002b,0x622b01b2}},	//   _италийн_, _amikoro_, _উপপত্নী_, _atomize_, 
   {{0x92d801a4,0x82480119,0xcf2d01ad,0x7a0a0272}},	//   _bomeli_, _demmin_, _madugnga, _balagula_, 
   {{0x616a00d1,0xc48f0315,0x4523061d,0x1e940177}},	//   _ঘটনাসমূহ_, _bangakak, _фондта_, _реиҭалхр, 
   {{0xb3ce0342,0x2c32018f,0x327300ee,0xd2000414}},	//   _cheve_, _bimatlhc, _aisialdi_, _moniga_, 
   {{0xc559045b,0xf0b60025,0x63f8023b,0xa368040f}},	//   _наступно, _adveṣṭet, _pukui_, _sergant_, 
   {{0x915d00be,0x8a9701a3,0xf3290299,0xf0230053}},	//   _ايىتچى_, _سوگھو_, _ئاتۇشتىك, _berdecak_, 
   {{0xaa0a017e,0xe1c5020e,0x139602c7,0xa2a60313}},	//   _kataluna_, _европала, _kissen_, _nadba_, 
   {{0x51c700bc,0x66220040,0x38670064,0xc9f600c0}},	//   _واستون_, _אייקונים_, _аркалап_, _kabaligt, 
   {{0x1a680037,0xb4b80385,0x120b04d7,0xc8d80308}},	//   _ከአምናው_, _propisuj, _botnleðj, _beresolu, 
   {{0x2e47012d,0xa27e012c,0xcc0b0374,0xbf2001ec}},	//   _greanpea, _usoni_, _усуллард, _dikuwasa, 
   {{0xf3020016,0xf3780264,0x9130011a,0x7b6a01f7}},	//   _surbaze_, _linatin_, _ומעצבים_, _castelha_, 
   {{0xf3160079,0xced50066,0x8c0c04ca,0x0ae203ae}},	// [5ec0] _nedaudz_, _soziolin, _bompard_, _fastsett, 
   {{0x21f90120,0x96c70168,0xdf2d0343,0x00000000}},	//   _kataytah_, _fagarbei, _nadugnga, --, 
   {{0x56cc0310,0xeb8302c7,0xeb6e00a3,0x1b63007e}},	//   _cheangai, _soundkar, _bestilla_, _असिना_, 
   {{0x45a70155,0xd2480014,0xc5fa01eb,0x329001df}},	//   _misslyck, _agimi_, _amigokué, _lanark_, 
   {{0x330e0173,0x62a6002a,0x22a80144,0xe417002b}},	//   _অধ্যাপক_, _kembge_, _dídean_, _হারহান_, 
   {{0xe7ce03e4,0x82c5023e,0xe81b03e6,0xfec1043f}},	//   _asiskaki, _diimpor_, _allerdën, _okončanj, 
   {{0x33950116,0xfc60022a,0x43ea03dc,0xf2d0002b}},	//   _feasts_, _frutiks_, _koltur_, _মহাকাল_, 
   {{0x7303007b,0x129e023e,0x617900a7,0x9a170183}},	//   _awmaist_, _budjana_, _ароматты, _hisarika_, 
   {{0x82ec01b9,0xa8fe027f,0xe3fa0052,0xe2920107}},	//   _ensilte_, _birahind, _ostudu_, _dewapi_, 
   {{0xc75e0017,0x6dfd009a,0xaa580290,0x762e041c}},	//   _चार्ल्स_, _کلنتن_, _acceptia_, _leeralal_, 
   {{0xb98c019d,0xef28001b,0x00ad0139,0x274300d7}},	//   _machinga_, _barressa, _bisabhāg, _ҡуйсы_, 
   {{0xbb2a0272,0x599d0398,0x934200fd,0x1212003a}},	//   _ababodab, _карын_, _ciseorn_, _olcha_, 
   {{0x41420037,0x8fcc01d5,0x30350185,0xa7620559}},	//   _በህገመንግስቱ_, _کلفٹن_, _станцияд, _amahlamv, 
   {{0x526000b9,0x01b70202,0x839c0370,0xaafc0428}},	//   _boyolali_, _irinṣẹ_, _balagonj, _potrebne, 
   {{0x8f6400bc,0x3ed700a4,0x497f01e7,0x00000000}},	//   _aanangin, _аннексия_, _explodéi, --, 
   {{0x7b3b00bc,0xcb8200ba,0xc29000a5,0x663a0158}},	//   _رسيده_, _هێزبوونی_, _pogai_, _gabineci, 
   {{0x27d30099,0x82fe00a2,0x82e70418,0x54980059}},	// [5ed0] _akarongw, _kirahisi_, _bornova_, _parabrez, 
   {{0x7f210165,0xf7e800ac,0x1ae305e0,0x069f00e6}},	//   _lokuyara, _ratarstv, _teletrab, _为构建社会主义和, 
   {{0x817700c7,0x9d3600da,0xa58f00c1,0x0655006f}},	//   _invalidl, _патрией_, _छंदोमयी_, _saahiihi, 
   {{0x6200008a,0xe6900208,0xf8ff02be,0x83860371}},	//   _alnima_, _بالیسان_, _dinaramd, _sagre_, 
   {{0x22d7014e,0xea9502bb,0x2bce0156,0x720001da}},	//   _otrovno_, _आत्मीय_, _אובאמא_, _jonida_, 
   {{0xd63e0091,0x626e0764,0x5fc30127,0x1e6b00a6}},	//   _maligali, _musoro_, _ollivier_, _amacephe_, 
   {{0x11f502ba,0xa3c600c1,0x127e007f,0x39bf03b7}},	//   _супорад_, _सुटसुटीत_, _cronni_, _armelite, 
   {{0x52ba0252,0x122a0139,0xe2bb0188,0x4eb701ac}},	//   _manditi_, _प्रचलति_, _ahlelwe_, _عرفته_, 
   {{0x0a8b0253,0x142a0052,0x1ffe0397,0x539f0137}},	//   _nipilers, _upraveno_, _abekicko, _түшмэлий, 
   {{0x524802df,0xbc620095,0x17c300d1,0x322b0359}},	//   _ugama_, _aturake_, _বিবৰণ_, _sammele_, 
   {{0x4da004f9,0x9dd00010,0x527e007f,0x42000275}},	//   _akunnera, _hlakanip, _gronni_, _toniga_, 
   {{0xe18a018d,0xa2a0002b,0x763e0205,0x427f0056}},	//   _ይንገርካ_, _বহিষ্কার_, _xalifali, _бокувват_, 
   {{0xeae50271,0x1db70058,0xbea10073,0x7c690037}},	//   _rekrutte, _mitifida, _infracte_, _ከበሽታው_, 
   {{0xf3210235,0xa1c900ec,0x6c9f0227,0xf30c003f}},	//   _ajayat_, _pavardė_, _isteriku_, _lykakis_, 
   {{0x53f80343,0xfbae0291,0xc1570088,0x00000000}},	//   _dukut_, _يكرمكم_, _кампада_, --, 
   {{0xf30e0411,0xb13d0185,0x8a2d0291,0x00000000}},	//   _omtaler_, _ideologí_, _بتثبيت_, --, 
   {{0x62e90521,0x6ae60192,0xab90014a,0x150a003c}},	// [5ee0] _dënuar_, _besloten_, _anyagból_, _buntario_, 
   {{0x20480299,0x00000000,0x00000000,0x00000000}},	//   _سوپىزم_, --, --, --, 
   {{0xa3bd027b,0xd3ea02c6,0x69060119,0xae540281}},	//   _संयुक्तः_, _frederig_, _pinakadu, _innarlia, 
   {{0xcaae0066,0x4e370027,0xc2900190,0x67c80344}},	//   _тариалан_, _ladatata, _rogaw_, _atisaani, 
   {{0x127804e5,0x92b60022,0x44d700d7,0xf408036e}},	//   _abagerim, _hladile_, _ғазабы_, _dirichuk, 
   {{0xd5b2017d,0x96ce0287,0x9c6003dc,0xb3f800ad}},	//   _詳しくはこちら_, _strakoni, _munurin_, _jukut_, 
   {{0xf26d02ef,0x453a0464,0x686600c1,0x22b7005d}},	//   _angove_, _baribesh, _teoritis_, _imitãrõ_, 
   {{0x27c8013d,0xd49902b2,0x6d950034,0x00000000}},	//   _kristani, _fargerik, _feitustu_, --, 
   {{0x65be0244,0x32ca00b0,0xafea0486,0xf6510205}},	//   _брега_, _teeda_, _स्पाइनल_, _йиққан_, 
   {{0x0ff6025e,0xad1c0203,0x7a0c004d,0x5ff20109}},	//   _vinkonur_, _startloc, _一個小生命的讀白_, _बाख्राको_, 
   {{0x72ca00fc,0x3f6700ff,0xfdb4003c,0xf1b1002b}},	//   _boleghdi_, _בערזע_, _تومور_, _জাবেদ_, 
   {{0xec9c0188,0x5c770168,0x72d80240,0x42c700be}},	//   _гурда_, _harstad_, _kunea_, _تۉشۅنبۅد, 
   {{0xd9f801e9,0x2c6600a7,0x6dae0450,0x457d0037}},	//   _boradite, _малынып_, _feanklea, _የአልባሳት_, 
   {{0x930c0177,0x32900377,0x21aa004a,0x908d0092}},	//   _enlaces_, _logat_, _формасын_, _それにしても_, 
   {{0x438f0087,0x80e200be,0xf2d80507,0x92d500d9}},	//   _hanyaka_, _دەدىبى_, _berotot_, _korolla_, 
   {{0x585302da,0x31b700c4,0x92d803b5,0xeedb0479}},	//   _assuntos_, _ڊائجسٽ_, _merosot_, _közalkal, 
   {{0xfc2100ca,0xd99d00d0,0xc3610062,0x4ae700e6}},	// [5ef0] _shapley_, _таных_, _pungwij_, _精彩案例大讨论_, 
   {{0xb20000a2,0x8a270143,0x7c1503f0,0x00000000}},	//   _kukiri_, _диабета_, _digranes, --, 
   {{0x02900074,0x591b0148,0xef5c01f4,0x0e3403de}},	//   _alkaen_, _全國電子地圖_, _tugallan, _kubantwa, 
   {{0xe2e802db,0xdb1a02bd,0xd38603b0,0x984600a4}},	//   _apliken_, _amcanion_, _lagra_, _titulars_, 
   {{0x3c7a0341,0x06720119,0x8c920061,0xb290008b}},	//   _süresi_, _mendrisi, _저작권법의_, _dogat_, 
   {{0x7ebe0037,0xb9000099,0x83f8022c,0x00000000}},	//   _እሰጥሃለሁ_, _chepurog, _cucul_, --, 
   {{0x90f3002c,0x6c0a000c,0x83940255,0x404600d8}},	//   _техникий, _ambohyru_, _seisab_, _apartien, 
   {{0xf394036e,0x12fc01b5,0x8b660013,0xeb1c0203}},	//   _quispe_, _bikawusi_, _урушни_, _mahagonb, 
   {{0xaabf0017,0x854f0311,0xcd9d019a,0x79f30109}},	//   _slavnost, _ምትፍናንን_, _hatesome_, _artritid, 
   {{0x23410175,0x935b032d,0xc09200e6,0xaed90418}},	//   _endesan_, _bokgoba_, _常见使用问题_, _aleyhine_, 
   {{0x9c4d01b2,0x92d80074,0xa55103d5,0xc85f0040}},	//   _exacting_, _nimesi_, _anchasly, _במעשה_, 
   {{0x62d80077,0x3793053e,0x6373056d,0x89f6015e}},	//   _anmezi_, _drivstof, _bafakwe_, _entès_, 
   {{0xad8a0037,0x7386022b,0xee4201b2,0xc2ff0281}},	//   _አብዱራህማን_, _fagra_, _altarage_, _angivoq_, 
   {{0x3e95015e,0x420000a9,0x0ffd003c,0x60d300d1}},	//   _руханий_, _tukiri_, _پسوورد_, _এপ্ৰি_, 
   {{0x068c010d,0x43f8012d,0x3b660041,0xcc4802ef}},	//   _फ्राय_, _lukuk_, _дызцәыӡы, _kabwèt_, 
   {{0xd2d8046b,0xa4970162,0x7c13019b,0x29b700d2}},	//   _hufen_, _نۇسقىسىن, _truputi_, _bandéra_, 
   {{0x00000000,0x00000000,0x00000000,0x00000000}},	// [5f00] --, --, --, --, 
   {{0x829e036e,0x81080229,0x22120050,0x5fa2004b}},	//   _akojtin_, _yəhudilə, _alkhl_, _ehelitso, 
   {{0x5694018b,0xb28e01cd,0xc361046f,0xb3860120}},	//   _prieteni, _болорави, _flammang_, _mehrat_, 
   {{0x2c660135,0xc3f801d8,0x04bb018d,0x7f2801fc}},	//   _барысы_, _rukum_, _ይመሓየሽ_, _garrissa, 
   {{0x2290011f,0x9fdb01de,0x95fc0222,0x66da03b6}},	//   _angao_, _جىمسىما_, _profondé, _níresà_, 
   {{0xa32401f7,0x0378046f,0xe64d02fd,0x828a0053}},	//   _suicidi_, _schafen_, _camhanai, _mahkluk_, 
   {{0xe1320197,0xa36f02ce,0x20fb02c0,0x63940631}},	//   _candambl, _wangsit_, _скромни_, _friste_, 
   {{0x564b0002,0x51de0047,0x292b00b6,0x598d0332}},	//   _njihovom_, _souhaité_, _qammalta_, _cachonda_, 
   {{0x1b2d023e,0xc27e01a4,0xadc200e6,0x5ea501c9}},	//   _rembulan_, _apona_, _是一个从事管道内, _vallavan, 
   {{0x929004f2,0x47b4036d,0x83960224,0xa2bb028a}},	//   _gioan_, _arfuntai, _vissan_, _sekenke_, 
   {{0x03f801af,0xb3940320,0x3e54014c,0xc7ef01f4}},	//   _hukuk_, _kriste_, _akubanga, _bajarilg, 
   {{0xb33f01c6,0x3142025b,0x52800381,0xf59d023c}},	//   _ekskurzj, _handilsl, _aorimay_, _basemaxh, 
   {{0xe448041a,0x9709009b,0x9ba6015e,0x87c80788}},	//   _плануван, _лениний_, _جىلمايعا, _uposleni, 
   {{0x0636053a,0x6c61012c,0x02f500c5,0xf88203fb}},	//   _završila_, _kuvutia_, _数据加载中_, _pozivaju, 
   {{0x923700e4,0xe3a20182,0x85a10255,0xd1e601c5}},	//   _chomika_, _olopua_, _देवत्_, _faafiyay_, 
   {{0x438f0103,0x524a01dd,0x4f3900db,0x00000000}},	//   _panyika_, _ntumwa_, _देखियौक_, --, 
   {{0xce9b0212,0x72900130,0xbe4f0230,0x4733004d}},	// [5f10] _aplusnet_, _ingal_, _komannma, _花蓮縣長謝深山_, 
   {{0x62d9001a,0x7b390074,0x935d004d,0x824a0090}},	//   _fidesz_, _охраны_, _辦理體育訪視_, _atumwa_, 
   {{0x239402ca,0x1c140406,0x4264011d,0xba9a0289}},	//   _briste_, _उपक्षेत्, _omului_, _akuyembe, 
   {{0x7aa30212,0xf20e01c7,0x69e703fb,0x75fe020f}},	//   _areyouhe, _лакам_, _osnovama_, _مسلمانۍ_, 
   {{0x2ecc018c,0xbc680101,0x32db01f7,0x837900c1}},	//   _loniness_, _acordul_, _identic_, _jebakan_, 
   {{0x720000ab,0x62ca036f,0x7cb3008d,0x2c280257}},	//   _minita_, _prodje_, _yunayted_, _setningu_, 
   {{0xa464033b,0x75950096,0xb5370143,0xd31102a8}},	//   _direkoto_, _ataratek, _алергичн, _iqabblu_, 
   {{0x7e2a0125,0xbc6800e4,0xcea101a3,0x43f9006e}},	//   _билдирже, _szeroko_, _ترسڻو_, _defuma_, 
   {{0x4d0c00cf,0x5f0901f4,0xf2ca00b6,0xbf2701df}},	//   _industir, _хислатла, _reedo_, _osteopon, 
   {{0xf2900005,0xdc160638,0xf0d20041,0x9f53016f}},	//   _angal_, _søster_, _ақәзааит_, _домашня_, 
   {{0x93f80107,0xbe420253,0xf30601f0,0x00000000}},	//   _dukuh_, _allapput_, _fetogeng_, --, 
   {{0x329104da,0xe103059e,0x92e001e8,0x3411044a}},	//   _vanjske_, _anikezel, _inunlan_, _omonanak, 
   {{0x03070266,0x6c7c011e,0x1190003c,0xc8eb0299}},	//   _jugalah_, _laksyon_, _بلندتر_, _ئەختەرنى, 
   {{0xe2000564,0x79720611,0xbc160139,0xc34002df}},	//   _dinita_, _dennsine, _पूर्णचन्, _solekan_, 
   {{0x5411011b,0x13cf0008,0xbeaf01e7,0x7a77020f}},	//   _amonanak, _anaven_, _coplanin, _راهستي_, 
   {{0xe655003b,0x23030357,0xa722024a,0x92e90289}},	//   _atsintfw, _matantu_, _infurarẹ, _dalitso_, 
   {{0x4cc404d7,0x2512046d,0x7c3503d2,0xac9e02c2}},	// [5f20] _hamingju_, _nyeletsh, _expedíci, _skorsing_, 
   {{0xddbe003a,0xe3f4016a,0x720003ad,0xf2370009}},	//   _sahifala, _fettes_, _sonika_, _krajev_, 
   {{0xab940285,0xe71200bf,0x0d9c00ad,0x03940014}},	//   _ishingir, _невежест, _kaloloba, _priste_, 
   {{0x5e3b03be,0xda720244,0x520000aa,0xc4a60322}},	//   _baragera, _скрит_, _kinita_, _bakanyuz, 
   {{0x2b210010,0x72ca01ab,0xd9740156,0xf25a032c}},	//   _akaphele, _teede_, _טאַלמיד_, _imilli_, 
   {{0x79f7015d,0x1a9e0040,0xa49702a0,0x3bec0039}},	//   _पुनरीक्ष, _ויזואלית_, _ilosiwaj, _будилаан_, 
   {{0xc9f70789,0xf84b04fc,0x2ef20193,0xcc3600d1}},	//   _nangaphe, _manuales_, _झुणका_, _বিষয়তে_, 
   {{0x67a60147,0x28f20128,0x866c00d0,0x62fd0102}},	//   _تاسىىر_, _аталувчи_, _хурга_, _tafakari_, 
   {{0x34130333,0xf29001af,0x00000000,0x00000000}},	//   _armistiz, _bogaz_, --, --, 
   {{0xb2d8022a,0x120100d5,0xa9bb0074,0x9e530046}},	//   _lunet_, _fofifa_, _koneesta_, _vinculat_, 
   {{0x314d0437,0xaad600a5,0x47a5032c,0xcc140515}},	//   _forestil, _anatinat, _akornati, _prestess, 
   {{0xb646040a,0xd4140177,0x9c2800e6,0xf2f601e7}},	//   _fraktfri, _инаҭоушә, _和讯财经原创_, _béisen_, 
   {{0x4291012d,0xd21901ef,0xaacb00d9,0x00000000}},	//   _kowan_, _распарад, _karjalas, --, 
   {{0x647f024d,0x0eb700bc,0x0d8f021b,0x52d50160}},	//   _enzekako_, _پرستو_, _kokoonpa, _zamolio_, 
   {{0x0eb3000c,0x52ca0255,0x94720024,0x4f1b00d9}},	//   _saussure_, _reede_, _ন্যায়াল, _украину_, 
   {{0x4200006a,0x7b1e030a,0x585002a1,0x42d40297}},	//   _monina_, _castañas_, _bykomend, _birdel_, 
   {{0x7b200334,0x429102ec,0x1a11028a,0xef880037}},	// [5f30] _ankalamb, _qiyaas_, _مجلسون_, _በታዋቂው_, 
   {{0x8c5e00c5,0x09f704a5,0x58f700fb,0xac7501c4}},	//   _查看同主题问题_, _bangaphe, _bangaphu, _onsself_, 
   {{0xa6d40322,0x436c0026,0x50d903d4,0xa0350034}},	//   _akabandi, _eigentij, _заповеда, _endranær_, 
   {{0x939402f3,0xc9f50125,0x6ba400b7,0x124801a2}},	//   _priset_, _akgül_, _кенарынд, _laime_, 
   {{0xa2120254,0xd31f0220,0xfbce03a2,0xb25b0344}},	//   _coche_, _rischio_, _जंजीरों_, _imalli_, 
   {{0x262304bb,0xfd9e0544,0x3620015d,0x13f40251}},	//   _daimntaw, _makemake_, _dokonani, _kastuu_, 
   {{0x426e00a4,0xc3eb0107,0x32020151,0xf61100ba}},	//   _aprova_, _tlatah_, _eerily_, _ئابڵوقه_, 
   {{0xc29101c4,0x196c0205,0x13f9003f,0x729501be}},	//   _skaars_, _audiomat, _lusud_, _potkali_, 
   {{0x62520378,0x4b080074,0xe3f80487,0x82de03d5}},	//   _deildini_, _kaupassa_, _orkut_, _aardwolf_, 
   {{0x4f2a0257,0x263900be,0x5378016b,0x0bdf0299}},	//   _austurla, _medicaci, _annabin_, _ئاتتىللا_, 
   {{0x6402000e,0x49fa017d,0x29bb0407,0x797704f9}},	//   _apartmen_, _forsvind, _nesvakid, _annikitt, 
   {{0x979800c8,0x19f700b4,0x25d001ec,0x248900d9}},	//   _башланас, _sanatate, _پروانگان_, _англии_, 
   {{0x304001b9,0xd310021c,0x32d80055,0xf2db0366}},	//   _grandioz_, _obrazky_, _appossu_, _ансăр_, 
   {{0x3248042b,0x325b00cf,0x92e203b7,0xee900046}},	//   _naime_, _amalli_, _aratekay_, _شۉگۉر_, 
   {{0xf2120415,0x02d80231,0xe2c300e6,0x7b1a03eb}},	//   _woche_, _yunel_, _奔波的任务之_, _rampbest, 
   {{0x24150009,0xd4a10262,0x32cd029e,0xe7c9012a}},	//   _blagajno_, _көпленч_, _ainoueg_, _systemow, 
   {{0x2b1d02fe,0x0248019b,0xf08d0220,0x8f700291}},	// [5f40] _الاجل_, _kaime_, _половина, _albainis_, 
   {{0xe4b100ba,0x96390046,0x022d0087,0x32a604a4}},	//   _میکایل_, _dedicaci, _hlavutel, _fiobha_, 
   {{0x33940116,0x06ab03e6,0xae8e00e6,0x9a120244}},	//   _beists_, _baigelei, _其他有关文件_, _descrive, 
   {{0xbd8f0191,0x73f90414,0xcc2c0061,0x988d0024}},	//   _imponera, _bobuki_, _화분자재류_, _গৱেষণাৰহ, 
   {{0x99cb0092,0x66280087,0x0a0d0067,0x00000000}},	//   _出版社からのコメ, _etlilasi, _fagaanne, --, 
   {{0x707c015e,0xc3960265,0x4a970195,0x228e02fc}},	//   _الاقا_, _vissen_, _dooyewee, _amakoro_, 
   {{0x7e9c0080,0xb2910141,0x03030127,0xfb760338}},	//   _alimasin, _negaki_, _dilamet_, _avalorac, 
   {{0x1d2f00c7,0xaf5502b9,0xe2010321,0xa2240095}},	//   _iminlege_, _اندیشے_, _novica_, _adiké_, 
   {{0xce3a00ab,0xa3e700d1,0x5fa70037,0xb2300168}},	//   _metarara, _নবীকৰণ_, _gementar_, _allmenn_, 
   {{0x6386004a,0x5d3201db,0x5b180208,0x32d20025}},	//   _egorov_, _اۋماعىند, _موسلیم_, _dhammā_, 
   {{0xb2d902e2,0xe2bb0388,0x92e902c6,0xb34302a8}},	//   _aconite_, _manette_, _dennont_, _għeruq_, 
   {{0x124900ee,0xc2910122,0x3b340126,0xad350059}},	//   _eremua_, _sowan_, _рекламуй, _гуцанов_, 
   {{0xd2c1032e,0xb2910120,0x22810154,0x00000000}},	//   _kullaka_, _dowal_, _скаун_, --, 
   {{0x0af10060,0x02f10220,0xc290033f,0x986e00ea}},	//   _بىلگە_, _инсталир, _ingaa_, _atsimond, 
   {{0x0290023b,0x7a07038b,0x83560153,0x22480133}},	//   _anoai_, _tegasnya_, _ソフトウェア開発, _deemanii_, 
   {{0x73d502ee,0x31fd00da,0xbee00309,0x521902a8}},	//   _protetti_, _презенте_, _aktyorla, _bankarji_, 
   {{0x9d0700b4,0x86b70282,0x4ff3005b,0xc3a30139}},	// [5f50] _пионере_, _maharati, _esthetic_, _atapā_, 
   {{0x13940047,0xcf8300c5,0x22880497,0x00000000}},	//   _puisse_, _提问者对最佳答案, _buckram_, --, 
   {{0x2d28037c,0x2fd30068,0x537a01e1,0x75bd0061}},	//   _digichat_, _sannadoo, _bonaril_, _아이디어상품_, 
   {{0x25aa009a,0x924800bc,0x4c730081,0x13590037}},	//   _akasolok, _agami_, _skortur_, _በማራቶን_, 
   {{0x027e0103,0xd3eb0125,0xc6c8004f,0xc3a3015b}},	//   _apone_, _amatly_, _bagaasam_, _inapim_, 
   {{0x1234018b,0xbda3034e,0xd18f002b,0xfac90144}},	//   _меломани, _akunatap, _মহানবীর_, _iseatóp_, 
   {{0x429000fe,0x665a0139,0x327e0217,0x55880089}},	//   _angaa_, _apabhraṃ, _spinos_, _байтакта, 
   {{0xcc03009a,0x44b10255,0x1f4902cb,0x82d80101}},	//   _scoping_, _aprillil_, _prestaje_, _punem_, 
   {{0x260d001f,0xd2b4039f,0x93a20226,0x00000000}},	//   _obomengf, _bundled_, _koopsa_, --, 
   {{0xe2ca00b0,0xbb640107,0x11b3014e,0xe5bd029a}},	//   _geedi_, _manungsa_, _походе_, _orizinal_, 
   {{0xef2501d7,0x1c6d0088,0x00000000,0x00000000}},	//   _pertucca, _barranc_, --, --, 
   {{0x752c00fc,0xa29100bd,0xa6040080,0xeff2005b}},	//   _biyintah, _cowal_, _atulussi, _dithiblo, 
   {{0x49280045,0x493f0040,0x58870137,0xa30c0409}},	//   _сектору_, _נצטרך_, _хавайд_, _citatet_, 
   {{0x735e0277,0x377c0297,0xc63600f6,0x12d60188}},	//   _hangtod_, _жанрлары_, _sahibidi, _умраш_, 
   {{0x3fcc0205,0xb4a4018d,0x8e40036c,0x22cc05a8}},	//   _minnatdo, _ዝተሓላለኸን_, _andalamp, _miflato_, 
   {{0xf2ec029a,0xf9c20275,0xc0cb0437,0xe2bb0297}},	//   _ensiste_, _atumuina_, _hukommel, _cimerde_, 
   {{0x1ecb030c,0x4c7f02bf,0xa28d0129,0x9da900d7}},	// [5f60] _ministan, _akusiko_, _kachanu_, _bososhia, 
   {{0x0b020390,0xcac300a7,0x8d3d0053,0x5efc0035}},	//   _konfrans, _пунктуна_, _परिक्षेच, _kanadanı, 
   {{0x92da0499,0xa6b500d1,0x329e00bc,0x14320627}},	//   _foueti_, _আমোলাৰ_, _ardjuna_, _hanbombo_, 
   {{0x9b1a028d,0x0292019f,0xd41d022f,0x546800e6}},	//   _lokazion_, _hewani_, _akcinink, _应当承担赔偿责任_, 
   {{0xd9f7005c,0x53410208,0xff4d0264,0x9b970120}},	//   _bibiliya_, _منتان_, _kampante_, _ullaaló_, 
   {{0xd8db0080,0xa01e0061,0x12000015,0x88220061}},	//   _amerling, _청양고추를_, _anniga_, _부럽습니다_, 
   {{0x59e103b4,0xc3f801c9,0xb62e02c3,0xb212004b}},	//   _adzingwa_, _lukus_, _vstavaný, _hocha_, 
   {{0xe212019f,0x625702d5,0xebb40109,0x00000000}},	//   _kocha_, _फ्रेँच_, _maturitě_, --, 
   {{0xd43f0276,0x727e006d,0x830d0005,0xe3f8008d}},	//   _обзорида_, _zmoniu_, _intacts_, _nukus_, 
   {{0x120100e5,0x0e290156,0x1b160126,0x92910265}},	//   _anvisa_, _akumulis_, _академік, _zowat_, 
   {{0xf2120036,0x86d100b9,0xead2003b,0x9f59004d}},	//   _locha_, _लिपिक_, _ayotitse, _情色文學分享區_, 
   {{0x285500d1,0x5e4a0184,0x00000000,0x00000000}},	//   _ছিলভাৰ_, _narakuba, --, --, 
   {{0xc82201e1,0x7c1100a8,0x0bd70137,0x114100d9}},	//   _делегатт, _simposi_, _чимгээ_, _страшное_, 
   {{0x333301c5,0xf2b403ac,0xeea7014e,0xa2900472}},	//   _baaxad_, _buncit_, _poduhvat_, _jngan_, 
   {{0xa9090106,0x1e9b0192,0xfc680297,0x429003b5}},	//   _विवेकानं, _저장하였습니다_, _петрик_, _dngan_, 
   {{0x521201e1,0x1c6201f7,0x52900034,0x5c5500c8}},	//   _bocha_, _meurthe_, _engan_, _пландар_, 
   {{0xf2900075,0x3bca02c0,0xc0d40156,0x6c17003c}},	// [5f70] _ongan_, _фондации_, _ורפואות_, _حوضچه_, 
   {{0x229102a1,0xe682078a,0x0291044d,0x72120195}},	//   _sowat_, _इकबाल_, _bowas_, _docha_, 
   {{0x79210255,0x12440154,0x2301005b,0x31880262}},	//   _समाजे_, _педикуло, _burakki_, _binasyny_, 
   {{0x921202ab,0xfc480177,0xf2d80240,0x64d000ba}},	//   _focha_, _arandúva_, _kunei_, _میسرییه_, 
   {{0x8a7f002a,0x6bf3014d,0x23b9038d,0x969f0156}},	//   _garagara_, _vertrieb, _swivant_, _ופּדאַטע, 
   {{0xd20000f3,0x86360466,0xcae50148,0x495e0210}},	//   _adliwe_, _završili_, _研究學者介紹_, _akandite, 
   {{0x8bdf0170,0x773a03dc,0x2a7f0134,0xefd302c4}},	//   _achenjer, _djurholm_, _daradara_, _неповрат, 
   {{0x92cf029a,0x6b940016,0x7c74027b,0x20230101}},	//   _armonye_, _grandeco_, _शिष्यं_, _expoziţi, 
   {{0x92e7050c,0x414701bd,0xbff70397,0x9d57007e}},	//   _ग्रीक_, _насихат_, _abayikun, _पिंगलक_, 
   {{0x924800cf,0xdf300354,0xf2e30342,0x00000000}},	//   _ambootti_, _ячекисин, _fakilte_, --, 
   {{0x5a13020f,0x39d4038e,0x1e4804b2,0x92660229}},	//   _ababumba_, _कलियुग_, _lumalaba, _yastıqla, 
   {{0x6b270126,0x7d860187,0x6b5b032c,0xf2ca02d5}},	//   _пропонує, _кратки_, _ankersen_, _leedu_, 
   {{0xa340017e,0xc71b01d9,0xf3790278,0x5fd600c7}},	//   _someron_, _gespréic, _sezaman_, _gorzelen, 
   {{0x03940558,0x639402fc,0x6626033d,0x00000000}},	//   _idosa_, _atishe_, _ontoloji, --, 
   {{0x360e03e6,0x80910148,0xce5f038b,0xa25404ca}},	//   _fotoseri, _參觀人數統計_, _tambahka, _recensam, 
   {{0x3fb30442,0x02d800f4,0xf74e04c7,0x00000000}},	//   _mustajab_, _arnev_, _крова_, --, 
   {{0x01da0113,0x12910166,0x520200bc,0xfdac022c}},	// [5f80] _beagnach_, _sowas_, _atsiri_, _kongkrit_, 
   {{0xb2fe0261,0xcf500238,0x231e007f,0xc229023d}},	//   _skribis_, _ідентифі, _deinamig_, _знамена_, 
   {{0x32d80288,0x35860256,0xf0b8004d,0x186e01c8}},	//   _erneu_, _sportisk, _我就是個普通人_, _recyklov, 
   {{0x7ecb0147,0x929001d3,0x9e3d003e,0x00000000}},	//   _فرىدرىس_, _angav_, _долларҙа, --, 
   {{0x129100e4,0x480604c9,0xcc6e0263,0xe67600c4}},	//   _towar_, _böblinge, _soorten_, _پائمال_, 
   {{0xa38701f5,0x51050678,0x54060094,0xed870164}},	//   _nyaris_, _mamičky_, _بايقاي_, _тармар_, 
   {{0x6bd10139,0x0839005e,0x02cb0014,0x91dd0045}},	//   _अजायत_, _ﺗﻪﻳﯟﻩﻥ_, _muslimi_, _заиграла_, 
   {{0xa29001c2,0x127a0359,0x52480118,0xf264000e}},	//   _ligan_, _persoanl, _agamu_, _geplac_, 
   {{0xcd2b0118,0x19e704a4,0xb3940198,0x1c5301f1}},	//   _abantube_, _bhaoghla_, _stiske_, _teatrin_, 
   {{0x93f0011e,0x55ee030a,0x3a9a0226,0xa55906c9}},	//   _konsansi_, _predició, _ikuyembe, _diakuiny, 
   {{0x13f80250,0x3248028f,0xdf29000c,0x228d03b0}},	//   _bukur_, _raima_, _башкириа, _maskina_, 
   {{0x4c9c008d,0x7e9300c6,0x3a69078b,0x72360548}},	//   _тунда_, _короля_, _शनिश्चर_, _viljen_, 
   {{0x28f8014f,0x25480148,0x825a0256,0x4e9b0061}},	//   _византиј, _國立政治大學_, _nulles_, _세무회계서식_, 
   {{0x2cfb02b7,0xf47f00ee,0xb65c03b7,0xab34004d}},	//   _fulundïg, _direlako_, _acmilanw, _各契約的最後交易, 
   {{0xd23800e4,0x92d702e7,0x63eb013d,0xf57e02ac}},	//   _chomiki_, _azaleas_, _preter_, _بأقلام_, 
   {{0xb2cb0097,0xe394017f,0x621d00c6,0xaf9b02e2}},	//   _ajadun_, _puisit_, _пазух_, _brieyder_, 
   {{0xfaf80010,0x5248030f,0x77540091,0x527e025f}},	// [5f90] _akasakat, _taima_, _ukuninng, _aponi_, 
   {{0xd3eb0659,0x222a00af,0xe2d60294,0x6a11023d}},	//   _serta_, _понад_, _abelpis_, _garanzia_, 
   {{0x43fd02ac,0x710800bb,0x18ed0315,0xfa360211}},	//   _وتنظيف_, _رحمہم_, _bangancu, _научной_, 
   {{0xda1b01c4,0x033701db,0xe0b200e6,0x5544006c}},	//   _kampeerd, _مۇڭايامى, _科技时代意见反馈, _ayeyinik, 
   {{0x03eb03a8,0x3c6d01fc,0x8f570073,0x5dfb0073}},	//   _verta_, _doorita_, _ubiquita, _venerate_, 
   {{0xcc7403a7,0xa2e00402,0xb29004aa,0xf8a7019d}},	//   _prsteň_, _nubuwwah_, _engat_, _amajambu, 
   {{0x139d05f4,0x347e02fe,0x741a005b,0x34060052}},	//   _ayopayam, _babenako_, _changmik, _ग्वाल्ले, 
   {{0xc29000a5,0x6c6900b5,0xc18e0234,0x00000000}},	//   _migao_, _kuruvai_, _ríkúkó_, --, 
   {{0xf290034d,0xb6330390,0xca9701d5,0x4290024f}},	//   _ingat_, _yubileyi, _اوجھل_, _figan_, 
   {{0x6a4802f6,0x8b50004d,0x682300be,0x00000000}},	//   _pasensya_, _臺北電子報_, _كەلەەر_, --, 
   {{0xbb26014e,0x4eae0075,0x90b901c9,0xfdb30153}},	//   _научили_, _tillagin, _पारिवारक_, _全自動掃除機_, 
   {{0xa2b405b9,0xd40501e5,0xfabf0155,0xa5220090}},	//   _sundhed_, _amatekun_, _trevliga_, _akazotiz, 
   {{0xf3cf036b,0xe4fc0037,0x99540016,0xc2480277}},	//   _chuva_, _ተግባሮችን_, _agrokult, _maimo_, 
   {{0xc7e90374,0xfb8c016e,0x5200078c,0xb7780082}},	//   _ماورالنه, _kadinlar, _eskisi_, _fayyacew, 
   {{0x2c210261,0x1a660314,0x42900433,0x3fa504da}},	//   _גדליה_, _витязь_, _vigan_, _navečer_, 
   {{0xf84b018d,0xd9ed0282,0x1b4c0291,0x00000000}},	//   _ግዳማውን_, _pirongia_, _سجلالزوا, --, 
   {{0xc9e30275,0xc3f90189,0x12d80092,0x314501c7}},	// [5fa0] _aleipata_, _musun_, _ernes_, _bezemenl, 
   {{0x129003d5,0x0c6e03c3,0x4e3b017e,0x729004b2}},	//   _broach_, _zabrana_, _forlasis_, _angat_, 
   {{0xa24801ef,0xa6170211,0xf278024a,0xd91700d9}},	//   _kaimo_, _englanni, _finifini_, _призов_, 
   {{0x22250417,0xa9300025,0x97b40196,0x72cd00d0}},	//   _hoekom_, _पदार्थान, _kamuwuni, _ahulago_, 
   {{0x2c6701ca,0x73f800d2,0xe89a04a5,0xfe3700aa}},	//   _bimusha_, _cucuk_, _isikhulu, _kadapata, 
   {{0x47b3017e,0xab6b0233,0x235f0288,0xad80032c}},	//   _konsisti, _bigotter, _mungane_, _akivorlu_, 
   {{0x039500d7,0x839001e5,0x26460417,0x8c650298}},	//   _traste_, _akiyasi_, _verkiesi, _pepuere_, 
   {{0x13400403,0x62360155,0xd248005d,0x00000000}},	//   _biletan_, _midjan_, _naimo_, --, 
   {{0x2290023e,0x02e90009,0xc9d40037,0x358201b4}},	//   _tigan_, _odvisna_, _አያስደፍርም_, _nobelpry, 
   {{0xea08011c,0x67fa020f,0x1dca0361,0xd3fe0318}},	//   _awaasmaa_, _دډيورنډ_, _гипертек, _tanumaki_, 
   {{0x4f5702ce,0x6e010499,0x93130260,0x5a1701dd}},	//   _simpanga, _konekara, _salceda_, _bagataha_, 
   {{0x88ae0046,0x13540294,0xdd0f028d,0xe2ee0082}},	//   _اينۇرا_, _amperyu_, _lakorite_, _akanshi_, 
   {{0x32900075,0x62ca04bf,0x0290006e,0xdae00347}},	//   _ongar_, _svidja_, _digal_, _terugget, 
   {{0x2e3803cf,0x75990096,0x22ec033f,0x199a00cb}},	//   _galatasa, _abashenz, _lisiate_, _asikhule, 
   {{0x214403c2,0x9310016a,0xf2000488,0xe2e9019d}},	//   _furlough_, _akuzas_, _cukini_, _katimba_, 
   {{0xfe550217,0xda6601a3,0x4fb8019a,0xc3110054}},	//   _arrangia, _رامائڻ_, _chlorifo, _barbazu_, 
   {{0x80d0045c,0x33fa000d,0x62120121,0x89b801f0}},	// [5fb0] _vlastnej_, _natuke_, _noche_, _bilediwa_, 
   {{0x43f404b9,0xbe40002b,0x913f00a2,0x313102eb}},	//   _fasted_, _আবেগে_, _aliendel, _бичүүлж_, 
   {{0x330c045f,0x784e0178,0x4f27034b,0xa39500dd}},	//   _antalet_, _anyadvūt, _pulumamp, _bryste_, 
   {{0x649b02ac,0x62880141,0x581a0135,0x80f00040}},	//   _مفتاحية_, _kuchlar_, _воткинск_, _למזגנים_, 
   {{0x43860341,0x52480074,0x481e030d,0x00000000}},	//   _bodrum_, _vaimo_, _bankirlə_, --, 
   {{0x994e0257,0xfa7e0255,0x6d130437,0x63f800a8}},	//   _snarsvar_, _tellimis, _tilskuer, _arcun_, 
   {{0x929000ca,0xb27e0369,0xf41d00bc,0x00ab0017}},	//   _ligam_, _apono_, _ditindak, _spamboty_, 
   {{0x9f250076,0x41dc0518,0x7d4a0163,0x7b1a0233}},	//   _qualquer_, _клуби_, _آسانی_, _geoplast, 
   {{0x9c790261,0x519b023c,0x00000000,0x00000000}},	//   _tekstoj_, _دګازو_, --, --, 
   {{0x5d37009a,0x239503ae,0x3fe700f8,0x024801f4}},	//   _بکتاش_, _krysse_, _শুরম্ন_, _alimov_, 
   {{0xfc510362,0x4e410306,0xb8b90171,0x42e80258}},	//   _abotama_, _antapamp, _kočnice_, _elzinga_, 
   {{0x9290025e,0xeb8a02eb,0x73e6060e,0x29e40348}},	//   _engar_, _домог_, _हस्तरेखा_, _amansira_, 
   {{0xe98e0220,0x9309005e,0xb3f403ae,0x93f9005b}},	//   _васил_, _ئېتراپ_, _settes_, _meguro_, 
   {{0xe29002ec,0x4c690239,0xbb9e01c0,0x266b0110}},	//   _rogay_, _kurutai_, _fasikanc, _mazajām_, 
   {{0x407300d9,0xe37d004f,0xfb2c00ca,0xc249001b}},	//   _включает, _dogalub_, _albarras, _deeman_, 
   {{0xb3eb0122,0xa37f0289,0x00000000,0x00000000}},	//   _serto_, _kukaona_, --, --, 
   {{0x83eb06ac,0x2b820053,0x1e060241,0x72e70039}},	// [5fc0] _perto_, _गदिमा_, _feederaa, _ipiniko_, 
   {{0xaf6a01ef,0x8dfb01fb,0x346400c7,0x66c50050}},	//   _straipsn, _denegate_, _anasınıñ_, _pamanggi, 
   {{0xe2480172,0x32d8035c,0xa8db0040,0x0df001a3}},	//   _maame_, _tunet_, _rearrang, _سنتون_, 
   {{0xd85f00e4,0xd863020f,0x54b600c1,0x3d43008d}},	//   _samachar_, _amancand, _कानडी_, _tavallud_, 
   {{0x6201006a,0x7acc03ed,0x77c20397,0x221203a2}},	//   _sofina_, _equilíbr, _amagroov, _ओडीशा_, 
   {{0xf3400039,0xff4b0108,0xf30004e6,0x534b01d4}},	//   _bileran_, _bangblas_, _dinalaw_, _assestu_, 
   {{0x1d8b0035,0xb0b4027b,0xf2ef01c0,0x786303a2}},	//   _авторын_, _स्तुतौ_, _alkinta_, _तख़्तापल, 
   {{0x8baf0255,0xb81c0192,0x29230291,0x9fbb02e4}},	//   _षडयंत्र_, _자동차용품_, _نيوكاسل_, _inkluzjo, 
   {{0x22df0061,0xa5af00d3,0x33f90414,0x122503c3}},	//   _maandag_, _filmová_, _fusul_, _praksu_, 
   {{0x430f027a,0xa6dd014c,0x4fa90037,0x2f510040}},	//   _roditelj, _ababhali, _ያዳግታል_, _לטאבלטים_, 
   {{0x3e0901d5,0xe23700a9,0xaeae05b3,0x8ffb01a7}},	//   _کےبعد_, _akomoka_, _toelatin, _ставят_, 
   {{0x9ee40143,0xd7310148,0xebfb01b2,0x53eb004f}},	//   _авточаст, _無智亦無得_, _aalettyr, _gerte_, 
   {{0x0982061d,0x7ec5021c,0x92480255,0xf28e0326}},	//   _ройтерс_, _referenč, _taime_, _angangom, 
   {{0xd3f401f2,0x42d80101,0xd217006d,0xb2900403}},	//   _курсини_, _nimeni_, _курортна, _angah_, 
   {{0x12fc00a5,0x39d00043,0xf2d80014,0x60dd011b}},	//   _gaogao_, _alitunuu, _punet_, _emonisel, 
   {{0xd4ea0057,0xe2d8023b,0x82c10118,0x00000000}},	//   _መዘምራን_, _himeni_, _akolera_, --, 
   {{0x168b04bb,0x589700be,0x92e30277,0x378c0102}},	// [5fd0] _tsimmeej_, _تىلبىزدە_, _gilibre_, _kumwambi, 
   {{0x08270137,0x9382034e,0xb7240065,0xf290010d}},	//   _банзал_, _chirarim, _stimmung, _engah_, 
   {{0xf2020224,0xfa8801a7,0x8bff0376,0xc6bd027c}},	//   _árinu_, _uskovais, _langgaar, _besenziw, 
   {{0xa4ee02b2,0x92d90005,0x84200022,0x26150155}},	//   _підготов, _luven_, _dikalafo_, _faktafel_, 
   {{0xcdbe00aa,0x5d69016f,0x00000000,0x00000000}},	//   _kapihana, _бандерів, --, --, 
   {{0xd69a012b,0x0380050b,0x72d80194,0x340f01b0}},	//   _lubelski, _jepret_, _yunes_, _cotretan_, 
   {{0x8d120163,0x4e500010,0x95d40251,0x00000000}},	//   _آبادگارو, _bayatila, _afgambiy, --, 
   {{0x3dbc032e,0x824804c4,0x32940240,0x49670010}},	//   _achilana, _saime_, _kilkili_, _baminyet, 
   {{0xd3f10087,0xf27e006e,0x127e0120,0x959202c0}},	//   _andzise_, _foontu_, _woonuu_, _телеснит, 
   {{0x52b70366,0xf9c700b7,0x020203dd,0x7bf802e1}},	//   _личной_, _калажак_, _serish_, _فوالله_, 
   {{0xdb6900d6,0xd8e902b4,0xb9aa0374,0x00000000}},	//   _bratacha_, _bengingu, _лочин_, --, 
   {{0x42900125,0xbde10061,0x86a50112,0x937302bb}},	//   _dökün_, _철인정치의_, _cenderaw, _kreacje_, 
   {{0x02da0261,0x420000ab,0xe2bb03ab,0x3e4b01c5}},	//   _adreso_, _ninipa_, _naneste_, _askartaa, 
   {{0xe2d801f1,0x1ee10079,0x818400e6,0xa37a0013}},	//   _punes_, _aktieris_, _焦点房地产网_, _beraman_, 
   {{0xec5302d3,0x293700ff,0xc2900318,0xe3eb0047}},	//   _gostosa_, _ירושלימע, _angai_, _perte_, 
   {{0x13ff021c,0x752004ad,0xe3d2015e,0x00000000}},	//   _chronick, _dikopany, _алыстыгы_, --, 
   {{0x1dfc01aa,0x04990386,0x223702fa,0x87a802f3}},	// [5fe0] _unlesswa, _melapork, _ukomoka_, _mottagni, 
   {{0x599a020b,0x9de60148,0x02a900cb,0x42fc0110}},	//   _maikaele, _有遭受放射性污染, _паноҳгоҳ, _izlikts_, 
   {{0x72e501b8,0xf2d806c4,0x87ab00d1,0x63e1019e}},	//   _koolimaj, _runer_, _চেঙেলী_, _kritikai_, 
   {{0xdf6f0264,0xf2b000e4,0xeeaf00ea,0x44280089}},	//   _canarias_, _galerię_, _bolongan, _осинники_, 
   {{0xadc800fd,0xe2ca040f,0x00000000,0x00000000}},	//   _baghasda, _bandau_, --, --, 
   {{0xecd20024,0x996c0422,0x19ce0026,0xa27e0004}},	//   _পাঠকে_, _bioident, _conditie, _eponj_, 
   {{0xf0e5034e,0xd31e0779,0x969402c3,0x0c24029b}},	//   _aparikuš, _stacilo_, _triedeni, _konaakir, 
   {{0x128e0222,0x8f95039e,0x2790011a,0xb0bb0311}},	//   _sachant_, _tildeler_, _ומרהיב_, _መዓይይቲ_, 
   {{0x2fae0092,0xe84a017a,0xe2aa019b,0xb19d0060}},	//   _ブログ連載中_, _баландши, _фармальн, _جەردىكىس, 
   {{0x4ec2020e,0x93f8032e,0xd90501fe,0x32040111}},	//   _amangoan, _manuwa_, _gasauvid, _articuli_, 
   {{0xf0b90125,0xe62200be,0x02490241,0x224a0207}},	//   _айрылышс, _دەپسەدى_, _deemun_, _kuumwa_, 
   {{0xdbd3078d,0x848501ab,0x3c670472,0x00000000}},	//   _ुरिया_, _किनाईल_, _tamunya_, --, 
   {{0xc99b017a,0xdf870188,0xd52e032d,0x65490125}},	//   _abakwele, _наргис_, _boinotsh, _садредди, 
   {{0xd29002bc,0xedc8003e,0xc47b014d,0x4c97004d}},	//   _rngai_, _театро_, _draussen_, _美國總統喬治布殊, 
   {{0x718f01fc,0x81ec00c4,0x18320061,0x89cc0422}},	//   _arkahaay_, _ريگيولر_, _몬스터포스트_, _razdelje, 
   {{0x8ebd0662,0x7212017d,0x88d10139,0x8d240065}},	//   _mursalat_, _kochi_, _astaṃgat, _versprec, 
   {{0x82d9008c,0x1c040151,0xbb7700aa,0x754e01de}},	// [5ff0] _muvel_, _bassagh_, _librenga_, _миына_, 
   {{0x085100c5,0x92120092,0x58fc00d2,0x00000000}},	//   _衣锦荣归回乡路_, _mochi_, _cikapund, --, 
   {{0x1d1a0148,0x43f9028a,0x63250037,0xc8e4002b}},	//   _鴨脷洲橋道_, _kiburi_, _tercari_, _হিন্দুরা_, 
   {{0x92d90230,0xb29b00ef,0x06e903a1,0x920100a2}},	//   _nuvel_, _زراعتي_, _тениски_, _kivita_, 
   {{0x00e2006a,0x781500a7,0xa9e10087,0x530d00f4}},	//   _tranokal, _кумалак_, _kurisiwa_, _dilaser_, 
   {{0xc00800a2,0xb1d70021,0x4c07041a,0xe709015e}},	//   _مذڪوره_, _achelray_, _nedsatt_, _берилиш_, 
   {{0xaa1201aa,0xccd20371,0x83f80260,0x0390018e}},	//   _apabilit, _окаже_, _lucus_, _hanyiki_, 
   {{0x5396007b,0x1b5a00bd,0xf2250071,0xe2cb0213}},	//   _kissin_, _badderin_, _awakè_, _монтекат, 
   {{0x32a60222,0xf2d900e2,0x48740056,0x33eb01dc}},	//   _semble_, _duvel_, _ngonkulu, _ierta_, 
   {{0xdb6d026c,0x7635032a,0x7396007b,0x3300033f}},	//   _中華大聯盟_, _tapiiffi, _missin_, _felavei_, 
   {{0x33f4012d,0x53eb0074,0xb2f40231,0x4ebe03ff}},	//   _pastru_, _kerta_, _ordinem_, _neznamen, 
   {{0x8af904aa,0xed9003e9,0x46280203,0x137801b0}},	//   _worshipe, _дерди_, _mutilati, _hajatan_, 
   {{0x73eb0690,0x24b602d8,0xe0ef0039,0x0267044a}},	//   _merta_, _काकडी_, _alkateak_, _bobokoli_, 
   {{0x0ac203b8,0x00000000,0x00000000,0x00000000}},	//   _قوپارىلى, --, --, --, 
   {{0x191f01ac,0x5248006f,0xfaba0596,0x9fa00263}},	//   _aistriúc, _daima_, _antwsisa_, _eigenaar_, 
   {{0x268304eb,0x90ab031a,0x00000000,0x00000000}},	//   _नापाक_, _cromarty_, --, --, 
  
   {{0xcfdd0184,0x3a7f000a,0x1200008d,0xa2870466}},	// [6000] _babinono, _akulikis, _diniga_, _ocekuje_, 
   {{0xcc680037,0x99da0362,0x0e48020b,0x42ef0138}},	//   _ይመለሳሉ_, _elendisa_, _dumalane_, _harfi_, 
   {{0x49c701be,0xe18f0237,0x00000000,0x00000000}},	//   _प्रोमिना_, _드라이커스의_, --, --, 
   {{0x117701cb,0x1d2e015e,0xa4090019,0x00000000}},	//   _negandel, _жалбарып_, _киночула, --, 
   {{0x13f4018a,0xa3dc0558,0x128002ec,0x84ab012a}},	//   _wastad_, _emewo_, _tiriyay_, _proporcj, 
   {{0xce8c0354,0x03e70407,0xd291019a,0xdb090083}},	//   _узаттим_, _četnici_, _dockens_, _campeste, 
   {{0xa249015e,0xf2000190,0xd254009a,0x25c801c7}},	//   _premsa_, _biniga_, _akulungi_, _andalyby, 
   {{0x4a7f030f,0xe2c40004,0x93eb0159,0xa7d70297}},	//   _maramara_, _vandredi_, _gerti_, _camaliev, 
   {{0xfc0502dd,0x5c76008f,0x0b9b00ba,0xb2cb0369}},	//   _passivi_, _महब्बत_, _خۆشنوس_, _teuda_, 
   {{0xb9e405f2,0x64710140,0x8aa904c7,0xb2e0002f}},	//   _facultad, _puntahan_, _зелене_, _asirikuy_, 
   {{0x03640002,0x1bd305a2,0x1781015d,0x956400b7}},	//   _podrazum, _संचयन_, _शरणार्थि, _boljakdy, 
   {{0x53860659,0x625a0238,0x55a2008f,0x95160162}},	//   _exora_, _faller_, _भारतक_, _خۇشتار_, 
   {{0xb03101b7,0x7283022a,0x037a02df,0x1eda005e}},	//   _सोऽहं_, _kalkula_, _leraian_, _ﺋﻪﻣﮕﻪﻙ_, 
   {{0x9c450331,0x00000000,0x00000000,0x00000000}},	//   _hervør_, --, --, --, 
   {{0xc17701cb,0x9f7900aa,0x2c2601b2,0xc2900085}},	//   _yegandel, _erickson, _granddad_, _sigai_, 
   {{0x326e0067,0x020002fb,0xb25a05bd,0x41b400da}},	//   _haroon_, _aukiai_, _kaller_, _терменел, 
   {{0x691c027c,0xcedb0312,0x12ec0115,0xa22b004b}},	// [6010] _ټيلفون_, _antiokos_, _epondok_, _ikemele_, 
   {{0xe2a103ef,0xabd7032f,0xfa870217,0x53870040}},	//   _amacumbi_, _vendedor, _sponsion_, _בסיטואצי, 
   {{0x841a0238,0x1cdc019d,0xa37b019a,0x36d6020e}},	//   _правилам, _akuwawer, _bovario_, _пустовга, 
   {{0x53eb0055,0x57e20192,0x05180159,0x52df0119}},	//   _certi_, _헌법재판소_, _славенск, _kaanyag_, 
   {{0xd5810197,0x0c6c01d2,0x35330103,0x86810180}},	//   _liberasy, _amautam_, _akanyuny, _liberasi, 
   {{0x3e2a01eb,0x2d640205,0xc2b40055,0x3fe00109}},	//   _aréirõ_, _аппарати_, _felce_, _chůzi_, 
   {{0xca4a045c,0xd37f0393,0xb3f902ce,0x317202b6}},	//   _gáborík_, _obrazac_, _rusuh_, _сопылар_, 
   {{0x315e018d,0x54080077,0xa5e901ad,0x22480289}},	//   _ዘይተጸበዮ_, _anbriyon_, _centenã_, _azimu_, 
   {{0x0d800203,0x7b150057,0xa2d80138,0xfa1402f8}},	//   _adherent_, _urusetia_, _esnek_, _matapula_, 
   {{0x53eb0230,0x19aa017a,0xef6902f6,0xe9d60438}},	//   _serti_, _лодин_, _simbahan, _azithand, 
   {{0x725b04bd,0x1e55023c,0xf248023b,0xfe8b0153}},	//   _alalai_, _akubanda, _raama_, _航空券予約_, 
   {{0x23eb0353,0x4acf024a,0x024801b8,0x836a0061}},	//   _platby_, _agidingb, _saama_, _nergens_, 
   {{0xa29002a2,0xd2480249,0x83eb019b,0x00000000}},	//   _sigaw_, _paama_, _verti_, --, 
   {{0xd2d801f1,0x66330395,0x7c7d0087,0x42120176}},	//   _ahmeti_, _moravský, _kutsula_, _bocho_, 
   {{0x8cb90162,0xc241014a,0xc2d10059,0xe313003d}},	//   _дәрәх_, _diskurál, _неправит, _apicala_, 
   {{0xb8b701e1,0x42ee0034,0x61fa042c,0x9d2902da}},	//   _денисова_, _gangandi_, _prenosim, _токсични_, 
   {{0x394e024a,0xeebb0195,0x216402ac,0x290703f3}},	// [6020] _abayọri_, _aotruime_, _leantach_, _redacteu, 
   {{0x02ee0333,0x897600ff,0x538f00f0,0xd35800e7}},	//   _cannoni_, _אבארשען_, _destinác, _aguehay_, 
   {{0xea7f006f,0xce730169,0x72ca0044,0x2d270219}},	//   _barabara_, _স্বয়ংক্র, _feeds_, _ashonile_, 
   {{0xdf38003d,0x214603cf,0x7e4e0061,0x422a0263}},	//   _naturala, _gerekenl, _이메일무단_, _helmond_, 
   {{0x686201a4,0x32ee0082,0x122605ef,0x920104ad}},	//   _akondend, _fannoni_, _merker_, _difisa_, 
   {{0xc26d00fa,0xe2ca018f,0x35cc001c,0xe4f703b8}},	//   _bigote_, _lileghdi_, _kabablay, _аралдар_, 
   {{0x787d0311,0x8d5e0037,0x32ee047b,0xf3780390}},	//   _ኣይምሓሸን_, _አደንቃለሁ_, _fangandi_, _binanin_, 
   {{0x2c690172,0x22f60024,0x20380414,0x1680020f}},	//   _perunni_, _খোজোঁ_, _batesalo, _ayikasiw, 
   {{0xd4920208,0x59db0322,0x268c0088,0x2c0d0373}},	//   _تۆقاندنی_, _abongera_, _шайтанды_, _kompare_, 
   {{0xe3960354,0x4dce01c7,0xbfc402ac,0xf3410403}},	//   _پاسپورت_, _дилең_, _شبيهة_, _fideran_, 
   {{0xf83803bf,0x504c01cb,0x29be00b4,0xcd870299}},	//   _башланғы, _kokugcin, _gradinit, _ئۈلپىتىڭ_, 
   {{0x963e023b,0x5e680444,0xe20000bd,0x37f800ba}},	//   _halihali, _проявляю, _askit_, _وداواکار, 
   {{0x521200cf,0x838201e0,0xffda0102,0x617e01bb}},	//   _socho_, _تایله_, _جرمنيءَ_, _колосели, 
   {{0xab97024d,0x77f7004d,0xeaed01ad,0x7b3900be}},	//   _yikhongr, _冰與火之歌_, _insentib, _قالەمىڭى, 
   {{0xa15300c5,0x0c150119,0x8412017a,0x56b3038e}},	//   _我怎么测不到强阳, _freudens, _abanamak, _संचालनाल, 
   {{0x9a6a0094,0x19f7038e,0x49f60161,0xb25e01d2}},	//   _العانىمى, _minimnya_, _entäs_, _challimi_, 
   {{0xa25403a2,0x347a01ab,0x73040130,0x00000000}},	// [6030] _केकेआर_, _minevikk, _gevatal_, --, 
   {{0x921304f2,0x324802f8,0xfdfd01aa,0x8c0c028a}},	//   _vechai_, _haamo_, _alterswa, _ستايلن_, 
   {{0xf22603ba,0xc26900c7,0x43eb0224,0x128e04d7}},	//   _kerker_, _bernindi_, _bretar_, _vaskinn_, 
   {{0xe7130052,0xb3040130,0xe4c8023a,0x8944025c}},	//   _उत्तरपूर, _kevatal_, _preukáza, _darunter_, 
   {{0x32ca03eb,0x1b950037,0x22d80416,0xfb450311}},	//   _reeds_, _ገልፃለች_, _hufes_, _ገረወልዲ_, 
   {{0x0f35050b,0x61240156,0xfcf104fb,0x00000000}},	//   _berlibur_, _פערצופאל_, _fontaner, --, 
   {{0x93eb00bc,0x3213002f,0x1e9a04e5,0xcc1c0260}},	//   _kertu_, _alshi_, _akutamye_, _agarimos, 
   {{0x558e05a9,0xe35302fe,0x2d770137,0x00000000}},	//   _amatarik, _دهرات_, _уршгаар_, --, 
   {{0x9ce9017d,0x826c0028,0xd04703d4,0xc3dc046b}},	//   _インタビュ_, _bakool_, _мислити_, _clowes_, 
   {{0xaac30247,0xc7eb0151,0x6c8b0311,0x3a0100dc}},	//   _antigèn_, _aslaytag, _መርገጽና_, _sogasoga_, 
   {{0x0eb40222,0xaed90121,0xeab600e4,0x0ed3007b}},	//   _ouvertes_, _dominios_, _बाल्मीकि_, _femilies_, 
   {{0x51860040,0x4ee00025,0xa88500fc,0x00000000}},	//   _אבוטבול_, _छात्राणा, _sichmohd, --, 
   {{0x7b4700e4,0x5394042a,0x9b8601aa,0x6379028e}},	//   _बुद्धिजी, _asiswe_, _aggingdr, _nabawan_, 
   {{0xa201026a,0x5b77019e,0x03f40140,0x8c540023}},	//   _bucini_, _альшанск, _basted_, _телепрое, 
   {{0xb21200e0,0x92d7007f,0x82d800b4,0x9b4d0311}},	//   _tocht_, _sialens_, _igiena_, _ንዘራረየሉ_, 
   {{0xdc16002e,0x06af04e5,0xb200032c,0x7fd60169}},	//   _sigurnos, _aleeseew, _anniaa_, _tornillo, 
   {{0x4bc30207,0x804b00ad,0x00000000,0x00000000}},	// [6040] _مهنجا_, _carulukn, --, --, 
   {{0x23050044,0x1212018c,0x199b027c,0xa97903ec}},	//   _upcoming_, _zocht_, _esakhule, _pranishe, 
   {{0xaf210388,0xb2d50233,0xa27e002e,0x428e02e8}},	//   _esperien, _evaluat_, _jednim_, _mashanu_, 
   {{0xa21200e2,0xa29004fd,0x3b720185,0xf96a00f2}},	//   _dochs_, _देखोगे_, _artuına_, _asinsrit, 
   {{0x97f00141,0x66f503e6,0xc8ff02d3,0x00000000}},	//   _yaratilg, _restauré, _hospedag, --, 
   {{0x71490590,0x13f90172,0x49e4007e,0x739400d6}},	//   _ээждээ_, _kusuu_, _पर्वतश्र, _fuisce_, 
   {{0x2c60008c,0x22af0009,0x7f2302fd,0xaf380275}},	//   _chattar_, _stranišč, _feolmhor_, _matupala, 
   {{0x51920040,0x530e005f,0xb3e400b9,0xfc94011a}},	//   _הקרדיט_, _totales_, _अलाहाबाद_, _הרפתקה_, 
   {{0x0c070301,0x5c9e005b,0xe29002ee,0x22ca05b3}},	//   _partiyas, _thorning_, _rigal_, _rykdom_, 
   {{0x92130250,0xa2120116,0xce380309,0xa26d0244}},	//   _mosha_, _socht_, _qalatasa, _rigore_, 
   {{0x46440119,0x2ead02f7,0x51bd0074,0x69bb025e}},	//   _carinthi, _dietsele_, _правовые_, _vandlega_, 
   {{0x8f250031,0x235500a4,0x3b0a0147,0x1249017e}},	//   _berencan, _nivells_, _تۉزكۅن_, _fremda_, 
   {{0x2342013d,0x915001e8,0x585c017c,0x02d80206}},	//   _licenco_, _asulbaby_, _insatser_, _dimex_, 
   {{0x17f00141,0xb34101f5,0xd8010025,0x35540169}},	//   _qaratilg, _didepan_, _परिवर्तत, _অনুসরন_, 
   {{0xaeea01ec,0x021202e7,0x867f001a,0x65ad0039}},	//   _استور_, _amohan_, _جمالیاتی_, _konparaz, 
   {{0x0ab00721,0x886501db,0xcc010044,0xd213010b}},	//   _संस्कृति_, _ءبىركەسە_, _singapor, _bosha_, 
   {{0xe2fc02d0,0x23ce0013,0xc36f0259,0xfb1e0237}},	// [6050] _derivit_, _камайиши_, _blogget_, _단계적으로_, 
   {{0x82000117,0x7d5b00a6,0x8dfc03b7,0xe6600133}},	//   _leliwe_, _amabhinq, _anderswa, _hiikaaww, 
   {{0xbe01025b,0xa2490062,0x421202a2,0x711f0311}},	//   _kinesara, _mayme_, _emohan_, _ዘምጻእናዮ_, 
   {{0x925c019b,0x8ea100c5,0x0d9000de,0xed57048f}},	//   _pakeitim, _figurant_, _تدریجي_, _kimbangu_, 
   {{0xd15f00fd,0xba890605,0xe26c0085,0x238600a7}},	//   _chanaigh_, _minisyon_, _makualil, _podrem_, 
   {{0x32900010,0xf2ec0497,0x13b70040,0xfb70000b}},	//   _angap_, _disobey_, _נעבור_, _manusina_, 
   {{0x530e0387,0xf92f02ac,0xc3dc02a0,0x24bb021b}},	//   _ilebara_, _الطّلبات_, _emewa_, _японские_, 
   {{0x2395019a,0xf2fd013d,0xb7f9019e,0x061e01be}},	//   _teases_, _ensaluti_, _ашаламля, _napodobi, 
   {{0x174401ce,0xf046057d,0xf6510121,0x9616005a}},	//   _اندازی_, _povremen, _discusió, _cholanni, 
   {{0x944e00d6,0xf25a018b,0xa54e004d,0x00000000}},	//   _المالديف_, _duble_, _五四運動與中共的, --, 
   {{0x82120244,0x7dd50349,0x32000035,0xf25a016b}},	//   _anche_, _oughttha, _diniya_, _sallar_, 
   {{0x6f250031,0x9bdc0052,0x0ae701db,0x6cff023d}},	//   _perencan, _हरिया_, _батырмас, _costruir, 
   {{0xa02d017d,0xce38030f,0xe21f017a,0xe6f50086}},	//   _コミュニティ_, _patapata, _одинаев_, _restaurá, 
   {{0xe9bc0156,0xce9b0037,0x13790100,0x18a8020e}},	//   _עליכמען_, _አንብቤያለሁ_, _zabavan_, _мастерҙа, 
   {{0xdf18013d,0x02d80092,0xde540035,0x2d54011d}},	//   _געפרעגט_, _timex_, _ansamble_, _ansamblu_, 
   {{0x121700c5,0xf7ff0105,0x025a00a4,0x872701bd}},	//   _水晶纯银手链_, _proponow, _tallar_, _روماندار_, 
   {{0x23eb03f3,0xd9a30113,0x264f0012,0x5dda0012}},	// [6060] _dretec_, _limistéi, _अरबपतियन_, _उपोयोगी_, 
   {{0x8f2500ad,0xde280290,0xd3b801e5,0xb25400e3}},	//   _rerencan, _automats_, _olawale_, _instabbl, 
   {{0x81fb01c7,0x00000000,0x00000000,0x00000000}},	//   _derwaýys_, --, --, --, 
   {{0x130e0200,0x97a20321,0x02e00195,0x4109026f}},	//   _elebara_, _futurisi, _faireadh_, _زﯨﺪۇﯕﻨﯩﯔ_, 
   {{0xeb840074,0xae4302ac,0x2e3802e7,0x6699014e}},	//   _экологич, _لمشروع_, _kalapasa, _сергеј_, 
   {{0x63940111,0xfb0103b4,0x0b7b014e,0xe30d0037}},	//   _esiste_, _chereche, _podrška_, _ባለቤታቸው_, 
   {{0xd4ec0409,0x57b603b4,0x4fe9012b,0x709900e6}},	//   _ファッション_, _kuvereng, _पारादीप_, _年最赚钱行业揭密_, 
   {{0x424801b8,0xb24904a8,0x1c1700a2,0xad770377}},	//   _saame_, _premda_, _مورچو_, _promovat_, 
   {{0x588303ea,0x3d0d0454,0x53f1006c,0xefc702ec}},	//   _您现在的位置_, _zitorewe_, _abalizuz, _diinsoor_, 
   {{0x16330395,0x452401fc,0x134301b4,0xe8980374}},	//   _moravské, _laagatal_, _dodetal_, _унутган_, 
   {{0x22490101,0x5d2f0046,0xd9d7018a,0xa20003e6}},	//   _vremea_, _اۋعۇست_, _borthlad, _gelift_, 
   {{0x796c01db,0xe30c0255,0x97e40436,0x00000000}},	//   _اقىتقان_, _pidades_, _arapskom_, --, 
   {{0x659b00a6,0x90d7015e,0x6438025f,0x1c950060}},	//   _abagwety, _херсондо_, _elekelak, _سايلادى_, 
   {{0x3c5a04ea,0xc4ff02d4,0xf22904d7,0x73f90117}},	//   _mastieh_, _prolungh, _helming_, _yusum_, 
   {{0xa2910312,0x027a0047,0x62fc008f,0x73410084}},	//   _diwan_, _conseill, _valides_, _andelan_, 
   {{0xc23e0148,0xc3f70023,0x406e03fb,0xa3420421}},	//   _紅利折抵辦法_, _принято_, _detaljno, _allemal_, 
   {{0xe2b50261,0x0a47008c,0x6f2c00af,0x56b3010d}},	// [6070] _sendube_, _serenera_, _подобают, _विकिपत्र, 
   {{0x351d029d,0x6696005e,0x31590022,0x0a720094}},	//   _парменов_, _ھارماي_, _арендала, _كەتكىن_, 
   {{0x29b602b9,0x12b302b1,0x67eb00cb,0xa3eb04d7}},	//   _کاندھے_, _gardama_, _гоҳшумор, _flatey_, 
   {{0x418a00cb,0x83950168,0x8b980160,0xa412040f}},	//   _ababebal, _etasje_, _velikosr, _персанаж, 
   {{0x9c770151,0x0f640010,0x7d7e0021,0xf37c005c}},	//   _erosive_, _bemachin, _angledwa, _ararusom, 
   {{0x96e202fc,0xb30500ef,0x8bee02da,0x6200002a}},	//   _kubatizw, _طوفات_, _ваков_, _melite_, 
   {{0x515d004f,0xa24a020d,0x03ce008c,0xa2cb0434}},	//   _akafuful, _urumva_, _vaivan_, _deuda_, 
   {{0xd3cf000b,0x046700d0,0x06380156,0xe361005a}},	//   _lauvi_, _шатлал_, _דעלאנאו_, _munglij_, 
   {{0x59a300d6,0xbfa900be,0xe3ce022b,0xa16a007f}},	//   _limistéa, _بۇيەندىي, _taivan_, _bersonno, 
   {{0x42020072,0x62550235,0x4eb10083,0x4f6e009b}},	//   _pusiri_, _विधेयः_, _absenzas_, _адислах_, 
   {{0x52900165,0x5f5302d5,0x8287020f,0xa12c0045}},	//   _ligai_, _अडंगा_, _دځوان_, _сценариј, 
   {{0x08c401d7,0xd2880369,0x2c6b01e8,0x00000000}},	//   _daventad, _pukalani_, _kagubut_, --, 
   {{0x04e901cc,0x31220044,0x9aca078e,0xa05b026b}},	//   _anyathā_, _ציקלידים_, _फेयरवेल_, _pasajero, 
   {{0x92cb03b1,0x327e02bb,0x2300006f,0xd2000045}},	//   _jeudi_, _opony_, _kijamii_, _delite_, 
   {{0x83eb0281,0x1c910061,0x4bfb0524,0x32250403}},	//   _gerth_, _저작권법에_, _uploadao_, _fiekem_, 
   {{0x7604042f,0x9af20240,0xdf7d039a,0x00000000}},	//   _aallatqi, _dairekit, _membekas_, --, 
   {{0x8ada013b,0x49cc01e9,0xe2120217,0xe2ca0312}},	// [6080] _neuchâte, _baboelwa_, _cochi_, _braouac_, 
   {{0x4c2402e8,0xcb190055,0x2adf0326,0xc29100af}},	//   _kubatsir, _aggalabb, _cheunite, _svikter_, 
   {{0x8e330173,0xd3eb02b9,0xb4ac016d,0x2f3c00ec}},	//   _উচ্চশিক্, _kerti_, _консулха, _калектыў_, 
   {{0x638202ac,0x53f903ac,0x10f60276,0x49d70064}},	//   _فاشلة_, _lusuh_, _ئېكەن_, _portalad, 
   {{0xfe49018d,0x3325041e,0x89bc00ee,0x13550059}},	//   _ባህግኹም_, _mercuri_, _handitze, _курорта_, 
   {{0xd213010b,0x72c30005,0x0b74040e,0x930c000a}},	//   _moshe_, _inoltro_, _lysebotn_, _hunnoruj, 
   {{0xa248033f,0xc39400c8,0x43f50071,0x494001b5}},	//   _maama_, _alosa_, _ابوذر_, _entlhave, 
   {{0xc2120111,0x92480272,0x18cd028a,0xb53b0088}},	//   _pochi_, _laama_, _نقشبندي_, _sabadell_, 
   {{0x5c5202e5,0xb2aa00d9,0xd37303db,0x443000f2}},	//   _guataha_, _фирменно, _lihambe_, _modernā_, 
   {{0x0a3502e1,0x025a034b,0x28460121,0xd9f90282}},	//   _straitéi, _ikolim_, _sectores_, _manaware, 
   {{0x427a0271,0xeb5303b9,0x1201026a,0x00000000}},	//   _innstill, _sistaspa_, _sivita_, --, 
   {{0xbdf901c9,0x02120326,0x80c600c5,0x02cb0020}},	//   _सम्मलित_, _tochi_, _中国新闻社_, _fanolua_, 
   {{0x1a610281,0xfe84022a,0xa2d90420,0xc21200b6}},	//   _anillats, _kalkulis_, _nuvem_, _unkha_, 
   {{0x020004bb,0x8a250287,0xccf700bb,0x72480255}},	//   _askiv_, _क्लबको_, _تڑپتے_, _jaama_, 
   {{0xc3dc00e1,0x5c6b0109,0x922c0040,0x633300b2}},	//   _amewu_, _कलस्सी_, _מפיצים_, _foxxn_, 
   {{0x4179029b,0x22900251,0x125000c1,0x64a7014e}},	//   _bariwaay_, _iskaba_, _सानेकर_, _најдужа_, 
   {{0xf96403c7,0xdeae011d,0x727e021c,0xf2ca0770}},	// [6090] _कठिनाई_, _комерцул, _spony_, _ogeda_, 
   {{0xe4e40053,0x464f0172,0x57a600ba,0x6e0300d9}},	//   _महाभारता, _korintof, _ئۆسڵۆی_, _аналогов, 
   {{0x15660160,0x827e0229,0xad8903c2,0x13410308}},	//   _životnog_, _anonsu_, _assetait_, _ditempa_, 
   {{0x67e10039,0x42820141,0x62900127,0x16930137}},	//   _konpromi, _boradagi_, _aboae_, _олимпийг_, 
   {{0x14060152,0x703d011d,0x8ee20235,0x725a01d3}},	//   _автобусл, _obligaţi, _धार्मिका, _galler_, 
   {{0x62660072,0xe2d902d5,0x82fc056e,0x620002a2}},	//   _ajanupax_, _suvel_, _folgas_, _dinila_, 
   {{0x79aa02ba,0xed6502c4,0x9c670062,0xce230088}},	//   _зовия_, _рудници_, _mamusha_, _булагына_, 
   {{0xe756052c,0x526c0062,0x125a017d,0x691a048a}},	//   _ساڵنامه_, _benon_, _baller_, _советтік_, 
   {{0xbcbe0244,0x5cbf01f4,0x0248039a,0xee540067}},	//   _заден_, _berilmoq, _dilokasi_, _garaadha, 
   {{0x7bf50036,0x526402e7,0x437f000b,0x1da5040f}},	//   _يواجه_, _adulay_, _kukaina_, _адлік_, 
   {{0x92ca0003,0x7f9202ba,0x74fb00d8,0xa34b023e}},	//   _meiden_, _бозрасӣ_, _agricòl_, _bardoux_, 
   {{0xb5650323,0x99c50276,0x926c0403,0x3a8f033e}},	//   _انساني_, _باشىمگە_, _fenon_, _katálogo_, 
   {{0xcd520044,0xab6503d4,0x78da02d5,0x165c0462}},	//   _ههههه_, _zapečen_, _energiag, _ebshotsw, 
   {{0xeae302ee,0x8a17030d,0x937802ac,0xe94f03db}},	//   _ikkuntat, _çalması_, _hanafin_, _ngelunge, 
   {{0x426c01b5,0x0c6701ca,0xdc4e01a3,0x2c6e01da}},	//   _aenon_, _damusha_, _ممڪنه_, _vjersha_, 
   {{0x6e030045,0x03f4017f,0xf9aa00e5,0x666900c5}},	//   _формату_, _vittus_, _носиш_, _conjugai, 
   {{0x9a25025c,0x7ebc0191,0xc173007f,0x00000000}},	// [60a0] _verpacku, _redovisn, _heniaith_, --, 
   {{0x462c0053,0x6f480019,0x5da40372,0x00000000}},	//   _zainuddi, _айлансын_, _mesurydd_, --, 
   {{0x8a6c012c,0xa26c0288,0x864401e9,0x83ea0204}},	//   _kuimaris, _wenon_, _diromelw, _tuntua_, 
   {{0xf2250026,0x00000000,0x00000000,0x00000000}},	//   _maakte_, --, --, --, 
   {{0x42120003,0x0f0104a6,0x33000163,0xf2c602bb}},	//   _mocht_, _novosađa, _kanadai_, _प्रतिमाह_, 
   {{0x32120036,0xb1cc03c2,0xb3010102,0x495f0210}},	//   _locht_, _candidly_, _maradhi_, _akandise, 
   {{0xc36a03ae,0xf2e8021b,0xc30e0279,0x02250192}},	//   _bergens_, _monikon_, _potager_, _naakte_, 
   {{0x521200bd,0x064d0009,0xf3730203,0x1a15044a}},	//   _nocht_, _njihovem_, _tenacie_, _malawuka_, 
   {{0xa90702c2,0x287f0020,0xe249023c,0xd9b803a0}},	//   _redakteu, _fasitoou, _asemva_, _kalediwa_, 
   {{0x8e0e0076,0xf06a0153,0x00000000,0x00000000}},	//   _воскресн, _インジェクション, --, --, 
   {{0xbb030126,0xdf0c01bd,0x7c56044b,0x92e00311}},	//   _хочете_, _формулас, _hurtige_, _ቆንስጣንጢኖፕ, 
   {{0xe2910025,0x11b9015e,0x726c0338,0xf2d800c5}},	//   _jagati_, _артыкчыл, _tenon_, _aimez_, 
   {{0xb21200e0,0xeff9027b,0xe5450227,0xd2d502e4}},	//   _docht_, _अवगाहने_, _kesyirik, _evalwat_, 
   {{0x9f6501b2,0x526c005b,0x432a0422,0x3e03033e}},	//   _disarmin, _renon_, _razvrsti_, _conempap, 
   {{0xc2fc049a,0x626c0338,0xd21202d0,0xb7f00109}},	//   _odraziti_, _senon_, _focht_, _जलबिन्दु_, 
   {{0xff6a04ca,0x92560189,0x60f5000a,0x044a0388}},	//   _auragans_, _bölme_, _ertittil, _джони_, 
   {{0xca2102a6,0x7f1f0140,0x59fb036a,0x4f830237}},	// [60b0] _discapit, _kagubata, _tamadrat, _부탁드리며_, 
   {{0xcc6003b0,0xf2120113,0x62d801c5,0x851c05b7}},	//   _laurdag_, _hocht_, _iimey_, _preskupo_, 
   {{0x221200d4,0xf0f3032d,0x230500bc,0x53eb00e9}},	//   _kocht_, _гвардияс, _سوپاپ_, _kretir_, 
   {{0x2b07008d,0x7dbc0072,0x2c930094,0x8e6a063e}},	//   _дилдан_, _ullirina, _باياۋ_, _narančas, 
   {{0xb4d70046,0xa96d016b,0x5aee0030,0x9f140371}},	//   _талабын_, _amintatt, _mantinie, _cattedra, 
   {{0x77860139,0x47810061,0x62d90363,0x2d8f03ef}},	//   _पर्वते_, _마일리지존_, _øyene_, _bakennye_, 
   {{0xcd3a0364,0x858e0108,0x0e38005c,0x00000000}},	//   _gasperec, _diheueuh, _batarata, --, 
   {{0x4c710255,0xc35f04c3,0x927f00bd,0xe36a0162}},	//   _बाल्टी_, _gamehay_, _downed_, _зәңгәррә, 
   {{0xf26c0206,0x660b0287,0xab0f0274,0x738603ae}},	//   _menom_, _nečekaný_, _eldsneyt, _feirer_, 
   {{0x88b902eb,0x39460177,0xb2e50191,0x531603ac}},	//   _наранбаа, _илазырҟә, _anonyma_, _membabi_, 
   {{0x427f04cd,0xf9f90255,0x68ad0188,0x00000000}},	//   _cjenik_, _पंक्तियन_, _халъи_, --, 
   {{0x43f90245,0x328d019f,0xb98e02ea,0x641a033f}},	//   _arsut_, _wataalam, _магии_, _ikanomik, 
   {{0xcd9000b4,0x026e0698,0x13790292,0x22120121}},	//   _верде_, _uprona_, _karataa_, _ancho_, 
   {{0xc69d0191,0xcebc0160,0xe57601a3,0x9e030021}},	//   _rengörin, _nepotpun, _ڊائيلاگ_, _efreshra, 
   {{0xb2da010b,0xfc09014b,0x930000c0,0xc2ed006e}},	//   _merero_, _aroppaa_, _pananaw_, _fisiyee_, 
   {{0xca8305b8,0xd290011e,0x3371028d,0x98c60334}},	//   _familjen_, _angaz_, _lafatig_, _chitsong, 
   {{0x6a5702ec,0xbccc01c5,0x4bc503ec,0xf89b03dd}},	// [60c0] _دُژیۆت_, _پیونت_, _forcimin_, _ክደናገር_, 
   {{0x529000d8,0x99f40041,0xe2f20012,0x01c3042b}},	//   _aigat_, _hyjúi_, _पीठाउदाल_, _sastojak_, 
   {{0x629000c0,0x230d015a,0x738600db,0x68f802af}},	//   _bigat_, _dilbata_, _spordi_, _kirabitu, 
   {{0x73f8005b,0x63860239,0xa53d01a3,0x6dbc0020}},	//   _skjul_, _aporei_, _بيھاري_, _lafulemu_, 
   {{0x112700da,0x7e3802f6,0x9b650155,0xb2d80066}},	//   _парохие_, _katapata, _vanligar, _kaiera_, 
   {{0x79ae0417,0x429002a2,0x74ef0037,0x00000000}},	//   _wonderwe, _ingay_, _ደራሲያን_, --, 
   {{0x8dff030c,0x38c0078f,0x72980160,0xe3940015}},	//   _aggegota, _महापौर_, _raspravl, _samsam_, 
   {{0x6c7e03c2,0x23fe0238,0x1da102f8,0x22480170}},	//   _bassoon_, _учасника, _felongoa, _ayime_, 
   {{0x949c0428,0x67fd018d,0x225a0224,0x088700ba}},	//   _naročilu_, _ማሕለኻታት_, _gallar_, _ناهێڵێت_, 
   {{0x4f240041,0x5d3b0101,0x36f401f0,0x2ba801b5}},	//   _pláta_, _medicale_, _bolaisiw, _emakamar, 
   {{0x32da010d,0x027b0388,0x534402fd,0x5e390084}},	//   _keropos_, _склонен_, _riseard_, _dihadira, 
   {{0xa3920031,0xcb1902b9,0x037f04d8,0x7887006c}},	//   _tanyaku_, _magasabb, _barakac_, _баландӣ_, 
   {{0x239401d1,0xd41d0234,0x32ca04ee,0x00000000}},	//   _close_, _didaduro_, _ogede_, --, 
   {{0xb24804c0,0xf25a00a0,0xdd5f030d,0xfb8e0790}},	//   _nyame_, _dallar_, _şablonu_, _राजपक्षे_, 
   {{0x333d01f4,0xc213005b,0x23fa02e0,0xc29003e7}},	//   _قیناق_, _hoshi_, _boruni_, _angay_, 
   {{0xef1f047d,0xa2900331,0x937a0027,0x49c000cd}},	//   _allerden, _higar_, _pesagon_, _catechet, 
   {{0xd2000342,0x42900338,0xe6020109,0x13a2039f}},	// [60d0] _uscis_, _aigas_, _italštin, _zoopla_, 
   {{0x42010163,0x12130102,0xce680178,0x529002f6}},	//   _addikt_, _moshi_, _anantakā, _bigas_, 
   {{0x7c6e0003,0x44a10139,0x7617018c,0x03940111}},	//   _noorden_, _astavimz, _wastafel_, _alose_, 
   {{0x26a803bf,0x99dd01b4,0x43eb023f,0x82ca0253}},	//   _системаһ, _asseblie, _herts_, _egede_, 
   {{0x7417041f,0xb24c04c4,0x56070013,0x27a5011a}},	//   _kudingek, _रहिला_, _саклаб_, _refracti, 
   {{0xcf2500d9,0x22f30061,0xcc680371,0x63f902ad}},	//   _laitetaa, _가슴을키우_, _segreto_, _cibuli_, 
   {{0xfa28026b,0xb251002b,0x956d02fe,0x5bd40365}},	//   _colchone, _নিশ্চি_, _baswelek, _यसबीचमा_, 
   {{0xd2660007,0x7c91004d,0xa25a000e,0x00000000}},	//   _bafungol, _季月契約為_, _fallir_, --, 
   {{0xe8e600ec,0x459302cf,0xdb0c01db,0x00000000}},	//   _часткай_, _послужи_, _жұмекенн, --, 
   {{0x69320518,0x42ef0129,0xdc730087,0x00f401a7}},	//   _عنایت_, _dokinta_, _balsama_, _poliisil, 
   {{0xb27a02a8,0x724901ca,0xc8c200df,0x59440130}},	//   _afrikani_, _paymo_, _numeriqu, _gwambiae, 
   {{0x2d120225,0x729003df,0x1df90014,0x14bf0568}},	//   _fabrizir, _eigar_, _banesave_, _ablegøye, 
   {{0xf8ea0386,0x0d9b023c,0x63460156,0x1341014d}},	//   _mengandu, _abangeva, _וישפוט_, _gebeten_, 
   {{0xed68018d,0x723f0040,0xeae200bb,0xf3eb0046}},	//   _ብብርሃን_, _למחקר_, _کھویا_, _certs_, 
   {{0x22910245,0x32c3016e,0xdc29021a,0x57d3018e}},	//   _aiwai_, _mutlaka_, _azharirr, _emiringw, 
   {{0x329102fd,0x9733003e,0xfe460013,0xc2d8050e}},	//   _bocain_, _класының_, _dekabrda, _zameni_, 
   {{0xfe8e026f,0x8b1e0405,0x92f301d7,0xe2ba01b8}},	// [60e0] _ءﻭﺭﺕﻗﻮﻳﺪ, _поселенн, _andiast_, _piletid_, 
   {{0x52910117,0xbb610334,0x930401ac,0xdd9a0090}},	//   _diwai_, _analiper, _capaill_, _anondiwa, 
   {{0xc3f9022c,0xb483048e,0xb3f90080,0xc27701ee}},	//   _husus_, _talaglöp, _arsuk_, _паянхи_, 
   {{0x0213028a,0xf9d3019d,0x070d0244,0xe2d80414}},	//   _tosha_, _choopsya_, _кайро_, _nameli_, 
   {{0x5c9c00ae,0x225a0120,0x967302c8,0xd42800d7}},	//   _abazotor, _guble_, _sendeiri, _dikamano_, 
   {{0x96ba0476,0xcc760160,0x20570064,0x7313017a}},	//   _aitarisi, _oporavi_, _кимибиз_, _дутарафа_, 
   {{0x4c3f0157,0xfd0c02ba,0x52d70444,0xe95403f1}},	//   _विजयनगर_, _akhohlwe_, _алимсулт, _kalórií_, 
   {{0x24f70126,0x4a9601f6,0x42120063,0xb4020237}},	//   _методики_, _অস্ত্ৰ_, _oiche_, _성공열쇠를_, 
   {{0x0c6e0192,0xac7c02c1,0x279d050e,0xb17701e5}},	//   _woorden_, _arasaba_, _radulovi, _mokanlel, 
   {{0x931d01ac,0x371b0185,0x00000000,0x00000000}},	//   _beacán_, _egermenç, --, --, 
   {{0x1dc9035c,0xdc520184,0x930c000d,0x337a019a}},	//   _merkelap, _arataha_, _saladus_, _invadin_, 
   {{0x4c050011,0x1213003f,0x025a0120,0x5d1a03b2}},	//   _alirekeb, _itchoh_, _tuble_, _licorice_, 
   {{0x68420410,0x03f902bc,0x75490037,0x9faa0311}},	//   _ditlwaed, _musur_, _የሚታመን_, _ንጸጥታን_, 
   {{0x397e0435,0x821203f8,0x4c3300ff,0x329100a1}},	//   _групе_, _diche_, _סאפיע_, _riwai_, 
   {{0x62d9005b,0x0212036c,0xab660181,0x11130272}},	//   _sneeuw_, _alohan_, _textarea_, _abakamul, 
   {{0xa21203ea,0xa4f7008d,0xb340006a,0x0bc100ec}},	//   _fiche_, _меросини_, _nalefan_, _variklių_, 
   {{0x4f3e0235,0xaa460007,0x984601d1,0xf347024c}},	// [60f0] _क्रियेत_, _kindumba_, _restores_, _eżebit_, 
   {{0x724903dc,0xbf300526,0x17b301c4,0xf30c0249}},	//   _fremja_, _dipergun, _bedreigi, _kalabus_, 
   {{0x13f9002b,0x126c004b,0x00000000,0x00000000}},	//   _টোয়েন্ট, _kenoa_, --, --, 
   {{0xcec700f3,0x2248050a,0x0212013a,0x529101a6}},	//   _azizange_, _azami_, _kiche_, _tiwai_, 
   {{0xa24a00b1,0xb2fc022a,0x798002ec,0x326c0204}},	//   _kasmas_, _leigik_, _wariyaha_, _menoa_, 
   {{0x15a800a7,0xebf4014d,0xed7e02bf,0x12d900c0}},	//   _каражатт, _widerspr, _budlelwa, _bebeko_, 
   {{0x22d80010,0x23ac00a1,0xd11b049e,0xceca0378}},	//   _bameli_, _paupau_, _zahusťov, _heintnin, 
   {{0x626d04f2,0x93c20220,0xe20202c1,0x3ae5015e}},	//   _bigone_, _оказа_, _rusizi_, _garrigue, 
   {{0x633d03ce,0xb481026e,0xadbc02c2,0x969c036d}},	//   _ژیوار_, _बाबाको_, _kanadese_, _maightsi, 
   {{0xd2d90462,0xcd7b0040,0x914001f1,0x06af0094}},	//   _egallay_, _בלייק_, _pretendo, _استاسىپ_, 
   {{0x60640148,0xb9d7033c,0x3c2e0037,0xc9cf0064}},	//   _般若波羅密多心經_, _porthlad, _አድንቀዋል_, _joventut, 
   {{0xc2000129,0xb2b903c0,0x040f029a,0x886d004b}},	//   _jijiji_, _endelig_, _antretan_, _финалына_, 
   {{0x0248025f,0x786a0092,0x028d0227,0x839401f9}},	//   _asimbi_, _お客さまの声_, _tatkala_, _ayiswe_, 
   {{0xb2d80222,0xd379016b,0x2aa3001c,0xdfb60061}},	//   _samedi_, _anfanin_, _linkuran_, _전자입찰로만_, 
   {{0x825a0331,0x7613017a,0xc88403fc,0x0a230126}},	//   _hallur_, _abalambi, _matkultu, _говерла_, 
   {{0x1fe300be,0xf06101c5,0x00000000,0x00000000}},	//   _سۅگۉلدۉ_, _shirwayn, --, --, 
   {{0x7290007d,0xa64102f8,0xcc1601c4,0x430d0331}},	// [6100] _bagai_, _hilifaki, _druppel_, _umfatar_, 
   {{0x43f803b4,0x2394019a,0xcee100c1,0x2dbc018c}},	//   _sekuru_, _roose_, _meringis_, _canadese_, 
   {{0x92dd04d0,0xa3ea0338,0x4bea00af,0x73790225}},	//   _nabokov_, _menton_, _аварії_, _rabatan_, 
   {{0xc2ca00dc,0xd0400158,0x63790108,0xbdfd0568}},	//   _aealani_, _पायलिन_, _babasan_, _ullensva, 
   {{0xaf4f01c6,0x098100bc,0x226c00d0,0x028002ec}},	//   _spesjale_, _تراکت_, _denoi_, _wariyay_, 
   {{0x323400d1,0x759e0251,0xc12801d5,0xc64101a4}},	//   _দ্বিমাত্, _batroolk, _mosogató_, _komizoki, 
   {{0xea5c0544,0xf3a201b8,0x846a013d,0xe29002e7}},	//   _kakelema_, _koopia_, _tradicio_, _kagaw_, 
   {{0x42d904c0,0xe39401da,0x0b82005b,0x9aea015a}},	//   _erver_, _klosi_, _tokotoko_, _callesin_, 
   {{0xde040468,0xfa3900a4,0x85860287,0xc200013b}},	//   _عبدالهاد, _беребиз_, _posilová, _caniga_, 
   {{0xd3780082,0x83f40086,0x1630004f,0x259c021b}},	//   _yanayin_, _kaptam_, _leeralul_, _kinuskik, 
   {{0x0c7f0140,0x13d500ec,0xdc6a0008,0x972b009f}},	//   _mabuhay_, _skatinti_, _pertany_, _celodnev, 
   {{0xd3560092,0x789602eb,0xe2cb0334,0x52ea0204}},	//   _本発明の階調特性, _даруйд_, _atadya_, _seinät_, 
   {{0xc2490362,0x77040061,0x89480242,0xc618033e}},	//   _asambi_, _여유로움속_, _anlamağa_, _karaikué, 
   {{0x82910119,0x2e500073,0x555900bc,0xa13f0159}},	//   _liwat_, _cruciate_, _ستوده_, _kretingo, 
   {{0x4212036e,0x61280132,0xee1702ac,0x529203a4}},	//   _ancha_, _beavatko, _ardeagla, _alskins_, 
   {{0x626d033b,0x842800fe,0x7a8703cf,0x3c1d0326}},	//   _digole_, _aikakano_, _saldırı_, _acharoor, 
   {{0x925b01f0,0xa29100e1,0x2573005d,0xc202033f}},	// [6110] _agelwa_, _awaase_, _hendaich, _lusini_, 
   {{0x237b01cf,0x98b6016a,0x39cd002c,0x91ae0061}},	//   _invasio_, _frutiger_, _баянзvрх, _타이타닉호_, 
   {{0x92d804bb,0x53790107,0x3e2a027e,0xd2900028}},	//   _dheev_, _babaran_, _билдербе, _iskama_, 
   {{0x72e70286,0x6379055d,0xdd8000be,0xd2560185}},	//   _akenkan_, _cabaran_, _اكتىيورل, _gölle_, 
   {{0x8f640624,0xb3f3042a,0x196d01e7,0x5711027b}},	//   _emiphaka, _bebulili_, _harmonéi, _सकृद्_, 
   {{0xb2020207,0x6b3b0017,0x4ad10275,0x4e350568}},	//   _kusini_, _majitelů_, _initenet, _webansva, 
   {{0xc8ea0247,0x26b80399,0xc3870297,0x3171004d}},	//   _برقراری_, _falanisi, _bagrov_, _政府不再對指責沉, 
   {{0x19340013,0x92910251,0x00000000,0x00000000}},	//   _حکمرانلی, _awaare_, --, --, 
   {{0xf2d404ca,0x02d90180,0xceec0040,0x2ec403d4}},	//   _lemosin_, _ouver_, _מהכרטיס_, _узели_, 
   {{0xe3f80032,0x0b1b01c5,0xb6aa0187,0xf2d90450}},	//   _bibuy_, _munaasab, _бразилск, _nuver_, 
   {{0xc37a02be,0x1b7e027f,0x327e0251,0x673c0031}},	//   _larawan_, _kiguruka_, _soonku_, _अरुणजोशी_, 
   {{0xc2cb0054,0xde0d01fb,0x9d41018a,0x51fa00bb}},	//   _adadin_, _indenega, _arabaidd_, _چرواہے_, 
   {{0x498e017a,0x82120013,0x73f90048,0x3ee80311}},	//   _насим_, _uncha_, _bafuta_, _ብባህላዊ_, 
   {{0xeaf1033a,0xff8c0089,0x1c610232,0x5b4500c1}},	//   _laburist, _операсы_, _albumon_, _उलाढाल_, 
   {{0x8dc10091,0xf2480323,0x22e90122,0x738003e6}},	//   _humilika, _vyama_, _pengunci_, _darrla_, 
   {{0x67ca0541,0x22ac0097,0x1bf902e7,0x00000000}},	//   _pristali, _kánjú_, _libolibo_, --, 
   {{0x93f9019f,0xf3e20122,0xd6aa0133,0xd12b0311}},	// [6120] _tafuta_, _gondrong_, _danfisii, _ከዋኽብቲ_, 
   {{0x47c201db,0x82590061,0xc5e1034a,0x0b7a0017}},	//   _сессиясы, _개인정보보호정책, _comezará, _नक्शामा_, 
   {{0x9282019f,0x42da00d8,0x72b80056,0x58a80022}},	//   _dhahiri_, _teredo_, _сарагосс, _таратыус, 
   {{0x484304a7,0x4d90020e,0x0ae20264,0xb18501b5}},	//   _aditivos_, _bohetene_, _kontrobe, _etibibel, 
   {{0x13ea01da,0xc84d024b,0x35560092,0xc2d90180}},	//   _tenton_, _partidos_, _しばらく経ってか, _kuver_, 
   {{0x82920132,0x82d90360,0x04ad01b3,0xe9f80239}},	//   _tavasz_, _prvek_, _заробити_, _jaradite, 
   {{0xb162023d,0xd3e803d4,0xde550086,0x936d00e6}},	//   _operazio, _успео_, _سوختہ_, _冰淇淋店年利_, 
   {{0x3da4051b,0xdc5c01bc,0x426c0342,0x62920086}},	//   _nesouhla, _tastien_, _jenou_, _ravasz_, 
   {{0x87080287,0x12900145,0x72d40202,0xfebc00f3}},	//   _cestovní, _sudaro_, _beelfiu_, _bavulele_, 
   {{0x00000000,0x00000000,0x00000000,0x00000000}},	//   --, --, --, --, 
   {{0x83550187,0x42da00cb,0x82d50092,0x660f0311}},	//   _tweetar_, _alunywe_, _synligt_, _ክተባባዕን_, 
   {{0x6fba03ae,0x927000f0,0x728d002f,0x130701bb}},	//   _isolasjo, _percentá_, _dipartam, _darajyk_, 
   {{0x69c1027c,0x8059012f,0xa8dc017a,0x329201c0}},	//   _capegate, _kamararo, _буриш_, _agwagi_, 
   {{0x462400c5,0x1408005e,0xa3d7012e,0xb305022c}},	//   _économiq, _ﻣﺎﺷﯩﻨﺎ_, _ezotéria_, _ceremé_, 
   {{0x6c720338,0x43ea0095,0x21750268,0x137a029a}},	//   _corrent_, _benten_, _atingray_, _baravan_, 
   {{0x037a0050,0xd26c03ff,0x1f5c0192,0x975e03c7}},	//   _parawan_, _cenou_, _이루어집니다_, _किस्मों_, 
   {{0xd2ca0166,0x54790372,0xb9eb0033,0xdec20089}},	// [6130] _beiden_, _atseinio_, _angràndi, _clintonn, 
   {{0x9ff10467,0xf2c1022b,0x82900020,0xd9c7045b}},	//   _turkeyfo, _nemliga_, _gagau_, _наказав_, 
   {{0xcc6904b3,0x83f90373,0x3e96025b,0xb2cb00e2}},	//   _pontivy_, _regulo_, _sílagent, _deaden_, 
   {{0x9f4f01b4,0x42d90450,0x8fe8018a,0x722502a9}},	//   _spesiale_, _suver_, _technego, _niekam_, 
   {{0x1a7c008f,0xf60f0255,0xbee002ac,0x294f027f}},	//   _prantsus, _kolleegi, _الآتية_, _corohere, 
   {{0x42900433,0xe2550142,0xe3800066,0x2e7101a3}},	//   _dagat_, _विशेषो_, _barrea_, _رائگان_, 
   {{0x62d80578,0xc71f00d9,0xb4e2004d,0xd230004d}},	//   _nkeeg_, _спутнико, _台北縣立海山高中_, _就業面面觀_, 
   {{0x7e560405,0x5f640041,0xb50a03ed,0x6c760279}},	//   _картини_, _дыҧрит_, _seguindo_, _visuels_, 
   {{0xe2880039,0xd85a0107,0x53f90229,0x6e65002c}},	//   _аймар_, _معنادار_, _fizuli_, _румынчуу, 
   {{0x7c720044,0x22d80633,0x024302ef,0x621c0058}},	//   _torrent_, _wheel_, _antwopol, _rauhut_, 
   {{0x428f0165,0x77a70192,0x973702cf,0x00000000}},	//   _butakoci_, _weerberi, _шарлот_, --, 
   {{0x1941069c,0xae070235,0x825400b9,0x3a03006c}},	//   _cykloste, _annadaḥ_, _विजेते_, _abasejud, 
   {{0x542f0092,0x22250089,0x41f6003c,0x00000000}},	//   _三井のリハウス_, _baykot_, _افضلی_, --, 
   {{0x22a7022f,0x22fc0274,0x63a902fe,0x047e0213}},	//   _ансамбля_, _lengra_, _جزیات_, _жиров_, 
   {{0x1db9021c,0xd2900133,0x027a03ae,0x00000000}},	//   _interiér_, _dagam_, _innspill, --, 
   {{0x12120207,0xc26c0300,0xc2ca0097,0x92fe018b}},	//   _picha_, _jenom_, _adidun_, _inchide_, 
   {{0xf2d804bb,0x8a87015e,0x63940367,0xbe9e011f}},	// [6140] _cheem_, _ئارالعا_, _coisas_, _раиль_, 
   {{0x2db70121,0x63f900f6,0x38fe01a6,0x00000000}},	//   _activida, _safura_, _paopaong, --, 
   {{0x429101d4,0x535800f5,0x29db0479,0xbf0701e0}},	//   _pagati_, _sergide_, _gépjármű_, _رامینی_, 
   {{0x0ee3026f,0x1da90162,0x0c9002a2,0x52d70156}},	//   _актюбинс, _каридори, _pulutong_, _formuloj, 
   {{0x8379015a,0x1a010013,0x09cd0220,0x56de002c}},	//   _barataa_, _kanadaga_, _rivestit, _кинондоо_, 
   {{0x0b12002b,0x1f5d01aa,0x637e01a3,0x316a017e}},	//   _বাড়বে_, _adiation, _اٽالا_, _serpento, 
   {{0xc3e30525,0x786a04f9,0x034302bb,0x4c6f009b}},	//   _सत्येन्द, _tapiissu, _polecam_, _barrena_, 
   {{0x93f90243,0x92a7022a,0x19cd015e,0xd983003a}},	//   _assuh_, _elabom_, _divertit, _shaharga_, 
   {{0x47a504c3,0x4f800255,0x0d840040,0xc17a00d5}},	//   _defracti, _एक्के_, _האשליה_, _faritany_, 
   {{0xa290006e,0x764900f5,0x025a018b,0x437a008b}},	//   _ragal_, _дөвүрине_, _dublu_, _garatan_, 
   {{0xb2900120,0xe2ee0082,0x7a6f038e,0x386101d2}},	//   _sagal_, _kwanaki_, _margonda_, _chinpapu, 
   {{0x82900145,0x926c01d3,0x6a090074,0x02d8054f}},	//   _pagal_, _genom_, _говорить_, _theem_, 
   {{0x5e4f00ce,0x5bb300da,0x52250211,0x575c01a4}},	//   _lamannma, _необрэза, _taakse_, _bakizeng, 
   {{0x93790241,0x092600e6,0xfba80008,0x4a730089}},	//   _darasaa_, _按上架时间_, _парциалд, _damaskta_, 
   {{0x06c80192,0x3afe03ba,0xb60e0217,0x0eb1053b}},	//   _반송비용은_, _bagonoun_, _cotoneri, _baterias_, 
   {{0xd04000c3,0xccd70036,0x52f10129,0x96230065}},	//   _此分類上一篇_, _اعراض_, _farisii_, _unkompli, 
   {{0x7cf800a4,0x32910301,0x78b202b8,0x243e005e}},	// [6150] _транзитт, _rabitə_, _amatelev, _нанни_, 
   {{0x454a0008,0x410d021b,0xa95d04b4,0x00000000}},	//   _айландыр, _витамины_, _replikke, --, 
   {{0x626c0278,0xdb2d04e6,0x926e03bf,0x624a00fc}},	//   _tenom_, _tambalan_, _essono_, _mipmey_, 
   {{0x237800a0,0x82d8038f,0x38f0002f,0x66170187}},	//   _sanadin_, _benead_, _chaniyoq_, _aumentam_, 
   {{0x72120207,0x32fc02fb,0xb8ca0350,0xf96d02a6}},	//   _hicho_, _fenapasi_, _የአኙዋክ_, _aspittat, 
   {{0x21b105c5,0x64e200d1,0x4201003b,0x32900429}},	//   _प्रतिहार_, _জলপান_, _angiwo_, _lagak_, 
   {{0x9212012c,0xef55026c,0x19560334,0x00000000}},	//   _jicho_, _singulos_, _kukoleze, --, 
   {{0x321202f4,0xe2480092,0x78bf014d,0x9f6f0235}},	//   _dicho_, _ayame_, _anmelded, _arjunaḥ_, 
   {{0xcfb80093,0x8904019f,0x9d8f011e,0xf5b303d1}},	//   _правонар, _منافقي_, _lakonnpa, _medijiem_, 
   {{0x821301c0,0xf5820292,0xe2d604e8,0xe54603ff}},	//   _doshi_, _nyamesom_, _aculhit_, _nezúčast, 
   {{0x22ce00d6,0xd2920679,0x829103b4,0xf2ef0119}},	//   _mardelli_, _nawawi_, _vagari_, _baffin_, 
   {{0xf20000c7,0xf3b900fe,0xc25b03c3,0x60db0350}},	//   _daniya_, _ilavalu_, _tuzle_, _አዳራሾች_, 
   {{0xc3ea047b,0x63f2023c,0xca0500ee,0x12ef00bd}},	//   _mentan_, _abazuze_, _zalantza_, _daffin_, 
   {{0x3e00018e,0xfeb801a7,0x42d80114,0x30c60059}},	//   _direkita, _koiralle_, _cheer_, _стоманен, 
   {{0x62fd0279,0x226c0027,0x43940183,0x82ea048c}},	//   _valider_, _penom_, _amosy_, _badness_, 
   {{0xd213005b,0x53ea0197,0x76c001e0,0x22b5005b}},	//   _yoshi_, _gentan_, _زیادیان_, _byacco_, 
   {{0x67720037,0x7fa80156,0xfd0603bf,0x1c60025f}},	// [6160] _የማስጠንቀቂያ_, _אמשינאוו, _falletse_, _kobunda_, 
   {{0xba700099,0x39e7013b,0x830f05ff,0x1b070024}},	//   _achaiswa_, _wetterau, _podijelj, _নিয়মৰ_, 
   {{0x22900031,0x903a0366,0xe3ea019b,0x785e03a4}},	//   _kagak_, _павлючен, _paltas_, _fornlutu, 
   {{0xa14704a2,0xe2900028,0x6d9c0450,0x899b02f3}},	//   _desenrol, _iskana_, _besteand_, _turkiska_, 
   {{0x1a7303b9,0x6248018b,0xcc6801d2,0x225a044a}},	//   _qamaskta_, _primii_, _barrón_, _eningisi_, 
   {{0x37680037,0x4b1b01cf,0xb29701bf,0xdade0204}},	//   _የባንኩን_, _lisation_, _trikset_, _sukellus, 
   {{0x531602a0,0x4709003a,0x426c0039,0x94a80301}},	//   _adebisi_, _тарафида, _denok_, _başlanır_, 
   {{0xb319012c,0x22e70050,0xc35a013c,0x00000000}},	//   _ويران_, _ajengan_, _cilddə_, --, 
   {{0x5a7c0148,0x2feb01c1,0xc2920294,0x4b1601b8}},	//   _teradata_, _menyenan, _ajpaku_, _armastus, 
   {{0xf3f50291,0xd93b0145,0x03ea038a,0x00000000}},	//   _وبإذن_, _pasmerkt, _huntap_, --, 
   {{0x8394023f,0x1fd8001f,0x46a0021c,0x7d0501c4}},	//   _hoose_, _nyansako, _zachraňo, _bedrieër_, 
   {{0x77a80057,0x326c021c,0x120101ed,0x628004d8}},	//   _የኤነርጂ_, _komory_, _kivila_, _mariyay_, 
   {{0x221201d9,0xa0ce0088,0x5c450425,0xf9dc00e2}},	//   _sicho_, _imposabl, _ژێرخانه_, _sideskie, 
   {{0xead600c7,0x82f10360,0x99d60255,0x05d30092}},	//   _protsent, _prostory_, _protsend, _ココログ関連_, 
   {{0x94c102d8,0xb2900039,0x920101f4,0xd3ea019a}},	//   _membagik, _tagak_, _linklari_, _fentin_, 
   {{0xb4690029,0x00ae0013,0xe6150156,0x10b80064}},	//   _قوڕئان_, _эргаш_, _אודאי_, _устат_, 
   {{0x522603a4,0xcc5b0181,0x51ed0078,0xe29104d6}},	// [6170] _merkir_, _hattori_, _маратона_, _organy_, 
   {{0xfac10089,0x037f0239,0x3212021c,0x79df0305}},	//   _тәрбия_, _hakaroa_, _ticho_, _vellukka_, 
   {{0xce0d012f,0xe38800bb,0x1a8c0148,0x00000000}},	//   _kundscha, _وزخمی_, _arbitrab, --, 
   {{0x6527042b,0x22d800bd,0x027e023a,0x0d320585}},	//   _napravio_, _cheep_, _slobodná_, _podignut_, 
   {{0x67c7010f,0x7b050192,0xdda6021e,0xdcbc0211}},	//   _кабири_, _verschee, _utforska, _havaittu_, 
   {{0x3290005b,0x93f903d7,0x929201ac,0x234203dd}},	//   _nagai_, _labuzi_, _dosaen_, _adresen_, 
   {{0xb2000119,0xf212021c,0x7aad0371,0x793f0153}},	//   _kanina_, _sochy_, _troveret, _野村総合研究所_, 
   {{0xf3bf048f,0xa84a018d,0x466d0358,0x42e70080}},	//   _midwife_, _ዝዓብለሎ_, _foutbòl_, _ajungaa_, 
   {{0x53780087,0xfaeb02f6,0xd6330418,0xdb1f00c7}},	//   _muganga_, _kalooban_, _hepimizi, _bolardan_, 
   {{0x282600bb,0x626c033e,0xb9aa045e,0xa3ea00d9}},	//   _فاسفورس_, _henoi_, _водил_, _sentin_, 
   {{0xbe06040f,0x349c0428,0x7201005b,0x437a0192}},	//   _просьбу_, _naročilo_, _hibiki_, _schakel_, 
   {{0x39aa04ce,0xe4e20024,0xa9a50282,0x600e00f1}},	//   _gandiswa_, _দিনাই_, _haukotia_, _souveren, 
   {{0x94510156,0x3386040e,0x930e0259,0xdc610226}},	//   _יזכּור_, _feirar_, _citater_, _ipereke_, 
   {{0x134400e9,0x82920115,0xb3ea04fb,0xfd380418}},	//   _ansekre_, _lawati_, _contó_, _sahibine_, 
   {{0x72c505a2,0x98f802b1,0xf9be0059,0xc274005e}},	//   _क्रिस्टल_, _majalisu, _директен_, _زىنھار_, 
   {{0xa47a00af,0xda720253,0x116e01bd,0x33db0150}},	//   _промисло, _tamakkua_, _заманның_, _komumiti_, 
   {{0x03e803e9,0xe3ea0159,0xfab700ec,0x930e01d1}},	// [6180] _пресвите, _baltos_, _германія_, _intakes_, 
   {{0x66b300d6,0xaa4b0148,0xd5030071,0x1b0d002b}},	//   _alhefnaw, _我愛的小說_, _نامجو_, _অমানুষিক_, 
   {{0x0058019d,0x551602a2,0xa24a0318,0x976c02b6}},	//   _asasiyan, _katutubo_, _kuumoa_, _байыбына_, 
   {{0x3300036e,0x7da90043,0xedf000bb,0x00000000}},	//   _alcaldi_, _amagombe_, _کنڈوم_, --, 
   {{0x549c0428,0x3436035b,0xee7f0128,0x59b50040}},	//   _naročila_, _dejansko_, _سیمیناری_, _ואקססורי, 
   {{0x7a0902c5,0x5c610289,0x15fb004d,0xe9840452}},	//   _angagona_, _apereke_, _法律諮詢服務_, _tobirama_, 
   {{0xd6ab00e7,0x4652007b,0xc291009e,0x52fc03b0}},	//   _allergyw, _cranshaw, _escada_, _mengda_, 
   {{0x42fc025d,0xf7d5021b,0x48c500a7,0x00000000}},	//   _lengda_, _амуре_, _parellad, --, 
   {{0x6b7d038e,0xf70401d5,0xed8e03b4,0xf9d800c1}},	//   _terutama_, _منافقت_, _amborara, _शिरवळकर_, 
   {{0x024800eb,0xe3f9030d,0xd7de02d8,0xc5870388}},	//   _gyama_, _susuz_, _खासकरून_, _отправят_, 
   {{0x92590057,0x804c0369,0x82120364,0xf05302cd}},	//   _የምተችል_, _kumuwain, _siche_, _atisayen, 
   {{0xb41000c4,0xce2100ba,0xfe550287,0x804800db}},	//   _ڪئمپس_, _ئێشتا_, _porozumě, _aktuaaln, 
   {{0x02910245,0x3c440040,0x24910205,0x07d70226}},	//   _khwan_, _מאוזנת_, _истило_, _chapangi, 
   {{0xcdfb0178,0x1efb01b7,0x1ed600e1,0x52df01c5}},	//   _abravãd_, _abravãt_, _awantaas_, _mbagaati_, 
   {{0xc94600aa,0x02000182,0x7b6d02d5,0x6866003c}},	//   _myelinat, _panina_, _नीमना_, _چکاوک_, 
   {{0xc27e023a,0x62f4001c,0xf2c104e5,0xb538027f}},	//   _slobodný_, _bernois_, _ayolesa_, _kahicish, 
   {{0x237904f7,0xdecd0051,0xe05103cf,0x8c040156}},	// [6190] _megafun_, _ministrs_, _eksiksiz_, _מאנקיס_, 
   {{0xac0203ea,0x394c0078,0xa2ca00a0,0x1283005b}},	//   _confianc, _исламско, _afaloni_, _chikara_, 
   {{0x1c670036,0x5c3e0205,0x6c01022e,0x93b80061}},	//   _فرسان_, _чичарито_, _kingspor, _광주지방검찰청_, 
   {{0xa7720193,0xe3780256,0x49e600bf,0x5e1800b3}},	//   _प्राण्या, _dizaina_, _утвердил, _чөзен_, 
   {{0xeb6c0097,0x367500d1,0xe2da0016,0xc2d70033}},	//   _folúkẹ́_, _অধিবেশনৰ_, _tereno_, _chalins_, 
   {{0x81ed0074,0x07890161,0xa053026f,0x00000000}},	//   _профи_, _серого_, _گانسۋ_, --, 
   {{0x3231013d,0xa25300d6,0xa2c50231,0x2527033f}},	//   _klimato_, _feithicl, _violare_, _filimoeh, 
   {{0x3af202f9,0x63ea0203,0xe9f204b2,0xe9cc0153}},	//   _imoralit, _centun_, _imoralid, _として活躍を_, 
   {{0x22c10321,0x2d84002e,0x3cf005da,0x420000dd}},	//   _okolica_, _načelnik_, _mantendr, _fanila_, 
   {{0xd936024c,0xbc4600f8,0x8968027f,0xa3a80211}},	//   _permessa_, _আরোগ্য_, _rirorohe, _успешный_, 
   {{0x65d50235,0x7a250061,0x29c50177,0x2e0a004d}},	//   _प्रथमपुर, _적용제품인지를_, _hetepype, _日起停止使用_, 
   {{0x2201017f,0xae38017a,0xcf7f019b,0x53a7009b}},	//   _assit_, _неруҳои_, _futbolas_, _дутмагши, 
   {{0x9200052a,0xec930013,0x43f905b9,0x48980153}},	//   _kanila_, _تاپار_, _skrue_, _楽しかった_, 
   {{0x7a5c042a,0x07c00025,0xd27f0359,0xae7a013c}},	//   _basekela_, _चलचित्रं_, _deensk_, _seriyası, 
   {{0xec1b0281,0x473d018d,0x03f802be,0xfe3100cd}},	//   _aanaarar, _ንስውአትና_, _bukung_, _collinas_, 
   {{0x5577002c,0x7ad20130,0x3cda0037,0xcede02bf}},	//   _instalaz, _tadjikis, _ለአንዴና_, _bachuman, 
   {{0x030100d6,0x7c2201aa,0x8c75015d,0x00000000}},	// [61a0] _alsaadi_, _ansplay_, _starych_, --, 
   {{0xfd19018d,0xe36302fd,0xa2ee005c,0x7a150381}},	//   _ትምኒተይ_, _alagiah_, _atanazi_, _asualtie, 
   {{0x3f09023c,0x31de0482,0x492501ea,0x00000000}},	//   _دغلته_, _burhantó_, _клубига_, --, 
   {{0xf90c040f,0xb50502f7,0x043c00d1,0x00000000}},	//   _дарослых_, _kapetlel_, _হাজিৰ_, --, 
   {{0x6c7c023b,0xaba9021c,0x23940387,0xc75405f2}},	//   _arasesa_, _odpružen, _noosi_, _románico_, 
   {{0x638702cb,0x157f0247,0xdea603d9,0x9e4003be}},	//   _udarac_, _تصاحب_, _analaman, _hatabaye_, 
   {{0x9c3101b7,0x8212002a,0xc39400fe,0xede80022}},	//   _निरोधयेत, _hicha_, _hoosi_, _колхозға_, 
   {{0x025b042c,0x5c6e01be,0x0ce10095,0xf24a028a}},	//   _tuzli_, _figurek_, _تصويری_, _muumba_, 
   {{0xe9e3033a,0xe2eb043d,0x82010396,0xa3f202fa}},	//   _limitata_, _mengenai_, _issir_, _abazize_, 
   {{0x3a08032e,0xb9fa04b2,0x1d1b0059,0xd02500a6}},	//   _apkasina_, _maniwala_, _scendere_, _اوبری_, 
   {{0xf7c30105,0xc212006f,0xba80019c,0xfd6800da}},	//   _सुविधाओं_, _licha_, _amookuns, _канониер, 
   {{0x43be02ce,0xe3b90061,0x895b0098,0x3a0101d7}},	//   _nimbrung_, _춘천지방검찰청_, _tallerke, _carschid, 
   {{0xbd2904af,0x132600d6,0x9e4e00c8,0x434a029b}},	//   _antipope_, _grabbux_, _малды_, _keufine_, 
   {{0x0f390486,0xd24a0099,0x76cb00b7,0x26a501eb}},	//   _milionů_, _kuumba_, _arassaly, _kesupyah, 
   {{0xb7c30105,0xcd41000b,0x3ae101d9,0x00000000}},	//   _सुविधाएं_, _aitalafu_, _bestuede, --, 
   {{0x3db402a4,0xe3950305,0xe9cd04c5,0x96ba0098}},	//   _mariamya, _nyaste_, _larealit, _sportsny, 
   {{0x762804e6,0x97f40161,0x2a090188,0xf3940095}},	// [61b0] _antolohi, _незамедл, _angabona_, _coosa_, 
   {{0xfbf500ff,0x00000000,0x00000000,0x00000000}},	//   _גוזמא_, --, --, --, 
   {{0xb5170299,0x521200b5,0x00000000,0x00000000}},	//   _миллий_, _eicha_, --, --, 
   {{0xf2020014,0x831600ac,0x2d630012,0x32d90192}},	//   _arsimi_, _trebati_, _भिजैत_, _levend_, 
   {{0x8f6403de,0xa6810052,0x27aa0311,0x114e0192}},	//   _eliphaka, _दुखाई_, _ካልአይቲ_, _oosterho, 
   {{0x62910303,0xf2910107,0xe394000d,0x125a01b9}},	//   _bogang_, _tiwas_, _roosa_, _mallac_, 
   {{0x92120176,0xb25a02e4,0xe75405f2,0x0ae40045}},	//   _aichi_, _arblu_, _románica_, _акционар, 
   {{0xa3940528,0xee450085,0x6ed70097,0x539401d9}},	//   _bogsa_, _bolataga, _gbàárù_, _loosn_, 
   {{0x5d780024,0xbea50061,0xab7f003c,0x9b8a002c}},	//   _পৃথিৱীত_, _계약내용과_, _adegaken_, _монос_, 
   {{0x3d040192,0x6a090168,0x0ebc03db,0xd44c0155}},	//   _마이데일리_, _relatert, _bavumele_, _ingenjör, 
   {{0xfd040278,0xa7b502c2,0x1ae80092,0xaaba0008}},	//   _sebuthar, _mededing, _ご利用にあたって_, _карамушк, 
   {{0xf212022d,0xe34e029e,0xddb500cb,0x100a04a8}},	//   _fichi_, _tibetek_, _клубҳо_, _unaprjeđ, 
   {{0xccff0094,0x52fd00bc,0x9c49026f,0xe69d0181}},	//   _الاقانات_, _ateges_, _عارەكەڭن, _blogviri, 
   {{0xd0630067,0xd2ec0195,0x82770093,0x9a790013}},	//   _alaamayo, _blaithe_, _карман_, _шикастла, 
   {{0xc2d402fa,0xb472036d,0xe2ec00bd,0x4ecc004d}},	//   _zigomba_, _cantuinn_, _claithe_, _商務印書館_, 
   {{0x5557011f,0x62d802e2,0xed190638,0xf7b00128}},	//   _фролов_, _cheet_, _tjeneste_, _مشغوللر_, 
   {{0x4292006e,0x8ebd040f,0xf41303ce,0x4a0000b8}},	// [61c0] _cosaan_, _moterims_, _وامده_, _nanakaxa_, 
   {{0x73ea04a6,0x626c01c2,0xec1e0026,0x00000000}},	//   _sajta_, _nenos_, _verpakt_, --, 
   {{0xe392005c,0x198b0342,0xd7b40219,0x82f201c8}},	//   _akayesu_, _mechanst, _belening, _nesleduj, 
   {{0x60590227,0xd85a04e5,0x89f60233,0x229000da}},	//   _persidan, _agenjawu, _inprejud, _bagat_, 
   {{0xc2900163,0x1a8404dc,0x73ac046f,0xc2a6023e}},	//   _magas_, _ئێسقان_, _deppen_, _rambat_, 
   {{0x3f4d0437,0xf378013b,0x6da801f7,0xb45101a3}},	//   _særdeles_, _legarda_, _ostilita, _uendelez, 
   {{0x526c05ca,0x92130102,0x8c9000dd,0x12ca0276}},	//   _menos_, _lishe_, _cacennau_, _ئۈلگىسى_, 
   {{0xf3a4058b,0x5796043a,0x0bc002c3,0x34790275}},	//   _financij, _beataspi, _katolíck, _faresaio_, 
   {{0xeeb400a7,0x92db060c,0x8201004f,0x43db02df}},	//   _diverses_, _komunity_, _aafiya_, _komuniti_, 
   {{0x23430179,0xb24202a0,0x6c0a013d,0xc9470092}},	//   _diletam_, _alumooni_, _propran_, _あわせて買いたい_, 
   {{0x4fae01cd,0xcbb40105,0x52a50037,0x49f803be}},	//   _халки_, _संस्थानो, _ወደፍርድ_, _barabite, 
   {{0x92990222,0x929000db,0x1af502fe,0x7c2a0350}},	//   _abonné_, _jagas_, _bebusine, _የምናስብ_, 
   {{0xd97900d7,0x2b2f0024,0x3290000c,0xd9e30148}},	//   _bafilist, _সাম্প্ৰদ, _dagas_, _nominata_, 
   {{0x63dc0238,0x8c6e013f,0xd9290045,0xd99b006c}},	//   _спостері, _diorren_, _северно_, _abakhele, 
   {{0x2603013c,0x32e8025d,0x82cb004c,0x431402c4}},	//   _inflyasi, _skuffa_, _atadda_, _pedágios_, 
   {{0xd249002b,0x43870197,0xe39400eb,0xc659008d}},	//   _tiempo_, _amerik_, _dooso_, _кадрларн, 
   {{0x2642002b,0x3250020e,0xe8da009a,0x72e10403}},	// [61d0] _ডিএসই_, _семак_, _bebenoku, _haingam_, 
   {{0xc3b4026f,0xeff40040,0x02e90434,0x22250466}},	//   _ءپايزى_, _אריזות_, _empieza_, _ikakve_, 
   {{0x32900262,0x03ea0159,0x92ef0321,0xe63700c1}},	//   _sagat_, _baltas_, _nosilec_, _हुरहुर_, 
   {{0x82130014,0xfabb0216,0x22d80481,0xfede006c}},	//   _kishe_, _crownspa_, _stoere_, _азияткаш, 
   {{0xfbba005e,0x2bdd0211,0xf37a015a,0xac2400c5}},	//   _ﺳﻪﺩﯨﻘﻪ_, _спальни_, _baratan_, _locatair, 
   {{0x926c03e5,0x7db5018c,0x63b7017e,0xf4a502e4}},	//   _penot_, _kennisma, _לעמור_, _glossarj, 
   {{0xa68d027b,0x31bd0066,0x43ea0658,0x601703ae}},	//   _पन्था_, _тасалжээ_, _faltas_, _studiepo, 
   {{0x43a000c1,0x631a00ed,0xd86d00d8,0x94290158}},	//   _ठिकठिकाण, _gisiling_, _angletèr, _ordynacj, 
   {{0x7201000a,0x44d60452,0x2a180361,0x00000000}},	//   _assii_, _वस्तूंच्, _дечуьра_, --, 
   {{0x24590079,0x9c75036d,0x696d01d3,0x89610126}},	//   _periodā_, _bagradh_, _friidrot, _ветерані, 
   {{0x22d8054f,0x829002f3,0x9af20008,0x42b30791}},	//   _nkees_, _jagar_, _булгоочу_, _बारुद_, 
   {{0x827e023a,0x70a400ba,0xe7dc012a,0x831b0285}},	//   _slobodné_, _سۆهراب_, _zawartej_, _banyuram, 
   {{0x32900063,0x52900076,0x28d700af,0x637a0418}},	//   _eagar_, _vagas_, _писати_, _yaratan_, 
   {{0xb2e9041b,0xb26c00e9,0x1b52004d,0x3c5b01e5}},	//   _dienjat_, _denor_, _統一發票對獎_, _leuthai_, 
   {{0xbd0e02ea,0x92ab00c5,0xe26c0261,0xeaed0553}},	//   _elettric, _并不代表本站及其, _venos_, _preverí_, 
   {{0x76280174,0x53ea00d5,0x78620092,0xf2e90121}},	//   _didiposi, _nentin_, _質問や意見を交換, _deciden_, 
   {{0x3c1803c1,0x82fc0076,0xf291016b,0x00000000}},	// [61e0] _постигна_, _meninas_, _bawai_, --, 
   {{0x82f400cd,0xf394014d,0x00000000,0x00000000}},	//   _bernais_, _bloss_, --, --, 
   {{0x12910245,0x9b65002e,0x23ea000f,0xa62800ed}},	//   _dawai_, _određene_, _kentin_, _gidiposi, 
   {{0x0a8a00cb,0x82ca01df,0x926c0304,0x00000000}},	//   _abanesib, _heidin_, _benor_, --, 
   {{0xa202039d,0x89a102ac,0xfc2202a2,0x26b20275}},	//   _musiki_, _التذاكر_, _magrehis, _amagaloi, 
   {{0x0212019a,0x8201011b,0x2248016e,0x61470148}},	//   _licht_, _miziki_, _isimli_, _大紀元網系_, 
   {{0x93e5012a,0x314c016f,0xe712009e,0x4af300e6}},	//   _kątem_, _nakenbil, _consequê, _consente, 
   {{0x2dd201a7,0x12010309,0xa48d0145,0xc7460060}},	//   _стали_, _fiziki_, _aktualij, _تورلەڭىز_, 
   {{0x02010250,0x34b2002b,0x2a09000c,0x00000000}},	//   _dafina_, _অস্থিতিশ, _helbreat, --, 
   {{0x28890587,0x92a70635,0xcef6007e,0x22fc0250}},	//   _frontièr, _калона_, _गायकः_, _tatimet_, 
   {{0xa104041a,0x399701db,0xf2b50529,0x029202e1}},	//   _методичн, _процессі, _ubacio_, _rosann_, 
   {{0xa294043d,0xbbe0047d,0x9402017c,0x7faa0255}},	//   _mewakili_, _errenner, _ekuriren_, _सन्तानो_, 
   {{0xc7d400bc,0xe26d0058,0x5294012c,0xc4a40014}},	//   _هندوانه_, _gevon_, _nyakati_, _paragjyk, 
   {{0x23f902bc,0x921203e0,0x81c90188,0xf84a01b3}},	//   _khrum_, _eicht_, _тоату_, _бюджетом_, 
   {{0xd6e10104,0x3fc802d4,0x46340137,0x00000000}},	//   _ababephi, _affittar_, _хуухдээ_, --, 
   {{0x6b750029,0xdfbb018d,0xad3003db,0x4a180361}},	//   _سپێرین_, _ንያእቆብ_, _ilindele_, _коммунар_, 
   {{0xe2d802bc,0xfb5b0092,0x13490452,0x06a00307}},	// [61f0] _buneng_, _があります_, _absensi_, _nakumabh, 
   {{0xd031029b,0x2c8502b9,0x334b0415,0x0d8100c3}},	//   _astemaak_, _ترکمانست, _gemeint_, _habebant_, 
   {{0x42eb031d,0xb3f9042a,0x4aff00e2,0x7db90399}},	//   _fatness_, _bazuzi_, _hearskje, _matelié_, 
   {{0x83f904d0,0xd2fe042f,0xb25b047b,0x7d330022}},	//   _ciruz_, _mikiyuq_, _kurla_, _бюроһы_, 
   {{0xe6080109,0x81c6005e,0x129100a1,0xda0e02cb}},	//   _zdravím_, _ﻣﯧﮭﻤﺎﻥ_, _tawai_, _trošak_, 
   {{0x4ecc0238,0x929005c2,0xfd9700d1,0x120201f9}},	//   _основном, _mulalo_, _italiena, _betive_, 
   {{0xc34b01e8,0x179e00f5,0xfb090223,0x034203a2}},	//   _freewat_, _asudalyg, _берлины_, _रिहंद_, 
   {{0xc9cb03f7,0x3d2d00bd,0x86b60216,0x05a10204}},	//   _kraftave, _bayordie_, _lungheki, _лексичес, 
   {{0xc3a80093,0xb1540184,0x2d3003db,0xb12a0148}},	//   _системны, _amurongo, _alindele_, _登革熱防治_, 
   {{0x2f630192,0x334903b5,0xd20100a2,0xde960516}},	//   _참고하시기_, _berenti_, _riziki_, _guidness_, 
   {{0xb8490041,0x4aa30360,0x00000000,0x00000000}},	//   _азәымзар_, _इस्राएलल, --, --, 
   {{0x2d5f0044,0xc3860034,0x458203b5,0x687e0037}},	//   _שמגיע_, _hvoru_, _dibubark, _የዘለዓለም_, 
   {{0x298e004b,0x82da053b,0x5b1a02b6,0x12da016a}},	//   _марий_, _anuncie_, _тасмағам, _agreso_, 
   {{0x2b8f0288,0x4a890204,0x627d0163,0x00000000}},	//   _zurückko, _virolais, _lapszeml, --, 
   {{0xc2a60269,0xd2cb05ce,0x0f600163,0x5292047b}},	//   _hambre_, _meydan_, _javasoln, _alskyns_, 
   {{0x926d034b,0x12ac0076,0xc0dc00c5,0x99e1030a}},	//   _devol_, _карактер_, _知识连环画_, _pontedeu, 
   {{0xccf20033,0xa5990037,0x2a460244,0x85fe023c}},	// [6200] _contonsc, _ያገናዘበ_, _картата_, _مسلمانې_, 
   {{0xc62801eb,0xb48e0244,0x62d7013f,0x14ce0244}},	//   _antimoti, _принтери_, _diboell_, _записани_, 
   {{0x636102a2,0x02ea01e8,0x8e15010d,0xe26c005a}},	//   _ihambing_, _foriegn_, _kesediaa, _penoy_, 
   {{0x7386023f,0x0fff0037,0xd91b0092,0x0bae003f}},	//   _swore_, _ተከፍቷል_, _とりあえず保存_, _hechghac, 
   {{0x929001c5,0x730304f2,0x6633033b,0xa8f90067}},	//   _tagay_, _vinasat_, _sepediša_, _babalisu, 
   {{0xf201037e,0xcf24024a,0x56130153,0x8f25033e}},	//   _safina_, _inára_, _かつ前記超音波振, _ikarreta, 
   {{0x938d00f5,0xdc740386,0x3e970249,0xe250038d}},	//   _протесте_, _menulis_, _eksjenis_, _korektem, 
   {{0xd4e0002b,0x299b0038,0xb38c00ff,0x2f9d0040}},	//   _এতটাই_, _иттереп_, _תפֿילה_, _מסתתר_, 
   {{0xa74301a7,0x08c90205,0x11f100d1,0x3c1e021b}},	//   _ботинки_, _карамасд, _চুহুংমুং_, _питанием_, 
   {{0xa20205d7,0xbc69031c,0x5d350244,0xff260074}},	//   _qariah_, _expreso_, _fornisce_, _saatetaa, 
   {{0xb3860034,0x926c00bd,0xeb0300bf,0x113400f5}},	//   _hvort_, _aboord_, _перераба, _яңычлы_, 
   {{0x024d05f4,0xe290010e,0x00000000,0x00000000}},	//   _aviñón_, _bulalo_, --, --, 
   {{0xa8be0253,0x11ba012b,0x4291030f,0x8fae0092}},	//   _innersuu, _napisać_, _kawau_, _コンタクト_, 
   {{0x236e0148,0x411b00f4,0x5188003c,0x00000000}},	//   _bioflex_, _diskuizh_, _فراگیرکا, --, 
   {{0xd6d00147,0xdb230222,0x43db015e,0x95d103da}},	//   _ئداۋلار_, _supprime, _спорттук_, _esichagh, 
   {{0x6cbe0148,0x3202011d,0xae0d00cd,0x00000000}},	//   _菩提薩婆訶_, _fetite_, _cufforta, --, 
   {{0xf875038a,0x72a602c8,0xaf05027e,0x82d500ff}},	// [6210] _amaniqlu, _cambre_, _експанде, _bulonjo_, 
   {{0x5ba00462,0x322a0366,0xe15603b8,0x7489003e}},	//   _aightfor, _ломал_, _сатылай_, _кристери, 
   {{0x52c10085,0x23fd02ac,0xd25a0195,0x306603a2}},	//   _apolosa_, _لتنظيف_, _bhilh_, _चौकसी_, 
   {{0xbe8a0105,0x72d804bd,0x80dd0040,0xa2060318}},	//   _संपत्ति_, _nenelu_, _משלבת_, _kenitaki_, 
   {{0x89db00bf,0xc36601e8,0x22b90299,0x08c000f8}},	//   _отчасти_, _magtatam, _دىكىدەك_, _নস্যাৎ_, 
   {{0x5d68029d,0x42940362,0x0ab103bf,0x52e5004a}},	//   _конкомит_, _bankozi_, _инсультт, _edinaya_, 
   {{0x611101d5,0x628d0230,0x42fe026c,0x42890161}},	//   _دھیرے_, _fonksyo_, _meritis_, _подругой_, 
   {{0x971a005e,0x2e2a0046,0x4fa60139,0xbe0000dd}},	//   _ھىمايە_, _autocars_, _athovāca_, _chreffta, 
   {{0xd2910304,0xfe6103b0,0xc2ca005b,0xb21301f9}},	//   _tawau_, _forbruka, _kaede_, _cisha_, 
   {{0xd2900056,0xf2cb0343,0x97df006c,0xc96703d5}},	//   _kulabo_, _kolonya_, _abashayw, _aanoaghe, 
   {{0x49480595,0xe41b0148,0xe09c0024,0x52890313}},	//   _अमरसिंह_, _招標機關地址_, _ঠাকুৰ_, _dichqoq_, 
   {{0x67b30174,0x72cb02b7,0x52010141,0x3d1102ac}},	//   _belegwag, _ouadda_, _safida_, _نختار_, 
   {{0x7afc0336,0x874a0044,0x0167005a,0xb2460211}},	//   _samferds, _חדשנות_, _dangaghl, _tabletti_, 
   {{0xec54043b,0xee9905bd,0x4e5d01c8,0x32670013}},	//   _leithid_, _mistenkt_, _nekomerč, _маконда_, 
   {{0x823106a6,0x1aea0159,0x52400087,0x00000000}},	//   _tfumela_, _парашутн, _matlhari_, --, 
   {{0x43fe0156,0x4291012d,0xbfe10110,0x00000000}},	//   _אוריילי_, _tawal_, _komunicē, --, 
   {{0xe2920792,0x53940529,0x03800223,0xe2580297}},	// [6220] _rawati_, _unose_, _aduriz_, _дәвернең_, 
   {{0x151401ae,0x5df505a5,0xa92801ec,0x62d8022a}},	//   _resumido_, _pridajte_, _غمگین_, _levolut_, 
   {{0xaa0a0331,0x827e00f7,0x411b020f,0x00000000}},	//   _avtaluna_, _anoncu_, _سرپرستۍ_, --, 
   {{0x6d830793,0xf2da00b0,0x0f2402f0,0x83400053}},	//   _नामोनिसा, _fureen_, _dlála_, _daleman_, 
   {{0x263c015d,0xeb9603ef,0x379702a9,0xc29100e1}},	//   _lakierni, _bahindur, _granatą_, _kawam_, 
   {{0xb98902e2,0x1292006e,0x1da6042d,0x00000000}},	//   _anchoode, _gawari_, _famoteha, --, 
   {{0xf8ee01b4,0xf12b0037,0x663a0153,0xb7cd00d1}},	//   _krugersd, _የሚከብድ_, _フィッシュ_, _বনকৰা_, 
   {{0x320003d8,0x55380126,0xf26e02e4,0x0011040e}},	//   _danima_, _критерія, _espost_, _allvitan, 
   {{0x4f6400ba,0xb21202bf,0x92dc01fe,0x5292006e}},	//   _بێئاگا_, _bakhi_, _vagolei_, _kawari_, 
   {{0xfc81033e,0x6346018a,0x583c02d6,0x00000000}},	//   _aftermad_, _heddwas_, _холжигит, --, 
   {{0x8fbf006c,0xf226003e,0x4af9035e,0xa37d0119}},	//   _abangoso, _burkus_, _pogublje, _kaparte_, 
   {{0x7dbd00bc,0xf125003e,0x5e03036b,0x00000000}},	//   _javanese_, _ығында_, _невидлив, --, 
   {{0xd9500104,0x7df603fc,0x6a8b033d,0xcca60012}},	//   _bamlande, _studerte_, _divisyon_, _ननिऔरा_, 
   {{0xe306046f,0x12e60225,0xef1f03eb,0x00000000}},	//   _gemaach_, _aranuka_, _inleiden, --, 
   {{0x794b01fb,0xdb10025c,0x83f90079,0xe2ca039e}},	//   _teutonic_, _entstehe, _mazuli_, _reidun_, 
   {{0x73f9005b,0x4212005b,0x401d00c0,0x063e0255}},	//   _lazuli_, _kichi_, _pundasyo, _द्विरागम, 
   {{0x91070171,0xc28d0021,0xe83d002c,0x23ea02ee}},	// [6230] _pronađi_, _oursecay_, _аргын_, _rabta_, 
   {{0x42cb013b,0x226e02ee,0x6231046d,0x22fa03e2}},	//   _polonya_, _isport_, _thompho_, _pechada_, 
   {{0x62d1035b,0x9e03016d,0xe2ec0128,0x29c702ba}},	//   _otrokom_, _йоқлуқи_, _аллар_, _варақаи_, 
   {{0x6e0d037c,0x52670204,0x643500da,0xa9f8000d}},	//   _wundacha, _берут_, _функцие_, _rajamise, 
   {{0x33f901e6,0xcd8201b7,0xcb3c0151,0x82f503cf}},	//   _okruh_, _budhāḥ_, _bedchamb, _veririm_, 
   {{0x86a600e6,0xf64e01aa,0x8e57009f,0xa394018b}},	//   _工伤保险条例_, _anciscof, _cesarske_, _dansez_, 
   {{0x2e8a0255,0x93ea014a,0x1213020d,0x637a0076}},	//   _भारतीयन_, _fajta_, _jisho_, _pegando_, 
   {{0xc21202bc,0xb2a7010d,0x599002fa,0xf3dc01b5}},	//   _sakhi_, _ngebut_, _amakarit, _kunwe_, 
   {{0x321301cd,0x42270205,0xa5f301bb,0x0f670177}},	//   _lisho_, _фаришта_, _teleýaýl, _ықәиргыл, 
   {{0xee530064,0xb9b202eb,0x737901ed,0xec6e0478}},	//   _делимита, _болцон_, _manaoio_, _aleatòri, 
   {{0xaef0019b,0xf39a0134,0x810f031c,0xb6740237}},	//   _bankinin, _lésin_, _volviero, _나이스베트남_, 
   {{0x1db8001a,0x93960409,0x6da00362,0x87270235}},	//   _valamint_, _kurser_, _bakomana, _anulomav, 
   {{0xa87a023c,0x12d80275,0x65220040,0xe16400b3}},	//   _دګډون_, _atoese_, _הביצועים_, _alanlary_, 
   {{0x72e90285,0x0d420066,0x7c58000f,0x7bee0198}},	//   _itsinda_, _боксын_, _saatlik_, _skodelic, 
   {{0xc26e034f,0xe26e015e,0xafc3044a,0xa3000054}},	//   _rasool_, _esport_, _humilier_, _muhalli_, 
   {{0x27b00335,0xcd9c0256,0x531700e9,0x00000000}},	//   _प्रस्थान, _publiska, _prezat_, --, 
   {{0x42e60191,0xe42b018d,0x60b00156,0x4290034e}},	// [6240] _franska_, _ግደፈሎም_, _סטריקעוו_, _ecoan_, 
   {{0x729100fa,0x32ef03dc,0xcb6e0334,0x426c031d}},	//   _hawak_, _havnini_, _amalipir, _adjoin_, 
   {{0xc439004d,0x53950117,0x6b6b0028,0x7c1b003c}},	//   _您填寫字數已超過, _spesel_, _murugada_, _bakulé_, 
   {{0xb3050261,0x0b990034,0x939003ef,0x9fc102d8}},	//   _konataj_, _hvanneyr, _amayeri_, _bernomor_, 
   {{0xc00e03d2,0x81b70294,0xae4d0277,0xcd380037}},	//   _dievčens, _animalpi_, _binayloa, _አልወድም_, 
   {{0x76e4006f,0xec7c004c,0x93870004,0xe37f003c}},	//   _kimataif, _baasera_, _nwaris_, _dinakwa_, 
   {{0x479202dd,0xdb65002e,0xb2cf001b,0xf2e901dd}},	//   _sostanti, _određeni_, _annolee_, _atsinda_, 
   {{0x01e1008f,0x62c40060,0x59fa0055,0x8d9c0040}},	//   _मदारी_, _ءبىرىڭعا, _parigina_, _להיחשף_, 
   {{0x92d90272,0xa26c047d,0x8e8a007e,0xc29201ac}},	//   _abeegi_, _gefor_, _भारतीया_, _cosain_, 
   {{0x7d59000c,0x520e009b,0xd72b0585,0x6a24016f}},	//   _economía, _шадар_, _radnički_, _платити_, 
   {{0x639406e5,0x999d009b,0x3d180258,0x7de7014a}},	//   _dêrby_, _багын_, _prestear, _tekintés_, 
   {{0x184e0133,0x29c90201,0x4ab90038,0x198902f8}},	//   _overlaps_, _aalliyya_, _arbañnı_, _hehheeee, 
   {{0xe26d0127,0x3b5d064c,0x00000000,0x00000000}},	//   _devoa_, _upriliče, --, --, 
   {{0x8f700226,0x1378004b,0x692d0315,0x0fb301db}},	//   _luscious_, _сәмен_, _ekumelwe, _قيىننان_, 
   {{0xc1480262,0x1ea6021a,0x967203f4,0xce5c018d}},	//   _berekell, _baatilee_, _непрерыв, _እተመልክት_, 
   {{0xe68901f1,0x67bd0179,0x325001ee,0xec8f004d}},	//   _prodhimi, _pavestig, _ненан_, _電子報務中心_, 
   {{0xfac302b9,0x6341012c,0xe9120040,0xf55c00e6}},	// [6250] _حافظہ_, _انکان_, _החקלאי_, _不得挪作他用_, 
   {{0xb21302bf,0xa94a0312,0x1e3d02ba,0xf04702ba}},	//   _tisho_, _komunour_, _факултаи_, _хислати_, 
   {{0xc9f802a7,0x898a0041,0x293a0204,0x00000000}},	//   _barajite, _иҧсшьара_, _аватары_, --, 
   {{0x04ba0163,0xf20003db,0x9c69005d,0xf42202d3}},	//   _سفرنامہ_, _banika_, _инхарҭа_, _botafogo_, 
   {{0x02130397,0xacdb00be,0x47a202af,0x62e304b3}},	//   _cishe_, _campió_, _cigumiri, _europiz_, 
   {{0xb15c03ff,0x4e6c01ec,0x92da0223,0xe3060043}},	//   _oficiáln, _میرود_, _bereko_, _akongojj, 
   {{0xbd870204,0x7fe300d0,0xac7e047d,0x1cb9016d}},	//   _molemmat_, _juridiko, _verstan_, _ғәзәп_, 
   {{0xd2070052,0xc60f0086,0x569700ec,0x48fe0272}},	//   _celostát, _biológia, _завецца_, _batagend, 
   {{0x82910082,0x6e6d0171,0x33f9021c,0x294e000d}},	//   _kawai_, _proizvođ, _tabuli_, _pullerit, 
   {{0xbc0c0192,0x69e90226,0xd21803ec,0xbfaa00ec}},	//   _geopend_, _akunyada_, _brukseli_, _remontuo, 
   {{0xcebe0108,0x9bd9015e,0x99440342,0x99c60217}},	//   _sanggeus_, _torelló_, _disparčt_, _vivement, 
   {{0xf21302c1,0xb8a80060,0x3c540040,0x654400c1}},	//   _bishe_, _дастарқа, _בנסיעה_, _नाणेघाट_, 
   {{0xb7430016,0xe30f03e7,0xcef4023a,0x82da02e5}},	//   _טאונס_, _bombero_, _tradičný, _dereho_, 
   {{0xf95e0265,0xd30800f9,0x65ad02d5,0x4da30223}},	//   _inclusie, _amaboko_, _धनपति_, _istorioa, 
   {{0x42130069,0xd7250090,0xde5701a3,0xfe4e019e}},	//   _wishe_, _akambeng, _سرڪشي_, _абедзвюх_, 
   {{0x42cb04ce,0x53540274,0x526c013f,0x00000000}},	//   _ngudo_, _almenns_, _fenoz_, --, 
   {{0x35af00d1,0xc67c0456,0x03a90178,0x443a0078}},	// [6260] _উদ্যানখন_, _berkhalw, _bravãd_, _приморан, 
   {{0x1394006f,0x954401cd,0x564902f7,0x572b0794}},	//   _agosti_, _andiwaxh, _lebistsw, _radnička_, 
   {{0x325a0392,0x941901ef,0xc9e3017e,0xcc84013b}},	//   _thill_, _pasiliek, _אנדרע_, _porecatu_, 
   {{0xcec0056d,0x51db004d,0x00000000,0x00000000}},	//   _isayinwe_, _來台灣交通資訊_, --, --, 
   {{0x1c4500b8,0xc0230107,0x3c5d00c8,0x09810244}},	//   _kiswara_, _disempro, _boatril_, _caricame, 
   {{0x22550369,0x7a4b0092,0x36b6003a,0x32900482}},	//   _opololei_, _accessup_, _ayirbosh, _nagay_, 
   {{0x62ea034b,0xb3a201ca,0x3c52004c,0xb2cb0030}},	//   _desisen_, _choppa_, _agatuwa_, _dagdas_, 
   {{0x541201a4,0x0fd40109,0xc1a00073,0xcca1032c}},	//   _abenisak, _नगरिएको_, _plicabil, _artornaq, 
   {{0x73f4007f,0xaaf70455,0x00000000,0x00000000}},	//   _berthi_, _aiguille, --, --, 
   {{0x829001b9,0x626c006a,0xd3aa0059,0x797400c7}},	//   _bagaz_, _henoy_, _открий_, _бербөтен, 
   {{0xcf67034e,0xcd8000e0,0xabdf0059,0x229000ed}},	//   _altarkun, _abbekaat_, _difender, _magay_, 
   {{0x74ec0444,0xa3570270,0x124803f5,0x129000c0}},	//   _поступае, _asserer_, _exame_, _lagay_, 
   {{0x85ae028b,0xd3f800d3,0xb6430092,0x00000000}},	//   _латинтәи_, _dekuju_, _grandinf, --, 
   {{0xb2c101f9,0xc21300ae,0x39cd00b9,0x159f034c}},	//   _bodliwa_, _inshi_, _कोहलीच्य, _facigalä, 
   {{0x126c0033,0x52cc0591,0x69a50262,0xa0f10143}},	//   _affon_, _fälgar_, _bosniýa_, _страхове_, 
   {{0xfc5e0347,0x829000a8,0x66d300c3,0xed130060}},	//   _kasteel_, _ragaz_, _placenti, _детальда, 
   {{0x729002be,0x61d7013f,0x615c00c7,0x12d904f2}},	// [6270] _bagay_, _pennadoù_, _мартында_, _mobell_, 
   {{0x6af70244,0x132d00ba,0xa26d0445,0x295300c8}},	//   _валери_, _بابزانین_, _levou_, _тымыҡ_, 
   {{0xee690356,0xb9e30145,0xc27e018f,0x929002ec}},	//   _chachana, _коласа_, _chonad_, _dagay_, 
   {{0xb2c60354,0xfa880092,0x1b070391,0x28790425}},	//   _експорти, _前記被写体反射率, _вилдан_, _شیرپیدان, 
   {{0x84360277,0xc34901ef,0xaff90220,0xb3a2017c}},	//   _serbisyo_, _pereiti_, _преминав, _shoppa_, 
   {{0x7f730354,0xd36504a8,0xff9f0025,0x00000000}},	//   _سەرسان_, _blagdan_, _उत्तरेण_, --, 
   {{0x541d0163,0xdb89036d,0x2e930513,0x0e2c0144}},	//   _کارگل_, _chronaic, _eximutan, _مقبولة_, 
   {{0x6c0e00e9,0x94fb0461,0xf2fc00ec,0x100e0267}},	//   _soupire_, _agricòla_, _rengia_, _pogrešno, 
   {{0x42920127,0x13a100e6,0x00000000,0x00000000}},	//   _ampart_, _能张目对日_, --, --, 
   {{0x521202d0,0xf23901a4,0xb00e0267,0x00000000}},	//   _aicht_, _boumeli_, _pogrešni, --, 
   {{0x6fe00212,0x976d0078,0xa2fd02a4,0xc20100db}},	//   _linkedwo, _прогреса_, _greges_, _ravida_, 
   {{0x22e70292,0x93f90176,0x8952054d,0xdf560128}},	//   _amansin_, _kabuki_, _nørgaard_, _макруҳ_, 
   {{0x6b970204,0xfd150253,0x221c002b,0xe8ff017a}},	//   _приколы_, _timersoq, _আত্মজীবন, _адовати_, 
   {{0xc4e201f6,0xb212007b,0x3c440061,0x51070207}},	//   _মিলাই_, _wicht_, _송도풍림아이원_, _alikozal, 
   {{0xc3ea0211,0x82120359,0x54ab041e,0x51860068}},	//   _tuntia_, _ticht_, _comédies_, _ismaamul, 
   {{0xfe4a0060,0x837902ce,0xffd9026f,0x47bd0223}},	//   _باراسىڭب, _sirahna_, _حۋاڭحى_, _solstizi, 
   {{0xa2d50209,0x58470177,0xf1400371,0x624a0014}},	// [6280] _høegh_, _наталиа_, _аплодисм, _termat_, 
   {{0xe2120026,0x2533011e,0x23dc0234,0x9582018d}},	//   _zicht_, _solannel_, _runwa_, _pandrysh, 
   {{0xcc180005,0x6c1e002e,0xe10f0059,0xb7ad02b9}},	//   _rumantsc, _glupost_, _поставят_, _jutalék_, 
   {{0x03f9044a,0x22d70270,0x147c01ad,0xac0b00fe}},	//   _babuki_, _esolver_, _dietikon_, _leopino_, 
   {{0xab1f0390,0x02d302e2,0xc15d00fc,0xb2010141}},	//   _onlardan_, _chooish_, _chorammo, _banklari_, 
   {{0x925a0552,0x92030029,0x04fa0435,0xa17f044a}},	//   _dailix_, _هیچکام_, _увијек_, _kopambol, 
   {{0x114702f3,0xc225019d,0xc0c70076,0x66f10046}},	//   _uddevall, _chakhe_, _крстонос, _portuguè, 
   {{0x42130311,0x9a0500c1,0x3e020408,0x451000d1}},	//   _kisha_, _अणुऊर्जा_, _fivelara, _বিধায়কস, 
   {{0x621200bd,0xed3103db,0x52790009,0x92bb00cb}},	//   _richt_, _alandele_, _socialni_, _итолиёӣ_, 
   {{0x721204b9,0x7ac901c7,0x09aa0128,0xd1d3009a}},	//   _sicht_, _дирелиши, _голим_, _کبیرستور, 
   {{0x411c0692,0x9f270205,0xcd030203,0x5f5f01d7}},	//   _шарттары_, _دعوتی_, _desligat_, _tiradurs_, 
   {{0xd15f010b,0xffc30194,0xf81e00d1,0x42020009}},	//   _bokgabal, _deminger_, _গুজৰাটৰ_, _skriti_, 
   {{0x72cb0377,0xf84a032d,0x9e480416,0x534302d3}},	//   _oradea_, _полкы_, _desagrea, _полоша_, 
   {{0x9aeb0101,0xe37a0119,0xb2920088,0xb37700c6}},	//   _exprimat, _edgardo_, _detall_, _карпат_, 
   {{0x87d501d5,0xed970046,0x279f0311,0x93ac005b}},	//   _نوازا_, _جاناكەلى, _ንምጥርናፍ_, _beppin_, 
   {{0xa2130028,0x8a0a0544,0x82cb03d5,0x00000000}},	//   _bisha_, _pelapela_, _bradda_, --, 
   {{0xd3400005,0xc3eb02e2,0xc7ca01ef,0x95ba01bb}},	// [6290] _regenza_, _thatch_, _druskini, _garašsyz, 
   {{0xc21302f7,0x62d80528,0xb2e9024b,0x849e0090}},	//   _disha_, _chionns_, _reciben_, _anyatsoz, 
   {{0x3c6a0198,0xe69a0061,0x6e1b0037,0x51ec011a}},	//   _forumov_, _서비스이용약관_, _diserika, _מהבוקר_, 
   {{0xb20001df,0x86c30220,0xa69d0067,0xb1ed0371}},	//   _unkind_, _riparazi, _baateeyy, _японски_, 
   {{0x82900028,0x4cfd04c7,0x537f00dc,0xbbd10159}},	//   _kulamo_, _приче_, _aulaula_, _konditer, 
   {{0x6a46045e,0x78fc03db,0x6e5b02c4,0xf99a04b3}},	//   _сайтът_, _benamand, _штрајк_, _diskenne, 
   {{0x625a0289,0x19c70368,0xf6a0006c,0xca3c034c}},	//   _akale_, _задатак_, _amafasci, _ачышын_, 
   {{0xbe1d00ec,0xe2cb040a,0xce4601dd,0x00000000}},	//   _poreikia, _krydda_, _baratega, --, 
   {{0x80ac01cc,0x621201df,0xb9790155,0x3dc0005b}},	//   _lokadhāt, _sichs_, _socialst, _achimama, 
   {{0xa531052c,0xa9fa02af,0x7ce004b3,0x73ea02e4}},	//   _ریبیتان_, _barayise, _babigoù_, _habta_, 
   {{0xb0250235,0xa2ac0088,0x395c0465,0x4a4f0376}},	//   _anapatyā, _сабактар_, _naložben, _fordøma_, 
   {{0x050a01db,0x487f0037,0x7379000b,0x4b030055}},	//   _اعىتۋعا_, _ለዘለዓለም_, _savalia_, _aprrezie, 
   {{0x02ee02ff,0x352a01b9,0xfdbe01ad,0x8dbc011e}},	//   _blanchi_, _eksitasy, _mansfeld_, _totalite_, 
   {{0xe6b7003a,0x86130151,0xdc620138,0x8c670282}},	//   _kengashi, _bestowal_, _korusun_, _ranunga_, 
   {{0x785e004a,0x79690139,0xf26d027e,0x00000000}},	//   _амосов_, _bhaimase, _levoj_, --, 
   {{0x1ebb0435,0x529100c1,0xc097009a,0xa2130013}},	//   _sportske_, _nawas_, _خارجيان_, _yishi_, 
   {{0x78320147,0x7bb902ac,0x28e90192,0x5a3b034c}},	// [62a0] _دايىم_, _يغادر_, _winstoog, _акбайга_, 
   {{0xa3030035,0xfb0f00bc,0x8d19000e,0x017f04f9}},	//   _cinayat_, _قشنگه_, _dignante_, _angajull, 
   {{0x1501020a,0xd9e30213,0x7e5a001b,0xc30c013a}},	//   _اجارلى_, _подача_, _arabiyaa, _gewannt_, 
   {{0x14850359,0xa29100c0,0x92e2041b,0xc2910085}},	//   _sortearj, _bawat_, _puriang_, _sawau_, 
   {{0x533d0028,0x4f57026f,0x7bd000bb,0xf6b001ac}},	//   _ہیمال_, _арабтар_, _آرتھوڈو, _intuigth, 
   {{0x12730303,0x3213008d,0xa3570047,0x1e31019f}},	//   _baesekel, _rishi_, _consulté_, _مارگريٽ_, 
   {{0xe6d2014c,0xb64e02eb,0xaf7c00e4,0xf7520044}},	//   _umfaneki, _сахиусан_, _राक्षसों_, _painting, 
   {{0xa1f900d9,0xe29100ed,0x795f0233,0x60bf0311}},	//   _построен_, _gawas_, _possesor_, _ዘምጽኣልና_, 
   {{0x84ea0047,0x3cf10371,0xc9090125,0x967900b4}},	//   _第二十二条_, _mantener, _шемалам_, _socială_, 
   {{0x53480109,0xf2910306,0x00000000,0x00000000}},	//   _recepci_, _hawas_, --, --, 
   {{0x229100ad,0xe47500a4,0x32010488,0x734f0418}},	//   _kawas_, _ارمانداش, _kafija_, _girerek_, 
   {{0x5213003a,0x6304012d,0x73000080,0xaa00000a}},	//   _tishi_, _rivaval_, _allatsi_, _allatsip_, 
   {{0x4d110425,0x13fa0035,0x484d00ec,0x900c01db}},	//   _وخوار_, _barudi_, _pastabos_, _شينحۋا_, 
   {{0xb93d008d,0x52e601ff,0x00000000,0x00000000}},	//   _сайловда_, _bryndza_, --, --, 
   {{0x6c2d0349,0x9b0004e3,0xeecc0170,0x42ea0276}},	//   _ogramspr, _neprimje, _andithan, _خارەكتېر, 
   {{0x3d210060,0x384d0163,0xb2ea0156,0xe1ca000f}},	//   _бәйгеге_, _پیشنگوئی_, _bovinon_, _sentetik_, 
   {{0x06e202ea,0xe29100ad,0x11a40061,0x6a73032e}},	// [62b0] _регулира, _hawar_, _유아동의류_, _yanapita_, 
   {{0x13f903ae,0xa5020081,0xb53d02c1,0xa9530291}},	//   _skrur_, _babalúla_, _babimeny, _laistiar_, 
   {{0xb2910450,0xa304014a,0x1226045a,0x212d02ba}},	//   _sawat_, _hivatal_, _kirker_, _хаттӣ_, 
   {{0xf03d0218,0x52f00242,0x338b006c,0xcb65021e}},	//   _ossessio, _tikinti_, _abaseshi_, _skolstar, 
   {{0x305c0088,0x00000000,0x00000000,0x00000000}},	//   _катарлаш_, --, --, --, 
   {{0xde410356,0x52fc0027,0x00000000,0x00000000}},	//   _tatamamp, _menikas_, --, --, 
   {{0x0d24032d,0x5d840109,0xf26c0220,0xe9fa0010}},	//   _tokomane_, _एनेकपा_, _arrivati_, _besifuna_, 
   {{0x6291006e,0x3ce9004d,0x2f4301d7,0xd292017f}},	//   _abwaa_, _新竹市文化觀光導, _apprezia, _assaaa_, 
   {{0x193601ef,0xc485028b,0x93d60092,0xb379033f}},	//   _struktūr, _иҳастрат, _ス企画開始_, _kavahia_, 
   {{0x2dc40388,0x83eb0311,0x1291001e,0x725a0189}},	//   _европейс, _larte_, _kawar_, _ikili_, 
   {{0x7291033a,0xa27d0127,0xe369034c,0x1292021c}},	//   _inkluż_, _bombezañ_, _сомалида_, _bivaky_, 
   {{0xba93016f,0x726b0130,0x6f320039,0xa99a0159}},	//   _восени_, _adrannoù_, _тостой_, _трубяцко, 
   {{0x48880025,0xe184032d,0xd337002b,0xe2d9011a}},	//   _स्वीकृत्, _boramahl, _মাদরাসার_, _offend_, 
   {{0x526c021c,0x26830066,0x512902e5,0xd62d02ed}},	//   _komody_, _direlari, _jokoharã_, _abanquei, 
   {{0xd80f0205,0xb97501db,0x1f5b02f8,0x21ca0381}},	//   _усуллари_, _انىستى_, _kamataan, _asmodium, 
   {{0x21b9041a,0x650b018d,0x026c0163,0x831000c7}},	//   _термін_, _ምጣኔሃብታዊ_, _somogy_, _gazzä_, 
   {{0x337c02af,0x03eb0269,0x8a0200ed,0xa2b201b2}},	// [62c0] _ararisom, _darte_, _mananaup_, _bridson_, 
   {{0x8291029b,0x7ad7036f,0xb4d5027b,0x5c6e0100}},	//   _bawar_, _postojat, _श्लिषः_, _starica_, 
   {{0xc84a0059,0x422300ba,0xc6dc02d5,0xe5f70444}},	//   _пазарджи, _بگۆرم_, _बनलिन_, _платинои, 
   {{0xda8b03e3,0x4ed501e9,0xb20103db,0x56f3002a}},	//   _divizyon_, _basiamin, _bafika_, _mmerụahụ_, 
   {{0xf7b600a8,0xf718026c,0x4850002b,0x723000a1}},	//   _emprendi, _元以航空掛號印刷, _রায়নগর_, _inamata_, 
   {{0x1d26000e,0x39c30300,0x2de30060,0xf4a00026}},	//   _changeat_, _sladkost, _تۇرمايدى_, _vreselij, 
   {{0x5eae0016,0x02010289,0x82e90083,0x88f702f6}},	//   _אוצרות_, _wafika_, _desista_, _makatutu, 
   {{0x37b60371,0xaa4f03b7,0xb6c400c1,0x82120259}},	//   _imprendi, _acements, _kreatifi, _sachi_, 
   {{0x025a01b7,0x4c930276,0x5212005b,0xbf2f019a}},	//   _khalv_, _سادام_, _pachi_, _foregrun, 
   {{0xce5600ff,0xdaf0015e,0xbecf01df,0x00000000}},	//   _טשעביריא, _incertes, _liviston, --, 
   {{0x32d9041e,0x925a0257,0x225a0140,0x3a270287}},	//   _devenu_, _skila_, _akala_, _सडकबाट_, 
   {{0xe49d02c5,0x753e050b,0x2a0a019b,0x1317018b}},	//   _achangoz, _ketigany, _karalyst, _trezit_, 
   {{0x41fa018d,0x68810049,0x712900f4,0x29620161}},	//   _ከምዝሕብርዎ_, _kasitomu, _dezverko, _поставь_, 
   {{0x7185023a,0x0d6a00d1,0xf2300326,0x73f9005b}},	//   _bojovať_, _অঙ্গাভিন, _anamata_, _kazumi_, 
   {{0x441900bf,0xa6ba02c1,0xa2ca005b,0x33dd0366}},	//   _сравните, _bitabiri, _maeda_, _проехать_, 
   {{0x358a02d3,0x604d00ed,0x8eda004d,0x92fd0275}},	//   _проблеми, _estuarin, _元以限時專送交寄_, _levalasi_, 
   {{0x36490192,0x92910437,0xfa5a030b,0x42c10321}},	// [62d0] _촛불문화제_, _engang_, _abagwira_, _železa_, 
   {{0x62910245,0xeecb0171,0x925a0252,0x60710313}},	//   _pawar_, _priznaje_, _khalo_, _divangmo, 
   {{0xe30200a5,0x929203f3,0x83ef0040,0x3f1900ab}},	//   _fananau_, _metaal_, _לצעוק_, _whoianō_, 
   {{0xb20201b5,0xd2910026,0x5c4e056e,0x20d703c4}},	//   _ririmi_, _ingang_, _sátira_, _сидороп_, 
   {{0xfc6a0132,0xfe3403b7,0x95860108,0x537a0428}},	//   _akartam_, _allainwa, _coretanh, _svinčeve_, 
   {{0xdc6f00a9,0xcf1e0014,0xcf3d0095,0xbdd100ab}},	//   _aturuka_, _mundesin, _belsyaza, _ngakunga, 
   {{0xe2120306,0x122c02fe,0x7586069b,0x6b0703f8}},	//   _machu_, _فیصله_, _rendahny, _lengtahb, 
   {{0x9e34009a,0xc50c019e,0x0b000359,0x7eb402b4}},	//   _athathwa, _арабскіх_, _meirekke, _imiselwe_, 
   {{0xe29205e6,0xb5e900a6,0x7b1d002e,0xe20202a0}},	//   _betaal_, _akuchaph, _ispričao_, _giriki_, 
   {{0x96b9016d,0x99fe01ed,0x1301000b,0xad89004d}},	//   _ﻣﺎﺗﯧﺮﯨﻴﺎ, _poinikia_, _pavaiai_, _溫家寶主持召開深, 
   {{0x125a0226,0xada40268,0xf4a70224,0x23fe021c}},	//   _chalo_, _addingwa, _samantek, _robotick, 
   {{0x2202024f,0xf49d018d,0xf81e00d1,0xc2f6003c}},	//   _kiriki_, _ብምግምጋም_, _গুজৰাটী_, _bebisik_, 
   {{0xa2f0037f,0x32e800a2,0x52910092,0x7f34013d}},	//   _colibri_, _kuzikwa_, _angang_, _altranga, 
   {{0x6c8003c1,0x82a6023e,0xe3060012,0xf86901d2}},	//   _летен_, _nembé_, _धोबिनिया_, _chankayu, 
   {{0xd26c0201,0x79c3020a,0x521200e4,0x4f3b0576}},	//   _aboonu_, _ارباۋىنا_, _dachu_, _kaluraha, 
   {{0x52900410,0xa8be0265,0xffae00b4,0xf7ed018f}},	//   _tlhale_, _handleid, _паркэ_, _daladbog, 
   {{0x0ee90625,0x5f3801b9,0x32f90298,0x70e10078}},	// [62e0] _parkovan, _debursma, _karahipi_, _укуса_, 
   {{0x88080029,0x1a490198,0xac71024e,0x17ae0181}},	//   _ستاون_, _debelega_, _zabranu_, _skadelig, 
   {{0x3b010169,0x53ce01c4,0xada70080,0xa315015e}},	//   _নিয়োগ_, _reeva_, _iffiorta, _йылмаз_, 
   {{0xdc2a0057,0x225a05c0,0x07670314,0xa2fc0005}},	//   _ሕፃናትን_, _ghall_, _паркта_, _mengia_, 
   {{0x8cc90014,0x42fd04a2,0x6c670275,0x12910120}},	//   _ዲክታተር_, _gregos_, _manuaga_, _taway_, 
   {{0xd21202c7,0xfe170116,0x6c260360,0xb84b00c5}},	//   _macht_, _drummers_, _titulů_, _法规的规定_, 
   {{0xb33d011c,0x12d90047,0x00000000,0x00000000}},	//   _baparé_, _revenu_, --, --, 
   {{0x028c030b,0x79cd01ad,0x828c0021,0x6c6100c5}},	//   _abakaba_, _heidenhe, _abasabay_, _porteur_, 
   {{0x52a602b7,0x70b30013,0x52e8043a,0x955a0299}},	//   _kembé_, _тартибот_, _finikon_, _تراكتور_, 
   {{0x920200a1,0xd5a4012a,0xf32a01b7,0x422a0178}},	//   _ririki_, _konkursó, _bravīti_, _bravīty_, 
   {{0x2bfc0286,0x1daa0185,0x23f9005b,0x00000000}},	//   _begorofo_, _kaygırtu_, _hazuki_, --, 
   {{0xc325018f,0x53f9005b,0x61d9005e,0xd41703cf}},	//   _chabmey_, _kazuki_, _ئىسھاقجا, _halindek, 
   {{0x32120102,0x37860235,0xb98800b9,0x00000000}},	//   _bachu_, _पर्वतं_, _keakurat, --, 
   {{0xd38600da,0x55470173,0x42120003,0x620203dc}},	//   _cadrul_, _ষড়যন্ত্র_, _dacht_, _skrivi_, 
   {{0xd25a0528,0xaea50152,0x624a015c,0xf26e0005}},	//   _bhall_, _глобаль_, _dermat_, _avrona_, 
   {{0xe25a0528,0x6202033d,0x52910303,0x62a7021c}},	//   _chall_, _ekriti_, _digang_, _slabá_, 
   {{0x23960231,0xd7e00287,0x57a30092,0x79d70109}},	// [62f0] _causam_, _यौनरोग_, _アディダスのジャ_, _धम्पुस_, 
   {{0x6c70042a,0xbfab0177,0xad120170,0x5e100110}},	//   _akusiye_, _chícha_, _athokoze_, _komercba, 
   {{0xf25a02fd,0x821201ac,0xea7201f7,0x62ee0267}},	//   _thall_, _hacht_, _bonaigua_, _trenuci_, 
   {{0x13830170,0xe2a803cc,0x12ca0308,0xe897020f}},	//   _ayiyese_, _decidí_, _sendat_, _غريبۍ_, 
   {{0x32cb033a,0xfd7100a3,0xb20501ef,0x668b0133}},	//   _eurovoc_, _blomstra, _surinkim, _bineeyyi, 
   {{0xc38b0037,0xec0b0462,0x00000000,0x00000000}},	//   _ሜድቬዴቭ_, _argsgay_, --, --, 
   {{0x9a950169,0xa5f0000d,0xe455010f,0x10280126}},	//   _উত্তরে_, _kosmeeti, _тундрав_, _електрик, 
   {{0x74e30352,0x76860294,0x00000000,0x00000000}},	//   _সহজাত_, _anawarkh, --, --, 
   {{0x00280122,0xbc7c0261,0xe379036c,0x00000000}},	//   _بهارنارن, _tekston_, _hiraina_, --, 
   {{0xe22e020f,0x157f003c,0x32f50189,0x92e303c6}},	//   _akuvelel, _جداکننده_, _gerilim_, _dejinge_, 
   {{0x340e012a,0x3231047d,0x5dd704f9,0x7c700109}},	//   _drugiego_, _klammen_, _akikinaa, _भयङ्कर_, 
   {{0x66130105,0x00000000,0x00000000,0x00000000}},	//   _festiwal_, --, --, --, 
   {{0x1e4d00ff,0x9d3702da,0x115a01db,0xd0bb034a}},	//   _שייטל_, _личност_, _ارﻧﺎۋﻟﻰ_, _solución, 
   {{0x62d701c9,0x6747033d,0xd89603a2,0xa3dd01a6}},	//   _avaldas_, _dekiprev, _एसएफआई_, _moewai_, 
   {{0x02fe0373,0x26e50429,0xf99a03ad,0x00000000}},	//   _foriris_, _ditakrif, _jiskonne, --, 
   {{0x6f3e00e4,0x429601be,0xb802013d,0xb3610141}},	//   _जोडियें_, _क्योटो_, _proponis_, _akamning_, 
   {{0x82260034,0xe0e9017d,0xfcb9040f,0x6eb0004b}},	// [6300] _virkar_, _とりあえず_, _крупноцв, _iphumane_, 
   {{0x796a02e8,0x42bd01b2,0x00000000,0x00000000}},	//   _chingait, _boddeil_, --, --, 
   {{0x43a80321,0x8a160005,0xbbbb0350,0x00000000}},	//   _sprašuje, _descriva_, _መደማመጥ_, --, 
   {{0xf1630013,0xf2d80239,0xc35100fe,0xa2980147}},	//   _путур_, _aroere_, _haufano_, _سۅدۅر_, 
   {{0xd2250092,0x022b0544,0x6ecc004d,0x6ebb0428}},	//   _mockup_, _mākua_, _只瀏覽類別_, _staranje_, 
   {{0x9cb30116,0x75cd02ec,0xf3ac0081,0xdaf000a4}},	//   _salaried_, _jawaabay, _heppin_, _disfress, 
   {{0x4af50281,0x8c7c0096,0x5915047d,0x625b067e}},	//   _jeremias, _abasora_, _beschied, _saelua_, 
   {{0x82620029,0xa21e01cc,0x97d701ef,0x0dd201a7}},	//   _خالقی_, _सर्जनसाम, _раздач_, _отеле_, 
   {{0xca4a03a1,0x03120361,0xb9f5023e,0x3c240267}},	//   _perfetta_, _афанасье, _angél_, _avanturu_, 
   {{0xfb870061,0x937a0403,0xf940006f,0x8a7400d2}},	//   _노짱토론방_, _navalin_, _تپسيا_, _bungahna_, 
   {{0x174400ba,0x713d021b,0x13eb0068,0xa620004a}},	//   _ئۆباڵی_, _спросил_, _yarta_, _bertösle_, 
   {{0xa9150265,0x9c5c028e,0x195d03c2,0x00000000}},	//   _geschied, _sentrol_, _ballarhe, --, 
   {{0x92130292,0xf213005b,0x498302e1,0xc2d40156}},	//   _hwehwe_, _nishi_, _shainche, _אָונערז_, 
   {{0xee55023c,0xe25a02fb,0xed0000a7,0x9c6b003f}},	//   _موږته_, _ikale_, _incloure_, _dururpu_, 
   {{0x32fd0212,0xa32c008d,0xfff1020b,0xb52f00bd}},	//   _ttsgb_, _булардан_, _bokhutlo, _chaipelh, 
   {{0xc2130013,0xe39501c5,0xc2d90630,0xfecc02a1}},	//   _kishi_, _khasab_, _hyaena_, _brandpun, 
   {{0xf2010160,0x6fc900c7,0xd21303f8,0x629204ca}},	// [6310] _navika_, _bakırçı_, _eschoh_, _assaja_, 
   {{0xb3eb0084,0xe21303dd,0x8d0703a2,0x1c750177}},	//   _sarta_, _mishi_, _तराखंड_, _ijarýi_, 
   {{0xd2130141,0xa06d01f0,0x71f8051a,0xf29101c5}},	//   _lishi_, _womanhoo, _ingatlah_, _macaan_, 
   {{0x225b029b,0xd3eb00b6,0x1320011e,0x75e60047}},	//   _baalix_, _caatih_, _kriyel_, _randonné, 
   {{0x6abb053e,0xd2920174,0x62fe01b5,0xde430179}},	//   _stavange, _rutago_, _databesi_, _malafaya, 
   {{0x8eb10795,0x17e604a2,0xb394005b,0x939401a4}},	//   _momentos_, _entrará_, _voksen_, _bioso_, 
   {{0x62ef006a,0x179300d9,0x58060052,0x5f770371}},	//   _toliara_, _twitteri, _रक्षामन्, _миланов_, 
   {{0x985e01a7,0xb22500bc,0xc97d0086,0xa2e903db}},	//   _ominaisu, _anaké_, _millimét, _kusinda_, 
   {{0x429105fd,0x0f810158,0x041e0157,0x00000000}},	//   _bacaan_, _धक्के_, _kamizelk, --, 
   {{0xaf2703bf,0x72d8048c,0x93490288,0x9419012c}},	//   _akaretsa, _pronged_, _perenei_, _machafuk, 
   {{0xb1810310,0x6b670361,0xe319018d,0x70ca0024}},	//   _marbhadh_, _лагере_, _ክልቴኹም_, _কালান্তৰ_, 
   {{0xf63e0017,0x990d033e,0xe361064a,0x95170093}},	//   _साहित्यम, _набакьиа_, _гiарабев, _германие_, 
   {{0x39f702f3,0xf93f007e,0xdaea0065,0x047a0037}},	//   _medarbet, _ahamadya_, _festgele, _የተከታታይና_, 
   {{0x025a0411,0x8fc20102,0xf6c3023c,0x77dc00e4}},	//   _skall_, _ناروي_, _ahlaziyi, _piersiow, 
   {{0x026d016a,0x115c0164,0x55110087,0xce53007d}},	//   _devos_, _гуман_, _botsotso_, _kejatuha, 
   {{0x701d02a2,0xf0e800a6,0x9f4f0195,0xdc210040}},	//   _kundisyo, _bazingel, _eugsamha, _מדביר_, 
   {{0x7bf4012a,0xd3eb00aa,0x87ad0025,0x00000000}},	// [6320] _rezerwac, _ipatik_, _dantibhi, --, 
   {{0xfb850009,0x43bd0206,0x00000000,0x00000000}},	//   _trgovino_, _procesov_, --, --, 
   {{0x33eb0261,0xd394015d,0x121d01cd,0xa073006c}},	//   _marto_, _prosty_, _малум_, _дусту_, 
   {{0xe2aa050a,0xb26e014c,0x62490156,0x93a2010d}},	//   _tıbbi_, _etrowa_, _anemio_, _pulpen_, 
   {{0xa248066d,0x7d840073,0x17f901bd,0x97250084}},	//   _ovame_, _liberate_, _жартыжыл, _nyambung, 
   {{0xc0300160,0x7f9602a5,0xf38c02c4,0x00000000}},	//   _prethodn, _vašemu_, _хурем_, --, 
   {{0xf2ea01d8,0xdd4e0037,0x1a0903b5,0x02fe0328}},	//   _divison_, _ይመስለናል_, _memberat, _gatayeri_, 
   {{0xb4860156,0xf6e8015e,0xa057000c,0xac310010}},	//   _מיאנמאר_, _дааратка, _кирилии_, _catsanis, 
   {{0x0eff036e,0x6d4f005d,0x1587014e,0x328c0092}},	//   _allwisap, _empleáda_, _намеру_, _bekkann_, 
   {{0x927f0044,0x923d011d,0x4c66045f,0x9df2022c}},	//   _grants_, _societăţ, _flyttat_, _ahadiyat_, 
   {{0x597a0405,0x834e0576,0x820400f6,0x1302033c}},	//   _продемон, _majemuk_, _musiqili_, _byrbryd_, 
   {{0xce4300c0,0xea890434,0x327e00d2,0xc4f10109}},	//   _kalagaya, _deportis, _otong_, _promíchá, 
   {{0x88a5001a,0x54400182,0x726201e0,0xed33037b}},	//   _اخبارات_, _apekanik, _ئاشقه_, _entiende_, 
   {{0xd27e0140,0xa738018d,0xcd6d003f,0xf26d0374}},	//   _itong_, _ብሰንኮም_, _hommeyva, _devor_, 
   {{0x93ce00aa,0xc24800e9,0xbd120271,0xda830021}},	//   _reeve_, _examp_, _epostadr, _alcohols, 
   {{0xa286005c,0xca190273,0xd212005b,0xde380265}},	//   _imbabazi_, _frecuent, _hachi_, _europees_, 
   {{0x22e6003d,0x02120294,0x83eb00b0,0x73ce0151}},	// [6330] _frança_, _kachi_, _barto_, _peeve_, 
   {{0xd23b02a8,0xf3ca01d5,0x4e1c0354,0xa0a00193}},	//   _kumment_, _کڈنیپنگ_, _پارلايدۇ_, _धर्मांतर_, 
   {{0x82ca009d,0x2212012c,0xca6c0064,0xb37e00f8}},	//   _vendet_, _machi_, _vergonya_, _সাউদাম্প, 
   {{0xd26d0415,0x60b10163,0x92ca025c,0x52cb00b3}},	//   _bevor_, _optimáli, _wendet_, _agadan_, 
   {{0xfdbc001c,0x57950034,0x19e60281,0x2f510031}},	//   _pilipina, _danmörku_, _amerlasu, _kampanye_, 
   {{0x94c8003a,0xd3eb02ec,0x136e004d,0xd1c304fc}},	//   _шартнома, _garto_, _殷周金文集成_, _solicitó_, 
   {{0x5c050300,0x721400de,0xad600071,0x527f0564}},	//   _rubriky_, _abayimil, _عامیانه_, _utanas_, 
   {{0x77b5005b,0x734901d4,0xb2c90514,0x764f00bb}},	//   _afdeling, _peretti_, _geoforex_, _közjegyz, 
   {{0x92ee02e7,0x87c70045,0x91c90088,0x00000000}},	//   _cliffy_, _радили_, _солто_, --, 
   {{0xdb010524,0x1c6e0242,0xd2300200,0xc0ae0064}},	//   _prosinca_, _yazmışdı, _ịlele_, _аркак_, 
   {{0x6a17007c,0xb633024e,0x9018020a,0xb3860223}},	//   _ababumbe, _stanovni, _сарышаға, _madril_, 
   {{0x72d502a8,0x5b1100cb,0x430f0087,0x00000000}},	//   _estonja_, _занҷири_, _nomboro_, --, 
   {{0xc2260566,0xe2b90008,0xb0b1021c,0xbc5e02d3}},	//   _virker_, _баяндала, _optimáln, _castiel_, 
   {{0x476d00d9,0x00000000,0x00000000,0x00000000}},	//   _избили_, --, --, --, 
   {{0xa2cb0129,0x42ca0132,0x06b00059,0x667700f3}},	//   _midday_, _rendet_, _prigioni, _nephasiw, 
   {{0xdcab016d,0x93eb00bc,0x5588011f,0xca25004d}},	//   _تەڭداشسى, _sarto_, _avatisok, _翻書客專區_, 
   {{0x150b05cf,0x163d0037,0xe30301d5,0x8c1a0135}},	// [6340] _postavio_, _ተናግራለች_, _barnahaj, _грузияне, 
   {{0x64220225,0xb36c0176,0x00000000,0x00000000}},	//   _gaganado_, _asagiri_, --, --, 
   {{0xe25a012c,0x60030256,0x97a1000b,0xca4a04bd}},	//   _akili_, _konstatē, _atetelei, _nimeroda_, 
   {{0xd3eb015d,0x00000000,0x00000000,0x00000000}},	//   _warto_, --, --, --, 
   {{0xc2ca0037,0xdc7d0620,0x00000000,0x00000000}},	//   _ለማስጀመር_, _conscio_, --, --, 
   {{0x73490402,0xd26c0132,0xd394026a,0xf867019a}},	//   _bererti_, _komoly_, _inosi_, _lodsakes_, 
   {{0x6db900fa,0x313b0211,0x0a9103dd,0x00000000}},	//   _datapwat_, _опыту_, _pasionin_, --, 
   {{0xd2ca00df,0xfc7e0359,0xac68018d,0xfdd20244}},	//   _vendre_, _persoan_, _ተጠቂሶም_, _ители_, 
   {{0xe4780157,0xc7c20326,0x127e021c,0xd80600e6}},	//   _मातृत्व_, _aitumirw, _zvony_, _与二季度基本持平_, 
   {{0x97ed003f,0x1e670387,0xa27f0120,0x9d000333}},	//   _dalanbog, _mọnde_, _keenik_, _bagliore_, 
   {{0x1b0c01aa,0xdc5502fc,0x1b14002b,0x613300f4}},	//   _airstyle, _atitaye_, _কারচুপির_, _emplegañ_, 
   {{0x03fa01fe,0x023e0132,0x534502c2,0x1346025b}},	//   _carubi_, _objektum, _soldaat_, _handils_, 
   {{0x39d002d5,0x904b047d,0x82920024,0x12900229}},	//   _investee, _joerhonn, _alpane_, _aslanoff_, 
   {{0x42fb0388,0xa29a026a,0xd905002b,0xc3eb010e}},	//   _потребит, _itabatam, _বিশ্বাসী, _aarte_, 
   {{0xe3eb0243,0xd27e00bd,0xab3000da,0xd58f0396}},	//   _barte_, _stings_, _непот_, _kattolik, 
   {{0x62900021,0x0a3c0135,0xd3ac00f5,0x81c40235}},	//   _abgay_, _kabinetı_, _гирдилер_, _प्रथमस्य_, 
   {{0x6dc501ec,0x5bd200b3,0x1b42029d,0x03ac02dc}},	// [6350] _ابراز_, _perdeler, _понтиф_, _ocupou_, 
   {{0x33eb0473,0xec6d03be,0xdbba00f5,0x09c70048}},	//   _warte_, _aririra_, _дирелдил, _akaloosa_, 
   {{0x7ad60052,0x5290016a,0x3283018e,0x125a0274}},	//   _कच्ची_, _islamo_, _dzikisa_, _skili_, 
   {{0x21d60044,0x8497023e,0x626202ac,0xec1f01c4}},	//   _השמאלי_, _ditakluk, _لمشكلة_, _kampeer_, 
   {{0xbd6303a2,0x83ea008b,0x623702b9,0x00000000}},	//   _सुजैन_, _fontoo_, _lepje_, --, 
   {{0xe3f802f8,0xcdd703ae,0x00000000,0x00000000}},	//   _hulufe_, _regissør_, --, --, 
   {{0x97a700d1,0xee500156,0xe7c200af,0x00000000}},	//   _কামলৈ_, _antaŭlas, _землекор, --, 
   {{0x34f4018d,0xd3eb0014,0xf5ce0188,0x0aea01e7}},	//   _መስመራት_, _qarte_, _назми_, _festzele, 
   {{0x725a0251,0xc07c0117,0xa248053a,0x23f200e6}},	//   _ukala_, _tinktink_, _ovima_, _欢乐中国行_, 
   {{0xb8040060,0x9da80338,0x340701cd,0xc37b002e}},	//   _түгелдей_, _renoncia, _халкро_, _uhvatio_, 
   {{0x0b6101c5,0xd2b000c7,0x701802b6,0x8b6c0092}},	//   _sharafta_, _alsinä_, _تورتەۋ_, _auroraer, 
   {{0xe8f8046b,0xb1c300e5,0x00000000,0x00000000}},	//   _harglwyd, _solicitá_, --, --, 
   {{0xd4ee0019,0x91be0147,0xff3c0108,0x12ea03e7}},	//   _сириядан_, _تەەما_, _aturanna, _kimikal_, 
   {{0xccb202da,0x3c750360,0x1f5d02f7,0x66cf002c}},	//   _странски_, _मान्दै_, _dipaakan, _амидарч_, 
   {{0x7cd50184,0x830401b8,0xe2e30452,0x00000000}},	//   _amakungu_, _kusagil_, _होशील_, --, 
   {{0xf25a0139,0x855300da,0x0a3c00f2,0x72b603c1}},	//   _khalu_, _андрееск, _kabinetā_, _marcam_, 
   {{0x0ef10013,0xaff90037,0xfeb400a6,0x45cf0235}},	// [6360] _абрамов_, _ይሳተፋሉ_, _amiselwe_, _asthisaṃ, 
   {{0x12fc0046,0xa98e0060,0x1c1d0045,0x99df00fa}},	//   _dirigiu_, _хамит_, _артерија_, _blogospe, 
   {{0x76590162,0x2ebb0205,0x8d59019c,0xc2de002e}},	//   _قازانغان, _tahoratn, _suntóún_, _dočekuju_, 
   {{0xab7e0165,0xb36000be,0x034f009b,0x66090267}},	//   _ceburaka_, _ايكۅلدۅر, _direnek_, _medojevi, 
   {{0xf26d0676,0xfee10235,0xd15c02ba,0xacf70143}},	//   _subota_, _विश्र्वा, _хулас_, _пайнер_, 
   {{0xdfc902d8,0x527f00a7,0x72a701ef,0xf2e70321}},	//   _दाहिणतो_, _quants_, _загонах_, _letnica_, 
   {{0xd984042c,0x65860107,0xe6ba0272,0x00000000}},	//   _knjigama_, _diaturak, _bataziri, --, 
   {{0x2a110222,0x8645012d,0x625a02dd,0x6c5d0139}},	//   _totaleme, _praktisi, _bhalu_, _cintām_, 
   {{0x1379014b,0xfa44022a,0xcceb03a2,0x9ac7017a}},	//   _ansaala_, _literata_, _मुकम्मल_, _бахайр_, 
   {{0x09dc0120,0x8fd9018d,0x137900be,0xd394026b}},	//   _bayewayt, _ኣፍሺሎም_, _repassa_, _diosa_, 
   {{0x7d06009c,0x025b007b,0xc159027e,0x00000000}},	//   _contranc, _hurly_, _машинств, --, 
   {{0xa6b60174,0xe248042b,0x825a046b,0xef2500de}},	//   _belegilw, _svima_, _thalu_, _banenjon, 
   {{0x4300005b,0x21960111,0x53fd005b,0x9fc00285}},	//   _misbrug_, _crudeltà_, _shizuka_, _abanyoro, 
   {{0x53f80281,0x43640359,0x85cd038a,0x596b0101}},	//   _tuluit_, _njoggen_, _antachay, _schimbat, 
   {{0xcd53015e,0xb8430251,0xa837020a,0x80080143}},	//   _سارلىقوۋ_, _dillaacd, _матамен_, _богатият_, 
   {{0x9c610133,0x7a440022,0x7db8017f,0x35b7015e}},	//   _abuunaa_, _diterata_, _arfattat_, _бермекчи_, 
   {{0xecc4005e,0x7a530005,0x7b2302ee,0xf6cb031a}},	// [6370] _ئېتوت_, _communab, _supplime, _chladhai, 
   {{0xec1e0044,0xa2b202ac,0x27ac01eb,0xd8ac00a7}},	//   _samples_, _مهتما_, _гамсаниа_, _спортчу_, 
   {{0x2c090212,0xe9f803ab,0xadb7013f,0x190d019c}},	//   _tempora_, _ciferník_, _gennaska, _yamassou, 
   {{0xd29001b8,0xa25b0116,0xfb1f008d,0xd1f80201}},	//   _kohale_, _burly_, _aylangan_, _digaalah_, 
   {{0x25a7008d,0xf3f801b8,0xfafd0095,0x979001b8}},	//   _гуруҳнин, _kulude_, _cengkars, _रामनगीना_, 
   {{0x69fa00fa,0xce1801f9,0x225a00af,0xaeba039e}},	//   _marikina_, _batewula, _операцію_, _røntgens, 
   {{0xd59200e4,0x704700c3,0xc2260034,0xb25a00a0}},	//   _कर्मचारि, _reprehen, _birkir_, _akilu_, 
   {{0x625a01c7,0x00000000,0x00000000,0x00000000}},	//   _chalt_, --, --, --, 
   {{0x1a860590,0x4bc601c7,0xf51103bf,0x0f4a0325}},	//   _мануус_, _abadanįy, _botsitso_, _hansılar, 
   {{0xdec50573,0x8f2d01b2,0xe30000f2,0x4d0900f5}},	//   _دِلبر_, _caressin, _izlasei_, _җемгыет_, 
   {{0xf2d5033a,0x82ca01f1,0x025e028d,0x121203e6}},	//   _istorja_, _rendit_, _lakomedi_, _aacht_, 
   {{0xb479033c,0x4290032d,0x72dc00c1,0x325b02b0}},	//   _mireinio_, _bohale_, _merogoh_, _fielen_, 
   {{0xc25b05b1,0x47b801aa,0x4e31003b,0xa403014f}},	//   _nielen_, _anquilli, _iregiona, _сабраних_, 
   {{0x43eb0311,0x33990013,0x93fe00e4,0x62120265}},	//   _larta_, _билганла, _prezesa_, _vacht_, 
   {{0xc2ca059f,0x328703d7,0x33950181,0xf6a70405}},	//   _vendit_, _leritaz_, _anysis_, _палички_, 
   {{0xf3eb0312,0x1b5b0175,0x421202ca,0x925b00d9}},	//   _garta_, _anmennen_, _tacht_, _kielen_, 
   {{0xe1fd00d6,0xf70300c5,0x4d2a00ac,0x93160276}},	// [6380] _ballstái, _人认为无价值_, _učinite_, _қайрип_, 
   {{0x6fc20479,0xb57d01ec,0xba7f0478,0x12d90132}},	//   _نامور_, _متجاوز_, _idrocarb, _nevezd_, 
   {{0x93eb054b,0x7cd901e5,0x39fa03d9,0xa21203f3}},	//   _barta_, _akikanju_, _marihina_, _zacht_, 
   {{0x3afa04cd,0xfa0a00af,0x318c00cb,0xeb710364}},	//   _razumije, _війна_, _ababesol, _autosmar, 
   {{0x52cb0571,0x8ac600ff,0xaa650061,0xb06000a8}},	//   _pauda_, _זשעימס_, _고맙겠습니다_, _avischin, 
   {{0x62d901d7,0x93b800ae,0x92e9002b,0x7ef90420}},	//   _gugent_, _batwawe_, _আসাদুজ্জ, _нервоза_, 
   {{0x525a0387,0x829004c3,0xb37100fa,0xae140024}},	//   _chals_, _choang_, _babaeng_, _অতীজৰে_, 
   {{0xfdf901c9,0x5b97038a,0x5152016f,0x43a20017}},	//   _सम्मिलन_, _bahiadec, _borettsl, _tempem_, 
   {{0x325a016a,0x1e48026f,0x5e940139,0x03f90009}},	//   _skalo_, _اييوۋ_, _निर्मितव, _izgubo_, 
   {{0xaaff0037,0x72eb047b,0x027f00be,0xfc5a00da}},	//   _ማሻሻያዎች_, _tunnlar_, _شووپۇرۇ_, _pietoni_, 
   {{0x3e9e04a7,0xa3b30178,0x00000000,0x00000000}},	//   _reúna_, _पापबुद्ध, --, --, 
   {{0xc9580156,0xf2310061,0x42c50212,0x00000000}},	//   _סערגאָ_, _서비스약관_, _anglice_, --, 
   {{0xc752010f,0x1a430192,0xcb2c0219,0x4c930060}},	//   _izinking, _찾아오시는길_, _angaphas, _بايقايدى_, 
   {{0x7b0301a7,0x7e7e020a,0xedb3062b,0x3f5d0282}},	//   _prosentt, _ударма_, _olmstead_, _matairan, 
   {{0x43fa0108,0x9c3500c6,0x61c60055,0x9a150355}},	//   _busung_, _планово_, _bardsley_, _šešir_, 
   {{0xb298015a,0xa24800c7,0xa51f0166,0x4f6001c5}},	//   _bilbilli_, _ашкайнат, _unentsch, _ajaaniib_, 
   {{0x2f27036c,0xe7300425,0xcc740025,0xa7f30015}},	// [6390] _ikaretsa, _دیوالی_, _हेट्ठा_, _axmaarig, 
   {{0x2202016a,0x2d860071,0xad9f04b2,0xfdb702a3}},	//   _skribi_, _سالمندی_, _blogsite_, _tenniska, 
   {{0x55240467,0x0a6c03b5,0x225f01c2,0x00000000}},	//   _ankonamy, _perginya_, _sostibil, --, 
   {{0xfc800242,0xcd00009b,0xc394008a,0x00000000}},	//   _deşik_, _diktadur, _ogosai_, --, 
   {{0xab700488,0xec7c0096,0x896e03ce,0xa9e002ea}},	//   _snoudena_, _abasura_, _مارادۆنا_, _congiunt, 
   {{0x421303dd,0xfd9f0311,0x234702e2,0x00000000}},	//   _gashi_, _plagoset_, _anoeska_, --, 
   {{0x2da403b7,0x0a5f01b4,0x4248042c,0x327e0018}},	//   _admirewa, _olimpies, _ovamo_, _utona_, 
   {{0xd292039d,0x64d7015e,0x30f200db,0xff960156}},	//   _lutamo_, _ташкыны_, _कंठवा_, _זיכלין_, 
   {{0xf2130082,0xfc50001a,0x37b00176,0x88fb01c5}},	//   _bashi_, _تھامس_, _hovedreg, _hanaqaad, 
   {{0x4d08032d,0x4bef0005,0x821c034b,0x5303013b}},	//   _артистар, _intercur, _nishni_, _banayat_, 
   {{0x12130082,0x127e007b,0x42f501f4,0xa27e0342}},	//   _dashi_, _stinks_, _берухсат_, _bwonz_, 
   {{0xe5690187,0x7942000a,0xae8c006d,0x00000000}},	//   _напредок, _ilaliute, _гасеўскі_, --, 
   {{0x3213001e,0xec6f0227,0x026c003a,0x66d90226}},	//   _fashi_, _umurnya_, _muriyati_, _chapanth, 
   {{0xbb3e0024,0x3387013b,0x7a11020e,0xb2ca007f}},	//   _বুদ্ধিমত, _umbria_, _ditateme, _credaf_, 
   {{0x12eb0179,0x6379028d,0x0aeb0265,0x663302be}},	//   _dunikam_, _kisanla_, _vierkant, _akwaryum_, 
   {{0x23050071,0x426c003f,0xc57a018a,0x00000000}},	//   _شوفاژ_, _manod_, _mandefil_, --, 
   {{0x134300cd,0xafdd01f2,0xc8c50369,0xd99a02bf}},	// [63a0] _pixelio_, _дөңкөврү, _hopenapu, _etikwele, 
   {{0x63860034,0xcc8d00b3,0x59af021b,0xd69c0371}},	//   _hvorki_, _башаржак_, _измерите, _parecchi, 
   {{0xf09b0444,0x7c520211,0x925a01af,0x3b2c0334}},	//   _оплатить_, _kuntoon_, _ahaly_, _anganyas, 
   {{0x2753014e,0xc301003d,0x9fea0291,0x00000000}},	//   _рехабили, _ansaldi_, _تكثيف_, --, 
   {{0xc99d0060,0x1d0b0046,0x4e950374,0x00000000}},	//   _сатып_, _rellotge_, _сурани_, --, 
   {{0x825a0075,0x5be10127,0xaddf03b6,0xa2a8031c}},	//   _skalt_, _arseller, _kóówá_, _recibí_, 
   {{0xd2060487,0x9c1a0054,0x97d8029e,0x639406a4}},	//   _pukiwiki_, _anoninsu_, _bugaleaj_, _uvisse_, 
   {{0xc3e50051,0xb64d00bf,0xa25a03b9,0x1aa60379}},	//   _oktobrī_, _названия_, _jailli_, _बोस्निया_, 
   {{0xf2e80531,0x21320524,0x00000000,0x00000000}},	//   _jacinta_, _predsobl, --, --, 
   {{0xfc280193,0x628201f4,0x0fb40338,0xe07a05b7}},	//   _efisiens, _kuchini_, _artenhec_, _probavno, 
   {{0x60e70373,0x56520029,0x340602e4,0xe3ea007f}},	//   _anstataŭ, _کیژۆڵه_, _annotazz, _bontio_, 
   {{0xb25a01f1,0x34b90037,0x350c0244,0x3c5e00e2}},	//   _fjale_, _ስመለከት_, _sostegno_, _kastiel_, 
   {{0x121300a0,0xb25a02e3,0xa58f004f,0xf4200097}},	//   _tashi_, _chaly_, _fattalik, _olúkàré_, 
   {{0x8a71042b,0x2d760046,0xaa4a0092,0x82fe0064}},	//   _članova_, _барсам_, _フィギュア_, _actives_, 
   {{0x427e01e8,0x67cb012e,0xe2d9019a,0xcd3a02c3}},	//   _atong_, _rengeteg, _begets_, _striktne_, 
   {{0x8f5b034f,0x939b026b,0xaf18029a,0xbff70052}},	//   _akhankan, _disponem, _prematir_, _जात्राको_, 
   {{0x32cf0047,0xaf09030d,0x349a018d,0x927f00b2}},	// [63b0] _只显示最新_, _binaları, _ዘርጊሖም_, _atanis_, 
   {{0x23c302a5,0xd2d90364,0xe85400c4,0x00000000}},	//   _पायलिनको_, _libell_, _سوڀيا_, --, 
   {{0x62bb05a5,0x600d03cf,0x62a7006e,0xc9d70462}},	//   _balenie_, _vatandaş, _baabul_, _angeable, 
   {{0xe20e032d,0x700d0135,0x39f60013,0x537a0145}},	//   _малай_, _watandaş, _سووین_, _dizaino_, 
   {{0x2c1f01fc,0x32a60222,0x7df70192,0x397b02b6}},	//   _korankor, _tombé_, _verdriet_, _وراسان_, 
   {{0xad320211,0xa0650089,0x6f7201ea,0xc2d801c4}},	//   _valinnut_, _baskıç_, _шоҳруҳ_, _stoele_, 
   {{0x54da0161,0xf213005a,0x26cc0125,0xc26c0453}},	//   _можно_, _arghha_, _araplary, _ranog_, 
   {{0x451901eb,0x82fd0041,0xaee80144,0x8212049e}},	//   _комиссиа_, _архивқәа_, _بتونس_, _sachy_, 
   {{0xc303014b,0x92c30321,0x42500012,0x9da60162}},	//   _dananat_, _okolico_, _बईठेके_, _بىكون_, 
   {{0x734c03a7,0xb3430050,0x6c8001f4,0xd33d011c}},	//   _francúzs, _katempo_, _мемет_, _japalé_, 
   {{0xb31602ba,0xb74500b4,0x63fa005b,0xe26c032d}},	//   _ababemi_, _transilv, _narumi_, _fanoe_, 
   {{0x13400326,0xb80a0041,0xe22e00fb,0x00000000}},	//   _chaenda_, _itĩndy_, _ukuvalel, --, 
   {{0xc1ff02fe,0x03fa005b,0xdfde00de,0x86c90037}},	//   _سیاستوال_, _harumi_, _ديپارتمن, _በተካካይ_, 
   {{0x22e2008e,0x02cb002c,0x6aa50052,0x21f70143}},	//   _maanaam_, _gaude_, _वास्तवमा_, _гастрогу, 
   {{0x36600274,0x6205012e,0x03ea000e,0x89e6039e}},	//   _meginmál_, _سفاکانہ_, _tontio_, _bilferje, 
   {{0x20cc0241,0x786d002b,0x529204ca,0xf83d01a3}},	//   _cytoskel, _ওয়ালপেপা, _assaia_, _ويڪسين_, 
   {{0xc25003ea,0x44130019,0x02b100a0,0x2b060290}},	// [63c0] _directem, _металлды, _diddiga_, _bieraria_, 
   {{0xc72c005b,0x1d8f0364,0xa859041c,0xf20d0223}},	//   _hemmelig, _arbescht_, _desambar_, _ичимхий_, 
   {{0x64cb0796,0x03f80132,0xf37102a2,0xb4bf03a2}},	//   _जुलियन_, _adjuk_, _babaing_, _वडनेरकर_, 
   {{0xb26e022d,0x9bfc00dc,0xe2d90420,0x00200161}},	//   _oppone_, _feoloolo_, _sugere_, _страдают_, 
   {{0xa95e0044,0x927e04b2,0x463a01aa,0x74ba0311}},	//   _gallerie, _utong_, _anthinex, _ብመስረት_, 
   {{0xee5b066f,0x120000ea,0x1f0e0297,0xaa460420}},	//   _mercadop, _ambin_, _армиянең_, _мастите_, 
   {{0x602502ec,0x216b014f,0x32d9007f,0xd98305eb}},	//   _کوٝرن_, _beopetro, _bibell_, _bazinake, 
   {{0x766c00c7,0xb76000e5,0xc9ec0334,0x17cb01b3}},	//   _турга_, _уверение_, _kufunafu, _океані_, 
   {{0xd23b02e2,0x6f450382,0xd95301de,0x1d3202a0}},	//   _ailment_, _cristica, _تىرتىققا_, _irunmole_, 
   {{0x87b001d5,0xd29102fc,0x3e98027f,0xdf2901c8}},	//   _ایمبیسی_, _imbata_, _gahundwe_, _naprogra, 
   {{0xfbf100db,0x5b220168,0x8d570420,0x8a8300ac}},	//   _postitus, _stabelen_, _анчелоти_, _groznica_, 
   {{0x5ad00297,0x7555005e,0xa21301c5,0xf2030244}},	//   _babiçnıñ_, _ﺭﻩﮬﺒﻪﺭﻟﯩ, _aashu_, _будапеща_, 
   {{0x93fa0287,0x7f35014a,0xe3a6006c,0x826b010d}},	//   _daruji_, _magunkna, _akupheli_, _biarkanl, 
   {{0x0e4e0082,0xf8f500da,0xce0b029c,0x49990035}},	//   _sarakuna, _студенци, _fetereza, _билбаула, 
   {{0xb2cb03df,0xb8580037,0x717c01f9,0x42e601eb}},	//   _raude_, _ይጠየቃል_, _emvakwal, _oganaha_, 
   {{0x7f060047,0xf83c0024,0x8d1b0387,0x6b3b00bc}},	//   _采煤工作面_, _মানুহখিন, _kwenyere_, _رسيدن_, 
   {{0xd292003e,0x42fb031a,0x7ea50046,0xe4170053}},	// [63d0] _inpact_, _anfhann_, _rellevan, _ngurusin_, 
   {{0x3a9b0244,0x12fc00a4,0x12da0167,0x991d005d}},	//   _асоциаци, _dirigit_, _boreol_, _iperẽrĩ_, 
   {{0xa25a0048,0x222a014e,0x364604eb,0x33440022}},	//   _akali_, _горан_, _ओपीडी_, _ditempe_, 
   {{0xb3bb0163,0x427e0003,0x3393005b,0x33640116}},	//   _نسواں_, _stond_, _ajuyuju_, _gungein_, 
   {{0x0d8704ad,0x8c810142,0x29dd003a,0x82640107}},	//   _dipekere_, _caritaṃ_, _tomoniga_, _dianyari_, 
   {{0xf3170286,0x295200be,0x99cf02ec,0x83ea0016}},	//   _mpazel_, _بىرۉۉنۅن_, _jarmalka_, _vintro_, 
   {{0x7a060193,0xfebc04bd,0x15be014d,0xb71a0013}},	//   _सेक्युलर_, _lapuwale_, _mannheim_, _заргарли, 
   {{0x73ce004c,0xea6d00d6,0xd4b40184,0x3200002f}},	//   _leevi_, _grafacha_, _kudashik, _embil_, 
   {{0x67d90036,0xe5860053,0x12e900a0,0xf28e02c6}},	//   _ابلاغي_, _pundakny, _fifikon_, _feskenn_, 
   {{0x9c69000c,0xc98901c8,0x03910125,0xb3b00371}},	//   _ajatapy_, _reportér, _artykow_, _lievito_, 
   {{0xa2620025,0x2f1e040f,0x00000000,0x00000000}},	//   _पक्षे_, _akademin, --, --, 
   {{0x33aa01f0,0x82630040,0xcb8c003a,0x10570034}},	//   _dipalong_, _הנינג_, _ittifoqc, _dvergarn, 
   {{0x4c540019,0x0b8a00d0,0x121102e4,0x0232027b}},	//   _интербил, _согог_, _biljetti_, _साहचर्या, 
   {{0xb41f00ac,0xff430040,0x85cd009c,0xe9f700ae}},	//   _psiholoz, _פנטזי_, _antashay, _kikamute, 
   {{0xc11001b8,0xdcb9005f,0x13eb031d,0x4e580153}},	//   _elektril, _igualdad_, _baatey_, _ハイブリッド_, 
   {{0xb3fa005b,0xa9aa01cd,0x333c01ce,0xb37c0239}},	//   _haruhi_, _зохир_, _bapakè_, _parawae_, 
   {{0xf25a0703,0xc1890092,0x1cde0262,0xbbfc00e6}},	// [63e0] _ukali_, _スイングリセッタ_, _тарапдан_, _建设项目选址意见, 
   {{0xfd330309,0xac6e0687,0xa0450422,0xe9fe0055}},	//   _istifade_, _ararira_, _nagrajen, _frenesia_, 
   {{0x42d80797,0x6c6200c5,0x12c102ba,0x00000000}},	//   _troede_, _actrice_, _asilona_, --, 
   {{0xf2000227,0xafbf0209,0x9f5c0132,0x59e90418}},	//   _ambil_, _fangster_, _hamarabb_, _tesettür_, 
   {{0xb40600bf,0x82e0053a,0x6eea0037,0xdb6101db}},	//   _выступле, _jednako_, _ፌደራላዊ_, _стансасы_, 
   {{0xc7b40145,0xf282028a,0xc7d60059,0x777b01be}},	//   _galutini, _karamagi_, _semplifi, _projevov, 
   {{0x125a024f,0x59d30066,0xf516023c,0x5b61041e}},	//   _lailai_, _erreport, _anelisay, _agglumer, 
   {{0x74710264,0xd9e50418,0x895a0311,0x00000000}},	//   _gintagan_, _grafikle, _ማዕበልን_, --, 
   {{0x381a0037,0x299102f7,0xe2fc0295,0xe9e60087}},	//   _መስቀሉን_, _bashanka_, _manavasi_, _lomotala_, 
   {{0x32cb0256,0x72d80101,0xafcc00a4,0x8b9c0287}},	//   _nauda_, _ideea_, _guanyado, _sestupně_, 
   {{0x9e310079,0xc2d800dd,0x39fb0322,0x00000000}},	//   _tallinas_, _cemeg_, _barabire, --, 
   {{0x630801bb,0x34a900bc,0x4b5b012f,0x743a02a0}},	//   _derejä_, _katingal_, _scherzen_, _firanṣẹ_, 
   {{0xf4d700a4,0x82500244,0x40400184,0x08e0047b}},	//   _басары_, _желая_, _ayatavun, _tingfund, 
   {{0xd0350156,0x847b03e6,0xd95a0037,0xc31003d4}},	//   _בורגן_, _stoungen_, _ቋንቋውን_, _somboru_, 
   {{0x12fc039d,0xae550387,0xed9e004a,0x91d00021}},	//   _hangwa_, _elebanye_, _avtoinsp, _angedray_, 
   {{0x3631002c,0xcdd20328,0xe212005b,0x2379017e}},	//   _aplikazi, _agakunda, _accha_, _mikaelo_, 
   {{0x75e9003e,0x32fc0102,0x44e40156,0x370f00a8}},	// [63f0] _марафонд, _jangwa_, _קארנעגי_, _bunmartg, 
   {{0x236501e8,0x00000000,0x00000000,0x00000000}},	//   _anagyan_, --, --, --, 
   {{0x879b0074,0x480602ac,0xe39402ac,0xa9fc00b5}},	//   _авторов_, _عالميا_, _chosc_, _carmiña_, 
   {{0x6b5002bf,0x82830218,0x33480075,0x90450053}},	//   _abecinis, _acistray_, _arbeidi_, _indobank_, 
   {{0x62cb02a9,0x8a2b002b,0x3c6c007e,0x64840523}},	//   _bauda_, _গেরিলা_, _arbudam_, _क्राईम_, 
   {{0xbbd904df,0xf550017d,0xa2010275,0x36e7048a}},	//   _тарапынд, _sammensæ, _tagiao_, _жайпап_, 
   {{0x82cb0082,0xc9fc00d5,0x5a7c02ea,0xdc660329}},	//   _dauda_, _manatant, _областни, _preteks_, 
   {{0xaa950024,0xc5db000e,0x4f620045,0xbfe0017e}},	//   _উত্তৰে_, _forbalay, _идеолошк, _civilulo, 
   {{0xa37802be,0x616300fd,0xe95d01fe,0xd5f80178}},	//   _maganda_, _bhainidh_, _gallache, _राजोवाच_, 
   {{0x757a0156,0xa1b20264,0x230102ef,0xf16402fd}},	//   _זכרונו_, _esperanã_, _ensandi_, _miannach_, 
   {{0x2b1c02e1,0xed2e0220,0x00000000,0x00000000}},	//   _aispeist, _attivare_, --, --, 
   {{0x851302f7,0x33a2014d,0xe85d03c2,0x69480269}},	//   _bodutelo_, _kumpel_, _ballachu, _recurrir_, 
   {{0x692a0088,0x00000000,0x00000000,0x00000000}},	//   _балагатк, --, --, --, 
   {{0xe2b30156,0x616c021e,0xb78f01ca,0x548b02aa}},	//   _aludita_, _konstgjo, _nontahvi, _neplatil_, 
   {{0xc2370212,0x43a20252,0x226c00bd,0xa238016d}},	//   _jibjab_, _phophi_, _amoont_, _һалқиған_, 
   {{0x92d801fc,0x86440211,0x2e4b003e,0x9c7e01c0}},	//   _cemed_, _filippii, _bomalome_, _aershan_, 
  
   {{0xc406022f,0x59fc00d5,0x525b01c7,0x4143003c}},	// [6400] _стагоддз, _fanatant, _asylgy_, _bahagéya_, 
   {{0xa9db03ef,0xa932004c,0xb2d8006e,0xe60b028e}},	//   _kwongera_, _alammere, _demee_, _selektem_, 
   {{0x109703f2,0xb27b026d,0x4f580077,0xa78f00fc}},	//   _времени_, _pojednáv, _desansen, _montahvi, 
   {{0xd406033a,0x79fc00d5,0x63c90132,0x978f03f8}},	//   _innovazz, _hanatant, _feladó_, _lontahvi, 
   {{0xeb5b0505,0x60a00395,0x870c0137,0xa9fd032d}},	//   _schecken_, _kostičky_, _хавагнах_, _болғар_, 
   {{0xbd7d002b,0x0c52000e,0x9bab0096,0x66c300b3}},	//   _ইনকিলাব_, _juntion_, _amakamyo_, _buysandy, 
   {{0xc27e0199,0xf3780043,0x427e014c,0x65cb042a}},	//   _huong_, _baganda_, _ntoni_, _balakhay, 
   {{0xb394036a,0xf27e02a0,0x53a602aa,0xc6320214}},	//   _bhosa_, _itoni_, _financuj, _elingeni, 
   {{0x092e018d,0x32920230,0x94440158,0x2284001b}},	//   _ተቐናቐንቲ_, _lasann_, _podstawą_, _birhaan_, 
   {{0x827e0199,0x425b02b0,0xcfbd003a,0x726c01a7}},	//   _duong_, _vielen_, _партияси_, _sanoa_, 
   {{0xaff102ac,0x92f001fe,0x525b0265,0x2f14001d}},	//   _منصبه_, _koliaci_, _wielen_, _mastrisa, 
   {{0x6e0d0122,0xfb8c0025,0xc3cf03b6,0x327e00c4}},	//   _زیستی_, _arcimato_, _lọnakọna_, _mtoni_, 
   {{0x227e062b,0x746401b7,0x33b00053,0x7c53042a}},	//   _nuong_, _एकोनविंश, _प्रभावीप, _bentalo_, 
   {{0xb21300a0,0xdf2b022a,0x23790294,0x00000000}},	//   _nashi_, _lestümab, _arpanta_, --, 
   {{0x825b047d,0xe27e02d4,0xf624003c,0x72eb0187}},	//   _zielen_, _muond_, _antoroli, _изданија_, 
   {{0x627e02be,0x972d041a,0x37950026,0x55d10243}},	//   _buong_, _приворот_, _oostenri, _saabunul_, 
   {{0x821301c0,0xc39400cd,0x1387026c,0x2a440290}},	// [6410] _kashi_, _chosa_, _operum_, _antenata_, 
   {{0x73a90144,0x30e50265,0xaba502a2,0x65fb0037}},	//   _يزداد_, _tientall, _pulitiko_, _አድባራት_, 
   {{0xd2e60028,0x00000000,0x00000000,0x00000000}},	//   _ugandha_, --, --, --, 
   {{0x2c620390,0x8beb0072,0x74da0238,0x8b5700d9}},	//   _forumun_, _chikañch, _допускає, _postista_, 
   {{0xae380166,0xb27e048b,0xa4220107,0x77c8042a}},	//   _veransta, _guong_, _سايپا_, _bangativ, 
   {{0x112102a0,0x6ae50258,0x1c5202e8,0x6e100050}},	//   _akilápá_, _goemoarn_, _chatava_, _dileleba, 
   {{0x926c0130,0x3ab9014f,0xa29201ac,0xae6e0044}},	//   _hanon_, _комисије_, _casann_, _tricycle_, 
   {{0x69640164,0x73f8012b,0x6c8c00bf,0xb9c7015e}},	//   _түрки_, _zakupu_, _сложного_, _газада_, 
   {{0xc27e04f7,0xe65a002a,0x941d001a,0xffd503b8}},	//   _xuong_, _nonkilli, _چارگی_, _думанды_, 
   {{0x95b00230,0x42fc04ea,0xfc77032d,0x326d020d}},	//   _konstrik, _nangta_, _balsame_, _mubona_, 
   {{0x988f0074,0x3c6203c2,0x8aa90061,0x42ea018b}},	//   _объектов_, _corrode_, _일시적으로_, _sprijin_, 
   {{0x9c09022a,0x603c00d8,0x728300cf,0x18470037}},	//   _alirezab, _accepcio, _dukkana_, _ፈረንጆች_, 
   {{0x1b8b04e9,0x9c440134,0x826c02f6,0xe1a202ac}},	//   _manikhar, _alawada_, _ganon_, _بمقدار_, 
   {{0x82fe0222,0x959302f9,0x00000000,0x00000000}},	//   _activer_, _netraliz, --, --, 
   {{0x29d00397,0x727e04f2,0x7a49009a,0x3dd101da}},	//   _серия_, _suong_, _دارالمعل, _dinjitet_, 
   {{0xf27e0476,0xe6520052,0xd37902a8,0x93c4036b}},	//   _muone_, _हस्तान्त, _ukrajna_, _револуци, 
   {{0xd8630011,0xcdd1004c,0x63950203,0x927e0798}},	// [6420] _abengand, _baakunga, _ukases_, _stoni_, 
   {{0xbbe400b4,0xb49d0143,0x5d37012a,0xda100555}},	//   _rezervar, _майонеза_, _ocenione_, _antakele, 
   {{0x225a0331,0xf2bb000e,0x59f70195,0xe73202e0}},	//   _fjall_, _eclesie_, _colaiste, _katleneg, 
   {{0x827e05d6,0xe2fc04ea,0x92e90319,0x5c07011e}},	//   _tuong_, _hangta_, _taringa_, _konstat_, 
   {{0xf4770294,0xa2d80255,0xccce0040,0xbae70344}},	//   _alituqoj, _ideed_, _קוסקוס_, _amerlare, 
   {{0x627e02e3,0x0e16029a,0x33800148,0x635804b9}},	//   _ruong_, _desemina, _patrum_, _aareddy_, 
   {{0xc2ca018d,0x2201006e,0x5ff800db,0x505300b6}},	//   _ንኹላትና_, _amrig_, _ईजरायली_, _matgaqoo, 
   {{0x126c00ad,0x1db60040,0xd3270382,0xd26e0265}},	//   _panon_, _אייטמים_, _circaru_, _jeroen_, 
   {{0xc1c8003e,0xc200011d,0x00000000,0x00000000}},	//   _федька_, _ambii_, --, --, 
   {{0x22dd0353,0x1a3b0109,0x42df009b,0x12010480}},	//   _japonci_, _starověk, _jagonet_, _emzin_, 
   {{0x727d01e1,0x6e140022,0xd3720140,0x470d03a1}},	//   _палатаһы_, _учрежден_, _paraang_, _диагноза_, 
   {{0x799d0137,0x27a70352,0xed9e0268,0x3941002e}},	//   _нарын_, _কাষলৈ_, _arbonsca, _čitalac_, 
   {{0xd32604cc,0x527d0185,0xa27e00d9,0xee4d004c}},	//   _byaboux_, _палаталы_, _huone_, _basaasaa, 
   {{0xeb010410,0xeeed01c9,0x926c028d,0x326c00ea}},	//   _botsebit, _salvesta, _ganoo_, _ranon_, 
   {{0x62fe0268,0x513a0177,0x20f100d1,0x9c290333}},	//   _ambroway_, _шәандыҟу, _নোখোজা_, _bernardu_, 
   {{0x59b902d3,0x6d290364,0x037801d9,0x3da50253}},	//   _растител, _versprac, _erhalen_, _erligiva, 
   {{0xd4cb0192,0x8c280086,0x94680041,0xcffa0023}},	// [6430] _멀티미디어_, _vegetári, _секциак_, _парктрон, 
   {{0xc9fc0034,0x057002c5,0xf2d20652,0x00000000}},	//   _rannsaka_, _anotiedz, _dovedeni_, --, 
   {{0x302200d1,0xc2c30318,0x60f30156,0x52970334}},	//   _আত্মনিয়ো, _apoloso_, _מאווי_, _asukulu_, 
   {{0x9be90378,0xfe9c01f4,0x131701af,0x646101c4}},	//   _tróndur_, _тбилисид, _aklandy_, _handboek, 
   {{0x0e6a0097,0x427f0478,0x79d90012,0x403b0168}},	//   _alatunṣe_, _aranes_, _बुतवलीं_, _internko, 
   {{0xa66703bf,0x3fe801eb,0xed0701e7,0xbfc30237}},	//   _вахитов_, _hasyeten, _entreeën_, _까만고냥이_, 
   {{0xb3eb036e,0xe28000c7,0xa5840052,0x3202019f}},	//   _taytay_, _yarışına_, _प्रोटिन_, _misitu_, 
   {{0x526c01a7,0x0fd6005a,0x698301af,0x00000000}},	//   _sanoo_, _ongnismo, _dushunip_, --, 
   {{0xc4340216,0x3c7001db,0xac1f03f2,0xcc61008e}},	//   _amukelek, _ғұмыры_, _airaskor, _manuloo_, 
   {{0xc882011f,0xfd22004d,0x020100e2,0x00000000}},	//   _angiruku, _年度工作報告_, _opgien_, --, 
   {{0x68e200da,0x07260360,0xd317005b,0xf37a0113}},	//   _депутаци, _postupem_, _aimcube_, _chrainn_, 
   {{0xdbbf0192,0xa26d02c1,0x42f70193,0xa1090043}},	//   _전자민원창구_, _tubona_, _berisik_, _alikukol, 
   {{0x73d20041,0x06f500e8,0xc84d0021,0x1833053b}},	//   _аҩбатәи_, _ababekuf, _absorbed, _ilimitad, 
   {{0xe27e03e0,0x6f440076,0x82dc0308,0x937101e8}},	//   _stonn_, _акумулир, _ceroboh_, _labaing_, 
   {{0xa20206c9,0x572a0326,0xb27e0046,0x9c510376}},	//   _disitu_, _afambezv, _cuines_, _doktara_, 
   {{0xfa5f004a,0x51ed0052,0x05b90005,0x64ad0334}},	//   _адыгея_, _मिसरा_, _sefatsch, _ankachok, 
   {{0xc30e017d,0xfc7c06dd,0xeffa02a9,0x7ecc021a}},	// [6440] _squares_, _seksion_, _taisyklė, _ariifann, 
   {{0x86c50107,0x595f00f6,0xb2020049,0x00000000}},	//   _pemanggi, _bağçası_, _tisiuu_, --, 
   {{0xd2ec0066,0xdc4902bb,0x986d0125,0x47f40287}},	//   _алдах_, _सूचनाएं_, _зиналыьа_, _नजिकैको_, 
   {{0x03010294,0x72d800d4,0x00000000,0x00000000}},	//   _arpalli_, _droege_, --, --, 
   {{0x13060091,0x6f480140,0xf995005e,0x00000000}},	//   _atkanik_, _pangilin, _ئونېۋىرس, --, 
   {{0x3598022e,0xc9c1006c,0x90b70014,0x7bbe00f2}},	//   _esistenz, _abambona_, _shembull, _unikālo_, 
   {{0x97f8012c,0x621b027b,0x67a803dc,0x79b603c4}},	//   _خبرنامو_, _ताडयाञ्च, _fortekni, _جانانغا_, 
   {{0x5afc0169,0xa3060342,0x9c9000bc,0x0db800d8}},	//   _কনটেন্ট_, _dimanch_, _حالیکه_, _asfaltat_, 
   {{0x926e040b,0x42500175,0x3a1e0139,0x00000000}},	//   _mahumbul, _direktem, _dambhena_, --, 
   {{0xc0000488,0xbdc40362,0x3f4601d1,0x294700e7}},	//   _demokrāt, _asekwisa, _drastica, _anslocat, 
   {{0x12920240,0x6a170397,0xd20b005e,0x09280311}},	//   _butako_, _ababembe, _ئادۋۇكات, _መጠንቐቕታ_, 
   {{0xd3f80639,0xa9b10044,0x131c0071,0x22f70456}},	//   _meluas_, _conducte, _نیومد_, _perisik_, 
   {{0x87b505c2,0xb90b0251,0x105b00a6,0x337f0211}},	//   _mulevhog, _tarbiyad, _bayaziqo, _pahalta_, 
   {{0xcc4902bb,0xffd202eb,0xb5100420,0xe952020b}},	//   _सूचनाएँ_, _соауск_, _чешма_, _goroment, 
   {{0x61360064,0xa27e00a4,0x12da004c,0xc35d018a}},	//   _ارتقى_, _quines_, _akanene_, _benglog_, 
   {{0x8c230040,0xab670227,0x2e8200be,0xcbe50231}},	//   _כראוי_, _kemenyan_, _سونبەيتۇ, _berengar, 
   {{0x53fd03db,0xf7c50012,0xbb1301d9,0x43940170}},	// [6450] _akanakuk, _करीहें_, _behaalen_, _ghose_, 
   {{0xea390444,0x56c300dd,0xdc9500e6,0xfa9a045b}},	//   _решению_, _ffisioth, _昌吉市人民政府关, _urinveis, 
   {{0xbea200c5,0x52910082,0x4e4b018d,0x938602a6}},	//   _seulemen, _ambata_, _በረኸታት_, _storti_, 
   {{0x936202fd,0x9ff60019,0x9dc3014c,0x33b2042c}},	//   _cbumhang_, _توسمولور_, _emfitsha, _pravnom_, 
   {{0x53940172,0xd9b20092,0x72f7030d,0x958e0594}},	//   _xhose_, _予約サイト_, _veririk_, _bringebæ, 
   {{0x030c03d5,0x027a0209,0x00000000,0x00000000}},	//   _abbaght_, _danskill, --, --, 
   {{0x299a03cf,0xf96e0203,0x5f460077,0x43940633}},	//   _etiketle, _arrivant, _aristide_, _whose_, 
   {{0x139403b2,0x364200c7,0xbe620213,0xf2410111}},	//   _those_, _alınğan_, _сведений_, _scultori_, 
   {{0xbdfb037c,0xa2f7010d,0x42d40332,0x6b190013}},	//   _infernet_, _keripik_, _cebolla_, _istalgan_, 
   {{0x4c670296,0x29ae02da,0x9a9a0153,0x00000000}},	//   _flyttas_, _имитира_, _石屋ライダ_, --, 
   {{0xd3680116,0x62b30197,0xc30303b5,0x74dd027e}},	//   _maggots_, _koudeta_, _dijahit_, _принцезе_, 
   {{0x0f730148,0x12020368,0x426d0338,0x66d30017}},	//   _巴士路線表_, _nosinu_, _taxons_, _prachati, 
   {{0x02e70252,0x914b0472,0x5302034c,0x820002a6}},	//   _mbonalo_, _berlatih_, _almaşu_, _ambiu_, 
   {{0xed65019b,0x779200e2,0xde1e0270,0xc47702cf}},	//   _кузнец_, _gaswinni, _disguisa, _патека_, 
   {{0x7f760543,0x01a900c7,0xa5ac0255,0x2c0b0047}},	//   _авидецкл, _тармакла, _उद्यानमे_, _imprimab, 
   {{0x828a0357,0xf23602cb,0xb2a600cf,0x861e0159}},	//   _eisamoni_, _manjim_, _boobba_, _kaunieti, 
   {{0xd10c0044,0xa26a02a0,0x75b701a3,0x43b10425}},	// [6460] _להדגיש_, _akeekèé_, _نڀاڳا_, _پاسکیل_, 
   {{0x1ff80037,0x4e2400e4,0x2df800d7,0x413f00f3}},	//   _ይቀበላል_, _भाग्यशाल, _повестар_, _angenzel, 
   {{0xa7a0012c,0x82a603c2,0x558203dc,0x8f6400ea}},	//   _مشاهدي_, _bedbug_, _impulssk, _hobaboin, 
   {{0x3d2b0258,0xc3ea0235,0x759706de,0x00000000}},	//   _meindert_, _cintyo_, _dihukumk, --, 
   {{0x629e00be,0xcbf6020f,0xbeb1072c,0x626c018f}},	//   _ئمىرقايد, _سرچپه_, _cimentos_, _qanob_, 
   {{0x6d83015b,0xde4f00de,0x4cc20040,0xe20200f0}},	//   _karemaot_, _bababula, _בחמישי_, _skrini_, 
   {{0x85aa00bc,0xdf210071,0x43950139,0x21c101a3}},	//   _pengaruh, _عبدالرضا_, _avasat_, _هٿڪڙيون_, 
   {{0xe2d903ea,0x025a06c6,0xdf3e02d5,0x63a6003c}},	//   _argent_, _ojala_, _गगरियाऽ_, _شارلوت_, 
   {{0x3291046d,0x5bb70013,0x32a6030d,0x97a60241}},	//   _ambara_, _оролида_, _minbir_, _dootaani, 
   {{0xc2ac0238,0x98f7002e,0x85660037,0x8a3d00ba}},	//   _контроль, _potpisiv, _መገልገያዎች_, _راوکێ_, 
   {{0xf02900be,0x4f2f0039,0xea0a0369,0xd84f0012}},	//   _ايعىردىن_, _busturia, _kelakela_, _कन्धापर_, 
   {{0xe3d501ef,0x23840147,0xbb2d0368,0x52270126}},	//   _platinti_, _алдынча_, _delatnos, _широке_, 
   {{0xc3f800c2,0xd3480359,0xe2640227,0xcf480064}},	//   _makuru_, _beseach_, _daulah_, _targetes_, 
   {{0x73640193,0x82920140,0xef65032d,0x95b502a1}},	//   _sungmin_, _nasaan_, _планлы_, _nalatigh, 
   {{0xb34c014a,0x47730145,0x1c6c0235,0x04070193}},	//   _keresel_, _ігара_, _arjunam_, _wujudkan_, 
   {{0x725a01f1,0x527e015c,0x548600e4,0xe539028b}},	//   _fjala_, _brong_, _बिताना_, _нызқьҩыу, 
   {{0xfa1301e9,0x5dbf0614,0x52920211,0x9379023c}},	// [6470] _molaothe, _politima, _kasaan_, _eehambo_, 
   {{0xf9c30107,0x69750240,0x18c8020a,0x3c590134}},	//   _نامبر_, _korianit, _гистогра, _idiwọ_, 
   {{0x62b10148,0xb3e60188,0x02cb04e5,0x7292041c}},	//   _pondera_, _кадрхо_, _balooya_, _masaan_, 
   {{0xcb1902d4,0x8ab30092,0xf0d30125,0xb9a90238}},	//   _cumplett, _件のカスタマ_, _bellärli, _крашково, 
   {{0xaec8020e,0xbb950185,0x02000403,0x939400d5}},	//   _banyatsa, _сыраны_, _ambim_, _arosoy_, 
   {{0x9f02002b,0x93c80247,0x45f60153,0x3291029d}},	//   _কলিজা_, _carvil_, _ポイントがたまる, _fixare_, 
   {{0x9732048e,0x5e6a0061,0xd12b00e6,0x034303fb}},	//   _paduinom_, _공공기관임직원공, _铁锋区法律援助中, _zatekao_, 
   {{0x20ea0193,0xbedc0256,0xa2e60163,0x728d005a}},	//   _समीक्षण_, _kurienes_, _grafikai_, _luckman_, 
   {{0x3a7c0036,0x127e0181,0xe17d006e,0x106c00ef}},	//   _taratata_, _suona_, _farataal, _وينوکي_, 
   {{0x326c0286,0x7c6800f0,0xa9e20152,0x49d40212}},	//   _safoa_, _nakukli_, _gazizova_, _gratiaru, 
   {{0x13f80588,0xe56d018d,0x3c5a00a2,0xa9910636}},	//   _bakuru_, _መንቆርዮስ_, _shetani_, _uvaženi_, 
   {{0x2e550450,0x67640156,0xc9bb02fb,0xbc71000a}},	//   _kombinea, _מאנגעל_, _talekita_, _imartat_, 
   {{0x511f0244,0x0f3400d0,0x9ba203c7,0x9615014e}},	//   _опроверг, _мултлах_, _खलीफा_, _рушили_, 
   {{0xd2ca0062,0x6b830037,0xd1790076,0x7c7702c3}},	//   _chidqo_, _አብያተክርስቲ, _интима_, _tatrami_, 
   {{0x33f8011f,0xa26c032d,0x9af80307,0x1e480377}},	//   _takuru_, _fanoa_, _ngasizat, _garantea, 
   {{0x85840163,0xcf1a0235,0xa99e01a3,0x0cf8034c}},	//   _besorolá, _वर्णेषु_, _هيڪڙائي_, _буддистл, 
   {{0xec18045e,0x00000000,0x00000000,0x00000000}},	// [6480] _достигна_, --, --, --, 
   {{0x6a6e00e6,0x22fd0020,0x56640109,0x82d9046f}},	//   _养发成时尚赚钱更, _gafatasi_, _अफिसमा_, _ergett_, 
   {{0xa283021f,0xd26d0342,0x9c9e0059,0xb36d04df}},	//   _barabadi_, _bezoin_, _топлоизо, _bergini_, 
   {{0x727e00a3,0xe36a0047,0x0ed60156,0x9e430140}},	//   _trong_, _文化东路街道办事, _מבעלזא_, _talakaya, 
   {{0x59ec0058,0xba8f0242,0xf4130089,0x2d8602f7}},	//   _theropod, _turnirin_, _округлар, _dorekase_, 
   {{0x42d80085,0xc2b90014,0xb2ec0008,0x40d90155}},	//   _kemesi_, _mendosh_, _recinte_, _formulär_, 
   {{0x227e005d,0xcf140061,0x273f0187,0xe5770184}},	//   _arinos_, _기독교교육_, _respiraç, _ugutakaz, 
   {{0x42d805d5,0xecb70247,0xe4e101b8,0x67e60147}},	//   _almen_, _ناراحتی_, _चम्पाकली_, _تىبةتتةگ, 
   {{0x2542005e,0x427e0168,0x726e00ee,0x562000af}},	//   _مەمنۇن_, _trond_, _errota_, _bilordni, 
   {{0x85c10540,0x230c0044,0x23e7048e,0x02fe02ac}},	//   _verksmið, _relates_, _sätik_, _مكالمة_, 
   {{0x8c280179,0xe5f4014f,0x0c470541,0x4b73017f}},	//   _mosasaur, _незакони, _inspiris, _assoroor, 
   {{0xaee80133,0xd2d90265,0x1d8b02f8,0x12b50456}},	//   _aleksaan, _wegens_, _heheeeee_, _kitco_, 
   {{0x9c5c0176,0x13fe0285,0x00000000,0x00000000}},	//   _menthol_, _akazuka_, --, --, 
   {{0xb3f8035b,0x827e00c5,0x2339018d,0x066c0013}},	//   _nakupu_, _双击鼠标左键自动, _እናሓደረ_, _кузги_, 
   {{0x427e0074,0xba7f0331,0x39ff0204,0x1b250089}},	//   _huono_, _limaskap_, _valittaa_, _думасы_, 
   {{0x727e0369,0xa290033f,0xf6210040,0x42b40095}},	//   _kuono_, _mahafu_, _וכואב_, _bludreg_, 
   {{0x724804c0,0xd0ce047d,0x15a20066,0x3da000ee}},	// [6490] _kwame_, _motocycl, _авчирсан_, _esangura, 
   {{0xa3530164,0xb646027f,0x027e013d,0x92ee0242}},	//   _كۇچار_, _arakwiri, _duono_, _ssenari_, 
   {{0x82d801fa,0xa3ea005b,0xe2000278,0x7616002c}},	//   _eeeee_, _felter_, _ambik_, _балчир_, 
   {{0x92d80399,0x36500061,0x00000000,0x00000000}},	//   _feeee_, _로그인해주세요_, --, --, 
   {{0x127e0303,0x82ca0040,0x120e019b,0x33a100b9}},	//   _arone_, _funded_, _чакае_, _गंभीरपणे_, 
   {{0xc3ea02d0,0x595e0226,0xa85e0375,0x21fb00be}},	//   _helter_, _anandite, _ananditu, _تۉيۉشۉپ_, 
   {{0x8c800023,0x5c5b033f,0xfecd0102,0x00000000}},	//   _сетей_, _niutoni_, _kilichon, --, 
   {{0x03ea040d,0xbd020101,0x60600390,0x2d860408}},	//   _dintlo_, _realizat_, _bitişik_, _akamaroa, 
   {{0x4972004d,0x72d8005b,0x5fac01aa,0x00000000}},	//   _長興新聞網_, _ommer_, _edemptio, --, 
   {{0x62820353,0x05ac0368,0xf3eb01d8,0x7385002f}},	//   _kuchyni_, _племе_, _syrti_, _chirichi_, 
   {{0x12d8014d,0x720100e0,0x98590076,0x2c620121}},	//   _immer_, _omrin_, _предводе, _orgullo_, 
   {{0x02e60191,0x139400f2,0x73000278,0x7c7d00a2}},	//   _spanska_, _haosu_, _terawih_, _mhusika_, 
   {{0xbea900a6,0x427f0169,0xb211020f,0xdb6e03e6}},	//   _afutheke_, _granos_, _دشعبان_, _europasc, 
   {{0x3277016d,0xaded005a,0xec550107,0xbef40311}},	//   _барман_, _chavchuq, _اذهان_, _ምውስዋስ_, 
   {{0x026c02bd,0x80ea02fe,0x770b00d6,0x22f500cb}},	//   _safon_, _اردوان_, _custaimé, _abazokum, 
   {{0xb480023c,0xbbf50338,0x6299015a,0x87e400c1}},	//   _دکميسيون_, _governac, _bilbilam, _गावरान_, 
   {{0xad9d0261,0xc29e0187,0x00000000,0x00000000}},	// [64a0] _anoncita, _чинат_, --, --, 
   {{0x11240036,0x18c20036,0x972c0123,0x5ef6011a}},	//   _cosmaidí_, _تطريز_, _automatg, _מבורכת_, 
   {{0xe5f30076,0x910f0059,0x13f8027f,0x7a8a01e8}},	//   _болест_, _доставят_, _muduhe_, _nagingon_, 
   {{0x4bca0013,0xb48700db,0x226e00d0,0x00000000}},	//   _тарбияви, _बिरावत_, _arrosa_, --, 
   {{0x5c720222,0x00000000,0x00000000,0x00000000}},	//   _marrant_, --, --, --, 
   {{0x2bfb0080,0x245f04ce,0x95080368,0xc984027f}},	//   _kinguner, _haseledz, _главноко, _cogituma_, 
   {{0xe7cc0024,0xf27e0220,0xda5e02df,0x2afa002b}},	//   _শতকৰা_, _suono_, _meneroka_, _সিএইচটি_, 
   {{0x23860251,0x0e9400be,0x43b1023e,0x52d40183}},	//   _shirar_, _بىلبەيسى, _باسکول_, _damosin_, 
   {{0x926c0172,0xfa7c03b9,0xcf850040,0xa8d600ba}},	//   _mafom_, _saraqata_, _חוששת_, _پاڵتاک_, 
   {{0x72300166,0x3a5f0321,0x63c6023c,0x62430299}},	//   _sammeln_, _estetska_, _حاجيانو_, _ئەشەددى_, 
   {{0xab800132,0xa25a03a4,0x0c280095,0xac720151}},	//   _قربانیوں_, _fjalt_, _ايرنا_, _barrant_, 
   {{0xcccd025b,0x17bb00be,0x76cd010d,0x5633004c}},	//   _frakland_, _دۉنۉيۅم_, _ditanyai, _balinnyi, 
   {{0x029102fa,0x9c530220,0x46b702ac,0x597e01cd}},	//   _imbaga_, _portata_, _sofaisti, _abhimele, 
   {{0x22fc0278,0xecba0037,0xf3bb00a2,0x00000000}},	//   _mangsa_, _በመንከባከብ_, _kumwaga_, --, 
   {{0xfaec027b,0x0c470230,0xff13033e,0x1b43037f}},	//   _akurvant, _disparis, _cultúrag, _salavatı_, 
   {{0x85e0023c,0x76d0015d,0x2b6c02e8,0x3b3101a3}},	//   _وپلټئ_, _क्वार्टर, _akarwara_, _ڳنڍجي_, 
   {{0x9a390088,0xc2fc0278,0x1fb0011a,0xb39401f3}},	// [64b0] _менден_, _gangsa_, _shutters_, _prosby_, 
   {{0x14170024,0x9cfa021b,0xdb2700f8,0x00000000}},	//   _হাঁহিব_, _вредител, _গৃহবধুকে_, --, 
   {{0x504403e7,0xdf570148,0xca1e0041,0x057d0260}},	//   _bourgogn, _瑞士自動上鍊機械, _ҧиҧиа_, _agrupaço, 
   {{0xe4e10012,0x16490350,0x09de0089,0xd6420251}},	//   _गेंठल_, _ተከራይቶ_, _híndstan_, _abdihaki, 
   {{0xa3df0075,0xb9cb0052,0x836c059f,0x30f70126}},	//   _heimspek, _सूर्यनाथ_, _kërdinë_, _таблицю_, 
   {{0x929002ec,0x525a000d,0xc1f50126,0x34df0420}},	//   _gadaal_, _ajalt_, _чудова_, _испорака_, 
   {{0x6b2e0204,0x13fc009b,0x7fe00012,0x825a05d2}},	//   _поклонни, _спортод_, _दुलुकिया_, _sjalu_, 
   {{0xd94701eb,0xe69e0292,0x6b8500a9,0x428b0209}},	//   _арадиои_, _kurdishf, _mibonano_, _allaammi_, 
   {{0x727e033f,0x5c7d0334,0xb29100ea,0x00000000}},	//   _etonu_, _akusaka_, _boahary_, --, 
   {{0xdebc01da,0x8cf50282,0xe3e7014a,0xed1b0297}},	//   _semundje_, _kaitakar, _sütik_, _biznäse_, 
   {{0xe2390162,0x0dbc027f,0x3a6202b2,0x83180095}},	//   _тосуп_, _badafise_, _ростуть_, _balitung_, 
   {{0xcb9b0332,0x12ca012e,0xbc730547,0xaa410061}},	//   _vehiculo_, _rendje_, _consiga_, _의성오시는길_, 
   {{0xf63a0037,0x00000000,0x00000000,0x00000000}},	//   _አልሰጠም_, --, --, --, 
   {{0x29bd0021,0xe3f80200,0xe2c402ac,0x2ad200f5}},	//   _undelive, _deluks_, _نوعالدرا, _щцкцмде_, 
   {{0x32fd013d,0x62de031a,0x40500530,0xf7b702cf}},	//   _vizitis_, _feathamh_, _vulgarno, _фазите_, 
   {{0x7c5f0150,0x7cc801b3,0x70ad0678,0xf81700ec}},	//   _fastaem_, _банкрутс, _protiróm, _агрэсіўн, 
   {{0x32df02fd,0xa2fe0274,0x4c5d004d,0x134c0004}},	// [64c0] _beannag_, _morgni_, _請登錄或者註冊_, _ekleraj_, 
   {{0xc036008f,0x6ae300ff,0xb2f4028e,0x1b63004d}},	//   _ऐसाही_, _reklamon_, _rabisim_, _五南圖書出版有限, 
   {{0xcdb401b2,0x02ef0306,0x2ac80089,0x7dbd0161}},	//   _countena, _brunari_, _fotoräse, _синдрома_, 
   {{0x9045029e,0x9a37020f,0x159302b4,0x00000000}},	//   _aborijen, _اعلانېږي_, _kuleloph, --, 
   {{0x327e0499,0xc3f405a4,0xc340046f,0x4a8306e5}},	//   _atonu_, _dostat_, _objeten_, _jazzkafe, 
   {{0x12d80263,0x9aad0193,0xf5e703a2,0x7efd0126}},	//   _groene_, _nichkhun_, _पोज़िशन_, _вишів_, 
   {{0x886d00cd,0x06b400b5,0x1eb1012b,0x3be5040e}},	//   _persunas_, _alegremi, _zapoznan, _avsendar, 
   {{0xa2bf02ac,0x826e0176,0x00000000,0x00000000}},	//   _عملاق_, _furora_, --, --, 
   {{0x52fc042c,0x395200d4,0xf20001ba,0x045000e6}},	//   _obratiti_, _bibletee, _saliye_, _可以并处没收财产_, 
   {{0x302d00bf,0x420100f5,0xd1020092,0x3a130009}},	//   _подозрит, _nebiti_, _科学技術振興機構, _sčasoma_, 
   {{0x7e0001ef,0xb41b0299,0x11410373,0x00000000}},	//   _bendrada, _زەينەپنى, _deputito, --, 
   {{0x17230035,0x5fd5008d,0x52fc0472,0x2a5f0137}},	//   _блогында_, _буларди_, _pangsa_, _palmares, 
   {{0x3b460044,0xa3f9025c,0xf2d800f2,0xcee40083}},	//   _ריהאנה_, _steuer_, _baneru_, _agricols_, 
   {{0x01c9004a,0x020000b0,0x0b35047a,0x0d91003c}},	//   _корты_, _taliye_, _lepanwis, _ambegane_, 
   {{0x63530147,0xe65702eb,0x086d00e6,0x020000c5}},	//   _تۇمان_, _байлга_, _为什么不能看_, _jolies_, 
   {{0x82940362,0x5e4a00ec,0x2be10178,0xf2ef03fc}},	//   _abikisi_, _pralaimė, _amarṣaṃ_, _verft_, 
   {{0x82300799,0x16b20060,0xf2640348,0xa15102c4}},	// [64d0] _ikemela_, _курстары_, _abulwa_, _стоук_, 
   {{0xc2000194,0xb9070176,0x16fc0156,0xe2cb0120}},	//   _folies_, _bortført_, _אלקאלי_, _waadó_, 
   {{0xf85c02c2,0xcf520287,0x751d015e,0xd9d80267}},	//   _verander_, _orgasmus_, _جاڭاقتىن_, _engleska_, 
   {{0x3afc0065,0x2c3b03d4,0xae9e0107,0x834102d9}},	//   _gesundhe, _издавање_, _nyemplun, _lepetia_, 
   {{0x43bc0163,0xb36e019b,0x15eb00ef,0x1b780040}},	//   _کلینک_, _montavim, _ترنامه_, _ותחזוקה_, 
   {{0x1200079a,0xd8c30361,0x1f170198,0x63ce0320}},	//   _kolies_, _вокзале_, _kartozap, _ngeve_, 
   {{0x0dbc0295,0x79df0256,0x011b0092,0xa73202e0}},	//   _falanise_, _domubied, _アライドアサルト_, _katlaneg, 
   {{0xa6380464,0x39c3002c,0x14900139,0x5f0300d1}},	//   _ahinduki, _gomendat, _apagatak, _অভিমানবো, 
   {{0x8c630152,0x834003db,0x91ff01d5,0xd2bb020e}},	//   _формада_, _ingenza_, _diplomác, _kenetse_, 
   {{0x924a0251,0x6d9d01fe,0xd05c0127,0xd9f5005f}},	//   _gurmad_, _nakovaca, _beriodek_, _podés_, 
   {{0x02e8042b,0xad19009a,0xcdf000ba,0x82e000fd}},	//   _bolnicu_, _aselethe_, _فۆروم_, _leireadh_, 
   {{0x029e016d,0x9d1b0287,0x34800040,0xd893003c}},	//   _гирам_, _बुलबुले_, _ומהעולם_, _نمیزنه_, 
   {{0x6c830058,0xd4240096,0x4abf01e8,0x80700247}},	//   _voorburg_, _adakomez, _lagwerta_, _dakjaluk_, 
   {{0x94b900d6,0x7bf502c2,0x967501f2,0x90e800e4}},	//   _bnihilal_, _bestuurs, _ﻧﻮﺭﻣﺎﻝ_, _आर्काइव_, 
   {{0x95bd014f,0x13020211,0x49b801b5,0x6a9a0237}},	//   _министра_, _lokakuu_, _beleriwa_, _대표적으로_, 
   {{0x59b80320,0xd533014f,0x040500f6,0xb76202b2}},	//   _celeriwa_, _агенције_, _musiqiçi, _стовп_, 
   {{0xb2920062,0x094c00ee,0x06f100da,0xd0f30272}},	// [64e0] _upsala_, _машинаар_, _discutii, _banyonyo, 
   {{0x927e0210,0xb3000266,0xb71702f3,0x0d04021e}},	//   _kuona_, _senarai_, _exempelv, _bostadsr, 
   {{0xfef300ad,0xfa7e0279,0xfe4800c4,0x22ca000e}},	//   _panjangn, _connaiss, _بيھوش_, _reglari_, 
   {{0x62780240,0xb5d8017a,0x84010028,0x0b810144}},	//   _benisini_, _харакатх, _intuusan_, _johnjbar, 
   {{0xd387026c,0x892e02fe,0x90ed0007,0xfb1d0212}},	//   _operam_, _abachuku, _eclipsol, _displice, 
   {{0x95f40238,0x8592004b,0xac2e00e7,0xfb2e0021}},	//   _кличка_, _алымдары_, _ampaignc, _ampaigns, 
   {{0x8ca000d1,0xfe88031c,0x68640274,0x025c0019}},	//   _বৃত্তিধা, _viajeros_, _gunnhild, _клубунун_, 
   {{0x73f801f7,0x768c00c1,0xb303007f,0xf3870478}},	//   _volums_, _बेभान_, _chraffu_, _aperam_, 
   {{0x62ee0298,0x126e022e,0x64d00188,0x00000000}},	//   _inanahi_, _auropa_, _радиоӣ_, --, 
   {{0xf97701d2,0x74d400b9,0xc2e70156,0xec97006c}},	//   _akwirdut, _कुकिंग_, _abonilo_, _сирояти_, 
   {{0x338703d5,0xb23702ff,0xd2f7031a,0x12b503e6}},	//   _defray_, _akajou_, _chliabh_, _ritch_, 
   {{0xbc16002e,0x227e0159,0x76cd0155,0x7ae0046c}},	//   _mogucnos, _duona_, _omfattni, _leitfade, 
   {{0x430202c6,0x326e00e0,0x4f5f0047,0xfe000227}},	//   _bagadou_, _deroan_, _remplace_, _penetasa, 
   {{0xa20200c3,0x527f0564,0x2d0c0066,0x735101be}},	//   _potius_, _franas_, _сурагтай_, _robustní_, 
   {{0xa5eb01ea,0x2b7d000c,0x4d1703b0,0x427b0276}},	//   _سرمایه_, _amonguer, _aktlaust_, _زأهرة_, 
   {{0x50310147,0x72d90347,0x7c6901bc,0x00000000}},	//   _juntamen, _juwele_, _meartal_, --, 
   {{0xf32701b3,0x497702a8,0x2cba0139,0xd2f7031a}},	// [64f0] _трамвая_, _definitt, _bubhukṣā_, _shliabh_, 
   {{0x020000db,0x1508002c,0x326d0002,0x5e190155}},	//   _valige_, _kontrako_, _izvori_, _gemenska, 
   {{0x83a901f2,0x2ede005b,0xa25a0207,0xca360352}},	//   _بولدۇم_, _souhaits_, _ajali_, _দেখিলো_, 
   {{0xb3490231,0x02fc04da,0x427802d9,0x92000396}},	//   _imperii_, _zaraditi_, _penisini_, _ibliet_, 
   {{0xcc960210,0x09130420,0x22cb038a,0x73890193}},	//   _akazober, _театарск, _byuda_, _bersuami_, 
   {{0xd400012c,0xd25a0014,0xf700062c,0x0292006a}},	//   _الجميلي_, _djali_, _पतनशील_, _nasain_, 
   {{0xb2b100d9,0x726d031e,0x8647022f,0x265902c1}},	//   _обзора_, _duboka_, _алкалоід, _babitubw, 
   {{0x1a8905ce,0xb16702e3,0xc9780256,0x4c6e00e4}},	//   _üniversi, _hoanganh_, _tenisist, _szeroka_, 
   {{0xa6cd029d,0x2e9c005e,0xf44300e1,0x9db403db}},	//   _фиинцеле_, _ياپۇن_, _lëkaloo_, _olungena, 
   {{0xa8c00590,0xc24b0305,0xc27e0082,0x79e003bd}},	//   _xehetasu, _চিন্না_, _bainar_, _magtutud, 
   {{0x57a5017f,0xdb8d01ac,0x915500c1,0x72000259}},	//   _siornati, _mainistr, _असेलही_, _armiss_, 
   {{0x52880189,0x32d800d9,0x00000000,0x00000000}},	//   _hastalığ, _komea_, --, --, 
   {{0x69f600bb,0x3cbf036a,0xedd2004c,0x227e0105}},	//   _غوثیہ_, _tavalequ_, _baakinda, _grono_, 
   {{0xa20001fb,0x03f80303,0x7c800187,0x18da0061}},	//   _calide_, _dikuku_, _метео_, _명함케이스_, 
   {{0x52ac04c7,0xc6070024,0xd4600037,0x63ce015e}},	//   _манастир_, _শতাব্দীৰ_, _diperkuk, _prové_, 
   {{0x0cd1009a,0xf3450148,0xeb870296,0x167d027c}},	//   _abakungq, _企業內容管理化金, _familjer, _babewavi, 
   {{0x6a960148,0x82250117,0x927e0059,0x727e0151}},	// [6500] _新浪部落首頁_, _imekem_, _suoni_, _atony_, 
   {{0xdb27002b,0x82ae01d5,0x00000000,0x00000000}},	//   _গৃহবধূকে_, _díjjal_, --, --, 
   {{0x02e9031c,0xee4e03cf,0xe8b704c7,0x00000000}},	//   _recién_, _numarala, _ревизора_, --, 
   {{0x03d700e4,0xb39603f3,0x3f1700c7,0x8eea01ac}},	//   _विनिर्दे, _bossen_, _агайларг, _يسوون_, 
   {{0x9a45004d,0x2ea40073,0xe4ff0258,0x00000000}},	//   _國立海洋生物博物, _maculate_, _haulerwy, --, 
   {{0xaac90368,0x00ce02c0,0xc8ce0045,0xc8db0025}},	//   _расформи, _хронично_, _основној_, _dhigantu, 
   {{0x74340219,0xd7a801fc,0x7b64047d,0xaecf00d3}},	//   _umyalelo_, _kaamilik_, _acteuren_, _hostujíc, 
   {{0xf6dc0238,0xd93f0139,0x851f029b,0x52800062}},	//   _програмі_, _anumāya_, _mbeggeel_, _seripay_, 
   {{0x5e46000c,0xeeb80276,0xf21300b3,0xb45300cb}},	//   _enlazada, _ئابونىتل, _bashy_, _ботлоки_, 
   {{0x4c6a0235,0xe0990092,0x2f280028,0xcd370418}},	//   _कृष्णं_, _北海道大学医学部, _shareera, _hepinize_, 
   {{0xc2ff00ce,0x489a01aa,0x528f0148,0x926c0403}},	//   _anrisir_, _erivativ, _金庸群俠傳_, _akiora_, 
   {{0xbeaa02d0,0xd2e0036d,0x1a0a05fb,0x00000000}},	//   _centurie_, _hearradh_, _neupored, --, 
   {{0x12880125,0x89c70125,0xada50318,0x237c01f7}},	//   _берсең_, _гадаган_, _fulikiva, _vocable_, 
   {{0xc99001e1,0x2bee00ef,0xa33b018d,0x08d503ff}},	//   _atshwane, _تجزیې_, _ከይጠቐስክዎ_, _dvojitý_, 
   {{0xbfd2023e,0x9774018d,0x020e02ba,0x82d804d8}},	//   _miniatur_, _ምድርባይ_, _ғалат_, _ileen_, 
   {{0x0f1d0111,0xeaf80041,0xcdb50011,0x89c0017c}},	//   _agherogn, _ҳәаны_, _balisiga, _handlede, 
   {{0x025a039d,0x74b5005e,0x830c013f,0x00000000}},	// [6510] _ndila_, _ﻣﯘﺳﺘﻪﻣﻠﯩ, _gwladus_, --, 
   {{0xc2e0043b,0x447c03f2,0x42cd048c,0x2f270144}},	//   _gearradh_, _особенно, _afulogo_, _chiontói, 
   {{0x73dc0447,0x82ab00be,0x8a5c041e,0xc29100e6}},	//   _akewa_, _جەڭىشبەك, _accéta_, _红军优秀指挥员_, 
   {{0x515800b4,0x7dc40026,0x361603e2,0x8c270229}},	//   _джермана_, _maximale_, _monarquí, _geosiyas, 
   {{0x95bd0197,0x427f0071,0x2b140161,0x6dff00ea}},	//   _atizanal_, _asanes_, _узлов_, _befelata, 
   {{0xa2060251,0x7c000085,0x730301a7,0x5056044a}},	//   _جانورو_, _dreussss, _alkanut_, _maprakun, 
   {{0x13f902c7,0xcf18003b,0x02d40372,0x00000000}},	//   _beruf_, _anetibop, _hurddo_, --, 
   {{0x804300a6,0xd6d00156,0xdb060161,0xec05001b}},	//   _مهاجرینو_, _גארפיעלד_, _частицы_, _hinlaatu_, 
   {{0x6e1a006f,0x0f5900db,0xf47f01a6,0x328b0347}},	//   _ڪتابخانو_, _parandab_, _pekepoho_, _mishoop_, 
   {{0x1270027f,0xcb240131,0x2c56021e,0x00000000}},	//   _aragaram, _accesíbe, _ryttare_, --, 
   {{0x997e03eb,0x444d008d,0x2576026f,0xa7d00011}},	//   _afrikane, _мадинага_, _راحيما_, _bafugubw, 
   {{0x4caf00d1,0x00000000,0x00000000,0x00000000}},	//   _সংস্থাপি, --, --, --, 
   {{0x05b704c3,0xd29002e2,0xae5300a0,0xbe530247}},	//   _finalsty, _aegan_, _bambance_, _bambanga, 
   {{0x4f3304f9,0x1017026e,0xf26e0176,0x117e0188}},	//   _malunnaa, _खगेन्द्र_, _kuroda_, _насби_, 
   {{0xad3f00c4,0x59850393,0x78ff0486,0x6a1304f9}},	//   _سڀاويڪ_, _okvirima_, _valentýn_, _dagcente, 
   {{0x52fc0265,0xb3860129,0x0b7f01d8,0x03480369}},	//   _dingen_, _ahaziri_, _longdien_, _nolewai_, 
   {{0x22b4007b,0x424300be,0x020000a0,0x4761054c}},	// [6520] _cuadrod_, _جەڭەمدى_, _hadiye_, _storslåt, 
   {{0x02b202c7,0xcf6c01ec,0xbc7f0092,0xb057018b}},	//   _sondern_, _کانالهای_, _しかしながら_, _кирилик_, 
   {{0xf97c003a,0xf2fc017d,0x53f4015e,0x41c60017}},	//   _تامانیدن_, _ningen_, _sostre_, _topované_, 
   {{0x804002d8,0xb90002a1,0xb2900076,0x0ed60109}},	//   _पापलेट_, _hebreërs_, _negao_, _लुइटेल_, 
   {{0x1cbc01fe,0xd29001fa,0x38960205,0xc386036d}},	//   _matanitu_, _hahanu_, _хаттоб_, _crofting_, 
   {{0xcee80177,0x00000000,0x00000000,0x00000000}},	//   _алалараз, --, --, --, 
   {{0x629001d1,0x526e0287,0x775702eb,0x77290153}},	//   _legal_, _beroun_, _тариалж_, _お問い合わせ下さ, 
   {{0x9ba50145,0x0ed401fa,0x596c0139,0xa1510152}},	//   _sutikimo_, _konitein, _bhinnade, _injenerl, 
   {{0x1fe3028a,0x45a80126,0x917b0040,0x2f3401c5}},	//   _شانتا_, _намагают, _socially_, _suurtoga, 
   {{0x2d35033e,0x0c2800a6,0x82d80417,0x4a0a00dc}},	//   _antónimo_, _ليونی_, _pleeg_, _fulafula_, 
   {{0x094d00ab,0x904f004d,0x72590397,0x4c5100da}},	//   _kapowhet, _禍首是殺蟲劑_, _avelaphi_, _dantela_, 
   {{0x1afa016d,0xa26e0342,0xf239000f,0x2b1f0183}},	//   _ھۇزۇرلىن, _capois_, _vermesi_, _ankavian_, 
   {{0x28f9037f,0xf2900386,0x83720127,0x2c83018c}},	//   _istintaq_, _segan_, _anoaled_, _ingevuld_, 
   {{0x4f6a0238,0x0af901e6,0xd22b02c2,0x5a280158}},	//   _залишило, _nakupuje, _beampte_, _pobierać_, 
   {{0x72d800bd,0x026c01da,0xa4130137,0xc3080185}},	//   _bleed_, _synon_, _сэнхрүүл, _kiregä_, 
   {{0xbd0b0247,0xd713013d,0x637a01fc,0x5213065f}},	//   _sutradar, _soldatoj_, _lagaddo_, _stočarst, 
   {{0xf2d80151,0x80d70220,0x5613012b,0x23f80286}},	// [6530] _domed_, _николов_, _programó, _wobue_, 
   {{0xf38002ff,0x03300130,0x3ae704da,0x065a0168}},	//   _bourik_, _euskareg_, _zaprijet, _innkalli, 
   {{0xa7c700bf,0x39010055,0x62cb0211,0x18e20076}},	//   _наличия_, _dépourvu, _tenosta_, _регулати, 
   {{0x3da20036,0xd8900272,0x22000240,0xb40a02ef}},	//   _وحقائب_, _agikubid, _kenisa_, _choukoun_, 
   {{0x62d90263,0xc2e00158,0x8832005e,0x1c53016a}},	//   _regels_, _लौटीं_, _خاھىش_, _portita_, 
   {{0xc04702c4,0x4c5c0448,0x88a4005e,0x334c00da}},	//   _мислите_, _sætter_, _ﻳﻪﮬﯘﺩﯨﻴﻼ, _stresul_, 
   {{0xda7b002e,0x33080152,0x213f02d5,0xb27e018a}},	//   _greške_, _biregä_, _छटपटाता_, _sugno_, 
   {{0x961c0475,0x540d034c,0x73960151,0x00000000}},	//   _составля, _борнашлы, _bossan_, --, 
   {{0x1a7d03db,0x404000c1,0x447e04c9,0x798f00bf}},	//   _akunakus, _पाठलाग_, _osielsko_, _амната_, 
   {{0xb3560483,0xbd4903b4,0x00000000,0x00000000}},	//   _exceder_, _bepanhau_, --, --, 
   {{0x5063006c,0x830700e4,0x7b260188,0xf01a0350}},	//   _akasafun, _afrodyzj, _ваххоби_, _በድንበሩ_, 
   {{0x43f90265,0xa2d0009e,0x6b34003f,0x949d02ed}},	//   _terug_, _avaliar_, _daladnis, _abrancaz, 
   {{0x926d02f7,0x783403d3,0x6e5800ff,0x1b1802b6}},	//   _boboko_, _glimrend, _albordiĝ, _араласуғ, 
   {{0x71c7052c,0x94020198,0x99e200ea,0x62750213}},	//   _هاوشێوه_, _potreben_, _harilova_, _сторонам, 
   {{0x026e0157,0x1dc70178,0x285c0115,0x5c270183}},	//   _strona_, _agādhe_, _waalaiku, _ankaratr, 
   {{0xe851028b,0x396100c8,0x7b470364,0xb847000c}},	//   _аҭахкаар, _өҙөлөп_, _inspiréi, _набакиа_, 
   {{0x589d00e6,0x2d050166,0x5d9f0452,0x00000000}},	// [6540] _中国消费者协会_, _beklagte_, _काकडीचा_, --, 
   {{0x3a5106b0,0xd30a0405,0x52df0612,0x93a902f3}},	//   _babefuna_, _газопров, _elendig_, _samvete_, 
   {{0x9b8400a7,0x6d570036,0x02cb0222,0x9a2a00f6}},	//   _акциялар, _أستراليا_, _viadeo_, _aksiyanı_, 
   {{0xb28e01cd,0x97210142,0x4c96026f,0xe29001ad}},	//   _abakubo_, _परचित्तस, _سارمات_, _kahalu_, 
   {{0xa9d804aa,0xe56f00d1,0xc4e7002b,0x0e9003f3}},	//   _temoniba_, _কেৰিয়াৰ, _খোরাক_, _purmeren, 
   {{0x733d0029,0x336900ec,0xe4b20188,0x59840160}},	//   _چیمان_, _sistemom, _автоматӣ_, _majicama_, 
   {{0x57aa041e,0x3b56020f,0x63dc02db,0x1b590022}},	//   _battagli, _جاسوسان_, _eniwan_, _barutuwa_, 
   {{0x8f2f0306,0x7202015e,0xc2b60234,0x126d00d7}},	//   _justicia, _motius_, _eletùtù_, _diboto_, 
   {{0x656e02eb,0x7b3b00ef,0xf26e00d0,0x6aa903a2}},	//   _шалихгүй_, _مسودې_, _arropa_, _हांलाकि_, 
   {{0xee87026f,0x311a0178,0x022d0024,0xbb6c02d3}},	//   _ءارجىلى_, _amanojña, _অসামৰিক_, _expressa_, 
   {{0xf2fc0415,0x191a01ce,0x01a2005e,0x426d01e8}},	//   _spricht_, _غیراخلاق, _ﺋﯩﻴﺴﺎ_, _giboto_, 
   {{0xb3f40338,0x0b26022f,0x027e0247,0xa2d8034b}},	//   _costat_, _ядром_, _drona_, _fomem_, 
   {{0xa95a0021,0x6b0f0147,0x22d80027,0x00000000}},	//   _evelopme, _اكتەرۇ_, _nomem_, --, 
   {{0x02d8014f,0xf6e90021,0x5a6f018d,0x257e0092}},	//   _организу, _adequacy, _ብዘመናዊ_, _猟奇的な彼女_, 
   {{0xc2d803f5,0xf200028d,0xfe380176,0x07cc0080}},	//   _homem_, _badine_, _foransta, _apustili, 
   {{0x1b600306,0x3b130133,0x00000000,0x00000000}},	//   _assunuqa_, _filateen_, --, --, 
   {{0xe12c00ff,0xa62800e6,0xb17c004d,0x522602ad}},	// [6550] _בלבולים_, _城市建管类_, _一個人快樂過生活_, _jiskra_, 
   {{0x1e5d0139,0x390903da,0xf4fe004d,0xfc6d003d}},	//   _anabhila, _ikwadobu, _凹字地形風水云_, _amorita_, 
   {{0x93f401d3,0x2682018b,0x99e100ff,0xbf3800e4}},	//   _postat_, _accesori, _הכּלל_, _विनियमन_, 
   {{0xfbe701a3,0x120002a2,0x525a0259,0x629004f0}},	//   _ارادو_, _maliit_, _odile_, _segae_, 
   {{0xabcd01b8,0x33ea0238,0x4d760071,0x25c901b5}},	//   _privaats, _deltar_, _هرانا_, _lavantsh, 
   {{0x75f80074,0x5b570043,0x94c2020e,0x35bf0311}},	//   _виртуаль, _agittira_, _сержантт, _ንምንጭታት_, 
   {{0xc9210353,0xb28b0060,0xe920004d,0x7c7c0046}},	//   _neobsahu, _انشىگە_, _然其霸氣不遜蓋世, _exprés_, 
   {{0x12fa02e4,0xcac20024,0x95950036,0xa759011d}},	//   _macheda_, _ক্ৰয়_, _prótacal_, _родничия_, 
   {{0x1201005c,0xd8510400,0x00000000,0x00000000}},	//   _imbibi_, _banuelos_, --, --, 
   {{0xdbf100e1,0x6a2701ec,0x4b59016b,0x836502b3}},	//   _ajiliyao_, _مدرسان_, _garuruwa_, _avogado_, 
   {{0xe1190187,0x92e8016b,0x126d03d9,0x1aa400b7}},	//   _границит, _almizan_, _lavon_, _телегепл, 
   {{0x83fa0073,0xf9c0017d,0x22130195,0x6ac8019e}},	//   _astute_, _sandhede, _laghan_, _бандажэў, 
   {{0x9a500040,0xbbeb0158,0x00000000,0x00000000}},	//   _המזבלה_, _celebryc, --, --, 
   {{0xf25a03b6,0x92000189,0xc6c30022,0xe57c018d}},	//   _idile_, _haline_, _турнирҙа_, _ኣሽምባይዶ_, 
   {{0x32b50044,0x320001ec,0x1b590316,0x00000000}},	//   _ditch_, _baline_, _daruruwa_, --, 
   {{0x52170156,0xb15802fd,0x00000000,0x00000000}},	//   _רענדי_, _seinnidh_, --, --, 
   {{0x9623005e,0xf2d80189,0x0b640097,0x00000000}},	// [6560] _مەمتىلى_, _memeli_, _niwájú_, --, 
   {{0xa1b8049e,0x926d0166,0x923c0212,0x825a005b}},	//   _recenzií_, _davon_, _faxmail_, _hjalp_, 
   {{0xf2ce00c3,0xdd140181,0x5b6901c8,0x6c640126}},	//   _italiam_, _holstebr, _membrána_, _евакуаці, 
   {{0x537f0028,0x6eb30321,0xd52501db,0xe6d30433}},	//   _nimanka_, _praznova, _алдамшы_, _exequiel_, 
   {{0xc9ed0338,0xf304018b,0xb9490087,0x73800008}},	//   _similara_, _dosarul_, _ebyongwe, _espriu_, 
   {{0xe2d80265,0xb3400230,0x6c5603d3,0x06a90137}},	//   _bleek_, _lelefan_, _ryttere_, _багвааха, 
   {{0x43a902ad,0xcfa600ca,0xf9790145,0xc27e04b3}},	//   _konvice_, _asterisc_, _фрылансе, _bronn_, 
   {{0xb39600ff,0x803e03f3,0x424500d9,0x726d01a4}},	//   _שייגעץ_, _hopelijk_, _стартово, _bavon_, 
   {{0x935f00a7,0x4528011e,0x62d80390,0x4d3002af}},	//   _болуптур_, _lokipasy, _demeli_, _kayikuye_, 
   {{0xc75a0075,0x1e120268,0xf02c0177,0x3f52014a}},	//   _vinnulig, _ontentca, _ирыгмызт_, _orgazmus_, 
   {{0x6289018e,0x89f30074,0x02fc0108,0xeb710231}},	//   _ambalani_, _kansaned, _cingan_, _asportar, 
   {{0x74eb018d,0x951c01da,0x127e01d9,0x8d5502a9}},	//   _ሕርሕራይ_, _zakonish, _gronn_, _пленэр_, 
   {{0xec3d0133,0x71f2015e,0x930c010d,0x72a9002b}},	//   _amanadhu_, _avançame, _pelauts_, _সহজভাবে_, 
   {{0xd2d80125,0x8b8f0257,0x6a4f0053,0x4ee6005e}},	//   _komek_, _opinberr, _temennya_, _قوڭغۇراق_, 
   {{0x627f0141,0x53960265,0xe0df032d,0x5c6300c7}},	//   _تولپار_, _lossen_, _bomodipl, _койган_, 
   {{0x62d800e4,0x45a7017a,0x62ec003b,0x82780407}},	//   _domek_, _гуруснан, _bayinye_, _ratnim_, 
   {{0xeea401fb,0xd2eb02f9,0x764000f1,0x3da40055}},	// [6570] _accusate_, _minimom_, _redinami, _accusatu_, 
   {{0xc2c9037c,0xb01d01b3,0xec600030,0x27a20331}},	//   _skylook_, _дружиною_, _rasties_, _stuttlei, 
   {{0x62010084,0x6d0702aa,0x2b30016f,0xc29003e6}},	//   _amrik_, _testovac, _тегом_, _megaa_, 
   {{0x22900142,0xfc0602a9,0xfe5f0278,0xcb2000b7}},	//   _adhaś_, _кадрам_, _pembiaka, _эхени_, 
   {{0xd20002f7,0x998002ec,0xe31e02f3,0x5639027f}},	//   _badile_, _weriyaha_, _kvinnlig_, _nayisubi, 
   {{0xd27f0150,0xd2390031,0xd224023b,0x39e900dc}},	//   _franis_, _permisi_, _kaokoa_, _fasipepa_, 
   {{0xd4ec0211,0xca7c01b5,0x1c370059,0xfb2c0162}},	//   _поступле, _bananisa_, _другаде_, _بۇلاقتەك_, 
   {{0xf39600a3,0x847302fd,0x05f0005e,0x72070374}},	//   _fossen_, _gartanan_, _زاپچاس_, _бергувчи_, 
   {{0x3b1e030a,0xcab90258,0xc27e0255,0x0c2702a8}},	//   _castaña_, _harkemas, _esines_, _inkomplu_, 
   {{0x527e01e9,0x4a49032c,0xebb402d6,0x00000000}},	//   _tsone_, _barentip_, _генералл, --, 
   {{0x2349000e,0xac18006c,0x0a7c018e,0x1f3301f6}},	//   _carenti_, _abasemab, _fananisa_, _snarvega, 
   {{0xa9d901d4,0xf37f0207,0xa27e01e5,0xf7eb0224}},	//   _avanzata_, _اولمپڪ_, _ironu_, _afkastag, 
   {{0xe2ee0130,0x6c6d0569,0xf1470244,0xc57200d0}},	//   _bianchi_, _porukom_, _армията_, _martinez, 
   {{0x6fdd0255,0xa1c30220,0x6cc30060,0x45f80155}},	//   _क्षेत्रन_, _половин_, _инклюзив, _modersmå, 
   {{0x6e95005e,0xd2000230,0xb34d014a,0x5c52010b}},	//   _ئىناۋەتس, _oblize_, _keresem_, _ikatega_, 
   {{0x698704a1,0x197b0548,0x263900ae,0xd50b03fb}},	//   _forklare, _michelse, _kayisubi, _sastavio_, 
   {{0x178a0368,0x8f20025b,0x0afc0014,0x359d0325}},	// [6580] _приватно, _landgrun, _rekordin_, _aqressiy, 
   {{0xc2e80134,0xaa080020,0xdc3a02ba,0x8ff00015}},	//   _alufaa_, _ionatana_, _тюмен_, _alahayoo, 
   {{0x9a08030f,0x5bd6027b,0xff1602d6,0x00000000}},	//   _honatana_, _कोऽयं_, _англагач_, --, 
   {{0xb2d8012f,0xcf53016f,0xb2fb0206,0x484d03eb}},	//   _komei_, _домашні_, _kufríky_, _foutloos_, 
   {{0x89d900d6,0xd3b60226,0xa290044a,0xfa280226}},	//   _صورتها_, _amavala_, _conaty_, _azachuma_, 
   {{0x7849041a,0x47e700d0,0xa05700d1,0x6a5b04e8}},	//   _призначе, _булангаа, _apostlan, _bergèra_, 
   {{0xd3fe0239,0xeb8a0022,0x580b0299,0xe0580308}},	//   _manutaki_, _тоҡом_, _ئىھسان_, _keaslian, 
   {{0x22b600bc,0xfaa90444,0x8b6c0089,0x2357014c}},	//   _topcon_, _заселени, _викиханә_, _olufana_, 
   {{0x2adf0250,0x001d0030,0xec9c00e4,0xe7e300da}},	//   _komunite, _labiekār, _निर्यातक, _позицие_, 
   {{0xf34901d4,0x3c6f01ad,0x6c5602dd,0x83f80205}},	//   _parenti_, _serrana_, _plutone_, _nobud_, 
   {{0x62fe00a4,0x5c5b023d,0xd2ea020f,0xfa9c00e6}},	//   _regidor_, _annuale_, _ښکلاوې_, _推进新型工业化是, 
   {{0xac5b0178,0xc7d701db,0x74ab0289,0x00000000}},	//   _bhutani_, _مۇلكىمنە, _kumandak, --, 
   {{0x43f80380,0x52900268,0xe22401da,0x2456005e}},	//   _gobug_, _odgay_, _ndikim_, _ﻫﯘﺟﯘﻡ_, 
   {{0x52ba0250,0x33eb00a1,0x2da6022f,0x7a7f0087}},	//   _vendosi_, _eketia_, _istorija, _khulukis, 
   {{0xa2ef01fc,0x32eb03ef,0x00000000,0x00000000}},	//   _malissa_, _minicom_, --, --, 
   {{0xc0290074,0xae25005e,0xefcb00c7,0xcdc704c7}},	//   _применяе, _иззәт_, _altınçı_, _проводи_, 
   {{0xeda600d3,0xc91300d9,0x8d11042a,0x026402e5}},	// [6590] _popisova, _пульс_, _bahlalae_, _iculpa_, 
   {{0xd27f00c7,0x227e0111,0x0e09025c,0x010c0229}},	//   _kaynar_, _pugni_, _niederla, _almırlar_, 
   {{0xa2000300,0x3041009b,0x0c5802c2,0xf2cb0141}},	//   _hadice_, _nortasun, _feitlik_, _namozga_, 
   {{0xc64a020f,0x1e1a01c7,0xfc5c0485,0x884b01d1}},	//   _abazivay, _котеклап_, _nætter_, _informed, 
   {{0x66370137,0x53870027,0x53f80309,0x4fbd01e6}},	//   _тахианы_, _iperom_, _kobud_, _nealkoho, 
   {{0x0d27021c,0xaefe0309,0x52900166,0xcae20322}},	//   _dokonale_, _sabunçu_, _wonach_, _babukore, 
   {{0xdc7500bd,0x1d3e00d1,0x1d3f020e,0xca390153}},	//   _clouter_, _জোনালীৰ_, _асышы_, _ショッピングセン, 
   {{0x9c1804a0,0x03eb00a9,0x05a00040,0x35480276}},	//   _despois_, _amatwi_, _ממלווח_, _наданлиқ, 
   {{0x0dfd06e1,0x00000000,0x00000000,0x00000000}},	//   _objetiva, --, --, --, 
   {{0x5201079b,0x325a017a,0x5a720020,0xcc8902d3}},	//   _emzini_, _idili_, _aigaatua_, _прилагод, 
   {{0xd24a017a,0x526d0210,0x7c5c021d,0x762b0613}},	//   _васиятно, _akaora_, _fætter_, _perderá_, 
   {{0xeb2f01eb,0xe85d002c,0x76fb0126,0x9a7c02f6}},	//   _carambos, _gainditu, _конфігур, _aanalisa_, 
   {{0xdd9000be,0xc6a700de,0xc2e203ff,0x722a03d6}},	//   _берди_, _ayethuny, _ženám_, _प्रचालन_, 
   {{0x32d80231,0x3a520183,0xdf9501bb,0x2a8a0046}},	//   _nomen_, _firenena_, _geldiler_, _майданын, 
   {{0x0c9a0328,0x1a0d0103,0x7f1f0403,0x2e3e032d}},	//   _arazitar, _angapone, _fanetren, _болдорон, 
   {{0xe2c1003a,0x89770265,0xf29004ca,0x627e0088}},	//   _oqilona_, _officiee, _legau_, _isona_, 
   {{0x531c0333,0x72d80026,0xa27e004f,0x24a80046}},	// [65a0] _macchia_, _bomen_, _lugnu_, _مارتابال, 
   {{0x4a7e0558,0x054a01f4,0x82fe016e,0x53f8004c}},	//   _nabatara_, _модомики_, _gibidir_, _akkubu_, 
   {{0xb25a031a,0x027e0081,0x5bde0189,0x5e190176}},	//   _ceilg_, _arons_, _adayları_, _aitemuma, 
   {{0xb2ba0371,0x842900cb,0x024a02f3,0xeecd01b5}},	//   _vendesi_, _akakwenz, _larmet_, _matinyan, 
   {{0xb99d0125,0x1ca90185,0x027e008c,0xc0b3020b}},	//   _сатын_, _кабинеты, _pront_, _dimmetal, 
   {{0xc27e00a4,0x01bf0040,0x83410113,0x72010414}},	//   _osona_, _עצבני_, _هنتاي_, _defisa_, 
   {{0x63f70203,0xe32f0060,0xea82005b,0xf25a0244}},	//   _consenti_, _адаммен_, _egenskab, _edili_, 
   {{0xf7450092,0x0f4900ac,0x99bf01c6,0xaf570024}},	//   _この部分はインラ, _podstana, _broekste, _bompenga, 
   {{0x925a05bc,0x986701c7,0x62020002,0xf5290310}},	//   _deild_, _аркадаг_, _visinu_, _chairtbh, 
   {{0xa3cf0326,0xda520183,0x714d0092,0xd7a20287}},	//   _nguva_, _pirenena_, _カナダドライ_, _mladistv, 
   {{0xf25a00ea,0xdda80285,0x82fc0265,0x93550044}},	//   _adala_, _annoncia, _gingen_, _reveals_, 
   {{0x07a500c6,0x4cf60061,0x72010318,0x00000000}},	//   _etternav, _탄핵소추권의_, _sefita_, --, 
   {{0x82e60129,0x03790194,0x42e503d5,0x0d2b013a}},	//   _mpanaka_, _devaria_, _baitchey_, _egyptesc, 
   {{0x225a0048,0xe25a047b,0x8ee0026c,0xa2d8011c}},	//   _ddala_, _heild_, _sagittis_, _almet_, 
   {{0xb0560105,0x22fd0140,0x82910144,0x300300c7}},	//   _सत्यार्थ_, _mabilis_, _rubair_, _рюноскэ_, 
   {{0xca570220,0xb21200ed,0x72ba03ec,0x779201f1}},	//   _финала_, _abohan_, _rendesi_, _studimev, 
   {{0x01940037,0xd23a0191,0x9ba903a2,0x621200b5}},	// [65b0] _በተሰማሩበት_, _höjer_, _नाखूनों_, _cidhpe_, 
   {{0x1d5b009a,0x036402c5,0x82d803bf,0xbee104ad}},	//   _ababhinq, _langton_, _bomeo_, _bothokon, 
   {{0x8b5500a1,0x8c1d00c5,0xf7170113,0x597d009b}},	//   _arewhana_, _insuffis, _iomrascá, _begirune, 
   {{0x40f70238,0x3e8b0360,0xed2e039e,0x42d6000d}},	//   _таблиця_, _पबित्रा_, _artigare_, _kalliks_, 
   {{0x0b9701cd,0xf2dd00ac,0xb2fc03f3,0x327e018a}},	//   _таслим_, _otrovni_, _zingen_, _buont_, 
   {{0xeb430037,0x5e54020e,0xb27e01c4,0x4372013f}},	//   _ይከራከራሉ_, _borabele_, _dronk_, _biwateg_, 
   {{0x8bb60255,0xedb701c1,0x89ff0240,0x76f00086}},	//   _टेस्टीमो, _sedikitp, _korinica_, _mutatták_, 
   {{0xb374011b,0x7b720349,0x00000000,0x00000000}},	//   _bifungam, _amylopec, --, --, 
   {{0x1a9302c4,0x727e03c6,0x2b1c0226,0xa49d0011}},	//   _монети_, _guons_, _chopanda_, _bagazinz, 
   {{0xd1d00021,0x582701de,0x668302d8,0x8e3e0425}},	//   _olderhay_, _بابادان_, _हंगाम_, _چاوکراوه_, 
   {{0xa836079c,0x9c9700ff,0x61fd02fd,0xe42900fd}},	//   _सर्जरी_, _לכתּחילה_, _banarach_, _caiptean_, 
   {{0x59840040,0xe06004a5,0x455901f5,0xdb1a0185}},	//   _telkomse, _kwesiqin, _reaksiny, _firqäsen, 
   {{0x525a0012,0x5c5a0288,0x8b1e032d,0x3cd600f5}},	//   _neile_, _eketoni_, _милләтте_, _ерусти_, 
   {{0x43730436,0xa23600e2,0x163c0418,0x7292004b}},	//   _redanje_, _foljen_, _sahibini, _dipale_, 
   {{0xf25a0549,0x91d10021,0x32c3008a,0x3c6300da}},	//   _heile_, _altedhay_, _louloua_, _albumul_, 
   {{0x485800e9,0xcb520225,0xb27e02c2,0xf2d00497}},	//   _ankonsid, _handelnn_, _tronk_, _statuary_, 
   {{0x53dc0226,0x13b60334,0x8396029b,0xada9013c}},	// [65c0] _akewo_, _amavula_, _cossan_, _çeçenist, 
   {{0x33bc02ac,0xf3b20043,0xd273017f,0xe4e10052}},	//   _بلغنا_, _agabulij, _aarrinil, _उद्यत_, 
   {{0x0bfd061f,0x2c0002ac,0xf3380162,0x38fd004b}},	//   _poveznic, _تخالف_, _зиннәтлә, _советниг, 
   {{0x7a04036e,0xdc1b0366,0x8b840087,0xca590212}},	//   _alcaldit, _стенах_, _dbroyalc, _essentia_, 
   {{0xb98601fe,0x034103b5,0xcf7301ef,0x0ff3001c}},	//   _cibitaka_, _kedepan_, _darbinin, _dolyares_, 
   {{0x4e9300ec,0x8e0d0071,0xaf1d022c,0x33800039}},	//   _формах_, _آیلتس_, _belegugn, _onurak_, 
   {{0xe25a0289,0x92900387,0x8d800011,0x3e37028c}},	//   _ndilo_, _achapu_, _atalosua, _ööelu_, 
   {{0x62d80057,0x539603d5,0x62020107,0x1387048c}},	//   _comel_, _possan_, _ajrihi_, _affray_, 
   {{0x9b6d038a,0xd9bf0465,0xca1d01f7,0x00000000}},	//   _charnaqa_, _podelite, _caçaire_, --, 
   {{0x60b9018d,0x087c0041,0x169501a3,0xd9b900c7}},	//   _ኣጽዋርን_, _аоккупац, _رنجشون_, _кочып_, 
   {{0x0c9301f2,0xc2d8004f,0x5bde02e5,0x82d80367}},	//   _ياڭاق_, _ameey_, _аопераци, _nomes_, 
   {{0xa2000449,0xa290010d,0xb64e005b,0x727e03eb}},	//   _splitu_, _pegal_, _agehanai, _pronk_, 
   {{0x7290001f,0x0391033e,0x8e7500ec,0x1f150025}},	//   _asiane_, _амоногра, _дызайн_, _व्यक्ताव, 
   {{0xedb50388,0x49620220,0x007d0361,0xfa0d0027}},	//   _stagione_, _поставя_, _кассе_, _pelantoe, 
   {{0xa3dc007b,0x586d001e,0x427e04b2,0x493c02a4}},	//   _chews_, _tambayar_, _asong_, _commilit, 
   {{0xf394024a,0x81330052,0x1af50119,0x739403f5}},	//   _abosi_, _toaletní_, _borongan_, _sério_, 
   {{0x7a5d03a7,0x784701cd,0xe44c01f4,0x5d0a03dd}},	// [65d0] _takúto_, _санади_, _ёлгон_, _pallatit_, 
   {{0xbcef03ce,0x727e012b,0xf6440077,0x00000000}},	//   _مستردام_, _broni_, _frekansi, --, 
   {{0x39800643,0x38530614,0xe3dd0294,0x83ea01da}},	//   _zaslužan_, _orgasmer_, _anawan_, _faktet_, 
   {{0x965201f9,0xf55f02db,0x92cb067c,0xc13302c3}},	//   _abeyinkh, _kaljarol_, _exude_, _toaletná_, 
   {{0x22d80044,0xa27e0018,0xc6b80281,0x8d3e0024}},	//   _homes_, _eroni_, _annaassi, _আগশাৰীৰ_, 
   {{0xf9c2024a,0xc6b10193,0x411202b2,0x6af70088}},	//   _abimbola_, _दत्तो_, _власника_, _сайдан_, 
   {{0xa8340168,0x51b50161,0xc78f018f,0x00000000}},	//   _klimaend, _клинике_, _rintahvi, --, 
   {{0xbe53066d,0xe2d803d1,0x351c01be,0xa9c700a7}},	//   _abebenga, _domes_, _परिणत_, _базада_, 
   {{0xac5b01a7,0x5248003f,0x19090093,0xb25d01f1}},	//   _minulle_, _behmey_, _граждана, _perendim, 
   {{0x06c400b9,0x37470303,0xe1f00045,0x73b50220}},	//   _orisinil_, _botonakg, _техничко_, _elevata_, 
   {{0x9429038e,0xd84d0166,0x894d014d,0x891b0299}},	//   _tampilan_, _verletzu, _verletze, _ئۆتمۈشى_, 
   {{0x12d80058,0x003f003a,0xc41800d9,0xbf120082}},	//   _homer_, _dasturin, _tekniikk, _littatta, 
   {{0x020003e7,0xd24a02d8,0x99e8003d,0xae4c02e2}},	//   _bukid_, _kyumin_, _alendada_, _apiarist_, 
   {{0xd3ad0339,0x42d804bb,0x33940387,0xf26c029f}},	//   _hāpai_, _plees_, _ubosi_, _synom_, 
   {{0x76030205,0x1b07005d,0x42ee0142,0x03120151}},	//   _комилов_, _frasáda_, _chindhi_, _bilboes_, 
   {{0xc92900af,0xb7bf010d,0x382700a4,0x105304d8}},	//   _ведення_, _इतिहासात, _بابالا_, _horseedn, 
   {{0x6e160071,0x2ca602fd,0xe2fc022c,0x1d06032d}},	// [65e0] _مطمئنا_, _chorraig_, _aingan_, _felletse_, 
   {{0x02d80135,0x08000041,0x063500c5,0x13cf001c}},	//   _gomer_, _амшхәаҧш, _新华网北京_, _neuvy_, 
   {{0x738601b9,0xc6b201fd,0xa25a01af,0x5395011c}},	//   _asorti_, _construy, _ajaly_, _dawsi_, 
   {{0xfc4f0745,0x0c6600d6,0xe5bb0227,0xbb0e00a4}},	//   _अमानवीय_, _cuntais_, _menambah, _химиялык_, 
   {{0xb9cd01cf,0xcc7d00de,0xad1b0226,0x32910265}},	//   _advertit, _ebusika_, _atengere_, _fraaie_, 
   {{0xfe510462,0x6fb101ef,0x1c4b0417,0x850b042c}},	//   _essagema, _стройную_, _gesterf_, _nastavio_, 
   {{0x52d8033a,0x89c100ae,0xc2fc03a4,0xa9cb0602}},	//   _sakemm_, _banezere, _gingin_, _fordomme, 
   {{0xb7a000c5,0x264a02fc,0x35430086,0x03ce019a}},	//   _赚教育的钱_, _babiterw, _munkaleh, _leivin_, 
   {{0x8b0a0045,0xf3b8002c,0x00000000,0x00000000}},	//   _наведено, _дамбадар, --, --, 
   {{0xca0a0165,0xafb60060,0xdd31023c,0x381c0162}},	//   _bulabula_, _фильмі_, _ملاصاحب_, _قازاسىنى_, 
   {{0x725a00fb,0x25fd02eb,0x1e8400d9,0x35ba0375}},	//   _edale_, _түвдэд_, _властей_, _chapelek, 
   {{0x92fc0227,0x32d80192,0xd353005e,0x713f008d}},	//   _dingin_, _zomer_, _گۇۋاھ_, _dasturxo, 
   {{0xa2fc03a4,0x025a0438,0x21700100,0x9200039f}},	//   _eingin_, _ndale_, _različit_, _armies_, 
   {{0xb2fc03dc,0xf291023e,0x23060135,0xb25a02a0}},	//   _fingin_, _kewan_, _ресурслы_, _idale_, 
   {{0x5c000040,0xc2d803d5,0xd9cb01e7,0x27250444}},	//   _במפשעות_, _anmee_, _begescht, _двускатн, 
   {{0x2246041a,0x39bf0145,0x014e0130,0xc45600ce}},	//   _однак_, _нягледзя, _hentelio, _travayan_, 
   {{0xd2d800fc,0x314e00f4,0xf2000076,0x92900227}},	// [65f0] _tomer_, _kentelio, _menina_, _cegah_, 
   {{0x32510047,0x6c1d03dc,0xe2020051,0x1819060b}},	//   _culturel, _uttangar, _toties_, _डेकोरेशन_, 
   {{0x9cb2039e,0xf362027b,0x50f30156,0x85f00040}},	//   _সংস্কৃতি, _acetasaḥ_, _לאווי_, _ומקבלת_, 
   {{0xc2d802c2,0x0d2e002b,0xfc730028,0xdb8c023d}},	//   _somer_, _রুহানির_, _jinsiga_, _уайнхаус_, 
   {{0xc29101c1,0xdd06018d,0x00000000,0x00000000}},	//   _hewan_, _rubrikën_, --, --, 
   {{0x773d0158,0x6ae901bd,0xa92104eb,0x127e02ca}},	//   _zapobieg, _жерасты_, _बिरजू_, _fainic_, 
   {{0x325a03db,0x05bc003f,0xb5d803d4,0xc1d701db}},	//   _adale_, _boyajlah, _обаме_, _грекия_, 
   {{0x025b03e8,0xe683079d,0xe1a201ee,0x00000000}},	//   _poglej_, _उल्था_, _мохьмад_, --, 
   {{0x82fc0516,0xa650027c,0x12fd00bd,0x869b00a6}},	//   _singin_, _سلطنتي_, _airgy_, _زردالو_, 
   {{0x9dbc00a1,0x538602ab,0x25760076,0x5fc00374}},	//   _matakite_, _ezoro_, _portanto_, _услубда_, 
   {{0x6c60037c,0xb2a603dd,0xa42e0077,0x62d80418}},	//   _occulta_, _kembet_, _ideyoloj, _temeli_, 
   {{0xea0a01fe,0xe120016d,0x669a0309,0x7f3a0287}},	//   _culacula_, _инсанниң_, _polislər, _turistů_, 
   {{0xd92f01cb,0x92d8045c,0xfc600179,0xf627012c}},	//   _enomthet, _pomer_, _temunan_, _uthibiti, 
   {{0x92fc00fa,0xe26c033e,0x817e01ee,0x187f0364}},	//   _tingin_, _ahecháma, _дарба_, _divisiou, 
   {{0x371b00ef,0x690502be,0x8e38038b,0x33dd0118}},	//   _summativ, _pananagu, _kehabisa, _akuwe_, 
   {{0x4ed50145,0xc0630244,0x2c7403a2,0xc3000428}},	//   _sovietin, _велингра, _उथप्पा_, _prenosov_, 
   {{0x020101fa,0x5325013a,0x2e96023d,0x78290361}},	// [6600] _tevita_, _mischii_, _costante_, _микроспо, 
   {{0xf26d013e,0x082e02cf,0xc4130208,0xe12d02c0}},	//   _izvor_, _оргии_, _قانده_, _панта_, 
   {{0x41340089,0x79d600d1,0xd20003fb,0x32000303}},	//   _алдылар_, _কণ্ঠটো_, _radile_, _gadime_, 
   {{0xea9102f3,0x82e200d6,0x0fc30263,0x998402fe}},	//   _fängelse, _adeirid_, _schipper_, _elokhuse, 
   {{0x82fe01bd,0x53600122,0x2344038c,0xaf4b0061}},	//   _корпусын, _blimbing_, _sredinu_, _미국산쇠고기_, 
   {{0x05c102d4,0xf20102d8,0x4bfd02e2,0x93a2044a}},	//   _probabel_, _devisa_, _anvennic, _ezipte_, 
   {{0x3320015e,0x12e9009c,0xe29101fe,0xbc54004d}},	//   _inscriu_, _aspinma_, _lewal_, _中國新聞社河北分, 
   {{0xdc96022f,0x82de021c,0x4037011a,0xb5440374}},	//   _занята_, _sklonku_, _גניקואונ, _ambitsiy, 
   {{0x5ee700f5,0xa0be0037,0x0eb9026c,0xbae800d9}},	//   _баранок_, _መዘገባችን_, _diversis_, _lurttine, 
   {{0x21f20272,0xdf6a00ed,0x00000000,0x00000000}},	//   _amenyaam, _magantos_, --, --, 
   {{0x77ac010f,0x99da004d,0x1cc2004a,0x13bb01a3}},	//   _фабрикаи_, _節能減碳系列講座_, _алышынды_, _وچڙندڙ_, 
   {{0xda9102f3,0x96a102d4,0x0680004d,0xd2010191}},	//   _händelse, _annunzch, _全都裝在肚子裡_, _bevisa_, 
   {{0x38cf0357,0x33f80176,0xcea60025,0x014000e0}},	//   _isausauv, _nobuo_, _रक्षांसि_, _eastergo, 
   {{0x31770211,0x8feb0128,0x2c300134,0x42d803d1}},	//   _месте_, _قسملرینی_, _ararẹ_, _domei_, 
   {{0x320e0354,0x79fa018c,0x6af70360,0xa65a00e6}},	//   _қалар_, _vacature, _dovednos, _买卖通指数_, 
   {{0xfcfb01d1,0x6bdf01a4,0xc6d300cb,0x64870036}},	//   _released_, _cimetier, _ababengi, _tríonóid, 
   {{0x0f230079,0xf56700bb,0x15e80076,0xf83e0185}},	// [6610] _komersan, _اڑیسہ_, _градскот, _липка_, 
   {{0x7b050066,0xd2010269,0x12e502fd,0x24c802ba}},	//   _алдарт_, _revisa_, _chunnic_, _дастнора, 
   {{0xc37f01d2,0x7200022f,0xf2fc0269,0xc30d030a}},	//   _achasta_, _galime_, _ningun_, _sinalar_, 
   {{0x22000139,0xeec50197,0xbade0023,0x6f240145}},	//   _salile_, _prizonye_, _лампы_, _цяжка_, 
   {{0x426d0285,0x65fe003c,0xdc520155,0xef6a00aa}},	//   _segiteri_, _مسلمانی_, _doktorn_, _nagantos_, 
   {{0x2570027f,0xa5a302d8,0xa2fc00c0,0x4e0601cc}},	//   _araturuk, _dipredik, _marikit_, _bhargeṣu_, 
   {{0x52fe0247,0xa2ca06ec,0xc698019d,0xc80903a2}},	//   _dirilis_, _fundou_, _anawasiy, _बरक़रार_, 
   {{0xa343009f,0xa2e00291,0xd39401a7,0x5f45002e}},	//   _namenom_, _dearcadh_, _saksan_, _dužini_, 
   {{0xd5080250,0xb200065f,0xf294008e,0x0ecb0258}},	//   _publikoh, _radije_, _bakkani_, _efterút_, 
   {{0x4c6a0235,0xbd2c0334,0x00000000,0x00000000}},	//   _कृष्णः_, _cilicose_, --, --, 
   {{0x725a0306,0xf3dc024a,0xa3c80025,0x3edf0233}},	//   _alila_, _akewi_, _प्रतिकर्, _dominias_, 
   {{0x24e80037,0x72c70524,0xac6d0177,0x961700ba}},	//   _የሩስያው_, _krumpir_, _chiripa_, _داگێرکه_, 
   {{0x4c540277,0xd67f0217,0x2b9a02a6,0xdc800187}},	//   _pautang_, _schemeti, _granitic, _левел_, 
   {{0x949a0192,0x3f8701ab,0x029001c0,0x32fc023e}},	//   _전자상거래등에서, _रामअवतार_, _aukawa_, _bingun_, 
   {{0xe98e0361,0xaf7001de,0xa2fd0261,0x00000000}},	//   _показало, _тереңдеп_, _decidus_, --, 
   {{0x44d40025,0xb2900211,0x563902af,0x8373041c}},	//   _अन्तरिक्, _mukava_, _biyikubi, _dogalee_, 
   {{0xe1e70012,0x5b690078,0x9a85006c,0x4f9b0279}},	// [6620] _चरभरउ_, _монопола_, _akuyikwe, _orienter_, 
   {{0x0fec0272,0xdc800242,0xe0c3002b,0x763d0041}},	//   _abayayan, _pişik_, _প্লীজ_, _иҷыдоу_, 
   {{0x2da8024c,0x96dd004d,0x93fa02c3,0x52fd014a}},	//   _attivita, _您是否準備了最完, _vstupe_, _joggal_, 
   {{0xfb84021b,0xca620163,0x2357023e,0x3f6600a6}},	//   _спрос_, _profilja_, _هاتیوس_, _bamabhun, 
   {{0xa30d000c,0xaffc0361,0x0a1401a4,0x137c023a}},	//   _pinamar_, _историко, _botamela_, _dizajne_, 
   {{0x62fa056e,0x39bf01cd,0x54aa014c,0x132006dd}},	//   _fachada_, _kwadinge, _azabalaz, _manyer_, 
   {{0x6c5304da,0xe66d00bf,0xce6c0208,0x4ed30045}},	//   _mostara_, _торговце, _لیپور_, _јеромона, 
   {{0xe27e0069,0x9af80092,0x82ca028e,0xcc090287}},	//   _isoni_, _特典に関する注意_, _handet_, _naposled_, 
   {{0x5a0504d0,0x27cc0228,0xb2000429,0xd9db020d}},	//   _sugsingq_, _forsamli, _orkid_, _arongera_, 
   {{0x39cc0247,0x91f8023e,0xd9420092,0x6b3500ba}},	//   _دهلیز_, _نقاله_, _forlyste, _پێچراوه_, 
   {{0xd24902ee,0xbc5b011b,0x0a6f0456,0x224a0003}},	//   _stampi_, _akutani_, _berganda_, _warmte_, 
   {{0x43cf0206,0xcad7024c,0x825a00fd,0xddab00aa}},	//   _stavia_, _battikat, _dealg_, _katungud_, 
   {{0xec4602d4,0x92ec0219,0x00000000,0x00000000}},	//   _cumponis, _kubikwe_, --, --, 
   {{0x62b5016a,0x42fc011d,0xb4220012,0xbd0602c2}},	//   _stacio_, _blogul_, _चुनबऽ_, _geslagte_, 
   {{0x71b002a5,0x1f200166,0xe51f03f3,0x8bd200ba}},	//   _usnesení_, _wanderun, _openluch, _کۆشێت_, 
   {{0xd3dd06b2,0x4637061d,0x21e60468,0xd200006f}},	//   _okuwa_, _тарихни_, _جاسوسي_, _rukia_, 
   {{0x59d70169,0x83f402f3,0x309600bb,0xe7b70296}},	// [6630] _নিশ্চিন্, _östra_, _کاکاخیل_, _religiös_, 
   {{0x37ea017d,0xb34101a9,0xf373044d,0x93e90137}},	//   _クラシック_, _aprenda_, _digante_, _ноёрхсон_, 
   {{0x725a019d,0xf3dd0043,0xd2ab0005,0xf2f2006c}},	//   _adali_, _akuwa_, _baldegg_, _аклат_, 
   {{0xcc3700a6,0x43f802c2,0xfa7b0037,0x021f0153}},	//   _شهيدانو_, _kobus_, _እንደጉድ_, _手数料について_, 
   {{0x67890135,0xd94d037b,0xca5301f0,0x29db0699}},	//   _мезозой_, _permitie, _gobelela_, _irondera_, 
   {{0x00000000,0x00000000,0x00000000,0x00000000}},	//   --, --, --, --, 
   {{0x02db0692,0x337303bd,0xfeb001d0,0x00000000}},	//   _акциясы_, _higante_, _sårbare_, --, 
   {{0x8ff6006d,0xf4220159,0xc64a03db,0xa341068b}},	//   _матросы_, _brazilij, _eyaziway, _abbeden_, 
   {{0x73f403c0,0x9287064d,0xe0b800c7,0x8f4a02e2}},	//   _mistet_, _pūhaka_, _аскан_, _bespecta, 
   {{0xa3f90298,0xe40f0335,0x0c6d0476,0x45390237}},	//   _korua_, _caujasā_, _chiropa_, _공사계약일반조건_, 
   {{0x025a02a5,0x8eec01b3,0x83ea02b4,0x82ee0097}},	//   _zdali_, _кредитні_, _imitsi_, _táyéwò_, 
   {{0x125a068c,0x207601ea,0x5e040060,0xa3f80411}},	//   _mlilo_, _کانسرتی_, _курстар_, _anbud_, 
   {{0xc3f802c2,0xaf7a0311,0x69430481,0x16ea04ac}},	//   _cobus_, _ክንግደድ_, _alblasse, _яйцеклет, 
   {{0x127e0022,0xd2900082,0xa9db02af,0x2f7800e4}},	//   _tsona_, _legas_, _arondera_, _कामदेवी_, 
   {{0xa200001e,0x23130287,0x2af201b6,0xd584005a}},	//   _bukin_, _काउन्सिल, _preferab, _dudellah, 
   {{0x82d900b1,0x7e1f00ad,0x438700ee,0xc1bd004d}},	//   _ligers_, _pangacap, _librea_, _加入松鼠窩_, 
   {{0xb25a019d,0x237f02e8,0xe20901db,0xc27e00f2}},	// [6640] _udali_, _achaita_, _تاسىعىشت, _asinis_, 
   {{0xa2d800bd,0xc85901c0,0x5bb00348,0x13f901f0}},	//   _flees_, _disambar_, _akakulir, _borua_, 
   {{0xdbb101fb,0xa2910358,0x8a7e0225,0xd75200be}},	//   _projecto_, _adwat_, _rabatara_, _توقدوتچۇ, 
   {{0xa2ca013d,0x33960088,0xee3501e9,0x967f020f}},	//   _sveda_, _fossin_, _kopangwa, _همغسې_, 
   {{0xc628018b,0x03eb0274,0xc2250205,0xf0ef0084}},	//   _licitati, _barnavör, _ustki_, _balakbak_, 
   {{0x23630552,0x31de0144,0x0b87048f,0xdaf40147}},	//   _bangcoh_, _agallaim, _dokotolo_, _دئۋانعا_, 
   {{0xafb40044,0x49370041,0x425600e5,0x8f4a01d1}},	//   _האסלאם_, _агәеилга, _атентато, _respecta, 
   {{0x8b8700ff,0x834d0013,0x435b0204,0x43ea01e1}},	//   _הױפּטשטא, _назарига_, _blogeja_, _laktse_, 
   {{0xa96900bf,0x4c7e0075,0x3200033a,0x00000000}},	//   _продвига, _fyrstan_, _irkib_, --, 
   {{0x5aa90244,0x9b600083,0x9b6d0513,0x42ff006f}},	//   _белене_, _acceptan_, _khathala_, _مستعفي_, 
   {{0xa3f801f4,0xc9fa0184,0x52000211,0xefdb0082}},	//   _bobur_, _butabere, _lukio_, _hauhawar_, 
   {{0xb29001d9,0x6e0103b0,0x7290012c,0x78e500c5}},	//   _jegas_, _balestra, _kukata_, _如因作品内容_, 
   {{0x52d80067,0xd2e7005f,0x00000000,0x00000000}},	//   _alees_, _piensan_, --, --, 
   {{0x3ff400de,0xed8100c1,0xf4030007,0x3a080334}},	//   _awayezin, _perempat_, _kotombok, _kukavina_, 
   {{0x5ed2002e,0x739500dd,0x00000000,0x00000000}},	//   _uvođenja_, _macsen_, --, --, 
   {{0x19680244,0xdd2b0065,0xc683015d,0x7d9d013f}},	//   _accoglie, _versproc, _नाराज़_, _dislonka, 
   {{0xf34e001a,0xae390006,0xe3a20071,0x2291002a}},	// [6650] _emberek_, _kehadira, _adopsi_, _kewaa_, 
   {{0xb2000057,0xdb7c0462,0x54860595,0x58d4026a}},	//   _arkib_, _uncollec, _भुटानी_, _niusivev, 
   {{0xcf310020,0x1200036f,0xa0f704df,0x429102a0}},	//   _faisauva, _zenica_, _ahlaksyz_, _mewaa_, 
   {{0x6bb901e0,0xa9fc000a,0x8ca100be,0x22900050}},	//   _کاریکاتێ, _angallat, _اكىمسىنگ, _pegat_, 
   {{0x72a1029f,0x536f00ec,0x73df0269,0x56a70195}},	//   _pravidlá_, _vertinim, _cambió_, _giorrach, 
   {{0x427e0673,0x42ba055f,0x62b70037,0x163701b5}},	//   _isono_, _kendisi_, _ገልፀውልናል_, _edyondzw, 
   {{0x19e3019e,0x72900057,0x4394039e,0x00000000}},	//   _новага_, _gegar_, _vaksen_, --, 
   {{0x2200005b,0x76950258,0x87e300b3,0x561f0044}},	//   _yukio_, _eastenry, _arkanlyg, _unsolici, 
   {{0x3290017e,0x3b020139,0xd25a0403,0xc3950120}},	//   _regas_, _श्रीभैरव, _adalo_, _kawsi_, 
   {{0x027d03b8,0xb2900130,0x9a6602a5,0x4dc00218}},	//   _саналады_, _zegas_, _sedáku_, _arginsma, 
   {{0xa2000264,0x929204bf,0xa2900179,0xa53c020e}},	//   _senica_, _zapadu_, _yegas_, _солтанба, 
   {{0x8f4b0222,0xf3a301eb,0x4e010076,0x98aa0041}},	//   _consomma, _estrenái, _palestra, _рымҧсахӡ, 
   {{0xcf9d01f6,0x883900c7,0x4d9a011e,0x034103ba}},	//   _আঞ্চলিকত, _ictimaği_, _gratitid_, _medenan_, 
   {{0xefdf057d,0x1b77033e,0x04490405,0x00000000}},	//   _najvažni, _арханы_, _поточний_, --, 
   {{0x43330192,0xcd70014f,0xa6670023,0x7201007b}},	//   _xxxxxxxx_, _острва_, _пасибо_, _dreids_, 
   {{0xe2020030,0x42000278,0xa0f6028d,0x88c100da}},	//   _doties_, _mukim_, _imobiliz_, _уйтаци_, 
   {{0xa290012a,0x625a049e,0xd2bb01c4,0xd2fc00bd}},	// [6660] _zegar_, _zdalo_, _bunette_, _hingin_, 
   {{0xad120192,0x42900488,0x3f6402ba,0xa22b028b}},	//   _클라이언트_, _segas_, _akaphika, _haimete_, 
   {{0x08ab0047,0x198103ea,0x10360066,0x0fcc0037}},	//   _第三十一条_, _rapideme, _энергийг_, _የሚመነጨው_, 
   {{0xf2d70061,0x50d20061,0xa27c012e,0xcd030291}},	//   _하나로텔레콤_, _대한민국에서_, _legendáj, _إدمان_, 
   {{0x2d740061,0x3e4601e8,0x12fc00ed,0x7905011f}},	//   _라그나로크_, _gidalada, _lingin_, _kokatugu, 
   {{0x8c5c0169,0x929d04e3,0x39fd034e,0x1eb7046f}},	//   _বৃন্দ_, _voljela_, _ausangat, _betraffe_, 
   {{0xb25a023c,0x73ce000d,0x00000000,0x00000000}},	//   _alile_, _vaeva_, --, --, 
   {{0x382804ae,0x121d03ce,0xd1620037,0x65a900a6}},	//   _центра_, _وجاره_, _ተነሥቶአል_, _ebisolok, 
   {{0xa24a012b,0x9db701ca,0x96a5002b,0x8808006f}},	//   _firmie_, _hudheyva, _ইনিংসে_, _مڪروه_, 
   {{0xb20203eb,0x00380089,0x00000000,0x00000000}},	//   _matige_, _birgesez_, --, --, 
   {{0x00000000,0x00000000,0x00000000,0x00000000}},	//   --, --, --, --, 
   {{0x629003b0,0xa341013d,0x8eb000ba,0xba040209}},	//   _vegar_, _objekto_, _ئالێره_, _allatsit, 
   {{0x57bb023d,0xd0510074,0x19970108,0x35810041}},	//   _останали, _историю_, _nanyakeu, _иацҵоуп_, 
   {{0x5e7901cd,0x53d50388,0xf73a0037,0x8db90243}},	//   _порча_, _contatti_, _ተዋናዮች_, _karaamat_, 
   {{0xfcf2001a,0xd200033d,0xbf6602a7,0xdc680154}},	//   _عالمی_, _oblije_, _kamadaun, _петрек_, 
   {{0x486d0334,0xe3f90013,0x72a0001e,0x22b4005f}},	//   _akangaud, _yorug_, _karbar_, _juicio_, 
   {{0xc2ca04c9,0x7bba0092,0x83f90092,0xbae80127}},	// [6670] _pwede_, _名称を絞り込む_, _forud_, _dezougen_, 
   {{0x02900768,0xe3aa009a,0x0aac0095,0xa20102b0}},	//   _pegar_, _abavele_, _arekedan_, _freies_, 
   {{0xb3dd061e,0x3ea200d8,0x95a4002b,0x45e300ef}},	//   _aiawan_, _mesurant_, _জ্বলবে_, _اوبالاخر, 
   {{0x638d0399,0x387f0061,0x430c005f,0x5e470068}},	//   _gggggggg_, _구매포인트_, _pedales_, _intabada, 
   {{0x034101fb,0x0d840218,0xdf630298,0x45cc020e}},	//   _obretta_, _amplessa, _maungapō, _ikhakany, 
   {{0xeac00285,0xc6080022,0xb10701a3,0x114c005b}},	//   _kwikinis, _каруанһа, _ورڪرز_, _afbestil, 
   {{0xefac0153,0x130d02f1,0x22ca01c4,0xeebb0311}},	//   _をしてください_, _ligados_, _vandat_, _ዘሕለፈን_, 
   {{0x90cb039d,0xf27e0199,0xc3cf02d0,0x7b2003dd}},	//   _kokodzel, _rinnai_, _leavin_, _panairin_, 
   {{0xba040428,0xfdaa0344,0xc25a0262,0x07cf00f3}},	//   _družbe_, _aguilera, _abilow_, _isiswahi, 
   {{0xe2d902c2,0xaf25025e,0x0bc70145,0x3f36003c}},	//   _engels_, _notendan, _продажы_, _blastera, 
   {{0x63410292,0x40df026f,0xea0a0085,0xe5560037}},	//   _betenaa_, _اكەتشى_, _kulakula_, _አደርገዋለሁ_, 
   {{0x539d03a1,0x42020175,0x0bc400ba,0x59ad00ba}},	//   _rispondi_, _fatige_, _ئنگلته_, _بچۆژووره_, 
   {{0x3ad000b9,0x7a930041,0xb81e0148,0x0b6601c9}},	//   _keamanan_, _аорден_, _水瓶使壞招數超高, _कहतनी_, 
   {{0xb03906c3,0x00000000,0x00000000,0x00000000}},	//   _injeksjo, --, --, --, 
   {{0x8a0a0182,0x434a01a3,0x8a140077,0x00000000}},	//   _hulahula_, _درٻيلي_, _ispayola_, --, 
   {{0x42910638,0xcf0c0705,0x66cd0155,0x8a690311}},	//   _usikker_, _sábados_, _befattni, _ክፈትሖም_, 
   {{0x327e0329,0x0272002e,0xddbd02b6,0x4e150241}},	// [6680] _sinny_, _izgradil, _راستاعان_, _fageenna, 
   {{0x8a3f01d5,0x9373033e,0x5509020f,0x4be0034c}},	//   _علیھم_, _angaite_, _دېرشمه_, _citenker, 
   {{0x2b810040,0xc0130059,0x73940074,0xca1c01d2}},	//   _aerospac, _футболна_, _maksan_, _educasqa_, 
   {{0x6a02023b,0x2a2a0066,0x230d0294,0xbda201e0}},	//   _hadadeze, _долларыг_, _angamos_, _خاونی_, 
   {{0x727e005b,0x038c0149,0xb29000b0,0x1e440094}},	//   _winny_, _anyaụfụ_, _tegay_, _медаліме, 
   {{0x46450026,0x5b6f0037,0xd036015e,0xfcee02cf}},	//   _소프트웨어_, _ለማደናቀፍ_, _سىبىرىيا, _вроди_, 
   {{0x49af0040,0x0e390115,0xeb0a05da,0x00000000}},	//   _ומבלי_, _kehazira, _mensuale, --, 
   {{0x40d3023d,0xf3f90288,0xd0ea00de,0x8e730171}},	//   _гласа_, _dorum_, _ګریوان_, _nečiji_, 
   {{0x9692026c,0xf226024a,0x4da1000a,0x0d220195}},	//   _部落格求助_, _abuké_, _haarsted_, _seorsaic, 
   {{0x15bb0227,0xd365019c,0xd5be0076,0xcadf0065}},	//   _penambah, _gbegban_, _трага_, _niedrigs, 
   {{0xe2ea0166,0xeea60464,0xe34b010d,0x4ae600d1}},	//   _risiken_, _butumire_, _kelewat_, _দোকানত_, 
   {{0x025a0279,0x26830307,0xed93027e,0x101a0126}},	//   _toile_, _basekori, _позвала_, _народним, 
   {{0xfaa5003f,0x88c002a4,0x32e90100,0x0ea10244}},	//   _dachlahb, _interitu, _pomisao_, _cartucce_, 
   {{0x7c1900bf,0xd4c3009a,0xf9d9023c,0xaa040249}},	//   _предоста, _همسايه_, _چوپتیا_, _lagaroit, 
   {{0x1cdc004d,0x225a005b,0x4c6e0098,0x0c5d0020}},	//   _下員林交流道_, _huller_, _imorgen_, _liutino_, 
   {{0x22e700c9,0xd453020a,0x525a00db,0xf386010a}},	//   _diendan_, _діндар_, _kuller_, _hijraa_, 
   {{0x57e60159,0x16150040,0x041c00dd,0x097b02e4}},	// [6690] _смуга_, _וודאי_, _choginio_, _hephaste, 
   {{0x86a70032,0xf7a90041,0x94630041,0x14ac0188}},	//   _angrupch, _беикери_, _знӡаскгь, _консулга, 
   {{0x72c10303,0x5287018e,0x4c3602b6,0x76270059}},	//   _atolosa_, _dzikise_, _гектарға_, _баркод_, 
   {{0x6ba90061,0x2bcd01db,0x728003f2,0xb224029b}},	//   _농촌진흥청_, _паспорты_, _твиттере_, _mbokka_, 
   {{0x02bb010b,0x230201fe,0x63000133,0xd2f30061}},	//   _aenease_, _denarau_, _albamii_, _공연이벤트_, 
   {{0x92ba038e,0xa4980258,0xdf27038e,0x127e05da}},	//   _kondisi_, _eroatysk, _dikenaln, _opinas_, 
   {{0x326e0124,0xa2900402,0xc34202da,0xb90d00d9}},	//   _doroko_, _rekaan_, _sucesso_, _доставко, 
   {{0x13f90257,0x5c380570,0xa56600ac,0x8290023b}},	//   _vorum_, _अनुपालन_, _životno_, _pukapa_, 
   {{0x83b400e4,0xb86201da,0x430901c5,0x23f902c7}},	//   _बहिर्मुख_, _emancipu, _khubaro_, _worum_, 
   {{0xce9b0305,0x579d014d,0x5d0a04ec,0xe97900ff}},	//   _statlege_, _distanzi, _batorere_, _balzamad, 
   {{0x77b30338,0x641b00bb,0xa2f301a6,0x420400d1}},	//   _emorragi, _خرابیاں_, _hikareti_, _বিচাৰিছো, 
   {{0x9ea901ec,0xabb40052,0xe4e80037,0xe26e019f}},	//   _سرنوشت_, _व्यंग्या, _በማስያዝ_, _porojo_, 
   {{0xa6c80045,0x126e02f7,0x696501ff,0xe2040455}},	//   _глобално, _boroko_, _porozume, _colissim, 
   {{0x3379003a,0x55e403db,0xb39f01cd,0x7a07010e}},	//   _бермай_, _ekuchith, _абдувалӣ_, _dinadaya_, 
   {{0x2dbe0241,0x73680145,0x8938003c,0x00000000}},	//   _bilibila, _jungtis_, _کوکوها_, --, 
   {{0x3dc00051,0xd9c6012e,0xc0590311,0x00000000}},	//   _policija, _kitekint, _ተዋሒጦም_, --, 
   {{0x3f340133,0x42120334,0xe593004d,0xa21d0161}},	// [66a0] _abdulnaa, _bekha_, _居者有其屋屋苑_, _графикой_, 
   {{0xd79d01d4,0x529200f5,0x634b0456,0x13260162}},	//   _distinzi, _abraý_, _selewat_, _باقىلى_, 
   {{0x4ad2024c,0xa25a03db,0xe2c60189,0x23ea00f4}},	//   _bartolet, _hlala_, _devlete_, _fritez_, 
   {{0x0e5002c2,0xd4a80265,0xa984002b,0x11f300e6}},	//   _vakansie_, _digitaal_, _গাবতলী_, _级别描述与适用对, 
   {{0x6394001c,0xd1bf0048,0x9d1b0096,0x5f29020e}},	//   _taksin_, _atamanyi_, _arengere_, _байкерҙа, 
   {{0xa29004c3,0x659802d4,0xde50015d,0x62ba00c1}},	//   _ngoai_, _existenz, _idealnie_, _pondasi_, 
   {{0x321c0578,0x325a0007,0x00000000,0x00000000}},	//   _asthiv_, _elili_, --, --, 
   {{0x59db05a9,0xd3010124,0x294900d1,0xcdbf01fa}},	//   _irongera_, _mambere_, _এবষ্ট্ৰে, _kilisima, 
   {{0xd35b0220,0x3c04003a,0x6d4e0086,0x8f89019b}},	//   _singola_, _asosini_, _محکمۂ_, _балотнаг, 
   {{0x8d8d01f0,0xf1ca026f,0x2369045e,0x00000000}},	//   _dikopora, _رۋمكا_, _донякъде_, --, 
   {{0xe2fd041c,0x0fad0260,0x951902c8,0x09670294}},	//   _coggal_, _demostro, _aparello_, _chinpajt, 
   {{0xee26047f,0x6c1c0127,0x99e502af,0x00000000}},	//   _बहुविवाह_, _questemb, _nkundira_, --, 
   {{0xf3030088,0x1517015d,0xd26e005b,0xf26e009f}},	//   _ocupació_, _सन्देह_, _hiroto_, _poroko_, 
   {{0x7e4a01b2,0xd2010286,0x97460040,0x086201db}},	//   _canaille_, _otsia_, _דייויד_, _جوقتىعىن, 
   {{0x725a0182,0x3292079e,0xe3ea01eb,0xeed00158}},	//   _elala_, _japanu_, _britez_, _policyjn, 
   {{0x0c2900fe,0x22ca03d9,0x47660022,0x429000e2}},	//   _ekisotos, _mandre_, _табылһа_, _lekkens_, 
   {{0xd91e01ce,0x335b0320,0xde5403bf,0x325a04bd}},	// [66b0] _دلایل_, _cingela_, _borameha, _ulili_, 
   {{0xa6200021,0x583600ec,0x522b0298,0x62ff0378}},	//   _examplew, _жанрах_, _waimate_, _umsitur_, 
   {{0x62ca0409,0xe305012b,0x692c0320,0xc29002e4}},	//   _vandet_, _pokazuj_, _etimbuwe, _arkata_, 
   {{0xab180089,0x4a1e00cb,0x8a5c020e,0x149900bb}},	//   _algannan_, _филиз_, _dingolwa_, _شہسوار_, 
   {{0x525a0265,0x4c6e0194,0x830100a9,0x17e701ab}},	//   _clala_, _regreta_, _hambere_, _बेमरिआ_, 
   {{0x02ca0117,0xf200023e,0x703202a6,0x120001e5}},	//   _kandre_, _abdine_, _sortiren, _lojiji_, 
   {{0x0f4804ca,0xbf34023e,0x425a04bd,0x87ec0050}},	//   _boussole_, _katranga, _loila_, _bekameng, 
   {{0x79330169,0x21dc04ac,0x3b82009f,0x00000000}},	//   _কেন্দ্রে, _клубе_, _govorijo_, --, 
   {{0xd8bb00d3,0x0bc70035,0xc49502ed,0x94cb027b}},	//   _उत्सर्जन, _сайлана_, _soportal_, _ञ्निति_, 
   {{0xdc6e0099,0xf2e600ad,0x3b200403,0xedc000ec}},	//   _akarapa_, _paingan_, _ankadimb, _sodinima, 
   {{0x12e801f4,0x92d4015e,0xad2f0044,0x18fe02af}},	//   _nomidan_, _envolta_, _artifact_, _karazind, 
   {{0xbaca0287,0x92d8033d,0x8d000409,0x76370012}},	//   _भुमरीमा_, _enmen_, _rammerne_, _बोलहिं_, 
   {{0x93630062,0xf2240150,0x4a8d0059,0x6db60343}},	//   _bangjoh_, _atikol_, _изберем_, _katipiga, 
   {{0xf3790072,0xad2902fe,0x39b10109,0x56a2017a}},	//   _sipansa_, _ayagqugq, _odpadní_, _asathuth, 
   {{0x53db00cf,0x92770156,0x82ca0139,0x3e010113}},	//   _arguutti_, _פסכילאגי, _candre_, _spleodra, 
   {{0x34b9010d,0xaa0a0429,0x6a88004d,0xe48c00ec}},	//   _फॉरेस्ट_, _tatatert, _可得紅利積點_, _amerikoj, 
   {{0xf21202c8,0x73860177,0x80450141,0xa2000121}},	// [66c0] _pecha_, _arory_, _abdumann, _sucia_, 
   {{0xcc600006,0x4ecc021c,0xc69e01f4,0xc28d00a5}},	//   _temukan_, _mobilman, _умуртқа_, _umukuka_, 
   {{0xf2900719,0x4c520214,0x3202033d,0x0dfb02ac}},	//   _ngoan_, _abathwa_, _batize_, _برادلي_, 
   {{0xd1d7000c,0x6ed0022b,0x730e03ac,0x8c600304}},	//   _lamenxay_, _fryntarn, _rabbnya_, _cemuhan_, 
   {{0xed2302c2,0x98cd02d3,0x90010061,0x4bb3016a}},	//   _kleinste_, _revestid, _유니온스틸_, _bonkorec, 
   {{0xc2000095,0x325a023b,0x44d002ba,0x9292000b}},	//   _menika_, _olilo_, _қадимӣ_, _papanu_, 
   {{0xad1d00d9,0xac6103b2,0x57b4012e,0x00000000}},	//   _домохозя, _accrued_, _ökumenik, --, 
   {{0x8f9a0192,0xa96d01d2,0xadc600ba,0xfc5d0105}},	//   _지식포인트_, _chaimant, _وێبڵاگی_, _zbytnio_, 
   {{0x15a506ae,0x730500ba,0x525a020f,0x397d0009}},	//   _variació, _برۆکسل_, _alilo_, _socialne, 
   {{0x2202011b,0x7da700cb,0xc2f302e4,0xe1130411}},	//   _batiye_, _angomaha, _immirat_, _сюжеті_, 
   {{0x5d1b023d,0xfd160065,0xafd90185,0xa20101b8}},	//   _prendere_, _solltest_, _минимумы, _otsin_, 
   {{0x825b018a,0xa2e100c1,0x2ae902eb,0x7c5b0044}},	//   _tabled_, _एकटीच_, _хольц_, _assured_, 
   {{0xaf56027a,0x00000000,0x00000000,0x00000000}},	//   _sunarodn, --, --, --, 
   {{0x3c190079,0xef14032c,0x19ce02a4,0x39c600f6}},	//   _dienestu_, _alutorsa, _senectut, _videofot, 
   {{0xe5470207,0xcf690209,0xadb3000e,0xa18f0021}},	//   _لاتعداد_, _alianarn, _innascet_, _annahhay_, 
   {{0xf7cc04d7,0x025a0403,0x93410205,0x02ce00f4}},	//   _laugaveg, _alaln_, _aprelda_, _benoded_, 
   {{0x8f6e00c5,0x93f903ba,0x3a2102ac,0x1947005f}},	// [66d0] _遵守国家有关法律_, _morun_, _الضخمة_, _adjuntar_, 
   {{0x86410420,0x512d0192,0x6a0d0297,0x22f001da}},	//   _стори_, _박스오피스_, _физиканы_, _saliasi_, 
   {{0xdc6e0261,0x6b190035,0x036f0202,0xdfb202ac}},	//   _forumoj_, _yaratkan_, _baptisim, _بدعوة_, 
   {{0xe286048c,0x0c670144,0x96290348,0x8b230137}},	//   _ducking_, _cuntair_, _ayanguyi, _сувилгаа_, 
   {{0x8ba4024a,0x06d00061,0xe93e013a,0xcee70087}},	//   _alakober, _것이었습니다_, _heimadde, _mpikizan, 
   {{0x01e602ac,0xc20104aa,0x195d022f,0x08470162}},	//   _قانونية_, _atsin_, _vieninte, _сапаси_, 
   {{0x73f90052,0x5ec8055c,0x7e190541,0x00000000}},	//   _korun_, _butikken, _decenija, --, 
   {{0xf29e011d,0x78c902ba,0xddf10041,0xdb6e0135}},	//   _бинар_, _тирандоз, _данҭарк_, _bastılar_, 
   {{0xaa7f0282,0x59c7017a,0x03f9015c,0xc30f00a6}},	//   _parapara_, _садама_, _dorun_, _bambiso_, 
   {{0xd95f0057,0xe9fd006f,0x520e01bd,0xe30c00d9}},	//   _በአካውንቲንግ_, _kuchagua_, _салар_, _ottanut_, 
   {{0x62d801b9,0x1d0c0485,0x0b7e0165,0x381e016d}},	//   _dimen_, _formålet_, _kaburaka_, _сатмақчи_, 
   {{0x76b5015d,0x9b540069,0x3dd80041,0xc92701c7}},	//   _komentow, _ahamagar, _арџьармч, _гышартма, 
   {{0xd3050404,0x02090276,0x926c012c,0xc3f40259}},	//   _magorong_, _تاجىكىست, _ukiona_, _ristet_, 
   {{0x08420246,0xf603018b,0x02d80074,0x0dbe0013}},	//   _добрите_, _кастаниу_, _nimen_, _zahirala, 
   {{0x2333017d,0x42d90212,0x92ec0223,0x0200010b}},	//   _xxxxxx_, _ingens_, _betiere_, _dijiti_, 
   {{0x57610238,0x37bf002e,0xa7d80274,0x82ca0155}},	//   _твори_, _sportski, _patreksf, _landat_, 
   {{0x025f0091,0xd3dd009a,0x11630205,0x23cd002b}},	// [66e0] _mauttail, _akuwo_, _бузуқ_, _অপরিকল্প, 
   {{0x0d1e0026,0x8b5b01c6,0x0e480092,0xf25a0144}},	//   _애니메이션_, _orkesten_, _情報を記憶_, _boilg_, 
   {{0x3c9f005a,0x2e6300f2,0x63ce01f9,0xf2000156}},	//   _dabejchu_, _skandinā, _dzevu_, _apliku_, 
   {{0x530c0121,0x00000000,0x00000000,0x00000000}},	//   _deberá_, --, --, --, 
   {{0xb3020165,0x407402a6,0x82d802ef,0x208a00d0}},	//   _kenadau_, _marcanto, _fimen_, _шакираги, 
   {{0xe3cf028a,0x935b0124,0x4a790163,0xdb740724}},	//   _nguvu_, _mingala_, _آواران_, _labranza_, 
   {{0x835b011b,0x092001ab,0x2f2701af,0x829000f4}},	//   _lingala_, _मनीआर्डर_, _меканына_, _beskont_, 
   {{0x56f70361,0x5b2d01d4,0x32d80092,0x0ae20395}},	//   _шириной_, _appacias, _sneen_, _žalovaná_, 
   {{0xed0203dd,0x7740038b,0xc280010f,0x160103ce}},	//   _analizat_, _pemotong, _akukaze_, _کۆرسه_, 
   {{0x14a7016f,0xb108014a,0x72840107,0xd320038e}},	//   _благоуст, _liberáli, _budhalo_, _manyar_, 
   {{0xf5b5033a,0xadb804a4,0xac6a0235,0x93f901e9}},	//   _kompetiz, _artighea, _कृष्णौ_, _loruo_, 
   {{0xbeb90057,0xede90101,0xf35f0320,0xa28c026f}},	//   _ትመላለሱ_, _ынкисэ_, _fungene_, _جەتۋدىڭ_, 
   {{0x9dc4021c,0x01a6027b,0x70510040,0x04d70035}},	//   _dominuje_, _मूलमन्त्, _בדרגה_, _басасы_, 
   {{0xc2d806ea,0x035d01f0,0x0fe40059,0x130d04ca}},	//   _valeiz_, _diegang_, _mediazio, _biganos_, 
   {{0x6e0b0035,0xf3f402c2,0x3cd90162,0xd212026b}},	//   _galereya, _botter_, _زوردۇن_, _pecho_, 
   {{0x42d901d9,0xb21c012c,0x435f03db,0xae55020f}},	//   _roueg_, _kashif_, _kungene_, _بوګتي_, 
   {{0xbf5e033b,0xbc7700a1,0x9703027b,0xd2d6046f}},	// [66f0] _bahlakiš, _hauraki_, _मानदण्डः_, _eurozon_, 
   {{0x4eb002d3,0xf92901b3,0x43fd00a6,0x00000000}},	//   _зборови_, _причинам, _binzana_, --, 
   {{0xb29001c5,0x1212026b,0x429002e2,0xe2d4001b}},	//   _degay_, _techo_, _aggad_, _bifoota_, 
   {{0x28e90162,0xe5aa009a,0xe2d801c9,0x83730258}},	//   _бастурид, _abasolok, _nimel_, _bedarje_, 
   {{0x1f5503cf,0x2e00044f,0xef69038b,0xd20003ad}},	//   _kampanya, _diberita, _membayan, _hijiex_, 
   {{0x92240116,0x1b190386,0x55ac03a2,0xea0d04b3}},	//   _milked_, _harapkan_, _बालतल_, _digalone, 
   {{0x23210222,0xe20102d5,0xb2f001f4,0xe2d4018f}},	//   _inscrit_, _otsib_, _radiosi_, _desdaj_, 
   {{0xc29002fa,0xf3420121,0x02f001d5,0x4ae7013d}},	//   _rukara_, _parecen_, _etnikai_, _bierfare, 
   {{0x0c700388,0x2abc023d,0x020200ec,0x185c01d9}},	//   _persone_, _министър_, _norisi_, _kräfteg_, 
   {{0xf8fa000c,0xb92d017a,0xca270188,0xc278015e}},	//   _абаллонқ, _подхалим, _диабети_, _tornen_, 
   {{0x17040220,0xd4e80037,0x005005af,0xa41d005b}},	//   _уведомет, _የሚለካው_, _blagovao, _takahiro_, 
   {{0xbdb9043f,0xd2d902c7,0xd28604a5,0x4c6104e1}},	//   _jedinica, _eigens_, _nabafazi_, _apsurda_, 
   {{0xe785003e,0x4188010b,0xa25a00da,0x8fc300df}},	//   _гузель_, _boramatl, _noile_, _diminuer_, 
   {{0x53dc01d1,0x2e870300,0xabf401df,0x62020357}},	//   _browse_, _kalkulač, _mistress, _coriti_, 
   {{0xb2000085,0xc3410514,0x9212018b,0x9dbb02bd}},	//   _bojini_, _abjekto_, _veche_, _chynalia, 
   {{0xb28e002f,0x84a30061,0xfd2c0315,0xc6d30096}},	//   _akrayanm, _韓國審評會_, _aphikise_, _ababungi, 
   {{0x79fb00a5,0x0b6700ad,0x57470019,0x22d80195}},	// [6700] _fakatuat, _jenengan_, _сирияны_, _gliean_, 
   {{0x265a026f,0xa2fb01f9,0x017e0243,0x12b602b0}},	//   _تىڭنان_, _bashada_, _managill, _flucht_, 
   {{0x085c008d,0x742000b9,0xd2d803d7,0x53f800ad}},	//   _shuningd, _dikirimk, _limem_, _anjuk_, 
   {{0xf0c8018d,0xf38603e6,0xf2fe01d7,0xb3000255}},	//   _ዝተዓብለለ_, _redrum_, _vargai_, _परतिस्ठा_, 
   {{0x525b0082,0xec530016,0xbdbf028f,0x625200da}},	//   _adalci_, _doktoro_, _pahupahu_, _partidel, 
   {{0x7c6f0434,0xd6c8004b,0xf25201f4,0x4a080015}},	//   _clarín_, _dipapadi, _qullarni_, _annagana_, 
   {{0x8c7000b7,0x23990100,0x00000000,0x00000000}},	//   _bersene_, _izražava_, --, --, 
   {{0x6f820158,0x92d9008c,0xe2e9033a,0x326c00e2}},	//   _चस्का_, _aigens_, _elenkat_, _gehoar_, 
   {{0xc2e800ca,0x725a02ca,0x93f80193,0xd291046f}},	//   _limitan_, _coilm_, _unjuk_, _apaart_, 
   {{0xdf4b0381,0x903000f8,0x00000000,0x00000000}},	//   _ansporta, _সৈনিকদের_, --, --, 
   {{0x0e0b0229,0xdc700127,0xf39401ab,0xd6940355}},	//   _qalereya, _berranv_, _maksin_, _steelmai, 
   {{0x621202ff,0x0fd1009a,0x326c0305,0xead10183}},	//   _seche_, _دقربانيا, _uformell, _adidints, 
   {{0x321202ef,0xc25b06b4,0x138600a1,0x43f90465}},	//   _peche_, _lwelwa_, _epora_, _borut_, 
   {{0x026d0476,0xf3e90113,0xc17e01da,0xffc904b2}},	//   _akaoma_, _يقتصر_, _zanafill, _atensiyo, 
   {{0x325a0144,0x024b00c1,0x9a03072c,0x0d730187}},	//   _poill_, _karoseri_, _debatida_, _боцвана_, 
   {{0x4dad028b,0x35a803c6,0xf48b01c8,0xd294019f}},	//   _бџьарла_, _biografy, _zaplatil_, _alikiri_, 
   {{0xa892032d,0x5af20199,0xc2a6043a,0x34ba001a}},	// [6710] _отличник_, _vbcredit, _gulben_, _فرانسس_, 
   {{0xb7eb00a5,0x7a7a0219,0x6a100032,0xd29b00bb}},	//   _fakateag, _badzimat, _hijachme, _کھجوریں_, 
   {{0xa2e60160,0xc3ea01d1,0x44ab0082,0x91980037}},	//   _ženama_, _filter_, _zamantak, _ወንበዴዎች_, 
   {{0xc30702bd,0x0a7d0044,0x8c1b0013,0x82920544}},	//   _helaeth_, _virginia_, _jihatlar, _lapaau_, 
   {{0x4c5f03ff,0x12880353,0x52020226,0x7f5903fb}},	//   _systém_, _divoké_, _batile_, _ispaljen, 
   {{0x53f90310,0x62020439,0xeda6036a,0xf2010045}},	//   _dorus_, _catile_, _lasulasu_, _devica_, 
   {{0x0c690625,0xd70200a4,0x494d0265,0xec76015e}},	//   _preteky_, _турмушту_, _verlieze, _قوشموقچۇ_, 
   {{0x62aa0220,0x8da3000d,0xd9e80750,0x56670237}},	//   _самоубий, _kadrioru_, _grafikke, _가맹사업거래_, 
   {{0x2a7f0298,0xbd3c00e0,0xc26d023b,0xd297030f}},	//   _taratara_, _berntsje_, _okaoka_, _kawariki_, 
   {{0xb2000013,0xfbb400e4,0x62d8015d,0x528401e8}},	//   _erkin_, _विद्वानो, _numery_, _bashaon_, 
   {{0x5248046d,0x57290297,0x325b00a0,0xdad80229}},	//   _dzime_, _лишайник, _adalai_, _aliminin_, 
   {{0x3742052d,0xc24900fe,0x1b8a01db,0xb30e0347}},	//   _साहित्या, _atamai_, _ломов_, _paradys_, 
   {{0x92ec03ea,0x63f400af,0xf29c00be,0xb3f40235}},	//   _musique_, _mottar_, _лидерлер_, _avrtti_, 
   {{0x20b403a2,0xedb8031a,0xe2d9018b,0x00000000}},	//   _रायुडू_, _irtichea, _agentie_, --, 
   {{0xfa6502e7,0x2f27019b,0x24d40025,0xa16a00e6}},	//   _phillips, _supranta, _अन्तरात्, _农业行政主管部门, 
   {{0x68830056,0xec870092,0x0eae0092,0x373f02a3}},	//   _levitiku, _純資産倍率_, _ブックレット_, _teenoorg, 
   {{0xc2b90176,0x00000000,0x00000000,0x00000000}},	// [6720] _kedelig_, --, --, --, 
   {{0x83a8004b,0x83fa0278,0x2373006e,0x6d07020f}},	//   _bohatong_, _gerudi_, _liggeey_, _دکوچنيان, 
   {{0x2617022a,0x9bfc02fe,0x7e0100a2,0x728a00c5}},	//   _bekanitö, _خدایه_, _سجاديه_, _的有关规定_, 
   {{0xcc8202f7,0x2e96005e,0x86d3006c,0xe0e90039}},	//   _bontsing_, _نىجىس_, _acabangi, _irratiak_, 
   {{0xb386006a,0xde02006e,0xcc080103,0x00000000}},	//   _esory_, _katedera, _fingapir, --, 
   {{0xd2120013,0x72f8029b,0x720001c5,0x53e505ce}},	//   _necha_, _alfunniy_, _arkin_, _işten_, 
   {{0xb25a00bc,0xec6001f8,0x720102e4,0xc4fa003a}},	//   _soale_, _imbunda_, _fobiji_, _радиоэши, 
   {{0x6212005d,0xa2870315,0x029101c4,0x50630213}},	//   _hecha_, _ayikase_, _gewas_, _домовой_, 
   {{0x847303c7,0x036400cf,0x9896005e,0x87f801ac}},	//   _अन्ना_, _aangoon_, _ﻗﯘﺭﺑﺎﻥ_, _وبرنامج_, 
   {{0x02b402a3,0x8aed01bc,0xd9ed01b4,0x22010179}},	//   _honderd_, _letterke, _letterku, _musig_, 
   {{0xff4c01bb,0xb263005b,0x164801db,0x92ff034e}},	//   _dessurla, _hiroyuki_, _микробта, _biribir_, 
   {{0xa21200c8,0xc24b0139,0x9c1c01a4,0xff5b02f6}},	//   _lecha_, _क्षेमं_, _bumputu_, _kinailan, 
   {{0x51f40103,0xfe010181,0x00000000,0x00000000}},	//   _mwanakom, _camescra, --, --, 
   {{0xa3fa0211,0xe6350253,0x9a5800da,0x82e10258}},	//   _pituus_, _aaliangi, _exceptia_, _meinaam_, 
   {{0xae680188,0xa9e80503,0x4e56018e,0xf8e803ae}},	//   _нестам_, _trafikke, _ambaleke_, _trafikku, 
   {{0x5ee600be,0x72f200b4,0x925a064d,0x26b7026a}},	//   _بۇحارا_, _dumitru_, _olali_, _palasiti, 
   {{0x300b00b4,0x0212020e,0x5acf00ef,0x7d290178}},	// [6730] _апасэ_, _becha_, _اوتمار_, _bāṣpasaṃ, 
   {{0xd9cd02cb,0x6527003c,0x0724042d,0x50ba004d}},	//   _uzimanja_, _هااپلیکی, _dramalag, _檢附本會澳門事務, 
   {{0xb25a041c,0xceb80198,0x6af601b8,0x4d8902d5}},	//   _alali_, _dohodnin, _korrigee, _जन्मौले_, 
   {{0xb200030a,0x971801ef,0xfc290205,0xd55a024c}},	//   _ducia_, _аштрафав, _geosiyos, _ineliġib, 
   {{0xdc27022c,0x749a0041,0xe61903f0,0x10cd0077}},	//   _disampur, _ахҳәаа_, _andardrá, _kadriyaj_, 
   {{0x359601b9,0xd6cc030c,0xad8b0195,0x99500309}},	//   _redeploy, _tamangni, _geamacha, _bumeranq_, 
   {{0x625a0133,0x8f1b021b,0x5b6402ec,0xf25a044a}},	//   _ankles_, _украины_, _naftooda_, _elali_, 
   {{0xfa2d01e1,0x08c30019,0x903800f2,0xebd0036c}},	//   _колледжы, _сербияны, _bankomāt, _dradradr, 
   {{0x59e904ca,0x2b1801aa,0x00000000,0x00000000}},	//   _alunhada_, _assachus, --, --, 
   {{0xe25a0536,0x174c040f,0xdae20291,0xe2560012}},	//   _edildi_, _egzistav, _meileann_, _सुनइले_, 
   {{0x3ea3013a,0x52fe023e,0xc2c80153,0xa0f0041c}},	//   _gestoppt_, _baribis_, _ブログを作る_, _kalaasik_, 
   {{0x6b0801b4,0x0f3603d4,0x455e063d,0x5f3c0166}},	//   _emosione, _царска_, _kommandø, _vergeben, 
   {{0xf2020160,0xb2010211,0x46a7003a,0xd85003eb}},	//   _istinu_, _etsii_, _chorvach, _opkomend, 
   {{0xb9530044,0x388500bf,0x397f04ca,0x22d80102}},	//   _employee, _утилизац, _dificile, _mimea_, 
   {{0x63dc01d2,0xbc6c0274,0xb2080067,0xe3dc02c2}},	//   _adowes_, _augunum_, _gifiraaf_, _growwe_, 
   {{0x44530257,0x0aa90022,0xf2e10715,0x00000000}},	//   _kristín_, _шежере_, _कोशीस_, --, 
   {{0x8307051a,0xb1420223,0x7c5c0156,0xfbd2004d}},	// [6740] _kifayah_, _атган_, _שפאנונג_, _也要說明保單運作, 
   {{0x92ba016d,0x8c07025d,0xbb200334,0x4bcf02cf}},	//   _пиринсип, _nedsett_, _ankalimb, _luminári, 
   {{0xd25a0643,0x377e004d,0x974201a6,0x118c0109}},	//   _slali_, _桃園市中山路_, _raroheng, _nekouří_, 
   {{0x159a018d,0x4f5b00d9,0x00000000,0x00000000}},	//   _ዘይእዘዙ_, _uskaltan, --, --, 
   {{0x72fd0013,0x3dbf030f,0x00000000,0x00000000}},	//   _ичинда_, _tahutahu_, --, --, 
   {{0x126c053a,0xd12b0646,0xb4e80060,0x930100a9}},	//   _pomoć_, _servicio, _ابدىراپ_, _yambere_, 
   {{0xda590177,0x921203b4,0x39cc0192,0xf2c7013e}},	//   _аиҕьтәре, _rechi_, _handteke, _urednici_, 
   {{0x73200438,0xf2d700b7,0xd4f501af,0x8848018d}},	//   _kudya_, _хантамач, _amangül_, _ብባህልን_, 
   {{0x934d0013,0x62e700ab,0xa25a02c9,0xc2900258}},	//   _назарида_, _kainoho_, _goala_, _tekkens_, 
   {{0x07e50219,0xf22e05eb,0x6bb70590,0x93f900c8}},	//   _akuphiki, _aluvumel, _баллок_, _borui_, 
   {{0xd212018b,0x064503a7,0x08c10163,0xf25b012c}},	//   _vechi_, _oščadnic, _viselked, _swalah_, 
   {{0xd2a6004f,0x525a0101,0x43420321,0xa20201be}},	//   _tembam_, _boala_, _narejen_, _patice_, 
   {{0x73050036,0x5ad3026f,0x89dc00f7,0x698201b4}},	//   _لوحات_, _ءﯨﻨﯩﺴﻰ_, _progrese, _verkragt, 
   {{0xe301048f,0x22360166,0x8395019a,0x725a002c}},	//   _baebere_, _achja_, _gawsy_, _doala_, 
   {{0x2ef50247,0xb8710246,0x925104ca,0xa3cf042c}},	//   _panjenen, _остава_, _multicel, _pravca_, 
   {{0x6ee90074,0x57c801f1,0xc9730204,0xa3d50055}},	//   _loukkaan, _emisioni, _digileht, _abitenti_, 
   {{0x48e80148,0xd7f7010f,0xa10a0040,0x55990037}},	// [6750] _臺北市信義區市府, _барвақт_, _הכביסה_, _ባገናዘበ_, 
   {{0xdb5301ca,0x7d1d046b,0x7e65004d,0x834a0290}},	//   _cantelop_, _absoliwt_, _以備不時之需_, _allegau_, 
   {{0x759b02a0,0x5bfd0125,0x422a0420,0x4fe40242}},	//   _aburumak, _москваны, _зоран_, _saatları, 
   {{0xf76a004d,0x58f600f3,0x00000000,0x00000000}},	//   _收受投標文件地點_, _nangenku, --, --, 
   {{0x8d8c0144,0x10ce004d,0x13860090,0xb7b60092}},	//   _اشاهد_, _使用本月租型優惠, _apore_, _undervog, 
   {{0xa7c804d2,0xc26c0220,0xf25a04bd,0x0415012c}},	//   _toppnavi, _климатик_, _olalo_, _kisingiz, 
   {{0x42b30026,0xec700125,0x4d970441,0x5fc903a8}},	//   _mondoro_, _tersine_, _twitteru_, _butikkar_, 
   {{0x64a20220,0x11d70143,0x240f00c5,0x925a0182}},	//   _еконт_, _тракия_, _苏州惠达家电维公, _ilalo_, 
   {{0xfe950044,0x125a0275,0xd2ff03b9,0xb3940448}},	//   _אושרי_, _alalo_, _sarayiri_, _fliser_, 
   {{0x925a0372,0x4da10088,0xaaba0276,0x7ee90258}},	//   _llall_, _recomana, _араллири, _boekhann, 
   {{0x5c4b00dd,0x7a70034d,0x6aa40297,0x63de00a1}},	//   _gartref_, _berlangs, _телерекл, _hauwai_, 
   {{0x51b900a4,0x537a02b2,0x00000000,0x00000000}},	//   _inversió_, _levaxin_, --, --, 
   {{0xab8a00af,0x92fe00ad,0x882e0040,0x52910308}},	//   _посол_, _ascheve_, _וקינוחים_, _afwan_, 
   {{0x62e9030f,0x8b700092,0x130e020f,0x92e90110}},	//   _puritia_, _kursdata_, _زيږیدلی_, _aktiera_, 
   {{0x126d02e8,0xe5cb019d,0x89300089,0x72120052}},	//   _akaona_, _ankadzay, _barmasqa_, _dechu_, 
   {{0x5e240312,0xf90a00be,0x38cc02eb,0x5373041c}},	//   _asambles_, _артериял, _сүүтэй_, _digalee_, 
   {{0x13f40191,0xe25a01ed,0x210401cd,0x60cc020f}},	// [6760] _dotter_, _hoilo_, _afakazel, _محمودنظر, 
   {{0x135f00a9,0x18a80366,0x18410029,0xaad103b4}},	//   _isigaye_, _лимфатич, _رپیغه_, _ashtoret, 
   {{0xfa70005b,0xe30f0075,0xf20d03f8,0xe23400b4}},	//   _berlings, _avtalur_, _dachavdi_, _formare_, 
   {{0x22cb0435,0x9f9b01af,0x39dc00e4,0x07490032}},	//   _svuda_, _liderler_, _skiernie, _mawivjaj_, 
   {{0xde3b0038,0x892801bd,0x93e40172,0x1b84023d}},	//   _психоэмо, _секторы_, _kɔtra_, _екологич, 
   {{0xf21201d9,0x4e62031c,0xb3ab0090,0x433d0208}},	//   _mecht_, _afectada, _atsvake_, _پیتان_, 
   {{0x1c4b018a,0xf26a0041,0x754d00be,0x96a20349}},	//   _cartref_, _абомбақә, _اشىراالى_, _abitatsh, 
   {{0x6f8a017d,0x4ea60036,0xfca60133,0x98b60107}},	//   _アメブロランキン, _pholainn, _bulfannu_, _برزيل_, 
   {{0x5743026f,0x731a011a,0x430100a0,0x75320299}},	//   _куәсі_, _residing_, _hambare_, _سەپسەتە_, 
   {{0x65bd045f,0xfe8600be,0x83fc0162,0x226c02a2}},	//   _erfarenh, _жансыз_, _ماتەم_, _manong_, 
   {{0x126c0245,0x6ec400de,0xac2402fd,0x48d90349}},	//   _lanong_, _abangoon, _briatlir, _amagingd, 
   {{0xf60800e4,0xb6d000be,0xb6390060,0xb0cc005e}},	//   _pogotowi, _تۉشۇنبۅي_, _нафатаны, _шаярдики_, 
   {{0x526d0493,0x003c01b7,0x09bf0212,0xc2cb0465}},	//   _ukaona_, _सिंहल_, _fidelite, _uvedli_, 
   {{0x3f280408,0xe18303ce,0x930e02f4,0x00000000}},	//   _avaradra, _مێگابایت_, _metales_, --, 
   {{0x720200b4,0xe3eb019f,0x03200084,0x33dd00ad}},	//   _doriti_, _imetoa_, _hanyir_, _akuwu_, 
   {{0x0ec7019b,0x63eb0102,0x8e07015e,0xa1eb02ce}},	//   _kitokios_, _ametoa_, _керегеге_, _aérobik_, 
   {{0x53ac00a9,0x61ed006d,0xe71302ac,0xaa390046}},	// [6770] _urupfu_, _марафона_, _chosantó, _кемени_, 
   {{0x6a5302f7,0xf53d026f,0x11450523,0xc33002d5}},	//   _dibelela_, _ديۋاني_, _सुनंदा_, _निराहुवा_, 
   {{0x971a00ec,0x83790062,0x6c2c0059,0xad8101b5}},	//   _праверан, _dalahmo_, _родителс, _gaymersp, 
   {{0x52ed005b,0xe2660009,0xa2900017,0x72bc016a}},	//   _tusinde_, _dobrodel, _konaly_, _bordojn_, 
   {{0xad870174,0x326f00a1,0x437f015a,0xf26d028a}},	//   _garegare_, _korikori_, _bajataa_, _kiboko_, 
   {{0xb3860197,0xaa71004b,0x030e00ec,0x7ab8020f}},	//   _florid_, _bapatswa_, _detales_, _bakwakwe, 
   {{0x3b5500e6,0x826d004b,0xf99c002b,0xaea601e9}},	//   _收藏此企业_, _diboko_, _পেইন্টিং_, _etelelan, 
   {{0x8a51034f,0x726c02bc,0x53e40172,0x1d30004d}},	//   _لیبرال_, _banong_, _wɔtra_, _臺灣桃園地方法院, 
   {{0xd26f030f,0xec220253,0x2c750319,0x2b8600d7}},	//   _horihori_, _apersuis, _escudos_, _karohano_, 
   {{0x940203f3,0x88c102e0,0xc2bf013c,0xaacd014e}},	//   _optreden_, _bolemiru, _cildlik_, _василија_, 
   {{0xe2d50155,0x53f802ac,0x7f2c0364,0x724a00f4}},	//   _rimligt_, _chluas_, _bezeechn, _disoursi_, 
   {{0xf2000027,0xb2ec032d,0xb1080101,0x62d80074}},	//   _bukis_, _илшат_, _constanţ, _nimet_, 
   {{0x5de600bb,0xe42402fa,0xc26c02f7,0xc3f80258}},	//   _ہٹانا_, _agakomez, _ganong_, _hijum_, 
   {{0x53eb0287,0x761201be,0x1b460278,0xa4770026}},	//   _statek_, _सुहागरात, _penjamin_, _gestolen_, 
   {{0xe4470486,0x020102ea,0xfef200c5,0x498700f3}},	//   _podstatě_, _mobili_, _胶南市规划局_, _bazifaka_, 
   {{0xa25a00d5,0x23eb0125,0xc98100da,0x32a400ef}},	//   _omaly_, _teatry_, _исламул_, _نېشنل_, 
   {{0x2838018b,0xb2ea0037,0xee74055f,0x00000000}},	// [6780] _ориентар, _eksiden_, _hekimliğ, --, 
   {{0x3eab022f,0xb2e1004d,0x4fc6020f,0x525a02c9}},	//   _naudotis_, _傳李慶安離台_, _بدبختۍ_, _moale_, 
   {{0xfd70051a,0xc25a0125,0xd0d301fc,0xe295012c}},	//   _perminta, _amaly_, _garabluk_, _maskani_, 
   {{0xe30e0181,0xe2640109,0x00000000,0x00000000}},	//   _betales_, _नेभिगेसन_, --, --, 
   {{0x468e0025,0xe29005ce,0xd3f90204,0xa246024e}},	//   _स्थातव्य, _gökhan_, _korut_, _sredinam, 
   {{0xa1d60148,0xe304035b,0x7b6c014a,0xb8fa0425}},	//   _次滿足房東與房客, _zdravil_, _motorker, _فرانبار_, 
   {{0x4db700a4,0x3c51012c,0x695f02e1,0xbf45002b}},	//   _курманды, _maktaba_, _chinsire, _চাইনীজ_, 
   {{0xf2d901c6,0x6f13016f,0xe5f9055b,0x417700d7}},	//   _dreech_, _точніше_, _undersjø, _ретта_, 
   {{0xf08d0016,0x8b5b018e,0xae2b00d6,0xe7ff0153}},	//   _ושמעו_, _cukumeta_, _dhigitea, _セグメント_, 
   {{0x4c930071,0xf30f0541,0xb2d903eb,0x43010241}},	//   _رادان_, _reditelj, _nouer_, _foramii_, 
   {{0x9aa90039,0xa8f004bb,0x18b7016d,0x829102c7}},	//   _менежер_, _niagthau, _قۇۋۋەت_, _umgang_, 
   {{0xcb7106af,0x3afa053e,0x42d9007b,0x52d904b7}},	//   _kuburana_, _bransjen_, _bluey_, _houer_, 
   {{0x72ea01d8,0x794a0276,0x6c6f0031,0x026200d6}},	//   _aksiden_, _назарбай, _biarkan_, _عاشقه_, 
   {{0xd22401c7,0x2a880277,0xdf8d0274,0x02d902a4}},	//   _prikol_, _gibiyaan_, _handahóf, _boues_, 
   {{0xe48504fd,0x612e01e6,0x22da04e5,0x3f6a00d9}},	//   _सेठानी_, _motorové_, _amanene_, _ламиниро, 
   {{0x92d900c5,0xf0b60017,0xc65f0192,0xb16500e7}},	//   _louer_, _brambory_, _통영시의회_, _amsonsay_, 
   {{0x32d9015c,0xdea60148,0x8f4f011a,0x73e503e9}},	// [6790] _fouer_, _accusare_, _complore_, _aşton_, 
   {{0x94ba0177,0x925d0046,0x768b0285,0x42d902c2}},	//   _шәрықәны, _envellim, _baperezi, _gouer_, 
   {{0xab960029,0x5ee302bd,0x7c0001c4,0x00000000}},	//   _گوشێت_, _gomisiyn, _nêrens_, --, 
   {{0x0f310046,0x6d900374,0x02d90222,0xb26e0172}},	//   _исламды_, _musobaqa, _roues_, _tirofo_, 
   {{0x4f9400e6,0x8e2f014d,0x00000000,0x00000000}},	//   _océan_, _autohaus_, --, --, 
   {{0xb0bd017d,0xec130163,0xd2e3029f,0x0ee70126}},	//   _コメント投稿_, _nappali_, _komisie_, _правова_, 
   {{0x230d05ca,0xe77200d6,0x683f0153,0x56de0060}},	//   _digamos_, _جمهورها_, _ジはこちら_, _مەيرامدا, 
   {{0x329003b4,0x7d8a0176,0x19f40338,0xedff0193}},	//   _mukana_, _foretage_, _galés_, _टर्मिनस_, 
   {{0x7202016e,0x78580119,0x079301b8,0xb8bf0148}},	//   _tatile_, _guarayos_, _tsiteeri, _videbitu, 
   {{0x95a10012,0xa3ea0344,0xa2c000d0,0x85550219}},	//   _खँडतर_, _atitik_, _яндан_, _iyakhish, 
   {{0xfb6300a5,0x02fe00a7,0xd1e2015d,0x94e90037}},	//   _amataina_, _residus_, _विचरण_, _የማርያም_, 
   {{0x4dcb0478,0xcaeb01b7,0x00000000,0x00000000}},	//   _archimba, _citrarat, --, --, 
   {{0x7be40205,0xa30601fc,0xbc7e000e,0x03f80007}},	//   _سراییده_, _hanamak_, _gegroup_, _libua_, 
   {{0x12900226,0x9cf503c2,0x7342012d,0xf9f60407}},	//   _kukana_, _soldered_, _netelan_, _značiti_, 
   {{0x1ee3033c,0x9c61004a,0x9ecc0077,0xc2e80053}},	//   _comisiyn, _alyumin_, _bizisman, _mimisan_, 
   {{0xd2000422,0xb2ea0418,0x54d00040,0xb4d6038e}},	//   _knjigi_, _oksijen_, _המקבילה_, _मारियन_, 
   {{0x461501cd,0x48140051,0x4e160373,0x00000000}},	// [67a0] _пулиси_, _kolektīv, _altebena, --, 
   {{0x5d9e0362,0x8abb018d,0xb580028d,0x5a69028a}},	//   _abondisa, _ዝጸንሖም_, _linefisy, _aliliamb, 
   {{0xe6d6002c,0x46240078,0xf2d9047d,0xdbf50338}},	//   _бутанчуу, _незапосл, _rouer_, _altercac, 
   {{0x3307032c,0x2f25005b,0xd29404f8,0x8992015e}},	//   _arsamik_, _tillader_, _elakiri_, _subjecta_, 
   {{0xf2ed0377,0x218601eb,0xc31d00a7,0x02d80020}},	//   _aprilie_, _економик, _азимбек_, _haleck_, 
   {{0xbd05018d,0xc9830046,0x063f02b7,0xc03700fe}},	//   _ንኣምባሳደር_, _ازىيادا_, _wahinili, _heutalan, 
   {{0xc25a0358,0x191e0122,0xedcd02b1,0x4e500107}},	//   _anile_, _گلایه_, _iyayensu_, _amratela, 
   {{0x8b870132,0x6b0102c7,0xec120137,0x00000000}},	//   _felismer, _obersche, _aperitib, --, 
   {{0x730d0429,0xa1e1030f,0xfc9000f5,0x4c670073}},	//   _kembara_, _ieropoam, _онлардан_, _initiar_, 
   {{0x1d7b013d,0x4e200025,0x6d830245,0xb3780020}},	//   _תלמיד_, _प्रक्षिप, _pomlakra, _gafatia_, 
   {{0x05f900ec,0x7a7201fb,0x52d702a0,0x930d03b5}},	//   _ролях_, _appareva_, _ibumọ_, _membara_, 
   {{0x82fb04ce,0xac6e01c5,0xb1e10165,0x03f801f0}},	//   _makhado_, _shirkan_, _jeropoam, _dibui_, 
   {{0xce490278,0x72ec00df,0xb3eb022e,0x33f40048}},	//   _antaraba, _mariage_, _aletta_, _amutta_, 
   {{0x6c7e00ce,0x606101d5,0xa3eb002c,0x3dad0066}},	//   _regroup_, _سنٹرل_, _etatik_, _iturburu_, 
   {{0x86b8030c,0xf9850055,0xf3330193,0x12970076}},	//   _talavisi, _artiglie, _bexxa_, _беласица_, 
   {{0x25800230,0x7b780437,0x628800a2,0xe3eb04ad}},	//   _cinefisy, _morgenen_, _kijapani_, _eletsa_, 
   {{0x3592026c,0x73950274,0x244b01b3,0x3dbb0420}},	// [67b0] _publicam_, _blasir_, _євгена_, _retifica, 
   {{0x3de6036e,0x4c5c045f,0x92430137,0x00000000}},	//   _chejnisp, _muttern_, _бодмоор_, --, 
   {{0x4c0d0217,0x4212012c,0x82b5026c,0x8ea60212}},	//   _tempore_, _mechi_, _pondere_, _occupare_, 
   {{0x130d04ba,0x321202bd,0x125b01f7,0xab19038b}},	//   _sigamos_, _lechi_, _oncles_, _sarankan_, 
   {{0xf15b00a6,0xd59a022c,0x82d900e2,0x221d01f4}},	//   _abagcwel, _nyaritak, _rigels_, _хасталик_, 
   {{0x7e1b038e,0x4047040d,0x522605ce,0xb30d0227}},	//   _ditemuka, _diprofen, _merkez_, _gembira_, 
   {{0x02130207,0xbbb900ef,0xdf250071,0x335b026c}},	//   _kesho_, _زغرده_, _ditendan, _singula_, 
   {{0xa3e30161,0x098100b5,0x930303fd,0x7552003c}},	//   _tottakai_, _henyhẽ_, _matautu_, _همجوار_, 
   {{0x849e0041,0xa29001af,0xc40001b0,0x00000000}},	//   _иадҳалоу_, _arkaba_, _dibunian_, --, 
   {{0x2e0f0101,0xc2a6008e,0xbc740338,0x13eb000c}},	//   _selectea, _dembam_, _aiguats_, _iletra_, 
   {{0x62d900d5,0xddf102f3,0xd94302b2,0xc3f10026}},	//   _anglisy_, _hundrata, _формою_, _benzine_, 
   {{0x4dfc014a,0x0b8a0066,0xa3eb01f9,0x42d90220}},	//   _مزاحیہ_, _могой_, _aletsa_, _agenzie_, 
   {{0x7f400010,0x52e6028f,0xd2bf02fe,0x29980198}},	//   _amagadan, _ekengia_, _ګمراه_, _križu_, 
   {{0x7290007f,0xa2ec02d0,0x00000000,0x00000000}},	//   _linach_, _scrieve_, --, --, 
   {{0x43eb015e,0x7ed3001d,0x281400d9,0xa2d9042d}},	//   _lletra_, _boliches_, _незаметн, _englisy_, 
   {{0x838800ae,0x00000000,0x00000000,0x00000000}},	//   _akayira_, --, --, --, 
   {{0x02010433,0x1a8d00af,0x7ec8002b,0xc2d30262}},	// [67c0] _cusio_, _risikoen_, _ভিয়েতনাম_, _bahoşi_, 
   {{0x5c6e0239,0xd2fe033d,0x1fc90109,0xdd2d0052}},	//   _akaripa_, _attires_, _घेरिएको_, _zmenšit_, 
   {{0x244800be,0x588101a4,0x62dd030b,0x52d801a6}},	//   _ادرەنالى, _africamu, _akafanyi_, _himei_, 
   {{0xbd06018b,0x332e0037,0x77e700d0,0xad94048a}},	//   _increder, _ስምንተኛው_, _армитай_, _ұларбек_, 
   {{0x02fd023e,0x12c20348,0xe3900076,0xe201015d}},	//   _enggal_, _awalana_, _смирение, _rusin_, 
   {{0xa3e20156,0x3285019d,0xc29104d8,0x25810272}},	//   _וקדושים_, _buthulo_, _ducada_, _baaterek, 
   {{0xc7950206,0xa032038c,0x101603bf,0xf45a0350}},	//   _história, _krstaren, _табынды_, _በጉብኝቱ_, 
   {{0x5a03002e,0x038f0107,0x53f8011b,0x7ea80437}},	//   _pronađen, _abiyasa_, _mibuu_, _unormalt_, 
   {{0xf0ed00b9,0x027e019b,0x2c6700f4,0x75450205}},	//   _महापालिक, _žinau_, _ambroug_, _pozitsiy, 
   {{0xce810003,0x335f02c2,0x1bef03b7,0x893f047d}},	//   _서울특별시_, _diegene_, _affeinec, _bommelee, 
   {{0x0386008f,0xc34301d1,0x52900182,0xe1eb0247}},	//   _noored_, _federal_, _aukala_, _انسولین_, 
   {{0x9eb3001d,0x164d041b,0xf9330510,0xf44d008d}},	//   _monstrat_, _sekharai, _советом_, _машинага_, 
   {{0x1e2a00e6,0xf2ec0151,0x6ab8006c,0x6a860039}},	//   _中华人民共和国妇, _abridge_, _amakilas, _навчин_, 
   {{0xddc20044,0x443d01c6,0x330503fb,0xb30c0046}},	//   _prohibit_, _flevolân_, _podneblj, _malalts_, 
   {{0xf22504bb,0x02fd0108,0xe2e20044,0xc9b90125}},	//   _amekas_, _unggal_, _council_, _дирелмег, 
   {{0x13f90125,0xd2f701c8,0x00000000,0x00000000}},	//   _sorup_, _voliči_, --, --, 
   {{0x73790528,0x9f220338,0x1c5c0203,0xe7140148}},	// [67d0] _albainn_, _regulara, _justmen_, _poetarum_, 
   {{0x4ba4031a,0x037300c8,0x430c0110,0x43f901f4}},	//   _breislic, _hakaale_, _talants_, _anzur_, 
   {{0xe90f01f0,0x41610156,0x00000000,0x00000000}},	//   _barakhou, _סטעימענט_, --, --, 
   {{0x2202013e,0x729000a9,0x66d40322,0x7e4c006e}},	//   _patike_, _mukaba_, _ababandi, _dabantee_, 
   {{0xf1cf0040,0x3329009a,0x830901c5,0xd89b0076}},	//   _המנצח_, _ayakhunj, _khuburo_, _украде_, 
   {{0x7a07006e,0xf2010373,0x4bac00ea,0x32540421}},	//   _alkandee, _rusio_, _anakampo_, _unsterbl, 
   {{0x63030262,0x01e6009a,0x2c1804c7,0x4be30013}},	//   _senagat_, _قانونيت_, _постигла_, _коллина_, 
   {{0x3e8902ec,0x77ef028b,0x427802cd,0x08740372}},	//   _نوبہارچ_, _аӡәӡәоит_, _bornon_, _digideid, 
   {{0x837c0100,0xb8c30161,0xd248032a,0xfc6a00a0}},	//   _ukrasne_, _вокзала_, _filmip_, _gumurzu_, 
   {{0xf4ef001c,0xfbb40025,0x4c5c00c1,0x4c5500a6}},	//   _siemiaty, _विश्वासो, _डिझेल_, _ayitofe_, 
   {{0xae08000e,0xe1fe00da,0x18d60142,0x00000000}},	//   _desdigna, _фразэ_, _ardhatṛt, --, 
   {{0xab4a03de,0x26e7008d,0x92ad0553,0xcd5400ef}},	//   _kwathiwa_, _виллиан_, _neprežil_, _ebubungq, 
   {{0xd2130467,0xada70162,0xb30b0358,0x76490311}},	//   _beshe_, _بارامدۇ_, _lonbraj_, _ዝተበከለ_, 
   {{0x4d810318,0x8fe00220,0x9c310020,0xe2ea01c2}},	//   _fielakep, _pericolo, _emanuelu_, _doenzas_, 
   {{0x2eba00b7,0xb3f803d7,0x42b50073,0x124801b5}},	//   _послы_, _dibut_, _bracio_, _dzima_, 
   {{0xded705cf,0x3d75012e,0x1290016e,0xb20004d8}},	//   _bonitetn, _مویشی_, _arkaya_, _iskii_, 
   {{0x48820417,0x68a502eb,0x13a40407,0xc2ff00c1}},	// [67e0] _herhaald, _суварга_, _osmanlij, _marinir_, 
   {{0xc290005c,0xd3550256,0x6a9e0041,0x59c30040}},	//   _bukaba_, _dobeles_, _ишҭоу_, _alleviat, 
   {{0x2e8902ec,0xd29104ee,0x5f3b014b,0x93e50297}},	//   _نوبہارن_, _igwam_, _gorrisaa, _aştan_, 
   {{0x5390017a,0x225a034b,0xbd2b00cd,0x00000000}},	//   _abasesim, _paolim_, _chaputsc, --, 
   {{0x3c5c0109,0x00000000,0x00000000,0x00000000}},	//   _डिजेल_, --, --, --, 
   {{0xe29000c2,0x7c040092,0x931001c5,0xead60299}},	//   _tukaba_, _代引手数料_, _argagax_, _جىدەللىش, 
   {{0x725a041c,0x493000e2,0x50ab02cf,0x00000000}},	//   _alalu_, _karmaste, _simultân, --, 
   {{0xc29002c1,0x8d5402fe,0x83f802eb,0x7d7f00b4}},	//   _rukaba_, _abubungq, _метроны_, _promovea, 
   {{0xb5bf045e,0xef6b0227,0xf5d40264,0x668700e4}},	//   _очарован, _pembohon, _dinastiy, _जत्थे_, 
   {{0x4c6f0434,0xb72c0088,0x00000000,0x00000000}},	//   _expresa_, _обладмин, --, --, 
   {{0x9a0800b2,0xe75f03ff,0xe7a8006c,0x00000000}},	//   _barachut, _zvlhčova, _angenamv, --, 
   {{0x5201005b,0xdcb30170,0xb1b000bb,0x68da0097}},	//   _rusie_, _athawatu_, _منڈلا_, _omifunfu, 
   {{0xbc5603b3,0x73480115,0x1c830347,0xdc5304d8}},	//   _portate_, _ditegah_, _vertraag_, _kartida_, 
   {{0x086002b5,0xb3f8010d,0xe9620059,0x80b5050c}},	//   _lenzhozg, _kibum_, _доставя_, _ह्युमन_, 
   {{0xb2c40031,0xda020089,0xfc5302ec,0x33f8037c}},	//   _televisi_, _форумга_, _martida_, _cibum_, 
   {{0xc3c8003c,0x420001f0,0x53cf05a7,0x531000cf}},	//   _آبسردکن_, _kaniwa_, _lauva_, _hambisu_, 
   {{0x93fa0016,0x2a1601ec,0x87220025,0x827a0025}},	// [67f0] _situas_, _antareja_, _व्यापारव, _devanirm, 
   {{0x72000025,0x62830257,0x02920403,0xcc1c0372}},	//   _arcir_, _fórnarlö, _atsasa_, _galondid_, 
   {{0x61e403fc,0x865a0462,0x029e014e,0x5edf03b5}},	//   _nabokomm, _anchisef, _andjela_, _menindas_, 
   {{0xe30e0176,0x369b0244,0xb34a02bd,0xccbc0092}},	//   _betaler_, _активни_, _colegau_, _あなたのお気に入, 
   {{0x1b0c045b,0xa20103bf,0x9c7c0244,0xdfb7011a}},	//   _судна_, _dibiri_, _stasera_, _eletters_, 
   {{0x0cbd0016,0x32d4041e,0x22cb0149,0x72d90433}},	//   _סיביר_, _rivolta_, _nwude_, _houet_, 
   {{0x26e80692,0x74c30207,0xa2d901ba,0x925a038b}},	//   _талаптар, _آمرانه_, _kouet_, _slalu_, 
   {{0x92d9005b,0xea3f01db,0xbdb401a3,0x52490066}},	//   _jouet_, _اكىمشىلى, _روبوٽ_, _pilotari_, 
   {{0x19d600fa,0xc2e8008d,0x9bed0321,0xdd200137}},	//   _apatnapu, _limidan_, _opraviči, _сэздс_, 
   {{0x02010698,0xf04f044f,0x425a02f7,0xdb940311}},	//   _zibiri_, _beruntun, _boalo_, _ንደገፍቲ_, 
   {{0x31e2019c,0x3a070120,0xd7c70414,0xe19c023e}},	//   _ailorukọ_, _cugaanee, _cuisenai, _ملیله_, 
   {{0xd025014f,0xe51b0217,0xb2000338,0xcbf302c8}},	//   _петровић_, _tourismo_, _aucit_, _agárdase_, 
   {{0xe212046f,0xee030227,0xa2ca018d,0xe9c501c0}},	//   _mechs_, _penetapa, _ኣፍሪስካ_, _asalinta_, 
   {{0x93f80190,0x1248034c,0x82120265,0x56c7029b}},	//   _yibum_, _efimov_, _vecht_, _kuyaandi, 
   {{0x7cc402a5,0x1ad80238,0x320000fe,0x921c018a}},	//   _seriálu_, _основний_, _kaniva_, _cathod_, 
   {{0x034302e5,0x97ab01e7,0x9c350045,0x89ef0059}},	//   _ampelio_, _justizmi, _batajnic, _desidera_, 
  
   {{0xbf3301fe,0x00000000,0x00000000,0x00000000}},	// [6800] _vaisauta, --, --, --, 
   {{0x2d370172,0x3aa7002e,0x42ff00b4,0x0a500303}},	//   _omanhene_, _uništava_, _desigur_, _dumelana_, 
   {{0xb748012e,0xdd71043d,0xe3170505,0x65940085}},	//   _دارالعلو, _berminat_, _icecube_, _madualak, 
   {{0x63d50111,0x9bd9009e,0xbecc01d2,0xc2e902eb}},	//   _abitanti_, _flamengo_, _cannotun, _errioxa_, 
   {{0x43790109,0x00000000,0x00000000,0x00000000}},	//   _poradna_, --, --, --, 
   {{0x820000bd,0xec6d01ef,0xe3f8018f,0x029002dd}},	//   _askin_, _nuoroda_, _dijus_, _baoan_, 
   {{0x02da046f,0x427e0168,0xee690361,0x00000000}},	//   _biwels_, _avinor_, _вăрăмми_, --, 
   {{0x1396016b,0x7580023a,0x7ee603a9,0x00000000}},	//   _sassan_, _ochorení, _диттан_, --, 
   {{0x3c23002c,0x81fd003a,0x625a0178,0x525a0179}},	//   _begiratu_, _کتابلر_, _anilo_, _soalo_, 
   {{0x4d2600d8,0xcda800b9,0x2694005e,0x42d8027e}},	//   _abondant_, _rutinita, _برازىلىي, _nameri_, 
   {{0x52d800ca,0x6295012c,0x4db5017e,0x86700241}},	//   _nimes_, _maskini_, _konservu_, _burjaaji, 
   {{0x95fc051f,0xc201029f,0xa30c01d1,0x27a20255}},	//   _پاراستنی_, _musia_, _islands_, _pesumasi, 
   {{0x5e540091,0xfd3d005d,0x36510274,0xa6ca0311}},	//   _pulaaria, _asyhague_, _grundarf, _ብብኽያት_, 
   {{0xd2d9048c,0x23f80201,0x0c5c00d9,0x6fe90109}},	//   _breech_, _dibuk_, _mustien_, _साटासाट_, 
   {{0x2c2505dd,0x737302ef,0xa9d700f3,0xddb401e0}},	//   _बड़ौदा_, _andanje_, _esathand, _قوروه_, 
   {{0x0dfd03c7,0x4962002f,0x22d80342,0x71660234}},	//   _oczekiwa, _alinnint, _lameri_, _àhánupè_, 
   {{0xdc1304c9,0x82d802a3,0x9eed02c4,0x0201000b}},	// [6810] _salzburg_, _dieet_, _наречени_, _ausia_, 
   {{0xda05036e,0xa98104eb,0xcdb500be,0x1044040f}},	//   _altarsit, _पीएमटी_, _فرونتۇند, _белдзярж, 
   {{0xa2130014,0x39ae0013,0x747501cd,0xb28701c5}},	//   _desha_, _ишсизлик_, _ақаллан_, _jabiyay_, 
   {{0x32010018,0x2c9304dc,0x42e30570,0x114f04d1}},	//   _dusia_, _ماشات_, _रणधीर_, _titulado, 
   {{0x1a17011b,0xc9a700bf,0xd21301a0,0x225a00ec}},	//   _aswanaka_, _бисером_, _fesha_, _ciklas_, 
   {{0xf2b5071e,0x52010499,0x5c050347,0xe1c800db}},	//   _knecht_, _fusia_, _rossouw_, _alamkomm, 
   {{0x8d6f0036,0xfd7100b4,0x5ed0021e,0x0e040107}},	//   _إحساس_, _terminat_, _grannarn, _dicelupa, 
   {{0x234f0084,0x122401f3,0xcb610289,0x7d550326}},	//   _beretek_, _plexiskl, _imalower, _enzayemu_, 
   {{0x52380362,0x930c04fb,0xd2050212,0x392b0170}},	//   _amemeli_, _perdió_, _notissim, _chimbeta_, 
   {{0x9213006f,0x42120166,0x1b78017c,0xdd9d0538}},	//   _jeshi_, _sechs_, _morgonen_, _stilleha, 
   {{0xce030526,0xc41a0045,0xdc620231,0xdc6f02fd}},	//   _penerapa, _правилим, _occulto_, _sharban_, 
   {{0x623002a0,0x0df402d2,0x72e80124,0xd45c00b5}},	//   _ademola_, _бҳутто_, _yubiana_, _даныҟала_, 
   {{0x52b50364,0xfa0200a6,0x82d800e6,0x0248022c}},	//   _anecht_, _asebuswe, _aimes_, _arimbi_, 
   {{0xd2900163,0xcb87006c,0x8dd501d5,0x67670374}},	//   _magad_, _равнақ_, _ہربھجن_, _муштлаяп, 
   {{0x930c0338,0xa34f0132,0xc2900130,0x78140044}},	//   _estatut_, _keresek_, _lagad_, _electric_, 
   {{0x236102e7,0x7b6601f0,0xed87011d,0x8401014e}},	//   _giamping_, _khalefar, _oarecare_, _samoprok, 
   {{0xdb5502a8,0xd14700ac,0x03960127,0xb38700be}},	// [6820] _firmatar, _vaterpol, _dasson_, _sabria_, 
   {{0xd2000240,0x4c760453,0xaa070052,0xe2e7018a}},	//   _ganita_, _zabrani_, _zavazade, _chennin_, 
   {{0x9321074f,0xf3f903e0,0xb25a01c7,0xe84b0046}},	//   _gutyo_, _firun_, _alaly_, _misteris_, 
   {{0xd640008c,0xa76a018d,0x9dfc020f,0xb6bb0044}},	//   _natirali, _ቀባሕባሕ_, _دتلاوت_, _thursday, 
   {{0x173c017d,0x25810272,0x7e4c01c5,0x120003dd}},	//   _ド用リンク_, _abaterek, _yaraatee_, _kanita_, 
   {{0xdd490353,0x89a90066,0x93d100ba,0xb2910121}},	//   _populárn, _арсланги, _شتوگوزار, _escasa_, 
   {{0xa726041a,0x925a00bd,0x2322018b,0xc3eb0198}},	//   _дисциплі, _coals_, _inscris_, _kratek_, 
   {{0x75450390,0x844e002b,0x2e2e0205,0xe9d70162}},	//   _ictimaiy, _নেদারল্য, _кадастри_, _بايىنغول, 
   {{0xf3f9013a,0xb7b10025,0x224800b4,0x787b0045}},	//   _virun_, _aśrotriy, _primei_, _страшан_, 
   {{0x7288015b,0x101e0024,0xbd7f0065,0x65a80361}},	//   _joshaos_, _চফ্টৱেৰ_, _firmenda, _заражают, 
   {{0x32020611,0x52ff0013,0xdf6a0092,0x0d190409}},	//   _anrisi_, _baribir_, _デフォルト_, _akusesar, 
   {{0x9ef7014f,0x94a10036,0x232801a3,0x00000000}},	//   _интересе_, _scannell_, _ٽوپيءَ_, --, 
   {{0x025a01a1,0xa29000bc,0x873a00d9,0xd11a014e}},	//   _zoals_, _jagad_, _участков_, _препорук, 
   {{0xd4920147,0x1a6e0528,0x664300ff,0xaaa3042a}},	//   _اڭگمەسى_, _bhallaib, _דאראג_, _asikhuts, 
   {{0x19de0009,0xd2f4029b,0xd41601e5,0xac6100c8}},	//   _stoletja_, _bisnees_, _idarijin_, _esdrase_, 
   {{0xc2e00102,0x92900462,0x48ad004d,0x984b00c1}},	//   _مجموعو_, _aggay_, _年全民國防教育_, _histeris_, 
   {{0xd027005e,0xfb2e00ba,0x29590156,0xf9f100cd}},	// [6830] _قىپقىزىل_, _گڵۆپه_, _ביאמאלעק, _cuninaga_, 
   {{0xd2fe0181,0x91290088,0x2f300148,0xcf1305ff}},	//   _attirer_, _formació_, _親愛的老師_, _pretjera, 
   {{0xc3dc0582,0x85290342,0xe2f2004a,0x00000000}},	//   _edewe_, _espirity, _аклар_, --, 
   {{0x22900130,0x06bb03f0,0x81b30130,0xc78a000a}},	//   _bagad_, _löggjafa, _adverboù_, _akiverii, 
   {{0xfdc50235,0x956500c8,0xb9fd01eb,0xb3f9024a}},	//   _anekadra, _кластарҙ, _hesekuér, _rirun_, 
   {{0xe4280174,0xebc902e5,0xdef9029a,0x5a4f020d}},	//   _dikanano_, _antihéro, _konvenya, _perereza_, 
   {{0xf2fd0031,0xbf5c026c,0xeb6b0320,0xe1f902a1}},	//   _kuliner_, _singulis_, _demokher, _maritiem, 
   {{0x42900256,0x24cb028c,0x7d3103ae,0x95df014d}},	//   _tagad_, _खिसिया_, _sarpsbor, _eigenstä, 
   {{0x228702f3,0xc0b500c5,0xe82200bf,0xf1d30213}},	//   _marknad_, _行政机关及其工作, _передает, _родном_, 
   {{0x84040417,0xdfb50066,0xc25a0022,0x00000000}},	//   _intussen_, _алжаал_, _diile_, --, 
   {{0x3c5a0362,0xfb63000b,0x954f019b,0x7df104f8}},	//   _abotami_, _alataina_, _ekspertų_, _predicta, 
   {{0x0e1600c5,0x529000b3,0xf2050212,0xaa090133}},	//   _enseigna, _arkama_, _potissim, _baradhaa_, 
   {{0xd2d700c3,0x7248021e,0xf14c0026,0xf1f1024a}},	//   _honorem_, _summan_, _gedetail, _itankalẹ_, 
   {{0xa7e40326,0x00000000,0x00000000,0x00000000}},	//   _angatsiv, --, --, --, 
   {{0x660d02d8,0x48e20220,0xf34100a6,0xd7e103c6}},	//   _दोनदा_, _депутати, _دنظام_, _komplimi, 
   {{0xc3420107,0xcf2201c4,0xc2fd01ec,0x53f900c3}},	//   _setelan_, _begraafp, _inggil_, _mirum_, 
   {{0x0dc702ac,0xd29400a1,0x0ae302ca,0x00000000}},	// [6840] _مُعجبه_, _poikiri_, _meallann_, --, 
   {{0x73f90259,0xfe70027b,0xae0f00d4,0xd0f00209}},	//   _asbury_, _anantarā, _selektea, _affaanik_, 
   {{0xe9e60072,0x9c6600c8,0xd4ec01ef,0x3c6f0350}},	//   _haitianu, _барыбыҙ_, _pastatų_, _bharian_, 
   {{0x7b9a0046,0x79e50156,0xc64a0037,0x734f0037}},	//   _تىيمەك_, _קנאָבל_, _የሚመክር_, _kerepek_, 
   {{0xdfa70003,0xe15b000e,0xa20101da,0x3248032c}},	//   _makelaar_, _beinrich_, _arsim_, _asimi_, 
   {{0x42d9033c,0xcd7802ba,0x743801b5,0x6a3400d1}},	//   _ambell_, _энержии_, _hlakatak, _কাঠিৰে_, 
   {{0xe2e70148,0x61c602c6,0x226c04b3,0x620100cd}},	//   _khundia_, _andonioù_, _bodoek_, _cusiu_, 
   {{0x04910052,0x2f3b0222,0xf3f80240,0x93960265}},	//   _धर्मी_, _rangemen, _lekutu_, _wassen_, 
   {{0x045a0076,0xfbcb02a9,0xd3ea01cd,0x00000000}},	//   _inclusão_, _склепе_, _aqotho_, --, 
   {{0x94bb008d,0x8d9c0127,0x7681027b,0xddbd0061}},	//   _асарлари, _aralleka, _मूढाः_, _현재로서는_, 
   {{0xcf4b0461,0x520200b4,0xd881032c,0xeb1903c5}},	//   _inspirat_, _obtine_, _afrikamu, _haramkan_, 
   {{0x3a030205,0x1c7f0141,0x8d5c0040,0xc3790294}},	//   _borasida_, _janubiy_, _להקשיב_, _amsalla_, 
   {{0x3f2900de,0xc2ea0101,0x51520040,0x1f800277}},	//   _beprogra, _anuntat_, _החטיבה_, _geocodin, 
   {{0xa3ce0409,0xa59e032b,0x43a901e8,0x5c1f0065}},	//   _udover_, _болмасли, _angayang_, _doppelt_, 
   {{0x0ae20281,0xa201016a,0x6ba802d5,0x00000000}},	//   _heilmann_, _viziti_, _स्तंम्भ_, --, 
   {{0x9a8b0342,0x2aed0328,0x7b1f0229,0x00000000}},	//   _revizyon_, _barungit, _adlardan_, --, 
   {{0xf45b0137,0x5c6e01eb,0xaf0c00e5,0x00000000}},	// [6850] _стресст_, _ijarapa_, _осакатен, --, 
   {{0x48db0265,0xd809017a,0x23530378,0x9b6c008a}},	//   _leerling, _зарардид, _bussferð_, _leituala_, 
   {{0xd23602a8,0xa12e01c8,0xfcbd016b,0x00000000}},	//   _taljan_, _motorový_, _damaturu_, --, 
   {{0x13860329,0xd25a05d7,0xa5c7017a,0x41e601a3}},	//   _aport_, _boali_, _abhapath, _راڄوڻي_, 
   {{0x1d810052,0x5a830026,0x91200046,0x5bed0321}},	//   _भविष्यमा_, _schieten_, _دوڭۇزدار_, _opraviču, 
   {{0xd77801ec,0x7201016e,0x1c2c00a0,0xec5c01f6}},	//   _اوتادی_, _dizisi_, _dayantac, _সহস্ৰ_, 
   {{0x02ec0217,0xb3fa0053,0x30a60156,0x83ff005b}},	//   _faciate_, _teruji_, _לייווסטא, _dazzlin_, 
   {{0xfdae0307,0xca1700b4,0x8aa30137,0x43f10170}},	//   _elinomba, _asociata_, _рекламда, _fufuzani_, 
   {{0x60bd0045,0x53f800a2,0x5e520007,0x00000000}},	//   _апостолс, _majuu_, _pembenip, --, 
   {{0xb2550244,0x8c3c0157,0x83f40011,0x8dff040e}},	//   _direttam, _turnieju_, _amutya_, _bindinga, 
   {{0x81440068,0x42e5005a,0x5c0c031a,0xf2bf00d2}},	//   _federaal, _masuvmeh_, _lùghdach, _ceudeum_, 
   {{0x2b8a027d,0x229102fe,0x6c1800bf,0x22d4007f}},	//   _новом_, _bucala_, _женской_, _hardal_, 
   {{0xd2e105ae,0x298e0187,0xb402044d,0x385d01a3}},	//   _anuncio_, _париз_, _begutoon_, _بدشڪل_, 
   {{0x9d1d000c,0x33170497,0x4395018a,0xb15f023e}},	//   _мирзаеви_, _apocope_, _clasur_, _کامیپوتر_, 
   {{0xd3ac01a7,0x03680291,0xe35f003c,0xb98402bb}},	//   _kaupat_, _fungais_, _congkle_, _kominkie, 
   {{0x939d00c7,0xf4db004d,0x7cdb01dd,0x00000000}},	//   _балдакны_, _若房屋已出租_, _bakwemer, --, 
   {{0x4da00191,0xee700138,0x037d02ff,0xfa1500bf}},	// [6860] _avancera, _ilanları, _depanse_, _выдачу_, 
   {{0x6d9b0203,0x5c9303a2,0x1e8a0012,0xe7a80137}},	//   _geoffice_, _मड़ोद_, _बिपतिया_, _савханца, 
   {{0x83e3019b,0xc29101e8,0x224804cf,0xbb7e004d}},	//   _suprasti_, _agwat_, _izama_, _建立新標竿_, 
   {{0x9dee0576,0x7ea602f7,0x1db50247,0x00000000}},	//   _ممنون_, _buelelan, _diendela, --, 
   {{0xbaf501da,0xb3030050,0x19c0006a,0x0b6b0211}},	//   _evropian_, _salamet_, _mitenite, _skootter, 
   {{0xbfd600d9,0xf290044a,0x632102b3,0x3da50156}},	//   _столешни, _lukaka_, _agochar_, _גוטמוטיק_, 
   {{0x47420060,0x4e70016e,0xa37f0403,0x1c550193}},	//   _кешендер, _olanları, _alkaola_, _worthed_, 
   {{0x8b6a02d3,0xdef001db,0xe6f6020f,0x434703bf}},	//   _количини_, _апаларым, _ددومره_, _hohelwa_, 
   {{0xeac201f2,0xf0e60080,0x42340059,0xd28d007f}},	//   _تەھلىل_, _ajungill, _dormire_, _bychanu_, 
   {{0x3ae801f4,0x6e70055f,0xf2010498,0x25be00c7}},	//   _мумкинли, _alanları, _tusim_, _эрага_, 
   {{0x6fad023d,0xa35e0003,0x00000000,0x00000000}},	//   _formazio, _eindelij, --, --, 
   {{0x0eb80076,0xd9860414,0xa24804a5,0x38e800ff}},	//   _ishoppin, _babikaka_, _azama_, _כענטשין_, 
   {{0xbd9d0320,0x3cd60030,0x42cb06c1,0x00000000}},	//   _aringeta, _slapjš_, _vrtlozi_, --, 
   {{0xae700390,0xfef8018d,0x094e0365,0x3303024c}},	//   _elanları, _ሰራዊቱን_, _parádní_, _aclavet_, 
   {{0xd2480252,0xe2250132,0x572c0128,0x4060014c}},	//   _dzama_, _ezeket_, _turmushg, _esisayin, 
   {{0x2f2a016d,0x08c102cf,0xa10703f1,0xf225013d}},	//   _тилларни, _одобрува, _navijaky_, _blekas_, 
   {{0xbda10151,0x9396017c,0x72ba016d,0xcd2c04f8}},	// [6870] _eastward_, _kassan_, _нәпсаний, _hesitate_, 
   {{0xb29101e8,0xe18600c4,0x49030486,0xebec01ad}},	//   _agwas_, _گهٽيون_, _radostí_, _grieskir, 
   {{0xf45f00bd,0x999701b8,0xe3f80062,0x2aeb04ca}},	//   _survivin_, _omakorda_, _hibus_, _andorran_, 
   {{0xb296037a,0xa3960163,0xf94e02d9,0xfa2503c1}},	//   _amakuru_, _lassan_, _asilifit, _trabalha_, 
   {{0xe9430359,0x0f720023,0x9cf100da,0xd4580097}},	//   _barmhert, _подругу_, _mentiner, _pùùrù_, 
   {{0x96f904d3,0x19790021,0x9b63012e,0xb17b034d}},	//   _saibnkaw, _agnifice, _rajongók_, _fathimah_, 
   {{0xaddb06d8,0x304d023e,0xf373001e,0x5636036d}},	//   _पर्याप्_, _گلوری_, _bahause_, _foirmeil_, 
   {{0x6fa405f8,0xb2e801b5,0x00000000,0x00000000}},	//   _беккерел, _layicha_, --, --, 
   {{0x338f0103,0xfcf70287,0x1d910297,0x98570368}},	//   _panyaya_, _स्वकीय_, _beslanda, _дружили_, 
   {{0xa9aa010f,0xe248065a,0x8b64032c,0x42900054}},	//   _водии_, _uzama_, _josefsen_, _aukaka_, 
   {{0x5e70013c,0xc1e1023b,0x8b180135,0xa2630037}},	//   _planları, _ieroboam, _тарихлар, _meminati_, 
   {{0x3ae500d1,0xac5203fd,0x7a26004a,0x7a0c0073}},	//   _সহপাঠী_, _amataga_, _alançağa_, _islandne, 
   {{0x51dc015f,0x48b50098,0x41b10109,0x73020421}},	//   _phroblem, _kontorer_, _खतिवडाले_, _saubere_, 
   {{0x2248046d,0x82a302a6,0xc248021e,0x2e8802ea}},	//   _tsimu_, _marcucci_, _tummen_, _областен_, 
   {{0x29df0075,0xad6401ff,0xca90028a,0x00000000}},	//   _samleika_, _večerné_, _vijimamb, --, 
   {{0x337802be,0x1e8c0148,0x837902d9,0x4d21003f}},	//   _hanapin_, _一般性採購_, _lavatia_, _ngorlahc, 
   {{0x5a4701f0,0x8409026d,0x93470144,0x32fd0376}},	// [6880] _balelapa_, _arcibisk, _معلوماتك_, _stegar_, 
   {{0xe3f90117,0x766501b8,0x82d8024c,0x95820439}},	//   _birua_, _अतिसंव_, _damet_, _khutazek, 
   {{0x07f200ac,0xed6401be,0x4c8b0060,0x634100ba}},	//   _prebaciv, _večerní_, _шаққанда, _خۆڕای_, 
   {{0x06a6073e,0xb7e30177,0xb2010084,0xc16c01c2}},	//   _bentukny, _позициа_, _busik_, _alyssalo, 
   {{0x4d3b01db,0xfa16003c,0xc28400a1,0x6b400017}},	//   _атандым_, _ظرفغذایک, _ngahoro_, _neštovic, 
   {{0x02b60358,0x16360227,0x00000000,0x00000000}},	//   _kouche_, _dipinggi, --, --, 
   {{0x5a0a04f0,0xf290021f,0xb6680092,0x1f9b0189}},	//   _bonagala_, _ragaa_, _ニコニコ動画_, _animasyo, 
   {{0x22b604c1,0xa24801d9,0xe2010120,0x22e90282}},	//   _mouche_, _rummen_, _lafita_, _keringa_, 
   {{0xc625015d,0x62b40478,0x2255011c,0xf1190205}},	//   _pomorski, _felco_, _direktam, _чекишга_, 
   {{0xa20401a4,0xe237005d,0x529001c5,0xa2e900ab}},	//   _batiyeli_, _elimita_, _xagaa_, _purihia_, 
   {{0xa2d9015e,0x06b70204,0x82df01ec,0x99cc0092}},	//   _diuen_, _tomaatti, _ananing_, _関連サイト_, 
   {{0x7bcb01af,0xd5bb005e,0xde3d02eb,0x19f500d6}},	//   _abakanyň_, _ﺋﯩﺸﺨﺎﻧﯩﺴ, _долларта, _cadás_, 
   {{0x463100d6,0x6f1202d3,0x0ccd02a9,0x52e9019b}},	//   _tionchai, _инспирир, _laisvų_, _neringa_, 
   {{0x607501f4,0x53550059,0x87310270,0xe290016a}},	//   _кубоги_, _курорти_, _retornav, _vokalo_, 
   {{0x5b0a0075,0x83a20182,0x5e6f0178,0x82b603ea}},	//   _einstaka_, _hoopai_, _ananyasā, _couche_, 
   {{0xd29202ef,0xbe490061,0x114702ba,0x92b605c3}},	//   _desann_, _어디까지나_, _харитаи_, _douche_, 
   {{0xec530261,0x6396019a,0xe35f019f,0x8386012a}},	// [6890] _kulturo_, _passin_, _kuzungum, _spory_, 
   {{0x8db40534,0xe94b01d1,0x22010028,0xb2c101ff}},	//   _thanhloa, _historic_, _kusii_, _zaoberám, 
   {{0x938200bc,0xb11902c0,0x00000000,0x00000000}},	//   _کابلی_, _пекинг_, --, --, 
   {{0xa2d400c7,0x26bc00c1,0x3268025b,0x0e9604dd}},	//   _tordı_, _दप्तर_, _kunnandi_, _šampiona, 
   {{0xbc170253,0xc83c040f,0x22ca0350,0x00000000}},	//   _allaneer, _аскарбін, _አሰጣጡን_, --, 
   {{0x52d7039e,0xa37f0286,0xe2d80396,0xf2e5004d}},	//   _নথিকৰণ_, _hanania_, _ramel_, _因為是新手啦_, 
   {{0x15290244,0xc25a0344,0x6b6b0372,0xf2d802a3}},	//   _possiamo_, _anilu_, _cemother, _samel_, 
   {{0x28c80162,0xb71d0059,0x030e0056,0xf24902ea}},	//   _بايلىقىن, _правилна_, _amabika_, _pomodori_, 
   {{0x82010396,0x1b660090,0xa1ae00de,0x553e034d}},	//   _issib_, _akaroiwa_, _امللي_, _seriusny, 
   {{0x82b20211,0x99590192,0x12d90002,0x02900260}},	//   _звезд_, _출고예정일_, _radnike_, _fagan_, 
   {{0x333a018d,0xfe9e0411,0x2a0800fe,0x631003ad}},	//   _ዝጠመተን_, _павло_, _fanafana_, _addittiv_, 
   {{0x3af50175,0x59810034,0x66a10219,0xcbd50099}},	//   _entegras, _innheimt, _angenisw, _ainditar, 
   {{0xe9fb0163,0x29500349,0x82f504ee,0x634b02a4}},	//   _ellenség, _alformat, _sisitem_, _solebat_, 
   {{0x17360091,0xea44029d,0x93fe0192,0x764a0097}},	//   _aallanng, _pedeapsa_, _autoverz, _sisọnu_, 
   {{0x59bc01b5,0x5a060211,0xe2ca006e,0x42000359}},	//   _beleriwe, _lokakuut, _bindé_, _bekind_, 
   {{0x934b02a4,0x00000000,0x00000000,0x00000000}},	//   _volebat_, --, --, --, 
   {{0x33ec0187,0x431f0371,0x220201a6,0x06b701db}},	// [68a0] _настрана_, _maschio_, _korihi_, _كازاحيا_, 
   {{0x1aee010f,0x32c10138,0x42d800b0,0x19d6008a}},	//   _abadayis, _bülent_, _ineey_, _konefele, 
   {{0xa2490396,0xe3410208,0xa1830012,0xcc06024c}},	//   _drammi_, _رچوار_, _लोटवाँसी_, _isostnu_, 
   {{0x9c6f000c,0x7f30028a,0xf4bb018d,0x8e8f0169}},	//   _ajoréo_, _ٽئگور_, _ክመሓየሽ_, _ধাপসমূহ_, 
   {{0xc24905ac,0xd3b601cd,0x3853004f,0xd52e03e9}},	//   _frammi_, _найранг_, _eskaneer_, _dedowşin, 
   {{0x9fd300ac,0xec3f0060,0xfab7051a,0x99e201a3}},	//   _postojeć, _адамнан_, _keikhlas, _ماڳين_, 
   {{0x78cd00be,0xac7602e4,0x24540012,0xa14203d5}},	//   _اقىرىقى_, _onorati_, _पह्लीसे_, _cactaceo, 
   {{0x02d803d7,0x816b052a,0xe24b01ab,0x74a500ec}},	//   _samem_, _deepthro, _चिरइया_, _пункце_, 
   {{0xae030089,0x92d80068,0xd80c0162,0xf7c9018d}},	//   _форматы_, _sheeg_, _биригиму_, _ተደርብዩ_, 
   {{0x21f40041,0xe2900119,0x97fc0225,0xb6b703f2}},	//   _автобылт, _tagan_, _herbring, _romantti, 
   {{0xa3f801e9,0x67a804da,0x22d90590,0x03780318}},	//   _babui_, _zastupni, _izaera_, _lofanga_, 
   {{0x22d80534,0x8c5b01f1,0xc290003a,0x229001f0}},	//   _gamek_, _sikurse_, _ragan_, _gagao_, 
   {{0x622901a7,0xc3f801fe,0xbad7043a,0x48dc0022}},	//   _показать_, _dabui_, _kiemavan_, _нурия_, 
   {{0xa2d800b2,0x9356000e,0xb3f800ad,0xc2900120}},	//   _amnestii_, _forenes_, _tabuh_, _dagal_, 
   {{0x42010286,0x62d8029e,0x72f10051,0x420202e0}},	//   _bibini_, _kamek_, _patiesi_, _diriti_, 
   {{0xd20003b5,0x97e7008d,0xb20001b5,0x52d80115}},	//   _wanita_, _тиллари_, _fanisa_, _jamek_, 
   {{0x720f0158,0x7b730377,0x4c110362,0x62d903f3}},	// [68b0] _गुलज़ार_, _воланул_, _bampasi_, _drenthe_, 
   {{0xa2120158,0x148e00c5,0x896300d0,0x126e017e}},	//   _cechy_, _县令毒打屠夫_, _plangint, _tirolo_, 
   {{0xc7110255,0x1a1e00b3,0xee50002f,0xa080032d}},	//   _जबरदस्ती_, _милии_, _arichiwa, _училищеһ, 
   {{0x6e1d0019,0x58cc0244,0x2d8701a6,0x227d00ba}},	//   _компрома, _raffredd, _karekare_, _مارۆدانی_, 
   {{0x193e0405,0x59ef00d1,0xe411054c,0x00000000}},	//   _модерніз, _শুকুৱাৰ_, _skinnjak, --, 
   {{0xbc6e018e,0x4a9300a7,0x275d0255,0x00000000}},	//   _eberiya_, _тотеми_, _चिन्ताक_, --, 
   {{0x62900163,0x932301f4,0x00000000,0x00000000}},	//   _magam_, _baucher_, --, --, 
   {{0xe04b0329,0x6c5f0148,0xcd8701a6,0x9c5500f2}},	//   _antrepan, _tertium_, _harehare_, _skatuve_, 
   {{0x1379030f,0xbd110569,0xc90b01c5,0xc2d3023a}},	//   _horaina_, _doslovce_, _khubarad, _kameňmi_, 
   {{0x33e3031d,0xdc7202a6,0xa234017a,0x5a880181}},	//   _pledging_, _serrant_, _akumele_, _anrikats, 
   {{0xd24b00d1,0x42ff005b,0xf2d80288,0x46330220}},	//   _কান্দে_, _harakiri_, _tamek_, _attivazi, 
   {{0x0e590359,0xca8801e9,0x4a3400d1,0xf9dd0265}},	//   _kombinaa, _diribats, _কামিৰে_, _profitee, 
   {{0xb29001fc,0x7cd1061a,0x210402ba,0xc1a10296}},	//   _cagal_, _संवेदनशि, _anakekel, _varifrån_, 
   {{0x46820046,0x5a640212,0x52d800e4,0x5888019f}},	//   _сексуалд, _imagefap_, _zamek_, _kuchungu, 
   {{0xc2e8018c,0x9f950337,0x9bd9004d,0x885b0259}},	//   _surfen_, _maddeler_, _人事行政局_, _ankomstd, 
   {{0xb9aa01ea,0x1cd5030b,0xb20000a9,0x9f0605ce}},	//   _кофир_, _abakungu_, _ganira_, _başlığın, 
   {{0x8682010d,0xc290014d,0xd354023a,0xd38601a3}},	// [68c0] _आरपार_, _gehalt_, _mäkké_, _ڀائيٽي_, 
   {{0x229001fc,0x37280013,0x5200030b,0xbd8e007e}},	//   _ragad_, _мардикор, _aanira_, _चित्तचैत, 
   {{0xb507012e,0x329002e7,0x1305005e,0xef0c004a}},	//   _ناواقف_, _sagad_, _سوغاق_, _алмашуын_, 
   {{0xf94c02d3,0x5b6202ee,0xb539038e,0x0343027e}},	//   _incorret, _ffurmata_, _tawakkal_, _потомак_, 
   {{0x329003a0,0x77fc02b0,0x368000e9,0x52c5018b}},	//   _bagae_, _verbring, _paretati, _ochelari_, 
   {{0xc3070278,0xfc0a0423,0x130701fc,0x17250061}},	//   _manakah_, _pivovaru_, _panamah_, _민원신고센터_, 
   {{0xc16100bf,0x02910274,0x78a50037,0x420103bf}},	//   _оказания_, _musamamm, _ቁምነገሩ_, _dibili_, 
   {{0xf201027c,0x424500bc,0xb5a303f2,0x303100c1}},	//   _baviwa_, _کانفیگ_, _murrosik, _beternak_, 
   {{0xb3f901d2,0x33680217,0xa16a01b8,0x0d9d01da}},	//   _tirul_, _initialm, _दुरागमनक_, _brigjeve_, 
   {{0x86d00499,0xc37b0233,0xd39400fd,0xfc6001f0}},	//   _aevageli, _affabil_, _coisir_, _diureng_, 
   {{0xc25b05f3,0xa29204cf,0xe2990311,0xcc930354}},	//   _ciclos_, _kusasa_, _ስፓፎርድ_, _ساپال_, 
   {{0xd25a079f,0xa8d601b7,0xa34200cd,0xb7ec02fc}},	//   _tiile_, _भ्रुवोर्, _aczepto_, _bakareng, 
   {{0xf89a01d2,0xe99900c7,0x1b2001e8,0x00000000}},	//   _chikuslu, _бичаради, _makalimb, --, 
   {{0x42d804bb,0xd45f021b,0xd2010244,0x487e00af}},	//   _cheeb_, _sovelluk, _ossia_, _вдруге_, 
   {{0x43020062,0x67560220,0x9bda0269,0x00000000}},	//   _dunadqu_, _equipagg, _llamando_, --, 
   {{0xa14800b3,0xb1c90126,0x5fc300c5,0xfe360045}},	//   _аланымыз, _сигналіз, _policier_, _агенцијс, 
   {{0x936600fa,0xcd470072,0x741f0409,0x941a0037}},	// [68d0] _sanggol_, _qalakayu_, _masahiro_, _አስመጪና_, 
   {{0x9e970478,0x2c4402b2,0x88fe022b,0x00000000}},	//   _castanet_, _курсом_, _avvarand, --, 
   {{0xe30e017d,0x9a0a03db,0x00000000,0x00000000}},	//   _aftaler_, _bonakala_, --, --, 
   {{0x820e015e,0x426e005b,0xd1fc00a6,0x00000000}},	//   _бакай_, _hiroko_, _تقنيني_, --, 
   {{0xe6f70205,0xf2480259,0xde1603a0,0xe30e000c}},	//   _تامانن_, _asami_, _bolemela, _añandu_, 
   {{0x60bc016a,0xe3fa03ff,0x9de600c4,0xb7d50044}},	//   _רפואות_, _struny_, _اگيٿون_, _overview, 
   {{0xa3dc0438,0xe946027e,0xc3a3018b,0xc58e0066}},	//   _zomwe_, _заставе_, _scapat_, _deiturik, 
   {{0xe3f90212,0xa5eb0122,0x8c060044,0x1031010d}},	//   _virum_, _دروازه_, _realized_, _peternak_, 
   {{0x9249041e,0x5296008e,0x32480220,0xe3eb0188}},	//   _oramai_, _bakkanu_, _esami_, _aletha_, 
   {{0xce07007e,0x426e019f,0xb2b60455,0x1b8c01f4}},	//   _agnayaḥ_, _kiroho_, _boucle_, _hadislar, 
   {{0x0e6002ec,0x73eb0160,0x9e6f0040,0x2f7304a7}},	//   _نى۪نگلان_, _kratak_, _המעטה_, _bracaren, 
   {{0xa2b1040b,0x99880013,0xdd2a00a4,0x79e30205}},	//   _gandisa_, _dushanba_, _visitant_, _коламан_, 
   {{0x71f20272,0xa4be03b8,0xc6820053,0x00000000}},	//   _anandyam, _фирманың_, _आरमार_, --, 
   {{0xe2010206,0x9db300d6,0x33f901e8,0x9d1303f7}},	//   _musis_, _adhainte_, _mabusi_, _bökuðum_, 
   {{0xda5002ac,0xae7702d3,0x41f00062,0x0d6801bb}},	//   _اليقين_, _другар_, _chundabm, _başlan_, 
   {{0xe05301a0,0xce3902d8,0xfb6401a7,0x54280311}},	//   _emisaven, _kapasita, _kuluessa_, _ብምዃነን_, 
   {{0x1f240075,0x09870282,0x45830024,0x225b015e}},	// [68e0] _klári_, _parihaka_, _সাধাৰনতে_, _cicles_, 
   {{0x119401bb,0x0292012c,0x5403004d,0x61b500d9}},	//   _abraýly_, _busara_, _中時部落格_, _клиники_, 
   {{0xb28903e5,0x202e0220,0x55010087,0x8201023e}},	//   _hibalani_, _fondazio, _etoronto_, _arsik_, 
   {{0x512702da,0xe07c0040,0xb7ae0193,0x3280003f}},	//   _садови_, _לאשכולות_, _genuardi, _parisay_, 
   {{0xbb0c025c,0x44330024,0xa201004b,0x7201028a}},	//   _verschle, _দুবিধ_, _dibibi_, _mizizi_, 
   {{0xf2d602db,0x67a50321,0x6f0002eb,0x08470219}},	//   _impotan_, _refrakti, _сэлка_, _hlambulu, 
   {{0x36ed001e,0x62b403d5,0xf3950395,0x5288005b}},	//   _sasantaw, _baical_, _vlasec_, _eikoの_, 
   {{0x29ab01a7,0xfa9a031a,0x92e000bd,0x438f02be}},	//   _остальны, _bochanan_, _dauncin_, _aanyaya_, 
   {{0xe3fd015d,0xc396016f,0xb55401ef,0x028c01e8}},	//   _jednostk, _tipset_, _nukentėj, _diyagram, 
   {{0xb8660309,0xd6810205,0x8dd000e6,0xf9aa03d4}},	//   _pornould, _gazetasi, _就可以从哪里开始, _волим_, 
   {{0x42fd01d1,0x6b0e0388,0x32d90114,0x9a09015a}},	//   _artists_, _rassegna_, _freely_, _barachaa_, 
   {{0x83f900d7,0xe7d80307,0xf9f903eb,0x084d0101}},	//   _babusi_, _emvumelw, _parasiet, _impozitu, 
   {{0x5d970281,0x71fa0557,0xdaec038d,0xa5c70244}},	//   _kuulumaa, _abanezim, _poursant, _sappiamo_, 
   {{0xb290021a,0x98470011,0x33410160,0x6b6302f7}},	//   _nagaa_, _alambulu, _ugledao_, _kgetsana_, 
   {{0xe20104f7,0x72d8026b,0xb14100e6,0x537f02a0}},	//   _davita_, _sujeto_, _岁儿童穿着_, _kokanla_, 
   {{0xa8c80092,0x01600044,0x1546004d,0x79c90155}},	//   _ちゃんねる_, _strongly_, _何德明教師_, _renovera_, 
   {{0xd340023b,0x6b190140,0xcec50079,0x00000000}},	// [68f0] _gideona_, _kasarian_, _astoņas_, --, 
   {{0x19f80014,0x4b1f0084,0x1e4b0095,0x12010478}},	//   _paraqite, _sakalian_, _antawaca, _ausir_, 
   {{0x83dc036a,0x03f900a2,0x368d017d,0x1288005b}},	//   _alewa_, _kaburi_, _stiftsti, _aikoの_, 
   {{0x618c03b9,0x6e150057,0xd3f80370,0x45650291}},	//   _yatalley_, _keredhaa, _rabul_, _كنتاكي_, 
   {{0x520100e4,0x5c530028,0xe2b403bf,0x446d0086}},	//   _kavita_, _kastaba_, _bedco_, _zemplén_, 
   {{0x03c80066,0x9248005b,0xdf3103ab,0xac000061}},	//   _системтэ, _osamu_, _otestova, _방울토마토_, 
   {{0xc3f80374,0x4290044a,0x752801db,0x6da101c8}},	//   _qabul_, _lokalo_, _футболын, _nedokona, 
   {{0xe2900209,0x8301008a,0xf2ef012e,0xaedf03c6}},	//   _aagaa_, _lavatai_, _addigra_, _kornelis_, 
   {{0xcedf000d,0x92fd033c,0xb25a00ed,0x62fc0385}},	//   _kuningas_, _ategir_, _giila_, _odraditi_, 
   {{0xf3f902c1,0xd49701b8,0x52610157,0x0b8b007b}},	//   _zaburi_, _autokool_, _अक्षत_, _cornyair, 
   {{0x0ed600d9,0xa3040472,0x81a1014e,0x130d0437}},	//   _onnistun, _menopang_, _обнове_, _salater_, 
   {{0xb3eb00d7,0x92010243,0x6b550265,0x69d300b5}},	//   _anetsa_, _bibici_, _wandelen_, _imitârus, 
   {{0xcb1f0057,0x30990041,0x2ca601f4,0x82ef022f}},	//   _pulangan_, _еилибака, _шахсини_, _skundai_, 
   {{0x5291012e,0x98f40368,0xf4b4038b,0xa9ff0133}},	//   _mawad_, _академиј, _dijanjik, _finiinaa_, 
   {{0x8c3c013c,0x7ef90246,0x8dd2025e,0x00000000}},	//   _malikanə, _сервиза_, _veikinda, --, 
   {{0xe2b401df,0x666f0037,0x63f800b6,0xf027004d}},	//   _grocer_, _የፈጣሪዎች_, _labuk_, _受祝福的天國戒指_, 
   {{0xddc002f6,0x3b700291,0x0b1f010d,0x13570049}},	// [6900] _kadilima, _diarmada_, _tulangan_, _taufana_, 
   {{0xebe000cd,0xaa3c00bf,0x62e700ec,0x7fbd03eb}},	//   _camenisc, _муром_, _reklamoj, _tennisto, 
   {{0x8292038e,0xada3017f,0x81a500bc,0x92b40372}},	//   _desain_, _aarnerpa, _والنسیا_, _brocer_, 
   {{0x6ae2048e,0xe5160297,0xe25a04f9,0x2a150038}},	//   _bludafes, _музейлар, _biili_, _гуийиң_, 
   {{0xc3870138,0x55bb039d,0x9d5c0064,0x694003e8}},	//   _ederiz_, _takadzah, _мухаррам_, _ličenje_, 
   {{0x325b01a4,0x92ca0167,0xe26c00e4,0xa8d100e6}},	//   _afandisi_, _chodir_, _imiona_, _急切寻找父亲母亲_, 
   {{0xda9a0322,0x4b8b03bf,0x474200db,0x05e900b3}},	//   _akanabis, _fenishar, _ideoloog, _bildirmä, 
   {{0x02a705f8,0xf31f01a3,0x80510009,0x325a055f}},	//   _районах_, _محاذن_, _preudarn, _fiili_, 
   {{0xf460001a,0x95bf0038,0xd9770067,0x817a034c}},	//   _berendez, _идеаль_, _bushooft, _самолетк, 
   {{0x825b041c,0x83b70479,0xde4a03ad,0xf2d80222}},	//   _doylu_, _jövök_, _drastiku_, _lames_, 
   {{0xa30a0106,0x3c5601fe,0xae570414,0x63330060}},	//   _गोपालदास_, _cortnee_, _bambonge_, _تىنىشتال, 
   {{0x225a05b8,0xdd050485,0x8e960154,0x8e9c036c}},	//   _fyller_, _primært_, _елиминар, _toamasin, 
   {{0x53f80201,0xb26d047b,0xea9a014d,0xd24d0012}},	//   _kabuk_, _sandavág, _chinesis, _नसइलऽ_, 
   {{0xd3cf003f,0xfc61051a,0xe1880229,0x857d0311}},	//   _chavqo_, _kautsar_, _zarafatl, _ይኽለኣለይ_, 
   {{0x9d220411,0xec4e0207,0x6292041b,0x5c290151}},	//   _результа, _ثمينه_, _resain_, _disaffec, 
   {{0x62d800f4,0x4df0001a,0x77eb0251,0x701f00c0}},	//   _bamet_, _پنجوں_, _ilmahaag, _bulwagan, 
   {{0xade70192,0x7f420143,0x6593004c,0x13460137}},	// [6910] _부동산써브의_, _добрева_, _baasibuk, _намынх_, 
   {{0xbda501aa,0x434205f2,0x4f840235,0xf608001d}},	//   _optionwa, _ascenso_, _विराजते_, _profanum_, 
   {{0x83f803ba,0xf291062b,0x92d800c3,0x6fd80039}},	//   _arouro_, _tawag_, _fames_, _esandako, 
   {{0x8d8502e7,0x62a60321,0x79fe0333,0x7344066c}},	//   _advetise_, _prejeli_, _attalent, _naberte_, 
   {{0x343d0024,0x0f1d007c,0x33f80084,0x825b033a}},	//   _নিখিল_, _kubunjwa, _labuh_, _ifalli_, 
   {{0x18c9018d,0x8c750178,0xb2d803ad,0x00000000}},	//   _ብወለንታ_, _माण्डू_, _hames_, --, 
   {{0x12e701b8,0x664f0026,0x1323001d,0x951a0361}},	//   _आदमीं_, _verkiezi, _inscrir_, _ярмарочн, 
   {{0xd2d80044,0x776b0092,0xb88f0153,0x89e40307}},	//   _james_, _具体的には_, _このお店の情報が, _ilungisa_, 
   {{0xa2020541,0xe2000065,0xf2010374,0x17de01a3}},	//   _pozorišn, _linien_, _nafisa_, _هٻڪندي_, 
   {{0x12c0032d,0x35ae0092,0x134603eb,0xc9960125}},	//   _ундай_, _アドベンチャ_, _bundels_, _artykogu, 
   {{0x2277003f,0x72f30120,0x3b17010b,0xe06f00aa}},	//   _bingaghm, _fakimut_, _golafets, _kampiyon, 
   {{0x73f804ea,0x72a00101,0x79fa009c,0x3201001d}},	//   _bajur_, _fotbal_, _agradise, _issim_, 
   {{0xa7a0018a,0xe2bb020e,0x03100077,0x7633008d}},	//   _gostyngi, _difense_, _dediktiv_, _tabassum_, 
   {{0x61560125,0x862500e6,0xca0800d5,0x70740193}},	//   _басылан_, _开创祖国航天_, _hananana_, _समीक्षका, 
   {{0xad070321,0xd1ea0366,0xcbf601f2,0x03430367}},	//   _neprimer, _важнейши, _йүсүпниң_, _caseiro_, 
   {{0x097500fb,0xf2d8015c,0x92b6018b,0x62d80046}},	//   _amangale, _mamer_, _ciudate_, _cames_, 
   {{0x52d803ad,0x1960003c,0x12870251,0x678e019d}},	// [6920] _qamet_, _abangire, _barkhad_, _bwitibwi, 
   {{0x77470139,0x00000000,0x00000000,0x00000000}},	//   _asminnev, --, --, --, 
   {{0xac5b0189,0x12900230,0x5bff0321,0xc54100ba}},	//   _listesi_, _ankado_, _paradižn, _سیفاته_, 
   {{0x497503db,0xedfe0060,0x2e48006c,0x5fe602d6}},	//   _emangale, _جەلىك_, _amashumu_, _мануэл_, 
   {{0xb2010076,0x59d002c2,0xd99d00c7,0x1248025f}},	//   _assim_, _advertee, _хатын_, _apimi_, 
   {{0x85bb03e9,0x6a0902e0,0x7ffa00d1,0xbc6902b3}},	//   _атаның_, _difalana_, _কালক্রমত_, _abertal_, 
   {{0x823401cd,0xe02500c4,0xce9c00de,0x5e990220}},	//   _okumele_, _چوطرف_, _anamabin, _sostanze_, 
   {{0x46820045,0xa14f0032,0xe14902fd,0xd2eb024c}},	//   _непреста, _bonodmeh_, _chlosach_, _elenkar_, 
   {{0x0b340104,0x6c05021b,0x135c0153,0x00000000}},	//   _kukakris, _sallittu_, _クチコミとは_, --, 
   {{0x44380086,0xc256002b,0x78c4016e,0x0395018b}},	//   _مباحثے_, _পিস্তল_, _ellerind, _clasic_, 
   {{0xca0f0211,0x5d9103a4,0x4a0900cd,0x325b0189}},	//   _pelastaa_, _alstórum_, _barschau, _atalay_, 
   {{0x84b90193,0x5db6005e,0xb290021c,0x320101f9}},	//   _membedak, _شۈكۈر_, _kanady_, _bafisa_, 
   {{0xa1c4005a,0x523700a1,0xda1600c4,0x555c025e}},	//   _birehmeh_, _roimata_, _ڇنڊڇاڻ_, _teiknimy, 
   {{0x0305051f,0x7f7e006c,0xe23403db,0x8d6d06f3}},	//   _سوباس_, _сайдулло_, _ekumele_, _फ़ाईल_, 
   {{0x634a034a,0xd39401d6,0xe7a10073,0x2fe700dd}},	//   _comezou_, _friske_, _dependev, _cheiswyr_, 
   {{0x7f1b0044,0x21ca01d9,0x82d80045,0x21d101aa}},	//   _מלאכי_, _donnéeë_, _izmeni_, _ayteekay_, 
   {{0x4c6701d5,0x7b3403db,0xb28d01f3,0x1b550450}},	// [6930] _پرکاش_, _bukakris, _kompakty_, _fandalen_, 
   {{0xa37202f7,0x734e0441,0xa25a013d,0xf8c60126}},	//   _seraing_, _majetek_, _kialo_, _інфекції_, 
   {{0xfff700ff,0xe0f80092,0x03dc0097,0x875b0193}},	//   _דעניס_, _ストラップ_, _elewe_, _सिस्टिम_, 
   {{0x2593006c,0x5a0a0262,0x325a023a,0x00000000}},	//   _abasebuk, _agramyna_, _dialo_, --, 
   {{0xa8b10450,0x068c03b6,0xc25a054e,0x0d1b0244}},	//   _deitelev, _alakọbẹr, _unalu_, _giurispr, 
   {{0xe43501c5,0x4e950203,0xb7db0220,0x9bf9034c}},	//   _hambalyo_, _esitstet_, _semplici, _бердәй_, 
   {{0x7d8d0037,0x7b6d013e,0x0fb900e1,0xb3210325}},	//   _በመቀላቀል_, _pretukla_, _kopernic_, _divanə_, 
   {{0x72e80241,0xb25a014b,0x0aa9032d,0x439e0355}},	//   _aayinaa_, _biilu_, _керетеп_, _stražnji, 
   {{0x5b93019b,0x58d80162,0x00000000,0x00000000}},	//   _atsirado_, _сәйлигаһ_, --, --, 
   {{0x2a5d00d7,0xd52703a2,0x00000000,0x00000000}},	//   _ташларға_, _बुख़ार_, --, --, 
   {{0x230d0386,0x84eb0037,0x92480551,0xc3dc0438}},	//   _membaca_, _ለማርያም_, _upama_, _lomwe_, 
   {{0xf2e902f6,0x5e3703c7,0xe7ca004d,0xf26d02f7}},	//   _maingat_, _bolesław, _直接線上填寫退貨, _kagore_, 
   {{0x75a202e6,0x68e4002b,0x00000000,0x00000000}},	//   _overblik, _মৃত্তিকা_, --, --, 
   {{0x43a200d9,0xae4d00a9,0x4b9801b8,0x52d8015f}},	//   _helppo_, _kabarebe_, _जहाँआरा_, _amnest_, 
   {{0xe93500f2,0x3173027b,0xf9c400d0,0x218f00f8}},	//   _pusmarat, _अहोसि_, _beherant, _মোহনপুর_, 
   {{0xcb8b0250,0x9e2303d6,0x0a08023b,0x5202008e}},	//   _familjar, _पुर्तगाल, _manamana_, _firisi_, 
   {{0x420200ab,0xd3210125,0xf30002a0,0x534f016e}},	// [6940] _tiriti_, _artyk_, _anfaani_, _verecek_, 
   {{0xedb7031a,0x1fc801c8,0xd7e900f7,0x00000000}},	//   _chlisgea, _aktivito, _burbonoj_, --, 
   {{0x4ea20315,0xb03302c0,0x325500f8,0x4b190046}},	//   _ekulimen, _декодира, _এতক্ষন_, _vacariss, 
   {{0x716301ea,0xce16020b,0xa20201fe,0x25fc021b}},	//   _номидан_, _bolelela, _kirisi_, _потребов, 
   {{0x826d019d,0x7b7400c7,0x6a000066,0x4ea60397}},	//   _osgood_, _bazasın_, _darabilt, _кадриву_, 
   {{0x928f01e5,0x63410029,0x5c3c0176,0xe39c00a4}},	//   _amukoko_, _چۆمان_, _shinjuku_, _максатта_, 
   {{0x4f240251,0xfdd30142,0xd37b02c3,0x00000000}},	//   _degenaan, _deveṣu_, _číslami_, --, 
   {{0x72ea0197,0x646e0061,0x92300273,0x730d0074}},	//   _kominal_, _베타테스트_, _salmón_, _valintoj, 
   {{0xfdc20006,0xf26c00a5,0xe290024c,0x13010058}},	//   _didirika, _eliota_, _allarm_, _yavapai_, 
   {{0x3f7901f2,0x5628022e,0x00000000,0x00000000}},	//   _әйсәр_, _altituti, --, --, 
   {{0xa60f0101,0x92da011b,0x4c5400b5,0xdeb202f9}},	//   _autoturi, _atuniye_, _guayrá_, _esperans_, 
   {{0x3b700028,0xcda400e7,0x969501b3,0x487f00da}},	//   _shirkada_, _achingwa, _куточок_, _regimulu, 
   {{0x1fc30222,0xd4a30279,0x02020340,0xc90d029a}},	//   _modifier_, _logiciel_, _piriti_, _zalantou, 
   {{0x6b1f00fd,0x1202024f,0x62910087,0x348b003e}},	//   _cumantan_, _qiriti_, _micato_, _аталһа_, 
   {{0xf2df00ed,0x53f904f2,0xd29201f9,0x35f10263}},	//   _whining_, _virut_, _etsala_, _besmetti, 
   {{0xe25a0528,0x52020124,0x42df0220,0xc6e30061}},	//   _ciall_, _giriri_, _progetti_, _통합교과를_, 
   {{0x523200f8,0x1a3002ec,0xcf570084,0xf9b60040}},	// [6950] _ejemplo_, _پۯژھنے_, _kampunga, _טורדניות_, 
   {{0x5957069c,0xd965015e,0xf7e00012,0x80ad0178}},	//   _osvoboze, _алтайды_, _परगराम_, _devabrāh, 
   {{0xc3dd05f4,0x53050113,0x5379013c,0x7284004b}},	//   _ajawan_, _مولاي_, _hesabla_, _bonhril_, 
   {{0xeee70067,0xa764032b,0x0c9000ba,0x63be0080}},	//   _bekkaman, _ھېلقى_, _ڕافیزه_, _inivili_, 
   {{0xb5500297,0x580500c7,0x00000000,0x00000000}},	//   _kereşälä, _kesägä_, --, --, 
   {{0xeeb00200,0xc9cd0204,0x73780050,0x116901f7}},	//   _edereede_, _kavereit, _babadna_, _chassano, 
   {{0x789b03d4,0xd9df00ba,0x23000133,0xe42603c2}},	//   _украшен_, _فڕێده_, _dabalii_, _asprynyn_, 
   {{0x8dc30359,0xe2940020,0xc3050488,0x562f0322}},	//   _notifika, _afakasi_, _nevaram_, _aransubi, 
   {{0xd37f00a1,0xc1ad003c,0x00000000,0x00000000}},	//   _nanakia_, _سيمبين_, --, --, 
   {{0x18930061,0xd218008d,0xb25a0246,0xf2f000bb}},	//   _기획감사실_, _ярмаркас, _viale_, _ٹائیگرز_, 
   {{0x22f101cb,0xdd900148,0xaa0800aa,0x32ea0338}},	//   _nayithi_, _加入我的最愛商品_, _banabana_, _inuncat_, 
   {{0x02910462,0x624904b3,0x329202c1,0xf35603db}},	//   _archmay_, _dremen_, _musaza_, _ebefuna_, 
   {{0x476f003b,0xf874047a,0x130401c8,0x2f300040}},	//   _akahlang, _grannrou, _dorazil_, _ואימונים_, 
   {{0x447e0188,0x58c306d9,0xb344030a,0xf2f9023b}},	//   _пиров_, _colexiad, _lucense_, _omohala_, 
   {{0x4fe5023c,0x4cf90287,0xf02e001d,0x9d3f0594}},	//   _akuzufun, _povinně_, _kondizio, _irritert_, 
   {{0xc5280156,0x14ac01f6,0x5c230141,0x830c022a}},	//   _התועבה_, _কেন্দ্ৰ_, _kamaytir, _tonatas_, 
   {{0xcc090301,0xea060344,0xdece00d6,0x76350439}},	// [6960] _avtobusu_, _allaasut, _مصنوع_, _khanseli, 
   {{0xe80c03f1,0x834d0442,0x42ee02ea,0x2be30188}},	//   _pozitívn, _meletak_, _cognomi_, _anempilo_, 
   {{0xc48707a0,0x03eb028d,0x2e0c007a,0xd20a005e}},	//   _देहांत_, _kratik_, _diedarka, _тарихтик, 
   {{0x6a5d04bc,0xe2ae02d4,0xcd4000a2,0x87c800c5}},	//   _områda_, _decidì_, _wahalifu_, _prisonni, 
   {{0xc7580105,0x4ee501c9,0xd80a018d,0x13f9003f}},	//   _विध्वंस_, _मुस्किया, _ሃተፍተፍ_, _dirur_, 
   {{0x775f00c1,0x78bf00dd,0x74d700d3,0x00000000}},	//   _संस्थेत_, _galedwed, _सेडिंग_, --, 
   {{0x230d0402,0x0202045d,0xe51f01db,0x825a0295}},	//   _penawar_, _pozorišt, _كويىنشە_, _siale_, 
   {{0xb35601f9,0xf655002f,0xe3f80256,0xb152014e}},	//   _abefuna_, _anchuchi, _labus_, _незванич, 
   {{0x12d80160,0x53440055,0x27b302e7,0xc2680294}},	//   _donese_, _barette_, _ikasulti, _chaimipi_, 
   {{0x0e53006d,0x7b01012c,0x9d830066,0x45350004}},	//   _медуніве, _opereshe, _tailerra, _chansely, 
   {{0x3fac01cb,0x16990164,0xf3f9003f,0x16b9000a}},	//   _okumitho, _ئوپتىك_, _birur_, _ammaneri, 
   {{0xc5270100,0xa2d904a5,0xfbdd0105,0xf29002f7}},	//   _potrudio_, _abonise_, _बनिया_, _dikaro_, 
   {{0x91970388,0xc88301f5,0x6afd012e,0xca080176}},	//   _блиндира, _perilaku, _istentis, _canacana_, 
   {{0x624900f4,0xb36602e1,0xd32100e4,0x53f80071}},	//   _tremen_, _drogall_, _wstyd_, _babut_, 
   {{0x07bc010d,0x0a7605a2,0x126d01e5,0xd1d70021}},	//   _प्रश्नाच, _नग्नता_, _argonu_, _annedtay_, 
   {{0xd2010108,0xdb2500c4,0xa40f042c,0x6bc700af}},	//   _arsip_, _پريڊيءَ_, _sutradan_, _продажі_, 
   {{0xe36702e6,0x174300c7,0x4b750011,0x00000000}},	// [6970] _langsom_, _кунса_, _baguguba_, --, 
   {{0xc3a800ad,0x4daa0212,0x73f80312,0x73370089}},	//   _sakadang_, _artgeist_, _tabut_, _кинода_, 
   {{0xc25a0334,0x79ce0041,0xd30401e4,0xbe1c00b9}},	//   _anali_, _адоцент_, _porazil_, _kesediha, 
   {{0x19c302eb,0x442b01a3,0x00000000,0x00000000}},	//   _kolegiat, _پڙھائي_, --, --, 
   {{0xa291002f,0xca02042f,0xd291032d,0x2c6801ae}},	//   _hawan_, _kanataup_, _dibaka_, _cobrado_, 
   {{0x8731002a,0xcbee0076,0x6b730288,0x4291016b}},	//   _amaliteg, _каков_, _mururaoa_, _bawan_, 
   {{0x722e03ab,0x92d80241,0x52910429,0x63f80062}},	//   _pravidel, _abeel_, _cawan_, _dabus_, 
   {{0x0a170108,0xbb29005d,0x0c5a0439,0x129100a2}},	//   _disangka_, _бочкарев_, _fletini_, _kibaha_, 
   {{0x1c5300d9,0x537f064d,0x6dc900d9,0x76c102a0}},	//   _otetaan_, _hanaiia_, _капиталь, _irekọja_, 
   {{0xdc720191,0x53f90062,0xa85a004d,0xe2d904a5}},	//   _extremt_, _jirup_, _從口而入的心理病_, _ubonise_, 
   {{0xddb600d9,0x3b610172,0x2f1d016b,0x6318004b}},	//   _третий_, _merendan_, _batutuwa, _boliseng_, 
   {{0xeaea0151,0x00000000,0x00000000,0x00000000}},	//   _curtaile, --, --, --, 
   {{0xd6c801e5,0x62fc0233,0xa82200af,0x254400a7}},	//   _arabinri, _anlges_, _монтажу_, _بىلەرىك_, 
   {{0x0c0605b1,0xb291001e,0x33440133,0xa25a012c}},	//   _potreby_, _yawan_, _abbebee_, _miili_, 
   {{0x5c5d043c,0x8da10170,0xd3f8009b,0xdcfe0037}},	//   _gostoso_, _akiristu_, _labur_, _ትፈልጋለህ_, 
   {{0xaae1023b,0x03ce011f,0x503901fc,0x9fe80126}},	//   _inidones, _aveve_, _inteenik_, _секрети_, 
   {{0xd41c00e4,0xe2010499,0xe25a036c,0x52830090}},	// [6980] _technicz, _tavita_, _niala_, _achaitei_, 
   {{0xebc401da,0x526c04e5,0xd6c800e0,0x0b4503a1}},	//   _procesin_, _akooye_, _boubedri, _тунела_, 
   {{0x0daa01fc,0xe03d018b,0x9e5300bb,0xd48b01ac}},	//   _artifisa, _achiziţi, _ڈپارٹمنٹ_, _chiorcal_, 
   {{0xfe06040f,0x104c0268,0x278002ec,0x81bf012c}},	//   _просьбы_, _incurrin, _ہێکِہ_, _ufumbuzi_, 
   {{0x82c6024d,0xc68a022e,0xb370002a,0x5e840139}},	//   _eqalene_, _liberazi, _anaakpọ_, _दुर्धर्ष, 
   {{0xd25a0742,0xb9df0272,0x3dd70211,0xa56c0037}},	//   _miala_, _abuulidd, _nukkumaa, _ኢንተርቪው_, 
   {{0x3d970212,0xc29100a0,0xdd860159,0x3f2c00e2}},	//   _photovcd_, _lawal_, _раство_, _nijetrin, 
   {{0xc2c6024d,0x8d000089,0xb2fe016e,0x89dc000b}},	//   _iqalene_, _теленнән_, _ettiler_, _feulaina_, 
   {{0xf34800ad,0x542500f6,0x02d40229,0xf2360258}},	//   _katelah_, _bitirdik, _davosda_, _snijde_, 
   {{0xf3f903c8,0xf0ed031a,0x1d3100f3,0x46c100f8}},	//   _paruh_, _eisimeal, _udangele_, _মামীকে_, 
   {{0xe2fd0230,0x824a0156,0x928a01af,0x58f402ac}},	//   _ordiner_, _קונטרסים_, _kerkük_, _مناكير_, 
   {{0x7b4e0119,0x225a01d7,0x0201013f,0x5be90172}},	//   _slovakia_, _biala_, _skrid_, _fofoforo_, 
   {{0x83ea0388,0xb00a0244,0x530101cd,0xc9e00145}},	//   _contro_, _спасение_, _alobele_, _абруча_, 
   {{0x425a0050,0x33f90477,0xa46e019e,0x4291041c}},	//   _diala_, _taruh_, _крама_, _dawal_, 
   {{0x74f70029,0x691e00bb,0x052e034e,0xb463007f}},	//   _داخراو_, _پلکیں_, _crispulo_, _haddurno_, 
   {{0x50020061,0x6292001c,0xf29e013e,0x5c170241}},	//   _관심상품그룹_, _issara_, _kombajni_, _filateer, 
   {{0xf7300013,0x17b60152,0x46ad0153,0x1d8800e7}},	// [6990] _دیوانی_, _cimerelg, _トヨタの口ぐせ_, _earlmanp, 
   {{0x530103dc,0xe241003c,0xf29201c0,0x7d9f0421}},	//   _lesandi_, _فیدبرنر_, _assasa_, _standesa, 
   {{0x829101fc,0x5dc402ac,0xafa20233,0x1200007f}},	//   _hawal_, _proinsia, _ingenior_, _einion_, 
   {{0xb29100c0,0x6b780144,0x32920357,0x33f900b4}},	//   _kawal_, _carranna_, _iusana_, _carui_, 
   {{0x086b0178,0xd1e40142,0xe38200a4,0x9342015f}},	//   _anantagu, _anyonyaṃ_, _جەتپەي_, _cemegol_, 
   {{0x73480499,0xe38603a7,0x9c62021c,0x45bf0193}},	//   _falemai_, _pohreb_, _matrace_, _ब्राम्हण, 
   {{0xd637030d,0x8e54033b,0x74810092,0x2f940158}},	//   _iqtisadi, _karakule_, _カロ生活でダイエ, _कागज़ात_, 
   {{0x63560168,0x42940170,0xc5510059,0xf38702c6}},	//   _samfunn_, _apakati_, _serietà_, _digred_, 
   {{0x28cb00d3,0x09e405eb,0xe29201c0,0x1e490178}},	//   _कल्चरल_, _alungisa_, _assara_, _baladarp, 
   {{0x4b2401c5,0x330104d8,0x0ba60235,0x3e520119}},	//   _munaasib, _qaraxii_, _एवात्र_, _nakaiska, 
   {{0xa9c10270,0x129202c1,0xa06003c2,0xc349008b}},	//   _maledict, _gusana_, _consolin, _dereeti_, 
   {{0x1f690661,0x308600e4,0xe31d0079,0x3a090206}},	//   _tamanhos_, _सम्बोधित_, _turcija_, _najbohat, 
   {{0xb25a054f,0xb40b019b,0x334d0212,0x88980188}},	//   _ciali_, _nusipirk, _alteram_, _шавқи_, 
   {{0x5c6901ff,0x57b2024c,0x6d0600be,0xc96b034c}},	//   _albumov_, _ddawnlow, _دوبۇش_, _акканда_, 
   {{0x32df0245,0x226d029c,0xe61c0040,0xa903022c}},	//   _shaneng_, _amaona_, _הפרלמנט_, _pamanrid, 
   {{0x73dc0402,0x7ee0034f,0x8c7703ec,0x8f57045e}},	//   _takwim_, _دجاپان_, _harroni_, _пробва_, 
   {{0xa2010210,0xd2d900d7,0xc3f80018,0x83eb0084}},	// [69a0] _ravira_, _bonnete_, _urouro_, _coetna_, 
   {{0x84c40132,0x5e080039,0xd225047b,0xe34402b3}},	//   _processz, _хорихоор_, _brekku_, _abrente_, 
   {{0x038801e5,0xdf67022c,0xf4f30060,0x308100e6}},	//   _aboyún_, _dibandun, _болары_, _此贴子已经被作者, 
   {{0x2c2802d2,0xd32401da,0xe9e402fd,0x63af002b}},	//   _маслихат, _kanceri_, _domowina_, _ক্ষতিকার, 
   {{0x272e018d,0x725a038a,0x88a30162,0xa107018b}},	//   _ኣማራጺታት_, _chila_, _боламду_, _принде_, 
   {{0x162c02f7,0x42e7000b,0x3c08007c,0x52920362}},	//   _akanyedi, _scanlan_, _wokubumb, _musala_, 
   {{0x2ea80134,0x03010105,0x746d01db,0x00000000}},	//   _amarabot_, _parafii_, _تيگىزگەن, --, 
   {{0xbfb50122,0x443c002b,0x508f0092,0x00000000}},	//   _توربو_, _নাভিদ_, _トいたします_, --, 
   {{0xef140044,0x22010027,0x19de02b6,0x429004ad}},	//   _לרישיון_, _dabini_, _تاراتۋعا_, _dikago_, 
   {{0xef4a040e,0x1f47002b,0x0dbc02cf,0xd2ca01f3}},	//   _domstola, _বেদনার_, _госпожат, _chodec_, 
   {{0x8c310255,0x12d80456,0xed76023e,0x7727023c}},	//   _volikogu_, _gamez_, _خرچنگ_, _دورځی_, 
   {{0xb29502ee,0xbc0e003b,0x9360038b,0x3fa40065}},	//   _dipartim, _alitekis, _bergaul_, _externer_, 
   {{0x9d31026c,0xe9c700a0,0x72c20048,0x220201af}},	//   _scripsit_, _asalinsa_, _atalina_, _biridi_, 
   {{0xd3f9004a,0x836200d6,0x00000000,0x00000000}},	//   _abrue_, _clasaicí_, --, --, 
   {{0x136900ad,0xa1aa0064,0x325601ab,0xdb25000d}},	//   _mungkir_, _condició_, _पढ़ाइबि_, _samaaegs, 
   {{0x054e0354,0xe0e60207,0x222e0741,0xe2d8013f}},	//   _динни_, _باشندو_, _nervecel, _damez_, 
   {{0x23a3022e,0xa59700c1,0x93780113,0xa0e203d5}},	// [69b0] _cuppa_, _diprotek, _jabanna_, _biennial, 
   {{0x264404f0,0x1c5501d1,0xbb3001f4,0x622504a5}},	//   _baromelw, _culture_, _денов_, _obekwe_, 
   {{0x33b700d7,0xb6580102,0x97a90375,0x00000000}},	//   _ишимбай_, _kunyoosh, _kulumizi, --, 
   {{0x848200bf,0xdf2d023e,0x534802fb,0xda200033}},	//   _действую, _birefrin, _falekai_, _naschida_, 
   {{0x822506a6,0xd24802e5,0xba150049,0x4fdc043c}},	//   _abekwe_, _apami_, _halafuka_, _feminino, 
   {{0x925501cc,0x29d503e2,0x5b82037c,0x8ac1005d}},	//   _विशेषः_, _cantidad, _mesoconc, _balapúpe_, 
   {{0x12f20567,0x33a3041e,0x4da5000d,0x234f014a}},	//   _radiosu_, _suppa_, _tekitava, _kerekek_, 
   {{0xd1a701f2,0xc77800ba,0xf30e0272,0xff77032d}},	//   _үрүмчи_, _دوماهیک_, _alabika_, _билалов_, 
   {{0x787502f9,0x77f8018d,0xc22503de,0x57a700d9}},	//   _transclu, _ኢስራኤል_, _ebekwe_, _juutalai, 
   {{0x925a0057,0x1f2700a3,0x758401ad,0x00000000}},	//   _dialu_, _bluesson, _pailarum_, --, 
   {{0x8ac10029,0x401f00c5,0xe62d0195,0x43520052}},	//   _خۆمدا_, _快乐男声吧_, _cairteal_, _लक्षणहरू_, 
   {{0xb57301db,0x049d00d1,0x63b70076,0x43a301b8}},	//   _ءبىرقانش, _উপদ্বীপ_, _cerveja_, _tuppa_, 
   {{0x4dec0263,0x00000000,0x00000000,0x00000000}},	//   _prijskla, --, --, --, 
   {{0xab570052,0x895c0122,0x39b30421,0x00000000}},	//   _मित्रहरु, _ستودنی_, _landesre, --, 
   {{0x6e7c0025,0x015c0161,0x73ad00a6,0xb952000a}},	//   _पार्थ_, _думал_, _مسئولې_, _atullatt, 
   {{0x0fd7009a,0x5e9501d7,0xe2ec02ef,0xe8430237}},	//   _abanenjo, _surmiran, _eksiste_, _가졌습니다_, 
   {{0xf2d803f1,0x83c80520,0xf35404ca,0x3523022f}},	// [69c0] _spieva_, _servem_, _audencs_, _версальн, 
   {{0xef3201aa,0x3a88051a,0x01ea032b,0x736a01db}},	//   _ederalfa, _kediaman_, _саламәтл, _جەمقورلى, 
   {{0x23f900ad,0x124806e3,0x59b50424,0xb93701cd}},	//   _garut_, _upami_, _producat, _дарбор_, 
   {{0xf0470074,0x839501da,0xe23a0148,0x9e780235}},	//   _часовой_, _vrasje_, _韓文大紀元_, _arbudaṃ_, 
   {{0xab550066,0x12e60171,0x50f0011a,0x00000000}},	//   _partidua_, _jednaka_, _ומטגנים_, --, 
   {{0x9c750418,0xf6120094,0xf0240311,0x939502af}},	//   _sürece_, _تەڭشەۋ_, _ዝረኸበቶ_, _irashe_, 
   {{0x526d01f0,0xb7ae0061,0x6c27041e,0xd8a10153}},	//   _digoke_, _투자판단의_, _ammaistr, _お試しセット_, 
   {{0x5321018a,0x365f00de,0x0c2d01b3,0x09840326}},	//   _estyn_, _آسمایي_, _оркестру_, _echitema_, 
   {{0x97aa0244,0x83f90166,0xad7a0475,0x2d340126}},	//   _dettagli, _darum_, _старшая_, _швейцарі, 
   {{0xe3eb0243,0xf38005bf,0x37db0167,0xb2d802ea}},	//   _agatih_, _štrba_, _breswylf, _monete_, 
   {{0x83dc005b,0xda1900da,0x72b40076,0xe35b0312}},	//   _loewe_, _диструӂе, _trocar_, _adamaweg_, 
   {{0x71ac0189,0x69d9028d,0x2c3204d8,0x9c69024b}},	//   _rahatlığ, _zamerike, _culimadu_, _borrado_, 
   {{0x72010397,0x02d9010d,0xfe4e03d9,0x05b00227}},	//   _kabili_, _honorer_, _amparibe_, _mensucik, 
   {{0x00700125,0x62840119,0xaed7019b,0x7c770371}},	//   _ачылышын, _kaisersl, _вершы_, _дребно_, 
   {{0x12120556,0x860700da,0x139502af,0x020902ea}},	//   _bakho_, _ландурь_, _arashe_, _натоварв, 
   {{0x42bb02f7,0xfdec0040,0x26d3050b,0x5c6500a7}},	//   _beleswe_, _ההשלכות_, _वाशिम_, _суммага_, 
   {{0x34c000e6,0x1643023b,0x6c3a01e6,0x3b0e009b}},	// [69d0] _请选择道具_, _popiliki, _rodinnou_, _klasikoa_, 
   {{0xd3ac0456,0xf51700f2,0x4a860227,0x6ae60160}},	//   _suspek_, _komercpl_, _keenakan_, _četrnaes, 
   {{0x62f9028a,0xa3190036,0x3f6302bf,0x7dbb0265}},	//   _ستارو_, _ريهام_, _bemphaka, _weliswaa, 
   {{0x69d4019d,0x316201e8,0x00000000,0x00000000}},	//   _adalanda_, _mauswago, --, --, 
   {{0x943e0192,0x0ddf0510,0x29fc023e,0x849a0128}},	//   _광주광역시_, _изолиров, _aksimuda_, _таомларн, 
   {{0x4b2d0402,0x53f9006e,0xfdbd000c,0xbe0d01d5}},	//   _sambilan_, _aarum_, _akuaruse_, _دیوتا_, 
   {{0xb2ce033a,0x3320005b,0x1063015e,0x00000000}},	//   _bhalkom_, _akkyy_, _когорот_, --, 
   {{0xa25a01d1,0x3bdf0192,0x625a0331,0x9c600148}},	//   _child_, _samenwer, _fyllir_, _tertius_, 
   {{0xf0de0226,0x9e540020,0xb2d80116,0x228000d5}},	//   _abungwel, _atuafale_, _abeen_, _sosialy_, 
   {{0xb3f902c7,0xe29202a8,0xd6820250,0x962b00ee}},	//   _warum_, _impatt_, _gazetari, _bisitari, 
   {{0xfda802f6,0xcb8601be,0x15370060,0x9291021a}},	//   _katotoha, _nedošlo_, _ساياتقا_, _dawaa_, 
   {{0x930503a0,0x024200c1,0x44a20143,0xa30d02e5}},	//   _bojosing_, _होईलच_, _непрозра, _nimbora_, 
   {{0xb2cf01df,0xb25d0528,0x12ee0133,0x1682002c}},	//   _revoked_, _chreidim, _amantii_, _kazetari, 
   {{0x221204d5,0x13170100,0xe3b0035e,0x0cfc00e6}},	//   _sakho_, _stazom_, _slavimo_, _山东省人民政府办, 
   {{0x5d6d0094,0x59610360,0x52000053,0xf46d03b8}},	//   _болдырма, _वर्षभन्द, _ginian_, _кинодағы_, 
   {{0x4f1e017c,0x8e540004,0xfccd0061,0x731901f0}},	//   _funderin, _rasanble_, _상대방에게_, _godiseng_, 
   {{0x9a090013,0xb61c0245,0x79500175,0x6079023c}},	// [69e0] _москвага_, _liengsui, _enformat, _وڅېړئ_, 
   {{0x326c0403,0xb3a10013,0xb3ce0220,0xac4e02ac}},	//   _demony_, _ایشخانه_, _avevo_, _تمكنت_, 
   {{0xa26400f5,0x239401d6,0xde6d01a3,0xf6310478}},	//   _zatlar_, _spiste_, _آزاديون_, _idrograf, 
   {{0x3875005b,0x5a0803d9,0x99e80041,0x1f30022e}},	//   _roundhou, _ranamana_, _рыгәҭакы, _appegiun, 
   {{0xd7de0501,0xdc0300c2,0x8305003f,0x4a09016b}},	//   _गायकवाड_, _ubugoror, _dadabej_, _manazart, 
   {{0xea0800ea,0x437a0144,0xecb0008d,0xba340035}},	//   _manakana_, _torainn_, _узметрон, _ixtimalı_, 
   {{0xe2120342,0x925a003e,0x43f90231,0x82ea01f1}},	//   _mache_, _ahile_, _parum_, _burimin_, 
   {{0x22ca016b,0xa25a06bc,0xea950342,0x398f018d}},	//   _wallahi_, _bhile_, _aktyalit, _ብጥርኑፍ_, 
   {{0x8c5402c4,0xf35f0220,0x3935020f,0x00000000}},	//   _семејств, _singole_, _ekumhlat, --, 
   {{0x2b740617,0xdc7300f2,0x1dc00224,0xc1c90144}},	//   _esquerda_, _saprast_, _aumingja, _lotnaidí_, 
   {{0x9304035b,0x1dfd008e,0x2319020e,0x80fc02cf}},	//   _pozabil_, _aksesuwa, _bodiseng_, _гитарист_, 
   {{0x8e2b0076,0xedf903fe,0xa3f90119,0xd2dd018f}},	//   _исполнув, _радиовещ, _haruk_, _jiropli_, 
   {{0x62120556,0x62010175,0x1ead02e1,0xc3d202b2}},	//   _bakhe_, _diriz_, _إيرادات_, _неордина, 
   {{0x22010417,0x5c140040,0xc26c00f4,0x5e4b0297}},	//   _skrif_, _ברציפות_, _aliomp_, _eksportq, 
   {{0x421200fc,0x628c00a6,0xde71007e,0xc5ee0162}},	//   _dache_, _حلیمی_, _arjunaś_, _учраштур, 
   {{0x702e02ea,0x43e20695,0x9d2c01cf,0xa9e60133}},	//   _condizio, _enerjisi_, _incitate_, _booressu, 
   {{0x621202ff,0x3d480211,0x0b69026a,0xa97a01a6}},	// [69f0] _fache_, _обмен_, _kamunaga_, _hauhaket, 
   {{0x47a0017e,0xf2120125,0x0e150256,0x46c5000a}},	//   _distingi, _nache_, _premjers_, _allafigi, 
   {{0xfc9002e2,0x040501cc,0x6eb000ba,0x1d0d0019}},	//   _spouting_, _एकादशः_, _واپێده_, _баратышы_, 
   {{0x82ea017e,0x9cf60546,0x764a009a,0x69f80052}},	//   _inviton_, _यदाकदा_, _awaziway, _severním_, 
   {{0xc2120342,0x054a0008,0xef20012c,0x5395015d}},	//   _kache_, _ايرانداي_, _kutengen, _trasie_, 
   {{0x71320067,0xd386045f,0x00000000,0x00000000}},	//   _aartisto, _badrum_, --, --, 
   {{0xf957021c,0x4395035b,0xde4102c9,0x66bd0041}},	//   _horoleze, _česar_, _intalnit_, _ҿымҭрала_, 
   {{0xaaa900b4,0xdf3d0145,0x74da0143,0x00000000}},	//   _женере_, _skirtuma, _програмк, --, 
   {{0x513f04ab,0x3f5500a7,0xf24f00a4,0xab3903b5}},	//   _ponedjel, _турмушу_, _berguedà_, _membalas, 
   {{0xa23b003e,0x3a7101a6,0x00000000,0x00000000}},	//   _bolleng_, _pewapewa_, --, --, 
   {{0xaaed0073,0x72120245,0x9b1d05e0,0x4c7702e4}},	//   _pluripot, _rakhe_, _esquelét, _barrani_, 
   {{0x821201cd,0xd3440630,0x225a047b,0xd51f00d1}},	//   _sakhe_, _qprende_, _fyllur_, _লেখকসকল_, 
   {{0x5c73038d,0x15d10125,0xbcd90039,0x2cad00d1}},	//   _debrans_, _watanymy, _нандигна, _কান্দিছি, 
   {{0xf273008d,0xa2c902e2,0x00000000,0x00000000}},	//   _yuritadi_, _buylink_, --, --, 
   {{0xc239027e,0x63f901fc,0x5c1e0040,0x649c002b}},	//   _попут_, _garuh_, _קורקינט_, _আনন্দঘন_, 
   {{0x3292005c,0x596c00d9,0xd8e201b2,0x00000000}},	//   _ampaye_, _elinkaut, _cairtaig, --, 
   {{0x0d4b0091,0x658102d3,0xf44e0177,0xc6540707}},	// [6a00] _ataanilu_, _exportaç, _шьоукы_, _itunganw, 
   {{0x49a9041a,0x0b1700ca,0x1b0d00c4,0xb9c6068d}},	//   _професій, _lingüist, _مانڌل_, _beslekta_, 
   {{0xadc100d0,0xd3b5014e,0xde57009b,0x8351004a}},	//   _kalifika, _provera_, _lirateke_, _beregep_, 
   {{0x48f80107,0x3891005e,0x3062013a,0xf7060385}},	//   _قزوين_, _ئەتلەس_, _pensioun, _stavljam_, 
   {{0xd3e400ad,0xa7ad01fb,0xd62a0057,0xe2c50456}},	//   _ngaluark, _differev, _dikumpul_, _siswazah_, 
   {{0xd0f700c1,0x6b8d004a,0x200e0052,0xd9a002c3}},	//   _समोरील_, _fatirlar, _redaktoř, _podkolie, 
   {{0xc5b901af,0x0405016d,0x475f0235,0xee4e0148}},	//   _apparaty, _юлтузлир, _विद्युः_, _respectu_, 
   {{0xe20102ff,0x9b680170,0x951e00e5,0x00000000}},	//   _ekzil_, _ghathika_, _заболени_, --, 
   {{0x931700f1,0xcf310291,0x84400035,0x95a5002b}},	//   _plezir_, _seiftean, _dotsentı_, _কাটলেট_, 
   {{0xa61b0227,0x23980187,0x00000000,0x00000000}},	//   _mustahil_, _кристија, --, --, 
   {{0x032c0453,0x62fd0047,0xb21300b3,0x85f4027e}},	//   _poskuplj, _gorge_, _bermäň_, _безакони, 
   {{0x38d500f5,0x14eb0037,0x63110170,0xdaf70368}},	//   _африкалы_, _ለማስያዝ_, _amabuku_, _savesnos, 
   {{0xeadf00e0,0x73ac006c,0x52ba0188,0x01020299}},	//   _broerets, _akuphe_, _amadili_, _ئەسئەت_, 
   {{0x2a1704dc,0xdd110026,0x2202030f,0xd8a50213}},	//   _دانشیار_, _아파트분양권_, _hirini_, _службой_, 
   {{0x93750111,0x2a090010,0x89df00f7,0x9ee90279}},	//   _appuntam, _bafanana_, _adoleska_, _survenue_, 
   {{0xb34401af,0xd2fc00b4,0xfd3101a3,0xddeb0059}},	//   _aprelde_, _fericit_, _لميٽيڊ_, _странна_, 
   {{0x2237009f,0x83a8004b,0x5e190350,0x00000000}},	// [6a10] _znajde_, _hakakang_, _የሙስሊሙ_, --, 
   {{0x42fe0076,0x8984042c,0xa28a0203,0xb9140282}},	//   _estiver_, _serijala_, _organicm, _matahuhu, 
   {{0xe2ea00f1,0x2a1e0164,0x4dbd0092,0xc2f40163}},	//   _anviron_, _ликин_, _フレグランス_, _októberb, 
   {{0x5ceb01a7,0xc25a00dc,0x8ea50073,0x302e02ea}},	//   _обслужив, _saili_, _lestrade_, _conduzio, 
   {{0x97ca00e6,0x4a7e0322,0x66e000be,0x39800066}},	//   _市场营销英语口语_, _bagatura_, _كافەنى_, _argiegia_, 
   {{0x42e801b7,0xb2020282,0xe0450155,0x12ea00bd}},	//   _govinda_, _airini_, _partiern, _chuizin_, 
   {{0x4f6d03d1,0x0db90265,0x5201019f,0xb3eb004b}},	//   _pasaules_, _apparaat_, _kazini_, _dietsa_, 
   {{0x4290025f,0xb30001c5,0x00000000,0x00000000}},	//   _mikano_, _aabahii_, --, --, 
   {{0xfe1503ea,0x62ca0321,0xf2da012c,0xeda70264}},	//   _premiers_, _okolici_, _afungwe_, _kalibota, 
   {{0xb27803db,0x5e8b004d,0x6c1701d5,0xa9aa032d}},	//   _abasaqal, _樓磚造加蓋_, _portré_, _годии_, 
   {{0x2e45003c,0x8e490452,0x00000000,0x00000000}},	//   _bajanega, _urusanmu_, --, --, 
   {{0xa25a003e,0x230e0064,0x82bb020b,0xa53a003a}},	//   _ebile_, _patates_, _belegwe_, _gapirish, 
   {{0x46cb001c,0x00000000,0x00000000,0x00000000}},	//   _mataghom_, --, --, --, 
   {{0x39d00013,0xbc85011a,0x5697020f,0xa3760405}},	//   _бетис_, _appended_, _قرغېزستا, _кристалі, 
   {{0x1394009a,0xa202038a,0xf37304cf,0xa301021a}},	//   _igosa_, _pirini_, _bahambe_, _baranii_, 
   {{0x2fee00e4,0xb290020b,0xf1f200cf,0xbeca0220}},	//   _जनजातीय_, _dikano_, _dhandham, _scontrin, 
   {{0xba0f02f8,0x5224038a,0x62fd038b,0x9b610211}},	// [6a20] _lakangaa_, _chikim_, _sebgai_, _hieronta_, 
   {{0x19fb00e3,0x39bd018e,0x377804dc,0x5bbb0153}},	//   _arjabhat, _leteriwe, _ڕوحانی_, _はてなスタ_, 
   {{0xb2d4044a,0x17e00170,0x821f039e,0x714a0452}},	//   _magomba_, _kamphili, _bøhle_, _यशोगाथा_, 
   {{0x0a8b01ac,0x02c50300,0x66d301d7,0x2993006c}},	//   _torthaí_, _formát_, _tractati, _abakubut, 
   {{0x34d00302,0x0fad00d7,0x42da00fb,0x640e0046}},	//   _кабирӣ_, _диалогты_, _ifundwe_, _oferiran_, 
   {{0x21fc04b9,0xd202003a,0x5d0f073e,0x00000000}},	//   _veracity_, _sirini_, _memotret_, --, 
   {{0x697e032d,0x22010227,0x2f0703ce,0xf36a00a8}},	//   _tshirele, _kucing_, _راویزی_, _biagear_, 
   {{0x93940167,0x3aad039f,0x940701b3,0x0bd90046}},	//   _agosa_, _convicte, _парфумер, _perelló_, 
   {{0x61d70148,0x414e02eb,0x3bf400d1,0xfd0a04f9}},	//   _年度午餐學校午餐, _токиогий, _অপৰাধৰ_, _aperisar, 
   {{0xf202024a,0xd54400d9,0x6201009f,0x00000000}},	//   _girili_, _музыкой_, _skrij_, --, 
   {{0x322604b8,0xa4f30092,0x22640089,0x125a0066}},	//   _loukas_, _株価収益率_, _agulap_, _ahala_, 
   {{0x0e6a033a,0xcf97014f,0x1e580149,0x00000000}},	//   _ekonomiċ, _džempera_, _ịbanye_, --, 
   {{0xb25a0488,0xfc1800ea,0x427e025e,0x937f03e6}},	//   _failu_, _hotanter, _kennd_, _athometv_, 
   {{0xc2da0307,0x93f401b8,0x623b03bf,0x22d9029f}},	//   _afundwe_, _sattus_, _bollang_, _drogéria_, 
   {{0x525a0295,0xd224033d,0x23950082,0x97ac0078}},	//   _ehala_, _akikam_, _asashe_, _монархис, 
   {{0xc75d0285,0x42490329,0x1c76003c,0x727e014a}},	//   _bizimung, _vreman_, _amargai_, _menne_, 
   {{0x627e02b9,0x1264042a,0x1b6d00ef,0x52e50258}},	// [6a30] _lenne_, _agulwa_, _amathala_, _fleurich_, 
   {{0x62d9045c,0x125a014a,0x7b1800ce,0xff58004b}},	//   _drogérie_, _mailt_, _volapenn_, _koranten, 
   {{0xe0ee0185,0x544c004b,0x00000000,0x00000000}},	//   _admirall, _айгүзәл_, --, --, 
   {{0xc3ce03a1,0x92920073,0xd25f0227,0x82ad05c3}},	//   _aveva_, _essaya_, _kestabil, _visité_, 
   {{0xc2010640,0x4a9f0061,0xaa7302e5,0x00000000}},	//   _razini_, _공통적으로_, _momichîv, --, 
   {{0xa1e20265,0x4055017d,0xd0f503ce,0x2b380052}},	//   _haystack_, _overnatn, _تارمایی_, _miliónů_, 
   {{0x327802f3,0x427e021a,0x50a300bf,0x7b9c00be}},	//   _barnen_, _jenne_, _коротко_, _تيگزگەن_, 
   {{0xe27e0228,0x798b027f,0x4cb4002b,0xa22a02c9}},	//   _denne_, _akakarya_, _ভিক্টোরি, _ронат_, 
   {{0x204801a3,0x8f6a00da,0x995f01a3,0xf68c0105}},	//   _موروثي_, _фондалул_, _لوڏيندي_, _फ्लाप_, 
   {{0x9c3203cf,0x234200ad,0x018800b7,0xf2010045}},	//   _edebilir, _catetan_, _harajatl, _gazili_, 
   {{0xd30102fd,0x325a0014,0xc859017d,0xcacc0234}},	//   _carbaid_, _shala_, _worldtou, _sòótọ́_, 
   {{0x63eb0244,0x9ed40487,0x625b01bc,0x78fe022c}},	//   _pietra_, _modifyin, _foelen_, _basasund, 
   {{0x82d9011f,0xf1fe003f,0x00000000,0x00000000}},	//   _hovere_, _machrupm, --, --, 
   {{0x0da90223,0x817b0074,0x0b6502a6,0xe2b00485}},	//   _jakinara, _samankal, _assuluta_, _døende_, 
   {{0xce38007d,0xffd400dc,0xc25a02ac,0x39f703b5}},	//   _pengajia, _ataitafo, _hailt_, _manisnya_, 
   {{0xebe7048a,0x425a0245,0x6af003ab,0xc2920230}},	//   _ارادا_, _thala_, _minulost, _tusala_, 
   {{0xd212002f,0x98360092,0x8ac90219,0xc88c02d6}},	// [6a40] _pacha_, _メンズファッショ, _atawunge, _аллергик_, 
   {{0xd2fd0034,0x6c3800fe,0xbfe500b2,0x00000000}},	//   _borga_, _kiaiteau_, _elektiro, --, 
   {{0x9f9f0046,0xaf110609,0x3aee022f,0xfaf600cf}},	//   _qualsevo, _décadas_, _pastatyt, _amurratt, 
   {{0x2520044a,0xedee0071,0x1a18032d,0xf2fd0013}},	//   _bakominy, _دمتون_, _искож_, _dorga_, 
   {{0xda42004d,0x725a0206,0x20a30126,0xcbe40012}},	//   _及配套組裝到府的, _prilby_, _колонку_, _छ्ट्ंकीउ, 
   {{0xc3b60334,0xbc3f00dd,0xfc2e00b5,0x3e4800db}},	//   _akavala_, _biliynau_, _guaikuru_, _salajane_, 
   {{0xde4f0345,0x0f5c0079,0xd2a60757,0x00000000}},	//   _agradece_, _spogulis_, _azijati_, --, 
   {{0x16320005,0xf12d032d,0x42d90059,0x22de0033}},	//   _ordinazi, _сапты_, _dovere_, _admoniu_, 
   {{0x13ac00ac,0xd04102b5,0x8dfa0169,0x63480383}},	//   _ukupne_, _siliengz_, _পুঁজিবাজ, _fatehah_, 
   {{0x934204bb,0x92d8008e,0xd03f01bb,0x26e702fe}},	//   _lateran_, _yonent_, _tertibin, _abaqhath, 
   {{0x0202001f,0x5eba0223,0xbee601fb,0x9941042c}},	//   _biribi_, _солли_, _archilin, _šumarstv, 
   {{0xce530025,0xd6cf0046,0xdc7101f4,0x00000000}},	//   _aakaasha, _seguirà_, _shirkat_, --, 
   {{0xdf3f0235,0x99d9003c,0xcb170203,0x53eb033f}},	//   _apasavya, _asanjata_, _pluperfe, _onetoa_, 
   {{0x3ff403d5,0x65f8002b,0x429204fa,0x93950157}},	//   _playthin, _তেজগাঁও_, _lepase_, _newsa_, 
   {{0xf25a0144,0x315600ba,0x00330187,0xaabf015e}},	//   _saill_, _ئاووهه_, _деколтет, _апрелдег, 
   {{0xa6d800cb,0xc7f30035,0x3ae7012e,0x82920428}},	//   _ababenci, _asıltaş_, _petrezse, _odpade_, 
   {{0x8c87029d,0xf2cb01a6,0x4341036d,0xa3da01bd}},	// [6a50] _примитэ_, _hemonga_, _eideann_, _ساكەڭدەر, 
   {{0x40fb00ff,0x02d800a4,0xf77500ba,0x2e77041c}},	//   _אלעסק_, _ponent_, _درۆگبا_, _diganté_, 
   {{0x11880374,0x925a0013,0x24660359,0x36190021}},	//   _harakatl, _chalg_, _needsaak, _athologi, 
   {{0x23f903ac,0xb2eb019b,0x01880013,0xbae601bf}},	//   _harus_, _turinio_, _xarajatl, _betrakte, 
   {{0xcc07045f,0xc39f02a8,0xd2fd0261,0x8ab2014f}},	//   _bokslut_, _approvaw_, _deziris_, _реализуј, 
   {{0xf25000b7,0x4ec3011a,0xff31007a,0x00000000}},	//   _хекая_, _נרצחו_, _bisshawa, --, 
   {{0x97a10225,0xcb19003a,0x537801e9,0x146f0456}},	//   _anstandi, _qolavers, _bogauta_, _direkodk, 
   {{0x42df0309,0xe6d301cd,0xbffd0153,0x00000000}},	//   _bizimlə_, _беиттило, _オススメ漫画_, --, 
   {{0x81420035,0x23a300db,0x0f6c00b5,0xdc17032d}},	//   _studentl, _nuppu_, _ламенттә_, _indaster, 
   {{0x91b400a4,0x22ee027a,0xe6490078,0x380601ff}},	//   _семиртки, _sednici_, _положаја_, _šibenica_, 
   {{0x50f90092,0x77e20126,0xf3fa00b4,0xb2920184}},	//   _商品を見る_, _avspilli, _baruri_, _rusama_, 
   {{0xd12d0211,0xec6900fd,0xf29002f7,0xc32b0093}},	//   _часто_, _bharail_, _dikabo_, _облизыва, 
   {{0xc2920004,0x8fc202b9,0x9325042c,0xc273019b}},	//   _depase_, _ڈارون_, _nauciti_, _merginom, 
   {{0x9f0d0709,0x41880242,0x5c1100ba,0xf37f03db}},	//   _संस्कारी_, _narahatl, _ئایکۆنی_, _behamba_, 
   {{0xc7e300ff,0x964700a6,0xfaaf004d,0xbf250080}},	//   _kompliki, _نفوسو_, _勞動爭議仲裁委員, _aperquta, 
   {{0x725a0026,0xb32400ff,0xc26d046d,0x025a02e1}},	//   _dials_, _הנהגות_, _omboro_, _sailm_, 
   {{0x12670388,0x367b030d,0x00000000,0x00000000}},	// [6a60] _фитинги_, _diyarşün, --, --, 
   {{0x03fa032d,0x9e4e01b2,0xfc6702c2,0x8b6e019d}},	//   _saruri_, _carpeted_, _kantoor_, _adalipir, 
   {{0xab350077,0x5cb4023e,0x81f30156,0x00000000}},	//   _aprantis, _banyubir, _טריאו_, --, 
   {{0xfcc40052,0x043c0169,0xf201016b,0x22120488}},	//   _प्रोफाईल, _নাহিদ_, _sabili_, _gacho_, 
   {{0xdc53053f,0xab81035b,0x0277009c,0x92df0092}},	//   _kastasa_, _zanimivo_, _amantani_, _趣味一覧へ_, 
   {{0xdbe9009a,0xd3f901ca,0x525a01d7,0x4fd500ba}},	//   _مکروهات_, _darur_, _bials_, _شۆڤێنیه_, 
   {{0x073b0321,0x53790190,0xecc40052,0x3d8301ef}},	//   _podobneg, _rogawen_, _प्रोफाइल, _соснах_, 
   {{0xb5610193,0x23e202ee,0xecf8018d,0x33fa033e}},	//   _berjudul_, _kurrenti_, _ንእስላማዊ_, _harupi_, 
   {{0x76a00122,0x8b1f000d,0x52c20087,0x4dfe0299}},	//   _الحاقی_, _armastan_, _hlalela_, _ئەۋىج_, 
   {{0x4c800190,0xacf00192,0x644e00ba,0xe4df0078}},	//   _kwirirug_, _lettergr, _هیدێک_, _основала_, 
   {{0x33f90141,0x34c603bf,0x422602c1,0x72470187}},	//   _zarur_, _гаишник_, _ubukwe_, _престану, 
   {{0x4fdd00ba,0x120103ad,0x7c500287,0x00000000}},	//   _دیوارێکی_, _bazici_, _चकलेट_, --, 
   {{0xd3e10169,0xcc6700c4,0xbcad0162,0x32ca019d}},	//   _ফরেক্স_, _پرواه_, _көрәлмәй, _apolisi_, 
   {{0xd25a0341,0x216701ac,0x9961044d,0x679104d6}},	//   _ihale_, _دانتيل_, _donnalat, _अफरातफरी_, 
   {{0xfdb400a2,0x17e700ac,0xdaa401c5,0xab88016e}},	//   _موزون_, _bogatstv, _ingiriis, _ettikler, 
   {{0xf25a0087,0xd2300225,0x2ad703b6,0xae7c00c1}},	//   _khale_, _ngameta_, _elomiran_, _फ़क्त_, 
   {{0x725a0226,0x266e04d6,0x20b80223,0xe2c2010f}},	// [6a70] _chale_, _आरामदायक_, _устах_, _alalela_, 
   {{0x22120326,0x11b00029,0x6dbd00b4,0xd3b903ff}},	//   _wacho_, _ئۆسلۆ_, _religioa, _pravdou_, 
   {{0x518a00d5,0xe3a200ef,0x0fb803c6,0xfda801a6}},	//   _karazany_, _akope_, _burgumer_, _matoroha, 
   {{0x9ecb04c3,0xb2020147,0x02240075,0x925a0130}},	//   _thoitran, _equips_, _tulka_, _bailh_, 
   {{0xd2120326,0x54d90177,0x5c6f0094,0x8b1102b6}},	//   _racho_, _анажьра_, _بولمەگە_, _амалдары, 
   {{0xa2010115,0x87c20075,0x2d6d005e,0xf3f903ec}},	//   _skrin_, _tilfeing, _مەقبەرىس, _varur_, 
   {{0xef8a0059,0xc6a80126,0x39aa045b,0x00000000}},	//   _наполови, _прослуха, _козир_, --, 
   {{0xe2000212,0x3d9b02cb,0xa20102ff,0xf7eb006e}},	//   _melius_, _poklanja, _ekril_, _hersogow, 
   {{0x5c7c017d,0x23f901b5,0x0f94025e,0x9e3a00bc}},	//   _kenshin_, _apfuxa_, _gréta_, _astadasa, 
   {{0x620e00a4,0x9e34036a,0xa29004f2,0x324c0012}},	//   _талас_, _bulatawa, _sanaky_, _लगईलऽ_, 
   {{0x9340036d,0x1a1402d9,0x54060235,0xd8ae02c7}},	//   _ghleann_, _augatama_, _bahirmuk, _kinderwu, 
   {{0xb95c0436,0xd91c0265,0x8eba0311,0x12120207}},	//   _izložben, _geschild, _ይመላለሱ_, _aache_, 
   {{0xf36104bb,0xd63101b8,0x024900d9,0xb8780390}},	//   _tsimnyog_, _filosoof, _aseman_, _variantd, 
   {{0x93860313,0xeabd00d9,0xa3eb003f,0x00000000}},	//   _ghorpu_, _velvoitt, _ngatoy_, --, 
   {{0xd3dc02c5,0x00000000,0x00000000,0x00000000}},	//   _anewe_, --, --, --, 
   {{0x942403ee,0xf2d70148,0x12a60076,0x00000000}},	//   _bankarsk, _minorem_, _onibus_, --, 
   {{0xbad3012c,0xc533019b,0x0d8d01db,0xbbc2005e}},	// [6a80] _انتھا_, _погляды_, _полигонд, _ﺑﯧﻜﻪﺕ_, 
   {{0x0bca05a2,0x5a0103a8,0x88760226,0x397602fa}},	//   _शहरीकरण_, _তভাবে_, _amanyamu, _amanyame, 
   {{0x698302d5,0xdbef00ff,0x9aec03c0,0xfab50044}},	//   _tarkvara_, _סוכּות_, _kritikke, _projects, 
   {{0x0c0e02d5,0xb3f9005a,0x536d0021,0xed770064}},	//   _esitamis, _darup_, _alifcay_, _جامعىردى, 
   {{0x9438032e,0xcbff032d,0x09d40062,0x21880105}},	//   _inakatak, _bululets, _ditoghqa_, _makarony_, 
   {{0x92b2020f,0xd5f90158,0x952a0078,0x4b5b013a}},	//   _amadama_, _राजोआणा_, _догодило_, _briechen_, 
   {{0xda6a04ae,0xf65103e6,0xe25a0009,0x327e0062}},	//   _sledeća_, _dernierf, _obilo_, _nehnis_, 
   {{0x83dc049b,0x4e530564,0xf2010189,0xbc520285}},	//   _kimwe_, _lumbaart_, _tabiki_, _agatega_, 
   {{0xf2900230,0xcbf1016f,0x81fb00d1,0x7b0c0685}},	//   _anlarm_, _restitus, _খীৰোৱা_, _husprise, 
   {{0xc5e802fe,0x33860176,0x016e00c9,0xf3aa02a2}},	//   _abachaph, _iwork_, _playpark_, _masayang_, 
   {{0x32120197,0xec3b0148,0x96db03ee,0xd9c5030a}},	//   _rache_, _買入旅行支票_, _izabrani, _colleita_, 
   {{0x6b2a01b7,0x42120415,0x230001f9,0x59e90222}},	//   _मार्गणसू, _sache_, _angadli_, _thermiqu, 
   {{0x42020695,0x42cb0320,0x71e70253,0x7f330281}},	//   _tarixi_, _aredzi_, _sivisuum, _suluppaa, 
   {{0xd98400fe,0x95570094,0x7386048b,0xc224006e}},	//   _aofinima_, _фильміні, _mwork_, _bulko_, 
   {{0x398000d1,0xba700094,0x9e53007b,0xc75c0022}},	//   _অশ্লীলতা, _көрсет_, _blackgua, _колхозсы, 
   {{0xa20202ee,0xd96203bd,0x423a0060,0x854e048a}},	//   _karigi_, _ipanghat, _قالدىرعا, _пимно_, 
   {{0x60db0152,0x211a00a6,0xdeaf0168,0x994000e2}},	// [6a90] _итальян_, _فرمايې_, _matlagin, _himmelbe, 
   {{0xc25a01fc,0x89ef01b5,0x230c0101,0x00000000}},	//   _gaali_, _fasitera_, _invatat_, --, 
   {{0x92ca0087,0x02ca00df,0x00000000,0x00000000}},	//   _apolosi_, _vendue_, --, --, 
   {{0xb4670148,0x460c013c,0x51dd006d,0x4ba40020}},	//   _handbook, _innovasi, _ажыццёўл, _netipolo_, 
   {{0x625a0043,0x18c20357,0x59e3013d,0x19d701a3}},	//   _baali_, _matenisu, _limigita_, _ٻائيتالي, 
   {{0xfbf501a3,0x29f604ac,0xa2d70220,0x343801f4}},	//   _روڪجي_, _прочим_, _rivolto_, _худбинли, 
   {{0x7fcc005b,0x06de0175,0x02260204,0x7a880429}},	//   _butikker_, _problenm_, _laukut_, _digituan_, 
   {{0xba71024f,0xf3f9034b,0x12e7006c,0x4c670362}},	//   _dewadewa_, _kibung_, _байтулму, _kokumba_, 
   {{0xee4d00d5,0x52fc0211,0xa7cb01eb,0x33a20372}},	//   _andavana, _hitaasti_, _cumpliri, _chopi_, 
   {{0x578400ff,0xeec10125,0x718a0156,0x3c16007e}},	//   _קארנער_, _хеләк_, _מכלומר_, _धार्ष्ट्, 
   {{0x220203cf,0xc25b0028,0xa36800ad,0xe2c100e3}},	//   _tarifi_, _saalax_, _tangtos_, _calleia_, 
   {{0xd2f100db,0x52a70145,0x432400b4,0x00000000}},	//   _ममेरी_, _барока_, _bancuri_, --, 
   {{0xbf660421,0x6202033a,0x2d9b012e,0x00000000}},	//   _zulassun, _garigi_, _hangokat_, --, 
   {{0x5213003a,0x5c02041e,0x7584028f,0x00000000}},	//   _kashf_, _lanfranc, _kairuruk, --, 
   {{0x0fea0036,0xd25a0090,0xfc4b0411,0xf22402aa}},	//   _تكبير_, _abill_, _statlig_, _uniká_, 
   {{0x274301c7,0x9dbb00e4,0xa37901d5,0x00000000}},	//   _агасының_, _जनप्रतिन, _maradna_, --, 
   {{0x5bd9041a,0xaaf903c7,0x4c6a007e,0x7146030d}},	// [6aa0] _реклами_, _इक्विटी_, _anarham_, _veteranl, 
   {{0x7f1b02da,0x1ef00272,0xde7702e5,0x89f60455}},	//   _историја, _abakayin, _angaité_, _remarque, 
   {{0xe25a019d,0x8937002c,0x4f4a02d4,0x26b7012c}},	//   _mbale_, _самбар_, _cumpensa, _ماناري_, 
   {{0x72fe02f3,0xf54402b6,0x358200e6,0x825a01c9}},	//   _butiker_, _جىگەرى_, _期间全国企业经营, _saali_, 
   {{0x293300c5,0x4ec20183,0x525a0202,0x00000000}},	//   _如其他媒体_, _elanelan, _paali_, --, 
   {{0xf9620192,0xe3940558,0xbccd0361,0x3f4800fb}},	//   _같은지역출신_, _ngosi_, _рамазана_, _kungalin, 
   {{0xe1fe056f,0xfe9800c5,0x2166001d,0x7efd00c7}},	//   _realizác, _中华人民共和国城, _classico, _başbaşta, 
   {{0xf2020111,0xa27e0138,0x0ae100d9,0xa26c0025}},	//   _parigi_, _defne_, _rentoutt, _dunoti_, 
   {{0x721202ab,0x821301ea,0x925a0091,0xe97900a6}},	//   _kacha_, _mashg_, _taali_, _يونسکو_, 
   {{0xd6370147,0xfdb90035,0x78350261,0x47c90311}},	//   _بۉتسۅ_, _кабинасы, _akumulad, _ክዛረብን_, 
   {{0xe202008f,0x8c3f01b8,0x56b00381,0xd2620139}},	//   _otsing_, _चम्पारण_, _agmentsf, _पक्षौ_, 
   {{0x1b7e028a,0x686a0226,0x625a025f,0x4af700d1}},	//   _اسپريڊ_, _anankafu, _ebale_, _riksteat, 
   {{0x22c201b9,0x51c30061,0xe202012c,0x0d700040}},	//   _alalila_, _자기소개서샘플_, _baridi_, _למפתחים_, 
   {{0x5c34035b,0xe2920414,0x321201f4,0xd29203d9}},	//   _delavnic, _misato_, _gacha_, _jirama_, 
   {{0x33580085,0x7f4b000c,0x32250318,0x362b034b}},	//   _daugane_, _atopáram, _kaekhe_, _sikirapi, 
   {{0x55a602c7,0x4af000cb,0x00000000,0x00000000}},	//   _newstick, _babenges, --, --, 
   {{0xe21203bf,0xe83e061d,0x26240159,0x3d6f0148}},	// [6ab0] _bacha_, _димки_, _вербальн, _照見五蘊皆空_, 
   {{0xc22a0262,0x691a0244,0xb9d30352,0x47f80153}},	//   _доган_, _последно_, _এইক্ষেত্, _アイランド_, 
   {{0xdd85010b,0x4c0c02ac,0x33a80277,0xbe0300b4}},	//   _bahebere_, _شيهانة_, _balatong_, _форматэ_, 
   {{0x890202d3,0xeb4f0265,0xa19500bf,0xb978006c}},	//   _интервју, _naamsver, _аланами_, _angisebe, 
   {{0x086d034d,0x322400bd,0x221200ca,0x93790316}},	//   _membayar_, _canker_, _facha_, _dogayen_, 
   {{0x7ad301b7,0x18870163,0xd8870153,0xe10b0181}},	//   _अहोरात्र, _ذريعے_, _図面の簡単な説明_, _linksaml, 
   {{0x49fa0434,0x41390138,0xb982009a,0x1e39003d}},	//   _jugadore, _markasın, _baninike, _clinhets_, 
   {{0x225a019d,0x1213007e,0x2d3102f7,0xbc1b018c}},	//   _abale_, _arghya_, _efangele_, _overeens, 
   {{0xb0e904a5,0x440200fb,0x89910176,0x3256020a}},	//   _abangahl, _abanikaz, _yoshioka_, _جولاۋشىم_, 
   {{0xb2d80369,0x7ae402ca,0xcd8400e9,0x18c104ad}},	//   _monede_, _dearmadt, _anverite_, _balemiru, 
   {{0x5b6e038a,0xd4aa009b,0x322401b4,0x525a002a}},	//   _kastilla_, _спамнаас_, _sulke_, _daalu_, 
   {{0xb3f9028e,0x52d901f7,0x82cf005e,0x118c034c}},	//   _abrus_, _naues_, _ياقۇپبەگ_, _boralaql, 
   {{0x6a5e02fa,0xec1f000c,0x725a001b,0x6291056b}},	//   _kaberuka_, _añangare, _faalu_, _lafazh_, 
   {{0x830c003d,0xe971038a,0xc3dd03b6,0x72380371}},	//   _donadas_, _chinkapt, _oluwo_, _animati_, 
   {{0x799b005c,0xf74f054c,0xd9750074,0x6e49001c}},	//   _shakisha_, _vesterål, _клубов_, _inaatuba, 
   {{0xb50a0370,0x1829002c,0x8eac0486,0x12ca0034}},	//   _kafegaul_, _серверт_, _poporodn, _diddii_, 
   {{0xc25a01b8,0x7c2c00a0,0x6c04006c,0xa4b400db}},	// [6ac0] _kaalu_, _alkalanc, _akasazi_, _mehaanik, 
   {{0xc02d0211,0xe0ec03db,0x425a001b,0x0f210333}},	//   _подобрат, _asinakul, _caalu_, _addulura, 
   {{0xeb350272,0x0e5102ff,0x628201f4,0xfa6f0291}},	//   _alwanyis, _dezamema, _bajaradi_, _وأسألك_, 
   {{0x42920402,0x125a0044,0x69d90005,0xe400012a}},	//   _diraja_, _nails_, _fonoteca_, _tarnowsk, 
   {{0x5e410326,0x9f7b000c,0xb9d90211,0x4c5600da}},	//   _andainge_, _польшатә, _mainonta_, _partide_, 
   {{0x615001af,0xf3eb010b,0xdfe90079,0xadb200cf}},	//   _hereketl, _baatlh_, _komunikā, _amanamaa, 
   {{0xa7870255,0xa0a001be,0xe87302aa,0x78f50322}},	//   _तस्वीर_, _destičky_, _šéfka_, _bakamuvu, 
   {{0x521306c2,0x9b190013,0xb96b003b,0x7a0b0055}},	//   _lashe_, _бирдамли, _beningat, _algaiola_, 
   {{0x025a0065,0x325a01e5,0x37a7026c,0x2eae03b5}},	//   _mails_, _baalu_, _clarissi, _dialamin, 
   {{0x22240127,0x6f7906ec,0x56fe0187,0xe2f8033a}},	//   _ranker_, _carbonos_, _домашнио, _imdorrij, 
   {{0x2f0c0044,0x6cd20094,0x42d90275,0xe7a2004c}},	//   _להתייעץ_, _زورواستر, _nauer_, _baguliri, 
   {{0x2267032d,0x71630013,0x1eac00ec,0x00000000}},	//   _bosoasoi_, _бокира_, _sprogmen, --, 
   {{0xe29200a1,0x62910217,0x03170251,0x460f0486}},	//   _miraka_, _sicano_, _filayey_, _शोभाभगवत, 
   {{0x133c014e,0xd2e70090,0xd36f007f,0x86cc008d}},	//   _близу_, _akundwa_, _ddagrau_, _armasini, 
   {{0x015000f5,0x57ae0243,0x825a0265,0x4d21005c}},	//   _bereketl, _baatilii, _haalt_, _adusabir, 
   {{0xb0d80148,0xcf6703d4,0xa4230012,0x682a021b}},	//   _隱私權保護_, _сингла_, _जाइबि_, _грабител, 
   {{0xf953048a,0xce620129,0xe2570195,0xf213001e}},	// [6ad0] _сынып_, _biakọta_, _airtneal, _fashe_, 
   {{0x3b72019f,0xdb5b0359,0x32470501,0x3b8a0060}},	//   _biashara_, _romeinen_, _अकाली_, _بەلگىلەۋ_, 
   {{0x07d902eb,0x0bee0145,0x9c6f00fd,0x1ccd02d6}},	//   _нарантуя, _балот_, _neartan_, _канадага_, 
   {{0x2fcc019a,0xd5b002ef,0x6c0303a4,0x3f27042d}},	//   _fruitier_, _denstrik, _darvað_, _fidradra, 
   {{0x421301c0,0x932601bd,0x7189006e,0x04ec00a4}},	//   _kashe_, _تاعىلىم_, _darajaay_, _جيىركە_, 
   {{0x437801c0,0x8635023c,0x33aa0140,0x89d100b2}},	//   _inganta_, _abanyuli, _masamang_, _calliyaa_, 
   {{0x52da0159,0xdc90026c,0x42240255,0x3d8c01d8}},	//   _europos_, _ㄅㄆ話翻譯_, _hulka_, _shimpria, 
   {{0xa2d9025c,0xef3704f9,0x3354005e,0xf5dd00b4}},	//   _dauer_, _apersorp, _ئىئوردان, _binecuvâ, 
   {{0xd49f0061,0x00000000,0x00000000,0x00000000}},	//   _효과적이다_, --, --, --, 
   {{0x1c6f0195,0x8c6d0449,0x00000000,0x00000000}},	//   _feartan_, _sumraka_, --, --, 
   {{0xff230264,0xf2000075,0xae4e000a,0x64ac0092}},	//   _magtraba, _erligt_, _allapala, _河川激甚災害対策, 
   {{0xe2d8054f,0xb8650147,0x621e0256,0x13b6019d}},	//   _ncees_, _افرىقادا, _notikuša, _chavula_, 
   {{0x70580044,0x0c6b000d,0x26950094,0x9f5a01c6}},	//   _ועצבני_, _चूम्मा_, _ағынан_, _eksposea, 
   {{0x9230019c,0x5cd203f4,0x86430156,0x03860044}},	//   _aramada_, _скажу_, _לאיאל_, _sworn_, 
   {{0x02460578,0x49590340,0x82dd0220,0x02d8018b}},	//   _nîmes_, _moroitit, _направил_, _zonele_, 
   {{0xf5a20142,0xf5ef0179,0x0af70009,0x4fdd0097}},	//   _कथिता_, _besepedö, _obveznos, _alubọsa_, 
   {{0xd2010212,0x39bb033e,0xbf640353,0x13ed0269}},	// [6ae0] _pkzip_, _calesita_, _zavlažov, _inició_, 
   {{0x9a090013,0xe28700a5,0xfe550129,0x3afc02c4}},	//   _москвада_, _fakamoem, _ndebanye_, _владетел_, 
   {{0x62310359,0xdc61030b,0x02cb0138,0x73ec0052}},	//   _beammen_, _agiriwe_, _devleti_, _मनुष्यको_, 
   {{0xba050059,0x42b403a8,0x92910345,0x00000000}},	//   _уведомяв, _উজাগৰে_, _picado_, --, 
   {{0x629200ea,0x1b740297,0x7b1b0137,0x00000000}},	//   _havany_, _karavına_, _сүүдрэвч_, --, 
   {{0x494f05a9,0xe3f90189,0x420100a2,0xb68a00e6}},	//   _barorere, _maruz_, _maziki_, _广东伟业铝厂有限, 
   {{0xfc5a0396,0x12ee0286,0x3a1107a1,0xe58601c8}},	//   _mentali_, _womfra_, _džamija_, _starostk, 
   {{0x2290042b,0xf6b905f2,0xa2010148,0x9dc1019b}},	//   _nikako_, _inmateri, _medius_, _patikima, 
   {{0x6d3200c4,0x0f640061,0xa292019f,0x00000000}},	//   _mwanaume_, _구덱겔리온_, _kiraia_, --, 
   {{0x131904ad,0xa9f40052,0x0c5300ee,0xd7ca018d}},	//   _bodibeng_, _उपदेशात्, _aretoan_, _ዝዛረብን_, 
   {{0xda0902e0,0xe793002b,0xf664004d,0x62df008d}},	//   _bagarona_, _বৃহষ্পতি, _台中縣忘憂草女性, _akaning_, 
   {{0x159102fe,0x68c502e5,0xd8660272,0x00000000}},	//   _sepemeth, _codefind, _aliiridd, --, 
   {{0xb32003d3,0xa224027f,0x9cf701e8,0xf3ea0107}},	//   _møbler_, _arlko_, _diktitor, _aboté_, 
   {{0x90ea0039,0xb2bb0339,0x0a0a00ea,0x713e01b9}},	//   _abantail, _keleawe_, _havanana_, _portasyo, 
   {{0x1af6016d,0x6c5a024c,0x496e0044,0x3b340010}},	//   _академйи, _dentali_, _flypaper_, _ingakhis, 
   {{0x6e550129,0xb2fd0220,0x561d0160,0x7305035b}},	//   _edebanye_, _borgo_, _nekolici, _prenoslj, 
   {{0xe3dd06e5,0x7dd90107,0xd49500b4,0x74980453}},	// [6af0] _jouwe_, _عتبات_, _publicul_, _plasiraj, 
   {{0x8ad2011b,0x4e3900bb,0x7c71003a,0x82f20486}},	//   _tendress, _سہروردی_, _shariat_, _novakovi_, 
   {{0xc394003d,0x02b30094,0x00000000,0x00000000}},	//   _agost_, _بارماعىم_, --, --, 
   {{0x784a01f4,0x5633009a,0x82900151,0x59560116}},	//   _баландли, _amangeni, _aghaue_, _evermair_, 
   {{0x8c72022f,0xf37602a5,0x21c30279,0xe3a8032d}},	//   _skirtas_, _vždyť_, _illimité_, _kalafong_, 
   {{0x349500f5,0x295202ea,0x31a2020f,0x4af8027c}},	//   _акдырянд, _съдия_, _بریټانیا_, _bosulele, 
   {{0xec04022d,0x6c4d033b,0x81b30354,0x535f0073}},	//   _maestri_, _diswiri_, _فورماتلا, _singule_, 
   {{0x5a6e0377,0xf50801f1,0x130002a5,0xb98d0141}},	//   _камионул_, _realizoh, _उपबिजेता_, _shaharda_, 
   {{0x164d017d,0xa25a0450,0x2d7403b3,0x8db40164}},	//   _この商品について, _daalk_, _vermente_, _تولوق_, 
   {{0x5c410036,0x760104dc,0x56ad02c0,0x9dc3042d}},	//   _تجربتي_, _مناسن_, _погребан, _andiniha, 
   {{0xc4c7020f,0x4cc60234,0xcfda0060,0x00000000}},	//   _بدمرغي_, _yọ̀bẹ_, _ەستىپ_, --, 
   {{0xed590523,0xe36a00d6,0x92cb01e3,0xbbf20204}},	//   _वेशभूषा_, _bhagair_, _gladko_, _lontooss, 
   {{0xf200027a,0x3f5a026c,0xe0f40102,0xc2ca0071}},	//   _budite_, _torquent_, _maliasil, _apodis_, 
   {{0x5c180005,0x89d0016d,0x47e10094,0x38110061}},	//   _bilantsc, _метир_, _көлдері_, _식품의약품안전청_, 
   {{0x1ae00476,0xf4170665,0x817600f8,0xbdb90462}},	//   _akatende, _friscmen_, _পাণিমৈথু, _eilingca, 
   {{0xefa00337,0x316700c7,0xb2bb003d,0x00000000}},	//   _videolar_, _тырыштыл, _calerie_, --, 
   {{0x1c0c00ac,0xd76e0397,0x5cd70197,0x882703ce}},	// [6b00] _austrijs, _emihlang, _ministè_, _بارانا_, 
   {{0x2202003a,0x52900343,0xc2fd014a,0x9d8400f4}},	//   _larini_, _gilaum_, _fitnesz_, _goveliet_, 
   {{0x627e020b,0x225a05c2,0x98190060,0x6319048a}},	//   _gonne_, _mbilu_, _بولسىن_, _بولدىق_, 
   {{0x176e02f0,0x9af6044b,0x5ee60092,0xfb8c03ef}},	//   _imihlang, _oplevels, _壁紙カレンダ_, _akanerur, 
   {{0x73eb021b,0xf7d9016a,0xa2b603bf,0x00000000}},	//   _tietoa_, _agrablaj_, _ikadile_, --, 
   {{0x127e0222,0xa2ff0449,0x152a034c,0xd34d0160}},	//   _bonne_, _rashode_, _бармагын, _okrenem_, 
   {{0x3c10057b,0xe2ec03b4,0xce8e002c,0x00000000}},	//   _rápido_, _adzinge_, _умартан_, --, 
   {{0x072702e1,0xc47f021b,0xc21c020b,0x00000000}},	//   _مراسل_, _абонента_, _mashwi_, --, 
   {{0x74c802b6,0x0b20042c,0x42c7021d,0x00000000}},	//   _намаздар, _prepreka_, _husleje_, --, 
   {{0xabb70529,0x600e0037,0x6c67025f,0x00000000}},	//   _mitrović_, _አይጠበቅም_, _mokumba_, --, 
   {{0xfaee0141,0xeb9a0433,0xdd740312,0x52020065}},	//   _bildiris, _medzilab, _termenet_, _sprich_, 
   {{0x295002e4,0x925f01b2,0xb1070120,0x2013011e}},	//   _riformat, _assuredl, _dalkiteh_, _sirveyan, 
   {{0x88730047,0xeebe0353,0x3200002a,0x22860417}},	//   _您想在自己的网站, _zaznamen, _bulite_, _verkrag_, 
   {{0x80c300a2,0xc985041a,0x7f4801d4,0x89f301d7}},	//   _مدرسي_, _trakasse, _riassume_, _exprimid, 
   {{0x3c330156,0x0271005e,0x4d3b018e,0xa389005e}},	//   _מארין_, _ﯮﺭﮔﺎﻧﻠﯩﺮ, _hahisile_, _شىنلاڭ_, 
   {{0x9640019d,0xe1c40441,0x00000000,0x00000000}},	//   _achilimi, _obnovení_, --, --, 
   {{0x490d03e6,0x72fd0381,0xb6e70137,0x58fb0015}},	// [6b10] _schablou, _andrasay_, _хэдгэнэд_, _axmaarad, 
   {{0x96f20444,0xbe700109,0x42f40010,0x395e0061}},	//   _телеметр, _प्रकि्रय, _gongóni_, _맛있답니다_, 
   {{0x5dea0272,0x63e500e3,0x72ef006d,0x62120282}},	//   _abajapaa, _akklamaz, _адзкія_, _moohio_, 
   {{0x57d000ad,0x82e7051a,0x7aa50062,0x0c5600db}},	//   _tungtung, _cukuplah_, _jechlahb, _ajutine_, 
   {{0x4c6f0094,0xd37c049d,0x68b102c5,0x00000000}},	//   _بولمەدە_, _sobrenom, _dendered, --, 
   {{0x14b30272,0xb95e0365,0xae070597,0x00000000}},	//   _amubatiz, _एम्वुलेन, _джамаiат_, --, 
   {{0x7c37037f,0xe32c016d,0x731003ac,0xc6fc0143}},	//   _istifadə, _булардин_, _memburu_, _довериет, 
   {{0x8ea501b5,0xbc3a0142,0x9c5a00c8,0x9379015a}},	//   _angurise_, _प्रयाति_, _boruteg_, _baranna_, 
   {{0x52d801eb,0x384304a2,0x034602eb,0xba710182}},	//   _jinete_, _emitidos_, _станцууд, _lewalewa_, 
   {{0x93790252,0x72cb037c,0x525a0113,0x68970153}},	//   _minango_, _gladio_, _mball_, _スマブラx_, 
   {{0xe9d40139,0xf4a00193,0x5e0c00d9,0xdb0e0185}},	//   _कडियाँ_, _धर्माच्य, _фотосесс, _фоторәсе, 
   {{0x12fd07a2,0x938c014f,0x38c60297,0xcba70229}},	//   _ridges_, _krostini_, _синтезы_, _faktları_, 
   {{0x1fc80061,0x1c060477,0x4367003f,0xabc80012}},	//   _다음페이지_, _mentrans, _manghom_, _रसियà_, 
   {{0xf3dc0764,0xf8e60094,0x38490037,0x44ab00be}},	//   _rimwe_, _сайттар_, _ቢመስልም_, _تۉشۅنچۅ_, 
   {{0x72da04d0,0x7213001e,0x62020333,0x39d00371}},	//   _dapeiq_, _rasha_, _parini_, _сесия_, 
   {{0x87e7010f,0x771d0035,0x21e800e6,0xb2ef00a0}},	//   _филиали_, _апаның_, _中央人民政府门户, _bakinta_, 
   {{0xa9e701a7,0xdafd02a3,0xabea0060,0xd7b500d1}},	// [6b20] _nettikau, _situasie, _сапарыме, _ভোমোৰাগু, 
   {{0x90fb0037,0xe29002e2,0xe27a003c,0xc3410122}},	//   _የትንቢት_, _aghast_, _apriyani_, _دنیام_, 
   {{0x2b34052f,0x47f6004d,0x42880039,0xcf410291}},	//   _babambis, _中國鋼鐵工業協會, _уйгар_, _الإغاثة_, 
   {{0x3afa026c,0x23970024,0xad9b00d6,0x9fc4000c}},	//   _地圖小工具_, _সমালোচকৰ_, _fhaoisea, _jahovamo, 
   {{0x5503018b,0x7466014c,0x6a2c02b6,0x39660094}},	//   _претекст_, _basebenz, _хадистер_, _халыық_, 
   {{0xb3a200de,0xa5a80357,0xd310038b,0x8e5600b7}},	//   _ikopi_, _dresulak, _cemburu_, _фактын_, 
   {{0x24710343,0xce1b00fd,0xdb7902b6,0x437902a2}},	//   _bantugan_, _illeatha, _кешенди_, _hinango_, 
   {{0xf8d1032d,0x00000000,0x00000000,0x00000000}},	//   _devertsd, --, --, --, 
   {{0xbb9804d6,0xbf3a0444,0xa2c20264,0x72d90338}},	//   _तिरुपति_, _предъяви, _hallein_, _sovent_, 
   {{0xd2c200d9,0x72b400dd,0x6213003f,0x00000000}},	//   _kallein_, _hances_, _qasha_, --, 
   {{0x3f210053,0xb909015e,0x002c0092,0xed2800a7}},	//   _ketulusa, _бечара_, _つれづれ日誌_, _زامبئرەك, 
   {{0xc26d05a9,0x038201da,0xb81100d9,0x5e3b00a8}},	//   _inyota_, _degradim, _адресова, _colonnas_, 
   {{0x02920025,0x02e90318,0x8be40066,0xa1d700b7}},	//   _aswani_, _lusiola_, _bezeroar, _bermeýär_, 
   {{0x29ef00ea,0x53eb0020,0xf8fd0264,0x91b70022}},	//   _pasitera_, _enetia_, _agraviad, _барыбыҙҙ, 
   {{0x2e080097,0xb3eb00a8,0x00000000,0x00000000}},	//   _mẹ́wàá_, _chetta_, --, --, 
   {{0x626d042b,0xc4660607,0x3be00009,0xb3a200a1}},	//   _otvori_, _wasebenz, _prometno_, _ohopu_, 
   {{0x7fa600da,0x463702c0,0x00000000,0x00000000}},	// [6b30] _патрате_, _тарифни_, --, --, 
   {{0xc54e0061,0x36b80163,0xf9410155,0x9ea102c7}},	//   _리베라스위트빌_, _تاجررہنم, _struntar_, _startete_, 
   {{0x1bf30218,0x0edd0343,0x8498002e,0xd4100415}},	//   _oblemspr, _amihanan, _zemaljsk, _massiven_, 
   {{0x827e01e9,0xab64026c,0xe19500cb,0xcc5503d5}},	//   _monna_, _自行編製講義_, _ababebul, _amative_, 
   {{0xe1880066,0x9c700618,0x0a34011f,0x23eb0219}},	//   _клиникий, _podrsku_, _mayakuér, _khetsa_, 
   {{0xe23b0226,0x2535030b,0x59e6000a,0xf31700b4}},	//   _bolling_, _abinyumy, _amerlisu, _cluburi_, 
   {{0x96350011,0x227e01b6,0xc34200f4,0xa07300c4}},	//   _abanjuli, _gonna_, _aztecan_, _مهورت_, 
   {{0x6e4600ee,0xe2c40148,0x42d903ae,0x962d0037}},	//   _zabaltze_, _澳洲大紀元_, _innover_, _የሰነበተው_, 
   {{0x4387013d,0x724b03a8,0xee3f0192,0x8af50263}},	//   _staras_, _চিহ্নৰ_, _broodjes_, _mensenre, 
   {{0xd27e04e5,0xfdbb012a,0xaa2d0247,0x89db00e6}},	//   _bonna_, _जिन्होंन, _ملودی_, _第五十七条_, 
   {{0x302e023d,0x3dc1030d,0xf3790316,0x01e3012a}},	//   _produzio, _nəzdində_, _angaren_, _संचरण_, 
   {{0xf27e041e,0x32860481,0x121302fa,0xbcb6020f}},	//   _donna_, _verhaal_, _nasho_, _abengumq, 
   {{0xe26d00cb,0x4e00015a,0x851d012a,0xbfb9000c}},	//   _umbono_, _addeessa, _gimnasty, _нормақәа_, 
   {{0xc3f8017d,0xb26303b9,0x44820211,0x52920077}},	//   _motorcyk, _kamisati_, _посуды_, _depale_, 
   {{0x772b0152,0x63f40455,0x73680086,0xcb1400f2}},	//   _nikolaev, _pattes_, _langyos_, _degpunkt, 
   {{0xae550311,0x6dad0528,0x00000000,0x00000000}},	//   _ህርኩታት_, _sinnsrea, --, --, 
   {{0xe6d90037,0xfa0f056b,0x2c3a0365,0x00000000}},	// [6b40] _perpuluh, _diupgrad, _बनेपामा_, --, 
   {{0x03490298,0xf2fa0326,0xf02c03a0,0xc2ff01f9}},	//   _matekai_, _akahaya_, _dikerafo, _bashade_, 
   {{0x3ac205dd,0xfdf50014,0x94b80299,0x00000000}},	//   _जिनपर_, _mendonte_, _زوقمەن_, --, 
   {{0xc2ec0300,0xa21300b0,0x228701b2,0x552a00aa}},	//   _kontroly_, _gasho_, _aahidey_, _eksibisy, 
   {{0x3ed40122,0x43690062,0x00000000,0x00000000}},	//   _beayanip, _qangqor_, --, --, 
   {{0x1ffc0023,0x75ce0115,0x0dad006f,0x4356055c}},	//   _способ_, _umpamany, _جانچڻ_, _varehus_, 
   {{0x77280405,0x9cec0205,0xeb0f0156,0x92f302f6}},	//   _домашніх_, _спирал_, _אומסטאבי, _mungkahi_, 
   {{0x0d8c00ff,0x22a00119,0xd37b034b,0x2341017c}},	//   _הפּחות_, _bawbaw_, _sanapim_, _arbeten_, 
   {{0x123b033c,0x834f014b,0x937f00d9,0x00000000}},	//   _gollwng_, _cabeteh_, _tuhatta_, --, 
   {{0x71060163,0x2ecc017f,0xd72801e6,0xb459016e}},	//   _نگرانی_, _sumiginn, _odblokov, _grupları_, 
   {{0xc2e3017d,0x8bce0257,0x226d0099,0x5c2400c5}},	//   _veninde_, _ingvarss, _anyora_, _occupé_, 
   {{0x77d8016a,0x329200e2,0x3b190127,0xd202007f}},	//   _vivantaj_, _bepale_, _bodadenn_, _caribi_, 
   {{0xec820151,0x39e003d4,0x03f700d1,0xef4d011a}},	//   _bantling_, _обруча_, _andedrag_, _אישרו_, 
   {{0x0ecd0300,0x92fd0190,0x6781040f,0xc9c50181}},	//   _investič, _forgi_, _аклахомы_, _biseikat, 
   {{0xec740487,0x89970265,0x57230143,0x00000000}},	//   _amounts_, _katholie, _невалиде, --, 
   {{0x134b0037,0x8f1f0130,0xc3a20022,0xac360156}},	//   _ሜንፍሬም_, _baleaden, _dkopo_, _מבֿינים_, 
   {{0x149901ee,0x2cf00094,0x9b6a0089,0x42d900cf}},	// [6b50] _половине_, _ايراۋىقت, _almawın_, _bayeen_, 
   {{0xe7490013,0xbeda0074,0x936600d1,0x12cd03a4}},	//   _назаримд, _группиро, _দূৰ্বল_, _eindømi_, 
   {{0xdaab0025,0xc8cd04e7,0x3202000f,0xc2d90022}},	//   _कार्याणि_, _vstrekov, _harici_, _dinnete_, 
   {{0xc0c300e6,0xf28c0285,0xf37f0129,0x0ce8029c}},	//   _从此图像更清晰_, _ahakura_, _yanakwa_, _kukwilir, 
   {{0xaf5d02df,0x00000000,0x00000000,0x00000000}},	//   _paparkan, --, --, --, 
   {{0xb1ca01da,0x95bb01ed,0x1238002e,0x93870081}},	//   _britanik_, _kakaikah, _snimiti_, _starfs_, 
   {{0x12260369,0x2ca1046b,0x158a0214,0xf1300265}},	//   _haukae_, _atafaelu_, _babenakh, _maatwerk_, 
   {{0x8da00411,0xb14d0161,0x33ea0219,0xaa07005c}},	//   _tilfelle_, _brittiho, _ibitwa_, _batageza_, 
   {{0xd2c1001e,0xb3ea02fa,0x2fe70061,0xd290001c}},	//   _wallafa_, _abitwa_, _스트레칭은_, _laoang_, 
   {{0x12000638,0x545e00b3,0x3b7b0247,0xf296012a}},	//   _mulige_, _битирйнн_, _bengawan_, _atrakcji_, 
   {{0x2b770251,0xadb401aa,0x234b008b,0xb26000b4}},	//   _tigreega_, _allingfa, _dereetu_, _resursel, 
   {{0xa307018a,0x74d4010d,0xd949015e,0x9f660211}},	//   _dalaith_, _रेटिना_, _балалыгы, _rakastun, 
   {{0x071d017e,0x12400156,0x00000000,0x00000000}},	//   _jardekoj_, _פרויבירן_, --, --, 
   {{0xdf1f004b,0x297f0420,0x40d70052,0xb24a00d9}},	//   _опробова, _здрава_, _vieweghů, _kuumin_, 
   {{0x625a01a3,0x02e70220,0x73a30256,0xbf2100b9}},	//   _mbili_, _климатиц, _skapis_, _keluhura, 
   {{0x90ca0037,0x073101bd,0xd24a0251,0x0a6d0135}},	//   _ዘንድሮም_, _اسقىنباڭ, _muumin_, _прокатка_, 
   {{0xd21301c0,0x13ba019a,0x22d40385,0x927e0360}},	// [6b60] _tashe_, _deivils_, _tvrdio_, _definici_, 
   {{0x2bc900bf,0x27ec030f,0xbeb502b9,0x03dd0004}},	//   _настояще, _timatang, _عبدالوہا, _bouwo_, 
   {{0x2ee902b4,0xd6560025,0xd5030036,0x625a03db}},	//   _akukafan, _महाद्वार, _مانجو_, _ibala_, 
   {{0xf318004b,0x5c770102,0x13aa0140,0xc2bb025f}},	//   _bolileng_, _uturuki_, _kasamang_, _bolenge_, 
   {{0x32020390,0xf2e90227,0xcdc10343,0xaeec00d6}},	//   _xarici_, _abaikan_, _kalihika, _liamhás_, 
   {{0x9f460206,0x00000000,0x00000000,0x00000000}},	//   _overenie_, --, --, --, 
   {{0x22ee047b,0xa25a044a,0x32e70321,0x4b1f02be}},	//   _tilfar_, _mbala_, _letnika_, _dalandan_, 
   {{0x12f00247,0x0485012a,0xe25a002a,0xf4810360}},	//   _kelinci_, _दिलाती_, _ebili_, _भाषाका_, 
   {{0x5264004b,0x00000000,0x00000000,0x00000000}},	//   _haulwa_, --, --, --, 
   {{0x6dfd01aa,0x02e30176,0x7c210238,0x351f0265}},	//   _extentwa, _derimod_, _академія_, _agentsch, 
   {{0x6f5c0212,0xf35d04ad,0xb21303b4,0xb2fc01f6}},	//   _couponba, _amegang_, _rashe_, _gongen_, 
   {{0x930700fc,0x4af70220,0xafa40258,0x15c9033e}},	//   _irlandês_, _дарение_, _efteroer_, _mombeupy, 
   {{0x83ab001a,0x8c560156,0xb3620361,0xcd0e040e}},	//   _ہنرمند_, _שייטלן_, _гiардакк, _byttedyr, 
   {{0x828a00ab,0x6b0701ff,0x328a06a8,0x5dcb0053}},	//   _paramani_, _potrubia_, _marakani_, _सत्यकथा_, 
   {{0x30ce0528,0x625a01e6,0x54ec002b,0x725a0290}},	//   _bellshil, _maily_, _ম্লান_, _ozilgi_, 
   {{0x525a0113,0xb27e033f,0x0fa2017e,0x79c20439}},	//   _laily_, _ihonau_, _bjalisto, _katekise, 
   {{0x3332015e,0x8c5300c1,0x32de0054,0x00000000}},	// [6b70] _deixat_, _tertata_, _bakonmu_, --, 
   {{0xe46f041f,0x141d00fe,0xe9b9027f,0x42950373}},	//   _ethembek, _fesiofak, _intengwa_, _ענייבאַל, 
   {{0xb2120338,0x42d80116,0x9e030074,0x70840363}},	//   _tycho_, _cheeng_, _кормить_, _innblikk_, 
   {{0xcb670139,0x838002cf,0x00000000,0x00000000}},	//   _जीवने_, _repres_, --, --, 
   {{0x9b1f030d,0xe2fc046f,0x246f00ef,0x00000000}},	//   _yalandan_, _zongen_, _ithembek, --, 
   {{0x5c52000c,0x4f850301,0xf5630094,0x225b02e0}},	//   _akatúa_, _bitirmiş, _تەلەگەي_, _epelwa_, 
   {{0x601900bf,0x5303003a,0x051800c4,0x927e04ac}},	//   _распреде, _nafaqat_, _پوئواري_, _jonne_, 
   {{0x16c901cb,0x73ea01a7,0xa27e0077,0xc26e0033}},	//   _litshway, _taitaa_, _jennfi_, _bruonz_, 
   {{0x5c1804f0,0x23680067,0x2c2c0021,0x9dfe0388}},	//   _intaster, _aangoos_, _adapters, _soddisfa, 
   {{0x0c0200df,0x1a4500de,0x4a87038b,0x19e600c5}},	//   _dessous_, _اندرسن_, _keunikan_, _nourritu, 
   {{0x88ac021b,0xadd90074,0xcdcc0188,0x835e013f}},	//   _достигае, _maakunna, _amakhomp, _dibradañ_, 
   {{0xcd2c022d,0xefd3033c,0xb1ef018d,0x542803c4}},	//   _visitate_, _brenhino, _ምንቕስቃስ_, _китаплир, 
   {{0x420203cf,0x72fc0305,0x520702e5,0x3283008d}},	//   _tarihi_, _songen_, _demokrás, _yaratadi_, 
   {{0xa46f0673,0x96d105a2,0x2c800064,0x627e06e8}},	//   _athembek, _काबिल_, _тезек_, _radnom_, 
   {{0x82da0220,0xbd1a00bf,0x53ea017e,0xf79303f5}},	//   _arredo_, _конечной_, _montru_, _critério, 
   {{0x0750020e,0x2fd302bd,0xc371042c,0x7d0602a1}},	//   _кварталы_, _frenhino, _dijalog_, _dialekte_, 
   {{0x1a3a0094,0x330d0224,0x7ba4028a,0xbf990064}},	// [6b80] _казахски, _annarar_, _wakiwamo_, _oliveres_, 
   {{0x2f24011f,0x634102b1,0xbf53016f,0x4faa0153}},	//   _análi_, _aurenta_, _домашнє_, _アルビオン_, 
   {{0xcc3b01bd,0x719001f4,0x93dd02c2,0x00000000}},	//   _атамұра_, _ashaddiy_, _gouws_, --, 
   {{0x096b03b9,0xe3ea0211,0xd2d903d5,0x4bb9022b}},	//   _samichat, _maitoa_, _algear_, _giljagar, 
   {{0x00000000,0x00000000,0x00000000,0x00000000}},	//   --, --, --, --, 
   {{0x52e30212,0xd8c500d9,0x9344009b,0xe058000a}},	//   _denique_, _стремите, _haserre_, _avissinn, 
   {{0x65aa02c4,0xeeb20514,0x1dd20158,0xf2cb0010}},	//   _promoçõe, _cacophon, _znajdowa, _ifulegi_, 
   {{0x4c0e02f0,0xb50f003f,0x71760066,0xa37902e4}},	//   _asitimis, _dadontah, _arazorik_, _betanja_, 
   {{0xb74d018d,0x8303018f,0xf38603b4,0x93730450}},	//   _ምትዕርራይ_, _davanpu_, _atora_, _opmakke_, 
   {{0xa00f04fc,0xd26d000c,0xc3790183,0xe02002c3}},	//   _অক্টোবর_, _amboao_, _zaraina_, _predsedo, 
   {{0x89af01c4,0xc3320008,0x93dc02be,0xedf30156}},	//   _kinderve, _teixit_, _aliwin_, _איזאַבעל_, 
   {{0xbe6b027b,0x32d8015e,0x06c30421,0xfc160291}},	//   _anantavī, _vinent_, _jemandem_, _مدخلات_, 
   {{0x825a046d,0x12b40465,0xccf70287,0x2ca00312}},	//   _mbalo_, _malce_, _लेखकका_, _reizhskr, 
   {{0xbf260026,0x047c012b,0xc21302ec,0xbb250125}},	//   _홈페이지에_, _pojemnik, _gasha_, _шуларын_, 
   {{0xc2fe0031,0xd3dc0017,0xe6cf0239,0xb3ad0365}},	//   _merilis_, _cnews_, _mangataw, _डकुमेन्ट, 
   {{0x0292001a,0x62640544,0x04720088,0xe25b02cf}},	//   _tavaly_, _kaulua_, _алынбайт_, _orelha_, 
   {{0x5c640147,0x1b3a0060,0xe3440025,0x00000000}},	// [6b90] _octubre_, _جۇڭگوداع, _पश्चिमभा, --, 
   {{0x596701be,0xf6a600fb,0x3fad0004,0x22640187}},	//   _स्कन्द_, _esithuny, _esklizyo, _agulha_, 
   {{0x339b0206,0x3af603c2,0xeabc0272,0xd3f8016b}},	//   _detailov_, _absurdne, _amajolob, _ammura_, 
   {{0x7a1605f1,0xce02004b,0x82e10151,0x1195016f}},	//   _databuja_, _barekisa, _acerbity_, _планами_, 
   {{0xe4450057,0x6dc80094,0x43e4045e,0xe73e0014}},	//   _ለማራመድ_, _табылаты, _неподход, _kampionë, 
   {{0xb30f038e,0x293b0132,0x2b2202bf,0xa53b009e}},	//   _menatap_, _semmilye, _awuphele, _espanhol_, 
   {{0x425a01b2,0xa2b40231,0xb12f027b,0x00000000}},	//   _scald_, _falce_, _अराजिष्य, --, 
   {{0x225a04d5,0x81f303b8,0x5c6203fb,0xe6c40408}},	//   _acale_, _رەتسەپت_, _bubrege_, _hahatafi, 
   {{0x238601d3,0xf2d50076,0xb3fd0087,0x1a430159}},	//   _stora_, _членки_, _andzisa_, _следства_, 
   {{0x8be90143,0x9f5202e2,0xd9cc0420,0xc68c002c}},	//   _придържа, _bimanous_, _канческа_, _болдгоор, 
   {{0xa86c01f0,0x317b0211,0xa94b0189,0xaa1e00f2}},	//   _diingaud, _kanarial, _siparişi_, _neapšaub, 
   {{0x3f22044a,0x925b016e,0xaa760110,0x19aa0371}},	//   _dasukisa, _hayli_, _sabīne_, _борим_, 
   {{0x2290011c,0x72000107,0xd3790428,0x3ee20109}},	//   _ajjana_, _adjie_, _naravna_, _हुम्लावा, 
   {{0x43eb04e5,0x82020244,0x860102e4,0xf8fd04a4}},	//   _abatta_, _attive_, _bulletti, _murachad, 
   {{0x72fc0245,0xfc370242,0xe25b003a,0xcd29001d}},	//   _gongan_, _istinadə, _mayli_, _antiquat_, 
   {{0xbf2903ad,0x488a03d5,0xa37903ee,0x22d80148}},	//   _fratella, _backwood, _detalja_, _minores_, 
   {{0x926a04e5,0x52860417,0x4f2900a2,0xe8ce004d}},	// [6ba0] _abengabi_, _herhaal_, _ngirumpa, _年中國自來水行業, 
   {{0xe8470220,0xcc1a0024,0x22fc00ad,0x5d9c022b}},	//   _развива_, _নেতৃত্বত_, _bongan_, _skaldska, 
   {{0x1a370089,0x891302f6,0x625c016d,0x82e5014f}},	//   _китаева_, _pinakahu, _чәтнигән, _eponuda_, 
   {{0x8294004c,0x42fc01ec,0x926d007b,0x5b9501b5}},	//   _abakubi_, _dongan_, _byword_, _hayimbir, 
   {{0x326d035b,0x83ea0282,0xd20701eb,0x127e0201}},	//   _soboto_, _waitoa_, _democrác, _salnem_, 
   {{0x028b019f,0x860c027c,0xc7ae04e5,0x53ea021b}},	//   _wanacham, _ستانکزی_, _abatalii, _taitoa_, 
   {{0x6db5011f,0x5a110006,0xb79900e6,0x239503fc}},	//   _msonorma, _memberit, _并加盖公章_, _trasé_, 
   {{0x225a0067,0xc2cb018f,0xe18a0126,0xe28b01a3}},	//   _abalu_, _dalobha_, _наполегл, _uanacham, 
   {{0x82d8015c,0xd2b20160,0x1c6001a4,0xb2e902c3}},	//   _ennert_, _mladima_, _babunda_, _letiska_, 
   {{0xb34100d6,0x2b0c047d,0xb22b0388,0x9740016a}},	//   _انجاز_, _entgéint_, _атентат_, _bienuloj_, 
   {{0x5b910193,0xec530014,0x537300ff,0x08b70109}},	//   _सिनेगप्प, _verteta_, _legante_, _konturov, 
   {{0x82da033e,0xb40a016a,0x7b770241,0x923802a0}},	//   _arroyos_, _agordojn_, _gulummaa_, _sunmomi_, 
   {{0x865800f5,0xf59301e5,0x237802ff,0xa741067c}},	//   _факторды, _bukumaak, _askalon_, _aeroabag, 
   {{0x470801db,0x0e4b00cf,0x5d4b00cf,0x82cb0303}},	//   _кассация, _dalagame_, _dalagamu_, _gololwa_, 
   {{0x93790340,0xdea2019d,0x4f9f0276,0xff4e0230}},	//   _karauna_, _adaliben, _болсақму_, _disparet_, 
   {{0xfc7f0074,0xc38000c5,0x59bf0212,0xd2d802ea}},	//   _katsomo_, _repris_, _celerite, _cinese_, 
   {{0xfeb30347,0xfe510211,0x914700af,0xc37c03e6}},	// [6bb0] _hopeloos_, _вставка_, _мамина_, _dobanne_, 
   {{0x325f0225,0xeaeb01db,0xe2fc0529,0xf2d804b4}},	//   _austheil, _концерті, _ugraditi_, _finere_, 
   {{0xfda600de,0x5e250213,0x245301d3,0x00000000}},	//   _abaneemp, _булгар_, _vildmark, --, 
   {{0xa6910029,0x7bdf0418,0x8ae201f7,0x31fa0162}},	//   _چێڵسی_, _askerler, _bordales, _تىلىڭىز_, 
   {{0xd481005e,0xdf42006a,0x37d90350,0x00000000}},	//   _پۇرچاق_, _hitsanga, _ስለዚያች_, --, 
   {{0x738706c0,0xe2d5038e,0x4aaa0126,0x2d4a0499}},	//   _modrá_, _fotonya_, _покласти_, _fatamanu_, 
   {{0x523701c0,0xb2e70050,0xeddc019b,0xcead0265}},	//   _kammala_, _neangan_, _каментар_, _doorgaat_, 
   {{0x3c39053f,0x2f42006a,0x0a0f02f8,0x91e90061}},	//   _gobiernu_, _mitsanga, _halaataa_, _미술시장의_, 
   {{0x6fcb00af,0x5fd70147,0x42d900d6,0xda090428}},	//   _свобода_, _катаал_, _przemo_, _družbi_, 
   {{0x16ba0128,0xd1e70461,0x3c0704df,0x166a0577}},	//   _زیارتچیل, _adishatz_, _bagryň_, _dozvedel_, 
   {{0x2e4101f1,0xc33d0224,0xe2630037,0x99c60132}},	//   _simbolet_, _landamær, _merindui_, _eltekint, 
   {{0x027e0225,0xf1a700be,0x4b3501c1,0xb2ca00dc}},	//   _monni_, _кармоо_, _आदूबाळ_, _isalani_, 
   {{0xd20200ab,0x168e00b3,0x00000000,0x00000000}},	//   _harimi_, _deneshdi, --, --, 
   {{0x364a0311,0x32fa00b4,0x00000000,0x00000000}},	//   _መምሃርን_, _ancheta_, --, --, 
   {{0x415c015e,0x6a57010f,0xc23702f7,0xc2d8010d}},	//   _мунай_, _писараш_, _bammala_, _cinere_, 
   {{0x02fd019a,0xf79501ef,0x4273032d,0x17b600d1}},	//   _dirge_, _sustipri, _chesehel, _ডালেৰে_, 
   {{0xef6d0147,0x320102a4,0xc387016a,0xaef60097}},	// [6bc0] _ازۇلۇتبۇ, _audiat_, _staris_, _obòkun_, 
   {{0x8278003b,0x936200bc,0x74770040,0xc42c010b}},	//   _amasipal, _nyumbang_, _גסטרואנט, _dikarabo_, 
   {{0x625a0307,0xcede020e,0xc6ce0354,0x35e701a3}},	//   _icala_, _amahanan, _домбайти, _اُماڻي_, 
   {{0xe6cc0069,0x45ca0045,0x1394008e,0x9a36002b}},	//   _riharani, _обреновц, _eggsi_, _মেশিনে_, 
   {{0xa30003cd,0xf82300be,0xdfea03f2,0x25f000d1}},	//   _उपविजेता_, _جەڭەەر_, _наилучши, _ট্ৰাক_, 
   {{0x67f900c7,0x96360011,0x4cd30352,0x13950158}},	//   _арттырыл, _abanyumi, _পাঠকক_, _newsy_, 
   {{0x6312039f,0x97ac03b1,0x9791015f,0x00000000}},	//   _members_, _réutilis, _dditecti, --, 
   {{0xc256034c,0xb2020103,0x06cd00af,0x4dc60020}},	//   _lılar_, _varimi_, _мінераль, _panikeke_, 
   {{0x6dc300aa,0xb3530094,0x693400d9,0x031902f7}},	//   _baliliha, _تۇماۋ_, _varmista_, _godileng_, 
   {{0x53890129,0xcc690152,0x00000000,0x00000000}},	//   _tinyewo_, _gafurov_, --, --, 
   {{0x23f900f4,0x3e5700e6,0x22c80299,0x02b100d3}},	//   _abruz_, _parcoura, _ئىلھامىڭ, _प्रदेशका_, 
   {{0x02d901b5,0xd793012e,0x1f6b017e,0xc386024a}},	//   _goveke_, _kritériu, _פּותר_, _itore_, 
   {{0x79d901d1,0x620202a0,0x62f002a8,0x28dc0089}},	//   _investme, _dariji_, _alwiġi_, _курия_, 
   {{0x9d840326,0x12e70084,0x900e0361,0x60e10568}},	//   _achenese_, _teangan_, _домофоно, _bronseal, 
   {{0x9fcc002b,0x9200023e,0x3b8b0299,0x00000000}},	//   _ডক্টর_, _budine_, _جىھادقا_, --, 
   {{0xb2d80307,0x5b8900ff,0x6b0f01d9,0x1df80707}},	//   _abafundi_, _ekvilibr, _housicke, _bikenewe_, 
   {{0x12d800ce,0x2ad0012e,0x37aa0055,0x53410101}},	// [6bd0] _annefe_, _ذرایع_, _accusazi, _durerea_, 
   {{0xe96c0178,0x9ac10107,0x8c5c00e9,0xc61a010b}},	//   _ananyade, _بنادر_, _routinn_, _kolobedi, 
   {{0xdfa100cf,0xd15c00ce,0x47b70231,0xbd2c0055}},	//   _atileeto, _soulinny_, _proserpi, _ancinate_, 
   {{0x5386068d,0xb319020e,0x06b6019b,0x6ce30040}},	//   _stord_, _bodileng_, _памылку_, _לאלתר_, 
   {{0x4fc30180,0x02ec014d,0x338603b4,0x0da8007b}},	//   _lalimier_, _geringe_, _atore_, _plainsta, 
   {{0xb2d80391,0xa440004d,0xeea8036c,0xce1800e6}},	//   _dinepe_, _以身體表現書法躍, _boalobon, _中国证券报_, 
   {{0x8294019c,0xf212003f,0x84560071,0xe34b00ad}},	//   _ibikibi_, _itlhqu_, _asistèn_, _balebat_, 
   {{0xf85402ac,0x120100bc,0xa37800d6,0xfc17025c}},	//   _لوبيز_, _ajrih_, _macalla_, _antriebs, 
   {{0x7618023d,0x02fc015b,0x3a71023b,0xc5da04d8}},	//   _гражданс, _longen_, _hewahewa_, _taabanay, 
   {{0x13f9004a,0x3946010f,0x00000000,0x00000000}},	//   _abruy_, _партави_, --, --, 
   {{0x13fa0148,0x7962007e,0xd34a0018,0x2e640139}},	//   _posuit_, _apanayat, _ladekau_, _पृष्ठवंश, 
   {{0x027e001a,0x82a7019b,0xe2020282,0x564f036e}},	//   _mennyi_, _самога_, _kariki_, _ancharni, 
   {{0x7e4b0357,0xe24901b2,0x52920142,0x0d99020a}},	//   _ratabaca, _apeman_, _bhrama_, _лондонға_, 
   {{0xd4850178,0xff7c0078,0x62640088,0xb0ca0109}},	//   _उत्थाय_, _слали_, _agulla_, _staveniš, 
   {{0x127e007f,0xe2fc0003,0xf34a01e6,0xfe5d036b}},	//   _honno_, _jongen_, _kamerou_, _ванчо_, 
   {{0x82fc0027,0x427e005b,0x92b10017,0x44eb014a}},	//   _dongen_, _konno_, _प्रदेशमा_, _laminált_, 
   {{0x8c0604bd,0x7c4e0071,0xa6c902ac,0x82b4000e}},	// [6be0] _aretasas, _کمرنگ_, _curaclam_, _mancas_, 
   {{0x32f9032e,0x2f0f029a,0xc29203c7,0x4deb002b}},	//   _ankhata_, _kontrava, _garaż_, _নাইজেরিয়, 
   {{0xfd90021d,0xf9bf0066,0x118b01c7,0xcf5f0156}},	//   _dagligda, _helegite, _barabarl, _פונדאסני, 
   {{0xa3d502e4,0xad230194,0x68f30094,0xca07016b}},	//   _trattati_, _attingue_, _بىزدىڭىى, _ambaliya_, 
   {{0x727e0176,0x73f40212,0x0c6000f2,0x395902ac}},	//   _nonno_, _mattis_, _justies_, _وبعضها_, 
   {{0xf2fc0503,0x2b800287,0xba3400c3,0x536703a2}},	//   _kongen_, _एकदमै_, _amicitia_, _सीआईआई_, 
   {{0xd2b40005,0x9ae60169,0x4f14022f,0x855400e6}},	//   _bancas_, _ইসমাইল_, _беспамыл, _我的手中没有文档, 
   {{0x72020096,0x93ea0318,0xe4730052,0xb27e010b}},	//   _tariki_, _faitaa_, _अपशब्दहर, _bonno_, 
   {{0x73eb04b6,0x2201029b,0x32c10116,0x126d034e}},	//   _abatwa_, _addiis_, _gallowa_, _coyona_, 
   {{0xd30e03da,0xf16900c7,0xbbd60060,0x13cf00c4}},	//   _chebara_, _cirendä_, _بىرىگەدى_, _uvuvi_, 
   {{0xaf0f00da,0x00000000,0x00000000,0x00000000}},	//   _contrava, --, --, --, 
   {{0x0a8800e7,0x93eb0272,0x0710020f,0x00000000}},	//   _acrylate, _baatya_, _elicikiw, --, 
   {{0x038c020e,0x06c50425,0xcce20326,0x4e0b00a4}},	//   _гусев_, _تویست_, _chavanac, _augments_, 
   {{0xfc260047,0x2202023d,0x646e02a9,0x1d850129}},	//   _加入收藏夹_, _scrivi_, _брама_, _echebere_, 
   {{0x225a019d,0x984c00ee,0x0378032d,0xcadc03d0}},	//   _mbali_, _antolatu, _мәсем_, _baštine_, 
   {{0x826b0132,0x718d0013,0xb5210075,0xf2d30258}},	//   _forradal, _tozalash_, _brunatry, _katolyk_, 
   {{0x1ec203bf,0x4238038e,0xfed400c1,0x147a00e6}},	// [6bf0] _ananelan, _diamati_, _टिवटिव_, _依法承担赔偿责任_, 
   {{0x7b0f0087,0x8a080294,0x00000000,0x00000000}},	//   _mitsheke, _inkakuna_, --, --, 
   {{0x37a6014b,0xf24500a6,0xe434046d,0x5b0c04dc}},	//   _abiteeni, _موضوعاتو_, _mutakalo_, _جالیه_, 
   {{0x625a0043,0xdc9103ed,0x8eec01d9,0x320201dd}},	//   _abali_, _começou_, _iechtern, _pariki_, 
   {{0x83a2024a,0x12fc0239,0xab970488,0x01b700d1}},	//   _ajopo_, _karatiti_, _friziers, _ঘৰতেই_, 
   {{0x96bc00c5,0x89ab010f,0xf29104e6,0x2ebe03f7}},	//   _见习魔法师_, _аксаран_, _bagang_, _barnamen, 
   {{0xbb9d005b,0xd72703d4,0x1638028a,0xb2da0260}},	//   _akihabar, _namestaj_, _kuniambi, _arrolos_, 
   {{0xa201001d,0x6200019b,0x7c77019b,0xa3170127}},	//   _medies_, _kelios_, _antroji_, _bruched_, 
   {{0x4e010462,0x965601f9,0x5c670240,0x126c0102}},	//   _adleybra, _bashushi, _nakuita_, _kiangazi_, 
   {{0xf20000bc,0xafe40030,0xded00009,0x57a401ad}},	//   _irlist_, _neatkarī, _odpiraln, _jastrabi, 
   {{0xfeb00160,0x1248056e,0x8078007a,0x65ad0041}},	//   _kažete_, _animou_, _tempuyun, _црери_, 
   {{0x6286015c,0xec520074,0x093c00e6,0xb3ea01a6}},	//   _schiltz_, _saatava_, _中国兰文化大展领, _paitia_, 
   {{0xf37903d9,0x2c0702ca,0x4ca80059,0x2ec20128}},	//   _maraina_, _malartú_, _испански_, _қуёшнинг_, 
   {{0x8f890420,0x43fa02cb,0x82e60204,0xb23001c9}},	//   _детали_, _posude_, _meinaan_, _saamata_, 
   {{0x32250301,0xd3f203a0,0xf1120153,0x395101c9}},	//   _sutka_, _desekeng_, _カリビアンコム_, _deklaree, 
   {{0x8e960154,0xb87200e6,0xed340354,0x00000000}},	//   _елиминэр, _不能说的秘密_, _تېتىك_, --, 
  
   {{0x339501b8,0x8e4e0344,0x423a00dc,0x09f90334}},	// [6c00] _kaasas_, _allanala, _ilamutu_, _ankapere, 
   {{0xe2fa02e5,0x91460243,0x84f901aa,0x4e0003ab}},	//   _akaraymy_, _celelall, _allmarkh, _meteosta, 
   {{0x92ef0055,0x2e850205,0x0c0a01e5,0xd3730067}},	//   _filiera_, _бургут_, _nípele_, _hegaree_, 
   {{0xfd9d0046,0x52eb031a,0x5c0601bc,0x00000000}},	//   _جاناشقان_, _fainear_, _tentoans, --, 
   {{0x672b0047,0x46670244,0x550f0607,0x2751005b}},	//   _经销假冒伪劣商品, _чувствам, _amfunayo_, _buzzyuki, 
   {{0xda0a0278,0x4ed9057d,0x803e04d7,0xc2890394}},	//   _manakala_, _povijesn, _birgisso, _angafuni_, 
   {{0x73070037,0x4f260187,0x537a0343,0x00000000}},	//   _menadah_, _lanterna, _mogasto_, --, 
   {{0xe3a20220,0xe36f0297,0x829202d8,0x01320191}},	//   _scopri_, _yakovlev_, _misano_, _stadsdel, 
   {{0xa26c006e,0x9c050461,0xab0602c7,0x47cd0672}},	//   _benoog_, _actritz_, _hausarbe, _ntushimi, 
   {{0x603d0180,0xd4af008c,0xd3c80313,0x44e70097}},	//   _direksio, _rheintal_, _ghuvpu_, _jágbọ́n_, 
   {{0x55380028,0xab8f00bb,0xa7b1002b,0xef4e01e7}},	//   _faaiidey, _رسپانس_, _ভুঁইয়া_, _entstane_, 
   {{0xc3f502eb,0xf2d901b2,0x096b00d9,0x827e047d}},	//   _олширч_, _annoyer_, _laminaat, _konns_, 
   {{0x9c0500a6,0x72500213,0x2d070025,0xd7c70296}},	//   _awoluntu_, _лелаш_, _catustor, _kroppsvi, 
   {{0x127e0005,0x176e00e6,0xdbd0007e,0xf5fd0347}},	//   _donns_, _请大伙在灌溉土豆, _विजयं_, _potensië, 
   {{0x09a302af,0xa25a003b,0x00000000,0x00000000}},	//   _akayishu, _icale_, --, --, 
   {{0x4edf032d,0xed1c0040,0x737302af,0x73940279}},	//   _basheman, _תלפיות_, _kamanye_, _saisis_, 
   {{0x63f40416,0x959300ba,0xb81b0040,0x13ec01f9}},	// [6c10] _restat_, _زۆرسوپاس_, _ספגטי_, _ekutsini_, 
   {{0xfacb04cd,0x4c7c018a,0xc6a6029a,0x79eb02c6}},	//   _prijenos, _bensiwn_, _rekreasy, _burgonde, 
   {{0x0ba804fd,0xea6a00d6,0x528e0235,0xd71900e6}},	//   _शुभचिंतक_, _احتجاجية_, _ardhāt_, _公务员法律常识题, 
   {{0x00000000,0x00000000,0x00000000,0x00000000}},	//   --, --, --, --, 
   {{0xa37304cf,0xd61a033b,0x620001fb,0xe2b402d3}},	//   _namanye_, _holofedi, _judice_, _palco_, 
   {{0xa9780397,0xf7e00287,0x435b003e,0x837c015a}},	//   _eminyake, _मोडर्न_, _lengola_, _horanne_, 
   {{0x14fd0192,0x83f40191,0xd333005e,0xec060064}},	//   _상품입니다_, _testat_, _قەددىنى_, _cobreix_, 
   {{0x00aa01a7,0xf588000f,0xc29c0185,0x994903a2}},	//   _применен, _karikatü, _лидерлар_, _सूइसाइड_, 
   {{0xb3640012,0x003c00ec,0x00000000,0x00000000}},	//   _उठऽईले_, _modernio, --, --, 
   {{0x823a0287,0x0ee40061,0xb5c5015d,0x02d8046f}},	//   _krumlov_, _국가지식포털_, _osobisty, _minett_, 
   {{0x820001d9,0x6dc30085,0x8a1500bc,0x22b10045}},	//   _gelies_, _katinika, _aswatama_, _петровар, 
   {{0x52130243,0xd37a0370,0x1c0d035d,0x00000000}},	//   _labhay_, _aprakan_, _pogotovu_, --, 
   {{0x60f00253,0x93dd0134,0x13050040,0x83fd02fc}},	//   _ingammik_, _brewry_, _enjoying_, _abizeza_, 
   {{0x85ce01e1,0x320000e2,0xbc6604d7,0xfe3b01c6}},	//   _бармы_, _belies_, _glitnis_, _flinters_, 
   {{0x3ed501c5,0x157302ff,0x72b500f3,0xbb1d0415}},	//   _arintaas_, _analfabè, _bandise_, _ursachen_, 
   {{0xeff000ed,0x1b6801b3,0xac0b017e,0x00000000}},	//   _eduksayo, _фотофакт_, _propono_, --, 
   {{0xa3860249,0x897a00d3,0x00000000,0x00000000}},	// [6c20] _stori_, _mazlení_, --, --, 
   {{0x6a4701dd,0xb97a014f,0x32fc0378,0xf58503fb}},	//   _warebera_, _detinjst, _kongin_, _pritisak, 
   {{0x83ad0076,0xb98402be,0x734c00b5,0x18c30107}},	//   _цигарите_, _parirala_, _ташдемир_, _balenipu, 
   {{0x04560064,0xe1950397,0x17ba0128,0x02e70195}},	//   _стамбулд, _ababubul, _формадан_, _leannan_, 
   {{0xf7110059,0x57d900f4,0x91d00024,0xd76f0685}},	//   _автобуса_, _annaberg, _কাহিনীটো, _brevskri, 
   {{0x75ba01db,0xd04b0153,0xd5880132,0x1e1003c6}},	//   _تىيمسىز_, _ポンも充実_, _karikatú, _observea, 
   {{0x52b1050e,0xce4b0080,0xe7580055,0xf3100374}},	//   _tendera_, _aliasupp, _abbitueg, _iguzar_, 
   {{0x850d0197,0xd2fb01a1,0x6b210102,0xa28b04cf}},	//   _enfomasy, _mochten_, _kumpatia_, _nabazali_, 
   {{0x9062010d,0xebef0318,0x2dff0381,0xfe690239}},	//   _मानसं_, _homopato_, _anleysta, _maungakā, 
   {{0x8cf500c1,0x835404a7,0x025a025e,0xe4ad036c}},	//   _दंतकथा_, _comemos_, _gamlan_, _ampamoak, 
   {{0xf3790415,0xf3050013,0x8b73041a,0x0c70004d}},	//   _angaben_, _چورای_, _показує_, _天津民生資訊_, 
   {{0x1df900ae,0x32000040,0x23b80085,0xd4460163}},	//   _bicerewe_, _relies_, _naivalu_, _عاشقانہ_, 
   {{0xa1bd0173,0xfcf5047b,0x52070086,0xe9d6042a}},	//   _বিদেশ_, _mentanar, _demokrác, _ititsand, 
   {{0xf2b903c0,0x828b03db,0x82b50307,0x00000000}},	//   _tydelig_, _labazali_, _sandise_, --, 
   {{0x363501d9,0x6ae10004,0x0dae00a6,0x5cbc001b}},	//   _gwendoli, _adolesan_, _مسابقې_, _calaqisu_, 
   {{0x796e0241,0x806e00d6,0xcc5b0167,0x00000000}},	//   _aliigalt, _clipeann, _ecstasi_, --, 
   {{0x46270282,0xc718004d,0x9f3700be,0x00000000}},	// [6c30] _kokiriti, _分鐘內之平均價計, _ناسئيات_, --, 
   {{0xd0b002ba,0x63cc0127,0xc6c3012b,0x37060156}},	//   _abamelel, _aktaoù_, _zadaniem_, _חידושן_, 
   {{0x9744052c,0xa19d00e7,0x43c50147,0x4ea2005c}},	//   _خۆڕایی_, _adobeway_, _balanç_, _atiretse_, 
   {{0xd12701f2,0xfff70148,0x0e5200b2,0xc38603da}},	//   _райони_, _編輯個人資料_, _arabiffa, _otoro_, 
   {{0xa9c600d0,0x1b9a008d,0x00000000,0x00000000}},	//   _handiene, _prezumps, --, --, 
   {{0x42fc0049,0x6c520046,0x1c6003c6,0x00000000}},	//   _tongan_, _lectora_, _justjes_, --, 
   {{0x09570016,0x839602b0,0xe23b031f,0x2de60041}},	//   _אינדיווי, _dessen_, _klimaet_, _ирауан_, 
   {{0x8e0f0195,0x00000000,0x00000000,0x00000000}},	//   _aimeirea, --, --, --, 
   {{0x0dc9003f,0x68750148,0x328d032d,0x66930022}},	//   _etchajda, _personis_, _коляскал, _мирсәйет_, 
   {{0x10b80220,0x74f40091,0x62d50028,0x473e0014}},	//   _искам_, _hiamayah, _kolonyo_, _biznesev, 
   {{0xe28b0307,0x0340010b,0x248a01b3,0xa9b9020a}},	//   _babazali_, _dibetsa_, _якихось_, _сойып_, 
   {{0xb2a50039,0x1b1702b6,0x46b7009a,0x00000000}},	//   _путины_, _تاراۋش_, _تالاشي_, --, 
   {{0xeb6901df,0xd9a303db,0x12940055,0x00000000}},	//   _forenuin_, _ndiyabhu, _arsanali_, --, 
   {{0x1179029f,0x69d6042a,0x9b3d0299,0xc95100a8}},	//   _španiels, _atitsand, _خۇشچاقچا, _curridur_, 
   {{0xd0b80071,0xa235001a,0x0ae3031c,0xcea400e6}},	//   _زندگينام, _kémiai_, _explican_, _atteints_, 
   {{0x29e9022a,0xc3890128,0xc1890690,0x12d9006c}},	//   _maricopa_, _سریلیب_, _membekal, _acinene_, 
   {{0xcb7f00ac,0xb3dd015f,0x12cb0100,0xf2150156}},	// [6c40] _dopunska_, _alawon_, _vidljiv_, _פרײַנד_, 
   {{0x120001df,0x236a0147,0x9dec010f,0xdc740264}},	//   _relics_, _ارۇلۇت_, _шуғли_, _bubuhat_, 
   {{0x827e01c5,0x73b8027e,0xc3e20400,0xa3eb030f}},	//   _qofna_, _proveru_, _adorassi_, _waatea_, 
   {{0xba1701a7,0x5c7e034c,0x727e0333,0xa2e1000d}},	//   _белье_, _artsın_, _donni_, _गेलीह_, 
   {{0x6fff008d,0x63550247,0x7846004b,0xd72e02e1}},	//   _ویلادمیر_, _gumelar_, _hactares_, _mórshiúi, 
   {{0x4b76003a,0xb3210005,0x496a02c5,0x1c7302e1}},	//   _داغلارا_, _stecher_, _akandiit, _bhardas_, 
   {{0x62a70338,0x3a010285,0xb5160156,0x6fb4011a}},	//   _acabat_, _bakavuga_, _ריפלעקס_, _פאנלים_, 
   {{0x6477041a,0xd14e03b7,0x02300121,0x7fd30465}},	//   _проекту_, _immunodo, _alemán_, _obstoječ, 
   {{0x330000dd,0x63170144,0x12cd01e1,0x00000000}},	//   _artaith_, _badziu_, _katleho_, --, 
   {{0x820001ef,0x725f040b,0xe64f031a,0x625f0111}},	//   _kelias_, _mikumbel, _anshocai, _ristabil, 
   {{0x222401b8,0x627e01d4,0xe37100f5,0xe30d000a}},	//   _ehkki_, _conni_, _başlykla, _assatit_, 
   {{0x030e030b,0x1f9703fe,0xd02202ae,0x3292004b}},	//   _akebera_, _привкус_, _hladnjak_, _disabo_, 
   {{0x8a11044f,0x90bc017a,0x12760011,0x899f0153}},	//   _pemberit, _amamilil, _bagakuum, _ムやアクションゲ_, 
   {{0xeb8704cd,0x828101da,0x9ba00267,0x2967001b}},	//   _donosimo_, _fiskale_, _osmislio_, _geminate, 
   {{0x91c3004b,0xba0e022b,0x222803d0,0x62ba0156}},	//   _журавлев_, _einstaku, _vještina_, _bildigi_, 
   {{0xd8610222,0x79860280,0xba89012e,0xeb070062}},	//   _agrandir_, _आईएमएफ_, _topikban_, _lenglahb, 
   {{0x72e60585,0xfb1103f3,0x1aeb004f,0x86fd00ba}},	// [6c50] _oboljenj, _passagie, _gaaraant, _وڕووژاوت, 
   {{0x92000179,0x92cb003a,0xe604025e,0x9d4b021f}},	//   _gebid_, _oradan_, _lesendum_, _calalamu_, 
   {{0x6ef60052,0x6b7502d0,0x0342005b,0xcf1e000d}},	//   _कलंकी_, _hurlbarr, _stregen_, _laadimin, 
   {{0xa387062d,0x12e80116,0xab3e0297,0x62d8009b}},	//   _podrá_, _admirin_, _филиалын_, _semea_, 
   {{0xb2cb0125,0x85d4006c,0xa27e001f,0x316c000d}},	//   _aradan_, _galathiy, _wonni_, _hiiglasl, 
   {{0x57a80003,0xc2cb0310,0x8a6d0155,0x3d5c0425}},	//   _waarderi, _bradan_, _kungliga_, _پاریزگای_, 
   {{0x82910122,0x180f004d,0x9ef701f2,0x00000000}},	//   _cawang_, _生活與法律_, _типлиқ_, --, 
   {{0x22ca0288,0x7526012c,0xbaf402ea,0xabcb0220}},	//   _ineded_, _kanyaruk, _corregge, _tramonto_, 
   {{0x29640204,0x3fb5004d,0x49eb01cd,0x3cf5025b}},	//   _известно_, _中國文化史_, _abangaba_, _mentunar, 
   {{0x58320209,0x41570368,0x6c430013,0x00000000}},	//   _sermersu, _распада_, _муштарий_, --, 
   {{0xb6b70021,0x35920184,0x3b1302c7,0xf01f0009}},	//   _alkenylw, _idaseruk, _belasten_, _priboljš, 
   {{0x886301d1,0x42d800ce,0x72d9001d,0xe200040b}},	//   _טרייד_, _demen_, _vivent_, _makhadzi_, 
   {{0xa2d9045e,0xf25b04ca,0xc37f036c,0xf2fd0255}},	//   _invece_, _poblat_, _denaria_, _sirge_, 
   {{0xe0890244,0x00000000,0x00000000,0x00000000}},	//   _петима_, --, --, --, 
   {{0xe2d8018c,0x95f90057,0x7ef40093,0x0379047c}},	//   _nemen_, _መዋቅራዊ_, _инфекцио, _eigaren_, 
   {{0x1a1d013f,0xa4820158,0x8292031e,0xcd9c05f4}},	//   _barbakoe, _instaluj, _otpadu_, _importup, 
   {{0x82d802eb,0x938f0285,0x9f640227,0x294c0210}},	// [6c60] _hemen_, _kunyaza_, _diaplika, _antonaet, 
   {{0xe0530003,0xf26d0167,0xe45e018d,0x00000000}},	//   _consumen, _orfodi_, _ክገብረልካ_, --, 
   {{0x622803d0,0x514c01ab,0xd9e70160,0x00000000}},	//   _vještine_, _kliendil, _domovima_, --, 
   {{0x520200d5,0x22d8011b,0xc98700bc,0xe2920367}},	//   _aprily_, _minene_, _چهارده_, _ensaio_, 
   {{0xd1c40178,0xed0c014e,0x12d8011b,0x48a000d3}},	//   _alamalam, _описом_, _linene_, _oplodněn, 
   {{0x529102a2,0xc3790387,0xb6370285,0x5c6e030b}},	//   _pawang_, _ijuanya_, _abinyuji, _asereka_, 
   {{0xe521002a,0xf28a01a2,0x5d2201f1,0x7c0b0109}},	//   _arunyech, _mobilā_, _sakrific, _hospoda_, 
   {{0x965a02cb,0x73220456,0x32c20074,0x327e024c}},	//   _dobiješ_, _kasyaf_, _malliin_, _donnu_, 
   {{0xbac7053a,0x52370011,0x06340258,0xf64f0060}},	//   _prilično_, _abaddusi_, _sealterf, _تەرىستىك_, 
   {{0x8b3b002b,0xdd9b01b8,0x1537018f,0xd7790078}},	//   _গণপ্রজাত, _uskumatu_, _luchargh, _приступн, 
   {{0x221f048f,0x5db800d6,0x7a360171,0xaa1c018d}},	//   _ezekieli_, _chaillea, _prenošen, _ኣንጠንዮስ_, 
   {{0x88c9018d,0x29df01c5,0x12000050,0xb2000532}},	//   _ተሓለቕቲ_, _booliska_, _sakitu_, _odbio_, 
   {{0x9f410403,0x6b570144,0x061a0311,0x1b7d00e6}},	//   _achrafha, _beárbaic, _ምግባሩን_, _由建设主管部门责, 
   {{0x77ec02d9,0x497300d7,0x9b530423,0x8031007e}},	//   _faaagaag, _chankane, _srandičk, _सिंहं_, 
   {{0x227e03ea,0x778700a7,0x0aa7012e,0x8369029b}},	//   _connu_, _بالالىق_, _linkeken_, _gangoor_, 
   {{0xb4a10122,0xd2da004c,0xe5da01cd,0x539400d8}},	//   _irancell_, _abanene_, _ababenay, _baishs_, 
   {{0xfd0700e7,0x143e032b,0x944d01f4,0x4c9d01d2}},	// [6c70] _actuator, _канни_, _жазирама_, _chalashq, 
   {{0xf3c9018d,0x33410662,0x9550005e,0xf2fa038a}},	//   _ብምንጻግ_, _tereasa_, _ﺋﺎﺯﺭﺍﻕ_, _anchata_, 
   {{0xc3a200e2,0x343600a6,0x122a00c7,0x73410313}},	//   _stipet_, _سالارزی_, _колак_, _kerensa_, 
   {{0xe43c00d1,0xa35f032d,0x19e60274,0xa304023a}},	//   _সাজিব_, _dikgobe_, _tilteknu, _zaradil_, 
   {{0xdcc40064,0xa1d70218,0xfc6f0152,0xbcf50167}},	//   _алдырып_, _atherray_, _alardan_, _anadlydd_, 
   {{0xeb23008c,0x874900da,0x33eb00e1,0xd8490052}},	//   _occasiun_, _реалисм_, _daataa_, _बन्धनमा_, 
   {{0x0a17005a,0xd318033c,0x32b30265,0xbe29011a}},	//   _bobaghha_, _aruchel_, _meedoen_, _appoints_, 
   {{0x22d800bc,0xc15e019c,0x4c34031a,0x2cf7021b}},	//   _remen_, _oluranlo, _ordanaic, _рефераты_, 
   {{0x32d8038d,0x91c00041,0xaf900125,0x5db802fd}},	//   _semen_, _ачаинхам, _bilmamso, _shaillea, 
   {{0x727e05a5,0xed7600c4,0x22300226,0xe5c301fc}},	//   _ikonku_, _ورڪنگ_, _akameta_, _malakiyy, 
   {{0xe3cc00c4,0x3e3302a5,0xd2d80313,0x00000000}},	//   _نيڪيءَ_, _pečeť_, _pelegh_, --, 
   {{0x42d8028d,0x09d70287,0x22920185,0xa0a7017a}},	//   _femel_, _यातयात_, _deqabr_, _биринҷ_, 
   {{0x927e01d9,0x724800cf,0x2db901c8,0xc1770315}},	//   _konnt_, _ahimad_, _exteriér_, _bomakhel, 
   {{0x98460008,0xd23a00d0,0x9c73036e,0xb3420421}},	//   _factures_, _animatu_, _charkas_, _streben_, 
   {{0x62d802c2,0x9c300040,0xedab0183,0xd27f0032}},	//   _hemel_, _מזרימי_, _gasikara, _novna_, 
   {{0x4c510100,0x6be10059,0x00000000,0x00000000}},	//   _lektira_, _produttr, --, --, 
   {{0xac690440,0x0633001e,0x999b0244,0xc03200c7}},	// [6c80] _kirundi_, _miliyoyi, _отделен_, _başlayaç, 
   {{0x62f1023e,0x52d30472,0xf22e0039,0x9e610228}},	//   _maringi_, _menoleh_, _гологдсо, _arrangør_, 
   {{0xda67005e,0x315f02e2,0x4cf50183,0x637100f5}},	//   _ﺗﯩﻨﭽﻠﯩﻖ_, _ammoiney_, _baltasar, _başlykly, 
   {{0x9c5a0044,0x00000000,0x00000000,0x00000000}},	//   _injured_, --, --, --, 
   {{0x4a970135,0xc3150102,0xe2e40086,0x00000000}},	//   _arafatnı_, _yambesi_, _merthogy_, --, 
   {{0x731d017d,0xe3b8004c,0x7b1802e0,0x826c0487}},	//   _synchro_, _akawale_, _ditalets, _runoff_, 
   {{0x5c770142,0x2248005a,0x67040122,0xa3f40014}},	//   _पूर्वम_, _chimqu_, _روابطتعد, _festat_, 
   {{0xeff7002b,0xf30c00ec,0xa34101d4,0x737a031a}},	//   _ঝুলছে_, _finalas_, _arretta_, _narainn_, 
   {{0x7386001d,0x475b0456,0x5bf20400,0x51ba02e1}},	//   _erore_, _መጋጠሚያ_, _mettereb, _optamóir_, 
   {{0x5a47012c,0xa20400b5,0x48c900b7,0x4bb90145}},	//   _karemera_, _antítesi, _давалард, _гелена_, 
   {{0x639601d7,0x19d101a7,0x22fc02cb,0x72fe01d1}},	//   _vessan_, _kuntoutu, _izbaciti_, _nytimes_, 
   {{0x0eab0119,0x52680457,0x316302cf,0x7573002b}},	//   _ardennes_, _assubull, _полица_, _আকীদা_, 
   {{0xaa060299,0xfb1806aa,0xc5f3000a,0xf5580261}},	//   _چاپلاش_, _salafuss, _ikummari, _bulvardo_, 
   {{0x1248032e,0x6d9a023c,0x024f02e4,0x796200be}},	//   _chimpu_, _amangcwa, _allokati_, _رومانچىل, 
   {{0x574500d9,0x4c740235,0xb5c90010,0xe5cc04df}},	//   _следить_, _arjunas_, _bayabosh, _balasyny, 
   {{0x42d702ec,0x3f20018b,0x0380037c,0xa2670362}},	//   _ژٔٹِتھ_, _securita, _matrem_, _bakomeli_, 
   {{0xdb0401c8,0x6bfa05f2,0x1ae801b5,0x740102e7}},	// [6c90] _cukrovka_, _troncoso_, _mintlule, _masundan_, 
   {{0x99f80274,0xe2020212,0xca470322,0x00000000}},	//   _hérlendi, _scribi_, _baremera_, --, 
   {{0x4aea02b0,0xa2e400c5,0x0f0e0061,0x40370193}},	//   _erstelle, _本网将追究其相关, _상품분석평_, _इलाही_, 
   {{0x830500b0,0x00000000,0x00000000,0x00000000}},	//   _دونان_, --, --, --, 
   {{0xb3860119,0xb2c204ce,0x13020399,0x9d0800d1}},	//   _nuoro_, _sialala_, _pekaluu_, _বৈচিত্ৰ_, 
   {{0x42bb01a0,0x433001be,0xd34d0039,0x66f101c2}},	//   _milenge_, _लेखाजोखा_, _bilerak_, _destituí, 
   {{0x186001df,0x4de40156,0x922403a4,0xef6600a4}},	//   _beasties_, _שטרויכלו, _leikum_, _cadascun, 
   {{0x32d9023d,0xbb9f01be,0x9a730220,0x11100153}},	//   _vivere_, _वायुयान_, _chiamata_, _クロワッサン考察_, 
   {{0xc47102e7,0xf507004f,0xfa140437,0xb9c902f4}},	//   _bantogan_, _cenegaal_, _helbrede, _alfombra_, 
   {{0x28a5023c,0xcba5018b,0x4b27008c,0xa7c30444}},	//   _پوسټکالي_, _impiedic, _camartin_, _гlалатах_, 
   {{0x023800c8,0xd5fd00db,0x697a032d,0x379501f3}},	//   _baemeli_, _ग्रामनिध, _futhumet, _prognózy_, 
   {{0x6aa901bd,0x52fc01da,0xd38d0076,0x59ec00fd}},	//   _береке_, _parisit_, _зраци_, _ionusuid, 
   {{0xf4930092,0xf5800100,0x4c14000d,0xb2820087}},	//   _新しいトピックを, _rumunjsk, _tellitud_, _hochuli_, 
   {{0x30ab01be,0x2a760361,0x2f2902d8,0xc2e700d8}},	//   _जयपुरी_, _виктора_, _pertokoa, _agantan_, 
   {{0x0a170384,0x64350238,0xff600089,0x03f40074}},	//   _inicijat, _пункти_, _ansambln, _testit_, 
   {{0x722a01ef,0x400e002e,0x22150061,0xf3540148}},	//   _позах_, _obavljen, _차이나월드_, _deberet_, 
   {{0xb31c01cf,0x72a7030d,0x5057020e,0x92ca0302}},	// [6ca0] _piccava_, _cabbar_, _гаражға_, _aqede_, 
   {{0xfbed0321,0xe37903ba,0x19530166,0x00000000}},	//   _rezervir, _engamen_, _gebliebe, --, 
   {{0x18510169,0x830402cd,0x99c400af,0xe2f001ff}},	//   _পারভেজ_, _barazil_, _leiekont, _poliaci_, 
   {{0x0eb600ee,0x92bb011b,0x1b8a0420,0x83d703eb}},	//   _валютын_, _bilenge_, _хорор_, _randburg_, 
   {{0x4bed03ee,0x3a9100d9,0xa2040344,0x626c021c}},	//   _stravičn, _экономия_, _bibilimi_, _samoty_, 
   {{0x134d0105,0x39c700e2,0x0c6f003d,0x3f6b034c}},	//   _adresem_, _aldebilt, _accuelh_, _аскомице, 
   {{0xf507004f,0x969a0309,0x6a060066,0x644a00c5}},	//   _senegaal_, _dediklər, _norbaite, _由管理节能工作的, 
   {{0x63db00a1,0x72900189,0x42fd019c,0x6a860204}},	//   _waitangi_, _anakart_, _pajawiri_, _кажутся_, 
   {{0x83180071,0xb3ab0071,0xd2fc0340,0x127e00bd}},	//   _یونایتد_, _متافیزیک_, _karapiti_, _finnd_, 
   {{0x52cb01c8,0x2eb90093,0x00000000,0x00000000}},	//   _osudy_, _бежнаш_, --, --, 
   {{0x22fc00c1,0xe3940097,0x00000000,0x00000000}},	//   _jongin_, _iyose_, --, --, 
   {{0x32000544,0x8aba02c8,0x978f006c,0x597f024a}},	//   _kulike_, _converxe, _айбро_, _mathimat, 
   {{0x2296048a,0x43fa005b,0xa83c008c,0x876e006c}},	//   _теориясы_, _yosuke_, _ademplid, _alihlang, 
   {{0x24dd023c,0x973e008d,0xda050369,0xe2300282}},	//   _اشغالګرو_, _birlashg, _iseboset, _akamata_, 
   {{0x80a50029,0x14370207,0xa4010050,0xac5c0046}},	//   _دراوسێکا, _kushirik, _pasundan_, _ventall_, 
   {{0xad310065,0x735d0176,0x4410046f,0x7f48011b}},	//   _verspric, _tomgang_, _fierdrun_, _mingimin, 
   {{0x872401ce,0x42b50514,0xa7d60540,0xd95300c8}},	// [6cb0] _توافق_, _aptitá_, _starfað_, _йырып_, 
   {{0x527e04b9,0x884f01b6,0xaba805a3,0x9bf2063e}},	//   _bonny_, _colleagu, _विभूषित_, _sukladno_, 
   {{0xa3200338,0xf4fd02ac,0xaf760024,0x8287051e}},	//   _descriu_, _وجودك_, _নিৱন্ধটো, _rapidez_, 
   {{0x8052028d,0xa2e70097,0x7bed0643,0xdbce0147}},	//   _alorizin, _aganran_, _straviča, _solidàri, 
   {{0x6965065b,0xd27e0116,0x3a9001d2,0x026d00d0}},	//   _शंखनाद_, _binnd_, _cojitamb, _anboto_, 
   {{0xbdff02c7,0xe63d03b5,0x34090362,0xd6bc0144}},	//   _widersta, _kepiawai, _botombik, _trastomh, 
   {{0x823b0230,0xc348034d,0x4c0603f9,0x92e80625}},	//   _valmont_, _selesai_, _maestru_, _rodinka_, 
   {{0x32010026,0xd36c012c,0x8c9800aa,0x027e0152}},	//   _bezig_, _bungeni_, _aparatog_, _dinne_, 
   {{0x3ed402b9,0xfac502e5,0xc3dc0387,0x999100c2}},	//   _عنوانات_, _salomón_, _chewe_, _kwihisha_, 
   {{0x227e0168,0x82a70145,0x4fdc0148,0xee670073}},	//   _finne_, _работай_, _快樂雲碎碎念_, _flaccide_, 
   {{0xe26c00a5,0x99d70313,0xd5760244,0xa2d40054}},	//   _mamona_, _boleghme, _pertanto_, _arudhi_, 
   {{0xd2bb009d,0x55130013,0xcc56005c,0x437b0371}},	//   _komente_, _июндаги_, _amatage_, _faranno_, 
   {{0x427e0359,0xeadc00ee,0xbb43002b,0x62d5017c}},	//   _hinne_, _kontatze, _সহযোগীতা, _grillat_, 
   {{0x727e0359,0x5e5000a1,0x8eb00340,0xe2fd02e4}},	//   _kinne_, _kararehe_, _kamupene_, _birgu_, 
   {{0x03ec02a6,0x143001ed,0x0ec900bf,0xd72d023a}},	//   _abituali_, _kamailio_, _раскладк, _existujú, 
   {{0x3b6b0326,0xcaa80354,0x6de80235,0xbee80235}},	//   _adhonzer, _بارالماي, _chabdād_, _chabdāt_, 
   {{0x6b200326,0x3b180130,0x3e550372,0xaa5900b4}},	// [6cc0] _achakomb, _silabenn_, _amrantia, _directia_, 
   {{0xa28004cc,0x9f350203,0x4e46003a,0xe2710064}},	//   _yathamj_, _detornar_, _jihatida, _expansió_, 
   {{0x38fc00f8,0x00000000,0x00000000,0x00000000}},	//   _মারফত_, --, --, --, 
   {{0x6c68029d,0x49730362,0xb2fc05ad,0xb185006d}},	//   _петрикэ_, _ekangane, _izraditi_, _агіевіч_, 
   {{0x52bb02da,0xd86f0178,0x0c490113,0x4bd6042d}},	//   _comente_, _anantabu, _bunchloc, _atambaro_, 
   {{0xa2e3049c,0x56cb00b8,0xc28902ac,0xc3bb00ba}},	//   _dennauj_, _uchatapx, _أقراص_, _رسناڵ_, 
   {{0xd291022b,0xa396008c,0x339402af,0x826c018c}},	//   _umfari_, _vessen_, _izosi_, _yunomi_, 
   {{0xf2d902bd,0xc2010129,0x631b00f6,0x93dc018f}},	//   _babell_, _mezie_, _lüzum_, _lamwi_, 
   {{0xb20103da,0xbe1200bc,0x839603d5,0xc2890085}},	//   _lezie_, _وگرنه_, _tessen_, _ligamuni_, 
   {{0x72c907a3,0x8f2a014a,0xd41901db,0x7abf0013}},	//   _वर्टिकल_, _startlap, _кескін_, _апрелдаг, 
   {{0x326d0559,0x9d0f01fb,0x9260030b,0x93eb004c}},	//   _inyoka_, _annotate_, _abatawul, _abatya_, 
   {{0xe6670078,0xed230109,0x5a630119,0x28c30107}},	//   _бракове_, _ostravic, _mongolya_, _dalemipu, 
   {{0x1a8f0067,0x061b01ad,0x7201015c,0xb59e0147}},	//   _tsunamin_, _rottweil_, _steier_, _بەرۉۉبۉز, 
   {{0xb248006c,0xd7f8018b,0xd2d8018a,0xc2000278}},	//   _kwami_, _кастраве, _allech_, _pojie_, 
   {{0x137b023d,0xe69602fb,0xac73031c,0x19870192}},	//   _saranno_, _husepani, _charlas_, _verklare, 
   {{0xd248074f,0xcaeb03c0,0xf225016e,0x32010129}},	//   _mwami_, _bestemme, _nickli_, _dezie_, 
   {{0xd2870305,0x9290042d,0x00000000,0x00000000}},	// [6cd0] _verknad_, _hahare_, --, --, 
   {{0x22ee038a,0x13b5027b,0xd2870015,0x6bfa004d}},	//   _asanaki_, _प्रसार्य_, _gebilay_, _第二十三條_, 
   {{0xc91c027c,0x9bfa0040,0xb3f80203,0x86230258}},	//   _تيلفون_, _אדוארד_, _nebul_, _kwelderw, 
   {{0x3b6202f0,0x77ee0061,0xc2af0224,0xebcf0420}},	//   _phurinta_, _적용됩니다_, _bikiní_, _solitári, 
   {{0xdedc0040,0xf20001f4,0x3f5b003b,0x1037004d}},	//   _אלמליח_, _vojib_, _ikhashan, _rustican, 
   {{0xf1860046,0x58fe0262,0xf1f40097,0x00000000}},	//   _بارساڭ_, _etrabynd, _sòkòtò_, --, 
   {{0x0e2e0204,0x515300ff,0x00000000,0x00000000}},	//   _накануне_, _apartigo, --, --, 
   {{0x55ac0519,0xca920119,0x921c01e8,0x90a800ec}},	//   _सजगता_, _szczanie, _abuhis_, _пашырыўш, 
   {{0xbd2d0014,0x56b2032d,0x22b10066,0x00000000}},	//   _policore_, _курсташы_, _mendira_, --, 
   {{0x837f0369,0x12d3013c,0xc29001e1,0xc62c02be}},	//   _balaama_, _effektli_, _kahare_, _hagilapi, 
   {{0x52bb0076,0x890c00a5,0xe87c0047,0xd2d80008}},	//   _somente_, _fanafanu, _recyclag, _remei_, 
   {{0x436a0062,0xd1120043,0xb3eb01c9,0x2981002b}},	//   _bangqoq_, _alikukul, _saatja_, _শরীফে_, 
   {{0x20a4033b,0xe2e901a6,0x5292017d,0x42e40553}},	//   _banyakiš, _harikoa_, _misako_, _staníc_, 
   {{0xe74c0073,0xdf4505b9,0x83f8002a,0x130502ac}},	//   _affirmav, _førende_, _kebul_, _شوزات_, 
   {{0x6c1304ca,0xbda0023b,0x8e230161,0x7f2a0021}},	//   _imprimib, _kahopuna, _несчастн, _aritalma, 
   {{0xcdad01aa,0x8f2a01b9,0xd2820333,0x942b00f5}},	//   _articipa, _britalma, _micheli_, _увлашып_, 
   {{0x425a0300,0xc70b004d,0xa2fe005b,0x490d01b3}},	// [6ce0] _obaly_, _讓您在接單時只需, _aergaf_, _дивитесь_, 
   {{0xb711030e,0xbead0137,0x79fe0370,0x9ecb0089}},	//   _جنازو_, _компанид, _agrabint, _hämmäbez_, 
   {{0xcdb701d5,0xa21301ad,0x2e3502aa,0x758101d9}},	//   _فولڈر_, _tachov_, _akumulač, _geheesch, 
   {{0x236c017a,0x925a0111,0x09f301eb,0xa8a8014e}},	//   _kungani_, _scali_, _ijestatu, _рударств, 
   {{0x2aa90135,0x92f4017e,0x4f490046,0x9a63040f}},	//   _теленең_, _similaj_, _машинеле, _гледзячы_, 
   {{0xeea400ce,0xa2f602b6,0xda0700f6,0x00000000}},	//   _distenge_, _руханият, _albaniya_, --, 
   {{0x81c702fe,0x990400bf,0x399701db,0xd86c02d4}},	//   _راستون_, _переходо, _процесті, _chantadu, 
   {{0x59a60038,0x217503b7,0x00000000,0x00000000}},	//   _авиапред, _asinocay_, --, --, 
   {{0x7d230203,0xfe46034a,0xf214011b,0x73450014}},	//   _admisset_, _escribiu_, _kedyatil, _celularë_, 
   {{0xffc50513,0x4202029b,0x13fa02ff,0x3c6d0156}},	//   _antoniac_, _butiit_, _ansuit_, _adorata_, 
   {{0x658802c0,0x7c1b04f9,0x569001e0,0xca5301f0}},	//   _obrigató, _allattar, _کامیرای_, _lebelela_, 
   {{0x72000343,0x93f90032,0xe53000d1,0xbc0102eb}},	//   _ambit_, _bicube_, _স্বামীনা, _өмчлөлий, 
   {{0x1e840238,0x729d00d5,0x237f03db,0x00000000}},	//   _власне_, _nanjaka_, _sihamba_, --, 
   {{0x16b3034c,0x72eb0133,0x134801d7,0x52c2011f}},	//   _ансамбль, _barisoo_, _delegai_, _ipilón_, 
   {{0xb1d304b9,0x2d9001e8,0xb9e00529,0x568600e6}},	//   _speedily_, _biyograp, _memorija_, _参与本留言即表明, 
   {{0xb9fa01f7,0xd36c0295,0x3bda02c4,0x00000000}},	//   _encastre, _fungani_, _colisão_, --, 
   {{0x57590525,0x0048010f,0x13fd01cd,0xed84029e}},	// [6cf0] _भिक्षुक_, _калонтар, _abanakuk, _dibennet_, 
   {{0x6b6c00ab,0x629d00d5,0x4cb700bb,0x129000da}},	//   _iharaira_, _manjaka_, _واشاعت_, _pahare_, 
   {{0x1d540294,0x51a501c8,0x02a50158,0x9476018c}},	//   _arichisq, _netbooky_, _netbooki_, _vertonen_, 
   {{0x026d0339,0x456d0311,0xb386024a,0xfa7b01de}},	//   _onaona_, _ንምቅርራብ_, _ororo_, _стилін_, 
   {{0x4c720148,0x7c17025b,0xec740086,0xb30604ad}},	//   _prorsus_, _samanber, _akartak_, _diroring_, 
   {{0xd3860388,0x89fc019f,0x06b701a3,0x6cc70030}},	//   _fuori_, _kuondoka_, _شاهاڻي_, _brokastu_, 
   {{0x3c67036a,0x4abc0368,0x3efe026c,0x46b50054}},	//   _baludra_, _министар_, _convenit_, _bangaski, 
   {{0xe3a2026c,0x24850052,0xdfc8017f,0xe9d302ec}},	//   _quippe_, _क्लाउड_, _maniitso, _یمبرزلہ_, 
   {{0x2c04017a,0x4904005a,0x276d013d,0x60f9034e}},	//   _abasiki_, _decandid, _funkcioj_, _chirayaš, 
   {{0x69fa0204,0x11c001fe,0x094a037f,0x4fec00c1}},	//   _ansaitse, _jedediah_, _siyavuş_, _गंगौघाचे_, 
   {{0x43960033,0x39360226,0xa86f008e,0x22d80230}},	//   _dessan_, _amamvera_, _buubakar_, _lemet_, 
   {{0x62320076,0x45250291,0xd3c9006d,0xd2d0037b}},	//   _gramado_, _سنتشرف_, _астроскі, _amplias_, 
   {{0x42d80130,0x53020069,0x624a0306,0x66440156}},	//   _nemet_, _amabuye_, _apuman_, _גאָמבע_, 
   {{0x65ea01ee,0x1d120061,0xd8c40111,0x17930147}},	//   _формы_, _심리학에게_, _accuzzav, _رمىشتى_, 
   {{0x975b0702,0xbd8f044d,0xf6d402ec,0x918603f1}},	//   _दुत्कार_, _porogara, _malaayii, _dovoliť_, 
   {{0x7fa80287,0xd2e100c1,0x6c190203,0x00000000}},	//   _ovladačů_, _जोखीम_, _quiromas, --, 
   {{0xc8cd0675,0x54ff0017,0x325a0284,0x00000000}},	// [6d00] _prefeitu, _ब्रिटेनक, _dillí_, --, 
   {{0xa2d8016e,0x632001b6,0x5b3902ac,0x70350147}},	//   _demet_, _alkyl_, _صوربنات_, _دولعۇندا, 
   {{0x6ef30564,0x1bb0004c,0x43960208,0xbc510452}},	//   _blokamas_, _baakulir, _ڕفاند_, _गणवेश_, 
   {{0x5fb300da,0x5559012c,0xc7d70289,0xbe6902fe}},	//   _антилеӂи, _زبردستي_, _adapangi, _ميشته_, 
   {{0x5be30039,0x926e020e,0x72010084,0xeba70010}},	//   _jendaurr, _boroso_, _adzim_, _besinako_, 
   {{0x072d0360,0xb2780331,0x13af0037,0xb2c40497}},	//   _existují, _appnet_, _አይብቀልባችሁ_, _ballaid_, 
   {{0xcd9f0430,0x1f36039e,0x91e7014e,0x5c62002e}},	//   _manenzhe_, _এতিয়া_, _знате_, _susrete_, 
   {{0x43f10059,0x00000000,0x00000000,0x00000000}},	//   _cassetti_, --, --, --, 
   {{0xb27e00db,0x2f97019b,0x00000000,0x00000000}},	//   _sinna_, _trikotaž, --, --, 
   {{0x6d1400bf,0x92d40050,0xa5f5027b,0xf29a0517}},	//   _перестал, _ngudag_, _apraṇihi, _elaboram, 
   {{0x52310294,0xd5510111,0xca4d02b6,0xde140037}},	//   _termica_, _varietà_, _милионга_, _pelesena, 
   {{0xe27e04d7,0xbd0005a9,0x22d80189,0xf3cc0037}},	//   _vinna_, _intumber, _temel_, _ከቴዎድሮስ_, 
   {{0x29dc03ba,0xf27e007b,0xf8e6032d,0x32490133}},	//   _verfolge, _winna_, _мартта_, _ahamad_, 
   {{0xc2de0032,0x70c3056d,0x1a07002a,0x81d001aa}},	//   _bihosqu_, _مدرسو_, _zefanaya_, _angesray_, 
   {{0x8ee901f9,0x42bb031a,0x6a18018f,0x377902b2}},	//   _alokubon, _bileige_, _dorbehbe, _дієти_, 
   {{0x8d930147,0x91f70211,0x4b230040,0x00000000}},	//   _ئيۇلدا_, _valitsem, _באומן_, --, 
   {{0x10d703c7,0xc8a6003c,0x00000000,0x00000000}},	// [6d10] _motocykl, _عکسروزفا, --, --, 
   {{0x437a04b3,0x3380031e,0x00000000,0x00000000}},	//   _diganto_, _vatrom_, --, --, 
   {{0x52db00da,0x3d3303d5,0x794e0183,0xf2940322}},	//   _контакту, _antinode_, _fotokare, _banashim, 
   {{0x12cf0618,0x52e80197,0x826e02a0,0x6e6c01d2}},	//   _takodje_, _soufri_, _bororo_, _chichima, 
   {{0xc39600a8,0xfeb303f0,0xab0d0223,0x00000000}},	//   _tessin_, _stelpurn, _наслахад_, --, 
   {{0x039401a4,0x0955007e,0xf946012f,0x02d80179}},	//   _ayoso_, _antaraṅg, _omamedoe, _remel_, 
   {{0x52ff0189,0x12d80212,0x28590309,0x00000000}},	//   _verilir_, _semel_, _cavablar_, --, 
   {{0xc3a80507,0xd380013f,0xa5db0234,0x7248029c}},	//   _sekarang_, _patrom_, _adifáàbù_, _mtima_, 
   {{0x753a0242,0x9580013b,0x120203ab,0x6f4c00da}},	//   _agentliy, _benepisy, _masivu_, _emisiune_, 
   {{0x5da70122,0xe807011b,0x73f402fe,0x0dcc0193}},	//   _sekolaha, _catcheur_, _akutya_, _terhamba, 
   {{0x7fcc0027,0x179203aa,0x237d0205,0x4311022f}},	//   _cranendo, _शरणार्थी_, _тананинг_, _анатаміч, 
   {{0xc27e046f,0xf6210236,0xdf110342,0x00000000}},	//   _ginnn_, _nadopuni, _maltreta, --, 
   {{0x43fe007c,0x83950120,0xd23b0168,0x52a60527}},	//   _abazuza_, _kawse_, _ballong_, _najjaci_, 
   {{0x91490148,0x70f70238,0x2af30235,0xd21c004b}},	//   _metropro, _таблиці_, _श्रीदक्ष, _hothwe_, 
   {{0xf0ce021e,0x8d490074,0x72de015d,0x73a3023a}},	//   _folkhäls, _начальна, _eliminuj, _nepredáv, 
   {{0x7aa60255,0x1a61034c,0xe3d50025,0x6aa700be}},	//   _निन्दिया_, _образга_, _क्लिन्दे, _قامىلعال, 
   {{0xb26101dd,0x33f90084,0xf5740097,0x62a7004f}},	// [6d20] _karindwi_, _udzur_, _lolúwéré_, _jabbir_, 
   {{0x83f90138,0xf379055f,0xa7840109,0xf21900bc}},	//   _mezun_, _isparta_, _कटुवाल_, _خياطي_, 
   {{0xf2df032d,0x6b0c0425,0xcc62030d,0xd2880205}},	//   _amanang_, _خائین_, _dusunen_, _уйнаш_, 
   {{0xcc800125,0x0ad6008a,0xe2950188,0x8699005e}},	//   _серет_, _aletagat, _ababesem, _قورغاس_, 
   {{0xc6fd00be,0x096300cb,0x09fa0037,0x5faa0037}},	//   _ئزدۅنۉۉ_, _abancint, _dikuatku, _ባለጉዳይ_, 
   {{0x09dc00f7,0xa2a604fe,0x58dc00d0,0x83a305bd}},	//   _kongrese, _tribù_, _kongresu, _drapet_, 
   {{0x23f800f3,0x00000000,0x00000000,0x00000000}},	//   _omaziyo_, --, --, --, 
   {{0x90c70409,0xf20102c2,0x7adc0109,0x09590037}},	//   _一覧を見る_, _berig_, _normálně_, _ጨዋታውን_, 
   {{0x838601c6,0xa2d80193,0x21a700ba,0x035302b6}},	//   _fuort_, _memek_, _ناپۆلی_, _شۇبار_, 
   {{0xe424042f,0x8f54025c,0xf0e90220,0x8b3c00e6}},	//   _nnginnik, _verstehe_, _минимале, _公司悄然更名_, 
   {{0x68cc024c,0x8cbe003f,0x3f4b021e,0x00000000}},	//   _didelfid, _lulachqu_, _sensomma, --, 
   {{0xeeb60062,0x94270285,0xe5270285,0xa9f700dc}},	//   _lisuchbe_, _banyerej, _banyerez, _tunavaet, 
   {{0x953d00b9,0x420102c2,0x637f00a8,0x43070081}},	//   _डब्बा_, _gerig_, _renania_, _samberg_, 
   {{0xb64900ff,0xb2f903f3,0xd149026c,0xaa2402b3}},	//   _נתפּעל_, _motorrij, _tantummo, _bioconst, 
   {{0xf580038d,0xec2a055f,0x527f02aa,0x4c5c0281}},	//   _benefisy, _arabalar, _hovno_, _cortzen_, 
   {{0x6d1c0061,0x0fdd0204,0xd3f903e6,0x1864029d}},	//   _유아동임부의류_, _valikkoo, _bezun_, _sezonulu, 
   {{0x1fd70299,0x4caf005e,0xdf140024,0x32d80399}},	// [6d30] _журнилид, _لەختە_, _nettlesa, _peeee_, 
   {{0xd2020220,0xc200012a,0x67a30287,0x609702eb}},	//   _ottime_, _tobie_, _boleslav, _францис_, 
   {{0x24b3007d,0x5eb70086,0xe2400085,0xb67a014d}},	//   _memastik, _البلاغ_, _kepenium, _eigentum_, 
   {{0x32ec032d,0x9c6600ca,0x02ed02ac,0x804703a2}},	//   _алмаш_, _baltics_, _تغاريد_, _लिपलॉक_, 
   {{0x739400c2,0xbb59042b,0xe6560092,0x6dbf0281}},	//   _byose_, _iskustva_, _著者からのコメン, _annaasat_, 
   {{0xcc660724,0x33800231,0xd290020e,0x386502b0}},	//   _centros_, _patrem_, _fojara_, _samstags_, 
   {{0x02fc01d5,0x36010168,0x6eca000e,0xcbe900d8}},	//   _کتابچہ_, _nedlasti, _jurnales_, _confluïs, 
   {{0x9150012b,0x899300bb,0x82010558,0x64f30092}},	//   _podstawo, _بھلکڑ_, _merie_, _が使用できません_, 
   {{0xdd9e003f,0x90620235,0x00000000,0x00000000}},	//   _chanista, _मानसः_, --, --, 
   {{0xcd150461,0xd4960099,0x39be0411,0x8da60094}},	//   _associat_, _achakudz, _etterhve, _باياند_, 
   {{0x3eb50148,0xc3a20249,0xdb1f0075,0x00000000}},	//   _皆由作者個人所提, _hompej_, _alisfrøð, --, 
   {{0xe2d902d4,0xc8f902d4,0xb20103c2,0x08630156}},	//   _lyceum_, _cumpareg, _aerid_, _כריין_, 
   {{0x92d8015e,0xe0ec0025,0x31850188,0x63f80153}},	//   _idees_, _स्वागतम्_, _албоми_, _afbud_, 
   {{0xb3f80645,0xf200002e,0xd3690278,0x16cb0153}},	//   _usluge_, _kojim_, _pangkor_, _女優名がわからな, 
   {{0x62d8055f,0x0201022b,0xfa00005e,0x87db0321}},	//   _yemek_, _verid_, _ﭘﯜﺗﻜﯜﻝ_, _ponastav, 
   {{0x31e202d8,0xbac400ff,0xa867039f,0xdae101ad}},	//   _पाखरू_, _רעלאטיוו_, _plasmids_, _pandedes, 
   {{0x8135022a,0x74b3043a,0x82020318,0x995e00d9}},	// [6d40] _bedrenön_, _bemastik, _fasitu_, _maantiet, 
   {{0x734501d1,0x53010062,0x6fb80295,0x327e02f3}},	//   _absence_, _jiwahli_, _laulauno, _ponny_, 
   {{0x739400f9,0x2ec404c3,0x30b202ba,0x6ef10145}},	//   _ryose_, _hoanglon, _густариш_, _paskatin, 
   {{0xadf0020f,0x2a8902f9,0xf8fb0028,0x0ea70516}},	//   _انتون_, _batisman_, _xanaanad, _gaithert_, 
   {{0x59e60222,0x1200026d,0x95900059,0xc4ac0403}},	//   _fournitu, _rolins_, _включиха_, _dadatoak, 
   {{0xe27e0258,0x7cf8011f,0x220703b5,0x8ab0013b}},	//   _binne_, _асида_, _menikahi_, _ehekutib, 
   {{0x5d0e0309,0x1f2b017f,0x4341012c,0x43fa02e2}},	//   _qarabağı, _immersin, _kurejea_, _disuse_, 
   {{0xa31c0116,0xb25a0109,0xa2780361,0x00000000}},	//   _brochan_, _stolem_, _декъачу_, --, 
   {{0xd65b02d8,0x327e0359,0x2f450666,0x22eb02c3}},	//   _गैरसमज_, _winne_, _najljepš, _letisko_, 
   {{0x2c8b0486,0x1b7a018d,0x1c6c0663,0x03480133}},	//   _kuchyně_, _ክስታናይ_, _wobutum_, _cabetti_, 
   {{0xd2910087,0xc2bf01ce,0xc6ad00de,0xfd8f026a}},	//   _ambala_, _کمیاب_, _angenagw, _porokara, 
   {{0xdd14037a,0xd17b01fa,0x0b850115,0x6c080155}},	//   _amasezer, _finangal, _sekilogr, _centrals, 
   {{0x97a90060,0x5cc90213,0xc3540166,0x00000000}},	//   _سولتان_, _самоволь, _geredet_, --, 
   {{0xc3fa0244,0x2f17005e,0xfbb800c1,0x65cc03b5}},	//   _misure_, _ﺑﯧﺴﯩﺸﻨﻰ_, _चकोल्या_, _bahayany, 
   {{0xe31201b2,0x4bef0037,0x5e9a00dc,0x69fb025f}},	//   _bulbous_, _በዚህኛው_, _maluelue_, _kokimela_, 
   {{0x03cf0096,0xe46900ba,0x7b6100d8,0xf26d03b4}},	//   _akomerez, _قوڕئانی_, _assentan_, _enyoka_, 
   {{0x2e5101c9,0x12e000ab,0x830f0120,0x73f80087}},	// [6d50] _varasema, _amanono_, _kimbiro_, _makumu_, 
   {{0xea390246,0x06bc0126,0x3c7401f7,0x8200012b}},	//   _решения_, _правових_, _seguits_, _robic_, 
   {{0x69a60047,0xfcaf0064,0x360700c4,0x73f90040}},	//   _尊重网上道德_, _الاقانىڭ_, _مئنڊيٽ_, _נקסוס_, 
   {{0xe27e02e1,0xfe36008a,0xc29000e4,0xdafa0320}},	//   _rinne_, _autagava, _cenach_, _emesopot, 
   {{0x92b400a7,0xe31001e6,0xfecd0403,0x52d902c9}},	//   _efecte_, _stranky_, _adriaman, _nivele_, 
   {{0x224805a9,0x7d300202,0x6af70074,0x56c600dd}},	//   _bwami_, _akinyele_, _найден_, _ailbrisi, 
   {{0xe6d10100,0x234800f3,0xb44a0366,0x00000000}},	//   _najavlji, _ongenzi_, _дицмадел, --, 
   {{0x29490365,0xb3400009,0x8f050360,0x7b27002e}},	//   _लोकसेवा_, _izjemen_, _nadbyteč, _ispraćaj_, 
   {{0xc34806af,0xa2d60058,0x04810088,0x8aa8004d}},	//   _ingenzi_, _feilans_, _асылзат_, _大肚男s遊記_, 
   {{0xcccc00aa,0xac80034c,0x660d0013,0x51780418}},	//   _trivandr, _ненец_, _binobari, _arayarak_, 
   {{0x6267019b,0x52240197,0x917801db,0x0c30011e}},	//   _nemokami_, _mèkredi_, _жанұя_, _prosekis, 
   {{0xe2e80300,0xd5b50162,0x16f60012,0xdd080014}},	//   _podniku_, _берәләйд, _डुबवलॅ_, _porosite_, 
   {{0x4f0700de,0x29bf0303,0x31090153,0xd2f4019b}},	//   _نامیبیا_, _difenset, _スピッツァ_, _skundas_, 
   {{0xc2d400b7,0xd3480225,0xcfcc0046,0xc93f0040}},	//   _gordum_, _dedegai_, _азиянын_, _אצטרך_, 
   {{0x5a220094,0xb33d0162,0xca0801b7,0x40c702c0}},	//   _алашорда_, _كەلگىن_, _devadatt, _лисиче_, 
   {{0x5b5b0125,0x93f80044,0x7248003e,0x600e0103}},	//   _абдулхам, _debut_, _itime_, _ekuveren, 
   {{0xa200002e,0x11ce0128,0xf4800025,0x763b0311}},	// [6d60] _kojih_, _اثباتی_, _त्यागः_, _ዝሰልጠኑ_, 
   {{0x13dc0134,0xd41300bc,0xe5b003db,0x314b02a5}},	//   _abewo_, _ماندن_, _abagulay, _अर्जेन्ट, 
   {{0x51f9018f,0x37450089,0xa38704d7,0xf30e01d5}},	//   _bisaqtah_, _агалары_, _andrá_, _zivatar_, 
   {{0x5634047b,0xcad20332,0x00000000,0x00000000}},	//   _kvinnuli, _cortomet, --, --, 
   {{0x7628017a,0x16b401a7,0x6ec7017a,0x4386030d}},	//   _abengezi, _реагируе, _awazange_, _erazisi_, 
   {{0x62b602a0,0xb588051f,0x4ab000cb,0x120e00c8}},	//   _adadale_, _خۆناساند, _автомату_, _намаҙ_, 
   {{0x55b8003a,0x8857002b,0x92d80052,0x00000000}},	//   _мамарасу, _পরস্পরের_, _kolech_, --, 
   {{0x6c6d015e,0x239400ed,0xdd91034c,0xc6ea0019}},	//   _түркия_, _ayosa_, _analarda, _тоннадай_, 
   {{0xf7a20518,0x9249019a,0xff0b032d,0x4c6e00b0}},	//   _brauzeri, _shamed_, _абайлама, _tiirsan_, 
   {{0x0eba020a,0x13f80387,0x00000000,0x00000000}},	//   _гигиенал, _tebul_, --, --, 
   {{0xc01e011d,0x1b630220,0xb37801bb,0xb1c00178}},	//   _логодник, _резервоа, _almaryn_, _बहुजनहित, 
   {{0x042600ea,0x02ec018d,0x276803f2,0x00000000}},	//   _ankafizo_, _arrijne_, _цитрусов, --, 
   {{0xeabd05d7,0xaa34017d,0x1ea802cb,0x12010387}},	//   _lindosîn, _マンション_, _naručiti_, _mebiri_, 
   {{0x6d240440,0x5b530029,0x8e8401bd,0x12d90055}},	//   _makomine_, _کێڵگه_, _ілеспе_, _rivede_, 
   {{0x06670162,0xe48e031c,0x91790268,0x573b0013}},	//   _хусусийи, _múltiple_, _artinmay_, _аслаҳала, 
   {{0x543700bc,0x125000a4,0x03380037,0x72640568}},	//   _کاردستی_, _кенан_, _አሟልተው_, _turlag_, 
   {{0x43f80195,0x138f04cf,0x17140156,0xe2940196}},	// [6d70] _fliuch_, _kunyaka_, _סטיוון_, _bankiyi_, 
   {{0x6b1f044f,0x31440017,0x384a0361,0xc2f00198}},	//   _sekalian_, _विभूति_, _тонка_, _domovanj, 
   {{0x8a58018f,0x9dc800b7,0x957e0434,0xc3f90342}},	//   _bopeghha_, _карылары, _reflexió, _freuer_, 
   {{0x1755035b,0x330b01db,0x55a8002b,0xc23b00fa}},	//   _učinkovi, _اۋلاق_, _তোপখানা_, _galling_, 
   {{0x427e01b8,0xc5b9005b,0x74220226,0x79bc0188}},	//   _linna_, _yamaguch, _armagedo_, _тӯҳфаи_, 
   {{0xdd54034e,0x5aef01d5,0xd30d0071,0x00000000}},	//   _achachiq, _kimutatt, _dinalar_, --, 
   {{0xf373037e,0xe73603c4,0x2fd5025b,0xe3f8013c}},	//   _lafarge_, _نوبېل_, _grannalo, _qebul_, 
   {{0x73170333,0x8c7600e4,0x728201f1,0xfa070066}},	//   _spezie_, _szeroki_, _muhamedi_, _norabide, 
   {{0x399404f0,0xd4210105,0x530c003c,0x89f90183}},	//   _apokrifa_, _क्रमपरिव, _depanmu_, _ankahere, 
   {{0x391200bf,0x5e4c0119,0x6730003c,0x42780281}},	//   _этапы_, _malacana, _بیضایی_, _asasaral, 
   {{0xad7f00d1,0x0f150047,0x5f1d001d,0x227e02a0}},	//   _তালিবান_, _littérai, _mastriza, _jinna_, 
   {{0xc27e019a,0x4df30148,0xc9bb024a,0x7c5302cb}},	//   _dinna_, _第一代理人_, _eleeketa_, _sestara_, 
   {{0xb98703a1,0x00000000,0x00000000,0x00000000}},	//   _правиш_, --, --, --, 
   {{0xf4b902da,0xdc080126,0xe32103a8,0x2faa03a4}},	//   _поголема_, _поставив_, _উদ্যোগভি, _eiheldur_, 
   {{0x42c0000c,0x83f901d9,0xbfd8057c,0x99f1002a}},	//   _ануар_, _breuer_, _fremgår_, _omenaala_, 
   {{0x32aa018d,0xaa8f022b,0x2f330034,0x45ea0132}},	//   _ብሓጢኣት_, _familjan_, _andskota, _پٹورای_, 
   {{0x61530211,0xeb5b0340,0x00000000,0x00000000}},	// [6d80] _тюнинг_, _taetanga_, --, --, 
   {{0x74ed004b,0xee830122,0x43ea06f5,0x534202ac}},	//   _конвертт, _کاپشن_, _deltek_, _timeall_, 
   {{0x7ea502f3,0x52fe040f,0xfc6000a8,0x96a70133}},	//   _alldeles_, _turinys_, _listess_, _boordich, 
   {{0xa33d0163,0x402600c8,0xe70401be,0xfda5021c}},	//   _پیکار_, _автоинсп, _आकाशमै_, _dedikova, 
   {{0x79f70065,0x03f8037c,0xff1700e6,0x2acb0255}},	//   _genannte, _rebum_, _依照刑法有关规定, _परवर्तन_, 
   {{0x823b0209,0xd28903b0,0xf43801f4,0x00000000}},	//   _salling_, _merksam_, _таксимла, --, 
   {{0xc3bb0184,0xa28a017e,0x033a0177,0x5c77054c}},	//   _bahwana_, _maskloj_, _hogarã_, _frisyre_, 
   {{0x89c002d3,0xb34202c8,0xcc1d02a3,0x046600e5}},	//   _стомакот_, _cuberto_, _oogpunt_, _плурализ, 
   {{0x7fb50208,0xcec302c6,0xa2d903c2,0xeb340322}},	//   _دولبه_, _hennebon, _divest_, _bagashis, 
   {{0xf5c70167,0xfb6100e3,0x53fd02ba,0x00000000}},	//   _allanfey, _iskritta_, _ayinikez, --, 
   {{0x925a0198,0x26b6032c,0x9eaf0233,0xe2fd0141}},	//   _dokler_, _allangui, _retrovat_, _bargi_, 
   {{0x832100b4,0x135702a3,0x7a6d02f6,0xa95d016e}},	//   _pescuit_, _stefaan_, _bunganga_, _zihniyet, 
   {{0xa3af04d7,0xf2e30021,0x92500354,0x222b01e5}},	//   _innskrán, _abutsway_, _зелая_, _atimole_, 
   {{0x238f0192,0x44e80488,0x743e009b,0x83f4046d}},	//   _롯데백화점_, _pagastā_, _зайны_, _thutha_, 
   {{0x9f520171,0xfe4900d7,0x3afe026b,0xf1c200f5}},	//   _držač_, _babazene_, _রাবেয়া_, _җемгыетч, 
   {{0x0f2c02c7,0x227e003a,0x8ad70076,0x96640435}},	//   _allerdin, _rinni_, _прилики_, _čekovim_, 
   {{0x327e01fc,0x22d80130,0x057e02b9,0x13a30287}},	// [6d90] _sinni_, _memes_, _mennyisé, _neprodáv, 
   {{0xf9aa0402,0x0bbf005e,0x137e0139,0x438f038a}},	//   _mendakwa_, _ﻣﯘﺩﯨﺮﻯ_, _bharataḥ_, _chiyara_, 
   {{0x11b1028b,0xe86703f8,0x6ba7003b,0x918402b6}},	//   _аусуратә_, _dalonchu, _belitoho_, _аясат_, 
   {{0xbee00238,0x2b7a002f,0x627e0086,0x6b8703f3}},	//   _землю_, _angostur, _vinni_, _schitter, 
   {{0x60f402ec,0x42b5008e,0x600900d7,0x64290397}},	//   _دِوٕن_, _batco_, _артистка, _abekwenz, 
   {{0x459a0094,0xb9d5027b,0xd2d8000e,0xb3f80089}},	//   _بۇلانايد, _रसायनं_, _hemes_, _dejur_, 
   {{0x4c5f03f3,0xb33a00da,0xa95d0173,0xab4c0311}},	//   _systeem_, _французе, _mayorist, _ክብሩረአና_, 
   {{0x5fea03bf,0xf2d802db,0x865f022b,0x8551021e}},	//   _хроникаһ, _jemes_, _fiskiski, _sammanrä, 
   {{0x648703a2,0xdea80100,0xbcbe006c,0xc03c003b}},	//   _सड़ांध_, _naručite_, _задем_, _emathekn, 
   {{0xb85001c5,0xc2000120,0xb3f9024a,0xd06f0061}},	//   _todobaad, _boliis_, _derun_, _동영상입력_, 
   {{0x67d10041,0x834100aa,0x0b6c0090,0x8c98018c}},	//   _арыҩҭа_, _diretsa_, _akaraira_, _schuldig_, 
   {{0x9519048a,0x7aa9015e,0x509801b3,0xed4f03b8}},	//   _деректі_, _берене_, _вокзалах_, _айдалада_, 
   {{0x6b51034a,0x9ba900da,0xcd840307,0x8c760456}},	//   _fisterra_, _нэскынд_, _banelise_, _mersing_, 
   {{0x32fd00d2,0xec7a00e4,0x4b8a0064,0xe3a90358}},	//   _wargi_, _प्रवर्तन_, _ботом_, _konvoke_, 
   {{0x92d800d2,0x02fd0157,0x99df0043,0x7ed8013d}},	//   _semet_, _targi_, _amatungu, _sufiĉas_, 
   {{0x62d80004,0x24010193,0xedbc02c2,0x29330122}},	//   _pemet_, _kerugian_, _onlangse_, _تابعه_, 
   {{0x416b026c,0x02d80230,0x88320060,0xc3f403e6}},	// [6da0] _未分類文章_, _lemer_, _دايىن_, _bestoe_, 
   {{0xe320005b,0xfa010072,0xbb9701cb,0xa2d801da}},	//   _tokyo_, _aksaruxa_, _lekhongr, _femer_, 
   {{0xb2d8013f,0x92d80088,0xc5400247,0x13040140}},	//   _gemer_, _temes_, _nirkabel_, _marahil_, 
   {{0xf2480140,0x15980178,0x0ff30074,0x796700c1}},	//   _itama_, _apanetum_, _корабль_, _मुतनाळ_, 
   {{0xd26d00a2,0x82f1000b,0x82d900a3,0x324801d2}},	//   _kufikiri_, _fasioti_, _sivert_, _atimi_, 
   {{0xf2d807a4,0x626d0300,0x49dc0190,0xf5d900ee}},	//   _kemer_, _sobotu_, _rebellie, _шейкийн_, 
   {{0x2b1c01e6,0x0f5c011c,0xa2000119,0xae3902f6}},	//   _označené_, _albattan, _jobim_, _kaugalia, 
   {{0xb3f4034f,0xf292032c,0x42000198,0x42910465}},	//   _ukutya_, _sapaat_, _dobim_, _vezava_, 
   {{0x635702bd,0x5292011e,0xaefd0255,0xa9f300da}},	//   _steffan_, _lapant_, _दौरका_, _medierea_, 
   {{0x42fd041e,0x2b100013,0x24b602cb,0x960a0084}},	//   _largu_, _chegaras, _upozorio_, _bangladé, 
   {{0x42d800fc,0xb2e003fd,0xd30c02f9,0x869401c2}},	//   _bolegh_, _amanino_, _banabas_, _análoga_, 
   {{0xd98c0285,0x89ec02db,0x2a1f0265,0x729103fb}},	//   _mushinga_, _mariwota_, _geschikt, _dobara_, 
   {{0xe2d8009d,0x9f07045f,0xc49c009a,0xaaf50496}},	//   _zemer_, _samverka, _angangaz, _stretfas, 
   {{0x7e2f0080,0xe26c0145,0x528701b9,0x49f70307}},	//   _aangajaa, _pamoka_, _trakase_, _lungaphe, 
   {{0x0511030c,0x52d801c2,0x8b7d0041,0x526d0105}},	//   _oktoktah, _pemes_, _органқәа_, _doboru_, 
   {{0xd6920157,0x3ec10264,0x00000000,0x00000000}},	//   _statysty, _rhinelan, --, --, 
   {{0xee4e03d9,0x33a8030d,0x82ed01e7,0x07530192}},	// [6db0] _antanana, _cabbarov_, _approsch_, _spanning, 
   {{0x2ea4011e,0x633d02a5,0x37cb029f,0x6b5702cb}},	//   _distinge_, _dolarů_, _mestská_, _pretvara_, 
   {{0x83bc02ac,0x1200049e,0xa9f703db,0x14590058}},	//   _الشنط_, _robil_, _bungaphe, _türkän_, 
   {{0x18c10235,0x48cb0187,0x9c6701da,0x8bf501a3}},	//   _प्रश्नोप, _останува, _kaluara_, _اوتجي_, 
   {{0x72d800d6,0xe60004bd,0x60150061,0x00000000}},	//   _semer_, _hailukui, _가능한지를_, --, 
   {{0x04d100e4,0x261205e6,0x7cbd00d9,0x8c1c0066}},	//   _प्रतापगढ, _ouderdom_, _нарезать_, _ondarear, 
   {{0xb2eb057b,0x2f2e0177,0x32fd00ee,0xd8fb0028}},	//   _enviado_, _миллионк_, _kargu_, _fanaanad, 
   {{0x227e0224,0x42fd0274,0x93f90230,0xa3ea00d7}},	//   _vinnu_, _margt_, _derul_, _dintsu_, 
   {{0x8e5b0513,0xac530039,0x23aa0053,0x215600be}},	//   _bosberaa, _bestera_, _cipayung_, _قۇيداش_, 
   {{0xaa4b0092,0x03ee01c9,0x75a60299,0x1cc903b6}},	//   _鹿男あをによし_, _vietnami_, _تاڭلويا_, _séèyàn_, 
   {{0x7de50177,0x63ea01ab,0x41850206,0xac5103a4}},	//   _иқәманшә, _lootus_, _obnoviť_, _diktera_, 
   {{0x5e9303e0,0x7ba8021c,0xce4f0079,0x070a0060}},	//   _weimaran, _reguláto, _ekspertu_, _جاڭىلتپا, 
   {{0x8c770415,0xaf5d0044,0xbd9a0167,0x923f005b}},	//   _versand_, _חייכם_, _anhunedd_, _airmask_, 
   {{0xd60d005e,0xa1850037,0x92c201f1,0xf525005e}},	//   _بازاردىن_, _ኃይለማሪያም_, _vendosni_, _ﺑﻪﺧﯩﺖ_, 
   {{0x23f402c2,0x7c760321,0x5b2e00a2,0xe22502be}},	//   _bestee_, _odkrili_, _kisayans, _angkan_, 
   {{0x271d03bf,0xc3790390,0xd380018f,0xe2b400e0}},	//   _каталогы_, _ukrayna_, _kipros_, _hylck_, 
   {{0x33f9004f,0x903a04ee,0x3b1902a2,0xe2fd00ec}},	// [6dc0] _merum_, _anaeleko, _katayuan_, _vargu_, 
   {{0x43ea0235,0x23f903b0,0xf2fd01fc,0xe2d4022e}},	//   _vaktum_, _lerum_, _wargu_, _azilonu_, 
   {{0xc2fd011d,0x83ab01b8,0x42d5046f,0x82130062}},	//   _targu_, _kataloog_, _geforen_, _righmo_, 
   {{0x09e100d1,0x912a01fb,0xdc8003d4,0x6b980065}},	//   _অনাময়_, _travalio, _терет_, _schiedsr, 
   {{0x358500c4,0xe4f6006c,0x71cc03ea,0x9f940036}},	//   _آندائون_, _суратҳис, _intimité_, _منقبات_, 
   {{0x0a6b021c,0xc84e0099,0x97f0008d,0x63860103}},	//   _domény_, _aitosaru, _kuzatilg, _bhezeki_, 
   {{0x99ea01ea,0xac5300c5,0x29c801a4,0x00000000}},	//   _наманган, _restera_, _kolobisa_, --, 
   {{0x06b9018d,0x850702d5,0xb96e020e,0x724802c0}},	//   _መስፍናዊ_, _venemaal_, _diindast, _otimo_, 
   {{0x3a71023b,0x5480015d,0x22000487,0xde50042d}},	//   _huwahuwa_, _बाबाओं_, _mylife_, _andavama, 
   {{0x73760073,0x665200de,0xde530227,0xba74030b}},	//   _extremem, _abanogaw, _bayangka, _akigaana_, 
   {{0x92480027,0xcc010075,0x43ea013b,0x87ed02c3}},	//   _atimo_, _rakstur_, _hintad_, _hurbanov, 
   {{0x33a2025f,0xca1f0094,0x2c7c0151,0x8271000c}},	//   _grippe_, _اساتسا_, _consign_, _chicharõ_, 
   {{0x664e0013,0x52010524,0xb00e0163,0x42f000e6}},	//   _можароси, _babić_, _menjünk_, _山西农业信息网_, 
   {{0xb22a0061,0x12e3021a,0xe3bf02af,0x723102c5}},	//   _부동산정보_, _argitee_, _bakwize_, _chimoto_, 
   {{0x77d90166,0x9305023e,0x3f9003b1,0x00000000}},	//   _botschaf, _baboning_, _conquête_, --, 
   {{0x419f005e,0x10f6011a,0xaf2103a8,0xeb630137}},	//   _ئەرىكئال_, _לבריכות_, _balladar_, _сонжиж_, 
   {{0xacd70036,0xaffe0074,0x43950119,0x52d80028}},	// [6dd0] _أعراض_, _новогодн, _kawsa_, _afeef_, 
   {{0x9667010d,0xa09700cb,0xe86f0215,0x8fd9014a}},	//   _स्वस्त_, _фронти_, _flyplass_, _joghurto, 
   {{0xb8750162,0x739402a6,0xb2e70334,0xc8300022}},	//   _نۇسقىسى_, _sposti_, _amunawa_, _чехияның_, 
   {{0x5d8c0009,0x77fe0061,0x649c03b0,0x901600a7}},	//   _rečem_, _고급스러운_, _অবস্থাত_, _тамырды_, 
   {{0xb38604cb,0x522400c1,0xea960247,0x1348033e}},	//   _erori_, _nyokap_, _عارفان_, _memevoi_, 
   {{0x99cf03b1,0x9a8902f9,0xbe4e0088,0xc5c1027b}},	//   _conféren, _aktivman_, _сайды_, _प्रियवाद, 
   {{0x9c700403,0x22e8001e,0x14f80022,0xbe6302b6}},	//   _poireau_, _komitin_, _гастролг, _تەرسەك_, 
   {{0x926d005b,0x01c300df,0xe2010204,0xe5570039}},	//   _kiyomi_, _validité_, _neziri_, _градуст_, 
   {{0xe3f80085,0x5ae802ac,0x33830145,0x95f000bc}},	//   _dakumu_, _طولكرم_, _supratim, _ریستارت_, 
   {{0xd9bd0007,0x0b250050,0x446901b3,0xda0e0237}},	//   _elevateu, _néangan_, _патрульн, _koopzond, 
   {{0x006300f3,0x43bd01cd,0x92ca018b,0x458c0061}},	//   _abasafun, _талхи_, _condus_, _국가보안법의_, 
   {{0xa2d80121,0x5bf30100,0x59860126,0x3c950153}},	//   _pemex_, _željenom_, _кришкою_, _季節の注意点_, 
   {{0x3290011c,0xd2020072,0xd2010129,0xe0690059}},	//   _aljana_, _masiru_, _meziri_, _кремиков, 
   {{0x7329016e,0x072d0192,0x1cb404e5,0x6af103fc}},	//   _psikoloj, _예수전도단_, _aliyimir, _okkupert, 
   {{0x4bc700ee,0x1177042a,0xe3660012,0x66a50227}},	//   _заслын_, _bahambel, _बतैइना_, _disunnah, 
   {{0xce5202ea,0x00000000,0x00000000,0x00000000}},	//   _конски_, --, --, --, 
   {{0xd20100ac,0xee530442,0xe75700c8,0x02c10397}},	// [6de0] _odbili_, _sayangka, _фатирлы_, _ahilela_, 
   {{0xe6d204ce,0x0bb004e5,0xb3090029,0x1d520242}},	//   _hangwelw, _abakulir, _موعجیزه_, _barışmaz_, 
   {{0xa29200fe,0xe055015d,0x1c6b0362,0x71c30388}},	//   _sapate_, _pierwotn, _dibundu_, _validità_, 
   {{0x485d0036,0x17c8004d,0x520100ac,0x00000000}},	//   _المأكولا, _proposui, _udbini_, --, 
   {{0xab0f0281,0x4201002a,0xa2fd029b,0xd50202ea}},	//   _kinguaas, _deziri_, _deggal_, _estratto_, 
   {{0x8ff6012c,0x223401a6,0x6837016f,0x01870066}},	//   _جهانداد_, _hōkai_, _батареї_, _okupazio, 
   {{0xf9d900b0,0xced50151,0x194803ba,0x28b10092}},	//   _muslimka_, _deviatin, _redodawe, _歴史的建造物の写, 
   {{0xf35f0013,0x97a80075,0xb2910321,0x93a70028}},	//   _سوولیک_, _partarni, _dobava_, _baraaruj, 
   {{0xfbeb00e6,0xae4c01e8,0x563c02e2,0x29d90311}},	//   _发展和改革局_, _halamana, _blasstal_, _ጸዓዘጋን_, 
   {{0x23f80145,0x26020244,0xd1c703ce,0x9f3103df}},	//   _nebus_, _bellissi, _فرانباری_, _bokstava, 
   {{0xb9ae0079,0x28c601f1,0x3356000d,0x576800e6}},	//   _privātum, _ditelind, _करैली_, _本站网络实名_, 
   {{0xf7ce015e,0x1e0e00c4,0xe3ea03ae,0x208c0126}},	//   _inapropi, _ڪٽوهر_, _deltok_, _marcialo, 
   {{0x1c1100ba,0x03a303b4,0xf24802bf,0x0c0e01be}},	//   _ئایکۆنه_, _arapwe_, _etame_, _okupace_, 
   {{0xd8c4009d,0xd8610092,0x404b02f7,0x162300da}},	//   _falemind, _ショップチャンネ, _borraban, _фондурь_, 
   {{0xc854006e,0x8ae60450,0xfe27026f,0xc2d700bd}},	//   _antarpër, _achterne, _جۇيتكىگە, _dealins_, 
   {{0x62000553,0x63f300ae,0x32480315,0xa2f0000f}},	//   _robia_, _barongoz, _itame_, _bilinci_, 
   {{0x72da01c2,0xdfc70156,0x9a7202d9,0xb01d0040}},	// [6df0] _empeza_, _פיליזאפי, _leiataua_, _לסועד_, 
   {{0xbdbd01d8,0x6b71042d,0xb9b103ff,0x710b00df}},	//   _briatore_, _amasiasa_, _straší_, _augmenté_, 
   {{0x1be6048c,0x72ec042d,0xefa80162,0x6e4601ad}},	//   _schwarzs, _faritoe_, _تابىئىنل, _matataga, 
   {{0xd60c006a,0xc6320279,0xf8700189,0xc3f60594}},	//   _ranomasi, _mainteni, _ilanlard, _neglelak, 
   {{0xe97902f3,0xe9db029b,0x55b90066,0xbdf60787}},	//   _bransche, _baagante, _proportz, _oponašan, 
   {{0x9c30041f,0xd3870095,0xe8f503d1,0x3c5c0445}},	//   _abesilis, _باردار_, _vingroju, _caetano_, 
   {{0xe27e0243,0x46ea0092,0x53f80239,0x8d860053}},	//   _ninni_, _サイエンス_, _makuku_, _मस्करी_, 
   {{0x5373002e,0x5fca04c0,0x037f01f7,0x783800c8}},	//   _domaće_, _mpaninfo, _egnatia_, _ташланды, 
   {{0x827e0034,0x93480193,0xb248021a,0x3f350119}},	//   _hinni_, _kedelai_, _atame_, _magsaysa, 
   {{0xb27e0389,0x94810255,0xc2910403,0x126f0282}},	//   _kinni_, _बाबाजी_, _ambaka_, _rorirori_, 
   {{0x17a901b9,0x72eb02c8,0x00000000,0x00000000}},	//   _lektyali, _vivindo_, --, --, 
   {{0xd27e0224,0x622b02c9,0x73f80008,0x02ca0113}},	//   _minni_, _primele_, _rebut_, _raidio_, 
   {{0x7870055f,0xccdd00b9,0xf2d903bf,0x2f02044e}},	//   _alanlard, _berkilau_, _hwaeba_, _академин_, 
   {{0xa26e0508,0xcc8000af,0x395e0238,0x00000000}},	//   _dorobo_, _дерев_, _usannhet, --, 
   {{0x03d701d9,0x0905001c,0x115002c6,0x00000000}},	//   _krecké_, _pinanngu, _gwarnizo, --, 
   {{0xd5f80598,0x6c1b0402,0x8cd30047,0x0a7e0101}},	//   _रातोरात_, _didaftar, _sauvegar, _legatura_, 
   {{0x329100f5,0x6e9400fb,0xe9f400c4,0x2b0f040f}},	// [6e00] _nobata_, _kwamaban, _linalowe, _glostoma_, 
   {{0xaef00375,0x00000000,0x00000000,0x00000000}},	//   _asakazin, --, --, --, 
   {{0x634f05fd,0x3ee80034,0x00000000,0x00000000}},	//   _solehah_, _leikmann, --, --, 
   {{0x53ea0145,0x8200028d,0xa2590098,0x92910073}},	//   _plotas_, _gobin_, _varenumm, _robava_, 
   {{0x426404bd,0x31630243,0xe3f901fe,0xac5c000e}},	//   _chulan_, _arkiseeh_, _derua_, _fortmen_, 
   {{0x4ad801ee,0x52920211,0xf3a20211,0x00000000}},	//   _основной_, _kerava_, _reipas_, --, 
   {{0x78590354,0x69680265,0xdf360383,0x5efa0244}},	//   _ھىسيات_, _artieste, _hulubala, _яворов_, 
   {{0x5f7e0046,0x29120192,0x128601b9,0xb69c000a}},	//   _полициян, _전자폐기물_, _minimiz_, _amigarsi, 
   {{0xc17207a5,0xf2000116,0xbd4600ac,0x5dc8006c}},	//   _दर्सक_, _lilies_, _stepenic, _публитси, 
   {{0x6200042b,0xc2830132,0x9f270029,0x0ef90071}},	//   _dobio_, _miskolc_, _ندرۆید_, _آزیتا_, 
   {{0xa1f8012c,0xaa7a0219,0x7201017d,0xe200018a}},	//   _مقالي_, _kudzimat, _gorie_, _lobio_, 
   {{0xf2d502d8,0xf2fb0265,0xc30d0076,0x52e800f6}},	//   _knalpot_, _richten_, _safadas_, _elminin_, 
   {{0x83f90095,0x13dd02a2,0x2292000c,0xe10b02d4}},	//   _weruh_, _pauwi_, _herava_, _augmentà_, 
   {{0xf00b0015,0xefe903c4,0xc2e701bb,0xb7f8020a}},	//   _سرتازٕ_, _мәһсулат, _agandan_, _تماشاءان_, 
   {{0x31d70381,0xd18a018d,0xf7750157,0x321200f4}},	//   _ailedhay_, _ዝፈጠርዎ_, _एस्सार_, _dalhet_, 
   {{0x6efb0057,0x82010558,0x1b100051,0xe3f40226}},	//   _ውይይቱን_, _dozie_, _piesprie, _ikutha_, 
   {{0xeb91029a,0x00000000,0x00000000,0x00000000}},	// [6e10] _prezimen_, --, --, --, 
   {{0x63f401c8,0x92000194,0x9105021c,0x12e80206}},	//   _vrstvu_, _filies_, _gumičky_, _vidieka_, 
   {{0xcc3d0292,0x6af20166,0x24770188,0x5c53034a}},	//   _amannehu_, _betracht, _газетаи_, _mestura_, 
   {{0x4b94047d,0x4d7f002b,0x066702f4,0x00000000}},	//   _beandroc, _তাথিয়া_, _pakistán_, --, 
   {{0x5a6a0145,0xfd860148,0xc348031a,0x00000000}},	//   _кардынал, _invenire_, _spreidh_, --, 
   {{0xc75b0193,0x721d0171,0x62b40181,0xf201049e}},	//   _मुक्काम_, _proizašl, _chocoa_, _kozie_, 
   {{0x32000198,0x12010465,0x44620029,0x12ef02c9}},	//   _dobil_, _vozil_, _لێدێت_, _juridic_, 
   {{0xa379002e,0xac5b0097,0x1db20148,0x32bb0073}},	//   _pitanja_, _abuteni_, _校園衛生保健工作, _timente_, 
   {{0x53f40033,0xbb36002c,0x96ad026f,0x2d710344}},	//   _metter_, _даашинз_, _اقءبورى_, _dummekra, 
   {{0x37340409,0xd04501f6,0x92fc025c,0xbd8601f1}},	//   _お役立ち度_, _সম্বন্ধী, _langen_, _gazetare_, 
   {{0x8e0301aa,0x2b5f0387,0xa0ae01e1,0xda5f05f4}},	//   _usteetra, _elementr, _урлап_, _elementb, 
   {{0x9066003a,0x026d02fd,0xf58f02e0,0xa63605f1}},	//   _samarado, _bharaill, _bojelath, _tutibagi, 
   {{0xa22400f7,0xc606031a,0xbe4e0126,0xf1ce00d3}},	//   _amikoj_, _airmeini, _дмитро_, _विनाशबाट_, 
   {{0x29450163,0x92020261,0x436a018b,0x0c1b0240}},	//   _pillanat, _kutime_, _inclusiv_, _domodrau_, 
   {{0xa25303dd,0xd146016d,0x997401ac,0x126d01e6}},	//   _deklaroi_, _мураҗәт_, _shainait, _dozoru_, 
   {{0xb2f7013b,0xab71013b,0x2fb40361,0x7e3f004d}},	//   _calumbay_, _cholutec, _сероводо, _鍾意的東西_, 
   {{0x514a0192,0x12fc03ba,0xb0890128,0x6e8501a3}},	// [6e20] _뉴질랜드의_, _dangen_, _рафиқаси, _هنرئيٽا_, 
   {{0xafa40437,0x58b10272,0x2935018d,0x824801f1}},	//   _hoteller_, _abatulug, _መንጸብረቕታ_, _krime_, 
   {{0x975b077f,0xf20202e0,0xd3640051,0x128b0362}},	//   _मुस्कान_, _rutile_, _atkritum, _bakaboli_, 
   {{0x23170175,0x5754015f,0x32d8021c,0x72060007}},	//   _reganny_, _anuniong, _polepy_, _kanisaki_, 
   {{0x411b01eb,0x7f360072,0x604403a2,0xe3540343}},	//   _атанкер_, _tutukana, _एनएलपी_, _igreset_, 
   {{0xaa49018d,0x301c00a9,0x2201007b,0x3e000478}},	//   _ግብረመልሲ_, _ntawamen, _doric_, _serenita, 
   {{0x36b70104,0x575b01ab,0xac0a0287,0x69d40255}},	//   _bangashi, _मुस्कात_, _minutě_, _करायीं_, 
   {{0xd0c70165,0x3ce600e3,0xeebd0456,0x431a01f0}},	//   _isolesol, _biċiklet, _homeseks_, _fitileng_, 
   {{0x75cc059b,0x82d80163,0xe2480326,0x5add0253}},	//   _pahalany, _lemez_, _arime_, _asiunave, 
   {{0x71ac01f4,0x9893028b,0xa26404be,0x7e18000d}},	//   _сулаймон_, _дашьуеит_, _buslot_, _tugevama, 
   {{0x620202cb,0xf6cc0103,0x5eac023a,0x1f000234}},	//   _kutije_, _achawani, _popoludn, _oníṣẹ́_, 
   {{0x5ecd0047,0x02fe02c3,0x614f010d,0x3248057d}},	//   _japonais_, _odchode_, _eksterio, _vrime_, 
   {{0x0eee017d,0x0cb8018f,0xfc6a00d9,0xc2d9031e}},	//   _すべて表示_, _bisaghqu_, _кредитов, _savezu_, 
   {{0x0e9100b1,0x55b003ef,0xe7bd009f,0x4c3403c3}},	//   _sortware_, _abasilik, _hidravli, _izdajnic, 
   {{0xad1d0003,0xe3ea014f,0xfc1d01c4,0xe2cb0051}},	//   _gepublic, _smete_, _gepublis, _biedru_, 
   {{0xe2010212,0xeb5e03dc,0x82000422,0x1237042c}},	//   _alzip_, _kommunur, _knjig_, _imajte_, 
   {{0x820101f4,0xf3560399,0x03860396,0xad89006c}},	// [6e30] _nozik_, _ofefina_, _imorru_, _atadishe_, 
   {{0x597d012f,0x63fa019d,0x5292005e,0xe83d0008}},	//   _burodaüt_, _aisraeli_, _ﮬﻪﺳﺴﻪ_, _арбып_, 
   {{0xaa7700e5,0xf20002dd,0x83050014,0x1d4901f7}},	//   _мизерни_, _inbid_, _barazim_, _casaucau_, 
   {{0x1c6c0101,0x9c06018b,0x97b601b0,0xc4bb005e}},	//   _forumul_, _стребуни, _cupumani, _әкәлди_, 
   {{0x9b1102b0,0xf6560238,0x130e00e5,0xe8f9019e}},	//   _verschie, _внесення_, _jogador_, _антонія_, 
   {{0x03f40127,0x49cd03ee,0xb71101f6,0x3b1b02e7}},	//   _husted_, _primanja_, _forståin, _lawasnon_, 
   {{0x2248018d,0x625a03d5,0x82d800bc,0x03430371}},	//   _urime_, _heill_, _memey_, _arresto_, 
   {{0x1efc01bb,0x0e370334,0x137b0007,0x526e01e5}},	//   _обаларын, _angachep, _kasaflo_, _korofo_, 
   {{0x32480225,0xfd0f018d,0xcf3900e2,0x420102c9}},	//   _etami_, _ንተጋደልቲ_, _aventoer_, _horia_, 
   {{0x641e0048,0x2532027c,0xb30e04df,0xc3000134}},	//   _basisink, _abenelay, _bararys_, _kilaasi_, 
   {{0xdf21050b,0x92000206,0x316c004c,0x4339024a}},	//   _kesulita, _robit_, _abusaalo, _ikumolú_, 
   {{0x29450072,0xc3090177,0x138604c8,0x4e8f0087}},	//   _billonat, _arareñói_, _jmorru_, _ekamaren, 
   {{0xde520128,0xd6ae0156,0xbc6e01f0,0x30b70131}},	//   _боксчи_, _אינטימער_, _ipereka_, _articúla, 
   {{0x32d901fb,0x3ae60025,0xfd140170,0x56ef02d5}},	//   _caveau_, _क्षेत्रज, _amasoker, _कठिनाइयन_, 
   {{0xb04e03a1,0x830001e5,0xec140026,0x2ae00272}},	//   _участниц, _gilaasi_, _aflopend_, _amatende, 
   {{0xf2fc04cc,0x583c0037,0xa99601eb,0x896d047b}},	//   _gannanz_, _እስክንድር_, _archipie, _dampsper_, 
   {{0x92020051,0x125a02fd,0x8b660282,0xb20000c3}},	// [6e40] _netiks_, _ceill_, _hautopea_, _uobis_, 
   {{0xe72701d5,0x925a036d,0xd61d01a3,0x33f9024c}},	//   _جرنسٹ_, _ceile_, _جهاڳي_, _ferut_, 
   {{0x87c9026c,0x5aba014e,0x826e033b,0x32480095}},	//   _旅行機器人_, _proverit, _morogo_, _utami_, 
   {{0x3af10080,0xbbab002b,0x5c4600d1,0x09ec011a}},	//   _ammukart, _এডুটিউনস_, _প্ৰগতি_, _ההלבשה_, 
   {{0x1ccd005e,0xb42f0061,0x32910333,0x2e520247}},	//   _ئادېرىسى_, _지속적이고_, _alzava_, _bubbydee_, 
   {{0x727e05b8,0xe25a03f3,0x73f400bd,0x1d070163}},	//   _minns_, _geile_, _pestle_, _کارخانہ_, 
   {{0xd9f10261,0xaa6a01e6,0x089000ff,0x02ba0101}},	//   _almenaŭ_, _olympijs, _אלטמאדיש, _fonduri_, 
   {{0x1c07028e,0xb9d2024c,0x6850053b,0x65c8008d}},	//   _mansuat_, _zantetsu, _colocand, _ullanish, 
   {{0x139c0409,0x825a0451,0x5b630161,0x6c14010b}},	//   _回答した人_, _beile_, _незабыва, _ketsaets, 
   {{0x05a70338,0xac6a0120,0x4dca0022,0x24e30156}},	//   _desplaça, _fulussu_, _өсөһө_, _אײַזערנע, 
   {{0xa2f702bc,0xa6f1035f,0x72df0107,0xf69c04c7}},	//   _kaliash_, _एमेच्योर_, _alaning_, _подстака, 
   {{0x865200b4,0xe25a0065,0x93490092,0x0ae301e8}},	//   _engleză_, _weile_, _barfoed_, _kaulawan_, 
   {{0xb25a0255,0x0c5d0220,0x72fc00f4,0x4e4e0211}},	//   _teile_, _portato_, _alkides_, _найду_, 
   {{0xbc0d00da,0xe3f90166,0x7daf00c1,0x42410449}},	//   _propune_, _herum_, _अवाढव्य_, _prodajem, 
   {{0x4bf30191,0x13f903d0,0x32fd0274,0xba380156}},	//   _petterss, _kerum_, _margs_, _לעהרער_, 
   {{0x530d033d,0x63ec0056,0x446d0273,0xde350210}},	//   _lavalas_, _ukuthini_, _ocasión_, _aisakawa, 
   {{0x726d07a6,0xd26e01f0,0x32ab018d,0x4edc0067}},	// [6e50] _sprog_, _borogo_, _ንናእሽቱ_, _faayinaa, 
   {{0x43210138,0xbad802a7,0xfc7c0331,0x72eb0437}},	//   _dosya_, _adamonin_, _harrans_, _eventyr_, 
   {{0xea880080,0x752e004d,0x9bc900e4,0x00000000}},	//   _annisiss, _實施者心得_, _mandatów_, --, 
   {{0xaa880528,0xd3f90034,0xa201009b,0x9db00307}},	//   _schottis, _gerum_, _pozik_, _babanjwe_, 
   {{0xd3870194,0xb27e031a,0xa34600e2,0x05e103ec}},	//   _esaris_, _pinnt_, _studint_, _kembrixh, 
   {{0x9e4d005b,0x4356015e,0x5386002a,0xf2020247}},	//   _watanabe_, _adreces_, _isoro_, _artine_, 
   {{0xd3860733,0xb3ea0200,0x83f9025e,0xfc8902da}},	//   _asoro_, _emeta_, _berum_, _évendido_, 
   {{0xb37c021a,0xe31c0095,0xaa4a01c9,0x776403a8}},	//   _baranne_, _altbier_, _seletada_, _arkiveig, 
   {{0xc3f9037c,0x725a02ca,0x118a01a4,0xf2480122}},	//   _verum_, _peile_, _atabasal, _atimu_, 
   {{0x365103dc,0x31c20037,0x559b004d,0x690e0181}},	//   _ellisakf, _ተፈረደበት_, _御絨中醫診所_, _babaryou, 
   {{0x13860200,0xf3ea000d,0x734202f7,0xe3a30279}},	//   _esoro_, _ameti_, _dibetso_, _frappe_, 
   {{0xf3a302c2,0x2c7d053b,0x904d006f,0x57a600c5}},	//   _grappe_, _consigo_, _matumain, _reprodui, 
   {{0x589702fe,0x9f5c0007,0x33a2018d,0xa27f0350}},	//   _جریبه_, _liyangan, _gripit_, _አለመታዘዝ_, 
   {{0xee0303b5,0x32320170,0x00000000,0x00000000}},	//   _kelembap, _chamoto_, --, --, 
   {{0xee5702df,0x930d0257,0xc7420153,0xbb7d05da}},	//   _membinca, _bananar_, _サイトについて_, _empobrec, 
   {{0xe1cc033a,0xd2010163,0x244501db,0xf48703a2}},	//   _intimità_, _korig_, _رايىنا_, _मनचाहे_, 
   {{0x4a8a0253,0xf34402c1,0x4292036d,0x4fb2006d}},	// [6e60] _nerisass, _keretse_, _batail_, _адбойнік, 
   {{0x435e0277,0x432b048c,0xb3e201ec,0x00c00162}},	//   _lungsod_, _prickly_, _gandrung_, _үчүнчиди, 
   {{0xc1fc0040,0x46950148,0x4c01001d,0xd2e600d5}},	//   _הלחימה_, _ciceroni, _hilfsspr, _ananana_, 
   {{0x10c70240,0x926c02c2,0x9ed6011d,0xe2d602f4}},	//   _isolisol, _opbou_, _senzatie_, _orillas_, 
   {{0xd1dd013f,0x73f40193,0xbb4701ec,0xd345057c}},	//   _sonerezh_, _justru_, _کیانوش_, _stadigt_, 
   {{0xbc2405a9,0x27ec0127,0xe1850153,0xa202011b}},	//   _bakagwir, _abialang, _琉球大学教育学部_, _misiku_, 
   {{0x810403cc,0x625a01b9,0x57200256,0xc8db0184}},	//   _কাছাকাছি_, _adilt_, _ziemassv, _ibifungu, 
   {{0x825f001a,0x93870184,0xbf2e01e7,0xfc510161}},	//   _اسمعیل_, _ibarir_, _bikerpun, _polttaa_, 
   {{0x42d80625,0x76260132,0x5f530187,0xde680143}},	//   _kameň_, _megakadá, _досадни_, _шестима_, 
   {{0xff5c044a,0x6c5f0019,0x3386047b,0xbfa90109}},	//   _biyangan, _айлантты_, _fedrum_, _odsavače_, 
   {{0x92ca0478,0x027000e6,0x5912019e,0x620e0137}},	//   _condes_, _版权与免责声明_, _аўгусту_, _гацах_, 
   {{0x605804b2,0x7231005b,0x7e3f0455,0xf2d40400}},	//   _pumapaso, _akimoto_, _colonnes_, _afflitu_, 
   {{0x7ad70227,0x22d801fb,0x23f9013f,0x85930059}},	//   _keimanan_, _indech_, _bezus_, _текстилн, 
   {{0x024a0665,0x68e30405,0x446d004a,0x8fb3034c}},	//   _formes_, _хороші_, _baştarak_, _алмавыма_, 
   {{0x824a0088,0x1b5a00a0,0x71e601a3,0x32d9033f}},	//   _normes_, _dandalin_, _نابودي_, _havelu_, 
   {{0x35af01d1,0xfcbb03aa,0x92f600ff,0xbf2102e9}},	//   _biograph, _जनकल्याण_, _bovinoj_, _resucita, 
   {{0x12e901a0,0x234a0372,0x4060000d,0x756a005e}},	// [6e70] _antioka_, _delerau_, _होखसु_, _ئىچمەي_, 
   {{0x73f4025e,0x82010003,0xe27f053a,0xc3f9010d}},	//   _settar_, _vorig_, _divno_, _keruh_, 
   {{0xad8700ab,0x92fc050b,0xc984051b,0x47c702bb}},	//   _wareware_, _pangan_, _obvinila_, _sposobem_, 
   {{0xa25a047b,0xd67c014f,0x9373033c,0x037a0462}},	//   _heila_, _простора_, _thrafod_, _amersham, 
   {{0xe25a00db,0xfe0f025b,0x4b1f00ba,0xfb910418}},	//   _keila_, _bilførar, _دڵمدا_, _benzeyen_, 
   {{0xbb4c0135,0xd5180128,0x73f9038e,0x6248019d}},	//   _palatası_, _футболим, _ceruk_, _kuima_, 
   {{0xa264040e,0x7ee70244,0xf2d50196,0xb3b20040}},	//   _skulen_, _казано_, _anamlonj, _בקדימה_, 
   {{0x8651014d,0xdfe900db,0x741d012e,0x3ef30157}},	//   _sicherli, _दिसासूल_, _کارگو_, _adekwatn, 
   {{0xc1ae00bb,0x62d802e5,0x3c5b0372,0xda530311}},	//   _پمفلٹ_, _dgeec_, _bosteri_, _ተጽዕኖታት_, 
   {{0x330f0221,0x64170261,0x03d40152,0x70470059}},	//   _qusyairi_, _programo_, _aryagı_, _риалити_, 
   {{0x234a007f,0xcfcd0163,0x438701f1,0xce17018f}},	//   _telerau_, _المعز_, _njerez_, _bibechla, 
   {{0x73fa0047,0x838201a3,0x8ba2004d,0xbfad0350}},	//   _astuce_, _لاڏلي_, _每月文章彙集_, _ተዓማኒነት_, 
   {{0x25f903a2,0xac760309,0x030d03b0,0xe9db00d9}},	//   _एडवोकेट_, _arzular_, _kanalar_, _innostaa_, 
   {{0x12e30342,0x67f40073,0x4fce0092,0x369501f4}},	//   _avantaj_, _succedev, _ピックアップ_, _landshaf, 
   {{0x625a06f8,0x3278022b,0xbdd7040f,0x120d007f}},	//   _deila_, _ternan_, _выводзіц, _manylach_, 
   {{0x2869019e,0x20710156,0xe2fc013a,0x294b0105}},	//   _seminaru, _נעווסלעט, _dichteg_, _samolote, 
   {{0xc01d0192,0xc585018f,0x92ca01c4,0x9c9800d9}},	// [6e80] _결혼식장에서_, _bosehlah, _sondes_, _купальни, 
   {{0x6c6e00b0,0x9201008d,0x5ef50420,0x9c670195}},	//   _hiiraan_, _nozil_, _alojamen, _nadurra_, 
   {{0xe27e04ad,0x51de01a7,0xeffc0312,0xc344018a}},	//   _banni_, _комменти, _diskwelo, _ryddhau_, 
   {{0x6388029b,0xe3ea01be,0xeed1039f,0x52e003c2}},	//   _daayira_, _zbrojovk, _utensils_, _blatancy_, 
   {{0x00000000,0x00000000,0x00000000,0x00000000}},	//   --, --, --, --, 
   {{0x435401af,0xa2250448,0x586d0476,0xeea605bd}},	//   _hereket_, _ekskl_, _akandiud, _fastsatt_, 
   {{0x760a0169,0xb1b501f2,0xce50011d,0x636600d2}},	//   _অভিলেখাগ, _алдашқа_, _intampla, _jengkol_, 
   {{0xc20100da,0xf2fc012e,0x01c303dd,0x00000000}},	//   _dorim_, _hangon_, _katolikë_, --, 
   {{0x09ed020f,0xa90a0037,0x4ef2004d,0xc607021b}},	//   _abangaya_, _የመፈፀም_, _清涼消暑餐_, _asumisoi, 
   {{0x420100ac,0x830c0014,0x0d860421,0x00000000}},	//   _vozio_, _ekranit_, _firmenna, --, 
   {{0x824806af,0x3627067f,0xb2fc0288,0x0c6e02ec}},	//   _arimo_, _oikipiti, _dangon_, _biiraan_, 
   {{0xc2cb01c9,0xf27501f4,0xb2ea019b,0xbeb30338}},	//   _raadio_, _shirkatl, _bronius_, _censurat_, 
   {{0xaf12022d,0x46e10420,0xa5650675,0xa2ec0055}},	//   _tradimen, _истите_, _iluminaç, _luciole_, 
   {{0x4202022a,0xec9e02a6,0xe4380107,0x53210147}},	//   _dotiks_, _zoologiq, _angkahak, _fracàs_, 
   {{0xe30e0148,0xf061008f,0xff74028e,0x430800ec}},	//   _vocatur_, _सउँसे_, _mirakols_, _mobiliej, 
   {{0x474d026f,0xfe370315,0xfca000d1,0xfd9e034e}},	//   _اشىسن_, _kulabata, _হাস্যৰসা, _importba, 
   {{0x82010374,0x63960132,0x78e702b2,0xb291023b}},	// [6e90] _lozim_, _پاسپورٹ_, _трубку_, _hobaba_, 
   {{0x4ab001e4,0x2c710130,0x030d012a,0xfe43009b}},	//   _tradiční_, _moarvat_, _posiadaj, _arrantza, 
   {{0x4ea6040f,0xbeea0233,0xfdf80371,0xdc700359}},	//   _разрыву_, _flektion, _tendenze_, _skomjend_, 
   {{0x2d93027e,0xe25a043a,0x3c520400,0x32850594}},	//   _позвали_, _seili_, _acetina_, _ranheim_, 
   {{0xcecf0109,0x12d8029b,0xeb2f0517,0x64720075}},	//   _sociální, _afeer_, _líquidas_, _bretskan_, 
   {{0x57ba016d,0xb4090309,0xe2d60161,0x72b5030d}},	//   _паразитл, _radioerk, _hevosen_, _alacam_, 
   {{0xac140050,0x70de0300,0xd3a2017c,0x2f5800cd}},	//   _résidu_, _europosl, _slopa_, _cumprada, 
   {{0xe2cb004b,0x4236028b,0x6d0802b6,0x72ca03ad}},	//   _ahlolwa_, _арбџьар_, _артистер, _inkluzi_, 
   {{0x03f8005b,0x62e50322,0xe937002b,0x02a6005b}},	//   _menuen_, _agengwa_, _গল্পঃ_, _chobi_, 
   {{0xee990625,0x01b20223,0xab600025,0x0102005e}},	//   _uvítací_, _албанаас_, _शासने_, _ھەيئىتى_, 
   {{0xed16018d,0x0eb60147,0xa9620235,0x93ea0418}},	//   _ምናልባትነት_, _جوڭويقون_, _avanayat, _siktim_, 
   {{0xc25a04a5,0xf3760059,0x29aa006c,0x4b0f0420}},	//   _efile_, _престой_, _борин_, _suspeita_, 
   {{0x82d900bf,0x75390148,0x1d9f02c3,0xe2480075}},	//   _торговли_, _看附近租屋_, _odporuca, _framd_, 
   {{0xc3ea0342,0x7649032e,0x8310011c,0x8447032d}},	//   _viktim_, _pacharux, _dinatax_, _прийын_, 
   {{0xf15802eb,0x10d9034c,0x2e520067,0x48970008}},	//   _тэрчлэн_, _birmilär_, _darbatee_, _شاتىراتى, 
   {{0xb248023e,0xefe80166,0xafab0097,0xfcb40127}},	//   _trimo_, _geizhals_, _oṣelu_, _genserig_, 
   {{0x23fc0457,0xc24802c1,0x7b160137,0x762901b9}},	// [6ea0] _biroogek, _urimo_, _алслагдс, _insititi, 
   {{0xb4330543,0x9e1c0321,0x529102f7,0xb24802e1}},	//   _аневролг, _komercia, _bobaba_, _tuama_, 
   {{0xde96002b,0x52b10033,0x4cbd0176,0x00000000}},	//   _ইলিয়াসে, _bindera_, _flexitar, --, 
   {{0xc3eb0052,0x32d90403,0xc6b306c4,0xb39404ca}},	//   _svetry_, _adalany_, _venstreh, _avises_, 
   {{0x15d70128,0x7968013f,0x00000000,0x00000000}},	//   _туманида, _gadourie, --, --, 
   {{0x53ea0017,0x554500b2,0x928801a3,0x88fd0135}},	//   _smetl_, _bitiiniy, _موقيئو_, _батырның_, 
   {{0xb85f051b,0xd20000f0,0xe63b010f,0x7e1b0622}},	//   _očekávan, _chlieb_, _акаллан_, _bitegeka, 
   {{0xc30f004c,0x64fb02d5,0x02fc046b,0x49270089}},	//   _akubira_, _चौठारी_, _cangen_, _алмаганд, 
   {{0x123e028e,0x03870178,0x22d800c3,0x524a01d9}},	//   _fremwok_, _aparas_, _agmen_, _aarmut_, 
   {{0x92000429,0xa260012a,0x07290153,0x32b50420}},	//   _enjin_, _dorośli_, _かっこいい_, _estagiár, 
   {{0x07f80037,0xb2ea0145,0xac6f0084,0xc2330059}},	//   _የመጋዘን_, _zodiako_, _piaraan_, _termico_, 
   {{0x5f6603b0,0xcc6b00b2,0x52930061,0x00000000}},	//   _svært_, _birmaduu_, _초대합니다_, --, 
   {{0xd200002a,0x429002cb,0x02db0064,0x2fd80291}},	//   _injin_, _bojama_, _imposar_, _يتأهل_, 
   {{0x027e01c0,0x8d280169,0x320000ec,0x89d10080}},	//   _hannu_, _নামাযের_, _pilies_, _gigtertu, 
   {{0x61d900fa,0xd2fe0347,0x8c510388,0x67ac01be}},	//   _startalk_, _horings_, _discaric, _defenziv, 
   {{0xf25a0034,0x34a8002b,0xb7a106a7,0xd3940065}},	//   _heilu_, _বিশ্বকে_, _omstendi, _leiser_, 
   {{0xecfe030b,0xfe350183,0x32fc0192,0x02c6010f}},	// [6eb0] _abatakir, _andalova, _vangen_, _alalele_, 
   {{0xf3f4059c,0x9d5e00c8,0x325a000d,0x92d6018c}},	//   _wetter_, _кодексын, _meilt_, _tevoren_, 
   {{0x81fa02cb,0x01fa049a,0xc2480073,0x52d80109}},	//   _trenucim, _trenerim, _crame_, _kolegy_, 
   {{0x49dd0233,0xcccd0035,0xe79d0035,0x995202af}},	//   _moventie, _баганага_, _болагрия, _mâramara_, 
   {{0xc82600a4,0x1e1c0203,0x425a000d,0xb8d70143}},	//   _جاناشا_, _silentia, _neilt_, _мигачи_, 
   {{0x06d1002e,0x927e00b0,0xf976004d,0x3659013c}},	//   _objavlji, _aannu_, _將影響本網頁的正, _sərfəli_, 
   {{0xa9ba0025,0x54b30040,0xcc7602fe,0x22d7022b}},	//   _विश्वस्य_, _קאמבק_, _صنایعو_, _stillar_, 
   {{0x84d703d4,0x1bee00bf,0xa20101b9,0xa1580497}},	//   _балкана_, _катод_, _torik_, _bruntagh_, 
   {{0xaa890016,0xe27e0333,0x23870155,0x9fcc054d}},	//   _raportis, _vannu_, _sparas_, _strimler_, 
   {{0x998d012c,0x7a4c0113,0xb248022d,0x4636032d}},	//   _kushinda_, _أجريت_, _brame_, _hodimodi, 
   {{0xaf29016b,0xe61e0217,0x79da01f0,0x142b0151}},	//   _ayatulla, _cottrell_, _iponatsa_, _brastlyn_, 
   {{0xbeb001f2,0x0acd0161,0x00000000,0x00000000}},	//   _язмисиди, _парковка_, --, --, 
   {{0x2b6000c1,0xc1cc0256,0x457b00f7,0xa99c0296}},	//   _होऊनी_, _komandēj, _anguleto_, _flikarna_, 
   {{0xb3f4041a,0x92d5018f,0xb4f900bb,0xd2480279}},	//   _setter_, _chilqot_, _فٹوٹیاں_, _trame_, 
   {{0xe25a03a8,0xd9e8000c,0x83f40271,0x3ea3027f}},	//   _heilt_, _agaguait, _petter_, _araritse_, 
   {{0x3636079f,0xb2e6012a,0x9ae5000a,0x63ea001b}},	//   _godimodi, _branża_, _adolfsen_, _comtti_, 
   {{0xcdf10420,0x42020189,0xf7950251,0x00000000}},	// [6ec0] _imediata, _gerisi_, _distoori, --, 
   {{0xe25a018a,0xdc2500c2,0x15900151,0x1eb803a2}},	//   _deall_, _gutangir, _forefath, _ट्रध्वज_, 
   {{0xa698000b,0x525a02d0,0x29f70020,0x2e4f0049}},	//   _ausetali, _weill_, _kalaiset, _mahaehae_, 
   {{0x0d0b018b,0x4c990244,0x40580322,0x025a01ac}},	//   _intrebar, _качества, _amasigan, _feall_, 
   {{0x335602b0,0x934000be,0x726c042f,0xf20c00c4}},	//   _bereits_, _ابونئتتى, _okioni_, _بيچيني_, 
   {{0xc95e02b5,0x32d40026,0x33e501a0,0x062c001f}},	//   _fungfouq_, _genomen_, _dyimapok, _potoguef, 
   {{0x33a20288,0xffb8011a,0xf90f027f,0x66b900a0}},	//   _elope_, _allergic_, _ninaramu, _jamahuri, 
   {{0x920002a2,0x30da0092,0xc20001e5,0xeb0b03ae}},	//   _bibig_, _このように_, _jijin_, _fagskole, 
   {{0xe8f80159,0x8fd80202,0x869601f4,0x004405ed}},	//   _renginiu, _irunwọ_, _яккаҳоки, _iryungan, 
   {{0x5c51000b,0xd2b4042c,0x242a01d9,0x294001ac}},	//   _asotoma_, _ulicom_, _aschätzu, _علاقتك_, 
   {{0x52b2014d,0x910e01bd,0x42440177,0x822b00ef}},	//   _kindern_, _бизнесін_, _зыҕьара_, _asimele_, 
   {{0xf2020193,0x00000000,0x00000000,0x00000000}},	//   _berisi_, --, --, --, 
   {{0xfc4603d7,0xa3f404b9,0xe202004d,0x92020558}},	//   _antwann_, _rusted_, _periti_, _meriri_, 
   {{0x13f90193,0xcac101b8,0x025a0497,0x9cd304ae}},	//   _seruu_, _parkimis, _reill_, _мотору_, 
   {{0x03f900b4,0x8c740132,0xe6370009,0xf06f0014}},	//   _cerut_, _akarnak_, _popravil_, _albanolo, 
   {{0xb2d7035a,0x16570039,0xc2d90339,0x5156004d}},	//   _bitotho_, _elikagai, _iwaena_, _學生健康資訊管理, 
   {{0xab590022,0x8c350021,0x826e000e,0xe54e0188}},	// [6ed0] _barumuwa_, _adabletr, _cctour_, _бинни_, 
   {{0xac5a0292,0x33f90417,0x83ea0198,0xe26d0249}},	//   _naftali_, _gerus_, _imeti_, _eprol_, 
   {{0xa37c0107,0xf21200a0,0xf29600e6,0xd22a00c7}},	//   _bazaine_, _dalhat_, _上海市食品药品监, _болак_, 
   {{0xb8460076,0xa86b00ee,0xa46d004a,0xef6601a3}},	//   _realidad, _hiriburu, _baştaraq_, _لڙاين_, 
   {{0x7dc70156,0x72b50326,0x926d020f,0xb206005b}},	//   _atakante_, _dendere_, _ebengayi_, _ginkondx_, 
   {{0x52000194,0x0379020b,0x238f0082,0xa3ce0130}},	//   _filias_, _bapatsa_, _akiyora_, _blevad_, 
   {{0x42010117,0x72e90194,0x528a01b5,0x00000000}},	//   _korin_, _sagimen_, _mapaleni_, --, 
   {{0xe3ea02d5,0xa7a1002b,0x8a9f0009,0x00000000}},	//   _ometi_, _সামলে_, _nosilnos, --, 
   {{0xcd8700ab,0x6f120482,0xd20100da,0xbd66027d}},	//   _parepare_, _kattatta, _dorin_, _винстон_, 
   {{0x76a102fe,0x36b0016f,0x83470137,0x83dc04b2}},	//   _adwelisw, _аматорсь, _медалийг_, _naiwan_, 
   {{0x9c6e0129,0x0202016e,0x825a0191,0x9bbe00be}},	//   _azaraya_, _serisi_, _rullar_, _бүдөмүк_, 
   {{0x23dc0266,0x75b1004d,0x86f100ca,0xa1b0002b}},	//   _haiwan_, _感謝您的支持_, _atrasiá_, _বহিস্কার_, 
   {{0x62fc0095,0x13cd0037,0x52df0044,0xe3f902a3}},	//   _mangan_, _ኢትዮጵያም_, _joining_, _berus_, 
   {{0x025a00bc,0x036d01c8,0xcd2f02db,0x4473011e}},	//   _ndalu_, _muffiny_, _misinare_, _zisteman_, 
   {{0x497a015e,0x4e8801de,0x82480087,0x00000000}},	//   _юридикал, _кемуіне_, _ntamu_, --, 
   {{0x02fc019c,0x6e320162,0x12e90206,0xec750235}},	//   _gangan_, _кечиктүр, _papiera_, _तीव्रं_, 
   {{0xf52900ce,0xf2b2019f,0x918a0226,0x721200de}},	// [6ee0] _regilasy, _mbadala_, _atabisal, _bathathi_, 
   {{0xeb910177,0xb3f903ec,0x778f0313,0xad820144}},	//   _batallón_, _afrua_, _qantahvi, _لهجوم_, 
   {{0x922a00c7,0xb2fc004e,0x33ac0151,0xf20102a0}},	//   _бодай_, _bangan_, _sipped_, _forin_, 
   {{0x32fc0308,0x3952042f,0xc294022b,0xb2910035}},	//   _jangan_, _avaliitt, _leikari_, _aybaş_, 
   {{0x2252005b,0xaa7401c7,0xb20104a8,0x32d8003f}},	//   _bestyrel, _аннемизи, _jezici_, _dilegh_, 
   {{0x32b2014c,0x41f200f5,0x5fd8024a,0xee4c00ee}},	//   _abadala_, _клеткасы_, _atunkọ_, _hamabost_, 
   {{0x23f90026,0xec5200c6,0x22d80633,0x78b203eb}},	//   _verus_, _ефективн, _solely_, _raadsled, 
   {{0x325a01e5,0x2ee7023b,0x35a70074,0xa0e402d8}},	//   _adalu_, _kaikuaan, _критичес, _आयसीसी_, 
   {{0xb2480499,0xa18702d5,0x0e4e0066,0x0428014d}},	//   _atamu_, _आठ्वी_, _katalana, _richtigk, 
   {{0xb9420174,0x93780026,0x99c70125,0xecb30116}},	//   _phulelet, _ophalen_, _талана_, _defarred_, 
   {{0x0c5601f1,0xcc730243,0x53f901bb,0x32fc0264}},	//   _vertete_, _adarras_, _zerur_, _bangin_, 
   {{0xcaa700c8,0x6ebc01db,0x46de0281,0x072c0013}},	//   _бушатылд, _باقشاسىن_, _arabiami, _истайдил, 
   {{0xc3f90074,0x7302028d,0x13f400db,0x69fb0111}},	//   _perus_, _perativ_, _mustad_, _allatrat, 
   {{0x0f2c02a3,0x3c320210,0xfc6e0132,0x42e90478}},	//   _inleidin, _akabatir, _albumok_, _apondut_, 
   {{0x62eb0265,0x92010204,0xf332015e,0xf2410178}},	//   _sowieso_, _porin_, _baixat_, _candanaḥ_, 
   {{0xec0604cc,0x1c6302da,0xb2d80312,0xe3440132}},	//   _rinranx_, _assunto_, _prantad_, _keresse_, 
   {{0x9f150245,0x2292024a,0xf66e0210,0x2dd90060}},	// [6ef0] _kohtympa, _bathily_, _akakwizw, _داستانىم, 
   {{0x8058045c,0xf36501b9,0xf36a00bb,0x6f14003c}},	//   _hlasovan, _kongolo_, _کےدرمیان_, _مظنون_, 
   {{0xe28e014a,0x1c6d019f,0x129002af,0x54ec00f8}},	//   _parkban_, _ڪتابون_, _nojana_, _বহমান_, 
   {{0x13a2029b,0x00000000,0x00000000,0x00000000}},	//   _boope_, --, --, --, 
   {{0xa565004d,0x220000d2,0x3df80244,0x00000000}},	//   _用戶不應信賴內容_, _bijil_, _детския_, --, 
   {{0xb9ed01d8,0x493e0410,0x73000294,0xc20102c9}},	//   _govindsa_, _khomphut, _achanmi_, _sorin_, 
   {{0xd2da0024,0xf248028a,0x225a01b6,0xa3f400f4}},	//   _skrell_, _utamu_, _adalt_, _fustad_, 
   {{0x3e06014a,0xb3c80025,0xfe4e0015,0x427f027d}},	//   _mindenna, _प्रतियत्, _talagala, _divnu_, 
   {{0x527e04f9,0x1232005b,0x3c4d0289,0xdeb30428}},	//   _ianni_, _okamoto_, _asuweni_, _negovaln, 
   {{0xf3f4022b,0xf201007a,0x5ad30060,0x42fc025b}},	//   _settir_, _sebiji_, _بۇلدا_, _sangin_, 
   {{0x727e0292,0x1290019d,0xd20100e0,0x72aa00bc}},	//   _kanni_, _akhale_, _alris_, _اسکله_, 
   {{0xac61005b,0x3232027f,0x63ea019c,0x6c45002b}},	//   _microsd_, _akamoto_, _ibití_, _জঙ্গির_, 
   {{0x927e00cf,0xbc7f052f,0x96c40203,0x2c6901bb}},	//   _manni_, _ebusako_, _sensibil_, _китабынд, 
   {{0xd5170255,0xc29007a7,0xc947017a,0x7c770076}},	//   _बद्दुआ_, _yojana_, _биравед_, _arrumar_, 
   {{0xc35d0094,0xe37600d9,0xb26d030d,0x65c0002b}},	//   _بەلگىل_, _крестом_, _albomu_, _সেইরকম_, 
   {{0x08db03ef,0x70580465,0xca290381,0x4bd000a3}},	//   _abafungu, _glasovan, _anscript, _militærf, 
   {{0x5d590331,0x048000db,0x42000304,0x4d0d00d1}},	// [6f00] _vinnulív, _बिताएब_, _anbia_, _সংস্কাৰে_, 
   {{0x82ca02c9,0x4cb90257,0xe970007e,0xcc040558}},	//   _produs_, _skipulag_, _ananyace, _kwesiri_, 
   {{0xa2ea01f7,0x62d00369,0x32b4019f,0xfea2004c}},	//   _abonats_, _lohelani_, _سندوءِ_, _azireese_, 
   {{0x16b90126,0xa3ce01d1,0x9c710233,0x33490198}},	//   _системам, _driven_, _elargat_, _obresti_, 
   {{0xbc6003e0,0x04ba054c,0x00000000,0x00000000}},	//   _goerend_, _proporsj, --, --, 
   {{0xe6e102c1,0x81660061,0x8224024a,0x700d01db}},	//   _imicungi, _타워팰리스_, _ikokan_, _шартының_, 
   {{0x253901cc,0x526d004b,0x921f05a4,0xb25a02ac}},	//   _स्थिरैरङ, _bobodu_, _láhev_, _meala_, 
   {{0x575b036f,0x6b5d02ea,0x0d780040,0xe6a10342}},	//   _njihovoj_, _посещава, _מתעוררת_, _brezilyè, 
   {{0xf24801b9,0x53f40075,0xff3f0418,0x324800a5}},	//   _asime_, _mettur_, _antrenma, _luama_, 
   {{0x225a0234,0x4f650027,0x49cf0074,0xbbd800a4}},	//   _afilo_, _gerardin, _menetett, _توڭكەي_, 
   {{0xec1d0253,0x3b9703b8,0x4a0f0226,0xa35700ba}},	//   _allattor, _بايرىن_, _angatole, _سازبکه_, 
   {{0xf6b900d9,0xb37f0006,0xb386022a,0x24520378}},	//   _протяжен, _gunanya_, _teorod_, _handilsk, 
   {{0xe2de045c,0x13210004,0x79d2021e,0xb20202c2}},	//   _strojov_, _sosyo_, _partiled, _anties_, 
   {{0xb20103d7,0x836505d7,0xb387004a,0x5c600077}},	//   _moris_, _tongolo_, _друмев_, _doutans_, 
   {{0x2ef304bf,0x5dec00f5,0x8c730455,0x7a3300da}},	//   _adekvatn, _seljukla, _degrés_, _aplicată_, 
   {{0xadbf0091,0xd7670041,0xf9440166,0x420102a4}},	//   _eglihima, _аицымҩас, _verlasse, _foris_, 
   {{0x08c601e8,0x526c00a0,0x425a033f,0x83ce0184}},	// [6f10] _neurodev, _sanogo_, _feala_, _atawundi_, 
   {{0x184b0057,0x58d601b7,0x29530132,0x127604a5}},	//   _ማድረግና_, _उच्चैः_, _melltart, _namashum, 
   {{0x72d300ea,0x83ed04e5,0xc3e70038,0xf5a9041a}},	//   _jehovah_, _abataali_, _açtan_, _зачарова, 
   {{0x92010256,0x67f2026f,0x3e140122,0x9320002b}},	//   _koris_, _بەريىك_, _روابطزیب, _আখ্যায়ি, 
   {{0x19eb0461,0xad8c0244,0xb24d01fe,0x00000000}},	//   _identica_, _общество, _tadolavi_, --, 
   {{0x73ea0132,0xa3f9019f,0x72480016,0x763b0046}},	//   _voltak_, _kufuta_, _dramo_, _sortirà_, 
   {{0x3f290180,0xc26d01bc,0xde9e004b,0x82dc00a5}},	//   _lanterma, _oprop_, _һаплы_, _tinooti_, 
   {{0x3be40148,0x265300a6,0x32f50163,0x3a6a042a}},	//   _argentar, _ayukundi, _októberé, _kulombus, 
   {{0x92910227,0x6c2406a2,0x4b6e008a,0x4347012a}},	//   _dibawa_, _bakabwir, _gautaala_, _materac_, 
   {{0x46a9020f,0x4bf2000b,0xcab8000c,0x520002ff}},	//   _abadlelw, _apoliono_, _публикаҿ, _enbin_, 
   {{0x2db3004b,0xb3f90108,0x9a810073,0x6b040193}},	//   _akhanote_, _embung_, _hypostas, _unggulan_, 
   {{0xe3940493,0xcba600c2,0x931d0562,0x529201eb}},	//   _zvose_, _kwihutir, _amucura_, _chpake_, 
   {{0x6f94000c,0x0138002b,0x83dd006e,0x3b090109}},	//   _ahéno_, _ফলাফলের_, _daawon_, _autobusů_, 
   {{0x48b904c7,0x92da007b,0x62ea0127,0xc9e505ca}},	//   _последњи_, _potery_, _spontus_, _obstácul, 
   {{0xcd7e0013,0x43a201ed,0x085a008d,0x129201a6}},	//   _кондогби, _hoopa_, _xabardor_, _horapa_, 
   {{0x5aeb00bb,0xb0f80061,0xbbb60061,0x960f0311}},	//   _ارضیات_, _조류발전소_, _캘리포니아의_, _ምስተባህለ_, 
   {{0xf53203b9,0x02730017,0x292901a3,0x953b0037}},	// [6f20] _khanstay, _mínus_, _سماڌي_, _የአህጉሪቱን_, 
   {{0x42fc00bc,0xd32000fa,0xee8b0299,0x23aa010b}},	//   _wangun_, _dikya_, _خۇنۈكلەش, _lowaping_, 
   {{0x752d003a,0x328502e1,0xa7ee017f,0x92340059}},	//   _консулли, _cochall_, _arraanng, _fermare_, 
   {{0xc16202ec,0x087b0092,0x22e90372,0x62ca00b4}},	//   _پاتٲل_, _マの商品を探す_, _aneirin_, _vandut_, 
   {{0x2248020c,0x32d801a1,0xf24801af,0x725a0240}},	//   _suami_, _sfeer_, _atamy_, _peali_, 
   {{0x179f0148,0x2bd00305,0x7248022b,0x5b1c014d}},	//   _如果免費屋訊對您, _militært, _graml_, _anlagenb, 
   {{0x1eda0444,0xc25a0098,0x73f90095,0xb6b40156}},	//   _открыты_, _ruller_, _ambung_, _קאפסול_, 
   {{0x130101c5,0xe9080060,0x12020115,0xda140275}},	//   _intaasi_, _бланкіле, _perigi_, _matavela_, 
   {{0x95ff05a2,0x6f8d0019,0x8df901f0,0x00000000}},	//   _अवशोषित_, _байларды_, _latetswe_, --, 
   {{0x76b304a1,0xa3fe02bf,0xd2480055,0xffab0362}},	//   _kunststy, _ahaziya_, _primu_, _badokoto, 
   {{0xc4c70162,0xa4f90092,0x4305013f,0x399c00b6}},	//   _партлашт, _このクチコミを支, _atlasek_, _makkinna_, 
   {{0x9cf602a4,0x73cf03ee,0x12910527,0xcfe30122}},	//   _lontoonr, _slavio_, _sobama_, _پاستل_, 
   {{0xac0901e8,0x137f0544,0xd71c02fe,0x427804d7}},	//   _lampara_, _hanauia_, _یتیمان_, _umfangsm, 
   {{0x19dd048c,0xe0200133,0x3ea502f7,0x0bdf0371}},	//   _songstre, _dareekto, _ipolayan, _camerier, 
   {{0x12010331,0xbc9f014b,0x94a9045e,0xe2e50099}},	//   _torir_, _huggaytu_, _abilità_, _atoneta_, 
   {{0x7a5f0545,0x72480121,0xc2d902be,0x19bf00fe}},	//   _kommunes, _tramo_, _bagets_, _palesite, 
   {{0x13160578,0x11d40276,0x344601e0,0x721c01b5}},	// [6f30] _moozoo_, _бериптик, _عاشقانی_, _bouhar_, 
   {{0xe2020292,0x6fb901ce,0x0c090320,0xe6cc03b4}},	//   _afriri_, _فوتسال_, _bampara_, _achafani, 
   {{0x07ba0291,0x824805a8,0x632103b8,0x00000000}},	//   _chartlai, _nsima_, _айкона_, --, 
   {{0x8abe0092,0x6b8c023b,0x13a20202,0x524804c8}},	//   _他のカスタマ_, _mānaleo_, _ilopo_, _dramm_, 
   {{0x62b40547,0x00000000,0x00000000,0x00000000}},	//   _vencer_, --, --, --, 
   {{0x22c40044,0x2fcd0092,0xb301044a,0xe36f004f}},	//   _קנאביס_, _佐世保はまなす_, _bitambi_, _diigiit_, 
   {{0xe0250208,0x0b5600cb,0xa2b50014,0xc37a022c}},	//   _گواره_, _тарчума_, _mendore_, _bawaeun_, 
   {{0x425a0295,0xe23b03c0,0x8b430037,0xb4ba0007}},	//   _afale_, _gammelt_, _እያስከተለ_, _ekabolak, 
   {{0x0c1e024b,0xd63f0206,0x728e013f,0xf0470374}},	//   _propias_, _moderná_, _archant_, _наботот_, 
   {{0xf28e01a7,0xc2480075,0x92480286,0xb47d0256}},	//   _parhaat_, _kramm_, _osima_, _sarkanā_, 
   {{0x7a87017f,0x3feb0326,0xe95c03b3,0x72000129}},	//   _annikits, _aichimbo, _coronett, _jijii_, 
   {{0x67ab06cc,0xf9690270,0xb3070243,0xaa0a00c8}},	//   _कर्मकांड_, _genitore, _sanatah_, _halalela_, 
   {{0x93da045b,0x6eb901b4,0x42880211,0x1ef70059}},	//   _самостій, _navorsin, _rovaniem, _фирмите_, 
   {{0x7eb305ab,0xb91f00e6,0xcb2a014a,0x03dc00bd}},	//   _desenhos_, _医学期刊频道_, _legalacs, _glower_, 
   {{0x22010338,0xffd80202,0x22e10304,0x53320109}},	//   _enric_, _itunmọ_, _patutkah_, _prokazuj, 
   {{0x5d3d0486,0x72bb022d,0xbc690188,0x8f310307}},	//   _aplikace_, _rimette_, _кафедраҳ, _kokubaca, 
   {{0x43990075,0xb3dc001d,0x12700032,0x1bd000a3}},	// [6f40] _næsta_, _blower_, _hungpinm, _militærs, 
   {{0x50b30060,0x1fd30282,0x820e00d0,0x60b202ac}},	//   _كونستانت, _akanoono, _аадар_, _هادفة_, 
   {{0x72fc00b5,0xcd55002f,0xa25f04ca,0x9729021b}},	//   _amambá_, _apachisq, _aploïdia_, _дружелюб, 
   {{0xae39000c,0x82e60227,0x3ce40156,0x128b01a6}},	//   _калдахәа, _izinkan_, _פאסטוך_, _kirikā_, 
   {{0xa27e018a,0x5fe40037,0x63fa00b7,0x13060140}},	//   _rannu_, _መተርጎም_, _ustune_, _babalik_, 
   {{0xb27e001e,0x524803ad,0x7dc404fe,0x62910241}},	//   _sannu_, _tramm_, _affibbia, _dibata_, 
   {{0xa26f015e,0x2f1400c1,0x94120061,0xd30e003d}},	//   _municipi_, _टोपीवाला_, _상품정보는_, _davalar_, 
   {{0x11580041,0x73ce0357,0xc2d903ae,0x5ed2004f}},	//   _аиҕьхара, _isevu_, _dagers_, _ekaraŋu_, 
   {{0xecb0026c,0xc27e02f3,0x637f0039,0xd20101b9}},	//   _一起為四川震災災, _fanns_, _hamaika_, _lizie_, 
   {{0x2c930162,0x814702ba,0x93c401e5,0xf13e0073}},	//   _دادام_, _хазинаи_, _dáasí_, _plattefo, 
   {{0xd25a015c,0xa78f03f8,0xfb980211,0x66c50156}},	//   _weilt_, _dantahvi, _условиям_, _בעלטוועי_, 
   {{0x18990074,0x126c0071,0x29b40107,0x425b0064}},	//   _водитель_, _گیمفاپلا, _دخانیات_, _ovella_, 
   {{0x127e03e6,0x448d0024,0x5baa009a,0xbe5900bc}},	//   _kanns_, _অত্যাধিক_, _abakwezo_, _خوشحالم_, 
   {{0x5b720019,0x03960393,0xf24807a8,0x48af00e6}},	//   _атана_, _forumaši, _tuamu_, _大连装修集采论坛_, 
   {{0x4d3503d4,0x32b50250,0xa27e00fd,0xed0503e6}},	//   _планете_, _vendore_, _danns_, _geklaute_, 
   {{0xd56e03ed,0xf61e0422,0x00000000,0x00000000}},	//   _ocasião_, _usposobi, --, --, 
   {{0xe73000bc,0x11e700ff,0xdfcb014a,0x925a0116}},	// [6f50] _حیوانی_, _האַכנאָס, _levelező, _deils_, 
   {{0xb7060016,0x02eb0044,0xbee7003e,0xad8104da}},	//   _הייוון_, _minimum_, _baikopan, _prelijep, 
   {{0x627e0230,0x33940271,0x129101d7,0xb38a0022}},	//   _alonze_, _reiser_, _alzada_, _bonyril_, 
   {{0x42980177,0x03f701d2,0x00000000,0x00000000}},	//   _рыҧҽыхақ, _chulipak, --, --, 
   {{0x623803e0,0x52a601dd,0x03490156,0x577d0267}},	//   _redmini_, _akobo_, _ריפראדאק, _marjanov, 
   {{0xbcb3034e,0x7be80369,0x99890074,0x4f3a0109}},	//   _akunataq, _herodoto_, _perheaut, _turistům_, 
   {{0xc2000032,0x4f3900f0,0xbfbf0299,0xad770113}},	//   _bijiv_, _finančný, _بوزقىر_, _mhurchú_, 
   {{0xd27e01d9,0x887e005d,0x2c170319,0xe341011d}},	//   _wanns_, _trébol_, _delanter, _mireasa_, 
   {{0xf2d901df,0xab080176,0xad0902a4,0xb29100d2}},	//   _wagers_, _forpligt, _ignorare_, _lobana_, 
   {{0xb43b01db,0x330c0051,0x48b2014e,0xa1d90078}},	//   _ءىستەشى_, _izlases_, _бескомпр, _хармоник, 
   {{0xfb7d01d2,0xd9b302a5,0x6852002c,0x49e30226}},	//   _barranca_, _nesprávn, _tolosald, _asonyeza_, 
   {{0x2bfc0352,0x4915003c,0x3f0401c8,0x346c0297}},	//   _পদ্মশ্ৰী_, _مبلغی_, _velvysla, _başlasaq_, 
   {{0xb348021c,0x026c009f,0xb6540311,0x1b0303cc}},	//   _tweetni_, _obnovo_, _ዘረስርስ_, _cárdenas_, 
   {{0x4c4c01bd,0x82010176,0xf25a048e,0xaf4d0156}},	//   _ايىرباس_, _torii_, _zeils_, _איהרע_, 
   {{0xb2d8024b,0x1f480320,0x83a303e0,0x525b01d4}},	//   _quiera_, _emigodin, _knapps_, _avella_, 
   {{0x24580177,0xc241047f,0x3146032b,0xd66d0101}},	//   _агенерал, _हातले_, _نازاكەت_, _циням_, 
   {{0x5b2b012c,0xa031016d,0xbe7300c5,0x72ef021f}},	// [6f60] _بزرگن_, _تەنقىد_, _limitée_, _ciminaa_, 
   {{0xd2b60288,0xc2d90473,0xb04b0041,0x576d0159}},	//   _feucht_, _teuer_, _аҧшра_, _шпалеры_, 
   {{0xc2fc0082,0xbab902ec,0x3ba5015c,0x6a060096}},	//   _kangin_, _ہى۪واں_, _praktesc, _babaziza_, 
   {{0x86c90044,0x32b402d8,0x37fb01a3,0xf30e019d}},	//   _proposal_, _gencar_, _نومڙين_, _idabuka_, 
   {{0xac0900d2,0x92b50371,0xd2480541,0xe1d70462}},	//   _hampura_, _vendere_, _hrama_, _armerway_, 
   {{0x0248003c,0x58630257,0xd2fc01df,0x484800d1}},	//   _krama_, _haraldur_, _langin_, _শ্ৰীমতীয়, 
   {{0x1315007a,0xf22a0230,0x465e029a,0x695e0272}},	//   _memberi_, _lanmerd_, _spektaki, _asendase, 
   {{0x0c64059b,0x3213042d,0x0f25020a,0xd380019d}},	//   _bintulu_, _arahim_, _автономд, _dorren_, 
   {{0x1c580631,0x24ce016d,0x911a006f,0x429201e9}},	//   _faktisk_, _капитали_, _معاويي_, _gorata_, 
   {{0x83eb02ab,0xffe50089,0x9359013f,0xb32001c4}},	//   _imuta_, _avgustnı, _barradoù_, _rooyen_, 
   {{0x5da401b8,0x23c501b7,0x908d00d1,0x262200cb}},	//   _esitatud_, _विजानाति_, _অশান্তিম, _abanempi, 
   {{0xa23b02f3,0x625a0111,0x3ea4011a,0x0a2f0265}},	//   _gammalt_, _sfila_, _excerpts_, _inschake, 
   {{0x624803cf,0xab180192,0x3e5d019b,0x730e006c}},	//   _arama_, _선택해주세요_, _саладуха_, _adabuka_, 
   {{0x72000129,0x3d330269,0x19f90333,0xc76803b8}},	//   _bibie_, _extiende_, _ambiegna_, _бунақден, 
   {{0x02250305,0x9fb3004a,0x14bc0089,0x00000000}},	//   _trekte_, _алмавына_, _kaplanıp_, --, 
   {{0xef66034e,0xf32c0145,0x5c5503e6,0xe2d8029e}},	//   _achankun, _privalum, _haitege_, _gameg_, 
   {{0x52b50371,0xa24801a6,0x52c603d1,0x839403b0}},	// [6f70] _rendere_, _erama_, _lipmans_, _keisar_, 
   {{0xd5cd0004,0x431900c4,0xa3ce03e5,0x24000040}},	//   _tribinal_, _نيلام_, _irivon_, _בצירוף_, 
   {{0x32b502b7,0x2f4f004d,0x00000000,0x00000000}},	//   _pendere_, _一個黑小孩_, --, --, 
   {{0x77a10417,0xb35501c8,0xb9900322,0x0dc50449}},	//   _omstandi, _bleskové_, _ayikubit, _prekogra, 
   {{0x126d01b9,0x6e4e0399,0xd05800fc,0xf200028d}},	//   _apros_, _falalala, _elasngan, _zibie_, 
   {{0xad08011d,0x3e360492,0x00000000,0x00000000}},	//   _пенсулэ_, _potahova, --, --, 
   {{0x8eba018d,0xb3ea040b,0x03480318,0x91920156}},	//   _ብራስለስ_, _oditha_, _falevai_, _רויטהאָר, 
   {{0x89430237,0xe227006f,0x725b0081,0x3a03009b}},	//   _mailadre, _ثابتيون_, _dvelja_, _estaltze, 
   {{0x1c5b0101,0x8d8d0298,0x72d90181,0xc2250250}},	//   _posturi_, _takotora, _spooner_, _greket_, 
   {{0x8f70034d,0xb2770274,0x44480126,0x83560122}},	//   _menangis_, _fáránleg, _значний_, _bebener_, 
   {{0x2e520203,0x83eb0210,0x80a9032d,0xab570037}},	//   _discurse_, _amuti_, _кеннан_, _permotor, 
   {{0xee4e00a5,0x10c502f3,0x01b6004b,0x49be01f1}},	//   _malamala, _iallafal, _приятие_, _komentue, 
   {{0x2e4f02be,0xfd8c048f,0x525a031a,0x6d290185}},	//   _nilalama, _bakolosa, _ceilp_, _труппасы, 
   {{0x5ed3002e,0x227b021c,0x334a020f,0xdb8904ae}},	//   _vraćanje_, _objednát, _خرڅيږي_, _занемаре, 
   {{0x320100b4,0x626e0335,0xe2640155,0x6bb601b3}},	//   _dorit_, _ataḥśabd, _hjulen_, _альпініс, 
   {{0x427b021c,0x0b5e00c6,0xe2e500db,0x230502ac}},	//   _objednáv, _крона_, _tunniga_, _féasta_, 
   {{0x13ac00da,0x7b09019b,0x0f4f02b6,0x429101f0}},	// [6f80] _grupul_, _autobusų_, _иманның_, _gobala_, 
   {{0x420200b3,0x94a702e7,0x00000000,0x00000000}},	//   _lerini_, _makaapek, --, --, 
   {{0xc27e021c,0xc29102e2,0x828e001c,0xc2ca021c}},	//   _panny_, _alcato_, _darkhan_, _mandle_, 
   {{0xb26401b4,0xb91c04ae,0xc54e0188,0xe2000158}},	//   _beslis_, _туризмом_, _amakhukh, _kibic_, 
   {{0x8e79004d,0x87870046,0x00000000,0x00000000}},	//   _每日獎金送一萬_, _نازارى_, --, --, 
   {{0xc2a702ba,0x327e00e4,0xa22b00b6,0x6a07012c}},	//   _маломат_, _wanny_, _rammite_, _kuwaende, 
   {{0xcfa90046,0xb2870242,0x592d0276,0x0ed90338}},	//   _долларды_, _qaytarıl, _نادانلار_, _antilhas_, 
   {{0xfa090212,0x720001da,0x12de0206,0x6667026f}},	//   _dreamsce, _vijim_, _stromov_, _تابۋعا_, 
   {{0x1b6c02af,0x438b047d,0x42fd00bd,0x07e00109}},	//   _bironder, _därfs_, _lichted_, _यसवर्ष_, 
   {{0xbceb0287,0x2e4e0085,0xf9ee011d,0x8394007f}},	//   _अलिकति_, _lalabala, _lovitura_, _ceisir_, 
   {{0xdc3502da,0xb866015b,0xb3f4053f,0xb2010265}},	//   _членови_, _hebridis_, _yastat_, _onzin_, 
   {{0x3ded0105,0xcc750193,0xa5280004,0x335503d2}},	//   _वनस्पतिय, _reguler_, _enkizisy, _blesková_, 
   {{0xcaf7045f,0x92bc02d5,0xd2b401da,0x00000000}},	//   _kunskape, _पुरुब_, _mencur_, --, 
   {{0x6176004a,0x02020320,0x341c0156,0x322600ea}},	//   _нейтраль_, _herini_, _alegorio_, _betkou_, 
   {{0xd26d003e,0x23ea018b,0xdebd0148,0x739400e9}},	//   _bobolu_, _editia_, _poeniten, _reisir_, 
   {{0xe28d00cf,0x72ca0044,0xc2fd0116,0x334f00c1}},	//   _abrahaam, _handle_, _dichted_, _ditebak_, 
   {{0xa3a90044,0x4e2c03a2,0x00000000,0x00000000}},	// [6f90] _engaging_, _त्यौह_, --, --, 
   {{0x6aa10148,0x19120169,0x6cf4014d,0xc87901d2}},	//   _看更詳細的商品資, _জিম্বাবু, _austausc, _arinichu, 
   {{0x4e0e01db,0x32fc004a,0xe2ee01c8,0x30b80291}},	//   _اتاۋلى_, _bolgar_, _ženami_, _ابتهال_, 
   {{0x1fb3004d,0x3a290153,0x240201f3,0xc9e303d4}},	//   _士林故宮郵局_, _ケットアイ_, _aerolink, _погача_, 
   {{0x77d40040,0xd29103ff,0x128e0418,0xb1b20297}},	//   _מאמצים_, _divoká_, _yaralanm, _cimerelü_, 
   {{0x83f900c3,0x920e015e,0xc24600bc,0x7b8b0311}},	//   _agrum_, _чапан_, _گروگانگی, _ከይጠፍእ_, 
   {{0x8e4e036a,0x3f2400e2,0x985d02a1,0xb2480528}},	//   _balabala, _freulepa, _bronsmed, _rsamd_, 
   {{0x4d8b0255,0x00000000,0x00000000,0x00000000}},	//   _eriotsta, --, --, --, 
   {{0x05410242,0x6379022d,0x3ecd00fc,0xd2920028}},	//   _altındad, _strappa_, _luqoynis_, _koraya_, 
   {{0x5dfd00c4,0xe3cf0155,0x367f0244,0xda6b0137}},	//   _ڏهاڙن_, _kraven_, _sondaggi, _базаахгү, 
   {{0xae4e0374,0x36330036,0xb2b40095,0x63170010}},	//   _talabala, _cainteoi, _kencur_, _belisetj, 
   {{0x5d1102ac,0xc8a702b9,0xd3ac025e,0xd6310133}},	//   _يختار_, _گورکھ_, _kaupum_, _bosonaaf, 
   {{0xd57d011f,0xe248041e,0x920003ac,0x6b1a01e8}},	//   _amongetá, _eramu_, _jijik_, _kadamuon_, 
   {{0x97e3010f,0x59cf014a,0x5c100360,0xf8c302cb}},	//   _хотири_, _elmondta_, _tvorbě_, _proučava, 
   {{0x1dc3032e,0xfe3b0067,0xbdee0119,0xe394007b}},	//   _chakalta, _busaarra, _kaadlawa, _meisur_, 
   {{0xfc1d00d5,0x72ec00c1,0x459a012d,0xfc14023c}},	//   _mitantar, _येशील_, _spilitim_, _awusaseb, 
   {{0x9fff0010,0x52e2034b,0xa264012d,0x43880096}},	// [6fa0] _abakakho, _egensim_, _kabondai_, _abasiram, 
   {{0x33eb041e,0x320004c0,0x62cf0044,0x634402a6}},	//   _eletti_, _bibia_, _devoted_, _arrente_, 
   {{0x86d100e4,0xc2900035,0x1386004a,0xa9610130}},	//   _सुनिए_, _balañ_, _chiraq_, _gözlükçü, 
   {{0x8ee10185,0x5200002a,0x56b001d5,0xbc540193}},	//   _африкада, _dibia_, _مجرمانہ_, _syuting_, 
   {{0xed30020d,0xba1200e0,0xecc30299,0xcfc600c1}},	//   _bisigaye_, _arranzje, _بوسۇغىسى, _रेलचेल_, 
   {{0x325a0155,0xaa240287,0x930d0160,0xfdc300d0}},	//   _ifall_, _probíhat_, _osobina_, _konkista, 
   {{0xe16901ea,0x520102ff,0xb69200f5,0x6ea60216}},	//   _فرزندی_, _kizin_, _йылгыряр_, _endlelan, 
   {{0x6d1d01a0,0xb2e300cf,0x42cf01e9,0x89df005e}},	//   _bodlhele_, _arginee_, _bolokwe_, _ئەھدى_, 
   {{0xd3cf03e8,0x4c5d0148,0xe29001f4,0x15b90161}},	//   _zraven_, _postero_, _hokazo_, _частеньк, 
   {{0xd68604a6,0x3d3003a6,0xca830249,0x4a340187}},	//   _prodavni, _gisigaye_, _paliamen_, _класици_, 
   {{0xe9e1024a,0xbba80013,0xcb160211,0x020100ce}},	//   _alatinud, _кийимлар, _pelastus, _koriz_, 
   {{0xb18e003a,0x4112021c,0xc26b00f5,0xa6240061}},	//   _saralash_, _subjekty_, _amanbibi_, _불량자료를_, 
   {{0x136400de,0x66570053,0x59c301a3,0xa35d041e}},	//   _اوعمل_, _perhatii, _ڪاسبي_, _biadaghj, 
   {{0xb3f4033a,0x5a1400a4,0xac7d016b,0x2c9a01af}},	//   _settur_, _malaltie, _harsuna_, _arakkeşl, 
   {{0x31f8019f,0x4b7601c9,0x03eb04d7,0xba3a02e1}},	//   _اڪتفا_, _चिन्हेले, _bletti_, _níolón_, 
   {{0x8291049b,0x126c034b,0x89a50046,0x1ce200a7}},	//   _inzara_, _amaon_, _албаган_, _convènce, 
   {{0x1c0e005d,0x5da700ca,0xcea502a3,0x97be0029}},	// [6fb0] _avapaje_, _rigidita, _stilstan, _رزڕاگرتن, 
   {{0x82d903ab,0x8c1d00d5,0x4c7d0334,0xa27e02c7}},	//   _modely_, _fitantar, _akusiya_, _sonnig_, 
   {{0xf2910369,0x438700ff,0x838002e2,0x644b0148}},	//   _augati_, _libron_, _corran_, _高雄市加油站公會, 
   {{0x1be4032c,0x2a0f012b,0x19d40397,0xa14a00aa}},	//   _aggersar, _कब्रिस्त, _ayalanda_, _masterlo, 
   {{0x8346003b,0xe37a0054,0xf14500d1,0x7a990555}},	//   _antjintj, _turawan_, _গেৰেকী_, _arkivarb, 
   {{0xb25b0301,0x7c190102,0xb2010403,0xb12f012e}},	//   _xeyli_, _nyiramas, _aizin_, _fokozatú_, 
   {{0x8e52056b,0x6f250155,0x03210372,0x131700fa}},	//   _dicairka, _studiern, _ensym_, _dinamay_, 
   {{0x9e350338,0xe3eb0084,0x5af507a9,0x0384012a}},	//   _qualques_, _adatna_, _najsavre, _depresji_, 
   {{0xf3eb0195,0x52ea01f1,0x6fec016a,0x92010014}},	//   _leatsa_, _meriton_, _alfundiĝ, _lirie_, 
   {{0x1c60005b,0x65c70271,0xdcbe04df,0x867b005e}},	//   _boutons_, _fagområd, _мадем_, _ۋىردلار_, 
   {{0xe633036d,0xac6500d0,0x522403dd,0xc2050220}},	//   _caisteal_, _sustatu_, _shokun_, _avvisami_, 
   {{0x2c1100c3,0xfadb01b1,0xfc6f0310,0xc25b00ff}},	//   _觀看好友列表_, _तटवर्ती_, _bharain_, _anglaj_, 
   {{0xae970546,0xf9c2017c,0x197e018b,0xef7b0452}},	//   _तक्षशिला_, _lindesbe, _inghetat, _ताकदीने_, 
   {{0xeaeb06bc,0xf63301ac,0xf95b0633,0x06320144}},	//   _pearsant, _taisteal_, _employme, _myannuai, 
   {{0x229201dd,0x06310013,0x635b05b7,0x4f240137}},	//   _ntwari_, _булутлар_, _drogama_, _тэвчишгү, 
   {{0x331500b9,0x1615036d,0x6f610061,0x5db500cb}},	//   _sembari_, _cullodai, _생각하시면_, _клубхо_, 
   {{0x63020149,0x641902d3,0xea10018f,0x32a6049e}},	// [6fc0] _ezubere_, _навремен, _dabaghme, _osobny_, 
   {{0x09110120,0xe37b008b,0xd2cf0052,0xb248019a}},	//   _aytakumu, _daganul_, _prameny_, _drams_, 
   {{0x0cc90223,0x30380151,0x92d903ab,0xcb6101a0}},	//   _баянбүрд, _alpenglo, _modemy_, _lahleker, 
   {{0x4b680408,0xf2480140,0x626403cf,0x279d00a8}},	//   _hiatrika_, _isama_, _okulun_, _abstenzi, 
   {{0x9387044b,0xb6d600ff,0x33ce0077,0x130c005a}},	//   _svarer_, _אינדזל_, _arivan_, _duparlu_, 
   {{0x2eb20302,0xe07f00c5,0x8201002a,0xa23d00e2}},	//   _abazalwa, _个人简介及主要业, _kirie_, _salmink_, 
   {{0x3c9e00c5,0x17090374,0x83f80211,0xa24a00e0}},	//   _biologiq, _черкови_, _tajua_, _harmke_, 
   {{0x84be01ea,0x92cc0067,0x5eaf0105,0x208801b3}},	//   _зўравонл, _aballoo_, _zakochan, _валютног, 
   {{0x9f0c03d1,0x39ae051f,0xfc32005a,0x00000000}},	//   _stacijas_, _ریبیه_, _samatlhc, --, 
   {{0x72ca02e8,0x9f19009b,0xfc3700e2,0x2b8a007b}},	//   _kwedu_, _магистры, _folchoar, _grandsir, 
   {{0x83a20003,0x156f018d,0x69b301c4,0xdc32003f}},	//   _klopt_, _መስተርሆት_, _kinderre, _qamatlhc, 
   {{0xddb40089,0x830500c4,0x293100da,0x9306009b}},	//   _munitsip, _ڀوتار_, _итальянэ_, _zabalik_, 
   {{0x115c017f,0x7248017d,0x67c0017a,0x6fa5015e}},	//   _airgreel, _asama_, _amagilav, _سوڭعۇ_, 
   {{0x09880476,0x62170151,0xa2480171,0x326e029b}},	//   _kuchenge, _earnshaw_, _psima_, _forood_, 
   {{0x4ba700ff,0x95510177,0xa25b018b,0xc1df00f3}},	//   _מיטצוהאל, _инахыкәр, _tablou_, _nomongam, 
   {{0x703000ee,0xb6c90119,0xb201011b,0x00000000}},	//   _aldekoak_, _magpareh, _pizio_, --, 
   {{0x69fe003f,0x095d00c1,0xe6b70192,0xc9280188}},	// [6fd0] _bochotta_, _mojokert, _islamiti, _ҳектор_, 
   {{0xe2480225,0x9d8f0291,0x934002be,0x0afc041a}},	//   _tsima_, _ومدته_, _adyenda_, _духового_, 
   {{0x89ef029b,0xcd200271,0xa3f40176,0x03f80370}},	//   _dieuffeu, _helsedir, _tastet_, _baluas_, 
   {{0x7a0f0184,0xf34a0369,0xaaa50378,0x32e602a8}},	//   _birakica_, _welelau_, _byggiætl, _ghandna_, 
   {{0x8c440051,0xa2d80342,0x62d50246,0x4db30369}},	//   _serviss_, _lamen_, _клипове_, _humuhumu_, 
   {{0xbc0003e6,0x96a90220,0x321f03b7,0x00000000}},	//   _konsens_, _parrocch, _ammygray_, --, 
   {{0x4fa80016,0xf6670187,0x00000000,0x00000000}},	//   _בלומבערג_, _бракови_, --, --, 
   {{0x609b00ff,0x19f20167,0x6fa502cb,0x22000074}},	//   _רפֿאל_, _alergaid, _stambeno, _monien_, 
   {{0x9ae503e7,0xa86a0292,0xeabd0135,0xe25a01d1}},	//   _charente, _nkonimid, _россияне, _meals_, 
   {{0xe2300226,0x521a02b6,0x36350102,0x29c202f0}},	//   _adameta_, _магистрл, _utanguli, _betemise, 
   {{0x59c80155,0x00000000,0x00000000,0x00000000}},	//   _bildfile, --, --, --, 
   {{0xce9302da,0xee7801db,0x037f0066,0x730c0260}},	//   _прочитај_, _بۇكىلقاز, _janaria_, _aboados_, 
   {{0x575f07aa,0xfda202d8,0x83f401da,0x32d8012f}},	//   _विस्फोट_, _वेळोवेळी_, _rastet_, _eamen_, 
   {{0x53f801d8,0x12250564,0xd2f10079,0xb22403ae}},	//   _babud_, _brekot_, _aktieri_, _dekke_, 
   {{0x4635000a,0x947902ba,0x61c703b0,0x90c9023e}},	//   _periarfi, _хайрулло, _heimkomm, _مبتدیان_, 
   {{0x33ea024c,0x726201b7,0x2b2d01cc,0xeadf0303}},	//   _editja_, _करोषि_, _antardas, _bonetets, 
   {{0x4c170040,0xce750142,0xb7d00176,0xa25a02d9}},	// [6fe0] _הגביע_, _bhairavā, _byggesag, _ofili_, 
   {{0x856d026d,0xc3b20011,0x2c450017,0x8c760017}},	//   _samosprá, _ababulij, _शब्दसमूह_, _गिट्टी_, 
   {{0x210d0461,0x3e37048f,0xede20090,0x825a0054}},	//   _provença_, _mikakata, _emijunip, _ifala_, 
   {{0x222402b7,0xad430211,0x19ec0040,0x430e0309}},	//   _kekke_, _великоле, _והלבשה_, _yanacaq_, 
   {{0x4280006c,0x335b01b5,0xb2010304,0x00000000}},	//   _abukeke_, _kangala_, _zizie_, --, 
   {{0x7205016d,0xf3f40179,0x1ab90297,0x3202000f}},	//   _ﺋﯩﭽﯩﮕﻪ_, _lartig_, _asfaltnı_, _verici_, 
   {{0x525a0255,0xf2f0005b,0xf7c201eb,0x194a0163}},	//   _sealt_, _daiichi_, _ijestudi, _cellaajt, 
   {{0x5025023c,0x33f8029b,0x930004a8,0x4d5100ba}},	//   _ناامنۍ_, _dajul_, _ovlasti_, _مروڤی_, 
   {{0xff5502c2,0x2d0c04a8,0xa9670026,0x7c0c04a8}},	//   _verskeie_, _spominje_, _verstuur_, _spominju_, 
   {{0x12480673,0xb9d200d9,0x90c702f3,0x1c670347}},	//   _isimo_, _площадка_, _nedanför_, _waardig_, 
   {{0x6fab019e,0x1e2102b3,0xd97e00e6,0x00000000}},	//   _dekorato, _alomenos_, _marionne, --, 
   {{0x62000242,0x429101f0,0xa2e30193,0xf34a0400}},	//   _zibil_, _dibara_, _nyontek_, _basford_, 
   {{0x65f106d4,0xa35b01a4,0x33f8002f,0x2f460281}},	//   _cosmétic, _bangala_, _asnuta_, _asasavut_, 
   {{0xabfb0090,0xfe4f00cf,0x00000000,0x00000000}},	//   _aregerer, _dalagama, --, --, 
   {{0x09f70092,0x4ba90162,0x423f011a,0x49040096}},	//   _会社分割に伴う労, _پارتىزان, _במרקם_, _bakandid, 
   {{0x52d802a8,0x2cb30094,0x92d8015f,0xa354040f}},	//   _griega_, _اۋدارىلا, _briodas_, _keletas_, 
   {{0x052a0052,0x32920068,0x742b0096,0x00000000}},	// [6ff0] _व्यापारक, _horaba_, _bamazemo_, --, 
   {{0x26270122,0x23a2030f,0x42910252,0xc356003c}},	//   _سالانه_, _roopu_, _sibasa_, _تريلر_, 
   {{0x322a0008,0xff2502b4,0x0ac0006c,0xe2fe0013}},	//   _оолак_, _baselwan, _amakolis, _катнашди_, 
   {{0xd2920206,0xd2d90249,0xaec001bd,0xd0620287}},	//   _porada_, _draeva_, _адвокатт, _मापसे_, 
   {{0xc1de0453,0x639400c2,0xc7e701cd,0xe248011f}},	//   _povratak_, _bwose_, _миллиро_, _arami_, 
   {{0xe9960151,0x13f80107,0x425b01f0,0xdd0f0038}},	//   _anchooie, _bajul_, _etelwa_, _gazütkär, 
   {{0x1d6c00c1,0xd3b000bf,0xf63800c1,0x52d60434}},	//   _म्हैस_, _четверти_, _वायएसआर_, _anillos_, 
   {{0x627f042c,0xe0f70242,0x1e0d0059,0x00000000}},	//   _javnu_, _aktların, _китайска_, --, 
   {{0x12d80265,0x839400c2,0xa39e0358,0xfe4303b7}},	//   _samen_, _twose_, _pasyans_, _airbuswa, 
   {{0x02d800bc,0x3c550039,0x69d90399,0x7b6f002e}},	//   _damel_, _sektore_, _atangata_, _čitanja_, 
   {{0x126404bb,0x3a8c0409,0x12d801bc,0xdfa5021c}},	//   _heslis_, _artiklen_, _eamel_, _gramotno, 
   {{0xc25a0130,0x65f7005d,0x7abc02d3,0xf2f0034c}},	//   _egile_, _aimarañe_, _министер_, _актерлар_, 
   {{0x8edd018d,0xb0590241,0x1201024a,0x76b0012c}},	//   _ንምሕንጻጽ_, _basaasto, _inrin_, _suluhish, 
   {{0xa9d902f8,0x10770331,0x6bf40203,0x854a01af}},	//   _etangata_, _kaupthin, _mastress, _bashardy, 
   {{0xefcc0359,0x824800e4,0x32020203,0x92f3003d}},	//   _novimber_, _chomik_, _egrisi_, _comitat_, 
   {{0x4d8c01a4,0x72d8046b,0xa2580361,0x00000000}},	//   _wakolosa, _priodas_, _племенам, --, 
  
   {{0xc42601b8,0x822b046d,0xdb6100ca,0x2d8f000a}},	// [7000] _अरुणेश_, _nyimele_, _coerenta_, _akulikip, 
   {{0xfd820102,0x63dd01e5,0x6e5202fe,0x72da01fe}},	//   _مهدوي_, _abawon_, _مخابراتو_, _jeanene_, 
   {{0x639400c2,0x29ed02e4,0x69d4024f,0x2248009f}},	//   _rwose_, _finitura_, _munemune, _urami_, 
   {{0xf2d8056f,0x9c7105c3,0x604703d0,0xbe7305aa}},	//   _trieda_, _aperçu_, _savršeno, _komitéen_, 
   {{0x9f4e033e,0x9a940193,0xde190311,0x02a600f6}},	//   _arupinte_, _bernuans, _ተገምጊሙ_, _nikbin_, 
   {{0xe9d301a3,0xc26e00f7,0x00000000,0x00000000}},	//   _واگهريجي_, _corobu_, --, --, 
   {{0x063a018d,0xe21c004d,0xb9d90054,0xf34404fc}},	//   _ዝቕመጠሉ_, _快顯封鎖程式_, _idanunta_, _sureste_, 
   {{0x32fc04cc,0x78fd02d5,0xe2d402e2,0x78840012}},	//   _ndigah_, _lisasead, _agnomen_, _हुँहुँआर, 
   {{0xf9bd02e1,0xe9570119,0xcb200322,0x901a02d6}},	//   _ionducht, _märkisch_, _bakarimb, _армиясид, 
   {{0x857a0019,0xe2000115,0x00000000,0x00000000}},	//   _саммитте, _hijir_, --, --, 
   {{0x63a20176,0xc2010167,0x5321021e,0x334701d4}},	//   _xoops_, _ciria_, _insyn_, _beienda_, 
   {{0x020204ea,0x5e920187,0x35cd0010,0xce1f00e6}},	//   _afridi_, _погреб_, _bayagony, _中国证券网_, 
   {{0xf24801ef,0xdb6207ab,0x6a160082,0x59dd0065}},	//   _esame_, _मायने_, _tarbiyya_, _investie, 
   {{0x72570173,0x2ebc00df,0x33540005,0xe2f9033e}},	//   _আন্দোলনে, _laquelle_, _impediu_, _геннади_, 
   {{0x6237008b,0x230c0014,0xa9be0156,0x00000000}},	//   _beyjat_, _debatit_, _bildigit, --, 
   {{0xc6210044,0xadbf041e,0xb201005b,0x086e00d0}},	//   _שכדאי_, _bourreau_, _riria_, _эмират_, 
   {{0x6a08023b,0x829003d9,0xe9b50308,0x82eb002c}},	// [7010] _panapana_, _enjana_, _mendarat, _antioko_, 
   {{0xaf3a0073,0xf201002c,0xb2920198,0x3b72011b}},	//   _hellenic_, _bizia_, _poraba_, _ekoumela_, 
   {{0x99f80052,0xd29100c4,0x9879005e,0xe2920527}},	//   _severní_, _vibaya_, _تەمتىرەپ_, _boraca_, 
   {{0xab6206af,0xd56f0291,0x12010420,0xc290008e}},	//   _igitsina_, _يستجيب_, _dizia_, _injana_, 
   {{0x0e590146,0x88430156,0x135400c3,0x8c440061}},	//   _pembinaa, _דיסקאונט_, _haberet_, _청주지방검찰청_, 
   {{0x92ef02a4,0x33520203,0x10660188,0xd20100ec}},	//   _similia_, _gratuitm, _вуқӯъи_, _tiria_, 
   {{0x1201005b,0x0abf0153,0xa8430608,0x69f20141}},	//   _kirin_, _クボタスピア_, _cantamos_, _deyishga_, 
   {{0x02010068,0x1598009a,0x434b0066,0x79730513}},	//   _jirin_, _abasasaz, _babestu_, _hlangane, 
   {{0x2884027b,0x72d9005b,0x4aa50080,0xa2010068}},	//   _प्रसन्नव, _sagens_, _atikkers, _dirin_, 
   {{0x99c80513,0xb6b7008d,0x727103b5,0xb2c60239}},	//   _antonita_, _гриппи_, _meninggi_, _matekiri_, 
   {{0x627e0312,0x198401f6,0x62c501df,0xba9f00bb}},	//   _finneg_, _কবিতাৰ_, _hallowe_, _مجھکو_, 
   {{0x53000227,0x7727005e,0x4e9201ef,0x3d24025f}},	//   _tarawih_, _يۇمتال_, _новымі_, _ermozene_, 
   {{0xf9e500c5,0x99f0034e,0x11560074,0x8d190149}},	//   _每人每月增加_, _akunsina_, _малыша_, _ịnabata_, 
   {{0xf30f0253,0x629001bb,0x6b180156,0x00000000}},	//   _canadap_, _sanawy_, _רעשטלעך_, --, 
   {{0x9e4d0193,0xa8c401b8,0xf9c4000d,0xa5aa02fa}},	//   _परीक्षेच, _arvestad, _arvestat, _abafitiy, 
   {{0x86dc03d8,0x59520294,0xcafa0444,0xc2c503ad}},	//   _ljubavni, _altomant, _заверенн, _benessri_, 
   {{0x04cb077f,0x94880184,0xc49c00ff,0x74ae0328}},	// [7020] _चदरिया_, _abagiriz, _אפעלירן_, _bataronk, 
   {{0x1eda00bf,0x4300004f,0x17b50378,0x62cd04d7}},	//   _открыть_, _alkaati_, _presturi, _millifær, 
   {{0x0e8c0213,0xda2900c3,0x00000000,0x00000000}},	//   _уголь_, _discript, --, --, 
   {{0x10480105,0xd2010418,0x0e9600e6,0x50b9020e}},	//   _naturaln, _girin_, _防腐胶带制品厂和, _распадск, 
   {{0xa984004b,0x9db5015a,0x0a510408,0x00000000}},	//   _botitjhe, _diinumma, _hiderana_, --, 
   {{0x01fe016f,0x6ae70247,0x00000000,0x00000000}},	//   _грози_, _diaranse, --, --, 
   {{0x02e900fe,0x634f00ad,0x82a604e3,0x42530185}},	//   _ngangau_, _palebah_, _stajati_, _başinfor, 
   {{0x13080551,0x2ef102cf,0xae4e0140,0x6f7d0066}},	//   _ngobrol_, _оставиш_, _kalakala, _хярзан_, 
   {{0xce3503a7,0x004802bb,0xec650039,0x201300d3}},	//   _skladova, _maturaln, _gustatu_, _विभागलाई_, 
   {{0xf82f0045,0xf68b0387,0xea5100ea,0x4697017f}},	//   _означава, _deregazi, _fiderana_, _vicepoli, 
   {{0x1c6203c2,0x45f10047,0x4db302ff,0xd6030195}},	//   _excrete_, _cosmétiq, _dekachte_, _gillebri, 
   {{0xb28d01b2,0x4e4e003e,0xed0100e7,0xfe97029e}},	//   _aachlou_, _halahala, _arruther, _distroet_, 
   {{0x08fc00b0,0x72010127,0x263505af,0xf6ef0211}},	//   _magaalad, _abaiek_, _prigodom_, _viettivä, 
   {{0xb290006f,0xf94b0092,0xa637023c,0x020102b1}},	//   _kijana_, _総合ポイント_, _دلومړۍ_, _zirin_, 
   {{0x7522006c,0xdbc4005d,0x02d70365,0x1c810452}},	//   _abanamah, _chacalin_, _centrech_, _इडीअट_, 
   {{0xf4860017,0xd2ba0111,0xb66602bf,0xa3f9012e}},	//   _नेवारी_, _ordinò_, _kukhetfw, _hazug_, 
   {{0x82900433,0xe3ea02d3,0x42d4034c,0xa5b800d1}},	// [7030] _inkaso_, _junte_, _birdem_, _চিৰস্থায়, 
   {{0x3e280125,0x0c76019c,0x54600359,0xe49f01bb}},	//   _марширов, _aforiti_, _romeinsk, _эммасы_, 
   {{0x9da50373,0xd2ef0340,0xb637019b,0xbc5a0205}},	//   _printemp, _kimihia_, _заўжды_, _maktubi_, 
   {{0xe36a04f9,0xfc7e0372,0x3ff10029,0x87270299}},	//   _inatsimm, _cynsail_, _گۆڕبه_, _داظعمعي_, 
   {{0x820102a0,0x78fc00b0,0xd365048f,0xb7c102aa}},	//   _ririn_, _dagaalad, _lingolo_, _hingisov, 
   {{0x629100b0,0x0ec30376,0xa90e0480,0x338001df}},	//   _dibada_, _barnaman, _banamalu, _forrin_, 
   {{0x43f8024f,0x797f06cb,0x7d8f03db,0x12a7026c}},	//   _tabua_, _bloquear_, _babenaye_, _stabat_, 
   {{0x9974029a,0x772f019e,0x8c610239,0xa2710452}},	//   _endiskit, _бяздомны, _tapuika_, _peninggi_, 
   {{0x00e502ac,0xd2e902f8,0xa201004f,0x82e70370}},	//   _بدمياط_, _kominio_, _firil_, _ayangan_, 
   {{0x5f4a061d,0x29330144,0x61b4020a,0x5ef10178}},	//   _кичиккин, _لإرسال_, _аздай_, _caraṇena_, 
   {{0x6c930028,0xe20102e5,0xdb88038c,0x00000000}},	//   _گایان_, _anris_, _nedoumic, --, 
   {{0xaa010005,0x92d80049,0xd2ca019d,0x00000000}},	//   _purschid, _hamea_, _iwalani_, --, 
   {{0x71ec010d,0x22e703b4,0x00000000,0x00000000}},	//   _हरबरा_, _egungwa_, --, --, 
   {{0x94cc0276,0x62d801e6,0x658301be,0xf2ca01b5}},	//   _قۇماندان_, _samec_, _धर्मशाला, _kwalani_, 
   {{0x77e2002f,0x12e0018a,0xe2d80275,0x0e890187}},	//   _amapunim_, _baentio_, _mamea_, _фамилија, 
   {{0x62900207,0xf3f801d8,0xaec404c3,0xe13f0242}},	//   _vijana_, _babun_, _thanglon, _istedadl, 
   {{0x19df01c2,0x72d4012e,0x47be022d,0x8c560061}},	// [7040] _fertilid, _havonta_, _mitragli, _홍보영상제작_, 
   {{0xc62d0306,0x7c6f0082,0x02900183,0xc9750037}},	//   _antilupi, _sharhin_, _ankaso_, _fosilmit, 
   {{0xe20106a3,0x32e803fd,0xf3f90010,0x1c6b0052}},	//   _wirio_, _saanapu_, _kufuya_, _जगत्मा_, 
   {{0x53f402e3,0x9c040249,0x8a7d01d3,0x00000000}},	//   _edutop_, _melsisi_, _engagera_, --, 
   {{0x02f104e3,0x8900003a,0x139601c2,0x2ac00056}},	//   _ispiši_, _yaratild, _massó_, _amakalis, 
   {{0x09e302ec,0x87e5005b,0xd75d0170,0xb3050420}},	//   _iskuulad, _porcelæn_, _bibireng, _estarem_, 
   {{0x38f70372,0x319a019e,0x00000000,0x00000000}},	//   _dinasoed, _абыякавы, --, --, 
   {{0x6e46018a,0x1f2a01ec,0xe27f0075,0xbd890176}},	//   _stratega, _diblokir_, _navni_, _lovelife_, 
   {{0x75910192,0xf32c0192,0x8e460219,0x52ca01b9}},	//   _입력하세요_, _최근조회한_, _alebulwe_, _evidan_, 
   {{0xc3fe0118,0x62a4020f,0x429003ee,0x00000000}},	//   _akaziya_, _لېږنه_, _tijana_, --, 
   {{0x4a89015a,0x8cb60060,0x8a860092,0x97a900e4}},	//   _afrikaan_, _кызылорд, _ポイント判定日_, _zaktuali, 
   {{0x8ae10052,0x896a004d,0x22900045,0x00000000}},	//   _दर्शनशास, _教部評估學校安全_, _rijana_, --, 
   {{0x2b3e04fc,0xdebb018d,0x0dc500e0,0xd2ca0139}},	//   _সাম্প্রত, _ንመላለስ_, _definsje_, _bandhe_, 
   {{0x5b4d0089,0x121a0587,0x5a8101b9,0x2c28023c}},	//   _balaları_, _austràli, _exportas, _بيجنګ_, 
   {{0xfaaa01d7,0x6bd70371,0x31f802d3,0xdcc40013}},	//   _survista_, _venditor, _трагедиј, _ихтилофл, 
   {{0x425a0461,0xf3ce01df,0xfa0800d5,0x2eba02b6}},	//   _egala_, _drivin_, _fanasana_, _تالابىمد, 
   {{0xbcd70036,0x70db027b,0x73f8028e,0x0e4301eb}},	// [7050] _اعراس_, _ग्रीवा_, _labul_, _еымша_, 
   {{0xf7ca03c9,0x938104dc,0x52d200ac,0xae000229}},	//   _vanskeli, _کارگێری_, _dohodak_, _fondunda, 
   {{0x63fa0051,0xb5f60040,0x53cf013d,0x8f2a00d2}},	//   _saturs_, _הידועה_, _gravan_, _samemehn, 
   {{0x4289003a,0x82490190,0xaf4b01bc,0x1168016a}},	//   _sifatini_, _iteman_, _russyske_, _pensiono, 
   {{0xf386018a,0xddb800a9,0x9249013a,0xf2010357}},	//   _agored_, _imenyeka, _deemno_, _kabiti_, 
   {{0xcc1e00be,0x42c700aa,0xc29e02cf,0xf3f8007a}},	//   _ئجارالوو_, _biplane_, _читам_, _rabun_, 
   {{0xa66f063c,0x7201003d,0x8664014f,0xb30c00c5}},	//   _डिपार्टम, _liric_, _отклонит, _malades_, 
   {{0x23ea0594,0x738b0421,0x00a504c7,0x00000000}},	//   _tiltak_, _büros_, _плакате_, --, 
   {{0x13650289,0xb10a004c,0xb48c00e6,0x51c503bf}},	//   _akugona_, _anakikol, _爱墙留言祈福地震, _еленен_, 
   {{0xa0e104bb,0xe7bc006d,0x648a020b,0x00000000}},	//   _phongsal, _брыгіткі_, _maaforik, --, 
   {{0x23f80243,0xd20201a0,0x77520320,0x62d0023a}},	//   _gabul_, _heriki_, _itinying, _cenovej_, 
   {{0x87670126,0xd2010028,0x6c0f0220,0x00000000}},	//   _палаці_, _cirib_, _costruis, --, 
   {{0xe9d001bb,0x6bfd03d4,0x265d0040,0x82d20361}},	//   _ermenist, _savetnic, _אביאל_, _вăхăтлăх, 
   {{0xf36f04f2,0xb3a20263,0x32920125,0x2316002a}},	//   _hangtot_, _loopt_, _soraga_, _ndebiri_, 
   {{0x822d0320,0x45c00052,0xcfe500d1,0xe49800f2}},	//   _arivalel, _प्रत्याभ, _টিউমাৰ_, _neparedz, 
   {{0x692e0040,0xd6400253,0xc5a100b0,0x9a9a00a0}},	//   _יועברו_, _kapisili, _kharashk, _chengjis, 
   {{0x2615022a,0x744d0092,0xa2d4003f,0x05850140}},	// [7060] _pedasevö, _バンドスコア_, _hedonha_, _depensah, 
   {{0xffdc01db,0x6e0c0349,0x00000000,0x00000000}},	//   _рүстем_, _armersfa, --, --, 
   {{0x4dbd0064,0x77e70012,0xbe65021c,0x15c0002b}},	//   _الاقاچىپ_, _अलगरजी_, _skupinou_, _মাশরুম_, 
   {{0x41f800a2,0xf2920374,0x2c70022f,0x73860223}},	//   _متوفي_, _borada_, _абрысы_, _agortu_, 
   {{0x5f3e0258,0x93d50210,0xcd8b0155,0xa2010403}},	//   _boargema, _akambonz, _avseende_, _aizim_, 
   {{0xb2010242,0xa04604ec,0xd3f801b0,0xf9c30333}},	//   _bizim_, _brarigen, _babul_, _annerbat, 
   {{0x437903bf,0x70e600bf,0xf20002f6,0xf2240132}},	//   _bahaeso_, _влиятель, _libis_, _lecke_, 
   {{0x5e50021a,0xc2cb034b,0x5e08050a,0xc291039a}},	//   _abdatama, _kolosia_, _cardfina, _megang_, 
   {{0xf322018b,0x93eb020d,0x1f6402ce,0x63520291}},	//   _deschis_, _afatwa_, _babandin, _بابكر_, 
   {{0xfeab0016,0xd2020343,0x5e960354,0x73a2018c}},	//   _rekompen, _bitiis_, _ظىحىن_, _hoopt_, 
   {{0x427802ce,0xb25b025e,0xa3a20026,0x541401cd}},	//   _kurnia_, _stelpa_, _koopt_, _abhidliz, 
   {{0x0e13004a,0xd29101da,0xd61b02c2,0xe03202f7}},	//   _simferop, _rozana_, _speletji, _bosenabo, 
   {{0x82000101,0x03020307,0xf3940764,0x8d5a0204}},	//   _sibiu_, _ababeze_, _kwose_, _колец_, 
   {{0x724802e2,0x029204f0,0xdc4701e6,0x9b7f0166}},	//   _cramp_, _jorama_, _podobnýc, _hingegen_, 
   {{0x325600ef,0x32050128,0xa2f100da,0x9b17020e}},	//   _ناکامې_, _олимхон_, _muzicii_, _lelalets, 
   {{0x6691033e,0x1bdd01d3,0xf9ca0007,0x5e1d0211}},	//   _адымкыла, _blodtryc, _kotokisa_, _научного_, 
   {{0x42b90077,0x0c760009,0xbf090311,0xc3480060}},	// [7070] _moldavi_, _izbrani_, _ተጻሒፉን_, _مالىمەتت, 
   {{0x52120173,0x3e4200df,0x837f0583,0x00000000}},	//   _নেতৃত্বে_, _diabète_, _smrdiš_, --, 
   {{0xf29203f6,0x425a0257,0xa6b8012c,0x1aae0131}},	//   _iorama_, _egill_, _kuhamasi, _acordáde, 
   {{0xfc7d0461,0xa26e006e,0x4ce60040,0xa8cb01f3}},	//   _amassan_, _foromu_, _שידרוג_, _pokrokov, 
   {{0x129200a5,0x03790108,0xaa1e016d,0x21180125}},	//   _korama_, _kapaksa_, _типип_, _чагырыля, 
   {{0x420102ff,0x12910084,0x825602af,0xe3c90254}},	//   _mizik_, _begang_, _lectoral, _aclaró_, 
   {{0xb2c200cf,0xccb50156,0xea51018b,0x00000000}},	//   _celliin_, _סטאָרז_, _indemana_, --, 
   {{0xaf4d05d5,0x12ef00fe,0x5291005c,0xed0501c2}},	//   _acustoma, _faafaa_, _mugani_, _retribuc, 
   {{0x42900139,0x12010773,0xd85d00f2,0x5a7503a8}},	//   _adhare_, _hiria_, _teorijas_, _vanlegas, 
   {{0x62d80212,0x8f4100e6,0x5ef602a5,0x4fc8007f}},	//   _symeg_, _国有土地使用权出, _jazzové_, _dreisgar_, 
   {{0x3b8d01f6,0x494900be,0x720e0035,0xde4f02a2}},	//   _artiklar, _базарыны, _талау_, _malalama, 
   {{0xd04703d0,0x62010348,0x82d902b7,0x93200629}},	//   _završeno, _miria_, _ngues_, _orkyay_, 
   {{0x82920028,0x972d0021,0x520101f1,0x82260192}},	//   _borama_, _adzooksg, _liria_, _drukte_, 
   {{0xee4f0140,0x2213027e,0xe84e0153,0x29580244}},	//   _nalalama, _хормона_, _鹿児島大学_, _imbottit, 
   {{0xe3480321,0x425a01df,0x263f03f1,0x53e701d7}},	//   _bolezni_, _mealy_, _remeslá_, _explicaz, 
   {{0x227701a4,0xd9e800b0,0x63eb031e,0xa0dc0115}},	//   _akangani_, _maansada_, _zagonetk, _anggerik_, 
   {{0x5d0802f8,0x8e11030a,0xd3070585,0x40f001ab}},	// [7080] _alomalie_, _arcebisp, _tumači_, _पर्रूआ_, 
   {{0x23ea00b0,0x2fca064f,0xdc82003c,0x8da803ac}},	//   _runta_, _antiviro, _centhing_, _ketokoha, 
   {{0x13b6008c,0xf26a0423,0xd2000015,0x6287024c}},	//   _preveda_, _nasazení_, _kibir_, _jirfinaw_, 
   {{0x34bb0095,0xb16e04ae,0x42d80407,0xaf4401c4}},	//   _alkhohol_, _моторизо, _uzmes_, _rubrieke_, 
   {{0x83ea053c,0x73f802be,0x1fa901db,0xc16b005a}},	//   _xunta_, _simula_, _тергеу_, _chosammo, 
   {{0x0aef0187,0xf291038b,0x0a7d00ae,0xe84d009a}},	//   _maquiage, _pegang_, _bigatera_, _بارانونه_, 
   {{0x62790033,0x0f640097,0x22eb0249,0x426c0416}},	//   _persunal, _babatuin, _komitim_, _memora_, 
   {{0xcde5022f,0xc6d3036c,0x0cfa0162,0x266501ac}},	//   _флангу_, _ampamaki, _юртлирид, _اخبارك_, 
   {{0xd3550130,0xc2910138,0xaf340120,0xdc5b024e}},	//   _peseurt_, _asgari_, _maysatta, _opstati_, 
   {{0xcff902ac,0x190b0249,0xb25a0257,0x32010241}},	//   _ومجوهرات_, _mamagrau, _egils_, _birii_, 
   {{0x62260215,0x42000053,0x36940327,0xb22b00a6}},	//   _brukte_, _bibir_, _mattilsy, _ayimele_, 
   {{0x598d0119,0x8d8f0165,0xcef7045e,0xc30c0037}},	//   _bashkort, _parokara, _филмът_, _ባለትዳርና_, 
   {{0xe3870014,0xb2940027,0x92910020,0xab0a0059}},	//   _librin_, _kalkuli_, _augani_, _византий, 
   {{0x225a014c,0x7201015a,0x45ce0141,0xc6c402d5}},	//   _ngale_, _firii_, _ассалому_, _bussijuh, 
   {{0x72df015c,0x846d034a,0xcc130052,0x42d9000c}},	//   _sonndeg_, _ocasións_, _गार्मेन्, _asyeta_, 
   {{0x9365000b,0x91470595,0x259800c7,0x066500ef}},	//   _fingalo_, _असांजे_, _ekzemply, _besimbiw, 
   {{0xd91300ec,0x391d0040,0xfec900b4,0x63a500ac}},	// [7090] _пульт_, _ובגלל_, _миноритэ, _pripremi_, 
   {{0x19de0497,0xf0e200e6,0x18670488,0x00000000}},	//   _footbrid, _中华人民共和国劳, _konsoles_, --, 
   {{0x12ee04e5,0x02a201d5,0x7c5302d3,0x6226008f}},	//   _abagaadi_, _مصالحت_, _mistura_, _edukas_, 
   {{0x42da0286,0x9ae8030b,0x43f802af,0xf160005e}},	//   _guansae_, _abeerimb, _bimuja_, _ﺟﯜﻣﻠﯩﺪﯨﻦ_, 
   {{0x9aab041f,0x539401c7,0x122500de,0x53170262}},	//   _isikhumb, _bilsem_, _asekwe_, _atlandy_, 
   {{0x725a04ca,0x83f80369,0x126e030d,0x00000000}},	//   _agils_, _simuma_, _girovu_, --, 
   {{0x8200034b,0x998e00c7,0x12b30119,0x977803ce}},	//   _majik_, _сафин_, _mindoro_, _قوناخی_, 
   {{0xc29200a1,0x92ea0005,0x4c6a0044,0xe3f8026a}},	//   _koraha_, _domicil_, _battery_, _nabua_, 
   {{0x48d40052,0x43dc0438,0xf9cd0066,0x73f401fb}},	//   _चर्चित_, _yemwe_, _errealit, _mitter_, 
   {{0xe28b0012,0x93ea01a7,0x88b301f4,0x186b0255}},	//   _rahastam, _kunto_, _поезди_, _takistad, 
   {{0xfc660181,0x83ea016c,0x9d9e01b5,0xd04101f2}},	//   _hurtigt_, _junto_, _bohekeke_, _тәшнал_, 
   {{0x2017016d,0xf22601f6,0x00000000,0x00000000}},	//   _банкиси_, _bruket_, --, --, 
   {{0xbaea0086,0x0c73003a,0x5c600310,0xf617004a}},	//   _energiat, _smirlar_, _comuinn_, _cinayatç, 
   {{0x20600092,0x1aab003b,0xbc2e034e,0x426e03bf}},	//   _このカテゴリから_, _asikhumb, _antapunc, _boroku_, 
   {{0x348f02ac,0x93660181,0x00000000,0x00000000}},	//   _حسناتك_, _gymgoal_, --, --, 
   {{0xde4f00a0,0x79f1008c,0x994a014f,0x029100a6}},	//   _badakala, _biennala_, _рокенрол_, _dibana_, 
   {{0x73a800ad,0x031b02b9,0xab5f0187,0xaed40361}},	// [70a0] _pakarang_, _húzza_, _formatur, _сконфигу, 
   {{0x020e01cd,0x320004b8,0xb3f802af,0x6ba000e7}},	//   _падар_, _kajih_, _kimuha_, _assicalc, 
   {{0xab1b012c,0x13ea01c5,0x5b2703ee,0xcdb7020f}},	//   _سرگرمين_, _cunto_, _sedamdes, _ekonzaka, 
   {{0x030c0233,0xd40500c1,0x776404f9,0xc27700a0}},	//   _malayes_, _घौडदौड_, _diskobug, _jijiyoyi_, 
   {{0xd38f040b,0xe04c0329,0x578a0262,0x8d000024}},	//   _sinyuwa_, _laboutik_, _abiwerdi, _সমাজখন_, 
   {{0x1940038c,0x4b370166,0x2d2a02a4,0x6201029e}},	//   _počinje_, _beachten_, _opencube_, _hiriv_, 
   {{0xc4a701c8,0x6a07051a,0x2fd80376,0x00000000}},	//   _dostaneš_, _minatnya_, _grannako, --, 
   {{0xf3f9041c,0xec180387,0xc20002e7,0xdc3a034e}},	//   _aarug_, _dabanyer, _gabii_, _artisanu_, 
   {{0x03f90243,0x129201d4,0x5c700166,0x4d2001dd}},	//   _barug_, _girata_, _tausche_, _bakiriwe_, 
   {{0x437a0084,0x2560042f,0xa341015e,0x051202d9}},	//   _juragan_, _taaksiiy, _انجار_, _nonumalo_, 
   {{0x429200a1,0x882a0063,0x8db901aa,0x9c7c026b}},	//   _poraka_, _وفضفضه_, _allingca, _trasera_, 
   {{0x4107003a,0x376100bf,0x0c1b02ce,0xe22402c2}},	//   _قراری_, _дверь_, _kadaluar, _bokke_, 
   {{0x72c901bb,0x8c5c0156,0x00000000,0x00000000}},	//   _diliniň_, _פּסקנט_, --, --, 
   {{0x6b0901bd,0x394b039f,0xdad60095,0x00000000}},	//   _римдікте, _relocate, _diadhops, --, 
   {{0x576600f5,0x163e00ff,0x68da0061,0x29d40085}},	//   _сабырлы_, _אסתּר_, _startpag, _kunekune, 
   {{0xe2540173,0x022407ac,0x47a10014,0xc39500ec}},	//   _অসম্ভব_, _funker_, _kostandi, _stasys_, 
   {{0xbd2001dd,0x3304035d,0x7a3903fe,0x5ae7015e}},	// [70b0] _yakiriwe_, _izdajem_, _селения_, _келишине_, 
   {{0x52dc0045,0x3207002c,0xe1aa0297,0xcf3a0158}},	//   _партнера_, _биздээ_, _майонезн, _koordyna, 
   {{0x322a00e5,0x06b0019f,0x0e140139,0x0255002b}},	//   _молам_, _kudumish, _atasmiṃs_, _এতক্ষণ_, 
   {{0x14fd0144,0x4633009a,0x37f9023e,0xcc67044a}},	//   _وجوده_, _akangeni, _آغاسي_, _kimuana_, 
   {{0xff290037,0x33f90245,0xc3f401fe,0xc2940558}},	//   _መፈንቅለ_, _harud_, _ilutua_, _ogakari_, 
   {{0x9f570090,0xfc7c0279,0xfb88036d,0xa30d05f9}},	//   _achachen, _esprits_, _laboraic, _pagamos_, 
   {{0xdf35000d,0x12d40055,0xc1d10218,0x629105a8}},	//   _naistera, _abbolla_, _aptelzay_, _libala_, 
   {{0x5c6703e6,0xa7ae0259,0x27180486,0x00000000}},	//   _biereng_, _fredelig, _stoupají, --, 
   {{0x9ed502a9,0x729201d8,0x9327000e,0x76440110}},	//   _клубам_, _suwari_, _chocant_, _aizkusti, 
   {{0x82000241,0x163f032d,0x337e03d2,0x27f90092}},	//   _sabii_, _ananetsw, _corgoň_, _のクチコミ_, 
   {{0xf2240359,0x3261004c,0xf41101d9,0x8c560059}},	//   _sokke_, _agataful, _messagen_, _restare_, 
   {{0xfe460120,0xe90f0334,0x48fb009b,0xab5f021e}},	//   _dubbutta, _ankatulu, _bakardad, _sammantr, 
   {{0x98e6020a,0x68380185,0x9cee004d,0xa2de00d9}},	//   _жайттар_, _башлануы, _交車須注意哪些事, _innostu_, 
   {{0xd3f900b6,0xe29101f0,0x82480631,0x4fb1020f}},	//   _barud_, _dibala_, _tommel_, _دژورنالي, 
   {{0x92000138,0x43dc0358,0x42ba0258,0x31cc0075}},	//   _tabii_, _memwa_, _beheind_, _amboðið_, 
   {{0x63f80733,0x08cc00af,0xc3ba01b2,0xb292006a}},	//   _lunuka_, _handleku, _canvass_, _dorana_, 
   {{0xa6b201c5,0xec09048f,0xd3ca0147,0xa7a501be}},	// [70c0] _وصالہٕ_, _akipaka_, _mataró_, _orientov, 
   {{0x53000124,0xb20e02c4,0xec070045,0x23270169}},	//   _mobangê_, _дадат_, _жалост_, _আইনস্টাই, 
   {{0x930100c9,0xa11f03e7,0x386702fe,0xdb4000a7}},	//   _qmobile_, _zduńska_, _تبلیغاتي_, _кэсон_, 
   {{0x420100fa,0xac3100dc,0x93eb030f,0x00000000}},	//   _hirit_, _sisigafu_, _teatea_, --, 
   {{0x9a750191,0x4eaf013f,0xc6cc02ff,0xeb65028b}},	//   _vanligas, _amirobot_, _enspeksy, _jesuista_, 
   {{0x937a055f,0x7a940235,0x00000000,0x00000000}},	//   _buradan_, _anayorit, --, --, 
   {{0xa2010005,0xf70901cd,0xdc6400bc,0x716b03c2}},	//   _viril_, _нарасида, _پرسیده_, _blandish_, 
   {{0x65e60113,0x96670109,0xf20e01cd,0x97eb0135}},	//   _تايلاند_, _पारसले_, _варақ_, _almaniag, 
   {{0x9dc403c2,0x20770109,0x00000000,0x00000000}},	//   _enviable_, _bankovek_, --, --, 
   {{0x41d801b6,0x625a0049,0x7cf70396,0x4c41002e}},	//   _ريمكس_, _ngali_, _letterar, _potpunos, 
   {{0x22ee044a,0x08d3035d,0xdd720408,0x9827020f}},	//   _amonisi_, _istraziv, _anambara, _باداران_, 
   {{0x0bdf0477,0xf3d70059,0x79ee00e6,0xb7b40167}},	//   _dimenger, _sentieri_, _市民防办公室_, _hymroddi, 
   {{0x826c01f0,0xb2900166,0xa8d603c7,0x7248038a}},	//   _lemoga_, _danach_, _चटपटी_, _ashmay_, 
   {{0xb1850057,0xc9d7040e,0x39b70178,0x6d05005e}},	//   _ኃይለማርያም_, _offentle, _apadānta, _كۈتمەكتە_, 
   {{0xa2910403,0xdb18018d,0x62ee025f,0xf16502ea}},	//   _nizara_, _ሃገርኩምን_, _emonisi_, _мултикас, 
   {{0xa1670169,0x17ca034b,0x3a570022,0xf16b0143}},	//   _তালিকায়_, _rispekti, _бинала_, _скопие_, 
   {{0x973100ba,0xaef700e4,0xdc090289,0x523601f3}},	// [70d0] _بیوتهم_, _महाकालेश, _chipoka_, _tvrdosti_, 
   {{0xde180452,0xc9c0020e,0x99470123,0xe24a0053}},	//   _singkawa, _keyellet, _filmanme, _diposisi_, 
   {{0x00000000,0x00000000,0x00000000,0x00000000}},	//   --, --, --, --, 
   {{0x929100d5,0x4085000f,0x23010409,0x9ed0056f}},	//   _mizara_, _mübarek_, _kurashi_, _maximaln, 
   {{0xd2cb01af,0x42900169,0xbb1c00ba,0xd260002b}},	//   _avadan_, _bajada_, _ولێکۆڵین, _এএসআই_, 
   {{0x31cf00ff,0x83ea035a,0x48be0044,0x929102f7}},	//   _למנצח_, _leitha_, _wonderfu, _bewang_, 
   {{0x0f5d0309,0xcdb30040,0x53490066,0x32910087}},	//   _cavablan, _הנצחה_, _baserri_, _gizara_, 
   {{0x361601fe,0xafa50005,0x441c016a,0x41790435}},	//   _amalikai, _privatas_, _hungario_, _асистенц, 
   {{0x4c0501b2,0x51cc032d,0xdd7500a4,0x28dd02d4}},	//   _angrily_, _йылан_, _promoure_, _attenziu, 
   {{0x92010172,0x525a008f,0xcf2f0363,0x335502cf}},	//   _tirim_, _ugala_, _gjøvik_, _deletar_, 
   {{0xdf1c00da,0x62020264,0x433d0425,0xa3440303}},	//   _формулат, _aurich_, _ریزاد_, _diretse_, 
   {{0x29aa02eb,0x1fbe02d3,0x1b7e04a8,0xd4880153}},	//   _горим_, _conferir_, _jablanic, _リクエスト_, 
   {{0xd70002ca,0xa2920050,0xb30600a4,0x53f403b0}},	//   _struchtú, _sorana_, _турсунбе, _slutta_, 
   {{0xae53036e,0x9b910021,0x1477027e,0x00000000}},	//   _fikancha, _ayingspr, _базена_, --, 
   {{0xb2da021c,0x002a00ee,0x6ccb018d,0x07b900c1}},	//   _hotely_, _handirik_, _ኩነታተይ_, _श्रग्गड_, 
   {{0x2012002e,0x142203a2,0xb654019b,0x920202d4}},	//   _obavljan, _बांबे_, _складаюц, _turich_, 
   {{0xf26c03ac,0x628502fd,0xa33d023c,0x061100d4}},	// [70e0] _semoga_, _aichill_, _دیوال_, _sintraal_, 
   {{0xe27e002e,0x434b038b,0x0b6e00d8,0x4abf0153}},	//   _jednoj_, _melekat_, _abelhair, _前記燃料は_, 
   {{0x9239011b,0xadff034d,0x00000000,0x00000000}},	//   _farmasi_, _pandanga, --, --, 
   {{0xe2010229,0x6ceb0156,0x00000000,0x00000000}},	//   _zabiti_, _פלאזא_, --, --, 
   {{0x1c320004,0x8a6a02a3,0x922903b6,0xadf8005d}},	//   _boliwoud_, _menopous, _níkan_, _mundialp, 
   {{0x03060243,0xb20002be,0xf3070120,0x5a9e0366}},	//   _afkanuk_, _kabit_, _qabalih_, _шпицберг, 
   {{0xcc1602c4,0x1aab015d,0x82010168,0x93cf0516}},	//   _rápida_, _प्रलोभन_, _eirik_, _cravin_, 
   {{0x3c770467,0xe2260265,0xf90101f4,0x58d40084}},	//   _atosode_, _stukje_, _nazarimd, _digubrag, 
   {{0xe3ea0101,0x635501d9,0x337a04ca,0xe2010321}},	//   _nunta_, _geschriw_, _arrapan_, _izvira_, 
   {{0xe8d800ff,0xd3eb0039,0x52ea02ff,0x9e500414}},	//   _בעקיטשע_, _onetsi_, _gerizon_, _precense_, 
   {{0xe33105ad,0x9e5001c9,0xf3ae0060,0x0a8a00d9}},	//   _biskupij, _madalama, _молдағал, _afrikass, 
   {{0x30280152,0xe20100db,0x38f70235,0x42620128}},	//   _портреты_, _kirik_, _aprasidd, _овкат_, 
   {{0x3291019f,0x026c02c1,0x5291038b,0x4a1902da}},	//   _wizara_, _bakoze_, _dibaca_, _мистерио, 
   {{0xd3ea00b8,0x726e0388,0x625a0050,0x62c5009a}},	//   _munta_, _scuola_, _ngilu_, _badliwe_, 
   {{0xc3ea0204,0x9ec904c8,0xdc7d0164,0x1c1d0153}},	//   _lunta_, _diriġent, _خانقىزغا_, _北京オリンピック, 
   {{0x22ef0011,0x384c0169,0xf75e0255,0x83000362}},	//   _abaffa_, _ডাকঘর_, _अनन्यां_, _bobangi_, 
   {{0xa2ca02f3,0x8851026b,0xd07b0287,0x42000061}},	// [70f0] _bredd_, _adjuntos_, _देओखुरी_, _nabij_, 
   {{0x04d303a4,0x93f400a8,0x49aa0037,0x19060040}},	//   _eldsløkk, _sittar_, _እንዳገኘ_, _ושיטות_, 
   {{0xd20105f1,0xd2ec02ca,0x9d1000c5,0xaafa0037}},	//   _kabiri_, _dearfach_, _真空吸尘器_, _የመጠለያ_, 
   {{0x0200009d,0x53870193,0x4f5d0138,0xf3ce0116}},	//   _gabim_, _mirzani_, _havaalan, _dieved_, 
   {{0x726c02c1,0xa27e02c2,0xe2ca041e,0xf64f004d}},	//   _yakoze_, _vinnig_, _erede_, _請注意語言文明_, 
   {{0xe353033e,0x90bb02b6,0x5ca9045e,0x00000000}},	//   _анасыҧре, _корректу, _причасти, --, 
   {{0xc3a20063,0xb602042f,0xf229040a,0xc2c40198}},	//   _siopa_, _naalakti, _håkan_, _izvedeti_, 
   {{0xdda90285,0x09ce018d,0xbc560326,0x7201003a}},	//   _fulgence_, _መብዝሕትኡ_, _aestere_, _tirik_, 
   {{0xa3eb02ca,0xf3f402dc,0x9a4a0272,0xbd8c0014}},	//   _reatha_, _noutra_, _amafuuta_, _raportua, 
   {{0x834601cf,0x298900da,0x078b0040,0x27580053}},	//   _burdett_, _професез, _בלינק_, _berinteg, 
   {{0xd2b70130,0x99ef0272,0xf25b013a,0xe2b20144}},	//   _kenderc_, _abanyaga_, _deelen_, _boodman_, 
   {{0xc201003a,0x2e1a041a,0xf3550219,0xa3ea041c}},	//   _yirik_, _традицій, _alofaka_, _bunti_, 
   {{0x925a02ca,0x659b02c1,0x334b03ba,0x125b01d9}},	//   _ngall_, _yongeyeh, _medenat_, _feelen_, 
   {{0x489e0211,0xc36502d4,0x63eb004c,0xfd7103bf}},	//   _закладки_, _vargada_, _agatta_, _diambasa, 
   {{0xfb8800ff,0x09590128,0xda040329,0xbdea0037}},	//   _שעדליכע_, _کیلرایدی, _potansye, _እግዚያብሄር_, 
   {{0x8dd702ac,0xe278002b,0x734b0037,0xa97e00d6}},	//   _يفتتح_, _ব্যয়াম_, _pelekat_, _oighreat, 
   {{0x690a00b0,0xa2ca03b6,0xd6b8032c,0xcb7700d6}},	// [7100] _shabakad, _arede_, _islamisi, _ioslamac, 
   {{0xb29003f2,0x2be301ad,0x58bb0092,0xc863020e}},	//   _kukaan_, _uckermar, _ルボックス_, _розалиә_, 
   {{0x0e6800ff,0x620102ce,0xa94400e6,0xdbac004f}},	//   _אפשאצונג_, _sirik_, _chaleure, _kaayleen_, 
   {{0xf2ca02c2,0x54dc0040,0x209a0405,0x913801f3}},	//   _vrede_, _טמפרטורה_, _учителів_, _biblické_, 
   {{0xc5d904cb,0xb2c5021e,0x23a30343,0x02ca01c4}},	//   _инверс_, _samlade_, _giapas_, _wrede_, 
   {{0xd2ca00f4,0xd56e015d,0x53f401c2,0xdc6702a3}},	//   _trede_, _handlowy, _doutra_, _viering_, 
   {{0x48e4045e,0x4d700340,0x099d04e3,0x8a3900be}},	//   _платеж_, _akameita, _prekomje, _бересиз_, 
   {{0xc2d70503,0x8c710065,0x847e0102,0xbef90246}},	//   _atmosfær, _gefragt_, _ongezeko_, _сервизи_, 
   {{0x8cf30046,0x584e036d,0x17bd0074,0xbe4c021a}},	//   _ارافاتتى, _amblesid, _vaaralli, _babattee_, 
   {{0xf27801d1,0x33f80230,0x5e940148,0x7f00010d}},	//   _expressl, _sekuye_, _credimus_, _खाद्यंती_, 
   {{0xb2080029,0x8c560217,0x28fd02d7,0x79fd02d7}},	//   _کوالێت_, _vecture_, _ameazand, _ameazant, 
   {{0x83ea023d,0xcec60472,0x9d220119,0xb9b0024a}},	//   _punti_, _menyesua, _wierzbic, _itanṣan_, 
   {{0x63f40455,0x452800d9,0xf34c0288,0x53eb0113}},	//   _posté_, _трудност, _medenam_, _agatsa_, 
   {{0xa34406c1,0x02ec0528,0xf9d60076,0x47580031}},	//   _prodaju_, _feargach_, _матура_, _terinteg, 
   {{0xd1c900b7,0x0c170193,0x12eb0244,0xe2ca075c}},	//   _досты_, _पृथ्वीच्, _capisco_, _urede_, 
   {{0xc3ea01a7,0x8ed70222,0x1eb301ad,0x225a0004}},	//   _tunti_, _chansons_, _ginsurat_, _ekolaj_, 
   {{0x72fb03bf,0xf84a00d9,0x5a58001e,0xad360377}},	// [7110] _bathoba_, _гонки_, _tsagaita_, _униколор_, 
   {{0x23f9019c,0xb3f900ad,0xec730318,0x629203ad}},	//   _marun_, _sarua_, _akosita_, _rosato_, 
   {{0x5f7b018d,0xf10100f8,0xec2702af,0x00000000}},	//   _ግስጋሰን_, _গনতন্ত্র, _rutangur, --, 
   {{0x27cf00c5,0xce9602cf,0x60cc0312,0x59f70043}},	//   _大家注意了_, _елиминир, _langleiz_, _akenkana_, 
   {{0x06920461,0x5c690795,0xfc77012d,0xf2cb00ad}},	//   _liberaci, _cerrado_, _mansave_, _atuda_, 
   {{0x29e90212,0x12b302ea,0x19540365,0x92e900cf}},	//   _mapuicmd, _sindaco_, _stopáž_, _daqiqaa_, 
   {{0x0f65006c,0xd25a0113,0x7d96005b,0x68ba00c7}},	//   _ababewen, _gailf_, _bottomed_, _biktahir_, 
   {{0x7e90052c,0x02910434,0x70140156,0x820100cf}},	//   _بلیغاتی_, _tocado_, _פענטאגאן_, _gazii_, 
   {{0x426c020e,0xf3f90316,0x3fcc02c2,0xc2780086}},	//   _bakone_, _jarun_, _navigeer_, _higiénia_, 
   {{0x133200a6,0xb2df0044,0x82900084,0x143102b9}},	//   _کیفیته_, _gaining_, _asgar_, _نمونیہ_, 
   {{0x4ec5009a,0xf2d402c8,0x7fa902aa,0xcc1500e0}},	//   _ayingomn, _escolma_, _celokovo, _steatsgr, 
   {{0x03a20515,0x99be0217,0x1a090382,0x62d80287}},	//   _dropsy_, _conducit, _dizayina_, _nenese_, 
   {{0x9d320076,0xd355000e,0x38fe0326,0x320000a8}},	//   _mosimage_, _gazetes_, _aisatend, _pajis_, 
   {{0x2afe00be,0x022403b0,0x638800c1,0x82e2012e}},	//   _ئزىلدۅۅگ, _dokke_, _tanyain_, _műfaj_, 
   {{0x6ff500d7,0xbcf50342,0x7ecc0080,0x52ac031e}},	//   _bakhetho, _basketè_, _allisinn, _zatraži_, 
   {{0x3200021a,0x626d00a5,0xd5a0009a,0x130100b4}},	//   _nabii_, _amaoni_, _abasisiz, _imobile_, 
   {{0xf867026c,0x6f1a0187,0xb6960046,0x3ec00361}},	// [7120] _consules_, _нагласен, _داسمىيا_, _дiаолу_, 
   {{0xfab401cd,0x4edc018d,0xe29102e7,0x66810439}},	//   _abakules, _ረፈረንዱም_, _mabaga_, _navetisi, 
   {{0x1ab60047,0x020001e8,0xfafb0111,0x5a060299}},	//   _添加到搜藏_, _kabii_, _amburghe, _تۇغقىنى_, 
   {{0x22ed0336,0x0201001e,0x74ab041e,0x51630089}},	//   _rasisme_, _shaikh_, _parlerà_, _могикан_, 
   {{0x12cb0027,0x727e02d4,0x6f640224,0xb0180297}},	//   _studa_, _rohner_, _bikarsin, _forumını, 
   {{0x0e4c038e,0x7f39016e,0x5b8b01a0,0xb2fb00be}},	//   _pelayana, _tutulama, _himinkar, _جەڭىلدىك, 
   {{0x63f903b6,0x7b940360,0xc3ea00d2,0xa3790456}},	//   _aarun_, _postižen, _huntu_, _gubahan_, 
   {{0xf3ea00a9,0x2d1403e0,0xbbb70494,0x7ebf013f}},	//   _kuntu_, _lieserbr, _petrović_, _caprinae_, 
   {{0xad840397,0x86b6024c,0x26040299,0xb37b0592}},	//   _genesise_, _greendow, _تىۋىتتىر, _atrappo_, 
   {{0x3ad5014a,0xf00b013d,0x4c1e0053,0x62e002a2}},	//   _خانقاہ_, _malantaŭ, _pilpres_, _ayungin_, 
   {{0x114703c1,0x5c3605f2,0x24a50178,0x00000000}},	//   _царина_, _berberec, _लोपामुद्, --, 
   {{0xd96a0176,0x85e80297,0x00000000,0x00000000}},	//   _revisore, _hamasnıñ_, --, --, 
   {{0x240e0139,0x4534002b,0xf2910030,0xb3ea02cd}},	//   _adhaḥkāy, _নন্দীগ্র, _nabaga_, _guntu_, 
   {{0xa3d1052c,0xb2240027,0x9c5200bc,0xbf89021c}},	//   _لێدان_, _brasilän_, _ksatria_, _neschopn, 
   {{0xced601e7,0xb29105d7,0x1e3000b9,0xe23000dc}},	//   _regierun, _mabada_, _कार्यशाळ, _atamala_, 
   {{0xe2fe00a7,0x329102fa,0x90610076,0x43a20403}},	//   _visites_, _babaga_, _штити_, _poopy_, 
   {{0xd200044d,0xc248007b,0xb29102a2,0xaf090488}},	// [7130] _ibliis_, _hommel_, _uugali_, _kadastrā, 
   {{0xb46604a7,0xf31b0238,0xc2cb00f5,0xc29102ec}},	//   _decembro_, _дозволяє, _owadan_, _nabada_, 
   {{0x22f202d6,0x6f04005b,0x12a70250,0x00000000}},	//   _иклар_, _ecobooks_, _arabet_, --, 
   {{0x0fe80193,0x4fc00291,0xdc1b0135,0x00000000}},	//   _गोलाकार_, _الخنساء_, _бисәрмән, --, 
   {{0xd4110085,0x0cb30155,0x299f0061,0xd292022c}},	//   _kanadavo_, _tingsryd_, _인구주택총조사유, _cirata_, 
   {{0x02900281,0x625f010b,0x525a0230,0x95b500ba}},	//   _kinami_, _borobedi_, _laklos_, _زۆۆۆۆۆر_, 
   {{0xe29002af,0xf48d0189,0x187901b3,0x8d1d0049}},	//   _bajana_, _astroloj, _медалей_, _iselaele_, 
   {{0xa29102fa,0x12d900fe,0x9af3014d,0x124a019c}},	//   _yabaga_, _hauee_, _briefkas, _ossoossi_, 
   {{0xd2bb0047,0xee5004d7,0x3e3701e3,0x83e60210}},	//   _urgence_, _matarpla, _rečeš_, _chamunok, 
   {{0x51130008,0x3baa033c,0xd3a80347,0x96b50061}},	//   _мухаммед_, _angylion_, _visvang_, _kunstsch, 
   {{0x413502bb,0xbbcf019d,0xcfbf0044,0xa3f90120}},	//   _produkty_, _achewaâ_, _domestic_, _garul_, 
   {{0xa2240770,0xc27f000e,0x93ac0110,0xe7870064}},	//   _bocke_, _cognit_, _kurpes_, _جاپايى_, 
   {{0xbc6f06d4,0x0e53007e,0x46060156,0xcae902e5}},	//   _corrida_, _antaraka, _קימאַט_, _neremomb, 
   {{0x92d8023e,0x00000000,0x00000000,0x00000000}},	//   _benere_, --, --, --, 
   {{0x57ac0388,0x782400d9,0x5e5b0061,0xb0b10600}},	//   _obiettiv, _инвалидо, _음악공유기_, _फ्युचर_, 
   {{0x438c026a,0xb5d3017c,0xff3d01a3,0x6b6c0155}},	//   _isasabai_, _lindströ, _ڏاکڙن_, _katterna_, 
   {{0x13f90288,0x22da012a,0x025a02f7,0xe8f20059}},	// [7140] _marum_, _litery_, _kaile_, _клечката_, 
   {{0xb2d80244,0x453801dd,0x530d0281,0x89f30244}},	//   _tenere_, _ashimish, _dalager_, _несериоз, 
   {{0xa37301d1,0x547900be,0x1d1800ca,0x72020422}},	//   _enhance_, _تۅمۅندۅۅ_, _assolide_, _afriki_, 
   {{0x89c70060,0xc34c00b5,0x034c00ff,0x92d80259}},	//   _танабау_, _itapỹi_, _belegaj_, _renere_, 
   {{0x125b02ec,0xa394025c,0x75f8023c,0xac0903fb}},	//   _yeelan_, _mensch_, _واقعيتون, _lampica_, 
   {{0x7354026c,0x61e603df,0xda890050,0x00000000}},	//   _poterat_, _storleik_, _caritaan_, --, 
   {{0x76e100b7,0x76ff00e6,0x8a080219,0xf5bf00c1}},	//   _ащдини_, _香港注册公司_, _bekafuna_, _perpajak, 
   {{0x030c0256,0x531d0520,0xee7e0466,0x00000000}},	//   _nevarat_, _loucura_, _nečiju_, --, 
   {{0x09f7048e,0x462a0318,0x1b34019b,0x229100db}},	//   _infraord, _fisifisi, _vizažist, _tabada_, 
   {{0x420102a0,0xbd8c01a4,0xff8c0040,0x32920409}},	//   _iiris_, _sonorisa, _להכשרת_, _kirara_, 
   {{0xfeba04ac,0xf4ca026f,0x3f270244,0x0a2d0291}},	//   _пошло_, _جونۋعا_, _нападки_, _للبدء_, 
   {{0x3db600ad,0xb2d103eb,0xc56e0267,0xd0c3032d}},	//   _katingga, _papegaai_, _provalio_, _жюриға_, 
   {{0x09c60635,0x434a0318,0x7dbf013b,0x62d901b4}},	//   _танцпол_, _faletau_, _coesfeld_, _vennote_, 
   {{0x026c010b,0xaddf0169,0xf2010304,0xd2e60003}},	//   _jakobe_, _ভক্তদের_, _cirit_, _stonden_, 
   {{0x37a70288,0x92ec0347,0x1ffe012a,0x120106e8}},	//   _awirieri, _antieke_, _prostoką, _saziv_, 
   {{0x21c6056f,0x72d704a4,0x0f9b028d,0xb1b701b3}},	//   _otvorené_, _bhaltos_, _inferyer_, _широких_, 
   {{0x89de052f,0xf2c506ad,0x390300ff,0x43f20220}},	// [7150] _eyenjiwa_, _samlede_, _פאַלש_, _comunali_, 
   {{0xbc7f02b4,0x12010198,0x22010166,0xc89400e6}},	//   _akusiyo_, _mobing_, _fazit_, _期就业工作简报_, 
   {{0xeee7064d,0x320107ad,0xc34d034b,0xb2900282}},	//   _ahikanan, _hiris_, _maredem_, _hinaki_, 
   {{0x825a0011,0xa40301b7,0xe29000a1,0x71c603d2}},	//   _agali_, _मनोयुक्त, _kinaki_, _otvorení_, 
   {{0x422503db,0x838602e4,0x0db40259,0x00000000}},	//   _ayekwe_, _ifornu_, _vingerne_, --, 
   {{0xf201017e,0x00000000,0x00000000,0x00000000}},	//   _diris_, --, --, --, 
   {{0x83a20062,0xe41d01c0,0x036a0062,0x2137003c}},	//   _angpa_, _balaguro_, _lengqoq_, _هیاهوی_, 
   {{0xc37c002e,0xc2010229,0xdf15011e,0xd2df02a2}},	//   _pitanje_, _naziri_, _lendepan, _gaanong_, 
   {{0xd27603ba,0xf6c5030c,0x29800012,0xc29201a0}},	//   _dissembl, _pimalugi, _बिलमैत_, _luwani_, 
   {{0x203b0159,0x2c7c0096,0xa1860043,0x92d9055f}},	//   _абанэнта, _arasara_, _banaawul, _cennete_, 
   {{0xf27e0130,0xf95101d5,0x00000000,0x00000000}},	//   _kinnig_, _hallgatt, --, --, 
   {{0xe2ca013d,0xaee100ef,0xb556002b,0xd2010054}},	//   _kredo_, _قربانيان_, _এক্সেল_, _biris_, 
   {{0x12fd029b,0xc2010433,0x030202fc,0x0b8c00b7}},	//   _maggal_, _pirit_, _ababuze_, _aydimlar, 
   {{0xceb500a2,0xb2910359,0x121b0052,0x32fd02d4}},	//   _عبدالوها, _spaans_, _austráli, _antiers_, 
   {{0xf2cd0360,0xe29201e8,0x622902a2,0xc3f90279}},	//   _televizi_, _hirapa_, _anomang_, _parue_, 
   {{0xb224004f,0xffb501d1,0xf2010084,0x129001c0}},	//   _kokki_, _contacts_, _tiris_, _ainahi_, 
   {{0x34090013,0x23ea00cf,0x00000000,0x00000000}},	// [7160] _قازانتیر, _gufta_, --, --, 
   {{0xd25a02a2,0xb93f00e0,0xad2d0282,0xaa0703ac}},	//   _ugali_, _brulloft, _pahikore_, _sinarnya_, 
   {{0x421c04cc,0x34ce0188,0x060202c9,0xf500002b}},	//   _dathau_, _капитани_, _нетребни, _ছুরিকাঘা, 
   {{0xaf4b0228,0xd35e0003,0xd3ea006e,0xfb9a00cb}},	//   _russiske_, _landelij, _bufta_, _abazesab, 
   {{0x477e002f,0xe20101c5,0x82fd008e,0x126c014a}},	//   _amawtari, _dirir_, _daggal_, _rakott_, 
   {{0x120100c3,0xdecf023a,0x43eb0195,0x50b60397}},	//   _viris_, _pesiazon, _leatha_, _asemadol, 
   {{0x4db60040,0xaed401f4,0xf2b501be,0xad390139}},	//   _סינטטי_, _kelishin, _kondice_, _chramaṇā_, 
   {{0xa1c6045c,0xb20002f6,0x4aa701ce,0x4e7f0076}},	//   _otvorená_, _labis_, _رازآلود_, _облечена_, 
   {{0xf29001c5,0xbc0f0261,0xa2ca0321,0xc1690297}},	//   _arkaan_, _instruis, _gredo_, _berendä_, 
   {{0xd6810158,0x36870145,0xa292032d,0xd37a0251}},	//   _चालान_, _выпускан, _dirapa_, _guracan_, 
   {{0xa3eb031a,0xea5302cb,0xb29000bc,0xcdbf00e7}},	//   _beatha_, _kolegama_, _kajaba_, _ailingma, 
   {{0x43440118,0x12ca00a8,0xcc8d07ae,0xa5660040}},	//   _mirembe_, _ruedi_, _मंत्रमुग, _שבוצעו_, 
   {{0x22ca0014,0x520103f8,0x82910055,0xac6e023e}},	//   _suedi_, _liriq_, _argani_, _dijupuk_, 
   {{0x4be00138,0xf23f0081,0x731704df,0xa2da022f}},	//   _adresler, _bankaráð, _bulandy_, _streso_, 
   {{0xcc4e012c,0x6dff01b0,0xdc84006e,0x062402c9}},	//   _نمونو_, _tandinga, _benefisu_, _spitalul_, 
   {{0x224800f7,0xaa2b00ae,0x50e70205,0x00000000}},	//   _filmon_, _kuncisha_, _ягоналиг, --, 
   {{0x52cb0027,0x72fd0312,0x72000190,0x6056023c}},	// [7170] _stude_, _dreger_, _wabit_, _سپیڅلی_, 
   {{0xf5ba0289,0x12010229,0x2a5203e8,0x2e9a00c5}},	//   _adapelek, _nazik_, _mesečna_, _pétrole_, 
   {{0x0127010f,0x62020017,0x659502fe,0xd2a60004}},	//   _валиев_, _napiš_, _advethay, _asijeti_, 
   {{0x4994008d,0x32ca016a,0xd8320008,0x8ec101a0}},	//   _декабрид, _predo_, _بولموقسۇ, _emintlan, 
   {{0x98260046,0x4201003a,0x42dd022f,0x2de10024}},	//   _تامارا_, _vaziri_, _краху_, _কাৰকত_, 
   {{0x63eb0340,0x4bdf004d,0xdd8a01b4,0x937b01eb}},	//   _meatia_, _四技二專推薦甄選_, _tradisie_, _curasao_, 
   {{0x020100e9,0x02ca015e,0x00000000,0x00000000}},	//   _mazik_, _quedi_, --, --, 
   {{0x581b0192,0xb2e802be,0x21190126,0x00000000}},	//   _포카고수가될려면_, _aaminin_, _корабель_, --, 
   {{0xbc430024,0xbc1702b0,0x30c702d3,0x140a0102}},	//   _যুদ্ধক্ষ, _betriebs, _видиме_, _shinikiz, 
   {{0x62d80145,0xe2910084,0xe9c1011f,0xf394005b}},	//   _sniego_, _kabaya_, _idelguap_, _atnskk_, 
   {{0x52010193,0x33f90240,0x2230020b,0x8930003e}},	//   _mirip_, _karua_, _atamela_, _atamelet, 
   {{0x09a4014e,0xfaf60240,0x0a040525,0x0291019f}},	//   _април_, _carragee, _कुप्रचार_, _mabaya_, 
   {{0x83020557,0x6a960425,0xbc7f021c,0x53f90282}},	//   _ababeke_, _ئایفون_, _jogurty_, _marua_, 
   {{0x23be02eb,0x225a02f8,0x62f10119,0x00000000}},	//   _доргиоло, _ngalu_, _miesbach_, --, 
   {{0xd34a002e,0x0c94039e,0x097800e7,0x42f70026}},	//   _između_, _naturleg_, _affingst, _medisch_, 
   {{0x42ca03a7,0xdc4f0319,0x92b700f4,0xe3410239}},	//   _vtedy_, _vótalo_, _genderc_, _topenga_, 
   {{0xc386053f,0x6d7101a4,0xa4ce0187,0x6e92004d}},	// [7180] _awasirux_, _akamwisa, _виновник_, _思考的技術_, 
   {{0xe20003a1,0x93490109,0xe4fa015e,0x5291050a}},	//   _abbia_, _absenci_, _короткон_, _babaya_, 
   {{0x12000117,0xa3f9012c,0xfebe00e2,0x00000000}},	//   _rabis_, _barua_, _fernijen, --, 
   {{0xfd7e0169,0x71c603d2,0x2c2c02f3,0x2a10015e}},	//   _নিশ্চয়ই_, _otvorený_, _resenäre, _alcaldia_, 
   {{0x1f280148,0x92e00247,0x9f620101,0xabf50425}},	//   _永續發展與環境教, _dienggo_, _companie_, _دووجه_, 
   {{0xf12c00d9,0x1224005b,0x9e690151,0xe6200182}},	//   _картинке_, _kokko_, _abactina, _soloweni, 
   {{0xabff01cb,0x34f400be,0xeaf2028f,0xd7ae008d}},	//   _yangenar, _ايكۅلدۉن_, _kairehit, _abduqodi, 
   {{0x420100cf,0x907002ec,0x525a0334,0x725a00f1}},	//   _garii_, _وُپھاں_, _agalu_, _laklas_, 
   {{0x32640073,0x927b046b,0xa34c0017,0xe5e6020f}},	//   _amulon_, _bersonol, _kabelem_, _عاملینو_, 
   {{0xd2d9068f,0x02fd00ee,0x92df030d,0x05d00126}},	//   _kauen_, _zerga_, _veriblər_, _централі, 
   {{0x40ad025b,0xf20100cf,0x1e180320,0x7d1b02ea}},	//   _gentukór, _barii_, _hetelela, _spendere_, 
   {{0xad110025,0x425a0039,0x52d1013b,0x62d9009b}},	//   _kevalaṃ_, _saila_, _wittlich_, _dauen_, 
   {{0x7b0c00bc,0x1200030d,0xec2200bd,0x76a80311}},	//   _نادیا_, _cabir_, _exerceis, _ብዕድመን_, 
   {{0x0201000f,0x729200a4,0xa14704c7,0xe32002ff}},	//   _tarih_, _mirada_, _запита_, _golyat_, 
   {{0xc2530060,0x6658019a,0x02d902eb,0xcc6102dd}},	//   _بىرسىمعا_, _brakkfai, _nauen_, _intuża_, 
   {{0xbc1901ad,0x00000000,0x00000000,0x00000000}},	//   _parapher, --, --, --, 
   {{0xbbf402bb,0x1b5901e1,0xed0a0239,0x4f1e0242}},	// [7190] _akceptac, _хөкөм_, _akarakar, _avstriya, 
   {{0xe0bb04c3,0x42d90473,0x7dfd02cf,0x60600337}},	//   _ndhmoney_, _bauen_, _средните_, _lojistik_, 
   {{0x62d800d5,0x03f40075,0x3326005e,0x1c6e02b9}},	//   _malemy_, _fittur_, _كاۋىپى_, _tanulok_, 
   {{0x745f0193,0xa011017c,0xc4e60135,0xfe29014e}},	//   _dibentuk, _handdato, _багучы_, _чекало_, 
   {{0xf0700444,0xea6c004b,0xbf77022d,0x606f0149}},	//   _квартире_, _boafrika_, _mancavan, _nkụkọrịt, 
   {{0x8396009a,0x32380041,0xb73e01af,0xa291027f}},	//   _پاسپورټ_, _ирныҧшуа, _analitig, _bizana_, 
   {{0xfb8b018d,0x0d4d017f,0xa2fd0212,0xcc0b002f}},	//   _ክንገልጽ_, _susassaq, _terga_, _campero_, 
   {{0xf25b0364,0xaa5004bd,0xab6b0244,0xec670082}},	//   _seelen_, _halelana_, _batteria_, _hukunta_, 
   {{0x9db40673,0x7b350326,0xca990113,0x00000000}},	//   _okungena, _arwadzis, _dhrugaí_, --, 
   {{0xd45e0171,0x529005b1,0x3b99005e,0x535102fd}},	//   _pružaju_, _oznamy_, _روياپقا_, _grafail_, 
   {{0x2278016d,0x243600ee,0xcc6401be,0x3f410299}},	//   _испатлап_, _honanzko_, _smetanu_, _جەميەت_, 
   {{0x59fc014a,0x1a0e003b,0x529204d8,0xf70a00d1}},	//   _betegség, _bawacoca_, _kirada_, _ঠোঁটেৰে_, 
   {{0xa466065c,0xbe200013,0x3201041e,0xb169038b}},	//   _kusebenz, _قلندری_, _varii_, _terindah_, 
   {{0x59da0092,0xf07603ce,0x32f300f2,0x2b8a0213}},	//   _ウェブログ_, _سێباستیی, _aktieru_, _босой_, 
   {{0x120100cf,0x90fa04ad,0xfece0347,0xb1650204}},	//   _tarii_, _bathesel, _addision, _идите_, 
   {{0xf39800be,0x8317005b,0x30530097,0xee7300e6}},	//   _ئشتەلكەن_, _weezer_, _kristien, _limitées_, 
   {{0xf3800450,0xdc760179,0xf1900183,0x0bd10281}},	// [71a0] _marren_, _misuems_, _faralahy_, _bygdeser, 
   {{0x02000242,0x937f034c,0xb87c027f,0xc26f0141}},	//   _sabiq_, _finalga_, _arayirag, _ekanligi_, 
   {{0xb2bf012c,0x01b00122,0xc1e200c1,0x2e0c0350}},	//   _امداد_, _تنبلی_, _पाझरे_, _cendiaka, 
   {{0xb9de0099,0xe543005e,0xb3a702ba,0x25620061}},	//   _abatanid, _نەۋائى_, _захоири_, _마련입니다_, 
   {{0x492706ae,0xd2290363,0x1466014c,0xda8d01b8}},	//   _mediodía_, _håkon_, _busebenz, _printses, 
   {{0x79130091,0x02920338,0xe377005e,0x620c0156}},	//   _annagahu, _virada_, _قىساس_, _עבֿרריתּ_, 
   {{0x422403e6,0xac6c05a5,0x92020148,0xb200022b}},	//   _locke_, _dakujem_, _mariti_, _abbin_, 
   {{0x7a5204bd,0x7e480090,0x5ca902f6,0x2d94045b}},	//   _gilegala_, _achatiba, _misyoner, _foretatt_, 
   {{0x23fa05a7,0xc435005e,0x0344003f,0xe45f0331}},	//   _datums_, _ﻗﯩﺰﺯﯨﻖ_, _dibejbe_, _forvitin_, 
   {{0xe2850410,0x13400044,0x727f014d,0xccbf008d}},	//   _mathomo_, _bladder_, _eignet_, _yuritmoq, 
   {{0x420203d5,0xd23404bb,0x7d960091,0x9f6a02e1}},	//   _arrish_, _khammee_, _magligaa, _anabaian, 
   {{0xc6960020,0x72ca011c,0xc35503e6,0x9a1101d7}},	//   _kapeteni, _guedj_, _gepecht_, _carschiu, 
   {{0xa25a046b,0x8e6f07af,0x92900485,0x86220630}},	//   _naill_, _गर्भाशय_, _væsentli, _gttravel_, 
   {{0xa38000e2,0xba2b0244,0xc83f035c,0x57ee00e7}},	//   _harren_, _образува, _hallingd, _aduating, 
   {{0x43c00595,0x47e100f2,0xf737037c,0x85390513}},	//   _प्रस्तुत_, _pamatizg, _persarum_, _leyintsh, 
   {{0x7e190369,0xcec10087,0xfa1e00bb,0xb24c004d}},	//   _getesema, _eminhlan, _ڈسپلنری_, _預防勝於治療_, 
   {{0xf2900462,0x32ec03bf,0xd201023b,0x332101b5}},	// [71b0] _asgay_, _antioke_, _dariu_, _easyv_, 
   {{0xc3bb03e9,0x0e5001fe,0xf3190062,0xa83e02cf}},	//   _ilçihana, _matakala, _minchaj_, _динка_, 
   {{0x02250257,0xe2dd0255,0x8a3900b7,0xbe190020}},	//   _elska_, _parooli_, _верени_, _ketesema, 
   {{0xf9cd0192,0x11ab00c7,0xe3410159,0x7201040f}},	//   _비밀번호찾기_, _açılmıy_, _kliento_, _nariu_, 
   {{0x03a902f6,0xa2890192,0x950c0079,0xe25a02c2}},	//   _magaling_, _dankzij_, _datorteh, _naald_, 
   {{0x1c7d01e5,0xae9502d6,0x079b0163,0x2c6901fc}},	//   _amuseya_, _кучайиб_, _fantáziá, _shartil_, 
   {{0x08700502,0x2648063c,0x1fd500b4,0xdb88029d}},	//   _newcomer_, _सनसनीखेज_, _diferenţ, _alcoolic, 
   {{0x72e6046f,0x3b64005e,0xb25b0127,0xbb6c0061}},	//   _stonnen_, _ﺋﺎﮔﯧﻨﺘﻠﯩ, _amaleg_, _우리나라도_, 
   {{0x1f180079,0xeaee00ea,0x4e13046f,0x1daa0126}},	//   _emocionā, _hindouis, _tonemapp, _найдорож, 
   {{0x223700a6,0x2c7c0281,0x9d8d0220,0x0fa40195}},	//   _وارثان_, _asasara_, _napoleta, _dhalabro, 
   {{0xc29101fe,0x56990193,0x03b601cd,0x63a20278}},	//   _tabana_, _नागरिकां, _хайрон_, _eropah_, 
   {{0x8a07038b,0xc61602d4,0x2bb8005e,0x020101c8}},	//   _sifatnya_, _renovazi, _ﺑﺎﺯﯨﺮﻯ_, _rodič_, 
   {{0x3296010d,0x52680205,0xc2c203d0,0x00000000}},	//   _स्थानावर_, _iyundagi_, _šalica_, --, 
   {{0x63ea002f,0x02d90318,0xa83f0222,0x7e7f0139}},	//   _runtu_, _gauee_, _animateu, _arjunaṃ_, 
   {{0x2aab018d,0x82ca022e,0x0256002b,0x2c52001e}},	//   _መፍትሒኡ_, _creda_, _সূত্রঃ_, _itatuwa_, 
   {{0x825f0174,0x43ea0111,0x2fe100ca,0x7293040e}},	//   _boboledi_, _puntu_, _sovietic_, _forklar_, 
   {{0xf25a0195,0xefa60061,0x739501da,0xad5a0109}},	// [71c0] _caill_, _메이저리그_, _presim_, _भेषभुषा_, 
   {{0xba93032d,0x52b4018b,0xe6810087,0x7c930156}},	//   _фондын_, _sincer_, _haverisi, _בײַגעווע, 
   {{0x12940022,0x1f390165,0xa2ca04e3,0xce4d0287}},	//   _akhademi_, _bulumaka, _ureda_, _relaxace_, 
   {{0x04b3014a,0x4073004a,0xc1ca014e,0xd477017a}},	//   _jellegű_, _фунты_, _истакнут, _карера_, 
   {{0xa3ea0212,0x82ca04c7,0x0c2301b2,0x82fd037c}},	//   _hunts_, _sreda_, _closenes, _tergo_, 
   {{0xc25a01ac,0x62ff05b9,0x466b0153,0xb5a1036b}},	//   _gaile_, _rosiner_, _投票はありません_, _идивидуа, 
   {{0xc3490193,0x73eb0225,0x9929009a,0xf9d300a5}},	//   _baterai_, _emetaw_, _akumiswa_, _iteleina_, 
   {{0xf63702cf,0x6add02b3,0xac520170,0x63ea007b}},	//   _парична_, _dumbría_, _atatuwa_, _dunts_, 
   {{0x625b00bd,0x82490277,0x0d3e0220,0xcb1900b9}},	//   _feelin_, _seamed_, _прозорци_, _ketaatan_, 
   {{0xa25a004f,0x42f3003d,0x1a53043a,0x87a3019d}},	//   _jaale_, _dominat_, _diletama_, _akhulupi, 
   {{0x739003d0,0x12920270,0xc9ba0187,0x726500e6}},	//   _الحميد_, _hepate_, _esperava_, _白蚁防治所_, 
   {{0x12900399,0xf2010249,0x32d9000e,0x6ef60137}},	//   _hakato_, _narim_, _devent_, _хакухо_, 
   {{0x429001fa,0x625a0275,0x33ea019a,0xe2f3001d}},	//   _kakato_, _faale_, _aunts_, _nominat_, 
   {{0x92010150,0x225b04c3,0xd625009e,0x51f5003b}},	//   _harim_, _ceelin_, _combustí, _atizuzel, 
   {{0xc2010117,0x1c16026c,0xc2b40342,0x9877002c}},	//   _karim_, _請輸入下圖所顯示, _cheche_, _bizimodu, 
   {{0xc1b80046,0x42a601bb,0x79d300a5,0xf2da0272}},	//   _биргелеш, _bilbil_, _ateleina_, _aganene_, 
   {{0x4fe80193,0x7c080044,0x39050043,0x72980311}},	// [71d0] _ध्यानात_, _recorded_, _agabakuu, _ኣረፋይነ_, 
   {{0x986c02f0,0xa5c9007a,0xcfcd01d5,0xc75204ec}},	//   _nemiband, _pembedah, _بارڈر_, _aringing, 
   {{0xf2cb013d,0x13e303d9,0xff3901fe,0x083e0368}},	//   _studo_, _alimanak, _pulumaka, _симка_, 
   {{0x491c048a,0x129100ad,0x72910057,0xb1c30237}},	//   _химиялық_, _sabada_, _izwan_, _공기정화식물_, 
   {{0x128a03a0,0x24ae020a,0xd4c3016f,0xfb4e0418}},	//   _baratani_, _айындағы_, _ненавидя, _hataları_, 
   {{0xedff004e,0x066a00a8,0xec3000db,0xf2ba0103}},	//   _landinga, _chavriel_, _reisimis, _handisi_, 
   {{0x32010245,0xc3a10148,0x49f40171,0x777d0291}},	//   _barim_, _按這裡下載附加檔, _izvlačen, _بلازا_, 
   {{0x97970170,0xd1bd02eb,0xc581004b,0x329100b2}},	//   _adawachi, _тараажээ_, _европаға_, _gababa_, 
   {{0x0f0a00e6,0xa254070b,0xebb20131,0x60b600e6}},	//   _以邓小平理论和_, _संकेतक_, _cisteína_, _财经连环画_, 
   {{0x330c0034,0x8dce0368,0x9e5100a2,0x37d70059}},	//   _ávallt_, _лицем_, _watazama, _campeggi, 
   {{0x6bf20092,0xda290079,0x4a7101fa,0x39760541}},	//   _シンポジウム_, _dienestā_, _mamanava_, _pronadje, 
   {{0xc379036e,0x385100c4,0xae090025,0x86bc02fe}},	//   _chiripam, _پکيڙڻ_, _candrama, _lokushiy, 
   {{0x8f6601f9,0xf2910456,0x5fa6004d,0x662a0399}},	//   _ekubonen, _azwan_, _gravitas_, _pisinisi, 
   {{0x23ea0064,0x977006a6,0xbfa40187,0x7e3d000c}},	//   _punts_, _abuhlang, _недоволн, _аракьаҽы_, 
   {{0xa2010013,0xb42401c0,0xa2fd0148,0x0d09040e}},	//   _yarim_, _amosanin_, _perge_, _baroniet_, 
   {{0xe367000d,0xf21702d3,0xf26d007f,0x9f690153}},	//   _kustutam, _другиот_, _awron_, _鹿児島大学工学部, 
   {{0x16520244,0x553400be,0x382a0059,0x07a0018e}},	// [71e0] _стига_, _اسماندىن_, _затворни, _khotavux, 
   {{0xd2010247,0xac7c0184,0xc7040040,0x6499002b}},	//   _narik_, _arasira_, _טרגדיה_, _লাঞ্ছিত_, 
   {{0xe29102a2,0x3a900154,0x329201c5,0x4ece02a4}},	//   _bababa_, _снопь_, _diraya_, _dedition, 
   {{0x02d80082,0x092d0059,0x92700200,0xf29102af}},	//   _menene_, _постиган, _programụ_, _cababa_, 
   {{0xe2ca0223,0x02e501c5,0xf1e30213,0xb2b50259}},	//   _eredu_, _jannada_, _леонидов, _vindere_, 
   {{0x765503d8,0x42010176,0x23ae0060,0xcd910233}},	//   _poremeća, _sarim_, _молдағұл, _negligea, 
   {{0x12010255,0xd2a70130,0x3e840297,0xdecc01ad}},	//   _parim_, _arabat_, _властен_, _lodigian, 
   {{0x197e0188,0xe92c0125,0xca4901c5,0xf3ad0040}},	//   _урупо_, _тогтатма, _meydadka_, _לסכום_, 
   {{0x82010242,0x06830193,0x62c101f1,0x62da00e4}},	//   _nazir_, _लिलाव_, _fillova_, _anteny_, 
   {{0xf29100cf,0xff37041d,0x43560044,0x430d00ee}},	//   _sababa_, _pristupa, _parents_, _halaber_, 
   {{0xbfbe02d8,0xc2ca0372,0x32240079,0x22010125}},	//   _प्रकारचे_, _credu_, _laikam_, _hazir_, 
   {{0xfa2000de,0x74360059,0x1f3603e0,0x82910084}},	//   _مسلمانان, _хартия_, _waassera, _kabaca_, 
   {{0x3bdd02d5,0xa26201e0,0x9724026b,0x1f41034c}},	//   _तहिया_, _جاشقه_, _brasileñ, _armsport_, 
   {{0xa9e40761,0x04d70008,0x36de030a,0xd2250393}},	//   _afundisa_, _батасы_, _carballi, _čekaj_, 
   {{0x02ca02bd,0xe2ae00f2,0x663e00ff,0x012d020e}},	//   _gredu_, _gatavoša, _הסכּם_, _һатты_, 
   {{0x39ce00b7,0x820a0008,0x73950304,0x3f6e0361}},	//   _telewide, _радиосун, _anasir_, _умарова_, 
   {{0x484c00d1,0xed0906c0,0x00000000,0x00000000}},	// [71f0] _ডাকঘৰ_, _cukrovar, --, --, 
   {{0xf25a0343,0x2d250140,0x52d8005b,0x75db002a}},	//   _naila_, _isinulat_, _benene_, _ntabiany, 
   {{0x9e910019,0x02570169,0xc29102a2,0x523b032d}},	//   _finançam, _যতক্ষণ_, _pababa_, _fellang_, 
   {{0xe23b048c,0x920100b6,0x165201db,0x530c0488}},	//   _gelling_, _marih_, _имансызд, _sadales_, 
   {{0x12010039,0x528c017d,0x11a5004d,0x1b900373}},	//   _barik_, _asakusa_, _而一切留言之言論, _blondulo_, 
   {{0x66ff0062,0x2ea7022d,0xf2e2015b,0xa2dd021c}},	//   _norueguê, _italienn, _kaunsil_, _rybolov_, 
   {{0xdfa20040,0x45a20326,0xe2600040,0x9f5e040f}},	//   _אינסטגרם_, _akarasik, _התחפושות_, _analogiš, 
   {{0xd25a0182,0xc1e90066,0x637f0006,0x1292006a}},	//   _laila_, _програмы, _belanja_, _mirana_, 
   {{0x731d01a7,0x246902da,0x6a24018b,0x60060041}},	//   _магазине_, _годинава_, _deschide, _дшишьыз_, 
   {{0x127f0461,0xf63500a8,0x02910230,0x725a0145}},	//   _signat_, _chanceli, _aswar_, _gaila_, 
   {{0x7b5e0208,0xeb1b00e9,0x9c180282,0x3b190119}},	//   _تاییترین_, _pirasyon_, _netaneer, _kinakaon_, 
   {{0x79aa02eb,0x101a0037,0xe82c0368,0x3ae6002b}},	//   _морин_, _በድንበር_, _поставља, _যাযাবর_, 
   {{0x1b0603c4,0x32fd00bc,0xa8a80060,0x32d9018e}},	//   _академий, _merga_, _қайтарма, _hevere_, 
   {{0x426c0174,0x740f0585,0x929b0242,0x8c3f055d}},	//   _semola_, _potreban_, _aparatın, _meninjau_, 
   {{0x29ce0089,0xa2ea00bd,0xe29202ec,0xa242048a}},	//   _televide, _chuisin_, _jirana_, _كۇللى_, 
   {{0x617701cb,0x42fe034b,0x95c300c4,0xa62b02c5}},	//   _kugandel, _bisines_, _ڪڍيائين_, _aisiriri, 
   {{0x625a000b,0xa2ca0448,0xc2ca014f,0x47b901e0}},	// [7200] _faila_, _bredt_, _sredu_, _گرامشی_, 
   {{0x4b9c036e,0x4d790037,0x119d0061,0x49aa0037}},	//   _achisunc, _ያውቁታል_, _충족시키기_, _እንዳገኙ_, 
   {{0x6c710102,0xbe8b03e6,0x73f100d0,0xe37a0227}},	//   _ڪپتان_, _bestroft_, _ebaluatz, _curahan_, 
   {{0x6db10113,0x100e042c,0xb2c20399,0xb201021e}},	//   _fulaingt_, _stavljen, _imalila_, _arvika_, 
   {{0x22cb000d,0x52d90203,0x32900084,0x72920358}},	//   _suuda_, _affere_, _jajaka_, _ansavo_, 
   {{0x3b9e0163,0x45c2018b,0x0201014b,0xb2fd0241}},	//   _الجزائری_, _salariul_, _qarik_, _eerga_, 
   {{0xe6290231,0x63c802eb,0x738502d3,0x3af301fb}},	//   _facilisi, _системээ, _импресум_, _opprimit, 
   {{0xfc1b0278,0xe9520487,0x2e590126,0xe32000f7}},	//   _damansar, _stylefee, _трактува, _asocias_, 
   {{0xd9f60039,0x12bb0363,0x8e50004c,0x00000000}},	//   _jakintza_, _økende_, _alabudde_, --, 
   {{0x4960043a,0x537b02d3,0x6ac20188,0x2d9e00f7}},	//   _gianagre, _extremam, _чкаловск_, _ekologia, 
   {{0x04720195,0xd20000d2,0x796501e9,0x32900513}},	//   _buntainn_, _enjing_, _fisitswe, _majaha_, 
   {{0xf52e06a0,0x2b190037,0x25960443,0xe2ca0097}},	//   _perpekto_, _ታዳጊዎቹ_, _keretany, _iseda_, 
   {{0x03ea0099,0x52920340,0x4da7028e,0x04b90308}},	//   _waitwa_, _airana_, _praiveta, _membutak, 
   {{0xec670244,0xceb900b4,0x8b99005e,0x32fd0133}},	//   _annulla_, _ofertele_, _دىلناز_, _eergi_, 
   {{0x675f0157,0x92d80318,0x173e007e,0xd3f2008d}},	//   _आरक्षित_, _henele_, _bharatam_, _guruhini_, 
   {{0x53240125,0x5ba00044,0xbafc04b2,0x438003ec}},	//   _аласың_, _ארגנטינה_, _saloobin_, _harron_, 
   {{0x8b9d0377,0x7d8401cf,0x22cb00af,0x91c30203}},	// [7210] _гриндина_, _devenite_, _brudd_, _felicitá_, 
   {{0xf2d90333,0x71b002c0,0xb8fb04d8,0x00000000}},	//   _tevere_, _педагози_, _salaasad, --, 
   {{0xebd403a2,0x925b020e,0xb201000f,0x73f40081}},	//   _नेमीचंद_, _etella_, _cazip_, _fertug_, 
   {{0x7224000d,0x92d700fc,0x481c0092,0x4f2e01de}},	//   _kokku_, _biropmo_, _メルマガ登録_, _уикли_, 
   {{0x625a01c5,0x62ca0172,0x483602ac,0xfc45004d}},	//   _yaala_, _aseda_, _والضلال_, _若有台灣本島以外, 
   {{0x4e5c02eb,0xafc40109,0x93f407b0,0x826c0334}},	//   _бүтсэн_, _पंजिकरण_, _hertug_, _kasiketi_, 
   {{0x92000551,0x411a00c7,0x3e850299,0xa6c60037}},	//   _anjing_, _католикл, _ئۆيۈڭگە_, _kamarudi, 
   {{0xabad0040,0x3a9101b5,0xe318003e,0x997902fd}},	//   _מיקמק_, _ebritain_, _felileng_, _neonithe, 
   {{0xfa8d0039,0x55b80262,0x55dc004a,0xf6c70019}},	//   _frantses, _ahwalaty, _урманнар_, _дубайдаг, 
   {{0x12fd0262,0x82920250,0x6d190488,0xf0b100d1}},	//   _sergi_, _tirana_, _luksofor, _নামঘৰীয়, 
   {{0xe2fd03ac,0x6242005e,0xfe7c038c,0x475c0439}},	//   _pergi_, _جۇملە_, _najmoćni, _kumiwang, 
   {{0x6c6000ad,0xb29e0302,0x7c6a0071,0x8200034a}},	//   _saurang_, _лигаи_, _بیوتکنول, _posibelm, 
   {{0x42fd037f,0x3f930437,0x6a120183,0x833302f9}},	//   _vergi_, _firmapro, _angavoke, _ekwatè_, 
   {{0x32d804af,0x9da100e7,0x416c0403,0x464d002b}},	//   _nyeem_, _acingspa, _basikety_, _হাফসা_, 
   {{0x4eb80244,0x2e6c01a3,0xc2d80189,0x00000000}},	//   _публични, _اڌڙوٽ_, _senede_, --, 
   {{0x629104c3,0x425a006e,0xcf1d01cb,0xd2ff0047}},	//   _lazada_, _waala_, _nobukhwa, _visiter_, 
   {{0x766700da,0x448a0118,0x7a170040,0xc26c019d}},	// [7220] _василой_, _abafirik, _מתקרב_, _alangizi_, 
   {{0x38760289,0xe39601af,0xfc1b0122,0x3c7e033e}},	//   _adanyamu, _gitsem_, _tamansar, _diosnel_, 
   {{0x9c3f011e,0x5af700bc,0xb98f01be,0x30d8022b}},	//   _korperas, _والمسلمی, _गलेश्वरध, _effodeil, 
   {{0x5cb302d0,0xc4f907b1,0x00000000,0x00000000}},	//   _belanged_, _resultó_, --, --, 
   {{0xac510007,0x493802eb,0x4b040211,0x1e550407}},	//   _akotika_, _объектын_, _haarukka_, _izbacuje_, 
   {{0xee2c000e,0xc682040f,0x3f65020f,0x00000000}},	//   _misguida, _juvelyri, _مبارزینو_, --, 
   {{0x295301f2,0x2c2d0192,0x33f9034a,0x48cd0061}},	//   _ۋەيران_, _보여줍니다_, _difuso_, _구석구석을_, 
   {{0x33820179,0x0c590153,0xe34d00e5,0x692b0157}},	//   _gloratim, _グランフォ_, _parecem_, _बलिहारी_, 
   {{0x7161038e,0x62fd02f6,0xa702006c,0x5f4104ca}},	//   _pengelol, _ilagay_, _ababiziw, _glasvega, 
   {{0xd2d80578,0x423c00c5,0xc3440152,0xa0590144}},	//   _xyeem_, _中文处理专家_, _aktivı_, _irishion, 
   {{0x79d10212,0xa07d03bf,0x13730233,0x758c0084}},	//   _videlice, _мансы_, _damaghe_, _keberpih, 
   {{0x3db3036a,0xa5ca05ed,0x32e5012c,0x426d0333}},	//   _kuliniya, _batagish, _mjengwa_, _accore_, 
   {{0x825a023b,0x5621036d,0xa9f204d8,0x7db4040e}},	//   _maalo_, _chrothai, _himilada_, _bloggane_, 
   {{0xb64a0057,0x1d29004d,0x49f60322,0x9d29004d}},	//   _የምስክር_, _全店購物享_, _bakiteza_, _便民警政連結_, 
   {{0xac56007e,0x0d7004f9,0x01c50022,0x130e07b2}},	//   _vartate_, _akimmisa, _автоҡала, _debatir_, 
   {{0x0a1801db,0x46c50405,0xc2390008,0x00000000}},	//   _меруерт_, _укртелек, _ماندولىن, --, 
   {{0xa95a00c7,0x4b7e00c4,0x64ab00fe,0x014502e1}},	// [7230] _балаларн, _بُڻڀياسُ_, _felafoak, _eireabal, 
   {{0xc3b604cf,0x39730178,0x921c016f,0xd9fc013f}},	//   _abavela_, _ananyane, _вручення_, _embregou, 
   {{0x90d50179,0x205901aa,0x81e300e6,0x625a00c8}},	//   _baibinön_, _arishion, _上海外高桥保税区, _kaalo_, 
   {{0x8ff7033b,0x91f501ef,0xc1d90093,0x6eb702a4}},	//   _tekayetš, _дубовая_, _паспорта, _tenebras_, 
   {{0x23f7008d,0xc2910390,0xd5ca020f,0x3855002b}},	//   _таянган_, _bazada_, _bapapash, _চায়নিজ_, 
   {{0x62cd014e,0x8b9b03b7,0x321302bb,0x18d1029d}},	//   _избора_, _amphoter, _kuchni_, _стрикатэ_, 
   {{0x33950130,0x803702ac,0x720201b9,0x59f204d8}},	//   _diasur_, _مُختفي_, _larisi_, _cimilada_, 
   {{0x862c0027,0xd10900bc,0x3ae00326,0x00000000}},	//   _namapenä, _تذکرات_, _haatende, --, 
   {{0xed4b02ac,0x2c7c0184,0x80460291,0xada401b3}},	//   _كرداسة_, _isasira_, _باطنايا_, _мудрого_, 
   {{0xa6670022,0x82e300e9,0x22290363,0x8a75030b}},	//   _латипов_, _lamitie_, _søkte_, _alagaana_, 
   {{0x123001e9,0x822503dc,0xda1600ea,0xa65503bf}},	//   _aramela_, _elski_, _ambadika_, _bochochi, 
   {{0x29aa0013,0xfb640568,0x84b202df,0x027f0256}},	//   _жорий_, _lisensen_, _digalakk, _imanta_, 
   {{0xb30c0626,0xf18a008d,0xed850041,0xfee50193}},	//   _poradit_, _балотелл, _аҽеибнаҭ, _मुक्कामा, 
   {{0xf31802bb,0x30e70189,0x00f105af,0x33c701c9}},	//   _दर्जनों_, _avantajl, _suradnik_, _बहिस्कृत_, 
   {{0x125a0015,0x2daa0156,0xc8750080,0xc2fd0350}},	//   _faalo_, _וואלפסאן_, _ilangalu, _bergu_, 
   {{0x6ac30024,0x8c5901c4,0x225a00b0,0xae4300cf}},	//   _আখ্যা_, _vertrek_, _gaalo_, _ammallee_, 
   {{0x5e730052,0xb6eb01ab,0xcc7d001c,0x35be00aa}},	// [7240] _सुर्य_, _करऽवनी_, _luistro_, _maapalak, 
   {{0xceb1037c,0x9b67031a,0x7b420135,0xd7ae0444}},	//   _accutane_, _innealan_, _мостафа_, _локализи, 
   {{0xa3ae01ec,0x99be01fb,0x48be005f,0xb306034b}},	//   _مزایده_, _producit, _producid, _kakaruk_, 
   {{0xe43900d9,0x449b0092,0xda2a02b6,0x53540076}},	//   _привлека, _代表取締役社長_, _تارتپايد, _aldeias_, 
   {{0x5bdd0287,0xd815014e,0xb6200465,0x272a004a}},	//   _बनेपा_, _рукама_, _doloceni, _газаплый, 
   {{0x1a7a035d,0xe87901d2,0xc2920573,0x500b03d4}},	//   _rukovods, _chancahu, _tiraba_, _списи_, 
   {{0x3643069c,0xf03e053f,0xac0b00af,0xc69b013c}},	//   _podobná_, _khatatin, _uregistr, _aktivlər, 
   {{0x9201002e,0xddd2018b,0x32260317,0xc3550107}},	//   _obzir_, _ителе_, _katkad_, _dijejer_, 
   {{0xcf9c00ff,0xef6504bc,0x73f8044a,0xe175021c}},	//   _פלייצע_, _bysantin, _lukutu_, _impéria_, 
   {{0x2202012c,0x53a201ed,0xd74c005e,0xc28803db}},	//   _hariri_, _ihope_, _سەبۇرى_, _ethafeni_, 
   {{0x22ca035b,0x0c7e026b,0x3c6700a8,0x92d90092}},	//   _uredi_, _trasero_, _annuala_, _levede_, 
   {{0x61660040,0xc9d80024,0xe6810385,0x1dab0183}},	//   _ליקויי_, _মানুহজন_, _uznemiri, _ampindra, 
   {{0x5f5b00fa,0x755601c6,0xd04b0108,0xb2d900d3}},	//   _kakaiban, _fiskersh, _aturanan, _nevede_, 
   {{0xa20102bc,0x32d807b3,0x194b0138,0x22e00139}},	//   _barit_, _senest_, _sipariş_, _सुधीः_, 
   {{0xf25a00a5,0x42bb00e2,0xb2750297,0x3c810235}},	//   _taalo_, _beheine_, _клиплар_, _duritaṃ_, 
   {{0xe20102f3,0xf3400083,0x00000000,0x00000000}},	//   _varit_, _cadeina_, --, --, 
   {{0xd201017e,0xba0b00dc,0x00000000,0x00000000}},	// [7250] _faris_, _fafatala_, --, --, 
   {{0xd8470238,0xd34d0179,0x973a0145,0x1d3a0153}},	//   _заявив_, _setenam_, _балгарск, _コンサルティング, 
   {{0x5202002a,0x834d00b9,0x5ab10067,0xfdb90268}},	//   _kariri_, _meledak_, _asthenos, _ardiffca, 
   {{0x029100ee,0x533300d1,0x88c1016d,0xfa9b062b}},	//   _zabala_, _আম্ব্ৰেল, _һессиятқ, _annieyas, 
   {{0x4eca0183,0x72cb0020,0xa73f0076,0x8dad0142}},	//   _alinalin, _lolomia_, _morreram_, _daridrap, 
   {{0x12020513,0x196c01d4,0x4566015e,0x23f90326}},	//   _varisi_, _accittat, _préstec_, _cheuka_, 
   {{0xc6fa0192,0xc87900f5,0xed38004b,0x60010235}},	//   _실시간환전게임_, _жепакеш_, _biliyone_, _anyonyāp, 
   {{0x43160212,0x719300ff,0x485e051e,0xc24a005a}},	//   _heubach_, _האָקי_, _escritas_, _matmap_, 
   {{0x1b8701fc,0x1af50309,0x5f420363,0x062700e6}},	//   _ankaalâ_, _inteqras, _plassert_, _腾讯网首页_, 
   {{0x730c01c2,0x829102fa,0x86bd03bf,0xa1090276}},	//   _haberá_, _hazaza_, _росалког, _تاجىكلار, 
   {{0xe25a0130,0x19aa010f,0xa3eb0020,0xfef00437}},	//   _izili_, _номид_, _afatia_, _linkedin, 
   {{0x1213003a,0xd202001c,0x637801b8,0xc4a0011f}},	//   _kuchli_, _cariri_, _megahea_, _elizardo_, 
   {{0x125b013c,0x322400e2,0x99520251,0x882d016f}},	//   _uayld_, _jikke_, _billaabe, _допущени, 
   {{0xd2240265,0xdd9d00e7,0x62fd028b,0x572c01cd}},	//   _dikke_, _agingsta, _cacicus_, _тазаккур_, 
   {{0x12b40144,0xc4f30089,0x7e2d01dd,0xc38d0143}},	//   _clocha_, _поганый_, _akagamba, _накратко_, 
   {{0x368c01be,0xe64000bb,0x1a50023b,0xb1570475}},	//   _दरवार_, _بگاڑنے_, _palekana_, _папках_, 
   {{0x329d03b6,0x5b2b00bc,0xd201046b,0x90b503f0}},	// [7260] _gúnlè_, _بزرگه_, _garir_, _farmgjal, 
   {{0xd202032e,0xba66020a,0xe2c1025e,0x434902d5}},	//   _sariri_, _цифрлық_, _andlega_, _antenni_, 
   {{0xf3a202c3,0x335b00ae,0x1d00011a,0x53db019e}},	//   _shope_, _imigaga_, _המחזמר_, _paguosti_, 
   {{0x120100bc,0xe533007c,0x4b8101b7,0xf29c00af}},	//   _karir_, _lisisakh, _दृढम्_, _запросив_, 
   {{0x705803b0,0xc2e2011a,0x00000000,0x00000000}},	//   _প্রজননৰ_, _בחניון_, --, --, 
   {{0x1cad0022,0x9d82011b,0xc383009a,0xb35503f7}},	//   _проектты_, _landrine_, _benyewe_, _ellegar_, 
   {{0x8fe30092,0x0d8a0181,0xc9df0028,0xf2d9046f}},	//   _ストレッチマン_, _varetage_, _doolarka_, _kennste_, 
   {{0xa25a00de,0x425a0119,0xacef0061,0xbc3604ca}},	//   _ezili_, _saale_, _해외여행용_, _giosuè_, 
   {{0x9c43023d,0xaec7032d,0xc95300ec,0x8e4e01e7}},	//   _гледания_, _badilwen, _praleist, _garagena, 
   {{0xdd50020f,0x72c30267,0x6cf700db,0x82910176}},	//   _دجوزجان_, _toplana_, _lastetar, _gogatu_, 
   {{0x038003ba,0x752503f5,0xa20202e4,0xf5cc0582}},	//   _barran_, _aparelho_, _pariri_, _ogharany, 
   {{0x7de302ac,0xa5a6008f,0xd4880417,0x923200db}},	//   _لإزالة_, _गराते_, _insgelyk, _odavamal, 
   {{0x9201001d,0x24040117,0xdb66018e,0x82990037}},	//   _carir_, _situesen_, _heirsiwa_, _ሶማሊያውያን_, 
   {{0x2291010b,0xe2b403ab,0x22ca018a,0x52020265}},	//   _mabaka_, _plocha_, _beidio_, _acties_, 
   {{0x943600ff,0x645d02da,0x223b022b,0xf1de01ac}},	//   _בילבול_, _navegaçã, _kelling_, _daingniú_, 
   {{0x41e70074,0xe2cc02f6,0x5b1f012d,0xe2f10247}},	//   _алюминие, _maglaro_, _undastan_, _arrifni_, 
   {{0xb744014a,0xad0100ea,0x68060076,0x084a0143}},	// [7270] _انسانیت_, _tsotsotr, _чуствува, _копка_, 
   {{0x40470276,0x23440437,0xbb9700c7,0xb2920138}},	//   _кислата_, _dyreste_, _alınmaga, _paraya_, 
   {{0x4dad05c1,0x520602c3,0xd2910082,0x8380033a}},	//   _kesilapa, _cudziesl, _habaka_, _barrin_, 
   {{0xcf49005b,0x96df023c,0x7b16014f,0x0b8503b7}},	//   _sapphire_, _ababanji, _академск, _affitigr, 
   {{0xb765026f,0xdcca00f5,0x920e015e,0xf2ec0181}},	//   _ءﺳﯩﺮﺍ_, _акдырып_, _калаа_, _antikke_, 
   {{0xf29201c5,0x829e0045,0x99f800d2,0xca75058b}},	//   _taraya_, _ритам_, _kukituna_, _blagdana_, 
   {{0xa97202b5,0x12e30249,0xe3bb04c7,0x025a007b}},	//   _gyanghae, _kauntim_, _stavros_, _baalc_, 
   {{0x0c70054d,0x80fc00b7,0xc89200bf,0xa22501ef}},	//   _forside_, _аламатың_, _двойного_, _адвольна_, 
   {{0xd29100ae,0x188c0037,0x40590060,0x63050466}},	//   _kabaha_, _የተጣለበት_, _جانتالاس, _vezanim_, 
   {{0x6496046d,0xaa1501ea,0x0209000c,0xdc000110}},	//   _tshanduk, _евстафее, _jaroviár, _jansons_, 
   {{0xf9bd00c5,0x726c02cf,0x04a40311,0x97b6036b}},	//   _中国气象局_, _denovo_, _ዝደፋፍእ_, _металист_, 
   {{0x729103ba,0x620102ee,0xd20e0035,0x21770161}},	//   _babaka_, _parir_, _рашат_, _проработ, 
   {{0x32da028f,0x1a030234,0x00000000,0x00000000}},	//   _ripeka_, _tirè̟_, --, --, 
   {{0x47780302,0xb9600623,0x580c014f,0x18c90311}},	//   _ngokweng, _रामनगर_, _посланиц, _ንምኽዋል_, 
   {{0x797a037c,0x031901e9,0xd94102c6,0x47cc036b}},	//   _muzikart, _ledileng_, _fallente, _контрара, 
   {{0x92910240,0xf7220178,0x329104d8,0xc2e700ae}},	//   _tabaka_, _acetasam_, _aabaha_, _ikinono_, 
   {{0x87c30275,0x42910264,0x1fad01c8,0x68580270}},	// [7280] _atufugag, _babaha_, _nekompro, _sparnios_, 
   {{0xb29202ec,0x626c00f0,0x7e8a026f,0x820101f4}},	//   _qaraxa_, _cenovo_, _تاشەكەنت, _sariq_, 
   {{0xf27e0118,0x43eb05e7,0x34750408,0x2290023b}},	//   _yenna_, _igatja_, _nipetrak, _makapo_, 
   {{0xecfe0014,0x927e0139,0x425a0133,0x81c3022d}},	//   _ክንመላለስ_, _cenna_, _haala_, _felicità_, 
   {{0xb2fd011d,0xb50900de,0xe27f03d5,0xf34402c7}},	//   _mergi_, _نصرالدين_, _downie_, _anreise_, 
   {{0x7ec40046,0x4b1a011c,0x36660022,0xa201017f}},	//   _буйруса_, _dogaloon_, _клубтарҙ, _farip_, 
   {{0xb2010189,0x8d7b02ca,0x3d0900d1,0x8ba900b7}},	//   _garip_, _spamfree_, _নামিবলৈ_, _berkýary, 
   {{0xad8e017a,0x193500e6,0xa319010b,0x7327003c}},	//   _оппозитс, _省科学技术厅_, _fedileng_, _ژامبون_, 
   {{0x827e03dc,0x129103b4,0xac3005f4,0x8afa009c}},	//   _renna_, _mazana_, _antisuyu_, _diusmant, 
   {{0xe3f80188,0xd2920119,0xd3fe0118,0xd2fc0095}},	//   _abaziyo_, _daraga_, _amaziya_, _asesirah_, 
   {{0x522e03db,0x22bb0400,0x23a20076,0x663e00cd}},	//   _akavumel, _ammente_, _ibope_, _chistell_, 
   {{0x4c79016d,0x4d710028,0xcb1002c7,0x00000000}},	//   _بولدىلا_, _shimbira, _reisezie, --, 
   {{0x8237000a,0x825900f7,0xa2cb00b0,0x9b2500b7}},	//   _raajat_, _עקידת_, _suudi_, _кураның_, 
   {{0x55320052,0x07490261,0x86870078,0x19310162}},	//   _बम्बई_, _milionoj_, _нацизма_, _نورمالسى, 
   {{0xf942021e,0xd6070193,0x7aec00d1,0x49530037}},	//   _toalette, _ब्रह्मचै, _কৰোঁতেই_, _ይዘረዝራል_, 
   {{0x8d95030c,0x977d02ac,0x72d90127,0x02370619}},	//   _aniliraa, _بلوزة_, _deveze_, _trajnu_, 
   {{0x1e54001b,0x42f001ca,0x26210040,0x4f53018c}},	// [7290] _disaccha, _diniddi_, _וכדאי_, _grappige_, 
   {{0x7f0402a9,0x11140169,0x90ef0228,0x7434035d}},	//   _мудрых_, _বিছানায়_, _eventyrl, _kupatilo_, 
   {{0xdc7c02a6,0xe0330064,0x9e1401ef,0xc2920418}},	//   _verrons_, _бороон_, _неславян, _tarafa_, 
   {{0x44b600fb,0xa2120238,0x6b1900f4,0x3a0e00ac}},	//   _ababolek, _helhet_, _bedalenn_, _kobasica_, 
   {{0x4bf4004b,0x9c720109,0x52910243,0x0367031c}},	//   _amfolopo_, _akorát_, _labhaay_, _cargado_, 
   {{0x52d80487,0x69c1013e,0xa3a300ac,0xca090243}},	//   _genomes_, _izrešeta, _dvaput_, _mabakina_, 
   {{0xa29202ec,0x32a9011f,0x629106a2,0x536502e1}},	//   _darada_, _даниҿцәа, _bazana_, _leagain_, 
   {{0xa4aa024c,0x2d1700a4,0xac34018d,0x034e0261}},	//   _kwalità_, _тармагы_, _ንኣንስቲ_, _ceteraj_, 
   {{0xc2fc01d9,0x8c6701a7,0x87a80057,0x132b0265}},	//   _mengen_, _minulla_, _ተቀምጧል_, _richting_, 
   {{0xfb270138,0x1e9b0235,0x9c7601eb,0x2109019f}},	//   _cumartes, _भारतीये_, _choroti_, _kuchagul, 
   {{0xcfb8017d,0xf2e9017e,0xdf3f023c,0xf3eb0074}},	//   _産学連携組織_, _familio_, _دسرحدي_, _laatua_, 
   {{0x12ca03f2,0xe292017d,0x36480037,0x4dfe01b2}},	//   _muiden_, _harada_, _አልታየም_, _amidship, 
   {{0xebb2016d,0x919300e7,0x12920092,0x90610257}},	//   _ئېنېرگىي, _alkanoyl, _karada_, _forsetin, 
   {{0x02010390,0xa2010338,0xd2010377,0x468d0218}},	//   _tarix_, _abriu_, _scrie_, _appendix, 
   {{0x22f0005a,0x61c800d9,0xb362012c,0xc2920018}},	//   _biniddi_, _грузопер, _inategem, _saraga_, 
   {{0x929200bc,0x6e64024a,0xa84d0361,0x00000000}},	//   _paraga_, _olupinnu_, _базаршка_, --, 
   {{0x32fc01d9,0x22ac0095,0xa8a4018d,0x0f140040}},	// [72a0] _dengen_, _sawisé_, _ዝዓነወት_, _מנדטים_, 
   {{0xf41301e0,0xcc2a0368,0x3049034c,0xe14f01c9}},	//   _هانده_, _историјс, _режимда_, _गङ्गाजल_, 
   {{0x69fe0044,0x5f3b0356,0x35e50096,0xa29001c4}},	//   _כוסברה_, _autunaka, _amacansh, _bemark_, 
   {{0xfc0b0273,0x614100a2,0x299b0322,0x00000000}},	//   _tampoco_, _kipengel, _abikesha_, --, 
   {{0x829200b3,0x47170625,0x12870191,0x9eb3014a}},	//   _barada_, _stolička_, _enskild_, _mármint_, 
   {{0x3b9703d4,0x72fc01a7,0x328c0067,0xb29200ad}},	//   _семинара_, _hengen_, _baaburri_, _raraga_, 
   {{0xf2dc01b5,0x42e60314,0x00000000,0x00000000}},	//   _golonyi_, _бабсаҡ_, --, --, 
   {{0x51920041,0xbbf60139,0xe052005e,0x49cc02f7}},	//   _амнонито, _प्रथमो_, _مەريەم_, _bolokiwa_, 
   {{0xd315006f,0x3e000247,0xb5600360,0xe847032b}},	//   _kimbari_, _استراتژی, _elektřin, _җачалиқ_, 
   {{0x4141014f,0x4a58023a,0x00000000,0x00000000}},	//   _идентите, _recepcia_, --, --, 
   {{0x25490037,0x00000000,0x00000000,0x00000000}},	//   _አልቆመም_, --, --, --, 
   {{0x029203ee,0x1eaa01f3,0x8a090357,0x33330137}},	//   _zarada_, _nedohodn, _yabakina_, _торниж_, 
   {{0x6c0402fe,0xf292013c,0x5f3b03b9,0x9201023e}},	//   _abasezi_, _yarada_, _qutunaka, _abrit_, 
   {{0x26470094,0xe2ed0227,0x595e00e6,0x07730361}},	//   _تۇراعىم_, _seindah_, _广州大家乐男仕公, _бовлар_, 
   {{0xf49d0092,0x3d760019,0x7c580554,0x135d0360}},	//   _ランキングへ_, _бассам_, _upitnik_, _सहुला_, 
   {{0x52240255,0x1a270076,0x9a9901f3,0x94570088}},	//   _pikka_, _предци_, _nepustí_, _динлин_, 
   {{0xc2500141,0x435b016d,0x63f400ac,0x22fc00df}},	// [72b0] _демак_, _авамниң_, _unutra_, _devient_, 
   {{0x92a701e8,0x22fb018d,0xdec50420,0x00000000}},	//   _crabbe_, _ምሽብሻብ_, _relogios_, --, 
   {{0x6b1c013a,0x7dff012a,0x84b80235,0x00000000}},	//   _gewannen_, _folderze_, _निवेदनं_, --, 
   {{0x9f0d00c5,0x04fd0071,0xaeb80212,0x8572042a}},	//   _中华人民共和国民, _وجودم_, _tenebris_, _bunjiniy, 
   {{0x6b3c017d,0x03340462,0x335f0120,0x3b1200d1}},	//   _解決済みの質問_, _aoschay_, _yangale_, _পূৰবী_, 
   {{0xe2900183,0x9b180095,0xf88500bb,0x02a80046}},	//   _sakafo_, _kacangan_, _مذھبی_, _египетти, 
   {{0x97ae04ec,0x00000000,0x00000000,0x00000000}},	//   _sindazig, --, --, --, 
   {{0x727e01e9,0xfebb01f4,0x5201015e,0xf7e400e6}},	//   _senno_, _تعریفی_, _obrir_, _情为民所系_, 
   {{0x8fb600ba,0x00070060,0xa16f026b,0x7fc200da}},	//   _دۆکومێنت, _تىرىلگەن_, _অনুজায়ী_, _valorilo, 
   {{0x8fdd01e0,0xa37d01e8,0xd887006c,0x00000000}},	//   _تاریکایی_, _kagahub_, _баланде_, --, 
   {{0x120101b2,0xc68f0094,0xf22d0307,0x86bc0140}},	//   _incise_, _العانبىز_, _ayivulel, _aanunsiy, 
   {{0xa21201d9,0x99bf012e,0x820100df,0xb2d9016a}},	//   _ascht_, _kimenete, _abris_, _devene_, 
   {{0x2634028c,0x4183004b,0x33cf0267,0xd97f006d}},	//   _कोंहार_, _джанни_, _dnevnu_, _аднімаюц, 
   {{0x7863054f,0x43020322,0x22fd012c,0x692f01e9}},	//   _haistias_, _akabuye_, _makaburi_, _imemiset, 
   {{0x65dd0192,0x8dce032d,0x1ff400e6,0x00000000}},	//   _처갓집양념통닭_, _китер_, _走新型工业化道路_, --, 
   {{0xe698000d,0x914f00e4,0xd27e03a2,0x3c670081}},	//   _ametikoh, _samoloty_, _cenne_, _festast_, 
   {{0x124a019d,0xe35f0201,0x818c0003,0xb17e00a6}},	// [72c0] _bapolisi_, _tangale_, _arabisch_, _آسیایې_, 
   {{0x2bdf00e6,0x7aef00d1,0xd3da0350,0x00000000}},	//   _国富通信息技术发, _তুৰুষ্ক_, _በፒችትሪ_, --, 
   {{0x720105ab,0xaafc00bd,0xb3f40282,0x026c008e}},	//   _abrir_, _accordin_, _moutoa_, _juboo_, 
   {{0x337a0003,0xc2510148,0xd2d900c3,0x84ba012e}},	//   _bewaren_, _人民網彩信精彩大, _refert_, _سفرنامے_, 
   {{0x7d2d0279,0x09cb02f8,0xed520276,0x8a990060}},	//   _lumière_, _atalanga_, _инчикилә, _بايقالاد, 
   {{0xdb5b05cf,0x1f630222,0x520000fe,0xf27e0289}},	//   _pretraga_, _domaines_, _kikite_, _chonse_, 
   {{0xc27e02b9,0x86530153,0xd224004f,0x6bcf00d1}},	//   _benne_, _マイアカウント_, _jikko_, _শিকোৱাৰ_, 
   {{0x6f510192,0xf7a8001d,0x722400a0,0xbc670081}},	//   _등록하시면_, _guarderi, _dikko_, _festist_, 
   {{0xb0330185,0x43f90257,0x038700a3,0xcdc302e7}},	//   _булатова_, _dyrum_, _styrar_, _katitika, 
   {{0x127e07b4,0xadb3028f,0x99350476,0x85f50076}},	//   _wenne_, _angamate_, _akamutsa_, _integraç, 
   {{0x5200005b,0xa98b03f2,0xaafe0620,0x1ef500ec}},	//   _eroino_, _юбилейны, _自公布之日起施行_, _prognozė, 
   {{0xd2d9041e,0x2d47021c,0x225b0064,0x926c003a}},	//   _ignorer_, _milovník, _orella_, _arbob_, 
   {{0xe82400b3,0x4b170059,0xb96d005d,0x926c016a}},	//   _гутулар_, _сандали_, _elanoide, _tubon_, 
   {{0xb241013a,0xdc92022c,0x00000000,0x00000000}},	//   _fliederm, _carulang_, --, --, 
   {{0x59e800da,0x4bbd0361,0x72eb03e6,0x525a02a0}},	//   _композиц_, _группами_, _schierm_, _iyale_, 
   {{0xde4d02c3,0x12d400c7,0xfec301b7,0xc940031e}},	//   _nohavice_, _bardı_, _संस्कृतस, _jačanje_, 
   {{0x29d800e7,0x4cd20301,0xd9530064,0x9db60359}},	// [72d0] _unithold, _kəşfiyya, _кырып_, _wierheid_, 
   {{0x52d405ce,0xdb0901f6,0x00000000,0x00000000}},	//   _vardı_, _gudstene, --, --, 
   {{0x12d90086,0xb2a601cd,0x72e100c1,0xf37901e8}},	//   _levele_, _alobe_, _teruslah_, _kamaayo_, 
   {{0xe374016d,0x6f1e0034,0x020201c4,0x33890159}},	//   _ﺋﯩﺘﺘﯩﭙﺎﻗ, _hundurin, _toring_, _virginij, 
   {{0x6b3a01e1,0xa25b02d7,0xc2fd00e2,0x70150361}},	//   _башланыл, _grella_, _iseger_, _дуьйлу_, 
   {{0x817601c5,0xfeee0164,0xf3eb0079,0x63dc005c}},	//   _leenahay_, _бақаттим_, _vietai_, _ngewe_, 
   {{0xf3a302f3,0xa2640061,0x8bf600a4,0x9d720235}},	//   _skapas_, _지방자치의_, _enderroc, _दिक्शब्द, 
   {{0x7fd500d0,0x8f2a0262,0x1c61018c,0x883903f2}},	//   _буланд_, _bellidir_, _sorteer_, _колледжа_, 
   {{0x0b6a0182,0xa2fc02e2,0xdede003a,0x69bc0061}},	//   _anetonia_, _joigny_, _сизда_, _광역의회의원_, 
   {{0x673e0178,0x6292016b,0x3f4f020a,0x6a0a023a}},	//   _adarśam_, _karaya_, _амандық_, _harabina_, 
   {{0xe292019f,0x11770435,0x026c0313,0x07090076}},	//   _baraza_, _орбиту_, _lubom_, _секири_, 
   {{0x23e10145,0xd3e200c8,0x45ed011f,0x056b0040}},	//   _lietuvai_, _brithani_, _калмыкиа_, _ההטבה_, 
   {{0xc7170625,0x7d550247,0x958a02bf,0xaa0a00f2}},	//   _stoličky_, _antaramu_, _banelikh, _karalist, 
   {{0xaa9700bf,0xbd8b015c,0x73a90071,0x13da0372}},	//   _средней_, _ennerwee_, _یزدان_, _bentrefi_, 
   {{0xd3d80157,0x42250274,0x55ca02fc,0x79390392}},	//   _सुविधाये, _elsku_, _batabish, _shàbaid_, 
   {{0x76df042b,0x218001fc,0xdefc0040,0x7224029f}},	//   _najbolji, _assagoll, _שהתכנית_, _kocky_, 
   {{0x52e60265,0xec520188,0xc201051e,0xedcf0206}},	// [72e0] _bronnen_, _комрон_, _nariz_, _mestskýc, 
   {{0xd29200d2,0x72240256,0xa2a6000e,0x5ea90098}},	//   _baraya_, _tikko_, _clobb_, _mistanke_, 
   {{0xe2ca06a3,0xc3ec024c,0xa06e0256,0x8f44035b}},	//   _neidio_, _espressi_, _attaisno, _notranje_, 
   {{0x0388014e,0xdccd0271,0x8c560362,0x8dc1005b}},	//   _svrstali_, _provoser, _listere_, _djcityja, 
   {{0x82ca033c,0x65470156,0x00000000,0x00000000}},	//   _heidio_, _ברוסטקאס, --, --, 
   {{0x64b60188,0xdeec0040,0x22240155,0xf3f102d9}},	//   _ababalek, _מהסרטים_, _micke_, _maasiasi_, 
   {{0xdef50079,0x42ed02d3,0xaeb403b2,0x52c2013c}},	//   _prognozē, _направам_, _arteries_, _maddənin_, 
   {{0x7e530392,0xf6650244,0x65ad0053,0x453c017a}},	//   _ailbeart_, _цветелин, _साधता_, _angishay, 
   {{0x7ed701f4,0xd1640061,0x33a200ec,0x622401df}},	//   _версияси_, _미니스커트_, _ekipos_, _jocky_, 
   {{0xe3800331,0x529000f0,0x24fd0156,0x525b01c5}},	//   _harrin_, _oknami_, _עלעגאַנט, _xayle_, 
   {{0x86cf01a3,0x330e0156,0xdb720026,0x00000000}},	//   _سينچري_, _ambicioj, _enzovoor, --, 
   {{0x137a05d7,0xb2240181,0x17b70090,0xbbf20375}},	//   _kiraron_, _bikke_, _charumbi, _ikutsits, 
   {{0x3380009d,0x6f0e004c,0x2d270222,0x7fdb00f0}},	//   _marrin_, _agatukwa, _prennent_, _pouzivan, 
   {{0x63f803b4,0xe1c10193,0xf3da018a,0x92240065}},	//   _mukuru_, _ditengah_, _pentrefi_, _dicke_, 
   {{0xd3ea017d,0xc86e006c,0x77b20332,0xc321011a}},	//   _skete_, _аморот_, _vacunaci, _וטבלאטים_, 
   {{0xfc2d01e6,0xbd93010b,0x0f2603dd,0x9b600084}},	//   _úmrtí_, _dijenale_, _recesion, _diberean_, 
   {{0x22cb040e,0xe0e701b4,0xbaeb02c9,0x257601de}},	// [72f0] _staden_, _beginsel, _fierbint, _تاۋكەي_, 
   {{0x83940625,0xe06100ce,0xe6030390,0x40610291}},	//   _zensky_, _lozistik_, _burdayam_, _أنقرة_, 
   {{0x9317028a,0xda57032d,0x6e55038a,0x22d90396}},	//   _سامعين_, _битараф_, _allchara, _effett_, 
   {{0x0201029e,0x43f803b4,0x323e0291,0xe2a60028}},	//   _bariz_, _kukuru_, _تحققت_, _boobe_, 
   {{0x02fc025f,0x9bf800e6,0xdb920299,0x12fc0269}},	//   _kongó_, _今年干什么最赚钱_, _دەتمەن_, _vengan_, 
   {{0xac4401cb,0x227e0005,0xd5d7002b,0x19f9004a}},	//   _kodwana_, _lenna_, _কাহিনীতে_, _dekabere, 
   {{0x02d8003e,0xf2fc01fd,0xa2b40665,0x1f5d00c0}},	//   _akhela_, _tengan_, _joocha_, _sulatron, 
   {{0x28ef06ea,0x236d0013,0x5d830094,0xe74200e6}},	//   _lingjdau, _махаллий_, _بىرىگۋىن, _联合收割机驾驶员, 
   {{0xd2920701,0xea1c0405,0x3d1501f1,0xb34d0227}},	//   _marana_, _дискусії_, _publikut_, _peledak_, 
   {{0x937a023b,0x030e0064,0x98dc02ac,0x6292021a}},	//   _aberaham, _horaris_, _تشفير_, _busaan_, 
   {{0xf201004f,0x9aee01fe,0x338a01a0,0x59a70405}},	//   _bariy_, _komupiut, _fansniki_, _живемо_, 
   {{0xc6670052,0x29900044,0x337801fa,0x32d90244}},	//   _राजस्व_, _ממולאים_, _fafanga_, _diagnosi_, 
   {{0xa27e017c,0x186d00f5,0xb2c102d5,0x3958032d}},	//   _denna_, _китабына_, _millega_, _модельер_, 
   {{0x93e704bc,0x87eb0109,0xefe70151,0x5c690160}},	//   _måtar_, _फराकिलो_, _argideyr_, _povukli_, 
   {{0xc27e030b,0x726c0088,0x83e7040a,0xef3c046b}},	//   _fenna_, _pujol_, _låtar_, _addurnia, 
   {{0x60a701ce,0x82cb0275,0x527e006e,0xcbe10102}},	//   _معجزه_, _filogia_, _genni_, _mpambano_, 
   {{0x4de1010d,0xb2480058,0x518701b5,0x326c0033}},	// [7300] _perkulia, _zimmel_, _magavutl, _calour_, 
   {{0xb3f803b4,0x19030040,0xe27f029e,0xc4130208}},	//   _rukuru_, _באילו_, _ateniz_, _قاندن_, 
   {{0x027e044d,0x2f2e02a4,0x1e8f0127,0xd13601a3}},	//   _benni_, _laetitia, _chomaden, _ٽائيپسٽ_, 
   {{0xea03008d,0xd6b80370,0xe6a90128,0x8367001c}},	//   _kurashda_, _balangsi, _грознийг, _kargado_, 
   {{0xf3ea012c,0xda8a00e6,0x8300008b,0x97f3004d}},	//   _cheti_, _新华网拥有管理笔, _dolaari_, _台灣雁鴨彩繪圖鑑_, 
   {{0xab56004b,0x23ea014a,0xf49d0213,0x0e4d0027}},	//   _мушкетер, _nyitva_, _поисково, _redakana, 
   {{0x2292001b,0x427e007f,0x9c06021c,0x8cb3024a}},	//   _barana_, _fenni_, _citrusy_, _nisalẹ_, 
   {{0x32920050,0x1290023b,0xf2a60667,0x58260060}},	//   _carana_, _hooahu_, _tambem_, _باقاداي_, 
   {{0x7792028b,0x645d002e,0x28b602fe,0x80010235}},	//   _sustanti, _ostvaruj, _ترقيق_, _anyonyāb, 
   {{0xe3ea024a,0xea0502ef,0x00000000,0x00000000}},	//   _iketa_, _entansit, --, --, 
   {{0x42cb0055,0x727e04c0,0xf2ab001d,0xec7300cd}},	//   _crudu_, _yenni_, _háben_, _charpas_, 
   {{0x2037000d,0x20e801fc,0x85c100e6,0xa35b02f6}},	//   _emotsion, _kibaalak_, _国家发展计划委员, _aligaga_, 
   {{0x33f101dd,0x2f4b013f,0x2841045f,0x2a97050a}},	//   _baburoni_, _falstama, _vallentu, _silinmes, 
   {{0x6ede011b,0x2b5903d4,0xa22500b9,0xc25b0264}},	//   _rwandais_, _родитеља_, _posko_, _guelma_, 
   {{0x8ea603b0,0x02e803f5,0x963c02f6,0x9292013c}},	//   _analysan, _câncer_, _sulirani, _yarana_, 
   {{0xf3550198,0x13580064,0x67b4030b,0x00000000}},	//   _koledar_, _excursió_, _bigeraag, --, 
   {{0x525b0005,0xf2d90271,0x17870094,0xf27201a4}},	// [7310] _quella_, _levert_, _ءۇستىنە_, _abengami_, 
   {{0x2e91023c,0xfc64020f,0xb26d0449,0xf6cb0318}},	//   _ګډوډي_, _ترډیره_, _brzog_, _polaufai, 
   {{0x9d0901cf,0x42800234,0xf14b0037,0x82df00c8}},	//   _resolute_, _biositil, _ለኮሚሽኑ_, _divoutu_, 
   {{0x5394035b,0x6a8801cf,0xc1460162,0x229102f8}},	//   _prosti_, _bicyclet, _جاسارەت_, _angatu_, 
   {{0x427e001a,0xcfbb0231,0x438700af,0x247c0177}},	//   _venni_, _disneywo, _styrer_, _мальцеви_, 
   {{0x771400c7,0x681500c8,0x2c640421,0x226400ed}},	//   _konsepsí, _буранай_, _brauche_, _moulan_, 
   {{0x029202e5,0x227e0163,0xa3ea0129,0xb29204ee}},	//   _parana_, _tenni_, _eketa_, _marala_, 
   {{0x1292002f,0x597e0238,0x6ba1013e,0xec29018d}},	//   _qarana_, _покаранн, _uživanci, _ረድኤትን_, 
   {{0x8c600416,0x435f03dc,0x2aae00e6,0xf9f90155}},	//   _forties_, _forritað_, _市劳动保障局_, _medierna_, 
   {{0x27c70187,0x6c740035,0xc29001c5,0xe2a70156}},	//   _начини_, _planlaşt, _ajnabi_, _דיסציפּל, 
   {{0x29f20053,0x263f046b,0x6477023d,0x2f890213}},	//   _स्वीकारत, _chastell_, _лагера_, _гезарий_, 
   {{0x62e201e1,0x46d10665,0x2a5202f7,0x09bd00f8}},	//   _branham_, _strahlmi, _latelana_, _উৎকৃষ্ট_, 
   {{0xab4a0037,0x3b0e01f4,0x72f60441,0xa64500a6}},	//   _አልጠፉም_, _аралашиб_, _soustavy_, _emthunzi, 
   {{0x1270010b,0x13190475,0x3cc201bd,0xe16e0204}},	//   _borukutl, _пресново, _جوقتايتى, _klassiko, 
   {{0xdc7503cb,0xdf5d0513,0x3e40020f,0xa2510395}},	//   _vigués_, _hakatson, _داړیکو_, _zemanová_, 
   {{0xa27f01cd,0x32ed0206,0xcae0004c,0xf0a100c5}},	//   _amanga_, _papiere_, _abatende, _现印发给你们_, 
   {{0xfeac019c,0x560c0524,0xf25b01fc,0xff900122}},	// [7320] _aaarére_, _viroviti, _fayla_, _چندين_, 
   {{0x86df0386,0xc97f048c,0x627e00db,0x2e140183}},	//   _ucapanny, _anghient, _lennu_, _fonenana, 
   {{0xf41403b9,0xaf6b0092,0x22e9007b,0x3c6f038b}},	//   _kusisiyk, _レンタルサ_, _frontet_, _dibunuh_, 
   {{0x5c6003ea,0x1290005b,0xd7970219,0x235f0295}},	//   _sorties_, _nakano_, _atawushi, _hangale_, 
   {{0x218502ec,0xcc6e007d,0x9236002e,0x5d1e00d1}},	//   _نظارا_, _pemurah_, _čijim_, _ছুলেইমান_, 
   {{0x328902ac,0x484301cf,0x9fbf0361,0xd2870141}},	//   _لقناة_, _bottinas_, _асфальта_, _филмини_, 
   {{0x6d38033f,0xb85d0066,0x830d03d9,0xc29600c1}},	//   _filimone_, _atentatu, _nambara_, _फुलोरा_, 
   {{0xc29201fe,0xa2a6044d,0x5da100a1,0xf2240080}},	//   _marama_, _booba_, _aminarap, _bikki_, 
   {{0x11e002fe,0xb29200b8,0x230d00ea,0x82a70439}},	//   _اکمالاتي_, _larama_, _hambara_, _grabme_, 
   {{0x32c802f0,0xbf2400d6,0x59c502a8,0x2c05023c}},	//   _advonse_, _brách_, _assenjat, _فکرکوم_, 
   {{0xedbc0285,0x0c77036f,0x55ab0045,0xab0b0153}},	//   _athanase_, _potrazi_, _покретањ, _オムライス_, 
   {{0xd3f40430,0x8556036e,0x6d99002e,0xcab00260}},	//   _voutha_, _anchariy, _hoćemo_, _trehalos, 
   {{0xd2a6014c,0xaa170285,0x32490025,0x9d200020}},	//   _hlobo_, _gutahuka_, _agamad_, _aitofele_, 
   {{0x03ea01d1,0x13540193,0x2a6401d5,0xa37d018f}},	//   _rented_, _dilepas_, _ابنٹو_, _dapabbe_, 
   {{0x4a6a06ed,0xc2ed0055,0xef15035b,0x9ea80035}},	//   _प्रशस्त_, _capisce_, _restavra, _ширкәтлә, 
   {{0x101f00e5,0xa27f01b5,0x3cf9041a,0xe21201e7}},	//   _endereço_, _alanwa_, _забороня, _escht_, 
   {{0xa041029f,0x85c0014e,0x0a170040,0x43860445}},	// [7330] _doručeni, _регистре_, _מתחרה_, _honra_, 
   {{0xe06c0076,0x766500c4,0x07fa005c,0x126d0217}},	//   _maкeдo_, _سگھندس_, _ababahag, _muroe_, 
   {{0x32fc0095,0x1290013f,0x57950061,0x00000000}},	//   _tengen_, _bohars_, _내이름은얼_, --, 
   {{0x3290005a,0x5c97042c,0x6b5a0073,0xd14001ab}},	//   _atlatl_, _naprotiv_, _titulava_, _सूरूजो_, 
   {{0xe2cb0536,0x1292001e,0xc79d01c9,0xa4b9004a}},	//   _asuda_, _maraba_, _डबलियावे_, _estoniän, 
   {{0x0c5c0024,0x02920054,0x861700a4,0x4bc300e6}},	//   _হাস্য_, _laraba_, _турмушта, _小丫跑两会_, 
   {{0xc27e02bd,0xa292024a,0xe29002fb,0xf6510193}},	//   _bennu_, _faraba_, _makalo_, _कर्मनिषे_, 
   {{0xc6560213,0x0e2a0211,0xe2e202aa,0xd2240255}},	//   _внесения_, _навально, _extrakty_, _pikki_, 
   {{0xdc750417,0x3b0a009a,0x9d90015f,0x2fd4006c}},	//   _ernstig_, _abafikis, _angladda, _озука_, 
   {{0x3e510211,0x825a024a,0xb2f100e4,0x3ec903e7}},	//   _вставки_, _ayalo_, _musieli_, _iningles_, 
   {{0xc3e7040a,0xe8df0193,0x72900259,0x1e5602a6}},	//   _låter_, _विश्वचषक_, _takano_, _discursa, 
   {{0x1c0a02ed,0x409801bd,0xc224010a,0xfa00030d}},	//   _propón_, _валюталы, _bekkuf_, _avrasiya_, 
   {{0x426d00ac,0x328e032d,0xdd3d0040,0xf9cc0369}},	//   _otrov_, _афарин_, _reliance_, _polohiwa_, 
   {{0x22fc03e0,0x52000119,0x315b0205,0x2b0f0261}},	//   _sengen_, _allier_, _استره_, _presebla_, 
   {{0xf2fc038e,0xc25a037c,0x534103f1,0x62a60272}},	//   _pengen_, _millia_, _remeslo_, _azibye_, 
   {{0xa1e70095,0xb9fd0080,0x00000000,0x00000000}},	//   _فارماکول, _aserorlu, --, --, 
   {{0x44440013,0xc114016e,0x161b0009,0xd2f600bc}},	// [7340] _белгилан, _başladığ, _postavil_, _ilmiyah_, 
   {{0x8c0d0204,0x03400260,0x929103fb,0xa25a03db}},	//   _tampere_, _lobeira_, _fazama_, _msindisi_, 
   {{0xc77f0047,0x62920328,0x029201da,0x1b6400ab}},	//   _请输入上图中的验, _baraba_, _mbrapa_, _houtanga_, 
   {{0x92d100c5,0xa9e20039,0x45c9045e,0x929000d7}},	//   _douleur_, _fonoteka_, _правоъгъ, _hakalo_, 
   {{0x0e950047,0xa4700135,0x34cb0287,0xcbd001d2}},	//   _produits_, _başlagan_, _कृषिमा_, _epidendr, 
   {{0x27720193,0x119903ff,0x031e0288,0xc3df01f4}},	//   _सहकार्या, _hokejové_, _rsuchen_, _спортнин, 
   {{0x0c850044,0xd73d036b,0x893c00be,0xd657004d}},	//   _expected_, _подземна, _قامىققان_, _組織機構代碼證書_, 
   {{0x9a1404c3,0xa66b00be,0x2f5d0195,0x379a0061}},	//   _enfamama_, _اتتتانىپ_, _breatann, _만들어주는_, 
   {{0x6bfb0047,0x6292024f,0x00000000,0x00000000}},	//   _第二十三条_, _raraba_, --, --, 
   {{0xb61c00af,0x203e0059,0x1dad01ac,0x8ee1003f}},	//   _вставлен, _abitudin, _gcinntea, _mayitnis_, 
   {{0xf92a01ea,0x82250079,0x4f3801c9,0xbe3001d5}},	//   _واکسیناس, _liekas_, _कामिक्स_, _ناشکری_, 
   {{0x17b50349,0x7eb1029e,0xdf2a0155,0x02920418}},	//   _ordering, _astennas_, _lastbila, _karaca_, 
   {{0x92cb02b7,0x538b07b5,0x02fc0222,0xbe56016b}},	//   _demonda_, _hæren_, _revient_, _kodayake_, 
   {{0x13ea012b,0x8e530243,0xd224029b,0xccb9004b}},	//   _diety_, _kitabaka, _dikku_, _составын_, 
   {{0xaaf30478,0x535402c8,0x02e6029c,0xe230029c}},	//   _persegue, _comezos_, _amanena_, _asamala_, 
   {{0x026d00e4,0xe2d803c7,0xf2680397,0x726c0357}},	//   _stron_, _poleć_, _okuningi_, _kubou_, 
   {{0xce9b0193,0x172b0037,0xf20001a0,0x22500213}},	// [7350] _संपत्ती_, _ግምገማና_, _fikise_, _неман_, 
   {{0x7291019f,0x726c0313,0xc9a102b9,0xe98e0066}},	//   _tazama_, _lubot_, _دلیرانہ_, _балетчид_, 
   {{0x1ff700ff,0x884400ff,0x4fab048f,0x828e032d}},	//   _טעניס_, _סטומבלעו, _bakotato, _bonkril_, 
   {{0x72920018,0x949d012c,0x126c0016,0x6c6a034b}},	//   _baraca_, _ميزائل_, _arboj_, _pairiim_, 
   {{0x887300ab,0xcc1d05ac,0xc6210025,0xc27f0130}},	//   _waenganu, _samanbor, _व्याहरेत, _blench_, 
   {{0xe62d01f2,0x2f140194,0x33ea00ae,0x27970220}},	//   _мүшкүл_, _hectogra, _ikete_, _чирпан_, 
   {{0x392100c5,0x81d502da,0x6349000a,0xfa580066}},	//   _案件审理室_, _центарот_, _adressi_, _zubeldia_, 
   {{0xcd620029,0x17100092,0x12920083,0xc29003a2}},	//   _ددامی_, _月別リンク_, _tarasp_, _भिगोकर_, 
   {{0x63eb02b7,0x23490387,0x7d9d0102,0xd6820251}},	//   _mbetti_, _streeti_, _رياضيءَ_, _dareensi, 
   {{0x6a91028d,0x627f0604,0x24820287,0x4d7e0139}},	//   _ecrivain_, _imanza_, _लोकमानसि, _arimarda, 
   {{0xc2cb042b,0xe2c10075,0xe3b2019b,0x76d303a2}},	//   _grudi_, _tillaga_, _тэарэтыч, _मैरिड_, 
   {{0xddb8000d,0x5ef5002e,0xa8450126,0x00000000}},	//   _arenguka, _ukljucen, _статутни, --, 
   {{0xeb8a0074,0x7c680282,0x2b1800ff,0x5c61007b}},	//   _новое_, _ekerono_, _געיטסעד_, _borraed_, 
   {{0x72fc0006,0x91990553,0x2cfe036a,0x42bb020e}},	//   _lengan_, _hokejová_, _makubudr, _dikenye_, 
   {{0xf8fb05a5,0x753d00b2,0x425b0157,0x12d9032d}},	//   _mojasvad, _artiraay, _pralki_, _enyeho_, 
   {{0x851200dc,0x8d290089,0xbf9a0238,0xd7a80297}},	//   _manumalo_, _әсхәт_, _колегами_, _балтачны, 
   {{0x52920141,0xa2940152,0x216a034a,0x2c0401dd}},	// [7360] _parchasi_, _авиаконс, _consello, _abasazi_, 
   {{0x5606022f,0xa30202f8,0x00000000,0x00000000}},	//   _permaini, _tokateu_, --, --, 
   {{0x8292017d,0xc36502f0,0xadfd02cf,0x5c040553}},	//   _saraca_, _atitiham, _преживее_, _najsexi_, 
   {{0x4aea045b,0x607b0037,0xfa260486,0x5e4e036c}},	//   _fortelle, _የክትባት_, _हर्षोल्ल, _ampahibe_, 
   {{0xf2fc0386,0xe47f0164,0x65750235,0x8a64005e}},	//   _dengan_, _شېركلەر_, _anattato_, _ۋىدېئو_, 
   {{0xc89d029d,0x805a0064,0xca72015e,0x00000000}},	//   _прочесул_, _apassion, _كەسكەن_, --, 
   {{0xbeb40010,0x4e280088,0x82cb0111,0x5ef0020f}},	//   _angubabe_, _сырларын, _crudi_, _يوشچينکو_, 
   {{0xc6b200e7,0x4eea0405,0xfa35002b,0x00000000}},	//   _accuracy, _forvalte_, _তাগিদে_, --, 
   {{0x035403e5,0x706d0025,0x64160410,0x1a7e0073}},	//   _literat_, _मानसा_, _mongwalo_, _italicis, 
   {{0xb2c200fe,0xf9c00263,0x8fc80037,0x860b0041}},	//   _efalala_, _honderde, _የንግዱን_, _karapãme_, 
   {{0x78d900be,0x225b0223,0xe6f40012,0xf2820227}},	//   _اقىرەتتى_, _esaldi_, _कहँवाँ_, _baihaqi_, 
   {{0x82250378,0x93f90148,0x24970045,0x603d00e6}},	//   _toski_, _syrus_, _проценат, _战胜约旦队_, 
   {{0x927f02ab,0x627e004f,0x1d8d0383,0x8d560156}},	//   _mmanya_, _defna_, _kekotora, _סיירין_, 
   {{0x64f0004b,0xbfd30003,0x12b306a0,0xd20600b3}},	//   _асыштар_, _adviseur_, _higdaan_, _biziňki_, 
   {{0x81130695,0x13a90532,0x22920066,0x31670405}},	//   _başlanğı, _stavite_, _garaia_, _продає_, 
   {{0x00260040,0xf2d8005b,0x60390033,0x749f00f8}},	//   _שינקין_, _chieco_, _captivon, _বিন্দাস_, 
   {{0x62920532,0x4f5e023d,0xb03702fb,0xb231028b}},	// [7370] _obrada_, _abbandon, _faitoton, _etimolo_, 
   {{0x2de900ff,0xd2fc03cf,0xf5110040,0xf319028a}},	//   _ישראלדיק, _zengin_, _אכזבה_, _ذيشان_, 
   {{0xfc7605d3,0xb2d900d4,0x0857004d,0x1c670026}},	//   _पुत्रा_, _regear_, _彰化縣加油站商業, _overdag_, 
   {{0x1ce5028b,0x743d0169,0xffc303e0,0x2b59001c}},	//   _агентра_, _নাজিম_, _polinger_, _hektarya_, 
   {{0xdfae00da,0x94190013,0x546e00af,0x2f68006d}},	//   _проектул_, _теккан_, _храмі_, _безьліч_, 
   {{0x72d902ff,0x1ad60100,0x33540044,0x91fa018d}},	//   _revele_, _čekajući_, _traffic_, _ተኽለማርያም_, 
   {{0x8b870138,0x43ec010f,0xca17022f,0xc3b7011a}},	//   _fikirler, _консепси, _алтайска, _ועבור_, 
   {{0x35b80177,0x720d0619,0x00000000,0x00000000}},	//   _арбарақә, _ušiju_, --, --, 
   {{0xcfb80089,0x76960374,0x00000000,0x00000000}},	//   _бисмилях, _koreyani, --, --, 
   {{0x627e0224,0x926d0009,0xfed4016d,0x539902e5}},	//   _henni_, _otrok_, _немилики, _eaopovai_, 
   {{0x63dc0103,0x32fc00bc,0x3f2c010b,0x00000000}},	//   _mamwe_, _pengin_, _kgotlaka, --, 
   {{0x126d023d,0x43010321,0xa2df0095,0xd262019b}},	//   _genitori_, _organov_, _ajining_, _энергеты, 
   {{0xb27e001a,0xb31704bf,0xbed00360,0x1edc0037}},	//   _menni_, _trazim_, _भिन्नताह, _አትላንቲክ_, 
   {{0xa27e001a,0xac67005b,0xeeb8053b,0x00000000}},	//   _lenni_, _hverdag_, _denuncie_, --, 
   {{0xe0570159,0x72fc0225,0x6a76006c,0xf73e011a}},	//   _garantuo, _tengin_, _бистар_, _מוצדקת_, 
   {{0x72e90359,0x12fb0265,0x33f400d1,0xe9df05b7}},	//   _argiven_, _vechten_, _avstod_, _njegovat, 
   {{0xe256008c,0xb2e2015e,0x7ffb00bb,0x0e4e040e}},	// [7380] _illegalm, _montseny_, _پھوپھی_, _betalast_, 
   {{0xaa150120,0x3ce50097,0x03020322,0x00000000}},	//   _aytakuma_, _daláwàdà_, _akabaye_, --, 
   {{0x0df90297,0x125a03db,0x0de800e6,0xc564011a}},	//   _декоры_, _iyala_, _现将有关事宜通知, _ותעודכנו_, 
   {{0xf277007c,0x6c05008f,0xd3a201b6,0x7c1c0088}},	//   _amancani_, _millised_, _scope_, _агрардык_, 
   {{0xaaf501f1,0x6c020076,0x02bb0203,0x90e5037f}},	//   _europian_, _следниот_, _cemente_, _yazmamış, 
   {{0xa081041a,0xdd97019e,0xdc6a00e2,0x7c2901e9}},	//   _інноваці, _блакітны, _haarlim_, _ikopants, 
   {{0x23dc0037,0x15280061,0x258301f3,0xa26c03ec}},	//   _የመምህራን_, _이야기한다_, _tantrick, _mujor_, 
   {{0x13dc05ed,0x8b030089,0x33870138,0x3f2001fb}},	//   _hamwe_, _понедел_, _devre_, _interten, 
   {{0x42bb0073,0x8306000c,0xc2fc0034,0x737f0076}},	//   _gemente_, _cançado_, _mengun_, _fumaça_, 
   {{0x6c410242,0x822d01f6,0x2cf400ff,0x7bf90013}},	//   _istiqamə, _আত্মজীৱন, _פרשיסחא_, _tinglovc, 
   {{0x42e602fe,0xf6af0434,0x529f03fb,0x203901f7}},	//   _amanina_, _desgraci, _valjalo_, _berteron, 
   {{0xd2fb0265,0x0e530343,0xb200017a,0x22250071}},	//   _rechten_, _kadagaha, _ammisa_, _bosku_, 
   {{0x08b0005e,0xe9e902f3,0x76cb0279,0xa9f00156}},	//   _زىلۋا_, _storstad, _demandai, _קאָסטיום_, 
   {{0x025b03c7,0xd2f904bd,0x1bb4027a,0xd0e004df}},	//   _czyli_, _elohima_, _atletiča, _agraslyk_, 
   {{0x1f490203,0x46b400f3,0x852602c8,0xde0e0006}},	//   _compilat_, _engunaph, _amosando_, _menelada, 
   {{0x13dd0272,0xfd05002b,0xfc00033a,0x4f0a0156}},	//   _afuwu_, _একনজরে_, _fissret_, _זוכענישן_, 
   {{0xee140361,0x16ab04ac,0x05cf0297,0x0e1700c6}},	// [7390] _плести_, _узоры_, _birmiäçä, _ресурсом_, 
   {{0xd3f9010d,0xca3500e6,0x86b40010,0x9a010408}},	//   _mabung_, _严禁发表危害国家, _ingunaph, _hanainga_, 
   {{0x5a830003,0x126d01da,0x605a00b3,0x6e000278}},	//   _woningen_, _duron_, _ahlihalk_, _seperjua, 
   {{0x89e3018b,0xd0a5026f,0x226d0204,0x5ec002a2}},	//   _повара_, _ءپىتانا_, _euron_, _theorems_, 
   {{0xa0b801f1,0xc28e003b,0x337f023b,0xaa270012}},	//   _grumbull, _asakuso_, _makaala_, _निपबाक_, 
   {{0x1cfd0368,0xb53b02db,0xa5b7009c,0x0da200b0}},	//   _прича_, _eksampol_, _akunatam_, _mudulood_, 
   {{0x616903cc,0x8c3401fb,0x8b7507b6,0xedfd0268}},	//   _একসঙ্গে_, _discoper, _कॉम्बिने, _eaterswa, 
   {{0xba030013,0xe61f00db,0xe3f70092,0x2d63013f}},	//   _nazarida_, _एकाउण्ट_, _情報商材ジャ_, _fruchard_, 
   {{0x96810513,0x713d03b8,0x5d730405,0x79c00181}},	//   _engeteri, _азаптау_, _почнуть_, _hovedret, 
   {{0x28c30238,0x0c4e00ba,0x8a73005b,0x826e03d3}},	//   _генераль, _زمانت_, _yamagata_, _datoer_, 
   {{0x3dab04eb,0x235401ca,0x0fad0037,0x76d00167}},	//   _लाँड्री_, _grafbic_, _ተአማኒነት_, _consesiy, 
   {{0x4291019d,0x0a030013,0x8a170239,0xb784004d}},	//   _abzala_, _bazasida_, _matareka_, _中小投資者傾斜_, 
   {{0xc201001d,0xe3f901b0,0x226e00e2,0xd3050197}},	//   _scrit_, _nabung_, _natoer_, _efrayim_, 
   {{0x0e030238,0xb61402ba,0xec1b0308,0x00000000}},	//   _форматі_, _зӯроварӣ_, _belantar, --, 
   {{0x83430527,0x79de0170,0x1c1c03ee,0xf2fe0268}},	//   _istekao_, _awandawa_, _poslovnu_, _aserfray_, 
   {{0x675f018d,0xb30101a6,0x82240176,0x72d901c8}},	//   _መግለጽታት_, _pirangi_, _kikki_, _bufetu_, 
   {{0xc6b30043,0x8af0010e,0x38f00224,0x00000000}},	// [73a0] _bakusyay, _dinudust, _fingrunu, --, 
   {{0x52770172,0x93ea002e,0x625f011d,0x02b40148}},	//   _amaniani_, _čitav_, _costuril, _amicum_, 
   {{0xb35e06a0,0x3fa700c7,0x02d9026c,0xee770361}},	//   _idugang_, _biletlar_, _regnare_, _вийнехь_, 
   {{0xac530169,0xf21d00b5,0xdbef0021,0x95a70147}},	//   _সিদ্ধ_, _иакун_, _angerstr, _دۇرۅتۉ_, 
   {{0x73f900bc,0x6a9100b4,0x7f710176,0x3e570282}},	//   _gabung_, _економия_, _bavarois_, _harareke_, 
   {{0xaf590065,0xfe0d042d,0x5dfe042a,0x158d009c}},	//   _gesperrt_, _abdenega, _baseluva, _baqueriz, 
   {{0x10280145,0x33f8000c,0x89fc0333,0x00000000}},	//   _valandą_, _hakuve_, _affannat, --, 
   {{0x231a0391,0xce5a0050,0x085f0138,0x1eee0125}},	//   _fetileng_, _ngabogaa, _kanallar_, _намелери_, 
   {{0x63700558,0xc63f01c5,0xb3ea012c,0x934e00d3}},	//   _anyanwụ_, _musharax, _chetu_, _kabelek_, 
   {{0x8935011d,0x6c3c02cf,0x8379006e,0x74d700d7}},	//   _acumulat, _тодоровс, _jugagun_, _бажаһы_, 
   {{0x59f900d9,0x2a8801a7,0xbd7f01da,0x1e0e0005}},	//   _кредитны, _rikollis, _sigurtë_, _patertga, 
   {{0xb201018b,0x4b50041e,0x172701db,0xf51700f7}},	//   _scris_, _riacquis, _ұлықбек_, _bonstato_, 
   {{0xa20200a9,0xd18b0125,0xc15f0307,0x634f03c5}},	//   _dosiye_, _dabaraly_, _bangalal, _sedeqah_, 
   {{0x635103dc,0x5c7d0403,0x128e00a1,0x342b0198}},	//   _dalsgarð_, _gersona_, _taakaro_, _nakazilo_, 
   {{0x8c2902d5,0xa1d80179,0xa292005b,0x872f0177}},	//   _suunatud_, _obelogom, _masato_, _қьышьмар, 
   {{0x2c4c0052,0x94b20035,0x52da004f,0x8e3a0564}},	//   _partneři_, _kullanıp_, _adweer_, _titanosa, 
   {{0xcb770060,0x32310063,0x052802a9,0x9ddc0163}},	// [73b0] _әрдайым_, _زخارف_, _разрозне, _التوا_, 
   {{0x522401da,0x662c03ce,0x4741004a,0xbc6703ce}},	//   _dicka_, _واشنگتۆن_, _штатының_, _زرکار_, 
   {{0x969701ec,0x1daf01aa,0x0b8d03ea,0xc0da0128}},	//   _کاپیتان_, _abinetca, _connaitr, _спортини_, 
   {{0xc6280249,0xdf2d0701,0x734302da,0x5f310055}},	//   _astingti, _tantacha, _espelho_, _terrazza, 
   {{0xac52036c,0x548c005e,0x3b9c02bd,0x54dd023c}},	//   _aretina_, _алиминиң_, _archfarc, _ټیوټوریل_, 
   {{0x46cb0177,0x938600fc,0x515c014e,0xe400006c}},	//   _natalici, _chordu_, _чувај_, _мекна_, 
   {{0xd4ad0311,0x2292034e,0xc0cf03a2,0xa4390053}},	//   _paraprak, _carama_, _चिलचिलात, _perkirak, 
   {{0x10d4019b,0x526d000c,0x428e0095,0xf2ea0433}},	//   _ангельск, _ambovu_, _prakoso_, _cobillo_, 
   {{0xfaeb01d1,0xf2da036c,0x541201c5,0x675e0193}},	//   _correlat, _batemy_, _hannaank, _चित्रमय_, 
   {{0xa2d901f1,0xe1400047,0x9f5a0178,0x235602a4}},	//   _kuvend_, _maternel, _aratniḥ_, _chremes_, 
   {{0xee3901c2,0x0292002a,0xd01900e6,0xcd2d01db}},	//   _criatura, _rarala_, _赶快注册吧_, _ۇيىرەتتى, 
   {{0x35290513,0x32300125,0x53290059,0xe7b4003b}},	//   _brunetzy, _berjek_, _brevetti_, _kulening, 
   {{0x22290409,0x53810107,0xcf42031d,0x59c800cb}},	//   _løkke_, _بارگیری_, _flagston, _дискоклу, 
   {{0x208902ea,0xf2d90065,0xf4010223,0x00000000}},	//   _верига_, _offene_, _altueran_, --, 
   {{0xc9b102aa,0x16db02ee,0x3c0f0040,0x79f8029b}},	//   _ostatní_, _densità_, _uploaded_, _butrusbu, 
   {{0x1301019c,0x126d0529,0x17ef003f,0x726e0272}},	//   _ajiboye_, _brzom_, _lupabbog, _basome_, 
   {{0x02d802ea,0x22a600c4,0xb25b039c,0x629204d8}},	// [73c0] _chiedo_, _globu_, _coello_, _warama_, 
   {{0xafcb0405,0x8a7e03be,0xf41201c5,0x010701f9}},	//   _свободи_, _bagahura_, _bannaank, _bashadil, 
   {{0x44ce014e,0x5ee100ff,0x1c5f01fe,0x8c93027b}},	//   _написани_, _אוזבעקיס, _kartoum_, _तेजोम_, 
   {{0x849f0169,0xae750366,0x32d900cf,0x4434029e}},	//   _বিস্মিত_, _рубашка_, _eyyeen_, _displann_, 
   {{0x79cc02d8,0xa6d20060,0xdc67002c,0x929202eb}},	//   _पांचट_, _дербесті, _линкээр_, _zarama_, 
   {{0xc61a0047,0x2f6200b4,0x1b1a011c,0x816c019a}},	//   _评论内容只代表网, _campanie_, _digaloon_, _chairity_, 
   {{0x6ea90141,0xa27e033c,0xc2ca0120,0x68290366}},	//   _йилларда, _pennu_, _caddii_, _серверы_, 
   {{0x27270144,0x3b4f0237,0x00000000,0x00000000}},	//   _كراسي_, _서울교육정책_, --, --, 
   {{0xa9f2059e,0xb29200ad,0x38500076,0xd0e10023}},	//   _abangama_, _naraka_, _сместува, _вкуса_, 
   {{0x927805f1,0x52640197,0x794e0092,0x090c030f}},	//   _umunsi_, _boulon_, _質問した人からの, _manawanu, 
   {{0x7d080238,0x52f00049,0xf9a90064,0xf2240123}},	//   _кременчу, _heliaki_, _ашкереле, _synker_, 
   {{0x12920018,0x48e903a2,0xdf260217,0x96cc000a}},	//   _rarama_, _साइंटिस्, _tourista, _bilagini, 
   {{0x229203b9,0x1cf50595,0xe6960035,0x426e0096}},	//   _sarama_, _अपशकुन_, _карыйм_, _basoje_, 
   {{0x692e0368,0x73080310,0xe3f8023b,0xa3d80181}},	//   _зрелости_, _biobull_, _kukulu_, _aljcメ_, 
   {{0x42c1021e,0x969701f4,0xb3d80181,0x62b202d5}},	//   _billiga_, _келгунча_, _bljcメ_, _शुकुल_, 
   {{0xf22501ef,0x4291002f,0xadb9015e,0xea280161}},	//   _kiekis_, _abrahamm, _igualtat_, _циркуляц, 
   {{0xd37302e0,0x2a2a02c7,0x543e02ba,0x7292003a}},	// [73d0] _abelwang_, _maschine, _қарни_, _barchasi_, 
   {{0x87f200ec,0x72130130,0xc6300178,0x53f4047b}},	//   _reklamą_, _bochad_, _aṃśaś_, _avstad_, 
   {{0x8bf7018b,0x5292028a,0xc22a00c7,0xf17602ec}},	//   _билете_, _haraka_, _болай_, _beeniyay_, 
   {{0x829200a1,0xfae004f8,0x926c01a1,0xb0aa00a7}},	//   _karaka_, _unnecess, _wmrindex_, _كۉچتۉۉ_, 
   {{0xd7a80581,0x1212034b,0x52f904f9,0xa26c003d}},	//   _gramatik_, _wokhad_, _aprilip_, _arbos_, 
   {{0x57df01fc,0x6a19004a,0x228a0165,0x00000000}},	//   _cukuumát_, _avtobusı_, _vavakini_, --, 
   {{0x127702a0,0x723700ab,0xcdff03dd,0x00000000}},	//   _alanfani_, _kaimata_, _integrua, --, 
   {{0xf27e0166,0x22920282,0xd95b0075,0x64480086}},	//   _wenns_, _haraha_, _heimavøl, _موالانا_, 
   {{0x0282014b,0x2ed4019b,0x64980321,0x4c6701c9}},	//   _dabheni_, _aplinkin, _februarj, _teatris_, 
   {{0x227f0462,0xe2ca02b1,0x9aac0287,0x645e02fc}},	//   _amenay_, _tallafi_, _nadmořsk, _amadoviz, 
   {{0xf26d00a2,0x79820059,0x302e016a,0x04b90035}},	//   _moyoni_, _докторе_, _akademio, _estoniäd, 
   {{0x525a0409,0xdfbe023c,0x41f302e1,0x89fb00ab}},	//   _exile_, _abenguso, _sainchom, _honikoma_, 
   {{0x726d042b,0x629201f1,0xe27a0078,0x11e702d5}},	//   _guzom_, _paralajm, _хромозом, _असगरे_, 
   {{0xade0019b,0xc2e6018b,0x914f0152,0x817701f0}},	//   _рэпартаж_, _agentia_, _delegatl, _kakatlel, 
   {{0xcc4400f4,0x8f410081,0x73f2020a,0xd291011c}},	//   _nolwenn_, _borgaran, _гепатитт, _dogalu_, 
   {{0x129200a1,0x3cbf0135,0x6d1d01ad,0x7c040362}},	//   _taraka_, _россиядә_, _abelable_, _bonsoni_, 
   {{0x626c00c0,0x437d02a3,0xd9e002e0,0x9346037b}},	// [73e0] _lubos_, _japanse_, _babueled, _inauguró_, 
   {{0x126d0269,0xb2fa004c,0xeb3501fc,0x1e110462}},	//   _otros_, _abahaya_, _ekraaris, _allersca, 
   {{0x4f5b0140,0x193902c6,0x00000000,0x00000000}},	//   _bahagyan, _filmaoze, --, --, 
   {{0x32130119,0xc980003d,0x12f00188,0x7a1002fc}},	//   _dughan_, _amaisame, _сӯъиисти, _bagakome, 
   {{0x029201c5,0x00000000,0x00000000,0x00000000}},	//   _faraha_, --, --, --, 
   {{0xb60c0342,0x226a00af,0x4f6300e4,0x1b61036e}},	//   _aewonoti, _операція_, _शिक्षाएं_, _charagua_, 
   {{0xd3f10118,0x075d025c,0x625b0472,0x2291007f}},	//   _babuloni_, _preisang, _mualaf_, _diwadd_, 
   {{0x00000000,0x00000000,0x00000000,0x00000000}},	//   --, --, --, --, 
   {{0x5d8c0226,0x6154038e,0x00000000,0x00000000}},	//   _akumakha, _गुलबर्गा_, --, --, 
   {{0xb3690314,0x6c740325,0xe69a0213,0x77ea0405}},	//   _барышынд, _planlaşd, _проверяе, _запоріжж, 
   {{0xa57600c4,0x029201a3,0x4d2401ff,0x8d850126}},	//   _ڀائيوار_, _saraka_, _rakovine_, _купання_, 
   {{0x6341000c,0xc9bd031f,0xe2c50486,0x92240074}},	//   _galeano_, _landsbye, _izolace_, _pikku_, 
   {{0x74d60052,0x93f40347,0x720100b6,0x1e9601c9}},	//   _मिडिया_, _dertig_, _bicise_, _tuntakse_, 
   {{0xe4130199,0xc3ea0191,0x9ca302ac,0x4ae500f4}},	//   _fansipan_, _skett_, _غامضة_, _digriste, 
   {{0xb3ea0630,0x337a0528,0xbc1e0191,0xe1470397}},	//   _ckets_, _challaig_, _stoppas_, _рафикам_, 
   {{0xc3f1060e,0x5de502a0,0x8d390137,0x00000000}},	//   _मध्यस्थत, _olayanju_, _анугийн_, --, 
   {{0x429100f4,0x80e80040,0x4d1e0110,0xd320011a}},	// [73f0] _digand_, _בתאונות_, _ātrvilci, _ומבחני_, 
   {{0x62020247,0xe70b0040,0x3dd00133,0x0be3017a}},	//   _miring_, _בהסדר_, _barkumee_, _ҳолланд_, 
   {{0x8abd052c,0x12250257,0xed8a0060,0x8b0302c7}},	//   _تیادا_, _enska_, _بالتىردا, _korrigie, 
   {{0x49ed0334,0x7ee5058c,0x72ec0158,0x10430465}},	//   _aimirira_, _दुर्गामा, _aktorzy_, _pretvorn, 
   {{0x275e0025,0xdf64039e,0xfd910060,0x65df011a}},	//   _छात्राः_, _avkastin, _كەرىستى_, _במעבד_, 
   {{0x0af70064,0x92c402d8,0x429004a8,0xb3fa0048}},	//   _жайдан_, _kopling_, _dakako_, _akuuma_, 
   {{0x11cc0250,0x689900c8,0x4fbf041e,0xea7e005b}},	//   _policisë_, _жилстрой, _buonarro, _kawamura_, 
   {{0x42020141,0x0bee0059,0x94a4002b,0xc45e02fc}},	//   _kiring_, _масов_, _বড়াইগ্র, _amadeviz, 
   {{0x8290030f,0x23740234,0x00000000,0x00000000}},	//   _kakaho_, _lápárí_, --, --, 
   {{0xad8103af,0xa3640312,0x1153034a,0xd20202e0}},	//   _logement_, _roumaneg_, _presento, _diring_, 
   {{0xb22e03a2,0x738202b6,0x35cc0096,0x896f003b}},	//   _मैथमेटिक, _иманғали, _bahavany, _imanjist, 
   {{0x69aa002c,0x28200037,0x052403db,0x9e0c0142}},	//   _морил_, _በርግጠኝነት_, _ibrookly, _candraka, 
   {{0xf30d03be,0xd2fc01d5,0xb3ea01c4,0xf2fd0222}},	//   _akibuka_, _مشغلہ_, _skets_, _reviens_, 
   {{0x3a3c01b7,0x5ee50193,0x198e010f,0x37040023}},	//   _apauruṣe, _दुर्गाबा, _мариз_, _уведомит, 
   {{0xbc5d0032,0x526d0211,0x29390059,0xa9d002e5}},	//   _quetzal_, _euroa_, _причинен, _метиу_, 
   {{0x3183022a,0x204f01a3,0x18af00bc,0xd9ec05d5}},	//   _nespalik_, _بيٺڪون_, _محدثه_, _inegoist, 
  
   {{0x759305a9,0xd2d90087,0x027e005b,0x32cb034b}},	// [7400] _akurikiz, _byinene_, _renny_, _katolic_, 
   {{0x36b101c9,0x67020090,0xc2a601b6,0x594e0208}},	//   _भगौती_, _akabayiw, _boobs_, _نمایشکرد, 
   {{0x2850035a,0xf3a30156,0x4d2602ba,0x07a90147}},	//   _wamokond, _אנטיגנוס_, _ahlomule_, _سوحتۇن_, 
   {{0xcc21024a,0x86160220,0xd26c0239,0x65950210}},	//   _botilewu_, _innovazi, _hamora_, _akarerek, 
   {{0x8ae20077,0x0f7800d7,0x9f4d0220,0x00000000}},	//   _baalanan_, _рейстар_, _adesione_, --, 
   {{0xd3820132,0x922b02bc,0x7b0b025b,0xb33d0029}},	//   _قافلہ_, _ingmane_, _tinganes, _ییمان_, 
   {{0x9ae300c7,0x49e3008f,0xe3730298,0xd9760260}},	//   _kontsert, _kontserd, _tamahae_, _planeame, 
   {{0x27270013,0x7dca018d,0x00000000,0x00000000}},	//   _مراسه_, _ንኩላህና_, --, --, 
   {{0x7a0e00a5,0xb0ed011f,0x59cf0399,0xe26d03d5}},	//   _talalele, _filizzol, _kolotita_, _arroo_, 
   {{0xb2cb04ca,0xf25a0226,0x83170497,0x8fd8019d}},	//   _catolic_, _nyali_, _ditched_, _akangoko, 
   {{0x175d02d8,0x7a0e038d,0x82830040,0x6b8d00b2}},	//   _कार्ड्स_, _anrasine, _באלפי_, _afrikaar, 
   {{0xa3f9005d,0x430c0156,0x0a0f0313,0x00000000}},	//   _aporãmi_, _עפּאָס_, _sumatsme, --, 
   {{0xcedb0227,0xb2f904ce,0x11f80151,0xeb930016}},	//   _kenyataa, _mukhada_, _abridgem, _babilado_, 
   {{0x825b0372,0x5c670095,0x079c0041,0xf254015e}},	//   _coelio_, _سروان_, _ҧсыӡкыҩц, _келинчег, 
   {{0xb59305a9,0x649301dd,0xa5cf01e7,0x64080321}},	//   _ukurikiz, _ukurikij, _delegéie, _bohinjsk, 
   {{0x2224014a,0xd2d401da,0xc7250040,0x4c6002fe}},	//   _azokra_, _lallahu_, _שודדי_, _birtles_, 
   {{0xb3dc037a,0x435400e3,0x620202ef,0x8b230040}},	// [7410] _bamwe_, _antenat_, _ensite_, _יאומן_, 
   {{0xc3ce0633,0x0ab90194,0x2c1d0176,0x675f00c1}},	//   _proves_, _senkeros, _campist_, _शॅम्पेन_, 
   {{0x77430089,0x73b901bd,0xc2a601f9,0xf6b90148}},	//   _мурси_, _اينىتپاي_, _anobe_, _creaturi, 
   {{0x51840321,0xd20202d6,0x8d0f0061,0x82c40138}},	//   _pojasnil, _tiring_, _사이트입니다_, _galerisi_, 
   {{0x1eb90497,0xb2020498,0xce54008a,0x423302c2}},	//   _devourin, _kosice_, _matafale_, _nagmaal_, 
   {{0xca470510,0x503d031d,0xb202012f,0xa10c0361}},	//   _граждан_, _impervio, _riring_, _карусель_, 
   {{0x322503d7,0xc92c024a,0xc2020264,0x00000000}},	//   _ziska_, _aimuṣiṣẹ_, _siring_, --, 
   {{0x449100e4,0x22d80439,0x05b50088,0xf200032d}},	//   _अस्मत_, _kanete_, _буюккан_, _kikine_, 
   {{0xf19d0060,0xed9d0204,0x429e03bf,0x52020358}},	//   _الابىڭدى_, _mainosta, _линар_, _ensilt_, 
   {{0xa59c0047,0x729101b9,0x6b4b01f0,0xeb7a00ec}},	//   _修改删除记录_, _angard_, _boutelwa_, _саранчук, 
   {{0x91b0011a,0x5cfd02c7,0xe19c0188,0x00000000}},	//   _glycosyl, _luftfahr, _машрабов_, --, 
   {{0x52bf00c3,0x3c4b01b4,0x355a01f2,0xa81500e6}},	//   _gaudium_, _biltong_, _қарңғулу, _人民文学出版社_, 
   {{0x6261054e,0x129202e8,0x0aeb00be,0xee4e010d}},	//   _khatigul, _abrama_, _الپۇرۇشۇ, _ketahana, 
   {{0xa2fc00bb,0x28d202ac,0x6313056c,0x6677019e}},	//   _مقتدرہ_, _يحرمنا_, _procena_, _арабаў_, 
   {{0x52250257,0x637801fc,0x12400196,0x0a6100db}},	//   _ensku_, _cagalta_, _chimpeni_, _apellats, 
   {{0x2ef001b8,0xc3dc02db,0xda6c03db,0x52e702d0}},	//   _pakkumin, _samwe_, _kungenxa_, _reengin_, 
   {{0x93dc0326,0xd0d40568,0x837a024b,0x8dc10025}},	// [7420] _pamwe_, _byggesak_, _jugando_, _avikāre_, 
   {{0x98070040,0xcaf4016e,0x826d0212,0x7a500041}},	//   _מתקין_, _rezervas, _atrox_, _kasõre_, 
   {{0xe9f70200,0x8cf501f6,0x0d0b015e,0xc68b0311}},	//   _kaosilad, _kritikar, _resoldre_, _ክንጥምት_, 
   {{0xf26404b9,0xd2cf008f,0x92ea0211,0x6606027b}},	//   _boulin_, _fotosid_, _kauniit_, _ततोऽहं_, 
   {{0xec3401d5,0x878c0193,0x73eb01e6,0x9bd30185}},	//   _ٹربیونل_, _भविष्याच, _chuti_, _журналга_, 
   {{0x1c29038b,0x1cc700be,0x1595003b,0x43ea02c4}},	//   _membesar, _гэстерди_, _bewungak, _tentou_, 
   {{0x437d0313,0x00000000,0x00000000,0x00000000}},	//   _mapasbe_, --, --, --, 
   {{0xbd54021a,0x925a0478,0x29c6014a,0xbd8f0037}},	//   _abdatamu_, _exili_, _betekint, _ለመቀላቀል_, 
   {{0x92240300,0x8a530165,0xb22400cf,0x4c3c00de}},	//   _regionál, _kadelala_, _bakki_, _amanteku_, 
   {{0x2fda00c5,0x6f410272,0x637b0434,0xe387004a}},	//   _是山东省东营市注, _agugulan, _expresam, _blaraq_, 
   {{0x73eb05f4,0xbdc0019b,0xcd9e0193,0x599c00cf}},	//   _shuti_, _konkurse_, _मुल्यमाप, _dukkaana_, 
   {{0x77530556,0x29260078,0x6a540183,0x6224030d}},	//   _ngenjong, _геноциду_, _dremenab, _blokun_, 
   {{0x640d0410,0x64540016,0x11fd036d,0x97b3031a}},	//   _gangwago_, _מלכּה_, _bunasach_, _choreigi, 
   {{0x7ba500db,0x383d04d7,0x59b70144,0x44480037}},	//   _अजिताभ_, _helmingu, _achainí_, _ያገኙናል_, 
   {{0xe5070169,0x9e530072,0xd2f304b2,0x73070564}},	//   _গায়ে_, _tatanaka, _lubhang_, _veratik_, 
   {{0x9b9c0024,0xb9a3017a,0x32120202,0xb3e100be}},	//   _সমস্যাসম, _abayishu, _irohin_, _فەرماڭ_, 
   {{0x3c3801ff,0x950c05af,0x00000000,0x00000000}},	// [7430] _vegetáci, _sustavno_, --, --, 
   {{0x327f0360,0x5386003f,0xc9040067,0x2379021e}},	//   _stanic_, _ghorlu_, _buraayyu, _ensamma_, 
   {{0x7249012b,0x4a7d0515,0xe15902f4,0xd200026c}},	//   _niemal_, _vergonia_, _marrueco, _molior_, 
   {{0x72ef00fe,0xef9d03b1,0x56380284,0x00000000}},	//   _feafea_, _trophée_, _lovecká_, --, 
   {{0x051702e7,0x0c5f0148,0xe0d800e9,0x62ca0587}},	//   _konsepto_, _partium_, _lavantaz_, _avodar_, 
   {{0xb3c600a4,0x627e00b4,0xf5c401f6,0x6c6e02e1}},	//   _арасын_, _printr_, _গাভৰুৰ_, _biorán_, 
   {{0x8302029b,0x46e301b7,0x6949027b,0x00000000}},	//   _fanaanu_, _विसामग्र, _प्रसरति_, --, 
   {{0x6d2202bb,0x9f2001eb,0x49870211,0x499300b3}},	//   _zagranic, _irürä_, _renkaita_, _dushunme, 
   {{0x9e5502fe,0x726d0119,0xd2f10015,0x8e40044a}},	//   _اوستا_, _durot_, _casuumay_, _munsambu_, 
   {{0x1d6b0119,0x826d0255,0xb2f504cc,0x4aba027b}},	//   _piemonte_, _eurot_, _simnyap_, _नोपलभते_, 
   {{0xe2c2033e,0x65b10092,0xf2e7018f,0xaf020403}},	//   _violín_, _だけど何でも描く, _hastamey_, _banjinin, 
   {{0x60d8011e,0x085807b7,0x8f7d018d,0x6db40053}},	//   _davantaz_, _recorrid, _ምልካዉያን_, _diwilaya, 
   {{0xd2240211,0xc95d03eb,0x9adb0452,0x00000000}},	//   _takki_, _absorbee, _रेलरोको_, --, 
   {{0x01e60255,0x29c70059,0x4c74014a,0x00000000}},	//   _कोइरी_, _наказан_, _albumot_, --, 
   {{0xb2f400d6,0xf13201ac,0xdd28015e,0x1fc90233}},	//   _chuntas_, _athlonnú_, _табигатт, _satisfar_, 
   {{0xc0090564,0x58d30222,0x33c602ac,0x00000000}},	//   _beseidön_, _poursuiv, _واحيانا_, --, 
   {{0xf8c30148,0x258f0119,0x7ae601d5,0x00000000}},	// [7440] _臺北市大同區戶政, _sertipik, _sávszéle, --, 
   {{0x28560092,0x0f8001db,0x5c3e027f,0x5d320258}},	//   _スくんの父ちゃん_, _эмоцияла, _ibipfuns, _meinimme_, 
   {{0x9bf80010,0x11e602d5,0x90630211,0xbd4800bb}},	//   _bakwatis, _कोईरी_, _городок_, _ذولحجہ_, 
   {{0x7f9502fe,0xc6830158,0x107d019b,0x17a5009a}},	//   _مناسبه_, _लिबास_, _вячорка_, _عدالتۍ_, 
   {{0x99c70126,0xf29202ea,0xf34d03ec,0x73dc004c}},	//   _каналах_, _basato_, _karrierë_, _bamwa_, 
   {{0xd2bb0295,0x6c060094,0xe1c00226,0xd3490225}},	//   _eeeeeee_, _сайрам_, _akamalem, _hurerei_, 
   {{0x22240281,0xa20d0211,0x9c6500e6,0x46e80157}},	//   _makku_, _забавные_, _soutenu_, _kwartał_, 
   {{0x89720368,0x883f01ef,0xd22500ec,0x726d0286}},	//   _редакциј, _эдварда_, _visko_, _kurom_, 
   {{0x8349002a,0x4d8c0156,0x5c7e03d7,0x56c9075e}},	//   _adreesi_, _לפּחות_, _personn_, _бомбанаш_, 
   {{0x02bb02f8,0x96cc01ac,0x021500bb,0x5ad602c4}},	//   _heeeeee_, _ateangai, _گوشئہ_, _задутре_, 
   {{0x2d7d03ac,0x00480350,0x12d902f7,0x00000000}},	//   _bermanfa, _ከበለጸጉት_, _mannete_, --, 
   {{0x87140092,0xa5e5019b,0xcee001df,0xa0f400d1}},	//   _投稿の注意事項_, _жыгімонт, _fabillis_, _লাগোতে_, 
   {{0x9bd7023e,0x4af80080,0xfd050211,0x1e3b0235}},	//   _پروپوزال_, _basesels, _ступенча, _codanopa, 
   {{0x359102b6,0xf7ad038f,0xf25a0439,0x7c530346}},	//   _الماسىپ_, _pellgomz_, _exilo_, _pretann_, 
   {{0xeca500ae,0x07d00272,0x23ce00da,0xa5b900bc}},	//   _akazibur, _addusibw, _cumva_, _مورانو_, 
   {{0xdf010255,0xa47701a7,0xe26d04b8,0x028a047d}},	//   _अंग्रेजी_, _проекты_, _burom_, _michelp_, 
   {{0x8236033e,0x93e102ac,0xa40d0214,0x80e8044a}},	// [7450] _akahatág, _اضرار_, _akanakuz, _bavandak_, 
   {{0x52700125,0xb3f90377,0x44930024,0xad900241}},	//   _emirlikl, _facute_, _স্বাক্ষৰ, _bittimsu_, 
   {{0xe4a5016d,0x62a00192,0x0f4a030a,0x22ea0110}},	//   _قىزچاق_, _제공합니다_, _compulsa, _frontes_, 
   {{0x53ea01e8,0x92250016,0xbd52005e,0x6874028f}},	//   _buntag_, _risko_, _نەۋشاد_, _maunganu, 
   {{0x02240074,0x634b041e,0xa3f400d7,0x0bc70223}},	//   _kakku_, _internu_, _khutsa_, _оакланд_, 
   {{0xe3eb004b,0xb2ef029f,0xc55202b9,0x85a2004d}},	//   _thuto_, _komisia_, _محبتوں_, _用戶點此下載_, 
   {{0xfdc50060,0x0f040235,0x35ea019b,0x33f400fd}},	//   _ابزال_, _antarbhā, _банкаўск, _dhutsa_, 
   {{0x134901d4,0xf2eb0399,0xf2f102c3,0x1f3001d2}},	//   _stretti_, _fungavai_, _sabinov_, _brasilwa, 
   {{0xee0e0174,0xd2d90116,0x73540260,0xf2d901e1}},	//   _benehada, _hanover_, _galegas_, _kannete_, 
   {{0x67d000a4,0xfb6b00ec,0x6d210455,0x49f202b4}},	//   _энеге_, _elementų_, _souscrir, _kukholwa_, 
   {{0x53eb0183,0x114504be,0x9fa9018d,0xa6890179}},	//   _anatin_, _espesyal, _ሕንገዳን_, _biedälik, 
   {{0xb2fd03b9,0x52a604cd,0x32000092,0x1e190139}},	//   _siqicht_, _vanjski_, _amiishii_, _bhrukuṭī_, 
   {{0xe6330058,0x3942044b,0x00000000,0x00000000}},	//   _bisarikü, _patroner_, --, --, 
   {{0xc3f80207,0x9b8b0281,0xe5550081,0x12700518}},	//   _hukumu_, _aaniniar, _stykkish, _amirlikl, 
   {{0x825b0217,0x42250258,0x32ef00b4,0x547e0074}},	//   _anello_, _wiske_, _comisia_, _пирог_, 
   {{0x65a3006c,0x8438002f,0x4657003e,0x00000000}},	//   _abasisek, _chakitak, _заводҡа_, --, 
   {{0x427f02f9,0xfe17019b,0x40d40156,0x82d2028a}},	// [7460] _revni_, _задніца_, _אײַזקרעם_, _محاورو_, 
   {{0x09c901f4,0x7af301ad,0x75d90557,0x527f005a}},	//   _خوارزم_, _chernivt, _ayibonay, _sevni_, 
   {{0x13790158,0x4c6b02cd,0xf86e0287,0x00000000}},	//   _notatka_, _himmantu_, _श्रवणकुम, --, 
   {{0xe2a6044d,0x4d2d0450,0xa6c60093,0x687a00e6}},	//   _boobu_, _fannacht_, _адвокато_, _双方均为农村居民_, 
   {{0xb6540148,0xc3340410,0x1af3007b,0x826c023b}},	//   _按這裡檢視圖片_, _motheong_, _cairiage, _onioni_, 
   {{0xdcdf01fc,0x73a20388,0x26a801a7,0x43870515}},	//   _awakkalu_, _scopo_, _esittely, _povre_, 
   {{0x9c3301af,0x034a046d,0x5f6a02ba,0x285b027b}},	//   _dolandyr, _mphephu_, _ababefan, _asandigd, 
   {{0x86ba023c,0xee6e00d3,0xc85503d5,0xc971026f}},	//   _شفافيت_, _अभिक्रिय, _andreays_, _شىينجياڭ_, 
   {{0x48fe0191,0x9e2802eb,0x66e900c5,0x8c2902a5}},	//   _nuvarand, _хэврэг_, _circulai, _císař_, 
   {{0x5c7703ad,0xd9fc01b2,0x8dab019e,0x9b240109}},	//   _estremi_, _decantat, _апазіцыю_, _trenérů_, 
   {{0x042800a6,0x1d740306,0x3b0d0326,0x00000000}},	//   _abakumaz, _chimpanp, _chipakat, --, 
   {{0xb9d90454,0xf0cf0281,0x292e00b3,0xaa040127}},	//   _akanyota_, _nanortal, _кирейсиз_, _argasomp_, 
   {{0x52e90630,0x63dd01ad,0xb27e0211,0xc2df030d}},	//   _avansat_, _bagwis_, _menny_, _biriylə_, 
   {{0x79f704f0,0x973c000b,0x8d0f0342,0xa28e0078}},	//   _fagahlet, _amanatug, _latortue_, _пружи_, 
   {{0x0ebe0361,0x29ea02c1,0x2aad027b,0x0f480307}},	//   _династии_, _akigende, _वैडूर्यम, _nangemin, 
   {{0xdbd1027b,0xa5a000c4,0x7beb0291,0x00000000}},	//   _बोधये_, _asisitiz, _بأرخص_, --, 
   {{0x2e4c00ea,0xc4df06ac,0xf6d30369,0x4a5702c3}},	// [7470] _dadarabe_, _sugestão_, _kapalaki, _plníme_, 
   {{0xa2900247,0x2e4e03d8,0xa9140040,0x587f00f2}},	//   _menawi_, _raspored_, _שריטות_, _lappuses_, 
   {{0x73eb00e9,0xd234005b,0x7a2d02a4,0xa3f80085}},	//   _ekute_, _edamame_, _discrime, _sakure_, 
   {{0x62d80231,0x926c0004,0x3cbb0013,0x32fc00ec}},	//   _manent_, _esbon_, _qasamyod_, _gimimas_, 
   {{0x8c9301f4,0xd41d00b7,0xe2fc017e,0x03eb002a}},	//   _واساس_, _артыграк_, _similas_, _nkute_, 
   {{0x60530022,0x5c6a0311,0x915a00a8,0xb9d5048c}},	//   _diprofin, _ማንሃታን_, _confamil, _breezine, 
   {{0x9175054e,0xca100244,0x924a0185,0xbc320418}},	//   _hunanigl, _malattia_, _artmí_, _atabilir, 
   {{0xaf7b022f,0xc17b025b,0xa3ce013d,0x00000000}},	//   _строгі_, _tamarhal, _trovos_, --, 
   {{0x199302f3,0x706d0235,0x41800411,0x39dd0008}},	//   _marknade, _मानसि_, _сформова, _аптага_, 
   {{0xfe0a0037,0x229404e1,0xdcbe02ba,0xe6c200cb}},	//   _አስገድዶ_, _blokadi_, _каден_, _беҳамтос, 
   {{0x026d02bc,0x92250257,0x2cac022f,0xb39902a5}},	//   _huroi_, _enski_, _балканах_, _písku_, 
   {{0x22e6023d,0xd26c005b,0x034f0031,0xa3f8016e}},	//   _agenzia_, _shiori_, _melemah_, _hukuku_, 
   {{0xcf2801a4,0xd3940095,0xd26d04ea,0x8d5f0040}},	//   _recopier_, _tansah_, _surok_, _ומגיע_, 
   {{0xc1ec00ee,0x0a9400a2,0xbbd20157,0xa047020e}},	//   _abestiak_, _kibinafs, _छलिया_, _лексы_, 
   {{0x137f000f,0xf32601a3,0xb2d80130,0x33f80009}},	//   _almanya_, _اڙٻنگ_, _aveet_, _nakupe_, 
   {{0xd26d01f7,0xa9c6033a,0x1372025e,0xc35b03c6}},	//   _arron_, _riflessa_, _skilning_, _jongsma_, 
   {{0xe509014a,0xa5260444,0xd37a00cf,0x00000000}},	// [7480] _نصرالدین_, _кустарны, _dibamoo_, --, 
   {{0x5318041b,0x52020073,0x53fd007e,0x03fc02fe}},	//   _mitchel_, _altiar_, _apunaruk, _ayinakuk, 
   {{0x73aa02ac,0x826d0027,0x69db014a,0xd7eb01fc}},	//   _فكانت_, _yurop_, _leveleke, _yamaxxag, 
   {{0x0ec2032d,0xc283035e,0x93bb01dd,0x7c9600c4}},	//   _моисеев_, _linkova_, _gakwaya_, _ماسٽرز_, 
   {{0x6ae501df,0x0485012e,0xc6c70361,0xdbf50111}},	//   _choriste, _sorrendj, _слабость, _aureliac, 
   {{0x7bb4019e,0xd2370264,0x98590418,0x7e77012e}},	//   _лесбіянк, _atomika_, _taraftar_, _ناردرن_, 
   {{0x16d303d9,0xbe4c0074,0xdc3200b4,0x304d0126}},	//   _rahalahi, _salasana, _stabilir, _третє_, 
   {{0xcc350220,0xddc50486,0xd2cc01b5,0xee0a0088}},	//   _членове_, _topkonta, _ilalelo_, _казиноло, 
   {{0x32f70036,0x48b5044b,0x3601021d,0x00000000}},	//   _indiach_, _deltager_, _kirkegår, --, 
   {{0xa018040e,0x0d45002e,0x82040055,0xec2c0007}},	//   _অক্টোবৰ_, _potpunog_, _angéline_, _pelisusu_, 
   {{0xd2010495,0x83fd007a,0x01460452,0x00000000}},	//   _biciye_, _penzina_, _कुकडोलकर_, --, 
   {{0x438704b5,0xa49e0024,0x72b501c4,0xd3940407}},	//   _dovra_, _বৌদ্ধিক_, _geldige_, _prosli_, 
   {{0x0225025e,0x135f0052,0x725a023a,0x82360436}},	//   _giska_, _zajezdy_, _mailov_, _banjoj_, 
   {{0xbae1011c,0xe3c5005e,0xb202035d,0x1a20020e}},	//   _cootaree, _ﭘﯜﺗﺘﯜﺭﮔﻪ, _dosije_, _тәфтиш_, 
   {{0x360f004b,0xf3960024,0xb9f20060,0x00000000}},	//   _atemosef, _forska_, _қонуға_, --, 
   {{0xb202034f,0xbf070128,0x52240488,0x7b2900d0}},	//   _zisiwe_, _قاریشیق_, _ricks_, _шатлалта, 
   {{0x3225033d,0x4ab601b3,0x223c0113,0x67bd0123}},	// [7490] _jiska_, _капусту_, _dhosmált, _smerteli, 
   {{0x83000369,0xa1e20013,0xe71603ce,0x89cb04a8}},	//   _makanui_, _bayonnom, _نامووس_, _preduvje, 
   {{0x5c5a0286,0x9f2d00ea,0xfdea0219,0x63a202a2}},	//   _mintumi_, _distrika, _icedziwe_, _dakpin_, 
   {{0x18f0030c,0xb7a50092,0x5f730103,0xae9900e2}},	//   _kaggitau, _pandekag, _chichien, _neitocht_, 
   {{0x72d4046b,0xaecc009a,0xc3a901cf,0x071e0244}},	//   _sillafu_, _alinalun, _gravate_, _чалга_, 
   {{0x8e56017a,0x72ad0453,0x37ca02a3,0x62000144}},	//   _хастанд_, _nekadašn, _gunsteli, _baoill_, 
   {{0x3ae10003,0xc36802d4,0x731c0053,0xa53b01fb}},	//   _annulere, _singuls_, _rincian_, _espaniol_, 
   {{0xf88d00af,0x322500ec,0x0429004f,0x00000000}},	//   _продають_, _biski_, _kakaawoo_, --, 
   {{0xb021022c,0xbe550144,0x7fe8060b,0x1be1002b}},	//   _videotro, _تورتة_, _कुशाग्र_, _অন্যভাবে_, 
   {{0x67cb019b,0x00000000,0x00000000,0x00000000}},	//   _склалі_, --, --, --, 
   {{0xd2cf02dc,0x20db039f,0x538202be,0x00000000}},	//   _pancreát, _opensigl, _baryang_, --, 
   {{0x9d0b0007,0x7225047b,0x72ca01f1,0x9adc00ee}},	//   _resoudre_, _fiski_, _mundet_, _sentitze, 
   {{0x33070146,0x03550077,0x37fa0219,0x79ba01de}},	//   _beradik_, _asyeris_, _ekuphatf, _ниязбеко, 
   {{0xb7f8023e,0xeffb035b,0x00000000,0x00000000}},	//   _وارتقاسی, _nerazvrš, --, --, 
   {{0xe243044a,0xe26c0127,0xcae10059,0xa4d10204}},	//   _alambeli_, _chaok_, _innumere, _шестнадц, 
   {{0x12240082,0x759a0066,0x5f2503a8,0xd21d0488}},	//   _hakki_, _amerikak, _attergan, _palikuša, 
   {{0x8ae5024f,0x0a710061,0x42ac03b8,0xa25a047c}},	// [74a0] _natuikat, _연구결과를_, _салаттар_, _kvile_, 
   {{0xd1c40170,0x82910253,0x728f01ed,0x42a602ff}},	//   _adamulam, _angaju_, _pomaikai_, _dooby_, 
   {{0xb3fd0047,0x82a60062,0x6c5b0033,0x59cf018d}},	//   _国家发展和改革委, _angbe_, _pertgei_, _ንኽውንነት_, 
   {{0xc31c00bc,0x522400cf,0x72ca0455,0xd94b01a6}},	//   _proclan_, _lakki_, _vendus_, _taumāhek, 
   {{0xe1cc04cc,0xa97e0320,0x42820120,0x7a99023c}},	//   _sihlanzm, _burisane, _dabhini_, _نيژدې_, 
   {{0x02ca005b,0x702f018d,0x6a760361,0xfc730420}},	//   _fundet_, _ተፈጥራዊ_, _виктори_, _acertar_, 
   {{0x13de0350,0x2c29003a,0x697b0439,0xdc790291}},	//   _ለመምህራን_, _мискинла, _mcmichae, _وينصح_, 
   {{0x573e00da,0x39e40403,0x02d801f0,0x9d240360}},	//   _спидомет, _damosina_, _janese_, _trenérem_, 
   {{0x626d0445,0x4059029e,0xd4c00040,0x115d0291}},	//   _erros_, _adlavaro, _פמיניזם_, _الجذع_, 
   {{0xf75f00e4,0xc8fe018a,0x12910087,0x6b8200ec}},	//   _विद्रोह_, _dadansod, _ingaku_, _signatar, 
   {{0x22e2001a,0xc99d00d7,0x6b2b01fe,0xac67020e}},	//   _elvileg_, _ҡасып_, _makabias, _emereng_, 
   {{0x33160226,0xada9003c,0x838300d1,0x5cf70025}},	//   _aheberi_, _شبیخون_, _ফিৰোজ_, _cittacar, 
   {{0xce350031,0x625800e4,0xb1580498,0xc6a400d1}},	//   _wisatawa, _tabletki_, _tabletky_, _ওলোৱাত_, 
   {{0xb2480255,0x272400be,0x2b3b0061,0xda08020f}},	//   _taimed_, _جىمىڭداش, _관련게시물검색_, _تصفیې_, 
   {{0x9f6e0193,0x5238003a,0xd9d803db,0xf9cd01c2}},	//   _अहमदनगर_, _turmush_, _kunokuba_, _intelixe, 
   {{0x49ee016d,0x5b9d0036,0x92d80177,0x05cc0227}},	//   _بەرپا_, _impireac, _canese_, _bahasany, 
   {{0x73940141,0x7bf2041a,0x4e4e007a,0x2f2e05f2}},	// [74b0] _asosi_, _аеропорт, _celakala, _regulada, 
   {{0x2db70195,0xf3eb038e,0x9aeb0291,0x0b18003e}},	//   _cheistea, _ikuti_, _easláine_, _katarets, 
   {{0x8b2500be,0x86280176,0xa88900be,0x00000000}},	//   _булагы_, _ailimusi, _وورۇلار_, --, 
   {{0xca0203f0,0xff4203d9,0x730c02f3,0x646f002b}},	//   _rosalega_, _natsanga, _avtalet_, _কুমারখাল, 
   {{0x0e6a03b1,0x1382039f,0xf29201fd,0x8d0b0414}},	//   _avancée_, _varying_, _basado_, _desordre_, 
   {{0x2a7e0558,0xab690425,0xc64e015e,0xf3fd0396}},	//   _bubatara_, _پاریزگار, _базистик_, _imbiegħe, 
   {{0xb238000b,0xbc6801b0,0xe94b0233,0xbc83068d}},	//   _otomeki_, _barutuh_, _structur_, _askevold_, 
   {{0xc96704f9,0xd674022b,0xd472007b,0x00000000}},	//   _misissue, _fundinum_, _laverock, --, 
   {{0xbd0f01cf,0x2341000d,0x89a901b3,0x0f60024a}},	//   _ignorate_, _viivitam, _закадров, _lugbàgbé_, 
   {{0x57e7015d,0x4f7200c1,0x8380046f,0xe37f0178}},	//   _विजयशंकर_, _probolin, _apprat_, _वैशम्पाय, 
   {{0xe03702cb,0x02d800f4,0x1629000d,0xd6a4002b}},	//   _postupan, _bweeg_, _istungil_, _কৌতূহল_, 
   {{0xeec5045b,0x6db802d0,0x295e00be,0x99be006a}},	//   _словник_, _camnetha, _قالۇۇنۇن_, _handosit, 
   {{0xc26c00d6,0x22fd01c0,0x4beb0196,0xe26c007e}},	//   _chaoi_, _duniyar_, _chilango_, _dagdhāḥ_, 
   {{0x1721042b,0xa3ce0322,0x0c2503b8,0x59fa0488}},	//   _početkom_, _kumva_, _блогинг_, _pusstund, 
   {{0x03f400a4,0x326d04ca,0xa6cc02fa,0x39410083}},	//   _surten_, _biaoli_, _baharani, _champest, 
   {{0x9df402ec,0x843103e2,0xdd8c00e6,0x13a20220}},	//   _پھٔرتھ_, _adscrito_, _以丛草为林_, _scopi_, 
   {{0x03870338,0x33eb012c,0xe28c0272,0x7ad90311}},	// [74c0] _lovre_, _ukuta_, _abekika_, _formimin_, 
   {{0x5c630172,0xc4ac0226,0x87b30156,0x82da00e2}},	//   _kununom_, _bakasank, _akordigi, _gewear_, 
   {{0xe2fd05de,0x7ba9014a,0x8e5b0488,0xd75404a0}},	//   _farge_, _معالجہ_, _prioritā, _robótica_, 
   {{0x07e103ef,0x59b102e8,0x6f62006a,0x00000000}},	//   _abasangw, _bendeket, _hampanja, --, 
   {{0x79c30101,0x026c03d9,0xe302011c,0x6c3b014e}},	//   _comentat, _henoko_, _dolaaru_, _излагање_, 
   {{0x1f030109,0x26470170,0x00000000,0x00000000}},	//   _सनाखत_, _chikhupi, --, --, 
   {{0x8ef702bb,0x4c7d00e3,0xc2ef044a,0x89ec0121}},	//   _कलाको_, _persuna_, _komitia_, _refundid, 
   {{0xa1b001fa,0xb3eb0289,0x54530015,0x92900282}},	//   _nalesoní_, _khutu_, _maddaark, _whoatu_, 
   {{0xb3f8005b,0xc249029b,0x3ecc017f,0xa9bc0420}},	//   _nomura_, _baamtu_, _naliginn, _коректор, 
   {{0xc3ce013d,0x826d0187,0x62920046,0x626a001c}},	//   _trovas_, _furos_, _sopars_, _saarpfal, 
   {{0xe30c00c7,0x339e0297,0x5c93003b,0x85690074}},	//   _арттырса_, _балетның_, _ingetulu_, _берется_, 
   {{0xe91b00e6,0x3f6e00c7,0x93dc0314,0xd27f02aa}},	//   _行政处罚法_, _balqarla, _haewa_, _klenby_, 
   {{0x6f7801d9,0x724c00db,0x82f400da,0x00000000}},	//   _blackpan, _बदललन_, _agricol_, --, 
   {{0xd26d0488,0x0f5d0144,0x7e4d0156,0xd98501d9}},	//   _kuros_, _greamann, _פיפטע_, _ervirhie, 
   {{0x112b0244,0x44350083,0x1b19009b,0xb2d8011b}},	//   _свинско_, _andarojo_, _estatuan_, _kuneku_, 
   {{0x12250287,0x72f7034f,0x5386025e,0xd6e70299}},	//   _tisku_, _مازیګر_, _innra_, _ئاسيادىك, 
   {{0x195c02eb,0x45f10523,0x131d00b4,0x426c0119}},	// [74d0] _машинаас_, _सुभाषचंद, _moscova_, _himoon_, 
   {{0x2e610129,0x114b0178,0x1250020e,0x785c0011}},	//   _ghabigha, _अर्जेण्ट, _сенаж_, _asingidd, 
   {{0x6bf601b6,0x7225021c,0x0a5d01a4,0x21070183}},	//   _איינאו_, _zisku_, _eumelaka_, _beriziky_, 
   {{0xf2d8005b,0x73b002c3,0x5d9d009a,0x799a0037}},	//   _tweed_, _webstrán, _abalubha, _አይጥቆር_, 
   {{0x39f9020e,0x44130180,0xd10400d1,0x02fc01b5}},	//   _родионов_, _loksidan_, _দৈৱিকত্ব_, _lungha_, 
   {{0x6cf100c6,0x62530318,0x68730210,0x1d840230}},	//   _deltaker, _falemaam, _akandinu, _laverite_, 
   {{0x430400d6,0x7bb701d2,0x8c9900b3,0xe7c70388}},	//   _elkarem_, _tinkurac, _башарянд, _ванилия_, 
   {{0x69690175,0x61ed0244,0xee5001c0,0x5201003b}},	//   _teknisye, _спанак_, _busasshe_, _encike_, 
   {{0xc264039f,0x8d740779,0x86130161,0x00000000}},	//   _trulia_, _okamzite_, _безвозме, --, 
   {{0x72b401df,0x9948017a,0x926d0295,0x60cf00da}},	//   _vulcan_, _akamvume, _levolo_, _reparaţi, 
   {{0xd19a0029,0x43fc00e4,0x6b8700e3,0x62560420}},	//   _دواڕۆژی_, _pieniadz, _fenonimo_, _vôlei_, 
   {{0x226d0225,0x10c203ce,0x150102ff,0xd7e502a5}},	//   _auror_, _ئینکار_, _entegral_, _chorobám_, 
   {{0x3bee027d,0xc4ca0185,0x730d0082,0x78970177}},	//   _сабор_, _форманың_, _ganawar_, _наӡаазо_, 
   {{0xc1f804dc,0xa2f000e1,0x177e0365,0x72f00082}},	//   _ستافی_, _dagiiti_, _राजबिराज_, _adaidai_, 
   {{0xfff2016a,0xa7e901e8,0xca5d01a4,0x430c00d9}},	//   _konkludo, _crosstow, _aumelaka_, _tavarat_, 
   {{0x03eb00c9,0x437303c0,0x5b9b04ad,0x62cb0182}},	//   _phutu_, _erfarne_, _dikinolo_, _walohia_, 
   {{0x7e42037c,0x22c001a2,0xdd1502d6,0x7224021c}},	// [74e0] _breakout_, _vēlies_, _булбул_, _facku_, 
   {{0x6ff80410,0x6c5e012b,0xbf14017c,0xad360064}},	//   _dikgatiš, _choruję_, _bostadsa, _кимсин_, 
   {{0x928b02d3,0xde350403,0x19fb02e5,0x826d003d}},	//   _станува_, _ankanava, _hesajere, _arroi_, 
   {{0x7d2c0194,0x3be004ab,0x1201006c,0x79530061}},	//   _attinget_, _licemjer, _ancike_, _부탁드리겠습니다_, 
   {{0x224a008d,0x23a80037,0xfc000132,0x775d02bb}},	//   _hurmat_, _ፕሮፌሽናል_, _kérés_, _काम्बोज_, 
   {{0xfc750193,0x800300c7,0xe5f70177,0x0f4d00b7}},	//   _बुद्धी_, _арттырыр_, _алабарат, _bassyrma, 
   {{0x965703f1,0x6edd0037,0xf84800be,0xdbf1020f}},	//   _najnovší_, _የትምሕርት_, _كتەلۉۉچۉ_, _دارځړول_, 
   {{0xb26c0455,0x230d050a,0x6b290211,0x032202e2}},	//   _chiot_, _canavar_, _заглавны, _botcher_, 
   {{0xdadb0615,0x395c00e6,0xaa03028a,0x9ecd0153}},	//   _zvanični_, _年国民经济和社会, _yanaonye, _ム等に関する不当, 
   {{0x375900e4,0x135f00c9,0x3637036d,0x82cc02d9}},	//   _संक्षेप_, _pudency_, _chaistei, _foalalo_, 
   {{0x9657038c,0xae3001ec,0x8dc30268,0xf5530361}},	//   _poljopri, _گالکسی_, _andingha, _андреевк, 
   {{0x308e02fe,0xafac0060,0x798c0177,0x8aac0093}},	//   _مسئوليت_, _тайпалар_, _даҩызаны_, _сынов_, 
   {{0x65b8005e,0x00000000,0x00000000,0x00000000}},	//   _بېشارەت_, --, --, --, 
   {{0xc2ba0227,0xac1c02fc,0x5aa20156,0x00000000}},	//   _sendiri_, _babanyar, _פונאנדער, --, 
   {{0xc7d101c5,0x9b5a0220,0x930e019b,0x6b5a037b}},	//   _گلستانن_, _социално_, _mobilioj, _declaró_, 
   {{0x5d8002af,0x43af044b,0xe3a701cd,0x3b09005d}},	//   _abomwuba, _ulovlig_, _ураниум_, _касланӡи, 
   {{0xfa25000d,0x09050011,0x7224005b,0x704d004d}},	// [74f0] _रामबदन_, _ababakuu, _gackt_, _台灣師範大學歷史, 
   {{0xaee202e1,0x25bf0196,0x53fa02f7,0x00000000}},	//   _asarlaío, _chiislam_, _marung_, --, 
   {{0xce6b0133,0x8d0102c9,0x00000000,0x00000000}},	//   _baachila, _niculesc, --, --, 
   {{0xfbdb00bf,0x9a5803e2,0xe2fc035b,0x025f0168}},	//   _обстояте, _docencia_, _opraviti_, _lastebil, 
   {{0x92ca0017,0x0c4a00be,0x00000000,0x00000000}},	//   _sundat_, _قىرققان_, --, --, 
   {{0xc96d01d9,0x501a0037,0x8878005b,0x00000000}},	//   _shantide, _የጅንአድ_, _a用usb_, --, 
   {{0xf3690148,0x596201cf,0x0b78018e,0xe3eb0053}},	//   _遠離顛倒夢想_, _avantiat, _demokhir, _liatin_, 
   {{0x06bf0037,0x8d5c006f,0xc2ee0155,0xa49b03de}},	//   _የሚቲዎሮሎጂ_, _مجسما_, _tuffa_, _mthandaz, 
   {{0xeba20125,0xe89b0153,0xff200277,0x00000000}},	//   _исләнде_, _おでかけ地図で拡, _matuguta, --, 
   {{0x193b034b,0x385c0448,0xff5c0271,0x93ce03ae}},	//   _alememea_, _debatter_, _debattan, _kreve_, 
   {{0xf2fc0156,0xa2a001d8,0x03ce038d,0xfb0e019d}},	//   _lingvo_, _durbar_, _creve_, _chapakat, 
   {{0x2f590333,0x7d1f0037,0x28720420,0xd9330181}},	//   _impazien, _በመንደፍ_, _покуси_, _påmindel, 
   {{0x355a029d,0xb15600ec,0xf70004d7,0xfc7c01c5}},	//   _полонией_, _барысаў_, _leturstæ, _dharaar_, 
   {{0xdb7500d3,0x23eb0168,0xcaa700e6,0xafe601bd}},	//   _टेम्प्ले, _akutt_, _型糖尿病新疗法_, _قانزۋشا_, 
   {{0x0c8003f2,0x43ea01c6,0xb2d80258,0x625b0111}},	//   _детей_, _protte_, _betocht_, _aiello_, 
   {{0x76b2015e,0x755003ad,0x9cc501a4,0x06a3000f}},	//   _امانمىن_, _abbiltà_, _batisimu_, _hastaney, 
   {{0x73ce07b8,0xcb87025c,0xe3ce00b5,0x4674007f}},	// [7500] _nuevo_, _definier, _areve_, _chadeiri, 
   {{0x534903ba,0x73ea01c4,0x46ce003a,0xa29600b4}},	//   _arzenei_, _trotse_, _mitasini, _propriil, 
   {{0xc8220220,0x38710148,0x4e4a0462,0x2cb001f6}},	//   _здравеоп, _打工工作內容說明_, _arrageba, _সহস্ৰাধি, 
   {{0x1c3e0093,0xdb610039,0x72970178,0xfa2900c1}},	//   _признаки_, _direnean_, _विरोचन_, _गोनीदांन, 
   {{0x1d6d022e,0x0f3704df,0x4a7f00ec,0xff670333}},	//   _aiaccinu_, _dokumala, _mūšio_, _bicarbun, 
   {{0x82b5031f,0x775b03b4,0x83f80067,0xe28e0097}},	//   _heldige_, _abhishag, _ammuma_, _isakoso_, 
   {{0xa26d00f9,0x19d001f2,0x5394034a,0x1bbe00be}},	//   _inyoni_, _җелил_, _amosou_, _жүгөрү_, 
   {{0x52fc005a,0x755300fb,0xa03801c8,0x1c070046}},	//   _bingvo_, _elikhuth, _postrann, _فانتاستى, 
   {{0xddff034d,0xe3550121,0xe1400040,0xae1c038b}},	//   _mendenga, _comedor_, _ותינוקות_, _ringkasa, 
   {{0x639402a2,0x7554003d,0xb3200028,0xfaf90428}},	//   _buksan_, _brukenth, _qunyar_, _anonimen_, 
   {{0x93f202f6,0x02ba0278,0x48c20128,0xd3eb0619}},	//   _parehong_, _kenduri_, _ўтдим_, _ljute_, 
   {{0x109b004a,0x49c50178,0xa97e042a,0x8cd300be}},	//   _издатель_, _akartṛtv, _aphikele, _تۅلدۅيت_, 
   {{0x32dc03f1,0x2394048f,0xa6920299,0xe49b02ba}},	//   _nevedeli_, _eposa_, _تةمعنلةش_, _athandaz, 
   {{0x2e5003ab,0x725500c5,0x43eb0405,0x87c5003c}},	//   _informač, _新疆生产建设兵团, _skutt_, _اروگوئه_, 
   {{0x025a028d,0xa2ce033d,0x00000000,0x00000000}},	//   _deklar_, _idyolog_, --, --, 
   {{0xe303048f,0x83fa010d,0x67fc02c0,0x830c0017}},	//   _bosantu_, _parung_, _ибрахимо, _narazit_, 
   {{0x88470162,0x26eb0092,0xdeed00c5,0xabf002da}},	// [7510] _ламани_, _クッキング_, _行政法规的规定_, _espessur, 
   {{0xd2fd0268,0xaf1400b3,0x0a4f02fc,0x871c00f8}},	//   _aiagay_, _хусумет_, _baremeza_, _কমার্শিয, 
   {{0x3b6c01b4,0x5e57038a,0x1bc400ff,0x5bac0094}},	//   _veronder, _allchapa, _ראקלענד_, _تەبەتىن_, 
   {{0xe6ec0074,0xd2d50439,0xb2760007,0xea140226}},	//   _допускае, _emblemu_, _eningani_, _gavanala_, 
   {{0x1878019c,0x5a67002b,0x464c0025,0xe2d402e2}},	//   _alantaku, _সাইদুল_, _सामान्यन, _aoudad_, 
   {{0x9bd00142,0x82380178,0xa8600185,0x9ab40012}},	//   _विषयः_, _ahamiti_, _уникс_, _गेंड़र_, 
   {{0xd3490371,0xc34b022b,0x00000000,0x00000000}},	//   _arresti_, _adressu_, --, --, 
   {{0xf9e50039,0x876a01f4,0x93eb0108,0x4b6d03f3}},	//   _менежерү, _уйлантир, _ayatna_, _chaotisc, 
   {{0x03940270,0x6dbd018d,0x77c700d9,0xf3560148}},	//   _sposa_, _ሓደጋታትን_, _фамилию_, _literas_, 
   {{0x48f10380,0x9619016d,0x4a7e00f6,0x00000000}},	//   _gingjdou, _مۇجەسسەم, _apararaq_, --, 
   {{0xd304049a,0x29fa00e6,0xf2d90200,0xbc7700a5}},	//   _izbacim_, _中共中央政治局常, _nafere_, _moasope_, 
   {{0xa74b03d8,0xa3560020,0x3ed6002e,0xbc3100f1}},	//   _tomislav, _atafafa_, _dužni_, _persekis, 
   {{0x7698004b,0x120201b8,0x12ca0372,0x19d900d9}},	//   _триумфат, _visiit_, _aredig_, _kannatta_, 
   {{0xe225002e,0x5b1a0456,0x030f0270,0x75160287}},	//   _svakom_, _semporna_, _bambuco_, _ईन्द्र_, 
   {{0xd9be011e,0x26ab003f,0x23eb00da,0x693b028d}},	//   _bandisit, _botlhlij_, _ajute_, _toulemwa_, 
   {{0xa3c2032d,0xd3ec02ff,0x420000d6,0x27d8027f}},	//   _указы_, _otomatik, _mhoill_, _azogusig, 
   {{0xd201008c,0x3c81027b,0xd68203a2,0x6a0c0281}},	// [7520] _rezia_, _apriyaṃ_, _इतवार_, _annaanne, 
   {{0x12780058,0xcfc70128,0xf60000f6,0xaf770368}},	//   _stunik_, _журналиг, _vermədiy, _миланом_, 
   {{0x12000292,0xd30d0269,0xeed300de,0x18e0005d}},	//   _bebia_, _regalos_, _asiyonya, _ipositiv, 
   {{0xf1190037,0x65f20045,0xed2e018d,0x32b90205}},	//   _ለምግብነት_, _неправед, _ንነፍስኹም_, _пировард, 
   {{0x2c68018d,0x3aba05ad,0x13480486,0xbc61038b}},	//   _ሪፖርታጅ_, _prevodit, _ústrojí_, _empunya_, 
   {{0xfd31010b,0x8ec603d1,0x975101a3,0xb7e1004d}},	//   _baengele_, _veterinā, _جانڪاري_, _將這則廣告_, 
   {{0x22920499,0x03f70071,0x83ff048f,0x3da902c2}},	//   _masalo_, _trisakti_, _basumuki_, _mahindra, 
   {{0xc2e9047b,0x2dcd03a2,0x50820040,0xcb1d0035}},	//   _fegnast_, _अमेरिकाज_, _מחויבות_, _бармаклы_, 
   {{0xd2fd03cf,0x93200265,0x32910165,0x40b90246}},	//   _kargo_, _precies_, _ligamu_, _парников, 
   {{0x13f4028e,0x8dbc0139,0x6e140076,0x00000000}},	//   _mestem_, _astamite_, _изведени_, --, 
   {{0x1b1f00ad,0xe20000d6,0xf25a03c0,0x65d50207}},	//   _kalakuan_, _ghoill_, _dvale_, _alichoch, 
   {{0x8f8e0045,0xfb9303c1,0x9f560197,0x6a6c0348}},	//   _политико, _obrigado_, _eksperya, _abafrika_, 
   {{0x3e4c000a,0x62010256,0xc0e107b2,0x00000000}},	//   _silaanna, _nezin_, _espíritu, --, 
   {{0x2238025f,0x72ca00af,0x82fd018f,0x52dc03f1}},	//   _akamati_, _hundre_, _chischoh_, _robotmi_, 
   {{0x7cab0135,0x034f0006,0xd4d0006c,0xa2f501ac}},	//   _объектла, _sedekah_, _табиъӣ_, _chuntar_, 
   {{0x32ca0455,0x9b04027b,0x42e903a4,0x52d80125}},	//   _rendus_, _लम्भने_, _fegnist_, _dineje_, 
   {{0xe3f40157,0xac6601db,0x17e601cd,0x11170115}},	// [7530] _jestem_, _جۇقپالى_, _aliqondi, _berkayuh_, 
   {{0x9bdc0092,0x3b1602b6,0x42d104a4,0x5e440139}},	//   _エディション_, _تاريىح_, _chultur_, _astamaya, 
   {{0x5afc00a6,0x25c2002b,0xa9030011,0xe9da00a0}},	//   _algermis, _বন্দুকধা, _banaanyu, _izininsa_, 
   {{0xbaf502e7,0x02ca0181,0x27090008,0xa3dd0140}},	//   _brzezins, _vundet_, _теринин_, _agawan_, 
   {{0x83ce011e,0x0f4901bb,0xf2010265,0x36bc0025}},	//   _swivan_, _sergisin, _gezin_, _रक्ता_, 
   {{0x653c028e,0x43a2029f,0x53960145,0x09ae020f}},	//   _eksampel_, _shopov_, _virsta_, _وینیچ_, 
   {{0x76bf0153,0x42420202,0xc3fa0020,0x00000000}},	//   _食べ歩き帳_, _onimeeli_, _susunu_, --, 
   {{0xc25a02d9,0x326401b9,0x3f490390,0xb32000a6}},	//   _avale_, _explik_, _vergisin, _ajoyin_, 
   {{0xbe2f0091,0xc7e300af,0xca8d03db,0x56350497}},	//   _qangaraa, _родини_, _akunakub, _antitoxi, 
   {{0xd6480071,0xa94f0226,0x9c7504e6,0x22e80046}},	//   _ببندید_, _bwelenge, _bunsong_, _ofensiu_, 
   {{0xfcc406f2,0x9d980359,0x5dd102d3,0x2313028b}},	//   _परोपकार_, _satellyt_, _евгеника_, _bagbros_, 
   {{0xc787015e,0xfd5503a2,0x00000000,0x00000000}},	//   _جاپانى_, _सुलगता_, --, --, 
   {{0x71630114,0x007402f4,0x00000000,0x00000000}},	//   _דניאל_, _cambiado, --, --, 
   {{0x523101ec,0x1e1402d6,0x22970102,0x33f900a4}},	//   _plumosa_, _режимнин, _sijawahi_, _siguem_, 
   {{0x32d80092,0x224300db,0x52390093,0xb3eb02c5}},	//   _celery_, _इंगला_, _бойуш_, _ekuti_, 
   {{0x3a51004d,0x4f78016f,0xbb9a0021,0x8d96004d}},	//   _占全年度預算數_, _текстах_, _aponific, _新疆烏魯木奇推薦, 
   {{0x515c0066,0x42900403,0x1d2d015f,0x5e9b0102}},	// [7540] _журам_, _avoay_, _felindre_, _sikuzote_, 
   {{0xabac012c,0x59dc0265,0x13800055,0xe9dc0256}},	//   _michango_, _effectie, _apprit_, _dziednie, 
   {{0xcaaa01ec,0xbc0004df,0x1355013b,0x5e6800a4}},	//   _جرثقیل_, _absurdus, _aalegar_, _рахманку, 
   {{0x441304dc,0x14b0028d,0x486c019a,0x3a020152}},	//   _شانده_, _miniskil_, _gaislins_, _härçaq_, 
   {{0xd2920121,0xe2d60040,0x48d600ab,0x2f420217}},	//   _pasado_, _הילינג_, _aipurang, _imbracia, 
   {{0x4c6b0144,0xacc702eb,0x3479019b,0x323202ca}},	//   _certbux_, _арабын_, _sistemoj, _acomhal_, 
   {{0x5f25023b,0xd1290097,0x00000000,0x00000000}},	//   _kasepian, _wòlímò_, --, --, 
   {{0x58590392,0x11da00e6,0x21aa0101,0x023000e6}},	//   _caractar_, _客户服务中心_, _filmului_, _一周市场行情_, 
   {{0x9d6b033e,0xdfa30488,0x511b0058,0x42c502a1}},	//   _акумзар_, _koplieto, _vestigön_, _mollige_, 
   {{0x18870013,0xd2ec0237,0x3a940075,0xe1b002aa}},	//   _назарда_, _mobiele_, _barnaans, _vaječné_, 
   {{0x238d00a4,0x6d09003a,0x03ea04ab,0xc2fd00cd}},	//   _اشدان_, _choralar, _sjeti_, _biegia_, 
   {{0x12d902d4,0x2b19017f,0x83540027,0x67a50111}},	//   _davent_, _qalasers, _matemat_, _insegnav, 
   {{0xafbe0092,0xa8630040,0xc3860342,0x1daa0172}},	//   _をすべて見る_, _נרקיס_, _enfra_, _mfantsip, 
   {{0x734802d8,0xb38b04a1,0x03ce013d,0xfc5c0132}},	//   _injeksi_, _kåret_, _provis_, _kertben_, 
   {{0x6cf00045,0x12a6019c,0xb9e3018a,0x27aa01fc}},	//   _опозицио, _anobi_, _symudiad, _hittalli, 
   {{0xd59e00e6,0x91b60097,0x32bb013f,0x00000000}},	//   _位以上颜色_, _onímàle_, _genderv_, --, 
   {{0xe2fd01b7,0x6291002f,0x90110126,0x42ba00b3}},	// [7550] _varge_, _aqway_, _аграрної_, _daldigi_, 
   {{0x324102bc,0x43ce0261,0x5dc400ef,0x1b9800bf}},	//   _hormurai_, _trovis_, _afakelwe_, _условием_, 
   {{0x21b80208,0xf42402b0,0xb26f0446,0x97cd0498}},	//   _ئاپارتای, _holstein_, _smajlići_, _sposobom_, 
   {{0xedb50193,0xe53d00d1,0x68b90205,0xef0f0308}},	//   _श्रीकांत_, _কৰীমগঞ্জ_, _бараварг, _mendiagn, 
   {{0x02f403d7,0xc34b0274,0xf94f0033,0x5e94054c}},	//   _agrikol_, _streitu_, _amplifit, _kartlagt_, 
   {{0x5593029b,0xeb5600d9,0xd3cc0037,0xf24d0008}},	//   _dajekaay, _третья_, _ኢንደስትሪ_, _жоломанд, 
   {{0x87ec042a,0x42ba0456,0x4fb703bf,0xb7b60462}},	//   _bamaling, _kendiri_, _пикетҡа_, _astering, 
   {{0xbef2027d,0x544601e0,0xd38604d7,0x4956005e}},	//   _хвала_, _ئاشقانه_, _innri_, _ئېتوتلار_, 
   {{0x5c7f0261,0xb3340401,0x250402f1,0x96830109}},	//   _persono_, _हरिप्रसा, _mantendo_, _पोसाक_, 
   {{0xc0cd0057,0xf2e60160,0xf2250079,0x9b8a0290}},	//   _ተያያዥነት_, _radnika_, _risku_, _aspiresc, 
   {{0x955c01db,0x0f810478,0x820e0262,0x8d5900f0}},	//   _ءﺗﯘﺳﯟ_, _pascalin, _халас_, _reputáci, 
   {{0xd2a70246,0x138c00f1,0xc5370320,0x13ec033f}},	//   _парола_, _dirzans_, _chaimeth, _otometik, 
   {{0xc128015e,0xfe5e0311,0xbb51004a,0x59590138}},	//   _алайкууд, _ንተቓለስቲ_, _аделаида, _tabletle, 
   {{0xc3ce0553,0x150e014f,0x415b027c,0xad0b0382}},	//   _drevo_, _нарочито_, _بستره_, _florylor, 
   {{0x343a00af,0xa26c02e7,0xf424024c,0xee0000ba}},	//   _примирен, _himoun_, _ellittik, _پێنوس_, 
   {{0x1f5b02c5,0x129d0350,0xd26c0004,0x06cc0408}},	//   _achamhan, _የሰማሁትን_, _kimoun_, _halalini, 
   {{0xed8e02d5,0xc9fa0239,0xd95c0237,0x00000000}},	// [7560] _välismaa, _mukumuku, _많으십니다_, --, 
   {{0x2ff601db,0x430e018f,0x00000000,0x00000000}},	//   _элементі, _piraqis_, --, --, 
   {{0x8b9e027f,0x4a6a00d9,0x07920211,0x00000000}},	//   _assitanc, _талантли, _laktoosi, --, 
   {{0x3834018b,0xc8780307,0x1291009a,0xad360137}},	//   _муштар_, _elingaku, _bebasa_, _хэлцлийг_, 
   {{0x03cc0311,0xf2920042,0xb3ce0267,0x82d0068e}},	//   _ኢንዳስትሪ_, _casaco_, _crevo_, _potopil_, 
   {{0xa291002a,0x5d3d01ca,0xa30c0079,0xb3170381}},	//   _lebara_, _chopghac, _atlants_, _annaway_, 
   {{0xfecc003f,0xe49f0169,0xed7e0274,0x460f00ab}},	//   _bihojnis_, _মেম্বার_, _ferminga, _koroniri, 
   {{0xa3130067,0x33600060,0x09b70052,0x7d9d00d1}},	//   _aanchaa_, _нәрсені_, _financí_, _অবৈধতাৰ_, 
   {{0x72d8004d,0x02d90455,0xa309004e,0x207504fb}},	//   _但播放器按鈕顯示, _savent_, _gisakup_, _iniciaro, 
   {{0x92d000b7,0xae78030d,0x82260039,0x80620156}},	//   _ellerini_, _variantı, _markak_, _antaŭzor, 
   {{0x3db90021,0xce540429,0xa2370562,0x2181064c}},	//   _ablingca, _tatabaha, _iromoka_, _zaraznih_, 
   {{0x626c0342,0x66bc01f2,0x26b4032d,0x5a0a01e9}},	//   _timoun_, _мәзһәплә, _futsaneh, _itlamela_, 
   {{0x4c07027f,0x63590222,0x780302d8,0x9c0d0170}},	//   _abasuku_, _bureaux_, _mancaneg, _apepese_, 
   {{0x18c401b7,0x2d9f0274,0xf64e0013,0xfaf70065}},	//   _उभयपदी_, _opinbera, _мазмунан_, _unerwart, 
   {{0x831600d9,0x3adb0618,0xa3ac0203,0xbfe300d1}},	//   _занятия_, _zvanično_, _hispan_, _কথাটোৱেই_, 
   {{0x026c0117,0xd2d90315,0x70b502bb,0x42b10007}},	//   _akaon_, _bavete_, _क्युकी_, _kendaka_, 
   {{0xd86303a4,0xf50c02ec,0x221202e7,0x72010168}},	// [7570] _spennand, _soomaliy, _apohan_, _dreier_, 
   {{0x42ca059f,0xebd10168,0xa29000c2,0xbb1600c1}},	//   _fundit_, _produser, _bahaye_, _सोडणार_, 
   {{0xf0370092,0x1d000462,0x920102c7,0x7dff03b5}},	//   _このサイトの使い, _amburger, _freier_, _mendonga, 
   {{0xf7b700e6,0xfa8300e2,0x43140234,0xf2d9008a}},	//   _全面贯彻落实科学, _belibjen_, _labukéé_, _tavete_, 
   {{0x9fae0188,0x6e960217,0x2df000bb,0xd92b0120}},	//   _шарки_, _fortiate_, _کنڑول_, _nummatta_, 
   {{0xe1c30043,0x6c1e0461,0x0d840021,0x4ae101d7}},	//   _agimalam, _utopias_, _amplersa, _candides, 
   {{0xb94e00c5,0xc2550139,0x1c5500a7,0x22910085}},	//   _广州市白云山农产, _विशेषे_, _алынса_, _tebara_, 
   {{0x461b051b,0xb23800bf,0x2a700340,0xb5530061}},	//   _zastavil_, _десятка_, _hemanawa_, _편집노트쓰기_, 
   {{0x9e5001c1,0x16ce025e,0xa2b300ba,0x5974042a}},	//   _kedalama, _hitaeini, _میلکانێ_, _ebuncane, 
   {{0x4a97005e,0x1d8e004d,0x773d01a3,0x00000000}},	//   _سۈبھى_, _人間小說精選_, _ميربحر_, --, 
   {{0x9492004b,0xf5410208,0x720e02d3,0x4fa3000a}},	//   _анисимов, _حیمایه_, _талат_, _ilalerso, 
   {{0x7c5a0007,0x19ea0166,0xa2010168,0xf26c0165}},	//   _alotaki_, _profitie, _greier_, _laioni_, 
   {{0x22f2010f,0xab3903bf,0xa97b026f,0x3bee0188}},	//   _аксар_, _проектта, _ءتولىنىڭ_, _табор_, 
   {{0x7877019b,0xa30f0338,0xb30d013f,0xbb9702fe}},	//   _правах_, _taubira_, _lavaras_, _ادبیاتو_, 
   {{0x220004bb,0xae330299,0xc2f404a7,0x6d1c00ae}},	//   _mejis_, _ئۇلمدىكى_, _abanear_, _mukumwic, 
   {{0x994e01cc,0xb2fd0125,0x3d960011,0xc20102e4}},	//   _parameśv, _garga_, _akaliraa, _elaich_, 
   {{0x74740148,0x52d903c0,0x6a4900bf,0x81af0089}},	// [7580] _股份有限公司_, _lavere_, _надлежащ, _адымын_, 
   {{0xc1660102,0x91250074,0xbb8c018b,0xc3dc03b6}},	//   _وابستگي_, _mielestä_, _vizionar, _ayewo_, 
   {{0xc22a01b2,0x1f5d0385,0xe7d9020e,0x726c046b}},	//   _stemmed_, _odrastan, _dioperei, _daioni_, 
   {{0xdfbf0105,0xf4bd0285,0x61f4004b,0xe6b502e7}},	//   _ocenzuro, _amayombo_, _сыныҡты_, _kasumpay, 
   {{0xd11102ec,0x322401d9,0x829401f4,0xf290008a}},	//   _پھێرِ_, _dacks_, _darajali_, _ponati_, 
   {{0xc34300de,0x42d9027e,0x7c74007e,0x87ba01b5}},	//   _کاغذي_, _zavese_, _शूद्रा_, _malunghi, 
   {{0xc3ea0224,0x5a5d0087,0x525b023a,0xfc5c0192}},	//   _kvitta_, _kumekaka_, _obalov_, _dertien_, 
   {{0xd3870117,0x8f270059,0x025a0056,0x07ba00d0}},	//   _daerek_, _закачки_, _awile_, _домогтой_, 
   {{0x696007af,0xea09023c,0x0c750277,0xa29004ec}},	//   _पिकनिक_, _کتابه_, _gunsang_, _mahane_, 
   {{0xac320479,0x5b0c01e0,0xee8601bb,0x0ae301fc}},	//   _szeptemb, _کامیل_, _гансыз_, _cukuumat, 
   {{0x529202d7,0x00000000,0x00000000,0x00000000}},	//   _casaio_, --, --, --, 
   {{0xa20104e2,0x567903ab,0xed190287,0x23940129}},	//   _ceria_, _neustále_, _renovace_, _mposi_, 
   {{0xa4d902d5,0x551802a9,0x1b7f009b,0x2be10208}},	//   _hinnatõu, _elektrėn, _europarr, _پرسگه_, 
   {{0xc3f80527,0x43940399,0x00000000,0x00000000}},	//   _pouzdan_, _oposi_, --, --, 
   {{0x24e50092,0x32c303a0,0x1afc0126,0x43870088}},	//   _ション施設_, _dillogo_, _духовний_, _cobren_, 
   {{0xb00a00e6,0xdd0801b9,0xe30d00a0,0x10b0004b}},	//   _阿拉伯树胶_, _nerozite_, _gafarar_, _khumamel, 
   {{0x12c6033f,0xa621003e,0xeb0e0099,0xa40106a4}},	// [7590] _amalele_, _bahlalef, _akapakat, _fyrtårn_, 
   {{0x120101e5,0xf946014f,0x0d4704f9,0x09c50037}},	//   _merin_, _настава_, _allanneq, _ጉባኤዎች_, 
   {{0xc841030c,0x72000342,0x3f280203,0x63b101d4}},	//   _kugluktu, _rejis_, _extragra, _abaque_, 
   {{0xb3f4029f,0x8ea30400,0x72d900dc,0x4262030f}},	//   _mestom_, _alaterne_, _sionare_, _pūoho_, 
   {{0xd0560360,0x39cd033f,0xb8180244,0x43790307}},	//   _अर्घाखाँ, _alifalet, _разликат, _ithambo_, 
   {{0x22d8017e,0x00000000,0x00000000,0x00000000}},	//   _kohera_, --, --, --, 
   {{0x4d950240,0xb2010420,0x16b70099,0xd2240041}},	//   _dabedabe_, _teria_, _angarati, _рҿиаҩ_, 
   {{0xf20102a0,0x03dc0493,0x3d3d0052,0x161c00d9}},	//   _kerin_, _uyewo_, _ordinace_, _доставля, 
   {{0xe20102b1,0xf93c0587,0x24410567,0x00000000}},	//   _jerin_, _adoptèc_, _härwaqıt_, --, 
   {{0x8201000f,0x6bfc04ad,0xa2c30211,0x649d03b8}},	//   _derin_, _dinonofo_, _kielten_, _سالبىراپ_, 
   {{0x532d0092,0x92010202,0x35480235,0xc52e027c}},	//   _紅音ほたる_, _eerin_, _विधेयम्_, _awaneley, 
   {{0x35490056,0x42c101a0,0xfcf100c7,0xe30c0492}},	//   _назардош, _cheleta_, _biktimer, _zabalit_, 
   {{0x779f03a8,0x220103d5,0xf85e013d,0x004d006a}},	//   _এক্সপ্যা, _nerin_, _klarigas_, _antranon, 
   {{0xe9450414,0xf9f001a4,0xb37b04e4,0x8cc5002b}},	//   _flatteur_, _abondela_, _izravno_, _সূচীপত্র_, 
   {{0xc20100d5,0xaba40299,0x96190361,0x6cf903f2}},	//   _herin_, _ئىناۋەتل, _матвееви, _хранилищ, 
   {{0xd8320146,0x1ccc02b9,0xe2ee02e4,0x626c0240}},	//   _bermaksu, _گیانا_, _buffu_, _saioni_, 
   {{0x8394022d,0x09b80025,0x382b0061,0x62d80258}},	// [75a0] _sposi_, _कार्यस्य_, _생활노하우_, _byneed_, 
   {{0xd24901e1,0xfccc051f,0x82ea0211,0x02fb0226}},	//   _depositi_, _دیانا_, _сторону_, _amphaka_, 
   {{0xf5de0079,0xc0fa0052,0xa2a000f6,0xdb28004d}},	//   _izdrukāt_, _pachatel, _bildilər_, _乘的士多是中產以, 
   {{0xefb10192,0xd8e3029a,0xcc2a041e,0x50b601a3}},	//   _주절거리기_, _sinyater_, _cumpless, _ڪڏهوڪو_, 
   {{0xef6f04fb,0xb20103ba,0xe941012e,0x1f040188}},	//   _palabras_, _gerin_, _meglehet, _курсиро_, 
   {{0xc294014c,0x56a20381,0x4ef0002b,0x7aaa005b}},	//   _angavumi_, _aliforni, _সমাজকল্য, _fleksjob, 
   {{0x12c300c8,0x96e30060,0x4c0701d1,0xed3c0247}},	//   _bahlano_, _әжелер_, _consent_, _هیاهو_, 
   {{0x9d0100ca,0xd20107b9,0xaf410244,0x82b901f6}},	//   _utilizat_, _yerin_, _обратна_, _rimeleg_, 
   {{0x92ca0259,0xd2250157,0xc2cf00c5,0xac230040}},	//   _hendes_, _paski_, _sodomie_, _indicted_, 
   {{0xa2010189,0xa29001eb,0xca7e013c,0xab6c0192}},	//   _verin_, _lejana_, _aparacaq_, _verouder, 
   {{0x3d4f0037,0x830c0079,0xf14702eb,0x00000000}},	//   _መተላለፊያ_, _atlases_, _тарина_, --, 
   {{0xc35d0303,0xbdb1006e,0x18440396,0x33e00118}},	//   _agegang_, _amouniou_, _flambeau, _adaminek, 
   {{0x29080433,0xad2d02bf,0xbf45017e,0x0f470068}},	//   _schaumbu, _bacinise_, _alispeca, _allsanaa, 
   {{0x337f00f5,0xb016032d,0x2be5034c,0x06b8006c}},	//   _romanya_, _тарында_, _adreslar, _abasilah, 
   {{0xe17700c7,0x43cf036f,0xf7d302d3,0x12e6029c}},	//   _бетте_, _odavno_, _топлите_, _ananena_, 
   {{0x324a072c,0x42010183,0x63fb00bf,0x62010452}},	//   _termos_, _perin_, _повстанц, _aerio_, 
   {{0x527e02c2,0x8c040172,0x648605dd,0x027302e6}},	// [75b0] _manne_, _danseni_, _मियामी_, _langsomm, 
   {{0x6a39003a,0x427e02ff,0x284b0037,0x63a20176}},	//   _мендан_, _lanne_, _ማድረግን_, _xcopy_, 
   {{0x32b40148,0xf9270125,0x8ba0026c,0xec6f04ba}},	//   _amicus_, _билдиң_, _arbitrio_, _nigrán_, 
   {{0x22e2030b,0xb24d062c,0xc63706c4,0xe4620084}},	//   _abaganzi_, _पैरलल_, _vaniljei, _dibenerk, 
   {{0x03880013,0x6486062c,0x8df60417,0xfd93032d}},	//   _байрамид, _तिराहा_, _verdagte_, _bopetsoe_, 
   {{0xb365020e,0x5ac7008f,0x726702c7,0xf213033e}},	//   _lengolo_, _कांपे_, _routenpl, _кошман_, 
   {{0x7c6a022c,0x00000000,0x00000000,0x00000000}},	//   _buludru_, --, --, --, 
   {{0xd3ce0206,0x3c000611,0x522501a7,0xeaf6005e}},	//   _dreva_, _cresurs_, _lasku_, _ئاچكۆز_, 
   {{0x1c340242,0xbbd10145,0x730502db,0x9dd9006a}},	//   _bannerlə, _dolerių_, _karapim_, _fankatoa, 
   {{0x07830211,0x7b65028b,0xe4800333,0x958a0092}},	//   _harvinai, _аҵәҵәабж, _esageraz, _socialrå, 
   {{0xf2df02b0,0x423402f7,0xbc6f0133,0xe27e01d4}},	//   _meinung_, _atamele_, _aferaan_, _fanne_, 
   {{0xc2240092,0xe9b80022,0x5dc50096,0xd4b40343}},	//   _wacky_, _хирургта, _ashigaje_, _makakaik, 
   {{0x6f110261,0xd29000d7,0x02fc066e,0x9319003e}},	//   _sendepen, _bahale_, _bangó_, _didikeng_, 
   {{0x924a00a7,0x4c750193,0x17300434,0x6ab601de}},	//   _termes_, _biarlah_, _sensació, _әрпімен_, 
   {{0x0c6002c6,0x1ff30162,0xcb9801d9,0xc3ce0541}},	//   _martius_, _болайли_, _natirlec, _creva_, 
   {{0xd72b018d,0x9c1901d2,0xff650026,0x72420255}},	//   _ንምጅማር_, _anuqara_, _bevallin, _टूटला_, 
   {{0xf9960361,0x33350510,0x9fe3005e,0x08f5032d}},	// [75c0] _аллергич, _свиновод, _ئەئراف_, _тутаев_, 
   {{0x1d2100da,0x462f00cf,0xd2e00139,0xa3f4037c}},	//   _екстерне_, _afoolaaf, _ambarīṣa_, _vestem_, 
   {{0x36dc0365,0x95930086,0x3ed50137,0x3b5c0300}},	//   _मेसिन_, _civilizá, _туузан_, _indikačn, 
   {{0xb7750090,0xee5a003c,0xc16802c2,0x3f3404d7}},	//   _kunyangw, _پدرخواند, _ndaitwah_, _endurupp, 
   {{0xc8c600a5,0x7f81005e,0xd307000f,0xf9d004ca}},	//   _amatalag, _لەشكەر_, _seramik_, _avalanca_, 
   {{0x43560256,0x12da023b,0x75680037,0xaa8404e5}},	//   _adreses_, _iepeta_, _ለአብርሃም_, _awezezza_, 
   {{0xe3940270,0x2c15033c,0xe5c40040,0x45be0156}},	//   _sposo_, _phrofiad_, _אנסמבל_, _נוצבאר_, 
   {{0x79b70060,0xbd3600de,0xccd4055f,0xae560061}},	//   _باسسىن_, _andisoze_, _dilediği, _태터툴즈가_, 
   {{0xa629013c,0xb3eb0296,0x26f2034a,0x905b0167}},	//   _azercell_, _njuta_, _testemuñ, _curaduro, 
   {{0x2c5c001d,0xb3dc0247,0x524a03dd,0x7a0800e6}},	//   _certmen_, _nyewa_, _permes_, _个一级科目_, 
   {{0xd9fc01db,0x59790095,0xb03f01f4,0x42c50437}},	//   _ايىتباي_, _alazraqu, _tartibin, _ulemper_, 
   {{0xe36c032d,0x5db6044f,0x8c1c00ac,0x00000000}},	//   _mongoli_, _ketingga, _naslovnu_, --, 
   {{0x6b020064,0x3bc90053,0x59ed02f6,0xf3410403}},	//   _missatge, _श्रीखंड_, _ahensiya_, _etsetra_, 
   {{0xa2f903ce,0xc201017d,0xb2780258,0x7d0600ae}},	//   _ستاری_, _aerie_, _deunby_, _mubushor, 
   {{0xc22602ee,0xa42c0037,0xd20103f1,0x9f4f023c}},	//   _avukat_, _የሚታዩትን_, _berie_, _وزيږيد_, 
   {{0xe2f20013,0xa9af018d,0x52d500ec,0x9c1d00e6}},	//   _karimov_, _ታሪኻውን_, _kitokia_, _paraphar, 
   {{0x296c012c,0x7e190037,0x7b0103e6,0xca01013a}},	// [75d0] _kuzingat, _የሙስሊም_, _fuersche, _fuerschu, 
   {{0xde960193,0xa52c00ba,0x670500af,0xf70b0040}},	//   _राष्ट्रव, _سالێن_, _ядерного_, _ההסדר_, 
   {{0xd22a019e,0xe3eb00b4,0x87f902c4,0xe0f80064}},	//   _бокам_, _ajuta_, _белите_, _fotogràf, 
   {{0xf3fa0240,0xc7a801bc,0xbed703a2,0x536c01a4}},	//   _gusumu_, _omstanni, _फैंटसी_, _dongoli_, 
   {{0x63f80507,0xa303038a,0xcdfc034d,0x05da0156}},	//   _diluar_, _ansaltu_, _kekecewa, _נדבנים_, 
   {{0x82bb0414,0xba5600af,0x52eb0005,0x36590209}},	//   _fenetre_, _аудиторі, _huonder_, _allisarf, 
   {{0xf15d04f8,0x69e40399,0x7b2100b5,0x00000000}},	//   _homology_, _nonovena_, _omerecév, --, 
   {{0x139500ef,0x66800220,0x2e02038b,0x51cc01d4}},	//   _ibasic_, _включени_, _diselesa, _natività_, 
   {{0x142404c4,0xe2870300,0x915d01b8,0x6ee701c7}},	//   _poliitik, _maminky_, _territoo, _каканок_, 
   {{0x19f602fe,0x727f0360,0x336c004b,0x84ba0045}},	//   _یونیم_, _hranic_, _bongoli_, _границам, 
   {{0xaae70035,0x147a0281,0xd95d014d,0xb3d30060}},	//   _studiyas, _ameerikk, _verletzt, _отброскі, 
   {{0xf68f0144,0x8645033e,0xf9ea0120,0x706b0076}},	//   _softligh, _folkóric, _yangadde, _апартман_, 
   {{0x62fd01aa,0x05f902d5,0x8b8b018d,0x821c029b}},	//   _akentay_, _प्रोमोट_, _ምድጋፍን_, _fethie_, 
   {{0xb20101fe,0x225b01e5,0xf200019f,0x12920409}},	//   _adriu_, _apinkiri_, _hakimu_, _masako_, 
   {{0x70ff01f0,0xd37f04cf,0x1a1c0022,0xb26406a7}},	//   _bathesal, _bahamba_, _төхвәтул, _forlot_, 
   {{0xc2010230,0xcc330016,0xba390444,0x42da013f}},	//   _terib_, _פאביע_, _ведения_, _alseek_, 
   {{0x79cd0318,0x415c0125,0x64ad00da,0xf3ce005d}},	// [75e0] _alifelet, _гуран_, _милитаре_, _aseve_, 
   {{0x1ba40371,0x237f04cf,0xe14b03a2,0x5a2001f3}},	//   _articolo_, _wahamba_, _अम्लता_, _neocenit, 
   {{0xe2f00206,0x36fd0122,0x1dfa048c,0x6b9500df}},	//   _akciami_, _صدرالدین_, _bardaght_, _tarifair, 
   {{0x102b00bf,0x725600e9,0xb2900028,0x425a0358}},	//   _счета_, _cilegalm, _nimankii_, _avili_, 
   {{0xf2ca0241,0xc2550362,0xc72b012a,0x8c470527}},	//   _addda_, _akotikal, _obserwuj_, _asocijac, 
   {{0xe2010390,0x530d00d1,0xf6a104ec,0x7f5b02c5}},	//   _verib_, _অন্যন্য_, _agitobey, _achashan, 
   {{0xefd70145,0x33fa046d,0x6b6a00c7,0xd65401ef}},	//   _svetainė, _musuku_, _temasına_, _складаец, 
   {{0x40070259,0x69870012,0x2b3d004a,0xfe1300d9}},	//   _甲信越地区_, _बालमीक_, _бүрекле_, _ollessaa, 
   {{0xeb9a0287,0xdc1000bb,0x52f302c3,0x1d9f00b6}},	//   _पुरुषका_, _آرڈرکریں_, _letisku_, _konoyhaa, 
   {{0x7dff03dc,0xaa15008d,0xfe1c00ee,0xaa0e01ed}},	//   _sendinga, _августид, _betebeha, _manawale, 
   {{0x02f001e1,0x3720004d,0x0c7502d5,0xb2000295}},	//   _dilinki_, _東京大學漢籍善本, _बुध्धु_, _takimu_, 
   {{0x014c0219,0x01b902ba,0x301a0010,0x12240017}},	//   _aphephil, _қарибулв, _elivikin, _žokej_, 
   {{0x06bf065b,0x43dd01ed,0x235a03ad,0x05110062}},	//   _वस्तावैय, _kauwa_, _farfett_, _matortah, 
   {{0x62d400b7,0x2daa041e,0x92900357,0x5e840361}},	//   _berdim_, _reagisce_, _jonati_, _класне_, 
   {{0x9202006e,0xe46d01c4,0xeba5027f,0xa3540338}},	//   _fisiye_, _verdrukk, _ivukamwo_, _batejat_, 
   {{0x8c680096,0x54ac0291,0x3717011f,0x82d405ce}},	//   _bicumbi_, _وتدمير_, _isarambí, _derdim_, 
   {{0x226400d0,0xb8320162,0x00000000,0x00000000}},	// [75f0] _taulan_, _جارىي_, --, --, 
   {{0x84610242,0x82000179,0xe59002d8,0x5e8f0153}},	//   _sürgün_, _gebis_, _सालिवाहण, _今日の支出_, 
   {{0x72000014,0xa05900cf,0x1edc03b2,0xd2ca039e}},	//   _uebit_, _botswaan, _equities_, _bundne_, 
   {{0x2c660113,0x9d9c01aa,0x3282029c,0xe8740025}},	//   _laitvis_, _apoleika, _chosatul, _परिष्कृत, 
   {{0x05a20208,0xfaad016d,0xb6e101ef,0xfbc40156}},	//   _زمانان_, _топланға, _адпускал, _ערלעידיג, 
   {{0xc3430280,0x32e803cf,0x00000000,0x00000000}},	//   _स्वंय_, _geminin_, --, --, 
   {{0x4d2d00ce,0xfc3c009b,0x4f2c02a3,0x0b70005b}},	//   _fasilite_, _будаггүй_, _afleidin, _amaoufar, 
   {{0x894400bc,0x6ba500ae,0x8225002e,0x9ea80008}},	//   _xcruiser_, _avukamwo_, _svakim_, _оболу_, 
   {{0xf37900a8,0x00000000,0x00000000,0x00000000}},	//   _cumanzo_, --, --, --, 
   {{0xf201030f,0xe36e001d,0x5248012a,0xbc73009b}},	//   _heria_, _inaptitá_, _promuj_, _iberiar_, 
   {{0xda490191,0x90fe0510,0xb3060119,0xfd7f0115}},	//   _nordiska_, _арабским_, _igbalik_, _permanda, 
   {{0x69df006f,0x4292009b,0x22c202f6,0xe38601c1}},	//   _wagombea_, _pasako_, _naalala_, _minri_, 
   {{0x320002f3,0xe6060425,0x290d019b,0x049803ae}},	//   _bebis_, _تارمیه_, _karaliau, _korrupsj, 
   {{0x1b520013,0x698a0171,0x8aeb0235,0xdecc0062}},	//   _нонушта_, _ploču_, _avartant, _jihopnis_, 
   {{0xe354019b,0x093f0040,0x995e01a3,0xc2000195}},	//   _kameros_, _יצטרך_, _لٽڪيل_, _lebir_, 
   {{0x69f500a4,0xa2d4016e,0xb2bb00e6,0xeb67022b}},	//   _ارعىماقت, _verdim_, _服务特色明显_, _almennan_, 
   {{0x3c170040,0x67d70192,0x12c200c0,0xff6e002b}},	// [7600] _בגביע_, _creatiev, _maalala_, _শাহপরীরদ, 
   {{0x1dac0305,0x95e9034c,0xe20203ea,0xbe0b0040}},	//   _visninga, _ярославн, _entier_, _בלוטת_, 
   {{0xb37d0497,0xd27e0142,0x699401fe,0xf67c0256}},	//   _expanse_, _yanna_, _bookbust, _rīdzinie, 
   {{0x727e04b9,0x02fc02f6,0x93020006,0x4ffb027b}},	//   _canna_, _linggo_, _tuhanmu_, _apratirū, 
   {{0x43ce02a4,0xb2010057,0x1c3e00d9,0xe26100b4}},	//   _ativan_, _deria_, _признали_, _partidul, 
   {{0x924a03ea,0x5c1a00ba,0x9e000227,0x4f7700f7}},	//   _permis_, _رلێشێواو, _diperjua, _adiaŭis_, 
   {{0x11e90060,0x52a60184,0x726c0282,0x6a73036e}},	//   _спорттық_, _ahoba_, _akaou_, _canacota_, 
   {{0xe201004f,0x9ee10401,0x8dde004d,0xf24a01b4}},	//   _afrig_, _विक्रेता, _仲夏概念股正熱_, _vermis_, 
   {{0x87140113,0x8aa70139,0x8dbf00c7,0x93560304}},	//   _اقتصادية_, _निर्मिता_, _bagişlan, _ariffin_, 
   {{0x6f800255,0xd42501db,0x617d0307,0xfc140204}},	//   _एक्को_, _журекте_, _namakhol, _ranskass, 
   {{0xaf6a0011,0x8e060220,0x02c402f3,0xad5200d7}},	//   _ababawan, _condanna, _tillagd_, _селигерҙ, 
   {{0x5d700007,0x97a70014,0x7a94004a,0x12ec00d2}},	//   _alimbisa, _punonjës, _agregatı_, _nyandak_, 
   {{0x41ed0486,0x51e5038b,0x174b004d,0x0bb5021c}},	//   _formulář, _pergilah_, _迅速通過媒體反擊_, _terárium_, 
   {{0xb7ac0247,0xdc160107,0xb27e04f8,0xa20200cd}},	//   _یزدانی_, _pesanggr, _wanna_, _antier_, 
   {{0x73ab03a7,0x2dff0551,0x9a5c02e0,0xf3eb0020}},	//   _stavieb_, _bendunga, _berekela_, _avatua_, 
   {{0xc3f402db,0x4fa40040,0xe3ce01d7,0x9d700007}},	//   _testim_, _ארגנטינא, _brevs_, _elimbisa, 
   {{0x838a0292,0xee500115,0x98b000be,0xbc100462}},	// [7610] _atitiriw_, _pedalama, _ايىتسامد, _actuates, 
   {{0xc40e01e8,0x48530629,0x86120192,0xac1f040a}},	//   _sangrado_, _acdonald, _andersom_, _droppar_, 
   {{0xa2250117,0xa2e60125,0xf6690209,0x6b8b01a3}},	//   _maski_, _günüm_, _lykketof, _اِنھيءَ_, 
   {{0x6c76002f,0x0791004d,0xe2df01c4,0x00000000}},	//   _chirapi_, _contriti, _heining_, --, 
   {{0xe9aa0141,0x00000000,0x00000000,0x00000000}},	//   _хотин_, --, --, --, 
   {{0x32630287,0x9bc702eb,0x6b6d0067,0x2a100165}},	//   _pokaždé_, _гавлын_, _daariiqa_, _sefanaia_, 
   {{0x32df0024,0x89620475,0xc2ee02fb,0xe50d04a7}},	//   _meining_, _составе_, _haifua_, _carreiro_, 
   {{0xc25a0544,0x327e01b9,0xc7aa0372,0x16aa01d2}},	//   _awale_, _bannn_, _awstrali, _awstraly, 
   {{0xf2ca02a3,0xd2ca00ec,0xce000308,0x02c100d1}},	//   _helde_, _апостала_, _mendenda, _য়ুএছএ_, 
   {{0x220100e4,0x30560233,0x18d60084,0xa3f402fe}},	//   _serii_, _inprofun, _dipulang, _akuthi_, 
   {{0xf27e010b,0x946300e4,0xcd0e031a,0x1c6b0079}},	//   _manno_, _ग्रन्थों_, _bantraic, _resursu_, 
   {{0xcd9a02ee,0xfecd0260,0xd6f9005d,0x69f40371}},	//   _akkomoda, _galizion, _раартраз, _omosessu, 
   {{0x9ce300c7,0xf8fd0178,0x062900e6,0x520100b4}},	//   _yazılıp_, _apratipu, _或者有任何建议_, _verii_, 
   {{0x12ca009d,0x0b52003f,0x3e9801b8,0xab990159}},	//   _vendos_, _bortasqa_, _normaaln, _raseinių_, 
   {{0xb2d80216,0x41b3028a,0xa3e401e8,0x00000000}},	//   _belesh_, _چادرن_, _maitandi_, --, 
   {{0xa27e023d,0x2c7402d8,0x29840265,0xdc5b0059}},	//   _hanno_, _चिन्हे_, _logistie, _gestori_, 
   {{0xeb89022e,0x03f700bf,0x138001da,0xd27e005b}},	// [7620] _definisc, _перечень_, _merren_, _kanno_, 
   {{0x0201029a,0xf2cb0211,0xc27e01c5,0xebdf008d}},	//   _deriv_, _menossa_, _janno_, _modelyer, 
   {{0x2224005b,0x627e0059,0xe2ca00ff,0xb0780037}},	//   _macky_, _danno_, _sendos_, _በደቡባዊ_, 
   {{0xe1940225,0x71dd013f,0x0a1400a0,0x8b640342}},	//   _cowardly_, _renerezh_, _alkaluma_, _noresten_, 
   {{0x4bb90546,0x42c3013a,0xe25b036e,0xaf62004f}},	//   _सहुलियत_, _fielsen_, _daylog_, _kanaalub_, 
   {{0xc6c8014e,0x72f30265,0x99470061,0x237c03db}},	//   _сателитс, _gelinkt_, _연구에서는_, _kuvalwe_, 
   {{0x15e30092,0x8ae501b8,0xebe0046f,0x5b0c015a}},	//   _情報掲載について_, _kontsept, _geaenner, _googilin_, 
   {{0xc25a000b,0x65a80307,0xe22a0098,0xa202020e}},	//   _avalu_, _bangazih, _fremmed_, _disile_, 
   {{0x92c30281,0xe2e900dc,0x6fe10014,0x427e030b}},	//   _kielsen_, _lemisio_, _opozites_, _banno_, 
   {{0x693c03a0,0x929000d9,0x5c5a0220,0x003e018b}},	//   _atamedit, _taaperol, _sintomi_, _licitaţi, 
   {{0x8785012a,0x93bd002c,0x73ea0140,0x8fc50569}},	//   _ogromną_, _насалдаг_, _akitin_, _komnetar_, 
   {{0xbb1a034d,0x4de100ff,0x82e50607,0x62c2003f}},	//   _sempurna_, _מעדעציני, _abonisa_, _ghalila_, 
   {{0x433d0205,0x827e023d,0x4d030365,0x03eb0088}},	//   _شیراک_, _fanno_, _sportovc, _ajuts_, 
   {{0xb4b300ba,0x60c200ff,0xe6920153,0xa2d90109}},	//   _تۆرۆنتۆی_, _קערעקשאַ, _次期治験活性化計, _ministři_, 
   {{0x0fea01eb,0xb61806ce,0xe37f03ee,0xe3d70055}},	//   _aturuñe_, _alegació, _stranac_, _alittori_, 
   {{0xc2e503db,0x03e003cf,0xf2240181,0xe17d0362}},	//   _ebonisa_, _dayanıkl, _zacky_, _kamanyol, 
   {{0x3a6a01ab,0x5c6a01db,0xd7080059,0x9f240108}},	// [7630] _infoplus, _балконын, _застудяв, _bageanan, 
   {{0x2c7d02bb,0x68470162,0x9f2502e7,0xe43e000c}},	//   _bhashan_, _рамади_, _repellan, _ианне_, 
   {{0x827e0220,0xf2ee02f3,0xd90404d8,0xce030112}},	//   _vanno_, _tufft_, _banaanid, _disegera, 
   {{0x3f6500d6,0xd9420155,0xf67a00cb,0x00000000}},	//   _tsualain, _husmorst, _меросӣ_, --, 
   {{0xd386019a,0x1b5d0434,0x139100bc,0x00000000}},	//   _adored_, _permitir, _محسوسی_, --, 
   {{0xc30f005b,0xa25a0312,0xb2bd0016,0x597c07ba}},	//   _tsubasa_, _awalc_, _studado_, _операци_, 
   {{0xa40001e8,0xa0f20013,0x331303e9,0x7480021b}},	//   _ambungan_, _мунаввар_, _aýawly_, _творения_, 
   {{0x527e04de,0xe25a01f3,0x3e4602fc,0x429102f7}},	//   _sanno_, _svalu_, _bahasize_, _lebala_, 
   {{0x448900e6,0x7a950024,0xeb2c002f,0x7c08020f}},	//   _北京市质量技术监, _উত্তৰণ_, _aqsachun_, _خوسپرلي_, 
   {{0x82470147,0x19b900c7,0xa4d70109,0x8c68017f}},	//   _الىيەۋ_, _болын_, _डिपिआई_, _immuini_, 
   {{0xe2490079,0x6f390207,0x8d2b06e0,0xb1c30188}},	//   _ņemot_, _اقربا_, _bøndene_, _шодиев_, 
   {{0x52900077,0x06b40289,0xdc5300c1,0x18d9002b}},	//   _echape_, _bakumany, _माझेच_, _চান্দিনা_, 
   {{0xd8d70486,0xc2c4048e,0xb619005e,0x22fd00cd}},	//   _चटपटे_, _mimmets_, _ﻗﻪﺩﯨﺮﻟﻪﻳ, _anvidos_, 
   {{0xd2da01cd,0x02d90052,0x59cb0250,0xa45400d9}},	//   _impela_, _topovat_, _vendosje, _платные_, 
   {{0x3513020f,0x9d0300a4,0x9dac0147,0x90670152}},	//   _دښوونځي_, _incloent_, _ажымоолу, _ванкор_, 
   {{0xa3d901d2,0x32ca001a,0x79ff0255,0x00000000}},	//   _luttazzi_, _rendes_, _अंग्रेजन_, --, 
   {{0x42ca044b,0x8f3c0193,0x0c570060,0x45b50334}},	// [7640] _sendes_, _युद्धाचे_, _таниды_, _bakabavy, 
   {{0x19fc0456,0xa63501b5,0x33530161,0xab7102b3}},	//   _rekabent, _magiyagi, _тонкая_, _adiviñas_, 
   {{0x86950307,0xc35e0277,0x120102a4,0x0c9c0178}},	//   _babebani, _igugang_, _gerit_, _bāhāṃ_, 
   {{0xe6c9008d,0x975a0331,0xf01202cb,0xbd21002b}},	//   _фотолари_, _sannilig, _stavljan, _কাসকেডিং_, 
   {{0x3da202ac,0xdedc015e,0xace40156,0xf27e037c}},	//   _لاهنت_, _revistes_, _האנטוך_, _opinor_, 
   {{0xa2c20048,0xbdc60024,0xc80700be,0x82a3021c}},	//   _akalala_, _traktora, _таймаш_, _vlnité_, 
   {{0xa27e0118,0x415003cf,0x88cd0107,0x52da00ea}},	//   _banne_, _hareketl, _tumenggu, _ampela_, 
   {{0x5394053e,0x1d310188,0xbad0005d,0x84360375}},	//   _epost_, _abenzele_, _imitãvej, _kuhajiko_, 
   {{0x1cee00c1,0x720103cf,0x10c80025,0x13bf0122}},	//   _टाईमपास_, _derim_, _apacināt, _شلمچه_, 
   {{0xf27e012c,0x51b303ce,0x4731034f,0xd9dc01b4}},	//   _wanne_, _ناگرن_, _مارکیټ_, _effektie, 
   {{0xd25a0117,0xfad700ef,0x8f3d0144,0xfe550399}},	//   _ibiliv_, _amathont, _مؤقتا_, _matalaia, 
   {{0x5e3503f6,0x825a00aa,0x43170140,0x889900e6}},	//   _hawanawa, _awala_, _pinatay_, _我们在一起_, 
   {{0xa291052f,0xcc1e017d,0xf99d0314,0xb2900544}},	//   _bebala_, _リストマニア_, _сабый_, _pahale_, 
   {{0x12b300ee,0x662c021b,0x374d00ff,0x23ce0064}},	//   _mendeko_, _потребуе, _milionov, _previ_, 
   {{0xc413024a,0x29f80395,0x617d0418,0xab4501db}},	//   _adisokan_, _stravite, _samanyol, _ەرنەۋىنە, 
   {{0x1e590163,0xcb1d0288,0x62bc0157,0x58790255}},	//   _خوشحالی_, _ersaufen_, _बाबुल_, _plahvatu, 
   {{0xa290007e,0x4c630256,0x335b00c4,0x320201ac}},	// [7650] _abhaye_, _tostarp_, _مسافريءَ_, _fisice_, 
   {{0xcdff039e,0xb1e2019e,0x029000db,0x43f802fb}},	//   _hendinga, _якуба_, _tahame_, _nomuka_, 
   {{0xc5dd04ed,0x038702e9,0x698a0153,0x935b01a0}},	//   _विधानमंड, _cobran_, _エンブレム_, _kongoma_, 
   {{0x6a09022a,0xc08d00be,0x8ef80257,0x93ec020e}},	//   _gebanibe, _циясы_, _slasaður_, _шартлата_, 
   {{0x1dff02d8,0x49f60029,0x16590040,0x3ed5034e}},	//   _mendinga, _حوسین_, _proximal_, _cityoffa, 
   {{0x4e0d033f,0xb80800ba,0x0b940311,0x62980133}},	//   _fineanga, _ستۆوه_, _ዘይጠፍእ_, _dibataaf_, 
   {{0x13eb043f,0xeb01059c,0x520100b3,0x327e01f4}},	//   _ljuti_, _sternche, _berim_, _omonat_, 
   {{0xb36f00bc,0x331e04a4,0x7c670122,0x7be40145}},	//   _jenglot_, _dronnaig_, _blereng_, _veiksnių_, 
   {{0x52fc02f6,0x9c92035e,0x0bff025e,0xf6b501a3}},	//   _ibigay_, _teretanu_, _mengunar, _پڙهڻين_, 
   {{0x3f9a0208,0x7d2d02ef,0xc649018d,0xa2010249}},	//   _گرفتێکی_, _absidite_, _ኣትሪርና_, _werim_, 
   {{0x72010138,0x8ae30685,0x145e01f3,0xe1ba0311}},	//   _terim_, _oversigt, _bezdotyk, _ኣይመጸን_, 
   {{0xe6110003,0x7c5a01d2,0x89f9002f,0x67e2006c}},	//   _centraal_, _alltapi_, _almusaku, _abasindw, 
   {{0x66d404ec,0x00000000,0x00000000,0x00000000}},	//   _arabindi, --, --, --, 
   {{0x02010265,0xd55001af,0xa23803b4,0x00000000}},	//   _bezit_, _basharny, _ekamuti_, --, 
   {{0x58db02bc,0x02ca019a,0x4f420547,0x00000000}},	//   _kharkong, _jundie_, _borracha, --, 
   {{0x5b600220,0xd201001c,0xb23f012e,0x7c7e032d}},	//   _обичам_, _lerik_, _linkaján, _cheseho_, 
   {{0x92ca02c8,0x5778009a,0xf9c10388,0x00000000}},	// [7660] _lendas_, _alikhang, _scultura_, --, 
   {{0x1e3701f0,0xe5b9028d,0xe61101b4,0x0f5c0328}},	//   _dikarata, _plwatasy, _sentraal_, _kubandan, 
   {{0xc4b3002c,0x22900049,0x43e8009a,0x547b0014}},	//   _мексикий, _hahake_, _amatanki_, _postimin_, 
   {{0x2e9a01da,0x92d9013a,0x59e80178,0x72da008e}},	//   _statusit_, _amplaaz_, _bhallāta, _gennée_, 
   {{0xb95c0086,0xb25b008b,0x00000000,0x00000000}},	//   _متقدمین_, _kaalag_, --, --, 
   {{0x5c5c0415,0x72900103,0x0ab1004d,0x6201034b}},	//   _gestern_, _achave_, _留言只代表网友个, _serim_, 
   {{0x12eb02a4,0xd80b0053,0xe5d7016f,0xc7bf03a2}},	//   _pirillo_, _समृद्धी_, _начебто_, _गुडगाँव_, 
   {{0xdf0102ec,0xdd9e053e,0xd1220171,0x728f02d8}},	//   _وُپھنٕچ_, _kosthold_, _zahvalno, _karawaci_, 
   {{0xa27f0179,0xa31b005a,0x46cd019b,0xa9e70095}},	//   _flanü_, _chochoh_, _padalini, _شايسته_, 
   {{0x9ba400f7,0x85bd0045,0xa2250168,0x62380099}},	//   _artikolo_, _контролн, _raskt_, _akamuti_, 
   {{0x14c30079,0x74070310,0xc3c3014a,0xe85802fd}},	//   _koncertz, _chluasan_, _koncertj, _colonaid, 
   {{0x1eb106e2,0xccc9015e,0x3f260196,0x02ee0114}},	//   _externas_, _моралдык_, _bweretsa, _puffy_, 
   {{0xac5b007a,0x23e8006c,0xd96b0287,0x00000000}},	//   _bestari_, _тарсонда, _nesnesit, --, 
   {{0x5f4b034d,0x02ea02f3,0x424a0192,0x896402e0}},	//   _bergabun, _tvingas_, _kermis_, _goromele, 
   {{0xb22501d1,0xfee5005e,0xb20100bd,0x9c6b0365}},	//   _tasks_, _ﺭﯦﺌﺎﻳﻪ_, _claith_, _आआफ्नो_, 
   {{0xbe1c0338,0x2fd304a2,0x8d7c0235,0x72d9054c}},	//   _remercia, _abandono, _anaghaṃ_, _signere_, 
   {{0xdb440160,0x0d65006d,0xe20103fb,0xf93b016f}},	// [7670] _oslobađa_, _алюмна_, _naciju_, _явлення_, 
   {{0x95160044,0x6d4800d1,0x53f1002c,0x00000000}},	//   _שביעות_, _পশ্চিমবং, _udalbatz, --, 
   {{0x704d02fe,0x2a55026a,0x53db0326,0x311f0311}},	//   _المرت_, _valelaca_, _chaunoti_, _ብኣጻብዕቲ_, 
   {{0x87a60462,0x9ef20012,0xdeab008e,0x025a0333}},	//   _escripti, _पिंकू_, _biteelub_, _avali_, 
   {{0x127e0281,0x88ec0386,0x33790082,0x43540290}},	//   _manna_, _menghubu, _ambaton_, _cunegls_, 
   {{0x0f640461,0x880b02d5,0xd20e014f,0x53f400ed}},	//   _campanha, _समृद्धो_, _такав_, _dyutay_, 
   {{0x1cf203ba,0xad150025,0xbc040163,0xdfd6005e}},	//   _eintausc, _ahorātro, _kossuth_, _ﯪﺩﻩﻣﻨﯩﯔ_, 
   {{0xb27e00cf,0x72920410,0x329d02ce,0x4e7e00af}},	//   _ganna_, _serapa_, _sanjaya_, _колишньо, 
   {{0x8947002e,0x03800132,0xb05402ac,0x2f6f00d8}},	//   _uključuj, _forró_, _منخفضة_, _palancas_, 
   {{0xa34a005b,0xa1ba040f,0xa3030120,0x90690022}},	//   _shuffle_, _арамейск, _sosaytu_, _ipopilen, 
   {{0xf348037a,0xc3b0003a,0xe2eb003c,0x00000000}},	//   _bagenzi_, _кенжа_, _رجبیموضو, --, 
   {{0x2c0d007b,0x925a031e,0xe51c0321,0x43050064}},	//   _warship_, _zvali_, _delujejo_, _posarem_, 
   {{0x638001a7,0x827e039e,0x82ca013d,0x22da00c5}},	//   _verran_, _danna_, _sendis_, _pareil_, 
   {{0x82fe0272,0x0c4900cb,0x8c6e0100,0x927e0291}},	//   _abahehe_, _депорт_, _dubrava_, _eanna_, 
   {{0x7201043a,0xc2e6006e,0xc24901b7,0x1f3e01b7}},	//   _verik_, _asandaa_, _परंब्रह्, _क्रियया_, 
   {{0xf287057f,0xd0cb018d,0xb2fe01cf,0xf6c50059}},	//   _bobigny_, _ዝተመሓላለፈ_, _reciper_, _combatti, 
   {{0xd50c01ad,0x6658033f,0x90b60012,0x948603a2}},	// [7680] _anomaliy, _kuikuini, _देहुवन_, _घंटाघर_, 
   {{0xc52002ac,0x685101b2,0x3ad1044a,0x8201018d}},	//   _يجمعنا_, _baromead, _proteset, _idriz_, 
   {{0x18de0066,0x00000000,0x00000000,0x00000000}},	//   _usurbilg, --, --, --, 
   {{0x50ba0040,0x82640119,0xab6401a6,0xb4970294}},	//   _עכשווית_, _apulia_, _hautanga_, _caráquez_, 
   {{0xd393014a,0x7a4702ae,0xb81500ec,0x151d045e}},	//   _رابطے_, _uključen, _купала_, _премиера_, 
   {{0x82ca0450,0xe2a302e2,0x52c30450,0xbd750110}},	//   _fedde_, _abscondm, _fielden_, _sarmīte_, 
   {{0xe62b01a4,0x12fc03dd,0x6a790088,0x00000000}},	//   _akoningi, _besimet_, _سوپرانا_, --, 
   {{0xa84d019b,0x254d007f,0x00000000,0x00000000}},	//   _залежыць_, _cythraul_, --, --, 
   {{0xcd150025,0x99bc003e,0x16f60088,0x02900130}},	//   _ahorātra, _ростехна, _باللئى_, _troad_, 
   {{0xe6e303ba,0xb950031f,0x64b9027e,0x721c020a}},	//   _unfaithf, _passerer_, _доношења_, _хаттарды_, 
   {{0xa32800da,0x98bf0349,0x4bb8027b,0x39e603bf}},	//   _патриоци, _allenged, _ईमेलस्य_, _таптары_, 
   {{0xef8d00e6,0x83730297,0x3f5204df,0x765201c7}},	//   _中华人民共和国教, _başlawla, _diýşi_, _diýşip_, 
   {{0xd2c30074,0x09bd03ad,0x61c90143,0xce4e0499}},	//   _mieleen_, _artifiċj, _сирийска, _talatala, 
   {{0x4d2d0173,0x2290013d,0xbb8c01b7,0xa8470126}},	//   _একমাত্র_, _donaci_, _अहमेतमुप, _запаси_, 
   {{0x8e9000be,0x22a604ee,0x5ffc0076,0xdf750144}},	//   _اۋتورلور, _maobu_, _изгубиш_, _mairnéal, 
   {{0xe2e60301,0x0c240369,0xff3c0052,0xde2e00d1}},	//   _boynuna_, _kuhohonu_, _स्त्रीले_, _সৰস্বতীক_, 
   {{0x02da01b5,0x7ed103b5,0xe65302ba,0xffe3003c}},	// [7690] _copeta_, _politikn, _зумра_, _هالتر_, 
   {{0x912600d9,0x2c250109,0x5bdf01e9,0x47c703c6}},	//   _mielessä_, _kloubů_, _dilether, _poppenwi, 
   {{0x5b6b01b9,0x838704ca,0x5348014e,0x52900010}},	//   _dekonser, _givre_, _полемику_, _ibhale_, 
   {{0xc2010138,0x62a60372,0x5b34044a,0x029000a0}},	//   _verip_, _abobe_, _bikamwis, _annati_, 
   {{0xa23b0245,0xdb3c0024,0x7d3202bf,0x5c9403d4}},	//   _myllung_, _মাইকেলেঞ, _asungule_, _екологиј, 
   {{0x600900c7,0xe7be036d,0x8504018d,0x82fc02f3}},	//   _артистла, _astraili, _ግልጹነት_, _helger_, 
   {{0x52f7017c,0xe06b0401,0xb5fe0371,0x93a20297}},	//   _juridik_, _परित्याग_, _formaggi, _dniper_, 
   {{0xd20003ad,0xfec402ca,0xb34001a7,0xc4c10301}},	//   _munita_, _loungers_, _tulevan_, _yerüzünd, 
   {{0x92560352,0xb8dc0075,0x358700f0,0x5707047d}},	//   _সংখ্যক_, _spurning, _hypoteká, _intressé, 
   {{0x954500ba,0xfd8b01b2,0xb9f501c9,0x59d00203}},	//   _رۆبیتان_, _allerjee_, _taaskasu, _polemist, 
   {{0x0c5b0102,0x65b302eb,0xaf19034e,0xf446003e}},	//   _desturi_, _зовдог_, _contramp, _класында, 
   {{0xd29001f9,0x9c71042c,0x53230479,0xddb2029b}},	//   _abhale_, _mudrost_, _ülőgarni, _kaaseeru_, 
   {{0x2200005b,0xa9e200b0,0x8379004f,0xa49d034e}},	//   _sqlite_, _daboolka_, _jakarlo_, _depastaz, 
   {{0x23890374,0x92e20258,0xef1d01f3,0x8daa02b9}},	//   _берган_, _oldenhof_, _figurova, _tipikusa, 
   {{0xbc800475,0x1dd604c7,0xce430052,0x18730108}},	//   _берег_, _семестру_, _साक्षीहर, _dibiruyu, 
   {{0x820d0533,0xb2480255,0xb29201f0,0xd9e6027f}},	//   _gáire_, _vihma_, _japane_, _mururond, 
   {{0x59f600ea,0xcafc0168,0xe2a00233,0x03960086}},	// [76a0] _haingana_, _velferds, _desbon_, _jusson_, 
   {{0xb290003b,0x19f10192,0xc2c602ba,0xaf55037b}},	//   _achaze_, _하시겠습니까_, _adalule_, _tengamos_, 
   {{0x1c760139,0x720004e6,0xabd20026,0x2ab50014}},	//   _मंत्रि_, _gunita_, _handgesc, _edukimin_, 
   {{0xdfc30217,0x8fa7002b,0x1e27002b,0x552b00d9}},	//   _dimitter_, _অধ্যক্ষে, _ধুমপান_, _ennestää, 
   {{0xe3170048,0x924c0128,0x3d080046,0x320100a0}},	//   _okubiri_, _hurmatli_, _extraesc, _afril_, 
   {{0x146002c2,0x42f70141,0x5d0700d7,0x99270041}},	//   _gemeensk, _yuridik_, _рылған_, _еицаҳз_, 
   {{0x0f8202f3,0x5b0802c2,0x12ba00d3,0xee8b0291}},	//   _pricerun, _verpligt, _kondici_, _اميييييي, 
   {{0x0b220101,0x287904c3,0x8c7201df,0xc34d0117}},	//   _конформ_, _hoangphu, _clartit_, _stretem_, 
   {{0x23980204,0x07d60062,0x622601ff,0xccc70229}},	//   _присутст, _dadachug, _diskov_, _israildə, 
   {{0x9986019c,0x0e0800b4,0x1c77031f,0xe29004d7}},	//   _aafirika_, _вестикэ_, _forstod_, _annari_, 
   {{0x590205a9,0x5c440390,0xee2900af,0x8270015e}},	//   _bakayuzu, _istirahə, _католиць, _redacció_, 
   {{0x837f0211,0x0ec3014a,0xd52c00ba,0x3c0b0321}},	//   _tahansa_, _turizmus_, _دادێت_, _najbližj, 
   {{0xa8e601eb,0x3171005e,0xf3f80320,0x59d6055f}},	//   _никулин_, _ﺩﻩﯞﻩﺕ_, _homula_, _ermenile, 
   {{0x39f60183,0xc22b0168,0xea0900c4,0x00000000}},	//   _faingana_, _fremste_, _kitambaa_, --, 
   {{0xf13f01a0,0x537600c4,0x42ee0120,0x2c0b0267}},	//   _angerhel, _ساڻيهه_, _ereriyah_, _najbliži, 
   {{0x69690059,0x04bc010d,0x9da5041e,0x048800e6}},	//   _натуралн, _प्रदेशाच, _acquistu_, _著作权与商标声明_, 
   {{0xfb250035,0x5ebf01bf,0x1fe30350,0x19af03f3}},	// [76b0] _буласы_, _smertene_, _በኩባንያው_, _veldhove, 
   {{0xc95300c8,0x9a7d02e8,0x378c0013,0xbe370183}},	//   _йырын_, _akanyats, _байрамни_, _ankamata, 
   {{0x22d00145,0xcc14012c,0xb9830037,0xa2f3007a}},	//   _modeliai_, _توانو_, _በመካኒካል_, _setiaku_, 
   {{0x84b60071,0x37b40249,0x9292034c,0x00000000}},	//   _باسلام_, _istrongi, _aerata_, --, 
   {{0x30160125,0x5ec30222,0x5b13047d,0xf4e100d1}},	//   _сагында_, _donneron, _erhaalen_, _সুমাই_, 
   {{0x42920193,0xb1400176,0x420103ec,0x35fa014a}},	//   _merasa_, _oprettel, _afrim_, _receptkö, 
   {{0xfa940373,0x430200a5,0x049d036d,0x63820147}},	//   _audiolib, _fagaalu_, _chronail_, _زاالا_, 
   {{0x9b3801a7,0x5dbb0162,0x52da0064,0x7c29004a}},	//   _центры_, _истикини, _parell_, _бенгаль_, 
   {{0x716e002b,0x00000000,0x00000000,0x00000000}},	//   _সভাপতির_, --, --, --, 
   {{0x428c00a9,0x54a901da,0xc1b301a3,0x8887020e}},	//   _kwakira_, _ንሕክምና_, _ماھرن_, _санаңды_, 
   {{0x32ec02ec,0xe9a50046,0xefe4034c,0xe290008d}},	//   _mirifle_, _албасак_, _периодын, _tayanchi_, 
   {{0x72560169,0x22920193,0x68dd0075,0x0be303db}},	//   _বিন্দু_, _kerasa_, _diagnosu, _kwempilo_, 
   {{0xfcf400e6,0xc8d8027b,0x5c6700bc,0xbc6800e6}},	//   _搜索站内商机_, _apravṛtt, _سرتان_, _老外看两会_, 
   {{0x7a0a011f,0x6d280159,0x8fc80012,0x0a640360}},	//   _serafina_, _групавух, _ट्किुली_, _jakási_, 
   {{0xe8700205,0x7e9c01b7,0x12d90129,0x463301e3}},	//   _استعدادل, _गीतगोविन, _steeti_, _hranilni, 
   {{0x1c8702d5,0xcf2a00c7,0x72190282,0xbb160016}},	//   _वेबस्पेस_, _afärin_, _ahukaram, _proponit, 
   {{0xd28700ae,0x2c230040,0x8d3a0212,0x03ea00a3}},	// [76c0] _ayakire_, _קראוס_, _aquilone_, _brotne_, 
   {{0x69f702c1,0xc85c028d,0xc6d501db,0x7fc2004d}},	//   _ruzibiza_, _kurander_, _توقساننا, _刊登網站廣告_, 
   {{0x42ab02ac,0xf3ea0077,0xf44e0037,0x28f80156}},	//   _تيشيرتات_, _ajitan_, _ተጽዕኖው_, _כעזשבן_, 
   {{0xb2920057,0x62d50100,0xd34e00e2,0x193801ac}},	//   _serata_, _sklopio_, _middenfj, _موضوعاً_, 
   {{0xd3960288,0x63020387,0xe69401a6,0x938702c9}},	//   _aussen_, _irubere_, _makeroni, _livra_, 
   {{0x329201e3,0xb20600c5,0x537a0241,0xef6a0153}},	//   _boljše_, _国家部委网站_, _boqatan_, _メディカル_, 
   {{0x43800288,0xed2c0217,0x88530167,0x00000000}},	//   _perren_, _occidite_, _goroesod, --, 
   {{0xd29204bd,0xb56b01f9,0x5cf6010d,0x00000000}},	//   _gerara_, _bekwesek, _मानकरी_, --, 
   {{0x66630173,0xfe510233,0xacea026e,0x11b30127}},	//   _পদ্ধতিতে_, _successe_, _महामहिम_, _astennoù_, 
   {{0x039605e6,0x06bc0238,0x1f6b0155,0x00000000}},	//   _tussen_, _частиною_, _orsakern, --, 
   {{0xcdfd00cf,0x129201a6,0x24d503a2,0x07780080}},	//   _baadiyya, _kerara_, _लङकियो_, _ilikkang, 
   {{0x419002ac,0x06950081,0x2237030b,0x3940002b}},	//   _قلقيلية_, _mötuneyt, _asomoka_, _অধিনে_, 
   {{0x706c0398,0xb2010497,0xc37f0100,0x91400244}},	//   _маданият_, _aerit_, _uklanja_, _rettango, 
   {{0x42dd005b,0xe1b304ca,0xb84100d8,0xe201022e}},	//   _satoshi_, _astronòm, _abitadas_, _seriu_, 
   {{0xb2010085,0xd03e0020,0xc1e90041,0xc2a40281}},	//   _periu_, _meatotin, _ҳаныҵран, _ilaqaril, 
   {{0xa69d00b4,0x7f6b00ec,0x494b001a,0xb5d40464}},	//   _проблемэ_, _aprangos_, _termoszt, _kidakwiy, 
   {{0xd2fe0247,0xbcb6009a,0x53aa0347,0x0a29040f}},	// [76d0] _ekuitas_, _akwisigq, _bewaring_, _населена, 
   {{0xd29601c7,0xc7b90422,0x479400d1,0xcc40013c}},	//   _organiki_, _strošek_, _নামাংকিত_, _turistlə, 
   {{0x52d400d6,0x8292034c,0x4b410109,0x22c5040e}},	//   _aoudou_, _berara_, _stromeče, _billege_, 
   {{0x7200033d,0x699f017a,0x93ea01e8,0x630e03ae}},	//   _aplike_, _abakubhe, _bantad_, _avtaler_, 
   {{0xae3c01e7,0x7f3e0135,0xea1701bd,0x8bac0075}},	//   _villmols_, _башланып_, _аналарға_, _upphavsr, 
   {{0xcfce003a,0x4b1e032d,0xf709005e,0x479d0213}},	//   _конкурси, _милләтле_, _сепили_, _западную_, 
   {{0x59e901b5,0xd2010015,0xebd10028,0x52ea0343}},	//   _emigange, _deris_, _mandheer, _kwintas_, 
   {{0x2b530238,0x25d400a9,0xb964024f,0x705302b9}},	//   _телебаче, _bidakwiy, _korolele, _کانسی_, 
   {{0xd2e702fc,0x65d50097,0x224a0145,0x4c4d048f}},	//   _afungwa_, _jọ̀wọ́_, _normos_, _litwani_, 
   {{0xcd6400c5,0x85d70102,0x92c4022a,0xfd1502a4}},	//   _数据载入中_, _اطلاعن_, _zimmets_, _possider, 
   {{0x3f0a043b,0xd49602c5,0x8e2e0013,0xec690017}},	//   _bhàrd_, _ainakidz, _тавассул_, _smetany_, 
   {{0xa20100c3,0xe3560217,0x099101d9,0x2279000c}},	//   _aeris_, _catenas_, _verkaafe, _kurapepẽ_, 
   {{0x38c800ba,0x01740008,0x33fa005b,0x648b0216}},	//   _بڕۆیت_, _galícia_, _kisuke_, _langiwek, 
   {{0x23ea00d4,0x9e51007d,0xb1fc00c4,0xa94b0086}},	//   _romte_, _kelayaka, _يڪجهتي_, _termeszt, 
   {{0xa596038b,0x82d101b9,0xf3c601a3,0x89e50137}},	//   _karenany, _kolozik_, _فائيلن_, _apartatu, 
   {{0xa24a0145,0xaf290325,0x00000000,0x00000000}},	//   _formos_, _bayramqa, --, --, 
   {{0x98290207,0xf0200065,0x785e0080,0xd3a900e6}},	// [76e0] _شڪسته_, _sauersto, _asannitu, _年中国保护知识产, 
   {{0x8a970444,0x826104f6,0x00010488,0x1290011f}},	//   _среднее_, _grøntsag, _autostāv, _hekaro_, 
   {{0xc43d002b,0x5238012a,0xeb6900e7,0x494e013d}},	//   _নাযিল_, _firmach_, _ancoisfr, _utiligit, 
   {{0xbd92009a,0x43000195,0xee6d0193,0x562a0092}},	//   _abhetele_, _cataibh_, _berciuma, _aktindsi, 
   {{0x4c6a00bd,0x5c23034c,0xb290015b,0xd2cf02e2}},	//   _beatrix_, _тоннага_, _pekato_, _andoaie_, 
   {{0x1c6c0405,0x02ca0176,0x23cf05d5,0xfea50187}},	//   _вакансії_, _kendis_, _pruva_, _amadores_, 
   {{0xf2010212,0xee7700ba,0x26950045,0x00000000}},	//   _veris_, _هاندان_, _суботом_, --, 
   {{0xb3200044,0x65e60128,0x46a200e7,0x11fa0464}},	//   _species_, _داغلرنی_, _arrearsw, _ntanakim, 
   {{0x5fe4027b,0xf89a0037,0x8f700156,0xd41001b3}},	//   _अष्टमः_, _ያሸነፈው_, _balancis_, _скандалу_, 
   {{0xc2e703b4,0xd6360212,0xfd2b004d,0x02d7004b}},	//   _pfungwa_, _solitudi, _小時為您服務_, _dipolao_, 
   {{0x513b025b,0x63560455,0xadaf02e2,0x00000000}},	//   _reingerð_, _matelas_, _biogliee_, --, 
   {{0x406301ef,0x8be20079,0xdb5a025b,0x8f2005e6}},	//   _конотоп_, _riteņbra, _handilin_, _nuweopen, 
   {{0xad490039,0x12f6036d,0x0adc016f,0xd9d703f8}},	//   _vvрvv_, _gaiseadh_, _luftfukt, _maleghme, 
   {{0xb0ea00c4,0x02d900e4,0xaa1601a0,0x716302da}},	//   _ڪرتوتن_, _प्रतिपिं, _hananaka_, _логирај_, 
   {{0x6380015e,0xc23b05b9,0x4cd601ea,0xad1801cd}},	//   _ferran_, _kylling_, _патрул_, _навигатс, 
   {{0x2344021c,0x39360040,0xe86001ea,0x70580081}},	//   _koberce_, _ובקלות_, _оника_, _kristinn, 
   {{0x5c6b04c8,0x02920193,0x76ce0446,0xb35f028a}},	// [76f0] _ottubru_, _seraya_, _katalini, _kengele_, 
   {{0x55d301b5,0x426e0149,0x75e10177,0x8b7f000a}},	//   _barbumih, _ezuola_, _ҳкоманда_, _hurraaaa_, 
   {{0x53b90094,0x311d017a,0x48170291,0x00000000}},	//   _әдiлет_, _корнамои, _سامحني_, --, 
   {{0xab300074,0x00000000,0x00000000,0x00000000}},	//   _мешок_, --, --, --, 
   {{0x0290005b,0x49d701ca,0x398000d8,0xff2201f0}},	//   _honami_, _daleghme, _subitame, _kgarejwa, 
   {{0xe201037f,0xa4f20125,0xe2bb0212,0x681d00d9}},	//   _verir_, _adamlary, _referre_, _ситуаций_, 
   {{0xb3ea0558,0xdd9e01a6,0x5431066f,0x2b5a0176}},	//   _eleta_, _mokemoke_, _inscrito_, _coldrain_, 
   {{0xc3ea01d7,0x4dab013d,0x5f5e00f4,0xed210376}},	//   _fleta_, _grandega, _beradenn, _hamrabyr, 
   {{0x543c01f6,0xc88200e6,0xc63202fd,0x986002fd}},	//   _মুনিন_, _你现在的位置_, _chanamai, _cumadair_, 
   {{0x82360102,0x021f01a4,0x9d86008d,0x625a014d}},	//   _هندوستان, _esokwami_, _alomatla, _unklar_, 
   {{0x69c501ad,0xc2f0026f,0x8c310166,0xa9ca015a}},	//   _quillota_, _تۇزۋىنە_, _hausmeis, _haroomsa_, 
   {{0x4396032a,0x69d30093,0x114005d2,0xcc5202b3}},	//   _marsip_, _генетиче, _betennel, _fontán_, 
   {{0x429e0035,0x93ea03e7,0x393a00b9,0x0985018c}},	//   _мисал_, _cleta_, _इंद्रजित_, _blokkere, 
   {{0x9bb601d2,0x41060052,0xdddc01e9,0x59560393}},	//   _machupic, _botičky_, _diikhone_, _nadolaze, 
   {{0x42d9018b,0x3c720365,0x00000000,0x00000000}},	//   _atentie_, _बढीरहेको_, --, --, 
   {{0x436c0277,0x3a550369,0x23550098,0x129000c0}},	//   _tingali_, _satelaba_, _badekar_, _binawi_, 
   {{0x02fb018c,0x62e00420,0x379d01b3,0xcc5a03f7}},	// [7700] _wachten_, _quintal_, _приватну_, _fiktari_, 
   {{0x82010125,0x19f80340,0xaa65002b,0xddc30281}},	//   _berip_, _komihana_, _চিরদিন_, _atsiukka, 
   {{0x20ce00dc,0x13ec0103,0x8fb200c8,0x217900da}},	//   _alilolil, _akamanik, _хәҙисә_, _ынкинам_, 
   {{0x729003f3,0x9684002b,0xce8b00e6,0x00000000}},	//   _schade_, _সবসংবাদএ, _一般缴款书_, --, 
   {{0x2e12014f,0xb33602c0,0x74d40142,0x8b3e0022}},	//   _технолош, _сестрата_, _रक्तदुर्, _башлауын_, 
   {{0x5d830235,0xf3f00092,0xdaed05dc,0x0947006c}},	//   _दुर्गन्ध, _住宅リフォ_, _fortolke, _биравем_, 
   {{0xf29103ad,0x62da01e7,0xf28702bb,0x00000000}},	//   _enfasi_, _abrell_, _mobilny_, --, 
   {{0xc4920486,0xcdf70046,0xd4830092,0xe96d0231}},	//   _चस्मा_, _чырпыкта, _アァあぁ漢字_, _inviolat, 
   {{0xb2ba012c,0x4a6002c0,0x027f031e,0x7b5001cc}},	//   _maadili_, _селекции_, _davne_, _carantyā_, 
   {{0xb5870206,0x0e88019b,0x88d50037,0xfc55023a}},	//   _definití, _ахвяры_, _በየፕሮጀክቱ_, _tretine_, 
   {{0xf3ea06f6,0xa2910558,0x56290434,0xc2ee0014}},	//   _booths_, _igbata_, _andalucí, _shefi_, 
   {{0xfc0b01bb,0xa27f0259,0x03f40428,0x0f5b01af}},	//   _maksady_, _navne_, _pustil_, _annaaman, 
   {{0xf2ca0013,0x7c6000ad,0x72f604f9,0xe7bd00e4}},	//   _holda_, _beurang_, _qaanaap_, _वस्त्रों_, 
   {{0x427f0176,0xd2c300e2,0x4b64007b,0x6e250109}},	//   _havne_, _fiellen_, _foreneen_, _संस्कारल, 
   {{0x62c5054d,0x7dd2045e,0xfaf200d6,0xce010151}},	//   _billige_, _достъп_, _beartait, _predecea, 
   {{0x12900165,0x470903d4,0x2396045f,0x00000000}},	//   _cinavi_, _парасина, _russin_, --, 
   {{0x82900058,0x320001ef,0x81a90405,0xd290016b}},	// [7710] _dugan_, _dalies_, _милосерд, _gonaki_, 
   {{0xb4320173,0x9d090169,0x416a0405,0x00000000}},	//   _জাকির_, _নামিয়ে_, _дзеркала_, --, 
   {{0x52fd00dd,0x68d60216,0x0b050272,0xef220084}},	//   _fuchedd_, _mapulang, _bansanga_, _dialajar_, 
   {{0x53f8005b,0x69df04ec,0x54bc030d,0x9290029e}},	//   _kimura_, _agitangu, _toplamış_, _argad_, 
   {{0x6e9e01bd,0x97ee0061,0xdd600052,0x00000000}},	//   _اۋدارا_, _표시됩니다_, _सैन्यवाद, --, 
   {{0x9bfd0478,0x439f0444,0x120000d0,0x10f001d2}},	//   _desertic, _областью_, _genion_, _heridoll, 
   {{0x23f20170,0xcae6034a,0x929701a4,0x28bd0137}},	//   _bawuleni_, _ferrolte, _lizalaki_, _дүнзэн_, 
   {{0x825b029a,0xfeb70220,0xb2ca017c,0x82fc0332}},	//   _anglez_, _pulsante_, _dolda_, _vinilos_, 
   {{0xfcba0140,0xe2900049,0xcc1b012a,0x300c00e6}},	//   _simpleng_, _konahi_, _prosić_, _财政总收入会扩大, 
   {{0xd2ca0200,0x52400053,0xdaf30359,0x62920455}},	//   _folda_, _लेबले_, _einslute, _apparu_, 
   {{0x133d0479,0x26b100c5,0x62ba0059,0x22150024}},	//   _سیراب_, _中共中央国务院关, _панорамн, _নৰেন্দ্ৰ, 
   {{0xb2fb025c,0x575c00c8,0x957a0153,0x5f6c02f3}},	//   _sachsen_, _колхозды, _スミマセン_, _utsattes_, 
   {{0x92900085,0x82ca01d8,0xe395047b,0xa9610065}},	//   _conaki_, _lyndet_, _yngstu_, _grundpre, 
   {{0x11c701f2,0x8aa90314,0x199f00ae,0x52900089}},	//   _كارتون_, _береһе_, _azokwima_, _augan_, 
   {{0x72cb0528,0x92d904e3,0x834100dc,0x0486018b}},	//   _chadal_, _dionice_, _feteena_, _умане_, 
   {{0x12fe0005,0x3ec00025,0x2bc30164,0x38d0027b}},	//   _decider_, _विद्वांस, _ﻗﻮﻳﺪﻯ_, _वौषट्_, 
   {{0xc42b0212,0x386e00a7,0x28c2025d,0xa2c50612}},	// [7720] _humpston_, _consells_, _skattleg, _villige_, 
   {{0x3e3d00ee,0x629102a7,0xc24900fc,0x00000000}},	//   _доллараа, _kaibarei_, _ropmo_, --, 
   {{0x4c6f0066,0x126a0152,0x22ee004b,0x19f401ac}},	//   _agerian_, _avariyal, _chefo_, _abhár_, 
   {{0xb27e0665,0x668701a3,0xfaff0258,0x09c3015e}},	//   _geonet_, _سگھنداسي, _gebrûker, _денесинд, 
   {{0xa2920657,0xd2b403b3,0x0da9027c,0xa290046b}},	//   _berada_, _amicos_, _abenomya, _argae_, 
   {{0xb9ea00a9,0x52ca01bf,0xc2f0024c,0x1bee01cd}},	//   _imigende, _kondis_, _imniedi_, _гадоӣ_, 
   {{0x22d8018e,0x02900357,0x29c3025f,0xc2fc019e}},	//   _boheka_, _dinati_, _apambola_, _linijos_, 
   {{0xb5260092,0x66d500dc,0x92e803d4,0x00000000}},	//   _年公正取引委員会, _sapalaii, _dadicka_, --, 
   {{0x2a4f0462,0xc95f0163,0x2c7102ec,0x24640235}},	//   _atements, _لینکس_, _ژھٹاں_, _akulatāṃ_, 
   {{0xb04100a9,0x81cc014a,0x459700c7,0x30e2030b}},	//   _impungen, _fiatalok_, _альбомна, _awangaal, 
   {{0x829000c7,0x72e9037f,0xbd9c0422,0x5f3000fb}},	//   _tugan_, _sionist_, _napoveda, _kokuliba, 
   {{0x93ea02d5,0xf2d8003e,0xb2fc019e,0x9f6b021a}},	//   _olete_, _boheha_, _kinijos_, _barbadan, 
   {{0x33f40058,0xb2010224,0xde590169,0x89f20195}},	//   _gustul_, _afrit_, _বেড়াতে_, _bearraid, 
   {{0x729001c5,0x7202036f,0x8d950253,0xb2900166}},	//   _sugan_, _istine_, _oqilisaa, _ergab_, 
   {{0x0753019d,0xa48b0355,0x00000000,0x00000000}},	//   _anankung, _nagradnj, --, --, 
   {{0x326e01d1,0x3f2500af,0x42000087,0x652603a2}},	//   _strong_, _anklager_, _eunisa_, _रमज़ान_, 
   {{0x736c0320,0x9347020e,0xe3510117,0x22fa0238}},	// [7730] _cingeli_, _behelwa_, _setemap_, _доступні, 
   {{0x4b940508,0x53860398,0x9fff0010,0xbf57038e}},	//   _demiokir, _lloret_, _ayikakho, _tumpanga, 
   {{0xb2770013,0x74d00177,0x30b30060,0x42000046}},	//   _мазмуни_, _арҵәаа_, _بالالارى_, _tenien_, 
   {{0x72000087,0x616703ce,0x00000000,0x00000000}},	//   _hunisa_, _پالتالک_, --, --, 
   {{0x772801e6,0xf4430092,0x0c1d0120,0xddbb0251}},	//   _zablokov, _この商品のトピッ, _kulluumu_, _ismiidaa, 
   {{0x513f02e7,0x66380191,0xc29000e1,0xe3ea0678}},	//   _buluhato, _missfall_, _jugal_, _faktom_, 
   {{0x99d30309,0x4ef2017a,0xfc660181,0xfe5100b9}},	//   _unutmusu, _авали_, _bortset_, _ketajama, 
   {{0x9bca01f4,0x224a0016,0x07450307,0x6bad0102}},	//   _тарбияни, _dormis_, _elingemv, _kishindo_, 
   {{0x02d50154,0x84a20368,0x4a7600b3,0xc3660274}},	//   _елимина_, _икону_, _хусусыла, _tengill_, 
   {{0x82c00056,0x93e201e1,0x424a0016,0xd9c60013}},	//   _андак_, _алмайбыҙ_, _formis_, _иддин_, 
   {{0x4b1f0069,0x5a75004c,0x41890037,0xf386004d}},	//   _birashob, _abegaana_, _የሀገርን_, _floret_, 
   {{0xf33a018d,0x82220149,0x329001f7,0x2a87010b}},	//   _ህደግኤን_, _ịmebe_, _augal_, _kanisits, 
   {{0xcba2024d,0x759903a1,0xf69a0325,0xea150089}},	//   _itshwayo_, _реална_, _qaliblər, _almaşka_, 
   {{0xd2fd0198,0xe24a0139,0x8c550400,0x39fc016b}},	//   _najnovej, _क्षेपे_, _puntale_, _bukatunt, 
   {{0x11620013,0xab2d00fa,0x63e20065,0xadc6009f}},	//   _احوالی_, _sumbatan_, _handlung_, _novičke_, 
   {{0xe27e032e,0x5d2700ec,0x53090274,0x187503bf}},	//   _akinwa_, _барысаўс, _vitneskj, _алымды_, 
   {{0xa24e036f,0xa28c0071,0x80660147,0xebf602b2}},	// [7740] _gradovim, _awakira_, _سىكۉنۉتت, _прислів_, 
   {{0x0ed70128,0x023f020f,0x42950452,0x334102a6}},	//   _сессияси_, _دجګړو_, _ताडोबा_, _attempa_, 
   {{0xe2ec0166,0x99f603db,0xa8140361,0x62d800bc}},	//   _gewisse_, _ibinzana_, _инвазион, _cemeng_, 
   {{0x8c270138,0x32d8006c,0xec620220,0x00000000}},	//   _oranında_, _баракоту, _attrice_, --, 
   {{0xa2ea0050,0xc1d80049,0xd1c30255,0x684d00e6}},	//   _leungit_, _finilení_, _इन्हा_, _关于末代状元刘春, 
   {{0xc90a024b,0xc920032d,0x422b019a,0x72c3056e}},	//   _trabajad, _көрсөгө_, _drummed_, _azulada_, 
   {{0xa2d801d9,0x4c050089,0xad780074,0xa4f30144}},	//   _gemeng_, _tantanas, _энергии_, _teampall_, 
   {{0x22a60440,0x4d860570,0x032d03b0,0x82f401fb}},	//   _aboba_, _इस्कॉन_, _høyrt_, _scannar_, 
   {{0xfc64026c,0x72da0235,0xdc04005b,0xb972020f}},	//   _posuere_, _alpena_, _iwasaki_, _bacineze, 
   {{0xea4a025f,0x14b600c5,0x8d8f03e4,0x1d1403c2}},	//   _pandemia_, _谁有刘松仁版陆小, _parlapxa, _dislodge_, 
   {{0x59a500be,0x417d0040,0x827e053e,0xdc1e0167}},	//   _تئيسىن_, _טירוף_, _tynne_, _harolygu_, 
   {{0xed1b018d,0xc97d0126,0x5c6e0456,0xa0be014a}},	//   _ምናልባትውን_, _юридична_, _seburuk_, _félmilli, 
   {{0x92fc009c,0xec920193,0x86cf04ca,0x6ef1014e}},	//   _melgar_, _berulang_, _demandam_, _остати_, 
   {{0xb2ba0193,0xd2e902d7,0xba0b0119,0x03010188}},	//   _hindari_, _afundiu_, _nakapula_, _azibuze_, 
   {{0xb20e061d,0x5fef034a,0x09280177,0x6c870161}},	//   _бақай_, _elección, _аграаагл, _приметы_, 
   {{0x904a00d3,0xd1b60177,0xac35013e,0xa30b019a}},	//   _tvarovan, _ақәымшәа, _suparnic, _dumbuck_, 
   {{0x724300e4,0xd97600cb,0x15a5008c,0xff240198}},	// [7750] _शीतला_, _abengame, _bacsinsz, _košir_, 
   {{0x92ca00af,0x738000ce,0x4f460191,0x00000000}},	//   _bodde_, _souriy_, _klartext_, --, 
   {{0xda17001d,0xca520403,0xf3f9022e,0xe63d03d4}},	//   _gymansia_, _fetezana_, _arburi_, _оштро_, 
   {{0x7ec901d5,0x8b9905f1,0xe79f003a,0xff640107}},	//   _بتاؤں_, _ahiherer, _hukumati, _dibantin, 
   {{0x7eb9047a,0x6ff901b8,0xdc29005a,0xdad20415}},	//   _invoicin, _isikukoo, _lusichpu_, _textdate, 
   {{0x92d80198,0xb2500025,0xd50601ea,0x39090059}},	//   _izmed_, _पश्चिमाय, _едими_, _виртуалн, 
   {{0x5d0d0185,0xe16600bc,0xa37300e6,0xd32004a7}},	//   _babayiği, _کامبیز_, _culasse_, _atochas_, 
   {{0xfb030212,0x62ca024b,0x161200b7,0x3c6e02cb}},	//   _ultricie, _fondos_, _береслер, _bubrega_, 
   {{0x42ca0631,0x32760374,0x580c0238,0x39d8010b}},	//   _holde_, _sharoitl, _постражд, _dipesale, 
   {{0x72ca017d,0x2f4102b9,0x4a2a01de,0x00000000}},	//   _kolde_, _پھلتی_, _диабетім, --, 
   {{0x8ed8008c,0x27fb0119,0x00000000,0x00000000}},	//   _breigias_, _pagbilng, --, --, 
   {{0xfa8104ac,0x9cf20291,0x6f5c0362,0x8cda0299}},	//   _euroopas, _واسمه_, _mayangan, _تەنقىتلە, 
   {{0x0b8a0023,0x23f902f7,0x62cb024f,0x926401f1}},	//   _новой_, _aubuti_, _ikedru_, _mbulon_, 
   {{0x501c0148,0x0aef007b,0xf2eb02f3,0x83170045}},	//   _巴士租賃服務_, _cheeries, _tvingar_, _procene_, 
   {{0x0ef30375,0x129001bc,0x16820096,0x6f670061}},	//   _akukufun, _kroan_, _bagemuri, _생각하시는_, 
   {{0xe3cf0018,0x12e30218,0xd3ea0265,0x4ba60486}},	//   _druvi_, _acuteway_, _boete_, _व्यतित_, 
   {{0xe36c0108,0x6a240213,0x61cc0375,0x942a0265}},	// [7760] _ningali_, _платят_, _anamulim, _techniek, 
   {{0xa2e10192,0xf2920278,0x872401ec,0x6ed7019a}},	//   _해드립니다_, _beraya_, _مولفه_, _brennins_, 
   {{0x0f360024,0xaa52006a,0x60b20405,0x00000000}},	//   _ৰসায়ন_, _tetezana_, _супровід_, --, 
   {{0x9e4f0076,0x81780271,0xe9f80244,0xf25b0435}},	//   _впечатли, _datahjel, _мутафчие, _riblje_, 
   {{0x9afb0080,0x0b1b01ba,0x3f8900bf,0x538602c2}},	//   _amerlane, _derasyon_, _желании_, _soorte_, 
   {{0x147b01f1,0x8a9704e9,0xbff90320,0x68f9003c}},	//   _sistemin_, _niriyaub, _erixaken, _نظرحروف_, 
   {{0x6202019d,0xb74a00c1,0x04330649,0xa2ee00dd}},	//   _masiku_, _मावळ्यां, _देवयानीस, _nenfwd_, 
   {{0xa67302bf,0xe2d80321,0x8e510053,0x00000000}},	//   _bakhutjw, _rumeni_, _pelacaka, --, 
   {{0xb2f000dc,0x5ebe022e,0x6b4300cd,0x00000000}},	//   _agaigai_, _réglisse_, _blocches, --, 
   {{0xbf5c0007,0x038000bd,0x512a018d,0x1f5d0115}},	//   _bayangan, _herrin_, _ብዝዓበየ_, _sesaoran, 
   {{0xec930064,0x225a01b9,0x637901ec,0x7fa50153}},	//   _بادال_, _inklir_, _anyaran_, _狼と香辛料_, 
   {{0xd2900225,0xb75b0025,0x1f49013a,0x030f01e5}},	//   _groan_, _राज्ञां_, _virgesin, _pagbòn_, 
   {{0xb7670008,0x3b0f0481,0x020002ee,0x93ce0026}},	//   _البومۇ_, _aangepas, _ħlief_, _stevig_, 
   {{0xf79802b6,0xe585006d,0x49d801b8,0xa8c90311}},	//   _байланыс, _плазмы_, _aseesime, _ብምክፋል_, 
   {{0xe2f1022e,0x2c7704b2,0x92d8004b,0x02e101c3}},	//   _capisci_, _animnapu_, _hohela_, _bransal_, 
   {{0x6afc01a4,0x0bec038b,0x46480052,0x0ae10212}},	//   _babengis, _kegembir, _एभिन्युज_, _sequente, 
   {{0xbfd401c4,0x23480203,0x717c02aa,0x00000000}},	// [7770] _sonneblo, _solemni_, _magnetky_, --, 
   {{0x0c3804ac,0x705800b7,0x0e0601a3,0x00000000}},	//   _принимат, _башылашд, _اوچائيءَ_, --, 
   {{0xb27e03f0,0x9290046b,0x9f9101b5,0x625b000e}},	//   _kynna_, _atgas_, _gaymerso, _inclar_, 
   {{0x0f2e01f4,0x4b0c0107,0x6396012c,0x7b160029}},	//   _тилла_, _بامیه_, _warsha_, _پێیانوای, 
   {{0x6f990017,0xe3a2000b,0xea7f01a6,0x76320196}},	//   _उत्तेजक_, _ifopo_, _korakora_, _chilembw, 
   {{0xff8d023a,0xe48c0529,0x1c290037,0x00000000}},	//   _korytnač, _oporavlj, _የሆኑትና_, --, 
   {{0xb2d801a4,0x2ba3027e,0xa96d003b,0xa07d0153}},	//   _aumeli_, _prekomer, _besitsat, _演歌の大御所と_, 
   {{0x12ec009b,0x21d700da,0x52ec0418,0x70f70320}},	//   _алхам_, _важник_, _sizinle_, _layichul, 
   {{0x72f5002e,0x9ba505ad,0x8a7f0340,0x2f4702d4}},	//   _obzirom_, _nasilnic, _horahora_, _cumprova, 
   {{0x09e40292,0xd419022f,0xc3440073,0xdeb702c4}},	//   _overridd, _susisiek, _materne_, _западна_, 
   {{0x5b7e0282,0xfdb8000c,0xec6f01d7,0xf3ea0418}},	//   _kauniher, _añanise_, _serrada_, _aleti_, 
   {{0xd3e7041e,0x73f4017e,0x22c50116,0xbc62022c}},	//   _applicaz, _partio_, _moulded_, _karuhun_, 
   {{0xfe4e0347,0x55120349,0x66270282,0x6aeb004d}},	//   _straatna, _armlessh, _takiriti, _中壢市成功路_, 
   {{0xe14100c5,0xba93028b,0x4bc10132,0x00f10012}},	//   _概不负责其真实性_, _иорден_, _munkaerő_, _भॊगवै_, 
   {{0xd2920429,0x3fcc011e,0x72b40148,0x264003c2}},	//   _kerana_, _satisfer_, _amicis_, _scribbli, 
   {{0x12ca0013,0x14e50163,0x43ea0439,0x226400d1}},	//   _modda_, _ناتواں_, _fleti_, _পদ্ধতিটো, 
   {{0xd3f001a7,0xe200003a,0xf89b019f,0xb9cc038b}},	// [7780] _viestisi_, _kuniga_, _مرجعيت_, _menerbit, 
   {{0x11000046,0x43190168,0x8c18009e,0xdaf90095}},	//   _октябрга_, _invitasj, _resolveu_, _anusapat, 
   {{0x61a800c6,0x5305012d,0xbec50119,0x62fc03f7}},	//   _проводит, _ansarem_, _hilongos_, _felgur_, 
   {{0x41bb0126,0xd34102d8,0x84750162,0x88a60338}},	//   _консульс, _orderan_, _тутувалс, _archipèl, 
   {{0xf70d0188,0x727f0316,0xd27f00f0,0x969802a3}},	//   _гапро_, _akanta_, _diania_, _beweegli, 
   {{0x1f660073,0xc2c500d4,0xca140428,0x52ca00cf}},	//   _campania, _hillige_, _zdravila_, _bodda_, 
   {{0xd39001e5,0xc25a0257,0x7d89019a,0x075b03f0}},	//   _abayori_, _miklar_, _expectit_, _barnseig, 
   {{0x32c50485,0x7cb90271,0xe20e015c,0xfd08002b}},	//   _glemmer_, _rogaland_, _wéilt_, _সাজিয়ে_, 
   {{0x22a7002e,0x33ea0407,0x7d9b02ed,0x52d702d6}},	//   _nesreći_, _uleti_, _alborada, _armonim_, 
   {{0x32900116,0x636f0488,0x9ea50094,0xf97702f8}},	//   _groat_, _tautsaim, _تۇتقىش_, _kaungame, 
   {{0x72c600a4,0x4a6d004c,0x2ce80139,0xcccf0086}},	//   _alumnes_, _abagaiga_, _agatīnāṃ_, _دیگچی_, 
   {{0x410701ce,0xe3ea0300,0x7270002b,0xf29002c7}},	//   _فراری_, _pleti_, _মিনহাজুল_, _schale_, 
   {{0x729003ad,0xaedb00ad,0x3b880041,0x1859023a}},	//   _kroat_, _kanyataa, _гәмма_, _štandard_, 
   {{0xd2900218,0x84b500d1,0x4a7f02af,0x120e033e}},	//   _otgay_, _অৰিন্দমৰ_, _kiratora_, _léire_, 
   {{0x51140064,0xc84d01a3,0x799700c5,0xb5400040}},	//   _техникал, _رجعتي_, _突发公共卫生事件, _מצומצם_, 
   {{0x420001c5,0x32950007,0x92c60017,0xd26601b5}},	//   _dunida_, _abrahami_, _brambor_, _dorobeni_, 
   {{0xeeb00079,0x77270420,0x929002d5,0xbba1044a}},	// [7790] _telefons_, _postagem_, _mugav_, _deshonor, 
   {{0xf43e0145,0x6fdb046b,0x794d0035,0x7317008b}},	//   _панна_, _ganiatao, _ашсын_, _danagay_, 
   {{0xd3410120,0xd2640037,0xb27f00a6,0x33be0360}},	//   _esserra_, _የሚያጣራ_, _bhanya_, _olivami_, 
   {{0x65440060,0x627f001e,0xd6b803b5,0x7394023e}},	//   _بىلەدى_, _akansa_, _pelangsi, _daksio_, 
   {{0x82fb001d,0x98820597,0x00000000,0x00000000}},	//   _richmen_, _шортта_, --, --, 
   {{0x7fe30122,0x334f042d,0xbdb80080,0x00000000}},	//   _راستي_, _haterak_, _ingajaat_, --, 
   {{0x85870039,0x58c80021,0x14b20348,0x1d990089}},	//   _bestelak, _ematolog, _ababatiz, _beglovla, 
   {{0xac730016,0xf2c8018d,0xf12c00af,0x03ea03fc}},	//   _taksita_, _ብዝመስል_, _магазині_, _tomta_, 
   {{0x13a20041,0x32f20359,0x72b903b0,0x19590187}},	//   _иеиҧш_, _deaslach_, _sogelag_, _ветерот_, 
   {{0xe2900082,0x369500f0,0x52b30066,0x1f53019f}},	//   _annabi_, _marcipán_, _mendiko_, _مصلحتن_, 
   {{0x994100c3,0xfa8904f8,0xa387002e,0xa9df00ae}},	//   _pellente, _ignition_, _zavrsi_, _igatangu, 
   {{0xdc5b003e,0x6c7601ac,0xc27f0102,0x24a901d5}},	//   _baruped_, _borradh_, _chanya_, _afganisz, 
   {{0x12000083,0xe7cc00c4,0x85280159,0x56b302a1}},	//   _salids_, _ڀيرومل_, _parinkty, _maagdeli, 
   {{0xc34304ac,0xe35e03c7,0x44240285,0x7b1d0117}},	//   _которая_, _należy_, _arakomez, _dipatmen_, 
   {{0xe9cc0639,0xaa95004a,0xbb1a0125,0x53eb0255}},	//   _penerbit, _gazetası_, _milletiň_, _meetri_, 
   {{0xd3ea019c,0x5f1f041e,0x275d02af,0x5e560096}},	//   _ileto_, _agguanta, _kuzitung, _batakaje_, 
   {{0x127e033c,0x53ea042a,0x016f02d3,0xde530193}},	// [77a0] _mynnu_, _aleto_, _conselho, _स्तोत्रे_, 
   {{0x91cc01d7,0x913b00ca,0xb1690045,0x3afe004d}},	//   _actività_, _aranésòc_, _перовић_, _拖吊保管場查詢_, 
   {{0x02fc00ff,0x80c80141,0xe14a0061,0x83ea04fb}},	//   _admiras_, _туронзам, _뉴질랜드에_, _emiten_, 
   {{0x8a0f0104,0x45b801bd,0xa2ca034a,0x5d2b013a}},	//   _nabafile, _басталға, _rolda_, _arennert_, 
   {{0x643d0024,0x93ea03b6,0x096d019b,0x8df800be}},	//   _নাহিল_, _eleto_, _atsistat, _كەسەپەتى_, 
   {{0xf1780061,0xc2ca00fc,0xf60303db,0xe20d03f7}},	//   _내용확인을_, _duleghdi_, _emalaysi, _dáist_, 
   {{0x72de0139,0xa1cc0416,0x2dbe0037,0xef320222}},	//   _उत्पद्यत, _activitá_, _መምጣታቸው_, _suffisan, 
   {{0xe2ca039e,0x48fd03e7,0x9e4f027b,0xe2920045}},	//   _volda_, _garaygad, _balasama, _merama_, 
   {{0xddab022c,0xb8e50034,0x1f1e0014,0x36ce018b}},	//   _kahirupa, _ennfremu, _reduktua, _valabili, 
   {{0x57e700c1,0x337b0244,0xc2ca04b2,0xd37f02b1}},	//   _भूवरीं_, _estremam, _tolda_, _hamayya_, 
   {{0xb3eb02b0,0xd0c7018b,0xf317006a,0xda4000e6}},	//   _leute_, _вишине_, _nanampy_, _的磷酸二氢钾溶液_, 
   {{0x31ff02c2,0x62d50074,0xe2940362,0x02fc0450}},	//   _bespreek_, _eurolla_, _basakoli_, _gyngen_, 
   {{0x931700d5,0x556300ff,0x9fa00034,0xa2010116}},	//   _hanampy_, _גאזעט_, _algengar_, _anaith_, 
   {{0x4769018d,0xee4400be,0x094200df,0x00000000}},	//   _ተዛራባይ_, _قىزعىندى, _attraper_, --, 
   {{0x92e30175,0x5ea800cb,0xcbf30126,0x52e90224}},	//   _polisye_, _akalibon, _журналів_, _eignist_, 
   {{0x94ba02b2,0xec26010b,0x629001c7,0x1db80233}},	//   _статті_, _ammaarur, _lugat_, _audaciat_, 
   {{0xaefd0047,0xb2b4049c,0x72260017,0x6ed301c4}},	// [77b0] _上的问答吗_, _gencuz_, _potkat_, _polities_, 
   {{0x3c6303ed,0x33eb0008,0x4b7e00ab,0x02ca013d}},	//   _outubro_, _deute_, _ahiriana_, _fondis_, 
   {{0x427f0102,0x229102ee,0xc7930193,0x00000000}},	//   _mhanga_, _itwal_, _सामानाची_, --, 
   {{0x2d01009b,0xe0fa00bb,0xf31a001a,0x669a037f}},	//   _сталлоне_, _ارادوں_, _közti_, _sakitləş, 
   {{0x329201e9,0xf16c00a7,0xeef50046,0x4a67002b}},	//   _meraba_, _necessàr, _convidat_, _সাইদুর_, 
   {{0x3c0600da,0x9d070163,0x4f22002b,0x4eb8046b}},	//   _капэтул_, _کارخانے_, _বাগচী_, _digofain, 
   {{0xed6400a5,0xc7c40040,0xdefa014e,0x57e9019b}},	//   _amāta_, _הטענתי_, _посетило_, _камандав, 
   {{0x9aa900f5,0xcc18006c,0xd28e032d,0x9533008b}},	//   _денесе_, _abasijab, _bosholu_, _gamaleel_, 
   {{0xf27e0250,0xe7a9018d,0xf65d02c2,0x8c09033f}},	//   _ndonje_, _እናዛየደ_, _beskermi, _laipeka_, 
   {{0x28570044,0xd6dc0378,0x720101d5,0x66330418}},	//   _presents_, _havbotni, _ugrik_, _hamileyi, 
   {{0x827e033c,0x127e046d,0x44a90386,0x8db40299}},	//   _tynnu_, _vhinga_, _mewajibk, _ئوھوي_, 
   {{0xdfae03e9,0x73780082,0x4b1c01d9,0x1232029b}},	//   _варки_, _tunanin_, _plaatzen_, _bammeel_, 
   {{0x629e00c7,0x569f0235,0x34a30159,0x983701c1}},	//   _китап_, _adhunety, _гітлер_, _सन्जोप_, 
   {{0xe27e0257,0xb68100d3,0x7c4c019f,0x0cfe02c5}},	//   _kynnt_, _असमान_, _kimwili_, _anotumir, 
   {{0x2e520333,0x68cc021b,0x565800ec,0x2009014a}},	//   _marchese_, _остеклен, _stiklini, _írjatok_, 
   {{0x92c601df,0x69670097,0xb02c017d,0x22e900ef}},	//   _plumber_, _ararwọn_, _kreditko, _روابطو_, 
   {{0x6290044d,0x78c90125,0xf2ca037e,0x5dc101cc}},	// [77c0] _tugal_, _гарамазд, _syndet_, _arpitama, 
   {{0x334802ee,0x2290022b,0x9290026c,0xeafc00d9}},	//   _solenni_, _hinari_, _fugam_, _ongelmis, 
   {{0x0386000d,0x23f800ac,0x33420338,0x0300033f}},	//   _noorte_, _limuna_, _aprenen_, _kalaisi_, 
   {{0xe2870160,0xc8b500e2,0x3df600c5,0x2d060192}},	//   _linkove_, _breteler_, _tondeuse_, _corriger, 
   {{0x927e0464,0xb6a700d1,0xc290033f,0xd29b020f}},	//   _ahinda_, _বনোৱাৰ_, _pinati_, _دفراغت_, 
   {{0xc67c025c,0x4cea010d,0xc05901d2,0x030700ac}},	//   _irgendwi, _महामंडळ_, _almasoro, _kolači_, 
   {{0xbb3600da,0xa2920452,0x00000000,0x00000000}},	//   _stabiles, _teraba_, --, --, 
   {{0x29fd00ab,0x1fd60044,0xfe7902ac,0xd2eb0416}},	//   _karangat, _וסיידים_, _بليييييي, _adminim_, 
   {{0x2a7f00d5,0x4c730414,0x5200029e,0xaeb8042d}},	//   _moramora_, _asosola_, _babig_, _angolain, 
   {{0x24d70374,0x737f055d,0xa2cf02bb,0xb9c9023b}},	//   _کاغذگه_, _mamanya_, _salonie_, _melekize, 
   {{0xba530033,0x637f00b9,0xa85900bf,0x3f230369}},	//   _federala_, _lamanya_, _фиксируе, _mahealan, 
   {{0x7987002b,0x95040041,0x28d20161,0x412a0023}},	//   _ব্যতিত_, _хҧаны_, _огромных_, _стоянки_, 
   {{0x5c5b015d,0xb2910172,0x69be0006,0x5606012e}},	//   _postaci_, _atwam_, _menderit, _alumíniu, 
   {{0xf29003a4,0xb7b700c4,0x00000000,0x00000000}},	//   _einari_, _nakubali, --, --, 
   {{0xecc50037,0xed880189,0x3d9200d7,0x2b960237}},	//   _መደራጀት_, _hormonla, _jeremane_, _삭제되지않는_, 
   {{0xb29103d8,0xa27f02fa,0x82df00f4,0x9f2a0418}},	//   _vezama_, _akanwa_, _benodet_, _bayrampa, 
   {{0x72120072,0x89cb03cf,0x92ec031e,0x0c9200b9}},	// [77d0] _atcha_, _belediye, _pocinje_, _terulang_, 
   {{0x1f3f0361,0x00000000,0x00000000,0x00000000}},	//   _всдехула_, --, --, --, 
   {{0xa7b7019f,0x9c710159,0x82f100d6,0xc1c402ac}},	//   _makubali, _эстонцы_, _heisiach_, _فولكس_, 
   {{0x627f0183,0x5de401dd,0x420001f1,0xfd680350}},	//   _kianja_, _abajanda, _fajin_, _በምረቃው_, 
   {{0xb27e0326,0x852e019f,0x837f034d,0x4d3601a3}},	//   _shinda_, _mwendesh, _namanya_, _اگنيءَ_, 
   {{0x5b1f02df,0xe94907bb,0x9d2c01fa,0x627400bb}},	//   _kelantan_, _dosmoqme, _latitute_, _کوٹلہ_, 
   {{0xb26c01d5,0x841d0054,0x2c1d0066,0x00000000}},	//   _bukott_, _bulaguro_, _jasangar, --, 
   {{0x93cb05ce,0xcf1f0627,0x73ea0049,0xc37f0348}},	//   _cihazı_, _binuhata, _koete_, _bamanya_, 
   {{0xf29e01f2,0x921301db,0x3cd2004d,0x2c4400cd}},	//   _бимар_, _форманы_, _優格蔬果節能又減, _chavrer_, 
   {{0xacf701e8,0xbd240164,0x44f30148,0xb38702c3}},	//   _southwar, _анализчи, _汪靜明教授_, _zavri_, 
   {{0xc4fe0220,0x6dff01a6,0xecf400af,0xc0db0012}},	//   _временно_, _hekereta, _ознаками_, _टीवीये_, 
   {{0x5290018b,0xa38c0779,0xbabd03ce,0x54670037}},	//   _rugam_, _bicykle_, _دیندا_, _sendalok, 
   {{0x154900db,0x4201008e,0x3e4f005e,0x087c008a}},	//   _खालाउनीच, _defiin_, _усулумни_, _tagiotau, 
   {{0xe29007bc,0x803e031d,0xadb201eb,0xaa1705fb}},	//   _mugak_, _agitatin, _ikerambu_, _procenat, 
   {{0x454a0235,0x33200172,0xea110014,0xf6650291}},	//   _प्रेरणे_, _pakyo_, _vizatime, _اخوانك_, 
   {{0xb17e00c4,0x0d1b0012,0x4e480119,0x991301d2}},	//   _اڻپوري_, _नालबाजी_, _kapasida, _estaduku, 
   {{0x7e5e0229,0x46d00207,0xc20100d6,0x23f900a0}},	// [77e0] _fotoları, _maharami, _fiaich_, _guzuri_, 
   {{0x132603c4,0xa3800281,0xda3c0064,0xbdbd015e}},	//   _قانىلى_, _hurraa_, _бубон_, _جاستاعان_, 
   {{0x050e02e7,0x8c7e00e0,0xc84003eb,0xb60e02c2}},	//   _resolusy, _begriep_, _farmaseu, _resolusi, 
   {{0xd4250089,0xedfc009a,0x9f3800e2,0xd3f805b7}},	//   _птеродак, _تحصیلي_, _meastepa, _nesretni_, 
   {{0xe9c703bf,0xe1420276,0xf2d8005a,0xadef0162}},	//   _саралар_, _رەڭدار_, _dalegh_, _түркәлни, 
   {{0x20d7013d,0x72910403,0x08e800f8,0x00000000}},	//   _הגאון_, _dezaka_, _দিঘলিয়া_, --, 
   {{0x517806b0,0x236f049a,0x8e6900a6,0xbb580043}},	//   _zevangel, _nezgodu_, _قيمتی_, _asattiza_, 
   {{0xb5040386,0x7ecb008a,0x734803fb,0x52b60119}},	//   _nikmatny, _kelisian, _bolesni_, _jascha_, 
   {{0x12ac0014,0x54eb040f,0x3e3d0318,0x82b6005b}},	//   _trajner_, _азонавыя_, _napangap, _mascha_, 
   {{0xb3960209,0xc0330238,0x22910230,0x930f0116}},	//   _karsia_, _демотива, _stwar_, _gabblin_, 
   {{0xc8ea00dc,0x6cc70045,0x4a0900b3,0xa379019d}},	//   _amasinog, _трибина_, _arzasyna_, _kumaiko_, 
   {{0xc40e02bd,0xfa3201eb,0xaeb70152,0x4d130022}},	//   _diffinio_, _cacatúa_, _даугава_, _diprimir, 
   {{0x378100ba,0x2a780040,0x70b000d7,0x9de30291}},	//   _دارچینی_, _מתקרבים_, _кермәгән_, _وإزالة_, 
   {{0x196c0075,0x1677023c,0x83010758,0x00000000}},	//   _minnilut, _سپيڅلي_, _azibeke_, --, 
   {{0xa24a032d,0xd2920195,0xd25a01ed,0x22d90292}},	//   _солнечно_, _afraga_, _iwilei_, _okonore_, 
   {{0x5ef002e0,0x015b0399,0xdd92004b,0x1c6f00be}},	//   _baikepin, _langilel, _ferekane_, _ferrada_, 
   {{0x02910573,0x63cf0226,0xfe720128,0x00000000}},	// [77f0] _duwan_, _avomerez, _ростини_, --, 
   {{0xe99d00c7,0xb9f304ad,0x83470282,0x461b02b0}},	//   _таныш_, _bothokwa_, _rohenga_, _souverän, 
   {{0xa2fc0156,0xabd10145,0x00000000,0x00000000}},	//   _והטהור_, _modelių_, --, --, 
   {{0x0c7403b0,0x9c2401ec,0x767a0059,0xb5c500e6}},	//   _leirvik_, _albumé_, _органичн, _任何单位和个人都, 
   {{0xdb3b00a7,0x72a60187,0xde3702fc,0x4c080074}},	//   _иттерге_, _bumbum_, _bagafata, _laatikos, 
   {{0x4291038a,0x2dc6007e,0x9977031a,0xf52800d1}},	//   _huwan_, _akshayya, _chaibide, _কৃষকজনে_, 
   {{0xe29100fa,0x12f3006f,0xbf5b0344,0x0f4b03b8}},	//   _buwan_, _magazeti_, _allataan, _съезін_, 
   {{0x14070397,0xd90a0037,0xb8cb02d8,0xe1f3009b}},	//   _тарбияи_, _በቤዛዊት_, _mendisku, _дохиог_, 
   {{0xa1d90148,0x7d750036,0x42810071,0xd2fd0434}},	//   _博客來網路書店_, _samhlaío, _personil, _vivimos_, 
   {{0xd4710052,0x8c0c00da,0x36a501db,0x622b03e8}},	//   _कर्नर_, _традевэр_, _تولقىعان_, _vzemite_, 
   {{0x09f60050,0x22300306,0x429001fc,0xdaea0390}},	//   _antéh_, _chimán_, _sugak_, _amilinin_, 
   {{0x5f7800da,0xf27f024c,0x628004d8,0x475a0350}},	//   _копиилор_, _ikanta_, _curiyay_, _የሚቀይር_, 
   {{0x826c04f2,0x7adc009b,0xc27f0105,0x4059018a}},	//   _tabindex_, _kantatze, _pianka_, _gristion, 
   {{0x4f4400ff,0xc2840147,0xbd030122,0x32e902d9}},	//   _בראוזער_, _اپتىعىپ_, _آپاچی_, _moananu_, 
   {{0xc284012c,0xd14b023d,0x620100f4,0xde210156}},	//   _kumbukum, _corrispo, _bevien_, _הארבקייט_, 
   {{0x525a0278,0xfa7e0207,0x925202e2,0x21d70268}},	//   _kuantiti_, _مستورات_, _dastardl, _ailedfay_, 
  
   {{0xe1750268,0x938204fd,0x97c1008d,0xa5ac015d}},	// [7800] _avinghay_, _अप्रवासी_, _sportchi, _वैधता_, 
   {{0xa53a019f,0x2039004b,0x39d00690,0x71f9006c}},	//   _kupitish, _boselamo, _berlumba_, _asizakal, 
   {{0x86fc0040,0x3ffc0009,0x79fc00bc,0xecf004eb}},	//   _ולהגיד_, _slušalke_, _کارکردها, _बाइक्स_, 
   {{0x2fc40058,0x3a7d03d8,0x126001dc,0xf42a02d9}},	//   _schoonmo, _naučio_, _icsursel, _pesamino_, 
   {{0x2c47004a,0x00000000,0x00000000,0x00000000}},	//   _altmışta, --, --, --, 
   {{0x53e5024c,0xe2d80160,0x6291001e,0x922b004d}},	//   _imputati_, _uzmem_, _zuwan_, _性騷擾評議委員會_, 
   {{0xa6390139,0x57010177,0xdd880189,0x6f6b00a4}},	//   _adhamarṇ, _aretereí, _davetiye_, _capaços_, 
   {{0x96b103dd,0x53c800e6,0x92ca018f,0x1c5a0277}},	//   _sigurish, _中国农资网_, _moddi_, _motubag_, 
   {{0x72b50116,0xe3170482,0x153d0061,0x6432005e}},	//   _smacks_, _dananay_, _신청하세요_, _ﺗﯩﺒﻪﺕ_, 
   {{0x6c37026c,0xb34a0148,0x829201d7,0x7ded0213}},	//   _是否自專家學者建, _健康及醫療_, _agrara_, _поминаль, 
   {{0x858402a6,0x03ea046b,0x2da80340,0xd19b00f0}},	//   _baccalà_, _boeth_, _kawitita, _klobúky_, 
   {{0x79fd027b,0xc03502c2,0x083602ba,0xc3bc00da}},	//   _sarasvat, _buitelan, _хамрохи_, _формациу, 
   {{0x0c6f0216,0x29610092,0x7201022d,0x420d0041}},	//   _eyuropa_, _grundare, _suvita_, _háime_, 
   {{0x28c70229,0x6b7000ab,0xe9fa0296,0x61b80064}},	//   _stadionu, _hamutana_, _aktierna_, _infecció_, 
   {{0x21cc03ea,0xad2f0149,0x23eb0338,0xc63a0092}},	//   _activité_, _ewuputar, _lactam_, _楽天トップへ_, 
   {{0xf7ff0037,0x73ea0225,0x3a700193,0xfed0008c}},	//   _ደጋግመው_, _imiton_, _पन्नास_, _amenduos_, 
   {{0x6dd3037c,0x311f0040,0x53eb0037,0x1c7101c9}},	// [7810] _sanjeeva, _במחוז_, _gluta_, _बरच्छा_, 
   {{0xe4940156,0xd26c00e3,0xd047006c,0x5b0200cb}},	//   _אטענשאן_, _erkole_, _мессӣ_, _asesarde, 
   {{0x1f47008e,0x8db203a4,0x06ff01d5,0xe5db015f}},	//   _feesalee_, _blondina, _kimutatá, _hymchwil_, 
   {{0x835b040b,0x3cb100bb,0xc6d00020,0x12900080}},	//   _langula_, _بُرھان_, _sapapali, _innami_, 
   {{0x419701af,0x0e26006d,0x72ca02ee,0x3d590206}},	//   _baradaky_, _халяву_, _sodda_, _populáci, 
   {{0x395901d4,0xba7f027f,0x0a0401af,0x7d3c03a2}},	//   _cyclable, _biratora_, _amalyýet, _न्वॉर_, 
   {{0x973501b2,0xf99900bb,0x926300bc,0x82da0039}},	//   _ashlinag, _مسوڑھوں_, _نهائی_, _sopela_, 
   {{0x32ec0337,0x804d01b2,0xc29100ad,0x7a3b0025}},	//   _bizimle_, _struttin, _kabawa_, _bahuguṇa, 
   {{0xa9f703be,0xefe200ac,0xa2fd004d,0xf8630332}},	//   _abangana_, _gostujuć, _lucidus_, _pulseras_, 
   {{0x942d02ec,0xd749014f,0x72970362,0x26730141}},	//   _کٲنسہِ_, _прислушк, _nazalaki_, _театрини, 
   {{0x22f20202,0xfa9a0247,0x0736020f,0x00000000}},	//   _didinku_, _dhaharan_, _سورېې_, --, 
   {{0x35ce0132,0x8e0c00bc,0xb20100c3,0xb29100a0}},	//   _valamily, _مجانی_, _agris_, _auwal_, 
   {{0x55670152,0x98f800cf,0xd2010488,0xa3f100b4}},	//   _никахы_, _baqachuu, _radies_, _energiei_, 
   {{0x177b011d,0xf84500f4,0x22ca0205,0xa8c9018d}},	//   _атакат_, _animatou, _boldi_, _ብምኽፋል_, 
   {{0xa845025b,0x42d8018e,0x63b4012c,0x47fa017d}},	//   _borgarar_, _kumeki_, _هنرمندن_, _bombeang, 
   {{0xd949050f,0xf925044b,0x9c730066,0x7f5c0013}},	//   _पारसनाथ_, _forstår_, _хонины_, _далиллар_, 
   {{0x42ee001f,0xf0e2005e,0x094c03eb,0x00000000}},	// [7820] _ghanani_, _رەشىدى_, _gerooste, --, 
   {{0x26150044,0x4ebd03b6,0x9aa70244,0x7c1502b3}},	//   _צוואר_, _atenuden, _хазарта_, _bispado_, 
   {{0x13eb0191,0xe231004d,0x8d2d01e1,0xe4c803bf}},	//   _sluta_, _淚盡難再做老娘_, _humputar, _фараздар, 
   {{0x791a004d,0x59fe02c2,0x837900ac,0xfc620244}},	//   _我的射箭課_, _gesament, _ustaša_, _autrice_, 
   {{0x32cb01f7,0x88d8010f,0x17910322,0x7c760291}},	//   _gelosia_, _мебурд_, _abaderev, _corradh_, 
   {{0x92ca005b,0xb2d9018d,0x4038002b,0x4291001d}},	//   _findes_, _ተተግቢሩ_, _হাতছানি_, _mifasi_, 
   {{0xa00502d3,0xb280016d,0xb2910105,0x0ed60100}},	//   _огромна_, _бишарәт_, _zabawa_, _božju_, 
   {{0xc27b0052,0xc3ea000d,0x77ec03d5,0x5c05011a}},	//   _objednán, _toeta_, _arganeag, _unsuitab, 
   {{0xa2d802a4,0x0c5a01ac,0xb6b90253,0xaf120057}},	//   _alieno_, _ترجمات_, _angalasi, _sentiasa, 
   {{0xccbe0056,0x7f210192,0x0c0b002e,0x07cd009a}},	//   _далел_, _홈페이지를_, _potpisa_, _حیواناتو_, 
   {{0x9f5e0299,0x0b6d049e,0xdbe00125,0xf292038e}},	//   _ئەبۇبەكر, _ekumenic, _bezegler, _appaku_, 
   {{0x1dd9012e,0xec4f0012,0xf2b500d8,0xe2910446}},	//   _چترال_, _असननवाँ_, _flacas_, _nabava_, 
   {{0x32ca0111,0xb297025f,0xdf8902eb,0x02d80418}},	//   _soldi_, _bazalaki_, _медалиа_, _ermeni_, 
   {{0x310100e4,0xfc7200bd,0x927700de,0x00000000}},	//   _punktach_, _hoardit_, _bhankini_, --, 
   {{0x196c0444,0x42910082,0xe4d500b3,0xa4670061}},	//   _начинают_, _sabawa_, _berilmän, _불가능하다는_, 
   {{0x927f0022,0x92ef0043,0x45a0006c,0x83530046}},	//   _khanna_, _okufa_, _abasibiz, _حۇنان_, 
   {{0x535b0120,0x2c11034d,0x80730197,0x22ee03db}},	// [7830] _yangula_, _hampiri_, _malatcho, _uhanani_, 
   {{0xae960162,0x5e510220,0xd83d0008,0xe3ea0396}},	//   _كىرىپ_, _оставка_, _арбын_, _elett_, 
   {{0x43eb0223,0xb2ef066e,0x8290029e,0x3c6f00b9}},	//   _ematen_, _akufa_, _argas_, _kerupuk_, 
   {{0xb291003a,0x926c0255,0xd669015e,0x943d002b}},	//   _sifati_, _elion_, _روزانىن_, _নাজিল_, 
   {{0x326c018a,0xc38000b6,0x425a01b2,0x59470213}},	//   _olion_, _barrâ_, _dollop_, _трудной_, 
   {{0xdd3803a0,0x87fc0008,0xf76901db,0x9c670223}},	//   _dikinane_, _алиге_, _тракторш, _genuela_, 
   {{0x1200012c,0xc2c601df,0x4291012f,0x736c026c}},	//   _tabia_, _slumber_, _tuwab_, _singuli_, 
   {{0x6291011e,0x027f0533,0x2a0a0264,0x82ca01d9}},	//   _etwat_, _bhanna_, _maapektu, _foddo_, 
   {{0xba75063c,0x6f1f013a,0x745f0185,0x057000e6}},	//   _आरंभिक_, _bedeiten, _ekspertı_, _四个坚定不移_, 
   {{0x9ba80162,0x0cb20126,0x3301020f,0x56cb014e}},	//   _пикирләр, _атлетики_, _ayibize_, _гостовањ, 
   {{0x34d70158,0x8968023e,0x0b1f069d,0xf37f0043}},	//   _वीथिका_, _bryophyt, _barashob, _bamaaya_, 
   {{0xe3540266,0x425e03f2,0xcacb065b,0x325a0116}},	//   _selepas_, _saatavil, _सफदरजंग_, _collop_, 
   {{0xd77801ea,0x22bb01a4,0xa2bc05c2,0x12da03ee}},	//   _طوفانی_, _mineure_, _mbadelo_, _putnike_, 
   {{0xb26c0005,0xb5570156,0xaec3004a,0x22ca0278}},	//   _glion_, _דתילי_, _alanınna, _keldai_, 
   {{0xddbd0025,0x92000258,0x81fe0276,0x0ba6012c}},	//   _पुस्तकान, _daliks_, _китабниң_, _iliharir, 
   {{0x827f0318,0xa29101fe,0x02d90152,0x84d70022}},	//   _ahanga_, _labata_, _barlıy_, _тротуарҙ, 
   {{0x927f03b4,0x57500041,0x93e70452,0x00000000}},	// [7840] _bhanga_, _ывҵрааны_, _फँटाब्यु, --, 
   {{0xa27f019d,0x34930169,0xb3000209,0xc2910558}},	//   _changa_, _স্বাক্ষর, _affaani_, _nabata_, 
   {{0x0a9100c5,0xba340128,0x3a0a0119,0xe08704ac}},	//   _africain_, _кулфат_, _naapektu, _зайдешь_, 
   {{0xc0190188,0xeea30022,0x02ca0138,0x00000000}},	//   _бокси_, _aparetse_, _doldu_, --, 
   {{0xfee2022f,0xab89069c,0xefd500de,0xe29101ba}},	//   _атаку_, _porodnic, _abanqolo, _konklir_, 
   {{0x31ed049e,0x826e033d,0xd29000a4,0x727e007f}},	//   _formulár, _resous_, _cugat_, _synnu_, 
   {{0x52910415,0x02fd0370,0xd40100fa,0x00000000}},	//   _etwas_, _ajegna_, _balumbon_, --, 
   {{0x42120670,0xb7f10076,0x370f00c5,0x62ea02e5}},	//   _kukho_, _скара_, _certifié, _flaiano_, 
   {{0xd2920227,0xa2010488,0x361e02ab,0xf28600c0}},	//   _neraka_, _mazie_, _ovuleshi, _barkong_, 
   {{0x529101c0,0xd22400e4,0xf5ea0390,0x82010422}},	//   _gabata_, _lekko_, _yaranmış_, _izbiri_, 
   {{0x3914005e,0x8f460219,0xb27f024c,0xa29200b5}},	//   _ﻣﯜﻣﻜﯩﻦ_, _batsenge_, _ghanda_, _ograva_, 
   {{0x7c05007b,0x237f01d8,0x527803ba,0x756c03dd}},	//   _collared_, _samakha_, _haunch_, _rezolutë, 
   {{0x48f800c3,0x18fa03ec,0x120000b4,0xc9fa009d}},	//   _curabitu, _arratisu, _bunica_, _arratise, 
   {{0xc3ea053e,0xf7ec024a,0xa2640044,0x028d0185}},	//   _slett_, _figagbag, _employ_, _биналары_, 
   {{0xe2910172,0xb200022a,0x6d0701a3,0xde5302b6}},	//   _otwar_, _valiks_, _پائخانو_, _құйған_, 
   {{0x20190154,0x8ecf0021,0xd27e030f,0x54a70307}},	//   _хиротони, _actition, _akinga_, _belahlek, 
   {{0x32000231,0x9b640044,0x51f503e7,0x207b00cb}},	// [7850] _tunica_, _threaten_, _hinigugm, _amabhano, 
   {{0x63ea013d,0xa2910028,0xd73f0538,0xe2c300dc}},	//   _poeto_, _kuwaa_, _akkompag, _laulaua_, 
   {{0xa29001c2,0xf9350089,0x32010157,0xc29000da}},	//   _augas_, _адмиралы_, _fazie_, _rugat_, 
   {{0x83eb005b,0x0bee01cd,0x75f600ff,0xb2900119}},	//   _flute_, _навор_, _וישועה_, _bugas_, 
   {{0x52000051,0xe72b04e3,0x948f00bb,0x4b61027b}},	//   _paliks_, _dioničko_, _مجتھد_, _बलिनः_, 
   {{0x5b1d053c,0x52010129,0xc23b04ea,0x2587021c}},	//   _calquera_, _hazie_, _shimiet_, _japonské, 
   {{0x77cb0037,0xd4000235,0xefcf0416,0x72900453}},	//   _ከአምሥት_, _anyonyak, _obliviar_, _cekamo_, 
   {{0xe6c80057,0xc2000039,0x5200058b,0xe7870235}},	//   _ጠንካራና_, _dabil_, _zabio_, _पर्वसु_, 
   {{0x6c5a011d,0x00000000,0x00000000,0x00000000}},	//   _picturi_, --, --, --, 
   {{0xf9990171,0xa2ca01df,0x6292028a,0xb2900420}},	//   _traže_, _dodds_, _jeraha_, _rugas_, 
   {{0x8b910292,0xc04f0037,0x9e2800bc,0x1576002b}},	//   _afrikafo_, _በበለጸጉት_, _anggenip, _কর্ণফুলী_, 
   {{0x22900173,0x57140058,0x3c3a0062,0xbbb000cf}},	//   _jugar_, _veitikum_, _jicheppu_, _dhoysiin_, 
   {{0x0aa0074a,0xcdb303db,0x440e04ca,0xcb730083}},	//   _musikals, _abangena, _escrivan_, _cassiera_, 
   {{0x76b700c4,0x512b0350,0xa66600ec,0x00000000}},	//   _جاڳائي_, _በሄደበት_, _lentelėj, --, 
   {{0xb42901b5,0xde1c0515,0x3c5b021d,0x98bb023c}},	//   _atlhavek, _comencia, _skjulte_, _ميرکل_, 
   {{0x39e10130,0x9ca7027f,0x4ba700f3,0xb4f80244}},	//   _guingamp_, _abayiser, _abayiseb, _преждевр, 
   {{0xf27701a4,0xf2da023b,0x3e030368,0xf3670046}},	// [7860] _abengani_, _hopena_, _космету_, _nutrició_, 
   {{0x2b1f03f2,0xc19e00d1,0x00000000,0x00000000}},	//   _ainakaan_, _কামনাৰে_, --, --, 
   {{0x4e53021e,0x9c75047d,0xdbd60094,0xc2900488}},	//   _oskarsha, _depunkt_, _تىگىسەدى_, _sugas_, 
   {{0xb2910245,0xd2e9011b,0x642f0026,0x3204000a}},	//   _duwai_, _batiaka_, _koppelen_, _artikeli_, 
   {{0x13ea03e0,0xc0e5003c,0x727f0013,0xa27e0116}},	//   _bletz_, _خودنمایی_, _shanda_, _akinda_, 
   {{0xdb9703c4,0xb2ca04ea,0x427f05c2,0xf071024e}},	//   _كامران_, _kyndit_, _phanda_, _islamsko, 
   {{0x941c0122,0x0c6504da,0x08850145,0xb3610176}},	//   _arashman_, _mostaru_, _popieriu, _fremgang_, 
   {{0x96ba0326,0xc4800148,0xea73019f,0x427800b9}},	//   _kutarisi, _大家一起動動腦_, _kutambua_, _taunya_, 
   {{0x529200ab,0x495000ff,0x72da00fb,0x32ba0116}},	//   _heraia_, _balotant, _ovunywe_, _sheeled_, 
   {{0xa212036d,0x02d803cf,0x4e350326,0xe22403f3}},	//   _ouche_, _esmer_, _achatova, _gekke_, 
   {{0xadc401ef,0x36310392,0x26810119,0xd1ed014f}},	//   _konkursa, _banntrai, _berdandi, _органима_, 
   {{0xe2960362,0xec1b051b,0x2fed00c4,0xabe50125}},	//   _babakaki_, _očekávat_, _ماسڪو_, _agajanyň_, 
   {{0xdb87037f,0x1d71032c,0xed2c01fb,0x5c910601}},	//   _sekiller, _unammisa, _recipite_, _kabutang_, 
   {{0xe9b50006,0xda090133,0xa9ef037c,0xd1870151}},	//   _mendekat, _afraffaa_, _mortaliu, _bivalvul, 
   {{0x53eb0359,0xe61301c2,0x5d770152,0xa2000342}},	//   _slute_, _gallaeci, _başlaw_, _labib_, 
   {{0xc899017d,0xc38603ce,0x47b5000b,0xdc1b041e}},	//   _大船渡市民体育館_, _زامدار_, _fatumoai, _rimarcar, 
   {{0x22ca038f,0xb8410113,0x42b50047,0x00000000}},	// [7870] _svedeg_, _máguaird_, _glaces_, --, 
   {{0xe3ea0417,0xc308005c,0x829000a0,0x00000000}},	//   _toets_, _akabaho_, _hajara_, --, 
   {{0x99be044f,0x1273014a,0xa0130217,0x1f48007e}},	//   _penderit, _jános_, _caldiero, _atipīvar, 
   {{0xf6b903eb,0xb2780282,0x45b900d4,0xb2730131}},	//   _belangri, _maunga_, _belangry, _dános_, 
   {{0xb27101a2,0xcb1f010d,0x4dd10099,0x02520078}},	//   _jānis_, _kelautan_, _atikanga, _zastarel, 
   {{0xc34401e4,0xac79032e,0xadde0092,0x6a4f0654}},	//   _inzerce_, _piqutax_, _すべての商品_, _videonya_, 
   {{0xd2e202a2,0x42c503fd,0x82470339,0x03480244}},	//   _spoiled_, _failele_, _pāmia_, _gemelli_, 
   {{0xc2f20472,0x34760098,0x4987028c,0x52ca00e5}},	//   _milikku_, _fortiden_, _ढुनमुन_, _vindas_, 
   {{0x4acb0501,0x7fba03af,0x99c8011d,0xcf4002b0}},	//   _पदार्पण_, _détails_, _datorita_, _reisetip, 
   {{0x5c5902c7,0x927800fe,0xc0980040,0x9d2a0024}},	//   _traurig_, _kaunga_, _שתמצאו_, _বিষয়ববীয়, 
   {{0xfd7f02af,0x4fd50011,0x5fd801df,0xcbdb0162}},	//   _ahambaye_, _abangolo, _tapizado, _кирәлмәй, 
   {{0xe8780141,0xbe5d0258,0xa20201b4,0x592300d1}},	//   _реестри_, _earbetoa, _omring_, _তিৰোতাবো, 
   {{0x400002ec,0xe246022e,0xeb25013f,0x738201a3}},	//   _کرِہے_, _dialetti_, _bomperie, _لاڏلو_, 
   {{0xea2d02ea,0x8c6e00a9,0x7c6e00a2,0x5f1d0226}},	//   _победите, _ibaruwa_, _maarifa_, _basungwa, 
   {{0xac170045,0x2fc3005e,0xb2e60364,0x0daa0328}},	//   _правилу_, _ﺑﯚﻟﮕﯜﻧﭽﯩ, _sonnden_, _igwirira, 
   {{0xb8470074,0x02da0087,0xe2ea03c2,0x00000000}},	//   _задания_, _kopela_, _bigness_, --, 
   {{0x8bd40095,0xd3ce0144,0x50170040,0x6b6c02af}},	// [7880] _مخصوصا_, _الائتلاف_, _landmark_, _karonder, 
   {{0x970b0156,0xa0f40102,0x501a00bb,0x9026004d}},	//   _והגדת_, _muhimbil, _ظہرانے_, _阿爾卑斯花園_, 
   {{0x210000a7,0x0bce0157,0x6309023c,0x82e90395}},	//   _октябрда_, _विशेषताय, _اودخپل_, _malinko_, 
   {{0x83eb0047,0x715801fe,0x27b5027b,0xdd860089}},	//   _toute_, _draunimo, _सचेद्भगव, _garmunna, 
   {{0x4200017e,0x80a002ac,0xfe66042c,0x9247023b}},	//   _simila_, _للقيام_, _kampanju_, _kāmoa_, 
   {{0x427802fb,0xf63d01a7,0x02cb0111,0xd2f002dd}},	//   _faunga_, _vahingoi, _parlami_, _iljieli_, 
   {{0x62130420,0xf02a02a2,0x43aa0322,0x94aa0322}},	//   _хормони_, _dimensyo, _akababaj, _akababaz, 
   {{0x72da010b,0x04710162,0x237d058b,0xbd050222}},	//   _bopela_, _омуралий, _dapače_, _collecte_, 
   {{0xdb6c0464,0x20570128,0x32c80377,0xf0630371}},	//   _baronder, _kadrlarn, _datorie_, _посетят_, 
   {{0xb03e00b4,0x2958029a,0x62d8014a,0xb2d80318}},	//   _atitudin, _lenormit, _menete_, _kihena_, 
   {{0xb29700ab,0x00000000,0x00000000,0x00000000}},	//   _taranaki_, --, --, --, 
   {{0x234300da,0xe372015f,0x2c4e0251,0x594700bf}},	//   _сорока_, _adnabod_, _زمانک_, _предков_, 
   {{0x76ba02c1,0x66a10103,0x60190177,0x741e0213}},	//   _rutayisi, _achenurw, _иранаршь, _говорухи, 
   {{0xd2ca015f,0xab1a02ff,0xe27f036e,0x26490161}},	//   _boddi_, _ducation_, _chanka_, _шоколада_, 
   {{0x62780289,0xd45f01ef,0xd05a0166,0x3c1d0039}},	//   _kaunda_, _ekspertė_, _entspann, _estatuar, 
   {{0x027702fd,0xaadf004b,0x5e9101da,0x00000000}},	//   _charlisl, _kenelets, _janinës_, --, 
   {{0xdaf50435,0x834701c2,0xf2fc026c,0x622800a4}},	// [7890] _службе_, _semella_, _vulgus_, _símbol_, 
   {{0xbec404f2,0xf4bc00cb,0x822d03de,0x22ca018a}},	//   _thanhlon, _ababelok, _izivumel, _foddi_, 
   {{0x2d9f00a1,0x3aed0097,0x38590308,0x0a4000be}},	//   _nehenehe_, _miliọnia_, _ditampar_, _مىربەككە_, 
   {{0xaee90410,0xc2ca00f5,0x11df0053,0x06e800be}},	//   _boikanon, _dilde_, _diinform, _запастар, 
   {{0xf69203d5,0xb75c0148,0xf3640064,0xbdad031a}},	//   _agreeabi, _proximum_, _قوشمو_, _peinnsea, 
   {{0xe30f05df,0x969c0281,0x9d570318,0x26690019}},	//   _karbuwa_, _anigorsi, _talamahu_, _ووراعىن_, 
   {{0x45000024,0xd2000176,0xea720322,0x187801d2}},	//   _গায়ক_, _mimika_, _amagufka_, _chantaku, 
   {{0x31b10130,0x2d6c0420,0x32ca02e5,0x4a33007e}},	//   _diverkañ_, _роднинит, _findos_, _aupaśleṣ, 
   {{0x594c019d,0x09f0038b,0xc95003d5,0x820300d1}},	//   _akaledze, _muridnya_, _ashleyde, _যমুনাপাৰ, 
   {{0x42ca0411,0x238700e7,0xd2480321,0xb29100a0}},	//   _kilde_, _akeray_, _tolmin_, _infaki_, 
   {{0xf3ea033c,0x4ca90193,0x33ea00f0,0x8a8a02c3}},	//   _poeth_, _समस्यांच, _šitie_, _mediálna_, 
   {{0x61260038,0x821202f6,0x5808012e,0xf2240105}},	//   _belgeçlä, _mukha_, _فتاوی_, _lekka_, 
   {{0x30730056,0xc29e04df,0x33480246,0xb2000396}},	//   _bakajeho, _бираз_, _clienti_, _kimika_, 
   {{0xd9800015,0xeda701a3,0xe60702ba,0x929003dd}},	//   _arrimaha_, _اولڙا_, _бандари_, _sinani_, 
   {{0xd2960756,0xca8a02c3,0xac76015f,0xf3f900a2}},	//   _नैरोबी_, _mediálne_, _abermaw_, _huzuni_, 
   {{0x320102a3,0x76470041,0x4e51021f,0x00000000}},	//   _harig_, _рхәҳахәҭ, _hatatama, --, 
   {{0x564900b4,0x62010288,0x33ea04a1,0x41ee00cb}},	// [78a0] _бендер_, _karig_, _fremrykk, _идеяҳои_, 
   {{0x320100ce,0x520103f3,0xff10012a,0xe2e90039}},	//   _mazin_, _jarig_, _kontynua, _balioko_, 
   {{0x9344019d,0x3262030d,0x1f44002b,0x920100c4}},	//   _amwenye_, _bulvarın, _কামনায়_, _pazia_, 
   {{0xd29a0297,0xe21202a2,0xa2000282,0x4343003b}},	//   _balkıy_, _dukha_, _mimiha_, _karenbo_, 
   {{0xea170111,0x12000005,0x64730006,0xb9f200f3}},	//   _lanciata_, _dabia_, _ciptakan_, _inendima_, 
   {{0xe3a200ad,0xbc5e02bc,0x9201014b,0x33790261}},	//   _ngopi_, _phutbol_, _narig_, _adiaŭo_, 
   {{0x42ca002a,0xc213010b,0x3a140410,0x8354010d}},	//   _windos_, _ntsha_, _katanela_, _melepas_, 
   {{0x2290005b,0x120102ee,0xd2fd030b,0x2b900121}},	//   _minami_, _kazin_, _amaggi_, _invasión_, 
   {{0xd20100e1,0xb37f019f,0xb95900db,0xed4f00ec}},	//   _barig_, _tamasha_, _tolliame, _panašaus_, 
   {{0x22d8020e,0x17580037,0x38620456,0xe3050207}},	//   _dihela_, _ያስታርቅ_, _takabbur_, _ڪوشان_, 
   {{0x62ee05f1,0x426c00dc,0x316f009a,0x352d02e7}},	//   _ahanini_, _alaoa_, _abasaxho, _kumpleto_, 
   {{0xe3ea0245,0xb3eb005b,0x73760185,0xd8780046}},	//   _kumtah_, _kouta_, _başlaula, _жексур_, 
   {{0x23e202ea,0x57c30024,0x63150168,0xbeb7004a}},	//   _пенсиони, _ত্বৰণ_, _misbruk_, _баланны_, 
   {{0x53400060,0x526d005b,0x394f005b,0xb2ba04ab}},	//   _рейтингі, _arcole_, _killinge, _sjediti_, 
   {{0x522501ea,0xd627044a,0x526d0251,0xe1860142}},	//   _elektr_, _isoniazi, _gabood_, _chetsyām, 
   {{0x926c012d,0xf38601b4,0x9a0204df,0x1290005b}},	//   _flaoa_, _moorde_, _balansda_, _chnavi_, 
   {{0xc44a019e,0x6ed4017f,0x1d880092,0xc99102bd}},	// [78b0] _джона_, _politiin, _を使用して_, _dechnole, 
   {{0x69bf0170,0x030e037f,0x320101c5,0x683202b6}},	//   _anavumbu, _oynamaq_, _xarig_, _ساكىن_, 
   {{0xb2020212,0x420100ac,0x728603b2,0xfbe40199}},	//   _optime_, _mazio_, _parking_, _fivestar, 
   {{0x13eb0174,0x3bee0011,0x00000000,0x00000000}},	//   _bouta_, _ayambako_, --, --, 
   {{0xd2010116,0x0db10157,0xdf4803d5,0x70e80153}},	//   _gazin_, _metalowe_, _alightin, _というより_, 
   {{0xe28603f3,0xd305034f,0xce4802ca,0x1dbb0528}},	//   _warking_, _سوډان_, _polainne_, _annsachd_, 
   {{0x85690037,0xdf0a0148,0xf8540233,0x027f0466}},	//   _ግንባርነት_, _convenia, _sucusses_, _pocnem_, 
   {{0x132101be,0x00000000,0x00000000,0x00000000}},	//   _enzymy_, --, --, --, 
   {{0xed1c0255,0x8ed0033f,0x0290028f,0x00000000}},	//   _autojuht_, _melekisē, _taratahi_, --, 
   {{0xe9a50223,0x41770061,0x7dac0413,0xdf5d0181}},	//   _албатай_, _노력하겠습니다_, _idoneida, _barantan, 
   {{0xdd1302fd,0xef5d04ca,0x936e0399,0x00000000}},	//   _abductac, _carantan, _singalu_, --, 
   {{0x32010119,0x059a01ac,0x0f4e0012,0x5a910103}},	//   _lazio_, _cliniciú, _egiptuse_, _haritamb, 
   {{0x52020265,0x02000465,0xa3860192,0xe6940023}},	//   _iptime_, _junija_, _hoorde_, _музыке_, 
   {{0xf2950338,0xdb47005e,0x8d300148,0xf9880232}},	//   _establim, _ﯞﻩﺳﺴﻪﻟﻠﻪ, _reliquit_, _deckblat, 
   {{0xb8790239,0xacff0311,0x00000000,0x00000000}},	//   _inangahu, _መተሓላለፊ_, --, --, 
   {{0x921201d2,0x2e3500d3,0x00000000,0x00000000}},	//   _rucha_, _zahajova, --, --, 
   {{0x231c019e,0x5fd40098,0x020102ef,0x4ac4019a}},	// [78c0] _garbės_, _politifo, _lazil_, _raivelle, 
   {{0xe25a01e6,0xa96a0061,0xe58f02c2,0xd3fa0308}},	//   _cyklus_, _전화번호안내_, _oostelik, _turuti_, 
   {{0xc3f40034,0x2201013c,0xeb9902af,0x00000000}},	//   _flutti_, _nazil_, _inzimano_, --, 
   {{0x112d006c,0x74cb01be,0x7c7202ee,0x6f1003b6}},	//   _халта_, _जूलियन_, _ffurmat_, _lẹ́gbẹ̀w, 
   {{0x62fe0312,0xcd0d0418,0xd6480128,0x2291029e}},	//   _aprilis_, _karaciğe, _микробла, _difazi_, 
   {{0x62730007,0xda9e0434,0x0912003f,0x340a01c6}},	//   _afundami_, _tendrán_, _damaschu, _juridysk, 
   {{0x0e950013,0x126e0184,0x4201002a,0x02010013}},	//   _туради_, _musore_, _karie_, _xarid_, 
   {{0x92010334,0xb2e905ac,0xe36203ad,0x925a0117}},	//   _kuvina_, _kunnugt_, _urugwaj_, _spolem_, 
   {{0x938601c4,0x7386004f,0x3366019a,0x8c7601e5}},	//   _woorde_, _dooree_, _forgien_, _uforami_, 
   {{0xa2010309,0xb90e0424,0x15fd0434,0x326c00fd}},	//   _fazil_, _диверсие_, _extensió, _claon_, 
   {{0xc991018a,0xd2010076,0xc3480117,0x78c6019c}},	//   _technole, _vazio_, _femeili_, _elérù_, 
   {{0xa2e5008f,0x3f6400af,0x4621036d,0x5e5d00da}},	//   _hinnata_, _акумулят, _chrochai, _sarbatoa, 
   {{0x57be01b7,0x02fd023e,0xb1ba0046,0xc201008d}},	//   _aparājit, _amyitis_, _космоско_, _hazil_, 
   {{0x3201005b,0x469202d3,0xd08c0188,0xd27802d8}},	//   _psvita_, _сексуале, _самандар_, _maunya_, 
   {{0x76930550,0x3ece0363,0x92910165,0xb224011c}},	//   _fritzsch, _ambisjon, _labasa_, _dekku_, 
   {{0xd9fa00a4,0x2e1403c2,0x74750158,0xbb4f0376}},	//   _цитатало, _calmness_, _wizerunk, _dramaver, 
   {{0xb29102e7,0x1b640120,0x1b8a00db,0x30e700ba}},	// [78d0] _nabasa_, _esserten_, _lennufir, _هاوشان_, 
   {{0xf291013f,0x32bc03ce,0x5a20020a,0xa2320073}},	//   _erwan_, _نمایشه_, _الامىز_, _examplo_, 
   {{0x82d400a4,0xa29101fc,0x982902c9,0x9b0400ff}},	//   _manlleu_, _duwah_, _сервиря_, _טאבאקא_, 
   {{0x47a603c1,0x22780227,0xc7bd00e7,0x03ea02d9}},	//   _текстови_, _baunya_, _anatomyw, _toetu_, 
   {{0xa30c0145,0xb34601cc,0x3c300102,0x00000000}},	//   _vakarus_, _गुरूः_, _yakinifu_, --, 
   {{0xc3580147,0x736c0113,0xa2910103,0x61d101aa}},	//   _pàgina_, _margadh_, _mabasa_, _alterfay_, 
   {{0xc2ad040d,0xb2bb00d3,0x184a018d,0x1e5602cf}},	//   _naganiši, _infekce_, _ዝበሃልን_, _застане_, 
   {{0xebae03a2,0xa7c70049,0xb2ec0125,0x4b690361}},	//   _क्रूरता_, _fitungof, _ёлдан_, _лицензие, 
   {{0x79d0008d,0x85f2004d,0x2ea201b9,0xde7d0061}},	//   _бежиз_, _中國廣播網_, _kontiyne_, _시작페이지로_, 
   {{0x0dd10397,0x96d303f4,0x44ce0024,0x9437012c}},	//   _kwakunga, _топлива_, _ওপৰোক্ত_, _وارداتن_, 
   {{0x629a0074,0x17650435,0x2e9602ac,0xf6cd0046}},	//   _способов_, _духовну_, _أرجوك_, _جۇعۇمدۇن_, 
   {{0x93fa05a9,0x9312011d,0xdb8a002b,0xfdc204e5}},	//   _bururi_, _ramburs_, _থিয়েটার_, _amukwese_, 
   {{0xd2b601d4,0x9224021a,0xd29000ee,0xb26401af}},	//   _crudele_, _bekku_, _mugaz_, _butlar_, 
   {{0x36b8027f,0x564400ff,0x1212019d,0x3adb021b}},	//   _bakagasi, _באָמבע_, _bukhu_, _японская_, 
   {{0xf4780135,0xf2010105,0x44370414,0xf01a00c4}},	//   _başlana_, _bazie_, _atikalak, _فرنيچر_, 
   {{0x927f03b4,0xb3420219,0x270400af,0x449800f2}},	//   _akanga_, _angekho_, _екстрема, _dinamisk, 
   {{0x85c20330,0x8267014e,0x0d2c01fb,0x1297030f}},	// [78e0] _tuhagakh, _митинга_, _decipite_, _parahaki_, 
   {{0xc1c70095,0x6b57014e,0xa01d0347,0x32dc043f}},	//   _راستین_, _мушкарац, _talentvo, _najmilij, 
   {{0xcf6a0328,0xf35400f4,0x843701a4,0xc88800af}},	//   _atabiyan, _addegas_, _etikalak, _молочних_, 
   {{0x1291019d,0x02920073,0x38f502a1,0x427100f0}},	//   _sabata_, _cesaro_, _gematigd, _zamerať_, 
   {{0x72000247,0x78ec00ee,0xaab500e6,0x00000000}},	//   _punika_, _киноноос_, _直辖市人民政府渔, --, 
   {{0x52ca0051,0x23ea018d,0x4679032d,0x2a130399}},	//   _pilda_, _ብድፍኢት_, _продукты, _matakeke, 
   {{0x7c5b00a2,0xac760242,0x00000000,0x00000000}},	//   _mistari_, _yozulur_, --, --, 
   {{0xd3400359,0x32910387,0xb2ca021e,0x027f02ff}},	//   _beieren_, _gabara_, _vilda_, _chanma_, 
   {{0xf7a70169,0x694f0444,0xe5e10074,0x49c303ff}},	//   _কপালে_, _адресов_, _объекта_, _zanedbat, 
   {{0x027e00dd,0x13eb0077,0xb3f602fe,0xf848018d}},	//   _hynny_, _moute_, _abarhafi_, _እንሓልፎ_, 
   {{0xd3ee00af,0x5be003ec,0xd83602ac,0x227802d0}},	//   _органами_, _renditur, _واجوبة_, _maunna_, 
   {{0x427602b6,0xbe0f0795,0x14160497,0xd9270064}},	//   _минутқа_, _parecida, _bearskin_, _бутубузг, 
   {{0x02910558,0xf2010105,0x17d00020,0xdc280191}},	//   _dabara_, _razie_, _alagilag, _allsvens, 
   {{0x3e5601cd,0x23490262,0x00000000,0x00000000}},	//   _ороста_, _bagdaky_, --, --, 
   {{0xe34004b1,0x82120105,0x50d30137,0x00000000}},	//   _seieren_, _sucho_, _andosill, --, 
   {{0x927f0440,0x8a7c00a8,0x98dd00ad,0xc2d200c4}},	//   _ajanwa_, _casaulta_, _cungcuru, _hotelini_, 
   {{0x769b003a,0x02900138,0x0a21013f,0x421c0022}},	// [78f0] _kengayti, _sanayi_, _bambasie, _рохмистр, 
   {{0xd31802be,0xef2d0140,0x920200a4,0x83eb03ea}},	//   _kaniyang_, _kalusuga, _matins_, _doute_, 
   {{0x021304af,0x8202003d,0xd2920244,0xd2e603e6}},	//   _ntshe_, _latins_, _pesaro_, _donneen_, 
   {{0xa3eb0347,0x24ce0059,0xa29001b8,0x203600f7}},	//   _foute_, _завинаги_, _aknad_, _molekulo, 
   {{0xffd501db,0x00000000,0x00000000,0x00000000}},	//   _قوزعالما, --, --, --, 
   {{0xf97a00c7,0x3378029b,0x9e560241,0x0ee20168}},	//   _продуктл, _famagan_, _dambooba, _stakkars_, 
   {{0xc3fa001c,0x8ed80094,0xed17020f,0x029100b4}},	//   _gurupi_, _بەتتىلىك_, _لوېږې_, _tabara_, 
   {{0xf3eb0077,0x333402e2,0xefdc0094,0x9bae0109}},	//   _koute_, _paucity_, _апарар_, _कानुनले_, 
   {{0x399303fc,0xe2730075,0x4d2604ad,0x82ef01ab}},	//   _merknade, _álítandi_, _gololele_, _kuninga_, 
   {{0x499703b4,0x086d03f5,0xcb0c00c4,0xb8600364}},	//   _kuchinja_, _variedad, _ڪلنٽن_, _verstees_, 
   {{0x11e600d9,0xc2f0018b,0xb28300ea,0xc2f502a4}},	//   _onnistum, _familii_, _tsikera_, _divinum_, 
   {{0x8c1d0396,0x22ca02c2,0xd26d0393,0x1378021a}},	//   _istandar, _midde_, _saboru_, _gamadan_, 
   {{0x71d101aa,0x19e100e9,0x830c03dd,0xbca7020f}},	//   _interway_, _fragmant, _beratit_, _ترکنټرول_, 
   {{0x9ecb0095,0xc28802b6,0xcb890076,0x050703ad}},	//   _tinimban, _ойбай_, _tornando_, _ansjetà_, 
   {{0x1aee006e,0xde0c02e7,0x517b0209,0x38d30109}},	//   _akauende, _potensya, _alianaal, _krabičce_, 
   {{0x253b014a,0x00000000,0x00000000,0x00000000}},	//   _افسانوں_, --, --, --, 
   {{0x748900e4,0x0e53007e,0x03790260,0x8a9a005b}},	// [7900] _zorganiz, _arkamsha, _noraboa_, _dijnopis, 
   {{0xad0a06e5,0x76ba036e,0x1292042c,0x2f2c02ac}},	//   _febrewar, _amarumay, _igraca_, _مقتنيات_, 
   {{0xcb890136,0x339802ba,0xe7ab0008,0x03ea02be}},	//   _pozornic, _сайругаш, _областты, _alitan_, 
   {{0x52ca0261,0xb2d90020,0xaff70040,0x3212018f}},	//   _bildo_, _fefete_, _מעריץ_, _itchu_, 
   {{0x24ef0037,0x9bc104c7,0x00000000,0x00000000}},	//   _መመዘኛዎች_, _potkovic, --, --, 
   {{0xb24e07bd,0x447d013d,0x52c504bd,0x1b2e0153}},	//   _strojevi_, _sistemon_, _wailele_, _ギフトセット_, 
   {{0xffed0052,0xf23b03ad,0x7b190185,0x43ea03a4}},	//   _ग्राफिक_, _ghamlet_, _eşsezlek, _elitan_, 
   {{0xaa070227,0xaebd0287,0x72010016,0x00000000}},	//   _kanannya_, _heuréce_, _nazia_, --, 
   {{0xfa960352,0xc2ca0450,0x02f203c3,0x00000000}},	//   _সপ্তমী_, _hidde_, _naplacuj, --, 
   {{0xf201016b,0x63ea059c,0xaa0503a0,0x6587021c}},	//   _zaria_, _miete_, _dikanege, _japonský, 
   {{0x69e801f0,0x35c601fd,0xf73e0013,0x4201023a}},	//   _bongwefe, _complejo_, _oriladig, _kazia_, 
   {{0x522501bc,0xe21f00e6,0x00000000,0x00000000}},	//   _sneker_, _点击此处查看全部, --, --, 
   {{0xe2120415,0xdb92029f,0x4d2c0073,0xf7aa0207}},	//   _suche_, _podnájom_, _decidite_, _شرمندو_, 
   {{0xf8080534,0xa9ef0348,0xffb2004d,0x3bd901b3}},	//   _cuocsong, _abendiga_, _三大法人賣超_, _реагує_, 
   {{0x487d011d,0x0a53039d,0xdd0f0012,0x5e1500e0}},	//   _комемора, _rabelela_, _गुधबेरि_, _meielkoa, 
   {{0xa8480709,0x65ba0148,0xfda80751,0x62ee0166}},	//   _अन्धेरा_, _不代表新浪部落本, _tinglyst_, _stoffe_, 
   {{0x929100d5,0x2ef100e4,0x45a201cc,0x2c5b004a}},	// [7910] _mazava_, _विद्रोहि, _ओमिति_, _ксилогра, 
   {{0x82010223,0x30da00af,0x42e201a6,0x9200036a}},	//   _saria_, _запитанн, _hängai_, _vinivo_, 
   {{0xe20102a0,0x325b0018,0x77d003fd,0x4ed40046}},	//   _larin_, _italai_, _alagolag, _снайперл, 
   {{0x8b19023c,0xb96b015e,0xf382004d,0x00000000}},	//   _بېځايه_, _disposar_, _您在中國經濟網發, --, 
   {{0x4d93032d,0xff5d02a8,0xb27e0075,0x7c6f0294}},	//   _bofedile_, _ugwaljan, _bronsu_, _churana_, 
   {{0x4cf503a8,0x29530274,0xc2fc0256,0xc20100c1}},	//   _deltakar, _húðflúr_, _kleitas_, _waria_, 
   {{0x59cc01cd,0xd29602e0,0x62e6032e,0xb6bf0064}},	//   _khumbula_, _bakanoki_, _maynina_, _израилди, 
   {{0x91b40049,0x324800c5,0x4e9c036c,0x72310291}},	//   _faimeesi_, _climat_, _anamarin, _مخضرم_, 
   {{0xe2d902bb,0xa6b9042d,0x818a0374,0x39dd0233}},	//   _okolicy_, _angalari, _самолетл, _saventie, 
   {{0x62010166,0x80670084,0x6290031a,0x8c030061}},	//   _darin_, _gampangn, _chnap_, _남겨주시면_, 
   {{0xd98e01f2,0xe3200612,0xa855039f,0xe2d503fd}},	//   _һабил_, _belyse_, _deputies_, _metotia_, 
   {{0x1e1e00bf,0x35d70156,0x4238050e,0x398000c4}},	//   _борисовн, _װאָכנטאָ, _otimali_, _hamishia_, 
   {{0xf2ca05b0,0x23940331,0x82ef0077,0x5f9b0213}},	//   _विचारणीय_, _krists_, _chafan_, _еврази_, 
   {{0xbdf002d8,0x6b8b027f,0x29870176,0xf53802cf}},	//   _diijinka, _bihimbar, _zookeepe, _застанув, 
   {{0xa2010082,0x2a8b0271,0x72d8005b,0x19f70184}},	//   _harin_, _vennligs, _hideki_, _bazitoza_, 
   {{0x42010082,0xa29701fe,0x22010633,0x9e4702fb}},	//   _barin_, _daramaki_, _recipe_, _fihangea, 
   {{0xd0420002,0x32e20148,0x00000000,0x00000000}},	// [7920] _svetlosn, _quantam_, --, --, 
   {{0xa2ca05d2,0x03860120,0x720002ea,0xd3830103}},	//   _bilde_, _doorne_, _finito_, _arayire_, 
   {{0x53eb0091,0x8224047d,0xc06701d6,0xa23802b4}},	//   _ematun_, _mekki_, _forskern, _etimali_, 
   {{0x43540044,0x59f5006e,0x2e500074,0x72240105}},	//   _objects_, _baaña_, _japanila, _lekki_, 
   {{0x92010082,0x02ca0263,0x34760341,0x9be00265}},	//   _garin_, _wilde_, _başlayan_, _adverter, 
   {{0xc3a9035d,0x00000000,0x00000000,0x00000000}},	//   _lokalnog_, --, --, --, 
   {{0xbaf8032e,0xe4070122,0x3f1e00a4,0xdb75027b}},	//   _churkist, _anjungan_, _тааланын_, _avaruhya_, 
   {{0x612400ff,0xb20107be,0x47790360,0x76270431}},	//   _העמילטאן_, _yarin_, _životem_, _vikingti, 
   {{0xed3a00ef,0xf9d90478,0x82ca0409,0x662701a7}},	//   _اعتماده_, _armonica_, _endda_, _poliitti, 
   {{0x4c5a019b,0xd20100ee,0x03ea0110,0xc841004c}},	//   _filtrai_, _jario_, _ineta_, _ayoleked, 
   {{0x0f5400c5,0x83b90145,0xdd9e0193,0x99520422}},	//   _建设项目环境影响, _філіп_, _मूल्यमाप, _čeljustn, 
   {{0xd27f0184,0x92d8019c,0x46d4006a,0xe25b019b}},	//   _akanka_, _fileki_, _notarihi, _stalai_, 
   {{0xa365020e,0xfb68006a,0x0d940005,0x16d50092}},	//   _mangolo_, _apetraka_, _dapertut_, _タイに情報を送る_, 
   {{0x63830003,0xcead0368,0x1201019b,0xc218005e}},	//   _자유게시판_, _политича, _nario_, _بازاردىك, 
   {{0x421305c9,0xc602001b,0xceb1013d,0x0a1100d9}},	//   _ntshi_, _ballessi, _dependas_, _tavarame, 
   {{0xd03003f0,0xf213046d,0xb485063c,0x42010127}},	//   _fasteign, _itshi_, _ज्वाइन_, _aario_, 
   {{0x32010015,0x7c91029b,0xf18a0311,0x89d40646}},	// [7930] _qarin_, _dineniou_, _ብሕፍረት_, _boletine, 
   {{0x8212002a,0xb50c04a7,0x6201046b,0x7a48037f}},	//   _bucha_, _febreiro_, _cario_, _istefaya_, 
   {{0xebe802da,0x3ee70064,0xa0db0311,0x00000000}},	//   _vermelho_, _بۇلدېسكو, _ንመቓብር_, --, 
   {{0x620100a0,0x2b0c04dc,0xc067010d,0x32910119}},	//   _tarin_, _ئامین_, _sampingn, _buwas_, 
   {{0xd1df0125,0x127902c7,0x8ef000c1,0x696203ff}},	//   _исраилде_, _pauschal, _लायकी_, _stavbách_, 
   {{0x620d02c9,0x0291014e,0xa20102bd,0xc2ca0082}},	//   _апринса_, _brojeve_, _gario_, _buddah_, 
   {{0x520100ea,0x38ef0059,0x538601f7,0xc3ea0513}},	//   _sarin_, _venerdì_, _onorat_, _eneta_, 
   {{0x945b0220,0x66e200d9,0x82590251,0x42010198}},	//   _rilevato_, _полчаса_, _lillaahi_, _daril_, 
   {{0xeea200aa,0x721305c2,0x038604bc,0x01d701af}},	//   _assurant_, _atshi_, _florø_, _кичирак_, 
   {{0x548503a2,0x2291018d,0x325a0035,0x6a9a0439}},	//   _बुलाती_, _trojeve_, _danlı_, _nkaneris, 
   {{0xcb890125,0x32ef048f,0x72010120,0xebd1019b}},	//   _nesiller, _akufi_, _garil_, _didelių_, 
   {{0x984702ec,0x52b401d5,0x07270420,0x53210230}},	//   _یژھکھ_, _شئیرنگ_, _listagem_, _nasyo_, 
   {{0x1f620060,0xa9e40265,0xa547004e,0x0c6e01a6}},	//   _болуын_, _profiele, _balkonah, _ekerona_, 
   {{0xc2d4020d,0xb2630209,0x2c7e000e,0x5f510153}},	//   _tugomba_, _aajukual, _gtgroup_, _お問い合わせは_, 
   {{0x68fd00bf,0x32020145,0x72ef044a,0xe320026b}},	//   _хранения_, _paties_, _ekufi_, _hinchas_, 
   {{0xb2ab018d,0xfc6000d2,0x08f700d1,0xdae303a4}},	//   _ንሓጢኣት_, _siluman_, _চিংফৌ_, _brattabe, 
   {{0xef650092,0x41c702fe,0xd6770024,0x22d4043c}},	// [7940] _cavallin, _راستانه_, _fordjupi, _rodovia_, 
   {{0x2f4f0311,0x26160145,0x13a8004b,0xd71c01de}},	//   _መንፈሳዊን_, _кажуць_, _bohareng_, _ұқаба_, 
   {{0x72cf03dd,0x3e4a00e6,0xec5d0220,0x00aa0013}},	//   _punonte_, _国务院办公厅关于, _mistero_, _пиллачил, 
   {{0x2d740238,0xa201033c,0xd138000f,0x00000000}},	//   _авторизу, _wario_, _bankacıl, --, 
   {{0x83030065,0x79d80176,0xb0e80163,0x8a5d0085}},	//   _genannt_, _srilanka_, _نومولود_, _lelevaka_, 
   {{0x63eb04b5,0x03090039,0x337802a2,0x72fe006e}},	//   _vouta_, _батганаа, _damayan_, _lusiyus_, 
   {{0x696a0195,0x853302a8,0xa10f004d,0xec690032}},	//   _braithre, _espliċit, _新竹縣廠商_, _quarcyl_, 
   {{0x021305c2,0x934102c8,0x2e830092,0xb5ef0020}},	//   _mushe_, _ordenan_, _サイト検索_, _fkamanui, 
   {{0x3b6003ea,0xfdce0060,0x9c5302df,0x34d10235}},	//   _permettr, _билеп_, _sastera_, _मासिकं_, 
   {{0x8a470287,0x74350369,0x7f200127,0xa62400ec}},	//   _बंगलादेश, _kapakomo_, _adtesten, _patobuli, 
   {{0x1d150026,0x1b9b00ee,0x00000000,0x00000000}},	//   _advocaat_, _hiritarr, --, --, 
   {{0x08b80008,0x16d60185,0x38d50011,0x768702ed}},	//   _гэстер_, _нурланыш, _bafugeng, _cardinai, 
   {{0x73410321,0xb29001b5,0x8b1a0022,0xc395012e}},	//   _telesno_, _manazi_, _әхмәҙи_, _leesik_, 
   {{0x02db002e,0x3e6a02ac,0x00000000,0x00000000}},	//   _jasnije_, _بأنني_, --, --, 
   {{0xb2900372,0x6bfd0097,0xe28d02ef,0xea830296}},	//   _chnau_, _lakuregb, _kabinč_, _amningen_, 
   {{0xedf5027b,0x32aa01d5,0x5eb30564,0xc04a04f9}},	//   _amarṣaṇa, _ڈسپلن_, _neletoms_, _amerllan, 
   {{0xcf99015e,0xe2910059,0xae3700ed,0x395f007b}},	// [7950] _تىلىندە_, _divani_, _magahata, _resoorce, 
   {{0x020102ab,0xa2d30243,0x19e80153,0xdeb30109}},	//   _warie_, _kolomih_, _ワイシャツ_, _rekreace_, 
   {{0xb249000d,0x73eb0331,0x71e60313,0x626e012b}},	//   _teemal_, _flutt_, _bingotlh_, _ogrodu_, 
   {{0x037f0072,0x5d2d027f,0x43790294,0x820e0113}},	//   _ankasma_, _irengeye_, _chirapam, _géine_, 
   {{0x6e3800a1,0x8e690207,0x6fe501cd,0xedb800fa}},	//   _kawanata, _چيوته_, _худжанд_, _pakinaba, 
   {{0xe21300a0,0x8dc403d9,0x927f01e5,0xa8fe019d}},	//   _kushe_, _fanitsia, _ikanna_, _atsamund, 
   {{0x4cd700bc,0xbdc6032a,0xe7e80061,0xf2b5021c}},	//   _اعزام_, _isikkoqa, _배송됩니다_, _krachu_, 
   {{0x8fb201e0,0xefae0212,0x9d7d00cb,0xfda10318}},	//   _پروگرامی_, _privatis_, _боҷҳои_, _teputepu_, 
   {{0x0f4703e5,0xa37a037c,0xf18d027b,0x0f1a0004}},	//   _prescott_, _sorapon_, _मुखनासिक, _larivyč_, 
   {{0xb0060102,0x8a080039,0xc8670374,0x22cb039e}},	//   _گرافي_, _kokapena_, _арчалар_, _annonsa_, 
   {{0x0290044a,0x43ea00b4,0xf30c012a,0x8ade006c}},	//   _banazi_, _simti_, _strachu_, _ahithofe, 
   {{0x237901d2,0x8201029b,0x15fb012a,0x8e6b0153}},	//   _tiyanan_, _barib_, _stracił_, _カメラマン_, 
   {{0x0a1401c8,0xc2a603c6,0xeecf00d1,0x00000000}},	//   _dorazila_, _kliber_, _হাৰাধনৰ_, --, 
   {{0x52e007bf,0x52130252,0xb13a00a4,0x23f102e2}},	//   _प्रिमियर_, _itsho_, _població_, _sheeting_, 
   {{0x08ce0094,0xc3eb0204,0xc3a40219,0x63ea03ae}},	//   _ءتىرىلدى, _nouto_, _asipheli_, _sliten_, 
   {{0xb3e5010f,0xf2120300,0x4d910155,0x47cd04b3}},	//   _олимпии_, _duchu_, _inblanda, _akustumi, 
   {{0xcc6f063c,0x03d50133,0xf278011b,0xbb680008}},	// [7960] _आनुवंशिक_, _aantutti_, _abunga_, _эсине_, 
   {{0x201702c0,0x13d50133,0x00000000,0x00000000}},	//   _забранет, _bantutti_, --, --, 
   {{0x13eb056e,0xcf7702c9,0x1213020b,0x537800da}},	//   _couto_, _миракол_, _etsho_, _dobanda_, 
   {{0xa2920088,0xa2a70371,0x22ef0108,0x5a4f004a}},	//   _agrada_, _nascondi_, _buniaga_, _inşalar_, 
   {{0xa394023e,0x723e0108,0x4e990061,0xca240125}},	//   _ngisor_, _ngambek_, _스탈린그라드를_, _bölmän_, 
   {{0xb3ea0580,0x9a140174,0x43ea0289,0xf343012c}},	//   _vieta_, _batamela_, _inetu_, _warembo_, 
   {{0xdf090220,0x72000343,0x02ca05ce,0x72010143}},	//   _работода, _cybil_, _cildi_, _decise_, 
   {{0x62120144,0xb62601be,0xdbf702fe,0x463402c8}},	//   _lucht_, _uspokoji, _تکنولوژۍ_, _irmandiñ, 
   {{0x084e0036,0x0e19012e,0x92910390,0x22d801d9}},	//   _لأجهزة_, _فکرمند_, _anbaan_, _gezoomt_, 
   {{0x95db0026,0x62900054,0x32c500cd,0x027801a4}},	//   _마지막으로_, _yanayi_, _diember_, _ebunda_, 
   {{0x582f012a,0xb53e016d,0xfb5b0052,0x9d820507}},	//   _skomentu, _ﺧﺎﺗﯩﺮﻟﯩﻨ, _वर्गिकरण_, _berlanta, 
   {{0xf26100e4,0x3292036f,0x620100bd,0xd2b4015c}},	//   _वर्षो_, _zgrada_, _recite_, _naicht_, 
   {{0x578a0552,0xcd8f0285,0x4278038b,0x35b7004d}},	//   _lozmingz_, _duhereye_, _ibunda_, _互聯網新聞資訊服, 
   {{0xd2ca04c4,0x43eb0594,0x9e4e018b,0xd2f10209}},	//   _pildi_, _slutt_, _калдэ_, _aaqitai_, 
   {{0xc51701e1,0x42b5021c,0x3f5b0344,0xfdbc0193}},	//   _республи_, _prachu_, _allalaan, _सूत्रांन, 
   {{0x32ca03f0,0xdb200054,0x95b800a6,0xbecf0109}},	//   _vildi_, _gabashin_, _akwazity, _agenturn, 
   {{0x1878042a,0x633c041c,0xdb280052,0x13eb034a}},	// [7970] _abengaku, _angalé_, _मैत्रिपू, _souto_, 
   {{0xdaba01a7,0x8e600262,0x47b00172,0x15c8003a}},	//   _компаний_, _аялларын, _ntawntaw, _izlanish, 
   {{0x327803fd,0xe35002fe,0xc34f0127,0x52520373}},	//   _saunia_, _اهمیته_, _burevek_, _אוויולעש, 
   {{0xb29202cb,0xbf6502c9,0x20e20334,0x00000000}},	//   _igrama_, _insarcin, _asanapal, --, 
   {{0xc22405b8,0xa26c00c3,0x12d8016f,0xd942000f}},	//   _funkar_, _alios_, _обраного_, _orduspor_, 
   {{0x23eb021c,0x328000fe,0x104500d0,0x73940008}},	//   _touto_, _ekisipil, _sufrimen, _consti_, 
   {{0x89630261,0x5a6a023c,0xf72b01f4,0x2cf00035}},	//   _atendant, _پربنسټ_, _zimmasig, _başligi_, 
   {{0x4292001e,0x9b640082,0xdb0e01d5,0x53fa00ad}},	//   _karawa_, _marubuta_, _páratlan_, _kerung_, 
   {{0x13fc0409,0xf290027c,0x9c51055a,0xe9f30092}},	//   _リクエスチョン_, _manani_, _emitida_, _コメントを読む_, 
   {{0x32490247,0xdd970265,0xfc6e03c7,0x82d4004a}},	//   _slamet_, _vastgoed_, _wskutek_, _davosta_, 
   {{0xadc5053e,0x5d2f03da,0xb40802d0,0x047e0518}},	//   _konkurra, _atuputar, _beguilin_, _киноя_, 
   {{0xbd1506d7,0x9bb700c5,0x05c703de,0x937b0128}},	//   _modrastr, _最新商机推荐_, _ephakath, _спиртсиз_, 
   {{0xf3ea0051,0x590a04a5,0xd49701db,0x8e9802f0}},	//   _lieto_, _ababekad, _армандағ, _babulawe_, 
   {{0x9a970024,0xda0700b9,0xb4db00d9,0x9d3b00dd}},	//   _দেৱতাৰ_, _tanahnya_, _актера_, _mochnant_, 
   {{0x3a120108,0xb4ab0061,0xb7930212,0x2f6900c1}},	//   _dijadike, _중국어사전_, _gratissi, _वेलदोडा_, 
   {{0x7be70044,0xdae5054c,0x43eb02d9,0xc3fa00ad}},	//   _inventor, _angreret, _poutu_, _berung_, 
   {{0x842c021c,0x97f1022f,0xfe1c00b6,0x5ad80160}},	// [7980] _technick, _шкура_, _fereeyha, _poštuje_, 
   {{0x503b005a,0x227a02f0,0x6c6906ac,0xcd93009b}},	//   _bibelcho, _asesikol, _correto_, _подваль_, 
   {{0xbbdd004d,0x933c02ac,0xac290187,0xfd82010d}},	//   _印度尼西亞_, _ليفانتي_, _физиолош, _perlinta, 
   {{0x76b7020f,0x31840374,0x05fb0299,0xde5301c5}},	//   _عبیدالله_, _almashil, _ئىششىق_, _iskaasha, 
   {{0x1b190329,0xcecb00dc,0x17f30132,0x87ec02bf}},	//   _deparman_, _kelihian, _kamerák_, _bemazing, 
   {{0x06d70210,0xa770026f,0xb2320181,0x45b300be}},	//   _achabatw, _بيجەتكەن, _målene_, _педагогд, 
   {{0x4290025f,0xecb4020f,0x0ae301da,0xb20102d3}},	//   _banani_, _akunamnq, _mysliman_, _faria_, 
   {{0x0d4c018d,0x70ed01e1,0x9f2a01f6,0x7364012e}},	//   _ይመስለኩም_, _логинығы, _partikla, _نوعمر_, 
   {{0x60d300c5,0x0394025f,0xf4990148,0xb2d3009f}},	//   _分享给好友_, _atosa_, _月週六日延長開放, _podelili_, 
   {{0xfc60028d,0x22c60369,0xd2ad02b6,0xf71e01af}},	//   _anerood_, _haalele_, _القاپ_, _baranyňd, 
   {{0xe24200e4,0xbcc20089,0xe8bf00e7,0x8f830052}},	//   _पेहले_, _геройлар, _agmented, _šárka_, 
   {{0xb4200093,0x92e8003c,0x62920428,0xdc74000e}},	//   _иванович_, _وصیتنامه_, _narava_, _glaudit_, 
   {{0xb3f202b6,0x96290701,0x894e01da,0x87a9013a}},	//   _иттер_, _wakisiri, _ngarkuar_, _besonnës, 
   {{0x8301042a,0xd3ea05b8,0x029202af,0x03210342}},	//   _ayibeke_, _snett_, _harava_, _gasya_, 
   {{0x53eb019a,0x44d70297,0xa29202af,0x30450139}},	//   _couts_, _фазасы_, _barava_, _bharaten, 
   {{0x0224008b,0x03ea0127,0xea76034e,0x13470188}},	//   _awokaa_, _baltek_, _challwas, _бехбудии_, 
   {{0x154e01cd,0x08c60297,0xebfc02c7,0x73eb013f}},	// [7990] _зимни_, _cimereld, _tageslic, _foutr_, 
   {{0xb2ca00ee,0x7396004d,0x4c740109,0x59c00456}},	//   _bildu_, _passio_, _अपि्रल_, _kemelese, 
   {{0xc3eb0108,0xf2d9054e,0xca3e0309,0x00000000}},	//   _alatan_, _crennie_, _aksiyası_, --, 
   {{0xbf630222,0xad4e0013,0x3a5701d4,0x3c530128}},	//   _semaines_, _малакали_, _solène_, _mastura_, 
   {{0x26bc0459,0xdaf00331,0x627f0189,0xaf630084}},	//   _दफ्तर_, _samskift, _ajanda_, _kembangn, 
   {{0x73ea0553,0xd2fd0015,0x74c602d3,0x32010009}},	//   _tieto_, _keentay_, _concordo_, _izziv_, 
   {{0xbbbf0122,0x8c7401df,0xaae4003e,0x9aec0343}},	//   _malkovic, _blaudit_, _dikrajue, _hadlukon_, 
   {{0xd3f806a3,0x67720063,0x96ff0206,0x0e9c040f}},	//   _arbennig_, _ابوعبدال, _pneumatí, _animacin, 
   {{0xae6204ee,0x48c600c1,0xc6490311,0x00000000}},	//   _agakọta_, _उहापोह_, _ዝተበየነ_, --, 
   {{0x22ca0450,0x827e03db,0x367204be,0x930e0168}},	//   _jildt_, _ijinja_, _istdisti, _uttaler_, 
   {{0x6a520516,0x69d10073,0xa8b901e6,0x873d034c}},	//   _kalevala_, _maledice, _zastupov, _açığraq_, 
   {{0x1ed100e5,0xd3790367,0x03ea0408,0x12f701b0}},	//   _reunidos_, _tamanho_, _poety_, _kimiawi_, 
   {{0x60db0012,0x7b2c0258,0x803f06ce,0x620101eb}},	//   _कंडीसन_, _dekadins, _comunmen, _kuvika_, 
   {{0x6dd602c2,0xe5930294,0xab33010d,0x08600148}},	//   _beskikba, _achuntak, _pancoran_, _nonnumqu, 
   {{0x9c080368,0x93f801ed,0x1bff00be,0xb9dd02ea}},	//   _традициј, _kaiula_, _توولۇۇ_, _конденза, 
   {{0x9292024f,0xf8d3010d,0x527c048f,0xa3ea025c}},	//   _qarava_, _इतिहासाव, _alingaki_, _biete_, 
   {{0x12e50081,0x629003ad,0x82ca005b,0xe7f601bd}},	// [79a0] _minnsta_, _fanali_, _sidde_, _сиқырлы_, 
   {{0x91ca02a9,0xf3ea02c3,0x618b018d,0x53780403}},	//   _parašė_, _viete_, _ዕንጨይቲ_, _ahiahin_, 
   {{0xc292024f,0xad9c038b,0xd22503ae,0xe3eb0392}},	//   _tarava_, _dialirka, _veska_, _slatan_, 
   {{0x325b00a5,0x92d80092,0xd3ea02c2,0x927c0362}},	//   _atalii_, _emnets_, _tiete_, _elingaki_, 
   {{0x6b680147,0x9f27014b,0xd967023a,0xf2b500c4}},	//   _بشكەكتەن_, _tittataa, _obesenec_, _aondoke_, 
   {{0x9a620220,0x529602de,0x51fe0078,0x8a9a0023}},	//   _гостите_, _पुरोधा_, _прозе_, _скучно_, 
   {{0xfad5011d,0xca69003b,0xb36903af,0xa6ae0334}},	//   _cantitat, _bhontjîs, _maigrir_, _esitetiy, 
   {{0xef1b014f,0xccb3015a,0xe2900259,0xd34a0267}},	//   _историча, _baraaruu_, _manami_, _bolesnu_, 
   {{0x09990144,0xc31e003f,0xc29200e1,0xd2c403b2}},	//   _saintréi, _chochol_, _farata_, _isomers_, 
   {{0x6ca10169,0x64a50044,0x9278034d,0xf3ea0116}},	//   _মৃত্যুবা, _clinical_, _ibunya_, _aneth_, 
   {{0xa380048c,0x6dbd029e,0x5fdc02fd,0x32310210}},	//   _scurry_, _desachet_, _leththro, _ekumisa_, 
   {{0x12900281,0xc35400f2,0x6130005e,0x7c1d00e9}},	//   _aanali_, _objekts_, _خۇشۋاق_, _nimport_, 
   {{0x3c7606f2,0x8ae20074,0xafc700bb,0x00000000}},	//   _मरम्मत_, _urallaan_, _دلہنیا_, --, 
   {{0x32900244,0xc26e0239,0xef64013b,0x6c77030d}},	//   _canali_, _harotu_, _kabardin, _gorunur_, 
   {{0x22fc017e,0xb1f70737,0xe6780126,0x2238000b}},	//   _pilger_, _barndomm, _водночас_, _atamali_, 
   {{0xb0610206,0xd42d0405,0x538c00be,0xd3050267}},	//   _dvojlôžk, _kompisen_, _جۅندۅچۉس, _ostajem_, 
   {{0x2cd201c5,0x7b6500ee,0x561a0127,0x89f5034a}},	// [79b0] _چُھنے_, _kulturea_, _askoridi, _urbán_, 
   {{0xdd8702ad,0xea480068,0x825b012c,0xe290005b}},	//   _objednat_, _waddanka_, _utalii_, _hanabi_, 
   {{0xa4a900da,0x3eab00e9,0x9dbe0148,0x69f60140}},	//   _протекци, _chaussee_, _下一篇主題_, _tinutulu, 
   {{0x51b302fe,0x173b0257,0x321b0132,0x3291002e}},	//   _باوری_, _kostnað_, _virtuáli, _shvati_, 
   {{0xb212000c,0xedf90092,0xd20e003e,0xe91d021b}},	//   _luchi_, _rimeligt_, _майай_, _постарае, 
   {{0xcfbd01e5,0x6c7601b9,0xe63c01d2,0xa37900c0}},	//   _ibaniṣep, _mokrasi_, _changedf, _akyatin_, 
   {{0xdf2700ba,0xeda300dd,0x925600f8,0x00000000}},	//   _بکێشێ_, _destunau_, _ভাগ্নে_, --, 
   {{0x821301cd,0x465b02d5,0xbf2d0229,0xe25a03db}},	//   _kusho_, _praktili, _hiperlin, _azale_, 
   {{0x7cd80559,0x8ed901ef,0x83d6006d,0x93eb02e7}},	//   _olukhulu_, _aplinkos_, _легендах_, _routh_, 
   {{0xa3eb01d1,0x11b300d6,0x3288046d,0x772200b9}},	//   _south_, _بايرن_, _mukanoni_, _क्रांतिव, 
   {{0xadc5034d,0x92240365,0x00000000,0x00000000}},	//   _diekstra, _legionář, --, --, 
   {{0xcf5b0288,0xa8cf0076,0xa3eb0362,0xf9cf008c}},	//   _kenañana, _juventud, _bouti_, _juventut, 
   {{0xe9f10468,0x821b0300,0x369d029d,0xe29e0101}},	//   _ezingama_, _virtuáln, _бруск_, _висай_, 
   {{0xe26300ac,0xf1fd0310,0xab6e06a8,0x5c6000da}},	//   _kreirati_, _comasach_, _deklasir, _rezulta_, 
   {{0x43ea0216,0x2ac204a7,0x78ea012c,0x6b17050a}},	//   _eneti_, _automóbi, _aligundu, _muhalleb, 
   {{0x82010044,0xfbe60094,0xe3eb02f9,0x2b6800d9}},	//   _decide_, _تۇردەگى_, _fouti_, _kortteja_, 
   {{0x13ee0219,0xaa70003b,0x00000000,0x00000000}},	// [79c0] _bafundzi_, _kubangwa_, --, --, 
   {{0xa2010225,0x0d3c0125,0xfa7f027f,0xfaee00d1}},	//   _eyrie_, _күрсәп_, _birahora_, _ছাহজাহান_, 
   {{0x23eb02ef,0x215f0141,0xbc2a0582,0x06d00082}},	//   _zouti_, _ядровий_, _ewebatar, _talabiji, 
   {{0xaf33000e,0xabd200ba,0xf0e9002c,0x530c000a}},	//   _fanfaron, _خۆشێک_, _gurasoak_, _appallu_, 
   {{0x12db002e,0xd9b9005b,0x666002ac,0x202e004a}},	//   _kasnije_, _hasegawa_, _للتغير_, _драмасын_, 
   {{0x536801c6,0xb9cf02c5,0xe6370287,0x80700162}},	//   _jorritsm, _agumbuka_, _नापहरू_, _учрашқан, 
   {{0x3c6f002e,0x6af703dd,0x04010258,0x52910120}},	//   _susreta_, _rivendos, _omkriten_, _nuway_, 
   {{0xc59a041a,0x182f021c,0x02f50209,0x370f03f5}},	//   _призводи, _okomentu, _amminik_, _destruiç, 
   {{0x52da014e,0x12e000a3,0x43ea0078,0x0f20034c}},	//   _cipela_, _fornamn_, _uneti_, _kartayga, 
   {{0x725003d5,0x62ca0082,0x87eb015f,0x82a70167}},	//   _fittingl, _fidda_, _breswylw, _ciwbig_, 
   {{0xf96d0060,0x43460029,0x0bd80467,0xf0a90092}},	//   _кішкента, _تۆمییه_, _nsamanfo_, _の時間帯の先頭へ_, 
   {{0xa22601e5,0x8e3a006a,0x120002f6,0x83eb00d3}},	//   _alukur_, _misalasa, _biniro_, _pouti_, 
   {{0xbc0000be,0x00000000,0x00000000,0x00000000}},	//   _ajustat_, --, --, --, 
   {{0xa2ca01b9,0xae3503ad,0x4cdf0086,0xfcb90343}},	//   _biddi_, _etimoloġ, _relatív_, _makaupod_, 
   {{0x1f5b030c,0x120401fb,0x03ea0030,0xb2ee0374}},	//   _hilataan, _malissim, _lieta_, _ekanini_, 
   {{0x62910125,0xb1620061,0x00000000,0x00000000}},	//   _nazara_, _대표이사상_, --, --, 
   {{0x211d016e,0x228501ac,0xf2590028,0xa3550115}},	// [79d0] _başlamış, _iachall_, _wallaahi_, _keledar_, 
   {{0x137800ed,0xe10c016a,0x938b0277,0x5b080156}},	//   _samahan_, _אליקום_, _koryano_, _לײַכטע_, 
   {{0x9225036f,0x541b002f,0xcb300361,0x18290022}},	//   _tesko_, _achillak, _белой_, _ситдиҡов, 
   {{0xe30c01ec,0x0e720153,0x4b320255,0x59d00403}},	//   _bapakmu_, _製品詳細ペ_, _jagataks, _halehibe, 
   {{0x00000000,0x00000000,0x00000000,0x00000000}},	//   --, --, --, --, 
   {{0xcb7001a3,0x3014015e,0x45ad00be,0xa201017e}},	//   _راجڪمار_, _сыйына_, _قۇزدۇرۇپ_, _bofilo_, 
   {{0xb2ca0390,0xe2d90375,0x72640016,0x8344031e}},	//   _ciddi_, _quinine_, _stulta_, _naredbe_, 
   {{0xbd9406c1,0x15620184,0xa3eb02d8,0x625b029e}},	//   _očekuje_, _anavugak, _klaten_, _adaleg_, 
   {{0xd27d000c,0x73f4001d,0x63260089,0x29750103}},	//   _тимакова_, _capter_, _платонны, _akazowed, 
   {{0x6394029c,0xc2a7029a,0x6ea204aa,0xf89e00bf}},	//   _crisps_, _elabor_, _impudent_, _приказом_, 
   {{0x6c6602c2,0xa2130082,0x00000000,0x00000000}},	//   _dokters_, _gushe_, --, --, 
   {{0x4c5501c5,0xf96302fe,0xebd300d9,0x62c5020e}},	//   _darteed_, _alinavot, _огромные_, _chelete_, 
   {{0x78fd046b,0x0cb5004f,0x1ae20297,0xa426027b}},	//   _ailadrod, _caageenu_, _armiyäse, _जामदग्न्, 
   {{0x0a2700c1,0x8fd40312,0x88b8035d,0x5202015e}},	//   _डांबिस_, _bannielo, _tečnosti_, _actius_, 
   {{0xd28a02a2,0xc6c10025,0xaafd0258,0x5e540053}},	//   _manatili_, _उद्यानम्_, _boereple, _ketabaha, 
   {{0x3e2d0016,0x8eee03f1,0xf236023a,0xab35017f}},	//   _השקפה_, _privítaj, _prijal_, _apparnis, 
   {{0xaf170170,0x52e000e1,0x562400ff,0x48d60025}},	// [79e0] _adawakha, _benneel_, _אנגאלא_, _bubhukṣi, 
   {{0x721301c0,0xfca60169,0x65c0039e,0x984202ea}},	//   _tushe_, _অক্টোবরে, _ডাঙৰকৈ_, _добрата_, 
   {{0x2e03016a,0x62910176,0xc9ef02e8,0x089704eb}},	//   _tendenca, _vivax_, _akananga_, _मेहफिल_, 
   {{0xa3eb02f9,0xffcc0203,0xa27602ee,0x2c6a02d5}},	//   _foutu_, _synoptic_, _possibbl, _घुट्ने_, 
   {{0xf3fd0333,0x03690109,0x9f7f021c,0x92020145}},	//   _intrecci_, _trestají_, _perleťov, _patiks_, 
   {{0x2ac000d5,0xa9e9015b,0xb911002b,0x8c740338}},	//   _alakamis, _kongrege, _দিনপন্জী_, _anautit_, 
   {{0xc29101c0,0xc3eb0049,0xf5d200f8,0x00000000}},	//   _tazara_, _houtu_, _তিথিডোরে_, --, 
   {{0x67a40156,0xd647014e,0x522d0109,0x00000000}},	//   _שאָסיי_, _медоваче_, _वाईम्याक, --, 
   {{0x3d1d0361,0x17aa0216,0x136d01c0,0x9ee7023b}},	//   _граждане_, _chavisiw, _gargadi_, _kaikunan, 
   {{0xf3ea0119,0x7b01007e,0xb291018a,0x1255019a}},	//   _rieti_, _aparikhe, _degawd_, _parteecl, 
   {{0x03ea0206,0x927e0130,0xfc850040,0x39eb025c}},	//   _sieti_, _yannig_, _בוריס_, _abstimmu, 
   {{0x2598001a,0x90e70074,0x521300a0,0x01f90243}},	//   _impressz, _onnittel, _rushe_, _kuraanah_, 
   {{0x1b8903cf,0x279e0371,0x9ff00204,0x303f03eb}},	//   _resimler, _груби_, _измельче, _verterin, 
   {{0xaf6d046c,0x17010751,0xe16f015e,0x21860226}},	//   _insbeson, _hertugdø, _سەنئن_, _kumadzul, 
   {{0xb52f005a,0x69ff028f,0x9291035d,0x66ba01c0}},	//   _chosonmo_, _harangot, _kafani_, _attajiri, 
   {{0x27df000b,0xdd400213,0x63eb020b,0x50f60418}},	//   _aaupegai, _железной_, _boutu_, _reklamın, 
   {{0x32000257,0xf9cd01c4,0x82d70312,0xb13a0291}},	// [79f0] _tekist_, _beledige, _arboell_, _ويمبلدون_, 
   {{0xdcff026c,0xc6490262,0x9bf40109,0x618b0311}},	//   _custodir, _aslymary, _अलगथलग_, _ዕንጸይቲ_, 
   {{0x9af0003e,0xf2ca0067,0xd91102af,0x62d10564}},	//   _ahisanwe, _jiddu_, _barazimu, _valodik_, 
   {{0xab8705c0,0x9301005b,0x058a0315,0xd4400331}},	//   _ingilter, _hayashi_, _banesikh, _veikleik, 
   {{0xac2301c6,0x0da8040f,0xf2eb0342,0xa5c703db}},	//   _regioned_, _pacienta, _joieanew_, _ophakath, 
   {{0xe9d300b0,0xb2ca0133,0x62910241,0x525f02a1}},	//   _یمبرزلن_, _fiddu_, _hafani_, _gesteril, 
   {{0x4986019b,0xb8fe010f,0x0291032d,0x6e27048e}},	//   _paskelbt, _кафедраи_, _bafani_, _milmetas_, 
   {{0xf2f1001a,0xc9f803b0,0xf3fa0239,0x00000000}},	//   _forgalmi_, _alvanute, _ruruhi_, --, 
   {{0x3487045b,0xc900009a,0xd101010e,0x06ce01e8}},	//   _пристрої, _akuphang, _aaahhhhh_, _kamatuli, 
   {{0x27490041,0xfd740061,0xce1e0019,0xd3fa01a6}},	//   _ateneoyg, _에로티카에_, _баратсак_, _puruhi_, 
   {{0x53ea0030,0xe69d0211,0xf34100ba,0xa629029e}},	//   _lietu_, _satellii, _زۆراب_, _boliseri, 
   {{0xd21200e4,0xb21202d0,0x02780046,0x632000b3}},	//   _ruchu_, _aucht_, _torneu_, _cykys_, 
   {{0x62920125,0xc2120421,0xe212021c,0x73eb01c6}},	//   _tarapa_, _bucht_, _suchu_, _goaten_, 
   {{0xff4c0156,0x43940320,0x00000000,0x00000000}},	//   _עלפטער_, _ntosh_, --, --, 
   {{0x9a050198,0x03470234,0x9de9003a,0x12f00107}},	//   _preberet, _aljebra_, _یوقیشی_, _کامیار_, 
   {{0x3b20030c,0xaff3002b,0x23eb00e0,0xfae40421}},	//   _aglaatin_, _চাইছি_, _boaten_, _systemst, 
   {{0x078200d6,0x53120148,0xe7b90322,0x35dc00e6}},	// [7a00] _جمهورية_, _無受想行識_, _bakubaji, _未读社区留言_, 
   {{0xc13c01a3,0x6d0900bf,0xe7c5006c,0x72ca03f7}},	//   _بالٽيمور_, _сергеев_, _ақлонии_, _biddu_, 
   {{0xfbc902b7,0xe26e000e,0xf3c8001d,0x9d9f0343}},	//   _kiswahîl, _mysoft_, _fluvie_, _magnagsa, 
   {{0xf3ea0318,0x90ad0247,0x42120192,0xd0520107}},	//   _fietu_, _لشکری_, _zucht_, _batuwarn, 
   {{0xf42002f8,0x63190168,0xf8630594,0x617e0074}},	//   _anganofo_, _navigasj, _utenland, _ammatill, 
   {{0x223603c6,0x5225009b,0xc9bd0220,0xcd120558}},	//   _miljeu_, _neska_, _варианти_, _okirikir, 
   {{0x235403cf,0x994a01b7,0x8c6901e6,0xb28902ac}},	//   _hareket_, _प्रसवति_, _ventily_, _إقرار_, 
   {{0x039403b6,0x00000000,0x00000000,0x00000000}},	//   _itosi_, --, --, --, 
   {{0x721301ca,0x8b0301f0,0x65fd027b,0x00000000}},	//   _husha_, _matsubut, _गाथाभिरध, --, 
   {{0xf081017a,0x21df03db,0x50cc0191,0xd64400de}},	//   _akabapho, _kamongam, _annonsbl, _bazitshi, 
   {{0x74b500c7,0x125b01b8,0x19fe005a,0x2dfd00b3}},	//   _алмады_, _eraldi_, _dachotta_, _bildirya, 
   {{0xc2130062,0x9b190243,0xd2120065,0x96b804cf}},	//   _musha_, _aggadoss, _sucht_, _bakamasi, 
   {{0x94780419,0x36d10013,0xfbfb00ba,0xb9d40297}},	//   _ताजिकिस्, _vatanimi, _جێبهێڵن_, _avilinda_, 
   {{0x933a0334,0x63940027,0xe9c30147,0xbe99004d}},	//   _adawatum, _otosi_, _تاۇبا_, _他也許一副絕不寬, 
   {{0xac780242,0x6133022d,0x3b880218,0x93c8001d}},	//   _zəruri_, _santacro, _anningsc, _pluvie_, 
   {{0x6ba500d3,0xc3870322,0x89e6017f,0xf5dd004d}},	//   _औचित्य_, _amarwa_, _anorersu, _第四章風暴_, 
   {{0x62fd00b1,0x8394025f,0x75d3017d,0x32e20148}},	// [7a10] _seinphy_, _atosi_, _landstræ, _quandam_, 
   {{0xf3ea0580,0x7b75036d,0x0abb00a6,0xe38c0255}},	//   _vietu_, _choffman_, _amavumba_, _bensiini_, 
   {{0xb2250052,0xcf3f00d1,0x12640450,0xdc760100}},	//   _deska_, _বৃন্দাবন_, _meulen_, _sakriti_, 
   {{0x03ff01da,0x22130251,0xa8670235,0x31030177}},	//   _gjermani_, _dusha_, _atimānuṣ, _шыӡбатәу_, 
   {{0xdc4b045f,0xfb2602ee,0x0335005e,0xdd490142}},	//   _allting_, _kappella_, _ﻛﯚﭘﻠﻪﭖ_, _bandhuṣu_, 
   {{0x22d802ff,0x4d850133,0x7ad5009b,0x4cdd016f}},	//   _achera_, _ataduree_, _kantitat, _коментов, 
   {{0x25de0222,0xe11f00d9,0x52b5007e,0x229900b2}},	//   _effectué, _доставку_, _apacad_, _baranaaf_, 
   {{0x43540101,0xe3780225,0xb3250187,0x1b2f005e}},	//   _basescu_, _kamaman_, _евроатла, _ئەبۇلفات, 
   {{0x436a0159,0x3aba0287,0x43af028c,0x6378034e}},	//   _разгромл, _strašně_, _täpne_, _camaman_, 
   {{0x9ff902d5,0x9a870163,0x7c92021c,0x17ec0151}},	//   _दिवानगी_, _سونگھ_, _legendou_, _breaghag, 
   {{0x59f7031a,0x85c8008d,0x32250157,0x5868004d}},	//   _aingidhe, _aylanish, _deski_, _equitatu, 
   {{0x0faf004d,0x92d800ef,0x00000000,0x00000000}},	//   _我的瀏覽記錄_, _ehleli_, --, --, 
   {{0x1be80544,0x124b019d,0xf29100c4,0x5d8801f4}},	//   _daimonio_, _adawadul, _mavazi_, _farmonla, 
   {{0x2e5500a1,0x7c610273,0xd2130082,0x02d503db}},	//   _karaitia, _triunfo_, _fushi_, _enkonzo_, 
   {{0xb39400e6,0x2e9503af,0x00000000,0x00000000}},	//   _crises_, _conduits_, --, --, 
   {{0x303b005a,0x62ac00c8,0x130102ea,0xe9790141}},	//   _bibejcho, _ижевскиҙ, _pesanti_, _мадумаро, 
   {{0x42d503db,0xb3eb021c,0xb5870299,0x14780311}},	// [7a20] _inkonzo_, _tretry_, _باۋئەن_, _ዘይእዙዛት_, 
   {{0xb22b01fb,0x9047000c,0x17b703c2,0x343306a6}},	//   _exempte_, _денса_, _ballcock_, _ivikelek, 
   {{0x34330208,0xf26d0304,0xd2d8005b,0xd949060d}},	//   _خواحافیز, _toyol_, _daieto_, _वाईसीएल_, 
   {{0x98660219,0x4fb60074,0x2aa3006c,0xe8b6000d}},	//   _abeyindv, _олимпийс, _abakubus, _valdkond, 
   {{0x1c0400f1,0x93940044,0x92700378,0xd2e90414}},	//   _preskri_, _arises_, _avkastið_, _lomingo_, 
   {{0xd871007b,0x58780090,0x6efa0444,0x330101ba}},	//   _heraldic_, _akandiku, _дворов_, _resanti_, 
   {{0x7dd30148,0xfc75046b,0x52da00dc,0xe30201d4}},	//   _北投旅遊飯店住宿, _plastig_, _lapega_, _affannu_, 
   {{0x52d8023c,0x599f0219,0x5d110026,0xb2e90077}},	//   _ahleli_, _avakashe, _overschr, _honnett_, 
   {{0xe8d2005a,0x82d10145,0x9e6901eb,0xda520020}},	//   _antumirv, _bateliai_, _corateĩ_, _lipeaina_, 
   {{0x36360139,0x42d803eb,0x22010220,0x76b80043}},	//   _भारतवर्ष, _speen_, _decine_, _bakakasi, 
   {{0xa25600d1,0x022e04a5,0xb4330219,0x66270369}},	//   _বোম্বে_, _abavumel, _avikelek, _piliseti, 
   {{0xd0f6028c,0x650904ec,0x086300d7,0x53a8010e}},	//   _रघुराई_, _bugorovy, _монасип_, _bulalong_, 
   {{0x32cf0342,0x1248016e,0x6947006c,0x573f00ac}},	//   _denonse_, _elimde_, _фрадков_, _prirodom_, 
   {{0x026d0225,0x430e0347,0x09d60009,0x4b2206c9}},	//   _uncons_, _lasarus_, _navedene, _pelantun_, 
   {{0xfece015e,0xb7b50066,0x0c5b0363,0x59fe00cd}},	//   _addicion, _ibarretx, _åkunne_, _bachetta_, 
   {{0xb32c0060,0xae4d01fc,0x5bda00e6,0x0a860322}},	//   _апарып_, _diraabaa, _最新发布的_, _amangamb, 
   {{0x34840017,0xdd8c061c,0x00000000,0x00000000}},	// [7a30] _रैथाने_, _ignorisa, --, --, 
   {{0x1eb00728,0x8c010437,0x5fab0193,0x00000000}},	//   _startede_, _tekster_, _वस्त्रे_, --, 
   {{0xf290005b,0x030101c0,0x2cd200ee,0xa59502b0}},	//   _nanami_, _baibaye_, _англичуу, _zwangslä, 
   {{0xdae7004c,0x22da01fb,0x9dcf03fb,0xa3030316}},	//   _abatanne, _gatech_, _tehničar, _fatansu_, 
   {{0x834700bd,0xb84b003f,0x2dee00bb,0x525b02e7}},	//   _roadies_, _cologned, _وثقافت_, _kidlap_, 
   {{0xb1e30152,0x2292016b,0x037f01d2,0x83940047}},	//   _ippodrom, _marasa_, _allauka_, _prises_, 
   {{0xf9ee01d8,0x486f060c,0x9c0400c7,0x7504043c}},	//   _ravindra_, _sprievod, _активлаш, _tentando_, 
   {{0x3e1400a2,0x5d7d00be,0x037d04a4,0xa26e0455}},	//   _آپگهات_, _ايرودىرو, _astromom, _bisous_, 
   {{0x837801c5,0xee52028a,0x722401e4,0xf35701fd}},	//   _dibadda_, _madaraka, _pecky_, _presentó_, 
   {{0xaf0102cb,0x65b1017d,0x8e36051b,0x839503d1}},	//   _novorođe, _に関する質問_, _zapalova, _trases_, 
   {{0x295903bf,0x71b40397,0x5aaa0287,0x00000000}},	//   _теленор_, _азнав_, _církví_, --, 
   {{0x029207c0,0xf62a02b6,0x38620178,0x12240077}},	//   _karasa_, _احمەتجان_, _भर्गो_, _adoken_, 
   {{0x35fc0254,0xf2920135,0x7394015c,0x9c7c00b7}},	//   _colecció, _yarata_, _haiser_, _alarlar_, 
   {{0x9292006f,0x6d950441,0x1e950206,0xaed30203}},	//   _darasa_, _kontextu_, _kontexte_, _indicies_, 
   {{0xf2250017,0xd3fa005b,0x89120233,0x330401c9}},	//   _desku_, _kurumi_, _globalid, _vasakul_, 
   {{0xc26700c8,0x1db002f7,0x19fd0116,0xee530399}},	//   _boboleli_, _bolailwe_, _androclu, _halataha, 
   {{0x4133016d,0x3146016d,0x871201b3,0x43470107}},	// [7a40] _ﻳﺎﺯﻏﯘﭼﻰ_, _ھاۋالە_, _форумів_, _balekna_, 
   {{0x27bd017f,0x79ed03f0,0x1d3300af,0xa8dc0125}},	//   _saarulli, _myndavél, _численні_, _учурды_, 
   {{0x463d01db,0xe68701b8,0x42d00318,0x23330247}},	//   _ءﺗﯘﺳﯩﺮﯞﺷ, _छ्पाई_, _lalekini_, _bakalé_, 
   {{0x529100d5,0x729201c0,0x9bf30265,0xb7cd00a2}},	//   _divay_, _barasa_, _vaatwass, _zimshuki, 
   {{0x829100bc,0x8f7d038b,0x5c5f018f,0x254d0061}},	//   _vivaz_, _membahas_, _chuthom_, _라스베가스_, 
   {{0x72920089,0xbc7600b9,0x405b006d,0x53f801d2}},	//   _qarata_, _cibubur_, _участкам_, _akullink, 
   {{0xc2d8023b,0x863802aa,0x00000000,0x00000000}},	//   _rahela_, _nebeská_, --, --, 
   {{0x22d802c2,0x3846024f,0xf97a00d6,0x8f660169}},	//   _speel_, _custards_, _dhaltaí_, _sospecha, 
   {{0x459903dd,0x725a048f,0xe9660328,0xb9d60059}},	//   _pranishë, _esili_, _hiboneke, _протича_, 
   {{0x8e970297,0x8e5400b9,0xeeab012a,0x22910439}},	//   _parkları, _kedamaia, _dostanie_, _lavani_, 
   {{0x72d8019d,0x00000000,0x00000000,0x00000000}},	//   _achewa_, --, --, --, 
   {{0xb32701db,0xd7df031c,0x3348000e,0x478d004d}},	//   _хромтау_, _seguirá_, _galeani_, _考核指標表_, 
   {{0xdc1e0246,0xe37203d7,0xef660091,0x85a801df}},	//   _развитие_, _kamarad_, _pulaarun, _dressmak, 
   {{0x522d01db,0x8bb800ba,0x6395011c,0x00000000}},	//   _бюросыны, _ڕاگواستن, _kaaser_, --, 
   {{0x23ce0593,0x4b210054,0x768301a0,0x731500e9}},	//   _utover_, _farashin_, _curelari, _malalez_, 
   {{0x38970187,0xab600261,0x00000000,0x00000000}},	//   _inovador_, _dezertan_, --, --, 
   {{0xe93201e0,0xaebe03e0,0xedbf01ad,0x00000000}},	// [7a50] _جنایه_, _baussent_, _nadangat_, --, 
   {{0x427f002e,0x75ed0046,0x69840272,0xc2d5015d}},	//   _javnog_, _تانكەتكا_, _asikirwa_, _protesty_, 
   {{0x825a01e6,0x82920176,0x2bf1006a,0x427e0318}},	//   _grily_, _sarasa_, _anilanao_, _kuonau_, 
   {{0x134a0079,0x4c680016,0xc22704c7,0x52920085}},	//   _klientu_, _libreto_, _николе_, _parasa_, 
   {{0x6c190521,0xceaf033a,0x727e01c0,0xb29b03ff}},	//   _gjirokas, _approvat_, _adinta_, _divoký_, 
   {{0x63720203,0x43810046,0xd7560213,0xfda50349}},	//   _camarad_, _террорчу, _аукциона, _arriorwa, 
   {{0xf2010409,0x6250000a,0xea5201dd,0x00000000}},	//   _cecile_, _adressem, _baterana_, --, 
   {{0x80af03d0,0xbaa80403,0xa3f50064,0x377803d4}},	//   _primatel, _alakarab, _سامولەت_, _миленију, 
   {{0xa170017d,0xe984032e,0x98440046,0x53560041}},	//   _ビジネスラボラト, _yuriwayt, _агартуу_, _рхәыҷқәа_, 
   {{0xbe8c005e,0xa3bf0366,0x53c30109,0x737807c1}},	//   _ﺋﺎﻣﺎﻝ_, _ефимов_, _cívka_, _ganaron_, 
   {{0x92900298,0x2149018d,0x9e960122,0xe20f01e9}},	//   _manahi_, _ተግሳጽን_, _اردوي_, _gethesam, 
   {{0xb68b0041,0xcd71017a,0x02ca0488,0x273100bb}},	//   _apáynipo_, _abambisa, _galdi_, _پھنسا_, 
   {{0xcb830039,0x7c5c007b,0x4a0703b5,0xd3ea0393}},	//   _europako_, _glutton_, _panasnya_, _pamti_, 
   {{0x105503b9,0xf30200cb,0x820100df,0x3292008a}},	//   _karritun, _ababuye_, _syrie_, _mesako_, 
   {{0x59490590,0x1f3700e7,0x596400c1,0x00000000}},	//   _анужинд_, _amerasca, _अमानवी_, --, 
   {{0x0f310037,0xe2240129,0xc90f01b6,0x1fe202f8}},	//   _seterusn, _juokwa_, _cutaneou, _peniteko, 
   {{0xd2ca008e,0x3f4004d8,0x5c17017f,0x13ea03b9}},	// [7a60] _daldi_, _دیوانا_, _allaaser, _tamti_, 
   {{0x5a980092,0x02b402bb,0xfe3400e7,0x8727013d}},	//   _でビジネス拡大の, _klocki_, _alkaliwa, _komercaj_, 
   {{0xcbf900a6,0x95160211,0x4df70156,0x0a4a0143}},	//   _abalapho_, _стабильн, _אינספירי, _скутери_, 
   {{0x16230397,0x9819005e,0x627e01c0,0x0a97000e}},	//   _пойдор_, _دوپسىنى_, _adinsa_, _puticlub, 
   {{0x703601bd,0xf8aa023c,0x63e2029b,0x3e020003}},	//   _ادىناي_, _پوهېدل_, _britaani_, _gecentra, 
   {{0xc4a50157,0x9249037a,0x851700db,0x314a018d}},	//   _लोकायुक्, _irembo_, _बर्दाश_, _ኣቕሽሽቲ_, 
   {{0x09c7003a,0x1c0c02c2,0x7dc303f7,0x00000000}},	//   _харакат_, _verplig_, _bankasta, --, 
   {{0xc2ca022d,0xf2da0363,0x1801015e,0x2a1f0461}},	//   _caldi_, _åpent_, _имаратын, _adreiça_, 
   {{0x2aa70391,0x2b0002f0,0x538f00d2,0xa3550472}},	//   _boikarab, _akushaye, _sanyawa_, _melebar_, 
   {{0x434402fc,0x72b40055,0x00000000,0x00000000}},	//   _baretse_, _blocki_, --, --, 
   {{0x2c240513,0xaf06006f,0x6379004c,0x6ddb00cb}},	//   _apeadeir, _باقراڻي_, _atwaala_, _amakhola, 
   {{0x657302e4,0xfeb3030a,0x82c6031a,0x82370077}},	//   _baldacch, _obreiros_, _ghalile_, _frajil_, 
   {{0x4edf01a3,0xe953024f,0x00000000,0x00000000}},	//   _مشرڪن_, _vatovaot, --, --, 
   {{0x7a740282,0x4d9e03b2,0xd30d03c7,0x00000000}},	//   _hingāna_, _haplotyp, _pracuję_, --, 
   {{0x43fa0141,0x237f0532,0x7597004a,0x00000000}},	//   _guruhi_, _dolaska_, _залдагы_, --, 
   {{0x587400ba,0x53620089,0x00000000,0x00000000}},	//   _ببۆوه_, _бәкегә_, --, --, 
   {{0xb2910277,0x826d0054,0x7c4c0211,0x5f2e01f5}},	// [7a70] _dugang_, _koyon_, _молодост, _kecuriga, 
   {{0xe95302b6,0x4969003d,0x116101be,0x79130361}},	//   _тыным_, _albigese, _chloupky_, _вульф_, 
   {{0x56470381,0xd2ca0034,0x025a0113,0x8422030a}},	//   _exhibitw, _taldi_, _reilig_, _sinalado_, 
   {{0x63640037,0x42d80084,0xa6b701a3,0x00bd0137}},	//   _ላቦራቶሪ_, _apeep_, _ڪاڍاري_, _ярууг_, 
   {{0xe4130252,0x78cf0092,0x829a0299,0xbc4e01c8}},	//   _nangwaho_, _評価の高低等にか, _синиптик, _servisy_, 
   {{0x9344005b,0x6e8e02da,0x33790403,0xb26d0055}},	//   _oprette_, _финансии_, _namanao_, _noyon_, 
   {{0x7c000171,0xcdbb0462,0x425a0265,0x9ffc00ee}},	//   _razgovar, _ertifica, _veilig_, _архиваас_, 
   {{0xc20a0152,0x92e700f3,0xd3fa02a2,0xebff0019}},	//   _радиосын, _emonaco_, _turuan_, _бөбөктөр_, 
   {{0x1e1b018f,0x62470060,0x6a28012c,0x00000000}},	//   _bingipta, _байсейіт, _وتايي_, --, 
   {{0x297001c5,0x7348044d,0xc3ea02df,0x3d0a036c}},	//   _افریک_, _aljeeri_, _camtu_, _aharihar, 
   {{0xc29203d8,0xf18d01db,0x7a0b0407,0xa23700a4}},	//   _izrada_, _تامامداپ_, _ogranice, _ecodiari_, 
   {{0xa9ad02fe,0x946e00af,0xe202000a,0x8846004d}},	//   _عجیبه_, _криму_, _akuisa_, _auctores_, 
   {{0x73ea002a,0x953801aa,0xb367012a,0x5249019f}},	//   _cheta_, _although, _postaram, _urembo_, 
   {{0x426d05df,0x035503ac,0xa5a503f7,0x00000000}},	//   _goyon_, _selebar_, _bölvað_, --, 
   {{0xc2310049,0xef5600b4,0x19d80037,0xf26c02f3}},	//   _atumata_, _declaraţ, _አንተንም_, _vykort_, 
   {{0xce6701db,0x3ece0212,0x341c016b,0x64340040}},	//   _بۇگۇنگى_, _sedition, _akesaran_, _שנועדו_, 
   {{0x5a1e0244,0xd6b90464,0x574202eb,0xdb83021c}},	// [7a80] _визия_, _bakabari, _морьтой_, _japonsko_, 
   {{0x11bb00b4,0xb2b501a3,0x387a0153,0xa0d6004d}},	//   _infracţi, _waache_, _ロイヤルガ_, _我比較需要加裝和, 
   {{0x93ea03f2,0x8dbb000e,0x3fbe0360,0xd92100d9}},	//   _eniten_, _artifica, _प्रकारले_, _остался_, 
   {{0xbeca02eb,0xba0b0002,0xa6b201f1,0x518f00e7}},	//   _тариалал, _najavila_, _lepurush, _ammadhay_, 
   {{0xe37f027a,0xdd7002fd,0xa863020f,0x89e50156}},	//   _polaska_, _chumanta, _شازلمیان_, _שנאָבל_, 
   {{0xb2c202d9,0xbf470209,0x1291025c,0x541c018d}},	//   _amalama_, _anisitaa, _zugang_, _ኣካዳሚካዊ_, 
   {{0x0fad02f9,0x8e83028a,0xf2ef040f,0x60fa0311}},	//   _anilasyo, _عائشا_, _азонаваг, _ብእግረይ_, 
   {{0x7aa10459,0xf039012c,0xd0ea0039,0x6ab80037}},	//   _मुस्कुरा_, _گيلري_, _торголоо_, _እንዳውም_, 
   {{0xb8dc042f,0x72e60281,0xcf8d00be,0x7bd90066}},	//   _aturning, _avannaa_, _майларды_, _eramango_, 
   {{0x725b0465,0x93830203,0xa386030a,0x5640016b}},	//   _pralni_, _extremim, _senra_, _hidimomi, 
   {{0x764803db,0xc34a0619,0x49c302a6,0x09be018c}},	//   _bathengi, _stavovim, _ammentat, _kinderfe, 
   {{0x20b801bd,0x737f0318,0xcb930517,0xab6e005d}},	//   _астам_, _fananga_, _habitado_, _guerínpe_, 
   {{0xa270026c,0x5da7020e,0x30b20156,0x00000000}},	//   _nonnulli_, _diposeka, _עקנאמיע_, --, 
   {{0x355301cc,0x03f9027b,0xbe4301c5,0x32c2019d}},	//   _puruṣo_, _acyuta_, _mudanaya, _amalima_, 
   {{0x2c930576,0xf23800ec,0x1e0a0059,0x9f19040e}},	//   _داماد_, _kuprinės_, _традиции, _bandnamn, 
   {{0x49bf01c2,0xa96b0361,0x62000009,0x9b1902ef}},	//   _edgewate, _обеззара, _minilo_, _lavalass, 
   {{0xd28a003f,0x46fa003c,0xf21302d6,0x00000000}},	// [7a90] _huchpop_, _هرآنچه_, _hushi_, --, 
   {{0xc2c300a0,0x41670016,0x09560137,0xe3940079}},	//   _kwallon_, _סטעיטמענ, _ярихад_, _puisis_, 
   {{0xc2250031,0x837f0087,0x8e16038a,0x00000000}},	//   _meski_, _wananga_, _artekuna, --, 
   {{0x9b240107,0x52d9024a,0x700e0291,0xdec4008b}},	//   _تنظيمات_, _eleedu_, _تحمّل_, _jiñuy_, 
   {{0xd6b60193,0x46960182,0xb2ca0075,0x50e10034}},	//   _हिंदूद्व, _beretani, _valdu_, _kennital, 
   {{0x99910264,0x29f60723,0xa30c00b9,0xab1d0291}},	//   _birkenfe, _sesüm_, _merakit_, _بلوجر_, 
   {{0x127e00b4,0xf0e60237,0x03aa0032,0x00000000}},	//   _tehnic_, _대한민국국회_, _skyvase_, --, 
   {{0x1946014f,0x826e00d6,0xabe10230,0x73ea004d}},	//   _наставе_, _throid_, _lenvitas, _中國互聯網新聞中, 
   {{0xf2df0205,0x00000000,0x00000000,0x00000000}},	//   _oyining_, --, --, --, 
   {{0xf2ca0305,0x504901f4,0xc4ea00c5,0xbfde00a5}},	//   _kaldt_, _chorshan, _第五十二条_, _laniselo, 
   {{0x53ea0026,0xb3780084,0x1e35042c,0x7b840177}},	//   _niets_, _mibanda_, _dokaziva, _иҿиоу_, 
   {{0x02910281,0xd2da022d,0x6c5c03ae,0xbf2a0019}},	//   _savalimm, _ditemi_, _ekstern_, _нобелдин_, 
   {{0xf5a80039,0x925a0216,0x0f280060,0xf2cf0004}},	//   _klaserak, _apila_, _تۇرساڭىز, _defonse_, 
   {{0x83960207,0xbd9002ca,0x00000000,0x00000000}},	//   _پاسپورٽ_, _wyjebane_, --, --, 
   {{0x09be0272,0x446e0145,0xdb5b0155,0x31840761}},	//   _addiŋŋan, _прома_, _statliga_, _bahambil, 
   {{0xe2cf00d6,0x5dc300e7,0xea9e00ff,0xa2f502e2}},	//   _denoise_, _oldingha, _יוגאסלאו, _bequeath_, 
   {{0xc3cb0126,0xe2d806d1,0xcc9e00bf,0xbc7d02f3}},	// [7aa0] _констату, _nomeou_, _македони_, _flaskan_, 
   {{0xd3ea01a1,0x527f0037,0x793302ac,0x0db302c3}},	//   _fiets_, _የብሪታንያ_, _طالعه_, _cigariet_, 
   {{0x725b04f2,0x9db500de,0x994702a9,0xd144014c}},	//   _keylog_, _abaneela, _самват_, _babembal, 
   {{0x112d014e,0xd026008e,0xc2120157,0xe3ac02cf}},	//   _башти_, _fàtleent, _muchy_, _ocupam_, 
   {{0x977f042c,0xd49f020f,0x82d9014a,0x269602d9}},	//   _poljskoj_, _دسرطان_, _napokat_, _peretani, 
   {{0x9ead026c,0xb200019a,0x6a0e033d,0xafa200bc}},	//   _個人及社區_, _binilo_, _derasine, _دمکراسی_, 
   {{0x48fd03bf,0x0e0d0425,0x54ed045e,0x25420046}},	//   _bomampod, _رینتر_, _зоомагаз, _سئزدەرگە_, 
   {{0x479d0012,0x8bfc0138,0x00000000,0x00000000}},	//   _दढ़िवाले_, _binbaşı_, --, --, 
   {{0x3248005b,0xa29000cf,0x668000bd,0x7a7a0005}},	//   _madman_, _adhaas_, _rehearsi, _iniziant, 
   {{0x539f01e0,0xea070452,0x838601ad,0xcb9006da}},	//   _دڵتان_, _nafasnya_, _cenro_, _लालूप्रस, 
   {{0x52ca0313,0x66b601b5,0xf3660109,0x92120119}},	//   _choduq_, _eparadey, _बेलैमा_, _juchy_, 
   {{0x8c620217,0x3d3b00c8,0x0298008d,0x62fe0331}},	//   _serrate_, _стандың_, _futbolni_, _flugva_, 
   {{0xfc6600f2,0xb25a0034,0xf27e03dc,0x6ea6004f}},	//   _protams_, _spila_, _heinta_, _fattalee_, 
   {{0xc3860016,0x26ef006d,0xd9870076,0xdb590008}},	//   _genro_, _адпіхнуц, _предок_, _bretanya_, 
   {{0x32da0392,0x99fe02bf,0x227e03db,0x8248023a}},	//   _chluaidh_, _bakhetsa_, _idinga_, _badman_, 
   {{0x0af501f4,0x947b022a,0x78720137,0x21f40162}},	//   _قوتولیشی_, _leigüpo_, _томруул_, _بېرما_, 
   {{0xde35036f,0x52a802ac,0xbb9a0397,0xa22b0222}},	// [7ab0] _pokaziva, _يتحقق_, _abazicab, _chemise_, 
   {{0xf6ac03dc,0x95340148,0x14b8018d,0xb1ad0325}},	//   _skattsky, _邀您當家上傳影片, _ክንስከም_, _alyansın, 
   {{0x9cbb0427,0xe89b0261,0xfaea0265,0xb6e000be}},	//   _huliniaq, _proksimu, _vertelle, _تابەرىك_, 
   {{0x93ea03e0,0xf677029c,0xd35f011a,0x44f3009c}},	//   _riets_, _chikhwaw, _decency_, _chumpich, 
   {{0xd4780125,0x29e3014e,0x66b10153,0x00000000}},	//   _başlanan_, _добара_, _横浜市港北区篠原, --, 
   {{0xf2d9024a,0x9abe0065,0xf080004d,0xc2d801a1}},	//   _aleebu_, _einverst, _今夏我通通都可以, _scherp_, 
   {{0x33960257,0xfa2103b5,0xb6c90222,0xba0502fc}},	//   _versta_, _memberhe, _asiaroom_, _bakamuge, 
   {{0x3da100d4,0x353f0234,0xb47700e9,0x8c5a0292}},	//   _reportaa, _alufáà_, _hosenbok, _rentumi_, 
   {{0xb3ea0103,0x749c0040,0x82f90205,0xe9190486}},	//   _chete_, _ההרגשה_, _бангкокд, _सिंहलाई_, 
   {{0xc0ed0050,0x104104a6,0x47eb00dc,0xcd98025f}},	//   _tasikmal, _udruženj, _lamatiag, _fulfulde_, 
   {{0x0c670191,0x00000000,0x00000000,0x00000000}},	//   _postort_, --, --, --, 
   {{0x6fdd00b4,0xff4f03b5,0x06df011a,0x1fe1005b}},	//   _investiţ, _diusulka, _specifyi, _cのwifi_, 
   {{0x7aa900da,0x83eb0249,0xf4ac01d7,0x3e4c032c}},	//   _веселе_, _giute_, _caviezel_, _allaanna, 
   {{0xe20201c6,0xb290032a,0xcaf9000a,0x52da010b}},	//   _besite_, _ejnar_, _amondsen_, _gapela_, 
   {{0xeda003d9,0x3e8b012e,0x42480074,0xd66c0205}},	//   _ankohona, _آسکتی_, _olimme_, _дуога_, 
   {{0x9a7700b9,0x08b5037c,0x3bc101f3,0x00000000}},	//   _भन्नाट_, _clothier_, _glykemic, --, 
   {{0xcc3e0193,0xb4110166,0x027801dd,0x8edb01c2}},	// [7ac0] _daihatsu_, _aussagen_, _acunga_, _mariños_, 
   {{0x675c0108,0x164202af,0xd3fc03db,0x3f0003bf}},	//   _siliwang, _ashimiki, _asinakuk, _штукатур_, 
   {{0x13eb000e,0x9c6a04c4,0x485c02ac,0x024800cf}},	//   _knuth_, _छ्प्पर_, _اممممممم, _falman_, 
   {{0x53eb03fd,0x74000031,0x6c470405,0x4e14038b}},	//   _tiute_, _tabungan_, _norwaco_, _penekana, 
   {{0x739f052c,0xd00e0494,0xf3960109,0x93870071}},	//   _بڵباس_, _pravljen, _kapsle_, _amarta_, 
   {{0xdec20241,0x13940047,0x306900b5,0xc2d50024}},	//   _amanaman, _baiser_, _campanen, _অলংকাৰ_, 
   {{0xfc35018b,0xac510270,0x9d0000fa,0xcb5a0544}},	//   _inscrier, _critava_, _sabunger, _mahuahua_, 
   {{0x721a0008,0x02d40054,0x00000000,0x00000000}},	//   _наристел, _allolin_, --, --, 
   {{0xca52034c,0x26da009b,0xe340025e,0x2d980255}},	//   _индуктив, _загалмай, _staddur_, _õigsuse_, 
   {{0x12da02dc,0xa2920061,0x02010075,0xa8c80397}},	//   _capela_, _반대합니다_, _tyril_, _сатторов, 
   {{0x33e40013,0x22cb00e1,0x08c302a6,0xe3eb0308}},	//   _reytingi_, _guddiy_, _allungav, _unutk_, 
   {{0xa5ef0217,0xe2d4006e,0xd2910219,0xad3500bf}},	//   _promitti, _bologin_, _bafaki_, _словени_, 
   {{0xfb630094,0xcc660040,0x93940245,0xbae60024}},	//   _болдым_, _איכשהו_, _longiing_, _দোকানৰ_, 
   {{0x0bcf0193,0xc85401b6,0x434f015f,0xde9201b3}},	//   _श्रीपाद_, _ארייטי_, _arberth_, _костел_, 
   {{0x4eab02bb,0x62ca00b6,0xd2e70032,0xd9b50178}},	//   _zostanie_, _baddi_, _dustimey_, _balasūda, 
   {{0x5792007f,0xc26e0181,0xb3ec02ac,0x92da041e}},	//   _manteisi, _miroku_, _متكررة_, _aluetu_, 
   {{0xa331032d,0xc8200192,0x13f40039,0x8e230052}},	// [7ad0] _скважина_, _고맙습니다_, _туссан_, _पूर्णकाल, 
   {{0x72df0241,0x5e510244,0x18320094,0x03eb021e}},	//   _aangotti_, _върши_, _جالىق_, _inuti_, 
   {{0xf3b105ca,0xe249048b,0xe9cf0041,0x243e0126}},	//   _ataque_, _vcpmc_, _ефҭениа_, _гарно_, 
   {{0x21dc00ff,0xa31901e9,0x163602f0,0xbdc4025c}},	//   _שפּורן_, _kagisong_, _isunguli, _sexkonta, 
   {{0xe25a025f,0x76ba003a,0xb3870191,0x8da803b0}},	//   _asali_, _masalasi, _smarta_, _pasienta, 
   {{0x12ca0075,0x7e840428,0xe201003a,0xd1630013}},	//   _haldi_, _različni, _ayrim_, _сукут_, 
   {{0x23380037,0xa2b80120,0xcaf70160,0x9e1a00bb}},	//   _አሥራደው_, _caddook_, _spremnos, _اکنامکس_, 
   {{0x817d0212,0x6ac400bf,0xac2902f8,0x43f40197}},	//   _patanjal, _переменн, _aposipos, _soutni_, 
   {{0xace200c7,0x239503e0,0x69620187,0xb296009c}},	//   _tanıdı_, _waaser_, _селектир, _atakasu_, 
   {{0xe792018a,0xb4ef0092,0x06ba0037,0xc26e01d4}},	//   _fanteisi, _二人っきりの相談, _ምንግዜም_, _gisors_, 
   {{0x52b3024e,0x418503ea,0x82c60243,0x09760139}},	//   _ljudima_, _appareil, _faylale_, _परिवञ्चि, 
   {{0xe7b4030f,0xb5e6005e,0x23e402c3,0xe55700d1}},	//   _nekehang, _ژۇرنىلى_, _spomienk, _এক্সএল_, 
   {{0xa3ea0314,0x92b4022c,0x72ca0243,0xcbee0045}},	//   _baeti_, _nincak_, _raddi_, _парох_, 
   {{0x93ea0148,0x595100e6,0x2435004d,0xf8a8003c}},	//   _本公司有完整的全, _今年上半年_, _澳門特別行政區法, _دوهفته_, 
   {{0xa63e042f,0xb25a0229,0xa3f9001c,0x00000000}},	//   _piriarni, _builki_, _pabuto_, --, 
   {{0x92010232,0x9c380486,0x238200bb,0x62d90144}},	//   _divido_, _रसायनिक_, _واہلہ_, _draein_, 
   {{0x82d500e5,0xd2b403fb,0x016a004d,0x00000000}},	// [7ae0] _клипови_, _obicne_, _什麼車被罵的最慘, --, 
   {{0x9ab90387,0xe2090086,0x824803f3,0xaf280075}},	//   _makwaara_, _borotvál, _slimme_, _systkina, 
   {{0xce2402a9,0x6a4b018d,0xfc6e00c7,0x2abd0029}},	//   _зьвесткі_, _ኣይክኸውንን_, _avariya_, _ریشدا_, 
   {{0xc1ed0487,0x63ce030a,0xe5ed0156,0x00000000}},	//   _השמאל_, _volve_, _הימעל_, --, 
   {{0x52e3013d,0x2ec2011e,0xa4980024,0xbc6b00e6}},	//   _grandaj_, _akonpann, _মেক্সিম_, _comrank_, 
   {{0xdaa70039,0x6e020278,0x0201041b,0x43ce00d4}},	//   _хараат_, _kecedera, _syrim_, _tolve_, 
   {{0x4dcd0245,0xdc750187,0x4b2f003a,0xca77027b}},	//   _markhmat_, _квадрате, _vatandos, _यतीनां_, 
   {{0xeab90387,0xab6f003a,0xe25a017d,0x7d5502ee}},	//   _bakwaara_, _sinovlar, _spild_, _iskambju_, 
   {{0x50b8015e,0x213e0458,0x1e640299,0x24d70035}},	//   _تەجەپ_, _skattefo, _جىىڭۋۇ_, _газабы_, 
   {{0xc2fd002c,0xeaa403b4,0xb2010016,0x12940282}},	//   _alegia_, _achikuis, _difino_, _kaikiri_, 
   {{0xa25606f8,0x23ea00e1,0x53c5057b,0xf86201b4}},	//   _íslandi_, _mbete_, _estará_, _verbeter_, 
   {{0x1c6e01ad,0xc25b02c9,0x59bf019d,0x01e90449}},	//   _gwardya_, _exclus_, _chavumbu, _novostim, 
   {{0xda51011a,0xa3fa0135,0x6bb1027b,0xcbb7003c}},	//   _reimburs, _baquba_, _चेतःपरिव, _دیفندر_, 
   {{0x7c52024f,0x4ea3012d,0x15b90125,0xa278009e}},	//   _buatava_, _jusumaot_, _wakalary, _tornou_, 
   {{0x82ed0220,0x361303b2,0x2e440010,0x62df02ee}},	//   _направим_, _nautical_, _ingakhip, _inzommu_, 
   {{0x7c7f0258,0x739401ec,0xc2c4019e,0x73ea001d}},	//   _meastal_, _kroso_, _paversti_, _scotes_, 
   {{0x20bb02e1,0xcfe30156,0x479700ec,0x00000000}},	// [7af0] _mullaigh_, _לײַװנטענ, _studijav, --, 
   {{0x9825027c,0xead90158,0xa9ae051f,0xfd480204}},	//   _تناسلي_, _अंदरूनी_, _گیریت_, _обоев_, 
   {{0x19840401,0xe8b90092,0xbf00011a,0x76820012}},	//   _निष्कासन_, _タンパク質_, _ומורשת_, _सभटाक_, 
   {{0x02f8015c,0xcb2000e6,0x4b73002b,0x465501a0}},	//   _rabicop_, _舌一吐而二虫尽为, _নতুনভাবে_, _machuchi, 
   {{0x226c03b1,0xf7260297,0xf2e00465,0x00000000}},	//   _àjour_, _металлар_, _poznamo_, --, 
   {{0xff55004d,0x44760046,0xb3030278,0xa4b000f8}},	//   _收件地址請勿為郵, _агартууч, _munajat_, _পেইন্টার_, 
   {{0xb30c040b,0x517801aa,0xb3980040,0x5037001d}},	//   _murathu_, _aggiemay_, _בעבירות_, _fidelulo, 
   {{0x96ca00fa,0x458400c3,0x823702cb,0x02870397}},	//   _kompresy, _sermonem_, _primila_, _фитнаи_, 
   {{0xf25a0359,0x96820255,0xb0e90021,0x127f0396}},	//   _spile_, _अस्थल_, _aimingcl, _emendi_, 
   {{0xb2e602f3,0x7c5a00d7,0x8da60021,0x42490414}},	//   _kvinnan_, _boitedi_, _araokeka, _moambe_, 
   {{0x31360147,0x790f020f,0xcc040075,0xc2ca029b}},	//   _تۉسكۅ_, _bakarulu, _bensini_, _kaddu_, 
   {{0x8c550488,0x1c7301ac,0xdb9a03b6,0x00000000}},	//   _daktere_, _piarais_, _àpètúnpè_, --, 
   {{0x5d3000f5,0xbf270067,0x8dc60277,0xdfab00a2}},	//   _дирейәр_, _burtukaa, _ikahalip, _uhamisho, 
   {{0xa3c806bb,0x93eb02db,0x42df0014,0x01fe03f0}},	//   _servij_, _diuti_, _banoret_, _brokkolí_, 
   {{0xb5e6005e,0x8ff800be,0xaaf60271,0xfffd027b}},	//   _ژۇرنال_, _توستۇڭ_, _sysselse, _aṭaṭaṃ_, 
   {{0xe2e3009d,0xcd9a045f,0x62d80220,0xb99e0403}},	//   _prandaj_, _medlemma, _scheda_, _anakiroa_, 
   {{0x415c0125,0x77b00212,0xc7ca0121,0x732201c5}},	// [7b00] _дуран_, _intelleg, _compresi, _baryay_, 
   {{0xb2e40044,0x537c02ee,0xef98004d,0x00000000}},	//   _ברונטית_, _inqabad_, _他只是受不了_, --, 
   {{0xde7300c1,0x35bf0157,0x49760281,0x47c201a4}},	//   _रॉक्स_, _pamietam_, _eskimuut, _omitambw, 
   {{0x817c02d3,0xf2d80127,0x532b02aa,0x00000000}},	//   _основачо, _emled_, _jachting_, --, 
   {{0xe63802ac,0x04350198,0x74e1034c,0x74690291}},	//   _أيًّا_, _lokacijo_, _аббаты_, _يقتحم_, 
   {{0x98c5004b,0xe4d50287,0xdd1b0147,0xaeba057a}},	//   _bosuphav, _कृषिको_, _شاقئروۋا, _австрин_, 
   {{0xbd0102c3,0x13000082,0xb49a02ec,0x5dd40061}},	//   _okuliare_, _addanci_, _tababark, _스쿠버리포트_, 
   {{0x00000000,0x00000000,0x00000000,0x00000000}},	//   --, --, --, --, 
   {{0xa73b0274,0xbe75015e,0x4b2b01d2,0x73010184}},	//   _kostnaði_, _суракка_, _askachas, _ibibaye_, 
   {{0xa53203b4,0x892f0350,0x00000000,0x00000000}},	//   _dzonyany, _ፈላጊዎችን_, --, --, 
   {{0x417d0044,0x4519005e,0x9148007f,0xf42801f4}},	//   _סיבוב_, _كۇففارلا, _anarfero, _татарист, 
   {{0x729102d9,0xb971063c,0x0394001c,0x33220409}},	//   _savali_, _मांझी_, _troso_, _betyde_, 
   {{0x69da0025,0x00000000,0x00000000,0x00000000}},	//   _परिवारः_, --, --, --, 
   {{0x741700e4,0xcb1600d9,0x8251045e,0x28c00234}},	//   _हस्तमैथु, _palautus, _неестест, _seèyí_, 
   {{0x5965003e,0xeb5d00bc,0x00000000,0x00000000}},	//   _hasitswe, _dipaténi_, --, --, 
   {{0x22f00020,0x226c0130,0x2d300153,0x00000000}},	//   _avaivai_, _anaon_, _grundene_, --, 
   {{0xc36700c5,0x63940222,0xfe67006d,0x73ea034c}},	// [7b10] _只涨停黑马_, _saisir_, _гармата_, _baetu_, 
   {{0x827f01f5,0x02e30197,0x56e801ef,0x2db70195}},	//   _adanya_, _kalifye_, _характар, _breislea, 
   {{0x8efa0272,0xeed60050,0xc3ac0150,0x70a701eb}},	//   _abajapan, _panineun, _sospen_, _mongañy_, 
   {{0x72520478,0x5b160211,0x82a60408,0xa30f0287}},	//   _millenni_, _kalastus, _afobe_, _šablon_, 
   {{0xfb6300ac,0x83a20202,0x347d00a0,0x5be500e4}},	//   _tretmana_, _iyopo_, _dattijon_, _kandydac, 
   {{0xb400011f,0xd9aa0211,0xd24601b8,0xd0530060}},	//   _геине_, _хотим_, _गँथले_, _تىلگىلەپ_, 
   {{0xc3ea01d9,0xf35b0081,0x00000000,0x00000000}},	//   _haett_, _belgía_, --, --, 
   {{0xfac401a7,0xe29203d9,0xe37a0028,0x7d8400e6}},	//   _беременн, _biraon_, _samafal_, _人口资源环境_, 
   {{0x43f80137,0x0c5301c2,0x9e500085,0x139400ad}},	//   _minutu_, _emitido_, _buradela, _pingping_, 
   {{0xa26d041e,0xd86300a3,0x00000000,0x00000000}},	//   _voyou_, _brennand, --, --, 
   {{0xaaa70022,0x00000000,0x00000000,0x00000000}},	//   _ҡурғаш_, --, --, --, 
   {{0xdf200061,0x1d970299,0x00000000,0x00000000}},	//   _매도매수의뢰_, _ساپدىل_, --, --, 
   {{0x635e0265,0x52d9001f,0xec6101fc,0x753d02ca}},	//   _mbngold_, _apuei_, _gurudda_, _dosheach, 
   {{0xd9de0468,0xbf2804f9,0x83410067,0x1b0c00cf}},	//   _kwenziwa_, _alutorna, _eereera_, _faasikaa_, 
   {{0xa84304e9,0xbbd3033e,0xd9ea01b5,0x36b9009a}},	//   _piomayau, _геренбек, _erirhand, _bakahari, 
   {{0x3c20032e,0xb38700bc,0x02020342,0xfecd014a}},	//   _aliqaki_, _amarga_, _deside_, _pontosít, 
   {{0xbc6201b2,0xdd8d0569,0xbff401f4,0x00000000}},	// [7b20] _ferrate_, _ignorira, _ashyosin, --, 
   {{0x4e4401b7,0xf25a04bd,0x84e200d1,0xaa0900af}},	//   _aprameya, _opili_, _জোপাৰ_, _доходить_, 
   {{0xd7c70044,0xecb8013c,0x120800d1,0x73a200e4}},	//   _constrai, _kataloqu_, _গল্পকাৰ_, _kropki_, 
   {{0x3c80015e,0x568c00d7,0x3f9b00d6,0x7ee804e5}},	//   _берет_, _приставы_, _minicíoc, _abakanan, 
   {{0xbb1803e9,0x125a0216,0xd7970187,0x8b1d008d}},	//   _kompýute, _apili_, _професиј, _murakkab, 
   {{0x5a6e04ca,0xa2ca0488,0xe3950105,0x00000000}},	//   _lycopers, _galds_, _piesek_, --, 
   {{0xab9306e2,0x4f5805b1,0x52ca018d,0x1b21015c}},	//   _dividido_, _stlačení, _ኣውሓስቲ_, _memberen_, 
   {{0xd9b701c8,0x6c2301e5,0x00000000,0x00000000}},	//   _uplatní_, _tusilẹ_, --, --, 
   {{0xe97c0281,0x1059026a,0x128d0200,0x49df0239}},	//   _tunisine, _mamaroro, _ịhazi_, _tangatat, 
   {{0x325a01ed,0xd291043a,0x764701b2,0xdcbe0297}},	//   _opala_, _seward_, _archerfi, _далем_, 
   {{0x03870251,0x6074027b,0x00000000,0x00000000}},	//   _tigree_, _अलोचयिष्, --, --, 
   {{0x547a00c0,0x7f1a04c7,0x06ea0100,0x8200033f}},	//   _tuntunin_, _ротердам_, _grickali, _ninimo_, 
   {{0xbaef03c2,0x320000e6,0x91780465,0x16cf00df}},	//   _augustee, _relier_, _porazdel, _affaibli, 
   {{0x22000119,0x41470128,0x0e0c015e,0x00000000}},	//   _hinimo_, _тарихан_, _وتىرسا_, --, 
   {{0x719c0247,0x00000000,0x00000000,0x00000000}},	//   _دلیلی_, --, --, --, 
   {{0x4348021c,0x320002ce,0x1b42007e,0x9a190137}},	//   _koberci_, _bajing_, _गुरूपदेश, _кредиттэ, 
   {{0x4a8b0212,0x42e60026,0x6d240099,0x12640155}},	// [7b30] _navision_, _dronken_, _aroorane_, _stulna_, 
   {{0x24a301f4,0x9db202cb,0x8989036e,0x79ae0019}},	//   _кореяга_, _stručnu_, _harkanat, _ليۇكسۇمب, 
   {{0x427f011d,0x87430019,0x9db001c4,0x1ee50350}},	//   _amenzi_, _нурси_, _branderp, _የምንጠቀመው_, 
   {{0xec610005,0x52a604cb,0xb878008f,0xd4a500cb}},	//   _berther_, _limbaj_, _अन्दाजा_, _ababebuk, 
   {{0x5dbb01aa,0xffd90109,0x00000000,0x00000000}},	//   _autionca, _protismě, --, --, 
   {{0xa628015b,0xf6bb0343,0x3d570030,0x53ea018d}},	//   _kodinesi, _kasagari, _nepatiku_, _pritja_, 
   {{0x26390089,0x066a0198,0x2ed40020,0xe7fc000c}},	//   _тамашачы, _menjalni, _liligiin, _рлига_, 
   {{0x221300c1,0x4cc500d1,0x5e9001d3,0x18680291}},	//   _बावळट_, _ভিক্টোৰি, _vistelse_, _هيبيز_, 
   {{0xcda50425,0xf61d004d,0x00000000,0x00000000}},	//   _خۆشحالم_, _國家稅務總局關於, --, --, 
   {{0xc6a500e4,0x0b1f03e9,0x9041002b,0xf0c9033a}},	//   _सम्पादित_, _bulardan_, _অক্ষয়_, _intaqgħa_, 
   {{0xa26207c2,0x679904ac,0x7c790075,0xa27f00b4}},	//   _कक्षा_, _противоп, _norskum_, _geanta_, 
   {{0x09090060,0xaec6020f,0xaeb702eb,0xfb6c02ef}},	//   _шекара_, _abengumn, _шагайн_, _boulanjr, 
   {{0x836a019a,0xf2a704a8,0x32490179,0xafd702cf}},	//   _forgets_, _trebam_, _diamet_, _diminuir_, 
   {{0xa9750145,0x2b27000f,0x192c0040,0x8290019d}},	//   _pasikeit, _mahalles, _למכנסיים_, _athane_, 
   {{0x3ca6009b,0x65c700f3,0x8c870435,0x72ad004d}},	//   _таксины_, _lamafuth, _развио_, _人口資料統計_, 
   {{0x1e1600ca,0xf40000a6,0x5c7700e6,0xbbb90211}},	//   _generala, _angoomak, _富兰克林自传_, _приличны, 
   {{0x827f0214,0x1f21017c,0x3f90006f,0x00000000}},	// [7b40] _umenzi_, _reducera, _ڏندين_, --, 
   {{0xdb6a04d8,0xd85d0354,0xc51600d6,0x8fbc048a}},	//   _افسانہٕ_, _азабқа_, _ماننحرم_, _تەمپەرات, 
   {{0x64e204fd,0xaac4034c,0x06290209,0xee970060}},	//   _अय्यर_, _avtorıbı, _allileri, _قادىرلەي, 
   {{0xcad10061,0xc4030099,0x0b630538,0x32ca0032}},	//   _말아주세요_, _chenyanz, _appliker, _naddi_, 
   {{0xcb060372,0x15860153,0x43fd01a4,0xe2490414}},	//   _dregaron_, _消費税はかかりま, _mbozila_, _nsembo_, 
   {{0x25d60101,0x29690203,0x526d0129,0x9c9c0476}},	//   _probabil_, _campanar_, _inyom_, _akazoror, 
   {{0xcf8400f0,0x625a021a,0x429e0217,0x34010037}},	//   _percentn, _callaa_, _viajera_, _ampunkan_, 
   {{0xfb7a0024,0x4e8703b8,0x89f3003d,0x168302d3}},	//   _শিক্ষকজন, _раунды_, _agarnagu, _diretori, 
   {{0x9c3a00b9,0x2a660027,0x87c80202,0xa6a40061}},	//   _सहाय्यक_, _odemanos, _isiseoni, _대한불교조계종_, 
   {{0x49ad0162,0x0394025e,0x639f00a6,0xf2000233}},	//   _қорғас_, _brosa_, _دصدام_, _giniko_, 
   {{0xa37904bd,0xf1ab00e6,0x725a0226,0x930f03a4}},	//   _kamahao_, _新华网版权与免责, _apilo_, _basarur_, 
   {{0xc5c7014c,0xd3f802a0,0x37b603f8,0xa6540037}},	//   _bamafuth, _gajulo_, _lubejbog, _መዛሙርቴ_, 
   {{0x22e8008c,0x5916003c,0xa40401b3,0x00000000}},	//   _invista_, _رهپویان_, _євхарист, --, 
   {{0x22000564,0xa2240014,0x07c902c0,0x3e990099}},	//   _jiniko_, _shikoj_, _паралеле, _enguruve_, 
   {{0x02f70059,0xb25a0295,0x5e31036e,0x449a0331}},	//   _климатич, _epilo_, _aullagas_, _einskilj, 
   {{0xbd590147,0x00000000,0x00000000,0x00000000}},	//   _ارىينە_, --, --, --, 
   {{0x380a00c5,0xf3ea033c,0xac180672,0x0ec20497}},	// [7b50] _四川省旅游局_, _gaeth_, _kirahwer, _blancman, 
   {{0xed120040,0xc659003a,0xbb230082,0x00000000}},	//   _החירום_, _тактикан, _imtattun_, --, 
   {{0x02cc02d9,0xf7370059,0x00000000,0x00000000}},	//   _amalolo_, _заплата_, --, --, 
   {{0x07b301a2,0xb0330089,0xae600092,0x00000000}},	//   _situācij, _тюлень_, _debattør_, --, 
   {{0x89e302c4,0xf63a0188,0x6d600012,0x4ec10347}},	//   _новата_, _саҳмгузо, _खीचैत_, _teenstan, 
   {{0xc49f0169,0x59d50040,0x29d101e7,0x1fd40138}},	//   _যোগ্যতা_, _אוסלו_, _agetrued, _antibiyo, 
   {{0x22240359,0xcb06018a,0xb520004d,0x425a01fc}},	//   _makke_, _tregaron_, _台中精密園區_, _qallaa_, 
   {{0x2b0b011e,0x93f8008b,0xf7b50041,0x054a012a}},	//   _konsonme, _cajulo_, _иыркыуп_, _सुनेंगे_, 
   {{0x93940249,0xc6300177,0xe2da00fe,0xc89e0368}},	//   _tingting_, _ркабинет_, _papela_, _покварен, 
   {{0xf9be011b,0x9fb0015e,0x00000000,0x00000000}},	//   _gbadolit, _acollido, --, --, 
   {{0xdd5500e6,0x2597010f,0x16960321,0x1b1f0301}},	//   _收藏此信息_, _муъарриф, _zapestni, _islamdan_, 
   {{0x19aa041a,0x92000408,0xfb250064,0x768c025b}},	//   _новин_, _diniho_, _сураныч_, _handtiki, 
   {{0x62a7022f,0x41e90013,0xed10001a,0x520200f2}},	//   _наборам_, _таронала, _romániáb, _apriti_, 
   {{0xcc6200f7,0x23940403,0x6093002b,0xf2fc051e}},	//   _rezulto_, _trosa_, _নবযুগ_, _bonitos_, 
   {{0x81880381,0xcaef02eb,0xbc3c01b8,0x927f01fc}},	//   _aiwantay_, _memorien_, _lepingud_, _teenah_, 
   {{0x729202ec,0x415c05f8,0x1f29042d,0x5de80161}},	//   _iiraan_, _нумай_, _antratra, _агодарил, 
   {{0xafb90377,0x688900ce,0x977e00af,0xa81a0354}},	// [7b60] _puternic_, _inovater_, _брюнетки_, _мизаниди, 
   {{0xdc710207,0x2b0402e7,0x92920057,0x032201bb}},	//   _maarufu_, _anagayan_, _kiraan_, _baryjy_, 
   {{0x7fc2001a,0xb6ce01ef,0x5ca00126,0x101a00bb}},	//   _مانوس_, _metalini, _опозицій, _دہرانے_, 
   {{0xf9b70272,0x32cb0524,0x0a150160,0xbab1009f}},	//   _abadvent, _gledat_, _koracima_, _prijeten_, 
   {{0x92a7034d,0x724902a1,0x1ecb013f,0xaf2502ca}},	//   _tsabit_, _vlamme_, _galisian, _teoranta, 
   {{0x5959016f,0x5d93033e,0xa27e0159,0xcfb50062}},	//   _деревом_, _laboralp, _plinta_, _partorus_, 
   {{0xb959018d,0x94570059,0x74490311,0xe93b004d}},	//   _ኣስሚዖም_, _мислене_, _ኣእዛኖም_, _高齡外婆無心照顧, 
   {{0x385f011c,0x854402ba,0xfda1067e,0x00000000}},	//   _gelawaar_, _angishiy, _tuputupu_, --, 
   {{0xd29002c1,0x6c12014a,0xb728014f,0x8c740308}},	//   _ruhare_, _képpel_, _ирациона, _diaudit_, 
   {{0xec3b0546,0xe303024a,0x0292001b,0xf0e300de}},	//   _पशुपालन_, _adoniloj, _biraan_, _زوردانګل, 
   {{0x82920251,0x719800da,0x6c74027b,0x53060370}},	//   _jiraan_, _провизор, _विष्णो_, _bacayuk_, 
   {{0xbc6f04ca,0x22920028,0x1bef0168,0xd3860077}},	//   _barrada_, _diraan_, _begeistr, _jefra_, 
   {{0x7386018a,0x57b601c1,0x8694013f,0x590f0010}},	//   _defra_, _kesenang, _achemeni, _bacatulu, 
   {{0x89f701d2,0xdc6f01c5,0xf3020607,0x225a018a}},	//   _adandana_, _darrada_, _ababeye_, _toiled_, 
   {{0x12d90082,0x54140092,0xeae602b9,0x00000000}},	//   _bayero_, _danitaiz, _sportese, --, 
   {{0xf3630022,0x5966026c,0x11bd0126,0x39fc02f0}},	//   _корпусы_, _relinque, _листя_, _bebangat, 
   {{0x339405ac,0xfcda002f,0xd0b70487,0x00000000}},	// [7b70] _hugsa_, _arikunku_, _אינדיקצי, --, 
   {{0x2a0c0016,0x8ddb0402,0x749f0024,0xe38702b1}},	//   _בפירוש_, _perjumpa, _মেট্ৰিক_, _amarya_, 
   {{0x627e0196,0x8e520055,0xee3701d2,0x4e70033e}},	//   _akonze_, _appaghja, _hamautta, _nivaclé_, 
   {{0x34e200da,0xb2a60342,0x5d520092,0x5f8005e3}},	//   _атрибуте_, _legba_, _はてなダイアリ_, _अनेकौ_, 
   {{0x5c3f03c7,0x00000000,0x00000000,0x00000000}},	//   _podejści, --, --, --, 
   {{0x601600c7,0x2c12014a,0x027e009b,0x6b460022}},	//   _чагында_, _géppel_, _soinua_, _секцияла_, 
   {{0xa1e2002c,0x1aaa00e5,0xc2cb000e,0x526700ba}},	//   _бөлгөө_, _тридневн, _pledat_, _نواڕی_, 
   {{0xcda90494,0x32ec0162,0x227e03da,0xc2380160}},	//   _sastanku_, _еһсан_, _nkonye_, _primili_, 
   {{0x125a03ba,0x82e9017e,0xbdce0211,0x12fd0051}},	//   _soiled_, _muzikon_, _виден_, _liegta_, 
   {{0x1cd7015e,0xdb5b02db,0x52d80167,0x626c0399}},	//   _карындаш, _menesmen_, _amlen_, _iiioi_, 
   {{0xbac60302,0x09bf02c7,0x7ddc0188,0x82e10021}},	//   _ифшои_, _kinderge, _amakhoma, _armthway_, 
   {{0x826400e7,0x836f046b,0x3e0001cd,0xb3940134}},	//   _anplay_, _targedu_, _метарсам_, _irosu_, 
   {{0xec7d01ab,0x4b190390,0xd2d903c2,0xea5d012a}},	//   _muusika_, _insandan_, _asinine_, _licencja_, 
   {{0x62fc0534,0xf1a80092,0xd9cf02ee,0x011b0220}},	//   _congso_, _のいずれか_, _bordijie, _provengo, 
   {{0x8e69015e,0x95040207,0x939000a9,0xcc2601c5}},	//   _ايىتى_, _اھتمام_, _ntiyari_, _gadabuur, 
   {{0x7a900024,0x95ce00dd,0x227e0022,0x12ca00cb}},	//   _বিৰতিৰ_, _annatbly, _khonne_, _канораҳо, 
   {{0xd386029a,0xb3ea003d,0xa14701c5,0xc2f60125}},	// [7b80] _refri_, _pontet_, _dhimatay_, _курслары, 
   {{0x223801fe,0x0db5000a,0x77a900d1,0x001a00ec}},	//   _isimeli_, _angitiga, _গৱেষণালব, _krovinin, 
   {{0x637800aa,0x9dba032e,0x62ee0037,0x1292039f}},	//   _panahon_, _jachkata, _ዘመዶቻቸው_, _atpase_, 
   {{0x741e0163,0xaaeb0107,0x1c68055b,0x6f7a0170}},	//   _العابدین_, _momongan_, _norrøn_, _chachion, 
   {{0xfc76011b,0x251d012b,0x27a500a4,0x4d8300bb}},	//   _accuser_, _innowacy, _lustraci, _میتھیو_, 
   {{0xa6cb056e,0x575d03d5,0x4248011f,0x00000000}},	//   _salariai, _aspickag, _inimbe_, --, 
   {{0xbcee0076,0x21e101c9,0x858f02b8,0xd3950251}},	//   _вреди_, _भितरी_, _bagendey, _naasir_, 
   {{0xb03d0113,0x625d037c,0x451201a6,0x00000000}},	//   _poitéins, _miserrim, _tarukino_, --, 
   {{0xb2ef0242,0x334b0155,0xa8f50262,0x072700bc}},	//   _yaninda_, _modernt_, _barlyşdy, _فراسو_, 
   {{0x77ec0222,0x92640074,0x7fea00bb,0xa2d50239}},	//   _emballag, _muulla_, _لکیریں_, _motokia_, 
   {{0xa9f60041,0x899200ba,0x73660343,0x00000000}},	//   _abuéi_, _لیسکۆبی_, _itugyan_, --, 
   {{0xec36003d,0xe0b80037,0xf2200272,0x7dbd0050}},	//   _gauchesc, _እንዲይዝ_, _alikuzim, _ardiwina, 
   {{0xe0d30455,0xe52e0056,0x843400d7,0xb7ec0244}},	//   _demandez_, _abanomth, _dikadimo_, _imballag, 
   {{0x23150099,0x022b023e,0x16810012,0x8a6e00d1}},	//   _pamberi_, _agomone_, _जनमाब_, _কুৰুমাদা, 
   {{0xecda00d6,0x1ebb002b,0xac480156,0x00000000}},	//   _catalóga_, _গৌরনদী_, _צעלפאן_, --, 
   {{0x8202009a,0xde000145,0x00000000,0x00000000}},	//   _besine_, _parengta, --, --, 
   {{0x02f001ca,0x7d5a014e,0x1c37033f,0x9d9a02f7}},	// [7b90] _daniddi_, _помен_, _laungeau_, _farolaga, 
   {{0x3db602c2,0xb2a3004b,0x52bd0120,0x0c57020e}},	//   _waarheid_, _кореяға_, _booddam_, _баянов_, 
   {{0x603d04ca,0x730003b9,0x257f031c,0xd3eb0322}},	//   _direccio, _lakanti_, _explosió, _ahuta_, 
   {{0x87d80135,0x69e801c7,0x3f03041a,0x5af70059}},	//   _juravlev, _abananda_, _службами_, _завеси_, 
   {{0xc20e006c,0x6fbd00c5,0x3df60287,0x27bb00d3}},	//   _палав_, _中华人民共和国农, _zapínání_, _जंगलमा_, 
   {{0x27c30328,0x6c6702d9,0x9d370282,0x362904d8}},	//   _amatambw, _lanuola_, _maeneene_, _militeri, 
   {{0x6d690205,0x927f0222,0xef4902f2,0x87ed00cb}},	//   _چالارلار, _prenez_, _presiona, _командаа, 
   {{0x6c18032d,0x9fae00be,0x59ea01fa,0x00000000}},	//   _ынтылыш_, _запкы_, _longitut, --, 
   {{0xa178011f,0xa4510217,0x83670378,0x04520107}},	//   _pirandel, _murdrero_, _forritið_, _کمپرسی_, 
   {{0x85470119,0x8292051a,0x1201021c,0x9f1c0021}},	//   _euskirch, _firaun_, _dabing_, _adductwa, 
   {{0x83940034,0x4231009d,0xf264023b,0x6c8002cf}},	//   _hross_, _premten_, _puuloa_, _земеш_, 
   {{0x0aef024c,0x62e201d1,0x53260264,0xec6100bd}},	//   _postijie, _defined_, _dobrzyå_, _herried_, 
   {{0x749c026c,0xf3eb05f4,0x5fbb026f,0xd61d0150}},	//   _您的瀏覽器不支援_, _chuta_, _احىرەتتە, _festivol_, 
   {{0x62f400b4,0xd9760130,0x7201023d,0x5c61037f}},	//   _pericol_, _adeilade, _civico_, _turunda_, 
   {{0x127f02ca,0x3cd00004,0x3f4102d8,0xe4230037}},	//   _amanna_, _satisfè_, _bergaran, _የሚታዩበት_, 
   {{0x99e80178,0xd3010362,0xbc74004d,0xb8980120}},	//   _श्रवणम्_, _bazangi_, _考考你有多聰明_, _yakkoonu, 
   {{0x42e70004,0x750c00f3,0x7c120182,0xdf07015e}},	// [7ba0] _minustah_, _abamaziy, _hoopili_, _dreceres_, 
   {{0xdc390036,0x411a0040,0xf5820092,0xa0d60065}},	//   _اغلاق_, _מדופלם_, _おちまさとプロデ, _prozesso, 
   {{0x61cc00f2,0x25670198,0xd6400328,0x00000000}},	//   _finansēt, _razvidno_, _irangurw, --, 
   {{0xe34100a1,0xaffe0061,0x8c580060,0x7b270262}},	//   _kapenga_, _중소기업의_, _باقانىمى, _кабыллар, 
   {{0x552201f2,0xe2b604e8,0x92900155,0xcd22029f}},	//   _ﻛﯧﺮﻩﻙ_, _mescla_, _enskilt_, _školskej_, 
   {{0x0d5700c7,0x0c350244,0xa3fa005b,0x11ff0311}},	//   _казнить_, _lavatric, _haruto_, _ተረዲኡኒ_, 
   {{0x027e0289,0x534b01d9,0x5ef1028b,0xac760279}},	//   _chonde_, _gemellt_, _испаниа_, _occuper_, 
   {{0x83960131,0x439404b1,0x0ffc00ef,0x3ae60187}},	//   _persoa_, _tross_, _بليير_, _блокадат, 
   {{0xe37b0288,0xdd55000d,0x0e710012,0x2df201a3}},	//   _damadam_, _असरगंज_, _माछ्ी_, _چترڪاريء, 
   {{0x1e56021c,0x42240193,0xfe380223,0x00000000}},	//   _spravuje_, _cakka_, _aitatuta, --, 
   {{0xf6d201b8,0xd18800d9,0xd93a0011,0x00000000}},	//   _उगरिन_, _попадает_, _awalulwa_, --, 
   {{0xae020203,0x0c480450,0xe8420061,0x626d006e}},	//   _aprecisa, _jorwert_, _놓았습니다_, _liyon_, 
   {{0xc4c30046,0x51b101db,0xab19015e,0x268501d9}},	//   _алтындын_, _объектiл, _كۇلۇبۇنۇ, _ierjendw, 
   {{0x52a70176,0x4c0404f9,0x42da0488,0x06380153}},	//   _gracieux_, _apererus, _nesedz_, _ストア内検索_, 
   {{0xe3ea0122,0xaf07035b,0xbc5c03b0,0xe75a0060}},	//   _mbeta_, _preverja, _knutson_, _سالالاند, 
   {{0xe35f002c,0x421f0062,0xecc802d6,0x59d1025b}},	//   _langile_, _dahivlaw_, _кинофору, _rentustu, 
   {{0xac60001e,0xceb40079,0x8d94038c,0xfe5600fb}},	// [7bb0] _sabunta_, _vardarbī, _očekujem_, _babaleke_, 
   {{0x4b0d0192,0xbe0001c5,0x024902e7,0x0f6700b2}},	//   _자동적으로_, _wareegta, _giamot_, _dabaluun, 
   {{0x2ac40162,0xc38b0371,0xda980044,0xb34300c6}},	//   _берәлмид, _стените_, _articles, _ворона_, 
   {{0x23ea0362,0xd0b70017,0x03f90369,0x4df80061}},	//   _abeta_, _सुरुआत_, _nabulo_, _강원도민일보_, 
   {{0x0bb501e4,0xd25a01eb,0x83020126,0x00000000}},	//   _नियुक्ति, _apali_, _антибіот, --, 
   {{0xad8c0144,0xf9e60094,0x9f490163,0x0427026f}},	//   _تشاهد_, _қайтара_, _fórumlak, _جۇمۋعا_, 
   {{0xc16a04ce,0xff04002b,0x939402be,0xb16301f4}},	//   _rengulul, _খেরোখাতা_, _dingding_, _хушуъ_, 
   {{0x92d9003d,0xa4960103,0x19b5006e,0x5baa005b}},	//   _aquel_, _achapedz, _bindakat, _amazaras, 
   {{0x811e02ac,0x12fe0191,0x2163005a,0xa2010082}},	//   _وأصوله_, _plugga_, _monismeh_, _fifiko_, 
   {{0xc5860066,0x42e20151,0x32de0318,0xaf5b0499}},	//   _esaterak, _defiled_, _mohotau_, _salafaan, 
   {{0x29c70066,0x417e006d,0xc29100dd,0x00000000}},	//   _саналаа_, _дамбы_, _ngwaed_, --, 
   {{0xfb5d04ae,0x93eb012a,0x83e70257,0x0c0500c4}},	//   _тренинге_, _gratka_, _lýtur_, _unaruhus, 
   {{0xaa4d02a8,0xd5fd021c,0xe5bb0013,0xf3b1037c}},	//   _alleanza_, _potenciá, _kasanach, _quaque_, 
   {{0x126d0277,0x039a011c,0x7ef80135,0xd0f105c6}},	//   _giyon_, _fésal_, _foyesınd, _bronsepl, 
   {{0xe30100f2,0x868204e8,0x295c05e2,0x43eb0020}},	//   _paraugi_, _airenosi, _guionist, _siutu_, 
   {{0x06d5014b,0xa2000039,0x16b00237,0x00000000}},	//   _misaakii, _dakite_, _사용하기도_, --, 
   {{0xc224030b,0x348e0039,0xc1280037,0xef5f0078}},	// [7bc0] _makko_, _учирлала, _በመደበው_, _здравка_, 
   {{0x22020295,0x42e900a4,0xf3780452,0x00000000}},	//   _fusitu_, _desitja_, _danamon_, --, 
   {{0xf8130177,0x9af504c9,0x0c6e00b3,0xc2c300fb}},	//   _агрессиа_, _capoocan_, _awariya_, _imilomo_, 
   {{0xd26901a0,0x93fa006e,0x8d9c026a,0xd14b030d}},	//   _ahirival, _baaraami_, _kirtland_, _birjasın, 
   {{0x40070177,0xe27e0230,0x72640180,0x6387015d}},	//   _алаирхәы, _chonbe_, _diploy_, _alerty_, 
   {{0xbc9c0162,0xf3d505fc,0x8c5a0120,0x2ccd0420}},	//   _турди_, _प्रमुखहर, _kattaah_, _фасадата_, 
   {{0x782f01ee,0x33a300af,0x43f90226,0xafb904a8}},	//   _определя, _купувати_, _babulo_, _malonogo, 
   {{0xc62a0347,0xb25b0242,0xdc0700d9,0x63780343}},	//   _motiveri, _duelin_, _рецензия_, _kanamon_, 
   {{0x27f9004d,0xc2000010,0x78a4011a,0x29a40553}},	//   _網頁連結語法_, _bemiwa_, _טריינר_, _utýranej_, 
   {{0x0aa700e4,0xe4760259,0x4c230028,0xaa570170}},	//   _निर्भरता_, _datteren_, _weligeed_, _chimtumb, 
   {{0xa656026f,0x5a3d0071,0xb04d01e4,0xfc6e042d}},	//   _ءدﯨﻨﺪى_, _بارکد_, _बढोत्तरी_, _amerana_, 
   {{0xb6e60036,0x03eb02fd,0x9bfd00b9,0x21c302d6}},	//   _ههههههه_, _bratha_, _ponorogo_, _термамиз, 
   {{0xdc0301d3,0xb38803ad,0xd25a00fb,0xb63d011a}},	//   _kunskap_, _vassalli_, _eqale_, _bishopri, 
   {{0xdc67012c,0x13b800ba,0x984b00b3,0x2a500067}},	//   _فريال_, _بسڕیته_, _alamatyd, _fayeedaa_, 
   {{0xd39401ba,0x543201f4,0x927c019b,0xd9f7016e}},	//   _grosi_, _берсанги, _kūnui_, _muhabbet, 
   {{0xe35f045c,0xcea900c7,0x427f0243,0x125a03db}},	//   _doteraz_, _сайлаула, _geenih_, _iqale_, 
   {{0x227f01d2,0x8fc30217,0xc60c0350,0x00000000}},	// [7bd0] _llanta_, _admitter_, _አምባሣደር_, --, 
   {{0x7d060130,0xee5600e5,0x8394008c,0x23ea004b}},	//   _embreger, _застана_, _brosi_, _epitsa_, 
   {{0xd3ce013d,0xc05201a3,0x231a0405,0xca2801db}},	//   _solvo_, _اٽلندو_, _skriking_, _تولقىن_, 
   {{0xf9060026,0x635f0024,0x508b0148,0x22380177}},	//   _부탁드립니다_, _মানুহজনক_, _sanctimo, _ogamimi_, 
   {{0xc3ea0733,0xc476022b,0x675d034f,0x4f4a0188}},	//   _mbeto_, _guttesen_, _andizang, _amasheke_, 
   {{0x0fb900dd,0xef5c017f,0x08e903a4,0x00000000}},	//   _calonogo, _eriaginn, _hvessing, --, 
   {{0xd8290156,0x6f090374,0xe7bf045b,0xb3950422}},	//   _בליצפאסט_, _насорола, _fingerav, _lovski_, 
   {{0x3d88012b,0x32ee0049,0x95a300be,0xca88031a}},	//   _demotywa, _koefe_, _سوروڭدوت, _macilleb, 
   {{0xd76e0076,0x8f4a02b4,0xf3eb01a6,0x98b9003c}},	//   _подготве, _emasheke_, _oratia_, _تکاپوی_, 
   {{0x73eb0212,0x338701ec,0xe2d80326,0x2dd40128}},	//   _gratia_, _hagrid_, _achena_, _кучсиз_, 
   {{0x627f01fc,0xd27f0259,0xe37f038a,0x00000000}},	//   _yeenih_, _glanta_, _illakka_, --, 
   {{0x86090038,0x639001d5,0xdc770280,0x5bc00105}},	//   _беренче_, _ٹیکسوں_, _पाब्लो_, _znakomic, 
   {{0x32e60172,0x32de016f,0x20ff0087,0x9f5e0145}},	//   _ntintan_, _напарник_, _makhatol, _stiprina, 
   {{0x92240294,0x2224005b,0x2c9301b7,0x2b74027f}},	//   _akikoj_, _sakko_, _मुमोच_, _kamusaba_, 
   {{0xf22403f2,0xedb60096,0xbd8a0435,0x8a5d01a4}},	//   _pakko_, _abanyema, _старог_, _bolekaka_, 
   {{0xa37900dc,0x430e04a2,0x6c7c05e2,0x00e90188}},	//   _aavanoa_, _árabes_, _correos_, _abanenhl, 
   {{0x02cb02e9,0x62b40144,0xa9b90333,0xa2da02c2}},	// [7be0] _cuadro_, _icicle_, _accecava_, _streel_, 
   {{0x2ec20235,0xb30003d5,0x79810343,0x00000000}},	//   _ananuman, _aaraagh_, _girikome, --, 
   {{0xeb3b0078,0xea0c031a,0x7d320074,0xae480137}},	//   _екрану_, _chlaisne, _kuuntele_, _ихсэнэ_, 
   {{0x32d40202,0x5a620080,0x747b0307,0xd2d601b2}},	//   _ailopin_, _asiliiss, _kunganez, _bugloss_, 
   {{0xd863009a,0x12e50217,0xcd590025,0xfc7c00d8}},	//   _anenzond, _plenava_, _bateyaṃ_, _charrar_, 
   {{0xfc7d04a4,0xc063012c,0x99780159,0x9b7401dd}},	//   _biastan_, _zitakazo, _магдэбур, _bamusaba_, 
   {{0x06fd028a,0x727e01e5,0xc0cd0291,0x4b600066}},	//   _صدرالدين_, _monnú_, _هتلاقى_, _babesean_, 
   {{0x02b10178,0x0b9e016b,0xfd20030b,0x904700a6}},	//   _साधुः_, _shaharar, _alisikir, _ادعاکوي_, 
   {{0x93950172,0xe4990169,0x786f0306,0x63ea0130}},	//   _abasar_, _সংস্কার_, _veinticu, _kontet_, 
   {{0x6dad0287,0x129202d8,0x4b0f002e,0x0ff601a0}},	//   _dostanou_, _kirain_, _potpisat, _inthakho, 
   {{0xaeb80359,0xbc440205,0x50230060,0xb2b60126}},	//   _befolkin, _آخريدن_, _логинді_, _hardere_, 
   {{0x730e00d8,0xe2d7019c,0x7d7b0040,0x09a700bf}},	//   _agratis_, _itumọ_, _ללהיט_, _галаевс_, 
   {{0x805702b9,0xebe600e2,0x8e540119,0xb4210012}},	//   _feladato, _wagenbor, _atubanga, _गजओबर_, 
   {{0x98df0052,0xb2240065,0x42ab0299,0x00000000}},	//   _लाक्षणिक_, _jacke_, _بىكخام_, --, 
   {{0x6c560101,0x665d0486,0xabe0014a,0x5dff025c}},	//   _nastere_, _श्यामसुन, _meditáci, _bilderga, 
   {{0x32ab006c,0x9037029e,0x4b6c0155,0x6d0b00be}},	//   _abacishi_, _aostrian, _kommunic, _جەڭىلۉۉچ, 
   {{0xcb6c0114,0xe2cb02d3,0x21ff02d8,0x1d2401ec}},	// [7bf0] _communic, _quadro_, _didaerah_, _bausastr, 
   {{0x22e90176,0x65a5004d,0x00000000,0x00000000}},	//   _donitto_, _不可出現像是_, --, --, 
   {{0xc912027f,0x527700f5,0xc85b01f4,0x393003b0}},	//   _barajiju, _сатманы_, _dalolatd, _stemmese, 
   {{0x6f2e0019,0xaaec0156,0xcc6202c7,0xa6940364}},	//   _цикли_, _הנאָה_, _beruhen_, _innemini, 
   {{0xfc260081,0x9afa0217,0x836e00c5,0x284a0120}},	//   _samanbur, _confidib, _propulsé_, _kaloonuu, 
   {{0x58df00aa,0x708b0061,0xa3eb0172,0x32d802b9}},	//   _ringlead, _다녀왔습니다_, _nsatea_, _rekesz_, 
   {{0x72240544,0x19de0016,0x310900be,0x30bc0036}},	//   _kuokoa_, _מוזעאום_, _بالۋاندى, _siombail, 
   {{0x4248042e,0xfdbc05cf,0xcff10055,0xc2d3014a}},	//   _gammel_, _ostavite_, _exercées_, _hatodik_, 
   {{0x194c019d,0xd20100f2,0x53570189,0x92920233}},	//   _adaledze, _menedžme, _kareler_, _myrana_, 
   {{0x83eb01ef,0x1c0202a3,0xdc5303a0,0xbb5d01c8}},	//   _gauti_, _sessies_, _boutela_, _motivačn, 
   {{0xd1ba0192,0x3169014f,0x3f4500e6,0x2fda004d}},	//   _뉴스와이어_, _километа, _我参与的主题_, _且成績及格者_, 
   {{0x489d0047,0xa43904cd,0x61f50179,0x822402c2}},	//   _中国人民银行_, _prijelaz, _kounafom, _sakke_, 
   {{0x33eb01a4,0xa38602e1,0xe4e8018d,0x9bfa0372}},	//   _bauti_, _muirir_, _ኣፍሪካን_, _coffadwr, 
   {{0x4d14034f,0x1498009b,0xb37a01a9,0x2a7c019d}},	//   _سرتیرو_, _establez, _gozando_, _anyamata_, 
   {{0x82e2012d,0x70bc0037,0xd24e0259,0x00000000}},	//   _spendim_, _የመግባባት_, _chamiuki_, --, 
   {{0xd3f4058a,0x3a5d02e0,0x2a1001bc,0xc7ca007f}},	//   _tertio_, _diterama_, _relaasje, _gytseini, 
  
   {{0xf5540352,0xf2b60067,0x030f013d,0x00000000}},	// [7c00] _অনুসৰি_, _carcar_, _arabajn_, --, 
   {{0x00000000,0x00000000,0x00000000,0x00000000}},	//   --, --, --, --, 
   {{0x5142003a,0x02ee04cf,0x2acb023c,0x236802c7}},	//   _ўтмай_, _amanani_, _بدلېدونک, _mangels_, 
   {{0x1c370475,0x7469014e,0x2ecc00de,0x00000000}},	//   _району_, _годинама_, _emaitlan, --, 
   {{0xcc8a00f5,0x9b350038,0x03420004,0x6e14018e}},	//   _баллыеви, _аллаһу_, _ekselan_, _kanetana, 
   {{0x31860220,0x43eb0101,0xd5be0405,0x6bd10152}},	//   _икономик, _cauti_, _посмертн, _бәяләде_, 
   {{0x02c10257,0xc23102ba,0xba0a05b5,0x42ee0219}},	//   _fallega_, _adumisa_, _encarece, _emanani_, 
   {{0x928200c5,0x6eb80039,0x3379019d,0xcfd3003e}},	//   _与去年同期相比_, _айдастай_, _kosamba_, _героиняһ, 
   {{0x028d001e,0x917501aa,0x52000043,0x5ca600e6}},	//   _saukaka_, _aminoway_, _bachwezi_, _对男人最有杀伤力, 
   {{0x031b0110,0x9db60257,0xcbbf015e,0x32ca0168}},	//   _novadā_, _varnarla, _داستاندا_, _kledde_, 
   {{0xd290014a,0x91c100ad,0xb248000a,0xba0b03ee}},	//   _adnak_, _satengah_, _tiimit_, _izbacila_, 
   {{0x2354038a,0x8c7300d0,0xea0f0299,0x22cb00f3}},	//   _galeras_, _paisaia_, _ئادۇۋكات_, _kodonga_, 
   {{0xe5f80057,0xf7c90219,0x7304020f,0x937f0087}},	//   _ይከበራል_, _asashoni, _پرافغانس, _lakahla_, 
   {{0xde7201a3,0xd7580287,0xa94403c9,0x8df9018c}},	//   _مُڇون_, _बोर्डका_, _returner_, _hardloop, 
   {{0xa7cb029a,0x42f60058,0x8f2d0352,0xcec1025e}},	//   _kompatri, _kleilik_, _হেঁচা_, _kennaran, 
   {{0xe7db0274,0x1c5601f9,0xfe56003c,0x32f60036}},	//   _blessuð_, _dvutane_, _bedakake_, _meascadh_, 
   {{0x12eb0124,0x3e270040,0xb2cf0071,0x670804df}},	// [7c10] _drinkar_, _שגורם_, _لبخندی_, _amandöwl, 
   {{0xf2c30192,0x92d6001e,0xfb9d0170,0x7c0403d0}},	//   _beelden_, _motocin_, _chinacho_, _seksati_, 
   {{0x00000000,0x00000000,0x00000000,0x00000000}},	//   --, --, --, --, 
   {{0x23eb0694,0x2f740092,0x13b901d2,0x32cb003f}},	//   _ebute_, _ジ目を表示_, _bendezú_, _jatdu_, 
   {{0x88d300b5,0x8fd50008,0xc2ea015b,0xc02a034a}},	//   _акредитқ, _курсантт, _fainens_, _enderezo, 
   {{0x024802c5,0xd23601ab,0x613701ac,0x827f0569}},	//   _chimwe_, _mulje_, _neodrach_, _poanta_, 
   {{0x029004c3,0x63eb0558,0x0e2c0365,0x00000000}},	//   _fshare_, _ibute_, _दहचौर_, --, 
   {{0x5ea60010,0xf2ef00b4,0x7507005a,0x00000000}},	//   _ayelaman, _demisia_, _nihrajvo_, --, 
   {{0x28b000a4,0xcb150168,0x30f9018d,0xbf410231}},	//   _ايىتقاند, _forplikt, _ተቐንጢጡ_, _perscrip, 
   {{0x047c0309,0xe3af02fe,0x29690118,0x0da503b4}},	//   _başlanmı, _محصولاتو_, _abenonye, _achikuva, 
   {{0x7f790162,0xa3eb03fd,0xa593020f,0xd26d00ab}},	//   _өйләр_, _mautu_, _baneziph, _ngaoki_, 
   {{0x36ce02fb,0xc390060c,0x57430222,0x62cb048f}},	//   _fetakini, _bicykli_, _supprimé, _kolonga_, 
   {{0xca8800f5,0xf173010f,0xcd15005c,0xf532007e}},	//   _аллащсыз, _гордиян_, _akarekur, _cedimukh, 
   {{0x22a6006c,0x1aea0168,0x8ade0008,0xb47e039e}},	//   _ngoba_, _akersgat, _барпы_, _slagmark, 
   {{0xb7c90039,0x274a0366,0x17850159,0xf2e50028}},	//   _konparti, _пребыван, _рубель_, _arintaa_, 
   {{0xe3eb042a,0x222400cf,0x0d2700cc,0xed0d0125}},	//   _abute_, _aakka_, _forstyrr, _карарыны_, 
   {{0x322400cf,0x8e480310,0x78ca03d0,0x00000000}},	// [7c20] _bakka_, _morairea, _odbrojav, --, 
   {{0xb16900da,0x3e160439,0xb30202fa,0x6c710181}},	//   _меморие_, _eclevela, _ababaye_, _oversat_, 
   {{0x7a850003,0x22f1029f,0x32cb0318,0xfa1200de}},	//   _verzonde, _prospech_, _holonga_, _babajike, 
   {{0x5ad90092,0x64a4006c,0x094a0060,0xa3f40148}},	//   _トラックバックの_, _ababesuk, _жалбарын, _festum_, 
   {{0x33eb033f,0x958f038b,0x72240120,0xbabb00a3}},	//   _fautu_, _diwujudk, _fakka_, _gudvange, 
   {{0x6c9600b9,0xf22606e5,0xf05604c7,0x856e0037}},	//   _lovebird_, _sirkwy_, _sarajevo, _የአብርሃም_, 
   {{0x32fe033f,0x89d0006c,0xba080334,0xfa5d01a0}},	//   _fougaa_, _азнавсоз, _ankanena_, _holelaka_, 
   {{0x52a60011,0x98e6009b,0x63ea03e6,0xcd2d0224}},	//   _agoba_, _байтлаа_, _haiten_, _farmskír, 
   {{0x06f500c1,0x8c000231,0x06470251,0x130e00c1}},	//   _टिकवून_, _omissis_, _musharix, _teralis_, 
   {{0x7f2d0013,0x90a5009a,0xbba40166,0x82240200}},	//   _mustahka, _انجینر_, _lediglic, _esokwa_, 
   {{0x9dff0141,0x5a99021c,0xd25e004b,0x00000000}},	//   _bildirga, _netuší_, _holohadi_, --, 
   {{0x024803b0,0x50b70074,0x27c102bb,0x92ac0092}},	//   _gammal_, _парень_, _क्रियाओं_, _パックスナチュロ, 
   {{0xe30e00f3,0x630e00cb,0xb3f40540,0xcd19000d}},	//   _ababeza_, _ababuka_, _gestum_, _seisukor, 
   {{0x537f0068,0x7fa500c5,0xfead0087,0x57d40235}},	//   _dumarka_, _网络文化经营许可, _ayitheme_, _anapāyin, 
   {{0xb39603f0,0xdd030155,0x35450243,0x82a0014a}},	//   _versla_, _beslutat_, _kariibiy, _klubok_, 
   {{0xe7c10157,0xb63100ba,0x324801fc,0x4596004b}},	//   _क्रियाएं_, _ئابڕووی_, _jammal_, _ferekany, 
   {{0x22d904ca,0xcd98060b,0xd24800e1,0x463c0222}},	// [7c30] _aqueu_, _जावडेकर_, _dammal_, _auxiliai, 
   {{0x8529040f,0x927e0119,0xb3490105,0x03eb025e}},	//   _брутальн, _olinda_, _patelni_, _dautt_, 
   {{0x9f6a0073,0xd6cf0192,0x3ad503c1,0x99ea0061}},	//   _orgasmos_, _묻고답하기_, _balança_, _이미지첨부_, 
   {{0x9a170146,0x938600f4,0x4e1601f9,0x0c550138}},	//   _mencipta_, _guirec_, _balekela, _maltepe_, 
   {{0xf2da0369,0xed1d0116,0xe9d70268,0xedfa0148}},	//   _oluelu_, _doolsome_, _argeable, _condidit_, 
   {{0x031602c6,0x49800204,0xec3c0040,0x0a9106f6}},	//   _albaniz_, _аппарато, _מליוובאו, _cwintras, 
   {{0xa39404cc,0xd97f0020,0x63ea01f1,0xedf600c7}},	//   _mingling_, _alaifale, _mbeti_, _ашарга_, 
   {{0xf6a60006,0x135705ca,0x1307014b,0xa202000f}},	//   _contohny, _parecer_, _kacanuh_, _vesile_, 
   {{0x7b0004d8,0x22ca00b7,0x1d76005e,0xda850265}},	//   _بیچارس_, _maddy_, _бақсам_, _verzende, 
   {{0xe2830289,0xb43801a4,0x00000000,0x00000000}},	//   _chikopa_, _osakolak, --, --, 
   {{0x2c7301c0,0xf981005b,0xe85e0212,0x06f10354}},	//   _afisawa_, _yoshimot, _transitu, _ئوپىراتو, 
   {{0xeb770241,0x52da02fb,0x0596020d,0xde3303d3}},	//   _afurrafa_, _eluelu_, _berekany, _byggepla, 
   {{0x827f00f1,0xd43801a4,0x709602d3,0x134f0061}},	//   _drenaz_, _asakolak, _отоманск, _범위내에서_, 
   {{0x438200d6,0xff6801d5,0xe5f100e6,0x5dc4002c}},	//   _pharlaim, _rugalmas_, _接到用户报修电话, _ospitale_, 
   {{0x227f03db,0x0c5a02a6,0xcc84003e,0x72ca005b}},	//   _ilanga_, _cretini_, _огиялар_, _baddy_, 
   {{0x5977019c,0x825a01a7,0xf26c0225,0x77d6004e}},	//   _alainide, _mallia_, _kaiot_, _bugasbug, 
   {{0x3bdb04e3,0xb82e00cf,0x1438025f,0xea700307}},	// [7c40] _vidljivo_, _cimmisuu, _esakolak, _kuhanjwa_, 
   {{0x5fbc01a3,0x1c6f020f,0x86b20092,0x00000000}},	//   _جيئندان_, _دغوښتنو_, _stiftenf, --, 
   {{0xe20104a7,0xea3c014e,0x0e8601d9,0xf72700d9}},	//   _óxido_, _шумом_, _verwonnt_, _хирургич, 
   {{0x75960069,0xac1c0281,0x57a60190,0xb59e02e1}},	//   _yerekany, _sukumiis, _surrecti, _forghabh, 
   {{0x3f5b02f8,0xc61600e4,0x00000000,0x00000000}},	//   _falalaan, _zwolenni, --, --, 
   {{0x2ece00c7,0x985003b2,0x00000000,0x00000000}},	//   _аракы_, _persists_, --, --, 
   {{0xf9e001d4,0xe3b60333,0x9d050012,0xc6550037}},	//   _svegliat, _scavata_, _ठट््ठा_, _ለማብረድ_, 
   {{0x238703eb,0x485102d7,0x12f902b4,0x50f902bf}},	//   _gevra_, _arrodead, _kukhula_, _kukhulel, 
   {{0x1c5b00fa,0xc1cc0051,0x810202b6,0x5a210062}},	//   _katulad_, _finansēj, _аманжоло, _chochovt, 
   {{0x13870054,0x527f0243,0x1af30217,0x00000000}},	//   _asarar_, _heenih_, _refridge, --, 
   {{0x03ea00db,0x827f0120,0xf8d80061,0x12110064}},	//   _kontot_, _keenih_, _아리안링투칼라_, _аманатчы, 
   {{0x3fae0037,0xf29a01f1,0xb2d801c7,0xda17010b}},	//   _የስሙኒሎሚ_, _futbolli_, _bedewi_, _lefapaha_, 
   {{0x627e0342,0x0d2f00c5,0xd1660040,0x768100e6}},	//   _chonje_, _entière_, _היווני_, _经国务院批准_, 
   {{0x17a7049e,0x2b700059,0x8f7004c8,0x00000000}},	//   _opatreni, _ascoltar, _ilħuq_, --, 
   {{0xad1e0257,0x4e370022,0xd2ea0364,0xb03b0094}},	//   _einstakr, _bokapita, _sonndes_, _дәрмекте, 
   {{0xbf4801fc,0xff02006c,0x78fb02ac,0xdd230166}},	//   _caasidaa, _abajoyin, _بنتيجة_, _gelistet_, 
   {{0x94b40382,0x37e7038e,0x822403f1,0xd9550235}},	// [7c50] _angaswik, _विषयांतर_, _macko_, _aupaniṣa, 
   {{0x884702d3,0x19db0368,0x454201f4,0x0e4e02ba}},	//   _намали_, _корупциј, _تولبیدیل, _ханда_, 
   {{0xfb0900e7,0x42ef01fa,0x7a3d02f4,0x73ea0278}},	//   _apoprote, _elufe_, _víctimas_, _bontot_, 
   {{0xb3940129,0xd96e0222,0x1b1702d9,0xe51f0037}},	//   _ososo_, _disposer_, _mataitus, _ተያይዟል_, 
   {{0x73870138,0x6de1016d,0x0bd200ba,0x00000000}},	//   _devri_, _әхтәр_, _لۆچێک_, --, 
   {{0x549b0136,0xe95d01bc,0x364302ba,0x0af40204}},	//   _karamark, _asylsike, _antiyoki, _vieraide, 
   {{0x9387028d,0xb8d703bf,0x226d005b,0xb75e0115}},	//   _fevri_, _личагин_, _aiyou_, _titiwang, 
   {{0x5224009f,0xa0f10364,0xf30304b2,0xdf41002b}},	//   _jacko_, _stonnepl, _sinagot_, _পাষন্ড_, 
   {{0x24d800b9,0xc2f301fe,0x5292028a,0xf68a0061}},	//   _तत्त्वज्, _speight_, _tupate_, _남성화장품_, 
   {{0x47e7010d,0xa764018d,0x722401ff,0x8bd5023a}},	//   _विषयांवर_, _ዘየቋርጽ_, _lacko_, _formátov_, 
   {{0x13940663,0x5c7b00d6,0xee2900d9,0x539800ef}},	//   _esoso_, _seosamh_, _villitys_, _یقیني_, 
   {{0xb2ef000a,0x520e020f,0x2633027e,0x00000000}},	//   _buliija_, _دسپيڅلي_, _екстерит, --, 
   {{0x39360103,0x514c011d,0x8af50065,0x680500e6}},	//   _akamomot, _clientil, _energiee, _中方对此有何评论_, 
   {{0xc41d0010,0x02ee018b,0xe9840573,0x00000000}},	//   _besingak, _agentii_, _arrimahe, --, 
   {{0xcf490257,0x52240176,0x00000000,0x00000000}},	//   _borgarin, _dykke_, --, --, 
   {{0x88360040,0xbfac00ec,0x726c022c,0x29c90229}},	//   _היהלום_, _importuo, _diaos_, _gonderme, 
   {{0x6b7300a9,0x73c800bd,0xf35d0056,0x00000000}},	// [7c60] _kurongor, _dauvid_, _мачаллаи_, --, 
   {{0x42e70139,0xcb870156,0x83f1050e,0xed2804c8}},	//   _ambarīṣo_, _אינדעמני, _vizuelni_, _irjiħat_, 
   {{0x321802da,0x53ea001a,0x9c680369,0x72d80318}},	//   _потребни_, _pontot_, _ianuali_, _kelevi_, 
   {{0x916a0211,0xf9e70433,0x00000000,0x00000000}},	//   _lausunno, _manunumd, --, --, 
   {{0x7202024f,0x729002bc,0x02d801fe,0x3c6900f5}},	//   _akuila_, _ishant_, _delevi_, _doktory_, 
   {{0x73f801c8,0x49f50153,0x60fb02f7,0xe7700009}},	//   _linuxu_, _スイス製リュ_, _itshelel, _razvedri, 
   {{0x126d001c,0x529201e1,0x1c5c0211,0xd3e70008}},	//   _hiyom_, _fupare_, _mittaan_, _mític_, 
   {{0xf61d00f1,0xfd4902eb,0xcc6a0207,0xd2a6023c}},	//   _sinnyati, _хэлвэл_, _mpumbavu_, _egobe_, 
   {{0xc753033c,0xcc03033d,0x7c6c002e,0xf571009b}},	//   _weinidog, _jessner_, _puštanje_, _gustatuk, 
   {{0x68420179,0x9c78029b,0xc294002e,0x7f310741}},	//   _statudas_, _feussal_, _uhvatili_, _presseva, 
   {{0x8c230040,0xe1fa015e,0xa1c00020,0x3d2101b3}},	//   _mediated_, _كىشىمىن_, _taumatem, _перифері, 
   {{0x2c560111,0xb205018d,0xc6bb0022,0xaaeb0235}},	//   _pastore_, _ቤትትምህርቲ_, _basamari, _aparyant, 
   {{0x0afe0173,0xfa0800cf,0x5b5b0239,0x6c5c0067}},	//   _পদ্মা_, _magaalaa_, _auetanga_, _bittaan_, 
   {{0xa4fb02a5,0xf68100f5,0x0f450176,0x22000488}},	//   _गौशाला_, _гөчйән_, _helsinge_, _sakiet_, 
   {{0xf200012b,0xd7d80013,0xa2310166,0x139602e7}},	//   _pakiet_, _тартибда, _fremden_, _giusik_, 
   {{0x5b5a0250,0xe15f0192,0x8a7f0080,0x63eb000e}},	//   _mendimin_, _국제전화카드_, _alangass, _fauth_, 
   {{0xf24a0012,0x365300ec,0x6c07011a,0x9e390107}},	// [7c70] _किछेड़_, _анлайнав, _ביסקוויט, _dilapura, 
   {{0x0ccb0092,0xd6a700e5,0xddc40096,0xf3eb021b}},	//   _を報告する_, _масичка_, _alikumwe_, _nauti_, 
   {{0x2957020d,0x0bec034a,0x17740037,0x134002be}},	//   _yaboneye, _vermello_, _ከመምጣቱ_, _asyenda_, 
   {{0x8229015e,0xac13007f,0xa294002e,0x93040583}},	//   _келмек_, _diflannu_, _shvatili_, _opravil_, 
   {{0xe2d804c3,0x430b020a,0xc3eb07c3,0x304a00f5}},	//   _kwmeh_, _اۋماق_, _kauti_, _философл, 
   {{0x22fc0212,0xa2d30287,0xee0100b0,0xb3f800a0}},	//   _similis_, _natolik_, _wardagda, _ammuli_, 
   {{0xe3eb011b,0xd25a0385,0x35c3017a,0x914c03ae}},	//   _mauti_, _upalu_, _akwabakh, _avbestil, 
   {{0x884805ce,0x60ae0044,0xdd0002b9,0xe2120168}},	//   _ağustos_, _סוזוקי_, _دھونا_, _melhus_, 
   {{0xd9ce0288,0x8ef600f5,0x32f600ff,0xf6cb0407}},	//   _einfasse, _максады_, _meritoj_, _zapadnom_, 
   {{0x4aa4005e,0x72fc027b,0x48d201be,0xfba000bb}},	//   _ﻧﺎﯞﺍﺩﺍ_, _anyaiḥ_, _फलाटे_, _بیعانہ_, 
   {{0x4f2b00bd,0xa278029b,0xf3130216,0xcf4c0416}},	//   _colorear_, _adunaa_, _cincana_, _crestoma, 
   {{0x128d001e,0x53090625,0x530e02e2,0x04100061}},	//   _daukaka_, _osobnom_, _arratys_, _다니엘목털모장갑_, 
   {{0x47270071,0x72610009,0x226403dd,0xc52002bf}},	//   _پرنسس_, _škornji_, _perlat_, _kulomuny, 
   {{0x9c4c01e8,0x128e02b9,0x6c560455,0x4271002b}},	//   _aliwati_, _القادسیہ_, _facture_, _এব্যাপার, 
   {{0xf2360262,0x82ee00fe,0x89c7010f,0xaf8a0213}},	//   _sanjar_, _anefe_, _палатаи_, _наподоби, 
   {{0xd7c90608,0xb1e60177,0x406d022a,0xf2b40372}},	//   _contará_, _ақәыршаҳ, _kompenan, _choch_, 
   {{0x25700162,0xf27e04ca,0x5914018d,0xbf65034c}},	// [7c80] _келингән_, _alinha_, _ዘይተጸበናዮ_, _аланның_, 
   {{0xb28c03de,0x0058004f,0x208c04c7,0xd0610365}},	//   _omkhulu_, _addinaak_, _протеина_, _डिओसी_, 
   {{0xbd6b02a7,0xc6630196,0xa6030347,0x0c600110}},	//   _inimaget_, _atakhwef, _sindroom_, _misters_, 
   {{0x3e550285,0x17b3008d,0x42ef038d,0xec000204}},	//   _bihagije_, _fikringi, _toufe_, _hakusess, 
   {{0x92e8022e,0x02d80049,0x32ee0259,0xfa4b015e}},	//   _rivista_, _feleti_, _comfy_, _estelada_, 
   {{0xcee70468,0x3ba40622,0x5d0f01f6,0xd5bb017e}},	//   _ngokuban, _abazosub, _গীতিকাৰ_, _יצירהדיק, 
   {{0x70820354,0xb2fc01f1,0xddaf03b7,0x237b0243}},	//   _جەريان_, _burimit_, _ananasba, _tamaham_, 
   {{0xdb3b00a6,0x529002c2,0xa2e802d3,0xa8390244}},	//   _فساده_, _duikers_, _divirta_, _погледна_, 
   {{0x52d80132,0x462901b9,0x952901b9,0x029202d4}},	//   _keleti_, _indistri, _indistry, _repars_, 
   {{0x27a502fd,0xc35201de,0x73fa01ad,0x327703b1}},	//   _cairisti, _تانكە_, _barugo_, _jérusale, 
   {{0x475e023e,0xd5f50299,0x0dcd027b,0x7c0302bb}},	//   _antipang, _خۇەنجۇ_, _वाय्वग्न, _gessler_, 
   {{0xc2bb0119,0x42e003ff,0x0e630032,0x03eb0178}},	//   _ardenne_, _jednoho_, _cracowda, _apatya_, 
   {{0x84260019,0x8c030055,0x48e0001a,0xc3ea0334}},	//   _تۇشتاش_, _hessler_, _hangrend, _daiton_, 
   {{0x5c6b018d,0x831700e4,0x9b5300b4,0x06290358}},	//   _ንሳልሳይ_, _prezes_, _primavar, _endistri, 
   {{0x44d70088,0xf47b0418,0x1d0900d1,0x66830161}},	//   _катары_, _başlama_, _নাজিৰাৰ_, _солдата_, 
   {{0x12c105f2,0xaf45018d,0x8b7b006a,0x3a14021c}},	//   _gallega_, _ግበረለይ_, _mamokatr, _narazila_, 
   {{0x30fc0148,0x5a5700f5,0xa75d027c,0x53860165}},	// [7c90] _來到本站於_, _зинайа_, _andinang, _offrs_, 
   {{0x521d0208,0x32d30120,0xac910012,0xb6a7023d}},	//   _رجاره_, _kalomih_, _चमटोल_, _натиска_, 
   {{0xf41f01bd,0x92480396,0xa5050040,0xa051021b}},	//   _جەتپەيدى_, _fehma_, _עוקבת_, _эстонии_, 
   {{0x3e470002,0x668a018d,0x6127045b,0x420500f2}},	//   _prilagođ, _ክትጅምር_, _залози_, _satiksmi_, 
   {{0xcfbe02d8,0x8b9c007b,0x1d860155,0x7b0400aa}},	//   _प्रकाशने_, _auchencr, _arbetare_, _maagihan_, 
   {{0x5c3800bf,0x8860008f,0x9c6f04a4,0x23400505}},	//   _гостевые_, _बरमेश्वर_, _mearain_, _jaydotr_, 
   {{0xaaf0055a,0x65280010,0xbc5600a4,0x28910188}},	//   _orquídea, _baligubh, _арытып_, _лаҳҷаи_, 
   {{0xba5f01f0,0x5f2a005d,0x523200af,0x63f901ac}},	//   _bafetlha_, _americap, _tømmer_, _wpburn_, 
   {{0x8fbe0142,0xb3af00e6,0x52910396,0x941f02f6}},	//   _प्रकाशते_, _国务院决定_, _eskluż_, _bersiyon_, 
   {{0x42cf053e,0x052f0367,0xac6b0307,0x1d5b031e}},	//   _annonse_, _respeito_, _bobuntu_, _trebinju_, 
   {{0x04190125,0x92d60225,0x279300d3,0x4355016b}},	//   _хабарлаш, _eotokin_, _kritérií, _hadewar_, 
   {{0xe7e804d7,0x57ba000a,0xf60b0092,0xcbec0109}},	//   _varanleg, _akornini, _ヘルスケア_, _hyperryc, 
   {{0x2407000c,0x822701db,0x008c0078,0xf36800ca}},	//   _иастребч, _شارۋاسى_, _плаво_, _bulgars_, 
   {{0x93fa02a2,0x3deb0037,0xf29102f6,0x0355016b}},	//   _tarugo_, _አልተቀበሉትም_, _aswang_, _dadewar_, 
   {{0x52d802ee,0x99fe02da,0x63130194,0xa2650311}},	//   _anness_, _curitiba_, _syncopa_, _ምይይጣት_, 
   {{0x841a0109,0xff850152,0x83ea00dd,0xcf48036d}},	//   _pochoutk, _аллаһка_, _enetig_, _maighdin, 
   {{0xb34e0751,0x42b703b0,0x9e44033f,0x00000000}},	// [7ca0] _bibelsk_, _ব্লগলৈ_, _sikalaip, --, 
   {{0xd8020348,0x39ab0238,0xd2e1007f,0xc8420388}},	//   _ababayig, _складає_, _chanmol_, _кобрата_, 
   {{0x6348005b,0x6fbe01be,0x2ecb004d,0xbc1700b2}},	//   _foreach_, _प्रकाशले_, _解碼器下載_, _galameer, 
   {{0x4f5d054e,0xb2700191,0x025201bb,0xa24902fc}},	//   _quyaginn, _områden_, _mertebel, _ahamwe_, 
   {{0xfc6b052f,0xc238020e,0x228d0188,0x1f34003c}},	//   _wobuntu_, _краснока, _abukeka_, _dikulina, 
   {{0x930100a1,0xfab10181,0xb7db00ba,0x1c630031}},	//   _rarangi_, _vilhelms, _مریشکه_, _bejubel_, 
   {{0x914f01ca,0xe29100b2,0xd3e70255,0x39f70011}},	//   _danohmeh_, _dagatu_, _hätta_, _bagaleet, 
   {{0x9b68018e,0x0f1e0092,0x7ef60143,0x52240191}},	//   _ecalifor, _ネットのイマ_, _столичан, _hacka_, 
   {{0x94330035,0xf3e70255,0xa3ea001d,0x49a7005e}},	//   _феврален, _jätta_, _raiton_, _پىشقەدەم_, 
   {{0x934c0105,0xaeb80274,0x529e0170,0x02010138}},	//   _नाखून_, _áfengis_, _chajira_, _evrim_, 
   {{0xd533030d,0xfd9e0281,0x7a00034c,0x6a7e0210}},	//   _hakimiyy, _ikileria, _awraziya_, _anyarara_, 
   {{0x2db4016d,0x9224001c,0x06d201eb,0x096b03b0}},	//   _گوروھ_, _lacka_, _еврпатәи_, _samnange, 
   {{0xdf190453,0xa27f0172,0x18550092,0xfde10299}},	//   _navijača_, _moanya_, _最新タイトル_, _ئەلفىرە_, 
   {{0xd94e008d,0x0b5b00e0,0x9d1c0206,0xd3b202dd}},	//   _birlasht, _beneamen_, _posledne_, _intqal_, 
   {{0x934102e3,0x52e600b0,0x036e0039,0xacd803a1}},	//   _trieudo_, _arintan_, _мазаалай_, _огнестре, 
   {{0x528700ea,0x97cf01f9,0x22490014,0xc2f30510}},	//   _mahitsy_, _belucitf, _xhamat_, _страницă, 
   {{0x3f17038b,0xf22402f3,0x928a0012,0x88d4028f}},	// [7cb0] _saudaran, _backa_, _टिटोड़_, _mahurang, 
   {{0x02c2023b,0x42ea0287,0xac5600d1,0x82d9004a}},	//   _analema_, _povinen_, _fastare_, _bigeş_, 
   {{0xbd3c04f9,0xdf380106,0x273a0061,0xfc080272}},	//   _sisimiut_, _ह्रितिक_, _여러가지로_, _baggalir, 
   {{0x543903e2,0x83d9018d,0x32fc00d6,0xd7e30039}},	//   _traballo_, _ተሓተትቲ_, _rangú_, _боливид_, 
   {{0xce3c00fa,0xadf1016a,0x32fe01f4,0x33040057}},	//   _kaganapa, _kvadrata, _tergov_, _israeil_, 
   {{0xf84c033b,0xded60230,0xb51700d3,0x59140080}},	//   _khomphiu, _kwizinie_, _शब्दका_, _annanniu, 
   {{0x62b4005b,0x795d0263,0x68d400ab,0x44010039}},	//   _choco_, _veilighe, _kahurang, _kasuetan_, 
   {{0x10570122,0x13eb01d9,0x926b02c3,0x00000000}},	//   _tiongkok_, _haaten_, _colníci_, --, 
   {{0xffee01be,0x89fd012e,0x6ea802a3,0x327f01ac}},	//   _ग्रामिण_, _keresgél, _kritieke_, _clanna_, 
   {{0x92c80014,0x1ab70006,0xff200148,0x3d1c0039}},	//   _ብጸሎትን_, _meskipun_, _ostenden, _бутарсан_, 
   {{0x32360023,0xf3000052,0xcf3e02d5,0xe0f4018b}},	//   _sulje_, _redakci_, _कौरियां_, _familiil, 
   {{0x920f03a2,0xb2e60097,0x9d2201f1,0xf9cc048f}},	//   _गँठजोड़_, _irinran_, _hetimeve_, _kolongwa_, 
   {{0x49aa01cd,0xb85e02f4,0xad5501de,0x00000000}},	//   _кории_, _guardias_, _түрiк_, --, 
   {{0xe4ae014e,0x5dfd02da,0x404c0156,0x7a3200d1}},	//   _наложили_, _крадците_, _רפֿואה_, _মিনিটৰ_, 
   {{0xfe9e03b6,0x00000000,0x00000000,0x00000000}},	//   _olúso_, --, --, --, 
   {{0x4047018b,0x13ea03e6,0x03eb0018,0x12ba0468}},	//   _арборий_, _saiten_, _sautu_, _kumdali_, 
   {{0x6c2402d3,0xd3eb033f,0x83eb007b,0x93f802a0}},	// [7cc0] _geladeir, _pautu_, _mauts_, _tinubu_, 
   {{0x13ea0148,0xb2cc006e,0x02000176,0xf9e1018b}},	//   _aceto_, _amuleen_, _tomita_, _deputatu, 
   {{0xbafb00ef,0x02c7021c,0x6ba900b9,0x6b78004d}},	//   _abagqats, _lídra_, _फिल्मफेअ, _圖等稿件均為轉載, 
   {{0x944b0262,0x300601ac,0xab8b01a0,0x1d9c03eb}},	//   _baransoň_, _ترافل_, _larioncr, _hartland_, 
   {{0xca7c046d,0x817302eb,0x3e10027b,0x62000513}},	//   _kunakisa_, _энхманда, _शेषग्रहण, _komisa_, 
   {{0x5ed4000a,0xf8d7005e,0x856e0037,0xe2e80168}},	//   _naliliin, _مۆلچەرلە, _ከአብርሃም_, _anniken_, 
   {{0x426c041e,0xe29001d7,0x8c60017c,0x085f0418}},	//   _maiori_, _emnas_, _skjuten_, _sanatlar_, 
   {{0xb37801e5,0xd2eb0084,0x285100db,0x00000000}},	//   _alaafia_, _nyengir_, _purustas_, --, 
   {{0xde4b0037,0x18fd00ba,0x820003d1,0xddb902fe}},	//   _ለውጦቹን_, _دهۆکێ_, _nomira_, _ezinotha, 
   {{0x0e4f0472,0x23fd01cd,0xea8702b3,0xfd950487}},	//   _kehamila, _asinikez, _asinaron_, _קולטי_, 
   {{0x2eb905b3,0x74c9006d,0x5aa90244,0x00000000}},	//   _bevolkin, _варшаўск, _talvolta_, --, 
   {{0xf27f038a,0x76ba0334,0x7b3700ff,0xe7b500bc}},	//   _ilanda_, _akwaniri, _שאלעשידע, _angening, 
   {{0xdb610130,0x22fc00fc,0x01980242,0x9ec300b9}},	//   _gazetenn_, _daqihpu_, _borçalı_, _menyeret_, 
   {{0x71a601f6,0xd976009a,0x4b1802b6,0xe3eb0034}},	//   _নিৰপেক্ষ, _alahliwe, _توككەن_, _rautt_, 
   {{0xcc60022f,0x74960192,0x63f90279,0x053d011a}},	//   _mirties_, _학교정보를_, _algues_, _הישבן_, 
   {{0xe5250043,0xa6290128,0xcd210043,0x00fb0303}},	//   _abuzabuz, _саратони, _atusabir, _itsholel, 
   {{0x46b90223,0x13a90059,0x805900bf,0x76190376}},	// [7cd0] _halakori, _valvole_, _бенойн_, _handlaði_, 
   {{0x9cd702ac,0x2c6a029a,0x00ca01a3,0x84280147}},	//   _أعراس_, _portfey_, _ديانتدار_, _قوقيىپ_, 
   {{0x827f01c5,0x57430074,0x2ff80160,0x0c5e01cc}},	//   _keenay_, _курсе_, _trogodiš, _atithim_, 
   {{0x12250082,0xa3eb02b1,0xb2a70255,0xe27300c5}},	//   _haske_, _abuta_, _saabus_, _verrouil, 
   {{0xd2020207,0xb8470450,0xf9ef02fb,0x7c3700a4}},	//   _aprili_, _taalkund, _emanonga_, _بۇندان_, 
   {{0xb94e0342,0x586e0092,0xf2bc0497,0x79d103f3}},	//   _piblisit, _brancheu, _bowdown_, _levensst, 
   {{0x63c00169,0xd7db025b,0x79680164,0x12c500da}},	//   _ক্ষতিগ্র, _bilsmiði_, _әйдизниң_, _moldovei_, 
   {{0xf26c070d,0xd2e70278,0x28660157,0x0ea000b5}},	//   _maior_, _kuantan_, _grunwald, _imbujape_, 
   {{0xe5f7048a,0x5c6503a4,0x1d4a0369,0x75dd0076}},	//   _мамандығ, _faktist_, _kumakolu_, _бостонск, 
   {{0xcf6c0271,0xdbfa05db,0xc3f5023b,0x89590420}},	//   _forbrenn, _abathamb, _mailepak, _месецот_, 
   {{0x22910398,0xebd300a8,0x04cb058c,0x7ec30163}},	//   _texans_, _waldkirc, _जुनियर_, _kenyeret_, 
   {{0x829002c1,0x69c90277,0xfea50008,0xed9f01a6}},	//   _ruhame_, _conducme, _assumpte_, _koretake_, 
   {{0xd5340294,0x6ff80037,0xd30f01b0,0x2c070191}},	//   _anononly, _ይከተላል_, _terahir_, _skottlos, 
   {{0xe3eb00d8,0xdc0804ec,0x85e40411,0x1d57011a}},	//   _sauts_, _ategurir, _спаму_, _העוקץ_, 
   {{0x54da00da,0xfb6c059c,0xe2fd022d,0x38d7014e}},	//   _порня_, _stromver, _élixir_, _питати_, 
   {{0x63ea00d9,0xca6c006f,0xc2d80455,0xfbd702eb}},	//   _laitan_, _waafrika_, _coloris_, _жишгээр_, 
   {{0x56490037,0x58d405eb,0x62e0005a,0x35cd01dd}},	// [7ce0] _ዴንማርክ_, _baluding, _mabuslah_, _badatiny, 
   {{0x75f1032d,0xe989019d,0x88150064,0xae0201c5}},	//   _верхнеур, _chokweza_, _букара_, _wareegsa, 
   {{0x8e1b0140,0x3e3f0025,0x00df0092,0xe1d501d2}},	//   _sangkata, _animittā, _でしょうか_, _apolobam, 
   {{0x4fdb0192,0x42f1018f,0xa37d0393,0x00000000}},	//   _소비자보호에_, _jirehlaw_, _ustaše_, --, 
   {{0xb3ea0066,0x6d960461,0xd01901f4,0x634c0016}},	//   _baitan_, _minoriza, _колса_, _numeroj_, 
   {{0xb9d103f3,0x330304b2,0xe20202a6,0xc2cf00a5}},	//   _levensbe, _binalot_, _aprimi_, _tinoese_, 
   {{0x4be3037c,0x5c8101a3,0x33aa02be,0x00000000}},	//   _steelwar, _منگهارام_, _estadong_, --, 
   {{0x465e009d,0xe7690009,0xb9e3000b,0xfeb70388}},	//   _praktiki, _njihoveg, _penileta_, _каварна_, 
   {{0xf9560254,0x00740343,0x47d800a6,0xb90d040f}},	//   _escribir_, _bayaniho, _bavulelw, _egzaminu, 
   {{0x356601cc,0x59d00135,0x524804ea,0x92360461}},	//   _बन्धने_, _телим_, _shimet_, _manjar_, 
   {{0xbb970119,0x288700ff,0xa6170299,0x15250151}},	//   _tomaszów_, _װיאַזױ_, _ئاخصرقص_, _argidagh, 
   {{0x0571041c,0x367d01ac,0xbf370017,0x00000000}},	//   _bindalal_, _متضايقة_, _bannerů_, --, 
   {{0x0be00138,0x323602ce,0xb2fc0095,0x62e90207}},	//   _haberler, _ganjar_, _abogé_, _رابطوڪند, 
   {{0x58590153,0x33ea0192,0xdf9b03eb,0x00000000}},	//   _掲示板一覧_, _kontje_, _belemmer_, --, 
   {{0xff8e01a3,0x38d00235,0x40150053,0x904e0303}},	//   _تمهيد_, _प्रश्नान, _दर्शनी_, _ithuthun, 
   {{0x15e6034f,0x231702c8,0x5b7b0129,0x7f420166}},	//   _قاتلان_, _prezos_, _ọgaranya_, _herrscha, 
   {{0x42720297,0x6340008c,0x52240176,0x5d47004a}},	// [7cf0] _könne_, _urgenza_, _tykke_, _бизгәк_, 
   {{0xcebd0074,0x22020247,0xc7120040,0xc5a0027b}},	//   _компание, _maring_, _וחידות_, _वेगतः_, 
   {{0x0e640294,0x49090145,0x9c6102cd,0x00000000}},	//   _arichisp, _берагах_, _jarunta_, --, 
   {{0x0e390277,0x7da70021,0x401b010b,0xda140126}},	//   _gitapusa, _arbourha, _ithwelen, _innbunde, 
   {{0x8a2702d3,0xc2770156,0x75b50157,0xd5a203a2}},	//   _средби_, _מינימיזי, _metalowy, _चोदता_, 
   {{0x65880144,0xb01c0242,0xc5e90418,0x3e8800f8}},	//   _phriontá, _düşündüy, _tabanlı_, _নগরসময়_, 
   {{0x48d40456,0x2b18013f,0x7ead004d,0x727f0269}},	//   _kemurung, _balafenn_, _最後結算價_, _planea_, 
   {{0x7609017f,0x605803c6,0x00000000,0x00000000}},	//   _hotforum_, _selstann, --, --, 
   {{0xdffc017a,0xa2ea0373,0x7b0c004a,0x02640359}},	//   _abakwamo, _opinias_, _алуларын_, _ferlit_, 
   {{0x3404034f,0xb2500299,0x0b5800c4,0x2f1102b9}},	//   _akunyanz, _تىجەش_, _kukumbwa_, _páciens_, 
   {{0x7d160486,0xe1cb00ec,0x89e200bd,0x32240092}},	//   _odolnost_, _filmavim, _chiffone, _rykke_, 
   {{0xadbd040d,0xd5f800d1,0xab9600ba,0x895e00d6}},	//   _digalase_, _স্বত্তেও_, _سپاگێتی_, _billpaxt, 
   {{0xd84300bd,0x62fd0205,0x8c050092,0x00000000}},	//   _heathens_, _doniyor_, _diaryyy_, --, 
   {{0x7c640016,0xb87103d4,0x0a6702d5,0xf26f0288}},	//   _rezulte_, _истакао_, _हास्पीटल_, _kananoañ_, 
   {{0xd20200c0,0xbb3a01f2,0x269b0095,0x5db102a0}},	//   _haring_, _шиявушни, _برقصان_, _iragbeje_, 
   {{0xb49f01f6,0x7ba80320,0x93ea007b,0xd2d80417}},	//   _বিন্যাস_, _anekijar, _waitin_, _kweek_, 
   {{0x565d03bf,0x0ecb01c8,0x88db01dd,0x0d35027b}},	// [7d00] _йолалары, _srandovn, _arafungu, _संमर्द्य_, 
   {{0xea03002e,0x227a019d,0x2201029d,0x3afc01c4}},	//   _slušao_, _ganizoli_, _racire_, _skerpioe, 
   {{0xe2fb0207,0xd3170040,0xfe6e0178,0xf68e027b}},	//   _heshima_, _matched_, _apanītān, _वैशारद्य, 
   {{0x341301e0,0x10ec002c,0x59ff0110,0x93eb0074}},	//   _زاندن_, _gurasoek_, _neraugot, _saatan_, 
   {{0xb29000e4,0x08fd0031,0xfd0a01c9,0x035d0025}},	//   _ponad_, _urbanind, _dollarit_, _पक्षिणां_, 
   {{0x4d8d0014,0x356a0053,0xd8d70083,0x7ad400cd}},	//   _mundshme_, _मानसिकते, _anteriou, _battaise, 
   {{0xc23604c8,0xf2010119,0xd62d0089,0x442601be}},	//   _lulju_, _abbing_, _бисмилла_, _moskevsk, 
   {{0xcc0604c9,0xd2de0077,0xd3eb04d8,0x54af00d1}},	//   _janaãºba_, _krentif_, _waatan_, _সৰস্বতী_, 
   {{0x465c039a,0x059b009c,0x00000000,0x00000000}},	//   _senyumny, _empresak, --, --, 
   {{0xee1804ad,0x732102f6,0x00000000,0x00000000}},	//   _gatelela, _gadyet_, --, --, 
   {{0xc20202a2,0xe2c502c2,0x09a50287,0xd2ff01b9}},	//   _waring_, _kollege_, _designér, _nuritir_, 
   {{0xabe7019d,0x76d50020,0x9d4b01d2,0xae4d0059}},	//   _adalinso_, _lapataii, _eliastaq, _валежите_, 
   {{0x021302a2,0xf30401e6,0xd4680235,0x39a5034c}},	//   _anghel_, _upravil_, _alpebhyo_, _алкалар_, 
   {{0x39550427,0xdf26014f,0xe50802ac,0x5709015e}},	//   _iglokakt, _goclaver_, _بناااااا, _бериниз_, 
   {{0x678507c4,0xd30401ff,0xa68e00e6,0x629003fb}},	//   _आह्वान_, _spravil_, _天桥人大工作_, _lonac_, 
   {{0x52020122,0x218502ac,0x2b3c03f1,0x754d0097}},	//   _paring_, _أظهرت_, _kaviareň_, _kannáà_, 
   {{0x89680416,0xf4a900d1,0x7c9d0371,0x529f019d}},	// [7d10] _attincte, _ফলপ্ৰসূ_, _налагане_, _kunjako_, 
   {{0x499b0437,0x943e0145,0xe4ed00e4,0x46b7012b}},	//   _velkomme, _ганна_, _मध्या_, _rekreacy, 
   {{0xdf900039,0x17620299,0xcb060156,0x5e010452}},	//   _ичинхорл, _ئەھزاب_, _גידענג_, _gemetara, 
   {{0x73eb0286,0x4b82002b,0xd2de02f8,0x00000000}},	//   _apataa_, _কোফতা_, _mohonau_, --, 
   {{0x3340030a,0xa5770170,0x49f901f4,0x0e060178}},	//   _ribeira_, _anatsinz, _ундаган_, _cikīrṣām, 
   {{0x72d8020e,0xe26a0017,0x00000000,0x00000000}},	//   _abnere_, _expanzní_, --, --, 
   {{0x174b0242,0x7e1b0109,0x4ecb03db,0x00000000}},	//   _kürdəmir_, _hospodě_, _lilingan, --, 
   {{0xd3f9021a,0x4c1702b9,0x3ea502a3,0xc2b20247}},	//   _amuun_, _legutols, _afstande_, _boedaja_, 
   {{0x9884002b,0x536a019a,0x1d0900d1,0x23160160}},	//   _চেষ্টায়_, _forgies_, _পাখিবোৰ_, _odozdo_, 
   {{0x93c80085,0x8eb7010d,0x81bc01db,0xbf210065}},	//   _gauvou_, _sekolahn, _سۇيەل_, _strecken, 
   {{0xc25a009a,0xc76b045d,0x230f01c5,0x4c720155}},	//   _umhla_, _naučnici_, _qurbaha_, _jörgen_, 
   {{0x52900449,0x9a5f03b0,0xe82100bb,0x027f02ec}},	//   _konac_, _framtids, _سفاکی_, _inanta_, 
   {{0xee7000e4,0xe63500bd,0xb3ea04e8,0x3cb7020f}},	//   _पुनर्वास_, _bikinigi, _abetz_, _رامخته_, 
   {{0x23ea02e1,0x8d2b000d,0xb010023c,0xe4fb01b7}},	//   _contae_, _endiselt_, _پروېز_, _अददात्_, 
   {{0x42f5011c,0xa75a04d6,0x3d1202c2,0x7f7d0143}},	//   _bayitam_, _वोल्ट्स_, _kwelvrae_, _рогоносе, 
   {{0x1c550534,0xd95d053e,0x27a5031a,0xdab4034c}},	//   _wattpad_, _leilighe, _baidhsag, _bikkinin_, 
   {{0x92cc0075,0x6ab803a2,0xd83002a4,0xbdf802fc}},	// [7d20] _poulsen_, _जोगलिखी_, _commissu, _bagenewe_, 
   {{0x363601d2,0x1dd801f6,0x427f04c0,0x834802d3}},	//   _wikipidi, _সপ্তাহত_, _nnansa_, _олимписк, 
   {{0x75ef03fd,0xfb960212,0x8103004b,0x53f403c2}},	//   _alamanui, _sonicfur, _bookamel, _aortal_, 
   {{0x2c800536,0xe3a500cb,0xfeaa0107,0x81310602}},	//   _берер_, _ababesej, _تراورتن_, _kunderel, 
   {{0x12eb0230,0xa6a4034e,0x2077005e,0x38b704d8}},	//   _gonnder_, _aporvidh, _ﻣﯘﻧﭽﻪ_, _gardarad, 
   {{0x86050071,0x6d1400e6,0x83f402c6,0xcf350336}},	//   _انضباطی_, _finlande_, _dortal_, _bassgita, 
   {{0xd20100c3,0x72d8001a,0x19ef0087,0xdfdf01f4}},	//   _faciat_, _illeti_, _emananga_, _kelishmo, 
   {{0xd27e0068,0x2b090052,0x02f6027d,0x0045005a}},	//   _diinta_, _दर्शनको_, _хуманист, _masupqan, 
   {{0x6a7d020d,0x653b0047,0x23f700b7,0xd74c00bb}},	//   _hamagara_, _espagnol_, _aerowokz, _کےمزید_, 
   {{0xf4390085,0x525a0120,0x92d8008c,0x62cb021c}},	//   _daukitak, _biiluu_, _janett_, _pradlo_, 
   {{0xdc1c0089,0xa200017e,0x7b7001e6,0x97e1006c}},	//   _organnar, _nomita_, _cyklotur, _akapholi, 
   {{0x223601ec,0x1d700066,0x53f4023c,0xffbd02ac}},	//   _banjur_, _анкет_, _سنګروال_, _بسوهاج_, 
   {{0x7234024a,0xa26d005b,0x320103a4,0x4edd01ac}},	//   _ajumose_, _yayoi_, _avrit_, _نشرته_, 
   {{0xa28104d0,0x32f50243,0x69540178,0xd5080223}},	//   _ndihgah_, _bayisam_, _anyasaṃp, _планетий, 
   {{0x26c40082,0xa2c40024,0xb77f006d,0xc516000d}},	//   _rigakafi, _অন্ধ্ৰপ্, _спосабам, _दर्दवो_, 
   {{0x5ad4056f,0xe1460205,0x7df002e1,0x3292031a}},	//   _uzatvore, _qabristo, _أنبوب_, _phrawn_, 
   {{0xec090198,0xe29203d7,0xe27c01a4,0xa24a0203}},	// [7d30] _podpora_, _depans_, _abengaki_, _dormar_, 
   {{0xa3ea000b,0xf78c0061,0x329000fe,0x810100c1}},	//   _apitoa_, _농수축산물_, _konaa_, _तीनशे_, 
   {{0x42ee0742,0x1b43020a,0xab0b02f3,0xa38700f4}},	//   _anefa_, _федералд, _tangentb, _debron_, 
   {{0x8ea202fa,0xac1602d5,0xbf61007a,0x586a00f4}},	//   _evariste_, _टॉर्चबत्, _habbatus_, _dizintru, 
   {{0x33cf03ff,0x19da0105,0xc2900326,0xb39600bb}},	//   _sotva_, _spalania_, _benati_, _مہينہ_, 
   {{0x03e7024c,0xfc750166,0x396c0074,0x1ac90415}},	//   _esploraz, _samstag_, _начинает_, _schwange, 
   {{0xb224023b,0xce570340,0x22da000e,0x6305034c}},	//   _kookoo_, _harakeke_, _jurnale_, _автоград, 
   {{0x6a95002b,0x6e4400d1,0xf30001e5,0xe6e2004d}},	//   _উত্তরণ_, _চাংঘৰৰ_, _nilaari_, _診所要求我重新掛, 
   {{0xf6390391,0xe49800b4,0x33ea00c1,0x72d500c7}},	//   _тамашасы, _raportul_, _kloter_, _игенне_, 
   {{0xf20205a7,0x3c05009c,0xcfdb0097,0x577200e6}},	//   _lasiet_, _aparikus, _kùkùrúkù_, _未经本站授权_, 
   {{0x0298005e,0x78290145,0x32b404b9,0xade900ba}},	//   _تاماقخان, _расстрал, _crocky_, _پارادۆکس, 
   {{0xbc090424,0x226d003f,0xc4fd0088,0xa8d9004d}},	//   _cumpara_, _dayov_, _батыраак_, _請派工填補_, 
   {{0x92240331,0xbe020462,0x0c6900d5,0x220202a8}},	//   _tykki_, _abbedgra, _tantely_, _alwiġ_, 
   {{0x0bf2028c,0x2d9d006f,0x519300cb,0x75f70155}},	//   _protsess, _uzalisha, _нутфа_, _underklä, 
   {{0xe33601b7,0xaaec0066,0xcb72019e,0x30fe0060}},	//   _ध्यात्वा_, _konektib, _атона_, _نامازدىڭ_, 
   {{0xd2790099,0x4ab401ab,0x13f702d6,0x0bb603a0}},	//   _amainini_, _गोयड़े_, _aerovokz, _mashwalo_, 
   {{0xe2cb01df,0x8b720282,0xd0dd018f,0x12e703ec}},	// [7d40] _bradco_, _marutuna_, _matschaj_, _pranuan_, 
   {{0x120104b8,0x0fe50206,0x6c8300e6,0x5308030b}},	//   _awria_, _sporiteľ, _按不超过征地费总, _alabayo_, 
   {{0x03eb01e8,0x21e70045,0xffb7007b,0x1201008c}},	//   _payton_, _пропаст_, _faithers_, _avrir_, 
   {{0xdb840074,0xbc4e00e6,0x8254025e,0xf6580157}},	//   _опрос_, _国家质量监督检验, _indlandi_, _macierew, 
   {{0xe6b1000c,0x5290038b,0x6a820107,0x8a9d04d8}},	//   _амерхано, _menari_, _روماتولو, _wariyaas, 
   {{0xca1300ed,0x28760118,0xe4f4007a,0xb37903d9}},	//   _arkanghe, _agendamu, _diamanah, _ankatso_, 
   {{0xca710022,0xe20201b9,0x3c6102d0,0xe291029b}},	//   _baratuwa_, _kasiet_, _dirtier_, _fagaru_, 
   {{0xbe4a0169,0xa249035b,0xdd3100fb,0xcb6e0037}},	//   _বন্দেগী_, _znamke_, _azenzele_, _እንደናንተ_, 
   {{0xc29003e3,0xc31f0220,0x8457020f,0x059a02d6}},	//   _madanm_, _vescovo_, _اعادې_, _angladim_, 
   {{0x00000000,0x00000000,0x00000000,0x00000000}},	//   --, --, --, --, 
   {{0x3290038e,0x3f2802c7,0xdb640138,0xe2c10318}},	//   _kenari_, _runterla, _sebepten_, _taelata_, 
   {{0x5962015e,0x02d80282,0x3a0d0011,0x5f180192}},	//   _بىزنەسمە, _nehera_, _babasiba_, _centralp, 
   {{0xafac0420,0xc2900066,0x32a703e6,0x9dca020f}},	//   _спасов_, _denari_, _kaabes_, _ګروپونه_, 
   {{0x1afc000d,0xa4ac0040,0x50fa00d0,0x533700d9}},	//   _haiglass, _בלומברג_, _конвенци_, _виноват_, 
   {{0x5e620121,0x322502e7,0x622e03db,0x5ec800d1}},	//   _descarga, _pasko_, _ekuvusel, _উমৰাংচু_, 
   {{0x63ce02e5,0x59360040,0x228c0208,0x73ea022e}},	//   _milva_, _הסקטור_, _للیمی_, _acetu_, 
   {{0x12780315,0x000900bf,0xe6a403f2,0x12410087}},	// [7d50] _afunwa_, _животнов, _profiili, _ekampeni_, 
   {{0x5c0301bd,0xb0ea00cb,0xd3e302d9,0xb2d80499}},	//   _аналарды, _abanonil, _gautavai_, _molesi_, 
   {{0x7225013d,0x843e0059,0x829800d7,0xb3180059}},	//   _tasko_, _парно_, _bonjril_, _забраняв, 
   {{0xca890358,0xa201025b,0x42d800a5,0xc95e0322}},	//   _admisyon_, _avrik_, _folesi_, _aranyite, 
   {{0x02f40580,0x99f602e5,0xe6b7014e,0x191800c6}},	//   _jaunais_, _icondena_, _гаспром_, _недуга_, 
   {{0xc20c00bf,0xb212034b,0xb29e00d9,0x9c7200a8}},	//   _пределах_, _fulhat_, _читал_, _avertas_, 
   {{0xad890321,0xe3ec008d,0x386100f6,0x82fc04c7}},	//   _primerja, _asarlari_, _kubokunu, _купатило_, 
   {{0x92900331,0x42d804b9,0x027002f7,0x92d80009}},	//   _umfar_, _aweel_, _dirukutl, _kolesi_, 
   {{0x07920344,0x29e602ff,0xf875009a,0xb0180299}},	//   _anstalti, _granpapa_, _bezindid, _دېۋىدى_, 
   {{0xb27f0013,0xb4fe019e,0xc37e0376,0x1f1c03ab}},	//   _llanma_, _апярэджв, _flatmaðk, _parafíno, 
   {{0x53f401a6,0x811b0510,0x00000000,0x00000000}},	//   _hautai_, _акцехь_, --, --, 
   {{0x23eb0362,0xa2cf0206,0xdd230322,0xe7ed02b0}},	//   _abuti_, _vedomie_, _amasekur, _veranlag, 
   {{0x4c600054,0x00e5005d,0x5ebf0123,0xb2010198}},	//   _alluran_, _isencill, _bjergene_, _evrih_, 
   {{0x92e70225,0x8433026a,0x845b00ff,0xcee70013}},	//   _etangan_, _itekitek, _אפילי_, _қатағон_, 
   {{0x42d80039,0xc2d602ab,0x42d603b4,0xcb08001a}},	//   _behera_, _sitosin_, _bagorro_, _késlelte, 
   {{0x4ab40012,0x8f5f042d,0x9e360498,0x2e9300b4}},	//   _गोएड़े_, _antampon, _separova, _instalat_, 
   {{0xf2d80321,0xd2250409,0x52e70195,0x1c7401e8}},	// [7d60] _poleti_, _taske_, _cuantan_, _kayunit_, 
   {{0x93ac00e1,0x8f69013c,0xee3100cd,0x714100e6}},	//   _coppat_, _həzrəti_, _valladas_, _爱心化解悲痛_, 
   {{0xdd960217,0x62e7038d,0xd4980304,0xa2b40279}},	//   _infelice_, _etandan_, _merapatk, _chocs_, 
   {{0xf3f4039e,0x92e60196,0x6d150085,0x885e0229}},	//   _fortel_, _afanana_, _icurucur, _fotolard, 
   {{0x5509033d,0x6d3200da,0x00000000,0x00000000}},	//   _bisektil_, _frunzele_, --, --, 
   {{0xb1c000db,0x09f801ed,0x81a80126,0x6f690005}},	//   _इह्हे_, _komisina_, _проведут, _attaccas_, 
   {{0x435f01b9,0x6c610185,0x5933027f,0x95ab008e}},	//   _andetay_, _artuğa_, _itumbere, _imigirey, 
   {{0xe7bc017f,0xe7f8048a,0xe3ea00bd,0x00000000}},	//   _angerfig, _ультракү, _laitin_, --, 
   {{0xc2b30190,0x230e0188,0xbc240125,0x7a16006a}},	//   _edidobo_, _ababiza_, _redaktir, _manavaka_, 
   {{0x334f032a,0x6f070146,0x858701ad,0x00000000}},	//   _lyberth_, _alawiyya, _serranã_, --, 
   {{0xfdff000d,0x34650007,0x56170012,0xef4b0119}},	//   _nimetata, _dendelak, _फुरहुराउ, _klasmeyt_, 
   {{0xd3eb0015,0xe7cb0145,0xceb1024b,0x85f3017a}},	//   _haatan_, _miesteli, _asientos_, _ахмадина, 
   {{0x92250342,0xa43c026c,0x6be7009a,0x5b67008f}},	//   _paske_, _圖片及文字_, _ورزده_, _tuulepar, 
   {{0xcc53022d,0x55e7002b,0x29fa029e,0xbb0b0274}},	//   _purtata_, _তোমাদের_, _anvadure, _langanes, 
   {{0x22e70077,0x6422015e,0x575c00aa,0xb5840371}},	//   _atandan_, _адамзатк, _kalibang, _degustaz, 
   {{0x13eb0241,0xe24200a6,0xe2d8008a,0x51470045}},	//   _laatan_, _نهيلي_, _polesi_, _завичај_, 
   {{0x2ee8014a,0x06730029,0x6b82010c,0x501c0630}},	// [7d70] _بتانا_, _ساڵحی_, _कोरमा_, _ínvolunt, 
   {{0x183e003a,0x92d901f1,0x9682004d,0x043e00d9}},	//   _кимки_, _teknike_, _做為四川災區小學, _камни_, 
   {{0x3058030a,0xa3100408,0x8137006d,0xbfba02e2}},	//   _metadato, _eksaody_, _вакном_, _caducous_, 
   {{0xd52b03f8,0xa43200c5,0xdb820109,0x727f0436}},	//   _bodiltah, _国家计划生育委员, _कोषमा_, _klanja_, 
   {{0x73eb021a,0x1738004a,0x434a00bb,0x670701bd}},	//   _baatan_, _патамушт, _سکھائے_, _تۇپكىلىك, 
   {{0x849f0024,0xb9670044,0xf2d20040,0x67ce002b}},	//   _বিদ্বান_, _atmosphe, _בקבצים_, _মেমরি_, 
   {{0x98e4000d,0x1dbc053f,0x72d800a5,0xb2e9019c}},	//   _iseseisv, _makinana, _fanene_, _jàmbá_, 
   {{0xf2e60306,0x437f02ce,0xc40c0059,0xfd1900db}},	//   _atinman_, _balanja_, _legislaz, _reisikor, 
   {{0x5c6b0025,0xd0610122,0x43f9018e,0xd0dc0311}},	//   _कार्यो_, _انوری_, _magude_, _ባዕላትኩም_, 
   {{0x02ca01a1,0xab9c040a,0x33ea0233,0x8c56011a}},	//   _zonder_, _lantmäte, _glotir_, _pasture_, 
   {{0xff250369,0xf2ca0516,0x54d6060b,0x72d40250}},	//   _betesean, _yonder_, _टिपिकल_, _kalonin_, 
   {{0x62cb00ea,0x914501d1,0x9345024b,0xb675022a}},	//   _nahoana_, _especial, _especie_, _kompenät, 
   {{0xf3eb006e,0xc2cb0058,0xc5d6020f,0xd4580156}},	//   _baatin_, _miedet_, _کرسټل_, _מײַלער_, 
   {{0xf310012b,0x82d80082,0x82fc0115,0x729001a6}},	//   _pracuje_, _wanene_, _bongsu_, _konae_, 
   {{0x79da00d6,0xfaf30352,0x8d470280,0x43030110}},	//   _upalenia_, _skisente, _फेहरिस्त_, _paraugu_, 
   {{0x3b4b00b8,0x2fd201ef,0xe292026a,0x02a70222}},	//   _jattanwa_, _допуску_, _lawatu_, _spacieux_, 
   {{0xfbfd001c,0x5ec103c4,0xe2ec00f0,0x00000000}},	// [7d80] _trzebnic, _кеңәш_, _poviete_, --, 
   {{0x92ca0417,0x39ea004c,0xf2c50387,0x12540024}},	//   _sonder_, _abagonde, _emelite_, _অসম্ভৱ_, 
   {{0xa17e042f,0x42eb02ea,0xc2d8011d,0x3a8e0291}},	//   _munagill, _divieto_, _manele_, _بأنفسهم_, 
   {{0x49fb0497,0x640400be,0xfe5501dd,0xa4a40289}},	//   _shearwat, _resulten_, _bahagije_, _ithandiz, 
   {{0x178c0025,0x06cf0139,0xdcf2051f,0xc2900172}},	//   _दूतावासः_, _aakaazam_, _راسمه_, _honam_, 
   {{0x327e00ad,0xc2d80516,0x1c5403a4,0x77d20108}},	//   _uninga_, _sweer_, _bitting_, _benpasfm_, 
   {{0xf06a01ca,0xab7301b5,0x24b50008,0xf2fc01f9}},	//   _phrasebo, _bukutela_, _алмашып_, _bayalati_, 
   {{0x00de018d,0x1afc005e,0xa2ec00d9,0xf5b703dd}},	//   _ሸለልትነት_, _تەۋھىد_, _perille_, _paraardh, 
   {{0xf2020749,0x22fc0062,0x0b0c020f,0x99fd029b}},	//   _basiwe_, _nongqu_, _راګیر_, _mbartalu, 
   {{0x82d80194,0x92020014,0x54b801db,0x2c9f0311}},	//   _atmen_, _masive_, _جوقشىسى_, _ተቐልቂሉ_, 
   {{0x8c0903e8,0x88c601a9,0xcb6000a8,0xb5e103b4}},	//   _podpira_, _esperand, _disturba_, _akachovh, 
   {{0x6290008e,0x0dc60099,0x783e006c,0x22fd00fa}},	//   _sonal_, _amukweve_, _сирки_, _maingay_, 
   {{0x49f303b9,0x0f2e0025,0x130a019f,0x24a4019d}},	//   _charangu, _akutobha, _mwanakij, _athandiz, 
   {{0x9f5d0243,0x62900231,0x7a060205,0xb06600c1}},	//   _katayaan, _bonam_, _chirchiq_, _करिसी_, 
   {{0xf8470128,0x729000b9,0x1c630046,0x00000000}},	//   _папаси_, _menadi_, _سارقولعو_, --, 
   {{0x42d001a0,0x72d8004b,0xf2710055,0x2cd2037f}},	//   _afletini_, _hanele_, _arrangià_, _dəhlizdə_, 
   {{0xc5e5002b,0x731700f1,0xad140008,0xdfc9063d}},	// [7d90] _স্বীকারো, _vizaviz_, _recordat_, _smådyr_, 
   {{0x1bd70061,0x95d100de,0x00000000,0x00000000}},	//   _주문하실때_, _شیرازي_, --, --, 
   {{0x98ef0024,0x174c00ef,0x728d0309,0x143e0141}},	//   _সহজলভ্য_, _خلیفه_, _hesablam, _барно_, 
   {{0xee500149,0x5a7d0294,0xb81f03a8,0x1ecd0034}},	//   _jịnja_, _chirapaq_, _পটেৰ্লসম, _fantasíu, 
   {{0x1b18003e,0x92e2033a,0xfbcb005b,0x74170187}},	//   _batalets, _ghandom_, _cmjanコ_, _планираа, 
   {{0x79fa02fc,0xa9d3001d,0x00000000,0x00000000}},	//   _babakore, _suffrent, --, --, 
   {{0xbd49034f,0x5b9b0494,0x356e016e,0xd4a70126}},	//   _همغږي_, _poginulo_, _müdahale_, _протесту, 
   {{0x52d60515,0xe8b102c3,0x1290006e,0xcc7f000b}},	//   _antolin_, _ostatným_, _dinaň_, _mccully_, 
   {{0x8d850178,0x826d0080,0x3432026b,0x08d200da}},	//   _akampana, _aserfall, _তিনিও_, _ziareliv, 
   {{0x0c470361,0x9a0c009b,0xde1d00c1,0x00000000}},	//   _правами_, _kokapene, _manggara, --, 
   {{0xed23005a,0xf2fd0321,0x329000ff,0x3946014f}},	//   _basicvue_, _nekateri_, _bonaj_, _настави_, 
   {{0x2841043a,0x02d80077,0x10890046,0x199e0479}},	//   _saitotas_, _codevi_, _جالبىراع, _főkapitá, 
   {{0x729000b7,0x85fd0121,0xee470361,0x19b204b3}},	//   _sonam_, _intenció, _дахначу_, _gravitad, 
   {{0x32fc000d,0x611c0064,0x53940411,0x9d900444}},	//   _haigla_, _марттагы_, _kviser_, _берда_, 
   {{0x72d80347,0x18d204ac,0xbff8005e,0x6c3b03d1}},	//   _broers_, _бесконеч, _دوستۇڭ_, _nolikumu_, 
   {{0x3c6e00d5,0xc1d70021,0xb7c10026,0x879900be}},	//   _toerana_, _alletway_, _contactf, _جۅندۅلۉپ_, 
   {{0xbebc02ca,0x79070103,0x1e7d0052,0x0b67030d}},	// [7da0] _chosaint_, _matambud, _मार्स_, _toplayar, 
   {{0xc3a702a9,0x7ed0012b,0x215c002c,0xa53c00d9}},	//   _фронту_, _religijn, _бурам_, _indieday, 
   {{0xdd9e0312,0x127f00d5,0x58ca0187,0x0c7700cb}},	//   _arondisa, _soanja_, _хамбурге, _amisiwe_, 
   {{0xcc0004bb,0x03510157,0x12c400a8,0x00000000}},	//   _ameskas_, _रसीले_, _chommas_, --, 
   {{0x83180022,0xc7a80311,0xefb40311,0x772900af}},	//   _balileng_, _ክትንክፍ_, _ንተግሳጽ_, _витривал, 
   {{0x80bd0024,0x22010256,0x524603a2,0x3db800d9}},	//   _সজুলি_, _kleita_, _गुठली_, _rinnakka, 
   {{0x71880060,0x220402a6,0xcd170265,0xf2fd001c}},	//   _بورىشى_, _anfinomi_, _wenskaar, _naangay_, 
   {{0x0e540073,0xc46703b6,0xc20201da,0x5224044d}},	//   _capabile_, _aladugbo_, _pasive_, _lakkug_, 
   {{0x730d019e,0xd4e1002b,0x780800d1,0x00000000}},	//   _nugaros_, _কাটান_, _সাতৰাতি_, --, 
   {{0xea09006f,0xa35f00ae,0xa7fb05eb,0xf416033b}},	//   _ڪتابن_, _abogoje_, _ababhang, _mangwalo_, 
   {{0xc2ea00bf,0x3c090119,0x32d8020e,0xaac8024b}},	//   _стороны_, _kumpara_, _bolevi_, _estaría_, 
   {{0xa25b020e,0x833d03ce,0xc2760304,0x061f0209}},	//   _dialed_, _بیبات_, _diingini_, _akulerii, 
   {{0x0c550399,0x22fd01aa,0xbba802f6,0x0d7100c4}},	//   _aletale_, _abinsay_, _kaayusan_, _ٻروچن_, 
   {{0x8e1f018d,0x149f00f8,0x8e370195,0x00000000}},	//   _ተፈላሊና_, _বিদ্যার_, _rangacha, --, 
   {{0xb4d40262,0x2e6b01a3,0x50e90262,0xcb58002b}},	//   _җемгыети, _بيٺڪي_, _ansatjak_, _মোটপোস্ট_, 
   {{0x734101ec,0xc2780091,0x82d801fe,0x227f01ac}},	//   _اندام_, _tipaakum, _golevi_, _mianta_, 
   {{0xde090229,0x29c4018b,0x1b1f0242,0x2e1c0167}},	// [7db0] _doldurma, _череалел, _aylardan_, _hugeinia, 
   {{0x03eb0495,0x135b0252,0x22ca01e6,0xd2ef02ec}},	//   _ncuti_, _kungela_, _chodí_, _taliska_, 
   {{0xbda40381,0x3658019e,0x337b009e,0x00000000}},	//   _aikidowa, _ротмістр_, _virando_, --, 
   {{0xce6d015d,0x91d100b0,0x9c7702ee,0x0667027b}},	//   _कलाकृतिय, _dareemay_, _ffurmaw_, _लोपस्य_, 
   {{0x72d80333,0x7a5d006a,0x56570211,0xcd8f0086}},	//   _volevi_, _malefaka_, _hakkarai, _چمکتی_, 
   {{0x0b6d0192,0x8a5d0102,0xa41202eb,0x937003da}},	//   _우리나라는_, _kumfanya_, _цоохор_, _wizaadị_, 
   {{0x226c0117,0x863f0002,0x87bc0444,0xe2900018}},	//   _abaot_, _socijali, _голландс, _nonai_, 
   {{0x13ea018b,0x0aef01b2,0x2b790305,0x387f0350}},	//   _dintre_, _aliennes, _færøyane_, _ህክምናውን_, 
   {{0x059f028a,0xfc0a023b,0xd38602ef,0xd7760017}},	//   _بزرگيءَ_, _muapuka_, _danre_, _बाजागाजा, 
   {{0x0e44013c,0xa2d9013f,0x6a930188,0x595e003c}},	//   _ispaniya, _azvent_, _монеъи_, _صداگذاری_, 
   {{0x20c700a7,0x4a450041,0x234d02d3,0x61b30143}},	//   _кичине_, _akúvape_, _estejam_, _домове_, 
   {{0xbfa80139,0x720100dc,0xa8f3015e,0xa185027b}},	//   _उत्तमम्_, _aleisa_, _ахмедине, _एकाज्ग्र, 
   {{0x3a0a026c,0x2b6602c5,0x00000000,0x00000000}},	//   _apostolu, _amburera_, --, --, 
   {{0xa17901aa,0xf34301fb,0x860e0066,0x06030029}},	//   _aprilway_, _feretro_, _гүнзгийр, _ئیرڤین_, 
   {{0xc37c033f,0x6521020f,0x730e0487,0x00000000}},	//   _kavatoe_, _تخنيکونو_, _decatur_, --, 
   {{0xb2010034,0x84e601bd,0x6b6e0211,0xfe63019b}},	//   _fleira_, _بالاۋسا_, _эмоции_, _grandinė, 
   {{0xd4bf015d,0x9af2027b,0xe3dc00a2,0x9c7c0046}},	// [7dc0] _अवशेषों_, _avaropit, _apewe_, _correus_, 
   {{0x715c015e,0xe1830039,0x422403a2,0x576503bf}},	//   _куран_, _геннисээ, _cycki_, _амантаев_, 
   {{0x597c00d6,0xc7090188,0xd92b00b2,0x410702aa}},	//   _اجتماعيا, _медихи_, _filmotta_, _latinsky_, 
   {{0xa7f3020a,0x03b000f6,0x00000000,0x00000000}},	//   _сервисте, _bloqu_, --, --, 
   {{0xc26c03d5,0xda730444,0x34d600b5,0x7d0d01e9}},	//   _eamonn_, _поселке_, _дырааигә, _borokgwe_, 
   {{0xe88701cd,0x516901ec,0x89fd03d2,0xfeca03b2}},	//   _баланди_, _پارامتره, _strednéh, _surnames_, 
   {{0x29be031d,0xe94f0139,0xc1350222,0xf7d90156}},	//   _beleague, _athocyat, _syndical, _בישליימע, 
   {{0x2bb505d7,0xadca023c,0x63fa005b,0x5a700010}},	//   _pikkango_, _ګروپونو_, _maruko_, _bahlukub, 
   {{0x7b4b035d,0x16500462,0x248500bb,0xa2d80399}},	//   _računar_, _airnessf, _پروڈکٹ_, _koleti_, 
   {{0xa3fb0010,0xc3170033,0xddb200d8,0x02780238}},	//   _abishayi_, _prezis_, _quinzena, _елементо, 
   {{0x19c300e7,0x5fa70291,0x25c9014d,0xc2a203d1}},	//   _agmentat, _ودائماً_, _diebstah, _viljams_, 
   {{0x72d90176,0x82010145,0x00000000,0x00000000}},	//   _lavede_, _kleiza_, --, --, 
   {{0xc2000031,0x11d70349,0x52e20062,0x52df0014}},	//   _miliar_, _alleyway_, _lehivad_, _humorit_, 
   {{0x137303ad,0x7f7c0040,0xe2e60117,0x27da0060}},	//   _annullam, _ופלילים_, _guinean_, _بىيىككە_, 
   {{0x69fb03e2,0x03770059,0x634d02d6,0x99810333}},	//   _paradore, _лампата_, _талабида_, _avvinime, 
   {{0x5602002c,0xf29003b9,0x101a00da,0xd3fa0097}},	//   _интернэт, _jonan_, _дискурьж, _daruko_, 
   {{0x802a0371,0xcd6901f1,0x87a7000c,0x54860057}},	// [7dd0] _наводнен, _kulturë_, _ауырзымд, _suruhanj, 
   {{0x474b05de,0x4640006f,0x44b80025,0x65d50025}},	//   _planlegg, _kuhitimi, _विशेषाः_, _प्रतिसंल, 
   {{0x99d0002c,0xb3f00043,0xd2f00348,0x5c7e00f1}},	//   _telebist, _emirundi_, _malinzi_, _porsyon_, 
   {{0xd28a02b2,0x81d10188,0x7dfe0428,0x00000000}},	//   _вітер_, _адвокатҳ, _povezova, --, 
   {{0xec830342,0x0d03025b,0x031a0472,0x00000000}},	//   _randevou_, _vetrarfr, _keriting_, --, 
   {{0x524b019a,0xe16800b5,0x172302eb,0xab60029f}},	//   _prudhomm, _asesínop, _компаны_, _tínedžer, 
   {{0x41fe03b2,0x72900373,0x80380193,0xa3dd0438}},	//   _environm, _bonan_, _देवनागरी, _dzuwa_, 
   {{0x1c490276,0xa2ca01ce,0xd68704ae,0x00000000}},	//   _ташлайди, _ngidul_, _фашизма_, --, 
   {{0xc7a8018d,0xe4da009b,0xf2920131,0x44b701db}},	//   _ጽንኩርን_, _бодно_, _ítaca_, _عاشىقتىق, 
   {{0x13730174,0x8478019b,0x626d050a,0x326d00d2}},	//   _difaele_, _наступна, _elbisesi_, _boyong_, 
   {{0xd7e60012,0x69430296,0x8c6b0370,0x00000000}},	//   _आसचर्य_, _villkore, _cibuntu_, --, 
   {{0x560e02d5,0x74bd00a7,0xc290012f,0x601d0347}},	//   _oktoobri, _empordà_, _gonan_, _spreekwo, 
   {{0xb396016d,0xfdc00203,0x6bf60064,0xfba00137}},	//   _гумандар, _medievie_, _мартты_, _ёнзон_, 
   {{0xa487045e,0x127f019e,0x22ca0014,0x00000000}},	//   _гаджета_, _бдамлм_, _londer_, --, 
   {{0xc2ef011e,0xcf5a0220,0x766e0354,0x979d018d}},	//   _alafen_, _campione_, _рахманоп_, _ፈንጠርጠር_, 
   {{0x2646024a,0x4bb50124,0xef31022c,0x139e0301}},	//   _ṣàtúnṣe_, _dikkongo_, _saterusn, _həvalə_, 
   {{0xbd150238,0xbf0300ff,0x026c0338,0x0bb00289}},	// [7de0] _футболу_, _קאאליציע_, _acion_, _chikabir, 
   {{0xba970444,0x912c0066,0x93eb004d,0xc2900770}},	//   _среднем_, _бассейнд_, _acuto_, _wonan_, 
   {{0x777101db,0xbc020046,0x2290010b,0xc278028b}},	//   _جوعراپيا_, _passats_, _lonao_, _ofunda_, 
   {{0xbd830689,0xcd8b02ae,0x44db04ac,0x7aff0044}},	//   _निश्चिंत, _nogometa, _останови, _tourname, 
   {{0x315f02f3,0x702400c5,0x00000000,0x00000000}},	//   _ishockey_, _attendez_, --, --, 
   {{0x7eae04f9,0xedbf00e7,0xe88f0039,0x00000000}},	//   _ikilisin, _ainiacma, _ичингүйр, --, 
   {{0x020201d2,0x150800c8,0x053d00b9,0xc2ca0155}},	//   _musiku_, _гастролд, _vaginany, _fonder_, 
   {{0xedb60195,0x6fc300db,0x64a80169,0xa30e0288}},	//   _barrachd_, _horoskoo, _বান্ধবী_, _ibabaka_, 
   {{0xe9ec0066,0xd67b0212,0x99fc0362,0x32fd04e5}},	//   _donostia_, _bibendum_, _abangaka_, _abagwa_, 
   {{0x0c62013c,0x42020529,0x00000000,0x00000000}},	//   _qurumun_, _rusiju_, --, --, 
   {{0x029000f0,0x59db0299,0xb92c003c,0x8a4604ae}},	//   _penazi_, _بەڭباشنى, _زندگیشان_, _настати_, 
   {{0x5af90057,0x1f7902e1,0xb64a0462,0x82cb045d}},	//   _የተጻፈው_, _nasclean, _actionsw, _uradio_, 
   {{0x72900312,0x7a2d012c,0xf07300bc,0xb99d0125}},	//   _ronan_, _قلندر_, _رهبري_, _кагыз_, 
   {{0x7759018d,0x030e0288,0x402a000b,0xfebf0305}},	//   _ዝገለጽናዮ_, _obabaka_, _middlemo, _angripne_, 
   {{0x2af304ec,0x6a8900a4,0x94a10046,0xbf530244}},	//   _akarenge, _esportis, _тексттер, _товарни_, 
   {{0x76800052,0xa27d00f5,0x7d860288,0xdc52013d}},	//   _किरात_, _вадалары_, _omwerere_, _fontojn_, 
   {{0x3c690360,0x033d0208,0x45c80405,0x230e0118}},	// [7df0] _kultury_, _ریزان_, _благодій, _ababaka_, 
   {{0xa2ba0402,0x1b670335,0x3a200073,0xb90e00ff}},	//   _mendaki_, _छेदने_, _concipit, _וואלסט_, 
   {{0x92d901d9,0xef3a06a1,0xd39400dd,0x00000000}},	//   _wannste_, _kraftlin, _luosog_, --, 
   {{0xf3100309,0xa2b20014,0x123a033f,0x55fc023a}},	//   _mirzə_, _tradita_, _kaimumu_, _preukáže_, 
   {{0xe29001be,0x163c0080,0x57cd015e,0x3f2703a2}},	//   _konal_, _alliguni, _requalif, _हाईजैक_, 
   {{0xa386068b,0xaf1e004b,0xd089003c,0x00000000}},	//   _spirer_, _dintlafa, _دوستتون_, --, 
   {{0xac280057,0xee1b0462,0x9dec00be,0x3e18046c}},	//   _ኢንኅድግ_, _oldersha, _اندانسوڭ_, _verknüpf, 
   {{0xe26d000c,0xee50007a,0xa3eb01fc,0xfc520251}},	//   _cayos_, _kehakima, _laatin_, _maatada_, 
   {{0xbdce02b6,0x72c50129,0x116302ba,0x02b6028b}},	//   _жидек_, _mmelite_, _босифат_, _haidée_, 
   {{0x09fe00a1,0x9cc9037f,0x00000000,0x00000000}},	//   _hainahia_, _dadaşbəy, --, --, 
   {{0x939402f6,0x00000000,0x00000000,0x00000000}},	//   _aangking_, --, --, --, 
   {{0xefae0188,0xc2d6027a,0x434000d1,0x3a8f00ad}},	//   _дарки_, _naporan_, _লৈয়েই_, _dihiasan_, 
   {{0x392801ce,0xd2c5038b,0xd26d0269,0x223b0059}},	//   _تمجید_, _digemari_, _rayos_, _костинбр, 
   {{0xd2d8001a,0xae3702ee,0x867a000f,0x866102af}},	//   _elleni_, _lokalita, _dosyası_, _bibijejw, 
   {{0x7afb0461,0x3c2b01eb,0xe7cb00b4,0x00000000}},	//   _arcuelhe, _itanimbu_, _dimpotri, --, 
   {{0x2b150410,0xf8f2029d,0x998a030b,0xa69601c2}},	//   _russavia_, _тентатив, _alikwaza_, _cinefili, 
   {{0x02d8007f,0x942e0022,0x35650139,0xd5d700e2}},	// [7e00] _bumed_, _тәүфиҡлы_, _उद्धवः_, _trochspy, 
   {{0x329002e1,0x8c010257,0x53eb0119,0x124701c9}},	//   _ionas_, _flestar_, _abaton_, _चेतले_, 
   {{0xe3dd0197,0x0dda0017,0x0d850233,0x4a410128}},	//   _arawon_, _सर्वसुलभ_, _expenset_, _айланар_, 
   {{0xf27f0288,0x7a970067,0x9a3c0188,0x229004a5}},	//   _enanga_, _daayiree, _дуъои_, _nenani_, 
   {{0xb25a04b9,0xc0070012,0x53f90249,0xaae2012a}},	//   _twill_, _खोजऽतानी_, _tagune_, _skarbowe, 
   {{0x63870448,0x66640237,0x5a6c02e4,0x00000000}},	//   _sparer_, _들어서면서_, _jamminis, --, 
   {{0xc33d0122,0x50a80177,0xc67f01db,0x7ff90019}},	//   _tickling_, _еиҩызара, _تۋماسىن_, _анания_, 
   {{0xae1a0435,0x12f501b9,0x00000000,0x00000000}},	//   _победили_, _lamizik_, --, --, 
   {{0xf2900027,0x1b7b036c,0x9c0a0135,0xedb70039}},	//   _tonat_, _manolotr, _başlıça_, _катодын_, 
   {{0xe26d0025,0x11560046,0x72d50279,0xf2c70553}},	//   _tayor_, _барышат_, _fallait_, _lýdia_, 
   {{0x4da1053e,0x0a2303c9,0x30410650,0x92d80282}},	//   _kunnskap, _redaktør, _firfirco, _kehena_, 
   {{0xe310045c,0xa39600ef,0x529007c5,0x2b7b00d5}},	//   _verzii_, _ښځینه_, _konas_, _nanolotr, 
   {{0xfb6901df,0xede3020f,0xad3800bb,0x035e0151}},	//   _assertin_, _ګاډيوانه_, _نقشوں_, _brigaid_, 
   {{0xbc740122,0x43780082,0xad1e004f,0xfc1e004f}},	//   _kerucut_, _bakaken_, _ginnaawe_, _ginnaawu_, 
   {{0x1d7001ef,0x223b0304,0x42da01fe,0x393600be}},	//   _гноем_, _agamamu_, _tetevi_, _قارنداش_, 
   {{0xef16014f,0x12d80288,0xa2910488,0x6b170156}},	//   _станкови, _nteen_, _nevari_, _מכלומרשט_, 
   {{0xa7530087,0xf29001aa,0x327801e5,0x19f9019f}},	// [7e10] _esinagog, _alnay_, _igunpa_, _imeshind, 
   {{0xc1d000d3,0x62d80369,0x3e250052,0x9d8b0109}},	//   _zeleniny_, _hehena_, _विज्ञानल, _sardinie_, 
   {{0x727f023b,0xc5ce0188,0xbbb600f2,0x701e00d9}},	//   _onanea_, _хачми_, _streļčen, _воротник, 
   {{0x330501ac,0x93d7057b,0x85f80144,0x4e1c00c0}},	//   _كونان_, _portátil_, _eiseamlá, _pangkasa, 
   {{0xd29002e1,0x431901f0,0xeda00065,0xfdfa0202}},	//   _conas_, _badileng_, _sorgfalt_, _yéwándé_, 
   {{0xa26d029b,0x50f4000d,0x899a009b,0x46e8019b}},	//   _payor_, _mobiilil, _продакшн, _характэр, 
   {{0xa87800d0,0x09ff02c9,0xf290037f,0x90610274}},	//   _булангий, _juridica_, _menali_, _sportmyn, 
   {{0xe29001f7,0xc7d200c5,0x0290016b,0x4c75017d}},	//   _tonas_, _本站在未调查核实, _gonar_, _lærred_, 
   {{0x03f8018a,0x945600f7,0x00000000,0x00000000}},	//   _munud_, _studento_, --, --, 
   {{0x6291041e,0xb35600ce,0x1ae701cf,0x58f90092}},	//   _affari_, _lateras_, _quidepos, _bagageru, 
   {{0x42900034,0x02ef02a0,0x9a5d032d,0x1a6f0277}},	//   _konar_, _alafin_, _башларға_, _ekslusib, 
   {{0x837c0225,0x6d9b0094,0xb46c0082,0x00000000}},	//   _dobague_, _ايىرىلىپ_, _alkwarin_, --, 
   {{0xd2900088,0xf2bb0111,0x6b8c0161,0xa290017f}},	//   _donar_, _crudeli_, _мальчики_, _damark_, 
   {{0x82e703ba,0xfc18008c,0xa3eb0126,0x7934003d}},	//   _erangan_, _paupers_, _giftet_, _atemptat, 
   {{0x32250155,0x653d01d2,0x92e704a4,0xf7cb00da}},	//   _ryska_, _arphanch, _frangan_, _pompieri, 
   {{0xb7610444,0x696d0066,0x925b00dd,0x635b048f}},	//   _дворе_, _horietat, _anallu_, _fungola_, 
   {{0x683302cf,0x0c6001c0,0x9681038e,0x2bf304e3}},	// [7e20] _инсулино, _allunan_, _हलवाई_, _žalosno_, 
   {{0xe27e0004,0xff9b0151,0x0c7603a2,0xb2bc0126}},	//   _chinwa_, _engender_, _चैप्टर_, _професію_, 
   {{0x93f8018a,0x83dc0097,0xa3150247,0xf04d03dd}},	//   _funud_, _apewo_, _cincing_, _riprovon, 
   {{0x138602a6,0x82d802f7,0xa290022f,0x00000000}},	//   _amorse_, _lehela_, _ponas_, --, 
   {{0xd3820323,0x72e70373,0x5225021e,0x0e390146}},	//   _چارلس_, _grandan_, _tyska_, _keganasa, 
   {{0x975c0185,0xa351022f,0x927f038a,0xeaeb0538}},	//   _колхозны, _гельмінт, _ananea_, _overvint, 
   {{0x115b046d,0xd2900305,0x3297028a,0x00000000}},	//   _gungulel, _tonar_, _hajawahi_, --, 
   {{0x63790103,0xdea901be,0xbfd4003e,0x00000000}},	//   _kutamba_, _aktualit_, _героинял, --, 
   {{0x21b30208,0xb26e0396,0xb2cc04cf,0x3a14024f}},	//   _ئاخره_, _debituri_, _igalelo_, _tabalima_, 
   {{0x92900255,0xb379039d,0xea16036c,0x6ead02da}},	//   _annab_, _mulambo_, _hanaraka_, _полиција, 
   {{0xb292029b,0x57230145,0xf2d80026,0x00000000}},	//   _kawaru_, _бесстаро, _steeg_, --, 
   {{0x029a018d,0x27770040,0xb3f90237,0x2c7d000f}},	//   _ቤትፍርዲ_, _מתחמם_, _문의는고객센터게, _borsada_, 
   {{0x3a160403,0xe218023b,0x062200d7,0xeda401aa}},	//   _manaraka_, _ahakukam, _balletsw, _aggingwa, 
   {{0xa3c300c5,0xc30c03ab,0x961f0216,0x1aed00f7}},	//   _中华首席医学网_, _vyrazit_, _hlongori, _adreslib, 
   {{0xf20005ca,0x04a50079,0x2eb70035,0x82750019}},	//   _comida_, _nepareiz, _кульчицк, _алооке_, 
   {{0x0a7b02bd,0xb9e9028d,0xfe3b013b,0xe1330145}},	//   _canoloes, _langauge, _kahayopa, _бернарды, 
   {{0x84e90177,0x4c5400ba,0x8396013a,0xc478007f}},	// [7e30] _армарахь, _خنکاند_, _lussen_, _gadeirio_, 
   {{0x827e027f,0x7387001d,0x7ff60130,0xbbde03c2}},	//   _ndonse_, _aparir_, _renkadur_, _bravenes, 
   {{0xa5cc038b,0x6c73016f,0xf3f0017a,0x838201a3}},	//   _hilangny, _overtar_, _amarandi_, _پائلٽ_, 
   {{0xc07300ef,0x00000000,0x00000000,0x00000000}},	//   _bukayeho, --, --, --, 
   {{0x3c9303c4,0x13ea0255,0xc84c01c6,0xa96d03ee}},	//   _پاسار_, _mootor_, _boargers_, _ambijent, 
   {{0x06130591,0x8b9700ea,0xe585033a,0x5290034b}},	//   _eftersom_, _minisitr, _segretez, _nonap_, 
   {{0x1396018b,0x89d8033b,0x33f00219,0xf19a02aa}},	//   _varsta_, _lotegile, _emarandi_, _laserový_, 
   {{0x347d0483,0x510b00c5,0xf50c0321,0xe2a80095}},	//   _acústico_, _可占混合料的_, _bistveno_, _یوسفیان_, 
   {{0x425b018c,0xe2d8020e,0xeb6c00a9,0x5b0c0077}},	//   _spelen_, _behela_, _ziyonger, _kòryolan_, 
   {{0xf9370056,0xa8a700ba,0xb2fd002a,0xd281030b}},	//   _маҷбур_, _جوجکه_, _naagba_, _amabaati_, 
   {{0x72c3019b,0x4cca01f3,0xe20002ee,0x02a70028}},	//   _роднай_, _konkurzu_, _ikkoreġu, _aqable_, 
   {{0x3e180456,0x33eb004d,0xd25a01f9,0xcc7f0370}},	//   _kengkawa, _acuti_, _iwili_, _diaspal_, 
   {{0xeb8c00f7,0xa20600c7,0xb3dd05f4,0x8478046b}},	//   _varianto_, _alınğann, _asuwi_, _cadeirio_, 
   {{0xc202042a,0x326d011b,0x739603f3,0x926c009f}},	//   _basite_, _coboye_, _kussen_, _osnovo_, 
   {{0xd2d90516,0x6096003c,0x26190075,0x19810363}},	//   _safest_, _دامادی_, _tendrað_, _steinkje, 
   {{0x22ce005b,0x8b78013c,0x14bd0076,0x8dc30033}},	//   _imellem_, _yumruqla_, _николина_, _affischa, 
   {{0x7c930162,0x33f9022b,0x3b590213,0xc4450276}},	// [7e40] _گاداي_, _fagurt_, _ахмеда_, _بايىلا_, 
   {{0xd15c01e1,0xec1401b6,0xba170064,0x325a0339}},	//   _шунан_, _ארטישוק_, _ашкере_, _owili_, 
   {{0xebf20541,0x1ecb0258,0xcda20095,0x194f0193}},	//   _savladao_, _fernijin, _گارنا_, _परीक्षणे_, 
   {{0x82000252,0x526c01a7,0x85640051,0x22480171}},	//   _limiwa_, _samoin_, _informē_, _putovati_, 
   {{0x32c507a0,0xc7700025,0xd31f01ab,0xcc7601f6}},	//   _क्रिमिनल_, _कुमारिका, _गरेजुएट_, _ramstad_, 
   {{0x36b70226,0x36490311,0x7da60306,0xad6a0350}},	//   _angapiti, _ዝሕመይሉ_, _cucumaru_, _ተጭበርብሯል_, 
   {{0xd59102e2,0x7eb10073,0xa8d60239,0x827f02e1}},	//   _feverish, _legumine_, _kapurang, _cianta_, 
   {{0x59870012,0xb21a00af,0xca1600ea,0x00000000}},	//   _बिलमाव_, _говорячи_, _hanapaka_, --, 
   {{0x39f700b0,0x34360238,0x23ac0417,0xfc0f04b1}},	//   _maantana_, _партія_, _koppie_, _sertifis, 
   {{0xebe60117,0xd9f801f0,0x6d2c019b,0x00000000}},	//   _guidianc, _bomagise, _шчасце_, --, 
   {{0x51a3045c,0x9c700331,0xf3eb03b6,0xa38702dd}},	//   _svadobné_, _seasafe_, _ibatan_, _bierah_, 
   {{0x83dd0247,0xc202019b,0x3db9029f,0xd53302e2}},	//   _irawan_, _rasite_, _externé_, _breneeny, 
   {{0x04b60164,0x0e4b0167,0xa8040291,0x00000000}},	//   _ақивәтлә, _gadarnle_, _rinceoir_, --, 
   {{0xdf260169,0xbd070148,0xc3440258,0x4f5a018d}},	//   _querétar, _exprimer, _sebeare_, _kampione_, 
   {{0x6277002c,0x7a890076,0xdf0f00e6,0x37510156}},	//   _найман_, _продажба, _义乌市金豚工艺品, _בענזשעמי, 
   {{0xcf8201bd,0x60090019,0x12940204,0x1daf00fe}},	//   _توپاستىق, _сатирала, _mikkeli_, _pangikee_, 
   {{0x53eb01ec,0xd33200d1,0x82ef038e,0x9dbc02b1}},	// [7e50] _obatan_, _উদ্ভাৱনশ, _buminya_, _hakikana, 
   {{0xd27f02f9,0x025a0396,0xff710160,0x530e0322}},	//   _ananya_, _twila_, _pronalaž, _akabaha_, 
   {{0x32c4023e,0x657c00d1,0x02d9018e,0x58dc0365}},	//   _ngumpet_, _কুঁহিপাত, _mavele_, _बिघटन_, 
   {{0x310700ef,0xbaa80272,0xf3940274,0x727f0144}},	//   _مروره_, _abakusab, _kanski_, _rianta_, 
   {{0x227f02aa,0x5f95009b,0x03dd0140,0x06d30452}},	//   _agendy_, _тэрүүгээ, _arawan_, _जोडाक्षर, 
   {{0x527f0111,0xb616016f,0xa47b0418,0xc2ee00a0}},	//   _pianta_, _firmainf, _başlamak_, _camfi_, 
   {{0xc34100a1,0x1bdf015c,0xc3ac019a,0x5c7601f7}},	//   _kireara_, _gemenger, _dippet_, _chausir_, 
   {{0x1d2c00a5,0x5e4c036f,0x7c7600f0,0x97a8003c}},	//   _liliuese_, _goražde_, _tvorili_, _contohli, 
   {{0xe3460180,0xdd230039,0x7b650278,0x6d2e004c}},	//   _aksetab_, _kutsadur, _bertutup_, _basirise_, 
   {{0xde8f023a,0x00000000,0x00000000,0x00000000}},	//   _pozvanie_, --, --, --, 
   {{0x863701e1,0xda280187,0xfa08040f,0xb27e029e}},	//   _шарттарҙ, _циркулац, _набажэнс, _bennag_, 
   {{0x7380018f,0x43180181,0xfe3b0237,0x00000000}},	//   _jatraj_, _blogの_, _발행되었습니다_, --, 
   {{0x3f120409,0x9b650227,0x4d0b019c,0xb9f8012e}},	//   _studeren, _tertutup_, _bikosepe_, _intenzív_, 
   {{0xeeb4003b,0x6ed901cf,0x83ea018f,0xdebe00bc}},	//   _aboshiwe_, _notitias_, _qemta_, _digunake_, 
   {{0x02fd026c,0x3290006e,0xe96c015a,0x52ee0090}},	//   _ponitur_, _dofal_, _diinagde, _chefc_, 
   {{0x50600012,0x295d0026,0x2dbd00ef,0x62d80148}},	//   _kristiin, _hypothee, _akwazise_, _numen_, 
   {{0xc2910171,0x922503b0,0xa4d4015d,0x47dc00e4}},	// [7e60] _novac_, _tyske_, _अररिया_, _szeregow, 
   {{0xcae802d4,0x1c0402fe,0xb3eb02df,0x0c580035}},	//   _entochen_, _abasayi_, _ubatan_, _районнар, 
   {{0xf3a90232,0x12d90666,0x5b0200a4,0x43780037}},	//   _שמולעווי, _obveze_, _passatge, _semaian_, 
   {{0x9a730313,0x727f0403,0xeb64015c,0x15f3027e}},	//   _bingilha_, _siansa_, _streiden_, _повест_, 
   {{0xc009034f,0x0ad6008a,0x0017045e,0x22d80265}},	//   _درملنې_, _alatalat, _забранат, _ermee_, 
   {{0x453c00c4,0xc4990321,0x67b60148,0x62d8028a}},	//   _ريڪارڊ_, _prinesel_, _dissensi, _mumeo_, 
   {{0x203c029e,0xcc6f019a,0x720201b0,0x234700dc}},	//   _adreizho, _bourdna_, _abring_, _peleina_, 
   {{0x535402f3,0x03ce0111,0x7f670192,0x76260064}},	//   _arbetet_, _calvi_, _그리스도의_, _бруцеллё, 
   {{0x720001fe,0x01e70193,0x5c160422,0x42e7019c}},	//   _tomika_, _आधारे_, _stopinj_, _oranyan_, 
   {{0x22900049,0x1c590013,0x72c70147,0x29e80210}},	//   _fonau_, _халкимиз, _lídia_, _atingada_, 
   {{0xa1de0126,0xb25a05df,0xaf2e0143,0x73940530}},	//   _понеділо, _awilo_, _мобилизи, _sanski_, 
   {{0x8b670202,0x9f4b0415,0xcd6f0258,0xb9d801bb}},	//   _alatagba_, _jobsuche_, _komminta, _bitewile, 
   {{0x42900049,0x173101cf,0xdd7f03b7,0x12f50243}},	//   _honau_, _besoniav, _anillava, _ramidik_, 
   {{0x82900257,0xc8630162,0x2290029b,0x865c0080}},	//   _elfar_, _ﺋﯘﺯﺍﻕ_, _cofal_, _ilakkumi, 
   {{0x33f00440,0x82900166,0xd5ef0024,0xe22b005b}},	//   _amarundi_, _monat_, _নিবিচাৰে_, _dommere_, 
   {{0xd38b0479,0x558f013c,0xf0170045,0xaa100032}},	//   _három_, _iordaniy, _народну_, _eppatlha_, 
   {{0xe2d803d5,0x1aa00212,0x3ee1019b,0xd379036a}},	// [7e70] _armee_, _mobygame, _variklis_, _matadra_, 
   {{0x32900008,0xbd1c0153,0xc290068d,0x00000000}},	//   _ignasi_, _ビデオカメラ_, _alfaz_, --, 
   {{0x899f013d,0x0d85031a,0x646000e2,0x13ce0074}},	//   _proksima_, _chamhana, _aldehask, _talvi_, 
   {{0x73930086,0xe2fd0067,0x941200be,0x15090143}},	//   _واسطہ_, _baagaa_, _سەكتور_, _абсурдит, 
   {{0xa2c4008c,0xb255002e,0x2441002b,0x398a048c}},	//   _venderdi_, _odredbam, _পারস্য_, _backclot, 
   {{0xf9fb0687,0x7167023a,0x00000000,0x00000000}},	//   _barakore, _prepravo, --, --, 
   {{0xa37f01b7,0x32d80347,0x729e018b,0xcd060098}},	//   _tenaiva_, _steek_, _шираг_, _forlaget_, 
   {{0x5361012b,0xeaaa003a,0x7eb50061,0x00000000}},	//   _moderacj, _فعاللری_, _asperges_, --, 
   {{0x70ce015e,0x011605db,0xfb620333,0xb02d008a}},	//   _كەلگەندە, _abajikel, _barretta_, _lupefofo, 
   {{0x4eac019f,0x6bde00ca,0x61d700e7,0xb2d80064}},	//   _ريحانا_, _califòrn, _allenway_, _sumen_, 
   {{0xe2d90631,0x727e02fe,0x136800e6,0x00000000}},	//   _lavest_, _bhinqa_, _要通过学习_, --, 
   {{0xaae500c5,0xfc7302a2,0x83dc020e,0x9b72015e}},	//   _由工商行政管理部, _pinsala_, _буталсыҡ_, _беришипт, 
   {{0x62900017,0xb00900be,0x32d80181,0xdf5703f0}},	//   _konat_, _сириядаг, _troels_, _bakapren, 
   {{0x361d02a4,0x87c201aa,0x5e360018,0xd3ac01df}},	//   _pronunti, _anytimew, _tawasava, _gaspin_, 
   {{0x931602ee,0x327f00a9,0x141800a4,0x1e4a00e7}},	//   _globali_, _inanga_, _mobilitz, _algaryca, 
   {{0x15060220,0xed5701c1,0x47620591,0x022402f3}},	//   _recupero_, _सभागृह_, _skarsgår, _tyckt_, 
   {{0xcdbc0129,0x43c205ce,0xb29000bc,0x634200d1}},	// [7e80] _ikwalite_, _döviz_, _alfay_, _ড্ৰেক_, 
   {{0x4aaa026c,0xf2cb018f,0x52ef02ec,0x11040109}},	//   _universa_, _dimojta_, _qalinka_, _rozesílá, 
   {{0x6d0c0145,0xf0190060,0x7b3402fb,0xa19a021c}},	//   _выйду_, _қойса_, _hakaufis, _laserové_, 
   {{0x634d0287,0x22f102f7,0xa847017a,0x8fb20105}},	//   _झरिहाल्छ_, _basiami_, _нарасид_, _हितग्राह, 
   {{0x63a802bb,0xa29400ab,0x930500ba,0x1da404ad}},	//   _फिलिस्ती, _awakeri_, _دووان_, _dikokoma, 
   {{0x36b90039,0x85ca042a,0x956a017d,0x0ece019a}},	//   _nekazari, _akabalah, _sammenhæ, _traitors_, 
   {{0xeb5e00ec,0xa2550255,0x00000000,0x00000000}},	//   _арэну_, _विदेशन_, --, --, 
   {{0x6ddb0092,0x6674028a,0x00000000,0x00000000}},	//   _ブログランキング, _ubadhiri, --, --, 
   {{0x83f803ad,0x99c70177,0x0ea2028d,0x0c7e010d}},	//   _komuni_, _палатак_, _touleken, _inisial_, 
   {{0xc2780307,0xb3ea02f7,0x3a9e02ed,0x00000000}},	//   _igunya_, _dintle_, _abrirans, --, 
   {{0x02900054,0xe8c7007e,0x3498001a,0x02d802f9}},	//   _kofar_, _asyaiśva, _اِندراج_, _kolonis_, 
   {{0x2baf0526,0x2db90381,0x24220219,0x26220078}},	//   _tanyakan_, _achingca, _asikemuk, _baloteli, 
   {{0x141302ac,0xeedb03a4,0x00000000,0x00000000}},	//   _فاسدة_, _endurfíg, --, --, 
   {{0x116501f6,0x0d9501a7,0x02fd0218,0x5fcb0037}},	//   _আন্দোলনৰ_, _удачи_, _acantay_, _ፍላጎቱን_, 
   {{0xed030036,0x3b7e0528,0x9e4900c8,0x1ddd0235}},	//   _عدسات_, _ciallaic, _талпанда, _संस्थितम, 
   {{0xcea3029f,0xab6e032e,0x53f800b6,0xc1d70462}},	//   _zaplaten, _wallaqir, _hunun_, _alledway_, 
   {{0xf3f805ce,0x42f70206,0x3fbf0016,0x4c18032d}},	// [7e90] _bunun_, _pezinok_, _aventuro, _ынтылыу_, 
   {{0x03f80244,0x1e4e0064,0xfec600bb,0x304800d1}},	//   _comuni_, _чанда_, _پکانا_, _নিবাৰ্চন_, 
   {{0x731701ea,0xca5f036c,0xd042022c,0xb2900482}},	//   _jizzax_, _niteraka_, _konteksn, _innal_, 
   {{0xa6b702fe,0x49c20481,0x5946012c,0x00000000}},	//   _داداري_, _raadplee, _alimwele, --, 
   {{0xa2940240,0x553c04e7,0x6a5f0403,0xd2000134}},	//   _avakuri_, _polyfunk, _hiteraka_, _gomina_, 
   {{0x43f800b7,0x7909005e,0x02e20126,0x720e00bf}},	//   _gunun_, _йорктики_, _реквізит, _чапак_, 
   {{0x62900195,0x8b7603e2,0xd1780095,0x83b6008d}},	//   _dunadh_, _sublevac, _رزاقی_, _shovqin_, 
   {{0x319a0040,0xba5f00d5,0xf27f00a1,0x60450178}},	//   _מוטיבציה_, _miteraka_, _hianga_, _doṣapras, 
   {{0x92d10189,0x00000000,0x00000000,0x00000000}},	//   _bedelini_, --, --, --, 
   {{0xce53001c,0x3c4401d1,0xf41a0127,0xac9c0147}},	//   _schaffha, _servers_, _dishouez, _لۇساۋمئى_, 
   {{0x2c2503be,0xd7ed02eb,0x02fc0298,0x219a021c}},	//   _barashir, _командла, _karapoti_, _laserová_, 
   {{0x095e0265,0xcc51011b,0xd27802a0,0xc9fe00b7}},	//   _exclusie, _bantoma_, _ifunka_, _annasolt, 
   {{0xeeee04cb,0x5d0501eb,0xb14e00b4,0x133901db}},	//   _dezvolta, _destierr, _clientul, _киносыны, 
   {{0x973e0026,0x39e304c7,0xc35b01a4,0xcf3f0364}},	//   _volledig, _носача_, _fungula_, _fototour_, 
   {{0x2f4b025b,0x6c6e02af,0x02fc02bd,0x42d9018d}},	//   _borgarun, _inarega_, _longau_, _kafeje_, 
   {{0x003701b7,0x45fa0046,0xd29003bd,0xc5670185}},	//   _क्रियाम्_, _саммитин, _binag_, _бинаны_, 
   {{0x7f360193,0x72ef02f6,0x3c1b0344,0xc1550012}},	// [7ea0] _keturuna, _lumikha_, _allaasar, _ढ्ोलना_, 
   {{0x51780629,0xcf2c019b,0x1f4f0037,0x5330035e}},	//   _emailway_, _komercin, _መንፈሳዊና_, _sekulić_, 
   {{0xebac046d,0xc1550041,0x93490244,0x82ca0265}},	//   _mashango_, _аусшәҟәқ, _esserci_, _belde_, 
   {{0xc2900201,0x2cf702eb,0x43dc024a,0x00000000}},	//   _innam_, _баннэр_, _isiwin_, --, 
   {{0x927f00f6,0xe624000c,0xd90c0144,0xab130061}},	//   _inanma_, _румыниа_, _حقوقهم_, _객관적으로_, 
   {{0xb6c40433,0x42ea0116,0x00000000,0x00000000}},	//   _censorsh, _cronies_, --, --, 
   {{0x8390012c,0xd2a60082,0xe2ca017c,0x72da0198}},	//   _افراتفري_, _bagbo_, _khalili_, _lepega_, 
   {{0x312900c7,0x72d802dd,0x2f4500d1,0xa2ca0289}},	//   _митингла, _alleli_, _চিলনীৰ_, _chilili_, 
   {{0x1b0402f0,0x75f100ff,0x5d3e0155,0x876200bb}},	//   _akushaya_, _מוסלעמענ, _seriöst_, _الوہیت_, 
   {{0x2b6b03f5,0x225b015e,0x7c3b0544,0x172b00d9}},	//   _gostaria_, _pobles_, _kahikolu_, _столице_, 
   {{0x5c14029d,0x82500013,0xa9040028,0x826c00a1}},	//   _бурселе_, _теран_, _habargid, _kiriweti_, 
   {{0x22d8048c,0x782300ba,0x00000000,0x00000000}},	//   _sweex_, _پۆپۆلیزم_, --, --, 
   {{0xb1880213,0x52d8018b,0x83ac000e,0x5f4c0109}},	//   _попадают_, _colegi_, _tippat_, _automatů, 
   {{0x6305013d,0x84e100e4,0x2290003f,0xc7510272}},	//   _infanoj_, _प्रतिपिण, _jinad_, _bannamag, 
   {{0x3a8a02b9,0xf43b017d,0x027f0464,0x37750109}},	//   _amennyib, _ルマガジン_, _ihanwa_, _एकैसाथ_, 
   {{0xe2560169,0xd28e04c0,0x321c00bd,0x6c69017e}},	//   _মেট্রো_, _nkekaho_, _dished_, _estraro_, 
   {{0xd38d037c,0xec0e030b,0xd2d802e0,0xfd9e017f}},	// [7eb0] _bloggerj, _abatakis, _bodedi_, _sinniisa, 
   {{0xa2ca00a3,0x8b2f0368,0x93f80034,0xe92800a6}},	//   _selde_, _историје_, _munum_, _دماین_, 
   {{0x0c0502ee,0xda7e01d2,0x2ca20115,0x4da2019f}},	//   _tessuti_, _imbabura_, _menzahir, _ڊائنا_, 
   {{0x016901cc,0xe66401dd,0x758e033e,0xbb020162}},	//   _alpiiyah_, _aloyiziy, _iconcubí, _بەردىڭ_, 
   {{0x7aaa010b,0x72920227,0x0372000d,0x00000000}},	//   _batheles, _jiwaku_, _rajatud_, --, 
   {{0x0ec70092,0x73a7014f,0x3166036c,0xd6320189}},	//   _あらかじめご了承, _прослављ, _nitomany_, _vidimuzi, 
   {{0x727f01ac,0x89330262,0xc60d03f2,0x00000000}},	//   _cianda_, _серетмез, _kosmetii, --, 
   {{0x2c1c0608,0xfccc01d5,0x184b00d1,0xf6060092}},	//   _realizou_, _ٹیلنٹ_, _কেন্দ্ৰৰ_, _trafikmå, 
   {{0x6d52018f,0x72ee02cf,0x5a59041e,0xcaaf0064}},	//   _bimatlhq, _chefe_, _carestia_, _адалдоо_, 
   {{0x9c7e012d,0x416c0120,0xb2810305,0xb47f0376}},	//   _mausman_, _hirigteh_, _førskule, _biotøkni_, 
   {{0x52d80165,0x3c6b0193,0xb9c20263,0x00000000}},	//   _solegi_, _किल्ली_, _kinderst, --, 
   {{0x22d802d5,0x7f26034e,0x047b013c,0x33ec0326}},	//   _polegi_, _amarukta, _başlamaq_, _haamanik, 
   {{0xf8fd03db,0x73930422,0x4f140092,0x1dbd00e5}},	//   _bayaband, _dolarjev_, _artmeter_, _imperdív, 
   {{0x76400074,0x62d8030f,0x02fc00a0,0x00000000}},	//   _sosiaali, _kumea_, _gongfu_, --, 
   {{0x67e7006e,0x90f1013a,0x4c39002e,0xf04400a3}},	//   _asistaaw, _keeblitz_, _ozbiljnu_, _bebuaran, 
   {{0x569d047b,0xea44032d,0x00000000,0x00000000}},	//   _blogguri, _iphedisa_, --, --, 
   {{0x72d802c9,0x528d03cf,0xe17500e7,0x42910218}},	// [7ec0] _lumea_, _hesaplam, _agingway_, _amvay_, 
   {{0xe631012d,0xbd8a039d,0xc5990472,0xff210094}},	//   _dainamai, _tshelede_, _persiapk, _كوڭىلىنە, 
   {{0x50010256,0xc71a01f2,0x030d01c2,0xacfc003c}},	//   _fotogrāf, _ھىدايەت_, _ancares_, _ناخنهایش_, 
   {{0x2a020166,0xdc530061,0xf2e702dd,0xdb02014d}},	//   _entsorgu, _써브데스크_, _iranjan_, _entsorge, 
   {{0x4f4b02df,0xc2d8008a,0xf5e100c5,0x9f8c01f7}},	//   _korporat_, _aumea_, _您现在所在的位置_, _comprèt_, 
   {{0xd0c600a5,0x39fc0029,0xe4a70025,0xb70d033e}},	//   _amalamal, _داشبۆردی_, _नारायणस्, _накра_, 
   {{0xdb7301e1,0x36390058,0x53f800e1,0xb2090060}},	//   _barutuoa_, _tegilabi, _dunub_, _радиохаб, 
   {{0xe51201f7,0x909b00f6,0xba6c02e0,0xb201027f}},	//   _perugino_, _düşsün_, _gorogets, _mubiti_, 
   {{0x55ab0058,0x32d8014f,0x0d72002b,0x50730303}},	//   _bachenbü, _podeli_, _শিক্ষককে_, _difatlho, 
   {{0xeb5902e7,0x17d301bb,0x94450142,0x00000000}},	//   _bakterya_, _кэрханан, _स्थानेयो, --, 
   {{0x134000be,0x32b900f4,0xe29100c3,0x83a001e1}},	//   _بىلكەمىن_, _abiemeg_, _novae_, _статьяһы_, 
   {{0xbef5063c,0x925a026a,0xc0b80037,0xd37b0028}},	//   _बैक्टीरि, _iwali_, _እንዲይዙ_, _bosaaso_, 
   {{0x1b240057,0x63780057,0xa9670040,0x8226006e}},	//   _መግለፃቸውን_, _semakan_, _הגרלה_, _barkey_, 
   {{0xb25a0118,0x18630185,0xb2db01da,0x34d70039}},	//   _kwali_, _потанин_, _besnike_, _галавын_, 
   {{0xe2ca047b,0xafd5004a,0x25640488,0x8b9802c3}},	//   _kelda_, _суларда_, _noformēt_, _potešiť_, 
   {{0x02900120,0xd25a030b,0xa2d1022a,0xf3f80132}},	//   _innaa_, _mwali_, _nelonik_, _munuc_, 
   {{0xd2d90513,0x02ca0075,0xcaf30326,0x66b90188}},	// [7ed0] _swinene_, _melda_, _akaronge, _angasisi, 
   {{0xa8270061,0xaab60102,0x747902d6,0x00000000}},	//   _그렇습니다_, _machapis, _бизнесла, --, 
   {{0x82d8013d,0x62910212,0x370b0040,0xc3350244}},	//   _armeo_, _novam_, _להסדר_, _бунгала_, 
   {{0x31280244,0x92ef0362,0xc9f2020f,0xd6d3016f}},	//   _планинск, _baliaka_, _bangadle, _колишня_, 
   {{0x99dc01cb,0x927e0286,0x0201025e,0xa4220244}},	//   _esifunde, _ahinta_, _bleika_, _rimborso_, 
   {{0x0f300251,0x0dd601e1,0x12da0212,0xf510040f}},	//   _دلقرارو_, _baphapha, _alteri_, _сейма_, 
   {{0x38bc050e,0xe99600ce,0x42ca0041,0x72d80605}},	//   _zlatibor_, _sirkonst, _fondec_, _uteem_, 
   {{0x1b6d01ab,0x136c0449,0xf2d8012c,0x206c00e6}},	//   _बंदना_, _pametnij, _rehema_, _年度监事会工作报, 
   {{0xbe170188,0x030d028d,0x94da045e,0x389903e6}},	//   _алайкуму, _lokater_, _йоана_, _fonktiou, 
   {{0x603404e8,0xa3ac0244,0xd9d703b7,0x89d6020e}},	//   _acceditz_, _coppie_, _ammendme, _halefile, 
   {{0x82ca0456,0xd25a064d,0xb6800344,0x9d8c0156}},	//   _felda_, _uwala_, _arnerisi, _aprobata, 
   {{0x22ca01af,0x6e40044a,0x0ea30465,0x00000000}},	//   _geldi_, _bosanaye_, _zapleten, --, 
   {{0xb25a004c,0xc290001b,0x29c10208,0x6f0a01e8}},	//   _swala_, _ennaa_, _کورمانجی, _magwalda, 
   {{0x3b960135,0x5a26037a,0x83eb00c4,0x16080153}},	//   _миссия_, _ububasha_, _ڪئلينڊر_, _記事カテゴリ_, 
   {{0x43970113,0x00000000,0x00000000,0x00000000}},	//   _طالباً_, --, --, --, 
   {{0x67ad0074,0x39c2013a,0xb3dd007b,0x3af70147}},	//   _lastenki, _bauerere, _drawin_, _قىمدا_, 
   {{0xa2da00f1,0x52da02f7,0x8e620371,0x9f670088}},	// [7ee0] _motoris_, _boteti_, _гърло_, _даргага_, 
   {{0xc25a0511,0x0dff0250,0x03e6010f,0x298a0153}},	//   _twala_, _rezervua, _кадрҳои_, _においては_, 
   {{0x25470171,0xe9e8013c,0xd1a3023a,0xe84b000d}},	//   _pločice_, _fransada_, _svadobná_, _korteris_, 
   {{0xe98e0220,0xe25a0176,0xd3ea0028,0x3c190084}},	//   _самия_, _hvalp_, _hantidii_, _balakecr, 
   {{0xbb73003e,0xd97903a4,0x3528036e,0x835703a4}},	//   _baruruoa_, _gallerí_, _dirichuy, _happaði_, 
   {{0x52c20043,0xf2d8005b,0x5947002f,0x90c20397}},	//   _abalala_, _greed_, _ademille, _abalalel, 
   {{0x787a0518,0x5c7c004c,0x22020258,0xbff00242}},	//   _مثنوی_, _akasuwa_, _aksint_, _susuzluğ, 
   {{0xfc000145,0x06d30213,0xd2da0165,0xe5cc01cd}},	//   _miestas_, _топливо_, _kotesi_, _aphakany, 
   {{0x738f0247,0x383d03a1,0xb16300ba,0xe3f8012c}},	//   _senyawa_, _постижен, _زاوزێ_, _nunua_, 
   {{0x49d000c7,0x284e02ac,0x634301bc,0xb2cf0037}},	//   _телик_, _وأجهزة_, _driezum_, _ዓለማቀፋዊ_, 
   {{0x39db03c2,0xed0400da,0x827e0034,0x90630041}},	//   _congeste, _инвестиг, _sunnan_, _аҳәса_, 
   {{0x8da6051b,0x084f0151,0x1aea020a,0xd3980040}},	//   _posilova, _colonnad, _таралуын, _מתבגרים_, 
   {{0x0ca501db,0xdf1c03be,0x927e001b,0xe92700ba}},	//   _бередi_, _inkundwa, _diinaa_, _هاوێری_, 
   {{0xe2ca06f8,0xcf6a019f,0x336d0062,0x90e10452}},	//   _seldi_, _پروسيس_, _munghov_, _पणशीकर_, 
   {{0x14800052,0x46cd00d9,0xfa7f0060,0xc32000a2}},	//   _धर्मावलम, _ilmastoi, _باياعىدا_, _kinywa_, 
   {{0xca570302,0x1e0400fb,0x927e04d7,0x1c040096}},	//   _натанҳо_, _babengap, _tunnan_, _babungab, 
   {{0x420201b9,0xe2da0096,0x823e038a,0x8d1a011c}},	// [7ef0] _eksite_, _moteri_, _casadóma, _gorosist_, 
   {{0xd2da033c,0x929002ff,0x00000000,0x00000000}},	//   _loteri_, _ennan_, --, --, 
   {{0x3290001a,0xc4780261,0x128304d8,0x02ca00da}},	//   _onnan_, _valencio_, _bankiga_, _produc_, 
   {{0x125a014c,0x62da0211,0xf2d802c2,0x1558030d}},	//   _kwalo_, _totesi_, _wreed_, _brüsseld, 
   {{0xe85d0011,0xf27f0129,0x5202000d,0xac620510}},	//   _adonized, _nnanna_, _pisike_, _ужасном_, 
   {{0x4c600172,0x7a5d02fb,0x02ca029b,0xef42002b}},	//   _boutros_, _falemaka_, _ceddo_, _libreria, 
   {{0x430e0173,0x145a004d,0x285e001c,0x4a9900ec}},	//   _jugador_, _不代表新唐人网观, _alinsusu, _gimnazis, 
   {{0x82d801a4,0x00000000,0x00000000,0x00000000}},	//   _boleki_, --, --, --, 
   {{0x4ef00193,0x53440233,0x617b0278,0x29990045}},	//   _शरीरातील_, _cerebre_, _dijadual, _интерно_, 
   {{0xf25a0430,0x83b00165,0x40e70347,0x8639004a}},	//   _iwalo_, _inoqu_, _kleingel, _артмаяча, 
   {{0x92d80362,0xe29004bb,0xb2d80107,0x5ddd0235}},	//   _mileti_, _nkhaus_, _mumet_, _संस्थानम, 
   {{0x825a0196,0x447c00ff,0xb84d01d7,0x002e007e}},	//   _bwalo_, _תּירוץ_, _expositu, _arghapāt, 
   {{0x5ed902f4,0x427e02c5,0xea9000bd,0x00000000}},	//   _noticias_, _bhinzi_, _sclimmin_, --, 
   {{0x63960068,0xba5701cd,0x89f80369,0x52f402c8}},	//   _tirsan_, _биравад_, _komikina_, _avantar_, 
   {{0x569601f0,0x1ceb040f,0x91a3023a,0x0168018d}},	//   _banefili, _строфы_, _svadobný_, _ንብረቶምን_, 
   {{0xfe6c03ed,0xe37f0122,0x29fb0207,0x04e000d1}},	//   _opiniões_, _kenanga_, _سفارشن_, _অমলাই_, 
   {{0x285302b2,0x463b0265,0xb4a90145,0xac64013c}},	// [7f00] _площа_, _enthousi, _заляганн, _rektoru_, 
   {{0x7b190211,0x9423024c,0xe27e03f2,0xe675046d}},	//   _tamperee, _istituzz, _kunnon_, _mukhethw, 
   {{0x96670145,0x1e3800d2,0x07a804f8,0x9110027b}},	//   _pastebėj, _dicarita, _epitheli, _स्तृञ्_, 
   {{0xd94f0364,0x4e1d00c0,0xf25b0147,0x227f02a0}},	//   _rollinge, _pangkara, _mobles_, _ikansi_, 
   {{0x4dcb0148,0xe386022f,0x46ca029a,0xbbb300e6}},	//   _如您對管理有意見, _skirta_, _proporsy, _周年大会上的讲话_, 
   {{0xa25a06bb,0xb27f03b6,0xd25b0251,0xba1d00da}},	//   _gwall_, _akanti_, _khalad_, _советулу, 
   {{0xc665034d,0xbbe60497,0x2bff0574,0x00000000}},	//   _peristiw, _steelwor, _pneumats, --, 
   {{0xf30d0194,0xa1cf0403,0xc1ec014b,0x09e7004d}},	//   _vocales_, _katesizy_, _laaginih_, _我的電子信箱_, 
   {{0xa1d80276,0x0d050191,0x60c501c9,0x09f80050}},	//   _аңлиталм, _rekryter, _vallaval, _mimitina_, 
   {{0xf2ca0039,0x1998014e,0xc27f02fd,0xf28d0488}},	//   _heldu_, _калкулац, _mianna_, _sarkana_, 
   {{0xa2890265,0xb27f022c,0x14960099,0x00000000}},	//   _appartem, _lianna_, _fananidz, --, 
   {{0x32ca00ca,0x920001a4,0x23620376,0x4290046b}},	//   _índia_, _aimisa_, _handilsj, _innau_, 
   {{0xc200002f,0xffe300d6,0x42f40233,0xa200025f}},	//   _simita_, _مارتن_, _avansar_, _bimisa_, 
   {{0xde560056,0x023601ab,0xcd1d01be,0xcfb600c5}},	//   _бастанд_, _veljed_, _posoudit_, _instants_, 
   {{0xdb770088,0x12da02ee,0xaf2b0181,0xd1a7015c}},	//   _арманы_, _poteri_, _littlema, _sircharl, 
   {{0x973e0359,0xd45e018d,0xc32b028b,0xc675014c}},	//   _folledig, _ብትምክሕቲ_, _снаҭоит_, _kukhethw, 
   {{0xd62903f1,0x82900194,0x00000000,0x00000000}},	// [7f10] _predstáv_, _ornaty_, --, --, 
   {{0x138600a0,0x7643018e,0x62e301fb,0x4ed900a4}},	//   _shirya_, _dayireki, _ganiate_, _mexicans_, 
   {{0x826d005b,0xfc7503e6,0x825a01a0,0x00000000}},	//   _jiyong_, _liesung_, _ntila_, --, 
   {{0xdc0f00ba,0x522501ad,0xf13d00fd,0x8bfc021c}},	//   _نستیتۆی_, _lyski_, _naodhamh_, _synergic, 
   {{0x6073010f,0x52e0025b,0x19320092,0x556e0435}},	//   _kukajeho, _grundin_, _日本テレビ_, _подморни, 
   {{0x99aa0013,0xe25b00ce,0xd59500b0,0xf05b0311}},	//   _хориж_, _dyalog_, _tafsiirk, _ኮሎምቦስ_, 
   {{0xd2ca0265,0x8b880265,0x91140164,0x4e4d00b6}},	//   _geldt_, _herinner, _техникил, _kataanaa, 
   {{0xacbc0162,0x7cba028d,0x5290014b,0x127f0113}},	//   _башлайду_, _clopping_, _cinan_, _bianna_, 
   {{0xec6a019a,0x0c330058,0xe86a0164,0x1d170405}},	//   _buttery_, _drechter, _саламдик, _дисквалі, 
   {{0xa7ae00be,0xbb200343,0xe11200ba,0x72eb002b}},	//   _اشتىقتىن_, _igbalhin_, _نیۆیۆرک_, _সুপরিচিত_, 
   {{0x4ed40354,0x327f002f,0x1a0802e2,0xe373000d}},	//   _темисиди, _chanpa_, _benainst, _tabatud_, 
   {{0x34480420,0x527f00d6,0x77d6000e,0x58830153}},	//   _критикув, _fianna_, _gadazidv, _人間と違い保険効, 
   {{0x6fbd0037,0x168d00f7,0x21b900d9,0xcd2d00af}},	//   _ተገድለዋል_, _arkelogi, _stressiä_, _roligere_, 
   {{0xe66901a2,0x32900259,0xeb1f04e6,0x2a900193}},	//   _pamazām_, _ainan_, _dinadaan_, _फर्मान_, 
   {{0xc62b002f,0xefe90193,0x97db01c9,0x42910074}},	//   _katiguri, _सहकार्य_, _गुजरबे_, _kovan_, 
   {{0xe317036c,0x1a5d0007,0x82140064,0x4d5e014e}},	//   _manampy_, _balekaka_, _execució_, _средином_, 
   {{0x4f6b0270,0xce4903db,0x2de9015e,0x5d1501d5}},	// [7f20] _cavallos_, _bayakuba, _داستانىن, _rekordot_, 
   {{0x13e10393,0x3292005b,0xea14023b,0x7290010b}},	//   _sastojci_, _mypage_, _lutanela_, _dinao_, 
   {{0x7a7d02ee,0x00000000,0x00000000,0x00000000}},	//   _imkabbra_, --, --, --, 
   {{0xb29002f3,0x237f02bb,0x7291016a,0xb3ea0387}},	//   _annat_, _samasya_, _novan_, _edetu_, 
   {{0x45030060,0x528b03ff,0xb3ea000c,0xa2d80270}},	//   _سانجى_, _pomocí_, _teete_, _armea_, 
   {{0x43ea0129,0xfb0c02b6,0x75d60321,0x6c750235}},	//   _ndetu_, _луина_, _prebavil_, _विद्यु_, 
   {{0xdb96067f,0xc3f80172,0xf3ea0387,0x6c190189}},	//   _maniliur, _hunuu_, _idetu_, _defalarc, 
   {{0xb27e03ae,0x8e6c030d,0x63480350,0x00000000}},	//   _bunnen_, _soccerma, _ግብአቶችን_, --, 
   {{0x28ce02ca,0x524801bb,0x45a30074,0x8291048c}},	//   _leithlig, _medman_, _номеру_, _albaan_, 
   {{0xf27e03b0,0x045e0168,0x826c01a6,0x00000000}},	//   _vunnen_, _prevensj, _riripeti_, --, 
   {{0xf25a013d,0xcc740033,0xda4f01f5,0x72d80045}},	//   _utila_, _annuals_, _modelnya_, _dodeli_, 
   {{0x2d4b002f,0x6e22031c,0xd27e00db,0xd89e027b}},	//   _mamallaq, _miembros_, _tunnen_, _akalmaṣa, 
   {{0x59ae018a,0x03470009,0x73f90071,0xb51002c4}},	//   _feddalwe, _telesna_, _dawuhe_, _sofrendo_, 
   {{0x84720469,0xc34a0414,0xa9f5032a,0xf7a7003c}},	//   _करुना_, _ekufele_, _ejbøl_, _تفکری_, 
   {{0x1229020b,0x362b0378,0x3db90397,0xc14c01d1}},	//   _beomong_, _uppibori, _abanitha, _formerly_, 
   {{0x592b0360,0x6d6f0743,0xe2070077,0x33bd00e6}},	//   _नौमहिने_, _kommunep, _arecaceæ_, _注册新浪通行证_, 
   {{0x629003b2,0xc87f0128,0x2f630475,0x70540361}},	// [7f30] _final_, _دویماغا_, _властями_, _азова_, 
   {{0xbba00372,0xb19b019c,0x840000a7,0xa9e60449}},	//   _chaiacio_, _laifọwọy, _эмеректе, _odvojena_, 
   {{0xab5e026c,0xccd30148,0x2868003c,0xe9ff000c}},	//   _北京新浪網_, _屏東縣養豬協會會, _شدهتصاوی, _kerayvot, 
   {{0xc2da00a5,0x829001e8,0xe3ba0258,0x197900ad}},	//   _lepela_, _hinal_, _frivius_, _budhiset, 
   {{0x4bb30473,0xb2900120,0x9a2702ea,0x4b780204}},	//   _kurzfris, _kinal_, _уредби_, _вершине_, 
   {{0xb50301d9,0x83960297,0x70a4004a,0xc0fa0094}},	//   _opgeholl_, _birsen_, _семинарн, _بەرمەڭدە, 
   {{0x2aba042f,0x6fa10270,0x33650127,0xa2d70256}},	//   _haavitit, _dialecto, _berrstum, _etalons_, 
   {{0xb4a500a8,0x328d0243,0x62ef034e,0xec7d047c}},	//   _repartiz, _garaanam, _arminya_, _forsida_, 
   {{0x935b018e,0x027f00d0,0xe3fb002c,0xa2c0021c}},	//   _sungula_, _pianoa_, _oinordek, _médii_, 
   {{0x92900034,0x03f80286,0xf37b0103,0x4eb10269}},	//   _annar_, _dunum_, _mutambo_, _aquellas_, 
   {{0x737201a6,0x7e5d0420,0x018e004d,0xaf53040f}},	//   _feilding_, _заканува_, _華僑捐資興辦學校, _nebaisus_, 
   {{0xd2ca030b,0xa2a001ef,0xe7f30527,0x3cbe01cd}},	//   _nedda_, _klubą_, _procitaj_, _шавен_, 
   {{0x62d804bb,0x330600c0,0x8beb0026,0x8a570013}},	//   _ntees_, _pinasok_, _ingeschr, _қатарга_, 
   {{0xa9d3002b,0x326e00cb,0x415000e6,0x62d60527}},	//   _সুস্বাস্, _akhukhul, _超简单的手机省钱, _zadobio_, 
   {{0xe170004a,0x0b710326,0xd6200092,0xe9820420}},	//   _ахмак_, _aikombor, _monomani, _постар_, 
   {{0xf2260040,0x413601db,0xb33e002b,0x76f401d2}},	//   _ישראכרט_, _атамекен, _উম্মাহর_, _ayasqaña_, 
   {{0xa1b9040f,0xc2ca02ee,0x70ed0272,0x128a021b}},	// [7f40] _молодёжь_, _medda_, _baanunul, _исправля, 
   {{0x5db401a4,0xe30e0090,0x615c0094,0x969203f3}},	//   _atindela, _akabaya_, _жусан_, _gefelici, 
   {{0xd1770211,0x580a0177,0x684b0311,0xcaba0209}},	//   _артикул_, _арезиден, _ብኣምልኾ_, _bloktils, 
   {{0xd7230062,0xc278011b,0x23130059,0x6386000e}},	//   _bertlham_, _ngunda_, _австрийс, _iworld_, 
   {{0x19c703b8,0x1584025b,0x2cbc026a,0x9f2c00d8}},	//   _шаралар_, _vanligum_, _matalotu_, _albanés_, 
   {{0xa37900a1,0x5c720144,0x68780226,0x96be0126}},	//   _mataara_, _peirsis_, _anandiku, _космічни, 
   {{0xe23401cd,0x62a70128,0xdf270059,0x02ca041e}},	//   _adumise_, _ваколат_, _музикале, _bedda_, 
   {{0xad71004d,0xf75c00d1,0x6a44032d,0x8c610257}},	//   _簡訊三年級_, _বক্সত_, _iphelisa_, _brautin_, 
   {{0x92d801a4,0x663900ca,0x00000000,0x00000000}},	//   _boleli_, _cantarà_, --, --, 
   {{0x16450147,0x6a0d03c2,0xd29000dc,0x973d0237}},	//   _элекпиз_, _bospheru, _tinae_, _독서감상문_, 
   {{0x22900086,0xcc91041b,0x0e0600cf,0xe83c0147}},	//   _annak_, _refuling_, _baadiyaa, _جازۉۉ_, 
   {{0xa0b800c8,0x87dd0453,0x93540130,0x235400f4}},	//   _остан_, _ukrašava, _erbedet_, _euredet_, 
   {{0xb6470154,0x16bb0148,0xe2fd0119,0x92480119}},	//   _декодате_, _strawbri, _abancay_, _dahme_, 
   {{0x529100fd,0x22f70243,0xb456002e,0x02910024}},	//   _albann_, _bayisak_, _prijavio_, _elvar_, 
   {{0xed060138,0xa2910163,0x22910139,0xec7d0455}},	//   _faaliyet_, _lovas_, _anvag_, _horreur_, 
   {{0xc2d801d9,0xf29001fc,0x418d0155,0x00000000}},	//   _steet_, _annah_, _detaljpl, --, 
   {{0x896b00d4,0xaaa8002e,0xea440219,0x22240282}},	// [7f50] _springre, _istražuj, _aphelisa_, _kiokio_, 
   {{0x3e9f02da,0xadde00c7,0xa30601e9,0x325600a5}},	//   _аплицира, _berkemne_, _lesomeng_, _tuatagal, 
   {{0x61560135,0xd6f10011,0x7c89033c,0x220e004b}},	//   _aytugano, _alibanyw, _bradychu_, _налар_, 
   {{0x6146016d,0x62d80003,0x87a100a1,0x3eb00416}},	//   _پاراسەت_, _kreeg_, _ahiterei, _possente_, 
   {{0x025a006f,0x43ea0482,0x2c06015d,0xdc6c02ac}},	//   _awali_, _beeta_, _imprezy_, _وجعله_, 
   {{0x12160007,0x71ff0076,0x215302e2,0x00000000}},	//   _kinkundi_, _еминем_, _berrisfo, --, 
   {{0x62ca003a,0xa29e0211,0xb5170247,0x9b1400e6}},	//   _keldi_, _читай_, _ترامادول_, _投资与贸易信息_, 
   {{0x54690444,0xa53d00ef,0xb3f9029b,0x8e5404ad}},	//   _название, _ګيلاني_, _beyuma_, _huralele_, 
   {{0xe27f00a1,0xa0e70137,0x818300be,0x79b5011a}},	//   _haenga_, _архиар_, _كۅربۅيم_, _שארעולמי, 
   {{0x7b2903ed,0x2b340291,0x726d0303,0x929001f4}},	//   _justiça_, _preaseis, _bobone_, _sinab_, 
   {{0x351c0056,0x74fb0193,0x314501d7,0x70710015}},	//   _inkulumo_, _विकिप्रक, _pertucco, _ammaanko, 
   {{0x31740044,0x92910145,0xa3820102,0x869a037f}},	//   _סטריאו_, _kovas_, _دادلو_, _bilinməy, 
   {{0x6ef801b8,0xb03101b7,0xa39100bf,0xf212003f}},	//   _आर्गनाइज, _देहिनाम्_, _скорлупе_, _lobha_, 
   {{0xb2a6003c,0x22d90265,0xa2ca046b,0x36d00165}},	//   _nyoba_, _ergens_, _seddi_, _matawili, 
   {{0xe3ea0149,0xc25a0288,0x33650097,0xf306004b}},	//   _deeti_, _ntile_, _fásìtì_, _lesobeng_, 
   {{0x72e90203,0x7c500478,0x09b7019f,0x97c3004d}},	//   _printat_, _volcanic, _مارسٽن_, _捷克趴趴走_, 
   {{0x930c01d9,0x20eb030c,0x32910021,0x8ee0038e}},	// [7f60] _lokales_, _ministal, _alvay_, _कान्होपा, 
   {{0xbee104d1,0xb2f003f3,0xc3cf015e,0xe4ed0143}},	//   _dixitais_, _typisch_, _llevat_, _пропусна_, 
   {{0x82eb01b9,0x1291012e,0x1eb8018f,0x3c5b0033}},	//   _minimem_, _rovat_, _bloodwin, _cortesi_, 
   {{0x98450696,0x8e4402f6,0x81c901cc,0x62450162}},	//   _utilidad, _kapangya, _praviśya_, _باقىدۇ_, 
   {{0x325a0207,0xda9b0315,0x36670145,0x129102dc}},	//   _swali_, _afunekis, _pastebėt, _covas_, 
   {{0x92910191,0xa9d301c7,0xdafb0281,0x71d70462}},	//   _lovar_, _дердинде, _amerline, _anderway_, 
   {{0x727f036e,0x3aba0025,0x95770061,0x00000000}},	//   _chanta_, _apavadit, _생각입니다_, --, 
   {{0x77b803dd,0x327e0075,0x060b0005,0x255c0156}},	//   _sigurimi, _funnin_, _colleczi, _גלאגאוו_, 
   {{0xf25a04f0,0x240f043a,0xff4101aa,0x1b1f013b}},	//   _atile_, _lekredon_, _airstrip, _binayaan_, 
   {{0x01df00e4,0x02fc0145,0xba07019b,0xea0f019f}},	//   _poinform, _pinigus_, _памерлі_, _habarile, 
   {{0xd63a0056,0x4a690211,0x6a00034c,0xd3ea002a}},	//   _забоншин, _новичков_, _auraziya_, _reeti_, 
   {{0x238e0220,0x20e201aa,0x824a002b,0xc6820137}},	//   _consigli_, _otential, _কিস্তি_, _төчнөөн_, 
   {{0x99f500f5,0x6d9c025f,0x38720045,0x02ca041e}},	//   _гурлэп_, _bakoloba, _резервис, _meddu_, 
   {{0x92010500,0x0c9b0052,0x787300bb,0x34600053}},	//   _mubiri_, _स्ट्राइक, _آرﮐﺎﺋﻳﻮ_, _dilepask, 
   {{0xfd060191,0xa5e901b3,0xde9d01db,0xa0170061}},	//   _beslutet_, _правовід, _شينحاي_, _최저생계비_, 
   {{0x1ca8052f,0x2a7700da,0x0f6f00a8,0x090400a0}},	//   _abayiber, _индикаря_, _schanzas_, _babangid, 
   {{0xf3f20328,0x530d0319,0x73db0029,0xd29002fb}},	// [7f70] _amazone_, _locales_, _سورکێو_, _hinaa_, 
   {{0x1e3200cd,0xf0dd052c,0xdee70074,0xc06d006a}},	//   _milliuns_, _فیکری_, _заказов_, _nampanan, 
   {{0x44260162,0x23ea0057,0x1340055d,0xbe9900e6}},	//   _بايلىقى_, _rantau_, _dikesan_, _名工作人员_, 
   {{0x72fd0187,0xfc530519,0x229001d9,0x05a00184}},	//   _направен_, _साकेत_, _minaa_, _ayisubiz, 
   {{0x7bd00192,0x225a01e6,0x727f01c5,0x0d87030f}},	//   _등기수수료_, _svaly_, _shanta_, _korekore_, 
   {{0x93d40044,0x53870013,0x8a7e0210,0x4e200162}},	//   _בטבריה_, _navro_, _akandits, _түрүклир, 
   {{0x1291049e,0x22cb0482,0xaaf303df,0x1c1b0050}},	//   _tovar_, _baadal_, _kvardage, _dikaluar, 
   {{0x235f0218,0x127e0211,0x7a6c00c5,0xd9920211}},	//   _abletay_, _tunnin_, _诚信通会员推荐_, _renkaide, 
   {{0x125a0244,0xc2170397,0xad8700ab,0xfbb9021b}},	//   _stile_, _abayikul, _horehore_, _зеленая_, 
   {{0xa27f03b4,0x32d8007b,0x404c0167,0x3afb018b}},	//   _waenda_, _creel_, _goruwchn, _indrazne, 
   {{0xf20800a6,0xe93a02f0,0xa3710177,0x2e000425}},	//   _فيصله_, _ayalelwa_, _ркуацгьы_, _نێروه_, 
   {{0x44760238,0x9290004f,0x80e10268,0x00000000}},	//   _вдень_, _dinaa_, _anonical, --, 
   {{0x4cfc00c5,0x125a01ed,0x7c3a03f1,0xee330137}},	//   _含税到厂价_, _ewalu_, _vizitkou_, _хэмхрээг, 
   {{0x738d0220,0x0b2b0374,0x726d01fe,0x027f02bb}},	//   _враца_, _mahallas, _ruvolo_, _pianki_, 
   {{0xf7bf027b,0x0386015d,0x571e02ba,0xee740093}},	//   _उपागम्य_, _dworcu_, _дағдағаи_, _дiаса_, 
   {{0xb291000f,0xc68d02a1,0x829000a0,0x83f800fe}},	//   _devami_, _ongeregi, _jifan_, _tufui_, 
   {{0x05d20156,0xa2910357,0x12870184,0x00000000}},	// [7f80] _תשליכוהו_, _tevali_, _mpakure_, --, 
   {{0x29670329,0xc2cb046b,0x02ef0135,0x4e2000a8}},	//   _kominote, _baeddu_, _fänüs_, _chemicas_, 
   {{0x7fd502bb,0x424b00d1,0x7290012c,0x307a0029}},	//   _materiał, _টেম্পল_, _jinai_, _زرێبار_, 
   {{0x137f04ee,0x9a6702ee,0xdea8017a,0x0ba701d2}},	//   _ahiazia_, _applikab, _abalubon, _amphutir, 
   {{0x8387014a,0x021b00d1,0x25cf00c7,0xdfc70012}},	//   _akarta_, _অব্যৱসায, _тәңре_, _निगचाई_, 
   {{0x2c2c0195,0xaba6002c,0x929100af,0x3344045b}},	//   _aneagrac, _behineko_, _novap_, _avreise_, 
   {{0x2b8b011f,0x6dc702ea,0xb4360147,0x5a1900f2}},	//   _flexión_, _проведе_, _دۇۇشار_, _autobusā_, 
   {{0x8b310291,0xec6902e5,0xe4c60023,0xad2e042e}},	//   _فنرجو_, _aristóbu, _прочего_, _motivere_, 
   {{0x5aba0444,0x6cde02b6,0x0277004b,0x72900145}},	//   _требующи, _намаздан_, _inishial, _zinai_, 
   {{0x2cc8010d,0x32d80516,0xb9640012,0x01a50164}},	//   _विश्वासघ, _breem_, _चिलनवा_, _әләйкум_, 
   {{0x92d8030a,0x4c81029e,0x81410332,0xac7203f0}},	//   _lumes_, _arveriad_, _posteado, _akbraut_, 
   {{0x51400361,0xcda80156,0x185c046f,0x7fdd0139}},	//   _серби_, _דעלפֿין_, _dorauser_, _cittaikā, 
   {{0x1290012d,0xcb190289,0xc2da0298,0x43f90131}},	//   _akhamb_, _akapukut, _pepeha_, _debuxo_, 
   {{0xa392026c,0xa2250227,0x98830359,0x5f5d04d8}},	//   _北市衛粧廣字第_, _seekor_, _ekokated, _samaroon, 
   {{0x8fe302fe,0xf50b0059,0x9bfd027f,0x39330420}},	//   _کارتر_, _fastidio_, _maborogo_, _коренот_, 
   {{0x005802fe,0x97f20010,0x85d30307,0x34120031}},	//   _دقيقي_, _imicondv, _namandiy, _transjak, 
   {{0x133d02ff,0x00000000,0x00000000,0x00000000}},	// [7f90] _entwodwi_, --, --, --, 
   {{0x629104d0,0x9f210163,0x3d8e0197,0x161e004c}},	//   _bovai_, _mondhatn, _kowopera, _bannaasi, 
   {{0xecd300a4,0x4fb70163,0xcc7d0010,0xe9ff0338}},	//   _болорун_, _hangszór, _ayisiyo_, _capturèr, 
   {{0xb4210404,0x329004bb,0xc8bb017f,0x622601ad}},	//   _bonalago_, _vinai_, _cloutier_, _edukar_, 
   {{0xd06c00e6,0x138702c8,0x2c75004b,0x553300e6}},	//   _篇热点文章_, _viaria_, _chesang_, _张曼玉捐二百万赈, 
   {{0x0d1700e6,0xf1ad01ef,0x12900240,0xdec7010f}},	//   _点这里下载_, _спробе_, _tinai_, _amazamba, 
   {{0xba9d016d,0xae4800c4,0x7c86023c,0xf4800053}},	//   _ачмақчи_, _ڏيٺون_, _وطنپال_, _ब्राऊन_, 
   {{0x0c7c028d,0x02fc033a,0x00000000,0x00000000}},	//   _tansion_, _jesiġu_, --, --, 
   {{0x0c77000b,0x66690094,0xe780013d,0xe8b8035d}},	//   _anesone_, _بوزامىق_, _funkciig, _tečnost_, 
   {{0xf2d800a6,0x1d640025,0x00000000,0x00000000}},	//   _dilesi_, _पन्नगाः_, --, --, 
   {{0x430303cf,0x76e0010f,0x52ce0529,0x00000000}},	//   _hakaret_, _amabhoki, _stalnom_, --, 
   {{0xecbe02d3,0xb25a01b9,0x6dbd03b4,0xd4f702c0}},	//   _барем_, _itili_, _akwanise_, _анонимна_, 
   {{0x9b5f0047,0x8c71012e,0x7b670383,0x65850178}},	//   _fermetur, _تھران_, _berlatar, _dantavak, 
   {{0x42d802ee,0xd7d000c1,0xa45b0059,0x00000000}},	//   _humer_, _आशियातील_, _delegato_, --, 
   {{0xc2d8016e,0x6278028e,0x9e1b0562,0x221c0210}},	//   _ailesi_, _kaunta_, _hategeka, _bishnu_, 
   {{0xcd37005b,0x12d800e9,0x625a01e8,0xa979003e}},	//   _mignonne_, _sumet_, _medlya_, _геройға_, 
   {{0xea0f03db,0x1398059c,0xc2d801b8,0x92d8003f}},	// [7fa0] _abasakhu, _lösen_, _pileti_, _mumer_, 
   {{0x496d00ec,0xdadf01a1,0xb76800be,0xadaa000a}},	//   _азначае_, _buitenge, _جاسووبۇز, _atsisasa, 
   {{0x629002ff,0x22d800c5,0xdc370126,0x191a054d}},	//   _anfas_, _fumer_, _пригод_, _matchend, 
   {{0xdb3b014e,0xf25a0261,0x525601b7,0xa74000a1}},	//   _складу_, _itala_, _देवेषु_, _rokohang, 
   {{0x325a00a5,0x6141036b,0x5b2f002b,0xd6350147}},	//   _atili_, _идентиче, _বাধ্যবাধ, _аликбек_, 
   {{0xb26e017a,0x4c5e0261,0x336d004d,0x825a01b8}},	//   _akhushul, _baltiaj_, _中文學會活動宣傳, _poolik_, 
   {{0xe37601c5,0x492f0148,0xad38023b,0xbd6901f1}},	//   _باسى۪و_, _政府新聞處_, _kikipine_, _kulturën_, 
   {{0x504904df,0xd2900018,0x446f0204,0x27e300bf}},	//   _режимде_, _dinau_, _kenellek, _алара_, 
   {{0xc2d8026c,0x02d80313,0x14d7019e,0x00000000}},	//   _videri_, _dumer_, _базавы_, --, 
   {{0x99a70094,0xf29000ca,0x525a048f,0x00000000}},	//   _инфляция_, _finau_, _otala_, --, 
   {{0x03cf038f,0x42cf01ad,0x269600d1,0x729003f6}},	//   _klevet_, _almonte_, _মৌচুমী_, _ninau_, 
   {{0x0148015f,0x603f00c4,0x0c67003f,0xf2d70109}},	//   _ymarfero, _اجاڳر_, _dahuvha_, _ořech_, 
   {{0x69640075,0x521302eb,0x3d320077,0xefd9056e}},	//   _størstu_, _комисст_, _byenneme_, _modifico, 
   {{0xc2eb00e0,0xaac301db,0x527f00ad,0x278a01e5}},	//   _sponser_, _اتەيست_, _maenya_, _ibanilẹr, 
   {{0xe00502d3,0x43860050,0xe6e002f0,0xc2fc018f}},	//   _огромни_, _ahirna_, _elibhoki, _lusiqlu_, 
   {{0xdc59023a,0x92fe01af,0xb1e60223,0x6e480315}},	//   _faktoch_, _burnuny_, _adorerik_, _kulababa, 
   {{0x02910036,0x67b10321,0xab92051e,0x169f005e}},	// [7fb0] _albain_, _posebneg, _definido_, _ئەلئوغلى_, 
   {{0xb2a604e4,0xa3160258,0x86ff00a4,0x00000000}},	//   _osobni_, _tinzen_, _comunità, --, 
   {{0x725a023d,0xdbd3039f,0x99a70137,0x195601ac}},	//   _utili_, _nondiscr, _салаавч_, _uillinne, 
   {{0xd45e02fb,0xeac300da,0xfea5004c,0xd968034c}},	//   _falekauk, _невиновэ, _abolugan, _armiyase, 
   {{0x01b90424,0x13540075,0x940f0073,0xc6cb02ca}},	//   _термен_, _arbeitt_, _morrigan_, _cheantai, 
   {{0xe4b203ad,0x8b0d0337,0xd50b0372,0x16ff01f3}},	//   _legalizz, _hissetme, _hastudio_, _komunitá, 
   {{0x178e0037,0x5cb40020,0x94d601db,0xb4f001f3}},	//   _ማስረጃዎቻችሁ, _asagatau_, _باسكيل_, _znamenal_, 
   {{0x3342036f,0x41f70074,0xa9f502eb,0xcb700060}},	//   _poseban_, _kauneimm, _сувагт_, _емделуші, 
   {{0xcec600ee,0xf25a0044,0x19cc01ec,0x456100d6}},	//   _хайртай_, _build_, _سهمیه_, _الستار_, 
   {{0x43cb016e,0xe2fe0088,0x879f0192,0x077005fc}},	//   _pahalı_, _abaixar_, _regelgev, _कुठाराघा, 
   {{0xb2d6042b,0x6ec70089,0x7067023e,0x64ba027d}},	//   _otvoren_, _киноның_, _شریعتمدا, _прогласи, 
   {{0xa4d5007e,0x740f02fd,0xc2e7007f,0x02bb06a8}},	//   _स्थितो_, _corragan_, _brenhin_, _osudili_, 
   {{0xd26f0386,0xc5710192,0xed0f0197,0x2c680016}},	//   _pengalam, _공간입니다_, _majorite_, _klarigo_, 
   {{0x6e3900df,0x40740173,0x69fc0334,0x625a0109}},	//   _localisa, _recambio, _angatsat, _ptala_, 
   {{0xdb5c00d6,0x34290442,0x69350193,0x50fe01b3}},	//   _نيولوك_, _rampasan_, _नेतृत्त्, _островів_, 
   {{0x4045048b,0x3ab20079,0x1cb70059,0x33790342}},	//   _kilobook_, _katalogā_, _арабски_, _defason_, 
   {{0x725a0047,0xf041036f,0x96b9056e,0x14290304}},	// [7fc0] _huile_, _okruženj, _relatori, _pampasan_, 
   {{0x248401b7,0x00000000,0x00000000,0x00000000}},	//   _श्यामं_, --, --, --, 
   {{0xf2000148,0x42b801be,0x79e400fe,0xe50604d8}},	//   _limina_, _chudák_, _munomuna_, _kaaliyah, 
   {{0x42d702a5,0x861102d5,0xd7b5004d,0x596701db}},	//   _třech_, _millisei, _自交易當月起連續, _سۇرىنشەك, 
   {{0x23ea01a4,0xd41d0029,0x62e6028a,0x13000067}},	//   _apotre_, _زاڵگه_, _رهبريءَ_, _gubanii_, 
   {{0x52db0088,0xb45e010d,0xd3f80343,0x71ca02b0}},	//   _reposar_, _सन्मानान, _kunus_, _esoterik_, 
   {{0x2eae0253,0x229e00ac,0x53000002,0xd4930159}},	//   _biologin, _slobodni_, _stranih_, _neprisij, 
   {{0x2ee80450,0xa3b60373,0x00000000,0x00000000}},	//   _stikmann, _טיפיקל_, --, --, 
   {{0x6afa0208,0x92ee033f,0x531c0030,0x4d870282}},	//   _بونیاد_, _ipangai_, _stacija_, _moremore_, 
   {{0xe2d9044b,0xc3ae0024,0x4c5b00c3,0x00000000}},	//   _stuen_, _উদ্ভাৱন_, _medusae_, --, 
   {{0xbbd201c9,0xbaeb01ad,0x92b402e2,0x00000000}},	//   _टेक्नालॉ, _hinoptan_, _bridled_, --, 
   {{0x329004ef,0x6c4b01b7,0x57bd032c,0xf5780156}},	//   _sinal_, _पिबन्ति_, _akornimi, _טעילאר_, 
   {{0xd25a0264,0xd387003a,0x49df0340,0xf97300ad}},	//   _hellip_, _davra_, _huitangu, _girimukt, 
   {{0xf2920072,0x237901a6,0x4184015e,0x4c4a0142}},	//   _sipans_, _mataira_, _менменси, _लिखन्ति_, 
   {{0x8dee0028,0x62d802e3,0x7e620515,0xb2000382}},	//   _ہمنوا_, _dumex_, _discarga, _himina_, 
   {{0x129700ab,0x534000ee,0x72900488,0x00000000}},	//   _harapaki_, _aldekoa_, _vinam_, --, 
   {{0x8c6802a3,0xe27f0285,0x296901b3,0xe507002c}},	// [7fd0] _buurman_, _shangi_, _факторам, _сандран_, 
   {{0xb20e01f2,0xfb47008d,0x53950100,0xa225033d}},	//   _һашар_, _бандам_, _kvasac_, _joakaz_, 
   {{0x50da00af,0x42d800a3,0xb2970239,0x2e430279}},	//   _написанн, _breen_, _pararaki_, _vaisseau_, 
   {{0x833701bd,0xd765000a,0xb2240234,0x9b97037b}},	//   _салмай_, _aaqiivig, _eyokan_, _donación_, 
   {{0xf2d801d2,0xcc03033a,0x94a501b7,0x229002f7}},	//   _aldeaw_, _missier_, _वेतालपञ्, _dinaj_, 
   {{0x927f05f1,0x4b7b0241,0x4f23013d,0x00000000}},	//   _ahandi_, _afurtama_, _komencan, --, 
   {{0x82d8019a,0x0db6033d,0x5fed00e6,0xaa7d025f}},	//   _freen_, _amenajma, _学习型机关_, _kobalusa_, 
   {{0x7b4100b5,0x62e902e7,0x96b60253,0x42d70222}},	//   _anivéma_, _botilya_, _allarlui, _falloir_, 
   {{0x56ba027f,0x47c00246,0xbc31001d,0xba8801e5}},	//   _amwakiri, _сдружени, _deschifr, _ipanirun_, 
   {{0xe2d5005e,0x13e603ce,0x279f02e2,0x0d8c00d6}},	//   _алқиссә_, _جانتای_, _abjurati, _mbronnta, 
   {{0x5a5f023b,0x9ab50061,0xe2760097,0x78e701ef}},	//   _lipekika_, _보내주세요_, _róbótó_, _бэтонныя_, 
   {{0x938f0286,0xcea60435,0x716a03a8,0x52f9036e}},	//   _menyiwa_, _кадрова_, _উন্নতৰূপ, _bilhika_, 
   {{0x9301024a,0x42900120,0x89040119,0x00000000}},	//   _burasii_, _sinam_, _nakantid, --, 
   {{0x58a90567,0x58ab018d,0x22910333,0x929103ae}},	//   _максатын, _ምቕጥቃጥ_, _affani_, _avgang_, 
   {{0x4bc40553,0x83170515,0x3b7701b8,0x335000be}},	//   _dekoráci, _syncope_, _kaardiga_, _تۉشۅم_, 
   {{0x21fe026f,0xac5300a4,0xac1a007b,0x02240087}},	//   _ايشۋاق_, _tortosa_, _daunered_, _khokho_, 
   {{0xc6bb032e,0x73730321,0xaaf40476,0x0b5a00e4}},	// [7fe0] _churamay, _kuhanje_, _akaronde, _tabletów_, 
   {{0x3a8801e5,0xfc6f0675,0xaba903a9,0x95fb0009}},	//   _apanirun_, _correta_, _берашца_, _filmskem_, 
   {{0x2238028c,0x69fb014a,0xb2da023b,0xf29102a3}},	//   _करमचारी_, _ellenzék, _lepeka_, _inval_, 
   {{0x0d0601db,0x89dd004f,0x60c60125,0x239f027b}},	//   _ءوشۇى_, _baaloola_, _турбинас, _दीपमालाभ, 
   {{0x929000d3,0x4f320231,0xb9f90092,0x22d9011d}},	//   _jinak_, _consequa, _ophavsre, _abonare_, 
   {{0x32d801bb,0xedbe0282,0x329003dd,0xd2d802ee}},	//   _dilegi_, _hakuhaku_, _dinak_, _ismek_, 
   {{0xe2b50120,0xcd3501d4,0x00000000,0x00000000}},	//   _aracat_, _adunisce_, --, --, 
   {{0x3861046b,0x63100013,0x326e023a,0x00000000}},	//   _brintiad, _nazariy_, _porode_, --, 
   {{0xf9ec03eb,0x00000000,0x00000000,0x00000000}},	//   _onvriend, --, --, --, 
   {{0xda930005,0x9b27028e,0xf9e8019c,0x101d00e6}},	//   _revisiun_, _organaes, _isanpada_, _已生育一个子女的_, 
   {{0x6c780255,0x31810040,0x00000000,0x00000000}},	//   _taustal_, _הדבקה_, --, --, 
   {{0xb8d505aa,0xaa7d031c,0x9248008e,0x00000000}},	//   _naturfag, _ganadora_, _jemmel_, --, 
   {{0x29c7003a,0xbc440175,0x13870240,0x5fba0188}},	//   _саралаш_, _bravour_, _ikarua_, _abangewo, 
   {{0x799d048a,0xd151017e,0xa2e503dd,0x6e0c00e6}},	//   _латын_, _בכיות_, _leonora_, _电子公告服务规则_, 
   {{0xa290013c,0x38b6022a,0x84a904ca,0x4eb40064}},	//   _rifah_, _statitav, _arraïtza, _titelles_, 
   {{0xd3800254,0xc7120156,0xfd99027b,0xf10000d6}},	//   _correo_, _פעליקייַ, _कपिकुञ्ज, _fiadhúlr, 
   {{0xdaf901a7,0x6e68014f,0xc0c20392,0x02ef00e4}},	// [7ff0] _viestint, _местима_, _chumberl, _trafia_, 
   {{0x82900576,0x23f4021c,0x7f60038b,0x32fc0181}},	//   _manawi_, _postoj_, _didalamn, _minimus_, 
   {{0x02d80564,0xd2b502b7,0xd86b00d9,0x92d80039}},	//   _diledi_, _stacee_, _указаны_, _zilegi_, 
   {{0x32fc0145,0xa0bf0107,0xaacd003b,0x32e501c5}},	//   _blogas_, _تصوری_, _cháphoti_, _sunnada_, 
   {{0xe2d801d9,0xbba0014a,0x5dfd00d3,0xfce900b7}},	//   _freet_, _تکبیر_, _objevova, _сорамага_, 
   {{0xec5b03ad,0xcdbf0119,0x1365033f,0x00000000}},	//   _partiti_, _casanare_, _longomo_, --, 
   {{0x52460148,0x46b800a5,0xf0fc007f,0x36890076}},	//   _符合此搜尋的分類_, _fakatasi, _annymuno, _симболиз, 
   {{0x8fd8009a,0xc25a0092,0x737f00b2,0x829401c0}},	//   _andilibo, _stald_, _camadaa_, _gagarumi_, 
   {{0x7a3a000c,0x2b150147,0x529001a6,0x637302e0}},	//   _багданчи, _تاۋياڭ_, _hinai_, _dikatse_, 
   {{0x8290023b,0x42ef02e0,0x1b650039,0x00000000}},	//   _kinai_, _gaufi_, _sektorea_, --, 
   {{0xe4070308,0x537f0209,0x102e0564,0x22900117}},	//   _kekuatan_, _sunaana_, _polecedo, _sinak_, 
   {{0xd2e304c5,0x59d7026f,0xdd5006bf,0x82b401ca}},	//   _relizye_, _داڭسالى_, _शिष्टमंड, _ndoch_, 
   {{0x026405d5,0x52d800b1,0x5a4100a4,0x03020203}},	//   _parlat_, _nrees_, _айланат_, _atrativ_, 
   {{0xb2da01d4,0x789701ee,0x12da01fe,0x62fe018b}},	//   _intesi_, _маржан_, _repeka_, _vechime_, 
   {{0x53410318,0x304d01e9,0xa0a90037,0x2cb902cf}},	//   _aoteroa_, _borraron, _የተጣለበትን_, _додаваме_, 
   {{0x72c50047,0x3a700090,0x6c5a019f,0x09bd00e6}},	//   _quelque_, _achanzwa_, _daktari_, _新浪财经网友意见, 
  
   {{0xfc710338,0xa2d8013a,0xe6c700e1,0xd26e0287}},	// [8000] _coerent_, _breet_, _beusseul_, _dorost_, 
   {{0xaf4900b7,0xd3f9034b,0xa3f900bb,0xdfd8006f}},	//   _вазифеле, _muvum_, _آقاؤں_, _سودابھ_, 
   {{0x3a6a0064,0x412901e0,0x7c6601e7,0x834f014a}},	//   _الفاۉىتى, _بولبول_, _biergof_, _videói_, 
   {{0x627e0138,0xb11d0475,0x59db01b9,0xfb5b03f3}},	//   _ikinci_, _загрузки_, _langlete, _objecten_, 
   {{0x0603028b,0xb401012c,0x95270187,0xc2d803ae}},	//   _villarri, _آئنده_, _настават, _treet_, 
   {{0x7e0002e5,0x22d901dc,0xd36c017f,0x44670105}},	//   _aikeétar, _stuer_, _qangali_, _biedronk, 
   {{0x53a20005,0xf25a0488,0x927c0037,0x983300ff}},	//   _stoppi_, _stils_, _እንስሳትና_, _asimilad, 
   {{0xc2e700a2,0x22d8013a,0x42da0201,0xa4ba0060}},	//   _kuundwa_, _krees_, _taggorri_, _قالپىندا, 
   {{0x5e3801fc,0x82cb003f,0xf3eb03dd,0x52fd0145}},	//   _ankacisa, _dibdaj_, _teuta_, _kabinos_, 
   {{0x59eb04ec,0xc287033e,0xa2bb02cb,0x12dc0333}},	//   _atarwand, _chakope_, _kineske_, _alfonsi_, 
   {{0x54930169,0x0c780497,0xdc8e034e,0x1211023c}},	//   _চুক্তির_, _actuary_, _aprobasq, _ګارډین_, 
   {{0x54870188,0x1ba70302,0xf99b0126,0x007a01f3}},	//   _далелҳо_, _аҳдшикан, _frakoble, _neuplatn, 
   {{0xc3a702b2,0x797a0417,0x7e6a004b,0x154201e6}},	//   _другий_, _ekonomie, _голды_, _pochopil_, 
   {{0xe2b501b9,0xf2a30033,0x127f009a,0x00000000}},	//   _atache_, _calculai_, _bhanki_, --, 
   {{0xdc9e00d1,0x32a6018a,0xb9fb008d,0xa2ce0161}},	//   _অনস্বীকা, _rygbi_, _muhabbat, _ilmestyi_, 
   {{0x0d690250,0xc37a0220,0xa1cb0555,0x00000000}},	//   _kulturës_, _accanto_, _apneseth_, --, 
   {{0x64d7008f,0xa2d80269,0xc8c60100,0xcf2f011a}},	// [8010] _मारिशस_, _crees_, _pljuskov, _יצוין_, 
   {{0xf38601a6,0x0fe1004a,0xf9ed0056,0xc99500b2}},	//   _ahiria_, _квилтинг_, _abanonya_, _biskilee, 
   {{0x8148026c,0x00000000,0x00000000,0x00000000}},	//   _是否出席評定最有, --, --, --, 
   {{0xa9ff00cf,0x6305003c,0x3b230084,0x62a600bb}},	//   _achirraa_, _توتال_, _citakeun_, _چدواتے_, 
   {{0xc4640164,0xd7af047d,0x575e0128,0x5a0702fe}},	//   _сүрүшичә_, _bedeeleg, _кўкаламз, _bayakhut, 
   {{0x58670065,0x0bf801a3,0x00000000,0x00000000}},	//   _kündigun, _سيفٽي_, --, --, 
   {{0xf5f5018b,0x87be00dc,0xe29200aa,0x47b80220}},	//   _единтеле_, _atufaleg, _expact_, _abbracci, 
   {{0x51050148,0xd25a0271,0x260d0272,0x4f5e00fc}},	//   _無眼耳鼻舌身意_, _arild_, _amulwazi, _lamppost_, 
   {{0x7ea102e6,0x00000000,0x00000000,0x00000000}},	//   _begravet_, --, --, --, 
   {{0x2de902fe,0xf290033f,0x9b8202fe,0x241b00d9}},	//   _داستانون, _fanaui_, _تخنیک_, _добратьс, 
   {{0xc36c01e1,0x026400cd,0x6f350155,0x1d0700f4}},	//   _bangoli_, _barlot_, _prestera, _furumfor, 
   {{0xa98e02b6,0x230102fb,0xb2f40273,0x026c02bb}},	//   _ғазиз_, _houakai_, _avanzar_, _jehowy_, 
   {{0x225a02f7,0x4ff80350,0x00000000,0x00000000}},	//   _erile_, _ይከተላሉ_, --, --, 
   {{0x262e03b0,0x02b50400,0x7e3902e7,0x82ba0007}},	//   _samanslå, _stache_, _kagawasa, _kindoki_, 
   {{0xd2e3024d,0x5a490318,0xeb5e01a2,0x72e90203}},	//   _nelinye_, _feleunga_, _džeksona_, _standat_, 
   {{0x70ed0048,0xfeda03d1,0x42900358,0xd2d502bb}},	//   _abanunul, _neoficiā, _lanati_, _dentysty_, 
   {{0x8cc60318,0xadd702ac,0x325b000e,0xfec10005}},	// [8020] _hihiloku_, _يااارب_, _hrclub_, _auditivs_, 
   {{0xadff0126,0x4a4702e5,0xca020089,0x12e30480}},	//   _концерту_, _ikokuépe_, _dollarnı_, _belinye_, 
   {{0x96360074,0xeba403ef,0xf2d702a5,0x00000000}},	//   _kuunteli, _bahisemo_, _vředy_, --, 
   {{0x3eac02f3,0x362200f0,0x73dd00cf,0xa2fc03dc}},	//   _aktuellt_, _povolani, _baawoo_, _rasismu_, 
   {{0xe664007e,0x1b8a0137,0x4205032c,0xc8fe00ae}},	//   _व्यसनी_, _сорох_, _aprilimi_, _kararond, 
   {{0xd8170125,0x9ec102b2,0xc04c0025,0x34a5030b}},	//   _патшалар, _gjenstan, _सामान्ये_, _bawangiz, 
   {{0xa26f0386,0xebfd0333,0xf2920154,0x499b0274}},	//   _mengalam, _rivendic, _соляркэ_, _verktaka_, 
   {{0x12d802c2,0xc0dd0040,0x2f420067,0x12260026}},	//   _breek_, _scholarl, _cirracha, _leuker_, 
   {{0x12ec02b5,0xe25a0439,0x27770165,0x36a00021}},	//   _cingleix_, _arile_, _gonyalew, _adheresw, 
   {{0xf25a038d,0x17920091,0x295f005d,0xa2ab05bb}},	//   _brile_, _tautukti, _balneare, _gúnmó_, 
   {{0xd45b0275,0xc2ee023a,0x440001c0,0xfa5f01a4}},	//   _pelenato_, _priznaní_, _dubunnan_, _nateyaka_, 
   {{0x03d10041,0x76ba04e5,0x9a8601bd,0x98e60159}},	//   _иҭырҵаау, _alwaniri, _سامالعا_, _diagnozu, 
   {{0xe9da0136,0x630400f1,0x5a170082,0x0c74001c}},	//   _interije, _lasapel_, _kazalika_, _kaburut_, 
   {{0xb3cf03d8,0x9a04003e,0xed24029f,0x845e0138}},	//   _stavio_, _bakatefe, _zástupco, _kendimiz, 
   {{0x12b502b7,0x73ea007b,0x0200042b,0x8e1803f3}},	//   _stacie_, _beets_, _izbio_, _bekendma, 
   {{0x839402c2,0xbbbb00c3,0xe2610240,0x3379031a}},	//   _mense_, _部落格相簿_, _bololaki_, _eatarra_, 
   {{0x82d801b9,0x326c0245,0x87ee0326,0xa24900be}},	// [8030] _dumez_, _seion_, _aivaveng, _تويبوي_, 
   {{0xd38702af,0x36c403db,0xdf1c0192,0x1e7201be}},	//   _akarya_, _abaseley, _verdwijn, _दिक्क_, 
   {{0x4b8d0309,0x93ea02a4,0x41b10130,0x00000000}},	//   _istismar, _teets_, _geweriañ_, --, 
   {{0x3c7103eb,0xa2ca024a,0x32010227,0xfac8030a}},	//   _koerant_, _asolori_, _tebing_, _estadías_, 
   {{0x82d500f7,0x5a04000c,0xa2e700d2,0x73ea0516}},	//   _animaloj, _jakareit, _diangon_, _reets_, 
   {{0xe85c00ef,0x79ce01db,0xb6c60156,0x00000000}},	//   _بارانونو_, _بالاڭنىڭ_, _דיימלער_, --, 
   {{0xc4bb0037,0x225a00da,0x44da0128,0x84ba0037}},	//   _የምስረታ_, _urile_, _комилжон_, _በምህረት_, 
   {{0xf2d80347,0x614203ff,0x19f6033d,0x7e2a0212}},	//   _preek_, _neodmysl, _estòk_, _sufficia, 
   {{0x675600c5,0x238702ca,0x30d1007e,0xb2040159}},	//   _热点新闻聚焦_, _charna_, _लाभालाभौ_, _piligrim, 
   {{0xa9da054a,0x528f000a,0x1394020e,0x45cf0008}},	//   _enterije, _annaavai_, _fense_, _имедиа_, 
   {{0x426d00e9,0xabcd00d1,0xa27e044a,0x66370162}},	//   _dibout_, _ভিন্নস্ব, _chinoi_, _қудрәтли, 
   {{0x62ee00eb,0x820e008d,0x57e400e7,0xda51019b}},	//   _abefi_, _шакар_, _abusivew, _некульту, 
   {{0xa25a0046,0x5c16005b,0x4dc0030b,0x7d17002c}},	//   _quilo_, _lespaul_, _beekwese_, _гармагц_, 
   {{0x4dc2020d,0x8f2b0092,0xca1b015e,0xf6bb0472}},	//   _ingiraka, _スのお知らせ_, _تىكتەپ_, _ibaratny, 
   {{0x56ae030c,0x32900159,0xe29100ff,0x6e440332}},	//   _ilitariy, _linas_, _ראטעוועט_, _tamaulip, 
   {{0xa2d70148,0x72d801c5,0x2c5a011d,0x8f670153}},	//   _admodum_, _dumey_, _factori_, _石鹸シャンプ_, 
   {{0x825a02fd,0x727f011b,0xff6c0203,0xd29000fd}},	// [8040] _buill_, _abenga_, _cavalles_, _chnag_, 
   {{0x13f200e9,0xd33c015e,0xfec500e6,0x00000000}},	//   _imazine_, _fluxos_, _结合本地实际_, --, 
   {{0xbab00011,0xf26c00f0,0xc59c0094,0xa2e6020e}},	//   _akakubib, _lehoty_, _قادىرلەپ_, _khangoa_, 
   {{0x1c7c0075,0x929001f7,0x1ded01ee,0x207b0052}},	//   _neistin_, _ainat_, _вăйлă_, _कल्पनामा_, 
   {{0xc29000bc,0x37b70140,0x00000000,0x00000000}},	//   _sinau_, _tagubili, --, --, 
   {{0xf1d20109,0xd2d9046d,0xfd8c0366,0xd388006c}},	//   _neznámý_, _ndaelo_, _прочтите_, _abeseham, 
   {{0x94b800a4,0xdaac0041,0xedce00de,0x7e4900bc}},	//   _максимди, _иыӡон_, _baphande_, _budayane_, 
   {{0x706303ab,0x74860012,0x73540026,0xddfa0126}},	//   _podstatn, _उगलाइल_, _vereist_, _різко_, 
   {{0xd84d019b,0x7d6f00de,0xc3ea0108,0x63870296}},	//   _належыць_, _دحساب_, _awitna_, _skarpa_, 
   {{0x2264009a,0xe4870169,0x111d019f,0xae170297}},	//   _akuloo_, _expresó_, _مقابلن_, _анализны_, 
   {{0x49d002d6,0xa23101a0,0x0f25000a,0xc3870113}},	//   _секин_, _ahumesa_, _meerarta, _gharda_, 
   {{0x425b0141,0xca8503a1,0x32fc008b,0xa983011c}},	//   _ingliz_, _уточнени, _belgik_, _elikopte, 
   {{0xe6c70021,0x48fc00f6,0xb29e014e,0x00000000}},	//   _ardshiph, _bacarmad, _ledjima_, --, 
   {{0x92910197,0x499d00f5,0x325a0144,0x92b4019a}},	//   _anvan_, _сазын_, _tuile_, _aricht_, 
   {{0xa2b4019a,0xefc50034,0x02010249,0x6a8d025c}},	//   _bricht_, _kennarar_, _jubili_, _kopieren_, 
   {{0x92d8019a,0x7372019e,0x13a900ef,0x00000000}},	//   _queer_, _ажэшкі_, _لورروان_, --, 
   {{0xf8320518,0x22500076,0x92dc020a,0xdb2001e8}},	// [8050] _عبدالصبو, _немам_, _ұжырымда, _nabalhin_, 
   {{0xe2900075,0x6c0200ae,0x5a3400bc,0xc34701e1}},	//   _hinar_, _aragakor, _اسلیم_, _boleloa_, 
   {{0x5d850026,0x42fc020b,0xa29000c7,0x23e902a9}},	//   _카테고리의_, _amega_, _rinat_, _паўплыва, 
   {{0xd30500c4,0x7ab200ec,0x6b7f0049,0x00000000}},	//   _گوڪان_, _katalogą_, _navutoka_, --, 
   {{0x51e7013c,0x1107056f,0x82900117,0x231a003a}},	//   _yeniyetm, _desiatky_, _pinat_, _kiriting_, 
   {{0xb30500c4,0x00bd0061,0x427f0011,0xecd7011d}},	//   _دوڪان_, _결혼했어요_, _abenda_, _промисе_, 
   {{0xf2b50026,0xc2fc01ab,0xab1800ad,0x02f4001e}},	//   _kracht_, _lingid_, _sabagian_, _kwantar_, 
   {{0xffb90343,0x526e0467,0x84640396,0x1d3a00f0}},	//   _tableclo, _borode_, _relevanz, _kaviarne_, 
   {{0x935f0252,0xf56803ec,0xbefa0299,0xa3730009}},	//   _nengome_, _perjetsh, _زىناغا_, _prhanje_, 
   {{0xa03300f2,0xcdfe01db,0x929102fb,0x00000000}},	//   _sestdien, _جەڭىس_, _pivaa_, --, 
   {{0x027f05f4,0x7ddc00c4,0xb0d70061,0xf29b0037}},	//   _ananaw_, _سينٽرن_, _대한민국공인_, _ያለፍርድ_, 
   {{0x2eb80151,0xf2b40046,0x00000000,0x00000000}},	//   _allonlin, _volcà_, --, --, 
   {{0x727e05f1,0xed8903e6,0x5fe203ad,0x27040065}},	//   _ikindi_, _europawa, _estinzjo, _postgebü, 
   {{0x1dc302a5,0x325a00af,0xe23402f6,0x056804c7}},	//   _ochotné_, _takler_, _isumite_, _преданос, 
   {{0x843d00d1,0x62b50026,0xf1d10187,0x2045023a}},	//   _বিশালকায, _bracht_, _основач_, _priraden, 
   {{0x0dfe016d,0x83ea0092,0x8adb0100,0x00000000}},	//   _نەپىس_, _agete_, _granični_, --, 
   {{0xba280017,0x15ff028d,0x3c600235,0x4b190291}},	// [8060] _vestavěn, _gurmandi, _aratnir_, _corpoide, 
   {{0x4973029d,0xf14801c8,0x6a7800d9,0xc20a03a2}},	//   _интермед, _automaty_, _mielenos, _बेनज़ीर_, 
   {{0xd3f90313,0x00000000,0x00000000,0x00000000}},	//   _duvuv_, --, --, --, 
   {{0x142b0014,0x234f002c,0x729000fa,0xec5600f5}},	//   _ሕጋውነት_, _estekak_, _pinas_, _mertebe_, 
   {{0x138d003c,0x564c0119,0xa9a801ac,0x00000000}},	//   _amastani_, _maayudah, _súdairea, --, 
   {{0xbf110203,0x852502ab,0xdbb5013d,0x4f3300e6}},	//   _kontenta, _malitegh, _vilhelmo_, _省人民政府办公厅, 
   {{0x634c018f,0xfcb50176,0x8291022b,0x096c0333}},	//   _chechlaw_, _arigatou_, _bivan_, _abbituat, 
   {{0x2c1500b3,0x80920193,0x00000000,0x00000000}},	//   _medreses, _धर्मातील_, --, --, 
   {{0xda9a0315,0x5589002b,0x5a790198,0xba8d0277}},	//   _asinasis, _দেশগুলো_, _nadzirat, _kasiglab, 
   {{0x6ead07c6,0x2b750333,0xef3905b9,0x00000000}},	//   _istodobn, _avulpacc, _svindler_, --, 
   {{0x42d8019e,0x042401cd,0xcf2f01b2,0xb75b00e0}},	//   _dideli_, _abhidlik, _allotter_, _earnstig, 
   {{0xf272023e,0x5b030222,0x52da00b3,0x31c10115}},	//   _microsil, _pourraie, _bitewi_, _ketengah_, 
   {{0x2412023c,0x720006c6,0xe0120322,0xe36c04b3}},	//   _abanezak, _sonido_, _abavukan, _bangali_, 
   {{0x62d80578,0x729101a7,0x92020181,0x41410079}},	//   _tseem_, _aivan_, _aktier_, _likumpro, 
   {{0x523f03c1,0x92d8045c,0xbc760053,0xe64b028d}},	//   _оставете_, _odmenu_, _पिस्ता_, _kushiram_, 
   {{0xea180185,0x29dc00ba,0x0371004b,0x73eb01fe}},	//   _advokatı_, _بابامیری_, _bomamng_, _leuta_, 
   {{0x8aaf016f,0x25e10128,0x42a80291,0xea97033c}},	// [8070] _половині_, _объекти_, _وتحقق_, _maniffes, 
   {{0xdb0f0073,0xba910414,0xb3ea0207,0x4201031e}},	//   _hospitat, _kobyanga_, _huitwa_, _gubici_, 
   {{0xe3ea0103,0x051c01e8,0xa0960208,0xac7700ef}},	//   _kuitwa_, _artukulo_, _داراییه_, _anesine_, 
   {{0x330e0264,0x83370022,0x029403c7,0xb71001a0}},	//   _rosales_, _талмай_, _musiał_, _chicihiw, 
   {{0x205e0060,0x624902ce,0x16250055,0xd8d8035e}},	//   _الابوتەن_, _imamat_, _autonumi, _mileniju, 
   {{0xb917009c,0xe9cf0003,0x370a0371,0x625a036a}},	//   _rinconad, _momentee, _ирландск, _kuila_, 
   {{0x033d02ee,0x829100dc,0x3e9d01b2,0x7d5702cf}},	//   _servizzi_, _aivao_, _aasmooin, _разните_, 
   {{0xaabc0023,0x67ac0161,0xaf2101fe,0x88d9023a}},	//   _клипы_, _esitutki, _vucunisa, _zaostrov, 
   {{0x1f4401d9,0x7043045b,0x4e500308,0x00000000}},	//   _versicht_, _агенства_, _membalut_, --, 
   {{0x4c44030b,0xfa9300e5,0xd200018f,0x2201044a}},	//   _akaweta_, _комети_, _osnis_, _ruzizi_, 
   {{0xd27e01af,0xdf3f0148,0xa2910113,0xa1d900de}},	//   _ikinji_, _性別主流化_, _tobann_, _دغيرت_, 
   {{0xf3f40212,0xc7fa021b,0xc50f026c,0xb2fc00db}},	//   _lastfm_, _нападени, _postremo_, _blogis_, 
   {{0x125a0092,0x22ca00c9,0x6fb700ff,0x36490126}},	//   _utils_, _mvideo_, _פריקווענ, _приверта, 
   {{0xc14e0021,0x35160299,0x127f0334,0x52fd032f}},	//   _anitatio, _ئاخماق_, _chanji_, _admitir_, 
   {{0xbe19005c,0x98d4027f,0x82020059,0x62ee00a2}},	//   _nizeyima, _bamurung, _arrivi_, _maanani_, 
   {{0x60640247,0x605a016d,0x52da01a0,0x00000000}},	//   _انتظاری_, _франсийи, _koteki_, --, 
   {{0x2bed0178,0x23e70203,0x00000000,0x00000000}},	// [8080] _ananuśru, _centdeci_, --, --, 
   {{0x02ee0292,0x706302d3,0x00000000,0x00000000}},	//   _gaanani_, _погодок_, --, --, 
   {{0x89d60105,0xe17701a4,0x364102c1,0x25cd0089}},	//   _विशेषताए, _aaaiiihh_, _insigami, _виргиния_, 
   {{0xa27f04cf,0x329001d8,0x226c029b,0x00000000}},	//   _abenza_, _janai_, _janool_, --, 
   {{0xc7a9018d,0x587100a7,0x7f2700e6,0xf86a0246}},	//   _ዘይኰይኑ_, _companys_, _attendon, _бюджетно_, 
   {{0x62dc011e,0x63eb026a,0x7c170751,0xab7301cd}},	//   _anforsi_, _ceuti_, _atlanter, _порахур_, 
   {{0x6ec30040,0x73580022,0xb35d0242,0x92d00198}},	//   _ואורח_, _кушнарен, _rəftar_, _kalorij_, 
   {{0x92b40217,0xa77a0017,0xe27f00fb,0xc2da011b}},	//   _bloca_, _जीवविज्ञ, _ebenza_, _boteki_, 
   {{0xab7f04a4,0xc66c0076,0x02ef03b5,0xc7b501a3}},	//   _charmina_, _холандиј, _ahlinya_, _هِيءُ_, 
   {{0x63e10132,0x5696016d,0x9bf401f6,0xe86004a4}},	//   _اضلاع_, _ﭼﻮﯕﻘﯘﺭ_, _গ্ৰাহক_, _caladair_, 
   {{0xcea401cf,0x72c101b8,0x7c6000f4,0xaa760183}},	//   _ambulate_, _kellega_, _amatour_, _abigaila_, 
   {{0xdd220318,0x3f0f0038,0xc2900037,0x329003bd}},	//   _fonohake_, _шикәр_, _canai_, _lanaw_, 
   {{0x629107bb,0x74d7015e,0xdd330276,0x0c5901df}},	//   _bival_, _баласыз_, _كىنوتورى, _castock_, 
   {{0xb6380130,0xa29502ee,0xf2d901df,0x63c302a5}},	//   _ciconiif, _fiskali_, _gruel_, _návsi_, 
   {{0x19040528,0x3c6700a6,0xfb45026f,0xe4820060}},	//   _comataid, _دروان_, _ارلەۋىمە, _болудың_, 
   {{0xdc6100b2,0x727f001f,0xa26e005b,0x8dde000c}},	//   _antumaa_, _obenya_, _unroot_, _манескуи_, 
   {{0x720001fb,0xc04600be,0x4bdf05e6,0xe18a0237}},	// [8090] _tonico_, _سئزدەردى, _scheeper, _검색엔진에서_, 
   {{0xf37f064d,0x3290029e,0xdc7700e4,0xa38c0148}},	//   _ahiahia_, _manav_, _konsole_, _就請幫忙告訴房東, 
   {{0x825a0233,0x93800244,0x793b018d,0x929001ed}},	//   _drill_, _laurea_, _ንጹርነት_, _panai_, 
   {{0xd2ca04c3,0x027f0097,0x925b006a,0x9fdd048a}},	//   _xvideo_, _akanji_, _ivelan_, _санасына_, 
   {{0xbea600ee,0x07a701d5,0xa25a0151,0x7a660041}},	//   _экологий, _طہارت_, _frill_, _иамхреи_, 
   {{0x9974021b,0x4874021b,0x420e0064,0x09e2020f}},	//   _parisuht, _parisuhd, _папан_, _ځاځيو_, 
   {{0x56f70139,0x22b6042c,0x925a0195,0xb25a0155}},	//   _मानवाः_, _slucaj_, _cuala_, _stals_, 
   {{0x9321011e,0xbf6a0135,0x4b3d03ac,0x72b403c3}},	//   _akeyir_, _alabugan, _percikan_, _ploca_, 
   {{0xa291000b,0x29e002dd,0xea04030d,0xbede017a}},	//   _fafati_, _armonija_, _canlandı_, _зиеди_, 
   {{0x14d702b6,0x78fe0028,0xa2900130,0xc65b028b}},	//   _салалы_, _labadood, _danav_, _шәреспуб, 
   {{0x712d040f,0xffd300fa,0xa41302fe,0x7ad7048a}},	//   _шахты_, _relihiyo, _کاردی_, _جولبارىس_, 
   {{0xf9840041,0x0b360033,0x312f013a,0xb3eb033f}},	//   _ахақәиҭр, _lumbrein_, _alldeegl, _leutu_, 
   {{0xa25a0323,0x620201f1,0xec760148,0x86a90126}},	//   _suala_, _arriti_, _內蒙古赤峰市_, _приватба, 
   {{0xf9ec04fe,0x2f9302ba,0xa9f9031a,0xcda200a6}},	//   _angoscia_, _борбад_, _churricu, _ekhokela, 
   {{0xe847029e,0x1732007e,0xec740195,0x4c000033}},	//   _ailurops_, _avatīrṇa, _locuist_, _chestas_, 
   {{0x627e010d,0x3a8900c8,0xc6bb001c,0x5e3305f2}},	//   _iming_, _тапмаҫһы, _igsasari, _bailamos_, 
   {{0x625a043a,0xe27e00c0,0x229001ef,0xd2940687}},	// [80a0] _brill_, _aming_, _manau_, _atakiri_, 
   {{0x82ca03f3,0x8de101bd,0xb25a03fd,0x723301d3}},	//   _svideo_, _тәрбие_, _tuala_, _exempel_, 
   {{0xcfff0010,0x5dd8025e,0xd06302ec,0x4eb50160}},	//   _abakapho, _leikkona, _allahayo, _neizosta, 
   {{0x7ea50043,0xf09700de,0x42b9042b,0x830100b2}},	//   _aboluvan, _خارجیان_, _zelenog_, _furanii_, 
   {{0x55430012,0x53ea0265,0xb29000c0,0x43f80285}},	//   _अगवढ़_, _feiten_, _tanaw_, _bamuzi_, 
   {{0x12d80107,0xf2d9004c,0xf24a0455,0x841700d1}},	//   _semeru_, _ameeru_, _larmes_, _সমাহাৰ_, 
   {{0x37af0132,0x825a008c,0xf1d801f1,0xa5e901cd}},	//   _felesleg, _quala_, _policinë_, _абдуғафф, 
   {{0x83ea047d,0x9c80048a,0x237a02c8,0x227b0022}},	//   _heiten_, _اقسۇڭقار, _levaron_, _йәрәхәтә, 
   {{0x972402ac,0x9ae201a0,0x92d80144,0xa464022c}},	//   _يوافق_, _inxuware, _ghleo_, _dibekepk, 
   {{0x9a5f04fc,0xf37802ca,0xfa960041,0x4d0c003a}},	//   _pregunta_, _gamaran_, _иамшуп_, _amaliyot_, 
   {{0xb29000a5,0x943f026f,0x7899015e,0xa7590374}},	//   _fanau_, _ءورلەۋ_, _арменияд, _снейдер_, 
   {{0x9f980368,0xd38702c6,0x5b5300c5,0xcb13002b}},	//   _политику_, _charia_, _环氧富锌底漆_, _চর্বি_, 
   {{0x8989045a,0x0a7f00a1,0x5eea0127,0x00000000}},	//   _urinprøv, _mauahara_, _deixonne_, --, 
   {{0xd29003f6,0xd27801be,0xa2f00014,0x025a02d5}},	//   _hanau_, _turnov_, _amnisti_, _मारिशियन_, 
   {{0x12460034,0x5d860045,0x029000fe,0xc2fc02b4}},	//   _svolítið_, _разред_, _kanau_, _bomatisi_, 
   {{0x12900242,0xd2fc037c,0x5eb1020b,0x82900461}},	//   _manat_, _comitis_, _kokoanon, _canau_, 
   {{0x425a0250,0xe54b017a,0xae2c0177,0x0fe300bc}},	// [80b0] _prill_, _abahlush, _иамҧхьаӡ, _والتر_, 
   {{0x42060165,0x120e002f,0x52df01e4,0x25c702c0}},	//   _tukituki_, _anchatam, _schovat_, _германци_, 
   {{0x1c7a013e,0x69090076,0x45c301de,0x02dd034c}},	//   _vlasnik_, _делата_, _кодексi_, _donetski_, 
   {{0x5aea023d,0x8ac9016d,0xc2d8013f,0xc2900316}},	//   _trattame, _бирдинби, _nilez_, _ganau_, 
   {{0x7bbf02a5,0x82b1006a,0x12e70176,0x72000318}},	//   _क्रूसको_, _sandoka_, _chanpon_, _simiki_, 
   {{0x429001cc,0xb37804a4,0x3967025c,0x6eaf005c}},	//   _manasi_, _camaran_, _schichte, _bakunnye_, 
   {{0x33b60039,0xd3f8044d,0xd37907c7,0x00000000}},	//   _бааранд_, _limuy_, _aplauso_, --, 
   {{0xe34b03f4,0x93960027,0x661403f1,0x44a400ec}},	//   _tulevat_, _dissel_, _neberiem_, _pastangų_, 
   {{0xa9d00354,0x9e6d0051,0x60de0513,0x3e3a038e}},	//   _дедим_, _uzaicinā, _hurnelel, _kewajara, 
   {{0x4b0401e1,0x944b0205,0x2a8d03db,0xff1f022f}},	//   _ameriaka_, _аталади_, _awunakub, _protinga, 
   {{0x68350135,0x2050025b,0xd2370287,0xb290000e}},	//   _kremlend, _várfagna, _ptejte_, _ganat_, 
   {{0x720e0302,0xb3780264,0x5f480297,0x7ea103c6}},	//   _факат_, _samaran_, _мальдива, _argumint_, 
   {{0xae440092,0xbd150098,0xd39600bd,0x00000000}},	//   _いいですね_, _popstjer, _hissel_, --, 
   {{0x8202013b,0x8387004f,0x68f903d2,0x295b03dc}},	//   _buriti_, _ekaraa_, _stredný_, _barnaeft, 
   {{0x867d00be,0x1c02057c,0xe2b30066,0x3e3a03fd}},	//   _بااڭاردى_, _trafikpr, _landuko_, _pisapisa, 
   {{0xaa7300bf,0xba9003f3,0x0bdc042e,0xf9db00d9}},	//   _поселка_, _koningin_, _handlekr, _panostaa_, 
   {{0x86e5009a,0x1291033f,0x1d2e0144,0xb2ca0193}},	// [80c0] _عناصرو_, _hivaa_, _éanlaith_, _deddy_, 
   {{0xf2c20133,0x517500a7,0xe2d800b9,0x94a704a5}},	//   _amaluma_, _тунисте_, _mahesa_, _othandek, 
   {{0x03780499,0x5317034c,0x00000000,0x00000000}},	//   _faaalia_, _aznakay_, --, --, 
   {{0x3f910029,0xd27e01e5,0xc1560465,0x97220109}},	//   _وردژی_, _ekinni_, _utrujeno, _बानियांस, 
   {{0xe1ca0390,0x79df0328,0x37eb016d,0xb2ec0220}},	//   _qanunsuz_, _aratangu, _җяңсу_, _riviste_, 
   {{0x824a028e,0x529007c8,0x82d8020e,0x027b03e0}},	//   _hetman_, _hanam_, _kiley_, _agestall, 
   {{0x8290004f,0xfe900073,0xab1c01b9,0x127e0234}},	//   _kanam_, _lustrose_, _matadeen_, _ikinni_, 
   {{0x7fb601e4,0x623801f4,0xc5a30450,0xb2900205}},	//   _uvítal_, _kelmadi_, _niiskrek, _tanasi_, 
   {{0xcc620054,0xcb0c0108,0x68c500c1,0xcd380297}},	//   _hotunan_, _maksudna_, _ठामपणे_, _belarusq, 
   {{0x925a033d,0x7c5c01c5,0xb74201c4,0x5e03017f}},	//   _prale_, _barteen_, _motorong, _ineeraqa, 
   {{0x01fc0360,0xd29000a0,0x98f7028a,0x823a01be}},	//   _bankovní_, _kifar_, _حادثاتي_, _व्यावसाय_, 
   {{0x9d9b0231,0x029002ce,0x586b0127,0x5ae000b5}},	//   _taylorma, _janari_, _adunanid, _katupyet, 
   {{0xf290016e,0x8d5500e6,0x0f710040,0x4e1a0274}},	//   _sanal_, _个工作日内_, _combines_, _laugarva, 
   {{0x72900313,0xc2900310,0xcc67012c,0xb197002b}},	//   _manaj_, _panal_, _سرعام_, _নৌবাহিনী, 
   {{0xb4b401db,0x36e400c5,0xdb460024,0x12d001da}},	//   _اتاۋىمەن_, _幼儿乐园开一家火, _অন্ধ্ৰ_, _balerini_, 
   {{0xe2940255,0x12d801c5,0xf2e9038b,0x3201052e}},	//   _रामप्यार, _diley_, _intinya_, _elfico_, 
   {{0x329001cc,0xd2d80440,0x801f002c,0x73e102ac}},	// [80d0] _vanam_, _mahera_, _handiago, _أضرار_, 
   {{0x12d80242,0xad3a011d,0x6d28002b,0xff5e0277}},	//   _taleyi_, _incheiat_, _নানারকম_, _kampeona, 
   {{0xab830486,0xa290003a,0x44e301d5,0x5c1602b3}},	//   _आदिमा_, _sanasi_, _پروڈیوسر_, _cápita_, 
   {{0x99b700de,0x339d008d,0x530003b9,0x87aa006c}},	//   _واکسین_, _کتابده_, _sujakiw_, _abavusiw, 
   {{0xca5c0252,0xac0b00ae,0x02fe00bc,0x8d6200bc}},	//   _farelela_, _basokuru_, _cariyos_, _کدومه_, 
   {{0x4db300ce,0x127a00a2,0xc9cd0388,0x18cd0377}},	//   _legalite_, _kemikali_, _conforte, _confortu, 
   {{0x3a5902eb,0xd27f01e5,0xe2e9012c,0x629001fc}},	//   _baserria_, _ikanni_, _kilicho_, _yanam_, 
   {{0x729000ee,0x6db30145,0xa34f015c,0x13b80297}},	//   _lanak_, _negalite_, _ambesch_, _гөлҗимеш_, 
   {{0x5ede01f4,0xf2bc02eb,0xd399005c,0x27af0274}},	//   _бизда_, _бүрчлэн_, _abaparem, _sigurgei, 
   {{0xbeb30269,0x9290005b,0xe2b40063,0x77530299}},	//   _aquellos_, _nanak_, _luiche_, _بەلغەم_, 
   {{0x83410408,0x6c6f0066,0x025a00da,0x69cd0168}},	//   _andevon_, _porrota_, _grila_, _kofferte, 
   {{0xeecd04ce,0x620205f1,0xc67503db,0xceb803d9}},	//   _musidzan, _buriri_, _kuchithw, _foloalin, 
   {{0xa25a0382,0x332400e9,0xc94f0405,0xfef20012}},	//   _arila_, _lonbraz_, _ballonge, _पाइके_, 
   {{0x0c52027b,0xe11500e6,0x330d0322,0xb25a013d}},	//   _शीलेन_, _中国共产党党员领, _atibuka_, _brila_, 
   {{0x3b190197,0x0f2c0082,0x03870434,0xda810226}},	//   _depatman_, _falesdin, _charla_, _anaonans, 
   {{0x28460076,0xa13b0040,0xc2d80047,0x3dea03b7}},	//   _qualidad, _הלבוש_, _benoît_, _arijuana, 
   {{0x07b70076,0xd0f9017d,0x0a4c0008,0x1290029b}},	// [80e0] _самите_, _クショップ_, _جالىنمىن_, _fanak_, 
   {{0x138702ca,0x7f170040,0x39ba00e6,0x00000000}},	//   _tharla_, _הגישו_, _港澳台地区_, --, 
   {{0xc25a041e,0x52020004,0x8952008c,0x060b0143}},	//   _quale_, _atribi_, _collenbe, _очевидец_, 
   {{0xb2b40527,0xb4070193,0x02c50250,0x00000000}},	//   _ploce_, _नामदार_, _trembur_, --, 
   {{0x62900278,0x22d801a6,0x4e510157,0x00000000}},	//   _kanak_, _rahera_, _totalnie_, --, 
   {{0x3fea01db,0x4e38025a,0xb3240290,0x00000000}},	//   _ءىستىڭ_, _bakagisa, _concepi_, --, 
   {{0xc0090475,0x4bd50314,0x200802d6,0x2ec70358}},	//   _разобрат, _әхмәтзәк, _суғоришн, _oudimwen, 
   {{0x35ea022b,0x00000000,0x00000000,0x00000000}},	//   _heimunum_, --, --, --, 
   {{0x3c780156,0x429101fe,0xc2ee0082,0xc95f0352}},	//   _פאַוואָר, _vavavi_, _faifan_, _blautdyr_, 
   {{0x35c702ca,0xe42102a2,0x407f02c5,0x00000000}},	//   _phoblach, _binabago_, _hauchazo, --, 
   {{0xdcc80152,0x08b5000d,0xfa0600a6,0x4a8e013a}},	//   _таблицас, _esitatav, _ښکليو_, _kinnigin_, 
   {{0x1eb604c7,0x529000bc,0xa3f20321,0xc29002f6}},	//   _листом_, _manah_, _blazine_, _aanak_, 
   {{0x5d1b061c,0xac1b04a6,0x52fd0331,0x00000000}},	//   _porodice_, _porodicu_, _einigur_, --, 
   {{0x925a0036,0x9c070058,0x0870002b,0x97ca029a}},	//   _prila_, _minsbot_, _ইটালিয়া, _sansibli, 
   {{0xc73f01a7,0xf3eb02d4,0xc2ee0321,0x82e9024c}},	//   _оставить_, _statta_, _novinec_, _brincat_, 
   {{0x223b01d8,0x5c7302ac,0x89da02cb,0x122d0219}},	//   _kammiet_, _fearais_, _hotelije, _esivumel, 
   {{0x0640033f,0xaf2303ac,0x737901c2,0x7adf0334}},	// [80f0] _aisikili, _berlayar_, _galaico_, _asatenge, 
   {{0x863904ae,0x278901af,0x00000000,0x00000000}},	//   _формални_, _dermançy_, --, --, 
   {{0x14b90219,0x0355039e,0x4681033c,0xa9ed0155}},	//   _alobufak, _lineær_, _bendigei, _minimera_, 
   {{0x2af7005a,0xd47b01da,0x7c84000a,0x00000000}},	//   _lunungme, _kaluaren_, _imillaqq, --, 
   {{0xe37b0472,0xe101011d,0x148d0061,0x738701c7}},	//   _semacam_, _акватикэ_, _내용입니다_, _akarda_, 
   {{0xaae20013,0xd2ca0132,0x4e5a00f5,0x1c5e0153}},	//   _آپریل_, _emeleti_, _zamahşar, _ションのコンピテ, 
   {{0x02910527,0x8c7c0312,0xeaef00db,0x625a0130}},	//   _davati_, _blistin_, _pereklub, _duilh_, 
   {{0x729002d9,0x6ebb0147,0xfc770053,0x459a0095}},	//   _nanai_, _قالشىلدا, _पार्ले_, _dherekak, 
   {{0xcede018d,0xbeb3018b,0x63f10475,0x52d80017}},	//   _ሕልኽላኻት_, _regulile_, _гвоздика_, _sklem_, 
   {{0x129003f6,0x436f02a2,0x211f013d,0xbfa70115}},	//   _hanai_, _lungkot_, _provinco, _sehektar_, 
   {{0x2e720193,0x8d8f0264,0x3f4c0092,0x261502cf}},	//   _मिल्क_, _aprobara, _bukserne_, _судири_, 
   {{0x75620192,0x15be0338,0xd22d03de,0x70610014}},	//   _질문입니다_, _catalonh, _asivumel, _adriatik_, 
   {{0x629000f2,0x99a3026f,0x8a080010,0x959700d1}},	//   _manai_, _تىيلعىڭى, _bekasebe, _ধোঁৱাত_, 
   {{0x529004bd,0x129e02cf,0x25a400ff,0x685f0376}},	//   _lanai_, _мираж_, _שראלטשע_, _armarnar_, 
   {{0xce0c0250,0x3e960162,0xf63c0176,0x6e320189}},	//   _preferua, _سىيىت_, _rosarium_, _sloganla, 
   {{0x12b100a9,0x12b40144,0xcb9100e6,0x00000000}},	//   _bandika_, _cloch_, _柯桥市场桥立面改, --, 
   {{0x729002b7,0xa61704bd,0xa2d8007f,0x20e600c1}},	// [8100] _rafai_, _hooliloi, _baledi_, _पदवीधर_, 
   {{0x9b7102af,0x33ea01d4,0xa05901b8,0xfa1500ec}},	//   _agishira_, _dritta_, _meeskonn, _sutartie, 
   {{0xd1c70127,0x425a02ac,0x5667025c,0x7201018c}},	//   _istorioù_, _nuala_, _südafrik, _lezing_, 
   {{0xe9e602d5,0x51d700da,0x52b4033c,0x53ea02a6}},	//   _चट्टी_, _дестинул_, _gloch_, _fritta_, 
   {{0x8eb801eb,0x5fc60107,0xbbe40089,0xec3e00d1}},	//   _estróne_, _cumondho, _gazetlar, _লাজকুৰীয, 
   {{0x125a0429,0x35bc00cd,0x7c7c019a,0x158d02ca}},	//   _kuala_, _turissem_, _blissin_, _لزوارنا_, 
   {{0x02910163,0x732001bb,0x5d8a0016,0x4a7d0408}},	//   _divat_, _manyda_, _tradicie_, _hanamora_, 
   {{0xdc6e0476,0xec620040,0x325a024f,0xc36d00ec}},	//   _akarega_, _immunol_, _muala_, _sandelyj, 
   {{0x32900117,0x87e10269,0xb3200073,0xbe610064}},	//   _sanap_, _cumplimi, _lanceas_, _فىرانسۇز_, 
   {{0x326c00fe,0xfd260075,0x90e200a4,0x00000000}},	//   _afioo_, _næstform, _كەڭىرى_, --, 
   {{0x12da002a,0x134402a0,0x8379015a,0xa03a0396}},	//   _gwanine_, _bibeere_, _awwaala_, _direzzjo, 
   {{0x65be036b,0xdc69033e,0xbf25007e,0xa25c042c}},	//   _друго_, _serrato_, _anirukta, _objektim, 
   {{0xa3940438,0x4db8009a,0x91930139,0x7d1302cb}},	//   _zonse_, _abongika, _aniketaḥ_, _debljine_, 
   {{0x03870178,0xa67301c2,0xfc09002f,0x0a070010}},	//   _akarma_, _readmisi, _chipcha_, _itsandza_, 
   {{0xe2b401e6,0x4bd90019,0x00000000,0x00000000}},	//   _ploch_, _банктары, --, --, 
   {{0x42e70222,0x9380022c,0xebd5038b,0x43f402a1}},	//   _chanson_, _saurna_, _mendasar, _opstal_, 
   {{0x8d2d0040,0xd26d01e6,0xeb1900d9,0xef2102f3}},	// [8110] _בשוהם_, _kocour_, _tavataan_, _beklagar_, 
   {{0x336e00e4,0xd96a004a,0x304002ac,0xffc80137}},	//   _पक्षियों_, _otunbaye, _المظهر_, _компанит_, 
   {{0xf04403da,0xd3870132,0xa25a0242,0xe20e01cd}},	//   _akauntan, _akarja_, _qulluq_, _галат_, 
   {{0x32b10048,0x692a003e,0x02a6042d,0xb26d01b5}},	//   _tandika_, _таратайк, _avobe_, _mabofu_, 
   {{0x1bc300c4,0xfebc003f,0x00000000,0x00000000}},	//   _وهنجڻ_, _jesrupbe_, --, --, 
   {{0x1c5d02ea,0x03940260,0x5b02036d,0x00000000}},	//   _partito_, _ponse_, _litriche, --, 
   {{0x2c5c0148,0xf85c0155,0x8a070219,0x6cc5023a}},	//   _歷史股價ｋ線圖_, _rabatter_, _atsandza_, _pamiatku_, 
   {{0xbd6a032b,0x9c6a047f,0x7e1f03b5,0x92cb0343}},	//   _بازارلار, _चिठ्ठा_, _tangkapa, _kwadro_, 
   {{0x6cbd0093,0xb9c500d7,0x485c0242,0xab190358}},	//   _причиной_, _balekgot, _xarakter_, _desandan_, 
   {{0x8e4f017d,0x73f40117,0xc2ea017e,0x00000000}},	//   _オンラインショッ, _kastom_, _atingas_, --, 
   {{0xdda203f2,0x82fb005b,0x725b0046,0x228703ec}},	//   _kirosana, _saphira_, _nuclis_, _bankave_, 
   {{0x93eb0020,0xa7e4047b,0x1378011b,0x227e056a}},	//   _luatua_, _avspákin, _lubanga_, _mmino_, 
   {{0x48260147,0x1c5b000e,0xe4620227,0x4c5200a8}},	//   _بالادان_, _custosi_, _ditegask, _adatada_, 
   {{0xac61003c,0xf5e1027b,0xe97c03de,0xfeda04fb}},	//   _andukan_, _प्रियहित, _nemifane, _indicios_, 
   {{0xdbda0430,0x922601e8,0xa9ff015a,0xfc6803b5}},	//   _lwamondo_, _baskog_, _baratoot, _situlah_, 
   {{0x93010146,0x2149018d,0xbc77044f,0x62fe02fe}},	//   _perangi_, _ዘይካኣል_, _berumur_, _buchule_, 
   {{0xd7b602ee,0x0378030b,0x1291006f,0x9846008d}},	// [8120] _trasferi, _kubanga_, _nafasi_, _milliond, 
   {{0xf2c1008f,0xcb7b04e8,0x32d901df,0xa300033f}},	//   _sellega_, _alashiya_, _cruet_, _laialai_, 
   {{0x7b07024c,0xc31f00ce,0xb25c00bb,0xc2d000ec}},	//   _farrugia_, _mancham_, _کیاجاسکت, _lyderiai_, 
   {{0x33a3016f,0xd3010112,0x0b810139,0xb372029b}},	//   _skaper_, _terangi_, _bhairavo_, _komaand_, 
   {{0x53f80258,0x42d901d0,0x629102b4,0xf25a01c7}},	//   _theun_, _truet_, _bafati_, _ataly_, 
   {{0xf25a0544,0xdf6300be,0x724a0437,0x725a013f}},	//   _puali_, _насыялар_, _uvedkomm, _grall_, 
   {{0x461b01f2,0xf87900d8,0x70c70059,0x00000000}},	//   _аталғу_, _camisard, _pallavol, --, 
   {{0xa15f007d,0x6f2e025c,0xe2600173,0xf2fc008c}},	//   _mengamal, _anleitun, _saludabl, _adigna_, 
   {{0xd25b0255,0x83e8001d,0xd0c701c9,0xb2d8019f}},	//   _evelin_, _defectiv_, _vallavol, _malezi_, 
   {{0x4f2a0462,0x93a20144,0x1cdd0211,0xbee3005b}},	//   _acersspa, _chipir_, _учебно_, _chokeren, 
   {{0x4f640408,0x034401be,0x00000000,0x00000000}},	//   _nolazain, _liberce_, --, --, 
   {{0x29f50108,0xa2ef01b2,0xdc6d004c,0xb2da0005}},	//   _nangtuke, _soffit_, _akiraga_, _capeva_, 
   {{0x1b180397,0xb1540075,0x63650008,0x6aa201be}},	//   _linganis, _firststo, _targeta_, _अग्रवालल, 
   {{0x2c76046d,0x8c0d00ef,0xb2d80222,0xc0a60061}},	//   _theroni_, _akopele_, _aidez_, _아이디저장_, 
   {{0x8ec402c1,0x025a0371,0xd2ca018a,0x00000000}},	//   _kinyarwa, _quali_, _brodyr_, --, 
   {{0x125a007f,0x029101f4,0xb477014e,0x725a02c8}},	//   _arall_, _nafari_, _рамена_, _tralo_, 
   {{0x51fd029f,0x00000000,0x00000000,0x00000000}},	// [8130] _reklamác, --, --, --, 
   {{0x73940004,0xe616029d,0xae4203d5,0xc29003ad}},	//   _konsa_, _валурь_, _vicarage_, _tafal_, 
   {{0xf13400a4,0x6716019c,0x05a30331,0x12ca018a}},	//   _алдыда_, _gànnàkù_, _breiðum_, _frodyr_, 
   {{0x75ea0075,0x729003e5,0x624a003d,0x42fe012a}},	//   _heiminum_, _nafam_, _carmes_, _targeo_, 
   {{0xe27e0031,0xed3c01f9,0x125a0360,0x27a30321}},	//   _emang_, _abengeke_, _staly_, _zamenjav, 
   {{0x4eb200d3,0x72b4009e,0x64900425,0x886d0028}},	//   _म्यूजिकल_, _bloco_, _لووچستان_, _jariidad, 
   {{0xe9fc021a,0xe6590253,0xdc650094,0x0465020f}},	//   _adaamaat, _aalisarf, _турмеге_, _babesenz, 
   {{0x542602bb,0xbb2d001c,0x5b590073,0x8dbe0084}},	//   _archiwiz, _cataguas, _salutava_, _bumialla, 
   {{0x894f04d0,0xb2ef00da,0x06b702a2,0x62c3024a}},	//   _dallinge, _рмений_, _gagamiti, _ilolupo_, 
   {{0xa26d02d0,0x19f50538,0x62910054,0x71440392}},	//   _beyon_, _massemed, _azzara_, _libearal, 
   {{0x9de1021c,0xe6180243,0xbd0802bb,0x1c170192}},	//   _optické_, _gineenim_, _łamaniem_, _gekleurd_, 
   {{0x704a053f,0x4b6701cc,0xba0a000b,0x1c7d00bd}},	//   _umaratan, _aparaiva_, _funafala_, _claspin_, 
   {{0x64ed0366,0xa25a00fe,0xfd350315,0x6670030a}},	//   _принятия_, _asila_, _balindze_, _baldaqui, 
   {{0x125a02fb,0x3a1401c8,0x239402e1,0xa1e601ee}},	//   _fualu_, _pracujet, _fonsa_, _хăшпĕр_, 
   {{0x92d7023b,0x23ea0065,0xee4e03bd,0xc2da00fe}},	//   _halekiai_, _reiten_, _kalainla, _tapeva_, 
   {{0x33ea0415,0xf290003d,0x596d02ac,0x52e30157}},	//   _seiten_, _lanas_, _اتجاهات_, _तोहीर_, 
   {{0xde4200ea,0x02d80198,0x33f80195,0xd08100e6}},	// [8140] _ankalaza, _videz_, _cheum_, _中华人民共和国物, 
   {{0x427e0252,0x338601ef,0xbc77010d,0x5394048c}},	//   _mmane_, _skiria_, _terukur_, _balsym_, 
   {{0x67ee017d,0x694000c4,0x83bb0107,0x338301b9}},	//   _ブログトップ_, _اپڊيٽ_, _دستای_, _presizem, 
   {{0xff5d0282,0x041301ac,0xa9c000ad,0xb2490313}},	//   _marautan, _جامده_, _kasempet, _hapmo_, 
   {{0xe177022f,0xf2a60005,0x72900456,0xb2d8019f}},	//   _секты_, _beiber_, _ranau_, _madeni_, 
   {{0x6ecd023c,0x196e02b3,0xb2b502ea,0x2ed10235}},	//   _akanalun, _dirixent, _tracce_, _विद्वत्स, 
   {{0x87cc0040,0xb7710255,0x389300be,0x1b470193}},	//   _להמחשה_, _महिनेवार_, _темалард, _युद्धाती, 
   {{0x3d95042f,0xc3a3028d,0x23f80195,0xee2300bf}},	//   _itiliraa, _akapar_, _bheum_, _гласными_, 
   {{0xaab101b8,0x72ef037c,0xc39602c2,0x33210077}},	//   _जगदीश्वर, _koffee_, _wissel_, _akayik_, 
   {{0x7f8201b8,0xb46400a8,0xbb67023d,0xff3903ba}},	//   _फट्के_, _toleranz, _намерен_, _swindler_, 
   {{0xfc670040,0xd5980013,0xa3eb0233,0x2ade00c1}},	//   _restart_, _шуларнин, _neutr_, _प्रेझेंट, 
   {{0xfbd3001c,0x49f302dd,0x83f401b4,0x32ea0145}},	//   _feldkirc, _agenzija_, _opstel_, _omnitel_, 
   {{0x2b4f040e,0xe29000cf,0x81e600ef,0x9cb60060}},	//   _সাম্প্ৰত, _kanas_, _ماروني_, _تالاستى_, 
   {{0x737b06aa,0x373801f2,0xd2900072,0x95440094}},	//   _semalam_, _башләңгә, _yanat_, _تىلەگى_, 
   {{0x72900160,0xae7201be,0x75c900d1,0xf2d80338}},	//   _danas_, _अदम्य_, _আধাৰাধিক, _aplech_, 
   {{0xba7c0356,0x23f4028e,0xa9d10010,0xfdb40156}},	//   _semanasa_, _pastem_, _balesice, _שטאפלען_, 
   {{0x538f02aa,0x73800211,0xf5c7002b,0xa3860032}},	// [8150] _destilát, _nauraa_, _যুবরাজ_, _ngorbe_, 
   {{0x4f2502be,0xed1d0242,0x125a00bd,0x12db03dd}},	//   _talenton, _superliq, _duils_, _fisnike_, 
   {{0x7f5e0705,0xfd360039,0x7a110513,0x896e004b}},	//   _campeona, _цинсуны_, _harasime, _хакимлыҡ_, 
   {{0x42f300f7,0xe20b00d9,0xbb0c0299,0x96c304cf}},	//   _נרננה_, _построит, _опохшаш_, _engasayi, 
   {{0x72900482,0x81750094,0x22900457,0xf2d804e3}},	//   _sanat_, _рудный_, _kafak_, _maleni_, 
   {{0xf3a20245,0xb2ca02c7,0x39fd03dd,0xf24800e2}},	//   _shipor_, _handys_, _pazakont, _keimpe_, 
   {{0x33000201,0xd6440217,0x22c801fc,0xbc76010d}},	//   _baqalah_, _inricchi, _neellek_, _sekresi_, 
   {{0x6695000b,0xcbdf0448,0xb3f702ea,0x02920409}},	//   _fevesiai, _anmelder, _паунда_, _javafx_, 
   {{0x3b98047b,0x9290062d,0x6bd2027b,0xa98b0184}},	//   _sosialur, _ganar_, _मतुप्_, _irakirya_, 
   {{0x11dc0159,0x465d00c4,0x8b550287,0xff42069c}},	//   _хлебе_, _پيٽارو_, _prodejen_, _podstoup, 
   {{0xc93a02f0,0x625a008c,0x00000000,0x00000000}},	//   _avalelwa_, _cualm_, --, --, 
   {{0x92b601e5,0x00000000,0x00000000,0x00000000}},	//   _oludije_, --, --, --, 
   {{0xc2900250,0xa642006f,0xbe38025f,0x0a190126}},	//   _janar_, _ushiriki, _bakanisa, _зарахува, 
   {{0x423c04bb,0x729e0244,0xb8c50367,0x00000000}},	//   _vammeej_, _питам_, _desenhad, --, 
   {{0x62ec0261,0x13870108,0xa4b504ec,0x52ca040f}},	//   _sufiĉe_, _akarna_, _arabitek, _bandys_, 
   {{0x56c3042a,0x8380020e,0x8f200119,0x1f3b0316}},	//   _angasayi, _умарталы, _hiruhita, _bangaren, 
   {{0x63b601fb,0xe2ef0497,0x92770320,0x4437017d}},	// [8160] _cravata_, _scuff_, _ebankini_, _masahiko_, 
   {{0xc2dd0174,0x92900294,0x0bbb0124,0x4acb03b0}},	//   _bavouti_, _hanaq_, _minkakho_, _allmugen_, 
   {{0x8d190211,0xe8c7033b,0xef2e0119,0x795d01fc}},	//   _различны, _boitemog, _maguinda, _ginnimte, 
   {{0x6290031a,0x14aa006c,0x51880181,0xd46e01c4}},	//   _sanas_, _ababesaz, _apadでips_, _landelik, 
   {{0x2c9b016d,0x52900528,0xfa1a0527,0x3ee30760}},	//   _كۈنگەي_, _canar_, _naglašen, _बोत्स्वा, 
   {{0x524801cf,0x32fb0410,0x9db80071,0x629d0278}},	//   _heimat_, _dithaka_, _لامبورگی, _tembikai_, 
   {{0xe201006f,0x82d802fb,0xccf4005e,0x331e003e}},	//   _muziki_, _faleni_, _ﻛﯚﺗﯜﺭﯛﭖ_, _дизайнын_, 
   {{0x4225032e,0x6290018b,0xbea60348,0xc7930053}},	//   _arakim_, _tanar_, _atalaban, _मुसाफिरी_, 
   {{0x85d9005e,0x43ee02dd,0x897e0066,0x13ea03a4}},	//   _زېڭشىن_, _kartelli_, _hirigune, _feitan_, 
   {{0x42900316,0x22900281,0xd2900102,0x8201015d}},	//   _ranar_, _aanaq_, _hafai_, _guziki_, 
   {{0x52900054,0x226d006e,0x73100636,0xc1bb00e6}},	//   _sanar_, _budoor_, _nositelj, _是指国有企业领导, 
   {{0xb2900082,0x93f40115,0xdbcf0044,0xf5ff002b}},	//   _yanar_, _kastam_, _inexpens, _আনাগোনা_, 
   {{0x53ea00bd,0x6a8300f7,0x4e3801e8,0x43800338}},	//   _beitin_, _blankajn_, _makalisa, _cauria_, 
   {{0xb2cf0534,0x438c0023,0x73ea0203,0xe2300194}},	//   _afamily_, _нужен_, _agets_, _amemora_, 
   {{0x5a4a02e5,0xc2d40076,0x611300c8,0xd52500ff}},	//   _воллебек_, _jardim_, _техникаһ, _פונדאציע_, 
   {{0x2c6701c4,0x2f0900f5,0x68e5005b,0xd6470163}},	//   _gestort_, _ядыңда_, _lægemidl, _الدولہ_, 
   {{0x0c0d0198,0x829002a2,0x6fe10030,0x092f0119}},	// [8170] _podpore_, _hanap_, _protestē, _pagmante, 
   {{0x06540154,0x32b40200,0x00000000,0x00000000}},	//   _алтчева_, _edochi_, --, --, 
   {{0x5c35018b,0xe26c02ef,0x22d80499,0xc83e0161}},	//   _descrier, _eskole_, _paleni_, _вилки_, 
   {{0xdcb1010f,0x6c730159,0x32d10156,0xcc7d0011}},	//   _яккарата_, _reiskia_, _יורידישע, _bassita_, 
   {{0x42730242,0x0f1100bc,0xad8b0155,0x1bd9015e}},	//   _güney_, _فونداسیو, _arbetade_, _бирликте, 
   {{0x03800101,0x00000000,0x00000000,0x00000000}},	//   _scurta_, --, --, --, 
   {{0xaf5c041e,0xf875029d,0x52340455,0x62d800a5}},	//   _abbastan, _статутул, _soumise_, _taleni_, 
   {{0xaf3602a2,0xdc5c0039,0xf3410576,0xd1bd03a8}},	//   _natutuna, _earthen_, _bageyan_, _নামেৰ_, 
   {{0xe27e04c9,0x8a1401ac,0xca49023b,0x12020304}},	//   _gmina_, _antaibhe, _zikelaga_, _jering_, 
   {{0x93f801fc,0xc48400db,0xc2b103d9,0x32e5006f}},	//   _damumi_, _अंगारी_, _mandika_, _mpendwa_, 
   {{0x67c00041,0xf2ca0690,0x8c720347,0x798f019d}},	//   _аахәоуп_, _tandas_, _waaruit_, _kuchione, 
   {{0xfb0d029d,0x68c9016d,0xafb5014e,0x2997013f}},	//   _cumparat, _баралайд, _играни_, _danjafre, 
   {{0x8f9702b2,0x74130013,0x225a01b8,0x1dc603f1}},	//   _правду_, _باردی_, _esile_, _lavičke_, 
   {{0xca51016d,0x390102fe,0x47e403da,0x35750225}},	//   _ﺋﺎﻟﺘﯘﻥ_, _افراسیاب_, _gioburug, _keitsito_, 
   {{0x729000fa,0x8d34012a,0x01e7028c,0x00000000}},	//   _ganap_, _sympatyc, _घूइरे_, --, 
   {{0xbda60425,0x11cb01cd,0x61b50488,0x00000000}},	//   _تاراوگه_, _акунун_, _trimmeri_, --, 
   {{0x32c300af,0xfc18005d,0xbc8700d9,0x02ef01c5}},	// [8180] _sjelden_, _desafuer, _семейные_, _faafin_, 
   {{0xa3e20044,0xa3e8000e,0xb6460152,0x33ea0286}},	//   _וקהילות_, _effectiv_, _авиакосм, _ntitia_, 
   {{0x5c6e0047,0xd1a50017,0x6d0f0225,0x929002f6}},	//   _我来说两句_, _अष्ट्रेल, _anstreic, _panay_, 
   {{0x02ad0580,0x76c90125,0x52780108,0xbc12005b}},	//   _uzlaboša, _минараны, _nyunda_, _daisakus, 
   {{0xc28301a7,0xd1cd008f,0xe2910418,0x27b30029}},	//   _klikkaa_, _धन्हा_, _ihvan_, _ڕۆژێکیان_, 
   {{0xd2ba018a,0x01c50066,0xabad000d,0xcafd0253}},	//   _enwedig_, _автомата, _जमदूतवा_, _amerlile, 
   {{0xd2900120,0xc861026c,0xc8b10169,0xa83000be}},	//   _tanay_, _principu, _twittear_, _ايىتباعا, 
   {{0xd37c0039,0xe8e5005b,0x00000000,0x00000000}},	//   _lasarte_, _lægemidd, --, --, 
   {{0xe83d00d9,0x64da0192,0x9290002e,0x406f02f7}},	//   _достижен, _인터넷으로_, _otkako_, _kobamelo, 
   {{0xf169034d,0x5f20007f,0x467b0148,0x2d9a0390}},	//   _perintah_, _bortiwga, _acceptum_, _buzlaqla, 
   {{0x329103b4,0xfb32023c,0x3f5703cc,0x0e420052}},	//   _havasi_, _همدلته_, _órganos_, _स्त्रीहर, 
   {{0x423004ec,0x53ea02d9,0xa290003f,0xe2d80263}},	//   _amemera_, _atitia_, _qanay_, _optocht_, 
   {{0x0278013c,0x3a44024f,0xe5100092,0x7fdd01a3}},	//   _iyunda_, _josevata_, _エレクトリックド, _چارڻن_, 
   {{0x42d8036d,0xa25a007d,0x8b780291,0xf43602d8}},	//   _blieil_, _kuali_, _lógónna_, _संगमेश्व, 
   {{0xb93c002b,0xd9c10026,0x3e67018b,0x9d3703ae}},	//   _এসময়_, _eigenare, _descarca, _grensene_, 
   {{0x52eb0071,0xaf5d0156,0x00000000,0x00000000}},	//   _brantas_, _baraktan, --, --, 
   {{0x980c01af,0xf2b3004d,0x7aa7018c,0x00000000}},	// [8190] _alarsyňy, _財團法人張老師基, _volkomen_, --, 
   {{0xc52d00bf,0xd5120076,0x3ebd036d,0x00000000}},	//   _позволяе, _garotinh, _secstant_, --, 
   {{0x526e0312,0x80e2018b,0x03c60064,0xf30e00e6}},	//   _mirout_, _esential, _رعالس_, _visages_, 
   {{0xf3ce044a,0x330000a2,0x2feb0178,0x00000000}},	//   _fievre_, _kubaini_, _avarjanī, --, 
   {{0x1fb90041,0x7ba801f2,0xc3eb0241,0xddfd00ba}},	//   _алеқсанд, _синиплир, _beytanii_, _قافڵه_, 
   {{0x428c0464,0x78f9002b,0xfc6700a4,0x97840059}},	//   _arakura_, _চিন্তায়_, _lectors_, _анимацио, 
   {{0xde3c034a,0xb2ca0092,0x229102a4,0xf200034b}},	//   _apelidos_, _falde_, _vivat_, _raiina_, 
   {{0xa28b0333,0x2f4d008d,0xe47b019a,0x09620066}},	//   _traversé_, _ташланди_, _batterin_, _pilotale, 
   {{0xa9d100ca,0xb2e1029a,0x0291035e,0xf6bb0299}},	//   _valoriza_, _armoniz_, _tivat_, _بىرشىنى_, 
   {{0xd2ca039e,0xa290046d,0xe51d05f1,0xe3870462}},	//   _halde_, _mukano_, _batuyemo_, _aceray_, 
   {{0xf27e0087,0x320f02ac,0x0f44011e,0x128d0119}},	//   _adinax_, _يحترم_, _prosekit_, _pagkaun_, 
   {{0x4291001d,0x9f720177,0x39cf004e,0x0aaa0299}},	//   _javari_, _аокруг_, _eksekyut, _ئىگلىك_, 
   {{0xc627028e,0xf79603a2,0x09b80177,0x00000000}},	//   _dediketi, _हरफनमौला_, _ишәҩыкуп_, --, 
   {{0xf2910030,0xcc520257,0x9c9c00c8,0xa1d00109}},	//   _divas_, _boltann_, _йөҙәрләг, _imunitní_, 
   {{0x790702ca,0x56f3019d,0x6174001a,0x00000000}},	//   _تعتبر_, _amabungw, _romániai_, --, 
   {{0x046a01b5,0x22b4007b,0x0288029f,0x290c0153}},	//   _eladagio_, _cooch_, _žiarenia_, _日々の出来事_, 
   {{0x5cda05b1,0x69eb025e,0x429101aa,0x570801f3}},	// [81a0] _katalóg_, _starfand, _anvay_, _kontrolá, 
   {{0x5b89012b,0x00000000,0x00000000,0x00000000}},	//   _ogrodnic, --, --, --, 
   {{0x9fe0038e,0x42c400ad,0xa2d80189,0x4202015e}},	//   _संयुक्ता_, _nyumput_, _talebi_, _arribi_, 
   {{0xf3eb0111,0x99ec0047,0x9f5b042b,0x765d0193}},	//   _tratta_, _魔兽野怪介绍_, _ponašanj, _वर्तमानप, 
   {{0xec2801bb,0xde1a0507,0x137c0039,0xa99c00b3}},	//   _маслахат, _diberika, _pasarte_, _arakesme, 
   {{0x6291025b,0xe9770396,0xa39600bb,0xeb6b0140}},	//   _livar_, _arkitett, _اہانت_, _atmosper, 
   {{0x83550233,0x331001fb,0x40aa019f,0xae98027f}},	//   _repetit_, _toccate_, _دراوڙي_, _bugungwe_, 
   {{0xb5c301fc,0x4b1c01e6,0xdd7f0683,0x02cf01e6}},	//   _atlakiyy, _označení_, _formidda, _pomozte_, 
   {{0xa25a01e5,0x00000000,0x00000000,0x00000000}},	//   _aralu_, --, --, --, 
   {{0xdcda00d6,0xb2910255,0x6c670040,0x68440090}},	//   _catalóg_, _aivar_, _sectors_, _akamutau, 
   {{0xd1b401b8,0xbc1700e2,0xf30d00b9,0x3c600086}},	//   _enamasti_, _belabber, _kumbara_, _faluban_, 
   {{0x4c5b0111,0xa291056a,0x33ea0243,0x00000000}},	//   _pastori_, _fofang_, _soltiy_, --, 
   {{0x31e201ab,0x9b1a0095,0x33a2012b,0xe291013c}},	//   _खतिरा_, _sampurna_, _stopni_, _divar_, 
   {{0xd9ed023d,0x9c6e0172,0xa2af00a7,0xf2120493}},	//   _sinistra_, _nyarewa_, _аманбек_, _fibhi_, 
   {{0x331a003a,0xd2010220,0x31720137,0xbb1801a0}},	//   _birining_, _rovigo_, _жоншны_, _ninginis, 
   {{0x3266005e,0x92d602c6,0x3a8f0758,0xc2e80418}},	//   _ئۈچەي_, _arnodel_, _amazwana_, _isminin_, 
   {{0xa30102b1,0x03e800ce,0x303803d2,0x033f0077}},	// [81b0] _bayanai_, _defektiv_, _rastlinn, _entwodui_, 
   {{0x33a20233,0x368e00c5,0xc3ea03a2,0x4477009a}},	//   _propri_, _查看该会员企业网, _filtry_, _abathinj, 
   {{0xe2910138,0x842d0045,0xa1ac00f6,0x12010133}},	//   _sivas_, _парохија_, _silahlıl, _fayida_, 
   {{0x08590445,0xc3eb0210,0x39270092,0x1b190243}},	//   _naturais_, _aguta_, _シネマトゥデイ_, _mabayiss, 
   {{0x8d4300d6,0x43410107,0x364502fe,0x6c7d02d0}},	//   _giorrúch, _dagelan_, _توانيدلي_, _roastin_, 
   {{0x6b7e0209,0xb04a0408,0x330d034c,0x027e02e5}},	//   _kanukoka_, _amaritan, _dikaber_, _omano_, 
   {{0x32900482,0xc27e0082,0x5539020e,0x312b0061}},	//   _cafat_, _aminu_, _fasilith, _통신판매번호_, 
   {{0x97e9010f,0x66270094,0xa27e011f,0x1c0d00b4}},	//   _бинависе, _تاپقىرلى, _imano_, _cumpere_, 
   {{0x4c880061,0xed380141,0x41590161,0xf2c500db}},	//   _인터뷰에서_, _рахимаху, _закончит, _mailile_, 
   {{0x09890357,0xf3940230,0x4c670026,0x46540327}},	//   _ehehehee, _konsi_, _gestart_, _birkebei, 
   {{0xdfed006e,0xa2610318,0x9b68037f,0x00000000}},	//   _bologër_, _kalofaki_, _uçuruma_, --, 
   {{0x02060357,0x022d042a,0x027e0627,0xc6cb02fd}},	//   _bukibuki_, _ayivumel, _dling_, _manadsai, 
   {{0xe9ed011b,0x966a021c,0x237f006a,0x63550148}},	//   _bwanyaya_, _náčelník, _hanasoa_, _reperit_, 
   {{0x74c201bd,0x686d027c,0xa2a003a9,0x00000000}},	//   _зергерлі, _بیابه_, _верза_, --, 
   {{0x02d903fc,0xde86032d,0x1fe90139,0x3d9d00e7}},	//   _bruer_, _ишеттем_, _द्वावपि_, _atingsta, 
   {{0xea8d01a3,0x42390156,0xb9d00013,0xa9db018c}},	//   _ريٽائرڊ_, _פֿױגל_, _кесиш_, _drogiste, 
   {{0xc2900013,0xd3eb0044,0xe2df0107,0x941c03fc}},	// [81c0] _nafar_, _beaten_, _مظاهری_, _lensmann_, 
   {{0x53940698,0x42cf0371,0x125a0362,0xdc6b0396}},	//   _yonsa_, _conosce_, _osili_, _istupru_, 
   {{0x4d3f0014,0x22920241,0x22d90153,0x901f0037}},	//   _ስምዒትን_, _qoraan_, _truer_, _ተረክበው_, 
   {{0xff650074,0xa18a020e,0x777800a1,0x4dab025a}},	//   _tavallin, _chebahal, _kaikaing, _gusigara, 
   {{0x1316029e,0xd3490112,0x1a12019c,0x00000000}},	//   _ardamez_, _disemai_, _laibikit, --, 
   {{0x336e0091,0x442600be,0xf9d100b2,0x00000000}},	//   _qangalu_, _تايلاق_, _ballaxaa_, --, 
   {{0x7d2e0169,0xa290046b,0x909702eb,0x0f00007b}},	//   _একরামুল_, _lafar_, _араншин_, _chuckies_, 
   {{0xcc27007e,0x33a20075,0x98670085,0x88cd032d}},	//   _kulaputr, _skipar_, _burotuku, _апреленә, 
   {{0xb3a80303,0xf6a70076,0x00000000,0x00000000}},	//   _dikagong_, _бабичка_, --, --, 
   {{0x98710041,0x76b3017a,0x82f201fa,0x72de0055}},	//   _заҳҭаша_, _akhuluph, _lenituu_, _alfonsu_, 
   {{0x13000034,0x5aaf0013,0x226d006f,0x40c40061}},	//   _vonandi_, _mashinas, _mabomu_, _블로그링크_, 
   {{0xba7b07c9,0x9290016b,0xa3090061,0x53a202ea}},	//   _prošle_, _kafar_, _상품사양이_, _troppi_, 
   {{0x6e6a0060,0x625a025f,0x92e501a7,0xe6c503ce}},	//   _болды_, _asala_, _kannata_, _مویست_, 
   {{0x22900130,0xf2910117,0x3dfd02cf,0x76990128}},	//   _dafar_, _givap_, _каменица_, _дерлар_, 
   {{0x627e02a2,0x3aa900a4,0xa21700c5,0x4f4e029d}},	//   _umano_, _чечекей_, _发帖量记录_, _надеждей_, 
   {{0x1c62036e,0x01780268,0xcdfe016d,0x3296000c}},	//   _braulio_, _againway_, _قەلىب_, _itakaru_, 
   {{0xec160052,0x6ceb005e,0x2d2401cd,0xdc180008}},	// [81d0] _पूर्णाङ्, _ئىتراپ_, _ahlobene_, _recordeu_, 
   {{0x92da0083,0xe55d0160,0x22da012c,0x46c30224}},	//   _capeta_, _trešnje_, _mapesa_, _bloggaði_, 
   {{0x15160102,0x8b820245,0x829007ca,0x00000000}},	//   _باالله_, _khanapar, _zafar_, --, 
   {{0xfb7e01da,0x75440094,0xb2b403c3,0x63870211}},	//   _profilin_, _تىلەدى_, _plocu_, _верху_, 
   {{0xe27e01b0,0x2015056e,0xa65e0156,0xa306002f}},	//   _gmane_, _herdeiro, _פּסיכיאַ, _delyacum, 
   {{0x029002ee,0x00000000,0x00000000,0x00000000}},	//   _qafas_, --, --, --, 
   {{0xae36026a,0x0cd702ac,0x637d0198,0x074b0320}},	//   _matavuva, _أعراق_, _kopalke_, _emhingav, 
   {{0x4ce70314,0xa87d044a,0xa0de0614,0x0137006d}},	//   _башлығы_, _basheeru, _israelsk_, _антонімы_, 
   {{0xec7100d0,0xb6fd0247,0x36a6004d,0x00000000}},	//   _pobretu_, _اینست_, _自稱自己是明星的, --, 
   {{0x22280135,0x251a0076,0xd015017a,0xeb680022}},	//   _советлар_, _превозни, _стротежи, _усына_, 
   {{0x938000a4,0x6c2801f1,0x22920113,0xf50900dd}},	//   _hauria_, _parashtr, _torann_, _esboniwy, 
   {{0x40c30013,0x362403df,0x8b070344,0xce0d0381}},	//   _اگوست_, _vidarefø, _cetraria_, _astestfa, 
   {{0x39bf0212,0x786801ea,0xeb99015e,0xc86802eb}},	//   _crudelit, _далембер, _балатыла, _aktibatu, 
   {{0xe38000a1,0xa7ec0333,0x7f5d0373,0x89bf0061}},	//   _mauria_, _bavardag, _forgesis_, _동화고등학교_, 
   {{0x4b50027b,0x951101fb,0x00000000,0x00000000}},	//   _aprameyā_, _possetto_, --, --, 
   {{0x4aed01f0,0x8cf702d3,0xf3e20004,0x00000000}},	//   _bafuduge, _protetor, _estrikti_, --, 
   {{0x52360198,0x22000359,0xb15c0039,0x0f2c00be}},	// [81e0] _nekje_, _opnij_, _буган_, _нормалду, 
   {{0xb2b4015e,0x72ca02a2,0x828c0464,0x02910256}},	//   _blocs_, _landas_, _arakira_, _savai_, 
   {{0x608803b4,0xf2a00142,0x00000000,0x00000000}},	//   _chichano, _darbha_, --, --, 
   {{0x3a03005e,0x4daa00cb,0xe30102ef,0xc419050a}},	//   _تەرغىپ_, _abanesip, _bonbade_, _resimdek, 
   {{0x92b401fc,0x025b028b,0x07d20275,0xfdae041e}},	//   _sooco_, _adelio_, _amagalog, _battellu_, 
   {{0xec6a005a,0x10fb01af,0x4a290046,0x00000000}},	//   _mumuppu_, _dargaşyp_, _كەڭەشدىن_, --, 
   {{0x12910488,0x1b0b0143,0x330d0184,0x9eb00520}},	//   _tavai_, _стилни_, _kumbura_, _mármore_, 
   {{0x006a00d1,0x03ea0274,0x5e5602f0,0x00000000}},	//   _পদ্ধতিগত_, _leitin_, _kujakeke_, --, 
   {{0xa2d80062,0xaa7b0434,0xd3940222,0x04a9006d}},	//   _boqollu_, _balonces, _conso_, _балоціст, 
   {{0xd9d00125,0x7c6603af,0x125a010f,0xd6ff0397}},	//   _велин_, _surtout_, _isilo_, _ababhajw, 
   {{0xd36805b3,0xa93f01c4,0xedbc01fb,0x59fc03b5}},	//   _vergeet_, _stimulee, _resanate_, _andaikat, 
   {{0x32ee0324,0x6486034c,0xf85c0156,0x657d0040}},	//   _abanini_, _әминә_, _צװאָנציק_, _בבקעת_, 
   {{0x525a03a7,0xe7d90373,0xfd4701db,0xd073028a}},	//   _hrali_, _demandoj_, _تۇسۋگە_, _رهبرن_, 
   {{0xe3f80122,0xf3ea018f,0x852f002e,0x00000000}},	//   _nunung_, _lamto_, _suočavaj, --, 
   {{0xd155051c,0x0d9a00cb,0x73cf0541,0x193d002b}},	//   _kharbudo, _abangcwa, _pravio_, _দফায়_, 
   {{0x0059021c,0x72d303c6,0xbe3d0040,0xa96f03eb}},	//   _kapacito, _autodyk_, _לשוחח_, _openhart, 
   {{0x03800398,0x72e9038b,0x361b01c8,0x0d80025d}},	// [81f0] _correu_, _hatinya_, _katastrá, _nordaust_, 
   {{0xc25a02a8,0x722301e0,0x12e900a9,0x015c0220}},	//   _orali_, _شدارن_, _batinya_, _escursio, 
   {{0xc2da044a,0xb2900119,0x925a0181,0x88eb0350}},	//   _biteni_, _banay_, _dsill_, _አባባሎች_, 
   {{0x4dbc0036,0x196203d5,0x42cb010d,0x4dfe0156}},	//   _tubaiste_, _adroitne, _pokonya_, _וואלוו_, 
   {{0xe25a05c2,0x62da0103,0xbb3501de,0xcc5100dc}},	//   _arali_, _rapera_, _ارپالىسق, _ilitata_, 
   {{0x32a60057,0x4291010b,0x00000000,0x00000000}},	//   _gombak_, _mogare_, --, --, 
   {{0xd3940129,0x0c5d0312,0xe75c003b,0x3291011d}},	//   _sonso_, _beltram_, _belibang, _logare_, 
   {{0x0cbc0091,0x756301db,0x2bb60177,0xa2d90309}},	//   _angiriaq, _ءنادۇرىس_, _алекциақ, _asuel_, 
   {{0xa25a015e,0x3d9d0101,0xad7301bb,0xf454006f}},	//   _quals_, _raportea, _goşant_, _ڊئنمارڪ_, 
   {{0x827e0214,0xd2f50058,0x0e1b011a,0xc32e0311}},	//   _imini_, _nemirik_, _premises_, _ብሰንሰለት_, 
   {{0x9d11003a,0x77080206,0xbb0b02f0,0x22d80189}},	//   _ассалом_, _kontroló, _bengines, _vadeli_, 
   {{0x954100ba,0x66450099,0x837801f6,0xb1560205}},	//   _بیباته_, _akakotsi, _alvorleg_, _taassuro, 
   {{0xe2ca0138,0x13eb019a,0x15340188,0xa2ca028b}},	//   _madde_, _beatin_, _abanomoy, _kaldo_, 
   {{0x6d6200bc,0x62ca00f2,0x9c0802e2,0x295a00c5}},	//   _قديمي_, _sandis_, _besotted_, _tatouage, 
   {{0x42da02e8,0x4596032e,0xce0d02fe,0xd2da0093}},	//   _papera_, _iwrupank, _تیاتر_, _министро, 
   {{0x529404ac,0xdee100e4,0xe27e01d4,0x827f04d6}},	//   _отправля, _सूक्तिया, _omini_, _ocenia_, 
   {{0x553b0163,0x5ada01d5,0x2667004a,0xa3e70092}},	// [8200] _افغانوں_, _قراقرم_, _рамзия_, _ライセンスファイ, 
   {{0xc27e049b,0x030801cd,0x69e104bd,0x1248037f}},	//   _imana_, _ababayo_, _kilomika_, _etimad_, 
   {{0x6aea0244,0x904600e6,0x9d630597,0x00000000}},	//   _esattame, _胶南市义务教育阶, _гулделла_, --, 
   {{0x744a00bf,0x929102f7,0x029101ef,0x562303a4}},	//   _подобный_, _bogare_, _gavau_, _atkomili, 
   {{0xeaeb01cf,0x0c050253,0x99eb0244,0x43060253}},	//   _guardant, _amerlats, _guardand, _arkaluk_, 
   {{0x3e3d0244,0x4bd00139,0x3642007f,0xce450237}},	//   _картички_, _atikṛṣṇā, _dehonglw, _부진아받아쓰기자, 
   {{0x17d10053,0x09e401a3,0x32fe02e9,0x32f50229}},	//   _विषयातील_, _مَهِينو_, _abrimos_, _demirik_, 
   {{0x227e023b,0xe2910032,0x9f630053,0x3db701f0}},	//   _omana_, _bovang_, _wilayahn, _fithelwa, 
   {{0x0f0801f6,0xa27e0526,0x34f9012a,0xc2da03d1}},	//   _medverka, _gmana_, _gatunków_, _riteni_, 
   {{0x82ca0168,0xe3dc00f9,0x6248019c,0x526e040b}},	//   _hadde_, _kumwe_, _abomey_, _mirole_, 
   {{0xd2910005,0xd83602ac,0xdaeb0065,0xc2da00b6}},	//   _tavau_, _فاتورة_, _apotheke, _diteli_, 
   {{0xc6d0056d,0x69680253,0xfa0e000a,0x19cf01d1}},	//   _ephakami, _aktiaate, _ammasale, _conferre, 
   {{0xef57034e,0xdd19018d,0xe25a032d,0xe3eb030d}},	//   _tchadien, _ብኽንደይ_, _esale_, _beytin_, 
   {{0x68cd02f3,0x3f5e01f1,0x010c057d,0x11c302b6}},	//   _samtidig, _kampiona, _promašio_, _тураймыз_, 
   {{0x32ff0428,0x4e6502dc,0x52ca0159,0xaaf302f3}},	//   _maribor_, _disparou_, _valdo_, _ekosyste, 
   {{0xae2c0074,0xa2d500a5,0xaff00126,0x40c30371}},	//   _посовету, _fetogia_, _спроможн, _антимафи, 
   {{0xeea70119,0x1c6000aa,0x00000000,0x00000000}},	// [8210] _heilbron, _kamuton_, --, --, 
   {{0x3234016d,0x7c050142,0xd41c03b5,0x421d01a6}},	//   _سىمۋول_, _ashtamas, _biasakan_, _māhou_, 
   {{0xa3ee03c7,0xc27e0207,0xbb5303e7,0x00000000}},	//   _zakończo, _amani_, _colmenar, --, 
   {{0x2394025c,0xcb6801ed,0x7238039d,0x0aaa00a4}},	//   _sonst_, _anetioka_, _thomani_, _بۉتكۉل_, 
   {{0x81bf01ba,0x1394004d,0x9dab022b,0xf51a018d}},	//   _tremblem, _conss_, _tekninga, _ብዝፈቕዶ_, 
   {{0x0e25015f,0x3e1b036a,0xf8bf015a,0x29620111}},	//   _gyllideb_, _sorenika, _foyessuu, _aranciat, 
   {{0x22490450,0x36c2013c,0xafb8008d,0x00000000}},	//   _neamde_, _sultanı_, _sollallo, --, 
   {{0xd7ec0050,0x02020010,0x80d10362,0x00000000}},	//   _panalung, _besive_, _tolongol, --, 
   {{0x82470166,0xa3fa02e5,0x7e4c0348,0x73260156}},	//   _verwirkl, _igrupo_, _babassaa, _טשפענען_, 
   {{0x32d8010b,0x4aff02ba,0xa7ef0055,0x617603a2}},	//   _balemi_, _abashaye, _cinquemi, _ओवैसी_, 
   {{0xfb4e0135,0xbf27019b,0x759d02d3,0x71060166}},	//   _ostaları_, _дамаску_, _примачот_, _nachteil, 
   {{0x93940392,0xec5b003a,0x2291015e,0x63bc00d3}},	//   _innse_, _dasturi_, _raval_, _slovnik_, 
   {{0x3b0f0333,0xc6c900d2,0x07e6022b,0x25070210}},	//   _rispetta_, _astahiam_, _barsilsf, _celebral_, 
   {{0xc4380085,0xfc2b00c2,0xcb5603dd,0xee3400d1}},	//   _dreketak, _ububabar, _themelor, _অগোচৰে_, 
   {{0x61b3009a,0x22370326,0xb3ea057c,0xcf6500c1}},	//   _چادري_, _akomana_, _ramte_, _शिवचरित्, 
   {{0x51b300a6,0xb2fc012a,0xfb060361,0x819c004d}},	//   _نادري_, _papieru_, _частица_, _中華人民共和國政, 
   {{0x5b700340,0xcd6a0013,0x498500a6,0x92eb02d4}},	// [8220] _tauranga_, _болалари_, _amakhase, _quintar_, 
   {{0x7c0800bd,0x5c5b0115,0x2ee20040,0xb6950030}},	//   _resorted_, _kasturi_, _מקושטות_, _hipersai, 
   {{0x59fd0033,0x52910488,0xbf660108,0x00000000}},	//   _situaziu, _tavam_, _jajantun, --, 
   {{0x62200040,0x830100cf,0xcc770151,0xcba70075}},	//   _רמיקסים_, _arrabni_, _kinsale_, _leikarar, 
   {{0x0c000079,0x11ed01b6,0xfaea00e2,0x7c5c07cb}},	//   _gaismas_, _משמאל_, _fertelle, _युकेश_, 
   {{0x605302d3,0x447001d9,0x373d0163,0x828f0052}},	//   _мобилен_, _anzesetz, _képregén, _romové_, 
   {{0x32390362,0xdb7c02c8,0xb79d03fe,0x00000000}},	//   _akumisi_, _autoestr, _хитри_, --, 
   {{0xcc4b013a,0x38a4001e,0x22910434,0xfbb60361}},	//   _geltung_, _shawarar_, _escaso_, _динчул_, 
   {{0xac1b00b7,0x2538006f,0xa69a05ce,0x8add04a4}},	//   _абулкела, _hakikish, _kütüphan, _eòlasan_, 
   {{0xd4980307,0x5c2701ea,0x3302000e,0xd2fc0032}},	//   _bangafik, _tasavvur, _herbage_, _munge_, 
   {{0xbc6002fd,0xaf730010,0x00000000,0x00000000}},	//   _caluman_, _emncelen, --, --, 
   {{0xe5c301fc,0x54fb0255,0xa4020060,0x5b4e0229}},	//   _angagayy, _करतानी_, _менсінбе, _ustaları_, 
   {{0xd847011f,0x99c00163,0x0e540344,0xb2900209}},	//   _карасин_, _menedzse, _allaania, _arkalo_, 
   {{0x42910256,0x9eac004d,0x3c880192,0x15b90035}},	//   _savam_, _spargere_, _begeleid_, _башваткы, 
   {{0xdaec036e,0x08e3019b,0xdebe00e1,0x2f390084}},	//   _aboutsit, _кампаніі_, _caangeen, _anggangn, 
   {{0x826c00d6,0x554201ea,0x226e03bf,0x3c730097}},	//   _gakoob_, _کولبیدیل, _dirobe_, _olùdákọ_, 
   {{0xa2fc025c,0x4e30002b,0xc6ac01a6,0x7f3605ce}},	// [8230] _junge_, _উপায়ে_, _nukutawh, _yumurtla, 
   {{0x427e0387,0x6e0802ee,0xd51200d6,0x42b4008b}},	//   _mmanu_, _asjatiċi_, _tarluith, _dooci_, 
   {{0xdf230179,0xfd1700f5,0x034201d2,0x00000000}},	//   _spielman, _руслашмы, _enteron_, --, 
   {{0xb24903c7,0x50f200af,0x54f30156,0x00000000}},	//   _czymś_, _запускає_, _יעווסעקצ, --, 
   {{0xfeb90354,0xa82802c0,0x446b0137,0xa2910189}},	//   _топламға_, _тексас_, _бизнесүү, _kavak_, 
   {{0x51430478,0xbe5b0350,0x2ae80074,0x00000000}},	//   _acetilco, _የማርቆስ_, _hevosten_, --, 
   {{0x62810528,0xb37b00a5,0x9538005c,0x00000000}},	//   _lobhadh_, _satauro_, _bakihish, --, 
   {{0xb2fc0326,0x12d8011b,0x4dd90022,0x9d70057c}},	//   _kunge_, _baleki_, _наркодоз, _sammensa, 
   {{0x07e700c1,0x11f700bb,0xca0400dc,0xe0c803b5}},	//   _भरभराट_, _لٹیرے_, _limatait, _shollall, 
   {{0x6bd7022e,0x33ea0315,0x9c780102,0x00000000}},	//   _fundator, _asitwa_, _haashim_, --, 
   {{0x5a830263,0x00000000,0x00000000,0x00000000}},	//   _leningen_, --, --, --, 
   {{0xf644008d,0xe3490625,0x1c6a018d,0x1da50425}},	//   _birinchi, _modelov_, _ሽርሕታት_, _خۆشحالی_, 
   {{0x7edc015e,0x326d03ad,0x86280418,0x8e90027c}},	//   _noticies_, _abbord_, _kelimesi, _ekumphen, 
   {{0x525a0062,0x13940032,0x2d1601d5,0x027e0318}},	//   _bohlaw_, _choslu_, _páratart, _imanu_, 
   {{0x8edd0037,0x5d060101,0xbb20001e,0x92d50167}},	//   _በየመንገዱ_, _petrecer, _muhallin_, _carlamu_, 
   {{0x0379013d,0x0fbc0256,0x3b68008d,0x831200e6}},	//   _stranga_, _publisko, _исмни_, _bonbons_, 
   {{0xa22302e1,0x539401af,0x03eb00a2,0x42f3010d}},	// [8240] _chliceái, _samsyk_, _itatoa_, _batinku_, 
   {{0x9c1f01bc,0x13eb0201,0x83eb00c4,0x3b0902e7}},	//   _ensafuor, _uguta_, _atatoa_, _longmorn_, 
   {{0xd1310061,0xca400204,0xf32005ab,0xe3f8004f}},	//   _시립도서관_, _индии_, _manchas_, _djeuf_, 
   {{0x44130208,0x3a0200dd,0x83430061,0x4a520291}},	//   _شاندن_, _cerrigyd, _경제자유구역_, _وصعوبات_, 
   {{0xf62505f6,0x8b2004a6,0x00000000,0x00000000}},	//   _vidaregå, _gospodja_, --, --, 
   {{0xf2010073,0x5d030125,0x03940367,0x4d9b002e}},	//   _habito_, _каршыдыр_, _pensei_, _otklanja, 
   {{0x12020250,0x827e015a,0xe2050062,0x00000000}},	//   _burimi_, _amanu_, _pichmeym, --, 
   {{0x1c6903b9,0x9a10020e,0x07080418,0xe17e02e4}},	//   _serruto_, _bosafele, _kontrolü, _danakoll, 
   {{0x037902b1,0xa68100db,0x047600f5,0x87ff00bb}},	//   _bayanin_, _दिसाई_, _ядына_, _اظفورہ_, 
   {{0xb352048a,0x52910189,0x84e2002b,0xf69b00d0}},	//   _بانكە_, _havai_, _লয়াগ_, _desegoki, 
   {{0xb7df00d6,0xb1c3006c,0xaafd018b,0x5bfd018b}},	//   _šŋåңđ_, _солиев_, _interzis, _interzic, 
   {{0x62b90188,0x2994026f,0xc23b0018,0xf7a802d7}},	//   _охунов_, _қыруар_, _jokeliti_, _biólogo_, 
   {{0xc2910449,0x93860265,0xea1004ad,0x0d640040}},	//   _brzaka_, _indruk_, _gosafele, _הטיילת_, 
   {{0x9b6100f1,0x4a000472,0x929101fa,0x497700df}},	//   _levenman_, _suratnya_, _lavai_, _habitude, 
   {{0x22900278,0xc2ca0224,0xac0604d7,0xe6160010}},	//   _lafaz_, _kalda_, _bárust_, _bacondzi, 
   {{0x227e03bd,0xdc7502bd,0xd7bb01ed,0xc3f90297}},	//   _ilang_, _seisnig_, _makuwahi, _biyuen_, 
   {{0x5a1700a5,0xc206028f,0x88f102ac,0xd24701c9}},	// [8250] _fakatuha_, _hukihuki_, _بمشيئة_, _टूटले_, 
   {{0x834f016e,0x67a00212,0xf7b50010,0x3a340153}},	//   _diyerek_, _carthagi, _ayisteri, _フォルモサ_, 
   {{0xeb850135,0xb37a0434,0xc96b047d,0x9ddd00d3}},	//   _almauçı_, _dejando_, _meenunge, _विस्तारम, 
   {{0x53b701d8,0xb9680415,0x72ca0256,0x1c3300b3}},	//   _praveen_, _informie, _galda_, _adlandyr, 
   {{0x120202c5,0x92a0010d,0xe26c044d,0xee4a03bf}},	//   _rurimi_, _masbro_, _demoon_, _disamane_, 
   {{0x4c62045f,0x841400b3,0xd2e003a9,0x00000000}},	//   _klarade_, _bilimsiz, _ассрĕн_, --, 
   {{0xac26004a,0x55da02ac,0xb27c028a,0xc9fc0260}},	//   _alançada_, _نعلمكم_, _ufungaji_, _aboament, 
   {{0x52d9004a,0xaffc029d,0x00000000,0x00000000}},	//   _citez_, _азуриу_, --, --, 
   {{0x33650119,0xb7910486,0x22a702be,0xc9b401db}},	//   _pangulo_, _राजसंस्थ, _bagbag_, _قىمتىرىل, 
   {{0x42ca0082,0x8251008a,0x13730230,0xf63803ad}},	//   _wadda_, _alatetel, _comanne_, _brussell_, 
   {{0xb25a02d9,0x76820052,0x23d400be,0x808902cf}},	//   _usala_, _दिलाए_, _فرونتتوب, _негира_, 
   {{0xb06a00c5,0x22470184,0x6c3f037f,0xd61b056e}},	//   _教育技术专业英语_, _aridodom, _tikililə, _catastró, 
   {{0x046400ff,0xf093002b,0xfde403b8,0xc34b0166}},	//   _סאקמער_, _মুকুট_, _акмолинс, _gelernt_, 
   {{0xb25400ff,0x35bd0255,0x791d00bf,0x6c4502c5}},	//   _שאפינג_, _paragrah, _различия_, _airwara_, 
   {{0xbb600193,0x15aa0164,0x4a470110,0xb2d90062}},	//   _परीक्षेत_, _байлиқли, _bezdarba_, _jitey_, 
   {{0x9b710374,0xeb8505a6,0x43810062,0x44540350}},	//   _devorlar, _batnfjor, _norghdaj, _መጋዘኖች_, 
   {{0xe97d0238,0xfefc016f,0x8e4e00a3,0xf8570388}},	// [8260] _конфіден, _чутки_, _avtalast_, _зимния_, 
   {{0xa25a0320,0x891d0156,0xa38002f1,0x3b660129}},	//   _tsala_, _נבילה_, _morreu_, _metutara_, 
   {{0x1d220160,0xb3e8033a,0x6c220527,0x4bd100ec}},	//   _školske_, _effettiv_, _školsku_, _lyderių_, 
   {{0x68c900f5,0x42b3044a,0xbe1a07cc,0x21ae02ac}},	//   _барабард, _bandeko_, _najefika, _ومجلس_, 
   {{0x9290004f,0x62870172,0x81680024,0x00000000}},	//   _dafay_, _manaagem, _প্ৰজননৰ_, --, 
   {{0x9e1a0295,0xa2e60198,0xec7f0050,0xb378011b}},	//   _fangapua, _njenega_, _ciburuy_, _ngbanda_, 
   {{0xe2ca0255,0xb92205bd,0xd7b00061,0x186c00cd}},	//   _kandis_, _karbohyd, _카로그입니다_, _cumpraus_, 
   {{0x02b60040,0x22b101c5,0x6cd10168,0x679d0081}},	//   _בברזיל_, _hindiya_, _stikkord_, _óhjákvæm, 
   {{0xd34100a7,0x4290011e,0xbfc503b0,0x0e610025}},	//   _adreça_, _parkont_, _vinnarar_, _परिक्राम, 
   {{0x5e390119,0xe3940338,0x234200dd,0x38c4042a}},	//   _kasakita, _bensai_, _golegol_, _kuletind, 
   {{0xbd9d0244,0xcc56045a,0xd9c90008,0xa440002b}},	//   _найденов_, _justere_, _demostra_, _মাউসের_, 
   {{0xec770222,0x5bbd013c,0xf9b600a4,0x7b5f03ff}},	//   _assurer_, _karyeras, _прицкер_, _podvečer, 
   {{0x894a0379,0x930e01cc,0x00b701e1,0x535603d1}},	//   _प्रसाधन_, _alabdha_, _законлы_, _reperis_, 
   {{0x1a220416,0x8c1d0008,0xb66700cb,0x00000000}},	//   _gancxade, _palautor, _маризон_, --, 
   {{0x2f5d0160,0x6b8200ad,0x868f018a,0x62910663}},	//   _opravdan, _nyanghar, _enwebedi, _woware_, 
   {{0xaea402ec,0x051501e1,0xa7170158,0x5c070321}},	//   _کھاسٕر_, _bahlomph, _ज़ैदी_, _varstvu_, 
   {{0x4f770320,0x407200e6,0x13030488,0x124100db}},	// [8270] _cincelan, _传染病防治法_, _izlaist_, _सकिले_, 
   {{0x6bc10149,0xb2c6006c,0x19e30126,0x134203e6}},	//   _elekrọni, _abalele_, _показав_, _allemol_, 
   {{0x16440311,0xaeee00f0,0x79d3069b,0x00000000}},	//   _ብዝተፋላለየ_, _privítal, _pohonnya_, --, 
   {{0x8def004c,0xe9e4033f,0x024100db,0xb22605b3}},	//   _abajanja, _atunaisa_, _सकाले_, _verkry_, 
   {{0x7394005b,0xa2eb00ca,0x07180188,0x215701c5}},	//   _tenshi_, _grandas_, _гапҳо_, _laaluush_, 
   {{0xea540156,0x196b0299,0xcfad023a,0x00000000}},	//   _בעשאָלעם_, _تەگمەيمە, _staviteľ, --, 
   {{0xc0ea05dd,0x2fac00c5,0x8edf00b9,0xd23302a9}},	//   _कठोरता_, _中华人民共和国土, _jurnalis_, _выбярыце_, 
   {{0x7290004b,0x383601db,0x10d501af,0xbf240344}},	//   _binang_, _كوڭىلمەن_, _dargamak_, _innerann, 
   {{0xce4b01fc,0x7f4e0098,0x2fa2000f,0x00000000}},	//   _amaatele_, _russerne_, _rizespor_, --, 
   {{0x53f8004f,0x28790311,0xdf820365,0x00000000}},	//   _djeum_, _ዮርሳሌም_, _उम्कन_, --, 
   {{0x5fd6002b,0x525a0272,0xb2ee0156,0xa379028f}},	//   _অনুমোদনে, _asalo_, _ספּיוואַ, _muranga_, 
   {{0x0d9c0278,0x63a803a0,0x334300a3,0x3c0200e3}},	//   _dielakka, _dikabong_, _vikedal_, _ibassar_, 
   {{0xa39402f3,0x728101d4,0x73870075,0xaed003e6}},	//   _konst_, _cambiati_, _gjarna_, _flunkern, 
   {{0x22fc00c3,0xcc02003d,0xb3ea000e,0xe9b40311}},	//   _nominis_, _abastar_, _laeto_, _ዝሓዘለት_, 
   {{0x4c530106,0xac260078,0xb2d70275,0x327a0357}},	//   _रितेश_, _фабрику_, _funefeai_, _senimoli_, 
   {{0xe2fc019e,0xeea60090,0x7bac005e,0x337901fe}},	//   _teigia_, _afarirwe_, _ئەبەدىي_, _qaqalia_, 
   {{0x025a02d0,0xb7e60642,0x91470074,0x94830061}},	// [8280] _gallop_, _शिवराय_, _начиная_, _영상입니다_, 
   {{0xda1e00d9,0xd22501ef,0x86cb04a4,0x43940101}},	//   _видит_, _niekur_, _canasbai, _pensii_, 
   {{0xbebe028b,0xf4cf0088,0xe8cd0212,0xbd900094}},	//   _stroessn, _اماناتىن_, _profectu, _келдi_, 
   {{0x228803bf,0xef6000a6,0x326e012a,0x24390076}},	//   _айрат_, _aliphula, _obrotu_, _собирање_, 
   {{0xa0100139,0x74ff032d,0x03f900a0,0x00000000}},	//   _atiduṣka, _дмитрийҙ, _jiyuan_, --, 
   {{0x22c3013c,0x9f270290,0xc3f90694,0xbfd103b8}},	//   _faylın_, _observon, _skuul_, _тәшенов_, 
   {{0x125b0202,0x3d920513,0xf37905f7,0xb3940281}},	//   _agalú_, _fanerile_, _caiacio_, _annso_, 
   {{0x22ca0028,0xb2d40167,0x616c066f,0x00000000}},	//   _waddo_, _diflasu_, _prestamo, --, 
   {{0x6b99035b,0xceae0219,0xa5a00247,0x5d1a0192}},	//   _socialno_, _badlalin, _anggadah, _overdrac, 
   {{0x427e012c,0x3264029b,0xd2e8015c,0x9f55019f}},	//   _imani_, _amuloo_, _effektif_, _خوشنصيبي_, 
   {{0xb74b01db,0x641000c4,0xe1bd01f2,0xa2cb02e7}},	//   _ارجاعى_, _ڪئمپن_, _линта_, _gikopya_, 
   {{0x32ca01c5,0x91950297,0x8a070076,0x13310291}},	//   _cadde_, _пленумы_, _нарекле_, _تجربتها_, 
   {{0xc8210134,0x37300156,0x90630187,0xeb240092}},	//   _iforukọs, _װאָכנטעג_, _полошо_, _cooptoke, 
   {{0xaadc00f0,0xcc9700cb,0x0c7f02fd,0xf3eb00d8}},	//   _normálne_, _кироат_, _dhrsquo_, _aguts_, 
   {{0x5ee10235,0x20030486,0x2ce100bb,0x0307020f}},	//   _संस्थिता, _मिलाइएको_, _ڈیفینڈر_, _bedburg_, 
   {{0xd47e00af,0xab2600e0,0xd68c000d,0x16280240}},	//   _чином_, _diepfrie, _बउराय_, _vutivuti, 
   {{0x2c0f0230,0xa80e011f,0x869b0311,0x339d007b}},	// [8290] _institis, _моратино, _ምስከረም_, _laayers_, 
   {{0x106d03c7,0xba1000a6,0x56710163,0xf3aa01ad}},	//   _सहरसा_, _abusaqhu, _سیلابوں_, _phrabang_, 
   {{0x22ca0067,0xe54f015e,0x53190291,0x00000000}},	//   _badde_, _tornarà_, _هيمان_, --, 
   {{0x772b01db,0x72ef002e,0x74ac0010,0x5635034c}},	//   _اۋدارادى_, _saznali_, _bayatsak, _аварларн, 
   {{0xc02a02da,0xed950073,0xebee02cf,0xe464024c}},	//   _изградба_, _benedice_, _забот_, _allejanz, 
   {{0x82ca0118,0xbdfd02ac,0x73dc037a,0x00000000}},	//   _wadde_, _الّتي_, _tumwe_, --, 
   {{0x9fa701fd,0x79f80037,0x14b50361,0x00000000}},	//   _comenzar_, _ተፈረደባቸው_, _блокăн_, --, 
   {{0x7cda0022,0x0c3c00be,0x22780189,0x7f200153}},	//   _наркокон, _азиядан_, _okunan_, _østergaa, 
   {{0x4c97027b,0x42910068,0xd379030f,0xb25a01b6}},	//   _प्रसन्ना_, _rabaan_, _puranga_, _ashley_, 
   {{0x9654012b,0x3d81001d,0x725a03b9,0x6d2c02c9}},	//   _biznesow, _guvernat_, _qallta_, _obtinute_, 
   {{0x427805f4,0xe7230058,0x26bb00bb,0x438701f3}},	//   _akunan_, _vestigam_, _لہلہاتی_, _podraz_, 
   {{0x8f270241,0x02fd01e6,0x3bdc03a2,0x6ce8035b}},	//   _afererra, _podniky_, _वाकया_, _uresniči, 
   {{0x137900a1,0x62fc0244,0x02920105,0xae540220}},	//   _turanga_, _lungo_, _oprawa_, _circosta, 
   {{0x25ea0093,0xec0f06f4,0x45940307,0xa4e1003c}},	//   _нормы_, _enstitis, _beneminy, _میدانم_, 
   {{0x82fc0430,0xb47c00c1,0x6b6c0041,0x31d300c7}},	//   _nungo_, _भराभर_, _иоулароу, _чыгуы_, 
   {{0x53dc05a9,0x32ee053f,0xa2910342,0xca8800d9}},	//   _rumwe_, _ajanuni_, _kabann_, _основным_, 
   {{0x1b970177,0x05f40220,0x8b6300dc,0x827e022b}},	// [82a0] _sanación_, _случва_, _fuataina_, _meinti_, 
   {{0x9b5e0039,0xd6cd02e5,0x1d0101f1,0x4e0600ff}},	//   _ярина_, _aropurah, _reklamat_, _ייִװאָ_, 
   {{0xd14f01b8,0x69de029b,0x5c8e00e6,0x1bd500cf}},	//   _korterio, _folorida_, _国务院新闻办公室_, _gindabar, 
   {{0xf9a30397,0x97c30010,0xa7dd0064,0xdeaa00d1}},	//   _eziyishu, _belungaf, _proposem_, _মৃত্যুপণ_, 
   {{0xb2910209,0xf9970191,0xc9c2037f,0xb2630059}},	//   _savat_, _enskilda_, _isteyire, _indicati_, 
   {{0x4c520257,0x72d80175,0x74d50709,0x740301b7}},	//   _boltinn_, _genets_, _दाहिना_, _पर्याप्त, 
   {{0xb1f5014e,0xa31100d1,0xc84804b1,0x929101f4}},	//   _имати_, _জলিউড_, _feilmeld, _qavat_, 
   {{0x3c9c00e4,0x0dc30456,0xa2d50433,0x5e53027b}},	//   _मुल्यांक, _tetingka, _aetolia_, _समर्थग्र, 
   {{0xb2910051,0x98aa0061,0xd2fd0113,0x49390334}},	//   _tavas_, _자기소개소_, _deagla_, _chomanga_, 
   {{0x02490230,0x7ea10047,0xa2d80179,0x0d91002c}},	//   _alemem_, _tellemen, _jenets_, _амидарда, 
   {{0xb2dc021a,0xcda403fd,0xea7f0045,0xdc3601d9}},	//   _kolonii_, _porokala, _источног_, _matbruec, 
   {{0xf29201e6,0x9a0c01d5,0xf9670365,0x00000000}},	//   _oprava_, _arborétu, _बेगनास_, --, 
   {{0x1c46011e,0x42e301c4,0xe26c01b2,0x02910189}},	//   _propozis, _menigte_, _bemoan_, _yavas_, 
   {{0xf24800fa,0x0b65027e,0xda680037,0x00000000}},	//   _agimat_, _kolubara_, _ነግሮናል_, --, 
   {{0x5399040a,0x25c10169,0x7e0e04b3,0xb202003d}},	//   _måste_, _পাথরের_, _brederia, _aurien_, 
   {{0x83ea01e1,0x04ba021c,0x16f60094,0x82e300f7}},	//   _saete_, _disponuj, _بارلعى_, _alineoj_, 
   {{0x20650623,0x3c530434,0xd36e0253,0x49820476}},	// [82b0] _दक्षता_, _editado_, _kulturim, _akakwira_, 
   {{0xe3ce01d0,0xf38000f1,0xce3f01db,0x9b4b0373}},	//   _selve_, _repriz_, _تٸلٸنە_, _cvetkova_, 
   {{0x02910163,0x0a28019f,0x00000000,0x00000000}},	//   _zavar_, _رونقون_, --, --, 
   {{0xa29103d1,0x8aea0195,0x8f4a005a,0x839400bd}},	//   _savas_, _renfrews, _chosehla, _donsy_, 
   {{0x9291057c,0xca7d0096,0xa73900af,0x40e306d5}},	//   _klokker_, _bakabera_, _цифровим, _ukontrol, 
   {{0xe2fc02be,0xf3990063,0x639100cb,0x51d70462}},	//   _tungo_, _císte_, _akuseyim, _anierlay_, 
   {{0x90e303ff,0x0b8c0220,0xb27f03d7,0x83790074}},	//   _zkontrol, _arrivato_, _reanvi_, _kovalla_, 
   {{0x32ea006d,0xcc67008c,0xf26e007b,0x2ca90037}},	//   _джаза_, _secturs_, _attour_, _እንዲሸጡ_, 
   {{0x2b410060,0x625b0192,0x64d5006c,0xe00f00d1}},	//   _этностар_, _stelen_, _будеду_, _বিহপুৰীয, 
   {{0xf249035a,0xd0db02a9,0x93860282,0xf387019c}},	//   _meambe_, _сталая_, _arorau_, _gaarí_, 
   {{0x068f027b,0x89f6003c,0xa7a70144,0x00000000}},	//   _amitragh, _سوییت_, _leithroi, --, 
   {{0xfc74048c,0x1fd302d7,0x14300059,0x520e00bf}},	//   _draught_, _relación, _lombardo_, _вашас_, 
   {{0x03ac0019,0x85eb034f,0xa9f2021e,0x72fc00e1}},	//   _respon_, _ورساوه_, _pernilla_, _gunge_, 
   {{0xf89900da,0xb2490139,0x63c400ff,0xed570040}},	//   _универс_, _agamat_, _מערילענד_, _העתקת_, 
   {{0x20e302c3,0x789e02ea,0x72ca0120,0xc3a20183}},	//   _skontrol, _накладки_, _kadda_, _gropy_, 
   {{0x22fc012c,0x950e013b,0xb4700751,0x4dc7006d}},	//   _bunge_, _masolusy, _bibeltek, _варвік_, 
   {{0xa2ca00cf,0x64d6015d,0x4d570172,0x2b9c0328}},	// [82c0] _madda_, _मारिया_, _internɛt_, _arazisob, 
   {{0x82ca02f3,0x42900127,0x799b0155,0xeadc01ff}},	//   _ladda_, _annaig_, _psykiska_, _normálny_, 
   {{0x562902d8,0x39a400e6,0x02dc0158,0xcdfb0311}},	//   _kelistri, _affichée, _polonii_, _ገብረብርሃን_, 
   {{0x42fc042e,0x2b0d0061,0x754403b8,0xcd990291}},	//   _tunge_, _반복적으로_, _تىگەتىن_, _mangaire_, 
   {{0x7f4c03db,0x051d056f,0xc50a0420,0x0d87004d}},	//   _abashuma, _rumunsko_, _simulado_, _媽媽寶寶智庫_, 
   {{0xd3730222,0x7991033c,0xe9e0005b,0x209801de}},	//   _domaine_, _archeole, _ichikawa_, _روبوتى_, 
   {{0x5e0c02a6,0xdd700166,0xa2fc0065,0x3c04046f}},	//   _accendip, _vormitta, _zunge_, _joerdaus, 
   {{0x1575027c,0x2ce80321,0x7f140350,0x00000000}},	//   _شهسوار_, _uresniče, _ያሳለፉት_, --, 
   {{0x5319013b,0xcefe0061,0x12ee01c5,0x00000000}},	//   _parchim_, _사용하시는_, _koofur_, --, 
   {{0xcf850205,0xdd7a00a4,0x78c40312,0x7e670297}},	//   _تخنیکی_, _diumenge_, _diverrad, _iktisadı, 
   {{0x7291004a,0x826d02e7,0x32f10418,0x6ded00d9}},	//   _cavap_, _macomb_, _verimli_, _номиналь, 
   {{0xf97e019d,0xc2010282,0x00000000,0x00000000}},	//   _kachitat, _taaima_, --, --, 
   {{0xacd200e4,0x67f20230,0xe36401e5,0x00000000}},	//   _विशेषाधि, _konbativ, _rangàn_, --, 
   {{0x813204ce,0x6a080282,0x5b0b0192,0x7a06005c}},	//   _gwadamel, _hinamona_, _borstvoe, _arabukwa_, 
   {{0xaa1a0203,0x52910415,0x8386029b,0xf0aa02c0}},	//   _globalne, _anfang_, _dooré_, _примамли, 
   {{0xc3ea026c,0x2c610308,0x2ec60035,0x00000000}},	//   _laeta_, _padukan_, _ваттык_, --, 
   {{0x44210499,0x6f4f0195,0xb50a0350,0x00000000}},	// [82d0] _fagatogo_, _dhisatha, _ከጉምሩክ_, --, 
   {{0x27fb0421,0x7d3c02ac,0x8d1900b5,0x0ed90203}},	//   _liebling, _بتكلفة_, _géntere_, _malicios_, 
   {{0xba06030c,0x508d00be,0x82820527,0x1c10004d}},	//   _pilaarut, _تۅمۅندۅي, _obustavl, _中國經濟網新聞跟, 
   {{0x66a703b5,0x8c8400e6,0xdb960357,0x93ee00a2}},	//   _statusny, _类放射源的_, _senitiur, _manunuzi_, 
   {{0x3e240193,0x0a9e01d5,0xe9f2036d,0xd7ed00a1}},	//   _पृथ्वीतल, _مسافروں_, _asarbaid, _ataarang, 
   {{0xa3ca00d0,0x8763004d,0x0a0f01f0,0xf2b40008}},	//   _рианнаги, _其他交辦事項_, _dikabele, _inicis_, 
   {{0x305a00ae,0x4cf5020f,0xd2ca0369,0x43400115}},	//   _batararo, _ورېښمو_, _semeredi_, _didenda_, 
   {{0x45680464,0x5a540148,0xb16800ef,0xa464023d}},	//   _abawugiz, _年二月份報導地圖, _abagugil, _rilevanz, 
   {{0x63f800f1,0x5e3902df,0xd394036d,0x305204b9}},	//   _prouve_, _pelabura, _annsa_, _blissedn, 
   {{0x89d0006c,0x12900342,0x9f6a0073,0xa9cf039f}},	//   _бедил_, _melanj_, _debattos_, _ineffect, 
   {{0x2c7407cd,0x45c700c8,0xdf0702e5,0x89d00371}},	//   _विष्णू_, _сабыйҙар, _cheakatĩ, _лечим_, 
   {{0x09670190,0x720e01ea,0x1202018f,0xa37a0243}},	//   _tabiteue, _салаф_, _kurian_, _samaral_, 
   {{0xcbd300b4,0xe68f046b,0xdbd60156,0xe3c8003f}},	//   _игнораць_, _anweledi, _געפּסקנט_, _nguvbe_, 
   {{0xa2a0049e,0x73dd002a,0x25380187,0x0186018e}},	//   _futbal_, _owuwu_, _настанув, _kakatlul, 
   {{0x32da04f2,0xc08c014f,0x03dc007b,0x8d3a028d}},	//   _aptech_, _славе_, _stews_, _lasimine_, 
   {{0xb04900be,0xfa7b00a4,0x730a010f,0x435000be}},	//   _талибанд, _стилин_, _abazoham, _تۉشۅن_, 
   {{0xcc0a0272,0x55ff00c1,0x241801b4,0x82fc0159}},	// [82e0] _abappya_, _तंतोतंत_, _onwillek, _neigia_, 
   {{0x9815018b,0x52ca008a,0x5c6700bc,0xc38702c6}},	//   _буката_, _afeleti_, _nyerang_, _ajaria_, 
   {{0x34eb012b,0x42da0277,0x8a0f0587,0xcb6c032b}},	//   _systemów_, _batonis_, _altaïcas_, _تارتقىلى_, 
   {{0xb39701b9,0x0c97029a,0x99c303db,0x2c1700cf}},	//   _represif_, _represiv_, _kwemvula_, _gudaneer, 
   {{0xcb8f016b,0x429004e6,0x6a8c0192,0x00000000}},	//   _amintacc, _dinaig_, _verzinne, --, 
   {{0xe3eb0049,0xd0d3014e,0xa2020227,0xde0101a3}},	//   _ngutu_, _власт_, _durian_, _ماڳھين_, 
   {{0xa3050342,0x2a11028e,0x4379034c,0x1cb400be}},	//   _almanak_, _enkareje, _asrauga_, _تىكتەيسى, 
   {{0x95980132,0xcb560310,0xe7b50462,0x53be0085}},	//   _depressz, _buntàta_, _aggering, _kaiviti_, 
   {{0x2a160497,0xd2eb019f,0xa2fc000c,0x00000000}},	//   _butchere, _vitisho_, _nunga_, --, 
   {{0x6e390402,0x0797078e,0xc6b4017a,0x530d0092}},	//   _pelacura, _अपरम्पार_, _akhuluny, _oplader_, 
   {{0x42fc07ce,0xf4f80197,0x551e03b7,0x12da036a}},	//   _hunga_, _adomisil_, _advocacy, _kateni_, 
   {{0x8afd04df,0x00000000,0x00000000,0x00000000}},	//   _поэзиямы, --, --, --, 
   {{0x7efe01af,0x32c50109,0x104c0569,0x685801db}},	//   _aleksios_, _inflace_, _jelovnik_, _фракцияс, 
   {{0xe61e015a,0x280f00d1,0x52ec0220,0x1c280040}},	//   _balleeff, _এৱাৰ্ডত_, _antiche_, _בתיירות_, 
   {{0xe6370127,0x00000000,0x00000000,0x00000000}},	//   _greistei, --, --, --, 
   {{0x18d90126,0x9c0e00de,0x8eb2033e,0x138701ec}},	//   _сервіс_, _amatoyis, _cárgope_, _amergi_, 
   {{0x4371038f,0xf637013f,0x50030156,0x093f0066}},	// [82f0] _albaneg_, _hreistei, _טאנזאניע_, _esamolde, 
   {{0x8aa40241,0x7ae305a4,0x2637038f,0x3c1b00c3}},	//   _argisiis, _platnost, _kreistei, _tanquam_, 
   {{0x6b0e01d1,0xde3a0362,0x5a90038b,0x234d01f7}},	//   _preparat, _basalisa, _karyanya_, _aprenem_, 
   {{0xf25a015c,0xe8070148,0xb5f90037,0xbadb00d1}},	//   _millen_, _nascetur_, _የተቆራኘ_, _কুমাৰৰ_, 
   {{0x76b9033e,0x5ccd01d3,0x3e4a0297,0x22bb004b}},	//   _aporohay, _provocer, _башлавын, _lelekoe_, 
   {{0x428c017d,0x7a48005e,0x13ce0192,0x991102fe}},	//   _asakura_, _رۇبائىيل, _erover_, _دقزاقستا, 
   {{0xb2f102e4,0x5dce0220,0xba0e0361,0x00000000}},	//   _perikli_, _живея_, _радионан_, --, 
   {{0x22fc03b4,0xef3906cc,0x6b04014a,0x02740122}},	//   _funga_, _फिलिप्स_, _hírportá, _تونلی_, 
   {{0x761c0093,0x3e25014a,0xb2fc02a0,0x2a68048f}},	//   _поставля, _publikus_, _gungi_, _bingumba_, 
   {{0x9e4c0102,0x963703fc,0x6ea00009,0x00000000}},	//   _harambee_, _breistei, _lastnost_, --, 
   {{0x9ee1010d,0x3cd70144,0x120202f6,0xc9650371}},	//   _संस्थाना, _أعياد_, _suriin_, _fotocame, 
   {{0x7ddd017d,0x35ae010d,0x15b9018d,0xc8c60365}},	//   _すべての質問_, _पहाता_, _ኣገዛዝኣ_, _शिवपुर_, 
   {{0x43f8048c,0xedab01f6,0x116800ff,0x890a0178}},	//   _arouse_, _musikara, _מעכאניק_, _apratibu, 
   {{0xfa1a0251,0xdd550164,0x50450177,0x825a013a}},	//   _تٲثیر_, _алинур_, _ақәыҧшцә, _fillen_, 
   {{0x1b000192,0x75ea00b4,0xa345028e,0xa34b041e}},	//   _afdrukke, _формэ_, _prodakt_, _aeternu_, 
   {{0x92a90220,0x78e701ca,0x00000000,0x00000000}},	//   _проблемъ, _dungjuhd, --, --, 
   {{0xb25b06db,0xfab8035d,0xcfe10291,0x66930294}},	// [8300] _huelen_, _privreda_, _ينبعث_, _huntaych, 
   {{0x425d0159,0xd25a02f3,0xa3410028,0xdef60177}},	//   _sprendim, _killen_, _inteeda_, _ироуеит_, 
   {{0x12910056,0xcdc300f7,0xb43d002b,0x00000000}},	//   _ingase_, _artifika, _পঁচিশ_, --, 
   {{0x52370198,0xbc890423,0x2879036b,0x687900ec}},	//   _prejme_, _firefoxu_, _легален_, _berniuku, 
   {{0x29f00229,0x00000000,0x00000000,0x00000000}},	//   _efirində_, --, --, --, 
   {{0xf6a20100,0x80780147,0x7f9c01f4,0xb3a20467}},	//   _pogledaj_, _freqüent, _истиқбол, _opopa_, 
   {{0xbf480027,0x72a60120,0xb26600b4,0xadb60306}},	//   _krigadin, _datbulhi_, _botosani_, _apunalla, 
   {{0x316a0105,0x92910133,0xb34b0400,0x00000000}},	//   _biustono, _gabaan_, _beternu_, --, 
   {{0xd8540013,0x146a0220,0xaaf702b6,0x7a9500d1}},	//   _قوريب_, _perfetto_, _майданы_, _উত্তৰত_, 
   {{0x053e02d8,0x5c51021c,0x7b72017e,0x72ea0092}},	//   _posisiny, _exotika_, _analogec, _miintos_, 
   {{0x9e28051e,0x125b01fb,0x27c7021b,0x338700e4}},	//   _válidos_, _asylo_, _нашими_, _zdarza_, 
   {{0x2147000d,0x3f720403,0x2fac004a,0x4a08030a}},	//   _emotsioo, _anabavin, _avtomoto, _dinahost, 
   {{0x11190405,0xc36a0359,0x54af00a6,0x000b004d}},	//   _насправд, _fergees_, _akwangok, _考銓報告書_, 
   {{0x9b0c023c,0x428d00ad,0x7ab800f6,0x29a70052}},	//   _مالیې_, _ditarjam, _lüksembu, _मुखर्जील, 
   {{0x0c6f02c1,0x02d8022d,0xfaf002c9,0xfe280064}},	//   _ikirego_, _arnese_, _avertize, _embotits_, 
   {{0xa2c2014a,0xbc2700be,0x7e4e022b,0xb77b0064}},	//   _bálint_, _دوستۇعۇن_, _avtakast_, _аскалард, 
   {{0x29c902f3,0x28d300bb,0xaeb100ec,0xbfcf0061}},	// [8310] _hemelekt, _حارثہ_, _baseinas_, _현재페이지_, 
   {{0x1d1202af,0x47f403a2,0x482200d1,0xa5bb034e}},	//   _akarahir, _मोरक्को_, _কলাপৰ_, _casarach, 
   {{0x8b180132,0x150d0017,0xbba50022,0x32d802ee}},	//   _ingatlan_, _maloobch, _клубтың_, _punent_, 
   {{0x92910056,0xcb7d0300,0x01590299,0xe6b90128}},	//   _angase_, _finanční_, _ئاقپىشما, _грознийд, 
   {{0x5c930008,0x50d8018d,0x83f8031a,0x765d015d}},	//   _مازار_, _ኣቀባብላ_, _chiuin_, _lakierow, 
   {{0x7f2803e6,0x224100db,0x00000000,0x00000000}},	//   _castegna, _सकरले_, --, --, 
   {{0x12d403bf,0xe2b3002c,0xd11d0311,0xa492002b}},	//   _afdokia_, _handiko_, _ኣፈጣጥራና_, _স্পাইডার, 
   {{0xf26e0047,0x13b8041e,0xea3d00c4,0x305a0311}},	//   _autour_, _privatu_, _پارکو_, _ዝሓስቦን_, 
   {{0x0c530191,0x23ce047b,0x3e6701b3,0x00000000}},	//   _platsen_, _helvt_, _гармати_, --, 
   {{0xd2fc012c,0x99ec02fa,0x96e8016d,0xf147003e}},	//   _mungu_, _atangaza_, _характир, _akaretso, 
   {{0x8291006e,0x02eb0478,0xaaf00271,0x839400a3}},	//   _angare_, _granjas_, _oversikt, _innst_, 
   {{0xf9aa018b,0x1b48014a,0x2c7e02a4,0xfd750099}},	//   _ловим_, _مبارکہ_, _yassien_, _afambise_, 
   {{0xab3001ff,0x3a1901b3,0x28c501ce,0xcae50340}},	//   _citatels, _нарахува, _anèhé_, _ohoreret, 
   {{0x253c0359,0xe2560125,0xf196002b,0xbf72004d}},	//   _wichtich, _мелеклер_, _শব্দচাবি_, _作業規定類_, 
   {{0x40ef0135,0x42490476,0xf38700c5,0x8f6e0153}},	//   _bulaçak_, _afambe_, _degré_, _についての最新ブ, 
   {{0xeda400d6,0x4af600e6,0x00000000,0x00000000}},	//   _bhaghcat_, _中国国家男子足球, --, --, 
   {{0x35470236,0x00000000,0x00000000,0x00000000}},	// [8320] _napraviš_, --, --, --, 
   {{0x9343015c,0x4c680456,0xbe56022f,0x00000000}},	//   _onscharf_, _kekunci_, _фантан_, --, 
   {{0xab37009b,0xb27801e8,0x23ea0303,0x00000000}},	//   _налайх_, _hingalim, _fentse_, --, 
   {{0x62fc00a2,0x33ea018c,0xd5370464,0x23f902a3}},	//   _fungu_, _gentse_, _kunyerek, _skuur_, 
   {{0xcd030291,0x9683015d,0xca7f027f,0x32e201b0}},	//   _أدناه_, _सुजान_, _birabura_, _araraneh_, 
   {{0x855f002b,0x34df008d,0x12ee006f,0x13cf0407}},	//   _হোয়াইক্য, _остонада_, _ndefu_, _spavao_, 
   {{0xd0b0002b,0xee500073,0x3a0403d5,0xaf200685}},	//   _সম্পৃক্ত, _preciose_, _asiankit, _østergad, 
   {{0xb2fc01a0,0xb767018d,0xba57008d,0xddc402f8}},	//   _kungu_, _መንፈሳውነት_, _тарафга_, _felingia, 
   {{0xeaa701c7,0xae4c01b2,0xb69d0245,0xa1820287}},	//   _намарт_, _detainee_, _rongbiri, _गाइजात्र, 
   {{0xbc1b00b7,0xa85f00be,0xcdbf008a,0x63eb0119}},	//   _абулкема, _شوولاعا_, _saliloma, _ngatan_, 
   {{0xa8c502a3,0x3fe50299,0xb5b10153,0x00000000}},	//   _ingewand, _رېتسىپلا, _ﾐｼｭﾗﾝ_, --, 
   {{0x53890037,0x2a7d00b2,0x28c502c7,0xe9a8072a}},	//   _አባላቱን_, _balaarra_, _angewand, _سلووینیا_, 
   {{0x4eca0203,0x84ac011b,0x94a40235,0x3263024c}},	//   _reunites_, _bayambak, _छायाशुष्, _indikati_, 
   {{0x3ccd014f,0xedff0145,0xb6e500f4,0x2f5c03a2}},	//   _последње, _mindauga, _atersiñ_, _हाइगा_, 
   {{0xbf1c0163,0x2434003b,0xa3f403d5,0x1f490037}},	//   _ازامکان_, _akukabek, _crutch_, _persaraa, 
   {{0x429200e4,0xd7be0347,0x22fc005b,0x295802ff}},	//   _sprawa_, _waarnemi, _bungu_, _europeye, 
   {{0xc2d802a4,0x6e4c020a,0xdd0b036e,0x00000000}},	// [8330] _munere_, _өңкей_, _dorregar, --, 
   {{0x109d01ec,0xc1b30071,0x82da0357,0x7a1405ad}},	//   _خاطرنشان_, _ناظری_, _mateci_, _ugradila_, 
   {{0xc3ea0176,0x199c002e,0xd5a0029b,0x73890350}},	//   _ventet_, _održali_, _fésaluka, _በአራቱም_, 
   {{0xe37804d8,0x837b0197,0x2ef00054,0x115c0025}},	//   _nabadda_, _abyezè_, _alokacin, _पश्चिमघट, 
   {{0x0c060281,0xa202013d,0x0c69064f,0x00000000}},	//   _amerlass, _afriko_, _vektory_, --, 
   {{0xb64500de,0x9b39043d,0x8c6b021c,0xf20103cc}},	//   _abeziley, _membebas, _sporák_, _habido_, 
   {{0x90e8015e,0x5ea6041a,0xa2fc01a4,0xe9d30343}},	//   _فوتوشوپ_, _fortsatt_, _zungu_, _kaloriya_, 
   {{0xf3ea0076,0x096200fa,0x3df70161,0x00000000}},	//   _dentre_, _alintunt, _развал_, --, 
   {{0x73fe0380,0xef1604ec,0x83eb00a1,0x62910218}},	//   _seizgan_, _afadikan, _kaute_, _iavay_, 
   {{0xe21300b9,0x27e201bb,0xc9d10145,0x8c7a0156}},	//   _shahih_, _almandyg, _абдала_, _פֿעליציא, 
   {{0x53530008,0x5c0104ca,0xb2fc000e,0xe1d500f4}},	//   _جۇعار_, _baishar_, _tungl_, _fonnusañ_, 
   {{0xc9dc026a,0xcc62018b,0x950700fa,0x04640156}},	//   _italanoa_, _devreme_, _basurero_, _האַמער_, 
   {{0xb26f00ad,0x23770276,0xe695038b,0xcd990122}},	//   _pangalam, _دىغان_, _diperbai, _cangkire_, 
   {{0x1a700148,0xd3ea00dd,0x056d0060,0xbe9e019b}},	//   _筆土地都市更新事, _bentre_, _تارىمنىڭ_, _рабле_, 
   {{0x393900a1,0x725a0034,0x098e0035,0x9c560092}},	//   _akomanga_, _heilsu_, _разил_, _ショップポイント_, 
   {{0x83b80297,0x1e4c029b,0xa3410362,0x95cc00b3}},	//   _протонна, _faransee_, _lolendo_, _buharany, 
   {{0x32b403a7,0x5dde00e5,0xdb790193,0x7a5900ee}},	// [8340] _dnoch_, _изолациј, _माध्यमवे, _далдалса, 
   {{0x46a9018d,0x2ab8028a,0x32ca00fd,0xf3ce049e}},	//   _ክንዕዘብ_, _frikwens, _fiodha_, _ledva_, 
   {{0x820106f6,0xdb600178,0xcc070055,0xf6a8027e}},	//   _envied_, _रोदने_, _passatu_, _противза, 
   {{0x037b0264,0xd3ea0047,0x57b1005c,0x4696020f}},	//   _geraldo_, _rentre_, _amateref, _benesili, 
   {{0x212d0013,0x49dc0020,0xdd2600de,0x928d003e}},	//   _сайти_, _atalanoa_, _ahlonele_, _bomashom, 
   {{0xa3170288,0xf39401ac,0xcb6d0304,0x6cd10077}},	//   _kerze_, _binse_, _aturcara_, _oksilyè_, 
   {{0x329203f1,0xeb930105,0x52db02ac,0x5c890130}},	//   _sprava_, _mobilnyc, _يرفعون_, _brofeded_, 
   {{0xd3ce038c,0x276800a6,0x35c1028d,0x79e40184}},	//   _jedva_, _abakuvav, _levanzil_, _kumudind, 
   {{0x502f015e,0x529003fc,0x00000000,0x00000000}},	//   _entenedo, _utmark_, --, --, 
   {{0xa465034d,0xc8d70361,0x99d300a4,0x995d0155}},	//   _ditetapk, _силами_, _болжол_, _passerar_, 
   {{0x828d0244,0x683300a4,0x784b0399,0xb9330046}},	//   _appartam, _anomenad, _kolomotu, _anomenat, 
   {{0xd3d20207,0x6f0e024d,0x925203ee,0x93a2032d}},	//   _عبدالحمي, _amatshwa, _omiljeni_, _ipope_, 
   {{0x9e950176,0xec7d02ec,0x9dfd0157,0x92910219}},	//   _gentofte_, _meeshan_, _adresowa, _jowabe_, 
   {{0xb3ea018a,0x8ef1014f,0x72fc03d1,0xa90b0311}},	//   _pentre_, _остаци_, _nezinot_, _ድግድጊት_, 
   {{0xb3ea03e8,0x2fe0002b,0x3325028a,0xd86503fc}},	//   _vzeti_, _নেইমার_, _kinywaji_, _allslags_, 
   {{0x5f5801d9,0xe440036c,0xce98005e,0xf37f02fb}},	//   _verpasst_, _tsikelik, _پىرۇگىرا, _manakoa_, 
   {{0x80330420,0x03a300d8,0x062e0012,0xb93d0291}},	// [8350] _postagen, _acapir_, _नेवानउउप, _الضخم_, 
   {{0x2fdd0795,0x637b028e,0x991b0040,0x2fe20153}},	//   _mexicano, _namaram_, _נפתרה_, _スプラッシュペ_, 
   {{0x4f2800a8,0x12100361,0x4f6a0299,0x00000000}},	//   _absolver_, _австрипе_, _زاۋۇتلار, --, 
   {{0x16260179,0x00000000,0x00000000,0x00000000}},	//   _fitategü, --, --, --, 
   {{0x02ec01b8,0x24a203ee,0xb2ca0568,0xe25a0108}},	//   _भाषीय_, _paradajz, _rydda_, _akhli_, 
   {{0xc8a3004d,0x21d90074,0x1643033e,0xfb8a01f7}},	//   _地球村四月記事_, _kalliimm, _mbokuati, _chancair, 
   {{0x1e2a02c2,0x36090196,0x9a7b0092,0x4a59000a}},	//   _betogers_, _akumnami, _プラグイン_, _adressia_, 
   {{0x42c3001a,0x562a0189,0x3ef20059,0x00000000}},	//   _karburát, _neticesi, _евала_, --, 
   {{0xf38000c5,0xa283029f,0xa86c02d5,0x4be30037}},	//   _常州组织工作_, _funkcia_, _teenindu, _ኢንጂኒየር_, 
   {{0xc3e503c4,0xd6900024,0x045300d9,0x90fb0311}},	//   _олимпик_, _hardingf, _neuvolaj, _ዝፈጠረካ_, 
   {{0x37370059,0xfe7a0235,0x9f6604f9,0x672c0392}},	//   _заплати_, _प्रणवेन_, _allappun, _crombaig, 
   {{0x93e301f4,0x21e100be,0xbf7c00e6,0xb226028d}},	//   _حقیقتا_, _اۋعۇستتۇ, _明星灾区为逝者默, _serkey_, 
   {{0x5a620012,0x00000000,0x00000000,0x00000000}},	//   _फेंउकेला_, --, --, --, 
   {{0xf68d01c4,0x72c3046b,0x02e30044,0x227f003b}},	//   _herdenki, _anglian_, _advised_, _hlanti_, 
   {{0xdb6e0368,0xb2ee006e,0xeb840298,0x5b020223}},	//   _лиценцом_, _deefi_, _inangaro_, _amorebie, 
   {{0xab64013a,0x00000000,0x00000000,0x00000000}},	//   _entlaasc, --, --, --, 
   {{0xe3250102,0x53940257,0x6eb8037c,0x46e701de}},	// [8360] _vinywaji_, _annsi_, _orientis_, _қиялға_, 
   {{0xcab90037,0x23440258,0x9c040007,0xdeb901c9}},	//   _አይደልም_, _daverje_, _epasuki_, _hotellis_, 
   {{0xac1400a2,0x103e02f3,0x0fca005e,0xbc87026f}},	//   _مومنن_, _hanterin, _маркисиз, _تالەيگە_, 
   {{0xe31a0140,0xc25f020b,0x03000034,0x705b01b8}},	//   _sariling_, _babogedi_, _lifandi_, _ilusalon, 
   {{0x23b5025b,0x1292061c,0x780400f8,0xd95d001e}},	//   _álvara_, _sprata_, _খুতবাহ_, _hassarar_, 
   {{0x1f3b020a,0x42f90034,0x22d9008f,0xa61a0350}},	//   _аттанды_, _dunhaga_, _tunnete_, _ድግግሞሽ_, 
   {{0xa1d00040,0x5d4d032b,0x00000000,0x00000000}},	//   _במסיבה_, _باراقسان_, --, --, 
   {{0xa2a701b2,0xb74b0153,0x426c04ad,0x001c00f8}},	//   _anabar_, _の発明と同様のユ_, _kumola_, _জোরপূর্ব, 
   {{0x129203dd,0x134a02c3,0x04f301f2,0xb34d0019}},	//   _thuash_, _hotelov_, _йоқкән_, _азаптуу_, 
   {{0xf63e03cf,0xbe1b002b,0x1f650085,0x03870403}},	//   _hamileli, _কতিপয়_, _kotafain, _aterak_, 
   {{0xb1c90246,0xeb180037,0x4b900223,0xca8a0198}},	//   _почти_, _መጨናነቅ_, _нэмнэ_, _registrs, 
   {{0xe25a032e,0x59d603a0,0xfe39020f,0xbf2e00aa}},	//   _billon_, _belegile, _bakaefra, _katuluga, 
   {{0x8292034c,0x28ca0311,0x00000000,0x00000000}},	//   _asrala_, _ጦብላሕታ_, --, --, 
   {{0x9d9103f3,0x4b8b0377,0x3b6701b8,0x1e12020a}},	//   _algemene_, _schimbar, _टीपने_, _سەرمەپ_, 
   {{0x76410256,0x429101f0,0x412f02a2,0x92d802d9}},	//   _notikumi, _bogame_, _littlewo, _funefe_, 
   {{0xe36400c7,0xfc6600c7,0x225a01da,0x5a400040}},	//   _yangın_, _басылып_, _fillon_, _במקלחת_, 
   {{0xff94041a,0x03ea019a,0x15e80299,0x9e70040f}},	// [8370] _величезн, _fentit_, _تۈپتۈز_, _kancelia, 
   {{0x439401e8,0x138600ab,0x92d303e8,0xc3180061}},	//   _kinsa_, _amiria_, _ponoči_, _서비스문의_, 
   {{0x893b0057,0x3c920052,0xe292019d,0x409b00e6}},	//   _የጦርነት_, _najednou_, _busayo_, _抓紧每一刻进行交, 
   {{0xf2fc0118,0x639402f6,0x0c1d025e,0x2899016f}},	//   _kungi_, _minsa_, _drepast_, _моментів_, 
   {{0xf42302ee,0x426d0181,0x116501a3,0x4cff0080}},	//   _navigazz, _eternall, _سَرتيون_, _ingutser, 
   {{0x227e01c1,0x92b406aa,0x32000028,0x33dc04df}},	//   _maknae_, _rancak_, _gelinkii_, _balbaý_, 
   {{0xa27f012d,0x070900b7,0x02fc00b4,0x1e9e014e}},	//   _planti_, _тенини_, _lungi_, _расла_, 
   {{0x74390060,0xf5d00051,0x8f2d001d,0xc8b80564}},	//   _ءبىرىنە_, _komentēt_, _sufficen, _tradutod, 
   {{0xe87b0220,0xf86f01e1,0xa13700e6,0x464e02e2}},	//   _известна_, _смешалис, _注册登记证书_, _archtrai, 
   {{0x46440140,0xb3940277,0xee850024,0x39f60297}},	//   _bisitahi, _binsa_, _ইচ্ছাৰ_, _baqça_, 
   {{0xd4a50142,0x2379001e,0xc4070050,0x053a0452}},	//   _स्वाधिष्, _musanta_, _kakuatan_, _देणारांच, 
   {{0x820e0188,0xd39400a0,0x36dc0193,0xadb80021}},	//   _талаф_, _dinsa_, _पाकिट_, _ashingba, 
   {{0xb3c301c5,0x5db90021,0x8f90026b,0xb2b30234}},	//   _ہُران_, _adingsha, _máximos_, _nkojọ_, 
   {{0xb3eb02c9,0xee37013b,0x3af001c4,0x00000000}},	//   _cauta_, _catandua, _winsgewe, --, 
   {{0x684900d9,0x53790125,0xf1d40153,0xfd3102a1}},	//   _психичес, _agramda_, _acceskey_, _entiteit_, 
   {{0x305301ec,0x38410145,0x0c7d005b,0xd63005c1}},	//   _واکسن_, _keitimas_, _katsura_, _sidratul_, 
   {{0x239403ea,0x323700ba,0xad3603c4,0x6dcc026f}},	// [8380] _ainsi_, _زیزپور_, _қайтип_, _رەجيسسەر, 
   {{0x927e019f,0x2e4b0079,0x42d8007f,0x13860011}},	//   _ulinzi_, _autovadī, _addef_, _alirya_, 
   {{0xb3eb02cc,0xb394006f,0xe20d0156,0x9301019c}},	//   _rauta_, _jinsi_, _ויקהל_, _ayebaye_, 
   {{0x35930307,0x29060187,0xeda602cd,0xa2ea0203}},	//   _banesiph, _стадионо, _abdoulka, _levimen_, 
   {{0x8b57005e,0x8d1e0188,0x6a7e034e,0x4278005a}},	//   _خةۋةر_, _тарафайн_, _callaris, _jesnis_, 
   {{0xc3040203,0x035e013f,0xce120035,0x932102bd}},	//   _durabil_, _belgiad_, _актерлык_, _esgyrn_, 
   {{0x3b0701e1,0x027e012c,0x727f00b0,0x167f010d}},	//   _финанс_, _pointi_, _beenta_, _मोटारसाय, 
   {{0x22d50301,0x00000000,0x00000000,0x00000000}},	//   _millət_, --, --, --, 
   {{0xd3eb0256,0x834102ff,0x3ec90093,0x503b0193}},	//   _tauta_, _akseswa_, _кириллов, _selfsuck_, 
   {{0x66c70078,0xdc5301f7,0xb3eb0009,0x1c530065}},	//   _пропала_, _bretton_, _tretji_, _platten_, 
   {{0xe2ee01d9,0x43940242,0x397f0189,0xc93f0090}},	//   _leeft_, _cinsi_, _makinele, _akamumut, 
   {{0x825a03e0,0x62e703f3,0x3533022f,0x00000000}},	//   _villen_, _evenmin_, _вестгоцк, --, 
   {{0x925a0265,0x729102d4,0xa7db01cf,0xa26c034b}},	//   _willen_, _mabain_, _demandav, _laion_, 
   {{0x751600c4,0x070a0094,0x42d8059c,0x921c03e6}},	//   _پاٽنجر_, _قاراماست, _edlen_, _mathé_, 
   {{0x72eb02d3,0xe2c204e5,0x0163026f,0x00000000}},	//   _brincar_, _amaliba_, _رزينكە_, --, 
   {{0x1c0e0282,0x141302ea,0x9cd10192,0x623c02f3}},	//   _urupare_, _доведат_, _prikbord_, _resmål_, 
   {{0x18920013,0x22910217,0xcc1a0354,0x58db00e6}},	// [8390] _نماينده_, _ligate_, _ژۇرناللا, _宁波市工商行政管, 
   {{0xad84003c,0x00000000,0x00000000,0x00000000}},	//   _کردکوی_, --, --, --, 
   {{0x2abc019c,0x89ec008f,0x142201a3,0x92eb0203}},	//   _adejumob, _लट्टा_, _راضپي_, _trincar_, 
   {{0x9b030096,0x12d001b6,0x09c90120,0xb44c0046}},	//   _abafrans, _theorem_, _jenderme, _электрди_, 
   {{0x6b690262,0x513901ef,0xcc70024f,0xfc660488}},	//   _nureddin_, _драматыч, _kuoramu_, _viktors_, 
   {{0x171b0212,0xfe9a015e,0xdfcd0421,0x00000000}},	//   _secundum_, _protegit_, _unsicher_, --, 
   {{0xf36401e8,0x18740528,0xdb5502b0,0x02ca02e4}},	//   _friggin_, _craichid, _goldenen_, _ghodda_, 
   {{0x3be70180,0x13c900c5,0xd29102ff,0x637f016b}},	//   _deteryor, _并不代表本网赞同, _bazann_, _takaita_, 
   {{0xc202018e,0xd7a202fa,0xd2770046,0x13ea03ac}},	//   _marito_, _kabuhari, _банктын_, _kentut_, 
   {{0x8ad200f2,0x2eac0211,0x03aa0050,0xc399017d}},	//   _kredītsp, _почистит, _cisayong_, _påsat_, 
   {{0x630501af,0x520100a0,0xb178048f,0x19560156}},	//   _almajak_, _dabino_, _mabandel, _פשעטליך_, 
   {{0xd20202f6,0x6378044a,0xf18200fb,0x0ad3027e}},	//   _narito_, _labanda_, _namalahl, _pritvore, 
   {{0xcfae017a,0x74140270,0xc51a00bb,0x443203ce}},	//   _барки_, _nonioniz, _اٹالین_, _موارکردن, 
   {{0xe30202fb,0xdee001e8,0xfb6103a2,0x24870012}},	//   _kaiakau_, _igkiskis_, _गंगनम_, _पुछारि_, 
   {{0x12130025,0xaf330253,0x9c1401f4,0xfd22004d}},	//   _tarhi_, _takutipp, _قوانچ_, _但是三菱卻是一再, 
   {{0xb2f30494,0x13ea0202,0x203e0247,0xb2dd0344}},	//   _bonitet_, _ayete_, _buntasin, _hotelimi_, 
   {{0xadcd0039,0xf2ca042e,0x92bb0155,0x09b4004a}},	// [83a0] _дорлигжа, _rydde_, _baserad_, _еларсың_, 
   {{0x82540352,0x52500276,0xa2eb02ce,0x02ca0568}},	//   _জিম্মী_, _ئىگەم_, _diantos_, _sydde_, 
   {{0xbe270047,0xd7070152,0xc9800156,0xb0630433}},	//   _milliers_, _балеты_, _לאביאונג_, _madadayo, 
   {{0x62bb020b,0xcc69012a,0x2ebb0163,0x00000000}},	//   _boleele_, _lektury_, _رعایتی_, --, 
   {{0x235803f8,0x2380011f,0xd2eb0277,0xcb7a02fe}},	//   _berghbe_, _asyrõ_, _giantos_, _bezobugc, 
   {{0xa2b202d3,0x8c21033a,0x57e401b8,0x61530268}},	//   _amadora_, _akronimu_, _छवारिक_, _artlypay_, 
   {{0x7ebe016d,0x84090176,0xbe8f0046,0xa2e10227}},	//   _долларди, _tarragon_, _primeren, _turunlah_, 
   {{0x4f610057,0xd38c0094,0xe3eb00b5,0xa42b0241}},	//   _camproma, _сутек_, _gauto_, _daranyoo_, 
   {{0xc37801a4,0xcba30253,0x2d9d0205,0x00000000}},	//   _babanda_, _sukkaner, _aralasha, --, 
   {{0xebd90056,0x12db00d7,0xeffe03c2,0x2dc20011}},	//   _реклом_, _күсте_, _alexxxan, _bakikaka, 
   {{0x4cfb019a,0xd9540291,0xe2910151,0x16ba0272}},	//   _defended_, _ailíniú_, _bivaag_, _bawaliri, 
   {{0x7f3b03a2,0x0dc0044a,0xb8860080,0x2fee0235}},	//   _गुरचरण_, _batimola, _alakkaru, _avartamā, 
   {{0xebbf009a,0x386c023e,0x0d2d0076,0x00000000}},	//   _abakwelo_, _asmirand, _трудница_, --, 
   {{0x28700148,0x4f2d00e2,0xf3420121,0x027e0414}},	//   _circiter_, _bewennin, _rodeado_, _olingi_, 
   {{0x130002bc,0x8b9d0059,0x79dc01e8,0xb12a0037}},	//   _paradoh_, _bonifico_, _intelihe, _ለመደበቅ_, 
   {{0x820000bc,0x541b036e,0xdd15002a,0x0c6900c9}},	//   _minicd_, _aanipaak, _dairektr, _vietboy_, 
   {{0x4efe0398,0xa37f0072,0xe2df005e,0x92d4003f}},	// [83b0] _тараптан_, _makatta_, _ﺩﻭﺧﺘﯘﺭﺧﺎ, _ludoqha_, 
   {{0xfb5a010f,0xc4fb0501,0x02da0446,0x631102aa}},	//   _долларро_, _कुलाबा_, _planule_, _airbagu_, 
   {{0xea0b00ee,0x39fb038b,0xdf640477,0x590902ea}},	//   _desagert, _menandat, _didampin, _декара_, 
   {{0x7f0b0461,0xd628016e,0xf2d80083,0xdc710377}},	//   _norvegia, _kalitesi, _camonds_, _speriat_, 
   {{0x9f7f0177,0x1b360033,0x61f9023d,0x827f00fd}},	//   _амҩаҟны_, _reschiss, _пампоров, _chosamhl, 
   {{0x080b0401,0x3c62058a,0xf3940414,0x3b640012}},	//   _समुद्री_, _patriae_, _binsu_, _पगुरीउपा, 
   {{0xb3a201ed,0x51cb00da,0x42130211,0xc2bb00de}},	//   _apopo_, _консулат, _karhu_, _awudali_, 
   {{0xb4f6019b,0x877003b7,0xf14a0374,0xeab20326}},	//   _суправад, _ansversi, _махачқал, _emakerub, 
   {{0x2394040e,0x231b0235,0x038d0079,0x338601ca}},	//   _finst_, _advayā_, _personai_, _ghorbe_, 
   {{0x04c50125,0xc51d000c,0x15c80137,0x02da0382}},	//   _огланы_, _повржени, _графикаа, _mateki_, 
   {{0x308c0040,0x65e70128,0x463b00af,0x393b0326}},	//   _פפראצי_, _глобалла, _вводити_, _anomunye, 
   {{0xa3ea0235,0x123b00dc,0x33ef0158,0x00000000}},	//   _anityo_, _selefuti_, _kochając, --, 
   {{0x73940359,0xe373012e,0xe67b0207,0x29aa01cd}},	//   _kinst_, _tengely_, _پرواني_, _корие_, 
   {{0x79040148,0xfb5a0361,0x43eb03ae,0x64a50527}},	//   _是諸法空相_, _наклонен, _gaute_, _neobavez, 
   {{0x3301033c,0x956f0047,0x22e6018b,0xeb6103b6}},	//   _baratoi_, _médical_, _atentia_, _kameroon_, 
   {{0x5c68026a,0xcf5703dc,0xc26e037f,0xaea9005e}},	//   _bubului_, _vangamyn, _parolu_, _جۇمھۇريى, 
   {{0x03420076,0x92ca01c8,0x19e0042c,0xd501005f}},	// [83c0] _fodendo_, _chodba_, _redovima_, _ejercito_, 
   {{0x1c1f01be,0x39c7019d,0x927f0087,0x737902cd}},	//   _ट्रेडमार, _akuletsa_, _ioanax_, _desamba_, 
   {{0x00000000,0x00000000,0x00000000,0x00000000}},	//   --, --, --, --, 
   {{0x830103dc,0xa2f3012b,0x6ab8026f,0x0da4010e}},	//   _livandi_, _serialu_, _سوككەلى_, _bibitawa, 
   {{0x8f27036e,0x03d6033a,0x896300ff,0xf1820078}},	//   _derechon, _sintassi_, _דעסטינאצ, _кластера_, 
   {{0x09dd0499,0x987f03ba,0x92fc0256,0x8bac006c}},	//   _poloaiga_, _assiduou, _kungs_, _abayosab, 
   {{0x57870046,0xd23f01f4,0x82fc0415,0x11c402c6}},	//   _باشاتى_, _sammiti_, _jungs_, _asturiez_, 
   {{0xfdb800ff,0x0fa901b2,0xb48c0089,0xc101014e}},	//   _טערקיש_, _seafarer_, _тырма_, _хвата_, 
   {{0xed5e003a,0x9d21012a,0x96c30322,0xf1bc00d1}},	//   _кодексин, _dokonuje_, _bakazayi, _মানুহৰহে_, 
   {{0xa60d0066,0xb3ea0050,0x1867000d,0x2fd300a7}},	//   _бизнесээ_, _nyeta_, _volitatu, _гемоглаб, 
   {{0x6c0900b5,0x628d0386,0xc3ce03b3,0x2ccc02b6}},	//   _pettiros, _terkena_, _trovar_, _миссиясы_, 
   {{0x920e015e,0x6c250190,0xf35f0300,0xfd7a017a}},	//   _качат_, _akeberer, _objekty_, _abambiza, 
   {{0x0a8502a0,0xa342009e,0xc23701c5,0x6b12002b}},	//   _alailagb, _podendo_, _galmada_, _পর্বঃ_, 
   {{0x2d980013,0xb962015e,0x24b90037,0xa2010121}},	//   _kollejla, _белектер, _ሲመለከት_, _sabido_, 
   {{0x13010372,0x15a00152,0xf7a701c8,0x7d14020e}},	//   _paratoi_, _aksiälär, _zateplov, _тыштан_, 
   {{0x34a704a5,0xdf2b0057,0x726d00a4,0x8485038e}},	//   _balahlek, _melontar_, _racons_, _शिकावे_, 
   {{0x0aa30148,0x69fb0654,0xfd370145,0x29ae00e5}},	// [83d0] _好友功能小調整_, _penandat, _гарызант, _модернио, 
   {{0xa61600f7,0x09e70092,0x81160060,0x5a170039}},	//   _איימוס_, _混雑しております_, _бетбұрыс_, _podcasta_, 
   {{0x63190088,0x9b070244,0x776b00ba,0x9207015a}},	//   _ىيمان_, _билети_, _بفرۆشێت_, _bakkatti_, 
   {{0xa253019b,0x13f9046a,0xcdbd0109,0x00000000}},	//   _klientam, _segurs_, _externíh, --, 
   {{0x33ea00c7,0x9f880678,0x004d0120,0x64c801de}},	//   _baltay_, _agentúr_, _maruubin, _наградта, 
   {{0xbe180168,0xc58e0322,0x00000000,0x00000000}},	//   _aftenbla, _araturik, --, --, 
   {{0x0bd900f5,0x03ea04be,0x3cd30156,0xe3f900db}},	//   _баранынд, _dyeta_, _הרבצת_, _kvartali_, 
   {{0xf34104ef,0x410e003e,0xcd2000db,0x00000000}},	//   _entenda_, _бизнесын_, _reisikir, --, 
   {{0x0c700459,0xb0140235,0x1dbf0203,0x2e84013d}},	//   _मुर्गा_, _antarbhū, _desapare_, _funkciis_, 
   {{0x3af30212,0x95b0015e,0xca120107,0x121401f3}},	//   _consetet, _كورگەندە_, _dijangke, _opakujem, 
   {{0x7b86005e,0xfec100fb,0xe8c30185,0x00000000}},	//   _ﺯﯙﺭﯛﺭ_, _elinaban, _basularg, --, 
   {{0xf37902f3,0xd5c8020b,0x00000000,0x00000000}},	//   _utsatta_, _kamantsh, --, --, 
   {{0xa724050b,0x13010242,0x58e505c4,0x381900c7}},	//   _भौतिकशास, _abbasov_, _consérva, _арттырун, 
   {{0x329102f7,0xda280287,0x290f02f6,0x97580287}},	//   _bogale_, _zastavěn, _makabulu, _बोर्डमा_, 
   {{0x72e504e3,0xa8e8013c,0xb330000d,0x2d9f0268}},	//   _dionica_, _məzahir_, _elektrij, _atingsra, 
   {{0x603100c8,0xf4fb01be,0xf2b4031a,0xa6a20109}},	//   _aletaren, _ग्राहम_, _cioch_, _nastrouh, 
   {{0x927802b7,0x7304006e,0xdc7b003d,0xc54e03db}},	// [83e0] _avunga_, _israyil_, _conselh_, _abahluph, 
   {{0xc561014a,0xc587003e,0x0b590159,0x28e90188}},	//   _hallgató, _basehloh, _сходзе_, _партовҳо, 
   {{0x231e02f3,0x83f80258,0x2f3501b9,0x66880333}},	//   _matchen_, _troude_, _rekonfor_, _bandigli, 
   {{0x285c0008,0xac570013,0x12910044,0xb9f200bf}},	//   _naturals_, _سناتورلر, _engage_, _получаю_, 
   {{0x9c6200fa,0x01ed01b6,0xc03e022e,0xd21600b3}},	//   _batuhan_, _לשמאל_, _canterin, _berkligi_, 
   {{0xd2b90138,0x6b1f00aa,0xe8da00c7,0x85cc01b3}},	//   _vücut_, _kadautan_, _взнослар_, _бомбарду, 
   {{0xa32b01aa,0x3c220287,0xdd0b027e,0x430c0081}},	//   _ainchay_, _hospody_, _стигла_, _alrangt_, 
   {{0x3e960060,0x92b4003c,0x00000000,0x00000000}},	//   _ءىشىڭ_, _bancak_, --, --, 
   {{0x6d410169,0x12ce0126,0x46220462,0xe29104a7}},	//   _বিশ্বনবী_, _формальн, _airliftw, _engade_, 
   {{0x73eb04ca,0x9f2e0162,0xa2d9008c,0x52d70078}},	//   _nauta_, _бовисиғи, _suvent_, _начину_, 
   {{0x62d801b5,0x10d203b7,0x83010239,0x2e4c044a}},	//   _kunene_, _almonell, _karapoi_, _kulamabe_, 
   {{0x936f02f0,0xb03e0151,0xfc7704ca,0x00000000}},	//   _emagugu_, _banterin, _barradi_, --, 
   {{0x43eb01fe,0xdd60026f,0x8ca600ba,0x00000000}},	//   _kauta_, _ءﺳﻮﻳﺘﯩﭗ_, _دایبنێ_, --, 
   {{0xfb930265,0x62d80163,0x937a019e,0xe23805ac}},	//   _beta는bet, _meleg_, _эстрадна, _fremsti_, 
   {{0xb3ea00c4,0x127e00a2,0x6a440267,0xdc620227}},	//   _vyeti_, _mlinzi_, _insekata_, _satukan_, 
   {{0x84650031,0xd56e0052,0x89740249,0xa14a018d}},	//   _diterapk, _मस्तिष्क, _komiunit, _ንሃገሩን_, 
   {{0x22da004b,0x63410035,0x91060678,0xd3870209}},	// [83f0] _ananele_, _berezka_, _vidiecky_, _imaraa_, 
   {{0x13870157,0xc6f60287,0xc2c7040f,0xce5b00a4}},	//   _oferty_, _उपलव्ध_, _засталіс, _solsonès_, 
   {{0x329200b0,0x6bf90749,0x06170059,0xc27c021c}},	//   _yaraan_, _akananto_, _risoluzi, _katedrál, 
   {{0xcf5b0402,0x22d903af,0x13ea02cf,0xc61f0004}},	//   _bahagian, _effets_, _adotar_, _malnitri, 
   {{0xa291023c,0x8341021c,0xd6c30322,0x7c1e03e6}},	//   _angade_, _terezka_, _bakanayi, _haupert_, 
   {{0xfe170268,0x627802d4,0x5d4e00b5,0xa7fb0141}},	//   _enderbla, _avunda_, _iñaradu_, _azablang, 
   {{0xd278042f,0x801f001d,0x2ec30156,0xb6c402bf}},	//   _uvunga_, _benefato, _שאָרך_, _ingakafi, 
   {{0x536f007c,0xcf230036,0xb6760134,0x92eb034b}},	//   _amagugu_, _إصدارات_, _alamọja_, _jenisem_, 
   {{0x00c30144,0x6a9c01c8,0x93940277,0x70330299}},	//   _tarracói, _indiánsk, _hinsi_, _تۇتمىغان_, 
   {{0xc3bb00c5,0x4d5c005e,0xd34f02ac,0x73f4008d}},	//   _搜狗输入法_, _يۇنۇس_, _ممرضة_, _krutoy_, 
   {{0xa29200fa,0x22a600bc,0x503d019b,0xa2d8046b}},	//   _paraan_, _diajari_, _santechn, _aeleg_, 
   {{0xe39400a9,0x7ba000a6,0x12d90258,0x8c1d0224}},	//   _minsi_, _مککین_, _nuvere_, _drepist_, 
   {{0x8f630222,0x728d024a,0x029200d9,0x00000000}},	//   _humaines_, _isikuro_, _varaan_, --, 
   {{0xf30a027a,0xc2dc04bd,0x3c53021e,0x326d02c6}},	//   _najnovij, _napetali_, _flytten_, _greomp_, 
   {{0xa2d807b0,0xa9c5009a,0x62780032,0xccf3004d}},	//   _odden_, _angezant, _lesnis_, _隱私權宣告_, 
   {{0x66580276,0x1eb10066,0xd9f10372,0x62ca0120}},	//   _قاچانغىچ, _inportan, _blogdroe, _reedde_, 
  
   {{0x125f02f7,0x3c510269,0x00000000,0x00000000}},	// [8400] _baboledi_, _ventaja_, --, --, 
   {{0x0291006c,0xc291013f,0x351e025b,0x36e80210}},	//   _ingabe_, _digant_, _grundsty, _akaboorw, 
   {{0xc29202fd,0x13ea01f0,0xdc31032c,0x01ad01aa}},	//   _earann_, _lentle_, _iluseris, _eeschnay_, 
   {{0xdf7a00e4,0x93410326,0x3e0d00ed,0xf2b5025f}},	//   _महाप्रबं, _aitenda_, _caddysha, _bandeke_, 
   {{0xc2d80058,0x66da0032,0x41940397,0xd37e004d}},	//   _feled_, _choboqni, _abebekul, _台灣大哥大行動新, 
   {{0xbdad00fd,0x02920113,0xeb0f0153,0x00000000}},	//   _bainnsea, _iarann_, _この雑誌について_, --, 
   {{0x0d8501d4,0x8aa605fc,0xe33f017d,0xe8f80153}},	//   _lefebvre_, _मुद्दामा_, _jordskæl, _投稿された内容の, 
   {{0xca8a002b,0x00000000,0x00000000,0x00000000}},	//   _বেলজিয়াম_, --, --, --, 
   {{0x8d0903a0,0x23150053,0xff690488,0xa2920139}},	//   _dinomore_, _lonceng_, _turaidas_, _carann_, 
   {{0x2f4e01fb,0x18d802c4,0xa25e0138,0x3a790139}},	//   _suspecte_, _сексот_, _bakteril, _cireṇai_, 
   {{0xb3170230,0xa2d90633,0xead20410,0x8291014d}},	//   _gorze_, _offers_, _kgatelet, _angabe_, 
   {{0xec700025,0xa2d8014e,0xc2bb00f3,0x09660203}},	//   _राज्ञा_, _nameru_, _athenge_, _hybridic_, 
   {{0x32d80129,0x5fc203ce,0xf2d80320,0x7637006c}},	//   _lelee_, _خاپور_, _funele_, _саркозӣ_, 
   {{0xc3f800bd,0xa26b0056,0x92ca0198,0x4adf01e9}},	//   _broust_, _ahlukahl, _vhodna_, _ganelets, 
   {{0x62ea0371,0x894d00b8,0x7bfb0059,0xf2eb00d3}},	//   _affitto_, _parlaskt, _основния, _penisem_, 
   {{0x62910082,0x81770003,0x5fc20107,0x72d80127}},	//   _kowane_, _afhankel, _مادون_, _aeled_, 
   {{0x13780089,0xf30400c5,0xa37c0092,0xaaed00ba}},	// [8410] _kazanda_, _制定本条例_, _ソフトバンク_, _داپۆشینی_, 
   {{0x161b02e1,0x4471021c,0xb2d800f4,0x08750178}},	//   _parlaimi, _kojeneck, _releg_, _calācala, 
   {{0xc2d80163,0xc6c6017f,0x62c3030b,0x532000bb}},	//   _veled_, _attavigi, _afuluma_, _بیرونِ_, 
   {{0x52ee00d2,0x6ea603b0,0x92020241,0x59d60418}},	//   _atanapi_, _speleman, _bekkamum, _gelebile, 
   {{0x5649019b,0xc387029d,0xa0ab0144,0x9a610349}},	//   _задаваль, _soarta_, _hinniúla, _aselineb, 
   {{0x282d03bf,0x93870377,0xd2d802fb,0xc2d900a8}},	//   _аралашыу_, _poarta_, _felee_, _affers_, 
   {{0xa33300bb,0xa2c50136,0xe2d802a4,0x2862020f}},	//   _moszkváb, _kiflice_, _tenens_, _elingund, 
   {{0xf3dd019c,0x00000000,0x00000000,0x00000000}},	//   _iruwe_, --, --, --, 
   {{0x62d900ce,0x3e1d0060,0xab72018b,0xd2e602fb}},	//   _devers_, _اقساراي_, _нелиништ, _itengia_, 
   {{0x926c0496,0x32950099,0xf6c202e4,0x3aeb026c}},	//   _bliong_, _avhareji_, _imagesof, _corrumpe, 
   {{0x71c304ac,0xa26e044d,0x137b0328,0x9e37005a}},	//   _говорил_, _istoir_, _murango_, _pimatsta, 
   {{0xb50a036a,0xb42a021b,0x16200066,0x31e60156}},	//   _sinucodo_, _поверьте_, _inkomuni, _בייגעפאל, 
   {{0xc2a703c1,0x956b01ea,0x8b610016,0x00000000}},	//   _насока_, _окслейд_, _aperanta_, --, 
   {{0x19f104d7,0xf34700fe,0x00000000,0x00000000}},	//   _innilega_, _toketaa_, --, --, 
   {{0x70150139,0x5dd8046d,0x92e30111,0x624a03e5}},	//   _दर्शने_, _dzikhona, _comique_, _boumam_, 
   {{0x42d804bd,0x083d0153,0x2323017f,0x00000000}},	//   _sunede_, _アイテム詳細_, _danceap_, --, 
   {{0xb5c3007e,0x98d102aa,0xf5ec006f,0x00000000}},	// [8420] _alpasukh, _pneuserv, _اقتباص_, --, 
   {{0xa2fd0183,0x0342021b,0x00000000,0x00000000}},	//   _taggé_, _akselin_, --, --, 
   {{0xa34b0255,0x00000000,0x00000000,0x00000000}},	//   _pikemat_, --, --, --, 
   {{0xb61104ab,0x5d4a012e,0x27290059,0x84ac0226}},	//   _posljedi, _اسپنر_, _мокри_, _kukalank, 
   {{0x77d501aa,0x3c7a0177,0x8ce40156,0x921c03c2}},	//   _averagew, _chemandu_, _אנטזאגט_, _bibiliew_, 
   {{0x4cdb0420,0x731b0160,0x763204b2,0xa2cb0088}},	//   _управата_, _civilnog_, _nagnanai, _израилге_, 
   {{0x1c7c040e,0x720101f3,0xba1400a6,0x8f2b0086}},	//   _maurras_, _rovinu_, _دبهير_, _betegekn, 
   {{0xdbd904bc,0x661100a8,0xf32900c8,0xd9e502f7}},	//   _nordfjor, _cantunal_, _мәғрифәт, _dipurapu, 
   {{0xd27d01bd,0x49d701ef,0xd2d40250,0x629900b2}},	//   _саладағы_, _назвах_, _kalotin_, _hanbifam, 
   {{0x691a0192,0x128f011b,0x7c990040,0x16170376}},	//   _행정서비스헌장_, _alukayo_, _מקלקל_, _allarstø, 
   {{0x827c0211,0x0e57045a,0x323802e4,0x636c0138}},	//   _taustall, _moralske_, _eremiti_, _dengeli_, 
   {{0x527f00b2,0x617d0044,0x49110177,0xbec80060}},	//   _keenya_, _מיזוג_, _интересқ, _تويلاپ_, 
   {{0x3fbf034f,0x3412026f,0xab6102c9,0x30ae02b6}},	//   _abangeso, _اڭشىلار_, _speranta_, _ертай_, 
   {{0xa347032d,0x7c67000a,0xe267015d,0x82420153}},	//   _kamehla_, _illutaa_, _kolorami_, _クリスタル映像_, 
   {{0xa03604e5,0x300102b9,0xb96605a3,0x82d801b4}},	//   _abataman, _محبوبہ_, _एकान्त_, _genees_, 
   {{0xedf10228,0xcc2e0164,0xbb3a00d0,0xf704027b}},	//   _mindreta, _дадаңдәк_, _trebetas, _असंशयं_, 
   {{0xb26c0318,0x40090179,0x32d80067,0x227e0414}},	// [8430] _aaaon_, _beseitön_, _addee_, _alingi_, 
   {{0x2ff90193,0xff2700c4,0x2f620178,0xab1f01e8}},	//   _सेनापती_, _مانجهي_, _avarṇaya, _kadaitan_, 
   {{0xd27e0141,0x0c6b06d7,0xc23a00ec,0x2b5e0326}},	//   _olindi_, _mrazničk, _pakeliui_, _chomukur, 
   {{0xefcc00e6,0x00000000,0x00000000,0x00000000}},	//   _国药准字h_, --, --, --, 
   {{0xbe0d037c,0x82900253,0x93100073,0xd726006d}},	//   _mundipha, _amiata_, _miscite_, _тайшет_, 
   {{0xb4d4032d,0x41460162,0x029201cf,0x00000000}},	//   _власть_, _سانائەت_, _essayo_, --, 
   {{0x4dc30356,0x8a85023c,0x1e0e00e7,0xd27f000a}},	//   _masinaka, _اوپدې_, _ealersda, _ilanni_, 
   {{0x43050261,0x53f60101,0xf3660021,0x716b057c}},	//   _monatoj_, _супрафац, _altreatm, _pragtful, 
   {{0x73490231,0x00000000,0x00000000,0x00000000}},	//   _cerebri_, --, --, --, 
   {{0x74810276,0xe6a50096,0xe27e04ab,0x78010272}},	//   _усуллар_, _nyarubuy, _rujna_, _abachagg, 
   {{0xa9cc0010,0x129400ff,0x14cb01ab,0xf3a000b3}},	//   _anconywa_, _חרבנות_, _घाघिनी_, _artykly_, 
   {{0xd317012a,0x329400b0,0xfa3b040f,0x0f230296}},	//   _morza_, _gobannim, _techninė_, _handlarn, 
   {{0xf9150397,0x04a6027b,0x339500cb,0x416b0020}},	//   _ababekud, _मुसारगल्, _аламой_, _taagugul, 
   {{0xaef600da,0xe05702be,0x2d0b019b,0xa2ec03d4}},	//   _империул_, _pansaman, _sekretor, _олтар_, 
   {{0x650500a9,0xc3f80042,0xb278003f,0xe6f60291}},	//   _rujugiro_, _trouxe_, _losnis_, _ماعندك_, 
   {{0xa2fe025f,0xf96302ac,0xb23b0153,0x75e90126}},	//   _papiers_, _بتوفير_, _tøjet_, _психіатр, 
   {{0x36c6035f,0xcd0d00b7,0xc3010297,0xe27f00bc}},	// [8440] _अज्ञानता_, _хабарыны_, _babanov_, _alangi_, 
   {{0x124d0193,0xc2c702e4,0x23170321,0xbcf20137}},	//   _सिमला_, _aħdem_, _borza_, _цочрол_, 
   {{0x5d36015e,0x2b710184,0x12d70193,0x02c20513}},	//   _билсин_, _ayishira_, _चाहत्यां, _engliwa_, 
   {{0x32500094,0xe0990153,0x53940137,0x82e005f2}},	//   _بىلەد_, _北海道大学工学部, _adostu_, _fernán_, 
   {{0xecee000c,0x51c00061,0x68e8042a,0x3945007b}},	//   _араду_, _공공도서관_, _bangatfu, _misleare, 
   {{0x24580074,0x39750151,0x49d20258,0x2e41022b}},	//   _буквальн, _branchle, _streamst, _hitapump, 
   {{0x2394045f,0xc2b404fc,0x12fd013c,0x7643012c}},	//   _vinst_, _chicos_, _kimidir_, _توانائيء, 
   {{0x33940026,0x39e2023b,0xdeb60040,0x3c6401c4}},	//   _winst_, _pahikaua_, _השרתים_, _gerugte_, 
   {{0xa35a01e1,0x8b6a012d,0xc7c701fc,0x767d004d}},	//   _оператив_, _bekteria_, _tontocow, _華南虎照鑒定已有, 
   {{0x49f3026c,0xa7580465,0x6f190037,0xf27f0362}},	//   _consuetu, _aktivneg, _የመፍትሔ_, _elandi_, 
   {{0x056b013a,0xcb6502e5,0x01080119,0x68630244}},	//   _priorité, _villepar, _pagkilal, _чорапи_, 
   {{0x935f0372,0x55080285,0x227f030f,0xa1ec057e}},	//   _bargoed_, _amatsiko_, _peenaa_, _विचरा_, 
   {{0x6e160244,0x8b1f02d8,0xa389018d,0x33bc004d}},	//   _значение_, _penataan_, _ክብረቱን_, _斯通傷害的不僅是, 
   {{0xafd60291,0x8ba3017f,0xfd950444,0xc26e006e}},	//   _لفريق_, _kukkuner, _сдачи_, _estoor_, 
   {{0xa96102b9,0x62da0073,0xc64b018d,0x885c00bb}},	//   _نمونوں_, _obteni_, _ዝተሓርዩ_, _پیوٹن_, 
   {{0x1f9b0212,0x92e60291,0x627f01a6,0x00000000}},	//   _itheater_, _واتخاذ_, _teenaa_, --, 
   {{0x120202e8,0xa51d03db,0x77a60195,0x926c005b}},	// [8450] _tariro_, _akanakuy, _chathrai, _momoko_, 
   {{0xfb6a03f0,0x42910163,0x33ea0207,0xd8c500d8}},	//   _verulega_, _lakhely_, _nyeti_, _abreujad, 
   {{0x6a88022c,0x99f70095,0x224a003a,0xee590306}},	//   _kagiatan_, _saksampu, _отряди_, _concejop, 
   {{0x02900012,0x0a650094,0xc1690135,0xf52a009a}},	//   _मनहोखे_, _قىزىقپاس, _imperiä_, _elinazih, 
   {{0xa7dd036c,0xac2901b8,0x93dc0102,0xe2c20077}},	//   _fitadiav, _omanikud_, _alimaliz, _neelima_, 
   {{0x3c60015e,0xb27f011b,0x328c0282,0xf1c704c7}},	//   _partits_, _alandi_, _apakura_, _вермахта_, 
   {{0x69c700b7,0xa7c701cd,0x82b50073,0x1b570178}},	//   _назара_, _назири_, _chacos_, _antevāsi, 
   {{0x8fe703c1,0x316b006d,0xcad300d6,0x2192009b}},	//   _кревет_, _акторку_, _شهاده_, _админууд, 
   {{0xa3e90034,0xc7d90024,0x0be90153,0x21560094}},	//   _kennitöl, _সংবিধানত_, _ソルトウォ_, _عارىشقا_, 
   {{0x04da01d5,0x230d0307,0x8dbb019b,0xf2da0107}},	//   _فرنٹیئر_, _azibiza_, _апазіцыя_, _arueng_, 
   {{0x4b6103b8,0xb9dd0240,0xf80900d9,0xe300029e}},	//   _атындағы_, _dodoliga_, _визуальн, _arsailh_, 
   {{0x7bd10377,0x3268003e,0x63be002e,0x42c40305}},	//   _conducer, _barupell, _obaviti_, _nedlagd_, 
   {{0xa6f60460,0xc7230291,0xc50a00da,0x00000000}},	//   _सेहवाग_, _garpháis, _celebrul_, --, 
   {{0xe2f4029a,0x7247013c,0xb30201f6,0xd23602d6}},	//   _arrisol_, _zəmin_, _saratov_, _аталаётг, 
   {{0xdc6a01d5,0xf2ee0024,0x35540156,0x46280374}},	//   _دبوچنے_, _stifta_, _באיערי_, _radiatsi, 
   {{0xd3940245,0x9528009a,0xe4920585,0x42e80100}},	//   _nangring_, _asinamkh, _najranij, _divljenj, 
   {{0xdaeb0074,0xa82800c8,0xcbdf0065,0xbd1300d3}},	// [8460] _menestys, _губернаһ, _moderier, _doložit_, 
   {{0xbc6c0119,0x9b05038e,0x3b960240,0xfd54006c}},	//   _aktuwal_, _jongwoon_, _senijiur, _эчоди_, 
   {{0x52920068,0x2abe022a,0xa0c0012c,0xf37a01b2}},	//   _karaan_, _bagedön_, _مشاهدو_, _arraign_, 
   {{0x6c850060,0xab19012a,0x23940370,0x3c4a00c7}},	//   _ауторы_, _targowis, _bangsing_, _болгатып_, 
   {{0x7292015a,0x126301fe,0x786d05b8,0x00000000}},	//   _maraan_, _vatonaki_, _uteplats_, --, 
   {{0xc19a036e,0x4983001a,0x92d50625,0xe37f0142}},	//   _ganchill, _munkanap_, _nakolko_, _cakarta_, 
   {{0xba10009e,0x5570001c,0xd4ed045e,0xe053004b}},	//   _estabele, _mandaluy, _пропуска_, _diprovin, 
   {{0xabb70041,0x5841026c,0x59ea0205,0xc92a0022}},	//   _аидыслар, _pluribus_, _камайган, _сусҡасыл, 
   {{0x39a1010f,0xf1f60086,0x94a500f2,0x97d701a3}},	//   _усулҳои_, _پہیلی_, _aizbrauk, _جاڳايو_, 
   {{0x82fc04d2,0x890400ff,0xc25a00fd,0xfcfd0350}},	//   _derimot_, _געמבלינג_, _fuilig_, _ሶማሊላንድ_, 
   {{0x12470695,0xc292015a,0x1b00006d,0xcd840306}},	//   _təmin_, _baraan_, _адпусьця, _chimpana, 
   {{0x79bf0099,0x3e470127,0xa226013c,0x970f0486}},	//   _achenget, _argaozea, _shuker_, _nečistot_, 
   {{0xe29200b2,0x72d502e7,0x829103df,0xa2d9001d}},	//   _daraan_, _istorya_, _ungane_, _defens_, 
   {{0x850a002c,0x827e0453,0x8d070220,0xbdc40178}},	//   _бизнесий, _klinci_, _esprimer, _dodhūyam, 
   {{0x41f702ac,0x673f0211,0xdcb700d9,0x1a0800f3}},	//   _معبرة_, _вставить_, _премиум_, _makasebe, 
   {{0xc6fd0163,0xfd7b0397,0x489701db,0x8df402fd}},	//   _ٹیکسی_, _oneminya, _ساسىتاتى, _fradhara, 
   {{0xa45103a8,0x0b540037,0x6dad0113,0xa7600388}},	// [8470] _jordbruk, _ለዝርዝር_, _bainisea, _венге_, 
   {{0xd6e40212,0x49df012c,0x0c950276,0x5ba1016e}},	//   _clicmobi, _kugombea_, _بىلگىيە_, _kartları_, 
   {{0xef340244,0x86830331,0x1d7b042a,0x86cc0128}},	//   _bgkulina, _foreldri, _aneminya, _чўнтагиг, 
   {{0x2e1b00e3,0xd01d03cc,0x05b60071,0xa4a402c5}},	//   _བརྩིའི_, _জবানবন্দ, _دادرسی_, _akaburuk, 
   {{0x526001e5,0x825a0037,0x72d802c8,0xafb2003c}},	//   _aintimul, _አልወጣም_, _allea_, _بدجور_, 
   {{0x1da70357,0x5b6900d9,0x8e4300ed,0x00000000}},	//   _korovaka, _фотошопа_, _nagabaya, --, 
   {{0x03050107,0x5d7b0559,0xeb700428,0xa9f20142}},	//   _dimasak_, _eneminya, _manualna_, _क्षेप्स्, 
   {{0xe9c9042b,0x8e780037,0x7fb5029f,0x7c7c0144}},	//   _odgovara_, _ይጠብቃል_, _poslanco, _chistin_, 
   {{0x4b8902e9,0x7bd30074,0x52700220,0x03b200c7}},	//   _diciembr, _огромное_, _pannelli_, _basqan_, 
   {{0x5f6500d5,0x7f2c0044,0x896701f1,0x32d50433}},	//   _fitarain, _selectin, _ekzistue, _estorya_, 
   {{0x129104c3,0xcf5b036c,0xe2a200ba,0xe8e801dd}},	//   _ongame_, _mahalian, _سلایپه_, _akishong, 
   {{0xbefd0192,0x2f41005e,0x53c70191,0x52e8014b}},	//   _확인하시기_, _ﻧﯘﺳﺨﯩﺴﻰ_, _likaså_, _sarfil_, 
   {{0x2291041c,0x25c400b5,0x2e3b02f6,0x6a080334}},	//   _angale_, _angahaih, _makalipa, _bakasebe, 
   {{0xd53d0220,0x6c54019a,0x024900db,0x1e4302a2}},	//   _библията_, _flitted_, _eramud_, _gagabaya, 
   {{0x12d80226,0x09650066,0x7d130287,0x4c1c02e2}},	//   _agness_, _antolame, _položit_, _annoonid_, 
   {{0x3e3b062b,0x791601e1,0x6cf700bf,0xab3900e6}},	//   _nakalipa, _агросәнә, _байнарш_, _年全区医疗器械监, 
   {{0x52660226,0x83b20309,0x5c6f00ad,0x309b0019}},	// [8480] _botomani_, _basqin_, _caruluk_, _иргөөсүн, 
   {{0xa317041e,0xe3940241,0x72d80167,0x9af40288}},	//   _forze_, _aansi_, _redeg_, _fürsprec, 
   {{0x44c80078,0x14060242,0x00000000,0x00000000}},	//   _затворит, _alınırdı_, --, --, 
   {{0x8f600377,0x3ab203a2,0x46cd00fd,0x51100045}},	//   _informaţ, _एंटीवायर, _disathai, _стадиону_, 
   {{0xa3bd02ba,0x5fc7005d,0x1a14027f,0x8f3901ad}},	//   _шархи_, _димбеит_, _kugasoma_, _matutuma, 
   {{0x2ec301b5,0x6f150126,0x3c8403b2,0x72860255}},	//   _emintson, _чудові_, _squeezed_, _punktid_, 
   {{0x390e030c,0x5c730420,0x02ba00da,0x2d0e014e}},	//   _hunavalu, _apertar_, _adidasi_, _уморни_, 
   {{0x161500a4,0x3baa02d6,0xcc330358,0x18370187}},	//   _октябрын, _مقابلیده_, _volontè_, _западен_, 
   {{0x627e001f,0x13f8048c,0xa200013a,0x59f202fd}},	//   _nkonim_, _almug_, _bleif_, _nonshedd, 
   {{0x8ae20426,0x70450225,0xd2cc0238,0x4202006e}},	//   _पर्यटक_, _amerumen, _контролю, _barigo_, 
   {{0xa7400047,0x88150256,0x17c0022b,0x27a802d7}},	//   _科学技术部_, _intensīv, _alarmski, _biólogos_, 
   {{0x5d1a0364,0xaed201e7,0x603d00b9,0x5a080322}},	//   _autotest_, _anengems_, _listrikn, _bakarebe, 
   {{0x41fc00e3,0x69470076,0x9249000d,0xfcc60211}},	//   _འཐིམས_, _предлог_, _raamat_, _еврейски, 
   {{0xd81c0125,0xe2cb0206,0x6231002e,0xf6970297}},	//   _başlanýa, _hladam_, _glumaca_, _виталь_, 
   {{0xb82300be,0x42c501af,0xb2fc026c,0x92ea02ff}},	//   _ارتستەرى, _bellige_, _penitus_, _apendis_, 
   {{0x123b02a2,0xef480222,0x0c520037,0xdb67027e}},	//   _biglang_, _chapitre_, _ድርሻለሁለንተ, _прадеда_, 
   {{0x62d800bc,0xe3a201ed,0xa0380041,0x02ec0053}},	// [8490] _saeeed_, _hoopau_, _парижынт, _aerofly_, 
   {{0x9d8c002c,0xbe900196,0x5249029b,0x00000000}},	//   _erromata, _atumizen, _gramou_, --, 
   {{0xd394019d,0xce580145,0x0291033d,0x6a9e03b7}},	//   _pansi_, _маленькі, _angaje_, _africans, 
   {{0xf92600c6,0xaf6a01e9,0xbc7502db,0xfa7d02c2}},	//   _причин_, _arabiwan, _blesing_, _vennoots, 
   {{0x13dd036e,0x533b00c1,0xb354047b,0xdbee0161}},	//   _atawan_, _धूळपाटी_, _avreitt_, _забор_, 
   {{0x43940043,0xc4070241,0x87a101b4,0x1c73004d}},	//   _wansi_, _ammumaan_, _opstandi, _今日貨機抵達時間_, 
   {{0x7c07006c,0x7305042c,0xbf2e0065,0x139401b9}},	//   _мианмар_, _stranim_, _begegnun, _tansi_, 
   {{0x594f00f0,0x39b704c7,0x0c7c0255,0x0c100343}},	//   _sprostre, _пределе_, _दिव्यांग, _kasunuds, 
   {{0x89aa02ba,0x10f0017f,0x645b0563,0xf0780039}},	//   _помир_, _avannarl, _litvanij, _айдолууд_, 
   {{0x52370035,0x166b02c7,0x5d7b00b2,0x8dde03a4}},	//   _stajı_, _werkstof, _gaambiya, _fiskakja, 
   {{0xf32b0037,0x53f803ad,0x19e90024,0x83020009}},	//   _ይጠቀሙበታል_, _immur_, _মানুহটো_, _obratov_, 
   {{0x737900ee,0xaea40022,0x20d302c6,0xd63901de}},	//   _garatua_, _алетика_, _didalvez_, _парасаты, 
   {{0x7ec10046,0x01970074,0x40a40177,0xb26c00fe}},	//   _алышпайт_, _заводе_, _реиҟарар, _nomolo_, 
   {{0xdf0202ee,0x20ec0036,0x83790298,0xf48e00bf}},	//   _སྒྲུག_, _speisial, _haratua_, _монголам, 
   {{0x7d090023,0xb28a0033,0x9292019c,0x839901ac}},	//   _заблужде, _admonì_, _karaun_, _dísle_, 
   {{0xfd03016e,0x8200005b,0xfb840184,0x6a0a02ce}},	//   _teslimat_, _minisd_, _ihangiro_, _barangbe, 
   {{0xf60800bf,0xc3d90092,0x524a00aa,0x71c9045d}},	// [84a0] _доступны_, _著作権についての, _fermor_, _poreskih_, 
   {{0x33020040,0xa2000396,0x17180156,0x00000000}},	//   _החיצוני_, _minimu_, _מעגסטו_, --, 
   {{0x6e5705a5,0x53860211,0x83070265,0x846400c3}},	//   _nenašiel_, _koiraa_, _tilburg_, _credendo_, 
   {{0xfeca00c9,0xdb280133,0x62c2010b,0xe6240396}},	//   _hoangmin, _asaammes, _buelela_, _bijokimi, 
   {{0x19c70398,0x8ff80053,0x163c020e,0xf15d0205}},	//   _чаралар_, _श्यामची_, _dikilini, _оптимал_, 
   {{0x2f9b05ce,0x1465018b,0x21d700e7,0xfad3008a}},	//   _şampiyon, _adreseaz, _annerbay_, _plumpton_, 
   {{0x83ea010b,0xe7a10218,0xa29001bb,0xa23b025b}},	//   _sentle_, _upstandi, _zenan_, _sigling_, 
   {{0x3abb018d,0x8b4600b5,0x924901c2,0x3180005f}},	//   _ኣድናቖት_, _anivéna_, _alemá_, _casadell, 
   {{0x52d90074,0x795400e2,0x62ec01ba,0xd6340037}},	//   _leveys_, _boalsert, _vennsek_, _እንጠቀማለን_, 
   {{0x92ca0271,0x747f0321,0xec180269,0x3b0d028a}},	//   _hender_, _estetsko_, _estanter, _ڪشاده_, 
   {{0xc2ca005b,0x5c63009b,0x5403023c,0xb3860133}},	//   _kender_, _торгон_, _abanyanz, _anirra_, 
   {{0x326d028d,0x42900095,0xc21a01f4,0x921303f8}},	//   _mayon_, _tenan_, _фариштал, _bochbe_, 
   {{0x226d0084,0x00000000,0x00000000,0x00000000}},	//   _layon_, --, --, --, 
   {{0x93190060,0xca8801a7,0x7230014a,0x92200095}},	//   _ايبار_, _pakollis, _filmben_, _شیبدار_, 
   {{0x4394001e,0x145200c5,0xd8c500f3,0xbdf30086}},	//   _kansu_, _对应的网络投票表, _engenand, _mondatot_, 
   {{0x1f200548,0x53940364,0x7f6c02b0,0x464000d1}},	//   _vendepun, _manst_, _verbrenn, _পক্ষীৰ_, 
   {{0xa399040a,0x179e00e6,0xab0a016f,0x9526031a}},	// [84b0] _läser_, _手机游戏免费下载_, _наречено, _dingwall_, 
   {{0x050600b4,0x4b010237,0x2ea800af,0x503a0045}},	//   _алфабету, _betrokke, _принтері, _народноо, 
   {{0xa3f40347,0x24130211,0x03f903e0,0x331b0046}},	//   _vertel_, _туристов_, _trozdem_, _جەڭىلبەي, 
   {{0xa26d0627,0xb72201cf,0x1ad3047d,0x40760014}},	//   _dayon_, _includev, _bestäteg, _kompanin, 
   {{0x4ab20036,0x3f3a00e6,0xfeb201e9,0x1e510045}},	//   _لإلغاء_, _周易和谐学例题解_, _digokgon, _остатке_, 
   {{0x8520004c,0xe6d30109,0xee0e0347,0xebf703e6}},	//   _aboonony, _डेभिड_, _vadersda, _multijob, 
   {{0x426d02a2,0x87ed01e8,0x615d01ee,0x4300003c}},	//   _nayon_, _gitanyag, _чăваш_, _cedakki_, 
   {{0xeac8053c,0x3a900238,0xa2a704b8,0xc3f0003e}},	//   _rosalía_, _медицини_, _shabar_, _bineleng_, 
   {{0xb2fd02ec,0x0c07005b,0x62530244,0x72660100}},	//   _maantay_, _mitsuru_, _falegnam, _silovali_, 
   {{0xd3c803d6,0x4b640033,0x826d01f4,0x7a170028}},	//   _प्रतिरक्, _pretenda_, _bayon_, _kitaabka_, 
   {{0x2c56033d,0x215602b6,0xe2f200d9,0x6628033f}},	//   _akitoub_, _тарына_, _onnistu_, _patiseti, 
   {{0x04d300e5,0xedef0139,0x7344023a,0x7950044d}},	//   _четвориц, _bandhuva, _podvedom, _kaarfuur_, 
   {{0x93f903b2,0x1a1b014a,0x9ab70158,0x874e0023}},	//   _august_, _افادیت_, _बावड़ी_, _принести_, 
   {{0x3394047b,0x6c000347,0x3b2d0064,0x7015014e}},	//   _kanst_, _plessis_, _кимисине_, _алуминиј, 
   {{0x623b04ee,0x924a0296,0x77b300e2,0x00000000}},	//   _atumatu_, _termer_, _maksenti, --, 
   {{0x957b071e,0x9b6e02c0,0xc6d500b0,0xb2ec029a}},	//   _schenkel_, _емоции_, _masaakii, _ratifye_, 
   {{0xd2e70203,0x2b19000a,0xeba904b7,0x71490311}},	// [84c0] _pionero_, _atugaris, _merkwaar, _ኣእጋሩን_, 
   {{0xc2c602fe,0xfc6901fb,0xac4d0423,0x00000000}},	//   _acalule_, _carreto_, _ledviny_, --, 
   {{0x23ea00c3,0x93dc024a,0xc08a0244,0x6ba70193}},	//   _initio_, _asewo_, _занимани, _अधिकारां, 
   {{0x406e01dd,0x0d05000d,0x088d00be,0x00000000}},	//   _amapigan, _unelmate_, _كەچىرئمد, --, 
   {{0x049f018d,0xb20103ed,0x9290031e,0xc36b00d8}},	//   _ተዳጕኖም_, _enviou_, _senad_, _bergier_, 
   {{0xa2d90192,0x2a5800c4,0xe3ea00df,0xd3800195}},	//   _levens_, _teremsha_, _menthe_, _peursa_, 
   {{0x5bbf024c,0x4584004d,0x42d90005,0x00000000}},	//   _estroġen, _歡迎使用信用卡紅, _cungieri_, --, 
   {{0xbc4f0163,0x205b0210,0x826c012c,0x32000159}},	//   _bátran_, _achatipo, _usingizi_, _domisi_, 
   {{0xab5601ce,0xbe940245,0xd14701b4,0xf98300e6}},	//   _ماموران_, _shemphan, _skildery_, _广东省物价局长_, 
   {{0x106400d6,0x411501ab,0x28be02f0,0x1c8403b4}},	//   _مستوردون_, _र्तृया_, _besekavu, _dundundu_, 
   {{0xb2900467,0xb6280239,0xe07300de,0xe4460060}},	//   _tenae_, _kutikuti, _bambongo, _قاققان_, 
   {{0x9f3901e8,0xa8ba0374,0xcf20043e,0x19f30222}},	//   _muenster_, _кўрпа_, _centrada, _longueme, 
   {{0xab690217,0x579c009a,0xa2040059,0xb7cd00d1}},	//   _parlator, _bantlizi, _agricoli_, _বিহৰা_, 
   {{0x42260245,0xde35007f,0x534d008d,0x7798002e}},	//   _shukor_, _rowlands_, _талабига_, _srednjov, 
   {{0xfa1700c5,0x17530156,0x76410164,0x00000000}},	//   _徐州监察分局_, _לארדן_, _әхмәтҗан_, --, 
   {{0x947e016f,0xab010192,0x1f090153,0xb784006d}},	//   _сином_, _betrekke, _をご覧になる際の, _гiсторыя_, 
   {{0x7b890105,0xb7f90188,0x2f1100c3,0xd9d500d1}},	// [84d0] _magnetyc, _инҷили_, _institua, _নৱপ্ৰজন্, 
   {{0xa2910129,0x3762010f,0x724201b8,0x088a00de}},	//   _imaara_, _тегҳо_, _बितलो_, _likhumbu, 
   {{0x82910397,0xd3540479,0xdf51010f,0x0bf80529}},	//   _engane_, _videót_, _тамғаи_, _englesko_, 
   {{0x229103da,0xe3f20014,0x92d903db,0x6f510237}},	//   _inwale_, _akuzave_, _luvele_, _김제시청공연단_, 
   {{0x83870152,0xf28301cd,0x00000000,0x00000000}},	//   _alarda_, _сулху_, --, --, 
   {{0x8d3701f4,0xc2910397,0x627f0099,0x12020650}},	//   _یکسان_, _ingane_, _afenda_, _mariyo_, 
   {{0xfbb20410,0xf2c904df,0x4ae600d1,0x399a03c6}},	//   _diphetho_, _borjakow_, _ভুটানৰ_, _rockploe, 
   {{0x35e50159,0x5a7b0197,0x4d64036b,0x33430045}},	//   _бледна_, _elemantč_, _raciocín, _neretko_, 
   {{0xee290034,0xe22a0177,0x1d9e03ae,0xfa390126}},	//   _bygginga, _аниатәи_, _vestfold_, _боротися_, 
   {{0x42ee00c7,0xbc52033a,0x72910140,0x0cde0374}},	//   _sängat_, _sentejn_, _umaasa_, _зўрлаган, 
   {{0x22910129,0xe161037c,0x52d8008b,0xc053020f}},	//   _amaara_, _gorgasal, _ellek_, _راهسې_, 
   {{0x9060022a,0xba6501fa,0xb8870209,0xdb030211}},	//   _fajistik_, _heifivaa_, _alakkaqu, _raiskatt, 
   {{0x2df104c9,0xa2910129,0x93ce0052,0x00000000}},	//   _ocidenta, _anwale_, _प्रणालीक, --, 
   {{0x39bf02ec,0xdd090265,0x84940039,0x7b6d020d}},	//   _majeerte, _wellicht_, _тууштай_, _kumubaza_, 
   {{0x93f902e5,0x1290012b,0x3b220204,0xb6eb0462}},	//   _leguas_, _domach_, _lokakuun_, _aquaticw, 
   {{0xc12503b9,0xb2640343,0x3c7c0278,0x184601b3}},	//   _kusisiña, _duulan_, _asasnya_, _парфуми_, 
   {{0x0bf3013e,0x82d900ef,0x1d240019,0x8e330121}},	// [84e0] _softvers, _kuvele_, _анализди, _folletos_, 
   {{0x7aa00026,0x0e020156,0x960d0017,0xe2d8004a}},	//   _verkopen_, _בילבולים_, _दिंदा_, _bolee_, 
   {{0x5793003a,0x5e1c0107,0xea6c04eb,0xad9e044a}},	//   _قونالغاس, _متناوب_, _डाकघर_, _connaisa, 
   {{0x1a7d0239,0xc96c0005,0x3af90060,0x33b20059}},	//   _hamarara_, _dominont, _хандарды, _текстове, 
   {{0x8553024d,0xf2ba01d4,0x654e017a,0x5202017e}},	//   _amakheth, _guidati_, _abakhukh, _parizo_, 
   {{0xef2c06f8,0xc37c000f,0x30c701a3,0x00000000}},	//   _umheimin, _heralde_, _ننڌڻڪو_, --, 
   {{0x22d90003,0xa460010d,0x2a790059,0xc31b0457}},	//   _tevens_, _melepask, _познания_, _garciik_, 
   {{0x074303a1,0x6c6b0465,0xfe9a0061,0x128b04df}},	//   _колички_, _prazničn, _만들어졌다_, _chykmak_, 
   {{0xc2d80265,0xa2c30220,0x8c040529,0x69c700cf}},	//   _olleh_, _белодроб, _turskih_, _doolaara_, 
   {{0x534402fe,0x038b00cb,0x0a8e0061,0x321202f6}},	//   _ancedwe_, _abuyayo_, _전문가들의_, _aanhin_, 
   {{0xc7c70405,0x6387029b,0x29fd02c9,0xa91200e6}},	//   _такими_, _alarba_, _strainat, _建设工程勘察设计, 
   {{0xf0c2045e,0xb2fc0062,0x5d820185,0x2a5f01b5}},	//   _гърба_, _chegh_, _başlauga_, _letelaka_, 
   {{0x7b30020a,0x78c400be,0x1f48018d,0xf37601a3}},	//   _ﺟﺎﻟﭙﻰ_, _اچىشسا_, _propozua, _ٻاويهه_, 
   {{0x4348037a,0x565d0040,0x2f5804e3,0x2c7502c2}},	//   _mugenzi_, _שבתאי_, _ugradben, _haastig_, 
   {{0xadbe02c1,0xb2d904b3,0xc3f40448,0xb2900045}},	//   _ingabire_, _arvest_, _dertil_, _venac_, 
   {{0xae440013,0x45350040,0x9e7201c7,0x1f0f0155}},	//   _aksariya, _הוועד_, _достуны_, _kundvagn, 
   {{0x42cf0120,0x13f90250,0x7ae602b9,0xc4290318}},	// [84f0] _banosse_, _pafund_, _konténer, _mataotao_, 
   {{0xb29002fb,0x23ec00e2,0xc53d0161,0x955303db}},	//   _henaa_, _genoatsk, _сигналов_, _olikheth, 
   {{0x6dc503ce,0xa0660008,0x905a026f,0xccb900ab}},	//   _ربدات_, _nombroso, _ستەۋلەرى_, _papatupu_, 
   {{0x024a037c,0xd30c01e6,0x79b70128,0x035403d1}},	//   _germir_, _opravit_, _ماکسین_, _klients_, 
   {{0x13be0235,0x1e3902b3,0x2310001e,0x3da10183}},	//   _नियुक्तः_, _kalandra, _dumbaru_, _hohomboa, 
   {{0x12b300b3,0xb32003ba,0x3016004b,0x02ca0274}},	//   _формал_, _dreissig_, _дарында_, _sendar_, 
   {{0xdef8018d,0x23f90020,0x137902cd,0x339400bd}},	//   _ሰበይቱን_, _kavutu_, _babatun_, _gansh_, 
   {{0x4cb70047,0x16bc0105,0xeff702eb,0xc1000422}},	//   _您当前的位置_, _dolegliw, _махбод_, _razloži_, 
   {{0x32ca0198,0x0f77034c,0x12b10420,0x89f9033c}},	//   _vendar_, _ливанов_, _непровер, _abergwau, 
   {{0x53940320,0xc51b026c,0x0f6902fd,0x4f6c0203}},	//   _hansi_, _休閒遊憩事業部_, _barantas_, _debattes_, 
   {{0x7f07051f,0xabb900a4,0xa21f03b7,0x529703a2}},	//   _لاتینی_, _процесси, _ablystay_, _मुसाफ़िर_, 
   {{0xfc2901b8,0x1e2f0517,0xb2fc0493,0x17c30255}},	//   _elanikud_, _eólicos_, _bhegi_, _fassaadi, 
   {{0xf2e70002,0x8354011a,0x92ee03dc,0x08c501ce}},	//   _putnika_, _clients_, _beinini_, _akèhé_, 
   {{0xb389018d,0xf83500e6,0x12540160,0x41970059}},	//   _ክእለቱን_, _国务院建设主管部, _dodavši_, _дарове_, 
   {{0x71f80102,0xe2d803b0,0x2f3600d1,0x336502e1}},	//   _مقالا_, _olden_, _গল্পটো_, _dragain_, 
   {{0x92fb0339,0xf2f10333,0x27b401f4,0x98470204}},	//   _iēhova_, _laziali_, _иншаалло, _гадания_, 
   {{0x32d80211,0x92d50020,0xc8d50478,0x42fc03f3}},	// [8500] _ellei_, _amalulu_, _materiau, _bevindt_, 
   {{0x0290028d,0x10c60020,0x79420253,0x12c6019d}},	//   _defan_, _amalumal, _villadse, _amalume_, 
   {{0xc2d80198,0xc7e1004c,0x217c0275,0xd399013a}},	//   _vedeti_, _abapooli, _faaalial, _cäsar_, 
   {{0x6394024a,0x02940160,0xa1270089,0xcf5d0227}},	//   _abosù_, _linkovi_, _ганиева_, _hadapann, 
   {{0xd2f102a8,0xf2900383,0x326d0192,0x293b0334}},	//   _rivisti_, _denai_, _nufoto_, _chomenye, 
   {{0x8387036e,0x22fe02f4,0xa2c50098,0x12d30085}},	//   _alisupam, _heridos_, _hellige_, _pomopei_, 
   {{0xdc1c0409,0x82ca0516,0x129000dd,0xfc44040a}},	//   _サイトマップ_, _mendor_, _fenai_, _nervös_, 
   {{0xd6c70445,0x69fa0127,0x9981003c,0xa2d9005b}},	//   _financei, _argantre, _پرفکت_, _ddtea_, 
   {{0xf24a0309,0x247201e6,0x151302ea,0xae72014e}},	//   _vermir_, _libereck, _oroscopo_, _инфлациј, 
   {{0x651203ac,0x04d6027b,0x9c6600ec,0x42ee02ff}},	//   _dicontoh, _निसिन्_, _filtras_, _lanfè_, 
   {{0x01450066,0xc9c70205,0x1d7c0139,0x034502eb}},	//   _espezial, _чакана_, _anumanya, _espezie_, 
   {{0xbdcd0235,0x6281000e,0x40530130,0x00000000}},	//   _bahiṣkṛt, _possabil, _galianek_, --, 
   {{0x5c050287,0xde21004d,0x5d730040,0xf27100a4}},	//   _platbě_, _辦公大樓租售_, _מטרתו_, _dirigeix_, 
   {{0x794f02c3,0xb04d0044,0xecbf0061,0xd2c10226}},	//   _uprostre, _returnin, _웹사이트를_, _kholowa_, 
   {{0xd2d8013b,0xb5380177,0xe7d0001a,0x354500d6}},	//   _solec_, _латвиатә, _میلبورن_, _ficheall_, 
   {{0x758a02c3,0x26e00223,0x7b200013,0xf2d40222}},	//   _registrá, _инноваци_, _falastin_, _poudre_, 
   {{0xc2d80357,0xedbc01aa,0x394402ee,0x53f80127}},	// [8510] _beleti_, _othingna, _cagliare, _bleun_, 
   {{0x9e1801b9,0xd3c30126,0x72d80369,0x831d0537}},	//   _deregila, _професії_, _oolea_, _pescada_, 
   {{0x837903b4,0xf4e300bb,0xf30c0119,0x4a6002ac}},	//   _varanda_, _شتروگھن_, _ginatos_, _ghléas_, 
   {{0xde5100a6,0x1e37015e,0x00000000,0x00000000}},	//   _bayafuma, _керегеси_, --, --, 
   {{0x79f60095,0xf2020030,0x5dbd0177,0x62e60147}},	//   _سوریه_, _netiek_, _зыҳәа_, _كۉتۅۅبەر, 
   {{0xa2d8026a,0x8e8f027f,0x3e85018a,0x3da50127}},	//   _bolea_, _aramuren, _chawsant_, _deputeed_, 
   {{0x142306f2,0xbd6d018d,0x427e00b3,0x4b1d002e}},	//   _एयरबस_, _ተቐዳዳማይ_, _lubna_, _skraćeno_, 
   {{0xc2d801fe,0x42d801fa,0xa9e6001c,0x8e5300a8}},	//   _dolea_, _kelesi_, _estraktu, _ambascha, 
   {{0x5387002a,0x25730147,0x225a0211,0x967d0022}},	//   _ilaria_, _ئيىلۉۉ_, _операцию_, _әүәлге_, 
   {{0x20970125,0xeb840371,0xbb6100e2,0x45980081}},	//   _дилинде_, _pianofor, _laverman_, _drengjum_, 
   {{0x7d5900e3,0xeb48045c,0x30d50178,0xcda401f4}},	//   _ཧཧཧཧཧཧཧཧ, _šampióna_, _apadiśya_, _taronala, 
   {{0x6c3a020f,0xb914005b,0x7f2d01b3,0x00000000}},	//   _برابرۍ_, _chibayud, _традицію_, --, 
   {{0x922400f5,0x6c26004d,0x530c000f,0x6f7e0156}},	//   _bankda_, _警察刑事紀錄證明, _cesaret_, _admiralŝ, 
   {{0x3e9e01cd,0xe76d029f,0xf529014e,0x331d0287}},	//   _насли_, _prevzati, _разматра, _křídlo_, 
   {{0xe9c20372,0x12ca0633,0x4cf2005e,0x6b44036e}},	//   _categore, _vendor_, _چاتما_, _atawalpa_, 
   {{0xbcb40096,0xe290008e,0xf35000be,0xab930105}},	//   _abayisir, _defal_, _جۉدۅپ_, _logistyc, 
   {{0x429002d4,0xcd270040,0xa2900195,0x32a90299}},	// [8520] _menau_, _מגנטי_, _lomadh_, _زەربىدار_, 
   {{0xadb303ba,0x56be0125,0x9858024c,0x0396055f}},	//   _onganget_, _žurnalyn, _dijossid, _korsan_, 
   {{0x12900359,0xa853004a,0x767b00d1,0x13f70322}},	//   _gefal_, _суконная_, _আনুস্থান, _amarangi_, 
   {{0xd3c30246,0x556e0350,0xc14400e6,0xc06a0178}},	//   _сексапил, _ኮንቴይነር_, _有兴趣的题目_, _duranubo, 
   {{0x686a016d,0xfbac0094,0x938701c0,0x2dd60039}},	//   _базардик, _تەرەدى_, _anarta_, _abkhazia, 
   {{0x669002af,0x496e0039,0x9bd30299,0x0e460028}},	//   _arateruy, _etengabe, _янчуқчил, _inkabada, 
   {{0x1d25004d,0x262f014a,0xb2cb0064,0x56cd011a}},	//   _電腦與資訊_, _nembeszé, _израилде_, _זידאן_, 
   {{0xbdc402a2,0x3f2a033d,0xacec00c8,0x629104ec}},	//   _kasiyaha, _avetisma, _спиртлы_, _ingahe_, 
   {{0xd72901e6,0x8b8c005b,0xe27f01c7,0x420103d5}},	//   _diplomov, _morimoto_, _amanow_, _aweigh_, 
   {{0x0cba0222,0xc0d7003a,0xe05f02ac,0xc8a7004d}},	//   _magnifiq, _дилором_, _سمارت_, _恐怕是你對自己地, 
   {{0x5a090058,0x02eb00f1,0xd3860074,0x10d80211}},	//   _klubapre, _tennker_, _koiria_, _pedofiil, 
   {{0x62d80243,0x72e7023c,0x93960310,0x529002f8}},	//   _ellel_, _avunywa_, _dorsan_, _nenau_, 
   {{0x02b200be,0x479e0044,0x53ea00f2,0xea1200d2}},	//   _بۉلۉندۉر_, _destroyi, _kvotas_, _dikaitke, 
   {{0xb3960194,0x29340194,0xb22b02ac,0xd8fd019b}},	//   _forsan_, _amemorat, _شيفروليه_, _сяржук_, 
   {{0x229000fe,0x89970105,0xc4b300d3,0x910301b5}},	//   _kenau_, _दलाईलामा_, _आंकडा_, _ezekiyel, 
   {{0x10370692,0x82ca04f8,0x0a09015c,0xdf3f00ad}},	//   _анасы_, _gender_, _emissiou, _pangaran, 
   {{0xa7df01c9,0xb3e2014a,0x1c66036d,0x93790160}},	// [8530] _कलाकारन_, _محاصرے_, _duitsis_, _kupanja_, 
   {{0xdccd01e1,0x11c100d3,0xdfd70128,0xc2ef0076}},	//   _комитеты, _palivové_, _журналид, _bolinha_, 
   {{0xa01d012c,0xc1540366,0xddc8015e,0x04fc00ec}},	//   _شڪرانو_, _пĕчĕк_, _кагылайы, _palinkėj, 
   {{0xe2900415,0x92d800ce,0x9b42044a,0x838701c0}},	//   _genau_, _koleg_, _tribalis, _anarsa_, 
   {{0x4b430052,0x85450095,0x4ea7012a,0xec3c0137}},	//   _lokalitě_, _شبندر_, _zwolnion, _нямхүү_, 
   {{0x224201c9,0x4adf01e9,0xa2ee04a5,0x00000000}},	//   _चलवला_, _goledits, _ndifun_, --, 
   {{0x355000a1,0x234603d7,0x57a00359,0xd9480311}},	//   _kaikauwh, _prodiks_, _fertragi, _ኣይድግፎን_, 
   {{0x83f900cf,0x526c00d5,0xf43a0059,0x8eb10059}},	//   _aduun_, _filoha_, _правилно, _riportan, 
   {{0xb2870189,0x62df00c9,0x2ff004ac,0x1c9d02fe}},	//   _hastalık, _colokit_, _редко_, _akunakuq, 
   {{0x82480130,0x63940203,0xb2ca0192,0xca1d01a3}},	//   _atomek_, _glosse_, _zender_, _ڪيمرون_, 
   {{0xb2900049,0xd290000e,0xb16401aa,0x00000000}},	//   _tenau_, _genat_, _amboobay_, --, 
   {{0x824b0024,0x520e0205,0xf3000206,0x72ef03ea}},	//   _কান্দি_, _ракат_, _podnikov_, _neufs_, 
   {{0x12d807cf,0x5c44012c,0x4da700f5,0x8c6a01c8}},	//   _coleg_, _utawala_, _раббин_, _testery_, 
   {{0xdab900b4,0x85320043,0x77c4004d,0x926c0170}},	//   _политиче_, _abononny, _林曉培酒駕案後售, _arioki_, 
   {{0x523b01f0,0x89e3040f,0x055a00bf,0x815b02fe}},	//   _akolang_, _ненатура, _григоров, _دسترو_, 
   {{0xc394005b,0xc3f8005b,0x52d40288,0x71130462}},	//   _closet_, _bleue_, _almosen_, _ahikoyay_, 
   {{0x32900286,0x52d8018a,0xe3020206,0x323b00f4}},	// [8540] _denam_, _goleg_, _obrazov_, _chomint_, 
   {{0x5c7404fd,0x73dd02e7,0x5ae403d4,0x00000000}},	//   _जैक्सन_, _itawon_, _bratunce, --, 
   {{0x62e6003f,0xe5bc0037,0xd3000241,0x139403f6}},	//   _klingon_, _አንባቢያን_, _ashaabi_, _rimsky_, 
   {{0x0f8702d5,0x8917002b,0x0c7c019a,0xd49d0322}},	//   _अनेकु_, _আবুবকর_, _gaislin_, _babasanz, 
   {{0xd3100044,0x40ad0122,0x93940450,0x13380037}},	//   _במשפטים_, _مشورت_, _aanst_, _የፈሰሰው_, 
   {{0x90ce0465,0x81200297,0x7307028b,0x8fae0022}},	//   _usposabl, _albaniä_, _ишимаз_, _ишәйә_, 
   {{0xb2ca013a,0x146800e4,0xc5db003c,0x235500d9}},	//   _maddog_, _महानगरों_, _قرقاول_, _paperit_, 
   {{0xc1dc0013,0x3101014e,0xd2d40343,0xd99e02c9}},	//   _اتقاقی_, _свето_, _ashokan_, _тиментул_, 
   {{0x32d80415,0xfb040195,0x22130265,0xf867036a}},	//   _allem_, _caigeann_, _lichte_, _kolimatu, 
   {{0xc12902da,0x4454005e,0xe31700d5,0x78430378}},	//   _достапен_, _كۆكلەي_, _bozzy_, _býlingur, 
   {{0x337f019b,0xb271032d,0x35af00bf,0xc3f80067}},	//   _olialia_, _bokgorom, _спиридон, _demuni_, 
   {{0xe2d80198,0x2d0b0426,0x7f5801e9,0x6a5c02db}},	//   _poleg_, _मुरब्बा_, _boraosen, _strepela_, 
   {{0xc1410044,0x57a0018c,0xba0501db,0xe3000158}},	//   _vegetabl, _vertragi, _مۇجىعان_, _pilarki_, 
   {{0xa3b501f2,0x0291015c,0x37930193,0xe31703ad}},	//   _ئىلھام_, _digart_, _प्राप्ती_, _forzi_, 
   {{0x528201e9,0x237a001e,0x371d027b,0x78cd0211}},	//   _bafalodi_, _karatun_, _ऽभिधीयते_, _порекоме, 
   {{0x33f80034,0xd39403e0,0x035300bc,0xa213018c}},	//   _komum_, _loosse_, _شهداي_, _dichte_, 
   {{0x133d01c5,0xde9601f4,0xb3f80076,0xbe3b023b}},	// [8550] _شیران_, _گردون_, _comum_, _makahiap, 
   {{0x56310211,0xa2d80133,0x84b40090,0xc291029b}},	//   _erinomai, _bodee_, _angasvik, _diwane_, 
   {{0x962101a7,0xcc0103f1,0x8b0701b8,0xd31703c3}},	//   _espoolai, _najskor_, _unustada_, _pozzz_, 
   {{0x02910331,0x37910170,0x540e0108,0xb69d0205}},	//   _sigast_, _amatsati, _nyarekan_, _singdiri, 
   {{0xe2130450,0xa95f0044,0x63800439,0x64b400a6}},	//   _hichte_, _amplifie, _efurwa_, _amaafrik, 
   {{0x92a10026,0x60fb0057,0x32a5002e,0x589f0211}},	//   _불가합니다_, _ኮንግረስ_, _brojnih_, _ускорить_, 
   {{0xe36703d1,0x661102a4,0x391002af,0xea1002fc}},	//   _visticam, _integram_, _bakamumu, _bakamume, 
   {{0x7201034f,0xd47f03ad,0x9f410166,0x33830045}},	//   _maziko_, _batterij, _tagsüber_, _носиоци_, 
   {{0x026d0417,0xd30d01c0,0x234902e2,0x00000000}},	//   _beboet_, _dimamar_, _caidrey_, --, 
   {{0x9bf202f3,0x72d802fb,0xe7bc013f,0x01a4011a}},	//   _ointress, _kolee_, _disranni, _לאמהות_, 
   {{0xb26d01c4,0x02940040,0x6f2c01bc,0xf20101c4}},	//   _gebore_, _הרבנות_, _belestin, _logies_, 
   {{0x357d0040,0x0724006e,0xa31603a6,0x831702a5}},	//   _אביעד_, _barilàkk_, _mbabazi_, _skladby_, 
   {{0xa25b007f,0xb3dd0294,0x730c01b4,0x22010223}},	//   _afalau_, _aruwi_, _bekostig_, _haziko_, 
   {{0x75010594,0xc1e20153,0xa2b30012,0x0c60023e}},	//   _vedlikeh, _春の高尾山_, _मुरघुइंस, _celupan_, 
   {{0xf29003e5,0xa29000ad,0x3844013c,0x923b0127}},	//   _penam_, _menak_, _vermədən_, _chomont_, 
   {{0xce6f02ea,0x29b900a2,0xb6430156,0x6dd90097}},	//   _обича_, _wapendwa_, _טאמאס_, _wèèwá_, 
   {{0xc2d8012d,0x855c019b,0x334d0465,0x3d080244}},	// [8560] _holem_, _брунэткі_, _potekom_, _животнот, 
   {{0xf2d80486,0x3a860375,0x99e40037,0x13a30423}},	//   _kolem_, _ananyamb, _pertembu, _kdepak_, 
   {{0x70190148,0x38e00448,0x421302c6,0xe946006c}},	//   _執行報告表_, _manglend, _fichet_, _партов_, 
   {{0x03f40448,0xd27f02a6,0x14420147,0x00000000}},	//   _hertil_, _agenza_, _боюунча_, --, 
   {{0x147a04ea,0x72d80294,0x728c01ed,0x62ec0260}},	//   _pyntroin_, _alleq_, _okakopa_, _advirte_, 
   {{0x15e30139,0xc18402f6,0x840b0037,0xef4804f9}},	//   _प्रमाणम्_, _kamakail, _የፈረሙት_, _akigitin, 
   {{0xfdc1004e,0x00000000,0x00000000,0x00000000}},	//   _kalihoka, --, --, --, 
   {{0xe83c0014,0x649802a8,0xab9e0119,0x13170158}},	//   _ኣስካሕካሒ_, _dipressj, _ipahibar, _morzu_, 
   {{0xb4a100c7,0x32d8022a,0x420201a9,0x36dc0053}},	//   _ataması_, _polel_, _abrigo_, _तिमिर_, 
   {{0x16de02d6,0xe0300026,0x42dd026c,0x634c017e}},	//   _жисмонан_, _cadeaubo, _antonii_, _biletoj_, 
   {{0xe38001a7,0xfa4d0066,0x234800d3,0x1290007b}},	//   _seuraa_, _гүнзгий_, _liberci_, _befaa_, 
   {{0xc3800142,0xa2d80088,0xb72301a7,0xf9820164}},	//   _putras_, _volem_, _механиче, _доктур_, 
   {{0xc3430101,0x423b0499,0x02d9021e,0x1d0801e4}},	//   _modelul_, _atumotu_, _hamnade_, _posléze_, 
   {{0xc0aa01cc,0x1c7c01df,0xe3f802fb,0x5201004f}},	//   _कुरुते_, _ferrous_, _hemuli_, _dagiit_, 
   {{0x72ca0540,0xc147020a,0x404d028a,0xb9680340}},	//   _bendir_, _капита_, _غيرتمند_, _pirikeet, 
   {{0x5f3f038e,0x42e901fb,0xeaec0193,0x00000000}},	//   _tangeran, _chrisma_, _menertib, --, 
   {{0xc2c400da,0xc8890343,0x00000000,0x00000000}},	// [8570] _accesati_, _maskulad, --, --, 
   {{0x9cd60126,0x372a003c,0x7d8f0094,0x9cd10371}},	//   _простих_, _bioprosè, _كەرىمسال_, _особени_, 
   {{0xabd600f9,0xe2cf0096,0xf97a0244,0x02500361}},	//   _amadolar, _kanombe_, _architet, _тегам_, 
   {{0xb0250028,0xdc1e005b,0xe290010d,0x43ea02e5}},	//   _خونرن_, _sqlplus_, _denah_, _evete_, 
   {{0xbc6c03f1,0xd29001f9,0x2e00007a,0xc9e00303}},	//   _nebudem_, _ashade_, _kuperbua, _godisiwa_, 
   {{0x7c5a03b0,0xb1680152,0x00000000,0x00000000}},	//   _utruleg_, _kibettän_, --, --, 
   {{0x058a0014,0x129000ad,0xdb7d0085,0xc1110153}},	//   _vizitorë, _genah_, _pamutaka_, _インクジェット記, 
   {{0x7bb600a9,0x237800a5,0xf58a0405,0x63430445}},	//   _banyakub, _fagaima_, _registré, _entendo_, 
   {{0xf2f3002f,0x955800e5,0xc0bc002b,0x120101fc}},	//   _aktinyu_, _членство, _ফযীলত_, _magide_, 
   {{0xf884026b,0xadce0074,0xd1100420,0x42d80365}},	//   _পৃষ্ঠায়_, _видел_, _технички_, _polem_, 
   {{0x62900240,0x3b8c017e,0x729000ea,0xbb8303cc}},	//   _kenai_, _registar, _somary_, _সনাতন_, 
   {{0xd6540044,0xb2ca01d5,0xa29002e4,0xbc7d0227}},	//   _plaintif, _حکومتِ_, _cefai_, _persada_, 
   {{0x92d80107,0x0c820444,0xc20101fa,0x83870243}},	//   _golek_, _песочниц, _imeili_, _kudrá_, 
   {{0xf2d800ee,0x82ca0540,0x79e30093,0x4f14022b}},	//   _kodea_, _sendir_, _показан_, _smávegis_, 
   {{0x51450040,0xa2d80287,0x52ca0229,0x920203ef}},	//   _וולוו_, _holek_, _pendir_, _assiel_, 
   {{0x03ea041e,0xf9e600d0,0x00000000,0x00000000}},	//   _avete_, _бактери_, --, --, 
   {{0xc0d5017d,0x1e5003db,0x92490418,0x361b0381}},	// [8580] _このサイトを評価, _bayakula, _ikamet_, _anomalyw, 
   {{0xed750210,0xdf2800aa,0xd22400cf,0x323d0223}},	//   _ayamwise_, _kontrala, _fokkuu_, _соробанг, 
   {{0x43800160,0x5340008d,0xdc29043d,0x239c031e}},	//   _jutros_, _kafedra_, _membicar, _tadašnje, 
   {{0xb40d0234,0x00000000,0x00000000,0x00000000}},	//   _lẹkọ́_, --, --, --, 
   {{0x172d0185,0xef590444,0x21040039,0x757201a3}},	//   _диаметры_, _закономе, _менингок, _ڪانٽو_, 
   {{0xc2490322,0x00000000,0x00000000,0x00000000}},	//   _ahamye_, --, --, --, 
   {{0xe2d901b2,0xffab0153,0x23400251,0x5d8401c5}},	//   _revels_, _南アフリカ_, _degenaa_, _lammaana, 
   {{0x4eee0059,0x98fc01bb,0x4c5101d2,0x00000000}},	//   _компенси, _asmanynd, _chitata_, --, 
   {{0x51490538,0xfc1c01bb,0xaa920108,0xc28701b4}},	//   _skattelo, _doganlar, _gigireun_, _funksie_, 
   {{0x086207d0,0x945700f2,0x85570152,0xc3a201ce}},	//   _राजगद्दी_, _biznesā_, _biznesı_, _bakpao_, 
   {{0x0b000110,0x6014004a,0x00000000,0x00000000}},	//   _sagriezt, _зыгыдан_, --, --, 
   {{0xf2d90163,0x17c203dd,0x32c30223,0x00000000}},	//   _beteg_, _riprodhi, _коринт_, --, 
   {{0x12d80659,0x5f240281,0x330c0486,0x0c6702f3}},	//   _boleh_, _septemba, _upravit_, _grattis_, 
   {{0x6fc6040f,0x029f0066,0x9f640369,0x60e90297}},	//   _istorijo, _айсуй_, _kalaiain, _artaçak_, 
   {{0x130c01ff,0x00000000,0x00000000,0x00000000}},	//   _spravit_, --, --, --, 
   {{0x837c01ef,0x22fc01bb,0xbb2502b6,0x8ccc01de}},	//   _sujungim, _behişt_, _тураңыз_, _ызасын_, 
   {{0x8fcd0169,0x2a5700f5,0x9b8203b4,0xc30000dc}},	// [8590] _পল্টন_, _зинада_, _akangwar, _magalei_, 
   {{0x528500a2,0x675800e4,0x6da2023b,0x6c5c0235}},	//   _مھرباني_, _बिश्नोई_, _keenakap, _स्रोतआपन, 
   {{0x8ea2017d,0x1e540234,0x617e00b6,0x2f1d021c}},	//   _最新記事一覧_, _apilẹti_, _diinniiy_, _regulova, 
   {{0xe2810244,0x8cae016d,0x190d027b,0x6ba6005c}},	//   _possibil, _пайдиниң_, _apoddhṛt, _ahahurir, 
   {{0xbda6016d,0x8f370567,0xc6e7025e,0xa3ea01b8}},	//   _ئىتوت_, _прозаик_, _sumarið_, _tuntud_, 
   {{0x91950126,0xb2d800e4,0xb41300ec,0x46c700ba}},	//   _членами_, _kolei_, _пойдзе_, _پێشچونی_, 
   {{0xfc1b0108,0xf9830141,0x337a03ce,0xb7e80061}},	//   _kulantar, _бомбаси_, _موسیبه_, _도시계획도_, 
   {{0x22d8028e,0x16420361,0x4d9301a3,0x74cc00cb}},	//   _polek_, _анатолье, _ڀاڱيداري_, _бомбабор, 
   {{0x9f7c0178,0x72500479,0x120501cd,0x49810448}},	//   _amarṣava, _célra_, _abakwasm, _deaktive, 
   {{0xd34302a4,0xebd4014f,0x92ca0540,0x8e470060}},	//   _nitendo_, _генералн, _hendur_, _قىستا_, 
   {{0xc2ca0331,0xcf4b02d8,0xb6d0034b,0x00000000}},	//   _kendur_, _perseroa, _ognaisim_, --, 
   {{0xa20e0094,0x82d90172,0xd78200ac,0x03330061}},	//   _нашар_, _metee_, _provalni, _국민들에게_, 
   {{0x698001d9,0xc19502b2,0xfb020021,0x19aa006c}},	//   _natierle, _планом_, _akersfie, _човид_, 
   {{0x72e00312,0x6de6004a,0x49df02af,0x00000000}},	//   _banniel_, _артуын_, _kwatangu, --, 
   {{0x838002fd,0xc39401fc,0x4aad036d,0x00000000}},	//   _beurla_, _foosat_, _lichtoun_, --, 
   {{0x0380011e,0x430c02c2,0xff3f0316,0x378c0291}},	//   _katrer_, _dekades_, _bangaran, _جينزات_, 
   {{0x2f0200e4,0x45050143,0xd36a0088,0x00000000}},	// [85a0] _विद्रोही_, _сутиен_, _vergés_, --, 
   {{0xc64c021c,0xa5fb0150,0x82d404d7,0x19e40308}},	//   _disciplí, _promotem_, _andlegu_, _tertimbu, 
   {{0x993a001a,0x050903c2,0x927a0153,0x12df010b}},	//   _válogato, _almoragh, _ごあいさつ_, _jwaneng_, 
   {{0x12d90435,0x99680040,0x2201008c,0x03430259}},	//   _crvene_, _motivate, _gleiti_, _aitendo_, 
   {{0x9ae103e0,0xd24b0012,0x2886002f,0x12240325}},	//   _groussre, _चुकइयो_, _chakraru, _bankla_, 
   {{0x43070027,0x4fbc00ff,0x431701f4,0x9303046f}},	//   _kuratik_, _בליצבריו, _beramiz_, _gedanzt_, 
   {{0x138003b1,0xcbfd01f7,0x3da200c6,0x5343006f}},	//   _autres_, _revendic, _egenskap, _vitendo_, 
   {{0x32b40315,0x7d610197,0x0c610115,0xeb1c01c8}},	//   _acoca_, _karaktè_, _sedutan_, _označená_, 
   {{0xa33f0081,0x13e90187,0x45890350,0x350402cf}},	//   _bakarí_, _exposiçõ, _dipterok, _conteudo_, 
   {{0xb3f8005b,0x030f05ed,0xdc67026c,0xb9f602bb}},	//   _olmus_, _asubira_, _fratris_, _फ्रेमवर्, 
   {{0x42d80255,0xdb7d01b6,0xfadb0321,0x53870055}},	//   _moded_, _unanswer, _tehnične_, _pensavam, 
   {{0x7db700d6,0x53f800db,0xfb8c003e,0x42900096}},	//   _droichea, _ilmus_, _diripoto_, _ashake_, 
   {{0x92d802bd,0x12f3032d,0xf02c004f,0xc6b400ef}},	//   _dolen_, _baahing_, _beddeeko, _angengaw, 
   {{0xe6440352,0x199d026f,0x379d02e5,0xcb610175}},	//   _অক্ষয়_, _батыл_, _биуро_, _redesann_, 
   {{0x020202c1,0x261d001d,0x395d02fd,0xb3bf01eb}},	//   _harimo_, _favorabi, _ceilidhe, _harward_, 
   {{0x030d0040,0x457503f3,0xe56f0047,0x110602c3}},	//   _decades_, _dordrech, _médicale_, _detičky_, 
   {{0x58400113,0x2b4e0181,0x2b810361,0xe8bf0065}},	// [85b0] _آخرون_, _medmindr, _аллахiе_, _angesied, 
   {{0x4f3902ac,0xfc33023d,0x24e200d1,0x61470188}},	//   _بقلبي_, _immatric, _বোলাই_, _манижа_, 
   {{0xec68039e,0x2c0102ac,0xb08c0435,0xe56f0187}},	//   _একেবাৰে_, _teastas_, _напредна_, _instruçã, 
   {{0xa2b00062,0x72e501b5,0x12d5048f,0xb3f30010}},	//   _spacetim, _egeneva_, _botonga_, _kubuholi_, 
   {{0xea3202a5,0x9e350405,0x604600d2,0x00000000}},	//   _मनाङे_, _суконь_, _dicumpon, --, 
   {{0x3c9303c4,0x62c603d5,0x63240291,0x00000000}},	//   _قارار_, _adulate_, _foscadh_, --, 
   {{0xba7c0182,0x882c0220,0x1b6b0434,0xded7050b}},	//   _eneginia_, _доставка, _recuerda_, _sedikitn, 
   {{0x778a016d,0xd88801f9,0x4c5b006c,0xf82d00be}},	//   _заманиви, _imikhand, _aphuthe_, _كەڭەشۉۉل, 
   {{0x10ac0040,0x729e003d,0x28d70158,0xd6d00040}},	//   _להתעסק_, _acabarai_, _काँटे_, _ומתאמים_, 
   {{0xd2e70318,0xe27f07a7,0x234100da,0x00000000}},	//   _atungia_, _purno_, _posesia_, --, 
   {{0x4c790061,0x52de0163,0x92c40414,0x9a9f0231}},	//   _사진이야기_, _حیاتیاتی_, _bakelasi_, _invidios, 
   {{0x82b403a7,0xe3f8047b,0x8c6b046d,0xdfd50289}},	//   _oboch_, _gomul_, _murundu_, _atangolo, 
   {{0x416c0169,0xa3160307,0xb2d80088,0x2f270074}},	//   _মহেশখালী_, _ababeki_, _volen_, _festivaa, 
   {{0x12d803b3,0x561602ae,0x8493002b,0x5f6502c5}},	//   _illes_, _obilazni, _এক্সিকিউ, _hapachin, 
   {{0x22d801e9,0x00000000,0x00000000,0x00000000}},	//   _loleo_, --, --, --, 
   {{0xd2e3014b,0x6a3c01cd,0xd97c03a2,0xa2d80167}},	//   _abittooy_, _дулор_, _भूमंडलीक, _allet_, 
   {{0x538803ef,0x8d5300be,0x59e10317,0x0f5e010d}},	// [85c0] _amashami_, _تىمپىعىي, _motorima_, _tatapann, 
   {{0x726c005b,0xa27e02fe,0x3290030a,0x6c1003b9}},	//   _kimono_, _uninzi_, _nenas_, _sumpach_, 
   {{0xd2d8040e,0x12610287,0xd28f00be,0x72840087}},	//   _elles_, _metodami_, _تۅمۅندۅت, _lughelo_, 
   {{0x82d8010b,0x0da600d7,0x306300d9,0xdd64006c}},	//   _boleo_, _bamotjha, _потолок_, _amabhuku_, 
   {{0xd2d801bb,0x2aeb00bc,0x8cf7015d,0xac7f036d}},	//   _medeni_, _lamongan_, _महाकाल_, _calmachd_, 
   {{0x506d008d,0xc29c02e3,0xc797011f,0xd4710392}},	//   _участкас, _hòang_, _bordenav, _cultaran_, 
   {{0x7b2d0225,0xaac000c5,0x2efc0147,0xe1650287}},	//   _belagern_, _紫微金庸群侠传_, _بۇگۉن_, _principy_, 
   {{0xa2780456,0xd80d0185,0x32020409,0x4093041a}},	//   _bisnes_, _кредитка_, _mariko_, _присутні_, 
   {{0x42d800a7,0x72d80152,0xc30c01e8,0xd2910450}},	//   _diners_, _rolen_, _hinapos_, _fleach_, 
   {{0xc29001fb,0xe37a0191,0x394c003b,0xdb6102b1}},	//   _genas_, _orsaken_, _ephoyise, _darektan_, 
   {{0xac760044,0x99cc03b4,0x72d8008e,0x24af0466}},	//   _housing_, _ambonzwa_, _dolel_, _skupljaj, 
   {{0x6a08006a,0x52b60478,0xc4130420,0x65c70560}},	//   _tomavana_, _toscan_, _кореја_, _angawath, 
   {{0xd7df0740,0x32d80145,0x60310061,0xf01f0061}},	//   _कलाकृति_, _todel_, _들어왔습니다_, _은행강도로_, 
   {{0x52ff0189,0xc2d8013e,0xb7c904d1,0x0a9902b2}},	//   _veriyor_, _voleo_, _contarán_, _металу_, 
   {{0x38dc023d,0xbdcc005d,0x61e701be,0x9e6a02b6}},	//   _кутия_, _ijeképe_, _जनबरी_, _қоюда_, 
   {{0xe2d803cf,0x00000000,0x00000000,0x00000000}},	//   _nedeni_, --, --, --, 
   {{0xd26c02b7,0xafe00497,0x0b610417,0xc30d0332}},	// [85d0] _asioni_, _awakener_, _veteraan_, _enfados_, 
   {{0x9bed0076,0x025b0013,0x3c080067,0x814a0061}},	//   _fevereir, _oralig_, _eksteens, _뉴질랜드는_, 
   {{0x3f4f0014,0x35b90126,0x59090076,0xe9090037}},	//   _መንፈሳውን_, _символіз, _белата_, _አሸንፏል_, 
   {{0x001f0195,0xd10c002e,0x3ecd03be,0xab3001a7}},	//   _greensto, _slučajev, _basinyan, _белое_, 
   {{0x0870030a,0x506801fc,0x6938018d,0x8dbd0041}},	//   _básicas_, _illacabo, _የድሕነና_, _ныҳәа_, 
   {{0x82900051,0x62900402,0x1290045f,0x82020069}},	//   _cenas_, _penat_, _menar_, _bariko_, 
   {{0x02900035,0x14c202f0,0x627d00d7,0x03800167}},	//   _lenar_, _alabasik, _назараты_, _astrus_, 
   {{0xa2d8006f,0x0ec100fd,0x00000000,0x00000000}},	//   _toleo_, _daingean, --, --, 
   {{0x6cd80559,0x42830125,0x235e02d4,0x9290016a}},	//   _okukhulu_, _mugallym, _malgrad_, _tenas_, 
   {{0x12d801a0,0x22d80265,0xcc760163,0xe618021b}},	//   _aedeni_, _bodem_, _tagság_, _berliini, 
   {{0x0291034a,0x729000f4,0x2c61046b,0xab2d00cb}},	//   _levan_, _renas_, _bartner_, _angadons, 
   {{0xf29000b7,0x1efc0240,0xe343011d,0x62b60321}},	//   _kenar_, _kauwaita, _liderul_, _kupcev_, 
   {{0xb9e2019f,0x221304ee,0x54380272,0xb3430084}},	//   _ڌارين_, _dochie_, _abakomak, _bahenol_, 
   {{0x8290035b,0x5dc0005b,0x026c046d,0xa40d022a}},	//   _denar_, _markeret_, _tsioni_, _sekretan_, 
   {{0x62fc01a7,0x6c0f04f8,0x00000000,0x00000000}},	//   _liigan_, _renowned_, --, --, 
   {{0x1ed502a9,0xda35048a,0x9ba60255,0x030d014a}},	//   _слабым_, _субъекті, _अमित्र_, _divatos_, 
   {{0xcf4b0533,0x5c530244,0xcf6500ec,0xd2d80046}},	// [85e0] _leigheas_, _mattina_, _patalpin, _bolet_, 
   {{0x76eb0259,0x82910077,0xc2d80513,0x805a01cd}},	//   _ランキング_, _devan_, _heleni_, _thesalon, 
   {{0x12d8001d,0xb252000d,0x2628038e,0x862502f0}},	//   _volet_, _korterel, _berikhti, _iafidavi, 
   {{0x62900308,0x82900159,0x7ec6023a,0x00000000}},	//   _benar_, _senas_, _dopytova, --, 
   {{0x12d80121,0x2291028d,0xaba7030f,0xe33c0019}},	//   _goles_, _nevan_, _korimako_, _албаймын_, 
   {{0xd2ca05ac,0x62910177,0xc50a0037,0x8aaf0109}},	//   _hendir_, _arajere_, _የፈለኩት_, _काउलीमा_, 
   {{0x0e390277,0x5290014b,0xa2d802f8,0x58100333}},	//   _katapusa, _affaf_, _feleni_, _accindì_, 
   {{0x22d80176,0x52d80321,0xcd2f002b,0xda620046}},	//   _rodem_, _koles_, _খবরাখবর_, _جىكتەلەت_, 
   {{0xe396034b,0x0213018b,0xe7dd0074,0x923702ac}},	//   _hausik_, _rochie_, _правовая_, _chumasc_, 
   {{0x02d802cf,0x629001b9,0xfd150022,0x16140156}},	//   _podem_, _renar_, _футболы_, _אָלטערנא, 
   {{0x22900318,0x6cb20453,0xc8f8019e,0x00000000}},	//   _kefai_, _ustanovu_, _віншуюць_, --, 
   {{0xd29202e1,0x89410271,0x813702b6,0x339601e8}},	//   _copair_, _begreper_, _مانماتىن, _mausik_, 
   {{0xa2d80216,0x561f03be,0x1d2f0047,0x3ec70437}},	//   _veleni_, _abemerew, _matière_, _beliggen, 
   {{0x4f94045b,0x0e3b0144,0x9dc00168,0xcd7d032d}},	//   _класна_, _etenders_, _markerte_, _күнгән_, 
   {{0x384e00d8,0xc3550040,0xa2ef01a4,0x863a01f3}},	//   _eslovaqu, _שוטפת_, _kolikya_, _bezúhonn, 
   {{0xb27e0397,0x32c3023b,0x6bfa003c,0xdc1c0031}},	//   _iningi_, _kuulala_, _پرقدرت_, _unfurnis, 
   {{0x32d8048c,0x32000203,0x59310348,0xe27f0313}},	// [85f0] _elley_, _etnic_, _asembere, _nurna_, 
   {{0xe617014f,0x3db30137,0xf200003c,0x00000000}},	//   _лидеру_, _геологчд, _didiek_, --, 
   {{0x026e0149,0xc2900125,0x4da40403,0xe27a0198}},	//   _eruola_, _jenap_, _rakotoma, _optični_, 
   {{0x9f07052c,0x07c6036d,0x0b6c0173,0x7bca023c}},	//   _هاوینی_, _biornaim_, _informó_, _دبرېښنا_, 
   {{0xc94d0268,0xa5b90207,0xcf2d0040,0x947a0062}},	//   _opposite, _رومانوي_, _detectin, _jingilqo_, 
   {{0x228b01d2,0xd27f00a0,0xefba01a3,0xcfdf0211}},	//   _allaukam, _murna_, _ايڪويهين_, _antibioo, 
   {{0x96d3002f,0x82d8036a,0x67260147,0x00000000}},	//   _bongará_, _teleni_, _موڭولدۇن_, --, 
   {{0xf6e70347,0x3c1100b4,0x83060016,0x2b7e0455}},	//   _kreatiew, _cumperi_, _movadoj_, _chantier, 
   {{0x02d8016e,0x39830110,0x06ac0040,0x7bee0045}},	//   _bedeli_, _banknote, _ולמצוא_, _махом_, 
   {{0x72d80499,0xfc530191,0x92900450,0x994c019d}},	//   _seleni_, _sortera_, _offal_, _ataledze, 
   {{0x86460137,0x524a00da,0x02910317,0xfd820090}},	//   _гавшгай_, _termic_, _laganu_, _handione_, 
   {{0xf7070094,0x1c6103c6,0x6ecf0191,0xe38002eb}},	//   _шахтерді, _partoer_, _kvinnorn, _agurra_, 
   {{0xe7240147,0x43e6003c,0xd0b70053,0xb2130195}},	//   _انشتۇۇ_, _هارتلی_, _पुरुषी_, _modhar_, 
   {{0x608200c5,0xedb5024f,0xec6f0331,0x437f0408}},	//   _柳暗花明又一村_, _lutusobu_, _sterkan_, _halatra_, 
   {{0xd7780034,0xf990036c,0xf21300a8,0x5b0f00f3}},	//   _reikning, _tsikarit, _pichet_, _bengenas, 
   {{0x520102fb,0xf23203ba,0x1ad2030a,0x47fc01cd}},	//   _afaiva_, _enemero_, _curtamet, _ягонагии_, 
   {{0xe2010388,0xd2ea01df,0x1bee00bc,0x12de018f}},	// [8600] _pagine_, _bannets_, _تجریش_, _mahobpu_, 
   {{0xe30c0584,0x188a0115,0x8291013f,0xa38003ec}},	//   _finados_, _hishamud, _feval_, _katror_, 
   {{0xcc0103f0,0xd2d8029a,0x84b8022d,0xf2130195}},	//   _flestir_, _toler_, _speculaz, _bodhar_, 
   {{0xe9ec0092,0xd469023c,0x895900b6,0x8a8b023a}},	//   _商品を返品する_, _دبېرته_, _koroosit, _rehydrat, 
   {{0x0288016e,0x25a6002b,0x135e017a,0x5b250156}},	//   _anahtar_, _কৌশলগত_, _amafidi_, _banalajn_, 
   {{0x8a99016d,0x1e5401ed,0xeb82012c,0x62ca009c}},	//   _ئىپپەت_, _halaania, _mwanahar, _cendoc_, 
   {{0xcd0a01bd,0xedbe0181,0xb27e005b,0xd6c2029f}},	//   _кафедран, _pakupaku_, _akine_, _dopytujú, 
   {{0xe27f0230,0xc22402a0,0xe94d03c2,0x1f5e0308}},	//   _furni_, _isokan_, _apposite, _batasann, 
   {{0x6450030b,0xb6fc026b,0x42d801a4,0x1d8b0076}},	//   _abadduuk, _ইশতিয়াক_, _beleli_, _изменета_, 
   {{0xe27e004f,0x1ffa0037,0xd1550151,0xb27e01a6}},	//   _bennoo_, _በአብላጫ_, _boistero, _kiingi_, 
   {{0xe53702eb,0x99870040,0x0148042c,0x220101e5}},	//   _сурталчл, _יעברו_, _proteklo, _fagile_, 
   {{0xd2d90367,0xb22e0307,0x122c00c7,0xb264003b}},	//   _jovens_, _awavumel, _фотосурә, _ekhodini_, 
   {{0x2d43045b,0x144a0041,0x0f330279,0x9adb0321}},	//   _автомобі, _агәҳалал, _souffran, _tehnično_, 
   {{0x09c60100,0xbac60100,0x03610158,0x08690667}},	//   _odštetu_, _odštete_, _delegacj, _impecáve, 
   {{0x3adb0321,0x3bfc0322,0x729000ef,0x0cc80291}},	//   _tehnični_, _akagener, _iqhawe_, _متالق_, 
   {{0xe22501b2,0x838700be,0xcb61009b,0x1485008f}},	//   _docked_, _ساپدارى_, _garenean_, _संघाती_, 
   {{0x32e1006e,0xd86f025d,0x762f022a,0x13f80087}},	// [8610] _politig_, _steinald, _palasumö, _lemuki_, 
   {{0x1308002c,0x0c4700d0,0x65210065,0x72ea0797}},	//   _arabako_, _ганган_, _grundsch, _eavisen_, 
   {{0x2c55044d,0x79c30260,0x00000000,0x00000000}},	//   _feetale_, _asemella_, --, --, 
   {{0x62d80121,0x00000000,0x00000000,0x00000000}},	//   _rodea_, --, --, --, 
   {{0x20e80040,0xddad0299,0x51d702c6,0xbaeb0012}},	//   _תתאבדי_, _ئايچە_, _deknikoù_, _मनौव्वल_, 
   {{0x604c0148,0xebaa04ec,0x947a014f,0xbc7503c3}},	//   _蘋果日報也在_, _atazobas, _vestislj, _čistog_, 
   {{0x146200c8,0xd57600ec,0x0a1601a4,0x00000000}},	//   _үтәлешен_, _згуртава, _mekatuka_, --, 
   {{0x2e4e0357,0xf27302f8,0x6064012c,0x3b9e0316}},	//   _bulabala, _ehasivel, _yatakayo, _farisanc, 
   {{0x172803ab,0x49fc0243,0x1fae040f,0xb640015f}},	//   _publikov, _devaluat, _ганку_, _bosibili, 
   {{0x82d8046d,0x59fc0627,0x03660012,0x14280089}},	//   _todea_, _eevaluat, _बनऽईले_, _зиратлар, 
   {{0x3b8a0045,0x96b6019a,0x00000000,0x00000000}},	//   _логор_, _lanriksh, --, --, 
   {{0x56150135,0x2f6a03ef,0x03ea028d,0x42f103ad}},	//   _октябрен, _ababagan, _lantet_, _disinji_, 
   {{0xe3c6060e,0x6c60007b,0xd49e020d,0x52d80026}},	//   _नवरात्रि_, _wasters_, _yaratanz, _doden_, 
   {{0xd30e007c,0x22d80165,0xf33303bf,0xc0ac0139}},	//   _ababuya_, _bolei_, _alexor_, _adhastāt, 
   {{0xd225002e,0x326c03bf,0x727f0285,0x62d90119}},	//   _svakoj_, _ahlola_, _ngenga_, _olten_, 
   {{0x227f06a2,0x83f80718,0x00000000,0x00000000}},	//   _igenga_, _tomui_, --, --, 
   {{0x927f0464,0x3c7d0028,0x6c640397,0xc2ee0291}},	// [8620] _agenga_, _raashin_, _ambumbe_, _اكتئاب_, 
   {{0xb63e01cc,0x83170013,0x988000a0,0xc4210097}},	//   _आन्तर्यत, _mirzo_, _alaihimu, _iṣẹṣọ_, 
   {{0x53ae0302,0xd20300a6,0x0ec7036f,0x538906e5}},	//   _салафиҳо_, _akukafum, _delikven, _dęrom_, 
   {{0xaef100db,0xf1f50056,0x95cb00aa,0x825b0120}},	//   _सुनके_, _суроғаи_, _balangay, _maaluu_, 
   {{0x0c9b018d,0x25f60040,0x62900262,0xdbf40121}},	//   _ውድባቱን_, _קינואה_, _almady_, _bailando_, 
   {{0x4b0c01ef,0xb2d803eb,0x07bb00d6,0x2cea0045}},	//   _гумно_, _selebi_, _fuirseoi, _командом_, 
   {{0x227e001f,0x72d8017d,0xbadb0321,0xd3ce00db}},	//   _ehini_, _foden_, _tehnična_, _talve_, 
   {{0x42920222,0x553a02ac,0xf6b7042a,0x21ed03cd}},	//   _espace_, _كراميل_, _bangakhi, _दवारा_, 
   {{0x5e9e005d,0x6c9001e0,0x196a0506,0xd3780433}},	//   _chemokun, _راشیگه_, _påpeker_, _kuyavya_, 
   {{0x98d20135,0x39c9066d,0x82d90166,0xf87b0420}},	//   _музыкасы_, _simemeze, _alten_, _despesas_, 
   {{0xca870163,0xc26402d8,0x6c5d0154,0x16930140}},	//   _fenyeget, _usulan_, _teatrul_, _alhebrai, 
   {{0xf3d701d3,0xbc7d01c5,0x1f6701b9,0x430d01d2}},	//   _annonsör, _yaasiin_, _eksperia, _bifaros_, 
   {{0x027e012c,0xe27f0604,0x8f4d0593,0x32d8003d}},	//   _chini_, _igenda_, _tidssone_, _solei_, 
   {{0x72cc0139,0x76f70243,0xd41e026f,0xb8f100a6}},	//   _apavāhya_, _malaaká_, _ريبەري_, _الوزولی_, 
   {{0x0a890358,0xdb0106a7,0x5a5800fc,0x72010251}},	//   _demisyon_, _antrekke, _lupeghha_, _geyiga_, 
   {{0x1a6001f4,0xdf690180,0xdd27002b,0x065403db}},	//   _مشکللر_, _lanbilan, _হালচাল_, _ilindelw, 
   {{0xa72c01bd,0xb20002c2,0x86d8023c,0x803b044a}},	// [8630] _басталды_, _junie_, _مبارزی_, _ekofongo, 
   {{0x66ce003b,0xf290026c,0x5859000d,0xf27e01ad}},	//   _kuhalali, _nefas_, _deposiid, _ikina_, 
   {{0x12d80064,0xc2d803b2,0xf3980262,0x027e0205}},	//   _poden_, _model_, _ajayýp_, _shini_, 
   {{0x3b030124,0x028600ba,0x18c10043,0x48e90229}},	//   _mongoumb, _پادشایه_, _baatuteg, _artyazar_, 
   {{0xa2ec00cb,0xc6350281,0xa3bd0176,0x2a6d05e0}},	//   _албат_, _agginngi, _gikwang_, _permitis, 
   {{0xa200018b,0xfebd01b5,0xb1d90188,0x8cd9016b}},	//   _iunie_, _egondwen, _анвоъи_, _barkammu_, 
   {{0xe2820128,0xbf0e032d,0x148506d8,0x896b00d1}},	//   _elchisi_, _diitshwa, _सुखानी_, _ক্ষণতে_, 
   {{0x8290050a,0x13ff032b,0xad8a0492,0xae7e0291}},	//   _vefat_, _омумий_, _chromova, _احسنت_, 
   {{0xe141004f,0xcfc502eb,0x686f007b,0xb9e101fa}},	//   _aamustro, _клубийн_, _cuentacu, _langitot, 
   {{0x0c5a00d7,0xb9e00171,0x8a4f01f5,0x3a940089}},	//   _baitedi_, _zidovima_, _jeleknya_, _бүлдерде_, 
   {{0x15850326,0x6234053e,0x93610158,0x03960005}},	//   _akaraidz, _filmweb_, _federacj, _corsin_, 
   {{0xb27f00a9,0x427800e7,0x238602df,0x8b0200ec}},	//   _ugenda_, _agiarism, _jamrah_, _petrikyt, 
   {{0x972902da,0x82df012a,0xde390193,0x619a015e}},	//   _ilustraç, _foteliki_, _kekafira, _ажаан_, 
   {{0xe2f30359,0xe3790204,0x1bd602ac,0x16d30405}},	//   _einiget_, _kisassa_, _كارلوس_, _колишні_, 
   {{0xb27e02fb,0xece40022,0xfaf90386,0x72a60672}},	//   _ekina_, _беренсел, _memeriks, _izoba_, 
   {{0x92890036,0xd16f018d,0xe60e0073,0x74120119}},	//   _إقلاع_, _ክእለቶምን_, _recoperi, _eichstã_, 
   {{0x8bb203f5,0xf12f004a,0xa2d8019b,0x6db700d6}},	// [8640] _conexão_, _иманын_, _kodel_, _sroichea, 
   {{0x93790082,0x894c0481,0xeeb0057c,0x82ee007f}},	//   _disamba_, _geboorte, _bærbare_, _gamfa_, 
   {{0xadd10064,0x15fd0289,0x3f0e0270,0xf3f804a4}},	//   _projecte_, _anamangi, _peccatos_, _gleus_, 
   {{0x3ef801d3,0xab69027e,0x6c7501c3,0xf9f203db}},	//   _blivande_, _починили_, _breshag_, _sabhalwa_, 
   {{0x6af500c3,0x6b810113,0xfc550160,0x5d080376}},	//   _conspect, _chonamar, _maltene_, _blakaður_, 
   {{0xb1750095,0x66b901f9,0x42d803c0,0x037f000b}},	//   _گذاری_, _legalisi, _alder_, _senatoa_, 
   {{0xd16a0073,0x29670218,0xfae802c7,0xc26b00dd}},	//   _respecto, _andidate, _scrollen_, _dairygol, 
   {{0xe2a602af,0x83f80193,0x4c33004c,0xce4d017f}},	//   _azoba_, _soeun_, _alubirir, _appasipp, 
   {{0x69400036,0x61d00022,0xfda603db,0x00000000}},	//   _cosmaide, _йәйрәп_, _libonaka, --, 
   {{0xe2de01b8,0x02900209,0xc26c0053,0x7c5500f0}},	//   _tänane_, _affaa_, _axioo_, _exotike_, 
   {{0x627e019d,0x829101d2,0x40d3021c,0xb9390311}},	//   _chino_, _advar_, _konzervo, _ዘድሓነኒ_, 
   {{0xf3bd02eb,0x9e42005c,0x00000000,0x00000000}},	//   _савхи_, _bambutse_, --, --, 
   {{0xde53033c,0xa5270213,0x81160052,0xa2d8019a}},	//   _gadarnha, _заставит, _अभ्यासका_, _oolet_, 
   {{0x4290006e,0xd3ce0191,0xa3f80047,0xb7a8033d}},	//   _defar_, _halva_, _bleus_, _chimerik_, 
   {{0xff7c0178,0xc7dd021c,0xd73000bb,0xc2fc03bd}},	//   _amarṣala, _splachov, _بیباکی_, _lungag_, 
   {{0x71f7041d,0x527e0144,0x798503b9,0x0f11019d}},	//   _zemljišt, _shinn_, _saminaka_, _akodolen, 
   {{0xd3f8005b,0x92d80130,0xf1cc02ff,0x8c6a03ff}},	// [8650] _fleur_, _bodet_, _aplodism, _dobrém_, 
   {{0x82d800a4,0x22a004c8,0x78c701b2,0x847200f6}},	//   _podeu_, _serbja_, _acidulou, _naftalan_, 
   {{0x12230013,0xdee100b9,0xa50c0040,0x68250046}},	//   _اداره_, _विस्तारा, _ההטבות_, _экзаменд, 
   {{0xc3ce02a9,0xe36402d4,0x0c1e02fe,0xd6930195}},	//   _galva_, _inagada_, _اسمبلۍ_, _chneagai, 
   {{0x23f80237,0x3b250145,0xc19e0040,0x11c30374}},	//   _kleur_, _купалы_, _יודאיקה_, _чориев_, 
   {{0xd24904a5,0x12cb0007,0x00000000,0x00000000}},	//   _ihambe_, _malonga_, --, --, 
   {{0xfc530379,0x32170060,0x1ea600de,0xea46001a}},	//   _स्पेन_, _иранға_, _منتظرمسی, _bundában_, 
   {{0x759b0288,0x80d10034,0x0a3a02ac,0xce43004a}},	//   _gehorsam_, _forstjór, _كراميش_, _berböten_, 
   {{0x9e53018a,0x4a1900da,0xf8310101,0xfa1d0544}},	//   _cadarnha, _диструже, _premieru, _hoopalau, 
   {{0xfcd40211,0xf2ee03ad,0xe484007e,0x00000000}},	//   _серебрян, _briffa_, _विषादं_, --, 
   {{0x6f8c0061,0x9d6100ca,0x5e4b02be,0x00000000}},	//   _시세업데이트는_, _caractèr_, _hahangaa, --, 
   {{0x2c710163,0x83940004,0x838804f9,0x720e015e}},	//   _دھواں_, _aloske_, _alaskami_, _хакас_, 
   {{0x2af90386,0x74980037,0x2a0b0240,0x73d20153}},	//   _pemeriks, _ለመገምገም_, _fakawela_, _転職はリクル_, 
   {{0xad8602a2,0x6e6902ac,0x22d8003f,0x0326014e}},	//   _siyempre_, _نيوتن_, _mulegh_, _procenu_, 
   {{0x524904cf,0x5ef6025e,0x4e390203,0xee4d0281}},	//   _ahambe_, _krakkarn, _mecanisa, _appariaa, 
   {{0x1426005e,0x8cb90371,0xc0df0161,0x799601d5}},	//   _ﺩﯦﻤﻮﻛﺮﺍﺗ, _подаване_, _обогрева_, _borkósto, 
   {{0xd27e0140,0x02e501b2,0xad4a0102,0xc966002e}},	// [8660] _aking_, _brittney_, _حسينه_, _ćirilica_, 
   {{0xf965015e,0x62cd0256,0x00000000,0x00000000}},	//   _алтайда_, _bailēm_, --, --, 
   {{0xb2d8017d,0x940d01bb,0xb75d0235,0x2c670235}},	//   _foder_, _лабырдап_, _जनस्थान_, _atithir_, 
   {{0x3e81025e,0xb29003b3,0x4b87004b,0xe0bc06a8}},	//   _beinlíni, _offan_, _аштары_, _primetil, 
   {{0x996701d1,0xdc9402fe,0x72cb02e5,0x0f8b0291}},	//   _indicate, _استعماري_, _calonga_, _لتعاونكم_, 
   {{0x82d800a4,0xb1f50013,0x51c80076,0xa0f300e6}},	//   _rodes_, _худодан_, _самостој, _拆迁补偿安置协议, 
   {{0x038004ca,0xb8da0125,0x234305e0,0xd2ea023e}},	//   _astres_, _көшешдир, _abordará_, _ampilan_, 
   {{0x3e1a051a,0x8dff033c,0x5c6100ad,0x787c0147}},	//   _dikemuka, _ashensta, _nedunan_, _busquets_, 
   {{0xa200022c,0x63a2018a,0x831b02a5,0xf607015e}},	//   _mimiti_, _siopau_, _vázne_, _кардары_, 
   {{0x865103e2,0x437b0160,0xd7b0012e,0x137f0083}},	//   _percusió, _oznakom_, _الدعوہ_, _calanca_, 
   {{0xe9680270,0x62260278,0xe1f70321,0x6e290013}},	//   _entitate, _markah_, _zemljišk, _жепаров_, 
   {{0x727202c8,0x72820361,0x00000000,0x00000000}},	//   _encrucil, _аллахl_, --, --, 
   {{0x9a770230,0xf2ba045d,0x9da9015e,0x401704c7}},	//   _caplikas, _uraditi_, _бермет_, _забранит, 
   {{0x4290018c,0x425c011a,0xfa7f0163,0x325b0167}},	//   _herkent_, _יפיפיה_, _mennyors, _ngallu_, 
   {{0x72d9040d,0x7290029e,0x12ea03e6,0x565400de}},	//   _gotee_, _kerkent_, _sanitel_, _bathanji, 
   {{0x62d804a7,0x51ea0079,0x06000192,0xa5c7036d}},	//   _podes_, _attieksm, _헌법재판소가_, _piobrach, 
   {{0xea4703bf,0x82d8023e,0x22e10347,0x83770008}},	// [8670] _anselara_, _andee_, _aanneem_, _دىقات_, 
   {{0x22d90410,0x62130095,0x147104a4,0xacd10076}},	//   _botee_, _anchae_, _culturan_, _особини_, 
   {{0x998b0153,0x33ea0086,0x1074038e,0x00000000}},	//   _レオパレス_, _evett_, _उच्चपदस्, --, 
   {{0xc2e7013a,0x23eb0181,0xc25b0486,0x3fd300da}},	//   _frendin_, _ayatan_, _čelit_, _comentaţ, 
   {{0x03ea0006,0xc34a01b2,0xb65403de,0x9fe9006d}},	//   _pantat_, _chaffee_, _elahleki, _візыт_, 
   {{0xe8b70078,0xf2d80125,0x0f7b01ec,0xa628000b}},	//   _признат_, _dileg_, _مفاتیح_, _ponifasi, 
   {{0x70380396,0x22e50088,0x3b0601cf,0x8e9e0145}},	//   _dimensjo, _llengua_, _therapia_, _шатле_, 
   {{0x32780390,0x5afc0162,0x3017019b,0x9b64010b}},	//   _olunan_, _зурайған_, _народны_, _ikhumisa_, 
   {{0xe37f0177,0x13460180,0x26320256,0xfe400142}},	//   _palanca_, _aksesib_, _interešu_, _प्रक्रान, 
   {{0x85cd0045,0x11f70385,0xd95e0465,0x00000000}},	//   _контроло, _zemljišn, _capodist, --, 
   {{0x42d80465,0xcedd00fc,0x5cd70144,0xbff8022a}},	//   _vedeli_, _bipivnes_, _اعياد_, _ladyekas_, 
   {{0x9cf4014a,0x21b301a3,0x92920527,0x13bd004a}},	//   _منتظمین_, _ساھرن_, _ispade_, _fäqat_, 
   {{0xc973011a,0xee3e0137,0x9d610197,0x00000000}},	//   _ורוטס_, _тасагтай_, _parantèz_, --, 
   {{0xd5120462,0xf5e90229,0xcf4402c7,0xf75d0311}},	//   _andlersh, _abbaslı_, _endstufe_, _ዘነኣኣሶም_, 
   {{0x230301b5,0x950b004f,0xc2d8028d,0x62490348}},	//   _marabou_, _bareegul_, _kolez_, _akambe_, 
   {{0x61b3032e,0x5ab0004c,0xe2e903ae,0x00000000}},	//   _apkataña, _agakisib, _signert_, --, 
   {{0x227e0074,0xcadf01f0,0xe6cd00a5,0x62910338}},	// [8680] _kiinni_, _biledits, _atuatuai, _levat_, 
   {{0xb5430374,0xc2d801b4,0x12000206,0xc303008e}},	//   _komissiy, _beleef_, _vidiek_, _garabou_, 
   {{0xfcf800a4,0x72000075,0x31570066,0xc2d80058}},	//   _принципт, _munin_, _энергийн_, _diled_, 
   {{0x6255023b,0x499a00e6,0x2a99021c,0xfeb2035d}},	//   _hāloa_, _市发展和改革委员, _netuším_, _aktuelne_, 
   {{0xe3050028,0xa27e04b9,0x629401c1,0xfd6401db}},	//   _روزان_, _shins_, _शिदोरी_, _медальме, 
   {{0x727f01cd,0x0c740079,0xb2d80028,0xf5e90418}},	//   _phansi_, _nojumes_, _koley_, _kararlı_, 
   {{0xe58903d1,0x46c8013b,0xab960029,0x79e3014f}},	//   _pasaulē_, _laranjei, _کوژێت_, _показао_, 
   {{0x32e60108,0x69a0046d,0x024800c5,0x195f003c}},	//   _duanana_, _tshanḓa_, _animé_, _گیلکی_, 
   {{0x02ca05c1,0x520007d1,0xe5540046,0x7250012e}},	//   _dialami_, _komini_, _بىلبەگەن, _célba_, 
   {{0xbc5b01bb,0x623702bb,0xc2700155,0xbca60366}},	//   _tertibi_, _misja_, _områdena_, _гамсун_, 
   {{0xe200037c,0x3634026c,0x7291004f,0x50f5016e}},	//   _domini_, _電腦及互聯網_, _atbara_, _verimlil, 
   {{0x70b80354,0x71db0386,0x32b9002a,0x22d9043a}},	//   _истан_, _mengubah_, _jeremaịa_, _nivers_, 
   {{0xe5e9016e,0x63ea0129,0x34ca020f,0x02f2002f}},	//   _zararlı_, _kweta_, _سرګلولې_, _illichu_, 
   {{0x9e4b027b,0xbd1502af,0xecab0092,0x9e450499}},	//   _abhaavaa, _akaruhur, _クチコミ数_, _magamaga, 
   {{0x05e90390,0x76d00117,0x51ca0243,0xb84d0256}},	//   _maraqlı_, _behainim_, _baatilik_, _izraisīj, 
   {{0x22000294,0xab8e036a,0x669b017f,0x42d800e1}},	//   _hunin_, _bibivoro_, _itigarti, _doley_, 
   {{0x72910138,0x12d900f4,0xa2d800bd,0x9e270040}},	// [8690] _devam_, _ampoent_, _biled_, _וגורם_, 
   {{0x627e02f3,0x667d0192,0xd2000028,0x82d504d7}},	//   _munnen_, _wereldwi, _cunin_, _andlegt_, 
   {{0xe4da01f4,0xff3203b0,0xd2e601a6,0x882804c7}},	//   _сочни_, _førstepl, _aranona_, _застраши, 
   {{0x5c5101a7,0x02c10203,0x227e01e6,0x5993018f}},	//   _hintoja_, _burlesc_, _bubny_, _luthomme, 
   {{0x7b20001b,0xcb8b018d,0xd3aa032d,0xa3dc0462}},	//   _albamiin_, _ክትጠፍእ_, _dipakeng_, _animaliz, 
   {{0xf20e0238,0xd5e9016e,0x52d9007b,0xac5303aa}},	//   _запам_, _yararlı_, _aivers_, _स्केन_, 
   {{0x33410428,0x727e0409,0xd2d504ea,0x526c00e4}},	//   _namesto_, _akane_, _pyllait_, _schody_, 
   {{0x6e86013e,0xf38603ff,0x07ae0272,0x89eb01eb}},	//   _životne_, _tvorbu_, _abatasii, _enrramad, 
   {{0xc287049e,0x62910272,0x7e1b021e,0x00000000}},	//   _funkcie_, _kubawa_, _vetenska, --, 
   {{0x8e1b02c2,0x6e4a004b,0xad870239,0xac1c02bb}},	//   _wetenska, _bosatane_, _porepore_, _pulpitu_, 
   {{0x7016023d,0x85c70444,0x62910047,0x761d0260}},	//   _екскурзи, _мастерст, _apparemm, _cartafol_, 
   {{0xf27e0305,0x72910119,0x724a002b,0xbaaf0311}},	//   _funnen_, _lubawa_, _কান্তি_, _ንምፍልላይ_, 
   {{0x325a032d,0x529100e9,0x7200018a,0x8b0d01f7}},	//   _wohle_, _seval_, _lunio_, _ajustame, 
   {{0x98d5007e,0x027005bd,0x72d90318,0x78630184}},	//   _प्रस्तरा, _områdene_, _kotea_, _inankund, 
   {{0x03800005,0x48670066,0xf9670066,0xad9300f3}},	//   _estras_, _antolaku, _antolake, _angenele_, 
   {{0x427e0265,0x127f0167,0x8db20375,0xf4cb00da}},	//   _kunnen_, _agenna_, _ambiyaza, _школиле_, 
   {{0xef69032c,0x77cc0224,0x2938020f,0x4cc50011}},	// [86a0] _allanarn, _brussuli, _جوړجاړي_, _basibamu_, 
   {{0xeb1903e7,0x09ad015e,0x73f90008,0x12da0139}},	//   _agrarian_, _болтурбо, _digues_, _ceteti_, 
   {{0x98260573,0xb6070162,0xc729003d,0xed160040}},	//   _سامانا_, _балдур_, _compartí, _מבוכים_, 
   {{0x2595053f,0x472d0211,0x39d60138,0x97a60079}},	//   _purinpxä, _казалось_, _galerile, _santehni, 
   {{0xdc74045b,0x937a00a5,0xb60a0153,0xa8830397}},	//   _forumet_, _peaario_, _全カテゴリ_, _безарарг, 
   {{0xf200045e,0xfdbe01e9,0x235403ad,0x29f5017a}},	//   _uomini_, _disaense_, _flieles_, _amnikeza_, 
   {{0xc9d402bb,0x2fb300f5,0xce5c0229,0x6b2b02be}},	//   _संग्रहीत_, _ёлдашына_, _gombulla, _balagtas, 
   {{0x06b7042f,0xbab40288,0x82da01fe,0x12f4014a}},	//   _kangikhi, _emakurin_, _ketesi_, _kivitel_, 
   {{0xb34e0261,0xcbec0046,0xc26e00c1,0xe3ea01c0}},	//   _hoteloj_, _تۅمۅنكۉ_, _aktivasi_, _dantse_, 
   {{0x5f6b00d2,0xd6e6020e,0x28bb025f,0xa49c0066}},	//   _parantos_, _dipalagw, _misionɛr, _aizarnaz, 
   {{0x2e3d053f,0x129000a8,0x54ce0205,0xcb70031a}},	//   _jasakipa, _affar_, _хазинаси_, _reusanta_, 
   {{0x4a8901a4,0xd7eb028b,0x6b9b052b,0x8dbe0361}},	//   _hipocris, _ассамбли, _संकुचित_, _объектах_, 
   {{0x9b0600d6,0xe2900262,0x951b0158,0x96b60185}},	//   _chugainn_, _almaly_, _ortopedy, _барыйк_, 
   {{0x24a801f6,0xe29400dc,0xb2c60129,0xa02500c7}},	//   _বিদ্যাৰ_, _enokati_, _okwesiri_, _ахирәткә_, 
   {{0xcfc90013,0xc3ea020e,0x8c5301cf,0x73b802e2}},	//   _келгуси_, _bantse_, _portara_, _anywise_, 
   {{0xd8ab0148,0x5cb20045,0x52c60200,0xb26c0115}},	//   _我的喜愛廣告_, _кукуруза_, _ikwesiri_, _perolehi_, 
   {{0x027e0402,0x149f0276,0xd29103b3,0xb988032d}},	// [86b0] _ghani_, _амалсиз_, _cubava_, _boikgant, 
   {{0xa3f30008,0x5eb003b0,0xed0b002c,0x420701ef}},	//   _exercici_, _nærmare_, _harrigar, _kupiškio_, 
   {{0x927e0025,0x0c62038b,0xc714025e,0xbe3001c5}},	//   _ahani_, _letusan_, _kantinum_, _degganaa, 
   {{0xec0501aa,0xc4d802d3,0x12da0102,0xef4a007f}},	//   _abarbay_, _diversão_, _tetesi_, _gamsilla, 
   {{0x295900de,0x628700e4,0x7f530060,0x03e100f8}},	//   _akalidle, _punkcie_, _كىشىرەيم, _সঙ্কটে_, 
   {{0xcb6004bd,0x027c025c,0xbaf40026,0x630d04d2}},	//   _telemann_, _ausstell, _waaronde, _innafor_, 
   {{0xe9c2042f,0xba0c04c3,0x3a8b009a,0xf30002c9}},	//   _haavitau, _vinacone, _پرورده_, _romanii_, 
   {{0xd64802b2,0x74070005,0xf8b7051b,0xe2e603e6}},	//   _центрі_, _contuorn_, _protahov, _kennten_, 
   {{0xa25a0516,0xc06702c3,0x5eef005d,0x0d8a022b}},	//   _sailed_, _sebavedo, _ipositív, _frumskja, 
   {{0x727e03b6,0xacf202f4,0x47d3020f,0x00000000}},	//   _ikini_, _carteler, _ايډيټر_, --, 
   {{0x82900145,0x42d8017c,0x5e1b03b7,0xe2c303c2}},	//   _perkant_, _modet_, _ardestha, _ballloo_, 
   {{0xdfbd00c7,0x43ea0377,0xf689002b,0x6f830156}},	//   _fotoalbo, _aveti_, _ওয়াশিংটন, _קװיטל_, 
   {{0xad0301bb,0xb27e019d,0x2d2201f1,0x865500fb}},	//   _hukuklar, _chani_, _pozitive_, _elandelw, 
   {{0xea680105,0xcffa0261,0x1ca400cb,0xd83902ea}},	//   _komorows, _sanktulo, _бухтон_, _последва_, 
   {{0xde4a0044,0xba120428,0xd84601db,0xc3ea0372}},	//   _נדרשים_, _preberit, _агрегатт, _cantre_, 
   {{0x83ea01b7,0xb3f7017d,0xf39700bb,0xa91d031c}},	//   _eveti_, _質問した人_, _نگہبان_, _continúa, 
   {{0x9616033c,0x027e02fa,0xe27e0198,0xe22a017a}},	// [86c0] _boblogai, _nkana_, _uhani_, _додар_, 
   {{0x57170163,0x56140037,0x960a042b,0xb27e02e0}},	//   _akkumulá, _ግልፅነት_, _gradskim_, _ikana_, 
   {{0x2c76018a,0x1c4100e6,0x8d130139,0x0773034c}},	//   _hytrach_, _规范农村财务管理, _aśrupary, _ботлары_, 
   {{0xb3ea0342,0xa7430142,0x22910139,0x00000000}},	//   _rantre_, _परचित्ता, _devah_, --, 
   {{0xb0ea008d,0xec6a01c9,0x54b90039,0x00000000}},	//   _дўзах_, _छुट्ती_, _ахалсан_, --, 
   {{0x4d8900e1,0x898d00bf,0xe2d803dd,0x077200e7}},	//   _anifuate_, _записать_, _godet_, _artzschw, 
   {{0x27e3000c,0x057404e3,0xb97a0021,0xf547013f}},	//   _боливио_, _mostarsk, _ancheste, _diskoach, 
   {{0x525a003e,0xc5ec0041,0xd38602ec,0x127e023b}},	//   _mohla_, _апоцесс_, _dhirta_, _okana_, 
   {{0x465501f9,0x129b00bb,0x22da0231,0x2edf001c}},	//   _alandelw, _بھونڈے_, _veteri_, _kahitaas_, 
   {{0x0c04033b,0xc91e01e0,0x2dbc03c0,0xf23e0121}},	//   _abishai_, _ولایه_, _antallet_, _málaga_, 
   {{0x8c290390,0x727f00bd,0x7af40271,0xce09003a}},	//   _versiyas, _turnt_, _innsatse, _bildirma, 
   {{0xb2550319,0xcc7d017e,0x52170176,0x00000000}},	//   _সংস্থা_, _konsilo_, _daikikam, --, 
   {{0x1b760377,0x6d1b018d,0x73a50164,0x6b920060}},	//   _графиче_, _ንኽንደይ_, _муавин_, _دەيمىن_, 
   {{0x2e390030,0x32910103,0x628e027e,0xde48004d}},	//   _dienests_, _kubata_, _дража_, _藝文活動查詢_, 
   {{0xfc380101,0xd2d803b0,0x39410244,0x008d0188}},	//   _executar, _synest_, _chilomet, _кисса_, 
   {{0x6c8000b7,0xc3430145,0xc200003d,0xed0001a3}},	//   _сенем_, _privalom, _munic_, _ذھانت_, 
   {{0x7616007f,0x3389017a,0xbc600071,0xc27e02e8}},	// [86d0] _poblogai, _amashaji_, _celukan_, _chinu_, 
   {{0xfac301c5,0x1248000e,0x49e70013,0x82900209}},	//   _کۆنگی_, _dolorosi_, _فارسچه_, _affai_, 
   {{0x22c60047,0x12cb0052,0x2565016f,0x0b080217}},	//   _第三十六条_, _mladá_, _служити_, _surprisa_, 
   {{0x953b008f,0xf43e00d0,0x827e025e,0x53730020}},	//   _उत्तरबंग, _сална_, _ekinn_, _lafaele_, 
   {{0xc0990397,0x3249007e,0x227e02f9,0x00000000}},	//   _пайнавиш, _dhamme_, _okinn_, --, 
   {{0x534f02eb,0x7979029d,0xa0a400bb,0x59880170}},	//   _dutenak_, _сербаре_, _مضمرات_, _anakupat, 
   {{0xa27f023b,0xd8c1004c,0x245f0097,0x323701ed}},	//   _ahanui_, _abatateg, _bóòlù_, _loomena_, 
   {{0x0c260109,0x8804051e,0x7405040e,0xf28700f3}},	//   _सिटौला_, _concluir_, _agronomk, _niyayazi_, 
   {{0xb3ea0099,0xa98001d9,0x725b043f,0x262b0331}},	//   _kwete_, _natiirle, _dublje_, _bygningi, 
   {{0xd7af018d,0x4db80372,0x2b470064,0xd13e0138}},	//   _ብትኽክል_, _dosrannu_, _فارسئى_, _reddedil, 
   {{0x6051040e,0x924600f2,0x1f5c0153,0x61900061}},	//   _barnebok_, _ballīti_, _大連クラブ_, _하더라고요_, 
   {{0x952b03db,0x403e01d0,0x530201c8,0x230e030a}},	//   _alisekho_, _byggepro, _podnikaj, _pesares_, 
   {{0x427e00fe,0xc17e0161,0x00000000,0x00000000}},	//   _ehano_, _бизнесом_, --, --, 
   {{0xe290045c,0xdbf102b4,0x59b80229,0xfa09040e}},	//   _pomaly_, _atitsats, _azarkeşi_, _bitstrau, 
   {{0x324b01b8,0x2a7700ce,0xaf8b0206,0x627e0334}},	//   _जिजेले_, _laplikas, _seminár_, _ghano_, 
   {{0x7253028a,0x65570297,0x94ff037b,0x2e210017}},	//   _kialbeni_, _biznesın_, _comunión_, _शास्त्रल, 
   {{0xd622049e,0x32000031,0x3ea600b4,0x796e0281}},	// [86e0] _odvolani, _etnis_, _sustinut_, _asannitt, 
   {{0xd2d801b9,0x5d0b039a,0x00000000,0x00000000}},	//   _anlev_, _meloncat_, --, --, 
   {{0xf2d80163,0x138602bd,0x6b7b01e8,0x306e00dc}},	//   _hideg_, _asbri_, _hingalan_, _limatolo, 
   {{0x12000073,0xbb3901f4,0x8ee901f9,0xe3200472}},	//   _runic_, _парчалан, _awukafan, _menyia_, 
   {{0x9f6502d9,0xeed00029,0x42fc0666,0x525b02ae}},	//   _tatalain, _ناهێڵم_, _njegu_, _rublje_, 
   {{0xa2ef005c,0xa0de0257,0x927e019a,0xae54032d}},	//   _ngufu_, _grundvel, _ahint_, _diyantle_, 
   {{0x20d3041a,0x8969017e,0x5768018d,0xa41e022f}},	//   _класу_, _solidare, _ተዋሳኣይ_, _karinink, 
   {{0xdc62007a,0x0bc800ba,0x8c7100cd,0x886c0326}},	//   _letupan_, _رماێه_, _aderent_, _azunungu, 
   {{0x00c2035b,0x0e570197,0x227e0245,0xef220121}},	//   _priljubl, _antrenè_, _shano_, _analizar_, 
   {{0x56c704d6,0x7e39050b,0xdd7f01da,0xb2d90318}},	//   _प्रशंसको, _kesakita, _kaluarën_, _kotee_, 
   {{0x223a020f,0xe3860187,0xe1f40109,0xbd7c0159}},	//   _abavumil, _adoram_, _अलिअलि_, _бардэляў_, 
   {{0xd278033d,0x926d03f1,0x4fab0040,0x6b94070c}},	//   _tounen_, _rezort_, _למניפולצ, _celzijus, 
   {{0x932f0475,0x8e1c003e,0xc2d9033a,0xddf4016f}},	//   _обратите_, _betetsha, _difens_, _гендерно, 
   {{0x72d80211,0x444c018d,0xc0ac0139,0x6b6a0045}},	//   _eilen_, _ብዘይዝኾነ_, _adhastād, _позицији_, 
   {{0xa8680156,0x62d9003d,0x626300b9,0x3b6f02fd}},	//   _מתמידים_, _notem_, _अर्जुनाल, _gliongar, 
   {{0x82d80166,0xe27d00f5,0x03870033,0x52d4018b}},	//   _indem_, _кадалары_, _tiarza_, _ciudat_, 
   {{0x927e022c,0x12ca007b,0xb975014c,0x00000000}},	// [86f0] _akang_, _daidil_, _siyingxe, --, 
   {{0x32d90004,0xe8cd0078,0xe12e0371,0xcebc00c5}},	//   _kotem_, _доброчин, _боровинк, _puissent_, 
   {{0xf60e018b,0x3627003c,0x0af50233,0x996d0212}},	//   _octombri, _سامانه_, _aeroplan_, _moviemat, 
   {{0x52d801f1,0x5c770113,0x883e0371,0xe2d50414}},	//   _cilen_, _مرتضى_, _мишки_, _bitonga_, 
   {{0x827f04e5,0x3f2e007f,0xfee205a3,0xabd10594}},	//   _ahansi_, _adduneda, _सूर्यबहा, _randaber, 
   {{0xb27f005b,0x16180311,0xa59f0153,0xde8d0110}},	//   _shanti_, _ትርጉሞም_, _タグリスト_, _funkcijā, 
   {{0x98a50401,0x82d800af,0xa27f01b5,0xa2c504ad}},	//   _इच्छुक_, _filen_, _chansi_, _etelele_, 
   {{0x42fc038f,0x72920357,0x97d60258,0x750e0156}},	//   _kroget_, _mawalu_, _fleantug, _צילינדער_, 
   {{0x0617003a,0x43420145,0xfa89035d,0x571e0299}},	//   _دادالله_, _pokerio_, _džinovsk, _زاۋۇتتىن_, 
   {{0xe3550331,0x6d380342,0xe7a10040,0x5e4d006e}},	//   _ávegis_, _dechifre_, _בדיסק_, _espaywee_, 
   {{0xdc7d0125,0x1396004f,0x420000ac,0x13410207}},	//   _görsem_, _bessal_, _punih_, _ڳنوار_, 
   {{0xe2d80369,0x0ef103b7,0x21a8001c,0xbb6203ab}},	//   _kileo_, _adykinin, _eckernfã_, _fontána_, 
   {{0x42e30515,0x82d8028d,0x46020255,0x92d401a3}},	//   _diminue_, _vilen_, _स्वागताध, _زنگيجو_, 
   {{0xd2d801da,0xe5b900c4,0x02ca01c9,0xadf50076}},	//   _andej_, _سوڀارو_, _saidil_, _стимулац, 
   {{0x121500d9,0xf37f02f8,0x5396029b,0x7202018c}},	//   _страховы, _kamataa_, _fessal_, _antiek_, 
   {{0x41ed018d,0xb2fc05dc,0x54a40308,0x00000000}},	//   _ንኽትድሰቕ_, _broget_, _membekuk, --, 
   {{0x71d601a7,0xb27e0057,0x42d40168,0xec9700d1}},	// [8700] _сентября_, _skang_, _snudde_, _মলীয়াবৰু, 
   {{0x0b6c0698,0x725d0145,0xdb4f01bb,0x21630313}},	//   _kuronder, _мясное_, _hemmeler, _danismeh_, 
   {{0x4c53000b,0x22d900d2,0x32b600d3,0x4f58038c}},	//   _tautala_, _lotek_, _porcí_, _bahaćenj, 
   {{0xc1970497,0x538701ac,0x80b202ac,0xed2a02b6}},	//   _sanctity_, _bharra_, _ماشفت_, _араласад, 
   {{0x62d80017,0x63870392,0x07d4005e,0x42ea0308}},	//   _kodex_, _charra_, _ﺗﻪﺭﭘﯩﺪﯨﻦ_, _impikan_, 
   {{0x2386022f,0x720000f6,0x4c2a03da,0x529200d2}},	//   _skirti_, _kimisi_, _nsinambu_, _kawalu_, 
   {{0x83710264,0x06b70476,0x1e4f021f,0x00000000}},	//   _tumawag_, _akagashi, _gulalama, --, 
   {{0xb63401e5,0x2a7002a2,0x896d0026,0xff9a02e7}},	//   _ailabawọ, _gumagawa_, _brandwee, _baldomir_, 
   {{0xff8d0570,0x4adf032d,0x79f504da,0xaf0f056e}},	//   _मक्का_, _bilelits, _pričati_, _morcegos_, 
   {{0x82d90198,0xc5c70307,0x95b1024c,0x42fa0291}},	//   _potem_, _angamath, _buddiżmu_, _fuílleac, 
   {{0xe29201fb,0x234e013d,0xfe4c00ad,0x18bd00d3}},	//   _appare_, _literoj_, _dilakona, _राज्यबाट_, 
   {{0xc2d90287,0x49d001f2,0xf25a001d,0xec76034f}},	//   _fotek_, _зейиң_, _dohle_, _بدليږي_, 
   {{0xf26d0230,0x51e100be,0xe5e0002b,0x526e01e7}},	//   _anform_, _ازدەكتەگ, _বৈষম্যের_, _gerode_, 
   {{0xa5380056,0xba0b0362,0x1b4b0563,0x6c6200e0}},	//   _футболбо, _bakatela_, _računari_, _betrape_, 
   {{0x626e0544,0x39f602f9,0x4c3801b3,0xf2da03dd}},	//   _herode_, _ensèk_, _поставте_, _aftesi_, 
   {{0x231502ce,0x92fc0033,0x775e01b3,0x830e0008}},	//   _gancang_, _proget_, _тренером_, _desades_, 
   {{0xc303018c,0x02b403a1,0x1572068d,0xf2500479}},	// [8710] _bedankt_, _novità_, _kultursk, _célja_, 
   {{0x6be301b3,0xd27e004c,0x7e69027b,0xca080282}},	//   _боулінг_, _baingi_, _एकीभूतः_, _tonatona_, 
   {{0x3c76015d,0x0b190361,0xbf670654,0xd31501b0}},	//   _सूक्ष्_, _каскадны, _ditampun, _bancang_, 
   {{0x72ca044a,0xe5cb00c0,0x6b7d01ff,0x55180059}},	//   _abaloli_, _pamantay, _finančná_, _dovranno_, 
   {{0x587f00a7,0xc4d200e6,0x52d401c8,0x35720137}},	//   _cercador_, _原本大学微言_, _tvrdá_, _секундээ, 
   {{0x92d80175,0xc2910265,0x4a7e020d,0x81c303d4}},	//   _anler_, _bevat_, _abandits, _говорио_, 
   {{0x7a080027,0x024900e0,0xfa46021b,0xb9390087}},	//   _jimatana_, _skamje_, _частоты_, _hlomanga_, 
   {{0x1c6d04f5,0xc9f40041,0x3c690077,0x225b04d7}},	//   _verujem_, _andýi_, _antrepo_, _skaltu_, 
   {{0xc2e705a9,0xb0d80060,0xcbaa005e,0x72ef01ca}},	//   _itungwa_, _грамотас, _ﯰﻧﯩﯖﻐﺎ_, _jilitha_, 
   {{0x535503e6,0x09cc045b,0x6fe10061,0xba14028a}},	//   _blieder_, _jordskje, _고춧가루를_, _nikasema_, 
   {{0x714f0029,0x92ea022c,0xf9e1054a,0x7168026b}},	//   _پسپۆری_, _ampihan_, _vodolija_, _তেজপাতা_, 
   {{0x79680116,0xdc05041e,0xf4be03ae,0x56c90093}},	//   _antiqate, _pessimi_, _fotballk, _системин, 
   {{0x867f0036,0xb16c0287,0x027e00e4,0x9cf2027c}},	//   _لموسم_, _atributy_, _chiny_, _ناسمو_, 
   {{0x12a604d6,0xb64e01f9,0x20e701b2,0x125a02aa}},	//   _osoby_, _atikadzi, _advisedl, _moznosti_, 
   {{0xd2910261,0x030e0534,0x13b002aa,0x5c0102ca}},	//   _devas_, _secafer_, _substrát, _seisear_, 
   {{0x673903b8,0xee1f01ef,0xcb390046,0xfefc01ab}},	//   _ананың_, _duomenys_, _матенада, _फुदकत_, 
   {{0x62910256,0xfc7e0088,0x98d60475,0x0ae60288}},	// [8720] _nevar_, _consell_, _стремлен, _filthine, 
   {{0x02b40420,0x927f006e,0x286b0170,0x0453018d}},	//   _clicar_, _baangi_, _akungofu, _ትእምርትን_, 
   {{0x3c6a006a,0xf4180053,0xa0ee03a2,0x12df0205}},	//   _mistery_, _terinfek, _भिड़ेंगे_, _tahorat_, 
   {{0x4b4a00ee,0x410c0092,0xc365019b,0x0f7701d1}},	//   _долларын_, _スレッド表示_, _rengimo_, _bombings_, 
   {{0x52900055,0x80a600da,0x3a590339,0x79280045}},	//   _mercanti_, _сентинца_, _pepehiia_, _центара_, 
   {{0xa1c500c5,0xb5cc02df,0x51cc0333,0x9b4b035d}},	//   _中华人民共和国国, _malangny, _ostilità_, _računara_, 
   {{0x92ca0044,0x42910367,0x0da2069f,0xbf4b01b8}},	//   _finder_, _levar_, _starostu_, _naistema, 
   {{0x3b6802ee,0x9ad0003c,0x62d90465,0x88870109}},	//   _prattika_, _سرتیپ_, _potek_, _životů_, 
   {{0xd2910058,0xc2fd0094,0xfa210004,0x921502bb}},	//   _tevas_, _بارمتاعا_, _batcheba_, _rankingi_, 
   {{0x625702ac,0xa2df0055,0xd27e002b,0xb2ca01b6}},	//   _الزكاة_, _antoniu_, _আদায়ের_, _hinder_, 
   {{0xf7a20077,0xbf3a02d5,0x46a20175,0x53a302d3}},	//   _kontribi, _saaremaa, _kontriby, _empresár, 
   {{0x4c6f00ae,0x438700d6,0x702e0035,0x5d2f00c5}},	//   _agurana_, _tiarna_, _драматик_, _matières_, 
   {{0x5f490626,0x63800082,0x8b0900b7,0xdb6202dd}},	//   _existuje_, _afurka_, _dollaryň_, _drenaġġ_, 
   {{0xd30e014c,0xe4ad0443,0x075a0272,0xfff000f0}},	//   _ababeya_, _dicalonk, _bannamig, _stierače_, 
   {{0xb975002e,0xfb0803ae,0x9aa501ac,0x6c1902ac}},	//   _koristit, _trafikks, _hairicín_, _irishjob, 
   {{0x4b130590,0x9b8a00a7,0x00000000,0x00000000}},	//   _хожлоор_, _заманчыл, --, --, 
   {{0x3ea30079,0x8347000c,0x514503e7,0xac7300c4}},	// [8730] _studijas_, _arhelia_, _kapuropo, _kansela_, 
   {{0x327f023b,0x31c60074,0x9c7f038a,0x00000000}},	//   _maanei_, _текстуры_, _hamupay_, --, 
   {{0x0c0000e1,0xd2ef0085,0x7a93015e,0x2d11009a}},	//   _afisaas_, _daufe_, _моделин_, _دلویدیځ_, 
   {{0xd26d019c,0x768004ad,0x837b0115,0x625703a2}},	//   _agboye_, _boidiidi, _hajarul_, _रुकेगी_, 
   {{0x7638012b,0x527f0322,0x8291019b,0x73560338}},	//   _zablokow, _abansi_, _arbata_, _estelas_, 
   {{0x30e80336,0x01d70126,0xbbab0287,0x130d00c7}},	//   _artikkel, _виникає_, _पुरुषको_, _dekaber_, 
   {{0xfd970338,0x1cd2024a,0x00000000,0x00000000}},	//   _favoriza, _pápaà_, --, --, 
   {{0x0e9601c4,0x6c7502df,0x7ef200d7,0x0f3601de}},	//   _gestalte_, _samseng_, _ивале_, _музыкаме, 
   {{0xef2e047d,0x0bee0145,0x2bfe00de,0x92b502cf}},	//   _bedeitun, _радок_, _ayingawo_, _placar_, 
   {{0x5e2702a2,0x0290000a,0xab7e02a3,0x632600dd}},	//   _pangyaya, _affaq_, _verneder, _banciau_, 
   {{0x144b0178,0x13f800ed,0x996d0133,0xcc290055}},	//   _antaḥsaṃ, _himua_, _ciminoot, _annatacc, 
   {{0x32d90074,0x235002fa,0x89940192,0x5c34027f}},	//   _joten_, _amafoto_, _cookiebe, _aracemer, 
   {{0xd2d9047d,0x8059034e,0xfda40414,0xba220041}},	//   _doten_, _altsanan, _basolola, _итәоу_, 
   {{0x4162023a,0xa3260372,0x00000000,0x00000000}},	//   _najsledo, _fanciau_, --, --, 
   {{0x92b3002c,0x63f900a4,0x53f800dc,0xab4200de}},	//   _munduko_, _sigues_, _limua_, _ayibalis, 
   {{0x7eaf01f0,0x463601e9,0x1b4f0153,0xe08c0161}},	//   _dinonyan, _godisedi, _クチコミ掲示板ラ, _динамику_, 
   {{0x92d8005b,0x9f64017d,0xa6e20247,0xb31700c7}},	// [8740] _inden_, _最新コメント_, _خودارضای, _aznaqay_, 
   {{0xbb7500ee,0xaefd00ec,0x00000000,0x00000000}},	//   _zorrotza_, _čikagos_, --, --, 
   {{0xb2d9023e,0xac280142,0xa969044b,0x3e960181}},	//   _boten_, _viduḥ_, _boligare, _bestilte_, 
   {{0x901000d6,0x8291013f,0x54f70125,0x42ea0116}},	//   _انتقل_, _pevar_, _аралса_, _hinnies_, 
   {{0x13980220,0xf98b005a,0x3d980220,0xc07d01ef}},	//   _пристига, _dachilbe, _sorgente_, _саксы_, 
   {{0x7380014a,0x8ce102e7,0x5bf4002b,0x664a0311}},	//   _matrac_, _biswakar, _কুয়াশা_, _የፍቅረካ_, 
   {{0x327f012d,0xbfcd02c0,0x4eec0040,0x9e450322}},	//   _laenap_, _насекаде_, _שהפרטים_, _bagahaga, 
   {{0x538701cb,0x0c13069e,0xfc87008d,0x2c1d0242}},	//   _inarha_, _utilizou_, _таомлар_, _ştatları, 
   {{0x5cbd00d1,0x827e0216,0x9cfe0156,0x00000000}},	//   _চেম্পিয়, _nkani_, _ריזשינער_, --, 
   {{0x12d80259,0xfe4802ac,0xfa7a03e8,0x0c5700c1}},	//   _anden_, _ليسوا_, _mlečni_, _करणेच_, 
   {{0xb5d6046d,0xb65d053f,0xff390193,0xe60a0189}},	//   _kombetsh, _purintaw, _दुनियेत_, _bildirim_, 
   {{0xf2ef0050,0xa9b4032b,0x4f2c0022,0xd06a00e7}},	//   _didinya_, _пучулуп_, _фототарт, _ansparen, 
   {{0xb75901a7,0x3262034c,0x7a410477,0xbe5d00f5}},	//   _преступл, _dekabrdä_, _disetiap_, _arabagla, 
   {{0x02000198,0x661e03a4,0x8b0704d1,0x93f9031a}},	//   _junij_, _tinginum_, _dimisión_, _freugh_, 
   {{0x440c02fe,0xcf4402af,0xab190343,0xfa7502ca}},	//   _پاکستاني_, _agisamba, _gitaasan_, _حبوبه_, 
   {{0xb3d2006f,0xd25a0300,0x9da70240,0x6c5500bc}},	//   _عبدالحفي, _mohli_, _droinita, _اذعان_, 
   {{0x71980585,0xa964026f,0x96a70405,0xd46d0022}},	// [8750] _specijal, _жүйке_, _навички_, _башымдан_, 
   {{0xd26e02cd,0xb34d0029,0xe250014e,0xc34403d9}},	//   _oktoba_, _جۆغرافیا_, _ненад_, _dravalom, 
   {{0xdab80164,0x82c2001a,0x3387015e,0x33550203}},	//   _كۈنلۈك_, _mailben_, _oberta_, _experit_, 
   {{0x32d901b9,0x06b901df,0xb9860350,0x00000000}},	//   _lotel_, _manaskri, _ውስብስብነት_, --, 
   {{0xb2010034,0x3b620231,0xc0640119,0xbdf100e4}},	//   _atvik_, _scaliger, _korapsyo, _kandydat_, 
   {{0xc0e10373,0x18680366,0x474000e6,0x00000000}},	//   _אדמור_, _аçтăрхан_, _确保全年目标任务, --, 
   {{0x12d201d1,0x6016032d,0x1da603db,0x53730342}},	//   _הקבצים_, _ларында_, _babonaka, _ankadre_, 
   {{0xfc5d02d8,0x0da901d2,0xe7bc0488,0x6db903b4}},	//   _पेजेस_, _anatachu_, _poliklīn, _bhanabha, 
   {{0x32780358,0x1c780039,0x1a5401a6,0xfb7204ec}},	//   _jounen_, _далимдуу, _morearea_, _karumuna_, 
   {{0xe63604ad,0x2b180264,0x00000000,0x00000000}},	//   _bodiredi, _nabatian_, --, --, 
   {{0x329201a7,0x6a590041,0x53f50045,0xf20103fc}},	//   _tapaus_, _лаҵуарам, _jesenjeg_, _utvik_, 
   {{0x65a0033d,0xd2ef0403,0xd31d01a9,0x2af40092}},	//   _jerizalè, _afafin_, _débito_, _overtide, 
   {{0x8f42042f,0x2b90002b,0xd2d9012a,0xb2e5002f}},	//   _uyaralia, _স্বৈরাচা, _fotel_, _arinina_, 
   {{0xf2d8011b,0xc3fc0210,0x83920038,0x00000000}},	//   _bilei_, _arondedz, _зобэер_, --, 
   {{0xd2d9015e,0x430801ef,0x917303d5,0x7ed5003c}},	//   _altes_, _jubiliej, _aafilley_, _kahyanga, 
   {{0x63ea0088,0xb2e20553,0x6da7003e,0x9b690055}},	//   _conté_, _poznám_, _dibonaha, _allumaga_, 
   {{0x827e019d,0x82d8006e,0xa1690071,0xf2130033}},	// [8760] _chanu_, _andeu_, _گرسنگی_, _dacheu_, 
   {{0xd6d70025,0xd96701f9,0x44ed0187,0x7ced0035}},	//   _कौशिक_, _balomphe, _формираа, _байлыкны_, 
   {{0xd35803c2,0x284e0222,0x23f8018f,0x62130278}},	//   _smuggle_, _seigneur_, _dimuv_, _baghal_, 
   {{0xb2d8014d,0xda730223,0x024a0147,0x00000000}},	//   _endet_, _индексээ, _كااپىرلا, --, 
   {{0x72d80101,0xf37f017d,0x53ed0157,0x8c6700d6}},	//   _zilei_, _この質問に対する, _प्रतिमाओ, _ورعان_, 
   {{0x53870367,0x60ad028a,0x80820434,0x8c530211}},	//   _aberta_, _مشترڪ_, _afectado, _hautala_, 
   {{0x926d02ae,0xd31003dd,0xfa070356,0x8b730107}},	//   _subotu_, _forcave_, _simanaxa_, _نمائیم_, 
   {{0xc36600f8,0x52d805ce,0x166a00c5,0xd4840235}},	//   _escribió_, _giden_, _信息网络传播权保, _विवादः_, 
   {{0x92d9000e,0xbaf700be,0x3c3700da,0x93a30008}},	//   _botel_, _пайданы_, _музиканц, _etapes_, 
   {{0x6cf000be,0x22e602e7,0xbbcf049d,0xcc53033f}},	//   _جىقباڭىز_, _igingon_, _culinári, _lautala_, 
   {{0x1da60462,0x72d80176,0x9dc402b6,0x3ff90037}},	//   _ersionva, _hideo_, _انگليا_, _በተቋቋሙ_, 
   {{0x927e0035,0x9dd50185,0x2d9101a7,0x8b700074}},	//   _tonnel_, _elekkege_, _eurooppa, _saksassa_, 
   {{0xc2d901d1,0x42d80409,0xb2e6006e,0xaf2e0421}},	//   _notes_, _viden_, _afinion_, _bedeutun, 
   {{0x1017003a,0x325a01e6,0x727f0043,0xbd8300cf}},	//   _پادشاه_, _mohlo_, _maanyi_, _amallisa, 
   {{0x2ca70163,0x2f540420,0x9c6f021b,0xf2e802be}},	//   _المناک_, _платиле_, _verrata_, _bihisan_, 
   {{0x72d80176,0x98c00409,0x238700ee,0xef280040}},	//   _andet_, _続きを読む_, _oharra_, _sustaina, 
   {{0x7213001d,0xd5c00482,0x73c80193,0x00000000}},	// [8770] _dreher_, _babarril_, _प्रतिशब्, --, 
   {{0x39610426,0xd967038d,0xb2d9019a,0x92df02a2}},	//   _पाईन्छ_, _endikate, _motes_, _itanong_, 
   {{0x52d90130,0xe2d80121,0x9fb80080,0x896f00d0}},	//   _votet_, _piden_, _ajalusoo, _frankist, 
   {{0xad2c00e4,0xec0a0077,0xa27f01af,0x224a030d}},	//   _remoncie_, _kompran_, _burny_, _girmir_, 
   {{0xf2b5029d,0x385003cc,0x12ca025b,0x24510092}},	//   _precum_, _পারভীন_, _rindar_, _全体を検索する_, 
   {{0x929001cc,0x527e0139,0x43f800a1,0xa04a0210}},	//   _agnau_, _ahant_, _hamuti_, _akaritan, 
   {{0x12000377,0xbcd90208,0x626e022e,0x303801b7}},	//   _lunii_, _ئوردون_, _nerone_, _anekasāh, 
   {{0x274e00ed,0x29f50060,0x4ca90037,0x0f020244}},	//   _anticonv, _шулатты_, _እንዲሸጥ_, _акули_, 
   {{0x82d903e6,0x02d800d4,0x04730303,0xc4da0187}},	//   _jotes_, _riden_, _baneelak, _воени_, 
   {{0xb2d003ab,0xc0e70448,0x227f018c,0x64ab00b3}},	//   _včera_, _almindel, _dienen_, _ashakdak, 
   {{0x02d8018f,0x59670487,0x22950185,0x4021012e}},	//   _didel_, _validate, _bornaş_, _zenekaro, 
   {{0x734a01a6,0x12d803e0,0x276101f1,0x73db031e}},	//   _tokerau_, _eidel_, _dashurov, _odluciti_, 
   {{0xd6280231,0x8291025c,0xf29202e4,0xe981021e}},	//   _civitati, _umfang_, _appalt_, _inaktive, 
   {{0x52d803b2,0x6b9700a7,0xc5f900da,0x927e02be}},	//   _video_, _таалим_, _организе, _tsinoy_, 
   {{0x627f0359,0xe2d50259,0xd48500db,0x81e80073}},	//   _hienen_, _billigt_, _अपनाइत_, _numinism, 
   {{0x93eb02bf,0x439a0208,0x9c3707c4,0x34c8036b}},	//   _awute_, _رسیمی_, _नवागन्तु, _затворет, 
   {{0xb5ee0037,0xf05501db,0xba3f0113,0x1bdc0037}},	// [8780] _የመደራጀት_, _اۋلاقپىن_, _رمادي_, _የምንዛሪው_, 
   {{0x92d90175,0x1b1300c5,0xf30a006e,0x10b70012}},	//   _loter_, _réputati, _diaffé_, _देहुअन_, 
   {{0x1cf301af,0xe2cb008b,0xb9d00502,0x00000000}},	//   _annaseýi, _faadil_, _likeryst, --, 
   {{0xc41d026f,0xd2d8046b,0x093a0126,0x439400c8}},	//   _ءالگى_, _dileu_, _тілом_, _emiswa_, 
   {{0x1dbe00c5,0x0e8a027b,0x00000000,0x00000000}},	//   _蛮儿天赐重逢_, _देहत्वं_, --, --, 
   {{0x52d80347,0x03f8008d,0x5c1b00a0,0xe2d90130}},	//   _ander_, _kumush_, _sakandar, _aoter_, 
   {{0x62d800e4,0x03eb0495,0x6a12023b,0xb80b0139}},	//   _wideo_, _ivutu_, _makakuke, _उत्सृष्ट, 
   {{0x746a04a0,0xb30000f3,0x82d90028,0xa27f0556}},	//   _moderado_, _amnandi_, _intee_, _ezenza_, 
   {{0x92ef033f,0x0eb80198,0x5a95002b,0x65e9016e}},	//   _taufa_, _pokojnin, _উত্তাল_, _karanlık_, 
   {{0x42d90633,0x5c740025,0x6b210241,0x2a70030f}},	//   _votes_, _अहल्या_, _foramiin_, _pumanawa_, 
   {{0x8c3d0211,0xc3a200ce,0x62ca0043,0x490200d1}},	//   _давления_, _konpri_, _algonac_, _কোম্পেনী, 
   {{0xdb5b047f,0x4a85014e,0x5b500184,0xbebf01dd}},	//   _दक्षिणी_, _публике_, _amatotra_, _impuguke_, 
   {{0x5af4038e,0x63fc02ee,0x7290022b,0xa86d00ff}},	//   _investas, _evalwazz, _stjala_, _atribuad, 
   {{0x4d3e039e,0x92f3034c,0x708c0022,0x5bb60092}},	//   _একমাত্ৰ_, _илсур_, _замандар_, _画像をクリックし, 
   {{0x3fc205a9,0x120a0162,0xd2eb034b,0xc7de041e}},	//   _abanyepo, _радиосин, _panisem_, _cumpagni, 
   {{0x6f350024,0x25e9013c,0x92ca03ec,0x00000000}},	//   _সম্পদৰ_, _qaranlıq_, _lindor_, --, 
   {{0x6efc0030,0x494b010f,0x827e00b9,0x33f303bf}},	// [8790] _samazinā, _thimothe, _ajang_, _babuelli_, 
   {{0x02da037e,0x604700bf,0x33f80130,0xbea801c8}},	//   _jeteli_, _заново_, _chouns_, _postroje_, 
   {{0x4290004e,0xecbc003c,0xcad8017a,0xac0b01c5}},	//   _manag_, _entailed_, _amadolob, _geestay_, 
   {{0x11e50045,0x1387051c,0x1d870444,0x470a0078}},	//   _будућнос, _kharai_, _варить_, _трагични, 
   {{0xb38701c5,0xa7a4050a,0xc2900047,0xeea60354}},	//   _sharci_, _kiralık_, _achats_, _екологий, 
   {{0x73f80231,0x438102e2,0xd2d900d2,0x2a5f042d}},	//   _simul_, _anastigm, _anteb_, _hateraka_, 
   {{0xd693004d,0x927e00ec,0xdc0b01c5,0x65cd020c}},	//   _需要幫助嗎_, _skanu_, _jeestay_, _ladangny, 
   {{0x73f8005a,0x7162009b,0x2c6e02cb,0xf15c00ec}},	//   _bimum_, _migrazio, _pištolj_, _рухаў_, 
   {{0xc29207b4,0x927e0058,0xf0e70433,0x42dc0297}},	//   _oppakt_, _ekans_, _steinfel, _бомбалау, 
   {{0xc29003f3,0xba160057,0x068c0469,0xaafa018d}},	//   _vanaf_, _dijangka_, _सुभाव_, _ክትጻወቱ_, 
   {{0x002e0022,0xe2ef00fe,0x34130155,0x8ce903bf}},	//   _аптыраға, _kaufo_, _baksidan_, _теннисы_, 
   {{0xdc4a06cc,0x8fae0397,0x73fe02ff,0xa1fc0209}},	//   _भोजनालय_, _завки_, _khazana_, _iggissam, 
   {{0xe2fc00ce,0xb2ab0286,0x9d08009e,0x38dc0005}},	//   _progre_, _mipakeow_, _churrasc, _defensiu, 
   {{0x72d80278,0xba490162,0x527e044d,0xb5a40087}},	//   _filem_, _مۇراسىمل, _donnal_, _kutsulek, 
   {{0xd2d90515,0x3e2702a2,0x512401db,0x53170205}},	//   _poter_, _nangyaya, _техникам, _tarzi_, 
   {{0x0c60004d,0xeb110120,0xee2e011a,0xd0380040}},	//   _女人我最大_, _gadhabó_, _rigorous_, _מגדולי_, 
   {{0x82d801c5,0x4ca000d1,0x0ffd0125,0x3859018b}},	// [87a0] _sidee_, _মুক্তিলা, _гарднери_, _ориентат, 
   {{0x33a1026c,0xb3940074,0x4e1c0145,0x0d77033e}},	//   _月份議題暫時停止, _omista_, _nedelsia, _gremialp, 
   {{0xa27e0025,0xbc6000d9,0xa1df0318,0x59b70076}},	//   _ahany_, _недалеко_, _kalofiam, _предели_, 
   {{0x2e2702a2,0x051b028a,0x535f02c9,0xb3e200d2}},	//   _mangyaya, _اسلحو_, _ilegale_, _bandoeng_, 
   {{0xe84f0318,0x8d6100c1,0x9fa40244,0x83f403a4}},	//   _folokopu, _ऐसपैस_, _денонощн, _fartel_, 
   {{0x4da1012c,0x9c7e0005,0xa3480053,0x6f240219}},	//   _بارگاه_, _versiun_, _dikenai_, _hhávu_, 
   {{0xd27e02ce,0xa3f80130,0xd48303ce,0x93870121}},	//   _ujang_, _dieub_, _غدادی_, _sufren_, 
   {{0xd7a803c2,0x63f00188,0x4e0604b4,0x8396047d}},	//   _postponi, _меоварад_, _edderkop, _aussoo_, 
   {{0xa31702ee,0x1dd400f3,0x7f07026b,0x9c6f005b}},	//   _marzu_, _asihlole_, _concedes_, _berreta_, 
   {{0x006102fe,0xcfc800b4,0x55ce017a,0x3691002b}},	//   _اندرس_, _judiciar_, _akwamany, _ভালুকা_, 
   {{0x8b710103,0xb2560173,0xacb700bf,0x28c90064}},	//   _makombor, _বিশ্বে_, _правой_, _бабалард, 
   {{0xa6c9053f,0x62d90050,0xd20e028b,0x31ba0405}},	//   _maratjam_, _soteh_, _начач_, _біржа_, 
   {{0xdd0a0212,0x8fba00be,0xa2d80422,0x43ac0191}},	//   _bearshar, _بەرۉۉنۉن_, _ogledi_, _tappat_, 
   {{0xab0d05e2,0x4c340220,0x9197021c,0x9d750291}},	//   _edición_, _didattic, _kopačky_, _اوبشن_, 
   {{0xd2bd0516,0x92e90342,0x2ac806d8,0xefc8012b}},	//   _liddell_, _alantou_, _स्मरणीय_, _upadłośc, 
   {{0xa387041b,0xa4a700a4,0x12ca021e,0x763b0287}},	//   _tharai_, _dinamitz, _änden_, _stabilní, 
   {{0x22e30003,0xd2010254,0xb3f40109,0x2a29005f}},	// [87b0] _politie_, _debido_, _prstem_, _suscript, 
   {{0x28730696,0x1d06003f,0x01470039,0xd2900119}},	//   _cancelar_, _chernisc, _дагина_, _agnay_, 
   {{0xbfea0044,0xb2d8033a,0x403a02e5,0xffa900ad}},	//   _קולומביה_, _lilek_, _избанзар_, _cocorowo, 
   {{0x7fe301f1,0xa04c0192,0xd2000378,0x6ff9004d}},	//   _theksuar_, _처리됩니다_, _arnir_, _橫行在異世_, 
   {{0xf27c00e5,0x92ca0176,0xc70504ca,0x7d850003}},	//   _necessár, _vinder_, _convidam_, _beperkte_, 
   {{0xf26c0203,0xceda0081,0xba870310,0x00000000}},	//   _avios_, _barnamyn, _mhanainn_, --, 
   {{0x55f60671,0x4d8502c2,0x12b303b0,0x00000000}},	//   _molekylæ, _skaduwee_, _vurdera_, --, 
   {{0x3c0702d2,0xa29000db,0x69010335,0xee510078}},	//   _шароити_, _vanad_, _amhākaṃ_, _остатка_, 
   {{0x262102ec,0x141e0033,0xa27f00fb,0x717f00d1}},	//   _hornafri, _archivaz, _obanzi_, _সভাপতিৰ_, 
   {{0xc2d80135,0x12d800d2,0x1f6b0445,0xf23a0207}},	//   _milek_, _pilem_, _espaços_, _maimamu_, 
   {{0x0e27004f,0x427f00f3,0x02cd0303,0xfd0c017f}},	//   _cangaaya, _ibanzi_, _katlego_, _imarsior, 
   {{0x11790145,0xa2e301f7,0x66b800e6,0xdc4a0116}},	//   _медным_, _lafitte_, _由烟草专卖行政主, _chawmer_, 
   {{0x88a301bd,0x43f8018f,0xd290033a,0x830902bb}},	//   _соларды_, _dimuh_, _gujana_, _nominacj, 
   {{0x12c8011d,0xa2ad009a,0xd290005b,0x00000000}},	//   _istorie_, _علماؤ_, _hanae_, --, 
   {{0xf496015e,0x94a1004a,0x0290005b,0x23d10045}},	//   _түгүл_, _atamasın_, _kanae_, _страдање_, 
   {{0x12e303eb,0x8ff900f4,0x32000064,0xe4a70703}},	//   _polisie_, _blakenno, _cunit_, _kukaonek, 
   {{0xbc7e025c,0xa2ca02f3,0x42d80117,0xf5a0002b}},	// [87c0] _mussten_, _skedde_, _vilej_, _বিচলিত_, 
   {{0x615c0046,0x09d200ef,0x32d8055f,0x56dc01c9}},	//   _курал_, _akafulat, _dilek_, _देखिह_, 
   {{0xa5e10121,0x95b70444,0xc5850308,0x19e700e5}},	//   _cafeterí, _бактерис, _direndah, _трудам_, 
   {{0x21c70122,0xbec90019,0x14b10086,0x3200003a}},	//   _باستان_, _симптомд, _غیراللہ_, _limini_, 
   {{0xd2ef0190,0xd2de043d,0x1a8700fd,0xfbf4025c}},	//   _taufe_, _memenuhi_, _chanainn_, _angebrac, 
   {{0xa2000241,0x68b60013,0xcb3f03d0,0x229000a5}},	//   _kunis_, _маҳфий_, _naobrazb, _spikers_, 
   {{0x920000ed,0x7918015e,0x1aad0139,0xca82032b}},	//   _yunit_, _маркумду, _पच्छा_, _ئەرمەك_, 
   {{0xc0510145,0x2f6500e6,0xe52f0059,0xec54019e}},	//   _хвост_, _民航等方面的工程, _fedeltà_, _выцякае_, 
   {{0xf3ff0205,0x59e003a0,0x6c53002b,0x0a5501d5}},	//   _gruziya_, _didiriwa_, _লেন্স_, _videóban_, 
   {{0x73be06ea,0x62240340,0x2acb0025,0xc7a1013a}},	//   _mwibieng_, _kaokao_, _पदार्थः_, _kritisei, 
   {{0x8f3b0227,0xa3430045,0xa2000198,0x8c740347}},	//   _ditujuka, _posetio_, _urnik_, _vanself_, 
   {{0x5200031e,0x4f5e0022,0xa2830093,0x5560002c}},	//   _crnih_, _позицияһ, _аллáхi_, _уйгурын_, 
   {{0xa2d80103,0xce350121,0x723c0095,0x74b30138}},	//   _aidei_, _billetes_, _crummel_, _turları_, 
   {{0x058802a4,0x66bd00c7,0x828e01bd,0xdfe20064}},	//   _tharpark, _болгарла, _заманнан_, _prohibir_, 
   {{0x4575015d,0xaef9020e,0xda4d0198,0xd6ed0297}},	//   _dostarcz, _alawense_, _skleroza_, _boksçı_, 
   {{0x36c5000b,0x1e9a03b0,0xe97d032e,0x2c750039}},	//   _matagofi, _følgjand, _tukhatat, _horreek_, 
   {{0x51340040,0x5c140198,0xe9ef020e,0x39310103}},	// [87d0] _טרנדים_, _podporo_, _dipikara_, _apembere, 
   {{0x2db902e0,0xf2d80231,0x22960109,0x6b8200cf}},	//   _akantsha, _fidei_, _मोटोपन_, _deenmaar, 
   {{0xe10c019b,0x72e8013e,0xc1400130,0xb27e0128}},	//   _pastatą_, _ikonicu_, _distrigo, _akani_, 
   {{0x044800ec,0xeedd0013,0x1c7404b3,0xd4d701c9}},	//   _алексіев, _топишинг, _dibunet_, _यूनिष्_, 
   {{0x813f02a3,0x1264066f,0xa3df0022,0x3dab0109}},	//   _geleidel, _oculto_, _elimelek, _zřizovat, 
   {{0x16640235,0x90ce0139,0x425d0194,0xa30f03ad}},	//   _व्यसने_, _ambarãųa, _capacitá_, _iħaffu_, 
   {{0xf27e0141,0x4e2f0177,0x4bb1014c,0x22d8028e}},	//   _ekani_, _архҭақәа_, _buchopho_, _silek_, 
   {{0xc8fb0121,0xa3f9013a,0xf2da03b0,0xf2d8010d}},	//   _demasiad, _klauen_, _sprell_, _pilek_, 
   {{0x325d02ea,0x35da0177,0xeb2c0347,0x00000000}},	//   _capacità_, _иҭыӡҭыҧ_, _nalatens, --, 
   {{0xa0630076,0x720e0397,0xc2d80165,0xc9ec033f}},	//   _моторот_, _abayihol, _oilei_, _mafutefu, 
   {{0x93840016,0x627e05f4,0xf0f202a5,0x00000000}},	//   _פאברואר_, _ajina_, _जनकवि_, --, 
   {{0x137c01fc,0xb2d901f1,0xe2b700be,0x9200029e}},	//   _garadde_, _lotet_, _شىبىرادى_, _erfin_, 
   {{0x427400a6,0xbc340360,0xda5c00a8,0x7d6801dd}},	//   _یوالی_, _didaktic, _agreabla_, _arambiwe_, 
   {{0x927e0357,0x9c31019e,0x549003a2,0xfe27003f}},	//   _djina_, _сталкеры_, _कथामराठी_, _janglahp, 
   {{0x43ce0062,0xf3150227,0xcb8b0140,0x9b0b00d8}},	//   _chovha_, _pancung_, _dumiskar, _comptare, 
   {{0xff690374,0x029503ee,0x8a5101a3,0x4f1f0227}},	//   _bolalarn, _detaljim, _آڌاريل_, _rintanga, 
   {{0x6d800342,0x2d36029b,0x9d8802bb,0x20e501c1}},	// [87e0] _develope_, _andirekt_, _स्टुअर्ट_, _गिरीजा_, 
   {{0x64a70088,0x53cf016a,0x7e1a042e,0x03790062}},	//   _organitz, _latva_, _lidenska, _luqatha_, 
   {{0x52d80255,0x3bc30291,0xbc47004a,0x29580311}},	//   _kalevi_, _ومسجات_, _баеган_, _ብዓቕልን_, 
   {{0xbbb0004c,0x7033038e,0x2d2e0148,0x82c502f7}},	//   _abakubir, _आहाहा_, _retinere_, _buelele_, 
   {{0x3b1f0084,0x0ea60045,0x637104b2,0x1e3e00ba}},	//   _kajadian_, _кадрови_, _pumayag_, _سازکراوه_, 
   {{0x6a1503c2,0xe0bc0568,0x6542033d,0xe3ef0108}},	//   _discreet, _framstil, _cockfigh, _ngalengk, 
   {{0x9e93029f,0x03f801df,0x9d0a046f,0x00000000}},	//   _primeran, _chouks_, _hoerfaar, --, 
   {{0x03440009,0xc2de02bb,0xa34b0214,0x72d901d3}},	//   _pravilom, _radomiu_, _bewebhu_, _hotet_, 
   {{0x9844041a,0x2cf500e6,0x82cb02aa,0x00000000}},	//   _спеку_, _市地方税务局_, _spadlo_, --, 
   {{0xe3400052,0xa32002fa,0xa3a90077,0xd9210145}},	//   _काउंट_, _manywa_, _chavire_, _kambariu, 
   {{0xc2d800d7,0x62ef00aa,0x53eb0149,0xad4700a4}},	//   _balevi_, _baligya_, _mwute_, _تۇسۋدەن_, 
   {{0x3dd00036,0xc25605ac,0xcdf20139,0x96550109}},	//   _اليسار_, _jólum_, _bandhusa, _modelům_, 
   {{0xb649032c,0x7bac01db,0xb36c02c3,0x983e0204}},	//   _biskoppi, _كەڭەسىپ_, _tabletov_, _фишка_, 
   {{0x73430420,0x69c3056e,0x4ebe00ff,0x9b1c012f}},	//   _главната_, _desempre, _יוניאנס_, _karamwen_, 
   {{0xb34b03db,0x00000000,0x00000000,0x00000000}},	//   _sewebhu_, --, --, --, 
   {{0xb469040d,0xc2260278,0x1f2a007e,0x1af902c7}},	//   _bolelago_, _poskod_, _aparamap, _muenchen_, 
   {{0xe4cd0013,0x1ee20092,0x9305029f,0xd27e030b}},	// [87f0] _харитаси_, _お取り寄せスイ_, _obrazom_, _abingi_, 
   {{0x3200005b,0xe9260089,0x245f0425,0xc2ca022b}},	//   _mimimi_, _студентл, _نوروڵڵا_, _eindir_, 
   {{0xa50c0044,0x02fc069e,0xde350357,0x6f2c02fb}},	//   _והטבות_, _adega_, _kilaseva, _kalusefa, 
   {{0xdc81019f,0x16a702ec,0x929100c2,0xada002dd}},	//   _ڪئنال_, _نیرى۪س_, _kubaza_, _innomina, 
   {{0xa2910116,0x52d80497,0x08e60405,0xf0d800e6}},	//   _aneath_, _ahlea_, _минулих_, _防腐冷缠带系列产, 
   {{0xda89000e,0x63eb0149,0xc4df0204,0x433f02ee}},	//   _punition_, _nwute_, _справить, _ingwanti_, 
   {{0x32610229,0x037c030b,0x00000000,0x00000000}},	//   _ideoloji_, _bazadde_, --, --, 
   {{0x3c6801f7,0xbbdb0477,0x625a03f0,0x2c040041}},	//   _bourdon_, _mendiskr, _skildu_, _лыхреи_, 
   {{0x1e1a005b,0xe29200ad,0x1747010f,0xb037014a}},	//   _videnska, _kurawa_, _зиёиён_, _ellentmo, 
   {{0x236d0259,0xe76e0061,0x634700d7,0x395c00c1}},	//   _symfony_, _위즈위드의_, _hokelwa_, _गीतरामाय, 
   {{0x47480444,0x93f804ce,0xf65800da,0x0fde0314}},	//   _требуютс, _namusi_, _причинуя, _идеяһы_, 
   {{0x10470024,0x02d80130,0xaa8f0061,0xf885015e}},	//   _তথ্যচিত্, _lidet_, _민주법연님에_, _жыпара_, 
   {{0x227e037a,0x7b8b0344,0x127e0101,0x439600f6}},	//   _ibindi_, _amiilaar, _cainii_, _varsan_, 
   {{0xd8c80119,0xffff015e,0x138800f2,0xd31303e6}},	//   _tuttling, _menjador_, _tērpi_, _erdbier_, 
   {{0xbbe4000a,0x935601d5,0xe94a0361,0x23960015}},	//   _novembar, _várható_, _задаваем, _tarsan_, 
   {{0xb2e3029f,0x0e9501e0,0xc2e7023d,0x3c620002}},	//   _pikosky_, _سامناک_, _scontro_, _razumeo_, 
  
   {{0x927f0118,0x4e380108,0x62d80156,0x00000000}},	// [8800] _abangi_, _kacarita, _balotis_, --, 
   {{0x3aa5027b,0x58c70126,0x72d8004f,0xe85f0390}},	//   _शूर्पणखा_, _екології_, _bideu_, _almanlar_, 
   {{0x6ccd0101,0xaad500c8,0x95620163,0x14d700b9}},	//   _preveder, _аңламай_, _tablettá, _बँकिंग_, 
   {{0xc9f50288,0x32d90455,0xf3960251,0x527e0364}},	//   _araña_, _notez_, _qarsan_, _mjang_, 
   {{0x52d80130,0xd27f018e,0x858c02ee,0x527f0450}},	//   _indez_, _ebangi_, _adattazz, _gienen_, 
   {{0xf34e0359,0x63f8012c,0x62d903a3,0xb2d80120}},	//   _tagelyk_, _kamusi_, _ontem_, _gidet_, 
   {{0xa04000ff,0xb3e200cd,0x5c6f00b4,0xdecc03dc}},	//   _געלעגענה, _cantieni_, _apartin_, _bøndurni, 
   {{0xfda7005b,0xda050486,0x72d901b0,0x027f014d}},	//   _marumaru_, _चान्सेलर_, _antel_, _bienen_, 
   {{0xdc0001ef,0x2fca00a6,0x00000000,0x00000000}},	//   _maistas_, _okungeyo, --, --, 
   {{0x427f026b,0xa27f025f,0x00000000,0x00000000}},	//   _vienen_, _ebandi_, --, --, 
   {{0x527f01c6,0x9f7303af,0x96580105,0x92910611}},	//   _wienen_, _parcours_, _spokojni, _lezann_, 
   {{0x227f0434,0xb920018a,0x8b2e0126,0x3239007a}},	//   _tienen_, _sanctaid, _специфіч, _tarmizi_, 
   {{0xc2d90286,0x22d80148,0x73860015,0xb3f403fb}},	//   _entem_, _eidem_, _shirki_, _vrstom_, 
   {{0xf3f8008f,0xf2ca01da,0xaf550235,0xd527014f}},	//   _samuti_, _lindur_, _anapatya, _наставит, 
   {{0xbc870169,0xb2d8012d,0xf48303f0,0xa2d9047c}},	//   _তালুকদার_, _nidem_, _aflabrög, _autosys_, 
   {{0x47490008,0x257d0411,0x526e0390,0x00000000}},	//   _малазияд, _роксолан, _bezileri_, --, 
   {{0x829003b9,0x02e2012a,0xf2070007,0x42a50224}},	// [8810] _janan_, _व्हील_, _bayinaki_, _varamaðu, 
   {{0x22900201,0xc44b0321,0xac6f00b3,0x76bd003c}},	//   _danan_, _potrošni_, _aktuwak_, _آزادراه_, 
   {{0xe6e70299,0x317800fb,0x0201044a,0x00000000}},	//   _ئۇگۇتۇپ_, _kuyaphel, _mebino_, --, 
   {{0x92d8039f,0xa2db0117,0x2ec203b6,0xd905010b}},	//   _under_, _felosip_, _apinfunn, _boobabed, 
   {{0x33f8003f,0x234300d3,0x5c7d01d7,0xe83d0326}},	//   _himus_, _kamenem_, _avessan_, _chomungu, 
   {{0x627f00a9,0xeb7c00cb,0x16d10519,0x017701c9}},	//   _abandi_, _kusukela_, _जालिम_, _्रेसी_, 
   {{0x4b5b01b7,0x02fc01df,0x9aba0235,0xd2d80129}},	//   _दक्षिणे_, _hanged_, _anavasit, _kaloris_, 
   {{0x518f0024,0xf73702b9,0xe27f0074,0x60e30435}},	//   _মোহনদাস_, _کارتوس_, _pienen_, _tehnopol, 
   {{0x12900310,0xf84e0170,0x44e401be,0x8b8e00e6}},	//   _canan_, _chloroqu, _प्रभातका, _花台小草丛杂处_, 
   {{0x450602ec,0xc2fc04c3,0xe2850060,0x5ed90256}},	//   _دامانہٕ_, _langtu_, _авторыны, _kopienas_, 
   {{0xc2900339,0x734a0151,0x325b0206,0x6b1b01b9}},	//   _manao_, _scuffle_, _svalov_, _strasyon_, 
   {{0x58bc014e,0x74b400ad,0x00000000,0x00000000}},	//   _популара, _dihartik, --, --, 
   {{0xe3f8039d,0x535502a4,0x0f4100fd,0x0905030d}},	//   _samusi_, _expedit_, _ganracha, _abbasovd, 
   {{0x74c201db,0x93f802d3,0x7a07044a,0x285f01af}},	//   _اتاۋلىلا, _pneus_, _ahmadiya_, _ammarlar_, 
   {{0x8f5302c4,0x32130211,0x330e0110,0x5b660239}},	//   _домашна_, _terhi_, _paraugs_, _matuhara_, 
   {{0xcb8b0205,0xd2910069,0xd2920259,0x63f80075}},	//   _vakillar, _kubana_, _murata_, _limur_, 
   {{0xd19500c3,0x548706c5,0x93170040,0x631601d9}},	// [8820] _你可以針對此文寫, _प्रार्_, _legally_, _danzen_, 
   {{0xf2d901d1,0xb2d801f1,0x03870082,0xfb170137}},	//   _cited_, _cilet_, _sharhi_, _мандалд_, 
   {{0x52900082,0x76ba0235,0x72020244,0xc2d80145}},	//   _wanan_, _bhartsay, _ferito_, _eiles_, 
   {{0xdb1c01cb,0xb2900119,0xe20400bc,0x00000000}},	//   _bazakwab, _lanao_, _استشهادی_, --, 
   {{0xe34f0057,0x64860022,0xd2b30396,0x340600be}},	//   _disemak_, _кластары, _burdura_, _قۇيدوڭ_, 
   {{0xd3170453,0x8be40061,0x66cc0158,0x1c330343}},	//   _ubrzo_, _국가인권위_, _rozgrzew, _katinuud_, 
   {{0x026e0369,0x441004dc,0x0f2402f0,0x8a7b027b}},	//   _ierome_, _سالیادی_, _bhávu_, _ध्येयवाक, 
   {{0x42920101,0xe294027f,0xe2900277,0x7c530039}},	//   _durata_, _amakopi_, _panan_, _gustura_, 
   {{0x02070219,0x39cf018d,0xca120088,0x621301c5}},	//   _abakwati_, _ዝተፋላለየ_, _estratèg, _ilahay_, 
   {{0xb688019b,0xe3010453,0x7f3d03c6,0x00000000}},	//   _фантасты, _japanci_, _ostrogoa, --, 
   {{0x5eab0241,0x01c40022,0x303a006d,0x261c03e6}},	//   _abdullee_, _рекордын, _франклін, _autostei, 
   {{0x229002e7,0x34160192,0x6bd1019b,0xb3e30046}},	//   _tanan_, _패밀리세이브_, _landsber, _جۅندۅمۉ_, 
   {{0xc2a606b0,0xf2000240,0x4277000d,0x12f50212}},	//   _uqobo_, _simici_, _piisaval, _invicem_, 
   {{0x72f1041e,0xfe1c0064,0x92fd02f9,0x05c903db}},	//   _antichi_, _اقبارا_, _avantay_, _engamash, 
   {{0x82d80092,0x22f001f4,0x4c770388,0x2866051f}},	//   _ailes_, _bilishi_, _mensile_, _لکهول_, 
   {{0x9d78000a,0x5df504ef,0x0cc900c5,0x2f4804d7}},	//   _kommunit_, _acidente_, _外资比例不超过_, _allskona, 
   {{0x22c5033a,0x226e0331,0x03410208,0x05cb01f2}},	// [8830] _ripetuti_, _strond_, _سۆزان_, _ﻛﺎﭘﺎﻟﻪﺗﻠ, 
   {{0x22900201,0x73950074,0xd313005b,0x95bb041a}},	//   _fanal_, _omasta_, _chocola_, _обдарова, 
   {{0x92d902ed,0xf38203d4,0x026d011e,0xe2d804b9}},	//   _niveis_, _vlasnici_, _labote_, _wiles_, 
   {{0x9d570159,0x82fc013f,0xd2d80057,0xb2d80040}},	//   _названы_, _krogit_, _giler_, _tiles_, 
   {{0xc95200e4,0x09390301,0x534100c1,0x786401f3}},	//   _oprocent, _bərqərar_, _magetan_, _jednopod, 
   {{0xf62400c3,0x92d80343,0xc3da0046,0x427f0359}},	//   _觀看人緣列表_, _riles_, _атасын_, _skynt_, 
   {{0xe21c00a6,0x813b0013,0x1a290276,0xd6880497}},	//   _cashed_, _saytimiz_, _تەڭىرنىڭ_, _bundeili, 
   {{0xdb870132,0x04170272,0x32d502f8,0xb2990311}},	//   _megismer, _atongozz, _ngalulu_, _ደብዳቤታትኩም_, 
   {{0xa290002f,0x251702eb,0xd6150392,0xe2d801ec}},	//   _manam_, _үлгэрчил, _iollarai, _cidek_, 
   {{0x63fe027f,0x03db041e,0x4ae600d1,0xc5c906f1}},	//   _ikazana_, _adduniti_, _নিমাতী_, _angamash, 
   {{0xc60c016d,0x832c0117,0xb01104f8,0x137c0077}},	//   _ﺟﯘﻣﻬﯘﺭﯨﻴ, _malvatum, _predicto, _marande_, 
   {{0xc2010074,0x9b9e0148,0x629103a6,0x6290012c}},	//   _kuvia_, _錢江經濟開發區通, _tubana_, _wanao_, 
   {{0xbfd501be,0x32fd01aa,0x6306016a,0xadbb00f0}},	//   _मालिकको_, _atorstay_, _bazaroj_, _defenzív, 
   {{0xe2900140,0xc25d0279,0x00b60287,0xd21c007b}},	//   _banal_, _capacité_, _फुकुवा_, _bashed_, 
   {{0x42fc003c,0xb1480156,0x5ac1027b,0xf10801cd}},	//   _adege_, _נײַנציק_, _यूथपः_, _ayekuyal, 
   {{0x967a0331,0xc9d3002b,0x326e01db,0x00000000}},	//   _almennum_, _ভিত্তিপ্, _тамақпен_, --, 
   {{0x291700d1,0x7c8100c1,0x0d5d004d,0x2eae02a6}},	// [8840] _নজ্বলা_, _करीअर_, _以確保放水時下游, _bistiole_, 
   {{0xf38702bc,0xc15c0223,0xb63c032e,0xb40100d8}},	//   _kharoi_, _шунал_, _walipuni, _comunion_, 
   {{0x980a0041,0xe3fe0096,0x8d8f0464,0xa3790297}},	//   _ирезиден, _akazana_, _hegereye_, _kitapqa_, 
   {{0x304702da,0xc27f02c1,0x929104bd,0x8c190239}},	//   _секси_, _abanzi_, _iubala_, _haratier, 
   {{0x72900028,0xc2d90212,0x23ea0178,0x525a03db}},	//   _sanad_, _antea_, _amitro_, _lihle_, 
   {{0x42d8041b,0x6fd504ad,0xb0600041,0x695c0026}},	//   _kidei_, _dienfelo, _ихәмарыз_, _publieke, 
   {{0x96430052,0x1fda01f4,0xe2d80115,0x967200ca}},	//   _sunnysof, _согликни_, _sidek_, _braucòl_, 
   {{0x027f00f3,0x2dc8023c,0x303f02c2,0x45320099}},	//   _ebanzi_, _دغزني_, _beduiden, _atonyany, 
   {{0x77610177,0xa3e6036b,0x42d70260,0xaef602d6}},	//   _апланеиҭ, _хендрикс_, _atallos_, _сиесий_, 
   {{0xddce015e,0x3a1602ec,0x0a1602cf,0xe2000181}},	//   _билем_, _hanaanka_, _inscreva_, _aimix_, 
   {{0x457c0037,0x07150287,0x598c01e9,0xb9e3016a}},	//   _ተጠርጣሪው_, _prostorá, _bothakga_, _alligita_, 
   {{0xb1c10139,0x707c0040,0xd3420107,0x2c74008c}},	//   _anumataṃ_, _להקדיש_, _dewekan_, _culuors_, 
   {{0x095603f3,0x00000000,0x00000000,0x00000000}},	//   _ballonne, --, --, --, 
   {{0x37a300b1,0x1cbb0029,0x4ff101ef,0x629004d8}},	//   _cerulari, _رچۆنێک_, _аброць_, _danab_, 
   {{0x220005c1,0xe9510253,0x4ae90017,0xc2130238}},	//   _isnin_, _artorpat, _stvoření_, _гормони_, 
   {{0xf29003ee,0x82d800e4,0x8f2d0362,0x00000000}},	//   _lanac_, _chleb_, _masengin, --, 
   {{0x99de01e1,0xd9140169,0xe2010074,0x6e6e0361}},	// [8850] _ananelwa_, _গর্বিত_, _arvio_, _солдатск, 
   {{0xd25a003f,0xe2e5046d,0x2aa703b0,0xb26c02d8}},	//   _chillu_, _tsinina_, _velkomen_, _meditasi_, 
   {{0xda1602ec,0xabac01db,0xefca0066,0xcc720279}},	//   _banaanka_, _كەتەۋى_, _akuifero, _meurent_, 
   {{0x6b6704cf,0x429000c8,0xed1100c4,0x92ca019c}},	//   _amathuba_, _banab_, _مخواه_, _etidò_, 
   {{0x926105a7,0xb288002f,0x529004d8,0x4c770418}},	//   _džons_, _chakram_, _canab_, _forumtr_, 
   {{0xa2cb0037,0xdd2d04ee,0x725b0305,0x1e3e00d1}},	//   _የተሃድሶ_, _malitere_, _kopla_, _ধুৰাডাল_, 
   {{0x675e0173,0x065d0125,0x0290038f,0x106f0342}},	//   _লক্ষ্মীপ, _ачыляр_, _manac_, _dappiyan, 
   {{0xe2ef0515,0x8c6d03cf,0x7c62010d,0x19db00af}},	//   _venirea_, _kurulum_, _ketukan_, _implenia_, 
   {{0x4c7d010f,0x42010119,0x12830303,0x00000000}},	//   _akusona_, _lebico_, _masaledi_, --, 
   {{0x62ef0006,0xfda3038b,0x5200024a,0xe9490158}},	//   _kalinya_, _diungkap, _lamidi_, _motorowe, 
   {{0x654f0034,0x3f2501cf,0x1ab30019,0x5290008d}},	//   _þýskalan, _collaber_, _جامپىعىي_, _sanab_, 
   {{0xf26c0585,0x8f5900bf,0x77d0027b,0x889f0037}},	//   _delova_, _захороне, _प्रसारणम, _እገኛለሁ_, 
   {{0x93f4016e,0x1c2a01c4,0x9ec20209,0x1bee00e2}},	//   _kartal_, _verskyns, _aqanguan, _freemwur, 
   {{0xa96600ec,0x86750119,0xc24a005b,0x42b4005b}},	//   _просты_, _hochschw, _airmac_, _cmjcup_, 
   {{0xf7bd017e,0xb3f40203,0x93f80127,0xa50f0338}},	//   _interlig, _martal_, _cheuc_, _aprofich, 
   {{0xb6ab0062,0x9cd00374,0x4f390241,0x35160235}},	//   _batlhlij_, _مسلمانلر, _booranaa, _avalokay, 
   {{0x14b80041,0x5ae00011,0xc25f027b,0xebec0420}},	// [8860] _иныхыу_, _atatende, _उच्चार्य, _cafeteir, 
   {{0xa27e00c2,0xc60c002e,0x02620092,0x63960251}},	//   _ijana_, _gradskom_, _ルドライレディ_, _harsan_, 
   {{0xafa500bc,0xc6400047,0x4f6a0119,0xa57e0180}},	//   _nopember_, _visibili, _itabaian, _linteliz, 
   {{0xc948034c,0x42fc000d,0x130b0311,0xf2d8013a}},	//   _ankarağa_, _pangad_, _ከየጋጥም_, _halew_, 
   {{0xcb20012e,0xc1bd02d3,0xad130073,0x69d70148}},	//   _مالیاتی_, _чисти_, _tresorer, _激動的靈魂_, 
   {{0xa2070141,0xb2ef03ac,0x9fc903a4,0x00000000}},	//   _uchinchi_, _tadinya_, _metingar_, --, 
   {{0x2b9905cb,0xc210019e,0x4d0b02e4,0xb2ca0362}},	//   _उपयुक्त_, _стараюся_, _akkontat_, _klodia_, 
   {{0x926c02cb,0x09f401bc,0x17850213,0xc6bd0372}},	//   _redova_, _komôf_, _сведения, _anterliw, 
   {{0x7dbe0191,0x791305f7,0x084800d7,0x131d005e}},	//   _ryssland_, _abcchddd, _иҙрис_, _узунға_, 
   {{0xe4970570,0x92d9039e,0xbf3e016e,0x8ae0022d}},	//   _जख्मी_, _anten_, _masrafla, _antuniet, 
   {{0x227e02af,0x5290014e,0x1d91055d,0x2c5c00c1}},	//   _ajana_, _ranac_, _berlanda, _निघेल_, 
   {{0xaf3e03b0,0xc25b0553,0xe21b00c7,0xb5bc00e4}},	//   _mønster_, _pavlom_, _binanıñ_, _kurierem_, 
   {{0xa8500233,0xf200029b,0x0dea0061,0x239604d8}},	//   _epître_, _juniy_, _스트라이다_, _darsan_, 
   {{0xdfb703bf,0x494e017f,0xde53002f,0x260700fe}},	//   _орленок_, _agalatit, _askaqcha, _maamaali, 
   {{0x92d80245,0x7702007e,0x89560074,0xddca01ac}},	//   _palei_, _aguruṃ_, _tallenne, _مكروه_, 
   {{0x81910092,0x11d700e7,0xe37b0007,0xd2340282}},	//   _に付着した電着塗, _adieslay_, _bisambo_, _hōkio_, 
   {{0x52d800a6,0x73f501b7,0xdbe70170,0xa5a00235}},	// [8870] _abled_, _antaḥkar, _asalenso_, _लोकतः_, 
   {{0x4cf000c1,0xbb7c03bf,0x62d802ee,0xe64b0242}},	//   _भुईकोट_, _dirumula_, _ilment_, _bölüşməy, 
   {{0xd2d80240,0x36160424,0xf2490448,0x67aa002e}},	//   _talei_, _малурь_, _voldsomm, _kojekakv, 
   {{0x36ec00b6,0xfc120162,0x12d800db,0x0cfd03f2}},	//   _angaaraw, _йетилдүр, _kalev_, _врачу_, 
   {{0x32d9021b,0xe2900133,0x85b602a6,0x9264048c}},	//   _miten_, _manaa_, _amphithé, _aarlit_, 
   {{0x22d90594,0xc48901ec,0x9b870035,0xed21010b}},	//   _liten_, _نوشابه_, _bayançı_, _dirisiwe_, 
   {{0x2dc4014c,0x82dc0465,0xcbb60272,0xe7e400d9}},	//   _esekelwe_, _izvedeli_, _bakkondo_, _illatiiv, 
   {{0x2f79005e,0xe4340208,0xe5b601d5,0xd3dd0227}},	//   _ئىملاغا_, _بریتیبوو, _عامرکی_, _diawal_, 
   {{0x89f4026a,0x986401f9,0x5bc70147,0x01b70205}},	//   _kudrukud, _belitawu, _دىشەنوۋد, _киноси_, 
   {{0x4f3f045c,0x32000203,0x0a1600d3,0x4d0c004d}},	//   _nakoniec_, _sufix_, _drobnost, _同時亦有不刪除留, 
   {{0xe2d80075,0x67d500a4,0x4e4d0061,0x45aa01c4}},	//   _alment_, _compleix, _strafbaa, _borskank, 
   {{0x2b57034c,0xfe060294,0xf7e70109,0x4a2a02d3}},	//   _таралу_, _abidjana, _रेकर्ड_, _наведииз, 
   {{0xa2d901f1,0xf6d700c4,0xd6290164,0x77bf00ff}},	//   _diten_, _اُچارُ_, _парахоти, _פלארעסענ, 
   {{0xdd870213,0x09fc011b,0x328c025f,0xd30002ec}},	//   _другого_, _avandaka_, _etekaka_, _aamadii_, 
   {{0xd3020532,0x126c0049,0xe3790540,0xc57b022b}},	//   _izdanju_, _helota_, _bmvalla_, _fuglaljó, 
   {{0x86af01d8,0xc1ed00d3,0x65520187,0xbe350092}},	//   _nangshai, _बोहरा_, _permissõ, _utroskab_, 
   {{0xae240074,0x93440089,0x32f0006a,0x06cb00fd}},	// [8880] _hallitus_, _kiterde_, _krismasy_, _cheartai, 
   {{0x1da801aa,0xe2d9005b,0x829401dd,0xa1790128}},	//   _aanichsa, _hiten_, _amakipi_, _антиқа_, 
   {{0x931602b1,0xd8dc015e,0xfa120393,0x03860465}},	//   _manzon_, _рухий_, _prebacit, _storil_, 
   {{0x92d90135,0xf2fb0176,0x5239016b,0x27b4002b}},	//   _citen_, _kashima_, _farmaki_, _জ্বেলে_, 
   {{0x3b0d04dc,0xc3960074,0xd2010289,0xc9cf01a4}},	//   _خشنده_, _varsin_, _adziko_, _deeeeeee, 
   {{0xaa0202ec,0x8699071a,0x3c7d018e,0x00000000}},	//   _somalida_, _белларш_, _minsalo_, --, 
   {{0x03f8036e,0x72d905b9,0xb37c02ef,0xaa080356}},	//   _hamut_, _intet_, _laraque_, _simanana_, 
   {{0x33f802e7,0x5a0b0182,0xd2d90288,0x6a770230}},	//   _kamut_, _eleakala_, _giten_, _explikas, 
   {{0x9394021e,0x39fc0255,0x957a004d,0x66300420}},	//   _rensa_, _kavandat, _大台灣旅遊網_, _possivel_, 
   {{0xa319012c,0xea500698,0x8f160170,0x32e701c1}},	//   _فيضان_, _mwambuts, _akadiyan, _ternama_, 
   {{0x797b048c,0x8290012c,0x80e701a4,0xc1df03db}},	//   _anchasse, _mafao_, _komindel, _kumongam, 
   {{0xfdb10722,0x661700d6,0xbda3020f,0x178b015e}},	//   _musazawe_, _palaistí, _بوږنوونک, _كەسكەندە, 
   {{0xeecc04f9,0xff2201a6,0x676f0012,0x8e6a0211}},	//   _minnerun, _akatukea, _चिन्हबे_, _пойду_, 
   {{0x1c55005b,0x820f01bb,0xd2d8013f,0xd2d90225}},	//   _samtale_, _işini_, _andez_, _witen_, 
   {{0x83040044,0x999402a5,0x24880153,0x00000000}},	//   _removing_, _matěj_, _地すべり防止区域, --, 
   {{0x4142023e,0xd89e0037,0x53a90326,0xa583027e}},	//   _bantarbo, _ትለኛለህ_, _azivise_, _тектонск, 
   {{0xa2d80018,0x72c4011f,0xe316001c,0x60670156}},	// [8890] _baleti_, _акльтура, _banzon_, _batalado, 
   {{0x3df10486,0xa82f013b,0x6db40309,0x02d80046}},	//   _sledovat_, _helmsted, _fikrində, _mides_, 
   {{0x381400f2,0x83a200ca,0x331f0244,0xd2dc004b}},	//   _kafejnīc, _grope_, _marchio_, _dinotsi_, 
   {{0x92d80231,0xd2d800fe,0xa2d80451,0x61e802e2}},	//   _fides_, _falesi_, _boleng_, _aregaish_, 
   {{0x425b0534,0x6296045d,0x3106014a,0xd1cd0041}},	//   _amply_, _saradnji_, _بدحالی_, _ашәуа_, 
   {{0x2c8a00be,0x78fb0417,0x222400e1,0x00000000}},	//   _اقسۇۇ_, _gemanipu, _mbokko_, --, 
   {{0xb2d807d2,0x742a0174,0x99f600bc,0x429000f1}},	//   _hides_, _ponagalo_, _توقیف_, _zafan_, 
   {{0xb629016d,0x029401c5,0xe2d8010b,0x22d80418}},	//   _كەشپىيات_, _macallim, _foleng_, _kalesi_, 
   {{0x97b70360,0x9932014a,0x62e40313,0x33f8008c}},	//   _poplatek_, _ٹائٹل_, _darurmeh_, _lieus_, 
   {{0xf4240312,0x92d90211,0x34680396,0xe24901a3}},	//   _diskouez, _siten_, _prevenzj, _ڪوھستان_, 
   {{0x0496040b,0x48ef0192,0x117b014b,0x0c700359}},	//   _angaredz, _각종계약서_, _allaaqal, _webstee_, 
   {{0x3bad0178,0x09aa0076,0xa3790318,0x326e01ca}},	//   _anyavṛkṣ, _повик_, _kapaika_, _maqong_, 
   {{0x12d80122,0x9db900e7,0x98b300d0,0x3d35001a}},	//   _dalem_, _akingsha, _боржин_, _زنجیریں_, 
   {{0xffd5001a,0xec760044,0xb86703b7,0x93c50122}},	//   _spanyolo, _causing_, _affirmed, _کارولین_, 
   {{0x85bd003f,0x0c670208,0x490e002b,0xc4430285}},	//   _bitahlah, _ترتان_, _খ্রীষ্টা, _akajambo_, 
   {{0xc2d90132,0x72d8001d,0x52d800bd,0x3a3303a2}},	//   _hitel_, _sidet_, _bides_, _आहूजा_, 
   {{0x396d03c2,0x856401ef,0x6a150119,0xf56900da}},	// [88a0] _desiccat, _квартала, _umuarama_, _реализа_, 
   {{0x561c02bb,0xb25b03fc,0xd1c1004d,0xe463003e}},	//   _podlaski, _kople_, _產業供應鏈預測分, _аҫылғужа_, 
   {{0xbd01044a,0x0bf30264,0x931002e1,0xf2ca000a}},	//   _anulaire_, _italyano_, _elsafty_, _foodip_, 
   {{0xcade0057,0x5fe600d3,0x9a970061,0x078a0035}},	//   _menembus, _वायुसेवा_, _포인트중에_, _аттыра_, 
   {{0xc8150144,0x5c62019a,0x02900227,0x12d90148}},	//   _ابنته_, _ascribe_, _hafal_, _litem_, 
   {{0x99f80427,0x32d800df,0x13a20212,0x52d80028}},	//   _kamisina_, _aider_, _prope_, _taleex_, 
   {{0x429803a7,0x642007d3,0x96cd01a7,0xb2830362}},	//   _vďaka_, _maradiyo_, _lauantai, _ayokela_, 
   {{0xa27f0556,0xb3f801f7,0x034e03c6,0x6a5200a7}},	//   _eyenza_, _dieus_, _oppenij_, _artesana_, 
   {{0x9c62037b,0x62900058,0xf2890009,0x1c6000c1}},	//   _escribe_, _mafam_, _funkcij_, _balutan_, 
   {{0x72d8045c,0x72cc0074,0x55d2002b,0x70700102}},	//   _malej_, _системой_, _সংবিধানে_, _litakalo, 
   {{0xa2d90125,0x883e0274,0x7d33034a,0x227f0035}},	//   _entek_, _sigmundu, _actitude_, _apanay_, 
   {{0x61af0038,0x0b030139,0xb5bf0012,0x4a1700a0}},	//   _әйтте_, _दर्शयामा, _गरेजुएटन_, _cancanta_, 
   {{0x526e023e,0x184c0033,0x8378011c,0xaae801c6}},	//   _atribusi_, _promoziu, _bennalug_, _litouwen_, 
   {{0xc3a00409,0x72e90212,0x3c670414,0x7300026c}},	//   _ログインして投票, _usenext_, _flateus_, _senatui_, 
   {{0x12d80249,0xa2d8033f,0x33be0384,0x22d80402}},	//   _talem_, _salesi_, _staviti_, _paderi_, 
   {{0xf2d90107,0x23f80050,0x629001bb,0xa3f80528}},	//   _sited_, _lieur_, _synag_, _cheud_, 
   {{0x74d90223,0x1be50064,0x936c0120,0xd90700cb}},	// [88b0] _сармагчи, _فورماتىن_, _yanguli_, _байзоев_, 
   {{0xe2d804d6,0x62ca03a4,0x12e8003d,0xc848006d}},	//   _dalej_, _sindur_, _perfum_, _аспектам_, 
   {{0xe278036e,0xec80048a,0x6d870405,0xa5d1023c}},	//   _trunka_, _терең_, _foreldre_, _بربڼد_, 
   {{0x0b0c0192,0x783e0444,0xbda700ab,0xb4c9008f}},	//   _비주얼써브_, _кишки_, _karukaru_, _autoriõi, 
   {{0x329001f7,0xabcd0156,0x7dc80195,0xc39001da}},	//   _safad_, _ישראלטשע_, _machlaga, _spastrim, 
   {{0xaafd03b5,0xe85d0265,0x00000000,0x00000000}},	//   _direalis, _verlosku, --, --, 
   {{0xd2da00c9,0x75b6037c,0x52d902ee,0x0f9b03b0}},	//   _hutech_, _voiperiz, _kiteb_, _nyheiter_, 
   {{0x026e0165,0x6e780037,0x31d7007a,0xb4ab034d}},	//   _burotu_, _ይጠብቃሉ_, _homestay_, _menanyak, 
   {{0x82d80194,0xe9c30061,0x67aa00db,0x088d0061}},	//   _vider_, _대표자성명_, _portaali, _꽃사랑식물나라_, 
   {{0xf35b0315,0x8749001a,0xc3af00f8,0x00000000}},	//   _bangema_, _مراقبے_, _উদ্ভোধন_, --, 
   {{0xecd801f4,0x36b5012b,0x1475013a,0x00000000}},	//   _исталган_, _ustanowi, _dokteren_, --, 
   {{0xf93301ce,0x0a150099,0x0200018f,0x904d023d}},	//   _زارعی_, _pisarema_, _bimiy_, _approfon, 
   {{0x10e705b3,0x7e9e019b,0xe6570109,0xa3f804ca}},	//   _onmiddel, _магла_, _balkonem_, _sieus_, 
   {{0x65ce0227,0x12800191,0x8cb200f8,0x00000000}},	//   _datangny, _verkade_, _ভেংগে_, --, 
   {{0x74130299,0x727e04cc,0xb3fa00ad,0xb306032d}},	//   _ساددا_, _nding_, _atuuuh_, _karolong_, 
   {{0x63d40025,0x272703d8,0xf6fb026f,0xe6430156}},	//   _पश्चिमे_, _poslodav, _ارپتەس_, _קאקאא_, 
   {{0xb2d8029a,0x01c802fd,0x522a0244,0xc6c602d9}},	// [88c0] _comores_, _chofaidh_, _можах_, _matapogi, 
   {{0x57390013,0xc30103b9,0x8278011b,0x8200019e}},	//   _қаратилг, _mayampi_, _asunga_, _ramiai_, 
   {{0x822701ef,0xb6c20099,0x83f80259,0x86da015e}},	//   _крайняя_, _ajeremiy, _rieur_, _داۋالاعا, 
   {{0xb5820226,0xf200008d,0x3278000d,0x45ce03b5}},	//   _anadzith, _lamini_, _osunda_, _batangny, 
   {{0x527e0004,0x22d80152,0x329201bb,0x10830497}},	//   _ajans_, _gomere_, _surata_, _calcareo, 
   {{0x02920278,0x624801e9,0xc2780007,0xbaa80421}},	//   _purata_, _dikomisi_, _esunga_, _buchungs, 
   {{0xb0e70003,0x93ea030d,0xac5203d6,0x2c740044}},	//   _inmiddel, _multik_, _इंटेल_, _manuals_, 
   {{0xd20100bc,0x52d80120,0x31fe0371,0x34940397}},	//   _arvin_, _maleh_, _фрази_, _теннисбо, 
   {{0x8afb026f,0xca94038d,0xe3950479,0x1394022d}},	//   _اعىستى_, _priyorit, _dezső_, _vense_, 
   {{0x66d90164,0xa90f023c,0x9b9b03d6,0x927e006e}},	//   _баралмай, _ډیرښه_, _भावुकता_, _donnul_, 
   {{0x90370462,0xf29200ab,0x121104ae,0x6af10224}},	//   _undevelo, _aurara_, _класичну_, _draumast, 
   {{0x9d2c0017,0x82700041,0x9036001d,0x4a0c02fa}},	//   _povstalc, _ьаӡакәа_, _stateman, _bakareba_, 
   {{0x0fbd0092,0x8a010499,0xa9290059,0x57c10203}},	//   _アウトレット_, _faaavaga_, _семейни_, _gabrichi, 
   {{0xc43000d1,0x161a018d,0x3a7c002e,0x8f400095}},	//   _জাতিক_, _በብቑሩብ_, _obećao_, _biosonip, 
   {{0xa2250016,0x00000000,0x00000000,0x00000000}},	//   _atakoj_, --, --, --, 
   {{0x12e30486,0xc2d8003f,0xfddb0025,0x54960103}},	//   _policie_, _daleh_, _किल्बिषम, _angawedz, 
   {{0x2aa80192,0xf6c2006c,0x279f0251,0x00000000}},	// [88d0] _지속적으로_, _ujeremiy, _bandhigg, --, 
   {{0x82280040,0x76420182,0x1a2a02d6,0xcf8f0153}},	//   _רעידות_, _wikipiki, _зарарсиз, _トウモロコシ_, 
   {{0x09140024,0x79e60040,0x3300033f,0x2c7f017c}},	//   _শাস্ত্ৰী, _היאבקות_, _mamanii_, _lessebo_, 
   {{0x83950338,0x7d040022,0x83290211,0x029200fa}},	//   _amassa_, _класына_, _helvetti_, _burara_, 
   {{0xf6470060,0x52e2008b,0x2f43047d,0x00000000}},	//   _بۇلاعى_, _gilisid_, _mëssbrau, --, 
   {{0xd1c601c6,0xd2d700d3,0x00000000,0x00000000}},	//   _kategory_, _domovem_, --, --, 
   {{0xe2d8017e,0x4ece0040,0x025d03dd,0xa3a20051}},	//   _somere_, _אווטאר_, _arrestim, _gripas_, 
   {{0xd00b0251,0xa5c902bf,0xb380016b,0xb72600ec}},	//   _دروازٕ_, _angakash, _azurfa_, _realizav, 
   {{0xe26d0212,0x417d01da,0x929100d6,0x2f8d0047}},	//   _labore_, _parandal, _theach_, _promouvo, 
   {{0xbbe30420,0x121f069c,0xa4640436,0x0ea10144}},	//   _топлина_, _láhve_, _ponešto_, _aindrias_, 
   {{0x7c7c0075,0x9c77015c,0x104d036e,0xd26e012b}},	//   _teistin_, _dausend_, _hayuntin, _gowork_, 
   {{0xa81402a9,0x087e0040,0x772f0074,0xb44a0405}},	//   _незалежн, _נוזלים_, _pelottav, _подобово_, 
   {{0x418a030d,0x00000000,0x00000000,0x00000000}},	//   _boyakarl, --, --, --, 
   {{0x637f0227,0xf71100a6,0x2268020f,0xf25b00db}},	//   _usianya_, _جنازی_, _خوږيږي_, _kopli_, 
   {{0x51c601d1,0x02c6018a,0xc513011d,0xfb0e00bf}},	//   _category_, _categori_, _витралиу_, _хранении_, 
   {{0x4c6000b2,0x5ea103af,0x0e1900ce,0x22fd00e4}},	//   _mystics_, _rubrique_, _governma, _tkaniny_, 
   {{0xf20005d6,0x63960148,0x4c650047,0x0c6f00d1}},	// [88e0] _eclick_, _物品開始價格_, _liquide_, _অনুবাদৰ_, 
   {{0xa3a2019d,0xa2d802ff,0xd178025f,0x00000000}},	//   _kuopa_, _gadew_, _koyangel, --, 
   {{0x42c600dd,0x729200e1,0x1b010158,0x1d2c04c8}},	//   _gategori_, _keraan_, _papierów_, _irziezet_, 
   {{0xe1f6023c,0x43a20026,0xd2730034,0x95c5026f}},	//   _abazanel, _stopt_, _lögheimi, _جۇركتە_, 
   {{0x4a5b02db,0x9d8f03b7,0x4276003b,0x135b0439}},	//   _hangamap_, _acultyfa, _ayinjini_, _hangama_, 
   {{0x48560301,0x6f2d01d1,0x2b87028f,0x401d008b}},	//   _əslində_, _observin, _kamokamo_, _esterewo, 
   {{0xe2000124,0xf7480031,0xc7240361,0x368301ab}},	//   _cheik_, _dikonfig, _августех, _हिशाब_, 
   {{0x6596002c,0xe2b2002a,0xcf3d010f,0xbd9f018a}},	//   _garrantz, _abadaba_, _комиссию, _dirlunia, 
   {{0xad9b0077,0x0fcb02b6,0x535b0399,0x53760211}},	//   _anplasma, _өтежан_, _langama_, _краской_, 
   {{0x42d80138,0xc9d00244,0x41780362,0x4bd103a2}},	//   _talep_, _велик_, _boyangel, _क़ायम_, 
   {{0x72000049,0xede6078d,0x35bb0544,0x59d80190}},	//   _famili_, _पर्यटको_, _hanaukah, _geständi, 
   {{0x53890057,0xf2c8051b,0x2f3100e7,0xd1010193}},	//   _የሁለቱን_, _doposud_, _abuseswa, _कमिशन_, 
   {{0x641a020f,0x22d90099,0xec830092,0xeaef018c}},	//   _abanezik, _aitei_, _flytning_, _fenomeen_, 
   {{0x22ca0461,0x4c150415,0x039c03d4,0x9200001c}},	//   _sindic_, _motorrad_, _синдикат_, _hamili_, 
   {{0xc200012c,0xf2fc024b,0x32900318,0x1105001d}},	//   _kamili_, _llega_, _fafaa_, _belitzky_, 
   {{0xc24602ec,0x539400eb,0x4263033f,0x218a0061}},	//   _پُھٹرنس_, _nensa_, _fetooaki_, _국제사회의_, 
   {{0x1e51043d,0x3091015e,0x5ec100ca,0x945600fd}},	// [88f0] _melainka, _денсоолу, _anoncian, _fiadotto_, 
   {{0x395101a7,0x22d80107,0x82920456,0xe9620187}},	//   _automaat, _abdee_, _suraya_, _достава_, 
   {{0x2394015b,0xb2fd04ca,0xf07d015e,0xa3730022}},	//   _kensa_, _genièr_, _قازانتاش_, _lakatse_, 
   {{0xc4b2006c,0xaf2601cf,0xc3c602b6,0xad890185}},	//   _ababebiz, _includer_, _تاريحن_, _принцибы, 
   {{0xe5d103dc,0xa2910285,0xcc930501,0x7290000a}},	//   _landsstý, _kubaka_, _सुबोध_, _akiata_, 
   {{0x12e70654,0x36b9008f,0x00000000,0x00000000}},	//   _bernama_, _tagasisi, --, --, 
   {{0x79d40542,0x826d013c,0x18f90061,0xee7d0147}},	//   _विश्वस्त_, _kuboku_, _프로그램이_, _تاشچاينا, 
   {{0xb78e01ec,0x3528028d,0x9b7c0061,0x29420418}},	//   _آسانسور_, _ganizasy, _필요하다는_, _birlikte, 
   {{0x12d8006e,0x87280229,0xe30a00de,0x059903a4}},	//   _ameele_, _düşünsün_, _حقیقتونه_, _horninum_, 
   {{0x72910069,0xde47012d,0xc84b0037,0x3ec80040}},	//   _kubaha_, _colardea, _ሊከተለኝ_, _מתאחדים_, 
   {{0x93940211,0xe2dc011d,0xc2d80198,0x0ec70039}},	//   _bensa_, _melodii_, _zadev_, _жамбал_, 
   {{0x9c1300b4,0xcdf30139,0xe9370064,0xa07900be}},	//   _grupuri_, _bandhura, _бутубузд, _كۅنۉڭدۉۉ_, 
   {{0x32e002bd,0x13470061,0x79720247,0xb26e0163}},	//   _llinell_, _분리수거함_, _bakpasir_, _ugrott_, 
   {{0x8e510072,0x13870433,0x43a3021c,0x1b34020e}},	//   _mulanaka, _diaraw_, _trapas_, _ikhahlis, 
   {{0x6b970462,0xf3000544,0x2300000a,0x00000000}},	//   _ainingtr, _kamalii_, _inaanni_, --, 
   {{0x8b8800e5,0x27e500f5,0xe9800125,0xb287010d}},	//   _лиценцат, _ёлуның_, _azaldýar_, _भल्याभल्, 
   {{0x62910499,0x328c040b,0x6fec0037,0x9b73014a}},	// [8900] _mavae_, _makhulu_, _የኩባንያው_, _szponzor, 
   {{0xd71900c5,0x0a0900af,0x47310569,0xb6e30030}},	//   _出口许可证管理货, _походить_, _lepoglav, _procesam_, 
   {{0x9e960063,0x03790235,0x1fbd007f,0x62ec0547}},	//   _مرسوم_, _atraiva_, _grangeto, _fetiche_, 
   {{0x5b28015e,0x525b00c1,0x6e5103f6,0xe34a01f3}},	//   _alcaldes, _koplo_, _kulanaka, _polevou_, 
   {{0x8f98002b,0x45370021,0xaae3028f,0x0c710378}},	//   _বাৎসরিক_, _ankingth, _nepukare, _fremmand_, 
   {{0xcda20291,0x24230308,0x8f380012,0x997b00df}},	//   _حاضنة_, _menikahk, _लउकिहें_, _richesse, 
   {{0x12f00207,0x9d00003d,0xa2c500e7,0xb2910242}},	//   _hadithi_, _gauloise_, _alivasay_, _cavad_, 
   {{0x8c7202e9,0x734100d6,0xf9510424,0x530301be}},	//   _puertas_, _suntasaí_, _ordonant, _zdravou_, 
   {{0x8aba0518,0x52fd03ef,0xee34024c,0x96ce029c}},	//   _фаластин, _nduga_, _eremitaġ, _kumasuli, 
   {{0x0d650444,0xb2910103,0x8b06006c,0x7f4100bb}},	//   _главной_, _muzana_, _abashada_, _چھپتے_, 
   {{0xb2ca02d5,0x2c61027f,0x8303036a,0x6d7e0056}},	//   _kellegi_, _akoroke_, _odratou_, _akumanga, 
   {{0x2394004a,0xf84501df,0x1e1c0370,0xcc910370}},	//   _censi_, _cuittles_, _beresiha, _bubujang_, 
   {{0xf96801b8,0x0cfd034e,0x93f70298,0x91f5000a}},	//   _reformie, _augustgr, _kairangi_, _bussimik_, 
   {{0xcbdd035f,0xe7380415,0x23420406,0x9ea6005d}},	//   _धनिया_, _verlänge, _बोधिसत्व_, _дауров_, 
   {{0x128c0307,0x122b024b,0xb2ea013d,0xbc6f01ef}},	//   _kakhulu_, _siempre_, _atendis_, _vairavo_, 
   {{0xa3f804b8,0x929100a9,0x52000101,0x9ba300a1}},	//   _bamut_, _kuzana_, _mamici_, _kaikorer, 
   {{0x729200ac,0x93a20105,0x53030206,0x22d80265}},	// [8910] _straha_, _stopy_, _debatou_, _zadel_, 
   {{0x6b620117,0x75be0061,0xe1c403e6,0xed0f014d}},	//   _ascenson_, _적립해드립니다_, _baamstam, _gekostet_, 
   {{0xdf0d01fd,0x16380213,0x42d8000e,0xa2010051}},	//   _mascotas_, _наружног, _kadem_, _guvis_, 
   {{0xb04e00ab,0x95ff0740,0x3d8a00d3,0x93070220}},	//   _kahungun, _शिरोमणि_, _pozorova, _направет, 
   {{0x53f40062,0xba16024a,0xc2870128,0xa2d8035b}},	//   _bottah_, _atunbẹrẹ_, _یلللیک_, _oblek_, 
   {{0x6a0302ec,0x028304c0,0x43a70381,0x19e804c4}},	//   _somaliye, _antotɔ_, _abbyfay_, _कुलवंती_, 
   {{0x60be029c,0xba7300dc,0x925a02f3,0x828c00fb}},	//   _adamasul, _atuataua_, _cyklar_, _bakhulu_, 
   {{0x13f80082,0x429200a4,0xcc6d0322,0xdb640066}},	//   _jamus_, _durada_, _abirega_, _babesten_, 
   {{0x9e1b05ef,0x3f4b02ef,0x380d00d9,0x746a017d}},	//   _vitenska, _ajistema, _побережь, _dodekado_, 
   {{0xe6f500e2,0x325a0087,0x42020367,0xfb030211}},	//   _alvestęd, _fihli_, _perigo_, _кошелек_, 
   {{0x838701c5,0x2ebf0013,0x8d2c02c7,0x478700be}},	//   _sharaf_, _بولوندو_, _berichte_, _جاشادىق_, 
   {{0x82d9021e,0x23ff034f,0xa2f00013,0x02f50196}},	//   _litet_, _موسيقۍ_, _nalishi_, _akuzivum, 
   {{0x5ca7009a,0xe3f80189,0xf20e013a,0xc9eb03d2}},	//   _درامنځته_, _hamur_, _béiss_, _popripad, 
   {{0x662704fe,0x83f80251,0x49330161,0x00000000}},	//   _pronunzi, _aamus_, _доменов_, --, 
   {{0xb29002d6,0xa2920478,0x60370373,0x93f800f4}},	//   _aynan_, _jurada_, _instigan, _bamus_, 
   {{0x174602ef,0x83f80163,0x696900e6,0x17780163}},	//   _asanblaj_, _pamut_, _如何除狐臭_, _شوکانی_, 
   {{0x23f8028d,0x92d80272,0x8394001d,0xa92b0299}},	// [8920] _lamur_, _aleete_, _mensu_, _ئەيمەنمە, 
   {{0xc96e0264,0x9ba40481,0xec530203,0x6a7e031a}},	//   _agrigent, _verkoper, _gartoba_, _orcastra_, 
   {{0xf6150016,0x6e6a015d,0x48e702a9,0x22000076}},	//   _מוצאי_, _मरुभूमि_, _чацвер_, _cheio_, 
   {{0xdd7a045f,0x7da303e6,0x8cae0055,0x320100d8}},	//   _kommande_, _schottla, _edificiu_, _auvir_, 
   {{0x012d0244,0xb2d80031,0x93f80159,0x3d9201e9}},	//   _факта_, _walet_, _ramus_, _iphemele_, 
   {{0x2292000f,0x82d803b0,0xafe202ee,0x32d803bf}},	//   _burada_, _talet_, _antibijo, _fomete_, 
   {{0x02000119,0x8291021c,0x6a180045,0xa5c60497}},	//   _rhein_, _zuzana_, _услов_, _alabasty, 
   {{0x52000389,0x1200028a,0x32f60277,0x7a39015e}},	//   _akmin_, _shein_, _dinirek_, _дененин_, 
   {{0xe2d801b9,0xd344000d,0x0290017d,0x55c80322}},	//   _kales_, _arvesse_, _tamashii_, _bakazash, 
   {{0x641d02a2,0x025b024c,0x2a0d03b4,0xdc1702b0}},	//   _nakaturo_, _poplu_, _angaimba_, _missvers, 
   {{0x531701cd,0x462a0453,0xf283019d,0x02ba02cd}},	//   _kancane_, _novinari, _chokoma_, _gandoki_, 
   {{0xed1603ba,0x68c20125,0x4c23022e,0xa2d80465}},	//   _insolent_, _еттим_, _affidatu_, _tadej_, 
   {{0x5f640108,0x65710429,0x8bf90375,0x1b560473}},	//   _maranehn, _perwatak, _azitsamb, _vorderen_, 
   {{0x2376012e,0xdc550149,0xbb9001d2,0x1d490052}},	//   _تاشقند_, _ịtali_, _chankarr, _vodafonu_, 
   {{0x6da2005d,0x92b40203,0x2dbf0037,0xc7400034}},	//   _agrogana, _fricke_, _ፍላጎታቸው_, _strákur_, 
   {{0x213b0060,0x3c01001a,0x394c0329,0x7e6a03a2}},	//   _апаты_, _قلمدان_, _nibouret, _मरूभूमि_, 
   {{0x98c50352,0x75b602cb,0xfc760044,0x22d802ce}},	// [8930] _সংগঠনৰ_, _planiram_, _viruses_, _kadek_, 
   {{0x62d802d7,0x5ecd0307,0xa39f020f,0xa48a0125}},	//   _cales_, _abanelun, _دسازمان_, _шәхерлер, 
   {{0xcb0c01e6,0x36b60162,0xc317042a,0x224601c9}},	//   _souprava_, _ناتوغرا_, _bancane_, _गोतले_, 
   {{0xc2ba004b,0x27ff0371,0xde4203db,0x00000000}},	//   _boseeng_, _допускат_, _ngophawu_, --, 
   {{0x35a3017a,0x29d50109,0xed830133,0x411e0311}},	//   _akufezay, _रहेपनि_, _gallerra, _ምንጽብራቕ_, 
   {{0x88210137,0x92b40528,0xbba40456,0xb351057c}},	//   _явалддаг_, _iriche_, _berkeper, _sdmfilm_, 
   {{0x839406d5,0x67db019b,0x385f0089,0xd30d01c0}},	//   _priser_, _finansav, _almaslar_, _ammanar_, 
   {{0xd2d80050,0x5357008f,0xa1680095,0xac60007b}},	//   _kaler_, _अधेली_, _محتاطانه_, _mittans_, 
   {{0x9d5c048a,0x42d900da,0xb25201da,0xcc0300bd}},	//   _объектіл, _анений_, _sulltani_, _captures, 
   {{0x6c4e01e6,0x4e4a00aa,0x1c5602e6,0x99f502a5}},	//   _servery_, _gisagaba, _sortere_, _nebál_, 
   {{0x4dd90102,0xd56701b7,0x7637022f,0x8fed0142}},	//   _زڪوات_, _बन्धुः_, _наплыву_, _caitanyā, 
   {{0xd4a902c6,0x00000000,0x00000000,0x00000000}},	//   _fusional_, --, --, --, 
   {{0xae96000e,0x5d710007,0x63f90263,0x3145019b}},	//   _martinet_, _asambisa, _gezellig_, _nereikal, 
   {{0x3bfa039f,0xcc610115,0x4aa903b8,0x4201017f}},	//   _oligonuc, _saduran_, _жеребе_, _asvid_, 
   {{0x82fc0101,0x92d80360,0xd2000227,0xcb7b0014}},	//   _alege_, _radek_, _meniru_, _rikonstr, 
   {{0x4ef90449,0x72d901d4,0x00000000,0x00000000}},	//   _nevažeći, _avvede_, --, --, 
   {{0x0867000c,0xdd1d03db,0x127f01b5,0xc4910287}},	// [8940] _аргама_, _amalahle_, _ebanki_, _आरामदायी_, 
   {{0xa651023c,0x2984002b,0x21070678,0xa3660004}},	//   _ټولپوښتن, _চিরতরে_, _retiazky_, _enterč_, 
   {{0x08e000c5,0x521b0071,0x96c5017a,0x42880014}},	//   _最高人民法院_, _مولکول_, _abasetsh, _ramazani_, 
   {{0x32c301d4,0x73860321,0x948f0049,0xb2d9000f}},	//   _parlera_, _omare_, _langovak, _antep_, 
   {{0x5e0b018d,0x17b302d4,0x52ec01c8,0xc2fc022b}},	//   _ግርጭትን_, _persequi, _autorky_, _bingju_, 
   {{0x0bb4032b,0xf2d9009b,0x83f8003f,0x259b042d}},	//   _аяғни_, _seinale_, _damup_, _famoizam_, 
   {{0x52d80230,0xd386001a,0x02d8041b,0xc2c6005b}},	//   _saler_, _amire_, _kadei_, _amylase_, 
   {{0x02d800bd,0x15c2023c,0x72d90465,0x5249001d}},	//   _bleeze_, _angabikh, _ritem_, _pagmbh_, 
   {{0x875906bf,0xed700047,0x34760373,0xe59e0125}},	//   _पात्रता_, _permetta, _libereco_, _atagarry, 
   {{0x01690372,0x63b4015d,0x03cf0585,0x38000125}},	//   _bresenno, _atrakcyj, _glavom_, _асырлык_, 
   {{0x4b0c0095,0x92d80108,0x63fe0322,0xbb52003c}},	//   _لاتین_, _waler_, _akazina_, _رینگیت_, 
   {{0x4c1d00a9,0x328501cb,0x12260116,0xe117011e}},	//   _intambar, _yephiko_, _risked_, _lankonpl, 
   {{0xc25a02c7,0x2c2b008f,0xb56d011f,0x02560163}},	//   _wollen_, _व्यव्साय_, _бираҟқәа_, _rólam_, 
   {{0xe45500ac,0x93a3001c,0x925a0166,0xe0c30024}},	//   _živahan_, _wieprz_, _tollen_, _ৰাজীৱ_, 
   {{0x8dba012a,0xe2520169,0xae950014,0x42fd01a0}},	//   _चैम्पियन, _পাল্টে_, _kriteret_, _gwagwa_, 
   {{0xa3940076,0x0faa00ec,0xc2ed0220,0x03cb0255}},	//   _quiser_, _akimirko, _assieme_, _पश्चाते_, 
   {{0xc2d8028d,0x9f7101c2,0x00000000,0x00000000}},	// [8950] _lalep_, _dezaseis_, --, --, 
   {{0x22630059,0x0bee0188,0x00000000,0x00000000}},	//   _dedicati_, _маҷоз_, --, --, 
   {{0x593b0144,0xd25a0176,0xc7b0020e,0x9c1a0361}},	//   _thumpsup_, _cykler_, _bantshuw, _ассоциир, 
   {{0x26c5005e,0xd90b0207,0xafc20086,0xd388002f}},	//   _ئۈنسە_, _اثاثو_, _بانوے_, _chishimi_, 
   {{0xad3c0219,0x22010243,0xdc5d03eb,0x32fc040f}},	//   _ayengeke_, _hayisa_, _subtiel_, _teminis_, 
   {{0x451702a9,0x0c2800ea,0x7aa90420,0xc95b023a}},	//   _наклад_, _mirakitr, _небесен_, _bizniswe, 
   {{0x5c5603b0,0x7a8802ff,0x527802ea,0x50830204}},	//   _kortare_, _degizman_, _spunta_, _плавание_, 
   {{0x14070125,0x6fde01ef,0x7d2f0437,0xb27e057f}},	//   _sonundan_, _адкрыты_, _loppemar, _rding_, 
   {{0x0be5043a,0xd290012e,0x868704c7,0x01630188}},	//   _jonesbor, _aznap_, _расизма_, _суқут_, 
   {{0xe1690372,0xf16d0444,0x5cb901f2,0x49f4055f}},	//   _presenno, _приемную_, _қәпәз_, _kanununu, 
   {{0x126c003d,0x6d980435,0x19c6038b,0x9f9a015e}},	//   _tolosa_, _рејтинг_, _diperunt, _رىتىمدى_, 
   {{0xca160017,0x2ea104c8,0xe34400f9,0x789b023c}},	//   _osobnost, _influwen, _zirenze_, _کرېسټل_, 
   {{0x527e0103,0xbd8201ec,0x1f9601c2,0xd64902eb}},	//   _ndine_, _بهتون_, _máximas_, _медальт_, 
   {{0xc201014b,0x5200018a,0x8c680385,0xf020015a}},	//   _bayisa_, _cheir_, _prerano_, _bineenso, 
   {{0xc67401ef,0xaf470276,0x72e9030f,0xd0360044}},	//   _слухаць_, _кириватқ, _matiaha_, _undertoo, 
   {{0x7b6f00d6,0xd291029e,0xf2ab01ad,0x12d807d4}},	//   _achomhar, _kavan_, _divinã_, _xaley_, 
   {{0x141001bf,0xbc710064,0x3a930277,0x00000000}},	// [8960] _dessuten_, _oferint_, _meryenda_, --, 
   {{0xcb3c0092,0x0d0e038e,0x02a60092,0x629202c5}},	//   _最近トラックバッ, _meluncur, _オフィシャルサイ, _auraya_, 
   {{0xff44002b,0x0c5602f3,0x8ec40025,0x60ad015e}},	//   _চেতনায়_, _fortare_, _मार्गसंस, _ماددالار_, 
   {{0xb26c02dd,0xf33c02b2,0x524403f7,0xe9fd00ba}},	//   _motivati_, _віртуаль, _tómas_, _ماتۆڕێکه_, 
   {{0xe82e0262,0x438704fb,0x420102fa,0xa9a301ec}},	//   _эркин_, _acerca_, _kayira_, _aboiogén, 
   {{0x352c00ff,0x692000d3,0xe1b400d3,0x4288014c}},	//   _פּעדאַגא, _civilní_, _शंकास्पद_, _namanani_, 
   {{0xe3780374,0x727e023e,0x0fa60035,0x1e2d03f7}},	//   _albatta_, _adine_, _чистай_, _bjögga_, 
   {{0xec03028e,0x661504ca,0x429100d5,0x0382026f}},	//   _acountab, _utilizai, _bavan_, _شەكپەي_, 
   {{0xceba0362,0x52910309,0x020d02ea,0xc9f9019e}},	//   _charisme_, _cavan_, _richiedi_, _пейзажы_, 
   {{0x7e290140,0xa9f60053,0x187e0008,0x4a9500d1}},	//   _manggaga, _थ्रेशोल्, _despeses_, _উত্তৰা_, 
   {{0xe2920129,0x72d8005b,0xf3000255,0xf27802c6}},	//   _yuraya_, _almene_, _hambaid_, _dornet_, 
   {{0x3431026b,0xcfe70077,0xe27e01c9,0xc37d064c}},	//   _গালিব_, _koukouro, _pinnal_, _lupanje_, 
   {{0xd2a60071,0x9291038f,0x62fd03e2,0x9c770166}},	//   _gembok_, _gavan_, _remitir_, _tausend_, 
   {{0x90170238,0x46c502af,0xc7a50024,0x23350234}},	//   _народні_, _arashush, _verdsarv, _olókìkì_, 
   {{0x02f70360,0x1e5300db,0x96a900e6,0xdd16005e}},	//   _novinek_, _sularaha, _东高地站下车_, _سۇمرۇغ_, 
   {{0x547e0093,0x9578005e,0x32b6018d,0x926e01e6}},	//   _типов_, _архетикт, _studime_, _stromu_, 
   {{0x0e2903f7,0x00000000,0x00000000,0x00000000}},	// [8970] _flötum_, --, --, --, 
   {{0xcc6b02d8,0xf51201c1,0x8291006a,0x9e490285}},	//   _चौथ्या_, _परभणी_, _vavan_, _magayane_, 
   {{0x062b00c4,0x23570073,0xcedc0475,0x1fbe0311}},	//   _اعلانن_, _experir_, _ипотеку_, _መንደፈራን_, 
   {{0x33870300,0xc9ed00c5,0xe1400141,0x0f280204}},	//   _dobrou_, _exigence, _телба_, _vantaala, 
   {{0x530b01db,0xc27e02ea,0xc2310418,0xa6810053}},	//   _اۋلان_, _udine_, _firmaya_, _जुगार_, 
   {{0x35c80082,0x920e0368,0xa3580625,0x7601000a}},	//   _makamash, _какав_, _dopravné_, _agallati, 
   {{0xa70c0022,0x337f01e9,0xb9670151,0x29e30213}},	//   _портфеле, _bonatla_, _abdicate, _попадая_, 
   {{0x429000ea,0x626e013f,0xa2fc01ab,0x9d91006d}},	//   _mamaly_, _arroud_, _olegi_, _адлучэнн, 
   {{0xfc22012c,0x42d2023c,0xa7930166,0x074202b6}},	//   _shirikis, _دحقوقو_, _derjenig, _кеселдер, 
   {{0x66b10212,0x72920225,0x2411034e,0x9b9400e6}},	//   _netselfh, _murana_, _aparikun_, _周一至周五_, 
   {{0x529000ea,0x72c800e6,0x128202fe,0xc2fc00b4}},	//   _namaly_, _automne_, _alisawul, _alegi_, 
   {{0xd290015e,0x00000000,0x00000000,0x00000000}},	//   _tamany_, --, --, --, 
   {{0xac7400d6,0x7273012c,0x86780040,0x851100bb}},	//   _mabrouk_, _utendaji_, _מערבון_, _مجتہدین_, 
   {{0x72d801e9,0x4ed101cc,0x1c140481,0x225a048c}},	//   _tshela_, _athetarā, _oplopend_, _bollan_, 
   {{0x5291003f,0x8c6c0291,0x00000000,0x00000000}},	//   _savan_, _خجوله_, --, --, 
   {{0xce550195,0x7dbc0278,0x0327014d,0x00000000}},	//   _caibidea, _keghaira, _fleißig_, --, 
   {{0xd2d803ef,0x9af20291,0x1332034c,0xb2cc01d3}},	// [8980] _ishema_, _امتلاك_, _алмачуар_, _skulden_, 
   {{0xd200001e,0x57bc02e7,0x549600c5,0x623901f2}},	//   _namiji_, _speedlig, _资本的财政贡献率, _һокум_, 
   {{0x83a201e8,0xf9960418,0xe6b701e8,0x63f8000a}},	//   _gropu_, _sözkonus, _makaanti, _ilnuit_, 
   {{0x50d80148,0xf9690217,0xfd6d005e,0x16c3034c}},	//   _我的留言板_, _califact, _ئەڭگۈشتە, _barterı_, 
   {{0x1f61009c,0xf29000ea,0x1e8902ec,0xba0a013d}},	//   _temploma, _hamaly_, _نوبہارا_, _kuracist, 
   {{0x62a600d6,0x7ca5019f,0x519c026f,0x26320149}},	//   _bulbul_, _خطرناڪ_, _ءلالا_, _mụtara_, 
   {{0x420000d6,0x5386005b,0xae3d0343,0x6b7c0203}},	//   _theip_, _emiri_, _gitakupa, _inconsec, 
   {{0x068a0205,0x01e90246,0x00000000,0x00000000}},	//   _шўрва_, _самозапа, --, --, 
   {{0x70d902c9,0x3291063e,0x95450325,0x70b70093}},	//   _datoriil, _pavao_, _bitirdiy, _британер, 
   {{0xe3580365,0xba5100c5,0x6a060034,0xb8cb0195}},	//   _dopravní_, _胶南市外经局_, _aukahlut, _eifeachd, 
   {{0xbc1b045e,0x621c005b,0xce700142,0xf15603ce}},	//   _върнете_, _github_, _चेन्न_, _داروده_, 
   {{0xa2d801da,0xc31700cd,0xdd090097,0xf743021c}},	//   _koment_, _ansasez_, _obaluaye_, _bannerov, 
   {{0x9c62022a,0xef5e00d1,0xd29100a4,0x538701b5}},	//   _datuvan_, _ইতিহাসক_, _gegant_, _mberha_, 
   {{0x5754017d,0x2358029f,0x4b3900af,0xa2b6026c}},	//   _最新から表示_, _dopravná_, _потокове_, _crucem_, 
   {{0x32910478,0x00000000,0x00000000,0x00000000}},	//   _caval_, --, --, --, 
   {{0x0624003a,0x02910004,0x121f0178,0x2776009b}},	//   _norozili, _anbago_, _योगमार्ग, _мултарса, 
   {{0xd40505b0,0xe3800146,0x62510208,0xc317029a}},	// [8990] _आनंदित_, _syurga_, _سارکۆزی_, _volcere_, 
   {{0xe26c03d8,0x826001a6,0xe26e00ac,0x00000000}},	//   _bodova_, _mahikiwi_, _parove_, --, 
   {{0xada800ad,0xd6320149,0x32870282,0xb3950057}},	//   _parobaha, _hụtara_, _hūhana_, _buasir_, 
   {{0x73730222,0x06320149,0xe87000cd,0x4dc20397}},	//   _semaine_, _kụtara_, _berchter_, _angifika, 
   {{0x2278019d,0x2c530250,0xac690571,0xa30d0562}},	//   _mpunga_, _martesa_, _kapuahi_, _iribuka_, 
   {{0x3248006f,0x660e0350,0xe60402e4,0x00000000}},	//   _naomba_, _በደቡባዊው_, _isplussi, --, 
   {{0x5200000f,0xe3730338,0xfbba0161,0x6bbc000f}},	//   _samimi_, _aliatge_, _тонкости_, _anayasas, 
   {{0x1fac0338,0xfe4f00a3,0xea6c00ca,0xfbc70435}},	//   _animacio, _বাড়ন্ত_, _inconceb, _протојер, 
   {{0x927e02e8,0xeaca0061,0xb29200f6,0x8844006d}},	//   _ndini_, _현지법인의_, _qurana_, _апёкі_, 
   {{0xf2fd029b,0xaf6b01d5,0x53a900ad,0x6bc700ba}},	//   _beugg_, _pihenés_, _kabayang_, _ناگرنه_, 
   {{0x32d800a7,0xe2920133,0xe3e90144,0x019f0037}},	//   _dades_, _arraba_, _leadóige_, _መፅሄቱችና_, 
   {{0xdf5e0024,0x96d0030b,0x46e801b2,0xeb7e0049}},	//   _ইতিহাসত_, _akwagali, _arachnai, _nukuleka_, 
   {{0xc2d803eb,0xe0e50418,0x09510198,0xc4b5038b}},	//   _nader_, _kurmalıs, _endodont, _dipastik, 
   {{0xa29e017a,0x0c0100d8,0x4be50333,0x00000000}},	//   _бирав_, _baissar_, _banditac, --, 
   {{0x89d9018b,0x62d8017d,0x4c560238,0xbbd702b9}},	//   _савелиев, _hader_, _fortere_, _کوگرفتار_, 
   {{0xa2fc05e8,0x004500c5,0xb34500b5,0xfc7702ec}},	//   _ilego_, _安徽海天医药有限, _américap, _horseed_, 
   {{0xc9a4020e,0xff6401ef,0xe2fd00e2,0xe2ef07d5}},	// [89a0] _atakisia_, _dabartin, _deugd_, _puffed_, 
   {{0xb27e03b2,0x62cf04b7,0x226c00ac,0x727e03b6}},	//   _being_, _armoede_, _bolova_, _idana_, 
   {{0xdb1802f6,0x743e0371,0xba53006c,0x4e75019e}},	//   _libangan_, _задна_, _angenhla_, _выхадны_, 
   {{0x34b50170,0x12390007,0x761402b9,0x00000000}},	//   _anaberek, _okumisi_, _koalíció, --, 
   {{0x92910309,0xf109008e,0x52d8017d,0x92cf0088}},	//   _cavab_, _edisiyoŋ, _gader_, _calonge_, 
   {{0x3dde017d,0x46f90029,0x4a1304d8,0x05bd002c}},	//   _昭和つっても幅広, _پووشپه_, _walaashe, _нүглийг_, 
   {{0x027e07d6,0x726c042c,0x1ada0164,0xbc9b0032}},	//   _geing_, _golova_, _بىزكىم_, _jungehpu_, 
   {{0x963a0205,0xb2fb00ad,0xd6a10167,0x00000000}},	//   _kuchayti, _atuhnya_, _danteith, --, 
   {{0x82d80486,0x6105002b,0x5c9301a3,0xa00000e6}},	//   _jader_, _ফাটাফাটি_, _لالاڻ_, _孕妇及哺乳期妇女, 
   {{0x7290041f,0x62260004,0x0ed901db,0xde50004c}},	//   _onjalo_, _diskou_, _جورجتىڭ_, _awabudde_, 
   {{0xf27e0138,0x99d00276,0x98840062,0x72d9004d}},	//   _adana_, _кешин_, _dativchu, _lites_, 
   {{0xd1c4005d,0xf8d30291,0x62d40052,0xf03e00da}},	//   _arandurâ_, _باكثر_, _úklidu_, _pretutin, 
   {{0x372b02c0,0xfe0b0488,0x45be00ed,0x00000000}},	//   _столици_, _aromāts_, _mapatunh, --, 
   {{0x0d58016d,0xc32501de,0x6d3702dd,0xf14c04ad}},	//   _بۇزغۇنچى, _انكارانى, _etniċità_, _khatheko, 
   {{0x42480275,0x225c0060,0xa3fb0170,0x0c240213}},	//   _atamalii_, _بارلىعىن_, _alirenji_, _активиру, 
   {{0x7bdf0388,0x442901cd,0xbe4d014e,0x92ca0105}},	//   _benesser, _абаркудр, _галерије_, _biodra_, 
   {{0xd29003db,0x12d80270,0x029102a4,0x02d9002e}},	// [89b0] _enjalo_, _cader_, _negare_, _siteu_, 
   {{0x427e0421,0x4c1f000a,0x31ac055f,0xf290016e}},	//   _meine_, _attartor, _bakanlığ, _oynat_, 
   {{0x22d9009d,0xb740011b,0x3e3e0361,0x3de0021e}},	//   _vitet_, _bakoling, _козловск, _avgjorde_, 
   {{0x35ae0148,0xc2d901c5,0xc1140206,0x1d030397}},	//   _是無等等咒_, _intey_, _dvojpodl, _anembile_, 
   {{0x5d7a00df,0x22000450,0xd345001c,0x79f30156}},	//   _commande_, _benijd_, _kamenec_, _קנעכל_, 
   {{0x5332006c,0xee870022,0xb29202af,0xd8c7027b}},	//   _густурда_, _мыҫҡыл_, _muraba_, _विलप्य_, 
   {{0x384a02c9,0x93f701d2,0x8c720261,0x185f0075}},	//   _низациил, _apallank, _asertas_, _bilarnar_, 
   {{0x59c301a0,0x07bb01b4,0x93f8029b,0x00000000}},	//   _apambula_, _begrafni, _lamuy_, --, 
   {{0xef930073,0x7f3a047d,0x93de01be,0x4e5102ee}},	//   _perdonar_, _averstaa, _उत्सर्जक_, _ikkampja, 
   {{0x42d802c2,0xb27e0415,0x65a10177,0x73000399}},	//   _vader_, _deine_, _naiporãi_, _tamakii_, 
   {{0x427f0225,0xc4e80256,0xc0ae0040,0x9e4600cb}},	//   _ekenen_, _komandā_, _לוגואים_, _asabelwe_, 
   {{0x3af4034b,0x25e001be,0x52ca0265,0x77c70213}},	//   _asosiese, _कन्ट्रोल_, _geldig_, _варили_, 
   {{0x438600d6,0x434503ea,0x42d9001d,0xf3f8029b}},	//   _imirt_, _américai, _antey_, _bamuy_, 
   {{0x22d90465,0xbf2a0077,0x167f0305,0x00000000}},	//   _hiter_, _ayerospa, _yrkeseti, --, 
   {{0x8d2d0203,0xc2c30226,0x80610095,0xd02700c7}},	//   _cylindre_, _akulima_, _هیلتون_, _игтибарг, 
   {{0x227e025c,0xfb60035f,0x7eb6020a,0x19840349}},	//   _keine_, _अप्रत्या, _ءۇستندە_, _absinthe, 
   {{0x72d90416,0xb27800a4,0x0a0f004d,0x72d304df}},	// [89c0] _miter_, _tornat_, _本條例第二十九條, _besläp_, 
   {{0x025a00af,0x0c6e00d8,0x00000000,0x00000000}},	//   _kollen_, _cabreta_, --, --, 
   {{0x02910318,0x1dc402fe,0xfa5a01c9,0xcf160119}},	//   _kavaa_, _ayekelwe_, _पड़ोसियन_, _pagtalap, 
   {{0x7b8a00bf,0xa7360107,0x02ef00ab,0x4a0d0453}},	//   _ворот_, _تورترکیه_, _maminga_, _komaraca_, 
   {{0x860300d0,0x00000000,0x00000000,0x00000000}},	//   _болилоо_, --, --, --, 
   {{0x0c3f04d7,0x6ef600e6,0x23ce03a8,0x497502ea}},	//   _stephens, _convient_, _samvat_, _assistit, 
   {{0xad850052,0xce0d02ec,0x62c402e4,0x52d90456}},	//   _एकीकरण_, _ڈیشتھ_, _surmast_, _kiter_, 
   {{0x6c6701b2,0xc2d80127,0xbf7a00c1,0xefd90235}},	//   _abettor_, _balez_, _वेलदोडे_, _cintāmāp, 
   {{0xd43705a9,0x227e00ea,0x346a056e,0x13940192}},	//   _bishigik, _adino_, _liderado_, _wenst_, 
   {{0x654700f5,0x1d8b0315,0x29f202b1,0x00000000}},	//   _баллыев_, _asemakha, _arangama_, --, 
   {{0xa42a00dc,0xfc7c0007,0xd9cf01f0,0x3f2d0083}},	//   _finagalo_, _amesana_, _kgemetha_, _contraha, 
   {{0x3a0e0165,0x936a0191,0x02d801c5,0x75900235}},	//   _bucabuca_, _exklusiv_, _galey_, _जन्मभूमि, 
   {{0x1237033a,0x44b40142,0x627e009f,0xd9cd0173}},	//   _plejer_, _उत्तमम_, _edino_, _jovencit, 
   {{0x0eca02ca,0xafe80012,0x1efc00d0,0x00000000}},	//   _fionlain, _लेयायील_, _туркт_, --, 
   {{0xe2d901b6,0x5ef40145,0xc3760064,0xc05a0060}},	//   _sites_, _выпуску_, _بانكىت_, _تارتىلىس, 
   {{0xbe160040,0x1f0200c1,0x00050425,0xe9d90010}},	//   _השפרצות_, _संस्थेची_, _خێرتان_, _balesike, 
   {{0xbfda01bb,0xca170388,0xf2b50055,0x4dbd02af}},	// [89d0] _манкуртл, _четирима_, _crache_, _baharure_, 
   {{0x28390244,0x5af303df,0xf2d80042,0x328800a2}},	//   _последна_, _geirange, _comece_, _samahani_, 
   {{0x1b6e01cd,0x45730109,0x8dd60060,0x00000000}},	//   _akuthola_, _klatovsk, _مانارب_, --, 
   {{0xe837011d,0x7776040b,0x66cf0450,0x1c0f02a4}},	//   _баладе_, _ramaanḓ, _gefaarli, _cuspide_, 
   {{0xc0a602ac,0xe4910040,0xf291005b,0x671e015e}},	//   _لاتعبر_, _האלכוהול_, _iiyama_, _байге_, 
   {{0x7c0104e5,0xd2d903fc,0x229200b5,0x4dfc0021}},	//   _vengador, _siter_, _curaca_, _angelswa, 
   {{0x12910082,0x0c6e0285,0xbf4e00db,0x6a7100e6}},	//   _kiyama_, _mbaraga_, _naistele_, _临床和实验医学杂, 
   {{0x7bd90060,0x915701db,0x311300d1,0xae560366}},	//   _сарайынд, _киініп_, _আহ্বানক্, _паутине_, 
   {{0x65bb0475,0xb22407d7,0xb8650060,0x7e490118}},	//   _степень_, _lukke_, _بىرلەرىڭ, _bagabane_, 
   {{0xcbe1003e,0xa263033a,0x37a10040,0x01a402c3}},	//   _италияға_, _dedikati_, _לדיסק_, _prababky_, 
   {{0x6fd40109,0x9a8301ac,0xb1cc015e,0x3c6702a2}},	//   _मारिएको_, _ورومانسي, _сылап_, _aserong_, 
   {{0x3d2d0092,0x294b02f7,0xf320028d,0x5c410219}},	//   _おすすめサイト_, _bokonate, _minyan_, _ingcongc, 
   {{0x72d801c5,0x12b40008,0x7e000308,0x72de0493}},	//   _sadex_, _oficis_, _penebusa, _dzaenoki_, 
   {{0xbd0102f6,0xf6da034e,0xb7880097,0x32310087}},	//   _mailapat_, _hatarisw, _wáàsì_, _nyumisa_, 
   {{0x82910334,0xa7a50279,0xa2e5019c,0x1f280251}},	//   _muzaka_, _utilisez_, _erongba_, _gantaala, 
   {{0x32240176,0xea7b0244,0x0282014c,0x67a503ab}},	//   _dukke_, _стилен_, _ngebhasi_, _limetkov, 
   {{0x6b170156,0x757000ba,0x62d8011d,0xcaf3054c}},	// [89e0] _מעכאנישע_, _عیلمانی_, _comert_, _feiringe, 
   {{0x53a20008,0xd5de018d,0xe385008d,0x94070204}},	//   _propi_, _ቤተሰብናን_, _emasligi_, _monimutk, 
   {{0xaeb803ff,0xcc070011,0xe20f02bb,0xf2910119}},	//   _pohostin, _akusafu_, _laryngol, _hibaro_, 
   {{0x397501ca,0xddab0021,0x5425034e,0x43540696}},	//   _barghdaq_, _airiepra, _aspillik, _muletas_, 
   {{0x9a550315,0x894d00e4,0x728c03b7,0x2f5d02d4}},	//   _akumhlab, _rozlicze, _alastpay_, _burgheis_, 
   {{0xcba003ce,0x2c5600dc,0xe880026c,0x0db3025c}},	//   _تکریت_, _lautele_, _periculu, _bekannte_, 
   {{0xfb19022c,0xb91e03a7,0xa27e0006,0x36a400d1}},	//   _sorangan_, _trenčín_, _udang_, _ওলোৱাৰ_, 
   {{0xf3eb03d4,0xac6002c2,0x00000000,0x00000000}},	//   _спортско_, _midrand_, --, --, 
   {{0xbaef03f3,0x42b5049e,0x73a200bd,0x2fad0075}},	//   _samenges, _krycie_, _esope_, _einhvør_, 
   {{0xddab0282,0x83f80163,0x00000000,0x00000000}},	//   _kirirara, _vonult_, --, --, 
   {{0xd04f0036,0x439403b0,0x8e450050,0x0b6b0290}},	//   _مستعارة_, _prisar_, _pamadega, _antupada_, 
   {{0x491e0178,0x7858005a,0xac24005d,0x12780211}},	//   _adāmbhik, _dadudnis_, _caburé_, _saunan_, 
   {{0x58a8026c,0x12e80245,0xfa700119,0xa6d900bc}},	//   _記住我的個人資料_, _abhiyan_, _limanowa_, _تاریخیتع, 
   {{0xa4ba0026,0x9b700307,0xe5a702d3,0x0a05000a}},	//   _중국국제전화카드_, _ahlukana_, _групен_, _arpatsit, 
   {{0xac560244,0xf2d9011b,0x82af01f7,0x7e1d046b}},	//   _portare_, _batei_, _riccioli_, _botensia, 
   {{0xbba1039e,0xf3eb01fb,0x7c1d004b,0x7d1202af}},	//   _bankgiro_, _platto_, _dilaebor, _uhirahir, 
   {{0xf200003a,0x12d902b0,0x22780122,0x326c01ef}},	// [89f0] _buning_, _datei_, _taunan_, _aldona_, 
   {{0xa9350145,0x4dab02af,0x63b803b8,0x3320019c}},	//   _premjera_, _birirara, _нашарлат, _yinyin_, 
   {{0xb63f00b8,0xe60e0040,0x22000145,0x00000000}},	//   _wiphalax, _ווטסון_, _seniau_, --, 
   {{0x2ee100c7,0xeb8303a2,0xc2910439,0x396d00d9}},	//   _massakül, _रहिमन_, _hiyaka_, _motivaat, 
   {{0x12b5001d,0x4b9100c5,0x03a902a2,0x524805a8}},	//   _tracie_, _按照国家有关规定, _mababang_, _obomba_, 
   {{0xe1660037,0xd9e80418,0x829201fc,0x73e90009}},	//   _boboiboy_, _unuttunu, _turaha_, _primanjk, 
   {{0xfe470287,0xa94b0004,0xfb77021c,0x00000000}},	//   _označit_, _enkonpet, _horolezc, --, 
   {{0x4f0603a9,0x02d9011d,0xba0102d9,0xabe103d1}},	//   _алюминач, _catei_, _tamaaiga_, _galdniec, 
   {{0x638703f0,0x02460486,0x7217046f,0x02390213}},	//   _bjarni_, _गोलले_, _molkerei_, _праведны, 
   {{0x10c001df,0x48590012,0xe94b02ff,0xcec00315}},	//   _dismantl, _जलुहारउज, _inkonpet, _itayetwe_, 
   {{0xc34100d6,0x3eb301d6,0x32c503d5,0x41ed004d}},	//   _ligeann_, _spillern, _baillee_, _位網友寫書評_, 
   {{0x00000000,0x00000000,0x00000000,0x00000000}},	//   --, --, --, --, 
   {{0xa8ee012c,0x7f620733,0x03170333,0x4c760243}},	//   _مصرين_, _stepanie_, _rancune_, _kibriti_, 
   {{0x784d0192,0xf29e028b,0x425a045f,0x72b9034d}},	//   _들었습니다_, _мираб_, _kollin_, _assegaf_, 
   {{0x3c19048b,0x9893034d,0xcfa60060,0x5290030a}},	//   _croptop_, _terkandu, _بايراعى_, _seoane_, 
   {{0x23ea0678,0x8455027b,0x9d290148,0x02b60428}},	//   _azete_, _जनाधिप_, _proponer, _sladice_, 
   {{0xe6cd034a,0xc2f50075,0xf5e800c7,0x20510161}},	// [8a00] _converté, _havinum_, _elmaydı_, _историй_, 
   {{0x32910068,0x026c0373,0xec7d0046,0x07a30453}},	//   _biyaha_, _alloga_, _كۅڭتۅرۉش, _pritisci, 
   {{0x56970166,0x765101c1,0x26020630,0x3d9f0268}},	//   _eigentli, _समाधी_, _atrlanti, _agonsdra, 
   {{0xa9c50193,0x798e020e,0x958900d6,0x00000000}},	//   _kesempat, _марис_, _اتوماتيك_, --, 
   {{0xb5290342,0x662902c2,0xe6640235,0x9bea0037}},	//   _navigasy, _navigasi, _व्यसनं_, _የተሠማሩ_, 
   {{0x13860535,0x326e0014,0x43db0420,0xa64301db}},	//   _mmara_, _tetova_, _екипите_, _футболшы_, 
   {{0x6d5a01b7,0x7b7f0305,0x06a5031f,0x339401b4}},	//   _प्रभवति_, _singelen_, _driftsmi, _tensy_, 
   {{0xe83d0247,0xb79300c5,0x737803db,0x79a9026f}},	//   _مشابه_, _国家旅游局_, _inyanga_, _باۋلاردا, 
   {{0x5a0a0184,0xe9b601a3,0xe2d8024a,0x74070066}},	//   _turakina_, _تارونءَ_, _ilegeesi_, _minutuan_, 
   {{0xb052008e,0xc29002bc,0x42fd0275,0x1f9d00be}},	//   _amagutoo, _pynap_, _iluga_, _تەگىبىزد, 
   {{0x538604ee,0xe08f0040,0xcd800052,0xfdf10039}},	//   _amara_, _בזבוז_, _नेत्रावत, _mendeeta, 
   {{0xd3ea00a5,0x2e53019f,0xad8e026f,0x12370156}},	//   _nzetc_, _kutafaka, _تۋىپپىن_, _abomena_, 
   {{0x62d90326,0x3075000c,0xa89902eb,0xfdaa0053}},	//   _mateu_, _америкеи_, _чичрэхий, _dibicara, 
   {{0xf4c20097,0x125a02e2,0x40ed0010,0x7b910226}},	//   _alubọọmu_, _pollan_, _belibhol, _khandalo_, 
   {{0x9e08031a,0x623704ab,0xe94d00d6,0x3c530178}},	//   _abideala, _vidjet_, _poblacht, _राधेय_, 
   {{0x92ae0083,0x7c34019e,0xcc7f0025,0xe6cd014a}},	//   _definì_, _негатыўн, _उपयोगितम, _konvertá, 
   {{0x0f3a0148,0xb2fc01d2,0x8df2005e,0x4737027e}},	// [8a10] _屆優良不動產經紀, _amigon_, _بۆسۈش_, _наплате_, 
   {{0xda7f036c,0xa4aa01e6,0xf27e0119,0xc30301c8}},	//   _desambra_, _organick, _ilina_, _terasou_, 
   {{0x52700055,0xe77e0162,0x55f60478,0x00000000}},	//   _riunioni_, _мәктәпни_, _arreconé, --, 
   {{0x9d1802d3,0x2791019d,0x09d7032d,0x39a903aa}},	//   _дискутир, _akatsati, _bomeneme, _वेश्यालय_, 
   {{0xd4ef0210,0xc34a0359,0x1c2d01f3,0x00000000}},	//   _akambouy, _aldehou_, _strankac, --, 
   {{0xd3730087,0xb3ff01ab,0x07dd00ff,0x08e600ff}},	//   _nakambe_, _गाडफादर_, _מילדע_, _יובֿל_, 
   {{0xb96d00b5,0x02fd000d,0xef2100f3,0x19800183}},	//   _ambiénte, _eluga_, _kusengen, _ezekiasa_, 
   {{0x627e030b,0x2aa204f2,0x52890472,0x325a0205}},	//   _olina_, _techcomb, _diyakini_, _jahli_, 
   {{0x2373037c,0x25e50220,0x505a00a5,0x405201aa}},	//   _humanae_, _гледка_, _papatiso, _atertown, 
   {{0xd6af01cd,0x9baa0143,0x00000000,0x00000000}},	//   _athukuth, _проектоз, --, --, 
   {{0x727e0272,0xe263036a,0x53cf025b,0x00000000}},	//   _alina_, _kalivati_, _stevnu_, --, 
   {{0xc3dd00c7,0x606e0096,0x5da80095,0xbc750110}},	//   _массовым_, _abapagan, _barokaha, _labumus_, 
   {{0x42d90230,0x750e02c8,0x927e00cd,0xe919037f}},	//   _latet_, _castrelo_, _adank_, _mircavad, 
   {{0xe5a206f3,0x2f7202b2,0xf387021c,0xd11d00e6}},	//   _बताते_, _доброго_, _tvaroh_, _笔记本计算机_, 
   {{0x863d00da,0xe34b0420,0x00000000,0x00000000}},	//   _mecanism_, _alterou_, --, --, 
   {{0x30170287,0xe7f90037,0x96320149,0x02d9008e}},	//   _सम्शेर_, _መንስኤው_, _tụtara_, _gateu_, 
   {{0x8f690089,0x7883003f,0x58a90299,0x00000000}},	// [8a20] _balalarn, _dadilchu, _تەلتۈكۈس_, --, 
   {{0xeeb900ca,0x830c051e,0xa8730096,0xac1d0156}},	//   _ampostin, _tomadas_, _arenganu, _זשאוס_, 
   {{0xb238018d,0xd34d04f8,0xe5c8018e,0xb2d904ef}},	//   _ብልዝብን_, _firearm_, _khwalith, _bateu_, 
   {{0x3da2004d,0x5326015e,0x00000000,0x00000000}},	//   _政府汰換老舊垃圾, _جالىنى_, --, --, 
   {{0xd2d90190,0x541300d6,0xe29100ea,0x927e00cd}},	//   _eatet_, _ساندي_, _gizavo_, _clina_, 
   {{0xc5a7001a,0x570200c7,0x00000000,0x00000000}},	//   _شکنجے_, _болытлы_, --, --, 
   {{0xf3480127,0x22d901fb,0xbdd20023,0x444d02ac}},	//   _adreizh_, _plenate_, _добрые_, _لآخرين_, 
   {{0xa27e02d8,0x73790232,0x77de01e6,0xd13a0204}},	//   _teknis_, _antaŭa_, _asfaltov, _pienessä_, 
   {{0x527e0207,0x1b3c002b,0x2a5e0219,0x00000000}},	//   _ndani_, _আনর্তজাত, _kubeleka_, --, 
   {{0xb75f0037,0x422400c7,0x11780007,0xa38701a2}},	//   _ተግባርና_, _yukka_, _biyangel, _ķeras_, 
   {{0x873c00da,0x47c2007f,0x18b0000c,0x00000000}},	//   _дистанцэ_, _engraiff, _mitäkuña_, --, 
   {{0x13dc0172,0x56320149,0xc309004f,0x0a2d00d9}},	//   _kodwo_, _pụtara_, _kaabaal_, _доверите, 
   {{0x52d9038a,0x97e500b9,0x09f20094,0x0815023e}},	//   _datem_, _अंतरंग_, _болудан_, _نباتی_, 
   {{0xf1c4005d,0xfa1a012f,0x610d01c4,0xc04702cf}},	//   _arandurä_, _obabakae, _silverto, _нагонот_, 
   {{0x9a360148,0x626e0321,0x327e02ce,0x11110207}},	//   _博客來分類_, _zarote_, _neang_, _سھارس_, 
   {{0x44a800d0,0x35cf0235,0xc35e0038,0x12b40059}},	//   _daramatz, _प्रदेशान, _газзә_, _psiche_, 
   {{0x9dfa017d,0xc50a0057,0xe1c4028b,0x0a3d00bb}},	// [8a30] _このレビュ_, _የጉምሩክ_, _arandurã_, _سائکل_, 
   {{0x727e0022,0xc0310371,0xa8310110,0x95a000d1}},	//   _beang_, _неграмот, _singapūr, _মহিলাক_, 
   {{0xc2d90150,0x727e0289,0x92360540,0x12fd0225}},	//   _katem_, _adani_, _vekja_, _emagen_, 
   {{0xb9ba00be,0xe83e0037,0xb5e9037f,0xd57f0144}},	//   _объектис, _ትደግፋለች_, _aparmış_, _sainairí, 
   {{0x4af50061,0xc2ec0158,0x226e01a6,0x4e3403b7}},	//   _히스테리아_, _autorzy_, _harore_, _albanywa, 
   {{0x52fd0269,0x92d804a4,0x3373032d,0x50e402a6}},	//   _imagen_, _aileag_, _itellang_, _bagnarol, 
   {{0x52da0428,0x92020422,0x58600075,0xa2d80195}},	//   _kateri_, _perilo_, _bilarnir_, _bileag_, 
   {{0x452c0238,0x82d80130,0x33a90213,0x726e0282}},	//   _остаточн, _badez_, _попадете_, _marore_, 
   {{0xf94e0265,0xe0e800b7,0xc87b050d,0x00000000}},	//   _verlicht, _berilmel, _egipcios_, --, 
   {{0xabbd018d,0x8ab9014f,0x79680044,0x6a37020e}},	//   _ብመጽናዕቲ_, _полиције_, _activate, _уралым_, 
   {{0x824e0194,0xb2010422,0x2ecb004c,0xc38000ee}},	//   _perfectm, _izbiro_, _addingan, _ehuren_, 
   {{0xe2e20140,0x5d4b030c,0x029200f5,0x5da903ae}},	//   _paligid_, _tuhariaq, _gurama_, _sivilisa, 
   {{0x200a03ea,0xf23702c3,0x6305022a,0x9c6202e7}},	//   _回复此发言_, _prajem_, _romatik_, _gatusan_, 
   {{0xadaa0125,0x10750444,0xa2f20162,0x0c73025e}},	//   _байдагын, _выросли_, _октар_, _sterkar_, 
   {{0x377e002b,0x2c230318,0x0e650163,0xfb680108}},	//   _লাইটনেস_, _kanivatu_, _پختوانخو, _batujaya_, 
   {{0xd2f50359,0xa3480223,0x7a8400c5,0x0c02003f}},	//   _polityk_, _alderdi_, _诚信商务通_, _chustis_, 
   {{0x9c1102c2,0xf0320300,0x73910092,0xb2780022}},	// [8a40] _gesprek_, _postaven, _この商品への質問_, _тентеү_, 
   {{0x98aa00c5,0xb2d9012b,0x730502ef,0x413000d6}},	//   _成都市地方税务局, _zatem_, _tomasik_, _مجنونه_, 
   {{0x7c780259,0xa7740255,0xc4d70301,0x00000000}},	//   _forskel_, _दुर्गती_, _rəcəbov_, --, 
   {{0x7af7006d,0xd61700d6,0x12020544,0xb2d900e4}},	//   _сегменты_, _hollscoi, _ieriko_, _latek_, 
   {{0x012d01a7,0xd3050086,0x424605d4,0xc9f60034}},	//   _сайте_, _دوسال_, _गोखले_, _sverrisd, 
   {{0x327e007b,0x6db20223,0xb27e0163,0xe2910230}},	//   _fling_, _behintza, _amint_, _degaze_, 
   {{0x3396003e,0xa3b10045,0x51ed0423,0xc8270088}},	//   _bassel_, _непристу, _marmelád, _جاپالاق_, 
   {{0x4224005b,0x5ee9025e,0xbc540065,0x54e100f8}},	//   _kukko_, _verkaman, _geltend_, _জাকাত_, 
   {{0x129001e1,0x75b50147,0x01400185,0x5ba4008a}},	//   _lijalo_, _اچتادىم_, _beterdel, _pesipolo_, 
   {{0xc9e3000c,0xc26c0028,0xf4b800ef,0x94d70046}},	//   _солана_, _todoba_, _نورمونو_, _кадамы_, 
   {{0x714e023d,0x00380140,0x22d903c2,0x52240211}},	//   _protezio, _magtanon, _almoner_, _lukko_, 
   {{0x4c110450,0xb7be0226,0xb27a005e,0x1d5c0137}},	//   _besprek_, _aphunguw, _ﺳﯜﭘﯩﺘﻰ_, _сүүёон_, 
   {{0x020201a6,0x330e030a,0x6a00034e,0xa2480239}},	//   _heriko_, _casares_, _charanku, _naomia_, 
   {{0x4c6202d8,0xf5e300be,0x751f050a,0xef2e015f}},	//   _ratusan_, _توبۇنداع, _belgesel_, _cilomedr_, 
   {{0x38f90231,0x643a013e,0xad370464,0xa2da01a6}},	//   _vergiliu, _raskrink, _kitigeze_, _pateri_, 
   {{0x6c300219,0xb2000305,0x929004ad,0x4a1200e2}},	//   _awesabis, _skeiv_, _dijalo_, _jobbegea_, 
   {{0xa5dc0036,0xe46d01bb,0x9ee50150,0x1ee8018d}},	// [8a50] _ويعتبر_, _башындан_, _politiks_, _ብምስላፍ_, 
   {{0x97c605ab,0x420101f3,0x4b8c0291,0x00000000}},	//   _abasteci, _zdvihu_, _ناشيونال_, --, 
   {{0x89cb0086,0x3aa10177,0x32a90037,0x484703a1}},	//   _beleegye, _рсмета_, _ቢሮአችን_, _канабис_, 
   {{0xb33702d3,0x1ae000ff,0x6b640200,0xd9dd0059}},	//   _никола_, _קערעסטיר_, _wetulata_, _крайната_, 
   {{0x2292036e,0xa5540559,0x87b303b9,0xf0e4047d}},	//   _kuraka_, _abakhuth, _tukuyapx, _yannhell, 
   {{0x6d36022a,0xfea501bb,0xa26e01a6,0x48ad0397}},	//   _guapimir, _tertipde_, _parore_, _бохашама, 
   {{0x3c620108,0x799c0012,0x00000000,0x00000000}},	//   _baturan_, _हँसछि_, --, --, 
   {{0x626c00f4,0x12900371,0x0295002e,0x29970148}},	//   _sikour_, _chiama_, _pitanjim, _如果有發現誤刊或, 
   {{0x12d9002c,0x2a0701f6,0x71410273,0xcf3600c0}},	//   _batek_, _kongedøm, _accesibl, _matuguna, 
   {{0x92f70481,0x07750076,0xb5cb00cb,0xe27e0081}},	//   _logisch_, _складира, _angamaqh, _dline_, 
   {{0x63a703a1,0xfdcf0025,0x00000000,0x00000000}},	//   _противор, _अध्ययनं_, --, --, 
   {{0x335200c5,0x62d900d2,0x536a018b,0xd26401ba}},	//   _知识堂首页_, _watek_, _exclusiv_, _diplex_, 
   {{0xd124014f,0x2fae00d9,0x63be0057,0x78730256}},	//   _атанасиј, _парке_, _graviti_, _kempings_, 
   {{0x02cb0338,0x334100b4,0x9ee3021c,0x82360267}},	//   _istoric_, _reteaua_, _balerínk, _biljne_, 
   {{0xc4960430,0xf24c0044,0x501e0192,0x3ea50047}},	//   _anganedz, _ספרדית_, _플레이리스트_, _utilisan, 
   {{0xb0fc01ab,0xdc1d014e,0xa9f80148,0xfda90403}},	//   _सुखवा_, _предлоге_, _conscend, _fifikira, 
   {{0x2ac70061,0x0e2f004d,0xe08500e6,0x00000000}},	// [8a60] _전화번호를_, _經費執行報告表_, _国家管理改革委员, --, 
   {{0x24fa05e5,0x5fd80155,0x7bd200ba,0xdec30090}},	//   _ग्लानि_, _boendeko, _خۆجێی_, _anondion, 
   {{0x959700d6,0x3c0000df,0xdfe40029,0xb9db01da}},	//   _cloisteá, _grosses_, _روپرۆگرا, _katovica_, 
   {{0x229001d3,0x414504df,0x72b80558,0x66f3001a}},	//   _synas_, _пушман_, _sayensị_, _kultúráj, 
   {{0x08ba023c,0xbadc049e,0x796a0183,0x00000000}},	//   _پوهېده_, _termálne_, _entinare, --, 
   {{0xa292012c,0x6df903a1,0xcfbf0064,0x45650060}},	//   _furaha_, _шампиона, _franceso, _سپانيانى, 
   {{0x82d9037e,0x1e2a018d,0xd9d803bf,0x931000c9}},	//   _katei_, _ዘገድሰና_, _bahlanka_, _becamex_, 
   {{0xa69b00da,0x9204027c,0x026c0547,0xf23403b4}},	//   _акциунь_, _رژیمه_, _coloca_, _agumise_, 
   {{0xf63e011d,0x379a0441,0x836e01a4,0x915e0156}},	//   _миништри_, _rekvalif, _bangulu_, _יוספֿן_, 
   {{0x7e4f0291,0x8c230273,0x00000000,0x00000000}},	//   _وحرصا_, _barrié_, --, --, 
   {{0xfc7c00dc,0x1e4c00ea,0xd053001b,0xc201029b}},	//   _alesana_, _ankavana, _barresin, _definu_, 
   {{0x0a890126,0xf21c0195,0x31b3016f,0x10ca0374}},	//   _заздалег, _dithis_, _повені_, _ғаниматм, 
   {{0x136c019b,0x8c290289,0xc5b700d0,0x60600013}},	//   _licencij, _adapukus, _бисекс_, _homiylik_, 
   {{0xdc740255,0xfc2a03dc,0x63130084,0x6e4e0204}},	//   _आडम्बर_, _innihald_, _lencana_, _taistelu_, 
   {{0x73f903db,0xea8f0314,0x1297003c,0x11fb0079}},	//   _imvume_, _аҡрын_, _anganthi_, _saliekam, 
   {{0x0af80285,0xf3be042c,0x0b2a0097,0x3d4f0237}},	//   _abasenat, _praviti_, _ngílítí_, _국가교정기관_, 
   {{0xd44a00c8,0xe30701c7,0xd4840115,0x26d3016a}},	// [8a70] _магнитог, _baranok_, _temujanj, _dancisti, 
   {{0x9d6001b1,0xcfdd01ef,0x49e200ca,0x9fdd01b8}},	//   _साम्प्रद, _medicino, _capitava_, _religioo, 
   {{0x7625018e,0x329200d7,0x1a160028,0xa2f70268}},	//   _horisiwi, _foramo_, _ummadaha_, _arkupmay_, 
   {{0xa29100c2,0x84b10078,0xa1520234,0xa994020f}},	//   _kibazo_, _непрофит, _obalúayé_, _دبنګلادی, 
   {{0xa341019d,0xdefc0193,0xaf630256,0x1c2a018b}},	//   _kutenga_, _सुटका_, _vakances_, _navigand_, 
   {{0xfe6a00c7,0xe5870022,0x203e0039,0x0b4f0019}},	//   _тойды_, _клубтары, _maitemin, _serviria_, 
   {{0xa33d0148,0xa2a70244,0x69ec0216,0x138200ba}},	//   _多瓦娜家具館_, _расова_, _kumisisa_, _پاولۆ_, 
   {{0xd7b600e4,0x26b60105,0x0d570141,0x029103f3}},	//   _aktualni, _aktualny, _тангри_, _begane_, 
   {{0x22e302a6,0x76b9010e,0xdfee0418,0x00000000}},	//   _milizie_, _alpabeti, _hayranlı, --, 
   {{0xee5502d4,0x00000000,0x00000000,0x00000000}},	//   _succursa, --, --, --, 
   {{0x12520281,0x43130422,0x67210235,0xc0930052}},	//   _tulliani_, _bencina_, _cintanam_, _समुद्रको_, 
   {{0x5c56004d,0x5e0d0153,0x00000000,0x00000000}},	//   _auctore_, _財団法人学習ソフ, --, --, 
   {{0xc93202da,0x56d2060e,0x12a60132,0xe4320141}},	//   _реализир, _जाकिर_, _lombik_, _тебратиш, 
   {{0x72920321,0x791e01eb,0x5f2601c8,0x32ec040f}},	//   _morajo_, _dictadúr, _potresta, _алтар_, 
   {{0x33b4034f,0x339602e4,0x126d0551,0xe31400e6}},	//   _ډنمارکي_, _fassal_, _cybozu_, _三人共把盏_, 
   {{0x32f0012f,0x0d050409,0x22fd0047,0xeaf1005e}},	//   _bewitch_, _opgrader, _bouge_, _ئىزگۈ_, 
   {{0x32f401da,0x47c80092,0x221b01e5,0x62e90372}},	// [8a80] _pranuar_, _あけましておめで, _austrálí, _chlicio_, 
   {{0x21500163,0x6a1400e3,0x790f0153,0x02fc07d8}},	//   _البرادی_, _galassja_, _はありません_, _imaginii_, 
   {{0x2248007c,0x3386041f,0x83cf0046,0xf2d80318}},	//   _abomma_, _umark_, _preveu_, _homene_, 
   {{0x829001d9,0xa8d70012,0x6c77023c,0xb90a0251}},	//   _dynax_, _धंूचाउ_, _azisiwe_, _buraanbu, 
   {{0x425b011e,0x00000000,0x00000000,0x00000000}},	//   _anpli_, --, --, --, 
   {{0xc27e0417,0xd7a70212,0xa44e0602,0x00590311}},	//   _klink_, _factioni, _servicej, _ናብራኦም_, 
   {{0xd27e02e1,0x93ae0224,0x33d702ee,0xb27e007b}},	//   _aoine_, _bárujárn, _intlagħb, _poind_, 
   {{0x8f8c03ea,0xc8bf0409,0x02b50629,0xedb70223}},	//   _complète_, _anderled, _alfcay_, _салоныг_, 
   {{0xb3380037,0x52f1027b,0xaaf20139,0xfc6b0139}},	//   _በመምሰል_, _पालनाभ्य, _bandhunā_, _कार्यी_, 
   {{0x5386005c,0x9c8401d1,0xed840203,0x32c50129}},	//   _imari_, _accepted_, _acceptet_, _mbilite_, 
   {{0x1291004c,0xfccd00ec,0xd26f0357,0x0b180434}},	//   _akaaba_, _панарама_, _murimuri_, _encantan_, 
   {{0x317a036c,0x2c0e035d,0x59340652,0x00000000}},	//   _toriteny_, _arapske_, _segmenat, --, 
   {{0x3f03060f,0x52d80571,0x021c0054,0xe3800294}},	//   _འདྲུབ_, _eleele_, _azuhur_, _churin_, 
   {{0xde0d0163,0xd583014b,0x4225022f,0xfd2900b4}},	//   _پیشتر_, _abdulraz, _prekes_, _propuner, 
   {{0x72c50175,0x4af70133,0x22fd040a,0x878601ef}},	//   _abilite_, _awustire, _byggde_, _байтаў_, 
   {{0x7b9800f5,0xab510208,0x3fbc01f3,0x28c90311}},	//   _сынанышм, _وێنده_, _kyslíkov, _ይሕምሕም_, 
   {{0xf7d200a4,0xf06a00b4,0xe28e04da,0x2380001f}},	// [8a90] _сентябрг, _визитело, _itekako_, _nkuran_, 
   {{0xd35401d1,0x54fc014a,0x726c01fc,0x29a50053}},	//   _attempt_, _بزدلانہ_, _mododa_, _सिमकार्ड_, 
   {{0xb2c503da,0xe3780057,0x180a0371,0xc2a60060}},	//   _ebilite_, _orgasma_, _струват_, _фильмге_, 
   {{0xb2d902bb,0x5860005e,0x2b090343,0x9c5902f6}},	//   _chcemy_, _узивитәл, _konpyute, _dumulog_, 
   {{0x4cbe02ba,0x68e90281,0xd25802f7,0x234301c2}},	//   _сарез_, _asasanng, _kgetolol, _aforrará_, 
   {{0x925a02a8,0x320e029d,0x81790381,0x33dc010b}},	//   _pollin_, _папал_, _aevislay_, _filwe_, 
   {{0xe2c3015e,0x8c7d0528,0x2d2b0378,0x00000000}},	//   _amplada_, _leasain_, _himmirík, --, 
   {{0xa6b5018e,0xa8cf0046,0x33800180,0x3fa605e6}},	//   _aparatey, _даректүү_, _okuran_, _stampboo, 
   {{0x85ea00d1,0x23f80235,0xd2d503ae,0x8fc70196}},	//   _ইত্যাদিত_, _arjuno_, _isolert_, _galimoto, 
   {{0x62240176,0x41d70420,0x9063015e,0xbb9b0100}},	//   _kukka_, _задник_, _которот_, _poznanic, 
   {{0xe3dd0320,0x00000000,0x00000000,0x00000000}},	//   _notwa_, --, --, --, 
   {{0x29c7006c,0x432103fc,0xec7d0066,0xc3680019}},	//   _барака_, _skryt_, _beasain_, _базаркор, 
   {{0xc7ae00be,0xc59d02bd,0x22e8005b,0xe69d0244}},	//   _бирге_, _heffeith, _ichiban_, _прасе_, 
   {{0x4b6904ca,0xf320014d,0x82120201,0x09a70093}},	//   _bretanha_, _beliebig_, _labha_, _басаев_, 
   {{0xa841052c,0x002e027e,0xc2b402f9,0x564e0037}},	//   _ئیمێڵی_, _важности_, _agoch_, _ስንታየሁ_, 
   {{0x8fa700be,0xf2fd0373,0x29ce01b5,0x53010096}},	//   _алкоголд, _imagon_, _khudzehe, _bambuwe_, 
   {{0xbfcc01e1,0xca3f00c4,0x737801c0,0x2c7f0099}},	// [8aa0] _эпостар_, _الاھي_, _aibanta_, _chemunyu_, 
   {{0xb27e019c,0x95650191,0x334b06de,0x00000000}},	//   _ilana_, _karaktär, _dikerat_, --, 
   {{0x96b40072,0xe21204ea,0xd4190125,0xc30200a6}},	//   _arkatawi, _babha_, _беласы_, _anabane_, 
   {{0xe94802d8,0x336f0313,0xf224039e,0x058c036e}},	//   _वेबसमूह_, _burghdu_, _dukka_, _anqusayk, 
   {{0x57a802e5,0x962900ca,0xa98702af,0xe2d901fc}},	//   _никарагә, _rafinari, _biriruka_, _obtek_, 
   {{0x637f015a,0x029b02ac,0x596b000b,0x527e0203}},	//   _arkatta_, _تكساس_, _filifaat, _planc_, 
   {{0x427e01bb,0x00ec0061,0x430702b9,0xa26d015e}},	//   _elini_, _오른쪽으로_, _darabok_, _solidari_, 
   {{0xe3ea042e,0x074a009b,0x00000000,0x00000000}},	//   _hentet_, _antisorg, --, --, 
   {{0x72ca0163,0x78450260,0x5dfb018d,0x672c0065}},	//   _meddig_, _cantares_, _ተፈላጥነትን_, _verschlü, 
   {{0x805f00a6,0x5224004f,0x9fca0041,0x42fc0151}},	//   _امارت_, _bukki_, _зсанитар, _bruight_, 
   {{0x327e023b,0xec2d0116,0x1a9001f6,0x890a00d0}},	//   _alana_, _perished_, _যন্ত্ৰ_, _папараци, 
   {{0xacc20291,0xc96e005b,0xbf4000d1,0x427e00da}},	//   _برازيلية_, _altpaper_, _সিখনকৈ_, _blana_, 
   {{0x77a600c5,0x22a601d5,0x2c2902f2,0x70520344}},	//   _阅读卡销售网点_, _gombok_, _ansiedad_, _imaritin, 
   {{0xa2d8003f,0x798402d9,0xaebe008d,0x452700c7}},	//   _abley_, _alailima_, _долларли, _ayırmalı, 
   {{0x69f002a0,0x22770292,0xa7e00061,0xb94f0432}},	//   _akintola_, _kwansini_, _최신업데이트_, _kyllinge, 
   {{0xe3fa01fe,0x6a3d00f5,0xa214027f,0x8b5e0163}},	//   _buruto_, _ичмекде_, _ayakozem, _ایرانیوں_, 
   {{0x0225036e,0xc5620145,0xa2ea0338,0x54270223}},	// [8ab0] _atska_, _булгакаў_, _chanòt_, _altsasun_, 
   {{0xaaec0594,0x72e5012c,0x60a702ac,0x8f530223}},	//   _fredriks, _تبصرا_, _واحشني_, _домайн_, 
   {{0xfc740485,0x77250243,0x726c012c,0x2e530072}},	//   _lørdag_, _afrikák_, _dodoma_, _sutanaka, 
   {{0x327e0571,0x2148018d,0x8607006c,0x76a40135}},	//   _koina_, _ብኮምሽን_, _маглуб_, _твиттерг, 
   {{0xf148018d,0xf8fa0527,0x75a3014c,0xa8d30187}},	//   _ብኮሚሽን_, _običnih_, _esisisek, _espetacu, 
   {{0xe18b00bc,0x130500bb,0x02fd005b,0x8c7000c3}},	//   _مکاتبه_, _نڈھال_, _douga_, _cessare_, 
   {{0x427e01ed,0x62d80249,0x161501c8,0x0b8a0338}},	//   _loina_, _spinrod_, _stranám_, _chantair, 
   {{0x90ef03f2,0x22fd01fa,0xaecb0227,0x5f2303ab}},	//   _ravintol, _fouga_, _telingan, _neodborn, 
   {{0x95d400aa,0xd3ff022b,0xa86e0123,0x4cf2004a}},	//   _ganansiy, _svangask, _skrivend, _kerteler, 
   {{0xd34103dc,0x525b0242,0x346a033b,0x0d2c0059}},	//   _betesda_, _tipli_, _rategago_, _списъка_, 
   {{0x5c4800da,0x86120163,0x20e8016e,0x00000000}},	//   _функциун, _ڈاوُن_, _verilmel, --, 
   {{0x62eb0119,0xd3450224,0x42300408,0xd0ee0538}},	//   _nariño_, _fundist_, _miombon_, _lynnedsl, 
   {{0xfe850148,0x8fe6002b,0x6366001d,0x59de04cf}},	//   _歷史上的今天_, _ঠিকমতো_, _largmen_, _iflorida_, 
   {{0x131002ea,0x36220361,0x67090019,0xf3420176}},	//   _succede_, _субсидию_, _тетири_, _casenin_, 
   {{0x4df70035,0x198e034c,0x413700cb,0xfc650033}},	//   _тереклек_, _вафин_, _вебсайти_, _cartieu_, 
   {{0xee280181,0x62b901b2,0x887800c7,0xcb6e01ff}},	//   _coconuts_, _acidish_, _алтмышын, _fotopasc, 
   {{0xd5c100e6,0x0a0f02c2,0x324802e5,0x0f21002e}},	// [8ac0] _部分内容可能应权, _wedstryd, _etimol_, _napuštan, 
   {{0x2b960534,0x82d90212,0x240c03db,0x82d50118}},	//   _quangcao_, _patet_, _asinakuz, _akalulu_, 
   {{0x22d901d1,0xc2d8021a,0x0a2801f2,0x81070064}},	//   _later_, _baheen_, _сақкәнмә, _кыянатты, 
   {{0xc2d902bd,0xe2d900ad,0x59eb03d0,0x298e034c}},	//   _fater_, _wates_, _frendica_, _варис_, 
   {{0xf3990185,0xe34d017d,0xf27e02ac,0x99c80188}},	//   _биогеоце, _foretræk, _olann_, _объектҳо_, 
   {{0x263f0486,0xf27f02f0,0x488a00bf,0xf00600bb}},	//   _kalendář_, _awenta_, _захватчи, _واجپائی_, 
   {{0x629201a6,0xbf4202d9,0xde2a0366,0xd28402fd}},	//   _horano_, _akerisia, _лагерфел, _sathurn_, 
   {{0xe1bc0156,0xc01600c7,0x00000000,0x00000000}},	//   _אליאנץ_, _кабынды_, --, --, 
   {{0xb224022b,0xf2d70481,0x37bf01bc,0x5ece00bd}},	//   _lukku_, _sneller_, _fearnsji, _chuizers_, 
   {{0x327e02fd,0xa26c0119,0x19de03de,0x727e00dd}},	//   _clann_, _coloma_, _eflorida_, _blino_, 
   {{0x62d3033a,0xc82e0126,0xd2d902a4,0x2d3804c7}},	//   _ammonti_, _кредитів_, _vates_, _егзекуци, 
   {{0x697500c5,0x69f20013,0xdd20008f,0x120002f6}},	//   _国家民族事务委员, _nalishda_, _autodele_, _erning_, 
   {{0xe347023b,0xc3f10244,0xf26e018b,0x728c0133}},	//   _gileada_, _pensieri_, _altora_, _hiiktan_, 
   {{0x23ea01b2,0x8291012e,0x02d8024c,0x52ca012e}},	//   _paltry_, _bizalomm, _diment_, _angliai_, 
   {{0x48cd0253,0xac5505d2,0xf2fd0181,0x526c022f}},	//   _kiffartu, _feltene_, _smagen_, _rodoma_, 
   {{0x02da00a5,0x29fb0285,0x8b610344,0x82d9009e}},	//   _aluese_, _mumashat, _milliner, _bater_, 
   {{0x927e01e8,0xa96601cb,0xe26c0069,0xb87601af}},	// [8ad0] _alang_, _njengomt, _modoka_, _ордулар_, 
   {{0xeb270378,0x55490093,0x9f2f008c,0xa291023e}},	//   _allarbes, _корнилов_, _castigia, _dewane_, 
   {{0x469704dc,0x0c6e0013,0x4b9100cb,0xb3190151}},	//   _نگخانه_, _ijaraga_, _akanjalo_, _anchredj, 
   {{0xe27e0230,0x769701ee,0xcc26020f,0x6cd3020a}},	//   _imans_, _цигахь_, _وکړله_, _ақкесене_, 
   {{0xba1600b0,0x19c70039,0xaceb0040,0xd9df012a}},	//   _dagaalka_, _багахан_, _להעיד_, _stolarka_, 
   {{0xc65505eb,0x4a9f035b,0xb1620524,0xfc540044}},	//   _abanyulw, _skrivnos, _dragovol, _omitted_, 
   {{0xc3150107,0x3b6103a4,0xaa01000d,0xc2000009}},	//   _kenceng_, _adressan_, _liisingu, _ceniku_, 
   {{0x8ac90057,0x053b02da,0xa7bb037d,0xb2e80499}},	//   _ወርቅነህ_, _dimensõe, _poslanik_, _foufou_, 
   {{0x8c6701f0,0xb8e3004a,0xab8d0307,0x63890297}},	//   _apereng_, _аңлатыла_, _elandayo_, _фермада_, 
   {{0xf49e00d1,0xc2d90166,0x6dce0302,0x9be003ad}},	//   _তাত্বিক_, _vater_, _биеед_, _fundatur, 
   {{0x7bd60138,0x8658034e,0x21690243,0x2e020142}},	//   _faydalar, _balkunni, _numiinoh_, _devendra, 
   {{0x227e0044,0x6ac702b2,0x86b70068,0xe2780116}},	//   _doing_, _другої_, _walaalti, _haunin_, 
   {{0x26330276,0xae81026f,0x6b1802f7,0x00000000}},	//   _аватлашқ, _رەگىندە_, _fosagets, --, 
   {{0x7c620416,0x104301cb,0x662400d6,0x45b00255}},	//   _plurale_, _nokuzwan, _atmaisfé, _meistrik, 
   {{0x39840312,0x9adf000d,0x0b5002e5,0x12920181}},	//   _diakrite, _arvestus, _bramader, _sorano_, 
   {{0x62d90212,0x3ba7008a,0x36460156,0x50b70060}},	//   _pater_, _levitiko_, _אבדולא_, _ماتىنىنە, 
   {{0x2baa02de,0x26f401b7,0xdc0a00cf,0x326c053a}},	// [8ae0] _विसंगति_, _अकरवम्_, _baarnaab, _zidova_, 
   {{0x318900d6,0x922400ec,0x026c0115,0xf47f0428}},	//   _shibhial, _kenkia_, _intipati_, _jesensko_, 
   {{0xfa7f02f3,0x9d00018b,0x1aeb0138,0x72900089}},	//   _varandra_, _evaluare_, _devletin_, _aynaz_, 
   {{0x97b501e9,0xb4f800ee,0x060001e7,0x62d70148}},	//   _aparetei, _тасалдуу, _formulei, _timorem_, 
   {{0x6b030092,0xa01e004d,0x17a90107,0x8765001d}},	//   _capricie, _歡迎報名參加_, _زوجتین_, _sukhishv, 
   {{0x1a10026c,0xd27e020e,0x4aff045f,0x718b0291}},	//   _健康促進學校計畫_, _tlang_, _storleke, _ورؤساء_, 
   {{0x82d801b8,0xe280017a,0x47e70017,0x0396013f}},	//   _nimelt_, _abasefil, _दयाराम_, _clusty_, 
   {{0x6f9400c8,0x9c530280,0xa3170381,0x663900c1}},	//   _кластан_, _डिबेट_, _ammagay_, _फारएण्ड_, 
   {{0x47d8047f,0x12250238,0x6e710115,0x5f410170}},	//   _अधिकांश_, _становле, _percutia, _chosanga, 
   {{0x62ca0105,0xc78102c9,0xd2770334,0x664a0166}},	//   _chodzi_, _аседият_, _bizinezi_, _sichtwei, 
   {{0xe13e00fb,0xa27e00ca,0xc38f02f6,0xaee10251}},	//   _abadumil, _umans_, _banyaga_, _abtigiis_, 
   {{0xd1bc03cc,0x6b8b0281,0x1c4d005a,0x56a901d7}},	//   _স্পেস_, _tuniniar, _chavmey_, _impresch, 
   {{0x66b6042f,0xaa6302c1,0xa3860105,0x00000000}},	//   _turaarvi, _ateganya_, _chorym_, --, 
   {{0x86b400ff,0xd07103c7,0xecea008e,0x9c5a0287}},	//   _זאגנדיג_, _należą_, _biddiiwu_, _सूचनाको_, 
   {{0x07d9035e,0x72e0019c,0x944600be,0xd01f02f3}},	//   _kovačevi, _egungun_, _قاقىباس_, _medelsto, 
   {{0x42000195,0x2c92005e,0xc63400de,0xf38a0097}},	//   _croite_, _ھېچبولمى, _ayinamli, _kórun_, 
   {{0x627e00e4,0x48d600b0,0xb2d8033e,0x927e03d5}},	// [8af0] _gminy_, _کارتِکس_, _aimete_, _clane_, 
   {{0xf201018c,0x6e44026e,0xdec90192,0xfc390037}},	//   _thuis_, _आक्रोशित_, _검색되었습니다_, _አብርሀም_, 
   {{0xc27e01b6,0x79200045,0x48d10139,0x0cf70156}},	//   _ilanb_, _анализом_, _astaṃgam, _באלפאוינ, 
   {{0xcbb2033b,0x80e80071,0x202a0291,0x613703e6}},	//   _sephetho_, _سودوکو_, _مشآركآتي, _bildlech_, 
   {{0xe4910044,0xcb8c0347,0x32910043,0x0e9a037b}},	//   _ואלכוהול_, _avontuur, _akaada_, _resuelve_, 
   {{0xf395031d,0x48e9018a,0xb13f0010,0x484c03d1}},	//   _fleshy_, _gristnog, _batewudl, _pamatlīd, 
   {{0x67cb02c2,0x32b60638,0x727e00bd,0x1229021b}},	//   _geesteli, _vurdere_, _alane_, _домашнее_, 
   {{0x991903f8,0xe9e303d9,0x00000000,0x00000000}},	//   _navcanad, _hitodika_, --, --, 
   {{0x8d7600bb,0x7bee0397,0xd9d5020e,0xc0530244}},	//   _سانسیں_, _махол_, _hanetsoe, _внедрява, 
   {{0x42d20261,0x52fc01ad,0xc285010b,0x229001ff}},	//   _popoloj_, _iligan_, _dipheko_, _nijako_, 
   {{0x7c770485,0x5e49000b,0xd6e90294,0x00000000}},	//   _forsøg_, _seiaemoe_, _ichapaš_, --, 
   {{0xe48901bb,0x7280010d,0xdd6503d4,0x3d230515}},	//   _анкасы_, _hyukjae_, _главног_, _sanitate_, 
   {{0xc3fa01c5,0x66ea04d1,0xecd800da,0x626c0178}},	//   _murugo_, _provisió, _фронтиер, _apṛthaks, 
   {{0x16820367,0x3618045f,0xf201013f,0x034c003f}},	//   _verdadei, _anslutni, _akuit_, _dicevam_, 
   {{0x03450116,0x1c01025b,0x526c02d9,0x027d00a7}},	//   _wandert_, _kenslur_, _poloka_, _залакасы_, 
   {{0x4828016d,0x32480040,0xab99000e,0xfda70282}},	//   _вирусини, _filmed_, _gfchildr, _takikota, 
   {{0x49c60255,0x82ca01d9,0xb9c00244,0xd236019b}},	// [8b00] _खींचे_, _gudden_, _intellet, _дызайнер, 
   {{0x08e9046b,0xb53100bc,0x242201b5,0x092e02cf}},	//   _cristnog, _ایرینا_, _minkondz, _богаташи, 
   {{0xda570038,0xe457004d,0x00000000,0x00000000}},	//   _янгын_, _電腦及週邊設備業_, --, --, 
   {{0xc5f8018d,0x22c802eb,0x6c690244,0xa874017e}},	//   _ባርባራዊ_, _испанийн_, _нашенска, _amasigis_, 
   {{0x627f00a0,0x0b04014a,0xd4330185,0x02cb029b}},	//   _adanci_, _meglévő_, _актрисас, _deedet_, 
   {{0x21f30175,0x4dda011a,0x026e00a1,0x625a0507}},	//   _granmanm, _אוקספורד_, _potora_, _sholih_, 
   {{0xa27e01b2,0xccbc0093,0xdb40047e,0x6da801aa}},	//   _slane_, _участия_, _nedoruče, _ampoosha, 
   {{0x155b0057,0xca4104dc,0x3ecd00f1,0xf7b40333}},	//   _ማዕድናት_, _مخابن_, _resilyan, _sessanti, 
   {{0x150402c4,0xf3eb00f4,0xf3270030,0xdd2e03ec}},	//   _campeão_, _armenieg_, _staciju_, _pranimit_, 
   {{0x0791053f,0x53be02d9,0x13ea01bc,0x626c01b0}},	//   _khathati, _inivesi_, _kriten_, _bodona_, 
   {{0x5c660147,0x827e016b,0x32b10159,0xeb8d0296}},	//   _намысын_, _adinai_, _аблокаў_, _grundkur, 
   {{0xd2ef01fe,0x2ae501ad,0x029201c7,0xd39603e6}},	//   _lanieta_, _magreret, _chykyar_, _housch_, 
   {{0x1ee001ec,0xf5ff0264,0xd14d0009,0x7296011f}},	//   _چارچوب_, _augustã_, _postopko, _itakuru_, 
   {{0x9e0d02fe,0xc2910272,0xe9e5025e,0x325a00d9}},	//   _غیرتی_, _akaama_, _dagforle, _omille_, 
   {{0x881a02b9,0xca490143,0x9c2a057c,0xa34302d3}},	//   _احمدآباد_, _фандъков, _varemærk, _metendo_, 
   {{0x7f3e016e,0x22f3050a,0x62c50272,0xa3c60144}},	//   _bayramla, _emniyet_, _abiezeri_, _معدله_, 
   {{0x59cf0059,0x69e60377,0x00000000,0x00000000}},	// [8b10] _camerett, _motorina_, --, --, 
   {{0x2c0d02e1,0x00000000,0x00000000,0x00000000}},	//   _teipthe_, --, --, --, 
   {{0x43f9007a,0x1049005b,0x00000000,0x00000000}},	//   _rayuan_, _godgodgo, --, --, 
   {{0x929102ba,0xa0920192,0xe3eb0558,0x94e80256}},	//   _inzalo_, _감사하겠습니다_, _ezute_, _komandām_, 
   {{0x319c0132,0xafe300ff,0x4af60465,0x9db60013}},	//   _زلزلہ_, _atakanto, _žalostno_, _turnirla, 
   {{0x93eb00ac,0x827e0347,0x586d03d9,0xa9f801b8}},	//   _slatko_, _klank_, _nodimand, _finantse, 
   {{0x10160088,0xb30c02a6,0xaa7f02af,0x3b83048c}},	//   _барында_, _straniu_, _baratura_, _blindwor, 
   {{0x9a900140,0x361d00bf,0xa6ba008d,0x5205003f}},	//   _paningin_, _разметку_, _mutanosi, _naghheym, 
   {{0x540901b7,0xc98e0060,0x9b8502eb,0x39e60151}},	//   _antarīkṣ, _ғабит_, _эмээл_, _baffleme, 
   {{0x6533005e,0x2b180127,0x8db403b4,0xf2c50129}},	//   _ﺋﺎﺧﺒﺎﺭﺍﺕ_, _fokalenn_, _achikufa, _mbalite_, 
   {{0xfe560397,0x427f0082,0x26ee02e0,0xb27f0370}},	//   _бастани_, _adanai_, _dinamelw, _ajenan_, 
   {{0x52d90413,0x7c82034b,0x7a65002e,0x597e0238}},	//   _obter_, _laitning_, _najljeps, _грипу_, 
   {{0xcd2e0168,0x35bb0211,0x2766003e,0x00000000}},	//   _aktivere_, _ступени_, _балыҡлы_, --, 
   {{0x6e5f03ac,0xb0e00222,0xa5e00236,0xe37d0133}},	//   _timbulka, _kinésith, _nemogući, _huqadhe_, 
   {{0x489500c5,0xd058027e,0x552801c0,0xc33a0350}},	//   _青岛市公安局交警, _електран, _colombiy, _ዘገምተኛ_, 
   {{0x4354008b,0x265f0590,0x13050162,0x82d90040}},	//   _attekat_, _өмсдөг_, _خوراز_, _rounded_, 
   {{0xcc49016f,0x00000000,0x00000000,0x00000000}},	// [8b20] _поселень_, --, --, --, 
   {{0xa7a5069c,0x226c0240,0xac0600be,0x63ea0014}},	//   _holešovi, _momoto_, _جگىتتەر_, _priten_, 
   {{0x11c70032,0x49f20271,0x6c580162,0xaf8301bd}},	//   _mumerlah_, _fengsele, _دالاسىدى, _وركەنيەت_, 
   {{0x7e9e00b3,0x426c017e,0xee1c008d,0x96c90037}},	//   _саялы_, _oomoto_, _урушнинг_, _የኬንያን_, 
   {{0x5d0c000e,0x22490073,0x93dc0342,0xf2eb0081}},	//   _anullant_, _cramel_, _andwa_, _drengir_, 
   {{0x80e30257,0x92d80115,0x7c6a0233,0x00000000}},	//   _grundval, _streamyx_, _patrial_, --, 
   {{0xa307037e,0xe25b005b,0xb7170188,0xc278036d}},	//   _paralok_, _pixlr_, _саркӯб_, _dornie_, 
   {{0xe7c500aa,0xc26e012a,0xd30701c7,0xd2a0023e}},	//   _gnostici, _gotowa_, _baramok_, _bisbol_, 
   {{0x02f402f3,0x52c803c7,0xf72603ec,0x378701f3}},	//   _stannar_, _istotne_, _analizav, _kundičky_, 
   {{0x7743006d,0x92b003f8,0x00000000,0x00000000}},	//   _руссю_, _mischohm, --, --, 
   {{0xc3580683,0x03e60587,0x336400cb,0xeecd06a7}},	//   _borgere_, _nòtas_, _amagoda_, _musikkan, 
   {{0xd879011f,0xa2910544,0x246a0410,0x785b0212}},	//   _менатеп_, _akaaka_, _latelago_, _xstreams_, 
   {{0x43eb0160,0xd12f0486,0xe61f0096,0xccf70205}},	//   _platio_, _pololetí_, _atemerew, _kartalar, 
   {{0xc26c00d5,0xb2780277,0xb3870082,0x7323018d}},	//   _tolona_, _cornie_, _umarni_, _ብዓንተብኡ_, 
   {{0x3c6f0257,0xf5e0042c,0x22b50429,0x91c10153}},	//   _katrín_, _nemogućn, _yaacob_, _このブログ記事に, 
   {{0x1d00061f,0x100300be,0xc7250235,0xa26c001c}},	//   _prometne_, _دىلەتانت_, _cintayaṃ, _rolona_, 
   {{0x94310156,0x6dab027f,0xd2c903fb,0x8b18029e}},	// [8b30] _ראלניצקי_, _carigara, _okolnih_, _enkadenn_, 
   {{0xb5ed0161,0xdf6a0064,0x93ea0237,0xcfd301ec}},	//   _российск, _catalans_, _buiten_, _insinyur_, 
   {{0xedcd02ac,0x4510016f,0xf7a700b9,0x76ce0187}},	//   _وثيمات_, _анастасі, _शरीरसंबं, _conversã, 
   {{0xc26c00fe,0x417d0204,0x903802e0,0x484a03fe}},	//   _folola_, _espanjal, _diterelo, _рокки_, 
   {{0xb3f902ec,0x64fb03a2,0x79e704a6,0xe3f800bd}},	//   _abuur_, _ज़माना_, _delovima_, _flouer_, 
   {{0x8b0301a7,0xe27e0009,0x4c060209,0xe2910342}},	//   _haastatt, _dlani_, _amerliss, _degaje_, 
   {{0x650601cd,0x92fc0321,0x848101b7,0xea6b018e}},	//   _адами_, _enega_, _डुदाञ्_, _entlhamb, 
   {{0xc26403b1,0x62d80455,0x126c01b5,0x027e028a}},	//   _parlé_, _limoges_, _kolola_, _flani_, 
   {{0x0017020f,0x6b6f0160,0x314f00da,0x00000000}},	//   _راوپارول, _žrtvama_, _amortizo, --, 
   {{0xd2e60133,0xb324022d,0x86bc002f,0xabfb00e6}},	//   _kanneen_, _precisi_, _alkulniy, _第五十三条_, 
   {{0x326f0298,0x96b4019f,0x6692004d,0xb26c0318}},	//   _hurihuri_, _kukusany, _內有十個檔案範本_, _lotolahi_, 
   {{0xe6580321,0xb6a70313,0x3e9a037c,0x230e0309}},	//   _unikatni, _datuqmoh, _contigit_, _almasaq_, 
   {{0x349f01f4,0x5bd000e6,0xc96c008f,0x46770138}},	//   _амални_, _加工贸易业务批准, _indikaat, _öldürmek_, 
   {{0x226c0556,0x96b500d1,0x32da02e2,0x00000000}},	//   _indoda_, _সচিবালয়_, _alunite_, --, 
   {{0x927f003b,0xb5af01bc,0x00000000,0x00000000}},	//   _kwenta_, _eksploaz, --, --, 
   {{0xed4c00a2,0x72ca007b,0xa29702f6,0x2ae200ed}},	//   _kuharibu_, _buddin_, _umakyat_, _madlaian_, 
   {{0xcce9062c,0x227e006a,0xfd7a00a4,0xd31501b0}},	// [8b40] _बरहमपुर_, _noana_, _formatge_, _bencong_, 
   {{0x45e600b4,0x6e140238,0xd27e00b4,0x45fb01db}},	//   _procesul_, _власних_, _ioana_, _консерві, 
   {{0x7d81026c,0xc27e0544,0x6c71015d,0xf13c01ef}},	//   _大樓及辦公室清潔, _hoana_, _oparciu_, _пагражае_, 
   {{0xab6a0301,0x5b0c04dc,0x950c013d,0x9b7004e7}},	//   _allahın_, _هاوین_, _kontrolo_, _sušiče_, 
   {{0xf3b30060,0x63f804bd,0x46ad002b,0x39fa0066}},	//   _بايقاماي_, _opiuma_, _রিপাবলিক_, _krisiald, 
   {{0x127e03a7,0x287903b3,0x2427028a,0x8c760155}},	//   _vlani_, _campanas_, _bagamoyo_, _varuhus_, 
   {{0x39de004c,0x9c3b034c,0xf96d046f,0xf2830102}},	//   _addukidd, _arahında_, _akzident, _alikufa_, 
   {{0xd27e0151,0x700500f2,0x3aeb00cd,0x82f10198}},	//   _alinv_, _meistarī, _alarmont, _menijev_, 
   {{0x9d80015d,0x6c5300db,0x028d02ce,0x00000000}},	//   _मिश्रधात, _राहेर_, _diakuan_, --, 
   {{0xa5cc00fb,0x7d600122,0x9c6903f1,0xba090272}},	//   _angamaph, _مالیدن_, _tretiny_, _babagobe, 
   {{0x0e95011e,0xedba000d,0x5f200281,0x527e042d}},	//   _permanan, _kohaselt_, _petersen, _aoana_, 
   {{0xa292006a,0x62ec00c1,0x827e03f6,0x127e02fd}},	//   _kiraro_, _बोकील_, _poina_, _loinn_, 
   {{0x23480170,0xcefc0088,0xcd040123,0x3dc10236}},	//   _gileadi_, _жууку_, _energidr, _podivlja, 
   {{0x43dc0500,0xe2d901d9,0xe27e00ea,0x88c402b9}},	//   _kilwa_, _abtei_, _voina_, _belegond, 
   {{0x13d8034c,0xcab7014d,0x16d90005,0xdc4f0239}},	//   _агностик, _katholis, _couchepi, _pītama_, 
   {{0x88380192,0x4d4b01fe,0x837900bc,0xa3aa0084}},	//   _쇼핑몰에서_, _vagagalu_, _cobaken_, _daramang_, 
   {{0x46b70145,0x6edd0037,0xd25b0192,0xdae204e5}},	// [8b50] _македоні, _በቋንቋቸው_, _veelal_, _atutegee, 
   {{0x616d01d1,0x2d5502d3,0x37fc0094,0xc27e00f7}},	//   _military_, _планира_, _ассалаум, _klano_, 
   {{0x18dc0315,0x00470143,0xfa28006f,0x42fd005b}},	//   _basenkhu, _заплаха_, _شڪريه_, _flugt_, 
   {{0xf0cc0222,0x4d2d03e5,0x9bd00061,0x00000000}},	//   _tutoriel, _wienacht_, _사랑한다는_, --, 
   {{0x029200c0,0xd294004d,0x5dc30497,0x27610089}},	//   _piraso_, _文史采風ㄧ日遊_, _behindha, _ixtiramg, 
   {{0x6b310132,0x94d40287,0x86d802c8,0xfa730541}},	//   _jelentős_, _autodíly_, _subcampi, _naučna_, 
   {{0x52910189,0xadad007e,0x23940155,0x3df10223}},	//   _projede_, _bhanorda, _frisyr_, _mendieta, 
   {{0x705201b2,0x9ffb0073,0x02e901eb,0x3c3c02ff}},	//   _scorchin, _beryllos_, _atrilla_, _baboukèt_, 
   {{0xb73e0015,0x727e0113,0x6c0501aa,0xaf2d01d1}},	//   _caalamig, _boinn_, _agarway_, _extendin, 
   {{0x1a6d02a4,0x0a860255,0x52d80035,0x00000000}},	//   _volodars, _takistus, _kimede_, --, 
   {{0xbf2c01b2,0x28840024,0x4a24034e,0xa9840219}},	//   _deceivin, _পৰিলক্ষি, _chapakku, _embhedze, 
   {{0x0b9f01e1,0x127e00d6,0xc27e0331,0x57a10513}},	//   _mephisto_, _glint_, _seinri_, _huhuteri, 
   {{0x3b5b03e6,0x4ef603ea,0x5c1a01d2,0xdc520040}},	//   _clienten_, _provient_, _ayrutijs, _ושיפוצים_, 
   {{0xa22b014e,0x4bee004a,0xdc63005a,0x23650497}},	//   _promene_, _гатор_, _hisujqo_, _asserbaj, 
   {{0x6c7c0054,0xd2910272,0xe5e602eb,0x00000000}},	//   _ofishin_, _akaana_, _чигтээ_, --, 
   {{0x1f3f0155,0x0dba04ca,0xa88d00e6,0x1b6302e5}},	//   _fungeran, _assaiant_, _原因很简单_, _karréta_, 
   {{0x43df0544,0xe27e0339,0x00000000,0x00000000}},	// [8b60] _ahimelek, _hoino_, --, --, 
   {{0x1d230217,0xd24002d3,0x74130133,0xc949034c}},	//   _finiente_, _австрија_, _dhunfaak, _арсланов, 
   {{0x05d30145,0x42260122,0x05fd0226,0x4dd702e5}},	//   _ненародж, _ngukur_, _amamangi, _inegatív, 
   {{0xcc3f033c,0x9bc30388,0xecb700ba,0x12fc0220}},	//   _taliadau_, _чудовище_, _لێبگرن_, _piega_, 
   {{0x9eb90329,0x52c20230,0xbe3f0299,0x143c00f8}},	//   _loportin, _siklonn_, _تېتىيدۇ_, _ধাবিত_, 
   {{0x335802ef,0x7c5902f6,0x00000000,0x00000000}},	//   _andeyň_, _haluang_, --, --, 
   {{0x9f2c0044,0x77ec0155,0x774c0037,0x315c0321}},	//   _receivin, _utmaning, _ከሐዋርያት_, _podobnih_, 
   {{0x2e4b0091,0x42640393,0x640e01e5,0x00000000}},	//   _tuhaffaa, _maslac_, _nfarahan_, --, 
   {{0x227e0199,0xe3fd0210,0x661900b5,0x98d300d9}},	//   _hoang_, _afungidz, _ergologi, _месторож, 
   {{0xd2ca0265,0x672700a2,0x3f2d0105,0x83570020}},	//   _femdom_, _نگراني_, _agresywn, _laufala_, 
   {{0x427e03bf,0xd29000bc,0x3d540029,0x1379040b}},	//   _joang_, _lanang_, _پسپۆر_, _ramaano_, 
   {{0x13ea02af,0xa14c0105,0xa9c50185,0xfa1404b3}},	//   _ipeta_, _dolotowy_, _зурдан_, _halaksie, 
   {{0x627e048b,0x349e0037,0xeb37005e,0xd30f0167}},	//   _loang_, _በመገምገም_, _ئابرال_, _clebran_, 
   {{0x9248024c,0x340b00e6,0x3de70334,0x22c1010b}},	//   _bilmod_, _胡军携女探访受灾, _banyithu_, _ipolaya_, 
   {{0x3ae2036d,0xd05803f7,0xcca60167,0x4e4902b6}},	//   _callainn_, _borgarho, _hydrolig_, _дәрмекті, 
   {{0xc29002e7,0x294600de,0x39c00061,0xc9b60211}},	//   _kanang_, _abumbene, _이명박탄핵서명_, _laadusta_, 
   {{0xbb650225,0x198b0326,0x49c30399,0xa9330076}},	// [8b70] _demurora_, _akahwina_, _helekope, _хотелот_, 
   {{0x92fd01cf,0xa8c30153,0x22010067,0x1ad000c5}},	//   _imagin_, _この商品の詳細を, _ergite_, _exotique, 
   {{0x0db601b9,0x5dc301d8,0xc7b1015e,0xc28d01e8}},	//   _aparteid_, _mashrafe_, _requerei, _djokoto_, 
   {{0xb4a8076d,0x69460586,0x72f3006c,0xd27e02fe}},	//   _opcional_, _ebumbene, _sengathi_, _amanz_, 
   {{0x4c220368,0x9a390213,0x00000000,0x00000000}},	//   _погрома_, _телеги_, --, --, 
   {{0x751800f5,0xde96027f,0x30eb04b3,0x6ee102f3}},	//   _арассала, _aramuron, _frazenno, _utnyttja, 
   {{0x929000d7,0x91d101aa,0x00000000,0x00000000}},	//   _hanang_, _asterfay_, --, --, 
   {{0xccd10076,0x3290020e,0x13bb0061,0x00000000}},	//   _особено_, _banang_, _창원지방검찰청_, --, 
   {{0xa2bf02ac,0x62c50119,0xa2910170,0xda2300e6}},	//   _حمدان_, _warlord_, _agwape_, _出厂合格证_, 
   {{0x6357044a,0x427e00b7,0xc05b0321,0xc3800155}},	//   _akufela_, _imany_, _prestoln, _djuren_, 
   {{0x51430036,0x40330014,0x9eaa00e6,0xb379023e}},	//   _ممارسة_, _mustafaj_, _为保障您的利益_, _cobanen_, 
   {{0x69e300d9,0x99ff033f,0x28c80029,0x926c0333}},	//   _показал_, _finemuí_, _بڕۆین_, _ritirati_, 
   {{0x829000c0,0xa7a900ba,0x62150234,0x53640478}},	//   _ganang_, _بوختانی_, _irònúpìw, _amagada_, 
   {{0xe2010241,0x46c501dd,0x58e20022,0xa6a30243}},	//   _argite_, _abashesh, _агрономы_, _kaffeini, 
   {{0x203804c8,0x8c540265,0xb2fc0428,0x4fdb0316}},	//   _elettron, _ketting_, _snegu_, _bishiyar_, 
   {{0x1a75004a,0xbd54006c,0xdf330066,0xc2cb02e7}},	//   _elizavet, _angakhiq, _aberasga, _makopya_, 
   {{0xc2cb012c,0x6a0c00a5,0xb21e023c,0x21580162}},	// [8b80] _maslahi_, _aonapone, _جګپوړي_, _تالانتىن, 
   {{0x08c901e8,0x8b5e019e,0xd960009b,0xe26f0024}},	//   _shortwav, _троне_, _тэмин_, _আভ্যন্তৰ, 
   {{0xa2f9030f,0xf61a03d8,0x62130125,0x2f7d00e4}},	//   _raihana_, _dugogodi, _barha_, _माध्यमों_, 
   {{0x226c021c,0x81a60035,0x835901b8,0x2daa008f}},	//   _poloha_, _bushnıñ_, _साँवाउएक_, _karikasa, 
   {{0x6e5301e1,0x1c62003c,0x821303ad,0x93dd020e}},	//   _dikamaha, _antrine_, _darha_, _entwe_, 
   {{0x737204a4,0xe27e0199,0x4e9b00ca,0xc3fa005b}},	//   _abhachd_, _toang_, _alouette_, _furuno_, 
   {{0xdcab0340,0xc4ea0037,0xb25a0277,0xf27e00ee}},	//   _rangahau_, _ተአምራት_, _bahly_, _soinu_, 
   {{0x727e03ea,0xdcee02c9,0xf25a00d6,0x638700f1}},	//   _moins_, _креде_, _soilse_, _elarzi_, 
   {{0x927e0294,0x2eb60040,0xc6c6018b,0xf3000318}},	//   _llank_, _משרתים_, _episodul_, _manatui_, 
   {{0x48790148,0xa29d0466,0x58b70143,0x00000000}},	//   _mobilebu, _tvojega_, _призная_, --, 
   {{0x73fe00f9,0x229000cf,0x83150526,0xb27e01bc}},	//   _amazina_, _ummati_, _kencang_, _toand_, 
   {{0x274a033e,0x69af03bf,0xe2d50198,0xa8d703b3}},	//   _дружинин, _апитерап, _odporna_, _monstrav, 
   {{0xa27e047b,0x1dba03ba,0x6e4300e1,0x2a07004c}},	//   _leingi_, _angangot_, _dakadiya, _angassee, 
   {{0x127e01ed,0x8213027f,0xb31700a8,0xfbe001f1}},	//   _ioane_, _abikuyem, _lezza_, _vendosur, 
   {{0x429002f6,0x427e0114,0x527601bd,0x0608014a}},	//   _sanang_, _joins_, _جۇلدىز_, _burgonyá, 
   {{0xe292039d,0xee7c0255,0xad0102e4,0x327e0049}},	//   _mirado_, _तुम्ह_, _protettr, _koane_, 
   {{0x783000be,0xb62f02a0,0x56840060,0x8fb50029}},	// [8b90] _ايىتباسا, _dimograf, _تىنىشتىع, _نوخبه_, 
   {{0xaf4c017d,0x91750381,0xe9c00352,0xb88d003f}},	//   _ウェブライタ_, _aminggay_, _gravferd, _nguvchug, 
   {{0x5b4a0302,0x8379027e,0x9dfe06bf,0xe1c700cd}},	//   _тарабхон, _mojauto_, _कर्मवीर_, _buretsch_, 
   {{0xb27e0343,0x301a00d1,0x243e021b,0x24750109}},	//   _onine_, _কৃতিত্বৰ_, _башни_, _समशितोष्, 
   {{0xa2730038,0xdff500ee,0x929d0321,0xd0c7019d}},	//   _iktisadi_, _экспорты, _svojega_, _akolowol, 
   {{0x527e01d1,0x22ef02bc,0xb0cf0156,0x33ea0362}},	//   _plans_, _riffle_, _akurataj_, _mpeto_, 
   {{0x327e008d,0xb27e01d1,0xe9b103d8,0x32da0342}},	//   _uning_, _point_, _dvadeset, _lapenn_, 
   {{0x8dc60041,0x80c10127,0xe200012e,0xb6cb029e}},	//   _прорыв_, _quimperl, _ideig_, _akwariom_, 
   {{0x9310021c,0x6292030a,0x72d000f8,0x00000000}},	//   _lopatky_, _eirado_, _পথিকৃৎ_, --, 
   {{0xf200005b,0xce3b00bf,0xb26c0157,0x43f90573}},	//   _etoile_, _авиашоу_, _pragniem, _aqalgalk, 
   {{0x22d603e9,0xc29001c0,0x09df0299,0x7e7601de}},	//   _сынаглар, _ammari_, _ئەھدە_, _үшеуін_, 
   {{0x334f03d8,0x920e0059,0x649f0311,0x1f220264}},	//   _desetak_, _чакат_, _መንጎኝነት_, _kabukira, 
   {{0x91770211,0x33eb0034,0x3a2301af,0x00000000}},	//   _askartel, _olettu_, _beräý_, --, 
   {{0xe22600c6,0x527e0200,0x2d6b0073,0xd69d034c}},	//   _brukes_, _inine_, _fremente_, _артса_, 
   {{0x4b3b0126,0xeff70045,0x7038038f,0x736f01df}},	//   _міфологі, _распоређ, _dougerez_, _mangilt_, 
   {{0xce66009a,0xf3730021,0xd9e30092,0xb3f9013a}},	//   _دروهي_, _ailgmay_, _シルヴェスタ_, _abauen_, 
   {{0x1d83004c,0x16e900bb,0xfae10334,0xe0cc0206}},	// [8ba0] _abalwisa, _ابراہم_, _anatulut, _autodiel, 
   {{0x137b02da,0x42eb0331,0x43eb02c7,0x22b4004d}},	//   _corretam, _brennir_, _braten_, _laicos_, 
   {{0x22bb0418,0x8d4b03c1,0x8c5a02a2,0x77c1016b}},	//   _nedenle_, _станица_, _sumunod_, _adireshi, 
   {{0xd0e802b6,0x5d5e026f,0x31db0029,0x75330054}},	//   _مونولوگ_, _ءﺷﯩﺮﻳﺪﻯ_, _رێکوپێک_, _cinikayy, 
   {{0x18cb00c5,0xd27e03ea,0x92f60066,0x4287042d}},	//   _北京新发地_, _soins_, _экспортл, _bemiray_, 
   {{0x827f00ff,0x73430370,0x63eb0421,0x00000000}},	//   _afanti_, _bedegul_, _traten_, --, 
   {{0xf2fc071e,0x87fd00f5,0xf74d018d,0x21da00bb}},	//   _ziege_, _командаб, _ዘሐዋርያት_, _رکھوالہ_, 
   {{0xbc670727,0x775100c3,0x126702d6,0x453f0122}},	//   _nukunba_, _quinquag, _هیروئین_, _اسکارلت_, 
   {{0x101703b8,0x9292046f,0x01b7045b,0x00000000}},	//   _маркасы_, _gewart_, _силових_, --, 
   {{0xf709009a,0x23ce0093,0x204603ff,0xd34503f1}},	//   _abachanw, _управлят, _ozbrojen, _nosenie_, 
   {{0x4a0602af,0xf1c7013c,0x200601a3,0x3ecf04b2}},	//   _bagaheza_, _terrorçu_, _ڊرافٽ_, _desisyon, 
   {{0xe11f0287,0x7d0f03ba,0x9b3d0188,0x00000000}},	//   _hospodař, _immolate_, _норизоия, --, 
   {{0xc40002cd,0xd7a701c4,0x28a701f4,0x85770158}},	//   _augustan_, _verdraag, _ишкамба_, _stężenia_, 
   {{0x13060278,0x71ce005e,0x02010231,0x52e500f2}},	//   _terowong_, _товлиялм, _regius_, _piknika_, 
   {{0xe96e01cf,0x50b70383,0x4c80006c,0x00000000}},	//   _disparer_, _mahmudah_, _меоем_, --, 
   {{0x47a9052c,0xf2b5001d,0x52fc044a,0xd2cb00a8}},	//   _سوڵتان_, _spacie_, _piege_, _omadus_, 
   {{0x730c0145,0x88630213,0x04fc004d,0x00000000}},	// [8bb0] _jonavos_, _домами_, _提出復習重點_, --, 
   {{0x52fc00f7,0x00000000,0x00000000,0x00000000}},	//   _inegi_, --, --, --, 
   {{0x59e50157,0x0ae50312,0x3742006c,0x730c0027}},	//   _gwarantu, _gwarante, _беадолат, _limanas_, 
   {{0xe394002e,0x6388013f,0x0742005c,0x00000000}},	//   _česta_, _birgideg_, _basoming, --, 
   {{0xd7fb0039,0x1efb0193,0x26bb00be,0x328c033d}},	//   _berbalag, _berjalan, _دۉيشۅن_, _inikman_, 
   {{0xe25b01b4,0x5294012a,0x32a0023e,0x1e440068}},	//   _heelal_, _ponadgim, _bisbul_, _ansaxiya, 
   {{0x62a6009c,0x02d80289,0xe93e003b,0x0237010f}},	//   _wiejski_, _limene_, _anemibut, _филмҳо_, 
   {{0x0c020217,0xbd0205ca,0x94e30169,0x339401c4}},	//   _fortales, _fortalec, _অবকাশ_, _janse_, 
   {{0x986e00ca,0x6bd1017c,0x42920088,0x8cb900c8}},	//   _antivand, _maldiver, _faraó_, _кәпәс_, 
   {{0xa25b029b,0x534c01e6,0x32ca001e,0x3ee60187}},	//   _amalee_, _dostupná_, _muddin_, _хилтон_, 
   {{0x134101c4,0xf3940260,0x6b0b004d,0xf999015e}},	//   _studeer_, _fanse_, _行政院環境保護署, _белекке_, 
   {{0x933803ff,0xa0e00148,0xb91b0061,0xc349001b}},	//   _pozadí_, _青少年叢書_, _이메일주소무단수, _bradely_, 
   {{0x1f0302dd,0xbd2c00c3,0x3e4e02e4,0xad8901c8}},	//   _འདྲུད_, _civitate_, _analitiċ, _obnovova, 
   {{0xdd6b0130,0xa0650233,0xfa5c0010,0x904703a1}},	//   _tremenet_, _demagogo, _babáta_, _самоков_, 
   {{0x9f3b03c2,0x439401b4,0x493700f8,0x00000000}},	//   _dyslexic_, _kanse_, _মেম্বারে, --, 
   {{0xf22501ad,0x81e100ba,0xf0af02fe,0x738700ee}},	//   _busko_, _بیلبیله_, _awamisel, _ilargi_, 
   {{0x0b0401a7,0x2f6b00ec,0x7d8700d8,0x953b01e5}},	// [8bc0] _viestist, _patalpos_, _assegure_, _kakiriay, 
   {{0x3bd20061,0x540d006c,0x00000000,0x00000000}},	//   _가능하다고_, _asinakek, --, --, 
   {{0x5eb2008c,0x35990075,0xc25b0120,0x56340012}},	//   _sportist_, _barninum_, _feelal_, _कताहूं_, 
   {{0x3968018d,0x8f0202d8,0xaacd0078,0x3f57005f}},	//   _ከምኡዉን_, _पालखी_, _симптома_, _chaqueta, 
   {{0x653b002f,0x583800c5,0xb96d02a6,0x41a700ba}},	//   _allintay, _省国土资源厅_, _indicant, _زاخۆیی_, 
   {{0x6be0013b,0xb59b0151,0xe2c40071,0x0850040e}},	//   _rendsbur, _anneeghy, _bioloid_, _প্রভাৱ_, 
   {{0x4db9033e,0xb27a003d,0xa9a000be,0x98610224}},	//   _estadope_, _aquitani_, _قوشوۇلسا_, _bitarnir_, 
   {{0x63ea03dd,0x330c0014,0x7e850089,0x2c57027b}},	//   _dritan_, _kuranit_, _акрошигы, _dvāsapta, 
   {{0x0290005b,0xbc54014d,0xffe900ec,0x00000000}},	//   _exfat_, _rettung_, _sportbač, --, 
   {{0xe24801d5,0x663400f1,0x1884002b,0xb3dc03ad}},	//   _چولستان_, _progranm_, _পরিলক্ষি, _fidwa_, 
   {{0x92da041e,0x427e0340,0x3e9f016d,0xd2da00d2}},	//   _appena_, _hoani_, _كأرضىحع_, _anteng_, 
   {{0xd238014c,0x0c51022a,0xb29501a3,0x78c5018a}},	//   _ebomini_, _stitoda_, _پکيڙيو_, _enwebiad, 
   {{0x325b032e,0x43e40235,0xbe0e0342,0xe966027b}},	//   _llallt_, _analārka, _akòde_, _मेलनम्_, 
   {{0x31a3018d,0xe2fc03d1,0xa87902d3,0x1e1f0109}},	//   _ስጉምቲታት_, _miega_, _campinas_, _गरेबापत_, 
   {{0x226c0243,0xcb210309,0xcc6700d6,0x823f012b}},	//   _andola_, _ibrahimb, _سرعان_, _łamach_, 
   {{0xdfa900bf,0xed1d017a,0x42a200cf,0xa2d80303}},	//   _наковаль, _бирасанд_, _eegaluuf_, _ineele_, 
   {{0x53170486,0xb2f103ba,0x00000000,0x00000000}},	// [8bd0] _verze_, _begierv_, --, --, 
   {{0xcc3f0372,0x530301f1,0x3348036d,0x816301f4}},	//   _daliadau_, _namazit_, _diteadh_, _курук_, 
   {{0x327e021b,0x894d003e,0xe38900a6,0xf62f019e}},	//   _soini_, _disosaet, _ayisiyom, _астраном_, 
   {{0x92e20087,0xbcc102ac,0x3b440060,0x0d8f0322}},	//   _eunited_, _للإصابة_, _державал, _bagereye_, 
   {{0x5db402ac,0xf2a60259,0xfc8400c1,0x664302fb}},	//   _بوضوح_, _atobe_, _नागमोडी_, _pasifiki, 
   {{0x134c0300,0xbf37020f,0xcc370163,0xb2920127}},	//   _dostupný_, _balufuma, _nappalib, _dirazo_, 
   {{0x33f90275,0x88020255,0xc96e01d3,0x92b60309}},	//   _apaula_, _चन्द्रबा, _antitant, _liderlər_, 
   {{0xdd71002b,0x4266027b,0x7968018d,0x83480032}},	//   _শান্তিতে_, _anenāpi_, _ከምእዉን_, _lidevdi_, 
   {{0xd2fa042a,0x46020091,0x008b05e0,0x42aa0134}},	//   _kuchuma_, _naulaiti, _iniciamo, _ipadabọ_, 
   {{0x55c5034f,0x32d3000d,0x72ea021b,0xe29201ad}},	//   _بريښنا_, _remonti_, _alennus_, _hirayo_, 
   {{0x54170126,0x629002f6,0xf20e02aa,0x00000000}},	//   _baksiden_, _banaag_, _drahokam, --, 
   {{0xeae00181,0x427e006a,0x227f0243,0x18a0004d}},	//   _sundheds, _poana_, _boyna_, _桃園婦幼安全電子, 
   {{0x226c069b,0xd43a014e,0x00000000,0x00000000}},	//   _indikasi_, _утицати_, --, --, 
   {{0xa57a025e,0x525a0225,0xc2ea00d1,0xe3d301a6}},	//   _jakobsdó, _schla_, _অনিৰুদ্ধ_, _hāwai_, 
   {{0x828b002e,0x2e1a020f,0xc3bf01cd,0x00000000}},	//   _ikakvih_, _baneenka, _asewile_, --, 
   {{0x68430528,0x32fe0107,0x9c7703ea,0x130503c4}},	//   _belladru, _bathuke_, _assumer_, _جوراس_, 
   {{0x9499012b,0xe7e60045,0xe17802f4,0xf196018f}},	// [8be0] _dynamicz, _страначк, _encarcel, _sawchugh_, 
   {{0x06e80244,0xc2aa0097,0x394d0366,0xbc6a00e1}},	//   _гарантир, _apadabọ_, _принимая_, _fattaay_, 
   {{0xb38704bd,0x025a00e9,0x07dc0152,0x39e30153}},	//   _aderia_, _omilie_, _фаразлар_, _プロダクトイノベ_, 
   {{0x52770044,0x23260276,0xa5c700ba,0x8a0b0140}},	//   _פיליפיני, _تامىقى_, _دناڤبه_, _naaalala_, 
   {{0x534102f6,0xa2920028,0x594a01a3,0xce5303ac}},	//   _kumento_, _dirayo_, _سريراڳ_, _disamaka, 
   {{0xb96e0111,0x47e8017a,0x36cf00dc,0x00000000}},	//   _antisant, _болаёкат_, _togatali, --, 
   {{0xd28701e5,0x42c20320,0x9785002b,0xc6df0037}},	//   _ayokele_, _endlela_, _বংশোদ্ভূ, _ዝርዝሮችን_, 
   {{0xf29102e0,0x85cc02b4,0xcef300b9,0x526400fa}},	//   _bafang_, _angakaph, _आवाका_, _agulto_, 
   {{0xd0610344,0xaaff042b,0x72240187,0xf9ff03d4}},	//   _aktienik_, _iscrplje, _mobiliár, _iscrplju, 
   {{0x82c203db,0x82000039,0x2b36001e,0xfe680151}},	//   _indlela_, _ideia_, _lambobin_, _forcible_, 
   {{0x26060074,0xdf49024c,0x1f4103b0,0x8ef70092}},	//   _alumiini, _stipulat_, _prestega, _非常に良い_, 
   {{0x9da70690,0x52000176,0x1c740067,0xda920176}},	//   _kerosaka, _nemid_, _agerank_, _shinkans, 
   {{0x62250258,0x8d0000a8,0xa50c0009,0x90ae01cd}},	//   _suske_, _cantadur, _odstotno_, _бойигари, 
   {{0x69c70205,0x9987061e,0xa3570414,0x001a0142}},	//   _садақа_, _aywillka_, _ekufela_, _avivekin, 
   {{0x127e0263,0x52fc0315,0x4b6600b4,0x32ca02e8}},	//   _klant_, _bamatisi_, _nasterea_, _bhodhi_, 
   {{0x564a018d,0x19cf01c8,0xda1600a6,0xe20002da}},	//   _ምምሃርን_, _lymfodre, _دانشګاه_, _odeia_, 
   {{0x42e501d2,0xdea001c5,0xa2d9001d,0xa27e03f6}},	// [8bf0] _abonera_, _کھتوو_, _actet_, _hoano_, 
   {{0xc91703f3,0xa07b018d,0x095d0311,0x7e1c01f7}},	//   _chocolad, _መጋብኣያ_, _ምጉርምራም_, _alvernha, 
   {{0xbf9101fe,0xb8070156,0x89530119,0x75610163}},	//   _dromodro, _בתּים_, _edilbert, _pillantá, 
   {{0xadf500af,0xf38c0076,0xec13027b,0x22fc0148}},	//   _стимуляц, _путер_, _गार्हपत्, _genitus_, 
   {{0xa49b027b,0xb25a0155,0xab5a0337,0x0a2b0307}},	//   _apratark, _mallen_, _maddenin_, _lancipha_, 
   {{0xa39401d0,0x13eb043d,0xec760138,0x23eb012a}},	//   _spiser_, _buatan_, _varlığın, _brytanii_, 
   {{0x827e0594,0xb3f801a4,0xd13e001d,0xde550208}},	//   _blant_, _annule_, _desunivo, _موعته_, 
   {{0x15c50015,0xad0f033d,0x00000000,0x00000000}},	//   _barbardh, _godmiche_, --, --, 
   {{0x9dfe02a4,0x08840220,0x27870779,0x00000000}},	//   _ownergua, _известни_, _bundička_, --, 
   {{0xb27e0179,0x6c6a006e,0x225b001d,0x0c6a03a2}},	//   _flans_, _boiteux_, _emalie_, _घूर्णन_, 
   {{0xd90f034c,0x4a160446,0x05cd0097,0xac130100}},	//   _bolayraq_, _zadarska_, _ojoojúmó_, _željenu_, 
   {{0x73eb00bc,0x8ecd03f1,0x0509012b,0xc3bd0451}},	//   _kraton_, _cintorín, _narodowy, _fokwang_, 
   {{0x501000bc,0x5cd700d9,0x626f0087,0x990101f4}},	//   _منطقی_, _высказыв, _gavutlul, _уйларда_, 
   {{0xac5700c7,0x569a01c5,0x8c6a0629,0xd27e0288}},	//   _тарихын_, _habeenki, _acttray_, _oning_, 
   {{0xb3eb0018,0xa287028a,0xf1b9015e,0x00000000}},	//   _usutu_, _hasheem_, _кетирсе_, --, 
   {{0x92d9015e,0x727e003a,0xe1ba0162,0xb952042d}},	//   _actes_, _ining_, _сайманли, _antokont, 
  
   {{0xf6e80141,0x6300029c,0xaea80405,0xee9a011d}},	// [8c00] _камайтир, _banandi_, _колишніх_, _multumit_, 
   {{0x92fc0039,0xb36403ba,0x5af90094,0x73b30019}},	//   _diegu_, _omagida_, _تايىنايد, _бюросу_, 
   {{0x21cc0388,0xbaba0014,0x8a58005b,0x443f02ee}},	//   _attività_, _እንደልዮ_, _camellia_, _deskrizz, 
   {{0xc23f0027,0x818f03b9,0x02e40148,0x4a5702ba}},	//   _tommasi_, _armaskay_, _全縣國中小_, _бирасад_, 
   {{0xfa83025c,0x537a037c,0xb6260453,0xd0e40061}},	//   _schicken_, _foramen_, _matijevi, _출입국관리법_, 
   {{0x647300b9,0xb2550378,0x00000000,0x00000000}},	//   _कॅलिफोर्, _hetlandi_, --, --, 
   {{0x5ac90192,0x27ba003a,0x3292017d,0x8b710553}},	//   _사이트에서_, _biologik_, _hirano_, _dzurinda_, 
   {{0x0fd60177,0xa224033b,0x326c015f,0xc2a6019c}},	//   _акримино, _pankwa_, _briodi_, _itobi_, 
   {{0x727e07d9,0x73940054,0x32770297,0x4343047d}},	//   _beinni_, _ransa_, _бармени_, _steesel_, 
   {{0x02fc0473,0x5fc7058b,0xf10d00bf,0x47cb028a}},	//   _liegt_, _europsko, _готовили, _رکوالي_, 
   {{0x4c6b02bb,0x53f801a1,0x33980156,0xee4700be}},	//   _चिल्ला_, _minuut_, _געעצהט_, _تۉستۅ_, 
   {{0xdc60019a,0x32370568,0xd9410025,0x00000000}},	//   _dusters_, _lesja_, _व्यवसायस, --, 
   {{0x9c8a0148,0x454f004a,0xb98f01cd,0x48d40145}},	//   _其衍生之民刑事糾, _bolşoye_, _amaklaye, _берберый, 
   {{0x9c090102,0x1981023c,0xcbf1019d,0x7c01000d}},	//   _قبرستان_, _کریکټ_, _akatsots, _avastas_, 
   {{0x796500ca,0x9290017f,0x237d012b,0x429501c8}},	//   _toponime, _allank_, _elegancj, _stranami_, 
   {{0x001f01d1,0xe9c500de,0xa6e300d1,0xc2e00032}},	//   _understo, _angezint, _নুৰিয়াই_, _muvuqtah_, 
   {{0x5e36000a,0x002c006e,0xadcc03d5,0x00000000}},	// [8c10] _aamarsua, _bindaako, _backchat_, --, 
   {{0x327e005b,0x8b2d006f,0x00000000,0x00000000}},	//   _glanz_, _kifarans, --, --, 
   {{0x031506aa,0x41460130,0xc948034c,0xa9e60040}},	//   _kencing_, _hanterno, _allahuğa_, _מסורתית_, 
   {{0x8d1500cf,0x58220164,0x77580162,0x00000000}},	//   _callisee_, _әслигә_, _بولعدذ_, --, 
   {{0xec1801a7,0x12b100ee,0xe9eb0255,0x11fd0125}},	//   _февраля_, _bilduma_, _परिवारो_, _хөкүминд, 
   {{0xe06701d5,0x9f27004a,0x2e6202a6,0x25050291}},	//   _کیمپوں_, _урманда_, _pompiliu_, _خخخخخخخ_, 
   {{0x2a15021b,0x42310251,0xaab70012,0x23000251}},	//   _угодно_, _rasmiga_, _बांड़े_, _afgambi_, 
   {{0x126c007f,0xa30b0061,0x1dab01e8,0x00000000}},	//   _priodi_, _리브로만의_, _hinihipa, --, 
   {{0xf8dc00da,0xa0000153,0x6ec60090,0x96d1029c}},	//   _гулий_, _と思っています_, _chezimba, _kumasuki, 
   {{0x925a0288,0xc8480022,0xdaff002b,0x00000000}},	//   _schlu_, _зәғиф_, _ইনফেকশন_, --, 
   {{0x0394048f,0x03860387,0x53070195,0xb27e01bc}},	//   _manso_, _chorom_, _asgaidh_, _toant_, 
   {{0x32480377,0xe3dd0322,0x6c890040,0x1b9a04e6}},	//   _primul_, _mitwe_, _מחקתי_, _aprikano_, 
   {{0x93170360,0x72eb00c9,0xa36400dc,0x90610080}},	//   _verzi_, _vitinfo_, _atagaga_, _aktianik_, 
   {{0x41860338,0x73d6003e,0xe90900b7,0x7a0001ad}},	//   _semblabl, _bauthuti_, _annadurd, _mansadid, 
   {{0x731702ee,0x71f10338,0xe3e60052,0x825b00d3}},	//   _terzi_, _afondram, _formánko, _kapli_, 
   {{0x827e0075,0x7eb1006e,0x024a00d8,0x3fb70516}},	//   _seinni_, _amerikee_, _mermoz_, _brithers_, 
   {{0x615b0422,0xd35b0109,0xb29503dd,0x68570291}},	// [8c20] _vlagatel, _nadprůmě, _kerkoni_, _رايحين_, 
   {{0xd34c0300,0x925b0342,0xfe370119,0x32820170}},	//   _dostupné_, _lapli_, _kalabuta, _kukhoti_, 
   {{0x7dbf0244,0xbdeb05ff,0x4da50268,0x73ea0178}},	//   _областта_, _grijanje_, _africawa, _apeto_, 
   {{0xc28c02c5,0xbc520318,0x5cc3002b,0x00000000}},	//   _chakapa_, _ngatata_, _একেএম_, --, 
   {{0x130c02be,0xf3030080,0x14540074,0x3bf600ff}},	//   _subalit_, _tamanit_, _отказалс, _קימערן_, 
   {{0x437a02fe,0x5257025e,0x52e3000e,0x6deb0100}},	//   _onyango_, _sælir_, _latinid_, _brijanje_, 
   {{0xf27e00fa,0xd62f02db,0xd8be0168,0x00000000}},	//   _unang_, _longtaem_, _legemidd, --, 
   {{0xa21c02e2,0xe300005a,0x89eb0092,0xa7b1003b}},	//   _meshed_, _jiratlh_, _allerfør, _elusukwi, 
   {{0xcc260524,0x546c00bc,0x826c023d,0x7d26063e}},	//   _mirovinu_, _جانداران_, _comodo_, _mirovine_, 
   {{0xaf3b0276,0x18ee0164,0xdf460009,0xa6cd0307}},	//   _истираси, _таримниң_, _mansarde_, _ingafani, 
   {{0xac6502fc,0x83fa03ba,0x53d300a1,0xde4301e8}},	//   _impuhwe_, _raquin_, _kāwei_, _makabiya, 
   {{0xbecd0244,0xf1780381,0x5cc600e6,0xe3200024}},	//   _artigian, _ebbieday_, _类射线装置的_, _bulyst_, 
   {{0x2ee70183,0x00000000,0x00000000,0x00000000}},	//   _atokisan, --, --, --, 
   {{0x027e0148,0x0c6000a0,0x401700ec,0x00000000}},	//   _inane_, _arzurta_, _гародні_, --, 
   {{0x39f801e5,0xe3950005,0x82d801a6,0x5fe1024c}},	//   _ainidena_, _diesch_, _eneene_, _affissjo, 
   {{0x34ca0163,0x441c0187,0x5618014a,0xb31a02f7}},	//   _مردانہ_, _gabarito_, _termálfü, _losikeng_, 
   {{0x784700b7,0x9eba02ec,0x99db00e3,0x328c0099}},	// [8c30] _макарий_, _یِژھٕے_, _ammettie, _anabhari_, 
   {{0x4f65026f,0x72ea00e2,0x4387006c,0x968100cb}},	//   _ءﯨﺲﻭﺭﯨﻨﺪ, _fernimt_, _amashidi_, _babewusi, 
   {{0x32eb003f,0x6044039f,0x26cd0090,0x7fb300f5}},	//   _berinmo_, _redundan, _angafani, _ёлдашыңа_, 
   {{0x1ea50212,0x269a018d,0xbdf800bf,0x130101c0}},	//   _dailycan, _ዝመንጨወ_, _женских_, _kuwaiti_, 
   {{0x9a5f0305,0x9c39006e,0x00000000,0x00000000}},	//   _forelska_, _komperes, --, --, 
   {{0x7c6b0148,0x9477036d,0xc292029b,0x00000000}},	//   _patriam_, _pàtrain_, _mirabo_, --, 
   {{0xb9480226,0x827e0247,0x82dc00e4,0xb6d30159}},	//   _agalimot, _anane_, _kalorii_, _просьбах_, 
   {{0x12c6023d,0x3d1b0328,0x3ae604fc,0xac5c0224}},	//   _parlare_, _arongore_, _mantiene, _dottinn_, 
   {{0xbdba054e,0xf44d0037,0x5c7d017a,0x76a80092}},	//   _pignagia, _ዓውደምስል_, _alusona_, _astralry, 
   {{0xd27e006e,0x6a0a0400,0xe51f014d,0x2291003f}},	//   _diine_, _paragona_, _polnisch, _mavang_, 
   {{0x6a0803dc,0x02000211,0x1ab302ef,0x5dad01a3}},	//   _finaluna_, _osoite_, _anbasadč_, _جهٽڪي_, 
   {{0xd9b800d7,0x35790177,0x152d0126,0xff3d01a3}},	//   _balellwa_, _etnologí, _трагедія_, _ڏاکڙا_, 
   {{0xa97a052f,0x1a1a0220,0xfc1b009b,0xc68300b4}},	//   _liyingce, _mancanza_, _alkatear, _terenuri, 
   {{0x456802c0,0x92560156,0x227e04a4,0x00000000}},	//   _придонес, _הבֿטחה_, _iiine_, --, 
   {{0x218400f5,0x227e012b,0x7d3701ab,0x1c0a0059}},	//   _аяман_, _znane_, _चुनउआ_, _включат_, 
   {{0xc39402af,0x052900bc,0x82d803d5,0x02dc00b4}},	//   _canse_, _عراقچی_, _sheese_, _calorii_, 
   {{0xb53803ce,0x72d80129,0x325b0265,0xb0d10362}},	// [8c40] _خۆپاراست, _cheere_, _smalle_, _nalongol, 
   {{0xe5dd022a,0xd6e70486,0x2b0c0252,0x33f40220}},	//   _belegivö, _procesem_, _thestame, _esercizi_, 
   {{0x1f2702fe,0xb15c0002,0x3a73000b,0xa38701f4}},	//   _لعنتي_, _polovnih_, _nimarota_, _olardi_, 
   {{0xf0d1025f,0xeff8016e,0x039402a3,0xf90e0423}},	//   _balongol, _ayarları, _ganse_, _platbách_, 
   {{0x53dc0375,0x785104fb,0xe7e30147,0x00000000}},	//   _amamaliz, _maquetas_, _مۉنكۉنچۉ, --, 
   {{0x4e18038b,0x1b2300e2,0xdf1c033e,0x599201b2}},	//   _disebela, _atlantys, _лыламыси_, _anchumme, 
   {{0x3c2a0014,0xb39402bc,0x94000128,0x54ac0456}},	//   _ነጻነትን_, _banse_, _ایشلرنی_, _difatwak, 
   {{0xc25a0116,0x00000000,0x00000000,0x00000000}},	//   _callan_, --, --, --, 
   {{0xf3940342,0xdc5a0172,0x0259018d,0x2580020e}},	//   _vanse_, _maltani_, _ክንቅጽሎ_, _яныма_, 
   {{0x48cb018d,0x52fd0275,0x397e00b7,0xfa8801a0}},	//   _ማእኸላይ_, _inuga_, _bilişler, _mulombis, 
   {{0xcf7a037c,0x00000000,0x00000000,0x00000000}},	//   _exaction, --, --, --, 
   {{0x03c0005e,0x524900f4,0xdda7007a,0xa9960368}},	//   _ﺳﯘﻻﻟﯩﺴﻰ_, _boemus_, _kerisaua, _феномену_, 
   {{0x227f03d5,0x36b50118,0x216b02c3,0x932001af}},	//   _swanky_, _alwengaw, _skrátka_, _aýyplama, 
   {{0xf24a050a,0x9d2700d3,0x5753017a,0xdd26027a}},	//   _vermez_, _orgánem_, _alunamag, _sirovine_, 
   {{0x1df001da,0xd2700041,0xb41e026f,0xeb180084}},	//   _mandatua, _лаҭатәи_, _داۋگەردى_, _cacaduan_, 
   {{0x5fb50249,0x61110145,0x398c00d9,0x738700a1}},	//   _saitists_, _parengė_, _kauheast, _teeraa_, 
   {{0x7b610278,0x3dc7014c,0x025a0211,0xca6c0137}},	// [8c50] _seremban_, _bayibeke_, _vallan_, _элний_, 
   {{0xe3640132,0xc8e2043a,0x0fc40071,0x72250224}},	//   _végül_, _buffetau, _مکاترونی, _tusku_, 
   {{0x08670479,0xf9c90275,0xb444018d,0xc30c02e1}},	//   _április_, _atumulia_, _ዝጸልመተ_, _cheapas_, 
   {{0xc734037c,0x53870064,0xbe4e0055,0xb648034e}},	//   _harleysv, _ordres_, _incapace_, _andinusw, 
   {{0x9c330125,0xf2dc038f,0x8af70059,0xf3eb0092}},	//   _atlandyr, _adimplij, _навеси_, _aratan_, 
   {{0x5ae70388,0x13190297,0x83a10299,0x00000000}},	//   _жилетка_, _батырчыл, _زەينەب_, --, 
   {{0x93940342,0xb0be029c,0x9c9100dd,0x55ad004d}},	//   _panse_, _anamasul, _chredoau_, _請按下滑鼠後稍後_, 
   {{0xe1e50250,0xcabc0301,0x3349053b,0x92480378}},	//   _politikë_, _provayde, _entendi_, _brimil_, 
   {{0x2c6f0039,0x86cd017f,0x4abb005e,0xb9870244}},	//   _loturak_, _angalani, _ﺗﯘﺭﭘﺎﻥ_, _мултифун, 
   {{0xb3cb004a,0x93720167,0x726c00ea,0xc35b00f4}},	//   _alkalı_, _cerameg_, _bilona_, _elamiteg_, 
   {{0xa24803ea,0xc22a02ba,0xe341047d,0x3f0a016d}},	//   _sommes_, _холат_, _brudder_, _фамилили, 
   {{0xbf1100e5,0xb8d40178,0xb380013f,0xea080156}},	//   _адаптира, _प्रसारणा, _barrad_, _געקימען_, 
   {{0x22a701ef,0xfc010274,0x263500e4,0x8c050192}},	//   _нагода_, _tvisvar_, _व्यवसायो, _energieb, 
   {{0x93eb02ad,0xb22b0287,0x55c503c6,0xd2900452}},	//   _pruty_, _अभिमूखिक, _pedagogy, _वासोटा_, 
   {{0x0a8f01db,0xc27e00ea,0x19510057,0x5b6701ca}},	//   _اسامەيرى, _enina_, _berlarut, _hajestan_, 
   {{0xbebc0148,0x6c83003a,0x72ff0061,0xa864006e}},	//   _importun, _saytning_, _젊은이들의_, _gàannar_, 
   {{0x2ebb0141,0x702e0145,0x2f3000d2,0x506b0185}},	// [8c60] _belgilab_, _назвы_, _saleresn, _авторны_, 
   {{0xf4f60238,0xe26e03dd,0x683800bb,0x02a90299}},	//   _партнері, _fotoja_, _پبلشنگ_, _جەزبىدار_, 
   {{0x670f0144,0x6c77003b,0x49f1020d,0x13eb017c}},	//   _institiú, _acashwe_, _ikinyoma_, _grytan_, 
   {{0x63f8029d,0x025a01d3,0xe26e0453,0x00000000}},	//   _minune_, _hallon_, _mitova_, --, 
   {{0x5b1f0308,0xba9e0152,0x29a300d6,0x325a01c0}},	//   _kejadian_, _биологик_, _وداعا_, _kallon_, 
   {{0x15d50037,0xd2d8038f,0xd25a0225,0xcb630241}},	//   _ፈቃደኞች_, _melen_, _schli_, _bittinaa_, 
   {{0x68d402d8,0x32d80173,0x4c0100d1,0x2fe70109}},	//   _प्रसारमा, _pelea_, _kvistar_, _जनसँख्या_, 
   {{0xcf1401db,0xf201011d,0x5c28022b,0x00000000}},	//   _аналарым, _argint_, _eikilund_, --, 
   {{0x72260081,0x92d800da,0x3387006d,0x00000000}},	//   _haukar_, _velea_, _audros_, --, 
   {{0x96cd020f,0xe5cd023c,0x5ad300e6,0x23eb031c}},	//   _angamani, _angamany, _全国粮食库存检查, _tratan_, 
   {{0xfba002ec,0xb27e0625,0xce3c00bb,0xd02102f3}},	//   _می٘انہ_, _snina_, _کشمور_, _petersso, 
   {{0xd24901ab,0xa9fb007e,0x6ed9019b,0x20e20107}},	//   _olemas_, _aparyanu, _turizmas_, _bianglal, 
   {{0xa2d80132,0x625b033f,0xadcf02eb,0x7cf800f8}},	//   _jelen_, _imalie_, _амьгүй_, _মারধরের_, 
   {{0x63dd00c2,0xa3ab041b,0xd84a0177,0xd248029b}},	//   _yitwa_, _paramarj, _дамардои, _dammee_, 
   {{0x3dc7012e,0x628e0045,0xba00003c,0xa95302b9}},	//   _linkeket_, _пружа_, _بسنجیدنو, _indokolt, 
   {{0xc6fa01cd,0xb0bd0094,0xc275014e,0xfce00094}},	//   _ababenaw, _ماماندار_, _клопка_, _тербеген_, 
   {{0x626e0018,0xf27e0362,0xbd2d0238,0x826c0117}},	// [8c70] _motoka_, _afingi_, _varighet_, _silona_, 
   {{0xef640173,0x12e80396,0x4a1701e8,0xc71800a4}},	//   _মানচিত্র, _tekniku_, _nakakuha_, _талантту, 
   {{0x8f2301c1,0x80bf004c,0x2837004f,0x00000000}},	//   _kesubura, _asumulul, _guéné_, --, 
   {{0xed990062,0x32260054,0xac6402a4,0x86480008}},	//   _bajornga, _daukar_, _naturae_, _эсеге_, 
   {{0x03dd01b9,0x7349044a,0x9c4c0297,0x523d0035}},	//   _sitwa_, _kitendi_, _башланыш_, _göliya_, 
   {{0xe6e40024,0x570f036d,0x83d1011a,0x36d3003a}},	//   _আধুনিকতা_, _institiù, _אנטיפסטי_, _севадига, 
   {{0xe25a00ce,0x3a1702e7,0xbfd200bf,0x8a3f00bb}},	//   _vallon_, _makakuha_, _подушка_, _علیھا_, 
   {{0x203201e6,0xdc600075,0x84d8006d,0x82fc0364}},	//   _zastaven, _skattur_, _марселье, _bezillt_, 
   {{0x72d8055f,0x43dd00c2,0x89c701cd,0x226e02c5}},	//   _gelen_, _witwa_, _дарачаи_, _aitova_, 
   {{0x69aa00da,0x8d39030a,0x63940067,0x43d70366}},	//   _комис_, _comparec, _aansa_, _серверов_, 
   {{0x739402be,0x03960461,0x738a0013,0x4341046f}},	//   _bansa_, _persan_, _нажмидди, _breeden_, 
   {{0x194e03ba,0x920000f6,0x9c4c014f,0x82e800b6}},	//   _anklopfe, _elmin_, _наставља_, _lafitta_, 
   {{0x42fc0367,0xd6050079,0x7dc301da,0xe213000e}},	//   _chega_, _biedriem_, _nishanit_, _myrha_, 
   {{0x62fc01d9,0x19e300a9,0xce9003c1,0xf0700253}},	//   _gezielt_, _gatolika_, _изолиран, _hexachlo, 
   {{0xd20001c0,0x15c3016a,0xb37c0096,0xb6070089}},	//   _ilmin_, _hispanio_, _aryamye_, _салдыру_, 
   {{0xf25a0119,0x264b0192,0x42ee01e5,0x67490299}},	//   _wallon_, _친구그룹이_, _ayonusi_, _بايۋەتچى, 
   {{0x5267004b,0x6a810344,0x8a85020f,0x00000000}},	// [8c80] _baboleli_, _avungars, _روږدی_, --, 
   {{0x9ce90220,0x6d390350,0xaac0045b,0xb317046f}},	//   _наркотиц, _በብዛትና_, _prakstis, _herzi_, 
   {{0xb0ed01c1,0xc6010044,0xe25b031c,0xe83d000d}},	//   _keunggul, _evaluati, _cuello_, _loomingu, 
   {{0x025a0148,0xe8fc00c1,0x163400aa,0xbb5602b9}},	//   _callen_, _samarind, _aronmali, _نارووال_, 
   {{0x931900a6,0xcaf500cf,0x0f16002b,0x9eff004d}},	//   _ديوال_, _asirratt, _লুকোচুরি_, _預算金額是否公告_, 
   {{0xd22b004b,0x726c044a,0x5200008a,0x75f80297}},	//   _атында_, _bidoba_, _kemisi_, _бартольд, 
   {{0x127f00f1,0x927e0399,0x1eb000ba,0xc2cb0118}},	//   _amenen_, _aoanu_, _هاوێژه_, _bakoppa_, 
   {{0xc87805dd,0x42d80089,0x3a070229,0xe2000109}},	//   _दर्दनाक_, _telen_, _almaniya_, _demisi_, 
   {{0xf2240278,0x0465012a,0x4e25002b,0x3ac70198}},	//   _stokin_, _studenck, _স্থপতি_, _najverje, 
   {{0x4bff05ae,0x727e01b8,0xd95a02c6,0x29e8059c}},	//   _ofensivo_, _riina_, _anaouede, _langzeit, 
   {{0xc3d000d6,0xb8fa00d1,0x651a0311,0x7e9e0258}},	//   _الارداف_, _কাশ্মীৰি_, _ህርፋንን_, _nammekun, 
   {{0xe73c003a,0x527e04bd,0xa8be015e,0xc3ee02e2}},	//   _портрети, _piina_, _иштин_, _angliciz, 
   {{0xdda30089,0x425a03f3,0x2c2d007b,0xac0f0204}},	//   _мобиль_, _vallen_, _besieged_, _mittaris, 
   {{0xf27e013f,0x42d8014a,0xb27e028c,0xc2000281}},	//   _hoant_, _felel_, _viina_, _ammit_, 
   {{0x37a30409,0x827e01e9,0x626d02c1,0x8bdd027b}},	//   _チェックリスト_, _nnang_, _miliyari_, _मेधया_, 
   {{0x4f000061,0xd3eb0582,0xbc6600f2,0x6eb00282}},	//   _가족뮤지컬_, _mputa_, _faktors_, _kahupene_, 
   {{0xb2df05c1,0xe96d00de,0x8eff0061,0x804603a2}},	// [8c90] _melebihi_, _andinant, _참조하시기_, _उछालकर_, 
   {{0x57ab00bc,0x727c0362,0xd27a033e,0x4e1f00c1}},	//   _ketrampi, _asengaki_, _bolsíllo, _bergaira, 
   {{0x627e021f,0xf2d7033d,0x00000000,0x00000000}},	//   _diinn_, _pauleus_, --, --, 
   {{0x42250100,0x4fcc026b,0xd515002f,0x6a680037}},	//   _muski_, _caída_, _callisay, _ይሰማናል_, 
   {{0x13eb0387,0x906d0092,0x92390311,0x6a17001c}},	//   _aputa_, _全角でしたら_, _ምግዛእን_, _pakakuha_, 
   {{0x827f048f,0xdc9303ce,0xe1d90515,0xc9850524}},	//   _afandi_, _نابات_, _conforth_, _splitska_, 
   {{0xe2950471,0x1d9c02f3,0x5c5b0361,0xf3010466}},	//   _terkini_, _favoritp, _акăнтах_, _posalji_, 
   {{0xbc890200,0x37f200b0,0xfb180130,0x093c0238}},	//   _akapịbag, _پێیہِ_, _displege, _естетичн, 
   {{0x0396018a,0x32e30193,0x4a420291,0x5ea40156}},	//   _berson_, _तिमीर_, _chodanna_, _קאָינס_, 
   {{0xf290047d,0xf2a7029f,0xa3460409,0x427e00d1}},	//   _gemach_, _stavebné_, _randers_, _উঠিয়েই_, 
   {{0xe25a05bd,0x45680187,0x14b50198,0x9b3e01a3}},	//   _pallen_, _престане, _sesalnik, _وياڪرڻ_, 
   {{0x48e50426,0x027e00b0,0xc98700a2,0xc3fd0385}},	//   _पारस्परि, _miino_, _kuthibit, _blizina_, 
   {{0x727e00aa,0x1292008e,0xc26402db,0x747001a0}},	//   _enano_, _depaar_, _saplai_, _geletano_, 
   {{0xac470310,0xdb56022d,0xbf1e0450,0xdb340256}},	//   _hunchbac, _settanta_, _maatskip, _pedantis, 
   {{0xc2900342,0xfa5700c7,0xbc72019a,0x19890211}},	//   _demach_, _байгыш_, _merriet_, _либераль, 
   {{0xa3f80345,0x02fc0488,0x6a110239,0x00000000}},	//   _minube_, _miegs_, _parangia_, --, 
   {{0xc27e0321,0x5d260198,0x6906004d,0x149c0037}},	// [8ca0] _znano_, _naenkrat_, _免費成人a片子_, _አስገኝቷል_, 
   {{0x726e0211,0x6a1600a2,0xb2fc02c7,0x8305017c}},	//   _kotona_, _tunataka_, _wiegt_, _teracom_, 
   {{0xcbd60164,0x170e000c,0xd3540461,0x915f0307}},	//   _ئاتلاس_, _iletraií, _ardenas_, _nangamal, 
   {{0x427e00ad,0x73490175,0x8c67037f,0x0a100333}},	//   _miang_, _enterdi_, _eynulla_, _risplend, 
   {{0xb28d002f,0x689500d1,0x226c003b,0x1eb50405}},	//   _chakran_, _চুইডেন_, _ihlosa_, _lesernes_, 
   {{0x72ec0589,0x12c30077,0xe2a60044,0x382a0109}},	//   _neviete_, _italyen_, _probe_, _गर्जदा_, 
   {{0xb26c0320,0xc2c20087,0x0aeb01f4,0xf4a50235}},	//   _ahlota_, _andlala_, _tomondan_, _स्थानाच्, 
   {{0x3e4903c1,0xc2d3023c,0xf9f900b3,0x218700a2}},	//   _погрешно_, _دځوانانو, _annamere, _kutambul, 
   {{0xe39601b6,0x1c6101fc,0x050a005e,0x649d0023}},	//   _person_, _burutta_, _شعنجاث_, _самолета_, 
   {{0xf8d80076,0xffd503d8,0xe26e00c8,0x02da033e}},	//   _помогнат_, _upozoren, _botona_, _gnunote_, 
   {{0xf26e0092,0xeabb0311,0xc5d90238,0x1d400291}},	//   _cotona_, _ዘይወግሕ_, _картинам, _يناهز_, 
   {{0xe03c0148,0x5f3d008d,0x49db02d4,0xb27e006e}},	//   _colectio, _tabrikla, _franzosa_, _diang_, 
   {{0x327e07a7,0xf18502d3,0x92240089,0x6c5603b0}},	//   _liang_, _огромен_, _bankta_, _rettane_, 
   {{0xb4ac0456,0x42d801e6,0xb29004d8,0x44950297}},	//   _dijalank, _odlet_, _dumarkii_, _desantçı, 
   {{0x330c00b8,0x4b7801b2,0x7249014a,0xec4e004d}},	//   _mayacht_, _aireleyn_, _elemes_, _世紀的殺手_, 
   {{0x00b00049,0xbebe0128,0xea0f0241,0x00000000}},	//   _houmakel, _долларни, _gidaaraa_, --, 
   {{0x8d7e0212,0x729207da,0xd3ea0234,0x888602fb}},	// [8cb0] _commenda, _repair_, _apetu_, _hoihoifu, 
   {{0x927e037e,0x93ea00ea,0x953900b3,0x24d70061}},	//   _biang_, _maitso_, _aksakgal_, _주택관리사_, 
   {{0xc1770439,0x9d8400e0,0x00000000,0x00000000}},	//   _lakatsel, _liedende_, --, --, 
   {{0xe8160475,0xcbec004e,0xb0d201a4,0x82d80229}},	//   _указанно, _underwir, _badongol, _teleb_, 
   {{0x83dd0672,0x58080144,0x22bc02ec,0x6d4100dc}},	//   _witwe_, _تتحول_, _beddelo_, _matatufu_, 
   {{0xca590678,0x2eb40052,0x95ce00d0,0x95a60094}},	//   _inzercia_, _posunout_, _аястайга, _بارلاي_, 
   {{0xe27e00c9,0x639600c7,0x927e006a,0xfd0d0361}},	//   _giang_, _bersen_, _printy_, _носителя, 
   {{0x87aa01ea,0xe39304c3,0x2c280041,0xaf4502c8}},	//   _برانکو_, _chaymau_, _añaguire, _posición, 
   {{0xd4a50139,0x82fc00a2,0x58be0144,0x627e0251}},	//   _स्थानान्, _chege_, _candykid, _siino_, 
   {{0x52ad00d6,0x52ee001d,0x88dc0039,0x73ea012f}},	//   _الحال_, _chofer_, _барилдах_, _tsitan_, 
   {{0x1d260422,0x44a80311,0x9b960040,0x3c2a0311}},	//   _zaenkrat_, _መስከረምን_, _כשמשבר_, _ዕሽነትን_, 
   {{0xa22400ff,0x75a903ae,0x129201e5,0x53070009}},	//   _sankta_, _pulsklok, _giramo_, _bolnikov_, 
   {{0x72e00097,0x5cf201ac,0x6d3002ac,0xe30e00f2}},	//   _akunyun_, _كارمن_, _constaic, _atradis_, 
   {{0x406901b4,0x953c01d2,0x727e0482,0x800b0110}},	//   _kampioen, _bocangel_, _tiino_, _komplicē, 
   {{0xb25a01c5,0xfbf601ef,0x855a04df,0x43000032}},	//   _ballan_, _частцы_, _balkanly, _piratlh_, 
   {{0x1c6f0238,0x1bde06f2,0x0e5f017d,0x89e30035}},	//   _одному_, _चक्रवात_, _この記事へのトラ, _тоташа_, 
   {{0x72d80127,0x057800e5,0x595a0258,0x026d04cd}},	// [8cc0] _belec_, _срединат, _datoange, _jebote_, 
   {{0xb35a048a,0x0291031a,0x3218019d,0x82000281}},	//   _солардың_, _argaid_, _amakayam, _ammip_, 
   {{0x03540795,0x94610105,0x630d008d,0xb3160160}},	//   _podemos_, _niedalek, _nimalar_, _prebaci_, 
   {{0x727f021c,0x22480181,0x00000000,0x00000000}},	//   _plyny_, _kommes_, --, --, 
   {{0x025a0151,0xe1c9032d,0x3af50127,0xb31304b3}},	//   _radlin_, _тотто_, _amforenn_, _anfiloeg_, 
   {{0x69d40024,0xbb180059,0xc7c40109,0xda21004d}},	//   _খৃষ্টাব্, _компютър_, _आफूहरू_, _哈雷在台正式登場_, 
   {{0x3bda0558,0x1dae0040,0x425a018d,0x33fa01d5}},	//   _asambodo_, _בקפריסין_, _ballin_, _írunk_, 
   {{0xf34402ba,0x3da90003,0x927e03ac,0x1acb03e6}},	//   _wetende_, _topicsta, _riang_, _fummelen_, 
   {{0xe27e03dc,0x625a0085,0xfaf70061,0x00000000}},	//   _leinki_, _dallin_, _월간회원모집_, --, 
   {{0x0e8000c5,0x2b5001a6,0x7c5701ad,0x6ea602e7}},	//   _前开始排队_, _akatuera_, _emptive_, _baylaran, 
   {{0xb382019d,0x634905eb,0x00000000,0x00000000}},	//   _akuyang_, _asifele_, --, --, 
   {{0xdc5a00b4,0x9b68018d,0x7a6904c7,0x727e0428}},	//   _unitati_, _objektin_, _калемегд, _znanj_, 
   {{0x95d4038e,0x12d80288,0xff0f0314,0x7af90204}},	//   _membutuh, _ndler_, _миҙәт_, _bussimat, 
   {{0x3c77020f,0xc382001a,0x537d003c,0x6c00036f}},	//   _فريضه_, _شاملِ_, _bapakke_, _šalteru_, 
   {{0x80e10074,0xf2480396,0x32d7019b,0x1d3e0061}},	//   _вкусу_, _zammit_, _paulius_, _해당평형세대수_, 
   {{0x666402d5,0x525a01c3,0xbdec01af,0x82d8013b}},	//   _viljandi, _callin_, _tükenmez_, _selec_, 
   {{0x52d8029e,0x9d990249,0xa301044a,0xdb0102ba}},	// [8cd0] _pelec_, _maclella, _bavandi_, _akasonge, 
   {{0x2e6a01bd,0x320000e9,0x87ee01a4,0x00000000}},	//   _сонда_, _vomie_, _mopalang, --, 
   {{0x026c06ee,0x15160040,0xe38700db,0xd89700d1}},	//   _madoda_, _טביעות_, _seeria_, _ডেচডিম_, 
   {{0x72d70527,0xaaa601c5,0x2d0b0448,0x2a390244}},	//   _kupovao_, _maayarka_, _uheldige_, _белези_, 
   {{0x42d80497,0x4c5601f1,0xb1d10137,0x2a00011f}},	//   _udder_, _martese_, _нөмрөөд_, _ndereiku, 
   {{0xbceb0044,0x84db00e6,0xadbc07b0,0x3b19029e}},	//   _להניח_, _您现在位于_, _metallet_, _disprede, 
   {{0x82d80017,0x7f6c0037,0x225a025b,0x4ebe0083}},	//   _leden_, _ሰርተፍኬት_, _pallin_, _abunamen, 
   {{0x1f72027c,0x649f00d1,0xd2590235,0x530300aa}},	//   _ababevin, _চীষ্টেম_, _chinatti_, _mamakit_, 
   {{0x3fd80040,0x969b0251,0xb8150374,0x19670176}},	//   _מעניקים_, _dareenki, _сумалак_, _hajimete, 
   {{0xe28001be,0x89eb0265,0x431c0095,0x9f370344}},	//   _diskuse_, _originee, _کیرمو_, _aperserp, 
   {{0x22d8015c,0xc5880364,0x92d802f8,0xd3fe020f}},	//   _schonns_, _retouché, _felea_, _alilinik, 
   {{0x530001ca,0x22d802c2,0x59db0272,0x827e027b}},	//   _binaydi_, _gelei_, _alengera_, _दस्सेतुं_, 
   {{0xdfae0056,0x3d0d00ee,0x157e0121,0xa5b003b5}},	//   _сабки_, _derrigor, _inclusió, _tengahny, 
   {{0x02d8012f,0xe53d01a3,0x294200f4,0x0eda0153}},	//   _deden_, _تيغاڻي_, _beurober_, _トップの結果を表, 
   {{0xceb8046d,0x12d800cf,0x6211004b,0x0d900374}},	//   _isiraele_, _eeden_, _bakhethi_, _сезди_, 
   {{0x81dc022f,0xf43e00be,0xa3dd01b5,0x00000000}},	//   _слабы_, _бааны_, _mitwa_, --, 
   {{0xa2d8055f,0x12d800ad,0x9f510065,0xbaec0299}},	// [8ce0] _neden_, _weleh_, _verpackt_, _بەڭۋاشلى, 
   {{0xf2ef00b9,0x29b401f2,0x5917016f,0xf9ed02be}},	//   _belinya_, _өлүшуң_, _камерою_, _esensiya_, 
   {{0x242d00c7,0xe48d0192,0x7b7c01c7,0xa31c0273}},	//   _спасибоч, _인테리어소품_, _душманың_, _rincón_, 
   {{0x3602020a,0xd17702d4,0x447101f9,0x82d801ef}},	//   _сервисті, _amiaivel, _etsembek, _pamenu_, 
   {{0xf67b012c,0xff270019,0xe3dd02c5,0x45f30156}},	//   _قرباني_, _камакка_, _aitwa_, _שטײען_, 
   {{0xf3dd02fa,0x603203ab,0x992f0025,0xc9540212}},	//   _bitwa_, _nastaven, _महाराजान, _sequitur_, 
   {{0xcfc7049f,0x7a070133,0x527e024a,0x6c870405}},	//   _linomkho, _adaamatt, _enini_, _грамоти_, 
   {{0x862d0698,0xe2d8018b,0xfc50001a,0x327e0275}},	//   _akumiriw, _celei_, _ہنسنا_, _onana_, 
   {{0xe4aa0024,0xc851003d,0x026202ac,0x32d80325}},	//   _সংস্কাৰ_, _raquetas_, _لائقة_, _geden_, 
   {{0xac010251,0x74b60177,0x23a30156,0x00000000}},	//   _mansuur_, _ркомпани, _האמזא_, --, 
   {{0x6e460013,0x2d2e0453,0xa3100118,0xe35b026f}},	//   _bosadiga, _novinare_, _aluzza_, _كامۋنيست, 
   {{0x62a601cb,0x825a03b9,0x32490064,0x73f800fe}},	//   _isiqubul, _jallun_, _poemes_, _lemuu_, 
   {{0xc4ec0173,0xb291003a,0x4379030a,0x8abd00d5}},	//   _পাহাড়_, _avval_, _navalla_, _nanjakan_, 
   {{0xcd4b01af,0xb40e02c8,0x6c6800d9,0x93780089}},	//   _absolýut_, _aparezan_, _rajusti_, _kabarda_, 
   {{0x73940499,0x8c170164,0x8a910276,0x52fd0275}},	//   _fafsa_, _туғдурға, _тәмкин_, _liuga_, 
   {{0xd47601cd,0xbe8c0149,0x628200f2,0xe0c401f7}},	//   _одина_, _kpọchie_, _likvidēš, _arganhòl, 
   {{0x091803a2,0xf688014e,0x00000000,0x00000000}},	// [8cf0] _गुनहगार_, _уредништ, --, --, 
   {{0x9682029f,0xce0b0587,0xcf600151,0xd057015e}},	//   _decembri, _acampats_, _arraneys_, _тизилип_, 
   {{0xe27e0321,0x7fd102ac,0xb2520331,0xa96502f7}},	//   _znana_, _وللأسف_, _ballónir_, _kemonoke, 
   {{0x627f0122,0x72d802f3,0xf4050008,0x7ed4018e}},	//   _nganti_, _medel_, _اپارلىپ_, _dbcityin, 
   {{0x73eb00ee,0xda7100dc,0x1f1501e5,0xc3960189}},	//   _esaten_, _lelavava_, _kẹsan_, _dersin_, 
   {{0x227e017d,0xb00700be,0x00000000,0x00000000}},	//   _miina_, _تاپتىق_, --, --, 
   {{0xfeb600a7,0xaffc00be,0x3cfb021b,0x00000000}},	//   _алиментт, _جۅندۅمدۅ, _soveltuu_, --, 
   {{0x02d8035b,0x44c700ff,0xbeda0050,0x525a033a}},	//   _teden_, _סעילס_, _ngahulen, _gallun_, 
   {{0x128d013d,0x4e9602dc,0x916e011a,0x064402e2}},	//   _funkcio_, _vertente_, _quantify_, _backbiti, 
   {{0xe8ad03da,0xf95a0359,0xa9c20408,0x42d80241}},	//   _kọrint_, _doanjewe, _dramatoa_, _gedeo_, 
   {{0x7d960006,0xd26c0030,0xdc14046b,0x025a033a}},	//   _tertentu_, _valoda_, _esboniad_, _ballun_, 
   {{0x2cbe000c,0x33990321,0xa225027d,0x12d9011d}},	//   _марек_, _obravnav_, _drski_, _cainele_, 
   {{0x80f405e5,0x9c53007b,0xf1d1004f,0x8c1801e7}},	//   _चतुराई_, _heathen_, _lewetaay_, _islamesc, 
   {{0xed6501a7,0x927e001b,0xb35e013a,0x14130013}},	//   _главное_, _diina_, _folgend_, _قاندی_, 
   {{0x52000499,0x794a0029,0x327f018e,0x5291013a}},	//   _lomia_, _ستیپێکرد_, _kganti_, _erward_, 
   {{0x421c01f1,0xf9580361,0x6ec1025f,0xf733004d}},	//   _joshet_, _викторов, _mbongwan, _並定期接受公部門, 
   {{0x82900068,0xa251007a,0xcabd0053,0x4184036e}},	// [8d00] _islaam_, _mahligai_, _janjikan_, _debaldil, 
   {{0xe9ec01e6,0xaf680541,0xfafb004a,0x00000000}},	//   _aktivita_, _informiš, _kertelüe_, --, 
   {{0x037301b8,0x42d800b7,0x8ae7029f,0x1f3500ec}},	//   _lubatud_, _jedel_, _nepriate, _становяц, 
   {{0x130304d3,0x624601a2,0xb39404e5,0xdbea00ae}},	//   _nyablab_, _tēmas_, _akissa_, _kayogoro_, 
   {{0xad6b05e1,0x82d80005,0x42b60291,0xe3960418}},	//   _प्रभुजी_, _medem_, _moscó_, _versin_, 
   {{0x127e0201,0xb28e016e,0x2dff016a,0x4c1a02b1}},	//   _diini_, _baskın_, _angelsta, _hannunsu_, 
   {{0xeda402f6,0xd2dd035b,0x0c290037,0x626c01b9}},	//   _paniniwa, _katerimi_, _አጥነትን_, _galoup_, 
   {{0x3af6023d,0xe3030227,0x55110059,0x1341005b}},	//   _traspare, _menakut_, _cassetto_, _freemen_, 
   {{0xfd74023d,0x92a7017a,0xc39d038a,0xe34102ed}},	//   _permette_, _ракобат_, _hampikam, _armesto_, 
   {{0x52810533,0xa4a90418,0xd39b0080,0xe98507b6}},	//   _rabhadh_, _istiklal_, _annaagaj, _घालमेल_, 
   {{0x73f8026c,0xa2910103,0xf32102bd,0xfc070432}},	//   _demum_, _adyara_, _artistig_, _gearkass, 
   {{0xc35405ab,0x61d50388,0x9a9501ec,0xc2e60180}},	//   _modelos_, _collegam, _رنسانس_, _reinyon_, 
   {{0x95cd0382,0x905c0277,0x91b600be,0x7a83021b}},	//   _angahany, _estudayn, _جىمجىرتت, _клапанов_, 
   {{0xd8c20192,0xa2c80313,0x1c190109,0x06cc01dd}},	//   _middelbu, _lubotbe_, _शिवलिङ्ग_, _bakagani, 
   {{0x3c69026b,0x12580255,0xba14049e,0x92000528}},	//   _carrito_, _ettevalm, _spravila_, _ilein_, 
   {{0x127e029a,0x25cd020d,0x236403fb,0x225b00da}},	//   _anann_, _bigabany, _tragova_, _inalte_, 
   {{0xde8500e4,0x32ec0036,0x220001b2,0x00000000}},	// [8d10] _दिव्यदृष, _craicne_, _blein_, --, 
   {{0xa9b00287,0x320001c3,0xa2d801b9,0xd9da0037}},	//   _pozdrave, _clein_, _relev_, _አንድላይ_, 
   {{0xc25b0244,0x7fea0204,0xc7a60044,0x8263036e}},	//   _quello_, _заголово, _containi, _achiwiti_, 
   {{0xd39400a3,0xcf2d011a,0x27370187,0x00000000}},	//   _skissa_, _deservin, _наплата_, --, 
   {{0x62000116,0xa2f30040,0x92a6012c,0x9d180153}},	//   _flein_, _מרענן_, _waajiri_, _ディスカバリ_, 
   {{0xc2d80191,0x327e0023,0xc3960256,0xb2e80068}},	//   _felet_, _viini_, _lapsas_, _sicirka_, 
   {{0x3cd90040,0xe317021c,0xf37900f6,0xd2d80192}},	//   _מחליק_, _plazmy_, _cavabla_, _gelet_, 
   {{0x184100aa,0x12000081,0x42910046,0x00000000}},	//   _pruritus_, _alein_, _pagant_, --, 
   {{0xe3110386,0x175a0013,0x8493002b,0xac590152}},	//   _membuat_, _agentlig, _আকুতি_, _башлаучы, 
   {{0x59e20169,0x12d80132,0xb31f0371,0x04280303}},	//   _অভিমত_, _kelet_, _cerchio_, _menagano_, 
   {{0x427e0049,0x55160532,0x03540112,0x52d40080}},	//   _siana_, _benzinsk, _disekat_, _demosen_, 
   {{0x037a0082,0x829102d5,0x5e8b0156,0x48270046}},	//   _jiragen_, _tagant_, _מהיכא_, _مارتابا_, 
   {{0xfb64013d,0x834503d5,0xa32201b4,0xd26c02b4}},	//   _situanta_, _anodont_, _betyds_, _ikhozi_, 
   {{0xb18a0037,0x0deb01ab,0xa264005b,0xa3f901fb}},	//   _ልነግርህ_, _किस्मतिय, _titlen_, _unguer_, 
   {{0xc295017d,0xa1d70056,0x575a005b,0x0da80456}},	//   _murakami_, _милисаи_, _ugentlig, _kebinata, 
   {{0x527e00d5,0x7c670044,0x279603c7,0x8cec00ff}},	//   _tiana_, _factors_, _granicą_, _אזשאראוו_, 
   {{0x235d011a,0xef3600d1,0xa5590311,0x6c690059}},	// [8d20] _lodging_, _ইলেপিড_, _ዘይወዓለ_, _liquidi_, 
   {{0xbfc000aa,0xe84d0167,0x6391005a,0xf9860365}},	//   _dyanitor_, _ansolfed, _masuvlaw_, _भोकमरी_, 
   {{0xdfa300c5,0xfc7603b2,0x4628002b,0xd7f400e5}},	//   _收纳上手技之书有, _reusing_, _কমার্শিয়, _спонтано_, 
   {{0x72fb0320,0x22d8012b,0xe4b50188,0xcaba0077}},	//   _atshama_, _celem_, _ababesek, _alaverit, 
   {{0x02ca0499,0x79e100c7,0xc649020f,0xa4070251}},	//   _amalosi_, _aralaşa_, _نتېجې_, _tuhunsan_, 
   {{0x1303007a,0x39f001b5,0x8a020039,0x00000000}},	//   _penakut_, _minghene, _argaltze, --, 
   {{0x12000288,0x47ac0153,0x00000000,0x00000000}},	//   _kleid_, _カテゴリ未分類_, --, --, 
   {{0x62d80095,0xefc70361,0xe1b3002b,0x0a4900bb}},	//   _gelem_, _дизайне_, _নামেও_, _مباہلہ_, 
   {{0xaea500e6,0x926e0212,0x3f4200a8,0x8f2b01d7}},	//   _annuaire_, _litora_, _truffels_, _instruma, 
   {{0x21b304dc,0x52ca005b,0xe96b0238,0xf7940087}},	//   _ئادره_, _imode_, _treninge, _khathari, 
   {{0x12d8034c,0x91f20061,0x42f104ee,0x42550339}},	//   _belem_, _현재접속자_, _miriemi_, _pālua_, 
   {{0x920104a4,0xc27e0157,0x00000000,0x00000000}},	//   _eduin_, _miano_, --, --, 
   {{0x52d80132,0x92bb0010,0xe26e03b4,0xc2a60120}},	//   _velem_, _angenge_, _aitora_, _gugbo_, 
   {{0xb17b017f,0x720000e0,0x32d80279,0x47c80498}},	//   _tamannal, _aleid_, _hameau_, _nespravi, 
   {{0x193800ff,0x8c6201cf,0x82000116,0xc2ef0151}},	//   _מעזריטש_, _currite_, _bleid_, _belisha_, 
   {{0x0bb901bd,0xbe3a00d5,0x8a7a01ff,0x9200007b}},	//   _дипломме, _fitatera, _ukazovat, _cleid_, 
   {{0x830202af,0x583800ee,0xfed402af,0x931b02a5}},	// [8d30] _akabone_, _мартагда, _bakishin, _vízum_, 
   {{0x4c5101b8,0xa27e00a1,0x92b4007f,0x85990147}},	//   _esitada_, _kiano_, _drochi_, _كەلجىرەپ_, 
   {{0x9cbc01d1,0x8291004b,0xe8f600cf,0x0faf01db}},	//   _detailed_, _hagare_, _filachuu, _نومىرگە_, 
   {{0xcaea0138,0x4ecd019f,0x084d046b,0x7e5e0234}},	//   _destekle, _wasichan, _disglair_, _ojúìwà_, 
   {{0x0579042b,0xe3540227,0x55540056,0x930c02d4}},	//   _iskustvo_, _dikemas_, _awakhuth, _curaint_, 
   {{0x22910073,0x827e0478,0x78770177,0xb9a80037}},	//   _pagate_, _anant_, _дыхухуаӡ, _የጐደለው_, 
   {{0x8de702ac,0xdbf601b7,0xd73f02e2,0x7324018e}},	//   _الرهيب_, _आसाथ्य_, _smooinag, _cinceni_, 
   {{0x620003ee,0x9bd1026c,0x629101f0,0xe05b03b7}},	//   _liniju_, _credider, _fagare_, _armacopo, 
   {{0xf2d8045c,0xd02b0037,0x1f5d00d8,0x729101c0}},	//   _celej_, _አስጨራሽ_, _armators_, _gagare_, 
   {{0xa200025f,0x127f0197,0x22d801f1,0xf11c0028}},	//   _momie_, _franch_, _selem_, _shakiyay_, 
   {{0xc68201e4,0x38bf0450,0x53ed005d,0xcc820156}},	//   _भूभाग_, _begelied, _calabózo, _אוממענטש, 
   {{0x926c0018,0xb8bf0372,0xe2d80181,0xe27e00bc}},	//   _latilati_, _atgenhed, _odder_, _dhing_, 
   {{0x7d260238,0x622600ad,0x225b0027,0x4e13018c}},	//   _редакції_, _saukur_, _dialet_, _telegraa, 
   {{0x2fa80037,0x543a0226,0x27ba00bf,0x59aa01ee}},	//   _በዲጂታል_, _atakomok, _волостей_, _розин_, 
   {{0xdc6d02ba,0x52ce014a,0xd3870251,0x327e047d}},	//   _захватов_, _iszlám_, _hurre_, _kiint_, 
   {{0xa2480036,0x03870250,0x9c6303ab,0xa15f0704}},	//   _seomra_, _kurre_, _rodinnýc, _vibrasjo, 
   {{0xf25a0074,0x02480347,0xea640421,0x158503b5}},	// [8d40] _mallin_, _cammie_, _stammgas, _kerendah, 
   {{0xd2f901f9,0x4faa0034,0xb52802eb,0xfc6b030d}},	//   _ajehova_, _eigendur_, _батсайха, _soyundu_, 
   {{0x12d80148,0xa0cc0079,0xda40004a,0x51ae004d}},	//   _delek_, _pedagoģi, _индий_, _複評後會議決定_, 
   {{0x0527016d,0x064301df,0x726c006a,0x46c502f6}},	//   _ﺋﯧﺴﯩﻞ_, _adminshi, _jadona_, _makasagi, 
   {{0x727e0027,0x6e070195,0xc26c0159,0xa3f801fe}},	//   _anans_, _meadhana, _vadinasi_, _kemui_, 
   {{0x12bc0129,0xb2ca03ea,0x43480145,0xe74003c6}},	//   _amadoro_, _vendez_, _negerai_, _pompeblê, 
   {{0xe7d0030c,0x2dc301da,0xb51402d5,0xe2d70590}},	//   _kaasilii, _etiketat_, _चन्दवा_, _бнауу_, 
   {{0xd39404d8,0x82000180,0x784e0148,0x6f390052}},	//   _liiska_, _komie_, _incolaru, _juniorů_, 
   {{0x227e023d,0xa2a60202,0x62d80107,0xed2d072a}},	//   _siano_, _aroba_, _leleh_, _komárom_, 
   {{0xf20000f5,0x02d80360,0xd0a60193,0xd9d00019}},	//   _jemini_, _celek_, _अग्निसखा_, _белин_, 
   {{0xbb720285,0xe4c70013,0x72fa019f,0xe1770087}},	//   _murumuna_, _наздида_, _kuchoma_, _makambel, 
   {{0x0a7e020e,0xb26c030f,0x1248007b,0x00000000}},	//   _bahlakis, _matimati_, _tammie_, --, 
   {{0x6f230075,0x12d80132,0xd8700360,0x77a801cd}},	//   _harumfra, _telek_, _कलाकारको_, _асаби_, 
   {{0x629103b4,0x327e041b,0x4d23014d,0x53f80042}},	//   _vagare_, _tiano_, _beliebte_, _adeus_, 
   {{0xc2ef0233,0xeb190119,0x24a003d4,0x00000000}},	//   _atentiv_, _kasamdan_, _геолошки_, --, 
   {{0x72000168,0x5311006e,0x83fd008c,0x426c0183}},	//   _pleie_, _jilbert_, _blizuna_, _gadona_, 
   {{0xb0f9034c,0x42f6036d,0x2ab6012c,0x10580086}},	// [8d50] _ministrl, _briseadh_, _kuchapis, _حقوقِ_, 
   {{0xa21302e5,0x0f2806a1,0x00000000,0x00000000}},	//   _acahay_, _sentrala, --, --, 
   {{0x62ad02c9,0xfe960212,0xc20003ba,0x19ff030b}},	//   _сигур_, _pertinet_, _gleic_, _alisanyu, 
   {{0x02910244,0x925a02fd,0x3a8a02bd,0x095b0204}},	//   _pagare_, _doille_, _chynhwys, _kadonnee, 
   {{0x237800f7,0xb2cc04e5,0xb9ef01c8,0x0b64014d}},	//   _hazarda_, _amalobo_, _riviéra_, _internen_, 
   {{0x5a0702ec,0x750301c5,0xd29204c9,0x80710159}},	//   _somaliya_, _dhimanay, _ensaym_, _aviacijo, 
   {{0x73a602c9,0x4cb900d7,0x39760260,0x5ad40040}},	//   _неплекут_, _ғәйәт_, _asentame, _פרדייס_, 
   {{0x12f90302,0x82010241,0x024101ac,0xb7bd0425}},	//   _ujehova_, _argine_, _مشابهه_, _تدابنێیت_, 
   {{0x52000766,0x1205038b,0x1f400169,0x451104ad}},	//   _mamić_, _dimiliki_, _মাইনুল_, _beelwath, 
   {{0xba9a0195,0x00000000,0x00000000,0x00000000}},	//   _righrean_, --, --, --, 
   {{0xa7690360,0x826c00a2,0xf25a00d9,0xcc5105f6}},	//   _बोर्डको_, _madola_, _joille_, _fritida_, 
   {{0x023a018d,0x4c620131,0x911d0158,0x01db00cb}},	//   _ምውዳብን_, _derrube_, _podpisał, _канораҷӯ, 
   {{0x33530040,0xead703e4,0x011c0152,0x22fc0211}},	//   _perform_, _mistuyat, _radiosın, _ehtinyt_, 
   {{0xb306003c,0x264e0021,0x5aa702b6,0x00000000}},	//   _cerobong_, _avanadew, _зарлап_, --, 
   {{0x9601003c,0xe39400ae,0xcdff0296,0x00000000}},	//   _منتسب_, _ndoshe_, _ingensta, --, 
   {{0x026e00ea,0x596e036e,0x43570347,0x1a2d0376}},	//   _kapoty_, _antimant, _spreker_, _barnaútv, 
   {{0xb2520253,0x22d104b3,0x001900bf,0x29f700e0}},	// [8d60] _millioni_, _ramouek_, _животног, _bearenbu, 
   {{0x616702ac,0xa0c10297,0x00000000,0x00000000}},	//   _كولومبيا_, _bändälär, --, --, 
   {{0x825a043b,0x96d301d7,0x7e4d04b2,0x2c0b0294}},	//   _coille_, _menaschi, _nagagana, _ayupaya_, 
   {{0x6df20095,0xbc2c0294,0x00000000,0x00000000}},	//   _ayahané_, _ganananc, --, --, 
   {{0x6e1b0082,0x23bb0303,0xc891027b,0x39c8033e}},	//   _danganta, _bakwena_, _प्रशस्यत, _bayoneta_, 
   {{0x22fd0139,0xc3780390,0x821402e2,0x4e5400fa}},	//   _मधुरा_, _bazarda_, _annymoil, _aksayaha, 
   {{0xda6f0068,0x827e0292,0x97b800f5,0xe2e80160}},	//   _aragtida_, _siane_, _процентд, _bavljenj, 
   {{0x0be102d8,0x28c2021e,0x2a0003c3,0xe9c50059}},	//   _mendistr, _bildalbu, _snažna_, _disegnat, 
   {{0xfbe10175,0x00000000,0x00000000,0x00000000}},	//   _lendistr, --, --, --, 
   {{0x0c4e02fe,0x400701de,0xd65500a6,0xd2f00315}},	//   _نمونی_, _дискіге_, _emanyelw, _kulinki_, 
   {{0x92000117,0x31fc005e,0xed2300e2,0xb2a60244}},	//   _femili_, _ﺋﯩﺘﺎﺋﻪﺕ_, _belibbet_, _cribis_, 
   {{0xc27f013d,0x3648005e,0xdc690420,0x129202c0}},	//   _plenan_, _ﺳﯜﺭﻩﺗﻠﻪﺭ, _morumbi_, _непрепоз, 
   {{0x42fd0195,0x1de70222,0x53960138,0xbc15008f}},	//   _diugh_, _modifié_, _mersin_, _हिन्दूत्, 
   {{0xf0f8002b,0x710900bb,0x805900cb,0x08c50111}},	//   _আত্মপ্রক, _رضاگیلان, _akusalan, _bisugnav, 
   {{0x4278033c,0xddb902d9,0xa26e02eb,0x00000000}},	//   _darnau_, _isaraelu_, _antola_, --, 
   {{0x727e046b,0x00000000,0x00000000,0x00000000}},	//   _dianc_, --, --, --, 
   {{0xd25a018d,0x926c0318,0x52a701f7,0x7aa5000a}},	// [8d70] _ብሰይጣን_, _kamoto_, _arabis_, _atsiinis, 
   {{0x5d0e02f3,0xa13c0361,0xc5f00156,0x92c50181}},	//   _otroligt_, _бассейне_, _ומיצוות_, _doglife_, 
   {{0xdf6401fb,0xaa7701db,0x1df50111,0xeb8a0170}},	//   _compelle_, _بايسەيت_, _vendette_, _changwir, 
   {{0xa5480125,0xd9c3044c,0x7f7b0009,0xa44c01eb}},	//   _ватандаш, _stadfest, _specialn, _илшом_, 
   {{0x96ad01db,0x2c6701c5,0x8e640045,0x385e01d7}},	//   _ءتاۋبا_, _کرتان_, _платном_, _aboliziu, 
   {{0x490f0185,0x120e0371,0xf5b900cf,0x5fae0143}},	//   _biyulär_, _капан_, _galaalch, _шарка_, 
   {{0x8269029d,0xe419020a,0xa2e002a0,0x00000000}},	//   _ревиста_, _тепкен_, _ikundun_, --, 
   {{0xacd900ef,0xe2ee01d9,0xfe4101aa,0x00000000}},	//   _پولینډ_, _heefeg_, _ealandza, --, 
   {{0xf7cb04ae,0xb27e0277,0x32a6068f,0xac07036e}},	//   _skupštin, _niini_, _erobu_, _capturas, 
   {{0x1d8905fd,0x82e30212,0x83f80189,0x22c202c7}},	//   _seumpama, _venisse_, _kanunu_, _stillen_, 
   {{0x627e0321,0xe7e300da,0xa3f80127,0x027f04df}},	//   _znani_, _политие_, _adeux_, _anyna_, 
   {{0x02780278,0x827e006f,0x5aa80188,0x48b60061}},	//   _adunan_, _kiini_, _ҷунбишҳо, _모드에서는_, 
   {{0xf47f004d,0x6224005b,0xcbfc00f5,0x00000000}},	//   _北部地名一_, _annkun_, _bergiler, --, 
   {{0xf4f40178,0xc86c00d9,0x7a6c0031,0x00000000}},	//   _aśanāyay, _saliband, _premanis, --, 
   {{0x0bed03bf,0x90da02ac,0x6f6500ab,0xe0c7006c}},	//   _министры_, _معطّلة_, _katarain, _akulimal, 
   {{0x8349000e,0x91eb01b2,0xa39604a6,0x8ffc01c8}},	//   _gamedev_, _ridgeway_, _kursna_, _spustíte_, 
   {{0x08590177,0xe51800d7,0x985b0211,0x52300125}},	// [8d80] _ehaopegu, _тартынма, _vallanku, _berjay_, 
   {{0xb200005b,0x337f04a4,0xf90d0287,0x6c040005}},	//   _toeic_, _briagha_, _stropní_, _biaronz_, 
   {{0x59da018a,0x20c7042a,0x2424030d,0x8528010b}},	//   _aneffeit, _ekulimal, _cinsinin_, _matshelo_, 
   {{0x87f40061,0xfaa601a3,0x0c93032d,0x62d8022c}},	//   _도시계획과_, _سائِينِ_, _сылтырап_, _dedet_, 
   {{0xf2a60225,0xc42b01cf,0x49e3008d,0x76cc0322}},	//   _arobu_, _vocabulo_, _sentabrd, _bakanani, 
   {{0xa3dd0278,0x48ad0109,0x75a90308,0x00000000}},	//   _seawal_, _prstenů_, _persepak, --, 
   {{0x37fd0223,0x739400d4,0xa3a8011a,0xd200033f}},	//   _баннераа_, _boksum_, _donating_, _lomii_, 
   {{0x751f0148,0x12910359,0x470702eb,0x39e8005d}},	//   _在這個版面編輯文, _freark_, _кафены_, _langhexe, 
   {{0x316903f2,0xfcf80013,0xcdb80040,0x3fa60210}},	//   _itsensä_, _مذهبلیک_, _מגרשים_, _chemokoo, 
   {{0x1eda00a7,0x64360373,0xbe310121,0xb20003e0}},	//   _гигиенан, _proprajn_, _galletas_, _bleiw_, 
   {{0x2a05034a,0xbd0e021d,0xd30d0030,0x820002ea}},	//   _devandit, _utroligt_, _novados_, _nemici_, 
   {{0xa5ad06f3,0xdbfc00f5,0x2c880040,0xedef027b}},	//   _बताता_, _sergiler, _מתוצרת_, _हृत्पद्म, 
   {{0x4607004b,0x973b02ac,0x82260575,0x50b80374}},	//   _карась_, _اعدادى_, _دورخستنه_, _истак_, 
   {{0xee470617,0xa3bb020e,0xcbdf000c,0x93ea0180}},	//   _localida, _nakwana_, _амодель_, _kontab_, 
   {{0x0f540371,0xaebe004d,0x32cb0400,0x4ae701b2}},	//   _целогоди, _押標金額度_, _amadis_, _bearrose, 
   {{0xe2600485,0x62e8013c,0xd34d0212,0xd3070133}},	//   _økonomi_, _polisin_, _alterum_, _afanfajj, 
   {{0x9fcc0092,0x337c03c2,0x2ea80538,0x00000000}},	// [8d90] _インプレッション, _albanee_, _statiske_, --, 
   {{0xb2000016,0x2224006e,0xbfd500ba,0xb1880060}},	//   _romia_, _bookal_, _خۆجێیی_, _كوڭىلىم_, 
   {{0xe3f80390,0x6c7501b7,0x042200c4,0xdab600e6}},	//   _qanunu_, _देव्यै_, _راضپو_, _常州红盾信息网_, 
   {{0xbac104dc,0x027e0022,0x8f480435,0x00000000}},	//   _بۆندی_, _khina_, _груписањ, --, 
   {{0x0a800342,0x88fa0294,0x3320018a,0x124f020e}},	//   _atansyon_, _amparasu, _albym_, _сменаһы_, 
   {{0x320e01ef,0x126e0083,0x13f80049,0xecd000cf}},	//   _папам_, _antoca_, _tanunu_, _hinjiruu_, 
   {{0x701600a7,0x578402d4,0xbb8301b2,0x02000292}},	//   _нарында_, _survegni, _paintwor, _womia_, 
   {{0x2793018b,0xf39603b9,0xe3ea00fe,0x6f48009a}},	//   _софией_, _pursna_, _faitoo_, _kungasin, 
   {{0x10dd014a,0xca0d019d,0xaf2001e8,0xd31703d9}},	//   _نیگرو_, _akubwira_, _interben, _dalamby_, 
   {{0xe6cf023d,0xf37a0082,0xa2d8012a,0x5dc9001c}},	//   _управляв, _biranen_, _samemu_, _ikukumpa, 
   {{0xa2000082,0x5e5602da,0x620001b2,0x842c003e}},	//   _domin_, _настани_, _vlein_, _banababo_, 
   {{0xed7c02f3,0x6b320086,0xdc1e01bd,0x6f3004ba}},	//   _sammanfa, _ہمکنار_, _бюджетін, _estévez_, 
   {{0xd58703ab,0xb23000f2,0x6c6100bd,0xbe9e014f}},	//   _autorský, _piederum, _hurried_, _павле_, 
   {{0x165500af,0x5a08006e,0xa2a002cf,0x32d80042}},	//   _рейтингу_, _cawartee, _берза_, _neles_, 
   {{0xe29100e1,0x83570316,0x927e01eb,0xa42f00e2}},	//   _amaana_, _farfesa_, _ehina_, _erchtink, 
   {{0x53f80138,0x1b020230,0xf9d100da,0xafea0076}},	//   _memur_, _teorisie, _contactu, _кириличн, 
   {{0xcc2200dc,0x651e0708,0x7c24030b,0xb249033a}},	// [8da0] _ateraris, _abalaziy, _addaabir, _premju_, 
   {{0x920004b9,0x8efc0088,0x03000285,0x4da4025e}},	//   _comin_, _сутка_, _migambi_, _birtingu_, 
   {{0x2a060242,0x0e620277,0xad8c0239,0x9d880105}},	//   _adamları_, _gerbysha, _koroputa, _odnotowa, 
   {{0x927e02ea,0xbc47005d,0x72e002a0,0x6aa7010b}},	//   _piani_, _шамгона_, _okunkun_, _maikarab, 
   {{0x727e0044,0xd2d80312,0xaae20183,0xb2d8004d}},	//   _china_, _welet_, _ahalalan_, _feles_, 
   {{0x33f80034,0xe2fc0117,0x8984026c,0xda3400ba}},	//   _kemur_, _longwe_, _pericula_, _قبوڵکردن, 
   {{0x7b3f0263,0xc75e0522,0x92f00013,0x4f1d053f}},	//   _beschikb, _चिन्हित_, _kelishi_, _larusiwa, 
   {{0x72c4014d,0x32000359,0xa473015e,0xd27e0333}},	//   _bislang_, _slein_, _توربەتىن, _tiani_, 
   {{0x1d3803b0,0xa2490187,0x9b1801ef,0x00000000}},	//   _ঠিকাদাৰ_, _chamam_, _верхавы_, --, 
   {{0xe2d802c3,0xf2ef0414,0x8f5e02b6,0x2e55002e}},	//   _sedem_, _eelikya_, _جەڭگەمنى, _pljačke_, 
   {{0x827e038a,0x1d3c00a2,0xb7490026,0x42fc020b}},	//   _shina_, _mwanamke_, _positiev, _bongwe_, 
   {{0xc3f70497,0x1f9b0003,0xdb0e00f2,0xd2d6000e}},	//   _seizing_, _ongeveer_, _pieprasa_, _collegs_, 
   {{0x22d803cf,0x6dbc017f,0x743e01f4,0x935700f7}},	//   _neler_, _angingaa, _ташна_, _delfeno_, 
   {{0x39ae00be,0x08c703db,0x00b701b7,0xee4e00ea}},	//   _пайдасыз_, _abatheng, _पुरुषे_, _volavola, 
   {{0xb2fc0698,0xe2c402ca,0xd707025e,0xbc53038b}},	//   _mbega_, _aisling_, _listamað, _tertera_, 
   {{0x927e03db,0x901d0148,0x44660094,0x2375040f}},	//   _thina_, _自強路一段_, _адамының_, _адабрала_, 
   {{0x3d290083,0xb2e50326,0x977900bf,0x72d803a8}},	// [8db0] _ambiaint_, _aponesa_, _сходны_, _beles_, 
   {{0x97bb042f,0x62240450,0xc3f80013,0xf9c2033e}},	//   _guulumik_, _tinken_, _temur_, _asyetere, 
   {{0xda9d0527,0x627e0195,0x1a4700d9,0x2b6e010f}},	//   _srbijans, _dhinn_, _сериалов_, _aluthola_, 
   {{0x14560314,0x94ea0128,0x52900645,0x64d701bd}},	//   _һылтанма, _номидаги_, _gulaš_, _таманың_, 
   {{0xb2d80262,0xd1690177,0x00000000,0x00000000}},	//   _geler_, _хацнаркы, --, --, 
   {{0x16b30192,0xcee700a8,0x2b5602f6,0xcecb00aa}},	//   _사용하거나_, _ragischs_, _aartista_, _kaligoan, 
   {{0x65050367,0xbc5601da,0xa4a7009b,0xa4f8031e}},	//   _enquanto_, _partise_, _тасдаж_, _vlašću_, 
   {{0xfb2f00b4,0xb3c80448,0xb15c02aa,0xb6da01a3}},	//   _историче_, _farver_, _citrónov, _سرڳواسي_, 
   {{0x3e45005c,0x427e036d,0xb2d801b4,0x92ca00be}},	//   _bagaraga, _bhinn_, _bedek_, _مۇڭايباد, 
   {{0x527e00fd,0xebdc0193,0xc5ba009b,0x683b002b}},	//   _chinn_, _लढाया_, _гологдол_, _মৈথুনানন, 
   {{0x9c7a0363,0x61c302c0,0x68c90097,0xd41700af}},	//   _forsøk_, _домови_, _lójijì_, _bensinen_, 
   {{0xc2fc0222,0x35bd0068,0xb86f0079,0x32130268}},	//   _longue_, _waraaqah, _eksperts_, _aflyschl, 
   {{0x6f3b00d6,0x979400c5,0xc291002a,0xf27e0203}},	//   _fkjuiyha, _公众用户组_, _amaala_, _econom_, 
   {{0x724a055f,0x7da901ef,0xd51a00bb,0x00000000}},	//   _vermek_, _мехмата_, _بٹالین_, --, 
   {{0xb2d80312,0x7c530340,0x0147018a,0xf200003a}},	//   _redek_, _poutama_, _aberaero, _komil_, 
   {{0xa1dc02eb,0x7af203d5,0x9dc40159,0x842d037b}},	//   _клубт_, _aforecit, _rodiklia, _proponen_, 
   {{0x272101b7,0x22d8016e,0xa2a6012a,0x8387000e}},	// [8dc0] _त्रिसाहस, _yedek_, _osobę_, _curre_, 
   {{0xb25f03db,0xedd2004b,0xfc7d038f,0x00000000}},	//   _athunyel, _kgehlema, _gresian_, --, 
   {{0xf5740098,0x4349000c,0xc4b60109,0x066d00ba}},	//   _mestersk, _медоев_, _गडबडी_, _ولۆسی_, 
   {{0x2b650478,0xf2d70166,0x92340202,0x72b80126}},	//   _millenar, _geplant_, _edumare_, _символіч, 
   {{0x6e7c0052,0x34d80056,0xca7505f5,0xc5bb03a1}},	//   _हिट्स_, _ватандус, _अनुनाद_, _акценти_, 
   {{0xd853005e,0x52d5030b,0x5dec01de,0xe26c0039}},	//   _جىمجىتلى, _amalamu_, _дуалы_, _baloia_, 
   {{0xf26d006e,0x627e022e,0x23560033,0x5c7001ff}},	//   _gaboŋ_, _aianu_, _buteias_, _stastie_, 
   {{0xa2490111,0x738701f1,0xb2a602a0,0xb44a0009}},	//   _premiu_, _burre_, _irobi_, _pravilen_, 
   {{0x06830092,0x52dd02c9,0xcfd305f2,0x8afd00c1}},	//   _ウェブリブログ_, _datorii_, _sándwich_, _terealis, 
   {{0x32fc0212,0xdf5801f0,0x669c0151,0xb7a8020a}},	//   _congue_, _babatsen, _anveaghi, _таиландт, 
   {{0xff5d017d,0x62d90347,0xb2d8038f,0x92000373}},	//   _creators_, _dienste_, _weler_, _nomis_, 
   {{0x938700cf,0x91fe048a,0x57e1006c,0x309502ac}},	//   _turre_, _البومدار_, _abapholi, _سبحآن_, 
   {{0x5303029e,0xad7c002b,0x6590004d,0xeb0c0145}},	//   _argaset_, _জেনিফার_, _他此行的目的是前, _вусны_, 
   {{0x3c5a0034,0xa31602bf,0x934a0076,0x38ad020a}},	//   _samtali_, _ayibeki_, _изгубите_, _байрағын_, 
   {{0xc90900a7,0xde500183,0x6321007f,0xfe960241}},	//   _келатат_, _ankarama, _emrys_, _furmaann, 
   {{0x70dc0061,0x73ba032d,0x8348036d,0xdf690156}},	//   _무료가입시_, _айырмалы, _manford_, _baraktas_, 
   {{0x2bca00af,0x32a602a0,0x53eb000b,0xe27e0205}},	// [8dd0] _продовжи, _arobi_, _aputu_, _shing_, 
   {{0x12000723,0x67db012a,0x32000065,0xb7560095}},	//   _fomis_, _kompleci, _womit_, _لایتنر_, 
   {{0xf060027b,0xd35603f7,0x00000000,0x00000000}},	//   _रोदसी_, _esterar_, --, --, 
   {{0xaa3300c5,0xc4460139,0x88110291,0x30d30043}},	//   _请作者在两周内速, _मण्डनं_, _الشذوذ_, _batongol, 
   {{0x9a1e0162,0x56560072,0x1afa0255,0x4cf601b6}},	//   _билиг_, _isthaphi, _kingitus, _אידיוט_, 
   {{0x42d80152,0xf20001cf,0x3343012b,0x92c802c3}},	//   _belep_, _cleij_, _numerem_, _jarovce_, 
   {{0x427f00e2,0xbf700342,0xc22400b0,0xcdb7001d}},	//   _soenen_, _sikatris_, _ninkan_, _deciunup, 
   {{0x2072020f,0x6fdd02b6,0x2aef018c,0x158d00be}},	//   _ababegxo, _сарайына_, _demorgen_, _قۇلجانىن_, 
   {{0x9587060c,0xfdb5004b,0x3da80447,0x02870272}},	//   _autorské, _сыныҡтыр, _asanabza, _amakowe_, 
   {{0x4d0b03cf,0xc5a20193,0x3567008d,0x724902ee}},	//   _metrekar, _फालतू_, _биржаси_, _isemmu_, 
   {{0xf2fc0207,0x1d9b04d1,0x2c620359,0x827a02f9}},	//   _mbegu_, _aprobada, _baarnde_, _danielli_, 
   {{0xc21d0046,0xe27e02e1,0x89f60050,0x53820153}},	//   _качуу_, _fhine_, _arinyana_, _と思ったら_, 
   {{0xe85e01d7,0x1c700176,0xf2860034,0xcd1603b3}},	//   _scolaziu, _fissure_, _jóhann_, _matrastr, 
   {{0xf2000415,0xdc150191,0x026700bb,0x3c4600f5}},	//   _somit_, _sekretes, _ہیروئین_, _якмасынд, 
   {{0xe2000148,0xd2d8033a,0x26e702eb,0xa302001b}},	//   _comis_, _celex_, _заслыг_, _banatuu_, 
   {{0xa7ec0090,0xec880204,0xc61000d1,0x8b0c01e0}},	//   _achatang, _теории_, _আমিহে_, _لالیش_, 
   {{0xb27f0362,0x02000723,0x541e0188,0x54010026}},	// [8de0] _agangi_, _fomir_, _транзити_, _veertien_, 
   {{0x75bd003f,0xa879016d,0xfcad02b9,0x735f0061}},	//   _bopabtah, _инсаний_, _میراموبا, _제자들에게_, 
   {{0xb291017f,0xaf250008,0xc959029a,0x82ca01a4}},	//   _ilaasa_, _enfronta, _egzorbit, _aseleli_, 
   {{0xe2dc011b,0xd26e010b,0x11470126,0xee9e02c4}},	//   _bilongi_, _ditona_, _садиба_, _чарлс_, 
   {{0xaa0901a7,0x4291008a,0xefda0187,0x341300bc}},	//   _декабря_, _alaata_, _кабинето, _راندو_, 
   {{0xe4af00cf,0x4ceb011a,0xcb1900f5,0xb91301ef}},	//   _dijitaal_, _להדיח_, _dasardan_, _біплан_, 
   {{0x927e01fa,0x02d00249,0x7b92005e,0x73040100}},	//   _ahine_, _angoram_, _دەرمان_, _izjavom_, 
   {{0xacae0187,0x1200022a,0x2d7c057c,0xc6470089}},	//   _финалето_, _vomis_, _sammenfa, _брахманч, 
   {{0x78de00e6,0x17d102e7,0x32a6048f,0x66a70195}},	//   _深圳海上田园酒店, _hingdrog, _esobe_, _sonraich, 
   {{0x105f0479,0x692d004d,0x5d470029,0xa9850192}},	//   _عمارت_, _廢棄物處理_, _دژڤایرۆس_, _periodie, 
   {{0x022400bd,0xc2ca0259,0xe5270405,0x00000000}},	//   _jinkin_, _emoda_, _телят_, --, 
   {{0x721c0259,0x6fc30005,0xa24a00c5,0x823703a9}},	//   _århus_, _suainter_, _plumes_, _анатомин_, 
   {{0xcbb50313,0x6ff30061,0xc63100ba,0x763a023c}},	//   _bochmohc, _킬로미터를_, _دابڕاو_, _وکولاي_, 
   {{0xa2d5001a,0x460e0040,0xb66501c9,0xdbf400a2}},	//   _amelyet_, _recoveri, _miljonei, _uzalendo_, 
   {{0x12ca0202,0x03710321,0x97ec02c5,0x97190411}},	//   _amodi_, _kolesarj, _achasang, _темпами_, 
   {{0x7a1001d4,0x85fb01cd,0xbf1101d9,0xb2cf000d}},	//   _bilancia_, _abamenyi, _jidderen, _autosid_, 
   {{0xa9f300bf,0x80560499,0x02240058,0x79fc0362}},	// [8df0] _перемеща, _autalavo, _zinkin_, _epanzaka_, 
   {{0xe2d804f7,0x83ea00a5,0x7a60054d,0x2291029e}},	//   _telex_, _faitio_, _firmabes, _frealz_, 
   {{0xb71b019b,0xa733021c,0xee1b0092,0x26d0017a}},	//   _оперы_, _absolvov, _友だちにメ_, _angavami, 
   {{0x946700da,0x838d03f2,0xf2360265,0x68280204}},	//   _медикале_, _сопостав, _zakje_, _местная_, 
   {{0xe48e021c,0x005100b4,0x22fd02d8,0x358801e1}},	//   _nefunguj, _историе_, _bersalah_, _генштаб_, 
   {{0x98c500d1,0x87ec0210,0xd37a030a,0x724f01c2}},	//   _আখ্যান_, _acharang, _ribadeo_, _acetilgl, 
   {{0x825a0253,0x3e9702a2,0xc26c0176,0xa2cf008f}},	//   _biilit_, _terminon, _apios_, _autorid_, 
   {{0x7b99025a,0x82c50558,0x4d4a0144,0xad3d002b}},	//   _arihorer, _kwalite_, _لسانه_, _গুণাবলী_, 
   {{0x83870243,0xaad20061,0xc6ae0021,0xe33a0037}},	//   _gurra_, _적어주세요_, _adheredw, _ለመምሰል_, 
   {{0x076d01d1,0x62d5019b,0x7f480168,0xccb3000d}},	//   _preventi, _remonto_, _rangerin, _tuhanded_, 
   {{0x04a100be,0x32000027,0xf26c00ae,0x7b940465}},	//   _اسمانداع, _komip_, _cadoma_, _registir, 
   {{0x818400e1,0x0d300190,0xf2d903f3,0x23f20377}},	//   _abaabiil, _monibait_, _keten_, _abuzive_, 
   {{0xe2d90014,0x0fae0078,0x5c1a02fd,0xf2fd0274}},	//   _jeten_, _марке_, _fearghas, _baugi_, 
   {{0xc35b0006,0x87a201bd,0xc2920235,0xae4d0074}},	//   _sengaja_, _сейфулли, _akramo_, _наведите_, 
   {{0x00000000,0x00000000,0x00000000,0x00000000}},	//   --, --, --, --, 
   {{0x2dab0013,0xb37f0075,0x8e0e0304,0x7f5c0101}},	//   _سعیدین_, _almanna_, _perengga, _imbatran, 
   {{0x5de90173,0xe39402b8,0x22d90132,0x03870120}},	// [8e00] _সপ্তাহে_, _ahisha_, _neten_, _gurri_, 
   {{0x227e008e,0x83c80256,0x60a700c4,0x827e00bc}},	//   _mbind_, _durvis_, _معجزو_, _abing_, 
   {{0xd2450204,0x862d02d3,0x00000000,0x00000000}},	//   _englanti_, _советниц, --, --, 
   {{0x62d9015b,0xce0e0456,0xb38701da,0x3af50227}},	//   _beten_, _terengga, _burri_, _menonton_, 
   {{0xb27e0165,0x2e28018d,0x44130094,0x2ee80118}},	//   _baini_, _ኢህወደግ_, _زاندى_, _awakanan, 
   {{0x2b950156,0x024d008f,0x71a20046,0x739501f7}},	//   _זעהקראפט_, _बजवला_, _كۅزدۅرۉ_, _chasca_, 
   {{0xcf5b003a,0xd6cf027c,0xc9500014,0x8f62036e}},	//   _hunarman, _angabali, _ngordhur_, _chupalla, 
   {{0x663d0164,0x71e80061,0x6ff60014,0x00000000}},	//   _бармайла_, _주식시장의_, _freskëta_, --, 
   {{0x893a0036,0x2a1401eb,0xff8e0066,0xfe140455}},	//   _يعافيك_, _ahechase, _адуучин_, _envelopp, 
   {{0x76ce0037,0x4c2101c8,0xd29c0553,0x93480465}},	//   _ቴክኒካል_, _podpisy_, _vľavo_, _sosedih_, 
   {{0xb5e80035,0x5c710053,0xad1303a0,0x00000000}},	//   _allahnıñ_, _नाष्टा_, _mdelwane_, --, 
   {{0xfc7c033e,0x6d6a02b2,0xe04b0059,0x09f40059}},	//   _ahasava_, _додавати_, _perfezio, _leggerme, 
   {{0x5e700139,0x63f40035,0x4a8c0181,0xc38703dd}},	//   _गुल्म_, _dautov_, _forinden_, _curri_, 
   {{0xa2d903ec,0x13060022,0xc27e00b4,0x72d9015d}},	//   _veten_, _baqosang_, _caini_, _stolicy_, 
   {{0xb2d9018c,0x235003d1,0x726c0020,0x03200258}},	//   _weten_, _mantojum, _galoma_, _mobyl_, 
   {{0x7dd10060,0x993c02e2,0xf6440034,0x137905ce}},	//   _اۋدارىلع, _ansmaght, _strákunu, _yatağa_, 
   {{0x0394037e,0x1042018d,0x825a0271,0x7ccd048c}},	// [8e10] _shisha_, _ተኸራኸርቲ_, _snille_, _backband_, 
   {{0xef040142,0x226c011b,0x726c0176,0x5dac0076}},	//   _advaidhī, _baloma_, _madoka_, _молитвит, 
   {{0xb27e016b,0x52d8000e,0x5b6a004a,0xec930276}},	//   _raini_, _cedet_, _allarına_, _مازاق_, 
   {{0x911a0113,0xe25a00d7,0x17ec0361,0xf2d902bd}},	//   _تعاوني_, _ahilwe_, _останавл, _metel_, 
   {{0xab0701eb,0x927e02fb,0xe32801f2,0xc63c01cd}},	//   _comisión_, _paini_, _аңлиғучи, _красворд_, 
   {{0x427e0533,0x37c000a4,0x0ffa0311,0x00000000}},	//   _bhanc_, _existeix, _ተቐቢላቶ_, --, 
   {{0xfbe60481,0x6def00bb,0x527e007b,0xf27e0085}},	//   _feyenoor, _الگیلانی_, _chanc_, _vaini_, 
   {{0x934b0222,0x9b570177,0xd78e00bc,0x60f10281}},	//   _entendu_, _иаҭахуп_, _اسانسور_, _assammik_, 
   {{0x99910122,0xa2000075,0x595603d1,0x00000000}},	//   _iachille, _bleiv_, _smiltene, --, 
   {{0xf7e80031,0xb2d8025c,0x29540192,0x13f802c2}},	//   _कलाकृती_, _jedes_, _죽도선착장_, _leeus_, 
   {{0xd87e01fb,0x75aa00af,0xaee2038e,0x1aef0241}},	//   _coupones_, _списання_, _संख्याशा, _gumuzitt, 
   {{0x623702e5,0x68a90265,0x3da60094,0x6c5c0282}},	//   _анатолии_, _verjaard, _بالامدى_, _anatoto_, 
   {{0xae460092,0x617700e4,0xfc76013d,0x1b30012c}},	//   _宮城県柴田郡柴田, _kempingo, _klarigi_, _وليداد_, 
   {{0x926e00ea,0x82d9007f,0xc24704cb,0xc2cf017e}},	//   _antoka_, _fetel_, _rămas_, _delonge_, 
   {{0xeb600052,0xb34b00e0,0x76110204,0x92d902a3}},	//   _रोपनी_, _almeast_, _pillerei, _getel_, 
   {{0x73c3040a,0x96ce055f,0xa3870046,0xaf4d0143}},	//   _gävle_, _bulabili, _oferia_, _графичен_, 
   {{0xf2eb0077,0x2680009d,0x9a840037,0x32d8017d}},	// [8e20] _nounous_, _ekzekuti, _ለመጫወት_, _bedes_, 
   {{0x12ce01d1,0x22d80130,0xad3103ba,0x27840125}},	//   _removed_, _pedet_, _herschic, _селаникл, 
   {{0x8c190039,0x523100a6,0x725a040c,0x112b0311}},	//   _градусаа, _isimemo_, _tehla_, _ሎምዘበን_, 
   {{0xa14500a4,0x2e4701db,0xf8e60019,0x0de20405}},	//   _assenyal, _сқағаз_, _бичурин_, _дійство_, 
   {{0x33780132,0xd78400c3,0x5c72005b,0xa2ca0031}},	//   _یوسفزئی_, _convalli, _thermos_, _sendok_, 
   {{0xf2d90117,0x9d8e0108,0xd50d0039,0x94f800bb}},	//   _letem_, _bobodora, _kontsumo_, _پبلسٹی_, 
   {{0x8ea60320,0x32970176,0x2ddc0205,0x426c0369}},	//   _westcott_, _murasaki_, _turkumla, _zadoka_, 
   {{0x027e01ed,0x32ea006e,0xdc1101a4,0xa3eb004f}},	//   _ohana_, _bayikoo_, _boulvard_, _faatoo_, 
   {{0x727e0467,0xa2d80415,0xc3be01b5,0xb7ec006a}},	//   _ghana_, _jeder_, _chavisi_, _mahajang, 
   {{0xbbbc014f,0xbff80374,0x1356030b,0x55570128}},	//   _полицијс, _фармойиш, _amafuta_, _микрофир, 
   {{0x960b02db,0xe6c7012f,0x3b7e0278,0xdd720527}},	//   _difendem_, _dedaroei, _dianuger, _razmatra, 
   {{0x227e0392,0x2bb303f5,0x9da6010d,0x00000000}},	//   _bhana_, _deverão_, _kecocoka, --, 
   {{0x13860326,0xff5303c1,0x601900da,0x68cf0092}},	//   _chiri_, _домашно_, _мифоложи, _コメントを投稿す, 
   {{0x12a600ac,0x1d77018d,0x586f00f2,0xcb650434}},	//   _osobi_, _ዊልበርፎርስ_, _eksports_, _millonar, 
   {{0x797a000d,0x3e4e0155,0x2a53000c,0xb9db0158}},	//   _haridust, _allabola, _kanéka_, _obrońca_, 
   {{0x03870124,0x22d8017d,0x5ef50178,0xa27f0119}},	//   _kurru_, _beder_, _मृच्छकटि, _nganhi_, 
   {{0xb7bd0065,0x4e1000e2,0x03000059,0x6eae00b3}},	// [8e30] _beteilig, _akseptea, _емигрант, _begligin, 
   {{0x127e018a,0x19cb026f,0x2a19028d,0x320002ec}},	//   _maint_, _ءﺳﺎﻧﺘﺎﻱ_, _caccount, _taliskii_, 
   {{0x138601c0,0x38f50169,0xc20001d9,0xdb0303a1}},	//   _shiri_, _উন্মাদ_, _fleit_, _prospett, 
   {{0xe3860289,0x752c0343,0x52dd048f,0x42d8008f}},	//   _phiri_, _banikanh, _botongi_, _teder_, 
   {{0x4a8600da,0xb2ba028a,0x8d31025c,0x83190113}},	//   _диструс_, _bunduki_, _verschic, _جيهان_, 
   {{0xe27f0342,0x1f170061,0xef2f0269,0x4dba0111}},	//   _bransh_, _가르코트가_, _oscurida, _accionca, 
   {{0x0a0f0666,0x33440097,0x749f002b,0x33870062}},	//   _stranica_, _adedibu_, _বাম্পার_, _gharwi_, 
   {{0xdf320166,0xe664011d,0x738701d2,0x6ebd04e8}},	//   _lieferan, _ындатори, _burru_, _avenamen, 
   {{0x6d3b0315,0x327400bb,0x241201bd,0x5e990405}},	//   _andizele_, _طوالت_, _автормен_, _абоненті, 
   {{0x62d80338,0x07af03ff,0xe249023b,0x92d80251}},	//   _veder_, _okamžiku_, _maemae_, _melez_, 
   {{0x8386005b,0x72d8025c,0x752d0061,0xa847034a}},	//   _akira_, _weder_, _프린트하기_, _listaxes_, 
   {{0xd3fa0285,0xa27e0044,0x4dad01a3,0x9387014b}},	//   _abasinzi_, _faint_, _جهٽڪو_, _turru_, 
   {{0x83c80233,0xb2eb026c,0xf6820528,0x23eb01c4}},	//   _carver_, _dominum_, _chreidsi, _loftus_, 
   {{0x62d8035b,0xfec70179,0xf5960045,0xe84c02d3}},	//   _ogled_, _belogoms_, _имамо_, _доставув, 
   {{0xa41a0206,0x03eb02ee,0xc27e046b,0x740e00cf}},	//   _prezeraj, _pietru_, _haint_, _baardaan_, 
   {{0xc27f0359,0xb90b0207,0xc1fa004b,0x125b00bd}},	//   _koenen_, _اثاثا_, _ишморато, _coalie_, 
   {{0xd27d03bf,0xc20001d9,0x09fc02a5,0x0f6f0037}},	// [8e40] _балалары_, _vleit_, _nezaplat, _ማሽቆልቆል_, 
   {{0xd045072b,0xb2010329,0xda7d0022,0xb574008d}},	//   _gutungan, _efektivm, _колхозын, _haydovch, 
   {{0x1292019b,0xf618020a,0x6cfb007b,0x9cc000c4}},	//   _ekrano_, _ордендер, _cheenged_, _گيانچندا, 
   {{0x540e00cf,0xe6c8042b,0xd1e00235,0x01b0001a}},	//   _abarraan_, _varaždin, _वासरे_, _مچولی_, 
   {{0xcf730025,0x0bde0289,0xdc4d00c7,0x00000000}},	//   _निर्देशः_, _amadalir, _багланыш_, --, 
   {{0xbae50021,0x62c301e3,0x32d80028,0x5be6003c}},	//   _acteriab, _gradbeni_, _heley_, _سبکزندگی_, 
   {{0xce970193,0xa2d40274,0xb24802fb,0x00000000}},	//   _berjenis_, _fallegu_, _mokofisi_, --, 
   {{0x72dd01fa,0xd34a037d,0x76120195,0x527e00d6}},	//   _totongi_, _pravilim, _cholumbi, _hainm_, 
   {{0x027e04a4,0x73f801fe,0x11f5014e,0xbc4903b6}},	//   _bhann_, _manuku_, _смете_, _onitumọ_, 
   {{0x67ba01f4,0x1d6000ba,0xf63e04a5,0xebb70147}},	//   _ekologik_, _مافیان_, _masiqini, _proteïna_, 
   {{0x73860259,0xc2fc068f,0xe38604ca,0xc395031a}},	//   _chiro_, _kongot_, _anirai_, _ghasda_, 
   {{0x8f2400bc,0x323001dd,0x54b70012,0x7c7600fa}},	//   _kecukupa, _akemera_, _धनैतिन_, _agusang_, 
   {{0xe7590031,0x00000000,0x00000000,0x00000000}},	//   _चार्जेस_, --, --, --, 
   {{0x58f5057c,0x03eb0190,0x527e02fd,0x8f5a004d}},	//   _løsninge, _opaten_, _ghann_, _corporea, 
   {{0x93960321,0x620003eb,0x0201019a,0x5cae00d1}},	//   _murska_, _pleit_, _bluid_, _ছাত্ৰীনি, 
   {{0x57450314,0x6213025c,0x6c090092,0x4f79002f}},	//   _ндары_, _dachte_, _comptia_, _educanan, 
   {{0x727e00d7,0xb24200d6,0x03e902d3,0x2ec7007e}},	// [8e50] _ahang_, _اهالي_, _aprovaçã, _antyāvas, 
   {{0x6fd603c2,0x09c500ee,0xfe4f0019,0x00000000}},	//   _amazemen, _diseinat, _تولوقتو_, --, 
   {{0x052100d1,0xcc730230,0x127e0230,0xac05036c}},	//   _তালিবানী_, _konsoma_, _nians_, _anarants, 
   {{0x29170126,0xe974026c,0x9a420191,0xcc2b01a3}},	//   _грудень_, _infirmit, _kunderna_, _بينچن_, 
   {{0x6b64012f,0xff310364,0xb3050080,0xc6d6013a}},	//   _streiten_, _verschwa, _tamanik_, _educdesi, 
   {{0xbd0a000a,0xa6460009,0x1e700055,0x00000000}},	//   _amerliar, _izboljša_, _bicarré_, --, 
   {{0xd27e005a,0xee510149,0x5591004b,0x92a6005b}},	//   _ghang_, _ịbelata_, _diwekesh, _asobo_, 
   {{0xb20003eb,0x527e0333,0x7c04050e,0xdedf0235}},	//   _vleis_, _pianu_, _časovi_, _घूर्णिता, 
   {{0x335a0338,0x9e450322,0x00000000,0x00000000}},	//   _chifres_, _bakabiga, --, --, 
   {{0xc52c014d,0x65840037,0x32000312,0x27b7019f}},	//   _regelmäß, _ለመተካት_, _gleiz_, _kukubali, 
   {{0x031c0723,0x0ed40034,0x7e68020e,0x47c1009a}},	//   _procyon_, _steindin, _шәшке_, _begulisw, 
   {{0xfb1a0188,0xa27e02e4,0xddc6006c,0x8b7700d9}},	//   _яклухт_, _ghand_, _anginike_, _saksasta_, 
   {{0x2c7d03f0,0x72000130,0x92d80076,0x6bd60040}},	//   _forseta_, _kleiz_, _sedex_, _מייקרוסו, 
   {{0x6e520071,0xabb5033e,0xea8a0185,0x7ec201b8}},	//   _akibatip, _eseháich, _августы_, _jahindus_, 
   {{0x12ca0383,0x22fc04cc,0xc76a032b,0xb7660107}},	//   _hendak_, _songde_, _كىينكى_, _کارورزی_, 
   {{0x92ee01d4,0x22130284,0x43860196,0xe1840195}},	//   _scontri_, _suchou_, _chirl_, _sheannmh_, 
   {{0x0396045d,0xd37f00dc,0x18d202ba,0xd27e0117}},	// [8e60] _turska_, _agiagia_, _шохрух_, _painm_, 
   {{0x727e02bc,0x222a011f,0x92920249,0xc30802bd}},	//   _phang_, _нодар_, _ansaim_, _gerbron_, 
   {{0x0224004d,0x1515017e,0x1d96011a,0xcd4f0311}},	//   _吉隆坡宣言_, _sekureco_, _foremost_, _ክግልገለሉ_, 
   {{0xc2d80321,0x0a0c021f,0x46550118,0x43790239}},	//   _oglej_, _bekaamne, _awangulw, _parahua_, 
   {{0x0ee20193,0x5fa80047,0x3aa8017a,0x3673015e}},	//   _महत्त्वा, _recevoir_, _abakucab, _كىرگىزىپ_, 
   {{0xb27e00c9,0xbea102ee,0x327e02e2,0x4c560020}},	//   _thang_, _fallimen, _haink_, _leutele_, 
   {{0xf35f012a,0xc0f60523,0xa3f80282,0xf9c30305}},	//   _kolejny_, _गेटवे_, _panuku_, _avslappa_, 
   {{0xcb9c0113,0xe683025c,0x557401f3,0x6c7302d7}},	//   _digiteac, _leserbri, _sestersk, _cadrís_, 
   {{0x162c0204,0x02480243,0x6c660152,0x545b0161}},	//   _потребле, _culma_, _барыбыз_, _стресса_, 
   {{0xf9a30206,0xa5380077,0x505300de,0xd2ca00ee}},	//   _kuchyňa_, _anbachal_, _وارسا_, _dendak_, 
   {{0x524a049b,0xd3ea00a7,0x627e02bb,0x9c720167}},	//   _ubumwe_, _contes_, _znany_, _parrott_, 
   {{0x374b03b8,0x23f102a3,0x72000068,0x23f90244}},	//   _ارقاۋى_, _tweeling_, _nimid_, _aforismi_, 
   {{0x6036032d,0x02cb037c,0xd27e048e,0x76b70338}},	//   _планлашт, _clades_, _zians_, _afranqui, 
   {{0xf508030b,0x14a40351,0x137c01d2,0x6f330272}},	//   _agattako_, _юлашки_, _coraite_, _bakungaa, 
   {{0x0a1600f5,0xba9a01eb,0x56dd0291,0xa2d90342}},	//   _сталинин, _imangais, _وجرحى_, _metew_, 
   {{0x478e0094,0x017800c5,0xf2010222,0x9b990019}},	//   _органның_, _工商行政管理部门, _pluie_, _качкында, 
   {{0x727e044a,0xd57000cf,0x00000000,0x00000000}},	// [8e70] _chane_, _foddaadh, --, --, 
   {{0x83780179,0x22d900ad,0x6d630109,0x9ba40012}},	//   _bumavan_, _teteh_, _मुमैत_, _जाँतवा_, 
   {{0x9e00019d,0x52d9011d,0x3da70282,0x00000000}},	//   _amadanda, _fetei_, _waruwaru_, --, 
   {{0x6fdd0021,0xa9be0205,0x037900f6,0xa307002b}},	//   _undiagno, _истиғфор_, _sarayda_, _মুকসুদপু, 
   {{0x4c080222,0x16510105,0x5ddc00bb,0x4b6101a3}},	//   _fourniss, _pochwali, _ضلعوں_, _پالڻھار_, 
   {{0x70770206,0xb88800da,0x5c75027b,0x727e005b}},	//   _prepravn, _фестиве_, _वाद्यं_, _shand_, 
   {{0xcb180152,0xf68c010b,0x837203bf,0x527e0028}},	//   _радиолар, _bafetofi, _fellwang_, _ahane_, 
   {{0xf3760036,0x7c320118,0xb7b501b9,0x904601fc}},	//   _ماسكات_, _alabikir, _reportaz_, _masuginn, 
   {{0xe7bd029f,0x76cf0344,0xf38601da,0x03210342}},	//   _poplatok_, _angalali, _thirri_, _lorye_, 
   {{0x2cd80772,0x7b57034f,0x398202dd,0x2bbf0311}},	//   _obukhulu_, _اختلافات, _diskussa_, _ንመጽናዕቲ_, 
   {{0xe9590367,0x4c7e0113,0xe1c80036,0xc831032d}},	//   _aproveit, _taistil_, _كلاسيكية_, _иттифағы_, 
   {{0xf2a700b0,0xfd590094,0xa2980207,0xf2900403}},	//   _daabac_, _файлдард, _بزدلي_, _aliaka_, 
   {{0x427e02e8,0x8eb002f9,0x00000000,0x00000000}},	//   _kaini_, _enjerans_, --, --, 
   {{0x07df018d,0x438601e5,0xbafa0421,0x00000000}},	//   _ብምውካል_, _ikire_, _garnelen_, --, 
   {{0xadb70309,0x1c7e0553,0x4b060028,0x937a001e}},	//   _rusiyada, _preukaz_, _baastada_, _marayun_, 
   {{0x12ca0189,0x78780152,0x825f0088,0x00000000}},	//   _pendik_, _төнлә_, _نەچاق_, --, 
   {{0xa967002c,0x346e0244,0x92970449,0x10060185}},	// [8e80] _kalitate, _трима_, _japanski_, _мальдив_, 
   {{0x3cf1026c,0xa3ea0608,0x7201034c,0x41ae00bb}},	//   _轉寄給朋友_, _pontes_, _tadiç_, _کمبلے_, 
   {{0x927c0181,0xf1d1047d,0x6b0601c9,0x07380361}},	//   _forskell, _hochzäit_, _taastada_, _заратушт, 
   {{0x82e9023d,0x5e9e0166,0xc4df00e4,0x28670296}},	//   _notizia_, _gestellt_, _प्रयोगों_, _eskilstu, 
   {{0xa27e0339,0xb3ea047d,0xfc19035d,0x26470291}},	//   _uhane_, _hektik_, _drugaric, _بالاسم_, 
   {{0x728601fc,0x487d0046,0x137200e2,0x00000000}},	//   _shartiiy_, _campanes_, _repetysj, --, 
   {{0x22000028,0x0e9e0166,0x4a0b0234,0x184300da}},	//   _yimid_, _bestellt_, _babalola_, _atelieru, 
   {{0xdc7e0026,0x20b600ba,0x97b50138,0x431a0239}},	//   _borsten_, _دایبگره_, _edilerek_, _manatā_, 
   {{0x321c037a,0x32b7004b,0x27e807db,0x95d3002b}},	//   _bishwe_, _минист_, _कलाकारी_, _বাহিনীকে_, 
   {{0x0bba065b,0x63dd0368,0xd6830052,0x421c027f}},	//   _तस्लीमा_, _добронам, _सोनाम_, _cishwe_, 
   {{0x7f23015a,0x64d4020f,0x00000000,0x00000000}},	//   _garrewwa, _کندزکې_, --, --, 
   {{0x9d540244,0x041301a7,0x129002e1,0x7ced0152}},	//   _спрей_, _sarasvuo_, _iniata_, _kardäşlä, 
   {{0x568b00bb,0x75ee02da,0x14670159,0x00000000}},	//   _کھٹمنڈو_, _profissã, _багаццю_, --, 
   {{0x73f40130,0x0d960397,0x7a840037,0x796100d3}},	//   _gostez_, _лабрез_, _አርክቴክቶች_, _pronajat, 
   {{0x8343019f,0x025a0211,0xbf610061,0xb1750132}},	//   _matendo_, _niille_, _건강하시고_, _کریکٹر_, 
   {{0x553d00b3,0x2fba0122,0x4c3a04fe,0xec7c0417}},	//   _библияда_, _diponego, _esecutor, _lorries_, 
   {{0xc7a9023e,0x8935041e,0xf9dc023e,0x74770368}},	// [8e90] _چقدره_, _adumbrat, _مالیاتها, _замерам_, 
   {{0xed38029d,0x52fc02d9,0x06f5027b,0xc27e04d8}},	//   _ватикану, _konafesi_, _समभवत्_, _gaani_, 
   {{0x8cd800f3,0x9b250039,0x48c90088,0x520e00bf}},	//   _ubukhulu_, _шуналын_, _бачабазд, _палау_, 
   {{0xa4d7015e,0x14020092,0x1013027b,0xe3eb03bd}},	//   _баласын_, _を集めて自動編集_, _apratikū, _ipatin_, 
   {{0x727e04e5,0x13de029e,0xe3950103,0xefa80350}},	//   _baani_, _estrañjo, _ehasha_, _በቀጥታና_, 
   {{0xdcb90074,0x5201022a,0x9297016e,0x5d86025d}},	//   _налоговы, _pluik_, _buradaki_, _rammepla, 
   {{0x4970040c,0x518100e6,0x5ecc009a,0x83860090}},	//   _policajt, _年以内的给予_, _alinabun, _akare_, 
   {{0xeaa3000d,0x5ab20139,0x300302ff,0xfc330230}},	//   _अछ्छा_, _anavarat, _argyntyn, _lemauric, 
   {{0xb67901c7,0x047603b5,0xb86b0099,0x00000000}},	//   _пердеси_, _ditekank, _apenengu, --, 
   {{0xfd710374,0x5a070086,0x9700015e,0xf34c0101}},	//   _کریستوفر_, _شہیدی_, _توپىراعى, _hotelul_, 
   {{0x83490359,0x3cb900ab,0x732b014d,0xbe5301cf}},	//   _akademy_, _papakupu_, _richtung_, _percurre_, 
   {{0xf27c01d9,0x952f0076,0x9ae1014d,0x73eb0333}},	//   _firstell, _suspeito_, _mindestb, _anguìdia_, 
   {{0xe27e0207,0x5a670345,0x617d021c,0xd343009e}},	//   _yaani_, _reembols, _poznatky_, _batendo_, 
   {{0x986d04a0,0x8ada0162,0xf9da01ab,0xb2850065}},	//   _pensamos_, _بايلىقلا, _दिघवारा_, _verkauf_, 
   {{0x03ea026f,0xa2ca01a4,0x82d9001a,0x127c0364}},	//   _ءتوزىمدى_, _alalisi_, _netet_, _hirstell, 
   {{0xb2770590,0x495b03d0,0x1395006f,0xaad00135}},	//   _банкны_, _znanstve, _ghasia_, _konkursı_, 
   {{0x6ed40080,0xc3950334,0x1b990193,0xf31b014a}},	// [8ea0] _nalingin, _shasha_, _बाबुराव_, _bízom_, 
   {{0x13b00072,0xb39501f0,0x827800fe,0x5ef800da}},	//   _chiqar_, _ahasia_, _atunga_, _миниатур, 
   {{0x12430255,0xb0bc0037,0x925a0245,0x1a590121}},	//   _सवालन_, _ተቆጣጣሪው_, _tuklar_, _ausencia_, 
   {{0xdda60052,0x23460035,0x7957004d,0xb7d3065e}},	//   _zesilova, _салсаң_, _人家說什麼人養什, _venstref, 
   {{0xb7b702ca,0xe84f00dd,0xaae80158,0xf57601a3}},	//   _tairisci, _etholiad, _आजीविका_, _بانيڪار_, 
   {{0x686e0184,0xcc5a00f2,0xe25a005a,0xecd100cf}},	//   _batiyand, _lukturi_, _sehli_, _hinjirtu_, 
   {{0x131704c8,0x5b3c0004,0x5be0030a,0x0be0026f}},	//   _tazza_, _atachman_, _redelibr, _مۇلگيدى_, 
   {{0xe551039d,0x927e01e8,0x5e9a0024,0x0b9803f9}},	//   _dzikhuvh, _ubang_, _মহাসাগৰ_, _kurzfass, 
   {{0x96390235,0x829e002b,0x22d90086,0xb15a0625}},	//   _aghamarṣ, _অভিভাবক_, _hetet_, _planéty_, 
   {{0x33860069,0xdea804b4,0xae2d034c,0x72250097}},	//   _ihari_, _kritiske_, _араларны_, _olojulem, 
   {{0x1b280515,0x503c031c,0x366601aa,0x5f9a0332}},	//   _octantes, _comercio, _anthonyw, _traducir_, 
   {{0xe99b005a,0xaf570223,0xab7e00e2,0x738602bb}},	//   _cookieme, _трубкаа_, _ferneder, _skarb_, 
   {{0x7a150178,0xbc3700e0,0xf2d80127,0x00000000}},	//   _apratima_, _probearr, _gedez_, --, 
   {{0x8dee008e,0x62d902d4,0x63030127,0x1961004c}},	//   _biddiiwa, _tetel_, _argadet_, _bannamat, 
   {{0xb037035d,0xc3aa0507,0x00000000,0x00000000}},	//   _postovan, _meradang_, --, --, 
   {{0xe1690035,0xaad00079,0x52bb03dd,0x9d010383}},	//   _apreldä_, _konkursā_, _studimi_, _taklimat_, 
   {{0xda550160,0x13860200,0x42380037,0x12d40423}},	// [8eb0] _učenika_, _ghari_, _የመድብለ_, _sobotka_, 
   {{0x4ea80228,0x95a30052,0x7a0700cf,0xa29104cd}},	//   _britiske_, _अनिता_, _agaappee, _daljnje_, 
   {{0xa386037a,0x5ebd0403,0xb32d0188,0x00000000}},	//   _ahari_, _amandren, _парастиш_, --, 
   {{0xead0019b,0xfb30006c,0xd27e024a,0xb38602e8}},	//   _konkursą_, _мелод_, _laanu_, _bhari_, 
   {{0x820202ef,0x4d2e018b,0x47a2025a,0x4e490037}},	//   _abriko_, _navigare_, _bawuturi, _የጥንታዊ_, 
   {{0x29ad0102,0x76800220,0x57490016,0xaeb7002c}},	//   _تجربا_, _стартира_, _manieroj_, _тараан_, 
   {{0xc4b702cb,0x031a0571,0x527804e5,0x51550017}},	//   _županijs, _panamā_, _atunda_, _geislero, 
   {{0x737f0433,0x83010129,0x1e9e03e0,0xed9d00f5}},	//   _romagna_, _anwansi_, _gestallt_, _никасыны_, 
   {{0x4f62018f,0xc9cf00e3,0x670e0156,0x52db0153}},	//   _bimatlhn, _angolata_, _כּתרילעװ, _生活習慣病_, 
   {{0x83860129,0x4c61006f,0xac090051,0x275a0060}},	//   _ikiri_, _kirumba_, _neatbals, _سالالارد, 
   {{0x4e3502af,0x6dd20064,0x527e006e,0xce9e047d}},	//   _barashwa, _коштоп_, _daanu_, _bestallt_, 
   {{0x0c7e0169,0x62eb037c,0x183c044b,0xc9ad0162}},	//   _শিল্পসংস, _nimirum_, _sommerfu, _учрашти_, 
   {{0x92d903ec,0x727e0286,0x526c00ea,0x79fc00a7}},	//   _vetem_, _faanu_, _mamono_, _fonament, 
   {{0xf2260409,0xa2d90249,0x6ed2018d,0xff9401a3}},	//   _besked_, _wetem_, _እናማዕበለ_, _اپڀرنش_, 
   {{0x6ed70039,0xb8950089,0xbad70272,0x360b02b6}},	//   _мэтчилэн_, _клубка_, _bandisob, _مەككەلىك, 
   {{0xa37802fd,0xfeb800ca,0xa6cf019f,0xeebd0478}},	//   _bbcalba_, _decennis_, _kulazimi, _avenimen, 
   {{0x086d0158,0x1327020f,0x74ac0227,0x522504a6}},	// [8ec0] _मालगाड़ी_, _akayakhi_, _digandak, _svekar_, 
   {{0xb40e02ec,0x0c290037,0x2c2a0333,0x7c2a02a6}},	//   _maarmaan_, _tumbesar, _affaracc, _albaricc, 
   {{0xd3860082,0x76a3027b,0x2a7b02eb,0xfa10011d}},	//   _shari_, _नावधीतमस, _сталины_, _surprind, 
   {{0x8dde00ee,0xdb980012,0xff25054c,0xc2fd02b0}},	//   _тараавал_, _रेणुलूट_, _overgrep, _taugt_, 
   {{0x0e3901e5,0x1f8902ba,0x52c30191,0xc26c005b}},	//   _balamura, _бенасиб_, _upplaga_, _damono_, 
   {{0x1ad6000b,0x3e4d02eb,0x4429034d,0x663d017c}},	//   _amatamat, _ondasuna, _tamparan_, _rosengår, 
   {{0x727803f0,0x1ae50169,0x321c041b,0x3a10003f}},	//   _stunda_, _শ্যামল_, _rishot_, _coupland, 
   {{0x627e01ac,0x23860200,0x626c00ea,0x52370198}},	//   _baint_, _okara_, _namono_, _lasje_, 
   {{0x327e001f,0x727e02e1,0x5e3301df,0xbb7900f5}},	//   _baanu_, _caint_, _diplomas_, _песелди_, 
   {{0x02d80005,0x026c00ea,0x0d8802d0,0xc2c2009a}},	//   _daners_, _hamono_, _acceptit_, _iselula_, 
   {{0x438603da,0xe00a0060,0xe3f40026,0x25c2030d}},	//   _akara_, _ارداگەر_, _kortom_, _verirəm_, 
   {{0xabe2017d,0x904000c1,0x4c120160,0x032001ad}},	//   _が参考になった_, _तळवलकर_, _arapski_, _milyas_, 
   {{0x2f270244,0x0d290211,0x4c840045,0x63120083}},	//   _direzion, _нарисова, _турским_, _combras_, 
   {{0xb236002e,0x31ff0243,0x62fc032d,0x32370265}},	//   _brojna_, _malaakah_, _enngwe_, _jasje_, 
   {{0x32fd005c,0xfaa20113,0x1275004b,0x838600a1}},	//   _mbuga_, _استعلاما, _классикт, _ekara_, 
   {{0x8e730247,0x963904c3,0x11c7009a,0x92d9012e}},	//   _امتحانی_, _xuongphi, _طاقتونه_, _hetek_, 
   {{0x48eb00a6,0xd21c0014,0xa27e0028,0x87e40056}},	// [8ed0] _ډسمبر_, _vishet_, _yaanu_, _asebegug, 
   {{0x3a700335,0x29e700bc,0x23fa01b3,0xbd060392}},	//   _प्रभुः_, _داربست_, _старшим_, _riatanac, 
   {{0x63120345,0x020000b9,0xb7d50061,0xa27e0120}},	//   _sombras_, _mimin_, _제휴쇼핑몰로서_, _ibina_, 
   {{0x72fd0294,0xc35b005b,0xe28e0310,0xb14a0059}},	//   _abuga_, _niigata_, _gamhlas_, _заснеман, 
   {{0xdeea0092,0x2e4f0403,0xa98401d7,0x4ee70084}},	//   _おめでとう_, _ankahala, _agricula_, _atikanan, 
   {{0xa5e002d3,0x827f00d9,0x81dd01f3,0xca9a02a3}},	//   _televisã, _saanti_, _momentky_, _brandris, 
   {{0x527e0222,0x70d70040,0x524800aa,0xb3860181}},	//   _bains_, _לגנוב_, _hulma_, _ahiru_, 
   {{0x729203ba,0xb2fd0200,0xf3cb0040,0xe2ee057c}},	//   _thwart_, _ebuga_, _הפטור_, _jomfru_, 
   {{0x32d90130,0x522902cf,0xac250069,0xe2610291}},	//   _betek_, _размислу, _dusangir, _cíoch_, 
   {{0x5c5b020e,0xc18700ff,0x10ae0040,0x3c710234}},	//   _samuele_, _סאציאליס, _רומיאו_, _pípọ́n_, 
   {{0x3386029c,0x734003ff,0x727e02d4,0xf2770008}},	//   _charo_, _kabelka_, _tains_, _радиосу_, 
   {{0x62bb004b,0x83850102,0xd7aa037f,0x83870249}},	//   _balelle_, _kimsingi_, _millimiz_, _paerap_, 
   {{0x52d90278,0x33ea029a,0x34770223,0xc6a70065}},	//   _tetek_, _santye_, _камераа_, _hinreich, 
   {{0x427a012c,0x2fae0405,0xfb130005,0x6de70222}},	//   _karibuni_, _ласки_, _adequata_, _modifiée_, 
   {{0x262900ce,0xa27d00cf,0xb23e0137,0x33200077}},	//   _lefikasi, _ayyoliif_, _комиссоо, _jibye_, 
   {{0x29670192,0x97520334,0x2386007b,0x00000000}},	//   _지식브레인_, _chinyeng, _sharn_, --, 
   {{0x92130258,0x927e00cd,0xd38003e6,0x785900de}},	// [8ee0] _wachte_, _vains_, _couren_, _bayokufu, 
   {{0x554100ef,0xeaf902d4,0x01a5052b,0x02e60255}},	//   _الماني_, _entschat, _रामचंद्र, _teenida_, 
   {{0x76b80072,0xbc5b01b8,0x026e0163,0xd5900405}},	//   _arkatasi, _korteri_, _katona_, _nyhetsby, 
   {{0xc8520488,0x120002fb,0xb2d80079,0xa9a0004d}},	//   _caurules_, _mimio_, _egles_, _中南部藍軍參選人, 
   {{0x32fc020b,0x8b000169,0xbd190168,0xc2130265}},	//   _dingwe_, _দিয়েই_, _absolutt_, _zachte_, 
   {{0x126f00a1,0xdbf0000c,0x909603ce,0x92a70244}},	//   _weriweri_, _изнеигои, _نارازی_, _labbra_, 
   {{0xd386001e,0x62920113,0x1f6a02d3,0x1349006a}},	//   _shiru_, _topaic_, _parabens_, _zandary_, 
   {{0x420000d4,0xf34a012c,0x08eb0066,0xc3860291}},	//   _snein_, _طرفداري_, _murgildu, _chirt_, 
   {{0x12d90198,0x6386013d,0xec53000f,0x184300a8}},	//   _petek_, _akiro_, _saatten_, _cattadas_, 
   {{0xf20002e3,0x0205006f,0xaba000d0,0xd26e0382}},	//   _kimio_, _wamiliki_, _аппликей, _hatona_, 
   {{0x4ede015e,0xb28c00cf,0x6d3b024a,0xb7e602f8}},	//   _тилди_, _aggaamam, _didiyele_, _kalaniuv, 
   {{0xada803b5,0xbb7700e2,0xea53002b,0x73250211}},	//   _perikata, _heeringa_, _রাতভর_, _автостра, 
   {{0xc2770241,0x4ed5010d,0x00000000,0x00000000}},	//   _basaasum, _menyerga, --, --, 
   {{0x438603bf,0x00000000,0x00000000,0x00000000}},	//   _tharo_, --, --, --, 
   {{0x73e600c7,0x52d40396,0x03950235,0x22fc00fa}},	//   _qıtay_, _studju_, _bhasma_, _daigin_, 
   {{0x3604061f,0x0b640132,0x0a8f03ec,0xf3860347}},	//   _prometni, _keressen_, _tunizian_, _charl_, 
   {{0x655c0066,0x17e90247,0x99950061,0xc22d004d}},	// [8ef0] _сүнстэй_, _crossbow, _연애의고수분들_, _因為害喜反胃情況, 
   {{0x827800d3,0xf2f10331,0x62f30082,0xc06e00a4}},	//   _hlasoval, _estiski_, _fanareti_, _catalano, 
   {{0x8d710195,0xb3880226,0x37a2009b,0x3f650320}},	//   _allmhara, _amayiwa_, _sentsibi, _mapatwin, 
   {{0x649d03db,0x26f702b9,0x5fa100af,0x239402ef}},	//   _angasenz, _magasság_, _одинадця, _jansiv_, 
   {{0xfb110364,0x532100fa,0x72000250,0x00000000}},	//   _entsprie, _goryo_, _timin_, --, 
   {{0x0c960025,0x2b3e0037,0x174f004d,0x12000251}},	//   _अतिक्रम्, _አፍቃሪዎች_, _瘖啞人士簡訊報案_, _galinkii_, 
   {{0x761302b2,0x4333029f,0xb94b03ef,0xed8901f3}},	//   _ettersom_, _storočí_, _bahohote, _renovova, 
   {{0xc040012b,0x4c7001a3,0xf6f00173,0x00000000}},	//   _zaburzen, _ڊيڄاريند, _mazatlán_, --, 
   {{0x29430177,0x11410410,0x6e560046,0xcfbd029f}},	//   _нестерен, _hesekiel, _шартына_, _poplatko, 
   {{0xa2d900bc,0xf05b05b3,0x160d0235,0xe2850373}},	//   _tetep_, _oorspron, _प्रदा_, _אוויאציע_, 
   {{0x026e019d,0x41d90094,0xd100022a,0x30370433}},	//   _matola_, _дененің_, _ladyekik_, _mostagan, 
   {{0x92fc0233,0x16c20382,0x358c00b3,0x03f30103}},	//   _lingue_, _akhandzi, _başlanja, _bhishopi_, 
   {{0x93e60295,0xe2cb0120,0x73790272,0x3f1b007e}},	//   _fatulisi_, _leedá_, _basaaba_, _durvāraṇ, 
   {{0x76e30682,0xe27e00a9,0xdd800193,0x42e80148}},	//   _शक्तिशाल, _izindi_, _माध्यमात, _indicia_, 
   {{0x321e02ac,0x550302f9,0xb213018b,0xcba90026}},	//   _اسميتها_, _evalyasy, _pachet_, _verklaar, 
   {{0x4e9b0092,0x65870135,0x72780465,0x3b70036c}},	//   _chouette_, _греклар_, _glasoval, _emeraoda_, 
   {{0x427f0245,0x8da80203,0x4e32028a,0x52250107}},	// [8f00] _chyne_, _linguist_, _آمدنيءَ_, _engkel_, 
   {{0x4633023d,0x041a0037,0x527f025f,0x62dc0371}},	//   _istituzi, _በመሳሪያ_, _azangi_, _conosci_, 
   {{0x63eb0286,0x327e0207,0x6248025f,0xb2eb03f7}},	//   _abatoo_, _mbinu_, _bokolisi_, _alkóhól_, 
   {{0x93240387,0xd26c0028,0x04a4027b,0x272e0025}},	//   _laptọọp_, _kunool_, _अससान्त्, _darpaṃ_, 
   {{0x569100a6,0x53bd03a0,0x2bfc01f7,0x857e02e5}},	//   _elithaty, _bakweng_, _algebric, _табаҕәуа_, 
   {{0x8e3f01db,0x940206af,0x8eb1002e,0x937b0244}},	//   _ءبىيكەش_, _imigenzo_, _pažnje_, _attacco_, 
   {{0x62c6013a,0x3fa10217,0xac7400ad,0x9057015e}},	//   _cyclope_, _expectar_, _burusut_, _бирисиз_, 
   {{0x6d1e02af,0xd93f0178,0x29f200f3,0x00000000}},	//   _arongowe_, _bhumisut, _kwendima_, --, 
   {{0x62fd0068,0x9d380178,0xec680273,0x56690060}},	//   _taagan_, _atisṛṣṭa, _escribo_, _قوياتىن_, 
   {{0x29670377,0xf5c703db,0xc858024c,0x820c00ad}},	//   _calitate, _angalith, _alkażar_, _abahhadi_, 
   {{0x174300d3,0x4e44007b,0x6cc70010,0x632c0205}},	//   _नवनिर्वा, _cresseid_, _betiloku_, _курашдан_, 
   {{0x48880177,0xa2cb0258,0xf9b102ac,0x75720376}},	//   _социалтә_, _koades_, _satailít_, _handilsy, 
   {{0x12250117,0xcdd600c5,0x3a8900d4,0xbcf2000f}},	//   _angkel_, _北京国际机票_, _ekonomys, _partiler, 
   {{0x017e03f2,0xcb0a0044,0x7b5c0210,0xd386033d}},	//   _познаком, _comprise, _anamatir, _charj_, 
   {{0x227e000a,0x528700f5,0x1b700301,0xff1c014f}},	//   _maani_, _химиясы_, _hansısa_, _новосадс, 
   {{0xe8dc027b,0xc7470213,0x027800a2,0xb0780113}},	//   _प्रकृतम्_, _графичес, _kuunda_, _séadchom, 
   {{0xd27e00fa,0xd977004d,0xa26c021c,0xeb010043}},	// [8f10] _ibang_, _我們告訴未來_, _obloha_, _amasonge, 
   {{0xcb6f011f,0x46b30349,0x725a005a,0xa38e039b}},	//   _излеиҳәа, _amnesiaw, _lehli_, _дiабаккх, 
   {{0xb15600a2,0xa25a024c,0x731d016a,0x7c59003e}},	//   _ڪاريگر_, _fuklar_, _מיסחר_, _башлаусы, 
   {{0x13800358,0xe2000467,0x5afd033c,0xa8230366}},	//   _kouran_, _timie_, _afrealis, _небезопа, 
   {{0x538600d6,0x6ac600c5,0x9b9c0036,0x735301a2}},	//   _bharr_, _法人或者其他组织, _cigireac, _autogāze, 
   {{0xb394015d,0x638602ca,0x930c00e6,0xa9f6013c}},	//   _prostu_, _charr_, _小时到现场_, _diasporu, 
   {{0xe9d00147,0x796702e5,0x530101a0,0x76d800de}},	//   _гезит_, _hemikote, _khwatsi_, _bangasiw, 
   {{0xee2a00c1,0xb3e80076,0x00000000,0x00000000}},	//   _mengupda, _decoraçõ, --, --, 
   {{0xdda70298,0x4c76051a,0x139400e1,0x0ef2014e}},	//   _tarutaru_, _ditukar_, _danseg_, _увели_, 
   {{0xd27e02b3,0xe6670452,0x00000000,0x00000000}},	//   _abano_, _प्रसिक_, --, --, 
   {{0x620002c9,0xea73036e,0x720001da,0x38ea02e5}},	//   _nimic_, _allapata_, _unmik_, _langstud, 
   {{0xaeb30244,0x46d8018e,0xfd600012,0xb9cd020f}},	//   _entrambe_, _gangisiw, _डौल्हपूड, _basemait, 
   {{0x83550219,0x3321019e,0xed7d00a6,0xc2d8044d}},	//   _debeers_, _poryt_, _bammanga, _manees_, 
   {{0x59820198,0x9cce00ba,0xfca201a3,0x48700161}},	//   _moskisve, _دیکۆر_, _لئبرريءَ_, _смешанны, 
   {{0x331a007e,0x462801a6,0x245403f3,0xa2ec01b2}},	//   _manasā_, _poronihi, _daadwerk, _auricle_, 
   {{0xd4b5027c,0x2a4503b4,0x6e3d033e,0x4c230177}},	//   _axabisek, _ateerera_, _шанашьоу_, _juruvã_, 
   {{0x037b0270,0xb4a700a7,0xf3070119,0xe1490350}},	// [8f20] _cavallo_, _finalitz, _anibong_, _ቢናገሩም_, 
   {{0x75c3048a,0x4b56040f,0x28730156,0xbbe80037}},	//   _кодексі_, _львом_, _מיכאַיִל_, _እየሰማን_, 
   {{0x2e770147,0xc160035b,0x24fd0156,0x1e410060}},	//   _ااڭدان_, _notranjo, _אשכנזישע_, _күмәндан, 
   {{0xe60503ea,0x32af0465,0x07c9012a,0xc08b004d}},	//   _formulai, _letališč, _parterow, _鳳山市立第二圖書, 
   {{0xbbe80340,0x02a6051e,0xe27801ad,0x7d5f00e6}},	//   _pitopito_, _exibir_, _humirani_, _市经济委员会_, 
   {{0xf0ca000d,0xf98801b5,0xf07d00da,0xf3ea01be}},	//   _reklaaml, _emakhwat, _фалсэ_, _svetr_, 
   {{0x4b3f0198,0x62c50320,0x525b0059,0x6013016f}},	//   _izobrazb, _endlele_, _gialle_, _kuldebro, 
   {{0xc2fc0450,0x17de0373,0x5959009f,0xbb74005e}},	//   _hinget_, _kompreni, _sprostit, _بىچارىلە, 
   {{0xc4aa02b8,0x84290227,0x3bf703fe,0x962104bc}},	//   _arababaz, _hamparan_, _хименес_, _primærfa, 
   {{0x71080094,0xf27c01d9,0x6f48014b,0x09cc0074}},	//   _احباراتى_, _virstell, _mangacin, _muumilla_, 
   {{0x934104c1,0xc7d701f2,0x3e4f009b,0xdb8d0066}},	//   _resevwa_, _оқутқучи, _espazioa, _hornidur, 
   {{0xe5bb0251,0x223206c6,0x99d90501,0x29c402fd}},	//   _walaalah, _miembro_, _माधवराव_, _filmalba_, 
   {{0x50700062,0xe326047d,0xf2ee01b2,0xfc7d0678}},	//   _dahaghmo, _péiteng_, _arefy_, _šoubiz_, 
   {{0x931d023c,0x4c69012a,0xafcf02a8,0x00000000}},	//   _اصطلاحات, _faktury_, _dakinhar_, --, 
   {{0x03870255,0xaaf803ea,0xe1d70021,0x556b012e}},	//   _kaardi_, _puissant, _aldezvay_, _vadonatú, 
   {{0x1d7f017f,0x222601b4,0xd478014c,0x6c7f017f}},	//   _kommunea, _beskou_, _zemfundo_, _kommuneq, 
   {{0x8627028d,0x7e500403,0x25ba0203,0x97de003d}},	// [8f30] _ganisati, _ankalama, _qualitás_, _compreni, 
   {{0x4c0400f5,0xc2720439,0x37d300dc,0xb9f601b7}},	//   _ikisini_, _goliyadi_, _laugatog, _devadeve, 
   {{0x828901d8,0xb653022f,0x469c00e2,0xd1c701f3}},	//   _baskhem_, _нутро_, _eigentii, _nedovolí_, 
   {{0xaadf01cd,0x437c0373,0xe49d00f3,0xbdbb01aa}},	//   _апрелевк, _dirante_, _engawenz, _arrierca, 
   {{0xc7b0005d,0xf2d9015e,0x12910178,0x54a201d9}},	//   _alófono_, _fetes_, _anyata_, _agréabel_, 
   {{0xa412000c,0xbfc90024,0xe2900255,0x73780137}},	//   _авини_, _varierar_, _punktis_, _ээжээс_, 
   {{0x92d400ce,0x423b0181,0xcc72019a,0xcb670420}},	//   _bordaz_, _indlaeg_, _awardit_, _навечер_, 
   {{0x0a7e01dd,0x12d90086,0xe30c0119,0x075f0025}},	//   _byandits, _hetes_, _ginapus_, _आवश्यकः_, 
   {{0xbf40032e,0xf6530165,0x13bd00c8,0xf413029a}},	//   _churasja, _daunilaw, _bakwang_, _inosaman_, 
   {{0x4a7e0454,0x8e4e0344,0xd4a2021b,0xa2c20303}},	//   _vyandits, _allatula, _иконы_, _ipelela_, 
   {{0x2f850037,0x64c10162,0xb2360193,0x134101e9}},	//   _ለመብላት_, _кәндир_, _jinjja_, _itsenya_, 
   {{0x9c060044,0x7d7101d2,0x963100fd,0x42e7028d}},	//   _סיטרואן_, _atamaint_, _connspai, _reynion_, 
   {{0x1c050088,0xff1401bb,0x59f903d9,0x8fb502ea}},	//   _اقىرىندا_, _premýer_, _iraisana_, _огради_, 
   {{0xe84a0034,0x3627028a,0x00000000,0x00000000}},	//   _danmerku, _bibleinf, --, --, 
   {{0x02d90238,0xd2fd01ba,0x2200034a,0xbe4201b9}},	//   _heter_, _anvites_, _limia_, _mekaniza, 
   {{0xaf1b0244,0xc39600bd,0x56480311,0x8db70021}},	//   _украйна_, _causey_, _መለስክሉ_, _arshipwa, 
   {{0xe6c403ff,0xec98013c,0x8b4c0425,0xf9e00569}},	// [8f40] _nestačil, _aspektlə, _شیرپه_, _radovima_, 
   {{0xa2d900ce,0xf3720482,0xc9ea02c2,0x18ea017e}},	//   _petet_, _allagad_, _profesie, _profesiu, 
   {{0xcb05025a,0x42d900af,0x615802e2,0x027e00c4}},	//   _ahasanga_, _leter_, _aaronsey_, _uzinzi_, 
   {{0x25dc009b,0x20470161,0xa9e90338,0xbc1e0258}},	//   _фитнесст_, _сексе_, _bagnorea_, _lângoed_, 
   {{0xc2510053,0x930500ac,0xb4470185,0x529002c9}},	//   _अष्टविना, _izradom_, _кимендә_, _sunati_, 
   {{0x09620405,0xdc6600c5,0x5f6903e5,0xbf2702d3}},	//   _федераці, _香港特别行政区_, _redakans_, _direcion, 
   {{0xb2fc0240,0x0a080183,0xaf250059,0xdc480365}},	//   _icegu_, _romanina_, _osservan, _रोमनबाट_, 
   {{0x92ca02ce,0xdcab0060,0x6b71025e,0x00000000}},	//   _mondok_, _көйлекте, _brautina_, --, 
   {{0xda8c01bb,0x99670047,0x55a20019,0x486c03b4}},	//   _birinden_, _accouche, _тентекте, _asunungu, 
   {{0x43860200,0xaa4402c3,0xc072004d,0x07e301cd}},	//   _ikari_, _predseda_, _更多好康活動_, _солими_, 
   {{0xf2d9009d,0x8af301d7,0x7158043b,0x130002f8}},	//   _vetes_, _hanspete, _bulneadh_, _halaaki_, 
   {{0x73c40360,0xbbb701cf,0x50840156,0x9f32002b}},	//   _लोकतन्त्, _emphatic, _הרגנען_, _ওরিয়েন্, 
   {{0x4291019f,0x148100c5,0xa47e006c,0x894004fb}},	//   _ambalo_, _劳动的财政贡献率, _никох_, _escuchar_, 
   {{0x02c5000d,0xf3500170,0xc0c60018,0xbc5a00a8}},	//   _millele_, _adawatam, _italatal, _abitadi_, 
   {{0x72c201fb,0xa0f90044,0xa375020f,0x81370187}},	//   _analysa_, _obviousl, _داوونۍ_, _пресмету, 
   {{0xa2d90263,0xe387015b,0x13710465,0x44f10421}},	//   _beter_, _faerap_, _koledarj, _parkplät, 
   {{0x64ca01b7,0x74a301bb,0x7179025f,0x1aa20465}},	// [8f50] _क्ङिति_, _futbolçy, _basambel, _revizijs, 
   {{0x3a070091,0xf47b026f,0xb185006c,0x688800be}},	//   _kamagitt, _ءﻭﺗﻜﯩﺰﯨﻠ, _ababhidl, _اڭگەمەسى_, 
   {{0xce19029a,0x82490449,0x00000000,0x00000000}},	//   _levennma, _posoliti_, --, --, 
   {{0x9e1d023e,0xb2fd013f,0xa74101b2,0x5386011f}},	//   _قزوینی_, _diniver_, _becoming, _oharu_, 
   {{0x07b5002b,0xb9c700c7,0xda2b00be,0x11e701a7}},	//   _সেহেতু_, _чарада_, _تاجئكستا, _linkistä_, 
   {{0xa2d900f4,0xb5020244,0x3301003a,0xfd6b03dd}},	//   _reter_, _ingresso_, _avvalgi_, _partitë_, 
   {{0x12480588,0x5d8404e5,0x40c603fd,0x7b380037}},	//   _igomba_, _abamufaa, _atalatal, _የመዋዕለ_, 
   {{0x4290036e,0x6ee10255,0x837a0082,0x827e01fc}},	//   _tunari_, _aprillis_, _haramun_, _lennal_, 
   {{0xc2fd005b,0xed7601ec,0x8386023e,0x9d2300e0}},	//   _moniker_, _برسند_, _ukara_, _litouske_, 
   {{0xf27f017e,0x65b80099,0x6db803b4,0x3c18042a}},	//   _esenca_, _achakubh, _achikuba, _asesicab, 
   {{0x120001d2,0x4f310457,0xf2d802e4,0x327e01e5}},	//   _simii_, _debriyya, _amment_, _ibini_, 
   {{0xc2080425,0x427f01c5,0x283a00cb,0x52130014}},	//   _کوالیتی_, _waynu_, _лориҷонӣ_, _plehra_, 
   {{0x34a30390,0x4b610392,0xfc6f0199,0xc29102a2}},	//   _futbolçu, _aireasan_, _enervon_, _alaala_, 
   {{0x031700ce,0xd0eb000f,0x04f7006f,0xe4730278}},	//   _sarze_, _konyaspo, _قادرپور_, _jartatan_, 
   {{0x0201037e,0x6a000033,0xf95200fc,0xfdaa0094}},	//   _bluit_, _creschid, _ghildest, _кайдагын, 
   {{0x96e900b9,0x9248037a,0x32d9039f,0x8e9d019e}},	//   _इतिहासाच, _agomba_, _often_, _harmonin, 
   {{0x32ea0456,0x9386017d,0x2d2e055f,0xa2010502}},	// [8f60] _kepilan_, _charu_, _adapazar, _pouin_, 
   {{0xd30c01d8,0x9e2a0645,0x72f003d2,0xb47202ea}},	//   _maramot_, _nadgleda, _steroidy_, _potevano_, 
   {{0x02bb04b3,0x749c029d,0x9e6a00ec,0xae2f00bc}},	//   _amredad_, _angajeaz, _калекцый, _تسلیمی_, 
   {{0xe4b50334,0xce2a018d,0xb2000502,0x00000000}},	//   _adaberek, _ሃተውተው_, _liein_, --, 
   {{0x028e00e1,0x42f300fb,0x5fbf0189,0xa69d01db}},	//   _ajaksio_, _bangathi_, _belgeler_, _كۇرمەدىڭ_, 
   {{0x0daa00e0,0x64350094,0x49d7020f,0x6da301db}},	//   _mienskip, _بايقاۋ_, _بايسکل_, _سۇيتە_, 
   {{0x3d1300f9,0x127e007b,0xeb40005e,0x990f0185}},	//   _bikomeye_, _baans_, _ﺋﯘﺳﺘﺎﺯ_, _biyuläre_, 
   {{0x83860057,0xf27e0007,0x86cf02b1,0x00000000}},	//   _bharu_, _ebini_, _hakazali, --, 
   {{0x679d0076,0x2f2a024c,0xcff90145,0xfa95002b}},	//   _сообраќа, _analizir_, _янення_, _আস্তিক_, 
   {{0xdaa904ae,0xc7d10076,0xc3ea0231,0x699d0084}},	//   _придржав, _облини_, _tantae_, _angkatna_, 
   {{0x52d9019a,0x229301db,0x814e00dd,0x207000a2}},	//   _aften_, _ءمازقاپ_, _alltudio, _kitagalo, 
   {{0xe27e05f1,0x428600f7,0xa3860430,0xfae30559}},	//   _abana_, _בשכנות_, _tharu_, _abathobe, 
   {{0xe2010083,0xb378010e,0x00000000,0x00000000}},	//   _aluis_, _dumagan_, --, --, 
   {{0x120102c2,0xd2480069,0xbd1302c1,0x640d0226}},	//   _sluit_, _ugomba_, _zikomeye_, _akundiuz, 
   {{0x8f9b0203,0x126c018a,0x0e370401,0x2e8902c4}},	//   _digester_, _ymhob_, _सर्वहारा_, _англија_, 
   {{0xac760193,0x617a0169,0xc37f00a8,0x893c0352}},	//   _पास्ता_, _মণিপুরী_, _schanza_, _sommarfe, 
   {{0x59360044,0xb9eb00d3,0x229101fe,0x1da7013d}},	// [8f70] _סיירוס_, _nepropad, _luvati_, _difinita, 
   {{0x2fe30276,0xefa20061,0x42d4022c,0x060e0155}},	//   _باشتا_, _배송기간에_, _arudud_, _reklamfi, 
   {{0x8a01030b,0x2c680357,0x7847006c,0xaec401c4}},	//   _alisangu, _saluwai_, _калами_, _branders_, 
   {{0x07850148,0x7c56016d,0x4aeb00de,0xeeb10267}},	//   _度一切苦厄_, _телевийә_, _bepropat, _prostire_, 
   {{0x4b960102,0xc27800f1,0xf3f80243,0x1266002a}},	//   _shindano_, _presipal, _gamud_, _tapolini_, 
   {{0xfe3b0051,0xc2900016,0x227e01c4,0xcc0f0233}},	//   _lidostas_, _adiaŭ_, _saans_, _simplic_, 
   {{0x930c02b9,0x8cce0061,0xa2d80039,0x7d1d014d}},	//   _darabot_, _강남파라곤_, _behean_, _insoweit_, 
   {{0xd27e0370,0xbb0405ba,0x1fbd0087,0xe3a8020f}},	//   _ucing_, _गम्भिर_, _kutlhoko, _دسایکل_, 
   {{0x238601b9,0x55990250,0xc527014c,0x4b8c0014}},	//   _akaro_, _personaz, _abayikuk, _vizituar, 
   {{0x9386024f,0x52000044,0x33870263,0x16e70334}},	//   _rairai_, _limit_, _dieren_, _aitanidw, 
   {{0x938602e1,0x82d801d9,0x92910013,0xc30c0151}},	//   _thart_, _alleng_, _voyaga_, _innards_, 
   {{0x1a30016d,0x538700e0,0x2ccd0177,0xfcc40135}},	//   _ئىتوتلار_, _fieren_, _мацарала_, _алдының_, 
   {{0xab7b02f6,0xb992015e,0x82eb038b,0xe40f02fd}},	//   _pangalan_, _استرولوگ, _diminum_, _curranan_, 
   {{0xa2d80193,0xe25a0020,0xd37e0198,0x00000000}},	//   _caleg_, _sailau_, _kozarec_, --, 
   {{0x62c20544,0x738701d9,0xadb90206,0xe8f6002b}},	//   _apelila_, _hieren_, _jesenné_, _ইয়েমেন_, 
   {{0x8e1d01e5,0xdd0b01fc,0x6eb900c8,0xc0cf0350}},	//   _ganganra, _iskoolat_, _инандым_, _አሕዛብንም_, 
   {{0xcc5d0244,0x3f4c00de,0x02cd0100,0x00000000}},	// [8f80] _mattino_, _پټنوم_, _okolnim_, --, 
   {{0x1ef700c1,0xffd501c2,0x6345038c,0x9b0d022d}},	//   _तपशीलवार_, _estación, _vladaju_, _scappata_, 
   {{0x821302c3,0xba780139,0x6a8c0562,0x530c007e}},	//   _najnovši, _adattādā, _akayifat, _agastyaṃ_, 
   {{0xb7250061,0x61c30187,0xe46a02c8,0x07f90008}},	//   _조금이나마_, _guilherm, _sedexado_, _дарамети, 
   {{0xc9b103e6,0xd2c200dc,0xfb0c03ce,0xd3ea0046}},	//   _produite, _analosa_, _فافیه_, _eviten_, 
   {{0x83860374,0x92ef0544,0x413e011a,0x6afd0066}},	//   _shart_, _aliikoa_, _allegedl, _aparkale, 
   {{0x2bf30024,0x3baa03c7,0xb2d8018a,0x17ec0326}},	//   _avellino_, _नरसंहार_, _galed_, _achakang, 
   {{0x5b5f014e,0xf1520349,0x9a02002e,0x207400bb}},	//   _climatec, _abelslay_, _snažno_, _کھٹائی_, 
   {{0x0290008f,0x09570320,0x6ce400cb,0x8ba600f0}},	//   _kunagi_, _hololoye, _гулрез_, _handričk, 
   {{0x6c5502d3,0xe25b0028,0xb25a0120,0xff8200c1}},	//   _atitude_, _waalid_, _loolah_, _पक्कं_, 
   {{0x0c770432,0xc3e2015e,0x0b6401ff,0x824a029b}},	//   _websted_, _تئيەت_, _spamovac, _mbumbe_, 
   {{0x9290002e,0xb25a010d,0x826e003a,0x7456003c}},	//   _iznad_, _nuklir_, _natijasi_, _چامسکی_, 
   {{0x22d8001b,0x530c00d2,0xe30303dd,0x1c17045f}},	//   _malee_, _parabot_, _organet_, _kunskaps, 
   {{0xd2d800bd,0xeae801de,0xb7b10083,0x00000000}},	//   _agley_, _سوتكىما_, _corrupzi, --, 
   {{0xd4d701c2,0x3f0d003a,0x025a0120,0x1be40421}},	//   _técnicos_, _проксига_, _boolah_, _offenbar, 
   {{0xc41f001c,0x41910206,0x7d690014,0x32ef04e5}},	//   _sorsogon_, _uliciach_, _faktorë_, _balitya_, 
   {{0x0b2e0265,0xeab60122,0xfc280286,0xdc3700bf}},	// [8f90] _havaians, _proxifie, _akasakas, _переводе_, 
   {{0xecab019b,0x1cf405ba,0x2fb501f2,0x19fb0201}},	//   _lengviau_, _गजलकार_, _сүпәт_, _majallat, 
   {{0x72d8018a,0x4f680050,0x584702c4,0xda0101b5}},	//   _caled_, _salawasn, _закани_, _emasungu, 
   {{0xf71f0468,0x2c100147,0x70f60014,0xaba601b6}},	//   _حساسيت_, _الشپىن_, _gadishul, _dizzines, 
   {{0x92d80120,0xc38600b8,0x89240076,0xf2910198}},	//   _dalee_, _ukaru_, _блиску_, _menjave_, 
   {{0xe2bd0159,0x09f60013,0x4200001d,0x73860132}},	//   _спроба_, _اورین_, _simil_, _akart_, 
   {{0xe9cd01a0,0xb2d800fe,0x926d008b,0x4291005b}},	//   _alifabet, _falee_, _bobobb_, _koyama_, 
   {{0x9fc9026f,0x8b97004a,0x0a09030b,0xba90025b}},	//   _اداﻣﻨﯩﯔ_, _ташлама_, _afaanana_, _peningin_, 
   {{0x53ea02f7,0xd2ef019b,0x0920049e,0xa018004a}},	//   _bantle_, _aplinka_, _večernýc, _казымала, 
   {{0x44cb0052,0x195f034b,0x4a0002ac,0x66020316}},	//   _काफिया_, _plantese, _الثغرات_, _imamanci, 
   {{0x3c5d0169,0x00000000,0x00000000,0x00000000}},	//   _portero_, --, --, --, 
   {{0x66820211,0x5eef0155,0x29510133,0x89da02d9}},	//   _lisenssi, _trevligt_, _bosonaat, _naunauta_, 
   {{0x2c620611,0xc27f0120,0x918b02ac,0xdc710203}},	//   _anbrase_, _kayni_, _دراغون_, _guistic_, 
   {{0x482601f4,0xa291005b,0x03ea033e,0x53ea003d}},	//   _جاناتان_, _aoyama_, _ipotî_, _avetz_, 
   {{0x420002eb,0xb2910138,0xb17b012c,0x501d020f}},	//   _balitz_, _boyama_, _ukiangal, _متيازو_, 
   {{0xb2000079,0xa2d90176,0xec760326,0x00000000}},	//   _paliek_, _aftes_, _hairevi_, --, 
   {{0xd3ea0067,0x337c04f4,0x1e130148,0x3da901d2}},	// [8fa0] _aantee_, _alcance_, _請輸入關鍵字_, _arinishp, 
   {{0x2f39012e,0x6e7202fe,0x31570238,0xd9d7019d}},	//   _تقابل_, _مخابراتي_, _банках_, _amalemba_, 
   {{0xd291005b,0x2337005e,0x534b0444,0x4c060307}},	//   _toyama_, _ﭼﯩﯖﮕﯩﺰﺧﺎ, _справкой_, _kobuhlob, 
   {{0xcc0300cd,0xc6e701ef,0x89d9032d,0x362e022e}},	//   _reussir_, _баранаві, _ризалығы, _enraciné, 
   {{0xbb64025c,0x9e9d02f0,0x8d1c033d,0xc2fd01e5}},	//   _arbeiten_, _awumdzin, _ansoleye_, _faagun_, 
   {{0xa2fb06ef,0x93860396,0xbba003ce,0xbb3003d5}},	//   _kwahban_, _skart_, _بکریت_, _aaraghyn_, 
   {{0x92d9039f,0xa2bb00bb,0x94fe0092,0x23db00ec}},	//   _after_, _غرضیکہ_, _サブカテゴリ番組, _šturmui_, 
   {{0x6aa801aa,0x5a1f0152,0xb28b004d,0x5ddb002f}},	//   _itchings, _айның_, _中國信託贊助親子, _chakilla, 
   {{0xed770461,0x961500c4,0xce3601da,0x031305da}},	//   _permetre_, _جھڪائي_, _redaktua, _nombrar_, 
   {{0xa9d70169,0xd81d01eb,0xbe5701d5,0x336c017d}},	//   _দৃষ্টান্, _amistósa_, _تراشے_, _bangumi_, 
   {{0xd2d90153,0x5be902ca,0x735302bb,0x48550092}},	//   _efter_, _جرينتش_, _produkcj, _bergerac_, 
   {{0x19c7004b,0x598e027d,0xe0b00163,0x2c5f001a}},	//   _балалар_, _малих_, _minimáli, _voltunk_, 
   {{0x026e0007,0x67e500b9,0xdc100347,0xdbd80022}},	//   _natoka_, _अंतराळ_, _terugges, _сумкаһын, 
   {{0xe2fc053e,0x9ea900c5,0xa7b101fb,0x9a840060}},	//   _ringte_, _conflits_, _unificav, _سىلكىنىس, 
   {{0xd83800af,0x099d0137,0x46d30188,0x6b050465}},	//   _предметі, _шавыг_, _ҳоҷиёни_, _prostega_, 
   {{0x3032005d,0x4b6a0066,0x252d0227,0xca6b0019}},	//   _apatamen, _faktoria_, _keangkuh, _айлантпа, 
   {{0x02e6032d,0xd9f600bc,0x753d012c,0x7b2a036c}},	// [8fb0] _ananela_, _بوتیا_, _ميزائيل_, _anabakab, 
   {{0xc3f001e1,0x258700b7,0xc3f903ff,0x629b00bb}},	//   _тәртип_, _аламатла, _moduly_, _تھیوری_, 
   {{0x36d60064,0x03590781,0x78470125,0x714700bf}},	//   _باتمان_, _razdoblj, _малаки_, _малика_, 
   {{0x454e02cf,0x47910334,0x1b3401b9,0x5e0f03b0}},	//   _вишни_, _anatsati, _ralantis, _stjernea, 
   {{0x30b003ff,0x62e7053d,0x4429038b,0x8981033e}},	//   _minimáln, _alinalo_, _lampiran_, _истатус_, 
   {{0xdeae0255,0x3226038c,0x63940138,0x7e4a014c}},	//   _tellimin, _ruskog_, _orospu_, _namabele_, 
   {{0xa2d50257,0xf49603c6,0xdaa40008,0xaa89037b}},	//   _fallegt_, _begrutsj, _классын_, _salieron_, 
   {{0x7e1700a7,0xdb2004e6,0x003e0080,0x5fa0005f}},	//   _агаларыб, _babawiin_, _avatimin, _gobernar_, 
   {{0x42a00132,0x877804dc,0xf9fe01d5,0x47ee033f}},	//   _sorban_, _ڕوکاری_, _lezajlot, _papalang, 
   {{0x6ee201db,0xc3870028,0xaf440415,0xcf820365}},	//   _اسىعىستا, _maarmi_, _pressesp, _झड्का_, 
   {{0xa9e6042b,0x22480033,0x00000000,0x00000000}},	//   _otvorena_, _culms_, --, --, 
   {{0x1c4d01b2,0xf35e02d9,0x2b640288,0x6859041e}},	//   _bravely_, _alafoti_, _erretten_, _carambar_, 
   {{0x748a031e,0x6e9d023e,0x4f7401af,0x96c4015d}},	//   _sadržajn, _darmanin, _daragtyn, _grafitow, 
   {{0x523c0061,0xedf70113,0x7c720161,0x067b020f}},	//   _시작합니다_, _ciliméad, _деформир, _پروايي_, 
   {{0x20050132,0xf307038b,0xd948031a,0x62fc0092}},	//   _مطالعے_, _menaruh_, _eismeile, _ringet_, 
   {{0x2e510361,0x04020225,0x043e00d9,0x55020371}},	//   _остатки_, _omaranen_, _мирового_, _ingrosso_, 
   {{0xa1a100d1,0x70b00163,0x57a60408,0x42fc00db}},	// [8fc0] _অতিমাত্ৰ, _minimálb, _handaing, _pinget_, 
   {{0x593a0057,0xf2ef032e,0x795000c8,0x43e501f2}},	//   _እኩልነት_, _walicha_, _dikorant, _өлимпик_, 
   {{0xb833016f,0x5b38002b,0xd6c0022b,0x83fc0272}},	//   _деревооб, _শ্লোগান_, _bjartsky, _baboolek, 
   {{0xa7a600ea,0x12fd0260,0x5c2a0311,0x662802a0}},	//   _mandaing, _éticos_, _መለኽትን_, _kirisiti, 
   {{0xd599008c,0x3200004f,0xc7b7005e,0xa300045e}},	//   _substanz, _simik_, _ئايشەم_, _palazzi_, 
   {{0x4d910089,0x127e0088,0x485202df,0x1c3901e1}},	//   _bastıru_, _abans_, _insurans_, _аралашыр, 
   {{0x38880272,0x61410436,0x529b01ac,0xbf670122}},	//   _anakuwad, _opredjel, _بكتاب_, _citrané_, 
   {{0x2d9f0462,0x3207003b,0x2afc0241,0x00000000}},	//   _emonstra, _iyakwati_, _hingeess, --, 
   {{0xa2fd0159,0xe2ef02a8,0x32fd0220,0xeb7b007e}},	//   _muzikos_, _arminia_, _spagna_, _anasūyaś_, 
   {{0xf4840235,0xb3ea012c,0x32ee00af,0x727f03bf}},	//   _विधानं_, _kwetu_, _новонаро, _boanng_, 
   {{0x3d8201c9,0x21fc005e,0x01aa0153,0x46580247}},	//   _leidmine_, _شەھۋانى_, _を卒業できた理由_, _detiknew, 
   {{0x4eaf01e1,0xaa4e00f5,0x6f40055b,0x5e43027f}},	//   _bonokwan, _тиблисиң_, _fabrikka, _kitamuza, 
   {{0xec1700bc,0x22ee00a5,0x267c01f6,0x9c160178}},	//   _hdgaller, _afifio_, _পদ্ধতিৰে_, _apratigr, 
   {{0xdfc20064,0xdc840044,0xfc150037,0x5599014e}},	//   _تاگور_, _deceased_, _የተተረጎመው_, _пристали, 
   {{0x92ca0249,0xc135048e,0xd2b80059,0x4b4d019d}},	//   _abiliti_, _bekrigön_, _коктейли_, _aphwanga_, 
   {{0xe34f015e,0x91850350,0xf2cb048c,0xff600568}},	//   _جولىمەن_, _ሀይለማርያም_, _bradyd_, _dagpakke_, 
   {{0x53860196,0x59db0066,0xbdc00003,0x1f190161}},	// [8fd0] _njira_, _abentura_, _syrische_, _металлу_, 
   {{0x7c68029d,0xd27e00c9,0x051d01cd,0xd2fd0148}},	//   _петрика_, _ebank_, _awanakuy, _divites_, 
   {{0xc3860259,0x93000207,0xc2e80326,0x1c070081}},	//   _akari_, _halaiki_, _ataiona_, _sumarhús_, 
   {{0xc2920120,0xed1a00ba,0xdcf800ff,0x4faa00c5}},	//   _anqasa_, _ئوتێله_, _סתּירה_, _acheteur_, 
   {{0xf44d0148,0x4e490037,0xd38e0061,0x53f80007}},	//   _故說般若波羅蜜多, _ከጥንታዊ_, _문의게시판_, _pamua_, 
   {{0xb707032b,0x8ce600ff,0xe0780024,0xecd40156}},	//   _лавләсс_, _איבריג_, _দৰাচলতে_, _סאָבװײ_, 
   {{0xb80500d1,0xc290018c,0x0386012c,0xffc2020f}},	//   _গোটবোৰ_, _opmaak_, _ekari_, _راووړ_, 
   {{0x6cde0092,0x3da3012a,0xc9df0234,0x0c7b0097}},	//   _サウンドトラック_, _poprostu_, _komureed, _mẹ́rindí, 
   {{0xac0900ba,0xb8480094,0x93f800dc,0x52d80056}},	//   _بوودجه_, _сәния_, _tamua_, _athela_, 
   {{0x2d3503e6,0x9d3903b8,0xd3f80082,0x42e803b5}},	//   _gemierkt_, _богатырь_, _kamun_, _jahitan_, 
   {{0xbe3104af,0x92fc02f6,0x476a0059,0x00000000}},	//   _vimlicas_, _iingat_, _презрени, --, 
   {{0x71d70381,0xb6d2000c,0xf14100bc,0x4baf0153}},	//   _orderway_, _аднаулеи, _مشارکتی_, _ショッピング枠現, 
   {{0xf11f00c5,0xf6d30197,0xdd350364,0xcdce017a}},	//   _武汉天罡科技发展, _ehealthi, _bemierkt_, _бинеҳ_, 
   {{0xe2cb007a,0x42b303ee,0x166e0329,0x4db0002b}},	//   _ibadat_, _grudima_, _prevansy, _নিকটবর্ত, 
   {{0xd2ed009b,0x038c011d,0xc0c603fd,0x627e02ac}},	//   _караокед_, _буней_, _atalital, _gcinn_, 
   {{0x42d80101,0xb53d0343,0x595001e9,0x0fc90397}},	//   _calea_, _gidiseny, _dikopant, _angiziso, 
   {{0xa3f8038a,0x72f5018f,0xc8fa0019,0x2fa800d3}},	// [8fe0] _hamun_, _chandoq_, _تابشماقت, _uchazeče_, 
   {{0x70f40012,0xb27402ac,0x2b140350,0x00000000}},	//   _कर्रूँ_, _توكلت_, _ያስተዳድራል_, --, 
   {{0xde7201be,0x4387012b,0x50ea0244,0xb8f80139}},	//   _रिक्त_, _oparty_, _написано, _राज्ञश्च_, 
   {{0x3c0a0120,0xd3870269,0x78be02c4,0x329e016d}},	//   _agarraab, _dieron_, _проекции_, _сивар_, 
   {{0x4b920235,0xb2640343,0xb340002a,0x2f1800be}},	//   _anantapr, _aurlie_, _maketin_, _черткен_, 
   {{0x6eed0156,0x898c005e,0x36b20061,0xdc33004d}},	//   _לבבכם_, _نەسھەت_, _이용하거나_, _conceper, 
   {{0x33ea00bd,0x1dff008a,0xa365019e,0x0a82032b}},	//   _cantie_, _koneseta, _jurgita_, _دەرمەك_, 
   {{0x9a7d020f,0xf2ca001d,0x2a04003f,0x4c010155}},	//   _abenents, _foodex_, _jiratlht, _dressyr_, 
   {{0x72d802c9,0x1be10230,0xcf4f0291,0x825a033f}},	//   _valea_, _lindistr, _ragsdale_, _mailau_, 
   {{0x0a140265,0x197f0418,0xf37f003f,0xb5ad0109}},	//   _vakantie, _elbisele, _daladqa_, _दृढता_, 
   {{0x33740150,0xf27e01e5,0x549d0394,0xcaef02e2}},	//   _labultam, _ibani_, _angabenz, _briefnes, 
   {{0x33ea04ee,0x42ea00dd,0x92d80024,0x3a4d02e4}},	//   _iteta_, _magners_, _kalen_, _bradella_, 
   {{0x66bc00a6,0x100900af,0x5f770443,0xda5f0005}},	//   _akwangqi, _беркут_, _tercetus_, _ademples, 
   {{0xa27a0094,0x7ca8015f,0xb8bd0187,0x63170137}},	//   _ءۋالي_, _amwynder, _милевска_, _гранпри_, 
   {{0x4441023c,0x327e01da,0xe51e04c7,0x44080308}},	//   _akukabik, _mbani_, _podržao_, _merobohk, 
   {{0x209300bb,0x694f042a,0x00000000,0x00000000}},	//   _مطہرہ_, _buhlange, --, --, 
   {{0x1012037c,0x43710092,0xeaf4024a,0xfa880342}},	// [8ff0] _imediaso, _本発明の実施の形, _iṣegeere_, _jennmoun_, 
   {{0x62dd0198,0xbef801cd,0x7ae20364,0x059c02ff}},	//   _zapomni_, _ширинтар, _bedreiwe, _imigrasy, 
   {{0xf42a006a,0xe2ff004b,0xd27e01d9,0x037300a1}},	//   _malahelo_, _baphoqe_, _gaanz_, _mikaere_, 
   {{0xe35000ef,0x1659027e,0xf387005f,0xa2d5048f}},	//   _القضات_, _najkasni, _vieron_, _batonga_, 
   {{0xcdaf0208,0x1f390109,0x12d80046,0x7c870049}},	//   _سیمیناره_, _regionů_, _calen_, _terefuru_, 
   {{0xa03f0468,0xeb6f002e,0x7dfd0223,0xe35900b7}},	//   _yokungen, _kretanja_, _баянмөнх_, _doganyň_, 
   {{0x36060255,0xc2d8010b,0x65910060,0xaec2009a}},	//   _चाँदी_, _maleo_, _الباتى_, _abenaman, 
   {{0x0a0700a0,0xfc020092,0xca6b0074,0x92d4035d}},	//   _samaniya_, _日記の検索_, _varoitus, _trudnu_, 
   {{0x53f80082,0xe3a2010d,0x658300c8,0xcdad0218}},	//   _samun_, _senpai_, _diketsah, _artialpa, 
   {{0x92900285,0x582c0354,0xb7ac00d9,0xedfb0210}},	//   _munani_, _тотувели, _genetiiv, _gandidza, 
   {{0xf2d803e0,0xfb420056,0xc386000c,0xffda0187}},	//   _aalen_, _ababemis, _ekaru_, _паркирал, 
   {{0x3291019f,0x9eab023b,0x3d8d0152,0xb4ff00de}},	//   _ambako_, _kerusade_, _başlarga_, _isambath, 
   {{0xff2401c4,0x1e4f0185,0x031701d1,0x52010359}},	//   _mastruba, _baganala, _rescued_, _goaien_, 
   {{0xd04b033c,0xd169004a,0x32a7019b,0x0386005d}},	//   _aberpenn, _apreldän_, _дарога_, _ikaru_, 
   {{0x027f0130,0x2302008e,0x2d40019f,0x32d80260}},	//   _dianav_, _atubuye_, _takatifu_, _paneis_, 
   {{0xc5b0004c,0x5473014a,0x426c023a,0x94c7014e}},	//   _akasirik, _panellak, _unionu_, _медовине_, 
  
   {{0x1682008f,0x69e201a3,0xd301020f,0x1eaf0080}},	// [9000] _उमराव_, _ماديت_, _alibone_, _akulikin, 
   {{0xb27e05db,0x99bf05b3,0x1e1501c5,0xbbf700af}},	//   _ubani_, _gedeelte, _wareegaa, _артилері, 
   {{0x2ed603c7,0xd49d00f3,0xba1a027e,0x5f5702c2}},	//   _निकटतम_, _angazenz, _преживел, _afhangen, 
   {{0x00000000,0x00000000,0x00000000,0x00000000}},	//   --, --, --, --, 
   {{0xb2eb05b3,0x9a0b0529,0xd3ea042c,0xe9a70187}},	//   _wanneer_, _pavlović_, _steta_, _лидерот_, 
   {{0x41470060,0x83870284,0x475302e8,0x32000243}},	//   _дариға_, _sparty_, _akanyeng, _kamisi_, 
   {{0x838603b9,0x0e4a0333,0x149d00f3,0x66ee0010}},	//   _akaru_, _incarica, _engazenz, _ibhadalw, 
   {{0xd64d00be,0xf2d80286,0x79810062,0x55fd000c}},	//   _ايىتبايى, _nadee_, _muqichme, _monguerá, 
   {{0xaf3902bb,0xe2f900ab,0x63780211,0xfdc0002f}},	//   _जलनिकाय_, _teihana_, _jumalan_, _chakiswa, 
   {{0x5fd9028b,0x63290220,0x538703f3,0xee8e0083}},	//   _анемец_, _previsti_, _vieren_, _acumpagn, 
   {{0x620002a4,0x8eb303db,0x50b60137,0x227805c1}},	//   _nimis_, _ambulale_, _текстийг_, _isunya_, 
   {{0x64b500ee,0x72360017,0xc14e014b,0x33870065}},	//   _албаны_, _znojmo_, _kolomuuy_, _tieren_, 
   {{0x39750261,0x02910074,0x0ed60193,0x2ed60109}},	//   _atribuit, _kuvasi_, _menyerup, _režie_, 
   {{0x39fe0076,0x1fd200be,0xfafe00a4,0xa200003b}},	//   _novament, _امانتاي_, _aparcame, _bamisi_, 
   {{0xd820040c,0x55a3011f,0xaf0b043e,0xa2d5002b}},	//   _povinný_, _angiruhá, _acometer_, _রসিকতা_, 
   {{0x627e028a,0xe6ee0010,0xebaa0206,0x4291014a}},	//   _nyingi_, _abhadalw, _revolúci, _anyaga_, 
   {{0x88490409,0x3fb00479,0xce450208,0xbeb70258}},	// [9010] _コメント記入欄を, _hódmezőv, _زێرینی_, _dêrefter_, 
   {{0xda080075,0x5afd0197,0xc49d00fb,0xc2ec0271}},	//   _limalist, _envestis, _angayenz, _teknikk_, 
   {{0xc2a6035a,0xc7cd0096,0x7e410243,0x00000000}},	//   _simbä_, _amateshw, _waraakit_, --, 
   {{0xc8470276,0x705103c4,0xb6c503a4,0xda0700f8}},	//   _ламаниң_, _хушаллиқ_, _bilbelti, _ওভাবে_, 
   {{0x908b0148,0x3fbd0311,0x5b1700a6,0xd7b40237}},	//   _魔鏡歌詞網_, _ኣይደፈሩን_, _bayakhus, _발견했습니다_, 
   {{0x12380430,0x338600ea,0x650c033f,0x624f010b}},	//   _ngomani_, _mpiray_, _fetookeh, _dikomiti_, 
   {{0x4122010f,0xb1e0003e,0xdb9a0220,0x920e02ba}},	//   _стратегӣ_, _отрядына_, _arrivano_, _газал_, 
   {{0x7ee400c7,0x85e3017d,0xc2000243,0x2f850094}},	//   _сердечни, _広告掲載について_, _dimis_, _атамызды, 
   {{0x6cc101db,0x692400ff,0x4a87055d,0x847b019a}},	//   _ءﺗﻮراﻋﺎﺳ, _נאָטיצן_, _perindus, _butterin_, 
   {{0x3486076f,0xcf21017d,0x5a86024a,0xd9270029}},	//   _गंगाजल_, _kontantp, _ipaniyan_, _ماشێنی_, 
   {{0x79f70416,0xf210013d,0xe83600d9,0x82900206}},	//   _naturhou, _komunaĵo_, _аквариум, _oznam_, 
   {{0x02900082,0x801903ed,0x9c6902b2,0x227800c1}},	//   _tunani_, _substânc, _fartøy_, _agunan_, 
   {{0x727f0439,0xa3580462,0xb2000097,0x00000000}},	//   _dyangi_, _astepay_, _samisi_, --, 
   {{0xe27e05a9,0x02900072,0x282601db,0x937c036d}},	//   _iyindi_, _jamach_, _بالاجان_, _cocaire_, 
   {{0xcb010069,0x830e01a9,0x663701f0,0x29f604ca}},	//   _akoreshe, _baratos_, _fetisedi, _camargue, 
   {{0x3200047b,0x6e2800ec,0x970d0144,0x3b5c01ff}},	//   _limir_, _duomenis_, _achtachá, _talianči, 
   {{0x6a8401cb,0x972a018d,0xb9380156,0xa739020e}},	// [9020] _ukuzinge, _ብምጥማት_, _געהרגט_, _инаның_, 
   {{0x8f5f0041,0xcc770040,0x59fd00bf,0x8320019c}},	//   _дцәырҵит_, _consume_, _записаны_, _konyin_, 
   {{0xcb0301b8,0xa2fc0064,0x00000000,0x00000000}},	//   _saksamaa_, _vingut_, --, --, 
   {{0x823801a0,0x9c7f00ce,0xfa060087,0xf37f0052}},	//   _egomani_, _spesyal_, _khabinet, _moravec_, 
   {{0x0b8e0019,0x82fc00a7,0x9387022e,0x3f310120}},	//   _اتكارۇۇچ, _tingut_, _scarsi_, _esseritn, 
   {{0xc2d801c5,0x32780377,0xb2ca01ea,0x8c5102a4}},	//   _walee_, _arunca_, _ruhda_, _posthac_, 
   {{0xcf5303a1,0x23a200a1,0xa79d00f5,0xa30d02dd}},	//   _домашни_, _ahopou_, _мүтдети_, _babilonj, 
   {{0x4dcb0040,0x62990033,0x4f4a0514,0x8ac300af}},	//   _פופלבסקי_, _surpopul, _geoplant_, _недержав, 
   {{0xcf41032e,0x00000000,0x00000000,0x00000000}},	//   _churaska, --, --, --, 
   {{0x23150092,0x9bb80153,0x44800012,0x55c90207}},	//   _syncing_, _西垣貞男他_, _मँगाइल_, _unganish, 
   {{0x82900157,0xe6190034,0x73ea0198,0x5f2c0055}},	//   _ramach_, _hundrað_, _fantje_, _andessin, 
   {{0x248a002e,0x72da0212,0x098200e2,0x3d7f03c3}},	//   _sadržaji, _ioseph_, _lisinsje, _iseljava, 
   {{0xd6280162,0x4e330156,0xbbd10061,0x00000000}},	//   _бастуруш, _abomenaĵ, _시민의소리_, --, 
   {{0x12fc017d,0xe6f200db,0x5d88012a,0x5eef0095}},	//   _apricot_, _mootorsõ, _renomowa, _نصرتي_, 
   {{0xb7420480,0xf0970205,0x33440439,0xc11f004b}},	//   _abanamav, _уранни_, _matende_, _бөйрәкәй_, 
   {{0x19ff02bb,0x3e49018d,0x22e90499,0xa2d402a4}},	//   _आक्रामकत, _መለኰታዊ_, _aititia_, _gaudet_, 
   {{0x2c260260,0xb2000068,0x526901f3,0x13f900df}},	// [9030] _recordou_, _timir_, _zabalený_, _bagues_, 
   {{0x97a600ac,0xd8b20047,0x248f0206,0x07440147}},	//   _protivni, _查看详细资料_, _zatvoriť_, _بۉتكۉلدۅ, 
   {{0x4c350212,0x42d40165,0xb5ff0026,0x53f90222}},	//   _temporib, _laudre_, _vermeldi, _vagues_, 
   {{0x8394040a,0x15d502c1,0x1abc004f,0x8bb003b4}},	//   _liksom_, _batangiy, _aniwerse, _akakurir, 
   {{0x726d0002,0xe99d032d,0x4364015f,0xac070326}},	//   _izbore_, _сарыф_, _clogwyn_, _bamuzimb, 
   {{0x59410225,0xe3f8022d,0x103f0479,0x4a100251}},	//   _overseer_, _cipriani_, _áttekint, _hayadaha_, 
   {{0x127f0069,0x694d0044,0x867f0060,0x72f0018e}},	//   _ayandi_, _appointe, _تەرىستەن_, _kalichi_, 
   {{0x82500567,0x9201023b,0x930d02c8,0x5b330263}},	//   _ренат_, _kiuie_, _cabalos_, _limburgs, 
   {{0x62900198,0xd4ad00f5,0x8364033c,0x9b1f04fb}},	//   _oznak_, _bellemäg, _glogwyn_, _mosquera_, 
   {{0xf266007c,0x82d80051,0xd2c5022a,0xde4b0281}},	//   _osaragel, _remonts_, _dramats_, _aamattaa, 
   {{0x6c73008b,0x3338006d,0xd4040156,0xa2d803e0}},	//   _irosima_, _бландзін, _לעטלאַנד_, _koleeg_, 
   {{0x85d5005c,0x6f5401d5,0xa2340099,0xd3f80282}},	//   _yatangiy, _elegáns_, _afumure_, _hamua_, 
   {{0x03f80102,0x2294010e,0x8b7b013d,0x00000000}},	//   _kamua_, _gagantim, _bulgaran_, --, 
   {{0x107402ec,0xdda30041,0xf3870531,0x59ff0338}},	//   _مضموٝن_, _albóndig, _tubrog_, _banhèras_, 
   {{0xd26303cc,0xf98301ec,0x4484008f,0xf2e50042}},	//   _শাখাভিত্, _اختتامیه_, _घुमावे_, _gênero_, 
   {{0xf2ef04bd,0xa4ab0162,0x298503d1,0xe6bb0282}},	//   _kilikia_, _тәҗрибил, _civillie, _papahuri, 
   {{0xf39400ae,0x5db4051a,0xb2d40165,0xf3f90332}},	// [9040] _ajisha_, _meriwaya, _caudre_, _pagues_, 
   {{0xa485017c,0x905e00bf,0xf8180089,0xa0c70119}},	//   _arrangör, _подкатал, _алфавитл, _maglainl, 
   {{0x7200005a,0x4b11011d,0x47bb0373,0x82fc02f6}},	//   _bimip_, _surpriza_, _aparteni, _ibigin_, 
   {{0xc3e80374,0x42e304df,0x00000000,0x00000000}},	//   _сарсенба, _diliňe_, --, --, 
   {{0x52d50497,0x303102bb,0x18bd01d5,0x0a8a00e7}},	//   _deflect_, _मनाही_, _مسلماں_, _advisors, 
   {{0x0db9020f,0x99e0019f,0x625b00b6,0x6ef10344}},	//   _abanobha, _rudishwa_, _taallu_, _atukkiin, 
   {{0x362f00d1,0x09da0037,0x2db80153,0x00000000}},	//   _এডুকেচন_, _ያሳድጋል_, _なのですが_, --, 
   {{0xb066018a,0x7c71006e,0x39c100e4,0x695d00db}},	//   _stratego, _coursou_, _सांचे_, _siinsete, 
   {{0x195b0315,0x43d4016e,0x29f90241,0xa37c00e6}},	//   _akundlwe, _kupası_, _ditichaa_, _lavable_, 
   {{0xda600255,0xea60014a,0xc9e70585,0x5a0602f7}},	//   _इंटरनेटि, _őrölt_, _salonima_, _khabonet, 
   {{0x29c105f5,0x13070119,0x99c70133,0x00000000}},	//   _साँचे_, _jiabong_, _hoteelot, --, 
   {{0x52d8013f,0x3dff05c5,0x04d30204,0x9efc0060}},	//   _kement_, _कर्महीन_, _nimittäi, _сарайшық_, 
   {{0x22900020,0xa2ad0137,0xd7a0002f,0xc7180153}},	//   _lamaga_, _хүрдтэй_, _dandridg, _問い合わせ先_, 
   {{0xf38b001a,0xa9ea0163,0xb2900267,0xe14c0388}},	//   _máris_, _portálun, _junaci_, _главното_, 
   {{0xc2d800ee,0xc087018c,0x8fda0475,0x2d9700aa}},	//   _kalea_, _verbruik_, _самосозн, _gireport_, 
   {{0xcde001cc,0x42fc038f,0x02d801c2,0xa2f7007a}},	//   _संस्कृतम, _divizet_, _cadea_, _dipijak_, 
   {{0x9d1401bb,0x9c5000bb,0xba060322,0xf7a802d7}},	// [9050] _dillerde_, _جھرمٹ_, _ahabonet, _teólogo_, 
   {{0x12d200ac,0x5351038b,0x469b0242,0xf27e03c3}},	//   _pogodak_, _diserap_, _cisimlər, _ucini_, 
   {{0x9e2a0386,0x382d0122,0xb5850423,0xc90a0013}},	//   _menghada, _اشاعه_, _nerozumí, _olmaliqd, 
   {{0x3c600181,0x027f0170,0x0c7301c9,0xf05e018c}},	//   _rotring_, _apenya_, _avariis_, _ogenblik_, 
   {{0x0c610385,0xf611039e,0x00000000,0x00000000}},	//   _sporije_, _berekvam_, --, --, 
   {{0x72d8017d,0xd2000189,0x86240176,0xdb2404e3}},	//   _maden_, _camii_, _artoneli, _raspodje, 
   {{0xe2a7027d,0x62d8011a,0x52d20040,0xd005004b}},	//   _часова_, _laden_, _לקבצים_, _ефете_, 
   {{0x0e48015e,0x3e0a04cb,0x3f650065,0xab34012c}},	//   _ويرون_, _тропикал, _symptome_, _زبردستيء, 
   {{0xc2ec0152,0xd2c50176,0x2c60045f,0xed0f0092}},	//   _елдан_, _qualite_, _platser_, _最新の記事_, 
   {{0x27530066,0xc6150094,0x62ee001e,0x83860200}},	//   _телевизэ, _сырлары_, _tsanani_, _ijiri_, 
   {{0xa50a018b,0x0d8301c8,0xb29101e1,0x00000000}},	//   _domeniul_, _cyklotra, _lefang_, --, 
   {{0xf3580202,0xe2fd05b9,0xa290023b,0x52d80259}},	//   _adefolu_, _logger_, _gamada_, _kaden_, 
   {{0x320e0773,0x42d80197,0xfddd026f,0x7c2b0036}},	//   _гарах_, _jaden_, _логикалы, _malartac, 
   {{0x54700044,0xa95a018d,0xb290005b,0xeb3501a4}},	//   _יזרעאל_, _ንተቓውሞ_, _hamada_, _basangis, 
   {{0xe29000c7,0xa64b00f3,0x427801f6,0x68550321}},	//   _kamada_, _akahambi, _grunna_, _prizadev, 
   {{0x7f5b0099,0xe38602ab,0x37590025,0x00000000}},	//   _achakwan, _ojiri_, _मैत्रीं_, --, 
   {{0x4041003a,0x948607a3,0x3c87000c,0x5fa50414}},	// [9060] _زمانوی_, _भिवानी_, _драматә_, _depenser_, 
   {{0x2d91003f,0x37330321,0x6a060420,0xb386008d}},	//   _batlhjup, _zaposlov, _borbolet, _ijara_, 
   {{0xd3170192,0x99eb026e,0x85c2019f,0x45380127}},	//   _zzzzz_, _मानविकी_, _مصالحو_, _diferañs_, 
   {{0xc2d80433,0x3c8c0024,0xd97503f8,0x33f4001d}},	//   _baden_, _উপাখ্যান, _burghdaq_, _airtam_, 
   {{0xbe150126,0xcbdf0173,0xe29100bc,0x9357017d}},	//   _активног, _comentó_, _biyasa_, _espelir_, 
   {{0xb2900182,0x221305ac,0xbb2d0147,0x4d1900c1}},	//   _iniana_, _heyhey_, _تيۇركى_, _कीटकनाशक, 
   {{0x52fc0255,0x53940193,0x8a7c00b4,0x049d0086}},	//   _mingit_, _polsek_, _mangalia_, _jutalmaz, 
   {{0x0f570148,0x6290053b,0x134601f1,0xd755055a}},	//   _快來體驗地圖日記, _camada_, _pasurisë_, _torácica_, 
   {{0x12d8034b,0xacb30040,0xf36e010f,0xf38f0103}},	//   _gaden_, _ונתקע_, _ayigugu_, _gunyana_, 
   {{0xe3dc05c2,0x5b4d0297,0x43a804b2,0x3e3a011a}},	//   _welwa_, _baganası_, _sinabing_, _openness_, 
   {{0x72900085,0xf2d90005,0x4c68007b,0x42d8019c}},	//   _tamada_, _savens_, _androno_, _ileewe_, 
   {{0xe8e90173,0xfe520193,0x4ec20368,0x626d008b}},	//   _কোম্পানি_, _dikataka, _постом_, _boboob_, 
   {{0xf3790241,0x026901c8,0x914e0311,0xab20010e}},	//   _basaasa_, _zabalené_, _ተወሲኽዎ_, _babatiin_, 
   {{0xf3890051,0x94e80037,0x528f01ac,0x82f703ac}},	//   _māris_, _ተደራራቢ_, _samplach_, _dipihak_, 
   {{0xf2010195,0x524f0368,0xc290005b,0x90210277}},	//   _breith_, _оставите_, _yamada_, _hardwick_, 
   {{0x5bc4018b,0x18d4027f,0x73fa001d,0x1afe0260}},	//   _prajitur, _bamureng, _sequen_, _apareame, 
   {{0x73d503ad,0xb2ae004d,0x00000000,0x00000000}},	// [9070] _adottati_, _花蓮縣政府_, --, --, 
   {{0x034b021b,0xb6b2040f,0x42e800b9,0x52d90265}},	//   _jokerit_, _jungikli, _lahiran_, _kavels_, 
   {{0x5291001e,0x611f016a,0xefa50233,0xdc440338}},	//   _ziyara_, _ומצות_, _aspecter_, _descriur, 
   {{0xf291001e,0x34ba00cb,0x469b0745,0xb44c000c}},	//   _siyasa_, _ababebak, _गृहयुद्ध_, _илшон_, 
   {{0x9d060192,0xd25a047d,0x827f018e,0x64c80037}},	//   _chalinet_, _mellen_, _byanyi_, _በስልጠናው_, 
   {{0xb99f0010,0x21ab00b4,0xf15002fe,0x52fc007f}},	//   _alokuthe, _primesti_, _البرادي_, _einioes_, 
   {{0x1673051f,0xfc4d02ee,0xd968033e,0x13fd00d5}},	//   _فاتحی_, _servizz_, _aguisote, _maizina_, 
   {{0xea8a03f0,0x47cd011a,0x00000000,0x00000000}},	//   _batterí_, _וישנם_, --, --, 
   {{0xa1c300da,0x72b500e4,0xcf5401d9,0x33f40158}},	//   _полония_, _plecak_, _versiche_, _kostek_, 
   {{0x9c1d040d,0x22000077,0x8321025a,0xca140203}},	//   _dikantor, _mamit_, _kirya_, _vacantie, 
   {{0xa5840026,0x8f3402d4,0x88d000de,0x49da00d9}},	//   _브라우저입니다_, _perschua, _angenabu, _kannessa_, 
   {{0xf2ca00bc,0xc5a400c7,0x6d3e017d,0x6c7e025e}},	//   _tindak_, _открытка, _初めての方は_, _hausinn_, 
   {{0x22e8013c,0x42000076,0x3200007b,0x89f602dd}},	//   _dilinin_, _cheia_, _namit_, _benniena_, 
   {{0xe2e3005a,0xe2d80071,0xa7ab00bf,0x9e9e02cf}},	//   _bartimay_, _fadel_, _актини_, _кабли_, 
   {{0x04090359,0xf20100bd,0xd546005b,0xf2d8004a}},	//   _achteryn_, _creish_, _akoyanko_, _gadel_, 
   {{0x82d806db,0x9b8e0292,0xf266018b,0x49260139}},	//   _gemeet_, _akannifo_, _europeni_, _cintanīy, 
   {{0x6d190497,0xedac04f9,0x456a022f,0x19820076}},	// [9080] _denounce_, _nerisaqa, _кінга_, _тостери_, 
   {{0x9200059c,0x5d8100b4,0xce490055,0xd22a0145}},	//   _damit_, _excelent_, _aggalaba, _водар_, 
   {{0x1afc003d,0xcd0b0218,0x828b0252,0x495f0418}},	//   _labellis, _aborator, _takaleli_, _kuşadası_, 
   {{0x238900f2,0x127f0467,0x56ba00b4,0x24d00756}},	//   _pāris_, _asenia_, _bucatari, _प्रिंस_, 
   {{0xc20006a0,0x62d8008c,0xb6c503ef,0x4f5c0083}},	//   _gamit_, _madem_, _yahavugi, _chiavenn, 
   {{0x588a04b1,0x140d0291,0xef160039,0x0d18035e}},	//   _matvarer_, _الفحل_, _гайтай_, _čelnike_, 
   {{0xcf7b0668,0x337d0005,0x79e000ac,0x07090125}},	//   _फौजदारी_, _aviatic_, _kalorija_, _чекилип_, 
   {{0xcf4d05b7,0xed1003c1,0x00000000,0x00000000}},	//   _prisilja, _известен, --, --, 
   {{0x526a029f,0x992100c5,0x5f760040,0x497a00a6}},	//   _zaradený_, _浙江省产品质量监, _דיבידנד_, _دقریب_, 
   {{0xe4fd00a6,0x1aab0008,0xa2d801d7,0x127a030b}},	//   _اجندا_, _travessa_, _badel_, _amasogol, 
   {{0x89cf0362,0xe3400074,0xb2d80092,0x72d20125}},	//   _bakolata_, _paketin_, _cadel_, _первайсы, 
   {{0xf3390187,0x88c2015e,0x4f4703b0,0xd9230012}},	//   _богатите_, _иттин_, _sørvest_, _अँउजा_, 
   {{0x8851029f,0x33f80534,0xa87901f6,0x46f80361}},	//   _usporiad, _gaeul_, _grendahu, _запастис, 
   {{0xce4a00fe,0x7d3200c5,0xadab00cb,0x00000000}},	//   _losaline_, _envisage_, _aphindap, --, 
   {{0xbb56034d,0x701d009a,0x0bda00be,0xa06d00b4}},	//   _berwarna_, _اتباعو_, _намазынд, _campioan, 
   {{0x8d2e041a,0x1e370135,0x93f0019f,0xe7db0311}},	//   _набагато_, _präziden, _kiholanz, _ንጉዳያት_, 
   {{0x48dc02eb,0xa8e000a3,0x2b0a0378,0xf556022f}},	// [9090] _шутис_, _reiseliv, _fossánes, _вастрэй_, 
   {{0x12cb0118,0xfd1f0092,0xad3501e0,0x294300c7}},	//   _abadde_, _カテゴリ一覧_, _رنشینی_, _бутлеров_, 
   {{0xb3100313,0x32d80067,0xc503015c,0x62870559}},	//   _curzon_, _badee_, _englesch, _afakiwe_, 
   {{0xa2d8026c,0xcc4a00f5,0x487201db,0x284f00f4}},	//   _temere_, _самахылл, _ректорла, _enkorfad, 
   {{0x8201032a,0x34b701cc,0x183d00bf,0xa77d0037}},	//   _inuit_, _महीतले_, _ярлык_, _ተሣፋሪዎች_, 
   {{0x5c6a0057,0xf2000135,0xefb0026c,0xce720188}},	//   _ባህርዳር_, _ramil_, _注意文明用語並遵, _хостанд_, 
   {{0x656b0093,0x925a00b6,0x6dc7017d,0xbf63045a}},	//   _скажите_, _boolih_, _etikette_, _omdannes_, 
   {{0x837202e7,0xbb340204,0xa5ef009e,0xaacf0159}},	//   _gitawag_, _tahallis, _tramonti, _апальнаг, 
   {{0x3b9c0039,0xe2000152,0x0200012d,0xac68012a}},	//   _emandako_, _qamil_, _bamim_, _starego_, 
   {{0x5018027a,0x4a6c020d,0xa3ea0339,0xd9660061}},	//   _preporuč, _habonets, _kuete_, _로그인안되요_, 
   {{0x620202a0,0xd3cf00d1,0x3a710409,0x00000000}},	//   _aguiyi_, _অক্ষৰধাম_, _kitagawa_, --, 
   {{0x81e90092,0x0c14029f,0x9cbe0143,0xc79300f0}},	//   _ソナリティ_, _skupín_, _завел_, _kritériá, 
   {{0xa4270016,0x39aa0010,0x19390223,0x00000000}},	//   _paradizo_, _bondliwa_, _мастерий, --, 
   {{0x529002a2,0xe2fc021e,0xd4c800d1,0xa291023e}},	//   _mamaya_, _ringde_, _অধিনিয়ম_, _anakmas_, 
   {{0xcc5f002b,0x229003d9,0x35b800f0,0xa3ea013f}},	//   _অন্বেষণ_, _damasy_, _šikovnýc, _gaoter_, 
   {{0x32d60456,0xe2b101a2,0xac45027c,0x9f390167}},	//   _dipohon_, _pēcdzemd, _bakwawo_, _ebeneser_, 
   {{0x95850061,0x3d8c0434,0x325b0055,0x3396037c}},	// [90a0] _랜덤블로그_, _adelgaza, _aballu_, _missum_, 
   {{0xa2000609,0x3291038a,0xa379028a,0xb25b0077}},	//   _fieis_, _chakwas_, _kipanya_, _lepli_, 
   {{0x7a910502,0xee4a026b,0xcde8004d,0x520104a4}},	//   _bennygas, _javascrp, _我的網誌內容搜尋_, _gnuis_, 
   {{0xd3040255,0xf55902c0,0xe4070078,0xc29100a6}},	//   _कौशिल्या_, _макроеко, _пракси_, _bobabo_, 
   {{0x61ed0126,0x321b012a,0x436e01fa,0x63f9051a}},	//   _частково_, _drukarki_, _hungalu_, _asyura_, 
   {{0x246e0141,0xbc24008d,0x3c9300d6,0x6e570166}},	//   _kundalik, _aylantir, _قاعات_, _beachtet_, 
   {{0xba440319,0x6f3d0300,0x427e0116,0x7265024f}},	//   _necesita_, _komfortn, _scant_, _jeruisal, 
   {{0x7ed000f5,0x52b701c7,0x34130291,0x84850012}},	//   _аборта_, _алинизде, _باودر_, _लचकावल_, 
   {{0xb29103ef,0xf8dc0012,0xb2a002a2,0x76d90291}},	//   _kiyaga_, _बाँटब_, _besbol_, _بيكسل_, 
   {{0xe7e30211,0x63020053,0xf0530630,0xf2e80084}},	//   _ролики_, _jalanku_, _ínscient, _cililin_, 
   {{0xa155002e,0x9c7403b9,0xa6b40242,0x22000564}},	//   _mogućnos, _altupat_, _abdullay, _famik_, 
   {{0x2b740192,0x22710013,0xe021014a,0x5afe003d}},	//   _개인정보보호_, _tilidagi_, _mondanak_, _apariame, 
   {{0x6291001d,0x22ca022c,0xd41b0234,0x0708004d}},	//   _kobaco_, _cindek_, _pòpòǹdó_, _中國教育部高度讚, 
   {{0x3394019b,0x83650386,0x12900125,0x00000000}},	//   _keista_, _tergesa_, _damary_, --, 
   {{0x20dc0037,0xe5dc0037,0x794801c3,0x60880076}},	//   _በመመስረት_, _በመመሥረት_, _asslaynt, _должност_, 
   {{0x9b8b00d9,0x1ecc037c,0xa68200c1,0xcb7d03c6}},	//   _seminaar, _negotiis_, _दमछाक_, _hanneler, 
   {{0x229100a9,0x227c0037,0x8c5102c9,0x00000000}},	// [90b0] _biyaga_, _ትወልዳለች_, _ipoteza_, --, 
   {{0xf3330521,0xcb63019b,0x8e52003e,0x19080307}},	//   _tiranë_, _фондам_, _bokalaka, _namazibu, 
   {{0xa48600e4,0x126c0318,0x8f310462,0x00000000}},	//   _सुचारू_, _enioku_, _annulaca, --, 
   {{0x2460021c,0x42fd0089,0x5be40156,0x6d28017c}},	//   _klientsk, _acagan_, _באָמבערמ, _vinnande_, 
   {{0x428c0021,0xe95500e6,0x586e0332,0xc967004d}},	//   _adesspay_, _台海局势微妙_, _asesinos_, _下半年熱點降價車, 
   {{0x93ea043a,0x564500b7,0x32900239,0xa6ea018d}},	//   _brotas_, _etekleri, _hunami_, _ኣምብሮሲ_, 
   {{0xf67703f3,0xb1080092,0x44150061,0x214b04c7}},	//   _verdiepi, _の説明を入力しま, _대통령취임전부터_, _namestil, 
   {{0x0037029f,0x26210178,0x0fdd03b8,0x7ae10226}},	//   _zastavan, _ध्यायन्त, _табанына_, _imatulut, 
   {{0x2b890036,0xe76a003a,0x8200018b,0x6eac0044}},	//   _thairisc, _айлантир, _cheie_, _suitable_, 
   {{0xc95f020e,0xafa1004d,0xbc3d01f7,0x460e01bd}},	//   _ananetse, _桃園市國際路_, _comparas, _ۇستانۋى_, 
   {{0x30c7018b,0xb38701a1,0x83860479,0xa95b061c}},	//   _дивине_, _hierin_, _cukrot_, _sprovede, 
   {{0x741a0037,0xa50e036e,0x52c90311,0x00000000}},	//   _የመስሪያ_, _bustillo_, _ብተመስጦ_, --, 
   {{0xd3eb0362,0x72270475,0xf2ee020f,0x22ca029d}},	//   _awuti_, _питомец_, _asinini_, _cabluri_, 
   {{0x1925016e,0x1b5e02e4,0x0eb70061,0x5b0c04ca}},	//   _şanlıurf, _animatur, _기갑사단은_, _alestime, 
   {{0x25cb018d,0x77ed00ef,0x42e2018c,0xe91b0291}},	//   _ከምዝሞቱ_, _bayabong, _geliefd_, _اعتبرت_, 
   {{0xd27f048f,0xcb6d0282,0x86fd04ae,0xc46f004c}},	//   _mpenza_, _mauriora_, _христови_, _balekayo_, 
   {{0x82900108,0xef6c03bf,0x7dc50055,0xfae10170}},	// [90c0] _kamana_, _дымка_, _striscia, _amatulut, 
   {{0x7920029d,0xd112020f,0x660c00c0,0x926d00fa}},	//   _адверсар, _asikakul, _alumpihi, _ampon_, 
   {{0x9dbb0113,0x479304df,0xcd040366,0x6647032d}},	//   _buiséid_, _чупрейэн_, _алăсен_, _kemotshw, 
   {{0xdd460141,0x6c3701a7,0x00000000,0x00000000}},	//   _хайрли_, _жалобу_, --, --, 
   {{0x72010723,0x6d8500f4,0x243600d9,0x026a0206}},	//   _anuik_, _ampechet_, _автобусо, _zaradené_, 
   {{0xb2900183,0x33f90129,0xc29002c3,0x52da01d9}},	//   _namana_, _brauza_, _dunaji_, _unsech_, 
   {{0x69e0005b,0xb1fb0119,0xf2d80101,0xda8b0321}},	//   _ishikawa_, _bolikham, _badea_, _nadzorne, 
   {{0xeedb02a5,0xec5c012d,0x79a50148,0x0572017c}},	//   _těhotens, _faitful_, _凡本網注明_, _brittisk, 
   {{0x6acd03cc,0x9c6900c1,0xf290020f,0x00000000}},	//   _দলীয়_, _pasutri_, _bamana_, --, 
   {{0xfc0f01b7,0xdf4b03b1,0x7d34027b,0x02900037}},	//   _सायंकाले_, _températ, _परमैश्वर, _camana_, 
   {{0x16280268,0x65280268,0xcaf80411,0x53960076}},	//   _iabiliti, _iability, _bevegels, _possam_, 
   {{0x4a9502ec,0x93f800fe,0xe2910102,0x030902a0}},	//   _انسانس_, _haeua_, _unyama_, _olubewo_, 
   {{0x822b0625,0x42e8005a,0x0ad00482,0x72f00251}},	//   _poradiť_, _chongqu_, _gudminan_, _bilihii_, 
   {{0xd3a2044f,0xba8c0117,0x2988036b,0xb073005e}},	//   _tampak_, _ekwipmen_, _местото_, _يۇقرى_, 
   {{0x79940092,0x386f0059,0x8aaf0061,0xcf70003f}},	//   _マットレス_, _здравен_, _동일정일님_, _lumawnis_, 
   {{0xf036009a,0xc6ff02e5,0x8f2c00a0,0x9874041a}},	//   _amatakan, _daguestá, _falestin, _власова_, 
   {{0x5ac5002e,0xb5a5004d,0x24a800f8,0x135e0342}},	// [90d0] _privreme, _租車注意事項_, _কিঞ্চিৎ_, _malfini_, 
   {{0xbaef019a,0x82d00117,0x0d1c00cb,0xbc5a013a}},	//   _quietnes, _nasonal_, _alilahle_, _erstach_, 
   {{0xe78d00ff,0x5a57017a,0xf1a00062,0x2d89021c}},	//   _זלאטיפאל, _гаранг_, _chuchhey_, _ignorova, 
   {{0xd9bf020f,0x33410351,0xb3870060,0x00000000}},	//   _رڼاکې_, _вĕсен_, _قۇردىم_, --, 
   {{0x62d70206,0xd1070107,0x52c403dc,0x00000000}},	//   _nemozem_, _سرسره_, _brimnes_, --, 
   {{0x5edd03c1,0xe37100c7,0xe13302ad,0xf4ef023e}},	//   _жителите_, _bitaraf_, _softwaro, _bramanty, 
   {{0x5b5501d3,0x93dc041f,0xa5e30162,0x6c68014a}},	//   _kontakta_, _belwa_, _тартипму_, _indulni_, 
   {{0x3e730207,0x825c032c,0x00000000,0x00000000}},	//   _امتحانن_, _asbestim, --, --, 
   {{0xb3dc00ce,0x82900182,0x5188005d,0x510b00e6}},	//   _delwa_, _mamala_, _ысызи_, _上半年以来_, 
   {{0xa26c075c,0x33110224,0xe2e9006a,0x729001b5}},	//   _poništi_, _innbrot_, _andinin_, _lamala_, 
   {{0x037602b3,0x5292056c,0x00000000,0x00000000}},	//   _decrecem, _kalcijum, --, --, 
   {{0x4f2c0127,0x83010049,0x1479003c,0xab260165}},	//   _balestin, _kataaki_, _ظروفچی_, _vulaitub, 
   {{0xf25a004f,0xc54603ff,0x1290024f,0x663900fd}},	//   _dooley_, _zároveň_, _tamana_, _chridhei, 
   {{0xf20e0510,0xbc2302bb,0x5e49016b,0x00000000}},	//   _часах_, _dydaktyc, _gagaraba, --, 
   {{0xf2900050,0xf3ea025c,0xeb0a0271,0x6e3002a2}},	//   _ramana_, _stets_, _komplise, _hanggana, 
   {{0xdd5c0060,0x93e504cb,0x220401e0,0x4cf502ac}},	//   _تۇتۇق_, _către_, _ڕژیمی_, _ونصائح_, 
   {{0xd9c702c4,0x32d50044,0x33dc0062,0xffd700ff}},	// [90e0] _самата_, _reflect_, _delwi_, _agentejo, 
   {{0xd3410333,0x237f006f,0xcfae00a5,0x162b05b7}},	//   _carezza_, _اولمپڪس_, _gasoloso, _zalijepi, 
   {{0x09d800ba,0xdd4202eb,0xdc610108,0x7a170361}},	//   _داپۆشراو, _коксон_, _antugna_, _кельт_, 
   {{0x22fc01b8,0x727e00a6,0xe3f40331,0x09e20052}},	//   _seega_, _abany_, _hartil_, _इन्टर_, 
   {{0xe3e50301,0xac7e0026,0x9ae10179,0x525a0204}},	//   _mətni_, _begrijp_, _stelavan_, _kellon_, 
   {{0xb2d80010,0x00000000,0x00000000,0x00000000}},	//   _kuheha_, --, --, --, 
   {{0x732402ca,0x2f1f0031,0x52fc01ab,0xc8d10032}},	//   _nascadh_, _tantanga, _veega_, _ghortahv, 
   {{0xddaa032e,0xcdb70381,0x16c20320,0xa7c80630}},	//   _isinisip, _althamwa, _kharibiy, _ínsignig, 
   {{0x2113019d,0x129102af,0xc38c0361,0x00000000}},	//   _amukhaul, _niyaza_, _дiанислу, --, 
   {{0xaf42018c,0x614000f4,0x8da700d1,0xedcf0013}},	//   _roosenda, _boltredo, _বৰদেউতাৰ_, _bachkana, 
   {{0xeb78018c,0x3d86076f,0x7c5b02b1,0x9c990040}},	//   _vergeten_, _अनेकों_, _hukunce_, _בקרקע_, 
   {{0x5b7b024a,0x86370246,0xa99900bf,0x8f7004a4}},	//   _adesanya_, _камиони_, _произнош, _calanais_, 
   {{0x427801f7,0xd1ad02eb,0xac190374,0xfc56037c}},	//   _bernat_, _өсөхбаяр_, _madrasas, _vertere_, 
   {{0x7fb8021c,0x039001af,0x6e43027b,0x00000000}},	//   _neplatno, _dunyani_, _बिम्बाधर, --, 
   {{0x2200028a,0xedfa03dd,0xd2900118,0xfe3000d2}},	//   _abeid_, _meidanit_, _bamala_, _dangdana, 
   {{0x62d4004f,0x94e400e6,0xb187004c,0xc345054c}},	//   _soudé_, _山西省发展和改革, _amwanjul, _kreditt_, 
   {{0xdeed022d,0x84760057,0x12d800a5,0x83410024}},	// [90f0] _spaventa, _restoren_, _mānaia_, _তাৰেই_, 
   {{0xd17600ed,0xa23307ba,0xf9e301c4,0x101702e5}},	//   _adlawadl, _веровани, _bedreigd, _finddork_, 
   {{0x8c580261,0x24e6003a,0xb3450166,0x638c0149}},	//   _ekstraj_, _урушга_, _hundert_, _ọziel_, 
   {{0xe34501f1,0xe3ee0189,0x6c6102cf,0x00000000}},	//   _kundert_, _destekli_, _noturna_, --, 
   {{0x2b0703f0,0xbd4c018d,0x23f905a7,0x054b0007}},	//   _samskipt, _ነፍሲወከፍ_, _drauga_, _bókabela_, 
   {{0x22970164,0x33ea071d,0x62900278,0xeb70039d}},	//   _террорчи_, _frete_, _samada_, _malugana_, 
   {{0x738700e1,0x6e0b0185,0x2ec102e8,0x00000000}},	//   _aparey_, _komediya, _chinosan, --, 
   {{0x838002dd,0xb0d5016d,0x429000c7,0x9db0023b}},	//   _སྐྱོགས_, _аңлитиш_, _qamada_, _hinuhinu_, 
   {{0x486d03ce,0xea5f033a,0xe476009b,0x68fd02ed}},	//   _غیابی_, _axxetika_, _besteren_, _carallad, 
   {{0x1c61016a,0x7341019a,0xf32907dc,0x16f104ec}},	//   _kolumno_, _sweeten_, _निरपराध_, _kumanikw, 
   {{0x9841017f,0x740700ad,0x22c304bd,0x89870595}},	//   _ajulusuu, _dunungan_, _laulima_, _बेइमान_, 
   {{0xabbc042c,0xb3a200c0,0x6d2800e2,0xae4901e8}},	//   _efikasno_, _tampok_, _rinnende_, _nagapaba, 
   {{0xbb7f023c,0xd68701ef,0xed83033a,0x04760153}},	//   _albertyn_, _суздальц, _esplojta, _testeren_, 
   {{0xa9c800af,0x225f0385,0x47f70137,0x9d7002a4}},	//   _подорожі_, _trendovi_, _маркыг_, _frumenta, 
   {{0xf2910369,0xcf1e01a0,0x2d06018a,0x19f70403}},	//   _anaana_, _colddrin, _phartner, _ahantona_, 
   {{0xa1f70036,0xd0320287,0xd5fb005e,0xc0c8028b}},	//   _معارض_, _sestaven, _нәпритин, _ibolsill, 
   {{0xcf39017e,0xd200040f,0x2d26000e,0x527f0333}},	// [9100] _שקצים_, _perkelti_, _signalat_, _apenna_, 
   {{0xb290022c,0x9b670057,0x0c0700b4,0x541a0350}},	//   _kunaon_, _jurutera_, _existat_, _የመሣሪያ_, 
   {{0xe3dc04bb,0x7e9602ac,0xc75d02e2,0x95110247}},	//   _brower_, _مرزوق_, _actinnag, _میناوند_, 
   {{0x72ca0227,0x7291016a,0x39870189,0xfe93041c}},	//   _tindik_, _alzaco_, _psikiyat, _juutikat_, 
   {{0xc3ea0041,0xadfe03dd,0x3ffa00ec,0xd62a02e0}},	//   _cueto_, _infektua, _krosnelė, _diririsi, 
   {{0x32910328,0x7b010568,0x43dc0226,0x00000000}},	//   _inyana_, _matrikke, _akamaliz, --, 
   {{0x12910410,0x1e5203d9,0xf2910486,0x00000000}},	//   _robago_, _hikaraka, _adwave_, --, 
   {{0x9fd800de,0x392601b3,0xf290026a,0xd37800c1}},	//   _حقايق_, _методику_, _mamaca_, _pejaten_, 
   {{0xe4b500c7,0x66f10287,0x4e660065,0x834f0059}},	//   _алмасы_, _मानवको_, _furchtba, _ammessi_, 
   {{0x6e5200ea,0x835b029e,0x8db000cf,0x0b0b00fd}},	//   _mikaraka, _abiguda_, _barnaaba, _iompaire, 
   {{0xa2810036,0xfa1500e4,0x125a03f3,0xf548002e}},	//   _hhhhhhh_, _redakcja_, _bellen_, _upućuje_, 
   {{0x798c00ff,0xa26c0369,0x7d19004d,0x70cb0026}},	//   _עליכמס_, _gedora_, _搜索所有開放的論, _gekoppel, 
   {{0x1b0c02a9,0xf26c003d,0xe30d0151,0xd2d901f7}},	//   _дурня_, _gelosa_, _annacur_, _bateg_, 
   {{0x725a047d,0x2516010d,0xd43b03f2,0xc74400ba}},	//   _wellen_, _sellerny, _спросила_, _کۆڕاڵی_, 
   {{0x81c705fd,0xacf50119,0xd86f0218,0xb291034e}},	//   _bolehlah_, _mandated_, _agenkord, _anyana_, 
   {{0x92000318,0x366d0037,0x32fd00ad,0x424900a7}},	//   _samiu_, _ተናጋሪዎች_, _angger_, _намыстан, 
   {{0x02910101,0xa2fc03e7,0xdb2c01c0,0xc5ce02fc}},	// [9110] _legate_, _bangud_, _halayens, _batabony, 
   {{0x222401f6,0xa25a0421,0x1f53011a,0x4fb9004d}},	//   _fylket_, _zellen_, _squamous_, _不願意說謊_, 
   {{0xc3ba0222,0x70e80453,0x00000000,0x00000000}},	//   _privés_, _dugačak_, --, --, 
   {{0x11210449,0x4292032d,0xb20001f5,0x3ca9017f}},	//   _grožđa_, _boraro_, _gamis_, _bengård_, 
   {{0xeff70016,0x1c770245,0x5808017d,0x33eb0097}},	//   _מעניו_, _berriew_, _リンク切れ報告_, _atuta_, 
   {{0x02ba010f,0xd9ed004c,0x1ba000b5,0xa9ec013d}},	//   _abadobi_, _addirira_, _ceciclio_, _altirita_, 
   {{0xf200038e,0x8f640037,0x728102f8,0xdee70188}},	//   _kamis_, _ይገኙባቸዋል_, _ehhhhhh_, _бачахои_, 
   {{0xb3aa0031,0x1234005c,0x424e01c9,0xa18501f6}},	//   _karawang_, _agamije_, _पलटला_, _lesarbil, 
   {{0x522a0376,0x225a018c,0x426c01f0,0x937e00e6}},	//   _formlig_, _rellen_, _melora_, _万名网友装修日记, 
   {{0x92cb006c,0xb8ef0455,0x326c0176,0xa26c044a}},	//   _abadle_, _originau, _beloep_, _lohori_, 
   {{0x1c5d031d,0xe2240147,0xc3aa02a2,0x83f904d7}},	//   _chattel_, _ыплас_, _larawang_, _drauma_, 
   {{0x19bf017d,0x34560066,0x529100ab,0x92c502ef}},	//   _に選ばれた回答_, _харшил_, _akaari_, _oralite_, 
   {{0x6cf2014a,0x618a0188,0xcb860393,0xef4d03db}},	//   _نارمل_, _ҳюман_, _istočno_, _intshuma, 
   {{0x5d8901e6,0xb2ee0120,0x69aa00e5,0xb2ea0148}},	//   _renomova, _konnabi_, _носии_, _indicio_, 
   {{0x06180448,0x9e4c0285,0x630e0121,0xc2cb012a}},	//   _beslutni, _abubatse_, _parados_, _upadku_, 
   {{0x90c104cf,0x49c0004b,0xd41e0421,0xdefa0354}},	//   _bhalisel, _fetellet, _visitenk, _بىنالار_, 
   {{0x226c0120,0x95fc00d8,0xa3020193,0x00000000}},	// [9120] _dohori_, _argentiè, _badanku_, --, 
   {{0x013801ab,0x2f4903f2,0x7a4f005c,0xd2730065}},	//   _खटखटौलक_, _маркиров, _alleluya_, _meistgel, 
   {{0x820002f6,0x9f2202ac,0x959a0126,0xb27e031e}},	//   _tamis_, _عصافير_, _призупин, _činio_, 
   {{0x77480515,0xa2ab0246,0xe5b70023,0x00000000}},	//   _attingev, _sanità_, _yläkoulu, --, 
   {{0x3d95041e,0x6f6804a7,0x963d00e6,0x00000000}},	//   _adattatu_, _andainas_, _capillai, --, 
   {{0xe6440039,0xeb00002b,0x9917032d,0x72240155}},	//   _кембрижи, _দিয়েও_, _диванда_, _tolkas_, 
   {{0x037902fd,0x830e02b9,0x8b1f00ad,0x790100aa}},	//   _breacan_, _darabos_, _anjangan_, _kamatikd, 
   {{0x00000000,0x00000000,0x00000000,0x00000000}},	//   --, --, --, --, 
   {{0xe8550064,0xffb50060,0xa2cb0157,0x42d20261}},	//   _raquetes_, _күләш_, _spadku_, _ampoloj_, 
   {{0xf1e80361,0x5e5a00a6,0x00000000,0x00000000}},	//   _насильст, _احترامات_, --, --, 
   {{0x42d90286,0x69290089,0x72ca018a,0xdb4202ee}},	//   _katee_, _соборная_, _harlech_, _slovenja_, 
   {{0x5a620147,0x00000000,0x00000000,0x00000000}},	//   _алдыдагы_, --, --, --, 
   {{0x3c23009a,0xe80c019e,0x57bf01be,0x00000000}},	//   _abasukub, _блёку_, _kohoutek_, --, 
   {{0x330e0130,0x7200022a,0xb7c60024,0x520003dd}},	//   _anvadur_, _samis_, _starheim_, _bamir_, 
   {{0x5ea20244,0xe2d702a5,0xcc5602f3,0xdd5400ff}},	//   _corrente_, _třemi_, _pratade_, _חאטשיג_, 
   {{0x13950036,0x398e02da,0x00000000,0x00000000}},	//   _measta_, _ранил_, --, --, 
   {{0x93780013,0x805b03db,0x5f400243,0x4c800076}},	// [9130] _bilaman_, _bayakuqo, _kirsiyya, _ремек_, 
   {{0x7d8604ca,0xe3670119,0xe9d8016e,0x72000138}},	//   _decembre_, _weilburg_, _istenile, _tamir_, 
   {{0x05db0071,0xf31c00a8,0x5a7101bd,0x64fd0061}},	//   _ترشحات_, _precara_, _سولتۇستى, _콘티입니다_, 
   {{0x32250678,0x48400244,0x5a270109,0xd29202ee}},	//   _dlzka_, _емблемат, _समाबेस_, _inqala_, 
   {{0xf287033e,0x716901a3,0xfa5600bb,0x3b020307}},	//   _chekane_, _اڻپڙهيل_, _اکھٹا_, _elisonde, 
   {{0x325a029e,0xaab90037,0xaeae02b6,0xf2d80318}},	//   _hellan_, _እንዲልኩ_, _شەريا_, _memene_, 
   {{0xa11c0301,0xc74e021c,0x96340193,0xe2ec0317}},	//   _iddiasın, _neziskov, _जमान्यात_, _štikle_, 
   {{0x626c0172,0x1ee9040a,0x1d0500d1,0xd31a0157}},	//   _ntion_, _växande_, _কলাজেন_, _wózka_, 
   {{0x925a01d3,0xbb40042b,0xc620044b,0x1b67011f}},	//   _mellan_, _trgovačk, _omkostni, _appleyar, 
   {{0xa39501ac,0x42640671,0x581200c5,0x00000000}},	//   _feasta_, _forlis_, _chargés_, --, 
   {{0x045501e8,0xd2c00420,0x7c1e0254,0xc509014a}},	//   _produkto_, _médio_, _propios_, _listához_, 
   {{0x22b1006a,0xc200013c,0xdb7e0096,0x225a0075}},	//   _handeha_, _zamiq_, _akanager, _gellan_, 
   {{0x7f2601aa,0xc96d0231,0x0982023d,0x00000000}},	//   _addressa, _ebrietat, _повтаря_, --, 
   {{0x5c6001d6,0x622600cf,0x17390198,0x00000000}},	//   _flytter_, _baskuu_, _tržišču_, --, 
   {{0xa2910326,0x7e4a0059,0x6f690088,0xa7ec0163}},	//   _siyana_, _ricarica, _болжошот_, _beharang, 
   {{0x6f060044,0x059500f2,0xfd8c01f3,0xc321007f}},	//   _proceeds_, _meistark, _kačer_, _chryn_, 
   {{0xd6d303d9,0x1919031c,0x13ea03fb,0xbea00153}},	// [9140] _angatahi, _rescatad, _stetu_, _overskue_, 
   {{0xb2d8023b,0xf8590261,0x00000000,0x00000000}},	//   _iemene_, _deturnis_, --, --, 
   {{0xf87c0177,0xff210148,0xf72c02d6,0xe45f03b4}},	//   _шансқәас_, _continea, _advokatg, _enyeredz, 
   {{0x222b049e,0x725401da,0xcc2c0120,0xc3780456}},	//   _zoradiť_, _pengojnë_, _korisitu_, _gilakan_, 
   {{0x83f20227,0xb41000ba,0xbfe800b9,0x9e5e0311}},	//   _dipegang_, _ناڤیندا_, _शिलाहार_, _ኣይሓልፍን_, 
   {{0x50e90045,0x622501b4,0xe18e00af,0xc2de0097}},	//   _конгреса_, _kerke_, _григорій_, _timoteu_, 
   {{0x60ab02d8,0x57c90125,0x13aa0050,0x00000000}},	//   _कुसुमी_, _налажеде, _daratang_, --, 
   {{0xf556066d,0x135202a5,0x7d240238,0xf29107dd}},	//   _unehemiy, _okružní_, _еквівале, _ndwaye_, 
   {{0x4436016d,0x679101d1,0x8fcd0036,0x26cd0039}},	//   _ﯬﺭﻛﯩﻦ_, _initiati, _loingseo, _irratsai, 
   {{0x26da0037,0xff4605dc,0xec990145,0x00000000}},	//   _ደጃዝማች_, _pressede_, _geresniu_, --, 
   {{0x13a900be,0x4129014e,0x1637022d,0xcc98018a}},	//   _ازدان_, _доступан_, _attitudi, _adwerthu_, 
   {{0x417803e6,0x1e0b018d,0xec5503d8,0x6a0800f2}},	//   _gebastel, _ንብጾትካ_, _erotske_, _samazina_, 
   {{0xcf1b03f4,0x9035056a,0x82350067,0xfeae0092}},	//   _украине_, _boitekan, _baddetti_, _ブレスレット_, 
   {{0x4c9e035e,0x669502fd,0x02ca0128,0x5503037f}},	//   _spremaju_, _eiseamai, _ishda_, _azpetrol_, 
   {{0xf8c7057e,0x0f600156,0x00000000,0x00000000}},	//   _हरिपुर_, _באַסמאַן_, --, --, 
   {{0x00000000,0x00000000,0x00000000,0x00000000}},	//   --, --, --, --, 
   {{0xe9c20257,0xac190005,0x9c4e0113,0xde330040}},	// [9150] _sammála_, _secapesc, _امانه_, _דרופל_, 
   {{0x38e40024,0x541a0037,0x5ba80162,0x5d23052e}},	//   _সুস্মিতা_, _የመሳሪያ_, _пикирлир, _rejicite_, 
   {{0x025a0382,0x7872022f,0x93f4004a,0x49ec033f}},	//   _kahle_, _brangiau, _авиацияс, _mafulefu, 
   {{0xbc7f0281,0x5a9a0315,0x702001bd,0xfa80004c}},	//   _sammineq, _anenshis, _құмында_, _aguzinga_, 
   {{0xc39402e7,0x71270444,0xc9df01ab,0xd9e10303}},	//   _alista_, _налоги_, _खिआवेला_, _gatisiwa_, 
   {{0x725a00bd,0xd291037f,0x9e1b0251,0xb401003f}},	//   _sellin_, _piyada_, _haleesha, _shoulson_, 
   {{0x1db10010,0x22d80405,0x1f39028a,0x769702a3}},	//   _libalave_, _lyden_, _وابستگيء, _beheerli, 
   {{0xdf3a0338,0x19e1010b,0x0334048c,0x6213011f}},	//   _atoriana, _katisiwa_, _bitchey_, _michĩ_, 
   {{0x305e01f4,0xe850019c,0xd37f0113,0xf85802c8}},	//   _agentlik_, _bolorund, _hamanna_, _patróns_, 
   {{0x43da018d,0xe2fc0243,0x68fe00b7,0xa2ec003f}},	//   _ኣውቲስታ_, _geegi_, _annageld, _luwijbe_, 
   {{0x098200be,0x825a04b9,0x517e02fd,0x50c4024a}},	//   _реакцияс, _tellin_, _docherty_, _iṣafaraw, 
   {{0xb30d0310,0x42d80004,0xe2840207,0xf27f0065}},	//   _clobhsa_, _demele_, _kwahiyo_, _ebenen_, 
   {{0xb1280014,0x78a7006d,0xec6900d5,0x1dc00076}},	//   _ተራኺብና_, _кравец_, _antrano_, _assinala, 
   {{0x837801f5,0x82d900b6,0x13860195,0xeb06000d}},	//   _silakan_, _laceey_, _idire_, _avastada_, 
   {{0x42010388,0x0f2903eb,0x94ab013b,0x6f500080}},	//   _subito_, _besonder_, _conceiã_, _atisalia, 
   {{0x42d40251,0xc3d50046,0x82900241,0xc201027f}},	//   _aloosan_, _contacti_, _funaan_, _mubiro_, 
   {{0xf25a02aa,0x82d802c2,0x2c690388,0x82660449}},	// [9160] _farnosti_, _hemele_, _entrano_, _povoljni_, 
   {{0x03ea036c,0xc2910307,0xeb8d007c,0x863f0781}},	//   _ireto_, _unyaka_, _nemiraro_, _podijeli, 
   {{0x9b13029b,0x42000399,0x5a390147,0x83ea00ee}},	//   _alimiñom_, _fonise_, _иеремия_, _areto_, 
   {{0xc4ba009a,0x320000c0,0x79d0006f,0xcedf003d}},	//   _ababesak, _tonite_, _بئسيا_, _bilingas_, 
   {{0x37c60017,0xf1580287,0x178204b9,0x501f024c}},	//   _चतुर्दशी, _realitky_, _graveyai, _inkwetan, 
   {{0x45db0405,0xd54a01db,0xe2f5043a,0x62000439}},	//   _образотв, _توگەدى_, _suvikum_, _honise_, 
   {{0x53f10119,0xc93f0189,0xf25a035b,0xb0f401f4}},	//   _greening_, _milletve, _varnosti_, _kelishil, 
   {{0x65870007,0x00000000,0x00000000,0x00000000}},	//   _okutanak, --, --, --, 
   {{0x8f59041e,0x3e2e0188,0xe83200bb,0xe4760026}},	//   _dispiace_, _ҳавзаҳои_, _محاذوں_, _besturen_, 
   {{0x99d8034d,0x1f6902ac,0x6fb801e9,0x130d00c5}},	//   _diperole, _صياغة_, _dikopofo, _bagages_, 
   {{0x4c650429,0x2e730342,0x8587011b,0xef0203a4}},	//   _justeru_, _disparèt_, _akutanak, _alivinna, 
   {{0xfc40000b,0x93f90240,0x23fe0011,0xbc05007f}},	//   _ameperos, _drauna_, _abazina_, _caethwas, 
   {{0xf28b0386,0xb25b00f1,0xa2300375,0xea9e01d9}},	//   _memahami_, _dogley_, _adamuka_, _aschloen_, 
   {{0x937f000a,0xdee00162,0x2984018c,0x2ae8033d}},	//   _tamanna_, _ھۆسىن_, _fysiothe, _estonyen_, 
   {{0x7eb30191,0x52da0016,0x1a090010,0xdc5a0152}},	//   _forskare_, _supozas_, _bayatana_, _миллилек, 
   {{0x21d600b9,0x08bc01cd,0xa2d8007b,0x18c10099}},	//   _प्रदेशात_, _қуллаҳои_, _remede_, _aindiyeu, 
   {{0x737f0399,0x86970166,0x0ae2005e,0x492e004d}},	// [9170] _anianga_, _jugendli, _گۇمپا_, _語音客服中心_, 
   {{0x647204ae,0x92720216,0x67910035,0x134701db}},	//   _mesečno_, _giliyadi_, _кәримгә_, _سۇيەلدى_, 
   {{0xb7b50415,0x801a016e,0x825a01e9,0x8a70027b}},	//   _startsei, _kendiniz_, _imilwe_, _प्रभोः_, 
   {{0x025a02f7,0x937f023b,0xdd9a02cd,0x5745021c}},	//   _amilwe_, _punahoa_, _furofaga, _turnajov, 
   {{0x8b54018d,0xa9d2019b,0x9c720332,0x522000e6}},	//   _ማህረምቲ_, _įregistr, _podrias_, _按照本办法第十一, 
   {{0xdea80465,0x4e090311,0x6d110291,0x1c090020}},	//   _postelje_, _ተበገስኩ_, _simpliú_, _vaipapa_, 
   {{0xe2d90265,0x4290023b,0x1581029d,0xce6c006d}},	//   _laten_, _hamama_, _атентате_, _бялыніч_, 
   {{0xa2d80287,0x4b740158,0x620004e5,0xd9fd0080}},	//   _tyden_, _podstawa_, _asiima_, _arsummiu, 
   {{0x4e2b026f,0xf29000a0,0x45c90011,0x6c7801c4}},	//   _ارۋجان_, _camama_, _bagaziby, _perseel_, 
   {{0x13940074,0xc2d900a1,0xa2d503f6,0x29620187}},	//   _toista_, _watea_, _haalulu_, _достави_, 
   {{0x52e80152,0x06e50024,0x92d8054c,0xbeb900d3}},	//   _kalinin_, _অনুমোদনৰ_, _syden_, _sokolovn, 
   {{0xef0805be,0xd26a008d,0x215000ba,0x0dc20242}},	//   _dozvolja, _ваколати, _فلۆریدا_, _gözündə_, 
   {{0x53200176,0x813900bf,0x4f2700bc,0xc2d900ee}},	//   _babys_, _раскрыва, _نعمتی_, _jaten_, 
   {{0x62d902c7,0x32d402f3,0x32ad043d,0x3b0b00c7}},	//   _daten_, _ljudet_, _tercapai_, _атлагыз_, 
   {{0x33720228,0x5b7907c6,0x477101ac,0x62900014}},	//   _stilling_, _praktičk, _البتول_, _mamaja_, 
   {{0x16830139,0xb291064d,0xe290048f,0x52c50044}},	//   _धीमान_, _kaeaea_, _bamama_, _trimmer_, 
   {{0x02d901f1,0xb9800105,0xe3f80148,0x1b76002b}},	// [9180] _naten_, _kamienia_, _tenuit_, _এতোদিন_, 
   {{0x2e5300a2,0x231002e7,0x814d0153,0xd5a10421}},	//   _kupatika, _hayahay_, _コメント一覧_, _serienmä, 
   {{0x12d400e7,0x9e720031,0xa2d903e0,0x7f500162}},	//   _oesday_, _अशक्य_, _haten_, _азаймасл, 
   {{0x42d9002c,0xe22401ad,0x5b4e01fb,0xf2da032f}},	//   _baten_, _vojka_, _travalia_, _esposas_, 
   {{0x7201051c,0xc3030257,0x5e3002e2,0x7367061c}},	//   _bebial_, _hakaðu_, _banglana, _počinioc, 
   {{0xd39403f2,0xabde03b9,0xdda20102,0x3ed402d3}},	//   _poista_, _condorir, _پالنا_, _автоматс, 
   {{0x0dc4042a,0x490c00dc,0x9060014e,0x42d40456}},	//   _ayikatsa, _sagameau, _vlasotin, _besday_, 
   {{0xdb2a0240,0xad7a0247,0xa29100ac,0x358703b0}},	//   _ikabakab, _بازارياب, _punjene_, _bestebak, 
   {{0x92d9018c,0x5c3d0046,0xd1e800c6,0xeebb030b}},	//   _gaten_, _ripollès_, _правозах, _baasabye_, 
   {{0x615f02ec,0x19e101fe,0x62d80638,0x52b30109}},	//   _ژولُتھ_, _dalosika_, _bydel_, _nenacház, 
   {{0xe3d902eb,0x542200f2,0x3321027f,0x82900018}},	//   _томруулж_, _londonā_, _baryi_, _namaka_, 
   {{0x1d7e01e9,0x43200125,0xd29102a6,0x12da00ec}},	//   _abelanwa, _babyr_, _albaru_, _kuponas_, 
   {{0x9bf00212,0x4bef0148,0x50340164,0x04ad0168}},	//   _interfec, _處普三字第_, _бурунқи_, _kapittel_, 
   {{0xd3620148,0x228406a0,0xa26d004b,0x00000000}},	//   _mystorem, _maghimo_, _labone_, --, 
   {{0x5d900010,0xb2970159,0x19d102b0,0x00000000}},	//   _bamelane_, _каспар_, _eigenart, --, 
   {{0xad1601c0,0xf9e102f7,0x52e9001f,0x4b990135}},	//   _musulunc, _balosika_, _polisfo_, _камилләш, 
   {{0x4677023c,0x5b2a0322,0x3dd40094,0x93ea0148}},	// [9190] _سپیڅلي_, _akabakab, _دولبارلا, _editio_, 
   {{0x82910390,0xe7d5023e,0x5286055a,0x551602d6}},	//   _siyahi_, _نوازش_, _lucidez_, _anglamay, 
   {{0xc2d9055f,0x629100f6,0x78320162,0x5a7002be}},	//   _zaten_, _israr_, _زامىن_, _dadalawa_, 
   {{0x74660367,0xa3ff02d3,0x9649004d,0x17b3038d}},	//   _dezembro_, _останати_, _交易人於任何時間, _prostiti, 
   {{0x8e82016d,0x6e1c025b,0xc957017e,0x429104c7}},	//   _ﻣﯘﻗﺎﻡ_, _døgnrapo, _mezlerne, _prvaci_, 
   {{0x16ee00cf,0xfb6c02c3,0xd64f00f1,0xe49301db}},	//   _abaaboow, _majiteľo, _eksklizi, _анимация, 
   {{0x1280067c,0xc3bb0121,0xe2d90083,0xcfae004d}},	//   _bunscoil, _través_, _natel_, _價位公道不怕比較_, 
   {{0x23170686,0xce9301ea,0x42ea00d5,0x62d90421}},	//   _amazwi_, _рўёбга_, _antilin_, _taten_, 
   {{0xa3860210,0x422403c6,0x24b800c6,0xc2e1029a}},	//   _ndiri_, _lobke_, _протилеж, _valoriz_, 
   {{0x69590060,0x24740243,0x42d902c7,0x4c6e0064}},	//   _қайтарыл, _ellecabo_, _raten_, _pobresa_, 
   {{0x494e061f,0x1cc401eb,0xc2e80054,0xae050251}},	//   _učlanjen, _агарала_, _dalilin_, _handadaa, 
   {{0x29df03cf,0x33390148,0x8dff0270,0x1f85004a}},	//   _gittigid, _最後更新日期_, _lineetta, _алмаска_, 
   {{0xa73b0013,0x6c75016b,0xd93200ba,0x429002fb}},	//   _сколари_, _allurar_, _هۆنیا_, _mamaha_, 
   {{0x330c0256,0x125b00ea,0xa3ee01c8,0x97a00073}},	//   _pagasts_, _avelao_, _letovisk, _divergev, 
   {{0x72d9023e,0xd6530148,0x3c6e0239,0xf273008d}},	//   _gatel_, _vishwami, _eperona_, _sotiladi_, 
   {{0xa6f101ac,0x3472026b,0x52c202bf,0xb380016b}},	//   _protastú, _antemano_, _bhalisa_, _hauren_, 
   {{0x7586055c,0x61b30162,0x7358026a,0xf34700db}},	// [91a0] _overrask, _يادرو_, _itagede_, _इन्हनियो_, 
   {{0x8386012c,0xa1830065,0xe2900399,0xb0710084}},	//   _idara_, _weiblich_, _tamaka_, _dilalako, 
   {{0x38f80013,0x049e015d,0x625503fd,0xb25b026b}},	//   _کنفرانسد, _नियमगिरी_, _faitatal, _tablas_, 
   {{0xb3800369,0xb3ec010d,0x4cbc0207,0x6d880359}},	//   _asuria_, _promosik, _mahabusu_, _gaadlike_, 
   {{0x81f701b2,0x0f5c017f,0x28eb00d8,0xe26e00dc}},	//   _beggarly_, _cudavaan, _canestèl, _tauolo_, 
   {{0xd2d90105,0x52020298,0x05ed018d,0x038602fd}},	//   _latem_, _hauiti_, _ብኣውራጃን_, _feirg_, 
   {{0x027f023d,0x2420000b,0xa37a02a2,0x1946005e}},	//   _avanti_, _auganofo_, _tumagal_, _توۋۋا_, 
   {{0x08ab0003,0x781b0148,0xdc850205,0x7e520193}},	//   _자기소개서_, _小桃園清真寺_, _суммаси_, _bicaraka, 
   {{0x83790178,0x15940163,0xa5d202c0,0xb9d204fc}},	//   _abhavyo_, _harisnyá, _офталмол, _artelist, 
   {{0x492e01c7,0xd3790057,0xda0f034f,0x2b0f034f}},	//   _марксизм_, _bapanya_, _abaphand, _abaphant, 
   {{0x64da01f4,0x51d703b7,0xb2d80158,0x030700b2}},	//   _ролни_, _ardenway_, _bylem_, _hamaafi_, 
   {{0xb10200c1,0xcd690014,0x23ea027f,0xc1970059}},	//   _पाचशे_, _faktorët_, _ireta_, _районен_, 
   {{0xcc5501e4,0x1f280005,0x89b701bd,0xd3ea010e}},	//   _protoze_, _sustegna, _جاۋسىن_, _awitin_, 
   {{0xa1be0148,0x1e1f024a,0x5aa702eb,0x5290011d}},	//   _本網將追究其相關, _elégbèje, _савагт_, _mamaia_, 
   {{0xf3ea03ea,0xc25a0511,0x15040011,0x160f0025}},	//   _santé_, _mahlo_, _emitindo_, _विचार्यत, 
   {{0x4290030c,0xb81d02c9,0x00000000,0x00000000}},	//   _ahiani_, _маритимэ_, --, --, 
   {{0xca4c01a3,0x13860582,0x63790241,0xfc040322}},	// [91b0] _تجزيي_, _udiri_, _bitamaa_, _amasoni_, 
   {{0x0e180061,0x4163015e,0x32f201a6,0x00000000}},	//   _할인쿠폰이_, _бурул_, _tihirau_, --, 
   {{0x73ff033a,0x11850017,0x077d00e6,0x7cf704a7}},	//   _sproporz, _rukojeť_, _胶南市公路局_, _portomar, 
   {{0x2c1d0148,0x587201db,0xb30500ba,0x82d900dc}},	//   _ullamcor, _секторла, _زوڵاڵ_, _ligeka_, 
   {{0x0d240013,0x99aa00ce,0x726d0242,0xb04d01a3}},	//   _افتخارین, _anndefwa_, _aforizml, _سانڀر_, 
   {{0x026c044a,0xb3ea0224,0xde7003b6,0xd38a0392}},	//   _beloya_, _breta_, _olúìlú_, _móran_, 
   {{0x32250247,0xaa6c032d,0xa3dc00e4,0x00000000}},	//   _ngakak_, _barobets, _browar_, --, 
   {{0xf30e01ef,0xd3ea0088,0x27420061,0x5c7c01cd}},	//   _paramos_, _dreta_, _룩셈부르크_, _amaseva_, 
   {{0x0afd01df,0x22e80316,0x781c0162,0x93a20294}},	//   _carollin_, _dalibin_, _جاسارىتى_, _hampik_, 
   {{0x1371013d,0x1e3902f3,0x6271012b,0xc291034c}},	//   _prezenti_, _relatera, _prezenty_, _asrap_, 
   {{0x55f502da,0x72eb0150,0x2ec200d9,0xbc0302f6}},	//   _diferenç, _bilivim_, _костюмы_, _aliping_, 
   {{0xbc980192,0xda4803b8,0xe386054c,0x52c1018e}},	//   _인터넷에서_, _تورقالى_, _feire_, _kuhleva_, 
   {{0x055101bb,0xc200029b,0xfda301a6,0x73400155}},	//   _айратын_, _bamiy_, _hautekau_, _onsdags_, 
   {{0xb25b00fc,0x0c7a0223,0xb9d901a4,0x13240109}},	//   _anglah_, _tresnak_, _akonyata_, _pracuji_, 
   {{0x7d86023d,0x9207003b,0xde0d00bc,0x085203e5}},	//   _напред_, _akakenti_, _ویستا_, _nisulans_, 
   {{0x53780068,0x684a0238,0x9234000f,0x617501a3}},	//   _kubadda_, _мозку_, _sermaye_, _تذڪره_, 
   {{0x522b0202,0x62250277,0x3b580235,0x020002ff}},	// [91c0] _asemase_, _agakak_, _निर्हेतु, _famiy_, 
   {{0xaec500c3,0xed2b0156,0xaf5c0347,0xb5dc02ac}},	//   _princeps_, _חלפתא_, _helpende_, _فيتنام_, 
   {{0x08e700c5,0x5fbe018d,0x16280482,0x32d100e6}},	//   _华夏大地教育网博, _ብላዕለዎት_, _karibiti, _ampleur_, 
   {{0xa2ec0388,0x195900bf,0xb26e027e,0x7f6902f7}},	//   _notizie_, _переход_, _lepoti_, _itibagan, 
   {{0xf3050028,0xdf06016f,0x432100f5,0x33f20143}},	//   _سوران_, _столично, _haryt_, _георгиев, 
   {{0x729104da,0xb9e400bf,0x93ea02da,0x620000fb}},	//   _izvan_, _немедлен, _preta_, _amnike_, 
   {{0x53eb0200,0x4ae5002b,0x9c3800d9,0xfcf003a2}},	//   _etuto_, _রফতানি_, _доставке_, _मिडकैप_, 
   {{0xab0c04ac,0x82910057,0xac5502fd,0x00000000}},	//   _кухни_, _usrah_, _dhathte_, --, 
   {{0x33860234,0x93050094,0x00000000,0x00000000}},	//   _adiro_, _تويات_, --, --, 
   {{0xebfa0160,0xd3ea0014,0x9c51035d,0x00000000}},	//   _naglasio_, _treta_, _apoteka_, --, 
   {{0xb34f0233,0xfb8700a7,0xc25f000d,0xf16a0153}},	//   _immensi_, _بىلەسىزب, _tallinki_, _オセアニア_, 
   {{0x5a08023b,0xf0390291,0xd986029c,0x92770439}},	//   _kamaaina_, _ويخرج_, _kuchitit, _murindzi_, 
   {{0x7ebd02d4,0x02df028b,0xab6b019e,0x00000000}},	//   _trenamen, _кәрсктәи_, _вячэрняй_, --, 
   {{0x32010113,0xed4e0062,0x97530156,0x4c5100e2}},	//   _thuig_, _dubbejpu_, _נאָדל_, _feitsma_, 
   {{0x1ecc019c,0x326b00bb,0xc8c60012,0x24c7004d}},	//   _abinitun, _hazafelé_, _संतपाल_, _你們一定想聽_, 
   {{0xdf790169,0x3a7e03c6,0x3bff0258,0xe2db0064}},	//   _শিক্ষাগত_, _hannelss, _jongkear, _suposar_, 
   {{0xe3410228,0xe889009a,0xb2f002e5,0x32910035}},	// [91d0] _alderen_, _abakwind, _ararundy_, _asraw_, 
   {{0xc9ed00c4,0x55cc0315,0x6a030139,0x82870414}},	//   _بارڊر_, _angatiph, _स्वीकरोत, _kinkole_, 
   {{0x125a03e8,0xf7bb0311,0xd3870327,0xa9ec01a4}},	//   _rahlo_, _ንምትዕንቓፍ_, _overta_, _tolibisa_, 
   {{0xd2d500a6,0x85ef02ec,0x5bd900f5,0x2a390076}},	//   _abalolu_, _ژیوٝنمُت_, _бараныңд, _бележи_, 
   {{0x22fc028c,0x765b03db,0xf3aa003e,0x7f5b017a}},	//   _keegi_, _abakhuli, _baratang_, _acaphune_, 
   {{0x729003ad,0x00000000,0x00000000,0x00000000}},	//   _aqbad_, --, --, --, 
   {{0xaf290260,0xb89f0222,0x5c190153,0x53cb0156}},	//   _carreira, _parvenir_, _暮らしと生活ガイ, _אפֿוד_, 
   {{0x6f5e028b,0xd70601b3,0x5a7c02ac,0xea97046f}},	//   _иофициал, _матчах_, _وغريبة_, _egoistes, 
   {{0xe286001f,0x9473012b,0x437f0039,0x1d3303f5}},	//   _hwehwam_, _literack, _tamaina_, _novidade_, 
   {{0x70ee002f,0xf2400349,0xc25a01b2,0xe30b00e6}},	//   _achinall, _allestsm, _ardlea_, _晨起痰中带血间断, 
   {{0x229000dd,0x02c802d3,0x5c1101ec,0x526c00ea}},	//   _hunain_, _египетск, _پارکینگ_, _belona_, 
   {{0x9c5d0373,0x705b0224,0xfc7500fd,0x00000000}},	//   _justeco_, _fararbro, _socrach_, --, 
   {{0xe2d90020,0x23f4046f,0x00000000,0x00000000}},	//   _iatea_, _buttik_, --, --, 
   {{0x7c2700ba,0x24070405,0xd26d01e5,0x9f2902f1}},	//   _ئیفلیج_, _санаторі, _kabiyesi_, _barreira, 
   {{0x0503025c,0x925a03ab,0x75cc03b2,0xa2cf067c}},	//   _englisch, _tahle_, _subaybay, _ardoyne_, 
   {{0xd649018d,0x12ad0198,0xd29000a0,0x1885007e}},	//   _ይምስክር_, _skladišč, _aljanu_, _श्रीसूक्, 
   {{0x3da6017f,0xc213021c,0x267c0060,0x38cf0370}},	// [91e0] _tikillua, _tiché_, _азырақ_, _benerkeu, 
   {{0x49640024,0xfdd00243,0x08d60139,0x6989020e}},	//   _অনুভৱৰ_, _makkaabe_, _bubhukṣa, _вахтасыл, 
   {{0x29aa02ba,0xb3940074,0xe35b0245,0xe671011a}},	//   _сония_, _noista_, _telgana_, _credenti, 
   {{0xe854003c,0x1df20321,0x8a700082,0x56ca04e6}},	//   _توليد_, _predpisa, _talakawa_, _masasabi, 
   {{0x926c036c,0x9f120138,0xa55305eb,0xc0d20529}},	//   _velona_, _merdiven, _ayikhuth, _nedozvol, 
   {{0x939502ac,0xf38700a8,0x393900be,0x00000000}},	//   _blasta_, _averta_, _كەڭەشتىن_, --, 
   {{0xa2d10037,0x572c00e6,0x5e3503f7,0x00000000}},	//   _sultanah_, _切实加以解决_, _bjöggi_, --, 
   {{0xd31b02b5,0x139404ab,0x2f4d00da,0x634100c1}},	//   _gencinh_, _doista_, _presiune_, _शेपूट_, 
   {{0x628d017e,0x4c2a00a7,0x7cbc0297,0xb9e401d9}},	//   _naskita_, _sarrià_, _аллардан_, _empfanne, 
   {{0xc641019b,0x2942025b,0x908c0238,0x906f0027}},	//   _стары_, _skuldset, _наступне_, _samafomo, 
   {{0xe8830544,0x6291053f,0x3c4402bf,0x63800066}},	//   _alekaned, _niyaki_, _apawula_, _porrot_, 
   {{0x238002cd,0xf2b30206,0x00000000,0x00000000}},	//   _sauran_, _nenachád, --, --, 
   {{0x238600e1,0xbe2b0034,0x939802da,0xf4ba0125}},	//   _ndare_, _laugarda, _христија, _гөрүп_, 
   {{0xdd28048a,0xc06300ff,0x6387013c,0xc3860138}},	//   _насихатт, _בארגן_, _maarif_, _idare_, 
   {{0xce3902f6,0xee4c0241,0xbdc80099,0x7be602fd}},	//   _hinahara, _arfaasaa, _aishinga, _chadalac, 
   {{0x7aff01dd,0xff690284,0xa874014e,0xd77003c2}},	//   _abasenye, _kapacitn, _гласова_, _flavouri, 
   {{0x8614034b,0x09df002b,0x1c7c02a0,0x2b9700f4}},	// [91f0] _akseptem_, _মাগুরার_, _odesina_, _fizikour, 
   {{0xf1380132,0x02900307,0x1e4f00e7,0x00000000}},	//   _لبنانی_, _banawo_, _ammalsma, --, 
   {{0x15d701c1,0x12d901ac,0x03ea013a,0x460800a7}},	//   _pencerah, _chondae_, _drett_, _гантелде, 
   {{0x7a75017f,0x51b300a6,0x630303ee,0xb7ee004d}},	//   _akiligas, _شاعرې_, _blizanci_, _年度綠色學校策略, 
   {{0xd3dd0606,0x249d002b,0x5d9203c2,0xf06e03fd}},	//   _retwa_, _শিল্পীর_, _foregone_, _tamalolo, 
   {{0x93950338,0xb00f0066,0x963a01aa,0x63870482}},	//   _classa_, _өмчлөх_, _allowedw, _maaraw_, 
   {{0x4386021a,0x726c03ba,0x8e3a0113,0x1291004a}},	//   _adare_, _redoda_, _phraghsa, _asrau_, 
   {{0x07e9005e,0x231802d4,0xf40d0178,0x62cc026b}},	//   _ﭘﻪﺭﻣﺎﻧﻠﯩ, _tinizong_, _aspaṣṭan, _tablero_, 
   {{0x1ed60253,0x22e50172,0xc26c010d,0x635e0181}},	//   _sumiluun, _nhengua_, _kelola_, _enighed_, 
   {{0x1f44030a,0x435f00e6,0x802501e0,0x7ae50371}},	//   _decisión, _烟草专卖行政主管, _مواره_, _impugnat, 
   {{0x94200172,0x0b550073,0x854b01b2,0x496501e9}},	//   _kanaanfo_, _formicar, _ancheish, _diritswe, 
   {{0x701b0587,0x578b0040,0x2e580311,0xe3ea0074}},	//   _substànc, _בלינג_, _ኣግልግሎት_, _miltei_, 
   {{0x561b032a,0xb03400bb,0x334c0052,0x00000000}},	//   _tunngavi, _اندوزوں_, _मनसून_, --, 
   {{0xed8d02ea,0xf61805dc,0x9e320115,0x99f2019b}},	//   _assoluta, _afslutni, _hinggala, _робяць_, 
   {{0x0234050a,0x3290005b,0x55040043,0x6c800242}},	//   _vermeye_, _chiaki_, _amatendo_, _daşan_, 
   {{0x398800b4,0x4d0f0388,0x00000000,0x00000000}},	//   _вестита_, _bellezze_, --, --, 
   {{0x96ca00da,0x55390087,0xe5d10096,0xb3f90222}},	// [9200] _basarabi, _letintsh, _bakabajy, _levure_, 
   {{0xe290023b,0x80e4010d,0x1c71026c,0xe9d70196}},	//   _ahiahi_, _श्रीधर_, _fuerant_, _analemba_, 
   {{0x1c040275,0x63fe0126,0xf49d0061,0xc37a0161}},	//   _amasani_, _сімакови, _현대문화센타_, _luvaton_, 
   {{0xbb0d02e7,0x227300f5,0xb7ba01cc,0x226c0195}},	//   _kissimme, _günki_, _पंचगव्य_, _briog_, 
   {{0xd3f403ec,0x63eb001b,0x4a790177,0x7f9600bc}},	//   _pastaj_, _suuta_, _социалла_, _یونیورسا, 
   {{0x450a031a,0xe2ea0082,0x8a33033e,0x3eaf004b}},	//   _agallamh, _litinin_, _анаднакы, _dinokwan, 
   {{0x337a0392,0xac75021e,0x225b0119,0xc39502c9}},	//   _armadal_, _skjuter_, _kablas_, _coasta_, 
   {{0x6a7f027f,0x63ea0296,0x3020042d,0x00000000}},	//   _biratera_, _krets_, _handondo, --, 
   {{0xfaef0241,0x138d005c,0xb8c40145,0x50180024}},	//   _achumatt, _imashini_, _reguliav, _medverkn, 
   {{0xe502026c,0xf3ea0064,0x1d5d0220,0xb2660162}},	//   _最新的回應_, _drets_, _ваканция_, _سىيلە_, 
   {{0x9c5b0013,0x83ea0149,0x60f0006f,0x8614007e}},	//   _tartibi_, _nseta_, _سالگرھ_, _भण्डागार, 
   {{0x22f202bb,0x8c6202a2,0xd93b0052,0x0b840065}},	//   _असारामजी_, _tapusin_, _ज्योतिमा_, _geantwor, 
   {{0x137a0482,0x629f0422,0x9c7f0220,0xc27e0195}},	//   _asmaral_, _veljajo_, _fossero_, _leinn_, 
   {{0x4e33028e,0x0e4e0277,0x6be90311,0x33dd0342}},	//   _longkama, _gitabuna, _ምምልማል_, _jetwo_, 
   {{0xdc0400f3,0x925b0122,0x285e007e,0x225a01b0}},	//   _emasini_, _bablas_, _bharatas_, _bahla_, 
   {{0x464a003a,0x7ea200d0,0x3f47031e,0x1fc2020f}},	//   _коммунал_, _korronte_, _neobično, _چاپوي_, 
   {{0x727e00a1,0xc3ea0364,0x425a00e3,0x7776026f}},	// [9210] _teina_, _prett_, _dahla_, _картаға_, 
   {{0xfd870088,0xc3400321,0xe8bc00ba,0x93ea00a7}},	//   _desembre_, _bolezen_, _بازاڕێکی_, _manté_, 
   {{0xe2cf01b2,0x8749034c,0x038d012c,0x5880014a}},	//   _astound_, _индеец_, _umaskini_, _وجوابات_, 
   {{0xbe4c00cf,0x22920321,0xf3ea00a4,0xb2b20378}},	//   _arfansaa, _porabo_, _trets_, _broddin_, 
   {{0xa3eb0582,0x937c034e,0x693b0025,0xa3ea0074}},	//   _erute_, _carahue_, _ज्योतिषा_, _aseta_, 
   {{0xd6180088,0x78840071,0x53ed00e4,0xcaf30037}},	//   _reconeix, _اسماعیلی_, _प्रतिभाओ, _በመመካከር_, 
   {{0xe27e0257,0x48d30235,0xe89b0073,0x2c34002b}},	//   _neinn_, _प्रकाशम्_, _perveniv, _বিষয়ভিত্, 
   {{0xe3eb0129,0x4afd0211,0xfb170235,0xc48202b9}},	//   _irute_, _живопись_, _प्रणवो_, _احمدیت_, 
   {{0xe3ea00fe,0xa2a0029b,0xf26c033c,0x3fc303bf}},	//   _eseta_, _barbon_, _briod_, _бельгиял, 
   {{0x227e0195,0xaae9006d,0x7e950515,0xf34103b3}},	//   _beinn_, _фольк_, _flattate_, _poterea_, 
   {{0xe6cd0477,0x22d8001a,0xeb6f034c,0x027d0019}},	//   _sesampai, _lemezt_, _etnoslar, _далалаты_, 
   {{0xe33d0143,0x32640734,0x32580244,0x00000000}},	//   _магарета_, _birlos_, _закрепва, --, 
   {{0x630f04b8,0xd30c0263,0x52a6013c,0x32d80102}},	//   _barabor_, _ondanks_, _etibar_, _temeke_, 
   {{0x5d570074,0x5d190311,0xf2a00372,0xd1d900de}},	//   _электроэ, _ብክንደይ_, _garbon_, _دغیرت_, 
   {{0x2c1d0343,0x7c90038e,0x92d802bc,0x18f30405}},	//   _ireport_, _pamulang_, _tydem_, _кампанії_, 
   {{0xe0030192,0xf34d02e5,0x627e0258,0xc06e00f3}},	//   _인기검색어_, _amérikap, _hannel_, _bamakolo, 
   {{0x927e0329,0x63200082,0x67de0235,0x00000000}},	// [9220] _kannel_, _danyen_, _अधिकतया_, --, 
   {{0xddc0023d,0x96d50153,0xd22a0420,0x00000000}},	//   _articola, _徒然なる日記_, _годар_, --, 
   {{0x4e97009d,0xaf7d04df,0x7cb200b2,0xc27e0211}},	//   _postimet_, _бозмаклы, _banachuu_, _keino_, 
   {{0x14870053,0x03200230,0x6849018d,0xd7a602e7}},	//   _प्यारे_, _nanyen_, _ትግምግሞ_, _magdadag, 
   {{0xab3200a2,0x6372054c,0x129102e1,0xd290038c}},	//   _ڪمانڊر_, _grilling_, _chapaill, _obmana_, 
   {{0x9f8e02a5,0x09bf012e,0xf52f0350,0x562b036c}},	//   _žádal_, _pihentet, _ተጨምሯል_, _hirifiri, 
   {{0xa9d60435,0x07bf033e,0x8b1d01d2,0x00000000}},	//   _мазута_, _imirïkin, _choqllot, --, 
   {{0xf7770354,0x3ed300da,0xa85e00cd,0x03cf01f7}},	//   _диалоги_, _иеромона, _cornared, _blavas_, 
   {{0xefd60037,0x538001e7,0x83eb01c5,0x42fd02af}},	//   _kaunselo, _bauren_, _guuto_, _itagwa_, 
   {{0x9b79021f,0x434201a7,0x13860138,0x4a0301dd}},	//   _appookir, _vieressä_, _idari_, _bambwira_, 
   {{0xe7630397,0x01510021,0x49e20020,0x8a0c0322}},	//   _чорбоғ_, _ankleway_, _matitiva_, _bagaheba_, 
   {{0xa386043b,0x43fe006c,0x097b0151,0xb539020a}},	//   _dearg_, _abalinik, _aachasse, _грегориа, 
   {{0x60700087,0x521d003c,0xb0770265,0xe6550176}},	//   _diyavulo, _نجاری_, _besparin, _channelw, 
   {{0xd30d008e,0x7f05017a,0x00000000,0x00000000}},	//   _bagaces_, _сурате_, --, --, 
   {{0x55fb0208,0xb4050220,0x6988045e,0xfb550061}},	//   _پلاندانا, _memorizz, _честито_, _개인정보관리_, 
   {{0x024003fd,0x02d803c2,0x39f903f3,0x00000000}},	//   _atamamai_, _ayles_, _benadere, --, 
   {{0x327e0195,0x7b9901e0,0xdf2102f3,0x41340156}},	// [9230] _seinn_, _هاریکاری, _fokusera, _קטיגור_, 
   {{0x38cf03dc,0x42e801f1,0xf3860450,0x57930329}},	//   _stuttlig, _kalimin_, _leard_, _lentegri, 
   {{0xa62c03b8,0x83860097,0x6a39006f,0x09f70103}},	//   _ستالين_, _adari_, _امنگن_, _akaapote, 
   {{0x2a5b0518,0x12fc00a5,0xa3ea0202,0x30db0350}},	//   _پریستون_, _afega_, _ireti_, _አልተነቀለም_, 
   {{0xbb610074,0x6ab20291,0x23b0006c,0x00000000}},	//   _numeroon_, _وإلغاء_, _aqoqe_, --, 
   {{0xc3860036,0xa3800450,0x7b6001c9,0x00000000}},	//   _fearg_, _jorrit_, _लइकनी_, --, 
   {{0xc72601b7,0x43800034,0x0e1003a2,0x73f70025}},	//   _pratisaṃ, _dorrit_, _फरोख्त_, _प्रधानत्, 
   {{0x03cf033d,0x06e80145,0x0c730255,0x2fb8013c}},	//   _preval_, _манастыр, _seisuga_, _reportyo, 
   {{0x6380007b,0x8c7601b9,0x24560217,0x79750704}},	//   _forrit_, _laburer_, _verdicto_, _skrivefe, 
   {{0x2ae20740,0x00000000,0x00000000,0x00000000}},	//   _पर्यटन_, --, --, --, 
   {{0x23ea01f1,0x5c75015c,0x3de00107,0xcc3401ef}},	//   _rreth_, _dikrech_, _antingé_, _метадычн, 
   {{0x8300021c,0x92920024,0x43c40060,0x02d903e2}},	//   _oranžová_, _snakkar_, _بولمىستى_, _demoler_, 
   {{0x120e01db,0xfaea00f6,0x8d230096,0x23ea006a}},	//   _рабат_, _stalinin_, _abasekur, _areti_, 
   {{0xf62800b4,0xad0f0258,0x368f00db,0x59870260}},	//   _autovehi, _dellizze_, _जानाउव्य, _deshabit, 
   {{0x2e2100ca,0x40e4001a,0xd37f00dc,0x630c0040}},	//   _formigas_, _دنیاکے_, _mamaina_, _בפקולטה_, 
   {{0x637802c1,0x53ea0165,0xb4ba0414,0x82910358}},	//   _rubanda_, _dreti_, _ayabisak, _apran_, 
   {{0x0ebc02bb,0x43ea00dd,0xfbea023a,0x9386031a}},	// [9240] _publiczn, _treth_, _stavenis, _searg_, 
   {{0xbbcc012c,0x3c2a0311,0x098002f7,0x00000000}},	//   _متنازعه_, _ኮማንድስ_, _korintha_, --, 
   {{0x03860450,0xaed301b6,0x39cd00e2,0x00000000}},	//   _leare_, _believin, _taalhelp_, --, 
   {{0xd8890060,0x52da020e,0x0c0903ae,0x026e0220}},	//   _сахабала, _dipeto_, _sentrums, _empoli_, 
   {{0x43f40244,0xa66001aa,0xaa2a0064,0x5b6e0196}},	//   _влияние_, _opticalw, _сабатсыз, _apiliwir, 
   {{0x92fd0207,0x929a0188,0xf17500d1,0x66f30041}},	//   _ndugu_, _abebeham, _ঠেলাৱালা_, _imitãrõg, 
   {{0x637103bd,0x43eb0149,0x3d20025f,0x3f200084}},	//   _balabag_, _ntutu_, _bosomele_, _anjungsa, 
   {{0xf3eb0018,0x337a0166,0xd00b03d4,0x623301dd}},	//   _itutu_, _beraten_, _спаса_, _akumiro_, 
   {{0xbc56037c,0xdc6201b9,0xead90204,0x927e014d}},	//   _vertice_, _antrene_, _частично, _beine_, 
   {{0x037201ad,0x525e004c,0xc30c0138,0x825a0548}},	//   _bregenz_, _abaluumi_, _seyahat_, _smilet_, 
   {{0x630f01f7,0x33720277,0xa2860131,0x00000000}},	//   _obrador_, _gitabag_, _sáhara_, --, 
   {{0x854702e5,0xa38603c6,0xe27e0065,0x9853040e}},	//   _германиа_, _feare_, _weine_, _bjarnebs_, 
   {{0xb27e008a,0xfbdf0553,0xda160544,0xadff0014}},	//   _teine_, _aplikáci, _kukakuka_, _investua, 
   {{0x0b96046d,0xedee009a,0xbd230231,0xd2f6019e}},	//   _ndingano_, _لمسون_, _terrific, _агнястрэ, 
   {{0xfea206f8,0x5f150225,0x894703ae,0xc3860258}},	//   _landsins_, _bilderan, _fremdele, _heare_, 
   {{0x129203bd,0x73ea018b,0x9291022d,0xf3860277}},	//   _morado_, _vreti_, _albanu_, _keare_, 
   {{0x73eb03fd,0xb7430488,0xf5e602cf,0x92500089}},	// [9250] _atutu_, _carnikav, _прошири_, _cämilew_, 
   {{0x927e03f1,0xace5005e,0xb5ac0741,0x1c740077}},	//   _hronom_, _ئابىدە_, _livsvilk, _onduras_, 
   {{0x9b34034e,0x5a0b0252,0x0109004a,0xa14d03f1}},	//   _achallis, _timatima_, _artıkka_, _hantucho, 
   {{0xfb78061f,0x73800046,0x5c7100bb,0x50d30403}},	//   _informir, _hauran_, _جھکاؤ_, _betongol, 
   {{0x672f0148,0x27490072,0xb21f0418,0x5d910193}},	//   _桃園縣線上申辦整, _vasiliev, _dikkatli_, _मित्रमैत, 
   {{0x06230082,0x2a99038a,0xe2920039,0x7b1c02c0}},	//   _taimakaw, _chancayb, _gorago_, _ибаланси, 
   {{0x04ef018d,0x3a00007a,0x4c10003f,0x49000037}},	//   _ብምልካዊ_, _hayatnya_, _dururnes, _ኦርቶዶክሳውያ, 
   {{0x52c203ab,0x747f0285,0x92e8010d,0xb9ce0096}},	//   _kvalita_, _mibereho_, _balikin_, _asimbuka_, 
   {{0x727e00c5,0xc61d018a,0xf3860476,0x20280061}},	//   _peine_, _aruthrol_, _adaro_, _월드공인중개사사, 
   {{0xcc6203ff,0xeaa700d9,0x33a201d4,0x13b4036e}},	//   _manuál_, _задайте_, _adopru_, _chiqirim, 
   {{0x43870092,0xbc68010d,0x19820092,0x00000000}},	//   _ejeren_, _subroto_, _funisoke, --, 
   {{0x6fc701aa,0x7a5f02bb,0x72ad0347,0x0b0800b4}},	//   _ashingto, _उत्सवों_, _verjaar_, _pensiune, 
   {{0xd17d0040,0xfb0303c9,0xbf6a030b,0x5a250397}},	//   _טיהור_, _rørsyste, _atabagan, _amncenga_, 
   {{0x53860311,0x75e5002b,0x4fae00af,0x5a860055}},	//   _ilire_, _বিশনন্দি_, _паски_, _zweitaus, 
   {{0x52d9019d,0xb3eb0387,0x788202ac,0xee330170}},	//   _akweza_, _ututu_, _بمجموعة_, _bongoama, 
   {{0xd24902db,0x735301ac,0x4305012c,0xeb87003f}},	//   _bigman_, _نهيان_, _پولار_, _jinotlhc, 
   {{0x5c5c0034,0x23720092,0xb2fc01c3,0x00000000}},	// [9260] _háttar_, _quilling_, _bolgey_, --, 
   {{0x9619006c,0xfb3b01ac,0xdf2b0037,0xfae10224}},	//   _abalahli, _مسندم_, _ሕዝባዊት_, _andlegan_, 
   {{0x60e905dd,0x52a00316,0x1a10020f,0x2a8703a2}},	//   _अल्कोहल_, _karban_, _نشنلیزم_, _nowicjus, 
   {{0x0d26012d,0x78540162,0xa24902a0,0x6224040f}},	//   _kerosine_, _ئوقيا_, _filaṣi_, _vilkas_, 
   {{0xc3800257,0xa3f50156,0xe629014a,0x12b900dd}},	//   _spurja_, _שנײַדט_, _mondanám_, _chredaf_, 
   {{0xa9760225,0xbd9b00da,0x78f700f3,0x4a040196}},	//   _rajitede, _asigurat_, _nangethu, _kumachit, 
   {{0xd2ca02bd,0xd3dd001f,0x72010039,0x654e022b}},	//   _rhodri_, _betwa_, _usaina_, _samvitsk, 
   {{0x012e005e,0x314900d6,0x00000000,0x00000000}},	//   _مۇزەپپەر_, _وزاره_, --, --, 
   {{0xbdb90124,0xf226033a,0xac5300c1,0x88960162}},	//   _ankaboot_, _riskju_, _स्फूर्ती_, _яратсун_, 
   {{0x3c600119,0x8ae30418,0xe6440061,0x4dcc011a}},	//   _albuera_, _toplanan_, _학습자료실_, _עפעפיים_, 
   {{0x15270475,0xf53f015e,0x02b10044,0x13dd0314}},	//   _целях_, _comarcal_, _cardiac_, _fetwa_, 
   {{0xed3901be,0xb656011a,0x22c5003a,0xb25b01be}},	//   _digizone_, _ובעקבות_, _алфозда_, _udelal_, 
   {{0x58410449,0x8cb1036a,0xb32102c2,0xe2a000cf}},	//   _početku_, _babalavu_, _parys_, _darban_, 
   {{0x5c5a00ae,0x42d90362,0x19870109,0xe03f017f}},	//   _amatati_, _akweya_, _सभामुख_, _alutorin, 
   {{0xf247016e,0x00000000,0x00000000,0x00000000}},	//   _otelleri_, --, --, --, 
   {{0x83eb0075,0xa2d402f0,0x463b00a0,0xead302fd}},	//   _stutt_, _angesabi_, _afghansi, _cultaire, 
   {{0xb2020388,0xd395017a,0xf96d00ee,0x3c860008}},	// [9270] _arrivo_, _amasha_, _hasierat, _cardedeu_, 
   {{0x127e0274,0x076802eb,0xcaa90092,0xa26c00f7}},	//   _neina_, _тулалдан, _続きをみる_, _admono_, 
   {{0x39de02f7,0x5d2a0187,0x5c0804ec,0xd4130211}},	//   _baanelwa_, _советник_, _akiganir, _колеса_, 
   {{0xc83e0177,0xc6ff0749,0x02020044,0x062b01a3}},	//   _викки_, _ababanjw, _serial_, _اعمالن_, 
   {{0xec0000df,0x43200342,0xe27e0240,0xb9c70094}},	//   _maisons_, _vanyan_, _keina_, _шарада_, 
   {{0x1dab0230,0xdfcc031f,0x8278049f,0x6d980037}},	//   _minisipa, _varierer_, _nejimeni_, _ኢይብቁል_, 
   {{0x92000181,0x49700349,0xa2960276,0x42ef0141}},	//   _konice_, _acticalt, _يانداش_, _jurnali_, 
   {{0xf27e01e9,0xd2e903e0,0x7c7c01d1,0x3c6f0497}},	//   _leina_, _zënter_, _neurons_, _aberdon_, 
   {{0xa9970092,0x386e01f9,0x124800f4,0x00000000}},	//   _相田すみれ_, _betitand, _choman_, --, 
   {{0xe6bb0326,0x865701aa,0x2d1e006c,0x00000000}},	//   _achakupi, _achievew, _awanikwe_, --, 
   {{0x52e504c0,0xd17d0178,0x3e4d0198,0x2200005b}},	//   _ahengua_, _alpaphal, _rokavice_, _fujiko_, 
   {{0x9380012f,0x263400d8,0x181501cd,0xf38d0110}},	//   _eburen_, _romanciè, _худата_, _krāšņā_, 
   {{0xdc4700c6,0x72e20343,0xe2010066,0x00000000}},	//   _правому_, _katipig_, _apaiza_, --, 
   {{0x14a20074,0x7d710235,0xd3eb0201,0x282700be}},	//   _ткани_, _alambusa, _buuti_, _جاشاسا_, 
   {{0xbf1200e0,0xda0002d8,0xa3f90417,0x0d4501e6}},	//   _ferdigen, _kayaknya_, _bevestig_, _sympatic, 
   {{0x9089008d,0x5063002b,0x8346011a,0xa37f024c}},	//   _машинаси, _পশ্চিমার, _funders_, _dijarea_, 
   {{0x9dce003e,0x927e0008,0x729500a6,0x88db000d}},	// [9280] _тимер_, _feina_, _amabhayi_, _vangistu, 
   {{0x94b20388,0xc35b0222,0x8c6a00e2,0x8d3600ba}},	//   _organizz, _suppléme, _dearsum_, _نفلوه_, 
   {{0xc12d0060,0x29d703d5,0x75c7014f,0xbfaf027f}},	//   _қайта_, _embezzle, _критериј, _hasokoro, 
   {{0x2d3e0223,0xd346017d,0x7b800157,0x85b2029f}},	//   _крилл_, _kunders_, _negocjac, _prenájmu_, 
   {{0x439402ba,0x10120178,0x4661027b,0x7c140144}},	//   _elisha_, _anenopāy, _पापस्य_, _bluskay_, 
   {{0xefb301db,0x49c70422,0xb2ed0347,0xe8d201ab}},	//   _алдауына_, _gradbene, _fisieke_, _लूऽटत_, 
   {{0xd0850163,0xc3650148,0x753a02f6,0xa219003a}},	//   _عباسی_, _臺南縣政府_, _eroplano_, _cheklanm, 
   {{0xf3860455,0x3c7603fc,0x53eb051e,0x82ca01a0}},	//   _boire_, _bolstad_, _fruto_, _khodi_, 
   {{0xdc6d029f,0x127e046b,0xe26202ac,0xb26c0261}},	//   _darujem_, _feini_, _فائقة_, _memoro_, 
   {{0xbc1a047b,0x9cff045a,0x5e6101aa,0x7b610348}},	//   _sparikas, _minutter, _alibutha, _alireeta_, 
   {{0x8c000271,0xb2d802e8,0x5c740420,0xd4780326}},	//   _innsats_, _apleni_, _colunas_, _dzefundo_, 
   {{0x12ca044b,0x418a02a3,0x00000000,0x00000000}},	//   _kulden_, _beraadsl, --, --, 
   {{0x426c00a7,0x5291022c,0x55550061,0xb3eb0158}},	//   _oriol_, _aprak_, _행정처분현황_, _atuty_, 
   {{0x10db003a,0x092000c9,0x6f5f03c6,0xdc200425}},	//   _ishoratl, _trochoid, _corporaa, _ڕیمارک_, 
   {{0x5d9f01b2,0x7c7603a2,0x9af301b8,0xc9c5000a}},	//   _emigrate_, _भाम्बी_, _pressite, _analysep_, 
   {{0x47f10361,0xf2ca009a,0xf35c0291,0x3a1003de}},	//   _шкуру_, _bhodi_, _ايديكى_, _ukuphind, 
   {{0x29cc044f,0x00000000,0x00000000,0x00000000}},	// [9290] _kesejaht, --, --, --, 
   {{0x92f406ce,0xea0607b0,0x57a000b9,0x426c0403}},	//   _dixital_, _temaside, _difungsi, _beloma_, 
   {{0xd26c0127,0x9bd50205,0x1e4c046f,0x8ab8002b}},	//   _araog_, _obidalar, _erfaasst_, _ফোল্ডারট, 
   {{0x826c0403,0xde3402f6,0xd5930307,0x9da90021}},	//   _veloma_, _kinatawa, _kuneziph, _awhidera, 
   {{0x12eb0117,0x6c5303b9,0x98df00d4,0xa30b01bd}},	//   _bilipim_, _mistupa_, _dongerad, _اۋدان_, 
   {{0x9d0a0060,0x63860444,0x00000000,0x00000000}},	//   _مەركىتتى, _гiалмакх, --, --, 
   {{0xf201001c,0xbb840415,0x430c037c,0x027f01a4}},	//   _urbino_, _beantwor, _romanis_, _avandi_, 
   {{0x36370066,0x227e015c,0x3c140343,0xa3580188}},	//   _тарианы_, _weini_, _grapiko_, _ранҷу_, 
   {{0x02ca02bd,0x3b0c01ec,0xf27e0211,0x53540256}},	//   _chodi_, _تالیا_, _teini_, _anketas_, 
   {{0x61d9031a,0x93860311,0x891001cc,0xfe52018e}},	//   _bhoglach_, _iliri_, _avaśyaṃ_, _jikajika, 
   {{0x681003ad,0x72d0013d,0xdec7055f,0x00000000}},	//   _བསྐྱབ_, _valoroj_, _kilitlen, --, 
   {{0x58650156,0x586c0193,0x43ff00a6,0x3eb1042a}},	//   _לנפשותיכ, _बर्गर_, _akuziva_, _babukane_, 
   {{0x195f028a,0x229000a1,0x82d8017d,0x2dbb01a0}},	//   _kiingere, _akiaki_, _nyder_, _empireca, 
   {{0x3dcd02f3,0xd0f100bb,0xf27f00f4,0x1dd20125}},	//   _markerat_, _میدانِ_, _chanig_, _bashgala, 
   {{0x22d802bd,0x2f310238,0x933d0071,0x4d5900e6}},	//   _hyder_, _республі, _بیباک_, _湿疹荨麻疹全球新, 
   {{0x576b034c,0x538003eb,0xa2f302e2,0x5f2c034a}},	//   _апасының_, _lorrie_, _breidit_, _cabanés_, 
   {{0x327e032d,0xd2d8007b,0x37370188,0x22cb014e}},	// [92a0] _teana_, _bydes_, _пизишк_, _tasovac_, 
   {{0xc9130639,0x4d230450,0xe5ae0213,0xd26c00d5}},	//   _merangku, _konsintr, _оживлени, _meloka_, 
   {{0x29b403f1,0x5757009b,0x02fc0168,0xaa000386}},	//   _predáva_, _шевро_, _deigen_, _sayapnya_, 
   {{0x027e03e3,0x1efd0105,0xf2da012b,0x0e0e0021}},	//   _deann_, _तहलका_, _baseny_, _angersda, 
   {{0x023a0220,0x72dd002b,0x7eb3011a,0xffc2023b}},	//   _оставкат, _এফিলিয়েট_, _liberals_, _ālohaloh, 
   {{0xdc170023,0xe51400c7,0x547f0137,0xddc301d5}},	//   _провел_, _бурычны_, _aireseko_, _bankokat_, 
   {{0x054501fc,0xf26c023b,0xd2900010,0xac2f02e4}},	//   _afriikiy, _hohoki_, _banato_, _dawnlowd_, 
   {{0x338601c7,0xb26c036c,0xe290034c,0x42fc013a}},	//   _olara_, _keloka_, _canato_, _heigen_, 
   {{0x73300144,0x20700079,0x37bd0076,0x027e013f}},	//   _اقتصاديا, _pamatojo, _изборна_, _bannel_, 
   {{0x0eda0076,0xe27e0528,0x426c0230,0x9f5e00ee}},	//   _втората_, _beann_, _deloka_, _далайчид_, 
   {{0x4386003d,0xb2ca04ee,0x2ed601d1,0x855902ac}},	//   _alara_, _ekoda_, _opinions_, _تتردد_, 
   {{0x40880188,0x2e1a00e6,0x42ea03c2,0xebef009f}},	//   _арҷгузор, _山西省人民政府关, _baligil_, _celovito_, 
   {{0x3a77053f,0xd27e02d9,0x8a130050,0xffe902d8}},	//   _parlatas, _feinu_, _nerangke, _मानायला_, 
   {{0x527e0257,0xa749002b,0x3ecf0037,0x02f60010}},	//   _neinu_, _কালীগঞ্জ, _menyekat_, _awugcini_, 
   {{0xd2ca0318,0x6b66016d,0x13a80145,0x0c140277}},	//   _akilisi_, _ﺋﯘﻟﯘﻍ_, _армянска, _trapiko_, 
   {{0xc2d8017d,0x0b1a004d,0x7cd700d1,0x01c90360}},	//   _byder_, _歷任局長簡介_, _কাৰখানাট, _घरपट्टी_, 
   {{0x4fc10135,0x2b340159,0x227e009b,0x6ace020a}},	// [92b0] _almauçıl, _будучы_, _keinu_, _толастам, 
   {{0xa2d50103,0x93eb0488,0x7a7301eb,0x00000000}},	//   _coolcat_, _buutu_, _momotomb, --, 
   {{0x2b090023,0x415b03b7,0xe2da02ce,0x344b04ae}},	//   _реально_, _ardonpay_, _baseuh_, _износила_, 
   {{0x438603f2,0x00000000,0x00000000,0x00000000}},	//   _koira_, --, --, --, 
   {{0xf72f00d5,0xb26c0175,0x5c5d0220,0x3ba6036a}},	//   _solombav, _lakour_, _rustico_, _penitiko_, 
   {{0x7ea50080,0x927e03bf,0x3dd4002c,0x5daa0162}},	//   _talliman, _leano_, _emakumea, _ойнимақт, 
   {{0x53860076,0xeb1800fa,0xb53c0195,0x48f600dc}},	//   _loira_, _aabangan_, _lughdach, _sinaleuu, 
   {{0x000d0138,0x8bce00af,0xa2fc0359,0x8a100059}},	//   _kahveren, _додержан, _etalaazj, _conclusa_, 
   {{0x82740087,0x448a01c7,0x93cf0478,0x927e04d7}},	//   _cristibl, _simfonik, _clavis_, _beinu_, 
   {{0xb2ed02d0,0xd96200ee,0xc27e01ac,0x12490638}},	//   _reproach_, _planteat, _peann_, _stemte_, 
   {{0x68b400bf,0xb49d002b,0x9ef10053,0x00000000}},	//   _скотовод, _শাস্ত্র_, _संस्थानि, --, 
   {{0xed27029a,0x79c70035,0xf3fa01cd,0xb3f802eb}},	//   _redouble_, _карала_, _inqubo_, _genuke_, 
   {{0xac760413,0xd27e015c,0x317d0040,0x52b10041}},	//   _alturas_, _geint_, _חיטוב_, _жьыныҳәа, 
   {{0x027e04a4,0x4b6d02ee,0x21660040,0x53ea00d8}},	//   _teann_, _karriera_, _אסיאתי_, _auetz_, 
   {{0x8bee01f4,0x326c0115,0x23950370,0xa4750024}},	//   _катор_, _seloka_, _alasna_, _diktaren_, 
   {{0x127e013a,0xb395031a,0x42020069,0x93f802c3}},	//   _keint_, _alasga_, _muriro_, _venuje_, 
   {{0xf27e02fd,0xd37a004a,0x9b0c0213,0x3432003e}},	// [92c0] _seann_, _bitaman_, _тусна_, _австрияғ, 
   {{0xd93a0162,0x13ea0202,0xf2250105,0xf3ce0169}},	//   _параванл, _iseto_, _korki_, _olivos_, 
   {{0x391d0044,0xb3f70025,0xc9ea0011,0x87b100d1}},	//   _חבילה_, _प्रधानस्, _atagonde, _প্লেচৰ_, 
   {{0x60680013,0xef250114,0xa7b30178,0xc2fe0077}},	//   _والسوالی, _appellan, _ananurūp, _anchaje_, 
   {{0x6f990037,0x5d7800d1,0x00000000,0x00000000}},	//   _ችግሮቻቸውን_, _মতবিৰোধ_, --, --, 
   {{0x92cb018d,0xe17b0206,0x0b2d028e,0x8da7000c}},	//   _ዝተሓስበ_, _prepraco, _tambaran_, _heréncia, 
   {{0xbc5a02a3,0x3b6800c1,0x8859037c,0x43ea013d}},	//   _voltooi_, _situsnya_, _plurimos_, _biltz_, 
   {{0xe3f4055f,0xe2da0138,0x9d7f0218,0xedad00fd}},	//   _kartı_, _istedi_, _acementp, _fuincsea, 
   {{0xedb4051a,0x7ae50364,0x9c760422,0x3b8d0418}},	//   _diriwaya, _hellefen_, _zgornji_, _istihbar, 
   {{0x9d08038f,0x4c08039f,0x00000000,0x00000000}},	//   _enrollet_, _enrolled_, --, --, 
   {{0xe2da04c0,0x22130300,0xa3430092,0xd27e048d}},	//   _casely_, _nechte_, _気付いたのは午後_, _peano_, 
   {{0x52dc0352,0xb2e30342,0xc2d80193,0x8bf605d9}},	//   _måndag_, _latitid_, _kaleng_, _ampliado_, 
   {{0x4b1b0177,0x4db101ef,0x698a01cd,0xa25a011e}},	//   _squadron_, _marijamp, _ходимони_, _imilye_, 
   {{0x20ab01ab,0x668300a1,0x8fda0322,0xc1e603a2}},	//   _कुछुवो_, _hereturi, _amaziman, _काचरू_, 
   {{0xb7db05ba,0x08080291,0xa9340156,0xa2480255}},	//   _परिक्षण_, _وتعود_, _טאבסאויב, _summat_, 
   {{0xee680059,0xa8280035,0x8e5500a6,0x5290017f}},	//   _радиатор, _киресенч, _بوخته_, _akiani_, 
   {{0x64110074,0x436201f4,0x231900de,0x262f00d1}},	// [92d0] _регулиру, _белгигач, _شيراک_, _পৰিদৰ্শক_, 
   {{0xac2401c1,0xfaf500be,0x5c5d0223,0x00000000}},	//   _bernafsu_, _emissore, _малайзад_, --, 
   {{0x3947018b,0x83320107,0x025a0611,0x7efa0153}},	//   _бикаме_, _دیرینه_, _omilye_, _についてブログで, 
   {{0x9b6000e4,0x920e0008,0x8e1200e6,0x816a00be}},	//   _लेखनी_, _багат_, _用户组在线图例_, _سۉۉيۅم_, 
   {{0xd38602b1,0x60b702d5,0xcbda0088,0x83eb025d}},	//   _umaru_, _पुरुषक_, _чамасынд, _etaten_, 
   {{0xa27e00d4,0x93950392,0x88b600d0,0x0a43023c}},	//   _geane_, _blasda_, _семинарт_, _دپېښې_, 
   {{0xe3a20197,0xc90b00e6,0xd9bb022b,0x62e90084}},	//   _tanpri_, _土地增值税_, _vindeyga_, _sadikin_, 
   {{0x5c6b0620,0x00000000,0x00000000,0x00000000}},	//   _salutat_, --, --, --, 
   {{0x6d690041,0x63eb0582,0x527e03c6,0xe5f90193}},	//   _ҭырқәтәы, _eruta_, _beane_, _उपयोगात_, 
   {{0x4387024c,0x19c2012d,0x8c600155,0xb2ca0158}},	//   _gwerra_, _koperese, _sorters_, _miody_, 
   {{0x93200172,0x89d00128,0xd64e01f9,0x4d4e0153}},	//   _kanyan_, _бегим_, _asekudzi, _プレイリスト_, 
   {{0xc28a0141,0x623d0517,0x68550090,0xd26c002f}},	//   _samarali_, _eólica_, _akazotev, _cohoni_, 
   {{0xb3200054,0x02ff009d,0x82340139,0xdc0001f7}},	//   _manyan_, _pushime_, _परिचर्या, _baisins_, 
   {{0x42d30004,0x727a0102,0x629102f9,0xaa99002f}},	//   _istorik_, _mitihani_, _apral_, _chankayb, 
   {{0xf6d00147,0xd435016d,0x865c0242,0xb2d00544}},	//   _ئشەمبى_, _ﻳﯧﻘﯩﻦ_, _yetkinli, _kaleponi_, 
   {{0x03940430,0x532002f6,0xc37a00ad,0x227e00d6}},	//   _aniswa_, _ganyan_, _citakan_, _seinm_, 
   {{0x63f204bd,0xdb2d0122,0x85300460,0x00000000}},	// [92e0] _kapulani_, _camboran_, _रग्बी_, --, 
   {{0x38cc0119,0x9d080026,0x7339018d,0x5a710282}},	//   _sverdlov, _promotie_, _ኣባላተን_, _matakawa_, 
   {{0x425b0017,0x440c03d1,0x63eb028f,0x00000000}},	//   _kaple_, _dienvidk, _uruta_, --, 
   {{0xf6be045b,0xfa9302da,0x53ea0244,0xb267033a}},	//   _показник, _совети_, _egitto_, _arbuxell, 
   {{0xc108005e,0xbe010203,0x86d002fa,0xfea60137}},	//   _نۇمرىڭىز, _mimeogra, _amasosiy, _геологич_, 
   {{0xa2800285,0x087e042f,0xa38601d1,0xe38703e7}},	//   _ubukene_, _quliarlu, _smart_, _pwersa_, 
   {{0x2a4d0772,0xbe5100cd,0x327a0357,0xdc6a00ef}},	//   _wamemeza_, _tagblatt_, _kilikali_, _ashushu_, 
   {{0x34860158,0x522500d9,0xdf5c0476,0xb6330333}},	//   _एडवांस_, _korko_, _angashan, _divinazi, 
   {{0xc3950198,0x5ab90037,0xb3d50570,0xd5bd0287}},	//   _glasba_, _እንደልብ_, _व्लादिमी, _designem_, 
   {{0xa2a00316,0x62d4008e,0xd29f0209,0xeed30203}},	//   _harbin_, _bogolaa_, _amaqqall, _judicies_, 
   {{0x5317030b,0x47c8038f,0xc291018f,0x028c0322}},	//   _amazzi_, _kristeni, _ipraj_, _amakawa_, 
   {{0xbd32030a,0x430003b5,0x9c660034,0xa7a10198}},	//   _sanidade_, _dinanti_, _virtust_, _najdeneg, 
   {{0x7a6100cd,0x6b00027b,0x595e0103,0x00000000}},	//   _ballonts, _पशुभिः_, _eprotest, --, 
   {{0x20e80326,0xcd840203,0x636b0333,0xcf8000e6}},	//   _kunyatso, _exceptet_, _accerchj, _深圳市网媒信息技, 
   {{0xa85e03f5,0x7291034e,0xef250061,0x00000000}},	//   _forneced, _apram_, _홈페이지가_, --, 
   {{0xd0520396,0x4ebe0196,0xfc1e0022,0xb5cc00cb}},	//   _mikrofin, _ambuyake_, _таңһылыу_, _angaziph, 
   {{0xce6100bd,0x1d160092,0xf2d8021e,0x602d03ad}},	// [92f0] _blackest_, _と死の秘宝_, _avled_, _haddieho, 
   {{0xc7ec010d,0x28880459,0x93960120,0x95cd0210}},	//   _प्रियाली_, _हेलीकाप्, _aliyyak_, _angatiny, 
   {{0x9386066a,0xccf602de,0x5b1e028a,0x3665008f}},	//   _loire_, _उपलक्ष_, _اسپورٽس_, _च्रस्ट_, 
   {{0xf27e01b9,0xad8803a0,0x9f5c04cf,0xdb3304e6}},	//   _ndans_, _dinoolwa, _engakhan, _binalayb, 
   {{0xfd2600ad,0x6b5a00f5,0xa342013a,0xdc250210}},	//   _ngangkat_, _башланын, _elteren_, _aitambir, 
   {{0x26d300e5,0xd4f1012d,0xc26c01da,0x70e30040}},	//   _гордост_, _kriminol_, _erion_, _שרעבי_, 
   {{0xe3860113,0x6c750172,0x0b5b00ce,0x053b00b9}},	//   _boird_, _startih_, _partisip_, _क्रांतीक, 
   {{0x654d0135,0x938601b4,0x026c033f,0x1213033a}},	//   _форматла, _blare_, _hoholi_, _diehla_, 
   {{0xef510026,0x1d3702b9,0xbcac02f6,0x0307000c}},	//   _클릭하시면_, _مکران_, _tekstong_, _kanindej, 
   {{0x13860195,0x65e9034c,0xb45a0037,0xfcdd0097}},	//   _doire_, _tatarnıñ_, _ያስቀምጡ_, _erupẹ_, 
   {{0x07b003b0,0x19e000af,0x3c6703ae,0xd1e70095}},	//   _ytterleg, _яблука_, _justert_, _شهربانو_, 
   {{0x8cb70366,0x33860222,0x518c0040,0xfe180338}},	//   _границ_, _foire_, _תפספסו_, _agóst_, 
   {{0xb2eb0160,0x6dbf037c,0xb38600c5,0x627e02fb}},	//   _napisao_, _cadillla, _noire_, _keini_, 
   {{0x22a502a9,0x4510019e,0x829201fe,0xf291004c}},	//   _станісла, _фермы_, _gauana_, _akaali_, 
   {{0x827e0005,0xe2930192,0x8291019f,0x6f450096}},	//   _meini_, _한국경제신문_, _albamu_, _abasamba, 
   {{0x9e4d00ff,0x45ba00f5,0xeb9700ef,0x72d500e6}},	//   _בינטל_, _проблемл, _بالران_, _北京市业余羽毛球, 
   {{0x32e5034f,0x829002d8,0x5a3900ff,0x3e3400a0}},	// [9300] _مبارز_, _manado_, _סקאשע_, _annabawa, 
   {{0x726e020e,0x1548003a,0xd27e0252,0x22d5035e}},	//   _aarone_, _ватандош, _neana_, _pogodan_, 
   {{0x8ae601d4,0xbf660211,0x00000000,0x00000000}},	//   _feltrine, _kananmun, --, --, 
   {{0xb3860063,0x0d960356,0xc5fd0289,0x825b020f}},	//   _foirm_, _imillana, _adamangi, _amangesi_, 
   {{0x6f6c03ea,0xdd010170,0x0f250308,0xb06a00d1}},	//   _vacances_, _apambane_, _diterban, _পাঁচোটা_, 
   {{0x8c0503ad,0xa38601d7,0x6ec4011b,0xc26d029b}},	//   _massimi_, _plirs_, _banyokwa, _digook_, 
   {{0x3d830462,0x94e10297,0x5ffc00c7,0x200f0444}},	//   _agilefra, _абзары_, _аңлаттым_, _амалех_, 
   {{0x32b60193,0xaa0c0047,0x499a00da,0xfe320071}},	//   _कर्मचाऱ्, _compliqu, _стругу_, _banggala, 
   {{0xc41c0159,0xf32001b0,0x129e033e,0xfa6403fc}},	//   _renginio_, _manyun_, _itajyra_, _allmenns, 
   {{0x81a4033a,0xf2b20359,0x3b3304b2,0xd2fc023e}},	//   _severità_, _feddema_, _binabayb, _clegug_, 
   {{0x12d40198,0x6238051e,0x820000ce,0xe341013d}},	//   _ljudje_, _válido_, _linite_, _kolekto_, 
   {{0x69fa00fe,0xf252021c,0x82e700a1,0x43ac003c}},	//   _kenipela_, _odpadové_, _mēneti_, _dhupak_, 
   {{0xe237015b,0x5d19012b,0x26ac004d,0xc2240258}},	//   _badjet_, _rekrutac, _特賣商品除外_, _sijke_, 
   {{0x9d6f0356,0x22fc0564,0xa2c90037,0x2a6a061a}},	//   _chimputa, _leigon_, _አይሄድም_, _प्रशिया_, 
   {{0x6290017e,0x82fd0044,0xfe540311,0x92fc0125}},	//   _kanado_, _obvious_, _ንጣኦታት_, _belgä_, 
   {{0x582600be,0x332a00a8,0xe238017a,0x00000000}},	//   _بالاڭان_, _vincenz_, _amamaki_, --, 
   {{0xf34102b0,0x13860104,0x0fbe00f0,0x632002b1}},	// [9310] _anderen_, _umary_, _prinieso, _danyun_, 
   {{0x061004d8,0x8a9b029a,0x02000230,0x33950532}},	//   _مانچھہ_, _diminyas, _dinite_, _ulaska_, 
   {{0x126c0076,0xf386012a,0x0b6b040e,0x31d30135}},	//   _criou_, _smary_, _badevatn_, _iskitkeç_, 
   {{0xb3eb00e4,0xb373012c,0x9dd60343,0x2238003b}},	//   _vrutu_, _jumanne_, _ginharia, _emamaki_, 
   {{0x438604bb,0x4c05005b,0xb1d601a3,0xaa750297}},	//   _xmary_, _natsuki_, _واٽهڙو_, _буржуаз_, 
   {{0x625d00e7,0x51880137,0x5e4b0137,0x4bdd0187}},	//   _akefilem, _өлзийгий, _бичүүлсэ, _auditóri, 
   {{0x0f2202fd,0x6eed0060,0x92c10193,0x920e040f}},	//   _stornowa, _اتتاندى_, _नियमितपण, _газам_, 
   {{0x83410212,0x19f401ab,0x00000000,0x00000000}},	//   _interea_, _kihutanu, --, --, 
   {{0x2f7a05b6,0x48380052,0x43f000b3,0xf3eb01b3}},	//   _vondráčk, _उपप्रमुख_, _boşlugy_, _krutt_, 
   {{0xd24802f3,0xd9c5051a,0x1c6f02eb,0x00000000}},	//   _rummet_, _segelint, _teoriko_, --, 
   {{0xcea60252,0x42df008c,0x54780234,0xa2d9027f}},	//   _ngelekan, _simonet_, _ijeṣa_, _ikwega_, 
   {{0x374d007e,0x63e10206,0x542a026b,0x4a2d0178}},	//   _प्रहृष्ट, _komentov_, _desayuno_, _asitekṣa, 
   {{0x06390409,0xe4880057,0x5c6e0195,0xd25a00dd}},	//   _ブログ内検索_, _ታንዛኒያ_, _amhrain_, _beilot_, 
   {{0x696b0281,0xf20e000c,0xddb40183,0xbe4d0059}},	//   _qalipaat, _каҳар_, _atongila, _кабелите_, 
   {{0x2ce100ba,0x4320023e,0x4c5d0059,0x17b30304}},	//   _لیکۆپته_, _banyun_, _mettono_, _dijumpai, 
   {{0x6e3402a2,0x2290036c,0xd27f0195,0xf7c700ec}},	//   _tinatawa, _amian_, _eugsamhl, _prisitai, 
   {{0xd8750128,0xb852015d,0x63eb0238,0xa60101b7}},	// [9320] _موضوعلری_, _zagospod, _brutt_, _सुखदं_, 
   {{0x225a022a,0x0317002c,0x6db8005a,0x8d9a0196}},	//   _geilot_, _atazak_, _lothomva, _chingawa, 
   {{0xf63403b9,0x02ab01ec,0x7f1d03b7,0x0b1604a8}},	//   _kusisiyi, _گرجستان_, _absurdwa, _pripazit, 
   {{0x826e0321,0xc2f20040,0x827e00b3,0x1e51032c}},	//   _narobe_, _אקטואלי_, _adany_, _allanuka, 
   {{0xc1c9010f,0x523a02d3,0x29f700fb,0x78f70307}},	//   _хости_, _премиеро, _bangathe, _bangathu, 
   {{0xeeb20564,0x137e041c,0xe07405cb,0xb20100e1}},	//   _marocann, _barabub_, _उच्चमाध्, _cofiit_, 
   {{0xc38600da,0xab2d00ea,0x00000000,0x00000000}},	//   _soare_, _nambaran_, --, --, 
   {{0xf21200fe,0x531f0332,0xc2d50008,0x4324027e}},	//   _kaihea_, _crucero_, _taronja_, _турској_, 
   {{0x82010046,0x726e0403,0x42d602c2,0xa6480037}},	//   _sovint_, _marobe_, _mielies_, _ኤክሳይዝ_, 
   {{0xe66d01a3,0xdc6002e4,0xd1780007,0xd6ba004b}},	//   _سلاست_, _akkuża_, _bayangel, _disaposi, 
   {{0xd27f0257,0x638a0125,0x82eb02db,0xd2960264}},	//   _reyna_, _görse_, _kilinim_, _aimorã_, 
   {{0xf33d03b1,0xc26e000c,0x42fd00e0,0x125b00fd}},	//   _essayé_, _сакалови_, _leagen_, _meallt_, 
   {{0x8c6c0027,0xb25a02bd,0x725b02d5,0x84c302ac}},	//   _datuval_, _peilot_, _rapla_, _زملائه_, 
   {{0x4ea601c8,0xc394010d,0xbfaf03a0,0x5dd7015a}},	//   _žalované, _nungging_, _makokopo, _hiikamee_, 
   {{0x443100d1,0x521c004b,0xad0f0073,0xb27301d7}},	//   _কুটিল_, _bathes_, _removite_, _discurrì_, 
   {{0xac3d013b,0x53eb00a7,0x9274034f,0x7c77040e}},	//   _campobas, _bruts_, _دوژلو_, _einsame_, 
   {{0x62e700c7,0xe0310071,0x626001ce,0x02fb02e1}},	// [9330] _planın_, _کلسترول_, _ékonomi_, _انتقاء_, 
   {{0x32a60175,0x82da012e,0x935f018b,0x5a0b00dc}},	//   _konba_, _isteni_, _lungime_, _limalima_, 
   {{0x523605be,0xbc600479,0xb26d028d,0xc38601f4}},	//   _biljke_, _kettős_, _kuyon_, _alari_, 
   {{0x3b1d02ac,0x87a6019b,0xa3400073,0x5d8007de}},	//   _للنجم_, _centrini, _viderea_, _nordøst_, 
   {{0xb3950036,0xf4ef027b,0x89290178,0x00000000}},	//   _snasta_, _copajāya, _doṣeṣv_, --, 
   {{0xcf910082,0x9302012f,0xb92200bb,0x138a014d}},	//   _rundunar_, _ngabune_, _کوآرڈینی, _börse_, 
   {{0xc27d038a,0x99df038a,0xaa1e018d,0xf277029c}},	//   _atuntaki_, _awtorida_, _ክንግንዘቦ_, _juzijuzi_, 
   {{0xbd8d05c7,0x56900417,0x427e00fb,0x2a2b002b}},	//   _demokara, _landbouw, _afane_, _চিঠিতে_, 
   {{0xf26c0533,0xdfb00167,0x996000e4,0x220100cd}},	//   _crios_, _angladdo, _सहकर्मिय, _apaina_, 
   {{0xe73d026b,0xe2d903bd,0x13550261,0x1649018d}},	//   _cumpleañ, _aytem_, _ricevas_, _ንኽትከል_, 
   {{0xfed700b3,0xa22400da,0x226d003a,0xa2c501ad}},	//   _карьерас, _антирусе, _buyon_, _emsland_, 
   {{0x2c6b01b2,0x02010114,0x0a750499,0x3b8c0040}},	//   _diluent_, _novice_, _atagaina_, _להנדסה_, 
   {{0xe3860177,0x1301002c,0x927e0020,0xc2ca01c8}},	//   _clari_, _arrazoi_, _feanu_, _chodu_, 
   {{0x63d202ec,0xaf9801b7,0xe7a504f9,0x2a2d02ac}},	//   _نوبہارکِ, _गहेत्वा_, _akornuti, _الغدر_, 
   {{0x1dac054d,0xa9d300db,0x9a6102d4,0x02920397}},	//   _grafiske_, _lasteaed, _ballants, _amramu_, 
   {{0x5c7c0524,0xd2fc01e5,0xc26e0372,0x00000000}},	//   _glasova_, _adigun_, _iasoer_, --, 
   {{0x3387012a,0xe37903df,0x32910105,0x37c70244}},	// [9340] _twarzy_, _stranda_, _spraw_, _раници_, 
   {{0xe5b102c3,0xbdfa0455,0x9d9f00d6,0xb82201db}},	//   _technoló, _effectue_, _nionstra, _меценатт, 
   {{0x82010175,0x81d101a4,0x32900359,0x4832005e}},	//   _envite_, _atelelem, _thialf_, _خائىن_, 
   {{0x8a2300c7,0x6d8101c8,0x00000000,0x00000000}},	//   _номерлы_, _inzerent_, --, --, 
   {{0xa27e00dd,0x73050247,0x470000c7,0x74a10235}},	//   _ifanc_, _اوراق_, _kertelgä, _प्रणश्यत, 
   {{0xe3eb0665,0x238600da,0x18370061,0x704b029e}},	//   _maxtop_, _moara_, _생겼습니다_, _gwerzenn, 
   {{0x2461002c,0xdf5d0264,0x9e48031a,0x46030137}},	//   _baldintz, _paraiban, _artaigea, _золзаяа_, 
   {{0x827e0034,0xafd80291,0x4b5e00d6,0x292e0156}},	//   _beint_, _دقايق_, _státchis, _נוירסעס_, 
   {{0x0101014e,0x227e0005,0xb60801f2,0x9c6f01d5}},	//   _свети_, _meins_, _аламәтли, _احاطے_, 
   {{0x8ee30039,0x6225008d,0xcee60064,0x89640037}},	//   _болбол_, _borki_, _аксиомал, _ሞርሞኖች_, 
   {{0xd27e0364,0xe10b0342,0xb34a046f,0x8e520140}},	//   _weint_, _alimantè_, _rectifié_, _kagalaka, 
   {{0x8b3901f4,0x8ece00c7,0xd2000439,0x5a0700c7}},	//   _повороте_, _орски_, _fonile_, _kadıyr_, 
   {{0xa3eb031a,0x32900307,0x22da0177,0x3f6b02cd}},	//   _bruth_, _banazo_, _esteli_, _alubalan, 
   {{0xefc300b3,0x7c660125,0x4ea802d6,0xcea402a4}},	//   _deliller_, _чагырып_, _глюкозан, _expertus_, 
   {{0x027e06db,0x098e02b4,0x64f0020e,0x1c7d0184}},	//   _keins_, _bemhlaba_, _осоштар_, _imisego_, 
   {{0x12130378,0xd14e0187,0xf2d801d1,0xb38600ea}},	//   _aleinaðu, _segurado, _axles_, _foara_, 
   {{0x097f0021,0xc27e0151,0xfd9f00c9,0xab020171}},	// [9350] _encircle, _jeant_, _phongtra, _plavuša_, 
   {{0xd38603e7,0x32240119,0x6fd70013,0xca930102}},	//   _klaro_, _kilkis_, _зангори_, _kunyonye, 
   {{0x12490364,0x3b2904dc,0x738a0125,0x03eb0016}},	//   _stemmt_, _دزاده_, _körpe_, _staton_, 
   {{0x5afa01d9,0x22900749,0x2e930196,0x22cc0198}},	//   _benspelt, _banayo_, _chimapan, _tablico_, 
   {{0x2b920320,0xd4b20206,0x0dfb003c,0x540f01c8}},	//   _ahincinc, _paradajk, _akherate_, _identick, 
   {{0x827e01f6,0x26de005e,0x7dfc03b8,0x26ca00ec}},	//   _reint_, _لۇتپۇللا_, _داندىباي_, _баваўнян, 
   {{0x6340019f,0xee5300aa,0x19e800de,0x6cd6011a}},	//   _endelea_, _gisalaka, _iyindoda_, _השגיאה_, 
   {{0x75cb0611,0x42500121,0xfcaa0037,0x00000000}},	//   _lakanpay, _entendem, _በሞቃዲሾ_, --, 
   {{0xe31600ee,0x5425027e,0x338601e5,0xe3860075}},	//   _irabazi_, _dezinfik, _alaro_, _teirri_, 
   {{0xbcfb0050,0x9039004d,0xc6b00216,0x00000000}},	//   _ngadangu_, _万元人民幣以下的, _nakuloby, --, 
   {{0xea790177,0x0ae10034,0x125b01fe,0x22930061}},	//   _ишәызҭам, _tillagan_, _ovalau_, _간단합니다_, 
   {{0xf8fb0195,0xf1560183,0xd27f0307,0x7d470291}},	//   _chlaghad, _ahasoero, _iwenza_, _برخصة_, 
   {{0x3b820115,0x46f9004d,0xe74e021c,0x5b790311}},	//   _dianggar, _每日漲跌幅_, _pozinkov, _የሮብዓም_, 
   {{0x326e020e,0x32eb0107,0x86cc0148,0x5637031c}},	//   _letona_, _ngantos_, _pelagoni, _discográ, 
   {{0x725a036d,0x3b050289,0xcd3c0311,0x717a0094}},	//   _ceilpe_, _amasunga_, _pornoyje_, _جوڭگوشا_, 
   {{0x9b180141,0x7341023d,0x4dd80025,0xde180097}},	//   _بازارلری, _riserva_, _अध्ययने_, _ogóje_, 
   {{0xe08a06ce,0x01e700e5,0xa2d80258,0x33170268}},	// [9360] _concello, _прописи_, _menear_, _almapay_, 
   {{0xe5ff00d1,0x53210163,0x00000000,0x00000000}},	//   _শিলগুটি_, _eggyel_, --, --, 
   {{0x6c61028e,0xf13600c1,0x73730111,0x10e4002b}},	//   _fatuana_, _बिनधास्त_, _merguez_, _উদযাপনের_, 
   {{0xbb17032d,0x160300af,0x42e80144,0x2e3a0203}},	//   _kakarets, _поверх_, _túisce_, _paralysa, 
   {{0x106e0318,0xb347019f,0xfda0042d,0x2b1c017a}},	//   _fetalano, _kalenda_, _amantara, _хотирниш, 
   {{0xd2ce01b8,0xf27f014c,0xd3000388,0x827e0222}},	//   _reklaam_, _kwenza_, _infatti_, _seins_, 
   {{0x8cf2003a,0x5d3f044a,0x711d0158,0x4b010008}},	//   _باسمه_, _malheure_, _rozświet, _perillós_, 
   {{0xc529017d,0xa278017a,0x62d9030b,0xe30d0034}},	//   _商品の詳細_, _abasegal, _akweka_, _tilbaka_, 
   {{0x127f00cf,0xcc930163,0x5d0800f4,0xf2fe037b}},	//   _beyne_, _باراں_, _dirollet_, _fichaje_, 
   {{0xfea302a4,0xb2e202df,0x938601c2,0x58ca0037}},	//   _fortunae_, _komited_, _boiro_, _አይከፋም_, 
   {{0xb49e03ad,0xb69c030a,0x185f03cf,0x4c2b0450}},	//   _apparenz, _berganti, _zamanlar_, _bespruts, 
   {{0x3e6902d8,0xfa120216,0x1b4d030f,0x00000000}},	//   _percobaa, _chuchisa_, _tamaterā_, --, 
   {{0xbafb01c6,0x23470007,0xe2e9015e,0x128901ac}},	//   _traumahe, _balenda_, _баяндалг, _إقبال_, 
   {{0xd04c0052,0x3347022d,0xa1fe019b,0x72240258}},	//   _बिहानबजे_, _calenda_, _грузу_, _bonken_, 
   {{0x9d2d01d8,0x3ec602f4,0xb24900f8,0x23950073}},	//   _mobilise_, _negocios_, _ademas_, _blasma_, 
   {{0xfd83000d,0x00000000,0x00000000,0x00000000}},	//   _kommunaa, --, --, --, 
   {{0x538600d4,0xd3de003f,0x9c4a0128,0x6fc6005d}},	// [9370] _moard_, _dirwij_, _грузияни, _раартра_, 
   {{0x0065000a,0x67db010d,0x429102b7,0x9fbb0299}},	//   _allanngo, _परिक्षा_, _iqraa_, _بۇلبۇللا, 
   {{0x150501cf,0x8a1d00c5,0x04f101a3,0x67b50349}},	//   _alquanto_, _européen, _هلائڻو_, _argeting, 
   {{0xec0103ba,0x20be0226,0xc98701db,0xc24601be}},	//   _finster_, _asamutul, _ماتروس_, _बालानन्द_, 
   {{0xa6330244,0xa7470343,0x5bd500b4,0xac0403a8}},	//   _navigazi, _katindug, _vindecar, _নিশ্চিতৰ, 
   {{0xbf7904e7,0x5476018c,0xb22503cf,0x0291061c}},	//   _ježiš_, _gisteren_, _korku_, _sprat_, 
   {{0x9de800c5,0x0dcb0488,0x3507005e,0xccd1006c}},	//   _转载目的在于传递, _eichenba, _ﺋﯜﭼﯩﻨﭽﻰ_, _amahabhu_, 
   {{0xea720369,0xacc102cd,0x8065002b,0x7cc0016b}},	//   _kalakaua_, _alakarsu_, _শেষআলো_, _hakkinsu_, 
   {{0xa9d4034e,0x141301e5,0x7e0d0223,0xc1ba0311}},	//   _angolapa_, _ipinakok, _komeniga, _ብምጽውዋርን_, 
   {{0x8c0a01a3,0x74ac01c0,0x625e0081,0x415c03fb}},	//   _خرچيءَ_, _annabink, _austurhl, _redovnih_, 
   {{0x031702ac,0x05850362,0xa07d0060,0xa59c0040}},	//   _تابعونا_, _abotamak, _қайсы_, _בלבנון_, 
   {{0xc480027f,0xca36002b,0x00000000,0x00000000}},	//   _akagagaz, _খাদিজা_, --, --, 
   {{0x43a001c2,0x42c00162,0x124903df,0xb2900326}},	//   _máximo_, _инсан_, _fremre_, _fanano_, 
   {{0x52f300ec,0x6e570414,0xed2e0202,0x53db0135}},	//   _padaryti_, _chicotte_, _latibere_, _dementev_, 
   {{0x42ec034c,0x2c750631,0xb26e005f,0xc32800f8}},	//   _алтау_, _skjuler_, _tetona_, _মহাসাগরে, 
   {{0x9758050b,0x493a0381,0x458500e6,0x92490194}},	//   _चमत्कार_, _ademarkt, _亦不能抹去我站点, _tremet_, 
   {{0x924103b7,0x72ee02db,0xce1300da,0x823100d3}},	// [9380] _undeterm, _baondri_, _респонса, _šumava_, 
   {{0xed030163,0xbcbe00d9,0xd28d0084,0x2d86025e}},	//   _نگراں_, _танец_, _tatakram, _leiddist_, 
   {{0xe26c0117,0xda3602ac,0x737d03f8,0x5eb00010}},	//   _kraon_, _غالبية_, _dasambe_, _bakubone_, 
   {{0x21e10053,0xc4440061,0xb22b0206,0x86490037}},	//   _मेमरी_, _해외구매대행_, _zaradiť_, _መድረክን_, 
   {{0xb26e056a,0x726c034b,0xd25a0144,0x33000055}},	//   _fetola_, _draon_, _beilge_, _anfarti_, 
   {{0x240d02ac,0x922501e6,0x16c2005c,0xd94e01b5}},	//   _الفحم_, _yorku_, _amagorof, _khilomit, 
   {{0x3c5d0338,0x9d07002b,0x520100bd,0x00000000}},	//   _bettino_, _পরাজয়_, _scuil_, --, 
   {{0x6ed0043d,0x4e5e018d,0x1db70434,0x777700bb}},	//   _penyakit_, _ንእትገብሮ_, _derivada, _بناڈالا_, 
   {{0x8b39009b,0x0c5601cf,0x029002a2,0x7cee0211}},	//   _ахмадын_, _vortice_, _manalo_, _вреда_, 
   {{0xd3860312,0x4c5501f1,0x02ef014d,0x09b90060}},	//   _doare_, _erotike_, _kaffee_, _қобыз_, 
   {{0x038606bc,0x634700ba,0x68d5038e,0xa953019d}},	//   _toirt_, _واقعیه_, _उच्चार_, _adalembe, 
   {{0x2280003b,0x129002f6,0x1ed40452,0xff230065}},	//   _abukane_, _nanalo_, _kedingin, _voneinan, 
   {{0xaf5c009a,0x12d402cd,0xd81101b3,0x226e009f}},	//   _angaphan, _bulogin_, _столицею_, _letoma_, 
   {{0xfc0c0265,0x234705d5,0x89db0334,0xfd36006c}},	//   _webshop_, _comensa_, _amenyera_, _хирсона_, 
   {{0x316c0061,0x2b5f02c6,0x795a00e0,0xd3cb0035}},	//   _경력증명서_, _champetr, _geandewe, _dekanı_, 
   {{0xe4e00638,0xd63c0311,0x06500120,0x38c60010}},	//   _blåbær_, _ጥርጠራታት_, _taakumem_, _iyitseng, 
   {{0x22f30080,0x2291024c,0x45720060,0x00000000}},	// [9390] _imminut_, _aqraw_, _مالىمەتى_, --, 
   {{0x426c00d6,0x4ae602d8,0xd4e500e6,0x36d0033f}},	//   _araon_, _parlemen_, _阿里巴巴集团_, _lipapuli, 
   {{0x84870623,0x1ebd000e,0x0dda0147,0x00000000}},	//   _स्टाइल_, _dessinat_, _زىلدۉۉ_, --, 
   {{0x6387019a,0x75540156,0x3b2c00d1,0x7d950039}},	//   _bearix_, _פאסעדיג_, _চুক্তিৱদ, _suntsitu_, 
   {{0x6ff00016,0x325b0109,0xa3200601,0x1bbd00b5}},	//   _עמפייער_, _realit_, _dolyar_, _frontéra, 
   {{0xc29100e4,0xdd32028e,0x1229002b,0x19640258}},	//   _niband_, _panimaut_, _রাতমজুর_, _koloanje, 
   {{0x6c6b0265,0xe290017e,0x6ec4010f,0x4c5a00dd}},	//   _oilunnt_, _kanalo_, _akanason, _eilunod_, 
   {{0x60f50256,0xd3160551,0x36d80244,0xfe9801dd}},	//   _musulmaņ, _énzim_, _партийни, _bafungwe_, 
   {{0x727e00dc,0x4d9f0450,0x02d6051d,0xbb040156}},	//   _ifano_, _friesche_, _jéeri_, _קלינישער_, 
   {{0x13dc02c2,0x437800a0,0x336c00f3,0x9c6202a2}},	//   _halwe_, _babanta_, _imigodi_, _gumugol_, 
   {{0x632f0008,0x237201b4,0xd379037f,0x323a003c}},	//   _түркияда, _genaamd_, _quranda_, _گرديده_, 
   {{0xf2a80094,0xe6d202f6,0xcbb4015e,0x58d10088}},	//   _болуымыз_, _makakaki, _دىگەىن_, _аттым_, 
   {{0x1d770314,0x537f01c5,0x46ab00a4,0x2615006c}},	//   _програ_, _askarta_, _асмандаг, _рухияи_, 
   {{0x42fe0349,0x838a0421,0x620003f7,0x8dc70299}},	//   _amersgay_, _hörte_, _annist_, _جاۋخۇي_, 
   {{0x6eac023d,0x25de0037,0x734d008d,0x52900307}},	//   _gestione_, _ለመመሥረት_, _ватанига_, _banalo_, 
   {{0x0b77015e,0x4940040a,0x523a01d4,0xbe1e0243}},	//   _garrotxa_, _sommarst, _ademaru_, _tumurruq, 
   {{0xb8c601f9,0x9a4d016e,0xe37f02c5,0xe9ff0399}},	// [93a0] _ayitseng, _jandarma_, _amhanya_, _ministaa_, 
   {{0x633701be,0x9a9000aa,0x5f78042c,0x322403d5}},	//   _पदयात्रा_, _bibiguin_, _ubacivan, _bonkan_, 
   {{0x8c0504d6,0xa9360192,0x5af30087,0xe3f9000b}},	//   _choroby_, _네티즌리뷰_, _eklesias, _fufusu_, 
   {{0x19e20338,0x522403bf,0x628c004f,0xc17303a2}},	//   _bilingua_, _dibka_, _denkoon_, _उड़ीसा_, 
   {{0xc29000d9,0xb576009a,0x534f0179,0x6987027f}},	//   _omaan_, _نابينا_, _pesevik_, _bariruka_, 
   {{0xe4980148,0xe29004d8,0xd27f003f,0xc69a00af}},	//   _宜蘭美食之旅_, _sanado_, _jeyni_, _нападник, 
   {{0x62900068,0xd3860438,0x785302d6,0x211903d4}},	//   _imaan_, _anire_, _деразала, _верника_, 
   {{0x0aa60025,0x93be04e3,0x50bb03a2,0x92e904c8}},	//   _दुर्वासा_, _spavati_, _अँगूठी_, _ispiża_, 
   {{0xed8f0285,0xe4a60109,0xc6ad0322,0xf7310021}},	//   _bakeneye_, _घोडाजात्, _aratashy, _asolineg, 
   {{0x5a830364,0xb27e025e,0x00000000,0x00000000}},	//   _genialen_, _efins_, --, --, 
   {{0x760b034b,0xd48400c1,0x629202a6,0xc05e0076}},	//   _defendem_, _विषाणू_, _morand_, _среброто_, 
   {{0x7e2a02bd,0xa9960209,0xf387005b,0x74220178}},	//   _diffinia, _alakkart, _microb_, _candanā_, 
   {{0x563c02b2,0xa731025b,0x025700b4,0xa2290255}},	//   _літерату, _motorsav, _portocal, _समाचारन_, 
   {{0xc2000049,0x00a80022,0x62cb00e4,0x49680730}},	//   _ainise_, _романдар_, _uwadze_, _ferieste, 
   {{0x5eeb044a,0xbd9d0567,0x52af032d,0x9c05005b}},	//   _calvaire_, _спамер_, _именлек_, _satsuki_, 
   {{0x72770075,0xe2900068,0x420200a9,0xf41703db}},	//   _einsamal, _amaan_, _muribo_, _buyinzuz, 
   {{0x0c4e0323,0x9366026c,0x2ef70036,0x9bef0640}},	// [93b0] _زماني_, _臺北市政府_, _للنقاش_, _redovito_, 
   {{0x9d860244,0x020002ea,0xec8603ad,0x43780241}},	//   _dicembre_, _finire_, _dicembru_, _dabalta_, 
   {{0xf7ba022f,0x527f0540,0xbe3700ee,0x3057033d}},	//   _sportini, _reyni_, _bilaketa, _konsekan, 
   {{0xe20e000c,0xa73a0076,0xee240037,0x13e1002b}},	//   _магас_, _долга_, _የድርጊት_, _পরোক্ষ_, 
   {{0x6fc60132,0x29f10239,0xa9c70019,0x23860388}},	//   _مانسہرہ_, _apiianga_, _тараза_, _unire_, 
   {{0xeec604c7,0xc26f02c1,0x727e0187,0x4c930060}},	//   _тактику_, _bariyeri_, _afins_, _قاراس_, 
   {{0x7a0a001c,0x82cb01a0,0xe20e006c,0x00000000}},	//   _vorarlbe, _mthonga_, _мазан_, --, 
   {{0x769d0080,0x99c700c7,0x420e0397,0xe5200137}},	//   _tapersii, _манара_, _кафан_, _ббншазк_, 
   {{0x42fd01da,0xcd3602f7,0xdefd0061,0x37ad02b4}},	//   _reagon_, _bonnyane_, _예측하한가_, _esiteshi, 
   {{0x686e022e,0xc39502d4,0x32ca02b7,0xb96e0290}},	//   _scrivend, _fiasta_, _yindä_, _scrivent, 
   {{0xd3370287,0x4a7d030f,0xab05030b,0x0fba0074}},	//   _धापासीमा_, _ereatara_, _alisinga_, _налогопл, 
   {{0x7ba70179,0xe95b0465,0xd2da04ad,0x920102ff}},	//   _nevifiko_, _edinstve, _dipelo_, _fofile_, 
   {{0xf9aa0141,0x738703ba,0xf26c01c2,0xce330034}},	//   _мобил_, _nearei_, _graos_, _plötur_, 
   {{0x534103dd,0xb4640311,0x22900251,0xe20001ab}},	//   _modelen_, _መኸተምታ_, _umaan_, _sinise_, 
   {{0x02ca053f,0xd9d00064,0xbe0100e7,0x38f3004d}},	//   _awaliti_, _turístic_, _ainedtra, _運送及保固說明_, 
   {{0x227202ac,0x5c5b02fe,0xde1a014a,0x00000000}},	//   _dónal_, _athukwe_, _receptka, --, 
   {{0xd85302ac,0x4b4e0061,0x222b0087,0x4d100142}},	// [93c0] _ودمتم_, _로밍플러스_, _hlomile_, _cayanaṃ_, 
   {{0xf84c0026,0x83010184,0x026e00ab,0x653d028a}},	//   _있었습니다_, _abibone_, _maroke_, _نيلامي_, 
   {{0x7f5306fa,0xed420092,0xbe4e01cd,0x6172004d}},	//   _अभागा_, _リストを作成する_, _мадди_, _係指買進買權與賣, 
   {{0x7f7a018a,0xe0f70147,0xc35f0092,0x793500bc}},	//   _perchenn, _تاشۇۇچۇ_, _トは空です_, _اورولوژی_, 
   {{0x504301d4,0x23e100d1,0xba03002c,0xc2fd0359}},	//   _alluntan, _পৰোক্ষ_, _alvareze, _teagen_, 
   {{0x92920369,0x822503c0,0xceca0240,0xbf2b02e4}},	//   _kauaka_, _kirke_, _itinitin, _sekondar_, 
   {{0x738d033f,0xb69c0247,0x82d500e5,0x00000000}},	//   _anaseini_, _تقاضای_, _autoria_, --, 
   {{0xd37f01a6,0x13db0282,0x19f502c7,0x16c502e2}},	//   _ikianga_, _kemureti_, _kreative, _bossaney, 
   {{0x92750382,0xf5460074,0x537a0288,0xf69700d1}},	//   _cristicl, _листья_, _keramen_, _পলসুৱা_, 
   {{0xcb5602af,0x9b7f0067,0xeb630160,0x48d60043}},	//   _akamutor, _awuropaa_, _rečenice_, _akuumeng, 
   {{0x7a7d00b0,0x42000003,0x47000113,0xfc990040}},	//   _rasaasta_, _mooier_, _brathadó, _לקרקע_, 
   {{0x548e0148,0xfc0d032d,0xa2a6024c,0x00000000}},	//   _本商品最高可折抵, _байсурин_, _jhobbu_, --, 
   {{0xf91c0361,0xd6b60035,0xfa0200b2,0x00000000}},	//   _масштабе_, _карыйк_, _durboota_, --, 
   {{0x8ae60057,0x920200be,0x82010277,0xa38600ab}},	//   _parlimen_, _adrià_, _ipaila_, _moari_, 
   {{0x614e0372,0x946600bb,0xc2fc03f8,0x91a900d7}},	//   _cantorio, _واٹمور_, _luqippu_, _приятиеһ, 
   {{0x92fd02a0,0x42d9045f,0xb2fd0258,0x4fd60113}},	//   _adagun_, _byter_, _seagen_, _biúró_, 
   {{0xa7410151,0x42f300ad,0x9c340347,0xed3403e6}},	// [93d0] _antortag, _araheng_, _getiteld_, _getitelt_, 
   {{0xe0260040,0x00000000,0x00000000,0x00000000}},	//   _אייקון_, --, --, --, 
   {{0xb20e03c4,0x254e03de,0x9f110272,0x226c0230}},	//   _қараш_, _ngokwakh, _abataata, _ksion_, 
   {{0x3d80018b,0x16810066,0x3e0000b3,0x56b1016d}},	//   _incercat_, _inbertsi, _abadanda, _әйдизни_, 
   {{0xf99d0398,0x1c5700c3,0xd9e70008,0xa6c703a1}},	//   _тарых_, _nostrae_, _emprened, _straordi, 
   {{0xb9410222,0x3aef00e7,0x526c033f,0x3a7b0541}},	//   _commerce, _alleries, _lalova_, _naučni_, 
   {{0x72fc036f,0x001f0145,0xdf690110,0xa4590061}},	//   _stigla_, _integruo, _atrastas_, _행정민원서식_, 
   {{0xab9705e7,0x8c9300c4,0xcb9e0073,0xf291022c}},	//   _hlangano_, _شاباس_, _granario_, _cibatu_, 
   {{0x120100f7,0xe2940016,0xbd8004ca,0x239402f6}},	//   _muziko_, _funkcii_, _libertat_, _inisip_, 
   {{0xfaea001e,0x32b1024a,0x66d20160,0x7b0201df}},	//   _tallafin_, _bindawa_, _jutarnji, _conseede, 
   {{0xf38601c6,0xa59f004b,0x92ee02f3,0xaa1501fe}},	//   _moarn_, _bakgalah, _proffs_, _nimataka_, 
   {{0x6c520303,0x95c40251,0x00000000,0x00000000}},	//   _itatola_, _suganyih, --, --, 
   {{0x520e0066,0x52900245,0x00000000,0x00000000}},	//   _зарах_, _umiam_, --, --, 
   {{0x945f065e,0xf7370297,0x11b2002b,0x96200009}},	//   _foretruk, _бронсон_, _স্পেট_, _položnic, 
   {{0x16d404ac,0xf22403e0,0x126c0127,0xe503061e}},	//   _площадь_, _jonken_, _araok_, _conrrero_, 
   {{0x521c04bb,0x4e01004b,0xeaf7002b,0x8df300cf}},	//   _nathis_, _bofedera, _জন্মে_, _diddiira, 
   {{0x86a70032,0x3b0300cd,0xb38e0597,0x00000000}},	// [93e0] _datunmoh, _constett, _дiабелир, --, 
   {{0xb27e005b,0x5e630111,0x12f30102,0x9454002b}},	//   _aging_, _déclaran, _zahanati_, _হালনাগাদ_, 
   {{0xcb9702c3,0x920b01b5,0x526c0244,0x5c6700a6}},	//   _objednať_, _anakanyi_, _padova_, _غرقاب_, 
   {{0xb37d0021,0xec6c0040,0xd6d802bb,0x66d000d6}},	//   _aterialm, _natural_, _doradztw, _truailli, 
   {{0x0f090037,0xa1fc0093,0x82d8015e,0x417d00de}},	//   _ተተርጉሞ_, _камамбер_, _famoses_, _ekwanjal, 
   {{0x69810029,0x13dc0226,0xa7ef0040,0xa63300f6}},	//   _کراکی_, _adamaliz, _למדנו_, _birimizi, 
   {{0x327e0409,0x14950119,0x4e600439,0x4d0e00c5}},	//   _beans_, _pruszków_, _duncombe_, _深圳市威尔鹰电子, 
   {{0xef580065,0xb291007f,0x227e02fd,0xce0a0311}},	//   _strassen, _fugail_, _peant_, _ብዝተኣሳሰረ_, 
   {{0x726c0585,0x9a2901f6,0x0c9c0128,0x438600d4}},	//   _radova_, _উপন্যাসখ, _руҳда_, _boarn_, 
   {{0x735401f1,0x8356013d,0x12ca01e5,0xfb6703f2}},	//   _bisedat_, _posedas_, _idalebi_, _кабелей_, 
   {{0x801a0079,0x226c0119,0x5fe80087,0xe4890226}},	//   _pieprasī, _yalova_, _chayelen, _akuganiz, 
   {{0x027e04cf,0x21fd015d,0xba640092,0xcd6a0126}},	//   _afana_, _dodanych_, _タレント写真集_, _подавати_, 
   {{0xfb2b0132,0x20580281,0x72910275,0x8d600012}},	//   _paradics, _taarsern, _fafano_, _खुनैब_, 
   {{0xbeaa0128,0x893c01db,0xf2020281,0x10730212}},	//   _банклари, _тіскебас, _aqqisa_, _trecento, 
   {{0xdb0d022a,0xf387041e,0xbd1b0400,0xcc5c0067}},	//   _komplita_, _wagram_, _tessitor, _buttaan_, 
   {{0x02fd00d6,0x427e03de,0xe38e03a9,0xf75c02bf}},	//   _leagan_, _efana_, _дiабалар, _kulibang, 
   {{0xfdad0233,0xe97400de,0xdba601c8,0x85df00e6}},	// [93f0] _bernhaup, _andinaxe, _sendvičo, _服西瓜的发展规划, 
   {{0x665d012a,0x2d8402c2,0xe386030f,0x81fa02c4}},	//   _समाधि_, _romeinse_, _koaro_, _формиран_, 
   {{0xd20102c6,0x57b40325,0x00000000,0x00000000}},	//   _diviet_, _dəlilik_, --, --, 
   {{0x2bef0033,0x52ec04c8,0x2371008e,0x9e5200ed}},	//   _ulteriur, _ikklikkj, _jamanog_, _magakaka, 
   {{0x0a03013d,0x62fd0195,0x899800c4,0x5c280088}},	//   _ברעכן_, _beagan_, _کيرٿر_, _алмашылг, 
   {{0x427e02ca,0x2f2e00d9,0xb20000e2,0x17ca04d7}},	//   _seans_, _цикла_, _linige_, _bersýnil, 
   {{0x2c6c0277,0xc24a0348,0x6e4e03fd,0x00000000}},	//   _batural_, _atumye_, _tamalela, --, 
   {{0x45ab00d6,0x226c01ac,0xcec3009a,0x68b40235}},	//   _rangaith, _draoi_, _awunaman, _avināśit, 
   {{0xe3cc0132,0x328002ec,0xc54e0092,0xe15d0153}},	//   _néven_, _tiriyey_, _紹介スポット数_, _ソフトウェア株式, 
   {{0x92ec00c7,0xa2fd036e,0x69d604c7,0xc6c40153}},	//   _юлдан_, _aranway_, _закупа_, _黄色い花の道散策_, 
   {{0x6387012f,0x4d8600d3,0x53730117,0x5b610760}},	//   _emeren_, _अनेकौं_, _pliande_, _अग्रस्था, 
   {{0x4c8e03d4,0x8bf0013c,0x447d03f8,0xe02c0139}},	//   _zadržava_, _tesekkur, _jipeghmo_, _candrako, 
   {{0x43730222,0x5c0f02d8,0x936c04ca,0x66b100e6}},	//   _humaine_, _तेलंग्रे_, _amagadi_, _英国航空公司大幅, 
   {{0xa6b600c5,0x5e4f034d,0x0155018d,0x8d9a01d2}},	//   _不良信息举报_, _kegagala, _ዝተሓጽረ_, _chankawa, 
   {{0xb2010002,0x92fc024c,0xdd9d0297,0x5e1700d2}},	//   _novine_, _faegg_, _diseñme_, _dicekela, 
   {{0xcc090140,0x50f704be,0x32c90037,0xa23700f3}},	//   _propeta_, _artiukul, _አይሞትም_, _esimema_, 
  
   {{0xbd03015e,0xf0f50213,0xf8c000e6,0x00000000}},	// [9400] _montserr, _европеид, _推荐使用本公司特, --, 
   {{0x9103002e,0x6300022e,0xd4560071,0xec01021e}},	//   _građana_, _difatti_, _یائسگی_, _vinster_, 
   {{0x2ebf000e,0x025b00fa,0xcc7f0285,0xdc3d0147}},	//   _apartene_, _taglay_, _rutsiro_, _تاپتىڭىز_, 
   {{0x039501ff,0x3339018d,0x9c550191,0x52290025}},	//   _časti_, _ንይምሰል_, _kostnad_, _समाचारः_, 
   {{0xd12d00f5,0x1d65027e,0x9e5503ef,0xd7db018d}},	//   _палта_, _главном_, _buhagije_, _ማርዶካይ_, 
   {{0x836202f6,0x753c0137,0xe6d301e8,0x8ab40205}},	//   _isumbong_, _турмалин_, _makamahi, _суртиш_, 
   {{0xa3e001f0,0x4c030039,0xfdd102fe,0x3378037f}},	//   _baamalek, _kontserb, _amahashe_, _dubayda_, 
   {{0x5d000169,0x7b6d028b,0x94190276,0x0a5800e5}},	//   _পরাজিত_, _barréra_, _реаллиқ_, _близначк, 
   {{0xc06f001b,0x7e1d01f4,0x3225047d,0xa2b90156}},	//   _barattoo, _آقساقال_, _zirka_, _מחרחר_, 
   {{0x4e5400bc,0x12960097,0xb6020365,0x00000000}},	//   _مذاهب_, _esekuku_, _अमरदह_, --, 
   {{0x72ef0067,0xf411011b,0x5ff504a5,0xd3870105}},	//   _caffee_, _amonisak, _amakhobo, _twardy_, 
   {{0xd25a01a7,0xbdc20135,0xdfa302b3,0xba0a02a5}},	//   _meille_, _ужастик_, _nucleoso, _vzhůru_, 
   {{0x123603b0,0x93540159,0xe395003c,0xd31700d3}},	//   _miljø_, _kolegos_, _diasap_, _asiatky_, 
   {{0xf66c0156,0xce84017a,0xbe2d015e,0xd475069b}},	//   _גליציה_, _муртазо_, _قالارمىن_, _didepank, 
   {{0x5a790220,0xd201012f,0xffdd01db,0x00580156}},	//   _социална_, _scuit_, _намазына_, _געלעזט_, 
   {{0x7b190429,0x3347022d,0x4d850360,0xfcd400d3}},	//   _barangan_, _rimessa_, _आर्कषण_, _uskutečň, 
   {{0x72d80377,0x74720024,0x20af01f9,0xd53500ff}},	// [9410] _camere_, _মালায়াল, _atimisel, _סוועט_, 
   {{0xac0a0003,0x93e4061f,0x82ee02f4,0x7aff0350}},	//   _stoppen_, _toplinsk, _profes_, _እየገለፁ_, 
   {{0x634e00d2,0x9f950347,0x72010216,0x4b1c00d9}},	//   _samemeh_, _prediker_, _lovile_, _kataisen_, 
   {{0x1b8a0701,0xfe1201c1,0x49f70003,0xf38c0220}},	//   _iqinchir, _keseimba, _gedachte, _pensioni_, 
   {{0x4ca50464,0x9b20003c,0x202f029e,0x5d1b0158}},	//   _abuzukur, _muhaimin_, _deverado, _imprezac, 
   {{0x625a00fd,0xa2910420,0x1dcb00d6,0x1201008a}},	//   _feille_, _safado_, _inchinne_, _tovine_, 
   {{0x346f00ee,0x83a8010d,0x00000000,0x00000000}},	//   _bederatz, _इंडिजमधी, --, --, 
   {{0x220201c5,0xc20100a7,0x338c03ec,0xbaae02d3}},	//   _arrimo_, _enviat_, _tensioni_, _пробајте_, 
   {{0x825a0211,0xf94d0455,0xf96c00a0,0xa25b0479}},	//   _heille_, _insolite, _aminudde, _padló_, 
   {{0x36350179,0xaad302fd,0xc0b702fe,0x1bde06d1}},	//   _otsinifi, _dhotaire, _ماربورګ_, _tímpano_, 
   {{0xddb90462,0x7e1d00ad,0x89c70152,0x126d0090}},	//   _owingsha, _munggara, _барачак_, _bryon_, 
   {{0x87aa0263,0xe2fd0499,0x678700be,0x9c8d0189}},	//   _instelli, _atagia_, _جاشادىم_, _sendromu_, 
   {{0xafcf0397,0x62ca0037,0x2e2b00e0,0x126c01a6}},	//   _abangebo, _utiliti_, _einlings_, _patipati_, 
   {{0x7fd60226,0xbccf0046,0x57a80022,0x5b560059}},	//   _akuziten, _تۅكمۅلۉك_, _биналарҙ, _третият_, 
   {{0x24f80138,0xbc870024,0xb286016e,0x00000000}},	//   _otomobil_, _তালুকদাৰ_, _noktasın, --, 
   {{0xb38601af,0x00000000,0x00000000,0x00000000}},	//   _olary_, --, --, --, 
   {{0xc26e0371,0x86d30096,0xa3ff0004,0x3e28020a}},	// [9420] _popoli_, _bakabahi, _kwazman_, _мирасқор, 
   {{0x2e3406b0,0x0a8204ad,0xa300047b,0xf7450076}},	//   _eyugosla, _porofens, _einasti_, _composiç, 
   {{0x831c0148,0x325a0528,0xb3dc01f9,0x1464016d}},	//   _peccata_, _ceille_, _balwe_, _сүрүшигә_, 
   {{0xce31013d,0x1bf900de,0x593d011a,0x9b08023c}},	//   _inkludas_, _ayinanto_, _frompage, _bangadib, 
   {{0xc202004f,0x820c0071,0x238a040a,0x19e50021}},	//   _yaqiin_, _شيريني_, _rörde_, _averaged, 
   {{0x8a7f02af,0xdc0a03da,0x7555012a,0x00000000}},	//   _barabura_, _samplin_, _dokonał_, --, 
   {{0xf4d700b7,0x2c7d04d7,0xe6370012,0x1c930060}},	//   _назары_, _pressan_, _साचहूँ_, _نارات_, 
   {{0x527e0292,0x7aee01b7,0x6b980486,0x41680040}},	//   _afanu_, _प्रजायते_, _ग्लुकोज_, _המיתולוג, 
   {{0x277804dc,0x694e002b,0x92eb01ac,0x8a8b01be}},	//   _دووایی_, _বাসনা_, _eatraimh_, _जन्मनु_, 
   {{0x8a4d01f9,0x2eae05ab,0x2e3404b2,0xa8790405}},	//   _bhadála_, _bailarin, _binabawa, _мембран_, 
   {{0xfee00051,0xfee8004b,0x00000000,0x00000000}},	//   _konkurss_, _chakelan, --, --, 
   {{0x6a5204ca,0xfb7301e8,0x00000000,0x00000000}},	//   _molecula_, _madumala_, --, --, 
   {{0xf3860092,0x938a0163,0x26a100e7,0x00000000}},	//   _clary_, _körbe_, _angelesw, --, 
   {{0xeb190089,0x92ee0009,0xe06906da,0x00000000}},	//   _karalgan_, _pikniki_, _प्रखरता_, --, 
   {{0x22e30086,0x42e00202,0x329002a2,0xe0360696}},	//   _eleinte_, _ibunsun_, _panalo_, _ineficaz_, 
   {{0x927f0207,0x7f5c00f2,0x826e0483,0x9a8b00d9}},	//   _kwenda_, _saraksts_, _retoma_, _auringon_, 
   {{0x43270119,0xf2d400c7,0x8d8102e0,0x8db000d1}},	// [9430] _aracaju_, _qullanu_, _diresepe_, _নিকটৱৰ্ত, 
   {{0xbc06024a,0xb7e103c6,0x31ac0143,0x00000000}},	//   _imisinu_, _komplemi, _клинични_, --, 
   {{0x3364027c,0x32d80211,0x127e01b9,0xe38602e1}},	//   _دویمه_, _treeid_, _ofans_, _inarb_, 
   {{0x527f01d9,0x02250287,0x990401c5,0xf9b5023c}},	//   _svenia_, _řekli_, _kumbiyuu, _ماسټرۍ_, 
   {{0xee6600c7,0x1a6c020e,0xc437013d,0x25cd01c5}},	//   _ictimagı, _ateminis, _koncepto_, _garaacay, 
   {{0x8ecc014b,0xf8e7019e,0x7b2101db,0x55fb026f}},	//   _facisaan, _konfisku, _көлбеу_, _شىرشىق_, 
   {{0x9386024f,0x4c58005e,0x437f0422,0x326e0318}},	//   _anare_, _مەشۇق_, _splača_, _hopoki_, 
   {{0xe4b502af,0x168102d8,0x04a30167,0x32e300d2}},	//   _akabarek, _चवदार_, _anniogel_, _homosex_, 
   {{0xaef1016d,0xf2ef013f,0x42490046,0x5f520211}},	//   _ислами_, _bannlev_, _cremat_, _tilavuus_, 
   {{0x4e380240,0x747a01da,0xe0f3047b,0x7d220328}},	//   _butabuta, _sektorin_, _almindil, _incoreke_, 
   {{0x2b87014b,0x929002fb,0x64570149,0x6dfd012e}},	//   _allaaqâ_, _emaau_, _gwụgoro_, _الکتب_, 
   {{0xb278038e,0x650c01fb,0x8bfb0059,0x2c5b0009}},	//   _warnet_, _oppresso_, _preghier, _filtrov_, 
   {{0x4b250397,0x524801fb,0xeb420294,0x89e80416}},	//   _ababekus, _gemmas_, _bäjuman_, _lingusit, 
   {{0x459c01d2,0x528a00e2,0xba03006d,0x00000000}},	//   _deberniy, _saaklik_, _буфэр_, --, 
   {{0xecca07df,0xf36c0009,0xd3f80222,0xb7e90153}},	//   _देवयानी_, _boleznij, _atouts_, _マスコット_, 
   {{0xf29001fa,0x5386028c,0x01450193,0xd37800c4}},	//   _manako_, _kiire_, _मंजूडी_, _ايڊمن_, 
   {{0xc6da00e6,0xbb270092,0xb2c301e7,0x4c3f02b6}},	// [9440] _荨麻疹警惕_, _ekspedie, _hellblo_, _адамша_, 
   {{0xe27e0288,0x97d4030b,0x92e20233,0x8290003b}},	//   _ngana_, _awereddw, _quancom_, _fanako_, 
   {{0x750805a9,0xfcb8014a,0x1d1c015e,0x5139034c}},	//   _bwampamy, _گزرنا_, _илдет_, _groznıy_, 
   {{0x90c10362,0x907300c4,0x00000000,0x00000000}},	//   _atelemel, _walalaho, --, --, 
   {{0xc5190113,0xa290017d,0xc8190164,0x04070161}},	//   _روحانية_, _hanako_, _хираҗити, _фракции_, 
   {{0x7e2601ef,0xf26e01d4,0x3e3202f6,0xd290005b}},	//   _сайтам_, _nipoti_, _pangmala, _kanako_, 
   {{0x2ae902da,0x9395012a,0xaf6501db,0xe48e0061}},	//   _комисија_, _ciasta_, _алынуы_, _방식입니다_, 
   {{0xf2b40495,0xd6250185,0x6a820052,0x1dd70177}},	//   _azoca_, _agroximi, _srozumit, _ehekotee_, 
   {{0x1d4d017f,0x61f4022a,0x02480249,0x33f3012e}},	//   _pisariaq, _elenadom, _jemmis_, _vizuális_, 
   {{0x2aaf0008,0x52e60197,0xb27403e5,0x92c90350}},	//   _travesse, _ajennda_, _redakamü_, _አይገቡም_, 
   {{0xd2b200cf,0x7dd30125,0xc7640299,0x00000000}},	//   _windown_, _bashlama, _بعخةتةرل, --, 
   {{0x220001e5,0x127e02fc,0x86b302d8,0xe7be00cb}},	//   _ainiye_, _agana_, _ऋजुता_, _бригадаи_, 
   {{0x83860258,0x9a8e0191,0xa0f000a8,0xad7e0074}},	//   _doarp_, _ekonomin_, _cavigell, _коаксиал, 
   {{0xdd100025,0x42900544,0x9ba501ad,0x4fa502f3}},	//   _क्षेत्रे_, _banako_, _kozienic, _experter_, 
   {{0x86f70220,0x1ed004f9,0x82ef00fc,0xcc560040}},	//   _огранича, _qaangern, _danihta_, _הילטון_, 
   {{0x0ee401b7,0x3c6500a7,0x2ae80281,0x4d960392}},	//   _संस्कृता, _voltant_, _akuttune, _coileana, 
   {{0x23dc0252,0xec550044,0x726c0179,0x66d401c5}},	// [9450] _malwa_, _instead_, _talopa_, _makaahii, 
   {{0x13dc038d,0x629003d9,0x138601e5,0xef2f004a}},	//   _lalwa_, _tanako_, _inira_, _dugasınd, 
   {{0x22ff005b,0x163801c2,0x247c02f7,0x1016011a}},	//   _vsphere_, _ortiguei, _ditemalo_, _הבוגרת_, 
   {{0x62020260,0xc3410117,0x742200c4,0x5f2e004c}},	//   _ético_, _intefea_, _واهپي_, _benukada, 
   {{0xa1e400d1,0xa39604fe,0xd20002ee,0xc2e101ec}},	//   _বিপদমুক্, _passà_, _lemin_, _purnomo_, 
   {{0x1a8f0120,0x5bb5005a,0x5915017f,0x74d7004b}},	//   _bakistan_, _jegheghc, _appammiu, _таралыу_, 
   {{0x906f0303,0x5c76033d,0x5eca008a,0xf17801f9}},	//   _bababelo, _aristid_, _atinaein, _atsatsel, 
   {{0x314500ec,0x3d3e01c0,0x191504b3,0xaea10279}},	//   _pareikal, _changjie_, _doubladu, _figurent_, 
   {{0x794f021c,0x5cbe0444,0x88fb0107,0x638901cd}},	//   _samostat, _нанес_, _asmanipu, _akuyona_, 
   {{0xa16d011a,0x5f410279,0xe31701c0,0xe6b10439}},	//   _salivary_, _souscrip, _hfazah_, _nakulorh, 
   {{0x8f3c02eb,0x9386029c,0xaf48005e,0xdbe20110}},	//   _сосорбар, _anira_, _مۇدىرلىر, _kredītre, 
   {{0x12830410,0xa0ca0405,0x02fd00fd,0x82010019}},	//   _borapedi_, _поява_, _haggas_, _vivint_, 
   {{0x02d503a7,0xfc620055,0x12f300aa,0xbc1601ad}},	//   _levoča_, _patrone_, _gidikit_, _cklabruc, 
   {{0x94a7006d,0x286e00c3,0x796e00a8,0x9ae70371}},	//   _паркам_, _scribend, _scribent, _жилетки_, 
   {{0xbb0502c1,0x9202005b,0x337e00be,0xef780299}},	//   _akoresha_, _yuriko_, _базарлык_, _بەخشەندە_, 
   {{0x6014031d,0xa3c303ff,0xc7ca00e4,0x93eb02e2}},	//   _burdenso, _dávno_, _słuchawk, _ditty_, 
   {{0xaeec0047,0x5ccc00c5,0x9200037f,0x0dea018d}},	// [9460] _编译或摘编自其它, _直辖市人民政府建, _hemin_, _መንነቱን_, 
   {{0x7d3a003b,0x5a73033f,0x3cef01b4,0x09980074}},	//   _belijele_, _palamata_, _protesgr, _laskulla_, 
   {{0xf2ef04c0,0xf3940356,0x54f40102,0xaaf301ef}},	//   _awufo_, _kunsai_, _گفتگوءَ_, _бессмяро, 
   {{0xf27e03e0,0x141300c0,0xb291019c,0x92ba0393}},	//   _ufank_, _kaisipan_, _idaasi_, _kiselog_, 
   {{0xc3780386,0x55d8011a,0xc04b0299,0x82ec029b}},	//   _melawan_, _והמחברים_, _تىگشلىك_, _litimie_, 
   {{0x4291019d,0x12e000fb,0x72000274,0x982903f2}},	//   _adaati_, _akanalo_, _femin_, _родились_, 
   {{0x8386021d,0x0202021b,0x00000000,0x00000000}},	//   _sikres_, _puriko_, --, --, 
   {{0xf28e019a,0x0d0c0318,0xc2da012a,0x827502a6}},	//   _bathert_, _kaumeile_, _apteki_, _antrupul, 
   {{0x1d3b0253,0x7c6e077b,0xa1480255,0xfe0b00ec}},	//   _angajoqq, _escriba_, _sektsioo, _normalus_, 
   {{0xe96b037c,0xb52c0029,0x2240002b,0xa2000418}},	//   _strivect, _ماشێن_, _ধানমন্ডি, _yemin_, 
   {{0x3b07002d,0x42130544,0x127e04ad,0xab1b0311}},	//   _admisión_, _haahaa_, _kgang_, _ገሊጽሎም_, 
   {{0x2d280169,0xa20001af,0xaca60040,0x37380076}},	//   _নানাবিধ_, _dinine_, _גימיקים_, _предозир, 
   {{0xfb1c03cc,0xb9d501b7,0x925600d1,0xba730275}},	//   _respuest, _स्वयम्_, _বান্ধে_, _kalahata_, 
   {{0x94740041,0x27570008,0x83410086,0xa26f00ca}},	//   _атомтә_, _تىنىچتىق_, _hidegen_, _amenòfis_, 
   {{0xd962007b,0x6d8f0037,0xe35602a4,0x605900ee}},	//   _unintent, _አታውቁምን_, _superis_, _aktiboak_, 
   {{0x427e02f6,0x27310177,0x4b7a030f,0xa29102d3}},	//   _ngang_, _acusació, _eparaima_, _cavalo_, 
   {{0xf27e0448,0x9333005b,0x86bd004d,0x02ef00b4}},	// [9470] _igang_, _epsxe_, _外國人在台生活諮, _politia_, 
   {{0x9373012d,0xce180362,0xeb69005b,0x42c700d8}},	//   _malakae_, _basepela, _arzentin_, _bellòc_, 
   {{0x035500ca,0xc9e40055,0xc2f6012d,0x22ef0015}},	//   _esperit_, _quattord, _frensip_, _fikirka_, 
   {{0x7c1400c5,0xbf7a012c,0x3dbc0270,0x19eb004d}},	//   _没有相关文章_, _افتتاحي_, _essayate_, _兩岸共同市場成大, 
   {{0x93000013,0x74f103e6,0x13dc019d,0x32910068}},	//   _sababli_, _schmaach, _badwo_, _adaasi_, 
   {{0x3713017d,0x027f0257,0x815902ff,0x520003cf}},	//   _アビシニアン_, _reynt_, _laiguegl, _temin_, 
   {{0x731604d3,0x62d7038f,0x524002d8,0x437a01d7}},	//   _xubntiag_, _uhelder_, _उतरलो_, _stradun_, 
   {{0x5daa01ac,0xcb4101b4,0x8d3102eb,0x12020109}},	//   _phrionsa, _potchefs, _сталиныг_, _litomyšl, 
   {{0xe6460251,0x6ab302f3,0x2d620139,0xc7770166}},	//   _خاموٝشی_, _marknads, _मार्कण्ड, _bisherig, 
   {{0xc20005d7,0x9e6905c1,0xc2e301b4,0xbecb002f}},	//   _zemio_, _percubaa, _komitee_, _allillan, 
   {{0xda1302c5,0xaf5c0119,0x00000000,0x00000000}},	//   _achaiche, _kagamhan, --, --, 
   {{0x2378028d,0xcaab0360,0x8c62013d,0x86a302be}},	//   _delavan_, _broskví_, _ambroce_, _hinusgah, 
   {{0x98a702d3,0xff210003,0xab030220,0x43940084}},	//   _правец_, _rotterda, _полезен_, _bungking_, 
   {{0xf2d5011d,0xd7a901e1,0x732702aa,0x4b130347}},	//   _istoria_, _инспек_, _pracuju_, _waaghals, 
   {{0xa292002e,0x1208012c,0x1d080203,0xcf1e01ec}},	//   _moraju_, _موالات_, _memorise_, _bentenip, 
   {{0xfe8303e9,0xdaa40414,0xee5d000c,0x00000000}},	//   _araýüz_, _koningis, _ҳамчи_, --, 
   {{0x89d00088,0x2f2e00c7,0xe7f501a3,0xe87a0374}},	// [9480] _темир_, _идарәсе_, _جفاڪشي_, _кашандал, 
   {{0x73540050,0xd341013d,0x551c02fe,0xea6701f4}},	//   _disebat_, _komerco_, _ayinakuy, _арслон_, 
   {{0x33370128,0xbe18021c,0x38bd018d,0x4291005a}},	//   _ایشلیدی_, _skóre_, _መዐቀኒታት_, _focalb_, 
   {{0xedfd0462,0xa6a90033,0x43c102ac,0x485c0291}},	//   _appearwa, _represch, _monarú_, _مممممممم, 
   {{0x29e30038,0x7290030a,0x6540027b,0x76e50011}},	//   _торалар_, _remata_, _विषदूषिण, _amabaluw, 
   {{0x82900227,0xf9600024,0xa38701be,0x63790418}},	//   _semata_, _পৰিক্ৰমা_, _starty_, _tarafta_, 
   {{0xd793012e,0xd5a9040f,0xea5b0177,0x826d0269}},	//   _baktériu, _балахона, _миллионҩ, _suyos_, 
   {{0x3b7701e6,0xeabb0311,0x5af800f3,0x00000000}},	//   _podstata_, _ክንዓግብ_, _sivumele, --, 
   {{0xc6cf0364,0xe30301e6,0xc3860230,0x9200000d}},	//   _finanzmi, _stranou_, _olarz_, _sinine_, 
   {{0x322500f5,0x9a990294,0xe6a70225,0xe17802d4}},	//   _birki_, _anchamus, _tengeiyi, _parantel, 
   {{0xc25102f8,0x1c8401d1,0x82fd0296,0x53f00192}},	//   _asitelel, _revealed_, _brygga_, _beleving_, 
   {{0x32ef005b,0xeee202ec,0xd7c30041,0xa3860195}},	//   _waffle_, _وۅلسنہٕ_, _ақттә_, _duirgh_, 
   {{0xd2900263,0x43fe0408,0x3b360138,0x3eb30397}},	//   _smaak_, _beazina_, _terbiyes, _babulale_, 
   {{0xc30c0231,0xe9510417,0xd364019c,0xe9370169}},	//   _senatus_, _verseker_, _alagata_, _বিশ্বাসে, 
   {{0xb38a0191,0x329201fe,0x4f5e003b,0x00000000}},	//   _körde_, _soramu_, _ingakhon, --, 
   {{0xc2010229,0x17580760,0x42f3008a,0xa0380157}},	//   _ilginc_, _चित्कार_, _mitiafu_, _momencik_, 
   {{0x185f00ad,0x22ab0028,0x526c008c,0xc2ab01be}},	// [9490] _ginanjar_, _bandhig_, _dadora_, _hýbat_, 
   {{0x325300de,0x00000000,0x00000000,0x00000000}},	//   _bawokazi_, --, --, --, 
   {{0xff9903b2,0x52ea0035,0x43f800b9,0x5dae03c2}},	//   _provides_, _anatoliy_, _yehuwa_, _africanp, 
   {{0xcf2702f3,0x43790197,0x8a2d00ef,0x5d180465}},	//   _intressa, _egzamen_, _دلندن_, _naložbe_, 
   {{0x729005fd,0xeda1011a,0xe25a007b,0x638707e0}},	//   _semasa_, _migrated_, _muiled_, _umeren_, 
   {{0x629001ec,0xec0300ad,0xb2d90149,0x017500c7}},	//   _cemara_, _ngapung_, _ịnata_, _bitarafl, 
   {{0xe3860241,0xedb901b5,0x23f9019d,0x8cf10291}},	//   _aniru_, _etintsha, _aufulu_, _إشراقة_, 
   {{0x41c303d8,0x22cb0265,0x12f30264,0xbc09045b}},	//   _sastanak_, _allerlei_, _mapuypoy_, _шампансь, 
   {{0x726c00dc,0x40ed03eb,0x6d000024,0x43860326}},	//   _palota_, _kapitaal, _পৰাজিত_, _anaro_, 
   {{0x42880079,0xaf2001c2,0xbb940461,0x00000000}},	//   _teiksim_, _intercen, _caminair, --, 
   {{0x2de0023e,0x7683033a,0x00000000,0x00000000}},	//   _aktingé_, _forestri, --, --, 
   {{0x72250075,0xdab40054,0x0c730382,0x68cf0060}},	//   _virki_, _dukkanin_, _elardus_, _астын_, 
   {{0x2dbe00ea,0xa4aa0311,0x00000000,0x00000000}},	//   _atsinana, _ምድኻምን_, --, --, 
   {{0x2aa700d7,0x527f0010,0x8d1a0279,0x00000000}},	//   _барлап_, _itenta_, _sellerie_, --, 
   {{0x22ed013c,0x239c000a,0xa2fd05b8,0x1eac0291}},	//   _bitirib_, _affangaj, _trygga_, _جيفارا_, 
   {{0x8cf7025b,0x72e903a4,0xe0490321,0x77ba014a}},	//   _luttakar, _mennast_, _trenutek_, _amerikai, 
   {{0xa22f0558,0xecbd011a,0x79c00010,0x39d001db}},	// [94a0] _ịmara_, _impacted_, _ekwenget, _كورپەڭنە, 
   {{0x62b60195,0xd95c0050,0x174000bb,0xb667027b}},	//   _dorcha_, _automatt, _تجربوں_, _हंसस्य_, 
   {{0x672902c3,0xc2970062,0x2e4b042a,0x53f0011a}},	//   _nasledov, _chochepm, _bacalile_, _deleting_, 
   {{0x32dc0515,0x625a0222,0x12900108,0xcdcc005b}},	//   _bakonyi_, _veille_, _pakait_, _onchange_, 
   {{0x03a90602,0x33dc03e6,0xde3d00d1,0x00000000}},	//   _stivere_, _deiwel_, _বটিয়া_, --, 
   {{0x2d2b0080,0x72800516,0x425a0211,0x485300ad}},	//   _kinguneq, _thrifty_, _teille_, _merlukeu, 
   {{0xa4d7048a,0xcc3a026f,0x9bc801c9,0x7889030b}},	//   _базасы_, _ءﻟﯘﭘﯩﻠﻰ_, _देवीथान_, _akukunad, 
   {{0x22490077,0x4b710101,0x93a3017d,0x6d200148}},	//   _premye_, _acestora_, _以外の回答_, _台北電影節_, 
   {{0xdf1e050a,0xf28801a3,0x00000000,0x00000000}},	//   _maddesin, _نولراءِ_, --, --, 
   {{0x1a89016d,0x63860243,0x114101aa,0xcc6001b4}},	//   _ташланға, _biiro_, _olumncay_, _susters_, 
   {{0xd8950335,0x04130348,0x5ad0001d,0xbd1e00c7}},	//   _अप्रसिद्, _abanyank, _hindukus, _градский_, 
   {{0xc2dd01ef,0x62cf009a,0x33f404c8,0xea8301e7}},	//   _kuponai_, _achonge_, _vittmi_, _camionen_, 
   {{0x6cb80064,0x1883036e,0xc2a20358,0x6ba80388}},	//   _берсем_, _ayqiriku, _komisè_, _банковат, 
   {{0x11110163,0x7ef80041,0xe722024b,0x1c660257}},	//   _کیریئر_, _аинистрр, _operació, _birtast_, 
   {{0xf2900686,0xc9a501bb,0xadfa0240,0x73b6005d}},	//   _kakade_, _алдамак_, _kevekeve_, _ikavara_, 
   {{0x97ec0464,0x61070299,0xfe990064,0x4cd200d1}},	//   _bahasang, _بۇلبۇلى_, _белдүү_, _লেখকক_, 
   {{0x6b79008e,0x820002ac,0x84ba03a2,0x32910264}},	// [94b0] _arrondir, _minice_, _dysponuj, _amyaw_, 
   {{0x7dd500da,0xfb7b02ee,0x937c032d,0xc26d01f4}},	//   _ексклузы, _gerriema_, _kerante_, _arqon_, 
   {{0xa38801c0,0xb185023a,0x552502d6,0xe3a2019a}},	//   _akayiwa_, _diskusií_, _agrokimy, _poopit_, 
   {{0x74040570,0xd25a02f7,0xb9c7002c,0x4186013d}},	//   _कुलदीप_, _agilwe_, _legebilt, _kompanio, 
   {{0xa3300086,0x1d0f0527,0xabf6004d,0xe8c6018e}},	//   _اقتصادیا, _pomozite_, _各單位聯絡電話_, _exitseng, 
   {{0xa3f400d7,0xf25a06dd,0x9c660034,0x48d90368}},	//   _fluted_, _afilye_, _birtist_, _сервису_, 
   {{0xa9640406,0xf27f0083,0x922503e6,0x00000000}},	//   _द्रव्यमा, _stenta_, _mirkt_, --, 
   {{0xb89102ec,0x4547023b,0x05a80008,0x92c2044a}},	//   _ڈى۪کہ_, _kaikamah, _жаманатт, _etelema_, 
   {{0x738604e5,0xb4ff01ad,0x6e44029b,0x649d01d5}},	//   _siiro_, _augustów_, _basariya, _fotókat_, 
   {{0xf021014a,0x35f90126,0x02c501c4,0x1c750224}},	//   _بایکاٹ_, _напружен, _manlike_, _bilunar_, 
   {{0xd98d0074,0x93440066,0x73790310,0xc26c00c0}},	//   _начинать_, _moldatu_, _furasda_, _andoon_, 
   {{0xc200015b,0xb9880119,0xed18032d,0x719001b2}},	//   _hemia_, _pagkamat, _bomorabe_, _alacrity_, 
   {{0xf2000016,0x126e0397,0x521700af,0x784402cb}},	//   _kemia_, _талаботи_, _претензі, _početnu_, 
   {{0x637a0014,0x620000da,0x23430414,0x62c30009}},	//   _pergjegj, _admis_, _bisengo_, _zaslona_, 
   {{0x12000005,0x90440253,0xd3560270,0x7d0b0044}},	//   _memia_, _takutinn, _alteros_, _explicit_, 
   {{0xe201041e,0x28460677,0x02000145,0xfd2701a3}},	//   _infine_, _नेतृत्वा_, _lemia_, _علملدار_, 
   {{0x0f4e02c0,0xe36a0177,0xd0dc017d,0xf54303b0}},	// [94c0] _согласно, _дыкҿацал, _islamisk_, _folketal_, 
   {{0xcf0e00d1,0xf2ea02f3,0xd08b005e,0x8c1301c8}},	//   _পাঁজি_, _funnits_, _ﭼﻪﻛﺴﯩﺰ_, _reklamou_, 
   {{0x186f0059,0xee020181,0x4e1a040e,0x329003d5}},	//   _здравей_, _vinduesp, _medforfa, _askaid_, 
   {{0xd27e0124,0x0bf90039,0xa257027b,0xfe2a0013}},	//   _agini_, _спортоор_, _विवेके_, _қалдирғо, 
   {{0xd68f01e1,0xd1450178,0x23f40075,0xfdb402ec}},	//   _basebedi, _स्थूलं_, _fluttu_, _wariyaya, 
   {{0x72ee019f,0x0c2b02e1,0x8ab8051e,0xdb9d00d4}},	//   _kwanini_, _atlantac, _alfabéti, _japikspr, 
   {{0x49fa03ad,0xbb270415,0x00000000,0x00000000}},	//   _aquilina_, _verblieb, --, --, 
   {{0x92000097,0xdc660034,0x92490231,0x00000000}},	//   _eemia_, _virtist_, _premit_, --, 
   {{0x9c5601b2,0xa20002c8,0x76fd00e6,0x0f210021}},	//   _scuttle_, _femia_, _昔人已乘黄鹤去_, _eagullsa, 
   {{0xd42102e0,0xe2ca00f3,0xe37c0445,0xd9cd008f}},	//   _dikanego_, _idilesi_, _perante_, _साँचि_, 
   {{0x968a0392,0x30fe0078,0x988a00bf,0xe3730184}},	//   _acadaimi, _номиналн, _предводи, _bihanwe_, 
   {{0x42d80234,0xc386018b,0x00000000,0x00000000}},	//   _okeere_, _fiare_, --, --, 
   {{0xd2e8069b,0xb0a900f2,0x5fad0418,0xfd950080}},	//   _kamipun_, _traģēdij, _epilasyo, _anillapp, 
   {{0x8044017f,0x7f570423,0xf6d801aa,0x028700be}},	//   _takusinn, _dosavadn, _affairsw, _линиясы_, 
   {{0xac520184,0xfcb80397,0x161a01f0,0x00000000}},	//   _agatama_, _киловолт, _dinokodi, --, 
   {{0x351000ac,0x4c34036d,0x5dfb0450,0x6b1a02be}},	//   _pokušao_, _cananaic, _befettet_, _babangon_, 
   {{0xac930088,0xa7870060,0xd7f101b7,0xc8cd043c}},	// [94d0] _جاپاا_, _داياشى_, _प्रसिध्य, _acrescid, 
   {{0x430202af,0xb97b016e,0x70dc0281,0xc1a901c7}},	//   _ababone_, _verilece, _aligumik_, _birdenkä_, 
   {{0x32250151,0x532b01db,0x7c36036b,0xee1900e7}},	//   _necked_, _جەڭىلگەن, _diretóri, _attersma, 
   {{0x1d040337,0xd27e00b7,0xe8650444,0x8dc3007e}},	//   _mezunlar, _afiny_, _путевок_, _bohittha, 
   {{0x3f3100d2,0xaefd0061,0xd276020f,0x0c080540}},	//   _disebutn, _작성하시면_, _andizazi_, _ártúnsbr, 
   {{0x22da01ec,0xc290013c,0xc57e00a2,0x914c00ef}},	//   _mateng_, _polisə_, _nakumbuk, _کانادايي_, 
   {{0x6cd900ff,0x07870162,0x55750191,0xecfa0044}},	//   _החסיד_, _فارابى_, _bildspel_, _מכניסים_, 
   {{0x226e00fe,0xd87c008e,0xe47000ee,0x6c720042}},	//   _aipoti_, _asiyeing, _babestek, _abertos_, 
   {{0xc38b05b9,0x72d904f8,0x03b70040,0xe74a016a}},	//   _færre_, _haunted_, _העשוי_, _ateistoj_, 
   {{0x638b017d,0x63940082,0xb2ea0278,0x527e0251}},	//   _været_, _kunshi_, _memikul_, _ugana_, 
   {{0xf3a20258,0xcc2c0372,0x00000000,0x00000000}},	//   _hoopje_, _anfasnac, --, --, 
   {{0x74ba0037,0x1eae03b0,0x6210019c,0x990d0017}},	//   _አይምረር_, _innleiin, _ibikíbi_, _strojní_, 
   {{0x2382008d,0xf2da010d,0xcd0400d1,0x4a2204c8}},	//   _یاشلی_, _jateng_, _কলিজাত_, _dehbijie, 
   {{0x92da0193,0xa62f02d0,0x3af30153,0x00000000}},	//   _dateng_, _cauldrif, _prisinte, --, 
   {{0xf2ee0168,0x0b4e0169,0x087f00ad,0x00520119}},	//   _treff_, _বিশ্বনাথ, _sabilulu, _andradin, 
   {{0x1bd30157,0x429000fe,0x698900b7,0x731c006c}},	//   _आलिया_, _afioná_, _гараярла, _abayoham, 
   {{0x7646015e,0x32210250,0x42070322,0x00000000}},	// [94e0] _قالدىڭ_, _diskutim, _amakonti_, --, 
   {{0x89cf016a,0xf134017c,0xa0970046,0x720b0156}},	//   _nekonata_, _bostadso, _زدۇۇلۇق_, _הצלחהדיק, 
   {{0xb201016e,0xef0a00c5,0xcdfe0061,0x8e9602e1}},	//   _linkleri_, _在下载使用时必须, _예정이어서_, _لرسول_, 
   {{0x854e02c4,0x027f0129,0x4cb400d9,0xc2760480}},	//   _лични_, _adenin_, _классов_, _andiyazi_, 
   {{0x4a5f0369,0x4e3e0137,0xec5c01f9,0x020002fb}},	//   _pulewaha_, _барагтай_, _imetamo_, _peeia_, 
   {{0xca110069,0xc29000db,0x138601a3,0x5f9b0151}},	//   _barakome, _temaga_, _mnara_, _begetter_, 
   {{0x326e01a3,0x5b68005b,0x89d904ac,0x3c0d0296}},	//   _ripoti_, _akatsuka_, _tunnusta_, _extrajob, 
   {{0xc24900cc,0x624a00d9,0x4386003f,0x426e00fe}},	//   _fremme_, _kuumat_, _onara_, _sipoti_, 
   {{0xf6f000f3,0xe04d000d,0x6c7f0272,0x4814003d}},	//   _bavalelw, _insuliin, _bassebo_, _concedic_, 
   {{0x05d60129,0x59e30244,0x4c6b010d,0xdf91013c}},	//   _basketbọ, _волана_, _कार्ले_, _dəmiryol, 
   {{0x538603da,0x62d90203,0x92900125,0xb20001b2}},	//   _anara_, _exter_, _temada_, _admix_, 
   {{0xa40f00d6,0xd7cc0117,0xf29101d2,0xc11801db}},	//   _tearmann_, _risponsi, _bizaad_, _جۇزۋشىلە, 
   {{0xc15500b9,0xeba30263,0xd4760361,0xe6890361}},	//   _fotocopy_, _blokkeer, _вăййине_, _дiаоьцуш_, 
   {{0x4815028a,0xec660257,0xe27f027e,0x78f801aa}},	//   _ڪبوتر_, _boltans_, _paznju_, _attacked, 
   {{0x837f05f4,0xc38b0448,0x7d390163,0xfd0c0102}},	//   _aknalla_, _værre_, _hulladék_, _maumbile_, 
   {{0xcd9d01eb,0xfef101db,0xa52300ae,0x7fc4034e}},	//   _amongeta, _яссауи_, _birongoy, _importlo, 
   {{0x6f430156,0x6468015e,0x06e100cf,0xe30204fe}},	// [94f0] _הנגזל_, _ойной_, _dimbitii, _allevà_, 
   {{0x5379016b,0x426c009a,0x79dd023d,0x5058023d}},	//   _karanta_, _akhon_, _поредица, _erogazio, 
   {{0xcc170052,0x4905017f,0xc2f40034,0x4940023a}},	//   _पूर्वाञ्, _tamatigu, _fleirum_, _hlasujúc, 
   {{0x5c170052,0x738702ce,0xec6d02a4,0x52da0245}},	//   _पूर्वाग्, _ngarti_, _naturam_, _pateng_, 
   {{0x98fc032f,0xc4330436,0xa9db0450,0xf65b020f}},	//   _levantad, _gospodin_, _feenstra_, _ترتیبات_, 
   {{0x29070105,0x87c901ac,0x6a7d0541,0xa2d5038e}},	//   _jednakże_, _cuisneoi, _naučno_, _melongo_, 
   {{0x962e01aa,0xc9d20241,0x337a00a4,0x12f40119}},	//   _octoberw, _amalasaa_, _agraden_, _faxinal_, 
   {{0xc27e02e7,0x0b37026f,0x25b30198,0x606e0381}},	//   _ngano_, _ءﯗﺭﯨﻤﺠﻰ_, _najlepša_, _aematolo, 
   {{0xef32019d,0x42d50538,0xe9dc02fb,0xa27d0137}},	//   _adafikan, _vedlagt_, _ifeletoa_, _бөхөнгий, 
   {{0x8f220195,0x037c01c4,0xf27e019f,0xc379001e}},	//   _airtigea, _debatte_, _agano_, _baranta_, 
   {{0x3bda0089,0xabda03ed,0x7f270332,0x00000000}},	//   _китапхан, _decisão_, _agresion, --, 
   {{0xd23f0490,0x13010281,0x9ad10086,0x00000000}},	//   _eólico_, _iivarti_, _főtengel, --, 
   {{0x0bef00e2,0xe6280004,0x00000000,0x00000000}},	//   _troelstr, _andresol_, --, --, 
   {{0xf1c3042c,0x21e6010d,0x037900a0,0x3c010083}},	//   _nastanak_, _जोवरी_, _faranta_, _carmalau_, 
   {{0x49ea0026,0x446600c5,0x25230440,0x1b4f00e7}},	//   _알려드립니다_, _国防科工委_, _zirongoy, _acemater, 
   {{0x163f049e,0x3a0105db,0x52da04ca,0x12cb0099}},	//   _kalendár_, _abasungu, _aguest_, _atadze_, 
   {{0x5846030e,0xab65049e,0xbb7701c7,0xfc6b0287}},	// [9500] _عبدالنبي_, _januára_, _биржада_, _काफ्ले_, 
   {{0x9f37002b,0xc22500a0,0x9a700326,0x2c7a00a6}},	//   _ধরিয়ে_, _kirki_, _anganzwa_, _درياست_, 
   {{0xb8520088,0xc34601c6,0xa8560188,0x63940020}},	//   _entrades_, _hynders_, _даруни_, _siisii_, 
   {{0x0386041c,0xf30e0675,0x337c001a,0x1c6b04c7}},	//   _biiri_, _gerados_, _pizzéria_, _издавања_, 
   {{0x99ee036e,0x330100cf,0xe2eb01fc,0x1d290290}},	//   _antiqira_, _bazaali_, _kalihim_, _ardiment_, 
   {{0x739a0428,0xc3950072,0x2386033b,0x12f300f5}},	//   _podatkov_, _akasti_, _diiri_, _дөвүри_, 
   {{0x725b007b,0x22d802aa,0xa34103e6,0xc1d5041e}},	//   _beylie_, _sekery_, _eidelen_, _bellagam, 
   {{0xe2cb00e2,0x43860650,0xbf730187,0x9b5d0184}},	//   _alderlei_, _fiiri_, _vencimen, _récepiss, 
   {{0x63cf048b,0x93d6035f,0x7b38018d,0x02000516}},	//   _ttxvn_, _विचाराधी, _ጥልያንን_, _seein_, 
   {{0xe3db0076,0xfc2600da,0xbc55035d,0xac600081}},	//   _екипата_, _фабрикэ_, _apoteke_, _austurs_, 
   {{0x37ca0432,0xa9db0258,0xb20802eb,0x2355008c}},	//   _kristeli, _veenstra_, _батсүмбэ, _adiever_, 
   {{0xb9d602e0,0x039500b8,0x7f3d0126,0xd1390397}},	//   _atlegile, _ukasti_, _традиція_, _пасманза, 
   {{0x3a11004a,0x82f3003c,0x5e7202ba,0x9c7c00ee}},	//   _agronomı_, _arahing_, _боттинг_, _лазераар_, 
   {{0xa5f50025,0x4f65023b,0x3c6d0030,0xa3520109}},	//   _प्रतिनिर, _kawaikin, _saturam_, _चल्ला_, 
   {{0xf9df04d2,0xd2900312,0x84610024,0x00000000}},	//   _nordsjøe, _lakait_, _সাহিত্যৰ, --, 
   {{0xb5630368,0x28350510,0x8e3504a8,0xf3f40077}},	//   _агенција_, _кăнтăр_, _iskaziva, _moutad_, 
   {{0xe404015c,0xcc4700c5,0x56ab00a6,0x6e750374}},	// [9510] _bezuelen_, _并自负版权等法律, _شکرالله_, _буханка_, 
   {{0xa2ee01ba,0x0e70010d,0x67ca00e4,0x660c000a}},	//   _prefe_, _कॅम्प_, _słuchawe, _iniminii, 
   {{0xc3860207,0x62fd02ba,0xb2d9012a,0xfd1b0045}},	//   _ziara_, _тирамоҳи_, _mozesz_, _страног_, 
   {{0x5c7604ee,0x2aa506ca,0xc61e0067,0xe9ee01f0}},	//   _adirigi_, _शुक्रिया_, _callisii, _fitisisa_, 
   {{0x5e68017d,0xfa5905ea,0x8e4202c2,0x427e0277}},	//   _総合ランキング_, _xerencia_, _komberse_, _maing_, 
   {{0xc290005b,0x91a0011d,0x00000000,0x00000000}},	//   _nakane_, _atacuril, --, --, 
   {{0x62ef0033,0xa2910344,0xac7b0265,0x03480206}},	//   _polizia_, _imaani_, _verliefd_, _upiekli_, 
   {{0x7ff1009a,0x22eb0014,0x7b0f01d7,0x186c00bb}},	//   _abahlolo, _obligim_, _rapporta_, _متاخرین_, 
   {{0x2706069f,0x0290006e,0x2da8001c,0x32c101e1}},	//   _štruktúr, _bakane_, _benipisa, _fallela_, 
   {{0x37bf05a2,0x12900122,0x32000014,0xf27e00c0}},	//   _उपनगरीय_, _cakane_, _femij_, _haing_, 
   {{0x329200e1,0x5386008c,0x70e803cf,0x824801b2}},	//   _alsaas_, _siara_, _kazanmak_, _alcme_, 
   {{0xb7a905e5,0x7e4a034f,0x9cd9020a,0x79c2010b}},	//   _प्रबन्धन_, _برابرې_, _تويدان_, _diperese, 
   {{0x837a035a,0x9dc30021,0xc34400dd,0xf1830247}},	//   _varawen_, _angingha, _chredyd_, _bambangl, 
   {{0x8f65034e,0xd3410111,0x768202d5,0xfc62048c}},	//   _altarnin, _diletto_, _घोटाव_, _anyrate_, 
   {{0x26c50163,0x73c701b7,0x99640087,0xf37a0198}},	//   _اویسی_, _सोऽतिसन्, _hoyozele, _naraven_, 
   {{0xa9ce039f,0xa3b90061,0xf34902aa,0x4bfa0128}},	//   _heteroge, _전주지방검찰청_, _kredity_, _банкротл, 
   {{0x448401ab,0x937d04ca,0xa72d05af,0x40560425}},	// [9520] _अमसारी_, _armanac_, _sustavom_, _کۆمکاری_, 
   {{0x82900172,0x525b00fe,0x392603a2,0x5347034b}},	//   _emiali_, _etalau_, _गांजे_, _rimemba_, 
   {{0x7ccd0169,0xef6501d3,0x547c040f,0x927e00d2}},	//   _ক্ষতিকর_, _antagnin, _nebereik, _baing_, 
   {{0x9ef3034d,0xc37d006f,0x63bc00bb,0x0c620244}},	//   _berkomun, _nipashe_, _پلانا_, _correre_, 
   {{0x697b006c,0xfb0c00ba,0x22ef0371,0x00000000}},	//   _абдуманн, _ساسیه_, _stufa_, --, 
   {{0x000a00d7,0xabb30034,0x3c760158,0x00000000}},	//   _таможняһ, _bökunarp, _aborcji_, --, 
   {{0x1e390193,0xd27e02f8,0xa3860282,0xf164042d}},	//   _penawara, _faing_, _anaru_, _amanjery_, 
   {{0xe3480418,0x4d1904f9,0xb0b50109,0x619400ba}},	//   _eklendi_, _nassatar, _दिइँदै_, _لۆڕستان_, 
   {{0x9c520203,0x92900138,0x8a640268,0x13860338}},	//   _gratula_, _makale_, _aruldoss, _biarn_, 
   {{0x061f01d2,0xa0a900d7,0x32fd02a7,0x72db00aa}},	//   _ajanäsin, _ермолаев, _ngagan_, _bipolor_, 
   {{0x4e8c0409,0x9b5b019f,0xc0280229,0x00000000}},	//   _tættere_, _شرارتن_, _bilersiz_, --, 
   {{0x3eff036e,0x44760261,0x520002c2,0x0386029b}},	//   _allwiyap, _eksteren_, _gemik_, _fiiru_, 
   {{0x015c01bc,0xd8880078,0x23be00d9,0x1db50239}},	//   _filosofy_, _моторних_, _raivosi_, _tangahoe_, 
   {{0x8e360304,0x8d71038a,0x6200032d,0x7a8b01bc}},	//   _hinggaka, _chimpura, _hemik_, _mienings, 
   {{0x2541020e,0x4bdb01cd,0x02ed03c2,0x92000138}},	//   _bapholoh, _истикома, _silicic_, _kemik_, 
   {{0x0c3c0334,0x97a70059,0x00000000,0x00000000}},	//   _amphamvu_, _ripristi, --, --, 
   {{0x921c0169,0x42fc0271,0x9c03001c,0xd2a6034b}},	// [9530] _ব্যতিরেক, _lengre_, _taiping_, _hambak_, 
   {{0x438b03b0,0x613401e1,0xdf1e0408,0x9fe9020f}},	//   _lærte_, _алдыра_, _anadahin, _پرلپسی_, 
   {{0x628c033f,0xd617040f,0x3f800024,0x00000000}},	//   _anekina_, _eurovizi, _টাংছাসকল, --, 
   {{0x499d0145,0x6c7c000b,0x72100373,0x620000b9}},	//   _барыс_, _agasiva_, _אמריקא_, _kemih_, 
   {{0x62950145,0x3c270210,0xb2fc0050,0x22a60084}},	//   _кургане_, _aitambur, _rengse_, _lambak_, 
   {{0x938602fd,0xad48020e,0xac7b0449,0x837800da}},	//   _anart_, _dilamunu_, _opasnih_, _incalca_, 
   {{0x030902bd,0x13790650,0x469d0014,0x38930299}},	//   _broblem_, _carabta_, _perfundi, _دېپلۇمات, 
   {{0xc386044d,0x2c7f023a,0x4f260035,0x7c5e0311}},	//   _biiru_, _prestal_, _активлык, _ዘተኣታተወ_, 
   {{0x29e30262,0x1dad03db,0x33f803f6,0x44000244}},	//   _gündogar_, _akunakup, _minuke_, _редно_, 
   {{0xa2900067,0x61c4003a,0xea4703da,0x3c7c0334}},	//   _makame_, _рекордин, _mbadamba_, _atasowa_, 
   {{0x60aa0244,0xa24c0013,0x11530462,0x3602000d}},	//   _особенос, _гузаллик_, _aisleway_, _inflatsi, 
   {{0x63790243,0x78ed0338,0xe9570238,0x65b3014e}},	//   _garacta_, _artenhèr, _широкі_, _najlepšu_, 
   {{0x15c803d0,0xfef40145,0x00000000,0x00000000}},	//   _بشارمحمد_, _выпускі_, --, --, 
   {{0x327e02d5,0x08c603db,0x138603e6,0x63140185}},	//   _naine_, _ayitheng, _hiirt_, _firqälär_, 
   {{0x64e701f6,0x52a60120,0xfba50385,0xb2960052}},	//   _কানাই_, _gambik_, _pozivnic, _दिनोस्_, 
   {{0x6e8700c5,0x2279022d,0x027600de,0x1f0b0517}},	//   _元以下的罚款_, _lessical, _andimazi_, _prometer_, 
   {{0x7b0e03f2,0xa2900386,0x6a7901bd,0xc28003c2}},	// [9540] _viestike, _kemana_, _долларға_, _springy_, 
   {{0x8eba0060,0x02ca0110,0x4b0e021b,0x76f506da}},	//   _جامالىڭد, _reidus_, _persoona_, _सोनवणे_, 
   {{0x3290015e,0xd2ff0179,0x670d0097,0x684100ba}},	//   _demana_, _reiganef_, _láàárin_, _کۆڕوکۆمه_, 
   {{0x69320148,0x383601ef,0x55ec02ba,0x00000000}},	//   _年運動人口倍增計, _кадрах_, _туркияро_, --, 
   {{0xc6ae0309,0x72b6022d,0x3d4e0205,0xa9df0156}},	//   _abituriy, _torcia_, _санашади_, _ממשותדיק_, 
   {{0x924903b3,0x12000564,0x739b0188,0xe5ff0287}},	//   _mesme_, _semik_, _якҷоягӣ_, _शक्तिपिठ, 
   {{0xe30903b2,0xe89e034d,0x2c9301e0,0x722506f6}},	//   _problem_, _berkunju, _هارات_, _lirks_, 
   {{0x58f90528,0x0d840194,0x7290028f,0x7098004a}},	//   _banaltru, _corectet_, _hemana_, _цехына_, 
   {{0x195e00b2,0x5cf20137,0x58e703ae,0xc8f0013b}},	//   _amanteet, _бодрол_, _helsefag, _langitnu, 
   {{0xeb590142,0x2d200226,0x038603d9,0xe63901b2}},	//   _maitreya_, _amasiyir, _piaro_, _advisabi, 
   {{0x8cb400ba,0x74970210,0x59e3017a,0x42de01d4}},	//   _رسورهێنه_, _anyaradz, _хоманаӣ_, _allongu_, 
   {{0xc9cc00f1,0x2b0102fe,0x69c70035,0x641b0137}},	//   _ansennye, _abasinge, _калалар_, _шведэд_, 
   {{0x1611000c,0x538b00c4,0xad79018d,0x5fc6016d}},	//   _абрахь_, _شيڪسپيئر_, _ማእቶታዊ_, _олимпикт, 
   {{0x22d803e0,0x16250374,0xc2ee0166,0x3db10047}},	//   _schein_, _marosimi, _profis_, _régulier_, 
   {{0x35540016,0x597f03e6,0x9dfa019b,0x8f0b00de}},	//   _ראַנדן_, _employée, _ціску_, _مراجعو_, 
   {{0x53ea01a2,0x266600c1,0xcf660369,0xfb8c007e}},	//   _centrs_, _सरासरी_, _imepelia, _anirjātā, 
   {{0x291400f5,0x4ec501d7,0x5750000c,0xf2c502c2}},	// [9550] _gurbangu, _impostas_, _colégiop, _pynlike_, 
   {{0x11480141,0x3eae0162,0xf62a00a1,0xa12c0040}},	//   _туркияни, _килассик_, _autireri, _הליווי_, 
   {{0xb3b0032d,0xd2dd017a,0xa33c0244,0xc21200e7}},	//   _bonvril_, _тӯлонии_, _разделят_, _arshallm, 
   {{0xcd400093,0xaa87003c,0xc013019b,0x62250116}},	//   _северный_, _فیرمور_, _pusvalan, _kirks_, 
   {{0xd38603c2,0x120000d6,0x220203b9,0xcd1f0265}},	//   _giare_, _adeir_, _umpita_, _absoluut_, 
   {{0x12c5042c,0xa3860296,0xa4520666,0x00000000}},	//   _poklone_, _knark_, _krajolik, --, 
   {{0x93400028,0x2c05004d,0x00000000,0x00000000}},	//   _sadexda_, _主辦單位將就相關, --, --, 
   {{0x590f0148,0xed980012,0xf35603ec,0x00000000}},	//   _羅厝天主堂提供_, _गोबड्डा_, _boteror_, --, 
   {{0xe2f70038,0xc89f01e6,0x4a140073,0xe95802f0}},	//   _архивы_, _bezkonku, _paravola_, _bososaye, 
   {{0x4597033e,0xc2000202,0xc6f0015d,0x5ae401d4}},	//   _amandajé, _ganiyu_, _मानवों_, _ammument, 
   {{0xee5600be,0x63420265,0x50a40040,0x5dd40125}},	//   _بىلبەسىت, _citeren_, _האבחון_, _bashlaja, 
   {{0xb2900678,0xa386005b,0xb70b00e6,0xdfbe0420}},	//   _nemala_, _tiare_, _顺德市大良区农村, _водителк, 
   {{0x415a02cb,0x3290010b,0xc22501a2,0xc9d600c8}},	//   _prirodno, _temana_, _pirkt_, _atlehile, 
   {{0xb49c0164,0x2afd01e1,0xc06a0420,0xd202004c}},	//   _елани_, _арсеньев_, _surpreen, _ampisa_, 
   {{0x03860101,0x5d87016e,0xc6ba0193,0xf25301ac}},	//   _ziare_, _elemanla, _indramay, _athaontú_, 
   {{0x90370678,0x15990037,0x8f2c054c,0x627f00ec}},	//   _cestovan, _እስኪመጣ_, _overkrop, _krenta_, 
   {{0xca7201ed,0x26d2012b,0x15580311,0xf45f0316}},	// [9560] _hanaumua_, _uregulow, _ከይወዓለ_, _dogwayen_, 
   {{0xbdfc01aa,0xe7610518,0x31c00234,0x898b002e}},	//   _effectwa, _овора_, _kristẹn, _braći_, 
   {{0x948606f7,0xbb0e0011,0x55d30299,0xd32002c2}},	//   _सुपारी_, _agisaala_, _ئېكسكۇرس, _gebyt_, 
   {{0x62b800af,0x7fd40109,0x120202a2,0xa84f015f}},	//   _попросив_, _telefonů, _umpisa_, _canolrad, 
   {{0xaa7c0450,0xe2cb042c,0x9e0101aa,0x0b21008d}},	//   _jeropees, _gledaj_, _ainertra, _avvalamb, 
   {{0x8386012f,0x387900cf,0x4b6302fd,0x3b050019}},	//   _riare_, _eediward, _inimreac, _аллахты_, 
   {{0x82900125,0xb9ed02c1,0x6d0f028d,0x83950113}},	//   _kemala_, _andikira_, _komodite_, _chasta_, 
   {{0x19e202fe,0x8a9100f5,0xba70007b,0xfca700d7}},	//   _ماليه_, _tehnikas, _abbottab, _ыуылдыры, 
   {{0x58f702f0,0xae410140,0xb3860582,0x0940023a}},	//   _anganced, _matagump, _nnari_, _premiest, 
   {{0xf290022b,0xc3ea0274,0x834b0115,0xc6cd0177}},	//   _takast_, _grundvöl, _kedekut_, _рыҵҳразы_, 
   {{0x444a0188,0x8317013f,0x8c660060,0xe08a0039}},	//   _авохири_, _brazik_, _сарыны_, _халимаги, 
   {{0x197602a4,0x127f04d2,0xd3490148,0x8d5c0137}},	//   _undisput, _grensa_, _元即可享受_, _вүүёон_, 
   {{0x839402d5,0xba8d032d,0xd9d60303,0x8d7000d9}},	//   _siiski_, _нарышкин_, _bulegile, _harmitta, 
   {{0xe7c8020e,0x7f4c000d,0x71530125,0x7875027c}},	//   _adothilw, _maksmine_, _норонлу_, _andikagu, 
   {{0x2b540152,0x603703f1,0xe6d70255,0x33f4037c}},	//   _atamalar, _pestovan, _काटिक_, _certam_, 
   {{0x820001ad,0xe99d02e8,0xa131015e,0x105902d6}},	//   _polity_, _akakwana_, _адамзаты, _меросни_, 
   {{0x4eb60277,0x0f250420,0x62ef0166,0x129905a4}},	// [9570] _eugenics_, _enfrenta, _stufe_, _marginál, 
   {{0x373d0061,0x350a0444,0x56e5014f,0x924803e0}},	//   _법적책임은_, _воинской_, _жестоких_, _docma_, 
   {{0xa0370498,0x22d403d5,0x2dba00a2,0xa10600ba}},	//   _testovan, _aasteagh_, _mwanasia, _زگماکی_, 
   {{0x72d40148,0xeefd00e7,0x3317012b,0xd4dd003e}},	//   _玉殿的湧水_, _ailwayra, _poezja_, _физикаға_, 
   {{0x3335014a,0x0b06011f,0x798b0077,0x92ca000e}},	//   _prémium_, _chorisia_, _chekanya_, _guidat_, 
   {{0x739501cf,0xc3dd01c1,0xe86002c1,0x5277020f}},	//   _chassa_, _satwa_, _abanyuru, _andisayi_, 
   {{0x1386008a,0x9e4d04ac,0x5148005a,0x4f6b00f2}},	//   _enari_, _морозиль, _dayonmeh_, _atrastos_, 
   {{0x86d4042f,0xb27f0257,0xeebd0265,0xe28f04b9}},	//   _aularnii, _prenta_, _evenemen, _bathers_, 
   {{0xccb304b9,0xa9bd0678,0xda1b01cd,0x0304036d}},	//   _remarked_, _hokejove, _akuchaza_, _eurabol_, 
   {{0x44b801ec,0x5ea50222,0x72fc0168,0x862003f1}},	//   _خودمون_, _sondages_, _mengde_, _oploteni, 
   {{0xc8d9018d,0xefe200f2,0x62fc03ae,0x63860074}},	//   _ኣይፈቱን_, _kurzemes_, _lengde_, _hiiri_, 
   {{0xf10102ee,0x5f4200e5,0x43ea019a,0x00000000}},	//   _analiżi_, _поправи_, _runtit_, --, 
   {{0xf4b5048a,0x02ab051b,0xfe450257,0x326a03f1}},	//   _алланың_, _líbit_, _allavega, _stratené_, 
   {{0xfd2303fc,0xd4e90022,0x424900c4,0xe25a00bd}},	//   _allierte_, _пингвинд, _uzembe_, _duilfu_, 
   {{0xbe7a03f2,0x524a0528,0x9e9e02cf,0x3ed70093}},	//   _октября_, _seumas_, _табла_, _версиями_, 
   {{0xee5002e5,0x3bdb03d4,0xf2b50334,0x4ab30089}},	//   _acuarela, _спроводи_, _kondowe_, _invalidı_, 
   {{0x56d10041,0x187f0037,0x8e440344,0x6ae50311}},	// [9580] _кәыдры_, _አተረጓጎም_, _allartip, _ንውልቀሰባት_, 
   {{0x6b0205db,0x869a01e5,0x027f030b,0x2f67000a}},	//   _abasonde, _ifanimọr, _atenga_, _avaangun, 
   {{0x44e400bf,0x924f0412,0x117d049a,0xa386006a}},	//   _необходи, _ngolwazi_, _odrastal, _hiara_, 
   {{0xa37901a7,0x530b04bb,0xb27e0272,0x727c0481}},	//   _tavalla_, _nyablaj_, _zaina_, _versnell, 
   {{0xfb69012a,0xb8b502be,0x181f032d,0x00000000}},	//   _lusterka_, _bandehad, _мөслимов_, --, 
   {{0x7387007b,0x81dd001b,0xc046012b,0x5e9c005e}},	//   _quarry_, _amanamum, _zakupion, _نابۇت_, 
   {{0x0c840475,0x59140041,0xed05016e,0xca210320}},	//   _русские_, _акндидат, _milliyet_, _fumbarhe, 
   {{0x527e0499,0x2f0e00a4,0x92da04bd,0x6c5200ac}},	//   _aganu_, _oficials_, _naueue_, _pratila_, 
   {{0x027f0332,0x15a001d4,0x92d502e8,0x0c0a04ca}},	//   _cuenta_, _trascriz, _jakobho_, _geofisic, 
   {{0x221300c1,0x026e035e,0x575d03a8,0x627e0020}},	//   _अन्नधान्, _satova_, _বক্সৰ_, _uaina_, 
   {{0xf2250099,0x5dc3011c,0xe69f0128,0xa3500043}},	//   _barki_, _dakkanta, _японияда, _ayawulam, 
   {{0x43860286,0x427e0183,0x8d09045e,0x4200003a}},	//   _biara_, _saina_, _пеевски_, _nemis_, 
   {{0x7667000c,0xb25b030e,0x1ef5002b,0x8dbf003a}},	//   _харитон_, _mfalme_, _সংশোধনের_, _donishma, 
   {{0xf3100044,0x9be30227,0x441f03b4,0x00000000}},	//   _sounding_, _didengar, _hatimbok, --, 
   {{0xd85304d1,0x22ca000d,0x6be30331,0xdc620416}},	//   _situados_, _leidub_, _bileigar, _ínutil_, 
   {{0x827e064d,0x636c0171,0xc1e40466,0x459a0291}},	//   _waina_, _tragovi_, _počevši_, _برلمان_, 
   {{0x105300f5,0xa20003cb,0x70700086,0xd4b500ec}},	// [9590] _полицей_, _cemit_, _hackerek_, _nepateik, 
   {{0xb63d0147,0x4ab40034,0x3200001d,0xcda300dd}},	//   _اياشىم_, _velkomin_, _bpoint_, _cartwnau_, 
   {{0x82ca0230,0x62fd014e,0x86db0333,0x986c0138}},	//   _etidie_, _teniser_, _penserà_, _dahilind, 
   {{0xeae800a2,0x89f702a6,0x12190300,0x8350038b}},	//   _سوداگر_, _trentina_, _jednoráz, _segenap_, 
   {{0xff2e0013,0xf301029b,0x62120387,0x2e9101d4}},	//   _пилла_, _buxaari_, _nmehe_, _austère_, 
   {{0xc57702af,0x12120200,0x2f490233,0x949e02af}},	//   _aratsinz, _imehe_, _komposat_, _murabanz, 
   {{0xa26c033c,0xc5190059,0x3dc0019b,0xe27f01e7}},	//   _achosi_, _песента_, _atsipala, _reenen_, 
   {{0xd6b80462,0x2c020359,0x33940158,0x3b96025b}},	//   _actually, _harsels_, _damska_, _peningur, 
   {{0x4296029f,0xe27f00a8,0x818d02a3,0xf5a40204}},	//   _funkciu_, _quenta_, _geraadpl, _merkintä, 
   {{0x0225001e,0x92e900a0,0x027e031a,0xc3210359}},	//   _sarki_, _addinin_, _bainn_, _deryn_, 
   {{0xd22501d2,0x4a1401d2,0x4af90158,0xba1c0211}},	//   _parki_, _abyayala_, _एबीवीपी_, _вселенно, 
   {{0xbc150139,0x2d2d02c9,0x555f0110,0x137c033e}},	//   _विद्युत्, _sanitare_, _trenažie, _heraite_, 
   {{0xc27e053f,0x322500f6,0xf292017c,0x6c5702eb}},	//   _maino_, _varki_, _insats_, _парисын_, 
   {{0x83650025,0x97dd035d,0x238705d5,0xafc200ba}},	//   _aligato_, _demantov, _micris_, _ناڕوا_, 
   {{0xbb0b026c,0x2427005e,0x53fa004b,0x146400e4}},	//   _proptere, _ﻣﻪﺧﭙﻰ_, _fepuwa_, _स्वामीनॉ, 
   {{0x3a6d02b9,0x07f90092,0xc3870026,0x004f02cd}},	//   _villanys, _ペンダント_, _kleren_, _bangarao, 
   {{0x364203a4,0x149a04df,0x00000000,0x00000000}},	// [95a0] _avskrivi, _dostumyň_, --, --, 
   {{0xa4790266,0x727e00ea,0x788700ba,0x2edd0043}},	//   _meletakk, _haino_, _باژێرێ_, _amayembe_, 
   {{0x18d40264,0x0df501cf,0xa27e03fd,0xa2000373}},	//   _kakulang, _guidante_, _kaino_, _temis_, 
   {{0xc7b4002b,0x399103db,0x85590210,0x93ea0445}},	//   _অবহেলা_, _bachitha_, _akakweny, _dentes_, 
   {{0x83860306,0x5a1001a7,0x93f900e2,0xd0750499}},	//   _chira_, _tuhansia_, _figuer_, _matafaio, 
   {{0xfbef02d4,0x23ea0304,0x12f004bf,0xb27e00d0}},	//   _anteriur, _tuntut_, _golotinj, _laino_, 
   {{0x92d70411,0xf27f0110,0xe27e0295,0x82920033}},	//   _gjelder_, _stenda_, _oaino_, _cosacs_, 
   {{0xa4990148,0xbafa01c9,0x522500bd,0x64b0038e}},	//   _行深般若波羅蜜多, _काफ्रेंस_, _cocket_, _meramalk, 
   {{0x92d902f3,0x52c30320,0x79c701c4,0x00000000}},	//   _vinnare_, _mholovo_, _handskoe, --, 
   {{0x0aa20119,0x2e4f0403,0x00000000,0x00000000}},	//   _sakhalin_, _ankadila, --, --, 
   {{0x127e0223,0x00d80281,0x6d1800b3,0xd263005b}},	//   _baino_, _annoncil, _bagsylar, _biyoueki_, 
   {{0xdf2a02a4,0x723b0122,0xec040295,0x5c2c05e2}},	//   _smartypa, _nyolong_, _laiseni_, _recaudac, 
   {{0x9c850156,0xa0770046,0x727e02f6,0x134c07dc}},	//   _קוקיס_, _армияга_, _daang_, _महसूल_, 
   {{0xf27e015c,0x9c15007e,0x54e3005e,0x07d801f4}},	//   _laang_, _विद्युल्, _ﻫﺎﻛﯩﻤﯩﻴﻪ, _совринли_, 
   {{0x327e043b,0x1200011f,0xc95c0497,0x527e04a7}},	//   _uainn_, _apoite_, _aphorist, _faino_, 
   {{0x43dd02af,0x3dc4008d,0xc4d70178,0x29b5042d}},	//   _gatwe_, _istiroha, _निखिलं_, _handahat, 
   {{0x671d02e9,0xc0370338,0x3387034b,0x114c01c9}},	// [95b0] _situació, _austrian, _ngarai_, _tudengil, 
   {{0xd27e0263,0x92000013,0xc0f90181,0x61da001a}},	//   _maand_, _temir_, _ubehagel, _آرمی_, 
   {{0x929003db,0x626e01f0,0x897f00d1,0xbcc002a6}},	//   _emiami_, _dipilisi_, _কৰোৱাইছি, _arbitriu_, 
   {{0x5300051a,0x65c0002b,0x44840425,0x57ce0188}},	//   _ashaari_, _মেহরাব_, _خۆیمان_, _силоҳҳои_, 
   {{0x4609029d,0xec53032f,0x59ae00bb,0xc2d90039}},	//   _анексей_, _certeza_, _میسیج_, _elgeta_, 
   {{0x2b4900e4,0x887a0126,0x122500db,0xce79027b}},	//   _वर्षावन_, _призначи, _harku_, _asurāśca_, 
   {{0x422502bb,0xc2fc000f,0x00000000,0x00000000}},	//   _karku_, _cenazesi_, --, --, 
   {{0x0c930095,0x52250265,0xa27e03e0,0xd975021a}},	//   _بالای_, _markt_, _gaang_, _gadifage, 
   {{0x8290004d,0xec39020f,0xf2d902c9,0x9ad00061}},	//   _我本身是有用過魔, _معشوقې_, _mainile_, _영주소방서_, 
   {{0x9c1302fc,0x60910094,0xac1201ab,0xbd050257}},	//   _abishats, _авторына_, _maksumus, _afruglar, 
   {{0x5de9018d,0xf27e0211,0xb3b20024,0xea100156}},	//   _ናጽነቱን_, _paino_, _সম্ভাৱনা, _שטוינונג_, 
   {{0x79c70088,0xc380033e,0x6f450452,0x00000000}},	//   _карама_, _estruc_, _swasemba, --, 
   {{0x02480125,0x329000b7,0xdb1f00f6,0xf8450453}},	//   _gymmat_, _atjak_, _qalarsan_, _podmetnu, 
   {{0xe86c03cf,0xaa6801a4,0x00f70089,0x9b990143}},	//   _sahibind, _bangamba_, _ayawsız_, _заплатат, 
   {{0xa63a0135,0xe07900be,0x86b00162,0x00000000}},	//   _матвеевк, _داڭعىراع, _سۇنۇشنى_, --, 
   {{0xfb13005b,0xeb1e0444,0xfbe10044,0xc3f70388}},	//   _hinanden_, _доверенн, _elsewher, _prestiti_, 
   {{0xf23e0397,0xeb020073,0x207d0368,0x58360040}},	// [95c0] _кормандо, _floricie, _хаоса_, _אינטרס_, 
   {{0x19a9018d,0x42370013,0x827e00b4,0x022502ec}},	//   _ንስኻውን_, _شیرپور_, _caine_, _warku_, 
   {{0x5f24019c,0xc307013b,0x029004ce,0x1f4901f2}},	//   _alábe_, _alabang_, _takale_, _йимирилг, 
   {{0xf36e00e4,0x03ea028d,0x927e00b7,0x9c0a0364}},	//   _लक्ष्यों_, _initil_, _agany_, _croppen_, 
   {{0x86d10360,0xf95d01ef,0x2e900064,0xaf3505ed}},	//   _symbolem_, _meilutyt, _سىركەلەپ_, _karayông, 
   {{0xdd23049e,0x5b7101db,0x82480057,0x53e1029c}},	//   _položiek_, _жұмекен_, _majmuk_, _chilolez, 
   {{0x37a30321,0x257f0082,0xfb9c0235,0x3c5700e6}},	//   _zelenjav, _basussuk, _chandako_, _大期间安全稳定工, 
   {{0x43870003,0x838000d8,0xeb0c0213,0xd0fa0086}},	//   _boeren_, _astruc_, _кучно_, _jóindula, 
   {{0xd37302e0,0x8466023b,0x23eb00be,0x1a4503d4}},	//   _akhaefe_, _bapetiso_, _تەمتەڭدە, _raketira_, 
   {{0x6b1f0068,0x6d6e0162,0x910700c1,0xa4750046}},	//   _salaysan_, _нишандин_, _चारशे_, _pretenen_, 
   {{0xb27e02e8,0xd0290037,0xa30703d5,0x7ae604d7}},	//   _vaine_, _ሚስጥራዊ_, _angaish_, _baldvins, 
   {{0x7b0d041c,0xd2fc0040,0x805300ef,0x63870263}},	//   _brusiyaa_, _defines_, _bomseben, _toeren_, 
   {{0x7c1701e1,0xe29002ec,0x6d0b01f4,0xbc250365}},	//   _ҡырмыҫҡа, _culays_, _qirralar, _bonusů_, 
   {{0xc4e500f5,0xf2e302c2,0xf27e02fb,0x2c720061}},	//   _йукдуги_, _dominee_, _naane_, _백양로교회_, 
   {{0xaea102dd,0xa637010e,0x2b2d00b5,0xe28c033f}},	//   _appuntat_, _dyesebel_, _hesaguas, _liekina_, 
   {{0xf2900698,0x8f200462,0x72d9033e,0xfc4f00e6}},	//   _bakame_, _ubsequen, _algesa_, _我深感不安_, 
   {{0x527e04cc,0x9b8103f1,0xf486008f,0x9a0202ed}},	// [95d0] _nganx_, _človekom_, _सुरारी_, _aprafoga_, 
   {{0x20180153,0x43f30045,0x238602c6,0xe2f401ac}},	//   _新潟県岩船郡_, _албаније_, _diarm_, _mbunús_, 
   {{0x125b0267,0x579402f1,0x00000000,0x00000000}},	//   _stalnu_, _bactéria, --, --, 
   {{0xeed602c7,0xda0200a6,0xdad50047,0x09c3003c}},	//   _bedingun, _abasandu, _féminin_, _کالبد_, 
   {{0xac690076,0x357d0109,0x8c15027b,0x32850195}},	//   _sorriso_, _skluzavk, _विण्मूत्, _denholm_, 
   {{0xa27e0310,0x23a2033e,0xc3860189,0x6c1d03b4}},	//   _uaine_, _chipí_, _siirt_, _dhiabhor, 
   {{0x727e0107,0x743e0169,0x2c5200f9,0x99d00272}},	//   _raine_, _ইহুদিবাদ, _agatima_, _abatatuu, 
   {{0x70fa02b6,0xfc6a038f,0xe5760177,0x827e00df}},	//   _تەلمەڭدە, _bleuñv_, _рықәра_, _saine_, 
   {{0x527e03b4,0xe531038c,0x4d3700f1,0x1b6602e8}},	//   _paine_, _najčitan, _anvizaze_, _mapurisa_, 
   {{0x8ec7033e,0x85390148,0xb2cb0087,0x4438004d}},	//   _regimien, _salactol_, _holotla_, _新地安排內地畢業, 
   {{0xd71d0173,0xae3700ab,0x1c6501ae,0x92250250}},	//   _desmotiv, _aukatita, _boquete_, _kockat_, 
   {{0xd3480321,0xa27e00dd,0x2c7e0211,0x00000000}},	//   _mesecih_, _gainc_, _nuuskan_, --, 
   {{0xd7cc0277,0x0b980152,0x17480040,0xa7ad0213}},	//   _dysplasi, _фамилияс, _התחדשות_, _западная_, 
   {{0x8fa40203,0x25990177,0xa2d900b6,0x220d00d1}},	//   _diverger_, _мансииск, _leceey_, _কল্পতৰু_, 
   {{0x92ab0497,0x3b71004c,0xc6f50274,0xf2e9055f}},	//   _disallow_, _addukana_, _sambúð_, _karizma_, 
   {{0xa0cd00be,0x994200d9,0xf36e03db,0x137a01c0}},	//   _топонимд, _hillitse, _imigudu_, _dararen_, 
   {{0xc3860358,0xff5c065d,0x337300d6,0xf37f019d}},	// [95e0] _chire_, _skåla_, _dewarkd_, _bakamba_, 
   {{0xedc4018b,0x89b102db,0xd4360076,0x1ab80099}},	//   _articole_, _bildimap_, _благосос, _chakaras, 
   {{0x579d0157,0x00ba027b,0x30b50012,0x98e20143}},	//   _forumowi, _सारमञ्जू, _बादुड़_, _форумец_, 
   {{0x12f90320,0x03dd03a6,0x857e029a,0x237900b3}},	//   _adlhaya_, _gatwa_, _lenteliz, _aldayan_, 
   {{0x5c610309,0xfc200016,0x3a140061,0xd2d90594}},	//   _avtovağz, _preskrib, _행정공무원_, _vinnere_, 
   {{0x2237025c,0xf5b2005e,0x37b201b9,0x186a027f}},	//   _völlig_, _كوررېكتو, _ostralyi, _nayituru, 
   {{0x527e02e1,0x8f70015e,0xba6901db,0xf6030349}},	//   _bainc_, _caçar_, _تۇبەگەيل, _apillari, 
   {{0xc7d900a2,0x627e015f,0xef3e0162,0xb2d601f3}},	//   _عبراني_, _cainc_, _үстүнлүк, _oslovil_, 
   {{0x949e002b,0xa2fd00c5,0x1b1f0573,0x5fba0311}},	//   _যৌক্তিক_, _devises_, _qalafsan_, _ኪርግይስታን_, 
   {{0x77280444,0xe1ba018d,0x6207056e,0x9a9701a3}},	//   _домашних_, _ዘይረኸቡ_, _hemodiál, _ڪَنڊيءَ_, 
   {{0x229a0119,0x23f801fe,0x00000000,0x00000000}},	//   _pagpatay_, _lumuti_, --, --, 
   {{0x53a20551,0xa34200f4,0xf31c01e0,0x33270137}},	//   _numpuk_, _dilezel_, _کاربردنی_, _чихмэл_, 
   {{0x1cf70148,0xf6050082,0x425a02f7,0x11cd01de}},	//   _房屋詳細資訊_, _tsammani, _kailwe_, _гүлшоғыр, 
   {{0xa635042f,0x12ad0148,0x7dfc01aa,0xd2900082}},	//   _huginngi, _受到機動車事故傷, _affectwa, _bakake_, 
   {{0xff890135,0xa7ed02a4,0x427f00c4,0xb5d402ac}},	//   _тематик_, _badabing, _huenda_, _وتطبيقات_, 
   {{0x325b01b9,0x12fd00a5,0x1f3d0444,0xfc580060}},	//   _explo_, _lauga_, _справку_, _زامانىنى, 
   {{0x8dfb02c2,0x024001ab,0xe9d700a3,0x97ab0350}},	// [95f0] _begeerte_, _खोललन_, _angedale, _መቀያየር_, 
   {{0x0b05037a,0x92cb0338,0xe7a3021c,0xa3cf00d1}},	//   _ugasanga_, _quadre_, _objednav, _আত্মীয়ৰ_, 
   {{0x3d5a0397,0x56b90166,0xa27e0020,0xe2580309}},	//   _дорем_, _benachri, _iaina_, _dostcanl, 
   {{0x4ac3023e,0x33c8019f,0x63be00ba,0x59520220}},	//   _زندگی_, _آبروءَ_, _ساغکردنه_, _съдии_, 
   {{0xc27e022f,0x72fd0085,0x43ea013d,0xd3430059}},	//   _kaina_, _bauga_, _sentas_, _цолова_, 
   {{0x164a032d,0xdc1f0055,0xa6410011,0x61fd03b4}},	//   _тәмлекәс, _accomudu_, _balifuki, _hatisham, 
   {{0x337a0422,0xcc2702e1,0x52ca0113,0xd3e90094}},	//   _drugič_, _مطاردات_, _muidne_, _ахымжан_, 
   {{0xb489052c,0x09e201a3,0x00000000,0x00000000}},	//   _بونایه_, _ڀاڄين_, --, --, 
   {{0x42ee04b1,0xa2b40115,0x520100a8,0xe2fb00dc}},	//   _kreft_, _celcom_, _avaina_, _tauhaga_, 
   {{0xe30500c4,0x6170003a,0x32290204,0x4c4e0095}},	//   _سومار_, _اجراتی_, _домашние_, _ممسنی_, 
   {{0x9ee102bb,0x635a01d1,0xb3a20107,0x7cc300ba}},	//   _konieczn, _perfect_, _tumpuk_, _پێکڤه_, 
   {{0x82ca01da,0x227e000b,0x0c700506,0x6dce03c1}},	//   _ndodh_, _aaina_, _passord_, _мирен_, 
   {{0x327e0223,0xb0f0016e,0x56500291,0x429b008d}},	//   _baina_, _indiriml, _الخنزير_, _ajablanm, 
   {{0xb28701ac,0xb29000a1,0xafae04c7,0x4fea02b6}},	//   _سفيان_, _pakake_, _дарка_, _قىستىڭ_, 
   {{0x527e0082,0xe3100497,0xde3d0177,0x8b830163}},	//   _daina_, _bounding_, _занашьоу_, _ستونوں_, 
   {{0xc5ea02b2,0xbe540369,0x2cad0061,0xdaec00dc}},	//   _формі_, _kawaiaha, _인신공격성_, _maluafit, 
   {{0x237a0223,0x6df900bf,0x8f2303a0,0xe4190158}},	// [9600] _garapen_, _медовый_, _dikeetan, _franczyz, 
   {{0x9a110268,0x6424001e,0xe436040e,0x2fe90452}},	//   _elective, _sansanin_, _miljøska, _पकडायला_, 
   {{0x751f01f6,0x906500dc,0xd32101c7,0x49d90045}},	//   _দ্বিতীয়, _atuanofo, _berya_, _кисеоник, 
   {{0x22900160,0xcea50003,0xdd330049,0xe37a0359}},	//   _temama_, _gestelde_, _hikituee_, _arbeidzj, 
   {{0x8879026f,0x1f240287,0xddfd01aa,0xf3210189}},	//   _ءﺗﺎﻳﯩﺮﻯ_, _znáte_, _advertwa, _derya_, 
   {{0x8a00003a,0x4386036a,0xec4103a8,0x00000000}},	//   _чемпиони_, _jairi_, _সংয়োগবিহ, --, 
   {{0xb2cc0320,0xe2900167,0x8c680193,0xc26d00ec}},	//   _endlelo_, _baladr_, _ahjussi_, _ўздоўж_, 
   {{0xb200014d,0x12f40081,0xbf980045,0xf3f903db}},	//   _pfeil_, _bleikum_, _количину_, _sivume_, 
   {{0x5c52071f,0xa3050100,0xdd02006d,0x00000000}},	//   _filtfun_, _stranom_, _бічэль_, --, 
   {{0xcd080162,0x8ad103ae,0x70f0013c,0xa6080004}},	//   _رايونعمع, _inntekte, _endiriml, _blogosfè, 
   {{0x730e0040,0x2386012c,0xb6cd00d7,0x1c7c0157}},	//   _strains_, _hiari_, _очаков_, _prasowa_, 
   {{0xecad0418,0xf6d702d5,0x69c70008,0x8a1402c5}},	//   _dosyalar, _कारिख_, _thalassa_, _chechise, 
   {{0x437f0140,0x4a140066,0xf4a10403,0x00000000}},	//   _kakaiba_, _sarasola_, _drizareo_, --, 
   {{0xf3390037,0xd1b90162,0xc3090077,0x738601eb}},	//   _ሴክሬተሪ_, _келинсә_, _bezbòl_, _miari_, 
   {{0xc6ee0022,0x66080187,0x339505f4,0xd29b004f}},	//   _министрл_, _направив, _chaski_, _jeundé_, 
   {{0x32f00287,0x804b026f,0xa2ee0222,0x00000000}},	//   _policii_, _تىنشتىق_, _brefs_, --, 
   {{0x630e02e4,0x47c701cd,0xb49e0326,0x3c2f006a}},	// [9610] _cerimonj, _қадимии_, _duramanz, _hampirob, 
   {{0x40660064,0x97b6002b,0x139e004d,0x29c2005b}},	//   _иншаллах_, _বিজেপি_, _為網購之供應商及, _curearse, 
   {{0xd2900227,0xcf20020b,0x525b00dc,0x00000000}},	//   _remaja_, _gatetsen, _tualau_, --, 
   {{0xe3ea0503,0x52030219,0x13ea0203,0x6d380066}},	//   _delte_, _akukavum, _bentos_, _donibane_, 
   {{0x23ea03b3,0x42490259,0xb63900be,0xa295005b}},	//   _centos_, _cosme_, _базалары, _yamazaki_, 
   {{0x7349020c,0xf212009a,0x1a71030d,0xfd4d0220}},	//   _ditemui_, _amehl_, _babayeva_, _наведнъж_, 
   {{0x83390024,0x75d70237,0x00000000,0x00000000}},	//   _নিয়মীয়া_, _뒷받침하는_, --, --, 
   {{0x3e9601e6,0xd94c034b,0x5255026b,0x7c520012}},	//   _šampioná, _gutolget, _তৃপ্তি_, _बिटेऊ_, 
   {{0x67c7010f,0x1638012b,0xf7840034,0xb224055f}},	//   _қабили_, _publikow, _forvitni, _manken_, 
   {{0xd87a0381,0x825a0108,0x01d10268,0xf5a100d1}},	//   _anchored, _arileu_, _arrelbay_, _ভাললগা_, 
   {{0xff6501f0,0x93800263,0x355c02ac,0xe8a50002}},	//   _beebelen, _deuren_, _جيرمان_, _bekvalac_, 
   {{0x648605e5,0x3bc001cc,0x49990188,0x4b360126}},	//   _सुधारी_, _सापेक्षम, _медалҳо_, _духовніс, 
   {{0x0f20056a,0xedbc0142,0xd27e01a6,0xbc7100ee}},	//   _boitshup, _bhramate_, _paana_, _harritu_, 
   {{0xf27e0044,0x62d700d0,0x62900437,0xc25a031a}},	//   _lying_, _istorio_, _stjal_, _failte_, 
   {{0x5c700409,0x8212020e,0x3ced006c,0x00000000}},	//   _selskab_, _amehe_, _баракаев_, --, 
   {{0x427e0015,0x6c8e00be,0x0f240163,0xab6b0026}},	//   _waana_, _باقشعادا_, _pláne_, _scholier, 
   {{0xf41d03b0,0x91280140,0xeda9045d,0xb32a02ea}},	// [9620] _dessutan_, _sitwasyo, _definisa, _обратнот, 
   {{0x8dee0193,0x438b031f,0xfbab0488,0xda120021}},	//   _berjumla, _lærde_, _viskolor, _eductive, 
   {{0x6fc5018d,0x26fe0148,0x82d6036d,0xa670012a}},	//   _ይኹንእምበር_, _獲得現金積點_, _choltas_, _zachorow, 
   {{0x72f50148,0x645b0187,0x3d0700c3,0x00000000}},	//   _maximam_, _numeraçã, _evolvere_, --, 
   {{0x583902a9,0x23050016,0x00000000,0x00000000}},	//   _габсбург, _arbaroj_, --, --, 
   {{0xe386043b,0x1060006c,0xcb5a009b,0x31fa0064}},	//   _mhara_, _abasidin, _hondakin_, _جىرىمى_, 
   {{0xaa1e018d,0x795b02c2,0xf9f00513,0x44a800d1}},	//   _ክንግንዘብ_, _veroorde, _manghene, _যাত্ৰীৰ_, 
   {{0x1386005b,0x56c80307,0xdd2201e9,0x5b230206}},	//   _ohara_, _bangazif, _dikoleke_, _položiť_, 
   {{0x1c510072,0x83860200,0x3ab90350,0x00000000}},	//   _chitama_, _ghara_, _እንደልቡ_, --, 
   {{0x2b60041c,0x8af402f7,0xc2fc0271,0xf039007f}},	//   _aarmustr, _bahumane, _lengst_, _afresymo, 
   {{0xe5c50285,0x83ea0416,0x22900282,0x92000318}},	//   _imibereh, _centes_, _hemaia_, _ifeia_, 
   {{0x34500168,0x130d03dd,0xccfa0153,0x3386007e}},	//   _landbruk, _kenaqur_, _オンライン書店_, _bhara_, 
   {{0x76540258,0x03870374,0x07b500cb,0x00000000}},	//   _jiskewei, _agarki_, _babelang, --, 
   {{0x4f210195,0x9ed60613,0xa2fc000e,0x4f0e0143}},	//   _coitchea, _avenidas_, _revidet_, _сандвичи_, 
   {{0x22cb05d5,0x82ca02a9,0x29f600de,0xdda60046}},	//   _stadie_, _žodis_, _یوبیت_, _شاڭدۇۇ_, 
   {{0x886c0242,0xe2ca00f2,0x037800e3,0x237b0433}},	//   _sahilind, _veidos_, _bagalja_, _karadto_, 
   {{0xd97e0013,0x219904c7,0xd26e0256,0x641201bf}},	// [9630] _болаларн, _манипула, _datora_, _joggesko_, 
   {{0xc6e2015e,0xf61e0156,0x6d9d0476,0x50400299}},	//   _этностук_, _apelacii, _chingata, _تۇزۇمى_, 
   {{0x64750022,0xc6810109,0x43f902e8,0x5c670296}},	//   _күгәрсен_, _lukostře, _emauto_, _nystart_, 
   {{0xcad0001a,0x120002fb,0x237f04bd,0x4302028a}},	//   _سرایت_, _afeia_, _hemaana_, _allaahu_, 
   {{0xc2120742,0x33fc004d,0xd2da000b,0x7e6a03f2}},	//   _mmmhh_, _心血管疾病_, _tauese_, _прикормк, 
   {{0x4fe503a2,0x82fc0263,0xb2b100bb,0x65fb0368}},	//   _समेटने_, _hengst_, _listáról_, _монтесор, 
   {{0xe618017a,0xa291017f,0x137800f5,0x1d810062}},	//   _махалгар, _ilaani_, _alladan_, _mohlahta, 
   {{0x46520229,0xba4300da,0x32da00ab,0xd26d0255}},	//   _braziliy, _ресурсел, _kauere_, _heaolu_, 
   {{0xc387013a,0x12e9014d,0xa3e60467,0xfac30039}},	//   _joeren_, _medizin_, _sankubɔk, _холдоод_, 
   {{0xb4a502af,0x51e2008f,0x39c701db,0x5aa60156}},	//   _akubahuk, _उतारल_, _мазалап_, _אירענא_, 
   {{0x3ea50039,0x5386016b,0x8342016e,0xc8120126}},	//   _bestalde_, _shara_, _siteden_, _однокімн, 
   {{0x23860252,0x11f403e9,0xc7c70065,0x4df300db}},	//   _phara_, _кемпирле, _kostenpf, _raadiosa, 
   {{0x18360255,0x62ef024a,0xb27f01c5,0x1f3302d3}},	//   _इस्लामपु, _awafin_, _keenin_, _aposenta, 
   {{0xf27e0285,0x3c700371,0xaba903a2,0xeff70093}},	//   _nyine_, _passare_, _जासंकें_, _авторĕ_, 
   {{0x7a730335,0x1387000d,0x059700d1,0xd3860116}},	//   _allīno_, _kaarti_, _ধোঁৱাৰ_, _hairt_, 
   {{0x227e0140,0xe14d0321,0x64a80005,0x00000000}},	//   _gaano_, _lastniko, _uffizial_, --, 
   {{0x4053014c,0x61580299,0x3fe5057d,0xc7ee01a6}},	// [9640] _nomseben, _ئالجىرىي, _prouzroč, _papatang, 
   {{0xf27f0285,0x57ed01f0,0xe2e10258,0xe7370094}},	//   _arenga_, _boipelaf, _posityf_, _تارتىس_, 
   {{0x2fe90157,0xf31e02ea,0x141a0163,0xb6010143}},	//   _मालामाल_, _peccato_, _زمیندارو, _stampabi, 
   {{0x1053014c,0x02ca014d,0xf2320385,0xdbb4023e}},	//   _komseben, _beides_, _stavljal, _banthèng_, 
   {{0x8bb200a6,0x4386007b,0x990b01db,0x00fa0087}},	//   _afezekis, _fairm_, _ұялып_, _mavhotel, 
   {{0x63950101,0x0294029b,0x2fe5003e,0x92560109}},	//   _acesta_, _akaadimi_, _eleketro, _नदिइने_, 
   {{0x730303a7,0x63e20040,0xcbf300e2,0x7db90092}},	//   _kolesá_, _הקליקו_, _achtkars, _そうですか_, 
   {{0x6b8200a1,0x824900f7,0xf16800af,0x0a9d0405}},	//   _awanuiar, _kosma_, _болгарії_, _коментую, 
   {{0x72c20219,0xf1e700be,0x926504b1,0x920004b1}},	//   _badlala_, _حۇڭبين_, _smarttel, _amming_, 
   {{0x54eb0590,0x238602d4,0x5c130096,0xb69001e7}},	//   _пүрэв_, _charn_, _abashats, _acceptei, 
   {{0xb27e0140,0xaf3c02ce,0xccfe00d6,0x0c520061}},	//   _paano_, _tutuwuha, _suathair, _영문학자이자_, 
   {{0x6f8303fe,0xe78b00da,0x90f70294,0x52a700b9}},	//   _помощью_, _студият_, _artiikul, _daebak_, 
   {{0x938300bc,0xf37804a4,0x7d3d03ae,0x9838004d}},	//   _nozzles_, _allaban_, _redigert_, _屏東縣屏東市_, 
   {{0x538600fd,0xf2df003a,0xb84204c7,0xd1dd0111}},	//   _gairm_, _ishorat_, _доброту_, _mudificà_, 
   {{0x3b1d033e,0x8dfc033a,0x1dfa01da,0x329004d8}},	//   _akatuàpe_, _affettwa, _mandatit_, _kubad_, 
   {{0xf249008d,0x779300b9,0x63eb018e,0xa11902e5}},	//   _bosma_, _सेवाभावी_, _byatso_, _iponsoña, 
   {{0xaef00176,0x7d0301ec,0x70400040,0xd15800fe}},	// [9650] _awakenin, _ادرار_, _הממוקם_, _hikutamo, 
   {{0x1c5f017d,0x22ee02bd,0x8a780294,0xf2250218}},	//   _ゲストさん_, _trefi_, _antawaqa_, _akakay_, 
   {{0x421201e1,0xd8490230,0xe27f01f7,0x12e9045b}},	//   _ameha_, _destriks_, _prenga_, _чехова_, 
   {{0xb31503e5,0x9cb5038e,0xab2c017f,0xb3010480}},	//   _burbank_, _स्वरूपात_, _angallas, _adibane_, 
   {{0xd0730360,0x8de303e6,0x27ad01b5,0x95fe0013}},	//   _moravsko, _südkorea_, _exitichi, _bilmaydi, 
   {{0x979e01ec,0xf29007e1,0xf3f40047,0xab610138}},	//   _مستهجن_, _tubag_, _testez_, _yağışlı_, 
   {{0xe282002a,0x6e0b0092,0xd89f0073,0x7386008c}},	//   _dochiri_, _タイでお買い物_, _pervenir_, _biart_, 
   {{0xd27f01da,0xceac00d3,0xb2a702f3,0x14bb01c9}},	//   _brenda_, _pantofle_, _robban_, _सकेंगीं_, 
   {{0x636500e0,0x5dc300ff,0x129000db,0x327e001b}},	//   _flaggen_, _טריקס_, _mujal_, _baane_, 
   {{0x6e010060,0xd7570425,0x6a2d0144,0x91e60397}},	//   _османлы_, _نفوزی_, _ولاده_, _anginqum, 
   {{0x6977055a,0xb56300be,0x00000000,0x00000000}},	//   _entidade, _كەچەدەن_, --, --, 
   {{0x32d800fe,0xc22601b9,0x0380004d,0x83db0311}},	//   _ekeeke_, _parksi_, _全市城鄉環境綜合, _ጎረቤትና_, 
   {{0xf40201db,0xbc9500bb,0x53e8024c,0x0c640282}},	//   _террорлы, _باؤلنگ_, _difensiv_, _patuone_, 
   {{0xd3710304,0xec920187,0xc3a802a3,0x37ca00d1}},	//   _setaraf_, _реформит, _benaming_, _গিৰীণে_, 
   {{0xaeb90222,0x82900100,0x58b0005e,0x6c6000c5}},	//   _chiffres_, _rujan_, _جىڭۋۇ_, _mettons_, 
   {{0x484800e6,0xc3860288,0xd3f40047,0x42290022}},	//   _新浪特许频道免责, _onary_, _restez_, _бизнесты, 
   {{0xb4280220,0x6c3a0127,0xb386003a,0x0f5c0195}},	// [9660] _преследв, _berrañ_, _sharg_, _leigheis_, 
   {{0x69bb0213,0x40320012,0xe2260181,0x6c5502f3}},	//   _обозначе, _चरइहऽ_, _elsket_, _voltade_, 
   {{0x12d601cc,0x19db0047,0x9819016d,0x6e9b01f1}},	//   _प्रफुल्ल, _第三十七条_, _китабиди, _postimit_, 
   {{0xd282002a,0x052900cd,0xbcef05d4,0x90060156}},	//   _sochiri_, _appellà_, _श्रमदान_, _איהעלער_, 
   {{0xf3fa01c1,0xc7b103e6,0x595e0156,0xe98e00e6}},	//   _petuah_, _gepléckt_, _branĉeto, _三峡工程建设委员, 
   {{0xa22500d6,0x63860005,0x57b50262,0x157e00c5}},	//   _darkr_, _biars_, _bellemek_, _quantité, 
   {{0xb61d0230,0x63860392,0x7699005e,0xc635027b}},	//   _chetlall_, _bhard_, _ئوپتېك_, _babhañja_, 
   {{0x89ac0156,0x427e0295,0x33960053,0x9f3802d0}},	//   _ספּיצער_, _saane_, _gausah_, _schuilma, 
   {{0x6af40022,0x91fa00bb,0xda0302ef,0xe9780155}},	//   _легендал, _سرہانے_, _covaleda_, _roligast, 
   {{0xbcc402e4,0xc4130029,0xebbd0046,0x72da012b}},	//   _artikolu_, _ساڵدا_, _ايماققا_, _desery_, 
   {{0x7ba401ad,0x86cc0077,0xe7e30075,0xa2bc019c}},	//   _pabianic, _ekspansy, _konsertf, _idaduro_, 
   {{0xb643030b,0xbd5a0244,0x4b05004c,0xbb340080}},	//   _abokunti, _росен_, _agasinga_, _allatsis, 
   {{0x06cd0262,0xe23002fc,0x8c17001a,0xb2d90224}},	//   _аяллары_, _abemera_, _مورچے_, _bloggari_, 
   {{0x220001f4,0x99350060,0x886a0450,0x887a00a8}},	//   _solish_, _تىشقانىڭ, _fannemid, _cogniziu, 
   {{0x1f44025c,0x38d7012a,0xa25b0066,0x7386008e}},	//   _entsteht_, _अटपटे_, _ugalde_, _diarr_, 
   {{0xa2ef015f,0xac04008a,0x5bf500ab,0x21f3011a}},	//   _gruff_, _laisani_, _kapokapo_, _abandonm, 
   {{0xc224013f,0x0c67012e,0xca7602ba,0xb3c00144}},	// [9670] _rankan_, _فریال_, _бистарӣ_, _ببورسعيد_, 
   {{0xb21802eb,0xb27e0128,0x00000000,0x00000000}},	//   _элементи, _uzini_, --, --, 
   {{0x96530038,0x886401eb,0x8d550135,0x57ef016d}},	//   _tamaşaçı, _унивирси, _пленар_, _шәрти_, 
   {{0xc3780125,0x1d7a0344,0xc10c002e,0xc4a400e6}},	//   _ullakan_, _akimigut_, _vrućina_, _从某种意义上讲_, 
   {{0x888001cc,0x63bc0163,0xb3ea036e,0x84010078}},	//   _आहोस्वित, _کلینی_, _allta_, _аспекте_, 
   {{0xee32015e,0x438602d4,0xfe6c04dc,0x9e6c003c}},	//   _акшда_, _piars_, _پیشوو_, _پیتون_, 
   {{0xa134018d,0x837902f3,0xc3ea012e,0xb2c5003b}},	//   _መፈንጥራ_, _skratta_, _centis_, _icalise_, 
   {{0x738601cc,0x29e201a3,0x57fb0153,0x9c1c0014}},	//   _bhare_, _ڄاڃين_, _ランニング_, _qarqeve_, 
   {{0xe6d20113,0xcabc00da,0xa290029e,0x8290023b}},	//   _caipitil_, _клипэ_, _kenavo_, _iliahi_, 
   {{0xe3eb0132,0x99d60104,0x12510425,0xf2a000da}},	//   _fiatal_, _onothand, _مارکیز_, _serban_, 
   {{0x52940130,0x0e720193,0x42130233,0x54ea00c5}},	//   _skipailh_, _रास्त_, _archil_, _在线充值中心_, 
   {{0xa38600bd,0x59e100b3,0x3472023b,0x4ebe03fb}},	//   _thare_, _aralaşan_, _setepano_, _siromasn, 
   {{0xc3ea017e,0x9f300321,0x5386017d,0xc4390278}},	//   _sentis_, _morebitn, _kairi_, _berkeyak, 
   {{0xf1b403d4,0xd300019f,0xf31c02d4,0xf2fc000e}},	//   _израз_, _ushauri_, _succeda_, _aquisit_, 
   {{0xb25a028e,0xeafe0180,0x4386039f,0xe22504df}},	//   _pailat_, _lenspekt, _quirky_, _chykdy_, 
   {{0xc9c702e4,0xe7ef0664,0x83f807e2,0x72eb019c}},	//   _bhalissa_, _जैवविविध, _bumuti_, _polówó_, 
   {{0x82b4021c,0x7e1a0227,0x5fe503de,0x12330361}},	// [9680] _plochu_, _kemewaha, _elekhtro, _аграрной_, 
   {{0x41fe004a,0x82fd00b0,0x3dfe038b,0xb27b0017}},	//   _тороидал, _anagoo_, _penentua, _majiteli_, 
   {{0x012d0276,0x359301d5,0xa53d0291,0x00000000}},	//   _һайти_, _skandiná, _جيماوي_, --, 
   {{0x527e0326,0x43b80177,0x92cb037c,0x82ab0421}},	//   _haana_, _британиа, _tradit_, _rüber_, 
   {{0xa1c90056,0xadfc00e4,0xd2cb0083,0x96490078}},	//   _рости_, _skierowa, _geadas_, _погодака_, 
   {{0xb4d7009b,0xa9f000ac,0xa3800340,0x82d80399}},	//   _саналыг_, _pronasla_, _ururua_, _fuleti_, 
   {{0xa27e0207,0x88630488,0x570d033e,0x0d900025}},	//   _maana_, _pensijas_, _лабра_, _शिक्षन्त, 
   {{0xca0f06a6,0x925b0120,0x1386018a,0x40270092}},	//   _ngaphand, _caalat_, _mharc_, _白石ひより_, 
   {{0xa38605ed,0xe27f034a,0x49d604eb,0xbec50156}},	//   _ibiro_, _quenda_, _अदायगी_, _alportas_, 
   {{0x427e001f,0xc8d7003b,0xa3a2028d,0x5300018b}},	//   _gaana_, _angemalu, _senpa_, _silaghi_, 
   {{0xe58c0268,0x22a60199,0x240402d3,0xb42402be}},	//   _annualiz, _yanbi_, _definiçã, _pansinin_, 
   {{0xf3940203,0xd2fb0156,0x49ef003d,0xa2e90350}},	//   _ikiski_, _אַלבאַני, _capivara_, _impiana_, 
   {{0xf27e030b,0x83bf04c8,0xd23002e8,0x896802f3}},	//   _baana_, _aħbariji, _akamuka_, _allianse, 
   {{0xc37800c4,0x74010601,0x79ec044b,0x527e00dd}},	//   _هيومن_, _solusyon_, _efterføl, _clinig_, 
   {{0x61660156,0x52da00b6,0x427f02c8,0xcefb00af}},	//   _מיזורי_, _baatilih_, _crenza_, _штрафи_, 
   {{0xac7502ce,0x221d035c,0x828f033f,0xa28f01fa}},	//   _balukar_, _bergsvåg_, _saioné_, _taukapo_, 
   {{0xeb1c0061,0x03f301c5,0x737900b3,0x09db0322}},	// [9690] _궁극적으로_, _nayroobi_, _aldanan_, _agendera_, 
   {{0xf2f00028,0x8cfc0061,0x399504cf,0x35da039a}},	//   _golihii_, _배송비결제_, _ebehlala_, _lambatny, 
   {{0x72620039,0xc6e20241,0x3afc0133,0x211a00c7}},	//   _явган_, _baabelii, _biiroole, _bağlanış, 
   {{0x6a2d0113,0x33980094,0x33b00263,0x80b70361}},	//   _الندى_, _сапарлар, _schattig_, _британир, 
   {{0x566e0025,0x702c005e,0xbacb0230,0x93f901a1}},	//   _सामान्यम, _ақлап_, _gramaten_, _figuur_, 
   {{0x02a60534,0x89e90418,0xc303000f,0x2af30105}},	//   _wanbi_, _tesekkür_, _cinayet_, _konsyste, 
   {{0x84e80014,0x6e170035,0xe0130220,0xd0f40287}},	//   _ንምልካዊ_, _зарница_, _демокрац, _गजुरेल_, 
   {{0x78d400be,0xb7c7012a,0xea15019b,0xff0303d1}},	//   _بىلبەپمى, _postanaw, _выхаду_, _lekcijas_, 
   {{0xec1402ac,0x13200168,0xc386024a,0xb8fc031c}},	//   _بوينت_, _menyen_, _faari_, _alcanzad, 
   {{0x1356005e,0x234003f6,0xf63c01cd,0xcfc7023c}},	//   _تىخمۇ_, _legeona_, _горатгар, _الینګار_, 
   {{0xd29e0162,0x9acb0039,0x963901eb,0x3d0800c5}},	//   _зигар_, _eramaten_, _capellán_, _angoisse_, 
   {{0x8ef801db,0x9ef40052,0x2c6000cf,0x4548002e}},	//   _министір, _संङ्क्षि, _fuduraa_, _osuđuje_, 
   {{0x0b1c049f,0x953a020e,0x11c20052,0x4b1d026b}},	//   _kuzakwab, _batheteh, _drtinová_, _despiert, 
   {{0x7dea01db,0xadb7019f,0x021300d0,0x8c760089}},	//   _بوكەتاي_, _kibinada, _хормын_, _бактың_, 
   {{0x3c64014b,0xed290078,0xa26d005b,0xbd540399}},	//   _amburre_, _архивира, _fuyong_, _tapatolu_, 
   {{0x0c8b0169,0xf301009a,0xde2a0041,0xf4f7004b}},	//   _কুকুরদের_, _adibene_, _ижәла_, _биллаһи_, 
   {{0x6b13014d,0x337f0129,0x507d03d4,0xe6de0061}},	// [96a0] _bedanken_, _taagị_, _шансе_, _증가하면서_, 
   {{0x1c1b007d,0x3c3e0037,0x7d1d006c,0x43940099}},	//   _melancar, _አሳይተዋል_, _abalahle_, _akishi_, 
   {{0x02a00261,0x4dd50014,0x72cb02f3,0x6cc4024c}},	//   _verbon_, _edukimit_, _brydde_, _istimolu_, 
   {{0xde720255,0x938602ec,0x2e56008d,0x3a0a00f1}},	//   _तुर्क_, _saari_, _шайтон_, _lasanmbe, 
   {{0x638601b8,0x3c6c029b,0xdc1b0066,0x23860243}},	//   _paari_, _buruxel_, _sukaldar, _obare_, 
   {{0xbb130166,0xd9f605f7,0x1b3400d9,0x7216029b}},	//   _gedanken_, _sgwâr_, _инженерн, _gaannaaw_, 
   {{0x28200207,0xd3790229,0xd9e70078,0x7ba60147}},	//   _نشاندار_, _aldadan_, _ракетни_, _guíxols_, 
   {{0x923f0141,0x838000b0,0x43980137,0xdaa701be}},	//   _hammasi_, _buurta_, _кристина, _मुद्रामा_, 
   {{0xd98b019d,0x42b602e7,0xcf3b012a,0xc2df0243}},	//   _akukonza_, _earcup_, _walentyn, _mangisti_, 
   {{0x727e0247,0x3022048c,0xe1c900c8,0x22d50247}},	//   _hyang_, _intercro, _ҡорто_, _bacokan_, 
   {{0x16de0006,0x203e0041,0x2f2900e6,0x1a540043}},	//   _tempatny, _иаҭахӡам_, _论文写作技巧_, _atamulab, 
   {{0xe97500d6,0x9dbd0194,0x66cd040f,0x4cac0025}},	//   _cruinnit, _departet_, _pagamini, _dvayacar, 
   {{0xb9b20148,0x93800421,0x327e010e,0x9aa701de}},	//   _個工作天內送達_, _teuren_, _dyang_, _таласты_, 
   {{0x097501f1,0xa25a02ac,0x537b0371,0x621c0212}},	//   _prezantu, _tailte_, _taranto_, _aether_, 
   {{0xc1770117,0x518a05ce,0xec140163,0x02ca0026}},	//   _bilakpel, _başlık_, _اورنہ_, _legde_, 
   {{0xd27e02f6,0x7ae7002b,0xb2f20361,0xc7d80210}},	//   _nyang_, _নিজামী_, _термичес, _angasabv, 
   {{0x827e0277,0x636d00ec,0xe80104a7,0x1e8f011f}},	// [96b0] _iyang_, _keletą_, _típicos_, _апалатка, 
   {{0xff5e0281,0x72e90261,0xa2e9017d,0x2d820281}},	//   _sisamann, _religio_, _medicin_, _qullersa, 
   {{0xe2cb026d,0x4ab8016d,0x874502c8,0x322a014a}},	//   _sleduj_, _مۈشكۈل_, _campesiñ, _nőket_, 
   {{0x72a00258,0x5709000c,0xb3940176,0x84d60291}},	//   _gerben_, _девиси_, _omise_, _باسكال_, 
   {{0x38550242,0xa33d0109,0x250301b5,0x527e00ce}},	//   _birlikdə_, _zdravé_, _avumbirh, _izans_, 
   {{0xd3d2041a,0x82240225,0xd99d0076,0xf2e60156}},	//   _педагогі, _zanken_, _ajustáve, _חבדסקער_, 
   {{0x45990092,0x938001a7,0xb50600ef,0x00000000}},	//   _マイリスト_, _suurta_, _حاصلولو_, --, 
   {{0x338603b4,0xe5f000d1,0x627e0502,0xb3f102e1}},	//   _abare_, _কোৰাচ_, _gyang_, _thriomú_, 
   {{0x22ca0435,0xa63a0037,0xf4a8008c,0x82de004d}},	//   _negde_, _የመረጠው_, _ufficial_, _都不必再四處奔波, 
   {{0x91dd004d,0x76420397,0x93f8013a,0x625a04a4}},	//   _國土資源部_, _ahloselw, _chouer_, _pailte_, 
   {{0x6386004f,0x30e70235,0xf7de0462,0x82ef0167}},	//   _daaru_, _श्रीञ्_, _avernumw, _gwyfyn_, 
   {{0xe94a00a3,0xa0c7014e,0x00000000,0x00000000}},	//   _pattedyr_, _висине_, --, --, 
   {{0x03180168,0x68200486,0x440d0099,0x6b870291}},	//   _nominasj, _nevinný_, _chigango_, _للنهوض_, 
   {{0x449400e3,0x12240050,0xe06001e4,0x3c5600e0}},	//   _skillful_, _sanken_, _यथेष्ट_, _iistiid_, 
   {{0x00000000,0x00000000,0x00000000,0x00000000}},	//   --, --, --, --, 
   {{0x4c1b02df,0x329000ed,0x34a90045,0x6df200d1}},	//   _pelancar, _auban_, _протекли, _সঠিকৰূপে_, 
   {{0x727f00a9,0xc2010235,0x934003ae,0x926e000b}},	// [96c0] _irenga_, _ataiva_, _nordlys_, _raponi_, 
   {{0xe3860263,0xa40400f5,0x227e02f6,0xa35402e4}},	//   _maart_, _экранлар, _syang_, _awrelju_, 
   {{0xdc1901f7,0x4af102e5,0x00000000,0x00000000}},	//   _turquia_, _ҟарҵоит_, --, --, 
   {{0x75a900da,0xb23b02ff,0x72c403b3,0x22b40121}},	//   _терито_, _galeotti_, _lakland_, _débil_, 
   {{0xff5702f7,0xa34d00af,0x138700b7,0x6eff0185}},	//   _dikampen, _цифровий_, _chyra_, _кавәс_, 
   {{0xd27e01b9,0x9386004f,0x00000000,0x00000000}},	//   _azans_, _gaaru_, --, --, 
   {{0xa53d003a,0x0d50005a,0xed0303c6,0x02a003dd}},	//   _yashovch, _davanchu_, _annulear, _perben_, 
   {{0x6051032d,0xc2da00f7,0x58790450,0x22c502f3}},	//   _зворыкин_, _impeto_, _allieard, _smalare_, 
   {{0x438600e1,0x99a202ee,0x22900564,0x129100db}},	//   _baaru_, _prijorit, _puban_, _plaani_, 
   {{0x0d6f02ac,0x227e0417,0x034e00ad,0xf15402d7}},	//   _أحزاب_, _vyand_, _sakedik_, _acordado, 
   {{0xfe7a0189,0xaea501b8,0x42ee005b,0x00000000}},	//   _iktidarı, _koolitan, _gilfy_, --, 
   {{0x83060381,0x7c130237,0xb62201c7,0x02e60373}},	//   _agazinem, _opbrengs, _begenýär, _atingon_, 
   {{0x8c6901ad,0x3d8e037f,0xaf52050b,0x838601d9}},	//   _svitavy_, _süleyman, _उपनगर_, _gaart_, 
   {{0x429000a5,0xfd130217,0x34820141,0x45e500c8}},	//   _aliali_, _adeltine_, _аткинсон_, _аңланым_, 
   {{0x9386048c,0x42900176,0x23fa00de,0xb21602ec}},	//   _haart_, _ruban_, _impuma_, _کاڈى۪ن_, 
   {{0x52900286,0xa2190692,0x310101d2,0xd0e90185}},	//   _suban_, _грантыны, _atahuall, _basaçak_, 
   {{0x82900036,0x554500f8,0x10930350,0x00000000}},	// [96d0] _galair_, _আপানাদের_, _እመለስበታለሁ_, --, 
   {{0x0b060073,0x813400ff,0xce9b018d,0x8d2c03b3}},	//   _approcha_, _שטײגער_, _ኣረግቶት_, _scribite_, 
   {{0xe201011f,0x2c180279,0x72fb02ef,0x73b00240}},	//   _etaita_, _surpris_, _fransč_, _utoqu_, 
   {{0x3832026f,0x32900178,0x2dfa02c7,0xe9a70153}},	//   _جالىن_, _balair_, _kindheit_, _クチコミからの検, 
   {{0x8291001b,0x5fbb00d1,0x737800b7,0xa06303ae}},	//   _ilaali_, _অপপ্ৰচাৰ_, _allajan_, _porsgrun, 
   {{0xf26c0245,0x021503db,0xb2700025,0xd1590014}},	//   _eriong_, _abahlali_, _पश्चिमाभ, _inkurajo, 
   {{0x62490079,0xc20202e2,0xd3b300bf,0x302002a3}},	//   _ziemas_, _shrill_, _многоква, _watersto, 
   {{0x73ea0172,0xe3f40230,0xb2910005,0xea21028b}},	//   _muntie_, _foutou_, _tudais_, _crucecit, 
   {{0xa36f00a7,0xf2ef0087,0x0379006a,0x00000000}},	//   _malgrat_, _filipia_, _andavan_, --, 
   {{0xe8dc011d,0x9b0700d9,0x6ec4015c,0x123b0241}},	//   _букий_, _финансы_, _stenkmon, _galeetti_, 
   {{0x5224019c,0xe292032d,0xf0370058,0x417a00d9}},	//   _kankan_, _boqapi_, _vestigan, _малолетк, 
   {{0x3386001f,0x978b0044,0x9e8100be,0x0d81024b}},	//   _abira_, _הלכנו_, _اۋتوبۇسد, _adelanta, 
   {{0xd0370039,0x7e3100b3,0xabc502cf,0xf3860209}},	//   _testigan, _berdiýew_, _сладок_, _haarj_, 
   {{0x8297005b,0x95f0026c,0xedb201a3,0x00000000}},	//   _miyazaki_, _promissi, _ڪٽرپڻي_, --, 
   {{0xab9b0294,0x82fe0259,0xaaa702a5,0x00000000}},	//   _allinkac, _beviser_, _rnprosím_, --, 
   {{0xee1a00e4,0xd24900f2,0xc9cf01fe,0x93860347}},	//   _potencja, _posma_, _lakovata_, _paarl_, 
   {{0xd19500d6,0xa3860079,0xf9e40026,0x6a7e0080}},	// [96e0] _مناسبات_, _vairs_, _verfijne, _asannits, 
   {{0x03dd015b,0x8ab30185,0xa3030313,0x6a170057}},	//   _alawem_, _yaraladı_, _daradlu_, _merangka_, 
   {{0xe3fc0148,0xb37b03e8,0xb2d900de,0x73ea0255}},	//   _亦無無明盡_, _masažo_, _angeva_, _nentis_, 
   {{0x63ea0055,0x1386047d,0x81d000ee,0x62420157}},	//   _volte_, _waarm_, _laburrak_, _पुतले_, 
   {{0x45b00118,0x1b5102dc,0x3020006e,0x52d700fa}},	//   _abaserik, _costeira_, _dendando, _betlogs_, 
   {{0x50e70263,0x42ef01fa,0x22910130,0xe2ef03f0}},	//   _gemiddel, _eilifia_, _strad_, _prufa_, 
   {{0x238703e0,0xf085011d,0xf546031a,0x4dbe033f}},	//   _aneren_, _spectaco, _bothwell_, _lokuloku_, 
   {{0xc3f400fe,0x2290000d,0x4a17010d,0x00000000}},	//   _toutou_, _lubab_, _kerangka_, --, 
   {{0x207302fe,0x33d3005e,0xd26c0014,0x735a0181}},	//   _رهبرۍ_, _تەشرىپ_, _mujore_, _skiftes_, 
   {{0xe9fb0606,0x22ef01f7,0x6af10243,0xcfb1023a}},	//   _mehutahu, _trufa_, _ellebics, _motošpor, 
   {{0x42240054,0x82a103f3,0x8efe0008,0x9aa00262}},	//   _bankin_, _traject_, _дарактын_, _beryanle, 
   {{0x92fd005b,0xe28e0115,0x66d30037,0xfb2a0046}},	//   _hyuga_, _syukran_, _በኒውዮርክ_, _корртүбү_, 
   {{0x527301cf,0x799901a6,0xe292028d,0x6977024c}},	//   _horribil, _inakuane, _pasaze_, _indikatt, 
   {{0x32010050,0x029004ea,0xa69a037f,0x5c5a044a}},	//   _deuih_, _jubab_, _ingiltər, _ebeteli_, 
   {{0x0316007c,0x744e00ba,0x27df0553,0xe2fd05ed}},	//   _ubizwa_, _ئیمێڵ_, _podpivni, _myuga_, 
   {{0xfa4303a1,0x1322051a,0xd6be0148,0x8aef014a}},	//   _интелиге, _nasyid_, _可短期租賃_, _sportsze, 
   {{0x4527017a,0x00e70192,0xbd3603bf,0x39dd0368}},	// [96f0] _abayakuk, _bemiddel, _hannyane_, _додељива, 
   {{0xb27e00a9,0xc65100c5,0x83f40079,0xe0ea0125}},	//   _nyina_, _无标题文档_, _pieredzi_, _биринжил, 
   {{0xb22401c0,0x8538023d,0xb00f015d,0x1760009a}},	//   _yankin_, _настаняв, _zawartoś, _حنیفه_, 
   {{0x53470096,0xe291004f,0xec040399,0x227f005c}},	//   _dukesha_, _alaaji_, _haisini_, _asenya_, 
   {{0xd2d90087,0x74a6002b,0x830a029b,0x552900ec}},	//   _engeta_, _গণধর্ষণে, _kembrij_, _kurstymo_, 
   {{0xdfee00be,0xa85401a3,0x413f00ab,0x00000000}},	//   _конкурск, _شوڪيس_, _ngotango, --, 
   {{0x22d803ec,0x498500ec,0xe3100059,0x5249071f}},	//   _autorit_, _norintie, _онази_, _josmo_, 
   {{0x99cd008b,0x028000b5,0x327e0099,0x9378005b}},	//   _aspergit, _atukupe_, _asinei_, _cafeオ_, 
   {{0xe37c037c,0xb624016d,0xa2fd039f,0xe25a00cc}},	//   _lesabre_, _كىمئارتۇ, _devices_, _skilte_, 
   {{0x92ab00f5,0x62b60434,0xdcb200cf,0x00000000}},	//   _käbir_, _buscan_, _araarsuu_, --, 
   {{0xe2ca02d5,0x2c6e02e5,0xc58e0196,0xb2dc0255}},	//   _leidis_, _ararova_, _asatayik, _salongi_, 
   {{0x226e01e8,0x9c78012d,0xf44802d6,0x00000000}},	//   _bitoon_, _trastim_, _зарқавий_, --, 
   {{0x730f02ec,0xcd380071,0x77b90086,0xda3d02cf}},	//   _saabsan_, _ققنوس_, _korrupci, _наспроти_, 
   {{0x3c0c0036,0xc45f001e,0xde370140,0x52a60077}},	//   _músaem_, _angwayen_, _binanata, _lanbi_, 
   {{0x343000a7,0x5202003f,0x62f000e6,0x42130151}},	//   _polítiqu, _botich_, _评论最狠的_, _anghus_, 
   {{0xb9770025,0xd11d0213,0xa2040080,0x77530040}},	//   _antimade, _новостны, _algierim, _באקדח_, 
   {{0xe41003e0,0x92d9000c,0x3169004a,0x6004020f}},	// [9700] _verstoen_, _angeta_, _birelsä_, _دډاکتر_, 
   {{0x385f0119,0xd37801a3,0x2075033f,0xc92c0012}},	//   _emiratos_, _سيفما_, _matakaio, _बासीउबेच, 
   {{0x802b033d,0x13a2005b,0x00000000,0x00000000}},	//   _seleksyo, _benpi_, --, --, 
   {{0x4ece012a,0xd38600bd,0x00000000,0x00000000}},	//   _zaginion, _sairy_, --, --, 
   {{0x179f0220,0x13f803bf,0x33a20342,0x2201011f}},	//   _montaggi, _dihuwa_, _denpi_, _haviju_, 
   {{0xef3a025c,0xfa2c006c,0x140e01b0,0x00000000}},	//   _dänemark_, _вахимтар_, _diaranan_, --, 
   {{0x0d0302df,0x8b62008f,0x11b9016d,0x96bd0052}},	//   _muslimat_, _ओहिना_, _раюнлири, _बत्ति_, 
   {{0x4f7d0185,0xa27e0097,0xf28d0015,0x92390357}},	//   _газетага_, _eyini_, _turkiga_, _liumuri_, 
   {{0xedd9016d,0x85a0014a,0x8fd5005e,0x43f400aa}},	//   _оюмчә_, _versenyk, _تاغنىڭ_, _giutod_, 
   {{0x3692041a,0x82cb009f,0xe7cc042d,0x1dcf027b}},	//   _наступні_, _uradne_, _drapatri, _उथ्यम्य_, 
   {{0x8f82004a,0x56f50162,0x12a201a3,0x71e20012}},	//   _амбициял, _украиний, _سجاڳيءَ_, _डकारो_, 
   {{0x78590031,0x3c910040,0x1203030b,0x00000000}},	//   _tokobagu, _מכניס_, _abahingi_, --, 
   {{0x35be0388,0xbe880354,0xddc1031e,0x4c7c027b}},	//   _други_, _ئوباما_, _proširil, _पैशुन्ये_, 
   {{0xf11a01ec,0xda160636,0xe1c40299,0x00000000}},	//   _silverfo, _suradnja_, _سومكا_, --, 
   {{0x21400016,0x338602a2,0x44ba0142,0x430d051a}},	//   _האריקעין_, _maari_, _anabhrak, _menabur_, 
   {{0x5a61000c,0xa41101a3,0x4f2c0040,0x12910062}},	//   _афилософ, _بائڪاٽ_, _releasin, _nachhey_, 
   {{0xf6670300,0xea5304d7,0xfc1c02eb,0x148206a1}},	// [9710] _rodinná_, _álíka_, _халамцуу_, _kultursj, 
   {{0xb26e04ca,0xa27e0056,0x727f06db,0xf31d005d}},	//   _entorn_, _uyini_, _nayna_, _carcova_, 
   {{0xc78c02fe,0x43860403,0x134604be,0x36100061}},	//   _اطلاعاتو_, _ocirc_, _brodkas_, _경제주간지_, 
   {{0x029100ed,0xf27f0127,0x3e53014e,0x283503c7}},	//   _murag_, _alanig_, _дефиниса, _अपोजिट_, 
   {{0xe38600b4,0x73870092,0x1448009a,0xe0650013}},	//   _icirc_, _uhyre_, _کورلانډ_, _alishern, 
   {{0xd09e002b,0x920d0075,0x1d38048a,0x9f690160}},	//   _গৃহযুদ্ধ, _forholdi_, _ماسەلەلە, _probijan, 
   {{0x55360220,0xa3a300a9,0x8d8700ba,0x312900d1}},	//   _страхотн, _amapfa_, _خشانێک_, _পূৰাতত্ব_, 
   {{0xa3860620,0x531202c2,0xbc79029b,0x838602fc}},	//   _scire_, _kombuis_, _botsdam_, _abiru_, 
   {{0xc2d8006c,0x437a0230,0xa25a0107,0x00000000}},	//   _kulesi_, _leparyn_, _dhilit_, --, 
   {{0xa26900a2,0x96b0042f,0x829002df,0x325b00a3}},	//   _زوردار_, _taigurni, _hujah_, _skalet_, 
   {{0xb27e006a,0x30530338,0xd6ac003c,0xa354021c}},	//   _ryana_, _toughboo, _گاوصندوق_, _kapelou_, 
   {{0x92fd00af,0x124900f2,0x65940092,0x1ddb0054}},	//   _legger_, _posmu_, _イラストをアルバ, _cunkushe_, 
   {{0x8d4701db,0x8a8f0152,0x5fcf0045,0x227e02ff}},	//   _كۇتۋگە_, _galimcan_, _психичке_, _lyann_, 
   {{0x6c660638,0xfe0d00e7,0x2c6700ff,0x820d03f7}},	//   _flyttet_, _adgetsga, _זעכצן_, _búist_, 
   {{0xa9dd02c9,0x0224033a,0xe46f009b,0x69f70178}},	//   _конестит, _bankun_, _kaleratz, _balasyet, 
   {{0x92ac0013,0x92e9022b,0x67b3029a,0xe047047d}},	//   _احمدیلغو, _minnast_, _lenstiti, _svenbenz_, 
   {{0x7ef0026e,0x8c930299,0x09f901f7,0x9bbc004d}},	// [9720] _विस्थापि, _شايار_, _passejad, _臺北市都市計畫容, 
   {{0xe58702c7,0x147902dd,0xac36002b,0xb87b0269}},	//   _atmosphä, _allegazz, _রাইয়ান_, _carpetas_, 
   {{0xbc5102f3,0x12fd029b,0x260f02d4,0x6d1e0156}},	//   _hantera_, _degger_, _schlargi, _שורשנגח_, 
   {{0x52900095,0xfa2401d4,0x54fb00b4,0xdb190039}},	//   _rujak_, _moschett, _examenul_, _irratian_, 
   {{0xa42102ac,0x555a0125,0xf2ca001b,0xd37902e7}},	//   _دمنهور_, _таквалык, _gooda_, _modagan_, 
   {{0x82da0394,0x821203e9,0x6386011d,0xdc2d004a}},	//   _abanale_, _adamlaň_, _acirc_, _diqqät_, 
   {{0xbdab02d8,0x214e0010,0x032001ba,0xebdf0272}},	//   _तातडीने_, _akufisel, _renyon_, _ameereer, 
   {{0xa2ca0067,0x0ba30285,0xa8d7009a,0x634401e9}},	//   _booda_, _amakoper, _angekalu, _ditente_, 
   {{0x73940156,0xb8d60343,0xd846009a,0x8b92020f}},	//   _amiso_, _kasubang, _اومبارکي_, _emincinc, 
   {{0x22e903b0,0x54e202bb,0xc2ca00b0,0xc54603a8}},	//   _finnast_, _विजयदशमी_, _dooda_, _দৈৱজ্ঞই়_, 
   {{0xe292041c,0xca620368,0x50140153,0xe9660012}},	//   _artaab_, _постати_, _楽天トップ_, _सँवनवा_, 
   {{0x62000206,0xe2ca02ec,0xfd05025b,0xb57901e0}},	//   _doliny_, _fooda_, _spariper, _موسیقای_, 
   {{0x0c6d03e2,0xcad9002b,0x72ef01da,0xea3600ec}},	//   _quiroga_, _বিশ্বজুড়, _stafin_, _poziciją_, 
   {{0x58150088,0x57eb04d7,0xd70d017a,0x3dd400a6}},	//   _сураса_, _gamaldag, _сатру_, _eathlone_, 
   {{0x93ea0367,0x1b540418,0xf2cb0103,0xf3480102}},	//   _contas_, _aramalar, _asadye_, _mabenki_, 
   {{0xf28d024c,0x32920371,0xa90d0089,0xc9fb0540}},	//   _arrangam, _casale_, _boraulau, _alþekkt_, 
   {{0xf5f40590,0xbc0001d7,0x04fc0053,0x4abc03d4}},	// [9730] _шүүнэ_, _quistas_, _प्रियांक, _областим, 
   {{0xa2e90257,0x06b50288,0x1b7a015b,0x0dd90137}},	//   _finnist_, _taramawi, _solowaur, _мандтуга, 
   {{0x729102a7,0xec610226,0x7c6100a0,0x00000000}},	//   _strai_, _ampunga_, _darussa_, --, 
   {{0x73f40138,0xf3780095,0xc27e0004,0x7ff2002b}},	//   _destek_, _dolanan_, _vyann_, _পাঁচমিশা, 
   {{0x334401eb,0x57e70226,0x9a9200a0,0x6b570299}},	//   _aitente_, _amisalaw, _amincins, _ئةگةر_, 
   {{0xcc300169,0xdf3d02ac,0x8c0a01dd,0x0b3002da}},	//   _ঠোঁটের_, _بسيناء_, _imigenur, _реков_, 
   {{0x152b0313,0x9386000b,0x00000000,0x00000000}},	//   _ludistah, _sbirt_, --, --, 
   {{0x42870142,0xb22602c3,0x551501b7,0xadd2039f}},	//   _पर्यवाप्, _cirkev_, _आस्दाय_, _necklace_, 
   {{0x9b1f00fa,0x55b20147,0xbc73007e,0x3ed3002e}},	//   _talaksan_, _енисейде, _bhartus_, _klađenje_, 
   {{0x9bfc034f,0x19c00478,0x2ffc015e,0xa3ea008c}},	//   _ددنیا_, _nucleara_, _тапшырды_, _tontas_, 
   {{0x6daf0147,0x39500225,0x73cb004a,0x40d1003b}},	//   _ادوسكىنا_, _ankleide, _bakalı_, _ekulamul, 
   {{0xbbdf0278,0x438603be,0x42940040,0x227f03e6}},	//   _kementer, _acira_, _פרשנות_, _egenen_, 
   {{0x22900240,0xd38005ce,0x73020529,0x3ad500c5}},	//   _lamawa_, _oturma_, _izlasku_, _féminine_, 
   {{0xc27e0362,0x638000f4,0xe51e02ba,0xd9c3044a}},	//   _eyano_, _estroc_, _ишемикии_, _osambela_, 
   {{0xb2fc00ad,0x562a010d,0xf29002ea,0x7e360439}},	//   _bungsu_, _berinisi, _denaro_, _mavalava, 
   {{0xbde301bd,0x3a150179,0x9ff1037f,0x8c35004d}},	//   _сериалда, _lonabuka_, _deputatı, _disceder, 
   {{0x429100dd,0x8c780058,0x7eb101f0,0x728d00f4}},	// [9740] _gadair_, _pärmik_, _dimonkon, _chekenn_, 
   {{0xb56b0464,0x574a0262,0x00000000,0x00000000}},	//   _kukwerek, _durnajyg, --, --, 
   {{0xf4880092,0x47230145,0xc27e0016,0x69d80269}},	//   _プレイステ_, _колеры_, _trinki_, _ligerame, 
   {{0x4b7a0058,0x5f0b0156,0x00000000,0x00000000}},	//   _nodosaur, _אפשיק_, --, --, 
   {{0x227e006f,0xceed0163,0x10ea007b,0x62da014e}},	//   _msingi_, _elavulta, _finndsil, _dureš_, 
   {{0xbecd0148,0xdb88002b,0x482b0460,0xfc72057c}},	//   _transeun, _মোহনগঞ্জ_, _गर्जना_, _overens_, 
   {{0xa466069c,0xf27f028e,0x224a0047,0xea5400a2}},	//   _hyperinz, _kranki_, _soumis_, _vitendea_, 
   {{0x7249019b,0x705404cf,0x647e01e9,0x425b0265}},	//   _kiemas_, _oluseben, _mebereko_, _raalte_, 
   {{0x9e3b022a,0xeef60246,0xdb7e00e2,0xb291042d}},	//   _diplomis_, _отвличан, _drankfer, _atrao_, 
   {{0xd29001fe,0xa25a0287,0xd2fd019f,0x767b037c}},	//   _dubau_, _stolek_, _chaguo_, _parentum_, 
   {{0xa96d053f,0xc5ae033a,0xb8b600c5,0x7c520272}},	//   _purintat, _evaporaz, _cardiaqu, _ayatula_, 
   {{0xd3ea023d,0x32910107,0x74720009,0x82600041}},	//   _molte_, _anyari_, _narejeno_, _iñoha_, 
   {{0xef280057,0x8e3205aa,0x13a60151,0x5a3c07a1}},	//   _ከማዕቀፉ_, _sengepla, _akmalhuj, _ističući_, 
   {{0x8b7e06ab,0x72d800bc,0xd31c01e0,0x243700ec}},	//   _cualific, _deleng_, _باربردنی_, _procento_, 
   {{0xe11a0066,0xf1df0071,0x05d20234,0x70e80021}},	//   _радиобио, _dikroyok_, _àdììtú_, _egligibl, 
   {{0xc2910486,0xdb990235,0x562b0109,0xb33b00d0}},	//   _stran_, _amitrahā_, _गरगहना_, _мөстлөги, 
   {{0x22c6015e,0x0dd10154,0x291f03f8,0x53720370}},	// [9750] _escenari_, _скицэ_, _honchohd, _baraleg_, 
   {{0x021c00bc,0xb2910122,0xeb6c00a7,0x037901ac}},	//   _arshad_, _royayi_, _terrassa_, _jodaman_, 
   {{0x02e8002a,0x91630046,0xee5002a2,0xa950027e}},	//   _hadiwia_, _жутуп_, _nawawala, _обитава_, 
   {{0x674c01aa,0xc8bf008d,0x63ea0122,0x6224005b}},	//   _acciniav, _hukumatg, _bontos_, _cokkie_, 
   {{0xfe4a0077,0x9348033f,0x89b7051f,0x62d80122}},	//   _desaline_, _maketii_, _ڤاکسین_, _celeng_, 
   {{0xcb0001ef,0x8d92044d,0x437902f3,0x8e4d01c5}},	//   _ataskait, _alawtiku_, _bisarra_, _istaagaa, 
   {{0xbe19014e,0x99c90235,0x535b01d4,0x57720157}},	//   _посетили_, _analasya_, _brigida_, _समयानुसा, 
   {{0xa3ea02b9,0xe27e017d,0xa2120190,0xfaf70064}},	//   _fontos_, _ayane_, _weihra_, _наадан_, 
   {{0xc31604a5,0x407203f3,0xf27e03df,0xe29003ad}},	//   _abizwa_, _succesvo, _byane_, _erjas_, 
   {{0x779302d6,0xa043024c,0x9a46027f,0x00000000}},	//   _инфратуз, _riluttan, _boterera_, --, 
   {{0x52920265,0xb27f00bc,0xf3eb0111,0x905403db}},	//   _unpack_, _iranii_, _chatel_, _aluseben, 
   {{0x8e27014f,0x72910051,0x538603f3,0xa5ad0177}},	//   _интереса_, _otram_, _taart_, _иаҵишьит_, 
   {{0x668b0162,0xb31d00d8,0x0316014c,0xd32000d2}},	//   _ئىتتىك_, _marcava_, _ebizwa_, _menyan_, 
   {{0x326902ec,0x5d8b0585,0x44b10057,0x5c760033}},	//   _ہوشدارن_, _rukometa, _merakamk, _acturas_, 
   {{0x83860099,0x62780049,0x37e80041,0x73d101f0}},	//   _mbiri_, _komisoni_, _алыҧшаау, _baithepi_, 
   {{0x4f4104b9,0x00000000,0x00000000,0x00000000}},	//   _grossart_, --, --, --, 
   {{0x029000fe,0x3bf9000c,0xfa37002b,0xc22402c7}},	// [9760] _mamata_, _folklóri, _জুনিয়র_, _volker_, 
   {{0x8bf90498,0x47ae0067,0x9ed40005,0xb2b900ee}},	//   _folklórn, _bantiiww, _accidain, _gordeak_, 
   {{0x3277034c,0x73860069,0x114701cd,0xa2240602}},	//   _радиосы_, _ibara_, _надида_, _tolker_, 
   {{0x43ea00e5,0xb38600f9,0x9b030155,0x3b590092}},	//   _pontos_, _abiri_, _livsmede, _になります_, 
   {{0xd63f0021,0x00000000,0x00000000,0x00000000}},	//   _arginali, --, --, --, 
   {{0x625b033c,0x2e9b01f1,0xdcdd012b,0x15db0244}},	//   _apelio_, _sistemit_, _tekstów_, _обработв, 
   {{0xb3860129,0x269f00ba,0x0bb3034c,0x09130429}},	//   _mbara_, _ئیندرقاش_, _färmanın_, _difardhu, 
   {{0x5aea0139,0x138601b2,0x7d830079,0x22d9023b}},	//   _akhilān_, _paart_, _limbažu_, _rogela_, 
   {{0x31740169,0x8dc8002f,0x0b66009a,0x1bd60157}},	//   _শাখাসমূহ_, _chakisap, _پنجابیان, _ओहियो_, 
   {{0x7f2601cc,0x85e700c5,0xb315033d,0x7386047d}},	//   _त्यक्त्व, _洗澡堂老板家的男, _abichag_, _waars_, 
   {{0x61f4009a,0x62da00aa,0xcc7702bb,0x12000015}},	//   _abangoom, _empero_, _पिल्ला_, _lamid_, 
   {{0xf3860129,0xd2ca0014,0xb1c9027e,0x00000000}},	//   _abara_, _ndodhi_, _посто_, --, 
   {{0x02a00193,0x7f4101ac,0x47670299,0x00000000}},	//   _diubah_, _crostaga, _ئۇزلۇكسى, --, 
   {{0x3b6d0461,0x245a0141,0x8f9d0013,0xb8fd0055}},	//   _arboresc, _sirdaryo_, _зоминдаг, _affacend, 
   {{0xe2900082,0xfc0000ad,0xfb5103b5,0x137f018f}},	//   _kamata_, _prosés_, _sandaran_, _jiharha_, 
   {{0x38d30343,0x43170237,0x00000000,0x00000000}},	//   _gihuluag, _기능성화장품_, --, --, 
   {{0xbec702da,0xca170152,0xf7820088,0x8db50322}},	// [9770] _impostos_, _аналарга_, _акыга_, _babihaga, 
   {{0x8519013d,0x92ca022a,0xd3a3004c,0x19f800ea}},	//   _situacio_, _plods_, _amapya_, _fihirana_, 
   {{0x5c240016,0xc21305ed,0x8292028d,0x2f630037}},	//   _גרױסער_, _amuha_, _dutans_, _tampalka, 
   {{0x3c510183,0x183700f5,0x85f701c2,0x2e3800fa}},	//   _tantara_, _калбда_, _vilariño_, _dinarasa, 
   {{0x51460095,0x93330307,0xac17027b,0x29520289}},	//   _بالوتلی_, _etexas_, _षाड्गुण्, _chilembe, 
   {{0x8f8401ee,0xc3f102ff,0x53940303,0x00000000}},	//   _тукхум_, _kwizine_, _mmisa_, --, 
   {{0xc20e0244,0x20720191,0x427e019c,0x03860192}},	//   _казал_, _rabattko, _isinmi_, _paars_, 
   {{0x02000028,0x73f801e9,0xe29e004b,0xc054001c}},	//   _kamid_, _bohula_, _шихан_, _brasilen, 
   {{0x8291011c,0xd0520253,0x00000000,0x00000000}},	//   _doyadi_, _apersuin, --, --, 
   {{0xce320146,0x6d0d0035,0x0dd200de,0x7c2d041c}},	//   _menggala, _таралышы_, _asahluma, _faramfac, 
   {{0xd2e700f1,0xbb7401d7,0x83470239,0x7b0f003c}},	//   _amennen_, _speronza_, _paketia_, _ابولفضل_, 
   {{0x22000408,0x4c6001e8,0x16660279,0xbcbe034c}},	//   _lamie_, _hulugan_, _médiatio, _кавем_, 
   {{0x0ebb0144,0x15ba0291,0xdd3d06a7,0xe7c60162}},	//   _feasacht_, _albanach, _dedikert_, _بايلاردى, 
   {{0x2f2f03c2,0xd38604b9,0x709c01db,0x258700df}},	//   _fortifia, _cairy_, _замандас_, _atmosphè, 
   {{0x7ed60261,0xd26d052e,0x02ec00f1,0x1e300177}},	//   _signifas_, _caprifol, _satisfe_, _лебедеви_, 
   {{0x3a110287,0x63710387,0x53ea0062,0xdea30088}},	//   _nezapome, _paradaịs_, _modta_, _quaderns_, 
   {{0x61b304dc,0xed840203,0x22910151,0x00000000}},	// [9780] _کادره_, _directet_, _arrag_, --, 
   {{0x7c5701bd,0xb5f7013f,0xace804c7,0x42d80334}},	//   _дамиды_, _bihanañ_, _дирекциј, _buledi_, 
   {{0x1394026a,0x227e01c5,0xb30301fc,0xdd170062}},	//   _amisi_, _iyana_, _garablu_, _paylahbe_, 
   {{0xc29100c4,0xc3a20141,0x229001c0,0x00000000}},	//   _kuzaa_, _almashuv_, _hujar_, --, 
   {{0xc2f002ec,0x68600486,0xc2000203,0xc0350760}},	//   _xiligii_, _नागेश्वर_, _famie_, _इमानदारी, 
   {{0x229104fe,0x42000176,0xd28f0277,0x59e80238}},	//   _accade_, _namie_, _merkado_, _конкурсі_, 
   {{0xc9fb046d,0xba710038,0x6e890208,0x8f3c002c}},	//   _lunahuat, _асылын_, _خوراسان_, _ilarakoa, 
   {{0xd5d902b2,0xa13a0274,0xa34b018d,0x12d70220}},	//   _правовог, _andlitið_, _ጉዕዞኦም_, _attorno_, 
   {{0x2b0f01d5,0xe4160307,0x12000225,0x60f00229}},	//   _ابومصعب_, _abangamk, _kamie_, _antimill, 
   {{0x85ad02dd,0x26510153,0x0d060299,0x00000000}},	//   _propagaz, _ひぐらしのなく頃, _توكۇر_, --, 
   {{0x34c503b8,0x7e370210,0x717c004d,0x00000000}},	//   _تايمىس_, _angatota, _促進新陳代謝_, --, 
   {{0x234a0057,0xa27e022c,0x0f2802d5,0x9b650101}},	//   _እንፈልጋለን_, _ayana_, _oktoober_, _unitatea_, 
   {{0x313200c3,0x64380177,0x43f2024f,0x937c015a}},	//   _porttito, _ijekorak, _tavuleni_, _gabatee_, 
   {{0xa8680080,0x5a52010b,0xcec700b3,0x00000000}},	//   _allorniu, _lewelana_, _delillen, --, 
   {{0x6c640461,0x198603c4,0x0c5102cf,0x2a760062}},	//   _saturne_, _خانقىز_, _cantora_, _matlhaqb, 
   {{0x1cb30113,0xcf330076,0x4eca0036,0xdb1900f7}},	//   _sidahmed_, _следниве_, _معدنية_, _bilancon_, 
   {{0x11d001be,0x2dbf016b,0xb113029c,0x00000000}},	// [9790] _telefony_, _firamare_, _idakhaul, --, 
   {{0xe8e10192,0x429100ff,0x454501ac,0x83040109}},	//   _aangebod, _juran_, _عبادك_, _divadel_, 
   {{0xd9c2033e,0x3e360308,0x4224040e,0x00000000}},	//   _apyetere, _sangkaka, _bolkar_, --, 
   {{0xd2d9012c,0x4eeb018d,0x227e0348,0xf39400dd}},	//   _ongeza_, _ንመሰላት_, _ayani_, _ganslo_, 
   {{0xacc80076,0xc29001da,0x861a03b0,0x00000000}},	//   _проширув, _bujar_, _ansattsø, --, 
   {{0xd2450005,0x5c1f026b,0x65fb0053,0x11470192}},	//   _commerci_, _limpiar_, _मनमोकळं_, _overstro, 
   {{0x30ce0138,0xcb770156,0x329100b9,0x9ba9015d}},	//   _edilebil, _דיאגנאזי, _iuran_, _जनसंचार_, 
   {{0xfe320122,0x13ea023d,0x9597002c,0x0c0a034b}},	//   _penggala, _molti_, _hausnark, _kempein_, 
   {{0x19ad0028,0xd2530344,0x930606a8,0x939402a2}},	//   _ناموٝسُک_, _abelseni_, _stranoj_, _umasa_, 
   {{0xd3f4007e,0x927c0415,0xc291029a,0x6899047d}},	//   _kartum_, _darstell, _atrap_, _funktiou, 
   {{0x53f40235,0x55a7027a,0x920102a3,0x00000000}},	//   _cartum_, _ogromnom_, _magies_, --, 
   {{0xc59201be,0x8e7c0060,0xddff00d0,0x2560011a}},	//   _anonymní, _модельді, _adreilua, _עצמאיות_, 
   {{0x029100b0,0x72730318,0x2c3600d1,0xe26d0008}},	//   _furan_, _hoosikel, _নিউটনৰ_, _subratll, 
   {{0x029101bb,0x717d0026,0x68950161,0x5dbb0133}},	//   _etrap_, _gezamenl, _клубная_, _galiilaa, 
   {{0xc7e00044,0xe3ea0111,0x7b1f015e,0x77b101c4}},	//   _למהדרין_, _colta_, _pesquera_, _verslawi, 
   {{0x030d0696,0x7200028d,0x96db0144,0x3773003a}},	//   _lugares_, _bility_, _shubstai, _ғоялар_, 
   {{0x32910057,0xfc07037c,0x954a00d9,0xd2fe0061}},	// [97a0] _yuran_, _constet_, _насильни, _젊은이들을_, 
   {{0xf34a0040,0xf38601f1,0xdee40405,0x0ce402cf}},	//   _הכתפיים_, _mbart_, _курсові_, _терестри, 
   {{0x02910242,0x19a50004,0x237f0140,0x29a5003e}},	//   _vuran_, _darkonia_, _bahagya_, _алланан_, 
   {{0x33eb06d5,0xb26c00bc,0x17020129,0x7f3900c1}},	//   _dette_, _adhoh_, _rịltoon_, _हापिसात_, 
   {{0xa29000a4,0xb49102c4,0xb5f30076,0x9ea703bf}},	//   _pujar_, _fixação_, _почесто_, _dimliyon, 
   {{0x4a7f00ea,0x50dd0128,0xee0a0311,0x02e800c4}},	//   _serasera_, _نادرنادر_, _መበገስን_, _rudisha_, 
   {{0xec6f022d,0x27570125,0x6ae601f1,0x8f7801ff}},	//   _capraia_, _туруздыл, _papranue, _skútre_, 
   {{0x12e90331,0x085c0073,0x33f4012d,0xc2ca0074}},	//   _minnist_, _strasser_, _festok_, _koodi_, 
   {{0xc378033e,0x427f0287,0x73eb02f3,0x9146002b}},	//   _enlazan_, _aktivaci_, _hette_, _ডায়েরি_, 
   {{0xe2ca01b8,0x0da70249,0xa3eb0065,0xa7eb0151}},	//   _moodi_, _moningta, _kette_, _arnaneag, 
   {{0x428d0226,0x729102e2,0x9a7f003a,0xdd9c0156}},	//   _akukana_, _oural_, _odnoklas, _פּרצעס_, 
   {{0xc2540067,0xf20101a6,0x62900112,0x9b1c03c1}},	//   _bebeekam, _iraira_, _asbab_, _музичари_, 
   {{0xe29100cf,0xb4700025,0x4a73001a,0x930e004b}},	//   _turan_, _लग्ने_, _feladata_, _chabana_, 
   {{0x5eae00ce,0x820102d9,0x3294033a,0xad9e0294}},	//   _regroupe_, _araisa_, _brokkli_, _chinkasa, 
   {{0x135b032d,0x780c0040,0xa6540226,0x0277024c}},	//   _bongaka_, _ופנטסיה_, _asanalow, _blanzuni_, 
   {{0x28d901b8,0x6c530130,0xf3630013,0x83800133}},	//   _tuleviku, _aostria_, _иллаллоҳ_, _duurba_, 
   {{0xdc390121,0xf63c00fa,0x82ca0046,0xbedc02b6}},	// [97b0] _suscripc, _klasikal_, _unides_, _апарған_, 
   {{0x3e6a0510,0x068c01de,0x00000000,0x00000000}},	//   _фонда_, _нұрмұхам, --, --, 
   {{0x6b4000bc,0x32fd045b,0xf2cb0092,0x2db902fd}},	//   _تعلیق_, _vegger_, _anades_, _mianacha, 
   {{0x66dd035a,0xdf2e015d,0xa1aa0156,0x1db9031a}},	//   _batangaf, _एन्क्रिप, _אַרכיווא, _lianacha, 
   {{0xfd05029b,0xa2b3007e,0x05f9019b,0xcf7d00d1}},	//   _baalante_, _स्पष्टम्_, _напружан, _উচ্চমানদ, 
   {{0x420702a8,0x395a0233,0x0d7b046c,0x00000000}},	//   _konkreti_, _incorage, _schläft_, --, 
   {{0xa2ca0295,0x3291016e,0x92d70403,0x5ea10445}},	//   _epeleli_, _kural_, _masonao_, _pertence_, 
   {{0x02010626,0x41af0566,0x052f008c,0x2c810139}},	//   _rodiny_, _varmepum, _bajegià_, _carituṃ_, 
   {{0x8d8c04ab,0x07b10436,0x5297010d,0x1ea40156}},	//   _jučer_, _tekstovi, _junjung_, _דעזערטיר, 
   {{0xe37b03f5,0xb2900120,0xefe502ff,0xb748010d}},	//   _espaço_, _erbat_, _bleklero, _सत्यशोधक_, 
   {{0x52d704ac,0x4c55027f,0xfe550340,0x01d302da}},	//   _машину_, _agitume_, _papatoia, _критичар_, 
   {{0x5c7302d9,0x1b7e0665,0xd2ca0068,0x26290352}},	//   _inisiua_, _grandiós_, _tooda_, _bydistri, 
   {{0x720e0093,0xb4f00073,0xbc7d0059,0x66fd01cd}},	//   _карах_, _staminal_, _tessera_, _бангдона_, 
   {{0x62db003d,0x67ad01c8,0xd2910176,0xe5790063}},	//   _amoniac_, _reprobox, _boyaki_, _hipitéis, 
   {{0x758500aa,0x627e02a0,0xa3a301d3,0xa29100cd}},	//   _girentah, _iyanu_, _kryper_, _bural_, 
   {{0x7bf7005e,0x2b22001e,0x8f4d0040,0x72d90282}},	//   _ﯞﻩﻳﺮﺍﻥ_, _takardun_, _קיסרי_, _nowema_, 
   {{0x4291026c,0x732000bc,0xd3f80184,0x852b0388}},	// [97c0] _curae_, _rajya_, _cihuta_, _verifich, 
   {{0x9287042b,0xc59b004d,0x03ea005b,0x4c1d0687}},	//   _znakove_, _發表的更多帖子_, _pyntet_, _marangar, 
   {{0x72cb01f9,0xf1e001ac,0x00000000,0x00000000}},	//   _dzadze_, _اجتياز_, --, --, 
   {{0xce0800c7,0x4ed602d8,0x54360039,0x66db0046}},	//   _baldakla, _संकटात_, _banakako_, _convergè, 
   {{0x397400be,0xb3960211,0x0b93027c,0xc6550094}},	//   _بئيكةچتى, _hauska_, _amancinc, _سايلاۋ_, 
   {{0xf0b4052c,0xc766016d,0xfab100c7,0xf23e021c}},	//   _شێرزاد_, _ﻛﯚﯕﯜﻝ_, _aralaşıp_, _nálada_, 
   {{0xfb180089,0xb2910113,0xac7a02f9,0x00000000}},	//   _stranits, _murab_, _atistik_, --, 
   {{0x08220060,0x674502e3,0x42ca02ec,0xd3860113}},	//   _рефератт, _hagiangv, _moodo_, _mbarr_, 
   {{0xfab60080,0x610f00de,0x1e450343,0x12da02a0}},	//   _aajjaass, _ayakwahl, _kagaanga, _ojuewe_, 
   {{0x5f2501c3,0x52910113,0x03960479,0xf2010145}},	//   _disentan, _gurab_, _borsod_, _staiga_, 
   {{0x1d0901f1,0x8c5600b4,0x23fd0184,0x99810074}},	//   _anglisht_, _statele_, _izizana_, _raskasta_, 
   {{0xd2bc06c6,0xb1750037,0x3ee6016d,0xd415005e}},	//   _jardín_, _የሸቀጦች_, _пешқәдәм, _ﺑﯩﺮﺩﯨﻦ_, 
   {{0x42f30118,0x2200041b,0xc2120014,0xf2010239}},	//   _siriimu_, _ngeit_, _ndihma_, _huaira_, 
   {{0x77760040,0x03ea0220,0x539600f2,0x92fe000e}},	//   _אביגיל_, _volto_, _bauska_, _revider_, 
   {{0xe8110142,0xe7c103ef,0xef3d00b9,0x925a00ac}},	//   _प्रवदन्त, _mbarushi, _पृथ्वीचे_, _prolaz_, 
   {{0x9c1d02af,0xdb0501dd,0x6274020f,0x2413021b}},	//   _barangar, _abasenga_, _ووژله_, _колесах_, 
   {{0x4f480100,0x76db0461,0x00000000,0x00000000}},	// [97d0] _izostana, _convergé, --, --, 
   {{0x19b0061d,0xf7f60041,0x92d80040,0xbdb90170}},	//   _ехникини_, _ирҩызаз_, _removes_, _chinacha, 
   {{0xe2010177,0x650202bb,0x63410361,0xacc300ba}},	//   _guaira_, _उद्भव_, _окружной_, _پێتڤی_, 
   {{0xb05300b4,0x4347020e,0x4cb60053,0x5c320361}},	//   _солиде_, _behella_, _स्वर्गात_, _неровнос, 
   {{0xd300004f,0x99eb03b9,0x3dc00478,0x7d9f01fb}},	//   _bagaasi_, _ramirump_, _musicala, _viagiate_, 
   {{0x92ca0120,0x5a7c00dc,0x820e016d,0x00000000}},	//   _boodo_, _felavasa_, _қачан_, --, 
   {{0x8f5b0125,0x7a1e00b7,0x127e0097,0x6c190220}},	//   _tamamlan, _синин_, _apinti_, _stranier, 
   {{0xae4c043c,0x92000292,0x2dbf0612,0x96cc0040}},	//   _armazena, _wamia_, _reparere_, _בהתקנה_, 
   {{0x635b0181,0xb63f0145,0xf5d701bd,0x163201aa}},	//   _skifter_, _nedideli, _باستىعى_, _analyzew, 
   {{0x4fae0035,0xbb6601dc,0xb20d02ac,0xa2fb00ba}},	//   _банкы_, _claustra_, _lúide_, _دووکان_, 
   {{0x22d80050,0x7db4004d,0xb9db02af,0xac05011a}},	//   _sedeng_, _個中文字以內_, _ihengera_, _inflated_, 
   {{0x72d801a0,0x05320287,0xcc67027f,0x7f1402ac}},	//   _kuleni_, _शिलबन्दी_, _bohunga_, _لظروف_, 
   {{0x82fc04ad,0x4d0e0072,0x9c0e0072,0xf7a400c8}},	//   _mangwe_, _chitanic, _chitanis, _digratui, 
   {{0x8709014e,0xc2df011b,0xe980049d,0x1f5d0140}},	//   _четири_, _akweyaki_, _treiname, _mapangan, 
   {{0xd20000c0,0xdc780417,0xc29101ac,0x611503c4}},	//   _namin_, _herstel_, _puzal_, _ئوقيادەك_, 
   {{0x526601f2,0xf937022f,0xa19e00c4,0x134701d4}},	//   _روجەك_, _разбору_, _اڻپورو_, _alleata_, 
   {{0x329001b8,0x33ea0396,0x4b7b02e4,0xb48601a7}},	// [97e0] _lubas_, _soltu_, _bijometr, _танцев_, 
   {{0xb2ca022a,0x6b5801b5,0x54fc00a4,0x00000000}},	//   _blods_, _arhumiwa_, _مەەرىمتى, --, 
   {{0x220000ca,0xf40d0272,0x88b40046,0x6ccd000c}},	//   _camin_, _akagango_, _курчуп_, _молдавиа, 
   {{0xda970099,0x12830211,0x36c0006c,0xff5d02f6}},	//   _kunyanya_, _hankala_, _abasesih, _kapangan, 
   {{0xfba80093,0xd200035a,0xb2fd0116,0x9069019b}},	//   _биологич, _mamio_, _beggar_, _правінцы, 
   {{0xb2920177,0xba72036f,0x626e0190,0x96170008}},	//   _aguata_, _sarajeva_, _murowe_, _تاشقورعو, 
   {{0xb5b202af,0x52f1018b,0xa29000d2,0xa6b40277}},	//   _aragosoy, _ultimii_, _bubat_, _gigraduh, 
   {{0x96cd0060,0x556802fe,0x81830156,0xd4660147}},	//   _топольда, _انوارالح, _אראףּ_, _مىقچەگەر, 
   {{0x0d93011b,0xe61104c9,0x831702c1,0x32d50158}},	//   _makelele_, _wahlkrei, _abazwa_, _istotna_, 
   {{0xaa770106,0x88af0140,0x737c0149,0x85cc0024}},	//   _प्रभाग_, _pandaigd, _lekọta_, _পেৰিছ_, 
   {{0xd2fc01e9,0x4ea300c7,0x39c20182,0x55bb01f1}},	//   _bangwe_, _ayırma_, _husetase, _salallah, 
   {{0xa65e0220,0x03f700ab,0x4c04009a,0x298b0242}},	//   _фирми_, _irirangi_, _abasini_, _reaksiya_, 
   {{0x8a1700b0,0x79510153,0x047b024c,0x95ba0208}},	//   _quraanka_, _årsager_, _alterazz, _دریانۆ_, 
   {{0xd39400ad,0x467600bc,0xfc7601c6,0x4d4900cb}},	//   _bangkong_, _benjamim_, _krusing_, _бозсохти_, 
   {{0x30a10060,0x685d011a,0x379d027e,0x6ff9064c}},	//   _дәрмек_, _ישפיע_, _литре_, _preksino, 
   {{0xb3210235,0xd27b0190,0x99190135,0xd55c0105}},	//   _agryo_, _einsamml, _цитатала, _वर्तुलाक, 
   {{0x920001f4,0x4e4e0020,0x1db90075,0xabe70188}},	// [97f0] _zamin_, _felanula, _breiðban, _сихату_, 
   {{0x622502bc,0xc27c0410,0x03460179,0x73bb0485}},	//   _wicket_, _setswall, _ispetob_, _samvær_, 
   {{0xcdbb0238,0x8c230040,0x629d04f8,0xe3f10224}},	//   _опозиція_, _לרחוב_, _panjiva_, _aftanáke, 
   {{0xd27901c9,0x53ef019f,0x995a00c7,0x82ca0405}},	//   _sotsiaal, _matumizi_, _вәкилләр, _moods_, 
   {{0x92f3011a,0x635b01d9,0x095f032d,0x00000000}},	//   _arguably_, _chiffer_, _вәлидиҙе_, --, 
   {{0x32000183,0xffe30086,0xebad01bb,0x4394003a}},	//   _tamin_, _ساوتھ_, _копелайе, _emish_, 
   {{0xf22c0147,0x9c1d05ed,0x0c060259,0xa4dd0037}},	//   _càmera_, _barumvis, _merrily_, _የምናያቸው_, 
   {{0x617b005b,0x76f100e6,0x8bfe010e,0xf2910262}},	//   _bodytalk_, _使用签名档_, _biyologo_, _duzak_, 
   {{0x8f2500b5,0x1d1a023a,0x00000000,0x00000000}},	//   _napeñaní, _krasokor, --, --, 
   {{0x53f40066,0xa3430661,0xe7ec0278,0xd2680066}},	//   _festak_, _obtendo_, _thaqalai, _omenaldi_, 
   {{0x72900165,0xafda03d4,0x42e800fa,0xd8670452}},	//   _tamata_, _заговорн, _aaliwin_, _प्रघात_, 
   {{0x3c3a02ea,0xc2da013a,0xb86602fd,0x8d940008}},	//   _предприе, _sutewi_, _foirbeis_, _artístiq, 
   {{0xde790311,0x4200034c,0x895d01db,0x00000000}},	//   _ዝተበሃለ_, _gamil_, _كەلەشەكك, --, 
   {{0xc31002e2,0xec75033e,0xee6d0238,0xba4b030a}},	//   _shunting_, _anambusu_, _папір_, _desfeita_, 
   {{0x5200034d,0xf3ea003f,0x995804bd,0x00000000}},	//   _hamil_, _boltr_, _nikolait, --, 
   {{0x23860058,0x05870014,0x62900183,0xb51f00de}},	//   _laary_, _zakonshë, _damasa_, _bononoph, 
  
   {{0xb6f102c4,0xe2ca01c4,0xc81d0153,0x00000000}},	// [9800] _венчаниц, _roodt_, _為替と金利動向を, --, 
   {{0x72910304,0x52d8017a,0xaee60148,0xed1d038c}},	//   _surah_, _kuleli_, _追求真理的師生參, _narukvic, 
   {{0x629100e6,0x2ced0361,0x30e6012b,0xe312017d}},	//   _aurai_, _поголовь, _नज़रीया_, _wilbeks_, 
   {{0x02490217,0x25b000b9,0x5f020206,0x6c93008f}},	//   _themas_, _tingginy, _licenčný, _परयोग_, 
   {{0xb4cb0570,0x832105f4,0x3f3b00c1,0xdbed0177}},	//   _कालिया_, _agryl_, _dongsaen, _hendysyr, 
   {{0x80640037,0xdf2f028d,0xb212026f,0x22ef0388}},	//   _የምርጦቹ_, _sekonder_, _راﻳﻮن_, _valigia_, 
   {{0x32900488,0x98a30162,0xde1a034c,0xfd9f0139}},	//   _pamata_, _бошанди_, _аварлар_, _chandasa, 
   {{0xd3490079,0xc1f60192,0x0242006f,0xe37c03b4}},	//   _pareizi_, _verzamel, _صنعتڪاري_, _atsause_, 
   {{0x4f7d0185,0x127f0121,0x12c20048,0x42fc000c}},	//   _газетада_, _ciento_, _baalaba_, _kangue_, 
   {{0xf27e0170,0x83860485,0xd57f0278,0xa2e8015b}},	//   _nyani_, _vcard_, _peruntuk, _halivin_, 
   {{0x33ea015e,0xaa420092,0x42cf0092,0xe8d600cd}},	//   _últim_, _プラズマ処理室内, _beholde_, _accumpog, 
   {{0x82da035d,0xe5a801f4,0x72ef0049,0x25150259}},	//   _putevi_, _қаралаёт, _malieia_, _bellizay, 
   {{0xfbad01cf,0xa321040e,0x9823014e,0x8d980344}},	//   _bisyllab, _revyen_, _неверова, _anillala, 
   {{0x023702d3,0xef4f0153,0x097902bb,0xead70299}},	//   _настанит, _ペドフォビア_, _domiport, _تۈگەتتىم_, 
   {{0x1365040f,0xad9802ea,0xcc61000b,0x525b0168}},	//   _kaltinam, _местан_, _fetuuna_, _gjaldt_, 
   {{0x4201001c,0x55030175,0xd2910536,0xf2ca01e6}},	//   _nagios_, _evaliasy, _arzan_, _plody_, 
   {{0x8291001a,0x8d870053,0x6a7f032c,0x46d00343}},	// [9810] _anyagi_, _तत्काळ_, _asanniss, _makapami, 
   {{0xa9ab02b5,0x9c7601c0,0x323a0009,0x15ac0139}},	//   _yendaiva_, _matukar_, _povezavi_, _वनिता_, 
   {{0x386d0434,0x2fd50162,0x568100d3,0x840f02be}},	//   _consejos_, _ﻗﺎﺯﺍﻗﯩﺴﺘ, _गढवाल_, _apurahan_, 
   {{0xfd6601b7,0x83830103,0xe94d0041,0xd2000225}},	//   _गुणैः_, _abayiwe_, _дшьын_, _wamie_, 
   {{0xf2e7015c,0xcc0201cf,0xe5440309,0x329002fa}},	//   _klengen_, _guastar_, _cahilliy, _bamara_, 
   {{0x4290036d,0x9db401c5,0x0bb602ec,0xee5e009a}},	//   _camara_, _زورور_, _گُمانہٕ_, _استنادي_, 
   {{0x3d0900e4,0xcf200320,0x127f02e9,0xd37c0219}},	//   _उपलब्धि_, _anyenyen, _siento_, _atsatse_, 
   {{0x65af027d,0x93fa01fa,0x929100a0,0x30790026}},	//   _споразум, _popula_, _turai_, _praktijk_, 
   {{0x2c680180,0x927f0053,0x29e70080,0x28950376}},	//   _antrenn_, _जीवनसत्त, _amerleru, _banknord, 
   {{0x559a0241,0xf0e600e0,0x62ed03c2,0xda16004d}},	//   _alagaadh, _romantyk_, _aclinic_, _年音樂舞蹈劇_, 
   {{0x32ca02d8,0x3973027f,0x2ec90206,0x5ccd0161}},	//   _handuk_, _barineze, _posilnen, _проектах_, 
   {{0x9e5d017a,0xd34800f5,0xd2910021,0x9e49002b}},	//   _харчи_, _портрете_, _ytray_, _সন্দেহে_, 
   {{0xe2bb020e,0x937b017e,0x6f240237,0x00000000}},	//   _akhente_, _כּיור_, _상품이므로_, --, 
   {{0x82370368,0x63ea0479,0xc2490071,0x72910151}},	//   _promena_, _bolti_, _risma_, _arral_, 
   {{0x525b0014,0x63650274,0x32920251,0x729000f3}},	//   _fjalet_, _borgara_, _absame_, _benalo_, 
   {{0x4b510095,0x99b20046,0xd23f00de,0x95d2020a}},	//   _tanduran_, _почтасы_, _babephum, _تۋرالاند, 
   {{0x0324013d,0x42c403a2,0x9c14011a,0x00000000}},	// [9820] _diskutej, _जद्दोजहद_, _מרהיבות_, --, 
   {{0xfb2c0097,0xc2a20138,0x07d9020f,0xe6520082}},	//   _didagbas, _arabirim, _دبدخشان_, _danzariy, 
   {{0x02900119,0xd47b006a,0x8583018f,0x82900245}},	//   _subay_, _misterin_, _bopeghch, _phiah_, 
   {{0x67ab02ea,0x2fd2003c,0x53000082,0x99ff00cf}},	//   _скрити_, _آماندا_, _gilashi_, _hadiyyaa_, 
   {{0xa31b0418,0xf34a0300,0x60ee0281,0xfe520519}},	//   _müzik_, _majetku_, _nalikill, _लुप्तप्र, 
   {{0x70e10148,0x3d9e01ab,0x2fdf0111,0xe91102e7}},	//   _hannibal, _गोएड़वा_, _remiremo, _himatiku, 
   {{0x99750246,0x12e0066a,0xc2900245,0x528e006c}},	//   _клубове_, _gmunden_, _thiah_, _abakuwo_, 
   {{0x638703c7,0xfaca02b9,0x65eb00a2,0x93100473}},	//   _dobrze_, _látogató, _عرفانه_, _kurzen_, 
   {{0x307401d5,0xb2fd00c5,0xb2fc0255,0xc248010d}},	//   _چھپائی_, _affiner_, _kanget_, _bakmi_, 
   {{0x34790402,0xd4e401e4,0xa28b0228,0xde77012c}},	//   _diletakk, _प्रभावका, _lokalsam, _خاندانن_, 
   {{0x1e550223,0xc4d70019,0xf7e300c7,0x32640128}},	//   _espainia, _намазы_, _флера_, _taqlid_, 
   {{0xc4860287,0x72710135,0x5f3703fd,0xdcdf005e}},	//   _संगालो_, _garantiä_, _tanugama, _رېكورت_, 
   {{0x4213005a,0x39ff0241,0xd6af0315,0xf4380414}},	//   _baghbe_, _badiyyaa_, _banelitf, _epekisak, 
   {{0x2aee016f,0x00000000,0x00000000,0x00000000}},	//   _luftveie, --, --, --, 
   {{0x885d02da,0x59f800ea,0xac6301e5,0x1c24029b}},	//   _brinqued, _nihinana_, _darugbo_, _bisneesu_, 
   {{0x5a7e02af,0x4fa600ea,0xa3ea022e,0x498e011f}},	//   _kubatura_, _olombelo, _volti_, _рамин_, 
   {{0x73870301,0x85330082,0xf9f800ea,0x4f30006c}},	// [9830] _fevral_, _tsuntsay, _hihinana_, _akasakwa, 
   {{0x62910194,0x7ee7022b,0xe4a00235,0x32d901a4}},	//   _strax_, _leikalan, _अनुभवन्त, _kowela_, 
   {{0xee9a019e,0xf0750193,0x49d6027b,0x4be500be}},	//   _aliejaus_, _परीक्षणा, _वारयाम_, _ponderac, 
   {{0x92fc000b,0xbc3600ef,0x3ef401d2,0xad8301ac}},	//   _avega_, _دعلمي_, _diskukun, _próstata, 
   {{0x82910142,0xca8e0462,0x47580244,0xc27f011b}},	//   _gurau_, _acancies, _disimpeg, _mpangi_, 
   {{0x707500ba,0xd9f80408,0x00000000,0x00000000}},	//   _دواڕۆژێک, _fihinana_, --, --, 
   {{0xdd0800f0,0x925a036d,0x1a0c0056,0xf8ba0181}},	//   _znamenie_, _ghille_, _блокадаи_, _jordfald, 
   {{0xf3540026,0xc2490313,0x45c603ef,0x0e9501f4}},	//   _bereikt_, _dismo_, _amaparik, _турамиз_, 
   {{0xd2170223,0x6d540544,0xc2ef022d,0xe87b01ad}},	//   _францад_, _hapakolu_, _malizia_, _bisperas_, 
   {{0xd3f20044,0x38430061,0x5edc0037,0x133003ce}},	//   _entering_, _수있습니다_, _በየመንደሩ_, _لێزمه_, 
   {{0xca080240,0x629100b4,0x0b2e0188,0x8e900170}},	//   _isaaaaaa_, _furat_, _кабириро_, _asamayen, 
   {{0x9c2d01fb,0x77560060,0x1d8602f3,0x60a60109}},	//   _artattac, _باقتۇر_, _sammanla, _दशकभन्दा_, 
   {{0xb1b40177,0x184001ac,0xc9220137,0xfd1a0037}},	//   _избан_, _تجاوزت_, _ховхолж_, _በካንሰር_, 
   {{0xa249041d,0x2f5d0639,0xb9d500ff,0xdab1005d}},	//   _bismo_, _merancan, _זאמדקאסט, _canelón_, 
   {{0x337c009e,0x882502d6,0xb3ea02f9,0xf200019f}},	//   _garante_, _معاصراوز, _laktoz_, _mamia_, 
   {{0x018400c8,0xa29100a4,0x594a0375,0x6643024c}},	//   _аямай_, _jurat_, _ayembeke, _esekutti, 
   {{0xc2f10288,0x11420135,0xd69a0242,0xd24902a9}},	// [9840] _sägen_, _атлар_, _sakinlər, _eismo_, 
   {{0x6f3d0292,0x425a0291,0x7c340333,0x8c7403a2}},	//   _abrokyir_, _bhille_, _galattic, _रूस्तम_, 
   {{0x525a0195,0x7983009a,0x4da401aa,0xc291037f}},	//   _chille_, _abakhwet, _enginewa, _tural_, 
   {{0xb2fc002e,0x320000dc,0x866d00be,0xc3940465}},	//   _svega_, _aamia_, _ايكۅلۉم_, _prosil_, 
   {{0xe8260044,0x02b20036,0xae3b033e,0x4cc600a7}},	//   _ששיתפתם_, _londain_, _dejasypa, _دۇشپانى_, 
   {{0x74440051,0xd7b100ba,0xbcc8005e,0x02cb0064}},	//   _lidostā_, _دلسۆزی_, _قۇتراتقۇ, _diades_, 
   {{0xfc4e01f4,0xee5600b4,0x812b0177,0xfb200005}},	//   _گمانه_, _stabilit_, _иааҳакәы, _bunamain_, 
   {{0x25820495,0x42910051,0x0b240052,0x02910229}},	//   _amategek, _kuram_, _displeje, _xural_, 
   {{0x6ec70185,0x3e490024,0x4430012a,0xa2d802a3}},	//   _киносы_, _সন্দেহৰ_, _zlokaliz, _ophef_, 
   {{0x82b30119,0x7da10282,0xbee20193,0xa16f0278}},	//   _sondrio_, _apinarap, _विद्वाना, _jahiliah_, 
   {{0x53a901ce,0x72480362,0xc24900ba,0x1df30421}},	//   _دزدان_, _bakotisi_, _گوڵستان_, _landstra, 
   {{0x41d10188,0x638c0040,0x730d0320,0xb53201b5}},	//   _остона_, _להקטין_, _drobota_, _mianakay, 
   {{0xa5970141,0x6197008e,0x00000000,0x00000000}},	//   _гаскойн_, _jambaarl, --, --, 
   {{0x0ead027e,0xeb2201c2,0xd9db0282,0x175f0037}},	//   _доминира, _estratéx, _hingaret, _ተርጓሚው_, 
   {{0x362d03d1,0xa68c01b3,0x6380007f,0x22ec01ab}},	//   _metilspi, _докторсь, _meuryn_, _suviste_, 
   {{0xbae50255,0xb291010d,0xe200038a,0xa92a004d}},	//   _energeet, _buram_, _chlich_, _會員專屬區_, 
   {{0x530e0672,0x3edd0037,0x76c9041c,0x00000000}},	// [9850] _ahabona_, _የምንላቸው_, _cosaanam_, --, 
   {{0x727e0180,0xd2910042,0x827f012c,0x29f70119}},	//   _lyans_, _levado_, _usanii_, _kahimaya_, 
   {{0x3e140235,0xa71c013d,0x618b01ff,0x1db90310}},	//   _ajasraṃ_, _tradukoj_, _handlová_, _mhanacha, 
   {{0xcc59025b,0xbb4301a6,0x9c5d016a,0x00000000}},	//   _mikudag_, _mätätaki_, _certeco_, --, 
   {{0x03a30061,0xff1c0082,0xb10303ae,0xdf28008c}},	//   _무료다운로드_, _bukukuwa, _folkehel, _anzolver_, 
   {{0xc2450162,0xca880305,0x52e90499,0x12810321}},	//   _ماڭىدۇ_, _søndagss, _kopiina_, _prebrati_, 
   {{0xd27e03ea,0xda6700a6,0xb2ef0416,0xf7f60126}},	//   _ayant_, _مکتبه_, _oblivia_, _klubbutv, 
   {{0xea850552,0x169a0309,0x437a01b5,0xb6dd0295}},	//   _stoneman_, _hakimlər, _etqayin_, _talangof, 
   {{0xb56e0037,0x228d010f,0xb3800193,0xb2ca02a0}},	//   _የአትክልት_, _akukona_, _fitria_, _noodu_, 
   {{0x06d6038b,0xbf4b03f5,0xfdb50207,0x232700df}},	//   _membimbi, _respeita, _yasiyofa, _lancent_, 
   {{0xe05f022a,0xcf300153,0x6ae102c2,0x5ad40326}},	//   _plunumik_, _北愛クラブ_, _fantasee, _haateere, 
   {{0x82ca0558,0x5f5d0146,0x39db0184,0xd10c05ba}},	//   _koodu_, _perancan, _ahengera_, _तनिशा_, 
   {{0x7197026b,0x49930080,0x83860105,0x32920177}},	//   _cambiarl, _amikkitt, _ktorym_, _iguata_, 
   {{0x77920416,0x92fd019a,0x9291011d,0x00000000}},	//   _multissi, _faniver_, _curaj_, --, 
   {{0xa61200be,0x63390244,0x815c0145,0x9f5d0308}},	//   _депутаты, _добавите_, _нумар_, _bergaris_, 
   {{0x929101cc,0x534803ad,0x9f5d0057,0xb3f403b4}},	//   _puram_, _alleati_, _terancan, _bhutsu_, 
   {{0xc291009b,0x16d70096,0x00000000,0x00000000}},	// [9860] _eurak_, _bakabatw, --, --, 
   {{0x05a9021b,0x937a0294,0x6ffb00bb,0x0e3501fe}},	//   _целиком_, _antawan_, _کھوپڑی_, _nawalowa, 
   {{0xbdfe0220,0xa2bb03b0,0x2b2901a3,0x6c6000ee}},	//   _effettua, _nyhende_, _براهمڻ_, _modukoa_, 
   {{0x0e27005e,0xb3000006,0x553501e8,0x06d904b3}},	//   _ﺭﺍﻣﯩﺰﺍﻥ_, _menanti_, _gisindih, _butuniñ_, 
   {{0x69fc02e8,0x2e5e0037,0x5320004f,0xe7070128}},	//   _kwenyika_, _ወደተለያዩ_, _dunyaa_, _павлус_, 
   {{0x229101fc,0x42910342,0xa200050a,0xa1b7003c}},	//   _kurak_, _siyati_, _izmit_, _شهرآرا_, 
   {{0x637f0328,0xb14a0037,0x00000000,0x00000000}},	//   _bahasha_, _ፕሮሞሽን_, --, --, 
   {{0x9d5b0238,0xb5cc0444,0xb291016e,0x00000000}},	//   _облдержа, _полагает, _durak_, --, 
   {{0xf433036a,0x42a70205,0x1eda0268,0x0290017e}},	//   _atekisek, _заковат_, _ampyloba, _chiam_, 
   {{0x12bb004a,0x32740425,0x1a63002b,0xd6ba034e}},	//   _kaderle_, _خوولی_, _নাফনদীতে_, _chariray, 
   {{0x0c630044,0x73eb0055,0x6a7f01e5,0x95ab0185}},	//   _improve_, _cotte_, _leralera_, _elemtäçe, 
   {{0xa34400da,0xde0900db,0x977c00c5,0x5d4e00c5}},	//   _citeste_, _टिपण्णी_, _加强党的执政能力, _本站管理人员有权, 
   {{0xd35500c3,0xa7b30077,0xf6b3011e,0x7b6603bf}},	//   _videtur_, _konstiti, _konstity, _dialetar, 
   {{0x6499004d,0xe66f04c7,0x2a860397,0xfe280311}},	//   _小惡魔的動力研究, _prijavom_, _ayinkimb, _ሰራዊተን_, 
   {{0xdd050333,0x5b0d00c4,0x33f10265,0x90470249}},	//   _riflette_, _ڊسيمبر_, _indeling_, _oltoktok_, 
   {{0x72f104c9,0x729001ed,0xac5600b4,0x00000000}},	//   _rügen_, _aniani_, _fratele_, --, 
   {{0x099b01cd,0x997700a8,0xae0f007f,0x323701aa}},	// [9870] _amakhale, _badilatt, _gordalia, _azzjay_, 
   {{0x9294011e,0x9f2a00ff,0x09b200da,0x00000000}},	//   _lakademi_, _סכוירע_, _bradiste, --, 
   {{0x02500125,0xe2f10172,0xa7670041,0xdabd0008}},	//   _келам_, _titiriw_, _маҷкәа_, _кокустук, 
   {{0xf2fc03b5,0x6ec2027c,0xd2910066,0xb2f002ec}},	//   _sangat_, _abaneban, _erran_, _kaligii_, 
   {{0x32910229,0x43730241,0x82ee01b3,0x23870428}},	//   _siyasi_, _dajanee_, _санвузол_, _dobrot_, 
   {{0xe27e04c1,0x27000092,0x02910013,0xf30d00e9}},	//   _syans_, _相互リンク_, _yurak_, _zugader_, 
   {{0xaf64015d,0xb057014a,0x00000000,0x00000000}},	//   _negatywn, _daganato, --, --, 
   {{0x3f4c042f,0xc3190198,0xc37c00cf,0x43f401b9}},	//   _pitsiula, _monitorj, _baratee_, _mestik_, 
   {{0x3dec017a,0x39480197,0x7b07000e,0x9ed5004a}},	//   _кулли_, _bibliyot, _ferralia_, _galimovn, 
   {{0x427f0269,0x31600132,0xaa7106c0,0xa6b0005b}},	//   _viendo_, _leiratko, _zemanova_, _fukuensh, 
   {{0xd2910340,0x6e6800d9,0xc2eb0421,0x36e50158}},	//   _hurai_, _местами_, _myvideo_, _koncerci, 
   {{0x8200016e,0x204601b9,0x029103d1,0xc3ea01a0}},	//   _izmir_, _antreten, _kurai_, _goltz_, 
   {{0x530c00e9,0xb620033f,0x8a110111,0xf1c403ec}},	//   _rematis_, _nofonoai, _appassia_, _pranverë_, 
   {{0x969d00af,0x2291056b,0xf2dc02a5,0xd02c02ef}},	//   _краса_, _murai_, _ochotni_, _deteksyo, 
   {{0x7c630217,0x9b1d0192,0x6035000d,0x92010099}},	//   _susurro_, _성공적으로_, _arheoloo, _asaita_, 
   {{0x329100b6,0x92910008,0xbff700be,0x4ccd0078}},	//   _anaani_, _arran_, _кургакчы, _заказана_, 
   {{0xcc00015b,0x59e80289,0xc89f0037,0xa64403a8}},	// [9880] _krismas_, _amagulit, _እመኛለሁ_, _অক্ষৰৰ_, 
   {{0x08ed003c,0x8c55028f,0xf7f30014,0xc7b702b0}},	//   _محمودآبا, _mōtini_, _procesev, _carshari, 
   {{0xe2330126,0x737a02be,0x22ea022c,0x0f6400d1}},	//   _аграрний_, _bitawan_, _budinho_, _মানচিত্ৰ, 
   {{0x92da00b7,0x004d0220,0xedca01a3,0xaece007b}},	//   _ertesi_, _трета_, _دکدائڪ_, _craiters_, 
   {{0xde970177,0x336703e6,0xa02c01c4,0x62970290}},	//   _арбџьарт, _querform, _verdrink_, _chapaivl, 
   {{0x5290018b,0x341f00e4,0x25710060,0x895b0090}},	//   _chiar_, _उपलब्धिय, _بىلدىرەر_, _akanyeve, 
   {{0x425a01f6,0x11370378,0x4296018b,0xd3e30159}},	//   _skilje_, _landspol, _stocului_, _paulausk, 
   {{0x0e5702ac,0x5d8602b2,0xa200008a,0x572c0163}},	//   _فراشه_, _sammenla, _hymie_, _جانداروں_, 
   {{0x629000d6,0x44ba0715,0x0a4801f5,0xdb76015e}},	//   _thiar_, _विवेचना_, _powernya_, _مۇمكۇن_, 
   {{0x7249024b,0x9a00012d,0x22fc0132,0x6f5700ba}},	//   _misma_, _lidaship_, _hangot_, _سازداوه_, 
   {{0xe2260211,0x394d034f,0x9b54000b,0x00000000}},	//   _pyrkii_, _aseletye, _saitumua_, --, 
   {{0xe2910013,0xffba0453,0x62910115,0xfc050074}},	//   _asrab_, _ambalaže_, _shaari_, _hintatas, 
   {{0x020003d5,0x4c7501e9,0x88be011d,0x4882001b}},	//   _gaeil_, _apesang_, _иштий_, _bakkabuu, 
   {{0x23f9012f,0x4a6f0448,0x732601be,0x46990420}},	//   _kreuzi_, _yndlings, _trochou_, _белгија_, 
   {{0xa94a009a,0x8368005b,0x5d6f01eb,0x80260127}},	//   _abamamke, _temmelig_, _eramogua, _bandenno, 
   {{0xc24902ce,0xa3ee0158,0xb2bf0028,0x3afc0288}},	//   _bisma_, _किएभीकॉम, _گۅبان_, _eingiess, 
   {{0xb20100a1,0x12d800b1,0xb7a70448,0xc5800077}},	// [9890] _huaina_, _tshev_, _overskri, _eklerasy, 
   {{0x826e0047,0x92da0086,0xfe2f01a3,0x0d0501ac}},	//   _auront_, _itteni_, _ڏسجانءِ_, _tintreac, 
   {{0x9e510240,0x894502e4,0xd83c00b5,0x00000000}},	//   _kawatama, _dittatur_, _icomunid, --, 
   {{0x129104bd,0xb4c0005e,0xdab90138,0x03ea01f1}},	//   _egeana_, _ئاپەتكە_, _bağış_, _dilte_, 
   {{0xd57e00d6,0x8d9e03ee,0x59ed006a,0x04d60012}},	//   _reiligiú, _štednje_, _mamindra_, _तसलिया_, 
   {{0x2a7f0240,0x6e840148,0x52900450,0xb37401a4}},	//   _berabera_, _總統大選全紀錄_, _skaad_, _engunzam, 
   {{0x150f0125,0x84120405,0x00000000,0x00000000}},	//   _azalmagy, _зване_, --, --, 
   {{0xfebc04f5,0xc24801df,0xd74d02e4,0x8c69033f}},	//   _verovatn, _boomin_, _ekoinnov, _motuani_, 
   {{0xca400037,0x5cbe00ec,0xc3650004,0xfafd01d5}},	//   _የምናጸናበት_, _памер_, _chagren_, _hangvers, 
   {{0x0ef10039,0x32910416,0x37780220,0xf6360087}},	//   _kaмep_, _errat_, _prevenzi, _enkondzw, 
   {{0x8f1e007e,0x67370244,0x45340153,0x63b30246}},	//   _kartavya, _тренто_, _その理由は_, _непромок, 
   {{0x8f7a007b,0x598e0276,0x8f2c008d,0x50f901e9}},	//   _traction, _падиш_, _kodeksin, _dipinatl, 
   {{0x82900120,0x2c6901bb,0x6e330227,0x9fe00365}},	//   _ahaak_, _soltany_, _genggama, _कमिटीद्ध, 
   {{0xb3eb035a,0x4299000c,0xc238014f,0x0b5c01c8}},	//   _kotta_, _знание_, _promeni_, _aplikačn, 
   {{0xe42f01ed,0xe2000013,0x07ba02f7,0x527e008e}},	//   _ainaonao_, _bilish_, _bobegakg, _donnam_, 
   {{0x9e4a018d,0x12d8013d,0x2eb701b6,0x42010568}},	//   _ብምእሳር_, _ordonis_, _issuance_, _amfiet_, 
   {{0xc3eb0055,0x127e025e,0xb21c03d5,0x76e80315}},	// [98a0] _lotta_, _teknar_, _dither_, _batatitf, 
   {{0x5cb6019f,0x52db01eb,0x545200c5,0x3130012b}},	//   _حالانڪه_, _акопови_, _发送短消息_, _kontynuo, 
   {{0xe2910139,0x128e0497,0xacf7012a,0x506500c1}},	//   _abdair_, _arraignm, _मालकिन_, _कूटप्रश्, 
   {{0x93f40179,0x7d400195,0x1291005b,0x547302d8}},	//   _distuk_, _argamaid_, _miyagi_, _masteran_, 
   {{0x1d0700e6,0xc133045e,0xa2d500fe,0x34370388}},	//   _原创日志推荐_, _съсредот, _maloloo_, _lanciato_, 
   {{0xf291003d,0x4df700c1,0x720100a1,0x965a01db}},	//   _arrat_, _berdampa, _tuaina_, _парақорл, 
   {{0xa3eb03f4,0x1d4701cd,0xe9ed0408,0xc9e50223}},	//   _jotta_, _силоҳу_, _famindra_, _amorratu, 
   {{0x79c70135,0x939403cf,0x5f100235,0x1587002c}},	//   _салават_, _taksit_, _अपेक्षित, _sortutak, 
   {{0x29f2016d,0xb8f802fe,0x22910194,0xaa7f0147}},	//   _تەھدىت_, _akwanced, _erras_, _جەرئشىبئ, 
   {{0x4212005b,0x52ef00b9,0xd6030013,0xc4e6040f}},	//   _yunho_, _aslinya_, _خصوصده_, _валуны_, 
   {{0x1380038f,0x62d8024f,0x88100153,0x134100a2}},	//   _perrot_, _muleki_, _インストラクタ_, _amtetea_, 
   {{0xeccd0046,0x3c5100c1,0x6c1b04f8,0xfac7017a}},	//   _популярд, _pantura_, _unequal_, _багайр_, 
   {{0xec7d0618,0xf6c600c5,0xe2fc034b,0xe28303d5}},	//   _ubistvo_, _中国建筑机械市场_, _hangre_, _ardarrym, 
   {{0x759100f5,0xdf2d03ed,0xad28015e,0x5c280005}},	//   _атасының_, _através_, _societat_, _societad_, 
   {{0x739401ef,0x4e900225,0xe98e00bf,0x00000000}},	//   _keisti_, _verdruss_, _данин_, --, 
   {{0x4a6c00a7,0xd9360484,0x5cdd005b,0x32fc0372}},	//   _райондор_, _पुनःनिर्, _genkurou_, _mangre_, 
   {{0x22fc07e3,0x324901ea,0x5ca400be,0x959a008d}},	// [98b0] _banget_, _qismi_, _султаны_, _асоратла, 
   {{0x5291067b,0x85ed0057,0x3a730135,0x32e7013a}},	//   _israa_, _በማደራጀት_, _tuuına_, _blenden_, 
   {{0xfc61021a,0xbf1e03f0,0x00000000,0x00000000}},	//   _barumsa_, _feldurin, --, --, 
   {{0x83400377,0xa3c602ac,0x2387022e,0x4eeb00e6}},	//   _vederea_, _يعالج_, _aguzini_, _中华人民共和国道, 
   {{0xf2ef01c2,0x54f101d2,0x42fc028e,0x32d501ba}},	//   _galicia_, _atimanch, _tanget_, _saloooo_, 
   {{0x9f5d03d1,0x7863006c,0x7b7701a3,0x86380242}},	//   _atrašanā, _abanyund, _انويسٽيگ, _düşündük_, 
   {{0x994901bd,0xf2ca00ce,0x212a06ae,0x35500148}},	//   _наразылы, _unodc_, _convenio, _違反上述聲明者_, 
   {{0x27c9015d,0x4c8e01db,0x12e9019f,0xc37303c2}},	//   _postanow, _ادەﺑﻴﻪﺗﯩ, _kutisha_, _abraded_, 
   {{0xb2d80226,0xa0ec00c7,0x93800338,0x456b01b3}},	//   _buleki_, _diyarlek_, _berret_, _сталеві_, 
   {{0xf6af0082,0x19e30435,0x47af003a,0x294401b2}},	//   _birtaniy, _додала_, _birdanig, _ambusher_, 
   {{0x425b01ac,0x7af300f0,0xb337061d,0x469301de}},	//   _begley_, _podsviet, _салжуқ_, _әженің_, 
   {{0x54a60193,0xc7c403d4,0x6ac90205,0xdc05020f}},	//   _प्रामुख्, _околност, _сайланад, _ژبپوهانو_, 
   {{0x52fc0046,0x42db0035,0xe9ed0004,0xbfc00110}},	//   _oxigen_, _акциясе_, _dyagnost, _lukojano, 
   {{0x93d00031,0xa29302e2,0x1d0502fd,0x7ff90053}},	//   _instansi_, _iniquity_, _inntleac, _अर्थाचे_, 
   {{0xe3cf04e4,0x92bb00e2,0x3db30176,0x02e800c0}},	//   _stavit_, _eamelje_, _agingcoa, _aalisin_, 
   {{0x32fc023e,0xf5ad0158,0x234502aa,0x9b41015e}},	//   _sanget_, _बैठता_, _milenec_, _этностор_, 
   {{0xad0a02c3,0x02fc02be,0xec13001d,0x6eb20219}},	// [98c0] _sadrokar, _panget_, _supposi_, _ichubele_, 
   {{0x52010148,0x526c0099,0xc860022a,0x9e360344}},	//   _dubito_, _adhoni_, _solomonu, _allarsua, 
   {{0x362c01a3,0x9387018d,0x00000000,0x00000000}},	//   _عڪسلون_, _kamionë_, --, --, 
   {{0x71d201d4,0x2ea6026b,0x4309012d,0xb2fc037b}},	//   _parlerem, _jardines_, _tambuim_, _exigen_, 
   {{0xf9df02e8,0x92fc0269,0x284f0081,0x026c0049}},	//   _kwenguva_, _sangre_, _unglingu, _hohoa_, 
   {{0x08c8017d,0x1291051a,0x97aa02ec,0xeaeb0066}},	//   _と投票しています_, _aurat_, _پرٕناو_, _ikerkunt, 
   {{0x42910278,0x7ae80276,0x229102f6,0x9a7001c0}},	//   _surau_, _иштимиду, _burat_, _badarawa_, 
   {{0xa38000f4,0x9290046d,0x8b0c021b,0x526c0298}},	//   _serret_, _thaai_, _кухне_, _mohoa_, 
   {{0x9dc6032d,0x6d860299,0xf9d30294,0x035e0107}},	//   _bashanya, _ئۇنسۇر_, _feconaya_, _diculaké_, 
   {{0x32e7002a,0x00000000,0x00000000,0x00000000}},	//   _pikichọ_, --, --, --, 
   {{0x169f0187,0x322b0060,0x00000000,0x00000000}},	//   _edifício, _پەرىشتەم, --, --, 
   {{0x7281017d,0x00000000,0x00000000,0x00000000}},	//   _trustpil, --, --, --, 
   {{0x42db04f2,0x39f60107,0x998501e7,0x602e01db}},	//   _alonhac_, _کورین_, _dirigeie, _كەڭەستەر, 
   {{0xa2910030,0x89780334,0x3a7e05f1,0x9dbb0211}},	//   _kuras_, _akhirist, _kubarura_, _kuninkaa, 
   {{0x6e7700a7,0xa6a00235,0x72d903db,0xe30001f5}},	//   _باشدىن_, _arjunasy, _engena_, _menaati_, 
   {{0x308c0145,0x7633035b,0xe7c7015d,0x32d40138}},	//   _слове_, _prenosni, _zastanaw, _okudum_, 
   {{0xd344012b,0xb8770072,0x69af0028,0x8eca0170}},	// [98d0] _kredytu_, _qalakayr_, _bandhigt, _chinasin, 
   {{0xf05900ea,0x829000d5,0x737c0016,0x3da002c5}},	//   _ankamaro, _tenako_, _ekzakte_, _akanyara, 
   {{0xeb0b017d,0xde32007d,0xd5c0034f,0x03ea0585}},	//   _一部例外あり_, _menghala, _ځلانده_, _svetog_, 
   {{0xe3c30251,0x73f20095,0xc6090291,0x00000000}},	//   _وُجار_, _anteping_, _المَثْقُ, --, 
   {{0x10570276,0xc2e50222,0x77a80265,0xdeb70374}},	//   _тивиниш_, _donnera_, _plotseli, _баданни_, 
   {{0x2b610074,0x680700f5,0xb2f1059c,0xd2480007}},	//   _ostetaan_, _сыналанд, _fügen_, _osomba_, 
   {{0x2bdc027b,0x3d00033a,0x4d750113,0xf2a80189}},	//   _लीलया_, _dentatur, _cadhnaío, _tescilli_, 
   {{0x27850051,0x3c040157,0xe7b30121,0x87a802c2}},	//   _normatīv, _kwestii_, _agrupaci, _gekwalif, 
   {{0xcc620031,0x428d0255,0x3ae100a0,0xf8c70046}},	//   _putusan_, _parandam, _danlasan_, _pastanag, 
   {{0x32910195,0x72d305fd,0x8f25015e,0xfc180057}},	//   _turas_, _sekolah_, _intercan, _gerakger, 
   {{0x52fc0122,0x9ec301e6,0xb37801c5,0x30d80111}},	//   _tungku_, _orientač, _badanaa_, _paléonto, 
   {{0x4e3802ca,0xc1070049,0x42fc0386,0xf5ce010f}},	//   _carachta, _anekival, _hangat_, _гарми_, 
   {{0xa2df01c1,0x1c62022e,0x62d2013d,0x820e02ea}},	//   _mengerti_, _petrone_, _metodoj_, _пасат_, 
   {{0xcd240438,0x32a20178,0x036c033e,0x5efe0178}},	//   _blantyre_, _aparijñā, _kangymi_, _devasenā, 
   {{0xe2c70420,0x2c62046b,0x3da703b7,0x00000000}},	//   _rádio_, _addurno_, _anningta, --, 
   {{0x726e01d1,0xf57a0276,0x00000000,0x00000000}},	//   _europe_, _айланмақ, --, --, 
   {{0xf3ea0193,0xf248011b,0x9c300321,0x5db103d4}},	// [98e0] _lintas_, _asomba_, _izvajalc, _скорашњи_, 
   {{0xb699018b,0x4d26007e,0x90f5002c,0x8a51037f}},	//   _декларэ_, _ajanayat_, _клипний_, _ancelina_, 
   {{0x8107040f,0x725a0352,0x22e0036d,0x92d702a2}},	//   _prisipaž, _diktsaml, _chordadh_, _patotoo_, 
   {{0xbb60017d,0xe20104ee,0x2d860274,0xffc303e6}},	//   _ショッピングカ_, _draifa_, _samvinnu_, _schieder_, 
   {{0x25c70518,0x6dc80255,0x4d540193,0xa2b80066}},	//   _جراحت_, _सत्यदेव_, _lokasimu_, _египетий, 
   {{0xec0b0060,0xda0600ee,0xa18600f2,0xaf4602bb}},	//   _ءتىرىمىن_, _finantza_, _ventilāc, _nagranie_, 
   {{0x57ad01aa,0xaaf1026f,0x23eb045e,0xf3d40242}},	//   _espectiv, _ءىزگى_, _notte_, _ustası_, 
   {{0x70350052,0x37ec0071,0x33550037,0x1379055f}},	//   _जीवनशैली, _simalung, _ገንዘቦች_, _papatya_, 
   {{0x841d0233,0x22910013,0x4d860213,0x13ac010d}},	//   _omission_, _turar_, _краткий_, _satpam_, 
   {{0xd3ea0079,0x3f9b00b2,0xdc5d022c,0x3fc9036e}},	//   _tilta_, _alamaayo, _arateul_, _incienso, 
   {{0xf23e005f,0x626c03e6,0x7c6202ce,0xf2e70301}},	//   _válida_, _schoof_, _nutupan_, _yoxmuş_, 
   {{0x7a8403bf,0x120100ea,0x1291001e,0x5f190177}},	//   _незабудк, _vidiny_, _surar_, _зхыбра_, 
   {{0x645c0360,0xb28901ac,0x5945032e,0x32b90645}},	//   _provozuj, _عقبال_, _willjtat, _srodnih_, 
   {{0x66970094,0xce9000be,0xccd003db,0xbf020161}},	//   _ұлтаралы, _تۉيۉپ_, _ijavascr, _leivonna, 
   {{0x8c600472,0xa294025f,0x915601a3,0x58830272}},	//   _lagunya_, _basaleli_, _ڪاريگري_, _barikuku, 
   {{0x32900456,0x62cd0008,0xb2ca0558,0x729002fd}},	//   _skian_, _guillem_, _onodu_, _dhias_, 
   {{0xfed70690,0x630e020d,0xff6500ea,0xeaed023c}},	// [98f0] _hakikatn, _akabona_, _fambolen, _يادښت_, 
   {{0xc3ab01ec,0x7f2203b0,0x8326021c,0x62000057}},	//   _تیرانداز, _spelarar_, _airbagy_, _mymil_, 
   {{0xcb5a023b,0xa6e30187,0xc3220347,0xde290461}},	//   _mokukaua_, _procuram_, _latyns_, _confinha, 
   {{0x925b06e5,0x766001b7,0x3327002b,0xb32400ec}},	//   _skylge_, _प्रसीद_, _মহাসমাবে, _ўварвань, 
   {{0xaeba0164,0x04600278,0x4fc60191,0xe291000e}},	//   _جۇمھۇرىي, _dikemask, _planerar_, _purar_, 
   {{0x8dfc00bf,0x90f5030c,0x0542026f,0x9eb00092}},	//   _учитель_, _tariumil, _تەڭنەن_, _forsynet_, 
   {{0xa50500d6,0x0c510055,0x73a40077,0xa0dd002b}},	//   _impleach, _aantica_, _dčske_, _মনোরম_, 
   {{0x7f3c0166,0x620e0039,0xa4040187,0x61b40040}},	//   _lieferun, _махан_, _авганист, _ההולנדית_, 
   {{0xc2900058,0xab4600da,0xe7600071,0xe0590584}},	//   _chaam_, _италиени, _منتفی_, _colaboro, 
   {{0x8801016f,0x52d80464,0x72d40184,0x1c5a0255}},	//   _useriøs_, _makeya_, _rubomba_, _rikuvad_, 
   {{0x1fbe0014,0x02c201d9,0x2af7018b,0x00000000}},	//   _ንምክልኻል_, _spillen_, _галерие_, --, 
   {{0xa9f1047b,0xf2250200,0x2e000039,0xaf3c0372}},	//   _endiliga_, _elekwa_, _defentsa, _chlustia, 
   {{0x02910313,0x94ac0156,0xfd1303ae,0xfd230437}},	//   _durap_, _קלעמערל_, _gårdsbru, _splittet_, 
   {{0xa2f0030c,0xf4320007,0xcb0b019b,0x13780119}},	//   _kihiani_, _baekuruz, _страты_, _dalagan_, 
   {{0x6d9000e0,0x664b03db,0x456b0105,0x6ec2004d}},	//   _hielenda, _abahambi, _samolotó, _世代創業座談會_, 
   {{0xb24a016e,0xa2d803ef,0x00000000,0x00000000}},	//   _parmak_, _bakeya_, --, --, 
   {{0x12ec03f3,0xec3500be,0x93780015,0x00000000}},	// [9900] _petitie_, _анализдө, _badalaa_, --, 
   {{0x41d70218,0x120200ad,0x529100cd,0xfa7f0059}},	//   _ackedpay_, _sawios_, _aurax_, _muratura_, 
   {{0x332104cc,0x39ef0153,0x92910242,0x49d702ba}},	//   _byayak_, _レガシィツ_, _riyazi_, _amawebhu, 
   {{0xb3790156,0x34d6027b,0x77a20338,0x004c019e}},	//   _אינדאָנע, _पूरितं_, _certanei, _гарматаў_, 
   {{0xa96400c1,0xb282003a,0xf2cb01d7,0xc9870364}},	//   _प्रसंगी_, _yashash_, _giadas_, _spezzacu, 
   {{0x984300f5,0x2387046f,0xa2f30040,0xd9f504d7}},	//   _аталарың_, _gaeren_, _ירדנה_, _annarsve, 
   {{0x0edf02d2,0x127f0121,0xd25b00d8,0xa30e00c2}},	//   _kuthiwan, _siendo_, _biblic_, _ukabona_, 
   {{0x8ef800d1,0x00000000,0x00000000,0x00000000}},	//   _drivande_, --, --, --, 
   {{0x37ce0475,0xf18001bd,0xe95f0294,0x8c5302ed}},	//   _примеров_, _باسۇدى_, _chloropt, _acotío_, 
   {{0xbee20193,0x12d9005c,0xb27e0373,0x8c7a0057}},	//   _विश्वासा, _rigena_, _avino_, _drastik_, 
   {{0x9fcd0093,0xbd760071,0x54ac0024,0x47a2002b}},	//   _процессе_, _پررنگ_, _চুক্তিৰ_, _ওয়ালা_, 
   {{0xe290002f,0xb8580045,0x3c0803e2,0x4f2c01b0}},	//   _aymara_, _наставље, _longueir, _beresihn, 
   {{0xf2260180,0x4fe802bb,0x4d3900d1,0x02b40192}},	//   _diskit_, _सौहार्द_, _নিবাৰণৰ_, _verdrag_, 
   {{0x92010066,0xdb71014e,0xe3f70497,0x598a00e4}},	//   _iraila_, _zemljotr, _brazing_, _नेत्रहीन_, 
   {{0x92910292,0xc8c900e6,0x6b0903b2,0x88fc04df}},	//   _asram_, _中国保护知识产权, _campsite, _belasynd, 
   {{0xb56d0057,0x5200016e,0x66c201e5,0x6c320312}},	//   _ዮኒቨርሲቲ_, _ismini_, _ibanisọ̀, _barroù_, 
   {{0x427e00e4,0x425a0036,0x62c5000d,0x00000000}},	// [9910] _opinii_, _insteall, _kallale_, --, 
   {{0x326c04bb,0x4e380154,0x16b90065,0x56b702f0}},	//   _plhom_, _ментеле_, _organisi, _ingesulw, 
   {{0xc2a700bd,0x701c0540,0x8bd900e6,0x0a730320}},	//   _babbin_, _tilverun, _不构成犯罪的_, _jajameta_, 
   {{0x82d8008e,0xc5400242,0x289e00b3,0xccf00052}},	//   _buleen_, _assimily, _bireýýäm_, _मालकोट_, 
   {{0x24d7002c,0x00000000,0x00000000,0x00000000}},	//   _тайтгару, --, --, --, 
   {{0x0195003a,0x11690013,0xbf48034c,0xf88900be}},	//   _ўтунбаев, _мазмуниг, _cepselle_, _وورۇعان_, 
   {{0x47a70222,0x1e530455,0xa28a0417,0x295302f3}},	//   _partenai, _inscrire_, _praktyk_, _lanserar_, 
   {{0xdb6800d6,0x2201011d,0x92d80499,0xb3ea040f}},	//   _alquseya_, _braila_, _lakena_, _tilto_, 
   {{0x724a02ca,0xc26c0172,0x4586042c,0x13ea00a1}},	//   _chumas_, _hohom_, _teorijsk, _kaitā_, 
   {{0xd3ea00d2,0xbc710287,0xbe14004a,0x5e3d00dc}},	//   _taktak_, _फिक्कल_, _регионын, _matapeap, 
   {{0x15a7003f,0x257e03e2,0x575f0025,0x441600ff}},	//   _bingaghh, _exclusió, _वार्ताः_, _װישװאַנא, 
   {{0x4e7603cc,0x25bd018f,0xd2a70067,0x729101b5}},	//   _ময়মনসিং, _dapabtah, _cabbin_, _liyani_, 
   {{0xf60400e4,0xf3270203,0x00000000,0x00000000}},	//   _promieni, _mancant_, --, --, 
   {{0x9d990404,0x09d90037,0xa30b038b,0xd29005b3}},	//   _toropofa, _ሕዝቡንም_, _membaik_, _skaal_, 
   {{0xfc6702eb,0x2305002f,0x0f6401b2,0xf979022b}},	//   _алдаршса, _ampatam_, _shearlin, _meinighe, 
   {{0x31eb0486,0x3d9b0318,0x9e440297,0xadbf02e4}},	//   _सूचनापाट, _alangava, _dölfät_, _immarkat_, 
   {{0x63f80130,0x32de00ec,0x29c1036e,0x9bba01b3}},	// [9920] _dreuz_, _праверце_, _bibliaqa_, _проектни, 
   {{0x39770023,0xd32102ff,0x62cb0083,0x0e4c036e}},	//   _заявку_, _abdyas_, _viadis_, _bilakuna, 
   {{0x840e00dd,0x3f150022,0xf8cc0010,0x872901f3}},	//   _aberafan_, _hlodisan, _ikhendid, _nesledov, 
   {{0xc5eb0148,0x1fe90459,0xaebc0047,0x47b5018f}},	//   _國家通訊傳播委員, _चकनाचूर_, _actuelle_, _chotrupw, 
   {{0x72630234,0xdba700d7,0x0ca6034e,0x2be0016a}},	//   _alubàtá_, _bookstar, _budismuq, _akompano_, 
   {{0xf68204d6,0xbc2b026f,0xe6c9035d,0x67b701b7}},	//   _जंजाल_, _ارەدىك_, _lokalnom_, _apekṣāyā, 
   {{0xb27e0101,0x321c02bc,0x32e90082,0xed12019b}},	//   _avand_, _rithor_, _hadisin_, _добрай_, 
   {{0xbc4d01b2,0x679d00be,0xf27f0534,0x220f0339}},	//   _brevity_, _اتاتۉرك_, _cienco_, _āina_, 
   {{0xfcbd0156,0x3ec80060,0xe2b50461,0x726e01ef}},	//   _מילין_, _дейсіз_, _atacas_, _berods_, 
   {{0x5d620163,0xac1b007d,0xf2b9003f,0x1b6104e5}},	//   _ندامت_, _dilancar, _chadich_, _ayoleker, 
   {{0xe26c04cc,0x0c550499,0x74fe00e4,0xb3210141}},	//   _lohok_, _eletise_, _अनुभूतिय, _daryo_, 
   {{0x1765001b,0xeb5b003f,0x886f00ff,0xd01a0538}},	//   _xiyyeeff, _chammeyc, _מלחמהדיק, _litterær_, 
   {{0xcba701c6,0xe3840125,0x26f7014a,0xac680277}},	//   _blokkear, _görmedik_, _testépít, _istrian_, 
   {{0xa20003eb,0x22e90084,0x22910087,0x65980331}},	//   _geniet_, _hadirin_, _giyani_, _munninum_, 
   {{0x7a4902fb,0x2a01004d,0xe29002c2,0xd9630376}},	//   _engeenga_, _戶籍登記須知_, _skaam_, _barnabat, 
   {{0x53400415,0x1ab30193,0x9a4e0255,0x6c610067}},	//   _gelesen_, _मुसलमाना, _kummitus, _gutumaa_, 
   {{0xb22600ff,0x499000a6,0xf2be0045,0x8e1c0127}},	// [9930] _diskut_, _abakwixe, _приватне_, _dileuria, 
   {{0xd3ea000d,0x79c201fc,0x226e02bb,0xdc0a0155}},	//   _pilte_, _qusmaana_, _strone_, _slappna_, 
   {{0xf418000a,0x3e7901db,0x82120172,0x0237012c}},	//   _maannakk, _ارەنادا_, _wunhu_, _mandhari_, 
   {{0x3d1a01cf,0x231c01e0,0xb85b020f,0x16c302ba}},	//   _inundate_, _سیامه_, _akangevu, _abasebuh, 
   {{0x02ee0453,0x1c270148,0xc52b0041,0x3eae00d9}},	//   _stolarij, _socaleur, _ҳәадлоуш, _listalle_, 
   {{0x528d016d,0x9b00002b,0x83a20442,0x09520192}},	//   _ﺗﯜﺭﻛﯩﺴﺘﺎ, _দিয়েন_, _limpah_, _misleide, 
   {{0x6280003a,0x95a20112,0xf2c5023a,0x56f1001a}},	//   _erishish_, _persengk, _prelome_, _protestá, 
   {{0xc27e03fd,0x437a0067,0xf2590158,0xe7420213}},	//   _avane_, _bitatan_, _हैमिल्टन_, _ансамблĕ, 
   {{0x42ca013e,0x91aa0246,0x1c340156,0x1c620059}},	//   _nigde_, _самолетн, _שאָקלען_, _vetrine_, 
   {{0x43eb0074,0x4ecd01b8,0x25990148,0xfc450044}},	//   _totta_, _komisjon, _第一季工作報告_, _comparis, 
   {{0x7c510053,0x0c6100c1,0x0e39001c,0x0ea70262}},	//   _व्हेज_, _dudukan_, _hinalara, _barlanan, 
   {{0x8db9029b,0x124a0242,0x12910251,0x00000000}},	//   _biralaat_, _barmek_, _abaari_, --, 
   {{0x9c0c0192,0x09ca00c5,0xac040265,0xa9c60022}},	//   _무이자할부_, _国家环境保护总局_, _profielc, _dipesent, 
   {{0xce730193,0xc200000d,0x11c70009,0xb28702fe}},	//   _रोल्स_, _senise_, _nastanek_, _افعان_, 
   {{0x92260456,0x12d800fb,0x926d03d4,0xff620156}},	//   _biskut_, _fakela_, _lepog_, _פֿיזיש_, 
   {{0x8d8b0197,0x67c100cf,0xead002ff,0xa2a600bd}},	//   _sikonsta, _ayirishi, _bwamitan_, _dooble_, 
   {{0x2347023d,0x0de10192,0xbb7e02c3,0xc8b80347}},	// [9940] _allerta_, _서비스입니다_, _rovnomer, _hartaanv, 
   {{0x0d810157,0x3c160252,0xb48700e4,0x223004d2}},	//   _श्रोताओं_, _phurofes, _पटवारी_, _tarjei_, 
   {{0x7bb500e4,0x62d804bd,0x563a0133,0x6ac2014a}},	//   _मूर्तियो, _kakela_, _dhunachi, _spontán_, 
   {{0xc7a70047,0xb70f00d1,0x2ca4017a,0x206f0452}},	//   _jardinag, _গোটটোৱে_, _бустун_, _खराखुरा_, 
   {{0x0319012c,0x85a90701,0x912d017a,0x1f3602e0}},	//   _ميلاپ_, _khuskhak, _байти_, _disuruna, 
   {{0x8305009a,0x22a00046,0xc7ee01db,0x67e00153}},	//   _اورال_, _carbó_, _وكىنەرلى, _おかあさんのごは, 
   {{0x7321033c,0x029002fb,0xc3ac017e,0xc2b5010d}},	//   _caryl_, _ekiai_, _grupaj_, _ngacir_, 
   {{0xe200026c,0xe7db01da,0xc386034b,0xb7240156}},	//   _venire_, _financav, _storem_, _ברעזהנעו, 
   {{0x98d40308,0x7bfb000c,0x623403b4,0x514f0046}},	//   _kekurang, _акузар_, _atumise_, _castafio, 
   {{0x9379002c,0x72910342,0x59e001e9,0x02900318}},	//   _dezaten_, _miyami_, _bopolola_, _ikaai_, 
   {{0x04c00696,0xd2d801f0,0x7f1700d7,0x030e0272}},	//   _públicos_, _bakela_, _baithaop, _akabina_, 
   {{0x51400149,0x00000000,0x00000000,0x00000000}},	//   _eletrịkị_, --, --, --, 
   {{0x69730024,0x160100db,0x826c00fe,0x557400e0}},	//   _মানুহগৰা, _कायदन_, _hohoi_, _eastersk, 
   {{0x43ea038a,0xa3780108,0xd2e90278,0x09f602fe}},	//   _kilta_, _kalayan_, _ertinya_, _موزیم_, 
   {{0xed1c0343,0x53a20114,0x901c03d1,0x081f026f}},	//   _follicle_, _comply_, _poligrāf, _قولقاسى_, 
   {{0xc37801b0,0x386700ee,0x2f700092,0x00000000}},	//   _malayan_, _aplikatu, _ブリスベン暮らし_, --, 
   {{0xd30c0107,0x332100ce,0xb0cb0479,0x0c78026f}},	// [9950] _pemanis_, _varye_, _bőrgyógy, _حارەكەتى, 
   {{0x9bda03c4,0x2c140396,0x694f0064,0x59fa0053}},	//   _комитети_, _flessibb, _قويموعو_, _dipidana_, 
   {{0x64d90147,0xfb670013,0xe610029c,0x3ea500e2}},	//   _ارقلۇۇ_, _سینماسی_, _analandi, _eigeners_, 
   {{0xa2d400c9,0x4edb015e,0xd2d801fe,0x00000000}},	//   _tailieu_, _digitals_, _lakeba_, --, 
   {{0xe7a5022e,0x34b4007e,0x31e0005a,0x32910107}},	//   _aspettav, _abhautik, _chonnaqm, _riyadi_, 
   {{0xa96803b2,0x82190046,0x137801ad,0x65c400a6}},	//   _estimate, _дарыясын, _balayan_, _isiphelo_, 
   {{0x59d700e6,0x97aa0037,0x90570410,0xc291005b}},	//   _définiti, _ሽንኩርት_, _seisiman, _miyabi_, 
   {{0x0373003b,0x34fb0012,0x18d40115,0xc3ea017f}},	//   _bemasoe_, _झरनामन_, _sekurang, _dilta_, 
   {{0xf2e8015b,0xa2970308,0xdebc0333,0x5295030d}},	//   _komisen_, _dijatuhi_, _alburame_, _deaktiv_, 
   {{0x92e90006,0x03950203,0x024b027b,0x52b9027b}},	//   _artinya_, _elasti_, _गृहेषु_, _एकोनपञ्च, 
   {{0x6b7c03b7,0x75a2050b,0x13020645,0x6fc301a1}},	//   _uncorrec, _bersangk, _klubove_, _schilder_, 
   {{0xea7f030f,0xad4a00bc,0x52ef0048,0x55d9005e}},	//   _purapura_, _اسانس_, _baligwa_, _تېڭشۈن_, 
   {{0xd3a601c2,0x226c0006,0xb26c048b,0xbd4a02ef}},	//   _máxima_, _mohon_, _sohoa_, _babankou_, 
   {{0x394901db,0x8378030d,0x298d002e,0x64340022}},	//   _таратылы, _yalayan_, _obećali_, _katamelo_, 
   {{0x7c0b03db,0x33780113,0x74650035,0xb2e9019b}},	//   _amalungu_, _cumainn_, _аңлату_, _patiria_, 
   {{0x96ee0188,0x986d0279,0x26530081,0x83f2021e}},	//   _тасодуфӣ_, _vainqueu, _bankarei, _citering_, 
   {{0x126e02a3,0x9507019a,0x6b7d0334,0x00000000}},	// [9960] _strome_, _hymenial_, _kooneker, --, 
   {{0xfd8a00b3,0x4cc80037,0x7db800a5,0x13f20061}},	//   _яраларын, _ከታቀደው_, _nogatupe_, _제로마니아_, 
   {{0xfdbb01c2,0xf57e0222,0xb3f804c9,0xbafd03e0}},	//   _paleolít, _qualifié, _guiuan_, _bedrohle, 
   {{0xf26c03f2,0x8d21014a,0xfec20188,0x492c00f5}},	//   _johon_, _tekintve_, _abanesan, _әсгерилм, 
   {{0x227f04f0,0x720004c5,0xec6703d5,0x1291028d}},	//   _phenyo_, _laliny_, _slither_, _kuraz_, 
   {{0x7f100094,0xc395000d,0x913200f4,0xe36d01c7}},	//   _ءبىرىنىڭ_, _alasti_, _analizañ_, _bergisi_, 
   {{0x8d3d0398,0xf63c02db,0xc2da012c,0x8c4a0128}},	//   _заттарын_, _longtaim_, _luteni_, _грузияли, 
   {{0x326c00ea,0xa7250478,0x563e027c,0xf286004d}},	//   _nohon_, _utilizav, _avelisiw, _應認定為工傷_, 
   {{0x1395024e,0xd2cf05bd,0xd6930133,0x00000000}},	//   _vlasti_, _åkomme_, _geetaach, --, 
   {{0xf71c014a,0x03eb0220,0x46b60291,0xd20100e4}},	//   _sportolá, _rotto_, _باسوورد_, _kraina_, 
   {{0xafa6054e,0x4c680125,0x436c0082,0x81f300bb}},	//   _piomatlo, _билдирйә, _gangami_, _المکرم_, 
   {{0x062d0352,0xb212026f,0xda700099,0x928d02be}},	//   _আলোকপাত_, _ءﯨﻠﯩﻨﯟ_, _achapiwa_, _barkada_, 
   {{0x79320126,0x76d20318,0xbec7006c,0xa3d4020a}},	//   _редакціє, _makataki, _angingen, _штатында, 
   {{0xc2da0278,0x539507e4,0x2291036e,0x32fc0007}},	//   _isteri_, _klassi_, _muray_, _songé_, 
   {{0x2302005a,0x626100f1,0x417b0344,0xfbfc023c}},	//   _bidachu_, _lotonomi_, _allalaal, _مدحیې_, 
   {{0xbaee03dd,0x22f2013c,0x00000000,0x00000000}},	//   _rendesis, _seyidov_, --, --, 
   {{0x30d403bf,0x67da0381,0x02320408,0xfd230073}},	// [9970] _baqobell, _aduatesg, _akamako_, _veniente_, 
   {{0x42d80244,0x7a090405,0xd200042d,0xf9d80452}},	//   _bakeca_, _налаштов, _baliny_, _शेजवलकर_, 
   {{0x62910130,0x2b700183,0x3bde002f,0x00000000}},	//   _auray_, _nitranga_, _bendecir, --, 
   {{0xa4e20024,0xe378044f,0xbe960071,0x759a0195}},	//   _ফুটাই_, _jalanan_, _فرغون_, _cungaidh, 
   {{0xf36d0262,0xe7a9001a,0xb2ce04ca,0xe17d049e}},	//   _sergisi_, _مقبرے_, _aramotz_, _pesnicky_, 
   {{0xcb61002a,0x10b6027b,0x7a220089,0x8c5d00a4}},	//   _amaliter, _ध्रुवं_, _авторның_, _lectual_, 
   {{0x565402a0,0x378a0162,0xf2ca0039,0xeb230122}},	//   _ayanilow, _назарити, _handiz_, _ambangun_, 
   {{0x318901ea,0xb29101c5,0x8379015a,0x1b70036c}},	//   _خوشبین_, _furay_, _abdatan_, _mitranga_, 
   {{0x03790125,0x32d90066,0x35540206,0xf34002b9}},	//   _gadagan_, _uzten_, _presadiť_, _melegen_, 
   {{0x626c00b1,0x1291034c,0x132100f9,0xc3d10234}},	//   _mlhos_, _niyaz_, _harya_, _fáwon_, 
   {{0x2c9e018a,0x1189002b,0xe2e8002f,0x5c56007b}},	//   _ngogledd_, _মূলনীতি_, _ashinan_, _brattle_, 
   {{0x120003d9,0x0c000287,0xa3ea03d1,0x36270033}},	//   _valiny_, _opustit_, _miltu_, _alloschi, 
   {{0x4bf3005d,0xccdb004d,0xca8504a4,0x00000000}},	//   _colegiac, _內政部營建署雪霸, _pannalan_, --, 
   {{0xe3410005,0x98b700d7,0x11c30267,0x00000000}},	//   _petenta_, _приздар_, _nestanak_, --, 
   {{0x3c030178,0x6f5503bf,0x926c0204,0xf97402ff}},	//   _acyutā_, _станокта, _tohon_, _karibeye, 
   {{0xe27f0099,0x3c1d03a0,0x48ce0373,0xea4502c0}},	//   _nhengo_, _bakantor, _videolud, _слабост_, 
   {{0x12570135,0xdc160287,0x199c0188,0x634000d5}},	// [9980] _cälil_, _obrazovc, _amakhame, _delegen_, 
   {{0xcc010347,0xbea20127,0x00cf021e,0x00000000}},	//   _venster_, _aerlinen, _sporthoj_, --, 
   {{0x23e601ec,0x13550108,0xfeb80108,0x02b4000e}},	//   _فانتزی_, _ditebus_, _barobahn, _stocc_, 
   {{0x4291024f,0x0ee8010f,0xbc7d01f9,0x51ac030d}},	//   _aiyaz_, _сарпарас, _ayisiwo_, _aslanlın, 
   {{0x59df02af,0x32e60288,0x1d9b0178,0x822600db}},	//   _duuuuuuu, _donnern_, _anantava, _miskit_, 
   {{0x7e0300a4,0x1eee0483,0x433500e6,0xd4b90109}},	//   _чемпионд, _extraída_, _fiscaux_, _बिशेषता_, 
   {{0xd37f0205,0x46ca0067,0x1a7d032c,0x9a4a00e6}},	//   _سوالرگه_, _anbaaqom_, _allatara_, _每个人视为经典的, 
   {{0xda570205,0x945602cb,0x3e3301ef,0x0c2702af}},	//   _чинакам_, _pravilan_, _rengiama, _kirangur, 
   {{0x31b7015e,0x21730032,0xd1c501c5,0x00000000}},	//   _байсалду, _sachergh_, _baddaley_, --, 
   {{0xbbe30137,0x52ff03c6,0x00000000,0x00000000}},	//   _голлон_, _effektyf_, --, --, 
   {{0x79da0108,0xb26e0430,0xe8e100a3,0x1a9d0160}},	//   _sedengke, _murole_, _liggjand, _higijens, 
   {{0x3147010f,0x934003f3,0xbe950130,0x62000013}},	//   _заминаи_, _gelegen_, _adembann, _nalish_, 
   {{0x2e6300a6,0x00000000,0x00000000,0x00000000}},	//   _محمدګل_, --, --, --, 
   {{0xf2910120,0x72ca0158,0xeae301f9,0x00000000}},	//   _miyay_, _miodu_, _kokuphat, --, 
   {{0x526e013f,0x0e0b015e,0x72d80340,0xa3e50147}},	//   _ferons_, _aliments_, _pakeha_, _ئچىىندەك, 
   {{0x00000000,0x00000000,0x00000000,0x00000000}},	//   --, --, --, --, 
   {{0x63400263,0x5a460103,0x22c90059,0xde500119}},	// [9990] _geleden_, _aiterera_, _imposte_, _makahima, 
   {{0x73ea0309,0x72ca00f2,0x83f80099,0x00000000}},	//   _faktik_, _saldā_, _hahuna_, --, 
   {{0x4341020a,0x72250145,0x0ec1005e,0x02da013f}},	//   _اننان_, _perka_, _ﺑﯩﻤﺎﺭﻟﯩﺮ, _beteeg_, 
   {{0xc9710205,0x33ea0257,0x42910062,0x72900067}},	//   _استقامتگ, _viltu_, _biyay_, _ahaaz_, 
   {{0xd3ce061f,0xf4a700b5,0x3302004f,0xc2910062}},	//   _udova_, _angateek, _bagaasu_, _jiyay_, 
   {{0xb2da009d,0x32ca0494,0x13ea00f2,0x092801f2}},	//   _lutemi_, _pokloni_, _tiltu_, _пирқә_, 
   {{0xe49a017a,0x425500d1,0x86180185,0x40140060}},	//   _гайнутди, _ডাক্তৰ_, _алынучыл, _كىندىكتى, 
   {{0xa37802a2,0xe4680147,0xc37a0277,0xd289017e}},	//   _halalan_, _تىقچىڭدا, _gitagan_, _punktoj_, 
   {{0xfc2602d3,0xb2f00243,0xe2ca0289,0x950c0140}},	//   _avançada_, _batilih_, _chilisi_, _demolisy, 
   {{0x33790403,0x727e01eb,0x3c4304ca,0x929001ab}},	//   _milalao_, _avano_, _geocentr, _laiali_, 
   {{0xa99d029a,0xf65502e8,0x23ea00b3,0x98d3016f}},	//   _alakrana_, _akakumbi, _artygyň_, _погане_, 
   {{0x037802be,0x7c7c06cc,0x30b80092,0x947103ac}},	//   _malaman_, _रसगुल्ले_, _これからも_, _dentuman_, 
   {{0x6c7004ad,0x3291028d,0x8d50003e,0xb79300e6}},	//   _aitsane_, _piyaz_, _акттарға_, _胶南市财政局_, 
   {{0x4f7f028a,0xbeb901db,0x69480075,0x425a0021}},	//   _مسيحين_, _поэзиясы_, _kollvelt, _agolay_, 
   {{0x21730074,0x4c0001e6,0x1c060222,0x49940116}},	//   _приходят_, _spustit_, _avertiss, _halkerst, 
   {{0xb2ca0430,0x87b301b9,0x038702ec,0x211d0311}},	//   _philisi_, _linstiti, _horseedi_, _ዘይግብኦም_, 
   {{0x429000d2,0xb6da001e,0x8eac0338,0x83ea0482}},	// [99a0] _kujang_, _aiwatarw, _amboinen, _waktik_, 
   {{0xe5dc023c,0x20ae0040,0x0c610257,0x4f3b00a2}},	//   _ويتنام_, _פוקימון_, _pistlar_, _ningepen, 
   {{0xf2720362,0xa3000176,0x931f06c6,0x2225000d}},	//   _afungoli_, _tadashi_, _buscado_, _merko_, 
   {{0x0df00213,0x00000000,0x00000000,0x00000000}},	//   _искусно_, --, --, --, 
   {{0x375e018d,0xd9bf0169,0xb2e20024,0x96070255}},	//   _ኣማራጽታት_, _স্মৃতিচা, _আত্মৰক্ষ, _चांदो_, 
   {{0x63f903e6,0x2de90076,0xc413015e,0xa2ef0217}},	//   _trauen_, _раскажув, _تاپدى_, _tuffet_, 
   {{0x02490350,0x43f800a1,0xe3000255,0x85f30076}},	//   _rasmi_, _tahuna_, _kenasti_, _почести_, 
   {{0xe26c04f2,0x7d260040,0x1379006a,0x81730062}},	//   _sohot_, _לסמסונג_, _kilalao_, _machargh_, 
   {{0x626c04b8,0x022501f1,0x0f70005a,0xb3f803e1}},	//   _mohor_, _kerko_, _dilajnis_, _bomuld_, 
   {{0x1e380227,0x00000000,0x00000000,0x00000000}},	//   _rangkaia, --, --, --, 
   {{0xea9201e1,0x35d800c4,0xa2fd00ea,0xf1fd00ea}},	//   _ananaias, _سڀڪنهن_, _ainaheri_, _ainahery_, 
   {{0x82e9030f,0x47b30144,0x184a016d,0x23f401b9}},	//   _kotinga_, _hinstiti, _нивазишл, _mistek_, 
   {{0x941f01ef,0x72d902d4,0xbeb30060,0x13f40009}},	//   _susituok, _vigeli_, _تىلدەردى, _listek_, 
   {{0x8c660034,0xbdbc0127,0xc581014f,0x0efd00f7}},	//   _samtals_, _adlañset_, _стамбене_, _agrablaĵ, 
   {{0xc0530276,0x5ee30024,0xd2d40116,0x02d5012e}},	//   _беривати, _এতিয়ালৈ, _larder_, _nemlát_, 
   {{0x02d40359,0x30ff0177,0xff3c02d7,0x00000000}},	//   _oarder_, _занҭариа_, _apagamen, --, 
   {{0xc3780058,0x93f80544,0xa9d30326,0x00000000}},	// [99b0] _dalaban_, _kahula_, _angosiya_, --, 
   {{0x284601db,0x02d901d7,0x00000000,0x00000000}},	//   _اۋداننىڭ_, _aspet_, --, --, 
   {{0xd05302da,0xf2910499,0x737202a2,0xa7210299}},	//   _молиме_, _faaali_, _matatag_, _мәжнун_, 
   {{0x22cd0478,0x6201034a,0xd9d6027b,0x59190229}},	//   _guilhem_, _refire_, _महीपते_, _burcanad, 
   {{0x0aff03a7,0x32d90230,0xb208003e,0xd7470388}},	//   _nepríjem, _espes_, _портниха_, _ragionev, 
   {{0x924b01b7,0xffd5006e,0x29fd02e4,0x295c01d2}},	//   _कैकेयी_, _daaneelo, _attakkat, _changedt, 
   {{0xb3eb0005,0x927e019d,0x29ee0187,0xf9e40568}},	//   _cotti_, _mwina_, _директни_, _samordna_, 
   {{0xcec202f3,0x2956009a,0x72d40116,0x3ddc02f7}},	//   _eveneman, _مداخلې_, _farder_, _lookwane_, 
   {{0xc26800dd,0xb04a047d,0x67b90176,0x72ba039f}},	//   _blancedi_, _averstan, _ankorock_, _adhered_, 
   {{0xe4da01b3,0x390a00c8,0x09fc015c,0xa3fa010b}},	//   _можна_, _урмансыл, _investéi, _dipula_, 
   {{0xc7460276,0xb2250261,0x92d401b6,0xd9df0047}},	//   _алмаштур, _verko_, _harder_, _renforce, 
   {{0xd27e064d,0x9e1401b8,0x42500163,0x3290040e}},	//   _awina_, _videokaa, _félig_, _skaar_, 
   {{0xb3eb004f,0x92f4016e,0xb19102ac,0x26d0012c}},	//   _sotti_, _indirim_, _الغدير_, _wawakili, 
   {{0x2946022a,0x00000000,0x00000000,0x00000000}},	//   _hillgent, --, --, --, 
   {{0xfdb3030c,0x3bf70046,0xdc260132,0x0f3901f4}},	//   _annigiya, _киреше_, _سکالر_, _аралашга, 
   {{0x4364052c,0x127e068f,0xe6c8009a,0xe28b0075}},	//   _سودمه_, _ewina_, _amasiray, _almannam, 
   {{0xa2000199,0xf34803f3,0xe4b20059,0xaf8d0287}},	// [99c0] _uzmix_, _allebei_, _finalizz, _थरीका_, 
   {{0x612f05d5,0x27f4032a,0x9d09014c,0x427e018d}},	//   _majorité_, _allaffig, _ngalinye_, _ሰዓብቶምን_, 
   {{0xf2bb0209,0x515c00c7,0xa395003a,0xa66f0139}},	//   _agnethe_, _курай_, _emasmi_, _न्याय्यम, 
   {{0xf9620478,0x4fbb002b,0xd1970161,0xa8f9013b}},	//   _umanitat, _অপপ্রচার_, _паролем_, _mapamatu, 
   {{0x5cae012c,0xd95a04ad,0x6db5000d,0xba720156}},	//   _الوطنيءَ_, _dikomput, _prantsla, _דעסטינאַ, 
   {{0xf4d7020a,0x38d000c1,0x488500cd,0x00000000}},	//   _табатын_, _रानटी_, _assistiu, --, 
   {{0xc3400003,0x3f3e0035,0x9ee70064,0x80e2005e}},	//   _gelezen_, _şäxes_, _берлинде_, _ۋەجىدىن_, 
   {{0xf4930169,0x306001ab,0x78520025,0xaed902c3}},	//   _কিন্ত্ত_, _केइसन_, _पुस्तकम्_, _nachladn, 
   {{0xa44002fe,0xb3ff0342,0x87bb0191,0xbd900277}},	//   _الحرمین_, _okazyon_, _begravni, _giulanga, 
   {{0xd3770354,0x52f4013c,0x8ef700d9,0x77740265}},	//   _بىدار_, _endirim_, _фразам_, _bakkerij_, 
   {{0xe42901cd,0x13690398,0x9f630080,0xefa50259}},	//   _лозиманд_, _plagues_, _betaenkn, _boulahro, 
   {{0x519800ff,0x22f00028,0x2fd80038,0x420100df}},	//   _אײגענע_, _aalihii_, _baçman_, _devint_, 
   {{0xf5e10338,0x00000000,0x00000000,0x00000000}},	//   _récifal_, --, --, --, 
   {{0xa16f03f2,0x597a01cc,0xce9501ff,0xade50137}},	//   _nimellä_, _antikast, _odštarto, _яльгүй_, 
   {{0xc30c0013,0x1e610212,0xbf870585,0x021202fb}},	//   _نمایان_, _seacrest_, _mašine_, _efihia_, 
   {{0xeb4702f3,0xbed3042c,0x02d602a4,0x99820282}},	//   _eleverna_, _značenja_, _negotio_, _pāhoroti, 
   {{0x88530148,0x59f00022,0x7bc70066,0x12250024}},	// [99d0] _hijacker_, _ananeloa_, _хэлцгээе_, _verke_, 
   {{0x222503eb,0x574400be,0x13e50229,0x00000000}},	//   _werke_, _مۉشكۉلدۅ, _fəthi_, --, 
   {{0x8f6701f4,0x6e010155,0xa7a700a0,0x87b5023e}},	//   _даргоҳ_, _generera, _bindigog, _beberang, 
   {{0xa3860040,0xc20e0159,0x31d10291,0x834f0143}},	//   _scary_, _багач_, _أخطأت_, _aumenti_, 
   {{0x00b900da,0x49f700ab,0x2dad009a,0x71aa0153}},	//   _романицэ_, _komuhumu, _باغچې_, _妊娠中のおりもの_, 
   {{0xc3ea0077,0x33000573,0x72180089,0xd32a02d8}},	//   _kilti_, _calayhi_, _aradaşçı_, _konvensi_, 
   {{0x63ce000e,0xf0e7025c,0x6ea40060,0x2dc2000a}},	//   _arivat_, _unmittel, _بورىش_, _assipaja, 
   {{0xe3ea0611,0xbc5e041b,0xd0c1009a,0x727a05b3}},	//   _milti_, _festval_, _abalasel, _pleidooi_, 
   {{0xe41a02a2,0x5a61003c,0x8f3d01a3,0x00000000}},	//   _ipinakik, _قیطریه_, _ڄامڙو_, --, 
   {{0xe30d0231,0x30820040,0xe12f0203,0x422e00a1}},	//   _vivamus_, _פחמימות_, _majoritá_, _kāmata_, 
   {{0xa38b001c,0x8a5200ac,0xb95f0150,0xfc620178}},	//   _fürth_, _kiselina_, _oganaese, _astuvan_, 
   {{0x8394019b,0x9348022d,0xa3720358,0xe2d804e5}},	//   _pulsas_, _poletti_, _galarad_, _bakema_, 
   {{0x963702d5,0x379f0220,0x627e0347,0xfd020309}},	//   _politsei, _vantaggi, _dwing_, _brilyant_, 
   {{0x5b030321,0x693201d5,0xd7b700b4,0x7dd501f9}},	//   _priprava_, _رنبیر_, _латине_, _asakhuba, 
   {{0x7e4d0044,0x89f50223,0x127e0044,0x391d014a}},	//   _composed_, _мухарт_, _owing_, _diktatúr, 
   {{0x76560040,0xec4000f6,0x5e4e0040,0x5bca0291}},	//   _אבוקדו_, _musiqilə, _אודליה_, _يفعلون_, 
   {{0xf378018e,0x904e0169,0x327e024c,0x534501c4}},	// [99e0] _ambamba_, _মনীষা_, _ovini_, _krediet_, 
   {{0xcddb0052,0x8213021c,0x037902a0,0x1b2d0095}},	//   _काश्मिरम, _tichá_, _ilaagun_, _antarbas, 
   {{0xbfe300da,0xe2da0059,0xd2da03ab,0x02ee006e}},	//   _фундация_, _ovunque_, _lasery_, _giifal_, 
   {{0x120b0425,0x764f0037,0x45110269,0x56dc0204}},	//   _حرارودی_, _ትግራይና_, _aburrido_, _globaali, 
   {{0x22b1016d,0x793c0177,0x83cf0008,0x6e330304}},	//   _көзники_, _дрықәӡбе, _gravat_, _cengkama, 
   {{0x8e5a00e6,0x2859000c,0x135803dd,0xd6440156}},	//   _宁波经济技术开发, _массатәи, _reagime_, _באָמבעס_, 
   {{0x31f200b1,0x884d00d9,0x127e02fd,0x4c670020}},	//   _luangnam, _определё, _dainig_, _paluina_, 
   {{0x927e0219,0x51630395,0x494a0220,0x296503a2}},	//   _evini_, _ubrousky_, _паметник, _असहनीय_, 
   {{0x5f5b03db,0xbbc90156,0x727e00ea,0x90f000d9}},	//   _inkampan, _לחכמי_, _ovana_, _kuvitell, 
   {{0xe5ac001d,0x73a30421,0xb2d80017,0x00000000}},	//   _leninism_, _epaper_, _nalevo_, --, 
   {{0xdcc20040,0xe20001b9,0x22f0032e,0x687e0126}},	//   _מחליפים_, _jenine_, _walikiw_, _прикмети_, 
   {{0xc10207e5,0xd20100ea,0xf957028d,0x0eb60040}},	//   _प्रश्_, _vadiny_, _introdir_, _מינרלים_, 
   {{0xb3a3046f,0xd2ef0047,0x4b610387,0x62ca014b}},	//   _ipaper_, _suffit_, _imaliter, _gandik_, 
   {{0xbd230538,0x526e0125,0x00000000,0x00000000}},	//   _katolske_, _awtora_, --, --, 
   {{0xb98b039d,0x4b8a0039,0x8b6601cf,0xd6b000c4}},	//   _elekanya_, _жонон_, _portarea_, _مشڪندي_, 
   {{0x9280000c,0x1c30002b,0xb5960193,0xc27e0476}},	//   _berklee_, _দেশগুলোত, _threadny, _evana_, 
   {{0x43cf0151,0x2ae5004b,0xce530054,0x037a00d5}},	// [99f0] _cravat_, _bosechab, _arfaksha, _antanan_, 
   {{0x7a980244,0x13950328,0x614701b2,0xa3fa00d1}},	//   _натиснет, _amashi_, _colliery_, _কাহিনীসম, 
   {{0xd2fd05bc,0xdad0031a,0xf27e031a,0xe62a0099}},	//   _riggar_, _laomainn_, _rainig_, _harisisi, 
   {{0x926c0486,0x32420406,0x23720022,0x937202e7}},	//   _mohou_, _पुतली_, _ballwang_, _halapad_, 
   {{0x9301023d,0x4c7d0428,0x77a60152,0x6bbd0052}},	//   _страната_, _prosimo_, _migratsi, _स्टेडियम, 
   {{0x828d0210,0x4f740027,0xf9f70041,0xbc7f031e}},	//   _aisatsam, _redakams_, _irünguér, _zimskom_, 
   {{0xf37f0210,0x56970029,0xa428005e,0x7435009f}},	//   _achadya_, _نازیدا_, _китаблар, _pojavijo_, 
   {{0xb7260348,0x69b40198,0x787202a0,0x00000000}},	//   _alumwang, _pravosod, _lapapọ_, --, 
   {{0x8380035a,0x77a80241,0x0e950276,0xf64701db}},	//   _terrie_, _bartonni, _туваниң_, _جۇعامىن_, 
   {{0x2f1a00c9,0x3c46002b,0xf2250120,0x5c740192}},	//   _vietnamp, _আবেগের_, _herka_, _fabriek_, 
   {{0xbdce0444,0xe2e50085,0x03790115,0x6e54010d}},	//   _живем_, _fainala_, _padanan_, _pegadaia, 
   {{0xe53f014a,0xc0be023b,0x02d80251,0xaa2401d2}},	//   _اسداللہ_, _elemakul, _kumeel_, _cumpachu, 
   {{0xa5a302b0,0x422503b0,0x4ea3038d,0x5bda0255}},	//   _versandk, _merka_, _debranse_, _पत्रिकन_, 
   {{0xdb050036,0xcc930088,0x887b007b,0xe4ed0187}},	//   _íosparta, _تانال_, _drappins_, _confusão_, 
   {{0x12390371,0xc317029e,0xf2010259,0x18da03db}},	//   _натоваре, _baradoz_, _bevise_, _engenaku, 
   {{0x12c50120,0x32b402bd,0x029001b0,0x7aff01dd}},	//   _agilibe_, _atoch_, _ajian_, _ayisenye, 
   {{0x814201c7,0xba1a026b,0xec630206,0x426c00a1}},	// [9a00] _отлар_, _descuent, _doprave_, _hohou_, 
   {{0x5266016d,0x956700d1,0x341703ae,0x42e7013a}},	//   _تۈگەپ_, _আকাশখন_, _innsiden_, _aneneen_, 
   {{0x65d50141,0x6b6102d5,0x14370085,0x9e580211}},	//   _murabbiy, _समानी_, _kawaboko_, _обеда_, 
   {{0x77d80147,0x66d201e8,0x15bf0311,0x00000000}},	//   _جوپتۇۇ_, _makasaki, _ንማዕከናት_, --, 
   {{0xf75802bb,0x4fe70053,0xcea10222,0x84080261}},	//   _दुष्यंत_, _बाहुल्या_, _regrette_, _alfortik, 
   {{0x6f2b0418,0xdb700092,0x2e9a00d1,0x00000000}},	//   _kontenja, _grillgur, _প্ৰজন্মক, --, 
   {{0x3ad603d8,0x625b01da,0x45a001b7,0x00000000}},	//   _pretplat, _gjalle_, _लिखतु_, --, 
   {{0x938703dd,0xac670258,0xf6cd0040,0xdb2300be}},	//   _librat_, _snitser_, _סילאן_, _دوستۇقتۇ, 
   {{0x13950286,0x90b5028c,0x7200000d,0xdbe00291}},	//   _adesoa_, _सतगुरु_, _senine_, _الكؤوس_, 
   {{0x125a0148,0xf2da0320,0x7f350278,0x42500128}},	//   _中國紅十字會_, _artemi_, _pensyara, _беҳаё_, 
   {{0xc6c90201,0xd8da03db,0x80b600bf,0x76b1020f}},	//   _assalaam_, _angenaku, _скоплени, _banezicw, 
   {{0x5afb0381,0x03530060,0x786f004d,0x027b024f}},	//   _etermine, _تۇرار_, _由縣級以上人民政, _tomitomi_, 
   {{0x7ef5045c,0x4d1b0037,0x61a90079,0xb4f6003c}},	//   _telefónn, _የካንሰር_, _personāl, _کولرگازی_, 
   {{0xf46f04be,0x542b00c4,0x91f600c7,0x22b40666}},	//   _adberbyo_, _ڳڙڪائي_, _berkemgä_, _otoci_, 
   {{0x139404bd,0x763e02d9,0x324501ac,0x12e403f5}},	//   _elisai_, _mulimuli, _fúmsa_, _pânico_, 
   {{0x68c0007e,0x6c9104c7,0xdd2c00da,0x00000000}},	//   _aditiruv, _утиче_, _fericite_, --, 
   {{0x8386030f,0x29c2038a,0xde640139,0x2c7002b6}},	// [9a10] _teira_, _bibliapa_, _badhnāti_, _жұпыны_, 
   {{0x8ef5045c,0x5ae603bf,0x0e3c034f,0x92cb0497}},	//   _telefóno, _akarelet, _پشمول_, _dowdy_, 
   {{0x96b0030c,0x13ce027f,0x3fbf04b4,0x53d20061}},	//   _nangmini, _aramutuk, _reagerer_, _대구식약청_, 
   {{0x861a0144,0xd2b30129,0x3edf0270,0xc0c600be}},	//   _ترانيم_, _obidoro_, _senioras_, _قىرقا_, 
   {{0xb39e0119,0xc7a6003c,0x00000000,0x00000000}},	//   _magpatam, _کدومشون_, --, --, 
   {{0x63f80294,0x68b901f4,0xa1b30144,0x05df027b}},	//   _achura_, _ундайди_, _حاضرة_, _उपदिश्यत, 
   {{0x442d0260,0x2f8102ea,0xb1050235,0x4e26036b}},	//   _árbitro_, _mercatin, _क्रमयोगे, _фиброза_, 
   {{0x82d402bc,0x22e90016,0x71590092,0xb53903dd}},	//   _mardor_, _antikva_, _好ましくは_, _fizikish, 
   {{0x55cd0025,0x137c0203,0xcb6d030b,0xf2640037}},	//   _दूरदर्शन, _cicatre_, _akituuma_, _babussal, 
   {{0xe2c504ab,0x8de901b6,0xde3e0019,0x73a70122}},	//   _primjer_, _elevated_, _баратсам_, _مجبوریم_, 
   {{0x8c5d04d8,0x00000000,0x00000000,0x00000000}},	//   _tirtiro_, --, --, --, 
   {{0xe3eb01ab,0xe202028d,0x529001e8,0xfb06006c}},	//   _mitte_, _nitish_, _abiabi_, _abasinda_, 
   {{0xd3eb0450,0x9c1d000e,0x6eb502f3,0x52250257}},	//   _litte_, _comprat_, _konstigt_, _verki_, 
   {{0x925b0125,0x963502e5,0x301900ec,0x8ea10315}},	//   _adalat_, _económik, _соўсь_, _emklamen, 
   {{0xd31600c2,0x87e000b9,0xd2000039,0x434f028d}},	//   _ameze_, _पॅटर्न_, _senide_, _remersi_, 
   {{0x627e017a,0x73860265,0x5d940497,0xfaf30092}},	//   _zwane_, _hanrel_, _alienist_, _sportsge, 
   {{0x4b0300f4,0xf94000dd,0x5da801c4,0x95330386}},	// [9a20] _bourevie, _chompost, _marienta, _sbenarny, 
   {{0xd61e00e4,0xadfe0403,0x55a30156,0xe99a002f}},	//   _परिणामों_, _tandrefa, _אריזאונע_, _chakwaka_, 
   {{0x727e0396,0xad8f0285,0xd9cd0381,0xb3eb0450}},	//   _lvant_, _dukeneye_, _anifeste, _jitte_, 
   {{0x825b03db,0x13020690,0x03a90303,0x8b9f03a2}},	//   _adalwe_, _menantu_, _bogareng_, _सतपुड़ा_, 
   {{0x2ab3030b,0x20a600c7,0x84ac02c3,0xd2cf0251}},	//   _abakeres, _алыштырг, _lokálne_, _hilowle_, 
   {{0x151e04c7,0xe2f30148,0xf3100195,0xe9ca023e}},	//   _zadržao_, _diligit_, _lauchie_, _پالايشگا, 
   {{0x137800fa,0x5c0d04e5,0x72ed013c,0x134a0374}},	//   _nalaman_, _adummimu_, _yetirib_, _бисмилло, 
   {{0x750a041a,0xf291046d,0xd05e002c,0x63ea007b}},	//   _програмн, _hayani_, _gainetik_, _kilts_, 
   {{0x6d0000d6,0xc9d7009a,0xee3a0344,0xff23000a}},	//   _éclairec_, _تابعيت_, _aperisaq, _bundgarn, 
   {{0xc3eb034c,0xe3780082,0x72590220,0xe1ce0311}},	//   _kitte_, _kalaman_, _scontati_, _ክምልሰልካ_, 
   {{0xb2d80203,0xd03700ba,0x22d60163,0x6e0102df}},	//   _valoros_, _ارێزگ_, _ezalatt_, _meneutra, 
   {{0x22b4011b,0xa386008d,0x62e80455,0x00000000}},	//   _kanisá_, _chirog_, _bouffe_, --, 
   {{0xf394018d,0x4615006c,0xd27900a6,0x00000000}},	//   _flisni_, _буриши_, _elisedol, --, 
   {{0x4632020e,0x21af03c4,0x4ddd0347,0xba8c00b3}},	//   _субсидия_, _ейтти_, _linkerka, _уставынд, 
   {{0x92d8007f,0x685f01db,0xbb0402ec,0x626d02b9}},	//   _arlein_, _ايىتساقت, _aragtaan_, _alpok_, 
   {{0x198202eb,0xcfa80382,0xac7400d6,0x35d50201}},	//   _контор_, _carmenlo, _pelukas_, _kuraabiy, 
   {{0x62e6011e,0x02d900b4,0x32e70269,0xbb850486}},	// [9a30] _amontan_, _accesa_, _sienten_, _varnsdor, 
   {{0xdc60015a,0xf22503b7,0x511604ca,0x02e70204}},	//   _akkuman_, _alakay_, _acamparà_, _pienten_, 
   {{0x03ea02a5,0xdfe30036,0xd0ae015e,0xa068018d}},	//   _filtr_, _ثابتة_, _урмат_, _ገንዘባውን_, 
   {{0x2d9600ee,0xf3ea03d1,0x7f38005b,0xd9ce03f3}},	//   _bakoitza, _tilts_, _bokukuma, _traditie, 
   {{0xe2d40205,0x50d30374,0x7f100083,0xbd060076}},	//   _sardor_, _tabarruk_, _chaminar_, _амбер_, 
   {{0xe4a80039,0xc3ce05f6,0x13ee01ff,0x00000000}},	//   _nazional_, _trivst_, _poznajú_, --, 
   {{0x622503f0,0x72010203,0x94090179,0xc433002b}},	//   _frekar_, _deviat_, _äprodons_, _তাবিজ_, 
   {{0x86890126,0x657a0153,0xadb500cb,0xf47001d3}},	//   _кадровик, _キャンセル_, _клубҳои_, _arbeteek, 
   {{0xe230002e,0xb5d502be,0x00000000,0x00000000}},	//   _svemira_, _atraksiy, --, --, 
   {{0xf2d40008,0xe2d8034b,0x59a801eb,0xe21c02e2}},	//   _tardor_, _memeim_, _ejujeyna_, _anthyr_, 
   {{0x7daf0197,0x2c6300e6,0xa12b018d,0x92130062}},	//   _ansiklop, _本办法自发布之日, _ንኽነብሩ_, _huvha_, 
   {{0x66b607d7,0x32d9038a,0x464c0374,0x71d00462}},	//   _krigsski, _eccera_, _бостириш, _eagerway_, 
   {{0x07d502b2,0x256f0163,0x7d860397,0xec090507}},	//   _тусовки_, _pillangó, _байтро_, _bergilir, 
   {{0x469d0177,0xedf600a9,0x99620013,0x00000000}},	//   _араса_, _banditse_, _пештахта, --, 
   {{0x859503c8,0x53f90129,0xd3f804bd,0x6f5e004d}},	//   _diperkay, _kruuz_, _nahuma_, _中文館首頁_, 
   {{0xdc680071,0xf205015d,0x684c0087,0x55800153}},	//   _سودمند_, _polityki_, _bhumabhu, _これを買った人は, 
   {{0x951c045b,0x72f50058,0x4938002b,0x5c5a02dd}},	// [9a40] _доступни, _bolitik_, _সংস্কারে, _ipoteki_, 
   {{0x627e05c2,0x997f00d3,0x3d9d000a,0x92010265}},	//   _nwana_, _majitele, _atulikka, _hevige_, 
   {{0x342104f0,0x37d50041,0x23e50101,0x827805af}},	//   _lekanego_, _хықкыс_, _bătut_, _talijani_, 
   {{0x22e90414,0x8c05009c,0x77e702d8,0x9c1e0274}},	//   _bolingo_, _adilantu_, _भरभरून_, _nánustu_, 
   {{0x954b0163,0x327e0054,0xa28d031a,0x1c060034}},	//   _könnyű_, _kwana_, _ceapaidh_, _sverriss, 
   {{0xfa4203b8,0x323000a9,0x5df60069,0x27ab02fe}},	//   _аталатын_, _kwemera_, _yanditse_, _پریشانه_, 
   {{0x071b023d,0x5e1801db,0xe2d4019a,0x9dbf033f}},	//   _спира_, _бөбек_, _floodin_, _muhumuhu_, 
   {{0xd1860169,0x1dc8028a,0x52d40279,0x00000000}},	//   _sospecho, _wachunga, _tarder_, --, 
   {{0xf101014e,0x205a04f9,0xb088049d,0xb2e302ac}},	//   _свете_, _missaann, _funciono, _ithreach_, 
   {{0x5bee01cd,0x08fd01e8,0xa5cf0153,0x84c500ec}},	//   _салом_, _detalyad, _このクチコミが役, _jurbarko_, 
   {{0xe38600ca,0x73b70023,0x6395005b,0x5a1500b4}},	//   _veire_, _противос, _seesaa_, _intarzie, 
   {{0xff3b02b5,0x927e0103,0xc25a0125,0x92e0024a}},	//   _cingsaen, _awana_, _edilse_, _atungun_, 
   {{0x4201003a,0x08e3027b,0xec710051,0x2ecb01e5}},	//   _badiiy_, _क्रूरकर्, _citronu_, _kaninkan, 
   {{0x12320108,0x1e8f0385,0x95750041,0x7c1a0092}},	//   _ngompol_, _slomljen, _рыцхантә, _sparekas, 
   {{0x80430169,0x1b130364,0xc27e03ad,0x38b1016e}},	//   _পালনকর্ত, _komplize, _dwana_, _noktalar_, 
   {{0xd7a8016d,0x1b1f0053,0x98d10109,0xc2cb0314}},	//   _ماگىستىر, _pajangan_, _सापटी_, _kokoana_, 
   {{0xebde0235,0xe27e0186,0x43780084,0x00000000}},	// [9a50] _atimāyo_, _fwana_, _calakan_, --, 
   {{0x224d05e5,0x52e90197,0x93470333,0xd4e601b7}},	//   _पुतला_, _grangou_, _indetta_, _anugṛhīt, 
   {{0x340802e2,0xd9c50073,0x16b8003a,0x6919028b}},	//   _exertion_, _arretrat, _harakati, _иинамада, 
   {{0x3c760009,0xfe4e0125,0xf9e8002b,0xd2f70370}},	//   _izbrati_, _халда_, _মাগুরায়_, _cimindi_, 
   {{0x01f900a7,0x81340035,0xc5100210,0xb3a2019c}},	//   _дармекте, _алыштык_, _chirindo_, _ranpe_, 
   {{0x2d8e0073,0xd22b0082,0xab0a007b,0x05330060}},	//   _incombra, _taimake_, _foisonle, _тырыстым_, 
   {{0x1ef800bc,0x4aa90092,0x6c3a02ea,0xcd2a0361}},	//   _خوردنی_, _最初のクチコミを, _заваръчн, _асхьабаш, 
   {{0x32020277,0x62b102cb,0xb3860255,0xdea40035}},	//   _pipila_, _brodova_, _seire_, _алырлар_, 
   {{0x6f840300,0xb3b1003f,0x4cbe0145,0x1d3b01a3}},	//   _záchrann, _chaqoq_, _намер_, _مرادون_, 
   {{0xfb7a02d7,0x5ecc01e0,0x231c00ef,0xa3f801ed}},	//   _presenza_, _ئینترنێت, _څیرمه_, _mahuka_, 
   {{0x1316049b,0x6fea0022,0x25110125,0xea02002b}},	//   _amezi_, _самородо, _azalypdy, _কিউবি_, 
   {{0xddff059e,0xc38002c2,0x1e9f0061,0x3c19036e}},	//   _ayidinga, _herrie_, _이루어졌다_, _chuphir_, 
   {{0xf9aa016d,0xbb350133,0xe45c00e6,0xf3800347}},	//   _нобил_, _batattis, _中创开元山庄社区, _kerrie_, 
   {{0xe9db01f7,0x227e02c6,0xedc7005b,0x159000d1}},	//   _istorica_, _avank_, _auでpc_, _স্তৱকত_, 
   {{0xb655019d,0x1d9c05eb,0xa610010e,0x13800192}},	//   _akakambi, _akwenele_, _biyetnam_, _merrie_, 
   {{0x63570402,0x3a8900ee,0xf2c203f1,0xc2eb0092}},	//   _ditegur_, _horietan_, _skalica_, _生活一覧へ_, 
   {{0x57020192,0x1d100486,0x8aea03b0,0xf395018b}},	// [9a60] _허브차입니다_, _žalobce_, _plutsele, _clasei_, 
   {{0x5986000e,0xbefc019e,0x14a404ec,0x853700b4}},	//   _cochecit, _чутка_, _arabiruk, _кредяу_, 
   {{0xe999004d,0xd665020f,0xb9e30060,0x9f530148}},	//   _近醫療機構_, _aprintiw, _қораға_, _vicarius_, 
   {{0x5860028e,0xfed3042c,0x5b0503bd,0xdf4601ac}},	//   _atanguru, _značenje_, _hangyuon_, _litrithe_, 
   {{0xea710151,0xd2fd031a,0x00000000,0x00000000}},	//   _sillines, _biggar_, --, --, 
   {{0xd719049e,0x2218017a,0x56b6029a,0x07b601c4}},	//   _komuniká, _abaklami_, _persepsy, _persepsi, 
   {{0xc20f0173,0x97460208,0x1de40656,0x73e30156}},	//   _কম্পিউটি, _ندیمان_, _בנציון_, _ארוסה_, 
   {{0x8b090052,0xf6db0153,0xd86403e6,0xa48f0156}},	//   _vulgární_, _万画素以上_, _gedrenks_, _שווימנדי, 
   {{0xd2e80358,0xe98f019d,0x93f201b5,0x629501a4}},	//   _soufle_, _akukonze, _hlalelek, _masalemi_, 
   {{0x3ffe0192,0x53ec0126,0xd25b0138,0xe27a02bd}},	//   _프로그래밍_, _посольст, _adalet_, _presenol, 
   {{0xd75502d5,0x8a0a01fc,0x00af00b5,0x071f0061}},	//   _positiiv, _araahart, _афорумқә, _고객만족센터_, 
   {{0xb4420193,0xfb5503dc,0x96b80239,0x35d100da}},	//   _उत्पादका, _bundesen_, _parakati, _fotbalul_, 
   {{0x9c610113,0x46570212,0x466800d7,0xd62a02af}},	//   _feirste_, _sidyodth, _bathongw, _bazitiri, 
   {{0xbd8b00b2,0xa9360208,0x2d2d002b,0xff510157}},	//   _amnellee_, _بونیادنا, _ইকবালের_, _बानगी_, 
   {{0xe1940488,0xac0b023c,0x350c005e,0x334f0059}},	//   _fakultāt, _alilungu_, _باشئەگىم_, _fumetti_, 
   {{0xe3ce0163,0x61f0014a,0xb145013d,0xf3a20108}},	//   _privit_, _کلاسرا_, _adoranto, _campuh_, 
   {{0x12b605be,0x796b02d8,0xcb1c02c7,0x00000000}},	// [9a70] _studije_, _घरोघरी_, _gitarren_, --, 
   {{0x2386030a,0x2932014a,0xde9401bf,0x00000000}},	//   _neira_, _رنگیں_, _slimhinn, --, 
   {{0x03a20230,0xf9670044,0x13540108,0x113901c3}},	//   _kanpa_, _exhibite, _alkemis_, _banejagh_, 
   {{0xb3000075,0x84c10161,0xe0f00040,0xcc760085}},	//   _munandi_, _непрочит, _typicall, _iyaragi_, 
   {{0x27680139,0x311a00ef,0x42d4030a,0xd25a02f7}},	//   _विद्महे_, _برنامې_, _gardar_, _beilwe_, 
   {{0x2278010b,0x435f03d5,0xf52a027e,0x29fe038a}},	//   _maungo_, _agagite_, _говорило_, _carrillu, 
   {{0x6fe7045e,0xe4420193,0x4ae400ff,0xed0800e1}},	//   _правят_, _उत्पादना, _סטאריק_, _fayoonte_, 
   {{0x41760268,0xa3650556,0x00000000,0x00000000}},	//   _acantvay_, _ukugula_, --, --, 
   {{0x48ca0037,0xc3940374,0x98230242,0xb5fa0093}},	//   _ጀርመንኛ_, _ilishi_, _hökümət_, _цивильск, 
   {{0x13eb0482,0x02d40243,0xdbb7004a,0x6c600211}},	//   _titta_, _dardar_, _baruları_, _ikkunan_, 
   {{0x87cd011f,0xa340038f,0xf24901eb,0x953a01de}},	//   _апалата_, _veleien_, _godoveri_, _бизнесім, 
   {{0x439601fc,0xceef00be,0xc4fb008f,0x5c350333}},	//   _kassit_, _ابونىتۇ_, _कुटाला_, _catartic, 
   {{0x97300029,0x649000bc,0x00000000,0x00000000}},	//   _نامۆیه_, _کیرمالی_, --, --, 
   {{0x27aa031f,0xe0600087,0x53ce0013,0x7e9601db}},	//   _omstilli, _etisudin, _ilova_, _جوقشىلىق_, 
   {{0x8386039e,0x422507e6,0x02d40198,0x9d3203a2}},	//   _deira_, _blakey_, _ljudem_, _शिनॉय_, 
   {{0xd3f40179,0xd38701c1,0x52250450,0xd22503a2}},	//   _distik_, _eceran_, _flakby_, _nerki_, 
   {{0xa3860445,0xace20016,0xeb8d0007,0x3234004c}},	// [9a80] _feira_, _אַרכיוו_, _afingiyo_, _akamaze_, 
   {{0x317001cd,0x527e0427,0xf36a0092,0x92d402e4}},	//   _ахсан_, _uvani_, _を設けた点のみが_, _dardir_, 
   {{0x60e502d5,0x357602d3,0xa7270156,0x00000000}},	//   _श्रीवा_, _declaraç, _סייַדן_, --, 
   {{0xb3ce0513,0x73410026,0xf03e02d5,0xe5d6023c}},	//   _olova_, _redenen_, _esitamin, _خروټی_, 
   {{0xa8de026f,0xc2250257,0x51e401ce,0x93710050}},	//   _ءسۇننات_, _merki_, _کربوهیدر, _silaing_, 
   {{0xbce901db,0x52020499,0xe37a03e7,0x83eb02a4}},	//   _патентте, _sipika_, _matagan_, _mitto_, 
   {{0xfc670455,0xb3e50102,0x7b8902e9,0x00000000}},	//   _boitier_, _jamuhuri_, _apuntado_, --, 
   {{0x7655023c,0x020100f3,0xf6ad03b4,0xce92020f}},	//   _abenzelw, _befile_, _dziferef, _رابهر_, 
   {{0x72e60108,0xda8f0277,0x19fe0403,0x12260453}},	//   _omongan_, _bininlan_, _ampanant, _raskid_, 
   {{0x29e002e0,0xfda3007e,0x13ea04d7,0xac620176}},	//   _bipolola_, _anunayap, _haltu_, _ametemp_, 
   {{0x20e50125,0x937a0277,0x027e033d,0x83cf0305}},	//   _aradaşly, _hatagan_, _dwane_, _kravde_, 
   {{0xb2fd05bc,0x0b1c0054,0x5f3c0395,0xc37a00aa}},	//   _liggur_, _aitaccen_, _nesrovna, _katagan_, 
   {{0x8698017d,0x930e01da,0x2cb501cd,0x6da901aa}},	//   _メルちゃん_, _pavarur_, _кувваи_, _unningra, 
   {{0x0e3a01f4,0xe2fa042d,0x72b2036c,0x5c280311}},	//   _ketavera, _drahona_, _findain_, _ድርኺትን_, 
   {{0x12b401d4,0x834c012b,0xbfde0144,0xf15f004a}},	//   _croce_, _कादम्बिन, _مسئولة_, _brigadal, 
   {{0xebca0159,0x138701f1,0x7bc700c8,0x03ea001b}},	//   _светлым_, _librit_, _ташланы_, _galtu_, 
   {{0x93eb0122,0x821c0360,0x06480342,0xf37a01ad}},	// [9a90] _nitto_, _भर्शन_, _antiretw, _natagan_, 
   {{0xb2d40418,0xb7a50479,0xd546029f,0xa0510388}},	//   _vardir_, _amelyhez_, _okoreniť_, _естония_, 
   {{0x416301eb,0xb3ea0079,0xc25a0488,0xf2d902e2}},	//   _аусум_, _baltu_, _ieilgt_, _appee_, 
   {{0x657c018a,0xc9ee0391,0xd35401e7,0x525a0291}},	//   _boddhaol_, _fetisisa_, _direckt_, _meilte_, 
   {{0x97720025,0x54d701bd,0x53a800ff,0x495f0376}},	//   _सामान्या, _саланың_, _פענענקו_, _bringure, 
   {{0x461d002f,0x9f5d012d,0xbeb90222,0x3386018b}},	//   _willachi, _kamaplon, _marocain, _ceara_, 
   {{0xf1810016,0x9dc30365,0xb29403ce,0xe9ee0513}},	//   _simptomo, _blokovat_, _رباقی_, _hetisisa_, 
   {{0xe224053f,0x339400a8,0xa57c018a,0x45ec003d}},	//   _munkta_, _balser_, _foddhaol_, _celerifè, 
   {{0x437b00d5,0x7c25056e,0xd26c0035,0x8c17022a}},	//   _hitanao_, _estaleir, _akkoş_, _ninsadab, 
   {{0xe47b0278,0x6c3b0037,0xb5130141,0xf2b002b2}},	//   _didedahk, _የቅስቀሳ_, _egallash, _råeste_, 
   {{0x53eb006f,0x147d0097,0x172203a2,0x7d850229}},	//   _zitto_, _imuṣe_, _मौक़े_, _beyləqan, 
   {{0x3386018b,0xd38604df,0xf2b4045e,0x3099017e}},	//   _seara_, _efire_, _fuoco_, _תחיון_, 
   {{0xbdae00e4,0x93860633,0xa47b0227,0x038601a6}},	//   _सांख्यिक, _learn_, _ditegakk, _peara_, 
   {{0x86aa0026,0xc2ab0102,0xb2910043,0xc20e01cd}},	//   _최근검색매물_, _پراسرار_, _abaali_, _хатар_, 
   {{0xe22606ba,0x839601e1,0xc7a500ec,0x00000000}},	//   _bruker_, _байтаҡ_, _ягайла_, --, 
   {{0xb200016e,0x9afb0209,0xb57902f2,0x7ec901f3}},	//   _yenile_, _aseruine, _ideologí, _ortodoxn, 
   {{0xf7e200a4,0xd847028b,0x8afe015a,0x00000000}},	// [9aa0] _сентябрд, _иаҭааит_, _barrulle, --, 
   {{0xbb0401d9,0x838600e2,0x00000000,0x00000000}},	//   _entschee, _kearn_, --, --, 
   {{0x3aca0025,0x6ba600c4,0xb28304e3,0xdf270290}},	//   _संदर्भः_, _kuiharir, _klikova_, _aspermon, 
   {{0xceea00ee,0x0c620058,0xa5d200d1,0x00000000}},	//   _тариалан, _pituvon_, _মুখাৰ্জী_, --, 
   {{0xe34102dd,0x3b2a03d4,0xb3f900d7,0x00000000}},	//   _attenda_, _рибарско, _kgauho_, --, 
   {{0x52d9001e,0xe2ef00ad,0x822401d9,0x6d1c0385}},	//   _makomar_, _akhirna_, _henken_, _pahuljic, 
   {{0x5a570193,0x2dcb0279,0xfc1b02e2,0xbcc0005b}},	//   _सुरक्षीत_, _cochonne_, _asiankar, _bikkoosu_, 
   {{0x7c1e01e1,0x1a700210,0x05d5036d,0x938601df}},	//   _бюджетын, _achadiwa_, _blocaich, _afire_, 
   {{0x19f801be,0xaa7e02fa,0x00750712,0xe27f00ca}},	//   _recenzí_, _kuzamura_, _उच्चशिक्, _tecnic_, 
   {{0x026d0147,0xf3860338,0x5005004d,0x50ab0153}},	//   _ئيىبەي_, _bearn_, _發表新主題_, _大好きかずまっち_, 
   {{0x43eb00c7,0x6b640013,0x4295047d,0x0d8c0039}},	//   _citte_, _tartibga_, _mulanski_, _alemania, 
   {{0xdb8b0301,0x14ad0054,0xc993017f,0x00000000}},	//   _sahibkar, _mataimak, _inikkitt, --, 
   {{0x052b02ba,0xff3a00b4,0xa0a90238,0x59de005a}},	//   _abasekho_, _coordona, _припуска, _jinonrup_, 
   {{0x6395025b,0xbc6f035a,0x338602ac,0x13440258}},	//   _knassi_, _terresa_, _fearn_, _bewenne_, 
   {{0xc2910118,0x08f90099,0x97060086,0x737900b2}},	//   _abaami_, _achasaru, _gibraltá, _gatamaa_, 
   {{0xd17f0254,0x774c035b,0x9f6f01f6,0x8fb701b3}},	//   _desarrol, _raziskav, _ইতিহাসৰ_, _алкоголе, 
   {{0x82170094,0xb30102b1,0x7d82015a,0x7b6e02cf}},	// [9ab0] _брондау_, _matashi_, _buulmata, _спектаку, 
   {{0x33eb02b0,0x7c550362,0xc2d8043e,0xb26404b9}},	//   _bitte_, _vantare_, _calero_, _harles_, 
   {{0x60350243,0x0eba0251,0x00000000,0x00000000}},	//   _afrikáh_, _carraale_, --, --, 
   {{0x0a0200c2,0x73eb014a,0xf31d0155,0xa05901bb}},	//   _agasandu, _vitte_, _klubbar_, _allanuro, 
   {{0x83eb0003,0x2b880333,0x517e01a3,0x289000e6}},	//   _witte_, _gibilter, _الاٽمينٽ_, _因而发生重大伤亡, 
   {{0x925c0212,0xb2830206,0xe2da0176,0xd07302a2}},	//   _encompix_, _prepravy_, _waseda_, _natatako, 
   {{0x9890003b,0xf27f0272,0x1e55056e,0x3f3802eb}},	//   _akukenyu, _akendo_, _inscrita, _сейфэнд_, 
   {{0xd3fa0052,0x90a30237,0x00000000,0x00000000}},	//   _cituji_, _명성공인중개사_, --, --, 
   {{0x834c03f4,0xdf32017a,0x31de02a2,0x251103cc}},	//   _космичес, _abafikan, _maililim, _ocurrido_, 
   {{0x392005fa,0xd20002be,0xcc5f00a4,0x13790122}},	//   _शिवजी_, _kaming_, _эякуляци, _dadakan_, 
   {{0x953d0212,0xd7a20299,0x334202ea,0x31f8016e}},	//   _tonygpok, _ئۆلسەممۇ_, _addetto_, _verilmem, 
   {{0x44a802d4,0xc2010101,0x03cf02aa,0x29080241}},	//   _naziunal_, _devine_, _dravce_, _hogbarru, 
   {{0x3e230061,0x9a120009,0x1387019b,0x9314031e}},	//   _화학기업들의_, _pozablje, _svarbi_, _bezbroj_, 
   {{0x211a01ef,0xef550233,0xad6e03dd,0xe26c0013}},	//   _торбы_, _dangeros_, _themelua, _nihol_, 
   {{0xaa2601ab,0x9c920193,0x102d034c,0x229e00bf}},	//   _पारबती_, _kerudung_, _berdniko, _китаи_, 
   {{0x446e022b,0x4a300053,0x30030126,0x57c50225}},	//   _vandamik, _कर्जत_, _несподів, _lessenei, 
   {{0xd3fa040b,0xd816023e,0x37c7028b,0x00000000}},	// [9ac0] _kapula_, _قاعدگی_, _зыҟаҵара, --, 
   {{0x43010307,0x5301017d,0xb2920309,0x7f2600fa}},	//   _azibone_, _watashi_, _xaqani_, _amalayer_, 
   {{0x82f2000b,0x3cf500b9,0x52d0018b,0x77cc02ea}},	//   _maliliu_, _अलंकार_, _prieteni_, _sospensi, 
   {{0x76b4034c,0x5aa200ec,0x00000000,0x00000000}},	//   _твиттерд, _воўчын_, --, --, 
   {{0x7c6d02f7,0xa63b0311,0x638602e1,0x267f01f5}},	//   _aforika_, _ብውሽጠይ_, _feirm_, _melewati, 
   {{0x66800262,0x7a5f01b7,0x6ebd002e,0xd37f0321}},	//   _hereketi, _अधोलिखित, _pažnja_, _igralec_, 
   {{0xd7aa0026,0x62ca019b,0x7dd5014b,0x12ca012c}},	//   _bestelli, _упершыню_, _sekkaaca, _ibilisi_, 
   {{0x85f60135,0xf34800fe,0xfbea02d0,0x71270374}},	//   _mimeşlär, _folelei_, _ceivilis, _самовий_, 
   {{0xa8ec03f4,0x5f390205,0xfea100e0,0x00000000}},	//   _сортиров, _аралашма, _begroete_, --, 
   {{0x93ce0076,0x345200bc,0x6792025c,0xccb40311}},	//   _ilove_, _سکسوالها_, _diejenig, _እምነየልኩም_, 
   {{0x239d0428,0x96c800f5,0x41e001be,0xef5a04a7}},	//   _nadaljnj, _йылгырып, _उधारो_, _castañaz, 
   {{0x0c48001a,0x634502e0,0x285101c4,0x181d00be}},	//   _pozitív_, _borethe_, _sterftes_, _كەڭەشىشك, 
   {{0x9c1e07e7,0x923b0037,0x83eb0211,0x927601d5}},	//   _compras_, _ንግድሥራ_, _antti_, _خانزادہ_, 
   {{0xc4b40025,0xafe00032,0x7b6b017f,0xb40a013f}},	//   _उत्तमा_, _dadingmo, _allorner, _bonnreiz, 
   {{0x8083026f,0x8ba3004b,0xb2250145,0x622502d0}},	//   _ءﺩﯗﺑﯩﺮﻯ_, _досааф_, _perku_, _merks_, 
   {{0x8c5a0439,0xb2e203c2,0x32560260,0x00000000}},	//   _kwatili_, _bemired_, _bólas_, --, 
   {{0x12250003,0xa8760397,0xf2e50066,0x44240145}},	// [9ad0] _werkt_, _njengomu, _abendua_, _kunigaik, 
   {{0x82ad0208,0xe71801e1,0x3ae500d7,0x9e540121}},	//   _ولدان_, _сараларҙ, _bosethab, _ganancia, 
   {{0xc3bc012e,0xb723050e,0xc929011a,0xb9b000d3}},	//   _ہلمند_, _severnoj_, _החתלה_, _bizarní_, 
   {{0x21470093,0x4656003b,0xb74303a1,0x00000000}},	//   _байина_, _isungulw, _букса_, --, 
   {{0xc656042a,0x12cd0092,0xfd1c01db,0xac0d00c5}},	//   _asungulw, _ホテル予約_, _әлиев_, _remplie_, 
   {{0x620002e7,0x293f03f3,0x4b7000db,0x49be014c}},	//   _taming_, _naslagwe, _sealjuur, _ngedijit, 
   {{0x83ea0201,0xe595002a,0x18980059,0xe5f60152}},	//   _kalti_, _mpkuruok, _нарушава, _cimeşlär, 
   {{0xc7ef01f2,0x9a9b03dc,0xb07303bd,0x935f014a}},	//   _һәтта_, _peningas, _balasaho, _stressz_, 
   {{0xe5a1015d,0x52f9030f,0x4ddb00ec,0x24860086}},	//   _हंसते_, _erihana_, _нобэлеўс, _راحتاں_, 
   {{0x78e00312,0xb2e2012a,0x50e100f3,0x8d0b000c}},	//   _kenstriv, _remonty_, _elinamal, _ikorasor, 
   {{0x6269012c,0xb2870054,0x65970039,0x00000000}},	//   _بوزدار_, _bankole_, _маркийг_, --, 
   {{0x93860240,0x929202c2,0x00000000,0x00000000}},	//   _edaru_, _beraad_, --, --, 
   {{0x53eb02f3,0x26f001c9,0x120e0088,0xc26d0318}},	//   _hitta_, _परिवेश_, _сабат_, _hopoi_, 
   {{0x3af7000c,0xa991025c,0x870901f2,0x59df0148}},	//   _валерии_, _verkaufe, _беҗирип_, _defunctu, 
   {{0x72d805c9,0x32920120,0x773202c5,0x72120247}},	//   _nqhes_, _baqali_, _akazokwi, _akehe_, 
   {{0x5386005b,0xc22a0110,0xa3eb0204,0x0225014d}},	//   _dearb_, _mīkla_, _mitta_, _werks_, 
   {{0x7c15005b,0x69d80092,0xdf65042d,0xd9f50294}},	// [9ae0] _sapporo_, _楽しみです_, _haratsin, _illiniza_, 
   {{0xb0580044,0x805802bd,0x5ad201c3,0x18e5004a}},	//   _מערבבים_, _trigolio, _castrate, _aralaşud, 
   {{0xa3dd0119,0xbe2902f6,0x33ce0176,0x4289029f}},	//   _bardejov_, _panganga, _slove_, _prevzaté_, 
   {{0xbaa90361,0x9c72001d,0xccb900d1,0x00000000}},	//   _севере_, _intrant_, _দখলদাৰী_, --, 
   {{0x9c5c00d3,0xc2d80119,0x77d90420,0xb2920115}},	//   _odstín_, _malolos_, _доловува_, _merapu_, 
   {{0xe3eb0374,0x33860058,0x5af5015f,0x537a02a2}},	//   _bitta_, _bearb_, _anturiae, _batayan_, 
   {{0x83d00107,0x7d4d0141,0x91d40156,0xc395023a}},	//   _ekstensi_, _даражали_, _שאָקלט_, _hlasmi_, 
   {{0x67aa0187,0x596900b4,0xe34f02ac,0xdc7c013f}},	//   _палачинк, _aplicare, _لمرضى_, _antreas_, 
   {{0xb288042f,0x4725028e,0x55ff00a7,0x1c340620}},	//   _tamainni_, _mentenem_, _tanmatei, _省工商行政管理局_, 
   {{0x02b40527,0x5521002b,0xa7570368,0x00000000}},	//   _pricas_, _দ্বিমুখী_, _сербская_, --, 
   {{0xc3eb0138,0x40c70094,0x83b901b3,0x83a90156}},	//   _gitti_, _انتروپول, _протипок, _הקבצו_, 
   {{0x32d4019a,0x7c550107,0x32e7005a,0x3db904d8}},	//   _bloomin_, _bantere_, _limustah_, _barakaat_, 
   {{0x85ba01bb,0x77a80040,0xc2ca0311,0x0e5202e7}},	//   _babalary, _מגנזיום_, _ዘይርስዖ_, _makalika, 
   {{0x7e9101db,0x33760040,0x330003ac,0x02d80039}},	//   _بوكەننىڭ_, _וייתכן_, _junaidi_, _balego_, 
   {{0x32c601df,0x4a89002e,0xc5ba00b2,0x00000000}},	//   _murmurs_, _koristan_, _dabalach, --, 
   {{0x718f0021,0x93eb02ee,0x9da6004d,0x57c9012a}},	//   _abianfay_, _ditti_, _我思故我在_, _zastanow, 
   {{0x2fc201ac,0x44d90148,0x117101b9,0xf5310135}},	// [9af0] _لاحول_, _不代表新浪網之立, _lousilio, _gazetnıñ_, 
   {{0xbe47016f,0x06da04e5,0x5ebe05bd,0xfec8037f}},	//   _деревини_, _akwatirw, _forsvant_, _arsenalı, 
   {{0x1abd0086,0xe1d60060,0xd25100db,0x15330061}},	//   _فیصدی_, _фильмді_, _edetabel, _검색하세요_, 
   {{0x620e032e,0x1ef6015e,0xf3100066,0x117c04df}},	//   _pachamam, _telefòni, _probatu_, _dolananl, 
   {{0xd73d0675,0xc29100a0,0xb19900fd,0x33480156}},	//   _comparaç, _hayaki_, _dhichiol, _silenti_, 
   {{0xc2f40148,0x679a034c,0x7e740060,0xb6bb003c}},	//   _專案防疫強制隔離, _almadık_, _بىلدىرەم, _wiracari, 
   {{0x12000235,0x8ed500ff,0x11b40094,0x1c3f0020}},	//   _akhila_, _שנײַדער_, _озған_, _malietau_, 
   {{0x2638012b,0x44b5038e,0x28dc02eb,0x00000000}},	//   _realizow, _meramaik, _киногоор_, --, 
   {{0xc2c905e2,0x00000000,0x00000000,0x00000000}},	//   _soporte_, --, --, --, 
   {{0x92010119,0x8da50268,0xf9b201be,0x4e48020e}},	//   _levice_, _adrianwa, _valdštej, _kolajene_, 
   {{0x0f6f0173,0x27ca018d,0x7bef0222,0x78370354}},	//   _ইতিহাসে_, _ዘይረብሕ_, _ouvertur, _басайеф_, 
   {{0x156700f5,0xfd430188,0x00000000,0x00000000}},	//   _китабың_, _тоҷнюс_, --, --, 
   {{0x83eb015a,0x02310184,0xa5ba00b2,0xe3f80219}},	//   _sitti_, _avumura_, _babalach, _ichuba_, 
   {{0xd2da00a9,0x5c1d019c,0x6291011b,0x5378010b}},	//   _ukwezi_, _alupupu_, _bayaki_, _gobatsa_, 
   {{0xad8001da,0x8c1d00be,0xb2d002c6,0x6961011a}},	//   _deklarua, _بۅلگۅن_, _atalier_, _reinstat, 
   {{0x82e000c7,0xff7f0547,0x37b60507,0x00000000}},	//   _tanışıp_, _lesbicas_, _peregang, --, 
   {{0x9f3a0403,0xbb96004d,0x5a310486,0x00000000}},	// [9b00] _arofanin, _九寨溝風景區_, _बञ्जी_, --, 
   {{0xd1b100bf,0x42e502cb,0xec3501d9,0x00000000}},	//   _открытие_, _skinula_, _forceier, --, 
   {{0x17aa005b,0xcdd60162,0xfc1d0047,0x2d1b0187}},	//   _bestilli, _аъилисид, _turquie_, _стравот_, 
   {{0xdd070073,0xf2e30422,0xe2ca00df,0xa6f701cc}},	//   _empleate_, _volitve_, _acides_, _माधवाय_, 
   {{0xd3a203f0,0xac0003c0,0x78fd0294,0x2d550160}},	//   _skipta_, _morsomt_, _anparapu, _lokaciju_, 
   {{0xd3ce0085,0x3ec9036e,0xeb2e0434,0x538600d6}},	//   _ilovi_, _angyogra, _trabajan_, _searc_, 
   {{0x1c4c0085,0xef270019,0x2b200082,0xe1dc0040}},	//   _alowini_, _баракка_, _addancin_, _תלבושת_, 
   {{0xe15e04c7,0x00000000,0x00000000,0x00000000}},	//   _приближи_, --, --, --, 
   {{0x3d640022,0x427000c7,0x00000000,0x00000000}},	//   _швейцарҙ, _кабахәт_, --, --, 
   {{0xb97c0427,0x822a0041,0x087003f5,0xcc180116}},	//   _titiraqt, _анҵақәа_, _perceber_, _invaader, 
   {{0x8c08037a,0xdf1e0141,0x1ae2010b,0x9290045b}},	//   _ibiganir, _bildirin, _dipusose, _utkast_, 
   {{0x6df1051a,0x088400ff,0x5a0f0361,0xc2b40445}},	//   _mendusta, _טאררענט_, _основаны_, _troco_, 
   {{0xfadc01e6,0x1f4402c7,0xa98402ca,0x9b710059}},	//   _normální_, _begrenzt_, _luminaie, _ritornar, 
   {{0xb3ea00d9,0x0e9300e6,0x0a6d00ba,0x837b001b}},	//   _olette_, _北京水屯市场_, _ستڕێژی_, _braazil_, 
   {{0x438602ca,0x644a018d,0xf23602b9,0x72010259}},	//   _deara_, _ኣይኩናት_, _دفترخارج, _bevist_, 
   {{0xfbe803a2,0x922b062b,0xbb6a0110,0x00000000}},	//   _खजुराहो_, _syempre_, _kārsavas_, --, 
   {{0x82480378,0xfbfc0285,0x7dbd0416,0x630301c8}},	// [9b10] _trimum_, _bruguier, _expandet_, _stravou_, 
   {{0xd31d0309,0xbfb90397,0x897f020f,0xcdad02ed}},	//   _olublar_, _милитсия, _bazivele, _bautizou_, 
   {{0x6dc40245,0xdd3601f1,0xaed600d6,0x473302b6}},	//   _dushyant_, _artikujt_, _معاهد_, _қылса_, 
   {{0xff24033e,0x7adc0287,0xf38701e5,0x624c003a}},	//   _imáte_, _formální_, _nperí_, _биржалар_, 
   {{0xa2cc004c,0x727f001d,0x129b038a,0x920102c5}},	//   _akalobo_, _kognak_, _chakray_, _chaipo_, 
   {{0xdc8b00af,0xfa08000d,0x73eb0331,0x00000000}},	//   _операцій_, _finantst, _fittu_, --, 
   {{0x0bf10036,0xec690261,0x82870342,0x04b50452}},	//   _سلطانك_, _patrino_, _ankadrem, _terabaik, 
   {{0x4efb018d,0x5b200177,0xe65c00e7,0x2c1200a1}},	//   _ፈተውቱን_, _изықәныҟ, _allisonw, _tiapani_, 
   {{0x3caf019c,0xe23701e3,0x3b860160,0xbcc70143}},	//   _alábẹ́ré, _spomina_, _istočnog_, _гребане_, 
   {{0xe1f9029a,0xa95f02c5,0x90370018,0x00000000}},	//   _orizinal, _akanetse, _veitokon, --, 
   {{0xc27f007b,0x72920281,0x43eb0139,0x2daa02f9}},	//   _dwyne_, _atsaat_, _cittu_, _lovingra, 
   {{0x64570039,0x5146057e,0x716800fc,0x6f4d0113}},	//   _дийлэнх_, _निरूपण_, _biyintah_, _timpiste_, 
   {{0x42480231,0xafae00af,0x0d3e0168,0xfa130107}},	//   _primum_, _лавки_, _aktivert_, _bayarake, 
   {{0x32e800ce,0x81f700c7,0x2b630160,0xfd290064}},	//   _dominen_, _berkemdä_, _rečenici_, _ansietat_, 
   {{0x5c120544,0x627e019f,0x6485027b,0xf6580381}},	//   _anapuni_, _mwinyi_, _असमासे_, _antiquew, 
   {{0x327f0322,0xe24904df,0xe2ca0264,0x12ed07b5}},	//   _mwanzi_, _atamam_, _lagdu_, _basiske_, 
   {{0x1177033e,0xfe0202f3,0x775c00ab,0xf31700ff}},	// [9b20] _менти_, _leverera, _hikitang, _amuzo_, 
   {{0xc3ea0261,0xa39403da,0x02ea0127,0x0d1a0158}},	//   _saltu_, _liisti_, _bountet_, _reklamie_, 
   {{0x43950015,0x0dd20013,0x79d3002b,0x00000000}},	//   _geeska_, _nishonla, _ক্ষুধার_, --, 
   {{0x11820024,0x73eb01a7,0x03ea0303,0xb2a605d1}},	//   _মানুহজনী_, _vittu_, _eletse_, _griber_, 
   {{0x912d0244,0x1464016d,0xba0100d3,0x97be01ab}},	//   _дайте_, _сүрүшидә_, _nenaleze, _patrulli, 
   {{0x8609026c,0xe9ee00f5,0xd3960040,0x9d560115}},	//   _過濾搜尋結果_, _дирелтди_, _hassle_, _negaraku_, 
   {{0xfdde01a7,0xa2d500dc,0x228a01b9,0x53ea036c}},	//   _kaikille_, _fetotoa_, _spektak_, _aritro_, 
   {{0xf3e40185,0xfcdc00d9,0x2e4b0382,0x922e0161}},	//   _удмуртия_, _остально, _hakarile_, _разведки_, 
   {{0xa91103d8,0xb2a603ad,0x3c5501e5,0x64d2004d}},	//   _pojavlju, _denbu_, _jantire_, _意外傷害死殘_, 
   {{0x47440287,0x327f0200,0x226d0053,0x12dc000b}},	//   _prozradi, _nwanyi_, _copot_, _logoiai_, 
   {{0x29850216,0x9952040f,0x00000000,0x00000000}},	//   _kumiwaka_, _pasodint, --, --, 
   {{0x56de0314,0xdfcf01f4,0x3cf30153,0x56ec00e6}},	//   _мәғсүмов_, _bilimlar_, _ハワイアンキルト, _利群集团文登华玺, 
   {{0x739501c5,0xd31a0125,0xab35005b,0x2b950444}},	//   _meesha_, _gözel_, _azabujub, _алтайхь_, 
   {{0x8d2d02e3,0x22a7005b,0x1143010b,0x9285036e}},	//   _agriviet_, _zigbee_, _dijethal, _cashibo_, 
   {{0xcb98055a,0xaa57016d,0x222403ae,0x4303023a}},	//   _enriquec, _гиранат_, _benken_, _stratou_, 
   {{0x627a0220,0x029200bd,0xc3ea02bf,0x42ee015f}},	//   _трениров, _strang_, _aletse_, _golff_, 
   {{0x2d1c04ce,0xf3ea044b,0x03eb004f,0xff640120}},	// [9b30] _khulwane_, _slette_, _amatul_, _mabaysin, 
   {{0xfc53012b,0x2c680350,0x204301e1,0x73b00156}},	//   _dostawa_, _ያካሂዳሉ_, _ithutoan, _שמעונען_, 
   {{0xc3950068,0xd6100226,0x39e0020e,0xb6ce0108}},	//   _beesha_, _akalandi, _dipokola_, _asmaulli, 
   {{0x626400ca,0xd767015e,0x25c500cb,0x9a890005}},	//   _carles_, _اللوحۇ_, _ababebuy, _speziala_, 
   {{0xb290006a,0xdb6a052e,0xd4430059,0x750c007f}},	//   _odian_, _maluenda_, _актрисат, _chomisiy, 
   {{0xb3410252,0xab6300ac,0xaee1038e,0x5bc10107}},	//   _vuselwa_, _rečenica_, _उपद्व्या, _ملائکه_, 
   {{0x721802b6,0x8ba303dd,0xc60b004b,0x2d6b02f3}},	//   _абзал_, _perkundr, _ачери_, _klimatet_, 
   {{0xf0720090,0x53860476,0x09fe0294,0x6fd00016}},	//   _achatiko, _afare_, _ampamant, _grandeco, 
   {{0xcdbd028d,0x2c3201dd,0x3961016f,0x126d02d3}},	//   _anbarase_, _ababikir, _делегаці, _copos_, 
   {{0xb2c80037,0xab3001bf,0xe9e30148,0x6332027c}},	//   _ጴጥሮስም_, _uttalels, _populoru, _ملاکنډ_, 
   {{0xe21f0193,0x8bd8023e,0x926e028a,0xd24905ce}},	//   _महामार्ग, _تحکیم_, _peponi_, _ragmen_, 
   {{0xc224048b,0x6f630126,0xa0e6020f,0x327a0544}},	//   _unikey_, _пропонує_, _abenguml, _malimali_, 
   {{0xc2110135,0x8d9c000a,0x62f700e5,0xb5ac0093}},	//   _бирүче_, _anillaka, _diminui_, _аламо_, 
   {{0x7a200073,0x322402b0,0xa9cd00db,0x53460110}},	//   _succedit, _senken_, _मुरचा_, _gundars_, 
   {{0xc0ee001c,0x52fc0148,0x6db30322,0x135a03f0}},	//   _melipill, _numinis_, _banafite_, _dísilvél_, 
   {{0x0395009d,0x53f10010,0xfd9c00ff,0x22d801f9}},	//   _kurse_, _agustusi_, _ראפשיצער_, _baleyo_, 
   {{0xf15c0183,0x16d30343,0x85ec011a,0x00000000}},	// [9b40] _ankolafy_, _makapahi, _סלובקיה_, --, 
   {{0x0c2500c9,0xa3120448,0xecbe00ec,0x4053020f}},	//   _funstarb, _dobbelt_, _шанец_, _پاړسو_, 
   {{0xf3860258,0x92240204,0xe2120140,0xedbf02f7}},	//   _leart_, _reikä_, _anihan_, _maphatap, 
   {{0xf538019e,0xb67a05ce,0x343402ec,0x0c1600b3}},	//   _пастанов, _allahım_, _gobanimo_, _barsaň_, 
   {{0x138600d6,0x0c130147,0x9378003a,0x225a018a}},	//   _neart_, _ادجئى_, _ramazon_, _colled_, 
   {{0x201700bc,0x24bf01b2,0x626c003f,0x00000000}},	//   _پادشاهی_, _asphodel_, _nihot_, --, 
   {{0xcd8b0005,0xec0103eb,0x00000000,0x00000000}},	//   _maiorita, _rentmees, --, --, 
   {{0x9e2900fa,0xd347019a,0x93860113,0x79ba00fe}},	//   _nanganga, _fiddler_, _beirt_, _hivehiva_, 
   {{0x46ef0484,0x177800bc,0x725a018a,0x6ed9035e}},	//   _अभिनन्दन_, _نوزادی_, _golled_, _rashladn, 
   {{0x5b0d04ac,0xbe610165,0x52310103,0x862c00b7}},	//   _каникулы_, _teichert_, _bvumira_, _bikanunç, 
   {{0xe03803f2,0xe7a40127,0x326400c5,0x8b680456}},	//   _обувь_, _berranvi, _parles_, _datuknya_, 
   {{0x938602d0,0x1c770285,0x125a0151,0x00000000}},	//   _feart_, _dioseze_, _bolled_, --, 
   {{0xa6470058,0xa386000e,0x8e2902a2,0x83f8004f}},	//   _drukkeri, _geart_, _manganga, _dieund_, 
   {{0x279e00da,0x1ccd022f,0x22e600aa,0x6f3f0167}},	//   _араба_, _надавала_, _akanila_, _cilometr_, 
   {{0x440e009a,0x883a0311,0x4bfa01e0,0xf8600223}},	//   _amanenek, _ብዜውፅእ_, _کاندیداک, _aranburu, 
   {{0xaa32045e,0xe2b40114,0xe38600e0,0x00000000}},	//   _добрият_, _tricks_, _keart_, --, 
   {{0xe3ea0391,0x826202ef,0xb2480098,0xbfbf03c7}},	// [9b50] _boetse_, _antoloji_, _tommer_, _wikisłow, 
   {{0xff050092,0xc9f700ee,0xa0c700f5,0x526400a6}},	//   _送料について_, _teknikoa_, _танкыт_, _angumyal, 
   {{0xa226040e,0x943e0066,0x0d0600a4,0xdfcd02fe}},	//   _brukar_, _арбитрын_, _sentènci, _میوندوال_, 
   {{0xab4100ca,0x526c018f,0x02ee0465,0xce3b0265}},	//   _prémices_, _dihom_, _dolfe_, _winnaars_, 
   {{0x03ea01b4,0x00000000,0x00000000,0x00000000}},	//   _toetse_, --, --, --, 
   {{0x6c020229,0x089f0444,0x544a018d,0x8d0c02af}},	//   _diaspor_, _аппарата, _ኣርካናት_, _kumushir, 
   {{0xd6ed015d,0xd26d018b,0x937a04b2,0xb321007f}},	//   _finansow, _popor_, _balabal_, _dyrys_, 
   {{0x1f1403ed,0xdd3703ef,0x00000000,0x00000000}},	//   _oficiais_, _batigeze_, --, --, 
   {{0x9f5502e5,0xbf6a00bf,0x6582051a,0xf08a0061}},	//   _bangbros_, _предъявл, _ditukark, _포스트들의_, 
   {{0x46390187,0xf95f03d1,0x00000000,0x00000000}},	//   _виртуозо, _paintere, --, --, 
   {{0xf341024d,0x9c670013,0x722404c0,0x1f4b02b9}},	//   _kusekwa_, _برداش_, _kenkan_, _منزلیں_, 
   {{0x356d0177,0x805a0291,0x425b044a,0xfefb0296}},	//   _ehaorusú, _اسافر_, _mbelé_, _trevliga, 
   {{0xae460461,0x13170225,0x5f460026,0xd0870156}},	//   _operatiu_, _edangang_, _operatie_, _נתכבד_, 
   {{0x62ca00bc,0xe2b40076,0x1fc102fb,0x429203b5}},	//   _pcidvb_, _troca_, _apongipo, _merayu_, 
   {{0x0bf7029d,0x360f00cb,0xd2fc02a4,0x73870220}},	//   _литере_, _akalungi, _humilis_, _averla_, 
   {{0x890e02e7,0xc14801e1,0xbb5300be,0x00000000}},	//   _ginahulu, _ditefell, _ناپسىڭدە_, --, 
   {{0x725b0122,0xa8f5026f,0x42b406a3,0x7d840028}},	// [9b60] _ndalem_, _انۋشيردى, _buoch_, _isulwasa, 
   {{0x0051007a,0x326c033a,0x0ae30272,0x628200da}},	//   _leluhurn, _bihom_, _amatembe, _consumul, 
   {{0xf8330022,0xa2da00d9,0x47700012,0xeda20185}},	//   _агрессив_, _asteen_, _चउतारउबा, _basuında_, 
   {{0x830c0175,0xd2d80087,0x2c530255,0x72f30385}},	//   _gamatis_, _haleno_, _tuttava_, _nalaziti_, 
   {{0xd3eb0034,0x22240079,0xc38602c3,0x63ed0156}},	//   _hitti_, _valkas_, _vzorom_, _טהאַקער_, 
   {{0x9879018b,0xbc840044,0x42440037,0x2b5b000b}},	//   _претутин, _accessed_, _ማርጋሬት_, _motufoua_, 
   {{0xd149038a,0x7b62007e,0x702c0094,0xc30c03bd}},	//   _allthemo, _कविना_, _жыланның_, _kamatis_, 
   {{0xf3870019,0x57dd021c,0x8cd800be,0x12d800d6}},	//   _escrit_, _financov, _بولدۇچۇ_, _bplean_, 
   {{0x2224002e,0x12630182,0xf39402d9,0x62ba0205}},	//   _majke_, _kikokahi_, _soisoi_, _aqidasi_, 
   {{0x02880135,0xcfc303d9,0xca730275,0x620002dd}},	//   _арасынна, _fokonolo, _matasaua_, _etniku_, 
   {{0x11e70255,0xa29202f6,0x1d9d00d1,0x244a0311}},	//   _इनारे_, _murang_, _নিউক্লিঅ_, _ኣይኵናት_, 
   {{0x331d0073,0xfc5002ec,0xa50c0147,0x9bf70024}},	//   _cercava_, _پھٹمت_, _البۇمدار, _ভঁৰালৰ_, 
   {{0x8c7c0226,0x52fa00d5,0xc38703f0,0x00000000}},	//   _crispin_, _arahina_, _hverja_, --, 
   {{0xe2e30218,0x8a6300de,0x00000000,0x00000000}},	//   _ahooyay_, _amagatya_, --, --, 
   {{0xba4301db,0x64a703fb,0x53030123,0x3303003d}},	//   _тоқаев_, _norveško, _senatet_, _benaset_, 
   {{0x647e0039,0xda540143,0x49780120,0xc2d804bd}},	//   _кинон_, _венециан, _korissee, _waleno_, 
   {{0xa55e032b,0x110804f2,0x4f4e02ea,0x96820418}},	// [9b70] _ташлашни_, _tinhyeul, _населено_, _derecesi, 
   {{0x812c0044,0xa2a702fa,0x69ed0299,0x99b70421}},	//   _בליווי_, _amabya_, _ئەسناسىد, _verdoppe, 
   {{0x0c6502af,0x13170232,0xa44900bf,0xc1270039}},	//   _ampunge_, _amuza_, _потомков_, _калори_, 
   {{0x84d7023e,0x24c500bb,0x92910065,0x2a1400d0}},	//   _خروجی_, _ثنااللہ_, _unfall_, _debagoie, 
   {{0x75ce01cd,0xb6ba0013,0x41be016d,0x237a00c1}},	//   _расми_, _darajasi, _ئەسما_, _patahan_, 
   {{0x93410090,0x820103ba,0x426d00dc,0x00000000}},	//   _kutenda_, _revile_, _popoi_, --, 
   {{0x052a03d4,0xfa600014,0xec1c0187,0x01bc0374}},	//   _говоримо_, _permires, _reblogou_, _профилга_, 
   {{0x526a0128,0x6419032c,0x327800ff,0xe83c0046}},	//   _کالیفورن, _akunnikk, _abundo_, _ماسەلەنى_, 
   {{0xadd70036,0xeeb50453,0x529000de,0x6bee0244}},	//   _صفحتك_, _tekstove_, _akujong_, _вазов_, 
   {{0xc6fd0013,0x426e033d,0xdbf8006d,0xeb6300ac}},	//   _форумнин, _bawouk_, _абход_, _rečenicu_, 
   {{0xaf1602ca,0xd6a40044,0xd2f204da,0x30a40040}},	//   _leideann, _ברבעון_, _otvorenj, _באבחון_, 
   {{0x92b6062f,0x7cbe0154,0x214200e6,0x93f9030e}},	//   _diucaz_, _вавел_, _省劳动和社会保障, _hayupo_, 
   {{0x4218008d,0xf52000b2,0x220e0046,0x00000000}},	//   _ибрат_, _amantich, _табат_, --, 
   {{0x77840037,0x3b640359,0xa53600e6,0x46ba02c1}},	//   _ምክርቤት_, _hettinga_, _精炼油各少许_, _babamari, 
   {{0x72ad0094,0x92d80318,0xb7410349,0x8f4a0235}},	//   _القاش_, _falelo_, _acrophag, _समाधाने_, 
   {{0x110800c4,0x102f00d4,0x61fb0079,0x008a0013}},	//   _هوشوءَ_, _undersyk_, _apliekam, _калимаси, 
   {{0xc9e40292,0x62e90130,0x7e380344,0xdf8601eb}},	// [9b80] _kwankora_, _klenket_, _allaassa, _рызнагар, 
   {{0x4cee012b,0x168c00b9,0x6a0501fc,0x00000000}},	//   _गुलमर्ग_, _सहकार_, _gawaabit, --, 
   {{0xe0560163,0x2466019b,0xc28d00fb,0x6af6008a}},	//   _leggyako, _simbolių_, _hlukana_, _manulele, 
   {{0x239604b7,0x525c0230,0x6ec40188,0xb3dd005a}},	//   _passie_, _folozofi_, _abaneson, _nabwij_, 
   {{0x14d701bd,0x750401e4,0xc0bb02e2,0x00000000}},	//   _тарады_, _अन्धविश्, _bibleagh_, --, 
   {{0x71aa00a4,0x5431033f,0x12d800a5,0x39b90157}},	//   _tradició_, _ketausio_, _malemo_, _laserowa_, 
   {{0x72ea015e,0x00000000,0x00000000,0x00000000}},	//   _guindos_, --, --, --, 
   {{0xa3860184,0x639600bd,0x134200a4,0x9291024c}},	//   _agire_, _tassie_, _detenen_, _buskett_, 
   {{0xd31702d2,0x13f8015a,0x98b8005e,0xeed9014f}},	//   _umuzi_, _achuma_, _گۇۋاھلىق, _нацистич, 
   {{0xb2ef005b,0x115c0110,0x1c3000c5,0x0d1303c1}},	//   _redfox_, _neprogno, _dépressi, _словачка_, 
   {{0xe47700b0,0x4ee70016,0x336402fe,0x687b0037}},	//   _federalk, _konkuran, _خوزما_, _ለምሳሌም_, 
   {{0xae6700c7,0xe557032d,0x00000000,0x00000000}},	//   _iqtisadı, _арзанайғ, --, --, 
   {{0x1635020f,0xb37f0241,0xb2f201d2,0xd5c904ae}},	//   _akazukuy, _bajaata_, _dumingu_, _веселу_, 
   {{0xec7c05bc,0x841a02b6,0x39440060,0x20b801cd}},	//   _styrkir_, _айырылға, _шошқа_, _истад_, 
   {{0x8d9101c1,0xd79e0361,0x00000000,0x00000000}},	//   _whulanda, _аруба_, --, --, 
   {{0x134202b2,0x73440435,0x5395008d,0xa9b202b6}},	//   _бітрейт_, _skidaju_, _tursa_, _поштасы_, 
   {{0x3b4c0092,0x84730318,0x155c004b,0x15cc041c}},	// [9b90] _名も無き飼い主さ, _falepaak, _солтанов, _cosaanul_, 
   {{0x3bf90023,0x076701e6,0xb3600065,0x04cd0137}},	//   _настоящи, _podložky_, _stimmung_, _хүчдэл_, 
   {{0xe63d00b8,0x229204fe,0x70b80066,0xe074012e}},	//   _kusisipx, _veranu_, _асрах_, _چھیالیس_, 
   {{0x43870274,0x8d8a032d,0x728d00dc,0x9a8e036d}},	//   _heyra_, _diqongwa, _otahuhu_, _muinghin_, 
   {{0x236803d5,0xb1f40209,0x00000000,0x00000000}},	//   _anights_, _atisanik_, --, --, 
   {{0xc871016d,0xe61b03ee,0xb2b200cf,0x6f5100d7}},	//   _ислаһат_, _novogodi, _fandiin_, _ikopanye_, 
   {{0x892b030c,0x53f8032e,0x19140062,0x570a005e}},	//   _tammaqta_, _uchuma_, _dapabchu, _مىڭبىر_, 
   {{0x25d60040,0x7a05022f,0x7ed6011a,0x3fe00360}},	//   _מיטבית_, _алкаева_, _משלחות_, _trůnu_, 
   {{0xf4190080,0xb8ca033a,0xa2900122,0x7dc9019d}},	//   _ajungikk, _asterojd, _bukane_, _kachinda, 
   {{0x3c670182,0xf34a0032,0xe2900009,0xbc760127}},	//   _samuela_, _danehqu_, _oznako_, _farsieg_, 
   {{0x1be30227,0xa2da01c2,0x77cb025b,0x82880455}},	//   _sementar, _estean_, _koppseti, _encadrem, 
   {{0x5f81008f,0x5e710255,0x2a5f05af,0x9a990056}},	//   _मट्की_, _चेन्ह_, _desetaka_, _бекасу_, 
   {{0x549d00d1,0xf3bb032d,0x9ae00155,0x894503f2}},	//   _অৱশ্যেই_, _оборонаһ, _naturvet, _словари_, 
   {{0x97ae0141,0xb141048f,0xd34400d7,0x4c610382}},	//   _бирга_, _basengel, _dibethe_, _mapunga_, 
   {{0xac1f00a4,0x3f4f0204,0xb2e900f4,0xfc51028a}},	//   _comptar_, _tekstiha, _bleniet_, _alitaja_, 
   {{0xf2e2015b,0x817f00c4,0xdde7015e,0x3a220188}},	//   _agensem_, _عسڪريت_, _جىلمايۇۇ_, _akubophe, 
   {{0xb34800dd,0x2f7a0435,0x00000000,0x00000000}},	// [9ba0] _anterth_, _осиромаш, --, --, 
   {{0xf2900255,0x4fbe02f7,0xb5ef0037,0x217501db}},	//   _leiad_, _borobabo, _ለማደራጀት_, _стансала, 
   {{0x72d6042b,0x67a10092,0xfb16013b,0xfae0004c}},	//   _pogodio_, _コミックセット_, _gagastus, _bateegeb, 
   {{0x3b97023c,0x2c610239,0x926c029e,0xf2300464}},	//   _کامرون_, _kapunga_, _bologn_, _itemera_, 
   {{0x58cc0461,0xb3950277,0x00000000,0x00000000}},	//   _exaustiv, _lurso_, --, --, 
   {{0x63eb023d,0xc74f0299,0xfc3000c5,0x56a400d1}},	//   _tratto_, _ئەۋرىشكە_, _répressi, _বৈদূৰ্য্, 
   {{0xd25b0119,0x8b8d0326,0xef9f0291,0xb26a03f1}},	//   _adalim_, _amununur, _أوغندا_, _vstavaný_, 
   {{0x79da0037,0x915b02c4,0x330f0640,0x18880090}},	//   _ባለብዕር_, _консумир, _osobito_, _akakuvad, 
   {{0x63450130,0x25720147,0x56a203d5,0x00000000}},	//   _damdost_, _مۅلتۉر_, _buntowsh, --, 
   {{0xee8a00e6,0x5b61004c,0x4503035b,0x1f5201b3}},	//   _制作太粗糙_, _agireeta_, _tretjino_, _академік_, 
   {{0xae660096,0x5ff601a3,0x276f01ab,0x8c67007b}},	//   _abapfumu_, _بئنڪاڪ_, _चिन्हली_, _chitter_, 
   {{0xdb840375,0x2b7f020d,0x12e00117,0x00000000}},	//   _afunanso_, _kuruhuka_, _maunten_, --, 
   {{0xfcf702e2,0x723001dd,0x28150177,0xfb1d05fb}},	//   _birthmar, _atemera_, _jepérõ_, _zapaljen_, 
   {{0xa9630326,0xc17b00cf,0xa9f50084,0xeae3014e}},	//   _amunamat, _dalagaal, _begér_, _poduhvat, 
   {{0x62b401d4,0xa382022f,0x2c7d0195,0x6c680235}},	//   _ronchi_, _vairavim, _endspan_, _bharato_, 
   {{0x4386041f,0xa2b403c2,0xc7d70026,0xe9b70359}},	//   _ufaro_, _frock_, _negatiev, _ierdappe, 
   {{0x02010225,0x1de60071,0x76a10214,0xa37b0428}},	// [9bb0] _begier_, _مخفیانه_, _akathath, _nalagam_, 
   {{0x8a7c008a,0x92260119,0x9c1f0272,0x00000000}},	//   _aitagata_, _asukar_, _amulaamu_, --, 
   {{0x1a570137,0xdc9900d9,0xe37f00a1,0x00000000}},	//   _далайг_, _раздраже, _mikaera_, --, 
   {{0x0b210326,0xf2b40155,0xe04700c1,0xbd6b01f1}},	//   _aivakomb, _krock_, _नाईलाज_, _martesës_, 
   {{0x426e031e,0x533b0235,0x25470143,0x00000000}},	//   _uzroke_, _अभ्यगच्छ, _матрицат, --, 
   {{0xbb1b0073,0x82b401d9,0x98710420,0x36eb0080}},	//   _simplice, _drock_, _оставам_, _appaqarf, 
   {{0x944e0052,0x13eb004d,0xc4b1022f,0x429200f6}},	//   _souvisej, _aratro_, _устань_, _fatihə_, 
   {{0xbae10141,0x459e0129,0x6d00023c,0x86270170}},	//   _jumladan_, _ilaghach, _سپړنو_, _apongozi, 
   {{0x49c700f5,0xf37a0264,0x12fe008c,0x48e2020a}},	//   _дамара_, _hataman_, _alpinas_, _курчатов_, 
   {{0xaa6103da,0x59210265,0x7c0b031a,0xc8650299}},	//   _agafeela_, _bescheid, _eriskay_, _ئۆتسۇن_, 
   {{0x5b650013,0xdbe001b4,0xeb050326,0x17930074}},	//   _tartibda_, _waterver, _atashast, _saataisi, 
   {{0x638600f9,0x7e520066,0x7eb90361,0xb8d30078}},	//   _agira_, _боксчид_, _топленое_, _кораке_, 
   {{0x0f260061,0xbc5101c9,0x8fd00138,0x00000000}},	//   _웹페이지를_, _बानें_, _dahildir_, --, 
   {{0x5387013c,0x425701f1,0x30f0027b,0x021202a0}},	//   _qeyri_, _portokal, _वायवः_, _okeho_, 
   {{0x221201a7,0x821206c2,0x6c5a02a8,0xa9210265}},	//   _siihen_, _shehu_, _statali_, _gescheid, 
   {{0x2355027f,0x22e50388,0xa29000ce,0x9f25017f}},	//   _faveurs_, _cronaca_, _sekans_, _aserorta, 
   {{0x15ac04b9,0x0c1401a7,0x242b019e,0x2c570060}},	// [9bc0] _languish, _viestiss, _šlapimo_, _танимын_, 
   {{0x4d960148,0x524805e6,0x88bd0060,0x42b402ca}},	//   _mattered_, _nommer_, _بەرمەسەد, _croch_, 
   {{0x52b4043b,0xd09100d1,0xd2eb02d3,0xc1e600ba}},	//   _droch_, _শিশুক_, _quantos_, _لێخۆشبوو, 
   {{0xb5560089,0xa2cd01f0,0x21e5008f,0x92f302a2}},	//   _tannarı_, _bokoeng_, _गोंड़उभं, _malimit_, 
   {{0x427e019f,0x69fb03bd,0x895a0311,0x1ef200a6}},	//   _mwingi_, _mahunahu, _ህዝብውን_, _elikulun, 
   {{0x13940074,0xa29101ac,0x9ddf000a,0x00000000}},	//   _siisti_, _chearn_, _chukotka, --, 
   {{0x37eb0080,0xf3eb000d,0x4b1f075e,0x782d004d}},	//   _ammartag, _teatel_, _аьрбаша_, _上年度預算數_, 
   {{0x584b029e,0x8f5e005b,0x93fc04c2,0x5da30370}},	//   _sextilis_, _megaphon, _rumuniji_, _dibotola, 
   {{0xd8060139,0xbb7601c5,0x80f40251,0x3a730513}},	//   _agamyāga, _sarreeya_, _yididiil, _madarata_, 
   {{0x55fa004d,0x1a080133,0x221300ed,0xb292005b}},	//   _處三年以下有期徒, _daballee, _inahan_, _kjærsgaa, 
   {{0x7c0e0184,0x5ea5032d,0xa9e7010f,0x09f40094}},	//   _amapine_, _bahlaban, _махбас_, _بىلەسز_, 
   {{0xe7a10538,0xfc0701c0,0x72d4027e,0x00000000}},	//   _reguleri, _ajalinsu_, _hakovan_, --, 
   {{0xec6103d8,0x51c9010f,0x95a9046b,0x92240488}},	//   _prirode_, _корти_, _darganfy, _malkas_, 
   {{0x6288002e,0x335f0075,0xf75c00a1,0x742702e7}},	//   _ovakvim_, _herfyri_, _rikirang, _makabuyo_, 
   {{0xd30d009a,0xc71d0081,0xed9f0235,0xeb9702b6}},	//   _alayensi_, _andvirði_, _नियोजितः_, _байлам_, 
   {{0xf2da012c,0x02e001c1,0xcf2e012d,0xe3ac00f7}},	//   _ukweli_, _काबीज_, _rileasun, _korpon_, 
   {{0x42e30217,0xb2fc036d,0xa6fa003c,0x82da0102}},	// [9bd0] _admitte_, _creidis_, _فرخنده_, _kaseja_, 
   {{0x237a0082,0x07670128,0x5a2c02e1,0xb9090397}},	//   _matakan_, _банкда_, _poncanna_, _комилова_, 
   {{0xef1400ff,0x82550109,0xac920456,0xbea10256}},	//   _באָכער_, _गुमेको_, _terulung_, _kandavas_, 
   {{0xd5d2045f,0x19740173,0x0b9a02ea,0x00000000}},	//   _skadestå, _reunione, _pianific, --, 
   {{0x52b40625,0x5e380170,0x4a270109,0xea1b0299}},	//   _troch_, _ankamusa, _समाबेश_, _رىستىپ_, 
   {{0x02b90705,0x3d2202da,0x7b0e0108,0xb8f3026c}},	//   _fácil_, _lubrific, _tempoint, _flagellu, 
   {{0xc02500c7,0x8e72014f,0x6a980060,0x5b7d048f}},	//   _путинга_, _постане_, _تۇتاتىنى, _kolukaka_, 
   {{0x46e803b8,0x037a044f,0x538602ca,0x53950633}},	//   _қарастыр, _katakan_, _beart_, _purse_, 
   {{0x7b070141,0x2959020b,0xeaeb04ee,0xccd2004d}},	//   _сиздан_, _baporofe, _falopian_, _台南房屋仲介_, 
   {{0x5241006b,0x5aeb03db,0x01b500ab,0x8a0b02ee}},	//   _ढंगले_, _ashumaye, _pakipūme, _irraport, 
   {{0x52fc005a,0x52b40111,0xbddc0227,0x00000000}},	//   _amigho_, _croci_, _tasyahud_, --, 
   {{0x3f2d0461,0xe37f009c,0xcfdb002e,0x67ca031d}},	//   _montanha, _allaapa_, _oduziman, _ardsmooi, 
   {{0x277003d6,0x29c70159,0x25bb0392,0xf248018d}},	//   _समानांतर_, _сабака_, _baralach, _filmit_, 
   {{0x2db9019e,0xf40001ef,0x18a80135,0xa3860044}},	//   _гербам_, _зерня_, _сайтыгыз, _hears_, 
   {{0xd3aa02a9,0x824304c7,0xc1c501af,0x9e320277}},	//   _старой_, _мудрости_, _resminam, _ginganla, 
   {{0x52b1029f,0x6c590601,0xaf1e0113,0x323601da}},	//   _musieť_, _nahulog_, _sealbhói, _dukje_, 
   {{0x43eb077b,0x44a901e6,0xe21300ed,0x6386007b}},	// [9be0] _cuatro_, _dynamick, _unahan_, _dears_, 
   {{0x3240039d,0xff6502f3,0x330102af,0xb8090188}},	//   _khomboni_, _betalnin, _ayibone_, _хечгох_, 
   {{0x2e5502eb,0x96d00025,0x43680255,0x932b0156}},	//   _булаам_, _राशिः_, _kaugelt_, _פּוצט_, 
   {{0xd38604c0,0xbbb600bb,0x754e0045,0xbe0f049d}},	//   _afiri_, _کبریا_, _личне_, _concluíd, 
   {{0x938602fd,0xbea400be,0x00000000,0x00000000}},	//   _hearr_, _montagut_, --, --, 
   {{0x039600a0,0x3ee80092,0x625a012c,0x1c67011f}},	//   _agusta_, _少なくとも_, _mbolea_, _nemuña_, 
   {{0xd8e80024,0x35a900bf,0xedb6012a,0xb30b02b6}},	//   _দৃষ্টিভং, _великой_, _gimnazja, _مىڭدىق_, 
   {{0x06820125,0x2386001f,0xb37a0140,0x22a70173}},	//   _derejesi, _efiri_, _kalakal_, _grabar_, 
   {{0x1bb40219,0x22c80008,0x153e02ac,0x2bab002b}},	//   _abakacec, _шайтанды, _وأصيلا_, _কনকচাঁপা_, 
   {{0x73860144,0x83880096,0x02da0348,0x3580068e}},	//   _fearr_, _akayoga_, _baseka_, _taburetk, 
   {{0xcb8103f0,0xf2f503e5,0x5a3900af,0x7064003b}},	//   _vinnumar, _militik_, _печери_, _kulamafo, 
   {{0x13860101,0x927a023b,0x8e3e01ea,0x513402da}},	//   _afara_, _halihali_, _табассум_, _очевидци_, 
   {{0xc07403bd,0x6c920193,0x92e90271,0xc3f7000b}},	//   _atubango, _berujung_, _poenget_, _manufeai_, 
   {{0x7e36033e,0x7ccb0037,0xff47002b,0x29fa02e4}},	//   _adolfobs_, _አልፋቤት_, _হাসনাত_, _imnissla_, 
   {{0xe863017e,0xac820192,0xbf080321,0xfd820192}},	//   _שרשים_, _berekend_, _razvelja, _berekent_, 
   {{0x3d8c017f,0x8adc0238,0x270000c1,0x00000000}},	//   _kommunia, _участю_, _माळशेज_, --, 
   {{0x32c60101,0x0c8c00df,0x23eb02da,0x9387020d}},	// [9bf0] _publice_, _communiq, _quatro_, _iterwa_, 
   {{0x138706a2,0x920003b0,0x2c9000ba,0x9e580037}},	//   _aterwa_, _sveio_, _زاکیره_, _የሽምግልና_, 
   {{0x726a02c3,0x39a2034e,0xe2780333,0x85bb021f}},	//   _vstavané_, _akunañam_, _cornes_, _barabach, 
   {{0xa12201ec,0xef120437,0xf9960373,0x00000000}},	//   _abimèlèh_, _fordelen, _budhisma_, --, 
   {{0x94d10570,0x31500176,0xcf3002e7,0x5ee8030b}},	//   _पालिका_, _kalundbo, _kakutuba, _baakolan, 
   {{0x33680088,0x341703a8,0x4380003d,0x00000000}},	//   _enigmes_, _ব্যহাৰ_, _carrat_, --, 
   {{0x15d7017a,0x4200033e,0x826c011d,0xd8fc00f5}},	//   _ababatsh, _aveil_, _bihor_, _halatynd, 
   {{0xc2cc0016,0x4e9e00d1,0x698500f0,0x82000176}},	//   _kvalito_, _উপাসনাৰ_, _semienka_, _chiiko_, 
   {{0x2e3c02ac,0x39f105fe,0x29a50040,0x7b0a001c}},	//   _لشؤون_, _उत्सर्जि, _מושקוביץ_, _opisyale, 
   {{0xa2da0198,0x133b0311,0x69f600f7,0x7f4b03ab}},	//   _obsega_, _ዝምርኰስ_, _altanive, _listové_, 
   {{0xb99201a3,0x726c0204,0xbf240333,0x00000000}},	//   _اڌوڪڻا_, _noloin_, _battisca, --, 
   {{0xd2500299,0xc4960019,0x00000000,0x00000000}},	//   _تىشەر_, _дүжүр_, --, --, 
   {{0xfd3a0009,0x6c7c02d3,0xa7690255,0x7f7f011a}},	//   _zanimale_, _ferrets_, _सुन्नरी_, _במיכל_, 
   {{0x5395015a,0x1e7f02fe,0x8dbc02f7,0x7fdb0311}},	//   _dursa_, _دیپلومات_, _dibalate_, _ምሕላፎም_, 
   {{0x7224042b,0xa7240198,0xa2cf028d,0x19e30133}},	//   _bajke_, _občasno_, _negosie_, _heerregd, 
   {{0x7395006f,0x16e70300,0xa33900da,0x41f701b4}},	//   _fursa_, _starožit, _презентэ, _polisiem, 
  
   {{0x98870125,0x5b4f0212,0x0e3400a0,0x538000d9}},	// [9c00] _сатарды_, _commiser, _fafatawa, _tarrat_, 
   {{0x4c3600e1,0x35e20450,0x71560122,0x987e0281}},	//   _bennaanu_, _eftergrû, _سالومه_, _alligalu, 
   {{0xe27b0018,0xc5d5018a,0x00000000,0x00000000}},	//   _kadinali_, _anobeith, --, --, 
   {{0x37c7003e,0x82d60450,0x63a900bb,0x6f640219}},	//   _aparetsw, _besleat_, _ہوشربا_, _ingaphin, 
   {{0xb2d603ee,0xb92700ba,0x03e203f7,0xc29c002f}},	//   _dogodio_, _دامێنی_, _stelpusk, _chakrap_, 
   {{0x71ae01ec,0x39f701d9,0x491603b8,0x88f7047d}},	//   _آمپلی_, _behaapte, _تاپتىڭ_, _behaaptu, 
   {{0x772a028e,0x975e027b,0x39ca0344,0x2ae10081}},	//   _tantanim_, _bāṣpapar, _biologip_, _fallegan_, 
   {{0xf395014b,0x2e44015e,0x00000000,0x00000000}},	//   _fursi_, _антиколо, --, --, 
   {{0x82f40119,0xf3a2006a,0x9ec40037,0xdb680192}},	//   _kapital_, _ejipta_, _በተከበረበት_, _apeldoor, 
   {{0x0abf01c2,0xdcdf00c5,0x474b02cb,0x9fc304ad}},	//   _ninguén_, _县级以上各级人民, _roditelj_, _dikopolo, 
   {{0xfc7c0111,0xec7e0364,0x17e00405,0xd5e9020a}},	//   _verrues_, _entstan_, _forpakni, _зарядтал, 
   {{0x7ec204cc,0x22d80362,0x89e201a3,0x43c802c2}},	//   _ndangcan, _bademo_, _ماچيس_, _gatvol_, 
   {{0xef6401f9,0x82000257,0x2317020e,0x12d50066}},	//   _angaphin, _tveim_, _efanwang_, _metodoa_, 
   {{0x8ec90055,0x5f1c00ba,0xa87f027b,0x5e7900ab}},	//   _moindres_, _ئۆساسۆنا_, _वन्दनाय_, _aihikirī, 
   {{0x348d015d,0x5488029f,0xfed8022a,0x2b340028}},	//   _eleganck, _vulgariz, _iblibons_, _dibadiis, 
   {{0x62480352,0x41ce00af,0x4290001c,0x7bf60277}},	//   _sommar_, _положенн, _dziaå_, _magtarab, 
   {{0x780605b5,0x53ec0307,0xfe4e01cd,0xaaed0162}},	// [9c10] _típicas_, _amamelik, _қайди_, _кондализ, 
   {{0x12250181,0x00000000,0x00000000,0x00000000}},	//   _ggrks_, --, --, --, 
   {{0x458b0129,0xed900226,0x66c30322,0x00000000}},	//   _anamachọ, _akulinga, _banashyi, --, 
   {{0xa28003ef,0x32220060,0x2713021c,0x227f0109}},	//   _abasivil, _активіне_, _ekosysté, _motivaci_, 
   {{0xe3cf00cd,0x83860281,0xfe8b0113,0xd0a703d4}},	//   _anavos_, _peary_, _نسبته_, _циркус_, 
   {{0xe18b01cc,0x8d9c01a0,0xaf0501f4,0x00000000}},	//   _krameṇa_, _funghiwe_, _stavkala, --, 
   {{0xca0200de,0x7dc301eb,0x2d900315,0xfa15003f}},	//   _akhalaze, _asukávai, _ekulinga, _romanika_, 
   {{0xf3860502,0xdb8f04f9,0xd2ac0176,0x638603b4}},	//   _weary_, _misissor, _vanquish_, _agare_, 
   {{0xe3860265,0x493602a5,0xf2d803b6,0xb6b7013d}},	//   _gearx_, _prospěch_, _badejo_, _raportoj_, 
   {{0x7c680170,0x10bd0094,0xb0030486,0xe992032d}},	//   _samueli_, _زاماندار_, _सुहाउँदो_, _itshitle, 
   {{0x67ce0226,0x73f40148,0x198200b4,0x30f200e6}},	//   _akhumudw, _certum_, _постурь_, _网友来信选登_, 
   {{0x426e021a,0xd9c70093,0x231c00c7,0xa4830061}},	//   _biroos_, _гавана_, _бардылар_, _시위입니다_, 
   {{0x6f170092,0x02970080,0x46f400e6,0xcdc401c4}},	//   _システムマネジメ, _amikkit_, _历史最高学历_, _musikale_, 
   {{0x94bd012a,0x727f0196,0x384c02da,0x6e3700d9}},	//   _ट्रेनों_, _bwanji_, _поставув, _palautta, 
   {{0xf27c02b0,0x4faa0130,0xc2d603ea,0x315c019b}},	//   _herstell, _ploemeur_, _tailles_, _гумар_, 
   {{0xa0570177,0xc7a1025b,0x658201eb,0xa3c20156}},	//   _милициа_, _landsveg, _irandipú, _נירעדהאז_, 
   {{0x6e0c02a5,0x42fe0138,0xa63c00de,0x2d9003de}},	// [9c20] _vlastně_, _fethiye_, _تدارکاتو_, _ukulinga, 
   {{0x323e01db,0x0e4f0122,0x3ae400d1,0x2f2b0041}},	//   _اياگوز_, _اونوقت_, _জুহালত_, _imíjepi_, 
   {{0x42cb04bb,0xfaed0149,0x43ce03ee,0x16c20094}},	//   _dogdig_, _gidiọn_, _snove_, _تەرىسكە_, 
   {{0x8f5e020e,0x438701d4,0x9dde0188,0x81480022}},	//   _dibalcon, _averia_, _сараввал_, _ditebell, 
   {{0x340b019b,0x490900b7,0x426301f4,0x62e90116}},	//   _дзвюх_, _annaberd, _ofitserl, _donnert_, 
   {{0xdaca035f,0xea630062,0xe295024e,0x73bf01b6}},	//   _सुदर्शन_, _botlhobb, _islamski_, _unaware_, 
   {{0x8ff800e3,0x8fc402d3,0xbf0100b9,0x63dc0167}},	//   _aragoniż, _sexopelo, _कान्होजी_, _fynwes_, 
   {{0x6152028b,0xed7201c9,0x13db0099,0x29df0381}},	//   _аусуразы_, _स्टेनोसँ_, _hakuzati_, _einforce, 
   {{0x9ffc0475,0x2ecc0148,0xda740192,0x9e5302fc}},	//   _способа_, _mediolan, _어린이보호포장대, _bakabiha, 
   {{0xfeb10156,0xaea30203,0xa2e901d9,0x939500e1}},	//   _מכלכל_, _expreset_, _honnert_, _dursu_, 
   {{0x82d6028d,0x7de505ac,0xbb590078,0x557602f3}},	//   _pailles_, _líkjast_, _цензуру_, _nöjesnyt, 
   {{0x34d700f5,0x42d8023b,0xb35402a4,0x00000000}},	//   _параны_, _palemo_, _licebit_, --, 
   {{0xc4fb0255,0x51eb01ab,0x526d0004,0x62d801d5}},	//   _करतारन_, _करिअवा_, _enpou_, _kliens_, 
   {{0x62c90032,0xe7f30085,0x84330367,0x0daa01de}},	//   _cholegh_, _koicalev, _parceiro_, _جىڭجوۋ_, 
   {{0x9d29012e,0x82d801c1,0x7302022d,0x0e2a009a}},	//   _ڈیموکریٹ, _dipenuhi_, _affattu_, _bangenda, 
   {{0x2f3e02ef,0xb2dc024f,0xa8f70251,0x4ff201cd}},	//   _aparamma, _makogai_, _sanadeed, _болтуев_, 
   {{0x8395001d,0x26de00db,0x52bf01c5,0x00000000}},	// [9c30] _cursu_, _प्रहेलिक, _لۅتان_, --, 
   {{0x1cac00c5,0xd2d8009b,0x069c018a,0x559c018a}},	//   _商务部网站_, _kaleko_, _adweithi, _adweithy, 
   {{0xb102008d,0x661f0196,0x236900c5,0x348403a2}},	//   _bunyodko, _amumbadw, _soigner_, _ऑलटाइम_, 
   {{0x79d6014a,0x82b30092,0x566001db,0x7d1c011a}},	//   _واقعات_, _rådets_, _سالۋدا_, _קלדרון_, 
   {{0x03f70051,0x226c005b,0xe2d90455,0x00000000}},	//   _traucēju, _mahou_, _foyers_, --, 
   {{0x6c7d000c,0xd16a0311,0x0a160322,0x82d90033}},	//   _asassin_, _ብነፋሪት_, _bagakeka_, _brunold_, 
   {{0x92da00a6,0x83960437,0xfb6c01e6,0x722403f1}},	//   _okweli_, _satser_, _klimatic, _fajka_, 
   {{0x031602e8,0x88930227,0x060b004b,0x033902ee}},	//   _kunze_, _berkedud, _ичери_, _inkwadri_, 
   {{0x92ec00c7,0x82da035b,0xa58700d1,0xc90e002b}},	//   _алдан_, _katero_, _উগ্রজাতী, _দ্বীপের_, 
   {{0xb386025f,0xac670297,0xe26d003f,0x284d0256}},	//   _ngiri_, _bakuğa_, _hipon_, _nabadzīb, 
   {{0x5c52007b,0x68680044,0x99e60177,0xbd980342}},	//   _sigtuna_, _chapters_, _мышхәабз, _ensousya, 
   {{0x29fd0101,0xe6b602e0,0x077502a5,0x00000000}},	//   _duminica_, _berekanw, _अनेसास_, --, 
   {{0xd807034f,0xa135005e,0xc2150152,0x1e4d0241}},	//   _اخترلمان, _بۇركۇت_, _energiä_, _garaakee_, 
   {{0xf2da0414,0x5ef50203,0xbf2102d0,0x00000000}},	//   _ekweli_, _provisat_, _setterda, --, 
   {{0x12910516,0xc60b028e,0x537f00d9,0x53ea0026}},	//   _buckles_, _konektem_, _sanalla_, _sletje_, 
   {{0x12900016,0xde4502c1,0xbbcd012b,0xdd9903b7}},	//   _alian_, _rugaraga, _काशीनाथ_, _alconsfa, 
   {{0xc3890244,0x473500e6,0x6c8a0350,0x00000000}},	// [9c40] _гергана_, _初中政治教学论文_, _ቢገልፁም_, --, 
   {{0x79f70166,0x4035005e,0x9263003e,0xc8f70166}},	//   _behaupte, _كۆمۈلۈپ_, _botoloki_, _behauptu, 
   {{0x19130196,0xdf46017c,0x30580332,0x6b73018a}},	//   _anabangu, _krossade_, _trasplan, _deallusr, 
   {{0x36bd00c0,0x4d09005d,0x0ad10166,0x3290005b}},	//   _kuwalipi, _cherovar, _kümmern_, _gajald_, 
   {{0x11b0009a,0x5db401e5,0xdc6600c5,0x8af60298}},	//   _انجلۍ_, _esinisla, _mettent_, _nepukane, 
   {{0x55330130,0x3a9a0099,0x43860461,0x82900338}},	//   _atlantel_, _akandiis, _afars_, _amiat_, 
   {{0xad90009a,0x93f20061,0x525200db,0xc7e804e5}},	//   _akulunga, _촛불집회현장_, _ajutisel, _baasalaw, 
   {{0xc79d045b,0xca6c0047,0xf08600ee,0xa39a019d}},	//   _цифри_, _climatis, _аткинсий, _gamphani_, 
   {{0x329103c2,0x0b1a0478,0x58f60344,0x53800259}},	//   _pecans_, _saragoss, _allamiuu, _parret_, 
   {{0x526c046d,0xd2a7001e,0xb2da020f,0x6da30156}},	//   _mahosi_, _asabar_, _akweli_, _איילבערט_, 
   {{0x54290028,0xc4680365,0x78d30025,0x626d017e}},	//   _inkastoo_, _mladého_, _गुरुवाक्, _pipon_, 
   {{0x93480418,0xc290042f,0x535e0448,0x898e00d7}},	//   _izlendi_, _umiat_, _årgang_, _налич_, 
   {{0x470d01cd,0x1ae9023e,0x03ea01cd,0xe110014a}},	//   _сабру_, _arithome, _alethe_, _gravíroz, 
   {{0x22f400ad,0x242001ef,0xa95301d1,0x935800c5}},	//   _ngantor_, _pasitelk, _violence, _rideaux_, 
   {{0x69f00119,0x00000000,0x00000000,0x00000000}},	//   _pamurubu, --, --, --, 
   {{0xac7604cc,0x8dea018d,0xcfa000bc,0x804a032c}},	//   _dopraih_, _ሓርነቱን_, _kawentar_, _aporaann, 
   {{0xdc2c0322,0xdfd50088,0x00000000,0x00000000}},	// [9c50] _ababakor, _алыныш_, --, --, 
   {{0x147f043f,0x726400a4,0x72f30014,0x6143024c}},	//   _historij, _esplai_, _kalimit_, _iddettal, 
   {{0x39800170,0x953c023c,0x5aa90076,0x66de00bb}},	//   _akukhota_, _دزلزلې_, _неделен_, _السٹریٹر_, 
   {{0x57a400c5,0xf0c6009a,0x7e0901bb,0x52ca021d}},	//   _胶南市乡镇及街道, _abalusal, _abadanla, _smider_, 
   {{0x126c00d6,0xcd6b07e8,0x5c5f026c,0x12eb047d}},	//   _dahom_, _प्रभाती_, _nostram_, _klenger_, 
   {{0x7663009a,0xcab5070a,0x1e460242,0x00000000}},	//   _antiyokw, _राजोपाध्, _azaltmağ, --, 
   {{0x08e00331,0x0e570092,0xf5c30143,0x00000000}},	//   _innskriv, _lanceret_, _телефонъ, --, 
   {{0xcd2c012a,0x6dc90139,0xa3b10277,0x4c0600d0}},	//   _ponownie_, _acchanda, _gisablig_, _kristau_, 
   {{0x8c04027c,0x9d5200f5,0x4a1d0297,0x36820255}},	//   _ofisini_, _руссияда_, _башыңнан_, _लेखान_, 
   {{0xad1200f9,0x4c5f02d3,0x6fbd019d,0xb96b0008}},	//   _iharanir, _mostram_, _chilicho, _plantege, 
   {{0x765902eb,0x632003ad,0xf3550222,0x0f6100bc}},	//   _графикий, _bicciet_, _saveurs_, _dilakokn, 
   {{0xbbf3020a,0x140d001c,0xcb1a02ec,0x933a0037}},	//   _يدەيالىق_, _khorasan_, _nabadoon_, _ለማሣደግ_, 
   {{0xcb7f0259,0xabee02e4,0xa5e102aa,0xa2fc010b}},	//   _microrna_, _difensur, _semestrá, _mengwe_, 
   {{0x093c027e,0x742d04a7,0x7c600206,0x848501c9}},	//   _promenit, _árbitros_, _tabuľa_, _गरमाईल_, 
   {{0x994303ea,0x6e57005c,0xba5a0040,0x53dc0285}},	//   _imprimer_, _akabamba, _רדיאטור_, _ashwi_, 
   {{0x3d6b01cc,0xe61a02e1,0x426c0119,0xddda03d4}},	//   _प्रभाते_, _strainsé, _gahom_, _цветном_, 
   {{0xd6a50193,0xe9e80211,0xeab001b2,0xa27f0054}},	// [9c60] _नियतकालि, _maatalou, _anchylos, _awanni_, 
   {{0x96940037,0x1c52027f,0xf380037c,0x02b605f2}},	//   _በመረጡት_, _ireteta_, _narrat_, _cercha_, 
   {{0xc34202c2,0x2d1200c2,0x940a0126,0x7796036e}},	//   _beteken_, _aharanir, _контакті, _blythipi, 
   {{0xf3eb001b,0x5645005e,0x9aa3021f,0x00000000}},	//   _natti_, _سۆزقالدۇ, _hiikkaan_, --, 
   {{0x8a050139,0xe9b6034c,0x129202fe,0x00000000}},	//   _antarhit, _canisäp_, _besars_, --, 
   {{0x92fc04ad,0x25ac01cc,0xf63e00fe,0x9d9d000b}},	//   _lengwe_, _लिखति_, _kovinani, _noanoata, 
   {{0xce900334,0xe3800288,0xabf504dc,0x8b57020a}},	//   _akumunen, _marrat_, _بورجه_, _таралуы_, 
   {{0x170d00da,0x33860160,0xa2d8004f,0xa34b00e3}},	//   _патра_, _širem_, _gayndeg_, _inservu_, 
   {{0xed1b0056,0x12070010,0x72c70153,0x42c80205}},	//   _abangase_, _itakwati_, _好きな食べ物_, _asilbek_, 
   {{0xd2b100ad,0xaf2e0418,0x43660012,0x92000267}},	//   _pandawa_, _videosun, _देखईलू_, _milić_, 
   {{0x82620085,0x2c0d03ae,0x323702f4,0xbebe017a}},	//   _kidomoki_, _byggherr, _quejas_, _akhuleke_, 
   {{0xc4d7019e,0x4fe400e6,0x73730211,0x8402009f}},	//   _бараны_, _狗与猫的情话_, _lomalle_, _diagnozo_, 
   {{0x05d900c8,0x6290023b,0xb2970369,0x66800455}},	//   _индексы_, _aukake_, _makahehi_, _bureauti, 
   {{0x525c0388,0x95a30435,0xc9b9019b,0xb7620023}},	//   _località_, _победу_, _потым_, _реальнос, 
   {{0xb3a5009b,0x437c011f,0xe47e0465,0x83aa0100}},	//   _зууван_, _heratee_, _potekajo_, _zabavnog_, 
   {{0x67fe0147,0x4c650521,0x941300bc,0xb7e70012}},	//   _باپەستەپ_, _popujve_, _پاندا_, _सेजरुर_, 
   {{0xcb170303,0x033d023e,0xc8a90137,0x7b400040}},	// [9c70] _baganets, _akrabé_, _монополь_, _שמסביב_, 
   {{0x826c04c8,0xbdd10052,0x42a7030d,0x591a004d}},	//   _bemoll_, _सिनेमाको_, _arabir_, _記住沈思者的怒氣, 
   {{0x4201015d,0x62fc0410,0x25e6032b,0x6317014b}},	//   _poziom_, _yengwe_, _ئاتلان_, _maganey_, 
   {{0xf26d04d7,0x152600af,0x569403f1,0x93860066}},	//   _vandamál, _ставленн, _zamerani, _afari_, 
   {{0x143e022f,0xe98e0143,0x8670022f,0xde50014a}},	//   _тайне_, _талия_, _геймплэй_, _kalandja, 
   {{0x4124020f,0xa27803c2,0xba2e0311,0x00000000}},	//   _رنګينه_, _barnit_, _ኣድላዪነት_, --, 
   {{0x72c50301,0xe9a10034,0x2fda0390,0x00000000}},	//   _işdir_, _byrjenda_, _dustaqlı, --, 
   {{0x825b041e,0xdf2401db,0x794c0653,0x79780138}},	//   _paglia_, _аналарын, _večerníč, _vaziyett, 
   {{0x973e00f7,0x92f903de,0xc23f03ff,0x0290029b}},	//   _publikig, _uyehova_, _elektrár, _fajaru_, 
   {{0x02fc01e9,0x5ef702c4,0xdf8d02cf,0xd4fb0153}},	//   _sengwe_, _филмот_, _дилемата_, _立命館アジア太平, 
   {{0x1dc9012c,0xd3490067,0x1341042d,0x54a00192}},	//   _mashinda, _antetti_, _ambetin_, _remschij, 
   {{0xfd8a02f3,0xb2da02a8,0xab630338,0xa6bb0322}},	//   _sammanha, _estern_, _bearnesa_, _barakari, 
   {{0x60ce00c4,0xe9b10235,0x586300f4,0x49df0158}},	//   _اسٽورن_, _दर्शयन्त, _gitarour_, _inflacja_, 
   {{0x573600e4,0xfa0c013b,0x054e042c,0xe2d80347}},	//   _लक्षद्वी, _camarine, _imovinsk, _flieks_, 
   {{0xb03f023c,0x89f90307,0xc200029e,0x813d01ac}},	//   _پېلوځی_, _bayibona_, _aveit_, _chritéir_, 
   {{0x5011023d,0x0c120150,0xe2000136,0x99f9027f}},	//   _produtto, _propeti_, _bilić_, _cayibona_, 
   {{0xb3f80294,0x82e30077,0x115102ac,0x6d0b0066}},	// [9c80] _annuus_, _aptitid_, _للقبول_, _onuragar, 
   {{0xf386007b,0x09f6062c,0x334200e5,0x728c02cb}},	//   _geary_, _बिजेन्द्, _fudendo_, _znakova_, 
   {{0x5b5e0078,0x379104fc,0x22b002fd,0x67e000d6}},	//   _трона_, _sustitui, _diochuim, _clostaif, 
   {{0xe291007b,0x42fe0281,0xc1ff068e,0x8836006d}},	//   _buckies_, _atugai_, _chuligán, _баксёры_, 
   {{0xb63f03f2,0x49580037,0xdc75027b,0xd2ba001d}},	//   _aurinkoi, _በሆቴልና_, _तमत्थं_, _sécul_, 
   {{0x634402eb,0x6f37020e,0x2af60040,0x22d80198}},	//   _gelditu_, _badumela, _מילאנו_, _obleko_, 
   {{0xbe190037,0xb4a90177,0xe26c040f,0x8e8300ba}},	//   _በበርሊን_, _иҳаҭырда, _humoro_, _گاوشۆ_, 
   {{0x64ed039e,0xa2ec0611,0x28430192,0xc52e0089}},	//   _বিকাশ_, _butikye_, _하셨습니다_, _коротчен, 
   {{0xdc4807e9,0x1fe00287,0xc980012e,0x00000000}},	//   _वैमनस्य_, _chůze_, _parketta_, --, 
   {{0xc1e30255,0x68f70344,0xd5f50244,0xaea70046}},	//   _उतारि_, _allanitu, _местност_, _esquerre_, 
   {{0x76e70302,0x3b840197,0x6d8106a0,0x62fc0026}},	//   _вахдат_, _transwor, _pyelonep, _lengte_, 
   {{0x124a001d,0xc90d01ef,0xfc6b04c9,0xa3860004}},	//   _llumar_, _банальна_, _bumunot_, _egare_, 
   {{0xa2f40198,0x764901a0,0xe69c0320,0x23400161}},	//   _napisal_, _hitintsw, _lunghisi, _металлик_, 
   {{0x93e200cf,0x40ae040f,0x82fe00f2,0x9c760196}},	//   _afuritti_, _архан_, _kopijas_, _bwerani_, 
   {{0xc25e008e,0x73410120,0xe2000257,0x050f06a0}},	//   _ankoraux_, _dateeta_, _sveit_, _eskoylah, 
   {{0xc3130245,0x73f90178,0xf7e30022,0xd1e9019e}},	//   _gambhir_, _acyuto_, _ылары_, _князёў_, 
   {{0xbebc022d,0x94f60071,0xf39b037f,0xd7a802ee}},	// [9c90] _sparisce_, _نانوتکنو, _cəsur_, _ikkwalif, 
   {{0x02ef013d,0x25ab018d,0x02f40044,0xc39403f1}},	//   _religia_, _ምስጋናይ_, _capital_, _riasy_, 
   {{0x65c50125,0xa6d601d4,0x1f2c012c,0x629b03d1}},	//   _arkadagy, _abbrucà_, _harusiya, _dominē_, 
   {{0x572d01e0,0x5c7e02be,0x79e700ba,0xba20011f}},	//   _ماتماتیک_, _alusyon_, _پرێنسیپه_, _oeaguápe_, 
   {{0x3c3900ec,0x25840014,0xa200008c,0xaa6601b3}},	//   _каэфіцые, _perditsh, _aveir_, _вирушає_, 
   {{0xd8b30416,0xf290019d,0x00000000,0x00000000}},	//   _postular_, _eliah_, --, --, 
   {{0x0fac05ab,0x68df0105,0xc58601ad,0x1b180325}},	//   _favorito, _संक्रामक_, _ostrorã_, _divardan_, 
   {{0x82bb0135,0xd7580193,0x5d8001d1,0x0c640035}},	//   _ägerce_, _युद्धात_, _relevant_, _чыксын_, 
   {{0xf6c60210,0x465d048e,0x2595024f,0x9b7702c5}},	//   _achabudi, _ovikodom_, _natuicak, _averenga_, 
   {{0x6aef02b2,0x2fd70013,0x6b1f0183,0xbd1b01c9}},	//   _annonsen_, _хатарли_, _andairan_, _पुरबारी_, 
   {{0x8c750082,0xe9ca02af,0x00000000,0x00000000}},	//   _haduwar_, _rutomora_, --, --, 
   {{0x5200033f,0x6bbc0261,0x62e300d7,0x00000000}},	//   _nanise_, _broklino_, _lakishe_, --, 
   {{0x620e03bf,0x31ed008f,0x894c02f0,0x6a7e0168}},	//   _насар_, _देवरा_, _akumoshe, _kvalifis, 
   {{0xc30d03ac,0x6abe04c8,0xc027004d,0x7b7c042d}},	//   _membawa_, _provvist, _但只要你態度委婉, _antokatr, 
   {{0x22f5037f,0x21f3044a,0x87b402c2,0x642b00d9}},	//   _bilirik_, _efunguam, _onverwag, _потратит, 
   {{0x525a00d6,0xf74b0079,0x064600d3,0xcd110095}},	//   _gjkldi_, _noliktav, _चण्डी_, _نوستالوژ, 
   {{0xc86e03e8,0xa38700bc,0x0ba0038e,0x25c30038}},	// [9ca0] _štipendi, _awerna_, _देवत्व_, _боазвын_, 
   {{0x1feb023e,0x43be0326,0x02e7019e,0xc2fc0139}},	//   _سرداران_, _chavari_, _брусевіч, _devateti_, 
   {{0xc3240148,0xc13600a6,0xd2000320,0xb5d70361}},	//   _peccati_, _عراقه_, _fanise_, _вакцинир, 
   {{0x02c204bd,0xf5440316,0x096a0258,0xca47006d}},	//   _ameleka_, _cinikaiy, _moandeit, _балоеў_, 
   {{0xbe8004b9,0x752a018f,0x20470405,0xef3c00d3}},	//   _banville_, _dirnaghh, _рейси_, _पुस्ताले_, 
   {{0x19340094,0x6d670238,0xec6901be,0x5316012c}},	//   _сылтау_, _закономі, _korupci_, _funzo_, 
   {{0xc2c203f0,0x8a7c033f,0x1f2e0378,0x62f40422}},	//   _daglega_, _fatafata_, _veruliga, _zapisal_, 
   {{0xe3640190,0xa2f1003c,0x00000000,0x00000000}},	//   _reafter_, _deviasi_, --, --, 
   {{0xf201028d,0x83940493,0x517300d9,0xdfed0037}},	//   _arvind_, _nhasi_, _приходит_, _እናየዋለን_, 
   {{0xf36404bd,0x6d0800bb,0xac620553,0x3d84028d}},	//   _aleguma_, _ابوغریب_, _chorôb_, _rerepete_, 
   {{0x5e6801db,0xe62e00c5,0x884b0462,0x97b7010f}},	//   _ءبىرجان_, _必须保留本站注明, _allotted, _ashukumi, 
   {{0x62eb01d7,0x9c750082,0x80e3008e,0x33e703b0}},	//   _franzos_, _yaduwar_, _demaleek_, _måtta_, 
   {{0x8344012e,0xbd9f023c,0xd295014f,0xc60b0109}},	//   _hetente_, _دشپږو_, _огроман_, _nečekané_, 
   {{0xf6b80021,0xfe4900a4,0x93eb016f,0x99e901ac}},	//   _adrenalw, _viladeca, _natts_, _veidhlín_, 
   {{0x154e0017,0x41ab002b,0x8dd6046f,0x00000000}},	//   _slovansk, _ভেনিজুয়ে, _harharha, --, 
   {{0x3301005e,0xa37f0306,0x404b02d3,0xcd2f00b4}},	//   _مەينەت_, _allampa_, _entretan, _fericire_, 
   {{0x59110538,0x41450169,0xc64f0145,0xfffa01c9}},	// [9cb0] _overført_, _বিধিমালা_, _technini, _डोलावते_, 
   {{0xfc7500db,0x2b700235,0xac6a01be,0x63020158}},	//   _बिन्दी_, _arjunena_, _alarmem_, _pragną_, 
   {{0xb3940049,0x02f402f6,0x3b7f0240,0x3c1e02d4}},	//   _ahasi_, _madilim_, _lotutaka_, _surpriu_, 
   {{0x80000256,0xff8b0061,0xc3940789,0xd30101a0}},	//   _kinoteāt, _얼마인가요_, _bhasi_, _mavanti_, 
   {{0x22880187,0xff0a0176,0x00000000,0x00000000}},	//   _прерасну, _flowerda, --, --, 
   {{0x3394005b,0x89d801c4,0xaba80371,0xe96c00a8}},	//   _ekish_, _gestrand, _банковит, _bùnmartg, 
   {{0x22980122,0xa2e3033d,0x93000020,0x00000000}},	//   _غزالی_, _denigre_, _sinalei_, --, 
   {{0x59cb018c,0x0705015e,0x110303eb,0xa0c80016}},	//   _popopera_, _алыстыкт, _denkbeel, _aparatoj_, 
   {{0x726c04bb,0x8275023c,0x41e30243,0xcda90022}},	//   _ibhom_, _amarudul, _meesitak_, _бандитта, 
   {{0x839401bb,0x5e480039,0x327f0203,0xf1c70299}},	//   _ikisi_, _bitartea, _duanti_, _بابتىن_, 
   {{0x5eb1013d,0x4a7c0277,0xe9ca0108,0xf3eb013a}},	//   _aspektas_, _datadata_, _hipotesa_, _datts_, 
   {{0x4301041e,0x5db40162,0x163d007f,0x6dce004a}},	//   _davanti_, _بولوپ_, _phentref, _кисеп_, 
   {{0x7b5200a2,0xd3940013,0x85850103,0x59b9006c}},	//   _عبدالمجي, _chasi_, _amburenz, _angemuva_, 
   {{0x63ce02e8,0x5681001d,0x0db800e6,0x19f5014a}},	//   _inova_, _impediti, _万元以上的_, _infót_, 
   {{0x53000179,0x030c003f,0x4fbe0079,0xa2d704ca}},	//   _pulaski_, _dapayqu_, _universā, _abalits_, 
   {{0xa30f00cb,0xb6e000c5,0x08fb0090,0x2e0c03a0}},	//   _imibono_, _多种方式看新闻_, _achatapu, _bonetefa, 
   {{0x1349028b,0x7314037f,0xdeac032f,0xc3a501db}},	// [9cc0] _aiterei_, _unibank_, _envolven, _داۋلەت_, 
   {{0x53660321,0x895e0498,0xe9c000f0,0x00000000}},	//   _spremenj, _fotopost, _poberate, --, 
   {{0x4cb90155,0xd35f02fa,0x43e70034,0xc40600b9}},	//   _anpassad_, _tangaje_, _lítra_, _हिंदवी_, 
   {{0xc6d7023d,0x4349003e,0x33640176,0x00000000}},	//   _орхидеи_, _diterei_, _hageoyaj, --, 
   {{0x2ed9031d,0x0306011a,0x47030177,0xe43902cf}},	//   _anxiousn, _אינסוף_, _katupyrý, _лобирање_, 
   {{0xe3790082,0x12250258,0x8df80109,0xec5001ab}},	//   _miyagun_, _harke_, _उनीमाथि_, _गावइत_, 
   {{0x9180004a,0x498c0450,0x00000000,0x00000000}},	//   _ayzatull, _surhúste, --, --, 
   {{0xf37400be,0x22e100e4,0xdf6c0025,0x6116027b}},	//   _تىكتەگەن, _क़तील_, _तुम्हाकं_, _परभृति_, 
   {{0x80c502c9,0x9dfd01aa,0xde6501ef,0xa3780348}},	//   _емисэ_, _adventwa, _гламуру_, _babatta_, 
   {{0xb2a60247,0x3aa3002b,0xb395046c,0x00000000}},	//   _simbah_, _আষাঢ়_, _wurst_, --, 
   {{0x43940286,0x111201e3,0x496c036c,0x18fb0242}},	//   _akasa_, _družina_, _tahirint, _komandad, 
   {{0xf98e0148,0x737c035b,0x439b0241,0x00000000}},	//   _以無所得故_, _blagodej, _hamajaaj, --, 
   {{0xa48600db,0x957401c6,0x00db0013,0x97440093}},	//   _सुधारे_, _wittensk, _vakolatl, _ударение_, 
   {{0x00000000,0x00000000,0x00000000,0x00000000}},	//   --, --, --, --, 
   {{0x73ce0198,0xbd6b01d4,0xe2130129,0x23e70052}},	//   _znova_, _talmente_, _ahuhu_, _zítra_, 
   {{0xd290021a,0xdc7d028d,0xaea9006f,0xe74e035b}},	//   _alaan_, _praslin_, _اِنسان_, _raziskov, 
   {{0xea1700d6,0x664a0037,0x756a0612,0x02e90326}},	// [9cd0] _tagartha_, _ለመትከል_, _knivstik, _atsidza_, 
   {{0xd419015e,0x0f1500c1,0x3e3b01b6,0x7704027b}},	//   _жаннатта, _वेंगुर्ल, _unsatura, _शिंशपा_, 
   {{0xc29600c1,0xa86300bf,0x00000000,0x00000000}},	//   _पोटोबा_, _горани_, --, --, 
   {{0xe8ea00dc,0x33f902eb,0xf7a90334,0xe9fb0101}},	//   _agasolog, _хармаарг, _amatsali, _comandat, 
   {{0x0d9f01cc,0xfc7e009a,0xb22502c3,0xe3730206}},	//   _anantasa, _anduzaz_, _tazko_, _ohladne_, 
   {{0xef34000c,0x429000e1,0xa2d804ad,0x808c03d4}},	//   _сулхан_, _amaat_, _fekesa_, _сливу_, 
   {{0x6a460032,0x03ce03d8,0x226d0625,0x74ec0159}},	//   _bijeghqa_, _snova_, _tipov_, _бангалор_, 
   {{0x64b90074,0xa95a0159,0x274c02ec,0x8cd900be}},	//   _просветл, _намаганн, _کترِوِ_, _بولدۇنۇ_, 
   {{0x0575000c,0x1980039e,0x6983023e,0x27b30538}},	//   _maltrato_, _skriftle, _aktifake, _avisarti, 
   {{0x8b9d01ad,0x4bed0039,0xda6c0061,0xf5b30137}},	//   _meningoc, _барилдаж_, _이벤트월드_, _бондыг_, 
   {{0x27f00071,0x44920156,0x7573050a,0x00000000}},	//   _بیهوده_, _akuzanto_, _antrenör, --, 
   {{0x834400a5,0x43960227,0x82d503d4,0x00000000}},	//   _aeteete_, _katsir_, _hakovao_, --, 
   {{0x1ccd0169,0xf681016e,0x730c015f,0x2d8603f2}},	//   _কবিতাটি_, _gazetesi, _gerallt_, _краткие_, 
   {{0x2291024f,0x515d0125,0xf02500bb,0xdeba016f}},	//   _kabasu_, _adalatly_, _جواری_, _горла_, 
   {{0x83e6010f,0x3aed01e5,0xd73c032d,0xa37e00b7}},	//   _кадрхои_, _biliọnu_, _хосусила, _назатлык_, 
   {{0x42c203f6,0x2f250220,0x337900ab,0x9c560040}},	//   _amelika_, _affronta, _hepatia_, _ובעזרת_, 
   {{0x6c620148,0x829002c2,0xe2e901eb,0x0d42045e}},	// [9ce0] _terrore_, _slaag_, _enenxet_, _студиото_, 
   {{0x3634030c,0xf37802af,0x525b0244,0x4291014b}},	//   _parnaini, _anganza_, _maglia_, _nabaru_, 
   {{0x32d600e2,0xe25c00c5,0x935e01cc,0x6c610138}},	//   _einliks_, _localité_, _bharataü_, _suyunun_, 
   {{0x88980145,0x7d550357,0x85fe0448,0xb505005e}},	//   _каардына, _dawasamu_, _fremtidi, _ﺑﻮﻻﻣﺪﯗ_, 
   {{0x85b60272,0x026c02c3,0xb06c0297,0xfc1901c8}},	//   _abaperiz, _nahor_, _aslaxano, _identitu_, 
   {{0xb6bb00b4,0x65500282,0xcdc801b3,0xb0400162}},	//   _casatori, _kaikomih, _театром_, _سۇنۇشى_, 
   {{0x33c200c5,0x104900c5,0x041303e3,0x06fc0126}},	//   _当我们宅一块_, _学科分类订阅_, _lensidan_, _загрозою_, 
   {{0x0ed701db,0x56f80234,0xc3950033,0xbfd90350}},	//   _келші_, _oròkúnlé_, _chasti_, _ንቅናቄው_, 
   {{0x639402c5,0x9fa10061,0x834401da,0x00000000}},	//   _akiso_, _배송기간은_, _bukurisë_, --, 
   {{0x436400fe,0xe2eb010d,0x9a390088,0x00000000}},	//   _leagata_, _klender_, _кеменин_, --, 
   {{0x7c75018b,0x2e4b04f9,0x5fd70056,0x41980059}},	//   _valutar_, _allattaa, _лангар_, _личностт, 
   {{0x6f5c02a2,0x3f2e0270,0x3dd6020f,0x3a87005b}},	//   _magaspan, _montania, _diokside_, _fumitats, 
   {{0xb1b000d1,0xf28005b9,0x03560487,0x5033015e}},	//   _লোকেই_, _fiskere_, _aqueous_, _арттыруу_, 
   {{0x860b02eb,0xb68b00f6,0x0291029b,0x58790107}},	//   _авчирна_, _xorvatiy, _jabaru_, _dhangdhu, 
   {{0xfd8401f0,0x72120010,0xa2910316,0x3fdc030d}},	//   _keresete_, _ajehu_, _dabaru_, _bakixano, 
   {{0x2c2100d4,0x68e500da,0x31df0041,0xd26c01c5}},	//   _gedrachs, _адмитеря_, _аапҳьара_, _kahor_, 
   {{0x82d90342,0xfed000e6,0x00000000,0x00000000}},	// [9cf0] _omwen_, _国家原子能机构_, --, --, 
   {{0xf7b50002,0x19e8023d,0x00000000,0x00000000}},	//   _najstari, _suggerit, --, --, 
   {{0xa63700d3,0x9093002b,0xf0630137,0xc1400041}},	//   _समाहित_, _মিশুক_, _ноёлох_, _ӡакәны_, 
   {{0xd2f002ec,0x33160259,0x938702b0,0x99c90088}},	//   _keligii_, _bunza_, _leeren_, _قورشاپ_, 
   {{0xc65b0162,0xf342005b,0x7aeb01cf,0x8c60026c}},	//   _بىناسى_, _aftenen_, _intrigat, _nostras_, 
   {{0x6d2f0211,0xe6d3015d,0x7856002b,0xa3e1021f}},	//   _pahimmat_, _वेनिस_, _অধীনেই_, _egereeti_, 
   {{0xa29b0036,0x269701d5,0xb39502f3,0x925a0255}},	//   _مكسات_, _نازیبا_, _chassi_, _lilled_, 
   {{0x731605c2,0xd3860298,0x42dd00fe,0x426c003a}},	//   _funza_, _ngaro_, _fetongi_, _bahor_, 
   {{0x838600ee,0xc3000277,0x667d0237,0x00000000}},	//   _igaro_, _mabakli_, _보라인터내셔날_, --, 
   {{0x7c60034a,0xfed4002f,0xd92f0554,0x93a202d9}},	//   _mostras_, _allillin, _primijet, _atopau_, 
   {{0x9aaa0156,0x2b90002b,0x00000000,0x00000000}},	//   _מדרבנן_, _শায়েস্তা, --, --, 
   {{0xa2d900ce,0xf2540331,0x39ca004b,0x36c900a2}},	//   _amwen_, _onglandi_, _bopolesa_, _wataalam_, 
   {{0xb60a00d9,0x6a7e02a3,0x1b7e0263,0xf2fc0019}},	//   _innostui, _kwalifis, _kwalific, _коорупци, 
   {{0xef92005e,0x1fae0204,0xb6cc02ac,0x4a8702fc}},	//   _رومانتىك, _маске_, _بيكهام_, _bajijuts, 
   {{0xa0570253,0xa5260330,0x67350210,0x4dbc00b2}},	//   _sanaarto, _tuniyauy, _akazokui, _dabalate_, 
   {{0xe3f80265,0x651703c4,0x9d8f023b,0xbb630450}},	//   _vanuit_, _башлиди_, _kahoukap, _eksmoarr, 
   {{0xc6b200bb,0x9f3d002b,0x13000226,0x19fa017f}},	// [9d00] _ومضامین_, _আমন্ত্রন_, _bulauzi_, _efraimse, 
   {{0x92640513,0xf2fc0360,0x79a80163,0x6e7a006d}},	//   _solomoni_, _aktivit_, _díjmente, _азіраўся_, 
   {{0xca4a00a5,0x715600c4,0x525404d7,0x01460354}},	//   _aotelega_, _ڪاريگرن_, _englandi_, _كاساپەت_, 
   {{0xa9650315,0x00000000,0x00000000,0x00000000}},	//   _kulonake, --, --, --, 
   {{0xdc760025,0xc9e400ea,0xf37b0370,0x753800f4}},	//   _पित्रा_, _loholona_, _balaham_, _deverañ_, 
   {{0xd2e004a5,0x8375032e,0x7290031a,0x90850060}},	//   _abanalo_, _yateqapj, _cliar_, _قىزىلورد, 
   {{0x648503a2,0xae17014f,0x02d0002b,0x4296003e}},	//   _तहखाने_, _значе_, _লিংকটি_, _аллаhы_, 
   {{0xde700156,0xf6be00e7,0x38530181,0xa2c704c8}},	//   _דאונטאון_, _airgapsw, _erlanger_, _aħdar_, 
   {{0x9c6600c5,0x32310048,0x4ba30153,0xc88500e6}},	//   _mettant_, _atumira_, _bankover, _行政过错责任追究, 
   {{0x25b6052c,0x3a010299,0x4f3e0113,0x6c6b019a}},	//   _کابرایه_, _бөлгүч_, _churacla, _blaudet_, 
   {{0xb3ce03ff,0x65e600f5,0xd9b807ea,0x0ae50166}},	//   _znovu_, _бергидар_, _tshenuwa_, _kollegen_, 
   {{0x42000359,0x7338018d,0x57f500a5,0xb15c00dd}},	//   _nedich_, _ሰለስተን_, _lapataig, _coluddio, 
   {{0x8c850156,0xf220000d,0x38e302c2,0x86e30105}},	//   _מוקיר_, _miljardi_, _mensereg, _जनतांत्र, 
   {{0x5e0502a4,0x331b01b7,0x22bb01c9,0x12bc0241}},	//   _siteshap, _anyadā_, _paremad_, _fardaan_, 
   {{0x656300ff,0x5259015e,0x92f004d8,0xc5070159}},	//   _מאפעס_, _سانىبىزد, _weligii_, _startavo_, 
   {{0x5d370009,0x5e22004d,0x4a64013a,0x9c1301ad}},	//   _prenosne_, _多元文化與社會工, _entlooss, _lenzburg_, 
   {{0x1343039d,0x1f5d0212,0x629203fd,0x3365008f}},	// [9d10] _lutendo_, _supplica, _ausage_, _astelpaj, 
   {{0x77db0281,0x6a5901ee,0xeffd0157,0xb26e0183}},	//   _qularnav, _заведующ, _प्रकरणों_, _fotoan_, 
   {{0xa99f0061,0xcf2602ef,0x93fe0230,0x45cd0687}},	//   _인터넷신문_, _tentenna, _ilizyon_, _bagatiny, 
   {{0x6b5901bd,0xb9800389,0x0f120744,0xe27f03cc}},	//   _ءﺑﻮﻟﯩﭗ_, _akriyele, _núcleos_, _হৃদয়ের_, 
   {{0xf4e20178,0x5386031a,0x8dcf0061,0x603301b3}},	//   _पादत्राण, _mairg_, _이용자들의_, _соромно_, 
   {{0x929204c1,0x44870038,0xa5a10061,0x425b0434}},	//   _nesans_, _башлый_, _참고하세요_, _ojalá_, 
   {{0x4f9c020f,0x52c103c6,0xd8750348,0xf99b0143}},	//   _بدبختانه_, _dillema_, _baliragu, _стремеж_, 
   {{0xeb6601fe,0xd304008f,0xfc520027,0xca0a01e9}},	//   _buturara_, _kevadel_, _kretata_, _bonalela_, 
   {{0xf29001c5,0xfd850077,0xb1670156,0x00000000}},	//   _ilaah_, _komemore_, _ערהוילונ, --, 
   {{0x4bee01cd,0x02a80184,0x2d3001a7,0x32900127}},	//   _наход_, _aracaram, _poliisit_, _aliap_, 
   {{0x527e07eb,0x53780064,0x940a03b8,0x00000000}},	//   _dzine_, _escassa_, _баннерле, --, 
   {{0x64d703a2,0x527e019b,0x934102f0,0x3d7f0568}},	//   _वानिकी_, _trinti_, _bemetro_, _framtida, 
   {{0x53050028,0x5dbe0303,0x1c7400be,0x00000000}},	//   _پوران_, _dirisana, _situant_, --, 
   {{0xd20e010f,0x627f0134,0x43860195,0x6cd40143}},	//   _сараш_, _iranti_, _lairg_, _неизпълн, 
   {{0x2b470157,0xcdbc0243,0xa3eb0014,0xe18600be}},	//   _टचस्क्री, _garayate_, _poetit_, _جانسىڭ_, 
   {{0x178b0162,0x371400a3,0xf1e2015d,0xa9bd0234}},	//   _абдуллан, _nærområd, _गोधरा_, _ibọsita_, 
   {{0x92da01ca,0x52630198,0x294a0381,0x485a018d}},	// [9d20] _ballbox_, _evropski_, _ailoredt, _ንምውቃዕ_, 
   {{0x73780390,0x729001c5,0x504d0333,0xa2da0497}},	//   _adlanan_, _alaah_, _ampullin, _callbox_, 
   {{0x026c02a5,0x2b1b0378,0xef45020f,0xfb810452}},	//   _nemohl_, _varafors, _طنزليکون, _अल्कोहोल_, 
   {{0x848702d8,0x0d470211,0x2720013b,0xba2401b5}},	//   _स्टाईल_, _никому_, _naglulug, _mimbhaha_, 
   {{0x95ab0013,0xbb93034f,0xe9da00a5,0xa39402a6}},	//   _بنگلدیش_, _abancinc, _amalosia_, _abissi_, 
   {{0xbe67019e,0xf2900103,0x6be00048,0x30c700f5}},	//   _шахматы_, _ndiani_, _abawalab, _пиңине_, 
   {{0x375f0689,0x4a7e0456,0x354200be,0xe9eb02a5}},	//   _विद्याक_, _citarasa_, _روسبوبلى, _tvrdší_, 
   {{0x28c60272,0x0c210066,0x127e013d,0x164f03cf}},	//   _abatabag, _жигүүр_, _printi_, _kimyasal_, 
   {{0xe94102d3,0x4dad03b0,0xb34103d4,0x00000000}},	//   _oferecer_, _horninda, _naleteo_, --, 
   {{0xbc6b048c,0x0ad40168,0x3fd203f7,0x19eb03e6}},	//   _abluent_, _distanse, _bleikjur_, _nierwend, 
   {{0x9c68001e,0x227f0175,0x276a0361,0xadb50344}},	//   _hukunci_, _fransi_, _сценарии_, _annikiga, 
   {{0x32c8034b,0x23e300ff,0x6c1c0024,0xe2c10115}},	//   _esalaek_, _אנזשעלעס_, _কণ্ঠদান_, _keretapi_, 
   {{0xac0c02ac,0xe5b90334,0xf3f80163,0xc386036d}},	//   _لتزيين_, _angamuch, _tanult_, _gaird_, 
   {{0x83eb0235,0x5f0f01d4,0x1c5a015f,0xd34105cd}},	//   _asatyo_, _agettiva, _diduedd_, _faderen_, 
   {{0x45ea01ec,0x395c004a,0x0849004b,0xc44500c1}},	//   _معارفی_, _atasalar_, _низаметд, _उजेडात_, 
   {{0x32d803f3,0x93d40301,0xe45105bd,0xd34b01a3}},	//   _nekeda_, _hesabı_, _kredittk, _اسٽئڪ_, 
   {{0x52250343,0x26390135,0xbe6301f4,0x6ebb018d}},	// [9d30] _barko_, _лауреатл, _موجودلیگ, _ምህላወይ_, 
   {{0x627e013d,0x726000c5,0x94460291,0x2341034c}},	//   _atingi_, _économie_, _سائقين_, _kaderen_, 
   {{0xd95f02f0,0x426e012a,0xd3570089,0x0db504e6}},	//   _bosomace, _kupony_, _egermegä_, _binibiga, 
   {{0x627f00a9,0xfea10217,0xb177025d,0x12370082}},	//   _amenyo_, _emergite_, _varamedl, _dammara_, 
   {{0xca2f01ea,0x6eca0191,0x81e004ad,0xe58402d3}},	//   _اوچقوچ_, _planerin, _difouram, _permitem_, 
   {{0x05330242,0x42a60031,0x037f009c,0xfae000e0}},	//   _qabiliyy, _limbah_, _allaspa_, _winterde, 
   {{0x954e0017,0x2bd802c1,0xa017032d,0x83780055}},	//   _slovinsk, _abadator, _ихата_, _abbasta_, 
   {{0xe2eb0096,0xd37803c8,0xa1ad0311,0x00000000}},	//   _orinfor_, _belasan_, _ተመሳሲሎም_, --, 
   {{0x974205e5,0xc3ea00a5,0xe6b8012b,0xa9c900cf}},	//   _त्रिनिदा, _toetoe_, _raportuj_, _baddalle, 
   {{0x97e30075,0xe2ef06e1,0x726c0151,0x3b7202a4}},	//   _tilbúgvi, _delicia_, _bbhot_, _perlustr, 
   {{0xa386055f,0xd50e04dc,0x727800e0,0xf8f60272}},	//   _daire_, _پیتاندنی_, _earnst_, _andagidd, 
   {{0x2beb0355,0x028702cb,0xf86400ff,0x644a00f1}},	//   _komentir, _najskupl, _ברעקלעך_, _souveren_, 
   {{0x7c7400c5,0xfb81002b,0x6fbb017e,0x6db10382}},	//   _查看评论信息_, _রহমতে_, _parolado, _langiwke_, 
   {{0xb3ea007f,0x6cac034c,0x43860392,0xbb18036d}},	//   _britho_, _агаем_, _naire_, _pagastan_, 
   {{0xca9400ba,0x6d600012,0xa2eb0127,0x82f2022e}},	//   _ئێکسپی_, _डाल्हपुड, _blenier_, _affissu_, 
   {{0x72d901ef,0x62250055,0x18870060,0x33f400c7}},	//   _beveik_, _sarko_, _хабарды_, _bistä_, 
   {{0x1a8502fe,0x3b190227,0x3225019b,0x1386000d}},	// [9d40] _شویده_, _letakkan_, _parko_, _kaire_, 
   {{0xb39402bc,0xd54b0361,0x55900654,0xc8be0041}},	//   _akash_, _поставьт, _disembuh, _шьоууа_, 
   {{0xbdb700b9,0x515202a2,0xc9ba0142,0x5b2b0039}},	//   _beribada, _katutubo, _वैश्यस्य_, _alkartas, 
   {{0xe3ce04fe,0xec0600b1,0x92ca025f,0x85bd018d}},	//   _piove_, _tsistau_, _atelemi_, _ብማዕከናት_, 
   {{0xc3730151,0x1698003e,0x51a3007e,0xf73500e6}},	//   _strayed_, _basebeli, _ओस्ट्रेल, _打包发回信箱_, 
   {{0xf3960047,0x4c3701d2,0x3f4b004d,0xa28f0233}},	//   _passé_, _benimayu_, _出席香港迪士尼樂, _richess_, 
   {{0xb35f01aa,0x327e025f,0x872e05c3,0xee0100d5}},	//   _incesay_, _atindi_, _périphér, _ampelata, 
   {{0x5c0a025c,0xbb8c018d,0x2802003c,0x305303d4}},	//   _einsatz_, _እስትራተጂ_, _مظفرالدی, _umisljen, 
   {{0x996e020e,0x99f801e9,0xfe5502c1,0x93940129}},	//   _кожевник, _banalese, _bikabije_, _nkasi_, 
   {{0x90050092,0x684d00f2,0x27e501b7,0x05c602e7}},	//   _お買い得情報_, _izvairīt, _स्मरन्_, _kinabhuh, 
   {{0x126c0264,0xb619004d,0x76d80219,0x4356026c}},	//   _ochoa_, _廚房小家電_, _ekubambi, _miseris_, 
   {{0xbd0a020f,0xc224044d,0xa23400c6,0x5401039e}},	//   _ورننوتئ_, _lonkoo_, _антисурж, _brutårna_, 
   {{0x62a600fa,0x19c700f5,0xd46402b9,0x00000000}},	//   _tomboy_, _вакалар_, _انارکی_, --, 
   {{0xf37c028e,0x39d80269,0x70b80022,0x727f0343}},	//   _natalae_, _desemple, _остаз_, _itandi_, 
   {{0xc4ff0094,0xc3ea017e,0x6c1c0405,0x626c0122}},	//   _اساتۋعا_, _britio_, _гарантії_, _asmoro_, 
   {{0x229003f1,0x996103ce,0x135601c0,0x52e801c0}},	//   _zliav_, _مکوژن_, _dagewar_, _jamiyun_, 
   {{0x6c1d034c,0x36b103a2,0xa3f800da,0x02cb0497}},	// [9d50] _burannar, _कैलिफ़ोर, _moduri_, _bawdy_, 
   {{0x1b71025e,0x4b1402d9,0x1f02063e,0x737302fb}},	//   _torfason_, _inisinia_, _janjetin, _tahaafe_, 
   {{0x6f5d033b,0xc7b50096,0xdc600272,0x6f9a00f5}},	//   _akanyetš, _baburani, _akaunta_, _филипили, 
   {{0xf3eb005b,0xa20502eb,0xe3790158,0x4f1300da}},	//   _natty_, _олимпод_, _gniazdo_, _firmelor_, 
   {{0x72910479,0x228304bd,0x187103d4,0x6d0500e6}},	//   _olyan_, _kuikawa_, _устанак_, _提高工作效率_, 
   {{0x529100a0,0x3d3b00c7,0x55a60061,0x0aca0141}},	//   _bazasu_, _атынды_, _수고하세요_, _лидерини, 
   {{0x73260089,0xe34101a6,0xf27f01a4,0x8b2b0159}},	//   _автограж, _hatepea_, _atandi_, _экодом_, 
   {{0x66d30044,0x62ca001d,0x81c70009,0x00000000}},	//   _אטיאס_, _elider_, _sestanek_, --, 
   {{0x027f0220,0xa271037f,0xc2900255,0xdfeb0544}},	//   _quanti_, _tənha_, _plaan_, _kupunakā, 
   {{0xc85f04f9,0x683a02ac,0xa2ba00dd,0xff5b02f6}},	//   _ikinneru, _لفضيلة_, _angerdd_, _akkadian, 
   {{0x9a5b027f,0x205801e8,0xd143033a,0x725a00da}},	//   _agafumba_, _akaseman, _pedestal, _stilul_, 
   {{0x4dc90314,0xa69901d9,0xb3870080,0x83eb0116}},	//   _телмәр_, _auszedré, _ateraa_, _gatty_, 
   {{0x1a630193,0x970102ac,0x0ef501b4,0x1c850156}},	//   _performa_, _ونسأل_, _stakings_, _רוטין_, 
   {{0x12910071,0x26cd02b2,0x12f203b8,0x327803bf}},	//   _شاهگوش_, _принесла_, _фермерлі, _letnna_, 
   {{0xc37802d8,0xf291059a,0x0b1402f8,0x5e7600a7}},	//   _delapan_, _locais_, _enisinia_, _باشدوچ_, 
   {{0xf29004b7,0x929100f5,0x0288001d,0x1394019d}},	//   _slaan_, _alyan_, _rschner_, _khasu_, 
   {{0x9d28036f,0x88460040,0x2383006f,0x0c5200ba}},	// [9d60] _preporuc, _הבדלים_, _kinyume_, _ئۆزۆن_, 
   {{0xe38600ee,0x03450258,0x8e8b0125,0x79f50226}},	//   _ugari_, _sprekke_, _araçäk_, _itagonje, 
   {{0x726d005a,0x63f8042f,0x58790204,0x060f0334}},	//   _lipos_, _nanuit_, _деталей_, _amalangi, 
   {{0xcb0500c2,0xbd5700c1,0xb141010b,0x00000000}},	//   _agasanga_, _माझगाव_, _kapetlel, --, 
   {{0x42910052,0x02cb01e1,0xb3490244,0x03410269}},	//   _bazaru_, _bakoena_, _capelli_, _derecha_, 
   {{0x6e3600ca,0x72900338,0x27cd0027,0x928203a2}},	//   _vallées_, _aliat_, _ivisitom_, _जलपरियाँ_, 
   {{0x0a7c0018,0x127f0257,0xd29501a4,0x0cd500f7}},	//   _batabata_, _standi_, _bamataki_, _altvalor, 
   {{0xd36603a2,0x4a8f0442,0x61d004ac,0x00000000}},	//   _आरआईएल_, _lahirkan_, _одиночес, --, 
   {{0x3266005e,0xbf8e0041,0xd94300e0,0xb65504a5}},	//   _ھىيلە_, _узеигурҕ, _kastavac_, _kwenzelw, 
   {{0x99b10089,0x3d1d0020,0x75b0023a,0x54040076}},	//   _bagdadqa_, _maaleale_, _prenajom_, _licitaçõ, 
   {{0x20100178,0x01c101d9,0x64830061,0xf0590372}},	//   _anantāya_, _ambulanz_, _양식입니다_, _chlasuro, 
   {{0x1995030b,0x439504d6,0xeb1f01ad,0x32eb03b6}},	//   _abakrist, _kursy_, _pomabamb, _àlùjó_, 
   {{0x2e9800b4,0xc98201bd,0x6c07003c,0x00000000}},	//   _ретрагэ_, _джитсу_, _سیانوژن_, --, 
   {{0x62bf0163,0xda770097,0x666702c0,0xd292042c}},	//   _اموات_, _adegbola_, _начинот_, _zgradu_, 
   {{0xa7cd043a,0xae18018d,0x80570281,0xd22c0071}},	//   _avisitom_, _ተጠንቀቑ_, _aanaarto, _هیولا_, 
   {{0xc2fc0194,0x8d040094,0x9a6e0234,0x954a0061}},	//   _origon_, _سىزداعان, _ládiípò_, _그래픽디자이너_, 
   {{0x837c0162,0x846d00fb,0xf201011a,0x1f6601a3}},	// [9d70] _болалмас, _amadlelo_, _cavite_, _لڙڪيل_, 
   {{0xaaf90191,0xf26d007a,0xcf030156,0xcbf50291}},	//   _tekniken_, _dipos_, _קאָסמאָס_, _حواجز_, 
   {{0x02c20331,0xb395046f,0x743100be,0x58ca018d}},	//   _dagliga_, _liesen_, _ارسەندىن_, _ክንስዕሮ_, 
   {{0xcad203f2,0x620e0397,0x49040125,0x5edf002f}},	//   _jälleen_, _камаш_, _кераматл, _angyopla, 
   {{0xfd79003a,0xf2fc04a0,0x229104a6,0xa6080213}},	//   _сайловла, _únicas_, _pazaru_, _пантелее, 
   {{0xc18400b8,0xfc600044,0x7009002c,0x1f6900b9}},	//   _achachil, _charged_, _баянмонг, _hambalan, 
   {{0x31250035,0xe26d0150,0xe2de0095,0x920e0368}},	//   _ильина_, _ripot_, _angebaki_, _важан_, 
   {{0x6394038e,0x4f6701ef,0x60bf011a,0x5ad70513}},	//   _ponsel_, _тайбэй_, _fromtitl, _mintokot, 
   {{0x8c3502fc,0x23940039,0xc42104ad,0x086a02af}},	//   _ababikur, _akaso_, _dikamego_, _biyiseru, 
   {{0xd22500cf,0x62020321,0x0af803db,0xf0fa0596}},	//   _harka_, _odpira_, _bavumele, _furhalel, 
   {{0x42690095,0x924803e8,0x35640037,0x82010222}},	//   _نوشدارو_, _čimer_, _በአመለካከት_, _navire_, 
   {{0x529001f7,0x52f70053,0xeb6001af,0xa2da03c6}},	//   _aliar_, _sepihak_, _begenyan_, _optein_, 
   {{0x4a5901ef,0x1344029a,0x937c0225,0x06e4005b}},	//   _nereikia_, _detekte_, _ratabae_, _ahochabi, 
   {{0x33860282,0x14a700d7,0xa27e0306,0x1a0a036c}},	//   _ngaru_, _предпр_, _atinki_, _ampasana_, 
   {{0x2fe9065b,0x526d0245,0xa3240062,0x786401ad}},	//   _सितारों_, _kipor_, _chuydahm, _weinfeld, 
   {{0x608c0478,0xf2560452,0xa57d0094,0x00000000}},	//   _accessòr, _साजेशी_, _зілзалад, --, 
   {{0xd292047d,0x62ea024b,0x83870055,0x00000000}},	// [9d80] _gesais_, _sientes_, _aterna_, --, 
   {{0x343600fe,0xd9c102fa,0x25ab0037,0x83340064}},	//   _fanauako_, _baherere, _ምስጋናዬ_, _دراماتۇر, 
   {{0x53b7066d,0xf292036a,0xd1fc01c7,0x00000000}},	//   _ukuveza_, _maravu_, _bahanasy_, --, 
   {{0xaa6b0235,0x72d4034e,0xa854018d,0x522500b3}},	//   _प्रश्नं_, _bawduw_, _ዝግምግም_, _chekip_, 
   {{0xba6b0139,0x4e190204,0xf9fc03fd,0x3a490125}},	//   _प्रश्नः_, _снимать_, _faaatoat, _тэлейи_, 
   {{0x81c90405,0x6394031a,0x92860475,0x2c68005b}},	//   _росте_, _bhass_, _карьере_, _noguchi_, 
   {{0xe26d0249,0x48d500c4,0xad0b0151,0x7394001d}},	//   _sipos_, _سوڀوديرو_, _spillage_, _chass_, 
   {{0x6386002a,0x403b0238,0x8644010b,0x4343022c}},	//   _agaru_, _учасники_, _fetolelw, _belehem_, 
   {{0xd2eb02c2,0x9bf0013d,0x430800b3,0xa7e50178}},	//   _hoender_, _diversec, _aldanyp_, _स्मरणं_, 
   {{0x229100a4,0xe68b0360,0x28640191,0x87bc01bb}},	//   _locals_, _kancelář_, _reinfeld, _awtorlyk_, 
   {{0xdc50012e,0x7d1e0411,0xbb5b046f,0x1121034c}},	//   _فنانس_, _utrolige_, _immensen_, _awraziä_, 
   {{0x538600cd,0x1d9d012d,0xf8840037,0xaed70294}},	//   _saira_, _analkaha, _የባለስልጣኑ_, _civilkun, 
   {{0x22c70092,0x6a4c014f,0xc9be0187,0x5517045b}},	//   _すぐに回答を_, _расправу_, _ајфон_, _карася_, 
   {{0xa5f3014e,0x41bb005d,0x294b01aa,0xcad300bd}},	//   _болести_, _азууп_, _andmothe, _indwalle, 
   {{0x22820129,0x638701e5,0x973c033e,0x3a6c00db}},	//   _mechiri_, _iderun_, _favorpeg, _keemilis, 
   {{0xd26d003f,0x06fd025e,0x32d601c5,0xfafd0211}},	//   _dipoq_, _matseðil, _booliis_, _apteekis, 
   {{0x69fc02e7,0xc217021b,0xc61200d1,0x939600d9}},	// [9d90] _kahilaba_, _leikkaam, _নুৰিস্তা, _mausta_, 
   {{0x783f0092,0x0c53054c,0x6d8801f0,0x00000000}},	//   _プンしました_, _kretsen_, _makotswa, --, 
   {{0x133d02e2,0x721e019f,0xf2e500e4,0xa2b800e0}},	//   _suckling_, _shukrani_, _podlegaj, _dôchs_, 
   {{0x32fd0265,0x03ea03c6,0x1ee90318,0x7011011a}},	//   _dragen_, _wietse_, _saikolon, _תכנסו_, 
   {{0x040f004a,0xc2910243,0x283700d9,0x1c600082}},	//   _идиллия_, _awaash_, _заказе_, _lokutan_, 
   {{0x52fd02c7,0x129003eb,0xb05500f5,0xad4c034e}},	//   _fragen_, _plaas_, _курсулер, _colquenc, 
   {{0x52a304a7,0x524f027c,0x4d8f0422,0x00000000}},	//   _procedem, _eekomiti_, _sledenje_, --, 
   {{0xe38702e9,0x82b502cb,0xa2f4033d,0x00000000}},	//   _puerta_, _brodove_, _patikil_, --, 
   {{0x0a8c01f6,0x7c4b02e7,0xf3fb00d1,0x321c0062}},	//   _ক্ষেত্ৰ_, _bagting_, _অপ্ৰচলিত_, _heshom_, 
   {{0x10550256,0x031e032e,0x138602d0,0x2d690056}},	//   _sagatavo, _purchin_, _bairn_, _akumelwe_, 
   {{0xab8401d1,0xb445016d,0xe0550256,0x235600de}},	//   _transfor, _ۋايىغا_, _pagatavo, _awafela_, 
   {{0x94ec01f6,0x23860428,0x284b0437,0xc29004f2}},	//   _যোগান_, _skoraj_, _sommerhu, _uniad_, 
   {{0xce41002c,0x82830163,0xe7f7052e,0xb64a02ac}},	//   _zalantza, _mekkora_, _avicinav, _íocshlái, 
   {{0x357b02ba,0x7f780156,0xb354004d,0x1960010b}},	//   _азият_, _כתריאל_, _accepit_, _bokopane, 
   {{0x460f0214,0x8dd70249,0x830d019b,0xe26e02fd}},	//   _amalungi, _harharia, _arbatos_, _chrois_, 
   {{0xc3ea0258,0x6c260107,0x00000000,0x00000000}},	//   _sietse_, _مانيتور_, --, --, 
   {{0x026c001d,0x824903ee,0xdd1f02a1,0xc4860139}},	// [9da0] _schol_, _pesma_, _geborgde_, _संसारो_, 
   {{0xc22501c5,0x05e40311,0xa2de000c,0xb20100fb}},	//   _saakay_, _ሆኖሪዮስ_, _хагароуп_, _lifike_, 
   {{0xf1fc00ee,0xce1e02d4,0xe37900d9,0x00000000}},	//   _тасалбар_, _burgaisa, _varalta_, --, 
   {{0x52fd0003,0x69d80359,0x1a0a006d,0xc7b9033a}},	//   _vragen_, _besteand, _вандроўк, _bonusiji, 
   {{0x048204df,0x914002c4,0x458205e6,0x73490155}},	//   _атеистик_, _бејби_, _ingeskry, _tuffare_, 
   {{0x32fd0415,0x8a8000e9,0x32910138,0x9d2e0024}},	//   _tragen_, _atansion_, _soyad_, _ৰামায়ণ_, 
   {{0x5dbd03b6,0xa7a3020f,0x027f0260,0xf5e70055}},	//   _dajudaju_, _احساسو_, _alento_, _allargà_, 
   {{0xcffb0037,0x69fa0092,0x82b90372,0x083a0311}},	//   _የጠየቁት_, _netavise, _fonesig_, _ንጽድቅን_, 
   {{0x1cee00d0,0x4f5201b8,0xc224032e,0xe7c902fd}},	//   _америк_, _armastus_, _sonkho_, _bursarai, 
   {{0xf29001b2,0x18b3005d,0xf06c00d6,0x00000000}},	//   _alaap_, _mistolar_, _تيموريه_, --, 
   {{0xe29001c5,0xb65901b4,0xc61e0186,0x523702e1}},	//   _ammaan_, _positiew, _infosoci, _cormaic_, 
   {{0x298a0301,0x72920066,0x987501df,0x5a7d0184}},	//   _müraciət_, _garatu_, _transglu, _kadagara_, 
   {{0xd68b0039,0xfe31028b,0x1eb203db,0x1be40037}},	//   _lizentzi, _академиа_, _athumele_, _ወላጆቻቸውን_, 
   {{0x72f70058,0xf070018f,0xd321022b,0xb76c004d}},	//   _notidik_, _duhaghmo, _bleyta_, _臺北姐妹市_, 
   {{0xb2920082,0x029204b9,0x738f0374,0x0c2c0088}},	//   _karatu_, _buckler_, _очарчили, _bosquet_, 
   {{0x83ea00b4,0x15b8004d,0x38da0206,0x16d703fc}},	//   _pietre_, _尚未有結論_, _presilov, _varaordf, 
   {{0x32490445,0xf0ca01f4,0x604d0300,0x4f8f01cf}},	// [9db0] _mesmo_, _اعلامیه_, _mikrovln, _commento, 
   {{0x5fc90046,0x09d80037,0xd3af0097,0xd0050025}},	//   _arriscar_, _ያለብንን_, _lẹẹkan_, _अनेकाल्श, 
   {{0xca490225,0x420d04c8,0xa3340012,0x00000000}},	//   _kundscha_, _gżira_, _खिसिअईबऽ_, --, 
   {{0x321d02e1,0x1ecb0228,0x62cb0229,0x00000000}},	//   _تجاري_, _plyndrin, _eladir_, --, 
   {{0x6386019e,0xeda400a4,0xc0110585,0x9837032d}},	//   _vairo_, _буйругу_, _bespomoć, _балдаҡ_, 
   {{0x61b20130,0x00000000,0x00000000,0x00000000}},	//   _dibennoù_, --, --, --, 
   {{0x898b002e,0x9e6b066f,0x9f58020e,0x83dd008e}},	//   _treća_, _preciola, _dibanken, _emawus_, 
   {{0x024902cb,0xe27e0322,0x84ab0112,0x8db5004d}},	//   _jesmo_, _azane_, _belanjak, _隨時跌破百美元_, 
   {{0x92a60068,0x330a0176,0x914701a6,0x00000000}},	//   _danbe_, _tarball_, _opereero, --, 
   {{0x129004b7,0xd0d804a7,0xa969013c,0x58f8032c}},	//   _slaap_, _recompil, _lampalar_, _allanisu, 
   {{0x228d041f,0x63d405ce,0x41d70220,0x93490101}},	//   _benkolo_, _mesajı_, _цитирай_, _pitesti_, 
   {{0xd30901ff,0x4dc00211,0x7fce036d,0x00000000}},	//   _brazília_, _toripala, _shinnsir_, --, 
   {{0x504503a2,0xb7a10053,0xbff00156,0x00000000}},	//   _इंकलाब_, _kemusyri, _פלעיוואר, --, 
   {{0xc8a300c7,0x00000000,0x00000000,0x00000000}},	//   _болайда_, --, --, --, 
   {{0x47aa029e,0x82f10220,0x43860403,0x02a601b5}},	//   _kastelli, _relativi_, _tairo_, _kanbe_, 
   {{0x16e8014e,0xf03f0321,0x15390076,0x440602a5}},	//   _карактер, _sestavin, _estadual_, _रेखदेख_, 
   {{0xe34c025c,0x922501d6,0x410d0456,0xf2760017}},	// [9dc0] _anderem_, _dyrke_, _berkelah_, _upravují_, 
   {{0xe2fc044d,0xc25a046b,0x93860008,0xb0ca00d0}},	//   _origan_, _dillad_, _caire_, _принтери, 
   {{0x27fa0092,0xa9e00529,0x8b06014d,0xf4ad00b9}},	//   _エステティックサ, _sudovima_, _derselbe, _पारदर्शक, 
   {{0x92aa0193,0x39ab01ef,0x82c30043,0xa3d20258}},	//   _स्वभावाच, _складае_, _amuleka_, _krammerk, 
   {{0xfda001cc,0x9499007d,0x1c07013b,0x626d02ff}},	//   _anantara, _memapark, _peasant_, _mapou_, 
   {{0xd38600ca,0xbec60159,0xf2ab014a,0xf2fd0055}},	//   _gaire_, _тартак_, _lábam_, _alegru_, 
   {{0x4ef900c5,0x63790050,0x775f00e4,0xa0650058}},	//   _没有任何评论_, _pedaran_, _विग्यान_, _tikamago, 
   {{0xcc590449,0x2407027e,0x314f0059,0x00000000}},	//   _pamtiti_, _бродова_, _partizio, --, 
   {{0xe68202e0,0x09c400cd,0x2cd70144,0xcf4f036e}},	//   _bareetsi, _andermat, _ثعبان_, _chupasap, 
   {{0x096a052c,0x738602bc,0xf4bc02d4,0xb37902b1}},	//   _رکاتێک_, _vaard_, _algordà_, _darakta_, 
   {{0x838603c6,0xf3780227,0xf2d800de,0x5da600fb}},	//   _waard_, _nelayan_, _bekela_, _lubonaka, 
   {{0xcad30408,0x01ba0060,0xcf570076,0x69d400e6}},	//   _eritrere, _العانءون, _симболи_, _一生有两个国家不, 
   {{0xa38602ca,0x52b90108,0x00000000,0x00000000}},	//   _taire_, _digebug_, --, --, 
   {{0x2e3d00a4,0xf3730096,0x728d0104,0xb3a20055}},	//   _بازارلىق_, _aimable_, _wenkolo_, _troppu_, 
   {{0xd4010266,0x070800d1,0x6f2c019e,0x42870449}},	//   _putuskan_, _উপায়েৰে_, _mokestin, _dlakave_, 
   {{0x4da60397,0xb02d008d,0xa3860166,0xfebc00df}},	//   _kubonaka, _хотирала, _haare_, _mutuelle_, 
   {{0x02ea0159,0xa84d017a,0x00000000,0x00000000}},	// [9dd0] _spintos_, _бирезанд_, --, --, 
   {{0xb67300a4,0xc2d9001d,0xad1401be,0x00000000}},	//   _салтанат_, _algeti_, _stoupenc, --, 
   {{0xc3940129,0x627e00a9,0x262b03dc,0x7d540213}},	//   _akasi_, _izina_, _kanningi, _означало_, 
   {{0xf58404b5,0x2387018a,0xf63e04d7,0xa484024c}},	//   _infurmaz, _aderyn_, _innifali, _infurmaj, 
   {{0x462b0075,0x320e00d7,0x426d0163,0x22d8001d}},	//   _manningi, _ҡазан_, _lapot_, _besonat_, 
   {{0x708b00bc,0xd0e40156,0x4a150408,0xe0b80046}},	//   _کراتین_, _פאטאלער_, _hamadika_, _كەچەە_, 
   {{0x626d0132,0xc9b00040,0x10ba0128,0x72e90461}},	//   _napot_, _המסעדות_, _никоҳнин, _avairon_, 
   {{0x127f013d,0xf3940189,0xbda600f3,0x37b600ad}},	//   _poento_, _ukash_, _bubonaka, _sarupani, 
   {{0x6386003d,0x29c0002e,0x38ca0037,0x642600c1}},	//   _paire_, _načelnik, _ያሸንፋል_, _कुणबी_, 
   {{0x62da0145,0x52490558,0x678700c1,0xad41000d}},	//   _pateko_, _mpempe_, _हळूवार_, _patareid_, 
   {{0x2aba03af,0x1c670092,0xe2e102d7,0xe83704c7}},	//   _révoluti, _opstart_, _opiniom_, _салате_, 
   {{0x525a005b,0x704e0126,0x264701db,0x4850014d}},	//   _tillid_, _порожнин, _تۇساۋى_, _bekleidu, 
   {{0xf4b20379,0x73ce01e8,0xa8290475,0x1a9a00bf}},	//   _कनाडा_, _chives_, _сервере_, _разархив, 
   {{0x73870034,0x9248042c,0xc3800109,0xe34b0109}},	//   _sterka_, _uzimam_, _kotrba_, _textilií_, 
   {{0x127e019d,0xaf2602f7,0x485b04e8,0x5c6800ab}},	//   _dzina_, _diaekhon, _accelèra_, _kaiuiui_, 
   {{0xac610358,0xd03f023a,0x13940249,0x55e9012a}},	//   _charite_, _cestovin, _konsel_, _starożyt, 
   {{0xf2e50286,0x22e301fd,0x411300f0,0xf51002fc}},	// [9de0] _akontaa_, _refiere_, _prežila_, _amarondo_, 
   {{0x8d8002fe,0x326d03f3,0x148600e4,0x45c3007e}},	//   _مذاکراتو_, _kapot_, _बनवारी_, _cottamā_, 
   {{0x7c7001c9,0x6e4800fa,0x9dfb035d,0x00000000}},	//   _सुर्खी_, _balakuba, _pomenute_, --, 
   {{0x2ac3033e,0xfd2d0425,0xa3db00be,0x33870204}},	//   _chácope_, _ریاشم_, _كەلەرسىڭ_, _ateria_, 
   {{0x72d801d2,0x182e0244,0x0c65007b,0x770b004a}},	//   _atheo_, _броим_, _requite_, _kertelmä, 
   {{0x1c6503b3,0xcc290370,0x00000000,0x00000000}},	//   _sequite_, _dasardec, --, --, 
   {{0x03ea02a4,0xc9c0025e,0xbf340420,0x0768008f}},	//   _fonter_, _úrvalsde, _четириго, _वार्डमे_, 
   {{0x87d70028,0xa2d901d4,0x9dd502fe,0xb6dc0157}},	//   _baraarug, _algeri_, _bachapha, _पोलित_, 
   {{0x02740130,0xcdfc0212,0xd2e202db,0xd21206fc}},	//   _ofispubl, _pchelpwa, _kaunsel_, _ndeha_, 
   {{0x9aae054d,0xc7f7008d,0xa8470354,0xcfc90126}},	//   _forvente, _линклар_, _садаси_, _проголош, 
   {{0xdeb601f1,0x622c01ac,0x02820241,0xe249000f}},	//   _njerezit_, _وياليت_, _darbetti_, _resme_, 
   {{0xde39038e,0xa2e9018a,0x52920255,0x00000000}},	//   _penasara, _monitro_, _paraad_, --, 
   {{0xc2490002,0x4bdf01b4,0x9f8905ce,0xbce700a4}},	//   _pesme_, _belegger, _gündür_, _инсандык_, 
   {{0x495000e6,0xc2ed0563,0x22fc0202,0x00000000}},	//   _二手车新闻_, _obriše_, _origun_, --, 
   {{0x074f013e,0x73eb0160,0x91100080,0x34fe00d1}},	//   _marinkov, _pratio_, _amikunil, _কাহিনীভা, 
   {{0x93eb0030,0x6523005c,0x00000000,0x00000000}},	//   _lietot_, _barongoy, --, --, 
   {{0xd3eb0160,0x45870751,0xfaec0047,0x86e001f9}},	// [9df0] _vratio_, _faktabok, _pourcent, _ekupheny, 
   {{0x03860134,0xf368017c,0x527e00e3,0xfcc80037}},	//   _naira_, _helgens_, _aringi_, _በታቀደው_, 
   {{0xe96a05e8,0x7031002c,0xa86d00d2,0xc3f90318}},	//   _diinstit, _bereziak_, _astinapu, _mafule_, 
   {{0x9a0702a5,0x46b6022a,0xa3860282,0x03ac0108}},	//   _můžou_, _nesanovi, _haira_, _carpan_, 
   {{0x8fbc02ae,0xa3b7020f,0xdc6f03a4,0x9a7c004b}},	//   _pravosuđ, _akuvuka_, _aldrinn_, _ikhabisa_, 
   {{0x2a3c0444,0x32e9018a,0xb26600f5,0x62ea01d7}},	//   _судов_, _fonitro_, _tutulanl, _enviern_, 
   {{0x4290047d,0xf2d0002b,0x33e0029b,0x0d03023e}},	//   _blaat_, _লিংকটা_, _gétti_, _زدفان_, 
   {{0x3a0a004b,0x1fd10163,0x10cd04c7,0xc236003b}},	//   _baballoa_, _زمیندار_, _проследи_, _banjwa_, 
   {{0xa2ea01d7,0x14b40788,0xd9ea000a,0x00000000}},	//   _inviern_, _svicarsk, _inngerut, --, 
   {{0x43f903fd,0x938601c0,0xc3f8051a,0xf1a000da}},	//   _safune_, _gaira_, _jumud_, _functiil, 
   {{0x627e0034,0x5e3b0344,0x675e00db,0x8c510348}},	//   _erindi_, _allassap, _चाल्हाक_, _asitula_, 
   {{0xb26d0163,0x19d00013,0xb39c00de,0x00000000}},	//   _lapok_, _десин_, _داستفادي_, --, 
   {{0x5d170276,0x8e8c01a3,0x15f50061,0x00000000}},	//   _бардуқ_, _ٽيڪمداس_, _역사문화에_, --, 
   {{0xa27e07d3,0xb9ff03b9,0xd26d012e,0x6036038b}},	//   _irindi_, _armasimt, _napok_, _bantuann, 
   {{0xdaed003a,0xf2a1008d,0x16590092,0x1fd802c1}},	//   _россияли, _вертолёт, _総コメント数_, _abanyeko, 
   {{0x9ff005fc,0x0409015d,0x2ef50245,0x9ab20037}},	//   _संस्थाको_, _politycz, _mathaios_, _ተገንዝበው_, 
   {{0xc7750087,0x00000000,0x00000000,0x00000000}},	// [9e00] _endyangw, --, --, --, 
   {{0xf3ea0166,0x7462020a,0xd0bf00e6,0xdf3c011a}},	//   _achten_, _мексикад, _利物浦主球场聚焦_, _ולזכות_, 
   {{0x226c014d,0xa2fd01f7,0x53d8004c,0xcdd00102}},	//   _schon_, _aragon_, _abateezi_, _ازانسواء, 
   {{0xd0300259,0x51b900c5,0x54fc04ac,0x8c5901ee}},	//   _andelsbo, _高考复习古典诗歌, _остановк, _чолхе_, 
   {{0x2290001b,0xaa8d007b,0x837801e9,0x2c680399}},	//   _alaas_, _penniles, _diganka_, _lulutai_, 
   {{0xc9670107,0x527f030f,0x329001b4,0x52900026}},	//   _jetronic_, _erangi_, _blaas_, _slaat_, 
   {{0x0d6901cd,0x627f0243,0xa3ce01d5,0xd23703dd}},	//   _okumelwe_, _frangi_, _ahova_, _nusja_, 
   {{0xac5a0160,0xebf900bf,0x47ff0025,0x3f070161}},	//   _pratili_, _растояни, _प्राकृतं_, _leivinja, 
   {{0xb59b038e,0xd03702bd,0x7c5c00fd,0x72cb013a}},	//   _dibutuhk, _porthian, _daothal_, _fuedem_, 
   {{0xbf15009a,0x007f00ec,0x16170253,0x00000000}},	//   _انقلابون, _апантаны, _igalaani, --, 
   {{0x52490445,0x52d803ba,0x520e020e,0xf17d04d8}},	//   _mesma_, _athem_, _башаҡ_, _watacaal, 
   {{0x92eb01ef,0x527e0037,0x25f3002b,0x3b250265}},	//   _turizmo_, _እየሩሳሌም_, _কিছুদিনে, _bespreke, 
   {{0xb2900003,0x9fd4037c,0xd0450285,0x4e3a00d8}},	//   _klaar_, _iconpilo, _marushan, _picadura, 
   {{0x43940085,0x036a005e,0xe5d60287,0x135503ea}},	//   _ijisu_, _پەسكەشلى, _भरिपूर्ण_, _pigeons_, 
   {{0xdc51005b,0x79830092,0x8ddb023c,0x055d004a}},	//   _saitama_, _ムを使用していま, _amakishe_, _кирибати_, 
   {{0x9bf60094,0xa6950225,0xd0630223,0x00000000}},	//   _сайттың_, _tertauch, _логотой_, --, 
   {{0x798700d1,0xa379002f,0x72380226,0x5f410155}},	// [9e10] _একাত্ম_, _abramta_, _ahimazi_, _häromdag, 
   {{0x631a0126,0x4c050120,0xe58b00e5,0xccbd0024}},	//   _прогулян, _gallaytu_, _mensalão_, _ছাত্ৰীয়, 
   {{0x43eb0415,0xfd54017f,0x8c0602a0,0x74240361}},	//   _bietet_, _aasamilu_, _ifisinu_, _гулъян_, 
   {{0x84a403a7,0xec5100a1,0x1b030013,0x0a7102e4}},	//   _neobmedz, _taitama_, _женевада, _interċes, 
   {{0x4f3303b0,0x7b78034a,0x83d500c1,0x134704e5}},	//   _helsesta, _taboleir, _बृहन्महा, _bamemba_, 
   {{0xf2ef033b,0x4d6b0025,0x13950065,0x138600cf}},	//   _sedirwa_, _animitte_, _riesen_, _caara_, 
   {{0xd27e0079,0x5200003a,0x2a2c01ac,0x14760285}},	//   _asins_, _kelish_, _tancanna_, _baterank, 
   {{0x127e02d5,0x27da0331,0x8ef20094,0xc24b01d5}},	//   _prindi_, _trupulei, _جۇلىپ_, _biológia_, 
   {{0xb90e002b,0xa6b2017f,0x2ae500d1,0xfcbe006d}},	//   _দ্বীনের_, _atigarli, _লেটাৰছ_, _гамер_, 
   {{0x5e7a0153,0xd2900105,0x00000000,0x00000000}},	//   _お寺の風景_, _mniam_, --, --, 
   {{0x3ee7000c,0x99d00162,0x03860200,0xc2a60342}},	//   _армавир_, _гегил_, _raara_, _manbo_, 
   {{0xf86d02ca,0xc6d20287,0xaab902c2,0x325a0058}},	//   _scriosad, _एकछिन_, _verjaars, _prilul_, 
   {{0x19d80305,0xc225040d,0xe3860298,0xf8fe01bb}},	//   _vestland, _thekga_, _paara_, _hatarynd, 
   {{0xba0705a5,0x6b07023a,0x02900167,0xc13d035c}},	//   _pripravu, _priprave, _anial_, _alkefugl, 
   {{0xef51001d,0x55740012,0xde1102f0,0x438600d9}},	//   _composit_, _जनमऽलन_, _bemedica, _vaara_, 
   {{0x53860120,0x58d800da,0x3c40001c,0x527e000c}},	//   _waara_, _секундэ_, _schwalm_, _guinoi_, 
   {{0x238602a0,0x95d80092,0x31eb0024,0xd8c700c1}},	// [9e20] _taara_, _ウォッチリストに, _উদ্যানখন, _संतप्त_, 
   {{0x72f000b4,0xe31700ad,0x02df013a,0xf278027e}},	//   _medicii_, _nganjang_, _geloggt_, _letnja_, 
   {{0x2219050a,0x6b5e0161,0x00000000,0x00000000}},	//   _odaklanm, _урона_, --, --, 
   {{0xe6a10169,0xb6b901e9,0xf0570162,0x00000000}},	//   _ভয়ংকর_, _bonasiri, _хаманға_, --, 
   {{0xc2000113,0x1a520174,0xf6a10024,0x22ba00f2}},	//   _relish_, _dumelela_, _ভয়ংকৰ_, _saldumi_, 
   {{0xa201019b,0x425b012c,0x72ef01a6,0x73680321}},	//   _sveiki_, _maalum_, _pakiaka_, _opredelj, 
   {{0xb2920047,0xbdb70269,0x6de1002b,0x35df02b0}},	//   _essaye_, _movilida, _বিশ্বজিৎ_, _kindergä, 
   {{0x9b9a002a,0x61890019,0x7c230350,0x00000000}},	//   _tachiter, _قووبۇن_, _karangkr, --, 
   {{0x12a60172,0x674900d7,0x02490583,0xf38901bb}},	//   _banbo_, _магазинд, _pesmi_, _patyşa_, 
   {{0x5c6b0139,0x938801dd,0x7215000d,0xd38603f3}},	//   _कार्यम_, _amayoga_, _altkäema, _baarn_, 
   {{0x32eb00bc,0x49ed01d2,0x7bf90321,0x03960211}},	//   _eneibel_, _aspinata_, _polovico_, _tausta_, 
   {{0x14a6006f,0x227e01d9,0xa97f04c9,0x547f00ac}},	//   _uchambuz, _weineg_, _chkhorot, _eksterij, 
   {{0xf86202fb,0x829001d9,0x938604d8,0x00000000}},	//   _asiopulu, _plaaz_, _maaro_, --, 
   {{0x9aea032c,0x9a820486,0x00000000,0x00000000}},	//   _aperigat, _korektně_, --, --, 
   {{0x69e80678,0x89dd0231,0x3ee20025,0x0eb104b9}},	//   _postihnu, _imperdie, _पुस्तकमा, _offerins_, 
   {{0xcf8f03f2,0x8f5b006a,0x6da90021,0xc30f0622}},	//   _kommento, _hahazoan, _aleighra, _bumbeho_, 
   {{0x3f18003e,0x82370077,0x9b7501c8,0x90440040}},	// [9e30] _центнер_, _abejar_, _grilovac, _קנגורו_, 
   {{0xa30d01b9,0x96810274,0x7ad10191,0x3c7203c6}},	//   _donater_, _landslei, _snittbet, _ferrast_, 
   {{0x89110086,0x73860097,0x62ef01c0,0x6321010d}},	//   _tematiku, _kaaro_, _bakinka_, _trayek_, 
   {{0xa433002b,0xb26d014a,0xe2ec0247,0x74800365}},	//   _শিথিল_, _vajdaság, _bitinge_, _स्टाटस_, 
   {{0x59b200c5,0x6ecc0008,0x80720140,0x885f02e4}},	//   _国家测绘局_, _pacients_, _serbisyo, _buhagiar_, 
   {{0x93410261,0x2f2e0164,0xc27e028d,0x325a014a}},	//   _komenco_, _бирлә_, _mping_, _rejlik_, 
   {{0xe3960033,0x229200cf,0x84940092,0x03ea00ac}},	//   _caussa_, _baratu_, _ドディスク_, _smotra_, 
   {{0x725b029a,0x79ed01fa,0x104602a5,0x13790081}},	//   _deblok_, _fotongia_, _घाएलको_, _barasta_, 
   {{0x427e0388,0xa9bf03e6,0x2f4a027b,0xe25b029b}},	//   _quindi_, _anzebaue, _समाधिम्_, _gaalum_, 
   {{0xb7e00163,0xe3560052,0x00000000,0x00000000}},	//   _dunaújvá, _regulací_, --, --, 
   {{0x67a90265,0x7c5702d7,0xd6530041,0x1a460061}},	//   _blurayri, _listaxe_, _ацәкра_, _상품목록을_, 
   {{0x04b9004d,0x7c600304,0x73d4033f,0x00000000}},	//   _你若欲友孝世大嘸, _tokuban_, _tuitatui_, --, 
   {{0xfc9d03d0,0x3394026c,0x6c250184,0x8edf03e6}},	//   _العشك_, _consilii_, _bayashir, _highpass_, 
   {{0x635c04fd,0x7d7502e8,0x8bed0260,0x9c1a0040}},	//   _लल्ला_, _adimbure_, _intervir, _בכיכובו_, 
   {{0xfde30128,0xf3060016,0xcdb90268,0x927f00ea}},	//   _сериалла, _stratoj_, _aringsha, _hoento_, 
   {{0xb2fe008c,0x52a702f3,0xc7aa0231,0x1f500022}},	//   _reviver_, _dubbla_, _castelli, _аналы_, 
   {{0xa88406a7,0x0ac00289,0x00000000,0x00000000}},	// [9e40] _verksted, _chikhris, --, --, 
   {{0x2c33015e,0x6eab04e0,0x00000000,0x00000000}},	//   _чеченста, _vigentes_, --, --, 
   {{0xf2fd0082,0xbcd6045b,0x310a032d,0x59bf014a}},	//   _nahiyar_, _набрали_, _dishejul, _munkakép, 
   {{0x8e56032d,0x993103a4,0xb4f002fe,0x0dc7006e}},	//   _салтан_, _eldrabús, _اولیکوال_, _lekkante_, 
   {{0x02a601fc,0x55e8016e,0x79f90211,0x59e70306}},	//   _dambih_, _zamandır_, _havaitse, _disneypa_, 
   {{0xaff400ff,0xe57800ae,0x84220029,0x2291007a}},	//   _לנעילת_, _bakwirik, _خاچپه_, _koyak_, 
   {{0x72a604f2,0xe3a202ac,0x13ea0071,0x40e600f6}},	//   _banbe_, _بمثابة_, _montor_, _başladıq, 
   {{0xe2fe0234,0xf3790074,0x928c02c1,0xd3780115}},	//   _alaamori_, _parasta_, _inyangam, _belacan_, 
   {{0x6129000c,0x4b200249,0x43a90203,0x312000e6}},	//   _доступен_, _eksplene, _bravore_, _新华社记者_, 
   {{0xf38600b0,0x202c0172,0x83e500e4,0x3db701ef}},	//   _saaro_, _uzbekifo, _कस्तूरबा_, _каморы_, 
   {{0x455803bf,0xa48c0192,0x992902ac,0x830f03ee}},	//   _шарттары, _사업자번호_, _موازين_, _izabran_, 
   {{0x894600a5,0x3970002b,0x3c2100e7,0xcc0d00e2}},	//   _asomuale, _সামুদ্রি, _ammacakr, _sompige_, 
   {{0x3b7600d6,0xbbfd0212,0x8fbd00a4,0x00000000}},	//   _sealadac, _interfic, _колосалы, --, 
   {{0x729f002f,0x22d800e2,0x932004f4,0x99640156}},	//   _anajman_, _dekema_, _flechas_, _באדראעט_, 
   {{0x5d5f0040,0xe3a202df,0x603c00ff,0xf2d8030b}},	//   _נמשיך_, _tempah_, _תּנאָים_, _addeyo_, 
   {{0x749c032d,0x967f0060,0xeeb703ce,0x3ab40204}},	//   _элина_, _اۋدارىپ_, _شریتی_, _mikkelin_, 
   {{0x08460044,0x724e011b,0x554a01bd,0x49c6036e}},	// [9e50] _השביעי_, _asombaki_, _توبەنىڭ_, _bibliata_, 
   {{0xa075008d,0xf2d9050a,0xf76804ac,0x62d800a1}},	//   _суғориш_, _sayede_, _проконсу, _kaieke_, 
   {{0xa2d7009a,0xa485007e,0x7d820279,0x727e01f4}},	//   _impondo_, _विचारे_, _virement_, _usini_, 
   {{0x0b8803ab,0xffff005b,0x9c8402c6,0xf812002b}},	//   _nemocnic, _chokocho, _atreided_, _স্পর্শকা, 
   {{0x38e60567,0x76270217,0x93f80084,0x39d400f8}},	//   _шартлар_, _defianti, _mumun_, _নিম্নবর্, 
   {{0xf22501f4,0x744a03fb,0x338600e0,0x427e02e2}},	//   _chekka_, _pogrešne_, _raard_, _briny_, 
   {{0xa04e0209,0x9b8a006e,0xfbbe00b4,0x1da70019}},	//   _illuatun, _awantiir, _persoană_, _جاشاردى_, 
   {{0x203c014e,0x0da001c1,0x13860003,0x2379008b}},	//   _користећ, _diantara, _paard_, _detayaa_, 
   {{0x0a570101,0xc69300fd,0xa9f70087,0xa2b5037c}},	//   _biserica_, _aineolai, _filipiya_, _evadere_, 
   {{0x839403da,0x627e046d,0xb3ea0095,0xd53f013f}},	//   _ijisi_, _tsini_, _gontor_, _ennegañ_, 
   {{0x73f80130,0xa2b40333,0xf5510094,0x90a40040}},	//   _kumun_, _manchi_, _айтақын_, _לאבחון_, 
   {{0x76d80218,0xccbe04c7,0xf57701b3,0xbb96011a}},	//   _agrancef, _навек_, _кафедру_, _בשרשור_, 
   {{0xe2fc00c3,0x7ae500d9,0x43870151,0x7dce0211}},	//   _dominus_, _edelleen_, _fayre_, _писем_, 
   {{0x13ea00f2,0x6d770288,0xb97300ff,0x834b03dd}},	//   _zelta_, _kakairù_, _טריטי_, _modelet_, 
   {{0xa3b701a0,0xf75903b4,0x4f4103ac,0x15ac0159}},	//   _chuveka_, _akayambi, _bergoyan, _хламе_, 
   {{0x931305b3,0xab020179,0x030002b1,0x5043028a}},	//   _probeer_, _einsiede, _inganci_, _makungan, 
   {{0x434201e5,0x6f27010d,0x741701a7,0xe58a03bf}},	// [9e60] _genetal_, _पिंजर्_, _viestien_, _direstjh, 
   {{0xb26c0241,0x42cb022b,0x00000000,0x00000000}},	//   _gadoon_, _gladur_, --, --, 
   {{0x13ce01df,0xef210398,0x3c53012d,0xf8c50192}},	//   _shove_, _millorar_, _stetmen_, _sportiev, 
   {{0xa9d7008f,0x326d0163,0x311201a4,0xb39602f6}},	//   _प्रयाश_, _lapos_, _bankadul, _kausap_, 
   {{0x06a104cf,0x91070156,0x03780112,0xbf1801f0}},	//   _emithath, _נעבאך_, _pelahan_, _moethiop, 
   {{0x526d001a,0xa4010510,0xf1cc0008,0xec9b0088}},	//   _napos_, _удостоил, _чырак_, _كارتوشكا, 
   {{0xb3e20040,0x72ff0022,0x3c12018e,0x6c670176}},	//   _סקסימו_, _иммунопр, _ejapani_, _bedring_, 
   {{0x7d2d0698,0x33f8013f,0x538602d5,0xf2df0395}},	//   _arongoye_, _gumun_, _saare_, _oslovit_, 
   {{0xd3ea06f8,0x927e01a4,0x48f80344,0xb31700a8}},	//   _velta_, _ozana_, _allamisu, _miezdi_, 
   {{0x47f902ba,0xde370282,0xaa0b0207,0xa20a0374}},	//   _барандаг, _manawata, _linasema_, _фармонин, 
   {{0xb8dc00cd,0x1285031d,0x12d80369,0x63a201d4}},	//   _accumpig, _aerspeih_, _sekema_, _adipra_, 
   {{0x9e9401d4,0xd9df0276,0x49f301f6,0xf379024f}},	//   _scambian, _رەڭدە_, _menneska_, _sopapia_, 
   {{0x974d000c,0x13ac00ad,0x00000000,0x00000000}},	//   _марганиа_, _darpan_, --, --, 
   {{0x434c00d3,0xf1090024,0xef3a0039,0x6f8d0060}},	//   _modelem_, _আত্মপ্ৰক, _гитлерий, _جارانسىز_, 
   {{0x934101c8,0xd27e0087,0x651602fe,0x32a600b9}},	//   _turecka_, _dzana_, _نابلده_, _kambuh_, 
   {{0x4fd90037,0xe43502ec,0x727e011c,0xee070151}},	//   _ናፖሊዎን_, _qaranimo_, _isinu_, _braddana, 
   {{0x97410368,0xb1350203,0x52910181,0x849a0147}},	// [9e70] _основне_, _westeuro, _koyan_, _بوقەشوۋ_, 
   {{0xf6c50278,0x72d80544,0x82ea00bd,0x53ce020a}},	//   _dibahagi, _kekeka_, _chuisen_, _нашарлап_, 
   {{0xe291023e,0xc2a604ea,0x36dc001a,0xe610019d}},	//   _doyan_, _kanba_, _balatonf, _amalandi, 
   {{0xc37c000c,0x44470314,0x815b0349,0xf847017a}},	//   _embalse_, _призлы_, _almonsay_, _валади_, 
   {{0xe2a6008d,0xd047006c,0xd73a00c7,0x429f0198}},	//   _manba_, _такозо_, _колга_, _menjavo_, 
   {{0x44310092,0xfae70169,0x463f01b5,0x46bd0117}},	//   _お気に入りに追加_, _মালালা_, _chuluriw, _karamapi, 
   {{0x9e3500fa,0x12d90187,0xf3470004,0x23ea012d}},	//   _karaniwa, _receba_, _nijerya_, _melto_, 
   {{0x627e0265,0x975c004d,0xe3b9019a,0x998202fc}},	//   _weinig_, _本討論串目前狀態, _daivert_, _babiteke, 
   {{0xdf1701ce,0x32930191,0xec7d01eb,0xbff30223}},	//   _pamarént, _muskler_, _asusena_, _долгор_, 
   {{0x9f5d0257,0x3d2c02fa,0xa9b502cb,0xee4a0188}},	//   _notandan, _sosiyete_, _prodavat, _ahlasele_, 
   {{0x327f01ef,0xc22502f3,0x4355039a,0xeb6b0046}},	//   _esanti_, _kyrka_, _melebur_, _porteria_, 
   {{0x8eed0036,0x366f049a,0xe4b4002f,0xb3880096}},	//   _النثر_, _voljenom_, _ankallik, _amayaga_, 
   {{0xc3a204e2,0xb26d0140,0x5e960163,0x7c060376}},	//   _tempoh_, _tapos_, _براوو_, _byggiskr, 
   {{0xfcea00ff,0x328b002e,0x1291001e,0x147902a8}},	//   _עסענוואר, _ovakvih_, _goyan_, _delegazz, 
   {{0x282900de,0xf312037c,0xdec3003c,0x420501dd}},	//   _نباتاتو_, _membris_, _blungkan, _batishim, 
   {{0x2290015f,0xf1c90041,0xfc010503,0xb9770316}},	//   _anian_, _хьыӡқәа_, _pelsdyr_, _halitatt, 
   {{0x532b01f1,0x72e802f3,0x927f0699,0x00000000}},	// [9e80] _diskutoj, _fångar_, _irangi_, --, 
   {{0x2e2a014f,0xc3860387,0x5e510268,0xc5130260}},	//   _старост_, _naara_, _anualsma, _adiántas, 
   {{0x16c400d6,0x3ac8018d,0x8a1301b6,0xaf280222}},	//   _measarth, _ጥንቃቐን_, _evacuate, _accorder_, 
   {{0x9a9f04ae,0xed05004c,0x19ed005b,0x16800420}},	//   _адресе_, _agerager, _ishihara_, _interati, 
   {{0x65ef0275,0x522503b0,0x93860200,0x002102d7}},	//   _amamalui, _dyrka_, _kaara_, _comezaro, 
   {{0xc2e604ec,0x69880187,0x291200b5,0xa22400e4}},	//   _amanama_, _вестите_, _cherasẽs, _lekkie_, 
   {{0x1da40039,0xb38604ee,0xb35404d2,0x2d2f036a}},	//   _тендерий, _maara_, _bedehus_, _maritire_, 
   {{0xa26d015b,0xe2480080,0x826d00c0,0x00000000}},	//   _sapos_, _atomip_, _bapor_, --, 
   {{0x5d8e03bf,0x36eb00c1,0x0c760416,0x110c02cb}},	//   _boroetsa, _इरावती_, _maturar_, _pričala_, 
   {{0xb2910301,0xf7790071,0x726c0076,0xaa1800be}},	//   _qoyan_, _دوستام_, _achou_, _تۇمشۇقتۇ, 
   {{0x8bc4003a,0x08b00244,0x254c0291,0x2be90137}},	//   _لنگنلر_, _уникални_, _ويطلبون_, _аруинзая, 
   {{0xb2900074,0x70e9009a,0x8638023d,0xda7003db}},	//   _liian_, _abenguhl, _affidabi, _ethathwa_, 
   {{0x03860129,0x6e4a018d,0x938702fd,0x4248007f}},	//   _baara_, _ዘገድሶም_, _blarag_, _atomfa_, 
   {{0x826d00e9,0xd1590658,0xd277004b,0x645900f2}},	//   _rapor_, _clínico_, _малаяҙ_, _fiziskā_, 
   {{0x22d804b9,0xe07201a3,0x73ce030e,0x2386004f}},	//   _ither_, _آمدرفت_, _maovu_, _daara_, 
   {{0xdc4402fe,0xf07400f2,0x00000000,0x00000000}},	//   _amawaka_, _modernāk, --, --, 
   {{0xb2e701cf,0x027102bc,0x567c0078,0x02fd0306}},	// [9e90] _stanton_, _khanduli_, _престола_, _aragun_, 
   {{0xc3cf018d,0x4253045f,0xdeb9051a,0x3225020e}},	//   _እንዳኾነ_, _gemensam, _berziara, _chekoa_, 
   {{0xa4b20012,0x6ae70155,0x530d0121,0xa47903ac}},	//   _खडबडा_, _textinne, _cubanos_, _meledakk, 
   {{0xb28d0333,0x32f3005b,0x96b5036d,0x80130355}},	//   _acchisu_, _bengoshi_, _mansaich, _posvajan, 
   {{0xdecc004e,0x0f3404ac,0xe2910264,0x69d000e5}},	//   _pasyente_, _автозапч, _alyas_, _сесии_, 
   {{0xf37f000b,0xc88200ae,0x62890110,0x9da800ea}},	//   _asiasia_, _babireku, _pamirā_, _hahombia, 
   {{0x4ca40590,0x1290033c,0x027f019d,0x93720168}},	//   _prozedur, _almaen_, _alendo_, _repetisj, 
   {{0x9a7003db,0x253a00a7,0xb6cc04df,0xa27e038f}},	//   _athathwa_, _calafell_, _alasarmy, _asant_, 
   {{0x9d720090,0xc53f00f4,0x47180019,0xb1fd00b3}},	//   _akamuura, _annezañ_, _جولبورس_, _bahalary_, 
   {{0x092a0089,0x2e1b040e,0x00000000,0x00000000}},	//   _bosniädä, _bloggsta, --, --, 
   {{0x8e890147,0x827f01da,0x37e70276,0xf3bb00c1}},	//   _francès_, _pranoi_, _парчилаш, _रावसाहेब_, 
   {{0xd2910125,0x89aa0193,0x8df1014d,0x7d030207}},	//   _alyar_, _सुर्योदय_, _mindesta, _گگدام_, 
   {{0x71b3053f,0xb00d02ac,0x7b700261,0xafac004b}},	//   _jananiña, _ويحتوي_, _altranga_, _ingoetso, 
   {{0x8d370576,0x626d041b,0xdbd20092,0x98ea005e}},	//   _تکرار_, _bapop_, _murderer, _مەشۇقلار_, 
   {{0xcfdc006f,0x3f4c02f7,0x95fa012e,0x00000000}},	//   _داداگيري_, _ditsetla, _بلامبالغ, --, 
   {{0x7a7e0440,0x5e4d0243,0x8213003f,0x12d501ab}},	//   _aryamira_, _mawannaa, _lughbe_, _näete_, 
   {{0x32910163,0x38d30478,0xd145020a,0x1ba904ed}},	// [9ea0] _anyag_, _orientau, _ақбота_, _बाबूराव_, 
   {{0x0292023e,0x54ac00d2,0xa769018d,0x4f59002e}},	//   _lysate_, _haryanto_, _እናርኣየ_, _ispričal, 
   {{0x03a90377,0x7c140222,0xc3ea041a,0x6bd301d9}},	//   _privire_, _grossess, _belte_, _bridderc, 
   {{0x0e4701db,0x00000000,0x00000000,0x00000000}},	//   _сыншысын, --, --, --, 
   {{0xe307018b,0x7eca00e6,0x6bd9015d,0x2c6002ef}},	//   _прагул_, _医疗事故处理条例_, _शत्रुओं_, _dokuman_, 
   {{0xb3050354,0xa1470195,0x553800a3,0x00000000}},	//   _توزان_, _gaelisch_, _breimsby, --, 
   {{0x4d9d0211,0xe7a501bc,0x99c00163,0x5264014d}},	//   _sunnunta, _begrutti, _nevezhet, _verlor_, 
   {{0xc031038b,0x8a81047b,0xb29f051a,0x13960127}},	//   _ditembak_, _motorpas, _thabrani_, _bersed_, 
   {{0x249d017d,0x92ca0227,0xd37801fb,0x73f601b5}},	//   _ルディングス_, _tunduk_, _helaman_, _hlalelak, 
   {{0xa3f80347,0xbd860106,0xeb340062,0xb19700da}},	//   _steun_, _आर्केड_, _binaynis, _глемента, 
   {{0xf3620594,0x59900375,0x52d900bd,0xf2cd035b}},	//   _produksj, _alekanit, _rayones_, _toploto_, 
   {{0x3d890021,0x727f0119,0xc290000e,0xbd6901db}},	//   _abroadwa, _czyno_, _uniat_, _كورۋگە_, 
   {{0xfba8017a,0x7dc00176,0xa183041a,0x00000000}},	//   _самимият, _bobimama, _джинси_, --, 
   {{0x7b250016,0x00ed00ad,0xb4010119,0x6239024a}},	//   _infanojn_, _ditingal, _copiapã_, _itumosi_, 
   {{0x38ea018d,0x09c402a4,0x82490435,0x9291026b}},	//   _ዓንደብርሃን_, _vehement, _čamac_, _joyas_, 
   {{0xa9fb01d2,0x43f80080,0xa3ea01dd,0x3589002b}},	//   _aimituma_, _illumi_, _ahetse_, _দুধগুলো_, 
   {{0x62d8006e,0xc5ad0108,0x00000000,0x00000000}},	// [9eb0] _gineek_, _bloggerh, --, --, 
   {{0x9291004f,0xedd40040,0x5035010e,0x00000000}},	//   _doqam_, _ארכאולוג, _bintanan, --, 
   {{0x057d0113,0x026e04a8,0x1dd5005b,0x00000000}},	//   _ballaphá, _istoga_, _eishinka, --, 
   {{0xc2f40044,0xc2f00241,0xc25d00e3,0x45c30110}},	//   _typical_, _fulichi_, _insegwim, _statusā_, 
   {{0x0d3f029b,0xc7a70155,0xfb10027b,0xa3a70021}},	//   _eskiript_, _amorteri, _पराणान_, _arbyday_, 
   {{0x02910025,0xe77d00ef,0xb27e01b9,0x739401b8}},	//   _anyad_, _کليزي_, _epinn_, _ajast_, 
   {{0x527e0274,0xa699002b,0x7f9301f7,0xbad5004b}},	//   _opinn_, _ভঙ্গিতে_, _ataquèt_, _kgothwat, 
   {{0x144a0494,0x8e320061,0x00000000,0x00000000}},	//   _pogrešno_, _검사장인사말_, --, --, 
   {{0x7e3703db,0xe94101f1,0xd2df00e3,0xd1c00153}},	//   _zangapha, _publikue, _angolat_, _この記事を加筆_, 
   {{0xde9a0026,0xe4030210,0xbd590247,0xc3790239}},	//   _브라우저로_, _akangonz, _rambutmu_, _karamea_, 
   {{0x113c049e,0x0a950135,0x228b0012,0xa2d7008c}},	//   _posledné_, _игезәге_, _किलोली_, _englais_, 
   {{0x529000ea,0x3d3600b7,0x629002ac,0x731302a3}},	//   _ariary_, _байрыев_, _aniar_, _grobler_, 
   {{0x31c4003f,0xd2870164,0x5dce032d,0x00000000}},	//   _botemmeh_, _камерға_, _кисен_, --, 
   {{0xf3b50073,0x427e036c,0x54470139,0x8291001d}},	//   _trovava_, _mpino_, _मण्डले_, _joyar_, 
   {{0x513c01be,0xd20e0039,0x99f7005c,0x061400a4}},	//   _poslední_, _татах_, _kiliziya_, _avaluaci, 
   {{0x999d00c7,0x9e1201c5,0x2049009c,0xbc4801db}},	//   _ханым_, _بۯاند_, _adoranan, _функциян, 
   {{0x01de0528,0xc4360009,0x90dd00ba,0xcbb80153}},	// [9ec0] _chogaidh_, _izvajajo_, _ژیاری_, _ド社製水着_, 
   {{0xa44a01e0,0xabd60205,0x42fc01b2,0xa7d80350}},	//   _ستایل_, _moddalar, _mpegs_, _እንደያዙ_, 
   {{0xfeae045a,0x55ce039a,0xc36302ee,0x00000000}},	//   _bestille_, _detailny, _jingħi_, --, 
   {{0x742e0246,0xd9ce0073,0xab1e0126,0x43880322}},	//   _дискусии_, _imponeva_, _емоцій_, _amasigam, 
   {{0xcd3e0052,0x53f7028f,0x1237044a,0x6dde034c}},	//   _navigace_, _atarangi_, _ekimaka_, _firkäneñ_, 
   {{0x57ea0361,0xd27f0333,0xcd050115,0xb26e00b9}},	//   _паразито, _aranci_, _diimport_, _estimasi_, 
   {{0x0202013d,0xe27f018e,0xd1110013,0x6d4a00dc}},	//   _aprilo_, _branci_, _менсимас, _malaeulu_, 
   {{0x3ec2003e,0xa99a0291,0xa932020f,0x00000000}},	//   _почтамт_, _طربيزة_, _علمیاتو_, --, 
   {{0xdec200ea,0xec5a00f5,0x56fc01a3,0xeb17027f}},	//   _pianaran, _норвегем_, _ميڪسيڪو_, _kimanits, 
   {{0x88fd01af,0x00000000,0x00000000,0x00000000}},	//   _aydanynd, --, --, --, 
   {{0xab1f0247,0x21d905f8,0x52640437,0x238602f9}},	//   _wejangan_, _примечат, _perler_, _dyare_, 
   {{0x9fd80360,0x9a570485,0x56370138,0x0bdf0053}},	//   _odstraně, _affære_, _birisidi, _kedenger, 
   {{0x965301cc,0xe37304a5,0x93f800bd,0x7d9c0453}},	//   _antarikṣ, _ichazwe_, _drouns_, _nepouzda, 
   {{0xc38601f6,0x4355019a,0xa2d800c5,0xdf9d0204}},	//   _nyare_, _steeper_, _majeur_, _сочинени, 
   {{0x12d901d1,0xd8f90287,0xdcbd008d,0xe29100b5}},	//   _ability_, _nepamatu, _kelinmoq, _kuaaty_, 
   {{0x83730010,0xac800047,0x76580274,0x0fc30166}},	//   _abhalwe_, _allemand_, _bankarni, _dahinter_, 
   {{0x38c10349,0xb2da004e,0x219100c5,0x9f56005e}},	// [9ed0] _expended, _reseta_, _导致行政过错后果, _ﺋﯩﺪﺍﺭﻩ_, 
   {{0x6d84019b,0x9395069f,0xe5240061,0x344a042c}},	//   _nesvarbu_, _konzoly_, _살아가면서_, _pogrešna_, 
   {{0x13ac004f,0x913c029f,0x85410079,0x52900033}},	//   _koppar_, _posledná_, _diemžēl_, _almain_, 
   {{0xf3a90455,0xff640119,0x5e8502b0,0x634b0084}},	//   _gravure_, _kahangin, _serviert_, _dilebet_, 
   {{0x2c7d03b9,0xf27e05f4,0x11030040,0x00000000}},	//   _arusina_, _asani_, _לטעון_, --, 
   {{0x581500c7,0x3ae20331,0xd2d50313,0x3fc502ca}},	//   _буларак_, _flottast, _hotlhlu_, _bronnfar_, 
   {{0xa27e005b,0x58c301fd,0x1b8800f7,0xa63202cb}},	//   _kranz_, _comenzad, _atendado_, _naknadni, 
   {{0xe34d012d,0x35c301db,0xe2c2030d,0xf37a00c1}},	//   _interem_, _қояйын_, _analara_, _petasan_, 
   {{0xa64a03a2,0xde48009a,0x00000000,0x00000000}},	//   _रिलैक्स_, _کيمون_, --, --, 
   {{0x39ec0420,0xdc1c0285,0xf42b0303,0xa37303de}},	//   _extraind, _abashamb, _dikanelo_, _echazwe_, 
   {{0xd1ba018d,0xa6e80064,0x1133019b,0x00000000}},	//   _ዘይረኸበ_, _сабактар, _джулія_, --, 
   {{0x91530177,0x219701d1,0x13f80195,0x74f20139}},	//   _германие, _לתואר_, _breug_, _anumāsyā, 
   {{0x9024048a,0xc24903ee,0x01820158,0x8301003a}},	//   _реформал, _pesmu_, _इलेवन_, _zararli_, 
   {{0x730c03ed,0xe2f3003a,0x438707e7,0x15fe00d1}},	//   _poderá_, _kengashi_, _queria_, _চিৰস্মৰণ, 
   {{0xa3010309,0x5565002b,0x21630078,0xee3b003d}},	//   _maraqli_, _কিংশুক_, _божија_, _colombas_, 
   {{0x8af60059,0x5868006f,0xcc000376,0x00000000}},	//   _riprende, _شيدين_, _brestis_, --, 
   {{0xaf870088,0x99b100b5,0x553306aa,0x00000000}},	// [9ee0] _дарбаза_, _hendaite, _amanahny, --, 
   {{0x815500a4,0x501f00ec,0x33400403,0x00000000}},	//   _سالونۇ_, _rezervuo, _fonenan_, --, 
   {{0x040e0064,0x327e0357,0x53ea03a4,0xca140244}},	//   _короосун, _usani_, _felti_, _legambie, 
   {{0x49540158,0x434b0148,0x00000000,0x00000000}},	//   _इन्स्क्र, _videret_, --, --, 
   {{0x936100ad,0xf27e0163,0x23fe027f,0x6c550064}},	//   _nyambung_, _arany_, _arazana_, _алынбай_, 
   {{0x6df8033a,0xea29004d,0x9ae503bd,0xe3f801c4}},	//   _politiċi_, _四技二專技優入學_, _gatusgat, _steur_, 
   {{0xb880007b,0x127f0749,0x64d50211,0xa2cb00f0}},	//   _antidalu, _anento_, _ensinnäk, _predom_, 
   {{0xa9eb005b,0x8baa027f,0xb4d40755,0xfd800423}},	//   _anerkend, _arakoror, _जाहिसँ_, _moudrost_, 
   {{0x56b305f5,0x8f4a021c,0xc31001ec,0x794c01f0}},	//   _अछूता_, _bohosluž, _agunging_, _gololese, 
   {{0xa48c00e4,0xc92906a2,0xd34c0206,0x8f270028}},	//   _श्रमिकों_, _arumirwa_, _textilné_, _hortagaa, 
   {{0x459d0113,0x5bee02ba,0xfa10007e,0x36bb00cb}},	//   _phaisiné, _такон_, _bhilāṣaḥ_, _angakuqi, 
   {{0xe04003e6,0xa04a00dc,0xfa8b02a3,0x5ed4019e}},	//   _emotioun, _aperetan, _twintigs, _priimtin, 
   {{0x188a02b7,0xcf4e004d,0xce3803bf,0x09db009b}},	//   _markound, _城巴香港迪士尼樂, _boradita, _увайгүй_, 
   {{0x0c690131,0xb29200ad,0x134c0287,0xc7240178}},	//   _emprego_, _piraku_, _textilní_, _amarṣitā, 
   {{0x1f4b04f0,0x426e0160,0x62ae0046,0xd0ad0311}},	//   _kolobetš, _istoka_, _gravació_, _ዘስፈርካዮ_, 
   {{0x98a50533,0x78b002fe,0x1d990203,0x0f240362}},	//   _مختارات_, _استعمالو, _absentie_, _babengan, 
   {{0x86a103db,0x53ea05a7,0xe3f800f4,0x00000000}},	// [9ef0] _amathath, _velti_, _breud_, --, 
   {{0x9f5e050b,0xc3860467,0x2b8c023b,0xf3f802fd}},	//   _jawabann, _nyira_, _korineto_, _creud_, 
   {{0x0fc50054,0x00000000,0x00000000,0x00000000}},	//   _danniyar_, --, --, --, 
   {{0xd62c0057,0x3d9e028f,0xb03d010e,0xf3f2020e}},	//   _እስከአሁን_, _maungata, _bangkaro, _авиацион_, 
   {{0x427f037c,0x93730116,0xb8fc015e,0x47e300e6}},	//   _plenio_, _arrayed_, _таркатуу_, _主营业务成本_, 
   {{0xf74e0192,0x0fbe0037,0xb3f90250,0x33f80415}},	//   _국가보안법_, _ወንድወሰን_, _paguar_, _freue_, 
   {{0xedb900b4,0x7aef0166,0x326403bd,0x14710197}},	//   _gimnazia, _kalorien_, _kaplag_, _jantiman_, 
   {{0x000c0092,0xf8bf0163,0xdbfb03ae,0x0947004a}},	//   _お問い合せ_, _megenged, _kongsber, _беркатлы_, 
   {{0x0bdc0071,0x53160216,0xa6a9020e,0x2db60119}},	//   _سيمبيان_, _ghezi_, _вольфсон_, _maninida, 
   {{0x52f301da,0xa3f903db,0x52d903db,0xd7600178}},	//   _punimet_, _bavume_, _bayeke_, _bāṣpagal, 
   {{0xc3ad0061,0x23a20386,0x399103d5,0xd1ff007a}},	//   _공보감사담당관_, _tempuh_, _anchasle, _balaghah_, 
   {{0xe3f800bc,0x0300023b,0x0d3300bc,0x72ef0544}},	//   _lumut_, _kihapai_, _متالیک_, _maliuia_, 
   {{0x5d9100a6,0x3fb2041b,0x128301a4,0x760a04c7}},	//   _صنعتي_, _wallambo, _blokaka_, _пробудил, 
   {{0x1dda0369,0x0c77033e,0xe6210044,0xd2c30100}},	//   _kaikoeke_, _balsape_, _boundari, _naplata_, 
   {{0xdc4b0205,0xf9860074,0xc3b900e6,0xe56f04b9}},	//   _усуллари, _merkitse, _cerveau_, _coldingh, 
   {{0x23ea04b7,0x6e5302ec,0xde51029a,0xad090082}},	//   _groter_, _balaadha, _laranzma, _kwallaye_, 
   {{0xfa1900e6,0x12da053c,0xc6a1065c,0x0f2d019b}},	// [9f00] _万元人民币_, _desexa_, _alithath, _vandenyn, 
   {{0x4eb90257,0xbc15020a,0xda50023e,0x77d600e7}},	//   _uppeldis_, _денедегі_, _darmakus, _awardeew, 
   {{0x873001ec,0x88d4018b,0x7ae305b9,0xe9c001d2}},	//   _شیطانی_, _prietenu, _fattigst, _firewate, 
   {{0xcfe8011a,0x00000000,0x00000000,0x00000000}},	//   _upohardo, --, --, --, 
   {{0x839400c5,0x184a016f,0xa47102ff,0x63f80179}},	//   _gérer_, _дочка_, _santiman_, _moduni_, 
   {{0x12d90320,0x82f30040,0x918b00e6,0x13f8014d}},	//   _engeti_, _ברונו_, _国家机械工业局_, _treue_, 
   {{0x62900015,0x28ec0450,0x57930212,0x64f201ef}},	//   _inaan_, _tongersd, _faithwri, _keturių_, 
   {{0x92020226,0x4ed00050,0x49810425,0xa3f802e7}},	//   _kopita_, _panyakit_, _تراکی_, _humut_, 
   {{0x22db00fc,0x980a004d,0xfecd00ff,0xb27e0196}},	//   _damupmeh_, _打一場禁毒人民戰, _alportis_, _asanu_, 
   {{0x9ae30268,0xc44501f4,0x0318039f,0x516301cd}},	//   _ogethert, _мушкул_, _limiting_, _лозимаи_, 
   {{0xed4d0253,0x729d0198,0xe2d9046f,0x021c01ba}},	//   _allattoq, _stojala_, _zinneke_, _sushil_, 
   {{0xe27e00ec,0x0c6601a9,0x3e42008b,0xb2b9046b}},	//   _esant_, _filtros_, _limbarwa, _honedig_, 
   {{0x15030086,0x09f80020,0x8497023a,0xf2910455}},	//   _مارجن_, _liliuina_, _kamaratk, _noyau_, 
   {{0x57f3004d,0x11b8028b,0xa25902b9,0xb34b02b9}},	//   _中壢市新明國中_, _хыркәшан, _birtokol, _hideget_, 
   {{0xc2f901ba,0x427e0092,0x2dbe0305,0x498c00fe}},	//   _antisip_, _apink_, _einskild_, _mauhinga_, 
   {{0xe2900067,0x0e780089,0x729001fc,0xa41f00d3}},	//   _anaan_, _kabinetı, _tahaak_, _desatero_, 
   {{0xe40d0291,0x72e1024c,0xaf4101a6,0x2a4b011a}},	// [9f10] _تلاحظ_, _difficli_, _pongapon, _שלהלן_, 
   {{0xfe7201ef,0x0cac0181,0xfe0003a0,0x09d60128}},	//   _бостана_, _liggetid_, _dumedisa, _яккасаро, 
   {{0x0b9a0449,0x831605ed,0xa2bb02ff,0x171e0409}},	//   _matičnoj_, _akeza_, _palerme_, _energimæ, 
   {{0x3bac0361,0x7ae70061,0x04b7022f,0x00000000}},	//   _просторы_, _노동자대회_, _бэнгалія_, --, 
   {{0xc2480370,0x203d0109,0xc4a602a3,0x4d82021e}},	//   _atomna_, _थलाहा_, _skandaal_, _kollapsa, 
   {{0x342b02f7,0x9301008d,0x05e901f1,0x00000000}},	//   _dikabelo_, _ibratli_, _vendosmë, --, 
   {{0x08d700b4,0x69e80010,0xc5ee0037,0x79f80318}},	//   _supraveg, _bangasit, _ለመደራደር_, _molihina_, 
   {{0xe40d0039,0x83f903db,0xac520537,0x0a7e003d}},	//   _gainontz, _bavuke_, _poetisa_, _catabasa_, 
   {{0x1a350074,0xa3a2045f,0x6f0700a4,0x5c7e0760}},	//   _уведомле, _slippa_, _oficines_, _रिपोर्टम, 
   {{0x2b0c00ba,0x59d4015e,0x5a41005b,0xd7b301b2}},	//   _ئانیا_, _acollida_, _giudecca_, _allerjag, 
   {{0x083f014a,0x8e720223,0x6f7202eb,0x41b9018d}},	//   _مصرعے_, _хортон_, _хорсож_, _ከይረኸበ_, 
   {{0xa27e0039,0x70550421,0xeb640113,0xedc70177}},	//   _ipini_, _betreuun, _gramadac, _ишамоу_, 
   {{0x830c05c3,0xa16e0163,0x14d40012,0x12c500e0}},	//   _enfants_, _استفادہ_, _ओलपिंक_, _keamers_, 
   {{0xc32d00ac,0x33430077,0x5a8600d7,0x034c021e}},	//   _značilo_, _embesil_, _стеклони, _lysekil_, 
   {{0x32d903ef,0xe20903c2,0x6ba50061,0x53ac0448}},	//   _ingeri_, _polycycl, _구미시외버스터미, _kopper_, 
   {{0x630b0428,0x88540040,0x5b7d025f,0xc30c01d1}},	//   _najbolj_, _תרגילי_, _balukaka_, _infants_, 
   {{0x03f80020,0x248101de,0x8cd200e6,0xb31d02f3}},	// [9f20] _aueue_, _усолка_, _未曾见面的孩子_, _farbror_, 
   {{0xb27f021a,0x084a0205,0x971002f0,0x9b680383}},	//   _amannu_, _витаминл, _ihocisiw, _betulnya_, 
   {{0x2c7801bd,0x960902b9,0xa2d602f9,0x00000000}},	//   _ساۋداگەر, _hangsugá, _kawolin_, --, 
   {{0x92cb0396,0x3ee00076,0x4a2c021a,0xfaca0147}},	//   _memorja_, _digitais_, _ciccitaa_, _راتىفئكا, 
   {{0x32da015c,0x127e02f8,0xb2b602ab,0x24d500a6}},	//   _strooss_, _apini_, _ebudike_, _اپوزيسيو, 
   {{0xaf2b0258,0x25b60071,0x8d82026c,0xf24a0304}},	//   _earnewâl, _نامرئی_, _poterant_, _normah_, 
   {{0x70fd0360,0x326e0064,0x3b7700ff,0x39fd03c5}},	//   _फुटवल_, _estona_, _אינסטאַל, _merahmat, 
   {{0x02d804bb,0x268b027f,0xfc380078,0x9c46020a}},	//   _tshee_, _ankwerey, _поставке_, _سىنتاستا, 
   {{0x527804cb,0xe3f80034,0x027803e2,0x23f800d0}},	//   _anunţ_, _sumum_, _carné_, _ermua_, 
   {{0xc25a02ac,0xa3f40016,0x784b02cf,0x198600a3}},	//   _seolta_, _fortaj_, _captalis_, _berknese, 
   {{0xb3790472,0xed9f0294,0xf8a90265,0x323a0133}},	//   _ledakan_, _chinpara, _privacyv, _galleef_, 
   {{0xf2d90043,0x35cb0015,0x9b96023b,0xb3160118}},	//   _engeri_, _walaalay, _mainoino_, _azizza_, 
   {{0x9e3700de,0x527e03f6,0xf2da00a5,0xd4790156}},	//   _langapha, _apana_, _sesega_, _הינריכטע, 
   {{0xd5ea016e,0x42570109,0xc2da00a5,0x00000000}},	//   _amacıyla_, _dílen_, _pesega_, --, 
   {{0x21620044,0xd3e20220,0x97ad0028,0xab6b0076}},	//   _חקלאות_, _dintorni_, _tartanki, _portaria_, 
   {{0xdc5a001e,0xde70000d,0x4f20009a,0x662801e5}},	//   _tuntubi_, _रोट्ी_, _bebengen, _yunifasi, 
   {{0xaf5504d7,0x7b63000b,0xf98701e1,0x4a87020e}},	// [9f30] _samhljóð, _faitotoa_, _kenyeled, _kenyelet, 
   {{0x7e6f0102,0x98e300a6,0x82b80359,0xf3a80044}},	//   _تحقيقاتي_, _abaseluv, _hindrik_, _serving_, 
   {{0x136c00f0,0x100c0009,0xfdbe02e0,0xb2da0321}},	//   _poistení_, _pričakuj, _barabase_, _beseda_, 
   {{0x47dc0071,0x7b2b02ac,0x67e700c1,0x0abf0156}},	//   _جیرفت_, _تراثنا_, _भरभरुन_, _אורוגווי, 
   {{0xd2d804af,0x23a800af,0xf16f0297,0x13f800b9}},	//   _tsheb_, _verving_, _belemnär_, _kumuh_, 
   {{0xbdb40088,0x13ff038f,0x4290000a,0x92570155}},	//   _سوروس_, _frazenn_, _anaat_, _målen_, 
   {{0x42a70302,0x179401ac,0x0e37010d,0xd9f60034}},	//   _хакорат_, _منسوبي_, _kecandua, _orsök_, 
   {{0x2f020177,0xfaca0193,0x00000000,0x00000000}},	//   _акала_, _विवर्तन_, --, --, 
   {{0xc2cb02c3,0xf2cd00c8,0xa9e300d0,0x49b70265}},	//   _predam_, _bakoang_, _kamiseta_, _aardappe, 
   {{0x3c140184,0x2f4b033b,0xe2910359,0x427e0230}},	//   _abushits, _holofetš, _fraach_, _esanz_, 
   {{0xf2910359,0xfbbf0158,0xcc52004c,0x527f0074}},	//   _graach_, _कबूलेगा_, _abatema_, _olenko_, 
   {{0x626c0241,0x15c902eb,0xd3ea0115,0x4d8d00dc}},	//   _abdoon_, _англид_, _noktah_, _saumania, 
   {{0x827e0155,0x7ecb00c0,0x42d600e4,0x628d026a}},	//   _spana_, _aalinlan, _młodym_, _taukena_, 
   {{0x92fc007f,0x277e0040,0x737c02f7,0x02ca0488}},	//   _brigyn_, _פורצלן_, _gobatse_, _spilgti_, 
   {{0xbf5d0334,0x426d0099,0xc21500bb,0x100800c6}},	//   _ankaawon, _anyore_, _دورئہ_, _правомір, 
   {{0xd5fe00d6,0xa95f01a2,0x2c680126,0x2009028b}},	//   _catalóin, _ieintere, _законнос, _etereínt, 
   {{0x761800bc,0x426e00dc,0xfea600e2,0x32ca036d}},	// [9f40] _dimodifi, _atuolo_, _bewegers_, _cridhe_, 
   {{0x6e1700ff,0xf3940322,0x7f2400d9,0xe30d031c}},	//   _דעפרעסיע_, _abishi_, _ongelman, _envases_, 
   {{0x6a57034c,0x00000000,0x00000000,0x00000000}},	//   _аңлашылы, --, --, --, 
   {{0xb29101c5,0xc2020478,0xeadc02b6,0xff2a0143}},	//   _niyad_, _abrial_, _شارۋا_, _абсорбир, 
   {{0xf27e06fc,0x92000101,0x161e0455,0x8b9b0055}},	//   _asany_, _lumini_, _magnétiq, _assicurr, 
   {{0x83bc012c,0x137903e5,0x237903d9,0xec7f01b2}},	//   _الانا_, _redakan_, _dakaoro_, _bleuboy_, 
   {{0xb7e60016,0x031002a2,0x229000f2,0x024c010d}},	//   _ליצנות_, _kaunting_, _bankās_, _वळवला_, 
   {{0x5ec1008c,0x77b50188,0x4a080062,0x43f8033f}},	//   _fugitivs_, _шуғнон_, _jilachbe, _mumui_, 
   {{0x237f01c5,0xc2f10209,0x228d030f,0x00000000}},	//   _filayaa_, _aarimmi_, _paukena_, --, 
   {{0x975905c5,0x627e00d5,0xf1f502d3,0x734102f8}},	//   _साक्ष्य_, _tsiny_, _смета_, _novemaa_, 
   {{0x519d017d,0x9a36002b,0xd2e30241,0x82780097}},	//   _名様にプレゼント_, _সাবিনা_, _damisee_, _odunjo_, 
   {{0xac92046b,0x4f3402eb,0x9e090139,0xe10a01f3}},	//   _gwartheg_, _хуухэн_, _bandhuma, _pravítka_, 
   {{0x32f202f8,0x5e5800ff,0xbbaf03a2,0xeb250219}},	//   _feliliu_, _סאָװעטיש, _घुघूतीबा, _ekuphake, 
   {{0xf5b904ae,0x2df70142,0x3126021b,0x00000000}},	//   _антену_, _dehinaḥ_, _hyllyssä_, --, 
   {{0x73a202f6,0xb2900118,0xfb6100c1,0xd86c0019}},	//   _tumpak_, _ajjamu_, _माडगूळकर_, _equivoqu, 
   {{0xb6f40152,0x7d88019b,0x395c00e0,0x00000000}},	//   _alasıñ_, _trumpala, _gaastmar_, --, 
   {{0x64bd02ac,0x24140210,0xa423020a,0xe30e0145}},	// [9f50] _الزنجبيل_, _akanonok, _تىيندارم, _pernelyg_, 
   {{0x992c01a0,0xb3950096,0x227e03f7,0xb2130158}},	//   _avamakwe, _abashi_, _apann_, _dachem_, 
   {{0x71590470,0x62a300ab,0xb27e0264,0xdfca026c}},	//   _wandarä_, _harirū_, _apang_, _arbitror_, 
   {{0x3fbd011b,0xc95d0203,0xa2f30329,0x6291007e}},	//   _réguler_, _abonnate, _felisit_, _anyaj_, 
   {{0x7ec600f4,0x9f240294,0x8c7500e4,0xdf240034}},	//   _skrivagn, _angelman, _भित्ति_, _stálu_, 
   {{0x73ea02db,0x4bc702ba,0x0eb60059,0x00000000}},	//   _helti_, _бағлон_, _prosegue_, --, 
   {{0xc8f70072,0xa3ea0159,0x50f000c1,0x4b0a004d}},	//   _qalayitu, _kelti_, _वाटवे_, _徵信相關新聞_, 
   {{0x22f101c9,0xfbf300d9,0x3394028a,0x8c800235}},	//   _aprilli_, _журналов_, _ubishi_, _coditaṃ_, 
   {{0x1f5d016d,0x5c7e0338,0xcc640051,0x1bff03dd}},	//   _елхәт_, _catscan_, _rietumu_, _kengetar, 
   {{0xab6301e9,0x72d8008b,0x00000000,0x00000000}},	//   _akaretsa_, _binekk_, --, --, 
   {{0x28d900c8,0x71d7006c,0x303f0265,0xca600095}},	//   _кемдең_, _нигина_, _vestigin, _بخريد_, 
   {{0x00000000,0x00000000,0x00000000,0x00000000}},	//   --, --, --, --, 
   {{0x203c03e2,0x9ba900ff,0xba810362,0xfa2601ac}},	//   _incendio, _סינאַגאָ, _lodonans, _pancóga_, 
   {{0xb56b0147,0xeb480453,0x1c740156,0xcc550114}},	//   _بىلئگى_, _patlidža, _בארימט_, _gumtree_, 
   {{0xc22b033b,0x12a60140,0x604701b3,0x92a70013}},	//   _thomile_, _tambay_, _кислоту_, _tavba_, 
   {{0x3ff30012,0x7c61011e,0x658103c6,0x846200d9}},	//   _संस्कृतो_, _listwar_, _allemach, _секретны, 
   {{0xb2a30047,0x77920163,0x63020122,0x22ca0212}},	// [9f60] _limité_, _کیریکٹر_, _celathu_, _pridie_, 
   {{0x3c610141,0x3bf7004a,0x3a3200db,0xe2e80294}},	//   _postlar_, _периодик_, _दहेजक_, _chaiña_, 
   {{0xe3410004,0x33dd01c0,0x78f802fe,0xbec302ed}},	//   _berekya_, _alawus_, _bawanced, _achádego, 
   {{0xe2d50085,0x83ac029b,0x963c0195,0xd14702ca}},	//   _ioloolo_, _coppar_, _diciadai, _brollach_, 
   {{0xf2910139,0x3ae102c7,0x928d0204,0xff070064}},	//   _anyac_, _angepass, _kaukana_, _жадатма_, 
   {{0x7ee80266,0x9abc01f2,0x52d9008e,0x5d08047b}},	//   _adakalan, _йапонийә_, _dupee_, _brekaðum_, 
   {{0x6d2103b4,0x330801c7,0x4a00028b,0xd0870397}},	//   _adzingwe_, _andalyp_, _membygua_, _кучманчи, 
   {{0xa28d0165,0xe90b0185,0xb1c20218,0x0b6100b9}},	//   _laukana_, _оялып_, _anadacay_, _अग्रलेखा, 
   {{0x027e00fa,0x79fc002f,0x4a150009,0x5383009a}},	//   _upang_, _achamant, _pojavlja_, _banyule_, 
   {{0x4a1d00d7,0xf2000343,0x9a1d00ba,0xcc190128}},	//   _минималь_, _dumili_, _داپۆشیوه_, _seyshanb, 
   {{0xd22700da,0x8955026c,0x62910450,0xc99a0226}},	//   _вариатэ_, _adulesce, _tichtby_, _amakaika_, 
   {{0x5c6100e9,0xc53b01d2,0x00000000,0x00000000}},	//   _zistwar_, _illimsay, --, --, 
   {{0x8a1500f5,0x1db90130,0x4ea10033,0xedf30095}},	//   _гурлэн_, _aezamant_, _ambulont_, _bundhera, 
   {{0xc9f601c1,0x977901bd,0xbe0e004b,0x17c2002b}},	//   _प्लेलिस्, _кілті_, _bofereda, _অনবরত_, 
   {{0x513c049e,0xa21f002e,0x6417033e,0xfe26005e}},	//   _posledný_, _budžetsk, _ayagualo_, _ظعقتعساد, 
   {{0x33430130,0x865b0012,0x37230373,0x13f8014d}},	//   _distagañ_, _केइसनो_, _potencoj_, _armut_, 
   {{0x6da4000e,0xe2d80014,0xb8f7004d,0x02b10066}},	// [9f70] _magnetop, _ruhet_, _白金優惠積點_, _hendaia_, 
   {{0x5a19032d,0xf2d80255,0xf2c103f8,0x00000000}},	//   _homphieu, _suhet_, _normmap_, --, 
   {{0x92900318,0x537901a6,0x2159034c,0xb0570244}},	//   _anaai_, _kopania_, _сарманов, _килими_, 
   {{0xb3eb0389,0xecf000c1,0xb9e40050,0x00000000}},	//   _gaatal_, _नवलकोल_, _balongna_, --, 
   {{0x05f80031,0x02560352,0x49ec00e4,0x9da700ab}},	//   _व्यवस्थे, _যুদ্ধৰ_, _echodnia_, _korukoru_, 
   {{0x563d0092,0x3d9e0090,0xe2e5013e,0xec670369}},	//   _発明の詳細な説明_, _akandita, _agenata_, _lemuela_, 
   {{0x97ad001c,0x63eb006e,0xfc1303df,0x82010488}},	//   _partenki, _baatal_, _kvardags, _kreisi_, 
   {{0xd20002f6,0x213c0206,0xc2da0179,0x2e9d0148}},	//   _bumili_, _poslednú_, _lesonas_, _formidin, 
   {{0x03cb0044,0xe6620126,0x927e01ec,0x15cd03ac}},	//   _ופשוט_, _британії_, _apane_, _bacaanny, 
   {{0x438602fa,0xc3e800bf,0x0290048c,0xd2e700ec}},	//   _nyiri_, _вслед_, _romaan_, _важнае_, 
   {{0x22f700ad,0xcc6002f6,0x010a0264,0x00000000}},	//   _ditilik_, _likuran_, _maghusay_, --, 
   {{0x9c080279,0xd1e00144,0x41920310,0x29ba004d}},	//   _stagiair, _cheistiú_, _peacaich_, _也騙了所有的台灣, 
   {{0x2b1a002f,0xed9e0226,0x2bfb0513,0x9f7f011a}},	//   _aleacion_, _ayankhep, _languter, _ומיכל_, 
   {{0x8c760451,0x612a003e,0xa6410022,0xf1cb0281}},	//   _bitsang_, _компьюте_, _divitami, _guutimik_, 
   {{0x48fc018a,0x57c3018a,0x52f2045b,0xe5c70156}},	//   _addasiad, _berswadi, _актах_, _סטייועסע, 
   {{0x6b070217,0xfe360357,0xcae1002b,0x823b0059}},	//   _apprecia_, _qaraniva, _দিবাগত_, _generati_, 
   {{0x62900230,0x9a590092,0x3c0e0037,0x339403ab}},	// [9f80] _komann_, _涼宮ハルヒの憂鬱_, _እጠብቃለሁ_, _edisk_, 
   {{0x2a6d0041,0x840900db,0xed0301a3,0x06ff020f}},	//   _ҵакыдоуп_, _बेचाराके, _گدلاڻ_, _اسبابو_, 
   {{0x82a7001f,0x925a021e,0x33860134,0xff8300be}},	//   _biabia_, _kosttill, _iyara_, _سۇۇبۇ_, 
   {{0x7d2c02b2,0x1b710184,0x441e0558,0x57ca0233}},	//   _ansiktet_, _akishura_, _igbakoro_, _bonstyli, 
   {{0x734301eb,0x63c5030a,0x38ba003c,0x82e8006c}},	//   _derecho_, _levará_, _اکباتان_, _ancipha_, 
   {{0xd25f07ec,0xf2b50548,0x329c01af,0x1faa023e}},	//   _wokulwel, _frodige_, _adaptirl, _اتحادهای_, 
   {{0x4d0b04f9,0x7c6802f7,0x03dd023e,0xefbf04f8}},	//   _muslimit_, _babuisi_, _amawas_, _depletio, 
   {{0xb94d00a9,0x7db3029a,0xf2da0465,0x214b018f}},	//   _indorere, _tenasite_, _lesena_, _nilostah_, 
   {{0xacca010d,0x42d40311,0x00000000,0x00000000}},	//   _विषयाशी_, _ምሕረትካ_, --, --, 
   {{0x122605c2,0x2adc020a,0xd2da015b,0x8723037c}},	//   _phukha_, _تەڭشەلگە, _vureas_, _litteram_, 
   {{0xdaa502f7,0x4b0400ff,0x29f20011,0xd3f80115}},	//   _bosiamis, _יאהאניסב, _akungula_, _lumus_, 
   {{0x92920138,0xcea50538,0x72810119,0xa62200be}},	//   _lisans_, _regulere_, _aichach_, _جەتسەدە_, 
   {{0x626e0437,0xfb700016,0x37c7011f,0xc9c40033}},	//   _datoen_, _smeralda_, _антро_, _andenmat, 
   {{0xdfa10145,0xb6970027,0x00000000,0x00000000}},	//   _latvijos_, _schelkli, --, --, 
   {{0xca0502d8,0x02d900ce,0x325b00dc,0x72da0008}},	//   _चिन्हावर_, _labours_, _aselau_, _desena_, 
   {{0xb2ca0378,0xa28d022b,0x00000000,0x00000000}},	//   _segdi_, _elskara_, --, --, 
   {{0xb2c80044,0x00000000,0x00000000,0x00000000}},	// [9f90] _imposed_, --, --, --, 
   {{0xf9b60439,0x7e510059,0x00000000,0x00000000}},	//   _gandlisa_, _garanzie_, --, --, 
   {{0xd4f300c7,0xc2d50133,0xbe2d0315,0xd26e0265}},	//   _боларын_, _atileet_, _banganca, _katoen_, 
   {{0x2e96005e,0xe27e0132,0x1f5b01c4,0x4106034c}},	//   _يىشىل_, _mennem_, _kampeerp, _атрибутл, 
   {{0x3c07029e,0xec5000bb,0x1f6a0142,0xc2ca008d}},	//   _brasaat_, _پنڈنس_, _प्रदीपः_, _tegdi_, 
   {{0x840703e9,0x62da0244,0x56fa0350,0xf8e80418}},	//   _agaỳi_, _cesena_, _በዋሺንግተን_, _hangisid, 
   {{0x99dd01e5,0x49e5028e,0x0b0d0120,0xd30c04f8}},	//   _alifabee, _klinimap_, _maasinna_, _kinases_, 
   {{0xf9c90136,0x217e01c1,0x386a0276,0x6e900420}},	//   _vukovara_, _katakanl, _миладичн, _fluminen, 
   {{0x82ba001d,0xb618045f,0x39e50139,0x210d031e}},	//   _cuidosi_, _upplysni, _aparāddh, _pričama_, 
   {{0x59750258,0x4f060041,0xb8670486,0x39ed01a6}},	//   _berneboe, _зырманшә, _judikatu, _timipera_, 
   {{0xc23b0402,0x52a70220,0x4c5a02f7,0x239401ef}},	//   _menepati_, _загора_, _akatemi_, _seksas_, 
   {{0xa28301f0,0xb20c00da,0x70430126,0xe3f80488}},	//   _barapedi_, _комбинэр, _каталозі_, _numur_, 
   {{0xf7da0142,0xd84700da,0x184a0153,0x5b7f00d0}},	//   _प्रकारः_, _интенция_, _現在の価格_, _amarauna_, 
   {{0xd4860016,0xade90251,0xa2ab001d,0x2a010128}},	//   _rezultoj, _hanjabaa, _yunità_, _armasiga_, 
   {{0xba6a026c,0x0e0d0265,0xa6a104f2,0xcf380119}},	//   _攝影及影音_, _boodscha, _noithath, _dirudila, 
   {{0x53f80253,0x5254001a,0x09ab00f5,0x13d10029}},	//   _sumut_, _főleg_, _акламак_, _ڕێوان_, 
   {{0xe486000c,0x8eda045e,0x755801f4,0x0f5d0476}},	// [9fa0] _шанцев_, _старите_, _мусажоно, _aisakwan, 
   {{0xe2fe022c,0xf4370331,0xc2d80316,0x00000000}},	//   _aktifis_, _bankapak, _fakewa_, --, 
   {{0xd39401b0,0x79810122,0x80530045,0xa93b060d}},	//   _adisi_, _bodhgaya_, _подиже_, _गोनोरिया_, 
   {{0xe8b104a8,0x538601c1,0x7ccc00ba,0x0c2f0311}},	//   _predsjed, _syari_, _دیتنێ_, _ልኡላዊትን_, 
   {{0xe2da03cf,0x429004ee,0xbf730047,0x273000ba}},	//   _mesela_, _chiaa_, _lancemen, _ساڵۆنه_, 
   {{0x44750085,0x2d880148,0xd94e0311,0x13f804d7}},	//   _bureitak, _accessit_, _ወግዓውያን_, _aumur_, 
   {{0x6374014f,0xb3f8006e,0x90ba0401,0x4394007b}},	//   _рубрике_, _kumur_, _हानिकारक_, _ainsel_, 
   {{0x628c042b,0x55eb02fe,0xed4803fd,0x18670212}},	//   _njihovu_, _ارزانه_, _fugalaau_, _ordinatu, 
   {{0x3b8d02ee,0x268003e5,0xc9c200ff,0x067b00c4}},	//   _fornitur, _literati, _nobelpre, _ڀرپاسي_, 
   {{0xb39600df,0x3c5c0643,0xe2830043,0x95590028}},	//   _dessus_, _vratilo_, _alokoka_, _danjirah, 
   {{0x8e8a04e8,0x1394027f,0x7ada07ed,0x0aa700da}},	//   _francés_, _adasa_, _अनारकली_, _ваканте_, 
   {{0xf3830320,0x8ae500aa,0x6a08015a,0xbfd50397}},	//   _hanyile_, _katungat, _hawaasaa_, _кушанда_, 
   {{0xcc5b022a,0x52da01b9,0xe38f04b3,0x39f603f1}},	//   _alutosi_, _desela_, _bengaleg_, _husák_, 
   {{0xe2f900a9,0x40af0087,0x5f5201e8,0xebba0045}},	//   _kwihana_, _hlometel, _ipapilit_, _занемари, 
   {{0x046d00f1,0x4dc8018f,0xd8fd0039,0xe2cf028a}},	//   _siperviz, _minheyda, _besarkad, _sokoine_, 
   {{0x725b0025,0xf50701a7,0x82d804bb,0x13a200bc}},	//   _phalam_, _средств_, _tshem_, _numpak_, 
   {{0x32bb02cb,0x879500c5,0x372d031c,0x87dd0061}},	// [9fb0] _studiji_, _mystérie, _volverá_, _계명대학교_, 
   {{0xc39600bd,0xa3030082,0x4c180078,0xe30301e5}},	//   _musset_, _duwatsu_, _концепта_, _giraamu_, 
   {{0xb29100fa,0xa3870054,0x855902ba,0x523b0683}},	//   _diyan_, _tsarki_, _торнамои_, _nøjes_, 
   {{0xce14032c,0xd1490311,0x694f0165,0xc3100198}},	//   _aggersaa, _ዓዲግኩም_, _vakosipe, _trebuhu_, 
   {{0x6248041b,0x353c011f,0x925b01e9,0xc20e009b}},	//   _takma_, _мгимо_, _abelwe_, _давах_, 
   {{0x529103e7,0xba160080,0x00000000,0x00000000}},	//   _niyan_, _damaaiha_, --, --, 
   {{0x62910097,0x137b00b9,0x64060011,0x00000000}},	//   _afijuwe_, _alhasil_, _balikyuk, --, 
   {{0x339403e6,0x3f2400af,0x65840077,0x424801c9}},	//   _pinsel_, _prøvde_, _brasewòs_, _hammas_, 
   {{0xc46f0369,0x2a3901db,0x92910054,0x230a0238}},	//   _bapetizo_, _ارۋلار_, _biyan_, _асортиме, 
   {{0xc3940063,0xe7b700da,0x13170189,0x9fdc004d}},	//   _deise_, _манифе_, _rencide_, _變身大酒店_, 
   {{0x27bd040a,0x2be702b2,0x17da01c9,0x32da027c}},	//   _ytterlig, _etterfor, _प्रकारक_, _besela_, 
   {{0x0d14005e,0x9a8501d2,0xe394036d,0x65ef00a8}},	//   _ئوبۇلقاس, _arinawan_, _feise_, _commetti, 
   {{0x9bf90234,0x403100a3,0x00000000,0x00000000}},	//   _ofintoto_, _biletbok_, --, --, 
   {{0x82870036,0x1a10027b,0x00000000,0x00000000}},	//   _أفعال_, _इग्लक्षण, --, --, 
   {{0xe6f80143,0x722b0059,0x130e0445,0x053a0021}},	//   _братовче, _premere_, _buracos_, _efficacy, 
   {{0x79c60060,0xd29002fb,0xbbc1004d,0x2fc60156}},	//   _بارىندە_, _kiaau_, _不能與希斯萊傑同, _deponejo, 
   {{0x93ea04f0,0x007d0143,0x09e7015f,0x15820077}},	// [9fc0] _pelts_, _нанси_, _astudiod, _enterasy, 
   {{0xa3d601d4,0xe88900e6,0x920002fe,0x9352027b}},	//   _distinti_, _联系资料修改_, _imikhosi_, _नकुलं_, 
   {{0x438d0300,0xd6d0006c,0xe6490311,0x3ba7005b}},	//   _ventilát, _akasesiy, _ብዝርርብ_, _cozyhous, 
   {{0x7c610390,0xb9bd0315,0xcf260074,0xf63400c1}},	//   _dostlar_, _basesowe, _itsetunn, _वसाहती_, 
   {{0x83040139,0x50e5027b,0x9366000b,0xdc50006f}},	//   _adharam_, _साधीयः_, _igagato_, _رھنما_, 
   {{0x02910025,0xd2d903ae,0x0c620057,0xdc4101c8}},	//   _anyat_, _cupen_, _insuran_, _nespavos, 
   {{0x65ef022a,0xae8c0200,0x20ce04f9,0x07b4005c}},	//   _betenidü, _mbuwanye_, _biologil, _bagendag, 
   {{0x6b430241,0xf19c0162,0x00000000,0x00000000}},	//   _bilchees, _хилаплиқ_, --, --, 
   {{0x760b0249,0x662103d9,0x3291018f,0xdb760037}},	//   _apoentem_, _noforoni, _enyas_, _entrinya_, 
   {{0xcbf9003a,0x8a1d017a,0xea0500ba,0x00000000}},	//   _партияси, _ababhale, _بێنرخه_, --, 
   {{0xa79302a0,0x13f803ec,0xe27f016a,0x00000000}},	//   _alábójút, _kreun_, _arenon_, --, 
   {{0x3b7f00db,0xa19700ec,0x420204d8,0x2f29015e}},	//   _आदेशपाल_, _балоце_, _abriil_, _ساعابولع, 
   {{0x03460162,0x945900f2,0xe6ce0099,0x96d500be}},	//   _дастаниғ, _fiziskās_, _angangoi, _سايماچى_, 
   {{0x79f800ea,0x303802fe,0x925b0249,0x6fd10117}},	//   _nahitana_, _يونيسف_, _mamnmeri_, _thinkbao, 
   {{0x7c6a0401,0x734301e1,0xe8c300d9,0x929102be}},	//   _गोष्ठी_, _фотолар_, _нелегаль, _riyan_, 
   {{0x8e3c00ec,0x9c68005b,0xe0f00039,0xbc010376}},	//   _italijos_, _higuchi_, _dohainik_, _brestir_, 
   {{0xc29000a5,0x7c740012,0x52b100c1,0xcd000347}},	// [9fd0] _agiagi_, _चिन्हल_, _खरपुस_, _slimfone_, 
   {{0x9b88033e,0x5787005e,0x928a027b,0x19a10153}},	//   _trenzado_, _ھاۋاسى_, _क्रोधो_, _無料会員登録はこ, 
   {{0xe32201cd,0x83f8036d,0xc7b9013a,0x629101c5}},	//   _булдозер_, _breun_, _bestroof, _inyar_, 
   {{0x52da0368,0xa9cd024f,0x871800ff,0xcdcd012c}},	//   _meseca_, _aliferet, _נעמסטו_, _washinde_, 
   {{0xf2e90191,0xf2910139,0xc61a01fb,0xf2cf0359}},	//   _fysiska_, _anyas_, _homocidi, _bedoele_, 
   {{0x12ca0240,0x8d3a0315,0x72240437,0x09f80562}},	//   _agilosi_, _balimele_, _hakket_, _gahitana_, 
   {{0x858d023e,0x777e0061,0x00000000,0x00000000}},	//   _مانگروها, _주문과정에서_, --, --, 
   {{0x0425019d,0x7290031a,0xd203004b,0xd9c701f4}},	//   _kusindik, _chiad_, _вологда_, _қараса_, 
   {{0x33cb011a,0x56e100e5,0x00000000,0x00000000}},	//   _לפטור_, _convocaç, --, --, 
   {{0x77420333,0xa27f046b,0x4b4c0366,0xf635000e}},	//   _rientrav, _blaned_, _оставшей, _pronómin, 
   {{0x7e29003b,0x05b9037c,0xcd29009a,0x15a90211}},	//   _benginga, _invidiam_, _bengingq, _великое_, 
   {{0xe29100bc,0xbea9041e,0x39d00354,0x226d01f0}},	//   _anyar_, _critiche_, _лерик_, _boyone_, 
   {{0x4f5701a0,0xec5302f3,0xbaf40344,0xa401020f}},	//   _dlhadlen, _nyttiga_, _aperivut, _ولسشمر_, 
   {{0x9f6c0455,0xa3020032,0x720000c0,0xa015002b}},	//   _horaires_, _boharpu_, _bihira_, _একাত্মতা_, 
   {{0x94fb02d5,0xc86e0005,0x13650066,0xb9420127}},	//   _कुहासा_, _glindesd, _bergara_, _berroyer_, 
   {{0x32b90130,0xe1510040,0x5303033f,0x22fe03bd}},	//   _tchekeg_, _לכבוש_, _lavaatu_, _kapikas_, 
   {{0x8c3a023d,0x16d7016d,0x1dcd0193,0xdc620109}},	// [9fe0] _историят, _تۇغقانلى, _मुक्तसुन, _vibrace_, 
   {{0x2c750525,0xa2ee027b,0x31750013,0xc4660183}},	//   _सदस्यो_, _aneneti_, _сунний_, _antemoro_, 
   {{0x6c9f0040,0xf4b901db,0x38090137,0x00000000}},	//   _charging_, _сепкіл_, _мандалты, --, 
   {{0x6d8600e9,0xf2d00086,0x0a460073,0x438601af}},	//   _dezenere_, _سیوریج_, _retenera_, _azary_, 
   {{0x7df10125,0xcf230253,0xb3430138,0xf3860291}},	//   _hindista, _amerlava, _bilemem_, _ياعيني_, 
   {{0x05c901b3,0x8c5500a4,0x43940176,0xc9e601be}},	//   _прославл, _алымбек_, _adasd_, _कट्टु_, 
   {{0xe2c503df,0x9cce00ba,0x345900f2,0x22780176}},	//   _daglege_, _دیرۆک_, _fiziskām_, _catnap_, 
   {{0x90f40342,0x637b00f2,0xa34700e3,0x59eb030d}},	//   _devyasyo, _parasto_, _fedelta_, _batumidə_, 
   {{0x24130208,0x3594025f,0xbadf02cb,0xa37902a6}},	//   _زاندا_, _babundak, _nastupit, _casacca_, 
   {{0x927f007f,0x86990169,0xd2db0153,0x1b690220}},	//   _planed_, _আসালামুয়, _ありました_, _тодорова_, 
   {{0x21ab0040,0xe200007a,0x22270244,0x0ddc003c}},	//   _בפרדס_, _baligh_, _виновен_, _الگوي_, 
   {{0x8378022c,0x5eed0148,0xaf3b02c2,0x33e8020f}},	//   _kalawan_, _converta, _palestyn, _alulwenz, 
   {{0x79a90094,0x4c7d0294,0x75720109,0x4288003c}},	//   _әшкереле, _anisado_, _svitavsk, _asmarani_, 
   {{0x787f024f,0xfb490061,0x9da6004f,0xa37f00cf}},	//   _daligamu, _오션파라다이스_, _ekaraawu_, _dalagaa_, 
   {{0x3680033e,0xd3a50039,0x777c015e,0x3c7e0600}},	//   _antelati, _лууван_, _молдолор, _रिसोर्टम, 
   {{0x425f01cb,0xfd930696,0xad640178,0x658501be}},	//   _nokulwel, _galáctic, _bhājo_, _limitová, 
   {{0x737801af,0x1b480093,0x4635039f,0xa24801fc}},	// [9ff0] _aglaman_, _версиях_, _signalli, _takme_, 
   {{0xfd540037,0xf9b6027f,0x0c1601af,0x00000000}},	//   _halatuju_, _kwadarat, _dursuň_, --, 
   {{0x0a8704ad,0x64490418,0xcb6e0311,0x11660408}},	//   _didimats, _vatandaş_, _ኣይወዓለን_, _antonony_, 
   {{0x7c5a0306,0xa58502f0,0x1180015e,0xfcbf013f}},	//   _tantari_, _asitifak, _meravell, _bokedoù_, 
   {{0x22e3041e,0xd3eb03b0,0x726e0129,0x23f80065}},	//   _finisce_, _retta_, _katoon_, _freut_, 
   {{0xe9df02d5,0x12d90163,0x77930279,0x2c6807ee}},	//   _vastupid, _engedi_, _doctissi, _lemueli_, 
   {{0xf0310461,0x024400b7,0xf503018f,0xb3ad002b}},	//   _contenen, _адреслер_, _dellahch, _অপরিবর্ত, 
   {{0x722501ba,0x938700f4,0x6ca6036d,0xff140033}},	//   _adekwa_, _agareg_, _charmaig_, _tancadis_, 
   {{0x73f801f1,0x599300e0,0x00000000,0x00000000}},	//   _kreut_, _dichtsje, --, --, 
   {{0x13070132,0x625b0125,0x00000000,0x00000000}},	//   _anyagok_, _deglip_, --, --, 
   {{0x7adf0300,0xaf630031,0xb2eb0074,0x196302a4}},	//   _zastupit, _tampilka, _kauneus_, _fornicat, 
   {{0x1f5c0233,0xfff60229,0xba3401e0,0x9c27015a}},	//   _fragilis_, _menyusun, _مسایی_, _dimshaas, 
   {{0xc7c70148,0x07d601f4,0x00000000,0x00000000}},	//   _disssoci, _нуқтасиг, --, --, 
   {{0x9278034f,0x51ad0008,0x73960195,0x12900318}},	//   _ufundo_, _сайтынын_, _dhusan_, _liaah_, 
   {{0x361e05ca,0x87340120,0xc2a00053,0xb990004b}},	//   _magnétic, _gutuqtem_, _taubah_, _hlukunye, 
   {{0xf9fa023b,0x4f7a01fe,0x8e0f011d,0x029100f4}},	//   _kanikela_, _vaccaron, _conectea, _diyac_, 
  
   {{0x2ab00156,0xd3540502,0x416700de,0x0185020c}},	// [a000] _מפשעוואר, _breezes_, _داستولو_, _sayangil, 
   {{0xf2000085,0xc368005b,0xff7300be,0xc3be0187}},	//   _cumimi_, _hemmelig_, _tancamen, _запалени_, 
   {{0xfb270193,0x14a3010d,0x6f3d011d,0x187c019b}},	//   _शिक्षकां, _अफगाणिस्, _справкэ_, _калекцыі_, 
   {{0x32e70585,0x029000e4,0x0d0501f6,0xbcbe0135}},	//   _odeljenj, _obiad_, _samlaget_, _фарер_, 
   {{0x86a902d4,0x23f800a7,0xf6100076,0x3e0d05b3}},	//   _rapresch, _greus_, _imaginaç, _koffieta, 
   {{0x94f301f1,0xc29200c5,0xbd29006d,0x165b0397}},	//   _shembull_, _disais_, _анклаў_, _asekhuli, 
   {{0x8edf005d,0x97a902ac,0x63eb023d,0x4b260188}},	//   _culionas_, _تقترب_, _metto_, _чанчол_, 
   {{0xb20002a2,0x4a2801a3,0x3d9f0326,0x669900bf}},	//   _pumili_, _متڀيد_, _chandisa, _берилли_, 
   {{0xeaed0141,0x23870434,0x7283033e,0xe883055b}},	//   _россияни, _cierto_, _босниеи_, _skriveku, 
   {{0x038600b9,0xe20001a4,0xa2d90198,0x2329000d}},	//   _nyari_, _asekwisi_, _kupec_, _halvasti_, 
   {{0x0aef0003,0xecca00ef,0x6da703bd,0x12480528}},	//   _inloggen_, _دکندوز_, _gibotoha, _cromba_, 
   {{0xe2900245,0x32c8008d,0x1b6700b7,0x4e1c021b}},	//   _jaiaw_, _арманист, _хасене_, _blogissa, 
   {{0x831703de,0x6b9a03ab,0xbc1500e0,0x8b950184}},	//   _ukuze_, _ekonomic, _húskes_, _kayibwir, 
   {{0x8e460040,0xeb0901af,0xfdd60032,0x1abc057c}},	//   _מסתיימת_, _arassaja_, _michunme_, _opsvinge, 
   {{0xd3eb0244,0x340e0364,0x5b5c0226,0x814101b8}},	//   _detto_, _sonndesz, _asamalir, _sinuparo, 
   {{0x53eb0371,0x7c010051,0xcaf404b3,0x12eb0461}},	//   _letto_, _pretties, _arnodenn_, _ananàs_, 
   {{0x02d902fd,0xe3f80046,0x6c5d002b,0xe4380145}},	// [a010] _aupec_, _creus_, _পূণ্য_, _расстань, 
   {{0x62190486,0x02e702c7,0x60ec003b,0x77b3033c}},	//   _podnikán, _beenden_, _bayidlal, _henuriai, 
   {{0x229101b5,0x06d10291,0x53bf00bc,0x897400a8}},	//   _hiyaa_, _campáil_, _آمريکايي_, _bainvule, 
   {{0x06d0019f,0x8c9300c4,0x853b032e,0xeb070204}},	//   _mawasili, _پاتال_, _waliptay, _hengitys, 
   {{0xb27e03c3,0x33b101fe,0x796e0785,0x00000000}},	//   _radnja_, _lauvako_, _flinkest, --, 
   {{0xe25a008f,0xe292040f,0x0c6b0501,0x635b00a6}},	//   _mulle_, _visais_, _कात्रज_, _kungoba_, 
   {{0x72d1014a,0x4de901f6,0x5e1a0153,0xc3ac0075}},	//   _لوکلائزی, _সন্তানৰ_, _マイリンク追加_, _boppur_, 
   {{0x018500fb,0x76af0242,0x32d9057c,0x5934006c}},	//   _ababevel, _xesteliy, _øgede_, _бетарафо, 
   {{0x5a450257,0xf5d90056,0x8bc403f1,0x0e540295}},	//   _erlendra_, _халабонҳ, _renováci, _matapule_, 
   {{0xa2d804ce,0xe3190077,0x52d50176,0x1621034e}},	//   _tsheo_, _afichaj_, _stillet_, _arinikpi, 
   {{0x30da0177,0x0316009a,0xceba0205,0xa2e701c5}},	//   _пропоган, _akezi_, _ҳовли_, _keeneen_, 
   {{0x9fbc0362,0xaa57032b,0x42ef048f,0x276400d6}},	//   _bakokobo, _يۇمران_, _kolinga_, _theirmig, 
   {{0xb25a01c4,0x9f1d0406,0x43940119,0x07560126}},	//   _julle_, _दीर्घायु_, _mdash_, _страждан, 
   {{0xd47501fe,0x220001b5,0xf17d00ba,0x00000000}},	//   _kureitak, _humiki_, _ناهێڵێته_, --, 
   {{0x32e904d7,0x437e032d,0xb18a018d,0xc0eb0076}},	//   _kannast_, _захаркин_, _ኣንጻርካ_, _обновена, 
   {{0x537201eb,0x53940119,0x725a0168,0xb40d0011}},	//   _skillung_, _ndash_, _fulle_, _abanunuz, 
   {{0xf25a0217,0x9ec003ab,0xfd86051b,0x625a01f4}},	// [a020] _nulle_, _nebezpeč, _beremese_, _chilim_, 
   {{0x42910138,0xa248006f,0xb317013b,0xd2390165}},	//   _siyah_, _kuomba_, _biazon_, _taumuri_, 
   {{0x4380009d,0x064202b4,0xa39401ab,0xafc1005b}},	//   _merret_, _ahlolelw, _seksis_, _cocorono, 
   {{0x81b30205,0xc25a0082,0x429101e8,0xd291018f}},	//   _نادری_, _kulle_, _biyai_, _miyaw_, 
   {{0x93eb0220,0x17d703f2,0x00000000,0x00000000}},	//   _petto_, _allaolev, --, --, 
   {{0xe30804aa,0x7af7018a,0x998103fb,0xb27f06a2}},	//   _ngabeno_, _actorion_, _prikrive, _ngendo_, 
   {{0x73ea026c,0xfd1902fb,0xf86d0159,0x00000000}},	//   _tantus_, _ngangaue_, _pensijos_, --, 
   {{0x52ca0259,0x53f803f3,0xe8500362,0x42df02a6}},	//   _agoda_, _breuk_, _nakotind, _attornu_, 
   {{0x061f0104,0xa2eb0534,0x35c0029b,0xc7d903a2}},	//   _abangasi, _ictnews_, _argabiil_, _बाइकर्स_, 
   {{0xe1fe0152,0x270c0450,0x8c53002b,0x227e001a}},	//   _ураза_, _alvestêd, _দোস্ত_, _bennem_, 
   {{0x33f800a1,0x829501a4,0xfc520216,0x147b039a}},	//   _mahuta_, _akukani_, _enetisa_, _melelahk, 
   {{0x23eb05c3,0x32df051c,0xc04d0140,0x23f80084}},	//   _cette_, _rudnong_, _litraton, _lahuta_, 
   {{0xe2a60206,0xe48f0238,0xfbca0076,0x00000000}},	//   _životné_, _bengalak, _продлабо, --, 
   {{0x71a80299,0xf27f0175,0x527e0086,0x02ca0666}},	//   _абабәкри_, _prenan_, _tennem_, _upaliti_, 
   {{0xe29100b8,0x988b02fe,0xbc9e00cf,0x831702c3}},	//   _niyaw_, _aschlebu, _eeggamuu_, _iclanky_, 
   {{0x9ffb0122,0x12df01db,0x42b4037f,0x32d900a6}},	//   _داستانها, _اتاۋلىنى, _mence_, _angezi_, 
   {{0x22a60365,0xab62005e,0x36b702f6,0x758500a8}},	// [a030] _životní_, _تەنبىھ_, _panghihi, _arrundaz, 
   {{0x92a70322,0xb9eb03eb,0x330001c5,0x6a0900f3}},	//   _akabya_, _suggeree, _ilaahow_, _kuyafana_, 
   {{0x031701f1,0x87fb00e6,0x5d49014f,0x93940374}},	//   _akuza_, _上海科技论坛_, _фискални, _adasi_, 
   {{0xcc5d017a,0x8ac00099,0x13ba001d,0xb6f40156}},	//   _рӯзона_, _akakuris, _derviat_, _סארקאזי_, 
   {{0xc53c0041,0x3849018d,0x9f21014a,0x80170371}},	//   _агимн_, _ብዝመልኦ_, _anyagána, _напомня_, 
   {{0x22310082,0x63eb0347,0x02d80342,0x5851011a}},	//   _taimako_, _wette_, _teleco_, _oversees_, 
   {{0xd394028c,0xc27e00fb,0x9f640010,0xeb1b01cd}},	//   _edasi_, _elingu_, _ebhangin, _авалин_, 
   {{0xe3870155,0xaef500e6,0xd27f004d,0x12d4007b}},	//   _sovrum_, _中国轻工业联合会_, _agendo_, _furder_, 
   {{0x13760016,0xd2f10267,0x82d90377,0x00000000}},	//   _חשובֿע_, _zasluzuj, _cupei_, --, 
   {{0x034c019a,0xe2a600f4,0x42f30162,0x9493002b}},	//   _fateful_, _afobat_, _толиму_, _কৌস্তুভ_, 
   {{0x72020226,0x65700192,0xac5a01d7,0x85c2004d}},	//   _lipita_, _캘리포니아_, _santeri_, _新華網擁有管理筆, 
   {{0xb2d903ff,0xd224044a,0x925c01db,0x247b03b5}},	//   _srpen_, _aloká_, _консулды, _melemahk, 
   {{0xf3100095,0xfc760179,0xf2b40044,0x7cf700c1}},	//   _nyunting_, _hidrini_, _hence_, _भरतकाम_, 
   {{0x26ba0129,0x7f230138,0x0d2302af,0xe935002b}},	//   _echebekw, _ediliyor_, _arasekur, _শিল্পীদে, 
   {{0xd2740374,0x78670177,0x92f901c7,0x5c12036e}},	//   _اوخله_, _армара_, _bitirip_, _amapuni_, 
   {{0xb3e70075,0x06f90019,0xe1660408,0xb6e300e6}},	//   _røttu_, _тротуарл, _antokony_, _中共中央党校_, 
   {{0x13eb03b0,0x093f0472,0x13e902b9,0x1b6e00fd}},	// [a040] _rette_, _aromanya_, _jutalékf, _soilleir, 
   {{0x46d601aa,0xe686015f,0xd2ee0125,0x61d40188}},	//   _aracteri, _condemni, _agageldi_, _рекордҳо, 
   {{0xc9ec03f3,0xb6f10243,0xfac30012,0xa27e0110}},	//   _burgemee, _qaraamál_, _निहपछ_, _slingu_, 
   {{0xe2630301,0x339402ee,0xb0fb01f0,0x4741004d}},	//   _nöqtələr, _imiss_, _dishekel, _在您牌局進行中_, 
   {{0x1ef0019b,0xf0470074,0xbecb0242,0x5a190074}},	//   _reikalin, _секса_, _turnirin, _сантехни, 
   {{0x13f9046d,0xe7ac00d9,0x2686007f,0x00000000}},	//   _ndaulo_, _простите_, _gondemni, --, 
   {{0x12020363,0xa3ea007b,0x526c01d9,0x70980094}},	//   _butikk_, _kelty_, _gehol_, _تۇرداناق, 
   {{0xa9e200bc,0x9d7401c4,0x93800074,0x897f0107}},	//   _داريم_, _vermiste_, _litraa_, _abdidale, 
   {{0xc39500fb,0x62300265,0xc200007d,0x52340210}},	//   _ixesha_, _werjmw_, _azmin_, _atumire_, 
   {{0x0f4d0121,0xe25703b0,0x47ef0041,0x6fe901be}},	//   _comparte_, _pølse_, _жәытә_, _निमार्ण_, 
   {{0x337a038e,0xc2aa0167,0x00000000,0x00000000}},	//   _letakan_, _gleddyf_, --, --, 
   {{0x028d0315,0xce490604,0x224800a5,0x65380151}},	//   _abukana_, _mugabane_, _asomua_, _abbatial_, 
   {{0xf2d9011b,0x53eb018a,0x7f3700b4,0xfbb200cb}},	//   _alongwe_, _saethu_, _carucioa, _богчаи_, 
   {{0x72e50075,0x46d903de,0x7df50250,0x99ee0108}},	//   _hennara_, _abapheth, _vendoset_, _ditunggu, 
   {{0xa2e50034,0x4bff027f,0xa172005e,0xab620040}},	//   _kennara_, _bahubats, _تەدرىجى_, _החלבון_, 
   {{0xb2900068,0x22f302a4,0x6f9401ff,0x62da00a5}},	//   _ahaan_, _addidit_, _aréne_, _tesema_, 
   {{0x73f900fe,0xbee70148,0x78fb0291,0x82ea0478}},	// [a050] _atuuu_, _艾登堡沙發_, _ونتيجة_, _arpitan_, 
   {{0x39f5047f,0xd1b10312,0x9d4d00af,0x70290148}},	//   _योगेन्द्, _menezioù_, _мислення_, _輸入關鍵字_, 
   {{0x32da06ac,0x63ea0268,0x42e704a4,0x62660297}},	//   _deseja_, _ooktay_, _chordagh_, _авиакүрг, 
   {{0xe34100ce,0x53030166,0x12ca0439,0xb2910141}},	//   _diferan_, _gedacht_, _efodi_, _niyat_, 
   {{0x2e290386,0x2e4e0039,0x174a013d,0xd64503b7}},	//   _menginga, _хайди_, _regionoj_, _acronymw, 
   {{0x42780087,0x82f70179,0x1396005b,0x2c37002b}},	//   _mfungo_, _latinik_, _russet_, _শুঁটকী_, 
   {{0x83480132,0x8db9020f,0xa25b019e,0x0c53027b}},	//   _jelenti_, _abanorha, _žalia_, _याचेत_, 
   {{0x35640177,0xec5a009b,0x6ca00061,0xb560019e}},	//   _аусушьа_, _kantari_, _기타화분류_, _абысці_, 
   {{0x927e006e,0x00000000,0x00000000,0x00000000}},	//   _lennam_, --, --, --, 
   {{0x428d02fa,0x337c0225,0x415d0517,0x77c1002f}},	//   _ubukana_, _tabaite_, _acordamo, _chirichi, 
   {{0xd2010397,0x7b6c0212,0x926c020e,0x4e980240}},	//   _amakhosi_, _pharetra_, _behoe_, _samuqawe_, 
   {{0x6ab90368,0x6f2803b4,0x00000000,0x00000000}},	//   _политике_, _akutsana, --, --, 
   {{0x0ef00052,0xb4b50185,0x07920235,0x743600fa}},	//   _अमर्यादि, _ялланып_, _हस्तिजिह, _anghelik, 
   {{0xb41c01fc,0x65a50185,0x2a3403f1,0x40e500c1}},	//   _dagsitan_, _куалар_, _surovín_, _टीपीके_, 
   {{0xe8da04e5,0x62fc016e,0x03030265,0x419401af}},	//   _abagituu, _tedavisi_, _bedacht_, _ansambly_, 
   {{0xe7a90028,0xa39502e2,0x8f57016d,0xcc6600bd}},	//   _فقیری_, _adysn_, _туривати, _ceities_, 
   {{0xa9d9016a,0x523900a1,0x0b80027c,0x325a0307}},	// [a060] _anoncita_, _haumiri_, _andinawo_, _ifolda_, 
   {{0xaf31036b,0x6c590092,0x413c03b7,0xdbad01aa}},	//   _квалитет_, _ジェニファ_, _andersfl, _arthymcc, 
   {{0xdc5b028f,0xd2120264,0x014a0311,0x19600137}},	//   _hanuere_, _amihan_, _ብምምጽኡ_, _ээний_, 
   {{0x2e4700c4,0xa318008d,0xf4600037,0xb4640119}},	//   _سوچڻو_, _limining_, _dikelask, _naawatan_, 
   {{0xcc7c0272,0x3394029a,0x553a0141,0x240302d3}},	//   _abasiga_, _glise_, _kiritish, _aplicaçõ, 
   {{0x6dbb07ef,0x3ccd0159,0xab0803a1,0xbaa701c8}},	//   _podršku_, _спробу_, _шампионс, _ajurvéds, 
   {{0x00000000,0x00000000,0x00000000,0x00000000}},	//   --, --, --, --, 
   {{0x835b01cd,0xc6c2027f,0xd58201dd,0x35bb00ed}},	//   _kungaba_, _akirariy, _adategek, _gimarkah, 
   {{0xe3eb02f3,0xf25a0033,0x723a005b,0xee52018b}},	//   _detta_, _culla_, _shimizu_, _deschise_, 
   {{0x348004d6,0x2a9700ff,0x226d01af,0x5f2d011a}},	//   _फ्रांस_, _אנאליטיק, _albour_, _insertin, 
   {{0x0640019f,0x3b180342,0x51630113,0x928002ba}},	//   _kusikili, _defandan_, _بارزة_, _amasouth_, 
   {{0x0b27048a,0x5b6b026b,0xa2d701fd,0x937800d2}},	//   _батырлар, _gustaria_, _supongo_, _salapan_, 
   {{0x8f2404c3,0x6c770144,0x13b90087,0x7a7b0156}},	//   _heatlhca, _userów_, _etswane_, _אַזיאַטי, 
   {{0x9dae0092,0xfef2000d,0x43bd04c7,0x718500de}},	//   _発明の実施の形態_, _इनिकर_, _пасхе_, _نظيري_, 
   {{0x025a0220,0xe2d50312,0x53f900cf,0x436500ff}},	//   _sulla_, _staliet_, _atuus_, _brigado_, 
   {{0xe24b0244,0xef4d0279,0x02fd0020,0x00000000}},	//   _установя, _comporte_, _maagao_, --, 
   {{0x92c90230,0xdc5c0119,0xc3a3019d,0x64c60125}},	// [a070] _kailash_, _bautzen_, _amapha_, _пейгальс_, 
   {{0x7c2f0073,0x42d80456,0xb5ef0061,0x77360156}},	//   _hospitab, _cakera_, _치열한열정의근원, _סידנעי_, 
   {{0xfeb50088,0xb2500145,0x74910061,0x4ea90244}},	//   _aspectes_, _векам_, _고객정보를_, _pratiche_, 
   {{0x1e5d04a7,0x868c032d,0xfdb7033e,0x9a87000e}},	//   _traballa, _dibenefi, _havilida, _opintion_, 
   {{0x12db001d,0xdb0603ae,0x68ff01be,0x70a304ac}},	//   _besonar_, _morsomst, _nanejvýš_, _полоску_, 
   {{0xf6400169,0xd9c703d2,0x4cfd00d7,0x2d29010d}},	//   _টিপস্_, _svadobne, _врачы_, _nyangkut_, 
   {{0xc3eb0013,0xe47c038b,0x623101c4,0x66ea0061}},	//   _yetti_, _selesaik, _parkview_, _판매자정보_, 
   {{0xa5da0261,0xe95a016e,0xc06e03b7,0x00000000}},	//   _שדכנים_, _birlikle, _armacolo, --, 
   {{0xab1800b4,0xe25a0648,0xd25c0320,0x641000e6}},	//   _проприет, _qulla_, _ebulweni_, _环球雅思英语等级, 
   {{0xe35600a7,0x095600c6,0x8d930445,0x97620178}},	//   _accedir_, _børster_, _romântic, _bāṣpagad, 
   {{0x751f02fc,0xe2ec0247,0x71fb038a,0x5849030d}},	//   _abanyasy, _aktinge_, _boliviam, _mirmahmu, 
   {{0x8e680368,0x564b00bb,0xcc0d013c,0x8e0b0142}},	//   _шестом_, _سعداللہ_, _milliyyə, _bandhuja, 
   {{0x7b800203,0x5291005a,0xc2d80453,0xad2f00d1}},	//   _reformpr, _biyaj_, _jedemo_, _অৱিকল্পি, 
   {{0x9d5606f9,0xd291030b,0x22460241,0x30d80311}},	//   _लैंगिक_, _agaali_, _geedaram, _ብሕቡእን_, 
   {{0xf884000a,0x92910119,0x92120095,0x5a2000c1}},	//   _sanilliu, _siyam_, _anehe_, _बाळबोध_, 
   {{0xb5440375,0x72cc0014,0x30ee0349,0x00000000}},	//   _asiyamik, _hallall_, _aphicall, --, 
   {{0x03940195,0x93eb0025,0x5f3f03a0,0xda040102}},	// [a080] _coise_, _vetti_, _aroganan, _اسفنديار_, 
   {{0x630d0184,0xf5d1023c,0x8f5a032d,0xb1e601be}},	//   _abibona_, _کرهڼې_, _милләтсе, _कटहरी_, 
   {{0x73eb041e,0x79f90361,0x1ed604a4,0x526c008a}},	//   _tetti_, _синдрома, _leanabas_, _taugalem, 
   {{0xbc740026,0x2a470013,0xb1010408,0x126c033f}},	//   _rubriek_, _дилбар_, _alakaosy_, _nehoa_, 
   {{0x26f2014a,0xa2100059,0x03800180,0xb2480155}},	//   _fontossá, _амортись, _latrup_, _bromma_, 
   {{0xa9f800ea,0x213f0244,0xa2d8008b,0x33400026}},	//   _sahirana_, _убити_, _duleen_, _beleven_, 
   {{0xe35d020a,0x0ed80338,0x83fa00fe,0x1262044a}},	//   _спутникт, _ancianas_, _motuhi_, _tokomaki_, 
   {{0xf394022a,0x28c4007f,0x5c2a00bb,0xa71f015e}},	//   _boise_, _hadeilad, _نوڈیرو_, _убара_, 
   {{0xd20001ef,0xab870374,0xcc9f0040,0x69670181}},	//   _aplink_, _равнақи_, _charming_, _chlorohe, 
   {{0x72000198,0x4e4400f6,0xce390282,0xc66700c8}},	//   _menite_, _batareya, _manawara, _насиров_, 
   {{0x925a058a,0x13340154,0x64d70125,0x7ede0244}},	//   _nullo_, _аквафорт, _даваны_, _изложбат, 
   {{0x520000d2,0x1d370322,0x33f20265,0x12d8008e}},	//   _dihina_, _babiciye_, _efteling_, _kuleen_, 
   {{0x84bc047b,0xd98d0040,0xb28301f0,0x44820094}},	//   _kapittul_, _תסתכל_, _bothapi_, _болушы_, 
   {{0xd25a00a0,0xb3eb022e,0x334e0157,0x00000000}},	//   _bullo_, _lettu_, _modelek_, --, 
   {{0x526c004b,0x034301e6,0x5df20120,0x536e040f}},	//   _behoa_, _turecko_, _gudduysa, _kaltinim, 
   {{0xd40700b9,0x564a003b,0x37520025,0xf63a004d}},	//   _धारदार_, _ayihambi, _उत्तरपदव, _但當日市場交易時, 
   {{0x6d9f01a4,0xe25a001c,0xfc2e00c5,0xf3f80138}},	// [a090] _akangisa, _tulln_, _disques_, _memuru_, 
   {{0x230e010f,0x8a8700a2,0xd43202a5,0xedbf0082}},	//   _ababona_, _miundomb, _हतियारसह, _faramare_, 
   {{0x32910062,0x5d81038b,0xe9460176,0x5b6004b7}},	//   _biyah_, _ditempat_, _bellkent, _nagegaan_, 
   {{0x19160024,0xce0303ac,0x581701de,0x4b210039}},	//   _পৰ্বতৰ_, _melenyap, _запастағ, _konprome, 
   {{0x925b003b,0x66b002a4,0x740e00aa,0x33eb0055}},	//   _acelwe_, _sanguini, _bayranan_, _dettu_, 
   {{0x891e01ec,0x9e380222,0x735b01da,0x39b70445}},	//   _تلفیق_, _secondes_, _mungesa_, _bandeira_, 
   {{0x36d200db,0x7c3700bf,0x3c1902fb,0xe295021e}},	//   _सिलिक_, _переходе_, _ngangatu_, _bråttom_, 
   {{0xb18a0152,0xfec70073,0x3e9a02a3,0xbcc8023a}},	//   _alabugal, _reportos_, _batterye_, _nestlačí, 
   {{0x00de018d,0x4c1f02fc,0xd25b02fe,0x634d0008}},	//   _ሕብረትሰብ_, _abangavu_, _ecelwe_, _entenem_, 
   {{0x025703b0,0x919701f4,0xf34d0138,0xc2d80013}},	//   _følgt_, _таровеҳ_, _bilerek_, _jasorat_, 
   {{0x94e200d1,0x034802ea,0x0d8702c9,0x62a600f8}},	//   _টোপাল_, _addetti_, _ferestre_, _জননেত্রী_, 
   {{0x6efe008d,0x924b008f,0x33400350,0x29b10326}},	//   _rekvizit_, _ज्ञानबोध_, _releven_, _fundoyet, 
   {{0xf9c704df,0xbc1a008f,0x3f400113,0xec560026}},	//   _барада_, _energias, _pingeann, _nuttige_, 
   {{0x4f09018d,0xcbf70162,0x16b700c0,0xf02e0049}},	//   _ንመሰሉን_, _قۇلاققا_, _nanghihi, _laveango, 
   {{0x628e00a2,0x7e3f02f6,0xc3f80312,0x52570638}},	//   _اصولن_, _pananamp, _breur_, _følte_, 
   {{0xf394021b,0x7174033e,0x8c5d0039,0xb3f800a7}},	//   _olisi_, _kolónia_, _bertako_, _preus_, 
   {{0xc6f20132,0x1a8501e0,0x794e04ca,0xc89a0092}},	// [a0a0] _pontossá, _سویده_, _kaolinit, _インフォシ_, 
   {{0xabc804d8,0x5485008f,0xe43302f1,0x926a021c}},	//   _یوسفنٕس_, _विवाही_, _terceiro_, _upravený_, 
   {{0x139400fe,0xe3e70046,0x883201db,0x41460291}},	//   _alisi_, _باتباي_, _تاعىپ_, _طفلكِ_, 
   {{0xb0f6034d,0xf2f0025f,0x51e802fe,0x4a5e0097}},	//   _menimbul, _bolingi_, _داربکیان, _àdàko_, 
   {{0x49e3003a,0x79f90251,0xe3fa00fe,0x936c0111}},	//   _чоралар_, _jahaware, _motuni_, _blogghi_, 
   {{0x827f018a,0x42f6003a,0x59810055,0x710100e6}},	//   _brenin_, _экспертл, _anticame, _留言公开区_, 
   {{0x52d5037c,0xcebd0498,0x61c30788,0x3474050d}},	//   _italjet_, _figuruje_, _načelima_, _repetido_, 
   {{0x227f0292,0x32f00049,0xbb0c0215,0xa27f03d9}},	//   _anantu_, _folingi_, _helsehje, _drenin_, 
   {{0xdf0400e4,0x64e50208,0xb70a00c5,0x6c2a020f}},	//   _महादेवी_, _بولحه_, _社会消费品零售总, _سوځیدو_, 
   {{0xf39402e1,0xf23004c3,0xd27f018a,0xe47f0173}},	//   _toisc_, _khampha_, _frenin_, _pregunto_, 
   {{0xe68302d5,0x1ead0135,0xe29f009f,0x4f2500be}},	//   _सोनार_, _kurkınıç, _stojalo_, _pellicer_, 
   {{0xfecc01a2,0x12d804f0,0x497c0125,0x098b0235}},	//   _papildus_, _meleko_, _долулыгы, _ardharce, 
   {{0x99e00176,0x10fb021c,0x92f800d7,0x90e1027b}},	//   _takizawa_, _zeleného_, _муродулл, _व्यचिन्त, 
   {{0x95d1026c,0x738701c2,0xb4030322,0xe04c0499}},	//   _臺北市政府工務局, _bierzo_, _amansonz, _maluluin, 
   {{0x223a002e,0x82da023b,0x356f005e,0xc0f901b3}},	//   _uzimaju_, _ietero_, _ھەرپلىرى_, _песець_, 
   {{0x776a0187,0x9f9b01d5,0xd2dc037c,0xe2b600be}},	//   _психолоз, _manikűr_, _negotii_, _miscel_, 
   {{0x3d87033e,0xc0750488,0x52df003f,0x00000000}},	// [a0b0] _мармара_, _internāt, _masoppu_, --, 
   {{0x625b02d3,0x33410374,0x031702ab,0x004d0163}},	//   _inclui_, _ونماق_, _ikuzi_, _البرٹ_, 
   {{0x726300d1,0x22c501d0,0xc2da02c1,0xde730053}},	//   _শ্বাসতন্, _daglige_, _metero_, _सार्थ_, 
   {{0xeb29030e,0xe61304e5,0x72d900e4,0xb2da017e}},	//   _آزادي_, _afumbirw, _tablicy_, _letero_, 
   {{0x7394018b,0xa2eb012a,0x248402e4,0xa3080092}},	//   _clasa_, _promocyj, _distorsj, _ferielej, 
   {{0x66a3028b,0x9e4300a7,0x037801ad,0xadce03d4}},	//   _анимациа, _бомбаны_, _halaran_, _тител_, 
   {{0x8d4b003f,0x154900b9,0x729d00e6,0x1dcf0127}},	//   _bobaghlu_, _क्रांतीच, _该视频被播放_, _dachenna, 
   {{0xb378034d,0x37ee017d,0xa5370094,0x7da801ad}},	//   _balasan_, _ヘルプデスク_, _зардабы_, _curimata, 
   {{0x03800074,0x8da70294,0xf34700c4,0x00000000}},	//   _suuren_, _chainata, _aelezea_, --, 
   {{0x29d6028b,0x9e4d0044,0xb3960076,0xb2840156}},	//   _villalba_, _compared_, _desses_, _לאָטטאָ_, 
   {{0x425a023d,0xa794019c,0x1077054c,0x3dd100bf}},	//   _sulle_, _alábòjút, _avsporin, _движется_, 
   {{0xf39503ff,0x465800e2,0xd3960047,0xf3780392}},	//   _kdysi_, _beliedsf, _fesses_, _galaran_, 
   {{0xa34b0046,0x6c19024a,0x651702e8,0x00000000}},	//   _اربدار_, _igunlẹ_, _chirango_, --, 
   {{0xc355033c,0x3994002e,0x42f90085,0x82d801f4}},	//   _calendr_, _obuća_, _enthnic_, _teleko_, 
   {{0x10ee0211,0x6c6e0211,0x892f00be,0xed040418}},	//   _грамотно_, _koirien_, _formigue, _kabuklar, 
   {{0x8394020e,0x237800bc,0xa179004d,0xefc30191}},	//   _tlasa_, _jalaran_, _兩個女生的線上交, _familjer_, 
   {{0x77b600a2,0xbecd004a,0xc7d00040,0xf6fc0040}},	// [a0c0] _مٿانهون_, _сайланма_, _ומעניין_, _וההורדה_, 
   {{0x4cc80037,0x02b901e5,0x83eb046b,0x0355007f}},	//   _የታቀደው_, _fanimó_, _faethu_, _galendr_, 
   {{0x43aa009f,0xebd20156,0x72e6003c,0x00000000}},	//   _pravice_, _דרעססופּ_, _خندیدم_, --, 
   {{0x32000294,0x739502e4,0xb3f802fd,0x00000000}},	//   _esmit_, _iwessa_, _sreup_, --, 
   {{0x79e00203,0x2e46023c,0x8b770359,0x7e3901a6}},	//   _maculatu, _واشنګتن_, _andringa_, _kanatara, 
   {{0xcee804ec,0x039500b3,0x6ae40025,0x00000000}},	//   _amakaman, _awesta_, _पदार्थे_, --, 
   {{0x1bab0585,0xbfbb047d,0xce4801f0,0xfc59002f}},	//   _pustošen, _saylormo, _dinamane_, _haftach_, 
   {{0x32900101,0x1cdd051e,0xf4190145,0xaf3700d9}},	//   _baiat_, _prevalec, _метады_, _пружины_, 
   {{0x40400294,0xcb7703b0,0x5aaf00a0,0x99760421}},	//   _akitikun, _endringa_, _barkonon_, _aktienge, 
   {{0x7e7702c0,0x3316018e,0x129003e6,0x204e01d5}},	//   _другари_, _khaboni_, _daaat_, _indultun, 
   {{0xa47300c5,0x52da016a,0x9f7403c6,0x934a034c}},	//   _网站或个人未经本, _vetero_, _byzantyn, _berdäy_, 
   {{0x3c590193,0x3c2b01e5,0xa2bb00e0,0x3b2c0082}},	//   _listrik_, _burubú_, _schelte_, _aikacens, 
   {{0x2f4d037c,0x1262024f,0x2c7e02ac,0x01590658}},	//   _clustrma, _cokonaki_, _wauseon_, _clínicos_, 
   {{0xdb020162,0x62520145,0xb23b002b,0xb37a0244}},	//   _بىلوگىغا_, _ахаракта, _অব্যাহতভ, _подвижен_, 
   {{0x7b4d00be,0x8eea0350,0x00000000,0x00000000}},	//   _ирандагы_, _ያሳልፋል_, --, --, 
   {{0x78290475,0x5a0e017a,0x8c0402bf,0xadc00152}},	//   _сервера_, _abasenku, _ecasini_, _garizala, 
   {{0xdc740178,0x0f3000f3,0x43ea00b9,0xc98001f4}},	// [a0d0] _विस्मय_, _abasakwa, _mantab_, _aksincha_, 
   {{0xaae400e4,0x8982027f,0x92f702be,0x57ef0461}},	//   _पदार्थो_, _arakwira_, _humingi_, _anequeli, 
   {{0x085400c4,0x57090388,0x268e00b3,0x00000000}},	//   _سوچيل_, _величия_, _doremegi, --, 
   {{0x39c302ac,0xf2d500dc,0x12c80092,0x00000000}},	//   _كاسبر_, _maposua_, _fromxxx_, --, 
   {{0xb25a058a,0xfecf01eb,0xd7a30320,0x5c4a019e}},	//   _nulla_, _емираҭқә, _emarhavi, _дасканал, 
   {{0x1e3200b4,0x78f900bf,0x7f7d0291,0xf8b700e6}},	//   _скиде_, _книжное_, _ويعتقد_, _postuler_, 
   {{0xc29100fa,0x1f3500ad,0x128d013c,0x215b01a0}},	//   _maaari_, _kasundaa, _cavablam, _hungasel, 
   {{0xa9e10207,0x00000000,0x00000000,0x00000000}},	//   _kutibiwa_, --, --, --, 
   {{0xf28c02fe,0x595002f7,0xf20e009b,0xf2da00c3}},	//   _مقاماتو_, _bakorint, _садан_, _impetu_, 
   {{0xa25a03f2,0x3245041e,0xa8820255,0xcd200153}},	//   _mulla_, _galletti_, _eraisiku, _新しいものから_, 
   {{0xaae90222,0x73440005,0x22c20256,0x00000000}},	//   _fantasme, _condrau_, _deglava_, --, 
   {{0x42fc01f7,0x137101e9,0x372a0151,0xe315044c}},	//   _monges_, _bolaong_, _anatchim_, _havbruk_, 
   {{0xaf4000d1,0x229002d7,0xc615014a,0x00000000}},	//   _দুজনকৈ_, _raias_, _forgalmá, --, 
   {{0x526a021c,0x695e001c,0x9378001c,0xedbf01f4}},	//   _upravené_, _villedie, _calapan_, _qabilala, 
   {{0xf2ea04d8,0x8d29002b,0xa37800ad,0x6d7c00d1}},	//   _شکارى۪ن_, _হাহাকার_, _dalapan_, _কাহিনীত_, 
   {{0xddc302c1,0xe42901bb,0xb2120498,0x6eae0492}},	//   _inziraka, _салынярд, _ineho_, _nazvané_, 
   {{0x22a6023a,0x126c0163,0x39670198,0xbea00008}},	// [a0e0] _životný_, _sehol_, _evropske, _чечендик_, 
   {{0x51be01a4,0x90b3005e,0x4638015e,0x1cf50066}},	//   _babetaká_, _ھاۋارايى_, _دااباتچى, _puntutar, 
   {{0xf6520255,0x12fc0450,0x48500103,0xf6d00065}},	//   _बाँधे_, _jonges_, _vakorind, _detailli, 
   {{0xa9500362,0x430e02fa,0x0d48033f,0x00000000}},	//   _wakorint, _ababana_, _sinamanu_, --, 
   {{0x5a020089,0x92a70120,0x8ad0029d,0xb5830485}},	//   _metşin_, _babbó_, _теолоӂие_, _holdbarh, 
   {{0x83f400e1,0x6354026c,0xceca01f3,0x3290009e}},	//   _bettax_, _videmus_, _slonovin, _saias_, 
   {{0x12910552,0x23560414,0xfdd204b1,0x4dbf01e7}},	//   _siyau_, _adefisa_, _evakuert_, _ennerwée_, 
   {{0x4a310204,0x52300103,0xa2d50233,0x933b001c}},	//   _активный_, _chameya_, _traleet_, _nazarã_, 
   {{0xf25a008e,0x22b1023e,0xb0cc0125,0x61e6019b}},	//   _julli_, _sendawa_, _batgalyk_, _galingum, 
   {{0xf3eb041e,0x29710332,0x64080017,0x73800176}},	//   _letti_, _antónimo, _बिहानैदे, _fuurin_, 
   {{0x756100be,0xd39400fb,0x933b018d,0x537302c3}},	//   _بىلبەيىز_, _elase_, _ሚኒሰተር_, _behanie_, 
   {{0xc2000172,0xe9d60023,0xb25a015a,0x08ff021b}},	//   _hihiaa_, _листов_, _fulli_, _истинный_, 
   {{0x429102e7,0xc9bd010b,0x257d0156,0x00000000}},	//   _hiyas_, _kopetswe, _שבֿעה_, --, 
   {{0x614102ac,0x788d01a3,0x9fde0348,0xd38707c1}},	//   _الأظافر_, _ويوآهي_, _baligolo, _tierno_, 
   {{0x4ead0059,0xab190241,0x125b007f,0x22fc04ad}},	//   _номинира, _baqataan_, _apelau_, _molapisi_, 
   {{0xca94026c,0x5ce1004e,0x52df0421,0x02910264}},	//   _本網站已依台灣網, _snowspor, _ordnung_, _diyas_, 
   {{0x27a601d7,0x9aa302fe,0x29f101af,0x24800145}},	// [a0f0] _mantegni, _amakhats, _amanulla_, _авераная_, 
   {{0xefc303ea,0xad8a0415,0xae8900ff,0xdd3b0109}},	//   _afficher_, _gemeinde_, _אינדזשענ, _zalijeme_, 
   {{0x921302e7,0xa2d9000f,0xb14100fd,0x77140019}},	//   _amahan_, _macera_, _duslaich_, _бензинди, 
   {{0xa7ed027e,0x43960034,0x32d90247,0xb20200ab}},	//   _добротво, _bessib_, _cupet_, _ripira_, 
   {{0x438003f2,0x09b50061,0xc6950086,0xf291003a}},	//   _suurin_, _부자아빠가_, _konzultá, _riyat_, 
   {{0x73090057,0x641f017a,0xd26a021c,0x22310251}},	//   _በተፋጠነ_, _abahlanz, _upravená_, _furmaya_, 
   {{0xddd701b4,0x939403b6,0xf7250137,0x91480086}},	//   _wiskunde_, _alase_, _идвэхтэй_, _betegell, 
   {{0x19ce009c,0x391804ca,0xf4d6000d,0x6a1e0089}},	//   _alamarka_, _forcalqu, _ताहिसँ_, _мифик_, 
   {{0x569900d9,0x34cb03a2,0x936f0305,0xe8d600a4}},	//   _сериала_, _काहिरा_, _flagget_, _бейокмот_, 
   {{0xe9e300fe,0x095c0166,0x5b88010d,0xdaf801da}},	//   _aloimata_, _abenteue, _berinter, _semundje, 
   {{0x61fc005a,0xc25a0151,0x26bc0156,0xc04c002b}},	//   _jirammeh_, _ardle_, _ספויקסמא, _পর্ষদ_, 
   {{0xc394056a,0xcc6f05d5,0x095f020e,0xfdf90181}},	//   _tlase_, _clarmen_, _capotort, _endeligt_, 
   {{0x02220086,0xefd80091,0x19c70141,0xe2d9019f}},	//   _استفتائا, _naonaiko, _даража_, _kigeni_, 
   {{0xc2d90231,0x61b900f5,0x42fc00c0,0x237f0155}},	//   _nuper_, _дерман_, _pangit_, _armarna_, 
   {{0x5953017a,0x0c5500a5,0x4d6f0185,0xbdb90349}},	//   _abalambe, _esetete_, _bağana_, _apingsha, 
   {{0xa3480132,0x9d71023c,0xa75c0155,0xb21201a7}},	//   _feletti_, _مرکچي_, _naturvår, _olihan_, 
   {{0x597204cc,0x3a8c025c,0xc2900066,0x29410166}},	// [a100] _ndangdae, _springen_, _abian_, _beklagte, 
   {{0x6f73012b,0x94480095,0xda6c0009,0x55590095}},	//   _समर्थकों_, _آوالون_, _avtomats, _خوشایند_, 
   {{0x9fc0004b,0xfe4802f6,0x942f005b,0xe37c015a}},	//   _акциялар_, _pinakaba, _yoshitak, _dabalee_, 
   {{0xe626005b,0xad2e0212,0x8c6f00d4,0x636f0359}},	//   _tusindvi, _incidere_, _soargen_, _slagget_, 
   {{0x349c0314,0x336f0126,0x733a001c,0xff6703ab}},	//   _яһаны_, _plagget_, _dajabã_, _kaprové_, 
   {{0x02e90513,0x94e10173,0xe2630318,0x030303d8}},	//   _misinya_, _চলমান_, _tokolahi_, _ostavku_, 
   {{0xb93a0334,0x23410234,0xf56900c7,0x5ba80009}},	//   _chilekwa_, _meteeta_, _ашказаны, _neučinko, 
   {{0x12d9037c,0xfb0a02eb,0x437c02f9,0x00000000}},	//   _rupes_, _kristale, _karakte_, --, 
   {{0xbb550479,0xb98002d9,0x9c7d0244,0xb96f03c6}},	//   _rögtön_, _kalilaia_, _ciascun_, _klinkert, 
   {{0xb49200e4,0xb34e0125,0xbc6f043a,0x6e7701c8}},	//   _चश्मा_, _biderek_, _natrona_, _chladné_, 
   {{0x4a1d0061,0x632001c1,0x2b6d047d,0x20450282}},	//   _때문이었다_, _hpnya_, _chaotesc, _matuatan, 
   {{0x531700bc,0xb2d8033d,0xd1900178,0xf8f4004d}},	//   _khazan_, _ankenn_, _anantāṃ_, _藝術大師系列_, 
   {{0xcd6f0074,0xe2df01f4,0x93f804d4,0x928404d7}},	//   _valmenta, _vakolat_, _ukluk_, _aldarafm, 
   {{0x8d0a01f6,0xc8e20026,0x63f8010a,0x77e200b9}},	//   _তালিকাৰ_, _overtuig, _dhduo_, _त्रिपुरी_, 
   {{0x00000000,0x00000000,0x00000000,0x00000000}},	//   --, --, --, --, 
   {{0x725a06f8,0x31be00e6,0x158a0269,0x310d0145}},	//   _fullu_, _劳动和社会保障部, _sabidurí, _бароніць_, 
   {{0xb9340142,0x0c7c02a0,0x92900036,0x729000b3}},	// [a110] _agamakat, _barrles_, _splanc_, _asmana_, 
   {{0x05df0088,0xd9a5027b,0x120002f8,0x53dd001b}},	//   _telenotí, _anenāhaṃ_, _kilimi_, _daawit_, 
   {{0x53940130,0x925a0211,0x82da0225,0xff0503f0}},	//   _glask_, _hullu_, _metoror_, _kampavín, 
   {{0xaaaf0178,0x12ca00a6,0x83fa02a2,0x9d370184}},	//   _ज्वलिता_, _abalusi_, _kapuwa_, _babikiye_, 
   {{0x425a014b,0xf8f7015a,0xf2b40009,0x9d8500b6}},	//   _cullu_, _armaaged, _sonce_, _karmataa, 
   {{0x9394029e,0x32a400a6,0x7b550120,0x2a42003c}},	//   _klask_, _لېونی_, _reedisen_, _هیچکاک_, 
   {{0x1993014a,0x17d10499,0xa67c0320,0x32ed02fd}},	//   _کھڑکی_, _afogafog, _boheriwi, _bonnach_, 
   {{0x125b0004,0xd2e603db,0x0b5b0450,0x73790084}},	//   _biblik_, _izandla_, _elkenien_, _aadatan_, 
   {{0xf3f9015c,0x21660177,0xadb8015e,0x12fc0295}},	//   _kruut_, _arandupy_, _химикатт, _hangee_, 
   {{0x82000125,0x460a027f,0x1db9037f,0x8ad500f1}},	//   _bilimi_, _aramwaki, _sabiraba, _miltilat, 
   {{0xa5970083,0xb2ef036c,0x606b005e,0x1fc20074}},	//   _consolaz, _tahiana_, _ئۆسىدۇ_, _kirosano, 
   {{0x209b0044,0x62000312,0x0f6603c1,0xe0ce01b5}},	//   _מפואר_, _greiz_, _хартии_, _hlaleril, 
   {{0x4d890021,0x05b90125,0x8d9d00f5,0x3d1800e6}},	//   _absorbwa, _dabarasy, _китабыны_, _后美丽女老总_, 
   {{0xa316010e,0x03940158,0x4fc003d5,0x1f3b04d7}},	//   _bronseng_, _blask_, _binomino, _brunabót, 
   {{0xa2e0013d,0x87410022,0x91f90510,0xef3a020f}},	//   _signifo_, _әҙәпле_, _министра, _bobunika, 
   {{0x64860360,0x164b003b,0xfb86008d,0x2d3400e2}},	//   _घटनाका_, _ayahambi, _yurituvc, _derneist_, 
   {{0x1368015e,0xd37f00cf,0xc3420211,0x129100bc}},	// [a120] _ئىنگىلىس, _aalamaa_, _itsekin_, _ambane_, 
   {{0x71810129,0xc3a3023b,0x82d90062,0x43ce04ca}},	//   _adakwasị_, _alapia_, _lupep_, _clivar_, 
   {{0x029100ad,0xc2d902c1,0xeb13019d,0x022a0211}},	//   _sayah_, _kigeli_, _amapanga_, _годах_, 
   {{0x36b00014,0x827f0242,0xd3ea0047,0xf249005b}},	//   _bukurosh, _ksenon_, _jantes_, _eggman_, 
   {{0x2378030a,0x2ec20077,0x151d01d1,0x00000000}},	//   _andaina_, _chantran, _identity, --, 
   {{0x137c0241,0x00000000,0x00000000,0x00000000}},	//   _barayee_, --, --, --, 
   {{0x6d87024f,0x93ea00af,0x5e8f01db,0x03790318}},	//   _kerekere_, _fantes_, _كەزبە_, _talavao_, 
   {{0x97dd01ef,0x03f40132,0xdd1b042e,0x12880318}},	//   _aptarnav, _tartom_, _abonnere_, _hilamani_, 
   {{0xea2800b5,0x63790247,0xe5a501db,0x95080223}},	//   _ahechama_, _padatan_, _беретiн_, _цамбагар, 
   {{0xe57d0125,0x59e200c4,0xad9d024f,0x93210119}},	//   _мазмунда_, _راڪيٽ_, _veinuita, _maayup_, 
   {{0x62e9020e,0x8c6507b7,0x727e02ec,0x1b18021b}},	//   _sisinya_, _paquete_, _diintu_, _hampaide, 
   {{0xa2c20528,0x3bf600d1,0xba3f00be,0x0b9b0092}},	//   _eòlais_, _ট্ৰাকত_, _كۅزدۅ_, _fathersc, 
   {{0xe8790133,0xa3710127,0x398406f5,0xbc81022c}},	//   _amanadhu, _aliapeg_, _fiskeret, _sideband_, 
   {{0xb1c70095,0x69fd03e4,0x25e70111,0x8291013b}},	//   _نامشروع_, _jarapmat, _dumandà_, _layaw_, 
   {{0x629001c5,0x139c0448,0xfa130322,0x53860177}},	//   _abaal_, _hyggelig_, _amabenge, _ivare_, 
   {{0x7cda0300,0xe2ca0134,0xa2de00b4,0x320802e1}},	//   _rekreačn, _agodi_, _задарник_, _كيرلس_, 
   {{0xeae00414,0xf28300a1,0x7c7600e3,0xd24800a5}},	// [a130] _accusate, _kuikuia_, _enerali_, _moomoo_, 
   {{0x326e045f,0x23eb0075,0x9c750193,0x2c70020a}},	//   _datorn_, _settu_, _सुन्या_, _ғұмырын_, 
   {{0xd2130340,0xab6201c9,0xb39401f4,0x00000000}},	//   _houhi_, _निमने_, _plash_, --, 
   {{0x301200b4,0x7d8f01f6,0x964c000c,0xaa6a020f}},	//   _депортар, _samlinga, _чабырхәа_, _لوړېدو_, 
   {{0xcf690115,0x9424024a,0x29c30321,0xc2370087}},	//   _membelan, _ifasehin_, _zamenjat, _hlomula_, 
   {{0xe15c0023,0xf28d01aa,0x129000fa,0xacff01c2}},	//   _картинка_, _airsstay_, _abias_, _bertamir, 
   {{0x2979000a,0x69980171,0x8deb0156,0x353501bb}},	//   _aalisart, _lakše_, _דפסחא_, _amangyly, 
   {{0xbad801c0,0x2b270125,0x13cf0024,0xdae00044}},	//   _kwamitin_, _mukaddes, _slavar_, _accurate, 
   {{0x02260117,0xb9630203,0x63fa01da,0x66160210}},	//   _masket_, _inkomple, _dituri_, _chamunof, 
   {{0x1c2203af,0x5c520369,0x161a0080,0xfd61005e}},	//   _chargé_, _oketoba_, _igalaami, _دىلمۇرات_, 
   {{0x83170200,0x028d044a,0x005402e2,0x36b801b5}},	//   _akuzi_, _bankolo_, _abasemen, _fananisi, 
   {{0x22590143,0x00000000,0x00000000,0x00000000}},	//   _тазгодиш, --, --, --, 
   {{0x13860206,0x72e80285,0xf3b10300,0xdab8018d}},	//   _tvare_, _imigambi_, _personál, _ኣጸዋውዓ_, 
   {{0x33940035,0xf3f8003f,0x3a0100ea,0x9ebf01c9}},	//   _poisk_, _biduy_, _mahagaga_, _paremaks_, 
   {{0x56e8027e,0xf2d9020f,0x7185000f,0xf291019d}},	//   _манастир, _agonywe_, _garantil, _ambale_, 
   {{0x2c67012c,0x23160633,0x52fc03c7,0x00000000}},	//   _دربان_, _proceed_, _owego_, --, 
   {{0xbdb0017d,0x0af7004d,0x447b0087,0x01e10060}},	// [a140] _overskud_, _就診科別查詢_, _evugandz, _ойынын_, 
   {{0x23f4026c,0xf29100ed,0xca40000c,0xe3940339}},	//   _partem_, _sayaw_, _андир_, _ioasa_, 
   {{0xbc3b0406,0xa34e015c,0x7c0a0074,0x7dbe0672}},	//   _उत्साहित_, _komesch_, _включая_, _basabose_, 
   {{0xa379051a,0xac56012d,0x89f1004d,0x871701c8}},	//   _hadapan_, _tastawe_, _內政部警政署_, _formulov, 
   {{0xc3940367,0x1c61002a,0x8201012c,0xa8d40262}},	//   _coisa_, _mmereme_, _anyiro_, _begenipd, 
   {{0x74ec00d1,0xa7f60177,0x239407f0,0xc42a0067}},	//   _তামাম_, _аквалифи, _pensò_, _dadarboo_, 
   {{0xe226028d,0xa7ec04cf,0x46570092,0x9c370354}},	//   _kasket_, _namalung, _おすすめスポット_, _натонуш_, 
   {{0x325a01f9,0x0386044b,0x121300d3,0xa96b01e7}},	//   _kudla_, _svare_, _touha_, _abrissre, 
   {{0x725e0249,0x626d0259,0x8ad100be,0xf0dd0010}},	//   _comtabil, _nexon_, _فەننىر_, _isendlel, 
   {{0x946a0162,0x12c90088,0x00000000,0x00000000}},	//   _билгинин, _impedeix_, --, --, 
   {{0x137802be,0x23bb0255,0x00000000,0x00000000}},	//   _mahalin_, _गर्दनिया_, --, --, 
   {{0x05d70041,0x8d28003d,0xb2ba0151,0x00000000}},	//   _иирамш_, _abaishat_, _annelid_, --, 
   {{0x5edb0179,0x1b040075,0x205c014a,0xb99c018d}},	//   _melitoms_, _tingmenn_, _megalapo, _ኣረጋውያን_, 
   {{0x29e2040f,0x9c6103da,0x82910240,0x61950299}},	//   _istorija_, _emereme_, _nayau_, _ئېمان_, 
   {{0xb8aa0211,0x00000000,0x00000000,0x00000000}},	//   _округе_, --, --, --, 
   {{0x73220301,0xa25a00a6,0x82780267,0x00000000}},	//   _aktyor_, _budla_, _tragovim, --, 
   {{0x1f0d0547,0xa9ff00b2,0x73da0061,0xe49c01c8}},	// [a150] _parcelas_, _baqatoot, _바이올린을_, _natočili_, 
   {{0x629100b9,0xd394017e,0x806c04dc,0x9ed60296}},	//   _mayat_, _klaso_, _فزیونه_, _prinsens_, 
   {{0x92fc0158,0x62bc032d,0x562a005b,0x3e39042d}},	//   _swego_, _bondril_, _optimeri, _hanasara, 
   {{0x1223056d,0xc410034e,0x99170397,0xb0cd0153}},	//   _ادارو_, _aparapun_, _наверо_, _このブログ内で_, 
   {{0x0994004d,0x5e39028a,0x6c140326,0xb7ee0237}},	//   _誰是戀愛高手_, _yanatara, _emapono_, _미디어몽구_, 
   {{0xff5404c3,0xe3ea0166,0xed8402c8,0x096303ab}},	//   _yespoint_, _alltag_, _poderase_, _dokonale, 
   {{0xe35b0320,0x03790318,0xf0b70025,0x00000000}},	//   _hungasa_, _matapaa_, _वालुका_, --, 
   {{0x038301a0,0x2599012e,0x25a20274,0x996b0167}},	//   _ariyexe_, _افزودہ_, _peningum_, _carnabwt, 
   {{0x33940097,0xbc680254,0xd292004f,0x0290007b}},	//   _alaso_, _patrón_, _daqati_, _caaat_, 
   {{0xa345025c,0xe7ec00fb,0x44840012,0x427f0203}},	//   _strecke_, _bamalung, _चिढावत_, _hoannu_, 
   {{0x75760041,0x5dbc0456,0x1a37015d,0x437c00d9}},	//   _быҭәба_, _kejirana, _कलेजे_, _paranee_, 
   {{0x4bdf029e,0x62d80434,0x7cb8004a,0x82ee009f}},	//   _angenwer, _aviones_, _белсәм_, _uganili_, 
   {{0x7e3900d5,0x598702ea,0xe47d0333,0x92ad00e3}},	//   _manarara, _правеше_, _acitaghj, _fibrożi_, 
   {{0x436c02fe,0x66fe0486,0x6cbe0187,0xb7da039f}},	//   _abagadi_, _प्रस्फुट, _патем_, _macquari, 
   {{0x4b500225,0x614c0444,0x7b5b00ea,0x00000000}},	//   _dolmetsc, _главного_, _fanetren_, --, 
   {{0x01f90026,0x025a01fc,0xc05603d8,0x65990235}},	//   _스크랩하기_, _kulli_, _trenutak_, _anagnivy, 
   {{0x329101cc,0x1c530085,0xd89c006d,0xb8790371}},	// [a160] _yayau_, _jiutasa_, _віленскі, _призовав, 
   {{0xb2ee00fe,0x53790544,0x9a27014e,0x53fd00d0}},	//   _anefee_, _kapaeia_, _вредних_, _leporatz, 
   {{0xc2ef041f,0x83f80085,0xba1300de,0xe2ef02f8}},	//   _zidinga_, _baluni_, _amabange, _hilinga_, 
   {{0xbc7b0437,0x0e3d05f4,0xe2fc00a7,0xa1690059}},	//   _russisk_, _aspallap, _canines_, _методий_, 
   {{0x73ce0409,0x423503a8,0xc2fc0243,0x00000000}},	//   _bliver_, _মিনিষ্ট্, _hangit_, --, 
   {{0x58f8022c,0x0fbd0353,0x6291016b,0xc3940034}},	//   _lumangsu, _bezlepko, _ambace_, _alist_, 
   {{0xd7ca0074,0xde3900a0,0xa036011b,0xf42000a6}},	//   _opiskeli, _alkawura, _duteleno, _baqalayo_, 
   {{0xa29100ad,0x6201019c,0xa3c60142,0x72910278}},	//   _hayam_, _alaimo_, _स्थानानि_, _layari_, 
   {{0xa48d0576,0xd04502d3,0x21c40040,0x5dfe00be}},	//   _تقریبا_, _oferecen, _שרימפס_, _جەڭىن_, 
   {{0xc6ca006f,0xa1c8004d,0xae3803be,0x78bb0005}},	//   _kusababi, _並進行強制隔離十, _barayita, _schurter_, 
   {{0xe27f0166,0x8c7500c1,0x03f801a4,0x49e701d9}},	//   _ebenso_, _विल्यम_, _demulu_, _dengscht, 
   {{0xfb0d048f,0xec6f0359,0xbe390108,0x3a24041e}},	//   _propheta_, _boarnen_, _panasara, _dischett, 
   {{0x2a8d0303,0xa2490198,0xd68c0156,0xa7e60012}},	//   _bannales, _pasme_, _שליסלן_, _हियरवा_, 
   {{0x71bd00e5,0x796a006c,0xf9650233,0x4c750452}},	//   _писти_, _талабаго, _heroicme, _लाह्या_, 
   {{0xf10800be,0xe35b011c,0x1ded04f9,0xf2910320}},	//   _كادىرلار, _sangara_, _kaajalla, _dayari_, 
   {{0xb2830124,0xea5b02f6,0xac6f008c,0x7300023b}},	//   _lishiri_, _pangarap_, _catrina_, _kahakai_, 
   {{0x89430338,0xa31604a5,0x6a900017,0x3e0c00bb}},	// [a170] _austriac_, _akaboni_, _धर्मका_, _بجانا_, 
   {{0xe2c70227,0x7c30023a,0x0f650125,0x653c008f}},	//   _aksesori_, _časopiso, _arapmuha, _ratastel_, 
   {{0x20280040,0x235b0225,0xc07103e2,0xadb70333}},	//   _בעפולה_, _wangara_, _estabamo, _anciclup, 
   {{0x827f006f,0xf2870026,0x92c300d9,0x786703fb}},	//   _maeneo_, _lekkere_, _laulaja_, _napravis_, 
   {{0x8d6b0250,0xcfa100c5,0xcd910200,0x734a01d5}},	//   _martesë_, _注意文明用语并遵, _ikpochap, _سٹیٹمنٹ_, 
   {{0x33580448,0x0396008c,0x2a35000c,0x00000000}},	//   _løfter_, _messas_, _kosakuér, --, 
   {{0xf3ea0006,0xb394017d,0xdd6a0060,0x3a1302f0}},	//   _pantas_, _plist_, _سارايلار, _elibange, 
   {{0xc682012d,0x0e3901a6,0xcb760287,0x15820077}},	//   _intenasi, _hanapara, _opalovac, _intenasy, 
   {{0xf291028a,0x7d0a0169,0xad8e002b,0x8f68003c}},	//   _tayari_, _তালিকায়_, _অনুধাবন_, _andadosn, 
   {{0x388000bd,0x09f800a5,0x953d01a3,0x0200000e}},	//   _kathmand, _taliaina_, _پيشاني_, _alminu_, 
   {{0x8a6002e0,0x11f9003c,0x07e7020e,0xddcf02fd}},	//   _atameles, _cempedak_, _филлер_, _dachanna, 
   {{0xc37a02be,0xa7410220,0xed2d00da,0x6f70003f}},	//   _katawan_, _основни_, _cumparar, _daladnis_, 
   {{0xf15c02d2,0x8f5a032d,0x68b2045e,0x558400ff}},	//   _рушан_, _милләтте, _добрич_, _זאפארט_, 
   {{0x72b40486,0x63f40148,0xf64300d5,0x739603f5}},	//   _konce_, _partim_, _boninahi, _dessas_, 
   {{0x3e3801c0,0xe428005e,0x0f7d006f,0x00e50014}},	//   _majalisa, _китаблир, _اڪادمي_, _spanjoll, 
   {{0xe2d90271,0x002f00c1,0x0dc40326,0xbdd00074}},	//   _espen_, _jantungn, _anakirwe_, _laskenut_, 
   {{0xd29100c7,0xae3800b8,0x3b8d00d1,0x2a4f02fc}},	// [a180] _mayak_, _maranita, _springar, _andereya_, 
   {{0xde3c003c,0x06400102,0x00000000,0x00000000}},	//   _آمدگویی_, _havijali, --, --, 
   {{0xd2fc00ad,0x8ba60148,0xda570046,0x6983004d}},	//   _mangle_, _行政院文化建設委, _заманга_, _什麼是藝術史_, 
   {{0x8fc00087,0xe85f0121,0xc2fc00bd,0x52cc0422}},	//   _dbroyalc_, _terrazas_, _langle_, _želeno_, 
   {{0xf97d02af,0x423003be,0x934f01ac,0x9e4c0272}},	//   _cabigene, _ikamuha_, _enterek_, _balamube_, 
   {{0xe2b5035b,0x69dd01ea,0x24d70094,0x8afa0370}},	//   _precej_, _кайфияти_, _шабатын_, _didugike, 
   {{0x824b0299,0x00000000,0x00000000,0x00000000}},	//   _ئەۋرىشكى, --, --, --, 
   {{0xa34803fd,0x92d802ce,0x62e90212,0x223601ff}},	//   _felelei_, _akoer_, _immitto_, _archivác, 
   {{0x1249038a,0x7264004a,0x7cbb007e,0xc3790277}},	//   _kasma_, _agulı_, _ariyasac, _gitagna_, 
   {{0x4e0600bb,0x924a0035,0xc9f70015,0x12010456}},	//   _پاکپتن_, _cirmay_, _falsafad, _tuaian_, 
   {{0x42fc0245,0xc34801ed,0x0b760284,0xac7200ec}},	//   _dangle_, _helelei_, _spalovac, _торэнт_, 
   {{0x1b53000a,0xf58000e4,0xf3940172,0x00ec0029}},	//   _timmisar, _matematy, _foase_, _ئۆدیسیوس_, 
   {{0x83ea00ad,0xfc5e012a,0x62fc00bd,0xf37f0239}},	//   _kantos_, _filtruj_, _fangle_, _tamatoa_, 
   {{0xc2300687,0x76cf0120,0xca410156,0x653702c7}},	//   _akamuha_, _nakaanam_, _alvojaĝa, _beliebth, 
   {{0x5ea40162,0x032800a6,0x63e30110,0xfa070156}},	//   _уларда_, _زغملی_, _partijai_, _שותּפֿות_, 
   {{0x653100c7,0x84fc00a4,0x1740044a,0x00000000}},	//   _governı_, _مەەرىمدۉ, _tokosung, --, 
   {{0xeef601cd,0x2cc00141,0x92bf0071,0xfe4d0627}},	// [a190] _максади_, _ایرانده_, _چمدان_, _kadayuna, 
   {{0x698f0022,0xc3fd0014,0xf1d103b7,0xdc0c005a}},	//   _убликаһы_, _teknikë_, _assespay_, _sotmohlu_, 
   {{0x92130456,0x3e3801fc,0x85cf00e6,0x7dae028b}},	//   _alahan_, _faranita, _镜头看世界_, _gmailpop, 
   {{0x852903d4,0xf0b00320,0xe3ea001c,0xf29100ad}},	//   _наступил, _chumayel, _aantos_, _bayah_, 
   {{0xaef30219,0x32e9021c,0xf3ea003d,0x00000000}},	//   _awukavun, _imunitu_, _bantos_, --, 
   {{0x63940168,0x27ca034f,0x2da00090,0xaea50418}},	//   _plass_, _abaposti, _akandira, _sistemde_, 
   {{0xc39400d6,0xd37f00d5,0x320000fe,0xaeca0165}},	//   _poist_, _ramatoa_, _fahina_, _ibinibin, 
   {{0xeccd00ff,0x6e8d00bd,0x288402b0,0x142f042d}},	//   _מבֿין_, _answerit_, _sicherzu, _hanaonao_, 
   {{0xf2d90172,0x734702f8,0x03860357,0x305803be}},	//   _nsoneye_, _felemea_, _ivaro_, _bakabiso, 
   {{0xa9b5034c,0x32fc00bd,0x2d320049,0x108e0061}},	//   _bagdadta_, _cangle_, _koviange_, _공사입찰유의서_, 
   {{0x73dc02c4,0x79980148,0xa19e010f,0x78fd0097}},	//   _избрана_, _著作權所有_, _вошингто, _biotilẹr, 
   {{0xce450029,0x6348022d,0x9202010b,0x2ed503a4}},	//   _ئێکێلۆف_, _celesti_, _dipina_, _appingin, 
   {{0x729e0087,0xf6cf0120,0x2c930208,0x00000000}},	//   _chajiwa_, _fakaanam_, _زاتان_, --, 
   {{0xec7e02e4,0x4ef000c1,0x147603a2,0xf87e0040}},	//   _kunsill_, _किचकट_, _ख़ूनी_, _מוזלים_, 
   {{0x928502c1,0x66b700a2,0x52240258,0xf5100434}},	//   _inshuro_, _پاڳاري_, _bilker_, _apartado_, 
   {{0xb3fb010d,0x1ee400bc,0x5e9402fe,0xe9660376}},	//   _इतिहासात_, _اکونومیس, _awamnyan, _avriksve, 
   {{0xc225016a,0x735c017a,0x4d1b0192,0x00000000}},	// [a1a0] _elekta_, _камсавод_, _verstoor, --, 
   {{0xd37c00eb,0x22ca01ef,0x86c800ee,0x4e5f0037}},	//   _abrante_, _laidos_, _udaberri, _በሽምግልና_, 
   {{0xd20000fa,0x2b1c01c6,0x02ee0245,0xa0fb01b9}},	//   _pahina_, _kluphist, _dienkti_, _endisipl, 
   {{0x31550498,0xf3fb0008,0x8c76018d,0x00000000}},	//   _presmero, _colonitz, _merresh_, --, 
   {{0x4c1400d6,0x225a0648,0x6e0d0218,0x1455020f}},	//   _qassimy_, _qullu_, _alleryga, _خپورشو_, 
   {{0x95b905a5,0xb3940255,0x0a020205,0x1d9a0381}},	//   _posielam_, _poiss_, _tumanida_, _agendawa, 
   {{0x41ad012c,0x139502a5,0x58670148,0x3a9a027c}},	//   _بيابان_, _názoru_, _plurimis_, _awonelis, 
   {{0x45710142,0xa4da0061,0x063d00a6,0x00000000}},	//   _श्रद्धाद, _파이미디어_, _embilini, --, 
   {{0xb289012e,0x028002be,0x0db902d3,0xc2010256}},	//   _اقدار_, _matibay_, _danifica, _kleitu_, 
   {{0x52760456,0x69690094,0x69ee004f,0x826502f2}},	//   _dimaklum, _қайтарым, _dieureud, _mostrarl, 
   {{0xb0c60091,0xe9270046,0x82910227,0xec0a01a3}},	//   _magligal, _албаганд, _sayap_, _سرڪيءَ_, 
   {{0x89e200c4,0x125a013c,0x915d0291,0x9f5b0403}},	//   _ناچيز_, _pullu_, _الجذب_, _fanairan, 
   {{0xe51b0465,0xb9dd006c,0xf9b003ff,0x280a00bf}},	//   _energijo_, _abalwela_, _trojúhel, _сингармо, 
   {{0x15b70246,0xb7e3023b,0x1c62045f,0xe8c8025e}},	//   _литекс_, _hoopaaki, _svarade_, _landshlu, 
   {{0x51d90194,0xb6da01aa,0x196b0400,0x00000000}},	//   _altrilok_, _attainsw, _barnabit, --, 
   {{0x0321016e,0x298e0223,0x37590109,0x00000000}},	//   _tayyip_, _манин_, _वषर्ीया_, --, 
   {{0x9f1b00c9,0x0a010315,0xa3f804c9,0x930304b9}},	// [a1b0] _kiemviec_, _atisungu, _caiuã_, _creatit_, 
   {{0x8345020e,0xe9db0476,0xcdfd00e5,0x0358011a}},	//   _rapelle_, _apindura_, _coletiva, _לעוסקים_, 
   {{0x652401ea,0x8c610107,0xeb280119,0x02050156}},	//   _буйруқ_, _ragunan_, _baybayon_, _הארציקיי, 
   {{0xf7d7014a,0x246800c7,0x32910223,0xb38f0361}},	//   _بازاروں_, _болганыр_, _albait_, _дiанисда, 
   {{0xdbe30041,0xe75a02f3,0x5e0200fc,0xab5a0092}},	//   _аенергое, _kvinnlig, _daleghqa, _もあります_, 
   {{0x3ee403b8,0x8c6a00dc,0xeffa0209,0x42b104a7}},	//   _автоматт, _lemuelu_, _folkeflo, _bandexa_, 
   {{0x83940117,0x13170439,0xc2f40041,0x00000000}},	//   _aposel_, _ekazan_, _háicha_, --, 
   {{0x724a0114,0x834803f0,0x9202041c,0x720200ab}},	//   _firmly_, _alheimi_, _jariñ_, _ripina_, 
   {{0x720e0012,0x512d0361,0x845701db,0x945d0326}},	//   _गड़गड़ाहट_, _настроек_, _футболда, _chavamuj, 
   {{0xb2b4021c,0x67f4018b,0x0fd20331,0xe6c7000d}},	//   _konci_, _перверси, _panikkur_, _tuhandei, 
   {{0xd2120247,0xe345018b,0x43640409,0xa5fd00f8}},	//   _anehi_, _pereche_, _skaffer_, _ভাড়ার_, 
   {{0xa29001a7,0x6394002a,0x37c801cf,0xcea101b2}},	//   _samaan_, _joash_, _disprovi, _aberrate_, 
   {{0x129100b1,0xc9090125,0x49b8004b,0x7eb7034c}},	//   _obyam_, _беладан_, _bokellwa_, _салатны_, 
   {{0x90840468,0x22ef0006,0x04ec002b,0x6c84011d}},	//   _وظيفه_, _diminta_, _তিশার_, _botezatu_, 
   {{0xb40000bf,0xc5dc0322,0x5aea0063,0xc771004d}},	//   _весны_, _ababitoy, _cíosanna_, _免費加入會員_, 
   {{0x6dc301d0,0xa71f00a6,0xc2e30265,0x3f21016b}},	//   _forklare_, _اساسات_, _gelieve_, _dimukira, 
   {{0xa2440013,0xd8490162,0x2b21027a,0x977300d9}},	// [a1c0] _bermaydi_, _поскамда_, _glasača_, _егора_, 
   {{0x2c2901eb,0xc5e0010d,0x63ea0046,0xcbfd00da}},	//   _diciéndo_, _स्थिरचित, _santes_, _parfumur, 
   {{0x0746015e,0x33ea0050,0xe394068f,0x0e200122}},	//   _алмаштыр, _pantes_, _feigling_, _التدریس_, 
   {{0x83cf03e6,0x17da0235,0xabca0244,0xbb0d0251}},	//   _stevem_, _प्रकाशं_, _прикрити, _wargelin_, 
   {{0xf3e902c9,0xd4fd011d,0xafc0012e,0x6ebb0037}},	//   _доведитэ_, _моралитэ, _الدنیا_, _በጽሕፈት_, 
   {{0xd29000e1,0x629001cd,0xb2da0576,0x62e90241}},	//   _abaas_, _kunazo_, _empedu_, _amanamu_, 
   {{0xb29104bb,0x31040403,0x23ce005e,0xa2120032}},	//   _ibyam_, _hopitaly_, _капалити_, _limhi_, 
   {{0x1ee104ce,0xdfaf0361,0x5036003e,0x00000000}},	//   _buthanon, _основную_, _imatahan, --, 
   {{0xe8d800e4,0x88cf0274,0x13450685,0xb2b40422}},	//   _निर्यातक_, _sigurveg, _strejke_, _sonca_, 
   {{0xd2e500ce,0x95b10054,0x1ad30300,0x78cd0601}},	//   _footpath_, _kungiyoy, _dostanet, _dipeptid, 
   {{0x383701ee,0x82d90048,0xf2ef0499,0x595703eb}},	//   _заранее_, _magezi_, _filiaga_, _presteer_, 
   {{0xf37c026f,0x30f8008f,0x4fd00054,0x8667021c}},	//   _الەۋمەتت, _valimisl, _digirgir_, _bylinná_, 
   {{0x9c630148,0xa3860209,0x659a00bc,0xc5970039}},	//   _我愛黑澀會_, _tooruk_, _برامون_, _паркийн_, 
   {{0x906300ff,0x02a003b0,0x03e4018e,0x00000000}},	//   _נאָגל_, _forbod_, _muluvisi_, --, 
   {{0xb35800d6,0x3bae02ca,0x00000000,0x00000000}},	//   _showanim, _aighneac, --, --, 
   {{0xec77020f,0x0da90148,0x22dc0275,0x8fcf0374}},	//   _عريضه_, _加入下次再買清單_, _logovii_, _relizlar_, 
   {{0xce380008,0x72e30044,0x92260181,0x28c90311}},	// [a1d0] _recordes_, _relieve_, _vasket_, _ቅድሚሕጂ_, 
   {{0xc00c0074,0x3d2d00b4,0x65170622,0x2cc10151}},	//   _партнеры_, _masinute_, _ikiringo_, _buskined_, 
   {{0x8a0102f6,0xa38b03b0,0x8409054a,0x1e30015e}},	//   _mahalaga_, _tørka_, _teniserk, _кебетеси_, 
   {{0xfaf30473,0xafb104b9,0x1394008f,0x2d9e01da}},	//   _betroffe, _cantrips_, _poisi_, _profilit_, 
   {{0xb7f90011,0x32a30061,0xc2ca0255,0xd9cb04df}},	//   _alibalag, _신고합니다_, _paides_, _beslenip_, 
   {{0x7394021b,0xc0600255,0x2d760416,0x1ae8020e}},	//   _voisi_, _reisimin, _permisse_, _khothale, 
   {{0x8c6a0262,0x7fd50148,0xe5220045,0x1b0b0151}},	//   _kartasy_, _徵文活動區_, _свима_, _apoplect, 
   {{0x43fa01d5,0x8d760421,0x9d2c02fd,0x00000000}},	//   _kapusa_, _vermisse_, _snaighte_, --, 
   {{0xa607008d,0x42cb002f,0x9db8001d,0xb2ae036b}},	//   _ўшалар_, _brzdac_, _regardat_, _компости, 
   {{0xcc7701be,0xfc51003a,0x6f46005e,0x5a1404cf}},	//   _पिक्सल_, _mintaqa_, _ﻗﻪﺩﯨﻤﻘﻰ_, _imibande, 
   {{0x49970043,0xf7b6025d,0xd6cc03b8,0x4720015e}},	//   _akukanda_, _statkraf, _пилоттық_, _чернобыл_, 
   {{0xd9f8033f,0xd2910321,0x61c700d1,0x733c0008}},	//   _falakise, _dobave_, _নামাতিলে, _sabaté_, 
   {{0x9d8e00ff,0x89170023,0xbdbd0004,0x235b016b}},	//   _רוזשין_, _другую_, _debarase_, _gangara_, 
   {{0x4e440193,0x4a2605e2,0x039601fa,0x03fa0014}},	//   _पृथ्वीवर, _adecuada_, _isssue_, _hapura_, 
   {{0x6b1b0155,0xa3ea017e,0x61630040,0x039403ab}},	//   _komplice, _kantas_, _הנטאי_, _hlasu_, 
   {{0x221c037e,0x12b40122,0x5c5101d2,0xd35b02af}},	//   _bapher_, _konco_, _alltata_, _bangara_, 
   {{0xa4860025,0xe22b018e,0xae08015e,0x815200ba}},	// [a1e0] _संसारे_, _dzimeke_, _тапшырга, _تۆزقاڵێک_, 
   {{0x6f330156,0x748600db,0xb3ea0006,0xb3fa032e}},	//   _לאקשן_, _संवारे_, _lantas_, _qaputa_, 
   {{0x28cd0109,0xd33c01ec,0x8fc70185,0x732600be}},	//   _povrchov, _kabaré_, _alıpbarı, _تاعىنىپ_, 
   {{0xf3fa0576,0x3eca0048,0x7b51028d,0x48c2028a}},	//   _gapura_, _abanesin, _evidaman_, _kibelaru, 
   {{0x097d046f,0xdf3703c1,0xa3370089,0xd00a00e6}},	//   _deklaréi, _туторија, _вагонга_, _上海市集成电路行, 
   {{0x93790119,0x0f700062,0x05ad00bb,0xfc9c0055}},	//   _espanya_, _dalannis_, _نےدہشت_, _accetemu_, 
   {{0x33fa0298,0x13ea00c0,0xad1200ee,0xb92804ae}},	//   _kapura_, _bantas_, _амидрали, _нестора_, 
   {{0xb2910125,0x02e80077,0xa39400dd,0x449b0107}},	//   _bayat_, _feminen_, _blasu_, _اکثراً_, 
   {{0xb3ea048c,0x33ea01ad,0x56ba00d5,0xb2e30363}},	//   _valta_, _dantas_, _taratasi, _åfinne_, 
   {{0xc3ea00b2,0xb2770302,0xe2920240,0x025a032d}},	//   _walta_, _натоиҷи_, _faqasi_, _faolwa_, 
   {{0x2baf02f6,0xcee40156,0x14860012,0x00000000}},	//   _binyagan_, _ינפאָרמא, _हलगाहा_, --, 
   {{0x9052013c,0xa3590177,0xd75400e6,0xb3940219}},	//   _fabrikin, _саратовы, _北京同城活动_, _idiski_, 
   {{0xd218002f,0x449b0153,0xf4bc03ec,0x5d4201f2}},	//   _chakanam, _母を訪ねて名無し, _perplasj, _خەتتات_, 
   {{0x02910269,0x63870181,0x5c77021c,0x00000000}},	//   _hayas_, _eyeron_, _bonsaje_, --, 
   {{0x11f50145,0x092100de,0x9d0d01f9,0x330302f6}},	//   _субота_, _ababephu, _ancotjwe_, _lumapit_, 
   {{0xe23001f9,0x30c60011,0xe3210067,0x1b0500d9}},	//   _akamoya_, _atalibal, _faayya_, _langaton_, 
   {{0xf2900144,0x93940040,0xbbb406a8,0x00000000}},	// [a1f0] _scian_, _moist_, _genetičk, --, 
   {{0x6df301b6,0x5af30481,0x06910270,0x03eb0232}},	//   _يامصر_, _betreffe, _gentileh, _ŝatus_, 
   {{0x46500192,0x18dd0097,0xe20003fb,0x1fe90012}},	//   _전자상거래_, _apaguusu, _delić_, _लइकाइएं_, 
   {{0x52130176,0xd85b0064,0x4a6c003e,0xdeda028d}},	//   _touhu_, _съезди_, _шәрәфетд, _lasirans_, 
   {{0xed7e00d1,0x00e1012b,0xfafa0255,0xaae40109}},	//   _সুবিধাই_, _ewentual, _tahetaks, _hraniční_, 
   {{0xbee400ff,0x835601ec,0xc3450228,0xb29100d2}},	//   _שניצלער_, _مریلا_, _merethe_, _rayat_, 
   {{0xb2f30654,0x635b02fa,0x88e202e1,0x9bf3014e}},	//   _sedikit_, _sangira_, _ghortaig, _мусолини_, 
   {{0xca8803e9,0x12c600f1,0x929102f6,0x799802d3}},	//   _içinden_, _soulaze_, _payat_, _талентир, 
   {{0x8c5d03bf,0xfb950177,0xc3660418,0xae320092}},	//   _boktril_, _лыҭаны_, _bingöl_, _azamiの_, 
   {{0x7a18017a,0x00000000,0x00000000,0x00000000}},	//   _azibhala_, --, --, --, 
   {{0xe2910230,0x10f9008f,0x6959000c,0xc37a03ac}},	//   _gayar_, _उन्कारो_, _hjelmsle, _ratapan_, 
   {{0xd290047b,0x5e4300ed,0x509b0156,0x261d01a6}},	//   _sambandi_, _binataya, _שפיאן_, _meingati, 
   {{0x3c850044,0xd5630092,0xfeb8018f,0x2639013b}},	//   _שוויץ_, _大阪教育大学天王, _jijesnis_, _mabibibi, 
   {{0x16260007,0xdfcc04df,0x4a94020f,0x126c0186}},	//   _bakoteki, _aktiwler_, _موږپه_, _kooohh_, 
   {{0xa1310125,0x7f2d01d1,0x83fa00ab,0xca110151}},	//   _адамбашы, _preferen, _papura_, _derailme, 
   {{0x5200019d,0x631902ac,0x0b1c017c,0x7e4304b2}},	//   _achita_, _آيباد_, _papperst, _tinataya, 
   {{0x5c6a01fe,0x709c01f6,0xe37a0227,0xe291026b}},	// [a200] _bulukau_, _মাগুৰ_, _tatapan_, _vayas_, 
   {{0x1079026f,0x78f902f7,0xf86801ab,0xb8540299}},	//   _ءﺑﻮﺭﻯ_, _boipeleg, _अजमऽवनी_, _توكيو_, 
   {{0x0ecb0243,0x774403ce,0xf39601c4,0x49d6029e}},	//   _arkitaan, _تۆفانی_, _sussie_, _briedele, 
   {{0x43ea005b,0xbfc40148,0x91e1030c,0x56bb00a4}},	//   _aalto_, _執行重點績效及特, _takoyaom, _agradari, 
   {{0x62ca0084,0x2dc502ac,0x0e49019d,0xae520055}},	//   _tindih_, _إبحار_, _ingagone_, _assaghja, 
   {{0x839403d5,0x35ea0021,0xdba70326,0xfa2401b8}},	//   _blass_, _adically, _aishumir, _eripakku, 
   {{0x58aa00be,0xc1d00066,0xafcd01de,0x00000000}},	//   _بىلبەدى_, _ordukoak_, _процесте_, --, 
   {{0xeb6b0203,0x9bf50132,0x9f1b01f4,0xa58800bc}},	//   _lettonia_, _fontosab, _рваная_, _antimatè, 
   {{0x1f3e0235,0x03f80050,0xddfb050e,0x826d006a}},	//   _annadāna, _paduli_, _podelite_, _bogosy_, 
   {{0xf3ea02d3,0xc9e8001a,0x0bee00c6,0x00000000}},	//   _edital_, _hengerfe, _залом_, --, 
   {{0x1643022f,0x613c03ce,0x00000000,0x00000000}},	//   _susitiki, _کارناکات_, --, --, 
   {{0xa29201fe,0xef3803f8,0x19c5064a,0x00000000}},	//   _saqari_, _kabukima, _гулдина_, --, 
   {{0x15030374,0x4c6a0462,0x425705cd,0x8291037f}},	//   _مارجه_, _usttray_, _mølle_, _bayaq_, 
   {{0xe2b40088,0x0c670298,0xe9fd010b,0x637b02d3}},	//   _doncs_, _mahunga_, _bosaikat, _casapro_, 
   {{0xa2910309,0x3371002f,0x00000000,0x00000000}},	//   _dayaq_, _cuerpoym, --, --, 
   {{0x62d806b0,0x62d9006f,0x142602d4,0xcc3001e4}},	//   _ujoel_, _wageni_, _emissiun_, _časopise, 
   {{0x943a0148,0x0c810228,0xba1d00d1,0x00000000}},	// [a210] _已註冊使用者_, _badeland_, _শ্ৰীযুত_, --, 
   {{0x233c02c4,0x8bdd045f,0x18e202e1,0xf621000d}},	//   _домашнат, _arbetsgr, _phortaig, _maaomani, 
   {{0x4ae40548,0xa3aa00d7,0x1a13002c,0x00000000}},	//   _vestkyst, _foramong_, _alacante, --, 
   {{0xa35b03ef,0x3bf50132,0x1ae501d4,0xb97a02ed}},	//   _kangura_, _pontosab, _tchernob, _cativart, 
   {{0xd3010358,0xba1701eb,0xcb210316,0x06a60277}},	//   _mezanmi_, _chapingu, _furannin_, _magtatay, 
   {{0x32000334,0x2291032e,0x127f0026,0xc37b0318}},	//   _achira_, _mayap_, _openen_, _latavao_, 
   {{0x5f9502cf,0x78f60037,0x529002a4,0x4d930095}},	//   _ефектите_, _kamarudd, _sciat_, _cytoscop, 
   {{0x12e601cd,0xe3860044,0x661500cd,0xd0b20024}},	//   _ibandla_, _aware_, _admonizi, _গধুলি_, 
   {{0x8b7f00a6,0x00000000,0x00000000,0x00000000}},	//   _bobutsha_, --, --, --, 
   {{0xbb4d0148,0x326d0223,0x2f250025,0x8efe0019}},	//   _加他為好友_, _lepoa_, _atirikta, _барактан_, 
   {{0x4394021c,0x7292032d,0x72660074,0x64ca0105}},	//   _hlasy_, _baqapi_, _pienempi_, _अवधारणाओ, 
   {{0x7394012b,0xff4a0212,0x5c6702c1,0xa7df0009}},	//   _klasy_, _crosspla, _bahunga_, _trepalni, 
   {{0x043300f3,0x8c5c0405,0xadbe0541,0x72d800dc}},	//   _abakuzuz, _jostein_, _borovčan, _vaoeli_, 
   {{0x2f22028a,0x68bd0010,0x882500bb,0xb7b405c3}},	//   _افراسياب_, _aphendvu, _واجپئی_, _refroidi, 
   {{0xc93c007e,0x8e97042e,0x641700cd,0x020e05f8}},	//   _agurucūr, _erstatte_, _prontezz, _сарая_, 
   {{0x538603d8,0x03ea0133,0x0b6f0227,0xf2da0087}},	//   _hvaru_, _galte_, _halusnya_, _nhweti_, 
   {{0x1942032d,0x26380350,0x4bdd0237,0x01770371}},	// [a220] _felletse, _ተገለበጠ_, _결혼기념일_, _менте_, 
   {{0x63960148,0x4c400061,0x969300e6,0x00000000}},	//   _missus_, _유용한정보_, _不锈钢的深冲_, --, 
   {{0x565c03cd,0x6deb0037,0xd591012a,0x2a080369}},	//   _धमाधम_, _ልዩነቱን_, _truskawk, _lenalena_, 
   {{0xcfc20207,0xa2d700aa,0xb3e10086,0xa2c60010}},	//   _ناسور_, _quilter_, _خضدار_, _aluleke_, 
   {{0xf3ea0433,0xbdd103a2,0x24240134,0x69e3004b}},	//   _valte_, _दुआएं_, _ifaseyin_, _engidata_, 
   {{0x0f400247,0x42900261,0xc347030f,0x12910068}},	//   _حیوانات_, _scias_, _kakenga_, _dayax_, 
   {{0x5b1f0386,0xd3ea0448,0xeba701a6,0x2dca004d}},	//   _jelaskan_, _talte_, _kirimoko_, _或其他資料_, 
   {{0x329000cf,0xa2a0007b,0x986202fa,0x03860077}},	//   _lamaan_, _forbid_, _bisobanu, _sware_, 
   {{0x534d045e,0x1379030f,0xb34b0364,0xa3ba0009}},	//   _магазина_, _tapahia_, _begeint_, _razvrat_, 
   {{0x199504d8,0x7d7e0169,0xbea5045f,0x092b00c0}},	//   _دوزخک_, _সুবিধার_, _flyttade_, _salmista_, 
   {{0x9d75004d,0x3e6e00e6,0x92da011b,0x00000000}},	//   _其他資訊及支援_, _徇私舞弊的_, _petelo_, --, 
   {{0x929200ee,0xf5390328,0x27d50061,0xda1300ec}},	//   _geratu_, _babicish, _도시녹지환경_, _palaikyt, 
   {{0x13860052,0x32900144,0xb5c0002b,0xd5380127}},	//   _tvaru_, _sciar_, _মহারাজ_, _ezvezañs_, 
   {{0x681500b7,0x9eb30121,0x0252003a,0x7b540105}},	//   _сурата_, _expertos_, _хомяков_, _पक्षकार_, 
   {{0x92910124,0x2c0b0125,0x937304cf,0x51860121}},	//   _mobaye_, _arapdan_, _ithathe_, _despacho, 
   {{0x7386039e,0xe2ca0503,0x7c6700a1,0xe48c0100}},	//   _kvart_, _lagde_, _tahunga_, _umirovlj, 
   {{0x92020359,0xb27f00eb,0x923200ef,0x7c5c01f3}},	// [a230] _matich_, _ananmu_, _abavakal, _rostlin_, 
   {{0x3fea02d5,0xab9b005e,0x6fdc00e6,0xb9ce037f}},	//   _प्रोजक्ट_, _ﻗﯘﺭﺋﺎﻧﻨﻰ_, _小瓦窑站下走到南, _glamurka_, 
   {{0x37e402fb,0xb37b008a,0xb1890297,0xa53801dd}},	//   _angavaiv, _matatao_, _fidakarl, _bajijish, 
   {{0xe3f4061c,0xf8fe00c9,0x145303ff,0x137f01d9}},	//   _ujutru_, _haiphong, _službou_, _erfolleg_, 
   {{0xdd240415,0x43860079,0xffc702e7,0x3dbd02cf}},	//   _entsprec, _ivars_, _hagongho, _capacete_, 
   {{0x2394021c,0xea470368,0x3e160135,0x43a20050}},	//   _vlasy_, _ситуациј, _proektla, _lampah_, 
   {{0xa3940467,0x6c6a0205,0x62da040f,0x32900005}},	//   _anase_, _شاعرایجا, _neteko_, _damain_, 
   {{0x0eca01c6,0x03860079,0x137303db,0x00000000}},	//   _evenemin, _svaru_, _athathe_, --, 
   {{0x63f800b6,0x76dc0052,0xb2dc0193,0x02020062}},	//   _caluki_, _स्टिल_, _sesekali_, _datich_, 
   {{0xf3fc00d1,0xa37a001e,0x7c7100e0,0xa448005e}},	//   _সুবিধাসম, _matasan_, _boartet_, _ھېچنېمە_, 
   {{0x7dab0461,0xeacc0008,0xa8da00d1,0x634f01d5}},	//   _arribara, _областын, _তুৰ্কমেন_, _hotelek_, 
   {{0x42eb0591,0x09450092,0xd3960047,0xcad000a6}},	//   _kvinnor_, _トピックス_, _tissus_, _ترکیي_, 
   {{0x4dc500a6,0x52e50029,0x6a2f01cc,0x194a011a}},	//   _دبیان_, _لبێرت_, _avocāma_, _isotopic_, 
   {{0x229002fd,0x206800d9,0xf27e01b5,0x00000000}},	//   _camain_, _электроо, _kwini_, --, 
   {{0xc39604af,0x6097000c,0x2201037f,0x1d6d0024}},	//   _lossis_, _ароман_, _kruiz_, _নিমখৰ_, 
   {{0xb37300cf,0x0cd40353,0xc92b004d,0x82e2003c}},	//   _ammalle_, _nefunkčn, _博鰲亞洲論壇與兩, _ورشکستگی_, 
   {{0xf349000c,0xb5680092,0x2e7206f9,0x28390037}},	// [a240] _aeterei_, _発行済株式数_, _अगम्य_, _አያዉቅም_, 
   {{0xfb0e0192,0xed9604b9,0x5afd00ce,0x96360040}},	//   _상대적으로_, _muttered_, _lavertis, _לינארי_, 
   {{0xf0f90397,0x32dd0304,0x5deb01c6,0x6d9102fd}},	//   _aliholel, _murobbi_, _poëtyske_, _roiligea, 
   {{0x169900ba,0xd15c0060,0x00000000,0x00000000}},	//   _سلیمکردن, _шулап_, --, --, 
   {{0x43860129,0xf28b00e0,0x0a4f0255,0x7c0d01f0}},	//   _kwara_, _baskysk_, _kommerts, _kgopise_, 
   {{0xe158033f,0x726d02d9,0xc3860478,0x99bd0087}},	//   _fetukulo, _lepou_, _avars_, _loveriwe, 
   {{0x03940292,0x83a2023b,0x91c50009,0xe37a00c0}},	//   _seisei_, _onipaa_, _načeloma_, _aatasan_, 
   {{0x677f00c5,0xaa230148,0x77d400ff,0x1131025b}},	//   _胶南市公安局_, _重要活動及特色文, _הארצים_, _postverk_, 
   {{0xc061019e,0x26b60122,0x6f110066,0xd9e201a3}},	//   _штату_, _یادواره_, _kontueta, _پاڪيٽ_, 
   {{0x038604ee,0xeb8f0087,0x1fdf0071,0xd4b801c8}},	//   _gwara_, _davidlor, _ببينيد_, _propaguj, 
   {{0x72b50193,0xc6aa003c,0x6c6e02ec,0x07fa00f2}},	//   _ngecek_, _هموروئید_, _biireen_, _kaimiņva, 
   {{0x9ed6031e,0x93eb00f2,0x54850109,0xc2d800a7}},	//   _kažem_, _naftas_, _विषालु_, _colell_, 
   {{0xb2ee00e9,0xf27e0252,0xa20002ba,0x3eab002e}},	//   _konfor_, _swina_, _abhiya_, _uklonjen, 
   {{0x36dd046b,0x39f90272,0xa89a0153,0xd5ba0158}},	//   _baragraf, _badayire, _円分のポイントプ, _regiodom_, 
   {{0xd38602bb,0x6c5a0118,0xc795019a,0x03ea0374}},	//   _dwara_, _awatali_, _hysteeri, _kalta_, 
   {{0xed5b02e1,0xc9c90014,0x5e7500db,0x17ae00b4}},	//   _aistriú_, _prodhime, _तलस्पर्श, _criterii, 
   {{0x179c004b,0xb6ab0105,0xad880418,0xbd840332}},	// [a250] _моделдәр, _mikołaj_, _dereceye_, _enterate_, 
   {{0xa2da04bd,0xaa5b0429,0x00000000,0x00000000}},	//   _saseta_, _bangkrap_, --, --, 
   {{0x22da036c,0x10140488,0x890c0311,0xc19100bb}},	//   _masera_, _kembridž, _ኣርባዓታት_, _ایڈجسٹ_, 
   {{0x126c0300,0xfa88045d,0x727f0275,0x0f0800be}},	//   _budova_, _informis, _inanau_, _паспорту, 
   {{0xd00a0162,0x662b025b,0x5ffb0037,0x129200ac}},	//   _орнатқан, _menningi, _ከአባላቱ_, _nosač_, 
   {{0x3d6f0025,0xa14803fb,0xe6470276,0x4317006f}},	//   _animitta, _nastavno, _جۇلاسى_, _mjuzi_, 
   {{0xfd6b01da,0xd3eb036d,0xc3f20442,0x6b4f02d5}},	//   _partisë_, _baftas_, _katering_, _अक्षरवन_, 
   {{0x739400f2,0x53fa0456,0x5f660568,0x9cd8011a}},	//   _bikses_, _dituai_, _blæra_, _לתזונת_, 
   {{0x83ea02ac,0x3dd000cf,0xa26c01b5,0xae470187}},	//   _dalta_, _bashanna, _fulowa_, _десетици_, 
   {{0x69d30193,0x2ba30334,0x696d0251,0x27120299}},	//   _pokoknya_, _anakaper, _boondhee, _ئەۋرەت_, 
   {{0x0ff5017d,0x368103a5,0x19c000e0,0x4377002a}},	//   _ランキング一覧_, _अवसाद_, _abbekate, _onlainụ_, 
   {{0xe963012b,0x58a30078,0xcd8c00ff,0xcfb8018d}},	//   _अधिवक्ता, _сноудено, _עלעפאנט_, _በብወገኖም_, 
   {{0x6bcf00e0,0xbf59009c,0x231001bb,0xc40300da}},	//   _nederlân_, _casamien, _zerarly_, _романцэ_, 
   {{0x2cbe05f8,0x99c400e4,0x3cf70105,0xcc310094}},	//   _затем_, _दीक्षांत_, _भूतकाल_, _سۇرگەن_, 
   {{0xe98400ac,0x42d20397,0x1c6a0120,0xb36e0061}},	//   _godinama_, _empeleni_, _buttaay_, _외국인들이_, 
   {{0xa99d0039,0x52000282,0xbe1304e5,0x9f69023e}},	//   _цанын_, _kahika_, _baleekaa, _dilaporn, 
   {{0xc2000072,0xce770213,0x5a9b03d4,0xa2e3009d}},	// [a260] _uchiwa_, _зимних_, _странци_, _mediave_, 
   {{0x67a600a6,0x0af1003b,0x82da005f,0x527f00bd}},	//   _adityani, _elusitwe, _casera_, _openin_, 
   {{0x29f703bf,0x335b04bc,0xb6da01ac,0xdd8f00ae}},	//   _akhaonte, _jamfør_, _بالامارا, _nibereye_, 
   {{0xcd830194,0x3168036b,0x485c0225,0x5357010d}},	//   _ameliora, _привлеку, _squander_, _sumenep_, 
   {{0x861005ab,0x99d700ae,0x42390056,0x086f0153}},	//   _analógic, _ndawishu, _жопун_, _山梨県笛吹市一宮, 
   {{0xbf33017e,0x30540151,0x922501a4,0xa7a6027c}},	//   _konsenta, _abashmen, _elekaa_, _edityani, 
   {{0x23ea017e,0x22af02e1,0xd0b801db,0x00000000}},	//   _kantis_, _cleití_, _كەزەڭ_, --, 
   {{0x927e0272,0xa2970243,0xdc3b019b,0x3d040013}},	//   _owino_, _buskutu_, _ўвогуле_, _оласан_, 
   {{0x430c0039,0x5da40139,0x0ae102a3,0x94080361}},	//   _esparru_, _anyopala, _cullinan_, _брюссела, 
   {{0xa6e500d1,0xf201018b,0xabc40176,0x33ea00d2}},	//   _শকুন্তলা_, _traian_, _munchkin_, _lantis_, 
   {{0x421602ee,0x226c0541,0x36ab0456,0x8f1f02a6}},	//   _tinkludi_, _sudova_, _bergandi, _difenden, 
   {{0xc27e0438,0x2b5900be,0x00000000,0x00000000}},	//   _bwino_, _مانپاتىڭ, --, --, 
   {{0xc2bb01d9,0xd2c40026,0x8510003e,0x2a17037c}},	//   _annemie_, _formaat_, _bofsitso_, _procreat, 
   {{0x329e0107,0xc38106dd,0x00000000,0x00000000}},	//   _ضميمه_, _prezant_, --, --, 
   {{0x6c5500da,0xb8790059,0x4eb504ca,0x217d0160}},	//   _spitale_, _метален_, _benefics_, _opravdal, 
   {{0xd9270148,0xa15b009a,0x539501fc,0x03550115}},	//   _加入我的商品追蹤_, _bangacel, _toysa_, _secebis_, 
   {{0xa3160129,0xa37302c2,0xe3f30155,0x26c80288}},	// [a270] _ndezi_, _behalwe_, _religiös, _odaburri, 
   {{0x7498002b,0x328701aa,0x425b004b,0x830004c7}},	//   _ফিক্সিং_, _addiway_, _dutla_, _lekarki_, 
   {{0x037c0058,0x2c130097,0x920001c8,0x9a2b0307}},	//   _sprague_, _ahusọ_, _byliny_, _kuncipha_, 
   {{0x22fc00ec,0x00000000,0x00000000,0x00000000}},	//   _progos_, --, --, --, 
   {{0x0918005d,0x3c54045a,0x00000000,0x00000000}},	//   _chacinad, _vestlig_, --, --, 
   {{0x07b605b9,0x1d8f00a9,0x7ea5061e,0x494506f6}},	//   _levering, _bibereye_, _aplluman, _gimlirat, 
   {{0x0227048a,0x2c610140,0x0f2b02bc,0xdff401a2}},	//   _тарихты_, _baguhan_, _salonsar_, _vērienīg, 
   {{0xf1c402af,0xe9e700bf,0x12920007,0xa2000282}},	//   _akamaram, _публиков, _imrane_, _pahika_, 
   {{0xcf720037,0x00000000,0x00000000,0x00000000}},	//   _membalin, --, --, --, 
   {{0xf6b1008f,0xe9890166,0x22640259,0x286701aa}},	//   _तख्ती_, _werkstat, _suplex_, _achieved, 
   {{0xef16062c,0x5c680119,0x22ee012c,0xefe6007e}},	//   _चौरीचौरा_, _pebrero_, _fainali_, _asatyopā, 
   {{0xb68300c5,0xa22a006c,0x6e0c023e,0x821902f7}},	//   _福星上战场_, _токат_, _عقیدتی_, _diikonom, 
   {{0x421200b5,0x11b10390,0x2c760205,0x5e72004d}},	//   _cheha_, _narıncı_, _sherali_, _讓男人瘋狂搶的極, 
   {{0x8d8f05f1,0x00000000,0x00000000,0x00000000}},	//   _yibereye_, --, --, --, 
   {{0xa2b5002e,0x27320672,0x08e20061,0xe2c4010d}},	//   _novca_, _abazokwi, _프란체스카_, _ikamart_, 
   {{0xdf66011b,0xb47301cc,0xbc59035b,0x7d9e0092}},	//   _charité_, _अधुना_, _lastnik_, _プレイリストに追, 
   {{0x88890155,0xcbb300ac,0x84850194,0x00000000}},	// [a280] _verkstad, _šokirao_, _wolframk, --, 
   {{0x79210060,0xfd4802a5,0xb80303cf,0xc27f02cd}},	//   _الساڭشى_, _उपरीक्षक_, _varmış_, _anannu_, 
   {{0xf2910079,0x49130209,0x65ca003a,0xb8fc0455}},	//   _nozare_, _aataakku, _kirakash, _botaniqu, 
   {{0xfa170242,0x567b01a3,0x8ef8013f,0x00000000}},	//   _azalması_, _ارڏائي_, _diawelet_, --, 
   {{0x65750205,0xf9680061,0x5f82006d,0xcdbc023e}},	//   _ўғрилик_, _섹시각선미_, _бліжняму_, _derajate_, 
   {{0xcb970247,0xa3950214,0x9e540369,0x92b5013e}},	//   _ماهرانه_, _agasti_, _kukaohia, _osecaj_, 
   {{0x5519020f,0x9803027b,0x9c7b007b,0x00000000}},	//   _اوځاني_, _गवेषयाञ्, _lassock_, --, 
   {{0x37e00192,0x27880092,0x32910390,0x5c1400ee}},	//   _등록자에게_, _お取り寄せ_, _dayaz_, _алтран_, 
   {{0xb2c60287,0x041303ce,0x11ca0493,0x070f030d}},	//   _koalice_, _دامدا_, _angobvum, _vergilər, 
   {{0xb27e0180,0xbac701db,0x929102ee,0xa038017c}},	//   _mwins_, _جالىنعان, _faqar_, _hedersmo, 
   {{0x0565027c,0x526d0031,0x203d0279,0xc30602c6}},	//   _projekth, _depok_, _obtentio, _dinamek_, 
   {{0xa2ee0387,0x31840241,0x43a9020a,0x03d6057a}},	//   _chefue_, _ashaakil, _بولدىما_, _аьржа_, 
   {{0xb7b10201,0x194c0204,0xb2af01e8,0x4a030155}},	//   _doolatak_, _портатив, _igkaulaw_, _uteblive, 
   {{0xfc2b00a4,0xafeb02df,0xf477022f,0x24b60137}},	//   _ايتچۇ_, _hanyasan, _папера_, _аарцаг_, 
   {{0x1a1f00ca,0x22910343,0xfe4d030a,0x7a4604ec}},	//   _considèr, _unyang_, _galardoa, _gaterera_, 
   {{0xa39400c8,0x3c2703be,0x5d9902db,0x239403c6}},	//   _tiisa_, _barangur, _strongfa, _joast_, 
   {{0x5b7d0061,0x72dc03ef,0xaa0a032d,0x3f5a0311}},	// [a290] _토지거래허가구역_, _peteroli_, _dipakana_, _ብምዝታይ_, 
   {{0x02a601d2,0x16de0090,0x6e4901de,0x00000000}},	//   _agobie_, _anyatsof, _физиканы, --, 
   {{0x08940294,0xe53901f1,0x00000000,0x00000000}},	//   _anchisku, _gabimish, --, --, 
   {{0x785b01a2,0x33870242,0x9ecc02bf,0x32ca00f2}},	//   _nedrīkst_, _zabrat_, _bayitsan, _bildē_, 
   {{0x02910120,0x2a0e0569,0x00000000,0x00000000}},	//   _bayay_, _prašak_, --, --, 
   {{0x2c710265,0x225b016e,0xc3b2043b,0x529102e4}},	//   _gmarket_, _mutlu_, _arsquo_, _baqar_, 
   {{0x6579017d,0x52910585,0x7696002b,0x86f50176}},	//   _酢酸ビニル共重合, _spektar_, _বেহুদা_, _hestekræ, 
   {{0xfc5904bb,0x492004e0,0xd9750359,0x226d0278}},	//   _khouang_, _concluid, _oannomme, _depoh_, 
   {{0xb35b018d,0x027a00d9,0x1a0a01b2,0x5c7600e2}},	//   _መስሪቶም_, _palstall, _asianpla_, _huzumer_, 
   {{0x15ea0246,0x95be02dc,0xaaf50161,0x7c97015f}},	//   _поеме_, _alvarinh, _paremmas, _linellau_, 
   {{0xd9e901db,0x08430058,0x13f8015e,0x7aa40080}},	//   _циститпе, _vestigas_, _menuts_, _ilikkass, 
   {{0x358203d8,0x227e0040,0xbaa80012,0xc2e803dd}},	//   _vremenom_, _twins_, _जाइलेसन_, _femijen_, 
   {{0x98b601c5,0x2492003d,0x8e170268,0x005300d1}},	//   _waddamad, _aserbaij, _argestla, _পঞ্চপল্ল, 
   {{0x23800294,0x6fcc02dc,0x7a2101ef,0xf38d01ac}},	//   _aburro_, _luísa_, _амонаўца, _تشتاق_, 
   {{0x92d8005b,0x539400ea,0xa3160101,0x6f0e0128}},	//   _soleil_, _kristy_, _membrii_, _ғояларин, 
   {{0x89170265,0xf51f035d,0xfc1d00ab,0x325a022b}},	//   _probeerd, _pogresno_, _peapeau_, _feilum_, 
   {{0x075800d3,0x2202028f,0xdb2700b6,0x02ca012e}},	// [a2a0] _समर्थित_, _hitimi_, _qarangub, _bibliai_, 
   {{0xd27e07f1,0x6db9029f,0x52f90061,0x1f210396}},	//   _lwanj_, _firemné_, _젊은이들이_, _reklamar_, 
   {{0x802700ff,0x72120218,0x00000000,0x00000000}},	//   _געיעג_, _armhay_, --, --, 
   {{0x025b0138,0xcf5e0456,0x76430334,0xf8250361}},	//   _kutlu_, _vokasion, _atsimiki, _стадиона, 
   {{0xcb830220,0x12b30181,0x35050204,0x531d021b}},	//   _indicato_, _abudeka_, _pullakah, _поподроб, 
   {{0x2c690449,0xb1020187,0xe26c0032,0x2c5900e2}},	//   _zapravo_, _турската_, _ighor_, _eastlik_, 
   {{0xe9a502ba,0x4c4904df,0x1056004d,0x6387008a}},	//   _аллакай_, _assosiýa, _使用較常見的關鍵, _maisagam, 
   {{0x2655009a,0x9c90020e,0xfb0c013d,0x9f4d0244}},	//   _ayenzelw, _bojudeng_, _kristana_, _чистачки_, 
   {{0x2031003d,0xbac0055f,0x00000000,0x00000000}},	//   _mantenen, _haritayı_, --, --, 
   {{0xa25a0113,0x1c6f02e4,0x224802dc,0x92fc03dd}},	//   _saolta_, _akkużi_, _biombo_, _botimit_, 
   {{0xc866008d,0xe2e60044,0x1fa6045e,0xd5630144}},	//   _دکتور_, _opinion_, _кадрите_, _shonróid, 
   {{0x58dc01bb,0x82c9024b,0xd2fc01da,0x63d50223}},	//   _бутин_, _deporte_, _votimit_, _бурмаа_, 
   {{0x02120023,0xeb8d0138,0x00000000,0x00000000}},	//   _joihin_, _istikrar, --, --, 
   {{0x2f110388,0x681c0148,0xf2fc0312,0x5200027a}},	//   _contatta, _能除一切苦_, _krogas_, _gomilu_, 
   {{0xee540350,0x6c8c021b,0x8b4d01de,0xf7a20039}},	//   _kesahiha, _доходнос, _козловты, _дурандах_, 
   {{0xb69c00b2,0x7bfe053b,0x19de0385,0x7ae60450}},	//   _accentii, _colorido_, _željama_, _haadklas, 
   {{0xc58e0253,0x00000000,0x00000000,0x00000000}},	// [a2b0] _kulturik, --, --, --, 
   {{0xeb6700a4,0x32e90065,0x427803db,0x7cb40184}},	//   _esquadra_, _beendet_, _echibini_, _kunyahir, 
   {{0x4b9e000e,0x196b0061,0x6b2c011a,0x2f270462}},	//   _facileco_, _인권운동사랑방_, _כהונתו_, _atterson, 
   {{0x0d470129,0x8d3a0037,0xcb6c0050,0xbc040343}},	//   _akwamozu_, _ሕይወትም_, _hartosna_, _artsakh_, 
   {{0xaad0001a,0x7f2a01cb,0x0912004f,0xc6d7008c}},	//   _درایت_, _nekufeza, _asaabaku, _approvà_, 
   {{0x1a45008c,0x72da029b,0xe2d000d3,0x9ad705b8}},	//   _monetara_, _diseen_, _pohonem_, _sittplat, 
   {{0xbd8c01a4,0x7283000c,0x00000000,0x00000000}},	//   _naconsta, _mbokaja_, --, --, 
   {{0xa32002d4,0x317e0154,0x62c907f2,0xae6302eb}},	//   _conclus_, _полонези, _reporte_, _бушуухан_, 
   {{0x73940028,0x2ce20045,0xed3202c0,0x2f56016f}},	//   _siiso_, _функцију_, _страстен_, _беруться_, 
   {{0x82900252,0x02d90255,0x9b3c034a,0xac1800e7}},	//   _lunako_, _sageli_, _precisan_, _aceships, 
   {{0xa38603b9,0x458a0163,0x83ac0359,0x213e020e}},	//   _iwirix_, _دہندگان_, _terpen_, _пособиел, 
   {{0x8acb03a2,0xf5e90486,0x2d5002a6,0x338702d8}},	//   _फंडरेजर_, _napíšete_, _lombardu_, _hyerin_, 
   {{0x41020152,0x8e170555,0x2c930144,0x33490156}},	//   _bäreleşl, _begerbla, _ساتان_, _detekti_, 
   {{0x75e000a4,0x6c7d012e,0x83ea0062,0xa01501db}},	//   _ارماندۇۇ_, _karrier_, _hadta_, _كوپىرگەن_, 
   {{0x5f230115,0x2472029b,0x31c30238,0x00000000}},	//   _berlegar_, _estefano_, _словника_, --, 
   {{0xc2d9012a,0xf376020f,0xa0fc0053,0x4ecc000f}},	//   _wycena_, _راټيټه_, _वाहवा_, _liderliğ, 
   {{0x86ce000a,0xf9a1044d,0x00000000,0x00000000}},	// [a2c0] _kalaalli, _bëkkneeg, --, --, 
   {{0xe29103d4,0xef3b038e,0x05fd0161,0x00000000}},	//   _kuvano_, _dirugika, _гармонии_, --, 
   {{0x9c080177,0x299301ad,0x62010139,0x00000000}},	//   _павловтә, _naakside, _dayito_, --, 
   {{0xa60f0048,0x66d601d5,0x3a310425,0xbfe5015d}},	//   _abalangi, _عبیداللہ_, _بشارنه_, _कष्टों_, 
   {{0xdaf6030a,0xd7b402e2,0x03790277,0xbe9400fd}},	//   _emprende, _albeenag, _gitakna_, _deimhinn, 
   {{0x627e0288,0xde7001d4,0xb2fe013d,0x426c03ad}},	//   _bwini_, _loyauté_, _altiris_, _irtirati_, 
   {{0xac6600f5,0x02d90245,0xe8910126,0x45900116}},	//   _газынын_, _thwet_, _індустрі, _foregeth, 
   {{0x47820044,0x7cc5058b,0x1af600cd,0x1993001c}},	//   _ביזקופון_, _dobivaju_, _imprende, _maakside, 
   {{0x241301e0,0x63400371,0xc2770223,0x00000000}},	//   _راندا_, _vicenda_, _irrintzi_, --, 
   {{0x2f8700d1,0x3b720222,0x7b070299,0xb94d016f}},	//   _পদ্মবিভূ, _classera_, _بۇلغاپ_, _gamlebye, 
   {{0x03d103d2,0xeac20287,0xb57b0244,0x9c000145}},	//   _históriu_, _रजतपट_, _valutato_, _miestus_, 
   {{0xa9e800d8,0xe29007b7,0x3d8b00cb,0xbf220265}},	//   _atenguda_, _fijate_, _asemapha, _haalbaar_, 
   {{0x47cc02cf,0x52ca014e,0xac6d02a0,0x567b01a3}},	//   _топлинат, _ozodi_, _imoriya_, _ورھاڱي_, 
   {{0xb27e0207,0xdc1e03ea,0xd87501be,0xbb550224}},	//   _kwani_, _compris_, _pronajmu, _dimmubor, 
   {{0x34a7015e,0xe32704cb,0x82120096,0xd4b4018e}},	//   _període_, _adecvat_, _shehe_, _byaafrik, 
   {{0x926c019a,0xb5ca002f,0x297d03a6,0xb200013a}},	//   _gloomy_, _akrayash, _babikene, _speit_, 
   {{0xf2d9034b,0xe86c01a3,0x00000000,0x00000000}},	// [a2d0] _ikwel_, _ريپبلڪ_, --, --, 
   {{0x196104f8,0x43790053,0x2d6f0084,0x00000000}},	//   _econpape, _appanya_, _diambeua, --, 
   {{0xca7700c8,0xcb6b04e5,0x426c01b2,0x00000000}},	//   _видеоны_, _anoonyer, _bloomy_, --, 
   {{0x52ca05d1,0xbec10142,0x0396026c,0xb62a0291}},	//   _sagde_, _नाट्यशास, _possis_, _مروحية_, 
   {{0xda73006a,0x6d970060,0xdb3704ae,0x54a5033a}},	//   _mahavita_, _фильмдер, _гиганта_, _anastasj, 
   {{0x72f600ff,0xc5ee0139,0xd2900055,0x3f5701b2}},	//   _ריבניץ_, _andhīkṛt, _ornano_, _breageen, 
   {{0x58690138,0x45b7004b,0x836c01af,0x24250082}},	//   _biliyoru, _dikatleh, _belgini_, _fitsarin_, 
   {{0xe9c70013,0x88d703c4,0x42d801d1,0x03ac0117}},	//   _қарата_, _бинаси_, _granted_, _sappos_, 
   {{0xea120428,0xb855018d,0x78690418,0xb97800e0}},	//   _zdravlje, _መንስግቲ_, _diliyoru, _berntsje, 
   {{0x9796013b,0x12c000d0,0x81480111,0xf22b023b}},	//   _šumperk_, _бнмау_, _castagno, _leomele_, 
   {{0xd29104ce,0x953b0207,0x35e7017a,0x464000d1}},	//   _luvalo_, _استقبالي_, _садкаи_, _বিচাৰিছো_, 
   {{0x0786074d,0x07c702cf,0xd2c8014f,0xe193011a}},	//   _ansvarli, _бабини_, _египатск, _האפקט_, 
   {{0xf6d800a4,0xe2910190,0x4f9b0098,0x629901f0}},	//   _лидерлер, _dobage_, _kameraer_, _maiphitl, 
   {{0xe3940188,0xf29000dc,0x6bc900d1,0x00000000}},	//   _mnisi_, _sunako_, _বোলোঁতে_, --, 
   {{0x0a080369,0xeeb90013,0x00000000,0x00000000}},	//   _kenakena_, _birovnin, --, --, 
   {{0x1d88027f,0x96e700be,0x32ca0577,0x3f8e00c7}},	//   _cerekeye_, _جۇلۇنۇپ_, _skalici_, _затлылык_, 
   {{0x12b40170,0x76f50037,0xe7e10287,0x4451023c}},	// [a2e0] _benchi_, _ቤተመንግስት_, _मेजरको_, _دتاجکستا, 
   {{0xe394032e,0xdfa400c5,0x4aef0026,0x8463038b}},	//   _inasa_, _新闻媒体网站_, _schoenen_, _disebark, 
   {{0x00000000,0x00000000,0x00000000,0x00000000}},	//   --, --, --, --, 
   {{0x8f570419,0xc9aa017a,0xf343027e,0x4d0c0242}},	//   _अभागी_, _порис_, _бодова_, _anlamağı, 
   {{0x5e010268,0xbd94017a,0xa20d0024,0x43ad0071}},	//   _esidentp, _гурусна_, _কল্পনাৰ_, _مدیافایر_, 
   {{0x0fbb0008,0x726d02a4,0x512c0420,0xa6d80244}},	//   _laborado, _nepos_, _пастрмка_, _галерият, 
   {{0x330500a6,0x7d88069d,0x63440633,0x8d0e01f7}},	//   _توفان_, _yerekeye_, _receive_, _ipotetic, 
   {{0xf27f07f3,0x8201048b,0x52fb0169,0x746a0658}},	//   _ahantu_, _pleiku_, _অস্বাভাব, _ordenado_, 
   {{0x97c90451,0xd290020e,0x337a0017,0xba1b0113}},	//   _botsamai, _hojane_, _kapalin_, _سكودا_, 
   {{0x0287004c,0xa2e30416,0x996400ec,0xa7f7017a}},	//   _alokoke_, _judicie_, _motorole, _варшикас, 
   {{0x2d1a0218,0x53fa0102,0xafb602b6,0x337e000d}},	//   _opertypr, _katuni_, _фильмін_, _paraneb_, 
   {{0x432200bd,0xf7ba0287,0xcb8e0234,0x52eb00ff}},	//   _buryin_, _ढुंगाना_, _mabinuor, _antigvo_, 
   {{0x42ef0111,0x1ca7004d,0xc26c02c2,0x440f013a}},	//   _riuniti_, _博客來書籍館_, _beloon_, _iwersinn_, 
   {{0x9b6c0217,0x35b700da,0xaec200d9,0x026d01b4}},	//   _carrossa_, _наталэ_, _гостем_, _gepos_, 
   {{0xa0460462,0x52e20127,0x6386008d,0xf85e00d8}},	//   _epartmen, _añfin_, _manzili_, _aperadas_, 
   {{0xaa030064,0x59e200a6,0x73930247,0x45510151}},	//   _اندەرتال_, _لادين_, _سامورایی_, _anchagly, 
   {{0x10c2002b,0x5c140025,0x00000000,0x00000000}},	// [a2f0] _স্বীয়_, _darpān_, --, --, 
   {{0x84fd00f5,0x62d802d0,0x72d901eb,0xdd0d002b}},	//   _симпатия_, _grieve_, _atyete_, _কুপিয়ে_, 
   {{0xd26d0203,0x558a03ef,0x99890037,0xc3fa011b}},	//   _depos_, _igaragaz, _መፍትሔው_, _batuni_, 
   {{0xa2ca004e,0xf2e401df,0x5b020030,0x6c06034c}},	//   _lagda_, _futurity_, _starpnie, _attrakts, 
   {{0x02ef02e2,0xeb350210,0x952900a6,0x34ae0024}},	//   _echidna_, _aitambis, _okungakh, _শিল্পীৰ_, 
   {{0x02fc00e0,0x62d60246,0x3394036c,0x36af0094}},	//   _frege_, _negozio_, _miisa_, _استارىن_, 
   {{0x54a800c7,0xdd820241,0x6af003a8,0x3a200452}},	//   _польшада_, _callaasa, _asylborn_, _परसबाग_, 
   {{0xc277006f,0xcce80188,0x67580052,0x82270088}},	//   _مهاراجا_, _ҷексон_, _युद्धरत_, _данисте_, 
   {{0x07c60192,0xced40208,0xd344007f,0x6fb40153}},	//   _주상복합분양권_, _ئۆباما_, _bondiau_, _ディスクロ_, 
   {{0xb2fd05b8,0xbc1d01cc,0x82780233,0xf27e00e9}},	//   _taggar_, _antahkar, _furnit_, _zwann_, 
   {{0x12ca0270,0x905400fb,0x0fe90053,0xa5080041}},	//   _dagda_, _akuseben, _सिगारेट_, _даҳзеиқу, 
   {{0xd58a0285,0x4d1900a6,0x5b780166,0xca36014e}},	//   _agaragaz, _موسیقۍ_, _vergeben_, _расходе_, 
   {{0x82ca00ea,0xe7cb0020,0x96f500c1,0xd6fb0350}},	//   _finday_, _faagaseg, _तुटवडा_, _ከዋሽንግተን_, 
   {{0x032c0148,0x6e24004d,0xbdaf00e6,0xda8c033e}},	//   _軍郵五十七局_, _依本法第十四條第, _世纪经济报道_, _imbytepe, 
   {{0x12fc07f4,0xb2da0234,0x6e810046,0x965402a1}},	//   _luego_, _faweli_, _تەگىندە_, _egskeidi, 
   {{0x32f50304,0xe60f0559,0xbb8a006c,0xe0c800ff}},	//   _selidik_, _abalungi, _дороӣ_, _amerikoj_, 
   {{0xa9e2024f,0x163e012b,0xb2fc02e8,0x46e20096}},	// [a300] _basubasu, _sypialni, _arege_, _bakabazw, 
   {{0xf2b303de,0x33eb0580,0x6342006a,0xc39d003a}},	//   _yendawo_, _pretī_, _navelan_, _alayhis_, 
   {{0x82b401b5,0x43ea033b,0x0d3600a2,0x0dfe00be}},	//   _cinca_, _meetse_, _صفتون_, _helicòpt, 
   {{0xac710359,0x041603f0,0x23a202fb,0xb09b0137}},	//   _flamjend_, _biggaboo_, _piipii_, _түвэгтэй_, 
   {{0xd25a03d5,0x62c502e1,0x529401aa,0x737f0499}},	//   _celled_, _childre_, _ariachim, _tamaloa_, 
   {{0xc01d0409,0x13a203f0,0x997802dd,0x00000000}},	//   _もっと見る_, _skipti_, _irrisett, --, 
   {{0x535d03c2,0xe0560120,0xdbfd0261,0xbb1002bb}},	//   _sunfish_, _haanamak_, _allokigo_, _zaistnie, 
   {{0xf2d90312,0xb987020d,0x0c5d0206,0x531000f5}},	//   _skwer_, _muribuka_, _koktail_, _agramly_, 
   {{0x5de90130,0xe6e90410,0xdd8a0059,0xa2f2000e}},	//   _fédérali, _tlhalošo_, _perfette_, _heartley_, 
   {{0x92480409,0xfc720434,0xd71a0299,0x3e4302a2}},	//   _gemmer_, _puertos_, _ئىناۋەت_, _binabaya, 
   {{0x6aec0163,0xeb6c001b,0xcead00c5,0x00000000}},	//   _fantaszt, _barressa_, _apporten, --, 
   {{0x285d01c9,0xc25a018a,0xebe3051a,0x82fd0225}},	//   _tunnistu, _belled_, _kedengar, _ituga_, 
   {{0x44cb00c7,0x5b95027f,0xb4c70041,0xe7d901ab}},	//   _berniqäd, _gisimbir, _шымҩаҧ_, _सकपकाइल_, 
   {{0x98450024,0x8b77005e,0x69cb009a,0x563b0144}},	//   _বিশ্বাসৰ_, _ﺭﻩﺳﺴﺎﻣﻠﯩ, _فزیکی_, _chritici, 
   {{0xca3901c7,0xc3780392,0x1c68019b,0x92a603f0}},	//   _берелиң_, _chlainn_, _prarado_, _dalbæ_, 
   {{0x9c5a0009,0x5cd901b3,0x00000000,0x00000000}},	//   _lastnih_, _причетни, --, --, 
   {{0x93ea04ad,0xe96d03a1,0x72d100ec,0x00000000}},	// [a310] _beetse_, _impiegat, _baseinai_, --, 
   {{0x0394029b,0x637c02f9,0x7b650165,0x4bda015e}},	//   _riisi_, _masakre_, _lokuyara_, _балабызд, 
   {{0x4d310040,0xaef70061,0xdc080079,0x62d80258}},	//   _מדעטק_, _유비쿼터스_, _starpā_, _briedt_, 
   {{0xfbd00093,0x3c3d00d0,0x6c690321,0x327e0189}},	//   _включить_, _вирусийн_, _napravo_, _itina_, 
   {{0x02fd000b,0x7c2502c3,0x49e702fb,0xedf201db}},	//   _atuga_, _odsúdili_, _lumoluma_, _قوزعالسى, 
   {{0x9bda01bd,0xeabd0208,0x84630147,0xd3a3022b}},	//   _саласынд, _سیادت_, _اچكۅزدۉك_, _skapti_, 
   {{0x82910140,0xf6670354,0xe2d9033d,0x234102e0}},	//   _niyang_, _кулубини, _amenaje_, _direlwa_, 
   {{0x62920232,0xcb9e03a0,0xd30d04cf,0x7d260370}},	//   _antaŭ_, _bakhutso_, _edibana_, _arangkat_, 
   {{0x52e602f6,0x79670528,0xf9e80278,0xbc7c0222}},	//   _maynila_, _draoidhe, _pengkrit, _carrés_, 
   {{0x8264008e,0x12e303b7,0xfb7f0066,0x7a18017a}},	//   _amulum_, _angomay_, _teorikoa_, _ayibhala_, 
   {{0xd28a063f,0x5394012c,0x22dd00cd,0xc8db005a}},	//   _कालोनी_, _siasa_, _divorzi_, _mabejchu, 
   {{0xab2800f7,0xd2f7012b,0x4f4201b0,0x338600a3}},	//   _retadres, _तारामंडल_, _tanggaln, _sikrar_, 
   {{0x037f0124,0x8f2c0235,0xa371001c,0xbd3a0418}},	//   _namakoa_, _anarthop, _balaong_, _tarihine_, 
   {{0xc2b3061d,0x9c6f036c,0x5b2700a8,0x2d870244}},	//   _нормал_, _ahirato_, _adequatt, _impedire_, 
   {{0x690f0135,0xd79502c9,0x42d9011b,0xd2ed0119}},	//   _bulaçaq_, _лумина_, _akwei_, _kronach_, 
   {{0x2d3a005b,0xe3e20014,0xead600e6,0xf6100620}},	//   _vivienne_, _butrinti_, _董事会决议_, _inventam_, 
   {{0x0f2a0326,0xcf550299,0x595004e8,0x00000000}},	// [a320] _cheunaza, _بېخىللىق_, _cleoprat, --, 
   {{0x0f460390,0x727f02bc,0xed820052,0x12d80150}},	//   _konfrans_, _thanad_, _रिपोर्ता, _standed_, 
   {{0x8313003d,0x638f02c1,0xd2d80230,0x52c00039}},	//   _avocata_, _ikiyaga_, _priete_, _унгар_, 
   {{0x82c0005e,0x01850206,0xa984048f,0x00000000}},	//   _ﻣﻪﻧﭙﻪﺋﻪﺗ, _milovať_, _endimama_, --, 
   {{0x0fbe0026,0x72ca0138,0x92c4004d,0x22fd05b8}},	//   _brandsto, _tehdit_, _liberati_, _stuga_, 
   {{0x6c7607cb,0x0d8f0205,0x52fc00f2,0x89e502e2}},	//   _मेट्रो_, _دارالشفا_, _politiķi, _anfractu, 
   {{0xf303005a,0x80dd020f,0xb27e02bb,0x9d8401b2}},	//   _arealit_, _akunamdl, _awans_, _antedate_, 
   {{0xb3eb0192,0x5b050177,0xd0dd02b2,0xee8a03b6}},	//   _natte_, _олианта_, _fargerik_, _mẹ́rin_, 
   {{0x7dfe01db,0x62ed0116,0xc26900fd,0x00000000}},	//   _تەگىى_, _dronach_, _peirceal, --, 
   {{0x53eb02c7,0x048202a8,0xbff7028b,0x7394046c}},	//   _hatte_, _pretensj, _рынагӡар, _frisch_, 
   {{0x39530139,0x83eb017d,0x5d3d01ad,0x8dbe0294}},	//   _abhaviṣy, _katte_, _aenicart_, _aspikuna, 
   {{0x2e820148,0x4dd20366,0x79f601d5,0x02d80282}},	//   _行政院勞工委員會, _доброе_, _یوسین_, _eriere_, 
   {{0x2c5c00d1,0x9fb50060,0xe249016e,0x332501aa}},	//   _মহত্ব_, _күмән_, _olamaz_, _alebday_, 
   {{0x25ee004a,0xe4460157,0x2ecc0227,0x7c23009f}},	//   _формасын, _बिहारियो, _lukisann, _šestdese, 
   {{0xec72031c,0xd2b40076,0xb36805c6,0x00000000}},	//   _cuerpos_, _zinco_, _bergart_, --, 
   {{0x13cf0233,0xa31802c2,0x938f018e,0xbdaf0080}},	//   _slavic_, _okahandj, _hanyela_, _amingarp, 
   {{0xd291010e,0x8c7600ff,0xc2fc00dd,0x59f70229}},	// [a330] _siyang_, _דיסניילא, _ategu_, _planına_, 
   {{0xbe19039a,0x4399057c,0xae36017f,0xea920083}},	//   _menemuka, _læste_, _silarsua, _samignun_, 
   {{0x76850287,0xfdf30360,0x82c500a3,0x1b7e01df}},	//   _माउन्टेन_, _studovat_, _skildre_, _cynfelin_, 
   {{0x6399076a,0x588a01b9,0x02e9034c,0x00000000}},	//   _næste_, _serviter_, _fatirga_, --, 
   {{0xbf260209,0xbfcd0361,0x52d800f4,0xd266020e}},	//   _amerlasa, _аллахiер, _drinded_, _гектарҙы_, 
   {{0xcda8028b,0x1d78016d,0xf2fd0126,0x796d028a}},	//   _аоператә_, _малиманч, _tagger_, _رستماڻي_, 
   {{0x352602a9,0xb2ee03ec,0xd2fd0061,0xae4b0061}},	//   _танцор_, _pronari_, _케이비이씨엔_, _어린이보험_, 
   {{0x250601bb,0x841905b1,0xb722011f,0x7e3b0328}},	//   _адама_, _nachádza, _aceptáir, _baragira, 
   {{0x02f70023,0x2ef80220,0xbd7b009d,0x00000000}},	//   _никогда_, _министър, _mallrave_, --, 
   {{0xef410441,0x3c180211,0xe9fa0148,0xff2c020f}},	//   _prosince_, _запорожс, _catilina_, _ايډيالوژ, 
   {{0x92ad035b,0x6c6501e6,0x199503d5,0x38d201aa}},	//   _podaljša, _postupu_, _anchashe, _ascularv, 
   {{0x826c02bc,0x23030108,0xeb71007b,0x67b202f4}},	//   _dahod_, _rahayat_, _gallantr, _consigui, 
   {{0x07310257,0x645d0148,0xfa11002c,0x4d2300fd}},	//   _regluleg, _埃塞俄比亞_, _arrazoia_, _churraic, 
   {{0xf4df00c5,0xf1e801da,0xf2c702cb,0x052b0219}},	//   _法定代表人_, _denoncim, _naplate_, _ayisekho_, 
   {{0xc2b40216,0x2feb018d,0xbb37025d,0xc3160011}},	//   _cince_, _ስነኣእሙራዊ_, _bispedøm, _aleze_, 
   {{0xd5810080,0x6a100073,0x462a0219,0xd5090311}},	//   _rademach, _infantia_, _besinesi, _ሓጎሰኩም_, 
   {{0x8b60052c,0x7c3603c6,0x00000000,0x00000000}},	// [a340] _شێرپه_, _ekspedys, --, --, 
   {{0x527f0120,0xf30301cc,0x123704c6,0x2f630162}},	//   _abenno_, _abhavat_, _ferje_, _әктәп_, 
   {{0x127e02be,0x485904a7,0xefb200db,0x2a5603fb}},	//   _ating_, _estragos_, _गुर्चिआए_, _recenica_, 
   {{0xf2d802a4,0x7b6c01fc,0x6869016e,0x4e1d02a4}},	//   _quiete_, _garrissa_, _gidiyoru, _superbia, 
   {{0x3f710116,0xa2b404b9,0x4e9005b3,0x62f3041e}},	//   _flickers_, _aince_, _oosterse_, _avviatu_, 
   {{0x9ada00c8,0x5f1a0128,0xb30302a2,0xcd81015b}},	//   _галереяһ, _معنویتی_, _gumamit_, _talemaot_, 
   {{0x424a023e,0xa70102f0,0x897f0294,0x627e01f4}},	//   _warmly_, _esicongw, _cushabat, _eting_, 
   {{0x7a8c0247,0xc49904d7,0x7c180017,0x2ea10010}},	//   _انتظارات_, _aukaverk, _दुर्गाप्, _behluken, 
   {{0x94480354,0x2c610135,0x1492022c,0x64e9033e}},	//   _турмасли, _aeruça_, _bozzetto_, _королиов_, 
   {{0x3d7d0013,0xe06101db,0x7c6600a4,0xdda300fe}},	//   _اجرات_, _ءﯗﻳﺪﯨﯔ_, _mostrat_, _kaungaap, 
   {{0x2daf002e,0x6c5600b4,0x3c7300a4,0x234a0399}},	//   _smatraju_, _spatele_, _solsona_, _heleleu_, 
   {{0x260f017a,0x6d100061,0xb2f00299,0x1d000242}},	//   _abalingi, _프로이트는_, _ئۆتمۈشتە_, _duzumler, 
   {{0xe34b03b5,0xc85903a8,0xb674047b,0x00000000}},	//   _meleset_, _bakanfor_, _holdinum_, --, 
   {{0xfcc6042c,0x60890371,0xae3c0276,0x700b014e}},	//   _pozivaju_, _начинани, _قالارلىق_, _спасу_, 
   {{0x656a01c8,0xf46d02b6,0xcf4c01d9,0x2ec1034c}},	//   _motorové, _салмайды_, _firschla, _gazetabı, 
   {{0xd18c0013,0xa3fa03fd,0xe19b0083,0xd2fc017d}},	//   _мукаммал_, _matuai_, _accentuà_, _stegt_, 
   {{0xd2b300d8,0x52eb01b2,0x9201006f,0x422b043f}},	// [a350] _sordina_, _amender_, _مشاعرن_, _pojmove_, 
   {{0x048704fd,0xd797032e,0x13f402db,0x1a7a00e6}},	//   _बहकावे_, _mistusax, _pastek_, _智力发育高_, 
   {{0x53170397,0x4cd0012a,0x32020409,0x089c0244}},	//   _eduze_, _rachunku_, _capima_, _цилиндър_, 
   {{0xb2b402ca,0x97e60272,0x72d802a1,0xde96023c}},	//   _rince_, _abapolii, _leiers_, _ورغول_, 
   {{0x3c600695,0x8c230025,0x9eba0094,0x0ad000bb}},	//   _yolunun_, _डिसेम्बर, _باساتىند, _جرجیس_, 
   {{0x286c03a4,0x828a00db,0xd96c041a,0x2c02004d}},	//   _setningu, _isiklik_, _setninge, _南京名師解讀_, 
   {{0x63ad0089,0xd5890158,0x29e0006c,0x00000000}},	//   _симфоник_, _pomidoró, _asegalat, --, 
   {{0xd88503ec,0x4c750156,0x5d850220,0x00000000}},	//   _braktisu, _בראנסווי, _rilevare_, --, 
   {{0xe3800181,0xb2770390,0x7f5b0362,0xa59700ec}},	//   _spuren_, _yubileyi_, _bokabwan, _suprojek, 
   {{0x357e0289,0x93f40418,0x5a6d0475,0x031c01f7}},	//   _kukumbuk, _toptan_, _аптечку_, _afichan_, 
   {{0xe39500bc,0xba7f02af,0xdb8100d1,0x0250002b}},	//   _alesan_, _haragera_, _গণিতৰ_, _হোজ্জা_, 
   {{0x7dca0109,0x19e703ed,0x686603f4,0x927e021c}},	//   _ठूलठूला_, _difíceis_, _чистое_, _ivany_, 
   {{0x91b50061,0x4b090422,0xbbb4021c,0x0a9d002b}},	//   _동일조건변경허락_, _dvoposte, _benefičn, _খামেনেয়, 
   {{0xf0970371,0xe9960193,0xd2fc00be,0x00000000}},	//   _групово_, _पुनर्विल, _indicis_, --, 
   {{0x82910410,0xe30e013f,0xa3130156,0xcdfd0064}},	//   _gobane_, _savadur_, _הטטפּ_, _جاپارقۇل_, 
   {{0x49c3013f,0x5d490142,0xf2fc0564,0xe30f0057}},	//   _darempre, _aindraṃ_, _filigis_, _empayar_, 
   {{0x075902a5,0x0ae70058,0x8e400344,0x79b100b6}},	// [a360] _मुस्लीम_, _kosikön_, _allaasit_, _muddumte, 
   {{0x525a01b9,0xd2d802e9,0xd39403dd,0x1140039e}},	//   _violan_, _quiere_, _anash_, _aldersbl, 
   {{0x6357000b,0x5da80165,0x92cd00b5,0x91780068}},	//   _leufisa_, _ririkota, _mondaymi_, _arraweel, 
   {{0x8ee2042f,0x69aa01a7,0x471f004d,0x101e011a}},	//   _tutkingn, _горит_, _新唐人簡介_, _בולגרי_, 
   {{0xb4e80311,0xde4c01ca,0x23410413,0x8c480012}},	//   _ኢጣልያን_, _dijachbe_, _enseada_, _घचान्हर_, 
   {{0x6347005a,0xe7e90061,0x687900d1,0xc57e00c4}},	//   _dadelta_, _삭제됩니다_, _প্ৰহসনৰ_, _tukumbuk, 
   {{0x437800ed,0xe34701da,0xdc55003b,0xffcc033e}},	//   _subasta_, _menduar_, _anetise_, _erída_, 
   {{0xdd0502d5,0xa27800c7,0x229003ff,0xc2250129}},	//   _populaar, _alunı_, _rohová_, _siekwa_, 
   {{0xf27e0247,0xcc5e032d,0x9af800f3,0x253a008d}},	//   _atine_, _bostril_, _buvulele, _tarilish, 
   {{0x5d0d00d1,0xbda6023c,0x4a8802fa,0x89fa0008}},	//   _কুলিয়ে_, _تخنیکي_, _tubibuts, _vaticina_, 
   {{0xd2c8035b,0x7a300192,0xd37b0187,0x4d960692}},	//   _napoved_, _discothe, _falaram_, _степного, 
   {{0x00000000,0x00000000,0x00000000,0x00000000}},	//   --, --, --, --, 
   {{0x7ae7043a,0x52cb0043,0x15c30022,0x47630062}},	//   _lisitön_, _annonya_, _поездың_, _michmajv, 
   {{0x126e02e7,0x8674005e,0x51b4000e,0xabb400d9}},	//   _adtoan_, _ﮬﯚﺭﻣﻪﺕ_, _formanti_, _пятна_, 
   {{0xd054042a,0x23eb004c,0xf2d60121,0x42b304cf}},	//   _ekuseben, _yatta_, _negocio_, _nendawo_, 
   {{0x2e93040e,0xb3eb0515,0x78b80357,0xe64d02f0}},	//   _kommunan, _catta_, _itatarov, _ayinamtf, 
   {{0x8dfc02f7,0xc3fd0011,0xa31704df,0x30bc0188}},	// [a370] _bilediwa, _abonerez, _bulanjy_, _asimisil, 
   {{0xacde01cd,0x7c7d001e,0x28840262,0xc2da0144}},	//   _esikhulu_, _fassara_, _аялларың_, _misean_, 
   {{0x1295032e,0xb4dd0208,0x342c002b,0x79f50039}},	//   _amukini_, _ختترین_, _দ্বিতীয়ব, _сухайт_, 
   {{0xf9dc0067,0xcbb503f1,0x54df0086,0x9e42004c}},	//   _bareeche, _veveričk, _بارکونسل_, _banakaza, 
   {{0xdabd01e0,0x26590013,0xb3eb000d,0x14a70307}},	//   _هیندی_, _хасталик, _ratta_, _ithambek, 
   {{0xd2e70307,0x0d2d01f1,0x7a7500b9,0xd316030e}},	//   _azinalo_, _kufitare_, _फोटोब्लॉ, _mlezi_, 
   {{0x32ef029b,0x93eb01d4,0x937b02f9,0x2a7d01c5}},	//   _baafal_, _patta_, _balaram_, _cakaarra_, 
   {{0xfe6900c8,0x1bd8030a,0x2d490137,0x9c2e02a9}},	//   _колледжы_, _tradutor, _эхэмүт_, _užregist, 
   {{0xc506011f,0xd28902c2,0xd29103ef,0x0b92048a}},	//   _адума_, _beskerm_, _kuvamo_, _مەيمان_, 
   {{0xb1e30570,0x6f9b02fa,0x82b303de,0xb2250181}},	//   _उतारा_, _shampiyo, _bendawo_, _brakxz_, 
   {{0xd3eb014b,0xe256004c,0x42da0113,0x7d9d02f3}},	//   _tatta_, _abatemal, _eisean_, _olagligt_, 
   {{0x73790528,0x19d80594,0x0c0500ec,0x0c6d0231}},	//   _curanta_, _huitfeld, _sutrikus, _futuram_, 
   {{0x2eea02e3,0x838f0127,0x9bd50253,0x725b024a}},	//   _hackphon, _bulgareg_, _landskar, _eyelé_, 
   {{0xd53700c1,0x23a20113,0x626a0359,0x227804ef}},	//   _ग्रामपंच, _sampla_, _gearstal, _pernas_, 
   {{0xcbb500e4,0xb93e0359,0x4ee002a6,0xf987021c}},	//   _स्त्रियो, _jammerde, _treillis_, _samotnéh, 
   {{0x9bac0162,0x1a580328,0x925a03e6,0xf89802d6}},	//   _جەمەتى_, _arembemb, _gelldu_, _фужайрад, 
   {{0x626a041d,0x87d500d9,0xb07d00a7,0x00000000}},	// [a380] _učiniti_, _духовке_, _ганси_, --, 
   {{0x52a701ef,0xb2da022a,0xdbd400e6,0x2a5b004d}},	//   _законам_, _disein_, _北京美玉石_, _保安司司長辦公室_, 
   {{0xa394042d,0x1933033e,0xe3950126,0x7da90209}},	//   _hiasa_, _conminat, _кiровогр, _iggisera, 
   {{0x15260076,0x922b03f1,0xa402024c,0x73210005}},	//   _стабилно, _opraviť_, _transnaz, _buccals_, 
   {{0xb8e700be,0x59b700df,0xc30c04fb,0xba15038e}},	//   _بۇتۇڭا_, _alphabét, _guiadas_, _shockbre, 
   {{0xf3940403,0xc27803b4,0x13cc00a4,0x12780462}},	//   _miasa_, _nyundo_, _пайдалуу_, _echanism, 
   {{0xc3d10206,0x6316037f,0x7b1f043d,0x268a0169}},	//   _história_, _halbuki_, _kematian_, _ক্ষুদে_, 
   {{0x56100192,0x4250017e,0xe2970257,0x551d0155}},	//   _헌법재판소는_, _intertem, _leikrit_, _bildskär, 
   {{0x6988046f,0x538b0047,0xd27e0306,0xf7e20196}},	//   _informéi, _graphism, _awanu_, _chosiidw, 
   {{0x49790013,0xe0eb0193,0x9e3b0322,0x00000000}},	//   _таксичил, _परीक्षक_, _barayira, --, 
   {{0x02b4018b,0x27dc0218,0x1794011e,0xea2b00d1}},	//   _cinci_, _ebruaryf, _souvannf, _কেচিয়_, 
   {{0xf3eb0013,0x03160197,0x1ed2008d,0x52e002cb}},	//   _hatto_, _plezi_, _бекназар, _krenulo_, 
   {{0x23eb0245,0xbd860126,0x94a50036,0x82560012}},	//   _katto_, _настрою_, _dónaill_, _बूझेलऽ_, 
   {{0xe0360272,0xafcf01f4,0x87f10258,0x6f43054c}},	//   _baatukan, _dalillar_, _kneppelf, _prosentp, 
   {{0xb3eb0139,0xad8b015e,0x92720009,0xa286013f}},	//   _datto_, _باستىرعا, _izvršiln, _diskarg_, 
   {{0x9b0d0113,0x1d9a01ac,0x839400d5,0x4c0105f2}},	//   _leasanna_, _strongvp, _fiasa_, _abastos_, 
   {{0x8fd002cb,0x127b003a,0xded00267,0xb3f701b3}},	// [a390] _postiže_, _yahudiyl, _postižu_, _провини_, 
   {{0x53eb018c,0xfc6a0025,0xd3f2027f,0x2b0f0244}},	//   _natto_, _कान्ता_, _indongoz, _supporta_, 
   {{0x573e0405,0x9534014b,0x225500d1,0x01a3005e}},	//   _востаннє_, _afrikiyy, _হাম্পি_, _ﺋﺎﻗﺴﯘ_, 
   {{0x3a1002fc,0x134100bb,0x03950181,0x85990204}},	//   _ababanda_, _پنڈال_, _olesen_, _превраще, 
   {{0xb83d018d,0x2f5e03dd,0xd39402a6,0x5b6901e5}},	//   _ባንግላድሽ_, _lokacion, _agisci_, _mereerin_, 
   {{0xe8ba00ca,0xa3eb0005,0xaa2700d9,0x2a9b0010}},	//   _protegir_, _catto_, _заодно_, _bhayêla_, 
   {{0xd2dd0152,0xfa330093,0x127601de,0x00000000}},	//   _fedotov_, _боьзна_, _вирусқа_, --, 
   {{0x98590058,0xd15802a2,0x276a0061,0x727e0087}},	//   _numateor_, _natutulo, _아이디어를_, _etinh_, 
   {{0xeafc0047,0x4e7f01cc,0x961e0372,0x234b001a}},	//   _entraine, _bhartuś_, _deimladw, _meleget_, 
   {{0xc2010338,0x91a301db,0x58780223,0x3f3902e1}},	//   _aquin_, _حانتاڭرى_, _хулангий, _يقابل_, 
   {{0xd3a204ea,0x127e0172,0x03d1056f,0x63950429}},	//   _shipai_, _ntini_, _histórie_, _elesen_, 
   {{0xea0f0455,0xb58e027b,0x73950225,0x96e90553}},	//   _finaleme, _amitavik, _flesen_, _neprežil, 
   {{0x82c90144,0x47a700cb,0xe33d01b0,0x00000000}},	//   _tollamh_, _amadlang, _baradé_, --, 
   {{0x4a6e0265,0xc38203d7,0x914902c8,0x03410008}},	//   _uprocess, _prezans_, _sentímol, _hisenda_, 
   {{0x7ad90211,0x4c0402f0,0x82f301d4,0xd9ed0099}},	//   _прокомме, _emashow_, _avvistu_, _evagnost, 
   {{0xa8180024,0x913f0654,0x19360065,0x7b600084}},	//   _ক্ষেত্ৰখ, _menempel, _vermeint, _bebeakan_, 
   {{0x098a018d,0x9f1401c4,0x1d480276,0x7ae202e1}},	// [a3a0] _ዝኣምኑን_, _gatmaker_, _جاراھەتل, _cholainn_, 
   {{0x1b1a00a3,0x76050109,0x00000000,0x00000000}},	//   _stoppest, _půlhodin, --, --, 
   {{0x6c0800ab,0xd3940318,0x66d80244,0x700e040a}},	//   _rangatir, _siasi_, _задръств, _dåvarand, 
   {{0x7d050318,0x6e1b01d9,0xbc710258,0x8fc4014a}},	//   _atelaite_, _theguita, _soarget_, _birodalo, 
   {{0xf7be0047,0xb316006f,0x2617023d,0x5b070185}},	//   _违者本网将依法追, _elezo_, _rivoluzi, _бибарс_, 
   {{0x978100e4,0x3485007e,0x9b0e0037,0x17a80261}},	//   _आजकाराशि, _विशालं_, _ግልጽነትና_, _alttekni, 
   {{0x8bd101b7,0x261b0022,0x6dd10156,0x734b0312}},	//   _मुनयः_, _командағ, _דעקערייט, _beleget_, 
   {{0x4ae202ca,0xcaf6027c,0xf457049e,0xaa7e0066}},	//   _pholainn_, _adlulile, _označiť_, _zabalera_, 
   {{0x827e00b7,0x4055034e,0x3ccd0040,0x4498020f}},	//   _etini_, _cabrakun, _תבלין_, _babandez, 
   {{0x4e93021c,0x73f802e2,0xda20005a,0x00000000}},	//   _animovan, _benumb_, _sarchoht, --, 
   {{0xac5102f3,0x45de0059,0x426c0066,0x23f90416}},	//   _viktiga_, _надиграй_, _laburbil, _myauto_, 
   {{0x026c0277,0xaaa60080,0x2153028a,0xa695034a}},	//   _bahon_, _alakkars, _ngorongo, _flufenox, 
   {{0x5e520026,0x0f5d0172,0x42c90198,0xc8c2016d}},	//   _써브를시작페이지, _bosanian, _spolnih_, _әттин_, 
   {{0x9db1042b,0xedfb0065,0x2d01033d,0x7947006c}},	//   _članove_, _gemeldet_, _douloure_, _alilokot, 
   {{0xe8b102eb,0x12f703b5,0x0e1800bc,0x00000000}},	//   _чөтгөр_, _selisih_, _اميدوارم_, --, 
   {{0x5a1a0119,0x95e700d1,0x00000000,0x00000000}},	//   _piacenza_, _কমলাবাৰী_, --, --, 
   {{0x72d80212,0x00000000,0x00000000,0x00000000}},	// [a3b0] _priores_, --, --, --, 
   {{0xe3ea00a1,0x9f5b03c8,0x8dbe0156,0xf3ea0243}},	//   _ahotea_, _gelandan, _קוקסאָן_, _waktiy_, 
   {{0x341b0031,0xdefe0040,0x32d800f1,0x927804a7}},	//   _menindak, _חודרנית_, _lideal_, _cernes_, 
   {{0x127e0310,0x31c40210,0xd7d10350,0x70460099}},	//   _puing_, _akamuram, _አስፈንጣሪዎች_, _eparamen, 
   {{0xe887018b,0x8387001e,0xc342034b,0x72fc0476}},	//   _гласурил, _kwarai_, _saveman_, _arega_, 
   {{0x1a4403b9,0x625b02db,0xf2ca0378,0x03f802c5}},	//   _lucecita_, _inglan_, _sandoy_, _avhura_, 
   {{0x22370551,0xb79a01f6,0xd046038f,0xaa7c0286}},	//   _ngajak_, _তালিকাখন_, _rubriken, _watawata_, 
   {{0xb31701a1,0xa2fc0085,0xc40c003c,0x849d0022}},	//   _keuze_, _drega_, _تزئينات_, _йәрәхәтл, 
   {{0xb2fc049b,0x0db304c3,0x204303c6,0x41070466}},	//   _erega_, _congnghe_, _lantearn, _ocekival, 
   {{0xc37a001c,0x0529002b,0xe68a009a,0x952d004d}},	//   _burauen_, _বেশকিছু_, _bebenezi, _素莫鉛筆袋一個_, 
   {{0xc27e00b8,0xaec703a7,0xbde50013,0x13bf004b}},	//   _utana_, _vzdialen, _آخریگچه_, _амантай_, 
   {{0x327e0291,0xb0bd01e9,0x77260095,0xd4610045}},	//   _duine_, _diumakil, _blumbang, _петровић, 
   {{0x8869054e,0xce9b012d,0x7e3d0177,0x8a7c0165}},	//   _kuinguyu, _hautsait_, _византиа_, _vatavata_, 
   {{0xaa9601c7,0x259f00d1,0x527e031a,0x7db40397}},	//   _отланыпд, _ছদ্মনামত_, _fuine_, _буттаи_, 
   {{0x990502ec,0xbd9803f3,0xe25b013d,0x9be40026}},	//   _masaajid, _recensie_, _anglan_, _eigenaar, 
   {{0xa8b90441,0x6bde03b8,0xbbdc0157,0x430d04a5}},	//   _instalov, _ستاليىنن, _रजिया_, _ndibona_, 
   {{0xf3eb0225,0xb2d802ff,0xa97b0027,0x93410101}},	// [a3c0] _ratte_, _priere_, _kilidnae, _soseaua_, 
   {{0xaea701b2,0x13940261,0xb2480511,0xfd51004d}},	//   _aggrieve_, _afishi_, _khombo_, _數位落差調查_, 
   {{0xf4380074,0xf3d4027f,0x88290061,0xe86b0159}},	//   _планиров, _akamubaz, _문화상품입니다_, _сказана_, 
   {{0x34d505f8,0xdfb4018d,0xb2b301e8,0x796303a1}},	//   _следует_, _ምንጪታት_, _gindugo_, _алексиев_, 
   {{0x80c90046,0x138000ee,0xf2ca05f6,0x2ec10027}},	//   _اباددا_, _gaurko_, _bygde_, _edunikob_, 
   {{0xd19b050d,0x927e0180,0x2b3703d5,0x58c40237}},	//   _mercadol, _etann_, _ardaneyn_, _가석방위원회의_, 
   {{0x6aad03ac,0x403c0012,0x355b018d,0x255900cb}},	//   _berkenan_, _दिरहम_, _ንሸውዓተ_, _adukisay, 
   {{0x42d90004,0x364b0350,0xd92e0237,0x00000000}},	//   _aryere_, _የሶቭየት_, _상품배송은_, --, 
   {{0xd4180211,0x00000000,0x00000000,0x00000000}},	//   _тормозит_, --, --, --, 
   {{0x496200d8,0x64eb00da,0x400c032d,0xa39401e5}},	//   _abondant, _контралт, _көрсөккә_, _ifisii_, 
   {{0xa27e0499,0xb577029c,0x3248012c,0xa8c4002b}},	//   _atino_, _afotokoz, _chombo_, _কাঁঠাল_, 
   {{0xf290001c,0x42e90478,0x59f900d1,0x1c340219}},	//   _hokair_, _atengut_, _নহোৱাকৈ_, _kubakhic, 
   {{0x89da0362,0x82ec019e,0x20d20196,0xa26c0160}},	//   _abongisa_, _эўрапейс, _angongol, _mahom_, 
   {{0xbb89024b,0x93fa053f,0x861b0369,0xad1c000c}},	//   _noviembr, _ratuki_, _kerokodi, _churrinc, 
   {{0xd37f00d9,0x32da046f,0x00000000,0x00000000}},	//   _hukassa_, _fotell_, --, --, 
   {{0x030e02c1,0x4f360629,0x00000000,0x00000000}},	//   _ndabona_, _eebsdfra, --, --, 
   {{0xd28e015d,0x72ca011a,0x36570137,0xd5bb0296}},	// [a3d0] _ocenić_, _oxides_, _байлтай_, _panaxiah, 
   {{0x427e03d7,0xb27e013a,0xadee0071,0xe26c0119}},	//   _atann_, _stinn_, _کمپوت_, _bahol_, 
   {{0xdd5a0145,0x805e00d9,0xd082023c,0xf2d80040}},	//   _болей_, _правилам_, _دملاتړ_, _branded_, 
   {{0x891e01e0,0x8610006c,0x626c0219,0x00000000}},	//   _بلژیک_, _abalandi, _kulona_, --, 
   {{0x2e320046,0x538c0444,0x63540227,0xcb830080}},	//   _териштир, _подробны, _meletus_, _erinnior, 
   {{0x16040274,0x935f03dd,0xd2cb024c,0x00000000}},	//   _kommúnis, _mungese_, _gawda_, --, 
   {{0x937900f2,0x05190373,0xd31c0188,0xcb070120}},	//   _atrasta_, _kvartalo_, _шуъбаҳои_, _tiniktót_, 
   {{0x536702c8,0x51bb0167,0x720e006d,0xe29503db}},	//   _posgrao_, _dirlenwi_, _базай_, _olubanzi_, 
   {{0xbc530255,0xebad0109,0x9c6701c4,0x00000000}},	//   _postiga_, _पम्फा_, _skitter_, --, 
   {{0x5e390211,0xe3940195,0x00000000,0x00000000}},	//   _дизельны, _dhise_, --, --, 
   {{0x94ed039e,0x7e180041,0x3f2504ab,0x171700d3}},	//   _বিচাৰ_, _егьахьчо, _neretvan, _एक्सचेन्, 
   {{0x330c0402,0xed950044,0x1f6b04fc,0x73eb0271}},	//   _isyarat_, _לוהטת_, _espacios_, _natta_, 
   {{0x19990171,0x174c03c7,0x9ec502da,0xa2fe0256}},	//   _traži_, _poniżej_, _славни_, _noticis_, 
   {{0xa5c700d1,0x993f00a3,0xe83f00a3,0x00000000}},	//   _পুণৰাই_, _bremusee, _bremuseu, --, 
   {{0x43eb0205,0x5c6b0168,0x1a670192,0x831000e7}},	//   _katta_, _akkurat_, _드리겠습니다_, _ampatay_, 
   {{0xb645000a,0x870f020f,0xbbd90425,0xd95f0204}},	//   _akuiarii, _شمسزی_, _کلاسیکیی, _taulutie, 
   {{0xa76c002b,0xd394005b,0xe27e03fd,0x00000000}},	// [a3e0] _রিকশা_, _chise_, _utino_, --, 
   {{0xded80300,0xd27d01bb,0xff4b00c1,0x19be015e}},	//   _princezn, _вакалары_, _singkatn, _билеттин_, 
   {{0xacbe006d,0xe39602a0,0x03030172,0x652802ef}},	//   _самец_, _amusin_, _mahalat_, _admirasy, 
   {{0x39f40193,0x63870255,0x4f1902d8,0x5d8604c7}},	//   _प्रशासना, _avarii_, _formulir_, _кратким_, 
   {{0x738d001a,0xffae040f,0x33f801c0,0x0b2c028a}},	//   _kulturál, _чарку_, _addua_, _unyanyas, 
   {{0x8c560312,0x5f610175,0x72e805d7,0xab9d03d5}},	//   _marteze_, _eksplike_, _muminun_, _accidenc, 
   {{0xa3950097,0xa3eb04e5,0x9dc704c3,0xb3940322}},	//   _elesin_, _batta_, _hihihehe_, _ahise_, 
   {{0x331703d5,0x32000102,0x1edf0040,0x00000000}},	//   _arganey_, _uchina_, _לזכרם_, --, 
   {{0x687b0182,0x08580260,0xcc93020a,0x00000000}},	//   _ladiapau, _cadrados_, _جاعار_, --, 
   {{0xc4080202,0x6a83018d,0x00000000,0x00000000}},	//   _nperawon_, _prezenca_, --, --, 
   {{0xf3800172,0xea4b0369,0x2e3b0328,0xe2870296}},	//   _aburoo_, _beteseda_, _barabira, _rickard_, 
   {{0x6fd701f4,0x12e901a6,0x8aa900be,0x73250059}},	//   _махалла_, _katinga_, _теледен_, _cercavi_, 
   {{0x4f1402e3,0x7f710044,0x1a8a016a,0x0c610155}},	//   _xoatinra, _diabetes_, _reziston_, _undrade_, 
   {{0x5ea103bf,0x517e004d,0x67c00024,0xe2b10224}},	//   _dialawen, _一名間諜的三種平, _লোকৰে_, _eindaga_, 
   {{0xc68a0037,0xfc1d02d8,0xa50f0119,0xc6990361}},	//   _ማቅረቡን_, _komplit_, _nanunuyo_, _девлира_, 
   {{0xbb3a026c,0x3fe90613,0x4f4c038a,0xed9f000a}},	//   _網路出租快到不行_, _cruzados_, _hampisqa, _ilangisa, 
   {{0xf3640192,0x00000000,0x00000000,0x00000000}},	// [a3f0] _자연경치풍경_, --, --, --, 
   {{0x226c0378,0x036b0094,0x875a008f,0x00000000}},	//   _mándagin_, _قالدىقتا, _शिक्छित_, --, 
   {{0x32b10082,0x42c400f6,0x00000000,0x00000000}},	//   _bindiga_, _dəlili_, --, --, 
   {{0xdc1f0075,0xf897028a,0x9631043a,0xf560002b}},	//   _tillukku_, _مرتبو_, _lotograf, _পোশাক_, 
   {{0x225b003b,0xd03d03a2,0x34a400a6,0xa97f020f}},	//   _atelwe_, _यामहा_, _bamachiz, _bazixele, 
   {{0x0f540148,0x11ac0138,0xc3eb0488,0x3d9d04a4}},	//   _今日拜訪總人數_, _rahatsız, _amatam_, _mallacha, 
   {{0xc84300b1,0xa22a00f5,0xf34a02f8,0xff9e0144}},	//   _lostsuas_, _доэан_, _felekeu_, _محظور_, 
   {{0xd27e025c,0x6bc4014a,0xbe6000c1,0x0c5a0196}},	//   _stand_, _infomáci, _तमालपत्र_, _khotani_, 
   {{0xaa5e033e,0xb2ca05f6,0xd708011d,0x01cf0435}},	//   _богданчи, _bygda_, _гарантат, _односе_, 
   {{0xaaf80010,0xc0a60156,0x1282029f,0x63a903a9}},	//   _buvumele, _אינטעגרא, _presunul, _викихыпа, 
   {{0x69b50149,0x72ea02c2,0x0c680274,0x73a20009}},	//   _kpọbata_, _kenners_, _makríl_, _stopal_, 
   {{0x62fd0119,0x8d9d031d,0xd9560126,0x62da04a4}},	//   _brugg_, _ballacha, _чутливіс, _oisein_, 
   {{0x785e017d,0x8e490037,0x2eb60414,0x00000000}},	//   _産学連携本部_, _የእንኳን_, _embuance_, --, 
   {{0xe909014e,0x4af70244,0x4a0704d7,0x6c9300a4}},	//   _метара_, _галерии_, _varahlut, _جاشاي_, 
   {{0xd31604cf,0x2ebc0296,0x00000000,0x00000000}},	//   _emibini_, _barnvagn, --, --, 
   {{0x70570244,0x75e8037f,0xeb4f01db,0xd37800a6}},	//   _линкове_, _camaatı_, _جەتپەكشى_, _baxakwa_, 
  
   {{0x06cf02ac,0xeea50061,0x76c3005c,0xa29203f1}},	// [a400] _كوليكشن_, _아이맥스영화관_, _akurikiy, _dorast_, 
   {{0xd4850255,0x0631006a,0x5c320210,0x92e50119}},	//   _संपादक_, _fotodraf, _akabayir, _winnica_, 
   {{0xf264022b,0xf2d80258,0xc8e50299,0xb3580109}},	//   _tyrlas_, _briede_, _ئاققۇش_, _ostrovní_, 
   {{0xbcc5035d,0xdc610103,0x6972009a,0x324801c4}},	//   _dobijaju_, _aitunda_, _alingene, _kalmte_, 
   {{0xfef300ec,0x2ec00043,0x9c7d01f7,0x5beb00a4}},	//   _reikalas_, _agezezza, _adesion_, _cementir, 
   {{0x8d9d0142,0x45de0086,0xbea900ba,0xd2920198}},	//   _anindita, _ferencvá, _رژمێریه_, _porabe_, 
   {{0xe27e00a4,0xa38600e2,0x65eb00da,0x12d80206}},	//   _cuina_, _stifting_, _контурат, _triede_, 
   {{0xdeb7069c,0x654405b6,0xa972053d,0x00000000}},	//   _poprosit_, _narychlo_, _elingene, --, 
   {{0xbf3b010b,0x727e015c,0x5a3d023e,0x4ffd016d}},	//   _alogilen, _gring_, _رایکا_, _қоюптими, 
   {{0xeb7300ac,0x9c6d0120,0xddc30163,0x1f760235}},	//   _uslugama_, _culusak_, _bukkanta, _bhartuḥ_, 
   {{0x531604cf,0xf37f035b,0x43a90191,0x6a590048}},	//   _amabini_, _obrazec_, _provade_, _ategeera_, 
   {{0x22ca0022,0xc25d01c9,0x00000000,0x00000000}},	//   _exoda_, _siseviim, --, --, 
   {{0xe27e005b,0x12260235,0xb9e700dc,0x73f802fb}},	//   _suina_, _anukta_, _logotala_, _lelue_, 
   {{0xedfd0572,0x83f8000f,0x39f8044a,0xff230235}},	//   _कर्मठता_, _hamuru_, _namituna_, _daityaca, 
   {{0x351e01b5,0x642500e6,0x931600a6,0x00000000}},	//   _efilipiy, _查找该会员全部帖, _emabini_, --, 
   {{0xc84502a8,0x36ab004d,0x9f540017,0xcdff01aa}},	//   _singapor_, _以當日市價升降幅, _यीमध्ये_, _argetsta, 
   {{0x221302f8,0x2edd03a1,0xc3f80278,0x6b950434}},	// [a410] _tauhi_, _фолксваг, _belud_, _comienzo_, 
   {{0xe2bb00ac,0x1659035b,0x62fc0279,0x74650037}},	//   _nijedne_, _stekleni, _mangé_, _diserapk, 
   {{0xc3940013,0xa56a01e6,0xc60c01d4,0x5b3000bf}},	//   _raisi_, _motorový, _esaltazi, _лелор_, 
   {{0xd39403f2,0x53020265,0x027e0247,0x555e02d6}},	//   _saisi_, _dubbele_, _pring_, _физикаси_, 
   {{0x12ed0503,0x72fc00dc,0xf4010265,0x1e910059}},	//   _fysiske_, _asega_, _sieraden_, _portiere_, 
   {{0xd2de013b,0xfe77012c,0x3d93018a,0xccf00235}},	//   _lubelski_, _خانداني_, _bortread_, _avināśi_, 
   {{0xc27e00a7,0xca5e0239,0xd97e009a,0x97170452}},	//   _quina_, _hangarua_, _belibale, _असुदे_, 
   {{0x49fc006a,0xcea0000c,0x00000000,0x00000000}},	//   _hahatant, _meguápe_, --, --, 
   {{0xb2fc0018,0xe3940074,0xa71200bf,0x874b005e}},	//   _esega_, _taisi_, _перемест, _ﺋﯩﮕﯩﺴﻰ_, 
   {{0x429105ce,0x2c53070c,0xe3940242,0xd5990076}},	//   _orgazm_, _listova_, _faizsiz_, _трескави, 
   {{0xfade014e,0xc73e00d1,0x73490362,0xa27e067c}},	//   _лампе_, _ত্বৰান্ব, _nasengi_, _buinn_, 
   {{0xaf0200e4,0x829101f1,0xb27e01ac,0x00000000}},	//   _विक्षनरी_, _vizave_, _cuinn_, --, 
   {{0xf22b01ff,0xe27e05b8,0x227e00b7,0xa29001c5}},	//   _upraviť_, _saknar_, _erine_, _askartii_, 
   {{0x05a70060,0xb3490362,0x12fd0343,0x641b01f5}},	//   _аралас_, _basengi_, _duugo_, _meniadak, 
   {{0x834c03d4,0xd22b00f0,0x0394019c,0xe27e00fd}},	//   _предмету_, _spraviť_, _ibise_, _fuinn_, 
   {{0x96e2026c,0x42900449,0xf27e03d5,0xb57b0092}},	//   _環境教育輔導團年, _izjavu_, _guinn_, _ベストセラ_, 
   {{0x42440037,0x9b9a006d,0x68c70060,0x00000000}},	// [a420] _የቅንጦት_, _асацыюец, _сылтауме, --, 
   {{0xa0e700c5,0xfc15013a,0x42fc04ca,0x00000000}},	//   _页面访问量_, _fuerchtb, _capitau_, --, 
   {{0x33940223,0x43f803da,0x08fb003c,0x2175002b}},	//   _maisu_, _tamuru_, _balanipu, _দিশাহারা_, 
   {{0xd394019d,0xe292079f,0x9b0501eb,0xc9a002c6}},	//   _khasa_, _morafe_, _etereiha_, _biokimie, 
   {{0xbc5201b8,0x003b0041,0x2f730060,0x82ed0371}},	//   _teataja_, _аииқәырш, _بىلدىرمە, _fisiche_, 
   {{0xa27e04bb,0x3380008f,0xaa5c0358,0xc305032b}},	//   _muang_, _korras_, _kosmofys, _خورام_, 
   {{0x5ae50101,0x36f10076,0x8c4a0012,0x16fe005d}},	//   _sigurant, _обидете_, _पहचनलें_, _kokuekué, 
   {{0x83940226,0x6ba80522,0x73eb041a,0xa3ce0326}},	//   _abise_, _ग्लूकोज_, _nytte_, _agova_, 
   {{0x7a1004ca,0x1ded02eb,0xd27e00da,0x72fc001c}},	//   _dinastia_, _харамгүй_, _prind_, _kahitas_, 
   {{0xf27e0002,0x975906cc,0x7b1d015c,0x986a0253}},	//   _brine_, _समन्वयक_, _oppassen_, _neriorsu, 
   {{0x339401eb,0x27a100d1,0xd4e1003e,0xcc050181}},	//   _ahasa_, _ককালত_, _бьорндал, _amyshow_, 
   {{0x827e0252,0xa34502c2,0x1a0503b1,0x525101f9}},	//   _itani_, _spreuke_, _consécut, _etitimel, 
   {{0x727e02ce,0x04070057,0xd38c0023,0xfb42006c}},	//   _juang_, _hulurkan_, _долговеч, _adabukis, 
   {{0xd2490690,0x00000000,0x00000000,0x00000000}},	//   _ulamak_, --, --, --, 
   {{0xab8d0156,0x00000000,0x00000000,0x00000000}},	//   _armilpor, --, --, --, 
   {{0xd6150179,0xac6f008c,0x1b190311,0x00000000}},	//   _bemagivö, _emprova_, _ተደጊፎም_, --, 
   {{0xad6001c9,0x371600d0,0xfb0103db,0x32010338}},	// [a430] _इन्स्टाल_, _алмайруу, _esasinge, _aquiu_, 
   {{0x4cec0368,0xe39502af,0xe27e0289,0x2394019a}},	//   _компаниј, _agashi_, _otani_, _maist_, 
   {{0x32df024f,0xaccd0139,0x524a0109,0x139400f2}},	//   _besetaki_, _निर्गच्छ, _खःमेय्_, _laist_, 
   {{0x42cc03c2,0xb08a007f,0xd8d30213,0x361502ac}},	//   _aivleyn_, _bercheno, _косачев_, _pholasai, 
   {{0x5394008c,0x674d0092,0x339401b8,0x9c040287}},	//   _chasa_, _マンスナイプ_, _naist_, _प्रेरणाल, 
   {{0xd96d00b6,0xd39400f2,0xed14014d,0x4588040f}},	//   _istiraat, _gaisu_, _haustier, _partrenk, 
   {{0x6fc70486,0xd0350047,0xba12009a,0xed1f01eb}},	//   _बोलचाल_, _contenan, _bonakeke, _neangave_, 
   {{0x934c00d3,0x97db036e,0xb04600d8,0xb92f0170}},	//   _vestavné_, _atharvav, _aparimen, _chomulet, 
   {{0x02c70311,0x8394022f,0x327e0362,0xb8e6002c}},	//   _formuar_, _baisu_, _etani_, _сайттай_, 
   {{0xfa380154,0x59700071,0x92fc02dc,0xfb1d0094}},	//   _дивертис, _بیابید_, _filiais_, _діндарла, 
   {{0x31780410,0xc3940020,0xaa9d02cf,0x9e8f03ed}},	//   _dibatsel, _vaisu_, _начините_, _francês_, 
   {{0x858403f1,0xcf2b0037,0xf9a00478,0xaa940008}},	//   _fotogalé, _የካቶሊክ_, _rijksdie, _senyalit, 
   {{0xfb35006c,0xef8d0177,0x8c3d00d2,0x84b80374}},	//   _ababekub, _ацәнакуа, _sampuras, _айбни_, 
   {{0xd67200b1,0x18830153,0xb3dd071f,0x06180187}},	//   _waldensi, _ツカサネット新聞, _rupwi_, _manequim_, 
   {{0x3d980074,0x32b40033,0xf79f02f0,0x83540046}},	//   _начинающ, _lincs_, _bakuleti, _ulleres_, 
   {{0xd5170588,0x7c560329,0xf3030209,0xd3000313}},	//   _imirongo_, _partaze_, _immamut_, _suratlh_, 
   {{0x52b4014a,0x0f2400ee,0x094f0003,0xf1130456}},	// [a440] _nincs_, _dekretua, _spelrege, _berkelul, 
   {{0xe5c40064,0x46d4004d,0x8c090176,0x00000000}},	//   _maragall_, _酷幣大放送_, _geopara_, --, 
   {{0xf66d00ba,0x7ff300be,0xefb80236,0x74620159}},	//   _جلیسه_, _قۇلعا_, _kupljeno, _выбраная_, 
   {{0xa9ea03d5,0x529201cf,0x3f1101d7,0x73be024f}},	//   _jefferie, _corage_, _abitanta, _raiveri_, 
   {{0xe27e0199,0xa4b500e4,0x02ca019a,0x55c80153}},	//   _quang_, _poradnik, _boddem_, _スピリチュアルな, 
   {{0x85f6021c,0xa6a2023d,0xf905023e,0x00000000}},	//   _veteriná, _решениет, _temanggu, --, 
   {{0x89d90075,0xece7004b,0x6365032d,0x12e3000d}},	//   _seinasta_, _визиты_, _dikgopo_, _masinad_, 
   {{0x127e0050,0xb17f00a4,0x42b30184,0x00000000}},	//   _tuang_, _sabadell, _ukudaha_, --, 
   {{0xd2900255,0xf2fc0044,0x2d2c011f,0xc2b4001d}},	//   _leiab_, _reminds_, _фильмқәа_, _tinct_, 
   {{0x70b60525,0x7d83034b,0x054b0059,0x28ed0193}},	//   _बाहुबल_, _katemaot_, _поставет, _विश्वासच_, 
   {{0x95240192,0xe641001d,0x6ebe03ae,0x49f10145}},	//   _롯데캐슬비치_, _altissim_, _innstilt_, _konservu, 
   {{0xef35004f,0x00000000,0x00000000,0x00000000}},	//   _oktoobar_, --, --, --, 
   {{0x9b9e0261,0x2575023d,0xc34b0117,0x6e480076}},	//   _ekonomio_, _soltanto_, _lelebet_, _кардашиј, 
   {{0x4eb5037c,0x327e01c4,0x294103f7,0x00000000}},	//   _expertes_, _tuine_, _bolluste, --, 
   {{0xa2da00e9,0xae96016e,0x1c9d01a3,0x3c6902c2}},	//   _anseyn_, _elemanon, _دلڪشي_, _vaarwel_, 
   {{0x082f004c,0x134c01be,0x727a018e,0x5ebc0128}},	//   _akomoled, _vestavná_, _kuriseni_, _nazoratn, 
   {{0x34f300d7,0x522403ae,0xb23d019a,0x24bf01c9}},	// [a450] _мораҙым_, _dekket_, _cammock_, _त्रेताँ_, 
   {{0x02000245,0xb440002b,0xbeda0037,0xb46a01f0}},	//   _umdih_, _হিংস্র_, _አይበጅም_, _ditebogo_, 
   {{0x5ecd01fc,0x027e0497,0x67fa01b2,0xc3160272}},	//   _assitaan, _quine_, _anabolag, _amayanzi_, 
   {{0x0ad205d8,0x437b013d,0x751e0040,0x0341003e}},	//   _šampiona_, _japanio_, _פומבית_, _hotetsa_, 
   {{0xb5f6017c,0x4c00005b,0x2d1a0360,0x171000b7}},	//   _veterinä, _wetsuit_, _revoluce_, _империас, 
   {{0x518b0189,0x9dc5005a,0xd3170109,0x4f34027e}},	//   _beraberl, _jegheghp, _iluze_, _верифико, 
   {{0x939a0247,0xd3200387,0xc19a02bd,0x739404a4}},	//   _اسامی_, _emeya_, _thechnol, _biast_, 
   {{0x92c20623,0xeede0014,0x300c0037,0x6c650148}},	//   _गर्भनिरो, _mazhoran, _የመገበያያ_, _insulae_, 
   {{0x09c405d5,0x43870075,0x95c402a4,0x2df700d9}},	//   _adherent, _starvi_, _xaragall_, _назвал_, 
   {{0xb17f0076,0x02480233,0x63960134,0x913502f9}},	//   _ученицит, _calmat_, _imusin_, _kontanpo, 
   {{0x8b8b00da,0x98bb018d,0xd34b03c3,0x765000be}},	//   _timisoar, _ክንፍታት_, _pedeset_, _دۉيشەبەك_, 
   {{0x4bd803aa,0x65fd0053,0xad1e00e6,0x02bb0014}},	//   _इस्राएल_, _भयकथा_, _为铁道部长刘志军, _edhepse_, 
   {{0x6efb018b,0x343a01d5,0x842a0318,0xc9f90211}},	//   _иконицэ_, _نعمتیں_, _hinalolo_, _suvaitse, 
   {{0x579e00dc,0xcd8301c5,0x461d0450,0x62770423}},	//   _aliuliui, _ballaara, _agindati, _moravský_, 
   {{0x70490187,0x7da100ba,0x32890156,0xd36f0014}},	//   _можноста_, _سیڤیلی_, _סימפּטאָ, _tingujt_, 
   {{0xf35f0218,0xf9da0311,0x7dad0388,0xdc9f0374}},	//   _adgebay_, _ዝንቡዕን_, _grafiche_, _alarning_, 
   {{0xf54c0040,0x93ff01fe,0x27a70233,0xb3870107}},	// [a460] _להדליק_, _moturiki_, _inpracti, _awarni_, 
   {{0xf2b40245,0xc62a03fd,0xabf70199,0xb2ec017d}},	//   _bording_, _tusitusi, _geleximc, _motorvej, 
   {{0xa2b40163,0x935f0150,0x23160077,0xd3f90010}},	//   _sincs_, _hangere_, _amizan_, _bufune_, 
   {{0xed9302c2,0x50350053,0xf04c00a8,0x43770147}},	//   _vorentoe_, _इन्फोसिस_, _argumain, _شىڭار_, 
   {{0x434c0625,0x43be0262,0xb63701f2,0xcf450185}},	//   _cestovné_, _abiwerd_, _пайдис_, _рубрикас, 
   {{0xc2980205,0x4b04034c,0x15a7002b,0xe3790171}},	//   _قالدقلری, _этноконф, _জ্বলছে_, _silazno_, 
   {{0x82d9033f,0xd5f60168,0x42ce029a,0xdc6b024c}},	//   _asinate_, _veterinæ, _reklanm_, _akkuzat_, 
   {{0xc6d701c0,0x7b03021c,0x2a6a0374,0x00000000}},	//   _bambamci, _prasknut, _кадастри, --, 
   {{0x178002b9,0x8a190044,0x387c0011,0x51b20046}},	//   _اشرافیہ_, _circulat, _balitanu, _necrològ, 
   {{0x924201be,0xcd85011d,0x00000000,0x00000000}},	//   _कलिला_, _indexare_, --, --, 
   {{0xc6980076,0x0e440210,0xab9f0109,0xee0002c2}},	//   _предвиду, _angatofa, _एकरुपता_, _onversta, 
   {{0xb3f80050,0x33f80209,0x137f0054,0xd8cb033e}},	//   _bedug_, _illua_, _gajarta_, _mandjyju, 
   {{0x2c66004a,0xcea401de,0x04d701bd,0x1b9102c9}},	//   _барысын_, _كوڭىل_, _салалық_, _ефектуар, 
   {{0x72920399,0x62300672,0xa2fd01c9,0x2cb70204}},	//   _apuaka_, _aremera_, _kuuga_, _перца_, 
   {{0xe3f903a7,0x01ec01e4,0xd285032d,0x891e0187}},	//   _čaute_, _बायरन_, _dithapo_, _опозицис, 
   {{0x39e40409,0xb9f803b0,0x350401b9,0xd69e00a3}},	//   _ありがとうござい, _samstund, _materyel_, _klagefri, 
   {{0x52da000e,0x6288016f,0x5ebe0219,0xdc66029e}},	// [a470] _intell_, _прискоре, _ichubeke_, _dostaat_, 
   {{0x07e8017a,0x7a750012,0x32f30450,0x726d02ea}},	//   _abaselaw, _जखैन्ह_, _pleitet_, _estrapol, 
   {{0xf35e00d1,0x03dc01e5,0xd57e0476,0xaa08004e}},	//   _আত্মনিয়, _akowe_, _anhuwidz, _hunahuna_, 
   {{0x1fe30094,0x9db9019f,0x52160128,0x2fc4003b}},	//   _باستا_, _mwanacha, _террорга_, _bosodolo, 
   {{0xb29100c2,0xa3800281,0x92130182,0x14a10122}},	//   _bibaye_, _aarrit_, _kauhi_, _گلریزان_, 
   {{0x83eb05db,0x8063004d,0x0e0003e6,0x3e4e05f2}},	//   _kwethu_, _這裡發現愛_, _anversta, _aquagest_, 
   {{0x258f01f2,0x739401eb,0xf7d90249,0xaa96027b}},	//   _ﻗﯩﺘﯩﻢﻛﯚﺭ, _ahase_, _ekspendi, _शरीमान_, 
   {{0xabb00093,0x3c54023c,0x5399005b,0x57c50148}},	//   _включены_, _دنیپال_, _væske_, _prospici, 
   {{0x93eb03db,0x6b900220,0x2a7c0207,0x01610076}},	//   _lwethu_, _pannello_, _madarasa_, _guarulho, 
   {{0xdebe0010,0x839401b8,0xa7b9000d,0x00000000}},	//   _achubeke_, _naisi_, _mikrolai, --, 
   {{0x53a6035b,0x8b08030b,0x472c01d5,0x63960084}},	//   _nadaljuj, _akashoma_, _نقادوں_, _alusan_, 
   {{0x23940103,0xa1eb01b9,0xd3f003a0,0x50eb033d}},	//   _haisi_, _gaspiyaz_, _dimeleng_, _gaspiyaj_, 
   {{0x64770433,0xc2900012,0x62510291,0x0a7c00ab}},	//   _cantomoj, _तपजोगी_, _هنيئا_, _ratarata_, 
   {{0x327e034b,0xa396037c,0x03ce0114,0x33f80422}},	//   _dring_, _missis_, _convey_, _izvrstni_, 
   {{0x77150284,0xc6970013,0xdbe80066,0xd044007a}},	//   _eliminov, _диндор_, _белуччи_, _minumann, 
   {{0x7317029a,0x92900321,0x69920188,0x90870089}},	//   _bouze_, _člane_, _лоихаи_, _заводка_, 
   {{0x11770371,0x4ed701ef,0xb7bd01f4,0x52c80109}},	// [a480] _ленти_, _jaunimas_, _sherikli, _videomix_, 
   {{0xef440044,0x927e00ed,0xd3f8004d,0xbc1f02aa}},	//   _שרותים_, _iring_, _tenuis_, _bartoš_, 
   {{0xf2000428,0xf3a20198,0xdba30119,0xf3aa022c}},	//   _deliti_, _stopil_, _naeksper, _cirahong_, 
   {{0x64160156,0xce170126,0x9696027b,0x3d7d002b}},	//   _מילארד_, _дивись_, _शमथविपश्, _অসতিপতি_, 
   {{0xdbe30263,0x82ed00d6,0x509d0092,0x34d70060}},	//   _makelaar, _eisithe_, _イベント情報_, _таразы_, 
   {{0x7a8c0359,0x7f710119,0x4c120255,0x32ea02c2}},	//   _gebieten_, _zambales_, _jaapani_, _wenners_, 
   {{0xeefc00d3,0x72900541,0x32ed03f3,0x6980050a}},	//   _फुटकर_, _pijace_, _fysieke_, _tarifele, 
   {{0xddb00085,0x85b9003c,0xcb00012a,0xb2e3036d}},	//   _draudrau_, _موناکو_, _kryminał_, _mhoroich_, 
   {{0x6994007d,0x378700c5,0x1bd502c6,0x55d10137}},	//   _penyelid, _型男大主厨_, _chamisso_, _үбүнтү_, 
   {{0x26e20206,0x3f74020e,0x2394004e,0x9230017d}},	//   _životnéh, _федоровк, _abiso_, _amamiya_, 
   {{0x822c00ef,0x62f20064,0x1cfa0276,0xac80015e}},	//   _پیاله_, _уккан_, _риаллиқн, _сереп_, 
   {{0x2d86008a,0xccfa0024,0xf6fa01db,0x2ab100bb}},	//   _atamaioa, _কিছুদিনৰ_, _бұтақтар, _میٹینگ_, 
   {{0x5f34018d,0x7c7c034b,0x9a9700bb,0x126e0580}},	//   _ንውድቀት_, _saprais_, _چوکھٹ_, _karogs_, 
   {{0xa9830094,0x66e20287,0x3c840366,0x4b19029e}},	//   _теледида, _životníh, _русским_, _argadenn_, 
   {{0xf8b6009d,0xb27e053e,0xdfed01a3,0xd2e60342}},	//   _vendlind, _trinn_, _پارڪن_, _inonsan_, 
   {{0xcd3a01d1,0x4b0f03d5,0xc1a8003f,0x2b06034e}},	//   _reliable_, _suppurat, _hemmohwi_, _blastoce, 
   {{0x1e58019b,0x3e440025,0x870802d3,0x09bb0251}},	// [a490] _насельні, _aarabhya, _парапсих, _bandhiga_, 
   {{0x62d90119,0x30c80256,0xd394000d,0x79fb0382}},	//   _asyete_, _vakcināc, _gaasi_, _humangat, 
   {{0xc3a901d1,0x42020338,0xff3e02b2,0x341a0092}},	//   _provide_, _auriol_, _tønsberg_, _太王四神記_, 
   {{0x9c2d0057,0x72fc02d5,0x0d8a0014,0x36810260}},	//   _በአንገብጋቢነ, _isegi_, _informua, _damemori, 
   {{0x75cf017d,0x4343043e,0xa20e0213,0xd2fd008d}},	//   _middelvæ, _rosendo_, _забар_, _atagan_, 
   {{0xd98501fe,0x02b400ad,0xb3f402f3,0x6348013d}},	//   _biliraka_, _wanci_, _slutat_, _komenci_, 
   {{0x209d047d,0x747d02eb,0x237c030f,0x760d0161}},	//   _décisiou, _baserrik, _matapae_, _прогулка_, 
   {{0xc58002cf,0x335f017a,0x03ea0003,0xf2d40300}},	//   _informaç, _kungase_, _beetje_, _kvalitu_, 
   {{0x12fd00c2,0x899904f0,0x034002ec,0xf9c803b4}},	//   _urugo_, _mucklene, _ardeyda_, _ambobata_, 
   {{0xf7a80639,0xcb210453,0x6ad601b0,0x727e028f}},	//   _hakmilik_, _klasičan_, _diawaske, _tuini_, 
   {{0x1dbd004d,0xedbc0344,0x313d03bf,0x02fc044d}},	//   _個相簿回應_, _annikina, _пособиеһ, _laxasati_, 
   {{0xa2b40251,0xa42c0166,0x00000000,0x00000000}},	//   _qanci_, _rechteck, --, --, 
   {{0x23ea018a,0x09df020f,0x93dc0149,0xfd26004d}},	//   _menter_, _abangeva_, _nkowa_, _從名山到名山圖_, 
   {{0x727e0571,0xf27e01d1,0x52910103,0x0eb700d0}},	//   _puana_, _grand_, _kwaari_, _бараан_, 
   {{0xc73001f1,0xec600243,0x237301d4,0x2b0d01a3}},	//   _preferoj_, _gufussa_, _lalanne_, _ڪشادا_, 
   {{0x57ca0292,0x2b1a0273,0xc300006d,0xaa73004d}},	//   _amerikaf, _propuest, _амброзію, _聰明防詐騙_, 
   {{0xc3170044,0x12f403b0,0x22b40111,0xd27e00f7}},	// [a4a0] _amazon_, _utanfor_, _mancu_, _urino_, 
   {{0xb27e0499,0xda6c05cf,0xe3860230,0x2dfb0428}},	//   _tuana_, _automats, _andrwa_, _zadenite_, 
   {{0x03940014,0xb0c7022a,0x694200e2,0xd3160141}},	//   _mbase_, _talaglöp_, _hearsker_, _alabani_, 
   {{0xc29002ee,0x4fdc02a5,0x8b8c0429,0xf3ea0168}},	//   _iskart_, _velikono, _pilihanr, _jenter_, 
   {{0x62d8047d,0xd6df029f,0x69840159,0x138703e6}},	//   _bloen_, _symbolom_, _vadinama_, _dodrop_, 
   {{0x5ca800d9,0xec62018b,0xa3730107,0x931f0372}},	//   _кинопоис, _volumul_, _dalanne_, _lluchio_, 
   {{0x63f8026c,0xc3dc04ee,0xb3ea018a,0x8a4501fb}},	//   _illud_, _akowa_, _fenter_, _annexara_, 
   {{0x027e0534,0x693400d7,0xc2fc03e8,0xc20c00da}},	//   _trang_, _аварияла, _vsega_, _комбинар, 
   {{0x72e600b0,0xa39402ec,0x127e050b,0x10570060}},	//   _doonaan_, _taasi_, _urang_, _сапарға_, 
   {{0xd3ea0437,0x12770441,0x77b1017d,0x5a980227}},	//   _henter_, _moravské_, _rigsrevi, _dikhusus, 
   {{0x627e0291,0x46830039,0xc20205f2,0x4b5e00b5}},	//   _buann_, _торлог_, _curiel_, _hesahósa, 
   {{0xf3790528,0x131603dd,0xc25701a3,0x062a00dc}},	//   _furasta_, _poezi_, _باباءِ_, _fusifusi, 
   {{0x153c0062,0x0ef50088,0x00000000,0x00000000}},	//   _luchavch, _алымкул_, --, --, 
   {{0x26370060,0x839801af,0x00000000,0x00000000}},	//   _بىلسە_, _dargadyj, --, --, 
   {{0x82900312,0xc42101fb,0xb5050247,0x0c6100b5}},	//   _kenañ_, _paradoxo_, _alamdony, _esquela_, 
   {{0xa2ca02b0,0xc10e01ac,0x73f8024c,0x1a2b02e1}},	//   _leider_, _يحافظ_, _iddum_, _shainíte, 
   {{0xa202034b,0xe8480022,0x00000000,0x00000000}},	// [a4b0] _auriel_, _мәзит_, --, --, 
   {{0xdc2900dc,0x49dc0343,0xed3e0371,0x029100fa}},	//   _fasitepu_, _insomnya_, _преля_, _dibale_, 
   {{0x450a01fb,0xff3e019e,0x00000000,0x00000000}},	//   _reguardo_, _charizma, --, --, 
   {{0xfe61036b,0xe6f3004a,0x76bc0040,0x33170260}},	//   _trabalha, _тарталар_, _שמפיניון_, _bouza_, 
   {{0x69bc016d,0x81c302dd,0xe26c01fe,0x2c31011a}},	//   _بۇغراخان_, _infinità_, _dodomo_, _dissatis, 
   {{0x02fc00a2,0xfd9e00e2,0x529501e5,0x321b0219}},	//   _watafiti_, _matearje_, _olukoni_, _iyakuphi_, 
   {{0x696300be,0x7e9f0226,0x0f660414,0x02d800e2}},	//   _ارەناسىن, _amamufun, _charités_, _floed_, 
   {{0xf1380247,0x5061005e,0x12d802a3,0x2d6201ac}},	//   _احساساتی_, _ﺋﯧﮕﯩﺰ_, _gloed_, _قدامه_, 
   {{0xfc7c0074,0xe61800c1,0xa27e01ec,0x526c0282}},	//   _palstan_, _memodifi, _arane_, _kotikoti_, 
   {{0x1bb400ff,0x4fb701c3,0xfdfa045b,0x0731027c}},	//   _נאָבעל_, _ballamoo, _кішки_, _بایکاټ_, 
   {{0xe396033c,0xc3940321,0x437203bf,0x414504bd}},	//   _elusen_, _obisk_, _bataung_, _mineapol, 
   {{0x927d00d1,0x62ca0024,0x00000000,0x00000000}},	//   _কম্পাইল_, _heider_, --, --, 
   {{0x8201045c,0x6aeb0442,0x72df00b9,0x93470019}},	//   _ozvite_, _menterje, _melotot_, _гастритт, 
   {{0xfbf70060,0x21060092,0xe27e01b4,0xce520066}},	//   _билеген_, _この商品は_, _trane_, _боксчин_, 
   {{0xb3e600e6,0x00000000,0x00000000,0x00000000}},	//   _共建美好家园_, --, --, --, 
   {{0xcd1f005b,0xcebe01ad,0x835f00b5,0x00000000}},	//   _tillykke_, _ipasabot_, _mangore_, --, 
   {{0xd3940241,0x7f4601b9,0x47cd0371,0xfcf60093}},	// [a4c0] _kaasu_, _konfians_, _подстриг, _британи_, 
   {{0x65ee0260,0xc9c30092,0x62bf01c1,0x92770287}},	//   _produció, _インテリアリフォ_, _berdiam_, _moravská_, 
   {{0xc2d802c2,0xa186029f,0x5201026c,0xe26c0564}},	//   _bloed_, _citovať_, _equis_, _modikosi_, 
   {{0x63870105,0x00000000,0x00000000,0x00000000}},	//   _awarii_, --, --, --, 
   {{0xf3940263,0x40c402ec,0x92fc0140,0x335f0239}},	//   _naast_, _کنڈى۪ن_, _malinis_, _hangore_, 
   {{0xe3c80274,0xaebc00ac,0xc67402a4,0x00000000}},	//   _úrval_, _najopasn, _studiosi, --, 
   {{0x10ad0235,0xd2dc03c2,0x1a7d0184,0xb8cd0328}},	//   _antarjāt, _abroach_, _biharira_, _gukebagu, 
   {{0xef5e01cf,0x6641029a,0xac8c0265,0xdf5e0170}},	//   _nication, _lezitimi, _geregeld_, _ankazion, 
   {{0x9a0c0185,0x4394015a,0x095c00c7,0x634501b2}},	//   _лирикасы_, _baasu_, _belorust, _beseige_, 
   {{0xa27e03dd,0x7c6201df,0x72c400ff,0x8ba10184}},	//   _prane_, _startle_, _נאכהער_, _boshobor, 
   {{0xe4b300ff,0x32b10227,0xfc7f0441,0x8b39002f}},	//   _הארבע_, _biodata_, _figurky_, _cascadab, 
   {{0x7f4003ea,0xb3940488,0xd75d028b,0xc9fb0385}},	//   _possède_, _gaiss_, _норвегиа, _oblicima_, 
   {{0x03400066,0xaed501f7,0x724803c7,0xbef50360}},	//   _benetan_, _chinesas_, _filmie_, _भिक्टोरि, 
   {{0x972800c4,0xf29102f9,0x92fd02cb,0xbdf801b5}},	//   _ڪوٽوال_, _anbake_, _kruga_, _heleriwe_, 
   {{0xff320047,0x120100c3,0x93940265,0x9cb900f8}},	//   _国土资源部_, _aquis_, _haast_, _বাগদাদে_, 
   {{0x0a05006f,0x126d02e7,0x961e0734,0xfa090291}},	//   _kumaliza_, _iapod_, _aconfesi, _وقعدت_, 
   {{0x44a60163,0x73f4053e,0x27dc004a,0xb206014a}},	// [a4d0] _جدیدیت_, _slutte_, _салатлар_, _alakform, 
   {{0x13940149,0x661d0361,0x226c023b,0x51660061}},	//   _nbisa_, _контенто, _pikola_, _우리청소개_, 
   {{0x9353005e,0xa3410208,0xed1803ee,0xdf600067}},	//   _زۇكام_, _بۆران_, _engleske_, _degaramn, 
   {{0x4ee80272,0xd2f002cb,0xc2c60108,0x23e600fe}},	//   _abakolan, _dugotraj, _korelasi_, _kutufisi_, 
   {{0x5e0d0270,0x4e2f00c4,0x22900265,0xe5b90326}},	//   _appercip, _اٻوجهه_, _kanaal_, _atiperek, 
   {{0xc386059c,0xad0401a3,0xdb7b002b,0x72900244}},	//   _wolfgang_, _اوگهڙ_, _চায়না_, _attacchi_, 
   {{0x9c70005b,0x039404ee,0xca670088,0x227e02fd}},	//   _bayside_, _mbisa_, _булагына, _guane_, 
   {{0x95950320,0xdb2f00bb,0x4a46020e,0x0924003a}},	//   _iphrojek, _اسکالرز_, _itsebisa_, _кемаларн, 
   {{0x7b8001e9,0x00000000,0x00000000,0x00000000}},	//   _karolelo_, --, --, --, 
   {{0xb27e0333,0xb394047d,0x790c002b,0xe1a100e6}},	//   _quand_, _waiss_, _অংশীদার_, _日第十届全国人民, 
   {{0x13a90497,0x7c7602c1,0xc44000d1,0x00000000}},	//   _smearing_, _aborozi_, _হিংস্ৰ_, --, 
   {{0x439402af,0x48a501d5,0x11980156,0xfa9a00c8}},	//   _abisa_, _بادلوں_, _רײזעלע_, _finyella_, 
   {{0x32900124,0xe26c0056,0x62f90416,0x02000138}},	//   _pulaar_, _yilowo_, _anihila_, _saniye_, 
   {{0x7d2800c5,0xa2f2033e,0xd3eb0215,0x147005bd}},	//   _本网将依法追究责, _andaigui_, _hytta_, _foretrek, 
   {{0x5df801b5,0xc25700ff,0x345a005e,0xdf2900bb}},	//   _beleriwe_, _רײַסן_, _لەشكەرلى, _ابوجہل_, 
   {{0x427e037a,0x016300b7,0xc972020e,0x929201e9}},	//   _itanu_, _будур_, _boinjene, _borale_, 
   {{0xe27e005b,0xfb870088,0xb3000227,0x7517010f}},	// [a4e0] _erina_, _بىلەسىڭب, _pepatah_, _amasonto_, 
   {{0xf3f40191,0xc6350220,0x43870071,0x1f3c0455}},	//   _slutet_, _класичес, _amergo_, _parraina, 
   {{0x926c03bf,0x80530032,0x55ce010d,0xc06f033a}},	//   _moloko_, _dangaqmo, _desainny, _iddawnlo, 
   {{0x2aa9018b,0x8e320386,0x137301f0,0xb2170156}},	//   _перете_, _janganla, _ikgaphe_, _העמדל_, 
   {{0x834b00c5,0x37c502bd,0xd53c0187,0x4fd50039}},	//   _attendu_, _chartref, _остатоко, _ууранд_, 
   {{0x72920288,0xb3bc00bb,0x73fc00fa,0xe2fd036f}},	//   _enrage_, _جلانا_, _aatubili_, _pruga_, 
   {{0x93fc020a,0x31840079,0xb177006c,0xff53021e}},	//   _ءازەل_, _salaspil, _теотр_, _bolagets_, 
   {{0x1305052a,0xb9b20203,0x41fb05f8,0xf9f4001d}},	//   _bumalik_, _gardante, _россельх, _monés_, 
   {{0x834c0109,0xc27e0069,0x726c01a0,0x8b0200cb}},	//   _cestovní_, _atanu_, _koloko_, _ислимӣ_, 
   {{0xe2d800d4,0xec7000bd,0x22fd039e,0x03790403}},	//   _griene_, _wayside_, _truga_, _fimailo_, 
   {{0x725a03c0,0xe3400031,0x227f000c,0xa897019b}},	//   _skolen_, _beneran_, _atyno_, _даўжыня_, 
   {{0x52b40197,0xfece00a4,0xe3960004,0xf27e00c5}},	//   _manch_, _башаттык_, _tousen_, _etant_, 
   {{0xdc7c0051,0xb1ff0418,0x00000000,0x00000000}},	//   _citrons_, _indirilm, --, --, 
   {{0x0347033e,0x3fae03b6,0x00000000,0x00000000}},	//   _conempa_, _italọrẹ_, --, --, 
   {{0x72900177,0x625b03cc,0xf4ff00a4,0xa95a039f}},	//   _émane_, _vuelve_, _solució_, _acclaime, 
   {{0x33ea064c,0x3b03016d,0x63800338,0x437a0192}},	//   _centar_, _бурнумға_, _marrit_, _stralen_, 
   {{0x2544018d,0x67c9019b,0x0c350322,0xf0330041}},	// [a4f0] _ንምሕረት_, _kompakti, _ababakur, _иқәуп_, 
   {{0x6c44046d,0x03f40077,0x131d0420,0x96010092}},	//   _bugwana_, _moutre_, _намалите_, _イラストのある記, 
   {{0xdf2004e7,0x323f0117,0x126d006a,0x927f01f0}},	//   _upresnen, _nammeri_, _angony_, _meento_, 
   {{0x629102fd,0x926e0255,0xb292000f,0x698001f9}},	//   _socair_, _autoga_, _ziraat_, _betigale, 
   {{0x5f650227,0x88d401b7,0xe30d0135,0x05fe00be}},	//   _disampin, _निःस्पृह, _bombaga_, _космосто, 
   {{0xe2b40130,0x1c4f0483,0x43ea06e1,0x1058000d}},	//   _fanch_, _gótico_, _sentar_, _kaasoman, 
   {{0x370d010f,0x7eae0076,0xdd120144,0xc82a0092}},	//   _кадрӣ_, _спомениц, _spillane_, _東京ディズニ_, 
   {{0x22010088,0x18c9018d,0x3013002a,0xb201004f}},	//   _equip_, _ዝጥርንፍ_, _gondotro, _bayiko_, 
   {{0x73ea01f6,0x5955027b,0xcd8f00be,0x13860372}},	//   _ventar_, _apratiṣi, _айланышы_, _clustogi_, 
   {{0xbefc014e,0x71ff013c,0x0b290304,0x1dbe02eb}},	//   _мушки_, _endirilm, _adeqyana_, _anfibioa, 
   {{0xce520107,0xfc52030f,0xeae10308,0x0c5a01e8}},	//   _andadeka, _moetara_, _diperdeb, _laktawi_, 
   {{0x462102ac,0xb29200a4,0x42fc0119,0xfeaa0212}},	//   _يجزاكم_, _mirant_, _iligal_, _quotidie_, 
   {{0x592803d1,0x7a77005b,0x00000000,0x00000000}},	//   _institūt, _girlsbas, --, --, 
   {{0xe27e030f,0xfe8400c8,0x613300ef,0x469b01a3}},	//   _kuini_, _плиссе_, _akawuhlo, _ارڏايون_, 
   {{0x19fd021c,0x9bd10337,0x46b80177,0xd3f802bb}},	//   _interiér, _maddeler, _канаҧсар, _polub_, 
   {{0xe27e0310,0xf26c007c,0x5fc30245,0x99d3000f}},	//   _grinn_, _soloko_, _joginder_, _hastaned, 
   {{0xd14901e6,0x976f006c,0x0d8b016e,0x52320062}},	// [a500] _autobusy_, _abahlung, _derecede_, _disvetlh_, 
   {{0xb29404e3,0x33050456,0xfae20126,0x00000000}},	//   _znakovi_, _dipadam_, _геологіч, --, 
   {{0x2ea401db,0x534c018c,0x4c5300f4,0x8ff20193}},	//   _аналарме, _oftewel_, _distaga_, _berjejer_, 
   {{0x62fd00ac,0xb60f019d,0xca5201e9,0x392e0143}},	//   _drugu_, _adalangi, _bolelela_, _заслужил_, 
   {{0x41de00e6,0x2e430041,0x45fd0226,0xf24801df}},	//   _国家经贸委_, _dnsbrute_, _atamangi, _kimmer_, 
   {{0xcc600212,0xa3f801e1,0x227e023b,0x30ba01c9}},	//   _nostris_, _донорҙар_, _kuana_, _ग्रंथन_, 
   {{0xa27e01b9,0x59dd0433,0x00e70109,0x8b2b0061}},	//   _atans_, _anolaima_, _रोगीको_, _허용되어야_, 
   {{0x237b0453,0x4386017d,0x05da0109,0x986d02a4}},	//   _zapalio_, _arirui_, _autorům_, _ordinand, 
   {{0xdf4c0057,0x5dab004d,0xc41c02e7,0xe2f7009f}},	//   _ringkasn, _永豐金證券_, _giasinan_, _medijih_, 
   {{0xd2fd0527,0x6a08005e,0xe2b30046,0x00000000}},	//   _krugu_, _ئاففانىس, _sardana_, --, 
   {{0x6a05004b,0xe27e011f,0xd39403d5,0xb75d005c}},	//   _dipampit, _guana_, _bensol_, _bagitang, 
   {{0x23c90145,0xcf5d0086,0xc394005b,0xa02c015e}},	//   _vakarų_, _magasabb_, _ebisu_, _арттырат_, 
   {{0x139400b0,0x369401cc,0xe27e0027,0x3ecb00b7}},	//   _kaasi_, _aputrasy, _utans_, _dehistan, 
   {{0x86800262,0x927e0050,0x43ea025f,0x361f0066}},	//   _delegasi, _buana_, _akotia_, _agintari, 
   {{0xa1d00148,0x43980156,0xcc9f039f,0x00000000}},	//   _乃至無意識界_, _נעשאנעל_, _alarming_, --, 
   {{0xb27e0386,0xc1b3014a,0x74860142,0x7e00021e}},	//   _orang_, _قاہرہ_, _संसारं_, _handleda, 
   {{0xc285017d,0x7f390052,0x9b9c019f,0x82eb037c}},	// [a510] _回答は役に立ちま, _दुनियाँ_, _maandiko_, _neminem_, 
   {{0x728a01b7,0x92880358,0xf65e00c6,0xd3ea03ec}},	//   _क्रोधे_, _ekzaktem, _сигналом_, _nentor_, 
   {{0xc27e035b,0x43f8004d,0x3d2e005b,0x79da02c9}},	//   _hrano_, _veluti_, _optimere_, _printesa_, 
   {{0xe2890544,0x7d2c014a,0x560f0268,0x6b35003a}},	//   _hoopakel, _tekintse_, _adamantw, _kurashis, 
   {{0xbc5e0576,0x7914023d,0x62b5041e,0x85160227}},	//   _اسمارت_, _mercoled, _mandrie_, _jumlahny, 
   {{0x25f50255,0x827e00d5,0xe291033c,0x575d02c1}},	//   _प्रतिहार, _drano_, _gafael_, _nagirang, 
   {{0xe5fd00b3,0x327e0222,0x09ec0510,0x0e370251}},	//   _lisenziý, _usine_, _опорные_, _gilgisha, 
   {{0xa4560061,0x8394002c,0x00000000,0x00000000}},	//   _기독교사는_, _abisu_, --, --, 
   {{0xc62e00c5,0x63480418,0x62cb01ac,0x087100af}},	//   _必须保留本网注明, _eklenti_, _peadar_, _rampelys_, 
   {{0xe39401e5,0x688e00c5,0xd27e013d,0x027e03ee}},	//   _abaso_, _面皮做好刺洞_, _irano_, _brinu_, 
   {{0x33f800a7,0x05830361,0xbbd900be,0x0a930074}},	//   _minuts_, _андреевн, _процесск, _доверия_, 
   {{0x627e0321,0x7288007b,0xb0a40406,0x69e801b5}},	//   _brano_, _wishers_, _कल्पनाशी, _gingirit, 
   {{0x226c011f,0xf95002a8,0xc293016b,0xa9140156}},	//   _colono_, _operatur_, _bambanci_, _ראטעוון_, 
   {{0x22920046,0xf9680166,0x19d800de,0x1e51023e}},	//   _tirant_, _gewichte, _edwelile, _diladeka, 
   {{0x927e0244,0xd200022b,0x3d9902a3,0x532700e5}},	//   _erano_, _sveis_, _resensie_, _литваниј, 
   {{0xf35f0054,0xa3000182,0x4394019c,0x061c0314}},	//   _bangare_, _hanalei_, _gbaso_, _ойоҡбашт, 
   {{0x7bec00ff,0x527e01e5,0x799d032d,0x1b5101ff}},	// [a520] _אמשינאוו_, _jinná_, _мамыҡ_, _kolobežk, 
   {{0xfc53050c,0x5f28044a,0x526701ec,0x22fd00ac}},	//   _ध्येय_, _entourer_, _تیروئید_, _prugu_, 
   {{0xd2000075,0x9ccb017d,0x33ce0222,0x00000000}},	//   _tveir_, _円以上国内配送料_, _privé_, --, 
   {{0xb9ca02c5,0x897e020e,0x0aec03b7,0x216600d7}},	//   _asheedze, _hemipole, _astroint, _белгескә_, 
   {{0x9b07004f,0x78ac01c8,0xd06c020e,0xbd8503f0}},	//   _betsayda_, _čističe_, _dikamano, _kaplahra, 
   {{0x9e2c0060,0x43490016,0x7f7202c3,0x527e0097}},	//   _ازاپتىڭ_, _observi_, _prechodn, _irins_, 
   {{0x5c500052,0x7dbe0564,0x434d0128,0x3a0a01d5}},	//   _ट्रेड_, _dinitila, _тарафида_, _izraelbe, 
   {{0x038701ec,0x578b032d,0xeb5902a2,0x4dac0139}},	//   _brarti_, _абдуллин, _natutuwa_, _bhinnada, 
   {{0x975d00ae,0xbe4c0241,0x7843013d,0x84520061}},	//   _bagirang, _barayyee_, _instruas_, _형사소송법_, 
   {{0x83f90264,0x4ae802c7,0x535400f2,0xae4504e6}},	//   _adtun_, _hinterle, _nolemts_, _binabaga, 
   {{0x6b020145,0xc3930257,0x1a6203b7,0x2a1702fc}},	//   _мегапікс, _forystu_, _amelesss, _amabinga_, 
   {{0x73ea01d1,0x02920270,0xbe7200e4,0xa63e037f}},	//   _center_, _tirate_, _आलस्य_, _birisini, 
   {{0x327e01c6,0x32910265,0x13ea031a,0x53800120}},	//   _grins_, _inzake_, _ialtag_, _warree_, 
   {{0xd1080163,0x52f401d7,0xb8fd0013,0xdc7903d1}},	//   _moderálv, _ospidal_, _istashad, _kursiem_, 
   {{0xae4c02f6,0xe26d0163,0xb5b10407,0xb6a203db}},	//   _hinahana, _lapon_, _raspoloz, _obuthath, 
   {{0x827e0183,0x030400e1,0x12fc0079,0x03050262}},	//   _trano_, _caxabal_, _palicis_, _сыргын_, 
   {{0x022b0111,0x00000000,0x00000000,0x00000000}},	// [a530] _belmore_, --, --, --, 
   {{0x49c6060e,0x0c6201b2,0x1eb4066a,0xbf2601cf}},	//   _कैंची_, _intrude_, _scheibbs_, _excluder_, 
   {{0x809800ff,0x903f00c4,0xc0530377,0x9631041e}},	//   _הלברשטאם_, _سجاڳي_, _intretin, _ammirazi, 
   {{0x327e0103,0xae44002f,0xd26d0373,0xf2f3013f}},	//   _isina_, _alkaldip, _kapon_, _bleinet_, 
   {{0xa29103b6,0x227e021c,0x520600e6,0xbf9b0210}},	//   _eeyan_, _stany_, _内容不健康_, _chemanyo, 
   {{0xb450023d,0xa238023b,0xec6a03f1,0xb2ca0457}},	//   _здравейт, _kaimuki_, _titulov_, _soddom_, 
   {{0x062e00bf,0x92e600c1,0x93ea0222,0x22e9029e}},	//   _работали_, _पाठपुराव, _tenter_, _amstrizh_, 
   {{0x42e3045c,0x0e5302ce,0x627f00a2,0xf9b501c3}},	//   _peniaze_, _disangka, _masharti_, _sandpipe, 
   {{0x42870163,0x3dac002c,0x283c0350,0xc2180368}},	//   _افزاء_, _akanpada, _እለምናችኋለሁ_, _поправке_, 
   {{0x6344046b,0xf3ea047d,0x6387039f,0x8a0303f4}},	//   _bandiau_, _zenter_, _drafting_, _бессмысл, 
   {{0x65800197,0xa26d02f6,0xe27e0342,0xc2bc027b}},	//   _federasy, _hapon_, _oranj_, _पितुर_, 
   {{0x3dee040b,0xc3f8002e,0x9379059d,0x00000000}},	//   _gandiswa, _odluci_, _sayapun_, --, 
   {{0xb27e0326,0x2e470139,0x925c000f,0x984600be}},	//   _asina_, _anvavada, _çatlakla, _festives_, 
   {{0x33950141,0xc386037f,0x39e3008a,0x79e80377}},	//   _qaysi_, _itirdi_, _malieota_, _lingurit, 
   {{0x23ea007f,0x852c00ba,0x68280034,0x2cc00062}},	//   _baltig_, _شاعێر_, _baggalút, _mayitchu_, 
   {{0xf3f8037c,0xac590088,0x13400109,0xd7580255}},	//   _illum_, _орбитасы, _nalezen_, _स्त्रीक_, 
   {{0x2520036d,0x82130120,0x0d0d0262,0xb29001ed}},	// [a540] _beannach, _baahen_, _dolanyşy, _keaau_, 
   {{0x025b0473,0x5af7025c,0x21ed0035,0xf26c011b}},	//   _stellt_, _betreibe, _хаматова_, _bololo_, 
   {{0x235e016d,0x7f03012a,0x11f3015e,0xfc600416}},	//   _барармән_, _पुश्तैनी_, _تەپسەپ_, _georoad_, 
   {{0xe1520297,0x9986048f,0x15710289,0x42f30119}},	//   _музейлар_, _endimaka_, _chitetez, _pitangui_, 
   {{0xa18800d6,0x59a40220,0x95b101ff,0x63f400c5}},	//   _buxbizcl, _опция_, _archeoló, _plutot_, 
   {{0x82b4044d,0xc56c014a,0xb30304e8,0x13ad05f4}},	//   _sancu_, _mosogató, _achabat_, _chuxchu_, 
   {{0x1ceb0232,0xa27e0465,0xcfbe00bd,0x9bee00b5}},	//   _אלעזר_, _kranj_, _abalorio, _ишаны_, 
   {{0x0345012b,0x89800073,0x5a08000d,0xc34403db}},	//   _okresie_, _habileme, _parallee, _enzelwe_, 
   {{0x43870257,0x5f9d0273,0xbfcc0041,0x8fb803db}},	//   _starfi_, _jóvenes_, _иадҧхьал, _ebloemfo, 
   {{0xceac0148,0x530c014a,0x126d0369,0x327800f2}},	//   _expresse_, _anyagot_, _napoo_, _tornis_, 
   {{0xe27e0203,0x3a540282,0x655200b9,0x57a201de}},	//   _duant_, _moteatea_, _अभ्यागता, _секундта, 
   {{0xd4d701bd,0x19e8003d,0xf68a0242,0xe9fd026b}},	//   _табаны_, _alongada_, _slovakiy, _califica_, 
   {{0x4feb0193,0x1f36009a,0xc5cc0229,0x29de00e2}},	//   _menyeran, _abasekra, _aldanmay, _hartochd, 
   {{0xac6a0320,0x37a80008,0x02300147,0x12fd0138}},	//   _mahungu_, _асаба_, _اپاكە_, _gidilir_, 
   {{0x22480331,0xaba903dc,0x25890030,0x0cab0368}},	//   _rimmar_, _fiskamar, _garantē_, _штабом_, 
   {{0x9304034e,0x59860414,0x22ea03ea,0x7da80162}},	//   _achatam_, _andimaka_, _agences_, _лексийә_, 
   {{0xe5c2030c,0x3d8600c8,0xe20f0139,0x9cdf006d}},	// [a550] _angayukh, _башындағ, _प्रयुङ्क, _адэпты_, 
   {{0xa39500b8,0xaba70281,0xdc730420,0xc20002f8}},	//   _mayst_, _ulikkaar, _alarmes_, _molisi_, 
   {{0x7c3900d6,0x5abc034c,0xe5090059,0x3c68005b}},	//   _şarkı_, _adresın_, _домовете_, _deguchi_, 
   {{0x4b21017d,0x82ca02d9,0x6a520303,0x8e0d0237}},	//   _bogbasen_, _laolagi_, _diterena_, _건강가정지원센터_, 
   {{0x9c070117,0x530c0127,0x92fc00ee,0xe3890054}},	//   _bulmakau_, _advabet_, _salgai_, _karyata_, 
   {{0xdd3e001a,0xc9d00088,0xd3f8014b,0x43a902f7}},	//   _kialakít, _четин_, _illuk_, _magareng_, 
   {{0xd273030d,0x1d19018d,0x62900372,0x69950399}},	//   _iqtisadi_, _ዘይሓላፍነታዊ_, _seiat_, _ehhhhhhe, 
   {{0xa2000049,0x7424007e,0x32ca0261,0x26650137}},	//   _kolisi_, _वर्णनं_, _avidas_, _эфирт_, 
   {{0xd29005f6,0x675e0193,0x9a3901db,0xb3420244}},	//   _leiar_, _अकस्मात_, _تۇگەلىمە, _dicendo_, 
   {{0xf27e02d4,0x00000000,0x00000000,0x00000000}},	//   _quint_, --, --, --, 
   {{0x62900033,0x2291001d,0x0f3300d9,0x639401d9}},	//   _teias_, _lavall_, _kansanta, _faass_, 
   {{0xfc6a0184,0x1f390442,0xc3f8004d,0x52d801a1}},	//   _bahungu_, _meluaska, _dolum_, _bloem_, 
   {{0x7c4c068f,0xd2bb020e,0x02880344,0x8387034c}},	//   _babweyi_, _bokelle_, _allarani_, _bagraj_, 
   {{0xd2a700c5,0x93ea0034,0xe184017f,0x386d020f}},	//   _blabla_, _hentar_, _affarmil, _andiqond, 
   {{0x2396013a,0xc20002e0,0xa6830101,0x67d90032}},	//   _housen_, _bodiri_, _credinci, _duvanjaj_, 
   {{0x1200018a,0xe86200ee,0x7b340313,0xd9d400d9}},	//   _bolisi_, _asanblad, _danadnis, _lastensu, 
   {{0x82900083,0x4c6a027f,0xc2b502d6,0x00000000}},	// [a560] _veias_, _gahungu_, _arbcha_, --, 
   {{0x998401fe,0x204204e9,0x51c60119,0x5c000271}},	//   _batimala_, _taptumun, _biberach_, _prosess_, 
   {{0x30da018d,0x82d800cf,0x9aeb007a,0x526d0181}},	//   _ምዕቃብን_, _algee_, _penterje, _rapoo_, 
   {{0x73ea02df,0xd51b028b,0x40600189,0xcda50025}},	//   _gentar_, _етапуп_, _kanserin, _bhairava, 
   {{0xf2000292,0xdd2d018b,0xa2fd02bd,0x52b400dd}},	//   _manine_, _similare_, _adegau_, _cancr_, 
   {{0x1fc10450,0xa983012d,0x8ada0152,0x59da0120}},	//   _bernepro, _kenkamap_, _галереял, _idinissa_, 
   {{0x72e701da,0x23ea02d8,0xc39403da,0x02f40270}},	//   _gjenden_, _bentar_, _mbasa_, _grandor_, 
   {{0xc147070d,0xa37a01c0,0x2b05027f,0xbdfa009d}},	//   _desenvol, _buracen_, _itisunga_, _vendasit_, 
   {{0xe27e00a7,0x7ede0311,0x435402b9,0x6841021b}},	//   _quins_, _ብምልዕዓል_, _ellenes_, _sallittu, 
   {{0xb9340141,0x527e00ea,0x7f2300a6,0x654901f4}},	//   _ahamiyat, _orana_, _abathaba, _ихтилоф_, 
   {{0x783e0177,0x23f80281,0x52010169,0x00000000}},	//   _ассоциац_, _illup_, _novias_, --, 
   {{0xa4a203cf,0x08e20368,0x039400bc,0xa57f02c8}},	//   _başladı_, _поруке_, _abasa_, _pastoriz, 
   {{0xd3bf0116,0x627e0066,0x928a05b9,0x0c610227}},	//   _wayward_, _arana_, _besparel, _teguran_, 
   {{0xce3c0080,0xe2b900a4,0x225b0305,0x99f8003b}},	//   _attaveqa, _بىلىنەت_, _frelse_, _belayise, 
   {{0xcb67011d,0xf21304ac,0x1b98015d,0x11650143}},	//   _капете_, _maahan_, _सुपुर्द_, _клипче_, 
   {{0x8b0d0275,0x2178033d,0xe2640281,0x55fc01be}},	//   _aseseina_, _ribambel, _alloruni_, _mikuláše_, 
   {{0xaf8800a4,0x0c5c009f,0x847703d4,0xa2d8013a}},	// [a570] _башындаг, _rastlin_, _камена_, _bloer_, 
   {{0xeef30397,0x29ec0136,0xf6a200d1,0x6212001c}},	//   _ngakolun, _istinita_, _পূণর্মূদ, _abihon_, 
   {{0x426c03ee,0x7fc8022b,0xf3ac0119,0xce9c00cb}},	//   _avionu_, _breiðar_, _kaupay_, _aneminin, 
   {{0x54ac0043,0xef9600e6,0x00000000,0x00000000}},	//   _akaacaak, _原创根据地_, --, --, 
   {{0x421304de,0xf743015e,0x1e8f0612,0xf2e10026}},	//   _baahan_, _куйса_, _klimaven, _vaandel_, 
   {{0x0b2f018d,0x41f1032d,0x797e0162,0x1d790148}},	//   _ምስፍሕፋሕ_, _ынтылыуҙ, _باسالماس_, _permisit_, 
   {{0x54130075,0x0a0900cf,0x2d870092,0x827e0290}},	//   _innsetan_, _diraamaa_, _gradvist_, _crana_, 
   {{0x7d8b0125,0xfd0a016d,0xeca50090,0xbb0f019b}},	//   _derejede_, _йөткәват, _akazviur, _зьезду_, 
   {{0x527e03b2,0xb3f80231,0x65ff02ec,0x88680313}},	//   _using_, _solum_, _مویوٝس_, _biroschu, 
   {{0x12b501d9,0x02c60225,0x6e4d0168,0x4d1a018c}},	//   _sondage_, _chalice_, _relatert_, _isolatie_, 
   {{0xe26900fd,0xe058006c,0x4bcb03a2,0xb3f20110}},	//   _cairteal, _abaseman, _तहकीकात_, _kurzeme_, 
   {{0x066200e7,0xa4ee00e6,0xf2fc00ec,0xbd190371}},	//   _aithfulf, _胶南市畜牧兽医局_, _dalimis_, _avanzate_, 
   {{0x93ea0167,0x84540155,0xc5800115,0x71c30350}},	//   _bentwr_, _onsdagsk, _melunask, _አለመደረጉ_, 
   {{0xd7b700c8,0x363b03b7,0x45a7000d,0xb37f0251}},	//   _бармаҡ_, _acrifici, _kunstiak, _bakaara_, 
   {{0x23860497,0xd590014c,0x4a8f0154,0xfe4a009b}},	//   _stifling_, _babekuth, _сплендоа, _estatuba, 
   {{0xbbfc0068,0x53f80039,0x727e0247,0x79840362}},	//   _گۯایا_, _modua_, _isine_, _batikala_, 
   {{0x005f0144,0x185902ee,0xec610304,0xd4030291}},	// [a580] _عماره_, _ffrankar_, _degupan_, _مصادرة_, 
   {{0x8736011a,0xb736011a,0x00000000,0x00000000}},	//   _שיהפכו_, _ביופיו_, --, --, 
   {{0xe9a500b4,0xe27e01b9,0x626e0233,0xacfb02d0}},	//   _куражул_, _krann_, _ertoba_, _breenged_, 
   {{0x599c023b,0xa3950407,0x59f50049,0xb2d80151}},	//   _kaikaina_, _greska_, _potungau, _bogee_, 
   {{0x038600a7,0x727e013a,0xc37c01ac,0xf957013a}},	//   _podria_, _drann_, _antaine_, _closener_, 
   {{0xd35a00c5,0x8f4602e7,0xe7d80147,0xa3f80172}},	//   _从这里开始_, _closeout_, _максатта, _bodua_, 
   {{0xb33d01ce,0xddac0029,0x10e60156,0xd25b0418}},	//   _بیمار_, _ئاسۆس_, _מיצװות_, _otelde_, 
   {{0x303e01f1,0xe26c0016,0x8fc60282,0xf08901cd}},	//   _mbeturin, _aidoso_, _pokopoko, _захирави, 
   {{0x92520342,0x65a4031c,0xfbce0161,0x46330159}},	//   _endonezi_, _radiació, _смертью_, _бастунец_, 
   {{0xc604017f,0x525a023d,0xa224033f,0x221300f0}},	//   _kommuuni, _svolta_, _kaikoa_, _nechaj_, 
   {{0x420003a0,0x7a540045,0x72900125,0xa1480169}},	//   _danile_, _несебичн, _dalaş_, _contralo, 
   {{0xf3f2072a,0x627e02ca,0xdaaa0192,0x504a00a9}},	//   _عبدالحمی, _crann_, _구체적으로_, _agereran, 
   {{0x93d700c5,0xa2d40041,0x24230108,0x127c003d}},	//   _心理健康方面的课, _añeno_, _bararodo_, _aïnat_, 
   {{0x79090297,0xde5200bc,0x00000000,0x00000000}},	//   _artaçaq_, _didadeka, --, --, 
   {{0x9c630434,0xcf1b0161,0x53950274,0x5d220145}},	//   _situado_, _аккаунт_, _breska_, _parodoje_, 
   {{0x03f4048c,0x1e1b0220,0xaaea00d6,0x00000000}},	//   _captan_, _progetta, _cobrazat, --, 
   {{0x824800bd,0x6c0000cf,0x454400a7,0xaa0d0202}},	// [a590] _timmer_, _aansees_, _بىلەبىز_, _isipopad, 
   {{0x026c0129,0x327e0291,0x69fc0278,0x00000000}},	//   _didoro_, _arann_, _beureunu, --, 
   {{0x4ff7002b,0x18d00137,0x0394044a,0x64ab0033}},	//   _কাটছে_, _есүхэй_, _mbasu_, _deplorà_, 
   {{0xe2480415,0x594d020b,0x3395048c,0x634d0231}},	//   _zimmer_, _bogolose, _baysh_, _veterem_, 
   {{0x93ea0331,0xd1b90204,0x2c7605ad,0x20df0037}},	//   _dentur_, _исправит, _sporiji_, _በጠላትነት_, 
   {{0x4f690057,0x5caa00a6,0x015c0187,0x89db01ad}},	//   _sambilan, _خاندۍخند, _настинка_, _fransesa_, 
   {{0x26530046,0x72130342,0x32920455,0xcd8c01b3}},	//   _جانرداعى_, _dechaj_, _tirage_, _verdiene_, 
   {{0x6c1f00a4,0x815f0119,0x3c5a0100,0x63cf0455}},	//   _complir_, _kangaral, _kretati_, _gravé_, 
   {{0x5c04047b,0xb2ca0153,0x56e702bf,0x00000000}},	//   _kristni_, _ラボラトリ_, _kulasitf, --, 
   {{0x44ec00da,0xdd100151,0x904a037a,0xd26c0430}},	//   _контрола, _stalwart_, _ugereran, _miloro_, 
   {{0x758e0088,0x7eab02c2,0xbc000097,0x3c63014b}},	//   _райондук_, _vanoggen, _lósùn_, _undugul_, 
   {{0x72480502,0x963c020a,0xa39500f5,0x5200029b}},	//   _simmer_, _ﺍﻹﺴﺭﺍﺌﻴﻠ, _haysi_, _boliwi_, 
   {{0x627e02f8,0xe3040178,0x7e970510,0x57d700a4}},	//   _akonakii_, _abhayam_, _правого_, _تاماشوۋ_, 
   {{0x034902ac,0x6cee0444,0xe65001eb,0xd2240521}},	//   _aerspáis_, _афоризм_, _idecisió, _bankë_, 
   {{0xefda05a9,0x325a02f3,0xad2400e5,0x32d400ee}},	//   _arazitan, _skolan_, _алергии_, _eskolan_, 
   {{0xc3ea022b,0x45840241,0x694b00e7,0x2f5b0311}},	//   _gentur_, _abdulaaz, _ademache, _ንምዕታር_, 
   {{0x63fc02c2,0xa40d014a,0xb3540033,0xa3d502c0}},	// [a5a0] _katoliek, _bennetek, _allerts_, _слепите_, 
   {{0x1d660041,0x99f901bb,0x0a8502fe,0xc291013f}},	//   _аинрал_, _medisina_, _سویدن_, _dizale_, 
   {{0xe13600ef,0xae04015e,0x2f8101fc,0x59bd0087}},	//   _عراقي_, _бугунку_, _garcitin, _kandziye, 
   {{0x02120534,0xd317009b,0xda88000d,0x039500a2}},	//   _tinhte_, _plazan_, _motivats, _presha_, 
   {{0xd2ef00d5,0xa3f10585,0x00000000,0x00000000}},	//   _manimba_, _prozore_, --, --, 
   {{0x81c3042c,0xe2c50217,0x3038026a,0xeff90311}},	//   _opstanak_, _neglige_, _serenilo, _መስቀላዊ_, 
   {{0xb37c0203,0x13870264,0x0d1d0279,0xe38604ca}},	//   _atracte_, _alerto_, _revendiq, _azard_, 
   {{0xaeaf047d,0xa22d0061,0xb2fc025f,0x297500ba}},	//   _gebrannt_, _정기간행물_, _balakisi_, _خۆدزینه_, 
   {{0xa787034c,0x335a0181,0x31ad0061,0x0f5b03ef}},	//   _ваххабит, _truffet_, _무료강좌안내_, _bakarwan, 
   {{0xc2ec0022,0x75040345,0x9a2500c1,0xc27d021c}},	//   _аллам_, _tratando_, _अलिबाग_, _alternát, 
   {{0x420000ce,0xff2b040f,0xc5c402f6,0x30ec004a}},	//   _bolivi_, _geležink, _kababaih, _berözlek, 
   {{0xe27e0212,0x8d800497,0x6dbb037f,0x712d01ea}},	//   _erant_, _farmstea, _tərbiyəs, _райтс_, 
   {{0x2f40002b,0xa9d30035,0x44d90092,0x548b0167}},	//   _দুজনেই_, _бердәнбе, _クチコミ掲示板_, _annormal_, 
   {{0x682801bd,0x61ed0287,0x3cb80205,0x0294012e}},	//   _тесттар_, _बिचरा_, _берсам_, _korabeli_, 
   {{0x334003ac,0x640c0033,0x86cd0241,0xbe7c027b}},	//   _menelan_, _affittaz, _dibamani, _भवत्य_, 
   {{0xb27f0318,0x09d2004d,0x8f6500bd,0x99870414}},	//   _imanuu_, _你就要有肩膀去承, _disappin, _kuyidika_, 
   {{0x427e0003,0x02310342,0xdf2b0159,0x00000000}},	// [a5b0] _krant_, _imedyatm, _geležini, --, 
   {{0x0ea3020f,0x8c650627,0x695c0145,0x6f24037c}},	//   _abethane_, _maguyab_, _absoliut, _gubernan, 
   {{0xbdec0238,0x0ae90133,0xc4d70022,0xb2c60147}},	//   _ситуацію_, _baatulle, _маташыу_, _permís_, 
   {{0xc2f903e9,0x097603c3,0xfb520297,0x23940158}},	//   _getirip_, _podignut, _гөлинә_, _ucisk_, 
   {{0x02a0018d,0xe3f40261,0x1e500272,0x00000000}},	//   _serbë_, _bapton_, _batamula, --, 
   {{0xbc670051,0x7ea7008f,0x9f2f0055,0x35ce0361}},	//   _skaties_, _दीर्घद्व, _accumuda, _тарма_, 
   {{0x430c02d4,0x766a0360,0x63f80281,0xc65b0037}},	//   _uffants_, _pravidel_, _illut_, _መምጣታቸውን_, 
   {{0x5381012a,0xb40702ee,0x07520462,0xf38600a0}},	//   _चक्रवाती_, _popolazz, _alenicag, _azare_, 
   {{0x327f001b,0x606801b5,0x508c0026,0xfb61040e}},	//   _amanuu_, _dbmailbo, _perceelo, _arnesson_, 
   {{0x32d90130,0x38fe0403,0x58b600a3,0xa59200ef}},	//   _adwel_, _antanind, _fortener_, _bhrentsh, 
   {{0x23f80695,0x7fb400ff,0x2b59016b,0x9d660029}},	//   _yolun_, _הארלעם_, _batutuwa_, _دۆزێته_, 
   {{0x979402a0,0x01d7026f,0x12490175,0x7cd702b2}},	//   _alábòjùt, _талапқа_, _malerezm, _групою_, 
   {{0xf27e0088,0x31cb00c7,0x00000000,0x00000000}},	//   _grans_, _берүзе_, --, --, 
   {{0x326e00ca,0x568b0037,0xc5400268,0xbf540022}},	//   _retorn_, _የምረጡኝ_, _actively, _бѳгѳнгѳ_, 
   {{0xab5b0065,0xba93014e,0x3a1d0188,0x00000000}},	//   _gemessen_, _посетиш_, _asebuhle, --, 
   {{0x49280488,0x522400a1,0x313c0159,0x00000000}},	//   _institūc, _paikea_, _багаслоў_, --, 
   {{0xcc6f01f3,0xe5a500bc,0x5213057f,0x0e2902e6}},	// [a5c0] _doprava_, _استراپون_, _bayhun_, _bilforha, 
   {{0x40d4041e,0x9ef9034c,0x42910133,0x127e00dc}},	//   _autocoll, _мордовия_, _dabalu_, _osini_, 
   {{0xc3ea04c3,0x54ea0047,0x2c73009b,0xfec902ac}},	//   _toitim_, _第三十二条_, _дороос_, _ولوازمها_, 
   {{0x2d6f0036,0xdd99001d,0xeac704d8,0xf27e005b}},	//   _رحلات_, _essentie_, _پرناوِہے_, _isana_, 
   {{0x6277033b,0x729100f2,0x4c040281,0x7f660227}},	//   _sepediša, _gabalu_, _asasani_, _dikampun, 
   {{0xf266018a,0xe9b105f2,0x00000000,0x00000000}},	//   _dehongli_, _abovedad, --, --, 
   {{0xab85013d,0x180d00d1,0x0c1c03a8,0x7fdf0067}},	//   _principo_, _এজনৰপৰা_, _albumlis, _hariiroo, 
   {{0xa27e029a,0x04d7022f,0x0e470291,0x00000000}},	//   _brans_, _жанаты_, _sneaicea, --, 
   {{0xd201033d,0x3a5d023b,0x6d850281,0xc63b0037}},	//   _navige_, _hepekoma_, _aalluppa, _ገብረአብ_, 
   {{0x639600e9,0x18d701a3,0x93530061,0x71df00e6}},	//   _bouson_, _ناگزير_, _놀궫嚥졾쯾_, _怎样下订单_, 
   {{0xb3a30058,0x621802fc,0xfb910088,0x1a4a00c7}},	//   _gidetükö, _amakinam, _vulnerac, _genevada_, 
   {{0x075a0057,0x03940101,0xe29e032b,0x53f4007f}},	//   _ምግባርና_, _acasa_, _бикар_, _capten_, 
   {{0x727e0050,0x7c28007e,0xc292013c,0x138901af}},	//   _asana_, _agastyas, _kiraye_, _aldyran_, 
   {{0x31bd004a,0x162b02af,0x02f50220,0x455f013f}},	//   _кисте_, _gusiguri, _stagioni_, _diskuizh, 
   {{0x3e520411,0xc73b002b,0x00000000,0x00000000}},	//   _пояснив_, _কণ্ঠস্বর_, --, --, 
   {{0xfc5701df,0x41200353,0x640702cf,0xc07900bc}},	//   _partake_, _hromadné_, _бродови_, _عزيزم_, 
   {{0x498e0411,0xab3a00ae,0xba5a0024,0xb27e0066}},	// [a5d0] _самим_, _amabahas, _ভাৰ্চুৱে, _esana_, 
   {{0xd3860764,0xe27e0119,0xf99b02ba,0xada9003f}},	//   _nzira_, _tsina_, _abakhile, _chongehp, 
   {{0x6c3300ff,0x0c660060,0x49fd036a,0xd48b0513}},	//   _פאניק_, _дарыны_, _mataliat, _kongomek, 
   {{0xca02000c,0xc62d02fd,0x6183005a,0x22bb020e}},	//   _вериковс, _gainmhei, _lunatlhl, _hanelwe_, 
   {{0x041703da,0x13f80212,0x9bf9019d,0x00000000}},	//   _estrojin_, _ullus_, _kunthemb, --, 
   {{0xc3f803f0,0xe39402e7,0x9b370276,0x420700d3}},	//   _allur_, _bungbong_, _сийлап_, _nedocház, 
   {{0xfbdd0211,0xe9090013,0xe28d016a,0x0481001d}},	//   _сочетани, _бедарак_, _merkata_, _ínleyal_, 
   {{0x30690022,0xb3110274,0x6d26003c,0x841703e6}},	//   _adopshen, _verkstæð, _apangkat_, _dreschen_, 
   {{0x24050396,0x0d3602b6,0x39b9020a,0x30dd0425}},	//   _armonizz, _туристер, _майданда, _عیبره_, 
   {{0x5b1f0031,0xbda701a6,0x05b00230,0xe30d0005}},	//   _silahkan_, _torutoru_, _frastrik, _menader_, 
   {{0xa3f804bb,0xf31303ce,0x49740119,0xabdc03a2}},	//   _lolus_, _روناکبیر, _hihingit, _औरमेंबरब, 
   {{0x6da30040,0xf3450155,0x86280111,0x52b6009d}},	//   _לנופש_, _handlat_, _antocchi, _forcon_, 
   {{0x73170265,0x608d011a,0x0778003e,0xa3800263}},	//   _glazen_, _הבטון_, _почтамты_, _harrie_, 
   {{0x5fe00228,0xb25a009f,0x051200b3,0x9f6f004d}},	//   _markerer_, _dekle_, _aldawçyl, _秘書室報告_, 
   {{0x3291037f,0x3687015d,0x09510065,0x2386019d}},	//   _heyat_, _जुताई_, _forscher_, _dzira_, 
   {{0x02d703ed,0x714c009a,0x127e02c6,0x8201013a}},	//   _inglês_, _babephil, _brank_, _emtih_, 
   {{0x6c9f005a,0x4760028a,0x1f4b0173,0xd20200fe}},	// [a5e0] _dadelchu_, _علاوهه_, _pulgadas_, _inuinu_, 
   {{0x908e01ac,0x3df901b5,0x02b501e4,0x00000000}},	//   _استوديو_, _leteriwe_, _savci_, --, 
   {{0x64180320,0x8a3f0144,0xc20002ee,0x73940151}},	//   _amihandz, _جمادى_, _droids_, _abash_, 
   {{0x5541012c,0x8f3900f0,0x45ae01b7,0x315100d7}},	//   _الهامي_, _finančne, _पिबति_, _льготала, 
   {{0x13bf030b,0xd4780041,0x40150131,0x0be90094}},	//   _abawere_, _иаҧаҳҵар, _pseudóni, _диалогты, 
   {{0x828b0326,0x096d00de,0x42ee015b,0x104d0107}},	//   _achasham, _andiyont, _salfa_, _ولگرد_, 
   {{0x429000bc,0x0b0d008a,0x3c7601f0,0x00000000}},	//   _alhady_, _iseseina_, _lotsong_, --, 
   {{0x2edd028b,0x02db0125,0x2ec402c0,0x497e0049}},	//   _misiones_, _günden_, _емоциите_, _galivale, 
   {{0x422502ba,0xa0c700e6,0xc6c10322,0x38be000a}},	//   _abakwa_, _小影酷新闻_, _atarashy, _eqatusiv, 
   {{0x23f8037c,0x79730166,0x7a76027b,0x4292039e}},	//   _dolus_, _unangene, _प्रभया_, _birknes_, 
   {{0x2d2a0126,0xc02f0227,0x19fb0120,0x434200b9}},	//   _кредитно, _pentingn, _nadaafat, _शाबूत_, 
   {{0x052d02f7,0x717703db,0xc216020a,0x00000000}},	//   _dimphato_, _ethathel, _ياسىين_, --, 
   {{0xfc1f0465,0x5486028b,0x526c0193,0x7aef01a3}},	//   _energijs, _иалхыу_, _widodo_, _سيکڙاٽ_, 
   {{0x26070262,0x6ec501cf,0x53f80257,0xbdb400e6}},	//   _бардыр_, _binomios_, _holur_, _面团擀成圆形面皮_, 
   {{0x42000374,0x14540059,0x43940014,0x135d00ad}},	//   _oldini_, _отстраня, _mbasi_, _anggang_, 
   {{0xfd2d033d,0x1317047d,0x715c003c,0x330d0347}},	//   _rekipere_, _plazen_, _یزدفردا_, _benader_, 
   {{0x3fbd00a6,0xaae500b5,0x2e4d0188,0x00000000}},	// [a5f0] _abelikho, _jakuipot, _angabona, --, 
   {{0x527e062b,0x32da01e5,0x22640167,0x00000000}},	//   _isang_, _sapetu_, _mislif_, --, 
   {{0x33f80014,0x73860189,0x42b800e6,0xe2d806f6}},	//   _folur_, _itiraf_, _种方式表我中国心_, _booet_, 
   {{0x83c90444,0x93ce0145,0x19a401d5,0xcc630418}},	//   _попросил_, _laivas_, _megismét, _solunum_, 
   {{0x621300b0,0x82000020,0x6e4d014c,0xe27e0071}},	//   _kaahin_, _ateia_, _engabona, _arani_, 
   {{0x0e48018d,0x851200b3,0xb8c000d0,0xcb9a0176}},	//   _ተጻዊቶም_, _aldawçyd, _debekatu, _cariruno_, 
   {{0x58620021,0xda36014e,0x16c403a2,0xe29d005e}},	//   _aconiand, _расходи_, _राधावल्ल, _بەرھەم_, 
   {{0x317703db,0xf7a60194,0xda020125,0x00000000}},	//   _athathel, _mundling, _donbassa_, --, 
   {{0x020102ff,0xfc6f0220,0xe3dc0097,0xbe41000b}},	//   _rafine_, _vetrina_, _ejowo_, _matafefe_, 
   {{0x82920082,0x8ac000a5,0x72b6028d,0x43f8017e}},	//   _birane_, _faakeris, _kordine_, _volus_, 
   {{0xa95102d4,0x8f640183,0x32910229,0x00000000}},	//   _porscher_, _hagamain, _dadaş_, --, 
   {{0x9b7a019b,0xa1d70078,0x2ea2056b,0xfb1f01a0}},	//   _turistų_, _цивила_, _xanthone_, _nimatimb, 
   {{0x17b40311,0xa14b0311,0x00000000,0x00000000}},	//   _ፈታውየይ_, _ንግንባር_, --, --, 
   {{0xa9e40103,0xd94e0275,0x334d0132,0x530d02e6}},	//   _vakomana_, _asolopit, _veletek_, _bevares_, 
   {{0x93f4024c,0x13f80212,0x42d80193,0x84190291}},	//   _kaptan_, _solus_, _togel_, _مزعجة_, 
   {{0x3386013c,0x983e008e,0x67c8031a,0x03f800a8}},	//   _etiraf_, _begloowu, _chasgrai, _colur_, 
   {{0x8b98078d,0xfc520193,0x6fc500e6,0xc9720139}},	// [a600] _गुरुचरण_, _pratama_, _郭台铭考察厦门_, _dhipatir_, 
   {{0xf34103f3,0x72ce0061,0x326700ba,0x921c01ab}},	//   _nadelen_, _갈라디아서_, _کنۆلۆجیا, _bauhof_, 
   {{0x85f70013,0x42870004,0x59050322,0x51970177}},	//   _сурункал, _etablism, _bahanagu, _kuaapyhy_, 
   {{0x595c044a,0xf5bd0420,0xe53801b3,0x95e403ea}},	//   _bakomibe, _safadinh, _настанов, _sémantiq, 
   {{0xe37803ad,0x9201028d,0xf3f900d0,0xb8bb0153}},	//   _vaganza_, _lafime_, _altua_, _リラックス_, 
   {{0x69c6037c,0x730e0225,0x9b1f01b5,0xb66c0235}},	//   _wavesynt, _ngabena_, _himatimb, _atividdh, 
   {{0x1fa10287,0xac52013a,0xaeaf04df,0x81ed01b8}},	//   _parkoviš, _biltgen_, _berlenin, _teenetem, 
   {{0xe7090135,0x23f80630,0x112a0269,0xa27e0325}},	//   _аналар_, _annuls_, _encontré_, _asand_, 
   {{0x127e03bd,0x22d800f4,0xfb7b02b9,0x4f570170}},	//   _usang_, _rogel_, _پتوکی_, _aukachen, 
   {{0x46910046,0x227e01f6,0x66c7020e,0xac320043}},	//   _ئشتەگەن_, _trani_, _dibapadi, _amenyamu_, 
   {{0x3200016a,0x22900028,0xc202008b,0x00000000}},	//   _alligi_, _rakaab_, _metiti_, --, 
   {{0xb20f01aa,0x15cc0156,0x00000000,0x00000000}},	//   _anthiham, _פּרײַזן_, --, --, 
   {{0xad3e0092,0x6c7c0058,0x562e0187,0x7f07025d}},	//   _初めての方へ_, _subsata_, _заборави_, _småbåtha, 
   {{0x25be027e,0xa2920250,0xf34e0040,0xf2ef031c}},	//   _друге_, _tirane_, _מורכבות_, _líneas_, 
   {{0x571d010f,0x234d0418,0x1c930060,0x73ce0030}},	//   _ҷӯгиҳо_, _gelerek_, _ساياق_, _raivis_, 
   {{0xf2cf02bb,0xa0890093,0xaa130293,0xe2cd01f1}},	//   _ऑक्टोपस_, _ленина_, _ababenge, _prodhimi_, 
   {{0x22eb05bc,0x3f4a009b,0x320901cc,0xe9e10333}},	// [a610] _stendur_, _klasikoa, _atraivaṃ_, _recitava_, 
   {{0x0e3f0022,0x537a03b6,0xd9730241,0x9f250156}},	//   _иденты_, _igbagbo_, _diyirekt, _אָרנשטיי, 
   {{0xa305042f,0x7f560182,0x166e03a2,0xe354011a}},	//   _qilamik_, _hoopunip, _राधाष्टम, _alleles_, 
   {{0x9610019d,0x19d504ac,0xcccb007f,0x0e510241}},	//   _adalandi, _аккуратн, _anthemau_, _bataluma, 
   {{0x334302b2,0x4c1e01bd,0x9c2f0274,0xe8d7017a}},	//   _голова_, _اۋداند_, _menningu_, _хиради_, 
   {{0xb2370082,0xcc4f020a,0x483e0420,0x00000000}},	//   _taimaka_, _تەڭشە_, _нишка_, --, 
   {{0xa3aa00bb,0xce3304a5,0x7dbe02be,0x45e20008}},	//   _میاںمحمد_, _kwasekuq, _dinidila, _дейсизде, 
   {{0x4037033b,0x0da30095,0x430d01b9,0x675e00aa}},	//   _maitekon, _شهوتی_, _menazer_, _gisiling, 
   {{0x2949032d,0x56370313,0x87be01cc,0x77ba0107}},	//   _гражданд, _burghhom_, _aparasmi, _atalarik_, 
   {{0x16160148,0xa953027b,0x5a010165,0x00000000}},	//   _杭州錢江經濟開發, _balasaṃp, _volasiga_, --, 
   {{0x69b10416,0xf30f0002,0x3264006e,0x6ae7008d}},	//   _traducte, _klubova_, _amulub_, _финалга_, 
   {{0x7c3a001a,0x92d9007f,0xbc6800a1,0x934502a3}},	//   _مثالی_, _alwen_, _hikuwai_, _mandaat_, 
   {{0xc4dc0137,0xb3800107,0x2c7603bf,0x00000000}},	//   _хөөсөнцө, _awuran_, _entseng_, --, 
   {{0x714b0418,0x49e70223,0xa31d05ab,0xee400139}},	//   _bulunuyo, _istorioa_, _vencido_, _devakalp, 
   {{0x599d00c7,0x4ae60074,0x00000000,0x00000000}},	//   _манып_, _kultaine, --, --, 
   {{0xe91a00d1,0x6292029b,0x74860139,0x12a0006e}},	//   _ক্ষেত্রত, _birale_, _संसारः_, _derbë_, 
   {{0xea4b0044,0x385c03c1,0x29ff015d,0x57ee004c}},	// [a620] _צלילה_, _постигна, _विस्थापन_, _akwatang, 
   {{0xf2000058,0x29c00265,0xea5304ad,0x02bd00ff}},	//   _steif_, _gerelate, _iphetola_, _birdino_, 
   {{0x1be6026f,0x2853012c,0x7cde00d1,0x96b20439}},	//   _حۇججاتى_, _شگفته_, _ক্ষতিকৰ_, _magugurh, 
   {{0x13da018d,0xc2010583,0x12e60163,0xe1860024}},	//   _ንዕቀትን_, _dobiš_, _جہنمی_, _বিৰোধী_, 
   {{0x328d02e5,0x52ea028e,0x82db0421,0xa255028b}},	//   _аалакгьы_, _krungut_, _hängen_, _здублиаж_, 
   {{0x750000d1,0xaadd00db,0x0bc0030d,0x30100299}},	//   _সুবিধাবা, _पह्चल_, _bilirmiş_, _دامۇللا_, 
   {{0x9b77015d,0xf6b0042f,0xc26e00d9,0x02c8019a}},	//   _podobnyc, _puigurni, _autoja_, _dialeck_, 
   {{0xd2ca0663,0x8c6101c6,0x439400b4,0xbd200188}},	//   _awoda_, _begripe_, _sensul_, _ahlinzwe_, 
   {{0xec7601f0,0x19b20343,0xaf30013c,0x897400d6}},	//   _antseng_, _biodoese, _cavabınd, _blaistit, 
   {{0x23200219,0x4c6e034e,0x50570205,0x67ab04b4}},	//   _munye_, _amaruta_, _динимиз_, _enstemmi, 
   {{0x13ac0352,0x0e3503ee,0x123001ee,0xdbb70158}},	//   _peppar_, _izbaciva, _аталаннă_, _poprosić_, 
   {{0x2354034a,0x2ea0001d,0xba7c0326,0x3c9e0151}},	//   _podedes_, _accurtat_, _achapisa_, _chirping_, 
   {{0x697400fb,0xcb51023e,0x22b5005b,0xc980036c}},	//   _elindele, _bunderan_, _dogcat_, _helkiasa_, 
   {{0x13f80152,0x11cf0177,0xeefe00f2,0x46150420}},	//   _ildus_, _издыруеи, _nepamanī, _бутици_, 
   {{0xdf5d040b,0x12fd0019,0xe3770354,0xa187005b}},	//   _mutangan, _aragó_, _سىدام_, _ameblocl, 
   {{0x22a6023e,0xbd580038,0x3d7f0169,0xca7d021c}},	//   _nambah_, _анасын_, _বিচিত্র_, _kapacita_, 
   {{0xc3ea02a8,0x2d810386,0x3c13020f,0x06050326}},	// [a630] _adotta_, _setempat_, _قمندان_, _atimunoi, 
   {{0x527f0396,0xa26d0086,0x00000000,0x00000000}},	//   _fuqna_, _bagoly_, --, --, 
   {{0xab030420,0xf4e70064,0x8da20015,0x53ea0127}},	//   _модерен_, _быстрото, _یاونن_, _pentur_, 
   {{0xe3c80244,0xb3620205,0x23860190,0x665604a5}},	//   _получите_, _деталлар, _trifling_, _ovunyelw, 
   {{0x096607f5,0x8fdc000e,0x13c9005e,0x964d0257}},	//   _जीवनका_, _drahtero, _سۈيدۈك_, _minnkað_, 
   {{0xf03b0281,0x4f75015e,0xfbe30260,0xc38600b5}},	//   _eftersko, _ئىشەنبەي, _valdeorr, _guirei_, 
   {{0x865600fb,0xf37b00ee,0x5dd70109,0x9c090039}},	//   _avunyelw, _arrasto_, _fungujíc, _sinplea_, 
   {{0x032000a6,0xa516056d,0xcf39009f,0x1226028a}},	//   _kunye_, _izilwany, _finančni, _chukua_, 
   {{0xa2890036,0x297400f3,0x096a0065,0xb39b023b}},	//   _مقياس_, _alindele, _vernicht, _ukupanai_, 
   {{0x31ed012b,0x39f90028,0xfc5c01bc,0x86d4000e}},	//   _नकारा_, _farsamad, _brutsen_, _nascenti, 
   {{0x1340046d,0xc6560307,0x3b620193,0xec68005b}},	//   _imbelwa_, _evunyelw, _योजने_, _dokukai_, 
   {{0xc053004a,0x328003b0,0xd3f80318,0x35ad0299}},	//   _andreevn, _raskare_, _moluu_, _زۇلخىمار_, 
   {{0x0200002e,0x7b0c0013,0x32db02f3,0xc8460152}},	//   _ranije_, _لارین_, _sängen_, _finlyand, 
   {{0x699b00b5,0x49e6024f,0x12bb02fe,0x137c0040}},	//   _etiopía_, _basogana_, _arhente_, _ההשראה_, 
   {{0x93f80265,0xa25b005b,0x433d0061,0x9f1503ea}},	//   _aldus_, _heelys_, _시민들에게_, _contrepa, 
   {{0xf2f404ea,0x0223019f,0x1cbd0153,0x10cf0241}},	//   _rounder_, _ادارا_, _アイロボット_, _haylasil, 
   {{0x02f402e2,0xfa93014e,0xd45d00a7,0xa68c0452}},	// [a640] _sounder_, _гордана_, _боснияны, _निफाड_, 
   {{0xfb92033b,0xcdc00304,0xc4d800a4,0xfb2c005c}},	//   _dirilego_, _terimala, _بەرۋلەرى_, _ababayob, 
   {{0xfef10044,0xf81b035a,0xb2e004b9,0xd28f0267}},	//   _projects_, _venezuël, _cooncil_, _raspisal, 
   {{0xa29004c5,0x13f8026c,0xc2cb01fe,0xe2de0085}},	//   _demann_, _modum_, _amuleki_, _caketaki_, 
   {{0xb645003a,0x69d803e5,0x05450125,0xefde004d}},	//   _banklari, _unalaska_, _banklary, _巴西空難教訓深刻_, 
   {{0x3c7602c2,0x19030022,0x2f3900f0,0x6fc9004a}},	//   _botsing_, _журналды_, _finančno, _fatirlar_, 
   {{0xf2d80263,0x9ae6017d,0x82d801dd,0x46800418}},	//   _mogen_, _betragte, _sogea_, _hareketi, 
   {{0xfc1d00c7,0x227f021a,0x120002fe,0xa38f037f}},	//   _qorallar, _amantu_, _banike_, _aliyeva_, 
   {{0x83860200,0x045d018d,0x43170071,0x3b3e00d1}},	//   _esiri_, _ንኢሳይያስ_, _agenging_, _কাঞ্চনমত, 
   {{0xc3f80034,0xafd601bd,0x7913012a,0x93e7019c}},	//   _eldur_, _ұтқырлық_, _sprawozd, _látii_, 
   {{0x6a0104d7,0xfc0702ba,0x796f0067,0x7b2d01be}},	//   _vanalega_, _amathons, _fariisot, _monitorů_, 
   {{0x345102ac,0xb2e9000e,0x228c005b,0x8c7201a4}},	//   _مؤخراً_, _alongat_, _arakawa_, _forrrrt_, 
   {{0xb2df0287,0xc2010117,0x00000000,0x00000000}},	//   _metodou_, _vavine_, --, --, 
   {{0x429e023e,0x06010365,0xcf2001b8,0xf2370125}},	//   _صميمي_, _विपद्_, _ilmumisa, _birje_, 
   {{0xdd570044,0x825a045f,0x2e57000e,0x4f1e02a8}},	//   _executed_, _sallad_, _executet_, _ekodisin, 
   {{0x038002f3,0xfd9d00f5,0x406600ad,0x669801db}},	//   _metria_, _мүшгил_, _kotabogo, _бұрмалап_, 
   {{0x64d70536,0x00000000,0x00000000,0x00000000}},	// [a650] _тамасы_, --, --, --, 
   {{0xbe410105,0xf2a103db,0xbf15009b,0x837901ed}},	//   _महाशक्ति_, _amachibi_, _шуугих_, _sepania_, 
   {{0x83860764,0xe67c0092,0x07ed01f2,0xe7d90233}},	//   _usiri_, _総トラックバック, _норвигий, _georgiaw, 
   {{0xa2d802c6,0x40e10192,0xe2000161,0xf302012d}},	//   _hogen_, _검색결과리스트_, _rumia_, _vanautu_, 
   {{0x42d8005b,0x2dc50421,0x58a90059,0x00000000}},	//   _bogen_, _auskunft_, _тинейджъ, --, 
   {{0x128100cd,0xb316006f,0xa985032e,0x5200009d}},	//   _pussibil, _miezi_, _walinaka_, _lumin_, 
   {{0xe3e7072a,0x536a0083,0x00000000,0x00000000}},	//   _látni_, _biagier_, --, --, 
   {{0x49d602b2,0x1e350156,0x66c50193,0x00000000}},	//   _занять_, _פאָוקיסי, _सामावलेल, --, 
   {{0x86930046,0x5a41030f,0xad1901be,0x22f401df}},	//   _جۅندۅپ_, _patehepa_, _demolice_, _plunker_, 
   {{0x32c501b8,0x0200028a,0x653900b6,0x69f803fb}},	//   _koolide_, _tumia_, _kitaabal_, _velicina_, 
   {{0x536501c5,0x27d00040,0xcaf30030,0xe2eb0396}},	//   _allgedo_, _במונחים_, _stadionā_, _formazzj, 
   {{0x9da60183,0xde560041,0x00000000,0x00000000}},	//   _anankamp, _цаитунг_, --, --, 
   {{0x5a8702e8,0xe4890159,0xd2000015,0x787f0258}},	//   _andibats, _mikroraj, _dumin_, _twahûnde, 
   {{0x2b86024f,0x8f9d00d6,0x86cf0099,0x92ca03ee}},	//   _daligadr, _ستوديو_, _achagumi, _uvodi_, 
   {{0x725b0175,0xd200026a,0xac1d03f5,0xb202032f}},	//   _remersim, _qumia_, _explicou_, _repita_, 
   {{0x5c5e0117,0x48580058,0x72ca042c,0x562b00a6}},	//   _biktaim_, _lekonfid, _svodi_, _bazingqi, 
   {{0x13540415,0xf2900223,0x63f80372,0x69eb0280}},	// [a660] _anderes_, _agian_, _modur_, _माहवारी_, 
   {{0x5a4a035b,0xafef018d,0x929004cd,0xaba10320}},	//   _katerega_, _ብተዳጋጋሚ_, _ormara_, _matheror, 
   {{0xb2000190,0x00e200a6,0x2c7d02fa,0x051e00d5}},	//   _bumin_, _abanetal, _gitsina_, _anaranao_, 
   {{0x357700ec,0xe6f700c4,0x7aeb0108,0x834d0456}},	//   _кафедры_, _مالاڪنڊ_, _balongan_, _keledek_, 
   {{0xb6850047,0xd2d80198,0x019b0178,0x52910357}},	//   _lendemai, _mogel_, _aparihār, _tabamu_, 
   {{0x23400006,0x7200016a,0x58c300be,0xf37f00ab}},	//   _menekan_, _mumio_, _анкарада, _hiharia_, 
   {{0xfda201d5,0xb19200e6,0x09e8023e,0x98d40311}},	//   _باطنی_, _最新培训信息_, _anggrait, _ብዘይጥርጥር_, 
   {{0xb52b01d8,0x22ef0167,0x2fa8019e,0x6290007b}},	//   _kajingpy, _caffis_, _андрусь_, _makars_, 
   {{0x62fc034b,0x68f30061,0x4d7e01aa,0x07d50462}},	//   _iunives_, _바람직하다_, _ashleywa, _audubonw, 
   {{0x96d50201,0x7c8500a6,0xb1ec0255,0xa9660209}},	//   _assakaxx, _والوتې_, _सकारि_, _iisinave, 
   {{0x938604c8,0x01730125,0x13640226,0x4fd60040}},	//   _jsiru_, _инамында, _atagula_, _תסמינים_, 
   {{0x749200b5,0x4da60141,0x822502fb,0xb4d7015e}},	//   _encrucij, _تاماندن_, _kaakaa_, _баралы_, 
   {{0x753c008d,0xd63e0242,0xa62b019b,0x426c012c}},	//   _постсове, _tarixini, _susiduri, _midomo_, 
   {{0x029202fd,0x9b2102da,0x78f80281,0x229002e3}},	//   _caraid_, _comprime, _kinaassu, _tgian_, 
   {{0xe0e1069c,0xade300b3,0xec5a01eb,0x3213012a}},	//   _nainstal, _alhamdül, _haitymi_, _ruchem_, 
   {{0x5b8a015e,0x838602ee,0x13f4013d,0x9354066f}},	//   _конок_, _isiru_, _certaj_, _filetes_, 
   {{0xee010446,0xd16101a3,0xc29105a8,0xbe91018d}},	// [a670] _moderira, _نامڪمل_, _mabaku_, _kulturat_, 
   {{0x3e910203,0x02b400f0,0x427e0178,0x129001bb}},	//   _culturat_, _ploche_, _asann_, _atmaga_, 
   {{0x327306e5,0x5e3a01f2,0x730d03c6,0x85c90176}},	//   _rûnom_, _марксзим, _menamer_, _dobayash, 
   {{0xd5d80060,0xdadf02a6,0xb7260741,0x63990311}},	//   _ابىكەن_, _parturit, _skumring, _ተመርኲሱ_, 
   {{0xc93901b3,0xd20001c2,0x5e2e0153,0xbd390023}},	//   _книжок_, _cumio_, _の収支結果_, _книгой_, 
   {{0xb2000090,0x752d0152,0x40f60012,0x9b7002cd}},	//   _andiri_, _berektäş, _तरेरले_, _dogonyar, 
   {{0x8255034b,0x420001f6,0xd2d80052,0x6ec10210}},	//   _oltestam, _steik_, _logem_, _atinosan, 
   {{0x0ee00159,0x9b8901b2,0x1c6a0062,0xd20e0159}},	//   _келлі_, _insincer, _damuhlu_, _кажан_, 
   {{0x94dd0192,0x8b2f0198,0x227e0467,0x53d3005e}},	//   _일반사무직_, _nevarnos, _nsano_, _ﻣﻪﺷﻐﯘﻻﺕ_, 
   {{0x5d090057,0x2f2001d1,0xc7e5010d,0xd27e0285}},	//   _የፖትርያርክ_, _excellen, _आधारीत_, _isano_, 
   {{0x22d80456,0x527e017d,0x04a5010d,0x963d05e0}},	//   _bogel_, _asano_, _jeongmal_, _residuai, 
   {{0x88200061,0x82d804b1,0x2301004d,0x63550273}},	//   _달렸습니다_, _snoen_, _notarii_, _confía_, 
   {{0x39e30193,0xf21e0513,0x67c7006c,0x514d0156}},	//   _walikota_, _ebukwini_, _табиии_, _detektil, 
   {{0x92900120,0xc3e101be,0x6606014a,0x896a01cd}},	//   _igaad_, _martucci_, _harmóniá, _галабахо, 
   {{0x2be00099,0xd059023e,0x12910108,0x03f803b2}},	//   _aindikur, _anusasan, _babaku_, _undue_, 
   {{0xf2900256,0xbd2e0212,0xdd180097,0x00000000}},	//   _vakars_, _recipere_, _kòríkòsù, --, 
   {{0xf3860587,0xd7ed00a5,0x560001eb,0xcd3100f2}},	// [a680] _tzara_, _atuatuag, _геннадии_, _autoceļi, 
   {{0x429200c4,0x72fc0102,0x9c2e0176,0x00000000}},	//   _barafu_, _rungwe_, _teksteks, --, 
   {{0x0615010f,0x92900341,0x27ad0633,0x852900da}},	//   _мусиқии_, _numara_, _expensiv, _кэлкые_, 
   {{0x8c3600d6,0xaab90311,0x0c5a054a,0xe27e004f}},	//   _نعومه_, _ትዕድልቲ_, _osetiti_, _mennum_, 
   {{0xb25a01d1,0xbccd0019,0xe1e603a2,0x4a6d03d0}},	//   _called_, _палатада_, _कटघरे_, _bilogors, 
   {{0xc2d80163,0xa2c50055,0x22b3038a,0x00000000}},	//   _enged_, _bardeaux_, _chadín_, --, 
   {{0xa7a90321,0x4c730030,0x28f104b3,0xa2ac0205}},	//   _pretekli, _pensija_, _brogarou, _байрутда_, 
   {{0x728003ae,0x6e380024,0xdd5602d3,0xda710102}},	//   _raskere_, _নাৰায়ণ_, _херкулес_, _hayakuwa_, 
   {{0xa0e1015d,0x61e0015d,0x92000053,0xbc990059}},	//   _zainstal, _जलापूर्त, _bumil_, _черната_, 
   {{0x81860147,0x7289004f,0xc9e30157,0xecf70153}},	//   _حۇليەن_, _etaasini_, _palikota_, _テックランド金沢, 
   {{0xe7ae04c3,0x9bef0268,0xeaef0218,0xc2d400d1}},	//   _gamethuv, _allengec, _allenges, _avfolka_, 
   {{0x7a6d0035,0x729e00ff,0xb68300c1,0xce2900dd}},	//   _oppozits, _זופניק_, _माझाच_, _cilfacha, 
   {{0xf08a003a,0x91b40029,0xe29000ad,0xf20001b2}},	//   _вазифаси, _هۆشداری_, _rumasa_, _queig_, 
   {{0xb2cb022a,0xbfee0287,0x723701c0,0x836800f4}},	//   _liedö_, _कृयाशिल_, _firji_, _exiguus_, 
   {{0x00000000,0x00000000,0x00000000,0x00000000}},	//   --, --, --, --, 
   {{0x040103b2,0x6a7c0315,0xe2d80003,0xf29001ad}},	//   _solution_, _abhalisa_, _hoger_, _dumara_, 
   {{0xd30d01a4,0x898e0039,0x4c0b0478,0x927e0059}},	// [a690] _menacer_, _чамин_, _ocupava_, _usano_, 
   {{0x303b00da,0x9c1507f6,0xd292005d,0x400c0237}},	//   _иӂинале_, _bujanovc, _maradu_, _관련안전인증_, 
   {{0x130102f8,0xe054011a,0x00000000,0x00000000}},	//   _lavakei_, _האתגרים_, --, --, 
   {{0x12f100b3,0x0386041e,0x70370049,0x30520087}},	//   _birinji_, _andria_, _faitokon, _egarajin, 
   {{0xdb900210,0xd1410497,0xe9830177,0x34dd00e6}},	//   _muungano_, _battledo, _телееила, _我们在行动_, 
   {{0x740a001c,0x0ae50145,0x00000000,0x00000000}},	//   _kostrzyn_, _remdamas, --, --, 
   {{0x42db01d3,0xafdb0311,0x129e02ca,0x00000000}},	//   _männen_, _ገይሩዎም_, _samjuan_, --, 
   {{0x73860703,0x2795008f,0x930c0434,0x00270061}},	//   _mpira_, _sorteeri, _penales_, _대전인적자원개발, 
   {{0x67e90409,0x8afb052f,0x73200627,0x529200a2}},	//   _ダイエット_, _buvuleke, _hunyo_, _sarafu_, 
   {{0x6cbe023d,0x3add03e6,0x9386023b,0x639400ef}},	//   _памет_, _distanze, _opira_, _ecass_, 
   {{0x8f46016d,0x9fbd0126,0x28b3050a,0x96a802ea}},	//   _ﻗﻪﺩﯨﻤﻜﻰ_, _процесом_, _pastalar_, _anagrafi, 
   {{0x33200374,0xb3ac025e,0xc28101f3,0x920102c7}},	//   _dunyo_, _jeppar_, _marimex_, _magier_, 
   {{0xc6200453,0x05440013,0x83f900fe,0xa38602c5}},	//   _pokušali_, _politsiy, _hotua_, _apira_, 
   {{0x05950315,0x61e701ba,0x7305032b,0xdb46000f}},	//   _akhukhok, _istorikm, _قوزام_, _projenin_, 
   {{0xdc9a014e,0x22c10073,0xbb160265,0x576900d3}},	//   _либералн, _utilisa_, _songteks, _prokazov, 
   {{0x313200aa,0x7bab019b,0xd3f900fe,0x00000000}},	//   _mistleto, _antrąjį_, _motua_, --, 
   {{0xc3f90318,0x3200012b,0x2e140044,0xf2f30296}},	// [a6a0] _lotua_, _sumie_, _payments_, _avlidit_, 
   {{0xfc01044b,0x9c6b0193,0xe71c02cb,0x6e5f00e2}},	//   _dansker_, _किन्वा_, _promotiv, _absolút_, 
   {{0xe2900062,0x619003ac,0x92d800fe,0x93b00321}},	//   _bihagh_, _membunuh_, _angee_, _pravico_, 
   {{0xbb590066,0xe26e00ce,0x865d0187,0x9760000c}},	//   _дөхөж_, _kotono_, _мармалад_, _рҵага_, 
   {{0x6c04013b,0x2d490211,0x02910062,0x4c3701b3}},	//   _sieradz_, _различаю, _peyay_, _балогу_, 
   {{0xe27e023c,0x29d70077,0xd9cf01a0,0x23f90014}},	//   _دايټاليا_, _bostonpu, _kulovota_, _botua_, 
   {{0x5c29041e,0x42f40085,0x00000000,0x00000000}},	//   _almanacc, _gounder_, --, --, 
   {{0xd29100b4,0x0238006f,0xa63d022a,0xcc17013d}},	//   _steaua_, _maamuzi_, _kontinän, _agmanier, 
   {{0x74f701cd,0xf39600ec,0xce6c019b,0xcc4c0093}},	//   _тартибот, _druska_, _пакідаць_, _губерний_, 
   {{0x726403ff,0xac0a0238,0xa0700095,0xf3a9031c}},	//   _naplno_, _включає_, _ajejuluk_, _salvaje_, 
   {{0xa286028d,0x12d90203,0xe695030a,0xbf2302ef}},	//   _badinaz_, _begeli_, _forestai, _delenkan, 
   {{0x328c0203,0xb39406c2,0xa81602eb,0x301e004d}},	//   _asakawa_, _hamsin_, _халхгол_, _將為每一位使用串, 
   {{0xe3f9007f,0x76d501fc,0xc4030322,0xe3810149}},	//   _theulu_, _faraaqii, _abanyonz, _ọzara_, 
   {{0x841f0255,0xeefe019b,0xd29000fa,0xdcb4003a}},	//   _versioon_, _metalinė, _dumapa_, _агарки_, 
   {{0x6c6102b7,0x1da30250,0xe19c00f5,0xd2a700a9}},	//   _kauther_, _jugoslla, _алданмаң_, _ihabwa_, 
   {{0x52a70285,0x073d022b,0x94a1013c,0x40bb00bf}},	//   _ahabwa_, _vinnunev, _tutması_, _свинины_, 
   {{0xdd36005c,0xac53018a,0xd0d100b4,0xbd030013}},	// [a6b0] _abapakir, _awstria_, _publicul, _hujumlar, 
   {{0xfe6a00c7,0x1d2705de,0x9a600268,0xb50600d7}},	//   _монда_, _dessverr, _examples, _ditukiso_, 
   {{0x9396028a,0x3a06042f,0x59e50212,0xe5390277}},	//   _arusha_, _qilamiut, _occupand, _gitambal_, 
   {{0xacd202ec,0xc858034c,0xa9c8028f,0x23da0037}},	//   _چُھنہ_, _algannar_, _horomata_, _ውንብድና_, 
   {{0x22bb0009,0x462000ac,0x3640003a,0xb1cc01a3}},	//   _poletje_, _pokušala_, _kiritili, _شيئرنگس_, 
   {{0xc2d9019c,0x833b07dc,0x6e4604a4,0x72000375}},	//   _gegebi_, _समाप्ती_, _larachga, _golidi_, 
   {{0x7c1f01f2,0x52900222,0x2058017a,0x09dd01a6}},	//   _нәччә_, _demain_, _abasiman, _hikoinga_, 
   {{0x025a01d3,0xd20103db,0x3ff407a0,0xbdc9003a}},	//   _kallad_, _bafike_, _जयसूर्या_, _shaharda, 
   {{0x0c6000d6,0x727f0026,0x34af0564,0xa2d50273}},	//   _costais_, _stenen_, _timichal_, _soporta_, 
   {{0x496a042a,0x66050005,0x41690414,0x162703f4}},	//   _abenelit, _fermamai, _bbentley_, _эластичн, 
   {{0x2201042a,0x0fb80057,0x9d9400b5,0x22d5029b}},	//   _wafike_, _እስከሆነ_, _coronelp, _fasoona_, 
   {{0x6de2015e,0x62570105,0x42a802ac,0x64390244}},	//   _اسپابىڭد, _festiwal, _تتحقق_, _претенци, 
   {{0x0ecc0211,0xd4ff024b,0x06280229,0x552800e9}},	//   _avainsan, _solución_, _nominasi, _nominasy, 
   {{0x334701a6,0xc2d900bd,0xd7410157,0x6ede036e}},	//   _pekenga_, _lowed_, _prezesem_, _inchanan, 
   {{0xac1d0035,0x96c40219,0x2f6b02a2,0x8d6f00cf}},	//   _soraular, _angawufi, _pribadon, _bulmaata, 
   {{0x011201cb,0x0c1002e1,0x051901a3,0x732002b4}},	//   _ngokobul, _leaganac, _روئاري_, _bunye_, 
   {{0x2200001d,0x83560515,0x929e0119,0xa2c500de}},	// [a6c0] _bolidi_, _alteres_, _chiquill, _aqalise_, 
   {{0xaa7303d4,0xac7d00ce,0x91d10021,0x892a004d}},	//   _skočio_, _tousala_, _alveshay_, _懷舊盒裝日劇a區_, 
   {{0x862e00f7,0x5aa20025,0x451d004f,0x00000000}},	//   _נוראות_, _पृष्ट्वा_, _menunuko_, --, 
   {{0x6a130397,0x59aa01f4,0xa28301aa,0x526e0226}},	//   _ababange, _ворис_, _anishday_, _dotolo_, 
   {{0x12900193,0x5e4e0435,0x489a01d9,0xb396029b}},	//   _pemain_, _ваљда_, _reaktiou, _brusia_, 
   {{0xca0202cb,0x33fa00b4,0x6c6a030d,0xa9940156}},	//   _brašno_, _seturi_, _namuslu_, _סטשאָאָל, 
   {{0x10440012,0x00000000,0x00000000,0x00000000}},	//   _जगवलसी_, --, --, --, 
   {{0xe27f00ff,0x7863004a,0xf8bc0361,0x00000000}},	//   _agento_, _bernikad, _гонконгр, --, 
   {{0xd39605f1,0x00f9005e,0xe97500a6,0x63fa0373}},	//   _urusha_, _ﺋﺎﻻﻗﯩﻠﯩﺸ, _alandele, _veturi_, 
   {{0x4e35005e,0x23070107,0x766701e1,0xac290021}},	//   _ﻧﯩﻤﯩﺸﻘﺎ_, _kemangi_, _сабитов_, _alesians, 
   {{0x3f27038e,0x78470187,0x338700f4,0x0029003a}},	//   _pertigaa, _desligad, _debret_, _bildirmo, 
   {{0xb3070190,0x2ef20012,0x624c01a3,0x21b4023a}},	//   _demangi_, _फुदके_, _پڊعيدن_, _pochúťky_, 
   {{0xc2000357,0x00000000,0x00000000,0x00000000}},	//   _tolili_, --, --, --, 
   {{0x732004ee,0x11920061,0x4e6a016d,0x02590079}},	//   _runye_, _대한민국은_, _қоюду_, _dienesti_, 
   {{0xf8a00247,0xac7600bd,0x03fa03a4,0xa4c80045}},	//   _استعداده, _clasped_, _peturi_, _напредња, 
   {{0xa95b02a9,0xf2900359,0xc9fa01dd,0x3330001a}},	//   _truputį_, _krektas_, _bamusuhu, _eurovízi, 
   {{0x8c6103e2,0x4261026b,0x00000000,0x00000000}},	// [a6d0] _regulan_, _regulabl, --, --, 
   {{0x4c8005f8,0x7af20022,0x447e008d,0x326e0289}},	//   _семей_, _akarelit, _синов_, _botolo_, 
   {{0x122a0060,0x28c200d3,0x42130277,0xa36c0396}},	//   _болат_, _bratrstv, _ibahin_, _fondazzj, 
   {{0xd3eb033f,0x32a60082,0x37f200bb,0xff4a034c}},	//   _elatá_, _damboa_, _کیوںکہ_, _аралашаб, 
   {{0x8f130255,0x0386008d,0xade70040,0x1b00003c}},	//   _mootorra, _asari_, _בארגנטינ, _پربيننده_, 
   {{0xd03d0044,0xac930251,0x45c90120,0xc9e70017}},	//   _attentio, _یاداش_, _gorbaach, _एन्टी_, 
   {{0x7873037f,0x65e300d1,0xec6604b1,0xb35e03f3}},	//   _istifadə_, _পেছাদাৰী_, _alltids_, _liggend_, 
   {{0x09b00044,0x558e0060,0x3cbf053f,0x72d9004f}},	//   _למסעדות_, _әзербайж, _saraparu_, _fowee_, 
   {{0x2fc70276,0xb27600c7,0x751900c4,0xb7e60139}},	//   _бипаян_, _булгарис, _پوڄاري_, _महारदः_, 
   {{0x4321013c,0xc1bb0046,0xab13006e,0xfa1c00a6}},	//   _aleyhi_, _بىلبەيم_, _dinaleen_, _ayabhaca_, 
   {{0x134b0163,0x2aa600c5,0xae72014f,0xf066020a}},	//   _baleset_, _西北轴承股份有限, _постани_, _تىربانات, 
   {{0xeaf300c3,0xe48602d5,0x5c530029,0xcfe30229}},	//   _consecte, _भाषायी_, _رناچێ_, _faktları, 
   {{0x72000172,0xf20002fd,0x258c0040,0x668c0040}},	//   _sumii_, _creig_, _ולשאול_, _ולשמוע_, 
   {{0x09f6021c,0xdf7f0040,0x3c66030d,0x00000000}},	//   _horák_, _למיכל_, _goturub_, --, 
   {{0xefae022f,0xb3f8001a,0x82240417,0x1200026a}},	//   _ласка_, _indul_, _sukkel_, _koliji_, 
   {{0x46c5038b,0xdc0b0553,0x4a44004d,0x738600b5}},	//   _membukti, _stupňa_, _請遵守中華人民共, _ipire_, 
   {{0x32000116,0x59420074,0x22ce002f,0xd4ae03d4}},	// [a6e0] _greig_, _hallitse, _bibliam_, _занимало_, 
   {{0x27250287,0x3f25065e,0x42e601ac,0x539e001c}},	//   _reklamav, _reklamer_, _chonsan_, _ipapaham, 
   {{0x80270156,0xe5bc019f,0xac07046f,0x2c290597}},	//   _לעקעך_, _نادرشاهه_, _falscht_, _венгрла_, 
   {{0x0a110200,0x9fae006d,0x32a600ef,0x7caf02f9}},	//   _adabanye, _паркс_, _kunjani_, _komedyèn_, 
   {{0x7292008b,0x038600b5,0xf0e205aa,0x22d701cd}},	//   _barayu_, _arary_, _symbolsk_, _хариду_, 
   {{0xa62702e2,0x6dfc01bd,0x1c64034c,0x31bd023c}},	//   _dimorphi, _конкурсқ, _altmışın, _دماښام_, 
   {{0x00ad00f5,0x17eb0274,0x00000000,0x00000000}},	//   _калбында_, _sumardag, --, --, 
   {{0x23eb01c8,0x33f8011c,0x639601c4,0xf94f0076}},	//   _zlatá_, _andul_, _borste_, _trollage, 
   {{0x3f3404bf,0xe38603b4,0x2fea01bd,0xe3f80223}},	//   _dokumena, _apire_, _دىقتىڭ_, _moduz_, 
   {{0x8f7201cd,0x33860054,0x5f0e003c,0x4ebe0378}},	//   _ababedin, _tsari_, _بلاتکلیف_, _barnapen, 
   {{0x6b7d025d,0x00000000,0x00000000,0x00000000}},	//   _brannver, --, --, --, 
   {{0xdd97004b,0x6ad7032e,0xc3200082,0x9fa40243}},	//   _bahlakoa, _tokmanan_, _kunya_, _fireeder_, 
   {{0xa7a2042f,0x7ce00064,0x22970041,0x827e0255}},	//   _nakuutqi, _استورنوم, _дыззыҧшы, _seinad_, 
   {{0x6dc001aa,0x2a5001a7,0xe3200286,0x690a008d}},	//   _achinema, _измерени, _munya_, _самараси, 
   {{0xbe1902ac,0x45430235,0xd3200439,0x571c0008}},	//   _مفروشة_, _योजनीयम्_, _lunya_, _قۇلتەگىن_, 
   {{0x220002cb,0x32ef0374,0x16a600dc,0x00000000}},	//   _koliki_, _oldinga_, _taufaali, --, 
   {{0xb20000bd,0xe2bb01e3,0x0a0800ab,0xa64402d6}},	// [a6f0] _breid_, _vodenje_, _hohanana_, _австрияд, 
   {{0xd1c00051,0x3bea023c,0x7e1b0277,0x824101ab}},	//   _pielikum, _abavelis, _sangputa, _खोललस_, 
   {{0xbb1c0289,0x03e802cf,0x073a0299,0xc3f80127}},	//   _akapanda_, _devoluçã, _ئىگسىگە_, _didud_, 
   {{0x7cf3029d,0x6f5c040e,0xab0703b8,0x64d001c9}},	//   _невинова, _gruppesp, _رۇحساتسى, _देखिके_, 
   {{0x92fc0125,0xa2250211,0xf6bb019f,0x4343013f}},	//   _sungat_, _saakka_, _kupelekw, _brotonoù_, 
   {{0x5320022c,0x5d9802b2,0x02000166,0x0f3b03f7}},	//   _dunya_, _trygghet_, _freie_, _barnafól, 
   {{0xa2ca0227,0x695c0158,0x72fc016a,0x126d0678}},	//   _rendah_, _प्रेजिडे, _abdikis_, _typom_, 
   {{0xe3660117,0x23940418,0xe8ea048f,0x46c701f0}},	//   _bwagilo_, _samsun_, _conficiu, _dirafadi, 
   {{0xb2c402bd,0x1e00020e,0x43f80107,0x8ee80226}},	//   _angladd_, _bolelisa, _andum_, _imakuman, 
   {{0xb12a026b,0xd30f012a,0x23560274,0x33420119}},	//   _encontró_, _murator_, _soffía_, _heneral_, 
   {{0xdec80044,0x69e20515,0x82640204,0x4b8d0269}},	//   _equipmen, _desirava_, _applen_, _desierto_, 
   {{0xb3200006,0x4eb60269,0xb20007f7,0xd1b10127}},	//   _bunyi_, _consigue_, _lumit_, _arhentoù_, 
   {{0x0a1500ee,0x820402cd,0x3c730181,0x00000000}},	//   _arrazoie, _fayiloli_, _damsela_, --, 
   {{0x2bb900af,0xced40208,0xd20002c9,0xfd0b0416}},	//   _дерева_, _مبینی_, _numit_, _georecor, 
   {{0x2a8b033e,0xd12a00ee,0xc2900296,0xe3e8049d}},	//   _cestería_, _радиогий, _utmana_, _revoluçã, 
   {{0x234203b2,0x73160468,0xc6130060,0x52ea019d}},	//   _general_, _abeze_, _قۇرسا_, _ginners_, 
   {{0xc11c043f,0xf995045b,0x00000000,0x00000000}},	// [a700] _pružila_, _дурдом_, --, --, 
   {{0x4d25020b,0xbeea0576,0x0ee80289,0xf4680303}},	//   _gaborone_, _مسدود_, _amakuman, _dikerafo_, 
   {{0xd2900364,0x44ec00be,0x2f090188,0x64470488}},	//   _egaal_, _جەڭىشتەر, _россияро_, _konstatē_, 
   {{0x4fae006c,0x32e80039,0x2b970291,0xe65a0488}},	//   _дарку_, _ordizia_, _كاثرين_, _notikuši_, 
   {{0xd39406e5,0x12010527,0x5452047b,0x326e0064}},	//   _dêrom_, _navike_, _fundarsk, _espoli_, 
   {{0x02ee00b2,0xdffe0135,0xc2fc0057,0xed1e01ac}},	//   _amanami_, _конкурсл, _biasalah_, _مكالمات_, 
   {{0xf7d90100,0x202700db,0x9c500178,0x27440184}},	//   _izražaja_, _भलामानुस_, _त्रेः_, _ndayakwi, 
   {{0x720007f8,0xf3bc0188,0xbe6b0351,0xa2c803fd}},	//   _humit_, _бунбасти_, _тiера_, _moronae_, 
   {{0xd5b00132,0x0d2800ca,0xb86a001b,0xe0e80418}},	//   _versenyz, _limitant_, _diriirsu, _sivilcel, 
   {{0x1d6800c7,0xb2c3033b,0xf2c80198,0x068700b6}},	//   _başın_, _mohlobo_, _odpoved_, _giddaani, 
   {{0x1f010024,0x4b6e013d,0x42d6035e,0xe9eb0498}},	//   _কাগজৰ_, _literojn_, _doplatu_, _bolívii_, 
   {{0xfc040018,0xc2000032,0xbf2d01b3,0x0e520337}},	//   _ipisani_, _dumim_, _resettin, _topluluğ, 
   {{0x875e00aa,0xa61d01d2,0x5f5d0189,0x2f2a018c}},	//   _masiling, _chinanti, _toparlan, _routepla, 
   {{0xf05e0405,0x73540488,0x9c530059,0xad9c01d1}},	//   _потребує_, _modeles_, _èstata_, _resemble_, 
   {{0x9d220195,0x244500e4,0x63b900e6,0xc8ca0023}},	//   _beartaic, _खण्डों_, _护理学杂志征稿_, _призрачн, 
   {{0x334d0418,0xc9e8017d,0xe7300420,0x639f0235}},	//   _gelecek_, _biografe, _prescriç, _bandhūka, 
   {{0x12fe0362,0x00000000,0x00000000,0x00000000}},	// [a710] _matabisi_, --, --, --, 
   {{0x12ea00bd,0x039000b0,0x51b3002b,0x340800fa}},	//   _sinners_, _geesinim, _লাদেন_, _dumidisk, 
   {{0xa0fa02fe,0xc8f800c4,0x135d03f3,0x429201c8}},	//   _umphandl, _نزديڪ_, _ligging_, _lopaty_, 
   {{0x330003f6,0xdc1c037f,0xbf5b005c,0x00000000}},	//   _kahawai_, _anbarlar, _bakamwan, --, 
   {{0x920e00f5,0x491301d2,0x3cb8014f,0x89940390}},	//   _габат_, _amparaku, _биологиј, _kasıb_, 
   {{0x0ea600dd,0x7c06012a,0xbf2d0083,0x1d0a01f0}},	//   _abertawe_, _potrawy_, _desertin, _koporase_, 
   {{0x33ea00c9,0xd5150192,0x484c0023,0x9fcc000c}},	//   _tintuc_, _종합민원실_, _наушники_, _chíno_, 
   {{0xd2000585,0x522601d2,0x4073004b,0x09460060}},	//   _godini_, _kurkun_, _дуэты_, _патшалығ, 
   {{0xda16035e,0x239c045d,0x0fcc016f,0x00000000}},	//   _zdravlja_, _dogadjaj, _списках_, --, 
   {{0x22d9011b,0xc76101b3,0x00000000,0x00000000}},	//   _mowei_, _значиміс, --, --, 
   {{0x372900da,0x2a1b0272,0x33d70022,0xcef204c7}},	//   _пресиуни, _akabinja_, _гимназ_, _увела_, 
   {{0x794b0040,0xe37304cf,0xb7970211,0xddc6020e}},	//   _renovate, _exhaswe_, _диетичес, _itshunya, 
   {{0x805201d1,0xe4ec01f6,0xeeba0213,0x0474055a}},	//   _operatin, _যোগাৰ_, _ловли_, _expedido_, 
   {{0xd543038c,0x39ba01cf,0xc8f60187,0x6c6f0285}},	//   _pronađit, _adveniva_, _странски, _ahoraho_, 
   {{0x52d8046f,0x915f018f,0x099d032d,0x23b004c8}},	//   _engem_, _rehoboth_, _данын_, _fejqan_, 
   {{0x02d401f1,0x0dc3028e,0x1d2e0244,0xdc070492}},	//   _studim_, _levitika, _decidere_, _kreslit_, 
   {{0x29dc014d,0xe0d6045e,0xd35500e6,0x0df90176}},	// [a720] _orientie, _бедствия_, _enlever_, _kedeligt_, 
   {{0x23bc00c4,0xec750452,0xea370156,0x00000000}},	//   _پلانٽ_, _संस्थळ_, _עסאָפט_, --, 
   {{0xe10700bc,0xa896000c,0xc04b03f0,0x23780015}},	//   _سربرگ_, _массатә_, _bakkavör_, _dagalka_, 
   {{0x05560149,0xd38700b3,0x1b0c02e5,0x584a0037}},	//   _dịbara_, _lezzeti_, _campogua_, _የብልግና_, 
   {{0xd317036e,0x08140148,0x238601d2,0xbc6801e5}},	//   _kamariy_, _最低拍賣搶標批發, _apiri_, _idarato_, 
   {{0x825a0486,0xec0000ce,0x026c00aa,0xdbab00ec}},	//   _mailem_, _pwisans_, _giloko_, _antrąją_, 
   {{0x12480062,0xd320036e,0x00000000,0x00000000}},	//   _minmep_, _hunyu_, --, --, 
   {{0x5284005b,0x86850383,0x8057015e,0x126c01a0}},	//   _dunhill_, _mendamai, _дининин_, _hiloko_, 
   {{0x951601be,0x403101b9,0x43b100bb,0xf200024c}},	//   _पद्दति_, _mentenen, _سناؤں_, _ermia_, 
   {{0xdc7600bd,0xf3ea0166,0x090404a4,0x5386022e}},	//   _classed_, _hinter_, _achanaid, _opara_, 
   {{0xb7280037,0xb4080241,0x82000009,0x19ee0185}},	//   _የሚገዛው_, _gumuziin_, _dodili_, _kaygırtu, 
   {{0x42490338,0x4b5601fe,0x929b015a,0x42ef03d8}},	//   _enemic_, _erotiasa_, _barbadam, _molitva_, 
   {{0xdae90087,0xdc5102eb,0x84b3009a,0xd2000163}},	//   _eketlele, _puntura_, _احاديثو_, _gumik_, 
   {{0x891f0192,0xc975017f,0xad9800b4,0xfc170033}},	//   _스트레스를_, _aaliange, _exceptie_, _camarier, 
   {{0xe200042f,0x5f1e0238,0x30ae015e,0x03100462}},	//   _humik_, _основних_, _ураан_, _aryaday_, 
   {{0x6abc004a,0x984b00e6,0xc2000465,0x1b19007a}},	//   _adresına_, _谁看过这篇博文_, _hodili_, _catatkan_, 
   {{0x4f3e01c9,0xa3860282,0xb26c011b,0x3290004f}},	// [a730] _असतित्व_, _epara_, _biloko_, _dinañ_, 
   {{0xda6a0193,0xc3430366,0xed0d042c,0x826e02f7}},	//   _प्रशासक_, _городах_, _uzimanje_, _ditoro_, 
   {{0x6c5c0241,0x0cca0139,0x2a7d0326,0x5aa90061}},	//   _hattuun_, _विषयेषु_, _achawira_, _실질적으로_, 
   {{0xb2900342,0xeaa80061,0x82ca0122,0xd2020198}},	//   _vakans_, _직접적으로_, _sunduk_, _lepila_, 
   {{0x49f8014d,0xe25901a7,0x5faf0239,0x7f4400d1}},	//   _gutachte, _hienosti_, _korokoro, _চেতনাৰ_, 
   {{0x92ef0386,0x826c0087,0x41cc0073,0x82b500e2}},	//   _meminta_, _biloho_, _reimprim, _eindige_, 
   {{0xd29001fc,0xeb450101,0x3dbf02ea,0x4fe403d1}},	//   _asmata_, _мындрие_, _областна_, _kulmināc, 
   {{0xfc5400ff,0x53f100ef,0x86ce0157,0xcb97020a}},	//   _ןעמעלבאר, _canzibe_, _odpaleni, _масанчи_, 
   {{0x83060243,0xc20001f4,0xffaf006a,0x10c10183}},	//   _dahabak_, _rolini_, _horohoro, _anelakel, 
   {{0xc6440044,0x134900a6,0x3fd500a2,0xc9a1004d}},	//   _באשקלון_, _afreshi_, _wakiongo, _北京岳成律師事務, 
   {{0x0b8e0040,0x02620059,0x5292044d,0x00000000}},	//   _transfec, _positivi_, _garabu_, --, 
   {{0x2c7f0410,0xe3dd0354,0x615e01db,0x934402ea}},	//   _ditseno_, _сүнний_, _портреті_, _potesse_, 
   {{0x329000a5,0x1a90023c,0x13f901e5,0x40950024}},	//   _lumana_, _غړوعکسون, _dotun_, _মহাপুৰুষ, 
   {{0x22ef0241,0x8c1f0193,0x3b2c0082,0x915603b8}},	//   _ashiyaa_, _क्षेत्रर, _bukatuns, _табылар_, 
   {{0xa6c90272,0x00000000,0x00000000,0x00000000}},	//   _bibawabi, --, --, --, 
   {{0xe6cf032d,0x8596004a,0xd7e00226,0xb85302e7}},	//   _bokaholi, _armiyadä, _angazimv, _gitustos_, 
   {{0x47b301aa,0x4acc0276,0x6af4004b,0x8ff30223}},	// [a740] _anotherw, _областин, _iphumane, _суръя_, 
   {{0xc90901e1,0x720100d6,0x0f020138,0x62ef0067}},	//   _темалар_, _stuif_, _projesin, _eshiyaa_, 
   {{0x129000b8,0x5a7100b8,0xa01d03b4,0x4b01009b}},	//   _jumana_, _jutatawa_, _akavanun, _оскарын_, 
   {{0xb2900309,0x22ee005b,0x1e500129,0x52c200a2}},	//   _dumana_, _keeffe_, _kịtaa_, _msalaba_, 
   {{0x27ca0065,0xd6a001cc,0x83f700d7,0x5ea200c5}},	//   _menschli, _anaucity, _шаяндар_, _poitrine_, 
   {{0x4ace0288,0x2fc80101,0x0292044d,0xe7a70011}},	//   _verwüste, _vizitato, _barabu_, _abettani, 
   {{0x6356054d,0xb2810013,0x529000d2,0xba9a0227}},	//   _noterer_, _kelajagi_, _numana_, _keahlian_, 
   {{0x62d900e1,0x77870297,0x00000000,0x00000000}},	//   _nowel_, _akçurin_, --, --, 
   {{0x020000b4,0xf68e0055,0xd2cf02c5,0x9fd50108}},	//   _lumii_, _perfetti, _aroorwe_, _aslibogo, 
   {{0x198700b0,0x02fd00b4,0x31ed0255,0x53f800fa}},	//   _taliyaha_, _expirat_, _नकारि_, _andun_, 
   {{0xcb2e03db,0xda93019b,0xaeb100e6,0x679b0311}},	//   _besayens, _дэлегата, _apportan, _ንደቀንስትዮ_, 
   {{0xea13034f,0xa3560168,0x0ab4018c,0x06cf028a}},	//   _ababinge, _poteter_, _cookiesb, _kikatoli, 
   {{0x65070074,0x9b690009,0x62e5028f,0x6e540051}},	//   _продать_, _postopka_, _akongia_, _citadele_, 
   {{0xc17600bf,0xd410002b,0xc69b020f,0x00000000}},	//   _рейтинге_, _যাইহোক_, _دکوېټې_, --, 
   {{0x49b700c8,0xe7720157,0x736c02ee,0x130e01d9}},	//   _призеры_, _स्वामीना, _kondizzj, _defnitiv_, 
   {{0x1d240008,0xc1890151,0x3b080169,0xd200012d}},	//   _اباما_, _disarray_, _emisione, _steit_, 
   {{0x92ca00d5,0xd5560200,0x1355025c,0xa25b00b7}},	// [a750] _hendry_, _bịaara_, _anderer_, _nesle_, 
   {{0x43a7007c,0xcc75008f,0x6b72053b,0xad29017d}},	//   _bamagatj, _सदस्यं_, _esclarec, _hillerød_, 
   {{0x2fa402bc,0x6ae900da,0x261e0226,0x679302c0}},	//   _virender_, _партичип, _anamandw, _незабеле, 
   {{0xb59d003f,0x193f04df,0xda2f0291,0x32d8028a}},	//   _bongilch, _başlaỳar, _أساطير_, _ongea_, 
   {{0x92000544,0x7d5400e6,0x00000000,0x00000000}},	//   _pilipi_, _didactiq, --, --, 
   {{0x2af603c2,0x02000347,0x00000000,0x00000000}},	//   _flustere, _dreig_, --, --, 
   {{0x13d70206,0xf9dc03d1,0x0296020f,0x7341049e}},	//   _twitteri_, _griestie, _کامدیش_, _korenia_, 
   {{0xfbc70141,0xa2c902fd,0xb3f8000e,0xd2d90450}},	//   _حاضرگه_, _analach_, _vidua_, _alwer_, 
   {{0xf202030f,0x27a60141,0xbc060378,0x0622033a}},	//   _kotiti_, _sharoiti, _kristnu_, _idroponi, 
   {{0x494c032d,0x09cc0518,0x62e80055,0x4ed90187}},	//   _артистар_, _пойдевор, _génois_, _фашистич, 
   {{0xfb690532,0xaff401b9,0x628d01f1,0xe28704d8}},	//   _postupka_, _konkerir_, _thekson_, _kalifay_, 
   {{0x57c702c4,0xe9fa01c8,0x1395046f,0xc21c0343}},	//   _навики_, _infrasau, _ebesen_, _kauhaw_, 
   {{0xaf2e015c,0x4d8600dc,0xd63e016e,0x63f80134}},	//   _festgeha, _alalaupa, _tarihini, _didun_, 
   {{0x86a803f4,0xd6220222,0xfcb60276,0xc2490206}},	//   _значит_, _courriel_, _сийрәк_, _spamom_, 
   {{0x39480177,0xab0c051f,0x1b0b0161,0xc1750587}},	//   _аграфаҟн, _ماریۆ_, _штрафы_, _assòcia_, 
   {{0xe64b02f0,0xfd8200c5,0xa35606c4,0x2dfc0349}},	//   _asahambi, _rarement_, _roterer_, _arnettwa, 
   {{0x0238006c,0x0f3501d7,0x48e500e6,0x00000000}},	// [a760] _abamazi_, _bavronda, _市人大常委会主任, --, 
   {{0x083e0040,0x929000ed,0xe9f8017d,0x230d0222}},	//   _הוותיק_, _dumala_, _byggerie, _effacer_, 
   {{0x43f8005a,0xd48f0037,0x22d9006e,0xce3001e8}},	//   _bidun_, _mengelak, _bowet_, _dunggana, 
   {{0x52900120,0xa0c5005b,0xc08e00ec,0x88480314}},	//   _afaay_, _ajvgdiaz_, _psichiko, _жәлил_, 
   {{0x18e6006d,0x6e680094,0x253a0013,0x7510050d}},	//   _частка_, _хадистер, _berilish, _guardado_, 
   {{0xdeae0212,0x6a4300bf,0xdbd602fa,0xb200020f}},	//   _skydeals_, _переселе, _amadorar, _andibi_, 
   {{0x72f004fe,0x72000026,0xa04700d9,0xfa910274}},	//   _mafiosi_, _trein_, _кислоты_, _stundarb, 
   {{0x93860175,0x084400d8,0xa2000076,0x5a9c0241}},	//   _apard_, _mollusqu, _freio_, _busheess, 
   {{0x6a8903f2,0xbb1703b8,0xf2900255,0x6d55048a}},	//   _kotimaan_, _пайдалы_, _jumala_, _италияны, 
   {{0xdfd1018d,0x66a10349,0x3cb60156,0x0a08003c}},	//   _ንጋዜጠኛታት_, _acceptsw, _ניוקלער_, _آبنبات_, 
   {{0xb2a00026,0xa30d0151,0x927b02ac,0x121301d2}},	//   _생각합니다_, _defamer_, _phleanái, _inchaj_, 
   {{0xbf3b01c0,0x42490347,0x6a960462,0x00000000}},	//   _basusuka, _skemer_, _effields, --, 
   {{0xc77901a7,0x03f9037c,0xe9770169,0x8c2900cd}},	//   _преступн, _notus_, _entiende, _charrà_, 
   {{0x1104027b,0x23bc01f4,0x66b901ee,0xb27700dc}},	//   _कोऽनुबन्, _романлар, _бердах_, _tuisugal, 
   {{0x3371029b,0x40ab0475,0xf4960227,0x29170187}},	//   _attaraf_, _этапов_, _penakluk, _пакетот_, 
   {{0x538702e9,0xa6b30105,0xda7c0450,0x72f001f4}},	//   _fueron_, _अनीता_, _europees, _oldingi_, 
   {{0xb2ce015d,0x00000000,0x00000000,0x00000000}},	// [a770] _कट्टरता_, --, --, --, 
   {{0xf3f90212,0xe7260073,0x268e02c1,0x63f901b5}},	//   _motus_, _reclamav, _perefegi, _cotut_, 
   {{0xa4b500a4,0xf2100041,0xd347019b,0x83240156}},	//   _алланын_, _адиаспор, _sukelia_, _ערהוילט_, 
   {{0x429200ad,0x921302ff,0x85040092,0x94c900be}},	//   _parahu_, _anchaj_, _トップセラ_, _جاشاشباس, 
   {{0x43700058,0xe953032d,0xa2d90265,0xa75d01c6}},	//   _julanaf_, _тыйып_, _janneke_, _steigeng, 
   {{0x63200286,0xb126004d,0xc7fc0204,0x00000000}},	//   _munyi_, _人的醫療分隊_, _влагу_, --, 
   {{0x528f017e,0xf2d905ce,0x04860052,0x42000350}},	//   _merkato_, _üyesi_, _बिहानै_, _hrmis_, 
   {{0xd60d008b,0xcae60024,0xc5fd02d3,0xf2840361}},	//   _biyolosi, _সংলাপৰ_, _островот_, _гiевттин, 
   {{0x32000005,0xbc7c0076,0x0286004e,0x4549036b}},	//   _breil_, _колекциј, _katalagm, _наградни, 
   {{0x838004df,0xec6f0133,0x66270050,0xff6902bb}},	//   _oturan_, _adareen_, _dimimiti, _अनिद्रा_, 
   {{0x22d9023b,0x44a10309,0xbec20281,0x02cf0116}},	//   _dower_, _artması_, _naaneran, _brookie_, 
   {{0x22d8018a,0x3d8f0227,0xfd9902c2,0x137f028e}},	//   _angen_, _beropera, _lisensie_, _malampa_, 
   {{0xe2a6015e,0x13f801cf,0xa3fa02a0,0xf3d4011b}},	//   _rambla_, _indur_, _ojuutu_, _tlamacaz, 
   {{0x320000de,0x9f9a0587,0x12cb03fb,0x73f8029b}},	//   _andizi_, _anèls_, _naplati_, _gidul_, 
   {{0xd20000c3,0xba7e0072,0x4bdf0047,0x191c00c5}},	//   _armis_, _sapakisa_, _atteindr, _电子期刊订阅_, 
   {{0x33f9008f,0xa11c0273,0xa2b30088,0xc2f90087}},	//   _antud_, _proveedo, _quadern_, _makhaza_, 
   {{0x92ef00dc,0xb3f80576,0x0c61017e,0xa2bb0206}},	// [a780] _moliaga_, _kidul_, _januaro_, _nenesie_, 
   {{0x1eea0272,0x60660225,0x829001d4,0x12d9007b}},	//   _abakulon, _gaganado, _lumaca_, _cower_, 
   {{0x464a018d,0xd7410220,0x224f02ee,0xe34903c7}},	//   _ፍልልይን_, _основно_, _rinomati_, _kibiców_, 
   {{0x63f9026c,0x82d60464,0xab7003fd,0xa30e0056}},	//   _totus_, _ingongo_, _pulufana_, _asebafa_, 
   {{0x64b50541,0x53570456,0x9c37048a,0x52a60255}},	//   _saradnik, _meletup_, _малову_, _kambja_, 
   {{0x9c670624,0x914d061f,0x70490144,0x1ea600e9}},	//   _wokulwa_, _nastavko, _nienacek_, _regleman, 
   {{0x920003d5,0x02d900e4,0xc0b80135,0x653701e1}},	//   _greim_, _rower_, _рстан_, _знаменка_, 
   {{0x12ef046d,0x0ea50219,0xe2d902e2,0xfefc019b}},	//   _huliswa_, _behlukan, _anweb_, _palapinė, 
   {{0x9e9b0320,0x23f8008e,0xd5260188,0x638700ca}},	//   _cukumete_, _bidul_, _abangamh, _aueren_, 
   {{0x938703ff,0x92c7033e,0x83f8033f,0x420003b0}},	//   _mokrý_, _farmear_, _kiluu_, _breim_, 
   {{0x174f0212,0xbc6701cb,0x1225001b,0x15410024}},	//   _gigivolv, _yokulwa_, _akekii_, _বিচাৰিছি, 
   {{0xfc5e0591,0x435001dd,0x0db4012e,0x72240320}},	//   _lastbil_, _abefeso_, _harisnya, _omeke_, 
   {{0xc2000027,0xbd2a01f1,0x78820253,0x220002fe}},	//   _numis_, _aksident_, _sukkasuu, _andiyi_, 
   {{0x42fe006e,0xf33d0163,0x59bc025c,0xca4f0170}},	//   _deugou_, _دیدات_, _sehenswe, _fetereza_, 
   {{0xe22a005e,0xb3eb004f,0xf96203b4,0x625b00ad}},	//   _ئۇزارتىد, _baytil_, _akanamat, _saalam_, 
   {{0x42d803a8,0xb1970498,0x325b02f6,0xeef2038e}},	//   _eigen_, _kosačky_, _paalam_, _फुलके_, 
   {{0x89bf0081,0xb54502af,0x320002cf,0x00000000}},	// [a790] _landeige, _nizikwiy, _sumiu_, --, 
   {{0xcf690074,0x025b055f,0xb200040f,0x1bf702a1}},	//   _принимае, _dublaj_, _mumis_, _plettenb, 
   {{0x822a0276,0x835301a3,0x6387030a,0xff570145}},	//   _полат_, _دهمان_, _queren_, _vakarien, 
   {{0x22000499,0x3daa0307,0x4666014c,0x00000000}},	//   _filisi_, _elingafa, _kuphunyw, --, 
   {{0x1b33028b,0xcf790071,0x32000115,0x74ac012a}},	//   _алаирхәт_, _کالیفرنی, _tumit_, _adaptacj, 
   {{0x527f0119,0xbfdb0256,0xab7c0061,0x45bd003f}},	//   _vranov_, _psihotro, _느낀다는건_, _lupabtah, 
   {{0x2d270060,0xe7c10026,0x52d50298,0xe4b7061e}},	//   _иранның_, _waarschi, _ripoata_, _bloqueó_, 
   {{0x920002ce,0xb73b0035,0x09a403d4,0xdc7003c2}},	//   _kumis_, _vedomstv, _незаврше, _amassee_, 
   {{0x02d801d3,0x82000159,0x42ad003c,0x7a960181}},	//   _inget_, _jumis_, _هارددیسک_, _fornyels, 
   {{0x7a8a0311,0xca7e01c2,0xad1b04b4,0x00000000}},	//   _ekziston_, _atravesa_, _massemor, --, 
   {{0x37a50028,0x0ebd012a,0x46b7031e,0xe29002ce}},	//   _sharafti, _reguluje_, _ogromnoj_, _caian_, 
   {{0xa3780144,0xf2fc01d9,0xa3be01e9,0x02d8008c}},	//   _codanna_, _menges_, _dirwang_, _aigen_, 
   {{0x794b01b8,0x031702c8,0x5206030f,0x42380285}},	//   _kilomeet, _chuza_, _arikinui_, _abamuzi_, 
   {{0x0b880166,0xef5e0152,0xb394047b,0x00000000}},	//   _trainier, _firqäse_, _hvissi_, --, 
   {{0xd8fd0609,0x26ce0437,0x4ae900cf,0x00000000}},	//   _igualdad, _behageli, _foormaat, --, 
   {{0x3c550022,0x4cc602ec,0x2200000a,0xf35b045f}},	//   _aletare_, _پُھٹرٲوِ, _sumit_, _fungera_, 
   {{0xa2920172,0x46b80015,0x72e90242,0x00000000}},	// [a7a0] _aduann_, _horaanti, _auditin_, --, 
   {{0xa4d40066,0x78670041,0xe287012e,0x82d80122}},	//   _японы_, _агәберна, _سفیان_, _anget_, 
   {{0x8fc30093,0xfc7500db,0x1b1a018d,0x13e00749}},	//   _ноябре_, _सुन्नर_, _ብስእነት_, _avumelek, 
   {{0x499e00fe,0x9dd2015e,0x129001c2,0x60030153}},	//   _kaikaila_, _subjecte_, _vaian_, _で見られます_, 
   {{0xfc740709,0x82060059,0xb3480120,0xf2d8017d}},	//   _विट्ठल_, _местните_, _esserih_, _pigen_, 
   {{0xbe7000c3,0xac6100ef,0x7143051a,0x4f65001c}},	//   _amicitia, _emsulwa_, _dikecual, _eksplika, 
   {{0x047f0066,0xf2620222,0x7eef00d6,0x73230397}},	//   _baterako_, _suffisam, _fiosraío, _алафи_, 
   {{0x40660041,0x801e00af,0x472900d6,0xfb180112}},	//   _аусзуҩцә, _forvaltn, _deasghná, _padamkan_, 
   {{0x86810144,0x32d80190,0x623701c9,0x251a0037}},	//   _وجداره_, _tigen_, _marju_, _መጠቀሙን_, 
   {{0x73f8025b,0x33200338,0xfdbd0109,0xb2ec00bf}},	//   _bilum_, _afichas_, _firemníh, _аллак_, 
   {{0x6c760217,0x43de02b6,0x22d10034,0x7ef70205}},	//   _clauder_, _өртеп_, _umgengni_, _силлиқ_, 
   {{0x7386001a,0x30ed00ad,0x2f5d02be,0x9bf700c7}},	//   _ipari_, _katingal, _humanton, _алмадыла, 
   {{0xbc0403b9,0x32000105,0xab1b019b,0x200601a3}},	//   _apasini_, _armii_, _šypsena_, _ڪرافٽ_, 
   {{0x476f01dd,0xc4b30226,0x987400e2,0x00000000}},	//   _amuhamag, _kumadzik, _tiisdeis_, --, 
   {{0xf40100ca,0x843e01cd,0x62eb018d,0x28090126}},	//   _solucion_, _таъна_, _ንረዲኤት_, _компанію_, 
   {{0xc2000022,0xfae40169,0xa8480061,0x003d0127}},	//   _pilisi_, _জাপানে_, _귀책사유로_, _diogelro, 
   {{0x72d8005b,0xe29004ea,0x2fd50029,0xa2b40036}},	// [a7b0] _anges_, _saian_, _هۆتێلی_, _anocht_, 
   {{0x63ea013b,0x33f800bc,0x923a002e,0xb75b0305}},	//   _comté_, _unduh_, _primaju_, _grunneig, 
   {{0x244a0071,0x59f601d5,0x75c00352,0x7cf501df}},	//   _آتلیه_, _فوٹیج_, _ভাইৰেল_, _pondered_, 
   {{0x86a80528,0x995b0243,0x67ed02fc,0x00000000}},	//   _bharrach, _taylamme, _batangag, --, 
   {{0xe3860203,0x5dbf0006,0xd5fb0226,0x72000076}},	//   _apari_, _begitula, _akumadzi, _areia_, 
   {{0x020003f0,0xc2f9018d,0xc2d80455,0xe840026c}},	//   _sumir_, _ብምቅጻል_, _chiens_, _operibus_, 
   {{0xe6d00375,0xff6000d6,0x42e90227,0xb2d805b9}},	//   _musamali, _athainmn, _gigitan_, _unges_, 
   {{0xad49015e,0x1292019f,0x93430260,0xf5e1045f}},	//   _кардарла, _haramu_, _espello_, _arbetssö, 
   {{0xfbb70219,0x354a03cb,0x88d30008,0x32d800e2}},	//   _ayikacac, _porriño_, _домбра_, _rioel_, 
   {{0x00f20012,0xd7290092,0xbf2700fd,0x7fe000d1}},	//   _कटावऽ_, _ジについて_, _maireara, _মষিমূৰ_, 
   {{0x0305005e,0xeecb019f,0x0c2d00d6,0xbe3801ac}},	//   _ﭘﺎﺭﻭﻟﯩﻨﻰ_, _ushindan, _meirgí_, _arrachta, 
   {{0xa2d8013a,0xd4960061,0x87d60297,0xeb5d0244}},	//   _enger_, _가격보상은_, _авиадисп, _маршрути_, 
   {{0xb24a0130,0x1c5301d9,0x0c7f005a,0x00000000}},	//   _burmek_, _grethen_, _saduqay_, --, 
   {{0xc87e0044,0x1ec80444,0xf29101eb,0xe9a10258}},	//   _רויטרס_, _областей_, _imbate_, _taljocht, 
   {{0x125a0538,0x73a9042e,0xcc7604cc,0x4e310060}},	//   _enkle_, _erfaring_, _fatseng_, _السادا_, 
   {{0xe224006e,0x4b830009,0x501703dd,0xb23a0161}},	//   _bakkum_, _pretečen, _sovjetik_, _арендато, 
   {{0x37db008f,0xb2920097,0x6f680080,0x5c6f00e2}},	// [a7c0] _प्रक्रम_, _baramu_, _arpaliun, _hearden_, 
   {{0x32d902e0,0x33400058,0x75810010,0x26f202b9}},	//   _akantse_, _ganetan_, _betemabh, _mentessé, 
   {{0x73ea00bc,0xd2870028,0xc9380037,0x00000000}},	//   _pinter_, _galiyay_, _የማምነው_, --, 
   {{0x126700e9,0x9358019a,0x3dcc00c1,0xe88400bf}},	//   _ankonfli_, _ampenly_, _seakurat_, _вĕренеке, 
   {{0x7fc2051b,0xa38700d9,0x65ca02fe,0xd2920239}},	//   _zapomeno, _auerin_, _برامته_, _taramu_, 
   {{0x475b0158,0x826e00d2,0xc2540113,0x6200018b}},	//   _भूस्खलन_, _oksidasi_, _ambasáid_, _preia_, 
   {{0xaea503bf,0xb38a00b3,0x1d6303fe,0xc36c0099}},	//   _arolelan, _altydan_, _служилые_, _dongozi_, 
   {{0xa29201e5,0x12920478,0x2b2d0452,0x00000000}},	//   _daraju_, _basats_, _karangas, --, 
   {{0x061300bf,0x996e02ff,0x328a027b,0x49ed0108}},	//   _перенося, _aksidant, _क्रोधं_, _galunggu, 
   {{0x52250334,0xa200018b,0x00000000,0x00000000}},	//   _abakha_, _treia_, --, --, 
   {{0x376700ba,0xe200013a,0x72d8008e,0x77bc0162}},	//   _بگوازنه_, _krein_, _digeb_, _шуларниң_, 
   {{0x7981020f,0x13f90318,0xab67019b,0xe8c504a7}},	//   _ورنکړ_, _motuu_, _visokių_, _artellad, 
   {{0x95b80161,0xa35b01d2,0x928e03f2,0x00000000}},	//   _небыло_, _galgada_, _turkuun_, --, 
   {{0xcfc90425,0x82000039,0x0b330268,0x4d8a02e1}},	//   _وتیشی_, _erein_, _aumburgs, _votepage_, 
   {{0x2be30397,0x3291003a,0x62a9002b,0x24a301bd}},	//   _isambulo_, _avvalo_, _যৌথভাবে_, _бойлай_, 
   {{0x02000374,0x9f3901e1,0x0dc50126,0x9b2d01b0}},	//   _ismim_, _аралашҡа, _алкоголі, _barangas, 
   {{0xf5030028,0x2dd702bd,0xd9e6006c,0xb2ea01eb}},	// [a7d0] _کانجا_, _detholia, _мастура_, _burián_, 
   {{0x8dfd00a6,0xedea0488,0xd2300109,0x6212028f}},	//   _بلاتر_, _privātu_, _ऋषिपञ्चम, _neehi_, 
   {{0x4d8703c2,0x638d0013,0xe3e00052,0xb08e0178}},	//   _credence_, _اشکار_, _अक्षराको_, _bhāsayat, 
   {{0x4a14020f,0x95f800b7,0xbb5603bf,0x28a80206}},	//   _ababande, _гаралавч, _третьяк_, _odlíšiť_, 
   {{0xcb95063e,0x5eb1048f,0x5b0d045a,0xb14002ba}},	//   _inzistir, _debrinde_, _morsomme, _беибо_, 
   {{0x46fc0156,0x95aa025e,0x62cc0203,0xa2d8018c}},	//   _אלגאזי_, _plastpok, _utilabl_, _snoep_, 
   {{0x677d01f6,0x92000455,0x3554015d,0x2292005d}},	//   _লক্ষ্মীন, _frein_, _मानेकशॉ_, _karaku_, 
   {{0xa20003f7,0x9bd80366,0xc6d8008d,0x816d032d}},	//   _grein_, _вначале_, _лидерлар, _ditshomo, 
   {{0x03800003,0x09cf013a,0x1307023e,0x00000000}},	//   _sturen_, _allermee, _dipacak_, --, 
   {{0x4d0d020f,0xfe4a0219,0x00000000,0x00000000}},	//   _دزندان_, _ihlalele_, --, --, 
   {{0xd5320755,0x538601b7,0x92b70137,0x00000000}},	//   _सत्यानास, _aparo_, _сиднейн_, --, 
   {{0xd28602fd,0x1c0b0151,0x00000000,0x00000000}},	//   _dunkeld_, _binshey_, --, --, 
   {{0xd92e0300,0x426e0513,0xf48900b7,0x99c702ea}},	//   _adaptér_, _eksoda_, _назарлая, _багажа_, 
   {{0x32fe03c3,0x44b700bc,0xe3540294,0x00000000}},	//   _drugog_, _مکیدن_, _ephesos_, --, 
   {{0xdc1401aa,0xd6a70513,0x4e480414,0x5399040a}},	//   _ampstay_, _hungunyi, _lukaliba, _väsby_, 
   {{0x866201c0,0xe20000a9,0x493a002a,0xcc6706a0}},	//   _bunkasuw, _indimi_, _daalukwa_, _pagtaas_, 
   {{0x527d0498,0x960c0094,0x5396021c,0x853f005b}},	// [a7e0] _internát, _تايازدان_, _korzety_, _alohaloh, 
   {{0xc74200ea,0xf3ea022c,0x685500d9,0xf30b004d}},	//   _pianakav, _lintar_, _школьниц, _伐獨木舟垂釣看犀, 
   {{0x721d0013,0x95d70223,0xc15601c8,0xcf2401d2}},	//   _ғафур_, _бактериу, _modlitby_, _escuelap, 
   {{0x09930211,0x82c10066,0xc103004b,0xddd401b3}},	//   _hankalaa_, _mailara_, _itokisel, _класами_, 
   {{0xf5d2008d,0xe20200ad,0xc5c902fe,0xdc1d0259}},	//   _هملنده_, _nepika_, _تصویرونو_, _droppet_, 
   {{0xa2a604f2,0xd23204e7,0x32120020,0x1dc301c1}},	//   _chibbi_, _znameho_, _efeho_, _ceritaka, 
   {{0x6b9b0021,0xc2000020,0x00000000,0x00000000}},	//   _anchesbr, _liligi_, --, --, 
   {{0xc2880102,0x4f250258,0x18150420,0xabc70152}},	//   _wilayani_, _efterkan, _будала_, _башлану_, 
   {{0xc201012d,0x62000362,0x7fe30102,0x2c770131}},	//   _atuim_, _andimi_, _لاپته_, _posuír_, 
   {{0x261c00e6,0x082700a4,0x86b60486,0x2f48013a}},	//   _为灾区人民祈祷_, _جاشاشات_, _गश्ती_, _entgéint, 
   {{0xc26302ec,0x1119020a,0x884f0486,0xa2eb03dc}},	//   _تماشہِ_, _форумның_, _celorepu, _arminum_, 
   {{0x22000085,0xc86f02eb,0x89590127,0x92f502bb}},	//   _biligi_, _офицеруу, _barrekoc_, _kominek_, 
   {{0xada0036c,0xe20502a4,0x82000225,0xa2880162}},	//   _anankira, _novissim, _oreit_, _ойлаш_, 
   {{0xa43301e5,0x5183011a,0xb9d300f8,0x00000000}},	//   _arekerek, _בארהב_, _সিদ্ধার্, --, 
   {{0x65bc017d,0x9dc20016,0x729201b8,0x9c2c00a7}},	//   _リンクについて_, _bonifika, _paraku_, _basquet_, 
   {{0x0c6701cb,0x38a50039,0x6b3e002b,0x82ea0159}},	//   _nokulwa_, _тугалга_, _যৌক্তিকত, _anonsas_, 
   {{0xab4d0089,0x3aa2019a,0xe3ea0228,0x79ba01cf}},	// [a7f0] _binaları_, _cadherin_, _sjette_, _deveniva_, 
   {{0xf1cc004a,0x4c680037,0x24af0230,0xc8410156}},	//   _сынау_, _ያካሂዳል_, _familyal_, _abelbred, 
   {{0xc60d0215,0x53a2026c,0xe81a0061,0x67a80037}},	//   _utfordri, _templa_, _없었으므로_, _የተወከሉ_, 
   {{0xe0e80437,0x92020057,0x42120218,0x02fc0211}},	//   _betingel, _entiti_, _allhay_, _rengas_, 
   {{0x1ed40051,0x7a520150,0xf2e7018b,0xe3540095}},	//   _palielin, _malekula_, _фармек_, _cileles_, 
   {{0xc2000125,0xc2ef046d,0x020004b1,0x6e5d0297}},	//   _indiki_, _gudiswa_, _greit_, _таратуда_, 
   {{0x9f460041,0xf2c40296,0xb04a0092,0xa5f30156}},	//   _аныҕәҕәо, _inomhus_, _rubrikan, _שטנעמ_, 
   {{0xf9cb00c7,0x415d02e5,0xe02300d0,0xfd110100}},	//   _analarga_, _комиссиа, _дохиод_, _krastavc, 
   {{0x11df018d,0x661e0121,0x1c6d0036,0x930201d7}},	//   _ኣማኒኤል_, _devoluci, _scortha_, _rehanau_, 
   {{0xef9201db,0x6a250272,0x22fc026b,0x1e06004d}},	//   _رومانتيك, _abachaga_, _tengas_, _並告知她的壽命只, 
   {{0x83e00479,0x7db501a4,0x83a20217,0xc9b80216}},	//   _héten_, _babianga, _culpos_, _kaneriwa_, 
   {{0x55970271,0xa38002a7,0xb5cb0309,0xd26400c5}},	//   _forsterk, _iturin_, _salamlay, _boules_, 
   {{0x5e8b0040,0xf2970040,0x32ea0073,0x303a0168}},	//   _בהיכל_, _יתכנו_, _medievo_, _intensjo, 
   {{0xb22701a3,0x1224006a,0xd5410029,0xd290035d}},	//   _ڪاسترو_, _omeko_, _بیخاته_, _gumama_, 
   {{0x910402a5,0x82900119,0xe6c401a4,0xe98c00cb}},	//   _seriály_, _sumala_, _básalela_, _akuhlobe, 
   {{0x7290010b,0x26ee02f0,0xe2640242,0x7be801db}},	//   _aumama_, _bemabelw, _yerlik_, _формалды_, 
  
   {{0x49f10701,0x82870513,0xb2000166,0x5c760202}},	// [a800] _lupipaxa_, _databazi_, _breit_, _inireti_, 
   {{0x7f95016d,0xac6a02a8,0x1d900303,0x80fa0311}},	//   _ئۇچقۇر_, _danubju_, _dumelane_, _ስጊንጢር_, 
   {{0x2a6e0335,0x948602d5,0x003c0014,0xa75803f2}},	//   _anñjayit, _कोराजी_, _seleksio, _верхнюю_, 
   {{0x7f0b02d3,0x73a2022f,0x262a01ac,0x00000000}},	//   _опремата_, _klipai_, _براويز_, --, 
   {{0x4b400026,0xf2000195,0xe2c501e5,0xd356028d}},	//   _남겨주세요_, _greis_, _adeleke_, _enteres_, 
   {{0xc1e30185,0xde3f02c2,0x2c7d00c1,0xd54502c7}},	//   _agroprom, _sekondes_, _persiba_, _volkssch, 
   {{0xa2e901da,0x53170055,0x729102ac,0xd9430364}},	//   _gjendet_, _verbali_, _preasa_, _gummibae, 
   {{0x32000119,0xb3d50193,0x12fe037f,0xcc900140}},	//   _kreis_, _चिकित्से, _satilir_, _kumulang_, 
   {{0x6d7001a7,0x334300c8,0x92fe0102,0xa35402ff}},	//   _varmista, _фотоға_, _matajiri_, _entenet_, 
   {{0x1615035b,0xcb550237,0x748002bb,0x14490008}},	//   _veseljem_, _goederen_, _प्राइज_, _татаалды, 
   {{0x625f04a1,0x13f5017e,0x69b00241,0xd64f0299}},	//   _sesamfrø_, _konservi_, _burjaaje, _ئادۋۇكات_, 
   {{0xadf50217,0x2e1a04d2,0xbd0701f2,0x4edf025c}},	//   _conducte_, _eigenska, _раюнлуқ_, _broschür, 
   {{0x363001a4,0x3f1c0462,0x31c9010f,0xdc520037}},	//   _akuntabi, _augustwa, _дости_, _ስታንዳርድ_, 
   {{0xf9f30369,0x53eb00de,0xb0110059,0x25f6048a}},	//   _haunauma_, _bayohluk, _graduato, _قۇربىعا_, 
   {{0xfb0f0386,0x035f0107,0xa056023e,0x737f003b}},	//   _mengatas, _anggane_, _dagienkz_, _ishatha_, 
   {{0xa20002e1,0xfc4701ef,0x929002f6,0xe2ec0077}},	//   _breis_, _разгону_, _sumama_, _anbiske_, 
   {{0x9730015e,0x320102c2,0xe2650328,0xcc65002e}},	// [a810] _имаратта, _bruid_, _capriogl, _izvuče_, 
   {{0x1e2e016d,0xa2a70090,0xf2e90324,0xb2b500da}},	//   _материял_, _ahabhi_, _amagumbi_, _sarcinii_, 
   {{0x7b0102e5,0xa2900087,0x00000000,0x00000000}},	//   _asososca_, _fumaka_, --, --, 
   {{0xc20000cd,0x390a0164,0x8db40061,0x529000ad}},	//   _treis_, _канадади, _사람에게는_, _rumaja_, 
   {{0x183702d3,0xb20003ec,0x400f00bb,0xf2fc00ad}},	//   _реакција_, _armiq_, _روہنگیا_, _cengos_, 
   {{0xc2900320,0x8c40036d,0x00000000,0x00000000}},	//   _humaka_, _neochoir, --, --, 
   {{0x12ca00c0,0x626c014e,0xe25b028a,0x2ee3017a}},	//   _bundok_, _lekova_, _saalim_, _abiyatha, 
   {{0xfeda0057,0x02fc0448,0x4f9c0128,0x2e17004b}},	//   _ቅቅቅቅቅ_, _gevinst_, _сидқидил, _гаевой_, 
   {{0x7d9b0148,0x056a0238,0x82900439,0x040c0397}},	//   _政府出版品_, _приблизн, _dumaka_, _гаронтар_, 
   {{0xdda90386,0x624a031a,0xa53f023b,0x763f0037}},	//   _menunggu_, _chumar_, _oloheloh, _ልንገራችሁ_, 
   {{0x2eb40032,0x4c7600af,0x1b140338,0xceb000c5}},	//   _nacelles_, _snarvei_, _marselha_, _部分学会主要活动_, 
   {{0xc2900084,0x66a80013,0x8c9c0125,0x62ef0006}},	//   _kumaha_, _امیدقیله_, _гуйды_, _kakinya_, 
   {{0x054800bf,0x867b0094,0xaf690273,0x96c60039}},	//   _собрания_, _تىلەسەك_, _tamaños_, _навчис_, 
   {{0xc9b30200,0x8d040518,0x512702d3,0xf2b600e6}},	//   _akukọala_, _huzurlar, _сатори_, _garcon_, 
   {{0x1f37016d,0x8d1b026c,0x357b02cf,0x12dc0032}},	//   _аразлиқ_, _memoriae_, _simulaçã, _nilosli_, 
   {{0xd3f80245,0x026e00ea,0xb2920476,0xa79f031a}},	//   _ailut_, _antoko_, _abramu_, _caitligi, 
   {{0x534000da,0x2e1a0386,0x8ac00285,0x0c3402ea}},	// [a820] _suceava_, _memeliha, _abakiris, _discuter, 
   {{0xe27e0075,0x7f66000a,0xf977013c,0x3e2a00c7}},	//   _seinnu_, _allaluun, _istifade, _биздерде, 
   {{0x6c1c012c,0x9deb0207,0x07a0020e,0x22c70054}},	//   _mafundis, _سڃاتا_, _diyuniti, _barebari_, 
   {{0xce430082,0xd207023b,0x42890247,0x8d3003e6}},	//   _ambaliya, _lahilahi_, _andayani_, _désaturé, 
   {{0xecb402fe,0xdb7102af,0x52eb0211,0x5a870381}},	//   _استعماری_, _abishura_, _otsikko_, _aadiyats, 
   {{0xfda20044,0x6ecf0044,0xa2b90294,0xec5a0109}},	//   _קונדיטור, _visitors_, _amataqyá_, _mistři_, 
   {{0x8b190526,0x3ae50067,0x4dfb0318,0xf4980094}},	//   _batalkan_, _aferamte, _felenite_, _تاماشاەك, 
   {{0x63f80159,0x82b40234,0xf2fe01dd,0x00000000}},	//   _kilus_, _tónbò_, _batakiri_, --, 
   {{0xa316005b,0x9e960291,0x1712020a,0xc93e02e1}},	//   _kaizen_, _خرجوا_, _поштаға_, _tarmlige, 
   {{0x920001cc,0xf2da00a7,0x82c30350,0x23870276}},	//   _asmin_, _aquell_, _terlupa_, _بىلگۈچىد, 
   {{0x020000ea,0x4e2505c2,0x5a4400f7,0x00000000}},	//   _mahita_, _lingedza, _adresita_, --, 
   {{0x125b027a,0x81690425,0x9b0e02ee,0x566e027b}},	//   _posle_, _فرانکی_, _sensiela_, _शुभाशुभम, 
   {{0x73960117,0xe31602f7,0xa34c03f2,0x00000000}},	//   _tausen_, _bonnyeng_, _крушения_, --, 
   {{0x12000183,0xd62c0425,0x549c03db,0xea0803b7}},	//   _nahita_, _ستالین_, _bayakwaz, _armacist, 
   {{0x5eae036d,0x3b2d003c,0x39940211,0x00000000}},	//   _challain, _ازدیاد_, _vanhalla_, --, 
   {{0x82900245,0x2bd903a2,0x68a001ab,0xfc6b038e}},	//   _kyiad_, _सर्राफा_, _पच्छिम_, _झिम्मा_, 
   {{0xd2fc022c,0x72d002e7,0x91730032,0x08830278}},	// [a830] _sungut_, _ersonal_, _duchargh_, _ketidaku, 
   {{0x550400b4,0x7f000291,0x7b720007,0x00000000}},	//   _produsul_, _الغشاء_, _kututana_, --, 
   {{0x12d5037c,0xe653019b,0x00000000,0x00000000}},	//   _nihonto_, _безумоўн, --, --, 
   {{0x7103014d,0x22c203a4,0x0c680264,0x0200006e}},	//   _tankstel, _billán_, _kagrupo_, _gueir_, 
   {{0x58c0026c,0x00000000,0x00000000,0x00000000}},	//   _invenitu, --, --, --, 
   {{0x49870007,0x62c30202,0x9e18015d,0x77c1031a}},	//   _batiyaka_, _ipolowo_, _अल्बीना_, _fairichi, 
   {{0xe72c011e,0xd2ec00be,0xc26602a8,0x38480311}},	//   _ekstrenm_, _албаш_, _immobbli_, _በሪሁልና_, 
   {{0x23bb023e,0xaa0401b9,0xaf380185,0x4a6b02f7}},	//   _مسواک_, _israelye, _метросы_, _mokopats, 
   {{0xbd860220,0x6f0201e1,0x2d1401eb,0xb68300be}},	//   _награди_, _икала_, _karseler, _كۅكشۉن_, 
   {{0xb4c706cb,0xbf1300ae,0x4fed04c7,0xedaf01bb}},	//   _buscando_, _atitwara, _издали_, _әшгәр_, 
   {{0x0e73008f,0x5d0400f5,0x157900bb,0xa6170372}},	//   _मुद्द_, _arzuwlar, _صوبیدار_, _mwslemai, 
   {{0xbe4802f6,0x2a69037f,0x00000000,0x00000000}},	//   _kinalaba, _todorovs, --, --, 
   {{0x32d803e6,0x3d1f000c,0x4e68011a,0x188004df}},	//   _vigel_, _иртәу_, _ההימורים_, _böküşine_, 
   {{0x9a6b01f0,0x50cf02aa,0x00000000,0x00000000}},	//   _bokopats, _neplatil, --, --, 
   {{0xce9200a2,0x62970105,0xdb28045a,0x7e1c032d}},	//   _پاڻهي_, _रेवासागर_, _straffes, _bosetjha, 
   {{0x929000ac,0x31f80304,0x00000000,0x00000000}},	//   _pomalo_, _qadariah_, --, --, 
   {{0xd995037c,0x737900b9,0x9d820249,0x5e4901a7}},	// [a840] _kockerbe, _rupanya_, _sedemaot_, _советуют_, 
   {{0x3f650343,0x172e00be,0xa200029b,0xb25201e7}},	//   _gitandin, _رتمەبىز_, _fumiy_, _matthuel, 
   {{0xb2f304cb,0x5f0a0153,0x76b70529,0xfaf30291}},	//   _proiect_, _をご確認下さい_, _narodnoj_, _إحتراف_, 
   {{0x6e5501f4,0xd9dd008c,0xb9e200a6,0xe29102fd}},	//   _اوچته_, _staffett, _داسيا_, _creaga_, 
   {{0xff4500d1,0x3c2a0161,0xf2ec02ca,0x00000000}},	//   _চৈতন্য_, _практико, _thaisme_, --, 
   {{0x217f00a4,0xb5ea00b1,0x66160360,0x07990022}},	//   _espanyol, _koomhaum_, _stravová, _тракторы, 
   {{0x0c0c0391,0x13f702ea,0x5fdb03fb,0xe0d90311}},	//   _форумынд, _ammortiz, _zauziman, _ዚምባብወ_, 
   {{0x60890102,0xb0fb00c1,0xeecc0046,0x00000000}},	//   _دولتپور_, _kedisipl, _derivats_, --, 
   {{0xb67e0026,0x0c7e04b9,0xd2eb02a4,0x617f000f}},	//   _streetvi, _bursten_, _similem_, _ispanyol, 
   {{0x23030080,0x26e8012c,0xe59d0066,0x19e3063e}},	//   _allanit_, _جهاندادس, _машинууд_, _europska_, 
   {{0xa0d000bc,0x33e001ce,0x7dc1034e,0xf9e40183}},	//   _amdolmal, _wétan_, _afrikama, _salomona_, 
   {{0xf3940473,0x9742036c,0x19cf02f8,0xbe350269}},	//   _weise_, _mianakav, _heheeeee, _collares_, 
   {{0x1342035d,0x9c890040,0x5cb80127,0xf047050e}},	//   _pobedio_, _נחיתת_, _dafariad_, _nepromen, 
   {{0x51b3051f,0x124f0347,0x19670452,0x00000000}},	//   _ئاگرو_, _bogenoem, _बंधनात_, --, 
   {{0xc72e0197,0xb884000a,0x3e3603c5,0x5d0800d1}},	//   _belleriv, _anikkusu, _bangunka, _ডালিমীৰ_, 
   {{0xc3f80036,0x7da3025f,0xd5c5012e,0xcfaa0052}},	//   _chlub_, _bakomela, _abbahagy, _सत्ताको_, 
   {{0x43490381,0x1d320434,0xbab10097,0x23400304}},	// [a850] _aindray_, _defiende_, _oníṣèègù, _ganesan_, 
   {{0xd35403ae,0x6622036c,0x02ef02e0,0xec020281}},	//   _tidenes_, _bitrokel_, _gudigwa_, _danskeq_, 
   {{0x9c9303ce,0xbf46002b,0xf949060d,0x22900115}},	//   _ساکار_, _উৎপন্ন_, _वेभसाइट_, _aziah_, 
   {{0x13470192,0xc2f103a0,0x63ce0468,0x6feb0242}},	//   _vandaar_, _bosinyi_, _axove_, _sinyoran, 
   {{0xe549019b,0xf20003b0,0x7fc3015c,0x00000000}},	//   _правааба, _dreiv_, _schieter_, --, 
   {{0x89400005,0x2742036c,0xca500147,0x91110627}},	//   _secundar_, _fianakav, _جۇۇچۇعا_, _hawksbil, 
   {{0x12020388,0x922404e5,0x92880031,0xeda0015a}},	//   _ultimi_, _emeka_, _dilayani_, _baandira, 
   {{0x7cdd017e,0xd35400c3,0x827703db,0xde570424}},	//   _privatec, _fideles_, _elangeni_, _asociate_, 
   {{0xe30300c9,0x09c102e3,0xb3ac005b,0xc380029a}},	//   _dafabet_, _tiềnphon, _dipper_, _latrap_, 
   {{0xdea80567,0x6a3f0425,0xec680036,0xf5270113}},	//   _başlandı_, _وماده_, _patrún_, _ووردبريس_, 
   {{0x5434027f,0x47010163,0x9265004a,0x5cff00a6}},	//   _bicayemo_, _katonák_, _bertörle, _خصوصأ_, 
   {{0xe2d80255,0xa2d9018a,0xa2d800bd,0x02480007}},	//   _pigem_, _anwen_, _chiels_, _moombo_, 
   {{0x52910139,0x69ed017d,0xba0c03e2,0x351f0277}},	//   _ambare_, _naturvid, _empanada_, _gianunsy, 
   {{0x037900dc,0x33a20155,0x00000000,0x00000000}},	//   _gapatia_, _valpar_, --, --, 
   {{0xe0780040,0xfda503ab,0xa29001c7,0x6ea60161}},	//   _בגיזרה_, _rafinova, _bomako_, _жанров_, 
   {{0x324600e6,0x3c5f0117,0x026c0334,0x2e5803b8}},	//   _中国消除贫困奖评, _pastaim_, _chinyezi_, _кабельді, 
   {{0x00870244,0xa2fc04ca,0x4d400093,0xd41300be}},	// [a860] _природат, _lengas_, _северной_, _باادا_, 
   {{0xf1c1036f,0x55b900c4,0x6b830059,0xe0dd003c}},	//   _pritisak_, _چوپايو_, _delicato_, _میاری_, 
   {{0x8300033f,0x372c0040,0x687300d9,0x8c330156}},	//   _kalafii_, _בהנדסת_, _железобе, _טאביק_, 
   {{0xa3ce015b,0xea7102c1,0xb59f02f8,0xe34100ea}},	//   _solvem_, _amagweja_, _kongalah, _anjelin_, 
   {{0xae4c0568,0xe2d8029b,0xf45f0170,0x00000000}},	//   _datasett_, _faworit_, _kulengez, --, 
   {{0x52000590,0xf0970211,0xc3e000c5,0x59750198}},	//   _milioi_, _selittää_, _béton_, _natisnit, 
   {{0x0fc10606,0x634f012e,0x0baf03df,0x42e90087}},	//   _gapeletš, _betegek_, _skuleåre, _letinga_, 
   {{0x4427037f,0x6cfa01b7,0x49b1033a,0xe200011c}},	//   _kursunun_, _शिवमीडे_, _burdnara_, _gilini_, 
   {{0xb38603b9,0x3ce50162,0x4d0d00d1,0x2e7e00e5}},	//   _aparu_, _باقىمەن_, _গুটিবোৰ_, _колекции, 
   {{0x82000049,0xe2b602a6,0xf20203dd,0x062c027b}},	//   _ailini_, _cardone_, _botimi_, _थरॊणम_, 
   {{0x1c71001b,0x491d02d4,0xc25f028d,0x5a190393}},	//   _barresu_, _avertüra_, _pwendevi_, _izabrala_, 
   {{0x4d6101d5,0x438f03db,0x320201da,0x7fa0011a}},	//   _بلندیوں_, _amnyama_, _votimi_, _במפתיע_, 
   {{0x8db90349,0x5d3d005e,0x5ecc0004,0x720002a8}},	//   _ignifica, _ﺟﻪﻫﻪﺗﺘﻪ_, _defisyan, _fidili_, 
   {{0x82fc01b0,0x02ca0456,0x8200004e,0x134f03b5}},	//   _bengis_, _gundik_, _gidili_, _meleleh_, 
   {{0xf5f5000c,0xe26c00a2,0x1294014b,0x986d02a4}},	//   _амнистиа_, _uzinduzi_, _dankali_, _bernardu, 
   {{0x520100e0,0xe7e402d5,0xd28b034e,0xece502fe}},	//   _stuit_, _negatiiv, _allampam, _مېشته_, 
   {{0xc23601d8,0x8a7d0326,0xb9ed01b7,0x00000000}},	// [a870] _ranjan_, _achamira_, _caturvid, --, 
   {{0xbe49004b,0x43f80085,0x00000000,0x00000000}},	//   _difapane_, _walui_, --, --, 
   {{0x4e4f02f6,0x46e8005d,0x59f903e6,0x00000000}},	//   _pinakama, _bioceani, _bopannet, --, 
   {{0x00000000,0x00000000,0x00000000,0x00000000}},	//   --, --, --, --, 
   {{0x23b0032e,0x83ec000d,0x6d8202b9,0x1a3e015e}},	//   _manqa_, _vaimulik, _belehalt_, _жарлыгын_, 
   {{0xd5d30162,0x0a020249,0x0db90021,0x8df80156}},	//   _буюмлири_, _kwiriniu, _agnifica, _געװיזן_, 
   {{0xb2000518,0x139402d4,0xfaf10204,0xf36c0080}},	//   _tilini_, _meisa_, _superpes, _diegomi_, 
   {{0xe259024c,0xc3f901c5,0xe63f0092,0x8d1203e0}},	//   _partikol, _intuu_, _この商品を買った, _weisandr, 
   {{0x78ba0061,0x9ad1014d,0x12b6033d,0xb2b6028d}},	//   _싱가포르는_, _bestandt, _bazdone_, _pardone_, 
   {{0xa291018b,0xb1140037,0x229104d8,0xec7601e9}},	//   _treaba_, _የመመዝገቢያ_, _nacayb_, _latsang_, 
   {{0x258e02fe,0x8c6a01e6,0xc681008a,0x618a0037}},	//   _isatifik, _postupy_, _kalevari, _የሚፃረር_, 
   {{0xe34701d3,0x43f402b7,0xfa14038a,0x454a007e}},	//   _handlar_, _mbuttu_, _awyayala_, _निषेवते_, 
   {{0x93b000cf,0x47c70388,0x639400a3,0x9c760059}},	//   _danqa_, _кабини_, _beisa_, _padroni_, 
   {{0x94e001db,0xa5a40265,0x493e02e5,0x335702f2}},	//   _الۋمەن_, _klassiek, _bulletft, _espesor_, 
   {{0xe2ed025c,0xef850079,0x53ac0071,0xef4703c8}},	//   _dennoch_, _prezentā, _krupuk_, _langkahn, 
   {{0x9daf017a,0x6202018e,0x13b602cb,0x00000000}},	//   _akangaba, _kotiki_, _nazvana_, --, 
   {{0xf9fc012e,0x8c70005b,0x1ae20237,0x00000000}},	// [a880] _nevetség, _budskab_, _농촌진흥청은_, --, 
   {{0xc9f301ff,0xd0fa018e,0x825b012c,0xeb030132}},	//   _prostred, _bethuwel, _maalim_, _hangnemb, 
   {{0xd25a021e,0x32900357,0xc21c03ac,0xfebf0051}},	//   _enkla_, _iaaaa_, _aduhai_, _radušies_, 
   {{0x0f8a02bb,0x4df30163,0xb35102d9,0x27ae020f}},	//   _दिनेशराय_, _کینگروز_, _laufiso_, _فیسټیوال_, 
   {{0xc1b3029d,0xf30704ad,0xd60104ee,0xda37003c}},	//   _полонез_, _arabang_, _atilanti, _ناپذیری_, 
   {{0x6f470013,0xd3a300e4,0xe25b006e,0x00000000}},	//   _униши_, _klapki_, _mosle_, --, 
   {{0xd3dc0289,0xc1880125,0x05a40347,0xe6170167}},	//   _alowa_, _bahasyny_, _plastiek, _mwslimai, 
   {{0x06d30377,0x5e49048a,0x6d290472,0xea7f0090}},	//   _фолиант_, _физикалы, _keringat_, _achatipa_, 
   {{0x239405c2,0x72000007,0xd3960153,0xf9bf0274}},	//   _feisi_, _bilili_, _bosser_, _svavarsd, 
   {{0xed0a06f4,0x13f80209,0xae00020e,0x4c22015e}},	//   _anplwaye_, _haluu_, _halefisa, _жемкорлу, 
   {{0xd36402af,0xcb540092,0x43f801fc,0xd20100d6}},	//   _akaguma_, _コメントを投稿_, _kaluu_, _druil_, 
   {{0x82d80198,0x4d900185,0x653b00d1,0xdfed00f7}},	//   _člena_, _agulanga, _অনবৰতে_, _cenzuras_, 
   {{0x35760066,0x6dc4019b,0x03f90204,0xb165005c}},	//   _вирусын_, _музыкі_, _vitun_, _agasombo, 
   {{0xa3f9026c,0xeb020176,0x6eb9017c,0x00000000}},	//   _intus_, _dagsorde, _expertis_, --, 
   {{0xf9f50131,0x8d2403b8,0xc2000465,0xab6a0242}},	//   _pavés_, _دوداسىند, _sklic_, _ayların_, 
   {{0xcb710235,0x4a160039,0x625b0269,0x63020461}},	//   _निवेदयेत, _konplexu, _fieles_, _calerà_, 
   {{0x12f60060,0x62fc01fc,0x10bf0040,0x51bd002b}},	// [a890] _курстары, _celisis_, _הוירטואל, _মরদেহ_, 
   {{0x1e910286,0x78470191,0xc30c02fe,0xd2d903e6}},	//   _asutware_, _postades_, _امکاناتو, _hiwel_, 
   {{0xebba006d,0x17a40156,0x8aa30373,0x00000000}},	//   _абыйдзец, _האכסניא_, _backheus, --, 
   {{0xf39403fd,0xaf7a048a,0x0c6a0381,0x13f8012e}},	//   _seisi_, _филиалын, _aistway_, _falusi_, 
   {{0x9b4801cd,0xf30002ec,0x059d0062,0x1f340299}},	//   _масхараб, _taladii_, _jingilch, _تىقىلمىس, 
   {{0x226e0156,0x10e40255,0xe307013b,0xdc760168}},	//   _titolo_, _सम्मानीय_, _prabang_, _satsing_, 
   {{0x88b6011e,0xd8e5040e,0xb3270347,0xe30c03a4}},	//   _partener_, _যুক্তিপূ, _checkit_, _arvalut_, 
   {{0x02fa027c,0x02d80450,0x76ab014a,0x95fa00d3}},	//   _machiza_, _swiere_, _tragédiá, _गोविन्दप, 
   {{0xb3960233,0xe40f0264,0x2571005d,0x9282041e}},	//   _posser_, _kaurugan_, _káukaso_, _aschesi_, 
   {{0x2d1100bc,0x23210478,0x73a20327,0x00000000}},	//   _بخواد_, _afichar_, _valper_, --, 
   {{0x582702bb,0xf8080013,0x5dee0037,0x3c6d02fe}},	//   _उल्लेखनी, _тартибиг, _ምሳሌዎችን_, _دهرچا_, 
   {{0x1396007b,0xe20100fd,0x7470042a,0xdb29036e}},	//   _horsie_, _druim_, _beyentek, _charaña_, 
   {{0x0c76011d,0x7a080098,0x324b03a4,0x1b520147}},	//   _diametru_, _urealist, _forbiði_, _كۅڭلۉم_, 
   {{0x61a50148,0xe6370205,0x00000000,0x00000000}},	//   _記者楊伶雯_, _бандаси_, --, --, 
   {{0x239405a9,0x59630307,0x23f901ad,0x71470039}},	//   _ifise_, _akanamnt, _antus_, _тарилаа_, 
   {{0x820002b0,0xd3f8009a,0x15f20052,0xf29500ef}},	//   _preis_, _balusi_, _प्रणालिह, _ebubanzi_, 
   {{0x22cb07f9,0xfe500265,0x439402ac,0x22b404fc}},	// [a8a0] _khadar_, _redactie_, _teasa_, _anoche_, 
   {{0xbae900ee,0xd3860109,0x23f90062,0xa2e900c4}},	//   _компанид_, _opary_, _jitul_, _kutilia_, 
   {{0x4f5d04b9,0xe8540107,0xe3f9016a,0x2c88000d}},	//   _steamers_, _دومين_, _situo_, _kliendid_, 
   {{0x43f8036d,0xb62703db,0xfd29034d,0xf6810255}},	//   _calum_, _abambalw, _teringat_, _अवकात_, 
   {{0xb2020298,0x53f903f0,0x2e9601ec,0x094f0233}},	//   _motini_, _litum_, _قربون_, _retroear_, 
   {{0x46c7026c,0x532c0162,0x13f9046b,0xc1970059}},	//   _資訊安全政策_, _апирип_, _antur_, _групите_, 
   {{0x27bf00f4,0x4a1e038a,0x6295019b,0x3976028a}},	//   _alkoolek_, _ayaqmarq_, _квантава, _niyitege, 
   {{0xa3940698,0xbe400699,0xa9f6009a,0x73f401f3}},	//   _afise_, _baragiye_, _اوئیل_, _kostry_, 
   {{0xa3f90032,0x8b810275,0xf5480195,0xc9760415}},	//   _bitul_, _akonekar, _birkhill_, _rufnumme, 
   {{0xd2250387,0xb3f801ca,0x0ef6019e,0xb07c00e6}},	//   _mmuke_, _maluj_, _валыні_, _规划建设局_, 
   {{0xa2f706ea,0x728801cd,0x08320162,0xad490399}},	//   _andingh_, _ekhasini_, _قاتىل_, _angatonu_, 
   {{0xec760745,0xa2eb0044,0xae570049,0x0b1002c2}},	//   _मेस्सी_, _logical_, _iolanthe_, _sensitie, 
   {{0xa0d7029d,0xf29102df,0xaef10025,0xf9b703c4}},	//   _биколор_, _layan_, _विश्वाधि, _تاكسىنى_, 
   {{0x53860133,0x57e00263,0x6b7801b3,0x00000000}},	//   _anirru_, _inspanni, _шоколаду_, --, 
   {{0x5c140102,0x1f5d02a2,0x125a033d,0xf29e01ee}},	//   _گوبند_, _matandan, _enklu_, _динан_, 
   {{0x10f20213,0x23480222,0xb290019d,0x59ee0094}},	//   _вернитес, _profond_, _bomalo_, _поселкел, 
   {{0xdb570052,0xbaea0133,0xed700567,0x9a9401be}},	// [a8b0] _मैत्रिपु, _bullsiin_, _сссрдан_, _जन्माए_, 
   {{0xe29101c0,0x43940415,0xf358018d,0x592701e4}},	//   _kayan_, _meist_, _ሽግራቶም_, _एआईजी_, 
   {{0xa3f80227,0x0202002a,0x31ae00bf,0x12af0037}},	//   _tidur_, _botini_, _описанны, _ተሰርቷል_, 
   {{0x1ef10255,0x0f1f031f,0xb3aa020e,0x1c47029b}},	//   _विश्वामि, _fordelin, _borarong_, _danwaam_, 
   {{0x272700a2,0xe3bc0163,0x4d580008,0x239603f0}},	//   _بدحالي_, _السنہ_, _جالبارىن, _kossar_, 
   {{0xe3940672,0xaa880251,0x00000000,0x00000000}},	//   _ufise_, _badiyaan_, --, --, 
   {{0x8b32008c,0x13940053,0xa3f900bc,0x238700a0}},	//   _renconus, _ransel_, _antuk_, _anarsu_, 
   {{0xc28e02b9,0x42b40261,0x52d80005,0x42b601f6}},	//   _وصولی_, _senco_, _aviert_, _gardane_, 
   {{0x03f802ee,0xb2910269,0xc3d60433,0x826e044a}},	//   _valuri_, _hayan_, _bastanti_, _kitoko_, 
   {{0x03ce06f6,0x2266000a,0xe46001b8,0x00000000}},	//   _neiver_, _illumull, _seletusk, --, 
   {{0x1bdf0285,0x4c2501c2,0xa3560319,0xf3450105}},	//   _ruhenger, _obradoir, _hoteles_, _adresie_, 
   {{0xfcdd0059,0xec3700d8,0xc30100ab,0x88e501cd}},	//   _популяре, _amassè_, _papawai_, _гурбат_, 
   {{0x2cf400c1,0xe394025c,0xd22b023a,0x2e9502ef}},	//   _चकचकीत_, _geist_, _stratiť_, _pantalet_, 
   {{0x6a3d0071,0x661a03e6,0x4c0e01d2,0xafb603c2}},	//   _سالکی_, _adultfli, _geoturis, _bootless_, 
   {{0xd7a4014f,0x488f0037,0x0c730192,0xd20004df}},	//   _независн, _የተጻፈውን_, _알려주시면_, _ahlisi_, 
   {{0xa3cf0450,0x239f0148,0x73f80138,0x6a870205}},	//   _leaver_, _請歡迎使用_, _haluk_, _obligats, 
   {{0x42910234,0xe30c013f,0xa2920046,0xe85c045e}},	// [a8c0] _aayan_, _lavaret_, _casals_, _достигна, 
   {{0x492c02f0,0xf200010d,0x3b9204a7,0x00000000}},	//   _etimekwe, _mahisa_, _ateigado_, --, 
   {{0xe290012c,0x975c01e1,0x7ba40400,0x3f6904a7}},	//   _silaha_, _сафронов_, _amiiiiic, _adiantos_, 
   {{0x9b130196,0xd9d50024,0xe2b4013c,0x79680157}},	//   _adapanga_, _নিত্যান্, _gence_, _cokolwie, 
   {{0xcdb500b2,0xe15d01db,0xd5a802ec,0x4ed30135}},	//   _amantala, _ايىتشى_, _miisaank, _arafatnı, 
   {{0xac7405f6,0x23870046,0x538f0037,0x9db70144}},	//   _overtok_, _ombres_, _የሰጣቸውን_, _cloistea, 
   {{0x92b403cf,0x86b5036f,0xc3480217,0x45a2027b}},	//   _bence_, _članovim, _danelaw_, _खादति_, 
   {{0x0c740142,0x9b650003,0xa98b0381,0x952d02a2}},	//   _विद्धि_, _bereiken_, _allheart, _kasintah, 
   {{0xb7050169,0xc2c10011,0x025a011b,0x6fe90109}},	//   _অস্বীকার_, _abilara_, _liklo_, _बुबालाई_, 
   {{0x020000fe,0xc28d021b,0x416c0462,0x2c7601b2}},	//   _filiai_, _parantam, _airperso, _aniseed_, 
   {{0x2c5b0313,0xc3160342,0x6e5500bb,0x328a010d}},	//   _bimutbe_, _apachad_, _ڈوبتا_, _antapani_, 
   {{0xaeba018d,0x86670144,0xa9ae0086,0x285102fd}},	//   _ብዕምቈት_, _رابطاً_, _عیدین_, _chrochad, 
   {{0x436c0302,0x33f802ce,0xb2000028,0x70de00f7}},	//   _izigidi_, _taluk_, _bidix_, _atingebl, 
   {{0x98870016,0x49cf0122,0xedb401a3,0xe3f8023e}},	//   _פערטל_, _آموخت_, _سوڀون_, _baluh_, 
   {{0x725a0016,0x8c7d02e7,0xe2ee0034,0xa6440204}},	//   _ciklo_, _currier_, _kennari_, _valittii, 
   {{0x1ecd00b2,0xe4e905f8,0xf2870244,0x829501a4}},	//   _adriyaan, _васильев, _писмено_, _ebukani_, 
   {{0x19bf01c5,0x24a10297,0x24fe0061,0x9d570040}},	// [a8d0] _bandhige, _artmasın_, _계획입니다_, _הענקת_, 
   {{0x529100ed,0x445e0045,0xd2000082,0x1ba401cf}},	//   _dayal_, _народном_, _lahira_, _ossiculo_, 
   {{0xbfeb0588,0xd293038b,0x13dc0289,0x0596033e}},	//   _binyuran, _membenci_, _alowe_, _epensamí, 
   {{0xf2d80130,0x7291041c,0x59df0354,0x00000000}},	//   _liger_, _fayal_, _تەندە_, --, 
   {{0x06f30148,0x1224025e,0x12b400ff,0x8dc700b4}},	//   _讓每個檔案都變成, _smekk_, _רעילראוד_, _тендинца_, 
   {{0x74e00107,0xa2d804b5,0x1ca80461,0xb2b3018a}},	//   _سلیمانی_, _giger_, _acceptèt_, _bleddyn_, 
   {{0x92910189,0xa2290368,0xc6c403d1,0x00000000}},	//   _hayal_, _сниман_, _noritēja_, --, 
   {{0x430700bc,0xb94f01ab,0xb8290420,0x9237033d}},	//   _kapacak_, _इकिसवीं_, _сервери_, _chimeya_, 
   {{0x0f850079,0xd20e02e5,0xa3f800fe,0x3dfa01b3}},	//   _prezentē, _лауаа_, _malui_, _білки_, 
   {{0x3feb00c2,0x93f80193,0xdc61010d,0x2f440378}},	//   _zinyuran, _lalui_, _bagusan_, _ambitión, 
   {{0x81c70206,0x634c00e2,0xf291051d,0x00000000}},	//   _prestížn, _alvetal_, _mayam_, --, 
   {{0xfede010f,0x9dfc03a0,0x2ac40040,0x0a02000d}},	//   _гирди_, _belegiwa, _ונושאים_, _घुमरियाव, 
   {{0x1d6a0238,0xe2cb02bf,0x114503d1,0xdc9c0059}},	//   _показати_, _akhonta_, _volejbol, _моторнит, 
   {{0x8471007e,0x83f90318,0x920002d9,0x00000000}},	//   _amitatej, _kitua_, _maligi_, --, 
   {{0x425b004c,0xdc260331,0xb2b1016b,0x82b70041}},	//   _abalam_, _innandur, _konduga_, _иыҩныҳәҳ, 
   {{0x85e10092,0x3291029b,0x920000dd,0x70ce0016}},	//   _この商品をお持ち, _bayal_, _chlir_, _amerikaj_, 
   {{0x72d8005b,0x85850059,0x69f702a6,0x00000000}},	// [a8e0] _siges_, _liquidaz, _brancona_, --, 
   {{0xb77703fa,0xa9e2019f,0x188501bd,0x225b0256}},	//   _फ़ैसला_, _ڌاريا_, _сынала_, _vielas_, 
   {{0x420002e7,0x82fc022a,0xc38001c2,0x662e0376}},	//   _haligi_, _delidis_, _courel_, _barnavei, 
   {{0x05770206,0xd9d30061,0x27380446,0x00000000}},	//   _autobazá, _간이과세자_, _hvarskom_, --, 
   {{0x43e801bb,0xaf4c0065,0x00000000,0x00000000}},	//   _ашырберд, _verschla, --, --, 
   {{0x33a1025e,0x8ca1025b,0x41ac00e7,0x5e940223}},	//   _samstarf_, _samstarv_, _alacepay_, _судсыг_, 
   {{0x92f30016,0x106101e0,0x658200f0,0x00000000}},	//   _הרבני_, _کۆسره_, _zarobený, --, 
   {{0xa3f804cc,0x42d702b6,0x06d40040,0x83a6003c}},	//   _valup_, _تارتۋىم_, _הנגאובר_, _عاملیت_, 
   {{0xf39402ca,0xd3ac005b,0x85f30088,0x23800244}},	//   _measc_, _vipper_, _тесалони, _saprei_, 
   {{0xa3650036,0x00000000,0x00000000,0x00000000}},	//   _beagán_, --, --, --, 
   {{0x92d801b9,0x9c7d00dc,0x00000000,0x00000000}},	//   _viger_, _niusila_, --, --, 
   {{0x9a5800b4,0x304e0342,0xe20000a0,0x1cb200cf}},	//   _colectia_, _choucoun, _baligi_, _himachuu_, 
   {{0x62cb0209,0xe5d901d5,0xf2b6015d,0x26d201bd}},	//   _khader_, _شرمندہ_, _marcin_, _теориясы, 
   {{0xf7cf027b,0x1da100c4,0xba00011f,0x860d06da}},	//   _निगद्यते_, _تانگهه_, _idescuid, _बोगदा_, 
   {{0x5c7201df,0xb02f0291,0xd42701f6,0xaf440314}},	//   _farrest_, _تستغرق_, _asjkenaz, _боҙһа_, 
   {{0x327801e5,0xb5a30321,0xb2480026,0xe27f031a}},	//   _atunko_, _naložimo_, _dromen_, _duanag_, 
   {{0x32d80409,0x639400d6,0x7c7d03fd,0xafcb01a3}},	// [a8f0] _piger_, _deasc_, _liusila_, _ڪئٿولڪ_, 
   {{0xfdd2041a,0x82900172,0xa82a0374,0xa9d10235}},	//   _столу_, _nyiaa_, _батареял, _cintayed, 
   {{0xd20102c2,0xc27701ea,0xe2b40050,0x8f2f0024}},	//   _bruin_, _дармон_, _kenca_, _nestleia, 
   {{0xc291006f,0xeef00474,0xff4b011e,0x7dab014d}},	//   _ambaye_, _amakomin, _konstama, _eigentüm, 
   {{0x59bb030f,0x4da90390,0x69fb000a,0x1a1403dd}},	//   _henemita_, _inanmaya, _annaasat, _barcalet, 
   {{0x137900ca,0xa200028e,0x96610184,0x400200f2}},	//   _espanha_, _iklik_, _gisizimw, _reportāž, 
   {{0x97730192,0xdfe80280,0x79e4002f,0x561b004f}},	//   _만화속세상_, _स्टाम्प_, _apanqura_, _diourbel_, 
   {{0xe1ca0193,0x7436005e,0xd15a005b,0x62d50059}},	//   _धर्मग्रं, _ﺩﻩﻟﯩﻞ_, _blogindl, _riporta_, 
   {{0x57d6030c,0x130304f9,0x0c61032b,0xfe4d006e}},	//   _aglarlug, _allamit_, _қәлбини_, _estandaa, 
   {{0xe5a3029d,0xd3f801c5,0xa277030b,0x3a8c0151}},	//   _елементе_, _haduu_, _alisutal, _ansooryn_, 
   {{0x199600da,0xb2e9022c,0x3b8d0376,0x00000000}},	//   _comerţul, _anginan_, _farisear, --, 
   {{0x8a0103dc,0x935e00f4,0x77d10076,0x6ccf0148}},	//   _endaliga_, _prefeti_, _обвини_, _羅密歐與茱麗葉_, 
   {{0x73940318,0x3c660110,0x12bc0251,0x231701f3}},	//   _keisi_, _filtrus_, _waddamo_, _pauzy_, 
   {{0xbf0601ce,0x620e009b,0x0c2d0088,0x925a02ef}},	//   _معطوف_, _матар_, _adequar_, _inkli_, 
   {{0xd369023a,0xdf280461,0xd25b037b,0x6dc40439}},	//   _existujú_, _abituala, _cielos_, _lovisile_, 
   {{0x43f8011b,0x9c960159,0x83940020,0x62a600ba}},	//   _fleuve_, _заняла_, _leisi_, _ئاگرێکی_, 
   {{0x6c7203ff,0x96990059,0xc2910015,0xcc6100fa}},	// [a900] _dopravu_, _сериали_, _dayac_, _dagupan_, 
   {{0x934d035b,0xcf03040f,0x972701e6,0x02d802a1}},	//   _katerem_, _procesas_, _reklamov, _gedeel_, 
   {{0x65a9000c,0xef0100c5,0x73f8021a,0x4dc202f6}},	//   _геликон_, _proposés_, _baduu_, _sinisika, 
   {{0x2c3400de,0x927800a2,0x00000000,0x00000000}},	//   _قبوله_, _muundo_, --, --, 
   {{0xaba7040f,0x7c020062,0xcaac03f0,0x629206e2}},	//   _bankroto_, _motsnir_, _blaksamb, _basais_, 
   {{0x20e50255,0x65b500be,0x264303b5,0xe26c0326}},	//   _रंगीला_, _اناالىز_, _menikahi, _chingezi_, 
   {{0xd39402e1,0x9291036d,0xf83b030d,0x1a4a01f7}},	//   _measa_, _breaca_, _veriliş_, _annexada_, 
   {{0xc39400d6,0xd30b0076,0x47aa0432,0xfc3b019b}},	//   _leasa_, _спортски_, _fortroli, _увогуле_, 
   {{0x06b20003,0x7e4d01fc,0xe98701b5,0x66c2027f}},	//   _vergunni, _kataataa, _hatimaka_, _ekereziy, 
   {{0x5b4000e6,0x739402e1,0x00000000,0x00000000}},	//   _可以并处违法所得, _geasa_, --, --, 
   {{0x63070075,0x525a0329,0x403702d5,0xb2910101}},	//   _komandi_, _enkli_, _postitan, _treaca_, 
   {{0x4614002d,0x4992005b,0x537c04ad,0x157500e6}},	//   _avaliaci, _weekende, _boraose_, _红警最新地图下载_, 
   {{0xbc1e0455,0xb27700a6,0xf30702a8,0xd25b019b}},	//   _propres_, _akwaphum, _domandi_, _sielos_, 
   {{0xb92c027f,0x7292009e,0xb4860012,0xbe5c0045}},	//   _aramukwe, _casais_, _डूबावल_, _новоизгр, 
   {{0xecbb0037,0x62ab0041,0x439400d6,0x6b950189}},	//   _በርካቶች_, _ахуҭаҷ_, _deasa_, _biriktir, 
   {{0x02c604bb,0xadd101cf,0xb2ec028d,0xd6000167}},	//   _kasmoos_, _archipla, _resitye_, _clymblei, 
   {{0x87e400c5,0xc29002d5,0xe30002f8,0xa5b802e1}},	// [a910] _由县级以上地方人, _pidama_, _kalalii_, _وإسرائيل_, 
   {{0x63160397,0xad7903b8,0x22d503ab,0x2f4200c8}},	//   _ababoni_, _اناتوميا, _všeho_, _ямалетди, 
   {{0x061c0529,0xeecb0241,0xe8fb0107,0x9273008d}},	//   _engleski, _benishan, _bedanipu, _ettiradi_, 
   {{0x737201f0,0xe2910068,0x62010026,0xf741051a}},	//   _amilweng_, _hayaa_, _eruit_, _segolong, 
   {{0x6536033d,0xa4360643,0x2a9d01a7,0x00000000}},	//   _wikipedy, _manjinsk, _arkistos, --, 
   {{0x05250068,0xd0c1023b,0xd2e9023e,0xa2fc0568}},	//   _doorasho_, _okelakel, _جوابگو_, _bolga_, 
   {{0xc320024f,0x817d0148,0x3dfe03dd,0xdf4a01b9}},	//   _ekeya_, _教育局體健課_, _kundrejt_, _linstala, 
   {{0xd0ed07fa,0x64550466,0x9d2400fb,0xefd700cb}},	//   _ibandlul, _zahvalan_, _ilungise_, _бараъло_, 
   {{0x21270148,0xcdc100a6,0x1dbf0145,0x678701db}},	//   _加入追蹤清單_, _akukakwa, _supratau_, _جاعاتىن_, 
   {{0x325a0257,0xe2fc02dc,0x9bee0013,0x5afd0311}},	//   _mikla_, _folga_, _гадой_, _ዘካርያስን_, 
   {{0x8c52015e,0xb25b008c,0xd3f900db,0x4387026c}},	//   _pretén_, _scalem_, _mitut_, _umbras_, 
   {{0x225b013a,0x694e00fa,0x00000000,0x00000000}},	//   _bieles_, _amalekit, --, --, 
   {{0x14a2026f,0x13560132,0x19bf004b,0x82ca02b2}},	//   _ءوربىتۋى, _literes_, _bokellet, _самообсл, 
   {{0x625b025c,0xb2db02fd,0x5290064d,0xc7330177}},	//   _vieles_, _broughty_, _uilama_, _сыҧсы_, 
   {{0xf2e90257,0x5c0b0157,0x59630060,0x83f90067}},	//   _kynnast_, _siostry_, _кертартп, _gituu_, 
   {{0x329003fb,0xb32701e0,0x00000000,0x00000000}},	//   _silama_, _کامپیۆتێ, --, --, 
   {{0x50ed042a,0xcae60169,0xb2900039,0xb2250139}},	// [a920] _abandlul, _ভয়াবহ_, _milaka_, _amuko_, 
   {{0x420102fd,0x42020101,0xf26c0099,0x00000000}},	//   _cruit_, _cititi_, _dokora_, --, 
   {{0xee29017d,0x43f900d0,0x52020318,0x93f801a7}},	//   _ジャンルランキン, _ditut_, _eitisi_, _paluu_, 
   {{0x0fc902b9,0x02cb0176,0xf38804cf,0xe18e0301}},	//   _legnagyo, _skader_, _amashumi_, _mürəkkəb_, 
   {{0x1d2c0165,0x62ce0160,0xf3f80105,0xaf6b0122}},	//   _bisikete_, _visokog_, _walut_, _bisawarn, 
   {{0xd7d90160,0x11790013,0x81d6004b,0x967d010d}},	//   _lokalnoj_, _мазмунид, _алымдары, _अर्थसहाय, 
   {{0xdc6f026c,0x92900240,0x8846011f,0x00610012}},	//   _plurima_, _kilaka_, _минуҭк_, _ताकसु_, 
   {{0xf3f80193,0xb20105b3,0x64b00040,0xd26c0184}},	//   _halus_, _kruis_, _מזוודות_, _bokora_, 
   {{0x9e7e0204,0x23f80107,0x306700c1,0x45930082}},	//   _вакансии_, _kalus_, _जिगसॉ_, _bassusuk, 
   {{0x3fa00220,0x13f80249,0x92900125,0x64a401ff}},	//   _резервни_, _jalus_, _bahany_, _minulosť_, 
   {{0x329001a0,0x325a07fb,0x55b5036e,0xc200031a}},	//   _hilaha_, _eikli_, _amaprayk, _chliu_, 
   {{0xc0f60276,0xdb0300e6,0xe9c900ea,0x26cf0055}},	//   _شېكەر_, _劳动和社会保障局_, _anjomara_, _allummà_, 
   {{0x4231075b,0xe2e40092,0xbea200e6,0x0cbf00d1}},	//   _dormiva_, _つの中空ボデ_, _上海鲍麦克斯电子, _জমিদাৰৰ_, 
   {{0x8c850016,0x817703b7,0x62cb001e,0xe29001e9}},	//   _מוזיי_, _agunalay_, _ghadir_, _dimapo_, 
   {{0xd2d8053e,0x39f90052,0xb394003d,0x81b2005e}},	//   _laget_, _baterií_, _méric_, _ھەيزدار_, 
   {{0x129000ad,0x72d80326,0x805a040f,0x72e5044a}},	//   _cilaka_, _alheit_, _лідар_, _nkondwa_, 
   {{0x93f8034b,0xc2240051,0x38f700b6,0x125a0014}},	// [a930] _balus_, _veikta_, _milaagtu, _cikli_, 
   {{0xf30301fe,0x734201ef,0x9f7402b4,0xf28e0265}},	//   _cawadru_, _nobelio_, _ekucalen, _markten_, 
   {{0x14ec0173,0x43980148,0x9df5015e,0xf3f8043a}},	//   _বাগান_, _貼套票及補資_, _producte_, _daduk_, 
   {{0x42a403e9,0xc3f803dd,0x506006bb,0x3342004f}},	//   _bankyň_, _falur_, _ardinvik_, _gegenoo_, 
   {{0x7bdf0126,0x4c6700f6,0xb3dc0010,0xf3800116}},	//   _modeller, _yolunda_, _alowo_, _antrin_, 
   {{0x4ecf00a2,0x0a1700c4,0x9b1b0220,0xb93a02da}},	//   _مستحڪم_, _سبسڊي_, _semplice, _твитер_, 
   {{0x4ef804c7,0x4a6c02ac,0xa9a000e4,0x0678055f}},	//   _министар, _لتخفيف_, _niekonie, _medyanın_, 
   {{0xeefe015e,0x53f802c2,0x280c0008,0xd2ca02b1}},	//   _манастын_, _kleure_, _алака_, _akidar_, 
   {{0xd3f802bc,0x9e900461,0xc2e40294,0xf3dc009a}},	//   _baduk_, _permeten, _feconap_, _elowo_, 
   {{0xc29001cb,0xb9ca0222,0x828d0120,0xd5710170}},	//   _ohlaza_, _cordiale, _gabhatu_, _amatetez, 
   {{0x0b1701f0,0x594c02eb,0x7224061e,0xd3f80255}},	//   _bonagets, _тарифаар_, _awnki_, _valus_, 
   {{0xc2d8050b,0x23f80084,0xf3f90034,0x72c502a0}},	//   _kaget_, _waduk_, _vitum_, _ifeleke_, 
   {{0x12ec0388,0x70120187,0xd920000c,0xa54502fe}},	//   _inviare_, _депортир, _иртәуп_, _خبردی_, 
   {{0xd26d032a,0xc3f000dc,0x722b02e8,0x251d0259}},	//   _alcoap_, _kemupeni_, _asimuke_, _regnesty, 
   {{0x12250129,0x57b6029e,0x7c760046,0x5f0b0420}},	//   _amuke_, _engortoz_, _tiquets_, _pincéis_, 
   {{0xa3f80176,0x6037020e,0xa1560064,0xa9a7034c}},	//   _salus_, _diketelo, _табылат_, _гараева_, 
   {{0x13ce0187,0x1ce00156,0xdfad0153,0x93f800cd}},	// [a940] _приватно_, _עלאַפאַנ, _ダイエット食品_, _calur_, 
   {{0x03940359,0xea0001db,0xedbe02fe,0x00000000}},	//   _meast_, _اۋدارۋىن, _العملونه_, --, 
   {{0x2320024a,0xc43700b8,0xf2ca037f,0xc2df016e}},	//   _aniyan_, _pankanak, _saldı_, _motorlu_, 
   {{0x6ddd03d9,0x32bb01f9,0x0d580314,0xa3f8022b}},	//   _trinité_, _akhetse_, _рәйлә_, _talur_, 
   {{0xc200006f,0x52d800bc,0x2a2101b8,0x82cb0138}},	//   _madini_, _kagem_, _haapsalu, _okadar_, 
   {{0x03690109,0x5d9802ea,0x7dc2033a,0xb9fb0297}},	//   _existují_, _начинаещ, _sinifika, _атадым_, 
   {{0x220002e2,0x02b502c8,0x92a6014a,0xa394031e}},	//   _fuming_, _pracer_, _amibe_, _reisu_, 
   {{0xb1370147,0xdae2009e,0xc7190211,0xb394008f}},	//   _اجووسۇ_, _figueire, _тормозов_, _seisu_, 
   {{0xa394043b,0xaa8501e0,0x035503d3,0x69920010}},	//   _ceist_, _موندی_, _videoer_, _bashesha_, 
   {{0xc3f802ee,0xd3940034,0x925b040f,0x57ee0153}},	//   _valur_, _veist_, _mielas_, _シルエット_, 
   {{0xe3940505,0xb3f802b7,0x9a530126,0xc29003ba}},	//   _weist_, _faluq_, _ресурсам, _kimago_, 
   {{0xc40e029a,0x9db00015,0x72ef0226,0x00000000}},	//   _libreman_, _shirkadu_, _kuminda_, --, 
   {{0xa39401bc,0x82b102cb,0xaf5a0205,0x4c710066}},	//   _geast_, _fondova_, _аралашув, _istripu_, 
   {{0x4a82004a,0x0a17041e,0x02c3018e,0xe4d901a3}},	//   _veteranı_, _spaccata_, _khuluka_, _ٽراٽسڪي_, 
   {{0xc5c9020d,0xcb7102dd,0x820002cd,0xd2fc0445}},	//   _babafash, _emisfera_, _ahlis_, _longos_, 
   {{0x53e201c5,0x8c60041e,0x5b64014d,0x46e200cb}},	//   _booliisk, _accuria_, _lizenzen_, _angazizw, 
   {{0x0d090169,0x0c67019f,0x4e1200bc,0x498a0184}},	// [a950] _মিলিয়ে_, _kikubwa_, _مدونا_, _irakwiza_, 
   {{0x2b83023d,0x00000000,0x00000000,0x00000000}},	//   _dedicato_, --, --, --, 
   {{0x404400aa,0x238202ac,0xc5aa018d,0xba1b0348}},	//   _rattlesn, _حافلة_, _ምስጋናኡ_, _amabanja_, 
   {{0xb3490175,0x87ee02be,0x00000000,0x00000000}},	//   _deservi_, _humagulg, --, --, 
   {{0x7b670060,0x825a013a,0xe30100f3,0x226c00d7}},	//   _سايرام_, _coolen_, _alibale_, _bokowa_, 
   {{0xbed10328,0x22fc025c,0x59010374,0xddb0003b}},	//   _abazosha, _folge_, _ойларда_, _bunatfwe_, 
   {{0x03170447,0x0379032e,0xc28d0701,0xa5f40040}},	//   _mbuzi_, _istaspa_, _markata_, _האבנים_, 
   {{0x610500ef,0xd2380077,0x167f034c,0xcd7e00ba}},	//   _abahlohl, _chimeyi_, _buddízm_, _چاوگرتنی_, 
   {{0x439400dc,0x120e0039,0xbf3100d0,0x9d7c01db}},	//   _ofisa_, _хадам_, _айрагны_, _объектін, 
   {{0x4372014a,0xd39402b0,0x19810052,0xb356018b}},	//   _اعتراضات_, _weiss_, _markéta_, _inteles_, 
   {{0x7e4402c2,0x08470371,0x00000000,0x00000000}},	//   _valsheid_, _халати_, --, --, 
   {{0x63940102,0xee50003a,0xb0c10240,0xb19e02ea}},	//   _afisa_, _qarashla, _ikelekel, _назначен_, 
   {{0xc6440132,0xa7e100c8,0xdf7102dc,0xff460206}},	//   _devizahi, _этабында_, _estatais_, _sporenie_, 
   {{0x520e00b7,0x7ec70044,0x5c93009a,0x48920344}},	//   _гараш_, _synonyms_, _داشان_, _atukkagu, 
   {{0xcc1f037c,0xf5740040,0xc3ea021d,0x224800f7}},	//   _propter_, _באפונה_, _deltog_, _aromon_, 
   {{0xf0dd06bd,0x8ae8022d,0xe67f028a,0xd29202ac}},	//   _branitel, _bastiane, _خميسو_, _stuama_, 
   {{0x81250238,0x5ac9012a,0x5975020b,0x8ed5009a}},	// [a960] _службі_, _trojmias, _khansele, _ekwingin, 
   {{0x9fa3039e,0x9ea60140,0xb7c30369,0x3dc8012c}},	//   _rallycro, _ikalawan, _kaisarei, _kushanga, 
   {{0x42d3045f,0x02950288,0x4c4600ef,0x1d6800c8}},	//   _söndag_, _bwabwiyi_, _ارامه_, _аңлашылм, 
   {{0x260f056d,0x03e60148,0x22fe01aa,0xd3fd024f}},	//   _ezilungi, _以上免運費_, _anarplay_, _tamusuki_, 
   {{0xd31703ff,0xcbe10165,0xb1310061,0x33840153}},	//   _kauzy_, _feperuer, _서부도서관_, _のヒミツ徹底解剖_, 
   {{0x88e300af,0x8be702d5,0x5e240682,0xb2eb0036}},	//   _onaлe_, _kategoor, _उल्लेखित_, _fiontar_, 
   {{0x93050162,0x9a0e0185,0xd6f701d5,0x75ac027b}},	//   _بوران_, _izraelne, _مالاکنڈ_, _सीदति_, 
   {{0xc3870367,0x00000000,0x00000000,0x00000000}},	//   _aberto_, --, --, --, 
   {{0x795a01ef,0x42e800a5,0xf9f70308,0x626c0103}},	//   _тагачасн, _juliann_, _rahimnya_, _gokova_, 
   {{0x2aed02c7,0x0b7d00bb,0xb3a20176,0x83170562}},	//   _hinterhe, _آئندہ_, _poipoi_, _ubuzi_, 
   {{0xb2910278,0x1379028f,0x48f90209,0x9a9e000f}},	//   _maqam_, _hopanga_, _ammaneru, _sinyalle, 
   {{0x585d02d5,0xe2e60532,0x273900b7,0x625a021e}},	//   _teenistu, _krenula_, _гараярсы, _poolen_, 
   {{0xec06020f,0x00000000,0x00000000,0x00000000}},	//   _bubuhlob, --, --, --, 
   {{0x3ee40241,0xd90900b3,0x634101a3,0x0d820452}},	//   _faakkeen, _bihabard, _کنڀات_, _साचोद्घा, 
   {{0xdf6e00ff,0xb3200264,0xa2d80039,0x1278013d}},	//   _יוליוס_, _anicuns_, _bulego_, _grundo_, 
   {{0xdbe00092,0xe60f0307,0xdbab020f,0x8268020f}},	//   _詩歌の紹介_, _azilungi, _anikwayo_, _خوځيږي_, 
   {{0xc1630148,0x2da70683,0xa28401eb,0x00000000}},	// [a970] _民眾意見信箱_, _langsomt_, _hachero_, --, 
   {{0xd2a6009a,0xbdc3056b,0x1d8405d5,0x1db50170}},	//   _imiba_, _terimaka, _aprendet_, _amanyala, 
   {{0x45770045,0x535401f0,0x522a040f,0x3aee002f}},	//   _катедра_, _borekhu_, _колас_, _bendecis, 
   {{0xe2e10160,0x822602d5,0x87d300c4,0x43410005}},	//   _velikog_, _kuskil_, _ڊيميٽرس_, _carezia_, 
   {{0x825a015e,0x844c010f,0x2e9802ac,0xe19802ea}},	//   _cicle_, _алъон_, _موثوقة_, _подробна_, 
   {{0x93fa012b,0x346d00e6,0xf5c70397,0x1ad20187}},	//   _toruń_, _关于调整足彩_, _angavuth, _gestante, 
   {{0x0202003d,0xdd8b00fd,0x49cf02f8,0xcc6700a1}},	//   _litigi_, _braeside_, _heheheee, _hikuawa_, 
   {{0x326c0449,0x3c1101e8,0xe26e013a,0x0d0b02ea}},	//   _tokova_, _braslavs, _stross_, _popolare_, 
   {{0x742b035b,0x08fb023e,0x33aa026f,0x00000000}},	//   _pomagamo_, _celakipu, _كومۋسىز_, --, 
   {{0xc95103b2,0x32b404d0,0x922503cf,0x785102da}},	//   _associat, _henci_, _emekli_, _associad, 
   {{0x5200001e,0x4a5c0198,0x834a06c4,0x57bd0156}},	//   _dalili_, _besedila_, _husflid_, _aspektig, 
   {{0x21ec0093,0x254a0405,0x32e60225,0x95c40200}},	//   _растений_, _говорити_, _ijongin_, _maikrosọ, 
   {{0xacbe0246,0x2992027f,0xc7de006d,0x08670021}},	//   _кабел_, _bashasha_, _indaplov, _ashioned, 
   {{0x72b402a4,0x394b03c2,0x82000085,0xc8d401e8}},	//   _lenci_, _schoolte, _galili_, _kahunung, 
   {{0xbf0307fc,0x63fa014e,0xc25a01d8,0x2e52007a}},	//   _འགྲུབ_, _самостал, _synlar_, _dijauhka, 
   {{0x235901db,0xae160270,0x8290000a,0xb388004d}},	//   _каталогы, _invenena, _asiami_, _有一天過一天_, 
   {{0xe58f03dc,0xdc6700bc,0xdcf60040,0x581a017a}},	// [a980] _strondum_, _نرمال_, _דייהטסו_, _малашенк, 
   {{0x826c048f,0x6c5e0207,0xb29000b3,0x3e1a03a2}},	//   _kokota_, _اسلامڪ_, _ahlaga_, _स्लेजिंग_, 
   {{0x5eb8000d,0x110700ba,0xf3010241,0x08e40161}},	//   _noortele_, _زارۆکێن_, _bitanii_, _платежи_, 
   {{0x3eb90044,0x51b50230,0x0fa601ef,0x02490013}},	//   _involvin, _gramersi_, _profilį_, _binolari_, 
   {{0x904702d2,0xa99202bc,0x6181014a,0xb94e03db}},	//   _миллат_, _bashisha_, _templomo, _kwelesit, 
   {{0xfad8007c,0x64b50013,0xcf40032d,0x9a44004c}},	//   _amadorob, _kasallik, _айырма_, _balemesa_, 
   {{0x06c500c7,0x6a190029,0x594a013c,0x00000000}},	//   _yarışınd, _ئابڕوچوو, _qarabağı_, --, 
   {{0x814302d5,0x4bc9022b,0x77230137,0x5aa101be}},	//   _venemaal, _hansdótt, _кофены_, _मिर्गौला_, 
   {{0x320000aa,0x097800d9,0xd4fa01c9,0xd387055f}},	//   _balili_, _asuntoje, _गुमाने_, _eserin_, 
   {{0x3ad8052f,0x67300192,0x5bb801bd,0xd342000f}},	//   _emadorob, _연구회단독_, _тропикті, _bireyin_, 
   {{0x8a8903c4,0xef1a024c,0xb47e027e,0xa29000a1}},	//   _башланға, _sempliċi_, _сиром_, _apiapi_, 
   {{0x325b0313,0x6f3e029a,0xa37f02fd,0x62b0004d}},	//   _boslu_, _redresma, _chlanna_, _有效的按摩方法是, 
   {{0x644c018d,0x741400c5,0x33940357,0xb3080306}},	//   _ኣካዳምያዊ_, _网站情况统计_, _keasi_, _arabino_, 
   {{0x2285033b,0xa3a301a3,0xfa71027f,0xa7ef00e6}},	//   _methopo_, _واڻئي_, _kikahava_, _矫形器产品_, 
   {{0x74570335,0x915300f1,0xddf90132,0xce480170}},	//   _नरेन्द्र, _degrengo, _elmentve_, _bafanaba, 
   {{0xfc730638,0x92d1000b,0x43010233,0x2ef90110}},	//   _overfor_, _aepeitai_, _ablativ_, _aleksejs_, 
   {{0x0bd20105,0xc3e6002b,0x3273025e,0x80ca049d}},	// [a990] _घटिया_, _ইফেক্ট_, _impregil, _múltiplo, 
   {{0x6edc00e6,0x6f2d0020,0x83f801fc,0x57db0012}},	//   _省市政府网站_, _gasesein, _saduu_, _भाइककेँ_, 
   {{0xf8b20217,0x736e02bb,0xb83700ec,0x2fa40061}},	//   _pertinev, _हिंडाल्क, _паласе_, _하시기전에_, 
   {{0xfc1505c5,0x95b700ef,0xa8910073,0xbc0501f3}},	//   _लिप्यान्, _angasety, _servitor_, _pokroky_, 
   {{0x837c019e,0x13e80272,0x0b18011a,0xe290002f}},	//   _savaime_, _amaloboz, _מתמשכת_, _ichach_, 
   {{0xa3f80030,0x92780038,0x22e3012f,0xd045002b}},	//   _gadus_, _яшеренле, _kiwiwid_, _হত্যাযজ্, 
   {{0xe859016d,0xdc5600a1,0x82aa006f,0xf30502cf}},	//   _كاتېگورى, _moutere_, _رسالا_, _lavagem_, 
   {{0x8395025e,0x0714007e,0x8ea40515,0xfd9003b8}},	//   _leysa_, _शक्तिप्र, _claudite_, _بىرلەسىپ_, 
   {{0x451c04b9,0x362804a5,0x1d2404a5,0xc9d50309}},	//   _demolish, _abangazi, _alungise_, _baltalad, 
   {{0x2c170281,0x5ad100a4,0x007e01a3,0x36c60210}},	//   _pinaveer, _انىتكەنى_, _بڻجندو_, _angabudi, 
   {{0xbc640292,0x3da301ef,0x38fd0097,0x906d02d8}},	//   _abetutu_, _nemokama, _biotilẹj, _tampilan, 
   {{0xfb86006e,0xea01001c,0x13960121,0x78600253}},	//   _bobooboo_, _balagiga_, _acusan_, _dasnkisu, 
   {{0x3b420513,0x1c770111,0xc6410242,0xf25a0277}},	//   _abeburis, _patroni_, _tariximi, _alolon_, 
   {{0xd882040f,0x63ea0103,0xfa610038,0x726d0476}},	//   _востраў_, _anotya_, _izolyats, _fekitari_, 
   {{0x7a1c035d,0x00000000,0x00000000,0x00000000}},	//   _zukorlić_, --, --, --, 
   {{0x52ee0184,0x59050253,0x37b600a3,0x00000000}},	//   _unifem_, _allatigu, _avveging, --, 
   {{0x468f0042,0x53f801d7,0xde9e0103,0xbb900089}},	// [a9a0] _enfermei, _badus_, _chemunun, _бэяне_, 
   {{0x0225013d,0xb25a0176,0x0ecd01b2,0x87f0003c}},	//   _elekti_, _mikli_, _amricaan, _میسوزه_, 
   {{0x73f600da,0xf3f20313,0x7f280021,0xdbd6002c}},	//   _construi_, _puprupdi_, _ecarepra, _халхавч_, 
   {{0x1e6401da,0xd2c8004b,0x1c080320,0x648301b3}},	//   _kancerit_, _ашырылға, _mbhumamb, _престижу_, 
   {{0x3b6100ad,0x6cd600db,0x43790138,0x4f3a0480}},	//   _kasenian_, _pakkunud_, _ardahan_, _ebafazin, 
   {{0xebdc0192,0x4af801db,0x08310071,0x62000220}},	//   _한국과학기술연구, _патентті, _کوکاکولا_, _radici_, 
   {{0x3acd000c,0x0f150297,0x72900170,0x138f044a}},	//   _ракитина_, _алдашны_, _dimayo_, _monyama_, 
   {{0x22900468,0x2f6502ce,0x19c4000c,0xc6e2001b}},	//   _mhlaba_, _kompasia, _делатроз, _barbachi, 
   {{0x8f4e0045,0x227001f4,0xc52806f1,0x20dd0163}},	//   _наведено_, _چقارماقد, _abangakh, _دیارِ_, 
   {{0x21eb0268,0x94f00060,0x828d02e7,0x2290023e}},	//   _yingtray_, _этностық_, _ginpamal, _bejane_, 
   {{0xb9a404bd,0x24850198,0x758500e4,0x79f300b3}},	//   _alakaiia_, _partnerj, _partnerz, _бердиназ, 
   {{0x3c4e07fd,0x569500c5,0x8d470209,0x4aa40153}},	//   _زمانی_, _cartouch, _allatseq, _racistis, 
   {{0x638f025f,0x4c0700a0,0x9e960168,0x6f2d0378}},	//   _bonyama_, _asalinsu_, _fosteret_, _dagtilha, 
   {{0xc2fc019b,0x3dff002b,0xf631011d,0xbab40299}},	//   _keliais_, _গেমওয়াল, _secretul_, _ئۈچەيلىر, 
   {{0xe0ca0434,0x66a800d9,0xee200109,0x926c033a}},	//   _múltiple, _видеокар, _लाखौँ_, _ghandekx_, 
   {{0xb24504bc,0x988702fe,0xc12e0061,0x3d7a0010}},	//   _dømes_, _ذريعه_, _롱타임모바일_, _imelelwe_, 
   {{0x33f8038f,0x3c530240,0x899301ac,0x00000000}},	// [a9b0] _padus_, _tautuba_, _kashubia_, --, 
   {{0x703c01da,0x0d950040,0x64400064,0x12040169}},	//   _indeksio, _cultured_, _безилдеп_, _mexicali_, 
   {{0x639506dd,0xed130388,0x92fc0055,0x3c2404a8}},	//   _reysi_, _italiane_, _vingts_, _domovinu_, 
   {{0x365e0368,0x9c6500d6,0x8db30228,0x719d0177}},	//   _филма_, _youtubu_, _omfanget_, _аренаҟны_, 
   {{0x72fc00ec,0x00000000,0x00000000,0x00000000}},	//   _medinis_, --, --, --, 
   {{0x25aa00bf,0xd96c00a0,0x49d8002b,0x8290014d}},	//   _описания_, _changede, _পুতুলের_, _schach_, 
   {{0x611102fe,0xe37f02f3,0x72ee0145,0xfd0404df}},	//   _رپورټ_, _bilarna_, _žanrai_, _dikuçary, 
   {{0xa3f90145,0xb3a202fb,0x829100b6,0x7bac00be}},	//   _kitus_, _foipii_, _iyyan_, _كەتەبىز_, 
   {{0x52d80219,0xe3ea0092,0x2d1f01b5,0x58ce0135}},	//   _kuleyo_, _deltag_, _chalenje_, _agitbrig, 
   {{0x4a8600be,0x2f890040,0x69f800c1,0x43510152}},	//   _بالااعا_, _prevents_, _ditarget, _beterep_, 
   {{0xf0ed048a,0x1ae5029a,0xd3d4006e,0x5b59001d}},	//   _логиныңы, _lendikas, _duwaañ_, _mastriza_, 
   {{0x1c5c001b,0xe4a100b3,0x02a6009f,0x99090311}},	//   _testiin_, _azerbayj, _probal_, _ተሓዋዊሱ_, 
   {{0xb303043b,0xe341001c,0x53b6028b,0xa2040418}},	//   _sagairt_, _karelia_, _ideveha_, _indirimi_, 
   {{0x42af0037,0x88f6002b,0x5fa801bd,0xbb4a0087}},	//   _ተደርሷል_, _সংষ্কৃতি_, _كوڭىلدى_, _mintlawa_, 
   {{0x381400f2,0x00000000,0x00000000,0x00000000}},	//   _argentīn, --, --, --, 
   {{0xb3ea00e4,0x5d1905e6,0x3ab603a2,0x22560097}},	//   _piotra_, _sonnette_, _बॉयोमेट्, _kongílá_, 
   {{0x134b05ce,0x3bc600ec,0xb3f903dd,0xd93f00c0}},	// [a9c0] _birkaç_, _графіці_, _mitur_, _anomalya_, 
   {{0xc30300d6,0x0d1404ce,0xa3f9025e,0x324802db}},	//   _tagairt_, _ndilinde_, _litur_, _proman_, 
   {{0x3f6d01a7,0x16b10021,0x478e0142,0x62fc02f3}},	//   _родителе, _expensew, _परिवेष्ट, _tyngre_, 
   {{0x09c70126,0xa22502f9,0x50e900ad,0x3eee0143}},	//   _тараса_, _alekri_, _kasampak_, _нанесени_, 
   {{0xcb6102a4,0xfd9802c9,0xd7c4039e,0xd4b5008b}},	//   _gulliver, _injectie_, _brystbei, _masaalik, 
   {{0xb25b03ee,0xf80d0045,0x22910166,0xf0f000c5}},	//   _misle_, _командов, _gebaut_, _inférieu, 
   {{0x93f90145,0xb2900198,0x282b0309,0x94a4005e}},	//   _kitur_, _sklada_, _oynayır_, _ئۆرنەك_, 
   {{0x52d80409,0xadf6041a,0xe2f30170,0x8df4033e}},	//   _taget_, _ресурсів_, _athakati_, _удмуртиа_, 
   {{0x23f901da,0xed8e03bf,0x329202d9,0x6b0c01cd}},	//   _ditur_, _baroetsa, _asuava_, _кухна_, 
   {{0x9cd701a3,0xe29100c6,0x4059018d,0xf16f005e}},	//   _سعدان_, _debatt_, _ረብሕኦም_, _قەلئە_, 
   {{0x368c01c9,0x31df0117,0x079b013f,0x52e7009b}},	//   _पेसाब_, _iconfirm, _adamawek_, _драгон_, 
   {{0x0b2a0590,0xb9560130,0xfe62029d,0x7ade01b8}},	//   _заазуурд, _indoneze, _ревизуир, _teatasit, 
   {{0x42d8005b,0x505c0128,0x9d810072,0x820105b3}},	//   _dages_, _غزنویلر_, _sillanta, _kruip_, 
   {{0x3202042a,0xbccb00be,0x00000000,0x00000000}},	//   _entini_, _كۉۉدۅن_, --, --, 
   {{0x23f90053,0xd35f0258,0x951500be,0x03f90224}},	//   _situs_, _freedtej, _قارلۇۇ_, _bitur_, 
   {{0xc21604e5,0x9a0b01f9,0x415c0444,0x32210361}},	//   _abakundi_, _bumatima_, _мудар_, _асăнса_, 
   {{0x8ea8006e,0x0b6701b9,0xa3ea012f,0x5c040107}},	// [a9d0] _ajitwike_, _komersan_, _onotoa_, _andrexz_, 
   {{0xd620017f,0x334300e4,0x995d02d0,0x00000000}},	//   _myanmari, _सैलून_, _meeniste, --, 
   {{0x771801a7,0xe5f105e5,0x0b4104a6,0xb39505ac}},	//   _контакты_, _अभ्यर्थी_, _porodičn, _leyst_, 
   {{0x12d803ba,0x923b01d8,0xe2020447,0xfdd70163}},	//   _paget_, _donlang_, _wapita_, _بہشتی_, 
   {{0xd09d0352,0x32ea02fd,0x12da0127,0xa1360041}},	//   _মানুহ_, _cionnas_, _bosenn_, _рыҷкәын_, 
   {{0x72a701e1,0x13f90075,0xd68c0158,0x1ea70346}},	//   _ribbed_, _situr_, _निजात_, _deplizan, 
   {{0x43940596,0x42d80409,0xa2660029,0x53dc0116}},	//   _aeast_, _tages_, _خۆشگوزه_, _glows_, 
   {{0x12d905b1,0xc2cb00a3,0xeb8401c4,0x5b1703bf}},	//   _kvality_, _skadar_, _teenwoor, _bonalets, 
   {{0xfb070013,0xd2ef029b,0x00000000,0x00000000}},	//   _биздан_, _deffar_, --, --, 
   {{0xf29602c1,0xefc502eb,0xa2d80176,0xd4310059}},	//   _ububanyi_, _блогыг_, _kager_, _coraggio_, 
   {{0x8b0a0285,0x00000000,0x00000000,0x00000000}},	//   _amashoka_, --, --, --, 
   {{0x32d8053e,0xe86e01f4,0x237800b0,0x32520204}},	//   _dager_, _ساقچیلری_, _badanna_, _lautasel, 
   {{0x429000ac,0xfa0a01bb,0x252402d3,0x82c50193}},	//   _nimalo_, _hataryna_, _aconselh, _etalase_, 
   {{0x6abc021b,0x727800ec,0xd5070178,0x00000000}},	//   _глупо_, _glaistai_, _copacīya, --, 
   {{0x7aa20144,0x42c500df,0x2eb303cc,0xcf090026}},	//   _استعدادا, _utilise_, _diseños_, _gravenha, 
   {{0x8d640261,0x8202056a,0xda760600,0x90f70035}},	//   _נרדפים_, _bapisa_, _हराभरा_, _baglanış, 
   {{0x1de00173,0x68750148,0x5c5b01fe,0x02d9011b}},	// [a9e0] _আলোকে_, _特定專用區_, _jiutasi_, _bawei_, 
   {{0x63f80133,0x7f9000ba,0xfd080244,0x49f703ac}},	//   _abduu_, _فلۆریس_, _корупция_, _pahitnya_, 
   {{0x29ec0396,0xeb5e000c,0x8c6f0371,0x62780039}},	//   _attivita_, _бринк_, _ferrara_, _irungo_, 
   {{0xe3940334,0x69aa032b,0x4aa90088,0xc4650361}},	//   _afisi_, _совит_, _кемеден_, _астăвасс, 
   {{0x18ed00c8,0x8c750287,0x925a00da,0x00000000}},	//   _кабинеты_, _थोप्ला_, _ciclu_, --, 
   {{0x32d8044b,0x27b8001e,0x1aed0011,0xe2830245}},	//   _tager_, _hukumomi, _abafalus, _kashari_, 
   {{0xe2120211,0x639400db,0x02b000cd,0xeec6005b}},	//   _meihin_, _seast_, _chattarà_, _egenskab_, 
   {{0xc84d0300,0x71c400c5,0x227e002c,0x9e000007}},	//   _naposled, _人在草木中_, _agindu_, _balekisa, 
   {{0x7e1802a8,0x22d80437,0x82ba00ad,0x229200af}},	//   _irregola, _sager_, _soreang_, _mypack_, 
   {{0x289a0046,0xc0c10040,0xd3780009,0xe23b00e4}},	//   _кодексте_, _שכרגע_, _pijača_, _wodzisła, 
   {{0x62020007,0x229104c3,0xca080326,0x2e9c00ae}},	//   _kitini_, _gofarm_, _achawana_, _atamahin, 
   {{0x0316034f,0xc3200552,0x2e5b0265,0xac6101fe}},	//   _ababini_, _yenyau_, _geschikt_, _tutuiva_, 
   {{0xab0c00c4,0x2f940005,0x5189014b,0xb6c90011}},	//   _ڪلفٽن_, _spért_, _matanaay_, _babalabi, 
   {{0xa2e80082,0x03f9038b,0x14d703b8,0x338b01b8}},	//   _wakilan_, _patuh_, _халайық_, _särki_, 
   {{0xe9ab014e,0xd76f0185,0xae0f02fd,0xb0fe019d}},	//   _стално_, _başlílar_, _duneidea, _chahalal, 
   {{0x89d700f8,0x905f00d1,0x00000000,0x00000000}},	//   _মাল্টিপ্, _সমাজতহে_, --, --, 
   {{0x72d905e2,0x19bf0061,0xf3af00f0,0xdcfd0105}},	// [a9f0] _escena_, _기초의회의원_, _kúpou_, _syntetyc, 
   {{0x9d7f027b,0x86e9030b,0x0d0c0226,0x2ae00008}},	//   _साम्प्रत, _akwatibw, _bakunjir, _distinge, 
   {{0xb25700f5,0x67e30061,0x049d0107,0x32ee02ff}},	//   _mälim_, _소비자에게_, _agrégat_, _inifom_, 
   {{0x475a03ea,0x2c6502a8,0xe379042a,0x09fe004d}},	//   _非煤矿生产许可证_, _kuntest_, _ekwakha_, _邱先生加油唷_, 
   {{0x3c4b025c,0x49b90109,0xb27800d4,0x184a00af}},	//   _eintrag_, _परिषदमा_, _boargerl, _дошка_, 
   {{0xb47202e5,0x52b10113,0x8a42027b,0xe2ca0155}},	//   _amatitan_, _forchoim, _aparokṣa, _skidor_, 
   {{0x7dab0264,0xc13d0213,0x7287021b,0x364703c4}},	//   _munisipa, _спросит_, _junailem, _داداممۇ_, 
   {{0x12d5008a,0xa90d0243,0x7a0e04c7,0xdb0103e0}},	//   _aaloalo_, _assommí_, _орлом_, _matrixke, 
   {{0x649201eb,0xa75a0037,0x83f801f4,0x15730055}},	//   _aservaij, _ተንተርሶ_, _ashula_, _acidduch, 
   {{0x225b0277,0x2579021e,0x00000000,0x00000000}},	//   _svelte_, _mellanmå, --, --, 
   {{0x73560132,0x00000000,0x00000000,0x00000000}},	//   _hiteles_, --, --, --, 
   {{0x634c0625,0xc053003b,0x8b99057d,0xc908017a}},	//   _povedal_, _abeseben, _dobiveno_, _abhaxabu, 
   {{0xa2830334,0x16340061,0xdc730261,0x6ee700e6}},	//   _amphawi_, _성령님께서_, _belsona_, _暮色娃娃の_, 
   {{0xff9b0288,0x9b57021e,0xb3f9005a,0x43f9008a}},	//   _kriecher_, _filtrera_, _matuv_, _satui_, 
   {{0x22d90445,0x275703cd,0xc2980046,0x43210096}},	//   _escolas_, _काउन्सिल_, _تۅمۅن_, _akuye_, 
   {{0x82fb046d,0x026d02f0,0x1345027b,0xa60f02fe}},	//   _mashaka_, _amcoka_, _योगनिद्र, _azalungi, 
   {{0xb29000ad,0xc8e101a3,0x2eaa017f,0x7dd80420}},	// [aa00] _nyaah_, _اسٽئبلشم, _dunumiut_, _волфганг_, 
   {{0xcd840282,0xc2fc00d8,0x32640155,0x51c001db}},	//   _paremete_, _medicis_, _tavlor_, _телміріп_, 
   {{0xe6d20255,0x72b30039,0xbee7004c,0x7ee70043}},	//   _नाहिए_, _berdina_, _akokuwan, _alikusan, 
   {{0x868f04cc,0xfd9501db,0x3a100322,0x3af6013a}},	//   _daiengei, _عانيبەت_, _azibanda_, _hiergest, 
   {{0x5e450014,0x39c5004b,0x99490325,0x665905e6}},	//   _malazeze_, _kapelepe, _danabaş_, _insiggew, 
   {{0x9f0300da,0x827e01e5,0xe37903de,0x23f9048e}},	//   _респекти, _aginju_, _ukwakha_, _datuv_, 
   {{0xf200036f,0x2d84016e,0x01c8019b,0xba8b04ca}},	//   _radili_, _harekete_, _nelaimė_, _alentorn_, 
   {{0x8154004b,0x03a30377,0xa9e00061,0x4b5b01e7}},	//   _apesitso, _inapoi_, _콜레스테롤_, _partizip_, 
   {{0x827f0329,0xd93a017a,0xfa04032c,0xcebd002e}},	//   _byento_, _abalizwa_, _allamiit, _mržnja_, 
   {{0x06c901c5,0x8c0a01df,0xb347030a,0xe20200c4}},	//   _barbaari, _dumplin_, _enkenda_, _sitini_, 
   {{0x5290038a,0x129a0531,0x22a002ec,0x10e20307}},	//   _jehová_, _faajtim_, _shuban_, _kwendlal, 
   {{0xe29004cf,0x3f7e00be,0x6c520334,0x620000ec}},	//   _ohlala_, _позициян, _awatuma_, _dalimi_, 
   {{0x4b6c0494,0xc3940292,0x80ab02eb,0x8291010b}},	//   _dostupna_, _mfaso_, _спиртийн_, _lebane_, 
   {{0xf38100fa,0xe9c502d8,0xb43700ad,0x23aa00d7}},	//   _milyong_, _perempat, _ngokolak, _diqabang_, 
   {{0xa45d010d,0xf34102e5,0x7db803b7,0x22000746}},	//   _कारणासाठ, _hesegua_, _anningsp, _kemiju_, 
   {{0xde660164,0x73ea00cd,0x9264039e,0x0f390109}},	//   _турмайтт, _abità_, _tavler_, _voličů_, 
   {{0xe8430274,0x834e00ad,0x42d2002f,0x62010211}},	// [aa10] _sumarbús, _saderek_, _bibliap_, _ehtii_, 
   {{0xb86d0485,0x4f7200ec,0xd2000014,0x604a0255}},	//   _ingefær_, _добрага_, _kalimi_, _रोजगारो_, 
   {{0xd7180223,0x8c1f047d,0xc2c20077,0x76c90102}},	//   _нарантуу, _propper_, _siklòn_, _dinahici, 
   {{0x4283005c,0x12420113,0x10b306e9,0x00000000}},	//   _mashuri_, _سهوله_, _fabrički_, --, 
   {{0x99d6026f,0x6a020334,0x0cd10061,0x6f1f03b4}},	//   _кадрлық_, _atasandu, _롯데면세점_, _chatinga, 
   {{0xbfd70066,0xd2d90122,0x00000000,0x00000000}},	//   _хараал_, _dawet_, --, --, 
   {{0xb298018d,0x2224025e,0xcb0e013b,0x9200019b}},	//   _ኣስፊርዎ_, _reikna_, _dangatun_, _galimi_, 
   {{0x639400e9,0x90270166,0xd26c032d,0x84670314}},	//   _agase_, _eindruck_, _bokoba_, _шѳғѳллән, 
   {{0x44070067,0x5711021c,0xb14402f3,0x72d802ce}},	//   _achumaan_, _plastový, _hammarby_, _pakean_, 
   {{0x633c03c1,0xf3f6017e,0x3e36009b,0xc8a9003c}},	//   _домашнит, _konstrui_, _solairua, _کارافرین, 
   {{0x03200004,0xb4a9027b,0x725a048c,0xe4da03f2}},	//   _akeyi_, _बालाकिर्, _addled_, _говно_, 
   {{0xb283009d,0xab810075,0x8361003c,0x04b40311}},	//   _dashuri_, _kringvar, _بحثهای_, _ዘይከምቲ_, 
   {{0x73870225,0x9e250040,0xadb80243,0xc52d0244}},	//   _eperen_, _ברזולוצי, _dabaanat_, _comprato_, 
   {{0x30d7023c,0x904500b6,0x9b650418,0xbe08004d}},	//   _قرغیزستا, _catottak_, _girerken_, _相關政府網站_, 
   {{0x029002b4,0x9454057c,0x52ee03dd,0xb96e015e}},	//   _ahlala_, _nordjysk, _ndofta_, _килейген_, 
   {{0xe3aa0384,0x4ecf0241,0x52d9046b,0x1727026f}},	//   _odobrenj, _aksiyoon, _tawel_, _داععععى_, 
   {{0xd2da0467,0x83220168,0x2084014a,0x324a021f}},	// [aa20] _empene_, _juryen_, _túlsúlyo, _dogogori_, 
   {{0x13f80370,0x125b0262,0xc0ef02d8,0xc3fa012c}},	//   _indung_, _doglan_, _menabrak_, _matusi_, 
   {{0x33a2018f,0x438200bb,0xa69700d1,0x261d0148}},	//   _chipwi_, _سیٹیزن_, _নুশুৱে_, _eminenti, 
   {{0xe1ff0227,0x99130148,0x12da0184,0xc7570244}},	//   _menambah_, _tractatu, _impene_, _даниела_, 
   {{0x42900219,0xb6390035,0x325003a8,0x00000000}},	//   _uhlala_, _afríkanç, _attendem, --, 
   {{0x1f470061,0x95320153,0xa1a102f4,0x00000000}},	//   _은하수공인중개사_, _旅行に役立つ情報_, _mercadil, --, 
   {{0x7c6702fe,0xc20202e4,0x658f00d9,0x00000000}},	//   _دریاب_, _antiki_, _mestarik, --, 
   {{0x0c1b0242,0x13470074,0xb9b40008,0x558f01b0}},	//   _günündə_, _ollessa_, _тутуму_, _lestarik, 
   {{0xc2fc007b,0x228201b5,0x5c87007e,0x73790273}},	//   _hinges_, _amihudi_, _calitaṃ_, _crearon_, 
   {{0x73f900ad,0xd3b801cd,0x0d93005e,0xf26e03c2}},	//   _katut_, _agcwale_, _ﮔﯜﻟﺸﻪﻧﺪﻩ_, _aurous_, 
   {{0xe037002c,0x03f70242,0x2ea10092,0x629102f7}},	//   _inkestak_, _konserti_, _anelanen, _lebale_, 
   {{0x6ed50580,0x09f500a9,0x620002f8,0x354d0191}},	//   _papildin, _kaminuza_, _faliki_, _sommarvä, 
   {{0x64fe0019,0x03a203b4,0xe04502f7,0x53ff0220}},	//   _ئزدىلدەن, _chipi_, _ateresen, _останали_, 
   {{0x7e2a01df,0x38fd02ec,0x89fd0243,0x7f58010e}},	//   _recovers_, _karaamad, _karaamat, _botanten, 
   {{0x82f7012b,0xec5d0125,0x7c410421,0x45ca01dd}},	//   _niestety_, _tekstiň_, _nötige_, _barafash, 
   {{0x1290003e,0xa3f401ad,0xb2000399,0xd332020f}},	//   _ahlama_, _lepton_, _kaliki_, _ayikokuj, 
   {{0xa2da00bd,0x8dfd0238,0xac9901f2,0xaf1f0183}},	// [aa30] _unseen_, _потенціа, _ренвен_, _ahatonga, 
   {{0xa749023e,0x12ed00ba,0x63d70163,0xa3fa0204}},	//   _عبدالهی_, _سترۆجین_, _viktória_, _laturi_, 
   {{0x31910177,0x5985040f,0xbe5501b2,0xef4a013a}},	//   _рҵарадыр, _ketinama_, _breckera, _karschna, 
   {{0x02cb01a6,0x70ce0156,0x33fa00dc,0xedc10144}},	//   _mokoroa_, _קופאָנ_, _tatusi_, _stwidgie_, 
   {{0xb84d02d4,0x5e9602ec,0x7a0c0133,0x015702b2}},	//   _furmaziu, _پراوِ_, _belaayne, _пачках_, 
   {{0x1274020f,0xc6c203e5,0x3db203f5,0xf5fa00e6}},	//   _akusilel, _sanafizi, _apareceu_, _处三年以下有期徒, 
   {{0xf6a30205,0xb5ca00a9,0xf77a0147,0x73580311}},	//   _سندربانس_, _yarafash, _بۇچقاقتا, _ተፈሪዶም_, 
   {{0x851a0238,0x63a201ed,0x462f01c2,0x00000000}},	//   _програмо, _okipa_, _carregal_, --, 
   {{0x83800066,0xfa45047c,0xe6b202bb,0xd36804b4}},	//   _ahtren_, _nordsida_, _गत्ता_, _urimelig_, 
   {{0x795f0048,0x9ef103f4,0x0da7021a,0x8aba03ae}},	//   _atendere, _искали_, _biroodka, _forkunns, 
   {{0x82ff04f2,0x537b02e7,0x7200032e,0x137c027f}},	//   _hkphone_, _espasyo_, _waliki_, _biranse_, 
   {{0x099d015e,0xa22a0238,0x420002c1,0x62de013c}},	//   _бакыт_, _роках_, _taliki_, _polislər_, 
   {{0xdf4401c8,0x2c5b02af,0x00000000,0x00000000}},	//   _ambicióz, _tukurye_, --, --, 
   {{0x19ba02d6,0xf38d0094,0xa25b047d,0xd2ab003c}},	//   _دیوارنین, _اشتان_, _bislo_, _خیلییییی, 
   {{0xb3f802ce,0x5c0c029b,0xa03606a8,0x88710159}},	//   _baduy_, _barsàq_, _preteran, _асмара_, 
   {{0x72fc0212,0xc8780176,0xde430119,0xd27303f1}},	//   _bldgs_, _slankeku, _kanawaya, _sánka_, 
   {{0x64a200bc,0x52730625,0x17990162,0x1f3a0642}},	// [aa40] _ıllıllıl_, _mánia_, _بارالايس, _सिलिंडर_, 
   {{0x227f000b,0x2c0101a3,0x520100b7,0x00000000}},	//   _oganiu_, _ٻليدان_, _biziń_, --, 
   {{0x27f6033b,0x8f34001d,0x9c58002b,0xc9e2048f}},	//   _thabileg, _accordar_, _বর্বরতা_, _bakotaka_, 
   {{0xf7b50449,0x463501e4,0xeed502f3,0xa6bc003b}},	//   _šestoric, _रामहरि_, _fängelse_, _akhetsiw, 
   {{0xd30500aa,0xddb60197,0xb2650322,0xe1ed015d}},	//   _reparam_, _amandama, _abungeri_, _विजयवर्ग, 
   {{0xf3950244,0xecf401e5,0x123801af,0x8c4a004d}},	//   _stessa_, _ajakalè_, _hikmeti_, _最後修改日期_, 
   {{0x4e43001a,0xac3a034f,0xf5520036,0xbc670049}},	//   _megadott_, _درهبرۍ_, _chumarsá, _fahuloa_, 
   {{0x76e70156,0xcae90039,0x3b7e00e0,0xb2000399}},	//   _דעלמא_, _больё_, _bernsber, _maliii_, 
   {{0x23970147,0xa28e00bd,0xab820153,0x0afd004d}},	//   _سۇمماداع, _kirkmen_, _brandvar, _diversis, 
   {{0xd601016d,0xed8203b9,0xfba101d9,0x00000000}},	//   _ﺩﺍﺋﯩﺮﯨﻠﯩ, _qalltasa, _donkelgr, --, 
   {{0x63a203b4,0x2ea00785,0x276b0353,0xb6b7021a}},	//   _chipo_, _hurtigst_, _tyrkysov, _bohaarti, 
   {{0xeeae0544,0x714700af,0x06d701de,0xd2630085}},	//   _castille_, _написав_, _арайка_, _jokiliti_, 
   {{0x6c620053,0x27110261,0x8e430082,0x1c7103eb}},	//   _tawuran_, _animzorg, _gizagiza, _beiroet_, 
   {{0x72010193,0xedb6020e,0xbc1802eb,0x0c0b00d9}},	//   _vixion_, _каустик_, _тэвэрч_, _автору_, 
   {{0xe3fa00b4,0x2e9c01f9,0x42070176,0x00000000}},	//   _paturi_, _etimayin, _garoumow_, --, 
   {{0x2b8f01ad,0x63730334,0x0202018b,0x00000000}},	//   _agrimero_, _ingathe_, _pitici_, --, 
   {{0xc1050300,0x00000000,0x00000000,0x00000000}},	// [aa50] _politiky_, --, --, --, 
   {{0xae180047,0x6c6f0003,0x3c74047d,0x52fd00d8}},	//   _凡本站及其子站注, _kaarten_, _gedronk_, _redigir_, 
   {{0x0472069d,0x0b72046d,0x07ea016d,0xba0101f4}},	//   _mutekano_, _mutukana_, _ﮔﯧﺮﻣﺎﻧﯩﻴ, _talabiga_, 
   {{0x6fc803e6,0x365e01ea,0x8e640287,0xaf2602f3}},	//   _karikato, _хилма_, _चङ्गाइ_, _betrakta, 
   {{0xd2e600c9,0x395200f4,0x7dac01f7,0x6520036e}},	//   _hoangsa_, _argonaot, _alandada, _chaninch, 
   {{0xf2ef0170,0x5a480092,0x07a40333,0x3475021b}},	//   _malinga_, _インキュベ_, _accettav, _lintujen_, 
   {{0xa3f903ac,0x9e5200b9,0xb445005e,0x19f300a5}},	//   _jatuh_, _dinamaka, _رايىغا_, _tafiesea_, 
   {{0x6906005d,0xce48020f,0x42c5009d,0x73cb0156}},	//   _israelgu, _اوګوست_, _italise_, _הפּוו_, 
   {{0x7d8101ec,0xc1df0002,0x0e5501d5,0x198104bd}},	//   _کمپوست_, _napredak_, _وائفوں_, _kapiliia_, 
   {{0x1a5e038b,0x2e6d0177,0x38ca023c,0x57c50148}},	//   _seketika_, _ишәырҭаз_, _دبخښنې_, _conspici, 
   {{0x327f0202,0xf36f03ac,0x10f80268,0xdd12015e}},	//   _edanù_, _berguru_, _andingsl, _ажырады_, 
   {{0xefa60040,0xaa2900a7,0xf48c004d,0xe3100184}},	//   _ביקשתי_, _descompt, _成果發表會_, _hambavu_, 
   {{0x73f80265,0xd26401cd,0xaec7004b,0x53930256}},	//   _oclus_, _enkosini_, _bakiloen, _kempingi_, 
   {{0xb8f80050,0x87ae002b,0x3a730068,0x00000000}},	//   _ditangtu, _পিপলস_, _aflaanta_, --, 
   {{0xbb7004f2,0x866002cb,0x66590092,0x5afa0198}},	//   _muasodep_, _službeno, _検索用語を入力_, _baterijs, 
   {{0xd32005ed,0xa06e0033,0x00000000,0x00000000}},	//   _ijeyo_, _chapitan, --, --, 
   {{0x26600384,0x2fe80193,0xce4b01a0,0xf3750099}},	// [aa60] _službeni, _संसारात_, _lukanile_, _harutsam, 
   {{0xf7bd0047,0x65b20092,0x6b7a002b,0xcbdf0707}},	//   _patrimoi, _bornholm_, _সান্ত্বন, _nshenger, 
   {{0xaa0a03ea,0x01a30268,0x7bdf027f,0xad3d0153}},	//   _kilomètr, _amiciway_, _ishenger, _すべてのレコ_, 
   {{0xd0ec0255,0xcc720434,0x32760044,0x329101bb}},	//   _digitaal, _muertos_, _correctl, _eyyam_, 
   {{0x7387024a,0x08da023c,0x33a203e5,0xb2df01ab}},	//   _aperin_, _پوهېدم_, _stipä_, _triobet_, 
   {{0x77a6000a,0xfdfd0349,0x0c3000db,0xf8dd0109}},	//   _alartiti, _aiverswa, _loosimis, _दुईटा_, 
   {{0x2394024c,0x69cd0041,0x6ff70156,0x88f302ea}},	//   _ġisem_, _empléope_, _טעביי_, _рестарти, 
   {{0x7d0b018d,0x2a5e0409,0x00000000,0x00000000}},	//   _ኢንተርነትን_, _fremmeds, --, --, 
   {{0xdeb200f1,0x622503db,0xee6a00cd,0xec6a0288}},	//   _anrepons_, _afakwa_, _vischina, _nikunau_, 
   {{0x938603e5,0xeb1902d0,0x75e802ba,0x875e03cc}},	//   _teorik_, _conquere, _сулаймон, _ফর্সা_, 
   {{0x83f904bb,0xf246008f,0xa3ac0281,0x36c80023}},	//   _ibtug_, _खोलले_, _kuupik_, _противов, 
   {{0x7fc806dc,0xfbdf00ae,0xe2f204da,0x11e105a3}},	//   _obrigato, _ashenger, _molitvu_, _सामरी_, 
   {{0xf7470121,0x9dee02c2,0xd06c0109,0x186403c6}},	//   _ocupació, _minderwa, _दुईसय_, _skanomod, 
   {{0xc23a0060,0xc98002e4,0xd1590159,0xd4b200b4}},	//   _تىلدەس_, _furketta_, _аранжава, _schimbul_, 
   {{0x0c61030f,0xc75a00bf,0xc1740040,0x42b5019b}},	//   _mutunga_, _превосхо, _בטחוני_, _ягайлы_, 
   {{0x3579018d,0xb2a40401,0x260201a7,0x2c4900c8}},	//   _ዝተጋነነ_, _अभिप्रेर, _millaisi, _кредитта, 
   {{0x67130173,0x045a0039,0xdb8200e6,0x42ca00b3}},	// [aa70] _ক্ষেত্রে, _астазант, _欢迎来到公共知青, _begligi_, 
   {{0xcd4a0278,0x826c01fe,0x137c05b8,0xdb24012a}},	//   _kinabalu_, _kokoda_, _dyraste_, _gitarzys, 
   {{0x53400158,0x5c6503b0,0xc62302fe,0xe6b804d8}},	//   _करतूत_, _hantert_, _bezopoli, _yaraanti, 
   {{0xd3080358,0xf30c022a,0x0ac90037,0x67b7003b}},	//   _bouboun_, _tumatis_, _ድንቅነሽ_, _inguleli, 
   {{0xec6106b2,0x49e602ba,0x35a4031c,0x743e022f}},	//   _kutunga_, _саттор_, _mediació, _вакна_, 
   {{0xa73a015e,0x52900321,0xc32100ae,0x7d320128}},	//   _тоого_, _nimamo_, _ikuye_, _анжомлар, 
   {{0x33f80578,0x1394028c,0xdc1e0099,0x82ca00b6}},	//   _phluav_, _maksab_, _angambor, _randah_, 
   {{0x7d770169,0x898601a4,0x0867005b,0x7643030b}},	//   _কেন্দ্রে_, _bedisaka_, _berrykis_, _bankwati, 
   {{0xdcff0406,0x42e90119,0xb0180148,0x3c2f00e6}},	//   _उत्सर्जन_, _juliano_, _桃園市縣府路_, _masquer_, 
   {{0xd224022f,0x230e003d,0xf9050344,0xb2e703fc}},	//   _reikia_, _detalhs_, _allanigu, _grunnla_, 
   {{0x7dee018c,0x73c70023,0x5eca0452,0x89fd027f}},	//   _kinderwa, _противот, _कलाटणी_, _ukunyuka_, 
   {{0xccf70093,0xf7e003e7,0x8f2f02d4,0xd5610061}},	//   _баннеры_, _myślibór, _gartegia, _하나입니다_, 
   {{0x5a5d0092,0xc993021a,0x1a2e02e1,0x05890121}},	//   _地域ガイドトップ_, _bakkasaa_, _blocála_, _absorció, 
   {{0x43a20285,0x12240145,0xf98b01bb,0x09c7034c}},	//   _ikipe_, _veikia_, _mähriban_, _табада_, 
   {{0xb30e00e9,0x95db0311,0xe163007e,0x00000000}},	//   _lavaper_, _ንሓልዮት_, _chavimān, --, 
   {{0x41e101b7,0xf224040f,0xaaa10139,0xe06e029b}},	//   _स्वरे_, _teikia_, _दिष्ट्या_, _fayantoo, 
   {{0x03e700d1,0xd9080148,0x82e104b2,0x2349033f}},	// [aa80] _এফেক্ট_, _教學卓越計畫_, _pagibig_, _lavemai_, 
   {{0x4c3e048a,0x00000000,0x00000000,0x00000000}},	//   _ايسۇلۋدى, --, --, --, 
   {{0xa37a0121,0xd27e01eb,0x0af302ac,0xc5ed02cf}},	//   _estaban_, _amongy_, _احتراف_, _confortá, 
   {{0x0200035b,0x5a17014c,0x31710156,0xa8410092}},	//   _obliki_, _ababanga_, _צונױפֿגע, _overgreb_, 
   {{0xe3f80627,0x72c30272,0x64120234,0x070d014f}},	//   _comune_, _akuleka_, _irinkank, _лавру_, 
   {{0x7d390022,0x04d70046,0xd20e0094,0xe78600a7}},	//   _батырлыҡ, _тарабы_, _ғалам_, _аукционг, 
   {{0x12a6026c,0x672101c9,0x029f00f3,0x9d9c0393}},	//   _membra_, _जोड़ब_, _linjalo_, _izložbam, 
   {{0xb6ad026c,0x3e490169,0x1224032e,0x02a60445}},	//   _臺北翡翠水庫管理, _ডায়েরি_, _tunka_, _lembra_, 
   {{0x341b05e7,0x92d80039,0x00000000,0x00000000}},	//   _kuminyak, _bakean_, --, --, 
   {{0xdfa40409,0x0a010095,0x45a601e6,0x02e902fb}},	//   _accepter_, _sumangga_, _elastick, _pasikaa_, 
   {{0xf200011b,0x9c83033b,0x0b5701c9,0xeae101b7}},	//   _munite_, _meetlong_, _बिचौलिया_, _तरैलॊक्य, 
   {{0xfd390037,0x8f3a02a5,0xfe0d044b,0xa29002e4}},	//   _የያዙትን_, _rodičů_, _ihvertfa, _axiaq_, 
   {{0xc2d80002,0x7da501c6,0x3c6101a6,0x3c1e004d}},	//   _budemo_, _natoerma, _putunga_, _中國歷史研究法_, 
   {{0x33940056,0x39930421,0xd1c20183,0xa9c501d5}},	//   _ngase_, _neukunde, _findainy_, _verespat, 
   {{0x63130079,0x35850111,0xb5e800f6,0x19c30144}},	//   _veicina_, _nascerà_, _dumanlı_, _طالبا_, 
   {{0xf61f000d,0x5f5d00d3,0x9367012e,0x5ac00204}},	//   _broneeri, _ढुंगा_, _reagál_, _mikkelis, 
   {{0x03a2023b,0x41040040,0x70560156,0x00000000}},	// [aa90] _hiipoi_, _הארנונה_, _זיסעלס_, --, 
   {{0x9d2f018e,0xc3e70420,0xe29201a0,0x00000000}},	//   _fasitere_, _colocaçã, _jitama_, --, 
   {{0xe29200dc,0x42bc013f,0x64a602a3,0x00000000}},	//   _liuato_, _gordenn_, _odendaal_, --, 
   {{0x1fe40013,0x62900347,0x1fa70486,0x6b640007}},	//   _turkisto, _lekkers_, _profilů_, _bokumisa_, 
   {{0xc2fd059a,0x1cdc002b,0xe2fc02fd,0xab2a017a}},	//   _chegou_, _শুটকি_, _eilge_, _гиперишо, 
   {{0x93c4030a,0x0c6101b2,0x73780140,0xbc52007f}},	//   _canadá_, _iterate_, _tumalon_, _alltwen_, 
   {{0xde0a0037,0x620102ef,0x826c00ac,0xb20002d9}},	//   _መንገድም_, _aktik_, _likova_, _iunite_, 
   {{0x33050564,0xbb830282,0x4e5501dd,0x6b920109}},	//   _nolavik_, _nihoniho_, _badahuje_, _kulturně_, 
   {{0xbd7c0177,0xaec40289,0xd5f00061,0x22c90311}},	//   _викториа_, _asanason, _역사문화를_, _ክትሃድም_, 
   {{0xadbb029f,0x3d2301b9,0xbd6b022d,0x47bf020f}},	//   _poznania, _limidite_, _adimette_, _bangawav, 
   {{0x73980037,0x5224005b,0x00000000,0x00000000}},	//   _አላሙዲን_, _junko_, --, --, 
   {{0x72a60244,0x3f3504b8,0x7e9001c4,0x5dc501d9}},	//   _sembra_, _bakordor_, _westerse_, _verkaaft_, 
   {{0x97db0193,0x1d4a0162,0x609702c9,0x498f00b9}},	//   _उपकरणे_, _تارباغات, _принчи_, _markotop_, 
   {{0xca17069e,0xb29201e8,0x825a0418,0x00000000}},	//   _podería_, _gitama_, _nakli_, --, 
   {{0x1f230195,0x9fae0094,0x4bdf001d,0x012e009a}},	//   _achterca, _баска_, _interluc, _دستورو_, 
   {{0xd2a101bd,0x5292017d,0x30b8005e,0x8c6e021c}},	//   _тұлпар_, _aitama_, _پەچەت_, _charita_, 
   {{0x92b2007f,0xd25a00bd,0x54f80350,0xf2d8010d}},	// [aaa0] _blodwen_, _coolin_, _ደንበኛዬ_, _pakein_, 
   {{0xecea0092,0x7e360279,0x15470040,0x8e07007e}},	//   _ギャンブル_, _remarqua, _תגיעו_, _cauryeṇa_, 
   {{0xc30204e2,0x3c750178,0xeb6202d5,0x7eed0291}},	//   _pemandu_, _विभ्रम_, _जजमना_, _الجثث_, 
   {{0xa2120057,0xdc7402c2,0xd1a10185,0x00000000}},	//   _agihan_, _gedrink_, _itäseñ_, --, 
   {{0x337800e4,0x8dac0178,0x9c760008,0x7ad70262}},	//   _fadakna_, _anantada, _بولموقچۇ_, _takmynan_, 
   {{0x578a02fc,0xde2302c2,0xe5c10153,0x360100f0}},	//   _kumwandi, _terloops_, _琉球大学教育学部, _predavam_, 
   {{0xf5a6021c,0xa3a20168,0xb2920151,0x43020239}},	//   _plastick, _skape_, _aerate_, _kaharau_, 
   {{0x5c0803c2,0xc9d901bb,0x1d6d0041,0x52920115}},	//   _strolled_, _saklanyp_, _иусҧҟала_, _ditaja_, 
   {{0x42240145,0x114c016d,0xb414002b,0x00090361}},	//   _veikla_, _ﺋﺎﻓﻐﺎﻧﯩﺴ, _আবাহনী_, _капитала, 
   {{0xe4a50178,0x02d900bd,0x82da030f,0x70fc033e}},	//   _श्वासोच्, _hawes_, _kopere_, _издырам_, 
   {{0x73740074,0xd26c01eb,0xe37900ab,0x967902d6}},	//   _рубрики_, _aikova_, _hipanga_, _режимни_, 
   {{0x73f903d1,0xa1eb01d5,0x7b8301ed,0x14e1002b}},	//   _latus_, _منگوایں_, _liholiho_, _স্পাই_, 
   {{0x78ce008c,0x304a03ea,0xeb450374,0xa2850149}},	//   _fundaziu, _coordonn, _аталадиг, _ọhara_, 
   {{0x93f900c3,0x3c8b02ac,0x5c18031a,0x74e000c1}},	//   _natus_, _لنوكيا_, _daighnic, _आलीये_, 
   {{0x72e90461,0x2797016d,0x2f050076,0xd26405ac}},	//   _occitan_, _қияниң_, _чувате_, _gaulø_, 
   {{0xc2890120,0x02e900c1,0x2f200205,0xeaa9041a}},	//   _dalkaak_, _racikan_, _tortilga, _ремесел_, 
   {{0xd6710028,0x93b901e1,0x07f20135,0xac700371}},	// [aab0] _دیوانو_, _баннерҙа, _сентябре, _versare_, 
   {{0x4c1d0119,0xa82b02ec,0xfab401ab,0x92d8016a}},	//   _catanzar, _وچھنکھ_, _गोयड़ा_, _ordeno_, 
   {{0x83f90079,0x03ea005a,0x2380001d,0x45450113}},	//   _matus_, _chotta_, _curret_, _زبادي_, 
   {{0xf2b90368,0x667c01db,0x6f2b0418,0x925000dc}},	//   _простори, _докторлы, _unutmama, _peteleem, 
   {{0x32d9018a,0xf0ca014a,0x72d905b3,0xd82604ac}},	//   _lawer_, _اعلانیہ_, _ongeag_, _ультразв, 
   {{0x351c0061,0x23f900ed,0x3a390188,0x1e50050b}},	//   _동영상뉴스_, _gatus_, _дахлнопа, _cemberut_, 
   {{0x429504bb,0xd29207fe,0xa25b0062,0xb2920107}},	//   _majkauv_, _kitaka_, _lislu_, _berase_, 
   {{0x2f910148,0xd2240161,0x193402aa,0xad320223}},	//   _用熱情跨越生活界, _runko_, _uzamykat, _атлантын_, 
   {{0xca43015e,0x63f9000d,0xe2b701eb,0x00000000}},	//   _керегеле, _katus_, _iñeime_, --, 
   {{0xc8ce0005,0x716300c5,0x54ad00ea,0x727e048c}},	//   _cundiziu, _中华人民共和国主, _matanjak, _pained_, 
   {{0x23a20507,0xf3f90079,0x8aef068f,0xe2ea0161}},	//   _simpan_, _datus_, _ermorden_, _сторона_, 
   {{0xb9fd031e,0xa517004c,0x08c7035e,0x0ea800b3}},	//   _jedinica_, _abalinny, _multilog, _başlanda_, 
   {{0x5358018d,0xa035035c,0x922a010f,0xc3a20259}},	//   _ተወሊዶም_, _skottlan, _корат_, _chapi_, 
   {{0xe7c60071,0xf0a60008,0xab5c0097,0xc2e60211}},	//   _ادیتور_, _جامعىر_, _ilominir, _maineen_, 
   {{0x23f900ad,0xdc9c02d6,0x04ba0037,0xac9c0139}},	//   _hatur_, _дуода_, _ያመላከተ_, _माध्यमिक, 
   {{0x79390075,0x695f0037,0x29c204f6,0x67cf0310}},	//   _fólkaatk, _ደስታውን_, _landdist, _seisichi, 
   {{0xd3f9040f,0x92d8044b,0x195407b0,0xf26c030f}},	// [aac0] _batus_, _pasning_, _fugleart, _mokoia_, 
   {{0x92d901d2,0x526c04ec,0xb2fb0010,0x83790298}},	//   _bawer_, _kikota_, _imiholo_, _ripanga_, 
   {{0x7ec501b9,0xf1f600ba,0x4f5001ef,0x939401af}},	//   _aerospas_, _بدۆزیته_, _земляным_, _agash_, 
   {{0x03f90331,0x103401ac,0xd30c0339,0xebdf0189}},	//   _fatur_, _انتقلت_, _oopalau_, _dilekler, 
   {{0xe4c00425,0xad460088,0x6386029c,0xec6f0343}},	//   _پیرمام_, _аудиотас, _awiri_, _isirado_, 
   {{0x787600da,0x0e350103,0x857a018d,0x16c6034c}},	//   _визуалэ_, _aakamuva, _ብነጻነት_, _bahautdi, 
   {{0x2b5c0097,0x42eb0233,0x847c02c3,0x72fb003b}},	//   _alominir, _audibil_, _dentálna_, _emiholo_, 
   {{0x629102fa,0x93f80258,0xd180022d,0x1bb400ec}},	//   _rubavu_, _lieuwe_, _stradell, _лезбіянк, 
   {{0x362900fb,0x629200a9,0xd37b00b4,0x4a23027b}},	//   _abangayi, _gitaha_, _antrenam, _bhāskaro_, 
   {{0x0a0a02e7,0xe3f900c3,0x6cbd0156,0x92010014}},	//   _bitamina_, _datur_, _הישיש_, _aktin_, 
   {{0xa3a203b0,0x5f2f0055,0x33a202e8,0x418a02ad}},	//   _skipa_, _partigia, _akapa_, _džambulk, 
   {{0x8b520074,0xad0d000c,0x145e0045,0x78220061}},	//   _аналогич, _ajetyvyr, _народним_, _버렸습니다_, 
   {{0x6db80126,0xe5110244,0x6c70042c,0x0a930039}},	//   _виникают, _pensiero_, _prirodu_, _болдын_, 
   {{0x99da0461,0xc3860285,0x61c90059,0x49da0007}},	//   _zoologia_, _kwari_, _кости_, _azongisa_, 
   {{0xdc6802ef,0xa28d005b,0xb60b02eb,0xdc3b01f3}},	//   _apprann_, _michiru_, _явчихна_, _povinnou_, 
   {{0xe3860326,0xc3f900ad,0x79aa00d7,0xe3f901ec}},	//   _mwari_, _batur_, _соник_, _satus_, 
   {{0xc2e900ad,0x72ca0408,0x3ffc0291,0x00000000}},	// [aad0] _sutisna_, _handry_, _ولذيذ_, --, 
   {{0x5264017f,0xa53e0012,0x665b02e1,0x82a10061}},	//   _apullu_, _परेबा_, _زعلانه_, _파기합니다_, 
   {{0x337a0013,0xe5c700c7,0x586301f4,0xad2803da}},	//   _istagan_, _шалтырат, _болали_, _wednezde_, 
   {{0xc2ca00ea,0x621303d9,0xe39403d9,0x95100125}},	//   _mandry_, _afahan_, _afisy_, _azalandy, 
   {{0x32da021f,0x36c9004f,0x00000000,0x00000000}},	//   _assefa_, _darajaam_, --, --, 
   {{0x697505eb,0xcfa100c7,0x08310012,0x32f00399}},	//   _abanyule, _sovetlar_, _करकसाउकर, _malingi_, 
   {{0xd3f90256,0xa291024a,0xf31e03ed,0x0cc50453}},	//   _satur_, _apaadi_, _álcool_, _odbijaju_, 
   {{0x7a460184,0xe6bc015d,0x12b50416,0x27d6003e}},	//   _bategera_, _तख्ता_, _usacar_, _авиамеди, 
   {{0x3d9604b9,0x77610510,0xd3f901ca,0x42ca00e3}},	//   _buttered_, _сверх_, _datuq_, _esodu_, 
   {{0xae5600cb,0xb8970060,0xf8900013,0x8a890347}},	//   _маъшуқа_, _داعىدارى, _устунга_, _vatikaan_, 
   {{0xf26c00ab,0x23a20077,0x92ea01ad,0x93df0039}},	//   _hokona_, _chapo_, _basilan_, _eramatek, 
   {{0x85f300d9,0xa3ea0611,0xec92004d,0x926c0403}},	//   _моменты_, _tultan_, _國際線上娛樂綜合_, _bokona_, 
   {{0x45e6037f,0xc386023e,0x322601a7,0x9246008f}},	//   _cümhuriy, _swara_, _aluksi_, _खोजले_, 
   {{0x79c7019e,0x1b370187,0x6643034c,0x33f900c1}},	//   _сазана_, _гиганти_, _фландрия_, _katup_, 
   {{0xbf440037,0xf6d00715,0x7b240092,0x18600044}},	//   _መገልገያ_, _आणविक_, _アフィリエイトプ, _trustees_, 
   {{0xa3f901da,0x135f03c0,0x717b006f,0xdd8c0198}},	//   _patur_, _fungere_, _دعوتون_, _ročna_, 
   {{0x7e4b0534,0xe32104cf,0x6404015c,0x1b8a00ec}},	// [aae0] _vinagame_, _akuyo_, _editioun_, _patalpų_, 
   {{0x3fa004a6,0x76240306,0x5dab026f,0xcbe900c5}},	//   _decembar_, _aeropoli, _اﻗﯩﺮى_, _个例报道有_, 
   {{0x2a4c00ca,0x3b660129,0xfe08015e,0x794f004a}},	//   _mondiala_, _ebelatar, _тапшырма, _demoqrat, 
   {{0x7e750148,0x82f0048f,0x5a17017a,0x7169000c}},	//   _萬字不到頭_, _balingi_, _acabanga_, _седови_, 
   {{0x4e2d0092,0x7c9e02ac,0x82d801b9,0x10ed03bf}},	//   _クアラルンプ_, _إستقبال_, _oligarsi_, _diniurol, 
   {{0x1a7e0193,0xd69701ac,0x99c20353,0x1c6a0399}},	//   _jayapura_, _chreatoi, _neodpust, _moluuuu_, 
   {{0xda6a018d,0xbb42020e,0x62b400c0,0x17c60158}},	//   _ኣኽራናት_, _hlobolis, _berdeng_, _starostw, 
   {{0x89670021,0x4e2900e1,0x3d810139,0xc35600df}},	//   _undilute, _faagaaga, _निर्दग्ध, _suffira_, 
   {{0x30c30238,0x22ca0408,0xb2ee0075,0xf6360781}},	//   _включаюч, _sandry_, _vinnari_, _uslijedi, 
   {{0x92fc003a,0xc3170497,0xaa180273,0x86d20193}},	//   _tilga_, _avenging_, _cincuent, _स्टिक_, 
   {{0xd4b30040,0x7f4a0012,0x00000000,0x00000000}},	//   _בארבע_, _साबधानी_, --, --, 
   {{0x5d4b0102,0x726c00ad,0x99680276,0x62d20163}},	//   _binadamu_, _pokona_, _алматади, _rokonok_, 
   {{0xa26c00d7,0xa3a2009f,0x2e3b0239,0x625a027a}},	//   _bokooa_, _ekipo_, _paratira, _paklu_, 
   {{0xa2240163,0x57ed00a1,0x3e18004a,0xd3800014}},	//   _munka_, _ingarang, _дөрес_, _burrat_, 
   {{0x9c530393,0xfe8f0094,0xaa23027b,0x0b590297}},	//   _postova_, _سەنبى_, _bhāskare_, _golubeva_, 
   {{0xe7f00105,0xe7ed0210,0x46b40189,0xa048019f}},	//   _क्रियाएँ_, _angasang, _gerginli, _سوزوڪي_, 
   {{0x23ea0184,0x92da0069,0xf93a0061,0x10ec00d0}},	// [aaf0] _akotsi_, _mutego_, _대학리포트_, _judizial, 
   {{0x926c00ad,0x9deb00ba,0xc63b0350,0x9bf1010b}},	//   _rokona_, _پێشهات_, _መገልበጥ_, _keetlets, 
   {{0x6eb20028,0x1c330156,0x05ca0322,0x00000000}},	//   _khasaare_, _יאסיר_, _barabash, --, 
   {{0xd84600ff,0x8ea80125,0xca0a03f6,0xf224005b}},	//   _משכילים_, _başlandy_, _hilahila_, _bunka_, 
   {{0xa2da040f,0xb93f00bb,0x40ab00e6,0xbadb00f8}},	//   _popietę_, _ٹویوٹا_, _无锡不锈钢电子交, _জ্ঞানে_, 
   {{0xb627009a,0xb2b504b9,0xb26c032d,0x93780310}},	//   _ناچاپه_, _flechy_, _fokola_, _salainn_, 
   {{0x39ae0163,0x6465023d,0xb2fc008e,0xed60003c}},	//   _ایریا_, _inserito_, _cingis_, _خرابکاری_, 
   {{0x7b4702ae,0x5dd80294,0x322402f3,0xe2500274}},	//   _kolačiće_, _alikarna, _funka_, _féllu_, 
   {{0x23860356,0xe3a201df,0xb74a0037,0x91ca0188}},	//   _awiru_, _whips_, _እንናገራለን_, _пойбанди_, 
   {{0xd305017f,0x3c790105,0x0a9f003a,0x9dc90102}},	//   _allanik_, _odnaleźć_, _qarindos, _kushinda, 
   {{0xe9730249,0x0e18013f,0xd6b10040,0x237f01f0}},	//   _artifakt, _niverela, _ידענו_, _dimatla_, 
   {{0x22fc007b,0x37a80040,0xc9c6000e,0xc3520178}},	//   _midge_, _ותחסכו_, _heredant, _atisaṃdh, 
   {{0xffda005a,0xe4d701bd,0x8609017f,0x227f0015}},	//   _assinabo, _даланың_, _alumiumi, _saanad_, 
   {{0xcc1504f9,0xd6af019d,0x00000000,0x00000000}},	//   _atissars, _kawetedw, --, --, 
   {{0x57b1012d,0xec7103b9,0xc386030f,0xc2d10265}},	//   _akaunabi, _febreru_, _ewaro_, _replier_, 
   {{0xcf4000ba,0xdd93022b,0xb224008b,0x8369036b}},	//   _ئیشاڵا_, _bretland_, _funki_, _бразилец, 
   {{0x304e014e,0x421302fb,0x45670223,0x0bfb0118}},	// [ab00] _дозвољен, _fuahia_, _финалын_, _atufugir, 
   {{0x726c0240,0x52b5021c,0x0ed503a2,0xdfea0092}},	//   _bokola_, _plechy_, _गैजट्स_, _価格は全て税込み, 
   {{0xa6cf00a6,0x5bb6012a,0x88c30073,0x1a5303f1}},	//   _staatsli, _मुस्लिमो, _annuciav, _vydáva_, 
   {{0xa29203ea,0x734f0456,0x202b02ac,0x8f250153}},	//   _serait_, _hadeeth_, _تراتيل_, _フランス料理店_, 
   {{0xa69700f5,0x83dc0004,0x8224013c,0x73ea003a}},	//   _алдананы, _angwo_, _cunki_, _sulton_, 
   {{0x8a71015e,0xc4080287,0x6e3c00bc,0x59e800d1}},	//   _vilanova_, _sakrální_, _ویستامرج, _তামুলীৰ_, 
   {{0x3486048a,0x79580125,0x729005e6,0x63a20247}},	//   _аластаңы, _milletle, _mekaar_, _simpen_, 
   {{0x8b33018d,0x127f0707,0x350303e6,0x03d60387}},	//   _እንተሪኢና_, _akantu_, _villaich, _spamatoz, 
   {{0xea3001b7,0x7e0b001b,0x77e900be,0x1309004d}},	//   _रससरत्नस, _armeniya, _قوزعوسو_, _下屬攻上司_, 
   {{0xa68c01c1,0xe608028e,0x8a0901af,0x406403d9}},	//   _निनाद_, _konfusum_, _aydanyna_, _ankadifo, 
   {{0xe3bb01ac,0xa42705f4,0x276400ba,0xfaaf0061}},	//   _إسحاق_, _babahoyo_, _وێتهته_, _규칙적으로_, 
   {{0x73030201,0x34360465,0x73870260,0xe36802d4}},	//   _naharat_, _ostanejo_, _dobres_, _brigels_, 
   {{0x12920166,0xa373019d,0xeb9400df,0xe87e017c}},	//   _gerade_, _angaphe_, _luminair, _skapades_, 
   {{0xc37f0103,0x9387000b,0xf98a03e8,0x08d602e7}},	//   _acharwa_, _fobres_, _trženje_, _kapunung, 
   {{0x72e500e3,0xe2fa02ac,0xe941013a,0x9a9901a3}},	//   _abilitaj, _يكرمك_, _geklaute, _ميڪده_, 
   {{0x4b5b0238,0x8edb040b,0xb17403c4,0x89f404ca}},	//   _окремих_, _kyriacos_, _йетишсиз, _benòs_, 
   {{0x7cf100e0,0x0202000f,0xc99700ec,0x00000000}},	// [ab10] _beetster, _katili_, _гарбата_, --, 
   {{0x4c6704bd,0x7ad704b4,0xfb78002f,0x00000000}},	//   _pahukoa_, _catwalke, _explainc, --, 
   {{0x8e7b00ef,0x5c47004b,0x00000000,0x00000000}},	//   _محدوديتو, _һалган_, --, --, 
   {{0xd2fe016e,0x438601f0,0x70cd0093,0x00000000}},	//   _getirir_, _itira_, _британин_, --, 
   {{0x5f3b02a2,0x427f01dd,0x2c77017c,0x8be702d9}},	//   _kabutiha, _ahanyu_, _korsord_, _ulimasao_, 
   {{0xe236037e,0xd3a20257,0x028b008a,0x00000000}},	//   _elijah_, _skipt_, _matagaoi_, --, 
   {{0x729601a6,0x6a6a0311,0x4e6d0235,0x00000000}},	//   _mākare_, _ንምልቓቕ_, _chinattī, --, 
   {{0x9691030b,0x1e250188,0x4fae02a9,0xf18f02e7}},	//   _abatuguy, _рузгор_, _хатка_, _ginagmay_, 
   {{0xcbb40193,0xc2ca043a,0x19670156,0x720200a2}},	//   _berkontr, _spoda_, _האָדעווע, _batili_, 
   {{0x21710183,0x094700da,0x49e500a7,0xfc5900cd}},	//   _jeankely_, _рэскручя_, _recomana_, _ametsch_, 
   {{0x897502e3,0xece900c4,0x59f9010b,0x037804a4}},	//   _musiccit, _سڀڪجهه_, _fapaanet, _ladarna_, 
   {{0xf32a027b,0xddb60565,0x9b4f00aa,0xf2000343}},	//   _kurvanti_, _aranžman, _salmeter, _ablihi_, 
   {{0x73870245,0xc9c70064,0x94fb0255,0x66530151}},	//   _sharad_, _габала_, _करतारण_, _bokkegei, 
   {{0xdaba0242,0xee1a004b,0x8fa30076,0xa999046f}},	//   _suraxanı_, _bofereka, _vereador_, _kenneléi, 
   {{0x3a6800bc,0x8fed018d,0xdef0018d,0xf4050297}},	//   _caploonb, _ብተዛዋዋሪ_, _ኣለክሳንድርያ_, _grippına_, 
   {{0xba95028b,0xf219003b,0x00000000,0x00000000}},	//   _аграртә_, _akukevam, --, --, 
   {{0x426d0534,0x4c6104b7,0xc9e0018a,0x1c530084}},	// [ab20] _socola_, _sterkte_, _traffert, _mustofa_, 
   {{0xb2c9013b,0xc15b0026,0x2a71034c,0x8379003c}},	//   _essonne_, _overgeno, _bilalova_, _batalna_, 
   {{0xd3ea0437,0x9b120271,0x93020105,0x123603ec}},	//   _sulten_, _fengsels, _badaniu_, _bebja_, 
   {{0x8e390403,0xaaae0342,0xb2e904f8,0x7849018d}},	//   _tokantra, _afeksyon_, _madison_, _ብጽሑፍን_, 
   {{0x9aef01a7,0xdc3902ac,0x3087003a,0xf341019f}},	//   _rautatie, _أغنام_, _душманли, _kutetea_, 
   {{0xbc6d000e,0x72a60461,0x87d20527,0xc5fa047b}},	//   _akirita_, _afectadi_, _forumaša_, _døgverða, 
   {{0x62020242,0xf2fe013c,0xa36500e1,0xd9ab0311}},	//   _katibi_, _yetirir_, _jangoro_, _ይኽእልዶ_, 
   {{0xf3860417,0x349f00d1,0xe0110176,0x4fea0079}},	//   _swart_, _সুক্ষ্ম_, _pendleto, _koordinā, 
   {{0xc29001e9,0x692501a3,0x020e0204,0x42240189}},	//   _bekkers_, _بُنياد_, _гормонал, _cunku_, 
   {{0xea0b014a,0x816e0276,0x5385025e,0x9c18003d}},	//   _kilométe, _маканниң_, _farartæk, _cinquen_, 
   {{0x42d8018e,0x9b660326,0xea5300cb,0xcb1a00ec}},	//   _boheke_, _akarumwa_, _amdedela_, _žolinių_, 
   {{0x12ab02a2,0x4ba30233,0xe30100a2,0xfa5d0045}},	//   _mundong_, _funkener, _watalii_, _mesecima_, 
   {{0xd8ec019b,0x9e3d030c,0xfc6e0285,0xfa0a0369}},	//   _народных_, _hapummiq, _ikarita_, _papahana_, 
   {{0x22770253,0x2c3200c4,0x63790285,0x41bd014e}},	//   _soraarum, _اصطلاحن_, _mihango_, _нисте_, 
   {{0x3ea201fb,0xaca802e6,0xa0a5015e,0xb2ee02ee}},	//   _extracte_, _nybygger, _илинип_, _bonnici_, 
   {{0xd5420244,0x22570109,0x3190001d,0xc24602c2}},	//   _невероят, _पहेंलो_, _kasačiy_, _vredesam, 
   {{0xec060164,0x220001cf,0xa28a01a4,0xb55a014e}},	// [ab30] _байрими_, _punite_, _batalani_, _разгледн, 
   {{0x9ae70347,0xa6a6017a,0xe74103bf,0xb18b02b6}},	//   _rentekoe, _amathiph, _әҙиптең_, _есентаев, 
   {{0x3394000b,0x5f630135,0xb5350156,0x9d3b020f}},	//   _maise_, _алеша_, _מוועט_, _ستاڅو_, 
   {{0x82f2012b,0x06a80238,0x75be004d,0x621302f6}},	//   _उदारवादी_, _значить_, _印度尼西亞大紀元_, _agahan_, 
   {{0x66a10513,0x00000000,0x00000000,0x00000000}},	//   _longolox, --, --, --, 
   {{0x5c61033f,0xb1800120,0xff260209,0x32fe000d}},	//   _fetukua_, _kimaalih_, _amerlisa, _targem_, 
   {{0xfb8c0455,0x62a60278,0x08a80060,0xe25b0120}},	//   _alentour, _lembap_, _ақбантик, _naalá_, 
   {{0x6bbc048a,0x7b480125,0x05ba0313,0x29ce034e}},	//   _полицияс, _патшалыг, _bovangch, _anamarka_, 
   {{0x834800c3,0x525b01d1,0x1c7901ac,0x49f602ff}},	//   _dicendi_, _twelve_, _móramh_, _lapèn_, 
   {{0x0a960051,0x258701f7,0xb9ee012f,0xe24c005e}},	//   _decembrī_, _obligatò, _dowirara_, _ﮬﯩﻨﺪﯨﺴﺘﺎ, 
   {{0xe2830124,0x8321014c,0xdd260371,0x220100f5}},	//   _shokoka_, _akuyi_, _immobile_, _aktiw_, 
   {{0xa5c90141,0x3f770035,0x659d02f6,0x679200ba}},	//   _futbolch, _низамов_, _lisensiy, _دڵپاکی_, 
   {{0x72e7018c,0xf26e019d,0xc39401c2,0x7bfa006c}},	//   _maanden_, _kosowa_, _faise_, _amethemb, 
   {{0x7256063c,0x439401b8,0xaaa50145,0xb3a2046f}},	//   _सुहागरात_, _naise_, _pasikeis, _ekipp_, 
   {{0x53ea013c,0x2ddc023e,0xc5c500e6,0x2346026b}},	//   _faktla_, _گلدون_, _我的贴吧发言_, _tendras_, 
   {{0x4c01038e,0x233a0162,0xeb01015e,0x39920192}},	//   _agustus_, _мәктәпти, _устаты_, _verkrege, 
   {{0x92da041f,0xd30c037c,0x2faf002b,0xfd740024}},	// [ab40] _ezweni_, _humanis_, _ওডেস্কে_, _varmaste_, 
   {{0xf2bb0087,0x33ea016a,0xc15f02c2,0xb0430399}},	//   _yordani_, _multan_, _suurlemo, _manuopan, 
   {{0x42e703e0,0x1378015a,0xf3a20294,0x0b9205c2}},	//   _gaangen_, _abdanna_, _akipi_, _nimirodo_, 
   {{0x7503015c,0x987203dc,0x42000488,0xa0060161}},	//   _villeich, _kvinnunu, _teniss_, _кальция_, 
   {{0xdb1602f7,0x00000000,0x00000000,0x00000000}},	//   _kgopisit, --, --, --, 
   {{0x97db03b0,0x5973020f,0xdff700ac,0x00000000}},	//   _lokalnav, _amanyene, _neisplać, --, 
   {{0x27dd04bf,0x0e3a0161,0x340702ba,0xd8490060}},	//   _izražava, _видеоуро, _халкхои_, _قاراقالپ, 
   {{0x14c901f4,0x3bd900e7,0xfd6802c4,0x8b920373}},	//   _تصویرلری_, _alivarys, _погрешна_, _biendomo_, 
   {{0x72250387,0x24d70152,0xb79f01b5,0xf2a002fe}},	//   _agakwa_, _канаты_, _cukumeti, _akubon_, 
   {{0xc2bc0230,0x034303c3,0xbdc9034c,0x8c6105eb}},	//   _kordinn_, _naredio_, _bashqort_, _basuswa_, 
   {{0xcc800244,0x22fe00ec,0x0a4f0229,0x8be700cb}},	//   _черен_, _nariams_, _qalereya_, _кинаву_, 
   {{0xb95c00e6,0x22020342,0x00000000,0x00000000}},	//   _什么样的房屋不能, _optich_, --, --, 
   {{0x204800a6,0x0282012c,0xb3f80219,0x972601d1}},	//   _موجودي_, _sidhani_, _ephula_, _plumbing, 
   {{0x31c8019b,0xa6240157,0xa2020304,0x7f6d0350}},	//   _nelaimės_, _jerozoli, _latiff_, _ተስተውሏል_, 
   {{0xbf6602fc,0x0200037c,0x8d21046f,0x00000000}},	//   _akabamen, _punire_, _mëssvers, --, 
   {{0x31ec01bc,0x71410287,0xf0cf01e6,0x130102fb}},	//   _biografy_, _šampony_, _zaplatil, _katakii_, 
   {{0xf2da0120,0x0a640078,0x7b1b020f,0xe3ce0296}},	// [ab50] _essena_, _веселино, _curators, _knivar_, 
   {{0x948e012a,0x2b7d000c,0x43940181,0x500d03ab}},	//   _historyj, _ikanguer, _cakses_, _pooperač, 
   {{0x326d0334,0xa6aa0015,0x4cfc015e,0x83860316}},	//   _akaone_, _horfadhi, _суранган_, _gwari_, 
   {{0xd85803dc,0x69d40141,0x6ff9034c,0x53f1013e}},	//   _dagarnar_, _musobaqa_, _зонасына_, _senzore_, 
   {{0xa9c80244,0x8746052e,0x238601e5,0x5c2c02eb}},	//   _общество_, _adnimadv, _awari_, _практикт_, 
   {{0x33af01f2,0x32730128,0xfdb20294,0xa8be0350}},	//   _кәйшиниң_, _tutiladi_, _chincana, _የሪታኒንግ_, 
   {{0xa3dc056a,0xd34600a7,0x0b2a0220,0x5f590055}},	//   _angwa_, _турмушту, _основнат, _insurgés_, 
   {{0x4cd704bb,0x6c630119,0xa2e00034,0x921801db}},	//   _catholiq, _abruzzo_, _tilfelli_, _жұбан_, 
   {{0x9c620326,0xae0000f5,0x73f80219,0x96d700cf}},	//   _getrude_, _енеде_, _aphula_, _balaalef, 
   {{0x374400ef,0x3aad059c,0x5d370196,0x09e30102}},	//   _مختلفو_, _funktion_, _amenyane_, _wakipata_, 
   {{0x225a025c,0x5e8f0479,0xe20001f1,0x6a560148}},	//   _sollte_, _utóbbi_, _etnike_, _新浪隨意貼_, 
   {{0xdb5104ae,0x23950274,0xdc6e0090,0xa3860177}},	//   _ažurirao_, _fresta_, _akarota_, _ivary_, 
   {{0x43860286,0x0d950040,0xdf3e0139,0xc06b041e}},	//   _etire_, _רויטל_, _annapāna, _supponen, 
   {{0xfc7300d0,0xfcbe0187,0xa5260042,0x00000000}},	//   _хорихын_, _пареа_, _afastado_, --, 
   {{0x23ef0666,0xb3a20278,0xd8df01db,0x10c90153}},	//   _obitelji_, _himpun_, _قاتۋلانا_, _北海道大学薬学部, 
   {{0xf2670397,0x4f5c010b,0xe26c0016,0x1bd304cd}},	//   _набояд_, _babaakan, _koloro_, _letjelic, 
   {{0x75440014,0xf28003cf,0xfba80162,0xf0b700ff}},	// [ab60] _ዝምስረት_, _herkese_, _билимләр, _אינדעקסי, 
   {{0x392600da,0x8ae303c2,0xc1b9018d,0xe3940160}},	//   _прочент_, _abortive, _ኣይፈለጥኩን_, _ugasi_, 
   {{0xba0a0403,0x638602fa,0x817702fe,0x553500bc}},	//   _mahalala_, _uwari_, _akhangel, _penyangk, 
   {{0x2efd00f6,0xa2040153,0xd9f40421,0x63b302ad}},	//   _yaratmağ, _トップニュ_, _menüs_, _slavík_, 
   {{0xe563016d,0x072b0448,0x3c600457,0x25ba04ca}},	//   _بەقەرە_, _rapporté, _madudda_, _arcadoch, 
   {{0x1c0a01ad,0x4c5b012b,0xb34801a4,0xa27f01e8}},	//   _krapina_, _zakupie_, _bolembi_, _kaanad_, 
   {{0x660701b7,0xfedb00f2,0x5379036c,0x023403ec}},	//   _प्रसविष्, _deviņos_, _bataina_, _formave_, 
   {{0x828c00f6,0xdbd1005e,0x43940249,0x0225017a}},	//   _bankın_, _ئېكولوگى, _sakses_, _бурунмар, 
   {{0x2035029a,0x594e00ee,0x94f3023d,0x6bc900be}},	//   _mentenan, _publizit, _местопол, _байларды, 
   {{0x53860069,0x83f804cf,0x5325020e,0xd34801a4}},	//   _twari_, _aphuma_, _алайғыр_, _tolembi_, 
   {{0xfea1004b,0xe540015f,0xe2a001d7,0xf1470013}},	//   _ahelanen, _ardystio_, _survegnì_, _хадича_, 
   {{0x927e0272,0xb497010d,0x00000000,0x00000000}},	//   _ekintu_, _कर्मे_, --, --, 
   {{0xdd2d0148,0x02fc0325,0x533f0311,0x439600cd}},	//   _nominare_, _silgi_, _ተመሊሰን_, _barsau_, 
   {{0x7f47049e,0x99940344,0xf23a023e,0x00000000}},	//   _potrubie_, _atukkatt, _نرسيده_, --, 
   {{0xd27e00f9,0xadb80203,0x38660156,0x22920318}},	//   _ikintu_, _ingageat_, _aperadis_, _niuafo_, 
   {{0x12e9037f,0x6a0a03d9,0x6dff03b7,0x22bc028d}},	//   _istisna_, _hahalala_, _affedsta, _kordonn_, 
   {{0x0b000148,0x7237005b,0xd4a20242,0x498e0013}},	// [ab70] _sensesit, _drejer_, _boşandı_, _тамил_, 
   {{0x113b0016,0xbdbf015f,0xeb140061,0xe8910166}},	//   _אלזוז_, _patrymau_, _유의해주시기_, _verkleid, 
   {{0x99050028,0xba0b0047,0xc28b0056,0xb3a30265}},	//   _gawaarid, _kilométr, _тоштемир, _liepen_, 
   {{0xf895015e,0x8cb8018a,0xaae900df,0x00000000}},	//   _assistèn, _anwastad_, _bretelle, --, 
   {{0xee290188,0xf62a02af,0x1f560005,0xed1600fc}},	//   _дехахои_, _kayibari, _catalugn, _pollahbe_, 
   {{0x1b0901ef,0x0ee70187,0xffeb01ca,0x2a0c0261}},	//   _kompiute, _маратон_, _dachupbo, _amaskomu, 
   {{0xd49701f6,0x17610092,0x00000000,0x00000000}},	//   _কৰোতে_, _overståe, --, --, 
   {{0x4db404f2,0x6e3c0701,0xbee10313,0xcecc053d}},	//   _dienthoa, _jayankap, _bisiqnis_, _ayinabun, 
   {{0xd543030b,0x72da002c,0x33860101,0x6ad200bf}},	//   _abakikuy, _astero_, _stire_, _подходе_, 
   {{0xf303034b,0x5cef014d,0x538600d3,0x9319006f}},	//   _andanit_, _hintergr, _tvary_, _ايلاز_, 
   {{0x111600be,0xe0360321,0xab0c030b,0xb03103e6}},	//   _تويبودۇم_, _pretiran, _amashome, _bestiedn, 
   {{0x63a20544,0xa237045f,0xf3a20488,0xb2a6005b}},	//   _paipai_, _grejer_, _laipni_, _tembea_, 
   {{0x8ecd02ec,0x964a0037,0xf2ef0282,0x77b70022}},	//   _jiritaan, _ለማትረፍ_, _kaunoti_, _ҡармаҡ_, 
   {{0x33800090,0x4d8f0069,0x326c01e9,0xec5a003e}},	//   _perras_, _yabereye_, _bolopo_, _таратылм, 
   {{0x1e1f0108,0xa23502ee,0xbd71044a,0x84ae01a3}},	//   _mangrupa, _pendenti_, _atambusa, _ليبارٽري, 
   {{0x7e2e01a7,0x938001c4,0x7da60362,0x59790360}},	//   _поверхно, _verras_, _bakomeka, _aplikace, 
   {{0xc365006e,0xbd9b00be,0xc93b0109,0x00000000}},	// [ab80] _jangaro_, _قالەمىمد, _exekucí_, --, 
   {{0x6e8000ba,0x4f2f00d9,0x82dc0086,0xf177021b}},	//   _ئیمراڵی_, _masentun, _alkotni_, _ленте_, 
   {{0x63a80140,0xb81501a2,0x37d1027b,0x0c27004d}},	//   _panahong_, _taisnība_, _अन्धमूषा, _佩甄新婚好手氣_, 
   {{0x958301ed,0x72ea02bd,0xa69100e7,0x5f230435}},	//   _halepaah, _ordnans_, _alftimeh, _zamrziva, 
   {{0xdda502f3,0xe99603db,0x00000000,0x00000000}},	//   _hudiksva, _kophahla_, --, --, 
   {{0x661905f8,0x0586065e,0xc9fb018b,0x1c77032d}},	//   _заявлени, _overensk, _salariat, _haesale_, 
   {{0xa39405a7,0x63a20516,0xe2ea010d,0x998f0039}},	//   _maksas_, _chaps_, _kasihan_, _markatze, 
   {{0xcc520043,0x00000000,0x00000000,0x00000000}},	//   _amatiza_, --, --, --, 
   {{0xf25a01d3,0x994f00ff,0x02ea0108,0x1ff801db}},	//   _kollat_, _diplomit, _masihan_, _جوقتىڭ_, 
   {{0xd072019b,0x226c004f,0xa6c500cd,0x1607060d}},	//   _ispanijo, _camoñ_, _schabegi, _आवादी_, 
   {{0x9ba6013b,0x125a001d,0x5a760092,0x1241002b}},	//   _cachoeir, _mollat_, _フォトをアルバム, _বিবস্ত্র_, 
   {{0x5bf60576,0x26f601b7,0x78a701cc,0x9af70515}},	//   _اروپا_, _नाववतु_, _abhoktṛt, _monstrat, 
   {{0x2afc017a,0x6a11018b,0xbfda0397,0xff740008}},	//   _amagileb, _dambovit, _angingco, _estatals_, 
   {{0xd249033a,0xbe340240,0xd39401ab,0x3394031c}},	//   _oqsma_, _kunalawa, _igast_, _básicame, 
   {{0xdd050209,0x52ea01e8,0x7b48016d,0xf1c40157}},	//   _illulior, _basihan_, _һессият_, _agregaty_, 
   {{0xe65a0297,0x00000000,0x00000000,0x00000000}},	//   _каталогл, --, --, --, 
   {{0x637c02f6,0x0c810034,0x87270125,0x10e702eb}},	// [ab90] _kapatid_, _áberandi_, _куртларл, _британчу, 
   {{0x04d60012,0x93530354,0xe9cd007b,0xf78a0013}},	//   _देहिया_, _ئۇران_, _forefait, _назарими, 
   {{0x654500d6,0x217902e7,0x62010553,0x0a020374}},	//   _عباده_, _katiunay_, _epizódy_, _badanida_, 
   {{0x22f0008d,0xf8b60089,0xe291010d,0xbfac0188}},	//   _qadimgi_, _bädertdi, _मोबाईलवर_, _советӣ_, 
   {{0xd23703dc,0xb7ed019d,0xf08a00ba,0x653b045b}},	//   _verja_, _angapang, _فاڤۆریتت, _звикли_, 
   {{0x72da04c3,0x437f003b,0xc3860243,0xd6cb00fd}},	//   _fullbox_, _achazwa_, _boorik_, _eanachai, 
   {{0x649e01f6,0x934501ff,0xa7e400e6,0xf39501d9}},	//   _ভৰ্তি_, _korenie_, _利为民所谋_, _reesen_, 
   {{0xe3950434,0x13f20035,0x6be102cb,0x3af9000e}},	//   _puesta_, _үткен_, _stambeno_, _inmodern_, 
   {{0xf39502ea,0xcf27032d,0xfc53002b,0x5d3800ab}},	//   _questa_, _арналды_, _সেদ্ধ_, _hikipene_, 
   {{0x64850139,0x6c1701aa,0x3ea70297,0x12000429}},	//   _विवाहः_, _allagher, _аһәңле_, _adlin_, 
   {{0x1e470101,0x32d501d0,0x4b730061,0xcf4201ad}},	//   _требуе_, _spillet_, _야설좀보여주세요_, _ginsunda, 
   {{0xe95b0032,0x55fd0434,0x338002dc,0xecb80211}},	//   _allouett, _inversió, _berros_, _шиномонт, 
   {{0x438001eb,0x92870028,0xe84d031c,0xc4bf004d}},	//   _cerros_, _gelisay_, _festivos_, _免書證免謄本_, 
   {{0x8dda0339,0x672304d1,0x4da50294,0xed8a00e0}},	//   _elikōlan, _supresió, _apsulutu_, _beneamde_, 
   {{0xc25d009a,0x737b035d,0xcb9a0198,0x12a0007f}},	//   _abalamli_, _istakao_, _koristno_, _harbed_, 
   {{0x6c24015a,0xd4740142,0x2ece03f5,0x0c6b027b}},	//   _himaniir, _वैचित्र्, _conexões_, _गृध्रो_, 
   {{0x42ca0564,0x33f80291,0x2b250156,0xa2d50077}},	// [aba0] _spodi_, _monuar_, _debatojn_, _osbourn_, 
   {{0x329d01db,0xb26c002e,0x62ef00cb,0xe93b0040}},	//   _ءﺗﯘﺳﯩﻨﺪﻯ_, _nikoga_, _abafel_, _תהילה_, 
   {{0x5386049b,0x25490461,0x0b930225,0x2eb30284}},	//   _ntara_, _provença, _frankinc, _libovoln, 
   {{0x9bdf00b7,0x6687008f,0xf1ad013c,0x4b0000e6}},	//   _liderler, _छपवाई_, _masallıd, _推动科学发展_, 
   {{0x263e028d,0xcf5c008b,0x090b00bb,0x826c0097}},	//   _beralism_, _dogalnan, _ریکنسٹرک, _polowo_, 
   {{0x93a2016f,0x727f03ef,0xc92f02b4,0xdafc00e0}},	//   _skapt_, _akanzu_, _etimaket, _koprinne, 
   {{0xc290015e,0xa5b90157,0xd20203ec,0xfcc8002b}},	//   _aviat_, _popieram_, _gatimi_, _অঙ্গসজ্জ, 
   {{0xf26c01b5,0x7b3e0008,0x947c02cb,0xe395041e}},	//   _wolowo_, _القاقتۇۇ_, _bolesnik, _quessa_, 
   {{0xc305017f,0x938603da,0x9cda015e,0x953c02ba}},	//   _allamik_, _etiri_, _бадахшан, _abayizak, 
   {{0x152d01f0,0xf4810004,0x62020242,0x535503ea}},	//   _bomphato_, _espanyòl_, _qatili_, _obtenus_, 
   {{0x8e1600fc,0x13ff01e6,0x363401da,0x96210092}},	//   _boleghla, _metodick, _pasardhë, _storytel_, 
   {{0x59e30013,0x13800319,0x4eca0055,0x83430115}},	//   _болалар_, _perros_, _marziale_, _seketul_, 
   {{0x225b04bb,0xb4a201c9,0xb0670161,0x18c70263}},	//   _tasli_, _ग्यानवर्, _кратковр, _vertraag, 
   {{0x5fc30066,0x6e9600be,0xf2300299,0xedc3005b}},	//   _sinonimo, _دىعىم_, _ئېكسپورت_, _dewisuka, 
   {{0x4290036f,0x8b1b033c,0xb2e90456,0x67e701cc}},	//   _najave_, _afradlon_, _dipinda_, _सुपर्ण_, 
   {{0x53170171,0x5f580144,0xc6e701b4,0x4dff0212}},	//   _ljubavi_, _comporda, _negatiew, _celerita, 
   {{0x0c800211,0xaa1e0405,0xc386002c,0xe2740060}},	// [abb0] _менее_, _тихий_, _etara_, _بويلى_, 
   {{0xc2ee007a,0x05010153,0x6eff016e,0x00000000}},	//   _saiful_, _濃度の異なる複数, _saraçoğl, --, 
   {{0xb17e0427,0x72d40066,0x3be4009b,0x4af6030b}},	//   _ahiagull, _askotan_, _ingeniar, _abeffumb, 
   {{0x3f260040,0x33ea018f,0x9df60159,0xd54a0097}},	//   _דיאלוג_, _chotdi_, _pranešam, _oníṣègùn_, 
   {{0x738602c9,0x72fc023e,0x827e010d,0xc1b801be}},	//   _stiri_, _kasihku_, _chingu_, _mikulášs, 
   {{0x09c703bf,0x5a3c00c8,0xedd20151,0x8708034c}},	//   _салауат_, _чудов_, _anchooie_, _kertemnä, 
   {{0x2e360297,0x728a00a2,0x6378014b,0x43a20105}},	//   _брюсов_, _natamani_, _niyatta_, _ekipy_, 
   {{0x1a4900d9,0x398b0061,0x8b07031e,0x7347019a}},	//   _китайска, _점유보조자에_, _kritičar_, _laddder_, 
   {{0xf2da04a2,0x927e02ff,0x22500109,0x138601c3}},	//   _estevo_, _efonik_, _हिडेका_, _buird_, 
   {{0xbe6a026f,0x02da03ad,0x6935002b,0xddc401e9}},	//   _الءىشكەر, _kopert_, _উপন্যাসে, _dinkgisa, 
   {{0xbe5e0397,0x6c1100ba,0x45c70226,0x0f7a0128}},	//   _ababemma, _باڵکان_, _angakuth, _тилларин, 
   {{0x829203a4,0xab100417,0xf302050b,0xd38000c5}},	//   _gerast_, _spesifie, _menyusui_, _verres_, 
   {{0xf9c801f0,0x73fd0281,0xb738018d,0x3c6503f1}},	//   _bakolosa_, _akuliukk, _ክርእዮን_, _posunie_, 
   {{0xb38000a7,0xc1c302a6,0xf3c407ff,0x0ab5019a}},	//   _terres_, _affinità_, _panamá_, _herkenin_, 
   {{0x422401ef,0x00000000,0x00000000,0x00000000}},	//   _sunku_, --, --, --, 
   {{0x1224036e,0x3dcf0142,0x955501b6,0x6e390403}},	//   _punku_, _acchinna, _האלטרנטי, _ankaotra, 
   {{0x239403d9,0xf1e6008f,0x101e0040,0xc3fa000f}},	// [abc0] _raiso_, _टंगरी_, _הונגרית_, _anestezi_, 
   {{0x2a050377,0x5395056f,0xf2da00ce,0x1202011d}},	//   _ближний_, _hlasov_, _anpese_, _activi_, 
   {{0xa2780338,0x6386012a,0x0d040017,0xd1c30203}},	//   _tornar_, _twarz_, _androidr, _affinitá_, 
   {{0xa057046d,0xc6e80037,0x7a5202e0,0x042d01a3}},	//   _luisiman, _መንቀጥቀጥ_, _belelela_, _ٻانھي_, 
   {{0x427f03b4,0x8af60194,0xd9cd020a,0x93160161}},	//   _changu_, _deprende, _ريازان_, _экспортн, 
   {{0x2c7502d8,0x027e00f4,0x0e5500ba,0xab8704ad}},	//   _वात्रट_, _ogonek_, _قوڵتر_, _labofelo_, 
   {{0x525a00a4,0x3292025e,0x981d0185,0xc3870067}},	//   _mollet_, _berast_, _командаг, _gabree_, 
   {{0x32e9048a,0xbee80232,0x72da035c,0x530d0180}},	//   _артықшыл, _נעשכיז_, _ropert_, _kumadir_, 
   {{0x5396000e,0x0ebc01ad,0x7054004e,0x83940047}},	//   _passus_, _sobrance_, _porsiyen, _baise_, 
   {{0xa14e00d5,0xb20e0092,0x5dd900ba,0x93f102d9}},	//   _tovovavy_, _日本の著者_, _ستدان_, _latuivai_, 
   {{0xb3410194,0xdda802bd,0x77f50331,0x0d0f03bf}},	//   _attesta_, _gwarchod_, _fullfígg, _difomete_, 
   {{0xf7b50096,0x27220061,0x8248005b,0xd3940225}},	//   _kuburani, _로그인하기_, _maomao_, _waise_, 
   {{0x6e520082,0x25350386,0x92480527,0x26420367}},	//   _tarbiyya, _menyangk, _spomen_, _imobiliá, 
   {{0x527f02ee,0x9c6f0476,0x00000000,0x00000000}},	//   _ghandu_, _chiroto_, --, --, 
   {{0xfaa70064,0xa87d00e6,0x00000000,0x00000000}},	//   _байлап_, _直接回复本贴_, --, --, 
   {{0x43950321,0xe6c900cf,0x89d704ae,0x42920065}},	//   _glasov_, _abrahaam_, _кукурузо, _derart_, 
   {{0x603c00d8,0x123e024c,0x123703b0,0xac9c00e6}},	// [abd0] _confondo, _aramajk_, _verje_, _日期间办理了退休, 
   {{0x63a7052f,0x0b0a0167,0xc38602b0,0x625a037c}},	//   _bemagatj, _ffisiole, _stirn_, _nollet_, 
   {{0xf2370168,0xf539027f,0x49c902c1,0xa11301ac}},	//   _terje_, _bwahakuy, _bakorora_, _shluaíoc, 
   {{0x23940144,0xfde500ef,0x7a6301db,0xa38300ae}},	//   _naisc_, _تاريخی_, _ресурсын, _indyane_, 
   {{0x3395029f,0x325a0130,0xb5b4018a,0xfebb05ab}},	//   _vlasov_, _kollet_, _uchafbwy, _desfiles_, 
   {{0x1abd0013,0x649802a6,0x71a700ba,0x78600409}},	//   _عیادت_, _ribattez, _سامۆئیل_, _tipsklub_, 
   {{0xdf5d023b,0xdad7030d,0x4d5a0188,0x0c9f01b2}},	//   _hoopanee_, _durdurab, _солеҳ_, _bearding_, 
   {{0x79ce005b,0xaae30039,0x55ea02eb,0x420200ab}},	//   _foretage, _lehendab, _боомт_, _patiki_, 
   {{0x03d7008f,0xd15c032b,0x962a00cb,0x437c02ef}},	//   _tsiteeri_, _кучар_, _abangafi, _antrennm, 
   {{0x03860034,0x771a001f,0x0a830058,0x3e5601fc}},	//   _starf_, _kofuntum_, _flunilab, _cambabba, 
   {{0x020102e3,0x4a2d0208,0x23410377,0x6fae045e}},	//   _crviet_, _للادو_, _puterea_, _банкя_, 
   {{0x82000695,0x6c3101b5,0x43f20451,0xdc8c0156}},	//   _iddia_, _getseris, _dipelong_, _ספֿקות_, 
   {{0x5a5c00c5,0xceaa0079,0x421c0216,0xf1690089}},	//   _工商行政管理_, _saulkaln, _evokweni_, _bitendä_, 
   {{0xf224005b,0x36780082,0xb2aa02e1,0xa1a000d1}},	//   _punks_, _shakataw, _رسوله_, _কুৰুঙ_, 
   {{0xfda2032b,0xd2ba014f,0xe40a002f,0x39320029}},	//   _контрол_, _старом_, _achisaqk, _رۆمیۆ_, 
   {{0x8c610212,0x5a1803ee,0xa08b0064,0x00000000}},	//   _steuben_, _ljubavna_, _апасынын_, --, 
   {{0xec71013c,0x79950094,0x32b30712,0x03790020}},	// [abe0] _terroru_, _بىلەرىڭى, _फ्रँक_, _mataina_, 
   {{0xcc490705,0xf28a0013,0x027e0120,0xf22b0294}},	//   _título_, _malakali_, _fannam_, _chejninm, 
   {{0x002e023d,0xf3430441,0x53fa01f5,0xe3a204d7}},	//   _traduzio, _objevil_, _hitung_, _skapi_, 
   {{0x095f013a,0x9db80062,0xf3fa010d,0x00000000}},	//   _arennere, _luthomva, _bitung_, --, 
   {{0x481b0354,0x82a00310,0x6f3a02a5,0xe2d701c4}},	//   _абдуҗели, _carbad_, _rodičům_, _tralies_, 
   {{0xc3190144,0x0f2e0041,0xca090093,0x44710195}},	//   _جيزان_, _akâme_, _декабре_, _beithean_, 
   {{0x07a101b5,0x12920417,0xd29203f1,0x75dd0246}},	//   _bukuteri, _verkies_, _stratu_, _милиарда_, 
   {{0x0c2c00de,0x3c39015e,0x00000000,0x00000000}},	//   _تصویري_, _жаркылда, --, --, 
   {{0x79f500b6,0x2aad01f1,0xee1a0030,0xbfb10222}},	//   _dannabaa_, _funksion_, _raimonds_, _chronopo, 
   {{0xffbb01c0,0x2830001f,0x2db502c4,0x91470212}},	//   _kungiyar_, _harmaged, _esqueceu_, _imbecill, 
   {{0xa6c905a9,0x3a070152,0x3c610322,0xbb630420}},	//   _zigasubi, _кадерле_, _aderese_, _кондоми_, 
   {{0xda8d0045,0x2291034b,0x0b610270,0x22b3024c}},	//   _тренинга_, _hovaim_, _pueretta_, _ihaddan_, 
   {{0x6df50287,0x2a6900c7,0x338f0562,0x005c0185}},	//   _odpadníc, _хастахан, _binyama_, _ачтылар_, 
   {{0x20dd0029,0x52370362,0xf30b01bd,0x534d03c1}},	//   _تیۆری_, _akomela_, _بەيىمدەل, _tiveram_, 
   {{0xeab801e1,0x5dab0543,0xa0550119,0x73bf00d1}},	//   _летчик_, _асепарат, _tirschen, _ন্যায়াধ, 
   {{0x6e9c017f,0x302d020e,0xcc5d009b,0x0c8e00ba}},	//   _kommunin, _грантына_, _tarteko_, _مڕۆوه_, 
   {{0x326c027f,0x7d3500bf,0xa61c027b,0xdf1802f9}},	// [abf0] _cikoza_, _мурадов_, _लिखितवान, _ministč_, 
   {{0x956d0724,0x66ca03d9,0xdb9700de,0x00000000}},	//   _formació, _hasarobi, _ماهرانو_, --, 
   {{0xd23a018d,0xa3a30318,0xc8300034,0x8a910166}},	//   _ምርዳእን_, _haapai_, _barmaged, _trinkwas, 
   {{0xaf5d03b9,0xaacf030a,0xa394003e,0xa86002d8}},	//   _sarankan, _minaría_, _haisa_, _मोरेश्वर_, 
   {{0xecf10194,0x8d4b0153,0xcdfb02fc,0xf2eb0119}},	//   _baltoger, _オムニバス_, _badepite_, _makilal_, 
   {{0x518d0125,0x08190205,0xf83001a0,0x9c280040}},	//   _bitarapl, _بولسینگ_, _earmaged, _מתווכים_, 
   {{0xcf2d023e,0x40ed0040,0xf2f30385,0xf24f0122}},	//   _adrengin, _שיקגו_, _uplatiti_, _bonowati_, 
   {{0x32b904d2,0xa8fb0418,0x83dc004c,0x00000000}},	//   _mogeleg_, _almaktad, _bigwa_, --, 
   {{0x9a9c0158,0x1fbb035d,0x5b9300ff,0xc38600da}},	//   _हमसफर_, _nezvanič, _aktivado_, _atare_, 
   {{0x93940580,0x5af3025c,0x126e0009,0xfa530057}},	//   _gaisa_, _zutreffe, _posoda_, _selesema_, 
   {{0x2237043d,0xd364016d,0x727d0024,0xa3b6031e}},	//   _kerja_, _يوقمۇ_, _ছটিয়াই_, _pravaca_, 
   {{0xc3fa02db,0xa89e004a,0x00000000,0x00000000}},	//   _napuan_, _аракыдан_, --, --, 
   {{0x4237021b,0x09f50132,0x00000000,0x00000000}},	//   _merja_, _igyál_, --, --, 
   {{0x91c300bf,0x02ad0606,0xc6c8015e,0x4b7102b3}},	//   _дороги_, _ikgantšh, _establei, _tristura_, 
   {{0xd2000138,0x57ed02bf,0x683501e6,0xdfcc0097}},	//   _telif_, _angazang, _stranách_, _oníso_, 
   {{0xd3f9026c,0xaf3601d8,0x32990086,0x308b02ac}},	//   _actus_, _badonbor_, _forgatás, _بروتين_, 
  
   {{0x79e0004b,0xb3860190,0xc27b049e,0x8e2400bf}},	// [ac00] _bahiruwa_, _stirm_, _sedemnás, _европерч, 
   {{0x4d8700a7,0xd7ed00a9,0xf27f03d4,0x60e60208}},	//   _aprendre_, _bigatang, _ocenio_, _داتناوه_, 
   {{0xe46003ac,0xc41c039e,0x7f3403b0,0x97ed00f3}},	//   _diperluk, _হুমায়ুন, _smøret_, _engazang, 
   {{0xdfe902d5,0xe5c3016b,0x0ecd021a,0x3ea30613}},	//   _ब्वायेज_, _sanadiyy, _biritaan, _perdidas_, 
   {{0xcdab027f,0x1347023b,0x4e1b02e7,0xaed00488}},	//   _akansiga, _kaledea_, _isigkata, _repertuā, 
   {{0x76a500e7,0xb61901eb,0x4c0f001a,0xad780046}},	//   _unaffili, _alfarerí, _hősök_, _كەسەلىنە_, 
   {{0xf3860005,0x72760323,0xedb500c5,0xd23703df}},	//   _cuira_, _mbinguni_, _国家版权局_, _ferja_, 
   {{0x82d90279,0x00000000,0x00000000,0x00000000}},	//   _flandre_, --, --, --, 
   {{0xe79e02cf,0xb15c0060,0xd248035b,0x42da06dd}},	//   _подготви, _душар_, _spomin_, _lasenn_, 
   {{0xf380026c,0x6202011d,0x18810088,0x6b050464}},	//   _terris_, _expira_, _амалынды, _kwisunga_, 
   {{0x49c3028a,0x62000163,0x480d0211,0x50a301a2}},	//   _صاحبه_, _addig_, _понедель, _datubāzē_, 
   {{0x520000fe,0x0e600287,0x2a6a009a,0x28c6057c}},	//   _melie_, _probíhaj, _شکردرې_, _hovedind, 
   {{0x4e9202c3,0xcbd20200,0xf2310274,0x89b1020f}},	//   _poškoden, _kwadeber, _hömlur_, _ترپښو_, 
   {{0xb2ab0050,0x6e65033d,0xc38602b0,0xdc7c02fe}},	//   _munding_, _banboche_, _starb_, _edarfur_, 
   {{0xa20002b9,0x04b50428,0x52b40046,0x8fb8018d}},	//   _eddig_, _zdravnik, _tanca_, _በብወገንና_, 
   {{0x3f5c008f,0x67b3019d,0x00000000,0x00000000}},	//   _हेंगा_, _kamenyag, --, --, 
   {{0x03f800dc,0x6b280277,0x9d4c01d2,0xc7ed00ae}},	// [ac10] _amouta_, _binanusb, _askarinq, _bigasang, 
   {{0x129102a2,0x33960211,0x2dca0126,0xb9f6009a}},	//   _kayang_, _muusta_, _запальни, _سوریی_, 
   {{0x925a048c,0x62ef0247,0x4a030096,0x00000000}},	//   _mollit_, _cinidra_, _batanize, --, 
   {{0xa29100ad,0x2201019a,0x1271025f,0xb8f80071}},	//   _dayang_, _defies_, _agangeli_, _نزديک_, 
   {{0xf3590396,0x8ead013a,0x00000000,0x00000000}},	//   _filfatt_, _fiirwaat_, --, --, 
   {{0x9340025c,0x4ae20203,0xeb70008d,0x66980234}},	//   _erleben_, _italitan_, _hayratga_, _pélénjá_, 
   {{0xaf2800b5,0xf56700f5,0x823b0206,0x425901b3}},	//   _ахәуреи_, _никасыз_, _okamihu_, _костенко_, 
   {{0xc1880051,0xbf38034f,0x8c150064,0x5e1b02dd}},	//   _restorān, _bakufuma, _traspass, _irrevoka, 
   {{0xe2910108,0x43430445,0xeef900d9,0xe85400a6}},	//   _hayang_, _inverno_, _россияне_, _ګوليو_, 
   {{0x4a05015d,0xb959014e,0x04fb01cc,0x53360273}},	//   _osobiste, _застарел, _गणनायक_, _surgió_, 
   {{0x02b501f1,0x828f01d3,0x00000000,0x00000000}},	//   _fondeve_, _folksam_, --, --, 
   {{0x34b50009,0x7b200122,0xef1d0390,0xe3a3038e}},	//   _rezalnik, _argajemb, _baltikya, _paypai_, 
   {{0x23a20200,0x59e2012c,0x53a201eb,0x338602e5}},	//   _ijipt_, _ساقيا_, _ejapo_, _erire_, 
   {{0x3cf5078d,0xe724056f,0x47c40012,0x99550178}},	//   _कुचक्र_, _strednej_, _चल्हाक_, _devakoṭi, 
   {{0x966705dd,0xb73004dc,0x32370331,0x9f9300ec}},	//   _होलसेल_, _ئیجابی_, _terji_, _фальклор_, 
   {{0x9b0c02da,0x564a045b,0x054e00f2,0x534703c5}},	//   _crescime, _презенто, _atsvaidz, _menempa_, 
   {{0x72010263,0xd26501a3,0xa7ed0255,0xb2e1005b}},	// [ac20] _advies_, _اريگيشن_, _parasjag, _gillelej, 
   {{0x4afc02b9,0x130400ea,0x92fc000d,0x2b0e0061}},	//   _کارناموں_, _laharam_, _pilgu_, _절대적으로_, 
   {{0x5f270033,0x526c0318,0xd3b50213,0xb24b0595}},	//   _suprasta, _aikona_, _вторжени, _वाममोर्च, 
   {{0xdb0e00dc,0xc3a2013c,0xb86703a2,0xc9c200e6}},	//   _atusaina_, _nöqteyi_, _regioped, _cyberpre, 
   {{0xd2910095,0x90d3002b,0xa2b1010d,0x00000000}},	//   _wayang_, _kilómetr, _चाहुल_, --, 
   {{0x92b50107,0x1f2a00b7,0xc7e3019c,0x334d0128}},	//   _spidere_, _abatlama, _ifosiwew, _тарафига_, 
   {{0x0b87041e,0xbc9c050e,0x00000000,0x00000000}},	//   _addisper, _pometnju_, --, --, 
   {{0x82ab020f,0x926d0010,0xc200013a,0x00000000}},	//   _ډنډورې_, _incola_, _iddie_, --, 
   {{0x16a30347,0x294804a8,0x42d6002b,0x12d900d0}},	//   _vaardigh, _spominje, _ফুলকপি_, _alanbre_, 
   {{0x8c6e01eb,0x26a30347,0x60a6004d,0x55220156}},	//   _cedrón_, _waardigh, _基隆市廠商_, _דדזשערבא, 
   {{0x23770044,0xe38605ed,0xa35201bd,0x27320527}},	//   _improvem, _ntari_, _گاككۋ_, _najodgov, 
   {{0x938605ed,0xf5fc0086,0x69740439,0x3c69030f}},	//   _itari_, _allergiá, _eminsele, _hotunui_, 
   {{0x93940272,0x127e0318,0x887900b7,0xba730320}},	//   _maaso_, _akinau_, _недамет_, _hikahata_, 
   {{0x228500e9,0x1230027f,0xa2910193,0x3df90176}},	//   _demagozi_, _aramuka_, _tayang_, _tydeligt_, 
   {{0xb200046d,0x930c01c2,0x5386025c,0x92000203}},	//   _dzikhosi_, _aliados_, _stark_, _genies_, 
   {{0xe64c01cf,0x830b005e,0x2b6e0128,0xa0230153}},	//   _archaici, _ﺋﯩﻤﻜﺎﻧﯩﻴ, _тилларни_, _コンパニオン_, 
   {{0x27e3019e,0x1c04008e,0x9d1903db,0x108d02ea}},	// [ac30] _флоры_, _etasini_, _imhlophe_, _подозира, 
   {{0x163a00b2,0x1d1903db,0x4fbc0092,0x27e0037c}},	//   _aannanii, _amhlophe_, _コンプレッサ_, _reipubli, 
   {{0xd064018d,0x89850235,0x0ae80148,0xf63e0125}},	//   _ምፍላጦም_, _भ्रमणे_, _extrinse, _berijini, 
   {{0x4f040079,0x286c025c,0x139600bd,0xa9da0087}},	//   _finansiā, _meistens_, _lasses_, _dyonzisa_, 
   {{0x3eac042a,0x7287015d,0x9e060223,0x376900c1}},	//   _abutsane_, _lakiery_, _handiena, _राह्यचे_, 
   {{0x260100ec,0xbcd70192,0x1b090272,0xae920083}},	//   _эксперта_, _선물메세지_, _abaprote, _lectorat_, 
   {{0xfc7602b1,0x9245006e,0xc45d00a7,0x8263028a}},	//   _mutuwar_, _dewelopm, _босниялы, _گهائل_, 
   {{0x2fd40048,0xa394001f,0xc20001ad,0x259202b9}},	//   _abanasoo, _naaso_, _kunice_, _franciaá, 
   {{0x3f90012c,0xd305003a,0xa26c018e,0x19d50185}},	//   _انديز_, _bolalik_, _hikola_, _beslanda_, 
   {{0x3f3401ca,0x08a301b3,0x3ae6000e,0xfcc6005b}},	//   _chirghda, _небесног, _resumant, _gekitoku_, 
   {{0x04860105,0x3ec80683,0x85db018d,0xd9bc0382}},	//   _संभाले_, _artiklen, _ምጅማሮም_, _kaneriwe, 
   {{0x4cc701a7,0xb2800360,0xa0a90156,0x72fd0084}},	//   _toukokuu_, _turisty_, _אַקנע_, _balawiri_, 
   {{0x2585030f,0xe40000ef,0xf488019e,0xa5c1000d}},	//   _ahotakak, _خیالونه_, _арыфметы, _ekraanil_, 
   {{0x4c5a0040,0xe24800ba,0x00000000,0x00000000}},	//   _diluted_, _لوچستان_, --, --, 
   {{0xe17302d0,0x83200292,0x402e023d,0x02300193}},	//   _antibody_, _adeye_, _tradizio, _pramuka_, 
   {{0x629200c9,0xda28023c,0x290d0243,0x325b0008}},	//   _igrave_, _اتريش_, _assommíh_, _ocells_, 
   {{0x12370075,0x5aec0334,0x4a530374,0xf45201de}},	// [ac40] _verju_, _bakuchit, _бесланда, _кілтті_, 
   {{0x9e4d015e,0x52fe022a,0x74250262,0x12b3038e}},	//   _дарегине_, _vetikis_, _barlyşyn, _येथुन_, 
   {{0xfb1901c0,0x53860069,0x0a070243,0xf2870028}},	//   _musamman_, _utari_, _dolatitt, _geliyay_, 
   {{0x938604f7,0xec8800e2,0xe9920347,0x33f10170}},	//   _muare_, _objectid_, _lekkerde, _balongoz, 
   {{0xc2e90243,0xff4601db,0x92d10160,0x42cc0260}},	//   _bihindo_, _балуан_, _visokom_, _merlín_, 
   {{0xe5b50558,0xac3700da,0xd28702ec,0xea530182}},	//   _bubatagh, _килогр_, _gabiley_, _migedola_, 
   {{0x05d301bd,0x72b40287,0x7dd40359,0x94d60109}},	//   _телефоны, _bance_, _delhelle_, _मेलिना_, 
   {{0xc26c0249,0x3f1b00e6,0x67cb0113,0x750e013b}},	//   _rikoda_, _关于进一步提高公, _tarscaoi, _popolasy, 
   {{0xcad80250,0x3b6f00c5,0x3867002c,0x5a0604f9}},	//   _flamurin_, _赚大钱取之有道_, _begiratu, _allamiut, 
   {{0x3f00019e,0x7e500115,0x2c9f0359,0xc2900226}},	//   _рэзка_, _matapela, _learling_, _gwaaa_, 
   {{0x885603cc,0x92b4021c,0x59b40241,0xe2000168}},	//   _সদস্যদের_, _tance_, _burjaaja_, _eddik_, 
   {{0x9dab03dc,0xa75202fe,0xbc6f00ea,0x326c0028}},	//   _kunninga, _شکایتونه_, _atoroko_, _todobo_, 
   {{0x73870024,0xb9f30091,0x13dc019a,0x8aaf010b}},	//   _styra_, _takukhau, _chowe_, _dipharas, 
   {{0x63010035,0xdc4b0627,0x81850023,0xcd4801db}},	//   _niyatli_, _bugtung_, _египта_, _سالمالار, 
   {{0x82ca01bb,0x5f4e0331,0x787203b2,0xa6b601ad}},	//   _geldim_, _einstaka, _granddau, _kapresuh, 
   {{0xb9aa0013,0x5c6b02f6,0x2a540156,0xe26c02a0}},	//   _хоним_, _nagulat_, _טאַשמע_, _kolobo_, 
   {{0xf8540044,0x55e803cf,0xbb840382,0xe39402ec}},	// [ac50] _הרביעי_, _osmanlı_, _elenalor, _raaso_, 
   {{0x529003cf,0x738600a1,0x756f034c,0x03dc00bd}},	//   _bedava_, _kuare_, _kertüçel, _showd_, 
   {{0x711e03a2,0xcc70000d,0x138601df,0x00000000}},	//   _chorobą_, _kursuse_, _quire_, --, 
   {{0x437201f0,0x92f20030,0xf35101ab,0x6da200ba}},	//   _agilweng_, _senioru_, _बटुली_, _پشتێنه_, 
   {{0xcd3a018d,0x727f024e,0x3290000b,0x9c3a0195}},	//   _ምክያድን_, _javnom_, _lelava_, _lochhead_, 
   {{0x3ae80026,0x727f027e,0x30f30156,0xc95a0311}},	//   _waardere, _kopna_, _לאַוו_, _ምፍታውን_, 
   {{0xa9c700c7,0x85180057,0x7db4008d,0x9fed0040}},	//   _чарага_, _muslimny, _omonatla, _אסביר_, 
   {{0xd2570479,0x63e4014f,0x3898048c,0x61df00be}},	//   _múlva_, _белоруск, _answerer_, _تولقۇدۇ_, 
   {{0x439401c3,0x3d7a0169,0xf9370162,0x120e009b}},	//   _baase_, _ফ্লিকার_, _киргичә_, _хадан_, 
   {{0x21250026,0x501700b3,0x6f4a0211,0xf0460238}},	//   _사업자등록번호_, _гырылайм, _ranskala, _foruminn, 
   {{0x017d01e8,0xf65f01cd,0x80570223,0x58530437}},	//   _espasyal, _ayekethi, _apunteak_, _belaster_, 
   {{0x0c520285,0x03030132,0x72a0033d,0x93940028}},	//   _amateka_, _valamit_, _barbad_, _waase_, 
   {{0x62aa01c5,0x722a00af,0xd886021c,0x463e018e}},	//   _مسولو_, _горах_, _sacharid, _endlisiw, 
   {{0x8f4d021e,0xe05002e2,0xe72a0109,0xca0b02ee}},	//   _fingrarn, _arduousn, _aaapoptá, _imfassla_, 
   {{0x921f035b,0x54610242,0x2eb802a5,0x9e0502d3}},	//   _običajno_, _görsün_, _vshostin, _antecipa, 
   {{0xa316037a,0x8f9101c2,0x4c58014e,0x09d10055}},	//   _ageze_, _gondomar_, _успешном_, _adificat, 
   {{0xc25001cf,0xce470156,0x6af60515,0xb39404d8}},	// [ac60] _latentem, _הײַזל_, _reprende, _yaase_, 
   {{0x710a012a,0x4de101db,0xcaed0497,0x201b011f}},	//   _हरदमअपडे, _اتاۋلارد, _ardreilt, _ipersóna, 
   {{0xe6af0334,0xfdf70220,0x7bf5002b,0xc26c008c}},	//   _akwezedw, _produrre_, _পঞ্চায়েত_, _aviond_, 
   {{0xb2ff0044,0x60dd02fe,0xf8630007,0x93d60285}},	//   _thursday_, _سیوری_, _bakomilu, _abatusti_, 
   {{0xc19c020f,0x135f03d2,0x530c0176,0x7e450119}},	//   _چلوله_, _majetky_, _advaret_, _nanawaga, 
   {{0x809b0153,0xd4010141,0xe27f018e,0x00000000}},	//   _カラオケボックス_, _benuqson_, _nkandu_, --, 
   {{0x492103b8,0x69c6010d,0x85ed00d6,0x92a700d0}},	//   _еседен_, _आंदोलकां, _sineirgí, _alabei_, 
   {{0xe1270089,0xd7a700be,0x338003ac,0x538d02fe}},	//   _almaniä_, _كافەدە_, _seprti_, _نشوای_, 
   {{0x060303a1,0x876d0274,0xa6460397,0x67a302fe}},	//   _поезия_, _andstæðu, _aniyikuy, _bubungqi, 
   {{0xfc6b0244,0x87ed0226,0x2709014e,0xb56c0037}},	//   _означава_, _angamang, _целини_, _በማበርከት_, 
   {{0x73890244,0xc38701ec,0x3ae80296,0x3d490142}},	//   _приготвя, _angrok_, _testpane, _candraṃ_, 
   {{0xe2ec03a7,0x60e70334,0x3eb10295,0xe9c8025f}},	//   _dobrých_, _achingel, _fanongon, _bakokosa_, 
   {{0xf224005b,0x8a10031a,0x353801fc,0x581102e1}},	//   _junky_, _baraille, _magaalal_, _وضربه_, 
   {{0x0c7503b0,0x684e0061,0x71c9021b,0x22ba0224}},	//   _helsing_, _남았습니다_, _посте_, _eindagi_, 
   {{0xb075016e,0xf68301be,0xf26c0373,0xd3e70024}},	//   _yetkiniz_, _रितार_, _andoro_, _নৱীকৰণ_, 
   {{0x23a7019b,0x6503036d,0x00000000,0x00000000}},	//   _брэнду_, _mallaich, --, --, 
   {{0x43430192,0xbec40139,0xd2000417,0x4962002b}},	// [ac70] _머니투데이_, _abhedenā, _gedig_, _্যাঙ্কিং_, 
   {{0x563f03b7,0xc3030119,0xc328060d,0x1b3d004a}},	//   _aerobicw, _dalakit_, _उथलपुथल_, _кадэр_, 
   {{0xc2b400bc,0xa23e014e,0xa58c0022,0xf8fa02eb}},	//   _kanca_, _користил, _костюмда, _маралжин, 
   {{0x8292032e,0xa20100f2,0xccda02c1,0x9cd90053}},	//   _ahuayo_, _devies_, _amavurir, _अधिष्ठान_, 
   {{0xfd860126,0x5daa004a,0xab7b006c,0x9c37030b}},	//   _настрої_, _трепонем, _amasheya_, _bakikuyu_, 
   {{0xb5030528,0x7daf039e,0x00000000,0x00000000}},	//   _ballaich, _blandaba, --, --, 
   {{0x55320405,0x03f90326,0xf0440115,0x3c290123}},	//   _театраль, _apauro_, _kecundan, _helsekos, 
   {{0x2c9004ad,0x79c50193,0x726c073d,0x6325036b}},	//   _bajuteng_, _भविष्यका, _soloco_, _nutrição_, 
   {{0x9aed00c9,0x3b0c0372,0xf3bb0018,0x3f210527}},	//   _deltavie, _blismona_, _raiwaqa_, _doseljen, 
   {{0xbc62029f,0xbb0d0128,0xdd8e0207,0xf2b60189}},	//   _ostrove_, _ширинлик_, _fotobara, _sercan_, 
   {{0xe04e00d6,0x0f6a03bf,0xf29200b4,0x344701de}},	//   _مهرجانات_, _arabelan, _curand_, _арабтарғ, 
   {{0x6200012e,0x7b6400c7,0xb2900020,0x02d80167}},	//   _pedig_, _державин, _felata_, _badell_, 
   {{0x12da009b,0xcfba02e1,0xe8fb0251,0x373a0311}},	//   _fasean_, _وعاملات_, _ashahaad, _ዝርእዮን_, 
   {{0xf8c8033c,0x020e009b,0xf850046a,0x79290161}},	//   _absenold, _аатар_, _nerviós_, _hämmentä, 
   {{0x9ae102c0,0xf0ad034c,0x83dc00a2,0xfe8000cb}},	//   _arquitet, _споралар, _mbowe_, _медалхои_, 
   {{0x329002c2,0x59870166,0xe5ae0092,0xf3960079}},	//   _kwaad_, _markiere, _ダイニングバ_, _krusta_, 
   {{0xf290007d,0x985001d7,0x72eb066f,0xc26e0499}},	// [ac80] _jelata_, _patratgs_, _copiado_, _sosola_, 
   {{0xb29401cb,0xd2b30082,0x82000203,0xe3030086}},	//   _ngekani_, _saudiya_, _redig_, _valakit_, 
   {{0x0f64018d,0x93e70272,0x23b60321,0x2edd0244}},	//   _ምዝውታር_, _abateebi_, _pravica_, _билетите_, 
   {{0x147d00d7,0x89b00224,0xaad502bb,0x22da02f7}},	//   _botegnik, _bardúsað_, _syntezat, _kopele_, 
   {{0xb5330673,0x9394008f,0x3c61000b,0xda310211}},	//   _okungaph, _kaasa_, _matutua_, _активной_, 
   {{0x439600a8,0x6551004d,0x52c70297,0x00000000}},	//   _cassas_, _台中科學園區_, _fädis_, --, 
   {{0xf2c3011d,0xc7ba02c6,0xc064006e,0x00000000}},	//   _солистэ_, _barnenez_, _fisaliyo, --, 
   {{0x8e54033b,0xd3940034,0xfca90548,0x49790307}},	//   _ketapele_, _svosem_, _langbord_, _siyisebe, 
   {{0x6a18027e,0x28be014e,0x1276009a,0x0eac0047}},	//   _исход_, _osetljiv, _angatyum, _initiale_, 
   {{0x5c6f03da,0xb5a50338,0x90ff008d,0xac6601df}},	//   _aburula_, _remplaça, _асарлари_, _rafters_, 
   {{0x7205012c,0x3b780158,0xd2930003,0x72b6023e}},	//   _mahitaji_, _अनुशंसा_, _verkeer_, _mercon_, 
   {{0x3e470205,0x1a8801c7,0x226c01fa,0xf9e5042d}},	//   _borasida, _aslyýeti, _kolofo_, _angonina_, 
   {{0x82e90399,0xf27f01e5,0xa2b50100,0x9e26010d}},	//   _kalinoo_, _ikanju_, _fondove_, _सान्गितल, 
   {{0x4e0f00fc,0x7c0a0456,0x8fa80167,0x22c601b5}},	//   _biwebrup, _kompaun_, _asgellwr_, _khuluke_, 
   {{0xbb3401ec,0xf2fd01f7,0x40410385,0xb3790081}},	//   _انحلال_, _copiant_, _popunjen, _borgarfj, 
   {{0xcc52011b,0x86a4018d,0xa355000d,0x9038004d}},	//   _amataka_, _ግርምቢጥ_, _lugemas_, _信義教師讀書會_, 
   {{0x332002e7,0xb9e401dd,0x50d30705,0x948c03ae}},	// [ac90] _emmys_, _bakorana_, _milímetr, _iallfall_, 
   {{0x162e0258,0xc6d0004a,0x22040388,0x00000000}},	//   _fiertaal_, _gataulli, _capitali_, --, 
   {{0x326d0119,0xe2000244,0xcf2801aa,0x6e3801c3}},	//   _ancona_, _addio_, _amuraisa, _antarcta, 
   {{0x368c05e5,0xbc0d01b2,0x0c52011b,0xdc29020e}},	//   _सिवाय_, _seepage_, _emataka_, _белгеһе_, 
   {{0xa2010091,0xd16c02ac,0xf8580229,0x262a0107}},	//   _arviat_, _الهكر_, _badamdar_, _cariyosi, 
   {{0x0ba5063e,0xd807002b,0x25b2026f,0xde4d0156}},	//   _splitsko_, _মৌলবাদ_, _геохимия, _ויטאָבוס_, 
   {{0x62fc0277,0x5fc101b3,0x823a00f6,0xdd81003d}},	//   _almires_, _одноклуб, _yolveril, _arrestat_, 
   {{0xc20b0719,0x1475010d,0xadb30059,0xcd8f0003}},	//   _vườn_, _peternak, _chiamate_, _motorpra, 
   {{0x189c0331,0x1c0e00dd,0xd2360163,0xca61032d}},	//   _drekkamu, _aflonydd_, _menjen_, _itellets, 
   {{0x5200036e,0xe06c0037,0x576801d5,0xda0300a1}},	//   _allin_, _የአደባባይ_, _مظفرگڑھ_, _aumangea_, 
   {{0x57dc0073,0x764600da,0x00000000,0x00000000}},	//   _escappav, _салутэ_, --, --, 
   {{0xcaeb042f,0x62120052,0xca8702ee,0xbf470360}},	//   _kutlunin_, _tenhle_, _busnosan_, _adoptova, 
   {{0x74d70354,0x9039050e,0x8a4e0080,0xf1280311}},	//   _баркин_, _savetnik_, _brødsgår, _የተንብህ_, 
   {{0x13120291,0x596202ea,0xd9f3028a,0x00000000}},	//   _cambags_, _prenotat, _nakushau, --, 
   {{0x57e603c7,0xc6ef01b5,0xcf690058,0x295a03bf}},	//   _वितरित_, _chucheki, _tidaduns_, _ditletle, 
   {{0xa6a501f2,0x65fd011d,0xaf32010e,0x11e10365}},	//   _қутадғу_, _дисплаче_, _barungba, _स्वरु_, 
   {{0xc8e5040e,0x5cf9004d,0x0c47004c,0xe82c0211}},	// [aca0] _যুক্তিসং, _中印投資新興科技, _anywako_, _поручени, 
   {{0x55b000ba,0xbf5d013f,0x2d4401d4,0x00000000}},	//   _وانکوڤه_, _ampallan, _parpaing_, --, 
   {{0x9b0c0039,0x50390209,0xb2fc0148,0x6c04027a}},	//   _сууна_, _aavernik_, _comites_, _glasali_, 
   {{0xfe1901cd,0x7f84002e,0x8dc80037,0xf200007f}},	//   _abafanya, _teškog_, _ይገባሀል_, _ellid_, 
   {{0x8c67011a,0xe9d60299,0xbd120365,0x22d90049}},	//   _rhythms_, _ئۇيقۇم_, _आङदेम्बे_, _tipeitii_, 
   {{0x3ea3031a,0xa386037c,0xdb7900f0,0xe403006d}},	//   _cairbire_, _orare_, _korupcia_, _бюджэта_, 
   {{0xc0b80465,0xffbb00d1,0x82040321,0x1d87003e}},	//   _primerih_, _ছাত্ৰজনৰ_, _zapisali_, _harekere_, 
   {{0x522300ec,0x931602c7,0xce570096,0x00000000}},	//   _kortelė_, _heizen_, _batahuke_, --, 
   {{0x262e02c2,0x39b900a7,0x00000000,0x00000000}},	//   _joernaal_, _капкакты, --, --, 
   {{0x886b0247,0x52300325,0x00000000,0x00000000}},	//   _antituru, _adamiya_, --, --, 
   {{0xba460073,0xc9410109,0xc3950120,0x23a300e7}},	//   _obtenera_, _माधवप्रस, _raysa_, _apapay_, 
   {{0xfc5f00ef,0x0b990096,0xdd500239,0x49eb020f}},	//   _نګهبان_, _akihager, _matarehu_, _bakumayu, 
   {{0xfed70125,0x5d1a0044,0x398e01cd,0x025a0212}},	//   _берши_, _overexpr, _майит_, _tollit_, 
   {{0xef2702fd,0x08f70162,0x42d801f0,0x00000000}},	//   _agartasa, _بايلىقلى, _dihele_, --, 
   {{0x0da0036e,0xf30000b4,0x9ecc0257,0x00000000}},	//   _airumuqu_, _relatii_, _sveigjan, --, 
   {{0xaa8701c9,0x159d004d,0xe0870188,0x40190092}},	//   _karistus, _附聲音檔案_, _энергияи_, _blodtryk_, 
   {{0x020c0220,0x193d0059,0xe75a0037,0x424703b5}},	// [acb0] _комбинир, _архивите_, _አስተርዮ_, _saudaram, 
   {{0xb36d0516,0x8ae70212,0x0c0a02ea,0x39b60055}},	//   _disfraz_, _pestcapt, _гаранцио, _aradicat, 
   {{0xe8690420,0x97690092,0x437801ac,0x00000000}},	//   _книгата_, _価格の安い順_, _chealla_, --, 
   {{0x92b102a5,0x86b701f4,0xd2000341,0xd22a01cd}},	//   _एकजुट_, _almashti, _getirilm, _довар_, 
   {{0x02ef0333,0x1b9504e5,0x1ea600dc,0x00000000}},	//   _finisca_, _basiisir, _ulalefan, --, 
   {{0xec7501b8,0x484a0211,0x02b90059,0xd3430371}},	//   _बहत्तर_, _кошка_, _простоти, _attento_, 
   {{0x8fbb0187,0x716c003e,0x123b04c7,0x1386005b}},	//   _aprovado, _футболын_, _kosmetu_, _grare_, 
   {{0x082f0212,0x0a0400b2,0x2d0e033f,0x93c60156}},	//   _commeatu, _galaniit, _popolave_, _טיפזיניג, 
   {{0xfc09041e,0xc200030d,0x661b0139,0xc3d10086}},	//   _limpida_, _addim_, _क्लिश्यन, _reptéri_, 
   {{0xb20003dd,0xb0500107,0xba04000b,0x00000000}},	//   _punime_, _baturetn, _talaaife, --, 
   {{0x3fc9040e,0x1f5f0453,0xc7d90037,0x91770052}},	//   _artiklar_, _najpozna, _እንወያይ_, _spravedl, 
   {{0x1dfb0250,0xa3860256,0xb8cc004d,0xefc803dd}},	//   _komentet_, _starp_, _龍潭鄉中興路_, _mahnitur_, 
   {{0xd59a01e5,0x8cff0166,0xdc0f01ad,0xbe36000d}},	//   _abawọle_, _reduzier, _partylis, _arvatava, 
   {{0xa37b006f,0xc8d6013a,0xbb7902bb,0xa25a004f}},	//   _mipango_, _spiegelu, _निस्संदे, _jollee_, 
   {{0x0e070139,0xd87000f7,0xb2160034,0x5a94026f}},	//   _adharaḥ_, _נצרכים_, _veikindi_, _جىىگىت_, 
   {{0x6e560238,0x02e102e1,0x43820113,0x00000000}},	//   _частину_, _dranoel_, _باولو_, --, 
   {{0xbd9900b4,0x99f004fc,0xaae50350,0x0c990046}},	// [acc0] _directie_, _vainilla_, _እየተተገበረ_, _directiu_, 
   {{0x4d8a019b,0x700c0262,0xbc930276,0xc4390244}},	//   _старога_, _abzallaş, _قاھار_, _претенди, 
   {{0x3da501e6,0x48cf0060,0xfee80375,0x00000000}},	//   _definova, _шаққанда_, _asakudan, --, 
   {{0xf15f0499,0x82a70467,0x42a6010d,0x00000000}},	//   _faigamal, _beebia_, _kalbar_, --, 
   {{0x237a00b4,0x3fd2040f,0xaad20161,0x5c6401e5}},	//   _imbracam, _kantrybė, _экологии_, _yetunde_, 
   {{0x0d9f01a4,0xcfbc033e,0x45cd04c7,0x7101027b}},	//   _afandisa, _ванкович_, _подружни, _भागशः_, 
   {{0x5e4e04f0,0xf2000309,0x42b60441,0xb29200f2}},	//   _bonagala, _yetirilm, _tradice_, _atradu_, 
   {{0xf22f02b6,0xe86701c8,0xd5fd031c,0xca81027b}},	//   _الماسپىز_, _necelých_, _diversió, _अवैवर्ति, 
   {{0x73960338,0x939502fb,0x3e9602ac,0x05ac00f5}},	//   _basses_, _fuesia_, _أرجوا_, _ылыма_, 
   {{0xd97b022a,0xbda60177,0x1538034e,0xce020155}},	//   _balidnae, _ембаргои_, _awniyash, _fredagsp, 
   {{0xd6ac01aa,0x525a0212,0x537b01a6,0xb3860528}},	//   _alreadyw, _scclt_, _hipango_, _cuirm_, 
   {{0x63860079,0xd26e0241,0xbd880014,0xc86202d3}},	//   _puaro_, _bosona_, _objektit_, _planejad, 
   {{0xf2960133,0x9d8601f7,0xb29c048a,0xae360227}},	//   _bakkabu_, _esseesse_, _мадениет_, _tunggaka, 
   {{0xa395002c,0xeaa90046,0x22000212,0xb08400ff}},	//   _tresna_, _семетей_, _illic_, _טרונקן_, 
   {{0x8fc2023c,0x16340155,0xe364023e,0x6b79004d}},	//   _راووت_, _beslutsf, _anggana_, _saturnia_, 
   {{0x4b9f010c,0xd20101e8,0x8da50021,0xbf2b03a4}},	//   _गुरुद्वा, _nevins_, _accineva, _bestemma, 
   {{0x67e100ac,0x43f8015c,0x16ce02da,0x3ea10059}},	// [acd0] _pripremi, _melua_, _aniversá, _gestisce_, 
   {{0x1f15060c,0x75b802b6,0xa6480205,0x924c0040}},	//   _sledovan, _майталма, _лагерлар, _רפידות_, 
   {{0x15d40013,0x970200e6,0x6d2800d1,0x9f920299}},	//   _aviatsiy, _复方维生素注射液_, _তাহাঁতি_, _ئەھقاف_, 
   {{0xb33d0029,0x33860097,0xe2e600bc,0xe290021c}},	//   _زیلان_, _irira_, _بفرما_, _odhady_, 
   {{0x4625028b,0x55d80037,0x025a01d9,0x463100bb}},	//   _mouthful_, _አክስዮን_, _faolan_, _علویوں_, 
   {{0x73160285,0x73940307,0x7e920074,0x0c62027e}},	//   _ngeze_, _uyise_, _портале_, _istrage_, 
   {{0xd9de0268,0xa9340238,0x162b0125,0x149b017a}},	//   _acetamid, _незабаро, _tomaşaçy, _akhathaz, 
   {{0x5750027c,0xac6d0148,0x00000000,0x00000000}},	//   _کلاسيک_, _insulam_, --, --, 
   {{0x0c490255,0x9c6d0152,0xd11b008d,0x3d3b0311}},	//   _अशान्ति_, _sportka_, _остонаси, _ቆልዑትን_, 
   {{0xc22405b1,0x0af703c1,0x7d7c002b,0xc974042a}},	//   _rieky_, _бадеми_, _জাহিদুল_, _eminyele, 
   {{0xb4b201c9,0x7b150162,0x62000205,0xe93a018d}},	//   _पिंडी_, _берәлмәй, _ellik_, _ኣባልነቱ_, 
   {{0xb2e8045c,0xb6d20012,0xb39c0064,0x8c78001c}},	//   _sofinka_, _अगाधउकठि, _senyals_, _maaslum_, 
   {{0x3396031a,0x0bd8012b,0x6413035e,0x5e46003a}},	//   _beusan_, _इस्राइल_, _dvosoban_, _boradiga, 
   {{0x9218020a,0x12f101da,0x2a790211,0xf087011a}},	//   _тұмау_, _denoncoj, _приклады, _לתובע_, 
   {{0x82240320,0x56ce0109,0x22920307,0x00000000}},	//   _akeke_, _universá, _ugrant_, --, 
   {{0xa319014f,0x094e042c,0x5c5f0117,0x2c70021c}},	//   _христово, _dogovore, _pestaim_, _charitu_, 
   {{0x44bb0037,0x906300e6,0x72f50306,0x0dff0065}},	// [ace0] _መቀራረብ_, _内容与考试时间_, _aspitam_, _innensta, 
   {{0xe2da0055,0x826d00b9,0x127d01c7,0x886701ef}},	//   _ripete_, _dicoba_, _какалары_, _органаў_, 
   {{0xd3860212,0xfc600212,0x83bb0085,0xd6390558}},	//   _quare_, _vestris_, _kaiwaqa_, _umuntaki, 
   {{0x46f40439,0x0979025b,0x8f4b0108,0xa3950264}},	//   _bakanyiw, _hornorke, _pangkatn, _eresma_, 
   {{0x1290031a,0x454e0220,0x0c1f03ea,0xfd2a02a4}},	//   _banail_, _лична_, _remplir_, _invidunt_, 
   {{0x5c7103f1,0x1e400102,0xad020344,0x96f90038}},	//   _hydrant_, _bicamump, _arnereqq, _археопте, 
   {{0x3b36063c,0x0e370328,0x02d8025c,0x021c016e}},	//   _लम्बाई_, _bakamuta, _nahezu_, _derhal_, 
   {{0x23f80222,0xb6dd0040,0xb2a60241,0xb77c0025}},	//   _celui_, _הסכמי_, _bubbe_, _श्रद्धां_, 
   {{0xac930019,0xd3860259,0xbc040320,0x30db0350}},	//   _قالات_, _ataru_, _hlaseli_, _አውቶብስ_, 
   {{0x12d6034b,0x0386047b,0x925b0243,0x4288006e}},	//   _impoten_, _starv_, _caglan_, _barkeel_, 
   {{0xf75401eb,0xee3a0111,0x4e4d00a8,0xdd9304ad}},	//   _mediativ, _incastra, _barschau_, _lebelele_, 
   {{0xe2da0174,0x377d0187,0xbf060095,0x3391036e}},	//   _dipere_, _локалите, _معیوب_, _ayuyani_, 
   {{0x666d0361,0x9f4202f6,0xc667010f,0x21e10334}},	//   _показать, _anggulon, _валичон_, _kapondam, 
   {{0x31bd014f,0x7ba8004d,0xae08034c,0x8c2f0297}},	//   _листе_, _空間之吟唱_, _banditla, _biyudä_, 
   {{0x3d940132,0x5c61028a,0xcd2003ee,0x6e100137}},	//   _keresett_, _matunda_, _memorije_, _babeslea, 
   {{0x82f00291,0x676e00bf,0x4acd02cf,0x4dc701fa}},	//   _cosmaí_, _подавлял, _галичица_, _tahikehe_, 
   {{0xf73d02fe,0x463d02fe,0x594d041a,0x00000000}},	// [acf0] _abanakug, _abanakuw, _дивитися_, --, 
   {{0x64a30235,0x6b0d030b,0x3e43030d,0x3c750203}},	//   _कुमारसम्, _alipoota_, _oynamaya, _pulular_, 
   {{0x664002d9,0x72490122,0x8320020f,0xf59c0052}},	//   _aisikuli, _ngamuk_, _aleya_, _piešťane, 
   {{0x93960189,0x8e4e020a,0x00000000,0x00000000}},	//   _hassas_, _жалда_, --, --, 
   {{0xd31601b9,0x7b9c0687,0xe6d000bc,0x00000000}},	//   _peizan_, _nzandiko_, _dipakeli, --, 
   {{0x2cfd03bf,0x075a0311,0xfea801ef,0x00000000}},	//   _конкурсы, _ዝግበርን_, _анатолі_, --, 
   {{0x3200005b,0xdc91003e,0x13860701,0x00b4027b}},	//   _holic_, _babuseng_, _utaru_, _वृणुते_, 
   {{0x926e03a0,0x83840040,0x91270244,0x057e01cd}},	//   _botoro_, _סנדוויץ_, _масови_, _athuthuk, 
   {{0x937900d5,0xf0f800c7,0xa50d01a3,0xb2ec00cf}},	//   _soratra_, _көйгә_, _فزيبلٽي_, _diggaafi_, 
   {{0x220000a0,0xcf60035d,0xf2920320,0x20c100fb}},	//   _addini_, _odbojkaš, _egrace_, _behlasel, 
   {{0x1a5800fe,0x5c050030,0xe97603eb,0xb8bf0061}},	//   _haleluia_, _citreiz_, _bediende, _머니퓰레이터의_, 
   {{0xb26e005b,0xa34b0058,0xcf2e0238,0x8a830109}},	//   _totoro_, _kleilükö, _циклу_, _आज्ञाहरू_, 
   {{0x3396003d,0xac610272,0x00000000,0x00000000}},	//   _bassas_, _batunda_, --, --, 
   {{0x457e01cb,0xde4c04a4,0x0c6d01b0,0x4b7e0388}},	//   _uthuthuk, _canadana, _adirata_, _поклонен, 
   {{0xf2000800,0x8c6002ad,0xf0b800ec,0xa2d80127}},	//   _oldin_, _tekutin_, _pagimdė_, _franked_, 
   {{0x7c5302cb,0x0a850029,0x225a00d6,0x8ad300c7}},	//   _sastava_, _موژده_, _fillte_, _aşkınıp_, 
   {{0x9773020e,0x7386031d,0x13e20513,0x537800b3}},	// [ad00] _социаль_, _quirk_, _eritweni_, _bayakda_, 
   {{0x36b4005e,0x02d40265,0x93410445,0xc3650422}},	//   _ﻫﻪﺭﺧﯩﻞ_, _behoren_, _baseada_, _dvigalo_, 
   {{0xdd9c007b,0x77b30596,0x0053015e,0xf2d803e6}},	//   _reveille_, _efountai, _تاقسى_, _kranked_, 
   {{0x3c6b0132,0x7394018e,0x73200387,0x1b1c00ee}},	//   _magukat_, _ayisi_, _pleya_, _gurasoen_, 
   {{0x3ae20188,0x6f4603b8,0xd2240207,0x00000000}},	//   _тошхоҷа_, _палуан_, _cheki_, --, 
   {{0x630f016b,0x53f401c5,0x00000000,0x00000000}},	//   _fasinjoj, _aastay_, --, --, 
   {{0x42480033,0x7c670399,0x00000000,0x00000000}},	//   _calmut_, _tamulea_, --, --, 
   {{0xe38603b2,0x93e100ca,0x41320191,0xa68e0178}},	//   _start_, _justícia_, _ljudspel, _aprahāṇa, 
   {{0x038604fa,0x122400f9,0x8f3303d0,0x159401e9}},	//   _asire_, _nkeka_, _karlovac_, _dilekany, 
   {{0xd247016d,0x4b040024,0x069002a4,0xb85c0464}},	//   _ئىجدىمائ, _গাড়ীৰ_, _tolerabi, _buhorobu, 
   {{0x2e4e03db,0xc96d03c6,0x99030375,0x00000000}},	//   _konakala, _reinwett, _kumangid, --, 
   {{0x1c680613,0xbdbc0449,0x4e48015e,0xcfab03d0}},	//   _operado_, _izvadite_, _كۇندەرال, _košić_, 
   {{0xe84605ca,0x00000000,0x00000000,0x00000000}},	//   _acelerad, --, --, --, 
   {{0x4200048f,0x02240438,0x82d80225,0xf7a7007a}},	//   _kolia_, _mkeka_, _kegen_, _diprakti, 
   {{0xb12200bc,0x2e1400dc,0xc1ce003c,0xc169005b}},	//   _مدافع_, _senetena, _کتابفوای, _flugtbil, 
   {{0x620000dc,0x6b9700b7,0xb5a9017a,0x9b6101b3}},	//   _molia_, _хабарчы_, _набарома, _абзацу_, 
   {{0xa2d703ea,0xc91902cf,0xd2b60304,0x06490076}},	// [ad10] _publics_, _parcelad, _mercun_, _розовата_, 
   {{0xe386036d,0x52dc0132,0x72cc0107,0x120001f0}},	//   _fuara_, _iskolai_, _barlian_, _lediri_, 
   {{0x02000544,0x850603b6,0xb2d80265,0x42240096}},	//   _golia_, _hotẹẹli_, _negen_, _akeka_, 
   {{0x99e201b2,0x6fda0082,0x326e02df,0x00000000}},	//   _stiffene, _washinto, _kepong_, --, 
   {{0x79e70494,0xa2c503b6,0xf20000b9,0x566c0064}},	//   _dogodila_, _apilese_, _teliti_, _номерлер, 
   {{0x0c670239,0x42ea0338,0x00000000,0x00000000}},	//   _manuera_, _catinon_, --, --, 
   {{0x82240172,0x02000031,0x53e400ff,0xd70c016d}},	//   _ekeka_, _kediri_, _געפרוירן_, _хоңкоңлу, 
   {{0x6e4e03bf,0x73f802fd,0x5b5a01ef,0xd2760307}},	//   _bonahala, _chiuil_, _пракамэн, _eminweni_, 
   {{0x780200bf,0x0d1f02fc,0x87610145,0x178205ab}},	//   _перенапр, _afungiwe_, _уверх_, _subjetiv, 
   {{0x19f60035,0x1dce020e,0x1d3302c6,0x63400258}},	//   _aktíf_, _һибеп_, _divinout_, _oerdeis_, 
   {{0x42d80415,0x7d7f0148,0x6386028b,0x02000249}},	//   _gegen_, _恐懼退黨潮_, _araro_, _minits_, 
   {{0xfb580140,0xddf001a3,0xd5e900f6,0x7e4602c9}},	//   _kaluluwa_, _جنيوا_, _alyansı_, _rambursa, 
   {{0x7c070075,0x651000ba,0x1d3603ae,0x56d7004a}},	//   _hugsast_, _شیواشۆک_, _venninne_, _арийлар_, 
   {{0x62d80288,0x2290014a,0x3a060258,0x27b80348}},	//   _yegen_, _illata_, _hilaride, _bagulumi, 
   {{0xead6024f,0x5291008a,0x6fa70059,0x3b06033a}},	//   _ibatabat, _avaali_, _грозде_, _hotskirt, 
   {{0x32d803b0,0x6d8f02bc,0x9c3200d1,0xc200044a}},	//   _vegen_, _jehoshap, _শিল্পকৌশ, _belisi_, 
   {{0x42d80473,0xd292002f,0x7e390140,0x00000000}},	// [ad20] _wegen_, _ahuano_, _kasaguta, --, 
   {{0xceee02d3,0xfc740287,0xbd7b00e2,0xf27a0204}},	//   _компании, _वास्ता_, _brulloft_, _kiistell, 
   {{0xbfab0075,0x1a3400bb,0x2e380035,0x12f1010a}},	//   _foreldur_, _آسکیں_, _estafeta, _fayiili_, 
   {{0x25d5020f,0xc26e0465,0x8064015d,0xf2a60034}},	//   _ababesey, _kuponi_, _अक्षरा_, _bubbi_, 
   {{0x8fc20107,0x52240177,0xa387036c,0xaf3a03b5}},	//   _پاسور_, _eheko_, _averin_, _dikuatka, 
   {{0xefc2016d,0xd2d80312,0xbc2d001b,0xfe1c00f7}},	//   _زەينەپ_, _pegen_, _arbaminc, _kongresa, 
   {{0x927e033e,0x5bea038d,0x82c1063e,0xc25a03bf}},	//   _amonõ_, _lademokr, _spolova_, _epolla_, 
   {{0x1c5c018d,0x73950396,0x737f0136,0xed880259}},	//   _ብተኸታታሊ_, _efesin_, _nijansa_, _fakegrit_, 
   {{0xe03601b7,0x84ac048f,0x92b400ec,0xde0b016d}},	//   _ग्रहः_, _bamanank, _rūbai_, _қоюптимә, 
   {{0x12d8018c,0x2a8b05d2,0xd2c50205,0xb942013a}},	//   _tegen_, _trenings, _gazetasi_, _betriber_, 
   {{0x6fe90255,0x53f8043d,0x0200034b,0xfb18003a}},	//   _संचालित_, _belum_, _bolif_, _nafardan_, 
   {{0xf2d80026,0x3a5102fa,0x685e00f2,0x0f3f034b}},	//   _regen_, _maderena_, _fabrikas_, _ritresma, 
   {{0x02d8012f,0xbe5a0231,0x62e7037c,0x388901ef}},	//   _segen_, _bomberna, _carnera_, _заканада, 
   {{0x9d86014f,0x8b70044a,0x00000000,0x00000000}},	//   _награде_, _tokutana_, --, --, 
   {{0x610b00e7,0x9dbb0344,0xfee20244,0x026002c9}},	//   _aithsfay_, _anningaa, _недоразу, _spitalul, 
   {{0x02010056,0xb0cb003a,0xa29e0374,0xf63c0139}},	//   _kufike_, _daromadl, _шинам_, _कुमारगुप, 
   {{0xc2fd041c,0x7f2802fd,0xc6cd03b9,0xb06f020e}},	// [ad30] _amagul_, _bearnara, _sarayapx, _bokakalo, 
   {{0x13950122,0x9d0800ce,0x8a0f0314,0xd6d600a0}},	//   _kresna_, _lotorite_, _сисәнбай_, _annashuw, 
   {{0xb26e00b9,0x0c7405a0,0x0430023d,0xb944005e}},	//   _sepong_, _जिन्सी_, _rilascio_, _ظعشلةصحع, 
   {{0x6a13014c,0x43860343,0x22c3017c,0x831602c7}},	//   _azibange, _isira_, _såldes_, _weizen_, 
   {{0xd2870145,0x3386012b,0x42f00333,0x1d990385}},	//   _мультфіл, _stary_, _finisci_, _iskustvu_, 
   {{0xb3a8038e,0x261e016d,0x75f50092,0xe28b01be}},	//   _pemasang_, _йоқлуқин, _妖精国の騎士_, _brusinky_, 
   {{0x923600e4,0x32000134,0xdf28018b,0xbc5a0018}},	//   _ѕαмσв_, _abiiko_, _диминуар, _ibotani_, 
   {{0x82d80212,0x8276003b,0xcc53000d,0x260f02ea}},	//   _legem_, _angachum, _lastega_, _popolari, 
   {{0x633a00ff,0xfdc4005e,0x98c8018d,0xbdcb03dc}},	//   _ספּיעראַ_, _ھىسداشلى, _ክጥርንፍ_, _alphabea, 
   {{0xce740016,0x9fab0097,0x72240443,0x93940235}},	//   _חנוכּה_, _gbàágbòj, _inikan_, _ayaso_, 
   {{0xc62b0771,0x0162024a,0xc9c40307,0xa58300e6}},	//   _abanyagi, _aferebio, _banezint, _内科学类杂志征稿_, 
   {{0xf2f301da,0x92de0295,0x79e5014e,0xd2d8013f}},	//   _femijet_, _fangakui_, _jagodina_, _begel_, 
   {{0x9bed00d9,0xa3470227,0x2200007f,0x32010051}},	//   _народные_, _menerpa_, _colig_, _labiem_, 
   {{0x83f804b7,0xf7b20088,0xc3f803ad,0x1c730377}},	//   _geluk_, _нейтралд, _iddur_, _afisata_, 
   {{0x33160265,0x5f320435,0x205901d4,0x508e0092}},	//   _reizen_, _духовних_, _filastro, _しゃぶしゃぶ_, 
   {{0x893f025c,0xc2a700e9,0x41c3014f,0x2a580233}},	//   _vermeide, _kurbe_, _ђоковић_, _gobechia_, 
   {{0x03250234,0x6a0a00ec,0x98620147,0x00000000}},	// [ad40] _olúdánni, _šampūnas_, _càritas_, --, 
   {{0x9fd90244,0xf3f801fe,0xd2bb0009,0x9977031a}},	//   _принтира, _ledua_, _velenje_, _klondyke, 
   {{0x637c005c,0xa17900e7,0x4c7300e0,0x2dc2006c}},	//   _ahwanye_, _arvinmay_, _mearkes_, _ashiseka, 
   {{0x49840053,0x0a15005c,0x3e870046,0x8f830110}},	//   _चमचमीत_, _agabanya_, _جاڭجال_, _mišela_, 
   {{0xb2b601c7,0x2d1a007b,0x99f60137,0x680a00c4}},	//   _derdine_, _foolerie_, _антониус_, _ڪوٺڙيءَ_, 
   {{0x9f270113,0xdf2e01ad,0x0e7c0109,0x610f00e6}},	//   _leathana, _bubuliga, _नाच्न_, _租建筑机械设备_, 
   {{0xd5170038,0x622402c3,0xa26d0158,0x00000000}},	//   _килергә_, _lieky_, _luboń_, --, 
   {{0xc3dd004d,0xfb0700d1,0x81de0334,0x5cf5023d}},	//   _入山案件申辦系統_, _ভঁড়াল_, _khilisim, _coltivar, 
   {{0xd2900018,0x9909013c,0x26d70255,0xf3fd00d3}},	//   _colata_, _yaratmaq_, _औषधिक_, _zmizela_, 
   {{0x635803ea,0xbbc60016,0x07a503a2,0x43f80071}},	//   _cadeaux_, _montriĝi, _ग्रीनलैं, _celuk_, 
   {{0xfdc500a4,0x28af017d,0xf38601f1,0x472800bf}},	//   _ابدان_, _リッシェ通販_, _duart_, _торговых_, 
   {{0x67e70745,0x2d1c00df,0x863f0301,0x53f404f8}},	//   _मेघराज_, _souligne_, _işəgötür, _vastly_, 
   {{0xa238023b,0xee4a00aa,0x8dc80056,0x9a0b003e}},	//   _moamahi_, _gisaguba, _асали_, _furalloa_, 
   {{0x24a70227,0xd3980311,0xbe9f0375,0xeae700f8}},	//   _membiark, _ኣሕመዲን_, _idamufun, _চিরায়ত_, 
   {{0xf19f00d1,0x0c390088,0x00000000,0x00000000}},	//   _আয়নস্ফি, _antifrau_, --, --, 
   {{0x7bb600c5,0x4aaa0061,0x2c510400,0x4c140113}},	//   _办理外商投资企业, _효율적으로_, _saltata_, _لورنس_, 
   {{0x4b5a0013,0x1c270065,0x7b8a0039,0xa319018d}},	// [ad50] _avstriya_, _verstorb, _номон_, _ministrj, 
   {{0x814e0319,0xb20000bd,0xe3f80227,0x8a480040}},	//   _confiabl, _bodie_, _teduh_, _התסריט_, 
   {{0x33950409,0x95d100ba,0x46310083,0x2200000e}},	//   _arashi_, _دابڕانه_, _admirazi, _volid_, 
   {{0x8ef0004c,0xed700090,0x86b60010,0xe89a0153}},	//   _abakolin, _chimutsa, _iphelelw, _たまごっち_, 
   {{0xe8c6005c,0xcb6902ec,0xf2920116,0x3b3501fc}},	//   _abaturag, _کریوتھ_, _errand_, _diyaayis, 
   {{0x3b8600e6,0x96ce004d,0xc9ad00e6,0x00000000}},	//   _英超球队冠军奖杯, _成網友認同_, _给予行政处分_, --, 
   {{0xf8e804d0,0x19110002,0x3e9f0226,0xd2900321}},	//   _saisaeng, _najavlju, _adamufun, _solata_, 
   {{0x8345014a,0x89cf0144,0xf3940176,0xf3fa0260}},	//   _mindent_, _anamacha_, _ayase_, _naquel_, 
   {{0x910401a0,0x9f240235,0x57a801c6,0x77d40156}},	//   _hlakulel, _ayaugapa, _jaloersk_, _פאלעטס_, 
   {{0x1f8a0092,0xc878022c,0xdccb0311,0x12f10337}},	//   _サングラス_, _bucitreu, _ሕቶታተይ_, _kayitli_, 
   {{0xa1af0044,0x4835005d,0x35870061,0xfae602dd}},	//   _אזעקה_, _desmotad, _이명박보다_, _enerġeti, 
   {{0x1d1e048a,0xc3860134,0x4148011a,0x5060048a}},	//   _бродский_, _iriri_, _porosity_, _قسقارتىل, 
   {{0x8be400bf,0x06b6003b,0x729000b9,0xd05700c6}},	//   _отличает, _aphelelw, _sodara_, _begrensn, 
   {{0x7d870258,0xbf5d0040,0xaf7802f2,0xe627011b}},	//   _basearre_, _disadvan, _acabados_, _komikiti, 
   {{0x52920160,0x23480225,0xf26c00dc,0x6e4c0257}},	//   _zgrade_, _badenei_, _maoona_, _bananana, 
   {{0xe034001a,0xb517022f,0x9e52008c,0xc903007e}},	//   _receptek_, _pristato_, _remarcha, _asmadvid, 
   {{0xd2000117,0x6e5a01c6,0xa372008b,0x00000000}},	// [ad60] _holim_, _bombarje_, _milliong_, --, 
   {{0x23860149,0x496402a5,0x0200015b,0xafee016d}},	//   _oriri_, _गुमनाम_, _kolim_, _комитетн, 
   {{0xff1f03ef,0x6f8902c9,0xd291034c,0x925b028e}},	//   _amatanga, _деталий_, _rafail_, _italem_, 
   {{0x286c02d2,0x83da033d,0x00000000,0x00000000}},	//   _маслихат_, _aladeriv_, --, --, 
   {{0x8200002f,0x525a03ae,0xba07000a,0xc2d800e6}},	//   _alliq_, _tillat_, _allaafee, _查看个人网站_, 
   {{0x82b402ac,0x2c53042c,0xa7b900fd,0xb0e20192}},	//   _teocht_, _nastava_, _ciorstai, _franstal, 
   {{0x92900404,0x5d5500be,0x923005f6,0xc2c4047a}},	//   _polasa_, _италиялы, _fitjar_, _sirmont_, 
   {{0x75a30686,0xaa0400d9,0x2f02006e,0xe85f0022}},	//   _okufanay, _salaliit, _diapalé_, _яҙҙыҡ_, 
   {{0x150d03b7,0x2de90122,0x83860129,0xa85400a6}},	//   _armonich, _مورینیو_, _eriri_, _ووئيل_, 
   {{0x61630536,0x91850357,0x414a050e,0xcab4018e}},	//   _тутуш_, _matasail, _spoljnih_, _khavhara_, 
   {{0xf5bf0094,0x809100c8,0x32020087,0x3b600021}},	//   _اتتاندىر, _имтиханд, _gadziwil, _anulesgr, 
   {{0x144800c5,0xc2d200a5,0x5eb10036,0xc34101ed}},	//   _您是本帖的第_, _kapeteni_, _كلاسيكو_, _peresia_, 
   {{0x48f0017f,0xd49f0142,0x00000000,0x00000000}},	//   _kingornu, _महादुर्ग, --, --, 
   {{0xb5970039,0x4d4000a4,0x037900cf,0xd344006e}},	//   _маркийн_, _ايماعىند, _alwaaha_, _bindunu_, 
   {{0xa5ee05f2,0x8179023a,0x7e8d0022,0x00000000}},	//   _condició, _španielč, _һомғол_, --, 
   {{0x830702ef,0x9ae20123,0x00000000,0x00000000}},	//   _antatik_, _biltilbe, --, --, 
   {{0x6c53022e,0x126c0158,0xf04702cf,0x181c0162}},	// [ad70] _bastava_, _koloru_, _народот_, _ساپاسىنى_, 
   {{0xc395049e,0xf7ca0148,0x0db80294,0x64850012}},	//   _miesto_, _passioni, _arinirka, _गवनाके_, 
   {{0x4ea901a7,0xac06012a,0x2f1f00a2,0xec460289}},	//   _syntynyt_, _sposobu_, _alitanga, _chipikis, 
   {{0xc2d8029d,0x719b0040,0x62d901c5,0x2af4004d}},	//   _legea_, _speciall, _subeer_, _瀏覽分享空間_, 
   {{0x179d03b7,0x5be40233,0xa34501ad,0x0cd60255}},	//   _uneventf, _modellar, _resende_, _tekkinud_, 
   {{0xc9820074,0x829004ca,0xac9d01e0,0xe98e01cd}},	//   _verkossa_, _polara_, _فلاشی_, _такия_, 
   {{0x5e2c014f,0xa34501c6,0x4200018f,0x806004a5}},	//   _владе_, _deselde_, _bolij_, _anesibin, 
   {{0x9dee041a,0x134100ab,0x426d04bd,0x8d490142}},	//   _моральни, _herepia_, _magoga_, _bandhaṃ_, 
   {{0xbd720357,0x2cb40041,0x530d00ec,0xd2d80347}},	//   _dramidra, _илзыршо_, _aplinkoj, _spiere_, 
   {{0x14d60139,0x0200008d,0xa25c0220,0x58630042}},	//   _पीडिता_, _molik_, _allestim, _atendend, 
   {{0x92d601b9,0x032001a4,0x457100ec,0xf30c00ed}},	//   _deklans_, _aleyi_, _produkty, _kahanas_, 
   {{0xe62d0144,0x6cc6042c,0xabe000ec,0xc66d021e}},	//   _sainchei, _nazivaju_, _абухава_, _folkbokf, 
   {{0x71e60409,0xfd070192,0x4396014b,0xbc22013d}},	//   _overblik_, _쇼음악중심_, _kassis_, _librolis, 
   {{0xe3860392,0x327e04df,0xc1e90153,0x73eb034e}},	//   _cuirp_, _bolnan_, _ジュゼッペコッコ_, _imatas_, 
   {{0x125a037c,0x629101c9,0x8ead002e,0x2c68015e}},	//   _billot_, _garantii_, _izvođenj, _haurien_, 
   {{0xe2000486,0x016004b8,0x321a006c,0x62fd031a}},	//   _kolik_, _diengsoh_, _abakunom, _ceagal_, 
   {{0x72b40277,0x970d0192,0x5c550515,0xfe4c023b}},	// [ad80] _synch_, _이용자에게_, _beltate_, _lanamana, 
   {{0x33f801a6,0x37c300e6,0x3ecc0227,0x2f34024b}},	//   _hamumu_, _手工毛衣编织图案, _kediaman, _recortar_, 
   {{0xc2d801fe,0x7e0a03bf,0x40ef0095,0x00000000}},	//   _degei_, _капитоно, _دستتان_, --, 
   {{0x62d3038c,0x106a00c1,0xaccd0019,0x82920133}},	//   _ponoći_, _कालबाह्य_, _палатага_, _duranu_, 
   {{0x40380127,0x28e8004c,0x91590059,0x00000000}},	//   _drugarez_, _abapotug, _разминав, --, 
   {{0x369600df,0x7e1c0109,0xa79302f7,0xaf240569}},	//   _accessoi, _लामखुट्ट, _ipatlisi, _paški_, 
   {{0x5ea4029d,0xf20002ef,0xa8c0046f,0xf3eb0030}},	//   _атентату, _jodia_, _fixerstu, _amatas_, 
   {{0x90ac00a6,0x328c04b9,0x6c0b027c,0x00000000}},	//   _سالارانو_, _breksna_, _isilungu_, --, 
   {{0x93ee0244,0x05070059,0xbc9101f0,0xf4070220}},	//   _dettagli_, _прилага_, _dibukeng_, _придава_, 
   {{0xc49a00d1,0x141303ce,0x0d20027c,0xe21b00f0}},	//   _ধৃষ্টতা_, _داندا_, _یاسیني_, _bernolák, 
   {{0x2354013b,0x58f60344,0xd25a0113,0x5ed30046}},	//   _celebes_, _allanguu, _aillte_, _قاچدىڭبى_, 
   {{0xb2fe00bc,0x72000360,0x0aca0025,0xa2e201b6}},	//   _istgah_, _tolik_, _महाराजः_, _stained_, 
   {{0xa25a001d,0xd0e70279,0x7200010d,0xd5db00a6}},	//   _follie_, _logiciel, _modif_, _فرمايلي_, 
   {{0x9a060047,0x3dc301b8,0x028b0040,0xcc6201f5}},	//   _下一篇文章_, _kokkulep, _תפיסת_, _satupun_, 
   {{0xd2000141,0xe71b0224,0x00000000,0x00000000}},	//   _zolik_, _draugahú, --, --, 
   {{0x298e00da,0x836a0187,0xaaaf0061,0x3634015e}},	//   _паник_, _бранител, _집중적으로_, _decideix, 
   {{0xa177057c,0x43eb01ac,0x02fe006c,0x4a0c001c}},	// [ad90] _uddannel, _achtú_, _amahele_, _kahalaba_, 
   {{0x169b018a,0x83f901fb,0x98ba018d,0x851c021b}},	//   _gobeithi, _arguer_, _ጸርፍታት_, _достопри, 
   {{0xf290010b,0x5bf5015f,0xf2010358,0x70af02aa}},	//   _bolawa_, _arteffac, _detid_, _nomináln, 
   {{0xbc7603ec,0x03780082,0x00000000,0x00000000}},	//   _harrosh_, _gogayya_, --, --, 
   {{0x12f4018f,0xe2a701c5,0xb3ea0196,0xe7ec02f6}},	//   _chonnaq_, _qurba_, _amoto_, _makalang, 
   {{0xb1090185,0x297e01db,0x73f8033f,0xc2480295}},	//   _форматта_, _اۋدانعا_, _namuku_, _palomesi_, 
   {{0x4038038f,0xe682006e,0x6c6100ee,0x19ef01e9}},	//   _trugarez_, _agresssi, _titulua_, _dignwaga_, 
   {{0x871e0039,0xa29203d5,0x23100502,0xf0e90039}},	//   _батга_, _aaraue_, _bbrally_, _urratsak_, 
   {{0x12fd01ba,0x06200090,0xa1990244,0xc2a7023e}},	//   _komiser_, _afungisi, _холандия_, _burbn_, 
   {{0xf2fb0701,0x71130092,0x4dc201be,0x292e0162}},	//   _laphina_, _アメマガで人気ブ, _učitele_, _قازاقلار_, 
   {{0x6f9e0240,0xae4c00aa,0x6cf10287,0xc25c0100}},	//   _commondo, _banabana, _कालोपत्र, _bolestim, 
   {{0xe31601f9,0x02900018,0x44a10089,0x9e87026f}},	//   _agezi_, _dolava_, _barmadı_, _زارۋگە_, 
   {{0x1c68026a,0x499d0041,0x827c0418,0xf292009b}},	//   _janueri_, _иакыу_, _elindeki_, _garate_, 
   {{0xf3860054,0xf059027f,0xd29002fe,0xaa44021a}},	//   _tsare_, _agusoban, _amdaka_, _bineensa_, 
   {{0xa29003e5,0xf7600093,0xb25a0123,0x00000000}},	//   _nolava_, _старосты_, _villet_, --, 
   {{0xa0e70141,0xa2560024,0xb23b018d,0x00000000}},	//   _агентлиг, _ফিল্ডছ_, _ምይይጥን_, --, 
   {{0xaaf50372,0xf2fd02ec,0xf34a02ba,0xb9ed018f}},	// [ada0] _astudiae, _aragto_, _afafaze_, _ghorvamd, 
   {{0xc0ad0145,0xfb700414,0x3c0900d0,0x12d90196}},	//   _klaviatū, _kokutana_, _leporatu_, _jubeir_, 
   {{0x09c20034,0xd26d026a,0x00000000,0x00000000}},	//   _andmæla_, _yagoda_, --, --, 
   {{0x03f800c3,0xfafc0230,0xb0ce0422,0x1e3d0282}},	//   _velut_, _bilengis, _posodobl, _torangap, 
   {{0xc2000085,0x3200003d,0x5aa600c5,0x32bb0303}},	//   _solia_, _molin_, _雅虎百业窗_, _difeige_, 
   {{0xda7c032e,0x3b2a0132,0xa2d802aa,0x9200029f}},	//   _aptayata_, _babakocs, _tonery_, _polia_, 
   {{0xc248006f,0x03860220,0x2b67030b,0x8af40020}},	//   _utumishi_, _usare_, _akatimba_, _feeseese, 
   {{0xcb7a00be,0xf35f0313,0xd10700c4,0xf20000a4}},	//   _оркестрд, _cheghbe_, _پرڀرو_, _volia_, 
   {{0x92000237,0x4c6404bb,0x7c5a0044,0xaefd0256}},	//   _nodig_, _vasthiv_, _induced_, _veikalos_, 
   {{0xf37c0321,0x828f00c7,0x0991048c,0x198f0122}},	//   _pijače_, _төште_, _anchorle, _میاندوآب_, 
   {{0x03a2024a,0x12000054,0xd34403e3,0x37ec02e0}},	//   _adapa_, _kolin_, _apresye_, _bakalang, 
   {{0x5a240148,0x825a03dd,0x6f020059,0x1bd300be}},	//   _台財稅字第_, _sillet_, _ключалки_, _قىلعىرتى, 
   {{0x4f0702c3,0xa5d5003a,0x21a10162,0x85b500a7}},	//   _dispozíc, _taraqqiy, _كەلىمە_, _trajectò, 
   {{0x02d80566,0xcf0e00ec,0xe30d00b7,0x00000000}},	//   _meget_, _сьвяты_, _bihabar_, --, 
   {{0xb3730044,0x2d0801bd,0x172c0097,0x268801da}},	//   _tragedy_, _вареньес, _olùtúnlò_, _mardheni, 
   {{0x0eb606ac,0xa1d6006c,0xf26701e1,0x7eb7034c}},	//   _consegue_, _abalibam, _дежур_, _bagdadnı, 
   {{0x89670230,0xadcc01c4,0x3e9f0084,0x00000000}},	// [adb0] _regilate, _kookpunt_, _commentn, --, 
   {{0x9536063f,0x837800ff,0x53f8047b,0x25a202a4}},	//   _चर्बी_, _קײנמאָל_, _melur_, _mulierum_, 
   {{0x9ee90289,0xa5a500b3,0x07260147,0xfb8e03a2}},	//   _akukuman, _руслары_, _تىرشباسا, _औरमूवीमस, 
   {{0x5273042b,0xdf6a022a,0x12d10362,0x1b5d00c7}},	//   _napravil, _sitanuns_, _bobetani_, _кометала, 
   {{0x575900d9,0xa477017a,0x56950094,0x5b060158}},	//   _развивае, _abathunj, _شىرقىرات, _starania_, 
   {{0x858a028d,0x53fa01d7,0x7ae6018e,0x92e9027f}},	//   _nepotism_, _consorzi_, _khorwise, _murimba_, 
   {{0xce2c02da,0x32000281,0xa71701c6,0xaa6c0075}},	//   _млади_, _illit_, _froskepô, _heimamis, 
   {{0xbf6d005d,0x563d0309,0xb798016d,0xd200009d}},	//   _бочкарев, _nazirini, _исламниң_, _golin_, 
   {{0xf23604e7,0x72fa0318,0xf1450244,0x1df8020e}},	//   _svojho_, _faahola_, _invernal, _hanetswe_, 
   {{0x102200b4,0x31e000bb,0xa2da01a6,0x00000000}},	//   _revoluţi, _ریٹرنگ_, _tipene_, --, 
   {{0xf2bb0435,0xca0704e3,0xc2a701c5,0xd9dc0321}},	//   _nedelje_, _priopćen, _qurbo_, _toplotna_, 
   {{0xc3860129,0x99db003e,0xf3860083,0x0e4001c9}},	//   _isiri_, _bohelehe, _frars_, _कुप्रचार, 
   {{0x00400071,0xf38d023a,0xf29000dc,0xe7980452}},	//   _بشرویه_, _fakturác, _tolaua_, _पदवीधरां, 
   {{0x2200037c,0xafe8078b,0x0d49014f,0x00000000}},	//   _illis_, _तारापुर_, _поставио_, --, 
   {{0x4f940437,0x393302da,0x98f7046b,0x08d001f6}},	//   _idéer_, _советот_, _dangosyd, _naturleg, 
   {{0xcad90448,0x130c00fe,0x09da022b,0x3d86003a}},	//   _privatøk, _kapakau_, _alifyrit, _пастроқ_, 
   {{0x222403b6,0x131d023e,0x1bfb0071,0xcaef04c7}},	// [adc0] _akeko_, _bercela_, _clèrèt_, _lifepres, 
   {{0x6b0601c1,0x4ded0126,0x23860387,0x73bb015d}},	//   _bersumbe, _професій_, _osiri_, _फ्राग्रं, 
   {{0xf4720137,0x726d0513,0x00000000,0x00000000}},	//   _хогшил_, _magoza_, --, --, 
   {{0x038602be,0xc2000013,0x8c51000d,0x23540203}},	//   _isara_, _oldik_, _esitama_, _retenet_, 
   {{0x22910105,0x82a70359,0x6224036c,0x202b0109}},	//   _hazare_, _gurbe_, _ekeko_, _nečekal_, 
   {{0x426c00a5,0xdae700d1,0xb2000167,0xbfb40088}},	//   _lolotu_, _বিছাৰে_, _gwlith_, _женилдик, 
   {{0xb3f80034,0x9ae10008,0xc3fc0258,0xa7aa0026}},	//   _selur_, _enqueste, _tillevyz, _alstubli, 
   {{0x6347008f,0x52d80020,0x0b5101b9,0xf3430090}},	//   _venemaa_, _afoea_, _soidizan_, _detembo_, 
   {{0x12000416,0xbddc0265,0x23a202a0,0x820003dd}},	//   _hodie_, _hulkzone_, _adipo_, _rolin_, 
   {{0x937800d7,0x471e03c4,0x63860073,0x251d0476}},	//   _babatsa_, _дүшәнбә_, _osara_, _asingaty, 
   {{0x8af90265,0xe25a01f4,0x44e9025b,0xeafa010d}},	//   _diensten_, _millat_, _gentukór_, _turnamen_, 
   {{0xb200002e,0x6eb203b7,0xad52005e,0x62da01e9}},	//   _jedini_, _uncommon, _ﺟﻪﻧﯘﺑﯩﻲ_, _bipele_, 
   {{0x82e902fe,0x83860099,0x53780103,0x4df20169}},	//   _abagwebi_, _asara_, _mabamba_, _সঠিকভাবে_, 
   {{0xa1180047,0xd20004da,0x2a17022d,0x02c5004d}},	//   _您的汇款已收到_, _volio_, _staccata_, _日文大紀元_, 
   {{0x8aef024c,0xaa6600dc,0x137a01cc,0x1f730157}},	//   _partijie, _avamalos, _bharatam, _bezbarwn, 
   {{0x0288050b,0x00370035,0xed8f0191,0x89ae02b9}},	//   _melayani_, _туристла, _kraftigt_, _عینیت_, 
   {{0xdc620171,0x42dd0396,0x018501cb,0x92000465}},	// [add0] _preuzeo_, _imposti_, _zombelel, _hodim_, 
   {{0x626d001e,0xf386016b,0xc20001b0,0x4e460156}},	//   _magoya_, _tsira_, _kodim_, _איגרתל_, 
   {{0x7e7402eb,0xa2000231,0xbc7a00e6,0xb94700fc}},	//   _ххкомпан, _solio_, _全民健身与奥运同, _qammirme, 
   {{0x2200042b,0x4aa50359,0xfb64025f,0xdf650057}},	//   _molim_, _weryndie, _bakumisa_, _setandin, 
   {{0x2c470374,0x8db00178,0x625a0120,0xfb350010}},	//   _билмай_, _anantaca, _fillat_, _bayakhis, 
   {{0x92000034,0x941303ce,0xa2480075,0x7d20061f}},	//   _allir_, _سازده_, _tummas_, _maksimir, 
   {{0xf225010d,0x013f0059,0x2ada0153,0x22000009}},	//   _enakan_, _contengo, _カルシウム_, _rodil_, 
   {{0xeb3600ac,0x260c0397,0xea6e0166,0x81e80077}},	//   _zaključa, _ahlolisi, _fotovors, _farouchm, 
   {{0xe2fc02cb,0x83360193,0xfec9009b,0xce9200d9}},	//   _stiglo_, _आस्थापना_, _frantses_, _постели_, 
   {{0x620c02d3,0xd200018a,0x8ac90088,0x8c26001d}},	//   _adicioná_, _ellir_, _таиландд, _vehícul_, 
   {{0xe2d80212,0x4f2f003a,0x3f4e0151,0xf2d50055}},	//   _regem_, _huzurida, _ainsdale_, _sepolta_, 
   {{0x520002b5,0x50440503,0xf3130382,0xb9f00214}},	//   _godij_, _overordn, _benchea_, _akungena_, 
   {{0x769203cf,0xb394025b,0x425b046b,0x72fd0116}},	//   _gazeteci, _tonsum_, _boeler_, _cleiver_, 
   {{0xc28c004f,0x5eea0361,0x00000000,0x00000000}},	//   _balkaan_, _зачислен, --, --, 
   {{0x2e9904f4,0x94120039,0x3200005b,0x00000000}},	//   _médicos_, _явсны_, _enlig_, --, 
   {{0xf7fa0092,0x3d8c06c1,0xa6690040,0x1c67009d}},	//   _ニンテンド_, _bačka_, _החמאס_, _banuara_, 
   {{0x3d91015c,0xe2000058,0x33f40034,0xad8200c5}},	// [ade0] _fotoappa, _bolit_, _stuttu_, _surement_, 
   {{0xcc7602ee,0xd2000564,0xc728011f,0x0b3603c3}},	//   _emirati_, _helini_, _golpekué, _zaključc, 
   {{0x58b30250,0xfc6702ef,0x622b00c7,0x0b8a0060}},	//   _postimev, _agoumpa_, _aşkan_, _бозоқ_, 
   {{0x12000564,0x8200014e,0x83050801,0x02920176}},	//   _folis_, _celini_, _prenovlj, _alwayz_, 
   {{0xd37f024d,0x66f700e4,0x220002ec,0xdb39011f}},	//   _othatha_, _मालवीय_, _golis_, _européo_, 
   {{0x0bc10060,0x7f0b0040,0xf6ce027f,0xb6410212}},	//   _العاشقى_, _ללארג_, _biranani, _verisimi, 
   {{0x9223019b,0x32000176,0x6b4800f2,0x63f40201}},	//   _kortelės_, _holis_, _globālā_, _ugutte_, 
   {{0x73780082,0x7ef9038a,0x6200000d,0x22020198}},	//   _babarsa_, _chijilan, _kolis_, _katolišk, 
   {{0xa76d0191,0x3a880006,0xd345029f,0x7305022a}},	//   _föregåen, _inginkan_, _varenie_, _kaladik_, 
   {{0x0b2f026f,0xd51a02ea,0x12fd00a4,0x67bb03b5}},	//   _ءشۇباسىز_, _carrello_, _llegit_, _melonjak_, 
   {{0xc2d80127,0x03ea0103,0xe2020242,0xb2010338}},	//   _begek_, _emota_, _dəhlizi_, _civius_, 
   {{0x131902ce,0x465d00de,0x337f03db,0x0f80076b}},	//   _lanceuk_, _awayemny, _ethatha_, _कर्कट_, 
   {{0x0200002f,0xb9c10115,0x0fbb0255,0x0891053e}},	//   _alliy_, _diperset, _hooldeko, _fiskerid, 
   {{0xae9f01e8,0x253803ce,0x52d80105,0x54d60255}},	//   _dramahun, _موختار_, _monety_, _मोरियो_, 
   {{0xf1ec01cc,0xb70d00b4,0xc73a0178,0x737f04cf}},	//   _स्वरा_, _патру_, _aparisaṅ, _ithatha_, 
   {{0xac030265,0xb4300244,0xf20000cd,0x92d900e1}},	//   _datpiff_, _bilancio_, _solit_, _dewen_, 
   {{0xe2000047,0xeeb00099,0xb2fc0007,0x43940077}},	// [adf0] _colis_, _akoshese_, _friggo_, _episri_, 
   {{0xe386023d,0xf9f004cf,0x3200035d,0xc9f80417}},	//   _orari_, _ukungena_, _dodik_, _aangebie, 
   {{0x5341002c,0x97250156,0xe300011d,0x375e0399}},	//   _berezia_, _יוּדל_, _medalii_, _tasiping, 
   {{0x93eb0017,0x5c6205b3,0xf87200df,0x82b400b3}},	//   _plateb_, _duurste_, _maintenu, _dynch_, 
   {{0x1290010b,0x8290020e,0xddb902d4,0x00000000}},	//   _bolaya_, _ellana_, _branscha, --, 
   {{0x72d900ce,0x23ce0155,0xf3ea0304,0x03860014}},	//   _bewen_, _skivor_, _rentak_, _brari_, 
   {{0xba5c033b,0xb3f90690,0x226d023b,0x87470475}},	//   _botegela_, _petua_, _dagona_, _гигиены_, 
   {{0xb26d0217,0xf37f03db,0x9a7c0381,0x510301a3}},	//   _istos_, _athatha_, _alancedb, _مٿڀرو_, 
   {{0x862c023c,0xb2490077,0x317e0147,0x7ecd0115}},	//   _abangadi, _atemis_, _تۅشكۅ_, _garispan, 
   {{0x4289041c,0x70990071,0x03a803bf,0x00000000}},	//   _barkeem_, _مترسک_, _lemalang_, --, 
   {{0xa407003c,0xc2d902c2,0xf71f013d,0x0e4b032c}},	//   _ظاهراً_, _gewen_, _alilingv, _allassaa, 
   {{0xbc3000c4,0xefab03b9,0xa363015f,0x42d80020}},	//   _آشيرواد_, _torfadót, _bregeth_, _legei_, 
   {{0x726d026b,0xba900210,0x52fd021c,0x96120102}},	//   _estos_, _andiramb, _klenoty_, _مارُن_, 
   {{0x12a7021a,0xc3680044,0x2c690216,0x520e00bf}},	//   _durba_, _dangers_, _muvumbi_, _дараш_, 
   {{0xe20002a4,0xd28a0300,0x8856002b,0xc20004d7}},	//   _solis_, _nenašli_, _বর্ননা_, _bolir_, 
   {{0x8341012e,0x469001c2,0x7ced02fe,0x00000000}},	//   _زنداں_, _vicerrei, _مشخصو_, --, 
   {{0xc24800ab,0x429005f4,0x63c8041e,0xd200013b}},	// [ae00] _poropiti_, _allana_, _servia_, _anlie_, 
   {{0xd2900035,0x593a02d6,0x52920358,0x00000000}},	//   _allaga_, _чапақайл, _karant_, --, 
   {{0x0eb50044,0x37bd02c2,0x29740090,0x02da0127}},	//   _expenses_, _gesellig, _andinoit, _betoñs_, 
   {{0x46cb026c,0xb0970066,0x0f350003,0xfb4e0005}},	//   _中文網主頁_, _баянгол_, _resultaa, _helvetia_, 
   {{0x726d0013,0x430e0437,0xa52a01d1,0xdeb102fd}},	//   _yagona_, _advarer_, _identify, _chorbett_, 
   {{0x5ab10272,0x82fd03e6,0x2f130253,0xb4300220}},	//   _atukuzib, _gleiser_, _ikittora, _rilancio_, 
   {{0xa26d029e,0xd02e033c,0xa2b600b4,0x029b037f}},	//   _istor_, _arbenigo, _turcia_, _fevralın, 
   {{0x83ea02d8,0xb38604ca,0x2bed0161,0x00000000}},	//   _mentok_, _asard_, _принесет_, --, 
   {{0x82e300c2,0x49af00af,0x097a0059,0x52e2040e}},	//   _bagizwe_, _молочної_, _прозорци, _brynjel_, 
   {{0x9d05015c,0xd7c20040,0x0394028a,0x074a0152}},	//   _kadreier, _חחחחחחח_, _nyasi_, _архаизмн, 
   {{0xe290005b,0xca7900ec,0xf3210181,0x00000000}},	//   _ellada_, _ėmėsi_, _hacyam_, --, 
   {{0x13f800f2,0x82e7018c,0x130c0294,0xc3ef0043}},	//   _ledus_, _scannen_, _ichaqas_, _biguvayi_, 
   {{0x1cbc0148,0x13440185,0x82920264,0x3dff0313}},	//   _人文社會研究中心_, _devizı_, _maraot_, _nudechta, 
   {{0x798d0044,0xded70517,0xfc900061,0x3992002e}},	//   _מסתכל_, _étnicas_, _장바구니에_, _oružanih_, 
   {{0x32fc001b,0xcf150006,0x2d2f0148,0x726e003c}},	//   _endings_, _mendatan, _臺北市年鑑_, _antoro_, 
   {{0x461b0214,0x43860202,0x8bd104d7,0x985600d1}},	//   _abanengx, _isare_, _sendiher, _বৰ্ননা_, 
   {{0x13940205,0x9da70133,0x00000000,0x00000000}},	// [ae10] _oyasi_, _hadoocha, --, --, 
   {{0x7c53018b,0xb35300be,0xb2e30399,0xec0500f2}},	//   _castiga_, _تۇرام_, _miliale_, _patreiz_, 
   {{0xffc7006d,0x23f80079,0xf30e00d2,0x820702d3}},	//   _ранняя_, _medus_, _cipanas_, _rodoviár, 
   {{0xc16e012c,0x31d900e6,0x026700db,0x03ff00e4}},	//   _استفادو_, _行政服务中心_, _distsipl, _katowick, 
   {{0xbc620113,0x6b9c00a9,0xc200008d,0x0355011a}},	//   _écrite_, _nyandiko_, _soliq_, _detects_, 
   {{0x86d9041f,0x52a600ca,0x00000000,0x00000000}},	//   _isipheth, _cambra_, --, --, 
   {{0x8fff0037,0xc7bc0130,0xa2a60092,0x00000000}},	//   _ስፋቱዋም_, _barrenni, _skibe_, --, 
   {{0x63a20023,0x326d03a0,0x015e045b,0x00000000}},	//   _olipa_, _gagola_, _погодинн, --, 
   {{0x26f00043,0x46360156,0x651600de,0x528b02b6}},	//   _alwalalw, _מילהאוס_, _isilwany, _активті_, 
   {{0xd2c601f1,0x926f0066,0x15ce02af,0x898100ba}},	//   _gazetari_, _bisitari_, _kirabany, _کرۆکی_, 
   {{0xd20001a7,0x3cd100c5,0x32ec011f,0x634102c3}},	//   _kodin_, _国家中医药管理局_, _amaimbe_, _strecha_, 
   {{0x32000374,0x339600c0,0x826e023b,0x1f2301f0}},	//   _solih_, _agusan_, _pisona_, _gamelwan, 
   {{0xbaee0485,0x49c001b7,0x12c60066,0xb26c012e}},	//   _rettighe, _एकाचः_, _kazetari_, _bolond_, 
   {{0xbb1705b1,0x2636014b,0x2190004b,0xdfc30372}},	//   _pripravt, _charchil_, _амантайҙ, _canolwyr_, 
   {{0x7201008d,0x36cd021a,0xda490275,0x00000000}},	//   _oltin_, _dabalani, _malelega_, --, 
   {{0x8f170219,0x1f690126,0xb4f5015e,0x93d700df}},	//   _atawupha, _насолодж, _берсенер_, _broché_, 
   {{0x3ece0497,0x5a5701ef,0xc2130177,0xb16801f4}},	// [ae20] _incisors_, _аравія_, _кошмани_, _jangaril, 
   {{0xa20003ab,0xb2f70244,0x4b1d00a4,0x0f3900af}},	//   _hodin_, _allievi_, _jonquera_, _корисною_, 
   {{0x4200012f,0x13ea0295,0xe2d90116,0xd720013f}},	//   _bodin_, _amotu_, _sewed_, _alamaneg, 
   {{0xf54a0220,0x9ecf0076,0x0c25008f,0xabf70022}},	//   _обстанов, _облечете_, _tunnevad_, _зиһене_, 
   {{0x52250176,0x0a4b0173,0x82ef0020,0xe2d7011a}},	//   _chuki_, _disfruta_, _fulisia_, _mucosal_, 
   {{0x75ff018d,0x336c03dd,0x7edd01c5,0x18e90022}},	//   _ብምትካል_, _reagimi_, _garyaqaa, _проектты, 
   {{0x1f6a0148,0xf6440255,0x73f800b4,0x813b0378}},	//   _電子報全文_, _meditsii, _redus_, _forlagið_, 
   {{0x8d2c0024,0x63960055,0x163e02a2,0xa29200cf}},	//   _কলকাতাত_, _crusca_, _naririni, _barate_, 
   {{0x0aef01d9,0xf3750021,0x213b018d,0xe3f00291}},	//   _gelongen_, _ailstorm, _ብፕረዚደንት_, _بللحمر_, 
   {{0xa9ec0357,0xbe070139,0xfb7304bf,0x920103ec}},	//   _basikata_, _adhamaḥ_, _pristupa_, _altin_, 
   {{0x522504ea,0xc236010d,0x1b5200ec,0x0e0600be}},	//   _shuki_, _kajja_, _аналагіч, _قويبوعۇن_, 
   {{0xe5d8048a,0x441a017a,0xd65a0289,0x02010079}},	//   _орналасқ, _abaninik, _aneneriw, _maziem_, 
   {{0xd04e01e7,0xbed503b2,0xe2360255,0xa27602bf}},	//   _minuspun, _depictin, _majja_, _emindeni_, 
   {{0xe5030425,0x5b1f014b,0xec7501b2,0x72010145}},	//   _پارجه_, _dumayyan_, _aghragh_, _imtis_, 
   {{0xbc5604a8,0xa7180012,0x00000000,0x00000000}},	//   _postove_, _ड़ठ्ठेsद, --, --, 
   {{0xce9e03dc,0x484b0037,0x2201043a,0x5ab20291}},	//   _kommunun, _ለመቃወም_, _sifits_, _بإلغاء_, 
   {{0x73d104dc,0x9c3e0272,0x9992019f,0x00000000}},	// [ae30] _لێتان_, _abapakas, _kushusha_, --, 
   {{0x93f900b1,0x00ec042a,0x02bb008b,0x426d01b4}},	//   _metub_, _atendlul, _digente_, _optog_, 
   {{0xf7580715,0x345403a2,0x02490308,0xd2000077}},	//   _समग्रमा_, _जगाधरी_, _advokasi_, _modil_, 
   {{0xb81c0187,0x00000000,0x00000000,0x00000000}},	//   _останато, --, --, --, 
   {{0x1c6b0500,0x9c7c0258,0x620000dd,0x9b910291}},	//   _kitundu_, _boarger_, _codio_, _للشئون_, 
   {{0x3e5300fa,0x723802a8,0x5c1b00b4,0x47dc00be}},	//   _kasangka, _tkompli_, _finantar, _армандуу_, 
   {{0x1faa0016,0xeb3c0035,0x83f8021c,0x40ea0503}},	//   _olimpiko, _мотивлар, _heluz_, _glansbil, 
   {{0x47a50168,0x00000000,0x00000000,0x00000000}},	//   _bondelag, --, --, --, 
   {{0x42c90203,0x9290022e,0xaf7d0006,0x6e60018b}},	//   _raporte_, _andava_, _membalas_, _deschide_, 
   {{0xed780364,0x04010343,0x5316006c,0x00000000}},	//   _ausmecht_, _kasuukan_, _asizwa_, --, 
   {{0x42a6017d,0xcab70456,0x52f80153,0xccfc0039}},	//   _akiba_, _berkanun_, _ブログを作成_, _тугалган_, 
   {{0xa1f20005,0x23060201,0xfefc0452,0x00000000}},	//   _unanimam, _naharak_, _तिरकस_, --, 
   {{0xd2000309,0xa7e70157,0x48410368,0x99d00365}},	//   _ildir_, _संवर्ग_, _обогати_, _फर्पिङ_, 
   {{0xe2d80212,0x920000ac,0xd2250138,0xae530370}},	//   _leges_, _vodio_, _ayakta_, _basangka, 
   {{0x0b0e0061,0x2dac0141,0x39f70241,0x5e170047}},	//   _전반적으로_, _козогист, _bosniyaa_, _pagesbla, 
   {{0x02d8018a,0xf2010432,0x12c303ee,0xd7a000bd}},	//   _neges_, _altid_, _isplata_, _drauchti, 
   {{0x4d7c0169,0x31910475,0x66a5012a,0xdaf60437}},	// [ae40] _চলচিত্র_, _скота_, _zielonej_, _smertest, 
   {{0x2484027b,0x8af10409,0xdfa1011c,0x2ae700af}},	//   _विभाति_, _bogstave, _disembar_, _fjoråret, 
   {{0x2a98005e,0xb22502e5,0x11c402a9,0xc04a0184}},	//   _башливәт, _chuko_, _бусэта_, _ngarukan, 
   {{0xe7220064,0xf7d00096,0x144a03fb,0xdf1e01ef}},	//   _пенделер, _akagerag, _stavljen_, _арайс_, 
   {{0x115b00da,0xd2250590,0x03fe0170,0xb51900ea}},	//   _ексклус_, _ehuko_, _amalalik, _kandidà_, 
   {{0x0f26008f,0xdc04029b,0x62890580,0x52000034}},	//   _perekonn, _balsafi_, _parkiem_, _aldir_, 
   {{0x92920243,0x72fd02e4,0x327f0264,0x7c69024c}},	//   _carare_, _apparati_, _lipno_, _adoriam_, 
   {{0x7c53018e,0xc4c00040,0xe26e0414,0x964b02af}},	//   _avutisa_, _לאופניים_, _bisoba_, _bisigurw, 
   {{0x4ddf0142,0xd290032d,0xb7e60139,0xcb160151}},	//   _निर्मितम, _bolaea_, _महारथः_, _asianpus, 
   {{0x10ac02ec,0xe4af00e6,0x690502a2,0x6d7600ba}},	//   _بٔرٕژ_, _社会保险经办机构, _sumanggu, _هرانت_, 
   {{0xb5b00192,0x6a1f0643,0x89630073,0x38630059}},	//   _나니아연대기_, _izabrana_, _prendent, _prendend, 
   {{0x29f1046d,0x4c610197,0xc2d80086,0x232100f3}},	//   _shengela_, _jesulia_, _jeges_, _oluye_, 
   {{0x54ec00d1,0x70e2005e,0xd0cd0169,0x1cb1024f}},	//   _দুগাল_, _سەپىرى_, _razonabl, _sigalevu_, 
   {{0xa2ef028a,0x12900082,0xf2d90119,0xb27701de}},	//   _kulipia_, _allaka_, _lovech_, _онлайнда_, 
   {{0xb356000e,0x537f0465,0x76cc0133,0x234003f8}},	//   _óperas_, _nanaša_, _fajajani, _mubelha_, 
   {{0xc2920090,0x2a0a01f1,0x00000000,0x00000000}},	//   _varare_, _respektu, --, --, 
   {{0x62d603b9,0x92d801bc,0xa20004ad,0x6b130088}},	// [ae50] _bibliat_, _heger_, _bodit_, _banqueta_, 
   {{0x420002a4,0x52d80071,0xbae9031e,0x00000000}},	//   _modis_, _reget_, _ugrožene_, --, 
   {{0x1a5f03a7,0xe6400125,0x329202ee,0x739604a5}},	//   _strýko_, _berijili, _iltaqa_, _sitsha_, 
   {{0xa340015e,0x4db601a3,0xd349022f,0x76e500e6}},	//   _ارمەن_, _اريڪسيمي, _patekti_, _特种作业人员操作, 
   {{0x3151015c,0x837a01bd,0xe2000191,0x2fd402e5}},	//   _verschwo, _باتپاقتا, _godis_, _asiátika_, 
   {{0xa8440125,0xcc68023b,0x62920148,0x225b037c}},	//   _эпики_, _ianuari_, _parare_, _qualem_, 
   {{0xd2e902fb,0xc8d4003a,0x82d800bc,0xd9b10113}},	//   _ahunamu_, _телефонл, _geger_, _topaicí_, 
   {{0x93f801e9,0xcfeb0094,0xa3dd00cf,0x00000000}},	//   _ithuta_, _ارسالاڭ_, _hawwi_, --, 
   {{0xe3a201e5,0x42d80212,0x13960068,0x437c0200}},	//   _adapo_, _reges_, _guusha_, _nkwanye_, 
   {{0xe26103d5,0xb2000148,0xffaf0282,0x5c9e00d6}},	//   _rimouski_, _dodis_, _poroporo, _fairsing_, 
   {{0x335f0353,0xc3860056,0x726c005c,0xca52018e}},	//   _kabelky_, _usara_, _mahoro_, _balesela_, 
   {{0x4200018a,0x52d800b3,0x0b7601ac,0x4e7a013c}},	//   _nodir_, _deger_, _mealltac, _ixtisası, 
   {{0xe9c3042a,0xe697002c,0x09cb0140,0x09db055b}},	//   _banelwat, _зайдуу_, _alpombra_, _klageret, 
   {{0xc350000c,0xb29204ce,0x6e9a045e,0x03420117}},	//   _актуалра_, _murahu_, _силиконо, _meresin_, 
   {{0x926d009e,0xe01a01a3,0x5eeb0311,0x83f8020e}},	//   _estou_, _فرنٽيئر_, _ኣስመላሽ_, _ithusa_, 
   {{0x63a20145,0x9317019f,0x00000000,0x00000000}},	//   _klipe_, _nguzo_, --, --, 
   {{0xe3a20076,0xa2000008,0x00000000,0x00000000}},	// [ae60] _clipe_, _codis_, --, --, 
   {{0xb386042d,0x7b5f02da,0x2a290177,0x97200040}},	//   _tsara_, _историја_, _адиҵеит_, _וטלפונים_, 
   {{0x934201c2,0xd6230282,0x737c0129,0xe26c024a}},	//   _facendo_, _aromataw, _akwanye_, _dahoro_, 
   {{0xaf1800ff,0x9c250004,0x8d340061,0x3723020e}},	//   _געקריגט_, _bennadad_, _엠파스지식_, _повесы_, 
   {{0xbfa90092,0x73cc02b6,0xd6b10151,0x3ee302af}},	//   _ストラリア_, _سەكسەننى, _blassagh, _ndayisha, 
   {{0x230f0278,0xa27101e5,0x3bd50378,0x6290041c}},	//   _dipapar_, _akinyemi_, _sandoyar, _andasa_, 
   {{0xc2e0009a,0x3d240013,0x684901a3,0xbaf00349}},	//   _akanabo_, _оларди_, _ليکبا_, _atteries, 
   {{0xb0f000d1,0xc2a40536,0x018906c0,0x00000000}},	//   _সহযোগে_, _атасында, _zabaleny_, --, 
   {{0xc2c100a0,0xec13016e,0xa20002cb,0x0cdf002f}},	//   _sallama_, _çıplak_, _dodir_, _chikishq, 
   {{0xf9220035,0xeb1f00b9,0x922c0061,0x1b6f0043}},	//   _ключевые_, _jalankan_, _무이자카드보기_, _amulumir, 
   {{0xd2000249,0xe2d80065,0x04b200c5,0x565e02a8}},	//   _bilif_, _spielt_, _行政法规规定的其, _basktiji, 
   {{0x41a80156,0xe22500fe,0x00000000,0x00000000}},	//   _געװױנט_, _okuke_, --, --, 
   {{0xdb730074,0x6ef6002b,0x68ea01c5,0xff3a00c5}},	//   _просмотр_, _আিরফুর_, _maandeeq_, _plancher_, 
   {{0x133b0184,0x5c7603d5,0x489d0013,0xf4d703b8}},	//   _atawukum, _harrish_, _халкнинг_, _салайық_, 
   {{0x0e9e0074,0xf4ce023c,0xbfc800a2,0x537b0120}},	//   _капли_, _ختمېدو_, _afrigato, _katayno_, 
   {{0x9200046b,0x92040244,0xc18b037f,0x466c0156}},	//   _codir_, _benissim, _goranboy_, _סהדותא_, 
   {{0x64aa0046,0xf305030c,0xf3ea00ad,0x98e900f8}},	// [ae70] _ئىچمەن_, _kalalik_, _jentik_, _প্রলোভন_, 
   {{0xcc390193,0x72900695,0x0c7a0052,0x12d80176}},	//   _प्रयत्न_, _onlara_, _česnek_, _peger_, 
   {{0x23eb008f,0x420002f6,0x5aa2005e,0xeddc0013}},	//   _alates_, _hilig_, _جەۋلان_, _maskanla, 
   {{0xf39402fe,0x33eb00da,0x5bf10169,0x8c770105}},	//   _انتحاري_, _pretul_, _মহিউদ্দি, _विक्की_, 
   {{0x433d0205,0x937800ed,0xd3270071,0x3eae004d}},	//   _ایماق_, _bulawan_, _کنجکاوی_, _歲阿公也在嘗試網, 
   {{0x92000141,0x72970541,0x00000000,0x00000000}},	//   _sodir_, _prepravl, --, --, 
   {{0x82490046,0x128c041e,0x9bac0350,0x13ce03dd}},	//   _cremes_, _imbalsam, _በይነመረብ_, _provoi_, 
   {{0x569100a7,0xb2a700d6,0xd4770276,0xd29200fd}},	//   _moderaci, _gurbh_, _делосиға_, _cepach_, 
   {{0x4395024b,0xa30c026c,0xc586017e,0xa3550176}},	//   _riesgo_, _romanus_, _maltrank, _uddeler_, 
   {{0x6cbe019e,0x12000258,0x1bf702d3,0x05b1004c}},	//   _канец_, _yndie_, _виделе_, _alagaany, 
   {{0x034001ed,0x638601e5,0x08b801a3,0x434200b7}},	//   _hezekia_, _asaro_, _ربانيءَ_, _bererin_, 
   {{0xa3e1000d,0xf05403de,0xb099029d,0x42920305}},	//   _kiiresti_, _awuseben, _треместр, _omtala_, 
   {{0x39f803fc,0x06ce0155,0x9a510247,0x8fcd041a}},	//   _navarset, _avhandli, _مینرال_, _колосаль, 
   {{0xc68901d7,0x4bfb023d,0xa6eb0177,0x629203d8}},	//   _delegazi, _dimentic, _ажәытәтә, _izradu_, 
   {{0x637f02c5,0x4e930008,0xa3cf0061,0x52910048}},	//   _adhakwa_, _destacat_, _외국어영역_, _awaali_, 
   {{0xcda9019b,0x3b1d030a,0xa1f80204,0x4509005e}},	//   _seminara, _arquipél, _ravitsem, _مۇنۇلارن, 
   {{0x9ae000a4,0x85c80263,0x82000337,0xfdc4016a}},	// [ae80] _بولسوڭدا_, _arabisch, _yedili_, _באדינונג, 
   {{0x68f90257,0xcdd4002e,0x33200418,0x34da021b}},	//   _skipuleg, _oružjem_, _balyoz_, _тонны_, 
   {{0xb29b0190,0x93df0184,0x5dd50153,0xb4b7018d}},	//   _mockery_, _akamubuz, _交響詩篇エウレカ, _perqindj, 
   {{0x932102ef,0x15380200,0xde390240,0xe225008d}},	//   _touye_, _aplikesh, _kakabura, _shukr_, 
   {{0xc2d801c5,0x82000013,0xf200006e,0xddb500ec}},	//   _tegey_, _sodiq_, _filid_, _skandala, 
   {{0x12840212,0xa9f600cf,0x020002f6,0x6c36011d}},	//   _pythian_, _amanamaa_, _gilid_, _descresc, 
   {{0xee0d0036,0x61c90074,0x9d9b0178,0xc0b10497}},	//   _لتقديم_, _роста_, _avantiva, _blameabl, 
   {{0x728d017f,0xc03600a2,0xe0490053,0xbb0d02c7}},	//   _taekwon_, _upatikan, _brengsek_, _versamme, 
   {{0xacf5008c,0x4200022a,0x42d80005,0x030003a2}},	//   _multifar, _kilid_, _spiert_, _प्रिंयका_, 
   {{0x9d710210,0x39cc025c,0xe3a50267,0x676501b3}},	//   _akamutsa, _angerufe, _novajlij, _суркіс_, 
   {{0xdc52042c,0x33a9023d,0x1d05013a,0x02d803e0}},	//   _vratima_, _salvare_, _cadreier, _scheld_, 
   {{0xf3940357,0x0a0a0079,0xdbdc0094,0xe25a048c}},	//   _apisai_, _neparast, _بالبۇلدى_, _aillee_, 
   {{0x42010101,0x629200e0,0x83160272,0xadf5000e}},	//   _altii_, _fiskers_, _asizza_, _reeditet_, 
   {{0xefbb00be,0xc6e00010,0x802f005e,0xafa80037}},	//   _بۇلبۇلدا, _ayibheki, _تەۋھىيدن, _ሂውማኒዝም_, 
   {{0xf2d00320,0xe7d700e6,0x66b00145,0x141d0515}},	//   _ekheleni_, _全州非公有制经济, _jungtini, _vergilio_, 
   {{0x93860316,0x634a003d,0x025b071f,0x5f21002b}},	//   _tsaro_, _generau_, _heylij_, _লালচে_, 
   {{0x120000d6,0xea09028e,0x4290033f,0x237a03dc}},	// [ae90] _uilig_, _motaribe, _holafa_, _avtalan_, 
   {{0x3fce0060,0xe2e404ca,0x934b0176,0x93fa0043}},	//   _بەلگىلەۋ, _arantec_, _gotetsu_, _bbuutu_, 
   {{0xcaad01c5,0x7b670184,0x2073000c,0x973801a3}},	//   _گزارُن_, _ansumira_, _аусти_, _سڀڪجھھ_, 
   {{0x7ea1040d,0xbd9903c7,0xcff90097,0x92b500cf}},	//   _bokriste_, _पिंडदान_, _jántìre_, _dhacha_, 
   {{0x5308027b,0x1a17008d,0xf1c0004d,0xdc7d0437}},	//   _agneḥ_, _теримига_, _不過這件事可能根, _flasken_, 
   {{0x0200007b,0x27ce00a0,0x6d6e021b,0x00000000}},	//   _filie_, _ginshiki, _корейско, --, 
   {{0x1d9002bb,0xe89400ff,0xe58200f1,0x53f90020}},	//   _polecane_, _יאקאבאוו, _repetisy, _fetuu_, 
   {{0xd35403a4,0xed670126,0x627f0032,0x7f740238}},	//   _alheims_, _прибули_, _mipna_, _недоторк, 
   {{0x4dd2004b,0x5596020b,0x430d00b3,0x8a960156}},	//   _baphatla, _ditekany, _bahalar_, _aktivajn_, 
   {{0xa9bc00a4,0x89f7051f,0x6abd0041,0xf3800025}},	//   _amenaça_, _لیموراد_, _шәысҭоит_, _caurā_, 
   {{0x8321020f,0x43ff03db,0xb3b805fb,0xcb25004a}},	//   _aluyi_, _kulonyak, _krivicu_, _буласыз_, 
   {{0x2248044b,0x86080132,0xe13101db,0x337802b1}},	//   _rammer_, _normális, _جەتپەسە_, _babansa_, 
   {{0x9b8a02c9,0x4b34009a,0x6f3d02d3,0x00000000}},	//   _marinesc, _ekuchats, _cirurgia, --, 
   {{0x8201011b,0xb2640243,0x4a430241,0x9c3701d2}},	//   _kotia_, _buulot_, _buddeena_, _chaqchus, 
   {{0x43a800bc,0x63eb02fd,0x3d54008a,0xc6d80092}},	//   _pemalang_, _blaths_, _autapulu_, _が注文しました_, 
   {{0xff850060,0x23a40111,0x1da70366,0xe5190222}},	//   _алгашкы_, _arranghj, _беъча_, _équation_, 
   {{0x715900bf,0xf7d60331,0x837802b1,0x00000000}},	// [aea0] _биробидж, _atgreiða_, _gabansa_, --, 
   {{0x7a9d00b1,0x8be500a8,0xc3a20202,0xcf300210}},	//   _albigens, _hotellar, _ilapa_, _asisakwa, 
   {{0xbde20094,0xec28023c,0xf2900013,0x7c2803d1}},	//   _استارىند, _پيکنګ_, _bolaga_, _dienvidu_, 
   {{0xeba90017,0x67f40264,0xb5c9003b,0x00000000}},	//   _baskytar, _balangig, _bebacash, --, 
   {{0xe5940036,0xafc50321,0xfc4e00c4,0xc3fa01e5}},	//   _ونتمنى_, _zanimivo, _ڪمانڊ_, _gbuuru_, 
   {{0x0b0d006f,0xfc08014a,0x83960097,0xaf560296}},	//   _kompyuta_, _forrássz, _séyìn_, _ringhals_, 
   {{0x92830021,0xaa2700bf,0xd5a3017a,0x927b03ec}},	//   _aimsclay_, _предки_, _akufunay, _anasjell, 
   {{0x49c701db,0x0d680199,0x239400e5,0x229d04e3}},	//   _ءوزىڭسىڭ_, _ngoctanq, _avise_, _snijega_, 
   {{0xddb5005c,0xe30e00c2,0x86850148,0xc2fd00ac}},	//   _ikinyama, _urabona_, _streetpi, _učinak_, 
   {{0x1f5b0117,0x6e090116,0x52d9010d,0xf1a70029}},	//   _andastan, _candlema, _rewel_, _مانۆڕی_, 
   {{0xd26d0434,0x43a20007,0x4572001c,0x620701a6}},	//   _estoy_, _alapa_, _produksy, _mahitahi_, 
   {{0xd2e90198,0x4d2c0169,0x5c150462,0xc2fc0245}},	//   _kariera_, _কলকাতার_, _operties, _naphang_, 
   {{0xb19c0094,0x0c6b0095,0x00000000,0x00000000}},	//   _қайтеміз_, _didudut_, --, --, 
   {{0xa25a0166,0xbaa0028e,0x0751008a,0x3e3400a0}},	//   _willst_, _diskasen_, _asinomag, _bukatuwa, 
   {{0xe1770216,0xcc19024a,0x3bda0460,0x625700d1}},	//   _angarhel, _atuntẹ_, _बोरीवली_, _পেন্সন_, 
   {{0x284e0630,0x298e0374,0x07050366,0x3fac00e5}},	//   _ínfelici_, _маним_, _выçлăх_, _спасова_, 
   {{0xca89002c,0x81cc02a6,0xaf3603cc,0xbc9200af}},	// [aeb0] _hasieran_, _divinità_, _গল্পটা_, _євген_, 
   {{0x03ea06ec,0x39e802e8,0x51f40462,0x06910478}},	//   _moitas_, _anondida_, _anagemay_, _allegaci, 
   {{0x62a60219,0x77bc02c2,0xdb650348,0x00000000}},	//   _ahabi_, _noordeli, _bakulira_, --, 
   {{0x33d7016f,0x9356037c,0xaba402d9,0xbaef00e3}},	//   _запросит, _veteres_, _lusifelo_, _figuratt, 
   {{0xb6f300ff,0x8f5502b6,0x82e2048c,0x22d7041e}},	//   _קארופציע_, _амалдары_, _brained_, _bayless_, 
   {{0x497402bf,0x91d70066,0x3911042b,0xd26c029b}},	//   _afinyele, _тариаг_, _objavlju, _bologu_, 
   {{0x926b0120,0x022a0045,0x00000000,0x00000000}},	//   _herrakal, _мозак_, --, --, 
   {{0xf25a02a8,0xc2900039,0x4ef20157,0xa6610159}},	//   _sekli_, _bolada_, _टोटका_, _адвольна, 
   {{0x93f90058,0x93960005,0x4f22012c,0xa2900181}},	//   _setul_, _berset_, _بوزداروڏ, _kodama_, 
   {{0x9c750138,0x51a70029,0x2202024a,0xef72006c}},	//   _sürede_, _ساسۆکی_, _eetiri_, _abebelin, 
   {{0x4df30723,0x29f30252,0xc5ce0464,0x06e900c1}},	//   _fredadra, _rathogwa_, _barazany, _रोगनिदान_, 
   {{0x5f5d01dd,0xc3060039,0xd74c032d,0x12120025}},	//   _insangan, _jadanik_, _коттеджд, _avehi_, 
   {{0xf8450258,0x230e036e,0xb1e400ff,0x6e870040}},	//   _eartiids_, _almayuq_, _קראאטיע_, _גיאומטרי, 
   {{0xea4100e6,0xa407002c,0xe3f802cf,0xc3210418}},	//   _国务院关于深化改, _nahitaez, _reduz_, _oluyo_, 
   {{0x0396046d,0x62e601a4,0xf20201f0,0xa6e70010}},	//   _litsha_, _akanisa_, _betiri_, _angayitf, 
   {{0xebe40341,0xe2900009,0x7b01015e,0x0202035e}},	//   _videolar, _podala_, _petició_, _cetiri_, 
   {{0x34a502c1,0x526d035b,0x424802ef,0xbdcc03c2}},	// [aec0] _kurangiz, _vstop_, _akimaz_, _amphisba, 
   {{0x427b00ba,0x6da900a0,0xa2920136,0xa62d02fd}},	//   _تێچووی_, _alaihisa, _oltara_, _dhuneidi, 
   {{0xa3f400c9,0x52900160,0x8069009b,0x00000000}},	//   _luutru_, _vodama_, _ekipamen, --, 
   {{0x495000c5,0x4e860156,0x429200e1,0x6d0e00ca}},	//   _innovant, _פילטערס_, _iltara_, _britonic, 
   {{0xfc9300c4,0x7290013d,0x62d900d2,0xc2f60392}},	//   _کاوان_, _homaro_, _dewek_, _chosnadh_, 
   {{0x43170414,0x52da033f,0xb9a1038f,0x3e500278}},	//   _brazza_, _mapelu_, _diskibie, _mukadima, 
   {{0x7f1b0092,0xa2010345,0x45950025,0x7aed0185}},	//   _島南クラブ_, _envios_, _bahushok, _башлауга_, 
   {{0xe3a20170,0x2cea0419,0x02900465,0xa2ee011a}},	//   _ilipo_, _प्रमिला_, _dodaja_, _אופסקס_, 
   {{0x8e38040f,0x69b9029d,0x320003ec,0x7f330161}},	//   _renginia, _доминатэ_, _kodit_, _maksetta, 
   {{0x151701f8,0x0290036a,0x398000d6,0xd87d0222}},	//   _ngirango_, _kidava_, _علاقته_, _nationau, 
   {{0x02a605f1,0x429401f1,0x420106bb,0xeead004b}},	//   _akaba_, _theksoi_, _aotig_, _khathile_, 
   {{0xf3410571,0x98e60238,0x68550033,0xaece0161}},	//   _ieremia_, _картка_, _amizeztg, _драки_, 
   {{0xe3410282,0x433b0264,0x32d8046f,0x275d02ac}},	//   _heremia_, _boyacã_, _agoen_, _مكيفات_, 
   {{0xc794023c,0x5225014c,0x3c6f03c6,0x398d0089}},	//   _ځنډولي_, _ezakha_, _fearten_, _фашизмга_, 
   {{0x0ae900a6,0x42a6032d,0x00000000,0x00000000}},	//   _abatyele, _ekaba_, --, --, 
   {{0x2ee90113,0x02250103,0xfc900400,0x3db50672}},	//   _darkoran, _bhuku_, _allemanu_, _shingama, 
   {{0x4cf702f3,0xf3e100a2,0x5290044a,0x7db602e1}},	// [aed0] _mottagar, _upelelez, _bolama_, _diarmaid_, 
   {{0xca8b0003,0xb443015e,0x52f104cf,0x82d503ed}},	//   _openings, _актуалду, _besithi_, _almoço_, 
   {{0xa76001ea,0xd347011e,0xfc060040,0x87550253}},	//   _белги_, _landwar_, _פשטידות_, _assiliiv, 
   {{0x22ef0104,0x931005ce,0xe2fd02c6,0x2c59032d}},	//   _bedinga_, _tarzı_, _bleiner_, _белгем_, 
   {{0xdf1e00ff,0x6f920148,0x82480207,0x02d8021c}},	//   _רואיגע_, _proximis_, _hukmu_, _cuketa_, 
   {{0x5f5d0362,0x6d150130,0x15cd065c,0x3e3a009a}},	//   _kisangan, _anarkour, _angavuny, _basalusa, 
   {{0x5d9900bc,0xc0bb0468,0x00000000,0x00000000}},	//   _autotrip, _معجزاتو_, --, --, 
   {{0x92ef0220,0x04ae01c5,0x7ec901fb,0x890200f2}},	//   _pulizia_, _samafalk, _dienekes_, _rekvizīt, 
   {{0xd25a0233,0x1f000038,0xe37a0052,0xb20100db}},	//   _pallid_, _бэлки_, _upraven_, _kotid_, 
   {{0xf3940034,0x7c340258,0xe26e00fe,0x429001fc}},	//   _ýmsar_, _burchwer, _kisikisi_, _qolama_, 
   {{0x327f021c,0xc9610165,0x7585010e,0x00000000}},	//   _stanov_, _wainimat, _deretsah, --, 
   {{0x529402fb,0xc2d90240,0xe26e018e,0xc26c033f}},	//   _amokaki_, _lewei_, _hawona_, _kolomu_, 
   {{0x52d8002c,0x020001d4,0x826e0272,0x17b10428}},	//   _legez_, _zilia_, _bawona_, _bliskavi, 
   {{0xe26f028e,0x52000251,0x8225002a,0x824905ab}},	//   _misinari_, _midig_, _okuko_, _iremos_, 
   {{0x7225037a,0x7f270359,0x8bf8007f,0x8200008e}},	//   _nkuko_, _achteroa, _dangoswc, _indil_, 
   {{0xe4a90192,0xc18e0169,0x242b01a3,0x12fe0617}},	//   _통신판매업신고_, _দিনব্যাপ, _پنوهار_, _espigas_, 
   {{0xa2250558,0xa6200192,0xd35900df,0xd6cd0133}},	// [aee0] _akuko_, _헌법재판소의_, _bateaux_, _babahani, 
   {{0x0c5b014e,0x49f80417,0x13410220,0x22fd01cc}},	//   _ekstovi_, _aangesie, _schermo_, _anenety_, 
   {{0xc2900085,0x55d90094,0x34290241,0xde4200fd}},	//   _cilava_, _индексі_, _ashaaboo_, _colaisde_, 
   {{0xd3d90014,0x3dea0192,0x9b470024,0x4c7701fc}},	//   _ጭንቀትን_, _해운대이안_, _সাৱধান_, _garrisi_, 
   {{0x9200000b,0x1bd001ea,0xc30e01e1,0x020000f4}},	//   _silia_, _ایسلام_, _arabana_, _milin_, 
   {{0xc9490147,0xc3eb0269,0x9bfb019e,0x9290018e}},	//   _жаратылы, _platos_, _асфальта, _holaka_, 
   {{0xc201001d,0x456402ec,0xdcd300c1,0x62d40257}},	//   _ultim_, _منصوٝرن_, _वैयेक्ति, _daglegu_, 
   {{0xf05801f4,0xd4aa01c2,0x020000c1,0xd67a0224}},	//   _حقیقا_, _lembranz, _andil_, _annesjum_, 
   {{0x0402025e,0x8591036b,0x82d40034,0x00000000}},	//   _veturinn_, _секторит, _faglegu_, --, 
   {{0x3320003a,0xe63c0227,0x451e02c5,0x24e9011f}},	//   _kimyo_, _dicintai, _asingabh, _соловиов_, 
   {{0x536c032c,0x42540142,0x00000000,0x00000000}},	//   _ataguli_, _लिखेत्_, --, --, 
   {{0x34ff02d7,0xbed6051b,0x77050024,0x11300041}},	//   _redución_, _posilovn, _অসুবিধাৰ_, _исшьыр_, 
   {{0x6f3f04ad,0x62490255,0x8856019f,0x630e034a}},	//   _amogelan, _enamik_, _بدصورت_, _rapazas_, 
   {{0x22e500a2,0x64d504fd,0x09100039,0x126e00f6}},	//   _ugonjwa_, _लडकियो_, _biharamu, _fotosu_, 
   {{0x3305023e,0x71f301fc,0x21590076,0xc404023a}},	//   _pemabuk_, _yamaateh_, _разменув, _hypokalk, 
   {{0xeebe02a0,0xb3020396,0x0fa303c2,0x04120299}},	//   _alábàás_, _arkadju_, _assentor_, _ئەختەر_, 
   {{0x415c0162,0x523900da,0x22a70102,0x548301e0}},	// [aef0] _дастанда_, _drumuri_, _unabii_, _مدیده_, 
   {{0x6d5e0244,0xd2d803ef,0x2dd20074,0x7d1702e1}},	//   _последно, _bukera_, _стиля_, _irishpar, 
   {{0x0b570553,0x0d3002ef,0xc2d80251,0x00000000}},	//   _kultúra_, _atribiye_, _degey_, --, 
   {{0x62000250,0x8d4602da,0xeb0900a7,0x68f000d6}},	//   _cilin_, _интервју_, _proposte, _fiosraig, 
   {{0xe2920802,0x7146016d,0xfd31025c,0x8d380040}},	//   _discorsi_, _ساداقەت_, _entspric, _מתלהבים_, 
   {{0x85310192,0x825300a4,0xe29202ed,0x00000000}},	//   _불가능합니다_, _турмушта_, _botara_, --, 
   {{0x92000082,0xcb95010d,0x83a20334,0x4d8300bb}},	//   _filin_, _beristir, _alape_, _ہیتھرو_, 
   {{0x7c4c0556,0x934d017e,0x82ef0227,0x0a500320}},	//   _incwadi_, _lagetoj_, _telinga_, _fonelana_, 
   {{0x052d04a5,0xde4b01cc,0x35ba005b,0x784d02c8}},	//   _abangath, _anviyāt_, _kawaguch, _sostidos_, 
   {{0x4200019a,0xcf2c02ba,0x2b61010d,0x67810092}},	//   _ailin_, _abathaka, _kesekian_, _蛇竜の上皮_, 
   {{0xc20002f8,0x99c60094,0xc2db0313,0x21f300b6}},	//   _hilio_, _حاقىندا_, _lumuhmeh_, _tamaateh_, 
   {{0xb3200329,0xea44008d,0xf200019f,0x0c5c0182}},	//   _kliyan_, _muddatda_, _kilio_, _soetero_, 
   {{0xd2e601b3,0x4a44015a,0x81d7016d,0x0d3b023b}},	//   _kvinnen_, _addeessa_, _дисила_, _hikilele_, 
   {{0xb38701d9,0xbd98003f,0x5cd20046,0xd201001d}},	//   _fueren_, _cholijla, _cinquè_, _totim_, 
   {{0x50460314,0xfe450156,0xd37a01cd,0x520e01ef}},	//   _барыбер_, _לגלגלותם_, _солгарди_, _датах_, 
   {{0xc9330374,0x937f00cf,0x1a1c0092,0x7be501c4}},	//   _لازملیگی_, _ammalla_, _先輩はミルクまみ, _gyselaar, 
   {{0x2f5b0085,0x1f3a0144,0xd51d0349,0xe27e00e4}},	// [af00] _kilaitan, _bándearg_, _annoverh, _gminne_, 
   {{0xeb26045a,0x82d8022c,0x19b70144,0x00000000}},	//   _dobbelts, _agoes_, _spiairí_, --, 
   {{0x7ec000c5,0x3a09042d,0x729400de,0x52250234}},	//   _本站有权在网站内, _endasina_, _myekeni_, _spekay_, 
   {{0x2dbd01f9,0x12f00086,0x307a0037,0x1625011d}},	//   _angasese_, _logikai_, _የሚያዩት_, _portalul_, 
   {{0x2f46033e,0x0d3b0037,0xb94f0066,0x6344020f}},	//   _закуан_, _የዘወትር_, _eskoriat, _babelwe_, 
   {{0x0c5c00dd,0x36020385,0xae740233,0x23630291}},	//   _cartŵn_, _povlasti, _suicidie_, _iógart_, 
   {{0x08c100e7,0x5320018f,0x720000d9,0x9200033c}},	//   _expected, _eliyan_, _tilin_, _eilio_, 
   {{0xee4e04bd,0xb29000b9,0x56ce024f,0x99cd036a}},	//   _banagala, _gomawo_, _maramani, _takosova_, 
   {{0x23ea0120,0x925a033a,0xbf7a0153,0xb2dd0156}},	//   _ibitte_, _avolja_, _このブログをブロ, _alporti_, 
   {{0xc39401c2,0xe9e300ec,0xf389003a,0xe25d017e}},	//   _aviso_, _валютных_, _бермади_, _altestim, 
   {{0xcc7c01d7,0x8574020f,0x80d400be,0x87bb0482}},	//   _patruns_, _حکومتدار, _توپقو_, _tigreeni, 
   {{0xa4d9016f,0xd51c00d7,0x00000000,0x00000000}},	//   _притаман, _dinontsh, --, --, 
   {{0xdd320101,0x118100da,0x70e400ff,0xe2e9022a}},	//   _miliarde_, _еманчипа, _מאסיווע_, _mediton_, 
   {{0x9305030c,0xef8202c8,0x902e004d,0xcbe20371}},	//   _talamik_, _mancomun, _告訴我們來關閉此, _недоволс, 
   {{0xbd9000c8,0x79e70362,0x00000000,0x00000000}},	//   _bolekane_, _nakosala_, --, --, 
   {{0x7b7904df,0xe6490037,0x9f2d0151,0xe3dd00b3}},	//   _берерди_, _ትምሀርት_, _beseemin, _dellalçy, 
   {{0x4b5a03a4,0xc6c70096,0xda9801c5,0x4fbf0400}},	// [af10] _fundurin_, _abisiray, _takhasus, _abulizio, 
   {{0x823704ac,0xbde00092,0xfdc90067,0xf2900105}},	//   _sarja_, _現在の読者数_, _baahirda, _kolana_, 
   {{0xc9e7048f,0xc58f0526,0x8394028a,0x1249010d}},	//   _bakotala_, _ditempuh, _spishi_, _ciamik_, 
   {{0x3e5201cb,0x830d04ca,0x6b5a0075,0xd422004d}},	//   _esibambe_, _achapar_, _hundurin_, _挑逗首爾尺度街頭, 
   {{0x3eb103ef,0xc6b1008f,0x2504018d,0xe20000c0}},	//   _anastase_, _बपौती_, _ይተሓለወለይ_, _lilim_, 
   {{0x8d0e0338,0x13f203de,0xebf700ee,0x5c5a02d5}},	//   _britanic, _ebalulek, _албаныха, _kadunud_, 
   {{0x7b0700b4,0x164d021b,0x227804fb,0x8e3902e7}},	//   _лидерий_, _домашнег, _darnos_, _makakura, 
   {{0xc38f03f1,0x545200d4,0x6d9701d5,0x4c9302b9}},	//   _obstaráv, _liedersk, _مجسٹریٹ_, _نادار_, 
   {{0x65b0038b,0x5e3002ac,0x511e03b6,0x00000000}},	//   _fungsiny, _ولقاءات_, _sẹẹli_, --, 
   {{0x629003d9,0x029002bb,0xea900408,0x5560033e}},	//   _bolana_, _podana_, _fidiramb, _naimembý, 
   {{0xd3010377,0xcb6c026f,0xef5f0013,0xe6ff0206}},	//   _detalii_, _اقسيعان_, _kasalxon, _celulití, 
   {{0xd20003b2,0xb39401bc,0x790a0128,0x6f5600ba}},	//   _india_, _winsum_, _канадали, _نێرگزی_, 
   {{0xe7b102ac,0xdea601db,0x72870251,0x8ed70137}},	//   _الضعيفة_, _توبەدەگى_, _galisay_, _наргиа_, 
   {{0x62d90058,0x32640120,0xef3002af,0x28f703a0}},	//   _lewes_, _duulut_, _bimutaba, _dikanyed, 
   {{0xd25302f2,0x251d0060,0x00000000,0x00000000}},	//   _calentam, _پاراتتان_, --, --, 
   {{0x4a1b036f,0xc20002f6,0xb224022a,0x71c602cf}},	//   _najbolja_, _silid_, _okikan_, _cobrança_, 
   {{0x13550312,0xc2480518,0xd4010318,0x0539004e}},	// [af20] _keleier_, _hukmi_, _fetohiak, _matambal_, 
   {{0x5fa403b2,0x9e4d0013,0xc2000129,0x0af10065}},	//   _december_, _москвада, _bilie_, _einricht, 
   {{0x1875005d,0xf6f000c5,0x3292020e,0xd2d804df}},	//   _andinogu, _安全监管总局_, _botawa_, _ahmetj_, 
   {{0xa29000ea,0x7f240359,0x2b6201fb,0x200a0061}},	//   _volana_, _vrouwenp, _decesion_, _기후변화에_, 
   {{0x2bf300d1,0x344101de,0x05aa001a,0xe2d90122}},	//   _কম্পনাংক_, _мұздай_, _orchideá, _cewet_, 
   {{0x070700f5,0xebe40548,0xccd9029d,0x3a590205}},	//   _гурланды, _trivsels, _прочесул, _шарафутд, 
   {{0xd691012b,0x1b8900e6,0xeb31025e,0xaaf00268}},	//   _polecaci, _第六十三条_, _almanaks, _arteries, 
   {{0x83ea02ef,0x120001c5,0xe4dd0041,0x13170021}},	//   _abitre_, _jilib_, _иреиҕьыу_, _ariamay_, 
   {{0x939600c7,0x42000488,0x00000000,0x00000000}},	//   _bersut_, _zilie_, --, --, 
   {{0x6378055d,0xd2ce00d7,0xc24900ec,0x9dad02e1}},	//   _bulatan_, _busoang_, _kremas_, _chinnfea, 
   {{0xcd26037c,0x26f70132,0x7290032d,0xfb780065}},	//   _opentype_, _manapság_, _bolaoa_, _autofahr, 
   {{0x16a901fc,0x2ee60013,0xad890053,0xb11004df}},	//   _battaroy, _нистон_, _gedebage_, _bioseriş, 
   {{0x0395023d,0xdc53032d,0xe2d900ab,0x52e9018b}},	//   _riesco_, _boiteko_, _dewes_, _cariera_, 
   {{0x92d502c5,0xca7203c2,0x53790243,0x62b50694}},	//   _kuponda_, _faultles, _garassa_, _okacha_, 
   {{0x5d9e00a6,0xe6aa0064,0x73a201da,0x720701f3}},	//   _ambeleke_, _ажого_, _llapi_, _koloniál, 
   {{0x0c6003b5,0x21fc00fc,0x865101f6,0x0340003e}},	//   _lucunya_, _murapmeh_, _avskaffi, _lebelwa_, 
   {{0x82b50200,0xa3f400a6,0xd20102c9,0x88fe003d}},	// [af30] _akacha_, _efuthe_, _invins_, _compreng, 
   {{0x38c004dc,0xb1d700e7,0x9786019b,0xd58601ad}},	//   _کارگێڕی_, _abiesbay_, _паэтаў_, _capelinh, 
   {{0xa3f9006d,0x227802b2,0x9a030177,0x91700039}},	//   _metus_, _etterpå_, _аҭыҧҳацә, _oposizio, 
   {{0xb9f2006c,0xe56601ea,0x6f360387,0xffff0126}},	//   _abaholwa_, _тилхат_, _resultna, _адвокаті, 
   {{0x020100fe,0x826c0183,0xd503026c,0x4f9e0609}},	//   _sotia_, _daholo_, _地圖實驗室_, _premiado, 
   {{0x62010205,0x45900055,0x82e9017c,0xe290008f}},	//   _lotin_, _traffich, _variera_, _endaga_, 
   {{0x86240564,0x53ea00c1,0x803b00a3,0x5747002b}},	//   _pamanifö, _sontak_, _sistnemn, _যোগআমাদে, 
   {{0x95e20121,0xe04a0103,0x609600bc,0xd2900362}},	//   _categorí, _maereran, _هاوایی_, _kolala_, 
   {{0x12cb02d4,0x931703ff,0xac7f0046,0x7e570515}},	//   _stadas_, _kauze_, _bressol_, _pinciate_, 
   {{0xb5e2046b,0x6de002ac,0xf02101b0,0x00000000}},	//   _categorï, _الرهيبة_, _digembro, --, 
   {{0xc00800ff,0x42250362,0xcc080141,0xddb904a4}},	//   _רעסעסיע_, _akuki_, _портлаши_, _buanacha, 
   {{0x427200ae,0x745c018d,0x79ed02c1,0xf29001f0}},	//   _akagotom, _ብባህርያቱ_, _bakimara_, _lolama_, 
   {{0x658c0013,0x3e1b0026,0xa3aa02ac,0x02fd00e6}},	//   _булмайди_, _ingescha, _لكنني_, _limiter_, 
   {{0x227e02a7,0x62000516,0x3c550061,0x7c600386}},	//   _flinte_, _endin_, _식품의약품안전청, _cucunya_, 
   {{0x7d84003b,0xef8802ba,0xf3d703f5,0x2d99059c}},	//   _abhekise_, _моликият_, _critério_, _stellpla, 
   {{0x727d0360,0x424800b7,0x4b4a018d,0x4290044a}},	//   _aplikaci_, _ikimiz_, _ዘገርምን_, _bolala_, 
   {{0xe8da0268,0xc2240014,0x825a000d,0xf3f9022c}},	// [af40] _esignedd, _shikon_, _kallid_, _betus_, 
   {{0x93f90288,0x1db602fc,0x5a3500b5,0x5e250311}},	//   _metur_, _akanyama, _hesaitép, _ፍትሓዊት_, 
   {{0x586f0234,0x437900d9,0x00000000,0x00000000}},	//   _itẹlẹ_, _varassa_, --, --, 
   {{0x23f90082,0x626c057f,0x3aa40176,0x90570374}},	//   _fetur_, _amkon_, _bechibon_, _қирилиб_, 
   {{0x33f90224,0x63400252,0x3dab0388,0xcfe70169}},	//   _getur_, _bebelwa_, _assicura, _ভাসমান_, 
   {{0x13a20298,0xb341011b,0x82010414,0x00000000}},	//   _moapa_, _bilembo_, _motio_, --, 
   {{0x1dc400be,0x3254002b,0xc0b702d5,0x79bf0403}},	//   _تروللەيب, _কতক্ষণ_, _पुरुँख_, _fanerite, 
   {{0xc27e0082,0x93d70284,0xd3ea03c8,0x327f013d}},	//   _amince_, _kritéria_, _montok_, _atenco_, 
   {{0xa395033f,0x3cbd0040,0x483b0037,0x17bc041a}},	//   _fiesio_, _impaired_, _የመዋቅር_, _пристрою_, 
   {{0xfffe00d1,0x05970003,0x22920220,0x69a800d7}},	//   _অনানুষ্ঠ, _versterk, _dotata_, _суверенл, 
   {{0x33f90212,0x252d0188,0x1efc0109,0x32b100de}},	//   _vetus_, _abanyath, _konverze_, _bumdaka_, 
   {{0x7f17031a,0xe2fc0220,0xe3100262,0x4fc80148}},	//   _buadhann, _grigio_, _abrayly_, _habitato, 
   {{0x629e0035,0x5a6900ae,0x52010083,0x5c6004fb}},	//   _никах_, _akagomba_, _divins_, _escucha_, 
   {{0xbe1b01aa,0x62010058,0xb42701d9,0x940a02d4}},	//   _angescha, _iltis_, _versioun_, _soluziun_, 
   {{0xea6200c5,0x532002ff,0x317d0040,0x6e3b0229}},	//   _制定本规定_, _aliyen_, _ניטור_, _oturacaq, 
   {{0xe3f90034,0x320000c3,0xb9aa00d0,0xb3e90256}},	//   _betur_, _milia_, _хонин_, _burtiski_, 
   {{0xf23702f3,0x785e0041,0xc71d04a7,0x72ca0365}},	// [af50] _varje_, _нызқь_, _arquipié, _svody_, 
   {{0x128704bd,0xe855018d,0x00000000,0x00000000}},	//   _kuekene_, _parathën, --, --, 
   {{0xe27f036f,0x33960034,0x4e460322,0x00000000}},	//   _krenuo_, _ferskt_, _baraziga, --, 
   {{0xd2900686,0x7a35005d,0x2836028a,0x00000000}},	//   _indaba_, _hesaitér, _ناوليٽ_, --, 
   {{0xf6d7028a,0xf34002a2,0x52000304,0xfdbd0455}},	//   _kukamatw, _bubelya_, _sidia_, _vinaigre_, 
   {{0x735000c7,0xb849018d,0xa3a2000d,0xa17f0445}},	//   _konsepsí_, _ነገራውን_, _peipsi_, _espanhol, 
   {{0xf3f90075,0xbb640362,0x13f8019f,0x0ae601f4}},	//   _setur_, _akotinda_, _ruhusa_, _soddalas, 
   {{0x01d500ff,0x41df018d,0xd2c503de,0x62da0497}},	//   _סארקאסטי, _ኣማንኤል_, _igolide_, _arrear_, 
   {{0x42a6049b,0x62de029f,0xc3940085,0xacb9005e}},	//   _ukaba_, _autorov_, _ovisa_, _қәпәс_, 
   {{0x127f0259,0xc20001fb,0x23f90034,0x7097014f}},	//   _blandt_, _filia_, _vetur_, _времену_, 
   {{0x72d8025c,0x022900bf,0x314f01cf,0xf87801f6}},	//   _spiele_, _торговые_, _vestigio, _barnesju, 
   {{0x02000108,0xe95a059f,0x0ea702e1,0x12c001f2}},	//   _silih_, _qëndrues, _bialainn, _үнсал_, 
   {{0xd3ea0315,0x2fcd03f1,0x6e510271,0xc9d10179}},	//   _abitwe_, _najdrahš, _foreløpi, _pobemast, 
   {{0x5396001a,0x73f80556,0x52fd00ce,0x225d0285}},	//   _persze_, _ithuba_, _dominer_, _bisengim, 
   {{0xd2ee022a,0xa3eb007f,0x4aaa0192,0x53030516}},	//   _sulfin_, _brathu_, _halverwe, _relatit_, 
   {{0xc3f90075,0xfa1e0128,0x6fe0002b,0x206201c7}},	//   _petur_, _учқичлар, _বিএমআই_, _bayramyn, 
   {{0xda6200da,0xc639026c,0x590c004d,0x43dd0151}},	// [af60] _сортитэ_, _sadipsci, _唐宮蒙古烤肉_, _bigwig_, 
   {{0x42000212,0x67850055,0xb5360322,0xe9cd0299}},	//   _filii_, _travagli, _abiyahuz, _ئەملىيەت, 
   {{0x3be300c7,0xb1e1028c,0xcbc80012,0xc63a00e6}},	//   _biletlar, _राउरे_, _सकतीमान_, _范玮琪爆舅妈在地, 
   {{0x6c090088,0x927e00e4,0xd1b70187,0x62010198}},	//   _proposa_, _gminie_, _malhação_, _motim_, 
   {{0x7729008e,0xd2250252,0xc0e401dd,0x26a8032d}},	//   _adaptatë, _nkuku_, _etincell, _сыбарлан, 
   {{0xc2240155,0xac700139,0x82250558,0x1577014a}},	//   _ifokus_, _adhrigu_, _ikuku_, _karosszé, 
   {{0xd4850452,0x020000ad,0x0d55008a,0x4c600626}},	//   _शेजारी_, _indit_, _memberid_, _tabulka_, 
   {{0x14220012,0x62000418,0x99fd000a,0xae56002c}},	//   _घुमबा_, _gidin_, _appakaat, _шастины_, 
   {{0x5e9802f3,0xc1850449,0x64d50106,0x3343002e}},	//   _faktiskt_, _nezaobil, _लीबिया_, _odredio_, 
   {{0x5982002e,0xe80c00bb,0xb3cb0040,0x470b00bb}},	//   _važnosti_, _چیزيں_, _ולשפר_, _اکیاون_, 
   {{0xa4770057,0xc2a6004f,0xe654012b,0xb2da00dc}},	//   _dikekalk, _ekibu_, _planszow, _sapelu_, 
   {{0x23ea02d8,0xb6bd0177,0x00000000,0x00000000}},	//   _rontok_, _символны_, --, --, 
   {{0xbb0801b9,0x637102c6,0xe28006a6,0xc844017f}},	//   _adisione, _aberplym, _emukele_, _atulersu, 
   {{0x627f0264,0x926c01c5,0xdec2019b,0xa883016f}},	//   _trento_, _bilood_, _портам_, _подвір_, 
   {{0x02250558,0xa0cf03c6,0x98310204,0x127801bf}},	//   _akuku_, _alkohoal, _osamaksu, _barnas_, 
   {{0xf035031f,0x145b02d3,0x26aa0184,0x820000a8}},	//   _sekretær_, _endereço, _bakemezw, _andit_, 
   {{0x88730041,0x6354015e,0x4cf50044,0xddf10212}},	// [af70] _анашьҭым, _galetes_, _rendered_, _vindicta, 
   {{0x4f28024d,0xb30d00ac,0xd8530332,0x924a0347}},	//   _nebezomn, _tribina_, _capriles_, _tsumeb_, 
   {{0x67bc0065,0xf200028c,0xab610178,0xb20002f9}},	//   _angezeig, _pidin_, _ताडने_, _endis_, 
   {{0x220001f0,0x49db0414,0x00000000,0x00000000}},	//   _bidio_, _kipeleke, --, --, 
   {{0x3c52002c,0x70dd014a,0xb9ef03a6,0x92ca048e}},	//   _kontuan_, _پیپرز_, _hasigara_, _stides_, 
   {{0x227e003b,0xa3a10425,0x5dfe0066,0x06080088}},	//   _alinye_, _بیرخانه_, _momentua, _кумаркан, 
   {{0xba610272,0x4290000d,0xb0d80037,0x1f3a0226}},	//   _abalimus, _aidata_, _ቀደምትነት_, _bakumuka, 
   {{0x620002a0,0x5290003f,0x53ea0255,0xadfd0113}},	//   _fidio_, _bidata_, _rootsi_, _صلاته_, 
   {{0x4a2d027c,0x1200007b,0x47b902d7,0x627e0263}},	//   _الهدا_, _ridin_, _personax, _klinkt_, 
   {{0x4409000c,0x627e014c,0xde9900ba,0xefd3024a}},	//   _томограф_, _elinye_, _زبڵدانی_, _olusọtan_, 
   {{0x2bdf0125,0xd200015b,0x127f01d1,0x33950446}},	//   _gelenler, _biliv_, _planet_, _opaski_, 
   {{0x3dfe01f1,0xda860452,0x00000000,0x00000000}},	//   _komentua, _kranggan_, --, --, 
   {{0xe200055f,0xf94c0192,0x320002dd,0x8d9f01fc}},	//   _indir_, _motorste, _fidil_, _tengelet_, 
   {{0xf2010286,0x59ef0687,0xfc600116,0xbf2d0462}},	//   _ontie_, _basigara_, _bestows_, _alottsha, 
   {{0x720002d5,0xdfa40233,0xfa5200d6,0x4e1f0092}},	//   _andis_, _recenser_, _thángtha, _最近の悩み_, 
   {{0xc9830238,0xb278026c,0x2f4900e6,0x23bb00bd}},	//   _районної_, _carnis_, _环氧玻璃鳞片防腐, _cravers_, 
   {{0x7dab02ee,0x1a9a0128,0x63a300bd,0x00000000}},	// [af80] _assigura, _тўпни_, _clype_, --, 
   {{0x83a903c4,0x9a8a0083,0x242200e6,0xb6ba0322}},	//   _анунға_, _alpiniss, _行政区域名称_, _bagahuri, 
   {{0x125a02c8,0x59e00461,0x13200455,0xd42b01b9}},	//   _fallou_, _sostengu, _avocats_, _reaprann_, 
   {{0xd16c010f,0x0919008c,0x937f0282,0x0200022c}},	//   _истодаан, _tractand, _hahapia_, _pidio_, 
   {{0x52cb01f6,0x66020211,0xa2000150,0xadb6036d}},	//   _stades_, _sellaisi, _lidim_, _charbaid_, 
   {{0xf37c0553,0x42d30062,0x620001b0,0x00000000}},	//   _moravce_, _dalotlh_, _andir_, --, 
   {{0x9c770117,0x8292017c,0xd379036b,0x00000000}},	//   _fulumap_, _skratt_, _подземна_, --, 
   {{0x13170438,0xe2da00df,0x7db60013,0x239402a0}},	//   _wauza_, _erreur_, _шахсни_, _awise_, 
   {{0xd49b028a,0x53eb023e,0xadbe018d,0x5290026b}},	//   _افرادي_, _nyetel_, _ደገፍቶምን_, _enlaza_, 
   {{0x60cf04cf,0x9395030d,0x0e4a0311,0x3d12028b}},	//   _kanobhal, _abasov_, _ንሰብኡተንን_, _nderavir, 
   {{0x09d703c6,0x6d3f00d1,0x00000000,0x00000000}},	//   _postkoad, _শুনাবলৈ_, --, --, 
   {{0xb29001a7,0x13f10044,0x88e3020a,0xa3a202bb}},	//   _tilata_, _ordering_, _королі_, _klipy_, 
   {{0x9b77006c,0xbaeb009a,0x02de02fb,0xb26400d9}},	//   _наслҳои_, _شرعیاتو_, _tohoatu_, _muulle_, 
   {{0x3a03017d,0x2eab02eb,0x00000000,0x00000000}},	//   _このブログの読者_, _шведүүд_, --, --, 
   {{0x3e4e02be,0x76340130,0x020101f4,0x0202022d}},	//   _pananala, _adunvani, _botir_, _arrià_, 
   {{0x645b0145,0xb30e034e,0x52900134,0x5a2604fe}},	//   _установа, _achataq_, _didara_, _gauchist, 
   {{0x1201028d,0xbe4e005b,0x00550076,0x47540321}},	// [af90] _antie_, _havaiana, _passagen, _paliativ, 
   {{0x7342017e,0xc63305b8,0xe2eb0478,0x82d804e3}},	//   _indekso_, _granskni, _abantes_, _uzmeš_, 
   {{0x327f04c0,0x93780241,0x97aa054d,0xb0b6051f}},	//   _amanne_, _amaanta_, _latterli, _هامبۆرگ_, 
   {{0x3f2500fd,0xdc5e0005,0xcc0d0038,0xc2000217}},	//   _bharanta, _enstagl_, _фотокүрг, _vidie_, 
   {{0x5b0a00e9,0x5317006f,0xa26c002a,0x4f5d04df}},	//   _enspekte, _mauzo_, _ochoro_, _antantan, 
   {{0x084a0141,0x09f700b2,0xe3790198,0x92900016}},	//   _бошка_, _amanamna_, _fetalna_, _rilata_, 
   {{0x566201bd,0xb2cd000b,0xc26c0353,0x8d93020f}},	//   _петрогли, _coolmum_, _polohu_, _babesele_, 
   {{0x89e400c6,0xd8e40034,0x5f4a055f,0x829103ec}},	//   _tilfelle, _tilfellu, _mensupla, _braktis_, 
   {{0x335d048c,0x427f00ff,0x94d801e4,0x42000418}},	//   _bagging_, _atendo_, _नन्दकिशो, _kilit_, 
   {{0x975e02c2,0xe6760022,0x97620060,0xe2060045}},	//   _wysiging, _насыров_, _يندىستان_, _ђинђића_, 
   {{0x346a017e,0xb02103ff,0xf1fe027c,0x49d801f6}},	//   _akademio_, _vygenero, _andingom, _austland, 
   {{0x02e300fd,0xc02103a2,0xbb9e0096,0xfca40374}},	//   _asainte_, _wygenero, _anahagar, _суртинг_, 
   {{0x2b1b023c,0x2f1f004a,0x81c302ea,0x4f2500ca}},	//   _انډيوال_, _avgustta, _поводи_, _charanta, 
   {{0xd8c1008d,0x895f00f0,0xf5bd024a,0xe2b901c4}},	//   _айланиб_, _fotorece, _apakòkòr, _herdenk_, 
   {{0x520103ba,0x1bb90213,0x554f0098,0xb0aa0234}},	//   _untie_, _берега_, _gummistø, _àfèjìètè, 
   {{0xc26c002a,0xa3510572,0xb25b0286,0xdf5d006a}},	//   _achoro_, _मछ्ली_, _sesla_, _mitantan, 
   {{0xa200028e,0xa15b00e7,0x92fe0258,0x4d3a0418}},	// [afa0] _hilim_, _ailortay_, _flugge_, _ilahiyat_, 
   {{0xd2000249,0xbd6f02ac,0x8f630193,0x63eb0055}},	//   _kilim_, _احكام_, _kekasihn, _abatte_, 
   {{0x9bf000ef,0xa3ec0758,0x33f90153,0x00000000}},	//   _بلبلان_, _asemelik, _総合ポイント順_, --, 
   {{0x6ea700c7,0xf0270156,0x6dad017f,0x1f25036d}},	//   _клапанна, _געמעל_, _bugtillu_, _pharanta, 
   {{0x1c3f02b6,0xdd840065,0xf2c9022a,0x2225002f}},	//   _القايمىن_, _arbeitet_, _konfliti_, _chakin_, 
   {{0xd7590193,0x6ec70008,0x326402f6,0xf9430195}},	//   _निर्धार_, _laborals_, _isulat_, _killebre, 
   {{0x5ffa0351,0xd193022f,0xbe4200f3,0x00000000}},	//   _акатуй_, _баланезі_, _ngabakwa, --, 
   {{0x24850570,0x72d9007b,0xe8cd00e6,0x4277014e}},	//   _सुदामा_, _fifety_, _爱可以点亮整个世, _размене_, 
   {{0x668c00c1,0x120001b9,0x615b0107,0xa2ca06e5}},	//   _नादात_, _pilil_, _يساري_, _himdyk_, 
   {{0x527f02e5,0xb9ca04b2,0x7250011d,0x2b0c002c}},	//   _ateneo_, _tradesme, _чедат_, _буцна_, 
   {{0xc225014b,0xb9eb05f2,0xf34800a5,0x00000000}},	//   _abekii_, _amenábar_, _tanevai_, --, 
   {{0x2a600063,0x0e4f02f6,0x62d4015e,0x72d8016f}},	//   _تخصيص_, _kinalama, _jardí_, _lesning_, 
   {{0x67170475,0x429e01cd,0x6a67002b,0x597a0008}},	//   _запустит, _дилаш_, _গৌরনদীতে_, _кризисте, 
   {{0x7e910486,0x6200012d,0x3ef20188,0xae450488}},	//   _editovat_, _tilim_, _abavilap, _garlaicī, 
   {{0xae030125,0x83170238,0x53a9031a,0xe53900aa}},	//   _берилмез, _krenking_, _dalabrog_, _katambal_, 
   {{0x3225032e,0x02a00242,0x9c16051e,0x45de0311}},	//   _thakin_, _klubun_, _sobremes, _ኣይስእንን_, 
   {{0x2c800145,0x503200d2,0x211102b9,0xda0a0100}},	// [afb0] _меней_, _andeprok_, _ڈھیری_, _dolazila_, 
   {{0x6f5d036c,0x3d8a025e,0x07e30037,0xb24900fc}},	//   _fitantan, _takmarka, _ዩኒቨሪስቲዎች_, _musmo_, 
   {{0x7f6000d6,0x457d02d3,0x53f80014,0xef5b0311}},	//   _logainmn, _подразби, _banues_, _ዓቀይታይ_, 
   {{0x534402f0,0x19ec0058,0xff260156,0x6c6a01d2}},	//   _babekwe_, _valikosa_, _ליריקס_, _cautley_, 
   {{0x6779006c,0x23470305,0x25f40156,0xd5d702d3}},	//   _abakhung, _vandrar_, _דעביוטיר, _таленти_, 
   {{0x59c004ea,0x0b0d012d,0xc24f034f,0x22d80439}},	//   _punduhde, _kompiuta_, _banempem, _mukela_, 
   {{0xe3870067,0x663c0357,0x024901d7,0x527f0014}},	//   _afarsu_, _dikiseni, _gremis_, _planit_, 
   {{0x220004cc,0x43eb003d,0xeede0183,0xb3eb004f}},	//   _cilij_, _abatre_, _amaharan, _faatee_, 
   {{0x3c5b0499,0x1a0e020e,0xe38802fe,0xda9300d2}},	//   _galulue_, _bahalale, _amayuda_, _dibikeun_, 
   {{0xa27f001f,0x2200015b,0x72620125,0x4ab900c3}},	//   _amanee_, _pilim_, _dalaşgär_, _servanda_, 
   {{0xf2ca039d,0x81cb0061,0xa39601e7,0x7ae4039e}},	//   _londwi_, _부가서비스_, _desser_, _krydderb, 
   {{0x71d700a7,0x4bee0213,0x8d950085,0x2b9502af}},	//   _аренада_, _карон_, _tubetube_, _murindir, 
   {{0xc3ce01e5,0xdcf00235,0x89b50163,0x905a0291}},	//   _ibanirẹ_, _avināśī_, _leghaték, _تسافر_, 
   {{0x9a0a04f2,0x503c077b,0x11860040,0x0a4300d7}},	//   _banbient, _coleccio, _אברהמי_, _керетеге, 
   {{0xfc5c033a,0x98f8014f,0x8a84018d,0x02ec010d}},	//   _elettro_, _династиј, _ዝደጋገም_, _स्वीस_, 
   {{0xf200002a,0x6fd2022b,0x060a02aa,0xcece0507}},	//   _midia_, _familjur_, _neoficiá, _tarikann, 
   {{0x92cb0033,0x362a034c,0xdf78008f,0xf2070132}},	// [afc0] _stadis_, _фанагори, _चाँदवली_, _finomság, 
   {{0x01450040,0x850b0061,0x0b950464,0x2cd900d1}},	//   _קואוצ_, _대량살상무기_, _kurindir, _সূঁতাৰে_, 
   {{0x32900043,0xe5a900b4,0xa6e5014e,0x00000000}},	//   _endala_, _перикол_, _владари_, --, 
   {{0x375504a2,0x4ed901db,0x00000000,0x00000000}},	//   _fatídico_, _ىرىلعان_, --, --, 
   {{0x62270026,0x320002db,0x76f60158,0xf0ad0024}},	//   _전원주택펜션_, _aidia_, _बंधवना_, _ট্ৰিবিউন_, 
   {{0x50b400da,0xd2d90195,0x6a0003db,0x6a3f0244}},	//   _импресия_, _bainnse_, _kwesigid, _пчеларст, 
   {{0x7288042f,0x367106dd,0x42ca0272,0x6f320074}},	//   _eglagani_, _prodikti, _atalosi_, _joustava, 
   {{0x22000429,0x3290019f,0xe202008f,0x55f80419}},	//   _bilik_, _wilaya_, _aprill_, _रिसोर्ट_, 
   {{0x3200023e,0xc27801e5,0x61c1019e,0x4c5f03dd}},	//   _cilik_, _atunto_, _андрэеўс, _pastrim_, 
   {{0x820000a2,0xec9e0455,0x0b1102a8,0x56ab00e6}},	//   _fidia_, _analogiq, _gassijie, _凉州区火车站街街, 
   {{0xed03017d,0x09f304b3,0x0fd500a4,0x4201005a}},	//   _最終更新日_, _spagnole, _буларды_, _botiv_, 
   {{0xe2010398,0x0f5f0441,0xa3ea0288,0x0c0a019b}},	//   _motiu_, _podateln, _tsitau_, _ўключае_, 
   {{0xf20000bc,0xd69c025e,0xf643002f,0xbdab02ee}},	//   _bilih_, _fangelsi, _atikujti, _assikura, 
   {{0xe3870250,0x5da602ec,0xb6ca009a,0xc200012c}},	//   _milionë_, _گى۪وو_, _acwangci, _bidii_, 
   {{0xf1e10193,0x25cd042a,0xa26d0256,0x83130220}},	//   _ठाकरे_, _angaguny, _notikusi_, _mancata_, 
   {{0x43070257,0x766a0061,0x828c001a,0xc17e010b}},	//   _nemandi_, _시작하면서_, _علومِ_, _ikgathol, 
   {{0x5e920368,0xba0f0372,0x08e30309,0x5d470209}},	// [afd0] _портала_, _ailsefyd, _tutmuşdu, _annaaneq, 
   {{0x928700ce,0x02900033,0xc5c90037,0x702602eb}},	//   _anlinny_, _midada_, _ትዕዛዞች_, _малчдыг_, 
   {{0x934b003c,0x02c80022,0xa3a30145,0x00000000}},	//   _kalebet_, _infolib_, _slypi_, --, 
   {{0x8bc40803,0x7bfe034c,0x037801ad,0x66360219}},	//   _bicyclis, _зонасынд, _gulayan_, _bhenjami, 
   {{0x99f8012c,0x6200033f,0x32cb0013,0x9a65023a}},	//   _muhimana_, _hilii_, _egadir_, _šampansk, 
   {{0xc291044d,0xc819026f,0x384200c8,0x002b00f4}},	//   _itaali_, _ءوسسىن_, _элеккесә_, _askellek_, 
   {{0x238a04c7,0xbb8e0192,0xc2a60288,0xfc7d01f1}},	//   _француск, _입력해주세요_, _ekabi_, _presion_, 
   {{0x73a501b4,0x3f2e00d1,0x827f0400,0x2b880061}},	//   _verskuif_, _নলিচা_, _amance_, _포토샵으로_, 
   {{0x6553020f,0x9828028b,0xe9d9021b,0x72d50034}},	//   _عبدالبار, _ганрацәа, _mainosta_, _faglegt_, 
   {{0x0a8f02ec,0x72cb0311,0x72900308,0x22900140}},	//   _taliyaan_, _ዘይሓስቡ_, _didada_, _hilaga_, 
   {{0x52900085,0xb2b901ac,0xd201018d,0xc3890188}},	//   _kilaga_, _bradach_, _motit_, _awuyona_, 
   {{0x8e6601ec,0xb7b000af,0x51dd0061,0x00000000}},	//   _فروهر_, _ремонтно_, _전체상품평_, --, 
   {{0x32fc0151,0x31aa0126,0x034701a6,0xc312049e}},	//   _monger_, _патогенн, _peketua_, _bábika_, 
   {{0x22fc01b6,0x72c5033e,0x537c0279,0x82e9016b}},	//   _longer_, _follaje_, _horaire_, _rediyon_, 
   {{0xa37c0804,0x225b0568,0x2c7d0082,0xc9580465}},	//   _forgery_, _vesle_, _katsina_, _poslovne, 
   {{0x727e03ae,0xd849018d,0x92bc00f2,0x03ea00fe}},	//   _sminke_, _ነገርውን_, _glabāšan, _kaitae_, 
   {{0x439404cd,0x2d7d01db,0xae3c0040,0x52c50170}},	// [afe0] _ovisi_, _اتىسىپ_, _רזולוציה_, _agolide_, 
   {{0x65460309,0x89b000b5,0x42900284,0x33ea0342}},	//   _başlayıb_, _hendague, _milada_, _ositou_, 
   {{0x5bdf050a,0x439e02d9,0x20b001be,0xe30d0397}},	//   _nedenler, _maupenei_, _धातुको_, _asibona_, 
   {{0x8200015b,0x02fc02c2,0xf3ff0403,0x3982021b}},	//   _silip_, _jonger_, _bolongak, _kirkossa_, 
   {{0x620101be,0x17a00169,0x4225004a,0x92c500de}},	//   _fotit_, _আড়ালে_, _ayakka_, _egolide_, 
   {{0xd0080153,0x97a70043,0x0e98002b,0xb97601a3}},	//   _ご無沙汰しており, _ayettani, _যথাসময়ে_, _چنبڙيا_, 
   {{0x72b80059,0x53f80369,0x9fc30156,0xf40e00d7}},	//   _символич, _palua_, _הקבֿרות_, _gahrmann_, 
   {{0x496d00f5,0x2029029d,0xa394018a,0xb0c9024c}},	//   _вавилона_, _нетедэ_, _gwisg_, _iddaħħal_, 
   {{0xb5250326,0x185c0329,0xfc7d0016,0xc27b0028}},	//   _chisungo_, _etranzer_, _malsano_, _musharax_, 
   {{0x41950030,0x8eea0037,0x1c5204ee,0x487c0282}},	//   _rezultāt, _ፌዴራላዊ_, _chetara_, _ahahueru, 
   {{0x32e900a0,0xef7b0153,0x61280009,0x00000000}},	//   _digirin_, _社団法人日本印刷, _dnevniko, --, 
   {{0x988e0220,0xa39400dc,0x06ae006d,0xe34002ff}},	//   _предстои_, _avasa_, _адкусі_, _kebekwa_, 
   {{0xd5e903cf,0x93eb0099,0x531703ff,0x5eea00b3}},	//   _yabancı_, _abatwe_, _kauza_, _малларын, 
   {{0x42870360,0xbf180444,0x027800fc,0x424900fc}},	//   _miliony_, _театре_, _harnis_, _pusme_, 
   {{0xb5a1008f,0xe2ec047b,0xe3f102e0,0x00000000}},	//   _दाँते_, _alifiski_, _gogelang_, --, 
   {{0xebc7020e,0x125b0461,0x6d3b0037,0x126e056e}},	//   _башланы_, _apelat_, _ውይይትና_, _raposo_, 
   {{0xdc1801cc,0x738702cd,0x6c42016f,0x59840241}},	// [aff0] _anyeṣāṃ_, _adarmu_, _несприят, _egziabhe, 
   {{0x19f9001b,0x23d903c7,0x8633003c,0x00000000}},	//   _cisichaa_, _organów_, _dikanthè, --, 
   {{0x676303b0,0xcaa10276,0x999d0164,0x4f50003c}},	//   _ক্রিয়েট_, _истемал_, _ئەتەبەتۇ, _ایفروش_, 
   {{0x7c800060,0xd0b9006d,0xa26f0369,0xef5800e6}},	//   _десең_, _антошка_, _mikikipi_, _本文已被浏览_, 
   {{0x60f7014a,0xbad000be,0x7ea402a5,0x1264050b}},	//   _jellegűe, _بىلبەيبى_, _नबित्दै_, _geulis_, 
   {{0x338102ec,0x044605c5,0xa94901f0,0x62900325}},	//   _کانگٕر_, _दण्डवत_, _boromiwe, _andaca_, 
   {{0xa3960237,0xcc180125,0x51a2016d,0xf2920178}},	//   _versie_, _araplar_, _иманалий, _antata_, 
   {{0x482f042f,0xf29300fc,0xce47020d,0x02d100e3}},	//   _taimaatu, _bodatahm, _baragize_, _tibetani_, 
   {{0xf053019b,0x4c28001c,0x79cb0403,0x00000000}},	//   _prisimen, _oberbã_, _hapoitra_, --, 
   {{0x12f40278,0xd2420105,0x8eaf002e,0xd2c303cf}},	//   _kaunter_, _कुचला_, _čitanje_, _patlama_, 
   {{0x5fcc06d5,0x25cc042a,0xcd380074,0xa2b10014}},	//   _artikler_, _angakuph, _аудиокни, _mendova_, 
   {{0x51a20234,0x1200013f,0xe84600bf,0xb95103b0}},	//   _alasọye_, _lidit_, _рисунке_, _skulerut, 
   {{0x716300d6,0x037a05a9,0x705a04dc,0x273e025b}},	//   _bayrnmio, _majambo_, _مرواری_, _reglulig, 
   {{0x12fb02f0,0x797404fe,0x79870405,0x1ffd0037}},	//   _amshiya_, _schiavit, _tilhenge, _አዳዲስዜናዎች_, 
   {{0x026e02c1,0xc17d017e,0xbc670265,0x72ee0016}},	//   _raporo_, _מיתות_, _overleg_, _signifi_, 
   {{0xf379001e,0x3b6c0499,0x49da02d6,0x325b0155}},	//   _faransa_, _bourassa_, _خیرخواهل, _spelat_, 
  
   {{0xfa5302c9,0x10cf0080,0x93ea02fa,0x92950013}},	// [b000] _интелидж, _akulikil, _acitse_, _teskari_, 
   {{0x0ffa0078,0x266a0066,0xdc9c0052,0x55140445}},	//   _цивилизо, _комиссын_, _नेत्रविक, _deputado_, 
   {{0x77750139,0xb3da02e4,0xbf1f0026,0x3d2d0371}},	//   _उत्सवः_, _estrużjo, _verdelin, _finiture_, 
   {{0x529200a9,0x23f801c9,0xd24a0101,0xb86c003a}},	//   _intara_, _palun_, _frumos_, _товламач, 
   {{0x00000000,0x00000000,0x00000000,0x00000000}},	//   --, --, --, --, 
   {{0xe29000a5,0xe20901e6,0xcd6a03d4,0xec060156}},	//   _asiasi_, _reportáž, _помагали_, _תשביתו_, 
   {{0x83a201df,0x9efd0158,0xdb1b011e,0x43170129}},	//   _claps_, _फूंका_, _kotasyon_, _izuzu_, 
   {{0xb2900211,0x00770296,0xe06901be,0x1200009d}},	//   _asiat_, _bilprovn, _सत्यमोहन_, _haliti_, 
   {{0xf2b1042b,0xc2840089,0x70e101a3,0x46310388}},	//   _bendova_, _гуарани_, _جهلڪيون_, _limitazi, 
   {{0x17100036,0x826e00a5,0xfa850161,0x00000000}},	//   _بلوزات_, _lapopo_, _гладкой_, --, 
   {{0x8b81002b,0x815b003d,0xaef701f4,0x60650302}},	//   _হাটতে_, _aperteno, _шиллиқ_, _авоқиби_, 
   {{0x220000d5,0x9c6e006a,0x2201011c,0x7c3001e5}},	//   _didim_, _taorian_, _bitig_, _ikunsinu_, 
   {{0x429f0307,0xb0da01f2,0x2f3e017c,0x2b9500da}},	//   _benjalo_, _топлиған_, _blåste_, _atribuir, 
   {{0xbceb05fa,0x4200028e,0xf15800d6,0x4f56008d}},	//   _मदनमोहन_, _fidim_, _bronnadh_, _студияси, 
   {{0x9c190285,0x37ca0274,0x4354000e,0x61bd0205}},	//   _atandatu_, _verslani, _galeres_, _митти_, 
   {{0x3db201cb,0xb3a704cc,0xc31703da,0xd48e0360}},	//   _alingana, _caixlij_, _azuzu_, _अर्मेनिय, 
   {{0xbd7d01ac,0x00000000,0x00000000,0x00000000}},	// [b010] _أجيال_, --, --, --, 
   {{0x8ceb04d3,0xce540498,0xde4b03e7,0xa643037f}},	//   _pestsawg_, _oslavuje_, _dumagsaa, _podkasti, 
   {{0x62b903c6,0x725401c9,0x7ceb008f,0x763803f1}},	//   _verdonk_, _अघाइलो_, _कारकरम_, _severná_, 
   {{0xa2000075,0x7db2007c,0x5b81002b,0x52df0465}},	//   _undir_, _elingana, _হাজতে_, _izogniti_, 
   {{0xe3f802a4,0x8fd602e1,0x00000000,0x00000000}},	//   _malum_, _تفريغ_, --, --, 
   {{0x8651033c,0xf5a2000d,0x3af30137,0xa2910015}},	//   _archwili, _sportlik, _akusatue, _asaasi_, 
   {{0xe30702ce,0x8297002c,0x93eb0235,0x50580243}},	//   _kumargi_, _merkatu_, _apatad_, _rabiyyak_, 
   {{0x08cf0148,0x6db30513,0x9c5c0296,0xbf2e0041}},	//   _推薦本篇文章_, _hlangana, _vittnen_, _уиала_, 
   {{0xc5490192,0x2c6800dc,0xf39402f9,0x547c00d7}},	//   _최고관리자_, _faguvai_, _bwase_, _enyehelo_, 
   {{0x320002b1,0x338801ad,0x82c70541,0x60390428}},	//   _ahlin_, _balyuan_, _prodavci_, _odvetnik_, 
   {{0x420000ad,0xfffa045e,0x1e4701f4,0x32010392}},	//   _lilis_, _паркиран, _tarafida, _sitig_, 
   {{0x220002b5,0xe294032d,0x14b001a3,0xa9f7010b}},	//   _gidij_, _barapeli_, _ٻالڪپڻ_, _kakanyet, 
   {{0x2ec5014e,0x791201d2,0x235f04f2,0x584d01a9}},	//   _главни_, _alhajaku, _ovigame_, _listados_, 
   {{0x963401eb,0x463701c4,0xe2d80058,0x80580041}},	//   _ahechasé, _seksueel_, _maged_, _игәгәҭаж, 
   {{0x827f0132,0xa2a8002b,0x82e902f8,0x9b6601df}},	//   _kapni_, _এককভাবে_, _masivaa_, _seelabar, 
   {{0x822400ee,0x974a0100,0xddaa0111,0x9da600d0}},	//   _txikia_, _prenosiv, _accintra, _abionika, 
   {{0xf7cf017a,0x3c6a035d,0xe845011a,0xd27e031a}},	// [b020] _abasichi, _januaru_, _anomalou, _glinne_, 
   {{0xc2000250,0x4ef3009a,0xbd0d037f,0xce60016d}},	//   _cilit_, _abakulun, _bahalaşm, _нәпрәт_, 
   {{0x774800c5,0xb2fe0450,0x52480342,0xb3f80007}},	//   _制定本办法_, _burgum_, _chimik_, _balue_, 
   {{0x427201a4,0x32d1041b,0xcc2402ec,0x32d701ac}},	//   _akangemi_, _mizoram_, _banaadir, _cholúr_, 
   {{0xe9d80100,0xdfe30163,0xc2d4044f,0x29f7018e}},	//   _obilaska_, _نارتھ_, _berdua_, _cakanyet, 
   {{0x1d070528,0x526e0203,0xfd0d030d,0x6caf0060}},	//   _ballaire_, _lapidosi_, _bahalaşa, _كەستە_, 
   {{0x15a3014a,0x72e902da,0x0daf0020,0x083600cb}},	//   _مقبوضہ_, _carioca_, _lautaamu_, _akumnand, 
   {{0x32000027,0x899c014a,0x325b05ce,0x02000117}},	//   _kilis_, _بشارالاس, _sesli_, _ridim_, 
   {{0x349f0024,0x46030172,0x052f0056,0xef53001a}},	//   _সূক্ষ্ম_, _hindusom_, _abangash, _عبدالوار, 
   {{0xc3f800b7,0xc20000aa,0xa3f800e1,0xd9df02d5}},	//   _ruhuna_, _dilis_, _dalub_, _uskumatu, 
   {{0x19ba05ab,0x6aba015e,0xe5770113,0x150d00be}},	//   _privacid, _privacit, _shoiléir, _تەلچئي_, 
   {{0x12a7004c,0x43210116,0x24780148,0x0a1502f0}},	//   _ababbi_, _playin_, _宜蘭縣綜合發展計, _ayacinse, 
   {{0x7f590162,0x127e016e,0xead10119,0x52f70163}},	//   _قويساق_, _elinde_, _nordhaus, _topikok_, 
   {{0x5f2602d4,0xc2e602ed,0x00000000,0x00000000}},	//   _muntagna, _atinxen_, --, --, 
   {{0xe20001e9,0x5862006c,0xa9620559,0xd6960026}},	//   _badirimm, _abanamad, _abanamat, _berekeni, 
   {{0x76320047,0xa20000c0,0x021302fd,0xf8730092}},	//   _français, _bilis_, _aigher_, _セクシュアル_, 
   {{0x82d901ac,0xb2000058,0xef3700c5,0x920002a2}},	// [b030] _bainise_, _cilis_, _国土资源局_, _pilit_, 
   {{0x82d90111,0x6d8c010d,0xfd5300a6,0xc6c30010}},	//   _ascesa_, _jabodeta, _محمدوف_, _ekwandzi, 
   {{0x7bb100d6,0x3db30183,0x3eab0209,0x742a0153}},	//   _chultúrt, _amanjana, _attuisut_, _ペットショップの, 
   {{0x32d80058,0x2ea101b4,0xe72202e1,0x6fa600d9}},	//   _baged_, _koerante_, _platanam_, _забрать_, 
   {{0xf44c0543,0x8c1c0013,0x0a2c0133,0xbd1c02d3}},	//   _алион_, _sabablar, _ciccimaa_, _албер_, 
   {{0xa20002d8,0x77490095,0x641d0060,0x00000000}},	//   _rilis_, _عبدالهي_, _сүзеген_, --, 
   {{0xa54400c7,0xe6ab00b5,0xba6d03b7,0x52da0269}},	//   _militsiy, _абаталио, _appoints, _deseen_, 
   {{0x6cf70036,0x592802da,0x117a0061,0xf156020a}},	//   _الذنوب_, _театар_, _본인확인제_, _сатыға_, 
   {{0x7b6705ed,0xcf25034e,0xfc52029b,0xe786005b}},	//   _basubira_, _chirunta, _kontaan_, _schweizi, 
   {{0x037c0052,0x82000107,0xb5c903d4,0xa19c003c}},	//   _poradce_, _undip_, _недељу_, _متروکه_, 
   {{0xf25b03b0,0x05bb0111,0x0ad80235,0x00000000}},	//   _spelte_, _apparech, _drstaant, --, 
   {{0xa2d8033f,0x496503a2,0x5e240037,0x72900281}},	//   _hagee_, _कतरनें_, _ቀዳማዊት_, _asiap_, 
   {{0x29fd01e6,0x3fdf02d7,0x48ec00d9,0xa283006f}},	//   _exteriér, _sociólog, _испански, _kiyahudi_, 
   {{0xdd2b06ac,0x624901bb,0x0c09042c,0xb3ea0168}},	//   _acontece_, _okamak_, _propisa_, _inntak_, 
   {{0xb8b70277,0x92000242,0xf3ea06dd,0x532000e1}},	//   _kostumer_, _bilir_, _abitye_, _aliyun_, 
   {{0x5c110017,0x63f801ab,0xd6040077,0x07ab01df}},	//   _shopech_, _palub_, _chamblai, _castlemi, 
   {{0xb321001c,0x015200be,0xd643009d,0xbb4100d1}},	// [b040] _alayon_, _музейлер_, _verifiki, _উপযোগীতা, 
   {{0x2292038a,0x00db012b,0x62c00061,0x09b9034a}},	//   _antawa_, _काशीरा_, _던전앤파이터_, _herdanza_, 
   {{0xd25b00dd,0x92ee042a,0x3a8f0251,0xf07d048a}},	//   _dadlau_, _ateneli_, _galiyaan_, _самса_, 
   {{0xa9e7045c,0x4b3003e0,0x77540420,0x7fba01ee}},	//   _ospraved, _entspréc, _плочата_, _вĕренме_, 
   {{0xcfd502d6,0x57aa019d,0x548c0061,0xe26e019f}},	//   _кучайди_, _anatsimi, _게임입니다_, _potofu_, 
   {{0x43ce0234,0x8b7500a4,0x541e00de,0xc300018b}},	//   _abanirẹ_, _اردەگەرل, _استيضاح_, _salarii_, 
   {{0xf20000ad,0xe7dd02e5,0x797e00e6,0x22fe02a0}},	//   _sidik_, _dumpemai, _obtienne, _tapgun_, 
   {{0x72000286,0x7c750139,0xd07b026f,0xa27f0288}},	//   _midii_, _विश्वा_, _ءﺟﻮﻧﻰ_, _erengo_, 
   {{0x53780119,0x12010286,0x427f00d9,0x00000000}},	//   _bulacan_, _entia_, _asento_, --, 
   {{0x8c9700be,0x8ad803a8,0xbcf102fe,0x00000000}},	//   _بىچاعىڭا, _austkant, _دباندنیو, --, 
   {{0x1a52039e,0xc8970417,0xc387036f,0xf87900a3}},	//   _উন্নত_, _verkeerd, _starog_, _barnesku, 
   {{0x129000d6,0x42eb017e,0x725b0155,0x7ddb0611}},	//   _cumann_, _kariero_, _spelet_, _efikasma, 
   {{0xe22004d8,0x118f0021,0xb2fc0245,0xd2900050}},	//   _دیندٲری_, _ormalnay_, _kongor_, _lilana_, 
   {{0xd3f80161,0x08f600e6,0x827f024c,0x93570455}},	//   _halua_, _人民币汇率_, _frendo_, _asseoir_, 
   {{0x03f80544,0xd2e201b9,0x087a0040,0x974b0204}},	//   _kalua_, _sianism_, _לכימיה_, _valittav, 
   {{0x920000d6,0x939603d4,0x83730163,0xcfc30347}},	//   _chlib_, _cerske_, _kosarad_, _offisier_, 
   {{0x52f2033f,0x23f801fe,0x69fa00d8,0x33f10272}},	// [b050] _angitau_, _malua_, _arpitana_, _bigusani_, 
   {{0xdb0a04c6,0x4f6600ad,0xf0ec0010,0x862f016f}},	//   _vanskele, _gumantun, _asendlul, _контенту_, 
   {{0x897a0021,0xe3f8028f,0x00000000,0x00000000}},	//   _ampingst, _kupumahi_, --, --, 
   {{0x330c0294,0x18980125,0xd47003a0,0x604003a2}},	//   _allapis_, _унутмак_, _dikelano_, _मंडलों_, 
   {{0x01c303f4,0x42b401f7,0x698901b7,0xdaf004d2}},	//   _отправит, _adicta_, _anekānta, _ordskift, 
   {{0xbedc0269,0x99e70074,0x02f00102,0x6379022c}},	//   _acciones_, _наверно_, _wakidai_, _betahna_, 
   {{0x13f80119,0x029206be,0x408e03ad,0xa2ef0120}},	//   _padua_, _iotama_, _guncelko, _lakimaa_, 
   {{0xd35b016a,0x69a300bb,0x327f02f6,0xfcc900af}},	//   _hungara_, _بددعا_, _asenso_, _продають, 
   {{0x4387016d,0x3b0a0092,0x3e8804ac,0xbbe70060}},	//   _خۇشخۇي_, _下記のボタンを押, _следстви, _اراكىدىك_, 
   {{0xac600212,0x13f90301,0xaf2300ff,0x22b60119}},	//   _castris_, _yuxuda_, _מעסאָטהע, _abucay_, 
   {{0x23f80014,0x915900e5,0xac4901ef,0x00000000}},	//   _dikush_, _каросери, _баркулаб, --, 
   {{0x12000133,0x4e9f00a6,0xa3ea02fd,0x42da03ab}},	//   _galii_, _anamagun, _naithe_, _povely_, 
   {{0x1245045c,0x8b68052e,0x5ed60076,0x6290021c}},	//   _promócie_, _anglonor, _doenças_, _chlapa_, 
   {{0xd7440374,0xe20100d5,0x31c3016f,0x12900058}},	//   _انباری_, _entin_, _потоки_, _tidana_, 
   {{0xd6d3015d,0xa3d401c7,0x2948017a,0x6a750009}},	//   _नाविक_, _гейнерле, _akalokot, _prizadet, 
   {{0xf3ea0195,0xb1800269,0x62fc030a,0x00000000}},	//   _caithe_, _zapatill, _celga_, --, 
   {{0x30760029,0xc3ba0312,0x16ea00ba,0x92c3005c}},	// [b060] _نازانێت_, _mervent_, _ئۆلۆمپیا, _afulika_, 
   {{0xa2f70497,0x43fa0020,0xa7a400e3,0xfe1e0141}},	//   _aadiugh_, _puputa_, _instabbi, _комиловн, 
   {{0xad090170,0x434b04b3,0x16d8004d,0x00000000}},	//   _amulodze_, _badezet_, _健康生活家_, --, 
   {{0xb456005e,0xae45025b,0xf1e50462,0x06340105}},	//   _ﻗﻮﺷﯘﭖ_, _velbasta, _arifftay_, _cisnieni, 
   {{0xac250090,0x0b06027e,0x13ff0422,0x49c00315}},	//   _tsvangir, _акредито, _francosk, _banetise, 
   {{0x879d0061,0x92c702cb,0x8f2100be,0xfe0703b8}},	//   _사법개혁을_, _otplate_, _قوشپوستو, _терезеге_, 
   {{0xe29003e9,0x83be01e9,0xa36c02fc,0x6ad90088}},	//   _bahasy_, _barweng_, _alegisi_, _байламта, 
   {{0x71030135,0xc43801de,0xe2940157,0x4dba00cb}},	//   _терминна, _обаманың_, _linkami_, _ландкруз, 
   {{0xd9a40012,0x33ba005d,0xc2d90076,0x398604cf}},	//   _कन्फुज_, _dervent_, _escovas_, _sithunye, 
   {{0x8401043d,0xa201022b,0x6c1c0125,0x603d0040}},	//   _masukkan_, _antin_, _yazanlar, _insertio, 
   {{0xe52f0096,0x6e4002af,0x830b00e4,0xfbb10113}},	//   _abanyaby, _barariye_, _depilacj, _chultúrl, 
   {{0x4eaf0409,0x39f30139,0x26200139,0x03f800da}},	//   _知的財産本部_, _क्षेमदत्, _bhaiṣīḥ_, _demult_, 
   {{0xfbd200db,0xa20004b2,0xe354043e,0xdb0001d3}},	//   _आरोपन_, _baliw_, _cadetes_, _gårdagen, 
   {{0x9f330113,0x8c5d00d3,0xbc7c0067,0x52f1014a}},	//   _abosulta, _filtrem_, _daarfur_, _vágni_, 
   {{0x3db1023d,0xe4830107,0xbff50119,0x13a3019d}},	//   _звучи_, _پديده_, _kathagko, _efapax_, 
   {{0x8a0800d2,0x9588019e,0x93f40347,0x5d50002f}},	//   _bahasana_, _бакалаўр, _bestry_, _ikuajchu_, 
   {{0x9bcc02a9,0x210c004d,0x6200048c,0x7cfa00b7}},	// [b070] _studijų_, _但是並不影響您獲, _ablid_, _тотанден_, 
   {{0xd2ca028c,0x1a0800ea,0x96dd01b5,0xb35105e0}},	//   _kuidas_, _laharana_, _ekwaggaf, _constará_, 
   {{0xe2000318,0xd9c5008c,0xaa22014c,0xa1240246}},	//   _talii_, _aspectat, _amacande, _непобеди, 
   {{0xe6d3050b,0xf312002b,0x2394021b,0xf5cf0037}},	//   _नाशिक_, _আতাউর_, _avasi_, _ይገናኛሉ_, 
   {{0xb225002e,0xabee00bf,0x299304df,0xf9390350}},	//   _ovakva_, _шарой_, _bishirme, _ስውርነት_, 
   {{0x22ea0372,0xd292030f,0xb7570326,0xd29000b7}},	//   _coginio_, _hotaka_, _anongozv, _bahary_, 
   {{0xa3f401e6,0x03a3000b,0x02920087,0x14580178}},	//   _sestry_, _leapai_, _kotaka_, _bhṛṅgāra, 
   {{0x3290000d,0xed1c0288,0x3e2a0089,0x02010212}},	//   _pidada_, _dogorrit_, _тропикан, _vitia_, 
   {{0xf66401c6,0xeaa4010b,0x22e80037,0x9a080408}},	//   _beskriuw, _dikitsis, _hakisan_, _daharana_, 
   {{0x9b4d019f,0x62ea05f7,0xe9fd0255,0x3aa5015d}},	//   _مقابلا_, _goginio_, _कीर्त्तन_, _ईपत्रिका_, 
   {{0xbe870089,0x066d026f,0xf6e80170,0x8d9f0271}},	//   _таянды_, _رلاسۋ_, _bioclini, _fengslet_, 
   {{0x1887028b,0xc29002e3,0xc7fb0142,0xd29201a6}},	//   _ҟабарда_, _lilama_, _उदाहरणान, _kotaha_, 
   {{0x320000dc,0x82000105,0x2dd400e4,0xb20103d9}},	//   _maliu_, _paliw_, _मध्यकाल_, _ditin_, 
   {{0x02ca0023,0x63480181,0x0da600a2,0x92e60107}},	//   _tuoda_, _blofeld_, _kukoseka, _brangta_, 
   {{0x2394025e,0xe56201f3,0x334b02a4,0x0c89003e}},	//   _helsta_, _bezlaktó, _tenebat_, _лицейыны, 
   {{0x572400bb,0x320101e3,0xa3010181,0xc5cd0037}},	//   _روافض_, _rabiš_, _masaaki_, _membekal_, 
   {{0x87db0158,0x3f5c0130,0x142d00c4,0x06380109}},	// [b080] _फ़ंक्शन_, _silabenn, _چانھھ_, _receptář_, 
   {{0xf201025b,0xdc1100c4,0x8b4401b2,0x829200d9}},	//   _hitin_, _ڇڙوڇڙ_, _baskadyn_, _mitata_, 
   {{0x32370352,0xe66c00c7,0x9db80059,0x9b4e0256}},	//   _byrja_, _кулга_, _принудит, _pavasarī_, 
   {{0x9e5c0488,0xa2010133,0xa4b5034c,0x00000000}},	//   _fotoattē, _citin_, _аллаһым_, --, 
   {{0x4bf60019,0x030f00c0,0x715c004a,0xd29003bd}},	//   _сайттын_, _mahanap_, _тулай_, _hilaba_, 
   {{0x22900556,0x2dbb03c2,0xd3540227,0x337f00bb}},	//   _ikhasi_, _adrienca, _menetas_, _توہمات_, 
   {{0xc2e80338,0xfaab018d,0xdb4e01ef,0x820100b6}},	//   _anciana_, _ንጽብሒቱ_, _pavasarį_, _intit_, 
   {{0x0387034c,0x0ad300e6,0xe20103a4,0x8c60016b}},	//   _agartu_, _concréti, _gitin_, _hakurin_, 
   {{0x32ca025f,0x72d802f3,0xf90c00dc,0x66eb033a}},	//   _erode_, _lagen_, _lafaitau, _buttiġie, 
   {{0xf29201ec,0xe2000369,0x9400020e,0x8201019a}},	//   _ditata_, _haliu_, _аҙашма_, _aitin_, 
   {{0x9d280279,0x000e022f,0x79c90334,0xdc600288}},	//   _naissanc, _промысел_, _achokera_, _makurin_, 
   {{0x220001f1,0x1c7c0096,0x314103ae,0xf3de045e}},	//   _malit_, _abasoda_, _verdiful, _краен_, 
   {{0xd201009d,0x12000605,0x0fe301c5,0x7ded00ff}},	//   _vitin_, _lalit_, _طاقتا_, _bakalaŭr, 
   {{0x919702c4,0xdc66004b,0x5b010121,0x91d00021}},	//   _народен_, _тарының_, _petición_, _addenmay_, 
   {{0x7200042b,0x846201e1,0x2a2502af,0x63940018}},	//   _raditi_, _инвалидт, _akicunga_, _iwase_, 
   {{0xd2d8004b,0xd2d300ad,0x4c550073,0x130f02f6}},	//   _tokelo_, _koropak_, _saltate_, _nahanap_, 
   {{0x02d800e0,0x3a790147,0x4ed0033e,0x83940397}},	// [b090] _eagen_, _اتىعو_, _abanicos_, _kwase_, 
   {{0x12000250,0xc2e801c5,0x520003fd,0xd28d0282}},	//   _midis_, _cakiran_, _malisi_, _opukina_, 
   {{0xbc53014f,0xb20002a4,0xcfc10321,0x92d8012f}},	//   _реализов, _vidit_, _srednješ, _nagen_, 
   {{0xae290091,0x920002ce,0xe20002f8,0x76d00251}},	//   _taiguaga, _dalit_, _falisi_, _faragali, 
   {{0x1ce0018b,0xa6ba03b9,0x32d80065,0xc200034b}},	//   _унижений_, _qurarasi, _hagen_, _valiu_, 
   {{0xadaf0476,0xcff901db,0x8300048f,0x9ba70178}},	//   _akandiba, _шәугімні, _molangi_, _पादतले_, 
   {{0xc20002f6,0xd37b0058,0x02000102,0xe200028a}},	//   _galit_, _hainburg_, _halisi_, _kadiri_, 
   {{0x02e6000f,0x32000295,0xcb1802a2,0x4e6602fe}},	//   _gündem_, _kalisi_, _padalhan_, _فراهي_, 
   {{0xa20e01cd,0x33a200a5,0x4cd10061,0xbf1f00fe}},	//   _задан_, _anapo_, _구매하셔야_, _kaitenga, 
   {{0x12d80054,0xa20102f9,0xa2000189,0x328b011c}},	//   _fagen_, _sitin_, _vadisi_, _barkeek_, 
   {{0xb3450135,0x7f36002b,0x53050208,0xe74e030d}},	//   _üseşe_, _এরিয়া_, _دوپات_, _cəzbedic, 
   {{0x17b00055,0x2c560096,0xbdb90156,0xc2ff0365}},	//   _aberrazi, _amateke_, _ניבאָרסק, _alergeny_, 
   {{0xc4d70692,0x22cb031c,0x52d90034,0x22000014}},	//   _баланың_, _grados_, _algeng_, _dalim_, 
   {{0xef2d03c9,0xa26c0234,0x2da701a3,0x62c3004a}},	//   _sprednin, _gilobu_, _موچڙو_, _борнай_, 
   {{0xf2010119,0x5200010b,0x3d9e03f0,0xb34e03c5}},	//   _antis_, _badiri_, _sorglegt_, _diketuk_, 
   {{0x63ea02bc,0x62000179,0xdd8c0039,0xa0c60109}},	//   _buhti_, _bidis_, _gaboneta, _instaluj_, 
   {{0x020001fc,0x6c030116,0x22d80026,0x60f7029b}},	// [b0a0] _midir_, _emptines, _wagen_, _akwadakk_, 
   {{0x728b007c,0xf2d700fc,0xcc840022,0x00000000}},	//   _bajameli_, _botobmo_, _стеналар, --, 
   {{0xb2010121,0x920003bd,0xa2d5014a,0x92d50259}},	//   _sitio_, _kalim_, _naponta_, _dagligt_, 
   {{0xf237005b,0x7a080403,0xd4880039,0xa20004d8}},	//   _jayjay_, _milamina_, _ilegaliz, _gidir_, 
   {{0x52d80003,0x7d360086,0x22e00344,0x00000000}},	//   _zagen_, _بہلول_, _hvingel_, --, 
   {{0xb2d802ff,0x4c56036f,0x0aff013e,0x66450209}},	//   _pagen_, _nastave_, _sahranje, _assingii, 
   {{0x42a6019f,0x1542045f,0xf46406c6,0x457001bb}},	//   _ajabu_, _verkligh, _necesito_, _йүвүрҗис, 
   {{0x5200004a,0xba7002a2,0xb2cb03e2,0xe3ea024c}},	//   _galim_, _magagawa_, _prados_, _bajtar_, 
   {{0x47eb02d8,0xce9001d9,0xb2000140,0xda8c0337}},	//   _प्रकारे_, _amateure_, _daliri_, _tarihten_, 
   {{0xf3e7046c,0xf2d802b0,0x22010005,0x72b50026}},	//   _hätte_, _tagen_, _entir_, _handige_, 
   {{0xc92a0148,0x027e023b,0x8e4f00fa,0xa39601af}},	//   _聯合新聞網_, _ilinoe_, _bokabula, _dessur_, 
   {{0xabe80060,0x62ce00e4,0x92b1028c,0x83fa02d9}},	//   _тайпалар, _गठबन्धनम, _nendega_, _aupuga_, 
   {{0x111c01ee,0xe2d80166,0x42000403,0xa3b7045b}},	//   _основани, _sagen_, _valim_, _skavlan_, 
   {{0xd5ea00a4,0xaf58003e,0x14360039,0x00000000}},	//   _ارقالۇۇ_, _babanyen, _bukatuko_, --, 
   {{0x8b7800d6,0x3200005c,0x72000373,0x39ae0029}},	//   _seagreen_, _padiri_, _sidis_, _سیڤیل_, 
   {{0xb2b301b8,0x529002f6,0x320001f1,0x04070264}},	//   _फारुक_, _dumaan_, _maliqi_, _calubian_, 
   {{0xeaf501d1,0xfae801c4,0xd04a00d8,0xf2fc002b}},	// [b0b0] _pressure, _goddelos, _aperaban, _বিভোর_, 
   {{0x6c6f0174,0xf3ff005b,0x32020032,0x9f3b01ad}},	//   _dikrafo_, _applepik, _mutich_, _nakukuha, 
   {{0xdbea0092,0xca7004b2,0xc2010243,0x237a01e5}},	//   _ルデンウィ_, _nagagawa_, _intih_, _ibbagbo_, 
   {{0x030f000e,0xc29001c5,0xe38f02fa,0x96950608}},	//   _roubada_, _isaaq_, _amashuli_, _imperiai, 
   {{0x729000ad,0x3e4f0315,0x3fb5008c,0xbe4e020a}},	//   _sadaya_, _banalama, _adattaus_, _малда_, 
   {{0x4d460188,0x7e25002b,0xf25701d5,0x80e50020}},	//   _брюссел_, _আ্যপস্_, _nálad_, _francell, 
   {{0x9d6a0678,0xc2e6013a,0xda030175,0x9c760347}},	//   _atomique_, _grinsen_, _finansye, _versorg_, 
   {{0x727f00f4,0xcfc3029a,0x253c01c7,0x231d0321}},	//   _unanet_, _jeniffer_, _достунда, _lekcijo_, 
   {{0x82000052,0x49d004df,0x038001c5,0x22da02aa}},	//   _komise_, _денич_, _suurto_, _novely_, 
   {{0xa987028b,0xe7720139,0xc9f802bf,0x16340229}},	//   _ортегеи_, _स्थाल्या, _emasampu, _anonimli, 
   {{0x53dc01e5,0x9ecf0183,0xcc61031d,0xe0ec00e6}},	//   _idowu_, _barijaon, _austeyr_, _现代将推首款混动, 
   {{0xd24100d3,0x50510257,0x5ab40452,0x00000000}},	//   _मोगली_, _brauðsne, _चणाडाळ_, --, 
   {{0x2ede02d6,0x87ac02ac,0xa29102a0,0x2ade0420}},	//   _кирди_, _وشوفي_, _iraaki_, _карпи_, 
   {{0xc3170116,0x431800e2,0x09e200be,0xac710127}},	//   _benarty_, _genietsj, _ساۋيۉ_, _deirvet_, 
   {{0xdd160041,0xc3f800ad,0x37130177,0xd2010242}},	//   _рхыҧхьаӡ, _kadua_, _роуртә_, _bitib_, 
   {{0xd6020333,0xfed30250,0x290301eb,0x420002be}},	//   _riflessi, _familjes_, _alfonsín_, _halik_, 
   {{0x427f0288,0x77d2058b,0x5a2100fb,0xb2e10378}},	// [b0c0] _orengo_, _forumaš_, _azibophe, _evangel_, 
   {{0x6200008d,0xe20103f1,0x76340272,0x840f03d5}},	//   _jalik_, _pitie_, _amunaani, _berreman_, 
   {{0xc25704c4,0x3c4c023d,0x0d670013,0x83780278}},	//   _vastaval, _спортни_, _تاریخچی_, _mulakan_, 
   {{0xd20101c5,0xc28a04ed,0xe26d041e,0x00000000}},	//   _intii_, _पर्यटनस्, _andonu_, --, 
   {{0x4d5a02cf,0x59fa00c4,0x7d1a007e,0xa73e0205}},	//   _коцев_, _kupigana_, _विद्वज्ज, _dollarig, 
   {{0x4200023e,0xf2900085,0x00000000,0x00000000}},	//   _kalih_, _madaga_, --, --, 
   {{0xc838020e,0xaa100028,0x527701c0,0x6be101b2}},	//   _ьский_, _taxanaha_, _biliyoyi_, _avidatec, 
   {{0xef6a05fd,0x1c71033c,0xc365012c,0x22ca00cd}},	//   _sewajarn, _gwaredu_, _watendaj, _vaider_, 
   {{0x4cf1044b,0xaf68001f,0x389b002e,0x703702a6}},	//   _deltager, _belarusn, _ostvariv, _metteran, 
   {{0x82000536,0x1f800268,0x57460013,0xf2000084}},	//   _gidip_, _elicitin, _алмаштир, _calik_, 
   {{0x9073020f,0xb3f804ec,0xee220140,0xa3070382}},	//   _بهارت_, _buhuma_, _alaminos_, _kumangi_, 
   {{0x74550148,0xb299004c,0x23b50291,0xb4ab024f}},	//   _在這個版面回覆文, _alibagam, _انسانة_, _talaucak, 
   {{0xa5e100a6,0x238900d7,0x5663009a,0x82f0022e}},	//   _الفاظو_, _белгәне_, _besinikw, _ardigni_, 
   {{0x9f21001e,0x0bed00be,0xb38001c2,0xdf4a026c}},	//   _mallakar_, _долларлы, _estrea_, _pauperta, 
   {{0xd3f80323,0x6c7501a2,0xc987051b,0x1a2f01e6}},	//   _tuhuma_, _draugus_, _podobnéh, _lamináto, 
   {{0xc47a02d3,0x8292025f,0xd20003b5,0xb2fc0482}},	//   _психолош, _botala_, _dalih_, _ramidus_, 
   {{0xf3f80362,0x390b0143,0x82c900b7,0x00000000}},	// [b0d0] _akouta_, _изолация_, _dininiň_, --, 
   {{0x6fcd01db,0x52cb015f,0x6af6006d,0xbc1d01af}},	//   _اتاۋمەن_, _gerllaw_, _германцы_, _baranlar, 
   {{0x22000058,0xa5a503e2,0x02000084,0x6c8e018d}},	//   _valik_, _extinció, _galih_, _ተጠንቂቕካ_, 
   {{0x0dff003f,0x56800160,0x8f43011b,0x00000000}},	//   _bilengta, _predvodi, _molimból, --, 
   {{0xad8b03b0,0x86d0022c,0x7872004b,0x00000000}},	//   _spreidde_, _babadami, _гектарҙа, --, 
   {{0x3290000b,0x22000544,0xa37803bd,0x42cb0318}},	//   _malaga_, _halii_, _bulahan_, _touliki_, 
   {{0xa575013d,0x1e1b01e8,0x82f00095,0xbea700fe}},	//   _kontakto_, _bangkuta, _auliani_, _lailaion, 
   {{0xb2bd02cf,0x1fa901af,0x085c0194,0x6c560285}},	//   _присутни_, _коцепция_, _hungaric_, _amatike_, 
   {{0x6d660192,0xe56b0220,0x98410021,0xa3790396}},	//   _부동산개발_, _столове_, _abilized, _istampa_, 
   {{0xa27f0241,0x827f028e,0x81b20024,0xeaf70188}},	//   _alanee_, _plande_, _ল্ডেন_, _бадеии_, 
   {{0xe29000fa,0x5cad031d,0x8568023c,0x82730422}},	//   _halaga_, _feasting_, _ستاپۀ_, _odpravil, 
   {{0xc38d0331,0x3489009b,0xa6b700a0,0xe5cd02fd}},	//   _mentamál, _унгарын_, _akarkash, _diobadal_, 
   {{0x32b20074,0xdeac01a7,0xce7200d3,0x529002b1}},	//   _voidaan_, _источник, _शुन्य_, _fadada_, 
   {{0x4f2d0151,0x227f03de,0xf22401bc,0x726402f9}},	//   _diffiden, _isenzo_, _romke_, _boulos_, 
   {{0x22900240,0x795303c2,0x2201003d,0xf7a701fc}},	//   _lalaga_, _aerophot, _sabiá_, _laatiini, 
   {{0x539400a3,0x1452002e,0xa06e02c0,0x7290018e}},	//   _einsam_, _obavljaj, _правилен_, _hadada_, 
   {{0x625601b7,0x42900028,0x2c86004d,0x78b50061}},	// [b0e0] _पिबेत्_, _nalaga_, _以到期日臺灣證券, _일본에서는_, 
   {{0x234c03b2,0xc3ea0278,0x1b9f0306,0xd341036c}},	//   _several_, _mintak_, _cquhepar, _gazetin_, 
   {{0x0c3300ff,0x12fc012b,0x153d0040,0x00000000}},	//   _לאפין_, _felgi_, _פידבק_, --, 
   {{0x869c018b,0xf3a20477,0x47eb002b,0xecc502a6}},	//   _арестаць_, _knapa_, _সোভিয়েত_, _aspitemu_, 
   {{0xa37801ba,0xb201030f,0x82ca0023,0x3ed50022}},	//   _dikaman_, _aitia_, _luoda_, _экономия, 
   {{0x9c1e057c,0xc2010414,0x58c40217,0x538d0166}},	//   _kvmpris_, _bitia_, _refugiav, _rauskomm, 
   {{0x321e0038,0x470e0125,0x5a0a0014,0x794100d1}},	//   _möhim_, _britaniý, _kitarist, _আনজনক_, 
   {{0x1eb80405,0x72000120,0x50cd0045,0x5e3d0486}},	//   _коментує_, _qadii_, _просвети_, _kosmetič, 
   {{0xc750020e,0x20b003a2,0x0c45026c,0x12900334}},	//   _вьетнамд, _सरगुजा_, _pulcherr, _badada_, 
   {{0x0333036c,0xa4bf026c,0x020100d5,0xc84605e5}},	//   _alexia_, _政府資訊公開_, _fitia_, _महासंग्र, 
   {{0xb7e50204,0x43ea0034,0x8a7d0455,0x729001f4}},	//   _клапана_, _eintak_, _chanteus, _dalada_, 
   {{0x444a03d4,0xf2ca019b,0x9e00025d,0x548f0311}},	//   _поготово_, _duoda_, _anleggsa, _ኣለዓዒሉ_, 
   {{0xb9bd025c,0x1c670219,0xf29c0040,0x0c1801a6}},	//   _angelegt, _bulunga_, _ולכתוב_, _matawher, 
   {{0xa29001af,0xc2830453,0x1bb00229,0xca450196}},	//   _galada_, _bankama_, _dunyanin_, _kulemera_, 
   {{0x89050255,0xfe07020a,0xa5b001b8,0xa3eb0116}},	//   _samasugu, _терезеде_, _kunstnik, _baathe_, 
   {{0x92cf003a,0x69fd0060,0x556f0235,0x3224011b}},	//   _daromad_, _салиқалы_, _भारतीयान, _oleka_, 
   {{0xa0520410,0x32da0222,0x110d022d,0xc0f60361}},	// [b0f0] _dingwalo, _besoins_, _spavento, _пальцев_, 
   {{0xa2ca0130,0x82010172,0xf8190125,0xeed300c5}},	//   _annezidi_, _fitii_, _харамзад, _affiches_, 
   {{0xf3210493,0x52240048,0x28b100dd,0x72a60082}},	//   _aiuya_, _aleka_, _bendiged, _ajabi_, 
   {{0x52920251,0x33a201ab,0x5a17065c,0x9b51003b}},	//   _intaba_, _kompanii_, _azibanga_, _ekucacis, 
   {{0x83430264,0xc2fc0191,0x3e860083,0xf231056b}},	//   _viterbo_, _droger_, _sylviane_, _dermaga_, 
   {{0xde49034c,0xfa810291,0x8a51006c,0x00000000}},	//   _analizlı, _يشعرون_, _angewona_, --, 
   {{0x127f027a,0x84d603a2,0x857203d7,0xf2840177}},	//   _slanje_, _पीलिया_, _prodiksy, _мзызс_, 
   {{0xa29000c0,0x649c0025,0x79b803db,0x9c5501fb}},	//   _talaga_, _कल्प्यते_, _bamenywa_, _haltate_, 
   {{0x49fd0397,0x7c00029d,0xa27f02c2,0x02d80084}},	//   _uhlangot, _hristos_, _klanke_, _bagea_, 
   {{0xac00015a,0xd8a20008,0x00000000,0x00000000}},	//   _kristos_, _анекдотт, --, --, 
   {{0x42a60396,0xd20003ec,0x92900338,0x12da0269}},	//   _sinjali_, _kadiu_, _valada_, _desean_, 
   {{0x475e005e,0xec75047d,0x129f0037,0xfc67008e}},	//   _پەۋقۇلئا, _gebrach_, _saujana_, _faktiir_, 
   {{0x34870142,0xaf2a02ac,0xa22a004b,0xa295019c}},	//   _भाषासु_, _postálac, _морат_, _igbakeji_, 
   {{0xfcbc0055,0xe6320392,0x823a05eb,0xbb7700d1}},	//   _grigoriu_, _chlasrum_, _ayivezil, _বন্দৰত_, 
   {{0x063c04e9,0x1b67064d,0x32ce03f2,0x00000000}},	//   _takiyuni, _kakuhipa_, _западный_, --, 
   {{0x0a8600e4,0x506901b6,0xb8500222,0x9bfc014d}},	//   _europejs, _יקנעם_, _chroniqu, _offensic, 
   {{0x4d050004,0x16280043,0x5d8403b0,0x00000000}},	// [b100] _sentespr, _baminisi, _bybeltet_, --, 
   {{0x10770162,0x4c7a0041,0xf32200f5,0xe2cb00e1}},	//   _иштирак_, _иалеигал, _batyok_, _kaadar_, 
   {{0x486f0097,0x9629007b,0xb7b20338,0x1a3a016f}},	//   _irẹlẹ_, _gainsayi, _boquiabi, _аварію_, 
   {{0x121204e2,0xd6ca0073,0xa9ba0088,0x75c902fc}},	//   _zhohir_, _agradabi, _cerdanya_, _babasaby, 
   {{0xf0c10315,0xca0e0044,0x610b00e7,0x3201003f}},	//   _abelekel, _compound, _aishakay_, _ditiv_, 
   {{0x69ae02bb,0x32660299,0xf3660265,0xf2bb0096}},	//   _handlowe, _بذنعثدعن_, _bruggen_, _bahetse_, 
   {{0x42a70076,0x62ba0287,0x3354012e,0xf6e100cb}},	//   _acabei_, _tradici_, _titeket_, _akabashi, 
   {{0x7d8c0074,0x8c260220,0x52ee011a,0xc28601a0}},	//   _varoitta, _матрак_, _brutally_, _mcphail_, 
   {{0x569d01b8,0x98da042f,0x59ea065e,0xaaea0271}},	//   _direktii, _pingahuu, _overflad, _overflat, 
   {{0xfa1d02ac,0xcc17033b,0x6a8e0075,0x03410138}},	//   _عزيزتي_, _lefaster, _tunnilin_, _haberin_, 
   {{0xed2d0092,0x26f50092,0xe2ec031c,0xbe540304}},	//   _コメントへの返答_, _ハイキング_, _hubiese_, _suratkha, 
   {{0xe5c902fa,0xfc8000f5,0x684c00a4,0xf2000009}},	//   _yabasaby, _эерен_, _centrals_, _vadil_, 
   {{0x0290001b,0x0c7603d8,0x97a4024c,0xca5e02db}},	//   _armaan_, _prirodi_, _jistabbi, _litereja_, 
   {{0x4d8b0253,0xb2ce0188,0xd2000374,0x166a004d}},	//   _assorsua, _арманиҳо_, _tadil_, _桃園希望文化工作, 
   {{0x161706d5,0x52a30351,0xba890034,0x498a01e0}},	//   _humanitæ, _кхерамаз, _baktería_, _کاروچالا, 
   {{0xd3540265,0xfd12005b,0x36a502e4,0x00000000}},	//   _gerecht_, _skolerne_, _jwettaqh, --, 
   {{0xecbc023d,0xa39404ee,0xc8220162,0xc2fd01aa}},	// [b110] _участие_, _kansul_, _устидә_, _amonday_, 
   {{0xa8280141,0xeb680294,0x20ec01f9,0x02ca00d6}},	//   _шартлари, _angelnin_, _ayendlul, _paidir_, 
   {{0xc17b0078,0x72e900b9,0x44980037,0x39180211}},	//   _европи_, _pacitan_, _ditamatk, _градостр, 
   {{0x2c5200a4,0x17a3036e,0xdeb2011d,0x918f0243}},	//   _lectiva_, _baptizei, _bunurile_, _walalaay_, 
   {{0x880c00ff,0x54790238,0xf7160014,0x00000000}},	//   _אפסטעיט_, _приснило, _diasporë, --, 
   {{0xcc5b002e,0x1fc20299,0x1fa1047b,0x5b6f0100}},	//   _uputiti_, _ئاپوۋ_, _avsettar_, _isplanir, 
   {{0x9eca008a,0x225b0151,0x495802dc,0x00000000}},	//   _asinosin, _mobley_, _cedofeit, --, 
   {{0xa09a0533,0x969201f6,0x2ee20350,0x1edd0156}},	//   _امتحانات_, _মানসিকতা, _banyakka, _עבֿרי_, 
   {{0xa27f0178,0xb77a0087,0x00000000,0x00000000}},	//   _anante_, _evukhong, --, --, 
   {{0x00000000,0x00000000,0x00000000,0x00000000}},	//   --, --, --, --, 
   {{0xa201017f,0x90bc04f8,0x16cd0307,0xba140092}},	//   _mitit_, _primaril, _angakuni, _nedbryde, 
   {{0x426c0165,0x437f0087,0xf37c0321,0x93fa03f6}},	//   _cokoti_, _bihanga_, _bivanje_, _kupuna_, 
   {{0x6319012c,0x52d9004f,0xc290016b,0xa2000355}},	//   _پيران_, _kawee_, _hadaya_, _lomite_, 
   {{0x8c660241,0x890a016d,0x335f020b,0xb37801c0}},	//   _photons_, _канадани, _gaogane_, _filaton_, 
   {{0xab94026f,0xa3540265,0xa136008d,0x42800047}},	//   _ءنىلىن_, _terecht_, _شهريده_, _neuilly_, 
   {{0xd2e90119,0x00000000,0x00000000,0x00000000}},	//   _magigin_, --, --, --, 
   {{0x937f00a9,0x284b023c,0x84570223,0x6200022c}},	// [b120] _gihanga_, _anamakhu, _финланд_, _aalit_, 
   {{0xff2302a6,0x731702d8,0x920003dd,0x7c0002d0}},	//   _calenzan, _junaedy_, _saliu_, _clesses_, 
   {{0x1200026c,0xef3b0021,0xb692007e,0xc20001ac}},	//   _malis_, _amburgha, _atithibh, _cleite_, 
   {{0x334301fb,0xc26c0343,0x7aab0747,0xb2000128}},	//   _appello_, _itlog_, _oliveira_, _qadim_, 
   {{0xc200001b,0xa200013d,0xd2ca01b2,0x2fb5008c}},	//   _walit_, _falis_, _abider_, _adattats_, 
   {{0xf5cd0429,0x82fd01d7,0xd01a0188,0x00000000}},	//   _pembekal_, _enviers_, _бандишое, --, 
   {{0x984a0165,0x39f60052,0x776801a3,0xd2a70100}},	//   _koronivu, _barák_, _ڪوئٽيا_, _emocijam, 
   {{0x927f0292,0xc2000251,0xbf7d0078,0x45da02fc}},	//   _ananse_, _halis_, _оркестра_, _abababay, 
   {{0x529200ac,0x12e60099,0x126c00fe,0x11c400d5}},	//   _litara_, _stinken_, _aokosi_, _genesisy_, 
   {{0x5af70397,0x46a40195,0xf2740425,0x226c019d}},	//   _далели_, _deireidh, _لوولی_, _bokosi_, 
   {{0x8200022f,0x93100152,0x1ca300ae,0x08240178}},	//   _dalis_, _vitaliy_, _amuzanir, _anantāva, 
   {{0x40e9005e,0x52d90527,0x5ae50142,0x2f570247}},	//   _يۈگۈرۈپ_, _pocelo_, _आख्याय_, _مالدیو_, 
   {{0x88f30008,0x83f4031d,0x12900222,0xbaf40321}},	//   _احبارات_, _mustek_, _humain_, _infrarde, 
   {{0x429002f6,0x69b40169,0x5ebb018d,0x8e0d00a6}},	//   _kumain_, _অঙ্গীকার_, _ከይምለሱ_, _banditha, 
   {{0x057702d8,0x659101c8,0xad3e0403,0x427e036d}},	//   _perdarah, _bleskovk, _bichette_, _loinne_, 
   {{0xf06303e9,0x86a302e7,0x520002f6,0x52df029b}},	//   _агасы_, _cearligh, _aalis_, _doxontu_, 
   {{0x83a2064d,0x820003e7,0xb486022f,0x8257034a}},	// [b130] _hiapo_, _salit_, _амона_, _bastaval, 
   {{0x49660379,0x052c00ba,0x22000278,0x2e840159}},	//   _सोमनाथ_, _جاشێک_, _jadik_, _rankomis_, 
   {{0x38c400b7,0x920101da,0x4c0a03b9,0xf2900028}},	//   _senesind, _citim_, _utapana_, _galaya_, 
   {{0x338f0480,0x9df5000a,0xd6030188,0x14460046}},	//   _alishumi_, _anndorte_, _нокифоя_, _سانىنا_, 
   {{0x82000372,0x2c2801b7,0x32920200,0x9dd90207}},	//   _talis_, _devaputr, _zitara_, _سڪرات_, 
   {{0x101802bb,0x9f48036c,0x4e7c0142,0x00000000}},	//   _इत्मीनान_, _finganin, _दीक्ष_, --, 
   {{0xb2ec01b8,0x8ef102d5,0x2a890253,0x620000ec}},	//   _tekitab_, _तिलके_, _aalisars, _ralis_, 
   {{0x4ef10255,0x328700ce,0xc18f01fc,0xd3fd009b}},	//   _यहिकी_, _stratezi_, _kalakaay_, _naizela_, 
   {{0x32f200d1,0xbad10245,0x4d9e0052,0x8df30034}},	//   _সংকোচ_, _manmohon_, _poslucha, _innanrík, 
   {{0x8201004f,0xc200041c,0x25ea0148,0xdb5e0066}},	//   _bitim_, _xalis_, _exemplum_, _ураны_, 
   {{0xd3ff00dd,0x131c014d,0xa200008f,0x43880320}},	//   _domestig_, _trocken_, _valis_, _gidyana_, 
   {{0x4dce0162,0xa27e031a,0x227f01b4,0xc21800ce}},	//   _بەلگىسىن, _boinne_, _planne_, _senkyenm, 
   {{0x724a00ad,0x12d802e2,0x4ed903ac,0xd2ed01f4}},	//   _saumur_, _adhene_, _sepintas_, _ulanish_, 
   {{0xa20100d6,0x577b02b2,0x8290013f,0x52900182}},	//   _titim_, _selvangi, _amiard_, _ladana_, 
   {{0xd34000d6,0x9224035a,0x8ef80354,0x72950420}},	//   _lokeren_, _aleke_, _министир, _garantim, 
   {{0x137900ad,0x629e00b5,0x52000139,0x399d0156}},	//   _mudahan_, _гәаҳалал, _balir_, _אלקאהאלי, 
   {{0x626a0127,0xbe580159,0x82cb030a,0x0bab01eb}},	// [b140] _amkanioù_, _абеду_, _agadic_, _jakupetĩ_, 
   {{0xaa1902d3,0x8e7e00c8,0x3b0d0643,0xf74102f8}},	//   _намалува, _коллегал, _propusta_, _kainikav, 
   {{0x41360047,0x9cb301d1,0x62c70305,0x020101ba}},	//   _partagez_, _enhanced_, _rådde_, _litik_, 
   {{0x0a6103e4,0xc201002f,0xc3be0193,0x543502f7}},	//   _chullsus, _antip_, _स्वभावान, _kakarejo_, 
   {{0xc3940198,0xa3c802f2,0x1d4f04bd,0xb15c0039}},	//   _prosim_, _sirven_, _panalaau_, _шулам_, 
   {{0xe2000068,0x72e70026,0xa3a20192,0x00000000}},	//   _hadii_, _fransen_, _snapt_, --, 
   {{0x8eac0147,0x62000269,0x826c030f,0x31000040}},	//   _escriure_, _salir_, _kokopi_, _המליצו_, 
   {{0x9ee70013,0x70b302eb,0x9b3501cf,0x85a303db}},	//   _kishinin, _тонноор_, _ricchess, _olufanay, 
   {{0x83ea0342,0x0edf00cf,0x4df301ac,0x33a200a5}},	//   _epitou_, _bashanan, _achainío, _siapo_, 
   {{0x7349006a,0xb3cb016a,0xff8d02ec,0xdc0901c2}},	//   _handray_, _טפשות_, _مۅچھہِ_, _tempada_, 
   {{0xa200032e,0x951b0350,0x00000000,0x00000000}},	//   _walir_, _ያቋቋሙት_, --, --, 
   {{0x63840382,0x79ef01f6,0x54f20092,0x42f101df}},	//   _bobroski_, _ordninga_, _ウィキペディア_, _meestery_, 
   {{0x920002f6,0x5c5202a2,0x339403b4,0xab3b0100}},	//   _halip_, _pintuan_, _bvisai_, _potrošač_, 
   {{0x929000ea,0x09c1004b,0x197b022a,0x32d90099}},	//   _lalana_, _besellet, _telidnae, _atongwe_, 
   {{0xa9ba0368,0x09f6009a,0x70bc0018,0x22b903b8}},	//   _округа_, _مورین_, _tuimacil, _кинолард, 
   {{0xca0101ec,0x408c010f,0xd86b04b3,0x9032022c}},	//   _salatiga_, _халалдор_, _alkibiad, _bebengok_, 
   {{0xdb2f002f,0xd46e03bd,0x834202cd,0x5316006a}},	// [b150] _betanzos, _komersyo_, _faretin_, _hamangy_, 
   {{0xf2900031,0x97f800d9,0x32000202,0xc15101c1}},	//   _apaan_, _заблокир, _eleiye_, _महिषी_, 
   {{0x829000b0,0xfed10110,0x7743005e,0x92250227}},	//   _kalana_, _anonīms_, _ﻗﯩﻼﻻﻳﺪﯨﻐ, _ajakan_, 
   {{0x912701cd,0x42cc015d,0x5b67031c,0xef0f0022}},	//   _навори_, _bielsko_, _aumentan_, _сиҙәм_, 
   {{0x916f0057,0x129000ea,0xae4d014b,0xca8e00de}},	//   _ተፈጥሯል_, _dalana_, _katattaa, _ayayivot, 
   {{0x32fc03f0,0x93a20253,0xfb6500c5,0xb4460071}},	//   _helgi_, _knapk_, _占议案总数的_, _طالقانی_, 
   {{0x576d054d,0x936300ff,0x05f50193,0xf7f9004d}},	//   _samvitti, _דערטרונק, _प्रतिवार, _您可直接透過_, 
   {{0x225a011e,0xaf5603ef,0x064102af,0x229000d0}},	//   _lakle_, _amapikip, _naririmi, _aliatu_, 
   {{0x629000ea,0x02d50260,0x4ad003f7,0x82e802f2}},	//   _ialana_, _almorzo_, _austanve, _rodilla_, 
   {{0xccf500bd,0x52900544,0x72d8023e,0xba7a00d6}},	//   _hindered_, _halana_, _dicopot_, _احتجاجات_, 
   {{0x97580193,0xc30d0005,0x92900055,0x82000805}},	//   _नास्तिक_, _manader_, _padana_, _ishiga_, 
   {{0x1d5806cc,0x24520107,0x02900050,0xe2650181}},	//   _अग्निपथ_, _همدردی_, _calana_, _opdragel, 
   {{0x2473036f,0x7c6704b2,0x32950318,0x22a604cf}},	//   _dostupan_, _pumunta_, _felauaki_, _ndibe_, 
   {{0x82f0016b,0x535501b6,0x5b410529,0x833a018d}},	//   _wakilai_, _patents_, _egzotičn, _ብግህሰት_, 
   {{0x925a065f,0xc20000f1,0x8418003c,0x32900097}},	//   _dakle_, _calix_, _گوارشی_, _falana_, 
   {{0xfe280031,0xb22403eb,0x2d810091,0xa2e600bb}},	//   _otomatis_, _boeke_, _maglikta, _مہتمم_, 
   {{0x97ec0122,0x8b860160,0x27d101aa,0x4451006e}},	// [b160] _pekarang, _povoljno_, _acquirew, _bindaatk, 
   {{0x10f00044,0x62320067,0xaa7a034c,0xe2900251}},	//   _basicall, _anumaan_, _bogolyub, _aalana_, 
   {{0x7139017a,0x453d0040,0x5c0401ad,0x2fb00178}},	//   _разманда, _טייבה_, _ginsabi_, _bāṣpacvā, 
   {{0x0a210138,0x00000000,0x00000000,0x00000000}},	//   _barış_, --, --, --, 
   {{0x4c6b017d,0xa8fb0742,0xe37f00ad,0x82910235}},	//   _postfix_, _manambad, _jalanna_, _asyai_, 
   {{0x17020156,0xcf6c0265,0xd7b4002b,0xd201036b}},	//   _שחצנות_, _locaties_, _টিআইবি_, _àvida_, 
   {{0xd6030066,0x43a3007f,0x704a0597,0x00000000}},	//   _жолитой_, _almaeneg_, _арадаькк, --, 
   {{0x5200005b,0x12e600bc,0x2a890125,0x420100bc}},	//   _ishida_, _pranata_, _салланча, _pitik_, 
   {{0x535402bd,0x8b9d00de,0x428303db,0x8dd70156}},	//   _hyderus_, _تقریبآ_, _emthini_, _אתמהה_, 
   {{0x29d6027b,0xb97502eb,0x7290022d,0x2c6e02b3}},	//   _परायणं_, _телевизү, _zalana_, _acordan_, 
   {{0x4ec20405,0x94ff0061,0x3e6602b0,0xf199011a}},	//   _гостями_, _소프트웨어의_, _fruchtba, _ספוילרים_, 
   {{0x7290005b,0x03eb0052,0xb202013d,0xf47e03d4}},	//   _lalala_, _kupte_, _kopion_, _широм_, 
   {{0x84d7048a,0x5c68030b,0xc2000152,0x2c0e0073}},	//   _барады_, _bulungi_, _salix_, _subtilis, 
   {{0xc9920435,0xd213021c,0x2a9a0203,0x929004bd}},	//   _utakmica_, _suchá_, _exonomis, _nalala_, 
   {{0x9316010d,0x6ca301cd,0x52640313,0xd28a0223}},	//   _shindong_, _кунчи_, _hurlij_, _болговол_, 
   {{0x429002d9,0x2b74002b,0x00000000,0x00000000}},	//   _falaoa_, _কায়দায়_, --, --, 
   {{0x9290012c,0x42f103b9,0xb51101af,0xd2000176}},	// [b170] _badala_, _kutikiw_, _aklawçys, _ashida_, 
   {{0xd29102b7,0x63e70287,0xa3730265,0x3d9203e8}},	//   _sueann_, _boleslav_, _behalve_, _mesečne_, 
   {{0x8edc0478,0xd3a201d2,0x06350192,0x905a0241}},	//   _arbitres_, _anapi_, _belgacom_, _damaasqo, 
   {{0xa92600d9,0xc94e01cf,0x2a0300b3,0xb290023b}},	//   _причине_, _includit, _чэрелери, _nadaba_, 
   {{0x12900049,0xa0550026,0x35900177,0x696601a7}},	//   _falala_, _verschen, _дзымҧырӡ, _kuunnelt, 
   {{0x2290024f,0x69f1047b,0x8ff60149,0x637a05ce}},	//   _galala_, _ordiliga_, _divaịsị_, _ortadan_, 
   {{0x93f90282,0x0292027f,0x42900020,0xe9f80107}},	//   _patua_, _intama_, _ialala_, _ambarket, 
   {{0x740f0144,0x62ae0013,0x32d90364,0x80140097}},	//   _merriman_, _озарбойж, _amplatz_, _oyètúndé_, 
   {{0x63dc0799,0x895e018d,0xb58e008a,0x33f40422}},	//   _begwa_, _ማህረምትን_, _apetenik, _mestih_, 
   {{0x9c7d020f,0xab6c019b,0xe30f00b3,0xb26c050e}},	//   _akusela_, _правапіс_, _aylanyp_, _zamole_, 
   {{0x82d601e9,0xd224025f,0xf53002c1,0x63960321}},	//   _bagokgo_, _aleki_, _abanyacy, _ogrske_, 
   {{0xd2ca0113,0x92900182,0x56a60094,0x75d40076}},	//   _maidir_, _malama_, _ارسالاڭد, _анимиран, 
   {{0xf85902b1,0xd36c0249,0xc2ca0195,0x291002fc}},	//   _tarayyar_, _hanggri_, _laidir_, _bahahamu, 
   {{0x43930144,0x8a5702eb,0xab7c03b7,0xafc2034e}},	//   _رابطك_, _харанга_, _aproatec, _exportno, 
   {{0x1859032f,0x63aa0806,0x51540049,0x52240050}},	//   _retratos_, _vlasništ, _ekesōtos, _nyokot_, 
   {{0x9c530321,0xf607009b,0x13160556,0xc29000fa}},	//   _sestava_, _сандарч_, _aveze_, _aalala_, 
   {{0x33e20439,0x5cd30078,0xab73023b,0x538002e5}},	// [b180] _evitweni_, _недоумиц, _pokukala_, _masriq_, 
   {{0x3afd03bf,0x337501ce,0xac2a0237,0xe290021f}},	//   _akarelle, _اختیاری_, _persoons, _calala_, 
   {{0xf301079f,0x34f601cd,0x98be0417,0xe39b040c}},	//   _beibele_, _густариш, _ingestuu, _najradše, 
   {{0x83f9001e,0xac6f02f4,0xe2d900b2,0xa8da006c}},	//   _batun_, _terraza_, _argeef_, _abasesov, 
   {{0xb3a20101,0xe26c0240,0x94ac00b6,0x00000000}},	//   _companii_, _mokoti_, _rasittel_, --, 
   {{0x9290004e,0xa3f401fb,0x9c950223,0xb26e030f}},	//   _halaba_, _sustak_, _индексжү, _tapoko_, 
   {{0x2b39018d,0x7e720153,0xaa1d0133,0xf91d0133}},	//   _መካይንን_, _この書き込みを評, _dabballe, _dabballu, 
   {{0x651101af,0xf310002e,0x13eb018b,0x2dd00262}},	//   _aklawçyn, _izuzev_, _martorii_, _dushunje_, 
   {{0x628d033c,0xb93501a3,0xea7c0204,0x03a20046}},	//   _archebu_, _اچڪزئي_, _maalauks, _egipci_, 
   {{0x93a3019c,0x620001dd,0xa30c024b,0xe1d00268}},	//   _egypti_, _ashima_, _canales_, _aiverway_, 
   {{0xa202044a,0x78b70187,0x496a064d,0x8c7500db}},	//   _matiti_, _признае_, _mepibose, _चिक्का_, 
   {{0xb49200e2,0xc5a301a7,0xbed70126,0xaee10148}},	//   _situaasj, _советую_, _легше_, _insignis_, 
   {{0x8ede0161,0x8c6f041e,0x1d8001f9,0xaf1100c4}},	//   _ударов_, _amurosa_, _indlóvan, _spotista, 
   {{0x63160104,0xb2e60415,0x52d9046b,0xd39602ce}},	//   _uveze_, _bringen_, _dawel_, _nyusun_, 
   {{0x637a031a,0x66d502f9,0x10d1000d,0x0ea102dd}},	//   _astaran_, _eksplozy, _alkohool, _intużat_, 
   {{0xdb6202b7,0xb4390362,0xd9ba0400,0xa40a0350}},	//   _theressa_, _ayikokok, _arregava_, _የአጀንዳ_, 
   {{0xe30204a5,0x55e50420,0xd18a01af,0x3c1e020e}},	// [b190] _amabele_, _кученце_, _aglamaly_, _difaktor, 
   {{0xe29000ce,0x693800e6,0xcf180046,0x02ec021a}},	//   _frekans_, _中原藏獒研究中心_, _ventdelp, _hayilee_, 
   {{0xd20001b8,0xa37a0008,0x02e60364,0x00000000}},	//   _madis_, _estaran_, _gringen_, --, 
   {{0x13f902ee,0x04530037,0x9c2b01f4,0xba5803a2}},	//   _matul_, _ኤንመርካር_, _براینچی_, _मर्सडीज_, 
   {{0xb2030219,0xb6d600be,0x42760376,0x62000241}},	//   _awukavum, _دارمان_, _bringuni_, _fadis_, 
   {{0x7200034d,0xb379020e,0x42590090,0x083600c8}},	//   _gadis_, _botahoa_, _anongoti_, _процен_, 
   {{0x72e801d2,0x5b9c042a,0xbbda0262,0x97a30144}},	//   _ajanasu_, _atentako_, _халатынд, _feithici, 
   {{0x4ae000d9,0x95d6002b,0x190200d1,0x8f3a003b}},	//   _masennus, _রাহমানির_, _সঞ্জীৱনী_, _kufunaka, 
   {{0xa56f0453,0x92da0590,0x303f021f,0x00000000}},	//   _potvrdio_, _museoa_, _dokumeen, --, 
   {{0x2abe0064,0x20010287,0xe7a901c2,0xf2900119}},	//   _лондондо, _संचालनको_, _vertedoi, _malaca_, 
   {{0x566001b8,0x0afe0075,0x08be017f,0x6627026f}},	//   _बृहस्प_, _eitthvør, _angertuu, _قابىلداي, 
   {{0x325a03d3,0x83f9003f,0xc1630045,0x32d9010d}},	//   _samles_, _datul_, _митровић_, _bawel_, 
   {{0x7f960040,0x523902d3,0x1417004d,0x6c64001d}},	//   _כישלון_, _забораве, _讓我們一起來接龍_, _pecunie_, 
   {{0x03be00ba,0xbdae00e0,0x93a20108,0xdb2e01af}},	//   _ملێۆن_, _langhout_, _dhipa_, _durnanyň_, 
   {{0x5225002c,0x72000006,0xac770222,0x6b9d02d3}},	//   _eduki_, _hadir_, _puisque_, _франција_, 
   {{0x95770279,0x3f8e0188,0x00000000,0x00000000}},	//   _médiathè, _лахзахои_, --, --, 
   {{0x1b420397,0x8344024a,0x00000000,0x00000000}},	// [b1a0] _ababazis, _aridaju_, --, --, 
   {{0xad6f00a7,0x22c705f6,0x6f42033e,0xa4890187}},	//   _احلاق_, _nådde_, _аквартал_, _проспери, 
   {{0x4e480148,0xc2d900ad,0x0e350147,0xc2f3026c}},	//   _目前已經有_, _sawed_, _millores_, _audivit_, 
   {{0x786c02d8,0x9aa80061,0xf3800005,0x79da005b}},	//   _obesitas_, _유아교육기관_, _ustria_, _asclepia_, 
   {{0x83a2000c,0xb1b80157,0x91630066,0x4b9206d4}},	//   _chipa_, _मध्ययुगी, _narrazio, _indicado_, 
   {{0x62da0300,0x7a9c00c5,0xdda1019a,0x2ea1007b}},	//   _musela_, _如本网转载稿涉及, _cairried_, _cairriet_, 
   {{0x12b207a3,0xa2c10100,0x8d850217,0xf637034c}},	//   _स्टाइलिश_, _stolova_, _repetite_, _тарихны_, 
   {{0x42000399,0x02ca0259,0xc2e90499,0x4290037f}},	//   _ashika_, _trods_, _misiona_, _balaca_, 
   {{0x47c702ec,0xc48600c1,0x6f5100c1,0x29c5018b}},	//   _تُلتھم_, _देणारं_, _टायगर_, _referint, 
   {{0xd0b40807,0x5c020025,0x0d8903b9,0xe8c5050a}},	//   _अंगुरी_, _adhunā_, _qalltamp, _seferind, 
   {{0xc2a604ee,0x8225018c,0x941300ba,0x73f900e1}},	//   _adaba_, _leuke_, _حاڵدا_, _catul_, 
   {{0xb27f0445,0xf1bd002b,0xfad200c1,0x75f4005e}},	//   _diante_, _পিঠের_, _एकाचवेळी_, _ئۆتمۈشتى, 
   {{0x415902cf,0xa4d401ab,0x265400ba,0x037901af}},	//   _расправи, _जिभिया_, _گۆڕدرا_, _caganyn_, 
   {{0x29db0257,0x11350152,0xdf250296,0x00000000}},	//   _opinbera_, _gailädä_, _svartpep, --, 
   {{0x9d900071,0x335401c8,0xf2fc021e,0x637b0465}},	//   _رجبعلی_, _turecku_, _krogar_, _obrambo_, 
   {{0x0dde0017,0x6140044a,0x9bee050a,0x11480255}},	//   _मुस्ताङम, _bibengel, _genelkur, _ettetell, 
   {{0x95b10103,0x9393046b,0x58b702e7,0x51e20268}},	// [b1b0] _akagwiny, _botymau_, _kostomer_, _azzoccom, 
   {{0x72ca0212,0xc3f90440,0x02010377,0xa74b000e}},	//   _bondii_, _ziguma_, _citit_, _gamitrav, 
   {{0x3201009d,0x7ec90140,0x66c000af,0x12e30217}},	//   _vitit_, _posiblen, _репутаці, _chaisse_, 
   {{0x62900025,0x22010058,0x332000de,0x185f0073}},	//   _sadaha_, _fitis_, _abeya_, _entratas_, 
   {{0x1201010d,0xbaf90046,0xe8bb020f,0x3948002f}},	//   _titit_, _سانىتارد, _ويبکې_, _esclavot, 
   {{0x230d0194,0x52fc0203,0x33eb004d,0x74da00d7}},	//   _separat_, _arogar_, _rupta_, _торна_, 
   {{0x6b06002b,0x441200be,0xfaa90045,0x33a3018c}},	//   _হায়রে_, _جەپتىر_, _прерађив, _slepen_, 
   {{0x7c7c00f5,0x17b1018e,0x76c60014,0x169a01e5}},	//   _ташланды_, _eauschwi, _muhamedi, _iyanusọr, 
   {{0x12a6041f,0x2f6a0270,0x23170168,0x07e90157}},	//   _udaba_, _bicarios_, _spenning_, _इंटीग्रे, 
   {{0x6484015e,0xf31902ac,0x64900098,0x520001b9}},	//   _ئنىمەن_, _ريماس_, _byrådet_, _vadir_, 
   {{0xf98701b8,0xa202031a,0x473701be,0xcc2e066f}},	//   _ढिलमिल_, _astigh_, _celoživo, _vivanunc, 
   {{0x91590696,0xb2da0369,0x67a80211,0x38db000d}},	//   _críticos_, _busela_, _taiteili, _haigestu, 
   {{0xfc440064,0x5201033d,0x62aa02b9,0x8dbe02e1}},	//   _serveis_, _antiy_, _jóban_, _mbrainse_, 
   {{0x127f0359,0x08bf01b2,0x6adf0321,0xc2c302fb}},	//   _moanne_, _bootlegg, _nastanit, _kauleka_, 
   {{0x862d033b,0xe0ec004c,0xcc5b03bf,0x53dd004e}},	//   _kagolesw, _abazitoo, _dirtehi_, _igawas_, 
   {{0xcad2018a,0x685f0071,0xe20100ad,0xbdd303ae}},	//   _porthaet, _didaftar_, _bitis_, _forklart_, 
   {{0xd201033d,0x7c750512,0x82010251,0x13e900f6}},	// [b1c0] _pitit_, _ताम्बे_, _mitir_, _aqressiv_, 
   {{0x95610074,0x4e38056e,0x49d800e4,0xbc1b0129}},	//   _mielestä, _recortes_, _व्यवसाई_, _zilaghar, 
   {{0xcb8600ac,0xa1ec0100,0xb20000f5,0x12010230}},	//   _dovoljno_, _najgorih_, _nadip_, _fitir_, 
   {{0x1b45012a,0x968c01c9,0xd2f0007a,0x92c30013}},	//   _pokazują_, _पैठान_, _qasidah_, _шохиста_, 
   {{0xd29200d5,0x4a1a03a2,0xb225013d,0x72900369}},	//   _entana_, _संवेदनाओ, _eduko_, _palaha_, 
   {{0x12000242,0x87440163,0xd2a602ab,0x32e501d4}},	//   _sadiq_, _دنیامیں_, _odibo_, _trincea_, 
   {{0x00a000e5,0x0c030359,0xd2900132,0x59f70119}},	//   _апликаци, _selskip_, _valaha_, _dumaguet, 
   {{0x392a0016,0x02ca0129,0xea2a07b7,0xa9c10465}},	//   _oficialu, _ibiliri_, _oficiale, _desetlet, 
   {{0x02000034,0x79b003c1,0xe9900092,0xb00d002e}},	//   _komist_, _зеленчук_, _前記階調特性デ_, _ugovoren, 
   {{0xc3210434,0xcfef0105,0x06800315,0x58e400e6}},	//   _gracias_, _उपरान्त_, _aniketiw, _查看全部评论_, 
   {{0xf37200e6,0x3edf01f4,0x48470361,0x8a420059}},	//   _市场登记证_, _mashinan, _зарание_, _condanna_, 
   {{0x7fc30362,0x1fc801e6,0xe25a0321,0x12000150}},	//   _affilier_, _radiátor, _naklo_, _kiling_, 
   {{0x230203b3,0xc2ba0100,0x00000000,0x00000000}},	//   _amabile_, _fondovi_, --, --, 
   {{0xa3e60033,0x32e60450,0x32340196,0x00000000}},	//   _realisaz, _grinzen_, _asamuke_, --, 
   {{0xbbd40187,0xd6760040,0xd2010229,0x54c103c4}},	//   _нелегалн, _טבלאות_, _bitir_, _сәрдари_, 
   {{0x223802ae,0x13930368,0xe9eb015a,0x00000000}},	//   _sajmovi_, _боинга_, _googlitt, --, 
   {{0x362900b4,0xa20c00de,0x9e0a0420,0x9292042d}},	// [b1d0] _venituri, _awayenal, _indeniza, _antana_, 
   {{0xfdee0402,0xcdf30148,0x62f90291,0x02d502ce}},	//   _mendakwa, _第二代理人_, _وتخرج_, _boboran_, 
   {{0xe2000140,0xf4ba0129,0x70e101e6,0x3f720187}},	//   _hiling_, _kandụl_, _autodopl, _потрага_, 
   {{0xeffe0137,0x429102ee,0x11c904c7,0xc2a002a8}},	//   _хараацай_, _isqaq_, _торту_, _jorbot_, 
   {{0x72ca024c,0xf8e3032d,0x347a01df,0x92000084}},	//   _erodi_, _турын_, _imitatin_, _ciling_, 
   {{0xa27e0117,0x82ca033a,0x417c042a,0x57e60012}},	//   _aninit_, _frodi_, _ingabhal, _संगरहा_, 
   {{0xb2ec02a6,0xd6c4005a,0xcd3d00b5,0xdae601d9}},	//   _curiose_, _chosmush, _dumpcrac, _friddens, 
   {{0xea08016d,0x422401c4,0x52e30295,0x00000000}},	//   _әйдиз_, _koeke_, _manioke_, --, 
   {{0x920103f0,0xe0c80013,0x88ec002b,0xc22b00ee}},	//   _bleikt_, _машгулот, _জ্বলন্ত_, _станцад_, 
   {{0x69e904ce,0x22010115,0xe2ca0224,0xa16701fc}},	//   _khotsimu, _witir_, _sindri_, _muunatah_, 
   {{0x720001e8,0xb46a01d5,0x29970444,0x584b0196}},	//   _ailing_, _عراقیوں_, _мирзаев_, _chimakhu, 
   {{0x73ac0132,0x2292006a,0x4cd500a4,0x2b5703a8}},	//   _tippek_, _mitana_, _гулмира_, _এচামুচকৈ_, 
   {{0x20560061,0x26ca0418,0x085103eb,0xc6dc03bf}},	//   _상품만족도_, _yaratabi, _broodnod, _аңыма_, 
   {{0x13f9028a,0xd14906ec,0x9ed9029a,0x0651025b}},	//   _hatua_, _barreiro, _vizilans_, _skrivið_, 
   {{0x1ae70169,0xc17c034f,0x232102fc,0x15b7003c}},	//   _বিচারক_, _angabhal, _ahuye_, _پرخاشگری_, 
   {{0x632102be,0x2e910019,0x46b602ca,0x0db3042d}},	//   _ngayon_, _اجودوي_, _meastach, _anangana, 
   {{0x63f900a5,0xb4cd008d,0x6deb00ba,0x00000000}},	// [b1e0] _matua_, _рафиқаси_, _پێشهاته_, --, 
   {{0x0472034d,0x3656016d,0x7201022c,0x41d70435}},	//   _disebabk, _ﯪﭘﺘﻮﻧﻮﻣﯩ, _nitip_, _синиша_, 
   {{0x83430178,0x005c0050,0x62900230,0x017c04cf}},	//   _द्यूत_, _satuluyn, _nsekans_, _engabhal, 
   {{0x501202c3,0x70cd0303,0x831602ff,0x0e5000a0}},	//   _predpiso, _bapostel, _ayizan_, _alkaluma, 
   {{0x16da0056,0x167600ba,0x4347021e,0x9e4d03d9}},	//   _додихудо_, _سێگۆشه_, _vinerna_, _dadabena, 
   {{0x627f0150,0x730c02fd,0x00000000,0x00000000}},	//   _ananit_, _adabroc_, --, --, 
   {{0x5273014a,0xb3f9009b,0xf25a0120,0x829000bc}},	//   _kínai_, _batua_, _macle_, _bliard_, 
   {{0xaa880062,0x130b0094,0x6f19047c,0x98dd016a}},	//   _bilosnis, _اۋلاپ_, _jordsmon, _aktualig, 
   {{0xe0e100f4,0x83540046,0x5c9300a4,0x1ecb006c}},	//   _ampartiz_, _novetat_, _جازات_, _akunazin, 
   {{0xfdc60076,0x2c7300d9,0x00000000,0x00000000}},	//   _однапред_, _avaruus_, --, --, 
   {{0xce720178,0x9e350203,0x337f03fd,0x82920108}},	//   _वेश्म_, _pollices_, _talaina_, _citana_, 
   {{0xe2000481,0x22ee002e,0xf2010107,0x435f018b}},	//   _kleine_, _krenuli_, _ratih_, _alegere_, 
   {{0xd26c02b5,0xcebe01b5,0xa96902b4,0xe2a60328}},	//   _itloh_, _anguleke_, _bacinise, _ndabe_, 
   {{0xde2504ce,0xd2010122,0xbd7d0226,0x1a1e030a}},	//   _mangadza, _patih_, _akumalip, _carballe, 
   {{0x9aa5000a,0x0201011b,0xf2fe0311,0x00000000}},	//   _kisitsis, _batii_, _burgim_, --, 
   {{0xd95f00ff,0x5c7d0433,0x6492015e,0x83ea0241}},	//   _וואלונטי, _jussara_, _медалдар, _bartichi_, 
   {{0x230d042e,0xbfe503cc,0xbc670007,0x37ec030d}},	// [b1f0] _kanaler_, _জমজমাট_, _bakuzwa_, _cabbarov, 
   {{0xd9c003e6,0x26f400b4,0x04140096,0x37ee0122}},	//   _scheisse, _singură_, _bakinjiz, _dipayung, 
   {{0x76780148,0x6cf20162,0x5a090251,0xcd2801ac}},	//   _英語資訊網_, _يايما_, _badanina_, _shasanac, 
   {{0xb29201a0,0xeeac02c3,0x7345001d,0x039e044b}},	//   _vitana_, _založeni, _heredie_, _enzymer_, 
   {{0xedc20140,0x00000000,0x00000000,0x00000000}},	//   _panitika, --, --, --, 
   {{0x92b40371,0xb96900e0,0x69af049e,0x8b470223}},	//   _clicca_, _opsichte, _handlove, _цайдам_, 
   {{0x02a60241,0x879d0061,0x4200005b,0x629002a2}},	//   _adabe_, _상세검색창_, _oshima_, _nadama_, 
   {{0xfa090405,0x4d850178,0x337b01c7,0x3b24030b}},	//   _гарантов, _bhāsī_, _bularam_, _bigambib, 
   {{0xc29201aa,0x636402c8,0x1979027c,0x02900054}},	//   _aithfay_, _chegaba_, _beyisebe, _hadama_, 
   {{0x0c420235,0x504904ad,0xe5d200b7,0xc9c202f3}},	//   _रक्षसाम्_, _dingongo, _birazajy, _sundbybe, 
   {{0x420003df,0x1efe01f3,0x00000000,0x00000000}},	//   _aleine_, _konkurzn, --, --, 
   {{0xbbb100c7,0xd26d0133,0xb7b60334,0x00000000}},	//   _әйтелде_, _biruukil, _kawereng, --, 
   {{0x8e950044,0xdabb0166,0xe606004d,0x5a8a03e2}},	//   _שוורץ_, _verwandt, _全國人大常委會關, _factoría_, 
   {{0x82490158,0x22920158,0x25010044,0x69d00141}},	//   _firmy_, _zapach_, _interval_, _метин_, 
   {{0x0f3902bb,0x62790307,0x3c380092,0x1e0e0027}},	//   _दूरियां_, _andiboni_, _ステップｓ_, _televida, 
   {{0x230d0136,0x3d9e0396,0xb49f002b,0xa2900030}},	//   _sanader_, _kwantita, _বৈশ্বিক_, _sadala_, 
   {{0x9290006e,0x3290005b,0xf9e4026f,0x8c6c0212}},	// [b200] _aadama_, _yamato_, _ءﺗﺎﻧﺘﺘﻰ_, _regulam_, 
   {{0x416b0169,0x08c4016e,0x7c9501a4,0x728d000d}},	//   _ডকুমেন্ট, _genelind, _bolevard_, _varastam, 
   {{0xc39b05d7,0x12900087,0x46100024,0x87ef01b8}},	//   _stephani_, _valala_, _ৰূপহী_, _kataloog, 
   {{0xaec00139,0x2d7d02ac,0xc8e00322,0x9ddc01a3}},	//   _शुक्रवास, _سجلات_, _amaseriv, _ملاوت_, 
   {{0xf6b5036e,0x50600255,0xa2920277,0x553b0140}},	//   _alistach, _उपासे_, _gitala_, _balikbay, 
   {{0xf2010062,0xca360094,0x8f290085,0xa50500ff}},	//   _dativ_, _заочно_, _dauraira, _שובבי_, 
   {{0x2f9c0019,0x530c0279,0x4a54004d,0x00000000}},	//   _قاتباعان_, _rafales_, _你如此端詳的這張, --, 
   {{0xd2e60190,0x7065016a,0x00000000,0x00000000}},	//   _dringen_, _bombisto, --, --, 
   {{0x151601cc,0xb3fa0369,0xefa901c7,0xb2ee012a}},	//   _शब्दाः_, _pupuka_, _berendir_, _cenniki_, 
   {{0xb6210210,0x18d60178,0x3dfd0137,0x17af03e6}},	//   _asingapi, _balavṛtr, _намаасаа_, _fokussei, 
   {{0xd6f20315,0x03500012,0x42250439,0x4c530217}},	//   _anganakw, _इमेलो_, _hluka_, _vestiva_, 
   {{0xf8850255,0x0c48017d,0x72e903d9,0x03f2010b}},	//   _श्रीवास्, _エレクトロニクス_, _fisiana_, _diwelang_, 
   {{0xdb0d04a0,0x4382032c,0xa95900b7,0x32860040}},	//   _fórmulas_, _ameralim, _belletme, _צילינדר_, 
   {{0x2ea7000e,0x252700b2,0xd87e0270,0x32fc028c}},	//   _annullat_, _argiteeh, _corpores_, _langeb_, 
   {{0x033d0092,0x329002fa,0x531a004d,0x9316004b}},	//   _fuldstæn, _kamaro_, _然後再按一下_, _fannweng_, 
   {{0x62fe00d6,0x366c0035,0x32010467,0xa2900403}},	//   _chugat_, _номерлар, _watiw_, _radama_, 
   {{0xb29001c9,0xf60d034a,0xc2ea0261,0x35240096}},	// [b210] _sadama_, _pedagóxi, _anoncis_, _amaronko_, 
   {{0x9d590147,0xffa60074,0x7b7703bf,0x4c010452}},	//   _ارئينە_, _затраты_, _арбаны_, _plester_, 
   {{0xd3960056,0x4073010f,0xd225025f,0x6a8b0297}},	//   _akusho_, _дусти_, _aluka_, _delegatı_, 
   {{0xdc2b0195,0xa200029a,0xc29001e5,0x0bdb006c}},	//   _aburrá_, _obliz_, _fadaka_, _abawuseb, 
   {{0x7ee10534,0x437203a0,0x829203ba,0x00000000}},	//   _copytext_, _beilweng_, _nerate_, --, 
   {{0x132600be,0x271e01f4,0xb83f0350,0xb7b704e6}},	//   _جالىپى_, _ҳаага_, _እሰጢፋኖስ_, _guguguli, 
   {{0x6290013a,0x264203c6,0x42900014,0xe29001c0}},	//   _spaas_, _blokflui, _kalaja_, _hadaka_, 
   {{0x23b0024c,0x529400c1,0x8032018c,0x11b70076}},	//   _banquo_, _विरोधक_, _hertogen, _хитови_, 
   {{0x156100ed,0x529203bf,0xb15f029e,0xd25a00f2}},	//   _proviamo_, _litaba_, _andrzejo, _kakla_, 
   {{0xe9a5049e,0x03fa075b,0x726c02a2,0xca7403c4}},	//   _diskusia_, _populo_, _tulog_, _телевези, 
   {{0x9bb20107,0xd2ed012b,0xf50c0132,0x42a60118}},	//   _shahramc, _dekoracj, _források_, _aliba_, 
   {{0xe0310312,0x9c46003c,0xd30203b6,0xc0600224}},	//   _kontaden, _مرامی_, _johannu_, _andsetin, 
   {{0xa2920022,0x1292047d,0x99060331,0x4c160331}},	//   _aitaba_, _gerate_, _knapplig, _barsilss, 
   {{0xa22f0014,0xc63e01a0,0x52900347,0xbe6c0131}},	//   _ሻምፕዮን_, _andleriw, _spaar_, _recoménd, 
   {{0xd37b00fc,0x4c62013c,0x93aa03b5,0xa6930121}},	//   _dasawqo_, _nabukko_, _terapung_, _antelaci, 
   {{0x42d90310,0xd292020e,0xf32102b4,0xd06300ff}},	//   _skynyrd_, _ditaba_, _abuye_, _מאנגל_, 
   {{0x325a07a7,0xb22b022d,0x08990193,0xd2920306}},	// [b220] _bakla_, _riempie_, _मातृभाषे, _arqani_, 
   {{0xce7d04ac,0xe2c30240,0x9608010d,0x73f400bc}},	//   _придется_, _daudokai_, _ngumpuli, _ciuté_, 
   {{0xf2f2005e,0x93fc0076,0x22fc02f6,0x435902e6}},	//   _ﺗﻪﭘﺴﯩﺮﻯ_, _спортот_, _bangus_, _cheftræn, 
   {{0xb30f01d8,0x3fcc04c9,0xd20100bd,0xc3a20320}},	//   _durbula_, _lüneburg_, _datit_, _khapa_, 
   {{0xeb0a0193,0x991a0064,0x00000000,0x00000000}},	//   _alapalap_, _замбирек, --, --, 
   {{0xf20101f1,0xe41a0094,0x425a017a,0xc29001ab}},	//   _fatit_, _سىزدىڭ_, _asolwa_, _salaja_, 
   {{0x3a3c048a,0xb1ba032b,0x22900082,0x1427010f}},	//   _ءﺑﻮﻟﯩﻤﯩﻨ, _бешарәт_, _halaka_, _дипломӣ_, 
   {{0x3a6102f0,0x360e00a6,0x72020007,0x2fe902d5}},	//   _abeliseb, _دستونزو_, _katisi_, _संयासिन_, 
   {{0x0e57006f,0x8038022b,0xf96a0022,0x1201019a}},	//   _chochote_, _vestmenn, _тәүшартт, _hatit_, 
   {{0xee1d01d9,0xb5350153,0xd26c00f2,0x508204c7}},	//   _daveluxp, _これからもよろし, _atdod_, _душевних_, 
   {{0x83f801b9,0x27c20024,0x1a6a018d,0xaae6030d}},	//   _choula_, _জেওৰা_, _ምፍታኖም_, _arqument, 
   {{0x0d7e0305,0x32ba02ee,0x60b002aa,0x00000000}},	//   _gammalda, _condivi_, _kormidel, --, 
   {{0x9f390681,0x12950538,0x902d05b1,0x92e90102}},	//   _प्रिन्ट_, _fiskeri_, _zemplíns, _kupinga_, 
   {{0x52010138,0x1edf02ce,0x79d601b5,0x332103db}},	//   _tatil_, _hipnotis_, _mahetele, _ubuye_, 
   {{0x429000b0,0xb278025c,0x74b20080,0xf95b0109}},	//   _malaha_, _ferner_, _anaanakk, _हाँस्ने_, 
   {{0x26e102fa,0x00000000,0x00000000,0x00000000}},	//   _ababishi, --, --, --, 
   {{0x52d80263,0x5b6c0365,0x1e680388,0xffe800db}},	// [b230] _gehele_, _rostlina_, _maschile_, _वाचालता_, 
   {{0x4fe4008d,0x122403c7,0x12900282,0xe22401f3}},	//   _хусусда_, _domku_, _matakahi_, _vleku_, 
   {{0x53960416,0xdb9d01b7,0x42e70026,0xa2e70190}},	//   _misser_, _जीमूतवाह, _branden_, _urangen_, 
   {{0xee240008,0xdf1f02fc,0x13010362,0xb2eb03a4}},	//   _региондо, _abitanga, _botangi_, _barnaræt, 
   {{0x82180089,0xc6370059,0xa70c0156,0x0f3f0433}},	//   _аббат_, _карлово_, _הפֿסקה_, _manginan, 
   {{0x890c0149,0x13960198,0x07c80209,0xe9e80281}},	//   _eksplọra_, _okusno_, _danskini, _erarteru, 
   {{0xb29002e7,0x39750511,0x00000000,0x00000000}},	//   _dalaha_, _equinoxe, --, --, 
   {{0x826c0673,0x13160673,0x63960431,0x67a900b3}},	//   _inkosi_, _eveza_, _aarset_, _bermedik_, 
   {{0x67b30119,0xf37602ac,0x5b5b01e7,0x2b770055}},	//   _inisyati, _dobryrem, _begeinen_, _asistuta_, 
   {{0xe2240282,0xefd70013,0x62ec0244,0xb2910460}},	//   _koeko_, _карашли_, _variare_, _फ्रोजन_, 
   {{0xf70f00a6,0x01c90100,0x25a8015e,0xfafa0400}},	//   _اڅکزی_, _poreznih_, _махабатт, _allunghe, 
   {{0x4c5001c5,0x625b02a9,0xb170009a,0x2b770235}},	//   _گندنا_, _anglų_, _مشهورو_, _anulomac, 
   {{0xf2a7019a,0xe396024c,0x02900049,0x7f43017a}},	//   _nabbed_, _fisser_, _halaia_, _abasekup, 
   {{0x3b180130,0x32900544,0xc2710085,0xb2f0007a}},	//   _renadenn_, _kalaia_, _lagilagi_, _wasilah_, 
   {{0xd29000ad,0x4a050243,0xd20201e5,0xf85500d1}},	//   _salaka_, _caraamit, _batiri_, _অগ্নিক_, 
   {{0x53a20113,0xd22c0013,0xc7e7025e,0xb9d20223}},	//   _thapa_, _میپلز_, _endanleg, _paregabe, 
   {{0xb2240230,0x599d00c7,0x93a90084,0xc03203f3}},	// [b240] _eleks_, _саный_, _kayaning_, _vertegen, 
   {{0x23160104,0xf5020377,0xd37c00b0,0x0258025c}},	//   _uveza_, _жералдич, _waraabe_, _angekomm, 
   {{0x105300d6,0x23a90071,0x0a1104ad,0x00000000}},	//   _جالسه_, _dayaning_, _mapalame, --, 
   {{0xe17501aa,0xc2010564,0x57d300d6,0x6a0a0018}},	//   _akingtay_, _latik_, _احتجاجا_, _milamila_, 
   {{0x282f026c,0x6724002b,0xb68a0056,0x6945020f}},	//   _星座報馬仔_, _এক্সটেনশ, _amavidiy, _شپږسوه_, 
   {{0x2e4701f6,0xd3fe00a6,0xe2010058,0xf27f034f}},	//   _নামঘৰত_, _akazala_, _natik_, _ananye_, 
   {{0x3dad0268,0xe19c0122,0xd3aa02b4,0xcc510418}},	//   _artiespa, _هلالی_, _asaveye_, _noktada_, 
   {{0x6dbb017d,0x23f900e4,0x0213001f,0x91e10255}},	//   _アニメ感想_, _sztuk_, _hwehew_, _मुसरी_, 
   {{0x8ee30142,0xc9510025,0x52cb034a,0x9a0802ce}},	//   _निर्मिता, _ahorātra_, _acadar_, _salamina_, 
   {{0x632b0342,0x727f02ea,0xca87012a,0x72f300fa}},	//   _afichay_, _piante_, _jubileus, _bulilit_, 
   {{0xec67019f,0xebea0174,0xfc760046,0x117b009b}},	//   _makubwa_, _sedemokr, _paquets_, _belaunal, 
   {{0x549c0169,0xb8150079,0x92d80300,0x19f60163}},	//   _চিন্তার_, _investīc, _panely_, _بونیر_, 
   {{0x8122009a,0xd5d10029,0xe01f019b,0xa26d04da}},	//   _محرومه_, _دابڕانی_, _investuo, _odgoja_, 
   {{0x20780074,0x22250098,0xe2710165,0xe7de0060}},	//   _электроп, _smukt_, _magimagi_, _кривенко_, 
   {{0x7a430126,0xfecc004f,0x1b1b02ff,0x739600ac}},	//   _телепере, _bonofiis_, _bitasyon_, _ukusno_, 
   {{0x4d9001e9,0x1f27015f,0x73740358,0xf2950331}},	//   _balekane_, _aberffra, _chodyè_, _enskari_, 
   {{0xb2780196,0xefd503d8,0xbc7604fd,0xdf5c01c2}},	// [b250] _miliyoni_, _prezimen, _बाम्बे_, _gústame_, 
   {{0xbf320235,0x4ef40109,0x5231003d,0x577900be}},	//   _agamyarū, _tradiční, _acampan_, _جوقتومو_, 
   {{0x42010564,0xd197002b,0x72900225,0xfeb902cf}},	//   _datik_, _নিষিদ্ধে, _mamado_, _пропадна, 
   {{0x3a090428,0x7de6001a,0xb3de00f1,0xe292016b}},	//   _prepoved, _اعانت_, _latwal_, _rataya_, 
   {{0xbdaa030b,0x62a00277,0x798200f2,0x79fa0298}},	//   _abaisira, _kauban_, _apakšveļ, _hopihona_, 
   {{0x73370220,0xb17d0182,0xecee00ff,0x00000000}},	//   _никога_, _hoopahao, _יוביליי_, --, 
   {{0xb3aa0166,0x93870078,0x5fc60078,0xeafb009a}},	//   _beratung_, _храмове_, _медицину_, _bangaseb, 
   {{0x59e80205,0x387e0434,0xd369007b,0x9915000a}},	//   _نامزویدی, _cucharad, _biggins_, _assammiu, 
   {{0xc3e20044,0x5eaf0183,0xc01701f6,0x7f0703d4}},	//   _הקלידו_, _manoloan, _handverk_, _провера_, 
   {{0xbb610264,0x42000044,0x6504034e,0xc36c0439}},	//   _bystrica_, _riding_, _chulluch, _mangari_, 
   {{0x3b0c0573,0x76600201,0xfb64005e,0x4292033f}},	//   _بانیا_, _dagiiná_, _كۆپكەن_, _katafa_, 
   {{0xd59b0142,0x7704002b,0x9c5a034c,0x00000000}},	//   _asurapak, _অসুবিধার_, _барабызм, --, 
   {{0x09510025,0x8d920028,0x834d0150,0x4201002c}},	//   _ahorātre_, _billaaba, _poretim_, _tatik_, 
   {{0x5ccd0060,0x2b1b029a,0xfd27022a,0x12a6019d}},	//   _заманаға_, _sitasyon_, _svistapr, _ilibe_, 
   {{0xa2240192,0xe6dd01cd,0x00000000,0x00000000}},	//   _boekt_, _asipheph, --, --, 
   {{0xd86c036e,0x1201035d,0x51630405,0x62ca004f}},	//   _akrarkur_, _datih_, _karsykdo, _meddum_, 
   {{0x55a900b0,0xa6ea018d,0x837a004e,0x936c0205}},	// [b260] _raashink, _ምዕባዮም_, _lutahan_, _jangari_, 
   {{0x5290017a,0x06cd0095,0x249e0322,0x00000000}},	//   _akhani_, _bebayani, _barafunz, --, 
   {{0x3e21060e,0xa37301c2,0x3df00113,0xa396036f}},	//   _चित्रावल, _adiante_, _وندوز_, _tursku_, 
   {{0xf200034a,0x52da0387,0xf65f020f,0x7d8c0109}},	//   _dimite_, _mepere_, _andimelw, _tečka_, 
   {{0xa2e802f3,0x83fd036f,0x7ae600d4,0x1b690205}},	//   _hänger_, _prozora_, _boarnste, _yakuniga_, 
   {{0x53070339,0x8d9a0274,0x984803a4,0x4cb30334}},	//   _hanaʝi_, _krefjast_, _farmaflu, _kunalitu_, 
   {{0xa0930122,0xf292033f,0x82a60196,0x7a0800ad}},	//   _چطوری_, _fatafa_, _alibe_, _salakina_, 
   {{0x045f0227,0xe25a0055,0x566e0287,0x7eae0189}},	//   _ditentuk, _frolla_, _वातावरणम, _rastgele_, 
   {{0x02010058,0xe2e80166,0x62900020,0xf08b00ba}},	//   _patik_, _länger_, _apaau_, _بووژانه_, 
   {{0x99d1013a,0xd605034e,0xf9d2000c,0xb3dc04cf}},	//   _ausernee, _chulluri, _mbajerér, _ngowe_, 
   {{0xf84803dc,0xcc290294,0x88650338,0xcdb201d2}},	//   _fullveld, _asusiyas, _aparelhs_, _chinpana, 
   {{0xb04b027b,0x00000000,0x00000000,0x00000000}},	//   _निरगात्_, --, --, --, 
   {{0x626f007a,0x0e540020,0x72ec011d,0x00000000}},	//   _ditiduri_, _sinavaia, _cariere_, --, 
   {{0xb2e8040a,0x737c0243,0x1c770103,0x093f0011}},	//   _länder_, _garasse_, _asisade_, _atamukut, 
   {{0xad670238,0xef760040,0x42fc01df,0x5ea801b3}},	//   _патологі, _בשלטון_, _insicht_, _вбила_, 
   {{0x4ae1041e,0x865b0381,0x1a710165,0x222402ad}},	//   _acquiste, _afghansw, _yawayawa_, _fleky_, 
   {{0x83a2033d,0x74a100f6,0x89670258,0x2e400334}},	// [b270] _chape_, _formatı_, _teminste, _ankapemp, 
   {{0x79e90027,0x3f3700ff,0x2ce70255,0x1c6a015d}},	//   _diseinü_, _צאמגעשטע, _oksjonid_, _गुम्बद_, 
   {{0xd345015d,0xf3ea0329,0xb2920209,0x59aa01a3}},	//   _terenie_, _akote_, _aataga_, _اورڪزئي_, 
   {{0x8d9d0195,0x09f704e6,0xbcc600be,0xc5a30307}},	//   _hullacha, _batangue, _كۇشپەن_, _olufunay, 
   {{0x526c0122,0x03ea0292,0x1159051e,0x239a0311}},	//   _kulon_, _takoradz, _químicos_, _ዘምጽኦም_, 
   {{0xa2ec04b4,0xb4fa0178,0xf30b01db,0x443f02dd}},	//   _variere_, _asamākhy, _конгресі, _diskrezz, 
   {{0x158701da,0xe26c0058,0x53790122,0x01680211}},	//   _arrestoh, _dulon_, _معلولین_, _etteivät_, 
   {{0x9c520211,0x4ae00322,0xa2da02c9,0x00000000}},	//   _hintaan_, _amadarub, _repere_, --, 
   {{0xd2ca0552,0xb2b4033e,0xcb7d00e2,0xa29001af}},	//   _sindai_, _castelví_, _aventoer, _alkaş_, 
   {{0x72e802f3,0x5c0d01cd,0x8a8c025c,0xe30e02ee}},	//   _händer_, _барандаи_, _basieren_, _konnessj, 
   {{0x0b8a01e1,0xc2a6005b,0x635406a9,0x2bb902c4}},	//   _ташламал, _glibc_, _bonecas_, _вегета_, 
   {{0x320006a2,0xf2f20056,0x584c0233,0xa3540553}},	//   _komine_, _акрам_, _baumschu, _povedat_, 
   {{0x43a90208,0x37c70188,0x226d01f4,0x52e80166}},	//   _رزتان_, _кабили_, _begona_, _sänger_, 
   {{0xe379010b,0x9da1006e,0x222402aa,0xcafc0080}},	//   _aboraham, _forontaa, _vleky_, _illergis, 
   {{0x53f401a1,0xa22401b7,0x42e602c7,0x4d9d015a}},	//   _partij_, _aneke_, _drinnen_, _dullacha, 
   {{0x8f3a0124,0x969703e9,0xfdac0061,0x32c702cb}},	//   _jaareyaa, _диндир_, _일반행정지원_, _isplate_, 
   {{0xcbd200e4,0x62000212,0x9c3d0303,0x43f002a0}},	// [b280] _एशियन_, _nomine_, _bakhoutu_, _lárinrin_, 
   {{0xffa50429,0x7c6702e7,0x40d2001a,0x200d0249}},	//   _disember_, _kumusta_, _elgondol, _provesen, 
   {{0x3c3a0148,0x2e4a02af,0x9ecc0080,0x23ea01c4}},	//   _peccator, _baraziba, _annisinn, _skote_, 
   {{0x32000455,0x9d480037,0x7a1e00d3,0x4c340144}},	//   _pleine_, _ባለመገኘቱ_, _strojově_, _ببالي_, 
   {{0xd2bb01c7,0xb35501ad,0xd106004d,0xf1b003f1}},	//   _derdini_, _alfenas_, _保達包裝有限公司_, _zameraný_, 
   {{0x626c00ef,0xa9cd01a0,0x00000000,0x00000000}},	//   _kuloo_, _lovoriwa_, --, --, 
   {{0xfbfc0021,0x956f0388,0xc3b6013b,0xdb0c00ba}},	//   _allergic, _servizio_, _preveza_, _خاسیه_, 
   {{0xe6a90037,0xef4f03ae,0xc51801ee,0x2dc90311}},	//   _በማድመጥ_, _fagskole_, _декъана_, _ክትሓቅቕ_, 
   {{0xb464028b,0x230d02d8,0x54340321,0x1c010486}},	//   _азуны_, _manajer_, _pomagajo_, _filmovou_, 
   {{0x1e4a03be,0xf27e01c5,0xba710018,0xf63f0087}},	//   _barayiba, _lehna_, _nawanawa_, _lotleriw, 
   {{0x63170808,0x4c6d027f,0x52e903fd,0xa2b20119}},	//   _mvuze_, _akirema_, _lisiina_, _kundiin_, 
   {{0xbe0b0175,0xf386005b,0x5c740050,0x00000000}},	//   _enteliza, _flhrc_, _dicutat_, --, 
   {{0x63950585,0xe4d700b3,0x8e4401db,0xe2c3004a}},	//   _umesto_, _ватаны_, _ءﺗﯘﺳﯩﺮدى_, _солисты_, 
   {{0x824300be,0x00000000,0x00000000,0x00000000}},	//   _كەچەەگى_, --, --, --, 
   {{0x1b2f03ea,0xfe0b028d,0xce1a01fa,0x449c01db}},	//   _considér, _inteliza, _kihekaka, _ұлына_, 
   {{0xe631015d,0x426d01bb,0x33ea01b7,0x0abc0135}},	//   _poniedzi, _awtor_, _bhoti_, _gazetına_, 
   {{0xfc170281,0x127c0050,0x396a0085,0x6201005f}},	// [b290] _aanaveer, _kénca_, _tikiniqe, _traigo_, 
   {{0x706100c4,0x0194038a,0x7edc001d,0xc3560037}},	//   _عنصرن_, _antawayl, _leciones_, _katerer_, 
   {{0x52d9033c,0x9ec704a2,0xd86303a1,0xf2ef02f8}},	//   _hywel_, _supostos_, _покани_, _kaliloa_, 
   {{0x83c70203,0x4e4e00ac,0xefa000ad,0xd60e0311}},	//   _níchtojn, _kobasice_, _dibentar_, _ዕምባባታት_, 
   {{0x53a80148,0x62120144,0x87a70055,0xb9f30297}},	//   _東森購物加碼_, _sadhbh_, _aversari, _институл, 
   {{0x9c170093,0xcd4c02fe,0x00000000,0x00000000}},	//   _привело_, _benamanq, --, --, 
   {{0x2d920318,0xe386033e,0x5ab602bf,0x4a3301ee}},	//   _falefale_, _avirú_, _bakhulis, _йоьзна_, 
   {{0x507601cd,0xd6ae0088,0x32250414,0x00000000}},	//   _adopshin, _plaguici, _oluki_, --, 
   {{0x43ea0196,0x6dab0444,0x87d401e9,0x52f3014d}},	//   _choti_, _известны_, _borraagw, _gelingt_, 
   {{0xc6b301c6,0x9af501cd,0x1c0102a1,0x5bcf006d}},	//   _inisjaty, _ақалли_, _koester_, _абліччам_, 
   {{0x1d9a01cd,0x6b9403da,0x735e008d,0x7d5e0061}},	//   _паллиати, _fransico_, _mundarij, _인천경제자유구역, 
   {{0xe5ac0145,0xa38b0485,0x2b4003c3,0x7170002b}},	//   _племя_, _døren_, _dugoročn, _বন্দীদের_, 
   {{0x1eda0244,0x23f8005b,0x22f000a2,0x3e7300db}},	//   _старата_, _menuer_, _kihindi_, _मुन्न_, 
   {{0x3fe40012,0x7a710165,0xfc610687,0xc2000077}},	//   _केहुलेखा_, _lawalawa_, _bisunga_, _fomile_, 
   {{0x02f10013,0xdba00145,0x916601fc,0xf0e30008}},	//   _topildi_, _daukanto_, _saanamah_, _كورپورات, 
   {{0x2e730501,0xb2a60013,0x1cd00061,0x00000000}},	//   _रात्र_, _olibi_, _마지막까지_, --, 
   {{0x4c670341,0x03f801d2,0x15690185,0xb60e0415}},	// [b2a0] _yumurta_, _axdud_, _грузинна, _motorisi, 
   {{0x1a73010b,0xa302006c,0xc478020e,0x120001b5}},	//   _dikarata_, _adabule_, _diteboho_, _komile_, 
   {{0x0d6c014a,0xc37c003b,0x434000b4,0x2b80053b}},	//   _صاحبزادہ_, _babambe_, _licenta_, _emborrac, 
   {{0xd2e200d7,0x6b66044c,0xebe806a8,0xcc290111}},	//   _bosiung_, _vestsida_, _primetio_, _affarucc, 
   {{0x53470241,0xec6102c5,0x62470019,0xee0b0320}},	//   _addemsa_, _aisunga_, _бийкеч_, _mileniya, 
   {{0xae500209,0xedba0218,0x72f70156,0x70f3024c}},	//   _tupaalla, _alciumca, _אנטיפאטע, _domiċilj, 
   {{0xb3ea0362,0x70b40012,0xdd16018f,0x12a603db}},	//   _akota_, _अंठुली_, _dellahbe_, _elibi_, 
   {{0x566700da,0xf2910241,0xd9da0271,0xd7670092}},	//   _директэ_, _anaatu_, _kosthold, _発明の属する技術, 
   {{0x27d00380,0x4c690039,0x217a03d9,0x58880210}},	//   _gingcwng, _gasteiz_, _kolikoly_, _asakuvad, 
   {{0x9fe000f7,0xeae30126,0x025a0155,0xce980105}},	//   _artikolo, _рекламод, _cykla_, _sektorze_, 
   {{0x0dfc0462,0x927f0326,0x3a1d02ba,0x00000000}},	//   _athenawa, _ciande_, _awabhale, --, 
   {{0x99e300c7,0xd27f03ea,0x1acc01db,0x73070024}},	//   _йолалар_, _viande_, _جۇلدىزىم_, _menneskj, 
   {{0x0c6e0207,0x2ecc0151,0xf27e031a,0xbe390244}},	//   _gharama_, _desirous_, _chinnt_, _innamora, 
   {{0x2b4e014f,0x21a10162,0x23ea0087,0xcf3300d9}},	//   _посланик, _كەلىلە_, _khoto_, _кладбище_, 
   {{0xb33d01e0,0x9295033f,0x4c69019b,0x90e20094}},	//   _بیدات_, _holataki_, _astravo_, _جەڭىلىس_, 
   {{0x1f370272,0xc307029b,0x122402fb,0x00000000}},	//   _bakuntla, _malaawi_, _toeki_, --, 
   {{0x3249030b,0x098e017a,0x926c0082,0x666d0052}},	// [b2b0] _avemar_, _мании_, _kulob_, _व्यापारम, 
   {{0xfc5d03c1,0xbc6a012b,0xc37f02f3,0xb20101df}},	//   _витамини_, _dostawy_, _dalarna_, _batit_, 
   {{0x43530247,0x3c6901f1,0xc2a00212,0xbefe0261}},	//   _بهنام_, _populli_, _iosbar_, _proverba, 
   {{0x9cad03d5,0xdb300013,0x49c402a8,0x5c07053c}},	//   _clashing_, _девор_, _affetwat, _córner_, 
   {{0x80470238,0xb3e90255,0x930c0084,0x103f020e}},	//   _малого_, _वेबसाइटन_, _kisahku_, _distatin, 
   {{0x9ecf00b0,0x5263002b,0xf2010256,0x2354005f}},	//   _xasiloon, _জাভাস্ক্, _gatis_, _monedas_, 
   {{0x33890343,0x7afc0350,0xa3ea0099,0xa3540261}},	//   _griyego_, _አመሠራረት_, _choto_, _bonegas_, 
   {{0x49950166,0x46580362,0x322501ba,0xd4300059}},	//   _sicherhe, _akonyokw, _fouka_, _concluso_, 
   {{0xa2010281,0xd34a00cb,0x1e160105,0xf2cb0270}},	//   _kleist_, _abafike_, _weteryna, _spadas_, 
   {{0x1c77018d,0xdb0f0206,0x62240295,0xe26d0108}},	//   _ፖለቲከኛታት_, _mestskéh, _moeku_, _cocobi_, 
   {{0xc4ab033f,0xd1e704ac,0xe0e50012,0x39f7033e}},	//   _famataak, _гипсокар, _काफीके_, _саманба_, 
   {{0xb6a50181,0xc26c0082,0x1c58029b,0xb14501e1}},	//   _microsdh, _dokoki_, _bulutuf_, _dileibol, 
   {{0x52010230,0x834902a8,0x00000000,0x00000000}},	//   _natir_, _impenji_, --, --, 
   {{0xd7a602ac,0x1ff30147,0x92250134,0xf32b0097}},	//   _شاهدوا_, _رۇۇعا_, _oluko_, _olúfúnmi, 
   {{0x520e0088,0xdf7a0410,0x33560085,0x3877019b}},	//   _катар_, _kgonthiš, _galfren_, _татуіроў, 
   {{0x702e0483,0x23d60333,0xedb50119,0xb531023e}},	//   _cometido, _benchè_, _alangala, _الشعاع_, 
   {{0xb2250097,0x605901d4,0xb1b003f1,0xe25400c1}},	// [b2c0] _aluko_, _passavan, _zamerané_, _वैगेरे_, 
   {{0x48fd0257,0x420100f1,0xb2ec02d8,0xf3010056}},	//   _skipulag, _matir_, _spanduk_, _agibele_, 
   {{0x694e0321,0x32940202,0xdf3a0040,0x717c0809}},	//   _odgovore, _ihalẹ_, _נדרשות_, _समोसा_, 
   {{0xd2010035,0xa18e00f5,0x9f1f02c1,0xf316035b}},	//   _fatir_, _салмасын_, _abatanga, _zvezi_, 
   {{0xe3fa0147,0x668300e4,0x9b98023a,0x1720016a}},	//   _estudi_, _स्वात_, _kamiónov_, _algebraj_, 
   {{0x73ea01d1,0xee9b03d8,0x1af40305,0x3d9b03ee}},	//   _photo_, _pretrage_, _fjerdede, _pretragu_, 
   {{0x7abe0145,0x0380045d,0xa2800115,0x2f5d0087}},	//   _priverst, _penziju_, _pensijil, _lamatson, 
   {{0x21140204,0x422401fa,0x10f60299,0xb2d7056c}},	//   _скриншот, _koeku_, _ئۇسولى_, _verovao_, 
   {{0xcb84017d,0x63a20369,0x32a602fc,0x62d40039}},	//   _ザ操作端末監視シ, _paipu_, _alibo_, _mordoa_, 
   {{0xb3ea046d,0xc2900092,0x62fc045f,0x00000000}},	//   _khotsi_, _hamano_, _javisst_, --, 
   {{0x00000000,0x00000000,0x00000000,0x00000000}},	//   --, --, --, --, 
   {{0x62c70004,0x42010242,0x326c0018,0x831605ad}},	//   _deplase_, _natiq_, _sikovi_, _svezi_, 
   {{0xf0990044,0xc39602e6,0x4e3d0164,0xa28d0096}},	//   _החתול_, _tisser_, _چايىخانا_, _avukana_, 
   {{0x2af10510,0x93f801c0,0x702e0121,0xaaf4033e}},	//   _официалл, _dalung_, _sometido, _logreade, 
   {{0xb38600d6,0x92f300da,0x6a420299,0x00000000}},	//   _مايدور_, _angajati_, _ئەلتۇغ_, --, 
   {{0xf25a01e6,0xd386014b,0x76580223,0x9d8301a3}},	//   _cyklo_, _dohra_, _настайга, _ٻنڌڻن_, 
   {{0xb04d0462,0x91500301,0xa201006e,0xdaf8025e}},	// [b2d0] _actuatin, _yaradılı, _catir_, _pressupe, 
   {{0x59c00634,0x6de90163,0x6ab900e6,0xfd900374}},	//   _hardange, _یورینیم_, _使用时必须注明_, _сенда_, 
   {{0x672b05d6,0x86cb018d,0x5bd203c2,0xb2de0390}},	//   _tieudiem_, _መኽንያት_, _birdcatc, _diliylə_, 
   {{0x53f6044a,0x73f80095,0xf2d00117,0x5d1a02c2}},	//   _abalolak, _balung_, _nasonol_, _evolusie_, 
   {{0xd99b0331,0x525b00b6,0x2c2202e1,0x91ca01d9}},	//   _baskiska_, _kasle_, _asarbais, _donnéeën_, 
   {{0x96bb0065,0xd5c20205,0x92d8018e,0xa4a70011}},	//   _schauspi, _сепаратч, _leheke_, _babasuuz, 
   {{0x62e80415,0x12ca037c,0xf8790189,0x97e60452}},	//   _männer_, _tazorac_, _biliyord, _उंबरकर_, 
   {{0x9c8001eb,0x5ea10263,0x6c020222,0xfb2e0262}},	//   _сенер_, _sorteert_, _housses_, _burnunyň_, 
   {{0x4354033e,0xb27e0144,0xba1301ef,0xd636013d}},	//   _fonemas_, _bhinse_, _aplankyt, _vikimedi, 
   {{0x175b0193,0xf3ea0183,0x52c702a6,0xdecc0478}},	//   _सिक्कीम_, _mioty_, _rupestri_, _anfibian, 
   {{0x7e77006f,0xd6b2069a,0x83fa010b,0xd53e0156}},	//   _رازدان_, _फत्ते_, _dipuso_, _צוטועהן_, 
   {{0x1bee03d4,0xdc5303b4,0xac0b019c,0x33470111}},	//   _самог_, _akutura_, _imupada_, _ardetta_, 
   {{0xe2920018,0xcda80039,0x2d8a0155,0xd201000f}},	//   _matana_, _персийн_, _raderade_, _hatip_, 
   {{0x6da8055d,0x128d032e,0xf2aa0291,0xf2d002a9}},	//   _berikuta, _pacharu_, _عسوله_, _адыёзнаг, 
   {{0x1e5302f6,0xffe9005b,0x8a8d034c,0x00000000}},	//   _minamaha, _anshindo, _золенхоф, --, 
   {{0x5a1f03d8,0x2ae70024,0x3e0102e1,0x37310125}},	//   _najbolje, _বিচাৰক_, _cileagra, _beklemeg, 
   {{0xb30e021e,0x050302db,0x9c9a0244,0x727f0138}},	// [b2e0] _potatis_, _materiol_, _творби_, _ihanet_, 
   {{0x52ca0249,0xc053029d,0x14940422,0x3a790137}},	//   _kindai_, _унспрезе, _nagrajuj, _доллараа_, 
   {{0xa384035b,0xa66c0039,0xfb5e0161,0x462c0030}},	//   _notranji_, _булга_, _таблеток_, _dienvidi, 
   {{0x17b703a1,0x0f310077,0x5e46000e,0xdaf20091}},	//   _парите_, _konfidan, _sköld_, _takuyaqt, 
   {{0x6a7c0202,0x822402eb,0xb817005e,0x896d0243}},	//   _ìjápọ̀_, _eneko_, _مۆلچەرلى, _gunnisee, 
   {{0xf8470013,0xe6bb005a,0x425a0259,0xd4240287}},	//   _камайиб_, _chuschoh, _cykle_, _církevní_, 
   {{0x1a5d0544,0xd4350373,0x8e2e020e,0xf3200176}},	//   _waleluka_, _almanako_, _азалиә_, _daiyan_, 
   {{0x6e6d0047,0xf292028f,0xc2f80061,0xafb100e6}},	//   _cauchema, _natana_, _직장인들이_, _porteurs_, 
   {{0xa18a0052,0x2c1402d0,0x526c0211,0x00000000}},	//   _kapaliny_, _gruppin_, _oudon_, --, 
   {{0x92920298,0xc34e0304,0xd0980178,0x73f8012c}},	//   _hatana_, _menegak_, _bhājanat, _kumudu_, 
   {{0x329200d5,0x0c050281,0xb202034e,0x69be01cf}},	//   _batana_, _narsami_, _aspina_, _traducit, 
   {{0xa1af021a,0xeffb0287,0x12390060,0x2e4a00e6}},	//   _birmadum, _पत्थरको_, _толуы_, _carabine_, 
   {{0xf367028b,0xd26c010b,0xce3a0037,0xf27a0399}},	//   _asugoto_, _bokoni_, _አልጠራጠርም_, _loliloli_, 
   {{0xc51f0026,0x944600a4,0x235a00f5,0xd0480092}},	//   _evenwich, _دارقانى_, _babanyň_, _budgetfo, 
   {{0x57f50062,0x5200033d,0x3bca03a2,0xfa2501dd}},	//   _checherg, _anmize_, _हक़ीक़त_, _amacenga_, 
   {{0xbd6f020b,0x7c5d0304,0xbd12003c,0x3b6100af}},	//   _bommasep, _kalthum_, _اندازهای_, _anklager, 
   {{0x6bde0105,0xb2250258,0x03ad020f,0x927f018a}},	// [b2f0] _पहिया_, _jouke_, _نسکورې_, _faenol_, 
   {{0xc2010003,0x6d920028,0xfc15020a,0x320100c7}},	//   _actie_, _tallaaba, _терезесі_, _fatix_, 
   {{0x74070193,0x8401034d,0x427f02cd,0x3a8000d9}},	//   _विधानसभे, _hitungan_, _ananne_, _asunnoss, 
   {{0x9a00010d,0x72250197,0x63600311,0x00000000}},	//   _lapaknya_, _fouke_, _ብዘይኣፈላላይ_, --, 
   {{0x729200d5,0x08e30066,0xf39601d3,0x5eda05ae}},	//   _vatana_, _уурын_, _kissar_, _modismos_, 
   {{0x829201bb,0xf3020288,0x526c007b,0xf2000515}},	//   _watana_, _kudaiyu_, _bulow_, _timite_, 
   {{0x826c041b,0x13960191,0xadfe0025,0x42a60272}},	//   _suloi_, _missar_, _विश्वस्य, _alabe_, 
   {{0x1c3f0116,0xa167016d,0xb0aa0147,0xc225033f}},	//   _displeas, _ئاتتىلا_, _تۉكتۉۉ_, _kouke_, 
   {{0xc73b0047,0x0b05028d,0x6ebf02a0,0xd5220145}},	//   _第二十九条_, _largiman_, _gráfáìt_, _двума_, 
   {{0xb3960296,0xf9e201a3,0x0f68003f,0xbe5304e6}},	//   _gissar_, _ماپيو_, _masqawda, _binabaha, 
   {{0x72d80362,0xab6d0089,0x947701b3,0x00000000}},	//   _bikeko_, _ayatulla_, _газетах_, --, 
   {{0x525b00ca,0x01fe034c,0x63ef04ed,0xf6280359}},	//   _sibley_, _ливанның_, _कर्मकांड, _edwinsti, 
   {{0x830300c0,0x127a0020,0x09350229,0x848500c1}},	//   _kalapit_, _molimoli_, _alemdara_, _वागावे_, 
   {{0x3dcb00e4,0x44760255,0x00000000,0x00000000}},	//   _kuchenne_, _ओन्ने_, --, --, 
   {{0xa30302f6,0x120000cf,0xee530184,0x427f0116}},	//   _malapit_, _bahiin_, _gusabika, _pianae_, 
   {{0x33430076,0xfea9033b,0xc2fc025c,0xe9b700a7}},	//   _governo_, _thulanon, _ansicht_, _بالزاك_, 
   {{0x1eee00ac,0x3dfc0139,0x1ce2003d,0x00000000}},	// [b300] _beskrajn, _कार्पण्य, _archipèu_, --, 
   {{0x49c8026c,0xf86003a4,0x7e6900bf,0xb7310127}},	//   _轉寄至留言板_, _andaktir_, _обряднос, _dellezeg, 
   {{0xe7430061,0xe2420362,0xa8f70226,0x826c0141}},	//   _개봉하였거나_, _atomboli_, _kumamutu, _сартарош_, 
   {{0x3e760095,0x192301c8,0xc2f302b0,0xe26c0102}},	//   _مطالعات_, _čistící_, _bedingt_, _sokoni_, 
   {{0xeed40021,0xb12c0094,0xd26c0170,0xd2de0229}},	//   _agnifyin, _بەرگىسى_, _dokoli_, _biliklər_, 
   {{0x2bf60185,0x7bd7013d,0x00000000,0x00000000}},	//   _англиядә_, _apodofor, --, --, 
   {{0xad81005b,0x99d4005b,0x0e2f00bf,0x02e80055}},	//   _freemont_, _aibopapa_, _адамех_, _arinatu_, 
   {{0xd20101cf,0x5e610017,0xa12701ef,0xf3480138}},	//   _traino_, _asociace_, _раздаю_, _engelli_, 
   {{0xa29204bd,0xfa000006,0x8c4401b2,0x827e007b}},	//   _katala_, _bapaknya_, _alfwina_, _gainfu_, 
   {{0x68b300f5,0x5eea02ac,0xb2000262,0x9482047b}},	//   _ветераны, _آسيوى_, _aydimi_, _bruttotj, 
   {{0x69d90148,0xb7120059,0x42250227,0xea0a0076}},	//   _台灣師大環境教育, _сертифиц, _smakin_, _кондарко_, 
   {{0xf0f60229,0x23f8007b,0x62cc0073,0x13940344}},	//   _sonların, _queued_, _influxo_, _atisai_, 
   {{0x07530549,0x427e0043,0x5fee009a,0x8c6602f3}},	//   _barnehag, _ebintu_, _abakwezo, _nyttigt_, 
   {{0xe5e80390,0x120002b0,0x00000000,0x00000000}},	//   _silahlı_, _kneipe_, --, --, 
   {{0xa3170073,0x1c73019b,0xad810074,0xeee701a6}},	//   _mancate_, _svarbus_, _tallenta, _arikitan, 
   {{0x827e037a,0xa3410184,0x161a007f,0x55540156}},	//   _ibintu_, _birenga_, _benodedi, _צאַנין_, 
   {{0x13f701ed,0x2cc60160,0xb0fa018e,0x118c0064}},	// [b310] _kumukuai_, _reviziju_, _machayel, _булгаган_, 
   {{0x174b020a,0x229200a4,0x19a4020f,0x92b50157}},	//   _اربانىڭ_, _catala_, _ترډېره_, _blacha_, 
   {{0x626c0119,0x2d060064,0x7ea00061,0x12ca0130}},	//   _budol_, _эмчек_, _롯데포인트를_, _geoded_, 
   {{0xc26c080a,0x827f0107,0x978601db,0xc9e0003d}},	//   _cokoli_, _mbantu_, _تاڭنان_, _abstengu, 
   {{0xe2e703ae,0x6e4e0013,0x1d13004b,0x4b1d0121}},	//   _brannen_, _галда_, _fenseter, _bretaña_, 
   {{0xa34901d4,0x07e703f0,0xaf220180,0xdfa602e7}},	//   _attenti_, _undarleg, _kontreba, _maglampo, 
   {{0xd12604dc,0xe9d70360,0x4b7d00f0,0xbca00040}},	//   _شاجوانی_, _विषयका_, _finančný_, _ותחרויות_, 
   {{0x52d900b7,0x73560030,0x8d060299,0xbb1f0248}},	//   _adalary_, _streiks_, _ئوكۇل_, _barallob, 
   {{0x027e030b,0x229202a2,0x0d39017d,0xc94e031d}},	//   _abintu_, _mataba_, _medierne_, _acclivit, 
   {{0x825b00d6,0x1e7103a2,0x32e7017c,0xa25a0312}},	//   _casla_, _चुड़ैल_, _grannen_, _gellet_, 
   {{0x08e80135,0x73990461,0x338004b5,0xca04020f}},	//   _процессы, _vespucci_, _patrun_, _angagqit, 
   {{0xead80075,0xb3470033,0xd3060347,0x20dd03ce}},	//   _heimurin_, _suletta_, _betoging_, _زیکره_, 
   {{0x425a01c6,0xcc9e0144,0x1eb80350,0x00000000}},	//   _bellet_, _استقدام_, _የተላለፉ_, --, 
   {{0xc2fc0255,0x06b001f0,0xd5ae0204,0x77230261}},	//   _langes_, _borukuth, _klassikk, _cerealoj_, 
   {{0x6c6a0196,0x287102d3,0x925a026c,0x420e0187}},	//   _mulungu_, _останат_, _vellet_, _бараш_, 
   {{0xe58b0058,0xc6ba004c,0x9fa70156,0xca8303f3}},	//   _nelijapü, _akirwany, _קאָאָפּע, _indienen_, 
   {{0x938f00a9,0xf31b0092,0xf8fa00c5,0xca7100a8}},	// [b320] _hanyuma_, _ってどんなサイト_, _islamiqu, _collides, 
   {{0x3f0d0121,0x79f1025f,0xc2260084,0x40660184}},	//   _procesos_, _akondima_, _baskom_, _bitakugo, 
   {{0xe047015b,0x634e008f,0x352504a5,0x222501b5}},	//   _astoktok_, _तिलमिलान, _amasango_, _emakun_, 
   {{0xab0d0039,0x4e7500c5,0x8d5802eb,0xa6d20184}},	//   _proposat, _邓小平理论和_, _мексик_, _cogaruki, 
   {{0x08d70453,0xf2bc011f,0x78da02e0,0x1e910156}},	//   _neisprav, _bordón_, _dibukakg, _וווּלקאַ, 
   {{0x6bf6004c,0xbcf60272,0x7a0a022d,0xc3ea00b5}},	//   _abatalab, _abatalar, _natalina_, _ikoti_, 
   {{0xec06024c,0x32d403ff,0x82780320,0x505401ab}},	//   _jinsabu_, _tvrdý_, _filimoni_, _infrapun, 
   {{0x820002df,0x9b88013a,0xcb30003c,0x037e0587}},	//   _vclip_, _arbitter, _بلندمدت_, _arcaïc_, 
   {{0xe5ad01be,0xfedf00fa,0x86490147,0xa9cf0362}},	//   _दासता_, _bathalan, _كورۅڭۉز_, _nakokota_, 
   {{0xe93f0148,0x3e140059,0x01d000e7,0x12a60119}},	//   _戶政即時通_, _европейц, _angerday_, _ilabi_, 
   {{0x726d0427,0x0f210033,0x9292024f,0x00000000}},	//   _itton_, _raquinta, _tataba_, --, 
   {{0x625a0130,0x9b83019c,0x43950059,0x4d360177}},	//   _sellet_, _imunilar, _grassi_, _фактуп_, 
   {{0xfc620220,0xbc6a003b,0xc53700bf,0x71720053}},	//   _potrete_, _bulungu_, _тиркеме_, _नकोसे_, 
   {{0x227e04f2,0x82a004b9,0x637c0291,0x00000000}},	//   _wmoney_, _corbie_, _haraibe_, --, 
   {{0x2b780255,0x938002f4,0x2162032d,0x02ca034c}},	//   _स्त्रीके, _borrar_, _белгәндә, _cegledi_, 
   {{0x13ea00ce,0x424f0107,0xfda703af,0x729e03b6}},	//   _dikton_, _senopati_, _réforme_, _yìndé_, 
   {{0xff0c00ca,0x4343040a,0x927e0039,0x237901d9}},	// [b330] _edicions_, _örebro_, _zaindu_, _afaalen_, 
   {{0xc29202a7,0x22900099,0x9fe10020,0x00000000}},	//   _wataba_, _amhan_, _nutimomo, --, 
   {{0x53ea02a4,0x82a6019c,0x82b50217,0x927803eb}},	//   _alltel_, _alabi_, _placia_, _haarverl, 
   {{0xbc760116,0x0a5d0518,0x2c650008,0x561504a4}},	//   _whisked_, _ариэл_, _flotant_, _sholarai, 
   {{0xeb79034c,0x5c5a00dd,0xea760242,0xc46d03c7}},	//   _телендә_, _adduned_, _bıçaq_, _pozarząd, 
   {{0xd7940120,0xeda3029d,0x7f69043d,0x5c090102}},	//   _cottaari, _формаре_, _membeban, _kumpiga_, 
   {{0x027f048e,0x8e1b0455,0x60a600a7,0xd3f802b0}},	//   _kaenal_, _dommages_, _атеистти, _ladung_, 
   {{0xfe15000c,0x12010277,0xb31001b2,0xe9f3033f}},	//   _нужная_, _abtik_, _aurally_, _mulionea_, 
   {{0xe532014c,0x6be20420,0xd27f0252,0x93d700be}},	//   _abangaph, _величест, _thanwe_, _كۉزگۉنۅش, 
   {{0x3c8700bf,0xfd3e0168,0x68470013,0x7e3b02f9}},	//   _древний_, _estimert_, _қаратиш_, _desantra, 
   {{0xbf6600cb,0xb80c0141,0x43fa024c,0x71ae0138}},	//   _ababemen, _портлашд, _astuni_, _yarattığ, 
   {{0x7caa0040,0xaf23001d,0xefd30147,0xe9cf048f}},	//   _לכתיבת_, _applicar_, _بوشدۇقدۇ, _bakokota_, 
   {{0xe201014b,0xbf8700e4,0x16a9036e,0x7353015e}},	//   _abtih_, _अक्की_, _churinch, _قۇيات_, 
   {{0x0b0903bf,0xd0f701bb,0x1e180162,0x89b00080}},	//   _boipilet, _ahmiyetl, _داستانلى, _aordlugt, 
   {{0x77a804b4,0xc0770299,0x7f220307,0x4d8101c0}},	//   _erstatni, _ашмиса_, _esithaba, _ballanta, 
   {{0x7c6f0066,0x539603de,0xe2a70241,0x137c019c}},	//   _korrika_, _omtsha_, _adabni_, _faranse_, 
   {{0x1e680148,0x5c52028d,0x24610258,0xa8bd0284}},	// [b340] _我要寫書評_, _lantman_, _aldeberk, _kratochv, 
   {{0xf3870009,0x2317027e,0xd4af06a8,0x5f3c007f}},	//   _odpri_, _ukazao_, _raspitaj, _goresgyn, 
   {{0x6a6d0536,0x9e9c0281,0xd6df0275,0x40590161}},	//   _аялдан_, _ilimagin, _mataalof, _героиня_, 
   {{0x926c01d8,0x72240191,0x33f80452,0xd76a045e}},	//   _pulom_, _fliken_, _badung_, _свищов_, 
   {{0x0c060228,0x8f7a0022,0xee510388,0x1f3703a4}},	//   _tyngdekr, _башлауын, _lanciare_, _grønur_, 
   {{0xe2a601ed,0x29760222,0x5ea002e5,0x125a0028}},	//   _moaba_, _changeme, _ambuépe_, _doollo_, 
   {{0x0d2201ef,0xe3fd0013,0x12b20184,0x822501c8}},	//   _europoje_, _совриндо, _ayaduha_, _hluku_, 
   {{0x3832042f,0x1d9200b9,0x4c6104ad,0x629202c8}},	//   _taimaaqu, _फोटोदुनि, _dikungo_, _pataca_, 
   {{0x52f70145,0x4b0b0025,0x8edc0040,0x83f80053}},	//   _gaminti_, _appatiṭṭ, _להרחיק_, _gadung_, 
   {{0xe2ec0109,0xa5760059,0x329002f8,0xa3c502a0}},	//   _variace_, _mostrato_, _tamaio_, _àpadá_, 
   {{0x361201b8,0xec29036c,0xd5ac0013,0x0182004d}},	//   _jalakäij, _atositos, _tengdosh, _第七勝難求_, 
   {{0x91b300b8,0x54680147,0xc8750229,0x654603a8}},	//   _munasiña, _جەرپايىن_, _birincid, _বিপৰ্যস্, 
   {{0x7b58011f,0x234402a0,0x496b02e8,0x09960010}},	//   _serafín_, _ayederu_, _anononge, _bephahla_, 
   {{0xaf4100c0,0x52d50133,0x222601c9,0x8f48050a}},	//   _lansanga, _borofaa_, _raskem_, _belgesin, 
   {{0xc65a0216,0x9c010347,0x22de05a8,0x76f601ab}},	//   _evuntshw, _plesier_, _esieleki_, _बुतवलस_, 
   {{0x322401c6,0xc20003db,0x60f6002b,0xb3f90314}},	//   _bliken_, _iphila_, _টয়োটা_, _ikgula_, 
   {{0xb60b0013,0xdb870350,0x866a01a7,0x00000000}},	// [b350] _mahorati, _ለዲያስፖራው_, _гравиров, --, 
   {{0x1e5401b5,0xc2da00da,0x82910035,0x926c04b2}},	//   _atsakile_, _repede_, _aqqan_, _bulok_, 
   {{0xfe370410,0xb3210134,0xf40d00b9,0x52250271}},	//   _bakgatha, _ibuyi_, _dititipk, _flukt_, 
   {{0x5097006f,0x52f5022a,0x28290299,0xd2da02a4}},	//   _نظرانداز_, _kulivik_, _конкирет_, _misero_, 
   {{0xa3ea01e5,0x8c7300a4,0x5b19005b,0xb5f60185}},	//   _akoto_, _odissea_, _aquarian_, _cimerelü, 
   {{0xeb4202cf,0xbfa900ff,0x525a0157,0x31470128}},	//   _екипи_, _אינסטרוק, _cyklu_, _кабилар_, 
   {{0xb45c015e,0xad890080,0x626c0037,0xadb402ac}},	//   _بالبانوۋ_, _adressit_, _buloh_, _موهوب_, 
   {{0x726c0120,0xf5680405,0xde3a00e6,0x8b0e00c4}},	//   _culoh_, _магазині, _万元开家童装折扣, _inspekta_, 
   {{0x45f80185,0x92870038,0x420001f9,0x1da202ac}},	//   _системна, _yubiley_, _aphila_, _ماكنت_, 
   {{0xfdb50013,0x32d102aa,0x5a710176,0x645200aa}},	//   _llanmala, _marcipán, _kawakawa_, _handbask, 
   {{0x927f0342,0x26510024,0xf0be00b4,0x5f610587}},	//   _chante_, _নৰেন্দ্ৰ_, _primarul, _ambedós_, 
   {{0x332102ab,0x86f6076b,0x42eb034b,0x5ac90235}},	//   _abuyi_, _श्रव्य_, _medikol_, _महारथाः_, 
   {{0xb9790364,0xfb7f0195,0x07730059,0x0879015e}},	//   _verzerru, _chiontac, _моделът_, _жалбарга, 
   {{0x76a00163,0x4cfd0368,0xfa7101a6,0xdc0e0342}},	//   _البانی_, _последњи, _hawahawa_, _dispoze_, 
   {{0x2c6f02e1,0x4b2a0220,0xaed1004a,0xa387013d}},	//   _gearán_, _основнит, _gazetası, _nepre_, 
   {{0x9c55030f,0x022501f3,0xfa3e0350,0x727e0333}},	//   _ehetere_, _pluku_, _መልቲሚዲያ_, _bainzu_, 
   {{0xa26c0140,0xdc020047,0xb4480126,0x00000000}},	// [b360] _sulok_, _pousser_, _значних_, --, 
   {{0x226c0252,0x826c0207,0xabf60272,0x34e90037}},	//   _muloi_, _kikosi_, _abatulab, _አይሰራም_, 
   {{0x92e90176,0xe8f70060,0xac27023e,0xbc3b0059}},	//   _printet_, _راستادى_, _banaputr, _pescator, 
   {{0x63570025,0xf2d80364,0xfd1b011a,0x119201c2}},	//   _उत्तरत्र_, _andeem_, _trustwor, _taxonómi, 
   {{0xae00018c,0x716c0195,0x83800445,0x35170019}},	//   _donderda, _aisigidh_, _morrer_, _терминге_, 
   {{0xf2cb0365,0x002a0006,0x5a7d0092,0x8fa90238}},	//   _mladý_, _mendidik_, _ご注意ください_, _колекція_, 
   {{0x22fe04d0,0xd7bd01c7,0x00000000,0x00000000}},	//   _baugau_, _berlenok_, --, --, 
   {{0xa25a0130,0x3fca00c8,0x3c7c002b,0x5eca0156}},	//   _sellit_, _милицияһ, _কেন্দ্রস, _זוכמאשין_, 
   {{0x7980041e,0xb2b501f1,0xae6a0033,0x53f80014}},	//   _famiglia_, _vendeve_, _vaschina, _denuar_, 
   {{0xfbef01a4,0x52940158,0x337d02af,0xd2a405ed}},	//   _badokoto_, _niskich_, _impange_, _iracihem, 
   {{0xb2980037,0xe37f03cf,0x227a024c,0xe27e04b9}},	//   _ዲግሪያቸውን_, _zamanla_, _antifoni_, _coonty_, 
   {{0x77f404ec,0xad1f020f,0x482c004d,0x3a8f004d}},	//   _bakavyig, _avunyiwe_, _年高考科目變化_, _臺北最上相_, 
   {{0xe2e90203,0xfb710420,0x00000000,0x00000000}},	//   _atinget_, _облечен_, --, --, 
   {{0x42d20207,0x3fbe0253,0x32d900a6,0x803700ee}},	//   _marekani_, _erinarso, _asongwe_, _paketeak_, 
   {{0xdc5b002e,0x4ebd035a,0x850400a8,0x3c6f03e6}},	//   _postovi_, _terrance_, _artechel_, _daerfen_, 
   {{0xf2fc01c2,0x53fd00d0,0x092f000a,0xd9cf0123}},	//   _cangas_, _suposatz, _bogmeste, _levetide, 
   {{0x04a10045,0x3b5b0152,0x8b0c03b7,0xf35f0181}},	// [b370] _секундар, _başlağaç_, _atagenes, _tungere_, 
   {{0xbf27015d,0xfedd026b,0x528d00a0,0x67060153}},	//   _असुरक्षा_, _lesiones_, _faskara_, _お電話でのお問合, 
   {{0x026c02bc,0x5a5d00a7,0x2e3700b5,0xf9f602fe}},	//   _tulop_, _تاپشىرىپ_, _karaigua, _خوبیا_, 
   {{0x077f0040,0xdbfd06a8,0xc04902a3,0xd2910325}},	//   _בוושינגט, _samardži, _woonplek_, _devamm_, 
   {{0xd35b0682,0x40690033,0x6212005d,0xfb6a0205}},	//   _उद्देश्य_, _cumpeten, _apeha_, _yakunida_, 
   {{0xaa830212,0xe95e04bc,0xa26c04ef,0x985e065d}},	//   _podzinge, _omsorgst, _mudou_, _omsorgsd, 
   {{0xc2fc00db,0x00000000,0x00000000,0x00000000}},	//   _pangas_, --, --, --, 
   {{0xd4870178,0xc2900453,0xf3e40009,0xc26c02ff}},	//   _शरणागत_, _zamalo_, _poslansk, _oudou_, 
   {{0x865f0092,0xa2120239,0x7ea60257,0x92dd0156}},	//   _伊坂幸太郎_, _epeha_, _deildinn, _בליִען_, 
   {{0x62ca051a,0x6912002f,0x9e4e01e9,0xd2260193}},	//   _pandai_, _bahamaku, _galalela, _itukah_, 
   {{0x82640359,0xe2770310,0x79dc0193,0x8c520125}},	//   _earlik_, _caisteal, _besoknya_, _adatça_, 
   {{0x7437020e,0xae4e03bf,0x00000000,0x00000000}},	//   _dikaheho_, _halalela, --, --, 
   {{0x9ae503dc,0x7c9f0312,0xc22400f2,0x6eea0184}},	//   _landskas, _bulgared_, _lieko_, _ndakabon, 
   {{0x13400352,0x678f003f,0x2c0d042c,0xa2ca038e}},	//   _পুৰস্কাৰ_, _bortaswi, _propise_, _tandai_, 
   {{0xe224019b,0x939603a4,0x7d3600c4,0x2c7b004a}},	//   _nieko_, _missir_, _مرڪائيند, _alınuçı_, 
   {{0x966c0040,0xc04902dd,0x00000000,0x00000000}},	//   _בפומבי_, _iskrivan, --, --, 
   {{0x1933014e,0x3a4e02ee,0x5317005b,0xb7e403f0}},	// [b380] _регуларн, _haddiema_, _funnydog_, _fagsvið_, 
   {{0x87770137,0x13ea0191,0x4db6005e,0x89e502cf}},	//   _мандах_, _skott_, _گۈدۈك_, _овластув, 
   {{0x39be031c,0x1a0e00dc,0xdd2d0158,0xedae03b8}},	//   _videojue, _manalele, _raporcie_, _лазерлік_, 
   {{0x96360178,0x3e4a0184,0x85fc01bb,0x294200c5}},	//   _anyanivṛ, _barakiba, _apomorfi, _corriger_, 
   {{0xfd9e03b1,0x82fc0155,0x93cf0437,0x00000000}},	//   _belgique_, _fysiskt_, _staves_, --, 
   {{0x4982002e,0xc05d00ff,0x16270357,0x6edd0269}},	//   _dužnost_, _אַבדזשעק, _kemisiti, _sesiones_, 
   {{0x828d0190,0xc1a2005e,0xead70452,0x00000000}},	//   _gackern_, _ﺋﻪﻳﺴﺎ_, _rahmatan_, --, 
   {{0xfeb70015,0x61cb0330,0x115f013f,0x0dc804a9}},	//   _فرصتھ_, _kanogitm, _typology_, _अभ्यंकर_, 
   {{0x8bf5040e,0x00000000,0x00000000,0x00000000}},	//   _ampelopr, --, --, --, 
   {{0xe3750028,0xec32000c,0x195001c3,0x5c71011d}},	//   _اختیارن_, _аднакыло, _dislodge, _acordat_, 
   {{0x22f70333,0xffdc0211,0x6abd0260,0x8643064f}},	//   _spagnoli_, _условиям, _fervenza_, _ponorná_, 
   {{0x2fe7019b,0x33eb0372,0x22fc0163,0x1cdd00d9}},	//   _кароль_, _wastraff_, _hangos_, _водитель, 
   {{0xf29000d5,0x86190034,0xd4a501a3,0xc06100de}},	//   _namako_, _hundruð_, _انعامن_, _انقرې_, 
   {{0x92d203c7,0xd3940009,0x7f5d02f7,0x122500bd}},	//   _wczoraj_, _stiski_, _boranyan, _bouks_, 
   {{0x394e0352,0x2e4f0321,0xdc6601d7,0x3ea603a0}},	//   _যাতনা_, _posledič, _spitals_, _emelanan, 
   {{0x126c0265,0x426c040d,0xd3420105,0x4a00038e}},	//   _tudou_, _lehono_, _सतसंग_, _paparnya_, 
   {{0x1db1037c,0xa9f7026a,0x725b02dd,0xfd0e027f}},	// [b390] _lavasoft_, _kumukumu, _basla_, _ipfundur, 
   {{0x42e20031,0x5976033f,0xbe0201aa,0xf3ef0360}},	//   _एकजीव_, _kokitaut, _anteegra, _lesopark, 
   {{0xa2250134,0x88c30095,0x2b04006c,0x4395005b}},	//   _alakan_, _sanesipu, _amafolos, _atashi_, 
   {{0x12eb00ac,0xe3db0141,0x62d3002c,0x028a0320}},	//   _velikom_, _hukumati_, _kirolak_, _buraweni_, 
   {{0x329202d9,0x06ca0037,0x486b0455,0x126d003f}},	//   _tatala_, _እንኪያስ_, _pacifiqu, _mutod_, 
   {{0xb4da0093,0x6f26015e,0xc3570227,0xfa130046}},	//   _сотни_, _ingressa, _menetap_, _tricente, 
   {{0xc2d700aa,0xf5e00025,0x62970039,0x19020156}},	//   _dialers_, _राजधान्य, _markatu_, _מחברטע_, 
   {{0xf35f0515,0x4e620332,0x226d01ca,0x9e050153}},	//   _hungare_, _asociada, _nutod_, _ちょっとスポット_, 
   {{0x5d0a027b,0x2c930064,0x33ce0305,0x76d30181}},	//   _सुस्पष्ट, _تابار_, _stova_, _aibabahi, 
   {{0x23050179,0xbeb70073,0xb1b5003a,0x5290008e}},	//   _melakik_, _glissate_, _olimlari_, _damako_, 
   {{0x68060156,0x50c1000d,0x00000000,0x00000000}},	//   _ליפטינג_, _koolieel, --, --, 
   {{0x435403e5,0xab1f009b,0xe0220061,0x414800a3}},	//   _binetas_, _finalean_, _아프가니스탄_, _rettesno, 
   {{0x0e460013,0xa2010037,0x5f480252,0x445e0037}},	//   _beradiga, _muzium_, _tutshele_, _ሥነሥርዓት_, 
   {{0x414a03c4,0xf3790207,0x1d110025,0xb6b8003e}},	//   _дәрвазис, _mapanga_, _ज्योतींष, _замансар, 
   {{0x99f60294,0x72920328,0x00000000,0x00000000}},	//   _binsirqu, _gatama_, --, --, 
   {{0xc321065c,0xf61a015f,0x4682002c,0xa94a0074}},	//   _abayen_, _penodedi, _astekari, _наверняк, 
   {{0x7c4b0027,0xcd9700f5,0x01e60162,0x09150425}},	// [b3a0] _sintang_, _бедениңе_, _بىلگەنلە, _رۆگرامه_, 
   {{0xeca6020e,0x072e0139,0x87590193,0x295a0350}},	//   _кассаны_, _cintayiṣ, _सार्वमत_, _መቻቻልና_, 
   {{0xc8ca014f,0x58ba0063,0xd2240258,0xcc5500bb}},	//   _статуса_, _chathair_, _wieke_, _اذلان_, 
   {{0x069100be,0x232803dc,0x837b01e8,0x97c40265}},	//   _ئشتەتەت_, _tíverri_, _ailawom_, _officiël, 
   {{0x5e4b018d,0x17c40265,0x46b901df,0x03ec01f5}},	//   _ህይውቶም_, _efficiën, _depairti, _melolosk, 
   {{0x61b103a8,0xe9d500f4,0xfc00004d,0x00000000}},	//   _ছেনেল_, _dibetane, _consors_, --, 
   {{0xd26c0517,0x61c30020,0x62550144,0x00000000}},	//   _nulos_, _olomatam, _goradáin_, --, 
   {{0x926c02b9,0x63a2005b,0x1ca70291,0x9da90155}},	//   _tudom_, _scape_, _بادخال_, _arkivera, 
   {{0x8db30165,0xe878028b,0x294e00f7,0x8395028a}},	//   _damudamu_, _aranduku, _analizit, _utashi_, 
   {{0x526d02d5,0xfc9500e6,0x82c400c5,0x0f860291}},	//   _autod_, _不准有下列行为_, _forment_, _لافتات_, 
   {{0x1996018b,0xa73c0257,0x831d02c9,0x6c470145}},	//   _inchirie, _gunnlaug, _капабиле_, _жаргоне_, 
   {{0x126c00a5,0x9c62012a,0x2c710101,0xc04a0167}},	//   _pulou_, _chorób_, _introdu_, _diffinio, 
   {{0xd9d600da,0xa5ea0016,0xc292006f,0xb59f0315}},	//   _натурал_, _יונייטעד_, _nataka_, _bangalah, 
   {{0xa5ff036d,0x00000000,0x00000000,0x00000000}},	//   _shimilei, --, --, --, 
   {{0x43ea0362,0x29d5026c,0x426c0074,0x926c02eb}},	//   _akoti_, _nostroru, _tulot_, _ardoa_, 
   {{0xe2b70192,0x22c8018d,0xb8eb008c,0xd12202ac}},	//   _권리침해신고_, _እድሪስን_, _disponev, _يدافع_, 
   {{0xcd9c0013,0x72eb0121,0x49ef0499,0xf53c00fd}},	// [b3b0] _مشرانوجر, _avances_, _resitara_, _pathosch, 
   {{0xb2920018,0x9a830026,0x0a97021d,0x00000000}},	//   _mataka_, _klantenb, _vanilles, --, 
   {{0x017705e7,0x68e80497,0xdef20226,0x826c03ee}},	//   _namahlel, _frightfu, _amakusun, _sudom_, 
   {{0x26ce00e4,0x82f30701,0x42da0014,0x4292004b}},	//   _zapaleni, _wakicht_, _bisedo_, _fataka_, 
   {{0xda73020d,0x2bc40040,0x529202f7,0x1d8e00a4}},	//   _bagafata_, _פאולינה_, _gataka_, _escombra, 
   {{0x1e5700a4,0x7dac0456,0xd6340125,0xd8b600de}},	//   _concepte_, _agendada, _buzzligh, _تربيې_, 
   {{0x526c05bf,0xb1c4020d,0x27c400db,0xba1c0125}},	//   _brloh_, _nyamiram, _उन्हनी_, _araplard, 
   {{0xe3f80166,0xac700244,0xb098027b,0x00000000}},	//   _freund_, _brasile_, _bhājanab, --, 
   {{0x2ebd01f1,0x13a802f7,0x21880277,0x2d2a0022}},	//   _personat_, _bukaneng_, _ipaangay_, _камиллыҡ, 
   {{0xbfab00ba,0xe26c0243,0x0b8f0282,0xbc6202ef}},	//   _ئیمزاکرد, _kudok_, _netipaor, _jisrive_, 
   {{0x0a100231,0x77ad017f,0x8c020258,0x8b640103}},	//   _concessa_, _aatuarfi, _jouster_, _anotenda_, 
   {{0xe3a203d9,0x23790282,0x53420321,0xdc7600bd}},	//   _sampan_, _papanga_, _poseben_, _chaumer_, 
   {{0x603502bc,0xc62e002f,0x696d0185,0x3eb4011a}},	//   _scottlan, _argandoñ, _труппасы_, _הנוזלים_, 
   {{0x326c0023,0x5aac0045,0x59d00013,0xd28501e9}},	//   _tulos_, _духовном_, _кетин_, _bothano_, 
   {{0xa1a5005e,0xbe9f0345,0x640800e9,0x2359046f}},	//   _ﺭﻩﻫﺒﻪﺭﻟﯩ, _médicas_, _satisfez, _beefort_, 
   {{0xa5ff0459,0xa7c9012a,0xb225011c,0xf8550350}},	//   _प्रिंसिप, _instalow, _fouki_, _መቅሰፍት_, 
   {{0xf3a201c1,0x415c0060,0xd0c500ba,0xd3cf03fb}},	// [b3c0] _tampan_, _дулат_, _دۆبلاژکر, _stavis_, 
   {{0x43790298,0x1dcd00cf,0x4f5e0211,0x62020119}},	//   _rapanga_, _baahiree_, _satakunn, _inting_, 
   {{0x5292006f,0x82d80092,0xa201042d,0x39da00f0}},	//   _wataka_, _パイロットインキ_, _draiko_, _swiftsit, 
   {{0xc320034e,0xb4db0113,0x0d910158,0xa3ec00e4}},	//   _abiyan_, _صفحاتنا_, _रिसोर्सि, _tabliczk, 
   {{0x9c4b0343,0xbcd1005b,0x36240061,0x8fe10291}},	//   _gintong_, _cashsoku_, _마지막인사_, _الطغاة_, 
   {{0x726c001a,0xe3950077,0xaf490211,0xe26e009f}},	//   _tudok_, _brasri_, _kutsutaa, _lepoto_, 
   {{0x161f0068,0xd39503ad,0xcbed01db,0x325b0105}},	//   _muslimii, _prassi_, _долларды, _mysle_, 
   {{0xb4e8013d,0xe85e0021,0x470b00af,0xdae20205}},	//   _טערמין_, _adoliniu, _повторює, _anglagan_, 
   {{0x15b80276,0x9a0a0050,0x7b650291,0x02240488}},	//   _тартилға, _patalina_, _chumasac, _nieka_, 
   {{0xe0b403c7,0x4c6b0663,0xc42d0053,0xf26c04e6}},	//   _अंगुली_, _misraim_, _प्रबळ_, _pulos_, 
   {{0xc2e80434,0xc960003d,0x937f002c,0x52010040}},	//   _hubiera_, _filogene, _bukaera_, _actin_, 
   {{0x52250358,0xd8970191,0xc7f800da,0x34b00297}},	//   _pouki_, _ansvarar_, _формациу_, _başlavı_, 
   {{0xfc010312,0x6dd7000d,0x60f10137,0x1d180291}},	//   _liester_, _kalkulaa, _өрхүүд_, _ويسهل_, 
   {{0x527e0139,0xe202026c,0x371100f8,0x00000000}},	//   _aghna_, _oppida_, _আদমশুমার, --, 
   {{0xe2240635,0xbcb80060,0x5f24035d,0x59fc009a}},	//   _lieka_, _кетсем_, _bašti_, _encanyat, 
   {{0xf25a029e,0xe292032e,0xeca0002b,0x5a7b000d}},	//   _hellit_, _pataka_, _রেফ্রিজা, _autokaub, 
   {{0x77080251,0x815200c5,0x865800d0,0x1e6a0033}},	// [b3d0] _عوامہٕ_, _已经本网协议授权, _настайда, _maschina, 
   {{0x45a60204,0xd232012b,0x4c6801ee,0xb4eb0094}},	//   _классиче, _reklamę_, _народнос, _قىراۋلى_, 
   {{0x86380270,0x6c5d0321,0xdade0451,0x0e500334}},	//   _admirabi, _dostavo_, _bontshit, _ankakuma, 
   {{0x620100c3,0x7f200272,0x4115006e,0x1860025b}},	//   _actio_, _abatanda, _bariylàk, _dagarnir_, 
   {{0x305c01bd,0xd10703db,0x7c610054,0xa0600309}},	//   _диаметрі_, _elokuqal, _antunta_, _cahillik_, 
   {{0xdb100156,0x863e0320,0x3fa100a8,0x00000000}},	//   _אזדאבא_, _kuvitani, _chavagls_, --, 
   {{0x88750348,0x726c03e7,0x13500227,0x53fa00ab}},	//   _ayanjulu, _kulop_, _dicelup_, _utuutu_, 
   {{0x0e550426,0xd2da03b2,0x5c9200ad,0x92000288}},	//   _महत्वपूर, _reports_, _katukang_, _timine_, 
   {{0xbab303a1,0x153501eb,0xc67b01a3,0x729203c2}},	//   _зеленчуц, _inimbóic, _ڀريائين_, _bypath_, 
   {{0xa3a202f6,0x627f00ff,0x64000444,0x00000000}},	//   _aampon_, _avenuo_, _бежна_, --, 
   {{0x97780086,0x1d3802fa,0x19fc00a6,0x01f10307}},	//   _رومانیہ_, _yashatse_, _ancanyat, _elinabam, 
   {{0xd37b02e9,0x26b60195,0x30b00045,0x70b50078}},	//   _espacio_, _clasiach, _стручног_, _сноудену_, 
   {{0xb90000bb,0x5d870148,0x48f404cf,0x09c100e0}},	//   _عبدالملک_, _reperire_, _engalawu, _dopearte, 
   {{0x55ae0061,0xcb9000c7,0x9e43005d,0xd5830060}},	//   _강동그린웨이_, _бэйнэ_, _membýre_, _рейтингк, 
   {{0xd34b005b,0x049200d1,0x22cf0180,0x72fc0211}},	//   _bekendt_, _অতীতত_, _perdfami_, _kangas_, 
   {{0xfc17005e,0x0eb0022a,0x9b8800e2,0x871500ca}},	//   _روسچە_, _panemons_, _berikber, _bruttium_, 
   {{0x53b2013c,0xe2ca06aa,0xc3f40155,0xf526010f}},	// [b3e0] _qorqud_, _handai_, _vettig_, _amasondo_, 
   {{0xc84c0192,0xd3f402a3,0x37ed00cb,0x32250009}},	//   _보였습니다_, _wettig_, _angading, _vlaken_, 
   {{0xce9e0203,0x82d5005b,0xe26d00d1,0x1c650312}},	//   _rádicas_, _cocoron_, _attom_, _glotont_, 
   {{0x2d030034,0x55d506a2,0x4b6b0244,0x00000000}},	//   _bolungar, _ahaberey, _tuttavia_, --, 
   {{0xbdb700dc,0xcf290306,0xac1e0051,0xc5e60153}},	//   _aliitaea, _chirinap, _stipras_, _個人情報の取扱い_, 
   {{0x1a010105,0xc62003b4,0x239500bc,0x31f701f3}},	//   _podlegać_, _bvunzisi, _boesro_, _krajkové_, 
   {{0x634d01f4,0xd2ca01ef,0x3f0700df,0x00000000}},	//   _шарафига_, _gandai_, _concises_, --, 
   {{0x9bf9008d,0xa53c007e,0x30cc01f4,0xcd920289}},	//   _партияни, _शौचालङ्क, _пайсалга_, _kalekale_, 
   {{0x6b8e00e6,0xcc680260,0x0c060294,0x5afa00e0}},	//   _正宗德国梵尚车内, _cadrado_, _churkuy_, _keunsten_, 
   {{0x7fd30040,0x92910456,0xd1d10381,0xfd5603dd}},	//   _פרמזן_, _tufail_, _atterlay_, _sebashku_, 
   {{0xb16401c8,0xbfec01f4,0xc3bf011a,0xc6a502c7}},	//   _rakoviny_, _кийимлар_, _לזלזל_, _friedhof, 
   {{0xf85701db,0xc2a7021a,0xe0d10074,0xe34000d8}},	//   _ءﻭﻟﯩﻤﺪﻯ_, _barbadii_, _uskonnol, _aicesta_, 
   {{0x84b40294,0xf9f2047b,0xb19b0040,0x6f3502a3}},	//   _kamachik, _matstovu, _ספינת_, _teruggaa, 
   {{0x9d4a003c,0x5354039f,0x703400f4,0x7ec902a8}},	//   _برشمرد_, _deletes_, _donezono, _irriżenj, 
   {{0xbd7b0373,0x9793042f,0x62fc010e,0xfc6004b9}},	//   _שלשים_, _ilitturi, _bangis_, _littles_, 
   {{0xed730013,0x02ca0095,0x879f0037,0x813b0120}},	//   _فراوانلی, _sandhi_, _የተፈረመው_, _mekelteh_, 
   {{0x00000000,0x00000000,0x00000000,0x00000000}},	// [b3f0] --, --, --, --, 
   {{0x13ea005b,0x051300f5,0x75e8016e,0x9b0700a4}},	//   _scotti_, _watançyl, _dolarlık_, _religió_, 
   {{0xbd2602e2,0x5ab20135,0x6c540555,0x5c0b00dd}},	//   _anooasle_, _domenın_, _austlig_, _halogiad_, 
   {{0xfacf03c2,0xbecc0253,0x47550244,0x62000529}},	//   _contrive, _inniminn, _офиси_, _dulić_, 
   {{0xa95900bf,0x49460013,0x9e150237,0x85bc0350}},	//   _разрешае, _омийн_, _가슴노출사고_, _ያጠናክራል_, 
   {{0x1226034b,0xf27f02fb,0xf1dd0187,0xe8d7006c}},	//   _maskim_, _haanau_, _прослави_, _фисади_, 
   {{0xbdf800e4,0xbc0701d1,0x0cf800e4,0x47160420}},	//   _fundusze_, _consist_, _funduszu_, _идиотски_, 
   {{0xb307047b,0xd0e3009a,0x99f5013f,0xd28b010e}},	//   _menniskj, _awunamal, _blogjake, _hahalili_, 
   {{0xf2df0045,0x427401b4,0xd35601d1,0xf20202c2}},	//   _односа_, _dissipel, _extends_, _uiting_, 
   {{0x1f39046f,0x05930155,0xb34f0429,0x00000000}},	//   _anonymer_, _presentk, _menegah_, --, 
   {{0x5aa90172,0x222400f2,0x8df703f3,0xd34801c0}},	//   _sinhales, _lieku_, _kinderop, _amaechi_, 
   {{0x35ab0057,0x13860693,0x1ab10185,0x52d7017a}},	//   _pergaduh, _dohru_, _kamadagı_, _максадат, 
   {{0x5ca400da,0x2dc800e6,0x63f8027f,0x7702008f}},	//   _интервин, _无法招架的赚钱方, _namure_, _हरिन्द्र_, 
   {{0xf29a0060,0x12bb008e,0x73dd0119,0x922f0311}},	//   _قالدىرىڭ, _jegesee_, _naawas_, _ሻምፕዮና_, 
   {{0x5460030b,0xae390278,0x234b0092,0xb26d0027}},	//   _kitegeez, _mukasura, _バリアフリ_, _muton_, 
   {{0x6639048a,0x4ed60331,0x0f260111,0xb2ec0059}},	//   _салалары, _familjun, _ingrossa, _ottiene_, 
  
   {{0x534502cb,0x2321041e,0x53a101a7,0xe30200b6}},	// [b400] _spadaju_, _foncier_, _kaupunki_, _milaagu_, 
   {{0x6e90026c,0x79ba0054,0x07ff00bc,0x42000393}},	//   _fortasse_, _saudiyya_, _عملیاتها, _bulić_, 
   {{0xa2e3031d,0xd27f0318,0xcbf80008,0x71860213}},	//   _pedicle_, _faanau_, _بولمۇق_, _железных_, 
   {{0xf27f0397,0xd31202f3,0x1736005e,0xd5ad0139}},	//   _abangu_, _dubbelt_, _توتېم_, _दयिता_, 
   {{0xcd0601fb,0x5c130043,0x00000000,0x00000000}},	//   _attraher, _alupadi_, --, --, 
   {{0x52c20320,0xf84b0256,0xee3804ca,0x59df003f}},	//   _aveleka_, _sekundes_, _racontes_, _dubotrup_, 
   {{0xf9060061,0xeb960111,0x46960156,0x3a0603ae}},	//   _구매가능수량_, _stintino_, _קשאנאוו_, _finansde, 
   {{0x122402ee,0xa5bc018d,0x02640343,0xdb720239}},	//   _kieku_, _ኣይከይድን_, _bowlin_, _hapurona_, 
   {{0x2d700060,0xb7bd02a3,0x56150368,0x8d9d01d2}},	//   _індет_, _vereenig, _мучили_, _cuentata, 
   {{0x2dc9018d,0xc30e0172,0x1dee0071,0x290e032c}},	//   _ይስሃቅን_, _kwabena_, _آمپول_, _allanilu, 
   {{0x326c00a9,0xcd6f0211,0xeb8a009b,0x3b5b0037}},	//   _inkoni_, _sammutta, _хорон_, _mustaffa_, 
   {{0xfe4d028d,0xedba0238,0x925b0494,0x8c0a00c4}},	//   _anbadina, _юридични, _divlja_, _ترڪيءَ_, 
   {{0x0c4b00bc,0x00000000,0x00000000,0x00000000}},	//   _lintang_, --, --, --, 
   {{0x06c900f5,0x3eb30119,0x1386005b,0x92f00318}},	//   _биналары, _oberwart_, _tohru_, _ilaiasi_, 
   {{0x11030468,0xd3860251,0xd6f10007,0x52fc040f}},	//   _ofikelel, _shirku_, _dipandá_, _valgo_, 
   {{0x73e30362,0x26e000c5,0xa26c0148,0x00000000}},	//   _abimisak, _劳动保障部_, _ardor_, --, 
   {{0x6e9100bb,0x4d5a0156,0x1e4601c8,0xc863011a}},	// [b410] _فریڈم_, _עדיפוס_, _realizač, _סרגיי_, 
   {{0x82f50247,0xf20002c7,0xaa440229,0x00000000}},	//   _pulitik_, _schien_, _fondunda_, --, 
   {{0xbe4e026f,0xd224012b,0x985c012a,0xfe010241}},	//   _қайда_, _wieku_, _popołudn, _boneerra, 
   {{0xf2f90119,0xf26d01a7,0x9ea1025c,0x026e0414}},	//   _senhora_, _auton_, _sortiert_, _bosomi_, 
   {{0xac230133,0xf21e0148,0x1c18042a,0x726c004d}},	//   _alfireed_, _請發表您的看法_, _bangatic, _ludos_, 
   {{0x430805c2,0x8b13028a,0xc3ea00b5,0xcdb30282}},	//   _thabelo_, _kuipinga_, _ikoty_, _namunamu_, 
   {{0x237d04f2,0xc3be02a8,0x0b8803b7,0x8da4005b}},	//   _essance_, _bravuri_, _arrister, _braithwa, 
   {{0xd3ce0044,0x562c0058,0x4c610365,0x53010045}},	//   _drives_, _lebijopi, _americe_, _странама_, 
   {{0xc27f01cb,0x42da03e3,0xedac0499,0xed820139}},	//   _abandu_, _anterm_, _aneionap, _निर्बन्ध, 
   {{0xb960016d,0x528d032e,0x0f3302d8,0x9ca702c0}},	//   _анализчи_, _pachuru_, _संस्थेने_, _важност_, 
   {{0x621c00bd,0xb26500be,0x01a300e6,0x00000000}},	//   _eithly_, _شىتاتتار, _阿森纳队美女宝贝, --, 
   {{0x8c7c01e5,0xcad7014e,0xe8fd0192,0x1f5b018d}},	//   _adesola_, _прочитај, _양도소득세_, _ምውድዳር_, 
   {{0xdd0503f0,0x67ec02f6,0xc47b024c,0x4a610168}},	//   _hverager, _makatang, _espedizz, _billetts, 
   {{0x5ce904c7,0xbf2101ad,0xae530541,0x238702bb}},	//   _доказала_, _assesmen, _procenat_, _skarbu_, 
   {{0x1a460276,0xb9f600de,0x725a03f0,0x00000000}},	//   _частота_, _boonyana_, _fellst_, --, 
   {{0x6dd7008d,0x10630294,0xa56b0040,0xcf2100bd}},	//   _بیرهفته_, _acusasun, _מהצבא_, _acquenta, 
   {{0xcdb301a4,0xb3ce01ef,0x2ee20193,0xec900119}},	// [b420] _abengana, _stovi_, _packingn, _pamulong_, 
   {{0x434500d8,0x310300a6,0x425b00ad,0xdc03080b}},	//   _fondent_, _afikelel, _jablay_, _pristop_, 
   {{0xb24a007a,0x128f0182,0xe0750035,0xe26303c7}},	//   _resolusi_, _hoopokol, _нуриев_, _złota_, 
   {{0xd2af0234,0x9c3b0037,0x49c100ee,0xe304004d}},	//   _afinjú_, _በወረቀት_, _ingelese, _劉翔晉級田徑世錦, 
   {{0xb2fc0255,0x073100c4,0xff370344,0x326c024a}},	//   _valge_, _پاڊڪاسٽ_, _amerlarp, _kikoni_, 
   {{0xf2d404bc,0x222505a4,0xb1660040,0x226c0102}},	//   _årdal_, _mouky_, _איכילוב_, _jikoni_, 
   {{0xc26c0165,0xbee000b9,0x122500d3,0xd064000d}},	//   _dikoni_, _इंद्रिया, _louky_, _missugun, 
   {{0xd3410157,0x9298011f,0x5e440013,0x6da200bb}},	//   _allegro_, _ajajuvo_, _nazariya, _گاٹنر_, 
   {{0x5b7201a6,0xae0a02ac,0x4773005e,0x0fb60061}},	//   _papurona_, _وفنانات_, _ئىپپەتلى, _국민참여마당_, 
   {{0xb2b7001a,0xf2b40139,0x8db30318,0x9557024a}},	//   _kultúrát_, _avocad_, _lamulamu_, _lomiiràn_, 
   {{0x2100012b,0xdfb70435,0x16d000cb,0x2daf001c}},	//   _konkursy_, _prelazno, _angakumi, _oderland_, 
   {{0xb9c60094,0xbfb50177,0xe55f03ff,0x5ef500ec}},	//   _جالىندى_, _ргәыҕрақ, _dvojjazy, _выязной_, 
   {{0x135000ae,0x062801b8,0x16320253,0xf30c0044}},	//   _agafuko_, _augustil_, _sprængni, _demands_, 
   {{0x5307018f,0xdcd701f6,0x2c610148,0x01c40178}},	//   _bimaydi_, _ঘাইকৈ_, _此類稿件不代表本, _aparihāṇ, 
   {{0x4c28033e,0x7b9d00e4,0x97480038,0xfa4d004d}},	//   _akanundu_, _क्रुद्ध_, _диффенба, _木訥蕭敬騰_, 
   {{0xbd130258,0x32260120,0xab890005,0xc63a0311}},	//   _blessuer, _buukuy_, _europeic, _ዘዛርበና_, 
   {{0xeb0d0244,0x51400418,0x2ed9027e,0x7b4c034c}},	// [b430] _scoperta_, _doldurul, _балистич, _cenazası_, 
   {{0x094a05fa,0xd35f0028,0x56560169,0xd26d00db}},	//   _सालस्कर_, _سوالُک_, _নেতৃত্বে, _autol_, 
   {{0xfc91047f,0x4ecc02ec,0x62f602c6,0x32e901ac}},	//   _अवरोध_, _rabitaan, _ardivik_, _braiden_, 
   {{0x09f2016e,0x52da00ac,0xd9dd014b,0x82f3023e}},	//   _dakikada_, _kiselo_, _waagisse, _budheng_, 
   {{0xddb6007e,0xc3a2012a,0x6c180046,0x69e90297}},	//   _anantama, _kampanii_, _tanquen_, _kereşüe_, 
   {{0xe2250266,0xb88900a4,0xd3bf02a0,0x44fd0420}},	//   _doakan_, _башалама, _asiwere_, _народите_, 
   {{0x142c01e0,0x7b9d00b9,0xb6d10499,0x82da028a}},	//   _بارستایی_, _क्षुद्र_, _masalomi, _misemo_, 
   {{0x669c0148,0x925b0005,0xffd80403,0xe341011b}},	//   _月份科學之旅活動, _soglio_, _andiambo, _kikento_, 
   {{0x59840143,0x97690137,0xa38600c1,0xbdbb003b}},	//   _анджелин, _дээжээс_, _ngorok_, _khumbúta_, 
   {{0xf2a604cc,0x93cf03e2,0x775800b9,0x7296036a}},	//   _veibei_, _traves_, _मुक्तता_, _kidavaki_, 
   {{0xf26d0027,0xf30e0095,0x6c020528,0xa6f900d9}},	//   _mutob_, _antawis_, _rapsons_, _браузерн, 
   {{0xbe990698,0xe2e60185,0x428d036a,0x17fa0153}},	//   _abitavye_, _табыну_, _kalawaci_, _サスペンス_, 
   {{0xf4980205,0xf2eb05f6,0xbd82022e,0xe30c003f}},	//   _yangilik, _kvinner_, _dialetta, _didanis_, 
   {{0xda7f00cf,0xc35400f2,0x4ae6003e,0xfec700c1}},	//   _arsaarra_, _komercķī, _ikarabet, _defisien, 
   {{0xf24202da,0x82f5000c,0x76530126,0x2d8f0291}},	//   _alumínio_, _boggiani_, _безумовн, _دمعتي_, 
   {{0x426c0287,0x9f23055a,0x0f660094,0x07bd0166}},	//   _nikoli_, _conectan, _амалы_, _gereinig, 
   {{0x825f00af,0x926d02e3,0x2cbb0245,0xa048002b}},	// [b440] _впровадж, _licogi_, _shaphang_, _নিউজহাট_, 
   {{0x63960087,0x210b018d,0x62270088,0x843d00be}},	//   _antswa_, _ብዓለምለኻዊ_, _кайнайт_, _وسولدۇق_, 
   {{0xa976008d,0xd3480031,0x130c0239,0x39f302ed}},	//   _виртуал_, _seleksi_, _taparau_, _cacicada_, 
   {{0x137800bc,0x02120202,0x3859040f,0x4e3800ea}},	//   _sekawan_, _irihin_, _estrados_, _fakantsa, 
   {{0x894401db,0x8b750258,0x6a39027e,0x00000000}},	//   _әлихан_, _mislearr, _недељић_, --, 
   {{0x59920160,0x4168061a,0x206f0160,0xa2e5002b}},	//   _prekinut, _पीडादायक_, _neobrazo, _বর্হিভূত_, 
   {{0xa2e90075,0x1ffa018d,0x13ad0079,0xba03000a}},	//   _seinast_, _ንምቅዋም_, _sāpes_, _ammartit, 
   {{0xae560222,0x56010163,0xbf210538,0x557c012a}},	//   _dimanche_, _منقسم_, _vindretn, _kolejowy, 
   {{0x67af00af,0x8394001f,0xf19500f2,0x4c80018a}},	//   _jаvаsсr_, _esisi_, _licencēt, _haerllug_, 
   {{0x3cd701ec,0x67640139,0x92480205,0xcdc30156}},	//   _اعدام_, _अमृतेश्व, _kelmas_, _נאָטע_, 
   {{0x83f1006f,0xfc4b00d2,0xbf37020f,0x325a02c2}},	//   _wenzake_, _gintung_, _مېرکل_, _dellie_, 
   {{0x39120094,0x7fee01c7,0xdedf004d,0x4ae20249}},	//   _ءبىرىنشى, _башламан_, _兒童圖書類_, _populese, 
   {{0xe093002b,0x20f70046,0x4bac0094,0x8eab0026}},	//   _রিমুভ_, _monogràf, _نەكەلى_, _schokken, 
   {{0xac550184,0x29fc0118,0xac6700df,0x39f802da}},	//   _abitoje_, _awenyuka_, _restait_, _lingerie, 
   {{0x7f6602da,0x207800da,0xe5cd0151,0xd3af0076}},	//   _acabamen, _привилеӂ, _annagirl_, _lápis_, 
   {{0xdf7f042b,0x2e220269,0xe5a50152,0x5eee0224}},	//   _aktivnoš, _enemigos_, _туйлар_, _bakvísan, 
   {{0x222a015d,0xec2503b9,0x874d02fe,0x5c7d01b9}},	// [b450] _परिचायक_, _patankir, _akanakuv, _medsinn_, 
   {{0x026c00a2,0xd81d0361,0x1db5007e,0xd2a604b2}},	//   _mwenyezi_, _консерви, _ananyala, _iniba_, 
   {{0xad380069,0x23ac0161,0x32e6040b,0x713d0121}},	//   _bashatse_, _kauppa_, _sianesa_, _portavoz_, 
   {{0x54340145,0x8f21007b,0x9733015c,0x77990193}},	//   _светлень, _acquanta, _komplizé, _श्रीगुरू, 
   {{0x1b62012a,0xf7bd0065,0x5d5e058c,0xa3540055}},	//   _चूमना_, _vereinig, _ज्योतिषस, _arseniu_, 
   {{0x838702db,0xfe73026c,0x4c7f003b,0x127f03ef}},	//   _kopra_, _財政局支付科_, _akusilo_, _abanyu_, 
   {{0x1ebe0487,0x622405a7,0x4c6e02fc,0x52f303ec}},	//   _pursuant_, _lieki_, _akarima_, _makinat_, 
   {{0x7d030203,0x185601f7,0x23be020e,0x00000000}},	//   _síllabes_, _bordièrs_, _jerweng_, --, 
   {{0xd633020f,0x02e90127,0x52fc0138,0x787204d7}},	//   _abangani, _stanket_, _dalga_, _stanslau, 
   {{0x4db503ac,0xf34c009f,0x8225011f,0xc68f0417}},	//   _meningga, _naredil_, _ikorasõ_, _majestei, 
   {{0x43870132,0x59ff025b,0x1c710053,0x4ea8045a}},	//   _akarod_, _samanumt, _मिर्झा_, _hektiske_, 
   {{0x2ea100eb,0x9e430052,0x23a200b4,0x00000000}},	//   _aberante_, _पूर्णविर, _scapa_, --, 
   {{0xf251002b,0xa64101fa,0x36eb032d,0x00000000}},	//   _নিশ্চই_, _sisitemi, _етдилек_, --, 
   {{0x324e004a,0xc2e90071,0x63f90032,0x6ad90060}},	//   _юзабилит, _buanget_, _defunc_, _تاپقانىڭ, 
   {{0x0c01002b,0xcb830280,0x030c03e6,0x7a18031a}},	//   _সংখ্যাগর, _साइमन_, _geraumt_, _onopordu, 
   {{0xd36e0298,0xe98402cb,0x4c670156,0x1f210144}},	//   _tanguru_, _artikala_, _טענצל_, _eintitea, 
   {{0xbc5a0044,0xf2ca01b5,0x92f4024c,0x22250267}},	// [b460] _reduced_, _bandhi_, _adulterj, _unuka_, 
   {{0x40c1009a,0x7a8900b0,0x22ca012b,0xc2010147}},	//   _abaliqel, _arrintan_, _randki_, _actiu_, 
   {{0x3a7300c8,0x79a80255,0x334b0109,0x525a005b}},	//   _bagalata_, _शान्तिमय_, _objevit_, _violao_, 
   {{0x27ad02a8,0x61e50213,0xf2df01af,0xee5c0153}},	//   _estensiv, _умершего_, _arbouru_, _記事ランキング_, 
   {{0x931a0040,0x2633027f,0x7533027f,0xf2a001b2}},	//   _שכנראה_, _ibandani, _ibandany, _barbid_, 
   {{0xe200046b,0x637902b6,0xbae801a7,0x720003ec}},	//   _melin_, _онанизм_, _esittele, _selia_, 
   {{0x92fd0203,0x126e0005,0x926d00a2,0x29b5041c}},	//   _aspirat_, _lavour_, _hutoa_, _bunduxat, 
   {{0x30b802eb,0xc3550126,0x1c7d01f7,0x8291016b}},	//   _ястан_, _innebar_, _amassen_, _biyasu_, 
   {{0x21ff0133,0x72d80273,0x963a02a6,0xd2730325}},	//   _aamilumm, _únete_, _metterà_, _günel_, 
   {{0x802a02ec,0xde54036c,0x02fc0140,0xee83004a}},	//   _نى۪ندٕ_, _fanampia, _langis_, _моратов_, 
   {{0x820000fe,0x4a6c0037,0x20c10040,0x3db4001a}},	//   _telia_, _ያስቀምጣል_, _וכרגע_, _توپوں_, 
   {{0xe30c02ac,0xaa1702c8,0x026d0211,0x5ac90025}},	//   _malaeis_, _poderían_, _outoa_, _महारदाः_, 
   {{0x2c2b018d,0x038701b9,0x68300067,0xbca4019b}},	//   _ገበናትን_, _anbras_, _ademsisu, _англійск, 
   {{0x2284018d,0x9687003e,0x341e0350,0x7db80328}},	//   _ዓንቐጻት_, _прокур_, _ግልፅነትና_, _ndangaka, 
   {{0x226d0074,0x158f03f3,0x59840109,0x2a7a0237}},	//   _autoa_, _hartstik, _ईलाममा_, _국가인권기구_, 
   {{0x326e03b3,0xc11d00e6,0x9ff703ad,0x839403de}},	//   _reposo_, _合众幸福人生终身, _emorrarġ, _isisu_, 
   {{0x93f400b9,0x46230233,0x65be0311,0x00000000}},	// [b470] _mastah_, _monosemi, _በብደረጅኡ_, --, 
   {{0x0df9012a,0x8e950013,0x00000000,0x00000000}},	//   _chociażb, _мусавий_, --, --, 
   {{0x7c74004d,0x00000000,0x00000000,0x00000000}},	//   _令人回味無窮_, --, --, --, 
   {{0x42240302,0x02b50163,0xe10d00e5,0xe37c0017}},	//   _bheka_, _piacra_, _правната_, _aliaweb_, 
   {{0xbd840270,0x420002ec,0xbbaa0265,0x20960095}},	//   _numerose_, _celin_, _rechtstr, _کاوالی_, 
   {{0x4ecc030a,0xd2af004b,0x9395013b,0x5e8a0360}},	//   _laborais_, _тәртибен_, _olesno_, _भारतसँग_, 
   {{0xb72c0094,0x648602d5,0x441304dc,0xde500244}},	//   _органдар_, _पाखाना_, _باسده_, _malattie_, 
   {{0xb310036c,0x720000dd,0x53f40116,0x7db5038b}},	//   _israely_, _felin_, _mutton_, _peningga, 
   {{0x8e33030b,0x93f8022d,0xb977002b,0xa1a8004d}},	//   _abaggala, _simule_, _লাবণ্য_, _主協辦單位_, 
   {{0xf65e01ad,0xc9ec0148,0x396c0166,0x47aa0461}},	//   _legionow, _學年度學生健康檢, _mediadat, _restabli, 
   {{0xc2c503b9,0xe2f60372,0x00000000,0x00000000}},	//   _jordanux_, _blogmali_, --, --, 
   {{0xe25002d3,0x60290222,0xcc6702ac,0xbc5c0099}},	//   _решат_, _profitez_, _برصاص_, _ajeturo_, 
   {{0x22c9011b,0xd20001ef,0xf395033c,0x52d902c3}},	//   _reponse_, _kelio_, _buasai_, _chcelo_, 
   {{0x61c70379,0x228901fe,0x8358021c,0x3d560012}},	//   _धर्मशाला_, _kapaiwai_, _patenty_, _ठिंगना_, 
   {{0x82000125,0x6200033c,0x0acd0187,0x00000000}},	//   _welin_, _delio_, _фамилија_, --, 
   {{0x1f070029,0x6237038a,0x16e400ba,0xcf130153}},	//   _لێمگۆراو, _arimoza_, _مسوڵمانا, _カンファレンス機, 
   {{0x36cc00ec,0x57d600a6,0x00000000,0x00000000}},	// [b480] _finalini, _ukhulelw, --, --, 
   {{0xe73c03db,0x5849003c,0xd84e0047,0x247d00af}},	//   _ayinakug, _خوشبختم_, _portails_, _болгарсь, 
   {{0x0114016d,0x28d103fc,0xa291005a,0xcf2400c8}},	//   _ﺩﺍﯕﻠﯩﻖ_, _bakebord, _oqqar_, _lebellan, 
   {{0x12000204,0x20e50012,0x61630187,0x391903a2}},	//   _pelin_, _कजरीके_, _поминаа_, _सोलहवीं_, 
   {{0x47dc0013,0xcc6a0397,0x26f40148,0xb3500399}},	//   _ضیافت_, _kumuntu_, _市民生活網_, _leitikum, 
   {{0xd980015c,0x89ec032e,0x31f301b5,0xca0b029b}},	//   _famillje, _wasitata_, _emintsom, _demaguma_, 
   {{0x12d801be,0xc04001bf,0xf34d017a,0xe67e00e0}},	//   _videem_, _sistnevn, _нарасида_, _hogerhui, 
   {{0x86410069,0xdf0b0448,0xcf200244,0x25090388}},	//   _umunyarw, _fremover_, _diverten, _карбонов, 
   {{0x9f2e0433,0x62cb003a,0x1533006c,0x8c8d01c8}},	//   _komunida, _sizdan_, _akungiph, _studenou_, 
   {{0xb9090374,0x61810132,0xe43e0089,0x54530361}},	//   _даражаси, _العظیم_, _baskıçın, _ветсанэк, 
   {{0x401602d6,0x52a604d8,0x82f30362,0x9d3c01e0}},	//   _انارباغچ, _siiba_, _bakalati_, _پیاهه_, 
   {{0x3c230092,0x18b60188,0xa1400568,0x72e900dc}},	//   _ここをクリックし, _мафхуми_, _bikubeso, _tilialo_, 
   {{0xba17006f,0x72d601e8,0x0eb80037,0x437e02e6}},	//   _مارشلا_, _benomyl_, _የተላለፈ_, _overkomm, 
   {{0xc1d1010f,0x8e6403a2,0x850e012e,0xe3020370}},	//   _истода_, _तिग्मांश, _portálon_, _didangu_, 
   {{0x22250295,0x8d1a00fa,0x00000000,0x00000000}},	//   _anuku_, _apendise_, --, --, 
   {{0x3f890126,0xbe020139,0xd2a70137,0x76710095}},	//   _районног, _प्रकाशयत, _панорам_, _شیکاگو_, 
   {{0xd39401ec,0x7a990204,0x00000000,0x00000000}},	// [b490] _crisli_, _turnauks, --, --, 
   {{0x2ba800c1,0xa39503f0,0x8092041a,0x00000000}},	//   _चिनूक्स_, _drasli_, _якова_, --, 
   {{0x03370368,0x854500d6,0xc837027e,0xd226034e}},	//   _пилота_, _عبادي_, _палате_, _atukay_, 
   {{0xc230022a,0x6d81004d,0xb64800e7,0x00000000}},	//   _koldikum, _家庭公社評論員_, _artzlerh, --, 
   {{0xa398016d,0xf0440040,0x7291036e,0x56d304c7}},	//   _базарлир, _הנתבעים_, _aqyay_, _позивни_, 
   {{0x21c3021c,0xfe4f0050,0x42f00381,0x7ddc00f2}},	//   _japonské_, _padamela, _akeupmay_, _recepšu_, 
   {{0x9ccc0045,0x89880148,0xa5ab02d4,0x041d012c}},	//   _служи_, _前一個主題_, _siegenth, _kilichok, 
   {{0x6d050113,0x6c1d000e,0xa27e00d5,0xb7950545}},	//   _multihac, _frappat_, _anonsy_, _arameisk_, 
   {{0x1b82004a,0x6a1304a5,0xdf0500bf,0xd2630113}},	//   _agentlar, _esibange, _пукане_, _cultúrla, 
   {{0x226c008e,0x6ffb03a2,0xd23e004d,0x00000000}},	//   _dikoy_, _रॉपाओगे_, _檢視分區列表_, --, 
   {{0xc27401ce,0x1ecc0253,0x6e5000c5,0x7eaf01af}},	//   _توالت_, _annikinn, _picardie_, _astrabat_, 
   {{0xd32003ea,0x9c5d026b,0x1c0a00ae,0x00000000}},	//   _proches_, _sostuvo_, _iregagur, --, 
   {{0x404a0461,0xd6b60029,0x36eb00d6,0x1f71040f}},	//   _escrivan, _خاپوور_, _معمارية_, _berankis_, 
   {{0x22840014,0x3e7302de,0x1dce0314,0xf2fd0235}},	//   _ዓንቀጻት_, _दोस्त_, _битен_, _arpayati_, 
   {{0xda580270,0xee560161,0xeeae01b5,0x2e600287}},	//   _comencia_, _картину_, _emilawin, _probíhal, 
   {{0xbe020139,0xff740037,0xbb2902b9,0xa7da02cd}},	//   _प्रकाशित, _አንቀፆች_, _آزادئ_, _amerikaw, 
   {{0x4b1d012c,0xee1301f4,0x18060029,0x53f4055c}},	// [b4a0] _التجا_, _آُستی_, _ناخمدا_, _gutten_, 
   {{0x62f200b9,0xc17801ac,0x925a01f3,0x00000000}},	//   _penisku_, _dochrach_, _cykly_, --, 
   {{0xa2000151,0x5ebb0311,0x00000000,0x00000000}},	//   _belie_, _ክትምገብ_, --, --, 
   {{0x1a130399,0x21df0037,0x1225016e,0x00000000}},	//   _hahahahe, _በዳንኤል_, _uzakta_, --, 
   {{0x9dbe01a0,0xa3f2005b,0xbda601ac,0x7917006c}},	//   _burisana, _freeblog_, _deighilt_, _amacroqu, 
   {{0x816f0037,0x5a840037,0x63850230,0x52900172}},	//   _ተፈጥሯዊ_, _ወደሚቀጥለው_, _kolganov_, _twaam_, 
   {{0x831b0235,0xa355003d,0xf0db0081,0xe2b00139}},	//   _उत्पद्यन, _annexar_, _uppþvott, _शिशुः_, 
   {{0xd1cc01f1,0xddb5023e,0x88b50153,0x00000000}},	//   _promovim, _diandala, _gentager_, --, 
   {{0x39320071,0xbeb004a8,0x0db00666,0x657d0138}},	//   _الهیات_, _vlastite_, _vlastitu_, _markası_, 
   {{0xa659026f,0x2f390009,0xaaa401ab,0x00000000}},	//   _арабтард, _izgublja, _genialis, --, 
   {{0xf3940435,0xf633023c,0x453302fc,0x5a930008}},	//   _upisa_, _abanyani, _abanyany, _тордон_, 
   {{0x6268054e,0x23540003,0xba4b0774,0x346c0022}},	//   _kitumull, _spreekt_, _parecida_, _портреты, 
   {{0xdfc30242,0xe3a203ec,0x0f3502eb,0x00000000}},	//   _sekiller_, _kampin_, _aiestara, --, 
   {{0xedf10477,0xdad80190,0xaeb801a7,0xa1c3021c}},	//   _mendekat_, _ngamarin_, _pakollin, _japonská_, 
   {{0x54bd0595,0xaa8500a2,0x51ed009a,0xa0520098}},	//   _कुबेतमा_, _دوبدو_, _کړاووې_, _årsregns, 
   {{0x0e3403e7,0x40730169,0xa26c0245,0x98480037}},	//   _burgenla, _আত্মসমর্, _shkor_, _በማቃለል_, 
   {{0xc98e041a,0x2e1500ee,0x6a7c0111,0x3fa4016e}},	// [b4b0] _даний_, _hemengoa, _ricamata_, _sevenler_, 
   {{0x5841023b,0xad1c024a,0x4b8c0037,0xa2ce0466}},	//   _collored, _durotoye_, _ታውቂያለሽ_, _željom_, 
   {{0x5b9b008f,0xeaf800be,0x00000000,0x00000000}},	//   _दुनुजान_, _taquille, --, --, 
   {{0xe3f403e5,0x7282006f,0x2daa02d7,0xf83d0291}},	//   _putten_, _nadhani_, _lucifera, _تشابه_, 
   {{0x32910392,0xf20101e7,0xbdf100e1,0xf415061e}},	//   _albais_, _dovier_, _jendekat_, _eqañasqa, 
   {{0x773e02d3,0x00000000,0x00000000,0x00000000}},	//   _preparaç, --, --, --, 
   {{0x63550370,0x0e0a0311,0x42480304,0x3cb3017d}},	//   _belewer_, _ሕላገትና_, _chomel_, _hamamatu_, 
   {{0x5ead00be,0x2e96029a,0x3507033e,0xf20003bd}},	//   _ايزادا_, _gratwite_, _deltaico_, _idlit_, 
   {{0xac53023b,0x9224028d,0x642800f3,0xdc8b0211}},	//   _septima_, _cheke_, _ayokwenz, _операций_, 
   {{0xf2c900e5,0x61e901fb,0x1f1d00a4,0xba1500ae}},	//   _suporte_, _stanleym, _зоопаркт, _kumanika_, 
   {{0x8cf201e0,0x3c220074,0xc1f10062,0x8dec0444}},	//   _حاکمه_, _onnistuu_, _dadabogh_, _облегчае, 
   {{0xa2eb000e,0xb35501b4,0x00000000,0x00000000}},	//   _vehicul_, _gelewer_, --, --, 
   {{0xc2ea0607,0xe2ee03c3,0xe5770405,0x0ce8002c}},	//   _kuyinto_, _uciniti_, _postoppk, _жексоны_, 
   {{0x47a60144,0xb2b40200,0xc47c03a2,0x00000000}},	//   _leithini, _onicha_, _सालभर_, --, 
   {{0x44b401a4,0x45b600d8,0x00000000,0x00000000}},	//   _bamalaik, _bacheliè, --, --, 
   {{0x29190756,0xd5f3027b,0xd9b40037,0x32d203ce}},	//   _प्लेसमें, _उभयथा_, _በጉዲፈቻ_, _سدیقی_, 
   {{0x426d02f6,0x4bf70207,0x9f63009c,0x00000000}},	// [b4c0] _gutom_, _mustakab, _colaptes_, --, 
   {{0x8e3301ef,0x92000198,0x9a310288,0x72e9029e}},	//   _reklamos_, _celic_, _zuschlie, _asantet_, 
   {{0x1378001c,0x6d3e0197,0x5a8f0028,0x030d0224}},	//   _aklanon_, _brunache_, _geliyaan_, _bilanir_, 
   {{0x30c70035,0x03eb02a4,0xe23800a9,0x3bef00b9}},	//   _таянып_, _beatus_, _ntimuzi_, _kesempur, 
   {{0x2e9503ba,0xca6f019b,0x73de0342,0x721e0040}},	//   _isitsiet_, _manodrab, _beswen_, _רולינג_, 
   {{0x4e460107,0xef46002b,0x5f6b00f2,0xd10e011a}},	//   _واشنگتن_, _অশান্ত_, _nelabums_, _נוצצות_, 
   {{0x1e4f0230,0xbcdd0152,0x4cdc0061,0x1cf10168}},	//   _kumansma, _aşıgıç_, _사용후기를_, _eliteser, 
   {{0xaa110450,0x326c02be,0x00000000,0x00000000}},	//   _donaasje, _budoy_, --, --, 
   {{0xf073006d,0xaa150071,0xd2d802c2,0xcc7d017e}},	//   _бухты_, _semangka_, _bileam_, _ateston_, 
   {{0x5e550285,0x1347023b,0x62a60303,0x857902c8}},	//   _bukabije_, _kileaba_, _diabe_, _antoloxí, 
   {{0xe26d0062,0xe3ea00f2,0x06f00214,0x00000000}},	//   _dutoj_, _ljoti_, _bayalelw, --, 
   {{0x975c0340,0x353b00ec,0x918c01be,0x039401b2}},	//   _tinihang, _ставіў_, _नम्वर_, _arisai_, 
   {{0x62e501f7,0xe9f50320,0x295802ac,0x67470291}},	//   _chinesa_, _engalave, _دبدوبة_, _وفجأة_, 
   {{0xfa89003a,0x3b08004d,0xd2480198,0x6d980255}},	//   _ташланга, _個人空間管理_, _pojme_, _noolekla, 
   {{0xf200019b,0x83f9034a,0x3eea032d,0x00000000}},	//   _kelia_, _óvulo_, _leqhubun, --, 
   {{0x7ac102ac,0x026d005b,0x97340153,0x00000000}},	//   _النطاق_, _nicoli_, _おいしいキ_, --, 
   {{0x25fc029f,0x97ec06a2,0x95b700e6,0x3c0202c7}},	// [b4d0] _mikuláš_, _bakarang, _万退休和生活困难, _mittages, 
   {{0x298e0405,0x84570144,0x875b01b8,0x00000000}},	//   _самий_, _سعاده_, _helistag, --, 
   {{0x2e2e01ec,0xcf5c0010,0xf545002b,0x09620499}},	//   _timotius_, _babakhan, _গনতন্ত্র_, _sololele, 
   {{0xf2d800ab,0x0c7602f3,0x9353032b,0x69700502}},	//   _mahere_, _misstag_, _زۇلال_, _caunlest, 
   {{0x98630188,0xb7ec0282,0x926703bf,0x00000000}},	//   _солаги_, _takarang, _вагонды_, --, 
   {{0x4db30085,0x6e9a01d9,0x6b180203,0x4d7f00f8}},	//   _jamujamu_, _gesuergt_, _niggeris, _মেশিনের_, 
   {{0x92000113,0x62000429,0xc9c0035b,0x49fd027b}},	//   _ledin_, _belia_, _primerna_, _antargat, 
   {{0x76e101d2,0x39e00235,0x7a7c00cd,0x0ad2015e}},	//   _alabachi, _apagatat, _beinreus, _gastrote, 
   {{0x62000206,0xc7050024,0x527f0220,0x1e9a03e6}},	//   _vedia_, _অস্বীকাৰ_, _avendo_, _besuergt_, 
   {{0x85100301,0x2a0a0410,0x6ea6013c,0x77d40040}},	//   _səlahiyy, _tsebagat, _italiyan, _נאלצים_, 
   {{0x8af301c2,0xc239025e,0x422303d2,0x4c7c0013}},	//   _estranxe, _göllum_, _amfiteát, _gulshan_, 
   {{0x3394019f,0xbaa60061,0x535500c5,0x76c9027f}},	//   _kuishi_, _갤러리아백화점_, _relever_, _kagasubi, 
   {{0x12e705f4,0x822400d7,0x4213006a,0x3394033d}},	//   _leoncio_, _baeki_, _arahin_, _epise_, 
   {{0x535502a4,0x85d603ce,0x27ee000d,0x0e01020e}},	//   _deleter_, _ودیزاین_, _pedagoog, _dimenera, 
   {{0x2c930276,0x334e0188,0x9e4a01e9,0x00000000}},	//   _شابان_, _тамаъҷӯӣ_, _fularele_, --, 
   {{0xbc9c003a,0x7f3b0287,0x42910095,0x52900049}},	//   _бунда_, _receptyn, _ampal_, _konaá_, 
   {{0x27ec02e7,0xb1630235,0x245e0040,0xc26d00d0}},	// [b4e0] _makapang, _anavakāś, _נוגעים_, _autok_, 
   {{0xc3cf0030,0x7d2d0185,0xf354021e,0x92a6005b}},	//   _kravas_, _концертк, _bostadsm, _inaba_, 
   {{0x62f100c7,0xd8d20061,0x0c5400bb,0x2200011d}},	//   _xalikov_, _입장에서는_, _ٹرمینل_, _felii_, 
   {{0xe6c90698,0xb0dd00af,0x90380158,0xa3a20377}},	//   _bagasubi, _gjengjel, _selekcjo, _scapi_, 
   {{0xafa00138,0xb79b0035,0x020000e2,0xbd05042d}},	//   _haberdar_, _автоном_, _cedin_, _aderader, 
   {{0x3af000cf,0x17210235,0x6db30226,0x2d2603bf}},	//   _daareekt, _cintitam_, _kamukamu_, _lemohile_, 
   {{0x4c620333,0x3c8501a3,0xa2e700a6,0x77ec0226}},	//   _intrate_, _ترڪمانست, _aninaso_, _bakapang, 
   {{0xb0ce024f,0x19f601e0,0x2643027f,0xf7d602fe}},	//   _isilisil, _روایه_, _kirongow, _okhulelw, 
   {{0x2b970163,0x2c9001e9,0x4cde0061,0x80540344}},	//   _تاجران_, _bajudeng_, _때문이라고_, _aperisun, 
   {{0x8a750517,0x8e9003b2,0x66570299,0x57b4027f}},	//   _motobomb, _hardness_, _ئۇيخەتلى, _namuzani, 
   {{0x6f37016e,0x8c730382,0x6a960024,0x135a00af}},	//   _uluslara, _atisela_, _শক্তিক_, _апаратів_, 
   {{0x71ba02b6,0x29a80037,0x19ea0120,0x936e0282}},	//   _سەمەيقان_, _ይሁንልህ_, _tittallu, _panguru_, 
   {{0x03870400,0x4da9017d,0x433e0061,0x9ea90126}},	//   _sopra_, _overfald_, _레크리에이션_, _overfalt_, 
   {{0x2394001f,0x97bb0139,0x7f16019e,0x0b21036c}},	//   _frisni_, _akarmani, _партый_, _ampasamb, 
   {{0xc6280281,0x6e5301cd,0x6037004a,0x77aa01aa}},	//   _aggiussi, _менишина, _bertugan, _eestabli, 
   {{0x73ac0402,0x8eef0176,0x556504df,0x734c0291}},	//   _tiupan_, _ulovligt_, _barjakdy, _maremil_, 
   {{0x4d1d0036,0xec280040,0xcf610264,0x1697017d}},	// [b4f0] _اقتحام_, _בתדירות_, _kompirma, _enderali, 
   {{0xf75f0238,0xb1f80313,0x3c9302f8,0x332002e2}},	//   _дозволяє_, _dayajlah_, _malekamu_, _beeyn_, 
   {{0x577102eb,0x19b502ac,0x926e0362,0xac5604f5}},	//   _төлдөг_, _عضورسمي_, _bosilisi_, _testove_, 
   {{0x42ef0043,0xf0700343,0x717b0209,0x00000000}},	//   _abaffe_, _kombesyo, _ikkappal, --, 
   {{0x4a0003c7,0xe03706ae,0xdc1c02e9,0x77950435}},	//   _giełda_, _comezamo, _levantar, _аутизам_, 
   {{0xef640193,0xf3940105,0x9e47029a,0x0be30141}},	//   _संरक्षणा, _prasy_, _silansye_, _форлан_, 
   {{0x80680128,0x0ea601eb,0x94130374,0xa1950052}},	//   _اصلاحاتی_, _лаврови_, _قالدق_, _sekačky_, 
   {{0xbd7e002b,0x8f22027b,0x8d970109,0x52a802ac}},	//   _অবশিষ্ট_, _देवगन्धर, _motobaza, _يتفقد_, 
   {{0x139403e1,0x79690037,0x43dc004c,0x240400f3}},	//   _spise_, _የሆነዉን_, _bagwa_, _olungenz, 
   {{0xc2da00de,0x3394015d,0x1b9301fd,0x52cb008d}},	//   _siseko_, _trasy_, _activado_, _bizdan_, 
   {{0x17d603db,0xe2ca0127,0x00000000,0x00000000}},	//   _akhulelw, _evidoc_, --, --, 
   {{0x9d4a0163,0xa7390075,0x82900200,0x128c03fb}},	//   _لسانی_, _samtíð_, _wedata_, _brakova_, 
   {{0xc6ad0243,0xdda0011a,0x6f2e03b8,0x00000000}},	//   _kamuragy, _ומחכים_, _миялы_, --, 
   {{0xa2f3013b,0x52370210,0x0a10011f,0x53cf0076}},	//   _halipot_, _asimuka_, _jepapaha_, _travas_, 
   {{0x643c02fe,0xf7ab0037,0xc61006a9,0xb75e04c9}},	//   _پاکستانۍ_, _የዘወረደ_, _poderiam_, _inocãªnc, 
   {{0xaa210184,0x46cc02a2,0x6a640025,0x8c6400b4}},	//   _abacunge, _panagini, _संदर्शयि, _sexuale_, 
   {{0x72e60177,0x93ce0183,0xaec7004d,0x00000000}},	// [b500] _ркомплек, _atovy_, _definien, --, 
   {{0xaa5d0444,0x66550037,0xa24801ef,0xfe4701b9}},	//   _последню, _ሌክቸረር_, _filmus_, _neralize_, 
   {{0x8c01034a,0xbfb0005b,0x76f701a3,0xac9503f3}},	//   _ponteces, _vastness_, _ساداتن_, _reiziger, 
   {{0xda87000c,0x885d00aa,0xf6ce0263,0xd29000f2}},	//   _ahayhuet, _aronmatu, _schadeli, _nedara_, 
   {{0x47d202ec,0x53ea0415,0x65820153,0xf3390311}},	//   _وٕنى۪ن_, _dritte_, _タを生成するデ_, _ዝኣምሰሉ_, 
   {{0xb3ce0162,0xfc2405f4,0xf0cd02e9,0xf03c0148}},	//   _даналиқи_, _asankaru_, _laborabl, _recentio, 
   {{0xbbd90074,0xe200015e,0x562903f2,0x019a01be}},	//   _рекламу_, _feliu_, _broileri, _herectví_, 
   {{0x33800333,0x7b2d0009,0xe86c0343,0x00000000}},	//   _anurà_, _strannas, _makigind, --, 
   {{0x72900558,0xc2910069,0x2cf502f3,0x92cc034e}},	//   _belata_, _wabaye_, _deltagar, _airlann_, 
   {{0x22da0367,0x01f801a9,0x096b0020,0xb36f0168}},	//   _língua_, _enviarem, _muliagat, _rangert_, 
   {{0xb2900399,0xe2000416,0x32000145,0xc6bc018a}},	//   _velata_, _cedil_, _keliu_, _adwerthw, 
   {{0x13ce0220,0x2292000b,0x531d00d6,0x56430157}},	//   _trovo_, _laualo_, _buachan_, _posortow, 
   {{0x626c00cf,0x32000342,0x6038012a,0x778f00e0}},	//   _akkoo_, _lelit_, _kolekcjo, _easterwi, 
   {{0x2312033d,0x5f140212,0x822404a5,0x00000000}},	//   _doubout_, _draconis_, _ubeke_, --, 
   {{0x41c30132,0x125b013a,0xf200037f,0x2d130247}},	//   _tartanak_, _deeler_, _iflic_, _citrawir, 
   {{0x3f6f00e4,0xbf10021e,0x0f2a0061,0x129004d8}},	//   _अकादमिक_, _handledn, _조강지처클럽_, _awaal_, 
   {{0xcffd027b,0x325b01d9,0xca8b0203,0xd98e0223}},	// [b510] _प्रकृतिः_, _feeler_, _papilion_, _гамин_, 
   {{0x484900ec,0x22cc00fd,0x2337016d,0x584a0365}},	//   _sutartį_, _birlinn_, _турсунни, _autorevu, 
   {{0x99ba003c,0x0f580010,0x7dfd0244,0x33ea01c4}},	//   _فرآيند_, _bebakhen, _царевица_, _britte_, 
   {{0x2f2d045f,0xc37c0129,0x62d70029,0x0312033d}},	//   _utrednin, _kawanye_, _تکاری_, _boubout_, 
   {{0x8e500362,0xd61b0019,0xe20003ec,0x534c054d}},	//   _batalela, _аталчу_, _veliu_, _varebil_, 
   {{0x14d402bb,0xf29101da,0x93d9004d,0xce0201b4}},	//   _ज़रिये_, _babait_, _本站的全部文本内, _wonderba, 
   {{0xeaf701ef,0xab6e0348,0x22ba0192,0x00000000}},	//   _майдане_, _akalimir, _beheerd_, --, 
   {{0x87be0147,0xb52f023d,0x8c5a0414,0x2b300060}},	//   _ادەگەندە_, _rapporto_, _amatiki_, _несов_, 
   {{0x6d850369,0xc94503b7,0x52900074,0x4f620181}},	//   _bapetite_, _abilizat, _pelata_, _godbless_, 
   {{0x2bb401bb,0x00000000,0x00000000,0x00000000}},	//   _ветеранл, --, --, --, 
   {{0x22db02ec,0x6a8801a4,0xb9c7019e,0x42d9017e}},	//   _گنیمٕژ_, _bobonsis, _маладая_, _akcelo_, 
   {{0x337c0129,0x92f30414,0x9cf10119,0x5a5a0291}},	//   _bawanye_, _bakamati_, _voitsber, _كردفان_, 
   {{0xd2cb00d7,0x021900e6,0x40bb031a,0x00000000}},	//   _bokolla_, _遵纪守法并注意语, _shallagh_, --, 
   {{0x3280024d,0x72910190,0x0dbe00e4,0x22900037}},	//   _abakade_, _dabage_, _पार्श्वन, _sedara_, 
   {{0x5e4f03ac,0xc584068e,0x1e4f003c,0x012b0311}},	//   _penanama, _autosaló, _calameae_, _ሕብእብእ_, 
   {{0x4ab800ff,0xba6b018d,0x42900057,0x33440362}},	//   _טעסטינג_, _ንምስዓር_, _johari_, _bozenge_, 
   {{0x77ae002b,0xcc670291,0x7dd302a6,0x6f5801e9}},	// [b520] _ময়লা_, _كرمان_, _amphibie_, _lebanyen, 
   {{0x23ea0417,0x6d1400ef,0x429b020a,0x72000244}},	//   _britse_, _شرایطو_, _اكپار_, _sedie_, 
   {{0xf2000101,0xac8403ee,0x864700ef,0x00000000}},	//   _medic_, _ključeve_, _للمونځ_, --, 
   {{0xf32002ec,0xb22402f8,0xf785004d,0xcc0102c5}},	//   _weeye_, _asikaa_, _署立新竹醫院_, _aongoror, 
   {{0xf156022f,0x339401a4,0xddb600ed,0xb2000179}},	//   _малышам_, _apisi_, _anandama, _nelij_, 
   {{0x97d601e0,0x3c5a000d,0x92130386,0x0e9902b0}},	//   _شوراکانی_, _kulunud_, _olehmu_, _gesteckt_, 
   {{0x8290044d,0x39fb0085,0xf2e901fe,0xa3eb0488}},	//   _awaas_, _gumatuat, _turidra_, _adatas_, 
   {{0xdc510193,0x59120294,0x2291041e,0xa27e004f}},	//   _ग्रेस_, _achalaku, _abbate_, _coonay_, 
   {{0x22000004,0x326d00d2,0x5394026c,0xab4f01fc}},	//   _selil_, _artos_, _sensum_, _hammarer, 
   {{0xe3eb03ba,0x3fd1013c,0xec61057c,0x5d8f0109}},	//   _iratet_, _partladı, _solrød_, _masožrav, 
   {{0x42020256,0x12a702e7,0xbbe90152,0x49a10156}},	//   _kuriem_, _atabay_, _процессл, _פונדרויס, 
   {{0xae030132,0x52830124,0xd396012a,0xf1f202e2}},	//   _تصویریں_, _shokoya_, _eksperym, _accanagh_, 
   {{0x6c520319,0x76e4014e,0x6200026c,0x73940424}},	//   _শিল্প_, _многобро, _velim_, _apasa_, 
   {{0x4e6c00bb,0xf90d0343,0x441c016a,0x6ba50321}},	//   _شیشوں_, _madaginu, _benareso_, _inženir_, 
   {{0x83150477,0x42000035,0x86190287,0xe2da0101}},	//   _membagi_, _telim_, _devadesá, _mureş_, 
   {{0x8a4902d4,0xa5ad00e6,0x075c03bd,0xbe8100c5}},	//   _tudestga_, _中国保险监督管理, _kinihang, _cheville_, 
   {{0x0ea301ef,0x9d5a0401,0xe52a0210,0x3c0902ea}},	// [b530] _raudonas_, _रामभक्त_, _akazonak, _lampada_, 
   {{0xec6800d6,0x5ed3018d,0xcd370291,0x12000077}},	//   _بولاية_, _ብምርሕራሕ_, _aidiacht_, _delij_, 
   {{0xe35d01ab,0x7a9c0119,0x9321012a,0xe36300d9}},	//   _बटुला_, _dithmars, _kolegów_, _роспись_, 
   {{0x93ea009d,0xff2c0021,0x02a602d3,0xa20002c2}},	//   _pritet_, _amberlin, _diabo_, _lelik_, 
   {{0x929000bc,0x8264026c,0xc2900193,0x0cb40126}},	//   _sedaya_, _oculis_, _kelapa_, _власної_, 
   {{0x1c660297,0xdf400024,0xd9ce01c4,0x52900207}},	//   _cäühäriy, _নামনিত_, _tradisie, _wajane_, 
   {{0x329401cb,0x0294017c,0x60690050,0xcbfd000e}},	//   _usebenzi_, _såhär_, _tumblepo, _superpic, 
   {{0xd290003e,0xbe5f005b,0x2eb00087,0x85b1015e}},	//   _lelapa_, _specielt_, _hakunene_, _төркүнү_, 
   {{0xfa0f0031,0xfecd0219,0x5224014b,0x8dbc0153}},	//   _manajeme, _akunakun, _diikó_, _イングランド_, 
   {{0x534200a8,0x526d01a7,0x125a0087,0xd9d30265}},	//   _ensemen_, _autot_, _hiolko_, _vastgoed, 
   {{0x1e9c0113,0xe59b004d,0x426d03fd,0x060402b4}},	//   _airméini, _快速搜尋房屋_, _pagota_, _etimboni, 
   {{0x53ea05e6,0x2a5e0126,0xd2fd00dd,0xdc5a006e}},	//   _duitse_, _традицій_, _gwagio_, _leetari_, 
   {{0x939402cb,0xa30c018f,0x1321014c,0x00000000}},	//   _spasa_, _dadanis_, _isoccer_, --, 
   {{0x1f840311,0x626e00fe,0xc3ca026f,0xb3ba0291}},	//   _ዝኣባላቱ_, _lepolo_, _سەلقوستى, _ورمزيات_, 
   {{0x72910150,0xa7bb001c,0xd2c603bf,0x415101be}},	//   _nabaut_, _akarnani, _corlene_, _मल्लको_, 
   {{0xa3b30032,0xe8590037,0x42c3003e,0xf3530031}},	//   _chavlij_, _የብዙሃን_, _carlena_, _अल्ला_, 
   {{0xd20003b2,0x9200022a,0xcba400e4,0x0640028a}},	// [b540] _media_, _kelik_, _kamienic, _masimuli, 
   {{0x027f0140,0xba020326,0xc26d02b1,0x74400226}},	//   _kwento_, _achaenda_, _jagora_, _amakayik, 
   {{0x3f21013b,0x07b2020f,0xdfc200c4,0x7b52021b}},	//   _bjelovar_, _akalifak_, _ڄاموٽ_, _достичь_, 
   {{0x77580017,0x72130071,0x33ea0279,0x5ee3004c}},	//   _राज्यमा_, _olehku_, _quitte_, _amakeren, 
   {{0x1c5800ee,0xe37d0141,0x74130429,0x837903d8}},	//   _kontuak_, _ertalab_, _krishnan_, _uzlazno_, 
   {{0x97e300d6,0x3a1f0361,0x803c009b,0x13420005}},	//   _awesomew, _основное_, _lekeitio, _ansemen_, 
   {{0xe2fb0556,0x02d802e4,0xe41e0211,0x53ce01d3}},	//   _kuthiwa_, _fenech_, _тормозно, _grova_, 
   {{0xc3a202db,0x12b503b9,0xc26d0119,0x625b017e}},	//   _stopem_, _inacha_, _zagora_, _anglio_, 
   {{0x1d8c007c,0xd7d80040,0xf3ce0099,0xa14100d1}},	//   _lidlanza, _התשעים_, _arova_, _ড্ৰেচত_, 
   {{0x320e0262,0x60410255,0x5b47002e,0x61c3021c}},	//   _салан_, _पहिलके_, _obavezna_, _japonský_, 
   {{0xe2d9039d,0x5843008f,0x1a5c0087,0xb5a30223}},	//   _ambela_, _postitas_, _hetelela_, _existitz, 
   {{0xa13502d6,0x23ce02d4,0x23480050,0xdeb10344}},	//   _худкуш_, _drova_, _beresih_, _artorsan, 
   {{0x129100a8,0x003900ac,0x8327003d,0x33ce02e5}},	//   _empau_, _atletsko, _clicant_, _erova_, 
   {{0xfb1a0111,0x2c19013f,0x79c404f9,0xd200014e}},	//   _campagna_, _impalaer, _hardenbe, _belih_, 
   {{0xa2000172,0x670e02ec,0x0200022a,0xd394004b}},	//   _bedii_, _یمرٲز_, _relik_, _episo_, 
   {{0x1bb2004a,0x7b5b00b5,0x1bff02a4,0xf2000321}},	//   _laureatı_, _акредит_, _langobar, _delih_, 
   {{0x53490200,0xb74b0061,0x40ce02e1,0x00000000}},	// [b550] _esteeti_, _레이싱모델_, _sailicil, --, 
   {{0x1c0b0497,0xf7ee0433,0xa9db03a2,0x984200e7}},	//   _falsify_, _cabarrog, _मैलवेयर_, _anslated, 
   {{0xce7a013c,0xf34303bd,0x426c0272,0x5d3d011a}},	//   _aksiyası, _insekto_, _bakoli_, _כשחקן_, 
   {{0xb9c8003a,0xba5c02e0,0xe3b10130,0x482f004c}},	//   _bevosita_, _betelela_, _hembraeg_, _alumbidd, 
   {{0xcbee00c6,0x538603dc,0x7f2d05de,0x53f903bf}},	//   _часом_, _aldrin_, _streknin, _iparioli_, 
   {{0x15f401e7,0x00000000,0x00000000,0x00000000}},	//   _telefoné, --, --, --, 
   {{0x26dc0106,0x3dbe0087,0x6cfe00c7,0x3424027b}},	//   _बेनिन_, _himinhla, _biktahir, _प्रमदितव, 
   {{0x0b8f0111,0x5b7f0364,0xf64304ad,0x737c004c}},	//   _scrittor, _autosacc, _kokonelw, _bawabye_, 
   {{0xe2000115,0x426d014a,0x65f80126,0x4ede0289}},	//   _pelik_, _butor_, _намагаюч, _kuchipan, 
   {{0xe7ca042a,0xbab90043,0x6aea02cd,0x86670147}},	//   _bangawuv, _atukakas, _dillalin_, _قىزعاتاا, 
   {{0xd34306f0,0xe264058a,0x0e6c0013,0x738d0037}},	//   _likevel_, _oculos_, _میتود_, _የአክሲዮን_, 
   {{0x83410255,0xea64012a,0xb292015c,0x875c01b4}},	//   _sisesta_, _संघर्षवि, _doraus_, _belydeni, 
   {{0x13b10130,0xdf180156,0x38c70037,0x53ea005c}},	//   _kembraeg_, _געקריגן_, _diperbod, _aritwe_, 
   {{0x22ca0013,0x7d7c022a,0x0a900121,0x76c204b3}},	//   _kolleji_, _stimadip, _medioamb, _digarezi, 
   {{0xfe020343,0xf78f0109,0x36af009b,0x426d017c}},	//   _hovercra, _हिमशृङ्ख, _долгорсү, _rutor_, 
   {{0x8c650034,0x00000000,0x00000000,0x00000000}},	//   _tuttugu_, --, --, --, 
   {{0x2e71019f,0x863d0433,0xe3ce0077,0xbbd60178}},	// [b560] _مخلصي_, _dobiegni, _arivis_, _कैकयी_, 
   {{0x23a602a8,0x2db60178,0xe231030d,0x00000000}},	//   _komponim, _ananyama, _edamdan_, --, 
   {{0x526e019d,0x4c0c0156,0xa280016b,0xc7aa0037}},	//   _misozi_, _ולתפארת_, _kuskure_, _የማይረባ_, 
   {{0x6db804a5,0x23160183,0xc06700bf,0xd47500a7}},	//   _elingaka, _amizao_, _башкир_, _алдамчы_, 
   {{0x4407007a,0x17a80144,0x896f0241,0x00000000}},	//   _takutkan_, _peitrili, _giriikot, --, 
   {{0x8db50011,0xe290030d,0x2e4707c7,0xb7ee0119}},	//   _abentala, _iflasa_, _veracida, _kasawang, 
   {{0xa14303db,0xf85c0279,0xae40001c,0xec6c00e2}},	//   _anjengal, _escalier_, _makakump, _reduzum_, 
   {{0xf33d0029,0x9f640244,0x1fc3030a,0x07ef0261}},	//   _دینار_, _volantin, _cogomelo, _barbaraj_, 
   {{0x13050164,0xc2900020,0xac700210,0x00000000}},	//   _ئوماق_, _atiae_, _chiramu_, --, 
   {{0xf60b006d,0xf44f013d,0x45ba0313,0x829001c9}},	//   _этапам_, _malantaŭ_, _mavangch, _majast_, 
   {{0x729001b8,0x92c50198,0x0c6f0144,0x039c00ac}},	//   _vedada_, _neglede_, _ciarán_, _sklapanj, 
   {{0x73380057,0x12d10103,0x5aed0203,0xd292025c}},	//   _የሚሳተፉ_, _absolom_, _aprensib, _voraus_, 
   {{0xd2910464,0x12000377,0xd26d0067,0x859702e7}},	//   _habaye_, _mediu_, _angoon_, _gidetaly, 
   {{0xa23101bb,0x029100a9,0x83950461,0xb28e0156}},	//   _adamdan_, _kabaye_, _tresen_, _שוויצן_, 
   {{0x03cf026c,0x02ab01c6,0xb2ed018b,0x429e028a}},	//   _gravis_, _lieding_, _depinde_, _ضميمو_, 
   {{0x2291035a,0xc96902f3,0x33f401c5,0x33940097}},	//   _mabaye_, _kompisar_, _kastaa_, _ipase_, 
   {{0x1b650355,0x30ce02d9,0xeb6c023a,0x78870159}},	// [b570] _coolinar, _asilisil, _rastlina_, _каманд_, 
   {{0x804703c7,0xc37903ad,0x7b670456,0x42f902ac}},	//   _राजलेख_, _stramba_, _sekelian_, _متخرج_, 
   {{0x92a6019c,0x43940148,0xa25703ab,0xde0103f3}},	//   _anabi_, _署立桃園醫院_, _testoval, _productp, 
   {{0xeee10175,0x0f8a0234,0x82900456,0x00000000}},	//   _aktyelma, _lájíire_, _pelaga_, --, 
   {{0xb6810157,0x42ca0313,0x369e006e,0xc66a0510}},	//   _हजकां_, _loddaj_, _gàllaaj_, _аштаркхн, 
   {{0x72910277,0x5387045c,0x08fc0148,0xae29018d}},	//   _babaye_, _popri_, _田尾公路花園_, _ሰበይተይ_, 
   {{0x1d2e0135,0xf97e0130,0xdbaa011d,0xec840355}},	//   _başlí_, _artizane, _sechestr, _ključevi_, 
   {{0xdc760073,0xae510312,0x00000000,0x00000000}},	//   _insulas_, _allahska, --, --, 
   {{0xb394024a,0x1395021c,0x325b0005,0x4f420398}},	//   _apase_, _plastu_, _piglio_, _بىسمىللا_, 
   {{0x4395015b,0x35610029,0xc3f400cf,0x4e370022}},	//   _presen_, _رستۆتالی, _dastaa_, _радиоалғ, 
   {{0xdf0703cc,0x4b880037,0x99fc01f0,0x1f1d0224}},	//   _কাগজে_, _አሮጌውን_, _ikgagape, _draumava, 
   {{0xf2f10286,0xf58c0185,0x00000000,0x00000000}},	//   _edwiriw_, _костюмна, --, --, 
   {{0x02c70041,0x0291007d,0xa2fd0086,0xcb3601b4}},	//   _аусмҩаҧг, _nmpak_, _topikot_, _verbyges, 
   {{0xe29100f9,0xb29102df,0x118f0120,0x336c023e}},	//   _yabaye_, _impak_, _bakaaray_, _bulgogi_, 
   {{0xabed0037,0x62370077,0x00000000,0x00000000}},	//   _አሰራሮችን_, _trajik_, --, --, 
   {{0x23f40333,0x0d5c0153,0x225a0279,0x62fc0065}},	//   _bastia_, _を書いてみません, _exclu_, _absicht_, 
   {{0xe305022a,0xdc04012d,0xc2a600a2,0x7f64032c}},	// [b580] _balatik_, _ofisoli_, _niaba_, _allartin, 
   {{0x9e6c01ec,0x1a1e00da,0x8239073d,0xbbbc020f}},	//   _ایفون_, _мандатул_, _sasmati_, _akayipas, 
   {{0x49940287,0x23f802ff,0x2b6503bf,0x4c5606e0}},	//   _zrekonst, _aloufa_, _broukara_, _austlid_, 
   {{0x720002a4,0xc36e0130,0xf8530095,0x03a20249}},	//   _dedit_, _spesadoù_, _خدمتم_, _stopim_, 
   {{0xf21204c8,0x8fe302c3,0x24f90188,0x5f6901d5}},	//   _wiehed_, _pasienko, _таввасут, _kalandos_, 
   {{0x36b40544,0xdf4c0125,0x59cd0217,0xe5a7002b}},	//   _kamakawi, _tussagla, _laborava_, _সাবলীল_, 
   {{0x35f60016,0xf39402ee,0xa2000176,0x9d400255}},	//   _מיצווה_, _spiss_, _gedit_, _jalatsid_, 
   {{0xda2e00ca,0xdc0404c9,0x2fca0046,0x5e740061}},	//   _oficiala_, _pleszew_, _милициял, _쿠폰상세정보를_, 
   {{0x426e033f,0x45c002cf,0xd39406a8,0xc4a60360}},	//   _fisifisi_, _atrapalh, _spase_, _बुखारेस्, 
   {{0x39cd0312,0x73ce0111,0x0a2501d2,0x00000000}},	//   _ganedige, _trovu_, _graciast, --, 
   {{0x4d740144,0x17080092,0xe34100a6,0xc9fe0067}},	//   _مختلطة_, _こだわり検索_, _پنجاپ_, _esparant, 
   {{0x098f00e4,0xdc650062,0x07f10276,0x2254027b}},	//   _लक्ष्मणप, _bolttet_, _истипа_, _वेदेति_, 
   {{0x020003cf,0xb1ed0314,0x1a5d03ec,0x7c6702b9}},	//   _dedim_, _прививка_, _kinemaja_, _قرباں_, 
   {{0x22a60027,0x8395036d,0x94b50024,0x059f028a}},	//   _diaba_, _blasad_, _গৰিষ্ঠ_, _استالن_, 
   {{0x32910428,0x2200034b,0x69fd04ca,0x8fc302e2}},	//   _ampak_, _fedim_, _ideacent, _anointer_, 
   {{0x032103b9,0xbc260103,0xa2910140,0x326d00ac}},	//   _ajayun_, _mumashur, _mabait_, _istok_, 
   {{0x909900ee,0x7b8a017a,0xcc390188,0xd40d02ac}},	// [b590] _талийгаа, _помол_, _анонсҳо_, _نلاحظ_, 
   {{0x6bf8010f,0x1c7d005b,0xc387009f,0x476e02e2}},	//   _тундраво, _kidston_, _kopru_, _anchliag, 
   {{0xad9f04f9,0x8a07002b,0x926801eb,0xfea800e2}},	//   _nakorsaa, _কাটবে_, _emonandi_, _feitlike_, 
   {{0x8d9b00b4,0xfbaf04f3,0xead50147,0x4e2201de}},	//   _informea, _विरूध्द_, _finançar_, _сегментт, 
   {{0xf26d00e1,0x5b8f018b,0xff3300cd,0x7e3300d1}},	//   _estok_, _scriitor, _confidon, _হৃদয়ৰ_, 
   {{0x33ce0016,0xa2eb001c,0x5f83021c,0x834201c2}},	//   _provu_, _franses_, _plachetn, _lodeiro_, 
   {{0x0f690145,0x868001be,0x829700d0,0x629000fb}},	//   _valandos_, _रोपाई_, _nolanahi_, _idlala_, 
   {{0xf2970075,0x025a00af,0x325b0058,0x527d0017}},	//   _sikkurt_, _saklig_, _smalik_, _ordinaci_, 
   {{0x5635019f,0x66bd0255,0xbfa801cd,0xa4b303b5}},	//   _maandali, _धत्ता_, _мунаққид, _dijatuhk, 
   {{0xa226019b,0xf0ee0147,0x00000000,0x00000000}},	//   _laukti_, _دزيۇيو_, --, --, 
   {{0x629001e3,0x91f00297,0x0fde00e6,0xcdb501d2}},	//   _oddaja_, _абзыйга_, _用户密码修改_, _chinpama, 
   {{0xf301040b,0xcc7b0320,0xd2910455,0x4485010d}},	//   _musadzi_, _indlhovu_, _cabane_, _इवलासा_, 
   {{0x508a0022,0xf25b0033,0x45560420,0xb7fb0097}},	//   _франциял, _beeler_, _клубовит, _àhúbì_, 
   {{0xa0550416,0xb27e01fe,0x2c1b023e,0x427e0013}},	//   _posseden, _mahnn_, _anjasmar, _sahna_, 
   {{0x8b3b0102,0xd7a7019b,0x0c4100e2,0x33ce0210}},	//   _ازدھا_, _зернятка_, _bolwurk_, _chemuzuk, 
   {{0xe29003db,0x92fd04c9,0xe85c0047,0x129102f7}},	//   _adlala_, _aragã_, _attaquer_, _gabane_, 
   {{0x3c580276,0x6c0e00b5,0xa3940115,0x29d2009a}},	// [b5a0] _نارازىلى, _аформеи_, _hensem_, _basehost, 
   {{0x5af7003f,0xdfcb0071,0xf8e2002b,0xad3e01b2}},	//   _angrupbe, _آزادنگار_, _অক্টোবরে_, _affiance_, 
   {{0xfafa0146,0xbdfc0238,0xd22502b1,0xf3eb03fc}},	//   _pengurus, _ситуація_, _shuka_, _bratte_, 
   {{0xd2000231,0x8a8a026c,0xdae40285,0x4863012f}},	//   _velit_, _屏東縣不限_, _ingengab, _kristmas_, 
   {{0xc20000c3,0x42a6005b,0x40640452,0x560f0375}},	//   _felis_, _chiba_, _अक्षरश_, _awalangi, 
   {{0x9e500174,0x44d000bc,0x743703e5,0x45f702d3}},	//   _batamela, _زیارتی_, _kuratiko_, _сезоната_, 
   {{0xfc0e0358,0x8cc302ac,0xb2d9027f,0x93520291}},	//   _ekspoze_, _اصطدام_, _gobera_, _ثانكس_, 
   {{0x6f290187,0xa37301b4,0x9b34005a,0x2ebd0107}},	//   _марковск, _eilande_, _lubajnis, _dhendhen, 
   {{0x120003e5,0xe200015b,0xdfed0220,0xbaf903b0}},	//   _kelis_, _redim_, _издания_, _vinnaren_, 
   {{0xaa14012c,0x72f402df,0xfb7c002e,0x2292030f}},	//   _mahakama_, _basikal_, _ispunila_, _kauamo_, 
   {{0x52a6005b,0x3be6021e,0x5216017a,0x82950128}},	//   _shiba_, _degerfor, _amakhodi_, _турмада_, 
   {{0xfe64027c,0x180900a6,0x5b09017a,0x2dc7002c}},	//   _مسلمانان_, _abachong, _abashone, _daukazue_, 
   {{0x429000fe,0x94a60157,0xade4019b,0x06f0005d}},	//   _ataaa_, _पद्धतियो, _сыстэмы_, _imitâvép, 
   {{0x0f25034c,0xd7a7000e,0x725500d1,0xd2ca0119}},	//   _adreslan, _micrissi, _সান্দহ_, _randow_, 
   {{0xd34902db,0xe3ea05e0,0xb60e0361,0xeaa00181}},	//   _espesli_, _leites_, _министре_, _opsigels, 
   {{0x0c5a011b,0xc26d003d,0xb2f1018b,0xb394048f}},	//   _alataki_, _laconi_, _optiuni_, _mpasi_, 
   {{0x55460126,0x4f4a0036,0xaa1301f0,0x33000170}},	// [b5b0] _службовц, _tíreolaí, _bonatshe, _bokashi_, 
   {{0x9679000c,0xa52d02d2,0x72000161,0x08410196}},	//   _мегион_, _izinyath, _pelit_, _chololed, 
   {{0xeebd023b,0xdd9800d1,0xe2000138,0xc2910241}},	//   _ohenehen, _একেধাৰে_, _dedik_, _dabale_, 
   {{0xda7f0162,0x3341024c,0x0224006c,0x695b00d9}},	//   _قاتارىغا_, _coleiro_, _abeka_, _движок_, 
   {{0x7b6c01db,0x1e9900ce,0x13eb026c,0x23040034}},	//   _драмалық_, _viktorye_, _fratre_, _árabil_, 
   {{0x7ec7014d,0xe43e0093,0xa2900158,0x3ee600c1}},	//   _effizien, _майне_, _parkiet_, _म्युझिअम_, 
   {{0xc60302c2,0x2b300128,0xb1460059,0x15580185}},	//   _doelgeri, _мезон_, _руснацит, _гибридла, 
   {{0xa52c0238,0x661702ea,0x020000ad,0x4fa5027e}},	//   _програму_, _popolazi, _kelir_, _игуманиј, 
   {{0xf8fd029d,0x25790240,0x010e004d,0xb287016e}},	//   _ворбитоа, _dauwilik, _所得稅法施行細則, _hepimiz_, 
   {{0x9200007f,0x435700c5,0x09360092,0xd3170634}},	//   _delir_, _constaté_, _asamikot, _stenging_, 
   {{0x1db602e7,0xba9803b0,0x734302be,0xef5c0119}},	//   _giandama, _utanriks, _insesto_, _kabakyan, 
   {{0xfc7c01b4,0x1be300e0,0x00000000,0x00000000}},	//   _seisoen_, _helgolân_, --, --, 
   {{0xfbd5006a,0x40bb006c,0x440702d3,0x3b25020e}},	//   _fandahar, _akamlahl, _religião_, _тулайым_, 
   {{0x234902d8,0x627f0138,0x9d3601a3,0x637b006f}},	//   _deteksi_, _emanet_, _ڇرڪائيند, _mapango_, 
   {{0x23940374,0xa225025e,0x0e910102,0x67470046}},	//   _alaykum_, _krakka_, _دلعزيز_, _зулумдук, 
   {{0x29ed00a1,0xb210015d,0xd5170371,0x82b4004d}},	//   _hakirara_, _polecić_, _prestito_, _市盈率下降近半_, 
   {{0xcc5c0211,0x52fa021c,0xd9f701ad,0x00000000}},	// [b5c0] _tuttuun_, _namontuj, _pulisiya_, --, 
   {{0x320101e6,0x66340087,0xef730026,0x253e0156}},	//   _pocity_, _hayihayi, _verbazin, _קומשאָט_, 
   {{0x84e000d1,0xc9ed01a6,0xcd6a012c,0xb2df016f}},	//   _শুনাই_, _pakitara_, _مردانگي_, _dekning_, 
   {{0x82eb00a4,0x69f501ac,0x00000000,0x00000000}},	//   _quantes_, _fulaingt, --, --, 
   {{0xf29003f6,0x7ecd02dd,0x626c033a,0xc40101c6}},	//   _dedana_, _appendiċ, _arlogg_, _fiersten_, 
   {{0xf8c804c7,0xfb5800b4,0x107a02ac,0x8d2101e6}},	//   _финансиј, _conteaza_, _مراهقين_, _obnovuje_, 
   {{0xa132049e,0xe26d00c3,0x5e3a006a,0x50410053}},	//   _reklamné_, _facilisi_, _sasantsa, _कडधान्ये_, 
   {{0xb5f4012b,0x03ce0018,0xc2bb02b8,0x1394068e}},	//   _telefonó, _irovi_, _bugende_, _dalsia_, 
   {{0x45fc029d,0xf6d302a5,0x5200018b,0x5bac0159}},	//   _ворбитор, _मुभिज_, _medii_, _разгрому_, 
   {{0x7574008d,0x45cd032e,0x27940333,0xbe4e027f}},	//   _برقرارلی, _pirqanak, _cartésie, _birayina, 
   {{0xe1320486,0x626d01f4,0xd2900084,0x2fde024c}},	//   _reklamní_, _iston_, _bedana_, _apatetiċ, 
   {{0x4225004a,0x3280030b,0xae2a00bb,0x034f0092}},	//   _urakka_, _abasouth_, _شراپووا_, _foregik_, 
   {{0x6e6101d5,0x533200c8,0x21ae004d,0x2152033f}},	//   _بھاشا_, _корруп_, _台中市南屯區黎明, _leafakal, 
   {{0xe3ea001d,0x6c670452,0x22dc02f7,0xf897028a}},	//   _iritat_, _blorong_, _dikoloi_, _فريبي_, 
   {{0x5daa01ad,0xb81e00d1,0xe3ea04f8,0x61780156}},	//   _rabindra, _উদাৰনীতি, _ttitle_, _נעלסאן_, 
   {{0x12c9018d,0xdfa90203,0xe29e00cb,0x5787004d}},	//   _ኣዛሚድካ_, _assentir_, _бинан_, _上門收送服務_, 
   {{0x3e8f0092,0x029701a4,0x22ab0119,0xc7cb01bf}},	// [b5d0] _ネット特別価格_, _botamaki_, _chedeng_, _leppesti, 
   {{0x1f4d0148,0xe5260061,0x12900067,0x72900168}},	//   _指導教師評析_, _간호조무사_, _ataan_, _stian_, 
   {{0xcb7b0024,0xb30e02fc,0x7ea20155,0x193602d4}},	//   _বৃন্দাবন, _atabona_, _manuellt_, _burmaint, 
   {{0x6073010f,0x216301cd,0x5afa0126,0x583b0037}},	//   _кушта_, _болида_, _нанесенн, _ለማወቅና_, 
   {{0x926c02bc,0x3290026a,0x48dc00be,0xe91402bf}},	//   _kulong_, _delana_, _باينازار_, _asicansu, 
   {{0x54aa0148,0x295d0090,0xb683080c,0x368002d5}},	//   _九十六年度實施計, _anongote, _स्काय_, _रोकाई_, 
   {{0x52da01d8,0x43480233,0x4e0a0045,0xe98500ac}},	//   _eksodos_, _hideosi_, _директно, _papirima_, 
   {{0x1c7506f9,0x134b00cc,0xe366011f,0x9c2f0234}},	//   _रात्री_, _nederst_, _boggino_, _funpọ_, 
   {{0x24050220,0x8e83003c,0xb2e3013f,0x8e530107}},	//   _valorizz, _کاهشی_, _emzivad_, _dikandha, 
   {{0x92000338,0xb2f50004,0xb6a501b4,0x928b02d3}},	//   _felip_, _makiyaj_, _kortverh, _станови_, 
   {{0x82f30058,0xd982002e,0x62900125,0xc3c103bf}},	//   _dalaboti_, _dužnosti_, _medala_, _генсовет, 
   {{0x22900031,0x2ab804f9,0x45d803b8,0x59d1033d}},	//   _celana_, _alakkaas, _салтымыз, _miltimed, 
   {{0xb9a400c5,0x026c00c0,0x946a02a4,0x2151014b}},	//   _区长网上办公_, _bulong_, _valetudo_, _wallitay_, 
   {{0xa2cd02bd,0xf2fc00fd,0x9ce100be,0xa24b0012}},	//   _canolig_, _bhogha_, _بوسىتۇعۇ, _गरवइया_, 
   {{0x84b7008f,0x21320206,0x3e0d0153,0x52900403}},	//   _अनाडी_, _reklamná_, _古いものから_, _felana_, 
   {{0xf20001b9,0x24ed0287,0xf7fe0092,0xbb760692}},	//   _delix_, _nechtěl_, _コンテンツ_, _راببىڭ_, 
   {{0x2fa301d1,0x03f802fc,0xd2d40250,0xb3200438}},	// [b5e0] _director_, _minuar_, _bardha_, _ifeyo_, 
   {{0x73ce02e4,0xa3d403c4,0xafd200f2,0xb14c011d}},	//   _provi_, _анимизни, _kartupeļ, _планетей_, 
   {{0xb2da041e,0x67a9001a,0x1c2e00ff,0x9b0203f5}},	//   _sapete_, _harmadik_, _צוקריגט_, _construt, 
   {{0x2a57011d,0xf0b3002e,0xcb3500cf,0x147f0009}},	//   _каменка_, _američke_, _arrabnis, _kazensko_, 
   {{0x199d0125,0x3e160032,0x6261002b,0xf7c303d7}},	//   _berkitme, _daleghla, _গোলাপগঞ্, _marsandi, 
   {{0xb3ce0373,0x74d7004b,0xd698023a,0x6202003d}},	//   _trovi_, _хаталы_, _ukážka_, _auriam_, 
   {{0x42fd0116,0x23eb018b,0x72fd0125,0x36a5022f}},	//   _alairms_, _aratat_, _batga_, _акламацы, 
   {{0x5ddb0219,0x62d901d4,0xe0ed008a,0x4eb400e6}},	//   _avakashe_, _fiandre_, _misional, _复印件三份_, 
   {{0xc1530381,0x5a030125,0xe34e00b3,0x00000000}},	//   _airlyfay_, _терезини, _degenok_, --, 
   {{0x827e03cf,0x3c5a031a,0x320e0094,0xf34d009f}},	//   _sahne_, _ceutach_, _талан_, _naredim_, 
   {{0x8f1f0159,0x0a0a02c6,0xfc0a01c2,0x7a010041}},	//   _reitinga, _chapeled, _chapela_, _ҷкәын_, 
   {{0x72a70245,0x634f0465,0x2349018b,0xf2fc03dd}},	//   _prabah_, _nobenih_, _cererii_, _femijes_, 
   {{0xe26c02e7,0x5d87036e,0xa08a0028,0xed12027b}},	//   _pulong_, _allmanma, _saacadoo, _aparinir, 
   {{0x95f4014a,0xb2190062,0xbe6f0244,0x39e900be}},	//   _telefoná, _darihlaw_, _образува_, _سۉۉيۉڭ_, 
   {{0x67a3000a,0xcf1f0224,0xfeea00c5,0x42fc01df}},	//   _upernavi, _veitinga, _纳雍县人民政府关, _geegle_, 
   {{0x87b00400,0x0a6e02b1,0xb3dc03b4,0x00000000}},	//   _accenteg, _dawowars, _hanway_, --, 
   {{0x226c02f6,0x42f303e7,0x1c5a048c,0x3af7039e}},	// [b5f0] _tulong_, _palibot_, _bastagh_, _angedals, 
   {{0x799e0163,0x481c0148,0x2cdd0061,0x5c0302ca}},	//   _البرادعی_, _才能夠留言喔_, _온라인으로_, _frithocs, 
   {{0x92da026c,0x12900321,0xb2ea02d3,0xb40300c7}},	//   _capere_, _delala_, _brindes_, _вергилий, 
   {{0xe26c048f,0xec3b0037,0x93200349,0x73950285}},	//   _makoki_, _የወረቀት_, _allyay_, _amashu_, 
   {{0x6d2802e6,0x00000000,0x00000000,0x00000000}},	//   _feminint_, --, --, --, 
   {{0xa2da02e5,0x61c30220,0xc6960288,0x92fd00de}},	//   _tapere_, _внимание, _gereueni, _amagam_, 
   {{0xa92b00ca,0x63010148,0x30e70075,0x626d0115}},	//   _trompeta_, _probare_, _meginfel, _fasiliti_, 
   {{0x8ad80239,0x039401d6,0x9290047d,0x13eb02f3}},	//   _ahatarot, _spist_, _staad_, _pratat_, 
   {{0x92da0388,0x138700f4,0xf67b0231,0x926c0082}},	//   _sapere_, _awareg_, _cerebrum_, _hakoki_, 
   {{0x0b9901ab,0x8e9700da,0x3315003a,0xbba404cf}},	//   _अहाँकेँ_, _filtrare_, _bilamiz_, _izakhiwo_, 
   {{0xed890448,0xd778052c,0x73dc001d,0x46cc0094}},	//   _nordiske_, _بوگاتیه_, _danway_, _جامانداي_, 
   {{0x926d0113,0x8ed5036c,0x43ac0274,0x020101f4}},	//   _macosx_, _zaridain, _alvarleg_, _ketin_, 
   {{0xea7e02c1,0x22c30193,0xfe8d015e,0x00000000}},	//   _gutabara_, _marlina_, _قاتارلۇۇ_, --, 
   {{0xe38600a7,0x92010014,0x9d1702b6,0x32d90117}},	//   _podran_, _detin_, _бардық_, _mobeta_, 
   {{0x22250054,0xdb1e03ef,0xf8b0009a,0x3f3f00f3}},	//   _dauki_, _bidashob, _استعدادو, _bengenan, 
   {{0xa99002ec,0x0fa70331,0x72ed0220,0x953700d0}},	//   _مشکِلن_, _almennar_, _visione_, _олдворуу, 
   {{0x6290018b,0x79560153,0x00000000,0x00000000}},	// [b600] _stiam_, _ご近所さん_, --, --, 
   {{0x62da0203,0x0b7c036c,0x139603b6,0x81f90062}},	//   _papere_, _antomotr, _léyìn_, _maqarlah_, 
   {{0x82eb0044,0x201f01e1,0x45ea0126,0xcd280128}},	//   _printer_, _усманова_, _символік, _курдисто, 
   {{0xe2d90225,0xd698017e,0x44370039,0xe29000f4}},	//   _erenime_, _interali, _irratiko_, _briag_, 
   {{0x826c0082,0x246a004a,0x8c6701b4,0xf03d014b}},	//   _wakoki_, _драмасын, _nogtans_, _tongooro, 
   {{0x83ea0129,0x138002eb,0xbd980405,0x1ad5009a}},	//   _idoti_, _letren_, _накопичу, _تارياک_, 
   {{0x320100f7,0x424906ae,0xe34002a6,0x18510188}},	//   _metio_, _corme_, _accenda_, _фарҷоми_, 
   {{0x224903a7,0xb20100ea,0xf2da012c,0xd13f0109}},	//   _mozme_, _fetin_, _dereva_, _घाँटीमा_, 
   {{0x0290033b,0xaa0103f0,0x52900076,0x00000000}},	//   _melaba_, _asnalega_, _pelada_, --, 
   {{0xba5402cf,0xcbf103ae,0x1e1002a5,0x729a0011}},	//   _бездомни, _inntekts, _पर्खाल_, _akubooli_, 
   {{0xfaf40019,0x63a206b8,0x949b027c,0xcdfe00d8}},	//   _estrange, _reipa_, _achaphaz, _esperava, 
   {{0x37ed0360,0xcb8f026c,0x4a3c040f,0x122502b1}},	//   _fotbalov, _scriptor, _душою_, _sauki_, 
   {{0x55c8019b,0xd85a023d,0x826e024f,0xd2eb000e}},	//   _значна_, _развитие, _bisinisi_, _atinger_, 
   {{0x2ad5027b,0xb20103ec,0x3249026b,0x00000000}},	//   _तद्रुद्र, _vetin_, _borme_, --, 
   {{0x54730402,0x980802eb,0x425a00f4,0xd49b065c}},	//   _sertakan_, _мансуура, _dallet_, _echaphaz, 
   {{0x5eea0291,0x724902c2,0x17ae002b,0x547a02c2}},	//   _مسحوق_, _vorme_, _মজিলা_, _nietemin_, 
   {{0x3cc40052,0x25590418,0xc65303d5,0x8ce7015e}},	// [b610] _महायज्ञ_, _başlamış_, _anchadji, _баргыла_, 
   {{0x02c80037,0x534a029b,0x39dd0176,0x126c01a6}},	//   _እስራትና_, _betfase_, _aikosoga_, _pakoki_, 
   {{0x420002f1,0xfe5e0037,0x6200037c,0xb2b502c5}},	//   _pediu_, _አይቻለውም_, _cedit_, _bhachi_, 
   {{0xc2b5009c,0x9a37014e,0x1e30002b,0x1c4d0294}},	//   _chachi_, _младенов, _আদায়ে_, _blocklog_, 
   {{0x16ce015a,0xfd010041,0x8201007f,0x286e03bf}},	//   _baratani, _ишәҭит_, _betio_, _disilind, 
   {{0xca4101d5,0x827303b6,0xef2001be,0x44b40222}},	//   _تجرباتی_, _imurasil, _zkreslen, _valérie_, 
   {{0xbf490517,0xb6b60144,0xf2bb0115,0x4225042a}},	//   _golpista, _chastach, _direkod_, _ibuke_, 
   {{0x02b50129,0x064b02f3,0x85b801c0,0xf2ca01ca}},	//   _ghachi_, _sekundär, _galgajiy, _roldaj_, 
   {{0xc50d00bf,0x2764015d,0x637301b9,0xb95800ee}},	//   _формиров, _पेन्टीङ_, _bomarse_, _publikoe, 
   {{0xf39601cd,0x4b0907b7,0x6b830075,0x6864016f}},	//   _intsha_, _ocasione, _sunnumor, _екстрасе, 
   {{0x439605b3,0x7e380434,0x32e6005b,0xfdb601b2}},	//   _eerste_, _entonces_, _kvinden_, _avoirdup, 
   {{0x720100bc,0x62250580,0xe3eb01b8,0x10520374}},	//   _detil_, _lauku_, _teatas_, _sportnin, 
   {{0xf200000f,0x626e000b,0x08f1004f,0x9e3d027b}},	//   _nedir_, _pisinisi_, _caageenu, _apratipa, 
   {{0x9b7f0005,0x28a30235,0x7f2001ff,0x00000000}},	//   _smanatsc, _cāturdvī, _skreslen, --, 
   {{0x91d60061,0xd21302fb,0x2f3600af,0xba780357}},	//   _어문학계열_, _laahoo_, _цифрові_, _visawaqa_, 
   {{0x520002a4,0x6cc40455,0xaf5d0047,0x83ce03bf}},	//   _redit_, _logistiq, _attaquan, _финалдың_, 
   {{0x73f5032e,0xf435005e,0xb8fd0219,0x884c0110}},	// [b620] _jullinak, _ﻧﻪﻗﯩﻞ_, _basashad, _rekordsu, 
   {{0xba0c0086,0x92c203f6,0x2f3000f5,0x6382026f}},	//   _valakine, _awelika_, _чүмдүрил, _قاۋلى_, 
   {{0x7c4602fe,0x7396004b,0xdc1b00be,0xcf1f01eb}},	//   _حرامه_, _antsha_, _geltrú_, _daguesta, 
   {{0x227f0334,0x71fb01a4,0xd7670205,0x5394021e}},	//   _mwendo_, _balingam, _парчалар, _falska_, 
   {{0x82000390,0x127f0252,0xffd5002a,0x52da008e}},	//   _gedir_, _lwendo_, _gabigago, _biteem_, 
   {{0xc0e10105,0x06630148,0x371502c3,0xd1c30210}},	//   _लोकायुक्_, _年台股各級產業成, _pridanej_, _anomutam, 
   {{0xb396014c,0xe584025b,0xa7bd03c6,0x1df2046f}},	//   _entsha_, _pallinum_, _begrutli, _bäerdref_, 
   {{0xd68401a2,0x32a601cf,0xe31b0235,0x885a0262}},	//   _tradīcij, _abibe_, _aryamā_, _berçinle, 
   {{0x622401a7,0x8b0702b3,0xe27e018b,0xa3f4045e}},	//   _kaiken_, _relixión_, _aminte_, _евксиног, 
   {{0x02d500df,0xd413036e,0x27c90391,0x4af7014f}},	//   _tableau_, _achinayk, _batsamai, _далеки_, 
   {{0xc20200bc,0xe2a60544,0x560f0096,0x82010085}},	//   _akting_, _ahaba_, _uwilingi, _retio_, 
   {{0x42da0659,0x75700296,0x92900227,0x7b150433}},	//   _kereta_, _lantbruk, _stiap_, _papagaws, 
   {{0xfd98029f,0x6ef900c8,0x4c98029f,0x24a4003b}},	//   _licencie_, _кесаҙна_, _licenciu_, _bambandz, 
   {{0x74870335,0x36cf020e,0x02a6006f,0x716e03d9}},	//   _मेधावी_, _difasili, _naibu_, _misimisy_, 
   {{0x029002c2,0x63eb0154,0xe42200e6,0x24be00d3}},	//   _staak_, _statie_, _小时内删除_, _पिछडा_, 
   {{0x779602eb,0x38fe00a6,0x9b1c0026,0x52000212}},	//   _медалиар_, _akwasand, _bevatten_, _sedis_, 
   {{0xb81b02ac,0xcb0700ca,0x420000a4,0x00000000}},	// [b630] _أثبتت_, _religiós_, _cedir_, --, 
   {{0x447d040d,0x3ac0035b,0xfee70340,0x42eb0343}},	//   _boleloko_, _različne_, _orokohan, _pranses_, 
   {{0xe2010172,0x33ea00a2,0x32e7016a,0xd26a0212}},	//   _betie_, _ndoto_, _avineto_, _hierusal, 
   {{0x15f601f4,0x1afe002b,0xb5fc0238,0xe9e20299}},	//   _جهانده_, _সমবেদনা_, _пограбув, _تةشؤعقات_, 
   {{0x02a600d7,0x042a0037,0x493203ce,0x2c47000c}},	//   _chaba_, _በቢዝነስ_, _جنسیه_, _иалган_, 
   {{0xaf9e0163,0x17bb0003,0x4f370178,0x3c760287}},	//   _المومنین_, _aangegev, _anusmara, _नाच्ने_, 
   {{0x22ca0223,0x4b160152,0x420001e8,0xc2c80044}},	//   _jende_, _ulyanovs, _sedir_, _exposed_, 
   {{0xc2ca039c,0x8f5d0050,0x824f023e,0xbdfa026c}},	//   _dende_, _parahyan, _banowati_, _credidit_, 
   {{0x0ec701aa,0x30c3045b,0x5249009b,0x32a600a2}},	//   _ufficien, _пристрої_, _horma_, _uhaba_, 
   {{0x22c60544,0x23940008,0x720001ba,0x526e00a5}},	//   _kaulike_, _pensem_, _vedir_, _tasogi_, 
   {{0x62ca0012,0x85130261,0xc0c80147,0xc38b0343}},	//   _nende_, _komunumo_, _ابئىيرى_, _seryoso_, 
   {{0x12ca03b4,0x16390037,0xe51e00c0,0xeef100af}},	//   _iende_, _የላሊበላ_, _asiryano_, _обрано_, 
   {{0x02ca0728,0xb9f105db,0xcc700272,0xe25a00dd}},	//   _hende_, _abangela_, _akasome_, _bwcle_, 
   {{0x32ca011b,0xe25a005a,0x6d0700b4,0x44fe0244}},	//   _kende_, _cholmo_, _пионерь_, _артикули_, 
   {{0x42490310,0xa3050208,0x079502d3,0xc8fe007e}},	//   _gorma_, _هوزان_, _туризам_, _aupajand, 
   {{0x12000547,0x62ff01d2,0xaf02004d,0x6a460369}},	//   _pedir_, _ankashpi_, _學弟妹的表現很好_, _taresisa_, 
   {{0x6a20000c,0xf9f103db,0x485a0217,0x2a11026f}},	// [b640] _areguápe_, _ebangela_, _radactor_, _سۋبۇرقاق, 
   {{0x73440096,0xf6280212,0xcb500082,0xfedc0088}},	//   _mirenge_, _imaginem_, _bautarsa_, _sexistes_, 
   {{0x72490074,0xf78c0235,0xa290025e,0x82d00189}},	//   _jorma_, _न्याय्यः_, _aflaga_, _annesini_, 
   {{0xb46700da,0xe45202cb,0x9ae20244,0x338700f7}},	//   _партажат, _stavljaj, _декларир, _kipro_, 
   {{0xd1bd002b,0xb1cf018d,0xef3a0253,0xa2420255}},	//   _পাভেল_, _ፕረስደንት_, _amerlapp, _जीतला_, 
   {{0x32a703c2,0x136b0005,0x030d015e,0xcdf90143}},	//   _crabby_, _brugger_, _aclarir_, _варианти, 
   {{0xa04903e9,0xba4803b4,0xa35d0185,0x80890187}},	//   _gahryman, _jeremiya_, _belegez_, _режија_, 
   {{0xec710122,0xbb2f0036,0x330b0094,0xdff30152}},	//   _لپتاپ_, _ngabhann_, _تۋلاپ_, _basuları, 
   {{0x03080047,0xe2f001b5,0xeef1062c,0x00000000}},	//   _股权登记日_, _annikki_, _रिएक्_, --, 
   {{0x1b3300a6,0x1d5b017d,0xf5f60004,0x570d0161}},	//   _abachats, _クリスマス_, _detewonò, _норвежск, 
   {{0x93410208,0x9eac0086,0xe7eb03d5,0x30bf00da}},	//   _لۆزان_, _nyaklánc, _brialtag, _termenul, 
   {{0xca9c0043,0x6e420025,0x89f10590,0xe9f20046}},	//   _ennyumba_, _हिन्दुधर, _оврын_, _жоюуга_, 
   {{0x17a400d3,0x30a30061,0x5c7c00e2,0x106d0239}},	//   _rozestav, _대진공인중개사_, _neisjen_, _putangao, 
   {{0x6ba9022f,0xf20000f6,0x869b0350,0x830e0321}},	//   _азартных_, _reliz_, _ማቅረቢያ_, _zapiranj, 
   {{0x81280126,0x4d560157,0x1c630187,0x00000000}},	//   _останнім_, _सिंगला_, _intuito_, --, 
   {{0xfd110122,0x6a500125,0xa4730227,0xeeb60077}},	//   _colorize_, _айырсын_, _tertekan_, _chirepit_, 
   {{0x976d02ac,0x6ab9017a,0x379f0478,0xb12700cb}},	// [b650] _الضأن_, _amakhans, _aumenatg, _маҷоли_, 
   {{0x824100e1,0xe7c80255,0x2bea0139,0xbb2501c7}},	//   _alamayni_, _bensiini, _आक्रोशे_, _руханы_, 
   {{0xeae9000e,0x9b5e0060,0xa7bc01de,0x4343005b}},	//   _georgiat, _түркменс, _күрішті_, _gisetto_, 
   {{0x43f70366,0x3e6a003a,0xb596005c,0xf2e302bf}},	//   _принять_, _холда_, _bategany, _balidle_, 
   {{0xd6930192,0x14b502b2,0xcdb8027b,0x72910455}},	//   _동영상입니다_, _квартирн, _anantaka, _abbaye_, 
   {{0xb7640025,0x7e470392,0x337b0206,0x00000000}},	//   _मार्जार_, _durachda, _ohladom_, --, 
   {{0x1a980148,0x12f004c8,0xa773025e,0x325b02c2}},	//   _目前已經有超過五, _ewlieni_, _hrikaleg, _dwelms_, 
   {{0x37f40040,0xab070434,0x7c330211,0xb3940231}},	//   _פטמגול_, _medición_, _землетря, _mensam_, 
   {{0x0356029c,0x51fc01af,0x0dbc025c,0x62d20449}},	//   _akafika_, _ahwalaty_, _gewartet_, _teretani_, 
   {{0xc8f900a7,0x7eae0219,0x862002fc,0x00000000}},	//   _conferèn, _deglumin, _atangari, --, 
   {{0x9200028f,0x32dd0055,0xf9e80233,0x32d90163}},	//   _awhina_, _sepolti_, _geogoffe, _mónika_, 
   {{0xac6900ee,0x00000000,0x00000000,0x00000000}},	//   _barruko_, --, --, --, 
   {{0x937b02c6,0xc2880265,0x7a5501a3,0xe9fa00ec}},	//   _boulomig_, _althans_, _ھروڀرو_, _infrarau, 
   {{0xaa480320,0x8a1202d3,0xaab902d5,0x82590037}},	//   _yeremiya_, _перформа, _अभिलासे_, _አለቆችም_, 
   {{0x21f701ea,0x8c5b0212,0x3eba014f,0x3201030f}},	//   _وعارف_, _fastcgi_, _посла_, _ketia_, 
   {{0x81f50292,0x429005df,0xa100002f,0x888202ac}},	//   _nkontimm, _alhali_, _ankichiy_, _ومجموعة_, 
   {{0xb1390204,0xd25a0014,0x5254003c,0x5f030178}},	// [b660] _доступно_, _pallat_, _bangsané_, _bhāsvad_, 
   {{0x329005e6,0x82f303ae,0x83da007b,0xd29100b7}},	//   _staan_, _refleksj, _beatrrix_, _atyan_, 
   {{0x2bfb0047,0x022403ee,0xa6a3005a,0x3da30046}},	//   _第三十三条_, _čekao_, _jijuntah, _postgrau_, 
   {{0x23640387,0x3a5200d0,0xac360040,0xe33a00d0}},	//   _elegara_, _osteguna_, _בשלושת_, _овортой_, 
   {{0x9c3805a4,0xa7d5026f,0x2dba0206,0x960c0133}},	//   _souhlasu_, _ءىشكەرىگ, _stromček_, _enamelii, 
   {{0xb965005b,0x9348011e,0x00000000,0x00000000}},	//   _alligeve, _eklersi_, --, --, 
   {{0x124400d3,0xa3540230,0x729001c5,0x86b00281}},	//   _उत्तीर्ण_, _ekzekit_, _itaal_, _aniguini, 
   {{0x97720031,0x2ee7019d,0x32fc00e1,0xe06e0371}},	//   _वातावरणा, _banyakhe_, _iqlidis_, _гранични_, 
   {{0x3a4401ec,0xdb61000e,0x1c230444,0x5ebe0085}},	//   _استراتژی_, _operetta_, _переправ, _tubucake_, 
   {{0x26a3018f,0xf3f10529,0x7e4700d6,0xe25a0243}},	//   _bijuntah, _kineskog_, _bhlaisea, _qallat_, 
   {{0x428a0191,0x2b030211,0x234400da,0x0f5b011b}},	//   _sökord_, _konsertt, _insecte_, _nakangan, 
   {{0x174c005e,0xf3210007,0x327f00d1,0xbb5b033a}},	//   _ﺟﻪﻫﻪﺗﺘﯩﻦ_, _asocier_, _এতিয়াই_, _fliexken_, 
   {{0xaad1014d,0x7e0e0547,0xc5c80014,0x48d602af}},	//   _vertraue, _fidelida, _penalish, _nareganu, 
   {{0x26670013,0x4f5b03be,0xf2010198,0x9f3902ac}},	//   _харидор_, _bakangan, _petih_, _مقتبس_, 
   {{0x838f01a7,0x86d80300,0x57210013,0xc9bc01e7}},	//   _участник, _univerzá, _muhtaram_, _allenzwe, 
   {{0xfbd90255,0xb995023a,0xaba401b2,0x00000000}},	//   _शत्रुहन_, _držanie_, _camiknic, --, 
   {{0x563b0241,0xa2d80321,0x8c1403ce,0xd0520061}},	// [b670] _muchmusi, _mojega_, _حوسنی_, _추가됩니다_, 
   {{0xc225012b,0x2d1a055a,0x08fb05f3,0x7fca023c}},	//   _nauki_, _favorece_, _irmandad, _برګمټال_, 
   {{0xc2ee01e5,0xf2eb0064,0x735a0311,0x2a0103c7}},	//   _akofe_, _granges_, _ነገራቶም_, _trafiła_, 
   {{0x11e6034f,0x8aef026c,0x2f2f02e2,0xb9e600a4}},	//   _ناروغي_, _parturie, _abhorrer_, _escriptu, 
   {{0x2eab02c9,0x5e3b00bf,0xde9a02c7,0x939402a4}},	//   _justitie_, _исходног, _besticht_, _sensim_, 
   {{0xf4d700a7,0x6c470213,0x9d9a0455,0xab500282}},	//   _шаркан_, _тайган_, _emblémat, _taumarer, 
   {{0x2bbb0034,0x9654000b,0x0e5c00c1,0xcdb6036e}},	//   _byrjunar, _lagisoif, _memberla, _chantama, 
   {{0x65bc02d3,0x6c6203ea,0x0ec80302,0x03a203fd}},	//   _континуи, _sourire_, _балҷувон_, _leipa_, 
   {{0x2dbd04a4,0xc635010f,0xc2c70294,0x82dc00c1}},	//   _legalese_, _abangali, _ayamarq_, _टंकनसहाय, 
   {{0xe27e01f1,0x4f5d0086,0xbe2500e6,0xba8607b2}},	//   _eminit_, _betartan, _提高办事效率_, _plantean_, 
   {{0xe132029f,0xa30f015b,0xafb60046,0x747c0022}},	//   _reklamný_, _lidasip_, _تويعۇزۇۇ_, _ditekolo_, 
   {{0x43ea0367,0x2210005b,0xc7ba009a,0x87f50144}},	//   _feitas_, _cityvill, _افسانې_, _sasanaig, 
   {{0x5fe40294,0x1911036a,0x1f3f00c1,0x231601f0}},	//   _preámbul, _tavalemu, _वेबिनार_, _mennweng_, 
   {{0x689d04cc,0x929004ea,0xd38c0159,0x19d203a4}},	//   _liekgonq_, _atiar_, _купец_, _debesart, 
   {{0x827602c6,0x33ea018e,0xe5b10376,0x00000000}},	//   _andaroum, _hlota_, _bassleik, --, 
   {{0x674b023d,0x1a0a014c,0x5249022e,0xe39403d8}},	//   _относно_, _namandla_, _dorme_, _blisku_, 
   {{0xdc7c01ec,0x8378016b,0x630e0156,0x4fcf0060}},	// [b680] _terrors_, _alkalan_, _batadis_, _адамсыз_, 
   {{0x073c014e,0x2ab8004a,0x19f90161,0x6f110130}},	//   _посетиоц, _baştağı_, _пейзажи_, _brotesta, 
   {{0x0e2704a5,0x031601e9,0x55d900be,0x00000000}},	//   _eligunya, _kennweng_, _مانجۇلار, --, 
   {{0x8e4e01f1,0xf7570041,0xaf87002b,0xbffe02bb}},	//   _haradina, _ақаҩба_, _শরীফের_, _प्रकारों_, 
   {{0x42cb039e,0xe292022c,0x23ea02c6,0x92170388}},	//   _stader_, _carage_, _glota_, _вранча_, 
   {{0x2c9c00c8,0xe0460334,0x12f4011d,0x00000000}},	//   _тулды_, _chaukhon, _topicul_, --, 
   {{0x329005b1,0x00df0311,0x6c00017c,0xfeb1009a}},	//   _nohami_, _ኣይርስዕን_, _gårdar_, _emalifun, 
   {{0x926c0203,0xdfd80420,0xc52d009f,0xd9320326}},	//   _humore_, _детство_, _časovno_, _edambare, 
   {{0x37f40147,0xaf200733,0xbc6302c3,0xcb0e004b}},	//   _ئئبنىن_, _dawessen, _potrieb_, _hlaseloa_, 
   {{0x49aa0037,0x4248014a,0xd5810128,0xd2f30157}},	//   _ሙሉዓለም_, _vilmos_, _асалари_, _palikot_, 
   {{0x52a6033e,0xdd5802d5,0x55670147,0x82910184}},	//   _timbó_, _अधुनातन_, _تئراجداع, _bazane_, 
   {{0xbf910360,0xfb6402f9,0x5ad500d0,0x0941013f}},	//   _objektů_, _ikrenyen_, _martiare, _galluste, 
   {{0x639901ef,0x24e601ab,0x9c6501c8,0x6c570359}},	//   _stipriai_, _खुँठी_, _textilu_, _bestege_, 
   {{0x73fe0118,0xc2d70567,0x162b0203,0x49fb0343}},	//   _amazima_, _alkogol_, _avantagi, _dadangat, 
   {{0xd9f10387,0x2d840015,0x9d20028e,0x732e0156}},	//   _abanyela_, _ballanqa, _standaot_, _גוייִם_, 
   {{0x77b400d1,0x9d0f01b2,0x62640185,0xc29000e1}},	//   _চামেলী_, _chlorite_, _alular_, _dakaar_, 
   {{0xb22d0169,0xda15023b,0x374e0446,0x9c4000f6}},	// [b690] _অন্যান্য, _kapalama_, _scenarij_, _artistlə, 
   {{0xf5c4016d,0x340d049a,0x5290005b,0x3b020247}},	//   _ﻣﻪﺑﻠﻪﻍ_, _malicioz, _medaka_, _crosscut, 
   {{0x7224006a,0x05bd0277,0xd8ef019e,0x9e5305c1}},	//   _baikon_, _kamaayoh, _асіпцова_, _disapuka, 
   {{0x60fa003b,0xc5a1000d,0x22fa006c,0x4599027f}},	//   _abaholel, _तुरते_, _abahola_, _bwashinz, 
   {{0x42a60172,0xcaeb02ea,0x5ff001de,0xd3950529}},	//   _baabi_, _approvat, _серке_, _ulasku_, 
   {{0xa1920092,0x23a20154,0x57be00da,0x7ac00321}},	//   _最初の投稿_, _ceapa_, _шапортул_, _različni_, 
   {{0x62a60172,0x92920151,0x8f3a0331,0x83d600ba}},	//   _daabi_, _abrase_, _tilfarin, _نێزیکه_, 
   {{0x6703002b,0x7ea301aa,0x42ee0145,0x398700d1}},	//   _কানাইঘাট_, _anslucen, _аскеркаў_, _বৈধতাৰ_, 
   {{0x837b0625,0x6a44018d,0x28fb0243,0xef3e01b9}},	//   _skladom_, _ብፕረሲደንት_, _gadangad, _rekritma, 
   {{0x825a0127,0x204101c9,0x3292009f,0xc29000d5}},	//   _gallet_, _पहिलकी_, _copati_, _dedaka_, 
   {{0x929002c2,0xc29204bb,0x45c100df,0x126e0499}},	//   _draad_, _ntsais_, _appareil_, _iasoni_, 
   {{0xa8320162,0xfb550161,0x002102a3,0x59860198}},	//   _ياسىن_, _пунктов_, _immergro, _dobička_, 
   {{0xe2fc01d9,0x57bd0378,0x7187015d,0xf8d30012}},	//   _menger_, _hjartali, _ईस्वी_, _उलाटि_, 
   {{0xd2fc03b0,0x2291019d,0xc29002c2,0x52a60120}},	//   _lenger_, _nazale_, _graad_, _caabi_, 
   {{0xe8c40179,0x24140348,0x2ba60144,0xa4d700b3}},	//   _bloemend, _abansook, _بانكوك_, _садалык_, 
   {{0x2292027a,0x00000000,0x00000000,0x00000000}},	//   _zarade_, --, --, --, 
   {{0x525a0750,0xab5002ec,0x6a54008f,0x3a9e020e}},	// [b6a0] _tallet_, _hortiisa_, _पुनरुपरा, _kenyelle, 
   {{0x22d90182,0xda140122,0x29830064,0xd7160393}},	//   _bozera_, _تبريز_, _кореяны_, _pramenov, 
   {{0xed3e0040,0xdb8601f2,0xbfab02ef,0x42a60028}},	//   _זוהרים_, _шинхва_, _dekonsto, _raabi_, 
   {{0xf20101f1,0x829002c2,0xc35c0205,0x6d3601a3}},	//   _detit_, _praag_, _ақаев_, _آفتون_, 
   {{0x52fc01d9,0x3c6703ac,0xf6590211,0x00000000}},	//   _denger_, _kukunya_, _разбираю, --, 
   {{0x83170388,0x829102fd,0xb2e30228,0xb26d03d8}},	//   _prezzi_, _bucais_, _etniske_, _uzgoja_, 
   {{0x82ee02f7,0x42900087,0x09ce0181,0x2292000b}},	//   _akofa_, _helaka_, _varetage, _ropati_, 
   {{0x0fcb00af,0xc26303b7,0xec610270,0x9ecd00b2}},	//   _свободу_, _aboringl, _aperite_, _biroonis_, 
   {{0x42920453,0x399601e5,0xe97a00ff,0x2f1d02e1}},	//   _metara_, _arekenda_, _abendlie, _gallchói, 
   {{0xcaed0127,0x00000000,0x00000000,0x00000000}},	//   _distanke, --, --, --, 
   {{0xc2fc029e,0xd65a00f5,0x474b013d,0x53800180}},	//   _kenger_, _парахорл, _artistoj_, _petren_, 
   {{0xfbf10029,0xf38200c5,0xbc1802c3,0x534f0137}},	//   _سپێده_, _澳门特别行政区_, _anglicku_, _airetik_, 
   {{0xdd8a0450,0x227e025c,0x8fa20253,0x326e02fb}},	//   _saneamde_, _klingt_, _tullerso, _masoli_, 
   {{0x6a000526,0xa2f70058,0xf49703c8,0xa30d02f6}},	//   _depannya_, _ettimik_, _didapatk, _kumbaga_, 
   {{0x1399008f,0xafae0059,0xa2aa0038,0x721902d3}},	//   _hästi_, _майка_, _başlıy_, _распоред, 
   {{0x63e50371,0xf091034c,0x5d3d0037,0x3c5c01dd}},	//   _acquisti_, _aprildä_, _እንዲፀድቅ_, _amatako_, 
   {{0xf29000b9,0xc04504eb,0xcabb0078,0x00000000}},	// [b6b0] _celaka_, _इंगलिश_, _шведске_, --, 
   {{0x178b0659,0x41fb020a,0xbc520117,0x2ae700d1}},	//   _termasuk_, _بىزبەن_, _biktaun_, _যোগালে_, 
   {{0x89230478,0x3d550002,0xe9f1007e,0xb34100a7}},	//   _monastèr, _pokazuju_, _aparedyu, _escrigué_, 
   {{0x562c0381,0x72010076,0x42360234,0x1874022f}},	//   _affordsw, _cetim_, _ranjú_, _вербаван, 
   {{0x9f370041,0x2bdf0153,0x372f0143,0x00000000}},	//   _классқәе, _お洒落なファッシ, _esplosiv, --, 
   {{0x734403f0,0xbf58041e,0x839503ec,0xda8301e7}},	//   _landinu_, _cinquant_, _presin_, _famillen_, 
   {{0x53440461,0x6a23005e,0xf2d00347,0x00000000}},	//   _josette_, _ئېتمولوگ, _applous_, --, 
   {{0x132f0092,0xef8401ea,0x2c2f01db,0x12920178}},	//   _管理者に通知_, _фулхэм_, _кәріз_, _copari_, 
   {{0x6eed003c,0xf290020e,0xc086039a,0x00000000}},	//   _الجثه_, _felaha_, _membalik_, --, 
   {{0x62f70564,0x5ff700e3,0xebfd020f,0xd0940084}},	//   _attimik_, _edukatur_, _هليکوپتر, _buncelik_, 
   {{0x4da403b9,0x9f3803c2,0xd189022c,0xa6730332}},	//   _coronela, _inescapa, _cirambay_, _ecodiari, 
   {{0x497702d4,0x74860109,0x23100129,0x39f103db}},	//   _visitade, _मैनाली_, _magburu_, _ibangela_, 
   {{0xa28a02f9,0xa6c60035,0x5282038e,0x00000000}},	//   _depafini_, _ахмаклар_, _buchori_, --, 
   {{0x4290004f,0xa2920526,0xd70d005e,0x12b402af}},	//   _araab_, _setara_, _مەشئىلىن, _imice_, 
   {{0xfe9505d6,0x5eba0405,0x21350037,0x82ed041a}},	//   _centimet_, _котли_, _ውዥንብር_, _пристрій_, 
   {{0xc2010250,0x52cb03d8,0x703600c5,0xdea40060}},	//   _ketij_, _isplati_, _小猪特工队_, _توڭىپ_, 
   {{0xa22503f6,0x6946027e,0xd9fa009a,0xd72c0153}},	// [b6c0] _pauku_, _заставу_, _bamisela_, _jobmulig, 
   {{0xf9590428,0xf3440361,0x8e4e0281,0x813a042b}},	//   _zaposlit, _старайте, _aanarala, _gradskih_, 
   {{0x527a0222,0x542b0159,0x654d0299,0x6c5c03a4}},	//   _vaissell, _авіацыя_, _ئەرچىن_, _fastogn_, 
   {{0xf2ce00f3,0xbc8304ad,0xf9d00435,0xe90502f6}},	//   _babesazi_, _diatleng_, _očekujet, _bilanggu, 
   {{0x8291011f,0x425a006e,0xcf050171,0x1e460153}},	//   _atyai_, _dollé_, _bošković_, _分譲マンション_, 
   {{0x02010058,0xc2fe02c1,0x4f5e008b,0xf292033e}},	//   _netik_, _amahame_, _dogaloon, _jetapa_, 
   {{0xfc72015e,0x143a01cd,0x00000000,0x00000000}},	//   _obertes_, _абхазист, --, --, 
   {{0x60970173,0x09010060,0x114c0189,0x131c0128}},	//   _সপ্তাহের_, _ابدىراحم, _engellil, _бандалар_, 
   {{0x79a80234,0xc9ff037f,0xc3ba0126,0xcbc90019}},	//   _alujonna_, _tərbiyə_, _примусов, _майларды, 
   {{0x74bb0109,0xafcd0153,0x730e00f2,0x36c100d1}},	//   _तारेखमा_, _メイクアップ_, _eduards_, _বাসীয়ে_, 
   {{0xf5370088,0x4e4f007b,0xb4720291,0xb2920464}},	//   _شاراپقا_, _jamaicae_, _فمثلاً_, _naraye_, 
   {{0xb8c0012e,0xc9040020,0x09f502f0,0x0e4600cb}},	//   _kiterjed, _limasefu, _ekwabiwe, _babasize_, 
   {{0x72920227,0x6ba003dc,0x62f1033e,0x8fa40212}},	//   _betapa_, _framførs, _apyigui_, _libenter_, 
   {{0x5d9501d1,0xa9c500be,0x6ef2008f,0xa46a03f4}},	//   _פורטל_, _музейи_, _चउथका_, _саундтре, 
   {{0xe9690606,0xb29004f0,0x06d1031d,0xd42801fa}},	//   _dirišetš, _lemago_, _conceivi, _femahino_, 
   {{0xd25a042f,0x427201ac,0xf2d30321,0xf9090297}},	//   _aallat_, _bónas_, _odnosih_, _basaçaq_, 
   {{0x91660040,0x5b3501a4,0x53800420,0x02490418}},	// [b6d0] _ריקודי_, _bovandis, _detran_, _sorma_, 
   {{0x725a053f,0xd2490601,0xf68001d1,0xad8c0287}},	//   _jallat_, _porma_, _attempti, _myčka_, 
   {{0xcba400ac,0xec8402ba,0x447e0039,0xd7520014}},	//   _namirnic, _курсии_, _сивон_, _artikujv, 
   {{0x029003b4,0x8225042a,0x13ea02a3,0x259a028b}},	//   _johani_, _abuka_, _blote_, _aquidabá, 
   {{0xc53d012c,0x52fe01c8,0x7224029b,0x225a0064}},	//   _ديواني_, _imunity_, _fonkee_, _fallat_, 
   {{0x62480030,0xb2d8014e,0xb37900ac,0xf2920687}},	//   _filmas_, _dijeta_, _davanja_, _baraye_, 
   {{0xc9fc001e,0xce970071,0x55190207,0x52d60183}},	//   _albarkat, _بازارجه_, _اوباهيو_, _babonao_, 
   {{0xac56026c,0x12d2009a,0xe91203e6,0x00000000}},	//   _nostrud_, _ebheteli_, _mosaikju, --, 
   {{0xb2010198,0x431c033e,0x720e02ba,0x42010278}},	//   _letih_, _mencken_, _бадан_, _betik_, 
   {{0x727e014c,0x138b03d3,0xef0e0145,0x46a30062}},	//   _eminye_, _bærer_, _шаблонам_, _danudlah, 
   {{0xebe90025,0x756f0052,0xd2d8011c,0xcb6f00b5}},	//   _एप्रिल्_, _samolepí, _bunekk_, _chatáka_, 
   {{0xf2a6023b,0xcf52006e,0x61f100ec,0xa596010b}},	//   _abiba_, _balastus_, _ксёндз_, _latelany, 
   {{0x0a9e01ea,0xc29000fe,0x617d0105,0x8db50129}},	//   _تیگدیرسه_, _etaau_, _बक्सा_, _maachị_, 
   {{0xfb0d0148,0xf32201af,0x87d80089,0xd14201e8}},	//   _請您發表感言_, _altysy_, _викисәфә, _masubuso, 
   {{0x42010027,0x45bb0361,0x41b400e6,0xe3930023}},	//   _retik_, _степана_, _上海植物园及园中, _военная_, 
   {{0x4d900544,0x57c1036e,0x00000000,0x00000000}},	//   _pelekane_, _huarochi, --, --, 
   {{0x7e4e03b9,0xfc6b036f,0x00000000,0x00000000}},	// [b6e0] _maranina, _preuzet_, --, --, 
   {{0x2e630051,0x3ba6010d,0xafbe01e0,0x5201000f}},	//   _tehnoloģ, _कलाकारां, _کاندیدێک_, _fetih_, 
   {{0x620100ad,0xf29000a9,0xa2eb015f,0x01660040}},	//   _getih_, _yohani_, _brinder_, _זיקוקים_, 
   {{0xf3ea0250,0x33420405,0x00000000,0x00000000}},	//   _plote_, _isteden_, --, --, 
   {{0x8f59003a,0x2975020f,0x72d90213,0xef0000ba}},	//   _murakkab_, _abongame, _прослойк, _ناهێڵن_, 
   {{0xb1c30204,0x03d20177,0xb949045e,0x337900b9}},	//   _колонии_, _рзыҟарҵе, _топъл_, _incaran_, 
   {{0x8170014b,0x1d500148,0xcf220040,0x6ed90204}},	//   _safiirih_, _circuitu_, _מקפידים_, _poriopas_, 
   {{0xc6c50140,0xbba4042c,0xa51703c7,0x016b0037}},	//   _binanggi, _dobijemo_, _nadzwycz, _መስፈሪያ_, 
   {{0x09d40024,0x36b801cc,0xfdbc019b,0x0e0a0299}},	//   _মুক্তিপ্, _anaupamy, _фактычна_, _ئابۇنىتل, 
   {{0x165d00b4,0x4c930094,0xf24900ff,0x7c380171}},	//   _постамен, _جارات_, _dormo_, _odličnu_, 
   {{0x38c00006,0xca5d0382,0xfe56033c,0x6a8d03ae}},	//   _pertangg, _heleleka_, _byrbryda, _brannves, 
   {{0xe20700de,0x3c520016,0x85630311,0x59460178}},	//   _imiyalel, _centran_, _ተምበርኪኹ_, _chalayat, 
   {{0xa0c00265,0x5b7f03b9,0xf2920225,0x92490016}},	//   _verlangl, _qutunaka_, _marane_, _normo_, 
   {{0xf897019f,0x6c7e03ba,0x61e101ab,0xf9dd01f0}},	//   _قريبي_, _geissel_, _दुआरे_, _dikologa_, 
   {{0x53340168,0x13010045,0xf2900189,0x00000000}},	//   _konklusj, _страдања_, _itaat_, --, 
   {{0x73790002,0x5f560012,0xf2d2012c,0x19f70066}},	//   _pokazao_, _कीईगं_, _gerezani_, _ingalate, 
   {{0x6ffb05a5,0xda090056,0x9c1402fe,0xa90e02a2}},	// [b6f0] _odstráni, _декабри_, _روزنی_, _katalinu, 
   {{0x32ef00c2,0xc9c50073,0x9291004a,0xfa1803cb}},	//   _rupfu_, _ingerent, _atqan_, _concéntr, 
   {{0x82eb02bd,0x1fc8002e,0xd2920024,0x54170065}},	//   _prinder_, _srednjoš, _karane_, _falschen_, 
   {{0xbf260414,0x12490261,0xf21a010f,0x7e490021}},	//   _soulager_, _formo_, _дармонго, _andalsca, 
   {{0x35290035,0x7290038f,0x449a018d,0x1fa0005d}},	//   _уникаль_, _drian_, _ከፋፊልካ_, _arykuéra_, 
   {{0xe29002f6,0x0835006c,0xa30e0148,0x0f5d0167}},	//   _itaas_, _abamland, _natalis_, _digalonn, 
   {{0xd2fc02f3,0x6f710279,0x33660287,0x87b700d1}},	//   _pengar_, _inscrits_, _दुवैले_, _উশৃংখল_, 
   {{0x53ea000d,0xa6c500d2,0x00000000,0x00000000}},	//   _toote_, _pinanggi, --, --, 
   {{0x2e55031a,0x49dc00be,0x7d8e013b,0xdeef004d}},	//   _banchara, _بۇلبۇلۇم_, _kapolisa, _法國政府的朋友都, 
   {{0xceeb0287,0x2340000b,0xa1fd01b3,0x00000000}},	//   _táboře_, _sefeina_, _частинок_, --, 
   {{0x22d8006c,0xa290029b,0xd20100ed,0xf3500099}},	//   _akhele_, _etaas_, _javits_, _chawakam, 
   {{0x4b560013,0x49f900f3,0x52920095,0xf37c0064}},	//   _آنلاشیلم, _angawase, _carane_, _debatre_, 
   {{0xddb901e5,0x1b95034f,0x4c2500ee,0x751f0055}},	//   _alailaba, _asezants, _arrazoir, _bagnisch, 
   {{0xe1310148,0x11b3020f,0x43860331,0x93f403f2}},	//   _勞動合同法_, _ماډرن_, _flagtekj, _kattoo_, 
   {{0x2c7d0151,0x9b1e0285,0xe28700bb,0x91580224}},	//   _stirrup_, _badashob, _حفظان_, _brauðmol, 
   {{0xa2900497,0x336e0014,0xf20c0291,0x00000000}},	//   _grian_, _kultivim, _sóide_, --, 
   {{0x134f0058,0x730e02ce,0x629000c8,0x53eb0040}},	// [b700] _jiregik_, _katalis_, _bohali_, _deaths_, 
   {{0x429000dd,0x2a21042a,0x85bb012a,0x00000000}},	//   _arian_, _atibophe, _zaopatrz, --, 
   {{0x5344012b,0x79f7028a,0xa9b70144,0xb20e0205}},	//   _folderu_, _kutimiza_, _hondúras_, _хашак_, 
   {{0xc96d0223,0xa30e00c0,0xc29200dc,0xfe5002ec}},	//   _medikunt, _matamis_, _lopati_, _gobanima, 
   {{0xd2ca0661,0xa5a60012,0x238b00bb,0xa8860188}},	//   _aonde_, _जुवती_, _انہماک_, _amakheru, 
   {{0xa61500ff,0x77e7009f,0x51410227,0xb9ec029e}},	//   _סודאן_, _lokalneg, _diperjel, _franseza_, 
   {{0x69e7011e,0x4225038b,0x0f2301f6,0x82d800d8}},	//   _chagosye, _ibuku_, _muslimar_, _coronat_, 
   {{0x9290018c,0xb3a20036,0x9a6302ef,0x82e0006c}},	//   _staat_, _leapa_, _abominas, _abanabo_, 
   {{0xa2a1024a,0x2eb600f5,0x42ca01b4,0x1d6c01ab}},	//   _erinjà_, _ялңышлыг, _wonde_, _पड़ैत_, 
   {{0x829002b7,0xa1880094,0xb255015d,0x5676002b}},	//   _araaf_, _ءومىرىن_, _सौतेला_, _এতিমখানা_, 
   {{0x837a00fd,0x643600ff,0x0181002b,0x9d280107}},	//   _tamaill_, _חיזבאלא_, _গঠনতন্ত্, _alaminé_, 
   {{0xc2d7034b,0x6c6b0224,0x82f50005,0xfb64015e}},	//   _rijonal_, _komumst_, _alpinum_, _intenten_, 
   {{0x2ffb05a5,0x1d2f002f,0x8a6c0362,0xc3980094}},	//   _odstráne, _mainpage_, _akomonis, _назарлар, 
   {{0xc8fd032d,0x1c66004a,0x52eb00e2,0x823d00e6}},	//   _составын, _табылыр_, _grinzer_, _胡锦涛指出_, 
   {{0x25160314,0xe9d40130,0x0c270403,0xa10601a3}},	//   _матчта_, _makedone, _mamaritr, _فائيلز_, 
   {{0xc22503b6,0x63df02d5,0x93200288,0xd12f0059}},	//   _abuku_, _saamisek, _neiyon_, _comodità_, 
   {{0x2a04004d,0xc98e0297,0x07590025,0x8138034c}},	// [b710] _包含例假日_, _гамил_, _निर्माय_, _агрочино, 
   {{0x96d901eb,0x83f80085,0x60b800a5,0x129000e1}},	//   _montañis, _buluti_, _mālamala, _iraag_, 
   {{0x67840034,0xf22401c0,0xf4b3006d,0x00000000}},	//   _forvarni, _daikun_, _безьзяме, --, 
   {{0x526c0277,0x39db0239,0xf97c003c,0x117b00ba}},	//   _demoss_, _maherehe, _ميگيرد_, _ڵکێشان_, 
   {{0xcf2902d3,0xb8ba047b,0x17db01ee,0x627e0211}},	//   _виолетов, _bretskir_, _иккĕмĕш_, _keinot_, 
   {{0xc89e01b8,0x052703a2,0x7c9801f7,0x71b302fe}},	//   _isikliku, _महफ़िल_, _adjectiu_, _ګالری_, 
   {{0xa23700a1,0xb9f2000d,0x83870155,0x6dbc020e}},	//   _taimaha_, _tekitada_, _klarat_, _dirakote_, 
   {{0x2db6026c,0x42a6004c,0xb3f8016b,0x24b80311}},	//   _運動及健身_, _abibu_, _kuduri_, _ተኣሲረን_, 
   {{0x3e510119,0x28c70204,0x7c240061,0x00000000}},	//   _jamboree_, _sukupolv, _한국산업인력공단_, --, 
   {{0xa2a602c1,0xd2270094,0x6ed50183,0xc92801cc}},	//   _ababo_, _хадисте_, _ecrivain, _bhartāro_, 
   {{0x22240163,0xf9fb0142,0xae6e00d6,0x10ae042a}},	//   _minket_, _samantat, _lascaine_, _anemandl, 
   {{0x1224005b,0xc34a012a,0x97400326,0x38d5009f}},	//   _linket_, _kodeksu_, _aunosang, _iskreneg, 
   {{0x816203b2,0x6c7500f6,0x999d0074,0xc2850155}},	//   _operatio, _doludur_, _малыш_, _balkong_, 
   {{0x058503b9,0xffea00be,0xf98e014e,0xaf5b02cd}},	//   _saltanak, _حاببارتد, _лазић_, _balantan, 
   {{0x0e86004a,0x097802d5,0x22da00ab,0x32900347}},	//   _майсыз_, _lepingut, _horepa_, _traan_, 
   {{0xc34303e8,0xe92b01f6,0xdb1102b2,0xaa700044}},	//   _obvezno_, _ক্ষেত্ৰত, _storesøs, _favourab, 
   {{0x8a2a0092,0x97a20066,0x00000000,0x00000000}},	// [b720] _アクション_, _kulturbi, --, --, 
   {{0x779d0116,0xeeab01cf,0x776f0008,0xd0e300de}},	//   _gratifyi, _martedie_, _تەۋىيگەن_, _elingcol, 
   {{0x9232031a,0x93ea01ab,0x2e9a01b9,0xa3a201fe}},	//   _alumain_, _loota_, _misterye_, _reapi_, 
   {{0x33c8029e,0x13df017a,0x031802f6,0xc27e017a}},	//   _morvan_, _abamesek, _gumising_, _adinge_, 
   {{0xab610144,0xa19e0040,0x12e8005b,0xb3f8019d}},	//   _teoranta_, _רואקוטן_, _akinobu_, _guluri_, 
   {{0x3ee90363,0x524902c2,0xe6c600dd,0x6c920111}},	//   _funksjon, _vorms_, _amgaeedi, _barfield_, 
   {{0x0875030c,0x90df0224,0x692902a5,0xca6d03a2}},	//   _atanillu, _væntanle, _जानहोस्_, _ध्रूम्रप, 
   {{0xb2b40069,0xe8e002ba,0xc2da03a0,0x505f0064}},	//   _imico_, _abagabad, _borepa_, _оптималд, 
   {{0x93ac0160,0xfe7c0059,0x829002a3,0x8bde0272}},	//   _ukupan_, _близнаци_, _kraal_, _bandayir, 
   {{0x320e02ba,0xb27e00fa,0xf0e50299,0xc290015e}},	//   _фалак_, _beinte_, _تئخعمذ_, _criat_, 
   {{0x8d9e0005,0x02250440,0x13620158,0x7ea60327}},	//   _pernotta, _icuka_, _drugiej_, _fortsett_, 
   {{0xf27e04fc,0x12f10465,0x00000000,0x00000000}},	//   _veinte_, _karieri_, --, --, 
   {{0x427f00a9,0x012a0311,0xd290015e,0x2b570299}},	//   _iwanyu_, _ከነንብብ_, _triat_, _خةؤةر_, 
   {{0xa97f014c,0xd96c032d,0x1c8700bf,0x828300ec}},	//   _ushicile, _freistat, _древние_, _vadovė_, 
   {{0xd620017f,0x72cb02a8,0x12c5055b,0x33eb0326}},	//   _nuannari, _kolonja_, _plommer_, _asatye_, 
   {{0x1b76029b,0x939403ec,0x7316029f,0x16250235}},	//   _aboobakr, _moisiu_, _drezy_, _प्रथमद्व, 
   {{0xda070285,0xf78b0169,0x72a20234,0xc4fb0017}},	// [b730] _malariya_, _ভূমিকম্প_, _atanná_, _क्रिकेटक, 
   {{0xe37f02f3,0xe985004d,0x83ea0275,0x0651002b}},	//   _delarna_, _來金門作客_, _oloto_, _নরেন্দ্র_, 
   {{0xd62c0375,0xf27f0243,0xe7ab0311,0x00000000}},	//   _akanandi, _faxna_, _ዝቀያየር_, --, 
   {{0x57b3021c,0x23ea02f8,0x52900020,0x2290047d}},	//   _profilov, _iloto_, _muaau_, _draam_, 
   {{0xa3ea0399,0xf29102ca,0x02010130,0x17590037}},	//   _aloto_, _sacair_, _fetis_, _ዘእግዚነ_, 
   {{0x585d00b4,0x0e3b0261,0x32910145,0xef0c0156}},	//   _ситуацие_, _rakontas_, _kaskart_, _קהאליד_, 
   {{0x636c03e1,0x4316024c,0xf2ca0005,0xd27f00a9}},	//   _døgnet_, _prezz_, _gonda_, _bwanyu_, 
   {{0x52ba007b,0x3bae0086,0x9dbd0059,0x85490177}},	//   _unheard_, _elegendő_, _chiamare_, _реидҵа_, 
   {{0xa91500a2,0xe3ea0399,0x8bd00661,0x3b200067}},	//   _لئبريري_, _eloto_, _sanitári, _dilachin_, 
   {{0x0f670044,0x3a150249,0x12e903d5,0x0ae501eb}},	//   _אינדונזי, _papamama_, _aquilla_, _nderejet, 
   {{0x1f150088,0x820001f1,0x0379055f,0xe06a0439}},	//   _باللعا_, _athina_, _kocaman_, _epapilen, 
   {{0x245b0262,0xc290015e,0xb861018a,0x5292022b}},	//   _telekeçi, _trias_, _adwaenir_, _farast_, 
   {{0x829003f2,0x8be701e0,0x9047041e,0x6f19018d}},	//   _asiaa_, _دریده_, _parution, _ገረዝጊሄር_, 
   {{0x42870277,0x238c00b4,0xeafc015e,0x8290040e}},	//   _alikate_, _timpului_, _denuncie, _ariar_, 
   {{0xa2ee01a4,0xc54600d9,0x44b903a2,0x05000153}},	//   _akanisi_, _страхово, _पंगेबाज_, _お買い物レビュ_, 
   {{0x0df9025c,0xa46900c7,0xd70a009a,0xc95203a8}},	//   _angesagt_, _аналык_, _ebicholw, _dialektt, 
   {{0xf290004f,0xc29000fe,0x61fd00d3,0x1b97027c}},	// [b740] _araam_, _esiaa_, _armatury_, _andinayo_, 
   {{0x42fc01d9,0x62010331,0xa520036d,0x729103db}},	//   _senger_, _metir_, _buannach, _bazame_, 
   {{0x12fc00af,0x52c50411,0x74d40177,0x797c019e}},	//   _penger_, _pinlige_, _рымчра_, _азёрны_, 
   {{0x82c1024f,0xee47008d,0x3b280156,0xc2c80009}},	//   _guileca_, _kurashda, _פעלשער_, _sorodne_, 
   {{0xb38b02b2,0xce170093,0x25de01db,0x7899018d}},	//   _lærer_, _занятост, _اۋدارۋ_, _ዝተኸወለ_, 
   {{0xc2ec0049,0x2047032d,0x5116006d,0x93ea040f}},	//   _entitle_, _берсә_, _валютна_, _ploto_, 
   {{0x018000e1,0xc2cb033a,0xf94703f0,0x16880157}},	//   _attajall, _polonja_, _konunnar_, _goldenli, 
   {{0xf29204bf,0xfd8b01b4,0x929200a0,0x63ad0597}},	//   _upravu_, _vereisde_, _barace_, _газетехь_, 
   {{0xd20d04ac,0x62d001c8,0xb5b4003c,0x327e01c4}},	//   _очароват, _daroval_, _آنچنانی_, _reinet_, 
   {{0x53f902f1,0xfd8a025f,0x634403bd,0xb16c0059}},	//   _alguma_, _pandemie_, _disente_, _футболен_, 
   {{0x86b60176,0x927000f2,0xa21e03d4,0x00000000}},	//   _shiraish, _sēnes_, _nevinošć, --, 
   {{0x004500a7,0xd3f401ad,0xfa8602e3,0x2fe10643}},	//   _insultan, _frutal_, _hoangtan_, _plutajuć, 
   {{0x1290033e,0x62fa029c,0xe60c057e,0x6be3044a}},	//   _guias_, _kuchoka_, _देवदह_, _esambelo_, 
   {{0x5290080d,0xd342016e,0x4f9e03d4,0xb2fb0609}},	//   _aglaba_, _istenen_, _родитељи, _metáfora, 
   {{0xc2000212,0x44240417,0x4200024c,0xf3fa0269}},	//   _qflix_, _donkiesk, _emmint_, _impuso_, 
   {{0x3c5c019c,0x0e52010d,0x33ea036f,0xf41901dd}},	//   _alatako_, _menamaka, _pamtim_, _akoherez, 
   {{0xa201017e,0x63800211,0x00000000,0x00000000}},	// [b750] _petis_, _metrin_, --, --, 
   {{0x82000698,0x6934015a,0xa2000333,0x9be300e2}},	//   _muhira_, _barmoota_, _agliu_, _hilgelân_, 
   {{0x8d6d0037,0x0d200249,0xb2ca019b,0x32ef0147}},	//   _እንወዳለን_, _transpot_, _bendri_, _tragèdia_, 
   {{0x39cd0409,0x42a60206,0x9bdb0219,0x334401c4}},	//   _コメントを書く_, _svojimi_, _atawuseb, _insette_, 
   {{0x95bc0017,0xfb8d047d,0x3e1b042a,0x8fda0164}},	//   _potiskem_, _onendlec, _bangatep, _топлинип_, 
   {{0x1b590092,0x0571034a,0xb201028d,0x6a560240}},	//   _となります_, _mosteiro_, _retir_, _savenaca_, 
   {{0x301202ec,0x599101c5,0xc27003b6,0xfa61032d}},	//   _پھٹہِ_, _casharka_, _nisisiyi_, _ipelaets, 
   {{0xe3ea039c,0xaede0707,0xbe4701f4,0xbe9f0226}},	//   _moitos_, _adaharan, _nazarida, _atamufun, 
   {{0x0c5b00b8,0x27a50211,0x82d00321,0xad210022}},	//   _yattati_, _operaati, _varoval_, _йөҙгән_, 
   {{0x59d001f4,0x3bae0405,0xc2ca0308,0x00000000}},	//   _немис_, _газового_, _sendri_, --, 
   {{0x02a60129,0xd5440037,0x8c040138,0x00000000}},	//   _ibibi_, _ለመምከር_, _konseri_, --, 
   {{0x0225025f,0x47d201d9,0xac4100e6,0xc27e016e}},	//   _abuki_, _vergaang, _东莞国美两年内市, _edince_, 
   {{0x06c400c5,0xf2ea061f,0x530f0288,0x7d0b0200}},	//   _查看用户评论_, _znanost_, _kapapar_, _storycor, 
   {{0x4d8e0044,0xbc9e0338,0x0b8c0040,0x7a52012c}},	//   _שופרסל_, _qualifiq, _בהרדמה_, _malecela_, 
   {{0x033c00be,0x92ca0132,0xeb5b015e,0x42a60129}},	//   _اقىردان_, _mondd_, _comencen_, _mbibi_, 
   {{0x756e0643,0x73a900da,0x43720251,0xae7104ca}},	//   _pohvalio_, _нотареле_, _afgarad_, _bauartés_, 
   {{0xb16f0089,0x62a60558,0xd9c90428,0x00000000}},	// [b760] _telendä_, _obibi_, _ignorira_, --, 
   {{0xb6fa006c,0x0692019f,0xba190375,0x41d5023c}},	//   _ababulaw, _marekebi, _amaboola_, _ګډوډيو_, 
   {{0x32a602a2,0x7b050047,0x98cb018d,0x03f90176}},	//   _ibaba_, _apparaît, _ክንስሕቶ_, _koguma_, 
   {{0x59800223,0xe27e047b,0x73f800ad,0x1a04015e}},	//   _ostirale, _kvinnu_, _pelung_, _денесини, 
   {{0x8f3b032c,0x5ff604ac,0x32da01fe,0x49f6025e}},	//   _amerlana, _чистки_, _soreva_, _errós_, 
   {{0xed8102a8,0xf27f014c,0x43440333,0x08d30369}},	//   _བརྐོས_, _amanye_, _risente_, _paleumau, 
   {{0x3f6a002e,0x6af3054c,0x5d9b0372,0xa2b60416}},	//   _suzbijan, _hensikte, _cartrefu_, _newcom_, 
   {{0x3c1500f4,0xb3f80107,0x42da01bf,0xb292035d}},	//   _strollad_, _telung_, _foreta_, _spratu_, 
   {{0xe3800211,0x4ccd0061,0xdd320188,0x00000000}},	//   _marras_, _도시디자인과_, _alungile_, --, 
   {{0x7ae802c3,0x741e0200,0xbc4e00a6,0xb29200a1}},	//   _založený_, _anyagoro_, _ومانه_, _hetana_, 
   {{0xe1e1015d,0x8a88003f,0x529203bf,0x61760046}},	//   _oprogram, _bolonnis, _betana_, _تارتۇۇ_, 
   {{0x92910089,0xcf840300,0x996902a6,0x72ca019a}},	//   _üzara_, _záchraná, _musichet, _faddom_, 
   {{0x426e008e,0x00000000,0x00000000,0x00000000}},	//   _butong_, --, --, --, 
   {{0x1c680397,0x00fa02ba,0x1321001d,0x158202f0}},	//   _wukuthi_, _abahilel, _ataccas_, _ekutelek, 
   {{0xf264029a,0x92d70633,0xc020043c,0xca0a036e}},	//   _douler_, _alcohol_, _quadrado, _harakmbe, 
   {{0x5c75007f,0x131600e9,0x8a5101f1,0x71660183}},	//   _anturus_, _orizon_, _jozefina_, _fototeny_, 
   {{0xc3960132,0x810304f0,0xdc52006f,0x89d00466}},	// [b770] _معلوماتِ_, _maikalel, _anataka_, _očekujem, 
   {{0xac620095,0x359d0075,0x6a0b0212,0xb29204b3}},	//   _بهانه_, _veruleik, _phasellu, _abrant_, 
   {{0x007304c7,0x7380009c,0x00000000,0x00000000}},	//   _култа_, _farras_, --, --, 
   {{0x5471036c,0xd67505a6,0xc5660211,0x22d801da}},	//   _tantaran_, _verdskri, _hammaslä, _mijera_, 
   {{0x141d00f1,0x62640230,0xf5d201ec,0x986d0065}},	//   _forseman_, _kouler_, _نمانده_, _steigend, 
   {{0x6c62017d,0xa6220291,0xaf7c040f,0x6e4a0259}},	//   _spurgte_, _يحفظها_, _базуюцца_, _deracine_, 
   {{0xf8c00227,0x3d830253,0xb3800008,0x6879003e}},	//   _tertingg, _kammalaa, _barris_, _миллионы, 
   {{0x12ca02e9,0x626d048f,0xa2920497,0x017b051a}},	//   _donde_, _eternell, _abrade_, _jauhilah_, 
   {{0x0c7e005b,0xa6580089,0x00000000,0x00000000}},	//   _startup_, _картайма, --, --, 
   {{0x02a60056,0x9497040b,0x3a8704b3,0xa85202a1}},	//   _ubaba_, _mitaladz, _blantenn_, _optredes_, 
   {{0x9f6a00cb,0x94f300c7,0x73520399,0x49fd0223}},	//   _ababeman, _лексикан, _pulupulú_, _aguantat, 
   {{0xfead0629,0x75620192,0x6323027b,0xb8f801c1}},	//   _adsorben, _부담입니다_, _anyaiś_, _kelangsu, 
   {{0x52ca0347,0xc22401ec,0xa20000c7,0x92910243}},	//   _honde_, _blokir_, _balig_, _guyac_, 
   {{0x64ac048f,0x86730192,0x8d2c029a,0x8c5202a6}},	//   _habituel_, _북구문화예술회관_, _avantaze_, _pretesa_, 
   {{0xa2ab001a,0x2e600615,0x73eb012d,0x2c6d0285}},	//   _gábor_, _čabarkap, _laetem_, _ahorana_, 
   {{0x23210698,0x33170149,0x3a25004d,0xc380003d}},	//   _aguye_, _nzuzo_, _succumbe, _carris_, 
   {{0xa3be01b7,0x29640044,0xdfa401d7,0x92d901cd}},	// [b780] _ततोनिदान, _grandmot, _directer_, _ангишти_, 
   {{0xd2ee0450,0xbe190092,0x1db80178,0x0c12034b}},	//   _skoft_, _新築マンション_, _ananyaka, _propesi_, 
   {{0x91b302da,0x3c4e0044,0xc30600d6,0x7e4700ae}},	//   _поголем_, _marching_, _folaigh_, _kabariye_, 
   {{0x0b6103f7,0x825e041e,0x00000000,0x00000000}},	//   _borðtölv, _assumigl, --, --, 
   {{0x74010183,0x52b100ee,0xb30603da,0x12d90333}},	//   _manombok, _galdera_, _litrechọ_, _pianure_, 
   {{0xd92c004b,0x42900481,0x9ce900bf,0x45d602ac}},	//   _покрышка, _eraan_, _пролиста, _garchabh, 
   {{0x8ff8018d,0x6aed0518,0xc2020453,0x7c6b0220}},	//   _ብምቅዋም_, _йилларда_, _poboljša, _определя_, 
   {{0xf47f00b5,0xd7c40012,0xc46d0144,0xd5c4002b}},	//   _anteóho_, _गन्हीर_, _فؤادي_, _গানরাজ_, 
   {{0x8290041c,0xd63602fc,0x08dc017a,0x00000000}},	//   _iraan_, _abangami, _куния_, --, 
   {{0x19e001cd,0x29f702b1,0xedb702f8,0x2c0e0311}},	//   _kusobala_, _makiyaya_, _kaungama, _trupave_, 
   {{0x4a8c0166,0xee2a0246,0x11f602fe,0x00000000}},	//   _aktionen_, _ергономи, _emazabel, --, 
   {{0xc27e037c,0xd71d00f5,0xe22500c0,0x63e80008}},	//   _deinde_, _haladyňy, _saakin_, _иссей_, 
   {{0x320000fe,0xf32103d5,0x842002c1,0x7f9e00ff}},	//   _malie_, _deacons_, _intashyo_, _בורקאָ_, 
   {{0x72ab0086,0xfc8f002e,0x07a204ec,0x763f0327}},	//   _tábor_, _završava_, _babujuri, _seksuell_, 
   {{0x995d0216,0xb18502ef,0x00000000,0x00000000}},	//   _khongote, _levanjil, --, --, 
   {{0x629001b4,0x32f7043a,0x0d7c002b,0x039100e6}},	//   _graan_, _nutimik_, _কালিদাস_, _山东省农业厅关于, 
   {{0x329202f3,0xa4260662,0x334800d8,0xf38b022b}},	// [b790] _betala_, _terrilyn_, _confond_, _lærir_, 
   {{0x72000564,0xaf2b0037,0x3b9900ee,0x0290001c}},	//   _balid_, _ተቀናጅቶ_, _militarr, _araan_, 
   {{0x035f0462,0xa3190119,0x0c670240,0xf34500e6}},	//   _argelay_, _freising_, _vakuria_, _保护知识产权行动, 
   {{0x92db01ce,0xa9ca0218,0xa66403c7,0xf03e05c1}},	//   _اربعین_, _agnetize, _गुमसुम_, _khutbahn, 
   {{0x428e00d6,0x48c00073,0xa7d1005e,0x50da0087}},	//   _aithint_, _irrumpev, _ئەكىسچە_, _hunonkul, 
   {{0x72fb028f,0xb3160212,0xffd90126,0xd5cc01d2}},	//   _akuhata_, _tribuni_, _mobilabo, _cycadoph, 
   {{0xcc37006d,0x9ca0011a,0x9ad20223,0xeb41003e}},	//   _часовую_, _בתחרויות_, _aratoste, _дәүергә_, 
   {{0x0c350093,0xcbb50189,0x09a50132,0xbc63025c}},	//   _членов_, _projeler, _forintér, _antrieb_, 
   {{0x82d600ad,0x8f89039f,0x9a8f010e,0x94970061}},	//   _obrolan_, _solvents_, _balitaan_, _어린이에게_, 
   {{0x34c204ec,0x8e110478,0xad7704b3,0x332700de}},	//   _arabarik, _polemica, _bodadoù_, _صاحبانو_, 
   {{0xd200037f,0xda8f03f2,0x4f1f00ae,0xb8c00304}},	//   _xalid_, _valitaan_, _igatanga, _tertungg, 
   {{0x70270178,0xbdaa0253,0x795600f0,0x00650127}},	//   _acyutāna, _pisiassa, _zavolajt, _bodadego, 
   {{0x321402e3,0x3b680039,0xe1ea0041,0xb264005b}},	//   _tướng_, _бархасба, _hüpytãng, _bitlut_, 
   {{0x5f270244,0x2d8700b7,0x699b0166,0x07da0012}},	//   _purtropp, _alamatla, _einkomme, _फुँकाता_, 
   {{0x2819041a,0xa3ae0155,0x86f1015d,0x69f60338}},	//   _компанія_, _köpte_, _kontaktó, _arrés_, 
   {{0xf9f301a2,0x18f701e8,0x00000000,0x00000000}},	//   _automāti, _makagatu, --, --, 
   {{0x6c6c03d0,0xf24a03c7,0xd4130264,0x23d0014d}},	// [b7a0] _رجالك_, _firmę_, _colasito_, _löwen_, 
   {{0x531702e2,0x726e028d,0xfd81012d,0x936c0085}},	//   _brazen_, _absoli_, _betelnat_, _dregati_, 
   {{0x62b5034e,0xcae80569,0x067f0116,0x699c0138}},	//   _abecia_, _crotchle, _efternui, _marketle, 
   {{0x59e4080e,0x2386002e,0xdc8900c7,0xb53c0187}},	//   _शीर्षस्थ_, _ulaziti_, _бохараев_, _extensõe, 
   {{0x6d18017d,0xb8ed00a4,0x2c710102,0x777d04b1}},	//   _grundigt_, _dependèn, _ukarimu_, _merverdi, 
   {{0xbd7e00e6,0x18a8015e,0x00000000,0x00000000}},	//   _中国国际电子商务, _бастырба, --, --, 
   {{0x4a6c0064,0xe38601a7,0x75d40185,0x1fc80361}},	//   _сырларын_, _koirat_, _bulgalıy_, _кальтенб, 
   {{0x03ea00ab,0xaddf0219,0x221402e3,0x371b00c7}},	//   _kooti_, _abakasha, _sướng_, _апара_, 
   {{0xa39f0331,0xe2e802ac,0x63c803a4,0x00000000}},	//   _tilstaða, _تقدمه_, _horvin_, --, 
   {{0x42da03d8,0xf3f8010b,0x21e8034c,0x02c503b0}},	//   _poreza_, _dioura_, _айларның_, _aarland_, 
   {{0x4d5a0074,0xf2c904f8,0x20d80037,0x42920235}},	//   _хочет_, _genomic_, _ኃይለስላሴ_, _carame_, 
   {{0xb31605a9,0x32d500d9,0x428c00e7,0x74710095}},	//   _mpeze_, _autolla_, _anesplay_, _banteran_, 
   {{0xe6f1015c,0x4e9e0056,0x05db037f,0x4236014a}},	//   _kontakté, _майлу_, _alverçil, _éljen_, 
   {{0xc62a02da,0x83870198,0xe2fb018e,0x405200c9}},	//   _организи, _zapri_, _atshika_, _idngoalo, 
   {{0x324901e6,0x63a9040e,0x920100c9,0x753300a2}},	//   _normy_, _elevane_, _upfile_, _udangany, 
   {{0x94730130,0x48f90090,0xee390095,0x00000000}},	//   _aostrian_, _angasaru, _bomanara, --, 
   {{0xea1002d8,0xc38000f6,0xb2ca0130,0xd30e00f0}},	// [b7b0] _अमेरिकेत, _əsrin_, _skolidi_, _anabela_, 
   {{0xdd3d0169,0xd47e003e,0xa7b9005b,0x43170465}},	//   _ঘটনাবলী_, _динов_, _initramf, _prazen_, 
   {{0xf3ac0017,0x81f00029,0x4c170156,0xd8db01d5}},	//   _skupin_, _تابڵۆی_, _דאָמיניק, _sportfog, 
   {{0xd1f70321,0x52920319,0x97930092,0x02ca014b}},	//   _zemljišč, _garaje_, _ネット注文特典_, _maddam_, 
   {{0x7a0b000a,0x1ec4036c,0x2b7203b4,0x00000000}},	//   _tamatuma_, _amantaon, _chiremba_, --, 
   {{0x82ca01aa,0x59d90076,0xf290012c,0x0278012c}},	//   _ownday_, _diretame, _madawa_, _ishirini_, 
   {{0xdc7c01a7,0x8a8200ef,0xf3f8023e,0xae9e00f2}},	//   _naisten_, _سمندرګي_, _ledung_, _praktizē, 
   {{0x0b30033e,0x7ab90045,0xae3f0297,0xd2a20019}},	//   _кесов_, _количине_, _апаларыб, _гулжигит_, 
   {{0xcc03000c,0xb25a0013,0xf2b40096,0xd99d0347}},	//   _añandúvo_, _kimlar_, _amaco_, _beskerme, 
   {{0xa9c503af,0x23f70152,0x03f8024c,0x3e8b001a}},	//   _logement, _маенда_, _anormali_, _بسنتی_, 
   {{0x32d80130,0x05f00121,0x43000467,0xf84102a4}},	//   _anjela_, _desempeñ, _sikanyi_, _patribus_, 
   {{0xd2fe0578,0x32ff0238,0x2275014f,0x9ad00188}},	//   _nplhaib_, _kopinor_, _власништ, _эпидемол, 
   {{0xb29001e8,0xd2ca00fc,0x9af10116,0x43a30247}},	//   _graas_, _londi_, _glorifye, _budpar_, 
   {{0xb24904d6,0xfe560238,0x9c1e023e,0x5c7c0116}},	//   _formy_, _частині_, _anjasmor, _faisten_, 
   {{0x4387024b,0x28970397,0x62910129,0xe2fe03db}},	//   _cuerpo_, _мавзӯи_, _imaatu_, _bashiye_, 
   {{0x924a0056,0xa264015b,0xd58e0472,0xc22403d2}},	//   _eksodusi_, _soular_, _dituangk, _arbitráž, 
   {{0x4d810255,0xf3540258,0x72ec0371,0x809c0156}},	// [b7c0] _निस्तब्ध, _alteast_, _strisce_, _הפֿקרות_, 
   {{0x3e3d040b,0x8290007b,0x87940148,0x22ca0134}},	//   _marangap, _draas_, _fortassi, _yonda_, 
   {{0x826c002e,0x03ea0399,0xb2f90113,0x7d82015e}},	//   _nekog_, _alotu_, _ستارز_, _aprenent_, 
   {{0x104602a8,0xf35f0381,0xc38601eb,0xc29000fe}},	//   _corrigen, _ainemay_, _chorey_, _isaaa_, 
   {{0x42eb0191,0x0db3034f,0x6a500087,0x9378021e}},	//   _brinner_, _amancina, _kanetana_, _likadan_, 
   {{0x531601ba,0xc7d101b4,0x7f4f025b,0xeaf00127}},	//   _brizan_, _verskaff, _tinganes_, _digreize, 
   {{0xc2ac018b,0x92c00365,0x00000000,0x00000000}},	//   _sunteţi_, _mladíci_, --, --, 
   {{0x62900467,0xa29001a9,0xa2020182,0x00000000}},	//   _braas_, _criar_, _iupita_, --, 
   {{0x529003eb,0x8b030061,0x9290046b,0xb20c01b3}},	//   _praat_, _근본적으로_, _gadawa_, _апостолі, 
   {{0xc2020196,0x54d601b8,0x92ca00c4,0xce1d0343}},	//   _kupita_, _धोबिया_, _ponda_, _lungsura, 
   {{0xcd7d0036,0xb2900008,0x00000000,0x00000000}},	//   _أجزاء_, _triar_, --, --, 
   {{0xac680016,0x1290026a,0x1399012a,0xf2ca0224}},	//   _fabriko_, _kalawa_, _eksperci_, _vonda_, 
   {{0x7d220251,0x20d9036c,0xefd700ff,0x00000000}},	//   _canshuur, _boromail, _babilado, --, 
   {{0x32fe032e,0x3b99004d,0x95c9021b,0xf30f04e6}},	//   _aptayiri_, _八德國小等_, _дереву_, _haharap_, 
   {{0x32d20158,0xc3ca0092,0x69b5001b,0x00000000}},	//   _schowek_, _楽天あんしん取引_, _gandoota_, --, 
   {{0x826c005b,0xec5701c2,0x78bf0334,0x62920116}},	//   _lemons_, _vostede_, _kamenyed, _markies_, 
   {{0x041301e0,0x5603019a,0x73ea01e5,0x47f90078}},	// [b7d0] _کاندا_, _shelteri, _looto_, _тенисер_, 
   {{0x4387053e,0x38f704e5,0x39f202a3,0xa9f703ac}},	//   _klarte_, _akwatidd, _waarheid, _mulianya_, 
   {{0x335c0205,0xfc6500bb,0x03ea0191,0x00fb02f7}},	//   _мираброр_, _tiltott_, _blott_, _itshokel, 
   {{0xf75600bc,0x24d60255,0xe3f80133,0x92780318}},	//   _شهوانی_, _देखिहऽ_, _buduni_, _molitoni_, 
   {{0xf373003e,0x22900049,0xbfe10299,0xf05b0061}},	//   _abelweng_, _malava_, _ئەييۇب_, _verschon, 
   {{0x5c0f0169,0x33ea0333,0x12900318,0x74a60012}},	//   _কাব্যগ্র, _flots_, _lalava_, _पेहानउढ्, 
   {{0x627f0048,0x94710402,0x4e260076,0x93fa0396}},	//   _mwangu_, _hantaran_, _регионот_, _atturi_, 
   {{0x32010342,0xc290026a,0x2e0a0361,0x62a00009}},	//   _betiz_, _falawa_, _статьей_, _svojemu_, 
   {{0x1f240405,0x146f0096,0xab2502ea,0x9b3a01b5}},	//   _ляшко_, _bagerayo_, _следим_, _milburns, 
   {{0x231201e4,0x029002c2,0x329200ed,0x6291034c}},	//   _प्रमाणपत, _draak_, _garahe_, _buyau_, 
   {{0x3c6502f3,0xf6360687,0xfc93019f,0x453602fc}},	//   _viktigt_, _abanyami, _چالاڪ_, _abanyamy, 
   {{0x15a203a8,0x86e702cf,0x00000000,0x00000000}},	//   _তালিকালৈ_, _газдата_, --, --, 
   {{0x427f0103,0x70d8026c,0x69e304ac,0xa8c6026d}},	//   _kwangu_, _您的瀏覽器不支援, _собака_, _jogurtov, 
   {{0x8f5d025f,0x72cf011e,0x82910279,0xcc65017c}},	//   _basangan, _segonde_, _tuyau_, _filtret_, 
   {{0xf2ca02c5,0x926503db,0x2af800f3,0x120001ad}},	//   _hondo_, _endodeni_, _engenams, _madig_, 
   {{0x22ca005b,0x7b030187,0xb9d305b9,0x7e46055f}},	//   _kondo_, _потече_, _dilemmae, _flört_, 
   {{0x730c0488,0x8cbd0040,0xfa100340,0x27570156}},	// [b7e0] _pamatus_, _repaired_, _maharaia_, _רײַבט_, 
   {{0x885a0291,0x52900044,0xf3ea03b2,0xb2ca0170}},	//   _معناها_, _asian_, _blots_, _dondo_, 
   {{0x329002c2,0x44a0018c,0xc4ac006c,0x00000000}},	//   _wraak_, _menselij, _akuyinto_, --, 
   {{0x9975001d,0xb2900074,0x78e0006c,0x32b4015f}},	//   _abonname, _ladata_, _abasesiv, _bancio_, 
   {{0x0d400044,0x3224041c,0x33c60087,0xc7580139}},	//   _ממשיכים_, _binkat_, _emovheni_, _सिन्धवः_, 
   {{0x338601ad,0x624d01eb,0x186d0639,0x83160004}},	//   _loiret_, _рҟынӡа_, _membesar_, _kuizin_, 
   {{0x849d0024,0xf4d70046,0x674302c9,0x485c0222}},	//   _ভক্তি_, _батасын_, _жертфело, _naturels_, 
   {{0xb43300d1,0xf3580184,0xa9cf00ab,0xd9ec05ca}},	//   _সূচিত_, _akugire_, _manomita_, _grandeza_, 
   {{0xcbb8018d,0xe4ac01a4,0x42b40392,0x8eed0009}},	//   _ይገርመና_, _babandak, _imich_, _cekarček_, 
   {{0x1fe80542,0xd29203f1,0x82a60155,0x66ba0011}},	//   _विवाहित_, _zbrane_, _sambon_, _aliraany, 
   {{0xa3a90271,0x4e5900ff,0xd36902c2,0x00000000}},	//   _elevene_, _שילדערונ, _soggens_, --, 
   {{0x51870309,0xf141025b,0xb1e601c9,0x517e0126}},	//   _islahatl, _patursso, _केतरी_, _фарби_, 
   {{0x16b502cb,0xd975011d,0x959c02c3,0xfc08006c}},	//   _osnovnoj_, _seriozit, _tabletom_, _amatilos, 
   {{0x320003dd,0x5e470193,0x637f0223,0x52d902fe}},	//   _dalin_, _narapida, _nolakoa_, _awongwe_, 
   {{0x59a50085,0xdd680061,0xd224019a,0xf27e02fd}},	//   _daukania_, _중구에바란다_, _dinkit_, _leinne_, 
   {{0x1966002b,0xf4d700e6,0x32000357,0x224e00e6}},	//   _অদ্ভূত_, _您所在位置_, _qalia_, _市机关事务局_, 
   {{0x60170164,0x12b100b4,0x00000000,0x00000000}},	// [b7f0] _майкиси_, _caldura_, --, --, 
   {{0xce570181,0x518b00ba,0xe2a3001b,0xf31600ac}},	//   _brocante_, _سکۆتله_, _dabaluuf_, _tribini_, 
   {{0x72000082,0xc9e600b5,0x8d8f00ed,0x22cf05b3}},	//   _halin_, _авидеоцк, _capoeira, _gegoede_, 
   {{0x32a6030b,0xf2900082,0x4a520087,0x5b750220}},	//   _ababi_, _lalata_, _balekela_, _terrazza_, 
   {{0x0ff10522,0x4e3504e7,0x4c6103d5,0x021a0128}},	//   _नियुक्ति_, _objavova, _spurned_, _дармондо, 
   {{0x02900184,0x35890385,0x9f330080,0x82fb0053}},	//   _bihayi_, _psorijaz, _amerliga, _syuhada_, 
   {{0xa3210440,0x329003d8,0x4f05027a,0xd2000544}},	//   _iguye_, _nemamo_, _mišković_, _malio_, 
   {{0x02e00104,0x52000224,0x42b40212,0x72ca0433}},	//   _abanaso_, _falin_, _procul_, _pondo_, 
   {{0x620001c5,0x1a52032d,0x9c470185,0x4364001a}},	//   _galin_, _balehela_, _бармады_, _موسمِ_, 
   {{0x57af03f3,0xfc570191,0x02900265,0x031901de}},	//   _verdedig, _kostade_, _fraai_, _سيماس_, 
   {{0xb20000bc,0x5484041b,0xc51c02d8,0x1a140231}},	//   _jadid_, _chatterj, _तोरणा_, _concesse, 
   {{0x527e00fd,0xd2ec002a,0xf380031c,0x837a0449}},	//   _beinne_, _kuziere_, _entró_, _dosadan_, 
   {{0xf2a603b3,0x72000251,0x40990040,0x604600bb}},	//   _tamben_, _xalin_, _בחיוך_, _لگارہے_, 
   {{0x52000403,0xc2ca03b4,0x72ca018d,0xe4910017}},	//   _valin_, _tendai_, _ግብረስጋ_, _partnerů_, 
   {{0xf22400d9,0xe94801cd,0xc6ba0080,0xb3cc01a3}},	//   _vinkit_, _abalokot, _alianaqi, _بينيءَ_, 
   {{0x23870288,0x807403dd,0x927e031a,0xa29f00be}},	//   _hoarse_, _percakto, _feinne_, _كتەرىبىز, 
  
   {{0xf4720410,0xe290029c,0x49dd0076,0x92f000b9}},	// [b800] _kgwerano_, _kalata_, _болестит, _वगेरे_, 
   {{0x1f330087,0x29da0420,0x65f204d8,0x597600e2}},	//   _eportuga, _sorocaba_, _marmarsi, _meinimme, 
   {{0xe4b2013c,0xb02a00be,0xd2a70259,0xa2900295}},	//   _halları_, _حانتىنگت, _mobbet_, _matatahi_, 
   {{0x93ea00b3,0x7a8101f7,0x0a7300c7,0x248700a4}},	//   _floty_, _garnison_, _ялкын_, _лагерге_, 
   {{0x2200002c,0x02000251,0xc5fb022d,0x88410173}},	//   _balio_, _qalin_, _vincerà_, _ventanas_, 
   {{0xd2ca011b,0x34b2013c,0x0db60326,0x7b1902f7}},	//   _pondu_, _malları_, _akandima, _dipapats, 
   {{0x22ca04b1,0x53ea0009,0x2c52004d,0x17f70486}},	//   _vondt_, _enote_, _caetera_, _गुरूङ्सं, 
   {{0x320004d7,0x0200026b,0x621502b6,0x13ea01d1}},	//   _talin_, _nadie_, _انگليانى, _roots_, 
   {{0xe38700d4,0xdc69005b,0x5caa02d8,0x33460176}},	//   _soarte_, _atsushi_, _मिश्रणाच, _mandens_, 
   {{0x010c0238,0xe30500f4,0x3fcf01c0,0xd32002af}},	//   _листопад_, _romanek_, _alkiblar_, _camye_, 
   {{0x998e002c,0xb93f0139,0x6e02014b,0x6aef03d5}},	//   _харин_, _bhumiput, _tandabba, _beholden_, 
   {{0x220003f6,0x9e1c0253,0xbfbc01db,0xc86f02cf}},	//   _kuhina_, _sungiusa, _تيگىزەيى, _passeios_, 
   {{0x23ff079b,0x8e27023e,0xe2760521,0x528b02c3}},	//   _imizamo_, _perfilma, _çrregull, _odhalili_, 
   {{0x41f10147,0x7a4a0042,0x30d70126,0xb23101af}},	//   _اقادەميا, _perfeita_, _жителя_, _agamdan_, 
   {{0x620000ea,0xec150335,0x097e0080,0x4e0200de}},	//   _valio_, _सुस्निग्, _ferierne, _جنجالونو_, 
   {{0x8401036c,0x92000288,0x33ea021c,0xc2000010}},	//   _nanombok, _ameise_, _ploty_, _ashisa_, 
   {{0xc3200454,0x805800ff,0x32b500ed,0x352a0272}},	// [b810] _bamye_, _געצעלט_, _coccus_, _amasonko_, 
   {{0x1ead03de,0x445a0321,0x40d701f6,0x5ad40241}},	//   _abathile_, _povezavo_, _স্বাক্ষৰ_, _bittimse, 
   {{0x697500a4,0xf2da02ff,0x64ef0037,0xe9210161}},	//   _granolle, _anreta_, _በታሪካዊ_, _объемов_, 
   {{0xbb520112,0xd6530568,0x32000169,0x2161004d}},	//   _diadakan_, _kalkstei, _salio_, _哈哈哈哈哈_, 
   {{0xe11701d8,0xbeca00ee,0xbeb60066,0xcd7600de}},	//   _srikanth_, _биологий, _системд_, _سرينا_, 
   {{0x183b0409,0x8ec3037c,0xa20002f6,0x6e5d034c}},	//   _こんにちは_, _printcon, _lalim_, _avtobusı, 
   {{0x713700f0,0xfc310318,0x00000000,0x00000000}},	//   _siedmich_, _ngangalu_, --, --, 
   {{0x19c00066,0x7200019f,0xa3b502cb,0x02780087}},	//   _errespet, _walio_, _provela_, _jikiyani_, 
   {{0xbd370397,0x33200440,0x1a8c0152,0xcb2d0150}},	//   _abangane_, _yamye_, _yubileen_, _nambawan_, 
   {{0x960a00aa,0xf23c03d5,0xf1450153,0x529302a1}},	//   _algonqui, _sawmill_, _の水に対する溶解, _parkeer_, 
   {{0x41d402b6,0x115f00c5,0xb9f70227,0x2200019b}},	//   _ارمانداي, _超级玛莉无违章参, _kulitnya_, _ralio_, 
   {{0x13440175,0xabaa0059,0x4a9c0272,0xf11e0041}},	//   _entegre_, _прекален, _annyamba_, _шәыҷкәын, 
   {{0x2257026f,0x1f3101ea,0x02f0035d,0xb2e60288}},	//   _ءاررەت_, _energiya, _pakovanj, _iyongin_, 
   {{0x0991032e,0xfe3700dc,0x52900107,0x552b0297}},	//   _pachacha_, _faaagata, _akhab_, _dinendäg, 
   {{0xf94602f9,0xdf5c0338,0x87c70013,0x1b1f0707}},	//   _biblegat, _estatuts_, _нариги_, _batashob, 
   {{0x8d9b014a,0x946d020a,0x725b047d,0xf196009d}},	//   _hangulat_, _бармайды_, _wieler_, _studentë_, 
   {{0xe2d404a8,0xf85f0008,0x03ac018a,0x820001fc}},	// [b820] _studij_, _redactar_, _carped_, _salid_, 
   {{0x575900e4,0xf9560074,0x99ec03ee,0x520000d2}},	//   _निर्यात_, _студенто, _princeza_, _palid_, 
   {{0x03e102ef,0x8200018c,0x73f002e0,0x713a0153}},	//   _deklinez, _balie_, _kelelong_, _伝統工芸品手組紐_, 
   {{0x4edd018d,0x16c20032,0x4c290010,0xea080061}},	//   _ንየሓንስን_, _energhiy, _batsakas, _건강보조식품_, 
   {{0x5b5c01e6,0xf6d70190,0x22a60331,0xd4190060}},	//   _jedinečn, _garagauw, _kamban_, _небары_, 
   {{0xb20003ab,0xcb340014,0x22ec0074,0xd3ec0074}},	//   _mikiny_, _parakohs, _esittely_, _esitteli_, 
   {{0x82640062,0x53790163,0xa20000b4,0xf280027b}},	//   _antlhe_, _zavarja_, _talie_, _bāhyam_, 
   {{0x5303000a,0xd379024c,0x8ea1018b,0x1da701a6}},	//   _tamanut_, _bavarja_, _aferente_, _mororeka, 
   {{0x18e60244,0x6c6f005b,0xf8100302,0x419401d5}},	//   _минути_, _hverken_, _видеоӣ_, _چھپائے_, 
   {{0xc3ac018b,0x72000082,0xc8ad00cb,0xd372012e}},	//   _dispus_, _dalib_, _боҳашама, _adhatod_, 
   {{0x123a0076,0x929101d5,0x4a1902ba,0x2ceb02d5}},	//   _навистин, _کمپلیکس_, _amabhola_, _पाठमूलक_, 
   {{0x0ab10435,0x3c4200bc,0x034400d8,0x8c7600ab}},	//   _prošlog_, _جنابعالی_, _aiceste_, _tearimi_, 
   {{0x0d320159,0x92a600a0,0x12da00a4,0x4a9e03ec}},	//   _борсук_, _bamban_, _enrera_, _rezistos, 
   {{0x73ea00bd,0xf48b0040,0x19390235,0xb35700dd}},	//   _sooth_, _abnormal_, _श्रीमच्छ, _chredir_, 
   {{0x5f6a0118,0xe27a0102,0x72fb0184,0xce1b0381}},	//   _ababaman, _visiwani_, _dushoka_, _angedcha, 
   {{0x6386019a,0xb6dc00f0,0x8db90033,0x8a930251}},	//   _thorny_, _soubizni, _bunifica, _gelinays, 
   {{0xbfa00227,0xb3f7045e,0xd97601b5,0x120201b7}},	// [b830] _sebentar_, _храните_, _etiholwe, _arpita_, 
   {{0x5eb900cf,0x7c1002ac,0xd292035e,0x703f00c5}},	//   _suffixes_, _الغطاء_, _metaka_, _restrein, 
   {{0x08da0168,0xde9402fc,0x96460274,0xd9f30090}},	//   _storting, _nyamagan, _bankanum_, _akurumid, 
   {{0xd86002fd,0xaa17023b,0x4b7100ff,0x327f009b}},	//   _bugalair_, _mahamaha_, _alkonfor, _cagney_, 
   {{0xe484027b,0xd6d402b1,0x5c2a0047,0xf7430132}},	//   _रूपाणि_, _fasahohi, _rempliss, _bevándor, 
   {{0xed8603e8,0x5daf0043,0x5f0502d3,0x72d90251}},	//   _vrednost_, _abandiba, _compatív, _dibeda_, 
   {{0xd37301cc,0xa40801db,0x34f80036,0xe0ec0196}},	//   _namaste_, _растайты, _siombail_, _asanatul, 
   {{0xe43a017d,0x725b007f,0x061700c5,0x98410187}},	//   _相棒探しから_, _anelir_, _modalité, _centenas_, 
   {{0x0e3300d1,0xe01803bf,0x565300b4,0xea170068}},	//   _লাইটৰ_, _барыласа, _analiză_, _bahalaha_, 
   {{0xa2cb02c3,0x928c0086,0xa9f9020f,0xbf2602d0}},	//   _predaj_, _الامت_, _angamase, _conteena, 
   {{0x103a035e,0xc27e0415,0xdd8802f7,0x3f5f02af}},	//   _poteškoć, _meinst_, _botennye_, _barashon, 
   {{0xc0de018d,0xa9f600f0,0xa24a0046,0x237a016a}},	//   _መቃልስተይ_, _farár_, _ritmes_, _bizanco_, 
   {{0xf14f0074,0xb31d03c3,0x00000000,0x00000000}},	//   _lestadio, _borcima_, --, --, 
   {{0xf3550403,0xafb3020f,0x31d7006c,0x4b88021e}},	//   _tsofina_, _شپيګل_, _равнак_, _motioner, 
   {{0x66b60151,0x225705f6,0xffc300e3,0x1e760297}},	//   _skirmish, _jostedal, _chkiller_, _эритрея_, 
   {{0x5d87002e,0x53ea00ab,0xafaa022b,0x185d0170}},	//   _međunaro, _pooti_, _almennur_, _amalakhu, 
   {{0xcc9e0047,0x32900172,0x9fe00318,0x00000000}},	// [b840] _新农村建设_, _bihali_, _fusimalo, --, 
   {{0xe3a200bc,0x49880059,0xb64f02ff,0x00000000}},	//   _ngapa_, _местата_, _fecheuni, --, 
   {{0xb2ca005a,0xdf4a0119,0x3573014d,0x00000000}},	//   _jondi_, _naapekta, _hundesch, --, 
   {{0x02d30115,0xc0d301a4,0xc20c02c0,0x62e504d7}},	//   _perosak_, _bapostol, _кратката_, _blindra_, 
   {{0xe30c0402,0x4c4c0238,0xeed00235,0x6845030d}},	//   _pelapis_, _водопост, _आभीक्ष्ण, _dollarad, 
   {{0x83400478,0x3a25026b,0x3c57017d,0xf4e500e6}},	//   _recenta_, _conciert, _kostede_, _总帖数图例_, 
   {{0xfece0633,0x23940034,0x6a0c02ac,0xa3f9018b}},	//   _encyclop, _sviss_, _سترونج_, _sigura_, 
   {{0x0e390057,0x985d0334,0x694f0012,0x825b0109}},	//   _kebangsa, _amalikhu, _गुमसइला_, _lezley_, 
   {{0xebcf0261,0xe4b5027f,0x127e0224,0x5387013d}},	//   _אוטומאטי, _birandik, _beinst_, _aserto_, 
   {{0x1ac803a2,0x55dd0553,0x55c904ec,0xcffb015e}},	//   _इज़राइल_, _hokejový, _gafatish, _داستاندا, 
   {{0xbc7c0005,0xcba20052,0xbed902ff,0x62290122}},	//   _maissen_, _निरुत्सा, _anbilans_, _alaming_, 
   {{0x72290212,0x627e03e0,0x22d900f9,0x5e5f0126}},	//   _blaming_, _weinst_, _mugezi_, _специфік, 
   {{0xec4e01f4,0xc29700ec,0x00000000,0x00000000}},	//   _امانی_, _motiną_, --, --, 
   {{0xe2f202ba,0xa2000304,0x671b006d,0x0986038c}},	//   _abagxeki_, _halia_, _спарт_, _fizička_, 
   {{0x0c660185,0x59370148,0xb85e0041,0x0941004b}},	//   _шарының_, _然後就上來發表說, _кәбометр_, _falliset, 
   {{0x7edc018d,0xad710193,0x43f401c8,0x02d900ee}},	//   _ንምምዕባል_, _धनत्रयोद, _odstup_, _dozena_, 
   {{0x06ea0057,0x8b0d0268,0x37e704d7,0x00000000}},	// [b850] _ተግባሮች_, _anipulat, _enganveg, --, 
   {{0x12ca0312,0x00000000,0x00000000,0x00000000}},	//   _pondi_, --, --, --, 
   {{0xb9e10109,0x22b4005b,0xfffd0013,0x00000000}},	//   _धरौटी_, _bancho_, _каршилик_, --, 
   {{0x52250172,0x1e930154,0x920001ef,0x29b200cd}},	//   _abakan_, _медикулу, _galia_, _buddisse, 
   {{0xdff00510,0x1200014d,0x3d1b0350,0xf0ff0153}},	//   _четко_, _gehirn_, _የመረጣቸውን_, _ウォレット_, 
   {{0x320000dc,0x120000d2,0x9850008c,0xeaad0061}},	//   _aalia_, _sadia_, _secundas_, _尋找類似結果_, 
   {{0x4e8a0025,0xca9d02ff,0xb7400235,0x8a700092}},	//   _भारतस्य_, _achidyos, _anyonyag, _nagasawa_, 
   {{0x1386033c,0x72b405ab,0x8d8600d0,0x00000000}},	//   _ladron_, _gancho_, _эритри_, --, 
   {{0x9e39018d,0xa386026d,0x6200019b,0x7c50012c}},	//   _ብርጋዴር_, _akordy_, _dalia_, _علاقائي_, 
   {{0xeaef0061,0x7c0400ce,0x0f2601b9,0xb4840024}},	//   _담당공무원_, _konstri_, _kovenenn, _austersj, 
   {{0x6d1000b4,0xa941045a,0x95750035,0x563e018b}},	//   _сервичий_, _opererer_, _bertörke, _sprijini, 
   {{0x237c0230,0x6dd70241,0xbc2002b4,0xadfe0299}},	//   _bayante_, _dukkanaa, _ikhoramu_, _سەيىد_, 
   {{0x6a500403,0x1c3103f5,0xc5a700b6,0x50930145}},	//   _manerana_, _anunciou_, _morootom_, _tabletės_, 
   {{0xf2000054,0xc436018d,0x00000000,0x00000000}},	//   _dadin_, _መንግስትኣብ_, --, --, 
   {{0x04cb007e,0xd2b40220,0xcea10305,0x46c901de}},	//   _जीवितं_, _lancio_, _vakraste_, _қиналамы, 
   {{0x09650173,0xf7c7018b,0x692401eb,0xa2ca0111}},	//   _অদ্ভুত_, _машиний_, _авокалис, _mondu_, 
   {{0x72910278,0x31ff0057,0x4d2d0122,0xc9f701dd}},	// [b860] _arqam_, _islamiah_, _buginese_, _bakabate, 
   {{0xe2970175,0x4230073d,0x873802b6,0xee350249}},	//   _frekant_, _thujsi_, _салеметс, _longluka, 
   {{0x32000082,0xa4af00ee,0xe9e00007,0xee960276}},	//   _hadin_, _durangok, _kosokola_, _خىلىت_, 
   {{0x83870101,0x33ea011c,0x9d2b0040,0xd2000251}},	//   _moarte_, _bootu_, _ולשתף_, _badin_, 
   {{0xe38700de,0x43580268,0x629001bc,0x00000000}},	//   _amarhe_, _aivenay_, _lilkens_, --, 
   {{0x3ae503cd,0x031700ac,0x73ea0582,0x904000bc}},	//   _अय्यूब_, _prazan_, _vootu_, _شیروانی_, 
   {{0x92000403,0x63460197,0x67b60103,0xadc50145}},	//   _madio_, _tandans_, _agorumbi, _popieria, 
   {{0x120006c2,0x0b63008d,0x52240074,0x11eb00e6}},	//   _fadin_, _кескинла, _linkit_, _墨西哥诡异的干尸, 
   {{0xd7b404a8,0x02fc0212,0x220002b1,0x18470276}},	//   _vlastiti, _similes_, _gadin_, _хаталиқ_, 
   {{0x6d9b0030,0x06280476,0x00000000,0x00000000}},	//   _fotorada, _asingazi, --, --, 
   {{0xb33d04dc,0x7dab0288,0xed860326,0x62e002a0}},	//   _میران_, _emenenga, _anyevere_, _iwenumo_, 
   {{0x95bb0016,0x0e5201cc,0xe3ea0052,0x8b67034e}},	//   _צוקונפֿט_, _asmadbha, _fantazii_, _colectan_, 
   {{0xa2fc0083,0x88410075,0xa86a017a,0x91e60255}},	//   _miniers_, _vallistu, _abanomfu, _कपारे_, 
   {{0x1387011d,0x120000d5,0xfae901b5,0xb7c00192}},	//   _foarte_, _vadin_, _ayitheme, _시작했습니다_, 
   {{0x220000bd,0xc31600da,0xd6460331,0x02000095}},	//   _wadin_, _чензурау_, _bankunum_, _dadio_, 
   {{0x7c6f0265,0x116901a7,0x4f42017f,0x78640143}},	//   _sterren_, _знаешь_, _aseroria, _смешните_, 
   {{0xe00700a4,0x757200c4,0xcb74010f,0xe2fb018a}},	// [b870] _курманжа, _بارٽل_, _andukuba_, _fechgyn_, 
   {{0x49d90125,0x4340020d,0x62d80265,0xfda20080}},	//   _баштутан, _ruberwa_, _adhese_, _atungaqa, 
   {{0xa150019e,0x3d380297,0x73070305,0x02ed0528}},	//   _экзамену_, _armiäneñ_, _tilbygg_, _leanabh_, 
   {{0x9e5304e2,0x1ccb00ba,0x4b6402ef,0x586302da}},	//   _mencipta, _چراخان_, _keretyen_, _вокали_, 
   {{0xc2000390,0x02730147,0xa9c104df,0xde4e02ba}},	//   _qadin_, _ايگولەك_, _derdinde, _кайди_, 
   {{0xb089001a,0xdc7301da,0x953a008d,0xe44a00ba}},	//   _گروپوں_, _mungesë_, _yuritish, _ستۆیه_, 
   {{0xd2c70288,0xcd250190,0x7f2e0397,0x928100f2}},	//   _implore_, _einsperr, _кибла_, _kopsavil, 
   {{0x44130160,0x62d90699,0x00000000,0x00000000}},	//   _trosoban_, _mugeni_, --, --, 
   {{0xef280107,0x63cf0274,0xb2f4047d,0x5776028b}},	//   _isargara, _svavar_, _laanger_, _машьына_, 
   {{0x595901f0,0x5b1300b2,0x2a5c01b5,0x138902c5}},	//   _bogoroge, _banameen_, _hitekela_, _bolyeno_, 
   {{0xac5204c3,0x56f70157,0xba4f0147,0x95160162}},	//   _denthan_, _सौभाग्यश, _اڭىبىزدى_, _тартидиғ, 
   {{0x803700c5,0x942d02eb,0xbaf501ef,0x9a0e023b}},	//   _在这种情况下_, _гөрөөчни, _pademons, _punawele, 
   {{0xac3d0372,0x78a3015e,0x6f130217,0x262700ef}},	//   _tachwedd_, _تىسكىندە, _panthera, _نارامه_, 
   {{0xa3f90292,0xbcaa0193,0x55830040,0x0c700165}},	//   _enguma_, _माध्यमाच, _ביזפורטל_, _veirumu_, 
   {{0x12490054,0x679703b9,0x8e0d00c4,0x59240156}},	//   _girma_, _matthapi, _uendesha, _קרייצצוג, 
   {{0x46d204aa,0xe9fc0108,0xe290000f,0x184e000d}},	//   _debamaki, _pamarent, _cihaz_, _autopesu, 
   {{0x52900450,0x958b00f5,0x421201a6,0x02920310}},	// [b880] _traap_, _аталара_, _etehi_, _lasair_, 
   {{0x82b40144,0x6aa8005b,0x48590076,0x995901fb}},	//   _amach_, _henholds, _resolvid, _resolvit, 
   {{0xdbd2017d,0x80c102f0,0xa95000ca,0xb2c80206}},	//   _コレクション_, _bahlisel, _fecondat, _pozorne_, 
   {{0x515c0187,0xb573004b,0x92d902e4,0xb2900264}},	//   _купам_, _алтынбай_, _inbena_, _nadara_, 
   {{0x14860193,0xb9d80311,0xff2703d4,0x93f405e6}},	//   _बिचारी_, _እንትንኡ_, _задатка_, _gestap_, 
   {{0xca7801e9,0xd8dc02cf,0x45720022,0xfa0e0060}},	//   _bagagapa_, _русин_, _төйәккә_, _айрылады_, 
   {{0x020e048a,0x02fe0412,0xa2000222,0xe28800a2}},	//   _қалай_, _kuthiwe_, _remise_, _baharini_, 
   {{0x9a9b0249,0x7ebf0151,0x788300e6,0x00000000}},	//   _holimpas, _charmane_, _省级粮食行政管理, --, 
   {{0x529001ec,0xcccd0156,0x32ba024e,0xa2a703d5}},	//   _balata_, _גבֿיר_, _bendovi_, _bobbee_, 
   {{0x6290022d,0x038600fd,0x4c760139,0x424900c7}},	//   _calata_, _coirce_, _मुख्यः_, _birmi_, 
   {{0xb63a0037,0x54930297,0xba0905fb,0x6eb40455}},	//   _የሚሸጠው_, _finansçı, _padavina_, _facettes_, 
   {{0xbc6f0486,0xb14e0010,0x434c008b,0x92ed0138}},	//   _ostrava_, _angedlul, _beresil_, _sünnet_, 
   {{0x0c36017d,0x72900054,0x61730213,0x6359026f}},	//   _この質問の閲覧数_, _talata_, _точках_, _تاسۇستىن, 
   {{0x75e20024,0x62d8007b,0x2d1a0056,0xb9920033}},	//   _নিৰপেক্ষ_, _behoves_, _актёри_, _bacharia_, 
   {{0x82900097,0x09340334,0xd3a205f2,0xb2320047}},	//   _kadara_, _adamupat, _igape_, _sommeil_, 
   {{0x3fbe0388,0x62f5017e,0xf2c5058b,0x6a130120}},	//   _collezio, _radikoj_, _uvelike_, _sehadayt, 
   {{0xfae101e8,0x28c70460,0x2da30109,0x00000000}},	// [b890] _dailosan_, _बायपास_, _kulturou_, --, 
   {{0xb2490138,0xa3000227,0xcf6d036b,0x00000000}},	//   _yirmi_, _diwajah_, _соросоид, --, 
   {{0x59d801c6,0xd7b601bb,0x44fb01c9,0x9fad02b6}},	//   _earegale, _başladyl, _करवावल_, _جۋانداي_, 
   {{0xc35e0087,0x03f8005b,0x92fd002e,0x6226038a}},	//   _elifazi_, _takuya_, _snagom_, _atskam_, 
   {{0x19aa01cd,0x48ea0062,0x32f700aa,0x6c7402aa}},	//   _чолиш_, _norsiqng, _masilak_, _korunku_, 
   {{0x5c6c016d,0xd15a0092,0x72ee0318,0x67730053}},	//   _муратбек_, _あいさつ掲示板_, _itaniti_, _भाषाविचा, 
   {{0x534403b3,0x5dc402a6,0xfec70128,0x6b9b0439}},	//   _integre_, _bachelot_, _сиймоси_, _muphaker, 
   {{0xd23000a1,0x99db016f,0xcddd00ff,0xd9df002b}},	//   _tiamana_, _foretake, _מבֿטל_, _বিনুনির_, 
   {{0xcea101e1,0xabea00c4,0x338700d4,0x725b0127}},	//   _bakreste_, _اعظميٰ_, _boarst_, _bublik_, 
   {{0x224902e7,0x72120177,0xdb9a027f,0x00000000}},	//   _pirmi_, _kuehe_, _ndahiger, --, 
   {{0x63f80085,0x1ae400d1,0x7e9f059c,0x19f00018}},	//   _muduki_, _চুপাৰী_, _vermutun, _vakurabu, 
   {{0x1bf60185,0x1a5d0142,0x0804019c,0x629006a8}},	//   _картны_, _bhrukuṭī, _oníró_, _talasa_, 
   {{0x3c6003ea,0xb3f801a4,0xda2b0037,0x2c880319}},	//   _lettres_, _bakufa_, _መኳንንት_, _clientid_, 
   {{0x93ea0074,0x4f83009c,0xdd230191,0x0a970290}},	//   _kiitos_, _auccacun, _enlighet_, _affirmes, 
   {{0xf695029f,0xab730210,0x7064025c,0xc8600061}},	//   _prezentá, _akaramba_, _forschun, _건축건설재난_, 
   {{0x1f0d038e,0x2941057c,0x986d02a3,0x2e5000b9}},	//   _संस्कृती_, _jubilæum, _dreigend, _kekaguma, 
   {{0xc346022f,0x02900701,0x42000416,0x149902d8}},	// [b8a0] _vandens_, _akham_, _radie_, _didasark, 
   {{0x89630148,0x403e0272,0xb084009a,0x42d00009}},	//   _詳細物品與交易資, _abatayin, _نظیفه_, _navodil_, 
   {{0x559300e4,0x3a7b0025,0x17070088,0xae09005c}},	//   _कर्मियों_, _animittā_, _تارماعىن, _amadolla, 
   {{0x50f6016e,0xb56e00c5,0x12900082,0xea0703b5}},	//   _kullanıl, _江苏省南京市浦口, _lahadi_, _bahannya_, 
   {{0xfe570515,0x32d901c2,0xc2ef0184,0xc7b7014f}},	//   _lanciate_, _chantre_, _buhinga_, _насиље_, 
   {{0x13d400c7,0xf2da0076,0x81e80468,0xece50094}},	//   _mirası_, _direta_, _angoovim, _قانىشەر_, 
   {{0xb511034a,0xd2900079,0xf66103f1,0x529002ce}},	//   _entroido_, _padara_, _lepidlá_, _salasa_, 
   {{0x44490072,0x5e5a0061,0xaee70128,0x4f5c007e}},	//   _monjenak, _지금까지의_, _салавот_, _braahman, 
   {{0xae530035,0x53da03e9,0x334003ed,0x6e49028d}},	//   _формасы_, _атасына_, _receita_, _egzamine_, 
   {{0x834a0418,0x83f804ad,0xc45e01d7,0x00000000}},	//   _videosu_, _khouta_, _clavazin_, --, 
   {{0xdb8a0039,0x08180013,0x4c5c042c,0xf3f804bd}},	//   _торон_, _тартибид, _vratimo_, _pulumi_, 
   {{0x2480010d,0xf26c032d,0xfc63004b,0x12b000c1}},	//   _संभाजी_, _bokoe_, _borutho_, _अंधुक_, 
   {{0xe65a016d,0xa30c0189,0xf290003a,0x3efa02c0}},	//   _парахотл, _tuvalet_, _sadaqa_, _босанско_, 
   {{0x7126002e,0x9b1c02f3,0x3a8b019d,0x65650177}},	//   _ubijenih_, _attacken_, _banyamat, _фырхаҵар, 
   {{0xc0f6016e,0xee2a0188,0x068d0012,0x00000000}},	//   _kullanıc, _amagunda, _पेटाह_, --, 
   {{0x8e4603fe,0x8d190270,0x0a580244,0x52ef00dc}},	//   _шрифтом_, _prendite_, _profonda_, _pikiina_, 
   {{0x908a0246,0x1a170348,0x9ab302bb,0x88df0028}},	// [b8b0] _джоба_, _asabenga_, _kliknies, _bangiyad, 
   {{0x39f701f5,0x620003db,0x186b01a3,0x00000000}},	//   _sulitnya_, _eshiya_, _سينڊل_, --, 
   {{0x4a4b00a9,0xe3420220,0x7f1f03df,0x41890153}},	//   _perezida_, _albergo_, _tenesten, _琉球キングスカテ, 
   {{0x928a01c1,0x52250551,0x62f1018b,0x7a07038e}},	//   _पर्यटणस्, _acakan_, _pariuri_, _mahalnya_, 
   {{0xb0f600c7,0x42d801c5,0xa29000ad,0x2afe019c}},	//   _qullanıl, _arkeen_, _kalapa_, _baloogun_, 
   {{0x545c0092,0xe2950280,0xd41c0622,0x8b620297}},	//   _このコンテンツの, _थ्योरी_, _ingitrak, _атаманың_, 
   {{0xc2900391,0x22000203,0x1e530034,0x3f5d00a8}},	//   _malapa_, _radic_, _hamborga, _cadavers_, 
   {{0x2ea800a7,0x12fd035b,0xe0d20040,0x669a0309}},	//   _sobretot_, _odgovarj, _טירטורים_, _kafirlər, 
   {{0xf2ca05e6,0xc33d02ec,0xc3560226,0xe724019b}},	//   _einde_, _بیچار_, _adafika_, _глухая_, 
   {{0x02ca005b,0x92ef002f,0xd60b011a,0x003d00be}},	//   _finde_, _allilla_, _velociti, _detencio, 
   {{0x82ca00a9,0xb3e802ee,0x99120255,0x3608004b}},	//   _ninde_, _dettalji_, _kodaniku, _кавалерҙ, 
   {{0x1f2d02a4,0xeadf020e,0x6906023c,0x0487027b}},	//   _profiten, _behelets, _نایجریا_, _तस्थुः_, 
   {{0xa3790256,0xf2490107,0x3f3f01fc,0x3b0a00e6}},	//   _izraisa_, _airmu_, _maasayya, _国务院有关交通运, 
   {{0xe61e037c,0x4c12036f,0x22910278,0xfe1200e6}},	//   _skinsosi, _propisi_, _isyak_, _年林业贴息贷款项, 
   {{0xa46b0367,0xa2ef03dd,0x7b88045e,0x00000000}},	//   _recebido_, _stafit_, _гайковер, --, 
   {{0x0c9c0262,0x23330239,0x0c720055,0xe78a007f}},	//   _мунда_, _karamū_, _acerbes_, _dirwasgi, 
   {{0xb200022d,0x6d5a02ea,0x128702bf,0x627f01a4}},	// [b8c0] _madia_, _можех_, _inikete_, _otangu_, 
   {{0x5c7d007f,0x67d90148,0x1b9a0008,0x624a0028}},	//   _braslun_, _propriam_, _botifarr, _furmey_, 
   {{0xb3420033,0x2d4a00ef,0xf3790260,0x93f8004a}},	//   _suveran_, _آسانه_, _adianto_, _bakuda_, 
   {{0xa85e0013,0x96ba00a4,0x17b10243,0xc82e04e5}},	//   _آتالارین, _robatori, _kallacak_, _ayambadd, 
   {{0x1c2300ff,0xfd1c012a,0x2a6f0081,0x02da01c5}},	//   _קראון_, _सरेआम_, _unglings, _horena_, 
   {{0x75c30397,0xd21204f2,0x80490246,0xa2da020e}},	//   _кодекси_, _bumha_, _периода_, _borena_, 
   {{0x126c01a7,0xe0690238,0x8f0b00e6,0x00000000}},	//   _alkoi_, _народила, _提高执法水平_, --, 
   {{0x62a00014,0x6d6002ef,0xebdd0211,0xe0570403}},	//   _serbet_, _detantè_, _спальня_, _fanakato, 
   {{0x45a60036,0x6f210270,0x22000095,0x1b9f0373}},	//   _ياقلبي_, _appuncta, _dadia_, _bonhumor, 
   {{0x928702f0,0x73a2012c,0xc30204df,0x9f69008c}},	//   _anikete_, _ngapi_, _aýamak_, _attatgas_, 
   {{0x921d01f9,0x2c1c034c,0x13ea0009,0x34560223}},	//   _akakhoni_, _tabaklar, _enota_, _дутахаар, 
   {{0x32a202b4,0x4a1102d9,0x3bf50368,0xa394024a}},	//   _alabavim, _lapataia_, _следила_, _iwasi_, 
   {{0x78dc0244,0xffa40203,0xb0f90439,0xb2b30204}},	//   _кутии_, _asserter_, _makhehel, _старатьс, 
   {{0x34680093,0x6d860020,0xbed70145,0x526602a4}},	//   _планируе, _anavatau_, _верша_, _columell, 
   {{0x31bd0314,0x526c017f,0xefae0361,0xba310076}},	//   _китте_, _alcoa_, _банко_, _неофициј, 
   {{0xcc740106,0xe3940362,0x203702c6,0x00000000}},	//   _वैष्णो_, _mwasi_, _festiman, --, 
   {{0xa2bb00e4,0x37b6014d,0x6b73013a,0xd3020012}},	// [b8d0] _numerze_, _anregung, _chilimcc, _पिहिकारा_, 
   {{0x3aef000e,0x2a1600cf,0x9f8902fe,0xe16b00bb}},	//   _distinie, _bubbulee, _تحقیقاتي_, _نفسےاتی_, 
   {{0xde6a0162,0x89e3002f,0xa3ea038f,0x83f40046}},	//   _болди_, _achituta_, _santez_, _mestra_, 
   {{0x83fd02e8,0x73f40274,0xc2d800ea,0xa2d9017e}},	//   _nenzira_, _lestra_, _manery_, _mizera_, 
   {{0x0ea104f0,0x9ee702fa,0x5c1d0040,0xea960061}},	//   _bakriste_, _imikoran, _לשעון_, _메이플스토리_, 
   {{0xc26602fa,0x0c6100a9,0x85420193,0xc37303f3}},	//   _koloneli_, _ngorane_, _walhasil_, _lokatie_, 
   {{0x43cf0302,0x23fb0040,0xdec40041,0x8916004d}},	//   _умумии_, _הפצצה_, _ҩнымаҭәе, _有十多年的經驗_, 
   {{0x426c0183,0x721503db,0x89f9042a,0x4aef046f}},	//   _kokoa_, _abahloli_, _angakase, _allerles, 
   {{0x22830102,0xd3960054,0x65190207,0x42d9003f}},	//   _wayahudi_, _asusun_, _اوباهيي_, _davegh_, 
   {{0x3a070177,0xdc1901b2,0xbc4c0371,0x5aea041a}},	//   _капелла_, _frenzied_, _фотоволт, _ivaretat, 
   {{0xada5047b,0xf3f40244,0xc293029e,0x6e360009}},	//   _torført_, _destra_, _belknap_, _obratova, 
   {{0xb394025a,0xc5b10040,0x5b0c01dd,0x67ef016d}},	//   _rwasa_, _לדואר_, _abashome, _тәстә_, 
   {{0x0ecd018d,0x7d370056,0xe42c0086,0x0c7d01d9}},	//   _ብምውህሃድ_, _abancane_, _کارستانی_, _faassen_, 
   {{0x29d0015e,0x457800ff,0x269c00dd,0xc08b0088}},	//   _сезим_, _מעקענזי_, _chreithi, _апасынан_, 
   {{0xcc3a017d,0xe28700ce,0xff6402b1,0xa15400c1}},	//   _ジトップへ_, _lalinny_, _falasdin, _गल्लीत_, 
   {{0x7b0503d8,0x6a170182,0xb26c010b,0x3bfa0139}},	//   _opasnost, _kahakaha_, _bokoa_, _प्रकाशये, 
   {{0xd5890092,0x03e70042,0xb9d400f8,0xa35d00f4}},	// [b8e0] _相互リンク集_, _pátio_, _মৃত্যুঞ্, _galetez_, 
   {{0xe77b0046,0x5d1902ea,0x32cb0241,0x11550268}},	//   _психикал, _сортирай_, _damooza_, _anterspl, 
   {{0x425b0630,0x2eee0452,0xfe290188,0x00000000}},	//   _influa_, _praktekn, _решаҳои_, --, 
   {{0xf38a00d9,0x0c6002f6,0x3a1702c2,0x5b640169}},	//   _уверены_, _sinuman_, _dubbelbe, _yucatán_, 
   {{0x7ee103f5,0xc4450276,0xabb9038a,0x9bd30435}},	//   _musicais_, _турмушиғ, _chakranc, _raspušte, 
   {{0x065700e6,0x00000000,0x00000000,0x00000000}},	//   _千元做老板_, --, --, --, 
   {{0x3b780107,0x65ff035b,0x9da10326,0x669200f5}},	//   _dikonfir, _zemljevi, _vakristu_, _сызарлар_, 
   {{0xada103b4,0xa7580025,0x32d2014e,0xf12d0510}},	//   _wakristu_, _मुक्तिः_, _делатнос, _латта_, 
   {{0xd7140052,0x0db800c5,0xdf3f0139,0x0f1001f4}},	//   _अनुत्तीर, _acceptés_, _विविधैः_, _ulamolar_, 
   {{0xa15d0188,0x2a1103d9,0x334103f8,0x575803a9}},	//   _улуғзода_, _antanime, _mamevqo_, _гражданĕ, 
   {{0xd92700b5,0x5290024c,0x13f402a4,0xa3f803ef}},	//   _amnistía_, _onlajn_, _vestra_, _makuza_, 
   {{0xaea60303,0x23f400d4,0x58f702f6,0xdb7403fc}},	//   _abelanan, _westra_, _makakatu, _forliksr, 
   {{0x464a0307,0x2c2402a9,0x1c6101e8,0x2e7000e4}},	//   _abanezif, _laisvę_, _dugukan_, _गान्ड_, 
   {{0x9958029f,0xdc0e0303,0x64b90092,0x74a80037}},	//   _posledne, _diapole_, _早稲田大学_, _የላከኝን_, 
   {{0x586302af,0x72ec016d,0x957100ff,0x6c610129}},	//   _equateur_, _ақивәтни_, _אוניװערס, _iberibe_, 
   {{0x2c920102,0xf2920125,0x941c038e,0xa37a02d8}},	//   _خصوصيت_, _dashary_, _angsuran_, _kisaran_, 
   {{0xcad001e0,0x42fd0116,0xdb01018b,0x4f6f02fd}},	// [b8f0] _کردین_, _chairms_, _amesteca_, _fulangas_, 
   {{0x65560276,0x851c014e,0x18de0092,0x544f0040}},	//   _алмашмақ, _гостопри, _ダイヤモンド_, _המחמד_, 
   {{0x1c60003b,0x62e80132,0xed030425,0xe26c00f2}},	//   _kabusha_, _sándor_, _رگشاد_, _dekori_, 
   {{0xe6e1006c,0xd2010034,0x05660024,0x44e10139}},	//   _ababeshi, _kleift_, _লতাশিল_, _समित्पाण, 
   {{0x12e602f3,0xbdb203d4,0xc30c019a,0xf212000c}},	//   _planera_, _смедерев, _carbomb_, _erehe_, 
   {{0xe5390141,0x78270094,0x9c50040f,0xe04e00e9}},	//   _buzilish, _باساقا_, _sekundę_, _tionaliz_, 
   {{0x33a902be,0xc99a034e,0x327f0117,0x40b400d9}},	//   _maaaring_, _arijtint, _plenim_, _olympial, 
   {{0xafd90375,0x13af057c,0xed150294,0xf17700a6}},	//   _akanacho, _næppe_, _europlat_, _sikazwel, 
   {{0x92010004,0xf8d20092,0x920e0013,0x42190187}},	//   _natif_, _暇なときにでも_, _жадал_, _портокал_, 
   {{0x1764027b,0xebf702b6,0xb9690347,0x788604cf}},	//   _युञ्जीत_, _кимешек_, _skeidsre, _ngeholid, 
   {{0x1b8301d0,0xc200000f,0x5b970022,0x5bee00a6}},	//   _barnebar, _aylin_, _сатлама_, _edamasko_, 
   {{0xbc600165,0x0b2a0255,0x034300da,0x04930224}},	//   _bettter_, _दुर्गाशं, _accesul_, _barbatöf, 
   {{0xd49a010d,0xce1c0576,0xd2920016,0x2c050185}},	//   _ditawark, _ringkesa, _ripari_, _kontoras, 
   {{0xa200047d,0x9248035e,0xcc000528,0xab8f0132}},	//   _lydie_, _sajmu_, _chosgas_, _lapinfor, 
   {{0xbe110151,0x50e6002b,0x69c702d3,0x531a0304}},	//   _indelica, _নবজাতকের_, _масажа_, _sipitang_, 
   {{0xa31c01d9,0xac740373,0x441d010e,0x00000000}},	//   _tinchen_, _alkuris_, _banatero_, --, 
   {{0x4fa40058,0xa36e00e6,0xb5a502c2,0x13b30092}},	// [b900] _sprenger_, _règles_, _korintië, _光文社文庫_, 
   {{0x963702bb,0x4373003e,0x523b0076,0x426c016e}},	//   _reklamow, _abelleng_, _учебната_, _alkol_, 
   {{0xc8030142,0xaf6b0444,0x406f0037,0x2e470039}},	//   _प्रवृद्ध, _отказе_, _እንወጣለን_, _alkartea, 
   {{0x57870162,0xf5ce027e,0x8225047d,0x7e6d0143}},	//   _ساپاسى_, _фарму_, _engker_, _компроме, 
   {{0xd3f900c3,0x542a0037,0xcda6012c,0x75760050}},	//   _ligula_, _የቢዝነስ_, _باقاعدي_, _ngadamel_, 
   {{0x831900d6,0x154602ef,0xb2f4036d,0xd2d30242}},	//   _إيران_, _diskresy, _durness_, _aşığın_, 
   {{0x02c4039f,0x82830278,0x8c7e000b,0x92c703a4}},	//   _primers_, _eloknya_, _onesemo_, _bádum_, 
   {{0xd2f40151,0xee4901ad,0x00000000,0x00000000}},	//   _furness_, _nabariba, --, --, 
   {{0x627f02fa,0x7ead030a,0x57aa00be,0x1c9a0311}},	//   _afande_, _gardados_, _айлануус, _ንነብሱን_, 
   {{0x03eb0006,0xb2d604d3,0x80ff0092,0xcb7d046f}},	//   _diatas_, _poglaus_, _フィットネス_, _branduer, 
   {{0x1d6000c5,0x8dae0076,0x47c50224,0x2274013f}},	//   _澄城县人民政府网, _предвиди_, _bassalei, _georgaul, 
   {{0x5c670285,0x49c3028a,0xf7ee0010,0xb760005b}},	//   _inkunga_, _صاحبن_, _acwaning, _betydeli, 
   {{0x62d80176,0xd2ca0157,0x520100ed,0x82d9005b}},	//   _babolat_, _winda_, _latid_, _ezweb_, 
   {{0x66d2034f,0xacb70177,0x0b1e0192,0x329002a8}},	//   _achaneki, _драмоуп_, _campagne, _ahhar_, 
   {{0xa26a0397,0x123601af,0x6cd200aa,0x025a0117}},	//   _ejerusal, _seljuk_, _beckford_, _ipilim_, 
   {{0xfa890331,0x4ef100b9,0x52910062,0xc9da044a}},	//   _evropeis, _सिद्धिवि, _muyay_, _otondisa_, 
   {{0xe2e0021b,0x220101b9,0x1202034e,0x2d22031a}},	// [b910] _profiili_, _fatig_, _aspita_, _cuartaic, 
   {{0xd1e000da,0x95f00173,0xe4f0037b,0x2d93020f}},	//   _мэрар_, _disminui, _disminuy, _babemele_, 
   {{0x2b7800c5,0x2b25014a,0x00000000,0x00000000}},	//   _已解决问题_, _parkoló_, --, --, 
   {{0xc1110177,0xc2fc019a,0x6bbd0235,0x539401f0}},	//   _зыстатус_, _eesicht_, _bhasmanā_, _itisa_, 
   {{0xd19502ec,0xeaea0102,0x536902ca,0xe9c500f4}},	//   _یِوان_, _ukarabat, _goggins_, _engehent, 
   {{0xbeb601ee,0x5a9f002f,0xab1606ee,0xfe91014a}},	//   _системе_, _adjuntía_, _abaprofe, _kapitány, 
   {{0xcabc06bb,0xf291024c,0xe274009a,0x8eb301b2}},	//   _prevezde, _buqar_, _ayasilel, _artlessn, 
   {{0x785c026f,0xd3460212,0x5ba90066,0x02ef00a5}},	//   _ءمۇلايىم, _codders_, _лицензий, _kikiina_, 
   {{0x82560024,0xf96f033f,0xa8c70595,0x827e02ec}},	//   _দীক্ষা_, _hetikuot, _बाइपास_, _arintu_, 
   {{0x729001b5,0x93ea0040,0x77130137,0x9a7d0513}},	//   _hahani_, _knots_, _холдох_, _kuyalusa_, 
   {{0x26af048f,0xb2d9046d,0xc84c00df,0xba1500a9}},	//   _congolai, _anzela_, _certains_, _kimanuka_, 
   {{0x568c0157,0xda0b045d,0x2d090019,0xe394029e}},	//   _समभाव_, _oglasima_, _شاۋشەنىن, _diosez_, 
   {{0xd39401e1,0x313404a4,0x0b7e02cb,0x453c057b}},	//   _atisa_, _beadradh_, _prirodna_, _comprado_, 
   {{0xc9ca0354,0x71c402a7,0xb3f80082,0x75cb0464}},	//   _бинакарл, _eramaram, _jakuna_, _bihambay, 
   {{0x1a5c00be,0xea1e0164,0xb291036e,0xff3101ab}},	//   _بەگالىيە, _сифир_, _cuyay_, _paistava, 
   {{0x035e01f9,0x47d00348,0x00000000,0x00000000}},	//   _alifaki_, _bafugibw, --, --, 
   {{0x92fc013a,0x84f30361,0x87c803a4,0x00000000}},	// [b920] _besicht_, _боьлчи_, _innsavni, --, 
   {{0xf2d9030b,0xae3a038b,0x10ce0016,0xb20104b2}},	//   _mabega_, _merangsa, _supozebl, _batid_, 
   {{0xd9d20217,0xe9da044a,0x43460044,0xdae600d1}},	//   _infelice, _atondisa_, _folders_, _বিবাদৰ_, 
   {{0x93f8012c,0x2259005a,0x727c0176,0x66cc003a}},	//   _hakuna_, _bartlhol, _shingeki_, _senatini, 
   {{0x26e80285,0x72fc014d,0x5c00016a,0x2c0e0103}},	//   _mudasobw, _dinger_, _akompanu_, _atotaris, 
   {{0x61c103ea,0xfd4f023b,0x6346039f,0x33ea00f4}},	//   _cherchez_, _kinaunau_, _holders_, _dantek_, 
   {{0xf6e10331,0x2c09033f,0xc8f5010f,0x12ab02fd}},	//   _orsakað_, _emipola_, _якпалата, _leadaig_, 
   {{0x62ca02bc,0xee5400f0,0xd8860178,0x512d045b}},	//   _bindo_, _oblastia, _मुनीन्द्, _нафти_, 
   {{0x531b01bc,0x856a02c5,0xb28703c2,0x00000000}},	//   _kopiearj, _chevasik, _blasstey_, --, 
   {{0x129001a6,0xc37d001b,0x3aeb00d0,0x6c660347}},	//   _hapanihi_, _baqatee_, _студийн_, _goeters_, 
   {{0xa2900102,0xd3ea0230,0xd26904f9,0xa9f80125}},	//   _mahali_, _ekitab_, _soorunal, _bashlasa_, 
   {{0xfe1a05a2,0x6b65008a,0x32770371,0xa8b100cf}},	//   _प्रेमसुख_, _aneterea_, _мартениц, _gaaddidd, 
   {{0xa3f8030b,0x4eea00c4,0xd53c0061,0x12f102a6}},	//   _yakuna_, _اسٽور_, _문의하세요_, _attigni_, 
   {{0x68d80187,0xc3790288,0xf41303ce,0xcede0094}},	//   _секунда_, _eagadan_, _پازده_, _бодифлек, 
   {{0xa7f4069a,0xe35e004d,0x1a0b003c,0x52280274}},	//   _प्रकृती_, _本局位置圖_, _پرهزینه_, _rökum_, 
   {{0x130f02e7,0x62280540,0x87bd0258,0x0d93003b}},	//   _kalakip_, _sökum_, _meartali, _babekele_, 
   {{0x798f02fe,0x42240298,0x00000000,0x00000000}},	// [b930] _میلیارده_, _peeke_, --, --, 
   {{0xa2ca0420,0xd21301ec,0xe64c003b,0x22900102}},	//   _vindo_, _owahan_, _baphambi, _sahani_, 
   {{0xa74300ff,0x3f7c00e4,0x33a200fe,0x426c0086}},	//   _מאונט_, _निर्णयों_, _maipe_, _pokol_, 
   {{0xe26c016a,0x0d9f026f,0x23a2019c,0xc27e0156}},	//   _lokoj_, _اۋەجايى_, _laipe_, _atingu_, 
   {{0xad5b0041,0x663b0037,0x53aa02ff,0xa7bb02eb}},	//   _дрықәзбе, _ማሰልጠን_, _gouvene_, _akordeoi, 
   {{0xfb14045e,0x368b018d,0x9283020f,0x52f2047d}},	//   _избор_, _ገምጋምን_, _akusilul, _celinou_, 
   {{0x243b00be,0x09ef067e,0x62350203,0xf5f00244}},	//   _ايكۅلدۉك_, _atinaega_, _índistin_, _stamatti, 
   {{0x926c035d,0x2a1501b4,0x425f01e6,0x29670259}},	//   _tokom_, _israelie, _zastavil, _vikinget, 
   {{0x8292013c,0x43800064,0x327e03b2,0x42ba0095}},	//   _misirə_, _patró_, _ruined_, _diadepi_, 
   {{0x829100c7,0xd004060e,0x77f90125,0x9c6f01e6}},	//   _tuqay_, _मध्याह्न_, _индики_, _ostrova_, 
   {{0xb2ca0129,0x8a540148,0x9c770156,0x2c3c03d4}},	//   _windo_, _台北市復興北路_, _altrudi_, _предивну_, 
   {{0x62c8034a,0x78520147,0x929004d8,0x6c5c01d5}},	//   _recolle_, _dibuixos_, _ridaan_, _ponttal_, 
   {{0xa2900068,0xc4a20038,0xaf7d0022,0x71800040}},	//   _sidaan_, _basması_, _проектта_, _ונישואין_, 
   {{0xec9f045b,0x720000b3,0x00000000,0x00000000}},	//   _sparking_, _demine_, --, --, 
   {{0xefac004d,0x72da00ae,0x22d801c4,0x00000000}},	//   _所得稅法第十四條, _nirera_, _spoeg_, --, 
   {{0xf38601ac,0x835400a4,0xa94901db,0x448500bb}},	//   _foirne_, _cadenes_, _баратыны, _پروڈکٹس_, 
   {{0x42ca0105,0xf2900325,0xaf490247,0x120002a4}},	// [b940] _sondy_, _bahali_, _contoné_, _nemine_, 
   {{0x627b006e,0xb95b04b3,0x863902f8,0x7497033f}},	//   _alkumayl, _alvokade, _kaingahi, _matakauk, 
   {{0xfdbd0068,0x431802a2,0x825b04f2,0x50f1003c}},	//   _isticmaa, _pahinang_, _dielac_, _ملأعام_, 
   {{0x1e3a03b5,0xa27f006c,0xfb9a0151,0x02e6003c}},	//   _terangsa, _aganwe_, _antiyano_, _افخمی_, 
   {{0xd31700ac,0x02fd02f1,0xf153011d,0xe633020b}},	//   _zgazio_, _viagem_, _колежь_, _boenjini, 
   {{0xb27f0387,0xd3ea02e8,0xec3b0037,0x0dda0239}},	//   _afanye_, _inoti_, _በጥምቀት_, _akakoroa, 
   {{0x3f33002b,0x320601b3,0x94800193,0x72900053}},	//   _হৃদযন্ত্, _врешті_, _संताजी_, _rahadi_, 
   {{0xebb6012b,0x4f41012e,0x02ca011d,0x8d730213}},	//   _यात्रियो, _المحجوب_, _vinde_, _помнить_, 
   {{0x229203ea,0x12ca0347,0xc3ff01bc,0xc3ea0077}},	//   _essais_, _winde_, _keunstsk, _joktan_, 
   {{0x92c804cb,0xa3f80193,0x72d60390,0x43fa0281}},	//   _aproape_, _duluan_, _toplusu_, _attumi_, 
   {{0xffef02ef,0x4e390057,0x3a3e0350,0x4ecd040e}},	//   _edikasyo, _pergigia, _የተደነገገ_, _disiplan, 
   {{0x14df00bf,0xc0fb032e,0x82b500e1,0x00000000}},	//   _издатель, _churatań, _faccee_, --, 
   {{0x14a90220,0x9acb0080,0x00000000,0x00000000}},	//   _combinaz, _hammeken_, --, --, 
   {{0x33f806ee,0x1e5f0037,0xadad0291,0x0fd7005d}},	//   _nakuba_, _አግልግሎት_, _gcinnfea, _marikado, 
   {{0x53ea0099,0x337b007a,0xf34c003e,0x14ad0107}},	//   _anoti_, _dikawal_, _berenil_, _dekarbok, 
   {{0x79f1027b,0xf37901e5,0x00000000,0x00000000}},	//   _citrāyud, _yawaipa_, --, --, 
   {{0xd9450358,0xc202035b,0xd4c0005e,0x1043028a}},	// [b950] _itilizat, _opozoril, _كاتەككە_, _malumban, 
   {{0x495b0035,0x8c4700d1,0xf29001a7,0xc33b0170}},	//   _rezolyut, _অঙ্গটো_, _tilaan_, _asawakum, 
   {{0xf5270158,0x828d0320,0x00000000,0x00000000}},	//   _लुढ़का_, _chukela_, --, --, 
   {{0xf2d802c2,0xc59f0046,0xaec400cd,0x3cba0035}},	//   _spoed_, _informem_, _bagordas_, _inqilabq, 
   {{0xae7002a5,0x9c270475,0xd2290013,0x0b180137}},	//   _गार्ड_, _примере_, _замонбоб, _гээчийг_, 
   {{0x3394028e,0x86e100cb,0x71c4027f,0xb9fb042a}},	//   _bwasi_, _ababoshi, _aramuram, _bekaphat, 
   {{0xd0e30045,0x43b001d7,0x57ab0074,0xf34d00e6}},	//   _протесту_, _survegn_, _systeemi, _管理员回复_, 
   {{0x5a1600b8,0x3ae10481,0xe90a018d,0x02ca04a4}},	//   _uchanaka_, _afstande, _ክርስቶስውን_, _gundry_, 
   {{0x5c0e00f6,0xf2fd011e,0x92c3023c,0xb6160061}},	//   _nərgiz_, _similer_, _bahlobo_, _시사주간지_, 
   {{0x8e580057,0xf3f80105,0x82fd0045,0x87a40597}},	//   _ቃለምልልስ_, _jakuba_, _системом_, _дiагайта_, 
   {{0xb12b0037,0xa2e902ae,0xdc7f00c1,0x62000212}},	//   _የታየበት_, _štimca_, _persero_, _semine_, 
   {{0xb2f3047d,0x7bee017a,0x843b000d,0xc6280102}},	//   _gekippt_, _пасон_, _enamvähe, _kuripoti, 
   {{0x8d4202b2,0xae550052,0x53940172,0xa224004f}},	//   _інформац, _पूर्वप्र, _etise_, _beeki_, 
   {{0x629001fc,0x5c5901fc,0x7b8a0176,0x00000000}},	//   _sahabi_, _gintaah_, _motionsc, --, 
   {{0xc271000b,0x8ab500be,0xc49f0153,0xa6c20138}},	//   _tagitagi_, _дүлөй_, _北京五輪は_, _tahtası_, 
   {{0xbf540040,0xf2ae0305,0x5213018f,0x939401f0}},	//   _תאילנדי_, _utanpå_, _maghar_, _itise_, 
   {{0xc26e0046,0x8b0c012e,0x62d902e8,0x829200c0}},	// [b960] _ripoll_, _مادیت_, _aizeza_, _natawa_, 
   {{0xa290029c,0x326c007a,0x762801fa,0xe26c02fb}},	//   _wahabi_, _pokok_, _konivesi, _mokoi_, 
   {{0x2c9000ba,0x55f8048e,0xc52e0102,0xa5950316}},	//   _ئاقیبه_, _pedefomö, _huonyesh, _jarumtak, 
   {{0x138700d4,0x1c7503a2,0xc90a0126,0xe587049e}},	//   _soarge_, _र्फ्यू_, _намагати, _judikatú, 
   {{0x7975006f,0x49f602b2,0x8a1700a1,0x814101f0}},	//   _maendele, _причому_, _kapahaka_, _jesereel, 
   {{0x86d90178,0xdee80699,0xd96b00c5,0xd2c20583}},	//   _abruvañ_, _amakoran, _entièrem, _želela_, 
   {{0x944b045f,0x62ca01b0,0xdc1c01af,0x7dbe0144}},	//   _undersök, _gundah_, _abzallar, _inchompa, 
   {{0x994502c9,0xd8a0080f,0x23f30013,0x99660486}},	//   _utilizat, _अंकशास्त, _bartaraf_, _uspokoje, 
   {{0x76a30662,0xf8ca008d,0x139402b4,0x02d800f4}},	//   _steffani, _самолётл, _atise_, _arkean_, 
   {{0x72130039,0x2ec800ff,0xa29601a4,0x320000de}},	//   _цолмон_, _רעגולער_, _bankumu_, _bemile_, 
   {{0xfee601e8,0x3a09000a,0xa2ca03f8,0x6c860156}},	//   _machinin, _ammanert, _jundah_, _טשאלענדז, 
   {{0x9c1c0104,0x7bee00ae,0x4b0d006c,0xe7650285}},	//   _ungukris, _ashengur, _abashona_, _anezerew, 
   {{0xde3b0285,0xd2920217,0xdae9004d,0x822402f8}},	//   _burasira, _datava_, _台中市不限_, _peeki_, 
   {{0xa5c10235,0xb3f903c2,0x02010039,0x9c500028}},	//   _प्रियंवद, _engulf_, _zatia_, _tartiib_, 
   {{0x1d1303bd,0x35030291,0x1c730203,0xa2a5024a}},	//   _realtone_, _وارجو_, _sansara_, _oriowó_, 
   {{0x226c00f7,0xd0f5018b,0x8c29046f,0x43ea02a6}},	//   _lokon_, _optiunil, _fraihand_, _bioti_, 
   {{0xbdb8042a,0x5cd705be,0xb12600c4,0x5c0d0371}},	// [b970] _abengaka, _najtraže, _گهڙيال_, _lampade_, 
   {{0x2c940520,0x00000000,0x00000000,0x00000000}},	//   _aprendeu_, --, --, --, 
   {{0x3af2014d,0x5012031a,0x00000000,0x00000000}},	//   _angreife, _sawdocto, --, --, 
   {{0xd26c00d5,0x986a005d,0x42580211,0x62240107}},	//   _tokoa_, _аиталиан, _vantaall, _apokat_, 
   {{0xb396019b,0xf863053e,0x831a01bd,0x7b920178}},	//   _sausio_, _spennend, _небәрі_, _anenāpra, 
   {{0x92010245,0x1641023d,0xd9530046,0x74e6020a}},	//   _satia_, _втори_, _тыйын_, _сатулы_, 
   {{0xe3ea0229,0xa6ea020f,0xaf3800b9,0xa26c0243}},	//   _santak_, _akabasaf, _शारिरीक_, _dokon_, 
   {{0x02920079,0x2c57017d,0x33ea0255,0x37be03ef}},	//   _gatava_, _mistede_, _kiitis_, _bafunguw, 
   {{0x62ca0367,0xca850144,0x1c570418,0xa27100a5}},	//   _ainda_, _phinsean_, _listede_, _sagisagi_, 
   {{0x426c04bc,0x075900e6,0x00000000,0x00000000}},	//   _nokon_, _国务院国资委_, --, --, 
   {{0x72d900f3,0xddac0109,0x29e200a6,0xb7ca01df}},	//   _babeza_, _smetanou_, _راپيل_, _langwidg, 
   {{0xf2fc00bc,0xcc6001df,0x3cbd01af,0x52000259}},	//   _blogfa_, _kettles_, _artykmac, _byliv_, 
   {{0x8b1e017d,0x788901f2,0xbf2d01f2,0xd2d900cd}},	//   _kampagne, _диъамети, _хиялимда_, _anzena_, 
   {{0xb5240029,0x2a8501d2,0xb2ca003d,0x7e4f0020}},	//   _یفرۆشه_, _ahinatan_, _finda_, _aulavema, 
   {{0x52ca008e,0x2e52034d,0x27c70188,0x8201007b}},	//   _gindi_, _dijadika, _табиби_, _eatin_, 
   {{0x1027038f,0xac680171,0x6dbd0240,0x027e0306}},	//   _abadenno, _tportal_, _lagasere_, _atinku_, 
   {{0x120100c0,0xce36024e,0xf3790119,0x8e7f02fe}},	// [b980] _natin_, _obrazova, _cagayan_, _ملابرادر_, 
   {{0x62d900f3,0x8394015d,0x26670109,0x00000000}},	//   _babeya_, _kwasu_, _हाँस्य_, --, 
   {{0x4c7e06bb,0xad9300c4,0x3975012c,0x00000000}},	//   _ofisiel_, _ڀائيچاري_, _yaendele, --, 
   {{0x22ca006e,0x24e9018d,0xf2ee02cb,0x193102c6}},	//   _dindi_, _ምድስካል_, _brinuti_, _chempire, 
   {{0xaf240258,0x386103ed,0x00000000,0x00000000}},	//   _alderhan, _versões_, --, --, 
   {{0xf8dc006c,0xfb170090,0x226c0172,0x224a01c5}},	//   _шурик_, _achabats, _kokoo_, _furmay_, 
   {{0x120100ea,0x658f03db,0xb5620149,0x59da01e6}},	//   _matio_, _apheshey, _lọtara_, _expeduje, 
   {{0x72900099,0x9180017f,0x5249004f,0x39da0282}},	//   _achati_, _appasill, _garmi_, _pokepoke, 
   {{0x27580052,0x82ca0069,0x0c5301e8,0x53050086}},	//   _मुस्ताङ_, _zindi_, _anitiko_, _چوہان_, 
   {{0x72ca0069,0x0dea0010,0xc26c01d5,0x02a004b9}},	//   _yindi_, _agodliwe_, _alkot_, _merble_, 
   {{0x9c6803dc,0x56500047,0xe286012b,0x12ca0226}},	//   _sportal_, _胶南市教育体育局_, _pobierz_, _cindi_, 
   {{0xf3f4022f,0x73fc046d,0x7b66004a,0xa5e900d1}},	//   _turtas_, _shengedz, _andreewa_, _অধ্যায়ত_, 
   {{0x23a20049,0x6f460088,0x78fa01c0,0x03560318}},	//   _paipa_, _missatge_, _attahiru, _leafaka_, 
   {{0x675403b0,0x026c0117,0x7db30144,0x0544009a}},	//   _fornying, _lokol_, _malairte_, _aseyerik, 
   {{0x93b102b7,0xd27f026c,0x8a72024c,0x2aea0103}},	//   _waaqai_, _poenam_, _analġesi, _akaribat, 
   {{0x6c240013,0x6200011d,0x00000000,0x00000000}},	//   _muharrir, _ideile_, --, --, 
   {{0xa227002e,0xb5bd03f8,0x8643003b,0xeef3034c}},	// [b990] _građansk, _dasamlah, _benkonti, _агышы_, 
   {{0xcee40244,0x220103d5,0xe2f20479,0xe2ca00a2}},	//   _чувства_, _natio_, _régen_, _pindi_, 
   {{0x826c0082,0x71b80008,0xe58802c3,0x75620149}},	//   _rokon_, _valencià_, _tatransk, _họtara_, 
   {{0xc7070066,0x20fd0169,0xc92604fd,0x8f7802ac}},	//   _балетын_, _টেকস্পেট_, _संवेदनही, _ابوذيات_, 
   {{0x139d01cf,0x29b9018e,0xfb35020f,0x99fb0297}},	//   _proxime_, _khadziya_, _دپسرلي_, _айбулато, 
   {{0xec6f03d4,0xeff70156,0x3d9d0347,0x00000000}},	//   _istraga_, _ינגקדזשע, _altesame_, --, 
   {{0x0caf00de,0x12420178,0x4c6b0060,0x537902cd}},	//   _تماشې_, _ञिफला_, _әйткенме, _daganan_, 
   {{0xdf390278,0xaa4d0092,0x02ef03eb,0x7e8a020f}},	//   _dimulaka, _にあなたの意見を, _grafte_, _ګرمسېر_, 
   {{0x2c5103d8,0x0b9d0741,0x40f300be,0xa24201e4}},	//   _stotina_, _skrivepr, _عاشىقتىق_, _मोहनजोदड, 
   {{0x5201054e,0x9a0b006e,0x91e6015e,0x00000000}},	//   _ratin_, _finaasma_, _كىرگەندە, --, 
   {{0x093a018d,0x3795018a,0x47b40386,0x8e4e015c}},	//   _ኣባልነት_, _bartneri, _memenang, _amaschou_, 
   {{0x927f02fe,0xb2f302b4,0x92c8045b,0x00000000}},	//   _nganye_, _bekamati_, _naboene_, --, 
   {{0xfb33003e,0xee7701c9,0xdfc6004d,0x392100d9}},	//   _bomarxis, _कान्च_, _考試院研究發展委, _объемом_, 
   {{0x5249036e,0x82f201c8,0xefa10206,0x22820497}},	//   _warmi_, _jedinou_, _cyklisto, _alphagh_, 
   {{0xd2ca007e,0x126c0198,0x72880080,0x2db600dd}},	//   _bindv_, _lokom_, _glahder_, _lansiodd_, 
   {{0x72ca0062,0xf28f02a4,0x669f00bc,0x33200134}},	//   _mindu_, _turbotax_, _امامزاده_, _ayeye_, 
   {{0x27b403ac,0x358c01c1,0xfdad0372,0x02910062}},	// [b9a0] _kemenang, _dibersih, _carnedda, _luqay_, 
   {{0xc2010278,0x31fe0092,0x83a20102,0xf03f02af}},	//   _katil_, _ウィッシュリスト, _haipo_, _mukunden, 
   {{0x80150061,0xdd240274,0x205a014a,0x13f2009a}},	//   _현대중공업_, _símbréf_, _zivataro, _avulelek, 
   {{0x86f2014e,0xbe9b0073,0x42b2029b,0xdc310247}},	//   _некадашњ, _indurate_, _dendoon_, _bombawir, 
   {{0xc4c70483,0x714900ef,0xada5007f,0xdf28012e}},	//   _marcando_, _دزمري_, _bartiddu_, _bontatla, 
   {{0x975400a7,0xc230019f,0x32790034,0x799901bd}},	//   _polític_, _dhamana_, _viðmið_, _резенке_, 
   {{0x097600d6,0x06b802db,0x34d703d4,0xe2f40013}},	//   _ichirout, _hamamasi, _балкану_, _zingizni_, 
   {{0x6a450073,0xa6e10322,0xf5e10322,0xec520084}},	//   _crederea_, _ababashi, _ababashy, _mantuan_, 
   {{0x7e740060,0x6a0801ec,0x2b1c0010,0x5af60276}},	//   _күрес_, _تصفیه_, _angancab, _ساركوزى_, 
   {{0x02ca0039,0x24c702ea,0xddb90399,0x82ca00ad}},	//   _findu_, _carbonio_, _kaungaka, _tunduh_, 
   {{0xe26c0288,0x026c046d,0xa7b6007f,0x9cb80265}},	//   _bokot_, _sokou_, _gwarchei, _vanavond_, 
   {{0xf26c02ce,0x00000000,0x00000000,0x00000000}},	//   _cokot_, --, --, --, 
   {{0x253103de,0x97a5025e,0x246300e5,0xc4d6027b}},	//   _ezingaph, _bandalag, _вкусовит, _कानिचन_, 
   {{0x3c1c0125,0x64810287,0x126c012e,0xbc4b0037}},	//   _bazarlar, _भाषाको_, _fokos_, _ponteng_, 
   {{0x0f170434,0x3c0002ac,0x813900cf,0xa736003c}},	//   _ciudadan, _يخالف_, _baaddall, _کاهنده_, 
   {{0x92640044,0x2867027b,0x3eb4004d,0x45fa0258}},	//   _faults_, _निजघान_, _absentes_, _pingoruï, 
   {{0x88080223,0x5a130258,0x00000000,0x00000000}},	// [b9b0] _камержуу, _trochset, --, --, 
   {{0x327e01ac,0x237f02c8,0x00000000,0x00000000}},	//   _cfinke_, _vilaboa_, --, --, 
   {{0xc201011e,0x94d2009b,0x099e0056,0x29f900d0}},	//   _batie_, _тультраа_, _akukhona_, _erlijioa_, 
   {{0xaabb03c1,0x123f0257,0xf93900dc,0x6dab0107}},	//   _шведска_, _netversl, _maimoaga_, _bisnisip, 
   {{0xaf2e0191,0xf26d012b,0xdd6f0120,0xb2d80041}},	//   _regelbun, _widoku_, _nummatta, _ipgen_, 
   {{0xc2ca004f,0x93f40320,0xac7c04ea,0x2743008d}},	//   _bindu_, _darter_, _shisien_, _дуоси_, 
   {{0xe201007b,0x020203f3,0xa8050097,0x42d902f7}},	//   _tatie_, _fysiek_, _olímò_, _mabela_, 
   {{0x83f9002e,0xfb250188,0x02ca0168,0x22010242}},	//   _usput_, _муллои_, _vindu_, _katib_, 
   {{0x6d9a0264,0x12ca0122,0xe57804ca,0x40ed00d9}},	//   _antofaga, _windu_, _aculhenç, _проводов_, 
   {{0x7c720261,0xd64802f0,0x0a280396,0x00000000}},	//   _agordas_, _emsimetw, _imfietaħ_, --, 
   {{0xd3940648,0xd3f4029e,0x5af700b3,0x6abc0101}},	//   _utasa_, _harter_, _маневи_, _prevazut, 
   {{0xb37a023e,0x6a5e0095,0x031a007a,0x9b6104a4}},	//   _pisanan_, _زیارتگاه_, _dipinang_, _meterean_, 
   {{0xc9e50366,0x10a900e6,0x5eb7023c,0x437c011f}},	//   _флажок_, _固体废物污染环境, _سرتته_, _localpe_, 
   {{0x81b3023c,0x32ca04cc,0x92a0046c,0x747c006a}},	//   _ظاهره_, _yindu_, _herbst_, _manenjik, 
   {{0xb2d901fc,0x92700276,0x88020173,0x8b7702ac}},	//   _dabela_, _касапәт_, _automóvi, _واحترام_, 
   {{0xea14036f,0x7ad200e4,0xfc300003,0xd4ab0075}},	//   _podacima_, _बगीचे_, _benieuwd_, _almannak, 
   {{0x0c0a002f,0x8ba9011f,0x9ba800fa,0xd3f30132}},	// [b9c0] _amapula_, _dorksear, _anakngar, _عقلمندی_, 
   {{0xe2ef012f,0x60530092,0xb86802fe,0xa20206a0}},	//   _sünder_, _お願いします_, _ويليم_, _espiya_, 
   {{0x137a018a,0x21370092,0x545700d6,0xf31a010d}},	//   _allanol_, _本当にありがとう, _وعندي_, _cipinang_, 
   {{0x0c7000ce,0x5f1f01dd,0xd89501de,0x686701df}},	//   _retrouv_, _azatanga, _клубқа_, _indiveed, 
   {{0x83f90243,0x519b00b9,0xe2a70176,0x3bd60156}},	//   _macula_, _पर्यटकां, _bobbie_, _ובנעימה_, 
   {{0x22480286,0x06900092,0x8b4f00a9,0xcd0f0326}},	//   _atommo_, _商品の情報_, _kwemerer, _agumbuke_, 
   {{0x9e4403be,0x2ec30083,0xbaf800cb,0xd24903f1}},	//   _bakamufa, _arrivaus_, _amasabat, _okamih_, 
   {{0xe26d0375,0x4e980255,0x72900119,0x330f00e4}},	//   _elson_, _चाहतानी_, _dilain_, _szablon_, 
   {{0x8e9c005e,0x6f6b049d,0x6c1c004a,0x02900480}},	//   _بابۇر_, _abraços_, _gazaplar, _ekhay_, 
   {{0x321f013b,0x8e5500bc,0xb13c005a,0xd26c0084}},	//   _kamingaw_, _کونته_, _ngadchoh_, _cokor_, 
   {{0xb91900be,0x0a83018c,0xf3f9042c,0x6e360453}},	//   _اقىرەتتە_, _bedienen_, _racuna_, _obradova, 
   {{0x73870359,0xb673038a,0x52d80009,0xa1370153}},	//   _boarne_, _bandurri, _apoel_, _ノのエドヴァルド_, 
   {{0x92d901a4,0x0457019b,0xec1c0135,0x29d4008a}},	//   _babela_, _procentų_, _babaylar, _konetine, 
   {{0x5a840011,0x58f901dd,0x55e90325,0x34d701de}},	//   _abazadde, _bakagaru, _detallı_, _матаны_, 
   {{0xfc0301cb,0x1b1f0141,0x86a102ac,0x5c1c00f7}},	//   _nokuthab, _namangan_, _اليتيم_, _amastomb, 
   {{0x5bc20026,0x027b02bf,0x2f15022b,0xc7e60712}},	//   _크게보기를_, _athikili_, _brotsspa, _आथिर्क_, 
   {{0x0c2a03ab,0xee60026d,0xea190487,0x58500121}},	// [b9d0] _vlastnos, _shoproku_, _elucidat, _recordad, 
   {{0x122b0230,0x2291042c,0xadb706ba,0x00000000}},	//   _ilimine_, _krajeve_, _forskudd_, --, 
   {{0xda0602f7,0x5202019f,0xa56902d3,0x2edd0031}},	//   _baabelet, _kupima_, _археолош, _गुदगुल्य, 
   {{0x88cf02df,0x832e00f7,0x7f9c00c5,0x14b2013c}},	//   _ተጠናቋል_, _רומיים_, _县人民政府国土资, _malların_, 
   {{0xd2b20245,0x46db04c0,0x32cd02c2,0x8a01033a}},	//   _bhabriew_, _croatiaf, _benodig_, _ddebutta_, 
   {{0x1c0901e5,0x42e6002f,0xa3400026,0x59300152}},	//   _alepata_, _alanoca_, _rekenen_, _һәрчак_, 
   {{0x6c73047b,0xe2010326,0x8285033a,0x8f5700e6}},	//   _hansara_, _akwira_, _baltiċi_, _加强政府公共安全, 
   {{0x12c00066,0xfed900ce,0x61200079,0x22c00392}},	//   _ынхан_, _labilans_, _atmosfēr, _chalmac_, 
   {{0x5a710176,0xe26c019f,0x00000000,0x00000000}},	//   _sawasawa_, _rekodi_, --, --, 
   {{0x92ee019a,0x692004e5,0x72d600ac,0xf26c024f}},	//   _stifle_, _ahabwoku, _toplesu_, _sekodi_, 
   {{0x50ab015d,0x065201ab,0x635600f7,0xa0e40040}},	//   _elementy_, _ट्ेढ़_, _adresis_, _ואגוזים_, 
   {{0x73200467,0xbc51032e,0x72d805b3,0xbba10280}},	//   _ayeyi_, _mantapa_, _spoel_, _डम्फु_, 
   {{0xc0260066,0x89860206,0x17b7002b,0x878900d9}},	//   _малчдын_, _dobierka_, _ফাতেমা_, _методов_, 
   {{0xe201006f,0x95230009,0x3f3f033a,0xee2300b3}},	//   _hatia_, _pripravo_, _abbrevja, _темизлед, 
   {{0x73f601a4,0xd62f0223,0x906d0455,0x33ea01ac}},	//   _alalisak, _ипотекий, _composan, _bioth_, 
   {{0x5ac101ec,0xe4a200d9,0x4936028a,0x0b89018d}},	//   _آنقدر_, _концов_, _باشندا_, _ዝተጸውዑ_, 
   {{0x0d9c0220,0xa3220127,0x0dfc0025,0x239d024a}},	// [b9e0] _disoccup, _bouyeg_, _कार्यस्य, _sisanraj, 
   {{0x92900718,0xdd8d0210,0xe29002d8,0xe25b0040}},	//   _mahaki_, _adhonira, _pahami_, _nuclei_, 
   {{0xc71102d3,0x22f30181,0xa7b60308,0x73ea02df}},	//   _тестирањ, _cielパ_, _direnung, _lantak_, 
   {{0x627e023a,0x00000000,0x00000000,0x00000000}},	//   _zimnom_, --, --, --, 
   {{0x3a520041,0x1b0701c6,0x5696002b,0xdc2802e7}},	//   _ҕәҕәак_, _jongfrys, _ডাচবাংলা_, _konsyens, 
   {{0x2e2d02da,0xc2d5015e,0xeda801f2,0xe2e101ad}},	//   _imagensp, _laporta_, _ғәзәплик_, _gindayaw_, 
   {{0x857e0066,0xc1ab01d4,0xbc69005d,0x438c00d7}},	//   _kontakiz, _alementi_, _ipotapy_, _сулея_, 
   {{0x72900369,0x00000000,0x00000000,0x00000000}},	//   _kahaki_, --, --, --, 
   {{0x85f70193,0x22550369,0x8dbb0092,0xa3d9033a}},	//   _अतिथी_, _hālau_, _そうですね_, _sustanzi_, 
   {{0xf052033b,0x334802ea,0xd7d80810,0x00000000}},	//   _mangwalo, _docenti_, _ängstige, --, 
   {{0x48020661,0xc30e020e,0xaa5302eb,0xdee1002e}},	//   _automóve, _chabela_, _лхамсүрэ, _traženje_, 
   {{0x539d035e,0x72f20584,0x2fce0037,0xbf5e03b5}},	//   _dodavanj, _dedicou_, _አድርጐታል_, _sempurna, 
   {{0x92b502ab,0x62550369,0x8f760058,0x9060003c}},	//   _mmachi_, _lālau_, _tidabuks_, _وینتاچ_, 
   {{0x22d90085,0x9be702b9,0x49f801f6,0xf93e00e6}},	//   _dabeca_, _مریدی_, _sakshand, _液体石碳酸_, 
   {{0x76d60299,0x327101a6,0x39aa0223,0xf31d0059}},	//   _سالمان_, _angiangi_, _жонин_, _mancato_, 
   {{0x127d0037,0x4cac00da,0xc2c501fd,0xff66005c}},	//   _አደረሳችሁ_, _натурале_, _utilice_, _arabamen, 
   {{0x31ab0244,0xa6bd01c5,0x9a1701f0,0x8c610014}},	// [b9f0] _commenti_, _masuuliy, _bonatsha_, _siguron_, 
   {{0xd2b5002a,0xff2601aa,0xbc5c00c9,0xc212069f}},	//   _amachi_, _exercisa, _vietpro_, _brehu_, 
   {{0x32d4018d,0xe0d40204,0x00000000,0x00000000}},	//   _verdha_, _verohall, --, --, 
   {{0x0290030f,0x3e0d046b,0x0f250080,0x3a9d03c6}},	//   _tahaki_, _welediga, _aporatta, _motivaas, 
   {{0xdfee02bb,0x6d040235,0xc27e025b,0x82bc05e2}},	//   _कारावास_, _anatisṛṣ, _bringu_, _perdón_, 
   {{0xad0a03f2,0xedb20035,0x00000000,0x00000000}},	//   _маневрен, _интихарч, --, --, 
   {{0xc2ca0089,0xafe30158,0xe47402da,0xd952031a}},	//   _nindi_, _दीपकबापू_, _inserido_, _gaelicst, 
   {{0xd5a3009b,0x29980386,0x126c015d,0xa2fc0108}},	//   _prestatz, _menyambu, _pokoi_, _cingir_, 
   {{0x83f80277,0x62ca01b6,0xd394028d,0x1310045e}},	//   _makuha_, _hindi_, _atase_, _онези_, 
   {{0x203a0172,0x35b9031a,0x251f00d1,0x647e0061}},	//   _vietnamn, _camanach, _কওঁকচোন_, _네이션스컵_, 
   {{0xe63802fc,0xaa9602b2,0xe7f90064,0xc9dd0265}},	//   _abanyaki, _фаріон_, _начардыг, _satellie, 
   {{0x1177014c,0x5a5c0553,0x520003dd,0x93f80119}},	//   _zilandel, _povedala_, _femije_, _nakuha_, 
   {{0x73ea0149,0x09170041,0x1a03002b,0x628a00dc}},	//   _nhota_, _ықәдыргы, _জিহবা_, _tapatini_, 
   {{0x137400a7,0xbc670222,0xb13b003c,0x2e9c0299}},	//   _sensació_, _filtrer_, _فرحزاد_, _زاغۇن_, 
   {{0xcee7017f,0xd2cb01b0,0x0db7031a,0x9c52012c}},	//   _makkunan, _nyadar_, _broillea, _akatoka_, 
   {{0xd225023b,0xa2000569,0xdc5b0009,0x9f350144}},	//   _awakea_, _kemije_, _sestavi_, _teiripea, 
   {{0x862000dd,0x00000000,0x00000000,0x00000000}},	// [ba00] _chantori, --, --, --, 
   {{0x5e420209,0x62490211,0x3b1802ef,0x4f4403c6}},	//   _affaanut_, _harmi_, _debakman_, _frustrea, 
   {{0xd79a0064,0x204a0515,0xec2b0177,0xeaa001d9}},	//   _الاقسىتۇ, _confinio, _горловтә, _meckeren_, 
   {{0x247a0440,0x028d0468,0x5ec202f6,0x72fc022c}},	//   _ndagatuk, _ayikhgo_, _ahensyan, _blogna_, 
   {{0x3c1c034c,0x226c0028,0xbee4004d,0xb2490244}},	//   _abzarlar, _sokow_, _大學校院系所評鑑, _marmi_, 
   {{0xdfb30192,0xcc610108,0x93d6027c,0x03ac0130}},	//   _무단수집거부_, _karunya_, _beeteksi_, _dispis_, 
   {{0xb62e02c2,0x833600be,0xc6bb015e,0xb320019d}},	//   _kwartaal_, _تۉشۅندۉر, _айнанайы, _iyeyu_, 
   {{0xe98b00d6,0x13f40331,0xe2240286,0xfa7203b4}},	//   _modhanna_, _partar_, _edikan_, _aisaziva_, 
   {{0x5f430159,0x94760205,0x9201023b,0x17c3004a}},	//   _renginys_, _курашаёт, _siwila_, _dergunov, 
   {{0x9e430562,0x495300c8,0xe90a01b3,0x7882021c}},	//   _asubirwa, _музейына_, _штатах_, _zločiny_, 
   {{0x5c9004dc,0xb29000de,0x00000000,0x00000000}},	//   _لائیکه_, _mbhali_, --, --, 
   {{0x93ea02d9,0xfc06018b,0xc9ab0258,0x00000000}},	//   _kaotui_, _monstru_, _trijehoe, --, 
   {{0x6d920049,0xa3560272,0xf394000d,0xcc77041e}},	//   _palepale_, _agafuka_, _suisa_, _amurosi_, 
   {{0x3c610526,0x1c7e0176,0x9f3b023a,0xb194022d}},	//   _barunya_, _aaasato_, _nezrovna, _baccarel, 
   {{0xac3402ac,0x790d015c,0xe165020e,0xc68102a6}},	//   _مبالغ_, _relatiou, _этносыны, _apperiti, 
   {{0xa0780156,0x08f10498,0x56f204cf,0x09c6019d}},	//   _געצױגן_, _disponov, _enganikw, _choletsa_, 
   {{0xe2d40109,0xe4280156,0xa2910119,0x00000000}},	// [ba10] _ochoten_, _זעגלשיף_, _lipay_, --, 
   {{0x55d402ff,0x1698018e,0x00000000,0x00000000}},	//   _echantiy, _klawudiy, --, --, 
   {{0x8fee0486,0x17580244,0x00000000,0x00000000}},	//   _कायापलट_, _нигерийс, --, --, 
   {{0x937f02f6,0x15870349,0xdea003ad,0xbc5900fa}},	//   _kahanga_, _aperwork, _infurmat_, _duguang_, 
   {{0xdc6f013a,0x4fb002fe,0xdf150210,0x00000000}},	//   _suergen_, _bezobupo, _handitan, --, 
   {{0x98390057,0x0291018f,0x1055036c,0x4585044a}},	//   _አናውቅም_, _bipay_, _ambanivo, _amotiyak, 
   {{0xab510367,0x3c550122,0x3b7d01ff,0x56af0274}},	//   _carteira_, _گنجانده_, _finančnú_, _prótein_, 
   {{0xc3e902d3,0x93ea0144,0xc3f4018b,0x4c56008b}},	//   _reposiçã, _phota_, _martor_, _maxtume_, 
   {{0x427f033e,0x6f0f00c7,0x89740149,0x63ce0187}},	//   _arandu_, _биләп_, _sekstọs_, _ativar_, 
   {{0x329201c0,0x2bae045b,0x22d80013,0x00000000}},	//   _matasa_, _базового_, _jarohat_, --, 
   {{0x1c690241,0xe8eb0088,0xa481026f,0xbae500fa}},	//   _amtutti_, _ашкерелө, _كىرڭىزشى_, _burukrat, 
   {{0x9993009d,0xf26c00ce,0x38f7032d,0x16f205eb}},	//   _dashuria_, _bokou_, _ашкадар_, _anganikw, 
   {{0xb7d2016d,0x7c1d016e,0x4310007b,0x334d028e}},	//   _гумандар_, _zararlar, _batchie_, _peretim_, 
   {{0xd9410329,0x72da0137,0xdafa00ad,0xa3f4017c}},	//   _sekreter_, _direla_, _digunake, _kartor_, 
   {{0x9c1d013c,0x28f9005e,0x62f102ee,0x7942005b}},	//   _maraqlar, _خاككىرلا, _disinni_, _forlygte, 
   {{0xa0760497,0x53a20339,0x25fd0066,0xb180004a}},	//   _cripplin, _waapa_, _нямдорж_, _aksakall, 
   {{0x537f00a9,0x3213030f,0xf3a304b5,0xabde021b}},	// [ba20] _gahanga_, _aruhe_, _greppa_, _колебани, 
   {{0xf47b0654,0x1d810211,0x0b6f02aa,0x00000000}},	//   _dikerahk, _heilutta, _kachličk, --, 
   {{0x0ebd0179,0x55650425,0x453a03ec,0xac6200dc}},	//   _koinapen, _تێناپه_, _subhaneh, _maurise_, 
   {{0xd0df018d,0x83ff0362,0x32920200,0x41ba0062}},	//   _ቴለቪዥን_, _balongak, _natara_, _lammohdi_, 
   {{0x236000e3,0xc27e01c9,0x00000000,0x00000000}},	//   _attendej, _mainet_, --, --, 
   {{0x931501c2,0xce560453,0x62e9004d,0x6c1d0418}},	//   _allariz_, _zdravije_, _征求意見稿_, _yararlar, 
   {{0x537f00ab,0x9a1f00c5,0xe2ca03d0,0xd909000a}},	//   _wahanga_, _热门关键字_, _stolovi_, _ammartoq_, 
   {{0x02f101f1,0x7d3e0176,0x245e0061,0x22da0392}},	//   _misioni_, _cachette_, _여우주연상_, _shreap_, 
   {{0x22920200,0x3387023d,0x0c1203a5,0xd30a00e6}},	//   _matara_, _aperto_, _प्रसंगवश_, _处置的设施_, 
   {{0x1394022e,0x02c101e5,0x12920097,0x00000000}},	//   _brise_, _akilapa_, _latara_, --, 
   {{0xe3050457,0xc3470223,0xa9c1042d,0x000d03d1}},	//   _aamanuk_, _inkesta_, _akambana_, _nesaskaņ, 
   {{0x5ee202d5,0x93940499,0x4f2c00e2,0xdd100012}},	//   _रिक्शावा, _itasi_, _eigensin, _किछेड़मे_, 
   {{0xf2b604e8,0xefb50163,0xe2de02c9,0x238f003c}},	//   _nascut_, _خوشبو_, _провербе_, _asiyaga_, 
   {{0x59e801c9,0x2a730334,0xa39600d8,0x3394019e}},	//   _उतरववनी_, _ankapita_, _borsas_, _trise_, 
   {{0xd747023e,0xfecf0359,0x00000000,0x00000000}},	//   _panyunti, _ensyklop, --, --, 
   {{0xbe6c000c,0x18a2017d,0x237f00a1,0xae5100b0}},	//   _апатын_, _プラズマ処理装置_, _tahanga_, _qaranima, 
   {{0x139401eb,0x1af80704,0x72020239,0x43f90371}},	// [ba30] _guiso_, _baderoms, _kopiko_, _accusa_, 
   {{0x07a506e2,0xf394008d,0x3e1500d6,0xe3800437}},	//   _culturai, _otasi_, _تخصصات_, _herrer_, 
   {{0xc24c00bc,0xcc5b070c,0x821c033e,0xf2ea0203}},	//   _ميليون_, _testovi_, _fushá_, _nociono_, 
   {{0xcf2704e5,0xd3fa024f,0x3c6f025c,0xe9d100e2}},	//   _abatanna, _lutuki_, _sternen_, _hantlied, 
   {{0x1394000b,0x422402c2,0xfae5015e,0x5a180289}},	//   _atasi_, _reeks_, _perruque, _asapandu, 
   {{0x3db3006a,0x520f0309,0x8faf012d,0x7492009b}},	//   _malgache_, _rəisi_, _garovuro, _новшийн_, 
   {{0x32ee01ec,0x56b90051,0xcf2602a1,0x43dd0084}},	//   _asifat_, _pamatpri, _ongegron, _diawur_, 
   {{0xcc530387,0x04800109,0xa3c300cb,0x8292003d}},	//   _ibutara_, _नुहाउन_, _бошукӯҳ_, _catara_, 
   {{0x637a00e1,0x53cf025b,0x42da000e,0x5387016a}},	//   _aksasin_, _stavar_, _ansero_, _sperto_, 
   {{0xf39403ea,0x7f250066,0xc919039a,0x7894009a}},	//   _prise_, _oporreta, _tercampu, _سپانتا_, 
   {{0xbe0d008d,0x5ae4022b,0x4b1001e8,0x94880162}},	//   _زینتا_, _vestanst, _coagulas, _سوپاخۇن_, 
   {{0x7c1d030d,0x63a201e5,0x72d40421,0xd2da00a0}},	//   _saraylar, _eyipe_, _abholen_, _direba_, 
   {{0xc3a301df,0xbd270291,0x8c6f00fc,0x827f04fe}},	//   _keepin_, _بداخلها_, _dihutlh_, _francu_, 
   {{0xaa73021c,0x52a6005b,0xfea301f6,0xbb0105b5}},	//   _lokalita_, _weibo_, _sterkare_, _térmicas_, 
   {{0x9be80037,0x493100bc,0x0e380370,0x203702e0}},	//   _ይስማማል_, _ولایات_, _babadota, _kabelolo, 
   {{0x0819052c,0x9b270203,0x7b1a04e8,0x114205e0}},	//   _موحسین_, _infantes, _creacion_, _recupero, 
   {{0x6c1903ba,0x0c69003a,0x114f0382,0x00000000}},	// [ba40] _sappear_, _ashurov_, _ntleketl, --, 
   {{0xa86802fe,0x48b101bb,0xc2920095,0x72a604d1}},	//   _ليليه_, _garaşýar_, _watara_, _ceibe_, 
   {{0x726e0079,0x5805055a,0xa26c002e,0x62470012}},	//   _datoru_, _ocupados_, _nikog_, _खोललक_, 
   {{0x47b404f9,0xe2f10155,0xce7200c7,0xbb5e02b6}},	//   _inissisi, _lägre_, _солтан_, _арине_, 
   {{0xe11800e4,0x02cb003f,0x0951040f,0x79f90322}},	//   _प्रयोजनो, _munobha_, _dekoruot, _bakanare, 
   {{0x526c0140,0x26b40277,0x62c803c6,0x1e530408}},	//   _likod_, _anistisy, _oproppe_, _hanavaha, 
   {{0xf2ca018c,0x0344022d,0x87c30690,0x1c740080}},	//   _vindt_, _accende_, _persendi, _aperiuk_, 
   {{0x3887000c,0x6a7c01f0,0x4f060113,0x6d84018c}},	//   _хабарда_, _bosabata_, _لعلوم_, _geldende_, 
   {{0x33fa01fe,0x5be5034c,0xc5160187,0x090503f0}},	//   _butuki_, _akterlar, _прочита_, _asnalegu, 
   {{0x636500f2,0x8a0d01cd,0xf41302c0,0x771a01f4}},	//   _uzbrukum, _горбачёв, _солена_, _таваккал, 
   {{0x627f0055,0x824a03bf,0x367f026f,0x79090141}},	//   _quandu_, _barorisi_, _تۋسادى_, _кемалар_, 
   {{0x1ef10368,0x81b4011b,0x32d7014a,0xe34d0189}},	//   _остали_, _alimbisi_, _angolul_, _vereyim_, 
   {{0x53fa0340,0xa9590162,0xd6820255,0xfae4001e}},	//   _tutuki_, _бастурул, _कत्था_, _mahukunt, 
   {{0xe18a02f0,0x72d802e4,0x1da80132,0xdaf903f3}},	//   _alabatal, _abbonat_, _forintta, _meenemen_, 
   {{0x239401be,0x4f3102ba,0x4d1d0088,0x00000000}},	//   _celsia_, _anifunan, _ماركاسنا_, --, 
   {{0x626e005b,0xd24900e2,0xa9b20065,0x93ff0613}},	//   _satoru_, _earms_, _kundense, _cruzada_, 
   {{0x8874015e,0x6c070580,0x83b401a3,0x3bfb0016}},	// [ba50] _ابروي_, _versiju_, _هنگلاج_, _aventuro_, 
   {{0x69f90238,0xac4b02a2,0x4a49018b,0x3e6d01a3}},	//   _професіо, _konting_, _фиделита, _بُلڙي_, 
   {{0x245700d6,0xb301005b,0x626c045a,0x3d800435}},	//   _اعاده_, _masashi_, _ankom_, _острог_, 
   {{0x3d920268,0x3353016d,0x23790140,0x422a0211}},	//   _isplayda, _ئۇكام_, _bagaman_, _ногах_, 
   {{0xc15b02fd,0x9a4f002f,0x00000000,0x00000000}},	//   _connlach_, _buddleja_, --, --, 
   {{0x03480125,0x02b40176,0xd8c302ac,0x13f90111}},	//   _degerli_, _dulcis_, _وقصيدة_, _accupa_, 
   {{0xc256026b,0x052d0041,0xc2fc0040,0x84870452}},	//   _দৃশ্যে_, _аҟалара_, _להבהיר_, _थोतांड_, 
   {{0x13ea0014,0x6aba000d,0x00000000,0x00000000}},	//   _thote_, _unikaals, --, --, 
   {{0x5c930107,0xc2ed004d,0xe2d803f1,0xd25c018d}},	//   _وادار_, _副局長介紹_, _taketo_, _publikoi_, 
   {{0x726c0434,0xae1a038b,0x926c0107,0xdf6402b1}},	//   _pocos_, _dipelaja, _cocor_, _albashin, 
   {{0x92d904ce,0x7a0f02fe,0x52b40291,0xa224007b}},	//   _rabela_, _kufanele, _pacastái, _reeky_, 
   {{0xea960409,0x9ad6003a,0xa2d902b3,0x5dc9038a}},	//   _ejendoms, _قالبیدی_, _sabela_, _chukiyap, 
   {{0xb9aa039d,0x379e0040,0x63a200a5,0x623a0311}},	//   _tendelwa_, _לוחצים_, _taape_, _ብሻዕብያ_, 
   {{0xa47302bb,0xb256040e,0x63a7010f,0x7e3b02af}},	//   _क्रियान्, _দৃশ্যই_, _забонро_, _murabira, 
   {{0xc04904bf,0x5283003e,0x86ba00b0,0xff3a0326}},	//   _pokretan, _bethani_, _tiiraany, _cheutaka, 
   {{0xb63d0058,0xe27f00ee,0xd2e20460,0xce7e014e}},	//   _bleinani, _igande_, _रिपीट_, _галерији_, 
   {{0xbf14006f,0x63890020,0x7f480095,0x3e070265}},	// [ba60] _سفارتڪار, _māria_, _dangunin, _bondscoa, 
   {{0xbf07027e,0x4a0900a6,0xe76000a6,0x6add00d9}},	//   _провери_, _مقتدا_, _ایرانۍ_, _lentoyht, 
   {{0xb2ca0265,0x22ef0285,0x26f1016d,0x88da01eb}},	//   _sinds_, _ishinga_, _چاكچاك_, _caferyku, 
   {{0xa2e80144,0xc4730335,0xedbe023d,0x390e0012}},	//   _وقامت_, _क्रियाप्, _avvicina, _धनुहीउधन, 
   {{0x6028039f,0x8e2d0153,0x498600fc,0xbd1902ed}},	//   _flowerin, _メイプルスト_, _peghghit, _asinante_, 
   {{0x637a00ad,0x60320109,0xce9600d1,0x7b9b0158}},	//   _rawayan_, _चाँहि_, _kortaste_, _postacią_, 
   {{0xc2d40212,0xb2a00155,0xf95702ef,0x099c02d3}},	//   _nerdia_, _derbyt_, _kolonbye, _поздраву, 
   {{0xe2d40395,0xb3a2044a,0x36be00ba,0x39c100e6}},	//   _schopen_, _ezipi_, _هاوگونجی_, _重庆市第一中级人, 
   {{0x637f003b,0x708a004d,0xc04600be,0xddf002fe}},	//   _ashadwa_, _北投社區大學_, _пландалу, _بندون_, 
   {{0x6ae90368,0x5c78006d,0xf26e000e,0x00000000}},	//   _полиција_, _загорнут, _pesosi_, --, 
   {{0x05d60037,0xadc4025c,0xe6820373,0xcc050369}},	//   _ከቅንጅትነት_, _ferienha, _artefari, _tausaui_, 
   {{0xa2ef05a9,0x52830362,0xf3650043,0x60f801f4}},	//   _ashinga_, _azokoka_, _aguguba_, _nasihatl, 
   {{0x8da800ff,0xa377005e,0xf2a6029c,0x13210325}},	//   _סעיפטי_, _گىياھ_, _banjali_, _gencler_, 
   {{0x1a770053,0x7b00030b,0x00000000,0x00000000}},	//   _berlokas, _alisimba_, --, --, 
   {{0x39aa0444,0xca0a0343,0xc42602d3,0x22fc0204}},	//   _копии_, _balarila_, _ограничу, _blogia_, 
   {{0xe3c8037c,0x127e0397,0xcc7d00fe,0x35ef00c5}},	//   _garvin_, _isintu_, _ekisoto_, _新疆天然矿业有限, 
   {{0x46350244,0x5a060085,0x07a90189,0x3213036e}},	// [ba70] _paginegi, _himaleya_, _kozmetik_, _awahun_, 
   {{0x23770164,0x84870101,0xfb000175,0xfed101be}},	//   _ئىناق_, _кинеза_, _senserit, _मुस्लिमह, 
   {{0x8dfe016d,0x22fa0025,0x86390143,0xf0fe021f}},	//   _ئەرىز_, _ardhena_, _schiacci, _faayiloo, 
   {{0x9f2e0070,0x295e012b,0x6bbd00a4,0x53b90099}},	//   _aggersun, _znalezie, _comerços_, _chachinj, 
   {{0x17440013,0xb2e90258,0x926a006c,0xa14a0153}},	//   _عنوانی_, _opknapt_, _навовари, _fartpilo, 
   {{0xdd84005b,0xc8090169,0xd7a7033d,0x09f9042a}},	//   _oprettet_, _মাদরাসা_, _costarai, _ekwatise, 
   {{0x488b007b,0xfbdf01fd,0xac56007e,0x3e5f03f7}},	//   _gothenbu, _comenzó_, _गिरेः_, _dagbókar, 
   {{0x5380024b,0x52b1048f,0x52ca050a,0xf03901fb}},	//   _cerrar_, _bondela_, _iyidir_, _testamon, 
   {{0x989402ec,0x49f40125,0xa5ed0058,0xd3a30117}},	//   _دوروٕنہِ_, _islän_, _palelogö, _prepea_, 
   {{0xa2ca01f4,0x5fd304ae,0xec0f0076,0xcdf20299}},	//   _bunday_, _непокрет, _dispõe_, _ئۆيۈم_, 
   {{0xff9f00db,0x36d80213,0x6fe40037,0x5e3a06ec}},	//   _अनुतरित_, _противог, _በፍላጎት_, _invasora, 
   {{0xa29006bc,0xb6480363,0x7b670035,0xe26d02e7}},	//   _chlann_, _uavhengi, _andreeva_, _igbook_, 
   {{0xefc800f7,0x7f830174,0x927f0414,0x22a600a8}},	//   _varianto, _maikhutš, _esantu_, _beiba_, 
   {{0x538002d4,0xe394056a,0xe6800497,0x9c7f0257}},	//   _serrar_, _buisa_, _aervarsh, _leikstýr, 
   {{0x59740034,0x7f46017e,0x4f7f0050,0xc9b50213}},	//   _sannarle, _preferas_, _pribados_, _вымени_, 
   {{0x726d0372,0xbd250177,0xa264044a,0x8da801c9}},	//   _gosod_, _ақәырхар, _ebulus_, _albumeid_, 
   {{0x93ea0500,0xe6d2048a,0x237801d2,0xf8f2028a}},	// [ba80] _obote_, _теориялы, _allakun_, _برنارڊشا_, 
   {{0x2c6e0566,0x62c20544,0x99d1000c,0xe2970374}},	//   _hvordan_, _apelika_, _cafehist, _тактикас, 
   {{0x9e4800b0,0x300300bb,0xb6e80037,0x2fcd0630}},	//   _banaanba, _احتشام_, _ኮንትሮል_, _attiñer_, 
   {{0x8401025f,0x38720244,0x92db008d,0x399302b9}},	//   _bakonyok, _получим_, _birodar_, _پھیکا_, 
   {{0x9b2706bf,0xd5e101da,0x93cf0602,0x0c0b0206}},	//   _सूर्यकां, _dijetarë, _staver_, _stupava_, 
   {{0xf37801f1,0x12360387,0xa8b6012e,0x9c510074}},	//   _allahun_, _imeju_, _کرديا_, _olotila_, 
   {{0xe1c30205,0x32b20195,0x025a0132,0xd5a40185}},	//   _полоний_, _chidsin_, _mellet_, _cäyaüle_, 
   {{0xca630281,0x240d02ac,0x611f0159,0x00000000}},	//   _sammisas, _الكحل_, _спампоўв, --, 
   {{0x8fef035f,0x12c703a7,0xb8a5028a,0x37b604f9}},	//   _व्यापार_, _pádom_, _ٽرانسپور, _nassitsi, 
   {{0x6f070425,0x0d74033e,0xeeb400a7,0x36b602a6}},	//   _مافیایی_, _немирови, _acceptes_, _elastich, 
   {{0x32ca0672,0xa394024a,0x7961041a,0x1f24032d}},	//   _yandi_, _ariso_, _нформацi, _апрелдән_, 
   {{0x02ab0263,0x7fa0003d,0x7f590540,0xd02900f2}},	//   _kleding_, _recercar_, _flýgur_, _veicinoš, 
   {{0x4291005d,0xb27e0195,0x7b67021b,0x42f1041c}},	//   _arajave_, _cainnt_, _панелей_, _gisiini_, 
   {{0x98c702b0,0xde470126,0x098001a6,0x9c1802d9}},	//   _angemeld, _ярмарку_, _mahingia_, _peraimer, 
   {{0x0e3d004d,0x12a602a0,0xc2d5075c,0xafda0242}},	//   _執行成效表_, _hìndà_, _ponovio_, _baytarlı, 
   {{0xf68a018d,0xbc4d014e,0xff3f037f,0xd5940226}},	//   _ኣዕጽምቲ_, _предлога_, _emissiya, _belekany, 
   {{0xf8650056,0x57ee0347,0x303d0128,0x925a00f4}},	// [ba90] _кудето_, _bewaring, _бизнесга_, _fellet_, 
   {{0xf2c804e7,0x095f0013,0xf297016e,0xf61500d9}},	//   _narocne_, _دیرکه_, _korkusu_, _странице, 
   {{0xa2ca01b8,0x63f8050d,0x13f803bd,0xdc4e0415}},	//   _pandi_, _maduro_, _baluto_, _mischung_, 
   {{0x865d0107,0xb25a00d4,0x622500b9,0xb3ea023e}},	//   _سیاستمدا, _hellet_, _adakan_, _abote_, 
   {{0x73400026,0x02ca03dc,0x6d6f023c,0xd213022c}},	//   _bekeken_, _vandi_, _دحماس_, _atahan_, 
   {{0x13940176,0x8f66041e,0xe796020e,0x93fa005b}},	//   _yuasa_, _cappelle_, _аукционд, _kasuga_, 
   {{0x57580174,0x637802be,0xe2ca0180,0x7236005b}},	//   _dirilweg, _kahapon_, _tandi_, _ginjou_, 
   {{0x12020206,0x196800a5,0xb3490362,0x58740272}},	//   _nosiť_, _liliuese, _kizengi_, _bafiirid, 
   {{0x6a340251,0x8dad007f,0x46df0294,0x8ec8040e}},	//   _تسلیا_, _beirniad_, _buxbaumi, _baryonta, 
   {{0x829101e8,0x07cf020f,0xbc1d004a,0x8394033f}},	//   _huyang_, _bangawag, _farazlar, _tuisi_, 
   {{0x61f7010f,0xde1c0064,0x50bc01bd,0x039303b8}},	//   _зимнан_, _اقبارات_, _азаюына_, _энергобл, 
   {{0x89aa0244,0xa3940165,0x922400d1,0x9b8f0155}},	//   _зодия_, _ruasa_, _leiken_, _turistor, 
   {{0xcede00c7,0xde0002d4,0x83fa005b,0xaa71027f}},	//   _бирде_, _numerusa, _masuda_, _butangwa_, 
   {{0x3285003f,0x83940386,0x76cc0195,0x3f190180}},	//   _atlhqam_, _puasa_, _albannai, _koumadir_, 
   {{0x19f700fd,0x8a16035e,0x33210149,0xee9b03ae}},	//   _armailte, _bugarska_, _oyuyo_, _statlige_, 
   {{0x5a04019d,0x669404bd,0x43f80138,0x84600156}},	//   _ankachit, _pelekani, _tohumu_, _אנעקדאטן_, 
   {{0x6340022e,0x32ca000c,0xa86604b9,0xec680046}},	// [baa0] _tedesca_, _mandu_, _bourachs_, _терракт_, 
   {{0x62a001b2,0xb9b904f2,0x22ca0039,0x24ff014c}},	//   _curbed_, _gamejava_, _landu_, _azimeley, 
   {{0x68730050,0xe29202f6,0x40c70138,0x6a110275}},	//   _anémia_, _kapani_, _kutlamal, _palanike, 
   {{0x02a60252,0xa2920251,0xb26d00bd,0xc4d50029}},	//   _leibu_, _intaan_, _bosom_, _چۆنایه_, 
   {{0x87b00352,0x7eb00638,0x9c380053,0xbf1203bf}},	//   _তেলেগু_, _nærmere_, _गम्प्या_, _hladilen, 
   {{0xba7d010b,0x471402da,0xa91901c1,0x00000000}},	//   _akanyets, _manutenç, _bercampu, --, 
   {{0xaf5c0528,0x42000212,0x526e02ee,0x1b4101c8}},	//   _aonghais_, _nihilo_, _titolu_, _novoročn, 
   {{0x586f0033,0x8c67017c,0xb81e015e,0xe387009c}},	//   _pumpiers_, _hittats_, _адахан_, _charat_, 
   {{0x65840274,0x97730162,0x53a20134,0x07e80224}},	//   _vellinum_, _хурсинди_, _iyipo_, _aftarleg, 
   {{0x927e02e1,0xb292030f,0x17ed0061,0xf4170053}},	//   _bainte_, _hapani_, _자랑스러운_, _विकिक्वो, 
   {{0xa27e02ca,0x7f660455,0x6187009a,0x0225027c}},	//   _cainte_, _rappelle_, _باختري_, _awakha_, 
   {{0x7da201b2,0x2eba0022,0x611c002b,0x3f2b0074}},	//   _serrated_, _күмертау_, _যথাযথভাব, _nauttima, 
   {{0xb2a70770,0xfecc0238,0x82c401b4,0x398402ee}},	//   _nibble_, _азаров_, _verlang_, _arciprie, 
   {{0x6392030d,0x0d5001d9,0x5e5001d9,0x2dc700ec}},	//   _milyonu_, _geschued_, _geschuet_, _ваконца_, 
   {{0x29c6005e,0x926c02d9,0x727e01c0,0x39e2044a}},	//   _يادىڭدا_, _sikoa_, _irinku_, _tokokoka_, 
   {{0x5224009d,0xe3400011,0x1c760187,0xdb5b011d}},	//   _ndikon_, _babenga_, _segurar_, _minunata_, 
   {{0xe969022f,0xc383015f,0x00000000,0x00000000}},	// [bab0] _разгляда, _anwylyd_, --, --, 
   {{0x12a7028d,0x62fc018b,0x461e05ca,0xdddd01c7}},	//   _dibble_, _singur_, _favoreci, _chykarma, 
   {{0x853c02b6,0x8ddb013d,0x06d8003b,0xaa7103a6}},	//   _исламофо, _proksima, _angasusw, _rutangwa_, 
   {{0x426d00bc,0x347600d0,0xd2c80153,0x92e9012a}},	//   _mosok_, _youtuben_, _ウェットフ_, _nasiona_, 
   {{0xaa050193,0x284a00d9,0x0c7303dd,0x9b6201cd}},	//   _वार्ताहर_, _мойки_, _mungesës_, _амалдоро, 
   {{0x5c570022,0x0eb100c7,0x273a0064,0x00000000}},	//   _инженеры_, _avtotran, _доого_, --, 
   {{0x5075055a,0x430003b9,0x726c0107,0xc32700bb}},	//   _inscrito, _sumaruw_, _dikon_, _ردِعمل_, 
   {{0xf3780203,0x82a700bd,0xcf6902d4,0xd14700c8}},	//   _mahagon_, _kibble_, _votantas_, _dikelell, 
   {{0x1a17023d,0x43fa0039,0x2355017e,0x66550078}},	//   _кризата_, _kopuru_, _devenas_, _старосло, 
   {{0x8f6a02a9,0xb2ca05b9,0x83790257,0xc284036d}},	//   _старых_, _fandt_, _notanda_, _buthtan_, 
   {{0x127e034b,0xe26c0130,0xa2ca0055,0x11cd0444}},	//   _bainet_, _ankou_, _tandu_, _учительс, 
   {{0x8fbe0037,0xa2240272,0xa6b400ff,0xeb1902ff}},	//   _ለመከልከል_, _afeki_, _טאנצען_, _bayawonn_, 
   {{0x4f720005,0x00000000,0x00000000,0x00000000}},	//   _inschign, --, --, --, 
   {{0x98440273,0xf2920524,0x9f94033e,0x3c740139}},	//   _asegurar_, _napali_, _елиста_, _शुल्बं_, 
   {{0xc72c0220,0x09370375,0xf1d401a1,0xbaed01a3}},	//   _направиш_, _akumufot, _grafisch_, _مقرريون_, 
   {{0xb6b70282,0xbc510046,0x1c6404e5,0x135500d8}},	//   _manakoti, _vintena_, _ayitamu_, _cevenas_, 
   {{0x88fc01fc,0xd3940172,0x83f802f8,0xa394007b}},	// [bac0] _angadaad, _guaso_, _malupo_, _kuist_, 
   {{0xa63801e1,0x2e8d00c7,0xa35403dd,0x926d00bc}},	//   _саралары, _ханша_, _nobelit_, _bosok_, 
   {{0x02e90050,0x621200ea,0x2e190137,0x1dc00349}},	//   _hasilna_, _aseho_, _тариалса, _eavingla, 
   {{0x188b0124,0x2f3b02d8,0x470300d9,0x5d7d0291}},	//   _inshaqaq_, _terungka, _системах_, _عجلات_, 
   {{0x57c70238,0x42ca00db,0x1b130226,0x12f2030f}},	//   _тарифи_, _mandri_, _atapanga_, _takirau_, 
   {{0xf26c0369,0xf26e04b3,0x59c701e4,0x02dd00a1}},	//   _kikoo_, _jouons_, _दुर्गन्ध_, _horowai_, 
   {{0x32250041,0x32dd00a1,0xe26c002a,0x07ca0166}},	//   _itakua_, _korowai_, _jikoo_, _bestellw, 
   {{0x5647038f,0x32fc0163,0xb2f30227,0x426c00f3}},	//   _diskleri, _blogja_, _digigit_, _inkos_, 
   {{0x3815011f,0x00000000,0x00000000,0x00000000}},	//   _мужава_, --, --, --, 
   {{0x6a08011d,0x470702f3,0xec0a00a1,0x08ae00ba}},	//   _romanest, _stationä, _emepaea_, _لیکتڕۆنی_, 
   {{0x4fbc0037,0x00000000,0x00000000,0x00000000}},	//   _የስነልቦና_, --, --, --, 
   {{0xb30001ef,0x892f01fb,0xef320366,0xb9750076}},	//   _kadangi_, _promitte, _площадью_, _сложени_, 
   {{0x4fa40037,0x326c04e6,0x526c0074,0xb2f10396}},	//   _ገዳሞቻችንን_, _pikon_, _aikoo_, _jisimni_, 
   {{0x369503d5,0x2e00005d,0xd40e0355,0x365d0297}},	//   _afterpai, _hendarup, _izvrstan_, _dimitrow, 
   {{0xd78b02b0,0x56820052,0x73f90455,0xc134011a}},	//   _notwendi, _uprostře, _appui_, _ואווירה_, 
   {{0x026c02ce,0x49f30148,0xde51008b,0xf37a0119}},	//   _oncom_, _parricid, _ibrayima, _kawayan_, 
   {{0x027f02a9,0x706004a5,0x79fd011f,0x00000000}},	// [bad0] _vienam_, _kwesibin, _naranjat, --, 
   {{0x863e0087,0xf292038d,0x52360387,0xe5630162}},	//   _andlariw, _antann_, _imeji_, _بەرەقە_, 
   {{0xf6f102c1,0x17c400c5,0x526c001e,0x1eaf02f9}},	//   _hagamijw, _中共中央政治局委, _rikon_, _dekonsan, 
   {{0x00000000,0x00000000,0x00000000,0x00000000}},	//   --, --, --, --, 
   {{0x12e60265,0xc2da044d,0x035500f7,0x637a00dd}},	//   _drinken_, _bowetu_, _revenas_, _colledig_, 
   {{0x32240188,0x2b580103,0x929e017a,0x3e1002b6}},	//   _ngeke_, _aikundwa_, _сипар_, _астыңғы_, 
   {{0xba9d00b1,0x326c0013,0x32680287,0x39cf01f0}},	//   _polycarp_, _inkor_, _omlazení_, _diketlee, 
   {{0x64a50522,0xdf620423,0x8b530119,0x920000ff}},	//   _दिशानिर्, _novomanž, _kordofan_, _apliki_, 
   {{0x920002f6,0x18620148,0x6225022c,0x8a7c00bc}},	//   _galing_, _互動的全新社群平, _awakna_, _kosakata_, 
   {{0x77b20513,0xd309001d,0xa3ea02fd,0x00000000}},	//   _dierenfi, _herbejo_, _maoth_, --, 
   {{0xf53f029e,0x3d85006c,0xcbfe0229,0x1a88005a}},	//   _nemetañ_, _abamfuna, _sonuncus, _malosnis, 
   {{0x43410227,0x35030064,0x312700ff,0x43d20035}},	//   _beserta_, _بىلۋالىڭ_, _טייַלענד, _туктаров_, 
   {{0xba3902d3,0x42a601b8,0x7d9e03f7,0x2e89027b}},	//   _себеси_, _teabe_, _barnatep, _शृउत्वा_, 
   {{0x937a0026,0x0c690192,0xfab10065,0x78e00255}},	//   _volledig_, _게시판으로_, _verkaufs, _meistriv, 
   {{0x12e6025c,0x726d0132,0xdc70039f,0x8a2d02ac}},	//   _trinken_, _moson_, _trustee_, _للصدأ_, 
   {{0x3e2703db,0x8650034a,0xa3870064,0xf39402e0}},	//   _abagunya, _execució, _cobrir_, _drisa_, 
   {{0x03940118,0x85f903b1,0xb27e001d,0x80c3027b}},	// [bae0] _erisa_, _séminair, _koiné_, _थविजॊत्त, 
   {{0x829000fa,0x827a0354,0x220201a6,0x5100026f}},	//   _ariang_, _بولەنت_, _pipito_, _وتاعاسىد, 
   {{0xc30000b6,0xd39400e5,0xefe8046d,0xac5501df}},	//   _halangi_, _quase_, _mashango, _rattled_, 
   {{0x338602ca,0x5b0e037c,0xed29014a,0x78ef02d9}},	//   _gairid_, _wingtsun_, _termelés_, _osigatau, 
   {{0xc75400a7,0x1a880253,0x01470243,0x63400155}},	//   _polítics_, _nalornis, _diktatoo, _vardags_, 
   {{0x8ff2018f,0xa38002f3,0x12ef050b,0x00000000}},	//   _dichenmo, _herrar_, _transtv_, --, 
   {{0x0a1502a6,0x52d8033a,0x627e037f,0xe394022e}},	//   _manchere, _mudell_, _kainat_, _crisa_, 
   {{0xaa89028b,0xac2b00e5,0xbfb801d5,0x4ffa0200}},	//   _aplicars, _ставил_, _خونریز_, _websịtị_, 
   {{0xb26c02bc,0xfd65019e,0x4fe403f7,0x7b1802fd}},	//   _rikod_, _алюмнам_, _arnórsdó, _puballan_, 
   {{0x826d0372,0x3c6a0023,0xcc5100d5,0xc26c043a}},	//   _noson_, _старые_, _kintana_, _sikod_, 
   {{0xe4130208,0x39690021,0x2bc0027b,0xe3100597}},	//   _تاندا_, _altodext, _अनूङ्_, _венгрсем_, 
   {{0x1dbb0281,0x81680101,0x72fd0009,0x09d902ec}},	//   _tuniniaa, _alegeril, _pogovarj, _muslinka_, 
   {{0xec5202a5,0x440900ca,0x92de03f8,0xfa23018d}},	//   _शमशेर_, _bourgeon_, _daloslu_, _ተዘራሪቦም_, 
   {{0xa1660040,0x35f401f2,0xc9d40109,0x00000000}},	//   _בירידות_, _уқушлуқ_, _खप्पिस_, --, 
   {{0xe1c9023d,0x284f0407,0xfc7f00da,0x5519020f}},	//   _госта_, _najbliži_, _traseul_, _طوطاخيل_, 
   {{0x8e2103d6,0x7468036e,0x639603ec,0x936f03ae}},	//   _चित्रशाल, _atawamij, _marsit_, _fungert_, 
   {{0x5d0e021c,0x60b40041,0x00000000,0x00000000}},	// [baf0] _syntetic, _медалқәе, --, --, 
   {{0x3c5100ed,0x835f021c,0xfb62005e,0x5974004a}},	//   _bintana_, _talenty_, _تەسبىھ_, _укртатна, 
   {{0xc4300322,0x67690139,0xf91c0061,0x00000000}},	//   _akabando_, _मुक्तये_, _스트레스가_, --, 
   {{0xf0e60128,0x7eab00f2,0xe2610369,0x829202e7}},	//   _قارنغو_, _nometnes_, _petolemi_, _kitaon_, 
   {{0x54090179,0x437a0053,0xd6100268,0x13bb0005}},	//   _papronon_, _kawanan_, _animalsw, _chavras_, 
   {{0xbaf70288,0x4a7101fe,0x7c51042d,0x00000000}},	//   _okwokwon_, _wasaliwa_, _fintana_, --, 
   {{0xf5c801f0,0x0b1001d5,0x79a50625,0xe99e0155}},	//   _bogautsh, _سلطانہ_, _princíp_, _riskerna_, 
   {{0x327e00cb,0x285802c8,0xf5df0153,0x7af40259}},	//   _ezingu_, _realizou, _関東協会セレコン, _kursiste, 
   {{0xe2da020e,0xb2920111,0xfc8500ec,0x3a0501f0}},	//   _marena_, _capaci_, _швейцары, _bosakhit, 
   {{0x28800360,0xd2580037,0x5c910291,0x5fd10093}},	//   _serverů_, _የማይባሉ_, _تجربتى_, _аллахiан, 
   {{0x52ca00c2,0x02490125,0x2c6e020e,0x824f046f}},	//   _kandi_, _barmy_, _aparela_, _gedeesem, 
   {{0xec7e0010,0x29e201b5,0xa76102fe,0x7b62034e}},	//   _abesolo_, _bokoloka_, _شکایتونو_, _amarukta_, 
   {{0xb848020e,0x724200a2,0xa61b002e,0x31460121}},	//   _фәтих_, _chumbani_, _sumnjivi, _preescol, 
   {{0xf3940020,0x1213023b,0x3c3903a8,0x628c0119}},	//   _kuisi_, _omeheu_, _babysong_, _pagkaka_, 
   {{0xfb1c0023,0x424902aa,0x16f5013a,0x96b6003c}},	//   _спустя_, _farmy_, _beschaef, _شهشهانی_, 
   {{0x1f250036,0x457201bd,0x70cf02cb,0x76ba027f}},	//   _systemca, _атамекен_, _isplatil, _biyamiri, 
   {{0x89b40092,0xe2da00fb,0x4544013c,0xc75a0037}},	// [bb00] _このスポットをブ, _akunike_, _radiasiy, _እምብርት_, 
   {{0xcf270475,0x06dc0101,0x73950015,0xada900ee}},	//   _рамблер_, _propriul_, _jeesto_, _zornotza, 
   {{0xcb870396,0x9a3d052c,0x33200128,0x2d170168}},	//   _camiller, _مایکڵ_, _bunyod_, _erklært_, 
   {{0x9d010337,0xa9c701cd,0x47a8032c,0xe4600308}},	//   _nakliyat_, _ғалабаи_, _atomimik_, _dipermuk, 
   {{0x03dd02bc,0x4559012a,0xe3eb03d1,0xb513004d}},	//   _phawer_, _wytłumac, _skatos_, _其未申報或未能提, 
   {{0x339404e2,0x92da00ea,0x09960192,0x53790066}},	//   _kuasa_, _harena_, _통신판매업신고번, _ondasun_, 
   {{0x8f8801d1,0x32da010b,0xcf1a0037,0x39e3036e}},	//   _previous_, _barena_, _መንፈስም_, _askipata_, 
   {{0x2b2a014e,0x13fa0343,0x09cd0056,0xd2e60211}},	//   _оцене_, _lasuna_, _балчувон_, _esineen_, 
   {{0x039403b6,0xffb30153,0x22260321,0x00000000}},	//   _asise_, _スワンレイク_, _tiskaj_, --, 
   {{0xd15c040f,0x127f0092,0xc64f0299,0x3c6e028f}},	//   _душах_, _akanet_, _ئادۋوكات_, _maarama_, 
   {{0x23940551,0x0a4200cf,0x4ffc00be,0x238c0037}},	//   _naksir_, _baadiyaa_, _تلەيم_, _በአክሲዮን_, 
   {{0xd396003d,0xd6570120,0x230c0037,0xac7d00d5}},	//   _russas_, _dalkitem_, _nasabku_, _arosoko_, 
   {{0xe26d00a5,0xd6750210,0x437a0140,0xb29002ca}},	//   _sosoo_, _akakombw, _mawalan_, _chlaon_, 
   {{0xc6390226,0x79920181,0xe5f704ca,0x33ea006f}},	//   _akundiki, _tilkende, _astronòm_, _celtel_, 
   {{0xe9420138,0x7967011c,0x00000000,0x00000000}},	//   _faaliyet, _milimeet, --, --, 
   {{0x626e0240,0xe4130595,0x537a0140,0x97e30156}},	//   _lesoni_, _क्रिस्टो, _nawalan_, _אָפפלינע_, 
   {{0x3e9b0416,0x1f5d01d3,0x168002fe,0x898d00a6}},	// [bb10] _adjuntet_, _schablon, _aphelisi, _emthanda_, 
   {{0x00000000,0x00000000,0x00000000,0x00000000}},	//   --, --, --, --, 
   {{0x11450243,0x53b3003f,0xa2f30279,0x31e30017}},	//   _arrabáh_, _chavwij_, _choisit_, _ईटहरा_, 
   {{0x5a750340,0x72b80024,0xe7e30187,0xc821021c}},	//   _tangaroa_, _handbok_, _универза, _optickým_, 
   {{0xd1310036,0x67d101d5,0xb2e900dc,0xb2db01d7}},	//   _pholasaí_, _کلمتان_, _fasiina_, _repower_, 
   {{0x0316009a,0x6aeb01c3,0x7152027b,0x7e150046}},	//   _kwezi_, _depredat, _बभाषे_, _endevina, 
   {{0xd26d02d7,0xc407033a,0xd9d50287,0x3cf8050e}},	//   _nosos_, _awtorizz, _दम्पती_, _zlatibor, 
   {{0x23160703,0xf5ec0059,0xf9d6009a,0xbe530403}},	//   _mwezi_, _модернат, _ebhetele, _hanapaha, 
   {{0x26d2012c,0xe2dd019e,0x2c7c0540,0x523602e4}},	//   _mafaniki, _балетная_, _svartur_, _erojku_, 
   {{0x326c012c,0xd53f006e,0x3b7604b3,0x025b03a2}},	//   _mikoa_, _dakantal_, _arnodskr, _biblii_, 
   {{0x5c090558,0xf9fb0091,0x239402bd,0xc2b4005b}},	//   _komputa_, _angunahu, _drist_, _koichi_, 
   {{0x739402f6,0x9d800102,0x00000000,0x00000000}},	//   _braso_, _رفتاريءَ_, --, --, 
   {{0x0ce40518,0x0ae2068d,0xc26e01da,0x351801c5}},	//   _узбек_, _postmott, _besoni_, _faallooy, 
   {{0xed1e03de,0x5394018a,0xd3fc0476,0xa722031c}},	//   _kwenziwe_, _grist_, _anonyadz, _migració, 
   {{0x352b0238,0xa39400ee,0xa5880012,0x5abc0022}},	//   _достовір, _eraso_, _केरावउमट, _химиктар_, 
   {{0x639400f4,0x0c5d0321,0x4c7604ad,0xc9e40226}},	//   _hrist_, _sestavo_, _khirimi_, _kukopana_, 
   {{0xbc7501cf,0xa9da0318,0xbca2036f,0x0d9300e5}},	// [bb20] _regulas_, _apalisia_, _konzumir, _дозвола_, 
   {{0x62da00ee,0x6b1303e6,0x6f5c01f0,0x744703e8}},	//   _garela_, _galaxien_, _difapaan, _montažni_, 
   {{0x11c9035d,0x03eb033e,0x63940274,0xae4e004d}},	//   _narednih_, _avatee_, _drasl_, _文物出版社_, 
   {{0x8290012c,0x4984002c,0xb5ba018d,0xe2c301d2}},	//   _idhaa_, _ostirala_, _ንከይመሓለለፍ_, _aztlán_, 
   {{0x5e39000e,0x9e5300ea,0x139401bb,0xbe7c0193}},	//   _innatura, _fanapaha, _atasy_, _साक्ष_, 
   {{0xad7c0024,0x874301a3,0x00000000,0x00000000}},	//   _গোবিন্দ_, _اٽڪايو_, --, --, 
   {{0x9e2a0057,0xbe5402d4,0x1da20399,0x5e3704e6}},	//   _ለተወሰነ_, _circuita, _kilokala, _binaluta, 
   {{0x84a40271,0x5a9e02c7,0xc2910202,0x2d8c0321}},	//   _prestasj, _sicheren_, _ifaamu_, _močan_, 
   {{0x03940191,0x6b9702bd,0xd68203c2,0x1b5b000b}},	//   _brist_, _archebwc, _appetisi, _manufata_, 
   {{0x13940461,0x33ff042b,0x8b280064,0x5c7a022b}},	//   _crist_, _zauzeta_, _cinquena_, _dýrini_, 
   {{0xab190373,0x7278000a,0x3f5f033f,0xd53d034e}},	//   _komandon_, _atagulim, _mataaton, _ejsintay, 
   {{0x33940163,0x725a00de,0xfc850314,0xa2d40026}},	//   _friss_, _یونیسف_, _уңында_, _scholen_, 
   {{0x804d030c,0x729f0434,0x029000cf,0x7f2d02c5}},	//   _hapummin, _tarjeta_, _adhaa_, _agutsika, 
   {{0xd059001c,0x62780189,0xa2940077,0x27d10272}},	//   _frosinon, _dernek_, _demagoji_, _bavumibw, 
   {{0x02620360,0xeaff042a,0x197f0079,0xc3d70153}},	//   _उत्सवहरू_, _bengicab, _notekūde, _楽天市場のサ_, 
   {{0xc2250544,0x48260060,0x92000461,0xfc760099}},	//   _auakua_, _بالالار_, _genier_, _bharami_, 
   {{0x926d03d0,0xf3a302e7,0x0ff4005e,0x36e5015e}},	// [bb30] _kosor_, _alisngaw_, _ﺳﯚﻳﮕﯜ_, _desconei, 
   {{0x63f2042b,0xe7090159,0xaaef005b,0xeea101ea}},	//   _stručni_, _катакліз, _priestes, _baquvvat_, 
   {{0x1cf40148,0x24130160,0xe86000a7,0x02b400b6}},	//   _台灣溪州團團人_, _sposoban_, _massives_, _subci_, 
   {{0x1396005b,0xf37c01ba,0xcd04047d,0x9c5c04d1}},	//   _masser_, _inkapab_, _geplangt_, _lectivo_, 
   {{0xd91b01b8,0x428b023b,0x12240347,0x662c00dd}},	//   _आदर्शवाद_, _kahapili_, _teiken_, _chomisiw, 
   {{0xb2000303,0x29360125,0x8968015b,0xf8620090}},	//   _mading_, _adamlara_, _kodinese, _anongond, 
   {{0x83fc0008,0x19730393,0x96bd00b7,0xeb4702c0}},	//   _autoritz, _jednodne, _artykmaç, _рандом_, 
   {{0xd3100044,0x639e0153,0xc2b601b2,0x210d032d}},	//   _שמספקים_, _の関連記事_, _bascee_, _хамматов_, 
   {{0x99db018d,0x02fe0343,0x00000000,0x00000000}},	//   _ኣብትሕቲ_, _ihugut_, --, --, 
   {{0x9650033f,0x5ec700e7,0x02d8033f,0x1fbe02a8}},	//   _kānatá_, _arliamen, _nakelo_, _haslilho, 
   {{0xb6f70231,0x2f400255,0xc34800c3,0x686a003d}},	//   _clicksaf, _ringkonn, _incesti_, _amendrid, 
   {{0xc6b00040,0xf406020f,0x61cc0092,0x139402f3}},	//   _למסקנה_, _abengumz, _新世紀エヴァンゲ, _triss_, 
   {{0x761a030c,0xe79e0109,0x00000000,0x00000000}},	//   _oktotigi, _धौलागिरी_, --, --, 
   {{0xc751011f,0xd39504b4,0xce5b0068,0x12dd0077}},	//   _estúdiop, _fryse_, _garbahaa, _koronpi_, 
   {{0x79460169,0x9cf30040,0x026d0155,0xcd830235}},	//   _গাংনী_, _listener, _rosor_, _मार्गयित, 
   {{0xd34205ea,0xe94b0302,0xe751011f,0x1d29018c}},	//   _tiveron_, _кенҷаев_, _estúdior, _turnhout_, 
   {{0xbcfb0060,0x515c0041,0x826400a7,0x6fc003f3}},	// [bb40] _بەكىتىلم, _иулар_, _taules_, _magnetro, 
   {{0xf396065e,0x422801b0,0x4297015d,0x103a0178}},	//   _kasser_, _alomorf_, _रिवाल्वर_, _bhājanāḥ_, 
   {{0x72da02fa,0x65ec00d9,0x40ee0045,0x2d870012}},	//   _bareba_, _проводит_, _приметио_, _सिमरनपुर_, 
   {{0x53f405bc,0x020002f6,0xf49a0168,0xec5a036a}},	//   _partur_, _bading_, _datamask, _drotani_, 
   {{0x6c3c0126,0x60530320,0x00000000,0x00000000}},	//   _практику_, _epurasin, --, --, 
   {{0xde4602bd,0xd202024c,0x89990278,0xb7c300cf}},	//   _ystadega, _ostili_, _penjimat, _churchii, 
   {{0xb29000b0,0x2c810092,0x12ca0176,0xb9f20326}},	//   _odhan_, _トピックのタイト, _mands_, _atiratid, 
   {{0x12c8018d,0xb2ca0409,0x54bd04ae,0x085b0037}},	//   _ኣዋልድን_, _vandt_, _никотина_, _የህውሃት_, 
   {{0x625a0027,0x7e2a03e2,0xe22500bd,0x4b4702d9}},	//   _skilik_, _asignada, _deuks_, _mātutua_, 
   {{0x89fc0226,0xa6e700be,0x2394007b,0x962a0439}},	//   _angamape, _جۇعۇمۇ_, _cuist_, _loviseri, 
   {{0xed7d0036,0xa04903db,0x13b50515,0xd386007b}},	//   _اجزاء_, _kangango, _salvara_, _clorty_, 
   {{0x72640580,0x4fcc0149,0x92ef0010,0x475c0285}},	//   _saules_, _divaịs_, _aphinga_, _mukiring, 
   {{0x537a00ad,0x860e0143,0xe8c60328,0x5394004f}},	//   _wawacan_, _сирийски_, _iraturag, _guiss_, 
   {{0xfb970479,0x35be015e,0x12920241,0x425d01e9}},	//   _regisztr, _арага_, _bitaan_, _dinotagi_, 
   {{0x194300d4,0x28c801a3,0xcdf50057,0xdf6f0079}},	//   _beslette, _خوشفهمي_, _sindiket_, _nomaksas_, 
   {{0x02c201e6,0x727f0274,0x5aec0009,0x4291042a}},	//   _chalupa_, _brynju_, _kostanje, _kubase_, 
   {{0x6c1d001a,0x7ae301ad,0x139401f4,0x00000000}},	// [bb50] _نمنگان_, _firemars, _orish_, --, 
   {{0x556b0179,0x00000000,0x00000000,0x00000000}},	//   _bekomitö, --, --, --, 
   {{0x92d600c8,0xac0a0088,0x00000000,0x00000000}},	//   _bonoril_, _compten_, --, --, 
   {{0x694a02ac,0xa2250348,0xae17018b,0xd67301e1}},	//   _جرافيك_, _afuka_, _ulterioa, _холлда_, 
   {{0xe7c90211,0x3c47013c,0x1d2300bc,0x82ca0092}},	//   _varsinai, _əmtəə_, _akhirate_, _sandt_, 
   {{0xd616035f,0x29cc0191,0x429c0019,0xbfab047b}},	//   _प्रतिभाश, _sandvike, _лицейлер_, _avsettur_, 
   {{0xe3f6044a,0x526c013d,0x0d790213,0x5b040136}},	//   _akelamak, _vicon_, _достигло_, _podravka_, 
   {{0xb2ca005b,0x1f4b028d,0xfeda005b,0xe4e2002b}},	//   _wands_, _konsonma, _easytone_, _আরমান_, 
   {{0x2c6b0203,0x92440082,0x52910096,0xcd370082}},	//   _unguent_, _renminbi_, _mubare_, _adangane_, 
   {{0x03940033,0xc2ef012b,0x0db2006e,0x8dc00161}},	//   _quist_, _komisja_, _daanuwaa, _убирает_, 
   {{0x52eb005b,0xa38703ea,0x00000000,0x00000000}},	//   _kvinder_, _charte_, --, --, 
   {{0xc39401e5,0xf3270233,0x62f00205,0x42dc010a}},	//   _irisi_, _brochet_, _filiali_, _atoomii_, 
   {{0x98b602fe,0x69580231,0x00c5023d,0xb5f30035}},	//   _درايو_, _incondit, _trilocal, _повесте_, 
   {{0xe3940066,0xded70234,0x0d2300e0,0xfc6a00ef}},	//   _krisi_, _gbàárùn_, _genietet_, _boluntu_, 
   {{0x6804015e,0xa44d0311,0x00000000,0x00000000}},	//   _тестирлө, _ከምዘምጽእ_, --, --, 
   {{0x00db0287,0xd20000a1,0x399c018d,0xb26c0040}},	//   _टोपीमा_, _hihiko_, _ክወጻልኩም_, _להאזין_, 
   {{0xf696019b,0xb26d0433,0x89fd0067,0x9a1303b7}},	// [bb60] _nelegali, _andalucã_, _dinnicha_, _atacente, 
   {{0x1290036e,0xb92d003a,0x3178011b,0x934803bf}},	//   _achani_, _чоралари, _bisakwel, _hafeini_, 
   {{0x2439042a,0x3373022d,0x6fbf00bb,0x42e70421}},	//   _akukafak, _delarue_, _وحدتِ_, _kranken_, 
   {{0xb20001fc,0x0ad602f7,0x15a0011a,0x3c390059}},	//   _damite_, _bontsint, _subsidiz, _muscolar, 
   {{0x439401a0,0xe163014e,0xf5bc007e,0x239401da}},	//   _arisi_, _почива_, _anyadapy, _prish_, 
   {{0x23940247,0xa621026e,0x8da9001a,0xe06000a2}},	//   _krasa_, _सीमावर्त, _rendelés_, _umasikin, 
   {{0xa3eb0265,0x3a8a0397,0x83f10216,0xaae301db}},	//   _ibatis_, _августи_, _endlelek, _тереңдік, 
   {{0x6bcc023d,0x0c0a029e,0xf34700b2,0xec61012a}},	//   _полицият, _kompren_, _ammegaa_, _nagród_, 
   {{0x826c004f,0x095e014d,0x0196027e,0x00000000}},	//   _ancos_, _publizie, _свеправо, --, 
   {{0xeda700a9,0xf7c70074,0xb3a3034c,0xd7a802ac}},	//   _haruguru_, _saksalai, _agapov_, _باعتباره, 
   {{0xec0801a6,0x00b00053,0x437b0039,0x858303ab}},	//   _tongarir, _तेलुगू_, _espazio_, _dokonalé, 
   {{0x5d1701b7,0x7af70302,0x9a53014a,0x6632021a}},	//   _abhayaṃ_, _баракс_, _pilóta_, _diinonni, 
   {{0xc2cb0231,0xd26d0198,0x8394028b,0x234900ea}},	//   _gordonii_, _kosov_, _arasa_, _mandany_, 
   {{0x341301e0,0xb59a0156,0x220100c5,0x9aa4032c}},	//   _واردن_, _בדווקא_, _levier_, _atukkats, 
   {{0x0c76003d,0xbe5201e8,0xcf5500e4,0x00000000}},	//   _aperadi_, _mabalika, _grupasza, --, 
   {{0x72bf00bc,0x4da60148,0xca15024a,0x509500da}},	//   _امواج_, _relinqua, _molaaika_, _federaţi, 
   {{0x8e680126,0x8c0a0338,0xe582002b,0x326c01b9}},	// [bb70] _внести_, _compren_, _স্বামীকে_, _rikol_, 
   {{0x0f240119,0x12a702cf,0x7c7802c3,0x86030076}},	//   _guarapua, _cancelam, _ceruzky_, _пописот_, 
   {{0xd23702af,0xdc550066,0xf26c0119,0xb30e043a}},	//   _amuja_, _олигтой_, _bicol_, _metalis_, 
   {{0x43f900bd,0xfa0b056c,0xf9a501f7,0x114900bc}},	//   _clauts_, _talasima_, _assistén, _بزارن_, 
   {{0xd90f017f,0xbe800008,0x426d00fc,0x5b49034a}},	//   _tamatumu, _الفاۋئت_, _bosov_, _formigón_, 
   {{0x95300135,0xe87c021b,0x23e503ad,0x318f01aa}},	//   _proektı_, _сочетает, _jestendi_, _ehmanlay_, 
   {{0x9f6f0145,0x436c002b,0x3c340333,0x84ab0139}},	//   _valandas_, _বোচাগঞ্জ, _bouclier, _asmatpak, 
   {{0xb29202f6,0xb8450203,0xc1dc009a,0xb77d012a}},	//   _kapaki_, _centenes_, _ayinabum, _ओवरब्रिज_, 
   {{0x8860004d,0x4b0d0250,0x29c30320,0x125b03fb}},	//   _保證價錢實惠_, _largimin_, _lorelore, _riblji_, 
   {{0xce4802fd,0x618700a6,0x4e0800e2,0x5a09007e}},	//   _altairea, _بیانیې_, _zonderla, _appamatt, 
   {{0x6fc80032,0x1f5702b2,0xf2da018b,0xf3a2011f}},	//   _bopoqcho, _хребта_, _careia_, _iyipi_, 
   {{0xf292028d,0x51a70163,0x566b004d,0xe2530155}},	//   _atrape_, _جڑواں_, _觀賞相關影帶報告_, _mestadel, 
   {{0x7a6105ba,0xf2de0325,0x3c8d0092,0x7bc201b7}},	//   _आचारसंहि, _qaliblər_, _ビジネスホテル_, _आश्चर्यं_, 
   {{0xeaf40192,0xa1cb0126,0x28b50203,0x6a7c0018}},	//   _구매평가가_, _тканин_, _multisav, _votavota_, 
   {{0x93450338,0xe27f0099,0xb1880120,0x97a9015e}},	//   _pendent_, _dzangu_, _amcaraay_, _اقىرى_, 
   {{0x161c015d,0xc37f018b,0x6b200338,0x737f03b0}},	//   _सुविधाजन, _faianta_, _arnaudin_, _alnakka_, 
   {{0x1c530655,0x125003a2,0xecf5007f,0x62d501f0}},	// [bb80] _sustava_, _स्लेटी_, _beldroed_, _dimonko_, 
   {{0x634001a7,0xf7e70039,0xe292013b,0x00000000}},	//   _ongelma_, _шударгаа, _kitaun_, --, 
   {{0x41de0197,0x33f9001d,0x749c002b,0x16f702b9}},	//   _awondism, _clauss_, _কাশ্মীর_, _نارائن_, 
   {{0x72ea06a2,0x72ee00b1,0x82250308,0x2cb2040f}},	//   _ingingo_, _sniffs_, _seakan_, _восьмым_, 
   {{0x0e5202a2,0xd63701ab,0x00000000,0x00000000}},	//   _babalika, _सेतहीं_, --, --, 
   {{0x28830192,0xa84901ec,0x22f900c7,0x18e30405}},	//   _인근지하철_, _خوشبختی_, _болгарга_, _торгах_, 
   {{0x838702d5,0x5224043a,0x339602a8,0x339401da}},	//   _paarid_, _frikop_, _cassar_, _duash_, 
   {{0xf08e0311,0x69850055,0x603d0088,0x926c00bd}},	//   _ክትቆጻጸሮ_, _arsiccie, _дарбызды_, _plooin_, 
   {{0xb2d8048c,0x7b7f0350,0x6f36033e,0x00000000}},	//   _agleam_, _ጠይቀናል_, _ocorresp, --, 
   {{0xbb2c0168,0x8eaa03a4,0x6394036e,0xe3f40390}},	//   _emballas, _fortreyt_, _guash_, _dustaq_, 
   {{0xe394011b,0x00000000,0x00000000,0x00000000}},	//   _nuasi_, --, --, --, 
   {{0x2cad0089,0xfb130065,0xa3f804cf,0x46d0002b}},	//   _газетасы_, _jemanden_, _calulo_, _মেয়রের_, 
   {{0xd87d0715,0x03fa02a2,0x674c005e,0xaa6100a4}},	//   _डाइरेक्ट, _matuto_, _مەبۇدى_, _تۋاردوۋس, 
   {{0x24d70019,0x92f1021e,0xbe1601f0,0xbc760486}},	//   _катаны_, _bägge_, _ganelela, _डिग्रि_, 
   {{0xab0d01db,0xc2d60211,0xd88d0177,0x504904e6}},	//   _аяулым_, _tapojen_, _ышәымпыл_, _bangungo, 
   {{0x2f3302d8,0x0292030f,0x13fa02a2,0xe4bb0258}},	//   _संस्थेचे_, _papaki_, _natuto_, _kampearj, 
   {{0xc30301f1,0xcc160487,0x845e0040,0x505e0156}},	// [bb90] _islamit_, _awarenes, _מונעים_, _מונדיר_, 
   {{0x23f80434,0x347c038b,0x7f130079,0x662b0399}},	//   _saludo_, _diserahk, _detalizē, _nginingi, 
   {{0xd3070209,0xa3ea0241,0x53730288,0xcb3e0156}},	//   _broberg_, _abott_, _dagarae_, _צודעקן_, 
   {{0xb26c01f4,0xe2250024,0xfe0600ff,0x07310064}},	//   _nikoh_, _frakta_, _מיטװאָך_, _кенчилер, 
   {{0x6aba0072,0xc344018f,0xdd0602b6,0xb2d70291}},	//   _kaukjans, _dateqbe_, _үмбет_, _الغفران_, 
   {{0xa2d8019a,0x227e024a,0x905100b5,0x0d9c018b}},	//   _ordeal_, _akinye_, _естониа_, _adresele_, 
   {{0x0ecb006a,0x6b9b012b,0x02f0012c,0x52d403c2}},	//   _fanirian, _historię_, _mahindi_, _annooin_, 
   {{0x968c010d,0x227b01f3,0x00000000,0x00000000}},	//   _पैजार_, _zanepráz, --, --, 
   {{0xbc6c0077,0x4b790453,0x00000000,0x00000000}},	//   _aktuèl_, _bezobzir, --, --, 
   {{0x89f50162,0x227f0013,0x29d8025f,0x6348000a}},	//   _туратти_, _pochtasi_, _nakoloba_, _immerai_, 
   {{0x5fc5025c,0xb66d0398,0xe2f003cf,0xfc6200cb}},	//   _ferienwo, _قلاسس_, _kilitli_, _babusho_, 
   {{0xfec5000d,0x2ef40076,0x9c130161,0x00000000}},	//   _euroopas_, _субрата_, _картошку_, --, 
   {{0xce67008d,0x92920237,0x727e031a,0xe881019f}},	//   _саммити_, _straat_, _chinne_, _lililoku, 
   {{0xa5ce016d,0xb396021e,0x05020012,0xdee80208}},	//   _барма_, _massor_, _चट्यिाउव, _نتینی_, 
   {{0x785a0056,0x626c0282,0x32010203,0x860b0132}},	//   _тамаъҷӯи, _hikoi_, _extin_, _elmentem_, 
   {{0x675802d8,0x520103e6,0x496a0159,0x00000000}},	//   _मुद्दाम_, _gefier_, _газападо, --, 
   {{0x906e0265,0xa4300272,0xea030418,0xb6f80060}},	// [bba0] _techniek_, _akabondo_, _islamiye, _семіру_, 
   {{0x915c0144,0xce650222,0x1a090014,0x5b560231}},	//   _رشاقه_, _stockage_, _kompletu, _fortuita_, 
   {{0xb39606e0,0x920e00c7,0x734500dd,0x62e6049e}},	//   _varsle_, _ташак_, _bendant_, _dubnica_, 
   {{0x9f230639,0xc9b80257,0xe27e0096,0x56d304b2}},	//   _menentan, _handbolt, _ahinge_, _babasahi, 
   {{0xa2f10191,0x9eff029f,0x9ed60478,0x4e3b0417}},	//   _vägde_, _lokalít_, _aranesas_, _dienaars_, 
   {{0x5de300f5,0x5e6f0256,0x027e019a,0xce4702c0}},	//   _алдасыны_, _nelikumī, _chinge_, _пробие_, 
   {{0x437a01d8,0x11450135,0x81070156,0x53f9000d}},	//   _eksamin_, _чулман_, _מיאַמי_, _uppus_, 
   {{0x888e018d,0x8538006c,0x6ba80476,0xac11001a}},	//   _ንንጥፈታት_, _тантанав, _akakuvar, _بانکپن_, 
   {{0xbc880167,0x5f750139,0x88c200e6,0xc3940111}},	//   _cadernid_, _प्रक्रमि, _塌桥救援报道之_, _arasu_, 
   {{0xd2b500b0,0xe43900f3,0x83f8004f,0x5292033d}},	//   _burco_, _abakhank, _amoul_, _atrave_, 
   {{0x0c6b0288,0xdde7008e,0xc2620527,0xe3940310}},	//   _makurit_, _dadialé_, _školskih_, _drast_, 
   {{0x27ca0246,0xe2f00125,0xe1f503a1,0xc3ea0066}},	//   _consigli, _bilimli_, _бутона_, _multzo_, 
   {{0xa061028a,0xc7300079,0x69d8048f,0xfba70138}},	//   _اندرا_, _augustam_, _bakoloba_, _bankalar, 
   {{0xf3dc020a,0xfecc01e8,0x948c045b,0x02e700a8}},	//   _байланыс_, _koryente_, _описує_, _curnera_, 
   {{0x53ba0094,0xac710028,0x00000000,0x00000000}},	//   _кореяның_, _suuratu_, --, --, 
   {{0x461e015e,0xb38001b4,0xc2e100c1,0xc3200077}},	//   _السراعان_, _versprei_, _छापील_, _ayiyen_, 
   {{0x184b0037,0xb5790004,0x8cdc00bf,0xe93b03f7}},	// [bbb0] _የስቅለት_, _entwodik, _золотниц, _familíun, 
   {{0xd257057c,0x8a9e0222,0x926d005b,0xed9d0261}},	//   _føles_, _polyvale, _ansol_, _atingita, 
   {{0x3f330043,0x00000000,0x00000000,0x00000000}},	//   _aniranga, --, --, --, 
   {{0xc4010414,0x38db018a,0x920102be,0x06c60141}},	//   _batongak, _annedwyd, _eytis_, _almashdi, 
   {{0xc2a60314,0x00000000,0x00000000,0x00000000}},	//   _kgiba_, --, --, --, 
   {{0x950a0101,0x12da0172,0x5a330395,0xf43e00d0}},	//   _momentul_, _peteem_, _palackéh, _майнз_, 
   {{0x6b7900d1,0x5049037a,0x032102b1,0x437b041c}},	//   _আপত্তিজন, _kwirukan, _iyayen_, _daganal_, 
   {{0x756e00d1,0x84450276,0xa2e5000c,0xdbef0153}},	//   _যথাস্থান, _جايىغا_, _guinéa_, _シャドウハ_, 
   {{0xeffa0193,0x7fb00226,0x82010397,0x6f8f004d}},	//   _सरकारने_, _akulongo, _akwila_, _最後交易日之次一, 
   {{0x1c710277,0x934e0138,0xfb2301d5,0xb37e0374}},	//   _nternet_, _gebelik_, _anyagokb, _малайлик_, 
   {{0x13550163,0x13940663,0xb9e50375,0xb2070088}},	//   _zenekar_, _nsisi_, _apaulend, _суммадаг, 
   {{0xc394002a,0x72c2003d,0xdaf70145,0x72d901ad}},	//   _isisi_, _chilian_, _кардон_, _gaceno_, 
   {{0x9eeb051b,0x96d4007e,0x5cb60405,0x3d0e0145}},	//   _dozvíte_, _agramahi, _духовенс, _намеснік_, 
   {{0xa29005e6,0x191a05dd,0xf95e0021,0x22da0322}},	//   _gehad_, _मानहानि_, _anulocyt, _barema_, 
   {{0x19430683,0x5ecd00d1,0x00000000,0x00000000}},	//   _beslutte, _গোৱাবলৈ_, --, --, 
   {{0x439401d9,0x307c052f,0x499d02b6,0xafe6027b}},	//   _krass_, _ngobuhlo, _наным_, _anuniṣpā, 
   {{0xb9c10312,0xb22501c6,0x95a7012a,0x42d40156}},	// [bbc0] _degemere, _beaken_, _जुडते_, _dekonon_, 
   {{0xcf23055d,0x1bf102f7,0x23940558,0x9d8c04e3}},	//   _penentan, _buitsets, _osisi_, _točan_, 
   {{0xa7d002b5,0xb34802e3,0x739600c5,0x9c3e0264}},	//   _sangcwng, _likenew_, _casser_, _kompyans, 
   {{0xac76008c,0xa39600e2,0x365f0119,0x12300062}},	//   _encurir_, _farske_, _jerichow, _posjaj_, 
   {{0x396b038a,0xcde50061,0x0c58029e,0x63ea0119}},	//   _allintat, _버스정류장_, _distruj_, _pagtu_, 
   {{0x0f7100a4,0x5a290350,0x00000000,0x00000000}},	//   _estalvis_, _አንጋፋው_, --, --, 
   {{0x22390397,0x72a6044a,0x3d2303dd,0x493f03a9}},	//   _нозук_, _fumbwa_, _hadithet_, _аьргаша_, 
   {{0x43940703,0x6a7c0333,0xb2f2003f,0x637f0340}},	//   _msasa_, _insalata_, _boliqlu_, _raiatea_, 
   {{0x7fe5017e,0x49fa0294,0x32f10024,0x53ea014d}},	//   _aktualaĵ, _alpikuna_, _কৈশোৰ_, _fakten_, 
   {{0x4725027f,0x63960092,0x79ba0025,0xbc19030a}},	//   _aramwang, _basser_, _arciṣas_, _turgalic, 
   {{0x9b8900e4,0xbd0b0244,0x62ee00e2,0x740202ff}},	//   _ratownic, _ritrovar, _kloft_, _katreven_, 
   {{0xd39403b0,0x04370328,0xa37a02cd,0x00000000}},	//   _trass_, _bishimik, _dawakan_, --, 
   {{0xb396025c,0x9ee20177,0x839400a5,0xf49f012e}},	//   _wasser_, _корреа_, _asasa_, _hibajelz, 
   {{0xb2da032d,0x4ec40534,0x02da01c9,0x14fb00e4}},	//   _mareka_, _tienphon, _parema_, _चुकानी_, 
   {{0x32da0099,0x3a7c018b,0x34ad003c,0x00000000}},	//   _eareka_, _nicolaes, _dikarbok, --, 
   {{0xf3ea0362,0xe9e40381,0x8d0c027b,0x00000000}},	//   _aboti_, _abiribdd, _संस्कृतज, --, 
   {{0xe583003d,0x42d901c2,0x3412004d,0xdfb50425}},	// [bbd0] _incomplè, _facelo_, _我的部落格_, _دوزخورما, 
   {{0x49f6008d,0x874e00ff,0x47e70177,0x837a0053}},	//   _کوریا_, _אויוון_, _иреиҵам_, _bawakan_, 
   {{0x4a7b0361,0xad7704ae,0x4224012a,0xb37a053b}},	//   _сталина_, _тестером_, _ramka_, _rodando_, 
   {{0x8aa6024a,0xaf4002ec,0x72000009,0x610400d1}},	//   _adeyinka_, _پیمانا_, _avdio_, _কিলাকুটি_, 
   {{0xa3260066,0x97950137,0xe60d02b6,0x5fed0081}},	//   _экспорто, _сувилал_, _امانداسا, _alskonar_, 
   {{0x700004c4,0x003801e9,0x8c71027e,0x4da201c7}},	//   _funktsio, _barekolo, _istragu_, _agrosena, 
   {{0x982d01bb,0x82240079,0x537a010d,0x416f00d9}},	//   _командад, _stikla_, _bawahan_, _nimessä_, 
   {{0x895c042b,0x529202c2,0xf71e0008,0xd63500e2}},	//   _iskorist, _strate_, _баага_, _abonnemi, 
   {{0x7e3102c5,0xc23b00fd,0xa17700bf,0x0c00001d}},	//   _chilenas_, _caileag_, _весть_, _haustet_, 
   {{0x02f0015d,0xcba501ef,0x5e5c0137,0x2c5a00c4}},	//   _komisji_, _эльзас_, _түгсэн_, _protini_, 
   {{0x2fda018d,0xd2da005f,0x48e4002b,0xe1d60036}},	//   _ክትርጎም_, _pareja_, _সমস্যাটা_, _geantraí_, 
   {{0xf8470302,0x02da00a9,0x6f2503a0,0x714d0478}},	//   _салафи_, _bareka_, _bolehyon, _montanho, 
   {{0x04ce00e6,0x3ab300bc,0x52a6044a,0x904a027d}},	//   _轻轻松松练口语_, _رختکن_, _fumbua_, _разоткри, 
   {{0x72830362,0xa355026c,0xa696035b,0x8f2700a7}},	//   _ayokaka_, _liberis_, _obremeni, _таласка_, 
   {{0x323b06a0,0x627203cf,0x6af900ff,0xbeca00d9}},	//   _mailbag_, _sınav_, _אינדיאנע, _стасов_, 
   {{0x439600ce,0x503301f7,0x827f010d,0x9ea70388}},	//   _parske_, _aligança_, _mianhe_, _assumere_, 
   {{0x02c30195,0xaa850088,0x14370177,0x7b5b00fe}},	// [bbe0] _bhalgan_, _تويدو_, _рыцҵара_, _lanumata_, 
   {{0xb28301a4,0x46de034e,0x820002bb,0xb70900d1}},	//   _eyokaka_, _chaparay, _namiot_, _লৰাটোৱে_, 
   {{0xda530441,0x38820210,0xd482034c,0x12e90108}},	//   _objevila_, _andinoku, _алынмасы_, _basisna_, 
   {{0x32d400cf,0xf65a01fc,0x2f0c0088,0x10320126}},	//   _aabotaa_, _dankaali, _шаршемби_, _одноймен, 
   {{0xe88b034b,0x46410344,0x9da7020a,0x00000000}},	//   _stekhold, _aprilimi, _مازامدى_, --, 
   {{0x85a00173,0xb2fb0195,0x4c5601a6,0x13a2000a}},	//   _পাবলিক_, _lachlan_, _kautere_, _apipsi_, 
   {{0xb9e40326,0xd3f80318,0xdc6701b4,0xd3990287}},	//   _mukomana_, _amoua_, _matteus_, _salačová_, 
   {{0xd2240075,0xc3f40321,0xde53000c,0x7cf4002f}},	//   _leikin_, _kartic_, _ilocalpe_, _chojpiku_, 
   {{0xbad503b9,0x186200bc,0xc2c502f0,0xbdfc0462}},	//   _asitasat, _redaktur_, _bahlose_, _angelawa, 
   {{0x539402e2,0xc225027f,0x8344018a,0x43fa04a5}},	//   _grash_, _arakwa_, _haddasu_, _basuka_, 
   {{0x0c940018,0xff2c053f,0xdb4001c8,0x370900e5}},	//   _valetabu_, _llatunka, _nekonečn, _мешков_, 
   {{0xfbdf0138,0x92da0544,0x5c72059c,0x8d0700b9}},	//   _talepler, _mareia_, _betreut_, _अनुस्वार_, 
   {{0xd6320195,0x9f7000ec,0xf2e7024c,0x22cb00c4}},	//   _chananai, _balandis_, _furnara_, _kukosoa_, 
   {{0x221301df,0x62c30251,0x02d90359,0x8a5f0025}},	//   _pithy_, _khaldan_, _deenske_, _atropaṣṭ, 
   {{0xde65027f,0x00190188,0x63780304,0x00000000}},	//   _bamboshe_, _амиқтар_, _bilapun_, --, 
   {{0xd81f0153,0x1394009f,0x75fa0107,0xd1780089}},	//   _チェリム弁当_, _prask_, _ازماندهی_, _босниядә_, 
   {{0x44170417,0x83e60033,0xa31f0102,0xc6f6045e}},	// [bbf0] _politiek, _publicaz, _رٽائر_, _научете_, 
   {{0xc8f0017d,0x03800194,0xf93a0064,0x3a950025}},	//   _prisstig, _extran_, _acampada_, _अस्मान_, 
   {{0xa22b0003,0x00000000,0x00000000,0x00000000}},	//   _vermeld_, --, --, --, 
   {{0x720f012a,0x82b50585,0x16d30251,0x8b300153}},	//   _प्रश्नों_, _kurca_, _sanadihi, _であなたの相談に, 
   {{0x23790048,0xe9fb02e7,0xc2c301af,0x03940418}},	//   _kitanda_, _makilala_, _ahaldan_, _arasi_, 
   {{0x129105f1,0xe7370258,0x3025004d,0x0197015e}},	//   _bubaye_, _smelling, _微軟未來生涯體驗, _كىرگىزىش, 
   {{0x22ee02e7,0xdd8c01ff,0xe22404c9,0xb37903c5}},	//   _goofs_, _sandále_, _ffikon_, _ditanda_, 
   {{0x12fc05cf,0x5ec800c5,0x297d0139,0xd39601c0}},	//   _ostaviti_, _小影酷电影报道_, _agrahaṇā, _massar_, 
   {{0xab720066,0xe7840040,0x13560438,0xc3960073}},	//   _станц_, _והתשובות_, _anafika_, _lassar_, 
   {{0xa26c0117,0x08f60066,0x53940220,0x1c520129}},	//   _bikos_, _атлетики, _frasi_, _kwetara_, 
   {{0xdd0804f2,0xd3890037,0x1c880156,0x626c007d}},	//   _vietstoc, _መውሰዱን_, _ראַנגלער, _hicom_, 
   {{0x1c610013,0x3bff0226,0xc2d60071,0x00000000}},	//   _کانگرس_, _azunguwo_, _berokan_, --, 
   {{0xc35500a4,0x61a20238,0xfe540148,0x9c640234}},	//   _курорту_, _польща_, _mirabile_, _isotopu_, 
   {{0xfab10141,0xa61201a3,0x43db0370,0x00000000}},	//   _سینینگ_, _مارُو_, _barempug_, --, 
   {{0x3cbe0143,0xd20e0371,0xa2c3075e,0x00000000}},	//   _матей_, _марая_, _джунид_, --, 
   {{0x634001fb,0x9510019b,0x4db9016d,0xd20101c4}},	//   _facerea_, _фермі_, _муҗәссәм, _gevier_, 
  
   {{0x2a2800cd,0x57410061,0xa2900386,0x8c5202e1}},	// [bc00] _parcella_, _전체기사의견_, _pdhal_, _hintinn_, 
   {{0xe531008f,0x30d70169,0x939502f3,0xeecc042d}},	//   _कम्बल_, _স্বাক্ষর_, _frysa_, _hafirian, 
   {{0xc9fb0140,0xdc1a038a,0xe31702e2,0xc827016f}},	//   _kakilala_, _caxamarc, _bananey_, _гарантує, 
   {{0xeae70022,0x574d0036,0x7e520184,0xc40104e6}},	//   _aparetse, _تشلسي_, _barakija, _patungan_, 
   {{0x52e7035e,0x1d3e0153,0x2314030d,0x3b9b0452}},	//   _turnira_, _すべてのタグ_, _atabank_, _कायतरी_, 
   {{0x0f2200be,0xdb67012a,0xe1b00208,0xa396036c}},	//   _اۋتوموبئ, _चुदने_, _منالی_, _bassir_, 
   {{0x287800ec,0xf183002b,0x9278012a,0xd0450140}},	//   _барадулі, _রাজতন্ত্, _sernik_, _balumbon, 
   {{0xfd1f00d7,0x32d7024e,0xaec404f2,0xe71f004a}},	//   _аманат_, _govorio_, _vienthon, _амалар_, 
   {{0xbf9102fe,0x1c580061,0x6a150050,0x996e0414}},	//   _پروژی_, _스크립트입니다_, _ditarima_, _eyengebe, 
   {{0x40460755,0x22f102e4,0x0cf300e6,0x30be017a}},	//   _भेटलनि_, _antilli_, _卖家好评率_, _asemazul, 
   {{0x326d0141,0x48d3012c,0xb2820207,0xcacc002b}},	//   _inson_, _حادثي_, _ushahidi_, _এশীয়_, 
   {{0x210f017a,0x12e801d2,0xd63f013f,0x5161017a}},	//   _abakhohl, _badilla_, _bourrapl_, _amarekho, 
   {{0x177f004d,0x9a340291,0x00000000,0x00000000}},	//   _婚姻監禮人_, _dhúshlái, --, --, 
   {{0x0afa0128,0xb3f40074,0xb75a0311,0xd3ce03b8}},	//   _میناپولی, _mutten_, _ምጽባይን_, _самбодан_, 
   {{0x1627019b,0x1682030d,0x815e0211,0x00000000}},	//   _камандзі, _reyestri, _древнего_, --, 
   {{0x634105f1,0xd5de0024,0xa54401c5,0x7e0502e5}},	//   _barenga_, _হাঁহিৰাম, _dhiidhiy, _nanembop, 
   {{0x537f01a7,0x820100a8,0x7a6c00a6,0x00000000}},	// [bc10] _samalla_, _revier_, _مطمین_, --, 
   {{0x925f0179,0x70890038,0xb28702fe,0x3c44038a}},	//   _mittheil, _лениза_, _ebikade_, _ayawaka_, 
   {{0x05c701f6,0x079f01e5,0x35f7004d,0x35570297}},	//   _বিপৰীত_, _boluwati, _數位影像處理探索_, _feşinnıñ_, 
   {{0xc2b40062,0xb39a02dd,0x3eac034c,0x33f80170}},	//   _chich_, _flixkun_, _буламыни_, _kalumo_, 
   {{0x49fd0343,0x9e4802fd,0x00000000,0x00000000}},	//   _gigarant, _motairea, --, --, 
   {{0xa9aa00cb,0x03940107,0xa3fa021b,0x00000000}},	//   _боъис_, _dhosok_, _istuin_, --, 
   {{0x95050040,0x00000000,0x00000000,0x00000000}},	//   _זועבי_, --, --, --, 
   {{0x9b6b0053,0x02240160,0x00000000,0x00000000}},	//   _dikonver, _zamke_, --, --, 
   {{0x92d70261,0x8c340192,0x4fe905c5,0x52dc00b2}},	//   _raporto_, _민주주의법학연구, _बियाबान_, _asgorii_, 
   {{0x41850247,0x5c93016d,0x91fb023c,0x5f000193}},	//   _نظارت_, _ئاداش_, _ختيځي_, _कार्याची_, 
   {{0xb3820162,0x00000000,0x00000000,0x00000000}},	//   _بايلارنى_, --, --, --, 
   {{0x6eb5011e,0xf3870233,0x00000000,0x00000000}},	//   _klarifye_, _gepra_, --, --, 
   {{0xeb740044,0x6c7201d9,0x51510462,0xc9f705db}},	//   _מאוננות_, _getraut_, _addlesay_, _abangena_, 
   {{0x944b016f,0x42c6017d,0x00000000,0x00000000}},	//   _зсередин, _hermens_, --, --, 
   {{0xa2ee019c,0x3d570314,0x459902c3,0x22d405b3}},	//   _awoniyi_, _баҙнат_, _odpoviem_, _hardop_, 
   {{0xe9eb0184,0x1b45046f,0x5a7f0060,0x4341030f}},	//   _azonyica_, _preparéi, _زامانىنا_, _parenga_, 
   {{0xa2920415,0x00000000,0x00000000,0x00000000}},	// [bc20] _heraus_, --, --, --, 
   {{0xe2cb00e1,0x324901e9,0x5eb1003b,0xc2920270}},	//   _saadiq_, _adamah_, _acashise_, _jurate_, 
   {{0xc2b1046d,0x32db01f4,0x32d60274,0xcd65025b}},	//   _lindela_, _barobar_, _andlát_, _bussføra, 
   {{0xb41100ba,0x238002a4,0x00000000,0x00000000}},	//   _لینۆکس_, _currus_, --, --, 
   {{0x5ae50418,0x42ba031a,0xb9cf0396,0xd3390152}},	//   _beklenen_, _cordadh_, _beneditt, _фейнман_, 
   {{0xe27f0303,0x00000000,0x00000000,0x00000000}},	//   _akanye_, --, --, --, 
   {{0xd2b404f2,0x03f101b5,0xb26d0461,0x9c230513}},	//   _thich_, _andlalek, _dison_, _matrihis, 
   {{0x999f0153,0x93b20420,0x3e2e00f2,0xea7c042d}},	//   _sikkerhe, _busque_, _tālajos_, _botabota_, 
   {{0xa6720199,0x5f9c020a,0xe5d800e6,0x36b20219}},	//   _chodansi, _جانباعان_, _市新闻出版局_, _ebigcili, 
   {{0xf4b50086,0x13bb005a,0x7e500347,0xbf0b041a}},	//   _آبروریزی_, _chavnis_, _redaksie_, _rådmanne, 
   {{0x63fa0243,0x8c560377,0x33fa0111,0x42780074}},	//   _absuma_, _cautare_, _populu_, _lounas_, 
   {{0xe947005d,0xb35d015e,0x02d703f1,0x8f34033e}},	//   _añoieter, _сабаттуу_, _kollár_, _ivisítap, 
   {{0x58b6023c,0xdc140405,0x72f100a1,0x434f0066}},	//   _کرکيټ_, _styrings, _kōingo_, _beretik_, 
   {{0x137f0482,0xde4d001b,0xf3fa013d,0x92d70086}},	//   _asnaama_, _afraffaa, _naturo_, _dollár_, 
   {{0x476e027f,0x606c00a5,0x3cf20027,0xfc7002f3}},	//   _abahamag, _fakatino, _statitav_, _satsade_, 
   {{0xfc74040e,0xd9d6020e,0x028d02b4,0x00000000}},	//   _kåring_, _ferekane, _imukela_, --, 
   {{0xe6f2014a,0x04ef02ee,0x5c170290,0x00000000}},	// [bc30] _mostantó, _dispaċċ_, _canaster, --, 
   {{0x22590145,0x4939004d,0x42a00095,0x1033031e}},	//   _aistruol, _您準備好了嗎_, _carbet_, _čitavoj_, 
   {{0x72d001e0,0x310500f0,0x1ae300c5,0x7eae04da}},	//   _بیردۆزه_, _polievky_, _sportive, _izdržati_, 
   {{0xec7c0415,0xc34f0132,0x0da40334,0x826d00d8}},	//   _meisten_, _keresik_, _ambuyetu_, _aison_, 
   {{0xdc7c0415,0x0fd700b9,0xf84b0016,0x114c0204}},	//   _leisten_, _beritado, _mortigis_, _laatikko, 
   {{0xe39403ad,0x149a03f0,0x00000000,0x00000000}},	//   _imissu_, _fatamark, --, --, 
   {{0xfc7c046f,0xd26d034b,0x7c6e0092,0x00000000}},	//   _neisten_, _vison_, _鉄甲機ミカヅキ_, --, 
   {{0x42a00478,0x02d80685,0x32b503cf,0x86d00082}},	//   _marbre_, _emnet_, _burcu_, _gagarumi, 
   {{0x46c50031,0x34a3010d,0xa1b2002b,0x73e802e4}},	//   _personil_, _persetuj, _বলতেই_, _battalji_, 
   {{0x26b50005,0x829001d3,0x82fb015a,0x91190244}},	//   _valsecch, _turkiet_, _dachaan_, _редник_, 
   {{0x8549008f,0x104e0082,0xff1902fe,0xa50101b4}},	//   _स्पेशली_, _ahlussun, _پیپلزګون, _waterval_, 
   {{0x52b5022e,0x803200c1,0xcb2d0456,0xde56019d}},	//   _turcu_, _पाचही_, _kumbahan_, _kenakake_, 
   {{0x226d0013,0x527802da,0xb38f0119,0x867a0375}},	//   _misol_, _alunos_, _chiyoda_, _atakolow, 
   {{0x52240129,0x1dc5014d,0x0aa406d1,0x1f570160}},	//   _esikwa_, _herkunft_, _pragmáti, _proročan, 
   {{0x1cd40088,0xd2860153,0x00000000,0x00000000}},	//   _توشبوعۇد, _ドメイン指定され, --, --, 
   {{0xe2240036,0xf5c000ba,0x4d0d00f6,0xb2a00241}},	//   _lamka_, _ئاڤێستا_, _tutacağı, _darbre_, 
   {{0xa882022f,0x00000000,0x00000000,0x00000000}},	// [bc40] _вострай_, --, --, --, 
   {{0xe31701b9,0x234101c5,0xcc4803e6,0x5c5a04a4}},	//   _leparaz_, _wareega_, _entwert_, _postadh_, 
   {{0x7349012b,0xab91009a,0x27510528,0xcb1901b3}},	//   _foldery_, _ezenkolo_, _fionnlag, _заблокув, 
   {{0x4c980064,0xde5101d8,0x00000000,0x00000000}},	//   _objectiu_, _kulaseka, --, --, 
   {{0xe5e80092,0x51da0163,0x43e70046,0x2c1401a3}},	//   _累計の訪問者数_, _آدمی_, _جازباي_, _لوڊنگ_, 
   {{0x57b40272,0xed0f0334,0xdd8c01f3,0xb4d60360}},	//   _abattirw, _akumbuke_, _počin_, _धारिलो_, 
   {{0x42cb00a1,0xec5901af,0x326c0369,0xdeb200c5}},	//   _hononga_, _dostluk_, _makou_, _annuelle_, 
   {{0xe34a05aa,0xcc8c00c5,0xe1b20230,0xc2dd0018}},	//   _dyreliv_, _climatiq, _okumansm, _moronai_, 
   {{0x607d00c5,0xc3ce0496,0x839501d6,0x2c60007b}},	//   _千龙新闻网_, _halvim_, _bryst_, _bitties_, 
   {{0xb2ee0224,0xa9870065,0x1da2007f,0x827f0326}},	//   _kannski_, _sucherge, _sectorau_, _bhande_, 
   {{0x626c01a4,0xe17d02fb,0x00000000,0x00000000}},	//   _bakitisi_, _tisaipal, --, --, 
   {{0xb22b05e6,0x22cb0049,0x033002e4,0xfc6a00f3}},	//   _sommige_, _fononga_, _djakonij, _inkungu_, 
   {{0x9fa70040,0xd50c0096,0x539f03a4,0x7510023a}},	//   _נעשתה_, _amamiliy, _akraberg_, _nedosiah, 
   {{0x6eb900e1,0xab490092,0xef78038e,0x62dc020e}},	//   _girondin, _コメントの投稿_, _खानदेशी_, _dibolai_, 
   {{0x441c048a,0x378f0199,0xf6860040,0x2c560343}},	//   _министрі_, _cantimvi, _לסידיה_, _giatake_, 
   {{0x03950271,0x4d7102c7,0xe8fd0315,0xb069004d}},	//   _kryss_, _atembera, _ingaland, _他死了以後_, 
   {{0x45c3005e,0xf3f8033d,0x022a01b9,0x00000000}},	// [bc50] _ﺋﺎﺭﺯﯗ_, _adousi_, _tayming_, --, 
   {{0x098e0039,0xf3e50061,0x928202e0,0x5667000c}},	//   _ханиа_, _바이올린이_, _ditabogi_, _ҭалико_, 
   {{0x8e7d00a4,0x3c0b0362,0xf5f20021,0x7da402bb}},	//   _víctimes_, _bompeto_, _arametri, _limitowa, 
   {{0xb2fc00d6,0x231300da,0x216e034c,0xb9f601ac}},	//   _thogra_, _efectua_, _бармаган_, _ostán_, 
   {{0x991400b5,0x2d9a0218,0xdf680488,0x00000000}},	//   _акредитҟ, _ebdomada, _kazaņas_, --, 
   {{0xb264046d,0x4cf7032d,0x4cb900b0,0x8c8b018d}},	//   _muhotoni_, _клиентта, _sanadood_, _ኣቆጻጽራ_, 
   {{0x32ee01a4,0x126c00ce,0x16cc00b3,0x0877017d}},	//   _ananasi_, _lakot_, _доктрини, _lancerer_, 
   {{0xc2cb00ab,0x1b620052,0xd8b601b2,0xc9da00c7}},	//   _pononga_, _पुरनो_, _batterer_, _gastrold, 
   {{0x68fd0315,0x642a02e2,0xa424013c,0x0c6000bd}},	//   _angaland, _aayannoo_, _ofisinin_, _pitties_, 
   {{0x92830204,0x62f102c2,0xd2fd00c7,0x86890046}},	//   _leikata_, _stilletj, _kaynıy_, _وورۇدۇ_, 
   {{0x871800a2,0xc26c0007,0x2b9902b6,0x4c6000d2}},	//   _سونهري_, _bakoti_, _назарына, _bulucun_, 
   {{0xa0fc00c5,0x6bee0205,0xd27900fb,0xbf370287}},	//   _网站或个人从本网, _парол_, _andifuni_, _podniků_, 
   {{0x4c60019a,0x96bb0437,0x694c029a,0x526d01fe}},	//   _titties_, _forandri, _mazorite, _kasiviti_, 
   {{0x3b17018b,0xddc400b0,0x3af701b9,0x75900040}},	//   _dispozit, _arrimaha, _infrakst, _במצוקה_, 
   {{0x0202012a,0x62e90039,0x82e601ad,0xd2740097}},	//   _nosić_, _estiloa_, _ppingen_, _àgbàyà_, 
   {{0xec690333,0xb96a0315,0x52250387,0x633f000c}},	//   _situati_, _atinamit, _nguko_, _ndakyhyj, 
   {{0xec1e0037,0xa26c02c3,0x00000000,0x00000000}},	// [bc60] _በወጣትነት_, _takou_, --, --, 
   {{0xc3f400c3,0x2f1f0108,0x1edd0248,0x2cda00a4}},	//   _castra_, _belenyen, _actualíz, _калетсиз, 
   {{0x6eb1006c,0x36d200c1,0x33f904b9,0x9b8101d3}},	//   _abalifun, _रणजित_, _blauds_, _utropspr, 
   {{0xd3e70207,0x32ba0145,0xf2da005f,0x77a1039f}},	//   _راجستان_, _апаратна_, _casero_, _impuriti, 
   {{0x82a000b6,0xc46001d2,0xc1c200be,0xf757015e}},	//   _karbat_, _derechuk, _كۅربۅچۋ_, _жамийла_, 
   {{0x5a690125,0xdc530125,0x4a8000ce,0xa6a70026}},	//   _commerzb, _патшалар_, _negosyas, _overnach, 
   {{0x8e1b00a1,0x42250002,0x269a04ee,0x8b9b0294}},	//   _tapenaka, _stakla_, _ihenchọp, _hatikacc, 
   {{0xd2a6024d,0xc3f40031,0xdb3f0037,0x235300a6}},	//   _ngibo_, _sastra_, _ተቋቁሟል_, _شهکار_, 
   {{0xab5605fd,0x91170406,0x0398040a,0x22770226}},	//   _sentiasa_, _मध्यान्ह_, _lösas_, _chisamal, 
   {{0xb26c044a,0x527e0281,0xbfc201a3,0x93440352}},	//   _bakosi_, _akinut_, _راٺوڙ_, _omsette_, 
   {{0xbc23023b,0x4e5503b0,0xbb170255,0x960002d9}},	//   _aipohaku_, _osmanske_, _lavastus, _taumatei, 
   {{0x9c6902e7,0xf3000017,0x82010046,0x160c00a6}},	//   _litrato_, _veselí_, _creieu_, _وزیردې_, 
   {{0xf2a00101,0x3bb4011f,0x3fcc0037,0xfe480037}},	//   _barbat_, _coacción_, _እኩልነትና_, _በኩንታል_, 
   {{0x238500db,0x854e004d,0xc301056b,0x858a0485}},	//   _helsingi_, _中華電信數據通信, _datangi_, _følsomme_, 
   {{0x4fe80074,0x53000285,0x0c720434,0x352c0187}},	//   _секреты_, _minagri_, _fuertes_, _camisinh, 
   {{0x6b2a01cd,0x120204bd,0x6abc0366,0x0fb80088}},	//   _ababenab, _hipiko_, _альпи_, _абыке_, 
   {{0x40600145,0x1d680156,0x0b0a0061,0xec01019a}},	// [bc70] _klasikin, _בענזין_, _시설관리공단_, _pressur_, 
   {{0x9fbb0247,0x504d029a,0x164a038a,0xd39401d1}},	//   _فرستنده_, _kontinyn, _anchatam_, _grasp_, 
   {{0x4fc9013c,0x9c650385,0xfae70478,0xa259038e}},	//   _istismar_, _dostavu_, _arretrob, _भूमिपूजन_, 
   {{0xf89b029c,0xdfe10040,0x5141008f,0x43210181}},	//   _amakhulu, _seizures_, _निमंका_, _ayayan_, 
   {{0x026c021e,0x33420309,0x97bf0297,0x1e570665}},	//   _bakom_, _aprelin_, _abunäçe_, _evocante_, 
   {{0x54d501b7,0xbf05004d,0x32a90253,0x00670365}},	//   _त्रिधा_, _依出席及參與討論, _chicagom, _जाओस्_, 
   {{0xedaf0583,0xa2b5029e,0x6da400e4,0x00000000}},	//   _smetenju_, _furch_, _nominowa, --, 
   {{0x3a7604c1,0xb5b900a0,0x00000000,0x00000000}},	//   _piblikas, _birgediy, --, --, 
   {{0x226c0206,0x2e48039a,0xb9cf0311,0x7aea02b6}},	//   _takom_, _maksudmu_, _በብዓቕሞም_, _ماندىتپا, 
   {{0xf3f20466,0x148f042a,0x75bd0092,0x60b704ed}},	//   _stručnih_, _bangemak, _評価がありません_, _मुलुंड_, 
   {{0x2f6502e2,0x6f920147,0x304203e6,0xd2ca03ad}},	//   _squattin, _өбөлгө_, _bestietn, _feddej_, 
   {{0x128d012d,0x8fc400c1,0x4f09004a,0xff6501ac}},	//   _volkeno_, _ब्रिजेश_, _apparatı, _مختصرة_, 
   {{0x6475007a,0xd2ee041c,0xe63803a4,0xa47004e5}},	//   _disediak, _bioff_, _beinraki, _batendek, 
   {{0xf24a02ea,0x826c023e,0xc340017c,0xf30f01d5}},	//   _incontri_, _lakok_, _paketen_, _filmnézé, 
   {{0x79de024f,0xd6ea02e2,0x00000000,0x00000000}},	//   _borogaga_, _ardchooi, --, --, 
   {{0xb92602da,0xb379024a,0x4e570357,0x135b035e}},	//   _причини_, _didagun_, _matameke_, _progona_, 
   {{0x438f006f,0xcb6802ee,0xae0500e6,0x390c004d}},	// [bc80] _wanyama_, _awstrija_, _中国白蚁防治中心_, _palatinu, 
   {{0x152d03de,0xfe340024,0xf252025b,0x637b02be}},	//   _ezintath, _উচ্চতম_, _partafel, _hahatol_, 
   {{0xd0e8001b,0x623f01be,0x1c6100dc,0x16e102af}},	//   _mubaarak_, _filmech_, _masuiga_, _mwabashi, 
   {{0xf3ea055a,0x9b2d043d,0x2ebc035d,0xb0ce0060}},	//   _emitir_, _tumbuhan_, _prvobitn, _بەرگەننە, 
   {{0x9c0302fc,0xf9890135,0x8d58034c,0x3db0005c}},	//   _makumyab, _солдатка_, _лексик_, _babaruwe_, 
   {{0xf26c035b,0xcc6700a6,0x528c0320,0x516c004d}},	//   _takoj_, _درواغ_, _hlakata_, _台北縣廠商_, 
   {{0x52d6019a,0x9c1a0318,0x22f900c7,0x00000000}},	//   _sailors_, _loungutu_, _болгарда_, --, 
   {{0xe69b012c,0x1236013b,0xdd290125,0x72c3031a}},	//   _ورتائون_, _tunja_, _исләп_, _chalman_, 
   {{0x63940402,0x18cb0037,0x32d5019c,0x750d0444}},	//   _wahsyi_, _ፐርሰንት_, _asomọ_, _промыслы_, 
   {{0x5248024f,0xed7a01f6,0xe6ff021b,0xc6930310}},	//   _dikonesi_, _ভূমিকাত_, _справляе, _oileanai, 
   {{0xa52500a2,0xf6d20019,0x948606bf,0x43f203d8}},	//   _انڪشاف_, _теорияны, _भ्रामक_, _stručnim_, 
   {{0xc28603ba,0xe24904df,0x7c790291,0x00000000}},	//   _nschirm_, _adamsy_, _ابدعتي_, --, 
   {{0xa3000456,0x6ea4003d,0xeafb005e,0x03ea00f7}},	//   _pegawai_, _pertatge_, _دألةت_, _faktan_, 
   {{0xf2a60010,0xeece0038,0x420201eb,0x42d600da}},	//   _ngabe_, _артка_, _aguiye_, _сексуале_, 
   {{0x60eb024d,0xa3200103,0x826c00c8,0xac850040}},	//   _kwezomno, _mweya_, _bakopi_, _תופיע_, 
   {{0x626c056e,0x63eb0031,0x545c0061,0x1e1c028b}},	//   _ricos_, _amatir_, _민사소송법_, _воронежт, 
   {{0x2264036e,0x59f4026f,0xe1f1044a,0x83780015}},	// [bc90] _parlay_, _ارەڭگە_, _ebongwam, _tobanka_, 
   {{0xc3ea007b,0xe49c002b,0x892605bc,0xbf5c0080}},	//   _scots_, _ছাত্ররা_, _mørkøre_, _annakann, 
   {{0x7d4300ff,0x3348032d,0x906400dc,0xc6d40322}},	//   _עטניק_, _boteach_, _sinalafo, _bararahi, 
   {{0x534902a8,0x42000130,0x4e750178,0x00000000}},	//   _insetti_, _junius_, _abhayūpa, --, 
   {{0x93ea01f1,0xaeb9033e,0xfb380037,0x295602ea}},	//   _faktin_, _bangbors_, _ይከፈላል_, _проход_, 
   {{0x4fa4014e,0xce7c0052,0x00000000,0x00000000}},	//   _акумулац, _पूर्ब_, --, --, 
   {{0x01cc0193,0x9c9f0044,0x132100c2,0x039500b5}},	//   _favoritm, _starting_, _ivuye_, _arasê_, 
   {{0x3200019d,0xe5a401c5,0x03c80137,0xe71a005e}},	//   _aimike_, _websitek, _санваарт, _زىلالە_, 
   {{0x8da6026c,0x6ba40012,0x00000000,0x00000000}},	//   _林口長庚醫院_, _अनवतवा_, --, --, 
   {{0x879201c7,0x5b44012a,0x8f230303,0x2184026f}},	//   _агасында_, _pomagają_, _dumelwan, _مىسۋاك_, 
   {{0x42c7024a,0xd03a02dd,0x77560162,0xb96a034a}},	//   _bibaṣepọ_, _detenzjo, _تۇرماسلى, _antidese, 
   {{0x23090212,0x2c62028f,0x59660014,0xfa15020e}},	//   _connectv_, _amareke_, _nënkryet, _itabanya_, 
   {{0x29e30013,0xb06703ba,0xe6d80040,0x69c001af}},	//   _борада_, _bambusro, _מלכתחילה_, _amallara_, 
   {{0x09430092,0xe3bb0122,0xa5bb0238,0x4224014a}},	//   _afslutte, _اسهال_, _сталося_, _anikó_, 
   {{0x12410109,0x82d80298,0x08f50010,0x354a0303}},	//   _parkován, _meneti_, _angayivu, _bokhutsh, 
   {{0x7f5b0057,0x02fc037c,0x6dd8012b,0x226c0049}},	//   _አስደሳች_, _ordinis_, _krajobra, _hakoi_, 
   {{0x36d401a6,0x9224000b,0xe37904d4,0x62f40455}},	// [bca0] _karapahi, _bilkey_, _strakja_, _avancer_, 
   {{0xc2da0036,0x0f4d017e,0x3c4b02ce,0xbc710364}},	//   _nasedo_, _גיורת_, _santang_, _guernet_, 
   {{0x7e18048a,0xd29f038a,0x1a48011d,0x1a050614}},	//   _төсек_, _allchaym, _предечес, _påstande, 
   {{0xd6b0055c,0x02f40160,0xa1850392,0x82b400fc}},	//   _områder_, _velikoj_, _artagail, _chach_, 
   {{0xd9a50035,0x5dfe01d7,0xe4980096,0x5292014a}},	//   _алмаган_, _telesgua, _abasigaj, _lejjebb_, 
   {{0x8d4102e5,0x222c0029,0xcd9f00a9,0x21bc00af}},	//   _авице_, _دیجله_, _kwinjira, _продукту_, 
   {{0x8e340374,0x4c4b0452,0x63ac0365,0x00000000}},	//   _агарда_, _tantang_, _krupka_, --, 
   {{0x2e5600d9,0xa12d0088,0xe86700ee,0x00000000}},	//   _картины_, _батта_, _музейгээ, --, 
   {{0xdc6d031a,0x5ca90197,0xfa7303be,0x168b00d1}},	//   _llorona_, _direktè_, _bakabita_, _চাবুৱা_, 
   {{0xda0701d9,0x7292014d,0xf16f00d9,0x71710052}},	//   _erwaarde, _strafe_, _nimensä_, _držitel_, 
   {{0x7dbe0210,0x898e0361,0x69730418,0xee00018c}},	//   _anyarare_, _тарин_, _hakimiye, _kinderda, 
   {{0x32d800ab,0x5e490209,0xbb6c01aa,0x3d03027c}},	//   _heneti_, _ammasarp, _ancouver, _بدماش_, 
   {{0x38c90013,0x93540269,0x92da017e,0x58d504c9}},	//   _қарамасд, _maneras_, _kasedo_, _kabutang, 
   {{0xa5be01cd,0x23870139,0x8e520155,0x425600ba}},	//   _прага_, _acarad_, _ledarska, _رۆژژمێر_, 
   {{0x13ea00d6,0x2ddc0265,0x426c03e7,0x00000000}},	//   _scoth_, _marktpla, _sakop_, --, 
   {{0x40410029,0xb2fd044a,0x00000000,0x00000000}},	//   _کۆپنهاگن_, _shegé_, --, --, 
   {{0xd5290134,0xdc170239,0x2a1000d3,0x2c35002b}},	// [bcb0] _obasanjo_, _hanameer, _pamatuje, _টানটান_, 
   {{0x503e030f,0xe6580066,0x591902ea,0x5b9c001e}},	//   _aratakin, _шаттайга, _гаранция, _halifanc, 
   {{0x52b404f7,0x95480177,0x829202ea,0xf1f00094}},	//   _phach_, _amambáip, _strage_, _كلاستا_, 
   {{0xf1ff0193,0x3c63004a,0x00000000,0x00000000}},	//   _bukankah_, _долган_, --, --, 
   {{0x0f960159,0x824802e4,0x13f40004,0x00000000}},	//   _царстве_, _dejma_, _jisten_, --, 
   {{0xf99a024c,0xfe540080,0x00000000,0x00000000}},	//   _databażi_, _annannia, --, --, 
   {{0x302600ee,0xd2020212,0x41ed0326,0xfc760109}},	//   _импортын_, _optimi_, _chinosem, _घोप्टो_, 
   {{0xac4f017d,0xc7790061,0xd26d01fe,0xffda02f3}},	//   _midwest_, _고통스러운_, _oisou_, _casinobo, 
   {{0x5f490067,0x828d0513,0x10600145,0xaa7d002d}},	//   _kolporta, _amukela_, _prisimin, _colabora_, 
   {{0x770900af,0x7c1700b2,0x1b3300a6,0x72130046}},	//   _медики_, _banameer, _azichats, _кочмон_, 
   {{0x88fd042a,0xf2da0347,0x30aa023c,0x07320061}},	//   _anganand, _kopers_, _پريوځي_, _수도사업소_, 
   {{0xe76d00f5,0x42dc0050,0x607d0188,0x0c4800b3}},	//   _портретл, _dirobah_, _тарси_, _alarsyň_, 
   {{0x92b40357,0xf6c5022a,0x729203e0,0x65ea016f}},	//   _chaci_, _stralafi, _gerass_, _корми_, 
   {{0xb2df01e4,0x38cd00bf,0xbbe60263,0x00000000}},	//   _bojovat_, _вправе_, _spiegelr, --, 
   {{0xf28a01ef,0xe25c02a8,0x3590027b,0xdd260478}},	//   _мінет_, _moralità_, _दिनत्रयम, _apondent_, 
   {{0xeea200c5,0xc6e3060c,0x7e39004d,0x7ea10061}},	//   _天赐偷入皇宫_, _poschodi, _為什麼會長聲帶息, _보통비계속_, 
   {{0x435b02e0,0x006a0040,0xc26d0017,0xa2fc00fd}},	// [bcc0] _arogana_, _כדוגמת_, _nisou_, _bhogsa_, 
   {{0x902302d8,0x583c00ba,0x1b31012e,0x00000000}},	//   _menelepo, _رقافڵه_, _legelső_, --, 
   {{0x325301e1,0x25440046,0x1c9d0320,0x5a140357}},	//   _октябрьс, _октябрда, _enlelaku_, _matalila_, 
   {{0x898a0170,0xb2e302a1,0xcb6d0257,0xac7d00e2}},	//   _anakweza_, _argiewe_, _marokkó_, _measten_, 
   {{0x30f9031d,0x523a0093,0x98db0147,0x6c700419}},	//   _anxiousl, _принявши, _رموچۇلار_, _रेक्टर_, 
   {{0xa204017d,0x02ca0241,0x73730342,0x5c4b00fa}},	//   _住所又は居所_, _boodde_, _eskalye_, _gantong_, 
   {{0x935402d0,0x5f9400c8,0x00000000,0x00000000}},	//   _barefit_, _властар_, --, --, 
   {{0x8c2b0251,0xea5e0320,0x32920059,0x7faa0685}},	//   _arrimood_, _fonelaka_, _curare_, _sammenho, 
   {{0x74b90211,0x5e53029b,0x929002c2,0x00000000}},	//   _серебра_, _fesaluka, _behati_, --, 
   {{0x562c0090,0xa52c0210,0xe115027b,0x00000000}},	//   _asingadi, _asingady, _निभृतं_, --, 
   {{0x654f00cf,0xbc0b01d3,0x6e020462,0x6eb0004c}},	//   _lithosph, _inloggad_, _eatergra, _abalawun, 
   {{0x832002d0,0xbb61007e,0xc29100dc,0x52ca033d}},	//   _pinches_, _anirukta_, _faaasu_, _blodje_, 
   {{0x823c0310,0x09ab018d,0xd290024a,0x9fb100f3}},	//   _chumail_, _ልኣኹልና_, _gehasi_, _ekulondo, 
   {{0x428e02d6,0x3f5c0241,0x00000000,0x00000000}},	//   _шоколади, _gazaahan, --, --, 
   {{0xbf390140,0x160c00be,0x87490071,0xb22402db}},	//   _pinutuka, _بابامدان_, _روزشدن_, _maeka_, 
   {{0x76180151,0xc2640092,0x741c00ec,0xe34902d5}},	//   _colorifi, _afslag_, _турмы_, _pikenev_, 
   {{0xd41e01d1,0x8c07006e,0x448e0061,0xb3fd0191}},	// [bcd0] _question_, _bërét_, _키도레이블_, _barnsjuk, 
   {{0x7a6b03bf,0xc99d00f5,0xaff40326,0x4342019f}},	//   _kolobets, _докторын, _polyclin, _majengo_, 
   {{0xc3b703ee,0xed0b02ac,0x6e8304c7,0xe2340318}},	//   _zatvara_, _مخيمات_, _богатом_, _siamane_, 
   {{0xf1870016,0xf8f7009a,0x89e200c2,0xb27f0103}},	//   _אָנערקענ, _داستاد_, _zikomoka_, _akange_, 
   {{0xb2020125,0xb3a60066,0xca8800cf,0x8c78021c}},	//   _optiki_, _секундэд_, _baanguun_, _korunky_, 
   {{0x5e7c0255,0xee8f0811,0x52870087,0xfe370034}},	//   _बाक्स_, _promijen, _akekile_, _undankep, 
   {{0x8c7602fc,0xb9020156,0x2f88043f,0x2401001c}},	//   _akarimi_, _אקוראט_, _kašalj_, _katuigan_, 
   {{0x6ad50232,0xa03c02c6,0x7d0f0036,0x7b4100d1}},	//   _partopre, _alfendio, _linuxsec, _মাছোৰোকা, 
   {{0x322a0060,0xfbc7007e,0xee4003cf,0xb3fa002f}},	//   _содан_, _parikīrt, _canlandı, _catuyo_, 
   {{0x32b50478,0x3a140360,0x9c7303d3,0xb902018f}},	//   _turcs_, _polovině_, _børsen_, _dalarghd, 
   {{0xf2b402e5,0x09e203a6,0x1f2401b4,0xa21e0039}},	//   _chaco_, _rikomoka_, _naderhan, _шамбалын_, 
   {{0xbc4b0193,0xa57f0113,0x7acf0037,0xd5a904d7}},	//   _ganteng_, _boghdóir, _በባዮሎጂ_, _dansflok, 
   {{0x222b0139,0x22e60263,0x029200cd,0xf29104ec}},	//   _apsarāḥ_, _spinnen_, _burape_, _nubake_, 
   {{0xc26c032d,0x22c50360,0x6a060138,0x8627004c}},	//   _bokong_, _epilace_, _muhafaza_, _atiisati, 
   {{0xb5b60046,0x15190088,0x9b400453,0x3942022f}},	//   _булактар, _сармерде, _privukla_, _амбасадз, 
   {{0x94b60147,0x90730025,0xb571003e,0x5f6e00e6}},	//   _ئنفلياتس, _उत्तरपदे_, _автоледи_, _正常挂号时间排队_, 
   {{0x42020117,0xf3210135,0xa7d400a6,0xebed01db}},	// [bce0] _nating_, _belgeç_, _تناوونه_, _قيىنشىلى, 
   {{0x469c017a,0xca3c0135,0xa2ca041b,0x83200233}},	//   _kumfundi, _концерты, _hyndai_, _ganyat_, 
   {{0xec6800f7,0x00000000,0x00000000,0x00000000}},	//   _madrido_, --, --, --, 
   {{0xc3f402c2,0x3e580061,0x820200c0,0x00000000}},	//   _bottel_, _지금까지도_, _bating_, --, 
   {{0x529102aa,0x26040373,0xc31c00ae,0xfea40300}},	//   _odpad_, _akompani, _aracana_, _nebudete_, 
   {{0x62ca04b7,0x722d032d,0xd29101c0,0x026c0086}},	//   _eindig_, _считалоч, _buzaye_, _lakos_, 
   {{0x92920256,0x0dfb02f3,0xbc010514,0x93b20587}},	//   _atrast_, _huddinge_, _geostar_, _cervèl_, 
   {{0x39a8018d,0x68d00148,0x724b027b,0xa38f02af}},	//   _ኣዕናውን_, _generibu, _कैकेयि_, _manyama_, 
   {{0x827f03b6,0x5e4d040f,0x79950261,0xf2d50034}},	//   _akande_, _egzamina, _malgraŭ_, _spilast_, 
   {{0x49480374,0x9b1f0028,0x220e0008,0xa2fa00d1}},	//   _amaliyot, _kulankan_, _талак_, _জুলাইলৈক, 
   {{0xaae40024,0xef2801ef,0xc3b00242,0xebb70334}},	//   _কাটাৰৰ_, _tvarkara, _elaqe_, _chokomac, 
   {{0x8236019d,0x7377016d,0xc4a00075,0x714e0073}},	//   _kunja_, _قىمار_, _fyrstuhj, _montanio, 
   {{0xde0f0169,0x626c0342,0x00000000,0x00000000}},	//   _detenida, _pakou_, --, --, 
   {{0x8290050b,0xf4d70060,0x02b400c9,0x8c7d01ae}},	//   _sehari_, _наразы_, _thaco_, _avisado_, 
   {{0x12b50437,0x53870143,0x3c000081,0xb17f002b}},	//   _hundene_, _кремове_, _eymundss, _ঝাঁপিয়ে_, 
   {{0x926c0140,0x21cc02b2,0x42b50238,0xd497023d}},	//   _takot_, _біографі, _kundene_, _larghezz, 
   {{0xf27f0342,0xb3fd01d2,0x352900cf,0xbeac02ea}},	// [bcf0] _chanje_, _awustupi_, _binneeyy, _acconsen, 
   {{0xb93f00a1,0x8f69017e,0xdb7e011b,0x823b01f7}},	//   _aramakut, _kapablas_, _bokulaka_, _acampat_, 
   {{0x22ee00f3,0xbd8901aa,0x19de00c5,0xa3e60055}},	//   _phantsi_, _anyonewa, _个人所得税_, _declinaz, 
   {{0xbc430003,0x7deb0359,0x620200bc,0xe26c0105}},	//   _netwerk_, _nasjonaa, _pating_, _jakos_, 
   {{0xc33d01ec,0x6ff50061,0x53550058,0xcbd100d1}},	//   _سیمان_, _최종수정일_, _kafetar_, _কন্ঠৰ_, 
   {{0x9f360040,0xfc6e0146,0xefba007f,0xf960033d}},	//   _מבושלים_, _oversea_, _chytbwys_, _filojene, 
   {{0x37cb0501,0x42c601d7,0xf26c0244,0xda7701b6}},	//   _लोकमान्य_, _termins_, _усмотрен, _nanocrys, 
   {{0x82900325,0x64d9014f,0x9985035e,0x4dfe0060}},	//   _ilham_, _просветн, _kutijama_, _تەسىك_, 
   {{0xc27e01e5,0x62cd0272,0x04950359,0x1a0f0256}},	//   _ajinde_, _abulako_, _alhoewol_, _vakarkle, 
   {{0x726c02bc,0x2b470542,0xb4030017,0x388700a6}},	//   _rakot_, _आपत्काली, _vizuální_, _مراعت_, 
   {{0x5fc301d1,0xc7a6022a,0x1a28025c,0x18530192}},	//   _register_, _bladovag, _trockene, _gekleurd, 
   {{0xff310373,0xbc620326,0x3b8a0445,0x4bee0211}},	//   _profitan, _adurure_, _dianteir, _марок_, 
   {{0xfe17018b,0x5011025b,0x3287015d,0xf236005b}},	//   _interioa, _sendisto, _dariusz_, _junji_, 
   {{0xbaf3002e,0xd2da018a,0xc2910113,0x87e00478}},	//   _ispravit, _enwebu_, _luzane_, _calpulli, 
   {{0x75a700e4,0x7b70021c,0xe12b0297,0x12ac020f}},	//   _जुटते_, _tekutina_, _italiagä_, _دقيامت_, 
   {{0x17a8014e,0xb29402cb,0x4bb503f1,0x58090193}},	//   _особа_, _trikovi_, _petíciu_, _शब्दाने_, 
   {{0xa3b7014e,0xb96d02ac,0x029001af,0xa20100bd}},	// [bd00] _zatvora_, _بترتيب_, _alham_, _chairm_, 
   {{0xe26c0198,0xb4d00192,0x62b1040b,0x03d5026c}},	//   _kakor_, _현금영수증_, _rindila_, _pontifex_, 
   {{0xe88b014e,0xf1f1019a,0x1a030325,0x64710429}},	//   _указала_, _muinbeam, _faylını_, _diperlek, 
   {{0xc3170342,0x42330016,0x5f5e02ba,0x67220139}},	//   _vwazen_, _formulo_, _ошики_, _ayatanam_, 
   {{0x52c1045f,0xd29000e7,0xf8d202fe,0x00000000}},	//   _vanliga_, _amhay_, _اخبارونو_, --, 
   {{0x7e1700b4,0x69bb034e,0xa9ca00e2,0x304e01c6}},	//   _anterioa, _canerota_, _eindigje, _juridysk_, 
   {{0x963e0159,0xb2910242,0xaf3400f6,0x00000000}},	//   _juridini, _idxal_, _albomlar_, --, 
   {{0xe3490133,0xa72603b3,0x37a6011f,0x9d3f0037}},	//   _avregii_, _exclamav, _imyengov, _የጭንቅላት_, 
   {{0xd541003a,0xeecc02ec,0x7e1c029d,0x7d250066}},	//   _بیچاره_, _ڈیوٝٹھُم_, _капитолу_, _irisgarr, 
   {{0xb2ca0265,0x526c010b,0x78430073,0x8b0b00c7}},	//   _hoodie_, _bakor_, _letteras_, _атлады_, 
   {{0xbc730002,0xf86901d0,0x6857015f,0x5a700315}},	//   _emisija_, _foregår_, _paulbrau, _bekatiwa_, 
   {{0x49e7028b,0x5d4b0061,0x27ad04a7,0xb1760349}},	//   _процессқ, _ㅎㅎㅎㅎㅎ_, _ferredox, _avanflay_, 
   {{0x02ca007b,0xbc13038e,0xff360019,0xc63e011d}},	//   _moodie_, _झिम्बाब्, _марста_, _nominali, 
   {{0x8c3800b9,0xfc720046,0x9c04020f,0xcc4b03b5}},	//   _अभियंता_, _guerres_, _amasimi_, _lantang_, 
   {{0xe7b10109,0x417800e0,0x4ec60013,0x00000000}},	//   _poselstv, _fochtich_, _дастак_, --, 
   {{0xf77102b2,0xe341042a,0x82720222,0x60600281}},	//   _абзаці_, _basenta_, _lumineux_, _asasamin, 
   {{0x2969031f,0xa2640418,0x914e0220,0xce4f007d}},	// [bd10] _indikere, _toplum_, _abitazio, _kejahila, 
   {{0x9c48029b,0x00000000,0x00000000,0x00000000}},	//   _gétén_, --, --, --, 
   {{0xd3530162,0x434f0130,0x33eb0433,0x2c4b02be}},	//   _تۇراي_, _aztekek_, _mactan_, _bantang_, 
   {{0xa30c0138,0x65f70008,0x3c50004d,0x0c5a00ed}},	//   _domates_, _barberà_, _白小原校或新學年, _maguyod_, 
   {{0xf9d10094,0x8a6b032d,0xeec902a6,0x48f600d1}},	//   _استارلام, _holofets, _aspitten, _মনোমতী_, 
   {{0x53f00773,0x050000a6,0xa96b0119,0x00000000}},	//   _negoziaz, _akumatey, _lehislat, --, 
   {{0x63000034,0xac6b0168,0x72240556,0xa2da0016}},	//   _annarri_, _volumet_, _iyeke_, _baseno_, 
   {{0xca2a0092,0xc27f023e,0x583b0145,0x94460354}},	//   _ランジェリ_, _anané_, _указам_, _تاجىكام_, 
   {{0x33ea00b9,0xd0d30222,0x9aaf0061,0x99fe0055}},	//   _blitar_, _regardez_, _자율적으로_, _attalint, 
   {{0xc3f80020,0x4f5d02af,0x838803ef,0xcc740142}},	//   _amouli_, _bararyan, _abayuda_, _वैश्यः_, 
   {{0xcc770101,0x24d70188,0x5af7017a,0x04d600c1}},	//   _lansare_, _ҳавлии_, _ландан_, _सरमिसळ_, 
   {{0x68060044,0xf38303b2,0x3ce90444,0x0fb901b0}},	//   _רייטינג_, _approxim, _прочитай, _mybloglo, 
   {{0xdd2400ff,0xc248005b,0x452501d2,0xf2d803b4}},	//   _נאכקוקן_, _rummer_, _bougival_, _ashemu_, 
   {{0x89940229,0x4a1e00a7,0xab62001b,0x7d570111}},	//   _barıt_, _битир_, _geerarsa_, _bambergu_, 
   {{0x406903f1,0x7ea90350,0x00000000,0x00000000}},	//   _pripomen, _fosforus_, --, --, 
   {{0x6727012a,0x326c0197,0x8f2600a8,0xc61e007f}},	//   _systemem_, _bakop_, _seitenna, _brentisi, 
   {{0xd3f4017e,0x5b830198,0xf2eb0020,0x806702ea}},	// [bd20] _liston_, _evropsko_, _kasiano_, _навремет, 
   {{0x526c0433,0x816c00d9,0x59520168,0xed1a012a}},	//   _dakop_, _бассейна_, _fellesst, _opalanie_, 
   {{0x325604c7,0xc4af0119,0x2ae10270,0xbfaa0092}},	//   _становни, _szczytno_, _adjutare, _リサイクル_, 
   {{0xf2240215,0x82780116,0x0e090187,0x00000000}},	//   _tenkte_, _caunle_, _донесена_, --, 
   {{0xadb3034f,0x53c40153,0x00000000,0x00000000}},	//   _abancina, _基礎化粧品_, --, --, 
   {{0x52820011,0xe6610387,0xf927026f,0xaa40033e}},	//   _agisitul, _malitekw, _تاحرير_, _diócesis, 
   {{0x1ec6022a,0xdab90244,0xde0f00e2,0x17870046}},	//   _huronans_, _прекратя, _anneksea, _جازامىن_, 
   {{0xff2c008a,0xc23602a0,0xcff7011a,0x00000000}},	//   _konetein, _kunju_, _מעליו_, --, 
   {{0xac610367,0xd9f801e7,0x8a0f00a6,0xdba40115}},	//   _oferece_, _finanzse, _okushuku, _berketer, 
   {{0x66c90037,0x73f403ef,0xe353000c,0x04a8043a}},	//   _ይመነጫል_, _fiston_, _анумизма, _tutabrek, 
   {{0x9e2b04fa,0x7b780475,0x72250239,0x569800cb}},	//   _railings_, _гигиенич, _mauke_, _babenemi, 
   {{0x12b10179,0x68c9018d,0xdf09018d,0x6225019b}},	//   _bestürön_, _ዝመርሕዎ_, _ኣይህሉን_, _lauke_, 
   {{0x861a00dc,0x0c1701f0,0x1d91027b,0x448103b4}},	//   _aouliuli, _dikanker, _युज्यन्त, _bongozoz, 
   {{0xfc4b0044,0xfb6b06a2,0xd224016e,0xb39e000d}},	//   _wanting_, _bikonger, _renkte_, _ekspordi_, 
   {{0x4a7300aa,0x76f20229,0x552600ff,0x52270078}},	//   _nakakita_, _modellər, _asistado_, _фашиста_, 
   {{0xd67105bd,0x8dce0335,0x63e202a6,0x98ca033e}},	//   _kreditti, _aupādhik, _avaristi_, _nderahav, 
   {{0x88630044,0x22c80040,0x5e50017f,0x02040322}},	// [bd30] _מרהיב_, _opposed_, _appaalla, _bakishim, 
   {{0xdefe002c,0xfe350091,0xdb18000a,0xb7530376}},	//   _компаний, _kamagiva, _allafiss, _barnafag, 
   {{0xe2d8037c,0xe22502cd,0x2341040a,0xa2c300ff}},	//   _deroxat_, _dauke_, _husdjur_, _biblion_, 
   {{0x3a7302e7,0x459d051a,0x619901c8,0x4b1901c0}},	//   _makakita_, _ditunaik, _kamerové_, _israilan_, 
   {{0x2d1a0105,0x590f000a,0xda0102e0,0x026e0428}},	//   _spalanie_, _annaasaq_, _gamarega_, _pasovi_, 
   {{0x67560086,0x52d403cf,0x822504a6,0x52910267}},	//   _کارنامہ_, _birden_, _nauke_, _izbace_, 
   {{0xc8180238,0xdc610153,0x09380037,0x9b5101c5}},	//   _суперник, _opstår_, _ከተሸነፈ_, _geddisan_, 
   {{0x42480075,0xd8d902ea,0xd1ad02ac,0x8d230092}},	//   _nummar_, _нападате, _الرطب_, _ペットショップ_, 
   {{0xc2d8022e,0xe13902b7,0x84750241,0x8c630415}},	//   _raportu_, _mbannatî_, _pagerank, _betrieb_, 
   {{0x255b013d,0xafa4047d,0x3a8f0014,0xc31c014f}},	//   _provinco_, _rezepter_, _biznesin_, _добронра, 
   {{0x83940034,0x1428020f,0x256c027c,0x3f5f001a}},	//   _veistu_, _زېږنده_, _څښتنان_, _elektród, 
   {{0x426c03e8,0x5ac001c1,0xff490101,0xe48501c9}},	//   _pomoč_, _कितपत_, _cumparat_, _कहलाइल_, 
   {{0xa3950068,0x00000000,0x00000000,0x00000000}},	//   _yeesho_, --, --, --, 
   {{0x120000cf,0xb88701f4,0xe2fd023e,0xeb1902df}},	//   _achiin_, _қарашда_, _anggia_, _rosakkan_, 
   {{0x52240312,0xa41e0047,0xbe3a021e,0xf8c504d2}},	//   _renket_, _pression_, _invandra, _nordhord, 
   {{0xd2d8037c,0xa2ca007b,0xfb5300bf,0x13410007}},	//   _seroxat_, _doodle_, _нежелате, _bakento_, 
   {{0x55ee0092,0x8f5d023b,0xa218023b,0x2e180060}},	// [bd40] _クしている人_, _kinaipon, _nūhou_, _داستاننى, 
   {{0x72c30405,0xac0a0308,0xb3980035,0xaafb02eb}},	//   _непотріб, _komplen_, _башаклар, _akordioe, 
   {{0x2c930036,0x843203dc,0x6da5021c,0x574b055a}},	//   _صالات_, _skipanin_, _limitova, _numérico_, 
   {{0x93f400d4,0x029701c5,0x6518006c,0x0278007b}},	//   _bisten_, _iskaashi_, _напардох, _daunce_, 
   {{0x8c4700bf,0x42f40265,0xf2c30257,0x7e6d0149}},	//   _случайно, _zwanger_, _sjaldan_, _jọdan_, 
   {{0x9d54001c,0x49f2053e,0x2e6c0360,0x251b02ac}},	//   _atlantiq, _utarbeid, _pornohvě, _sainrogh, 
   {{0xe68200c1,0xe3f40003,0x223f0157,0x7f5d0152}},	//   _घायाळ_, _wisten_, _filmach_, _eşsezlek_, 
   {{0xe2520087,0x9d710229,0xe7fa0311,0x31ad0311}},	//   _ematlhel, _premyera, _እናጠመተ_, _ንፈስቲቫል_, 
   {{0xb2970305,0x727c025f,0xbacd00d9,0x30fa0311}},	//   _lukkast_, _ebongaki_, _самолеты_, _ኣእጋረይ_, 
   {{0xb27f033b,0xa91700da,0xdb5b012e,0x337f033f}},	//   _ikanne_, _грэдина_, _ellenben_, _lokaaaa_, 
   {{0xe3440073,0xe35403e6,0xe7a6005d,0xa4770222}},	//   _extense_, _sprecht_, _guerrasi, _besançon_, 
   {{0xdaf40223,0x4258011a,0x49860325,0xc379023e}},	//   _очтол_, _centrall, _bacişkam_, _cegatan_, 
   {{0xa2ee000e,0xd2f402c2,0x2c4f00a4,0x00000000}},	//   _chinesi_, _swanger_, _serveix_, --, 
   {{0x82900318,0x72340333,0x92e005f2,0x00a80092}},	//   _kohai_, _diamine_, _cianuro_, _大村クラブ壮年_, 
   {{0xfda90151,0x2a850192,0xfba8009a,0x00000000}},	//   _insoucia, _사회복지시설_, _روزنيزو_, --, 
   {{0x92e7017d,0xd0730061,0xa290023b,0xcc6d0206}},	//   _spanien_, _발자국보기_, _mohai_, _úmrtia_, 
   {{0xd37801c0,0x62f70117,0xaa7c005b,0x70ec00ca}},	// [bd50] _kokarin_, _cariark_, _kawabata_, _assajatz_, 
   {{0xb3540044,0x6e6b01a3,0x00000000,0x00000000}},	//   _הטיהור_, _ويلڪم_, --, --, 
   {{0x3c80045b,0xdf6e0188,0x726c0080,0x00000000}},	//   _зерен_, _бигзарад_, _illuutil, --, 
   {{0x0a1700f8,0x5321018e,0x73df0239,0x35bd01d2}},	//   _galería_, _avuya_, _ahimerek, _chipapak, 
   {{0xba71007c,0xee4e0211,0xb696015f,0x82920326}},	//   _kubanjwa_, _найди_, _cemegoli, _auraye_, 
   {{0xa2de0080,0x527f002e,0x6c620455,0x6cd202fe}},	//   _akimoruj, _javnoj_, _meurtre_, _buphuthu_, 
   {{0x3f4200b4,0x0d440108,0x69e00054,0xda7802c8}},	//   _идеолоӂи, _cespleng_, _gobirawa_, _apelidos, 
   {{0x935f0212,0xf6b001e9,0x6e0300e0,0x79fc02f0}},	//   _linguae_, _dirukuth, _ekodoarp, _ingakwat, 
   {{0x72fd00cf,0x162900dd,0xf18b00be,0xe3a9004d}},	//   _diggaa_, _dinistri, _تەڭسىزدى, _pulvere_, 
   {{0xcfa400af,0x7c61037f,0x8ba404cf,0x2dea0177}},	//   _deretter_, _ordunun_, _isakhiwo_, _ҳаилибак, 
   {{0x5f640265,0xf26d005a,0x29870178,0x6f5b044a}},	//   _belastin, _bisot_, _प्रमाद_, _bokabuan, 
   {{0x2b2d02c7,0x90d001ac,0x8ce50299,0x00000000}},	//   _veranlas, _dallamul, _راھىلە_, --, 
   {{0xe2ca0132,0x2fdb006c,0x02dc01f0,0x774b056e}},	//   _mindig_, _umphosto, _babolai_, _numérica_, 
   {{0x4a28020e,0x03f90051,0xdb330082,0xe3790115}},	//   _инстру_, _trauku_, _wenchuan_, _gegaran_, 
   {{0x2cec0145,0x8b510094,0x5f330096,0xa2f203ad}},	//   _колыбель, _استيبارد, _akirenga, _dominju_, 
   {{0xf11000e6,0x327e01c0,0x3b640462,0x00000000}},	//   _精华文章需要登陆, _ayinku_, _edulersc, --, 
   {{0x231001d8,0xa30e0177,0x3f4b0205,0x00000000}},	// [bd60] _khunlung_, _мангусти_, _акрамов_, --, 
   {{0x5673027c,0x72d903f6,0x926c00d0,0x1b650258}},	//   _صالحي_, _hebera_, _kolore_, _sprekken_, 
   {{0x46950125,0xff8b0333,0x626d0558,0x9ee60145}},	//   _аладасы_, _oliviers_, _jisos_, _mechanin, 
   {{0x63ea00c3,0xd2a70245,0x4290023b,0x33ae0058}},	//   _aliter_, _jeebon_, _gehazi_, _koupanef_, 
   {{0x00d90139,0xcc640368,0xadd801af,0x5b570204}},	//   _amuñcatā, _letujte_, _arakesme_, _заказу_, 
   {{0x97570125,0x2fad0148,0x0ab40074,0x7ea30325}},	//   _башлар_, _新聞後花園_, _kaikkiin_, _axısqa_, 
   {{0xf87b00cd,0x00000000,0x00000000,0x00000000}},	//   _büchler_, --, --, --, 
   {{0x0aaf0192,0x62d90369,0xe9e90060,0xe2cb04dd}},	//   _정상적으로_, _gebera_, _төленеті, _svedok_, 
   {{0xd8570270,0xc2780256,0xffea0246,0xf26d034b}},	//   _injurias_, _jaunie_, _прикачен, _risot_, 
   {{0x735f038e,0x56f1010f,0xe6910013,0xcba3008d}},	//   _donghae_, _устодон_, _امامتی_, _шоядки_, 
   {{0x126c0244,0xbc6d0253,0xc2d801dd,0xd5a800be}},	//   _colore_, _sooruna_, _baheze_, _далалатт, 
   {{0x98bf0272,0x9f4700bb,0xddb402ea,0x3249026b}},	//   _akwekedd, _ایکپریس_, _tonnella, _quemar_, 
   {{0x825b0130,0x4c670102,0xe2e703e0,0x32d901fb}},	//   _adalek_, _نروار_, _spannen_, _debera_, 
   {{0x022b052e,0x05c7002b,0x66f20046,0xf2120262}},	//   _glomere_, _ধামরাই_, _instantà, _dalhow_, 
   {{0xac9300bc,0x52020177,0x02c902da,0x63530061}},	//   _پايان_, _aguije_, _esporte_, _어린이들이_, 
   {{0xe26d015b,0x9290005b,0x41140162,0x4ef20178}},	//   _risos_, _gohan_, _учраш_, _नायकः_, 
   {{0x027f0134,0xc85d00c5,0x8b0c0039,0x39f50119}},	// [bd70] _akanle_, _人认为有价值_, _уусны_, _makapagt, 
   {{0x03f401d8,0xaffe02c0,0x3292019a,0x42c3069b}},	//   _mistan_, _комитето, _arrant_, _skalian_, 
   {{0xf3f4045f,0x62b502aa,0x02550109,0xb365005a}},	//   _listan_, _prachy_, _रमाइला_, _larghha_, 
   {{0x9316016a,0x226d0159,0xce9b0255,0xbc620052}},	//   _prezo_, _visos_, _प्रतापी_, _heurece_, 
   {{0xe9f403c1,0x34c90400,0x62f205fb,0x00000000}},	//   _goiás_, _aspettò_, _pominju_, --, 
   {{0x6ade016d,0x2516032d,0xc2db005b,0x49df0012}},	//   _шарпа_, _анонстар_, _vlookup_, _चुगवाइब_, 
   {{0x6e4e00b8,0x693502fa,0x853e0654,0x59e30371}},	//   _sarawina, _nyamwasa_, _seringny, _подават_, 
   {{0x145300e6,0x43f40066,0x726c0318,0x17c6026f}},	//   _共产党宣言_, _bistan_, _kolope_, _жаңсақ_, 
   {{0x629100e4,0xa0b604a4,0xee33050d,0x6e8900a7}},	//   _म्यांमार_, _anamoich_, _chilenos_, _روزالار_, 
   {{0xc2900206,0x22d90240,0xe2780148,0x7c550049}},	//   _zohan_, _sebera_, _abunde_, _olotele_, 
   {{0x3e56006f,0x937b02ba,0x144a01d5,0xcfcd00b7}},	//   _wanawake_, _intando_, _فرشتوں_, _nesiller_, 
   {{0x99770354,0xe5c3021a,0x326c0108,0xa22400bb}},	//   _актиплиқ_, _akaakayy, _bacot_, _senkit_, 
   {{0x601f0428,0xa2d901fe,0xf971042a,0xcf5b03db}},	//   _najboljš, _keveti_, _balindze, _ethailan, 
   {{0xf2a60226,0xb2480198,0x79ca0437,0x9263006c}},	//   _ngabu_, _sejmu_, _guddomme, _agliotti_, 
   {{0x7be80037,0xfc1f0445,0xc6f401d5,0x77040193}},	//   _ይስማማሉ_, _cumprir_, _mostansá, _वस्त्रहर, 
   {{0x143100bc,0x4dff0178,0x76ba019b,0x629101d5}},	//   _العاده_, _बोद्धव्य, _savanori, _aszalt_, 
   {{0xdb3601db,0x32950018,0x1e1b0291,0x00000000}},	// [bd80] _раушан_, _yalataki_, _معاصرة_, --, 
   {{0xfb5d03ed,0xf2a00178,0x67a80203,0xf3f4001d}},	//   _parabéns_, _परिनिष्प, _culturli, _distin_, 
   {{0x892f00ce,0x82490515,0x58f902ea,0xf27a026a}},	//   _alimante, _tremer_, _болестта_, _papiloni_, 
   {{0x702d016d,0x922502b1,0x654100d6,0x00000000}},	//   _християн_, _sauka_, _التاني_, --, 
   {{0xe479004b,0x726c0230,0x830e034f,0x54700012}},	//   _краснико, _lakoz_, _amabala_, _जमीनक_, 
   {{0xa3be03e8,0x2097003a,0x127a004d,0x8c3c005e}},	//   _živeti_, _армияси_, _氣溫越高漲越多_, _ﻓﺮﺍﻧﺴﯩﻴﻪ_, 
   {{0x12cb0239,0x428b0243,0x137801c5,0x330c0260}},	//   _hinonga_, _kalaanam, _deganaa_, _guiados_, 
   {{0x22a60243,0x539500a4,0x865d0061,0x63f90231}},	//   _agabu_, _presó_, _일상다반사_, _secura_, 
   {{0xb290000d,0xe3f402ac,0xa22503da,0xce370318}},	//   _kohal_, _cistin_, _tauka_, _komanita, 
   {{0xc2d60453,0x5f2003a2,0xf68100a2,0x7e7f003c}},	//   _ogroman_, _पुरजोर_, _ahukumiw, _استدیو_, 
   {{0xea140082,0x4366032d,0x67830100,0xde540322}},	//   _watakila_, _пугачевт, _pravedni, _barabiha, 
   {{0xe3de02a9,0x12a60367,0x2395018b,0x83f20391}},	//   _краем_, _saiba_, _brasov_, _иттем_, 
   {{0x6c1204bd,0x7b9a0109,0x00000000,0x00000000}},	//   _aiapili_, _सुटुक्क_, --, --, 
   {{0xac1d0344,0x33b300e6,0x89f9006e,0x00000000}},	//   _aniasoor, _点击验证码输入框_, _maaseend, --, 
   {{0xb26d012d,0x626c0193,0x3f2e036d,0x59d700f2}},	//   _bisop_, _gacor_, _creuchda, _fotošopa_, 
   {{0xfbd90074,0xfd3b026f,0xaa5500d9,0x3f8d0162}},	//   _рекламы_, _ارادان_, _сталкива, _ساناقسىز_, 
   {{0x22a604ec,0xbb9100c7,0x92250331,0x026b01c4}},	// [bd90] _taiba_, _дәрестә_, _drekki_, _mikrogol, 
   {{0xaf37044d,0x3a34017d,0xa6650094,0xede000c5}},	//   _aeropoor_, _ミッション_, _اناشىم_, _affiché_, 
   {{0x5e0800da,0x52ca0116,0xf98e00e6,0x1f9f0149}},	//   _фундацие, _boodie_, _尚不够刑事处罚的_, _ọnlaịnụ_, 
   {{0xc35600ce,0x92cf0567,0xa14c005e,0x87370188}},	//   _anbelir_, _artmıy_, _ئاشېق_, _пизишкӣ_, 
   {{0xe24904ea,0xa84c0051,0x9ae701c7,0x43eb031d}},	//   _verma_, _sadarbīb, _beslenen_, _boater_, 
   {{0x461302c5,0x38de054c,0x125000af,0xb0e000c7}},	//   _agumburw, _skiforbu, _чекав_, _ислямов_, 
   {{0xc2490115,0xb20003da,0x56e806c0,0x00000000}},	//   _terma_, _kukiiz_, _ostružin, --, 
   {{0xeb4001d5,0x854f012a,0x8c0b0244,0xc05701b6}},	//   _تعویذ_, _ekskluzy, _compito_, _defamato, 
   {{0xa20e0188,0x2c940312,0x216301a3,0xf3a2028b}},	//   _задам_, _lituaneg_, _فاشزم_, _ivapo_, 
   {{0x10990088,0x8e4c009b,0x73a20103,0x326c016c}},	//   _радиация, _kokapena, _avapo_, _sacos_, 
   {{0x5b270578,0x1f4700d1,0x4f65027f,0x13210414}},	//   _nawbbbbb, _অপচনটো_, _birashin, _fincker_, 
   {{0x01fc0025,0xa3540008,0x00000000,0x00000000}},	//   _सोमवासरः_, _atletes_, --, --, 
   {{0xb7b800d4,0xacae00a7,0x03b50161,0x037b044a}},	//   _natuerli, _البۇم_, _уверенно, _bitando_, 
   {{0x137b0547,0x022501ef,0xb57e02f4,0xc7f901e6}},	//   _citando_, _lauko_, _població, _odstraňu, 
   {{0x7efd028b,0x7b970449,0x535000b3,0x3c5c0251}},	//   _аппалон_, _pedijatr, _bezenip_, _gantaal_, 
   {{0xf30c02c2,0xd01b0037,0xeda003a0,0x52a00629}},	//   _onlangs_, _የአንበሳ_, _kolotana, _eepbay_, 
   {{0x5148005d,0x685d0309,0xb95d004a,0x2ea70161}},	// [bda0] _еревантә, _avtobusd, _avtobust, _развода_, 
   {{0xeb62010c,0x052700c8,0x377d0061,0xa40d0370}},	//   _महिन्_, _партнерҙ, _학교운영위원회_, _boeitenz, 
   {{0x57e800a7,0x21e002d8,0x7a91030d,0xff100041}},	//   _сайттард, _वैगरे_, _verilsin_, _маҷӡак_, 
   {{0x062603b8,0x325b029d,0xbb570261,0x8ca703b8}},	//   _باھادۇر_, _includ_, _centjara_, _фаунасы_, 
   {{0xd82e002c,0x17570185,0xf2ef02e4,0x72550109}},	//   _үржил_, _баллар_, _ghafas_, _तकसेरा_, 
   {{0xe8fc01e8,0x39fc0082,0xe5c8018d,0x426c00ac}},	//   _makamand, _makamant, _ተኣዚዞም_, _bolove_, 
   {{0x92d803f6,0x5f040261,0xa2900205,0x604a02af}},	//   _mahele_, _arkaikiĝ, _rohat_, _twarakan, 
   {{0x987d01b2,0xb1c4032d,0xaa020084,0x625b029a}},	//   _bagpipes_, _моңға_, _tatangga_, _realiz_, 
   {{0x8c5b013d,0x8134026f,0xaa8302eb,0x627f0178}},	//   _instrui_, _алдыңа_, _хэлшинжл, _avantu_, 
   {{0x3c930008,0x7c1c0071,0x01600013,0x720e009b}},	//   _تارات_, _پاراگراف_, _chegaral, _шалан_, 
   {{0x920100d6,0x32b30099,0xb70d01cd,0x926c0453}},	//   _cheilt_, _akudana_, _бахра_, _golove_, 
   {{0xf05f003a,0x034400df,0xa69c0444,0x99880381}},	//   _همدرد_, _recette_, _прислать_, _akeholde, 
   {{0xb9d3006f,0x1b980547,0x02780149,0x0c77004c}},	//   _kupoteza_, _cachorro_, _nbunye_, _akisome_, 
   {{0xaeb00019,0x12d800eb,0xdc6f0132,0x7379009b}},	//   _dissabte_, _sahene_, _nyerjen_, _gosaria_, 
   {{0x88e902af,0x9529005b,0x62fe00a0,0xfeaf0053}},	//   _arasheng, _taniguch, _attajiri_, _dikorban, 
   {{0x5bdf0109,0xce2a0037,0xeb98040f,0x00000000}},	//   _जागीरको_, _ፈንድተው_, _kasečių_, --, 
   {{0x423a024a,0xcf440037,0x8249007f,0x098e0128}},	// [bdb0] _ibalopọ_, _መለሰለት_, _bermo_, _маний_, 
   {{0xe161015d,0xe8760040,0xdb5b05bc,0x4a5003c6}},	//   _nierucho, _השותפים_, _ellefsen_, _fermeits, 
   {{0x3b6a0273,0xd848020e,0x8d9a020f,0x524a0141}},	//   _corazón_, _мәжит_, _abengowa, _umumta_, 
   {{0x44c70220,0x49f802ac,0x63210054,0x0d79027e}},	//   _cercando_, _tubaiste, _awuya_, _постигао_, 
   {{0x723400da,0x4168004d,0xdfa801db,0x00000000}},	//   _normele_, _與當代藝術共舞_, _كوڭىلدە_, --, 
   {{0xf1660220,0xdb040025,0x5d26000c,0xc8b30052}},	//   _футболис, _alisamst, _cuasiacc, _beznaděj, 
   {{0x29b304dc,0xc26c012c,0x92a70367,0x5378004b}},	//   _رمترین_, _lolote_, _quebra_, _dibanka_, 
   {{0x7f1700da,0x72b50258,0x7ec8003b,0x00000000}},	//   _ӂенерале_, _bondele_, _buyincen, --, 
   {{0xbb210403,0x71f4020f,0xaf3d01e7,0x00000000}},	//   _ampanamb, _بېغمه_, _maartpla, --, 
   {{0x71440148,0x2c1400b5,0x6682007e,0x5b180344}},	//   _letterbo, _акризист, _निशां_, _allaniss, 
   {{0x72780387,0x22f601fc,0xdc7e00f5,0x9163016d}},	//   _ebunye_, _digirik_, _омурини_, _тошиса_, 
   {{0xb37f024e,0x04f401d5,0xc3860393,0x0eb70338}},	//   _bosanac_, _سپانسرذ_, _uzorak_, _balearas_, 
   {{0x138600bc,0x140f00c5,0xf35503d1,0x527f0622}},	//   _varzesh_, _转贴或以其他方式, _kabelis_, _ijanye_, 
   {{0xeeeb01df,0xa2fc0119,0xf17e0034,0x00000000}},	//   _claverse_, _nakabasi_, _folatoll, --, 
   {{0x8cfb02fb,0x0c38015f,0xff32006c,0xf55202a5}},	//   _falelotu_, _pleidiau_, _akafunan, _हतियारको_, 
   {{0xb2a60245,0x924900c3,0x0d850486,0x434401b4}},	//   _baibl_, _sermo_, _अनुकुल_, _resepte_, 
   {{0xbb9d00b4,0xc22501bc,0x88fc027f,0x01e80168}},	// [bdc0] _визителе_, _bauke_, _bakaband, _framstår_, 
   {{0x031d0278,0x52e8036e,0x4d9f0021,0x40e700dd}},	//   _percuma_, _achisun_, _adinggra, _annichel, 
   {{0xe2dc022c,0x52a60639,0x04f2012a,0x56790143}},	//   _barobah_, _rumbia_, _asymetry, _медиен_, 
   {{0x04bb0037,0x56e7002b,0xed07014d,0x8eb7030a}},	//   _ማበርከት_, _অধ্যাদেশ_, _geplante_, _baleiras_, 
   {{0x3fc0027b,0xeefc017a,0xddca005e,0xe2250115}},	//   _anantaro, _турко_, _جەسەتلەر_, _tauke_, 
   {{0xfb120016,0xd27f02b8,0x92ea000e,0xd26d0609}},	//   _אַדמין_, _ajanye_, _joiners_, _casou_, 
   {{0x763d0145,0x48210012,0xb3530060,0xe4ac0213}},	//   _muzikini, _कोंखियाँ_, _تۇمار_, _лобачевс, 
   {{0x8eb00219,0x39f2005b,0x39f301f0,0x329200a0}},	//   _bahlukun, _bilgalle, _fithelwa_, _burace_, 
   {{0x92cf0032,0x73050276,0x552d0307,0x00000000}},	//   _bihopbe_, _روناق_, _isingath, --, 
   {{0x13ca029b,0xf6ff0093,0x761e00be,0x72760119}},	//   _almaañ_, _управляе, _اۋتوماشى, _dunajskã_, 
   {{0x9c680049,0x847a0116,0xd8530594,0x73a70315}},	//   _atoutai_, _prattlin_, _orkanger_, _kumagatj, 
   {{0x821d040d,0xb0490213,0xf1e1021c,0x7efc0204}},	//   _didirišw, _периоде_, _uniformy_, _куски_, 
   {{0xb201033f,0x725a00a5,0xd2ca0258,0xeca40138}},	//   _epailo_, _laolao_, _meldij_, _yangında_, 
   {{0x282c00e3,0x7e7301ef,0x2214012c,0xac1e02e2}},	//   _འགྲིལ_, _pasitikė, _tathmini_, _asepsis_, 
   {{0xc92f0377,0xa97a020f,0xb2de00fe,0x9380048c}},	//   _alimente, _alunashe, _lokotou_, _bewray_, 
   {{0xa31201b7,0x9d9f03c0,0xbcac00e6,0x43000020}},	//   _प्रमुदित, _kraftige_, _原批准文号_, _fogavai_, 
   {{0x2249016e,0x597f0081,0xbedd00ad,0x0c660040}},	// [bdd0] _verme_, _erfiðlei, _kanyahoa, _איפשהו_, 
   {{0xeb7d000c,0xba1200c5,0x4e3c037b,0xbddf002f}},	//   _висилиов_, _fiabilit, _reclamos_, _chikacha, 
   {{0x4847000c,0x42d8027f,0x99a20125,0xbaf6026c}},	//   _балари_, _bahebe_, _нефиспер, _ingenios, 
   {{0x4c310173,0xfcf102d8,0x04fb018d,0x7fc9003d}},	//   _বিষয়টি_, _प्रकटन_, _ንተቐማጦ_, _amuishar_, 
   {{0x30de0107,0xe6950116,0xfff00045,0x00000000}},	//   _nizapark_, _internai, _ћерка_, --, 
   {{0xa29e0397,0xa985009b,0x62490605,0x8c3000d9}},	//   _сипас_, _folklore, _zerme_, _maksimis, 
   {{0x8e92014e,0xce400077,0xa2cc00f4,0x947c006e}},	//   _потребе_, _aksantye_, _barlenn_, _interulo_, 
   {{0xd2780207,0x7c77011e,0xd9e00100,0xd2740107}},	//   _mbunge_, _kanmarad_, _dugovima_, _کومله_, 
   {{0x67a701f4,0x8c6b00e4,0x79ce009c,0x6b8e01fe}},	//   _غفوری_, _andrzej_, _ayamarka_, _papitiso_, 
   {{0xf57f02ac,0xd9f8047d,0xa3f80031,0x3e4c041c}},	//   _لصاحب_, _reagéier, _zuhud_, _fafalnaa, 
   {{0xea57045e,0x1b0b026c,0x75420166,0x035f01d5}},	//   _силата_, _complect, _nachteil_, _brigád_, 
   {{0x7a120059,0xdbf600d1,0xf21701da,0x230903bf}},	//   _riabilit, _পুৱাতে_, _rishikim, _занятиел, 
   {{0xcaa40138,0x214302b3,0x31e90161,0x00000000}},	//   _yangını_, _celebral, _малогаба, --, 
   {{0xb9290187,0x82eb01eb,0xd6b8042a,0xd8c90076}},	//   _телесна_, _dipilto_, _basekelw, _продаваш, 
   {{0xb0250028,0xe39a0220,0xd26d0527,0xa3eb0203}},	//   _کوترا_, _campioni_, _nasoj_, _mixtet_, 
   {{0x691204a2,0x9e4701bc,0x837f03a0,0x00000000}},	//   _viabilid, _balansea, _ithadia_, --, 
   {{0x4e8103f1,0x93f80219,0xb4300096,0x40f5035d}},	// [bde0] _blondínk, _bekuba_, _amabondo_, _najugrož, 
   {{0xf5950175,0xdf25023d,0x0c520486,0xd3220264}},	//   _enternay, _esercita, _अंधेर_, _abuyog_, 
   {{0x25af004d,0xe2fc018e,0xaaeb0126,0xedb80064}},	//   _可是您的瀏覽器並, _khwaliti_, _популяці, _demanant_, 
   {{0x99750217,0xd4bb0037,0x007302c0,0xa9ed0338}},	//   _attingit, _መከራከር_, _суета_, _acquesid, 
   {{0x2eca04f2,0xd1c00197,0x40640361,0x00000000}},	//   _thongtin, _choubenz_, _автобусс, --, 
   {{0x357702eb,0xf6b000e0,0x56590488,0xab6e0265}},	//   _германыг_, _hearlikh, _atlikušo_, _overstap_, 
   {{0xc38a019e,0x42d8014e,0xe592012c,0x52960193}},	//   _французк, _doneti_, _kurejesh, _पश्चिमेल, 
   {{0xf37b0372,0xb2fd0024,0x73960119,0x8692012c}},	//   _wahanol_, _অদ্বিতীয, _agusto_, _kurekebi, 
   {{0x59aa040b,0xf9fc0010,0x077d03bf,0x00000000}},	//   _pandelwa_, _angakwat, _спекта_, --, 
   {{0x58630518,0x404305f1,0x67090045,0xfd230130}},	//   _tasavvur_, _dukundan, _велков_, _chaseour, 
   {{0xf2910265,0x5e2c048c,0xa480007e,0xab0a0138}},	//   _empas_, _aerghlea, _विराट्_, _konserle, 
   {{0x0b3b01a7,0xcaa40092,0xcbc700c7,0x73f8013a}},	//   _исключит, _この企業をブック, _таллинн_, _schung_, 
   {{0x122503f6,0x32770465,0x64a801db,0xec750343}},	//   _kauka_, _ocenjeni_, _مارتەبەل, _masulit_, 
   {{0x3e2b02fd,0xc1db0204,0xa9d205ed,0xe23b01b8}},	//   _daighnea, _ствола_, _kônerwa_, _rusdelfi_, 
   {{0x32250544,0x1f33005c,0x737f050b,0x9f2a01f4}},	//   _mauka_, _akarenga, _seharga_, _mustamla, 
   {{0xd5360435,0x5e2b0195,0x1e230291,0x3a1f03c2}},	//   _угостите, _faighnea, _مقطوعة_, _bumptiou, 
   {{0x46380312,0x4306002f,0x71800151,0x36ee0311}},	// [bdf0] _antiokei, _aspataj_, _alkalaih_, _ኣቀባብላን_, 
   {{0xc2a6004e,0x7eb201b4,0xa14701cd,0xd00e004d}},	//   _naiba_, _russiese_, _қавитар_, _種魔幻鏡面_, 
   {{0xa987002b,0x00000000,0x00000000,0x00000000}},	//   _তেঁতুল_, --, --, --, 
   {{0xec780187,0xedf20014,0xa7430299,0xe1490143}},	//   _народнат, _traditat_, _ئوربىتىس, _лизингов, 
   {{0x92a60343,0x19da0176,0x26190097,0x226d009f}},	//   _kaiba_, _fasthold, _mẹnuba_, _pasom_, 
   {{0x533c0169,0xcf650292,0xa07a004a,0xa5d600af}},	//   _ছদ্মনাম_, _marathin, _миркасый, _супротив, 
   {{0xb2910062,0xa22505df,0xed0c019d,0xe2b4005b}},	//   _ampas_, _dauka_, _lilongwe_, _taichi_, 
   {{0x3b970111,0xda620037,0xd4820120,0xf2ca018a}},	//   _scrittur, _ሴፕቴምበር_, _caalatal_, _diodde_, 
   {{0xd6c200bf,0x5928014e,0x9a0703bd,0x4000033e}},	//   _действов, _хектара_, _ganansya_, _documént, 
   {{0xb43901b4,0x02c60079,0x953c0046,0xc29200c5}},	//   _boekwink, _tikmēr_, _زاپاستوو_, _ferais_, 
   {{0xa95e04cc,0xd25a01f7,0xf71a0172,0x3f5b0344}},	//   _singdauq_, _umble_, _yekunkum_, _allassan, 
   {{0x8af20166,0x0fea0213,0xa97b0371,0x7dca0311}},	//   _erarbeit, _проникал, _antifurt, _ክትምህሮ_, 
   {{0x2fc40016,0x80e80089,0x02a60488,0x62e70008}},	//   _מנהיגים_, _arzanrak_, _baiba_, _дармек_, 
   {{0x1e5400fa,0xcfed00e6,0xec730046,0x92e00326}},	//   _karamiha, _中国农业银行_, _guerrer_, _chanero_, 
   {{0xd6780192,0xd14603ce,0x631a00e6,0x8f3702e7}},	//   _회원아이디_, _ساموێل_, _各色环氧面漆_, _isponsor_, 
   {{0x19f402f7,0xc47c00ee,0x996201aa,0x00000000}},	//   _bolailwe, _alderdik, _egenerat, --, 
   {{0x135900c7,0x75980462,0xdc4502a3,0x021201b5}},	// [be00] _тарихынд, _assembly, _gespreks, _edlhi_, 
   {{0xa8350011,0x626c0287,0x82d9009a,0x0c760445}},	//   _abempind, _poloze_, _bebeya_, _visuais_, 
   {{0xd962017a,0x62ee0399,0x95470044,0xaa9c0655}},	//   _igenerat, _akanesi_, _יגיעו_, _talijans, 
   {{0xde2e0094,0x62b400b4,0x445e0211,0x9dc100e7}},	//   _العانىدى_, _obicei_, _helvetin_, _amaicaja, 
   {{0x431802c3,0xb34002d7,0x5316033d,0x92920455}},	//   _zavrieť_, _comezan_, _atizan_, _serais_, 
   {{0xaeae0311,0x00000000,0x00000000,0x00000000}},	//   _ዘይንገብር_, --, --, --, 
   {{0xddc502e1,0x7e4802af,0x42b4005c,0xf12d0017}},	//   _صبغات_, _bakamuba, _akacu_, _tramvají_, 
   {{0x7b0c01e0,0xfc010148,0xd300016a,0xa8f80156}},	//   _تاریق_, _本商品門市無展示_, _financi_, _גערשטן_, 
   {{0x9c6f032e,0x428c0263,0x39f60071,0x955a02ff}},	//   _churasa_, _klikken_, _زوجین_, _jiskouny, 
   {{0x8a83022a,0xc19504cf,0x00000000,0x00000000}},	//   _oklopoms, _olubalul, --, --, 
   {{0x1b1e0246,0x03b00122,0x00cf03db,0x4da0004d}},	//   _понеделн, _atiqah_, _kunobhal, _科學出版社_, 
   {{0xf3290192,0xa2490120,0x00000000,0x00000000}},	//   _개인정보관리책임, _jermi_, --, --, 
   {{0xf20101cf,0xe22401c8,0xb66a00ac,0x22df01a6}},	//   _inviar_, _uniklo_, _prijemni, _tēnaka_, 
   {{0x6958018d,0xc8de0244,0x92e705e0,0xe2870107}},	//   _ጸጥታውን_, _приказки_, _étnica_, _angkahe_, 
   {{0xa68c0052,0x00000000,0x00000000,0x00000000}},	//   _सिगास_, --, --, --, 
   {{0x36b2000a,0xd6d302ac,0xdc74004d,0x8f2d047b}},	//   _kingulli, _لمشتركي_, _台以經合會議揭幕_, _elveitin, 
   {{0x32900129,0x062600e6,0xc6690128,0x39e301b3}},	// [be10] _kohat_, _环氧类防腐涂料系, _мирсаидо, _валютних_, 
   {{0x4afa018d,0x4c050488,0x69fb0080,0x22d700a4}},	//   _ዘይጠለመ_, _kārlis_, _aliatsat, _inclòs_, 
   {{0x026d02f6,0xc0ba0185,0x02fe004f,0x492f013f}},	//   _pasok_, _радикалл, _beugue_, _alamante, 
   {{0x62d80235,0xa5a400ca,0xf7c50372,0x5b0b015c}},	//   _abhede_, _informam_, _abersytw, _wiessele, 
   {{0x32a600b6,0xf2900387,0x18c80037,0x8435027c}},	//   _yaaba_, _ighari_, _አጠናቋል_, _bamaziko_, 
   {{0x06b40037,0x52fc0445,0xeb180040,0x52cd017a}},	//   _ለማዳመጥ_, _ônibus_, _עגבניה_, _akuleyo_, 
   {{0x1d3f011d,0xa20d00ff,0x6c0601c8,0xa3410064}},	//   _juridice_, _מינהג_, _potravy_, _enterra_, 
   {{0xada6012c,0xb7a601aa,0xe1bf0169,0x3294035e}},	//   _باقاعده_, _estricti, _তথ্যমন্ত, _zapalili_, 
   {{0x669b00bd,0xbfd300bb,0x62f5004d,0xf2df0265}},	//   _ambeeshi, _átigazol, _社區醫療群_, _grondig_, 
   {{0x8bef01c5,0x5b93005e,0x6ae60231,0x146404ab}},	//   _dhimasho_, _ﺋﻪﻛﺴﯩﭽﻪ_, _impudent, _opcenito_, 
   {{0x0eb00515,0xa3000082,0x3380014a,0x385d02cf}},	//   _amusante_, _sinanci_, _metró_, _уплати_, 
   {{0xd2a6041c,0xea40029d,0x62fc00aa,0x00000000}},	//   _saaba_, _ынкис_, _masikat_, --, 
   {{0xf21c00fe,0x551704e5,0xcff60156,0x75d301ac}},	//   _houhau_, _awalinny, _טשעקינג_, _mandairí, 
   {{0xbb5001d9,0x1c160156,0x1d9f01d2,0x00000000}},	//   _käerjeng_, _אייכמאן_, _atinkira, --, 
   {{0xa6a3016a,0xe9710233,0xd6ce02a2,0x424901da}},	//   _deklaroj_, _composir_, _manatili, _termi_, 
   {{0x1e1d00c1,0xc28c0026,0x48710143,0x3a0e0420}},	//   _peresmia, _slikken_, _останах_, _catarine, 
   {{0x4d4e019f,0x03030055,0xfc6b0312,0x13160010}},	// [be20] _taratibu_, _aguattu_, _diluget_, _etibini_, 
   {{0x4fb201d5,0x5ddc076a,0xd6090132,0x22b50362}},	//   _méteres_, _velkomne_, _زوردیا_, _mondele_, 
   {{0x2577013b,0x6413010b,0xdf3302af,0x966200da}},	//   _distrito_, _akhaonto_, _akaranga, _инсталяз, 
   {{0xe859027a,0xdac70198,0x9d4800fe,0x00000000}},	//   _katastar_, _tablični_, _makahunu_, --, 
   {{0x72260288,0x82dd012d,0x7cf50052,0x025b0342}},	//   _ferkel_, _garogai_, _आतंकित_, _etalaj_, 
   {{0xbcda00e6,0x00000000,0x00000000,0x00000000}},	//   _搜索站内产品_, --, --, --, 
   {{0x73f800ad,0xd395033e,0x3710018e,0x15870204}},	//   _muhun_, _apesâ_, _cincisiw, _keltanok, 
   {{0x93780189,0x4e16041e,0xc5f701d3,0x92340082}},	//   _tamamen_, _avvelena, _arbetslö, _khamene_, 
   {{0x9a1e0076,0x7c6a0037,0xe38200ec,0xfa110204}},	//   _филип_, _አስመሳይ_, _miegamoj, _hinauske, 
   {{0x1f2405aa,0x1c440053,0x4c190053,0x1683008f}},	//   _levestan, _jinwoon_, _otorisas, _राखाल_, 
   {{0x9c19029f,0x75f00513,0xa2fd000c,0x39d7003c}},	//   _polovicu_, _eximatsi, _diggbf_, _زادروز_, 
   {{0x42fc0266,0xad0f0244,0xbd510372,0x00000000}},	//   _nasihat_, _rettific, _disbyddu_, --, 
   {{0xeb500184,0x1fcd016e,0x530703f0,0xcfe503b2}},	//   _abamuker, _resimler_, _manneskj, _depictio, 
   {{0x625b00a4,0xb3820011,0x7fb90274,0x6c7c00d5}},	//   _inclou_, _adorayim, _þínar_, _drasela_, 
   {{0x95c20135,0x337503b4,0x22920084,0x40460092}},	//   _популяр_, _mutungam, _gurame_, _forrygen, 
   {{0x757902c8,0x1c010631,0xf2a6013b,0x00000000}},	//   _tipoloxí, _uinteres, _lumbia_, --, 
   {{0x8d8e02f9,0xfa90026f,0x59e20107,0x42000331}},	// [be30] _vaporisa, _اكەشىمنى, _ناحيه_, _atliti_, 
   {{0xd292003f,0xa31300de,0x00000000,0x00000000}},	//   _jimatlhm, _benceba_, --, --, 
   {{0x98fc055f,0xffb20416,0x32a601e5,0xb6b6012c}},	//   _yakaland, _láteres_, _kaabo_, _مانواري_, 
   {{0xdcea0128,0xce18032d,0xeb5806ae,0xb5df0235}},	//   _چقارلیشی_, _асылыкүл_, _xabarín_, _bhartrā_, 
   {{0xc3f800ad,0x320c015d,0xda2c0161,0x524900e3}},	//   _buhun_, _विषमलिंग, _обогащен, _iermu_, 
   {{0x1347023e,0x4c87027e,0x22dc00c1,0xd26f0113}},	//   _salemba_, _древним_, _karomah_, _phlandaí_, 
   {{0xc291018f,0x0f9d004d,0xe5bb0147,0x00000000}},	//   _bopab_, _上海古籍出版社_, _بۉدۅمۉك_, --, 
   {{0x2d8a0105,0xce3502b9,0x527602c3,0xc7070159}},	//   _chamatka, _forgalma, _dunajská_, _сумленны, 
   {{0x3ed4022f,0x3a820415,0x1eca0432,0xe52f00aa}},	//   _socialin, _verzicht, _erindrin, _maestilo_, 
   {{0xa9dc00e4,0xc6d1033a,0x22d9037f,0xc9d0004d}},	//   _zabezpie, _affariji, _alveri_, _建築管理組_, 
   {{0xb2c00039,0xd2920079,0x610a03d2,0x00000000}},	//   _ангар_, _cerams_, _konkurzy_, --, 
   {{0x3981027f,0x534501b9,0x9f3602b2,0xe1b8015e}},	//   _akakotsa_, _apresie_, _просить_, _selecció_, 
   {{0x7efd0256,0xd2e60297,0x1d8b0133,0xf2b40148}},	//   _nogalinā, _табылу_, _dameelee_, _concilii_, 
   {{0x5fee045e,0xb2d8047d,0x8adc004d,0x19e202a6}},	//   _поддръжк, _stoen_, _中信房屋興隆加盟, _meritava_, 
   {{0x65070119,0xca960022,0x00000000,0x00000000}},	//   _emmental_, _ҡапшап_, --, --, 
   {{0xb0040135,0x8a24005b,0xf2a6010b,0xeeea0097}},	//   _беркетел, _tsuchiya_, _gaabo_, _kílaàsì_, 
   {{0x2c7301b4,0x35ab00b7,0xa9de0061,0x0a1600d5}},	// [be40] _sterker_, _итерйәр_, _물어보세요_, _maharaka_, 
   {{0x9b6c0059,0x2f4903c6,0x773903f0,0x00000000}},	//   _risolver, _frustraa, _brotnuðu_, --, 
   {{0x12a60068,0xdd8e0024,0x3379023e,0x2313008e}},	//   _yaabo_, _অনুধাৱন_, _begalan_, _jambuur_, 
   {{0x4c3103cc,0xb0df003a,0xe6cc0045,0x32e106aa}},	//   _বিষয়টা_, _birodarl, _просторе_, _patutlah_, 
   {{0xf378016b,0x740d05b6,0xf2e90453,0x3f64029e}},	//   _lokacin_, _francouz, _turniru_, _kemperle_, 
   {{0x10360193,0xbf5e0241,0x8f0d01ab,0xf2900084}},	//   _perekono, _angawoon, _बिलखि_, _bohay_, 
   {{0x430e0222,0xa2130313,0xc52f00aa,0x58db034f}},	//   _copains_, _emchoh_, _kaestilo_, _basenoku, 
   {{0x78d7011d,0xaee70056,0x4e92017f,0x9946022f}},	//   _низация_, _талабот_, _saattuat_, _атлантык, 
   {{0x7290003f,0x5f6c0338,0xbff20255,0xc9fb024f}},	//   _bihad_, _intactes_, _निर्मातो_, _talanoat, 
   {{0xcc93015e,0x8290037f,0x49d9014a,0x3e37023e}},	//   _مامات_, _cihad_, _napeleme, _ساندويچ_, 
   {{0xb31301c6,0x0f2b03a7,0xc3f8037f,0x906000b2}},	//   _cambuur_, _poprípad, _ruhun_, _arkitiik_, 
   {{0x49f90360,0x7ec20220,0x904702eb,0x98f9023a}},	//   _externí_, _костюми_, _секст_, _externý_, 
   {{0x8e510266,0xc2ee02ff,0xc2d80544,0x2a71006f}},	//   _kezalima, _chofe_, _pahele_, _litakuwa_, 
   {{0x331602d4,0x3af40253,0xe1630243,0x935f0077}},	//   _prezi_, _imerajut, _daliteeh_, _fineray_, 
   {{0xb588012d,0x43b9054c,0x00000000,0x00000000}},	//   _pulmapim_, _halvert_, --, --, 
   {{0xd25603e9,0x67f901e6,0x304c0061,0x23730097}},	//   _iňlis_, _odstraňo, _구매문의글을_, _músílì_, 
   {{0xd147014e,0x764a0220,0xd5770059,0x8d2a002b}},	// [be50] _написао_, _маратонк, _наоколо_, _নৈরাজ্য_, 
   {{0x926c0303,0x739b00ec,0x083c011a,0x00000000}},	//   _kolobe_, _korpusai_, _ומינרלים_, --, 
   {{0x0ecd022d,0xc699006a,0xbf5d0227,0x69e401b8}},	//   _marignan, _tetezami, _keharmon, _spordiuu, 
   {{0xe9620179,0x72d9030d,0x646a02e0,0x456b03fe}},	//   _talopele, _soveti_, _ditebego_, _евклид_, 
   {{0xa3ac0074,0x59e900c7,0x1291033f,0x7d0b030a}},	//   _kaupan_, _turnirda_, _hopaa_, _comuneir, 
   {{0x42910369,0x90280037,0x9c0a0196,0xe311004c}},	//   _kopaa_, _አንጻራዊ_, _chapola_, _babbamu_, 
   {{0x467b0212,0xa25a015e,0x62ea0338,0xdb0302c4}},	//   _interdum_, _colles_, _prenoms_, _нозете_, 
   {{0x19830177,0x00000000,0x00000000,0x00000000}},	//   _ҧҳәыс_, --, --, --, 
   {{0x9c1f02f4,0xafd602f0,0x73eb022b,0x052c004a}},	//   _cumplir_, _ekuzuzen, _flatur_, _kebeklär, 
   {{0xe51101cf,0x40dc0013,0x5c6201c0,0x1a71006f}},	//   _thesauro_, _jarohatl, _baturen_, _kitakuwa_, 
   {{0x222700da,0x626c0086,0x544e009a,0x66030127}},	//   _нацисте_, _unlove_, _مستقلو_, _fallagri, 
   {{0xf2df0357,0x8af604a2,0x92d80481,0xc225005b}},	//   _borelaki_, _reprodut, _stoel_, _azuki_, 
   {{0xa26d04a7,0xed8c00d1,0xb9590111,0x768501fe}},	//   _pasou_, _গন্ধৰ্ব_, _affouage, _veidutai, 
   {{0x3d450046,0x00000000,0x00000000,0x00000000}},	//   _قوقۇسۇنا, --, --, --, 
   {{0xa4890220,0x5b3401e9,0x159b0183,0x425a00e1}},	//   _интервю_, _bobatlis, _famonoam_, _mbollo_, 
   {{0x1b2002b1,0xe2380157,0xf26d015e,0x00000000}},	//   _ingancin_, _filmiki_, _gasos_, --, 
   {{0x72a600b6,0xe2e80083,0x748704eb,0x9b7303ee}},	// [be60] _yaabe_, _schizun_, _सीमांत_, _preuzela_, 
   {{0xb25a014d,0xc29203d5,0x82d804f8,0x1e1b016a}},	//   _tolles_, _arrane_, _upheld_, _bongusta, 
   {{0x4c6901a4,0xa24903f0,0x40540006,0x43a20541}},	//   _matuidi_, _fremur_, _secukupn, _najpre_, 
   {{0xcfe30075,0x350502b0,0x617c005e,0xd24b012c}},	//   _leikarar_, _edelstah, _рамсфилд_, _ntawukul, 
   {{0x626405ce,0xb2f2044a,0x567e0088,0xaf1600f5}},	//   _toplam_, _bahindu_, _хадистен_, _aladalan, 
   {{0xbb73000c,0xc9c1024a,0x82d802ff,0x7ce20420}},	//   _matsuura_, _aruwekad, _acheve_, _семинарс, 
   {{0xc8e401db,0x7a510465,0x04140235,0xf47301d2}},	//   _телефонм, _debelina_, _cārthena_, _hastawan_, 
   {{0x76ce0313,0x002d00bf,0x43be03fb,0xeb8200e2}},	//   _bovangni, _вступают_, _životi_, _skansear, 
   {{0x73640092,0x820200bd,0x847b02ee,0x964b0039}},	//   _belgien_, _chuize_, _cittadin_, _boligraf, 
   {{0xe4de00c5,0xb26c033d,0xe95b03a2,0x4a160125}},	//   _语言文学与心理学, _andose_, _जेएनयू_, _яратды_, 
   {{0x1cac01d1,0x7e2c0249,0x711600be,0x0c140276}},	//   _existing_, _longdesp, _تانباس_, _реаллиқл, 
   {{0x92020338,0x92e30128,0x5d70017f,0x42e0008d}},	//   _moritz_, _ایککله_, _timmissa, _portlash_, 
   {{0x3aec057c,0x627e04ee,0x13220038,0xf934036e}},	//   _efterlys, _idinye_, _belgiä_, _chymanta_, 
   {{0x108a03c4,0xb6aa00b0,0x7be7012e,0x158b009b}},	//   _بىلوگى_, _qabridah, _فریدی_, _sorraraz, 
   {{0xd200009f,0x8473036e,0xe2920393,0x0f7e00cb}},	//   _nuditi_, _aastawan_, _izrade_, _комисиюн, 
   {{0x734c003c,0x7ba30147,0x05b30023,0x32000155}},	//   _disetel_, _جولجوبوس, _тонкий_, _odling_, 
   {{0x0d9003e9,0x3da102d9,0x1eac0109,0x859700ed}},	// [be70] _кенди_, _fehoahoa, _dorosten, _kadetaly, 
   {{0x9c5d02da,0x5c450140,0x00000000,0x00000000}},	//   _postado_, _heswita_, --, --, 
   {{0x22d9022e,0x9ddf0261,0x9aba0037,0x12490231}},	//   _poveri_, _proksime_, _ተመዝግቦ_, _tremec_, 
   {{0xa1770307,0x83ec0322,0x00000000,0x00000000}},	//   _amlandel, _amamurik, --, --, 
   {{0x72d8018a,0x2a270444,0x7a7f0184,0xda1b019d}},	//   _groeg_, _правую_, _bisagara_, _apabanja_, 
   {{0xeb6b01cf,0x18c5025f,0x062a0209,0x17bc014f}},	//   _commeric, _bamethod, _annikeqi, _ескалаци, 
   {{0x12d800dd,0x28d500b9,0x725a022a,0x298402cb}},	//   _droed_, _pegunung, _geilik_, _akcijama_, 
   {{0x3e2c027e,0xb9d9018c,0x77e40202,0x00000000}},	//   _влада_, _herexame, _seibarug, --, 
   {{0xe9590125,0xb3560557,0x739500dc,0xb3870201}},	//   _analizle, _abafika_, _leasau_, _mmarat_, 
   {{0x336701d1,0x2b07027d,0xca7f0069,0xc26e015e}},	//   _program_, _видели_, _gisagara_, _suposo_, 
   {{0x2b1b004f,0x2e0c0013,0x415400ba,0xb2890235}},	//   _daqaloon_, _ишсизлар_, _چنارۆک_, _calitā_, 
   {{0xc57d01a3,0xf8840193,0x32ba0128,0x56270092}},	//   _ايجادن_, _वेबसाईटव, _дўзахдан_, _daginsti, 
   {{0x66c90687,0x6f370083,0x561e00f7,0x4f7e0076}},	//   _bagakubi, _energica, _abolicii, _обичните_, 
   {{0xe48602d5,0x74990086,0x0d33011d,0x052e0349}},	//   _सुधारल_, _karrierj, _avantaje_, _arrisonh, 
   {{0x40820156,0x94120039,0x27d90073,0xcd770153}},	//   _מחשובי_, _авсны_, _conquiri, _スに続けてキ_, 
   {{0x7ac101ec,0x323400f1,0x0bf80256,0xd20003b4}},	//   _انقدر_, _formile_, _publisko_, _anoisa_, 
   {{0x598e010f,0x5fab0033,0xe2fc034b,0xd2d8039e}},	// [be80] _табиӣ_, _directur_, _ikwaliti_, _duoen_, 
   {{0x1fc301ca,0x00000000,0x00000000,0x00000000}},	//   _danongmo, --, --, --, 
   {{0xb2490035,0xd2ca02c1,0xd23400cb,0x7c65074a}},	//   _kermi_, _yenda_, _akamane_, _deltaet_, 
   {{0x1a5d01cf,0x1f750033,0x6b64036e,0x558d02b6}},	//   _mangiava_, _naschien, _dulurusa_, _мүлкіне_, 
   {{0x75670159,0x530100e6,0x8f66038a,0xea9901d4}},	//   _заставац, _tombée_, _dijashun, _archibus, 
   {{0xbece0066,0xd8000173,0x6290018e,0x67ae0437}},	//   _ганзориг_, _ejecutiv, _enhan_, _uendelig, 
   {{0x82f40005,0x029001a7,0x234802a6,0x77970504}},	//   _tranter_, _onhan_, _accendi_, _द्वीपसमू, 
   {{0x51d00462,0x4420034e,0x16d300da,0xb7e300d9}},	//   _umbernay_, _alpamayo_, _ноциунь_, _позицию_, 
   {{0x432c02cb,0x12d8046b,0x879f0064,0x727f0043}},	//   _pričalo_, _troed_, _lideratg, _awantu_, 
   {{0xd1f30243,0x5d5800c8,0xeaef012a,0x8adb002b}},	//   _didaaleh_, _музейынд, _dostanie, _গোলাপি_, 
   {{0x93960418,0x8d880046,0x72cc0034,0x5b4f027f}},	//   _ulusal_, _электиги, _karlinn_, _gyemerer, 
   {{0xba860310,0x923704e5,0x97b7014e,0xa3550432}},	//   _beanntan_, _agajja_, _заките_, _atleter_, 
   {{0xb7b80263,0xc2a60028,0x33fe0007,0x12d5020e}},	//   _natuurli, _baaba_, _bakufaki_, _bosolla_, 
   {{0xb2ca02c1,0x88eb04dc,0x43f40415,0x47cc0278}},	//   _wenda_, _نسیبی_, _mittel_, _warganeg, 
   {{0x6a6e037f,0x53f800ab,0x974b0064,0x424a0278}},	//   _fotosess, _huhua_, _ارباعى_, _tasmid_, 
   {{0x015b03e8,0xdb2c0397,0xc3290322,0x83f800a1}},	//   _podrobno, _ababenob, _adiventi_, _kuhua_, 
   {{0xa775032d,0xd27a016d,0xf3c50081,0x719b0181}},	// [be90] _скважина, _қиззиқси, _dómkirkj, _chefのih_, 
   {{0xa2ed01cf,0x23f90178,0xc3780082,0x22900119}},	//   _copiate_, _acyute_, _alkalin_, _anhan_, 
   {{0xa1af00e7,0x0348013a,0x306800a4,0x42640385}},	//   _aluminum, _tendenz_, _بولسوڭ_, _toplom_, 
   {{0x627e044c,0x95610338,0x0db40088,0x076f01b3}},	//   _meinte_, _acomencè, _قوشوي_, _порталах_, 
   {{0x0a8502fd,0x1291038a,0x03ea00f4,0x917f004b}},	//   _beingean_, _ampay_, _baltel_, _disampol, 
   {{0x40ea025c,0x925a01c2,0x96e70223,0x805000b3}},	//   _qualität_, _follas_, _сарлаг_, _bilimsiz_, 
   {{0xfba00002,0x634a0126,0x33f80168,0x00000000}},	//   _policajc, _портфолі, _uthus_, --, 
   {{0xb32e039f,0x4f40022f,0x448101b8,0xf47e02d6}},	//   _פורטוגל_, _grafikos_, _पिशाचन_, _чинор_, 
   {{0x1e4a00c1,0x00000000,0x00000000,0x00000000}},	//   _maksudku_, --, --, --, 
   {{0x1300035b,0xa5d504a4,0x62a7028b,0x4c7800f0}},	//   _članki_, _bancaich, _арҭоит_, _skrutky_, 
   {{0x0f650687,0x29f50466,0x903d0061,0x00000000}},	//   _barashin, _suočiti_, _오스트레일리아_, --, 
   {{0xbfd80075,0x55980164,0xfa1703d9,0xdd7c00c4}},	//   _grannsko, _вакалитә, _nitarika_, _ٽيوٽرل_, 
   {{0x527f011c,0xb3790184,0xf6920371,0xaf2e0205}},	//   _dagnuy_, _biranka_, _reperibi, _avgustda, 
   {{0x24da014e,0x9a17006a,0x1f2601b8,0x4eb40151}},	//   _босни_, _hitarika_, _spetsiaa, _anvullee_, 
   {{0x88bf046d,0x072101c9,0xd2da030f,0x073b012c}},	//   _senenged, _ओीज़ा_, _kapene_, _ورتاءَ_, 
   {{0x4a0f0281,0x2e01018f,0x00000000,0x00000000}},	//   _massakku, _qabdajda, --, --, 
   {{0xea1700d5,0x52480197,0xfb1a017c,0xfa7102fe}},	// [bea0] _mitarika_, _denmen_, _potatiss, _besaziwa_, 
   {{0x87820046,0x3f630042,0x829101a6,0xf7d50311}},	//   _geogràfi, _falantes_, _kopae_, _መሳለጥያ_, 
   {{0xe7cc00ff,0x02d80138,0x3f32003c,0xc3430220}},	//   _פלאנעטן_, _annesi_, _ajaranip, _косопад_, 
   {{0xe2ca0367,0x02fc003c,0x90d900de,0x02a70313}},	//   _lendo_, _benguk_, _bapostil, _srebya_, 
   {{0xdb9a02fc,0x940f00b3,0x6c6100c1,0xdc960322}},	//   _abazigab, _astrahan_, _serunya_, _ataziger, 
   {{0x340e056d,0xf2900129,0x4a0300d5,0x6b710297}},	//   _efanelek, _aghazi_, _sambatra_, _agroçara, 
   {{0x2ccc0479,0x2bab040b,0x485902da,0x6a1100d4}},	//   _دیانت_, _mbekanyo_, _correios_, _finansje, 
   {{0xb2440117,0x23c80156,0x22fc0057,0x03f903ef}},	//   _divelopm, _servon_, _tenguk_, _acyure_, 
   {{0x13160026,0xd2240024,0x7f780113,0x52920461}},	//   _huizen_, _lenkje_, _deochann, _airaus_, 
   {{0x72900134,0x9e420486,0xddb800c5,0x363100fd}},	//   _hihan_, _हिन्दूहर, _accepté_, _liondsai, 
   {{0x12900127,0xe50200a7,0x630c00ca,0x22f60201}},	//   _bihan_, _инсандар, _aimants_, _digibik_, 
   {{0xe27b02d8,0xa29201d9,0x0571030a,0x00000000}},	//   _bersekol, _viraus_, _besteiro_, --, 
   {{0x60db018d,0x6c0a0481,0x49fa01f9,0x45a0021d}},	//   _ፋይናንሳዉን_, _snelheid_, _besifana_, _skridtlæ, 
   {{0x6d4d006e,0x29d6004a,0x92ca04ec,0x2de90040}},	//   _amaluñu_, _басуда_, _gendo_, _conveyed_, 
   {{0x3d890453,0x7c640181,0x00000000,0x00000000}},	//   _školovan, _beetoru_, --, --, 
   {{0xb70d01eb,0x5b0802c0,0x4efd0291,0x8292049d}},	//   _науру_, _мисионер, _الشنقيطي_, _morais_, 
   {{0x528d0359,0x4fcb0204,0xb5c40090,0x269600e6}},	// [beb0] _plakken_, _свободы_, _akabhadh, _未受过中国证监会, 
   {{0xf40e077a,0x729100e1,0xeef20157,0xa5b302a4}},	//   _afanelek, _bopam_, _निष्पादि, _mulierem_, 
   {{0x8d3805ed,0x03940034,0x7b190006,0x8066030a}},	//   _agapapur, _veislu_, _misalkan_, _sinalado, 
   {{0xc3c8038f,0xffaa03d5,0xca1c0408,0xf7ac0272}},	//   _gerven_, _acidific_, _bouboune, _ayatiiki, 
   {{0x529000f4,0xc8f8020f,0x995103f3,0xab9303f7}},	//   _vihan_, _babanced, _herleide, _ferilskr, 
   {{0x1f24002e,0xc2e700a7,0xdfb5034f,0x48cb02fe}},	//   _našeg_, _тармак_, _ګوربت_, _مراسیمو_, 
   {{0x97a4003e,0xd2da033f,0x62d8004f,0x4a8c037b}},	//   _ҙурыраҡ_, _mapele_, _jugee_, _obtienen_, 
   {{0xacc70145,0x0d9200c1,0x6c2701f4,0xf25c0014}},	//   _сэрца_, _होमोसिपि, _бремер_, _realizoi_, 
   {{0x87690406,0x62910342,0x09e3014e,0x820e0420}},	//   _राज्यको_, _dopaj_, _монаха_, _дадам_, 
   {{0xa290017d,0x976700be,0x8bdf00d5,0x00000000}},	//   _tyrkiet_, _банктар_, _hiresadr, --, 
   {{0xf234005e,0x3400014e,0x7d6001d5,0xb9e3020a}},	//   _ئوپېراتس, _вечни_, _کابیان_, _розатай_, 
   {{0xc27b0266,0x835100b3,0x590e02c6,0x82ee011b}},	//   _persekol, _seredip_, _didalvou, _okanisi_, 
   {{0xd2c903aa,0xdbef019f,0x59d001f4,0x5bee017a}},	//   _सांसारिक_, _uhamisho_, _девид_, _касон_, 
   {{0x02b60367,0x12980041,0x31270397,0x83b001fc}},	//   _verdade_, _иаапхьар, _карочи_, _tiiqo_, 
   {{0xc53900a4,0x5f3c0060,0x0a5202eb,0x9f4000ba}},	//   _دوستۇر_, _путиннің_, _zeregina_, _گیڤارا_, 
   {{0xe2770205,0x837800d2,0x0b0d0059,0x8ec90145}},	//   _мазмун_, _dikawin_, _compatta_, _oranžini, 
   {{0xb40f00ce,0x9b0e02ea,0xb78e0094,0x537300d1}},	// [bec0] _anprenan_, _compresa_, _تاماقتىڭ_, _talande_, 
   {{0x096b00f5,0x82f401c4,0x9bc3004d,0x527f02ac}},	//   _говшадяр, _stander_, _外國發行人募集與, _heanet_, 
   {{0x937c029a,0x6c990382,0xe9f50109,0x4c4002c9}},	//   _debarke_, _gabrielg_, _लोपोन्मु, _surprins, 
   {{0xa2da00d8,0x39510111,0x00000000,0x00000000}},	//   _beresa_, _appollat, --, --, 
   {{0x06ce0140,0xdec30075,0x8c7401b7,0x9ade0111}},	//   _panatili, _mannagon, _शुक्रं_, _scaturit, 
   {{0xd34a00ff,0x83c802c8,0xe3c003ad,0x3aa0048c}},	//   _אַסימילא, _serven_, _esebizzj, _aspickyn_, 
   {{0x92ca0138,0x537c01ba,0x537901ec,0x203800ec}},	//   _bende_, _deranze_, _tegalan_, _komedijo, 
   {{0x73f8033f,0x3a800109,0x23600097,0xf2a600cb}},	//   _fuhuu_, _धीरकुमार_, _olóúnje_, _ayibe_, 
   {{0x930500a7,0x0740030f,0xf37d0047,0x8e1b0383}},	//   _رومان_, _tomokang, _espagne_, _keletiha, 
   {{0xdb8f040a,0x64b90311,0x0eb80148,0xf31901f0}},	//   _skrivbor, _ወኢይመዓዕ_, _acceptis_, _mafikeng_, 
   {{0x02f701fc,0x69e0011b,0x11cc03db,0x00000000}},	//   _digirih_, _kososola_, _kwemizim, --, 
   {{0x7b0900b5,0xf2ee00d1,0xf7270163,0x0a4e020f}},	//   _chapulte, _অধ্যায়স, _ہرقسم_, _babesiza_, 
   {{0xb29002f1,0xa29002f6,0xaddb0053,0x1058006c}},	//   _unhas_, _liham_, _engkaula, _akasukan, 
   {{0x12910119,0xd75e00d1,0x3c0c02a1,0x02590009}},	//   _roxas_, _skriving, _gryskop_, _prenesti_, 
   {{0x5b1f0183,0x9884023e,0x348403a2,0xfaed01e8}},	//   _akoatran_, _اسراییلی_, _उदहारण_, _kaslonon_, 
   {{0xfc6403da,0x3b71016e,0xdeb40413,0x00000000}},	//   _edeturu_, _bayramda_, _ausentes_, --, 
   {{0x49f90315,0xa2b201b8,0x037d02cb,0x0249008c}},	// [bed0] _angasise, _leidsin_, _ispadne_, _ferms_, 
   {{0x5e92014f,0x84910295,0x00000000,0x00000000}},	//   _постала_, _fangamok, --, --, 
   {{0xb3ea02b9,0x6a8b0139,0x526e0107,0x2386031a}},	//   _adott_, _जन्मनि_, _gosong_, _dhorch_, 
   {{0xd2ca0103,0x47810016,0xbe320307,0x2c060040}},	//   _uende_, _סאקפאפעט_, _bangadla, _השחיתות_, 
   {{0x61430144,0x8bb6004b,0x630100cf,0xbc0b00ee}},	//   _حقوقية_, _врачтар_, _fesashi_, _ahuspez_, 
   {{0xafea01a7,0xcf900061,0x73020103,0x7fa60153}},	//   _налогово, _감사드리며_, _akubate_, _キルティングジャ, 
   {{0x82ca000c,0x690400ff,0x887f0037,0x9be307b7}},	//   _pende_, _אנאליז_, _ታሪካዊና_, _comenzar, 
   {{0x5871015b,0x9dba042a,0xa2c50290,0xb8b40397}},	//   _painimau, _bakhutsa, _chammas_, _гуруҳҳо_, 
   {{0x466d01b6,0x48d301b7,0xf8920020,0x83f10192}},	//   _للاسف_, _प्रसन्ना, _avavevav, _regeling_, 
   {{0xb29001a7,0x880901eb,0x0c5f00d6,0x527501af}},	//   _ollaan_, _арадиоса, _custaim_, _migrantl, 
   {{0xfed503fe,0xf73700e0,0x1c3002aa,0x7dab010e}},	//   _слабыми_, _fielling, _slaninou_, _danielpa, 
   {{0xd2530033,0xbcef025c,0x829404e3,0x241f00db}},	//   _sulettam, _kostenfr, _čekati_, _आत्महीनत, 
   {{0xe38700ce,0x878203a5,0x03740040,0x23ac04d7}},	//   _dapre_, _स्कार्पि, _פנטזיות_, _kaupin_, 
   {{0xd7a10178,0x21780359,0x3c680156,0xb1880056}},	//   _adhobhūm, _wichtich_, _עפּשטיין_, _кофтуков_, 
   {{0x531704fb,0x98d7038f,0x171e0361,0x00000000}},	//   _cruza_, _diveliou, _дiатоха_, --, 
   {{0x434703a4,0x52ed00b4,0x0b8f0037,0x747f0291}},	//   _bundnar_, _ortodox_, _ታጥፋለህ_, _بسببها_, 
   {{0xdd8f0014,0xe60f0101,0x237f0257,0xf4ab00db}},	// [bee0] _እስቲፋኖስ_, _конститу_, _kostnaða, _कस्तफन_, 
   {{0xbeb80481,0xe2f50505,0xe23a0267,0x00000000}},	//   _oplossin, _säiten_, _filmsku_, --, 
   {{0x538c010f,0xe8fc013c,0x3ab40456,0x2dbc0015}},	//   _гусел_, _kataloqu, _berkhutb, _dibindaa, 
   {{0xfc4802e2,0x6b8104d7,0x43ea0020,0x00000000}},	//   _natwest_, _sanngjar, _leota_, --, 
   {{0x664a0037,0x634002b6,0x3eb80151,0x4c2e033a}},	//   _ምርምርና_, _الماپتى_, _accostin, _erbivoru_, 
   {{0x1ae5002c,0xc1c300ee,0x230f01e8,0xe2ed0082}},	//   _udalaren_, _sistemak_, _iglakip_, _basinne_, 
   {{0xb7d5010f,0xafd70483,0xf8790262,0x1c200052}},	//   _умури_, _dividido, _хассасын, _citují_, 
   {{0x427f04c0,0x7fc10281,0xb2d803eb,0xac720132}},	//   _adanse_, _takorloo, _kroeg_, _nyertes_, 
   {{0x822b01e1,0xac170199,0x834300c5,0x02bc015c}},	//   _станда_, _ecopark_, _页面数据加载中_, _firdrun_, 
   {{0x26310164,0x42d8018c,0x00000000,0x00000000}},	//   _гуруһлар_, _droeg_, --, --, 
   {{0x226c0399,0x92d900d2,0xe88300ae,0xa27e0223}},	//   _koloke_, _bebeja_, _kuyimuku, _abonua_, 
   {{0xf26e023d,0x497201c8,0x4fce00ec,0x6980011a}},	//   _motore_, _aktivujt, _tradiciš, _במעבדות_, 
   {{0x12ef0037,0x722900bf,0x3b9e01a6,0xb29400dc}},	//   _ፋውንዴሽን_, _торговле_, _arehanar, _esikegi_, 
   {{0x925a04f9,0x90150321,0x549803b4,0x87b4018d}},	//   _tallit_, _kopalniš, _aiparidz, _ሕርኽርኽ_, 
   {{0xb2d80534,0x1c7d0588,0x5ba2008d,0x6b3a002b}},	//   _xtgem_, _amusaba_, _قورقچیلر, _দেলোয়ার_, 
   {{0x22ca012c,0x01440307,0xf26c03f6,0x03440226}},	//   _nenda_, _babengal, _kolohe_, _babenge_, 
   {{0xe16d0497,0x30390094,0x0db70128,0x17000155}},	// [bef0] _podiatry_, _باسابەرس, _таснифи_, _vinterdä, 
   {{0xbc80017a,0xd26e00a1,0x5ded015e,0x00000000}},	//   _женев_, _kotore_, _مەدەتبەك, --, 
   {{0x926c00c8,0xce6900bc,0xb2970357,0xc9a7004d}},	//   _boloke_, _زينتي_, _matataki_, _受祝福的金符咒_, 
   {{0x2387031c,0xf2d900c5,0xc396005b,0x328b01c0}},	//   _muerto_, _monnaie_, _kitson_, _alkawali_, 
   {{0x8b0300bf,0xbfc8029e,0xabe4057c,0x47bc01af}},	//   _передава, _mezianto, _lagervar, _başlanyn, 
   {{0x1e3205e0,0xf355008c,0xb74600fb,0x19d203b6}},	//   _inglesas_, _attents_, _emozambi, _lobìnrin_, 
   {{0xc69d0029,0xa27f03ff,0x9c7d0348,0xd39602e7}},	//   _کارلستاد_, _byznys_, _amusiba_, _litson_, 
   {{0xa2ca027f,0xefa9005e,0x7c6f018c,0x37bc00b3}},	//   _genda_, _نىمكەش_, _overeen_, _başlanym, 
   {{0xc291007f,0x963d01aa,0x0519020f,0x93b00013}},	//   _alpau_, _amongstw, _خوړالي_, _unaqa_, 
   {{0x42ca0038,0xb3f80229,0x4fbe02f8,0xd52e0099}},	//   _aenda_, _ruhum_, _kaungato, _asingash, 
   {{0xc3cc0040,0x93430244,0xb2d80448,0x37000092}},	//   _ולבסוף_, _essendo_, _troen_, _vinterdæ, 
   {{0xe2ca019d,0xee4801c5,0xc3c80092,0xb2360099}},	//   _jenda_, _cunaqaba, _cervin_, _bheji_, 
   {{0xe13502f3,0xa04401db,0x995d00de,0xadd80234}},	//   _sundsval, _реформан, _داستعمال_, _olóòwá_, 
   {{0x0f4300bd,0x427f007b,0xe2d9013d,0xa3ce0342}},	//   _bedstrae_, _emenem_, _alveni_, _lanvi_, 
   {{0x21d00268,0x02bc015c,0x8c5104cf,0xdb7500be}},	//   _offerway_, _virdrun_, _umntana_, _بئرجاڭسى, 
   {{0x69e303ee,0x5f850158,0xe2490116,0x1a500022}},	//   _isporuka_, _दरवाज़े_, _clammy_, _айбулат_, 
   {{0xcaf90179,0xef4d0262,0x3f5202ef,0xd387031c}},	// [bf00] _ginneken_, _rafsanja, _ekspedye_, _huerto_, 
   {{0x725a02ee,0x3b4400d9,0x5fb4025b,0xd2ca01d4}},	//   _fallut_, _штукатур, _desembur_, _aendi_, 
   {{0xfb8c004a,0x684301ef,0xb26d0313,0x3de000e6}},	//   _фәрештәл, _pastatas_, _masoy_, _affichée_, 
   {{0x884501a7,0x82d80812,0x71430528,0x3a7e04df}},	//   _главная_, _schede_, _celticco, _cagalara_, 
   {{0x02ca00d2,0x982e0235,0xc71f0224,0x907002ef}},	//   _dendi_, _asambadd, _kverkfjö, _karanklo, 
   {{0x4ee00079,0x00000000,0x00000000,0x00000000}},	//   _mobilais_, --, --, --, 
   {{0xa5450096,0x039e02fc,0x00000000,0x00000000}},	//   _atsindiy, _batabanj, --, --, 
   {{0xea4f0054,0x3d360056,0x47b40119,0xd3220486}},	//   _najeriya_, _izingane_, _thuringi, _kopyta_, 
   {{0x22d80259,0xdfab0031,0x0a8803c7,0xe2900204}},	//   _mugen_, _direktur_, _podróż_, _lihaa_, 
   {{0xf82700be,0xc2360234,0x6d8402c3,0xa430002b}},	//   _اشىنبا_, _ikeja_, _povedzte_, _জৈবিক_, 
   {{0x32c30117,0xb2e20141,0x6291012f,0xbe4f01f4}},	//   _bislama_, _abdulloh_, _popan_, _bajarila, 
   {{0x59c30102,0x72fa0125,0x6fc8043a,0x6c6d004d}},	//   _صاحبو_, _žurnaly_, _irritato, _論反右運動之六_, 
   {{0x92d802a5,0x62490347,0xf0530320,0x06170013}},	//   _povolit_, _vermy_, _emisihen, _stalinni, 
   {{0x71560035,0x325a02ee,0x30b5004a,0x826c0095}},	//   _сарытау_, _ballut_, _berkadär_, _bodone_, 
   {{0xf37101d9,0x726d048c,0x553d0294,0x00000000}},	//   _amgaang_, _bagoon_, _eurhynch, --, 
   {{0x78d002fe,0xf20002d8,0x00000000,0x00000000}},	//   _استعمالي, _audisi_, --, --, 
   {{0x42000049,0x0da0006a,0x92c10074,0x42e80396}},	// [bf10] _auliti_, _solonana, _malleja_, _infisha_, 
   {{0x829002fb,0xa2000013,0x1e1a00f2,0x52e802be}},	//   _fihaa_, _mudiri_, _loterija, _bukiran_, 
   {{0x19ed051a,0x82f402c6,0x82da022d,0x00000000}},	//   _maknanya_, _buander_, _appesu_, --, 
   {{0xd3ea0120,0x5e4d01cf,0xb3730362,0xb68d00d3}},	//   _afote_, _incatena, _bakamwe_, _निरास_, 
   {{0x637f03dc,0x72fe003a,0xc60a026c,0xc2fd033c}},	//   _kostnaðu, _masalasi_, _duodecim_, _ategol_, 
   {{0x32ca0348,0x0d430077,0x62da02e7,0xf266003b}},	//   _wendi_, _abigayèl_, _hapones_, _gabriyel, 
   {{0x02ca04ce,0x72d802d4,0x72fa0092,0x83860138}},	//   _tendi_, _bugen_, _官公庁志望の人_, _edirne_, 
   {{0xcf390003,0x43fa005b,0x815a0037,0x823c0092}},	//   _abonneer_, _desuga_, _መፈፀሙን_, _件のトピック_, 
   {{0xb27f00a5,0xb9da038f,0xbed5025b,0x3ddd02dd}},	//   _apenā_, _fonetike, _sosialin, _dinamiżm, 
   {{0x33790465,0x029002fb,0xcb8d01fe,0x339d00a6}},	//   _skratka_, _fihai_, _latianar, _پآکستان_, 
   {{0x12b4018b,0x32910138,0xdbb30109,0x115600d1}},	//   _adica_, _bizans_, _भँडुवावि, _পৃথিৱীপৃ, 
   {{0x634501c6,0x76600170,0x12da016a,0x2d360184}},	//   _itselde_, _akukuchi, _hereda_, _bwonyene_, 
   {{0xd953026f,0xe386003d,0x3be3009b,0x37bd0059}},	//   _ғының_, _beirot_, _нотлон_, _corridoi, 
   {{0x62d90051,0x62d80415,0xc26c01f0,0x9291034c}},	//   _sezonas_, _augen_, _bolone_, _alpar_, 
   {{0x89b501d5,0xd39002ac,0x3d3d002b,0x6bdf0595}},	//   _gondolat, _ولياقة_, _কলকাতায়_, _आप्रवास_, 
   {{0x97d80125,0x5c660097,0x7d8c027b,0xc2da000d}},	//   _максатла, _ibarajọ_, _bāhyaḥ_, _perega_, 
   {{0xabfd0377,0x602900b4,0x8c69012c,0xe41d0183}},	// [bf20] _puternic, _circulaţ, _hatujui_, _hahamaro_, 
   {{0x22f70021,0x42ca0255,0x129001e8,0xe0a304ac}},	//   _aloudway_, _lendu_, _iihaw_, _косплей_, 
   {{0x7dcf037f,0x837f0076,0x53730204,0x98370156}},	//   _sanksiya, _adianta_, _pihalle_, _פארריקטע, 
   {{0x7f230183,0xa875004d,0xfdfd01c8,0x00000000}},	//   _manentan, _以經費不足與院方, _nalepova, --, 
   {{0xcd2502a4,0x620001a7,0xb2d800cf,0xeeb301e8}},	//   _chisporr, _tulisi_, _argee_, _ginsulat_, 
   {{0xf26e0182,0xd37002eb,0x9c7103b6,0x12e80316}},	//   _kupono_, _металлын_, _ibaramu_, _bayinsa_, 
   {{0x97f4031e,0x52d80064,0x00000000,0x00000000}},	//   _slucajev, _pugen_, --, --, 
   {{0x93870111,0xb3f403ae,0x0bbc020f,0x48b20365}},	//   _capra_, _tittel_, _پښېمانه_, _सतिसालजस, 
   {{0xda9206c6,0xb2fd0054,0x944c0577,0xe2ca02a6}},	//   _lanzamie, _mashhad_, _trojkolk, _italici_, 
   {{0xa2da0264,0xc38601ac,0x4b05010b,0x60ca0037}},	//   _napoles_, _beirte_, _eferatha_, _የርዕዮተ_, 
   {{0xd2ad0088,0x671a0286,0x6c0504f9,0x53b1004a}},	//   _العاچ_, _kokunkum_, _akornats, _ataqay_, 
   {{0x0355018a,0xe26e012a,0x636c018b,0xb6cd01eb}},	//   _howells_, _gotowe_, _alegeri_, _carpinch, 
   {{0xdc6f028a,0x520201c4,0xb7f5045f,0x00000000}},	//   _ukurasa_, _musiek_, _antaglig, --, 
   {{0x82d800b6,0xfece00af,0x11fd0125,0xdda003b6}},	//   _sugen_, _греко_, _wakalary_, _irandira, 
   {{0x32ca0039,0x5d280279,0xb4b50193,0xe8cd065d}},	//   _kendu_, _puissanc, _अनैतिक_, _ettermid, 
   {{0x50af01f6,0xa7cb0260,0x5cac0185,0x462000c3}},	//   _kommunel, _castelá_, _агиев_, _brundisi, 
   {{0x22000050,0xf5b9032e,0x76e80498,0x02c302cf}},	// [bf30] _pulisi_, _paskatañ, _ostražit, _isolado_, 
   {{0xc9ed034e,0xbd2603c3,0x30cf01a3,0x9d300436}},	//   _castanku, _odvojene_, _پڪاچانگ_, _vlasenic, 
   {{0xfd940041,0x2c2e02a6,0xb30f04a6,0xf2ad0109}},	//   _ҕуҕуаны_, _arriposu_, _stubova_, _limitů_, 
   {{0x22eb033e,0xc618013a,0x1b7901db,0xcc9c010d}},	//   _arriero_, _polarisé, _тереңде_, _निकोप_, 
   {{0x2df5049d,0x3317025b,0xe2d80166,0x364803b2}},	//   _saudável_, _talutíð_, _kugel_, _deviantw, 
   {{0x0c0c0331,0x0f2300ea,0x761600e6,0x277e03bf}},	//   _happing_, _fanentan, _黑龙江省中小企业, _бармайым_, 
   {{0x0b5b0297,0x937c042c,0xcda70008,0x00000000}},	//   _cimeşen_, _označe_, _نازاردا_, --, 
   {{0xf2920392,0x8c65042c,0xdc170187,0x30970388}},	//   _dorais_, _zastavu_, _todaofer, _трупове_, 
   {{0xe2ca0222,0x8ad70417,0x7619013c,0x819e01f4}},	//   _vendu_, _aartappe, _separatç, _водийсид, 
   {{0xc17e0253,0x73ea03dd,0x12920144,0x68f6032c}},	//   _allatull, _pritje_, _forais_, _allalluu, 
   {{0x705a05a6,0x52d70249,0x39510025,0x42510291}},	//   _forsvinn, _kajoral_, _atrocyat, _المظالم_, 
   {{0x5f880148,0xc9c30044,0x415b0462,0xb8c80311}},	//   _年最夯的社群網站_, _immediat, _allotbay_, _ክመርሕዋ_, 
   {{0x52d8029e,0x72d90039,0x92ef01c8,0x18410229}},	//   _bugel_, _bezela_, _vanilka_, _alemdard, 
   {{0x129201df,0x22ca0813,0xbe3e01d2,0x7301044a}},	//   _nepali_, _kendt_, _agradonp, _akebite_, 
   {{0xd9e50037,0x6c630180,0xdb950230,0x7ca70366}},	//   _በቤንሻንጉል_, _inprime_, _striktir, _бухштайн, 
   {{0x1c650002,0xc0300053,0xda7503e8,0x795103f3}},	//   _sastavu_, _फीडबर्नर_, _blagajna_, _verleide, 
   {{0x2d0a0374,0x43b9014e,0x62920296,0x22d802a3}},	// [bf40] _shartlar, _zatvoru_, _dyrare_, _grieks_, 
   {{0x2e18042d,0x52a602ff,0x814400d9,0x9b0b0155}},	//   _andefima, _dyabl_, _ongelmal, _skapelse, 
   {{0xd0720338,0x6d86008f,0x00000000,0x00000000}},	//   _descrivo, _तस्करन_, --, --, 
   {{0x129003b5,0xa26c011b,0x7d290455,0x00000000}},	//   _lihat_, _bolole_, _traitant_, --, 
   {{0x36e8002e,0x8a7801bd,0xa2a605a9,0x8a17030f}},	//   _istraživ, _ءبىراز_, _vyabo_, _tahataha_, 
   {{0x3290000f,0x42910577,0x41de0466,0x90430010}},	//   _nihat_, _zopar_, _pogledim, _kulutsan, 
   {{0x1f3e0015,0xf3f803d0,0xf8ca0046,0x00000000}},	//   _baarlama, _belupo_, _nostàlgi, --, 
   {{0x22ea01d8,0x5387003d,0x152503a2,0x022503db}},	//   _subiaco_, _acerà_, _रेफ़रल_, _onakho_, 
   {{0x7d220159,0xb30c0139,0x1df0023e,0x027e04cf}},	//   _склеп_, _aphalas_, _دندون_, _ebonwa_, 
   {{0x8a7d041e,0x2387008a,0x42a703c3,0xea4f0159}},	//   _andatura_, _napro_, _slabog_, _апартэід, 
   {{0xd2d80104,0xe29100b3,0xb2c90047,0x13b000ce}},	//   _abheke_, _topar_, _apporte_, _souvann_, 
   {{0xbe39016b,0x9ecd010e,0x7263006e,0x9da70282}},	//   _almajira, _aprikaan, _genuwaal, _peruperu_, 
   {{0x458f02ec,0x010b001d,0xb4420206,0xf3130149}},	//   _ابرٲہیم_, _committé_, _osobnosť_, _ịbido_, 
   {{0xd291015e,0x452a0037,0x97b9005a,0x080b0037}},	//   _sopar_, _ኦስትሪያ_, _iwngengv, _የተፋሰስ_, 
   {{0xc2820049,0x2fb40037,0x67bc00b7,0x1b8e0156}},	//   _kaehili_, _ለመጉዳት_, _başlanyp, _פולנאה_, 
   {{0x62da0285,0x7dca015e,0x64780156,0xda440145}},	//   _gereza_, _осмонаку, _העמלעט_, _parengta_, 
   {{0x9b0c0039,0xd25a029e,0xcd9f0268,0xd9de008d}},	// [bf50] _цусны_, _hallit_, _itingwra, _rivojiga_, 
   {{0x32fe0461,0xf29000d2,0x0d3b016a,0x93410239}},	//   _basicas_, _jihat_, _minimume_, _turetia_, 
   {{0xb20203c7,0xb37a0292,0xfb6d0235,0xa34c0370}},	//   _musisz_, _adwaman_, _पूतना_, _disegel_, 
   {{0x16bf003e,0x2b610033,0x010a0226,0xb3ea028d}},	//   _адресы_, _murezzan_, _akakolol, _eritie_, 
   {{0x00000000,0x00000000,0x00000000,0x00000000}},	//   --, --, --, --, 
   {{0x4c2c0310,0x326d03fd,0xe4630227,0x3c570191}},	//   _theangac, _militeri_, _menetapk, _testade_, 
   {{0x4ca1026f,0xab87015e,0x630c0040,0xec5600db}},	//   _ءﻣﻮراﻟﯩﻨ, _enginyer, _ההוכחה_, _kestnud_, 
   {{0xa9e50037,0x55a902cb,0xd4370025,0x2103033a}},	//   _በቤኒሻንጉል_, _prestank, _अपेक्षया_, _astrofiż, 
   {{0xa22904bb,0x427e0553,0xf9d8045e,0xd361016a}},	//   _kuamuag_, _uplne_, _riferime, _lingvaj_, 
   {{0x518a023c,0x85a7025c,0x9e30003c,0x786e00ee}},	//   _ababudal, _versteck, _شاتکریت_, _podpress_, 
   {{0xae050278,0x92b40287,0x552603a2,0x12da017d}},	//   _kenderaa, _edice_, _बढि़या_, _bereza_, 
   {{0x0e7b0092,0xf9840216,0xe3470084,0xfd3800c4}},	//   _人気ランキング_, _kayivela_, _benerna_, _پوسٽون_, 
   {{0x1ae2017e,0x617e0177,0x00000000,0x00000000}},	//   _kuntekst, _чачба_, --, --, 
   {{0xe71e0025,0x00000000,0x00000000,0x00000000}},	//   _चलचित्रस, --, --, --, 
   {{0x826c03f1,0x9ec904c9,0xc2d803d4,0x00000000}},	//   _ephoto_, _kapyesta, _doneli_, --, 
   {{0xe57b00b5,0xbcdc0120,0xedf80397,0xb6210181}},	//   _tipologí, _yakkoonu_, _angeziwe_, _skoleref, 
   {{0xb2d8013a,0x126c03c6,0x00000000,0x00000000}},	// [bf60] _droen_, _piloat_, --, --, 
   {{0x824901fc,0xd9ee01f6,0x56d30360,0x3290012d}},	//   _anamah_, _আগৰৱালা_, _सुचित_, _ollain_, 
   {{0x07070008,0xb2cb019d,0xf69100ba,0xabb70177}},	//   _بارماعىن, _amadza_, _شێڵسی_, _реформеи_, 
   {{0xd387022e,0x52d90235,0xaae2002b,0x562f0243}},	//   _capre_, _anveti_, _পাহাড়ি_, _kuuriyal_, 
   {{0x4a17036c,0x1200006c,0x829200f0,0x00000000}},	//   _raharaha_, _kuligi_, _nepaci_, --, 
   {{0x07e70164,0x637301ae,0xf2e700cb,0xf18901af}},	//   _сирлар_, _esmalte_, _саркаш_, _doganyny_, 
   {{0xbacb0321,0x92d8045a,0xe5790013,0x66ad0291}},	//   _primeren_, _broen_, _киргизла, _يغتصبها_, 
   {{0xb2f401b9,0xd2f00257,0x62d80179,0x99f70285}},	//   _grander_, _lokinni_, _monemi_, _abwiriza_, 
   {{0x2ad20255,0x6302006e,0x97a704f2,0x0ea801d0}},	//   _पच्ची_, _akmaltu_, _killmark_, _faktiske_, 
   {{0xedb20472,0x92fe030a,0x8c77022a,0x4e55004d}},	//   _keingina, _nativos_, _otproni_, _拘役或五百元以下, 
   {{0x3c63026c,0x787402ac,0x12900227,0x5a8b0269}},	//   _salutem_, _وبحوث_, _godaan_, _pusieron_, 
   {{0x82b3034c,0x2c620422,0x00f400b3,0xb65b0294}},	//   _bardada_, _starše_, _bilimlil, _illimsaw, 
   {{0xbeb702ec,0x717700fb,0x63c801b9,0x02ca03e0}},	//   _پروتن_, _belandel, _mervin_, _bendk_, 
   {{0x27b6034a,0xe2fe030a,0x8c1d00f5,0xf3860195}},	//   _derradei, _cativos_, _gurallar, _deirfe_, 
   {{0x264301e9,0x163c0151,0xc3fd024c,0xafd602b9}},	//   _dikokelw, _annieuni, _denunzji_, _اہميت_, 
   {{0xd5ac0420,0x1343017e,0x42cc035d,0xa9cd03fb}},	//   _клима_, _potenco_, _uveliko_, _najmanja_, 
   {{0xcc1d03cf,0x13150107,0x32f9007b,0x269a0010}},	// [bf70] _kurallar, _مواضع_, _scarcely_, _babeleki, 
   {{0x13b000d6,0x4c750095,0x4b8a00a7,0xa2cb0226}},	//   _القاعدة_, _sedulur_, _комок_, _amadya_, 
   {{0x5fb50057,0xac0002ac,0x08e6018d,0xf6c80037}},	//   _ለመግታት_, _بخالص_, _ነንሓድሕዶም_, _ይመክራሉ_, 
   {{0xfbad047d,0x3e8801ec,0x53df02af,0x95ff0037}},	//   _spezials, _سوناتا_, _akamurek, _አስታራቂ_, 
   {{0xf3ea020d,0x022a01c7,0x52fe00a6,0xc742008f}},	//   _ifoto_, _ковар_, _amahobe_, _हमनियोजा, 
   {{0x0f86048a,0x954a0147,0x086d00d1,0xacca0147}},	//   _ادەپتى_, _تىڭالچى_, _godbitar_, _سادۇاراب, 
   {{0xa38600d6,0x227d0135,0x8200000c,0xd1a102c9}},	//   _meirge_, _тамашачы_, _ijeike_, _riscuril, 
   {{0x9bd701db,0xa41a0331,0xc387023e,0xb29b002f}},	//   _ءوزىڭنىڭ_, _sannleik, _akaré_, _chakruy_, 
   {{0x312b014f,0xa2ca0232,0xf20100d6,0x47b60308}},	//   _актива_, _bildoj_, _acaill_, _perenung, 
   {{0x529102fb,0x42ca0257,0x42560058,0x8d7d021e}},	//   _topai_, _hendi_, _pölig_, _påminner_, 
   {{0x72ca000f,0x23f8009d,0x033201d7,0x748101e6}},	//   _kendi_, _duhur_, _alexi_, _postupuj, 
   {{0xe387029f,0xdc7201d2,0x5804005e,0xc05701a1}},	//   _smerom_, _barruku_, _ﺗﯧﻠﯧﯟﯨﺰﻭ, _aanstaan, 
   {{0x92ca002c,0xd2e90260,0xf2c800b3,0xc5ea0297}},	//   _mendi_, _arrinca_, _dermany_, _karaşı_, 
   {{0x72d90014,0x011901b9,0x8b2000d1,0xbee70265}},	//   _enveri_, _provisyo, _নলিচাটোৰ_, _linkshan, 
   {{0xab190278,0x5ea502af,0x5409021c,0x52b4012e}},	//   _disahkan_, _bimukore_, _nepodnik, _héber_, 
   {{0x9e4701f6,0x457f0058,0x72eb01a6,0xab2e00be}},	//   _নামঘৰৰ_, _okanomsö, _huriaro_, _داعۇرلار_, 
   {{0xd7b4005e,0xd30002c5,0x971f00a5,0x2e3602fb}},	// [bf80] _ﺗﯧﻠﯧﯟﯨﺰﯨ, _angadai_, _luamanuv, _maealiua, 
   {{0xd2fc0013,0x16e600e6,0x49cd02af,0x22d80181}},	//   _dengiz_, _劳动保障局_, _ingerege, _bugei_, 
   {{0x7c87020e,0xfc57028b,0xa0780220,0xeec401aa}},	//   _федераль_, _агрессиа, _правилат, _imension, 
   {{0xcea702ee,0x6f3e006e,0x25350122,0x1b820019}},	//   _applikan, _baaraama, _bhayangk, _جولبورسق, 
   {{0x82a7019b,0xb55a018d,0x36be0061,0xd8c0024c}},	//   _народам_, _ብዝወሓደ_, _정기연주회_, _cordrogu, 
   {{0xfebe02e8,0x99e703bf,0xac58009b,0x92cb0392}},	//   _akandien, _dikotola_, _kantuak_, _luadar_, 
   {{0x1ccc0247,0x977300c5,0x52da023b,0x4041040e}},	//   _خیانت_, _并不意味着赞同其, _berena_, _knutepun, 
   {{0x02fe0233,0xb2dc0052,0x093500bc,0x25070326}},	//   _gatitos_, _भविष्यको_, _توپولوژی_, _ematombo_, 
   {{0x83f8012d,0xc2fc0138,0x8d2802f3,0x338602e1}},	//   _ishud_, _cengiz_, _stannade_, _feirge_, 
   {{0x98430515,0x42d80003,0x17e60139,0xa2490137}},	//   _litteras_, _groet_, _महारदम_, _бизнесээ, 
   {{0x3bef00a4,0x562300c4,0x596d0035,0x8290055f}},	//   _اقلچىسى_, _اٽڪائي_, _загирова_, _nihai_, 
   {{0x4c76015e,0x72a60134,0xbb8a016f,0x6dfc0462}},	//   _passeig_, _ayaba_, _сорок_, _alienswa, 
   {{0xa25a00cf,0xf2d80103,0x0c700260,0x460f03a2}},	//   _aallee_, _acheme_, _exerceu_, _आपचाहेंत, 
   {{0xccc5018b,0x52900340,0x92d903a7,0x95f1005f}},	//   _женщинах_, _kihai_, _videá_, _neumátic, 
   {{0xf98d00f3,0x7fba0133,0x5d150417,0x17bc03bf}},	//   _bathanda_, _beellamo, _gefrustr, _diruruhi, 
   {{0xbf9d0041,0xce1001cc,0x72900101,0xf25a0127}},	//   _móviles_, _संस्कृतभ, _mihai_, _vallee_, 
   {{0x41d70268,0x025a0028,0xb4990224,0x4afb0347}},	// [bf90] _innerway_, _wallee_, _aflamark, _waargene, 
   {{0x356f0179,0xd5a1035c,0x423603b6,0x93610163}},	//   _bekomipö, _skrivemå, _ikeji_, _mondhatj, 
   {{0xbeed00af,0x1b1b0073,0xc0f10178,0x00000000}},	//   _продажів_, _votation_, _राहवे_, --, 
   {{0xf17701a0,0x43870132,0xf2a600a6,0xa584012a}},	//   _atlangel, _napra_, _ayabi_, _odstrasz, 
   {{0x435600ce,0x3eba03a1,0xee2f01b2,0x22fd01b2}},	//   _razenir_, _натискан, _arborous_, _armhole_, 
   {{0x8201001e,0xf11a0238,0x6d970088,0xbfc90187}},	//   _ingiza_, _зомбі_, _беделине_, _пропрате, 
   {{0x72c8012a,0x5aa50014,0xb1670037,0xe9590088}},	//   _terminy_, _deshiron_, _tingkahl, _correfoc_, 
   {{0x9bc700c8,0xf3010133,0x454a0185,0x00000000}},	//   _ташлана_, _faranji_, _бизнесын, --, 
   {{0x12d802c6,0xf3ac0461,0x32d8018a,0x805701b8}},	//   _troet_, _ocupan_, _groes_, _hansapan, 
   {{0xf743051b,0x83a30041,0x23870163,0x38d7002b}},	//   _obličej_, _avypoi_, _lapra_, _নামকরণের_, 
   {{0x29c20320,0x25a401a7,0xed3201f1,0xbf660166}},	//   _akombela_, _merkittä, _ofendime_, _belastun, 
   {{0xd26c01b2,0x721e006c,0x38320060,0xa7f80152}},	//   _pilote_, _alukhuni_, _قارىق_, _башланач, 
   {{0x7d6b00be,0x498704d8,0x137e0235,0x00000000}},	//   _ئربااد_, _iftiinka_, _bharataṃ_, --, 
   {{0xbe9b01d7,0xc8fb00be,0x504d0333,0xc3f8030b}},	//   _delegats_, _تۅكمۅچۉل, _altreron, _bakuwa_, 
   {{0xdb75025a,0x4c930162,0xa017021c,0x423600e3}},	//   _akoranya_, _قاپاق_, _dispozič, _benjdu_, 
   {{0x76ef04ec,0xc3470010,0xcb830340,0xc3f80472}},	//   _abicishi, _bekenta_, _kokoraho_, _ushul_, 
   {{0x92070298,0x245d0037,0x4a86027f,0xe2f60482}},	// [bfa0] _kohikohi_, _የሚበረታታ_, _bwankumb, _ragidik_, 
   {{0x22d5057c,0x974f0092,0x39f9036c,0x00000000}},	//   _nåede_, _外部リンク_, _angidina_, --, 
   {{0xa20203ad,0x784700d9,0xf74e01e4,0x1c280041}},	//   _attivi_, _задачи_, _rodičovs, _amanógui_, 
   {{0xad28019c,0x39b70291,0x76b70085,0x00000000}},	//   _itanjade_, _واتسون_, _waqanivi, --, 
   {{0x4341008d,0x804f01a3,0x7df502cb,0xf42c0696}},	//   _بنوال_, _بينڪون_, _gledajte_, _amparado_, 
   {{0x33f8030b,0xb27e0166,0x12560169,0x990900b3}},	//   _yakuwa_, _meinem_, _গুঞ্জন_, _сенагат_, 
   {{0xd2b4016e,0x63f60513,0xb3ea019e,0x532b03d5}},	//   _edici_, _endlelak, _абыякава, _brockey_, 
   {{0xdb2501e1,0x13eb0139,0x2d840098,0x00000000}},	//   _буламы_, _apatat_, _stresset_, --, 
   {{0x7e1a0223,0xaffc0374,0x32780125,0x00000000}},	//   _аварга_, _آلدين_, _pikirini_, --, 
   {{0x48170134,0x0b18003c,0x9526009a,0x00000000}},	//   _jaginrìn_, _پاراگلای, _جانداد_, --, 
   {{0xdc6702b7,0x658901eb,0xc583015d,0x478700be}},	//   _nukunfa_, _afroasiá, _produkcy, _تاماعىن_, 
   {{0x4d3d01f6,0x13f8000c,0xd25700d9,0x2dbb0334}},	//   _কলকাতাৰ_, _hakuva_, _mustaval, _kachitsa, 
   {{0x6c15004d,0x3ea40075,0xe8d602bf,0x22900255}},	//   _templum_, _størsti_, _banelilu, _ahhaa_, 
   {{0x127e02b0,0xcf69013b,0x2e680060,0xe2d90217}},	//   _deinem_, _piranhas_, _тәуке_, _jovedi_, 
   {{0x030c0178,0x14a70039,0x312d040f,0x32f4017d}},	//   _amitrāḥ_, _bilakatz, _хасты_, _nuancer_, 
   {{0x72d8029e,0xa9c40061,0xc65f0061,0xb17d0040}},	//   _luget_, _호기심마당_, _스포츠의류_, _עיגול_, 
   {{0x67270255,0x6ffb02d3,0xbb57020a,0xaf1f0090}},	// [bfb0] _sülearvu, _ставете_, _дефилеге_, _atitunga, 
   {{0xd23500e3,0x505200ff,0xe3f8046d,0x5317056e}},	//   _prodotti_, _פֿעדעם_, _takuwa_, _capataz_, 
   {{0x217c0003,0x0a7f0210,0x0bf000d9,0x48890022}},	//   _해피캠퍼스_, _aisamira_, _недорого_, _маташала, 
   {{0xfedc0319,0xc867075c,0x598c0153,0xc2da01fe}},	//   _opciones_, _minijatu, _の観点では_, _sereda_, 
   {{0x42d80203,0x5cd30169,0x42da0172,0x124b0024}},	//   _minoris_, _লিংকন_, _mereba_, _ছাত্ৰই_, 
   {{0xdaa50061,0x3d170022,0x00000000,0x00000000}},	//   _마이크로소프트_, _армыттар, --, --, 
   {{0x66750312,0x7297030f,0x25e80125,0x9230056f}},	//   _studieri, _matapaki_, _пайтагты, _znamena_, 
   {{0x396200aa,0x3ca90005,0xcff2002b,0x33b6003c}},	//   _monovale, _areguard_, _নামছে_, _شاندیز_, 
   {{0x23e302c0,0xb0ea0109,0x0b7f0037,0x00000000}},	//   _непромен, _designbl, _ሰጥቶናል_, --, 
   {{0xdc600138,0x841c038a,0x1980004e,0x971e00d6}},	//   _amatör_, _achinank, _bisitaha_, _andraimé, 
   {{0x72ca00fc,0x03ac0202,0xa3170153,0xbecd0009}},	//   _biddaj_, _ibupin_, _絞り込みタグ_, _neresnič, 
   {{0x62120247,0xd3e802bb,0x62d803f3,0xba5e04bd}},	//   _modhe_, _नारायणपु, _broek_, _kanekaka_, 
   {{0x024f02df,0x53f9000d,0x43f802ce,0xf96302c9}},	//   _majoriti_, _koguni_, _makuta_, _furnizat, 
   {{0xdd78041a,0x1a440148,0xe157000b,0xe9ae02fe}},	//   _народивс, _輔導會故事_, _manusamo, _ویلیم_, 
   {{0x4f1000be,0xe2d8005b,0x9a42045f,0xaf850040}},	//   _ابىيىردە, _jugem_, _bilderna_, _חולשה_, 
   {{0x22ca007b,0x2e5400d4,0xa23601e5,0xb73702e2}},	//   _lends_, _relaasje_, _ikejo_, _benzedri, 
   {{0x499d0137,0x0e7101e0,0x438a02d3,0x63fe01a4}},	// [bfc0] _намын_, _تشرینی_, _сварено_, _nakumaki_, 
   {{0x9f0a06bc,0x997d0193,0x5248070c,0xad2e002b}},	//   _blàth_, _dikhawat, _sajma_, _কুলাউড়া_, 
   {{0xb56103b9,0x598400ee,0x4b0902db,0x5a4f0183}},	//   _kusisiñ_, _osakidet, _tropicte, _atombots, 
   {{0x72f9009a,0xe105021c,0x6e3701cf,0x3062000d}},	//   _ستارت_, _vaničky_, _lamanita, _तामसक_, 
   {{0xb3730342,0xe84600b0,0xa2ca0222,0x2f2f0443}},	//   _komanse_, _maaliyad, _rendu_, _pertalia, 
   {{0x0e4c0031,0x62000252,0x92ca017f,0xc2dc0037}},	//   _dikarena, _mudini_, _bendt_, _የወታደራዊ_, 
   {{0x09270444,0xc3870359,0x82ca029e,0x9a12035b}},	//   _регионов_, _hearre_, _pendu_, _opravlje, 
   {{0xfc5f00c3,0x4f350302,0x1c7303e7,0xf5c902c1}},	//   _nostrum_, _душвор_, _kalsada_, _kubafash, 
   {{0x825a0039,0x2e090045,0x720003f3,0x00000000}},	//   _soilik_, _маринков, _geding_, --, 
   {{0xa3ef0097,0x2680026c,0x00000000,0x00000000}},	//   _kóókò_, _miserati, --, --, 
   {{0x4f1f030c,0xe2cd02ce,0xb2ca00ff,0x29ee0119}},	//   _nuitanga, _bajoang_, _bildaj_, _ortigosa_, 
   {{0x729400cb,0x12900005,0x00000000,0x00000000}},	//   _israyeli_, _chhan_, --, --, 
   {{0x845f0037,0xa94e011a,0x62d800de,0x8fc70108}},	//   _አይታየኝም_, _uncovere, _bekelo_, _borokoko, 
   {{0x92d40421,0x395401a3,0xfc0702ba,0x1f1f0102}},	//   _erhoben_, _فريڊرڪ_, _amasimu_, _kuitanga, 
   {{0x508d0487,0x92d802c2,0x2c0d00ce,0x72ad00be}},	//   _השיער_, _groei_, _konpare_, _اقىدىق_, 
   {{0x5c5a0058,0x829e020a,0x705e0143,0x2c7e0082}},	//   _diateki_, _қисап_, _премести_, _jawshan_, 
   {{0x3ae600d1,0x5163015e,0xf20700a1,0x77fa031d}},	// [bfd0] _দোকানী_, _булут_, _nohinohi_, _cabbarag, 
   {{0x408b01a3,0x3c070219,0x42d803eb,0x2b8501db}},	//   _برڪتون_, _emasimu_, _broei_, _وقىعاندا_, 
   {{0xf28c03ce,0x9bd4022f,0x58870039,0xcee2026e}},	//   _بلیمه_, _густую_, _саванд_, _मुद्दाला, 
   {{0xccfa009a,0x962c00cb,0x2b26004b,0x728003a0}},	//   _زراعتی_, _abanandi, _туриндус, _dikalafi_, 
   {{0xa2ca055c,0xc46e04a7,0x65680092,0x8b7500bb}},	//   _sendt_, _enderezo_, _自己資本利益率_, _بھوربن_, 
   {{0xa20002fb,0x83f90630,0xe20101b8,0x2c6901e1}},	//   _mulini_, _lupul_, _logima_, _аралашыу, 
   {{0xf2d80101,0x2c33000c,0x42c6005a,0xf1c60055}},	//   _tineri_, _angambyr, _chimdaq_, _jewelery_, 
   {{0x1637001a,0xd2ed01c3,0xcdf5040e,0xec6501dd}},	//   _forgalom_, _aignagh_, _tildelte_, _amatiku_, 
   {{0xf2e300b5,0x425b0179,0xb2e80278,0x027e011b}},	//   _bojoapy_, _soalik_, _nukilan_, _ebonga_, 
   {{0x5e6c012e,0x6962041e,0x5d470074,0xb6220226}},	//   _ہیروز_, _rientrat, _решенный_, _amangopi, 
   {{0xd9e900bb,0x925000af,0xd36c00d3,0xd26c00ae}},	//   _ٹراٹسکی_, _селах_, _reaguji_, _indome_, 
   {{0x654e0094,0xc2480062,0xca3e0040,0xd756038a}},	//   _киіну_, _lajmo_, _צווארון_, _difyindi, 
   {{0x12d8018b,0xb6f0008f,0xe2e200d4,0x4be700bc}},	//   _vineri_, _प्रवीर_, _formaasj, _بریدن_, 
   {{0xf302027f,0x02d80095,0xd2d8027e,0xb07002fe}},	//   _akubite_, _achene_, _jajeta_, _جریاناتو_, 
   {{0x7b7b002b,0xc2ca0222,0x5d9a007f,0x830501ac}},	//   _কাগজপত্র_, _vends_, _celtiaid_, _لوران_, 
   {{0x3b37028a,0x84fb008f,0xd0570193,0xb9f900cb}},	//   _مجموعا_, _चलतानी_, _reksadan, _angazise, 
   {{0xc02b002b,0xab18053e,0x52cb01c0,0x00000000}},	// [bfe0] _চিঠিপত্র_, _stipende, _iradar_, --, 
   {{0x528c034b,0x6945008f,0x2c680258,0x49ed036e}},	//   _enikaen_, _hoolimat, _kuorbal_, _gastunku, 
   {{0xa85e026f,0xf3000399,0x24d50025,0x88410016}},	//   _ءﺳﺎﺑﻴﺪﯨﯔ_, _angafai_, _काशिका_, _kritikas_, 
   {{0x7c63029f,0x8c60016b,0x02a600b3,0x1f36005a}},	//   _milujem_, _rukunin_, _azaby_, _lunungla, 
   {{0xc0110013,0x2791033e,0xe476014e,0xed49024f}},	//   _hindisto, _avatigui, _гувернер, _mataibau_, 
   {{0x402e03b2,0xc6190022,0xb290003f,0x17d90025}},	//   _conditio, _конгресы_, _hihar_, _व्यक्ता_, 
   {{0x93f90313,0x434602a3,0x00000000,0x00000000}},	//   _lupum_, _kelders_, --, --, 
   {{0x829002df,0x92ca00dd,0x0c0a0033,0xadbe018d}},	//   _sihat_, _tendr_, _campiun_, _ምንጪታትና_, 
   {{0x03440073,0xecd90142,0xa9fc00ad,0x00000000}},	//   _jacente_, _bhaikṣaṃ_, _dihapunt, --, 
   {{0xd30c015e,0x037c0190,0xd96e01eb,0xe59f03da}},	//   _dimarts_, _debaike_, _antisent, _njiniarị, 
   {{0xc5c00220,0x42480004,0x89d20120,0x9f7d0374}},	//   _анонимен_, _palmis_, _cattimtu, _камерага_, 
   {{0xc0b600ff,0x62d90369,0x3787032d,0x41ee004d}},	//   _ויגוסט_, _bezeka_, _уралдың_, _七十五年一月_, 
   {{0x49d5014f,0xd968020f,0x02e80095,0x00000000}},	//   _главну_, _اېتلاف_, _cukilan_, --, 
   {{0xa8280093,0x926d0118,0xce9900cb,0x01c504df}},	//   _театра_, _abononyi_, _милинкев, _demirçi_, 
   {{0x01c900da,0x2f2a021a,0x8b37015e,0x88470155}},	//   _тоате_, _atattama, _тапшыруу, _beslutad, 
   {{0xd2900054,0xdebf019b,0x79ee0074,0x52b7014f}},	//   _jihar_, _bendrovė, _lastenhu, _другима_, 
   {{0x682902ac,0xba5f0156,0x22c100f2,0x00000000}},	// [bff0] _يتمتع_, _aroganta_, _rallija_, --, 
   {{0x82d8022a,0xca9c019d,0x7c1c0167,0x00000000}},	//   _ergen_, _kanyumba_, _monocsid_, --, 
   {{0x9173019b,0xfe0502df,0x4c040814,0x2eb403f1}},	//   _годдзя_, _penderaa, _presudi_, _rukojemn, 
   {{0xc34403b3,0x604d00bc,0x9565034c,0x8f1f011a}},	//   _facente_, _قلمرو_, _barmayaç, _underwen, 
   {{0xab2d01e8,0x733d003c,0x2b64025a,0xf4600568}},	//   _baibanan_, _آیدان_, _imbugita_, _erkebisk, 
   {{0x83ea040a,0x775a01c1,0xc90904f9,0x0ee60151}},	//   _symtom_, _पेन्सिल_, _allaavoq_, _anchooin, 
   {{0x5290002c,0xec7a03ec,0x0c70005e,0xbefc0040}},	//   _bihar_, _sërish_, _سىنئالغۇ_, _שהמכשיר_, 
   {{0x38270046,0xd5610126,0xc6230400,0x4fdf0262}},	//   _جاشاساڭ_, _власному_, _assommoi, _dushuner_, 
   {{0xc08d0037,0xc25a0245,0x32c5044c,0x9d8c04f8}},	//   _እየተሻሻለ_, _lamler_, _vanlege_, _mammalia, 
   {{0x945e00e0,0x2aec02ae,0x75bb03ab,0xcc6b00e0}},	//   _provinsj, _preuzmit, _eliptick, _sljucht_, 
   {{0xb2090056,0x850c00d1,0x1c2901f9,0x72ce0170}},	//   _энержӣ_, _বায়ন_, _atiphats, _angerezi_, 
   {{0x8fce048a,0x7b6e0045,0x1cbd0040,0x626e00bb}},	//   _полицейл, _нагласио_, _שיגיע_, _motort_, 
   {{0x6200026c,0xc1b001d5,0x43a20488,0xfd480046}},	//   _縣內中小學學生_, _سیاحوں_, _stipri_, _масштабд, 
   {{0xcaf00155,0x034901f9,0x753f04df,0xebf800a6}},	//   _lagstift, _ayifeze_, _ahmediñ_, _bakowabo_, 
   {{0x0f320334,0xedac0230,0xc8da0179,0x8b0100e5}},	//   _amafunan, _kwinsida, _ponefiku, _térmica_, 
   {{0xe9b90039,0xc17d0040,0xb57d011a,0x00000000}},	//   _чонын_, _ייבוש_, _בבקעה_, --, 
  
   {{0x929001ca,0xe3eb0145,0x93ea025c,0x1f2504ad}},	// [c000] _vihar_, _vietoj_, _spitze_, _foreiman, 
   {{0x8bdc0025,0x5c46006c,0x13f90122,0x03a802e0}},	//   _शरिया_, _abawayo_, _angudi_, _dumalang_, 
   {{0x3a4b01d1,0x6282006e,0x73d4016e,0x0c6700ba}},	//   _בלילה_, _alkanadi_, _tarafı_, _زووڵم_, 
   {{0xd3ea0292,0x53f9023b,0x23570622,0x1f9b0233}},	//   _afotu_, _pupue_, _icifuzo_, _objecter_, 
   {{0x277200d6,0x00000000,0x00000000,0x00000000}},	//   _جمهوره_, --, --, --, 
   {{0x7e7105c9,0x89ea0314,0x9041012a,0xe3b40126}},	//   _karaoké_, _структ_, _strumien, _властиві, 
   {{0xc319012c,0x616d015e,0x025d0262,0x670e0072}},	//   _حيران_, _массалык_, _dostlukl, _lantisiñ, 
   {{0xf3860288,0x314c0271,0x3cff003d,0x9a470193}},	//   _scorch_, _likestil, _abstrair, _sesegera_, 
   {{0xd26f047d,0x30d701db,0x087800d9,0x36290011}},	//   _gehollef_, _субъектi, _реестр_, _atannayi, 
   {{0xeeca02e3,0xd2000219,0x41b3002b,0x0d2d00da}},	//   _tuantrin, _bulili_, _হিডেন_, _cooperar, 
   {{0x02770224,0x00000000,0x00000000,0x00000000}},	//   _eigninni_, --, --, --, 
   {{0xcf8e0148,0xe03302e4,0xf0f40010,0x23630365}},	//   _維他清心棧_, _bastimen, _aphingil, _संघर्षको_, 
   {{0x6dba013d,0x829002ca,0x7f2d0044,0x3aa500d8}},	//   _ekonomia, _molann_, _investin, _atribuis, 
   {{0x4ead0244,0x137a00ff,0x36550204,0x6e3b02bf}},	//   _corriere_, _אַרכעאָל, _budjetti, _bomasipa, 
   {{0xf1c90388,0x6e050031,0x12640245,0x6446008d}},	//   _доста_, _kendaraa, _batlot_, _قاچقین_, 
   {{0x42d8003a,0x7e0b0037,0x00000000,0x00000000}},	//   _nazorat_, _ፍላጐትና_, --, --, 
   {{0x6b8900bf,0xe2d80279,0x1db4001a,0x68020010}},	// [c010] _холодное_, _ennemi_, _سوپور_, _ekuphelw, 
   {{0xb30202f0,0x0578030b,0xc5cd023c,0x829003e7}},	//   _akubute_, _aggulawo_, _angayeny, _gihap_, 
   {{0xe2de051b,0x1b990092,0x6ba404f8,0x83260367}},	//   _takovou_, _日に順延です_, _marketer, _iniciou_, 
   {{0x9eea0141,0x5290036d,0x617e017f,0xbc050037}},	//   _йилларид, _abhag_, _allanull, _gentaras, 
   {{0xdb79048a,0x8c2700b0,0x2e42017d,0xb37900fa}},	//   _ءبىراق_, _زندگٲنی_, _カタログ情報を_, _aagawan_, 
   {{0xfc1b0080,0xd8f8018f,0xc3790095,0xe6280372}},	//   _allariar, _harghchu, _bagawan_, _clerigol_, 
   {{0x50e10158,0xcba700f7,0x3b1b0299,0xb9ec0176}},	//   _प्लीज़_, _anekdoto_, _سىرغىپ_, _lagerfør, 
   {{0x0290028b,0xdc2c0133,0x2db100bb,0xe28c002f}},	//   _jahai_, _baballac, _گلکرسٹ_, _chakata_, 
   {{0xc46b0173,0x026e008e,0x243c004b,0xcb21027b}},	//   _prefiero_, _disoog_, _ашырылды_, _copalamb, 
   {{0x2391004d,0x82000008,0x47e40137,0x914b027b}},	//   _全國農業普查條例_, _judici_, _эмээлтэд_, _bhāsamān, 
   {{0x12eb00aa,0xc29000fe,0x3ebd020f,0xa17f014a}},	//   _brinker_, _fahai_, _akanqwen, _kisalfol, 
   {{0x925b01b9,0x61ff0144,0xd22401ba,0x8cea00bf}},	//   _dializ_, _sasanach_, _lanket_, _приказан, 
   {{0x5f650238,0x2c5d0491,0x71800040,0x7ec700a2}},	//   _становищ, _listado_, _הנישואין_, _kamishen, 
   {{0xb3190063,0x73ea03da,0xc3bb01ac,0x2d93014e}},	//   _نيسان_, _ngota_, _أسنان_, _дозволе_, 
   {{0x6394008f,0x23ea0582,0xae8b0156,0x03a301c9}},	//   _naised_, _igota_, _מהיכי_, _etappi_, 
   {{0x7aa30054,0x49e2004d,0xc3f90182,0x579e0350}},	//   _hankulan_, _地政資料供應系統_, _kupua_, _በታዛቢነት_, 
   {{0xd3870258,0xc24c0145,0x6fbb0079,0xaa910109}},	// [c020] _hearde_, _кіламетр, _pusaudžu_, _डाँफे_, 
   {{0x57d90025,0x4c1d016e,0x038700e0,0x00000000}},	//   _व्यक्तं_, _duraklar, _kearde_, --, 
   {{0xc3bc01d5,0x9c0002ca,0x522400e9,0x797601a7}},	//   _الہند_, _chostas_, _danket_, _kuuntele, 
   {{0x370902b6,0xe9350757,0x00000000,0x00000000}},	//   _кеширим_, _promatra_, --, --, 
   {{0x3ad00179,0x9fd6012b,0x14600017,0x629000fa}},	//   _amstelve, _pojemnoś, _neštěstí_, _bahaw_, 
   {{0xe5bf002f,0x19c701cd,0xcd440107,0x62d80064}},	//   _aceptank, _малакаи_, _استبدادی_, _laborat_, 
   {{0xedb000a6,0xf53d02a2,0x62ef0163,0x9a1a020f}},	//   _akhatywe_, _babilony, _táncos_, _سګريټ_, 
   {{0x1a8f0381,0x463b018d,0xc61f03a4,0x00000000}},	//   _alancesb, _ብጥርጠራ_, _draganum_, --, 
   {{0x6e1501bd,0x328f02a3,0x412d0045,0xdb4d0155}},	//   _елемес_, _bliksem_, _нафте_, _motverka_, 
   {{0xd29005c1,0xc2fc0266,0x80160152,0x86e00147}},	//   _wahai_, _tengok_, _санында_, _جاكەنىن_, 
   {{0x927801d5,0xa1860147,0x7b5d021c,0x172700ba}},	//   _مواخذہ_, _بايحۇا_, _navigačn, _درێسی_, 
   {{0x934b0486,0x4b1c0066,0x0416029c,0xb37f0282}},	//   _nečistot, _nabarmen_, _bungwelo_, _tuhaina_, 
   {{0x67890058,0xd3870450,0x85110277,0x8dba005d}},	//   _bailidön_, _wearde_, _istoryah, _ifundaha, 
   {{0x7202027c,0xe80202c1,0xd1e00139,0x992902cf}},	//   _abazilil, _ababilig, _वैखरी_, _вечерна_, 
   {{0x02d903ee,0xcb210445,0x23eb019d,0x3200033e}},	//   _doveli_, _cumprime, _asathe_, _ishir_, 
   {{0x117d00ff,0x83b002a5,0x92f503f2,0x591400d1}},	//   _זיווג_, _hlasován, _näiden_, _সুস্বাদু, 
   {{0x8d300360,0x68da01ab,0xa0f900f6,0x22de0350}},	// [c030] _vlastnic, _mineviku, _ingilisl, _የፈቀደውን_, 
   {{0xa39606d5,0xc25a0585,0xf9d10085,0x43030313}},	//   _kurset_, _pukla_, _kauwakau, _dayajlu_, 
   {{0xfd780041,0x92d8018b,0x6abb0311,0x58050365}},	//   _андреи_, _arges_, _ከመዝግብ_, _इन्षिटच्, 
   {{0x3a5202b6,0xef1f017d,0xd3eb033d,0xff9501db}},	//   _ادمين_, _お気に入りに登録, _epatit_, _سۇڭقار_, 
   {{0x91130152,0xa2da0182,0xb3f402e3,0x5f1f0707}},	//   _jurnalın, _herema_, _vhttdl_, _aritanga, 
   {{0xd28d0115,0x86a900fc,0x00000000,0x00000000}},	//   _enakmen_, _masopbej_, --, --, 
   {{0xd23801ea,0x6c9b008b,0xf2d806bb,0x80f70156}},	//   _органлар, _belgraad_, _troer_, _רעגולערע_, 
   {{0xb25d041a,0x326c019c,0xfc6f0230,0xe7940331}},	//   _учасникі, _ailoye_, _lagrenn_, _skatturi, 
   {{0xfc6d0311,0x00000000,0x00000000,0x00000000}},	//   _ኤጲስቆጶስ_, --, --, --, 
   {{0xfc550046,0xef26033e,0xb3d600b4,0xb2910140}},	//   _اندايدا_, _haulover_, _fostului_, _hipan_, 
   {{0x32da0252,0x32d602fd,0x43870258,0x4b4f03d1}},	//   _rerela_, _chroinn_, _boerum_, _kokmater, 
   {{0xe2cf026c,0x222904df,0x5ef20139,0x9a6a00e6}},	//   _組織及團體_, _adamyng_, _नामके_, _二手房租房_, 
   {{0x120200f3,0x15c4010e,0x851000e5,0x00000000}},	//   _empilo_, _gagantih, _amarildo_, --, 
   {{0xc2d801b4,0xfc6701c1,0x9dff0075,0x6389004d}},	//   _erger_, _bajunya_, _ruddinga, _且流浪在台北縣中, 
   {{0x8c04008c,0xf0b800a7,0x274902eb,0x3acd01eb}},	//   _presidi_, _асман_, _махбодий, _eirarũa_, 
   {{0x5202014c,0xaec30029,0x4d8501f4,0xbaee0348}},	//   _impilo_, _محێدین_, _курашни_, _amadiris, 
   {{0xeef20109,0x3daf0061,0x1e540439,0x3a2c03ea}},	// [c040] _नाइके_, _소비자들이_, _masandha, _parcelle, 
   {{0xa290023b,0x02cb03b0,0x825a03eb,0x02fc07a8}},	//   _hahau_, _hevda_, _kallie_, _rengek_, 
   {{0xd29002fb,0x563700d7,0xd25b03dd,0x00000000}},	//   _kahau_, _шартлауҙ, _ngelur_, --, 
   {{0xe2900139,0x9cbd0024,0x73f90358,0xec6002e7}},	//   _mahat_, _কলম্বিয়, _liguri_, _binulan_, 
   {{0xd29000c0,0x72c505ef,0xe3eb015a,0xd2d800b4}},	//   _lahat_, _vanlige_, _baatus_, _buget_, 
   {{0x1e6f00e4,0xfa52026f,0x54730017,0x874e03f8}},	//   _व्यक्तिय, _ادەيى_, _jesenick, _ngonglij_, 
   {{0x7b5d00ac,0x83440515,0x6d000121,0xd87c03f1}},	//   _navijačk, _ascende_, _estuvier, _zhliadnu, 
   {{0xf3eb05a5,0x939601da,0x37cf01cb,0x81c5024a}},	//   _spytat_, _strategj, _okutjhiw, _aromodom, 
   {{0x72900207,0xe0dd00bb,0x7e19038b,0xe09002ba}},	//   _bahati_, _میڈرڈ_, _diterima, _шӯришиён, 
   {{0xe04d01ec,0xec5200d1,0x251f0056,0xd2cb011d}},	//   _disuntin, _অৱশ্য_, _ahloniph, _asadar_, 
   {{0x127e0166,0x1aa70003,0x7b0c025b,0xe9f9009a}},	//   _seinem_, _verkeers, _kongurin_, _angamise, 
   {{0x06b8003a,0x35e60185,0xa3f2048a,0x70620311}},	//   _samarasi, _baqçasın, _оттек_, _እንተኽኢሉ_, 
   {{0x0e6f0025,0x12940097,0xcdd201ee,0x8c720119}},	//   _व्यक्ताय, _atalẹ_, _итали_, _byernes_, 
   {{0x02d80265,0x026d0197,0x0e50003a,0xab42003b}},	//   _groep_, _endistri_, _qaratila, _asibekis, 
   {{0xb26c03e3,0x69640044,0x729102a2,0xf3b00039}},	//   _lekol_, _embodime, _tipan_, _америкаа, 
   {{0xdd1b0553,0x7a020090,0x52e10198,0x426c0620}},	//   _poznáte_, _angasada_, _krompirj, _milone_, 
   {{0xf25a03b0,0x7ee7033b,0x047f00ae,0xc34303f5}},	// [c050] _samlar_, _kgokagan, _bagezaho_, _inteiro_, 
   {{0x4e1403f3,0xc6d10061,0x22f6029e,0xce4d011a}},	//   _leverbaa, _프로필보기_, _ataitek_, _עקבואחרנ, 
   {{0xe9c70022,0x1f96020f,0x22870062,0x00000000}},	//   _саҙаҡа_, _بدبختیو_, _pichmaj_, --, 
   {{0x42ef014a,0x53ea024f,0x171800d7,0xbc0600f6}},	//   _tragédia_, _efoti_, _хаталарҙ, _sensoru_, 
   {{0x63170013,0x72b400a7,0x7be001da,0x9f47012a}},	//   _madaniy_, _amics_, _pandehur, _imprezie_, 
   {{0x96a60125,0xc5b001ec,0x4f160465,0x42bb0076}},	//   _аларсыңы, _رومانتیک_, _zadnjič_, _pudesse_, 
   {{0x0290007a,0xcb1f02a2,0xb29101c2,0xb3f801a6}},	//   _faham_, _kahabaan_, _anpas_, _takuta_, 
   {{0x23ea043d,0x2d030013,0x82ef0287,0x38fe021f}},	//   _contoh_, _ادراه_, _tragédie_, _gadadood, 
   {{0x9386043a,0xb2b40005,0x78d20242,0xc9fb01e7}},	//   _peirce_, _adaco_, _azalaraq_, _finanzpe, 
   {{0x83fa0203,0xa6190121,0x22ef0163,0x836f04f5}},	//   _resuma_, _panaderí, _lángos_, _listovim, 
   {{0xb2020363,0xa00d02d5,0x6c060344,0x23d7021c}},	//   _musikk_, _konveren, _akornass, _kritérií_, 
   {{0x935b0386,0x22da010b,0xfeb70230,0x05a400c5}},	//   _mengapa_, _bereka_, _konsilte_, _infirmiè, 
   {{0xa21300e2,0x12e60076,0xd9720130,0x938701da}},	//   _lachez_, _doença_, _abinomne, _ndarje_, 
   {{0x629001cc,0x9be9014a,0x29030553,0xc5900151}},	//   _rahasi_, _مکتوبات_, _ochotní_, _alterney, 
   {{0xf6b802e7,0xe29000ae,0x86280111,0x00000000}},	//   _diyabiti, _kahari_, _brancazi, --, 
   {{0x025000ea,0x128f0094,0xb29002a8,0x48290299}},	//   _governem, _ايماقتار, _rahal_, _конкирит_, 
   {{0xc2900028,0xd97e0333,0x73f802be,0x004c008d}},	// [c060] _sahal_, _espionne, _aakusa_, _збекисто, 
   {{0xaf9c0175,0xf38702c6,0xcc6b0120,0x72690064}},	//   _formasyo, _adarme_, _galumut_, _чекишти_, 
   {{0x514d0080,0xd29102e5,0xe18a01ea,0x72910004}},	//   _aavernil, _cipae_, _хюман_, _enpak_, 
   {{0x2a8a0093,0xdda201e8,0x4f7302d3,0xccbc0240}},	//   _августе_, _botohana, _инспирац, _leyavitu_, 
   {{0x12a001d5,0x52d80067,0xa2d801f7,0x32da020e}},	//   _عنہما_, _bajeta_, _majoras_, _fereha_, 
   {{0xf5a505b1,0x87a2054e,0xf291018f,0x8ec2036d}},	//   _niektorý, _illulaqi, _hipab_, _soineann, 
   {{0xbe4c0334,0xe2900120,0x92000334,0x4ad301a3}},	//   _ankanena, _taham_, _choipa_, _پناھھ_, 
   {{0xf0b6046d,0x018602cd,0xc2fc003c,0x026e0453}},	//   _theminol, _bahargul, _bengak_, _mitove_, 
   {{0x39bb0318,0x8cbf04d8,0x2666004a,0x00000000}},	//   _makeleta_, _gunaanad_, _итагатьл, --, 
   {{0x42ca02e5,0x926c0057,0xd53602d5,0x63fa03db}},	//   _hendy_, _rekod_, _एदृद्धड्, _besuka_, 
   {{0xe380013d,0xff3101e5,0x22c3012c,0xb3950077}},	//   _supren_, _alarinya, _kuuliza_, _agasou_, 
   {{0xdc710717,0x9dc200b5,0xe2e301aa,0x6d440527}},	//   _fabriku_, _erekokua, _ambomay_, _arapskog_, 
   {{0x0bd100f1,0xbc79032d,0x82660133,0x916f00d9}},	//   _lendifer, _минутынд, _boxtempl, _menettää_, 
   {{0x0c760594,0x05cd0010,0x726c022d,0xdfe901db}},	//   _første_, _angameny, _pilone_, _شومسام_, 
   {{0xb5f201f2,0x644700f5,0x9fc80433,0xf3f8004f}},	//   _ﺋﯩﺠﺮﺍ_, _дирелди_, _irrigato, _diouni_, 
   {{0x26ce070c,0xa20102b1,0xedbd0077,0xd8f70076}},	//   _detaljni, _ingila_, _anjandre_, _disponiv, 
   {{0x630004f9,0x92120142,0xb291018f,0x53c60527}},	// [c070] _qulaani_, _andhe_, _dipab_, _životnim_, 
   {{0x321300d7,0xc3eb0226,0xeac8016e,0x32df00dd}},	//   _bothe_, _apatse_, _anahtarı_, _garolau_, 
   {{0xb2490212,0x670e00b7,0x33e70220,0x5290012c}},	//   _mobmov_, _дарвиниң_, _sportivi_, _mahak_, 
   {{0x507d002d,0x1a8904bf,0x1f5f02c3,0x5888019f}},	//   _traballo, _kulinars, _samovraž, _alikwend, 
   {{0x8213046d,0xd3540488,0xe31d01eb,0xb26e0453}},	//   _wothe_, _pudeles_, _epiceno_, _hitove_, 
   {{0xab970207,0x035a0222,0x925a037f,0xe0e701f9}},	//   _ناظرين_, _forfait_, _yukle_, _bafinyel, 
   {{0x6a5c02e0,0xe1b30247,0xb036018c,0x00000000}},	//   _diselula_, _کاپرا_, _regenboo, --, 
   {{0x537d0004,0xd3f80342,0x5fe50153,0xc2920455}},	//   _etranje_, _akoub_, _へ携帯からアクセ, _dirais_, 
   {{0xe5a3033e,0x541700f2,0xe2ea021e,0x82d905ab}},	//   _chakoguá, _radiniek, _utsidan_, _recebo_, 
   {{0xa213046d,0x19cb004a,0x326e0282,0x4c5100a1}},	//   _yothe_, _aralarga_, _hotoke_, _kaitaka_, 
   {{0x328c01b6,0xafc800b9,0x63f8029e,0x2afa0211}},	//   _علامة_, _उपनिषदे_, _chouk_, _компе_, 
   {{0x334e035b,0x4dfd020a,0xda07030b,0x0c640180}},	//   _posebej_, _майданға_, _akwagaza_, _renuvab_, 
   {{0x3f3d03f0,0xa3780090,0xe3960242,0xf2900527}},	//   _innflutn, _angaona_, _sursat_, _izlaza_, 
   {{0xf2df007f,0xe4010305,0xd1e80311,0x8b090130}},	//   _carolau_, _angripen_, _ከይትኾኑ_, _gwaskone, 
   {{0xccb00074,0x915c023d,0x0a5f0513,0x00000000}},	//   _входа_, _преслава_, _lavekaka_, --, 
   {{0x2290005a,0x642a00fd,0xf549041a,0x00000000}},	//   _mahah_, _leapanan_, _нагрудни, --, 
   {{0xf20e0013,0xad2b00d1,0x99460045,0xe2900170}},	// [c080] _шахар_, _অনুকলণসম, _наставу_, _kumaso_, 
   {{0x876000ff,0xa2e000fd,0xa2d8008d,0xb29000ad}},	//   _שמוציג_, _cronail_, _harorat_, _cahak_, 
   {{0x0b7b013a,0x52b4031d,0x1739019b,0xb3620115}},	//   _hannergr, _glick_, _банглядэ, _bongkak_, 
   {{0x13f80465,0xe2fd0222,0xc3620308,0xa0630025}},	//   _nakupa_, _plages_, _congkak_, _योगदानम्_, 
   {{0x3e0f0101,0x983b02b7,0x9c660513,0x7ddb0282}},	//   _comentea, _pafungûl, _ciotlos_, _kaikōmak, 
   {{0x92b40473,0x2fcc023a,0x95800278,0x8f5b03b5}},	//   _klick_, _prímorsk, _disunatk, _penampan, 
   {{0xabd1013a,0x82cb0180,0x3d6000ef,0xb40100d8}},	//   _handwier, _tradir_, _والیانو_, _asturian_, 
   {{0xd9a40148,0x6b61038f,0xbe6900b4,0xa2e3050a}},	//   _我真的受傷了_, _ossetian_, _советиче_, _haliyle_, 
   {{0xe3870450,0x73f80343,0x62e0012c,0x068501ee}},	//   _nearne_, _dakupa_, _profaili_, _шуьйра_, 
   {{0x36b6031a,0xeec10564,0xb9e4004b,0x230102ee}},	//   _cheannui, _poropoms_, _мечетлин, _ittaffi_, 
   {{0xe0b300d1,0x33c200cb,0xbe010397,0x00000000}},	//   _জুৱলি_, _бензинфу, _angenasa, --, 
   {{0xf6de0250,0x91d802fd,0x83f200a7,0x0e050510}},	//   _futbolli, _ainglibh_, _иттен_, _хьокъехь_, 
   {{0xed2003bf,0xb2780149,0x6a5202ea,0xf200030a}},	//   _bitohile_, _nwunye_, _значение, _choiva_, 
   {{0x02b40473,0x56f50452,0xe29003f6,0x21190037}},	//   _blick_, _आतिवास_, _hahai_, _ለመጎብኘት_, 
   {{0xe34100a1,0xdb0a0212,0x8cba020f,0x83440109}},	//   _herenga_, _proficis, _دغبرګولي_, _detekce_, 
   {{0xcc1d01bb,0x22ad0366,0xd2d9022a,0xd967014d}},	//   _suratlar, _надеемся_, _niveri_, _gelistet, 
   {{0xd30501fc,0x32900223,0x52f300f5,0x16110025}},	// [c090] _asmatuk_, _mahai_, _дөвүриң_, _प्रदास्य, 
   {{0x1ebb0219,0xd5300132,0xa202024c,0x573e0195}},	//   _alishiye_, _elviselh, _ittini_, _scalpaig, 
   {{0x78470354,0x18080162,0x8c6401bb,0xb4fb005e}},	//   _закари_, _зарлиниш, _ustunde_, _коеффитс, 
   {{0x6a170101,0xf2000243,0xe5a0002b,0x4c620192}},	//   _efectuat, _culimi_, _প্রলাপ_, _kaartje_, 
   {{0xd6320068,0x83ff0240,0xcb0300e2,0x66130290}},	//   _calaykum_, _masulaki_, _einstree, _amplanei, 
   {{0xf9f30434,0x920201a6,0xbbdf02ac,0xfe1c0209}},	//   _izquierd, _topito_, _توشيبا_, _alleriia, 
   {{0xa386039f,0x59eb0037,0x73da003c,0x2318008d}},	//   _ifirst_, _እየተስተዋለ_, _بهاریپزش, _tilining_, 
   {{0x9d3a0222,0x45a30231,0x45320192,0xe3be042c}},	//   _domicile_, _christum_, _확인하세요_, _proveli_, 
   {{0x15fc02fe,0x520001da,0xc26a00e6,0x814700c6}},	//   _دتعليم_, _ishit_, _转载之图片_, _тарифах_, 
   {{0x73de0561,0xc34102c5,0x0058020a,0x9dff01be}},	//   _topweb_, _verenga_, _сатыбалд, _हास्यव्य, 
   {{0xe533029c,0xafc0005a,0x6059045b,0x00000000}},	//   _amipingo_, _ghintaqo, _вечерю_, --, 
   {{0x5887017a,0x5b530019,0x838b0041,0x026c032d}},	//   _баланду_, _реакторд, _fárra_, _lekoa_, 
   {{0x325a0437,0x72e20061,0x7dbf04b4,0x5f3a02d5}},	//   _samler_, _자연과학계열_, _forandre_, _energiaa, 
   {{0x02cb0109,0x3e4b0399,0xf9ec024b,0xb62201ff}},	//   _hradec_, _hakamule_, _cubierta_, _tipovani, 
   {{0x34920122,0xd0ee00b5,0xb8670148,0x627f0045}},	//   _آگاپه_, _emailcol, _imprimis_, _оставити_, 
   {{0xa2130195,0x43400516,0x622500f3,0x8c7e0343}},	//   _motha_, _burdens_, _avuke_, _kapsyon_, 
   {{0xe8ca019e,0x12950418,0x15fb01b4,0x63a8010d}},	// [c0a0] _статусе_, _herkesi_, _saamstem_, _lumajang_, 
   {{0xb65d0040,0xd2590373,0x24a20354,0x7dca0107}},	//   _תביאו_, _עקידה_, _ئېزىقتۇر, _پيغامهاي_, 
   {{0x826c0124,0x18680040,0x365c0187,0x9af20235}},	//   _dekoa_, _לתיירים_, _потребни, _bhartsit, 
   {{0xa2f40203,0xf2cb0321,0x12e603ef,0xa3410340}},	//   _capitul_, _gradec_, _ameneka_, _terenga_, 
   {{0x9f2f00c7,0xa6700060,0x13d4037f,0x56f10188}},	//   _dumasını, _بۋىرىلتو, _paradı_, _аслонов_, 
   {{0x83410340,0xd26c0527,0x4b5500c6,0x72cf03c2}},	//   _rerenga_, _rekoh_, _пунктом_, _aground_, 
   {{0x242704c9,0x0dc70192,0x93860144,0xb63402d3}},	//   _grudziąd, _부동산써브가_, _feirme_, _conclusã, 
   {{0x499d002f,0x93040022,0xe2a200da,0x00000000}},	//   _chakruna_, _kamoreng_, _practici_, --, 
   {{0xcd07037c,0x89fb0416,0x023900be,0x1342042d}},	//   _multifoc, _desappre, _تۉركۉگۉ_, _atrehin_, 
   {{0x72020210,0x00000000,0x00000000,0x00000000}},	//   _dopiro_, --, --, --, 
   {{0xb86302ba,0x00000000,0x00000000,0x00000000}},	//   _хочати_, --, --, --, 
   {{0x36350177,0xf2000049,0x4f470024,0xb249013c}},	//   _алексеи_, _euliki_, _সাধনাৰ_, _qazma_, 
   {{0x3979017f,0x1243042a,0x7b88026c,0x453d0061}},	//   _misilitt, _anemtali_, _scripser, _드라마무료다운로, 
   {{0x438901a7,0x0610005e,0x15c00040,0xe3b100cf}},	//   _helsinki_, _ﺩﺍﺋﯩﺮﯨﺴﯩ, _ומשברים_, _diqqa_, 
   {{0x66d00058,0x126e0220,0x225b0181,0xa5b300ee}},	//   _hukafomi, _cotone_, _ageloc_, _дондог_, 
   {{0x46380092,0x62b40478,0x8b7d000b,0x1b4b0191}},	//   _タイに送信_, _flaca_, _fainumer, _kundvagn_, 
   {{0x92ea022a,0xa4ec00d1,0xa8f80343,0x00000000}},	// [c0b0] _musigan_, _দৰদাম_, _makapasu, --, 
   {{0x426e023e,0x031d0067,0x6a57032d,0x26d10185}},	//   _fotone_, _barcuma_, _дилара_, _forumnı_, 
   {{0xf2b400ac,0x323601eb,0x7ece0396,0xa21300bd}},	//   _slici_, _ajeja_, _addizjon, _altho_, 
   {{0x82fd0058,0x1ad00181,0x9a02003a,0xb2480097}},	//   _flagis_, _vordingb, _ertasiga_, _runmla_, 
   {{0xc4510014,0xb25b0277,0x1053035d,0x289e0037}},	//   _londinez, _gialok_, _zapremin, _ትተኛለህ_, 
   {{0xcb1b0461,0x5ed9033d,0x00000000,0x00000000}},	//   _rotacion_, _egzijans_, --, --, 
   {{0x2f5c00f4,0xc3020054,0xb5d002c4,0x403e0465}},	//   _balafenn, _barbaje_, _bloqueio_, _najugodn, 
   {{0xd25204bd,0xe2d90090,0x903c0059,0xe1f10348}},	//   _kaalokai_, _aivepi_, _silenzio, _bannakam, 
   {{0xca0f049a,0x92e9042c,0xad2e01da,0xbb770036}},	//   _zapadnoe, _poglavlj, _muzikore_, _chosanta_, 
   {{0xc26c02f0,0xd96d0222,0xbf1900be,0x224a031c}},	//   _ahlose_, _comparer_, _palamós_, _asumir_, 
   {{0xd29002a2,0x89c1009c,0x785000d6,0x48860456}},	//   _tumayo_, _champana_, _fhaomhad, _berkursu, 
   {{0x72b40357,0xdf7c00e4,0xad2f01cc,0xf9db0282}},	//   _boica_, _बिस्तरों_, _संश्लेषण, _pahekehe, 
   {{0x1300005d,0x93790105,0x79b80113,0x1c010258}},	//   _angahai_, _pisania_, _دوبلكس_, _lemster_, 
   {{0x825a0002,0xf639056f,0x4fb803eb,0x926e0414}},	//   _tukli_, _stredná_, _vergader_, _motole_, 
   {{0x553d0094,0xae9602ec,0xb11a00da,0x225a0331}},	//   _تيتانيك_, _تراوِ_, _ворбя_, _gamlar_, 
   {{0xb2e30311,0x3a5c02f7,0x00000000,0x00000000}},	//   _familje_, _latelela_, --, --, 
   {{0x888b006c,0x2a03033a,0x748901a3,0xe24902f4}},	// [c0c0] _abahlubu, _minbarra_, _روپاهه_, _darme_, 
   {{0x557d02da,0xd20001fa,0xe8b300f5,0x42bb004a}},	//   _populaçã, _fulihi_, _ректорыд, _станогы_, 
   {{0xd2d80203,0x348703a2,0x6200013c,0x42f5014e}},	//   _binebi_, _सुसाइड_, _bakida_, _отприлик, 
   {{0xe9840320,0xf86301cd,0x17b50350,0x00000000}},	//   _chukumet, _додаги_, _ለመውረስ_, --, 
   {{0x1f1f020d,0x34d702c0,0x146a019b,0xa84e0205}},	//   _aratanga, _балкони_, _аўстралі, _dollarid, 
   {{0x531600ec,0xc348023d,0x673703b7,0x33330076}},	//   _экспертн, _recenti_, _abelling, _fluxo_, 
   {{0x7c7505a2,0x498000fd,0x22890178,0x47790061}},	//   _स्प्रे_, _eisimile, _bāhyas_, _경영대학원_, 
   {{0xde680060,0x1af20485,0xb2b4026c,0x0cf7020a}},	//   _тарифтер, _storbyfe, _ilico_, _жаннур_, 
   {{0x12cc0270,0x02eb0073,0x2f030213,0xeda700a7}},	//   _italico_, _designo_, _беспокои, _بازاردى_, 
   {{0x07940212,0xf17801fe,0xea5c01f0,0x2c4b00c1}},	//   _fortissi, _nacaniel, _gatelela_, _lenteng_, 
   {{0x623303cc,0xdddb0002,0x7d0b014a,0xa232042d}},	//   _অপরিহার্, _saslušan, _alkonyat_, _alamino_, 
   {{0x6e6e0128,0x337902b9,0x48f90085,0x00000000}},	//   _табаррук_, _magasan_, _siganisu, --, 
   {{0x23870130,0xf040004d,0x2d4d0306,0x00000000}},	//   _debrer_, _中國政協新聞網_, _hawallaq, --, 
   {{0x39f90106,0xf26c004f,0x5c6602b6,0x337b0183}},	//   _धूम्रपान_, _becon_, _дарының_, _biraoko_, 
   {{0xb2900174,0xc04902cf,0x6d8f017e,0x5e480207}},	//   _dumago_, _периоди_, _mallonga, _بيسود_, 
   {{0x03000348,0xc1a500bc,0xd2760016,0xc2000050}},	//   _kulaani_, _انتظامی_, _אינדיע_, _yulian_, 
   {{0x223f02d6,0xfb4d00c8,0x004b0562,0x5a5a00af}},	// [c0d0] _умуман_, _бюджетта, _imiriyon, _татарськ, 
   {{0x5e9202da,0x547a0082,0x00000000,0x00000000}},	//   _потреба_, _daftarin_, --, --, 
   {{0x4c6900da,0xcc4b046f,0x670f00f8,0x00000000}},	//   _actului_, _fenteng_, _অবহিতকরণ_, --, 
   {{0x026c00fe,0x7bf50368,0xbcc500c7,0xd353005e}},	//   _hekou_, _следили_, _кыргый_, _غۇلام_, 
   {{0x47c80381,0x82c303da,0x7d49026a,0x039d0242}},	//   _akistani, _okoloto_, _mataisau_, _səyyah_, 
   {{0xd3000082,0x22d901fe,0x83ea03fd,0x725c043a}},	//   _makamai_, _cabeta_, _agoto_, _dalestim, 
   {{0xf2fe0151,0x46df042b,0x4f6900d6,0x130301b7}},	//   _copious_, _slobodom_, _phraghas_, _ariṃdama_, 
   {{0xdd890462,0x2c570265,0x136c0250,0x48f80153}},	//   _acrosswa, _rustige_, _hungari_, _たぶんわたしで_, 
   {{0x436c0439,0x00000000,0x00000000,0x00000000}},	//   _kungari_, --, --, --, 
   {{0x17ad02e4,0x701d011e,0xd76a004a,0x330100cf}},	//   _direttiv, _fondasyo, _зарарлан, _attamii_, 
   {{0x6fda003e,0xed3b0350,0x00000000,0x00000000}},	//   _afrikabo, _የቲያትር_, --, --, 
   {{0x53fe0080,0xcc930060,0x6341057a,0x00000000}},	//   _akornini_, _شاراڭ_, _вĕрет_, --, 
   {{0xd8f902e7,0x206c03e7,0xbd8f0568,0xaa3700d1}},	//   _makataru, _balaudno, _ballonga, _মাগিলে_, 
   {{0xfbfa02d2,0xeb0d0305,0x16de01d5,0xb2fc02dd}},	//   _abathemb, _leksehje, _futballi, _inflazzj, 
   {{0xe231001f,0x0c1502ac,0xaff801f3,0x00000000}},	//   _nkomobo_, _chapall_, _existenč, --, 
   {{0x594e0139,0x070f0299,0x00000000,0x00000000}},	//   _avalokit, _ئەسۋابلا, --, --, 
   {{0x2d050217,0xd27e00ad,0xa303007f,0x267e004d}},	// [c0e0] _reflecte_, _nginum_, _alwadau_, _機關通訊錄_, 
   {{0x52d90270,0x00000000,0x00000000,0x00000000}},	//   _habera_, --, --, --, 
   {{0x12d90165,0x192b02a8,0xd6450091,0xe316018a}},	//   _rabeta_, _stampata_, _umiktiri, _daladwy_, 
   {{0x85020173,0x02d902eb,0x80770003,0x10240157}},	//   _বিয়ে_, _babesa_, _koppelin, _teledysk_, 
   {{0xd2900125,0x1c6702c2,0x701a0037,0xf22403ec}},	//   _nahar_, _kultuur_, _የተነበቡ_, _bankat_, 
   {{0x9c670265,0x82fd01f1,0x15870049,0x39f2019a}},	//   _cultuur_, _plagos_, _houtamak, _chirnsid, 
   {{0xc3190113,0x02a600b9,0xff3503fb,0xda8f0037}},	//   _جيران_, _rekber_, _argumena, _malignan_, 
   {{0xeaf3002e,0x0248010d,0x00000000,0x00000000}},	//   _ugostite, _nyimak_, --, --, 
   {{0x9213046d,0x23350148,0xcb6f00e4,0x9741004d}},	//   _hothe_, _甜柿栽培管理班_, _wolontar, _務經書面授權_, 
   {{0x2a7d0099,0x83790115,0x9bb301c4,0x86d00052}},	//   _achatora_, _cagaran_, _ficksbur, _किरातीहर, 
   {{0x084e0058,0x137802a6,0x8b8d0279,0x89f603f0}},	//   _pibligid, _inganna_, _chanteur, _ekknanna_, 
   {{0xec6e0377,0x5a830291,0x9f7d0374,0xc3690297}},	//   _andreea_, _mcmillen_, _камерада_, _барыбызд, 
   {{0x725b04a6,0x825500d1,0x69cd025c,0xc0b70291}},	//   _porodici_, _একশ্যন_, _angelege, _ماسبيرو_, 
   {{0x680001a7,0xd4c10162,0x9fea020f,0x8aa90237}},	//   _официаль, _сөздәк_, _نورژوبل_, _비밀번호로_, 
   {{0xb26c036f,0xe8510164,0x806802f6,0x602202fe}},	//   _nekoj_, _ибраниң_, _hinahabo, _مخاطبانو_, 
   {{0xa29003bf,0x1a860066,0xc96d02af,0x928d0181}},	//   _kahar_, _igandean_, _aranamut, _snakken_, 
   {{0x929000a0,0x1291012d,0xeb630040,0x9e550513}},	// [c0f0] _jahar_, _pipal_, _הרושם_, _lulameke_, 
   {{0x329000d2,0x726c03eb,0xbf8a0497,0x22d8003d}},	//   _dahar_, _gekom_, _harvests_, _bugey_, 
   {{0xec4000c5,0xb2370095,0x82ca045d,0xb2fe00aa}},	//   _见市场报价_, _stomata_, _prilici_, _batidor_, 
   {{0x138b0063,0x22d800e1,0xc6ff0163,0x53f90275}},	//   _márta_, _diney_, _استادوں_, _pupuu_, 
   {{0xcf37022b,0x226c01b4,0xf0fd004b,0x5202024a}},	//   _samskipa, _bekom_, _полюбовн, _kutigi_, 
   {{0x239601c1,0x83560203,0x7da70129,0x3c510037}},	//   _persib_, _attener_, _wuruwuru_, _kontena_, 
   {{0x52b4007b,0x4d1f034c,0x626c0553,0x00000000}},	//   _alace_, _үрдәк_, _vekom_, --, 
   {{0xc2cb033e,0xbda7007a,0x17a0008a,0x6e3700d7}},	//   _asador_, _keboleha, _fatugati, _ырамлы_, 
   {{0x6b35021b,0xb6c3000f,0x6e340085,0x426c0198}},	//   _virallis, _hastalık_, _mygatewa, _tekom_, 
   {{0x620002b1,0xe3f9042c,0x653d01a3,0xfbb90361}},	//   _makiya_, _kupus_, _سيڙائي_, _бердиев_, 
   {{0x395501b7,0x8300010e,0xf34f00e0,0x00000000}},	//   _apratiṣe, _bakalaw_, _omleech_, --, 
   {{0x4400014e,0x13000172,0x7a570060,0x052f0062}},	//   _десно_, _sudanni_, _өртенді_, _musivmoh, 
   {{0x3ff002da,0x195a0037,0xc2ea01c4,0xa2e7019a}},	//   _мерки_, _ስግብግብ_, _opinies_, _edinbro_, 
   {{0x5ea10297,0x00000000,0x00000000,0x00000000}},	//   _filmnarn, --, --, --, 
   {{0x9da200dc,0x64a501a3,0x93a4035d,0x00000000}},	//   _polokala, _سنٿالن_, _zanatlij, --, 
   {{0x41e1005e,0xb2000229,0x429102a4,0x3b2b0278}},	//   _ﻣﯘﺑﺎﺭﻩﻙ_, _bakiya_, _ripam_, _janakuas, 
   {{0x5f1f02af,0x65a50061,0x8b6f0080,0x121305c3}},	// [c100] _aratunga, _예산낭비신고_, _allortar, _sachez_, 
   {{0xf3f80004,0x3f470046,0x8ed80061,0x00000000}},	//   _abouti_, _аламанды, _월가의부동산_, --, 
   {{0x7b72003a,0x9330039e,0x4dbf0253,0x42000456}},	//   _عبدالمتی, _verkeleg_, _tamalaat_, _audien_, 
   {{0xb6d2018a,0x72d500a2,0xeab90037,0xd9c3007d}},	//   _morgannw, _kupokea_, _ዙሪያውን_, _pemerhat, 
   {{0xd3130113,0x365800cf,0x00000000,0x00000000}},	//   _amxbans_, _hinkenni, --, --, 
   {{0x505502c7,0x00000000,0x00000000,0x00000000}},	//   _fassaden, --, --, --, 
   {{0x2a0401d4,0x6e3402c4,0xee5d018d,0x97e70162}},	//   _rinascit, _платен_, _ንቢትወደድ_, _шиәләр_, 
   {{0xac1c0285,0xec7002ba,0x3d920065,0x029f014e}},	//   _rugambar, _abusise_, _rollensp, _menjamo_, 
   {{0x6ef200c1,0x8f1002ac,0xa2910365,0x25c600d1}},	//   _नाटके_, _اللؤلؤ_, _spojuje_, _উপসৰ্গ_, 
   {{0x227f00bd,0x02490815,0xb1cc027f,0x2b0700e6}},	//   _amends_, _zarma_, _arimarim, _新浪娱乐讯_, 
   {{0x381e0061,0x926c0037,0xaee6006c,0x290a02d6}},	//   _가축사육업_, _kekok_, _asohlwin, _самарали, 
   {{0x2c5c03b2,0x969c01b8,0x0b8d018b,0xbafa008f}},	//   _central_, _objektii, _actionar, _tooraine, 
   {{0x625500fe,0x226c029a,0xb3d0027b,0x00000000}},	//   _aholelei_, _dekok_, _कौसीद्यं_, --, 
   {{0xa76c0125,0xa5500244,0x726c01a2,0x35bd01e5}},	//   _намысына_, _società_, _valodu_, _fifiranṣ, 
   {{0xfa17016e,0x883c05e0,0xe3200077,0xa15202f9}},	//   _toplantı_, _acometid, _griyen_, _nitrisyo, 
   {{0xa2360222,0xeba502c8,0x6521007e,0x826503c2}},	//   _projet_, _xurisdic, _प्रथमस्थ, _astraddl, 
   {{0x3eb702f1,0x1bc807af,0xafa4013a,0x63f902c9}},	// [c110] _consulte_, _द्वीपों_, _akzenter_, _supus_, 
   {{0x02b40203,0x2e530067,0x92cb0062,0xe81000e0}},	//   _flack_, _bilaasha, _heydaq_, _flechtig, 
   {{0xb3530060,0xe364037e,0x4cdc0061,0x12b401df}},	//   _تۇران_, _kongsan_, _바이러스는_, _glack_, 
   {{0xa98f0181,0x536c0015,0x5fc1028f,0xa2680055}},	//   _nathanae, _hunguri_, _maungaro, _assumill, 
   {{0xf5470041,0xd26c0122,0xbb0d00d9,0x6f9e0253}},	//   _баҕапшь_, _asmone_, _кабинете_, _asumingo, 
   {{0xabe6033f,0x4b41060a,0x52b4013a,0xde3c0331}},	//   _apoloiso_, _diagnóst, _klack_, _undankap, 
   {{0xa249038a,0x8105029f,0x9e470219,0x00000000}},	//   _tarma_, _pamiatky_, _atsandze_, --, 
   {{0x44d7003c,0x138701d4,0x123801a6,0xd26c0429}},	//   _وروجک_, _avarè_, _tiamani_, _bekoh_, 
   {{0xb31801ad,0x1ceb0156,0x1bd501df,0x37d70153}},	//   _kaliding_, _מהריי_, _handiwar, _四川大地震では死, 
   {{0x6dc203ac,0x8e550450,0x6c9a02ac,0x92ca0034}},	//   _meningka, _redaksje_, _بالاسكند, _spilari_, 
   {{0xa2900068,0xee40044d,0xc224007b,0x09f70425}},	//   _tahay_, _arabique_, _winkle_, _بیرورای_, 
   {{0xd21201c5,0x2180015e,0x9224019b,0x5c4b00c1}},	//   _indha_, _altafull, _tinkle_, _centang_, 
   {{0xe25b0380,0xcecb0068,0xf4c70162,0xb2b4007b}},	//   _lwglan_, _komishan, _رايوندىك, _alack_, 
   {{0x0145001c,0x8200002c,0x338701a6,0x622a03d4}},	//   _spreewal, _jakina_, _atarau_, _борац_, 
   {{0x203602af,0xde5200f2,0xa1db03e6,0xcd910151}},	//   _ahatunan, _ierosinā, _verglach_, _collinea, 
   {{0x2c2c001a,0xc56103b9,0x68f002fe,0xd8430061}},	//   _bruttó_, _kusisiña_, _abasisig, _말았습니다_, 
   {{0x0ccf0047,0xa26e01b2,0x19600019,0x92c80311}},	// [c120] _如要投诉或提出意, _antort_, _анализди_, _ከሰላስሉ_, 
   {{0x0bdd0105,0x13790397,0xd10401cd,0xe4380165}},	//   _दरिया_, _umlando_, _abakulel, _inakinak, 
   {{0x17aa04d3,0xb26e019e,0xbc710107,0x91c1021c}},	//   _kastosli, _kitose_, _ketutup_, _tenisový_, 
   {{0x620003f6,0x028c0007,0x8c4602fe,0x8886008f}},	//   _hakina_, _chekula_, _حرامو_, _रोकेवाला_, 
   {{0xc96d0073,0x294b0645,0xfae800e6,0x137f048f}},	//   _capillat, _preokret, _沈阳红盾信息网_, _kolanda_, 
   {{0x037f01da,0x6b200476,0xdff2003f,0x5ef80061}},	//   _jolanda_, _acharamb, _dughuhmo, _신청하시면_, 
   {{0x6c4b0227,0x67c70205,0xca980497,0x2795027d}},	//   _tentang_, _маликий_, _anticnes, _музичар_, 
   {{0xc24900fc,0x3e94037c,0x5dca0061,0xe7fb02e2}},	//   _harmo_, _mandamus_, _사용자들이_, _barbarag, 
   {{0x99e800fb,0x86080434,0x82ed00e4,0x624801ad}},	//   _bangayit, _biografí, _planach_, _kaimoy_, 
   {{0x92d80010,0x889c011c,0xd96201da,0x19dc025c}},	//   _abneri_, _barkeelu, _gjenerat, _frageste, 
   {{0x82d50047,0x8249012b,0x5c7602c1,0xfaaa03a2}},	//   _凡本网注明_, _darmo_, _aderesi_, _तख़लीक़_, 
   {{0x27c905c9,0xf78800c1,0x53860107,0xd3050300}},	//   _longgggg, _अधूनमधून_, _ngirit_, _veselé_, 
   {{0xd2b4019a,0x837f00f5,0xb26e02a4,0x07870060}},	//   _slack_, _bolanda_, _litore_, _شاراسىز_, 
   {{0xcd8f054e,0x526e01da,0xa2b4007b,0x96440456}},	//   _aallanga, _fitore_, _plack_, _እንደሁኔታው_, 
   {{0xb14f020f,0xf21302fe,0x32900157,0x5bea0291}},	//   _baneentl, _cotha_, _schab_, _ميديافير_, 
   {{0xc37b0393,0x95b80297,0xea8500ba,0x5200028a}},	//   _ukratko_, _кадрларг, _سوجده_, _wakina_, 
   {{0xa3dc0054,0x70590226,0x125b04a7,0x00000000}},	// [c130] _awowi_, _chisokon, _arelas_, --, 
   {{0x72490264,0xa2b401c6,0x26d40013,0xd2c600e2}},	//   _carmo_, _slach_, _келгусид, _amtlike_, 
   {{0x484700d1,0x52d900ad,0x73490198,0x533f033a}},	//   _gjeldand, _ruwet_, _severni_, _eħxen_, 
   {{0x9ff2018f,0x326e01da,0xca7a04c8,0xc87801de}},	//   _bochenmo, _ditore_, _fraġli_, _тексер_, 
   {{0xe3f80190,0x9200011b,0x4e2e00f7,0x4d9303bf}},	//   _aikuon_, _makila_, _חומשים_, _behehile_, 
   {{0x2bdb029f,0x6dc502ac,0x3c520524,0x43db034b}},	//   _definíci, _نبراس_, _opatija_, _konumiti_, 
   {{0x580f033e,0x0fca0360,0x5f3b00d6,0xd30d0044}},	//   _амзари_, _तिथिहरू_, _searmana, _cheaper_, 
   {{0x72900025,0x9dc2034d,0xaaf201bc,0x99f101e9}},	//   _ubhau_, _peningka, _begraffe, _gwantela_, 
   {{0xc0970173,0x63ea0222,0x19970369,0x9c280372}},	//   _সন্তানের_, _faites_, _anekelea_, _aseiniad_, 
   {{0xe46e0297,0x763507c2,0x4290033c,0x027800c7}},	//   _урамы_, _ईतिहास_, _cchac_, _birnä_, 
   {{0x2f6d01f7,0xb23603b6,0xf821021c,0x06b60021}},	//   _capables_, _ajeji_, _optický_, _annually, 
   {{0x76dc013c,0x3cb5018a,0x72b70229,0xb20700e6}},	//   _xüsusiyy, _targedau_, _alverlə_, _市经济责任审计局, 
   {{0x020002f6,0x8b0b00be,0xcbee009a,0x0c5a0282}},	//   _dakila_, _этиканы_, _basemngc, _whitiki_, 
   {{0xcf6700c5,0x12cd02ea,0x6f4000cf,0x91d7014e}},	//   _imprimés_, _извода_, _dursinee_, _ризика_, 
   {{0xa19c01b6,0x4b7700ab,0x63a5040f,0x958f0156}},	//   _الخلق_, _akoranga_, _garantij, _אמתער_, 
   {{0x293f000a,0x5c7201ef,0xd3b60177,0x7c6c0256}},	//   _kaammatt, _польшча_, _лауренс_, _satrauc_, 
   {{0x4e1a0241,0x2abb03d4,0x0213002f,0xa5fb018d}},	// [c140] _akkeekka, _zatvorit, _althu_, _ዝሃብካዮ_, 
   {{0xe3050163,0x09c101da,0x9201004a,0xe3530153}},	//   _اورای_, _mbuluara_, _faciga_, _対話形式でスラス, 
   {{0xdd420088,0x8b750058,0x8d5b0053,0xda8500bc}},	//   _болсун_, _gallodac, _पत्नीला_, _جویدن_, 
   {{0x82b40101,0x607602d4,0x57ba0243,0x7f5c0231}},	//   _placi_, _cumplein, _kallacik_, _horatius_, 
   {{0x9c5b02d5,0x824900db,0xba6a0178,0xcc570166}},	//   _albumid_, _tarmo_, _aparokṣā, _lustige_, 
   {{0x7c4b02ce,0xf308013d,0x89450039,0x841d0103}},	//   _gentong_, _alabamo_, _hitlerre, _cheapuro_, 
   {{0xcda20176,0x4fd9017a,0xa2d403b4,0x5ae80148}},	//   _frangipa, _abanocho, _amboona_, _repraese, 
   {{0xd24900a4,0x63a500ae,0x520000f4,0x437e0156}},	//   _carme_, _ibyangij, _bulian_, _שוווּנג_, 
   {{0xc3680690,0x4fef0130,0x5bea00da,0x0bbe00e6}},	//   _ringkas_, _tachenno, _проектел, _巫妖王之怒_, 
   {{0x926c00ef,0x2ab80156,0x00000000,0x00000000}},	//   _eblowu_, _אנאליטיש, --, --, 
   {{0x49850235,0x5f5c0333,0xd1db005a,0xb2d9033a}},	//   _भ्रमति_, _alzasian, _merghach_, _iswed_, 
   {{0xec0101c4,0x59800333,0x47ee00bc,0xe85a027f}},	//   _meester_, _magicame, _dipareng, _bizosigu, 
   {{0xb2b400b4,0xfc3b00b4,0x1b61005a,0x4867017c}},	//   _joaca_, _clubafac, _maruchpa_, _heminred, 
   {{0x0290001b,0xd7ee0479,0x956e045e,0x6bc4071a}},	//   _achaa_, _mondták_, _оранжево_, _ачана_, 
   {{0x469a00e4,0x68a30211,0x628600e2,0x029002e1}},	//   _chomikuj_, _гораздо_, _gaasterl, _abhar_, 
   {{0x129200a1,0x25600040,0x4d800816,0x51160242}},	//   _hapati_, _האנטומיה_, _ахаль_, _dəhlizlə, 
   {{0x5501005b,0xa906028e,0xd2ef0204,0x00000000}},	// [c150] _vedligeh, _natanggu, _vakiona_, --, 
   {{0x37210314,0x42670247,0x28090074,0xbd650271}},	//   _тәрбиә_, _ایرونی_, _компанию_, _forstørr, 
   {{0x181500f2,0xa38703c6,0x8232031a,0x00000000}},	//   _reversīv, _mearke_, _sgumain_, --, 
   {{0xd2130799,0xe231004f,0x137c0633,0x226c01c4}},	//   _botho_, _asamaan_, _naughty_, _afkom_, 
   {{0x1c300230,0x5dd10012,0x07bd018a,0x00000000}},	//   _konsitis, _एकहएक_, _chreadig, --, 
   {{0x031d0044,0x135503d1,0x11660227,0x52d90373}},	//   _ניצחה_, _debesis_, _alangkah_, _laboras_, 
   {{0x9bf80103,0xc92900bf,0x82cc024c,0xa85a031a}},	//   _aikwanis, _лечебно_, _billejl_, _gaelicmu, 
   {{0x959c0058,0xecf502c3,0x32c80037,0x87a30077}},	//   _beluspik, _ostatným, _ማጠራቀሚያ_, _antrepwi, 
   {{0x24e600c7,0xbd9a0272,0xf3f80219,0x00000000}},	//   _янындагы_, _amatuufu_, _isouth_, --, 
   {{0x14800008,0xbb650065,0x6f33028b,0x9c5a0151}},	//   _باتۇۇعا_, _strecken_, _imaranga, _brutish_, 
   {{0x738701d4,0xdd7a014c,0x035403f1,0x98f30086}},	//   _quartu_, _avalelwe_, _strechu_, _احسانات_, 
   {{0xdc4b02ce,0x376302ac,0xb2250453,0x9da70282}},	//   _genteng_, _لمؤسسة_, _zvuka_, _purupuru_, 
   {{0xac1300b9,0x081e00e6,0x16a20040,0x04190205}},	//   _कार्यपद्, _比上年下降_, _בחשוון_, _карвонла, 
   {{0x9004006f,0xdf810052,0x4b84010b,0x42b407c1}},	//   _تندرستي_, _बित्तिकै_, _bokopano_, _flaco_, 
   {{0x27b403a8,0xeef0006f,0xfc9301ac,0x491100ec}},	//   _েকােনা_, _تقویمشمس, _باتاً_, _patarimu, 
   {{0x826c0159,0x34240010,0x6387030f,0x96b3004d}},	//   _malonu_, _belithik, _ngarue_, _此動作將無法復原_, 
   {{0x5c510108,0x733601a3,0x42000170,0xdd8a0279}},	// [c160] _contona_, _اُٻاوڙي_, _bakiba_, _attelage_, 
   {{0x0290001d,0x9eb400da,0x29de00a5,0x3673006f}},	//   _rumano_, _интерчеп, _gasologa_, _صالحن_, 
   {{0x613c003e,0xb437016d,0x9c0a0047,0x69830049}},	//   _профсоюз_, _ﻗﯘﺭﯪﻥ_, _incroyab, _hikivahe, 
   {{0x6b490157,0x029002f6,0xacbc00ef,0xdb7b036d}},	//   _इर्ष्या_, _dumalo_, _bakayesu_, _fungasan_, 
   {{0x63f402bc,0x825e01e9,0xb5d500ae,0xb2020084}},	//   _gautam_, _bagolodi_, _ataberey, _ceting_, 
   {{0x837c0265,0xa0f606f2,0x82fc02d9,0x7b2a0187}},	//   _locatie_, _अमूर्त_, _haight_, _основнот, 
   {{0x76f305a4,0x2c3c032e,0xf6d10530,0xb34b0344}},	//   _tentokrá, _happersb, _moralnim_, _ernerat_, 
   {{0x9c0d01b5,0xdd710247,0x75dc019c,0xe36b04c7}},	//   _chipile_, _دلیجان_, _katikíìs, _изразили_, 
   {{0x330e04fb,0x1c160361,0x4f0300a0,0xea270138}},	//   _anuales_, _стрептом, _farjojin, _oranının_, 
   {{0xe2b4016a,0x36da001e,0x72d901f1,0xb75c013f}},	//   _placo_, _gabatarw, _niveli_, _bathyerg, 
   {{0x564005f1,0xac5b0377,0x22910059,0x325a0325}},	//   _abanyarw, _cautari_, _creato_, _guclu_, 
   {{0xb26c0342,0x2f890013,0x89e1006a,0xf28302ee}},	//   _sekou_, _шерали_, _bibilava_, _jokkupa_, 
   {{0xc6d50251,0x338700c3,0x48b101a3,0xa26c0071}},	//   _رنگیٖں_, _dierum_, _فريڊم_, _cekot_, 
   {{0x4cf502c3,0xfdf503ab,0x6151009f,0x9b570046}},	//   _ostatnýc, _ostatníc, _prostovo, _таратуу_, 
   {{0x51c1021c,0xa2c4018a,0xd2d902c6,0x398500f4}},	//   _tenisové_, _cholled_, _diveli_, _fizierie, 
   {{0x86ae01b5,0xa17d0040,0x7fc80331,0x7e4603e7}},	//   _ebetaniy, _ניחוח_, _stongdur_, _barangga, 
   {{0xd357076e,0x8484008f,0xd3870258,0x00000000}},	// [c170] _कल्ले_, _घुमावल_, _pearke_, --, 
   {{0xf67c02c2,0x03ea0120,0x269c042a,0xb847026c}},	//   _samelewi, _cintah_, _betemphi, _custodes_, 
   {{0x03cb0185,0xc34500f7,0x8c0002ac,0x77db02c2}},	//   _babayı_, _traduku_, _وخالد_, _besproei, 
   {{0x1e15014b,0x8ae0005a,0x14010192,0x54b5034c}},	//   _dareemaa, _dustinge, _gedragen_, _алмавын_, 
   {{0x488404ac,0x62710097,0x9cf502d6,0x6d6b0311}},	//   _аккумуля, _gébúré_, _filtrlar, _ዝተዓዘብናዮ_, 
   {{0x5d680299,0xf6cc033d,0x8294017f,0xda8f0211}},	//   _ئاداۋەتن, _ekspilsy, _bankimi_, _valinnan_, 
   {{0x8c68023d,0x92910117,0x02da022a,0x026c03d4}},	//   _доставка_, _aipas_, _karovas_, _decom_, 
   {{0xeedd03f5,0xc29100ad,0x4a2e018d,0x529101b2}},	//   _referênc, _sipat_, _ገብረኪዳን_, _blaare_, 
   {{0x9290018a,0x92da036b,0xf27d0314,0x2ed80461}},	//   _uchaf_, _igreja_, _тамашасы_, _socialas_, 
   {{0xee060274,0xe24902b1,0x2b20018a,0x750f053d}},	//   _hendurna, _harma_, _ariannin_, _aphumayo_, 
   {{0xe3ef0157,0xa26c0256,0xe17f00e7,0xf14100b7}},	//   _hipotecz, _sekot_, _ammiesay_, _berdigul, 
   {{0x429001c5,0x62100025,0xc2910145,0x644100c1}},	//   _nahay_, _उदाहरणम्_, _tipas_, _अन्नपदार, 
   {{0xb3f8047a,0xb3db0092,0x6c0e000d,0xa37f00a1}},	//   _okour_, _問題のあるクチコ, _kontoris, _taharoa_, 
   {{0x2c4d0286,0xe29000ea,0xb38701b9,0xf21300d2}},	//   _antweri_, _hahay_, _expre_, _onthe_, 
   {{0xb2da02a0,0x69da0205,0x75ed00da,0x843500d0}},	//   _aarewa_, _marotaba_, _опреште_, _banatuko_, 
   {{0x4b190195,0x8d5004eb,0xb2d602cb,0x73950158}},	//   _chlarion_, _पहलगाम_, _isplatu_, _piasku_, 
   {{0xf4d7013d,0x2dcf00cf,0x329000ea,0xca420178}},	// [c180] _אנציקלאפ, _lightest_, _mahay_, _aparigṛh, 
   {{0xe9f90082,0xd3450466,0x5c5202ef,0x3200043f}},	//   _sakatare, _gradsku_, _fontenn_, _pakica_, 
   {{0x100d050e,0x4291004f,0xd89a0019,0x5dc102a8}},	//   _proveren, _baxam_, _кодекске_, _artiġjan, 
   {{0xd37f0340,0x07870347,0x4a79045e,0x5fb00108}},	//   _waharoa_, _hervormi, _èpossibi, _agelindo, 
   {{0xeb0e0148,0x6b6e018b,0x0ed2004a,0x00000000}},	//   _epistola_, _antonesc, _giperssı, --, 
   {{0xbaef0077,0x43110013,0x00000000,0x00000000}},	//   _pakonnen_, _badbaxt_, --, --, 
   {{0xb291018d,0x829002f6,0x54070157,0x7ed40354}},	//   _sipas_, _bahay_, _भंजदेव_, _темилири, 
   {{0xf4730368,0x9213005b,0x80e2017a,0x00000000}},	//   _partizan_, _inthe_, _akanacal, --, 
   {{0xa2900068,0x63470105,0x4e1b0050,0x53cf00da}},	//   _dahay_, _महिन्द्र, _pepelaka, _razvan_, 
   {{0x726c0013,0xd9f60046,0xbc00018f,0xec7d0066}},	//   _bekor_, _quinzena_, _ghosnis_, _abesten_, 
   {{0x82120310,0xc37f0176,0xdb4b0048,0x00000000}},	//   _cidhe_, _eikaiwa_, _battibwa_, --, 
   {{0x2df003ce,0xf2f00120,0x3e1a0004,0x55b8016b}},	//   _رۆکوه_, _assimah_, _entelija, _mongoliy, 
   {{0x5379055d,0xe1b80311,0xfc4b03b5,0x1c7d03e6}},	//   _petanda_, _ጸላኢኦም_, _mentang_, _ebessen_, 
   {{0xdb7b035a,0x88560157,0xa291029b,0xeb5b0178}},	//   _bangoran_, _मातृभूमि_, _sipar_, _abravãn_, 
   {{0xf1a6023e,0x7e1a0077,0xee9f0144,0xf3730486}},	//   _bebeneré_, _intelija, _توعوية_, _slogany_, 
   {{0x2f3a00da,0xfc6103bf,0x52ae004d,0x00000000}},	//   _фамилиил, _diruuwa_, _台灣旅遊景點_, --, 
   {{0x326e0454,0x82790540,0xe9790046,0x73f10220}},	// [c190] _intoke_, _kynferði, _грузияны, _impostaz, 
   {{0xe2ae0410,0x721200fd,0x6eb20326,0x82b5005b}},	//   _porantšh, _bidhe_, _agashire_, _adachi_, 
   {{0xcd8e0375,0x32df02aa,0xb6a30299,0x0e1a056b}},	//   _anaonera, _analýz_, _توققۇزتا, _didedika, 
   {{0x0395003b,0xbb8d019f,0xcd690037,0xd507006e}},	//   _abesho_, _kivinjar, _በብርሃን_, _jeneeral_, 
   {{0x165701f4,0x838f0184,0x00000000,0x00000000}},	//   _зайлда_, _munyuma_, --, --, 
   {{0x704d045b,0xb37a0266,0x19bf00d1,0x703e044c}},	//   _проти_, _lawatan_, _সুদৃশ্য_, _deltakin, 
   {{0x120e023d,0x2ba90223,0x840e0140,0x1bd70343}},	//   _пазар_, _merkatar, _paaralan_, _wandswor, 
   {{0x639800be,0xc30e0047,0x7ba803c4,0xa56e0645}},	//   _ئشتەشكەن_, _combien_, _бидиклир, _zahvalio_, 
   {{0x14040673,0x3c7c01e9,0xbd11029a,0x023c01bd}},	//   _okungenz, _ramsden_, _valorize_, _мамандық_, 
   {{0xa98300da,0xa2da01ae,0x81310037,0x00000000}},	//   _телевиза, _garotas_, _mendedah_, --, 
   {{0xd2f600db,0xb37a0229,0x0d1e03b6,0x9036019b}},	//   _बर्दास्त_, _insanin_, _forukọsi, _skatinan, 
   {{0x57950152,0x027f021c,0xf238000b,0x61d90167}},	//   _нурихан_, _odznak_, _otometi_, _diffaith_, 
   {{0x7316019a,0x0eb8005a,0xc2590305,0x774801c4}},	//   _punched_, _bimejnis_, _austevol, _bekostig, 
   {{0x09dc00c5,0xb6580162,0x22e600bc,0x4f7b0097}},	//   _央视主播讲张泉灵, _قازانغۇچ, _alengka_, _itẹle_, 
   {{0x92da03b3,0x241c020e,0x67d700c4,0x7da60418}},	//   _pareva_, _banabeso_, _پاڳارو_, _kurucusu_, 
   {{0x63f1033a,0x730e017d,0xdc2a034e,0x8fb70152}},	//   _importaz, _悩みを聞いて_, _amaruš_, _китапка_, 
   {{0x12b4015d,0xa65200f3,0xa349012e,0x02310087}},	// [c1a0] _ulicy_, _abazaziy, _nevezni_, _nkomiso_, 
   {{0xd69702eb,0xc29002d3,0xa3360012,0xf39504c7}},	//   _тулалдаа, _acham_, _चींउटा_, _obesio_, 
   {{0x3cf30220,0x2c630002,0x126c0488,0xc01f035d}},	//   _sostener, _povukao_, _palikusi_, _pomenuto, 
   {{0x92d8023b,0x937a02df,0x1f3b0135,0xb2ca01d1}},	//   _haneli_, _jawatan_, _атларда_, _tandf_, 
   {{0x8e730157,0x320000c4,0x00000000,0x00000000}},	//   _सवर्ण_, _masilahi_, --, --, 
   {{0xfa550066,0xa554005e,0x929100d2,0xd5060183}},	//   _инженерү, _ﺳﯧﺮﯨﻖ_, _papah_, _analamah, 
   {{0x6d3703c1,0x2c6f01d4,0x5291005a,0xd1bb0311}},	//   _бизнис_, _intrata_, _mapaw_, _ውሳኔኦም_, 
   {{0xfeae00ee,0x96e50156,0x9129020a,0xcee10097}},	//   _ahalegin, _צוקונפטע_, _айырылыс, _àfèrìgìp, 
   {{0x5d19042c,0x1f400177,0xb5db005e,0xa64f0116}},	//   _nemoguce_, _пензатәи_, _ﻣﯘﺗﻪﺧﻪﺳﺴ, _lichteni, 
   {{0x1c3f010f,0x4c3d00a5,0xe2da00a0,0x5efe00de}},	//   _abaphans, _maoputas, _gareta_, _پیداکولو_, 
   {{0x259902ee,0x326d0249,0x67fd02ac,0x6ebe0167}},	//   _valutazz, _neson_, _إتفاقية_, _gwarchae_, 
   {{0xe29a008d,0x286a020f,0x37070144,0x4eb0019b}},	//   _ваколатл, _abenesid, _chorpará, _robertas_, 
   {{0x83fa0240,0x22da00ad,0x32d80167,0x82010244}},	//   _masuta_, _kareta_, _baneli_, _vigili_, 
   {{0x726d01da,0x42eb0274,0x64130162,0x31970147}},	//   _beson_, _opinber_, _يازدى_, _تومسۇرۇپ_, 
   {{0xe25a00a4,0xc291018f,0x02900407,0x229001f4}},	//   _nucli_, _dapaw_, _uplata_, _ichak_, 
   {{0x9213019d,0x8e9f03cb,0x820104a8,0xd291038b}},	//   _dothi_, _tódolos_, _ispis_, _capai_, 
   {{0x32ca0342,0x13eb02e7,0xe291029b,0x7321022b}},	// [c1b0] _mande_, _pectin_, _amaale_, _bleytu_, 
   {{0xe2900190,0x892800da,0xc28001fe,0x4f5c0073}},	//   _scham_, _лектурь_, _itakele_, _torquite_, 
   {{0x5bf00244,0xf243020f,0x72bb03ea,0x8a29004d}},	//   _copertur, _anembali_, _valence_, _亦視其志之所向者, 
   {{0xd2fe0434,0xeb8202ea,0x8f440064,0x00000000}},	//   _activos_, _avanguar, _жебирейи, --, 
   {{0xc22a0076,0x37cf0211,0x63eb006e,0x02fd017e}},	//   _добар_, _varsinki, _baatub_, _decidas_, 
   {{0xa3470022,0x223b018d,0xd2910020,0x235e017a}},	//   _bineloa_, _ንለውጥን_, _sapai_, _ваъзи_, 
   {{0x99b10132,0xc30704bd,0x22e90161,0xd202023d}},	//   _rendelte, _kulaiwi_, _подарков_, _estivi_, 
   {{0x9b68047b,0xeb5b0312,0x89db01a7,0x00000000}},	//   _alheimin_, _damemren_, _iranissa_, --, 
   {{0x8507016d,0xc2e80020,0xaa8b0269,0xe37a03b3}},	//   _ﻣﻪﺷﻬﯘﺭ_, _ameirka_, _gustaría_, _bicario_, 
   {{0x528a0272,0xda4c01db,0x22fe04e6,0x9fee00b9}},	//   _mutabani_, _تاسىلمەن_, _batikos_, _जिजाबाई_, 
   {{0x826d012b,0x82250193,0xfb61004d,0xc2fd022c}},	//   _soboty_, _ingkar_, _吳伯雄由滬返台陳, _dihibur_, 
   {{0x1b7b00ad,0xdf1d02a5,0xde2902d3,0x26b10142}},	//   _pangeran_, _pravděpo, _форумски_, _भर्तृ_, 
   {{0x1f59019b,0x9e350178,0xcb64015e,0xc34a029c}},	//   _karalien, _aparāṃś_, _montcada_, _dzafike_, 
   {{0x02fa01d8,0xe2ca0417,0xa3670276,0x630002d8}},	//   _bakhwan_, _hande_, _биридур_, _nasabah_, 
   {{0x19b40125,0x386f033e,0x02010367,0xcb13050a}},	//   _гутулуп_, _itanimbu, _vacina_, _bakarken_, 
   {{0x1496030c,0xec310364,0x25420040,0x2e480315}},	//   _pimakluk, _probéire, _החתונות_, _bekaneba, 
   {{0x383a0037,0xac3d0074,0x880a00a4,0x00000000}},	// [c1c0] _መጠየቅና_, _reippaas, _ناۋرىزدا, --, 
   {{0x08d80074,0xa6530635,0xa7580139,0x4301023e}},	//   _kansainv, _мудры_, _दुर्लभा_, _outbond_, 
   {{0x02e80320,0x92d80414,0xf65c0291,0x223b033f}},	//   _aswitwa_, _banebi_, _لتنشيط_, _momeniti_, 
   {{0x795e011a,0x2213007d,0x09cf0047,0x63540333}},	//   _illnesse, _bachok_, _jardinie, _appellu_, 
   {{0xc0aa020f,0x00000000,0x00000000,0x00000000}},	//   _فرعوني_, --, --, --, 
   {{0xf354034d,0xc9dd05a6,0x00000000,0x00000000}},	//   _sejenis_, _byggegre, --, --, 
   {{0x69b1001a,0x8e350086,0x1b1e0368,0xf8f40156}},	//   _rendelet, _یگانگت_, _изолатор, _נאָטיץ_, 
   {{0xba010399,0x533e002b,0xabc20153,0xc17604d8}},	//   _lakanaga_, _আত্মত্যা, _ジトップへ戻る_, _beenisay_, 
   {{0xb302019f,0x872000e6,0x4306003c,0xf85801bb}},	//   _angalau_, _中国人居环境奖_, _روزافزون_, _doganlar_, 
   {{0xb20100bd,0x02fe043a,0xd745013d,0xec1c000a}},	//   _aweill_, _patikos_, _anonimaj_, _avaannar, 
   {{0x0e670168,0x817f00ee,0x35be0037,0xaf000110}},	//   _redaktør_, _espainol, _የተዘረጋው_, _mūžizglī, 
   {{0x7df805f8,0x529004d3,0xbc770151,0xdb6c0320}},	//   _версии_, _nchai_, _crusted_, _edominic, 
   {{0x9ecb0128,0xa37a0082,0x3c33042c,0xcdb20282}},	//   _چرایلیک_, _misalin_, _agenciju_, _ierutunu_, 
   {{0x22c4013a,0x5fbe0181,0xccd30397,0xe34f00cd}},	//   _akommes_, _inklusio, _дорову_, _codesch_, 
   {{0xe2010373,0x52cc038f,0x13040334,0xcc770040}},	//   _facila_, _kerlenn_, _akunjenj, _trusted_, 
   {{0x4291034b,0xa765032c,0x28c8018d,0x56a20291}},	//   _napau_, _aktiatig, _ተኣሚንካ_, _hidreafh, 
   {{0xfc5a0318,0xc26c05f7,0xb3f3042c,0x9c00003b}},	// [c1d0] _akataki_, _ofcom_, _posebnog_, _basubats, 
   {{0x5be1049e,0x70d903d8,0xbb1b04f8,0x93540256}},	//   _navigáci, _zaboravl, _citation_, _indekss_, 
   {{0x129101fa,0xdd430040,0x630703f8,0xa7ae0204}},	//   _kapau_, _הטניס_, _humandi_, _kantolii, 
   {{0x33ea0051,0xbfc4032d,0x75c301f1,0xd37f0007}},	//   _saites_, _егеттең_, _albasoul_, _bikamwa_, 
   {{0x914e0497,0x137a00ad,0xe26e0111,0x1eb301e1}},	//   _dictatio, _disalin_, _antone_, _clerance_, 
   {{0xd4090285,0x32b400df,0x129000fa,0xbbac00be}},	//   _amagambo_, _voici_, _aplaya_, _كەڭەشىم_, 
   {{0xb4f6005a,0x428a0053,0xdbf80219,0x878901db}},	//   _arimatlh, _ज्योती_, _atawatis, _تاسىىتاد, 
   {{0xac47022b,0x1f890205,0xb8360397,0x128e0334}},	//   _netvarp_, _сенати_, _матрах_, _chapatal, 
   {{0x627802a0,0x99b101eb,0x00000000,0x00000000}},	//   _atunse_, _corateí_, --, --, 
   {{0x7e3a035e,0x39bf001a,0x92170022,0x48ff026f}},	//   _nezabora, _munkanél, _петровск_, _ايشىلاعا, 
   {{0x5d8b021e,0x2b8c0220,0xcb9900be,0xbe830149}},	//   _beteende_, _attivato_, _базарына, _ịwulite_, 
   {{0xf2000362,0x338701e6,0x32d90206,0x814d0137}},	//   _bakima_, _starou_, _jazera_, _бүржээ_, 
   {{0xd2920139,0x45b0002e,0x96a201ac,0x22900110}},	//   _tapati_, _poznatom_, _brataith, _balkons_, 
   {{0x02ac01a2,0x52e9029a,0xfc9f0234,0xfcd2021b}},	//   _jādara_, _vizilan_, _ibugbẹmu_, _скажи_, 
   {{0x22c00151,0x56810157,0x02cb0464,0x74a10206}},	//   _phallic_, _हत्थे_, _bahomba_, _editovať_, 
   {{0xef9e0052,0x25e7002b,0xfb7b02cd,0xce340097}},	//   _kotoučov, _রাহমানের_, _bangaran_, _lòrìṣà_, 
   {{0xd29101da,0x3f1c0218,0x726c0205,0x6c68018d}},	// [c1e0] _hapat_, _argueswa, _afkor_, _siguroi_, 
   {{0x874e003f,0x02910138,0x8d8c00dd,0x3d5700cb}},	//   _undiscov, _kapat_, _awtomata, _бадгуи_, 
   {{0x2d8b01a7,0x29f7031a,0xe02101d5,0xa1560664}},	//   _европы_, _bristead, _hidegfro, _अतुल्य_, 
   {{0x1eb0020e,0xa9fa03b9,0xf3eb00db,0x00000000}},	//   _laesense_, _masisana_, _saates_, --, 
   {{0x6cf70235,0xc3ee041e,0x9437038a,0x037c0313}},	//   _बालकाः_, _battelli_, _chikinak, _nuvaqbe_, 
   {{0x12ca0583,0x2d89021c,0xd3d20271,0xe74e021b}},	//   _želeli_, _polohova, _forminsk, _брови_, 
   {{0x432100be,0x71530059,0x00000000,0x00000000}},	//   _ئشتەيبى_, _consento, --, --, 
   {{0xdd2000c5,0xd27803ef,0xacfa00fd,0x476e00ce}},	//   _政府工作报告_, _atunze_, _bardachd_, _louverti, 
   {{0x2b820338,0x1a1401f7,0xfb76007e,0x00000000}},	//   _avantdar, _checkuse, _drushtva_, --, 
   {{0x83ea0245,0xe364003a,0xd3070025,0x6a890054}},	//   _jintah_, _chegara_, _बोलिविया_, _hikimars, 
   {{0x120e03b8,0x8b0c0238,0x16c50349,0x9d7f00da}},	//   _талай_, _судно_, _alibrati, _stimulea, 
   {{0x2a6f00b4,0xecfa0528,0xb9ca0148,0xc292021b}},	//   _alegerea_, _fardachd_, _conviviu, _tapasi_, 
   {{0x1438018d,0x92780200,0xd4380326,0xeb19016a}},	//   _ተሰኪሞም_, _ntunye_, _chakanak, _demandon_, 
   {{0xf20000e4,0xb25b02dd,0xf3030014,0xaeab018f}},	//   _paliwo_, _bhalek_, _doganat_, _pemejnes_, 
   {{0x3d570255,0xf9fb0032,0xb38b00bb,0x7d870348}},	//   _सिंगार_, _dajunchu, _gárda_, _atambula, 
   {{0x538701b9,0xfc6e0210,0x13cf03c3,0x2e910361}},	//   _expro_, _ararama_, _nazvan_, _айсвайн_, 
   {{0x32000082,0x634401ba,0xfd9b061b,0x7c52030b}},	// [c1f0] _hakika_, _aksepte_, _वर्षसम्म_, _abataka_, 
   {{0xfc44036e,0x2d9a04a4,0x126e00a0,0x3d1f026f}},	//   _arawaka_, _fastachd_, _fitone_, _وسىدان_, 
   {{0x6435003b,0x29e20513,0x584a0008,0xb1450040}},	//   _tematiko_, _aswitiva_, _жолку_, _בונוס_, 
   {{0xf2000337,0x162a00b4,0x7020004d,0x09e80224}},	//   _dakika_, _trandafi, _想結識一班志同道, _brottflu, 
   {{0x376e0230,0xb2fc0121,0xa3440004,0x102201e5}},	//   _kouverti, _delitos_, _eksepte_, _meedogbo, 
   {{0x27bb0036,0x33ea0488,0xac6700ad,0xd34f01db}},	//   _لمعجبينا_, _gaitas_, _nyorang_, _توڭىرەگ_, 
   {{0x93fa0454,0x730d023b,0x264a00d9,0x5bf90220}},	//   _impuzu_, _baibala_, _барахолк, _калкандж, 
   {{0xdf5c014a,0xe2fc0145,0x143e0302,0x1ee70038}},	//   _valamenn, _blogai_, _дафни_, _ваһапов_, 
   {{0x3d8902c9,0x822a02ba,0x00000000,0x00000000}},	//   _техниче_, _мохам_, --, --, 
   {{0x347c022a,0xd185017a,0x32300282,0x06460362}},	//   _begespik, _abebelel, _naamana_, _nakosekw, 
   {{0xb7ff02b2,0xbc710233,0x661e0244,0xc9dd03cc}},	//   _одного_, _aportat_, _connessi, _শিশুতোষ_, 
   {{0x82910193,0x284c00f2,0x83210611,0xe2370149}},	//   _lapak_, _iedarbīb, _krayon_, _ojuju_, 
   {{0x625b029e,0xe20003ff,0x9acb0166,0x55a703a2}},	//   _samourai_, _palivo_, _verwande, _जूझते_, 
   {{0x21270354,0xb8b2009a,0xa2910198,0x385c00bb}},	//   _матори_, _دموضوع_, _napak_, _سیفٹی_, 
   {{0x42e90183,0x83ea00d2,0x53740347,0x348602d5}},	//   _fizikan_, _rintih_, _brasilië_, _बनहारा_, 
   {{0x96820017,0x2c6000c5,0xd48503a2,0x00000000}},	//   _ह्याक_, _docteur_, _फ़रमाईश_, --, 
   {{0x4b1f02ca,0x075d00c7,0x6bfc020a,0x25e70055}},	// [c200] _مصادر_, _тарихына_, _премьері_, _ammazzà_, 
   {{0x094502a4,0xc2ca0188,0x37ec0090,0x86100037}},	//   _collocat, _zanda_, _achasung, _ከምንጊዜውም_, 
   {{0xd2bc0193,0x929100d0,0xd5510398,0xe9390226}},	//   _भरपुर_, _mapak_, _айласы_, _anamanga_, 
   {{0xe3310061,0xc2f0000b,0x906203a8,0xafba00ec}},	//   _werkelij, _aumiumi_, _helsetun, _падпольн, 
   {{0xeb230040,0x715600d7,0xb5ff007e,0x00000000}},	//   _באדמה_, _bululelo, _कालोऽयं_, --, 
   {{0x529f03db,0x23130016,0x8ee80285,0xb291024a}},	//   _kunjalo_, _שטאפל_, _adakoran, _alaaye_, 
   {{0xd1d502e2,0xf7580139,0xa4140024,0xdfb30175}},	//   _feverish_, _दुर्लभः_, _অৰিহণা_, _soutenab_, 
   {{0xdc660390,0x6f210163,0x1e0d0107,0x7628004e}},	//   _tutulub_, _tatabány, _زیستن_, _biyolohi, 
   {{0x426d03b1,0xa2cb02ac,0x8ef30235,0x0057017a}},	//   _école_, _eurodac_, _निर्मिति, _сирилик_, 
   {{0x0629037c,0xc49d019f,0x28460107,0x006705f8}},	//   _mkhitari, _kusambaz, _anglimpu, _зруйнує_, 
   {{0x3c6d03e8,0x557e01aa,0x00000000,0x00000000}},	//   _oziroma_, _egitimiz, --, --, 
   {{0x8ed40012,0xf573034c,0x426d00a5,0x00000000}},	//   _खेमटाव_, _нематода, _lesoa_, --, 
   {{0x78e90019,0x607800bc,0xfb190073,0xf02102f4}},	//   _ракеталы, _کاروانسر, _oblation_, _interfaz_, 
   {{0x92ca0054,0xe7580139,0xb3410013,0x4081006d}},	//   _wanda_, _दुर्लभं_, _قندای_, _антонаві, 
   {{0x02370149,0x623602ee,0x8dcd00bd,0x503d0244}},	//   _ajuju_, _idejn_, _appynted_, _intenzio, 
   {{0x524600ee,0x09ce0043,0x7e740189,0x15e600ba}},	//   _интернэт_, _alitwawu, _bilindiğ, _کۆبۆنه_, 
   {{0xbc310227,0x52e100ad,0x426c0155,0xd95e0022}},	// [c210] _perselis, _amonium_, _recos_, _һиҫкәнеп_, 
   {{0x26840139,0xf25a01c8,0xd25a020e,0x2ad701df}},	//   _वर्णाश्र, _kukly_, _khilik_, _postylat, 
   {{0xe36903b0,0x925b0095,0xd2da00e7,0x00000000}},	//   _singlar_, _njaluk_, _earlway_, --, 
   {{0x7e9f04a0,0x23ea005b,0x69e0044a,0x94020065}},	//   _módulos_, _naoto_, _basosola_, _getragen_, 
   {{0xf8c90378,0x98c604b2,0x322a01cd,0x826c0110}},	//   _postsmog, _magtatag, _ҷоғар_, _vecos_, 
   {{0x913000e6,0xc1e1003c,0xbc4f0258,0xc5bd03f8}},	//   _谢霆锋谢绝张柏芝, _بیسبال_, _holwert_, _masaqtah, 
   {{0x44020065,0x89f20210,0x135600a3,0x00000000}},	//   _betragen_, _avaratid, _avvegar_, --, 
   {{0xedc001db,0x6b6f03b5,0x9291037f,0xe7af035b}},	//   _جابۋشى_, _dilontar, _baxar_, _pametneg, 
   {{0x329000df,0x372c00c8,0xc6820299,0x42d00279}},	//   _achat_, _урмандар_, _ئىپلاسلى, _parlons_, 
   {{0x62900005,0xf3780082,0x20e90052,0x1acf02ed}},	//   _schau_, _kakakin_, _सत्कर्म_, _romaría_, 
   {{0xa2c50133,0xf29001ad,0x91620308,0xfbc60040}},	//   _beelahe_, _dumako_, _tinggall, _תיאבון_, 
   {{0xa1f80218,0xb6a60272,0x6ebb011e,0xde57000c}},	//   _ultiplem, _abatagay, _klasifye_, _añatehap, 
   {{0x6290029b,0x4894002b,0xce3c00c5,0x3b560026}},	//   _cliane_, _চিংড়ি_, _acoustiq, _studeren_, 
   {{0x229101ed,0x9531004a,0x63690053,0x42fc0034}},	//   _hapai_, _adreslı_, _lingkar_, _bloggi_, 
   {{0xb98d0044,0xa30107ef,0x3c5d039a,0x82910242}},	//   _מיילי_, _sudbine_, _tentram_, _baxaq_, 
   {{0xf2910125,0x33eb0255,0x62640141,0x2349002a}},	//   _sapak_, _saatis_, _shular_, _pesenti_, 
   {{0xc32a002e,0xb2ca012c,0x23bc02ac,0x2bdb00c7}},	// [c220] _prikuplj, _kando_, _نتنياهو_, _юбилейла, 
   {{0xd638048a,0x925b059b,0x58fe0381,0x6291040f}},	//   _шаралары, _khalik_, _adopting, _lapai_, 
   {{0x5f4600ca,0x53a3023b,0xec070305,0x964a0109}},	//   _passatge_, _kuapoi_, _fattigas, _कलकारखान, 
   {{0xc2ca00f7,0xfc040257,0xa1b7014e,0xb9c707ae}},	//   _lando_, _vinstri_, _високим_, _निश्चिंत_, 
   {{0x270403ce,0x79cb0421,0xa2fc03d1,0x46060161}},	//   _شناوچه_, _vereinze, _pekinas_, _страйкбо, 
   {{0x9c94018d,0x1737004d,0x53fa0227,0x0c6f00af}},	//   _ሓንጸጽቲ_, _人民申請案件處理, _sepupu_, _geirijo_, 
   {{0x516e004d,0x26d90096,0x00000000,0x00000000}},	//   _桃園縣廠商_, _bananirw, --, --, 
   {{0x13eb037c,0xca0201c1,0x9729018b,0xfa160297}},	//   _ebates_, _tetangga_, _моара_, _asfaltka_, 
   {{0x920103d8,0xe25b0066,0x9c6f00a4,0x52900263}},	//   _ispit_, _ahalik_, _podrien_, _schat_, 
   {{0x32ca0260,0x3b57015e,0xd2260291,0x82ee00b4}},	//   _cando_, _تىزىمىنە_, _شريكة_, _clinici_, 
   {{0xb2dc026a,0x5cf1005c,0x995c035b,0xf0c20148}},	//   _serekali_, _imiterer, _nadomest, _乃至無老死_, 
   {{0xd23302df,0xcda6019f,0x63b10013,0xc1f500e6}},	//   _olivenol, _kuruhusu_, _haqqi_, _懒人用品店_, 
   {{0xad6c005d,0xcdb1008b,0xb57e0306,0xf2380375}},	//   _ажрналис, _bennalaa, _balliviá, _chamani_, 
   {{0xe2b4024e,0x7555005e,0x72ca02c8,0xe3400204}},	//   _inace_, _ﻧﺎﺯﯨﻞ_, _gando_, _annetun_, 
   {{0x12900420,0xfd88003a,0x33ea01b4,0x7c1d032c}},	//   _achar_, _fermerla, _magte_, _allasior, 
   {{0x62da00cf,0xa0f100ae,0xedad0306,0xa38b014a}},	//   _museen_, _abazisho, _babilunp, _párja_, 
   {{0x42310350,0x495a0307,0x99680071,0xb32e0052}},	// [c230] _bermula_, _akanakwe, _escoffie, _अधिपत्य_, 
   {{0x937a05fd,0xda0602ba,0x00000000,0x00000000}},	//   _kawasan_, _ababelet, --, --, 
   {{0xe51d00ba,0x529005da,0x619705e2,0x9ab40140}},	//   _دارێژراو_, _echar_, _concejal, _atakihin_, 
   {{0x07a3027b,0x3c1b01f7,0x52e201e8,0xed1b02a4}},	//   _भृशादिषु_, _coloniau_, _mosibog_, _coloniae_, 
   {{0x526c0334,0x9a8b055c,0x42e20109,0x088d00d1}},	//   _maloku_, _rednings, _proteiny_, _আক্ষৰিক_, 
   {{0x3e3504a0,0x6a1d03a1,0xd21d0040,0xf616004d}},	//   _ingleses_, _избери_, _דיסקו_, _休閒事業部_, 
   {{0xc80c033e,0x8c2d0242,0x62b400a0,0x2aee0569}},	//   _алаку_, _saatlı_, _anace_, _predomis, 
   {{0x0238019f,0x0c6b015e,0x2582018c,0x00000000}},	//   _thamani_, _seguint_, _nagedach, --, 
   {{0x02ca0294,0x067500c5,0x5eb80192,0xbda200bb}},	//   _pando_, _经典艺术片_, _아름다움을_, _ناچنے_, 
   {{0x6c78034b,0x8fc30641,0xbf02032d,0x7ee00256}},	//   _arestem_, _meninger_, _икеле_, _vingrinā, 
   {{0x326c02fe,0x450a018d,0x66b4015e,0x7e73022f}},	//   _kaloku_, _ብባዕዳውያን_, _актерлор, _nesitikė, 
   {{0x02270041,0x7d870139,0x55a4022a,0xb486027b}},	//   _apoņembo, _anulomap, _ubekonsä, _पुनातु_, 
   {{0x7249028b,0x22b10430,0x72e80422,0x713900dd}},	//   _chemba_, _tendela_, _lepljenj, _gorwelio, 
   {{0x1347030f,0x12dd00f2,0x5e410061,0x00000000}},	//   _hinemoa_, _sezonai_, _마찬가지입니다_, --, 
   {{0x3290008c,0xbe350416,0xc29002ff,0x899d00d7}},	//   _schar_, _angleses_, _ladann_, _ҡанын_, 
   {{0x83a80245,0xe3b6042c,0x23040084,0x25ad02d5}},	//   _bhlalang_, _razvoda_, _ardasim_, _सनमति_, 
   {{0x7c6a0300,0x6c90004d,0x00000000,0x00000000}},	// [c240] _postavy_, _日本三菱倒了_, --, --, 
   {{0xc27404dc,0x71480272,0xe05301fc,0x233b034e}},	//   _جومله_, _abatayoo, _burrahin, _camaná_, 
   {{0xa9f00006,0xb313002a,0xaa730374,0x82120028}},	//   _hasilnya_, _gidaị_, _июлдан_, _nidhi_, 
   {{0xa20103f4,0x626701f4,0xb2d303d1,0x3291009b}},	//   _oppia_, _виллаш_, _radoši_, _areago_, 
   {{0x02a60394,0xc2f9004b,0x7e39016d,0x33a2036e}},	//   _kwaba_, _aikhona_, _مەمتىمىن_, _asipi_, 
   {{0xf94a0220,0x730e0348,0x637a04e6,0xce390064}},	//   _втория_, _akabala_, _basagin_, _vianants_, 
   {{0x22a602fa,0x23ec00c7,0xd9ca0193,0xd7c7020a}},	//   _mwaba_, _avtopoez, _perlunya_, _سورپانىڭ_, 
   {{0x12b104ce,0x2ef100db,0x9fe70350,0x12a603de}},	//   _sendela_, _मुसकी_, _አድሚኒስትሬሽ, _lwaba_, 
   {{0x164102fe,0xfa0402eb,0x8eae0287,0x00000000}},	//   _abakwavi, _генетики, _poslechn, --, 
   {{0xcddc0044,0xa3200134,0x00000000,0x00000000}},	//   _להשפיע_, _oriyin_, --, --, 
   {{0x5c78028e,0x4f73016d,0x49e5053e,0xe2e80422}},	//   _prestem_, _تېمپېرات, _kunnskap_, _cepljenj, 
   {{0xf87c0368,0xa19d0140,0x627f046b,0x09fb036c}},	//   _поставље, _ibibigay_, _boenus_, _ampandre, 
   {{0x137a05fd,0x5ee60247,0xf29002c6,0x7c530220}},	//   _tawaran_, _kalkulus_, _achap_, _lontano_, 
   {{0xa29000b0,0x3ed703d5,0xd7ab0037,0x92020498}},	//   _salaan_, _aggindys_, _የቫይረስ_, _nasich_, 
   {{0x18f001cb,0xbeab0080,0x824a02a3,0x7bd1040f}},	//   _amaphrov, _jakobsen, _besmet_, _serganči, 
   {{0x67130461,0x2e5003a0,0xd37b0371,0xe9d10145}},	//   _consistí, _dikatema, _disagio_, _абшарах_, 
   {{0xec150139,0x79e0002b,0xfcf30088,0xe69802f0}},	// [c250] _संस्थाप्, _একদমই_, _costaner, _kubetemi, 
   {{0x936701cf,0xa2910373,0x382c004a,0x4029026b}},	//   _castigam, _kreado_, _форумдаг, _tendremo, 
   {{0x43530576,0x6f64009c,0x63fa018b,0xb2900140}},	//   _مهمان_, _achallin, _masura_, _talaan_, 
   {{0x23960160,0x21570211,0x13f90133,0xbf1e0311}},	//   _turske_, _hakutulo, _bicuun_, _ዝምባሌታት_, 
   {{0xa2da03f5,0x0321016e,0xc725039f,0xec500144}},	//   _desejo_, _arayan_, _נוסדה_, _حنونه_, 
   {{0xd2f202a9,0x72ba012f,0x72920256,0xcb42014e}},	//   _якраз_, _camerad_, _istaba_, _екипе_, 
   {{0x462b0331,0xca4501ad,0x4b0b0010,0xe6d60012}},	//   _meiningi, _almenara_, _bangases, _छ्मिी_, 
   {{0x537a0266,0xd9de01a3,0x6b2c00bf,0x125e03f8}},	//   _jawapan_, _ريڊانڊين, _очищена_, _molneswi_, 
   {{0xbf4e055d,0xa8bf0287,0x43fa0165,0xa30004a4}},	//   _maksudka, _मिश्रबाट_, _kasura_, _copaidh_, 
   {{0x93cb0366,0x6b820018,0x0279019f,0x47bd03d1}},	//   _соответс, _jikojiko_, _mashairi_, _pacietīb, 
   {{0x2291024b,0x301103d0,0x4f6b00e6,0x120201b0}},	//   _creado_, _klevetan, _中华人民共和国进, _artini_, 
   {{0x1b9d018b,0xf65c029d,0xb29202f7,0xdbee0159}},	//   _кишиневе_, _носталжи, _bopang_, _нагой_, 
   {{0xa37b0034,0xb387001d,0x82ca0206,0xaa8c0169}},	//   _dagatal_, _egarde_, _fondov_, _detienen_, 
   {{0x3a850193,0xc4e80142,0x025b0203,0xfc7800cc}},	//   _निर्णयास_, _adhastāt_, _bizlex_, _trussel_, 
   {{0xf93301d1,0xac870110,0x630004df,0x00000000}},	//   _eliminat, _bezdarbu_, _dumanli_, --, 
   {{0x56d00109,0x5292001d,0x87ec0322,0x82f30010}},	//   _छिरिङ_, _ovrage_, _bahahung, _kangakhi_, 
   {{0x6c110076,0x20440407,0x83480168,0xce420251}},	// [c260] _comprei_, _unutrasn, _velferd_, _timacade_, 
   {{0xab2003b4,0x675f00ff,0x7d3a0311,0x22c5010f}},	//   _achafamb, _אזאנס_, _መሓዙትን_, _akweyesi_, 
   {{0x33ea000b,0x32920121,0xc73501c7,0x326200ac}},	//   _maota_, _estaba_, _saklamag, _školski_, 
   {{0x02910256,0xd2ea0197,0x39860326,0x6ea50156}},	//   _lapas_, _dirijan_, _akakwere, _אנסאויני, 
   {{0x52b102d8,0x52ee00da,0xae4702eb,0x342e0226}},	//   _kendala_, _planuri_, _sukaldea, _kuchimak, 
   {{0x5d3901b8,0x22910193,0x4201045d,0xf2a00172}},	//   _mobiilne_, _napas_, _nacija_, _obubuo_, 
   {{0xf31c0065,0x737f01c1,0xb3fa01fb,0xd593012a}},	//   _manchen_, _dilanda_, _rasura_, _podobnym_, 
   {{0xc49e0485,0xfa0f0008,0xf2f30315,0x96200139}},	//   _fængsel_, _апрелинд, _bangakhi_, _विचारयेत, 
   {{0x236404c3,0xd29100b2,0xf9ef00b9,0xf5630046}},	//   _nongdan_, _alaatt_, _amburadu, _مەسەلە_, 
   {{0x8b8200a1,0x42b600a4,0xe1340109,0x0a2a0153}},	//   _kikokiko_, _boscos_, _चिरञ्जीव, _メモリアル_, 
   {{0x4e41030c,0x53e80060,0x1f6f05f2,0x960f0110}},	//   _huraanit_, _үстел_, _comarcas_, _kurzemē_, 
   {{0xe730045c,0x12d00116,0x528700a2,0xca030028}},	//   _novostav, _carlins_, _hayawezi_, _dowalada_, 
   {{0xe37901c5,0x537f044a,0x7b130204,0x9bfe020f}},	//   _macalin_, _bilanda_, _alhainen_, _asinguwo_, 
   {{0x929100fa,0xb29102e7,0xc9960075,0x092f0210}},	//   _tapat_, _gapas_, _berjaste, _chemaget, 
   {{0xf4070108,0x28190192,0xf3d400c5,0x7abc0205}},	//   _walungan_, _크리스마스_, _该会员所有信息_, _клопп_, 
   {{0x8da80227,0xd0a00040,0xb9f90255,0x48f60115}},	//   _peroleha, _עצמאיים_, _tagamise, _zaharudd, 
   {{0xa7ec0089,0xa1080163,0xd31b00c7,0x92ae0039}},	// [c270] _atkazang, _moderálá, _süzen_, _диаграмм_, 
   {{0x7d9800fe,0x1eb1006a,0x0a9e0213,0xb3b10032}},	//   _feilaula, _korontan, _газпромо_, _qaqqu_, 
   {{0x14c900b8,0x723700ee,0x96a2020f,0x6e000177}},	//   _chachank, _ekimena_, _aluthoth, _осетиеи_, 
   {{0x93ea017a,0xac6800b0,0xe249012b,0x427f048e}},	//   _faiths_, _weeraro_, _chemia_, _flenas_, 
   {{0x53fa0043,0x93790326,0x854e0034,0xe2ea0308}},	//   _dawudi_, _kutanga_, _indversk, _dirikan_, 
   {{0x9c53038b,0x926102ff,0x22c60185,0x00000000}},	//   _tertawa_, _agwonomi_, _imamnar_, --, 
   {{0x25180089,0xa60a0092,0x5ab40092,0x10170128}},	//   _картонна, _のカテゴリ_, _はじめの一歩検定_, _журнални, 
   {{0x6867019b,0x3eb40149,0x04aa0158,0x7f6600ae}},	//   _органам_, _alakụba_, _सॉफ़्टवे, _arabimen, 
   {{0x12a00172,0x9c7801d9,0x3256002b,0xb2f20393}},	//   _abubuo_, _suessem_, _মুক্তা_, _užitak_, 
   {{0x529100bc,0x72910547,0xc3a20009,0xd1d70188}},	//   _papat_, _capas_, _pripni_, _нишинад_, 
   {{0x9c7d038a,0x72c50466,0x27b00331,0x31d10462}},	//   _abusuta_, _prelaze_, _torustei, _ampercay_, 
   {{0x719f0151,0x923f0178,0x33a2004f,0xc8ce02af}},	//   _bamboozl, _चराचरम्_, _esipt_, _ntiturig, 
   {{0x52ca0133,0xae0f0433,0x36fd0061,0x9eb4005e}},	//   _danda_, _monferra, _현금게임님_, _ﯰﻧﯩﯖﺪﯨﻦ_, 
   {{0x109a017e,0x8f850425,0x128b03a2,0x5c71031e}},	//   _מדריגה_, _شارپرێس_, _जिगोलो_, _udaraju_, 
   {{0x72ca011b,0x73a2004f,0xb27800da,0xed1c0153}},	//   _fanda_, _isipt_, _frunte_, _ビックカメラ_, 
   {{0x6e470370,0x1f2102aa,0xe20102a3,0x00000000}},	//   _barangda, _kataláns, _oppie_, --, 
   {{0x1213029c,0x508c032d,0x00000000,0x00000000}},	// [c280] _anthu_, _ғәрифулл, --, --, 
   {{0x5379037a,0x94350434,0x638701d9,0xc25c0014}},	//   _gutanga_, _efectivo_, _hierem_, _kadaresë_, 
   {{0x426d0193,0xde580037,0xd2cb012e,0x0eb70176}},	//   _besok_, _ባለማግኘቱ_, _berlini_, _overtage_, 
   {{0xefe7009a,0xf422005b,0x9b6304d7,0x16c704d7}},	//   _awayesen, _arubaito_, _andrésar_, _bikarmei, 
   {{0x9a990287,0x228f025b,0x3c050210,0x8db00334}},	//   _titulní_, _korporal, _cherney_, _kamganje_, 
   {{0x3c76005b,0x22fc0405,0xfc0101d4,0x8f41042d}},	//   _tilskud_, _variert_, _accupass, _dongadon, 
   {{0xf7b40184,0x14a10483,0x45b400dd,0x7af50073}},	//   _amurungi, _cruzando_, _almaenwy, _legumine, 
   {{0xf6ee0311,0x95710153,0xb4160513,0x00000000}},	//   _ኣይምኾነን_, _天空の花嫁_, _lunghelo_, --, 
   {{0x23ea0125,0xd9ce05d1,0xf25a047b,0x9c070008}},	//   _pagta_, _ligelede, _stolin_, _màrius_, 
   {{0xc2d404cc,0x331605b1,0x612901ab,0xcb700399}},	//   _daudwz_, _kedze_, _अनाथालाय_, _huhukona_, 
   {{0x80f900da,0x87e401e1,0x2e9000be,0x37ab002b}},	//   _девень_, _статьяһы, _تىيۉۉ_, _জেনেভা_, 
   {{0x3f1f024d,0x00000000,0x00000000,0x00000000}},	//   _ehlelwen, --, --, --, 
   {{0xe37900ab,0x3969005b,0x63ea00b7,0x813e000c}},	//   _putanga_, _redigere, _tagta_, _аштат_, 
   {{0xb2d900bc,0x8b8302f8,0x5a710365,0x00000000}},	//   _sugeng_, _tikitato_, _běžce_, --, 
   {{0x63dc01b2,0x130600c4,0x32c9018d,0x62910125}},	//   _crowe_, _عبدالغني_, _ንወለድና_, _sapar_, 
   {{0x443902fe,0xb8f90311,0xc0d2011b,0xb2900044}},	//   _دباران_, _ርሕራሔን_, _kofongol, _ichat_, 
   {{0x624800e0,0x5e2601b3,0x5c6c00d8,0x00000000}},	// [c290] _delmer_, _фактами_, _auguram_, --, 
   {{0x875201dd,0xe2c800ac,0x2a890151,0x920001c5}},	//   _akanahag, _izborne_, _antimoan_, _badiso_, 
   {{0x52d70608,0xb5700184,0xa3dc019a,0x00000000}},	//   _suposto_, _iritumuk, _growe_, --, 
   {{0x98da02e0,0xedb401f4,0xa8da00a6,0xaccb0037}},	//   _babusakg, _قوشون_, _babesaku, _የክብደት_, 
   {{0x7aa603ea,0x29a603f5,0x8f2102cf,0x2a6b03ff}},	//   _proximit, _proximid, _esquenta, _vagóny_, 
   {{0x43630639,0xcc900140,0xfaa1032e,0x842100f7}},	//   _singgah_, _tumulong_, _walinaks, _brabanto_, 
   {{0x826e019e,0x22000251,0x204d003e,0x00000000}},	//   _patogu_, _galiso_, _арыта_, --, 
   {{0x32910569,0xf4b40591,0x133c0143,0xc55805ce}},	//   _papar_, _sydafrik, _блузи_, _iddiası_, 
   {{0xfeb700fd,0xfe590544,0x326e0498,0x02b4030a}},	//   _aineolas_, _hoopalau_, _horory_, _anaco_, 
   {{0x90470105,0x86d80061,0x9e40002b,0x00000000}},	//   _सजिल्द_, _가지고있는_, _paragolp, --, 
   {{0x62e80318,0xabc70128,0x8b640147,0x00000000}},	//   _ameilka_, _ташланг_, _قىيۇۇعا_, --, 
   {{0x752c0119,0x357000ae,0x738700e2,0x2242016b}},	//   _oristano_, _aritumuk, _baarnt_, _khumaini_, 
   {{0x9bdf0454,0xf39605f6,0x93010163,0x899d01cc}},	//   _rigender, _fyrste_, _mutatni_, _asmadādi, 
   {{0x65e80231,0x0a80033e,0x02d9000e,0xf3f80387}},	//   _為業務需要參加_, _демириоз_, _daveci_, _moduul_, 
   {{0xc0e903f2,0x5c9d0207,0xf35e0153,0x4e16010e}},	//   _принадле, _marehemu_, _ファッション小物_, _beterina, 
   {{0x629000d2,0x551b002e,0x723603e8,0x5594012e}},	//   _tihang_, _sportsko_, _idejo_, _kiinduló, 
   {{0x60e90128,0x43dc0128,0xc9e80281,0xa34f0370}},	// [c2a0] _таомнома, _haydarov_, _baggivit, _cikeneh_, 
   {{0xb26c0103,0xad1b018d,0x7a7101e4,0x120202d9}},	//   _becoz_, _የዒንተይ_, _těžce_, _fasiga_, 
   {{0x336103f8,0xf57901e1,0x89d8018d,0xd1b30008}},	//   _bangjaj_, _наградал, _ጠቢባንን_, _دووماتتا, 
   {{0xc8f20060,0x92ef00d9,0x869e0052,0xab9102fd}},	//   _اڭداماس_, _etunimi_, _वर्तमानम, _mointeac, 
   {{0xca5a01c5,0x796d0074,0xdc520085,0xc84d0212}},	//   _hargeisa_, _asennett, _ivatuka_, _absolutu, 
   {{0xf29101aa,0x3dc502ac,0x903a0183,0xf2000251}},	//   _aaxay_, _قبعات_, _bebekoko, _taliso_, 
   {{0x69de0503,0xdc54011a,0x7c7302e5,0xc72a004d}},	//   _driftsst, _contend_, _hérava_, _國立臺灣師範大學, 
   {{0x191b0360,0x26f101fc,0x72da00b0,0x8e6e0053}},	//   _अमेरिकाक, _aftaalá_, _direen_, _luncurka, 
   {{0x9ec10159,0x1e67005a,0x59fc0313,0x8bdf01d9}},	//   _рэспублі, _chochopp, _darupchu, _gemecker, 
   {{0xf05b0282,0x2857002f,0x00000000,0x00000000}},	//   _manawapo, _imaschus_, --, --, 
   {{0xdc4e0060,0xb6820052,0xfc76030b,0xa5ba015a}},	//   _يماني_, _बिदाई_, _abarumi_, _awwaalch, 
   {{0x80c30148,0xef9900ff,0xe27300d3,0xfa7d01db}},	//   _次技術會議_, _תּושבֿים_, _pánev_, _سۇيتەمىز_, 
   {{0x7413038b,0x6f830365,0xeb3b0311,0xb2da00cf}},	//   _saksikan_, _धड्कन_, _ንብድሕሪ_, _hireen_, 
   {{0x429000cf,0xcd0703bf,0x63b40040,0xfea40436}},	//   _aadaan_, _ансамбле_, _הנמצאים_, _banjaluč, 
   {{0xd3120434,0xaacf0135,0x55170046,0x837a0082}},	//   _hombres_, _almanía_, _шерменде_, _masanin_, 
   {{0xcee8044a,0xb1630203,0x662100b4,0x968301db}},	//   _alekizan, _adtratio, _anunturi, _ىلىگىپ_, 
   {{0xdda40052,0x143000a9,0x39fd01fc,0x1053016d}},	// [c2b0] _reagovat_, _ibibondo_, _caraarat, _йетивати, 
   {{0xd2570638,0x01b9032b,0xe9320061,0xf38701b4}},	//   _føler_, _йетилсә_, _이런곳이에요_, _kaarte_, 
   {{0xe2020230,0x01dc017d,0xf3b70226,0x0f5c0227}},	//   _sutien_, _はじめての方へ_, _akuvina_, _menahann, 
   {{0xd3f90099,0x1a2c0019,0xb2910058,0x429200b9}},	//   _kagumi_, _tractame, _rapax_, _astaga_, 
   {{0x13210097,0x248000da,0x27a902fe,0xd2e30077}},	//   _asayan_, _меморией_, _دارالانش, _fiziyad_, 
   {{0xf3a2019a,0x00000000,0x00000000,0x00000000}},	//   _bumpin_, --, --, --, 
   {{0x430d0073,0x229004d8,0x00000000,0x00000000}},	//   _probara_, _kalaan_, --, --, 
   {{0xd2390396,0x324a0226,0xc990003b,0x5fbf004d}},	//   _formali_, _akumwa_, _ilahleka_, _不得不看的職場成, 
   {{0x6e270152,0x992800da,0x574e00d1,0x0c0705ab}},	//   _версиясе_, _лектурэ_, _একোখনকৈ_, _mentiros, 
   {{0x326902eb,0xbc1b0244,0x08c301f5,0x00000000}},	//   _нэхмэл_, _станах_, _menengad, --, 
   {{0xd65e0435,0xb231008a,0x9ecc0046,0xbdce0244}},	//   _филму_, _inumaga_, _subirats_, _минеш_, 
   {{0x59250461,0xe2900068,0xc59400ff,0x0dbb01f4}},	//   _parallèl, _galaan_, _העברעאיש, _shahrisa, 
   {{0xbd320432,0xb01d028b,0xbaef0381,0x1c5d02d3}},	//   _pernille_, _изырымчу, _aliences, _sorteio_, 
   {{0xf2000285,0xc2d8032a,0x3594012e,0x9f920223}},	//   _radiyo_, _ejner_, _kiindulá, _аудитаар_, 
   {{0x9290015a,0xbe4002af,0xc0cc02db,0x5c85011a}},	//   _balaan_, _baratoye_, _stronpel, _הותיר_, 
   {{0xf01d06ea,0xc6170203,0x0e53042d,0x615802e2}},	//   _vandiemz_, _calamitá, _bonbonga, _barrowbo, 
   {{0xc3fc0010,0x520001a3,0x99b50061,0x91b50242}},	// [c2c0] _abancedz, _malipo_, _무선카메라_, _batırdı_, 
   {{0xf0e20594,0x8ddb03c0,0xcc170418,0x73a300b3}},	//   _sannsynl, _psykiske_, _otopark_, _duypli_, 
   {{0xf2fe0005,0x939b0148,0x23dd0270,0x22a7040f}},	//   _mesiras_, _記住我的資訊_, _wwwww_, _заробак_, 
   {{0x93ef01a7,0xd2240092,0x17770052,0xdc18042a}},	//   _suurempi_, _さんがコメントし, _बक्सिङ_, _isesigab, 
   {{0x00000000,0x00000000,0x00000000,0x00000000}},	//   --, --, --, --, 
   {{0x8202002a,0x0941041a,0xd979037f,0xa24a027f}},	//   _ekwiti_, _innreder_, _tacikist, _ikumva_, 
   {{0x8a8a00bc,0xfec10061,0xf38003c2,0xab1f0227}},	//   _معلولان_, _연구보고서_, _aspryn_, _tekankan_, 
   {{0x27e704eb,0xd3ea02c2,0x5e670093,0x86960189}},	//   _संगरूर_, _wagte_, _сарматы_, _sepetini, 
   {{0xa26e00d6,0x82e9022a,0xa30f0120,0x8af50465}},	//   _expono_, _licinon_, _dimbato_, _predaleč_, 
   {{0x64840255,0x9278014d,0x16d20012,0xc125028d}},	//   _विराना_, _stunde_, _कहलिह_, _netwayaz_, 
   {{0x7b5601f2,0x23be0148,0x8ab8020f,0x8b6f038b}},	//   _ﺋﺎﻳﻨﯩﯔ_, _認真打怪就有筆記, _akuvanga_, _bagusnya_, 
   {{0x7f0f023a,0x68fd02c5,0xb9fd02c5,0xd511023e}},	//   _opatrova, _achangod, _achangot, _النصره_, 
   {{0x5213019d,0x97b702c4,0x8c940156,0x765e004d}},	//   _anthi_, _засилен_, _דאָדאָ_, _西班牙文大紀元_, 
   {{0x957b0020,0x42440255,0x54400169,0x030c03f6}},	//   _aikupito_, _शिवानन्द_, _বয়সের_, _kupapau_, 
   {{0x0f650062,0x224a020d,0x830300da,0x4200001e}},	//   _seraphin, _akumva_, _angajat_, _saliyo_, 
   {{0xd37f0127,0x00000000,0x00000000,0x00000000}},	//   _friouleg_, --, --, --, 
   {{0xbd8a0126,0x6c6000f6,0xc15d0277,0xb19101b2}},	// [c2d0] _старого_, _yaradıcı, _actuatio, _falconry_, 
   {{0x6a060326,0x665e010f,0x0387050a,0x00000000}},	//   _achaunza_, _иҷборӣ_, _hayret_, --, 
   {{0x8200030b,0xebca0076,0x552d0397,0xe201009f}},	//   _waliyo_, _продавни, _kwangath, _nedonoše, 
   {{0xc90500d1,0x93ea0166,0x520002ec,0x323602ee}},	//   _বিশ্বজনী, _sagte_, _taliyo_, _idejk_, 
   {{0xba7c048f,0x00000000,0x00000000,0x00000000}},	//   _kokanisa_, --, --, --, 
   {{0xe98b0378,0x00000000,0x00000000,0x00000000}},	//   _barnabøk, --, --, --, 
   {{0xcfff02d8,0x507200c5,0x72cb0287,0x8fcc02c2}},	//   _कालावधी_, _第四十四条_, _mladí_, _herinner_, 
   {{0xf757014e,0x61bf038b,0x384e0060,0x5e9b0073}},	//   _jedinstv, _tirmidzi_, _تۇرۇپسۇز_, _salutate_, 
   {{0xfa45018d,0x535703fb,0xcbac00be,0x00000000}},	//   _ንፕረሲደንት_, _studiraj, _كەڭەشىن_, --, 
   {{0x62b40088,0x53790450,0xe3790020,0xc81303bf}},	//   _inici_, _steaten_, _mutaaga_, _табындар_, 
   {{0xff1e045f,0x158601c1,0xcc5e004b,0x2a170354}},	//   _landstin, _produkny, _bortril_, _темисида_, 
   {{0x52920198,0xd2020396,0xd26d02e2,0xdc370333}},	//   _ostaja_, _futian_, _besot_, _avanzanu_, 
   {{0x726d00a7,0x624a00a9,0x82120102,0x42ad004d}},	//   _mesos_, _ukumva_, _radhi_, _宜蘭縣政府_, 
   {{0x4079018d,0x8bec01b8,0x23870282,0xd62c01da}},	//   _እምባኣር_, _अघाइलोउभ, _ararau_, _antishqi, 
   {{0x5037034f,0x81f8005a,0xfc2501eb,0x9dc40022}},	//   _بادغیس_, _didanlah_, _enteséva_, _субсид_, 
   {{0xdb4500e5,0x00000000,0x00000000,0x00000000}},	//   _бундхен_, --, --, --, 
   {{0xdddc00b8,0x4e1b00a6,0x8519030d,0x3c7101f3}},	// [c2e0] _arakisma, _awafunga, _anarello_, _potratu_, 
   {{0x486e00bf,0xa7a80378,0xa8e6019b,0x3f26003c}},	//   _пораженн, _gestirni, _заўтра_, _مگاهرتز_, 
   {{0x3b6c0045,0x1d910195,0x1638006c,0x889201db}},	//   _dostavna_, _coilltea, _akananki, _екіқабат_, 
   {{0xd59d0590,0xe6ef00e6,0x0c630667,0xc8bf0291}},	//   _өгзөгтэй_, _这条留言是通过手, _barulho_, _وأعتقد_, 
   {{0x0a3f0107,0x8601027b,0xa28701a6,0x329a0096}},	//   _شمرده_, _नियच्छति_, _maakete_, _atabigam, 
   {{0xf758000a,0x0f91004d,0x00000000,0x00000000}},	//   _assinguv, _本網站所刊載資訊_, --, --, 
   {{0xc9f80612,0x10e402ac,0xc180022c,0x00000000}},	//   _fristend, _dronuill, _dilandih_, --, 
   {{0xd146016d,0xc2a703ad,0x721203b5,0x00000000}},	//   _ساخاۋەت_, _dubbju_, _qadhi_, --, 
   {{0xf213033c,0x2e400208,0x1b33032d,0xbf090297}},	//   _eitha_, _داریووش_, _янылыкта, _dogaları, 
   {{0x32b50163,0xb84a0037,0x728d0226,0x225500d1}},	//   _vicces_, _አብረውት_, _akukula_, _আৰক্ষী_, 
   {{0x0d5a032d,0xd1d10268,0xc26d026b,0x0c060255}},	//   _почет_, _attermay_, _besos_, _korrekts, 
   {{0x0d480235,0x3331040e,0x598a0053,0xee520239}},	//   _arkasunu_, _innkrevj, _निष्पन्न_, _pokareka, 
   {{0x368c0817,0x605a04ce,0x526d00f1,0x517704cf}},	//   _मीनार_, _paradiso, _lesor_, _balandel, 
   {{0xa14e00fd,0x2f5a000e,0xa09b0040,0x12000108}},	//   _coitchio, _geophone_, _בפראג_, _baligo_, 
   {{0x78540037,0x5c7d0226,0x9aa501af,0xfc5a0119}},	//   _መስታወት_, _chisomo_, _berilỳär_, _mabulig_, 
   {{0x323602c3,0xf2020007,0x93e3038c,0xcb1800db}},	//   _oleja_, _basiya_, _kašnjenj, _punasess, 
   {{0x22b4011d,0x836f03dd,0x5365034d,0xbb5700e4}},	// [c2f0] _unici_, _fluturim, _bergaya_, _पूर्णाहु, 
   {{0xd4120439,0x10f904b4,0x23460026,0x54fb01b8}},	//   _afanelak, _mishandl, _wilders_, _चुहानी_, 
   {{0x2202018e,0xf20200a6,0x6b1904b2,0x0a05017f}},	//   _easiya_, _anokufum, _bumangon_, _attaviit, 
   {{0xa5b50046,0x72240092,0x14fb0255,0xfc2b007b}},	//   _انسايىن_, _この回答に補足を, _चटकारा_, _combovor, 
   {{0x162e0378,0xa2010231,0xf1fb0359,0x00000000}},	//   _barnalei, _appio_, _taspraak_, --, 
   {{0x9e9402c1,0xcc6e00b9,0xc53f00c7,0x82d40265}},	//   _kwamagan, _ngerasa_, _açılmaga, _borden_, 
   {{0x62c70119,0xe36200ee,0xea810272,0xf9d30338}},	//   _teplice_, _hangoak_, _abonyaab, _favoriza_, 
   {{0x92ba048f,0xf1000156,0x2da201c5,0xd3f903b4}},	//   _bondeli_, _ומזוני_, _talogala, _ataure_, 
   {{0xd2d40265,0xef4700d9,0xc3f9002b,0x8891021e}},	//   _worden_, _maksetaa, _টুয়েন্ট, _matvanor_, 
   {{0xaecd02ec,0xfd240095,0xcc0501db,0xd38005e6}},	//   _furitaan, _آبنما_, _كوپەسىڭد, _verryk_, 
   {{0x4e0f014d,0x2aab01a3,0x53ea00fa,0x00000000}},	//   _kofferra, _ڊيگھھ_, _dagta_, --, 
   {{0x9386035e,0x36a0017d,0x9051022f,0x62da01aa}},	//   _utorak_, _までにお届けしま, _ўвесь_, _earlpay_, 
   {{0x2e4a01b7,0xdc5a0264,0x0df40291,0xf82400ba}},	//   _apratiba, _kabulig_, _انكسار_, _هودرسفێڵ, 
   {{0x686e025e,0x39950094,0x49d70401,0xce130061}},	//   _gunnarsd, _تىلەۋىمى, _लोकोक्ति_, _전용쿠폰만_, 
   {{0xa675004c,0xd061047b,0xe379012d,0x837501cc}},	//   _abakambw, _dagstovn, _mulango_, _avatīrṇo_, 
   {{0x35850132,0xb26d02f3,0x559801aa,0x634901a7}},	//   _انسانوں_, _resor_, _urrently, _resepti_, 
   {{0x325b045f,0x6dc900e4,0x0ef8035d,0xdc270181}},	// [c300] _spelas_, _सत्यापन_, _privrede_, _skinfood_, 
   {{0xdf06003c,0x94770092,0x3ab40299,0x91880094}},	//   _معدود_, _ムのある記事だけ, _ئىتائىتى, _ٴومىرىڭ_, 
   {{0xe2000027,0x0e710291,0x16230156,0x0466003c}},	//   _balido_, _تخلصك_, _פיייקייט_, _diedarak, 
   {{0x0db9019b,0x722a0012,0x68b60102,0xdbc700e5}},	//   _berniuka, _esemeid_, _مرتيو_, _cemitéri, 
   {{0x02cb0334,0xcd82023a,0xbb67009b,0x330002f8}},	//   _achotsa_, _londýne_, _kaleetan_, _malaloi_, 
   {{0x338602b1,0x1c62000f,0x00000000,0x00000000}},	//   _shirye_, _savunan_, --, --, 
   {{0xb32a0126,0x62c30102,0x00000000,0x00000000}},	//   _самовряд, _unadhani_, --, --, 
   {{0x92ee008a,0xba1802c9,0x861c012c,0x00000000}},	//   _apinati_, _datorită_, _mwaminif, --, 
   {{0xdc49008d,0x8d6c0037,0x194803c9,0xd4d60031}},	//   _кредитла, _የሚወዳደሩ_, _rusmidle, _ताजिया_, 
   {{0xfc3e0045,0x01a700ba,0x1c0f0044,0x00000000}},	//   _прозвали_, _ماتۆڕی_, _honoured_, --, 
   {{0xd48503a2,0x81490195,0x2dac0026,0x00000000}},	//   _लटकाया_, _gheolach_, _veenenda, --, 
   {{0x253801fc,0x6d6702f9,0xc9d60017,0x00000000}},	//   _kibaalal_, _islandè_, _उपायको_, --, 
   {{0x2ac70092,0xfa750486,0xcd7e009a,0xf2e6030f}},	//   _お好み焼き_, _कर्नेल_, _ayilolwa, _tianara_, 
   {{0x81f20151,0x134700ff,0xdfb5020f,0x00000000}},	//   _assagagh_, _beletra_, _موږبه_, --, 
   {{0x8be902b7,0x404802fe,0xf290051d,0xef30011d}},	//   _likodoro_, _پاکستاني, _aljabr_, _avertiza, 
   {{0xd2c00297,0x1d170429,0xd09b00e6,0x00000000}},	//   _ыннан_, _mensasar, _市委副书记_, --, 
   {{0xe291005f,0x22fe00d6,0x729100ad,0x00ee00f0}},	// [c310] _capaz_, _chugam_, _mapay_, _priniesl, 
   {{0x62910230,0xf40d02ac,0x4f720468,0xf20100df}},	//   _lapay_, _يلاحظ_, _ngobunin, _clairs_, 
   {{0xa3df00d1,0x341d014e,0xf40300e6,0xa3220077}},	//   _স্নায়ুত, _написане_, _请与我们联系_, _gouyad_, 
   {{0xbf3e00a2,0xa20200d5,0xe2c9018d,0x4586032e}},	//   _آسانيءَ_, _hasina_, _ብጥሜትን_, _qhatutak, 
   {{0xdcf103a2,0x336d0492,0x11a20097,0xc26c0210}},	//   _प्रकटत_, _kreslení_, _isasọye_, _atoona_, 
   {{0xa7540463,0x85ad0401,0x3c67022a,0xd2910367}},	//   _अब्दुल्ल, _सहजता_, _glatiks_, _rapaz_, 
   {{0xdc7e04d0,0xfcf30220,0x7da40268,0x6c5301b2}},	//   _sausien_, _twitterc, _araitiwa, _blowfly_, 
   {{0xc7e5019d,0x91ce0361,0x1b9e003d,0x00000000}},	//   _anapachi, _покоренн, _caribenc, --, 
   {{0xb04c014f,0x729103fb,0x0c1b0466,0x93870333}},	//   _cenovnik_, _daljine_, _zaprepas, _azardu_, 
   {{0x228d050b,0x38ab0035,0x00000000,0x00000000}},	//   _narkoba_, _дәверенд, --, --, 
   {{0x5354015c,0xd2c50318,0x14fd0475,0x03eb00bd}},	//   _arbecht_, _foilupe_, _примерах_, _dogtag_, 
   {{0x226d0250,0x5e8d02b6,0x826e0240,0x37f00513}},	//   _rugova_, _файлдары_, _katolu_, _hlaseriw, 
   {{0x0b13046f,0xfbae011a,0x6325023a,0x00000000}},	//   _dohannen_, _עוזבים_, _bábiku_, --, 
   {{0x5c05042a,0xc2780241,0x1c7f0127,0x4d840239}},	//   _akusiti_, _duunee_, _ebestel_, _totetote_, 
   {{0x82020103,0x7a1e0162,0x973e031a,0x6c18013c}},	//   _vasina_, _бириш_, _cealsaig, _səssiz_, 
   {{0xc2e700a6,0x5c5a0226,0x477500c7,0xe27800b2}},	//   _alunika_, _bintoni_, _аганың_, _fuunee_, 
   {{0x35ec02cf,0x0e51027e,0xbe1a0119,0x3a85004d}},	// [c320] _модернит, _оставку_, _kadelika, _綜合討論區_, 
   {{0x6389018d,0x1a7e0088,0x3866061a,0x00000000}},	//   _ዘይምሱል_, _жандырып_, _रामघाट_, --, 
   {{0x4e790076,0xd2e30334,0xff6b022b,0x46600255}},	//   _молчи_, _baniche_, _avtalurn, _heakskii, 
   {{0xe86a01da,0x4b490299,0x54b202c3,0xe28201eb}},	//   _gjenocid, _تەيۋەنگە_, _prechadz, _odisimul, 
   {{0x220203b4,0x23a20020,0x6f6a03a4,0xd8a10156}},	//   _pasina_, _apipi_, _askanios_, _וווּלגאַ, 
   {{0xcc0a023b,0x025b0099,0x3cf103ef,0x49040423}},	//   _alapama_, _kuglen_, _amatorer, _strašidl, 
   {{0x43a701aa,0xff69038b,0x2f3b0133,0x02900203}},	//   _addytay_, _memberan, _dherrina, _preciosi_, 
   {{0xcc5a00f3,0xb7ca0326,0x629103d5,0x73fc009d}},	//   _yintoni_, _akaropaf, _anaase_, _sigurimi_, 
   {{0x4d9302da,0x83cf0320,0x479001ab,0xec510433}},	//   _дозволи_, _draver_, _घोड़ाक_, _mantena_, 
   {{0xad8d01ef,0xbc6f0108,0xf5320476,0x458f0066}},	//   _akumulia, _almusri_, _asingany, _sorturik, 
   {{0x0237011f,0xf520006c,0x4e3a017a,0x0b200193}},	//   _aromita_, _abangoch, _akwaisra, _सुरकोटला_, 
   {{0x63690479,0x520200b8,0x38a300a4,0x00000000}},	//   _مبلغین_, _sasina_, _медакаде, --, 
   {{0x3c760190,0x12780222,0xcf9102a5,0x0b930173}},	//   _nourish_, _jeunes_, _klientům_, _entiendo_, 
   {{0x82e90476,0x52480005,0xc4e80142,0xc27f0260}},	//   _kupinda_, _selmer_, _adhastād_, _plenos_, 
   {{0xda55008d,0x8a7c02d9,0xd5030310,0xe7840145}},	//   _августни, _evagelia_, _giollach, _krovikli, 
   {{0xbafe02c2,0xb87f0212,0x2348025f,0x727e000d}},	//   _waarneme, _ridiculu, _babengi_, _tunneb_, 
   {{0x05e202fc,0xe24a03a4,0x4f3a02f6,0x906e0040}},	// [c330] _ababiciy, _skumpa_, _punungka, _חומסקי_, 
   {{0x775601ec,0xac060013,0x327e02a4,0xce1f0156}},	//   _کارنامه_, _байрами_, _idonea_, _צוואָנצי, 
   {{0x326c005b,0x7218005a,0xa588000c,0x513a04ae}},	//   _icloud_, _biyinlaw_, _рыдбалам, _самобитн, 
   {{0x8bc3016d,0x4af4053a,0x146800a6,0x86220061}},	//   _ﺋﺎﻳﺪﺍ_, _pokrenut, _محمدظریف_, _언제부터인가_, 
   {{0x215b00c4,0x5c63009b,0x99cf010f,0xf1460281}},	//   _اڳڀرو_, _торгоно_, _ддҳбст_, _amerlaso, 
   {{0x66b40387,0xc3ce00bc,0xe20203fd,0xed9701d9}},	//   _achapụta, _sriver_, _masima_, _errenert_, 
   {{0xb2bf02e1,0xc3ea019f,0x620202eb,0x7985002b}},	//   _همسات_, _vyote_, _artian_, _অমিতাভ_, 
   {{0xdcab00b9,0xf57600c4,0xd8340092,0x323603a2}},	//   _अंतरंगात_, _هاڃيڪار_, _海外ドラマ_, _kleje_, 
   {{0x3de1032d,0xef1700b4,0x115a006c,0x43020053}},	//   _әхмәт_, _женерале_, _abafikil, _temanmu_, 
   {{0x7ae00174,0x030601be,0x8c57017c,0x1ac900ec}},	//   _tutuelet, _pixelů_, _kastade_, _funkciją_, 
   {{0x93cf03d7,0x9da7030f,0x796f0279,0xde0900af}},	//   _traver_, _huruhuru_, _rappeler_, _сокіл_, 
   {{0x574200e4,0xd1ad03cf,0xe3a90810,0x78630033}},	//   _विनिर्मा, _kazandır, _erbauung_, _scuntrad, 
   {{0x82000251,0x3282003f,0x8ca600c7,0xc2910059}},	//   _galiyo_, _maghlaw_, _байсун_, _creano_, 
   {{0xb2010114,0x026c0343,0xfb5903b5,0xe38701d5}},	//   _emails_, _hakog_, _pintunya_, _akarat_, 
   {{0x733702e5,0xf9f60294,0x732002a3,0x1291023e}},	//   _николаи_, _aisén_, _oneindig_, _anyare_, 
   {{0x8264039e,0xa6020040,0x1d9d01a3,0xb3f10011}},	//   _skular_, _סקסדאון_, _جهيڻي_, _amazire_, 
   {{0x73ac00cd,0xfc70005b,0x225a036d,0x3fc20169}},	// [c340] _gruppa_, _uppstod_, _annlan_, _পকেটে_, 
   {{0x335a00c5,0x433a008d,0xf7e8020a,0x23480085}},	//   _parfait_, _эвертон_, _жайттард, _vakevei_, 
   {{0x2250016a,0xbf6a0179,0x4e01048c,0x2d630291}},	//   _למספרם_, _zeladels_, _anheedra, _بينكما_, 
   {{0x230801bb,0xde2100e6,0x5a890418,0x00000000}},	//   _meselä_, _douleurs_, _gidiyors, --, 
   {{0xbf260044,0x67ec0476,0x8333007b,0x2379019c}},	//   _פיליפס_, _achafung, _coaxin_, _kakanfo_, 
   {{0x640a0226,0xe212006f,0xccb5005e,0xfe1803f3}},	//   _amanamiz, _hadhi_, _чушлуқ_, _levensla, 
   {{0x12120099,0xff5d032e,0xf2f101da,0x4ba402b4}},	//   _kadhi_, _unanukuń, _pasioni_, _etakhiwo_, 
   {{0x2942042f,0x7da80092,0xabe60156,0x5d87007b}},	//   _taimaaqt, _curisuta, _הבֿדלה_, _prambula, 
   {{0x629101d6,0x738701b8,0xc36703f8,0x230804a5}},	//   _klikker_, _saarte_, _lengvam_, _izabelo_, 
   {{0xe2d80380,0x9689036f,0x13dc001c,0xa8130064}},	//   _banlawz_, _učenicim, _browa_, _болжоп_, 
   {{0x6f5704bf,0xf0ef00c7,0x228800bc,0x34fb01c9}},	//   _tumačenj, _zahidull, _dilakoni_, _किनाला_, 
   {{0x662f00a6,0x737f042f,0x33dc0018,0x64ad0024}},	//   _abalingw, _tamaita_, _drowa_, _চিন্তাৰ_, 
   {{0x6fb001e8,0x9fd5000c,0x725b03d1,0x00000000}},	//   _kaulingo, _korániko_, _speles_, --, 
   {{0xc3db00d6,0xa12d01bd,0x74c801bd,0x52f50061}},	//   _ciftligi_, _жарты_, _замандар, _오그리마의_, 
   {{0x886604b9,0x1d1a000d,0xc9f400e4,0x4667027b}},	//   _bourochs_, _झिक्केमझ, _प्रवेशी_, _निषसाद_, 
   {{0xe3120461,0x8236005b,0x4a450303,0x00000000}},	//   _combats_, _pleje_, _dimetara_, --, 
   {{0xa302008a,0x0b8c020e,0xcb7d0465,0xe6d0043f}},	// [c350] _talavou_, _агентлыҡ_, _januarja_, _objasnim_, 
   {{0x2c0700b4,0xb75a0040,0x1e12004d,0x03560040}},	//   _crescut_, _הכיוון_, _健康促進學校在地, _פיקניק_, 
   {{0x6597010f,0x495e021c,0x8ae40039,0xd2cb0350}},	//   _лағзиши_, _ratolest, _argudiat, _የክረስት_, 
   {{0x23dc0285,0xa20000ea,0x604202d3,0x12d801ab}},	//   _rugwe_, _hadino_, _testemun, _suhete_, 
   {{0x1a8c0638,0x2353016d,0x96d10105,0xf841019b}},	//   _retnings, _ئۇماق_, _जनहित_, _netrukus_, 
   {{0x9613008e,0x0c0901d4,0xc97b0145,0xeaf20156}},	//   _battaxal_, _fruttuos, _pasigirt, _butonojn_, 
   {{0x6758010d,0x1fbf0086,0xda900148,0x32000016}},	//   _दुर्मिळ_, _محنتی_, _相機與攝影_, _malino_, 
   {{0xcc670040,0x6d8d0037,0x0ef200be,0xffd5018b}},	//   _scoring_, _የሳተላይት_, _فوندۇسۇن, _referinţ, 
   {{0x237903a0,0x4dac02d5,0x33870192,0x00000000}},	//   _basarwa_, _teeninda, _paarse_, --, 
   {{0x0365045e,0xf2900169,0x537d049e,0xa30d026f}},	//   _съвремен, _bogotá_, _skratke_, _كيسەڭدە_, 
   {{0xf34001c2,0x04790261,0x060500df,0x00ba0256}},	//   _vivenda_, _lastafoj, _conformé, _kombināc, 
   {{0x72c204ca,0x73a303b0,0xb5b40156,0x49e30078}},	//   _poblada_, _drepen_, _סאפארי_, _новака_, 
   {{0xb4a40044,0xf24a019f,0x12000295,0x00000000}},	//   _באשדוד_, _chumba_, _kalino_, --, 
   {{0x0ebd02ae,0xb2940245,0x03ea00a2,0x3e910128}},	//   _apsolutn, _kyrkieh_, _nyota_, _saltanat_, 
   {{0x76820255,0x934601b6,0x1e96028a,0x431702e4}},	//   _बिलाई_, _bidders_, _ٽريول_, _ghazel_, 
   {{0x425b00ed,0x7e170381,0xbb7e036a,0xdf32023a}},	//   _ibalik_, _agnetsma, _kauniter, _povetern, 
   {{0x04b100be,0x15800350,0x2fca029b,0x85200077}},	// [c360] _секундас, _dilupusk, _libidoor_, _nounouch, 
   {{0x92b402fd,0xc7140688,0xbeb90311,0x6aba0037}},	//   _anach_, _इन्सपेक्, _ተመላለስ_, _እርከኖች_, 
   {{0xf24a03b4,0x3cab0146,0x47da0037,0x78ed00e6}},	//   _shumba_, _menyelar, _እንደራሴ_, _中央人民政府_, 
   {{0x62fc030a,0x693700e6,0xc2da02fd,0x00000000}},	//   _cedidos_, _土地管理法_, _mirean_, --, 
   {{0x126c00fe,0x65da0178,0x4e470060,0x8200027b}},	//   _kakoe_, _asammūḍh, _جاڭىلماي, _balino_, 
   {{0xf1eb00c5,0xe27e0326,0x013a038b,0x4cf3004d}},	//   _输入您的搜索字词_, _adonha_, _mendidih_, _阿福的書店_, 
   {{0x44070053,0x286e00a6,0xcfc80018,0xd9040056}},	//   _anjurkan_, _izinambu, _virikoto, _angabafu, 
   {{0x22b403a1,0x5ba50265,0x5446005e,0x0134004a}},	//   _piace_, _praktisc, _چاغىتاي_, _алишның_, 
   {{0xe21306b0,0x80af0378,0xb7950299,0x02da00ee}},	//   _lithi_, _gestabók, _ئېزىزجان_, _airean_, 
   {{0x2c93015e,0xdbba0057,0xa60b0074,0xd0dd00a5}},	//   _بارات_, _በመሰኘት_, _remontti, _kuinisel, 
   {{0x036400b9,0x52ed02c2,0xedcd00c5,0x263e0320}},	//   _pingsan_, _gesinne_, _apporté_, _lahleriw, 
   {{0x505e02b5,0x4c660261,0xe65301db,0x8b92004a}},	//   _fuengsik_, _montras_, _театрлан, _сортлы_, 
   {{0x1ec102fe,0x96810109,0x320100cd,0x9dd7039e}},	//   _aninkwan, _तिनाउ_, _creiel_, _bumiljø_, 
   {{0xfc5300c9,0x525a01b8,0x52da02fd,0x54960011}},	//   _softvnn_, _poolel_, _firean_, _banaamuk, 
   {{0x3fac0224,0x915600be,0x938f01a4,0x12e9009b}},	//   _jakobsso, _تاعىچقا_, _bunyama_, _fisikoa_, 
   {{0xc278017d,0x2f2100e6,0x1866015d,0x93f40026}},	//   _grunde_, _日全国各地_, _राजघाट_, _oosten_, 
   {{0xb0b30005,0xa88202ac,0xc3800445,0xcc2b00fd}},	// [c370] _communal, _محمولة_, _entrou_, _chladhac, 
   {{0x62ca041b,0x5bba0350,0x8d690061,0xd98e02cf}},	//   _hynda_, _በመመኘት_, _자격요건은_, _кание_, 
   {{0xe24a01a4,0x2c6b02e7,0xbdb701a3,0x22ee0097}},	//   _akumba_, _sinulat_, _هٿوراڙيو, _ofofo_, 
   {{0xdcff0013,0xf51f013a,0xfbbb0305,0xa612004a}},	//   _خصوصی_, _donnesch, _হিন্ডেনব, _террабай, 
   {{0xb2ca03f0,0xdedc0061,0xc31304ca,0x4f2c03ff}},	//   _mynda_, _오픈유어북_, _amicala_, _jednoúče, 
   {{0x1c000230,0x82c3023b,0xec1903f2,0xea6e02b2}},	//   _iregilar, _laulaha_, _tunnettu_, _omsorgss, 
   {{0xefb8013a,0x224a0315,0xdca10510,0xa27e0255}},	//   _byfotofo, _ekumba_, _хĕрлĕ_, _sunnib_, 
   {{0x9daf0026,0x0ad2025c,0x59d2025c,0xfbfc0040}},	//   _가맹점가입안내_, _gestalte, _gestaltu, _בהזמנת_, 
   {{0xa20002a2,0x55ad036e,0x783a040f,0x935e004d}},	//   _talino_, _askhatañ, _veislės_, _廠商建議價_, 
   {{0x37b001af,0x929200f7,0x93a20211,0x00000000}},	//   _birenteg, _bruado_, _pumpun_, --, 
   {{0x32b4024e,0x524a02fd,0xb8ec019b,0x6fb10138}},	//   _znaci_, _chumha_, _балотных_, _öğleden_, 
   {{0xc33a01be,0x39190089,0xa380054c,0x00000000}},	//   _मच्चिदा_, _бимазала, _perfeksj, --, 
   {{0x33ac0101,0xe94c0361,0x8e6e03a2,0xe2f20145}},	//   _asupra_, _масштаба_, _गर्भस्थ_, _аксак_, 
   {{0x9eb7005b,0x26cd0262,0xc27f012c,0x29990075}},	//   _hverdage_, _аяллара_, _waende_, _berjabre, 
   {{0x71200105,0xf2ca018f,0x80290126,0xc867037c}},	//   _प्रजातिय, _chillaw_, _реформ_, _inprimis_, 
   {{0x1f6900bc,0xa6d4017f,0x4a6a0381,0x5cf00021}},	//   _sembaran, _tamakkii, _ademarks, _amaticdr, 
   {{0x6f200040,0x03d50331,0x9c670014,0x59a80037}},	// [c380] _agreemen, _samtykti_, _tentuar_, _ከፍያለው_, 
   {{0x6f870590,0x937f00d9,0xf2740315,0x0fc700b5}},	//   _мангас_, _samalta_, _ivusetel, _nemichï_, 
   {{0x5a4b0040,0x06e20322,0xa37901ad,0x63f20055}},	//   _ולילה_, _bababazw, _kumadto_, _astutoni_, 
   {{0xe27f0132,0x927a00a2,0x4c710344,0xd4e10152}},	//   _tegnap_, _masikini_, _apormat_, _абзагыз_, 
   {{0xfbcb004d,0xd27702ff,0x99c20120,0xf54d0452}},	//   _尚義路別墅_, _byenveni_, _qammaala_, _पॅनमध्ये_, 
   {{0xb316019d,0x137a0386,0xe7d30006,0x8a7d016b}},	//   _bodza_, _setahun_, _manusiaw, _alkahira_, 
   {{0xc8440040,0x134001c5,0x3fc004ad,0x3b00020f}},	//   _subunits_, _bedelka_, _manobono, _elisesit, 
   {{0x1c670067,0x5b9500aa,0x49580132,0x1b92051e}},	//   _adnuyaa_, _birisbir, _mellesle, _aplicado_, 
   {{0x33050374,0x8bdf0119,0xbe19011e,0x23ea02a2}},	//   _اولان_, _friedber, _deversma, _pantay_, 
   {{0xcb5d011d,0xd4220041,0x241d00ec,0x00000000}},	//   _лиништит_, _ухаҭа_, _sodinink, --, 
   {{0xa9bf0252,0xe2da00a4,0x72740010,0x225700b7}},	//   _lulembet, _rosell_, _avusetel, _bejerilm, 
   {{0x0e9402fa,0xd26e01e4,0x8c7403ae,0x8c710333}},	//   _rwamagan, _porody_, _fabrikk_, _andruet_, 
   {{0xcd130092,0xa2b2028e,0xb2cb019d,0x9aff003c}},	//   _おすすめリンク_, _pundaon_, _chadza_, _سولماز_, 
   {{0x5d980397,0x86980065,0xb291065f,0xf2d80127}},	//   _нестанд_, _lebensmi, _haljine_, _arhent_, 
   {{0x4d740461,0x22870298,0xc345012b,0xc8860144}},	//   _executiu_, _tīhema_, _strefie_, _sochraid, 
   {{0xe2b7037f,0xc28c0062,0x09780176,0x3e380022}},	//   _sovetlər_, _highchu_, _grundeje, _бэпэнэй_, 
   {{0xd2610176,0xbe6c0109,0xe6c002e5,0x1c07004c}},	// [c390] _misundel, _postavě_, _langconf, _bamusemb, 
   {{0x652f0244,0x4f330050,0xf20001fd,0x00000000}},	//   _supporto_, _ngiringa, _salido_, --, 
   {{0xf6380068,0xc2e90075,0x501403db,0xb98001f1}},	//   _sannadki, _reinert_, _amavolon, _rilindje, 
   {{0xe90b04e2,0xa99f0170,0xab2302f8,0x99e301ad}},	//   _pemantau, _anakhula_, _kolinitō_, _kinikita_, 
   {{0x926d011e,0x3278006e,0x82fd037c,0x425a005b}},	//   _segonn_, _duunle_, _digitis_, _ginlon_, 
   {{0xf8c7004d,0x93790028,0x7366008c,0x838602cd}},	//   _不良和違法資訊舉, _istaaga_, _congual_, _hijrar_, 
   {{0x737a0140,0x7c610050,0x72020137,0x018901c5}},	//   _basahin_, _kisunda_, _astian_, _kuqaaday_, 
   {{0x828d005a,0xe3bf00be,0xdc6b0277,0xa27c019e}},	//   _ampasvam, _الىچۇ_, _binuhat_, _kūnas_, 
   {{0x6c51002e,0x5200057f,0x306400e6,0x00000000}},	//   _kantona_, _kalibo_, _格萨拉省级地质公, --, 
   {{0xa2c5003a,0xe27204ad,0x17b70220,0x6f3e0153}},	//   _olimlar_, _bodiredi_, _василев_, _テインメントと趣, 
   {{0x424d000d,0xf806003e,0xebaf00d2,0xaa0403a4}},	//   _ममिला_, _сумкалар, _banyolan_, _eigarafe, 
   {{0xa106036d,0x2ec104bd,0x828501b2,0x2bcd00e4}},	//   _mechthil, _keoniman, _alchoal_, _राजपूतों_, 
   {{0x75ca026c,0x79c501d2,0x2c6b03bd,0xf54a027b}},	//   _中央研究院近代史, _alallata_, _ginuhat_, _पिबेदनु_, 
   {{0xc82302a8,0x383701cd,0xac0a037f,0xf9fe0307}},	//   _འགྲིམ_, _хатаре_, _akopyan_, _nesabant, 
   {{0x30c70088,0x72f30277,0x674800c7,0xe3d8004d}},	//   _баспай_, _kagipit_, _арттырга, _經濟補償金_, 
   {{0x12e2000d,0x3b8403bf,0x6c420153,0x4c180178}},	//   _logitud_, _dikopano_, _出品者の評価_, _संस्कृत्, 
   {{0x4a3b02c4,0x7879007e,0x4d2f030c,0xf2ca0034}},	// [c3a0] _студии_, _उपकरणपेट, _ministat_, _myndu_, 
   {{0xd24a0172,0xec510107,0x619702ea,0x5d920421}},	//   _akumaa_, _cantona_, _групата_, _hallenba, 
   {{0x02cd017e,0x347704c7,0x77ca0192,0x2cb6012c}},	//   _berlino_, _падежа_, _stofzuig, _مانائتي_, 
   {{0x62b40163,0x0bc60039,0x81e4014a,0xcc6b019d}},	//   _piaci_, _вируст_, _birodalm, _kabuthu_, 
   {{0x52b404fc,0x6635060b,0x8b1c01b9,0x0ab80008}},	//   _chica_, _उपाहार_, _ekspekst, _بىزگەدەگ, 
   {{0xe3dc0438,0xe3640013,0x98d20188,0x7ebd020f}},	//   _osowa_, _mingdan_, _шоҳрух_, _amandwen, 
   {{0x357800c5,0xe26c04ee,0xc9d6004a,0xeeca0326}},	//   _第四十五条_, _etoola_, _сатуда_, _chandain, 
   {{0x11fe006d,0xd2f90107,0xc2fa012c,0x1f910082}},	//   _прозы_, _نتانیاهو_, _kichina_, _gundumar_, 
   {{0xaf5b00ea,0xcaa50074,0xaca1004a,0x058d0053}},	//   _fijalian, _kotimais, _aralaşuı_, _meluangk, 
   {{0x1ce00041,0x52d400ce,0xa2480209,0x43980291}},	//   _асессиа_, _kordin_, _anomym_, _تتأكد_, 
   {{0x96cf033a,0x5640017a,0xb20101d4,0x39e2036a}},	//   _sigurtà_, _adunyisw, _accima_, _tabonaka_, 
   {{0x5dc6000a,0x62ba0277,0x1c5f0016,0x00000000}},	//   _alakkara, _kondili_, _centraj_, --, 
   {{0x7fe1000c,0xc98200ee,0xa6050279,0xdc050153}},	//   _абдалла_, _стильтэй_, _confirmé, _銀座らん月_, 
   {{0xa79404c8,0xcf4b009a,0x1a4c023c,0x0f9d00a7}},	//   _mistoqsi, _abasehla, _تجزيې_, _elperiód, 
   {{0xdc54000e,0x92900409,0xe29102ac,0xe5310297}},	//   _hartwig_, _forkert_, _ngeall_, _berellık_, 
   {{0xbda80148,0xc26c0054,0xd6a70188,0x9605003d}},	//   _agromeha, _makon_, _тачхизот, _confirmè, 
   {{0xb26c00bc,0xc2d40125,0xe27f0262,0x00000000}},	// [c3b0] _lakon_, _zordan_, _chynym_, --, 
   {{0x7386049e,0xea930263,0x0369034c,0x0b1f048a}},	//   _utorok_, _klantens, _розалина_, _بۋىرشىن_, 
   {{0x3dec00d1,0xf3f90212,0xf2d901b4,0x86090199}},	//   _পঙ্কজ_, _crause_, _oggend_, _halongvi, 
   {{0x727e0211,0xb7ab00ee,0x9ffb0126,0x00000000}},	//   _kunnes_, _titulazi, _ставити_, --, 
   {{0x605d020e,0xd841043c,0x7b7502ef,0x4adf00be}},	//   _boralipo, _contidas_, _cherebya_, _سۅلكۅباي_, 
   {{0x84850486,0xd86700c7,0x00000000,0x00000000}},	//   _व्यायम_, _аргамак_, --, --, 
   {{0x0d1d017d,0xdc5505d5,0x3c580060,0xb4ae027f}},	//   _ブログに書く_, _contene_, _قاراسىتى, _karakunk, 
   {{0x72fe00af,0xef6e0037,0xa0e903f1,0x6ab00218}},	//   _farger_, _የፎቶግራፍ_, _nepretrž, _ansverse, 
   {{0x17cd026c,0xe6330464,0x426c005b,0x00000000}},	//   _personam_, _isangani, _eakon_, --, 
   {{0xee1a0159,0x66330090,0xb5330322,0xe994020f}},	//   _батальён, _asangani, _asangany, _ګرځېدل_, 
   {{0xd26c00ac,0xdc7201ef,0x1503049a,0x52ff0416}},	//   _nakon_, _sportas_, _zastupao_, _desirar_, 
   {{0xed8a05b3,0xcdf4017a,0xd5a80037,0x93860569}},	//   _antwoord_, _эҷоди_, _ይሰጠናል_, _ukazati_, 
   {{0xd5bb01c5,0x9969017d,0x236e01be,0xcab00119}},	//   _پروانن_, _dedikere, _bruslení_, _pankalib, 
   {{0x88d70177,0xc3bf00c4,0x126c01c0,0x5e5802aa}},	//   _витали_, _بلوچن_, _bakon_, _rekondič, 
   {{0x475b0235,0x128c00e7,0x54ad002b,0xc6c30043}},	//   _parinirv, _adesblay_, _চিন্তায়_, _bamalayi, 
   {{0x3c5e0166,0x12b60445,0x3c650109,0xbb7a00e0}},	//   _vorteil_, _riscos_, _sestavu_, _geertsma_, 
   {{0x00000000,0x00000000,0x00000000,0x00000000}},	// [c3c0] --, --, --, --, 
   {{0xcb05024b,0xf5a2033e,0x6d0d0216,0x33f201ab}},	//   _pérdida_, _chokokué, _havumbir, _बकड़ीक_, 
   {{0x693303cc,0xeb060098,0xd90401c8,0x00000000}},	//   _আশায়_, _skuffels, _strašide, --, 
   {{0x0a8500ec,0xe2fe04e6,0x00000000,0x00000000}},	//   _produktą_, _burges_, --, --, 
   {{0xe2eb0291,0x45e70153,0xfb8d0100,0x336d03ab}},	//   _أثارت_, _スピリチュアルと, _oprostio_, _kreslený_, 
   {{0xff60035b,0x826c0318,0xfb08012a,0x3ea1037f}},	//   _zdraviln, _hakoo_, _sensacja_, _bağdadda_, 
   {{0xc65200a9,0xae0c017d,0x4a5403a8,0x06c502ff}},	//   _tanzaniy, _バでブログを書こ, _ব্লকবাষ্, _bèstzele_, 
   {{0xa0fe0060,0x620100dd,0xb4690107,0x5c530697}},	//   _قالپىندا_, _dreigl_, _dakenggo_, _íntimo_, 
   {{0x139a03ce,0xa97f00ee,0x00000000,0x00000000}},	//   _سستمی_, _begirale, --, --, 
   {{0x92d90331,0x02d8005b,0x1b8f004d,0x8e9b0153}},	//   _avbera_, _skjern_, _商品退換貨需知_, _キャサリン_, 
   {{0x8c290057,0x020202d9,0x72b402c2,0x74ab01d2}},	//   _ነፃነትን_, _pasila_, _houding_, _aklapaak, 
   {{0xb9e0025f,0xea140107,0x0f020076,0x32020348}},	//   _bakokoma_, _palawija_, _кортни_, _basima_, 
   {{0x8ea402e2,0x5037002f,0xf3ac019a,0x00000000}},	//   _aidtrade_, _castaman, _nipply_, --, 
   {{0xbfed00f0,0x1a3c00b4,0x438f00b3,0x60fc00c1}},	//   _hlohovec_, _турор_, _aziyada_, _दुरवर_, 
   {{0x926c028d,0xb0ee00bf,0xc21200b3,0xba90019c}},	//   _lakol_, _почитаем, _balhy_, _lobinrin_, 
   {{0x927e00a0,0x00000000,0x00000000,0x00000000}},	//   _idonka_, --, --, --, 
   {{0x5c140013,0xe2c30294,0xba47011e,0x66880010}},	// [c3d0] _بوسنی_, _abelwan_, _eksetera_, _atidluli, 
   {{0x42fc00bc,0x326c0250,0xbd3e00d6,0x99d7023c}},	//   _eshgh_, _takon_, _dealraío, _انډيوالا, 
   {{0x43fc0291,0xc3f9023e,0x029002d9,0x4716011a}},	//   _لقداسة_, _buyute_, _tamaalii_, _הסקסיות_, 
   {{0xd6530585,0x2c78000d,0xf707004b,0x501400ec}},	//   _stojkovi, _teemasid_, _хатшепсу, _finansiš, 
   {{0x226c0082,0x2e0c0023,0xb0dd02ba,0x766f03dc}},	//   _sakon_, _королевс, _akenezel, _fundarvi, 
   {{0xe39002ff,0x605100e9,0x937a0231,0x68fd04a7}},	//   _anayiti_, _lansingn, _occasio_, _engadind, 
   {{0x57b0002b,0x63000250,0x00000000,0x00000000}},	//   _রাবেয়া_, _ismajli_, --, --, 
   {{0x48f80188,0xb26e021c,0x72070120,0xd84800d9}},	//   _рухафтод, _batohu_, _qaakilti_, _чертежи_, 
   {{0x4ead015e,0x04710060,0x00000000,0x00000000}},	//   _factible_, _نەشىنشى_, --, --, 
   {{0xbe520402,0xc3a20103,0x53ce000e,0x064000ba}},	//   _dijangka, _ipapo_, _arivar_, _بکڕێت_, 
   {{0xc28b07b0,0x8cd1004f,0x8879020f,0x1f4801f3}},	//   _tyrkisk_, _bajjantu_, _beentshu, _neustale_, 
   {{0x62d4017c,0xb6ef0148,0xbfb8004d,0xba0e01a6}},	//   _fordon_, _確認入帳後寄出物, _移民開拓情形的地, _kahikāto, 
   {{0x526c0207,0x8b89003a,0xcbf8023c,0x42a7011d}},	//   _سيوستان_, _файласуф, _اوهلته_, _barbatii_, 
   {{0xe79301df,0x520203d9,0x4cd30022,0xf3f401da}},	//   _flitteri, _fasika_, _дәрүиш_, _koston_, 
   {{0xbd700047,0x9e6c002a,0x84910378,0xe770000d}},	//   _electriq, _tọsaa_, _borgarak, _elektriv, 
   {{0x0c6b0252,0x5145031a,0x5cee00e6,0x00000000}},	//   _mabunyu_, _diultadh_, _北京奥组委_, --, 
   {{0xe2dd019b,0x82820062,0x4e5403dc,0x00000000}},	// [c3e0] _gerokai_, _raghlaw_, _hovbinga, --, 
   {{0xf0f00120,0x229202ec,0x66360138,0x95ea03fe}},	//   _calaalik_, _wataan_, _efendimi, _поэмы_, 
   {{0x9c290164,0xc939020f,0x8ea9005e,0x2c390220}},	//   _йөткәлгә, _akamanga_, _ئېھسان_, _circolar, 
   {{0x198a046d,0x5c060331,0xd03e0274,0x024c0234}},	//   _ntakadza_, _vinstru_, _tiltekin, _kòìjìnnà_, 
   {{0xf74e03ae,0x698f020a,0x168a049e,0xfda701a3}},	//   _grunnreg, _адреске_, _akadémia, _ڪوٺڙي_, 
   {{0xaa3c0501,0xb04702d6,0x2788027f,0x26490361}},	//   _बहुजन_, _кекса_, _aravyuki, _гейдар_, 
   {{0x8290025e,0x6c0f0024,0x4ddf0274,0x3c1602aa}},	//   _gamall_, _কাব্যগ্ৰ, _verktaka, _peruánsk, 
   {{0x73cf00e5,0xc26c0245,0x5e450165,0x5cac0205}},	//   _gravar_, _iakob_, _limasaga, _алдандим_, 
   {{0xdb7c02e5,0xd2b500f0,0xa38003b2,0x4b430291}},	//   _ahasápa_, _inych_, _blurbs_, _بحوزته_, 
   {{0x12020165,0x725b036f,0xedf9018d,0x8904020f}},	//   _basika_, _želju_, _ድንጋጸን_, _angamafu, 
   {{0x77fd00d6,0xb05102f6,0x5d87051b,0xdaf9025b}},	//   _اتفاقية_, _panginoo, _produkce_, _heinesen_, 
   {{0x64b902c9,0x5213046d,0xb38000c3,0xc3870142}},	//   _деметра_, _gathi_, _plures_, _akarot_, 
   {{0x79cd001c,0xa87c00c7,0xba20007e,0x6202016b}},	//   _kurosawa_, _минутына_, _apacinit, _wasika_, 
   {{0x83730009,0xb2ee019f,0xa9dd0220,0x8e2d0030}},	//   _domače_, _ufanisi_, _conflitt, _tramvajs_, 
   {{0x02130412,0x234a0009,0x0da0034e,0x00000000}},	//   _bathi_, _mesecev_, _anankura, --, 
   {{0xf4d00715,0xb2dd0456,0x107d0019,0x3a900234}},	//   _देविका_, _terokai_, _жаасы_, _tobinrin_, 
   {{0x0ad303c2,0xfe01033a,0x7b3e0587,0x23470067}},	// [c3f0] _smothere, _ripetuta, _eleccion_, _dideera_, 
   {{0xe40e004d,0x1b6803dd,0x09870141,0x00000000}},	//   _比上年增長_, _talentin_, _ташламоқ, --, 
   {{0x32fc02c4,0xfb070220,0xb2a0001c,0x33030119}},	//   _pedidos_, _финанси_, _corbes_, _higamit_, 
   {{0x1292006a,0xfb430037,0x392e0061,0x750902f6}},	//   _hataon_, _በመስከረም_, _베이징올림픽_, _dumudugo_, 
   {{0x625103ab,0x13b60128,0x00000000,0x00000000}},	//   _mantinel, _қабрини_, --, --, 
   {{0x9064004d,0x9bc40153,0xfba400b6,0x62ec0156}},	//   _孛戒攻扶抆_, _トコフェロ_, _sidicamo_, _apriore_, 
   {{0x721302fe,0x438901e9,0x792002c8,0xbc090193}},	//   _yathi_, _bompimpi_, _concibid, _menpora_, 
   {{0x47f500c5,0x33ea00c0,0xfa160241,0x0380005b}},	//   _小时内到现场_, _aantay_, _darbamee, _berryz_, 
   {{0x2f2300c8,0x43ea00c0,0x20500076,0x92d70414}},	//   _bolelwan, _bantay_, _избирачк, _lipombo_, 
   {{0x7292042d,0x45a300ee,0xbc76030d,0xf6280326}},	//   _nataon_, _presentz, _spirtli_, _akangozi, 
   {{0x50f206f2,0x62b600da,0x60fe02c4,0x0c7f0193}},	//   _खंडवा_, _антериор_, _прогласи_, _पार्किंग, 
   {{0xfc5102df,0xd8670102,0xa7430206,0x1558013c}},	//   _jantina_, _بدانتظام, _kompliká, _mediası_, 
   {{0x32ca04d7,0x0213046d,0x75cb05cc,0x620001f3}},	//   _myndi_, _rathi_, _bamakhay, _vadilo_, 
   {{0x630303f8,0x09930102,0xe2c200bd,0x00000000}},	//   _dasampu_, _alikataa_, _shillin_, --, 
   {{0x237f0281,0x23f9007b,0xf07a0597,0xffad01d3}},	//   _tamatta_, _draunt_, _арадаьхн, _jacobsso, 
   {{0x51e6022b,0xe529021c,0xedba03b7,0x22fe010e}},	//   _familjum, _newyorsk, _arringba, _burgis_, 
  
   {{0x5c5b05ad,0x415b0307,0x626c0119,0x00000000}},	// [c400] _sustavi_, _singanel, _sakob_, --, 
   {{0x5c780220,0xc26c04c0,0x9e4c0369,0x8e6e0022}},	//   _народнот, _yakob_, _lunamana, _мөхтәров_, 
   {{0xe8d70244,0x039a0187,0x00000000,0x00000000}},	//   _цигари_, _законски, --, --, 
   {{0xfadf02e0,0xa52c00ba,0x786301ab,0xc19400bb}},	//   _bonesits, _تاوێک_, _एजुगा_, _جھکائے_, 
   {{0x72d50321,0x1ec302fd,0x92cb0350,0xaeb20126}},	//   _porodna_, _chanainn, _ghiffari_, _forumene_, 
   {{0x530003dd,0x26f70311,0x577803b8,0xa6d102bf}},	//   _ismaili_, _ንልኡላውነት_, _ғибратна, _ingantji, 
   {{0x32b401ac,0x8a16035b,0x5ed800bc,0x39670452}},	//   _maidrid_, _opravlja_, _bagindas_, _नायनाट_, 
   {{0xfacd0238,0xd2b30307,0x496a0620,0xa58703bf}},	//   _галичина_, _lendalo_, _detinere, _гректар_, 
   {{0x584601b8,0x220004bf,0xe1ff00c4,0x00000000}},	//   _igatahes_, _radilo_, _وڪوڙيل_, --, 
   {{0xd1db0076,0x5a9500c4,0x337103bd,0x4a7e0065}},	//   _отвора_, _سُرهاڻ_, _dagahng_, _abendess, 
   {{0x427e00ac,0x087f015c,0x135700b7,0x32f40143}},	//   _skinem_, _positiou, _bejerip_, _белоград, 
   {{0xe21c03e9,0xf4770045,0xc8f50444,0xe2fd0080}},	//   _merhum_, _геноцида_, _мусаев_, _aqqinut_, 
   {{0x72d302df,0x02e3010b,0x77a601c8,0x32b3065c}},	//   _mestilah_, _bofilwe_, _licencov, _bendalo_, 
   {{0x0bd900b3,0x6660035b,0xe28703d1,0x3c590137}},	//   _банклары, _družbeni, _izlozē_, _өмнүүр_, 
   {{0xe0e403a2,0x341701d5,0x00000000,0x00000000}},	//   _क्वींस_, _eddigiek, --, --, 
   {{0xd65202c2,0xb237053a,0xf38302d8,0x9b9200ff}},	//   _aankondi, _oluja_, _सृजनपालव, _aplikado_, 
   {{0xd27402fe,0x55e60128,0xa3220287,0x90ba0037}},	// [c410] _حواله_, _یاشلرنی_, _bohatě_, _ኢንዴክስ_, 
   {{0x1c08019b,0x9d9e0328,0xed6d0025,0x00000000}},	//   _паспаліт, _baremeje_, _ज्योतिरह, --, 
   {{0x38990239,0x76880282,0xbb4700e6,0x00000000}},	//   _ngakaunu, _ngawhewh, _市文化广播影视管, --, 
   {{0x52330430,0x724a00de,0xfb450569,0x022404c7}},	//   _hermilo_, _akumka_, _poštarin, _slikao_, 
   {{0xd58002df,0x44f2016d,0x22d900da,0x937e0416}},	//   _dilulusk, _универис, _liceal_, _vocalic_, 
   {{0x77bf0067,0x22fb00d6,0x4b9305ca,0xc8980060}},	//   _afurtami, _inchinn_, _estimado_, _سارىندار, 
   {{0xb2ca0120,0x3da502f8,0xbd3301c4,0x2d4701c8}},	//   _bandug_, _kolokaka, _derhalwe_, _panovník, 
   {{0x607400ff,0x54b503ac,0xf3a20037,0x40e5014e}},	//   _אנטעריא_, _disaksik, _campro_, _рукомет_, 
   {{0xd26c002c,0x67070584,0x037f0074,0x6318007b}},	//   _kakoa_, _hidrográ, _samasta_, _checkdm_, 
   {{0x7ea10515,0x32000160,0x3456002e,0x3efd0153}},	//   _operante_, _radimo_, _obavezan_, _ジャンル一覧_, 
   {{0x37930157,0xc2250418,0x5213019d,0xf26c010b}},	//   _स्वामीजी_, _etekli_, _kathu_, _makoa_, 
   {{0xe26c0369,0xdc4b002b,0x720001dd,0x32000205}},	//   _lakoa_, _জিওগ্রাফ, _balimo_, _amgin_, 
   {{0x32fd016e,0xa742030f,0xd2970242,0x037f0028}},	//   _geliyor_, _rarotong, _mexaniki_, _tamarta_, 
   {{0xfa5e0369,0xc64f010d,0x6af301b9,0xc363018f}},	//   _kenemaka_, _त्रिरश्म, _netralit, _janglah_, 
   {{0x32eb02df,0xdf68022a,0x12c600f0,0x4f5d0403}},	//   _fizikal_, _jenavans_, _kódex_, _firarian, 
   {{0x8c77003a,0x785f03b5,0x46800059,0x72f102ea}},	//   _bayrami_, _menampar_, _обичате_, _dipinti_, 
   {{0x19580037,0x237800da,0x426c00d7,0x9a280299}},	// [c420] _በመቶውን_, _dreapta_, _bakoa_, _تذرمذش_, 
   {{0x326100c8,0x7b97015d,0xfd150462,0x4b070076}},	//   _студенты_, _oceniono_, _overagec, _livraria_, 
   {{0x779f0135,0xc213007f,0xa86e0516,0xb9cd009b}},	//   _операсын, _bathu_, _haundbeu, _berdinke, 
   {{0xc2370398,0x296a004d,0xcd4902db,0xcd1f00e0}},	//   _pluja_, _retinere, _tarangau_, _fotoside_, 
   {{0xb3a60323,0x41b302ea,0xd0da003c,0x846303b8}},	//   _قابليت_, _доволен_, _معتضدی_, _фурманов_, 
   {{0xe27e01b6,0x158e017a,0x720d00a1,0x3ae50010}},	//   _manner_, _abadidiy, _apoharam, _bewungat, 
   {{0xf2d8033b,0xfb3300d7,0xe86f05bb,0x62df024f}},	//   _tshere_, _bomakgis, _etílé_, _veretaki_, 
   {{0x13c10074,0x636304ea,0xe9ec03f5,0xec7e005e}},	//   _сведения_, _nangbah_, _empreend, _خۇشچىراي_, 
   {{0x4e980066,0x5481012a,0xc430013d,0x32e800e0}},	//   _нацистуу, _gratuluj, _dinastio_, _boufak_, 
   {{0x24420192,0x68990162,0xb7070475,0x0201018a}},	//   _사회복지과_, _тиклиниш, _наделы_, _dreial_, 
   {{0xd27f007b,0x64aa02d4,0xd269011f,0xe6b90034}},	//   _apened_, _declerà_, _españañe_, _aukaatri, 
   {{0x237305a5,0xefa4017d,0x251102d8,0xd5280326}},	//   _volajte_, _derefter_, _देखणी_, _adhiyabh, 
   {{0x8756009a,0x87e0004d,0x00000000,0x00000000}},	//   _کارنامو_, _你是不是在做不負, --, --, 
   {{0xc29c0178,0x7b9a0065,0x89ea0087,0x0a5903dd}},	//   _apṛthakś, _unendlic, _kuhundzu, _letersia_, 
   {{0x343700a6,0x28c60012,0x1e3b00aa,0x0b510005}},	//   _anokubak, _नेनपनक_, _kamalipa, _bandunan_, 
   {{0x52d803f2,0x1200005b,0x00000000,0x00000000}},	//   _menee_, _radiko_, --, --, 
   {{0x2fa40448,0x206701d2,0x6180007a,0x67bc0205}},	// [c430] _herefter_, _alvarado, _kitabull, _мотуриди, 
   {{0xe395045f,0xf36400fa,0xe25202ad,0xaecd01cd}},	//   _tipsa_, _tingnan_, _hostitel, _anezihla, 
   {{0x927e0238,0x7c72015e,0x71c203ff,0xac8c02be}},	//   _hanner_, _indrets_, _zdvihový_, _ekstrang_, 
   {{0xc27e046f,0xf2490283,0x80380418,0x520003d9}},	//   _kanner_, _nazmeg_, _askerlik_, _vadiko_, 
   {{0x027f00a5,0x61780307,0xf1e600e6,0x23780226}},	//   _naenae_, _kubanjel, _家居博客社区_, _kubanja_, 
   {{0x8f1c0320,0xd38701d1,0x4c6700c4,0x326c0320}},	//   _ahluriwa, _charge_, _پرڪاش_, _muhoto_, 
   {{0x42fc00a5,0x7b2d055f,0x3fbe00be,0x73790318}},	//   _fakatasi_, _antalyas, _autoesco, _sipaila_, 
   {{0xb302007b,0x7321004f,0x2cdf002b,0xef310325}},	//   _stubble_, _fayyoo_, _চলিতেছে_, _aparmaya, 
   {{0xa2ad0533,0x541e039f,0xad6f0678,0xf40100ed}},	//   _مليار_, _teaspoon_, _premieta, _katuboan_, 
   {{0xa3cb03b8,0xcbb90235,0xf9680066,0x52000048}},	//   _ءﻭﺷﯩﺮﯞ_, _उल्लेखः_, _arriskue, _baliko_, 
   {{0xac9300bc,0x62d804bd,0xb0960029,0xa4520183}},	//   _داداش_, _nenee_, _ناحاڵی_, _banjinik, 
   {{0x5bf80420,0x8b31013a,0x54630158,0x00000000}},	//   _оброк_, _beschjen_, _handlarz, --, 
   {{0x4c16027b,0x83870098,0x1c6501db,0x2fc001fe}},	//   _नरश्रेष्, _skarpe_, _جىلناماد, _sanokono, 
   {{0x4bc70161,0xd7690153,0x00000000,0x00000000}},	//   _наклона_, _に記載の光ネット, --, --, 
   {{0x32e602e2,0xcc7f000e,0x99390039,0xa2640040}},	//   _bhangra_, _acusato_, _баттөрий, _מלאכותית_, 
   {{0x22b402fe,0xe34c0193,0xd2420148,0x66b40090}},	//   _thaca_, _मानून_, _語法是用來變更瀏, _achanzwi, 
   {{0x31700013,0x47930139,0x62d904cb,0x0a040226}},	// [c440] _ахлат_, _atidīrgh, _liceul_, _bakachit, 
   {{0x04dd0037,0xd1f903ac,0x5e1d048a,0xae00045f}},	//   _እሞክራለሁ_, _entahlah_, _جازباڭىز_, _arbetsta, 
   {{0x02160173,0x62ee046d,0x544b0311,0x31b00397}},	//   _ইতিহাসের_, _saintsi_, _ዝርአናዮ_, _безаволи_, 
   {{0xb73f028b,0xedfe016d,0x02d8056c,0x09e60403}},	//   _амаршәа_, _شەخىس_, _odneo_, _forohana_, 
   {{0xf2e60333,0xf27c011b,0xf2e300c5,0x9ba00084}},	//   _pianura_, _azongaki_, _logique_, _anténeu_, 
   {{0x1af80220,0x7e560444,0x674c0235,0x00000000}},	//   _esistent, _сайтан_, _dhairyav, --, 
   {{0x0f3102e6,0x6a910067,0xdee4019a,0x42bc02ed}},	//   _kinesern, _diinotas, _harigals_, _abadexo_, 
   {{0x774b0233,0x93e60105,0xff2101c5,0x6f240361}},	//   _pépiniér, _स्वादानु, _dimuqura, _англосак, 
   {{0x8292015a,0x24240311,0xd8270297,0x16b80307}},	//   _mataan_, _ሚሎሶቪች_, _fidaqär_, _lusekelw, 
   {{0x3200019b,0x586c00e6,0x65a603ab,0x636f0192}},	//   _paliko_, _中国政府网_, _drastick, _cadeautj, 
   {{0x86b702fd,0x69d801c7,0x5c6f0478,0x82cb02ee}},	//   _chrsouch, _aspektle, _aperten_, _ghadda_, 
   {{0xa79f01f1,0xbb7e011f,0xf237053a,0x7d8c03e8}},	//   _objektev, _bannersc, _oluje_, _lučka_, 
   {{0x220704d1,0x398601e6,0x627f0127,0x89df0230}},	//   _monográf, _pochopit, _ahanom_, _laptitid, 
   {{0xb2910144,0xb3f003bf,0xa27f025f,0x93ca0311}},	//   _hobair_, _diheleng_, _ebende_, _ምትኽኻእ_, 
   {{0x52f60092,0xd2920264,0x3e6d03d4,0xae180151}},	//   _不適切なレビュ_, _bataan_, _предмете_, _addecima, 
   {{0x52fc0656,0xe3f401f1,0xf0050256,0xfa4f0272}},	//   _belgio_, _postin_, _viesstrā, _akomoleb, 
   {{0x4166042f,0x16820158,0x48c700f3,0x03ea029a}},	// [c450] _kongiakl, _सरताज_, _amathang, _oditer_, 
   {{0x32e90273,0x4a9204b8,0x126c00df,0x42ba028a}},	//   _acción_, _niangtas, _facon_, _monduli_, 
   {{0x9c080046,0x296902c7,0xe3fa003d,0xb4fa0060}},	//   _بولدۇۇ_, _absolvie, _arquet_, _головкин_, 
   {{0x92fd003b,0x0e720255,0xe03b04bd,0xa8d5020a}},	//   _angafisi_, _अलम्म_, _neneluho, _كاسپتەن_, 
   {{0x753700be,0x88c700f3,0x4ea20151,0xb3e900d1}},	//   _تاماققا_, _emathang, _balthane_, _শেষডোখৰ_, 
   {{0x92fe0218,0x82000132,0x63dc0234,0x83800455}},	//   _ayerplay_, _tenisz_, _isowo_, _lourds_, 
   {{0xd2d7042b,0x7adc01a7,0xd36b02df,0x42cb0127}},	//   _odvojio_, _областно, _tingkap_, _chadda_, 
   {{0x63ea0416,0xf2bb0453,0xc34500f0,0x00000000}},	//   _editer_, _donekle_, _kurenie_, --, 
   {{0x3c3f02e4,0x1e17040f,0xf2dd018f,0x63880119}},	//   _maestà_, _назвай_, _hovoywi_, _maipatum, 
   {{0x378003fe,0xf0600312,0x400400e6,0xf7230052}},	//   _управлен, _diskouez_, _在新长征的征途上_, _प्रतीकको_, 
   {{0x3bfa01b3,0xe2c300c0,0xbeac0279,0x1d820021}},	//   _проектам, _akalain_, _dentelle_, _aramelca, 
   {{0xff7900af,0x972a013b,0xa87402fe,0x168502be}},	//   _маршруто, _bentheim_, _دباور_, _espesipi, 
   {{0x075201b2,0xa317027a,0xef9200d0,0x2a6300ad}},	//   _ironmong, _aukcije_, _diametro, _cangcaya_, 
   {{0x4e9c0040,0xe8fd03db,0xa4d7016f,0xbc5201b9}},	//   _בהשראת_, _engalind, _паркан_, _santenn_, 
   {{0xa30104d6,0x9d8700a6,0x1d7a002b,0x00000000}},	//   _ostatni_, _ahambela, _হাফিজুর_, --, 
   {{0x82640089,0xbc270420,0xea8c0780,0x9b7f03e6}},	//   _şulay_, _примери_, _åbningst, _fangeren_, 
   {{0x1eba00af,0x45e20250,0xbdee0024,0xac5200c1}},	// [c460] _prøve_, _gazetarë, _উত্তৰটো_, _दोनेक_, 
   {{0x52580119,0x10de01d5,0x8f4b006c,0x4e54018d}},	//   _podlaski_, _مسجدوں_, _abasahla, _መትንታት_, 
   {{0xb3f80298,0x453a0184,0x035200da,0x526e013a}},	//   _mahuru_, _ahananiy, _ултериор_, _gewonn_, 
   {{0x4fc20247,0x23ea0235,0x670804df,0xaf2d0114}},	//   _کانون_, _aditer_, _гарраяры, _appearin, 
   {{0x60c20022,0x031c01aa,0xca03008d,0x8c7201da}},	//   _кластары_, _alayalam, _masalada_, _endrres_, 
   {{0x99fa0030,0xe3f40390,0x2d6802d5,0x4e540311}},	//   _starptau, _dostun_, _ओह्नियो_, _መስኖታት_, 
   {{0x92130087,0xd78900d9,0xfd380024,0x50ed0156}},	//   _kathi_, _методом_, _যাযাবৰী_, _בלינדקיי, 
   {{0x757d016d,0xcc700338,0x3c8d0024,0xa2bb012d}},	//   _консулин, _andrieu_, _কেন্দ্ৰস, _reregud_, 
   {{0x829003d5,0x886600de,0x1b02037c,0xf368019b}},	//   _chiare_, _مکروه_, _thornfie, _lengvas_, 
   {{0x868c0255,0xa21302fe,0x6e470066,0x0f6400d5}},	//   _नादान_, _lathi_, _indarrea, _fanampin, 
   {{0x906800e2,0xc82701f3,0xac6700b4,0x23f8023e}},	//   _steatsbo, _orlický_, _contrar_, _dahuru_, 
   {{0xbf2a007f,0x00000000,0x00000000,0x00000000}},	//   _anatioma, --, --, --, 
   {{0x69400067,0xdce80444,0xde440054,0x62f20239}},	//   _ademsist, _персен_, _fayafaya, _takaanui_, 
   {{0xcd0f0212,0x36ce0212,0x9da4027c,0xed9a00be}},	//   _isourcec, _webpanel_, _andikawa, _eurovega, 
   {{0x3c7601c9,0x489c0193,0x569f0143,0x967102c2}},	//   _मुल्ये_, _पक्ष्याच, _margheri, _goudbrui, 
   {{0x4c93015e,0xb7120030,0x635b02ff,0x00000000}},	//   _باعام_, _blumberg, _monsenyè_, --, 
   {{0x82fd0309,0xfbc100ff,0x32b4036d,0xdc93010d}},	// [c470] _ingilis_, _פונדאמענ, _naich_, _स्तोम_, 
   {{0xa2fe025e,0x9249034b,0x4e34003e,0x4bb90097}},	//   _margar_, _ademap_, _bomangwa, _idiwọn_, 
   {{0xb8c303f0,0x69c30405,0xe201008c,0xacbf043a}},	//   _foreldru, _foreldre, _plaids_, _nemaspad_, 
   {{0x57230409,0x23730073,0x9a69018d,0x72b4007f}},	//   _dommedag, _rolante_, _መእመናን_, _baich_, 
   {{0x5db400c4,0xd487065b,0x23e50229,0x346e045e}},	//   _چوٻول_, _लियाकत_, _tətil_, _хрема_, 
   {{0x16b3036d,0xf2ec00a6,0x351f047d,0x326d019d}},	//   _càrlabha, _bprince_, _grondsch, _kugona_, 
   {{0xd2240590,0x68e30035,0x038701da,0x00000000}},	//   _tzeko_, _яусын_, _sharje_, --, 
   {{0xa8f20080,0xdc6a02f8,0xae2803b6,0x123d0037}},	//   _amigarlu, _kulupuu_, _iṣafiha_, _የዶክትሬት_, 
   {{0x4bee0056,0x735b00a9,0x32900163,0xa27e018f}},	//   _канор_, _zingana_, _adhat_, _junnis_, 
   {{0x13000639,0xc1fb036e,0xc20e02ba,0x7da701f1}},	//   _menaiki_, _allillam, _кадан_, _ekzistua, 
   {{0x9c55011c,0x04a903f3,0x62fc0256,0xcaea0312}},	//   _contane_, _schiphol_, _medijos_, _distaole, 
   {{0xe2b402b5,0xd98f0297,0x8bee022f,0x00000000}},	//   _haici_, _fatirğa_, _вагой_, --, 
   {{0x43bb04dc,0x098f02ec,0xfb620334,0x9ebe0142}},	//   _رستان_, _وتھراوِہ, _adaleker, _alaukike_, 
   {{0x93720312,0xb3380311,0x00000000,0x00000000}},	//   _votadeg_, _ብመስተን_, --, --, 
   {{0x15a001cc,0x027e0035,0x82a000b6,0xcff702eb}},	//   _रोचते_, _sannar_, _carbit_, _нисгэгч_, 
   {{0xf35b0320,0x3d780040,0x9f57032d,0x6afc03db}},	//   _ringana_, _מתעורר_, _dilaesen, _ethengis, 
   {{0xc07d0162,0xd2900320,0xc08700bc,0x69300259}},	// [c480] _қалса_, _mclain_, _معاملاتی_, _parcelhu, 
   {{0x9c5e00df,0x2fb7005e,0xd9e302a5,0x9f570107}},	//   _portail_, _ۋاسكىتبو, _अपारदर्श, _andarben, 
   {{0x18bb0037,0x97b50132,0xd3a302ac,0x1d9c0060}},	//   _በመፍታት_, _amelynek_, _دافئة_, _апарады_, 
   {{0x14d701d1,0xb2f202a5,0x9278021c,0xd3e900da}},	//   _אנציקלופ, _přitom_, _turnaj_, _мократик_, 
   {{0xbd5a0255,0xdc170301,0xac9800fc,0xcc1b0320}},	//   _समुन्दर_, _dillərdə_, _musevchu_, _mumangar, 
   {{0x0ef70450,0xed170061,0x32000321,0x967a0231}},	//   _funksjes_, _프로이트가_, _obliko_, _jumentum_, 
   {{0xcc5900b6,0x5d4f00a5,0x549100d1,0xdf4800ec}},	//   _culteeh_, _fakaauau_, _খোলাচাপৰ, _eksprese_, 
   {{0x22900142,0xc27f00f3,0xfc7c0076,0x33190122}},	//   _adhas_, _abenze_, _комерциј, _ايلام_, 
   {{0x5ae50154,0xc8870125,0xd5dc0013,0x00000000}},	//   _иудаиче_, _хатарда_, _топталга, --, 
   {{0xcbe0016e,0xc65e00bf,0x430600ee,0xef6b0092}},	//   _istekler, _говорящи, _dudarik_, _件目を表示_, 
   {{0xc1c5020e,0x9f69033e,0xd0590066,0x8498002b}},	//   _планына_, _galavern, _artistak_, _পাক্ষিক_, 
   {{0xccf8008d,0x2afc00f3,0x230104a8,0xc2fc05ab}},	//   _асрда_, _athengis, _trebale_, _pedimos_, 
   {{0x6c7500e4,0x9a45020e,0x926c03f0,0x26210145}},	//   _मुन्ने_, _dimeyara_, _alloft_, _верхнелу, 
   {{0x2c4601db,0x425a024c,0xcd0002f6,0x72d90372}},	//   _ءىستەرىڭ, _bellus_, _maitutur, _canolwr_, 
   {{0xc6c9042c,0xfcd30213,0xf7c70244,0x767f0320}},	//   _dolaskom_, _корову_, _антре_, _nameketi, 
   {{0x0c1e012d,0x0b330308,0x02da0312,0x00000000}},	//   _rispekt_, _loncatan_, _ensell_, --, 
   {{0x04ac05f4,0x038703b0,0x5e9c0224,0x987100d8}},	// [c490] _armanank, _hjarte_, _stemmnin, _antartic_, 
   {{0x625a026c,0xfee50193,0xde4d0281,0x84030343}},	//   _tellus_, _राष्ट्रा, _affaanna, _kasukaon_, 
   {{0x6b1700bc,0x42b403e0,0xc3cf05b1,0x72ed00cf}},	//   _baranmus, _saach_, _oravec_, _daanish_, 
   {{0x3c930162,0x3faa01ef,0xe3ea0287,0xb2630219}},	//   _زاپاس_, _informuo, _exoti_, _banikati_, 
   {{0x275402c2,0xbacf0012,0x4ebe04a4,0x1f4c0193}},	//   _tegnolog, _अंदरवों_, _calgacus_, _pungkasn, 
   {{0x74e601ac,0xbc6700d6,0x092800bc,0x0727012c}},	//   _جالاكسي_, _softwar_, _امریه_, _هرقسم_, 
   {{0x7268032d,0x743702f0,0xc2cb02ee,0x49bc03e6}},	//   _ditumell, _emibango_, _ghadha_, _iejendwe, 
   {{0x05ae02ee,0xb841003d,0xfae90349,0x323702ae}},	//   _prestazz, _acarnats_, _atatable, _oluji_, 
   {{0x9d4d018d,0x001b0157,0x6395029d,0x341c02ba}},	//   _ብኣስገዳድ_, _आध्यात्म_, _lipsa_, _зулми_, 
   {{0xe851009e,0xa47700f2,0x32250362,0xe9ed03b4}},	//   _encomend, _sestdien_, _asekwi_, _achikura_, 
   {{0xf27f0387,0x6b6b0031,0x266b0061,0xe2fd007a}},	//   _ebenye_, _kedokter, _불어넣어라_, _diwarisi_, 
   {{0x0cf301af,0xaf6401e8,0x284a0153,0x3a0400a7}},	//   _annalyýe, _kabalhin, _購入しました_, _желегиби, 
   {{0xd9b0026c,0x4ab703b8,0xc2a7005b,0x27ee02c5}},	//   _壹蘋果網絡_, _әуекомпа, _amebro_, _atsanang, 
   {{0xd27e0531,0x684d00be,0x860401aa,0xe11f0037}},	//   _bannor_, _ئزىلدۅۅل, _implausi, _በመጎብኘት_, 
   {{0x2283048f,0x836402a2,0x05ba0092,0x2f240423}},	//   _atikala_, _hanggan_, _今夜のお客様_, _roštu_, 
   {{0x63ea0235,0x7e4c023b,0x5e4a01b0,0x2566031e}},	//   _aditir_, _lunakana, _barangba, _obavljao_, 
   {{0xbd9700aa,0xacb1033a,0x3e500343,0x7c550247}},	// [c4a0] _diborsya, _evagriju_, _kasagula, _contone_, 
   {{0xce320199,0xf57f027f,0xc8fb04b4,0x00000000}},	//   _saigonla, _ruvumbuk, _byområde, --, 
   {{0x59de0061,0x6390032e,0x79f601d5,0x628301a4}},	//   _찾아보세요_, _thayati_, _چاکلیٹ_, _etikala_, 
   {{0x14b9009b,0x1650021e,0xda6b00e6,0x83f80259}},	//   _английн_, _artikelf, _中国早教网_, _liderlig_, 
   {{0xc290023d,0x5a4c02d4,0x35c702bf,0x3d8c0198}},	//   _chiave_, _mundiala_, _bemashey, _točko_, 
   {{0xf3870151,0x950800e6,0x0a4404ad,0x71560019}},	//   _aberil_, _提供技术支持_, _hekeetsa_, _башыга_, 
   {{0xefff006c,0x3da401fa,0x86270141,0x9fe00127}},	//   _abakatho, _fatufatu_, _mohiyati, _bahinemo, 
   {{0x3305034b,0xcb790361,0x1501004d,0x6858015e}},	//   _istatim_, _комиссию_, _中醫認為肛裂是怎, _rebaixar_, 
   {{0x429001cc,0xa2ee0196,0xf29101af,0x730102f0}},	//   _arkadr_, _fainesi_, _bugaç_, _inyatsi_, 
   {{0xcf5801e8,0xab5b014a,0x85e403d5,0xfebd020f}},	//   _estanten, _melegben_, _buccaney, _elindwen, 
   {{0xbc0e0356,0x29e0018e,0x8b72048f,0x7b79020a}},	//   _tantasis, _honisiwa_, _kolukela_, _зеренді_, 
   {{0x123b0466,0x3dfc00de,0x4afb0375,0xf3f40166}},	//   _dozvolil, _athengwa, _itagwets, _zettel_, 
   {{0x3d9200ba,0x63410045,0x11e900ba,0x3c610259}},	//   _زوڵملێکر, _hardkor_, _سۆلژنیتس, _sikrede_, 
   {{0x07d8014e,0x5a120514,0xb218010f,0x4851025c}},	//   _синдикат, _afabilit, _бонувони_, _motorrad, 
   {{0x9e4101fb,0x9dfa0045,0xc3800235,0x42830009}},	//   _paradoxe_, _стручне_, _asurau_, _stikala_, 
   {{0x2c4802c7,0xe3ea0065,0x4c9d02f0,0x1f8001bb}},	//   _antwort_, _leiter_, _imigudvu_, _bombasyn, 
   {{0x88b1046d,0x27460052,0x1340021c,0x026d005b}},	// [c4b0] _kandeled, _पर्वतारो, _modelka_, _dasog_, 
   {{0xbed60400,0x5065036a,0x9b5b017f,0xd2780358}},	//   _affiziun, _tukanigo, _edlefsen_, _mounis_, 
   {{0x139b004d,0x72fc03d1,0x69fc0322,0x8fc80452}},	//   _假如今天某位網友, _spriest_, _bakitaba_, _रानफुलां, 
   {{0x308103f5,0xe3fe013f,0x72070022,0xd30403f1}},	//   _trabalho, _barnerez, _футболсы, _dopadol_, 
   {{0x1313024f,0xf7bd0080,0x00000000,0x00000000}},	//   _veicula_, _igerlali, --, --, 
   {{0x1705008d,0xfae500d1,0x1c0c0044,0x05240372}},	//   _ақшнинг_, _আনফালে_, _tempted_, _freiniwy, 
   {{0xd17400c5,0x2c7e0230,0x5cf30008,0x1eee0269}},	//   _第四十八条_, _sepsyon_, _bastoner, _desventa, 
   {{0x43810466,0x72d20428,0xbf5e007b,0x52eb029e}},	//   _brazilu_, _dogodek_, _libation, _alliamm_, 
   {{0x251a018d,0x5da400aa,0xfcce0479,0x284b03f2}},	//   _መንፈቕን_, _gatugatu_, _futómű_, _оттенок_, 
   {{0xd3640450,0xdb740008,0x3cf502cd,0x00000000}},	//   _oangean_, _سپورتچۇ_, _dantakar, --, 
   {{0x620e00a7,0xd58703ee,0x26ed012c,0x929003cf}},	//   _качан_, _postupak, _kinachow, _bozkurt_, 
   {{0x17b302f0,0xa3ea01f6,0x99fb026c,0xd9c30430}},	//   _unreserv, _heiter_, _vehicula_, _shambila_, 
   {{0x0c1501d3,0xd6810109,0x00000000,0x00000000}},	//   _sveriges, _desetiti, --, --, 
   {{0xe224057f,0x234f0169,0xcd8903dd,0x42000062}},	//   _czeka_, _অধিবেশন_, _sondazhe_, _iwhiq_, 
   {{0xd363034d,0xe2ad0144,0x38450304,0xfd16038e}},	//   _langkah_, _عليان_, _bergegar_, _प्रलंबित_, 
   {{0x92d8026c,0x0ea7010f,0x8dbf02a0,0x747d000d}},	//   _omnes_, _usolomon, _alainila, _siseriik, 
   {{0xaa600074,0xd5b800ba,0xe3f903d1,0xe50000ec}},	// [c4c0] _hallitus, _بنبڕکردن, _krauze_, _skersmuo_, 
   {{0x39f2003a,0xb5550024,0x634901c5,0xa649011b}},	//   _choragid, _এক্সৰে_, _wareegi_, _ezozelay, 
   {{0x89fc0082,0xe2a6017e,0x326d00d6,0xf290023b}},	//   _makarant, _nombro_, _gibony_, _kehau_, 
   {{0x83800281,0xc2780027,0x93e600de,0x06f700e4}},	//   _torrak_, _tounas_, _ماستری_, _पुरवाई_, 
   {{0x75300152,0xfb5a01a7,0xc2e10272,0x72fc0181}},	//   _proektın_, _kuluttua_, _afuneko_, _shogo_, 
   {{0x02370434,0x538d01a3,0x7db6068d,0x00000000}},	//   _flujo_, _ڪيلفورني, _brinchma, --, 
   {{0x85c8010b,0xf1fc01f7,0xd2d80016,0xf34200f7}},	//   _bagaetsh, _ancianam, _armeoj_, _barelon_, 
   {{0xd366001d,0x443c0290,0x5c230497,0x9dfd0321}},	//   _lingual_, _campliun_, _brisknes, _nedelova, 
   {{0x9b8d0378,0x73d7007e,0xa68d0037,0x7eac0178}},	//   _barnsbur, _anirviṇṇ, _ተቆጥረዋል_, _charīre_, 
   {{0x26e0025e,0xf04504e5,0x3200031a,0x7db6033d}},	//   _alfarið_, _asiriken, _fliios_, _franchma, 
   {{0x83940337,0x62b401ac,0xa7cb0545,0x427e06ba}},	//   _temsil_, _faics_, _boksamli, _sanner_, 
   {{0xff6403fd,0x279a0037,0x1c1401aa,0xd52901de}},	//   _fafagain, _አልታጡም_, _appsway_, _қарлұқта, 
   {{0x49d4039e,0x1316018e,0xc8430042,0x12000007}},	//   _সাম্ৰাজ্, _jndzo_, _contados_, _lekisa_, 
   {{0x6d350022,0x711100d1,0x996b01ab,0x00000000}},	//   _булатов_, _ওৱেবপৃষ্, _eelistat, --, 
   {{0xa82300e3,0xa29001d9,0x3f6901f7,0xf0dc0125}},	//   _འགྲིན_, _gehat_, _estatuas_, _монголыс, 
   {{0xd615003a,0x1506017a,0xceb7017a,0x7bfe02c5}},	//   _туриши_, _гуруснаг, _самбои_, _anonziwo_, 
   {{0xcda0026f,0xeae703a8,0x00000000,0x00000000}},	// [c4d0] _سونانسوڭ_, _িহচােপ_, --, --, 
   {{0x793d0187,0x786b01b8,0x72ca018f,0x69f00309}},	//   _концепто, _helistad, _javlogh_, _fikrində_, 
   {{0x238702bc,0xcc80015e,0x429000c8,0xf2aa00c4}},	//   _charle_, _белек_, _akhang_, _پرنسپال_, 
   {{0x413b0092,0x52f0013c,0x1a7101c8,0x5348036a}},	//   _マイストア_, _sazişi_, _anička_, _wilford_, 
   {{0x346100d2,0x824b00d1,0x0c5102af,0xac6502b9}},	//   _disebutk, _ছাত্ৰক_, _itituka_, _keltett_, 
   {{0xcf410015,0xb4fb07a3,0xf7f600a4,0xa279047d}},	//   _doorasha, _गिलानी_, _ырчылар_, _munneref_, 
   {{0x825003b3,0x69f402c4,0xd95f00f2,0xdc3d030f}},	//   _integrem, _aliás_, _saulgrie, _ngangahu_, 
   {{0xe3f20605,0x55bc03dc,0xf640042a,0x00000000}},	//   _atuzame_, _fiskaslø, _ilungisw, --, 
   {{0x2202034a,0x33010243,0x73f80284,0x23f4048c}},	//   _obtivo_, _ratalow_, _kloub_, _bettal_, 
   {{0x0b52033d,0x62dc032d,0x29490147,0x6e620178}},	//   _swadizan_, _bokoali_, _баскынчы, _bannānām, 
   {{0xb2b30265,0x65590135,0x43f402ee,0xc1b50052}},	//   _myadmin_, _artistı_, _dettal_, _सत्तारुढ_, 
   {{0xd7bc0065,0x366702e1,0xe2410365,0x00000000}},	//   _lebendig, _shliotán_, _भोकले_, --, 
   {{0xd72300d9,0x00000000,0x00000000,0x00000000}},	//   _тематиче, --, --, --, 
   {{0xe2d80638,0x25140479,0x33ce0486,0x436003a2}},	//   _emner_, _egyáltal, _राजविराज_, _ड्रैगन_, 
   {{0xeea604ae,0x100800ff,0x0dd90137,0xe3ac02f6}},	//   _umetnost_, _מעדעצין_, _конторын_, _aapply_, 
   {{0x6d8c02ae,0x4a8c00c5,0x1226016e,0xd1b50542}},	//   _točno_, _胶南市民政局_, _parkı_, _सत्तारूढ_, 
   {{0x7b0c01e0,0xce920045,0x93c300b5,0x2fa001bd}},	// [c4e0] _کاتیا_, _постало_, _húvol_, _дәптер_, 
   {{0x4d8c0198,0x9fe001a1,0xaaba027f,0x24810220}},	//   _ročno_, _verkoper_, _ikuvanye, _скриване_, 
   {{0x736c01ec,0xe30001d4,0x35f8022a,0xc98700ec}},	//   _bingkai_, _innanzi_, _padefomö, _сродак_, 
   {{0xba680014,0x96a00381,0x39ea0233,0x9317015e}},	//   _ሕክምናዊ_, _objectsw, _edificie, _dotze_, 
   {{0x393a01d8,0xb89603a2,0xed4d0089,0x22bb005f}},	//   _chaminda_, _उलटफेर_, _аптырашт, _ponerle_, 
   {{0xe17b023b,0x3b230040,0x920001a4,0x00000000}},	//   _makauwal, _לאדמה_, _tekisa_, --, 
   {{0x4b7c03ff,0x7f5b0103,0x1c620242,0xd43a0041}},	//   _jednoduc, _kukangan, _dostluq_, _ҧсҭазаар, 
   {{0x827e0331,0xb27e042e,0xd4f70094,0xd7440061}},	//   _kannar_, _ordne_, _جانازاسى, _최근검색시세_, 
   {{0x89050344,0xc21300fc,0xf9a20019,0xeae70290}},	//   _angalagu, _maghiq_, _كەلاتسا_, _conclütt, 
   {{0x2c8500bf,0x2df70094,0x4a8a03dd,0x835b06a2}},	//   _отличать, _بىلدىڭبە_, _perndrys, _kingana_, 
   {{0x02b50120,0x728b01b5,0xfa5c0024,0x0b0301cf}},	//   _aracay_, _dboakham, _সপোনৰ_, _estranie, 
   {{0x4afd0024,0x027f0179,0x4e5300a0,0x740b0037}},	//   _জ্যেষ্ঠ_, _ikanom_, _cancanta, _የሚከታተለው_, 
   {{0x935b0252,0x39e603ec,0xdfa70040,0x427e00e1}},	//   _lingana_, _korruptu, _שעשתה_, _gannar_, 
   {{0x92e5028f,0x00000000,0x00000000,0x00000000}},	//   _arongia_, --, --, --, 
   {{0x03790140,0xb6310403,0x8e5c01f4,0x227f016a}},	//   _matanda_, _dailynew, _globalla, _apenau_, 
   {{0xc0010247,0x48440756,0x3eff0437,0x8f920052}},	//   _فرماندار_, _खंडेलवाल_, _ulovlige_, _koberců_, 
   {{0xe603048a,0x727e02ee,0x02870294,0x615f0148}},	// [c4f0] _шекарасы, _jannar_, _alkilay_, _行政院青年輔導委, 
   {{0xaa6d0074,0x127e0024,0x8d3d0135,0xf35b0707}},	//   _последня, _dannar_, _концертл, _bingana_, 
   {{0xdd3e00df,0xab62078b,0x83b60408,0xb17e0371}},	//   _souhaite_, _नतिनी_, _alevina_, _жалби_, 
   {{0x135b0403,0x793704e5,0x7d1703fc,0xc07f0311}},	//   _dingana_, _afumbira_, _erklærte_, _ተገይሩሉ_, 
   {{0xbdae05c9,0x36090169,0xd61e02ab,0x5304008b}},	//   _kasnasda, _ক্ষমতায়_, _chegharị, _bakanam_, 
   {{0x34e000a6,0x728700ab,0x01c90126,0x1d3000de}},	//   _غلامان_, _akakite_, _гармоній, _isondele_, 
   {{0x13410453,0xef0702a9,0xa9d10065,0x829002bb}},	//   _spremna_, _гравюр_, _angefert, _kucharz_, 
   {{0x32f0053f,0x72d906a9,0xbc6301b9,0xc5fe0109}},	//   _puripch_, _exceto_, _reprime_, _आइकोनमा_, 
   {{0x32050049,0xfd2700be,0xd342029b,0x3d0504b4}},	//   _auliliki_, _уранды_, _dajeloo_, _vedlagte_, 
   {{0xb2e202d5,0x088a031f,0x642b004d,0x7f7b03a2}},	//   _loginud_, _serverer_, _不公開此筆交易內, _मज़दूरी_, 
   {{0x9d5300c3,0x52d801e8,0x8e3000bc,0x9d4a0139}},	//   _我要訂閱此部落格, _nadeem_, _pangguna, _chedyaṃ_, 
   {{0xf2fd04a4,0x34ec018d,0x7ae501bc,0xb27e0075}},	//   _aiginis_, _ብዘየማትእ_, _argumint, _fannir_, 
   {{0x4a6a02b6,0x0c6f0737,0xb37d00e4,0x631600e4}},	//   _القاسىنى, _operaen_, _pisanie_, _lidze_, 
   {{0x1b7e023b,0x53c60060,0xea0a0108,0x9678004c}},	//   _aikupika_, _орасан_, _datangna_, _baakomaw, 
   {{0x2e8b0040,0xd2b400e0,0x62b4046f,0x3a7e008a}},	//   _בהלכה_, _laach_, _baack_, _pisapisa_, 
   {{0xd0e70191,0x92bb008d,0x0ad70018,0x038902c2}},	//   _familjel, _turdagi_, _ivotavot, _haarself_, 
   {{0xa184002b,0x92e9028b,0xcaf70219,0x940e0282}},	// [c500] _উদ্দীপনা_, _kapiata_, _ikhulule, _taharāka, 
   {{0x129801f4,0x52c501a0,0x00000000,0x00000000}},	//   _سالوچیلر, _khampas_, --, --, 
   {{0x1c550101,0x42d800cf,0x00000000,0x00000000}},	//   _contine_, _gonee_, --, --, 
   {{0x22060240,0x4efb0092,0x32b403e6,0x0e3d01eb}},	//   _digitaki_, _ガニックコットン, _baach_, _herajoap, 
   {{0xa20200dc,0xdb5d0125,0x9c6e0113,0xc379013c}},	//   _patino_, _басырлып_, _teorann_, _yatanda_, 
   {{0x52b4047d,0x6dd400ce,0xd2860129,0xf2d800b2}},	//   _daach_, _leskalye_, _soshial_, _bonee_, 
   {{0x47fc03ea,0x1af1047d,0x39620227,0x93790128}},	//   _只看该作者_, _datselwe, _seangkat, _vatanda_, 
   {{0x127e0097,0x542104c0,0x8460030b,0xaaa3023c}},	//   _afonja_, _israelfo_, _bategeez, _elikhuts, 
   {{0x9300033a,0x93cf029e,0x175d000a,0x00000000}},	//   _finanzi_, _bravoc_, _enzymini, --, 
   {{0x68030109,0x839e0444,0x00000000,0x00000000}},	//   _नजिकिँदै_, _баланийн_, --, --, 
   {{0xca5f01eb,0xb14002fd,0x4c760320,0x61a5027b}},	//   _jepémo_, _cealgach_, _elorini_, _उमामहेश्, 
   {{0x5504035a,0x1e3900cd,0xcd48021c,0x00000000}},	//   _futtango_, _avanzaus_, _javorník, --, 
   {{0xfc05069c,0x32f202d8,0x993a01b3,0x12ca011f}},	//   _chorvats, _समोरच_, _мірою_, _ijidea_, 
   {{0x32e301c9,0x5e39006a,0xd5b30039,0x1c0f03ae}},	//   _parimad_, _nanandra, _йоркийн_, _leppene_, 
   {{0x6a7c030b,0x627f00a0,0xb2240258,0x7aa80061}},	//   _makanisa_, _alkhairi_, _griken_, _예외적으로_, 
   {{0x62c5033e,0x295a00c1,0x9e61004d,0xfe39006a}},	//   _chilepe_, _व्हेजिटे, _不得逾本公司公告_, _hanandra, 
   {{0x33200596,0x2c0000ca,0xdadf0392,0xf24f01a4}},	// [c510] _exiyin_, _abisses_, _inntrige, _malembem, 
   {{0xa97e02c9,0x00000000,0x00000000,0x00000000}},	//   _incheiat, --, --, --, 
   {{0x0a1400ef,0x752d0397,0x89e10215,0x398e00bb}},	//   _تبعيد_, _isinyath, _statsbud, _پاراچنار_, 
   {{0xa0be008d,0x437f0054,0x426c0073,0x75620039}},	//   _бизнесни_, _sunansa_, _jelose_, _уламбаяр_, 
   {{0x022a0169,0x0b730148,0x73f4004f,0x74330277}},	//   _দিনমজুর_, _茶窩電子報_, _bettul_, _maikonek, 
   {{0xaaf4029a,0x184a02ba,0x96ba0126,0xcf3b0418}},	//   _redeplas, _лоики_, _overopph, _ayarlana, 
   {{0xa8b5033e,0x514f0205,0x00000000,0x00000000}},	//   _boettner_, _услуб_, --, --, 
   {{0x2882009a,0x64a902b9,0x1206023c,0x00000000}},	//   _andizuku, _سےاسی_, _لالونو_, --, 
   {{0x493b0269,0x00000000,0x00000000,0x00000000}},	//   _chimenea_, --, --, --, 
   {{0xa2b4011f,0x229206e3,0xda1a018d,0x00000000}},	//   _abaco_, _sataun_, _ብዘፍቅዶ_, --, 
   {{0x235805b1,0xdc0e005b,0x225a0168,0xcfde00ff}},	//   _potrebné_, _fantasis, _gullet_, _afrikano, 
   {{0x62d80360,0x32e30004,0x470a020a,0x42b60333}},	//   _konec_, _barikad_, _جاپالاقت, _boucan_, 
   {{0xb6590450,0x3ae400d1,0xe3eb0267,0x00000000}},	//   _aksjedri, _আখতাৰৰ_, _teatar_, --, 
   {{0x4a880166,0x23790306,0xeb710204,0x00000000}},	//   _gewichts, _curanja_, _vituttaa_, --, 
   {{0xd56f018d,0x26720040,0x1fec0365,0x00000000}},	//   _ፋሕተርተር_, _מקינטוש_, _सिटौलाले_, --, 
   {{0x1b7f01c0,0x9373002e,0x77e20061,0x749e002b}},	//   _bangaren_, _nikakve_, _관리자에게_, _সুস্থতা_, 
   {{0xdd8e033e,0x7ef60297,0x36420074,0x23ea02c0}},	// [c520] _gutonasa, _барсыда_, _neliöhin, _примарни, 
   {{0xf85d00ff,0x439c03c3,0x83ea02d3,0x094a0006}},	//   _משביע_, _izlaganj, _leitor_, _meluncur_, 
   {{0xf35b05da,0xf43700ef,0x8c6b0488,0x00000000}},	//   _ninguna_, _amabango_, _metriem_, --, 
   {{0x82b104a5,0xb4e204dc,0x0b130237,0x00000000}},	//   _landela_, _کسانیخوا, _부모교육이론_, --, 
   {{0x93160087,0xc24a02c1,0xa26d0211,0xe2d80008}},	//   _andza_, _ndumva_, _tasoa_, _conec_, 
   {{0x541600ff,0x268a01f1,0xc8580222,0x267f00be}},	//   _קיבארד_, _stadiumi, _terrains_, _جەڭىشتىن_, 
   {{0xf7090576,0x78b703dc,0xfda400aa,0x27b70274}},	//   _amérika_, _listasav, _batobala, _listasaf, 
   {{0x520001e5,0x3b8003a2,0x5f2502d8,0x836900d1}},	//   _abiire_, _आईएमए_, _diperpan, _bulghur_, 
   {{0x83270391,0x7897023c,0x4c7b0035,0xd3160087}},	//   _урамда_, _خرابې_, _alınaçaq_, _endza_, 
   {{0x02da01b9,0x2460038b,0x616c0183,0xfe53038e}},	//   _aspere_, _menegask, _fetifety_, _dirangka, 
   {{0x7f2902ba,0x135f00c5,0x77540446,0xc3790239}},	//   _akathola, _obtenez_, _nositelj_, _matarua_, 
   {{0xeeba045f,0xd26c0544,0x137f03d9,0x8853051e}},	//   _annorlun, _hinoma_, _ankavia_, _insultos_, 
   {{0x83aa0448,0x34450518,0xde520227,0x705a02d3}},	//   _besvare_, _буткул_, _dikaitka, _транзици, 
   {{0xe69405a5,0x12d800e2,0xf75c03c4,0xc344023a}},	//   _umiestni, _alfen_, _чәмбирик, _stretne_, 
   {{0x2c72033a,0x626d00d8,0xe4b80088,0x00000000}},	//   _ritratt_, _cason_, _ийине_, --, 
   {{0x0b270193,0x5af502e2,0x6b3f018d,0x9cf300b7}},	//   _विश्वकरं, _pharisee, _ሽወደንን_, _arkadaýa, 
   {{0xb57a01d5,0x33f80418,0x14a20368,0xd2b3019e}},	// [c530] _برطرفی_, _olgun_, _иконе_, _raudona_, 
   {{0x926d03e3,0xad330590,0x7f56045b,0x392b0010}},	//   _fason_, _цочмог_, _напруга_, _galukhún, 
   {{0x92fd00c5,0x3f2803ab,0x00000000,0x00000000}},	//   _choisir_, _petrohra, --, --, 
   {{0x2a37014e,0x0237005b,0x8c69040e,0x430200d3}},	//   _никакве_, _kouji_, _daltrey_, _zadanou_, 
   {{0x51e203d5,0xa22403b6,0x02a706e8,0xe218018e}},	//   _artfully_, _etikun_, _hrabri_, _khukhuli_, 
   {{0x037b01c5,0xfe4b018d,0xb163017c,0x20150035}},	//   _istaago_, _ገዛውቶም_, _årsredov, _алайса_, 
   {{0x8f350024,0x46200206,0xdd050098,0x00000000}},	//   _kunstgra, _obnoveni, _bedrager, --, 
   {{0x226c00dc,0xf7280064,0x89040343,0x1c1403d9}},	//   _kelope_, _абага_, _kasayayu, _efapolo_, 
   {{0x49b101fc,0x728c03a7,0x524a006f,0xf2d80340}},	//   _bandelet, _balkón_, _ijumaa_, _teneti_, 
   {{0xdb6d0155,0x72f0005b,0xfd76011a,0xc30d01ad}},	//   _associer, _asaikei_, _ישראמקו_, _oupahat_, 
   {{0xd8b80287,0x7ee101b8,0xe36e029b,0x8272017a}},	//   _smetanov, _artiklis_, _degginu_, _ashidodi_, 
   {{0x53f8015e,0x3f080156,0xbf410197,0xf26c0159}},	//   _algun_, _בעיקינג_, _belgikon, _zinoma_, 
   {{0xe3ea04a2,0xaabd04dc,0xbd520156,0x65c100be}},	//   _reitor_, _جیاده_, _רימאנאוו_, _فەلىكس_, 
   {{0x8c6e01ad,0x33940014,0x3a25010d,0x6a0703ef}},	//   _uberaba_, _fliste_, _दक्षिणेल, _akubitwa_, 
   {{0x72910067,0x970c0238,0xb39500f6,0x59720343}},	//   _abaaru_, _монастир, _yaxsi_, _gidirekt, 
   {{0x92780245,0x820e0145,0x408300d1,0x53550487}},	//   _younis_, _шабаш_, _আত্মনিৰ্, _governs_, 
   {{0x6224002f,0xc9830315,0x27c0019a,0xac7e0176}},	// [c540] _atikun_, _etikolte, _moistifi, _evasolo_, 
   {{0xeb1002c3,0x98e20192,0x42e602a7,0x93ea025d}},	//   _prostrie, _공인중개사_, _etongin_, _geiter_, 
   {{0xcb5f0061,0x00000000,0x00000000,0x00000000}},	//   _추가적립금_, --, --, --, 
   {{0xd23b0245,0x503c0265,0x526d00ca,0xfd180178}},	//   _bhalang_, _namelijk_, _rason_, _aparidṛṣ, 
   {{0xbb1700d0,0xd91b00e6,0x4e5a00d1,0x00000000}},	//   _тандалт_, _中国体育报_, _নিয়াৰী_, --, 
   {{0xc4d0027f,0x42da0195,0x0a5501db,0x52d9013e}},	//   _aricurik, _bhreun_, _شىكەرىدە, _lageru_, 
   {{0x16120275,0x14390261,0x806100e6,0x7c000145}},	//   _faalelei, _problemo_, _résidenc, _tekstas_, 
   {{0xda370097,0xe2d801d4,0x837300b2,0x63ea02ee}},	//   _alumọni_, _tenesi_, _daganne_, _editur_, 
   {{0x326d01d8,0xfec4004d,0x9d17054c,0x5ba8009a}},	//   _naboth_, _搜尋所有網站_, _helsefar, _روزنيزې_, 
   {{0x361203f6,0xce0001c1,0x8f42017a,0x927f0059}},	//   _haalelei, _kesesata, _abashada, _scende_, 
   {{0x570901cd,0x039402ac,0x80300313,0x2c5302d5}},	//   _пешини_, _cliste_, _boleghbo, _postita_, 
   {{0xcaed0019,0x00000000,0x00000000,0x00000000}},	//   _بيكتەردە, --, --, --, 
   {{0x489a017d,0x934c015b,0x1ad501b5,0x6f33028f}},	//   _したがって_, _nesenel_, _exitarat, _kairanga, 
   {{0x48bb005b,0xff2703b7,0xf30c0040,0xf8550374}},	//   _annuller_, _adersgra, _females_, _marosimd, 
   {{0x23f80265,0x24940156,0xad870011,0x8b970291}},	//   _imgur_, _פאללאק_, _ayambula, _صابرين_, 
   {{0xd8880059,0xb26c033f,0x4c0a0158,0xd6c90205}},	//   _причиняв, _kinoha_, _kupuję_, _vasallam_, 
   {{0x0eb00244,0xe8670173,0x00000000,0x00000000}},	// [c550] _abbondan, _paisajes_, --, --, 
   {{0xa17c0310,0x5c6f0276,0xd53200cb,0xcf220133}},	//   _dachaigh_, _قويمىدى_, _abazonik, _baruumsa, 
   {{0x92e000c8,0x43ea0065,0x32e10108,0x63410007}},	//   _bonnril_, _reiter_, _baturmah_, _lupemba_, 
   {{0x25b70005,0xc213013a,0x6ec604c7,0x4aaf0235}},	//   _disposiz, _nathy_, _тактике_, _asthiras, 
   {{0x484304a7,0x8ae30033,0x4a5704ae,0x216400a7}},	//   _contidos_, _settembe, _никада_, _мэриясын, 
   {{0xafe3019f,0x596600d9,0x7f240507,0x2dbd0143}},	//   _مامتا_, _простые_, _tertemba, _chiarire_, 
   {{0x27c001b6,0x0f80017d,0xd2d802a4,0x7ec002ac}},	//   _classifi, _lancerin, _teneri_, _للثورة_, 
   {{0xfd8601da,0x686a0090,0xa6cf0455,0xd86b0009}},	//   _boterore_, _amanikid, _traversé, _jasnovid, 
   {{0xaf5d029a,0x7640042a,0x422a01ef,0x99e900e0}},	//   _desandan, _alungisw, _ходам_, _boufakke, 
   {{0x74860207,0xd963061f,0x4a1302a3,0x0159053e}},	//   _مطالبي_, _prosinac_, _romantie, _reduksjo, 
   {{0x925a044d,0xa2580044,0x6c750523,0x0f100165}},	//   _jullit_, _certainl, _हार्बर_, _tautauva, 
   {{0x72000516,0x92e3017d,0x63c802a9,0xb3ea0016}},	//   _athin_, _kemiske_, _nervų_, _evitas_, 
   {{0x3274004b,0x6dc701c4,0x00610291,0x00000000}},	//   _botsetel, _plakkate_, _ونظرا_, --, 
   {{0x76b20205,0x1394022d,0x72a800b2,0x81500095}},	//   _امبانی_, _ulisse_, _cicciram, _مجبورم_, 
   {{0x735a0224,0x12f20147,0x53010118,0xa36e029b}},	//   _selfoss_, _règim_, _alabise_, _deggunu_, 
   {{0x4a8900f5,0xcc6a0087,0xaf3200cb,0x0ff202f8}},	//   _ташланма, _makungu_, _abafunan, _sophielo, 
   {{0x5c7f01d1,0xc41a0331,0xa1a10388,0xcaa30153}},	// [c560] _january_, _kunnleik, _квартали_, _フェイバリット_, 
   {{0xb108006c,0x402c0057,0x51d103b7,0xbe3e022f}},	//   _abakulal, _menelefo, _arpeytay_, _ачышчэнь, 
   {{0x9eb30638,0x8291034a,0x9b860590,0x341d020d}},	//   _forskere_, _sexan_, _цамхаг_, _indahiro_, 
   {{0xd28800ad,0x74d20126,0xe2d602c0,0xc1090375}},	//   _mochtar_, _просторі_, _умрат_, _azikolol, 
   {{0xe86c01bb,0x92490288,0xe835027b,0x72d4046f}},	//   _маслахат_, _itamek_, _asamband, _bloosen_, 
   {{0x8236031c,0x8137014a,0x29b803b8,0xb5bb04c7}},	//   _vieja_, _testápol, _төселген_, _исламиза, 
   {{0x1eac03de,0x27aa002b,0x52fd0338,0xdc000090}},	//   _esithile_, _ক্ষেতে_, _ancians_, _chegomar, 
   {{0x7c9e0024,0xda4200c7,0x939503b0,0xc35d0363}},	//   _খাদ্যাভা, _регионар, _glaset_, _inngang_, 
   {{0x62900031,0x59f50193,0x43950119,0xc69400d1}},	//   _sehat_, _प्रवचने_, _aresto_, _টেবুলত_, 
   {{0xd8260354,0x3168004d,0x569403d5,0x00000000}},	//   _تالاغا_, _桃園市廠商_, _bladderw, --, 
   {{0x239402e1,0x93cf002e,0x7886005e,0x8379025e}},	//   _coiste_, _pravac_, _كوئىنلۇن_, _strauja_, 
   {{0x82f304d0,0x6a720300,0xe95202a4,0xf22402f8}},	//   _hakhung_, _značka_, _insolent, _ipeka_, 
   {{0xb2ca01b4,0x3c5c0005,0x1f3e015d,0x4a1800e6}},	//   _vandag_, _sustegn_, _गिरिराज_, _点击查看大图_, 
   {{0x7db90233,0xeda20211,0x60ef0274,0xc3ea04d7}},	//   _assaltat_, _ввиду_, _opinberl, _neitar_, 
   {{0x032000b0,0x81d10268,0x66a60113,0xc26d0219}},	//   _aweys_, _artenmay_, _indreabh, _ithiyori_, 
   {{0x14cd004c,0x02d90347,0xab8201f4,0x3d020211}},	//   _akacwano_, _beveg_, _grantlar, _kummalle_, 
   {{0x42ed006a,0xfc6c00c3,0x15040371,0x02c5012c}},	// [c570] _depiote_, _reducem_, _accusato_, _mpeleke_, 
   {{0x82d30278,0x74a10309,0x92d90163,0xed900060}},	//   _hartanah_, _forması_, _neved_, _кенде_, 
   {{0x8a3800ff,0x4367004f,0x021d0524,0x00000000}},	//   _געחתמעט_, _dongaam_, _rodilišt, --, 
   {{0xa3ea0257,0xfc6801a6,0xc3870370,0x00f400d1}},	//   _leitar_, _konutai_, _ajarge_, _ঘৰবোৰত_, 
   {{0xc3800434,0x12b404f8,0x626c0008,0x73ea00b5}},	//   _ocurre_, _pencil_, _retroenl, _ivoto_, 
   {{0x31de015e,0x83a701aa,0x8af5004d,0xb2b1003c}},	//   _connexió_, _andysay_, _發生重複課稅之情, _candala_, 
   {{0x70b701f4,0x139c042c,0xbd830381,0x7fc60094}},	//   _باربارا_, _današnjo, _anklyfra, _سالسەرى_, 
   {{0x32900223,0x1a86019b,0x4b2100d9,0x00000000}},	//   _behar_, _датчане_, _israelin_, --, 
   {{0x1b0903f8,0x9110033a,0xd26d013a,0x134c0077}},	//   _simplete, _ariżona_, _gedolt_, _kontwolè_, 
   {{0x0bd200aa,0x23800101,0xf394008f,0x9f640183}},	//   _hardiner, _scurte_, _poiste_, _fanamain, 
   {{0x6a6c01f0,0xdeee0445,0x00000000,0x00000000}},	//   _fetogets, _desvanta, --, --, 
   {{0x928d0212,0xb1a10064,0x23590061,0x5fac021c}},	//   _espaciam, _تەسىرەك_, _대통령에게_, _mezoneto, 
   {{0x42b5039d,0xb19c0102,0x561303a2,0x3cb10299}},	//   _tendele_, _الملڪ_, _अट्ठाइसव, _ئىزمىردا_, 
   {{0xd84501b5,0x3da40349,0xb110000a,0x4fc600ba}},	//   _egiliyad, _affirmwa, _akikilil, _سانسۆری_, 
   {{0x73db0148,0x52a7005b,0x1e900255,0xb2780446}},	//   _並無涉入租賃雙方, _ameblo_, _tartusse_, _izmijeni_, 
   {{0x1f3302fc,0x92d8015e,0x6eb8004d,0x8373021e}},	//   _abirenga, _donem_, _不但極為情緒化_, _godaste_, 
   {{0xe3bf00ac,0xb36402c2,0xdfab025b,0x7f1f02e8}},	// [c580] _zatvori_, _aangaan_, _strendur_, _avatunga, 
   {{0x1e4801f6,0xd2d40321,0x111a020f,0x9256011a}},	//   _romarane_, _ljudeh_, _ورپاتې_, _ביואיק_, 
   {{0x9a1b0157,0xf7f90060,0x977800ba,0x2bf4011a}},	//   _विशेषताओ, _بالالارع, _غوڵامی_, _coherenc, 
   {{0xe05300ef,0x930b0465,0x63fa0121,0x00000000}},	//   _پانسي_, _senzorji_, _peques_, --, 
   {{0x72d904c8,0x50e601b8,0x3e8d00a7,0x0976002b}},	//   _aqbeż_, _नगरीमे_, _سامايلۇۇ_, _লাভক্ষতি_, 
   {{0x0f5d00ea,0x3eb900df,0x3341009a,0x380f00d1}},	//   _atsangan, _maroquin, _دنفاق_, _মাহৰপৰা_, 
   {{0x75120016,0x99ed0203,0x9104009a,0x0b6400b0}},	//   _מחלוקה_, _apropria_, _amakabel, _naftaada_, 
   {{0x058f02a3,0xf25a0067,0x32b5040b,0x8394018f}},	//   _geleenth, _melles_, _sendele_, _chosay_, 
   {{0x249b0162,0x7155008d,0xe25a0488,0x0dad0291}},	//   _болалмиғ, _sovrindo, _lelles_, _اتحداك_, 
   {{0xc60d01e9,0x128700de,0x9fb30153,0xb2da0168}},	//   _bopoloti, _asokuze_, _タウンガイド_, _supert_, 
   {{0x326d0020,0x5236027e,0x9368009c,0x62d801c4}},	//   _masoa_, _alijin_, _contralm, _ronel_, 
   {{0x0a1200bb,0x037c0343,0x9f5e0064,0x00000000}},	//   _عبدالسمی, _kasamid_, _segadors_, --, 
   {{0xbb5f0090,0x6a5f0322,0x0c5c019a,0xa9d600c1}},	//   _akamukur, _akamukub, _farthin_, _पदोपदी_, 
   {{0x5e48005e,0x935d0206,0x5f630044,0x1a82000e}},	//   _سۆكۈشلەر, _rumunský_, _molasses_, _translab, 
   {{0x530401b7,0x67690025,0xc25a0258,0xdb2e0092}},	//   _vacanam_, _राज्यम्_, _jelles_, _貴族院クラブ_, 
   {{0xc36602e4,0x2257027b,0x00000000,0x00000000}},	//   _abigajl_, _निधेहि_, --, --, 
   {{0xe389052f,0xc37906ac,0x920100fe,0x324002ac}},	// [c590] _ibuyela_, _falando_, _faaife_, _الخسائر_, 
   {{0xf3f8000c,0x825a0271,0x254a021b,0xe2c90211}},	//   _rogue_, _felles_, _личностн, _tasolle_, 
   {{0x1c6001df,0xb38602eb,0x29430244,0x22f000cf}},	//   _rattles_, _osorik_, _регулато, _bofichi_, 
   {{0xe3040242,0x13410166,0x42d903ee,0x65cb002f}},	//   _yasamal_, _dagegen_, _odveo_, _ankasmay, 
   {{0x70f80219,0x43df004c,0x723603ba,0x53020297}},	//   _umkhandl, _abimerek, _wiejo_, _batanov_, 
   {{0xe375025f,0x00000000,0x00000000,0x00000000}},	//   _kosungam, --, --, --, 
   {{0x72910533,0x31fd0036,0xe3990168,0x188301ec}},	//   _gheall_, _brolchái, _cæsar_, _dilindhu, 
   {{0xee050268,0x31f800ff,0x16bc0147,0xb2da062d}},	//   _atternpa, _זעכציג_, _تۅكچۉۉ_, _cupones_, 
   {{0xc89901f6,0xd97904aa,0xeaf50031,0x0645017a}},	//   _দক্ষিণে_, _hässlich_, _lowongan_, _abakwasi, 
   {{0x5395024b,0x266c0185,0xb7a70203,0x2dad00fa}},	//   _puesto_, _советлар, _fratrini, _dapithap, 
   {{0x63950244,0xe9c102d9,0x42d80062,0xeb670211}},	//   _questo_, _amamaina_, _bonej_, _annetaan_, 
   {{0x9da20188,0x1c5d0032,0x364f0144,0xbc760109}},	//   _таҳҷоӣ_, _dustivo_, _cathasai, _वषर्ीय_, 
   {{0xdff00008,0xe36c0096,0x7be700bc,0x7986019f}},	//   _берки_, _imigozi_, _خریدن_, _ushirika_, 
   {{0x50a702ac,0x51d303ea,0xfc730211,0x396301b5}},	//   _تعتزم_, _emplacem, _тормоза_, _hikondle, 
   {{0x49940191,0x062201de,0x33790088,0x23780007}},	//   _falkenbe, _серуенде, _desafia_, _mabanza_, 
   {{0xd54b0037,0x03490129,0xf5430153,0xff6c0047}},	//   _ለመታዘብ_, _pasenti_, _クション総合案内, _attaques_, 
   {{0x0c5b011d,0x1914002b,0xaba600de,0xc3f600f5}},	// [c5a0] _cartofi_, _সংস্থাগু, _andinako_, _ёлдашлар, 
   {{0x33730055,0xae4601f4,0x79690671,0x13870393}},	//   _filante_, _turadiga, _strikket, _kvartu_, 
   {{0xf68f01f7,0xe513005a,0xbc330153,0x4c73050a}},	//   _aprenedi, _murosmoh, _日立製作所_, _sporlar_, 
   {{0xe2d8007a,0x72bd04f4,0x79090205,0x9257021b}},	//   _konek_, _perdido_, _баравари, _застройщ, 
   {{0x9aa3056a,0xa40e024a,0xcdc6038a,0x7a8502fd}},	//   _boikhuts, _idanilek, _chakrara, _leintean_, 
   {{0x0b7c006f,0x5dde01e0,0x5f1f025a,0x97570297}},	//   _wakulima_, _بتایبه_, _bwatanga, _сайлар_, 
   {{0xca830262,0xac5c02d4,0x6f64019c,0x974d02a5}},	//   _dilinden_, _gestiun_, _kokandin, _odličova, 
   {{0x1c6e02db,0xabf4017e,0xa2fb01f0,0x9347015d}},	//   _storian_, _adelajdo_, _fithela_, _grafikę_, 
   {{0xb2ad00d6,0xb14001eb,0x84c000e4,0x32ca02a8}},	//   _الدار_, _bluefiel, _कल्पनाओं_, _riklami_, 
   {{0xc30601fc,0x1ba8020a,0xc2e30626,0xe5150188}},	//   _digarak_, _сатушыла, _remosky_, _идеяи_, 
   {{0x3b5901a0,0x7c290037,0x9c6803f0,0x0dc70080}},	//   _beburiwa_, _ነፃነትና_, _brauði_, _ilikkapa, 
   {{0xc346026b,0x7e470061,0x52d8010d,0x7c7600f6}},	//   _piedras_, _통가죽벨트_, _bonek_, _fabriki_, 
   {{0xa6a700be,0x4c8c02a5,0xe25b01b2,0xaa8301af}},	//   _армияда_, _večeři_, _addles_, _bilinden_, 
   {{0xc29e00d9,0xdc12033f,0x00000000,0x00000000}},	//   _милая_, _laipeli_, --, --, 
   {{0x73f80578,0xcb610477,0xd305023e,0x429102fb}},	//   _zooua_, _menelpon_, _گودال_, _pepaa_, 
   {{0xf3f403f2,0x62b60233,0x428000c0,0xe52a01dd}},	//   _lasten_, _toucan_, _pansaril, _abenegih, 
   {{0x1d2d041e,0x09c4025d,0x92da0224,0x3066040f}},	// [c5b0] _lanières_, _nordaust, _akrein_, _askarido, 
   {{0xb94e0025,0xcd140105,0xb3650295,0x99f900e4}},	//   _aharahar_, _emerytur, _fangupo_, _निष्पादन_, 
   {{0x63a801e9,0x2d8003c6,0x1a7e0264,0xc27e011b}},	//   _bolawang_, _begelaat_, _nawawara_, _ngonga_, 
   {{0x8b21037f,0xee100139,0xa2d90049,0x31ed04a5}},	//   _israilin_, _atidiśan, _sefeti_, _ngonovem, 
   {{0x662a0326,0x02000373,0xe13500ec,0xe5a20344}},	//   _akambokw, _pekina_, _pergalė_, _aperinik, 
   {{0x529102d9,0xa8f80005,0x09800156,0xa9e70290}},	//   _faaalu_, _rangaziu, _באָולינג_, _conclüde, 
   {{0x22d8048f,0xc4340020,0x52020179,0x635d005a}},	//   _alfeo_, _faakonek, _natiko_, _hingong_, 
   {{0x8e2c0076,0x927e0733,0xc4360169,0x83f40258}},	//   _млада_, _ngonda_, _কোচিং_, _easten_, 
   {{0x63ea0331,0xe54a00c7,0x62560012,0x52ca00ac}},	//   _teitur_, _уйландыр, _पियइबू_, _podlozi_, 
   {{0xc2d806b8,0x03ac0409,0x2e1b025c,0xa29100fd}},	//   _konei_, _jesper_, _aufentha, _iepan_, 
   {{0x8e070059,0xf18900f3,0x94160187,0x7c2600ad}},	//   _символа_, _bambulal, _игралишт, _dihampur, 
   {{0x42020087,0x2c5d05ab,0xb3f40044,0xfc1c01af}},	//   _matiko_, _vestido_, _hasten_, _boyaglar, 
   {{0xed8b0006,0x26b403b7,0x356d014f,0xbfda0045}},	//   _diumumka, _albertaw, _расправе_, _проналаз, 
   {{0xc4d700f5,0xf7a7026f,0xc3fa0222,0xf8e50056}},	//   _ваканың_, _تاتەمە_, _requis_, _суббот_, 
   {{0xa395006e,0xb9fd01dd,0x6e27012e,0x33030497}},	//   _beesal_, _akinisha_, _قراردینے_, _aslaynt_, 
   {{0xb2b2025c,0xe3ac0364,0x73370127,0x79e4027c}},	//   _handeln_, _hesper_, _boikeneg_, _bakowona_, 
   {{0xd25b02ef,0x05b90393,0x42a003fb,0x7b5f0328}},	// [c5c0] _anglal_, _kuhinjom_, _ljubio_, _shamakur, 
   {{0xc0330047,0xd7780132,0x5ae101e9,0x00000000}},	//   _justemen, _سونالی_, _gapelets, --, 
   {{0x2c04005b,0x4e380126,0x094d03d7,0x3bee0312}},	//   _ffdshow_, _принципі, _lekontre, _atletour, 
   {{0xc867015e,0x7292004b,0xac660296,0x00000000}},	//   _кайгуул_, _diqale_, _vintras_, --, 
   {{0x0f02008d,0xd2aa0162,0x047702c0,0x00000000}},	//   _тортди_, _сәрсанли, _методија_, --, 
   {{0xc2d701bd,0xc2c401d3,0xbf3702d8,0xd34e0092}},	//   _باستعى_, _skyldig_, _pemukima, _いらっしゃいませ_, 
   {{0xc9c700c7,0x8db80021,0x6ebb00cb,0xca5302f0}},	//   _балакай_, _aisiesda, _akusenze_, _cokelela_, 
   {{0xf2fe0072,0x9f9400c8,0xa22501e5,0x32ea023d}},	//   _ampirus_, _кластар_, _itakun_, _andiamo_, 
   {{0x4ea00116,0xc2b1040b,0x0b4c01f6,0x32d80211}},	//   _farthest_, _pandela_, _medverka_, _monen_, 
   {{0x56b9002b,0x235c02a0,0x00000000,0x00000000}},	//   _রিদওয়ান_, _intanẹẹt, --, --, 
   {{0xa04800f5,0x79660052,0x44ab0280,0x1e2b0060}},	//   _nebitgaz_, _लेखनाथ_, _चबूतरे_, _тарқатқы, 
   {{0x836c0118,0x6850044a,0x1a2b0178,0xa442010c}},	//   _amagezi_, _bakobund, _anunītā_, _क्वात्रो, 
   {{0xbf1f042f,0x8f2b0148,0x49d700c4,0xb2ea03ac}},	//   _avatinga, _多功能教室_, _menejime, _jeritan_, 
   {{0x2290002a,0xc9e200a9,0xdbe000f1,0x52900241}},	//   _aghaa_, _bakomoka_, _dezesper, _addaan_, 
   {{0x402200ff,0xa59301f9,0xc0ef0479,0x4e5f0053}},	//   _novembro, _batsandz, _vetélked, _gambarka, 
   {{0xb2c200b8,0x7af9016f,0x4fee006c,0x56040060}},	//   _challwa_, _положень_, _abayibon, _قىلىقتار, 
   {{0xa2d80088,0x0348013d,0xabdf0421,0x2eca040f}},	// [c5d0] _donen_, _akcepti_, _scheiter, _magnetin, 
   {{0xd2ca01fc,0x139300bc,0x6d940039,0x726d0322}},	//   _handag_, _عاشورایی_, _бугуйн_, _ascoki_, 
   {{0x82a70175,0x814b00f2,0x6d4902eb,0x641e00ec}},	//   _etabli_, _austrumo, _мэдвэл_, _bitinink, 
   {{0x13f804b9,0x2200025c,0x84860109,0xe3f9066a}},	//   _clout_, _ruhig_, _पुरानै_, _biyuus_, 
   {{0x22ca0437,0x8a7d0240,0xeb6d00d6,0xa258016e}},	//   _mandag_, _kasanita_, _ailléirg, _verebilm, 
   {{0xe2d800d0,0x6b520148,0x538c012a,0x94220333}},	//   _honen_, _加她為好友_, _nadzór_, _addirizz, 
   {{0xb40702ea,0x92ee02a0,0x8a880039,0x27a702a4}},	//   _autorizz, _ibinibi_, _ekainean_, _quadring, 
   {{0xd3670212,0xbc510020,0x1be800f7,0xe0c90137}},	//   _linguam_, _naotala_, _animacio_, _ынхоон_, 
   {{0x737100aa,0xe5e801c1,0xfe2c03d4,0xf0390660}},	//   _balayug_, _puncakny, _следе_, _byggverk_, 
   {{0xf5f102ae,0x720201ef,0x33f80255,0x176a00ec}},	//   _primjeri, _patiko_, _algul_, _захаплен, 
   {{0x63030058,0xd2ef01a6,0x4589038e,0xf3500520}},	//   _dalabot_, _tekiona_, _संबोधले_, _prefiro_, 
   {{0xb2a6035a,0x8394032e,0xfa240012,0xfcbe00cb}},	//   _aziba_, _uchsa_, _करएबाक_, _бадеъ_, 
   {{0x529402ec,0x2f3300aa,0xb48101b8,0xe97e017c}},	//   _galabnim, _kaaranga, _मिलाकऽ_, _lexikone, 
   {{0x5da70356,0xb9960156,0x434102ec,0x06d302ba}},	//   _fotonaka, _ויצעקו_, _hotelka_, _angamthi, 
   {{0x424a01da,0x00000000,0x00000000,0x00000000}},	//   _pasmet_, --, --, --, 
   {{0x12ee019c,0xf520012c,0x22e003d7,0x62d8012c}},	//   _abinibi_, _mwananch, _vernman_, _uenezi_, 
   {{0x7416006e,0x3eb3031c,0xd2da018c,0xcea300df}},	// [c5e0] _amaguloo_, _directos_, _tepels_, _embrasse_, 
   {{0xf2f4018b,0xd2d80026,0x2c020358,0x95c002fe}},	//   _articol_, _wonen_, _adoptif_, _amaphiko_, 
   {{0x03f80176,0xee530060,0x00000000,0x00000000}},	//   _clous_, _قىلىعىمى, --, --, 
   {{0x5de7021b,0x425a04a7,0xa26c00de,0x94f20061}},	//   _лекарств_, _vellas_, _bedilesi_, _서울대병원_, 
   {{0x9a0b01ed,0x1f6a0132,0x5d06011d,0xe1d80053}},	//   _hemahema_, _پروسیسر_, _retrager, _ngerokok_, 
   {{0x08c4007f,0xf9290187,0x4c630281,0x00000000}},	//   _aberdaug, _телесни_, _eistrup_, --, 
   {{0x4c1400ff,0x62d801fd,0x3139003a,0x7eb40046}},	//   _ורבותי_, _ponen_, _маймунла, _cobertes_, 
   {{0xdbec00e6,0xe67f02e1,0x035602f9,0x50590272}},	//   _房地产开发企业应, _لمرسي_, _konfonn_, _bebagiso, 
   {{0x12070074,0xea0503be,0x36e10322,0xee8b014d}},	//   _musiikki_, _bakazage, _atabashi, _verwirrt_, 
   {{0x6a1e00a7,0xb7d0005b,0xd58702af,0x98b1013c}},	//   _тилин_, _tilgænge, _amutumak, _düzdür_, 
   {{0x43f802f1,0x626d0229,0x00000000,0x00000000}},	//   _algum_, _babosh_, --, --, 
   {{0xed12030a,0xe3bf0277,0xa9e2025f,0x791300b4}},	//   _consecuc, _badware_, _bakokoka_, _concertu, 
   {{0xbc61032d,0x8239017a,0x0395041c,0x00000000}},	//   _aterese_, _тобут_, _deesul_, --, 
   {{0x8af701cb,0x38cc0003,0x9399015e,0x3c4b041b}},	//   _ekhulume, _begeleid, _baixada_, _synteng_, 
   {{0xac0003d5,0x93f80076,0x62910131,0x0a5d0453}},	//   _saisies_, _logue_, _suporá_, _bazenima_, 
   {{0xc4020033,0xf361012a,0xd08a0361,0x4d2b00ec}},	//   _planisaz, _generacj, _применял, _ажыццяві, 
   {{0xb0440040,0x32c10087,0xe3030110,0x1c620160}},	// [c5f0] _בנקודות_, _hohloka_, _padarot_, _ugarske_, 
   {{0xb75b00e4,0x02ca0128,0x17370080,0xe1b30127}},	//   _दुष्टों_, _sandig_, _ilalinng, _gevelloù_, 
   {{0x89f80003,0xaedd0434,0x13cf009f,0x586300ba}},	//   _aangezie, _posibles_, _pravic_, _رێپێوانه_, 
   {{0x9d7c01db,0xaf5c02fd,0x00000000,0x00000000}},	//   _маркалар_, _minginis_, --, --, 
   {{0x9db402ac,0xf8ec003d,0xaafc0371,0x73f80076}},	//   _موثوق_, _argelièr, _modellis, _jogue_, 
   {{0x65cb01d2,0xd2fc015d,0x703a0372,0x829100e4}},	//   _allaukay, _यक्रम_, _arogleuo, _nogach_, 
   {{0xde490301,0xe60a0116,0x920d0040,0xf2e9021c}},	//   _olmayaca, _balmaghi, _בינהם_, _tunisko_, 
   {{0xe3ea0540,0xbfaf02fe,0x599401ac,0x11e601a3}},	//   _heitir_, _امتیازات, _cathanna_, _ماڪوڙي_, 
   {{0x83fa0161,0x5cd10358,0x52010043,0x6f2e0361}},	//   _проволок, _bisiklèt_, _bayize_, _дицло_, 
   {{0xb2b80143,0xc5b60019,0x2b6901c0,0x5291012b}},	//   _затрудня, _تىلازارد, _adreshin_, _bogaty_, 
   {{0xe68d0092,0xc2c604a4,0xefb30061,0x65b80285}},	//   _このカテゴリ_, _champar_, _못했습니다_, _abogamiy, 
   {{0xe8d20036,0x23ea0144,0x326e031a,0x8202010d}},	//   _بحجمها_, _leitir_, _chroch_, _dipicu_, 
   {{0x89c40265,0xe6a1019b,0x826c0418,0x606f03c4}},	//   _regelmat, _sustabdy, _kelimesi_, _ئېتقاد_, 
   {{0x539d00d1,0xbe0d0164,0xa2d9001d,0x87a70144}},	//   _সাহিত্যত, _бирдинла_, _adveni_, _كفوري_, 
   {{0x82250556,0x896900c5,0xe3bf0370,0x00000000}},	//   _usuku_, _cylindre, _diabring_, --, 
   {{0x436c020f,0x237302aa,0xc61f004d,0xe73800bb}},	//   _amagazi_, _widgety_, _嶺東大學套房_, _روئٹرز_, 
   {{0xc316006c,0x5224002f,0x99280076,0x4eea0086}},	// [c600] _emibili_, _arikun_, _хектари_, _kaphatun, 
   {{0x580a04cc,0x3323036b,0xbe48037f,0xbc5b01b2}},	//   _saucueng, _албанија_, _dollarlı, _sutured_, 
   {{0x7364022c,0xac0602bd,0x173e0033,0x224a0077}},	//   _sangkan_, _chostau_, _schlarig, _basmat_, 
   {{0x8be3034c,0x49ef05ed,0x83a9014a,0xe3ae005b}},	//   _atletlar, _gusigara_, _norvég_, _arexyas_, 
   {{0xfbaa0204,0xc31602fe,0xf8b202a1,0x3f150085}},	//   _прикольн, _amabali_, _doktorsg, _veidelan, 
   {{0x824901bb,0xbc69028a,0x72d002a4,0xc33f0331}},	//   _adammy_, _kurunzi_, _iphonem_, _gamaní_, 
   {{0x9eb300e5,0xe1470039,0xac350220,0xa34800a4}},	//   _direitos_, _барилаа_, _idraulic, _silenci_, 
   {{0x1d080177,0x53fa032e,0x034c016e,0x12d80420}},	//   _ахысреи_, _sapuru_, _kontrolü_, _fones_, 
   {{0x23950388,0x60f300f7,0xbc6203d8,0x7bfa00af}},	//   _presso_, _באלון_, _starije_, _продовол, 
   {{0x93f8005b,0x6c6701da,0x225a01c2,0x0ea70287}},	//   _inoue_, _bukuria_, _vellos_, _filtrace_, 
   {{0x53f4017e,0x9ae403bf,0x6a99024c,0x00000000}},	//   _vastan_, _kastrost, _interġen, --, 
   {{0x38d30102,0x7c160253,0x83080059,0xcecd020e}},	//   _حادثو_, _naturins, _растения, _hirisoan, 
   {{0x4316017a,0x52d80044,0x0aef047d,0x12240081}},	//   _amabili_, _jones_, _sekonnen_, _speki_, 
   {{0xf2d80064,0x1c7e00e6,0x3e090030,0x86bb0530}},	//   _dones_, _成都北大青鸟消防, _linderma, _zgraduri, 
   {{0x434b071e,0xfa5703c7,0xf25a0269,0x58f00076}},	//   _gelehrt_, _wogóle_, _sellos_, _пешевски_, 
   {{0x12d60662,0x184c00c5,0x5b9f0024,0xb2d903dd}},	//   _ikhlass_, _常见问题解答_, _ইঞ্চিমান_, _neveri_, 
   {{0xc341003d,0x7ffe0128,0x1199021c,0x7c6701ef}},	// [c610] _espessa_, _ракетаси_, _lamelové_, _sukuria_, 
   {{0xfe2a016a,0x0cf80162,0xc62b0084,0x2a85015b}},	//   _neoficia, _болаттуқ_, _pamingpi, _kwinslan_, 
   {{0xf237004b,0xe98401e6,0x5d01003d,0x1ae20061}},	//   _alimana_, _kapitola_, _abiletat_, _stadsbes, 
   {{0x9c4500e1,0x8a08021f,0xa23000da,0x00000000}},	//   _baawaan_, _gabaajee, _seamana_, --, 
   {{0xe80d0405,0x83a800d7,0x22c504a4,0xbe4a005f}},	//   _доведеть, _bolayang_, _chamais_, _zacateca, 
   {{0x3d5a0145,0xa27f0264,0x27fe0086,0xc2aa0225}},	//   _раздавал, _kutno_, _labdarúg, _babareow_, 
   {{0x525a0222,0xc25a032e,0x81f80201,0x92d70042}},	//   _celles_, _qullut_, _siyaasah_, _exposto_, 
   {{0x526e0158,0x728103a2,0x54220066,0x00000000}},	//   _obroty_, _moskwie_, _israelgo_, --, 
   {{0x24bb042a,0xcf6401aa,0x0b680066,0xe9cf029e}},	//   _akubonak, _argainin, _publikor, _erbedade, 
   {{0x4f5d012a,0xe26e0183,0xb3c60205,0x317b0135}},	//   _zarabian, _farofy_, _adovatni_, _islamgal, 
   {{0x5fbb00f2,0xc3f103ad,0xcbb900be,0x374f05fb}},	//   _resursus_, _burokraz, _دوستۇعۇ_, _benzinom_, 
   {{0x922403b5,0xee000462,0x00000000,0x00000000}},	//   _isikan_, _aurensta, --, --, 
   {{0xa85303af,0x6e7c0525,0x04b2013c,0x234d0016}},	//   _dossiers_, _परस्त_, _pulları_, _ciferoj_, 
   {{0x42d90499,0x425a03ea,0xd9d00125,0x91610751}},	//   _vevesi_, _belles_, _гезип_, _pengepol, 
   {{0x42540169,0xd25500c1,0xef9801db,0xaf2201b3}},	//   _আরণ্যক_, _हळवेपण_, _شەشۋى_, _міхура_, 
   {{0xf87e00ff,0x6c93005e,0x9bc4014e,0x49870004}},	//   _קונטרס_, _ناپاك_, _учини_, _jiskapre, 
   {{0x71ab00c5,0x1c7101be,0xb39501a4,0xf8c00265}},	// [c620] _位读者读过此文_, _तिरस्कार_, _mapsi_, _vastlegg, 
   {{0xe29002f6,0xe7c1003a,0xd2ec018c,0x00000000}},	//   _agham_, _emasligi, _ultieme_, --, 
   {{0xc2d80175,0x826d0433,0xe2d80194,0xc31700e2}},	//   _boner_, _ascoli_, _sones_, _jitze_, 
   {{0x12ee023c,0xb2d80169,0xcbfb0169,0x8291001c}},	//   _abanesi_, _pones_, _quintero_, _kayanu_, 
   {{0x3d3b018d,0x72910177,0x2e4700aa,0xe150020f}},	//   _ክትወስድ_, _hogapy_, _ipasukud_, _bakukubo, 
   {{0xbc6b00d9,0x22010332,0x00000000,0x00000000}},	//   _kulunut_, _rubias_, --, --, 
   {{0xb27501e5,0x117e00e6,0xfb8d02ef,0xdec503e9}},	//   _idarajul, _如果播放器升级过, _espinito_, _baŷdak_, 
   {{0x326d0181,0xdd7a045a,0x28f700fb,0xd9f702bf}},	//   _dyson_, _fremmede_, _bangakhu, _bangakhe, 
   {{0xb35d0044,0x485d017a,0xb4650145,0x5d0300a3}},	//   _singing_, _abalikhu, _kambarių_, _যুক্তিৰে_, 
   {{0xc20e0039,0x5ddb0156,0x726e04fe,0xfb860077}},	//   _далан_, _מפלפל_, _associ_, _colocolo_, 
   {{0xd7ab00f1,0x3bd20377,0xb3fd0029,0x3eb40217}},	//   _dekouraz_, _traducer, _تاکڕه_, _forestes_, 
   {{0x753200ef,0xd72b0046,0x00000000,0x00000000}},	//   _abazinik, _seguirem_, --, --, 
   {{0x80530287,0x525a0255,0x5d15001a,0x1b6b06a2}},	//   _sportovn, _selles_, _emellett_, _hakonger, 
   {{0x3b72017d,0xbb6b00a9,0x225a037c,0x49820046}},	//   _地域共同研究セン, _bakonger, _pelles_, _достору_, 
   {{0xc3370220,0x6d8f00b8,0x226d02bd,0xcc010074}},	//   _направих, _parlasip, _cyson_, _opastus_, 
   {{0xb29201d0,0x0c9d0331,0x30ba002c,0x8ab5027b}},	//   _snakker_, _tilgongd_, _гүрбазар_, _नैकलोकधा, 
   {{0xec5c0052,0x92560272,0x6b6a0145,0x758303df}},	// [c630] _मिलेर_, _abatakal, _любоў_, _fagopplæ, 
   {{0xf8620148,0xad710145,0x097c006d,0x3f6402ea}},	//   _傳統藝術類_, _premjera, _азёрныя_, _locandin, 
   {{0xa2d80319,0xfc660064,0x88d80078,0x515b01ac}},	//   _poner_, _жамынып_, _секунде_, _خساره_, 
   {{0xf27e033a,0x542a00cf,0xf29200e7,0xe2d80189}},	//   _ordni_, _aggaaroo_, _alshway_, _senedi_, 
   {{0x39df0060,0x026c0220,0x15b600be,0x926202eb}},	//   _مەندە_, _veloce_, _клетканы, _авиан_, 
   {{0x1f330209,0x16a10590,0xb301005c,0x7644017a}},	//   _innuttaa, _цөөнгүй_, _murambi_, _abahlazi, 
   {{0x6296002c,0x1e400094,0xda3401d5,0x132000c5}},	//   _klikatu_, _исатай_, _نچھاور_, _manches_, 
   {{0x886201b0,0x990b02f8,0x03200187,0x00000000}},	//   _balageur_, _talangau, _lanches_, --, 
   {{0xbf79048a,0x1d150132,0x117902ae,0xe31600d3}},	//   _париждег, _amellett_, _obožava_, _zmizel_, 
   {{0xf18803b8,0x523405e8,0xb506034c,0xc30d01fb}},	//   _ءوزىمىز_, _naamane_, _идеме_, _remaner_, 
   {{0x430000a3,0x56730296,0x823d0287,0xeb020088}},	//   _garborg_, _bildseri, _neustálé, _комузу_, 
   {{0x6a82038d,0xbea20333,0x1920004d,0x836c004c}},	//   _frazilit, _vorreste_, _不限室不限廳_, _amaguzi_, 
   {{0x3e1400d1,0x294d00f2,0x82250080,0x493501b8}},	//   _অতীজতে_, _desmitie, _asuki_, _hämmasta, 
   {{0xac4c0095,0x14a40040,0xad0600be,0xf4ed0012}},	//   _kinclong_, _לאשדוד_, _دوڭۇز_, _बतीया_, 
   {{0xc5a1027b,0x08d40237,0x00000000,0x00000000}},	//   _पराथुर्भ, _생각하십니까_, --, --, 
   {{0xbc360113,0xe83c0658,0x39790045,0x00000000}},	//   _اعتمد_, _prometid, _херберт_, --, 
   {{0xcea500a9,0x032000f9,0xc225011b,0x00000000}},	// [c640] _urutonde_, _ateye_, _esuki_, --, 
   {{0xa3f40265,0xb32102e2,0xb2ec01d4,0xf59501d5}},	//   _gasten_, _fancier_, _sexiste_, _körutazá, 
   {{0x32440040,0x6adf03e6,0x03010112,0xc0a5021b}},	//   _סטיוארט_, _bestrofe, _murabbi_, _плакаты_, 
   {{0x1d9e003e,0x4a1f0154,0xef2701eb,0xd5aa0350}},	//   _millenia, _узурпэри, _etereira, _በማጽናት_, 
   {{0x22cf0334,0x57dc009a,0x538702ac,0xeadb002b}},	//   _achotse_, _مقصودي_, _micrea_, _জীবাণু_, 
   {{0xee9a0092,0x12910195,0x0e460153,0x00000000}},	//   _カテゴリア_, _cogagh_, _賃貸マンション_, --, 
   {{0x2f2701eb,0xe25a0116,0x00000000,0x00000000}},	//   _itereira, _gullie_, --, --, 
   {{0xc3a303cc,0x4fe302f3,0x00000000,0x00000000}},	//   _acepto_, _casinoko, --, --, 
   {{0xb2d8018b,0x7bfb04ec,0x00000000,0x00000000}},	//   _zonei_, _ntaguter, --, --, 
   {{0x98c00268,0xe9e60609,0x9528019d,0xe26c00fe}},	//   _accepted, _heroína_, _amangokh, _onoono_, 
   {{0x473c026c,0x125a0265,0x495e0009,0x468002d5}},	//   _未分類資料夾_, _jullie_, _avtocest, _खनदान_, 
   {{0xe0fd00d1,0x730703c4,0x527f0160,0x970800d1}},	//   _স্বয়ংসম, _системис, _putne_, _নিউটনেৰ_, 
   {{0x7ee20064,0x32ca0010,0x764604c8,0xb290016b}},	//   _атаке_, _agodle_, _appoġġ_, _kulawa_, 
   {{0xe28b034b,0x371100be,0x56820105,0x03f80134}},	//   _mahangam, _تۉكۅتگۉس_, _wegetari, _jogun_, 
   {{0xa3f8024a,0x1877000e,0xf29402dd,0x42e9006e}},	//   _dogun_, _executer_, _balkani_, _boriwaa_, 
   {{0x06d603ce,0xa55900a4,0x9dd40097,0x00000000}},	//   _ئالمان_, _كەلەڭگىر_, _àbùjá_, --, 
   {{0x2c0a029a,0xa6c90285,0xdf5d0326,0xd20002cb}},	// [c650] _adoptan_, _amashany, _musangan, _nekima_, 
   {{0xb225005b,0xc5f400d8,0x88680231,0xda4f03b5}},	//   _tsuki_, _jasminum_, _invitatu, _neneknya_, 
   {{0x7200019f,0x3291023b,0xab0c01e0,0x68bb0037}},	//   _hekima_, _kepau_, _جائیز_, _የመፍታት_, 
   {{0x8f5c017f,0x4d060026,0xa20a021c,0x225a0005}},	//   _angallan, _gedragsc, _suchozem, _dellas_, 
   {{0xc46e02da,0x329100ad,0x57c101aa,0x912700af}},	//   _изградба, _lepat_, _accusesw, _набори_, 
   {{0x32000141,0x7db9017f,0x9300045f,0xba8304df}},	//   _muhim_, _pisassat_, _varberg_, _dilimden_, 
   {{0x0c6800f7,0xdb7b0044,0xbf5d0326,0x21d9013f}},	//   _rubriko_, _demonstr, _kusangan, _biniawoù_, 
   {{0x28520212,0x9aee0169,0x9a5f01fe,0xc30f039a}},	//   _ultrices_, _মৃত্যুদণ, _lavetaka_, _kuharap_, 
   {{0xf30c0262,0x7379075c,0xd2130147,0x629001c0}},	//   _ahwalat_, _ogranka_, _زاپقىسىن_, _fulawa_, 
   {{0xe2d802bd,0x52ca0003,0x2225029a,0x330e0553}},	//   _nofel_, _handig_, _frakan_, _upozorni_, 
   {{0xa9db00e2,0x00000000,0x00000000,0x00000000}},	//   _einfûgel, --, --, --, 
   {{0xf29104ca,0x40390189,0xbe020239,0x72e90244}},	//   _fayard_, _kastamon, _matekora, _немога_, 
   {{0xece70056,0xc48e0061,0xaf67021c,0x6c6301a3}},	//   _таблиғ_, _사실입니다_, _taxisluž, _ھٿيار_, 
   {{0x1e9b017d,0xfe0401ee,0x4d830376,0x6c1502f0}},	//   _プレスリリ_, _официала_, _filmsupp, _ipharagr, 
   {{0x339500dc,0xbc6b00b6,0xb2d90465,0x63940008}},	//   _asesro_, _gulubut_, _lovec_, _malson_, 
   {{0x521602ec,0x23f80635,0xbaf100f1,0x7d9b005a}},	//   _گُلستان_, _ilgus_, _spiritye, _europeda, 
   {{0xa7e8018a,0x7a340138,0x6a7d0322,0x00000000}},	// [c660] _bensiynw, _oranları_, _bakazira_, --, 
   {{0x14ac0789,0xc5030197,0x15870220,0x32d4013c}},	//   _kubandak, _refleksy, _причинат, _hardan_, 
   {{0xf2a602c1,0x9a840137,0xf2ee03fd,0x7ae600f8}},	//   _izaba_, _үзэлцсэн_, _maofa_, _নতজানু_, 
   {{0x68e701bb,0x7fab002e,0x5ee30278,0x099401ac}},	//   _аллатага, _sušić_, _muthalib_, _nathanna_, 
   {{0x9c74019a,0xd2f701d5,0x3ce200ba,0xfe25008c}},	//   _endures_, _ٹائیگر_, _مێنۆی_, _asilants_, 
   {{0x70470406,0x246e0046,0xfff80267,0xa8c500a8}},	//   _पर्याप्त_, _аралашып_, _presvlač, _cuvernad, 
   {{0x122501a0,0xa33b018d,0xf68f0076,0x927f03f8}},	//   _nsuku_, _ኪሎሜተር_, _engenhei, _hutna_, 
   {{0xc22502c1,0xcd1c02ac,0xd2900582,0xef2003a2}},	//   _isuku_, _مقتطفات_, _oghan_, _परमजीत_, 
   {{0x657d0039,0xa2120187,0x483d031c,0xa16802ac}},	//   _gasteizk, _velha_, _normalid, _conghail, 
   {{0xb3950033,0x84ac027c,0x825a011c,0xc26d0219}},	//   _bapst_, _bubandak, _kholal_, _ingilosi_, 
   {{0xfd1d0032,0x39110457,0xf913019b,0x8c710233}},	//   _coquelic, _aamanuku, _koncertu, _apertet_, 
   {{0x72a606af,0x7ea700d6,0x236602ca,0xb3f700da}},	//   _azaba_, _sualainn, _aingeal_, _палмиер_, 
   {{0xc96a012d,0x3c1e0450,0x63870198,0x82ee0036}},	//   _aktivese, _gearkoms, _izbris_, _faofa_, 
   {{0x8759018d,0x416300c7,0x3a8a0476,0x794e02c9}},	//   _በብጊዚኡ_, _ayırmalı_, _chinotib, _secretar_, 
   {{0xef780483,0x5da902b1,0x560c0235,0xf8a100ff}},	//   _acabamos_, _kwanciya, _apalāyin, _צובאקומע, 
   {{0xf30200a7,0xe2900403,0xbf260080,0x4c1d024a}},	//   _negatiu_, _aloaky_, _aseruisa, _lónpetu_, 
   {{0xb7810052,0x69940113,0xb292047b,0xa3f80255}},	// [c670] _व्यापारि, _dathanna_, _avtala_, _algus_, 
   {{0x2a4a0020,0xe3ce0513,0x3ac80374,0xd5940156}},	//   _gasesega_, _hanva_, _синчикла, _אָפטיילו, 
   {{0xff9600d0,0x536f0009,0x52d400d0,0x65760299}},	//   _баршгүй_, _dostavim, _bardin_, _دۇنخۇاڭ_, 
   {{0xb3f4013d,0x61d80120,0xaf6f01f6,0xd4e90350}},	//   _lastan_, _yenekiiy_, _austgåan, _ወንድማማች_, 
   {{0xd173019e,0xc373005b,0x237b004b,0xa3f8014c}},	//   _бочках_, _andante_, _dipallo_, _mkhulu_, 
   {{0x03e60540,0x52550012,0x09db0239,0x00000000}},	//   _fötin_, _हुमेले_, _tangiwet, --, 
   {{0x4f460166,0x50bc0125,0x220102f4,0x83b50153}},	//   _therapie_, _ahemenil, _reciba_, _なんば高島屋_, 
   {{0x265402ac,0xb3800120,0x5c2500e6,0x13f90040}},	//   _أنيدرا_, _birrik_, _没有相关评论_, _וקטור_, 
   {{0x22d8043a,0x530100bc,0x3ccd00f5,0xf2ef036e}},	//   _fonet_, _atraksi_, _языпдыр_, _busnapi_, 
   {{0x12780266,0x27f8018d,0x0a780064,0x29f4027b}},	//   _musnah_, _ክሕግዘና_, _بانكتىلۇ, _लिहेत्प्, 
   {{0x22bf0433,0x7f6404f9,0xa2960109,0x8e0800c7}},	//   _waldeck_, _allassin, _डाँडागाउ, _басылмаг, 
   {{0xd9ac00c8,0x42d80342,0x403a016e,0xa2910057}},	//   _колхозда, _honet_, _ergeneko, _lepak_, 
   {{0xba820047,0x53f4025b,0xac760387,0x56e70147}},	//   _市政府主要部门_, _fastan_, _nkerisi_, _таблиг_, 
   {{0xf30000ba,0x226e0065,0x92a6010d,0xf26c02a6}},	//   _درۆخستنه_, _betont_, _tumben_, _aioooo_, 
   {{0x73550818,0x4573008d,0x89db00c5,0xc2900026}},	//   _teofila_, _вебсайти, _国家宗教事务局_, _telkens_, 
   {{0x26c502be,0x1e7e0041,0x1a7c0127,0x02cb01fa}},	//   _pamamagi, _габелиеи_, _adlañsañ_, _kanonga_, 
   {{0x5eca0195,0xd500015f,0x0e4b02c2,0xc6c2016e}},	// [c680] _leantain, _carmarth, _wedstryd_, _noktası_, 
   {{0x0ba703a2,0x3c520170,0x2af300da,0x82d90085}},	//   _हरकतें_, _amataya_, _тынэр_, _kovea_, 
   {{0x62fd029e,0x19800401,0xa26d0244,0x3cf800d9}},	//   _staget_, _सर्वसम्म, _angolo_, _применит, 
   {{0x33fa0410,0x7ee00067,0x804d01d1,0xa37800b2}},	//   _dipuku_, _achittis_, _resultin, _bekamin_, 
   {{0x92d9018a,0xd3f402d0,0x07dd03ed,0xa059030b}},	//   _benodir_, _fastin_, _compõem_, _bebaliso, 
   {{0x227b0360,0xaee80184,0x34f302b6,0x529102a3}},	//   _kalendář, _ahakoran, _торабы_, _gepak_, 
   {{0xbe5102af,0x4dbb0053,0x22dc01f4,0x6c6801c0}},	//   _bakamuja, _श्रीदत्त_, _tiborni_, _binuwai_, 
   {{0x1c3f01cd,0xb745014e,0xbc7202c2,0x983d01db}},	//   _ngaphans, _удара_, _andries_, _аршып_, 
   {{0xc396008b,0x6d2c001d,0xb4380037,0x5afc01a3}},	//   _arusto_, _effortie_, _በማቲማቲሺያን_, _سيڪورٽي_, 
   {{0x63f80819,0xa3f401df,0xc2d8015f,0xaedf016a}},	//   _kogus_, _castin_, _unfed_, _וזמרה_, 
   {{0x52910212,0x92d003c2,0x069600d1,0x12d8035d}},	//   _lexar_, _auroral_, _নুশুনা_, _kofer_, 
   {{0x7bbd0037,0x0ef003e2,0x22c50251,0x4c150098}},	//   _ከተጠናቀቀ_, _subscríb, _khamiis_, _prisfors, 
   {{0x4347003e,0x493400d9,0xe37b0343,0xe7f1020e}},	//   _bonesoa_, _vaimonsa_, _halawum_, _истика_, 
   {{0xa1e20255,0x3c5e02fd,0x715b050a,0x8e950073}},	//   _पसारे_, _bowtell_, _belgesel, _saltante_, 
   {{0x93f401da,0x153f0312,0x320004b9,0x803901a3}},	//   _rastin_, _dimeziñ_, _ithir_, _نيارا_, 
   {{0x9883046d,0xa9c9004c,0x831201c2,0x3a25036c}},	//   _tsikeled, _akoogera_, _álbums_, _galliéni_, 
   {{0xc2000403,0x01560523,0x8b0c017a,0x4f3302d6}},	// [c690] _athis_, _ईमेल्ड_, _русня_, _пунктида_, 
   {{0x1101008d,0x747a0117,0xff470185,0x9e35027e}},	//   _ijtimoiy_, _vaitamin_, _элементы, _bujanova, 
   {{0x90060148,0xc3f8015e,0x73f80288,0xdecd0076}},	//   _信用卡紅利折抵刷, _pogut_, _mogur_, _продажна_, 
   {{0x5a6002fe,0xf30200a4,0x3d3f00d1,0x2749005e}},	//   _تخليه_, _تۉگەتكەن_, _আস্থানৰ_, _ياڭرىماق, 
   {{0x3c510105,0xf24a00ad,0x9b7203b4,0x98f1021c}},	//   _कंडेल_, _umumna_, _ambonyor, _purpurov, 
   {{0x13a7018b,0x00000000,0x00000000,0x00000000}},	//   _савоаре_, --, --, --, 
   {{0x325300a7,0xb2000318,0x8fa600ec,0x31180092}},	//   _турмушка_, _auhia_, _сакрэт_, _に帰属します_, 
   {{0x92d40066,0xdf3b02a1,0x39f00193,0x7387016b}},	//   _jardun_, _argentyn, _mesinnya_, _awarsu_, 
   {{0xe9d40525,0x2a79014e,0x52900119,0x2f20016f}},	//   _बैद्यनाथ_, _забележе, _aghat_, _skremmen, 
   {{0x3b6c0333,0x7238024f,0x53f8001d,0x61d80128}},	//   _castagna_, _ilamani_, _ingue_, _боксчиси_, 
   {{0x22aa031d,0x8c97038e,0x00000000,0x00000000}},	//   _discernm, _युवकांच्, --, --, 
   {{0xa7a903ea,0x42d8000e,0x698402ef,0xa2910544}},	//   _entrepri, _annel_, _capitola_, _nepai_, 
   {{0xdee300b9,0xa95a0053,0x47100237,0x00000000}},	//   _फिल्लमबा, _वेबसुची_, _사람일수록_, --, 
   {{0x51440252,0x4c280587,0x227e00e2,0x62330290}},	//   _coverdal, _literàri, _deinum_, _carmalo_, 
   {{0x62b10440,0xa2aa023c,0xb27e0551,0xe7a9018b}},	//   _imiduga_, _دسوله_, _ssdna_, _intrepri, 
   {{0x0d560645,0x6f41004d,0xe8900061,0x9d8c0408}},	//   _osvajaju_, _我想問林佑姿師傅_, _세탁바구니_, _antokota, 
   {{0xd1ee0034,0x92d800db,0x8c150088,0xa2850079}},	// [c6a0] _hugleiði, _ennem_, _comprem_, _noliedz_, 
   {{0xc2480135,0x07a10014,0x6e6e0244,0x00000000}},	//   _элементл, _celulari, _магданоз_, --, 
   {{0xf201050a,0x39f3021e,0x95bf0242,0x3e2a0205}},	//   _ilgini_, _pressmed, _atışmada_, _бандарго, 
   {{0xba880204,0x36b7022f,0xd2d801fc,0xc2f00453}},	//   _kokonais, _грудным_, _innem_, _rukovanj, 
   {{0x5ddf01d2,0xe9170244,0xba350035,0x0ff401c0}},	//   _apakusha, _рикардо_, _алдарга_, _fashinjo, 
   {{0xf75602b9,0x13f9005b,0xb61c03f2,0x3d35017a}},	//   _کارنامے_, _megumi_, _tunnetui, _amnikeze_, 
   {{0x839500ed,0x03f901d4,0xf2880339,0x13210065}},	//   _presyo_, _legumi_, _uokalani_, _mancher_, 
   {{0xb3770086,0x67a90342,0x187c0074,0x558f02f0}},	//   _قرائن_, _antrepri, _составле, _angeshey, 
   {{0x22f4004b,0x6afe00e6,0xa29103b6,0xd4a400e4}},	//   _bakganni_, _土豆们在搜啥_, _ibaamu_, _अर्धशतको, 
   {{0xc225017a,0xf834014e,0x963100a4,0xdc610318}},	//   _ngakho_, _културе_, _البۇمۇم_, _fatumea_, 
   {{0x1d230033,0x1da4004f,0x279c0415,0xcf1f0239}},	//   _giuridic, _amboosma, _pädagogi, _mahutata, 
   {{0x89fd0145,0xbe870374,0x52250452,0x00000000}},	//   _pagamint, _таргиб_, _isakan_, --, 
   {{0xa9e60060,0x52d80138,0xb787015e,0xa7a600d0}},	//   _қайтару_, _annem_, _باساسىز_, _britaini, 
   {{0xdfe30145,0x32d0007b,0xc51d0369,0x4dbb000e}},	//   _горная_, _hapless_, _kaluaiko_, _dechassa, 
   {{0x4d7602a0,0x329002e4,0xb47a01f1,0x0fd7006c}},	//   _afghanís, _aghar_, _spitalin_, _онишенко_, 
   {{0x526c0340,0xecbc0044,0x4db303bf,0xcc7000b4}},	//   _putiputi_, _arranged_, _dijarete_, _cărora_, 
   {{0x3248001f,0xa3b30256,0x62d80220,0xcc670414}},	// [c6b0] _mommma_, _kancelej, _linee_, _lukunia_, 
   {{0x32d80288,0x5a1e0448,0x64d702ac,0xbf6f0079}},	//   _boney_, _flybille, _واحذيه_, _samaksas_, 
   {{0x7249019d,0xc822002b,0x5b36021c,0xac1701b5}},	//   _alemba_, _অ্যপল_, _bezboles, _fularher, 
   {{0x9e9c04f7,0xf7220177,0x22370451,0x14d401c9}},	//   _mgamedin, _adoració, _boimana_, _अंहिये_, 
   {{0x17600374,0xcfc802c2,0x651f0306,0xdd4f036a}},	//   _kiritilg, _avontuur_, _atinanch, _mataisoq, 
   {{0xe9da02a0,0xe1c300c8,0x3ea803ea,0x935b0040}},	//   _alapẹrẹ_, _клубтары_, _pourront_, _outfits_, 
   {{0xc48b00a7,0x4ee00435,0x51b401db,0xd1be0060}},	//   _аталган_, _тесла_, _алдымызғ, _بەرمە_, 
   {{0x22f20157,0x00000000,0x00000000,0x00000000}},	//   _aktualny_, --, --, --, 
   {{0x922600a1,0x45b30291,0x1b6d00a7,0x15940343}},	//   _haukū_, _بحسابك_, _библияны_, _matrangk, 
   {{0x6ae4035b,0xb2d801fc,0xfa8b04f8,0x00000000}},	//   _lastnost, _innek_, _achievab, --, 
   {{0xb3000119,0x0ae9001a,0xcc7100f8,0x7ef60159}},	//   _harburg_, _دوپاور_, _হাইওয়ে_, _валуноў_, 
   {{0x40f6033e,0x82d9005b,0xfa060076,0xb60d032d}},	//   _вальдес_, _hoved_, _sacanage, _dipoloti, 
   {{0xd5e90242,0xe7af018d,0xd907038a,0xe321023c}},	//   _noyabrın_, _ሰሚናርን_, _añasiyuq, _awuyi_, 
   {{0x3af001eb,0x1faf01fa,0x00000000,0x00000000}},	//   _irrepres, _efelongo, --, --, 
   {{0x7387040f,0x08fd00c2,0x30c7004e,0x736601d5}},	//   _svarbu_, _bagahind, _cufflink_, _hanggal_, 
   {{0x1eb000c9,0x12d70154,0x0c10005e,0x5f660220}},	//   _sacomban, _вадикул_, _ئوقوغۇچى, _proponia, 
   {{0x1cca00ef,0x7956033c,0xec8c0192,0x13870176}},	// [c6c0] _emihlanu_, _boblogae, _홍보담당자_, _bjarke_, 
   {{0x8534004b,0xc7e5005e,0xfe6600ff,0x313500f5}},	//   _экрандар, _دىيەلمەي, _טשעפעט_, _тутмак_, 
   {{0xfc690040,0x4300008c,0xf30c0148,0xc807007e}},	//   _dietary_, _aarburg_, _creatus_, _bindurūp, 
   {{0xa60a00ba,0x42fc01af,0x00000000,0x00000000}},	//   _ریسواکرد, _bolgul_, --, --, 
   {{0x82de0362,0x8b6d018b,0xbb1b0311,0x6199021c}},	//   _babetaki_, _премиерэ_, _ንመንነት_, _lamelový_, 
   {{0xf2e606c1,0xca1600e6,0x36cf0226,0x00000000}},	//   _pogledaj, _海关总署公告_, _kubalali, --, 
   {{0x0ead0414,0x2c1700c4,0xf287005a,0xbaf001f7}},	//   _derriere_, _بورچي_, _hichraj_, _arrepres, 
   {{0x82b6009c,0x8bc80047,0xe95102ac,0x9b670090}},	//   _trucha_, _complète, _اليسرى_, _akurirwa_, 
   {{0xc72201c9,0x04440109,0x739404df,0xefef0365}},	//   _जोड़स_, _premiéře_, _dalsin_, _एउटालाई_, 
   {{0x9ed4026c,0x83550008,0x5202018e,0xf70e01b3}},	//   _元以限時掛號交寄_, _docents_, _kuriss_, _контролі_, 
   {{0x4a2d0101,0x697504ca,0x32cb02c3,0xb1d501b8}},	//   _duminică_, _apontame, _tyzden_, _koolitam, 
   {{0x429000eb,0x0b70036e,0xa288032d,0x7c18015c}},	//   _bedann_, _abususta_, _уйсан_, _dynamesc, 
   {{0xe322017d,0xa200008d,0x739f012f,0x781c0059}},	//   _ブログジャンル_, _muhit_, _eturenaw_, _останало, 
   {{0x9bd50590,0xbed2000c,0xf29d0541,0x93dd02e4}},	//   _музейг_, _аноминац, _biljana_, _fwawar_, 
   {{0xe22b0060,0xd20e01f4,0x027f03ad,0xc3160099}},	//   _атанған_, _yashaydi_, _artna_, _badzi_, 
   {{0x7d88012a,0x1b710183,0xa947017a,0x2c520039}},	//   _kolorowa, _famotsor, _asilokot, _aretora_, 
   {{0xd2d90194,0x5956007f,0x39cc00af,0xbbb0022b}},	// [c6d0] _deveni_, _poblogae, _jugendfe, _flakavir, 
   {{0x5ffb0061,0xf4680205,0x4c67024f,0xe343027b}},	//   _첨부서류를_, _ҳавзалар, _tukunia_, _संभूय_, 
   {{0x72d901cf,0x8f5c0132,0x1f480044,0x52020005}},	//   _novem_, _ingatlan, _surprise_, _mesira_, 
   {{0x8fb302ca,0x325a00a8,0x77f0006c,0xe3f4012a}},	//   _هيونداي_, _mellis_, _abasusiw, _atutem_, 
   {{0x22120278,0xbb300019,0x827e011b,0xf6570147}},	//   _redha_, _экспорту_, _azonga_, _баллга_, 
   {{0xbda90309,0xdd6b025f,0xf9ea030c,0x79860144}},	//   _stansiya, _calmette_, _nattillu, _laghdait, 
   {{0x52120032,0x5bfb02af,0xab2c0170,0xdcb0002b}},	//   _belha_, _aragater, _akhalans, _গুনগত_, 
   {{0x43880037,0x97d70065,0x9c2e00ad,0x420002f6}},	//   _ማርኬቲንግ_, _ernsthaf, _cipakanc, _guhit_, 
   {{0x0fed0044,0xb2c50301,0x096b0098,0x40ef026f}},	//   _לסייע_, _nədir_, _bygninge, _اياڭىزدى, 
   {{0x42860263,0xd19b00e6,0x639502c3,0x17b60092}},	//   _lichaam_, _濮阳市农业局关于, _kreslo_, _forureni, 
   {{0x4b0c01cd,0x9e92014f,0xe3670058,0x05560161}},	//   _гушна_, _постали_, _vestigam, _платежны, 
   {{0x33660053,0x8b460682,0xf6390060,0x53e60074}},	//   _tanggal_, _विद्युती, _замананы, _varmaank, 
   {{0x74ac0040,0xe3950198,0xc316012a,0x0e0d0037}},	//   _ולשמור_, _glasbe_, _radzi_, _menderha, 
   {{0x61d10590,0xf2010212,0x3a4c023d,0x423701af}},	//   _нөхрөө_, _decima_, _sardegna_, _dalmika_, 
   {{0x130300fd,0x1bf00661,0x574801a3,0xe637045e}},	//   _armailt_, _envelhec, _هوُندو_, _валидни_, 
   {{0xcecc0361,0x3bdc00e6,0x2a1400a8,0x33f90342}},	//   _основным, _查看更多评论_, _alvasche, _fowum_, 
   {{0xadc5028a,0x23cd00c7,0x257b002e,0xfb1b023a}},	// [c6e0] _سڀيتا_, _монголла, _preuzeto_, _stoperce, 
   {{0xe75e0044,0xc8450261,0x0c55022e,0xad180013}},	//   _נוהגים_, _reklamad, _cantone_, _путиннин, 
   {{0x17810025,0xeebf00de,0x13040156,0x69490176}},	//   _व्यापादि, _استراتيژ, _baladoj_, _bilmarke, 
   {{0x2291051a,0xbab706a6,0x01a301aa,0x00000000}},	//   _lepas_, _baphikis, _aunchlay_, --, 
   {{0x5f760092,0x32d90160,0x22cf027f,0x631a011a}},	//   _芸能人ブログラン, _zovem_, _bimoshe_, _retiring_, 
   {{0xf3200119,0xf31a0040,0x9e2a0478,0x7e1800c7}},	//   _steyr_, _וכנראה_, _cooficia, _көмеш_, 
   {{0xd4f40169,0xe6070089,0xe70b0040,0x00000000}},	//   _সম্পৃক্ত_, _лазарь_, _בהעדר_, --, 
   {{0x929100a8,0x938600d6,0x71ab01e5,0x9f570436}},	//   _rabats_, _maorga_, _peregedé_, _ovlasten, 
   {{0x8f1a0037,0xf34d005d,0xec6201b2,0x664a0311}},	//   _መንፈስና_, _раартреи_, _astride_, _ጉራማይለ_, 
   {{0xb2d402be,0x21390047,0x95b70076,0xb37f0095}},	//   _hardin_, _identité_, _матурант, _adiatma_, 
   {{0x10070066,0x523b00f3,0x0290011e,0x7dd100a4}},	//   _машинд_, _akadingi_, _zelann_, _trajecte_, 
   {{0xb4770125,0x406700be,0xa3f8033d,0xec3d0311}},	//   _ýetginje, _манкурт_, _anoun_, _ንሮይተርስ_, 
   {{0xd9a00760,0xbd7100d6,0x7b690321,0x02d40138}},	//   _लक्ष्मीप, _بجائزة_, _odstavka_, _mardin_, 
   {{0x8fd20244,0x92d90465,0xd59a0040,0xd29102c2}},	//   _покупка_, _povem_, _ודווקא_, _gepas_, 
   {{0x43870130,0xb2d90219,0x224a0282,0x00000000}},	//   _adarre_, _develi_, _poumua_, --, 
   {{0x734d0262,0xf94d00c5,0x4f61029f,0x1ea40480}},	//   _meselem_, _全国人大常委会关, _preposla, _akhulise_, 
   {{0x00000000,0x00000000,0x00000000,0x00000000}},	// [c6f0] --, --, --, --, 
   {{0xa2d803f2,0x74e70024,0x62020240,0x1c7d0153}},	//   _ennen_, _ঘটনাই_, _cowiri_, _kørsel_, 
   {{0x3f5e014b,0xaf5d0022,0xf11c0158,0xa54a020a}},	//   _faraninn, _haraswan, _unikalny_, _گۇلزارلا, 
   {{0x217102b6,0x1b7e016f,0xc36e02c3,0x628801f9}},	//   _аграрлық_, _svennebr, _loggiou_, _inkapani_, 
   {{0x7032045c,0x6395005b,0xb24a00ce,0x029100e1}},	//   _spotrebn, _flaske_, _koumsa_, _fayaku_, 
   {{0x38420125,0x175f0012,0x2853021e,0xb3a20197}},	//   _adamlard, _इंज्वाय_, _fotoprod, _dwapo_, 
   {{0x40130159,0x1d08008f,0x92e8015a,0xe610011a}},	//   _romantiš, _autorite_, _gibiraa_, _ומבנים_, 
   {{0x036801c2,0x6387018a,0x95b20148,0xaa070318}},	//   _linguas_, _gwared_, _在這個版面進行投, _fetangut, 
   {{0x8038054e,0x48b30128,0x4e4800c7,0x54980137}},	//   _ngutainn, _секторид, _gitlernı, _тестээр_, 
   {{0xb2900129,0x03a2006f,0xc4240193,0x5d780169}},	//   _budata_, _iwapo_, _कर्णिक_, _নাজিরুল_, 
   {{0x86cd0209,0x62d90198,0xb04e0211,0xca17028f}},	//   _libanoni, _povej_, _избранны, _matatika_, 
   {{0x8e8d01cd,0x906e01a3,0xb291000e,0x4251006c}},	//   _фарши_, _تاجڪستان_, _gfpaa_, _alitshel, 
   {{0xa29100ad,0xa2d9014e,0x8d230194,0xa5e402d6}},	//   _tepas_, _covek_, _diminuet_, _жузъий_, 
   {{0x62d8053e,0x8b72014a,0x5af40122,0x00000000}},	//   _annen_, _عبدالمجی, _عرقیات_, --, 
   {{0x82910222,0x8bc601bd,0x574001be,0xe6f10168}},	//   _repas_, _вирусты_, _जननिर्वा, _beitostø, 
   {{0xc71800a4,0xe84200d1,0x2d19023a,0x9bf00192}},	//   _канаттуу, _চাংঘৰ_, _overovac, _scheidsr, 
   {{0x52a70133,0xe3a202a2,0x9c6300aa,0xb46b0040}},	// [c700] _arabni_, _gwapo_, _ferrtie_, _בלסמי_, 
   {{0x92910180,0x2fd204f2,0x5aa503f2,0x496702e5}},	//   _depar_, _quangcao, _matikais, _habichue, 
   {{0xb7a304ab,0x72cb019d,0xd5510094,0x0fa703ac}},	//   _području_, _adadza_, _айлары_, _dilempar_, 
   {{0xab030037,0x0d0c0362,0xd4330039,0x00000000}},	//   _እየጠነከረ_, _balongwe_, _ebakuntz, --, 
   {{0x91390111,0xc40b02c4,0x42e9002b,0x6d6100e6}},	//   _identità_, _pescoço_, _রিপাবলিক, _改革开放以来_, 
   {{0x315000c5,0x003d065e,0xe2d800f4,0xf96c0207}},	//   _东营市蓝天塑胶有, _fortolkn, _annev_, _ستياناس_, 
   {{0xb36802fd,0xd8aa02ea,0x430104a8,0x1fd80510}},	//   _aonghas_, _поздрави_, _nekakav_, _блокируе, 
   {{0x61b90276,0x4f5c00fb,0xa3950479,0xf04e0038}},	//   _бермини_, _angahlan, _kapsz_, _aşigiç_, 
   {{0x687b0074,0x7991005b,0x66bc0477,0xc35e02ee}},	//   _странах_, _muchacha_, _ukuranny, _alofili_, 
   {{0xcff3017d,0xf2900387,0x54b90037,0x431400e4}},	//   _関連商品を見る_, _bulata_, _ተመሠረተ_, _क्षणिकाए, 
   {{0xa2fe006f,0x5c53003d,0xa90f0344,0x92fe0370}},	//   _mawaziri_, _bastida_, _allangaq_, _bagilir_, 
   {{0x6f2b04d7,0x42680287,0xbda70013,0xa2ca0300}},	//   _sameigin, _chlazení_, _قازاندی_, _chodit_, 
   {{0x032400ef,0xc83d0153,0xbd3b0265,0x9d1600df}},	//   _asayinim, _ザはいません_, _orginele_, _opposant_, 
   {{0x238a0369,0x2f6a03ef,0x7dc901e8,0xbc7404f8}},	//   _abesalom, _nsabiman, _playland_, _modules_, 
   {{0x82910180,0x93950441,0x59f00309,0xc2e50007}},	//   _separ_, _kapsy_, _rusiyaya_, _alongua_, 
   {{0x49bf0476,0x16240058,0x52fc0225,0xe2e502b9}},	//   _kundenge, _litaliyä, _origet_, _زبیری_, 
   {{0xc36f0100,0x72d80135,0x7c480092,0xa2d8011e}},	// [c710] _mostovim, _dinen_, _ママの悩みに答え, _onnet_, 
   {{0xc250002b,0x5e6f0149,0xe1960052,0x42060165}},	//   _হাল্কা_, _kọral_, _kozačky_, _nakinaki_, 
   {{0xda270154,0x637c01f9,0x353204cf,0x23f000e6}},	//   _респинӂе_, _bacalwe_, _kwangaph, _ressenti_, 
   {{0x825a026c,0xee010006,0x19c60244,0x3c750455}},	//   _mollis_, _kecemasa, _отделено, _allumer_, 
   {{0xb2ce0116,0x525a0126,0x00000000,0x00000000}},	//   _horolog_, _hyllet_, --, --, 
   {{0x14f70066,0x3ca802b6,0xa2fc01c6,0x2a1e0297}},	//   _уралдав_, _аудиторл, _driget_, _либих_, 
   {{0x32c8003a,0x8e48022a,0xa2000369,0x0395044a}},	//   _munosib_, _jimatane_, _huhii_, _blasie_, 
   {{0x1048017c,0x733f02bb,0x726c02f6,0x46a303f8}},	//   _grafikko, _चर्चाओं_, _dakong_, _munuqlah, 
   {{0xe3dd0205,0x02d901fe,0x72d904a7,0xf29102ef}},	//   _финалига_, _sovea_, _moven_, _lepap_, 
   {{0xe68c0013,0xc2960097,0x43f8000e,0xec1e01a7}},	//   _مقداری_, _alaketu_, _angul_, _tempaus_, 
   {{0x92d80450,0x905f01d5,0x625a041e,0x230c00f2}},	//   _finen_, _ھماری_, _collas_, _armands_, 
   {{0xa2d8002c,0x4d0102ba,0x12fc0191,0x398a0090}},	//   _ginen_, _abamnene_, _kriget_, _akazotau, 
   {{0x0c060129,0xa394013d,0xc3a20326,0x00000000}},	//   _kwekọrit, _pensoj_, _atipa_, --, 
   {{0x47c70354,0xa89302bc,0x405a0107,0xf3ff0240}},	//   _газини_, _shikattd, _پروازی_, _lasutaki_, 
   {{0x661700e4,0x5c0b0666,0x93f80257,0xe31f034c}},	//   _प्रत्याश, _obiteljs, _engum_, _apasnıñ_, 
   {{0x42d9024b,0x354201d2,0xa2920331,0x226200ca}},	//   _joven_, _obohatil_, _avtaka_, _baltoesl, 
   {{0xb28802f8,0x3e3f0044,0x5f640344,0x645e0037}},	// [c720] _aokalani_, _theories_, _allaasin, _ጨርቃጨርቅ_, 
   {{0x325a0194,0x32650044,0x972400e6,0xdafd021b}},	//   _pollas_, _מוסקט_, _加快推进社会主义, _hotellis, 
   {{0xd14900f7,0xd9390226,0xc34800e6,0x01d20395}},	//   _מחיצה_, _amamanga_, _aimerai_, _aranžmá_, 
   {{0xc2d80594,0xe2000428,0xdce503f7,0x52e90086}},	//   _annet_, _arhiv_, _banahögg_, _moziban_, 
   {{0x5c5501bb,0xe29104f8,0x4259051f,0x00000000}},	//   _gürjüsta, _repay_, _هاولاتیا, --, 
   {{0xc9df0233,0x0b730277,0xcc6700ab,0x00000000}},	//   _laborada_, _madudula_, _rukuhia_, --, 
   {{0xea020011,0xec7504fd,0x22e20287,0x26150040}},	//   _ababatta_, _हीथ्रो_, _starosty_, _מודאג_, 
   {{0xc2d5044d,0xa39501b2,0xd37300f4,0xd29000f5}},	//   _aaroona_, _anasse_, _ditaned_, _bulara_, 
   {{0x7df601f2,0x736e0242,0xc27501bd,0x00000000}},	//   _ﻗﯘﺭﺋﺎﻥ_, _redaktə_, _ءﺗﯘﺳﯩﺮﯞ_, --, 
   {{0x4ebc052e,0x1bbc00d1,0x00000000,0x00000000}},	//   _decresce_, _শিল্পদ্য, --, --, 
   {{0x038601fe,0x5da8006e,0xd6c300d6,0x5a6101b5}},	//   _allred_, _antipata, _feistith, _crmlasts, 
   {{0xc2900263,0xb8f704e5,0x227e02a8,0xb26c0049}},	//   _gedaan_, _agwanidd, _bronż_, _pulotu_, 
   {{0x7a9e0180,0x118d0156,0x2d5d00be,0x00000000}},	//   _sithanen_, _טשופטשיק_, _كەچەتتەل, --, 
   {{0x02d60181,0xd7e400ef,0x12d80318,0x5b690361}},	//   _lovligt_, _angandiv, _kifee_, _домофона_, 
   {{0x64d603c7,0x0c7600db,0x49850488,0x9354037c}},	//   _डेनियल_, _धडल्ले_, _notikuma_, _liceret_, 
   {{0xa17d0044,0xf8ba0076,0xd6ba00f5,0x490700df}},	//   _מיגון_, _творец_, _саламнам, _audacieu, 
   {{0xa2b601da,0x27cb00d9,0xc7820025,0x62cb011d}},	// [c730] _forcat_, _maksulli, _व्यापारः_, _replici_, 
   {{0x12d90176,0xf2d90494,0x854e017a,0xd0b800be}},	//   _woven_, _doveo_, _abahahay, _جەڭەت_, 
   {{0x827d0037,0xd2d5017d,0x9b370082,0x0290032d}},	//   _እንረዳለን_, _pinligt_, _asubahin_, _etlaba_, 
   {{0xe2900028,0x13cb004a,0x537c0591,0x72d901e6}},	//   _mahad_, _arbası_, _byggmax_, _pamlsky_, 
   {{0xe20004bb,0x0b270052,0x332102e7,0xd2900278}},	//   _tshib_, _प्रकरणमा_, _awayan_, _lahad_, 
   {{0x129000b0,0x521e038e,0x4290019d,0x1496012e}},	//   _helaan_, _प्रश्नही_, _kulapa_, _rettentő_, 
   {{0x55bd003f,0x1c0e02d5,0xa3440111,0x5373036a}},	//   _bivadlah, _toitumis, _pucelle_, _malaude_, 
   {{0xf2d800c7,0x62fd01d7,0x2aaf01a7,0x67c200c7}},	//   _minem_, _traget_, _joukkoon_, _artığraq_, 
   {{0xd637048a,0x9aa70052,0x64370590,0x93f805ac}},	//   _пайдасы_, _मात्रामा_, _оршдог_, _ungum_, 
   {{0xde16000c,0xa2d8047d,0x62d90044,0xe26e03e6}},	//   _имеди_, _anner_, _novel_, _abroch_, 
   {{0x00000000,0x00000000,0x00000000,0x00000000}},	//   --, --, --, --, 
   {{0x82ec0223,0xd5a30561,0x52900313,0xac05017f}},	//   _албан_, _kliknutí, _dahad_, _akornits, 
   {{0xa29000dc,0xb37c0010,0x3e0b0265,0xdc680159}},	//   _aulapa_, _bemansb_, _minderja, _minusai_, 
   {{0x925a015e,0x120001c0,0xe2d803e0,0x8a620133}},	//   _poble_, _rediyo_, _enner_, _balleess, 
   {{0x72d80132,0xa93b0099,0x915f02e2,0x92d9034f}},	//   _ennek_, _akamunye, _annooney_, _azingce_, 
   {{0x33950531,0xc983002b,0x22dc0369,0xdc7200d8}},	//   _fresno_, _লুৎফর_, _mikouli_, _aperats_, 
   {{0xd8e90185,0xd21201da,0x6a0902c9,0xea060464}},	// [c740] _проектны, _medha_, _логодиць_, _bakabaza_, 
   {{0x1f660145,0xe6fd0208,0x32d800a8,0xb2d40090}},	//   _амаль_, _لیاسی_, _conex_, _angoita_, 
   {{0x0e390350,0xf9160162,0x8bed0149,0xd971047b}},	//   _kemahira, _ангилийә_, _ngwongwo_, _dustsúgv, 
   {{0x91660040,0x394601f4,0x83790099,0xf867015e}},	//   _בישולים_, _авиаҳало, _atsanya_, _аркага_, 
   {{0x5eaa0416,0x82c1032e,0xf9f90022,0x60740045}},	//   _victorie_, _jullisa_, _иншалар_, _становањ, 
   {{0xc78b0101,0x12f10158,0xd0a5021b,0x00000000}},	//   _servicii, _jesieni_, _плакать_, --, 
   {{0x32550089,0x8c7f0010,0x82d80120,0x524902f8}},	//   _tantanal, _akusiso_, _inneh_, _koemea_, 
   {{0x39d1046d,0xf0280156,0xb2d90267,0x50f80168}},	//   _eletshed, _בעיסבאל_, _poveo_, _bokhandl, 
   {{0x73160196,0x92d8005b,0x5e53034c,0x22e1020f}},	//   _madzi_, _yonex_, _нормасы_, _akunazo_, 
   {{0x3290004e,0x26d8004a,0xba950212,0x00000000}},	//   _bahad_, _пикетлар, _nationib, --, 
   {{0xea0603a0,0x22ec02a3,0xa57b00e1,0x73f90488}},	//   _bakalade, _intieme_, _eseeyeel_, _segumi_, 
   {{0x1152023d,0x7a240045,0x8efc045e,0x082e0061}},	//   _станишев_, _генетичк, _шунка_, _아기자기능선_, 
   {{0x7b1f003d,0x8ee200d9,0xb77400e2,0x5ac1003c}},	//   _demandan_, _атаки_, _boekerij_, _منهدم_, 
   {{0x52900255,0xc1f50243,0x821206b2,0xb19d0156}},	//   _tahad_, _cassenik_, _aedhi_, _אברהמ_, 
   {{0x0a5500be,0xf7b700d1,0x9d0100d8,0x4c010083}},	//   _بئلۉۉڭ_, _অঘাইটং_, _abilitat_, _abilitad_, 
   {{0xe4e60421,0x27230089,0x502e02c6,0x040602d4}},	//   _langjähr, _шоферы_, _bevedego, _bastiaun_, 
   {{0xd2d90064,0x576b0008,0x23e200e4,0xdb3400fa}},	// [c750] _noves_, _түркияга_, _stylistk, _binautis, 
   {{0x62b300de,0x56e602fc,0x8d6f0084,0x06480109}},	//   _candelo_, _barayagw, _ngomenta, _दुवैलाई_, 
   {{0xab8a010f,0xa7a902ee,0xa9840014,0xae22069a}},	//   _izingubo_, _intrapri, _rilindja_, _विस्तारल, 
   {{0x62900068,0xb9ef008d,0xa3e9023e,0x310401a4}},	//   _mudada_, _hukumatd, _مورخان_, _ofukamel, 
   {{0xf37a0342,0x034701a6,0x8aa2015e,0x00000000}},	//   _desalin_, _heketea_, _مەيلىنە_, --, 
   {{0xdf6b02d8,0x5af400e6,0xfade0008,0x00000000}},	//   _menatapn, _最新优惠信息及新, _protegit, --, 
   {{0x325a0016,0xc3ea01df,0x51040414,0xc3950374}},	//   _nobla_, _gentry_, _afukamel, _isesco_, 
   {{0x00000000,0x00000000,0x00000000,0x00000000}},	//   --, --, --, --, 
   {{0x8255002e,0xbae103ae,0x52cb00b6,0x80ff02bf}},	//   _kantonal, _avstande, _reedah_, _enshonal, 
   {{0xaa060177,0xe86d03f1,0x496602e7,0xa94e011d}},	//   _лылшамҭа, _adresár_, _kaniaadt, _deconect, 
   {{0xe28e001a,0x62d9018f,0x6ff6000c,0x715c027e}},	//   _حصولی_, _luvegh_, _itukumbo, _рудар_, 
   {{0x6a140113,0xe06e02ec,0xbc1d014d,0xb3ac0181}},	//   _إبليس_, _cabashoo, _naturwis, _ayupan_, 
   {{0x429201cc,0x9ccb03db,0xc0b40040,0xc96a0432}},	//   _uttara_, _amahlanu_, _באריזה_, _aktivere, 
   {{0xeb16041f,0x8ebb0524,0x80b700de,0x44da040f}},	//   _isiprofe, _rukometn, _نفوذه_, _порна_, 
   {{0x06bb00a4,0x1a1703c3,0x12b4014a,0x2d9003c6}},	//   _айланасы, _hrabrost, _bevallás, _beleanne_, 
   {{0x10350272,0xaea90455,0xcae80066,0x00000000}},	//   _anneetoo, _allumage_, _libreare, --, 
   {{0x877401b6,0xc201010d,0xefed01a3,0x00000000}},	// [c760] _ברעננה_, _luxio_, _ڍاٽڪي_, --, 
   {{0x62d9005b,0xa99601bd,0x7e690107,0x3d2d02a4}},	//   _hover_, _бастысы_, _بياتي_, _efficere_, 
   {{0xcdb300e6,0x72e50082,0xec800388,0x00000000}},	//   _终点站禄口机场出, _cinnawa_, _недей_, --, 
   {{0xbefc025b,0xe2240287,0x12d90212,0xea2600c1}},	//   _tilvilda, _čekal_, _boves_, _डांबरी_, 
   {{0x2290030b,0xbf6b019b,0xc04b04f9,0xedb4020f}},	//   _bulaga_, _atrankos_, _amerlann, _وربښلی_, 
   {{0x3b1900ca,0x4f5b043d,0x3c560314,0x9a710207}},	//   _relacion_, _melaksan, _батырлығ, _watakuwa_, 
   {{0xd2d80300,0xd2940176,0x6b1601cd,0xda830151}},	//   _tunery_, _biikiti_, _asiprofe, _camogeyn_, 
   {{0xbb010203,0x20bb01ac,0x713700c7,0xbb8b03e8}},	//   _gnostica_, _ceiltigh_, _баткач_, _poljščin, 
   {{0x6290046d,0x03a2019c,0x0d1903ae,0x45fa00be}},	//   _fulaga_, _atipe_, _helsefor, _مۅڭگۉۉگۅ_, 
   {{0x66bc078b,0xb4ac0122,0xa75e03ce,0x00000000}},	//   _भक्तन_, _bayangak, _ومافه_, --, 
   {{0xba710207,0xd26a011d,0x92cb00f5,0x462903ea}},	//   _yatakuwa_, _фавораби, _bagdat_, _soviétiq, 
   {{0x3321033d,0x3c760497,0x0a090326,0xd201012b}},	//   _mwayen_, _allseed_, _angawana_, _kupie_, 
   {{0xfb620067,0x40f30128,0x7b6c046f,0x849700cb}},	//   _aadreesa_, _рекордла, _autofuer, _дискҳои_, 
   {{0xae710025,0xac6d00c3,0x76a30157,0x060a055f}},	//   _आसन्न_, _futurum_, _zarezerw, _sindirim_, 
   {{0xc321020d,0x223104df,0x39620318,0x8c5b0322}},	//   _utuye_, _atamdan_, _malolele, _bakunde_, 
   {{0x027f028a,0x4eba02d3,0xad1a000c,0x72c60092}},	//   _kwenye_, _топла_, _ahenduse_, _forlade_, 
   {{0x62100061,0xf3010321,0x00000000,0x00000000}},	// [c770] _교육인적자원부_, _igralci_, --, --, 
   {{0x227f019f,0x82d90192,0xe20002e7,0x9f08018d}},	//   _mwenye_, _zover_, _buhis_, _ብውሕሉል_, 
   {{0xdddf004d,0x68bb0037,0x135f03db,0x4c610157}},	//   _反賄選活動照片專, _ከመፍታት_, _ningene_, _torunia_, 
   {{0x96cb012a,0xd26c016e,0xa9c705a8,0x526303cf}},	//   _podgrzew, _kalitesi_, _bólinga_, _maliyeti_, 
   {{0xaa0700b9,0x6ccb003c,0x16410007,0x64740429}},	//   _bulannya_, _سردخانه_, _komibiki, _dilesenk, 
   {{0xe2910630,0xe52601f0,0xd52c01e7,0x114004a4}},	//   _arcaic_, _kuirinio_, _langweil_, _sgallach_, 
   {{0xd2d80130,0xf10600d6,0x7aaf016a,0x65af0161}},	//   _ginea_, _machnamh_, _merkaton_, _polkupyö, 
   {{0x949600f5,0x87aa025b,0x3b7e0052,0xd9c1030b}},	//   _шүкүр_, _listarli, _गणेशमान_, _badderee, 
   {{0x727a00a6,0x00000000,0x00000000,0x00000000}},	//   _besibini_, --, --, --, 
   {{0x7c6201c4,0xf3a200ce,0x862a0012,0xb31d0177}},	//   _optrede_, _ptipe_, _गुरहथी_, _рзынӡа_, 
   {{0x2d0d02c2,0xd01500ec,0x2a1c02b6,0xf2940282}},	//   _kenmerke_, _блізкі_, _مۇڭدارىم_, _tiikiti_, 
   {{0x835f026c,0xd201030b,0xa2d8001d,0x862700bb}},	//   _想收到這個搜尋結, _abaine_, _dinea_, _روہڑی_, 
   {{0xb9680231,0x435f036d,0x6427008d,0x086800c3}},	//   _civitate, _airgeid_, _хунрезли, _civitatu, 
   {{0x6d0b012f,0x644b00af,0xe373000f,0xefda00f5}},	//   _schlinge_, _всередин, _mahalle_, _топламак_, 
   {{0xf93a005e,0x5939004c,0x3daf0026,0x78d50297}},	//   _مةبلةغ_, _alimenga_, _roermond_, _африкасы_, 
   {{0xe4c3045b,0xe31e00bd,0x07b80361,0x00000000}},	//   _незаверш, _watchin_, _дицдинач, --, 
   {{0x79c300a7,0xa214014e,0xeeb400a4,0xb2d90085}},	// [c780] _assegure, _регистро, _directes_, _teveli_, 
   {{0xd6380567,0xc808006d,0x020c0153,0x00000000}},	//   _чаралары, _асфальце_, _逆アクセスランキ, --, 
   {{0xe2d90083,0x92900049,0x3f190213,0x00000000}},	//   _pover_, _kulaea_, _распиваю, --, 
   {{0x0a310173,0x1a080417,0x7f5b034d,0x7e43008e}},	//   _বালিকা_, _belangst, _pelaksan, _almariya, 
   {{0x0c5c068f,0x02240071,0x3a9300d9,0x5df501db}},	//   _etetaro_, _apikan_, _победил_, _كورنەكتى_, 
   {{0x374e021b,0xa2b30101,0xe2fd01da,0x0f0c0033}},	//   _крови_, _нормеле_, _drague_, _calcogns_, 
   {{0xc2b300ea,0x8c170080,0x1256017a,0x2263021a}},	//   _mandalo_, _ammarter, _anjengom, _gadiitti_, 
   {{0x02530013,0x52840343,0xec220074,0xc50800fe}},	//   _турмушга_, _bersikul, _kotisivu_, _fulunifo_, 
   {{0xb4830374,0x62df0344,0x5395013d,0x55b10272}},	//   _туркияда_, _alcoalu_, _kresko_, _bassebik, 
   {{0xbae00281,0xf68a0255,0x41c000db,0x62700175}},	//   _sineriss, _akadeemi, _उन्हउ_, _progranm, 
   {{0x89080169,0xbd7700a4,0x0ad1011e,0x8e9d016d}},	//   _দৃষ্টিহী, _anomenat_, _permanan_, _сайламға_, 
   {{0x2a3d020f,0x6b750167,0x3f1d0433,0xdb8a006c}},	//   _نازکه_, _bodedern_, _initalya, _сосон_, 
   {{0x73f20391,0xb2940227,0xf20001bb,0x04b10291}},	//   _иттек_, _diikuti_, _arhiw_, _bradaíl_, 
   {{0x4f4f01b4,0xd6cd028b,0xac7d025c,0x00000000}},	//   _seksuele_, _airamoai, _fressen_, --, 
   {{0x11e40297,0xc40402d3,0xd0440012,0x46440255}},	//   _aksiälär_, _indicaçã, _खिरलिच_, _narkooti, 
   {{0x1c260210,0x902201a0,0xf05c0223,0x00000000}},	//   _achataur, _coldrink_, _саусгоби_, --, 
   {{0x0c1c0249,0xf229010f,0x1bfb02e1,0x6b270089}},	// [c790] _edvaisar, _пешкаши_, _gianusso_, _аңлатуда, 
   {{0xde2703cc,0xe2d80288,0x228f022b,0xa50c00cb}},	//   _হোমপেজ_, _pinei_, _mikkjal_, _asemediy, 
   {{0x161800dc,0x1ff4012b,0x006f0303,0xa17303c2}},	//   _amaloloi, _rachunko, _bogakolo, _aahilley_, 
   {{0x83c501e0,0x499b042a,0x02040211,0x8fca0094}},	//   _کانونی_, _abekhole, _valikoim, _сапарғал, 
   {{0x20e60494,0xf76001bb,0x78310226,0x3147012b}},	//   _paradajz_, _пекге_, _atambasu, _kielcach_, 
   {{0x160b0244,0x56f20242,0x623b02e4,0x92fd00c5}},	//   _обработе, _biletlər, _djamant_, _fraises_, 
   {{0xb02d0066,0x96f20390,0x43b90008,0x2d9500b2}},	//   _христийн_, _liderlər, _llevant_, _ballinaa, 
   {{0xfe8900ff,0x625a01c2,0x1caf001a,0x16e20185}},	//   _סימפֿאָנ, _moble_, _تماشے_, _bürosı_, 
   {{0x08530414,0x289501db,0x77b10172,0x7ad4014e}},	//   _masseurs_, _клубтар_, _twetiatw, _ninković_, 
   {{0x0c150025,0xe074002f,0x9d4a00bc,0xea8d0014}},	//   _विद्वान्, _aleaccio, _کساني_, _printues, 
   {{0x3ea5057b,0x2ca60518,0x639500e2,0x4e60034e}},	//   _unidades_, _сарсон_, _doaske_, _chapakku_, 
   {{0x7a10023b,0x86c200f6,0xfe950422,0xc60302ea}},	//   _kupanaha_, _paltarı_, _načinov_, _борино_, 
   {{0x02900211,0x05110052,0x4292025c,0xf63404b9}},	//   _rahaa_, _प्रणालीम, _daraus_, _bonnieli, 
   {{0x1202022f,0x920002f7,0x42000013,0xf34b02f3}},	//   _kurios_, _bakiwa_, _ruhiy_, _paketet_, 
   {{0xe2900211,0x178601a0,0x9dc002fb,0x99d80037}},	//   _pahaa_, _etixelif, _kauitala, _የአዕዋፍ_, 
   {{0xf26c029e,0x38620162,0x4db302a8,0xceca02be}},	//   _arload_, _ﻧﺎﺩﺍﻥ_, _dijabete_, _alingawn, 
   {{0x0c7a0144,0x439500e2,0xb2fd03ae,0x00000000}},	// [c7a0] _czesiek_, _boaske_, _trygve_, --, 
   {{0xe200009d,0xf7df015e,0xf8940220,0x9b7f047b}},	//   _ishim_, _байгелүү_, _класира_, _barnakór_, 
   {{0x06c40113,0xebfa0094,0x62c30118,0x229000fe}},	//   _leasuith, _بىزدەگى_, _amadiini_, _tahaa_, 
   {{0xf9df0195,0x65e9037f,0x596c020f,0xc56101d5}},	//   _cartraid, _aybaşı_, _میډویډیف_, _hallottá, 
   {{0x529001bb,0x2c5f037c,0x662905e2,0xe2010212}},	//   _jahan_, _vestrum_, _soviétic, _digiti_, 
   {{0x78e3035d,0xbb0a04e5,0x3c19008f,0x52f10007}},	//   _prisustv, _abafalis, _kinnistu_, _bayinsi_, 
   {{0x9202001d,0xd344013a,0x1986012c,0x5c8200bb}},	//   _curios_, _rivende_, _swahilit, _کماحقہ_, 
   {{0x6a570135,0xcc6d00c7,0xbae8011a,0x336c0263}},	//   _анның_, _мордвала, _postpone, _valentij, 
   {{0x52910135,0x7db4003c,0x0afc0009,0xf29003bf}},	//   _abzats_, _دورود_, _napredne, _itlama_, 
   {{0x72d603e0,0x6e8f0170,0x64370220,0x62d80167}},	//   _schlass_, _amamuten, _concetto_, _bennawd_, 
   {{0x209d00d1,0x9380005b,0xf9d50262,0x167400bf}},	//   _নিতুল_, _ecurie_, _barlanda_, _австрера, 
   {{0xbc010319,0x0c6f0033,0x50710079,0x33a601be}},	//   _যুদ্ধাপর, _emprima_, _pamatsko, _साहित्यी, 
   {{0x4fae022f,0xae140016,0xc39400ce,0xe2900229}},	//   _майку_, _אָפפערס_, _inisye_, _cahan_, 
   {{0x63790068,0x626b0348,0xcc350233,0xf20200e6}},	//   _qaranka_, _alirokol, _globerec, _marier_, 
   {{0x62780306,0x5f3501c5,0xed24048a,0x585102f6}},	//   _akunas_, _musuqmaa, _деректем, _katumbas_, 
   {{0x580a0297,0x920004bb,0x144d0022,0x120003ad}},	//   _старты_, _tshim_, _машинаға_, _addijo_, 
   {{0x6d230730,0x2290021a,0x55210699,0xe200006f}},	// [c7b0] _politiet_, _gahan_, _abonerah, _wakiwa_, 
   {{0xb20000a1,0x52ca0534,0x526d041c,0xa97b04b1}},	//   _takiwa_, _hoidap_, _facong_, _grunneie, 
   {{0x5af20174,0x406d03ad,0x42c102b1,0x7af7004d}},	//   _aparteit, _temporan, _hallara_, _讓孩子享受有質感, 
   {{0x02420007,0x425f004a,0x8f010086,0x434703b0}},	//   _abombeli_, _avtoledi_, _بخوشی_, _stjerna_, 
   {{0x1320001d,0x8dbf0096,0x00000000,0x00000000}},	//   _aboyar_, _abaisila, --, --, 
   {{0x12900139,0x79f4053c,0xfe030053,0x501f02aa}},	//   _vahan_, _gaiás_, _kesegara, _zalezito, 
   {{0x0743018b,0x427d0037,0x74ac019d,0x83950223}},	//   _бойинка_, _እንሄዳለን_, _angadzak, _presio_, 
   {{0xcf3e0281,0x73210180,0x52dd00dd,0xf9a10127}},	//   _torralla, _mwayin_, _chronni_, _daskirie, 
   {{0x43b00088,0xbfa4027e,0x1f9c0187,0x7c7d003d}},	//   _مليارد_, _недовољн, _колоквиу, _auessen_, 
   {{0xed89021c,0xd924019b,0x2bc901eb,0x39090059}},	//   _polotova, _быццам_, _compléto, _медала_, 
   {{0x92ca0494,0xee3001a3,0xd0e301a3,0xd149032d}},	//   _prelazi_, _الڪتاب_, _اُجرو_, _төрткөлә, 
   {{0x12d80467,0xb2fc0453,0xfd0300bf,0xb29000d9}},	//   _hinet_, _stigne_, _кормов_, _pahan_, 
   {{0xa2000028,0x47a50075,0x4681025c,0x1379015d}},	//   _geliyo_, _sundalag, _landkrei, _obrazka_, 
   {{0x8efd0256,0x69600060,0x630e036e,0xa986024f}},	//   _pagarinā, _الحوجا_, _atmayuq_, _tagicaka_, 
   {{0x1e1800bc,0xd2d9026c,0xa2370423,0x6e760017}},	//   _esteghla, _movet_, _krajka_, _dočetl_, 
   {{0x03a80657,0xa292081a,0x288700d7,0x1af50180}},	//   _dilarang_, _kusabc_, _ҡазанда_, _inportan_, 
   {{0xa06d037c,0x895e021c,0xe2760344,0x92480211}},	// [c7c0] _temperan, _fulltext, _allartum, _rimmaa_, 
   {{0x82d800c3,0xd290081b,0xdb710071,0xbc15004d}},	//   _finem_, _edukalt_, _دارکوب_, _國民旅遊卡_, 
   {{0xd202007b,0xb0f803d5,0x8116026f,0x2a7d0289}},	//   _auries_, _ancientl, _مايباس_, _kumadera_, 
   {{0x3ddc0244,0x428201e1,0xd29002dd,0x923000d2}},	//   _облицовк, _bamamedi_, _dahal_, _agamana_, 
   {{0x119c00ff,0xbc7f01f4,0x8ab80008,0xb2ca03f1}},	//   _פֿעדעראַ, _yakuniy_, _болмокчу_, _chodbe_, 
   {{0x83160238,0x129100f5,0xdf3f023a,0x33640109}},	//   _експертн, _dogany_, _fungovan, _एमबिबिएस_, 
   {{0x1d820312,0x629100f2,0x8c7700c1,0x6eb100b4}},	//   _landerne_, _gabals_, _मुव्ही_, _arestare_, 
   {{0xe2d80516,0x02000179,0xd24a0387,0xae410185}},	//   _unner_, _ledino_, _olumba_, _хәмзин_, 
   {{0x5d8305c0,0x620002ec,0x929000b0,0xc189000a}},	//   _འཕྲོད_, _celiyo_, _ardada_, _allatorl, 
   {{0xda0800cf,0xf54900bf,0xaae100db,0xcb69004d}},	//   _attamitt, _готовили_, _kritisee, _關懷四川震災_, 
   {{0xce030350,0xbb23020f,0xa4b9018d,0x11b30040}},	//   _kesedara, _عالخط_, _ተመስረተ_, _היהלומים_, 
   {{0x72060362,0x6042002b,0x2da800a5,0xb8c0002b}},	//   _bakimaki_, _অন্যমনস্, _lilomaia, _নবগঠিত_, 
   {{0x7290041b,0xdaf503e3,0x029100b5,0x0eab012b}},	//   _maham_, _enportan_, _angapy_, _kosmiczn, 
   {{0xe2000449,0x720105cf,0x03790573,0x05d3025b}},	//   _jedino_, _kupio_, _garabka_, _landafrø, 
   {{0x77a304ab,0x02e700f3,0xf9b00092,0x4fb1013b}},	//   _područja_, _ukunika_, _利用ガイド_, _multicab_, 
   {{0x5ea1046d,0x52330203,0x6b0a016f,0xaaf60403}},	//   _mukriste_, _erodierm, _зателефо, _averimbe, 
   {{0x92d8012d,0x33ff0357,0x32250318,0x85f001eb}},	// [c7d0] _winem_, _basuraki_, _apuku_, _arimétik, 
   {{0x09ee036e,0x00dc00bf,0xb29002ec,0x650d0017}},	//   _aanishqa_, _монгольс, _bahal_, _बोलिरहेक, 
   {{0x105600ff,0xb367004e,0xa255040f,0xf24a0348}},	//   _ליזענסק_, _langgam_, _supermam, _alumba_, 
   {{0x229003f6,0x1e57012c,0x4bc904a7,0x20180012}},	//   _kulana_, _فروشن_, _compléta, _नंगधड़ंग_, 
   {{0xc2be0074,0x83f20369,0x39c10228,0x32d80062}},	//   _подключе, _baalebek, _ordensre, _dinej_, 
   {{0x89d100d1,0xa200005b,0xd3210225,0x04230040}},	//   _অসন্তুষ্, _ishii_, _mwayon_, _הנעלם_, 
   {{0x928b03cf,0xc2d800d3,0xad900156,0x520000fe}},	//   _tamamlam, _linek_, _פּרײַמער, _melino_, 
   {{0x8bc90047,0x52d6025c,0x97b10009,0xa3f903c2}},	//   _compléte, _schloss_, _prestavi, _augury_, 
   {{0x0b620381,0x29900074,0x67b6002b,0x631300e6}},	//   _analyzer, _omakotit, _বেআইনি_, _tambour_, 
   {{0xc3790573,0x54b90037,0x92fc0267,0xc94c0311}},	//   _carabka_, _ተመሰረተ_, _stigle_, _እተዘውትር_, 
   {{0x12d80062,0x05f70208,0x810001fc,0x363001eb}},	//   _binej_, _باردۆخی_, _digiriiy_, _igananci, 
   {{0xe290046d,0x668502eb,0xe51b01cd,0xcd0203d5}},	//   _mudala_, _петровис_, _abashoyo_, _bailment_, 
   {{0x2cb7014f,0x75c5002b,0x52d80189,0xe6c60076}},	//   _границе_, _একতরফা_, _sinem_, _дневниот_, 
   {{0xd2d8014a,0xf26c024a,0x728b00e3,0x00000000}},	//   _minek_, _ihooho_, _dijafram, --, 
   {{0x5a3900ee,0xe37f007d,0x629000a1,0x9eb801af}},	//   _телевиз_, _melanda_, _tahae_, _arazmyra, 
   {{0xc2d9029e,0x914400be,0x3bf301df,0xc23e00ad}},	//   _envel_, _بىزعاچىع, _brithers, _nyampak_, 
   {{0x548200e4,0x72d801fc,0x53960204,0x00000000}},	// [c7e0] _regulacj, _ginek_, _vatsan_, --, 
   {{0x32900120,0xc7210092,0x9d0003b1,0xc43401ab}},	//   _dahab_, _まだトピックはあ, _mélange_, _कन्फ्यूष, 
   {{0x42010198,0x4354001a,0x627c003f,0x7363026f}},	//   _kupil_, _sikeres_, _dadarupm, _бояймын_, 
   {{0xb2d8014a,0xe7b501d9,0x5290002c,0x407d01d3}},	//   _kinek_, _onbedeng, _dudala_, _gruppern, 
   {{0x0a3f0107,0xb378008b,0x32b80237,0x00000000}},	//   _شمردن_, _dogalna_, _베트남에서_, --, 
   {{0x82060282,0xba1400d8,0x00000000,0x00000000}},	//   _hakihaki_, _concorse, --, --, 
   {{0x804d0064,0x51fe003e,0x40570078,0x092104df}},	//   _tarragon, _bodiplom, _дискова_, _тәзеден_, 
   {{0xcbdd0255,0x6255008c,0x63ac0222,0x57350223}},	//   _बप्पा_, _cantunal, _lespac_, _будилж_, 
   {{0x4de0003b,0x94d70039,0x8a6300be,0x134600ba}},	//   _akukakha, _сахарын_, _بۅرۉباي_, _مۆرینهۆ_, 
   {{0x6b910312,0x6f07019e,0xfa99028a,0x7e610145}},	//   _gwengolo_, _гравюры_, _عيادت_, _kambaria, 
   {{0x8bcc019c,0x3fbb0261,0x0c0001ad,0xcc680120}},	//   _ikasẹgbẹ_, _adaptiĝi_, _hérens_, _qusubih_, 
   {{0x32900255,0xd20004bb,0x926c03d0,0x62b00025}},	//   _tahab_, _tshia_, _radove_, _arciḥ_, 
   {{0x32d801fc,0xab1801a3,0x187901c4,0x99890092}},	//   _cinek_, _دوستاڻي_, _gimnasiu, _biskoppe, 
   {{0x06c405b1,0x82d80119,0xa31e00bd,0x3f28022c}},	//   _banskoby, _koblenz_, _catchin_, _ciptaana, 
   {{0x50dd00a2,0xff62023d,0xa8c100d1,0x499d00cb}},	//   _بيمثال_, _форумна_, _জালুকবাৰ, _докторон, 
   {{0x320201ef,0x5fbe0311,0x00000000,0x00000000}},	//   _kurias_, _ብዘይወዓል_, --, --, 
   {{0x8cd402c3,0x2986008f,0x340a009a,0x3cc501e5}},	// [c7f0] _uskutočn, _बरामदा_, _abantliz, _daniloju_, 
   {{0x02d80120,0x4ce2020f,0x525a00a4,0x00000000}},	//   _cineh_, _ټیلیفون_, _pobla_, --, 
   {{0xf20003dd,0xa2d80052,0xcbe90075,0x5e450183}},	//   _ishin_, _zinek_, _einhvørj, _faradofa, 
   {{0x1135019b,0x4a0703c6,0x01a70153,0x8d3e031a}},	//   _pergalės_, _passeard, _ズ株式会社_, _phapanac, 
   {{0x72c10333,0x8af3033e,0xf225034f,0xc4b600ec}},	//   _gallura_, _burrerit, _aquka_, _kampanij, 
   {{0xde1d000c,0x4f90001b,0xcfdb0153,0x432003dc}},	//   _adverbia, _aarmisto, _tophisto, _greyt_, 
   {{0xd9d104ba,0x73f8015e,0x76c700d5,0x3e82010d}},	//   _ponteved, _aigua_, _namboari, _प्रक्रीय, 
   {{0xa2020433,0x83f9008b,0x207002be,0x341c00c6}},	//   _burias_, _diwug_, _aambisyo, _журналом_, 
   {{0x3bc000d1,0x7f2201d2,0x8c67006f,0xed26010f}},	//   _বাঞ্চনীয, _altumisa, _manufaa_, _ahlomile_, 
   {{0x0290019f,0xaf98005e,0xfe9202e5,0x93a802be}},	//   _kulala_, _تەلۋە_, _cáusare_, _hilagang_, 
   {{0x99ce01a4,0xdda9008d,0x84380061,0x72d602c8}},	//   _akambaka_, _fransiya, _나와요닷컴에서_, _aproban_, 
   {{0x544c009b,0x74dc02ec,0xb2d8011b,0xe2020073}},	//   _нотариат, _وتھرٕچ_, _minei_, _furias_, 
   {{0xc463073e,0x6f4b02da,0x190e0094,0xc1fa036e}},	//   _menerapk, _comprara, _зардабын_, _chinusim, 
   {{0xcd400025,0xd9e4048f,0x22900513,0x95bb0183}},	//   _क्षेत्रं_, _bakomona_, _lulama_, _hikatsah, 
   {{0x85ba0444,0xc99601c7,0xf8210366,0x9e2d0153}},	//   _назначал, _balkanda_, _варĕнчен_, _ふたりの食卓_, 
   {{0x72d50225,0x0da20208,0xe30701b2,0x00000000}},	//   _angogen_, _ڕاینه_, _bulbing_, --, 
  
   {{0xfc6104ee,0x6c2c00c5,0x82d80418,0xf3200376}},	// [c800] _eserese_, _banques_, _manevi_, _breyt_, 
   {{0xe2ea05e2,0x440e00ed,0x69f30390,0x735f0176}},	//   _sesión_, _boardman_, _fikrincə_, _tingene_, 
   {{0xa2000705,0x3d030252,0x5c4c0219,0xcc5602c9}},	//   _pedido_, _maambele_, _bakwati_, _postate_, 
   {{0x1c9300a4,0xcf0a0187,0xe2920148,0x223903f4}},	//   _سالات_, _симптоми, _mutata_, _зовут_, 
   {{0x5c510173,0xd8e10276,0x3c0104fc,0x00000000}},	//   _ventana_, _مونالىزا_, _যুক্তিতর, --, 
   {{0x3ba600ac,0xac530117,0x389a0196,0x87aa032c}},	//   _prekinuo_, _wastaua_, _chikhulu, _atatsimi, 
   {{0xcb62038a,0xf3130339,0x3c3a0126,0x95da0137}},	//   _gentiana_, _kūbita_, _занедбан, _лидерүүд, 
   {{0xdb0900c5,0x0bed01b2,0x8c6d038a,0xf22c01a0}},	//   _compéten, _seafarer, _amirika_, _exivandl, 
   {{0x579403c2,0xfb840013,0xa36c01ef,0x527f016a}},	//   _shatteri, _افراطیلی, _lengvai_, _lignon_, 
   {{0xd84b02a4,0x9a1e008d,0xb2010157,0x52910381}},	//   _litteris_, _чилим_, _kupic_, _efxay_, 
   {{0x740a03dc,0xc503011d,0x935601d1,0x79980157}},	//   _musikksk, _критикат_, _insects_, _spokojne, 
   {{0xd8ab0191,0x8344006e,0x8c7f0420,0x8aaf0258}},	//   _ansvarig, _beddiku_, _passeio_, _coehoorn_, 
   {{0x64220388,0xf595009b,0xc0c80344,0xe8f5030d}},	//   _indirizz, _igerilek, _anillall, _aslanovu, 
   {{0x2f3a01e1,0x7dd400e6,0x00000000,0x00000000}},	//   _diofisin, _金融界网站_, --, --, 
   {{0x13f80008,0x02900133,0xee7800ff,0x62b40079}},	//   _sigui_, _bahaa_, _געקױפֿט_, _veica_, 
   {{0x221301e1,0xe8ba046b,0x3386004d,0xe6af0193}},	//   _letho_, _neithiwr_, _清華公佈欄_, _reruntuh, 
   {{0x42b40256,0x115a0593,0x00000000,0x00000000}},	// [c810] _teica_, _situasjo, --, --, 
   {{0xa25a0047,0xf290003e,0x5883002b,0x2c190118}},	//   _filles_, _dulaba_, _ভট্রাচার, _bassekab, 
   {{0xb29200b8,0x1d04012c,0x13200034,0x429000fe}},	//   _jutata_, _ڳولها_, _freyr_, _fahaa_, 
   {{0xd5a00061,0xf0b800e6,0x694e02f4,0x00000000}},	//   _건강하세요_, _如果您认为本词条, _recolect, --, 
   {{0xc225019c,0x43b704ac,0x888702ac,0x9f3d0132}},	//   _apakan_, _korvata_, _الهكرز_, _ivartala, 
   {{0x2ebd00de,0xd2fc03dd,0xc1430399,0x90c000bb}},	//   _abantwen, _francez_, _komesial, _ملتاہے_, 
   {{0x627601db,0xd8660202,0x73420225,0xd292022c}},	//   _ءﺗﯘﺳﯩﻨﯟ_, _alailẹgb, _terepon_, _empang_, 
   {{0x027f06b2,0x73660108,0x26a70479,0x9eb50061}},	//   _mwenge_, _tangkal_, _ügyintéz, _아니신가요_, 
   {{0xb2ec03b2,0xe29001ad,0x361800da,0x1e0c03ac}},	//   _february_, _culaba_, _valorifi, _diidamka, 
   {{0xcc6201f1,0xf3dd0205,0xf249010e,0xe2df03c2}},	//   _forumin_, _финалида_, _anemya_, _bannaig_, 
   {{0xd62b006a,0x99400074,0x47cd0156,0x00000000}},	//   _ampihari, _enemmist, _ציענד_, --, 
   {{0xd2250369,0xdc7500d3,0x67640326,0x52130109}},	//   _kaakoo_, _मुण्डन_, _anditsig, _pochvy_, 
   {{0xdb9e0096,0x69cd01da,0xf213031a,0x699304df}},	//   _arahagar, _libohova_, _lochty_, _dushurme, 
   {{0x3273019c,0xa3010160,0x09490059,0xdd480371}},	//   _fúnra_, _obrasci_, _кредитир, _мазнинит, 
   {{0x0ba800c7,0xc2830403,0x93af02c8,0xf302015d}},	//   _хакимият, _ahikama_, _cristián, _मालिकाना_, 
   {{0x74a701c7,0xd29001c8,0x52d9033e,0x037e0234}},	//   _агасынын, _oslava_, _invea_, _nísókí_, 
   {{0x06540364,0x7b750156,0xb3ac0100,0x02e10313}},	// [c820] _diskutei, _גנבֿעט_, _okupio_, _minifig_, 
   {{0x126c0220,0xa9d6002b,0x79d103b7,0xae7c0161}},	//   _istituti_, _ডার্কলর্, _arificat, _хирургии_, 
   {{0x82ea0051,0xc39601d8,0x92920456,0xb05a0311}},	//   _skaidro_, _yatsen_, _ampang_, _መራሒኦም_, 
   {{0x1f220173,0x336603b5,0xe3590037,0x007d018b}},	//   _কাঁচা_, _pangkal_, _ትውልዶች_, _фалса_, 
   {{0xbeda00f5,0x81d502e4,0xc95a0123,0xb355030d}},	//   _биологик, _dellijam, _berolige, _anceles_, 
   {{0x8bc101f2,0x4dc7001a,0x32fe02e2,0x427f01dd}},	//   _ﭘﻪﻳﺪﺍ_, _munkanap, _pothole_, _bwenge_, 
   {{0xd5ea0197,0xbfdc00ae,0x6ee6003e,0x72bc014e}},	//   _minimòm_, _atazoron, _алыпбары, _познатиј, 
   {{0xe8c40367,0xf68c00b9,0xea0701a3,0x650d0193}},	//   _liberdad, _मलबार_, _tutaende, _देशभक्ती_, 
   {{0xeb910104,0x3b7201bb,0x52000261,0x5e030057}},	//   _kwenkolo_, _forumyna_, _helico_, _kekerapa, 
   {{0x00000000,0x00000000,0x00000000,0x00000000}},	//   --, --, --, --, 
   {{0x10e9005e,0x9c0600a4,0x661602f3,0x4f64022d}},	//   _ﻣﯘﻗﻪﺩﺩﻩﺱ_, _estrany_, _tillagni, _andassin, 
   {{0xcca000c5,0x1272004d,0x35ac0012,0xf8a80039}},	//   _信息化建设_, _是否提供電子投標_, _सोभति_, _халтирга, 
   {{0xe7a200e2,0xe6dc0097,0xedb30224,0x7d650153}},	//   _easterei, _idakẹjẹ_, _barnaupp, _への画像投稿機能, 
   {{0x92ea0020,0x2394045e,0x00000000,0x00000000}},	//   _siriwan_, _unisce_, --, --, 
   {{0x6264005b,0x54d6008f,0x2eb70060,0xbc7602a0}},	//   _syslog_, _मानियो_, _шариғатқ, _idariji_, 
   {{0xc240012c,0xdb360758,0xb5e001d5,0x226a0216}},	//   _مجموعي_, _ababenes, _panoráma_, _eyerusal, 
   {{0x152600c4,0xbb0d0274,0xeb080098,0x00000000}},	// [c830] _رانديگر_, _pressuna_, _velsigne, --, 
   {{0x1e53005b,0xc905040e,0x5fe5016e,0xaf15025c}},	//   _chocolat_, _যুক্তিহী, _kartları, _sonderan, 
   {{0x45030036,0x02fc0207,0x5fd200d0,0xc648004f}},	//   _ناضجة_, _ndogo_, _болсоан_, _faaydaal_, 
   {{0xddbd0298,0x65a4034c,0xe986009b,0x63f402c7}},	//   _hukarere_, _ambitsiä, _таксич_, _sattel_, 
   {{0xb2d802c7,0x194202ac,0x268a023e,0xfd3101e5}},	//   _ihnen_, _mailísea, _akadhemi, _itankale_, 
   {{0x7f9c029a,0x9ab50061,0x83b001fc,0x12f000fe}},	//   _permisyo, _연락주세요_, _laaqo_, _kikivoi_, 
   {{0xfb080172,0xdd8e02c2,0x2dbd00a9,0x286c0175}},	//   _adesamma_, _veroorsa, _mukarere_, _lenstans_, 
   {{0xd4970227,0x22b60259,0x00000000,0x00000000}},	//   _diwahyuk, _saucen_, --, --, 
   {{0x0cc00220,0xf2ec0373,0xe3d4028b,0x5de10022}},	//   _известни, _teaneck_, _ipotigui_, _әхнәф_, 
   {{0x39f5005d,0xb3e2019b,0x12920046,0x00000000}},	//   _jovái_, _prarasti_, _barats_, --, 
   {{0x923b00c5,0xe48c033a,0x437f0410,0x135f012c}},	//   _控制面板首页_, _protezzj, _tlhahla_, _jingine_, 
   {{0x1fad016f,0xceb0021e,0xc7b9046b,0xfeb9004d}},	//   _поточног, _agerande_, _deirgwai, _月光華爾滋_, 
   {{0x727e0193,0xb32100fa,0x00000000,0x00000000}},	//   _nyonya_, _awayin_, --, --, 
   {{0xcc150025,0x0eaf003d,0x8c3a01c9,0x2c080272}},	//   _विश्वात्, _trionfan, _मछियाला_, _bakugamb, 
   {{0x437b0276,0x12380162,0xdc7d0294,0xad3b059c}},	//   _експорт_, _органлир, _arusata_, _köstlich, 
   {{0xc5450046,0x3c7501f7,0xa936012c,0xbc6e002e}},	//   _ابادا_, _situats_, _mpambara_, _šarana_, 
   {{0x5a2b01ad,0x135f0102,0x06640156,0x92920499}},	// [c840] _hodonín_, _zingine_, _בארויבט_, _karass_, 
   {{0x063f05a9,0x22d80130,0x8722011e,0x06b801c7}},	//   _kwongerw, _annez_, _kantmenm_, _халалсыр, 
   {{0x84b304e5,0x163a0241,0xeef40109,0x3fe00061}},	//   _abachwez, _amananii, _सास्कृति, _개지방사무소_, 
   {{0x697b003e,0x00000000,0x00000000,0x00000000}},	//   _dimissae, --, --, --, 
   {{0x62b70130,0xa7de0206,0x82ca004c,0xcb7902a6}},	//   _kendalc_, _dizajnov, _alidda_, _ampuglia_, 
   {{0xa4850235,0x1c1d0373,0x827d01db,0x43ef0370}},	//   _स्थाने_, _רשעות_, _таратады_, _disodork, 
   {{0x83700179,0xcf4c00ec,0xf2fd04ca,0xf2d8021e}},	//   _dinamaf_, _ekspresa, _asagat_, _vinet_, 
   {{0xaef900ea,0x3e43037f,0xa07c00af,0xf5960060}},	//   _panjakan, _almaniya, _магазину_, _былтырғы, 
   {{0xd2d80046,0xad9f00a8,0xeb3602a0,0x00000000}},	//   _tinet_, _beindura, _omobirin_, --, 
   {{0x2e8f0334,0xfa3600ba,0x9c6901aa,0x068e0092}},	//   _adamuten, _ئانفال_, _aintsay_, _商品のご購入の際, 
   {{0x12d80300,0xca9501bc,0xd3020165,0x65790094}},	//   _ihned_, _toaniels, _kedatou_, _تاياۋداع, 
   {{0xc387012d,0x1c7603da,0x7b2c045d,0xd35f019f}},	//   _bearem_, _emeriri_, _omladins, _vingine_, 
   {{0xdd8f022a,0x69ee00e6,0x21b70188,0xf200011b}},	//   _filosopa, _大理风景名胜区内, _никохи_, _lakisa_, 
   {{0x263d03ae,0xa2fc0151,0xe4cb004a,0x95c7009b}},	//   _foreslåt, _aright_, _атакай_, _онхолдов_, 
   {{0x63ac0160,0x1200046d,0x826c0455,0xd7a801b9}},	//   _ukupno_, _nakisa_, _salope_, _miltipli, 
   {{0xd6cd0092,0x1f8d0153,0x9237007a,0x00000000}},	//   _教えて下さい_, _このブログは_, _apajua_, --, 
   {{0xad1e00c8,0x02580272,0xbf5c0013,0x43ac0583}},	// [c850] _ananelwe_, _abatakol, _қариялар_, _skupno_, 
   {{0xe118014f,0xf3f8007b,0xd1d80564,0xa2ee0365}},	//   _гимназиј, _shoud_, _poblinom, _golfem_, 
   {{0x198e002c,0x1c7f00a7,0x923a0333,0xc6560156}},	//   _зарим_, _enguany_, _alimanu_, _לייווז_, 
   {{0xdd950080,0xc2d8013f,0xc1c102eb,0x105a009a}},	//   _qallunaa, _sinet_, _zentroak_, _ارمانی_, 
   {{0xe5000024,0x43200358,0xd2ae033b,0x52d802e2}},	//   _উভয়ে_, _eseye_, _lebantšh, _enney_, 
   {{0xd78a0276,0xa62101b7,0x0a830026,0xa24a0316}},	//   _маканими, _विनाशयेत, _manieren_, _alumma_, 
   {{0x7c530759,0x805e01b4,0x6e1b034d,0x4bfa033f}},	//   _डोमेन_, _moontlik_, _kelebiha, _analasio_, 
   {{0x72b402ca,0xc2d80516,0x8da501c8,0x1292000e}},	//   _seice_, _tines_, _zamilova, _attaca_, 
   {{0x1635003e,0x134502c1,0xb2e1023c,0x5e7401a3}},	//   _элекке_, _mineduc_, _akunako_, _چئمپين_, 
   {{0x952c0170,0x4e380033,0x32600017,0x48f60060}},	//   _akangody, _egualita, _narodili_, _قامتيدى_, 
   {{0x1c2d0047,0xc3070227,0xb2f2011f,0xea330008}},	//   _manquer_, _bacalah_, _ҧкрак_, _барыптыр_, 
   {{0xbc6d01ec,0x32c4019a,0x92d8009a,0x00000000}},	//   _alireza_, _clampit_, _axhele_, --, 
   {{0x540303db,0x66c7041e,0x35f302da,0xc4f00022}},	//   _abangenz, _cambiari, _orientaç, _абруйы_, 
   {{0xacf00156,0x8870005b,0x215203b7,0xbe1002b0}},	//   _סאסערגען_, _pedantic_, _amblegay_, _dementsp, 
   {{0xd84e0036,0xc27f041e,0x8aed01fe,0xa3a2022f}},	//   _pellucid, _aignan_, _mapleton_, _etapo_, 
   {{0x44400122,0xa200034e,0x0e6e02a9,0x00000000}},	//   _العربی_, _hakira_, _вiльнi_, --, 
   {{0xf24c00bf,0x5b1f007d,0xb2d90197,0xadae017f}},	// [c860] _доступны, _kemaluan_, _diven_, _kingumut_, 
   {{0x8073003c,0x5200025f,0x1ee7004b,0x420100c7}},	//   _بهاره_, _bakisa_, _bonkiwan, _arxit_, 
   {{0x5eaf03be,0x79fb0064,0x8b620247,0x8282018f}},	//   _bimugoye_, _областта, _bentjana_, _peghlaw_, 
   {{0x52d9022a,0x42370246,0x00000000,0x00000000}},	//   _niven_, _нервната_, --, --, 
   {{0xeab70025,0xa2d802a2,0x8e830256,0x00000000}},	//   _मित्राणि_, _ahnee_, _optimizā, --, 
   {{0xe292038d,0x91dd03ee,0xb2f103cc,0x5b1802c2}},	//   _detann_, _oporavak_, _দুটোই_, _salariss, 
   {{0xb382030c,0xded5040f,0x2c040145,0x3b6700e1}},	//   _hansardm, _popierin, _tekstai_, _ganeyaan_, 
   {{0xf3a203b9,0x7d3a018d,0x7d030708,0x6ff8015e}},	//   _atipt_, _ርእይትኡ_, _abambele_, _داربىندى, 
   {{0xc8b602a4,0xca850188,0x96f60147,0x67580162}},	//   _fortiter_, _ҷумбиши_, _جوورۇعۇن_, _بولوپمۇ_, 
   {{0xb38b01fe,0xcdac0277,0x7c51023e,0x53f2012c}},	//   _bosstaki_, _gingamit_, _anitiha_, _hususani_, 
   {{0xd114034c,0x2ad60092,0xd04d00bf,0xe2ef029b}},	//   _konkursl, _で書籍を紹介しま, _извлечь_, _daffay_, 
   {{0x69140101,0x1a140203,0x06d50120,0xf2c102e3}},	//   _concursu, _concurse, _assakoxx, _malloca_, 
   {{0x027e0043,0x2b3f018d,0xd2d8021e,0x4bb40563}},	//   _byonna_, _ብዘደንቕ_, _viner_, _banjaluc, 
   {{0xb60b0330,0x1c16017f,0x82d901df,0x23a201db}},	//   _algoyati, _knuppel_, _aiven_, _кілтін_, 
   {{0x7d960243,0x22130056,0x040d00da,0x09ed01c2}},	//   _tallenna, _bethi_, _комбайнь, _requirid, 
   {{0xbafa008d,0xc4ab05f4,0x22790097,0xabf700d9}},	//   _долларни_, _allampak, _darapupọ_, _lastenps, 
   {{0xd2d90434,0xc18c027b,0x3e24011a,0x426c024a}},	// [c870] _viven_, _धरुवम_, _examines_, _ikooko_, 
   {{0x72d9000c,0x52000440,0x527e0272,0x3e380193}},	//   _inves_, _cakira_, _gyonna_, _पोर्टफोल, 
   {{0x174101a4,0xc2f3022d,0x52ca00a3,0xe4b2013c}},	//   _comprimé, _arbitru_, _skodje_, _pulların_, 
   {{0x02d900f4,0xb28000f0,0xf2840600,0x00000000}},	//   _anvet_, _skrinky_, _पालनकर्त, --, 
   {{0xf4b60139,0x2487027b,0x09170420,0xf9f6027b}},	//   _बहुतरं_, _निवासे_, _veiculad, _मृगेन्द्, 
   {{0x73a202e8,0x005f01fc,0xcaaa0360,0x9adf0059}},	//   _kuipa_, _anninnak_, _कृष्णहरि_, _protegge, 
   {{0x334200c1,0x21160040,0x31fe0009,0xb23700c4}},	//   _बेडूक_, _ישבנים_, _podiplom, _mauji_, 
   {{0x12d900a8,0x68760031,0x92ef0308,0xf29c0051}},	//   _livel_, _disinggu, _maninya_, _matrači_, 
   {{0x92b70074,0x72d800fc,0x3a880141,0xb200020d}},	//   _другими_, _binep_, _oldindan_, _yakira_, 
   {{0xb593019b,0xbb4c000e,0x00000000,0x00000000}},	//   _дэкараты, _pischels, --, --, 
   {{0x8d3f0212,0x5b630197,0xb2d902c8,0x6ab30361}},	//   _familiae_, _palmbeac, _tiven_, _интерене, 
   {{0xfa080518,0x59f30105,0xe20102ba,0x2a0702f6}},	//   _айрим_, _konstytu, _agcina_, _makakaya_, 
   {{0x92d90305,0x4f200105,0xb2d80486,0x00000000}},	//   _riven_, _interwen, _finep_, --, 
   {{0x0d2301fb,0x49100024,0x32130338,0xec6e00fc}},	//   _illicite_, _দ্ৰব্য_, _sethi_, _ghorqon_, 
   {{0x52780298,0xa4650267,0xb64e02fe,0x00000000}},	//   _takitini_, _arheoloz, _پاکستانئ_, --, 
   {{0x12d80085,0xa29203f3,0xde1801ee,0xc2e300da}},	//   _ganei_, _sprake_, _цlена_, _japonez_, 
   {{0xef0200a7,0x62d901c3,0x0a000115,0x14550039}},	// [c880] _акылы_, _inver_, _pasaraya_, _хурдаар_, 
   {{0xaff70148,0x27bf00e4,0x03770185,0x09560343}},	//   _行政院原住民族委, _मन्त्रों_, _faşistla, _mokonekt, 
   {{0xc2d801f0,0x5f33009c,0x478c0002,0xdb11020f}},	//   _banei_, _atispata, _začinski, _bangesos, 
   {{0x748e03d8,0x425a01c2,0x77b0029a,0x63f6025f}},	//   _napravlj, _fillos_, _dezenteg, _atelemak, 
   {{0xa2b40085,0xb20102f3,0x12e304a5,0xf5710488}},	//   _beici_, _vuxit_, _iphinde_, _tautasdz, 
   {{0x524903f0,0x43770262,0xb5d50082,0x82fe0326}},	//   _snemma_, _faşistle, _sarauniy, _fraiser_, 
   {{0x6a1603f8,0x72fe0455,0xb2d600c5,0x36d3001e}},	//   _domageha_, _traiter_, _parlent_, _bahaushi, 
   {{0xad370102,0x995e0131,0x00000000,0x00000000}},	//   _nyengine_, _autoxest, --, --, 
   {{0xb3f40005,0x83d8000c,0x1ec80371,0x890901b3}},	//   _purtar_, _дыннархо, _iniziale_, _насторож, 
   {{0xe2d9011e,0x6ae202e7,0x504b0282,0x1ddb0040}},	//   _anver_, _baylaran_, _atirikon, _ופלפל_, 
   {{0xc2d8018c,0xcd990125,0x6dbb048c,0xad81000e}},	//   _danew_, _gollanma, _anchassa, _inseniat_, 
   {{0x439d01a2,0xb26c01b9,0x1faa0187,0x2255000f}},	//   _televīzi, _balote_, _тренинго, _incelenm, 
   {{0x9213018a,0xafb600ff,0x0c64033c,0x405a02fe}},	//   _methu_, _מסכתות_, _mentrau_, _فرمایی_, 
   {{0x821303db,0x22d90250,0x87cb01c2,0x92e304cf}},	//   _lethu_, _enver_, _castelán_, _aphinde_, 
   {{0xcb020334,0x9c64015f,0x652f022d,0x00000000}},	//   _akusimba_, _fentrau_, _benestà_, --, 
   {{0x760300bd,0x162e0040,0x88f2020f,0x03630062}},	//   _bailieri, _charcoal_, _دګورجستا, _lenglah_, 
   {{0x946e03f4,0x322c0141,0x774301e1,0x18b301f1}},	// [c890] _время_, _ایشلب_, _русса_, _kulturor_, 
   {{0x5c3d0109,0x885d0141,0x715f006a,0x960102b9}},	//   _egyptě_, _bellashu, _sarobidy_, _پچاسی_, 
   {{0x67fe03cc,0xd3cf0062,0x42f9000c,0x725a01ca}},	//   _স্কুলছাত, _chavha_, _болгариа_, _noblu_, 
   {{0x429003a4,0xa4390410,0x2db60116,0xc3a80077}},	//   _okkara_, _boikanok, _bunghole_, _filalang_, 
   {{0x9db4019f,0xd2fc002e,0x82e70397,0x547302f6}},	//   _قوتون_, _uloga_, _eqiniso_, _kautusan_, 
   {{0x7889003a,0x604d0238,0x76600012,0x00000000}},	//   _талабала, _проте_, _नयनसुख_, --, 
   {{0x5982045f,0x1f1100da,0xc3a204b9,0xcca10213}},	//   _inskrive, _moldoven, _staps_, _тĕрлĕ_, 
   {{0x60bd0148,0x25d60039,0x13a802a2,0x6b340241}},	//   _俄羅斯帝王列傳_, _админууд_, _kilalang_, _baballis, 
   {{0x9a6d0410,0xea6d0305,0xd8470162,0x129901c5}},	//   _mengwaga_, _bygginga_, _сапалиқ_, _allpuntl, 
   {{0x52310205,0xf9670052,0xfb07046d,0x32f001e5}},	//   _بخورد_, _prosinec_, _mutsinda_, _fehinti_, 
   {{0x73ac0157,0x6349080b,0xe65400ee,0xc26c0318}},	//   _थर्मामीट, _neretvi_, _diskoetx, _salote_, 
   {{0xe4d700a7,0x426c009d,0xaf3903a2,0xbf46002b}},	//   _салайын_, _malore_, _बूटियों_, _এভিনিউ_, 
   {{0x48320060,0x0d4f03a2,0xee6b0291,0xb29704b1}},	//   _قارىم_, _क़िंगदाओ_, _خربشات_, _boikott_, 
   {{0x673d0461,0x1c0b0375,0xae5400b9,0x7369021e}},	//   _avantatg, _akupita_, _sumberda, _fingrar_, 
   {{0x360d0148,0xe8e20026,0xbdad0367,0x95ba029f}},	//   _humordri, _verslagg, _destacou_, _diskusné, 
   {{0x933d0247,0xddb80152,0xa25a00df,0xa29701fc}},	//   _میلاد_, _машинасы, _villes_, _amakket_, 
   {{0x4e970225,0x2c9e028b,0x63eb0028,0x12040061}},	// [c8a0] _gladness_, _аморал_, _khatar_, _리퀴드메탈_, 
   {{0xc2fd03b0,0x29e0035b,0x56a30032,0x024e0096}},	//   _trygge_, _navodila_, _dajustah, _abadayim, 
   {{0xe21303db,0x3b110263,0x3ea80212,0x4c280156}},	//   _bethu_, _misschie, _occurrit_, _דאָמיניר, 
   {{0x9e4800a2,0x37f60220,0x722a0448,0xfd0e025f}},	//   _آيتون_, _текстове_, _fremtid_, _balongue_, 
   {{0x3ef5014a,0xc27f0271,0xd9a400e6,0x4da203b2}},	//   _اسٹڈی_, _stengt_, _全面推进依法行政, _ascribed_, 
   {{0x321301cd,0x92d9005b,0xfff2005e,0xd3f80342}},	//   _wethu_, _mivec_, _ﻳﺎﺷﺎﺵ_, _daout_, 
   {{0x6dd702e1,0x20650060,0x0d0a00df,0xcf180462}},	//   _افتتح_, _سىقىلىقت, _autorise_, _aratroop, 
   {{0x02d800ea,0x8999012a,0x00000000,0x00000000}},	//   _echecs_, _cegły_, --, --, 
   {{0x52bd01c3,0xff3002eb,0xf2900087,0x500d029e}},	//   _acadoil_, _хөхтөн_, _kulaka_, _drevaden, 
   {{0x621303de,0xc29202c1,0x6acb0352,0x93ea00c5}},	//   _zethu_, _mutara_, _স্বচালিত_, _经过居民大力推荐_, 
   {{0x521303de,0xf37f00a1,0x82900165,0xa2070362}},	//   _yethu_, _takahia_, _dulaka_, _basilaki_, 
   {{0x98810046,0x698e004b,0x1cce00ba,0xa0160156}},	//   _ئجاارا_, _тарий_, _بیخۆن_, _חשובסטע_, 
   {{0x6290001a,0xc20b0226,0x053d0061,0x00000000}},	//   _emiatt_, _ehehleni_, _참조하세요_, --, 
   {{0x887001e2,0x22a00079,0xae0e038b,0xc9f200e2}},	//   _शैलेंद्र_, _miljonu_, _sendiria, _oparbeid, 
   {{0x02d80179,0xb2fe0026,0x760e020f,0x523a02ba}},	//   _lifes_, _otindex_, _زاخیلوال_, _amawundl, 
   {{0x327f023d,0x9d79018d,0xb3a200db,0x7e0a00e6}},	//   _utente_, _ብምትኳር_, _etapp_, _我的自选股_, 
   {{0x64240074,0x9a0e010f,0x92e80480,0x52d900cd}},	// [c8b0] _politiik, _бомбгузо, _akufik_, _anvei_, 
   {{0x235f012c,0xfaf401f0,0x5ef60153,0xf1590143}},	//   _kingine_, _gatselet, _元県職員汚職_, _повярвам_, 
   {{0x902f025d,0x82c706f8,0xfb60002e,0x999801d5}},	//   _tenesteo, _foreldri_, _zavrsava_, _fejős_, 
   {{0xd26c0388,0x43010298,0x435f012c,0x59bf0192}},	//   _valore_, _parauri_, _mingine_, _biedinge, 
   {{0x5d2d0497,0x130101e3,0xb55700be,0x335f028a}},	//   _shipboar, _obrazci_, _армияны_, _lingine_, 
   {{0xe30d0377,0xb2af05f4,0x82fc00e1,0xe4160291}},	//   _sambata_, _achachaw_, _degge_, _hidrigin_, 
   {{0xa6a80244,0xdc1b03d9,0xd200000b,0x13a20487}},	//   _арестува, _felaniar, _keliho_, _grape_, 
   {{0x438604c9,0xa3de0127,0x715102af,0x260d0094}},	//   _dtirol_, _diswel_, _mugutobo, _پيمانى_, 
   {{0x5c600047,0xf00a0321,0xf2d8004f,0x00000000}},	//   _lecteur_, _veljavno, _ganesi_, --, 
   {{0xa0550234,0xc3a20456,0x5a2b01a3,0xdf6c0128}},	//   _adarihun, _brape_, _ورڪشاپ_, _спортга_, 
   {{0xbd96008f,0xc2d80312,0xfebd027c,0xdfd50029}},	//   _tallinna, _ganet_, _abanqwen, _تۆڕێکی_, 
   {{0x62ee0334,0xe0c201e9,0xb7350177,0x9f2f0347}},	//   _heifer_, _boalafel, _aspéctop, _ignoreer_, 
   {{0x83c600d6,0xf23103dc,0x2a4402e4,0x82b40256}},	//   _تعالو_, _framman_, _riveduta_, _teicu_, 
   {{0xeade00e5,0x02d80312,0x17e501fb,0x97a00044}},	//   _карпа_, _kanet_, _establiv, _saturati, 
   {{0x66d302cf,0x3059011c,0xa2f80012,0x2520005c}},	//   _солидна_, _desatuto, _छुँछ्का_, _bahorany, 
   {{0x12b5019d,0xb64b0387,0x82d80052,0x326d05f4}},	//   _wandale_, _nleziany, _janem_, _astuquil, 
   {{0x7b67036e,0x72d801e6,0x00000000,0x00000000}},	// [c8c0] _ajilakor, _tunely_, --, --, 
   {{0xf2c3040b,0xf2d8023b,0x0a8f029a,0x12d801b8}},	//   _kholomo_, _haneri_, _komitman_, _tanel_, 
   {{0xa98101db,0x45510060,0x42d800e4,0x7b9e00e6}},	//   _ءبىرەۋدى, _ойлары_, _fanem_, _张炳贤等省代表视, 
   {{0x1e180256,0x495702d3,0x00000000,0x00000000}},	//   _galerija, _corrigir_, --, --, 
   {{0xecbc010f,0xc7c802ec,0x9dc0004c,0x12910343}},	//   _kukajesu_, _miisaani, _abaisima, _lapad_, 
   {{0x62d80163,0xd7e301cd,0xf98a0092,0x37c30272}},	//   _hanem_, _солимии_, _については_, _anattibw, 
   {{0x9f3a0471,0x965f02f3,0xf5b801cc,0x239600a8}},	//   _pemuliha, _konstnär, _asmadabh, _brusio_, 
   {{0xc2d8016e,0xe3800084,0x788201cc,0xf2920200}},	//   _tanesi_, _kopral_, _गिरीन्द्, _putara_, 
   {{0x57c80268,0xf12d006c,0xf92b02c0,0x97610143}},	//   _initialw, _вахте_, _indivídu, _скандала_, 
   {{0x887100d7,0x80e10040,0xe6f20326,0xa3a201da}},	//   _исмаһам_, _לדרוש_, _achakukw, _prape_, 
   {{0x810000b6,0xc3760156,0x00000000,0x00000000}},	//   _digibiiy_, _חשובֿער_, --, --, 
   {{0x6e9e0188,0xf9cc0299,0x7aa40130,0x26990137}},	//   _шаҳло_, _ئاتلىنىپ_, _diwyezhe, _далайлга, 
   {{0x72ea0052,0x225b008d,0xa356006f,0xba230059}},	//   _शुभारम्भ_, _egalik_, _mwafaka_, _banchett, 
   {{0xd2d801d1,0xaad7025c,0x82d800a8,0x4db30209}},	//   _panel_, _festplat, _eifer_, _aajukulu_, 
   {{0x908d01b6,0x89900088,0xab82026a,0x32780205}},	//   _לשיער_, _эпизоддо, _tikotiko_, _ravnaq_, 
   {{0x02900095,0x46180094,0x7f6401f4,0x3a8d03ad}},	//   _rikala_, _بەتتەگەن_, _falastin, _brazzule, 
   {{0x0441023b,0x032601db,0xac0101ac,0x933403ab}},	// [c8d0] _kalākaua_, _تاعىسىن_, _sailéad_, _parcely_, 
   {{0xf9e801a7,0x4db80010,0xc3f8015e,0x3628003a}},	//   _kustannu, _asengaka, _sigut_, _sahifasi, 
   {{0x2a3201c9,0x7be8018d,0x734b0130,0x02000222}},	//   _न्यौछावर_, _ርእሰማል_, _distreiñ_, _choisi_, 
   {{0x723706c2,0xf7ee0008,0x3c170013,0xfdb902aa}},	//   _abuja_, _аппендиц, _қурдирга, _paprikou_, 
   {{0x59680222,0xa8680005,0x520002e1,0x6ea201b2}},	//   _navigate, _navigatu, _choim_, _belthane_, 
   {{0x625a01c2,0x1b18014b,0xa2f20141,0x363e009a}},	//   _fillas_, _sadariss, _уктам_, _benikuli, 
   {{0x19ce0026,0x79b900ff,0x32900058,0xfb7b02e4}},	//   _beheerde, _פיליפּפּ, _tikama_, _dimonstr, 
   {{0xbda900ec,0x0eb0005b,0x4e8c00df,0x8b910010}},	//   _pomidora, _websitet_, _engagée_, _emangelo_, 
   {{0x92920151,0x934502a4,0x5c27013d,0x4ef6008e}},	//   _detain_, _memetic_, _kristnas, _bakkanub_, 
   {{0x838c03db,0xef69031a,0xd386022d,0xb6ab00e6}},	//   _abuyele_, _barabhas_, _scorda_, _工作时间要求_, 
   {{0xc394057c,0x0fcc0041,0x322e004a,0xb2a706c0}},	//   _bukser_, _ipíko_, _бәялиләр_, _slabou_, 
   {{0xde7f0360,0x8b6c029f,0x49bd0415,0xa2c30241}},	//   _ostravě_, _viditeľn, _lesenswe, _beelaan_, 
   {{0xb27800d9,0xef5b0238,0x634006e2,0x00000000}},	//   _растровы, _schauman, _caudais_, --, 
   {{0x22d501b3,0x629000ee,0xddc10061,0xb25100bc}},	//   _бланки_, _nolako_, _장애인복지_, _جنائی_, 
   {{0xe2d802a4,0x737f039d,0x262e0018,0xab1a000b}},	//   _panem_, _mulanga_, _daunivei, _delphina_, 
   {{0x79c202e7,0x925a0230,0x1f0a0092,0x43a200fe}},	//   _watercre, _dible_, _というのは_, _itapu_, 
   {{0xab230033,0xb195023c,0x12fc002e,0x2f330061}},	// [c8e0] _votaziun_, _دېوال_, _uloge_, _해야하나요_, 
   {{0xbcc20192,0x83f800ec,0xfa0703c5,0x71810291}},	//   _매우불만족_, _pigus_, _islamnya_, _المظلم_, 
   {{0x1291023b,0x84b6027b,0x938c0204,0xc26c017a}},	//   _kapae_, _शरॊतुम_, _сумел_, _apholo_, 
   {{0x8341033d,0x00000000,0x00000000,0x00000000}},	//   _gayetan_, --, --, --, 
   {{0x7f2f0091,0x66e10397,0xc1d30147,0xe5e7005e}},	//   _tautugia, _ababechi, _тыяуу_, _еливетиш, 
   {{0x8c3a0014,0x2d25019a,0x9c7401b7,0x13f80514}},	//   _ብድምቀት_, _raincoat_, _शुक्लं_, _medull_, 
   {{0x93400420,0xa24f01a4,0x6c670362,0x404d0020}},	//   _revenda_, _ekumbaki_, _kokunda_, _susunuin, 
   {{0xa3f803a4,0x17cb05a9,0x52900282,0x5c760433}},	//   _sigur_, _imishami, _hikaka_, _hagrani_, 
   {{0x9cb0002b,0xaae105c3,0xc95d012a,0x8c55012d}},	//   _শিক্ষাবি, _annuaire, _jednoste, _molture_, 
   {{0xa9170047,0x4bd900eb,0xbf70028e,0x1b210183}},	//   _地方商务之窗_, _mormonfo_, _organais_, _antanimb, 
   {{0x5e95036f,0xd3f80005,0x6f2e038f,0xf2b406f6}},	//   _formiran, _vigur_, _morfemen, _heich_, 
   {{0x62d800bc,0xb3f90117,0x366e00c5,0x4c6b0452}},	//   _maneh_, _akauns_, _中国经典经济现代, _tubuhku_, 
   {{0xe2d802ee,0x89db0397,0xef5d02ea,0x125b03fb}},	//   _banek_, _akwemuke, _istantan, _deblji_, 
   {{0x7224019a,0x0d8c006a,0x4f310281,0x8a70030b}},	//   _bankit_, _akamatia, _asassava, _babonyab, 
   {{0xb26e02c2,0xeb88011d,0xd63c0397,0x00000000}},	//   _bywoon_, _duhovnic, _домангир, --, 
   {{0xa0ea0320,0xc9430169,0x5c5100d5,0x92d90165}},	//   _avoniwil, _চাইনা_, _nentina_, _laveti_, 
   {{0x0c5c0184,0xa77d00bf,0xcc53001e,0xb70a03a4}},	// [c8f0] _agatako_, _товарище, _rattaba_, _giftarmá, 
   {{0x4f450417,0xc7a90141,0x5290006f,0x6d050329}},	//   _betrokke_, _тескари_, _kidato_, _reflekte_, 
   {{0xe7530156,0x9b01025c,0xff2e01cf,0x04550039}},	//   _הרחמן_, _abbreche, _reguarda, _дурдаад_, 
   {{0x5c6804d4,0xe2310133,0xc0b202b6,0x627a006d}},	//   _gavrnan_, _aramaan_, _амалсызд, _астралаг, 
   {{0xe2920190,0x07a9018d,0x5c1b0080,0x33170403}},	//   _metaun_, _ዝተወከሉ_, _annaasar, _bilaogy_, 
   {{0xb2b406bc,0xf0af041f,0xd15f011f,0x726c00a2}},	//   _deich_, _usamuwel, _estádope_, _vidole_, 
   {{0x02d801fc,0xe1be015e,0xf2520279,0xc7bb027b}},	//   _ganeh_, _تەرمە_, _remarqué_, _कौशलम्_, 
   {{0xa2000013,0x82d800a5,0x0004011a,0xe3d40185}},	//   _shoir_, _nanei_, _מאתגרת_, _karavı_, 
   {{0x84080130,0x49d701a0,0x637c01b5,0x156101b3}},	//   _juliansk, _engetele, _hitakue_, _класному_, 
   {{0x919402f0,0xbeb0015c,0x8c5a01a6,0xfa17028a}},	//   _akucelel, _versteet_, _kaitaki_, _kilatvia_, 
   {{0xc4e90147,0x9dc50081,0xd3060016,0x826c009a}},	//   _رلىگىنىن_, _svikahra, _bataloj_, _domoic_, 
   {{0x3efc0299,0xf74401e6,0x75600061,0xa358003f}},	//   _йүрсила_, _podnikov, _차량입니다_, _qorwaghm, 
   {{0x44330204,0xf2e80054,0x2db6011a,0xc16d01b2}},	//   _пенсионн, _cinikin_, _תסתכלו_, _calitech_, 
   {{0x42900082,0xaf0f029a,0x0c7d00ee,0x329001a6}},	//   _filato_, _lenterva, _presoen_, _hikaia_, 
   {{0x9af605f1,0x22fd036e,0x8c7c0211,0x3b1f0386}},	//   _iterambe, _frailes_, _tekstin_, _kemajuan_, 
   {{0xc1b6006d,0x5c6a0287,0xd19901ad,0x2cd2004b}},	//   _заняло_, _sestavy_, _volcanol, _ультация_, 
   {{0x22e80133,0x020105ed,0x15c80176,0x8290030f}},	// [c900] _aaziyaa_, _bacira_, _yamanash, _mikaia_, 
   {{0x3847015d,0xeb5b0192,0x734901a6,0x00000000}},	//   _reklamod, _schermen_, _merengi_, --, 
   {{0x44de011f,0x68890145,0x83dc01f0,0xb0380064}},	//   _кәльтура_, _калабара, _gonwe_, _корсонуз_, 
   {{0x635404b4,0xa3ef0094,0xb6fc021c,0xaff2029b}},	//   _istedet_, _بەرمەلىك_, _dispečin, _lekkando, 
   {{0x414b0037,0xca080256,0x7b5f0361,0x166c00c7}},	//   _ወረርሽኝ_, _publiskā_, _историка_, _бозулары, 
   {{0x43f70245,0x0ad60076,0xa28d00ca,0xf91d011a}},	//   _fullbook, _отпечато, _afrairam, _בבבלי_, 
   {{0xf02d002b,0xa407004e,0x4a2d0299,0x5d3003dd}},	//   _পারফরমেন, _kakuhaan_, _ئۆيۈمنىڭ_, _hadithit_, 
   {{0xc2e7017a,0x6300051a,0xc999018d,0x0bb604e5}},	//   _iqiniso_, _separuh_, _ሳዕስዒት_, _akajeger, 
   {{0x02900285,0x99df0413,0x42d8005b,0xfe8f0113}},	//   _ishami_, _hostilid, _sanep_, _análaith, 
   {{0x63f402cf,0x42d9017d,0x03570270,0x02b40294}},	//   _curtir_, _givet_, _inserer_, _afico_, 
   {{0x92fe013a,0xc2fc018a,0x520e0059,0xd9ce0258}},	//   _enthale_, _llogi_, _чакам_, _behearde, 
   {{0x9b7d0179,0x929001ad,0xf2fc024f,0xb27e01da}},	//   _muenster, _bodano_, _ologi_, _thonin_, 
   {{0x82d9028d,0xf2b200d3,0x83f8013b,0xe86c0148}},	//   _kivet_, _kladiva_, _duduso_, _constans_, 
   {{0xf2a000ac,0x92680222,0xe2f6023b,0x86d3007e}},	//   _prijavu_, _panneaux_, _kāinoa_, _ऽसमिन_, 
   {{0x234900a1,0x20af00e0,0xa94b0392,0x60b20040}},	//   _herengi_, _fermoedl, _filmiche, _חקלאיים_, 
   {{0xf8750409,0x327f0255,0x307d005d,0x75390299}},	//   _pluspris_, _teenus_, _лаасы_, _ئادېرسىن, 
   {{0x2d5b025e,0x91270094,0x9970031e,0x00000000}},	// [c910] _barnaníð, _تاريحىنى, _petnaest, --, 
   {{0x928d00ab,0xd26e004f,0x037f0414,0x02d80487}},	//   _waikato_, _fasong_, _bakakia_, _timely_, 
   {{0x62b40528,0xace203ea,0x23f801c5,0x363d0259}},	//   _seach_, _convainc, _iskuma_, _foreslåe, 
   {{0x06c70026,0x0c14019d,0x83ea0155,0x1c52017d}},	//   _고객님께서_, _akapolo_, _skiter_, _centinn_, 
   {{0x36580276,0x1b1f0456,0x6264015e,0x15cd01dd}},	//   _турмушид, _kemahuan_, _batlle_, _bagaseny, 
   {{0x5e4300cf,0x83a202ff,0x2ccc02fe,0xef600033}},	//   _somaliya, _drapo_, _لیونی_, _carplina, 
   {{0xfff60410,0x1a0501f0,0xd4d600e4,0x002a0037}},	//   _diphetho, _alabaset, _मारियो_, _አዲግራት_, 
   {{0x13a802f6,0x0dc601ea,0xa387023e,0x2a000227}},	//   _talagang_, _ظاهرخان_, _bptri_, _lisannya_, 
   {{0x72000107,0xf2d00479,0x3da4004b,0x0a0802fc}},	//   _adhiku_, _tarlós_, _karolela, _bakazana_, 
   {{0x62f404dc,0x662301f4,0x47bf0183,0x8aad003b}},	//   _وێندوز_, _холдор_, _bongolav, _ikukhomb, 
   {{0xd2d9012d,0xea1e00d3,0xaa850291,0xd35f044d}},	//   _givem_, _वायुमण्ड, _نوادر_, _googule_, 
   {{0xbc6c0359,0x2b5902f7,0x4b3000b7,0xea7b0151}},	//   _aktueel_, _babusiwa_, _европалы_, _aloofnes, 
   {{0xfe570073,0x825b01fc,0x72fc02ec,0x41ab0040}},	//   _mancante_, _abaluk_, _nooga_, _מפחדת_, 
   {{0x86b300d1,0xfd9600d9,0x1cde0136,0xd72301db}},	//   _আমোলাপট্, _hallinna, _fiskalnu_, _كيىممەن_, 
   {{0x652a0162,0xe2c30256,0x12fc00db,0xc9d90092}},	//   _گىتتار_, _zatlera_, _hooga_, _langsigt, 
   {{0x23f80068,0x142100c8,0xc2d903f5,0x2f3e0311}},	//   _laguu_, _мәжитов_, _vivem_, _ዘጸናናዕኩሙና, 
   {{0xa36d0125,0x83ba01d4,0xd2d800ce,0x620c00c5}},	// [c920] _berjaý_, _couvent_, _lafet_, _concerné_, 
   {{0x81aa0274,0x63b6006d,0xb89700ee,0x321900d7}},	//   _landslið_, _набраны_, _маажина_, _помадаһы_, 
   {{0x4b0c00ef,0x0aad0315,0xd5ba0360,0x32f003f6}},	//   _پامیر_, _akukhomb, _diskusní, _nehinei_, 
   {{0x926e041b,0x8b6f006c,0xb3f0010b,0xf53d033a}},	//   _rasong_, _angumoya_, _kokelong_, _istojċiż, 
   {{0xfe440087,0x07290078,0x02fc029b,0x2b92033e}},	//   _aswakuya, _добру_, _googa_, _iñimport, 
   {{0x23d405ce,0xdef600d0,0x705701de,0x12900244}},	//   _yaralı_, _хартал_, _намазға_, _volano_, 
   {{0x528901ea,0x65ec00e5,0xcc600260,0x06ab00b0}},	//   _یققال_, _модернот, _carteis_, _aragtidi, 
   {{0x8d86015e,0x82b6048f,0x7e5200b8,0xe3f3015d}},	//   _entendre_, _torche_, _kunanaka, _नन्दगाँव_, 
   {{0x930d0145,0x2f660084,0x024902bc,0x6b6d0360}},	//   _gamintoj, _dikandun, _snemha_, _मसिना_, 
   {{0x824206fa,0x1c090060,0x03a2017d,0x0d7f0381}},	//   _चावला_, _минералд, _cript_, _adultswa, 
   {{0x689b02f0,0xd379017f,0xda350053,0xa4ba005c}},	//   _ikakhulu, _soorunam, _marcelia_, _arabahak, 
   {{0xf6dd008f,0xebba003a,0x4c3c0156,0xac650297}},	//   _नीतिश_, _газетаси, _אפווישן_, _biyuçe_, 
   {{0x224a01e6,0xb95a0053,0x6d2802ac,0x562503eb}},	//   _rytmus_, _वेबसूची_, _eilimint_, _gesukkel_, 
   {{0x8255033f,0x446e0184,0x2a3c015e,0x7a8c02c1}},	//   _akolelei_, _bakenguz, _сурот_, _akanatub, 
   {{0xec7d027f,0x468b0148,0x12570257,0x88350092}},	//   _agusaba_, _轉貼給好友_, _bílum_, _marmalad, 
   {{0x42d800ad,0x56060211,0xda1703e6,0x075900e4}},	//   _koneng_, _kummalli, _beigeléi, _भेद्यता_, 
   {{0x6cb30207,0x33f80005,0x11c30360,0x1db3018b}},	// [c930] _jumatatu_, _nagut_, _autorská_, _jumatate_, 
   {{0xf2130559,0xca830028,0x3f5d00e6,0x29e10267}},	//   _sethu_, _danyarta_, _自然科学基金会_, _navodima_, 
   {{0xe290000c,0x62910211,0x08e60220,0xcfe4002b}},	//   _solano_, _tapaa_, _фигури_, _ক্ষমার_, 
   {{0xa2910031,0x3f890029,0xe89b0226,0x98710041}},	//   _kapan_, _ئومێدی_, _akakhulu, _днаскьар, 
   {{0x1a000006,0x929101d1,0xea9900da,0xfe3700ee}},	//   _misalnya_, _japan_, _металул_, _alfabeta, 
   {{0x7c5500b7,0x82fc040f,0x0a020260,0xb37a000a}},	//   _илинка_, _blogo_, _engadida_, _ikerasam, 
   {{0xe2920305,0x969d00db,0x4c690297,0x7da6021e}},	//   _uttala_, _agressii, _başlauçı_, _robotska, 
   {{0xb2d8010b,0x2ad200c6,0x6a0200cb,0x67a10148}},	//   _boneng_, _поляків_, _angabize, _salutari, 
   {{0xa3f8023e,0x2955006f,0xa8430121,0xa3ac0376}},	//   _addurl_, _فاضلاڻي_, _capturas_, _bispur_, 
   {{0x9e95042a,0xe0750044,0xf3dc04ad,0xd5540045}},	//   _akumelan, _comparin, _bonwa_, _технички, 
   {{0xd3f8081c,0xa2010294,0xa417027c,0x5dbe0344}},	//   _hagut_, _aspim_, _andingek, _annialla, 
   {{0xb2d8015e,0x3f5c00b4,0x7307050a,0x00000000}},	//   _rafel_, _cezarian, _basamak_, --, 
   {{0xa8fc0219,0x125103cc,0x8a1500c8,0xa4b3038b}},	//   _akhawund, _দুষ্টু_, _хупланы_, _membongk, 
   {{0x5b0d0273,0xaee7008f,0x0c5f036d,0xb6fa0141}},	//   _sección_, _parimaks_, _garthim_, _ликвидли, 
   {{0x0d26020a,0xc31901f0,0x38c2016d,0x23f802e7}},	//   _деректер_, _badiring_, _итник_, _dagum_, 
   {{0xafab0148,0x844e0213,0x33f800e2,0x7bf4010e}},	//   _注意力不集中_, _новостно, _eagum_, _apilyedo_, 
   {{0x2af7035b,0x0c620390,0x2f390061,0x629101ad}},	// [c940] _zasebnos, _firudin_, _인터페이스_, _gapan_, 
   {{0x036c012d,0x415b0138,0x84b90037,0xcee803b0}},	//   _longwai_, _sebebiyl, _አመለከቱ_, _vedkoman, 
   {{0x82240239,0x13a20058,0x1a9500e4,0x99dc0170}},	//   _aweko_, _quipu_, _अस्मित_, _cholaula_, 
   {{0xd2d80275,0x498300d0,0xcf7801c9,0x52ea003a}},	//   _aloese_, _тойгны_, _ओहिदिने_, _biridan_, 
   {{0x152e01d1,0x4a0802e0,0xfb6d006a,0xfaf30148}},	//   _לונדון_, _bakanana_, _fatratra_, _perseque, 
   {{0xfa010020,0xb30204a7,0x4c6102c5,0x73d4004a}},	//   _ligaliga_, _engadiu_, _atsunga_, _cazası_, 
   {{0xc22402a0,0x8c7c0385,0x791002ba,0x083b042a}},	//   _eweko_, _spasila_, _akwabalu, _emamanyu, 
   {{0xb4b30050,0xd3eb00a0,0xccdb01db,0x5318010d}},	//   _nembongk, _akatar_, _полицияғ, _अर्जुना_, 
   {{0xbaf20243,0xf2f301e1,0xa1080223,0x1a8600fa}},	//   _kaaribit, _dinight_, _hashcash_, _gaanuman_, 
   {{0x3c070639,0xe2910585,0xb2d8015e,0x26e90153}},	//   _maksiat_, _napao_, _ganes_, _子供と一緒に旅行_, 
   {{0x350c01cb,0x22d00456,0x0e1700b4,0x8ac902c6}},	//   _okulitjh, _dirogol_, _exterioa, _champagn_, 
   {{0xc2d80372,0x56c5023e,0x6fc0013d,0x89c702ea}},	//   _hanes_, _pembapti, _הצדיקת_, _накара_, 
   {{0x28e30300,0xf31b0147,0x488303f8,0x3e18015e}},	//   _extralig, _атүгүл_, _danidchu, _داستانتى, 
   {{0x022402ef,0xe2d80225,0x537f0195,0xa19f017e}},	//   _bankye_, _yanet_, _cumanta_, _גלובאָקע, 
   {{0x82d80428,0xbd950040,0x3eae01d1,0xd5d80060}},	//   _danes_, _אורטל_, _declarin, _сәнге_, 
   {{0xc3a80140,0x929d0132,0x5975019a,0x2fc8009b}},	//   _malayang_, _nyelvű_, _acknawle, _уйланхай_, 
   {{0xc2fe0772,0x17b7014e,0x0225036e,0xb3a800ad}},	// [c950] _lithole_, _напишем_, _apakun_, _lalayang_, 
   {{0xc169026f,0xd27e021e,0x395e03c6,0x7e520369}},	//   _ءﺍﺯﯨﻞ_, _ikonen_, _autobest, _lunamaka, 
   {{0x12600147,0x174101f5,0xce8b0052,0xaaf803de}},	//   _ئشپىيون_, _kebohong, _प्रत्यक_, _impumele, 
   {{0x23ba0062,0xf200045c,0x525a008c,0xe7db023c}},	//   _blevins_, _podiel_, _millis_, _akhutshw, 
   {{0x89360156,0x62d80516,0x7b0600ea,0x4e35002f}},	//   _הבדלות_, _banes_, _alarobia_, _amparawa, 
   {{0x72d805d5,0xf20103e9,0x927f0265,0x1fd602ac}},	//   _canes_, _ägirt_, _brengt_, _لفصيح_, 
   {{0x6db0030f,0x32db0047,0xf93b023c,0x0a0d019e}},	//   _ngaungau_, _exposer_, _elimanye, _вязняў_, 
   {{0x443902da,0x6c76036f,0x82920013,0x49d700c4}},	//   _програма, _americi_, _ertaga_, _ڀاڱيداري, 
   {{0x798e006c,0x827f0081,0x5291010d,0x00000000}},	//   _бақия_, _stenst_, _hapal_, --, 
   {{0x0c600145,0x3f8a0092,0xf37f0375,0x3f4e002e}},	//   _kartais_, _プログラム_, _bakaswa_, _odustane_, 
   {{0x42d80364,0xa3950288,0x4e4a045d,0x527c00da}},	//   _aaner_, _chaste_, _netačne_, _deciziei_, 
   {{0xe2d8038f,0xf82d01db,0xd85a01db,0x00000000}},	//   _kaner_, _تەرستەيت, _бюджетін_, --, 
   {{0xcc600047,0x93f80163,0x7e500178,0xc7a400e0}},	//   _secteur_, _maguk_, _apratila, _easterbi, 
   {{0xd379027f,0xa2fc01c5,0x49e00161,0xd2ba00f8}},	//   _bosanga_, _mooge_, _kokoelma_, _আম্বরখান, 
   {{0x327f05ab,0x18c200da,0x602901b3,0x59f703ac}},	//   _frente_, _етний_, _героям_, _wakilnya_, 
   {{0x928301c0,0x260201fc,0xd9da00c7,0xab5b033a}},	//   _bunkasa_, _pooliisi, _акштагы_, _induista_, 
   {{0x73fe018d,0x3ff00012,0xbf660344,0x0f2101b7}},	// [c960] _prizren_, _ऊतलंगिहा_, _allaasun, _bahutara, 
   {{0x9f1e0262,0x336903a4,0xa3e2042e,0x52da01c4}},	//   _bendesin, _fingnar_, _hindring_, _ooreen_, 
   {{0xb20000fd,0x2e420242,0x22ca0203,0xa9c80239}},	//   _chois_, _adamları, _eufonic_, _koroputa_, 
   {{0x7a6b0135,0x72d80370,0x629205f4,0x83550683}},	//   _innovats, _sanes_, _kutana_, _oplever_, 
   {{0x6202001d,0xe59f0092,0x62d80418,0x00000000}},	//   _asrios_, _同志社大学_, _caner_, --, 
   {{0xd63b0037,0xdc970372,0xd21c0205,0xa97a0296}},	//   _መሠልጠን_, _dalennau_, _barham_, _oxenstie, 
   {{0x226e0698,0xb2d4029f,0xc28702ff,0xf6b90139}},	//   _batowe_, _tvrdia_, _atikile_, _asmatpri, 
   {{0xf97702ee,0xd3b70165,0xfb7804e3,0x4c6d01be}},	//   _indirett, _lauvana_, _volontir, _titulem_, 
   {{0xf3ce0368,0x33f80278,0x00000000,0x00000000}},	//   _provod_, _jaguh_, --, --, 
   {{0x7c0d01ed,0x93950222,0xa79501f6,0x226b0537}},	//   _haipule_, _chasse_, _austerri, _chegarem, 
   {{0x495e04da,0xe3f80243,0x82bb0202,0x530301fe}},	//   _autocest, _baguk_, _amudani_, _ketatou_, 
   {{0x521d01f9,0xd2920369,0xaef604c7,0x1c600251}},	//   _abakhoni_, _butana_, _елиминац, _dartiis_, 
   {{0x690001b8,0xc283027f,0xfac700c5,0x594d002b}},	//   _अतिरिक्त, _akikoma_, _天赐逃至酒楼_, _হোসনি_, 
   {{0x112d0135,0x83a20386,0xd29203b0,0x47af028a}},	//   _гаять_, _brapa_, _aaraas_, _kuburudi, 
   {{0x926e0698,0x12f1012e,0x327f01b4,0xf2920119}},	//   _yatowe_, _fizikai_, _grense_, _astara_, 
   {{0x7df601f1,0xb3f8014b,0x98a30109,0x0f04061c}},	//   _studimet_, _baguh_, _faktorů_, _izdajnič, 
   {{0x06b70391,0x0909005a,0xd2fc021e,0x3bb70524}},	// [c970] _балаларғ, _ampasdaq_, _slogs_, _predlaže, 
   {{0xa75a0044,0xdba4006e,0x7291018f,0x975a0040}},	//   _בכיוון_, _barimelo_, _dapab_, _בדידות_, 
   {{0x2292044d,0xe2cc01c5,0x229002c2,0xf6670365}},	//   _faraas_, _yeelayo_, _afhang_, _हाँसेर_, 
   {{0xd2ea0329,0xdc0402a9,0x20ba0037,0xb2920110}},	//   _dirizan_, _taisyti_, _የማይክሮ_, _garais_, 
   {{0x35ce0410,0x629200f5,0x9ae0002b,0xa10d0187}},	//   _ngwaneny, _sarahs_, _তাহাকে_, _правдата_, 
   {{0x5941000a,0xc9a00361,0x00000000,0x00000000}},	//   _agallate, _астăвăм_, --, --, 
   {{0x14c002ec,0xd6120193,0xdb570297,0xe2d800a4}},	//   _پۆتُس_, _प्रांतात, _таратуы_, _aprovat_, 
   {{0xf07e0220,0x5248042f,0x3efe0166,0xe8cf0153}},	//   _правилно_, _taimaa_, _privatsp, _ネスト表示_, 
   {{0x29f90255,0x526c0373,0x5d0c0089,0xf006023b}},	//   _निर्मातन_, _honora_, _алмассың_, _pākeneka_, 
   {{0xd96f018d,0x6aeb0121,0x399300bb,0x2b2802e7}},	//   _ሰብኣዉን_, _norteame, _پھلکی_, _mapakaub, 
   {{0x23ff05a2,0x847c0198,0x92000107,0xd27f01b4}},	//   _गॉडफादर_, _besedilo_, _adhimu_, _prente_, 
   {{0x24c70156,0xb514000c,0xc2ae0009,0x00000000}},	//   _שיכּור_, _obrájepe, _bivališč, --, 
   {{0xc963033b,0x925a00ce,0x4163014e,0x00000000}},	//   _gobogile, _sible_, _носилац_, --, 
   {{0x9070024a,0xdefd023d,0x63a20250,0x134704b3}},	//   _metalelo, _политиче, _prapa_, _abretoc_, 
   {{0xefbc0312,0x1f660276,0x33a2030d,0xd93f04e5}},	//   _enklasko, _мартниң_, _qripi_, _akimenya_, 
   {{0x089e0037,0x0380011d,0xb86c02b3,0x00000000}},	//   _ታገኛለህ_, _metrou_, _fiestras_, --, 
   {{0x925a00ee,0x0074005a,0x30b8034c,0x8a0801dd}},	// [c980] _sailak_, _luvancho, _асрап_, _bakabana_, 
   {{0x22140118,0x13f802ec,0x3424013c,0xc7b100bb}},	//   _akakulem, _iskula_, _prosesin_, _کوکھالوں_, 
   {{0x54ed0205,0x62ee00d6,0xfb5b028e,0xbb0e004d}},	//   _متخصیص_, _deifir_, _sileksen_, _trepidat, 
   {{0xc7b201b9,0x246e0059,0x527e02b4,0x44c60256}},	//   _sakrisfi, _крими_, _dvonsa_, _profilā_, 
   {{0x5d8c00d5,0x6a0a0039,0x2c490085,0x98cf018d}},	//   _nosorata, _estatist, _imocemoc, _ተሰሚዕዎ_, 
   {{0xb4f800f5,0x403600c5,0x7c930086,0xa26e0145}},	//   _алыпдырл, _contienn, _کاغان_, _matote_, 
   {{0xd2d90222,0xf50a00ed,0x42920364,0xfb0c025b}},	//   _favoris_, _sigurado_, _parais_, _fingurin_, 
   {{0x5a070160,0x154700c1,0x43dd02ff,0x67e70368}},	//   _istaknut, _आषाढी_, _devwe_, _кумулати, 
   {{0xd9620292,0x627f0288,0x817d03d5,0xc2ea003e}},	//   _akanizat, _etenge_, _africkey_, _птарына_, 
   {{0xbe7f0360,0x6c760190,0x9db802ac,0x171b000c}},	//   _ostrově_, _untruth_, _thairgea, _рҿари_, 
   {{0x9eb9018d,0x431502c7,0x4515018c,0xe6850156}},	//   _ዝበሃለሉ_, _dienstag_, _diefstal_, _nordokci, 
   {{0x627f0312,0x52000233,0x6c5a01a6,0x707001e5}},	//   _prenet_, _folial_, _maataki_, _ketalelo, 
   {{0x420f0193,0xa9010008,0x45800442,0x39fe02e5}},	//   _menyerah_, _айланды_, _melulusk, _citrullu, 
   {{0x0849004d,0x931304b3,0x665f0144,0x33d70193}},	//   _台中縣加油站商業, _ardeiñ_, _استاذي_, _प्राप्ती, 
   {{0x720201fa,0x3dbe0356,0xd3790015,0x00000000}},	//   _masiva_, _karituna, _arkaayo_, --, 
   {{0x02000222,0x9c6701ad,0x234701ac,0xd0c6009c}},	//   _choix_, _unstrut_, _caredoc_, _challwal, 
   {{0xbef20178,0xcbac003e,0xc9b10421,0x0fcc0237}},	// [c990] _घटिका_, _башындай_, _bildmate, _민주노동당의_, 
   {{0xe62d0168,0xf5800423,0x87aa0374,0xa28c00a3}},	//   _mindreår, _jakubisk, _эргашади, _chikken_, 
   {{0x70390006,0xf1250135,0xf34003ac,0x22780089}},	//   _pertolon, _адгамова_, _menenun_, _воргашор_, 
   {{0x02d9014e,0x069f00a2,0x9d7301bd,0xa4860595}},	//   _saveti_, _هارڊويئر_, _вирустық_, _साभारः_, 
   {{0x427f05bd,0x6e9301f1,0x00000000,0x00000000}},	//   _stenge_, _martesat_, --, --, 
   {{0xabd50025,0x6bf6014f,0x9f410053,0x4bfa03ee}},	//   _समीक्ष्य_, _титулу_, _diuraika, _poklonio_, 
   {{0x32d90203,0xc4b3038b,0xe7b00083,0xe0590037}},	//   _vivet_, _membangk, _spartizi, _የካርቦን_, 
   {{0xb4ac005b,0x9053029e,0x62ef00a9,0x0290016a}},	//   _christel_, _hensonen, _muhinda_, _rilato_, 
   {{0x91c3049e,0xc053013f,0xf3550455,0x925a06a0}},	//   _autorské_, _kensonen, _moteurs_, _hibla_, 
   {{0xf237030f,0x42920247,0x66230444,0x639502e2}},	//   _haimona_, _setaun_, _персидск, _abased_, 
   {{0x62d901a7,0x834803f8,0x807d01cf,0x7fc300ec}},	//   _kaveri_, _bonehdi_, _sesquian, _nemokamo, 
   {{0x03a800fa,0x027f081d,0xf68c0497,0x5eae0092}},	//   _malamang_, _quente_, _airworth, _afklarin, 
   {{0xa1c1059d,0x02f00294,0x75c3008c,0x00000000}},	//   _terendah_, _allinmi_, _remplazz, --, 
   {{0x524302c2,0xc7e301cd,0xa6f70012,0x92d50161}},	//   _gereform, _ботини_, _मुरघुइंस_, _планки_, 
   {{0x5e360300,0x6ab00074,0x427f0211,0xa34d00d3}},	//   _upravova, _merkitys, _etenee_, _laserem_, 
   {{0x92d900f4,0x9ae5030f,0x91c10442,0xec9c014a}},	//   _niver_, _herupape, _serendah_, _szőlő_, 
   {{0xa30400aa,0x39f8021b,0x3e3602aa,0xd36802ef}},	// [c9a0] _boooring_, _половину_, _spravova, _arogans_, 
   {{0x32d903ea,0x730502f7,0x325a0014,0x70dd04e3}},	//   _hiver_, _bogosing_, _bibla_, _podnijel, 
   {{0xea0303f8,0x438c00ec,0x15540156,0x4e8a013c}},	//   _dabajrup_, _бусел_, _מאונטן_, _moskvanı, 
   {{0xdf5f015e,0x59890418,0xe38701e7,0x00000000}},	//   _قازاقستا_, _bodyforu, _klerus_, --, 
   {{0x4efb023d,0x72950036,0x72260258,0x4e2704a5}},	//   _страни_, _díomá_, _warkum_, _esigunya, 
   {{0x8053013f,0x865002e2,0x3e5304d8,0x337f0096}},	//   _gensonen, _annymoil_, _walaasha, _bakagwa_, 
   {{0x4a830348,0xe9800156,0x0b66012a,0x1e34030b}},	//   _akazimba_, _בארירונג_, _खोदने_, _banakuwa, 
   {{0x22d9054d,0xf41700e9,0x165800be,0xa6430268}},	//   _giver_, _caprinin_, _обаманын_, _arpinski, 
   {{0x15fc00c5,0x6cdb0192,0xab5400be,0x1b86008d}},	//   _中央人民广播电台_, _호우주의보_, _انىقتوو_, _bitiruvc, 
   {{0x031a0139,0x57a802e7,0xc2d902d0,0xd9b90088}},	//   _adhanā_, _tretinoi, _aiver_, _баланста, 
   {{0x19f6021c,0x47ed0087,0x020105ff,0x3f75022a}},	//   _ustanove, _ambalang, _uspio_, _natanums_, 
   {{0x2da200a2,0x233a0037,0xc201041b,0xeb1901df}},	//   _سارنگ_, _የሰራተኛ_, _tician_, _competee, 
   {{0xa9d40040,0xc37f01fc,0x8a280332,0x3c660153}},	//   _הנקראים_, _gumaata_, _aficione, _参加費無料で安心, 
   {{0xde9500fb,0xab820343,0x95d30156,0x2c1b02cd}},	//   _ekumelan, _likoliko_, _בייסיקלי_, _hakarkar, 
   {{0x72920076,0x61c700ba,0xa3b10396,0x730002d9}},	//   _estava_, _ئاڵتون_, _daqqa_, _fagalii_, 
   {{0x061100ba,0xe3f20011,0x52d30163,0x95720162}},	//   _ئابڵۆقه_, _abazibe_, _somogyi_, _өстәңгә_, 
   {{0x2f2301bd,0xb86c0342,0xa2e80287,0xd349008b}},	// [c9b0] _ұжымдық_, _konsyans_, _jednomu_, _deseeti_, 
   {{0x6b8903bf,0xbc5a02ef,0x2871006c,0xb248000b}},	//   _fisiofer, _kontini_, _исматаш_, _vaimea_, 
   {{0x12fc0591,0xc24806be,0x8bc502ec,0x24ba00f9}},	//   _logga_, _waimea_, _یاوٕنس_, _arabihak, 
   {{0x0bf00360,0xd2020217,0xae4b005e,0xf0520373}},	//   _mistrovs, _sasiva_, _ئىشسىز_, _adorklin, 
   {{0x20c30094,0x3e36029f,0x23d40035,0x09830166}},	//   _ءومىرىمد, _upratova, _barası_, _kaninche, 
   {{0x7a540007,0x94280008,0x425b00bd,0x00000000}},	//   _bakeluba_, _санарипт, _oorly_, --, 
   {{0x998100be,0xf2d901ae,0x01ce0014,0x76570152}},	//   _ئچەكتتىن_, _tiver_, _vizitorë_, _файлга_, 
   {{0x899d01cb,0x3c1c0013,0x98c70119,0x00000000}},	//   _ebekhona_, _тартибни_, _oberaarg, --, 
   {{0x91f80112,0x0cb20205,0x22920064,0xef6700ad}},	//   _sedarlah_, _ануштеги, _butaca_, _dicandun, 
   {{0xd93f0174,0x020200ee,0x829200e4,0x623b0193}},	//   _ikamanya_, _hasita_, _ustawa_, _ilalang_, 
   {{0xd0280145,0x627e0125,0x5a6a0037,0x9c1100c1}},	//   _komandą_, _shonun_, _ለሙስናና_, _tempati_, 
   {{0x85c0029b,0xa3d403cf,0xc2da004f,0x6a670137}},	//   _abaabiil_, _kararı_, _amsell_, _эртлэн_, 
   {{0xaaf7018b,0xda450550,0xe4850053,0xb2d8050a}},	//   _кардин_, _sinecura_, _स्नायू_, _kafes_, 
   {{0x19e005df,0x03f80343,0x00000000,0x00000000}},	//   _azbinawa_, _lagus_, --, --, 
   {{0xe63403b2,0x33180256,0x19840265,0x00000000}},	//   _standpoi, _pleciem_, _enkhuize, --, 
   {{0x730e031c,0x06d200e6,0x23f8040f,0x891602c9}},	//   _iguales_, _第三套纯金人民币_, _nagus_, _voucheru, 
   {{0xf2370066,0xe2020286,0xd7fb0092,0xc69b02d5}},	// [c9c0] _baimena_, _onwini_, _トキャンプ_, _खबासिनीक, 
   {{0xbc56023a,0xc34b0541,0xd91903e0,0x59480509}},	//   _zistite_, _momenat_, _fluchtpu, _acampame, 
   {{0x46540037,0x355401da,0x04b30006,0x3b32002b}},	//   _ቆላስይስ_, _prejardh, _membungk, _তথ্যাবলী_, 
   {{0x73f80120,0xcfd40156,0x3f400095,0x00000000}},	//   _bagut_, _טעהעראַן_, _biasanip, --, 
   {{0xb304023e,0x79dd0222,0xf5f100f4,0x46d90322}},	//   _bekonang_, _régulate, _dirakañ_, _bafatirw, 
   {{0x58b20160,0x130000d7,0xa53900a4,0x7319016f}},	//   _predrasu, _bolaoli_, _دوستور_, _сироватк, 
   {{0x63290041,0x841a0060,0x3be1027f,0x00000000}},	//   _ахьилшо_, _بىزدىڭ_, _ukudakur, --, 
   {{0xe29004cf,0x43ea00c1,0x91fe011a,0x29040110}},	//   _indalo_, _skitar_, _טורפים_, _ortopēdi, 
   {{0x699702eb,0x230001e8,0x663303f0,0xc35003f3}},	//   _алдаршуу, _kagabii_, _antonhof, _envelop_, 
   {{0x75ba000c,0x963203be,0x0c480058,0x1fac004d}},	//   _абхазавт, _aringani, _saywhat_, _出版品目錄_, 
   {{0xce3500e4,0xfc3801e9,0x930101b9,0x00000000}},	//   _opracowa, _bonyweng_, _repandi_, --, 
   {{0x0c6d005e,0x3b2c0132,0xa25803f2,0x9ede02a4}},	//   _رۇسچە_, _elvihető_, _наступаю, _itineris_, 
   {{0xd34b00ca,0xbd970017,0x73a20177,0x83f8013b}},	//   _nomenat_, _expedice_, _asapa_, _dagus_, 
   {{0x79c0021b,0x3452009c,0xd74c0160,0x5c49023a}},	//   _sovellet, _chijchik, _pouzdani, _stretnú_, 
   {{0x148501cc,0xebdc01db,0x73530060,0x12900084}},	//   _राजानः_, _ايىقتى_, _قۇلار_, _didago_, 
   {{0xbc290434,0xfd2a022b,0x06e3002b,0x31120161}},	//   _comprueb, _brendist_, _স্মৃতিসৌ, _героичес, 
   {{0x12fc0435,0x45a506a9,0x5e550465,0x00000000}},	// [c9d0] _ulogu_, _atribuiç, _nakazuje_, --, 
   {{0xe24a0212,0x135b018d,0x9380012f,0xcc5b003a}},	//   _ssrmax_, _መራሕቶም_, _ituret_, _bittasi_, 
   {{0x63f8056b,0xa6eb0092,0x484502e1,0x2eae01cd}},	//   _bagus_, _アナウンサ_, _athlasad, _akuthole_, 
   {{0x2628032e,0x53000028,0x33350153,0x00000000}},	//   _uchirasi, _magacii_, _何かを受信_, --, 
   {{0x22d904d0,0x5d820435,0x03d400c7,0x72800035}},	//   _davei_, _najčešće_, _qararı_, _vasiliy_, 
   {{0x7d0502c6,0x2d900224,0x3304004b,0x00000000}},	//   _difluket_, _edalmeda, _lekolang_, --, 
   {{0x59f100e4,0xc998028d,0xde210219,0xcf210348}},	//   _चतुर्वेद, _inaksept, _ecomoros_, _baluzira, 
   {{0xc4860255,0x469102d7,0xfda80140,0xc23e00b5}},	//   _न्यारी_, _ordenaci, _kalikasa, _argentum, 
   {{0x93aa0387,0x6f5b02e8,0x98cc0206,0x676005b6}},	//   _laptọ́ọ̀, _andaisan, _prerokov, _archivov, 
   {{0x0daa0155,0x00000000,0x00000000,0x00000000}},	//   _debitera, --, --, --, 
   {{0x0c69029b,0x883b0230,0xcd8504dd,0xc7780177}},	//   _jibriil_, _aliminyu, _posetite_, _иаҭаххар, 
   {{0x37fc0137,0xfaa700a0,0xe27f00db,0xec560235}},	//   _сяньби_, _dunkulen_, _teenib_, _cottare_, 
   {{0x5dd2025b,0xaa8f010d,0x72460059,0xd45001ef}},	//   _merkinga, _youngmin_, _здрач_, _амбасові, 
   {{0xe2c6018b,0xcc600008,0x787e02c7,0x3292032d}},	//   _incluse_, _festius_, _ermittlu, _рейтингы, 
   {{0x72d80230,0x8c67010f,0xc2d9019d,0x81bd020e}},	//   _lanez_, _сарпечӣ_, _amwene_, _кистә_, 
   {{0x0857003f,0x3636036f,0x796c0073,0x8d23006e}},	//   _allsorts_, _njegovom_, _ionizant, _bilisite_, 
   {{0x82b40461,0x9c3000e1,0x18510434,0x695100b4}},	// [c9e0] _ofici_, _benneelu_, _apropiad, _apropiat, 
   {{0xca07017e,0xff5d0095,0x328c01db,0x02830054}},	//   _רעקורווע_, _antarban, _شەشۋدىڭ_, _dankara_, 
   {{0x04ab0207,0xe3690057,0x22fa01c5,0x014d01c3}},	//   _دارالخلا, _langgar_, _lughaya_, _almoragh_, 
   {{0x63ea01da,0x103d002e,0x5c4902d3,0xa7c602ee}},	//   _shitur_, _mnogobro, _деколте_, _possibbi, 
   {{0x52d80198,0x7d8d00e4,0x026c019b,0x00000000}},	//   _janez_, _rozlicza, _surinkti_, --, 
   {{0x0c61017e,0xf2d801da,0x3c5100ec,0xb0cb00af}},	//   _sekundo_, _danez_, _lentyna_, _описаний_, 
   {{0x4e28026c,0x0bc50109,0x227f006e,0x230203f7}},	//   _criminis_, _veletržn, _leenub_, _feðgarni, 
   {{0x8e36035b,0x6703015e,0x8ba0042c,0xf6b3033c}},	//   _onemogoč, _беларуст, _pomislio_, _brestaty, 
   {{0x821200fc,0x949901c5,0xa4860444,0x04560145}},	//   _valha_, _islamark, _смену_, _маршалы_, 
   {{0x2c6a00d9,0x2e7503cf,0x23a20207,0x13e30211}},	//   _старше_, _getirdiğ, _isipo_, _kritisoi_, 
   {{0x62120461,0x70ca026f,0x638700a7,0x6eb40338}},	//   _talha_, _ادمگەرشى, _andreu_, _guterres_, 
   {{0x7aa400e4,0x12240069,0x13ba0047,0x902a0061}},	//   _जुर्माना_, _iteka_, _pouvant_, _물류업체가_, 
   {{0x3cee04ac,0xc9710025,0x8259014b,0xa2490326}},	//   _груди_, _यौवराज्य, _viidiyô_, _chemai_, 
   {{0xaeb00307,0xdb870265,0x0fe4008b,0xd8d20460}},	//   _ahlukane_, _cilinder, _frakasto, _चिमटा_, 
   {{0xc200028c,0x0ecd06f4,0xb41202ac,0x4e190291}},	//   _arhiiv_, _demisyon, _يحرقون_, _مفرومة_, 
   {{0x4cac0444,0x62bc01db,0x12d80028,0x822600de}},	//   _огнем_, _бұрмалан, _ganey_, _chukru_, 
   {{0xa8970207,0x38b5013b,0x975d0475,0x629000b5}},	// [c9f0] _غريبي_, _wartburg, _дохристи, _hilado_, 
   {{0xb2d801c5,0x249a01ab,0xaa170036,0x92240125}},	//   _aaney_, _tänaval_, _monarcha_, _tankyt_, 
   {{0x02d90265,0x454d0040,0x1c7501bc,0xc3170160}},	//   _hogere_, _לבזבז_, _breuker_, _trazio_, 
   {{0xdaf702a6,0x99620046,0xdd0501df,0xe3520109}},	//   _smisurat, _gironine, _coortier, _absurdní_, 
   {{0xb23700d7,0x49d6038a,0xb387023c,0x414602bb}},	//   _baimana_, _amawtaku, _واکدار_, _परांठा_, 
   {{0xd2fc0359,0x4ca00148,0x7daa0497,0xbf9a0162}},	//   _dogge_, _此文章的連結_, _fourfold_, _билимини, 
   {{0x2ba7011d,0x7292032e,0x0e4b03d8,0xd23704bd}},	//   _електора, _astaza_, _stranica, _daimana_, 
   {{0x73ce016d,0x08d50247,0xe38600c4,0x0a0300bc}},	//   _заманиви_, _pagunung, _brazili_, _پروگرامر_, 
   {{0xd22402f8,0xf2370049,0x9fae0233,0xebb0004c}},	//   _eteka_, _faimana_, _laborero, _baakugir, 
   {{0x214a04f2,0xa7110760,0x62fb031a,0xb8a7003c}},	//   _vietnamo, _यहुदी_, _dochann_, _توسکا_, 
   {{0xda96016d,0x93a300e4,0xb71e0153,0x49690307}},	//   _كۇچلۇك_, _grypa_, _ナルより転載_, _nizimise, 
   {{0x149d026e,0x61ee050b,0x52050231,0x87e002f3}},	//   _बर्मा_, _पसारा_, _durissim, _inspelni, 
   {{0xf21201f1,0x2b71004b,0x87d3025c,0xe1e900e7}},	//   _madhe_, _betsetsa_, _versandf, _arwinism, 
   {{0x5aa3003a,0xb9690244,0xddce00e5,0x00000000}},	//   _yashirin_, _cosiddet, _жизел_, --, 
   {{0xc27f00a9,0x5dc9003a,0xe98c0153,0xb25302ee}},	//   _irenze_, _видеохаб, _人気のタグ_, _fattibbl, 
   {{0xa948009a,0x22fc021c,0x39140061,0x2aec0028}},	//   _abamfame, _blogy_, _플러스공인중개사_, _horraant, 
   {{0x52d9005b,0xe378025e,0xaf740033,0x46380109}},	// [ca00] _lavet_, _laganna_, _aquarels_, _inventář_, 
   {{0x13500758,0x541301ac,0xc2d902a3,0x02880444}},	//   _abafayo_, _ماعدا_, _sonnige_, _краснопе, 
   {{0x39d701f6,0x842702bb,0x80c500bd,0x71070043}},	//   _eigentle, _वर्णों_, _hullabal, _alikusal, 
   {{0xec6700bc,0x83ea0168,0xf5660100,0x217c0462}},	//   _ترلان_, _skitur_, _stavljao_, _ehearsal, 
   {{0x26c30242,0x0b2b0264,0xbe05005b,0x6dd502e7}},	//   _düşünmək_, _gihataas, _daiettop, _magkauba, 
   {{0x6c230044,0x00000000,0x00000000,0x00000000}},	//   _בראון_, --, --, --, 
   {{0xcbfa01b5,0x8f63055d,0x0ede00d5,0xfb6b0325}},	//   _akinasso_, _campurka, _atahoran, _kinooper, 
   {{0x44d7041a,0xd2d90138,0xd3f20439,0xdae501f0}},	//   _присутні, _davet_, _kusuhani_, _itiriset, 
   {{0x1238042f,0xc7b701d5,0x623902a6,0xe3950333}},	//   _taimani_, _ملٹنسی_, _termali_, _acastu_, 
   {{0xde0c0045,0xf3bf0177,0xfec2012b,0x0c2e003f}},	//   _хомосекс, _амандат_, _planowan, _dunqluq_, 
   {{0x92420012,0xfaeb020f,0xb95e0109,0x7eae03a4}},	//   _बैठलो_, _bobukaye, _masopust, _innlimin, 
   {{0x82ef04bd,0xcee80207,0xda870299,0x25160269}},	//   _hiliuma_, _سڪينه_, _بىڭتۇەنى_, _monstruo_, 
   {{0x33640326,0x2f4400c5,0xd23400e6,0xbb650033}},	//   _akageza_, _agissait_, _不对外开放_, _calustra_, 
   {{0x42d9081e,0x648400db,0x42030060,0xd380012f}},	//   _kavet_, _जुलाहा_, _اكادەميا, _iturit_, 
   {{0x3d0700ff,0xa42a015f,0x44a901d7,0xd6970372}},	//   _פאטאגראפ, _armadilo_, _cumbinaz, _gorddraf, 
   {{0x80740051,0x6c000038,0xe7460205,0x0de3012c}},	//   _kalendār, _härber_, _karimovg, _نوجوانيء, 
   {{0x0c600033,0xaae80293,0x00000000,0x00000000}},	// [ca10] _attratg_, _babehamb, --, --, 
   {{0x12050231,0x87ed004a,0x2af70141,0xa306003f}},	//   _purissim, _imzalang, _қаддини_, _sumatlh_, 
   {{0xb5270023,0xfbd500c9,0x959c016e,0xc3f80160}},	//   _надеюсь_, _rồngbay_, _enjeksiy, _suludo_, 
   {{0x13dc046b,0xf54b002b,0x02d9037c,0x8c6e0359}},	//   _bonws_, _গোমস্তাপ, _navem_, _hoareka_, 
   {{0x641703e5,0x0201018b,0x27e7021c,0xd73602a9}},	//   _diuretin_, _pagini_, _bohatstv, _дыплямат, 
   {{0x6f1e055f,0x540500db,0x342b00c6,0x177e034c}},	//   _kendisin, _कांदों_, _острозьк, _бүрекләр, 
   {{0xd25b03cf,0x12f503b2,0x12550354,0xd20d00e6}},	//   _gizli_, _maximum_, _аңлисам_, _地震局称非地震前, 
   {{0x22b405ed,0xba0a0238,0x71f80059,0x2d080081}},	//   _agace_, _морально_, _проследя, _brjálaðu, 
   {{0x46c70125,0x458703b0,0xc890002b,0x523102e7}},	//   _mugallym_, _midtpunk, _পাউডার_, _giampon_, 
   {{0x7a730052,0xba1e0125,0x0516017e,0x37ac0153}},	//   _सर्वसाधा, _ничин_, _konstruo_, _ハリウッドセレブ_, 
   {{0x546e05e2,0x52900212,0x5e5d02b2,0x62780234}},	//   _versión_, _somafm_, _матчі_, _didarapọ_, 
   {{0xcaa30250,0xcfbd0156,0xea3b0025,0x87cc04f9}},	//   _dashurin_, _מיישב_, _आक्रमणान, _alaskami, 
   {{0x44fb0255,0x650300e6,0xf3f803ec,0x00000000}},	//   _चुराये_, _直辖市人民政府_, _takuan_, --, 
   {{0xf2e8051a,0x00000000,0x00000000,0x00000000}},	//   _majikan_, --, --, --, 
   {{0xa58f0278,0x50610012,0xa53302f8,0xb1fe00a2}},	//   _bertarik, _धानसँ_, _meapango_, _kidiplom, 
   {{0x77230211,0x1bc90475,0xfe3704cf,0xeca90259}},	//   _керамиче, _палеогра, _lingatha, _dalgaard_, 
   {{0x281f0192,0xf7910192,0x82b60044,0xb8ec0361}},	// [ca20] _광화문연가_, _테마감상평_, _circle_, _аллергии_, 
   {{0xcae802d5,0xc6c5027c,0xe2db0169,0x52e80574}},	//   _उध्वाला_, _amashish, _exponer_, _iskusnih_, 
   {{0xc2c304e5,0x76a002b9,0xa02b0457,0x00000000}},	//   _agulipa_, _الماتی_, _yemeggek_, --, 
   {{0x28770590,0xc98f046b,0x53fa00da,0x2caa006f}},	//   _николь_, _adchwane, _impune_, _ناتجربيڪ, 
   {{0xe249042f,0x0373011c,0x2dee0193,0xe37b009b}},	//   _taamna_, _amlante_, _berjuala, _garaiko_, 
   {{0x927d0262,0xf2f0025a,0x1d8c020e,0xb30300aa}},	//   _барадакы_, _buhindi_, _ithorisa, _mogamit_, 
   {{0xf2ca00a6,0x6c7700b4,0x23570137,0x238301c0}},	//   _beflegi_, _intrati_, _хийлгэ_, _hanyace_, 
   {{0x95810288,0xe4d70094,0x86c80061,0xf0f2004d}},	//   _geschwät, _назарын_, _즐겨찾기가_, _搜尋此頻道內容_, 
   {{0x30e2006c,0x5eb701f4,0x52d40026,0xdc150046}},	//   _abanacal, _ватанни_, _derden_, _músics_, 
   {{0xf9d500c7,0x1f850092,0x09fd018d,0x3ba70142}},	//   _aralarda_, _最近チェックした, _ዕድለኛታት_, _प्रतिप_, 
   {{0x2efd0689,0xe39b001a,0xb19501cd,0x20c100d5}},	//   _धडाका_, _tanulmán, _okubalul, _anelanel, 
   {{0x9cee02da,0x436a0032,0x18bf0168,0xa958018d}},	//   _гради_, _bingdaq_, _annerled, _ተረሺኖም_, 
   {{0x23860122,0x725b009a,0x647200d7,0x29b5001b}},	//   _ngirim_, _abalek_, _планлашт_, _fuldurat, 
   {{0x52d90249,0x161e0205,0xd1950557,0x4ead0187}},	//   _savem_, _кампирни_, _akubalul, _позиција, 
   {{0x3b1d03d5,0xcc5a0225,0x0052019b,0xa2d403c2}},	//   _attachab, _taburig_, _operacin, _almonyn_, 
   {{0x657602af,0x8f3300b2,0xa7b503db,0xf35804e5}},	//   _aratamaz, _ashuuraa, _babelung, _akagoye_, 
   {{0x0290046d,0xedd90205,0x9e680119,0x32570287}},	// [ca30] _milayo_, _диндорла, _kanchana, _dílem_, 
   {{0xaf340148,0x593b010b,0x663201c2,0x49f40434}},	//   _adironda, _batlokwa_, _esenciai, _adiós_, 
   {{0x3bd300f0,0x667b0010,0x448702c0,0x39e30282}},	//   _privyrob, _ekuwabuy, _наежат_, _waruwaru, 
   {{0x2c7702a8,0xa29001e8,0xd1e202d5,0xd292011b}},	//   _entrati_, _gilayo_, _छाहरि_, _eutaka_, 
   {{0x5257062c,0x3f6f0121,0x00000000,0x00000000}},	//   _कण्डक्टर_, _alianzas_, --, --, 
   {{0x314502f8,0x6bb702aa,0x36c4020f,0x00000000}},	//   _komesiol, _avokádo_, _elishish, --, 
   {{0x93f4011e,0x81040010,0x42d90198,0x930a02e5}},	//   _desten_, _akukamel, _davek_, _иҭаацәа_, 
   {{0xdcb802fe,0x8dad0147,0x44a901ad,0x5b880206}},	//   _خزانی_, _جاتچۇ_, _calabarz, _webinzer, 
   {{0x32920207,0xfbfb0163,0xfad000bb,0x72900251}},	//   _kutaka_, _hangszer, _شرطیں_, _dilayo_, 
   {{0x33f40594,0x06270330,0xd26e0184,0xdc2502d3}},	//   _nesten_, _timiquti, _batore_, _cavaleir, 
   {{0x929001c5,0xd7a40037,0x1c6102fd,0xe35f0514}},	//   _filayo_, _አናዘጋጃቸው_, _carraid_, _gudgete_, 
   {{0xd3f403e1,0xb84301c4,0xf5ca0040,0x741900d3}},	//   _hesten_, _vermoord, _הכתובה_, _neanalyz, 
   {{0xaee206cc,0x38800087,0x3e4b0333,0xa3b50390}},	//   _मुन्नाभा, _letikulu, _arradica, _bulvara_, 
   {{0xd9e60035,0x32d900e9,0xf2fd0148,0x2b1b00c5}},	//   _пастер_, _cavek_, _diximus_, _natation_, 
   {{0xa9f30390,0xc27c023b,0xdec60152,0x59c50057}},	//   _rusiyada_, _alohanui_, _байтак_, _diperkat, 
   {{0x0f7c0046,0x03940079,0xcc6e02a0,0x29c20065}},	//   _алалы_, _gaismu_, _ganrín_, _kundenbe, 
   {{0x61700314,0xa292030b,0x82390125,0xa32706d8}},	// [ca40] _ихлас_, _butaka_, _bermeli_, _प्रसिद्द_, 
   {{0xb645015a,0x6c09048a,0xe2900257,0xae040456}},	//   _elektiri, _процесін, _herbergi_, _kecekapa, 
   {{0x973000bb,0x2c150345,0x3b16028e,0xa2020315}},	//   _ڈیٹابیس_, _ocupado_, _properit, _basita_, 
   {{0x42020072,0x629e020a,0x427e0587,0xf7470089}},	//   _masisa_, _تاماراعا_, _femnas_, _аңлатасы, 
   {{0xb7ac00e4,0x9c63025e,0xe0f6007e,0xf2c802ee}},	//   _हस्तियां_, _dreifbýl, _केशवं_, _ihallik_, 
   {{0xbfab02aa,0x3d410707,0x8f37002b,0x8325005a}},	//   _priorito, _inabuntu_, _তলিয়ে_, _probaby_, 
   {{0x0e680420,0xfdb40107,0x8e030224,0x386e0088}},	//   _магистер, _هواوی_, _barbarís, _mensuals_, 
   {{0x6a4703d0,0x12d901c5,0x626e02c3,0x89c50338}},	//   _sjednica_, _jabeen_, _odrody_, _catedrat, 
   {{0x1292005b,0x2b21015f,0x55cc004d,0xfe5200c4}},	//   _yutaka_, _bataliwn_, _我國資訊軟體產業, _linatoka, 
   {{0xf39601d9,0x626e011b,0x3ff10360,0xb20200d0}},	//   _ausser_, _matope_, _मुद्दाको_, _betiko_, 
   {{0x8de9015e,0x783c00cb,0xc93c0188,0x88ca02c7}},	//   _دالايلاع, _amaminid, _amaminit, _wortfolg, 
   {{0xe2b405ed,0x0da3005b,0x442a0362,0x8f510258}},	//   _agaca_, _photozou_, _bapagano_, _besprekt_, 
   {{0x8d8e0125,0x127f0421,0x63ca0041,0x363500c4}},	//   _añlatmaý, _brennt_, _шәпрҭада, _mwangali, 
   {{0xa2d90318,0x025b0135,0xf2d901c5,0xe8970444}},	//   _lavei_, _birle_, _habeen_, _слизисты, 
   {{0xe1960169,0x337701ad,0x12fe01c3,0x95d30037}},	//   _সাহিত্যে, _stropkov_, _drainer_, _በኤችአይቪ_, 
   {{0xf2920218,0xe9b205bd,0xe202012c,0xe7b00421}},	//   _orthfay_, _hendelse, _hasira_, _verurtei, 
   {{0xbe1a0317,0x766c0156,0x6fe70377,0xf2120420}},	// [ca50] _materija, _פלוגתא_, _привитэ_, _malha_, 
   {{0x7b06056e,0x92020216,0x828e033f,0x63f8005b}},	//   _abastece, _basisa_, _ekakato_, _gakuen_, 
   {{0x4984056d,0xd0580040,0xfb10001a,0x3149032d}},	//   _ngokwase, _לעידוד_, _دلدادہ_, _khethilo, 
   {{0xdd1b00e4,0x723606f8,0x5e9a0030,0xb2d90002}},	//   _katowice_, _semja_, _klientus_, _izveli_, 
   {{0xaf4302e5,0x0e9a01d1,0x61d000e7,0xa3c302eb}},	//   _comisión, _numerous_, _aggedtay_, _бэтгэрсэ, 
   {{0xbf1e00c1,0xc2a002ac,0x9201024f,0xa6ca0013}},	//   _kondisin, _ونثمن_, _tagici_, _бананнин, 
   {{0x68fc0068,0x920c0044,0xcc080037,0x774302d3}},	//   _siyaasad, _להבטיח_, _ስለተከሰተው_, _направат_, 
   {{0x98800071,0x603a040f,0xf29000a3,0x72480020}},	//   _retikulu, _заключэн, _seiast_, _monokusi_, 
   {{0xf31a0139,0x8ea4010f,0xb62d032e,0x5212005a}},	//   _adhamā_, _суқути_, _sutinkax, _dalha_, 
   {{0x920e0366,0x47da018d,0x427f03ae,0x137f0135}},	//   _нажав_, _ምትዕራቕ_, _trenge_, _islamga_, 
   {{0x537b027b,0xac6604c9,0x52fc00db,0xf27f054c}},	//   _antaśo_, _chstadt_, _hoogu_, _brende_, 
   {{0x2c6001c4,0xec7600ba,0xafa201a3,0x197d0205}},	//   _destyds_, _رناچێت_, _رمارڪس_, _бостирил, 
   {{0x4b5c06a2,0x8ed3018e,0x02d5030d,0x295e0568}},	//   _abimukir, _debyanya, _sagolun_, _stenerse, 
   {{0x0e3605a5,0x724a0020,0xce530629,0x631f018c}},	//   _spracova, _liumaa_, _apeaucha, _namiddag_, 
   {{0x38c1018b,0xbcdc0024,0x83e502d4,0x228c0067}},	//   _bebelusu, _বেংকৰ_, _utilisaz, _bokkaan_, 
   {{0xdf010088,0xf2120227,0xc6830077,0x928e00cd}},	//   _piscines_, _qadha_, _insekiri, _chapital, 
   {{0x42fc004f,0xe2d001b4,0x26810360,0x82020082}},	// [ca60] _googu_, _moslems_, _गितार_, _basira_, 
   {{0x3f690374,0x58f70067,0xc2020191,0x178d0137}},	//   _عبدالحی_, _ambasadd, _sprids_, _жигён_, 
   {{0xf3190063,0x3b0c0163,0x69780041,0xba8901ad}},	//   _صيحات_, _ناپید_, _иалхәдаа, _kapitoan_, 
   {{0xec740452,0x934501b2,0x00000000,0x00000000}},	//   _शूम्पी_, _asperse_, --, --, 
   {{0x8e53043d,0x79e10321,0x92940097,0x31530147}},	//   _mencinta, _zanimiva_, _isalẹ_, _رەلەيت_, 
   {{0xd1490039,0x9394021e,0x09640452,0x00000000}},	//   _kontsumo, _ledsen_, _नामसूची_, --, 
   {{0x557f03d5,0xe1ff0120,0xa2150156,0xc2330077}},	//   _anheilty, _silaalah_, _סטײַטש_, _kanmèm_, 
   {{0xa9eb04c3,0x578a016d,0x00000000,0x00000000}},	//   _skygarde, _давалини, --, --, 
   {{0x308a00cd,0x698400b4,0xfb620203,0xda6d01e9}},	//   _vischino, _posibila_, _objetion_, _itsosits, 
   {{0xd5320010,0xb501017e,0x327e00a8,0x26760141}},	//   _asengiph, _distanco_, _avonda_, _сурханда, 
   {{0x62c400d7,0x138f006f,0x5e0c0137,0x7a060039}},	//   _стерлита, _bonyeza_, _цаглабар_, _dihardut, 
   {{0xe9c40055,0xe5a3026c,0x86780011,0xb6c50243}},	//   _accertat, _scriptum_, _alekeraw, _kassitil_, 
   {{0xccc3005e,0x02f2023b,0x7e51027b,0x80db0311}},	//   _تەئەلا_, _kaniuhu_, _apratima, _ፋይናንሳውን_, 
   {{0x95d0022f,0xe8e2014e,0xb25a0094,0xa24902fb}},	//   _нейтралі, _посуде_, _تىلدەر_, _maamaa_, 
   {{0x436903b0,0x93a203ad,0x64a8003c,0x02120120}},	//   _manglar_, _drapp_, _بوقلمون_, _dadho_, 
   {{0x135e0287,0xef7800ae,0x227f0292,0xe2020357}},	//   _पर्ला_, _atacaman, _trenee_, _jasipa_, 
   {{0x521c0027,0xc23b028d,0x126e0039,0x120203b9}},	// [ca70] _alphen_, _alalong_, _aktore_, _masipa_, 
   {{0x9c000191,0x7e430067,0x3904042a,0xc3a2013a}},	//   _färger_, _agaappee_, _angatifu, _grapp_, 
   {{0xd17e00b3,0x3ee200e4,0x098e00d7,0x62d4003a}},	//   _калби_, _मूर्तिया, _табип_, _yerdan_, 
   {{0x2deb02ac,0x9224024f,0xa23e032c,0xe2780079}},	//   _مكاتب_, _iteki_, _aggersum, _krastmal, 
   {{0x22490105,0xbe6b0148,0xf2d10325,0x5d2d033e}},	//   _chemii_, _conclama, _ajiotaj_, _karmelít, 
   {{0x02920150,0x928e01a6,0x4f270255,0xd61e00e2}},	//   _aisaia_, _katipō_, _tartumaa, _kennissi, 
   {{0x3f07023e,0x9ad80452,0x00000000,0x00000000}},	//   _arecales_, _गाजराचे_, --, --, 
   {{0x7c6e02af,0x82900013,0xbaf60105,0x22b303a4}},	//   _ararima_, _ikkala_, _aktualne, _breddan_, 
   {{0xb43f0026,0x9514008d,0x739602d4,0x12d40235}},	//   _부산광역시_, _фермерни, _mussar_, _asampraj, 
   {{0xe2d900bc,0xdaf70187,0x12900399,0xa9c2026c}},	//   _flooder_, _материи_, _kilalo_, _gubergre, 
   {{0x7be60190,0x81d30159,0x2533027b,0x786e0376}},	//   _übermorg, _конным_, _एकाय॒नम्_, _alvitand, 
   {{0xe3ac029a,0x0e8203bf,0x00000000,0x00000000}},	//   _eksper_, _буткевич_, --, --, 
   {{0xe3430205,0x922c0045,0xbac501eb,0xeb61021f}},	//   _тобора_, _глобални_, _hasyetév, _garewwan_, 
   {{0x23ce03ff,0x00000000,0x00000000,0x00000000}},	//   _pomalý_, --, --, --, 
   {{0x72d40230,0x00330297,0x5ac501eb,0x435600da}},	//   _koudey_, _belgäç_, _hasyetép, _prefera_, 
   {{0x8e70023d,0x32c10163,0xfcf2009a,0xea03020f}},	//   _статията_, _kombinál, _کاظمي_, _angaziye, 
   {{0x3d860193,0xe36c0062,0x00000000,0x00000000}},	// [ca80] _आयुक्त_, _nonglaw_, --, --, 
   {{0xfe5205e8,0x7c76026c,0xb25b0128,0x3874021b}},	//   _tekateka, _clerici_, _birla_, _окружени, 
   {{0xdb210241,0x49350220,0x73a2028b,0x0bac01db}},	//   _bataniin_, _stampant, _guapy_, _جەڭەدى_, 
   {{0xd25b02a6,0xfb6103ae,0x90ad0244,0xff2600ff}},	//   _dirla_, _overgrep_, _починали, _detruita, 
   {{0xa56a01db,0x967300e5,0xea87009b,0x00000000}},	//   _тілге_, _застанат_, _gernikan_, --, 
   {{0xa27f0190,0xf3410059,0xc59f0421,0x8c61016b}},	//   _grenze_, _sorella_, _bergisch, _haruffa_, 
   {{0x68bb0175,0x26ae0047,0x33f402d4,0xba8f0197}},	//   _soutenir_, _民族自治地方的自, _restan_, _anmizman_, 
   {{0x9a580055,0xc3f4021c,0x61420147,0xc9c8034e}},	//   _allegria_, _vrstva_, _атчан_, _bromelia_, 
   {{0x96dd004d,0x7c57003e,0x00000000,0x00000000}},	//   _對我來說也是大問, _вариҫы_, --, --, 
   {{0xc05802e8,0x78c401d7,0x1d320315,0x097802e4}},	//   _akasiyan, _acceptad, _asungile_, _antisett, 
   {{0xa2c102c3,0xa3420373,0x73f404d7,0xacf2020f}},	//   _kombinác, _defendo_, _vestan_, _کایمن_, 
   {{0xa38b012e,0xf0440061,0x8238033f,0xef410108}},	//   _bírni_, _주장하였다_, _saimini_, _diasonga, 
   {{0x15f00025,0xf28c01aa,0xf737010f,0x737a01e8}},	//   _स्थानिवद, _acesplay_, _пизишки_, _luparon_, 
   {{0xeeea01bb,0xd46902da,0x4e11017a,0x2ff300be}},	//   _байларын, _confecçã, _akweyaba, _proteïne, 
   {{0xa74a018f,0x2ba80145,0x3f37001b,0xc2760058}},	//   _chuntahv, _начальні, _awustira, _tidastum, 
   {{0x42d9005b,0x0eca0040,0x42de00ec,0x434103d4}},	//   _laves_, _launches_, _nenoriu_, _zamenio_, 
   {{0x02480163,0xf35701c4,0x9a5d02ac,0x43790414}},	// [ca90] _jelmez_, _onseker_, _gasóga_, _lisanga_, 
   {{0xf31601a4,0x35220025,0x7fda023a,0xf30100db}},	//   _akabeli_, _प्रतिसंध, _stredajš, _disaini_, 
   {{0x74d7015e,0x3212023e,0xa84a00af,0x09fa01ab}},	//   _баланын_, _badhe_, _полку_, _detailse, 
   {{0x0ab102b0,0x39b60082,0x00000000,0x00000000}},	//   _serviere, _huldarsa_, --, --, 
   {{0x0dd400e2,0x427c003f,0x61f704c7,0x00000000}},	//   _derhinne_, _lusichdi_, _белграде_, --, 
   {{0x37930334,0xdd9f0167,0x45e3037b,0x372d020f}},	//   _amatitsi, _berlysia, _papelerí, _ديرشمي_, 
   {{0xd7db03d0,0x784e01f4,0x7df70178,0xd048032d}},	//   _oglašava, _tillarid, _avaśyaiṣ, _замоктар, 
   {{0x2f960145,0xb78700be,0x0b9c00ff,0x7ea80274}},	//   _рабства_, _بابانىن_, _הפּליטה_, _reglukon, 
   {{0x525b0518,0x2fd50177,0xb2b6007f,0x226f03a4}},	//   _sirli_, _аҵәҭаҧса, _barcud_, _bygningi_, 
   {{0xd01a048c,0x70860179,0x23f3019f,0x781f0188}},	//   _elevatin, _diabimik_, _kukubali_, _ёдоварӣ_, 
   {{0xb28e0086,0xa2d800b4,0xb2a30189,0x7c79004d}},	//   _اصولی_, _aprobat_, _tasarruf_, _中華三菱能獨立存, 
   {{0x97510151,0x73460249,0x02d9005b,0x53fc005b}},	//   _aainshag, _prodius_, _haves_, _aiannsuk, 
   {{0x0a26034f,0x10f303f0,0x82d2002c,0x00000000}},	//   _بريښنالي, _brotaþol, _arbolak_, --, 
   {{0x9cae01c5,0xa9c500ed,0x49d60039,0x24110334}},	//   _استانک_, _vallarta_, _баарны_, _akwayawo_, 
   {{0xa3f4017e,0xaecb0277,0xba4401a4,0x5b33014d}},	//   _keston_, _asunnkin, _komelisa_, _reibungs, 
   {{0xff66038b,0x934f0287,0x8238006f,0xd4a200d1}},	//   _menampun, _veletrh_, _waamini_, _জলপাইগুৰ, 
   {{0xcc360291,0x422400c2,0x421201f1,0x52d90409}},	// [caa0] _تعتمد_, _nteko_, _radhe_, _naver_, 
   {{0xaf5d02d8,0x00ff0037,0xbd54005d,0x21c1004b}},	//   _भुंगा_, _ተቀጥረው_, _kurupích, _амангилд, 
   {{0xa2fc0107,0xeb7903cd,0xd63c030f,0xb38b012e}},	//   _angge_, _यरूशलेम_, _āniwaniw, _sírni_, 
   {{0xd2d900c2,0x024902ba,0xeef00257,0x5c8801a3}},	//   _ukeneye_, _abamba_, _leikarin, _واندڪائي, 
   {{0xc2d9081f,0x05d50192,0xb0cb03ea,0x5bea03a2}},	//   _savet_, _허위매물을_, _renouvel, _अटॉर्नी_, 
   {{0x99e6037c,0x923102c5,0xdcee0220,0xe270024d}},	//   _craftsme, _kuumbwa_, _сряда_, _yasungul, 
   {{0x32d9005b,0x1b0b0092,0x7c68019f,0x43b50590}},	//   _laver_, _オンライン_, _kikundi_, _эгчмэд_, 
   {{0x84d70147,0x75550138,0xd2d90346,0x44f3013a}},	//   _базасын_, _cumhuriy, _faver_, _ausmaach, 
   {{0xa8770078,0xad9202f8,0x246c018e,0x00000000}},	//   _реализма_, _kolekole_, _mindwalo_, --, 
   {{0x827304b3,0x1eca031a,0x00000000,0x00000000}},	//   _brogramm, _fhantain, --, --, 
   {{0x12d80716,0x53f401da,0x3ad4011a,0x00000000}},	//   _tineeg_, _feston_, _subtract, --, 
   {{0x79c7040f,0x22d90312,0xf7a5029f,0x33870418}},	//   _макара_, _kaver_, _objektov, _tebrik_, 
   {{0x1a860172,0x8dfc0242,0x925a0313,0x22d00026}},	//   _ghanaman_, _azarkeşl, _dabli_, _moslims_, 
   {{0xcdd70076,0x0958017e,0xd9e501fa,0x09a201c9}},	//   _превоз_, _altlerne, _mapukepu, _miljonit, 
   {{0x0202028d,0xde1a018d,0xa289064d,0x351804a8}},	//   _lisien_, _ሞራላዊን_, _papapoai_, _perzijsk, 
   {{0xa6d6034f,0x75b4003a,0xe9da0224,0xec6b018b}},	//   _عالمان_, _لنگنینی_, _morgunve, _minunat_, 
   {{0x109b017d,0x53f4017e,0xb5450118,0x01800235}},	// [cab0] _オリジナル_, _veston_, _antiokiy, _balibhiḥ_, 
   {{0xe2a7033e,0x0c61031a,0x1ae100ee,0xe95d0014}},	//   _тактикат, _barraid_, _kostalde, _milloshe, 
   {{0x327e04b9,0xe2500361,0xc7e4023e,0xbd7503ec}},	//   _hunner_, _декар_, _bandrèk_, _formohet_, 
   {{0xc4fb00db,0x5db800d6,0xe8490037,0x9932002b}},	//   _गिरामी_, _dhaingea, _መደባለቅ_, _কমায়_, 
   {{0xd5ce0238,0xe2d802f3,0x48d40156,0xca4b0205}},	//   _спостере, _varning_, _פּורפּור_, _muzeyida_, 
   {{0xc1d900c8,0x234b005b,0x4c6102fd,0x34460162}},	//   _белорет_, _loveyou_, _farraid_, _تالقىنى_, 
   {{0x28950272,0xeeca0195,0x2dbe0320,0x22a00189}},	//   _abajjudd, _chantain, _maburuku_, _gurbet_, 
   {{0x53ea02e7,0xda8001db,0xa20202ee,0xff41008a}},	//   _bukton_, _سۇيەككە_, _fisien_, _taugafan, 
   {{0x2c68012c,0x1ae5009b,0x5858018f,0x9ea40151}},	//   _vikundi_, _sailaren_, _danumnis_, _absterge_, 
   {{0x82d4046c,0x018b0047,0x92cb0245,0x430101b2}},	//   _werden_, _日时政要闻_, _shadap_, _disband_, 
   {{0xad1500e6,0x33f4017e,0x4db800d6,0x2303009b}},	//   _路长辛店南口站_, _teston_, _chaingea, _labayru_, 
   {{0xa6c2001c,0xc2120062,0x02d90098,0x00000000}},	//   _azerbaiy, _nadha_, _naboens_, --, 
   {{0x181001c1,0x8f2e0367,0xe64403b7,0x920d00b5}},	//   _mencurig, _partilha, _aerosolw, _háipi_, 
   {{0x327f030b,0x521200cf,0x82240287,0x469b0037}},	//   _esente_, _hadha_, _utekl_, _በምስጢር_, 
   {{0xb3ea0415,0xa2d4016e,0x02b4008d,0x00000000}},	//   _trotz_, _yerden_, _lgach_, --, 
   {{0x427f0409,0xdfe602ac,0x649c006c,0x70310012}},	//   _drenge_, _واخواتي_, _душманон_, _सूबहे_, 
   {{0x22b402e1,0xb86c028d,0x11150105,0x7262036a}},	// [cac0] _ngach_, _konsians_, _उद्यमिता_, _raviravi_, 
   {{0x000d049a,0x525600de,0xb64c02fe,0x7913003c}},	//   _nerazjaš, _amatayal, _asinakuf, _رزولیشن_, 
   {{0x6f4901c5,0x52b401f7,0x73f90243,0xb44900e6}},	//   _kaashana, _agach_, _mawuq_, _刘德均与家人团聚_, 
   {{0x82fc0788,0x43450222,0x1c0600fe,0x5ada014d}},	//   _onoga_, _superbe_, _faasitu_, _gestellt, 
   {{0x73f40166,0xee290184,0x17b3023c,0xda0b0018}},	//   _besten_, _araganga, _کتنټوک_, _ligalala_, 
   {{0x69ee0021,0xe2bb00d7,0x8b1a0080,0xe995032b}},	//   _anatoriu, _domeine_, _appaqass, _بىمەنىلى, 
   {{0xa2490344,0x0c9f0241,0x12d40046,0xa2fc030b}},	//   _aaamma_, _caagaduu_, _perden_, _anoga_, 
   {{0xc75c019e,0x82ef0008,0x65070045,0x13ea0148}},	//   _разведку_, _agafar_, _кредите_, _exitus_, 
   {{0x534002a4,0x1de40740,0xb720068f,0x586403f1}},	//   _dibella_, _स्वैच्छि, _erumageg, _agresívn, 
   {{0x1b8f02c3,0x7fe90157,0x95df0040,0xfe5502fe}},	//   _striebor, _जनजागरण_, _למשבר_, _ګوشته_, 
   {{0x2ad400b9,0x33800074,0xb2c6000a,0xaec00056}},	//   _permanen_, _suuret_, _amalaie_, _akuzange_, 
   {{0x7bba02a0,0x4022042d,0x842a0159,0xe27f0014}},	//   _abawọn_, _antehiro, _vitamino_, _trenit_, 
   {{0xdcd30061,0x6b4301c8,0x92ea00c0,0x134700a1}},	//   _바이러스가_, _utrpení_, _barilan_, _pinerua_, 
   {{0x12a200f2,0xc2be01de,0xbc660034,0x00000000}},	//   _miljons_, _базардың_, _brutust_, --, 
   {{0xa1f800e6,0x3ebe01b5,0x00000000,0x00000000}},	//   _增强服务意识_, _ntanghen, --, --, 
   {{0x99c700c7,0x2ef00034,0xd2fc01d4,0x1638006c}},	//   _санала_, _leikurin, _poggi_, _abanenki, 
   {{0xe11e03cd,0x0206026a,0x00000000,0x00000000}},	// [cad0] _गैरजिम्म, _rekitaki_, --, --, 
   {{0xc2bb02c2,0xd1370155,0x00000000,0x00000000}},	//   _romeine_, _ljudkval, --, --, 
   {{0x685e0005,0x6fd4003c,0x00000000,0x00000000}},	//   _collisiu, _لندرور_, --, --, 
   {{0x53b6027c,0xda920151,0x703600be,0x00000000}},	//   _abaviwa_, _beanfeas, _مىتىنگدى_, --, 
   {{0x32250300,0x3a560157,0x8f400294,0x4a0206d5}},	//   _zvuky_, _पुरोहितो, _charinka, _ultralyd, 
   {{0x20f900a7,0x9e5e0148,0x49b303b0,0xdb1b025b}},	//   _importàn, _雄峰旅行社_, _krevjand, _galatiab, 
   {{0x1daa036a,0x49e5014f,0x796a023e,0x11160040}},	//   _batibasa, _starosed, _ajangkit, _ניופאן_, 
   {{0x434a0331,0x72920021,0x7ecb025b,0x525a018b}},	//   _tiltakið_, _orthnay_, _peningan, _cablu_, 
   {{0xa16b02fd,0x2c620079,0x5c83017a,0xf5990378}},	//   _airceòla, _aktrise_, _мураттаб_, _barnaskú, 
   {{0xe3000177,0x05e700bf,0xb2d802b0,0xcff20061}},	//   _здырҵахь, _огорожен, _warnung_, _한국투자증권_, 
   {{0xa2a60322,0xc846003b,0xad98000d,0x00000000}},	//   _uwaba_, _isombulu, _tallinla, --, 
   {{0xb3e202dd,0xf66703bf,0x00000000,0x00000000}},	//   _vibranti_, _сиректе_, --, --, 
   {{0x4bb901cd,0x3ae80315,0xda580082,0xb585027f}},	//   _мерезад_, _bakulomt, _danginsa_, _ukaramuk, 
   {{0x92fe0086,0xc5980205,0x329f0193,0x00000000}},	//   _tipikus_, _сайтинги, _berjasa_, --, 
   {{0xa9d7014c,0x8a6c034b,0x96950020,0xd57e01aa}},	//   _angenele, _longlaip_, _feteenai, _apitaliz, 
   {{0xb27e004f,0xe4b90211,0x82d901c5,0x7c6a000b}},	//   _bokna_, _серебро_, _qabeen_, _lanulau_, 
   {{0x2ec30177,0x268a0145,0x2e3b0256,0x93410008}},	// [cae0] _ambiguus_, _встречна, _dzintars_, _morella_, 
   {{0x7ae60265,0xda4901ef,0x5c18004d,0xbb1f016e}},	//   _verlopen_, _гайдуков, _兩三天後你和他又, _zamandan_, 
   {{0xc3870516,0x9a4b0044,0xd31600e9,0x63e10145}},	//   _clerks_, _ללילה_, _bonzur_, _grotuvai_, 
   {{0x687e013a,0xe94002a1,0x484602fe,0xa29d0061}},	//   _decisiou, _formulee, _asombulu, _부서별서식_, 
   {{0x18d203dc,0x86830342,0x00000000,0x00000000}},	//   _skiftand, _ensekiri, --, --, 
   {{0x330e0348,0xc936020d,0x334000b4,0x3f3f045f}},	//   _ababala_, _kwambara_, _urgenta_, _storleka, 
   {{0x23a10203,0xa1ff0177,0x6f6f00fa,0xee0c0309}},	//   _atractiv_, _қәабчара_, _balagtas_, _arteriya, 
   {{0x4cb702d3,0x49ed024b,0x527f00f3,0x0e8d0094}},	//   _граници_, _actualid, _asenze_, _тапшы_, 
   {{0xec96042f,0x252b018f,0xb0d30061,0x9a7500e6}},	//   _haalluaq, _datichch, _허위신고일_, _安全期在线计算_, 
   {{0x52ca0331,0x0f07040f,0x6a1e01f4,0xaea40189}},	//   _rundan_, _казармы_, _тилим_, _taktirde_, 
   {{0xbb7e008f,0x62ca02f6,0xd3ea005a,0xb94e0148}},	//   _saaremaa_, _sundan_, _dantah_, _pollicit, 
   {{0xeebe04b3,0x727f01b8,0x5c520204,0xac33019c}},	//   _barnaden, _teenis_, _lontoon_, _isanraju_, 
   {{0x0a0b01fa,0x6d5101d7,0x6c770233,0x00000000}},	//   _angahala_, _agradgiu_, _plesure_, --, 
   {{0x83ac02d8,0x62e8011b,0xb22a008e,0xd7a6025b}},	//   _ekspor_, _anginda_, _biddiiwi_, _forresti, 
   {{0xb0dd023c,0xc5a40086,0x19a903f7,0xf57e00da}},	//   _سمنګان_, _parkettá, _aðventun, _spitaliz, 
   {{0xfc55053e,0x42920369,0x803c004b,0xee480350}},	//   _jentene_, _sisaka_, _diweksho, _rajagoba, 
   {{0x4683028d,0x82d502a6,0x5be307b7,0xab1901ac}},	// [caf0] _ansekiri, _opposta_, _asimismo_, _stratman_, 
   {{0xc2d003f0,0x92600040,0xcd80061d,0xcb8c00e6}},	//   _fjallar_, _ומיזוג_, _көпрәк_, _市委书记王振有在, 
   {{0x72d40039,0x4c000638,0xc49e0291,0x88a800d7}},	//   _berdin_, _brystet_, _بكلمتي_, _дәлилләй_, 
   {{0x72c402f7,0xc04b0166,0x1cf001c7,0x8b4b0037}},	//   _boidiidi_, _anerkann, _пердәниң_, _የእርምት_, 
   {{0x496a018b,0x4995019f,0x729000fc,0x64780148}},	//   _navigare, _kuchoche, _didamo_, _silentio_, 
   {{0x7e4e0299,0xd4700764,0xfad7012b,0x6c1800bd}},	//   _жайда_, _kutendek, _nastolat, _happins_, 
   {{0x5f3e00e4,0xf2a60307,0x36d801e9,0x7df60409}},	//   _गाडियाँ_, _lwabo_, _bogautsw, _vurderet_, 
   {{0x1ada01e7,0xac010612,0x4224024a,0x3cde00d1}},	//   _gestallt, _bistands, _ireke_, _কবিতাৰে_, 
   {{0x7e790102,0x09280444,0xffed0040,0x00000000}},	//   _شرمندگي_, _нектара_, _יסייע_, --, 
   {{0x1302017f,0x004b047d,0x799600f4,0xcc000168}},	//   _allallu_, _unerkann, _archerie, _krysset_, 
   {{0x4eb101a4,0x1c6e0009,0x55ec001c,0x42a60307}},	//   _desserte_, _apartma_, _eckernfö, _awabo_, 
   {{0x52a605f1,0xf2cd002b,0x82450291,0xc8900187}},	//   _bwabo_, _ওয়াশিংটন_, _bímis_, _gravador_, 
   {{0x2966038f,0xed920172,0x6af60286,0xe56b014a}},	//   _pozitive, _molemole_, _ɔtreneen, _innovatí, 
   {{0x859903b9,0xdc7d0244,0x6e4903be,0xdc700067}},	//   _barnaskó, _последва, _babasoba, _geeraru_, 
   {{0x2224009d,0xc8fb0178,0xc6d4038b,0x537f00dc}},	//   _greke_, _alpaśrut, _tercanti, _lumamea_, 
   {{0x30ea0534,0xea0f0087,0xa290001c,0xa2bf005b}},	//   _vinamilk_, _bumabume, _gidamo_, _eardrum_, 
   {{0x871c0187,0x32c200e4,0xecec0038,0x5347014a}},	// [cb00] _констати, _zielona_, _хайтарма_, _pelenka_, 
   {{0xac9e0056,0xe3790124,0xf238012c,0x95dc059d}},	//   _умаралӣ_, _tawanna_, _naamini_, _korbanny, 
   {{0x04400315,0x8ae30073,0x47c00024,0xc08d0128}},	//   _akakanik, _annuciat, _overtaki, _мияси_, 
   {{0xa2d50396,0xa26e01c7,0x41df0046,0x78fb0311}},	//   _apposta_, _арабадан_, _allotjam, _ኣይመድለየን_, 
   {{0x25160100,0x2d560420,0x07e10238,0xb2d90010}},	//   _prozorsk, _туристит, _тенденці, _angete_, 
   {{0x6ec40226,0x76ce0241,0xc3a90187,0xd3560487}},	//   _anandion, _boqatani, _previne_, _gaseous_, 
   {{0xd8cd03e7,0x6b6f0445,0x523e0040,0xd30e0007}},	//   _prefektu, _natureza_, _קוקסינל_, _mbabola_, 
   {{0x6c480205,0x3902017e,0x7a08011b,0x32920267}},	//   _хроникас, _מחשבֿות_, _dalagona_, _ispali_, 
   {{0xaba700c7,0x58870013,0x30e30361,0xe3ea005d}},	//   _punktlar, _қамалди_, _включающ, _apota_, 
   {{0x62570036,0xa6ce017f,0x7bf103db,0x965a0041}},	//   _sílim_, _sipaarni, _isoftwar, _iñapysẽm, 
   {{0xe24e0189,0xb88c028a,0xbeb20342,0xe5bf0439}},	//   _bildirim, _ثقافتن_, _debouton, _mabandlh, 
   {{0xc55501ef,0x6a3a020e,0xf3f8038e,0xd5330090}},	//   _neteisėt, _сарански, _lakuin_, _asanyany, 
   {{0xb23001b5,0x20f30100,0x23ea00b5,0x00f70111}},	//   _byamina_, _županiji_, _epota_, _accinnul, 
   {{0x086000bd,0x9fd4008d,0x4e1a01a3,0xb53a0059}},	//   _belaubir_, _yuritayo, _جيساڻيءَ_, _compagno_, 
   {{0x120202ee,0x02920233,0xb3f4025b,0x39b70071}},	//   _disinn_, _appari_, _restin_, _جانسون_, 
   {{0x44320238,0x6a5e0125,0xb3a7004d,0x13a70013}},	//   _революці, _советини, _城巴機場快線_, _барнабо_, 
   {{0x39630005,0x50000255,0xd26c0499,0xa22b006a}},	// [cb10] _danovame, _reaktsio, _omoomo_, _flaviosy_, 
   {{0x1ea60116,0xf23b02f7,0xdff5005e,0xd27a0087}},	//   _careless_, _boalong_, _ئوتيۈرەك_, _holiseli_, 
   {{0xd98000e7,0xff6d0149,0xe316002f,0xf107019f}},	//   _acsimile, _nnọkọ_, _belzu_, _alikubal, 
   {{0xbaf201eb,0xa1ac0163,0xdd290143,0x1329008d}},	//   _ajasurue, _kandalló_, _маринова, _тўралари_, 
   {{0xadc00083,0x72f902af,0x8f110099,0x00000000}},	//   _agricula, _imihora_, _denderen, --, 
   {{0xe9d10052,0x82900119,0xf598005c,0xa8500224}},	//   _अविश्वास, _gidako_, _anasitaz, _afkomend, 
   {{0xe6b40004,0xc2fc0113,0x671c00de,0x72a7007b}},	//   _arestasy, _fúithi_, _شيطانی_, _jabbit_, 
   {{0xf37304fc,0xaa000066,0x426c0130,0xda0d02f7}},	//   _delante_, _pribatua_, _ennomp_, _logagane, 
   {{0x42ca02e7,0xf3530164,0x965e034e,0xab7f0464}},	//   _sundon_, _دۇچار_, _aksiyunw, _baturuka_, 
   {{0x3f5f0055,0xaae10349,0xfe8200e6,0xbb990151}},	//   _hépatite_, _atherers, _年高等学校教师在, _blandeyr, 
   {{0xeb6b0212,0x92d9023e,0x52920220,0xcdce0314}},	//   _vestigia_, _angere_, _citato_, _гигер_, 
   {{0x6a7902ec,0xd35602d5,0x31120334,0xd2e7003b}},	//   _کوٝران_, _rasedus_, _chokupul, _ifuneka_, 
   {{0x920201ec,0xdb6200c1,0x6acd004d,0xed3f00d1}},	//   _kuping_, _घेउनि_, _信用卡討論區_, _দোকানলৈ_, 
   {{0x8b920418,0xcf9e015e,0x9bf7006d,0x00000000}},	//   _vidivodo_, _килемден_, _medvilnė_, --, 
   {{0x520100ef,0x469403c6,0xe37300ff,0x5dce0161}},	//   _akwii_, _beleanni, _celante_, _нитей_, 
   {{0x62c501a2,0x09e702cb,0x7be100f4,0x00000000}},	//   _kādus_, _odnosima_, _enseller, --, 
   {{0x2a6d01e9,0xc2a6012f,0x764b00b2,0xf65500f4}},	// [cb20] _dingwaga_, _etiba_, _ciminaaf, _denjenti, 
   {{0xa290036c,0x05e106eb,0x1e43042f,0xe25a0062}},	//   _silamo_, _रामचंद्र_, _kamagiya, _habli_, 
   {{0x637b0145,0x6a5803b3,0x9308013c,0x02940010}},	//   _vasario_, _licentia_, _kataloq_, _babambim, 
   {{0x3dce032d,0xf316013e,0x8cf301af,0xe386031a}},	//   _бирер_, _grobari_, _annatyýe, _deorsa_, 
   {{0xdc47002a,0xa0f302cb,0x49c6003b,0x12240177}},	//   _akuwkwo_, _županija_, _basebent, _eteku_, 
   {{0x20c300a6,0x84c6031c,0x129202be,0x6c140034}},	//   _پداسی_, _afectado_, _aksaya_, _heppinn_, 
   {{0x93f4033c,0x12020203,0xa3870338,0xb0110040}},	//   _destun_, _cision_, _andriu_, _מכוסה_, 
   {{0xae47000c,0x82ca0738,0x3a1c0435,0xd3020153}},	//   _переписи_, _bunden_, _mrkonjić_, _チッピングカムデ, 
   {{0xe0f304e3,0x117f034e,0xeb66005f,0x4c3f0012}},	//   _županije_, _achacoll, _analizar, _चरियाबऽ_, 
   {{0x83ea0196,0x83710130,0xd2920090,0xac530251}},	//   _mpoto_, _redadeg_, _mitaro_, _hortaga_, 
   {{0x49090105,0x60b90074,0xed9c0021,0x1a280092}},	//   _makijaż_, _накопите, _alloonba, _トフォリオに追加_, 
   {{0xf2c501a2,0x4a8f035b,0xac620279,0xee6f040f}},	//   _tādus_, _praznuje, _scrutin_, _nedidelė, 
   {{0xcc5200a5,0x1fc2032b,0x03690107,0x4b9400c5}},	//   _oketopa_, _ئاتوم_, _jangkar_, _culinair, 
   {{0xf3460277,0xbccf0111,0x8e3a022a,0xf2a0019b}},	//   _adiddas_, _peuplé_, _ouranosa, _turbut_, 
   {{0x22fc01d0,0x2a900261,0xc33f004c,0x2c25023e}},	//   _ligge_, _grandurb, _akawunti_, _baturé_, 
   {{0x32400009,0x6eb6027e,0x7de40234,0xd2aa02ac}},	//   _prometni_, _елеменат, _olóòsà_, _بروسيا_, 
   {{0xb2a00064,0x4dad0177,0x19e3013d,0x72900007}},	// [cb30] _herbes_, _дәықәаҳҵ, _difinita_, _bilako_, 
   {{0x90580211,0xc2d70145,0xf1d70021,0x438800d5}},	//   _havainto, _anglies_, _arleymay_, _drasalam, 
   {{0x038000df,0xb2970034,0xc4720390,0x14ec01b3}},	//   _heures_, _tungumál, _angelock, _консолід, 
   {{0xd2fc010b,0x83690370,0x7b5502b9,0x861103a4}},	//   _bosheng_, _bangkar_, _páciense, _gallavei, 
   {{0x383401f9,0xf2250071,0x603502a1,0x122403d1}},	//   _atimband, _awakan_, _allerhoo, _teikto_, 
   {{0xb2ca0220,0x3e47020d,0xedab00d8,0xe201039f}},	//   _разочаро, _barakoze_, _andicapa, _quaint_, 
   {{0x9b3f0414,0xeebf007b,0xe2d6009f,0x00000000}},	//   _educaion_, _everyane_, _primerlj, --, 
   {{0x229202c1,0x53ce0141,0x62d70059,0x42c503c2}},	//   _bitaro_, _shovot_, _esposto_, _ballure_, 
   {{0x93f4033c,0x4d06002b,0xce950205,0xd2e504a7}},	//   _testun_, _ইপিজেড_, _кутариб_, _asinaba_, 
   {{0xf25b038b,0x5c530073,0xcc610184,0x8e1802af}},	//   _shalih_, _sortiva_, _harurwa_, _hongerwa, 
   {{0x128c01b6,0xe2fc01fc,0x025b0120,0x9cd90082}},	//   _الحمر_, _higge_, _kkalah_, _barkanmu_, 
   {{0x5c66022f,0xfaa501f1,0xb2d800d0,0xa1a30022}},	//   _centras_, _dashuron_, _askeko_, _ендиатта, 
   {{0xc0610095,0xe34d015b,0x927f054c,0x50580439}},	//   _اناری_, _stretim_, _brenne_, _nikantso, 
   {{0xa2d90179,0xb26c00ae,0x8d3f00d1,0x0177055f}},	//   _lavey_, _bonona_, _গোলাকাৰ_, _mahallel, 
   {{0x3ccd0164,0x42fd0129,0xde4100d1,0x19d9006e}},	//   _канадаға_, _iyagbe_, _আৰ্গছ_, _engereje, 
   {{0x822400a1,0x0d7803dd,0x42a20351,0xe416020f}},	//   _ahikā_, _situatë_, _акхаройн_, _ebengumk, 
   {{0x95f5003d,0x763502d4,0x00000000,0x00000000}},	// [cb40] _arregraï, _cristagl_, --, --, 
   {{0x9d7d00d1,0xe68c02e0,0xcb1701f9,0x1b3300e6}},	//   _কেমিষ্ট_, _dikerafi, _bukadzeb, _怎么用手机看贴发, 
   {{0xb2cb0266,0xabac0147,0x9369038b,0xc2c2030b}},	//   _kaedah_, _بيۇجەت_, _sangkar_, _asaliya_, 
   {{0xf7b3034a,0xc2020125,0x136901cf,0xc3940341}},	//   _titulaci, _beriş_, _mangiar_, _gelsin_, 
   {{0xc2d902c2,0xb3160219,0xf4590235,0x00000000}},	//   _vinnige_, _ikabili_, _dhairyāc_, --, 
   {{0x41640381,0x2f6602d8,0x80ec0476,0x1e2a0004}},	//   _albonway_, _penampun, _akazoroo, _briganda, 
   {{0x3c6501a6,0x92f90219,0x69600109,0x4f9e027e}},	//   _hautoru_, _bakhona_, _निवन्ध_, _смотре_, 
   {{0x5ae401bc,0xec6f0011,0x80ad02fe,0x73810122}},	//   _monumint, _aliriko_, _مشوری_, _dhoyong_, 
   {{0x9f640275,0x8316019d,0x2bc50078,0xe7cf04a8}},	//   _manavain, _dedza_, _владику_, _alispahi, 
   {{0x33ea0663,0x13fa0521,0xae490043,0xbe3802e2}},	//   _montow_, _popujt_, _babagoba, _blogvria, 
   {{0xa3940274,0xd435003f,0x8e4a013c,0x73870076}},	//   _hérna_, _bitaghmo_, _dayanaca, _ceará_, 
   {{0x7c5202fe,0x2b1a0173,0xb252017a,0x927e031e}},	//   _abatsha_, _compuest, _abatshel, _pocne_, 
   {{0x49c700b7,0x00000000,0x00000000,0x00000000}},	//   _гараман_, --, --, --, 
   {{0xfa6603ff,0xd3790007,0xaddc0076,0x626e01b4}},	//   _orgánu_, _bikango_, _спасил_, _strook_, 
   {{0x106300d5,0xf31400ff,0x16450152,0x92c203d5}},	//   _globalvo, _באזוכען_, _электив_, _baillin_, 
   {{0xdc2b031a,0x15880013,0xf36b0119,0x01d60291}},	//   _aoineord_, _bilmadim_, _hingyap_, _عالخاص_, 
   {{0x73ca0089,0xe94703d4,0x5cc70282,0xe5740041}},	// [cb50] _almawı_, _читаве_, _kirinuku_, _џьгьарда_, 
   {{0xcd9203a0,0x937300d6,0x4a8f0304,0xabd10376}},	//   _diterone_, _chnaipe_, _kekitaan_, _handaver, 
   {{0x9290007b,0xb2ca0331,0x00000000,0x00000000}},	//   _agiant_, _hundan_, --, --, 
   {{0xa378045f,0xe2ca0205,0xd317012a,0x3b9a0223}},	//   _dagarna_, _kundan_, _świnoujś, _astigarr, 
   {{0x530d03ba,0x43d9018d,0x23ea0210,0xb24a0216}},	//   _engatar_, _ብድብድቡ_, _apote_, _khumbi_, 
   {{0x02ca0125,0x700e02b4,0x6d220099,0x00000000}},	//   _mundan_, _ekuveten, _hatizive_, --, 
   {{0xe1100040,0x98a4006c,0xb63e033e,0x222502af}},	//   _המאסטר_, _федероси, _mesiánik, _ntuke_, 
   {{0x79da04cd,0x7b9a000c,0x00000000,0x00000000}},	//   _desetlje, _estigarr, --, --, 
   {{0x0dad00e5,0xf0540418,0x1b6a0139,0x860c0397}},	//   _quantida, _kadrosun, _bhaiṣīr_, _atlolisi, 
   {{0x649e01f6,0xe2f901cb,0xaa10000e,0x0b720361}},	//   _বিস্তৃত_, _wakhona_, _revancha_, _штаны_, 
   {{0x5f6e0156,0x126c027e,0xf10a0187,0xc6470333}},	//   _תורתינו_, _prkosi_, _издаваат_, _alghisgi, 
   {{0x42ca0242,0x215b0024,0x7200000b,0x438602a2}},	//   _bundan_, _বিৰাজমান_, _filialii_, _teorya_, 
   {{0xf7520272,0x9f0700ba,0xc4b60040,0x77fb0153}},	//   _abandyag, _باپیری_, _שבסופו_, _ファミコン_, 
   {{0x92130343,0xa9e302b2,0xe45802ca,0x6204012c}},	//   _lachey_, _посада_, _blastán_, _netiboli_, 
   {{0x537f02ec,0xd83401b5,0xfe47002b,0xcbf500d1}},	//   _salaada_, _etimhand, _জঙ্গী_, _ক্ৰাইম_, 
   {{0xf206020f,0xac260100,0x624d0181,0xacc0005b}},	//   _چاپولو_, _gotovinu_, _comomavi_, _fukkatsu_, 
   {{0xd5d700ff,0x225b02bc,0x1eb30270,0x64080009}},	// [cb60] _אינטענסי, _phaloh_, _derectos_, _preoblik, 
   {{0xe32801a3,0x8b1d0308,0x00000000,0x00000000}},	//   _خوبيءَ_, _mutasyab, --, --, 
   {{0x6224028b,0x3e9502d3,0xc22401c5,0x461d0371}},	//   _areko_, _хумани_, _abokor_, _ginnasti, 
   {{0xd2ca03a4,0x104f0145,0x59920037,0x00000000}},	//   _bundin_, _susikurk_, _ተንጠልጥሎ_, --, 
   {{0x42ad001a,0x2177045e,0xfc68038b,0x0d2801f6}},	//   _ملتان_, _целта_, _disuruh_, _spanande_, 
   {{0x73780166,0xb9df0008,0x16cd0137,0x00000000}},	//   _anlagen_, _سەيدە_, _монрогий, --, 
   {{0x22ea023e,0xa224005d,0x3f620213,0x6b8b0144}},	//   _larikan_, _ereko_, _слушание_, _eisimirc, 
   {{0x12ca03a4,0x4fc20092,0x9d9e0168,0xd1e50061}},	//   _fundin_, _フェスティバル_, _østfold_, _시골의사의_, 
   {{0x521d0410,0x779402e2,0xb87b004d,0x23950235}},	//   _sedirišw, _smatteri, _警政治安事故預防, _atasī_, 
   {{0xf71b027e,0x1636028a,0x602b0138,0x8167044a}},	//   _опере_, _mwandami, _bilemiyo, _kovánda_, 
   {{0x846c013b,0x09480121,0xe9460147,0x23430420}},	//   _slowdown_, _difundir_, _زىۋەنوسۇ, _devendo_, 
   {{0x7308035e,0xf0060573,0xc2d80243,0x43fc0704}},	//   _trebalo_, _شریفن_, _assokot_, _skinnbuk, 
   {{0xfeca0019,0xf04b02a5,0xe202006a,0xaaf40034}},	//   _jornades_, _ब्लगहरु_, _nisian_, _algengas, 
   {{0xaa6d033b,0x975901ec,0xdd6a0354,0x3c150094}},	//   _bongnaga_, _اصطلاحات_, _بازارلىر, _берекелі_, 
   {{0x820203d9,0xfcb30039,0xda0304e6,0xcc6101d2}},	//   _hisian_, _bilakatu_, _nasasakt, _butunta_, 
   {{0x85850183,0x727f01e4,0xa3fa0455,0xe1ec01ab}},	//   _tanterak, _stabilní_, _acquis_, _बेकरम_, 
   {{0xebff00d7,0x06c100b5,0x23dc019c,0x334b011c}},	// [cb70] _bahuruts, _cherenyh, _hinwa_, _deseetu_, 
   {{0x33fa053f,0x0c510701,0xd7440135,0x722b014e}},	//   _apsusa_, _haitiya_, _эмигрант_, _primene_, 
   {{0x5267072a,0x79e60160,0xe2ca02f6,0x023600bc}},	//   _بیرونی_, _napomena_, _sundin_, _ranjau_, 
   {{0x224a01a4,0xff360140,0xba7302c5,0x06b50076}},	//   _akumbi_, _manunula, _ainamata_, _assistên, 
   {{0x7316036f,0xfbeb0085,0x52c50244,0xe69a013c}},	//   _prozor_, _garogaro_, _чувстват, _adminlər, 
   {{0xd25b00bc,0xd2cb0113,0x73f401df,0x00000000}},	//   _goblog_, _mhadra_, _nestin_, --, 
   {{0x5f9402da,0x537f040f,0x44fb0017,0x192d000c}},	//   _пласман_, _valanda_, _क्लारा_, _чандаров_, 
   {{0x637f0095,0x7cd100bb,0x6b590227,0xd30100fa}},	//   _walanda_, _فضاؤں_, _gantinya_, _aysabaw_, 
   {{0xba1e0244,0x4a0a003e,0xb3dc0090,0xf5640297}},	//   _видин_, _basajana_, _ainwa_, _albaniäg, 
   {{0x12a7014f,0x82d80312,0x294f02ee,0x3aed005e}},	//   _олимпија, _abjean_, _fakoltat, _سۇبھى_, 
   {{0xded501c6,0xaf640310,0xf3450005,0xc14703b2}},	//   _ferienin, _campacha, _domenic_, _overthro, 
   {{0x620200ea,0x32fc0295,0x32ea0388,0x185601cd}},	//   _fisian_, _fangakii_, _vediamo_, _ҷанубии_, 
   {{0x4d090037,0xf202004f,0xda830437,0x00000000}},	//   _የፓትርያርክ_, _gisiin_, _bikinien_, --, 
   {{0x7c010417,0xde190227,0xba7f002f,0xcf0f0180}},	//   _luister_, _dilengka, _aktapura_, _linterva, 
   {{0xc2fc0662,0x434c029e,0x90e50035,0xafb302c6}},	//   _zigga_, _adsevel_, _atamasın, _dereatoc_, 
   {{0xa2ea0639,0x4b4e0244,0x8a070129,0x29090203}},	//   _tarikan_, _ежедневи, _zekaraya_, _malagord, 
   {{0xea850113,0xc3ac019e,0x05db00ef,0x6f200615}},	// [cb80] _عواده_, _узорам_, _فرمایلي_, _poredjen, 
   {{0x624a006f,0x44bc0193,0x4a500074,0xfda60407}},	//   _ukumbi_, _महादेवाच, _ongelmaa_, _dopisiva, 
   {{0x8d1901c1,0xfc620229,0xf3150158,0x00000000}},	//   _bersejar, _cinsinə_, _osobach_, --, 
   {{0x73b20453,0xd638006c,0xd5ba0037,0xa2d8050e}},	//   _dnevnom_, _abananki, _ከሚያዝያ_, _bajern_, 
   {{0x3c070255,0x67c90092,0x02410025,0x17dc0059}},	//   _ebatsens, _アクセスカウンタ_, _सलिले_, _пристига_, 
   {{0xf8320088,0xfd8f0101,0x42fc0378,0xd3ac029e}},	//   _ناقىل_, _serviciu_, _rigga_, _bitaraeg_, 
   {{0x7eb304a7,0x52fc0274,0x5bdf05f1,0x9c530371}},	//   _dereitos_, _sigga_, _bagender, _testata_, 
   {{0x61b30169,0x827f014c,0xb9e10073,0x8d56002e}},	//   _মালেক_, _azenze_, _disgelat, _otvaraju_, 
   {{0xa9d20173,0x49de0436,0xea0c0622,0x89ea0820}},	//   _অসম্পূর্, _genocida_, _kigasaba_, _cargoage, 
   {{0xe37f0020,0xb2ca019c,0x8db800f4,0x00000000}},	//   _aalatua_, _dundun_, _bizantat_, --, 
   {{0x5292053b,0x94d70125,0x629001e1,0xe7dd03ab}},	//   _citado_, _дагасы_, _hahang_, _zamaskov, 
   {{0x9d1703b3,0x1a7f005b,0xb20102aa,0x3a0100c7}},	//   _monstrar, _kitamura_, _mexiku_, _аксын_, 
   {{0xf0f9029d,0x62770195,0xe2fc0086,0xe992032d}},	//   _весель_, _chocontá_, _hangok_, _ditheole, 
   {{0x03790225,0x9c3302f9,0x727f0145,0x95970237}},	//   _didaten_, _atmosfè_, _vienus_, _그러면서도_, 
   {{0xe6830158,0x563d0268,0xda140147,0x5e320227}},	//   _रतलाम_, _englishw, _automàti, _tenggela, 
   {{0x96d600a6,0xc2970638,0x327e0277,0x9904023c}},	//   _ظالمان_, _snakket_, _mainom_, _angazifu, 
   {{0x0c6a0135,0x307c0207,0xc06e00ff,0x63ea0134}},	// [cb90] _тарафынн, _علاقي_, _מוסקלן_, _apoti_, 
   {{0x29fd02e0,0xfda70092,0x32ad002f,0x00000000}},	//   _akantsha_, _月間ランキング_, _illapašp, --, 
   {{0xe24801eb,0x1ca80153,0x78430613,0x6c7100de}},	//   _ememe_, _になりたい_, _sentados_, _دپناه_, 
   {{0x426d02cb,0xe3f4031c,0xa3a206c9,0x00000000}},	//   _novoga_, _costó_, _kompol_, --, 
   {{0x6213056a,0xc1fb0060,0x92d702b2,0xe4e800e6}},	//   _batho_, _атайтын_, _тарифу_, _有本条例第六条第_, 
   {{0x7c6a0340,0xe2fc002c,0xc20b0311,0x6a5c0187}},	//   _manukau_, _diogu_, _ልዕሌኹም_, _спотот_, 
   {{0x1c5c029c,0x5887004b,0xf27e015e,0x9e75007e}},	//   _ubatizo_, _таралды_, _somnis_, _baliruvā, 
   {{0xe6c1009a,0x9c380119,0xbda60436,0x3d01042c}},	//   _اشعارو_, _rheingau_, _popisiva, _stambene_, 
   {{0xa0170024,0x2933002b,0x7b270258,0x141c017a}},	//   _innverkn, _অমিয়_, _kanadees, _зулме_, 
   {{0xb09f017d,0xd52d0226,0x037f008a,0xb335004d}},	//   _イベント会場_, _amangoth, _salatua_, _請於取貨後_, 
   {{0xa99d0137,0x8f2c0320,0x90f303d1,0x32f30275}},	//   _сарын_, _amathoka, _prostitū, _sukalati_, 
   {{0xb2d502d5,0xbbee010f,0xf50600bf,0xe2900057}},	//   _euroopa_, _забон_, _сложност, _pahang_, 
   {{0xea7301fe,0x92b4005b,0xe68901f4,0x6d010046}},	//   _vinakata_, _maico_, _хасталан, _utilitat_, 
   {{0xb79e04ae,0x181902c0,0x9d330137,0x6eb30155}},	//   _пробу_, _паралелк, _нормыг_, _idrotton, 
   {{0xa2da0120,0xaf8f00d6,0x34910066,0x431f034e}},	//   _essero_, _aláram_, _bergarak, _carcamo_, 
   {{0x9bab01ce,0x35850278,0x9c690152,0x0af40222}},	//   _فرکانس_, _bandaray, _зиратынд, _saisisse, 
   {{0x47ce005c,0xc2da0068,0x1af50127,0x1aea0220}},	// [cba0] _amashaki, _mareen_, _amouzgoe, _scaricat, 
   {{0x34040359,0xc38700e9,0x7c01005a,0x35130285}},	//   _sprutsen_, _dharam_, _brasses_, _amarembo_, 
   {{0xd28100ee,0xc20101ac,0x32330203,0xb20204ab}},	//   _аккум_, _braite_, _stempfl_, _tepihu_, 
   {{0x2a8105dd,0xa4d90126,0x9c45041e,0x00c50161}},	//   _आनुवांशि, _провадже, _mouvoir_, _авторизи, 
   {{0xdc7001d1,0x5bfb0138,0x330003bd,0x52e600ca}},	//   _outside_, _belgeler, _bahandi_, _aranesa_, 
   {{0xf2010181,0xb2fa01cd,0x627e012a,0xeb10009a}},	//   _fraise_, _amahora_, _mocne_, _anagamas, 
   {{0x6888036a,0xe38f00f3,0x3f71038b,0x1f3f0061}},	//   _alekisad, _konyaka_, _memberin, _전국학생창의력올, 
   {{0xce0d0013,0x400b000c,0xd2da021c,0xa0360061}},	//   _ایسته_, _апост_, _muselo_, _안전검사대상공산, 
   {{0x32da0068,0x614700b7,0xb7b90147,0x248603e9}},	//   _dareen_, _adalgasy_, _تۉشىسۅ_, _яманы_, 
   {{0x0e500265,0xb68f014e,0xbbdf03a2,0x4d8500a6}},	//   _vakantie_, _računaju, _उग्रवाद_, _ancedise_, 
   {{0x948e0422,0xaf060260,0x1300000e,0x0dcd0094}},	//   _odpravlj, _reúnan_, _vidabli_, _азабына_, 
   {{0x4c750079,0xef5c003b,0x4a9f00e6,0x93120145}},	//   _muguras_, _bebacwan, _骨全营养素_, _kepenų_, 
   {{0xb7b30386,0xe3fa03e8,0xf9c3017a,0x82bf009a}},	//   _terletak_, _dopust_, _бетартиб, _دمثال_, 
   {{0x0264007b,0x206f05e0,0x02900251,0x00000000}},	//   _ocular_, _falaremo, _aydaan_, --, 
   {{0x7f9e0036,0xa2da0251,0x538f023c,0xb9c30299}},	//   _تحتوي_, _kareen_, _bonyaka_, _سىغمايدى, 
   {{0xc577024d,0xa5fd0205,0x42240472,0x3c0805b7}},	//   _isetjenz, _азалдан_, _mreka_, _pretilos, 
   {{0x8b0d011f,0x52b1044d,0x1dbb0008,0xdd00004d}},	// [cbb0] _dicción_, _fondama_, _ибадатка, _不禁讓人想要一親, 
   {{0x99c000e6,0x62240223,0xb26d00ea,0x28c70360}},	//   _穿越之皇后要出宫_, _oreka_, _fofona_, _मणिपाल_, 
   {{0x18870590,0x61ab0333,0xbc5a0172,0xe224016a}},	//   _далайд_, _cummenti_, _fanteni_, _greka_, 
   {{0x2c6e0018,0x34a20073,0x92110426,0xc6a50086}},	//   _eparama_, _burnwell_, _यहोशू_, _papagáj_, 
   {{0x6a130361,0x5e9702eb,0x43ea0363,0x7da7010d}},	//   _реализую, _рекламыг_, _sintef_, _kelipata, 
   {{0x137f01fa,0xec140229,0xa9960035,0xf3120055}},	//   _halapua_, _hollivud_, _шахтасы_, _agliaghj, 
   {{0xa40d0265,0x752f0061,0x6e5603f2,0x9da6038e}},	//   _doorgaan_, _현재창열기_, _картона_, _तर्कशुद्, 
   {{0xd25b041e,0xd78201a3,0x920101f7,0xed300170}},	//   _carlu_, _جمھوريت_, _araire_, _chinkole_, 
   {{0x637800ee,0x4fc801f1,0x85990075,0xef6001aa}},	//   _hilaren_, _vizituar_, _vatninum_, _anopilla, 
   {{0xc32a004a,0x06a20034,0x228800cb,0x542500e6}},	//   _тобольск_, _tilfinni, _abhadoni_, _河北大学学报_, 
   {{0x9ea5042c,0xcfab038e,0xe0790109,0x53640227}},	//   _popunite_, _बत्तिशी_, _zpoplatn, _ganguan_, 
   {{0x92a00665,0xfc3002a1,0x6a300044,0xe308005e}},	//   _verbes_, _spesifis, _specifie, _ﻣﻪﻫﻜﯩﻤﯩﺴ, 
   {{0x734f018d,0xdc550497,0x7f4f0244,0xbd8f015a}},	//   _ተረድኦን_, _dentine_, _comprare_, _biroorra, 
   {{0x026c0244,0xc2f301a6,0x65ea0143,0x00000000}},	//   _finora_, _ririhau_, _косми_, --, 
   {{0x112702ba,0x936c018f,0xadc30143,0x00000000}},	//   _катори_, _linglaw_, _елица_, --, 
   {{0xeaba03cf,0x8f6500a7,0xd18e0291,0xfad0023e}},	//   _numaralı_, _алынсын_, _مكسيكية_, _سرفیس_, 
   {{0xceb2031c,0x7da803f8,0x42c701d5,0x00000000}},	// [cbc0] _enfermos_, _lungilbe_, _nádas_, --, 
   {{0x025b01c5,0xd0de0153,0x66b4003e,0xdcc700e6}},	//   _shalay_, _エヴァンゲリオン_, _dumelanw, _相关政策法规_, 
   {{0x1f32006c,0x7079069f,0x00000000,0x00000000}},	//   _инноватс, _spoplatn, --, --, 
   {{0x61a90247,0x034600c7,0x00000000,0x00000000}},	//   _اختیارتا, _distädän_, --, --, 
   {{0xb2ef0282,0x00000000,0x00000000,0x00000000}},	//   _kuhimua_, --, --, --, 
   {{0x039403f1,0x73cf03e0,0xc3a5020f,0x4202007f}},	//   _séria_, _stevek_, _دسرښندنې_, _ecwiti_, 
   {{0x461a00c5,0xdad602eb,0x6c1b0080,0x7238033d}},	//   _提出您的问题_, _гадуурх_, _ammartar, _dyemafi_, 
   {{0x8c9a0411,0x295104c9,0xa31302ea,0xa23a0571}},	//   _квартир_, _mcarthur_, _edicola_, _waimanu_, 
   {{0x24460013,0x7dc502df,0x5da20158,0x683a004d}},	//   _تالقان_, _diiktira, _zapomina, _我知自己的婆婆和, 
   {{0x8695013a,0x9a7e0102,0x0850037c,0x3b3701a3}},	//   _aartesch, _maalamis, _facultas_, _پريفيڪچر_, 
   {{0xfceb023c,0x57530559,0xa22c0061,0xdb6102d4}},	//   _دعدالت_, _akenzang, _저머니라이브_, _attestan_, 
   {{0x39d40169,0x8908018d,0xfab3026f,0xea890137}},	//   _সাম্রাজ্, _ብንጽህና_, _دەپءسوز_, _батзориг, 
   {{0xefae0159,0xf90d01ef,0x12c7020f,0x937f0183}},	//   _байку_, _народныя_, _وخوځيد_, _galaada_, 
   {{0xb8f6004d,0xadd6018c,0xa4a90350,0x00000000}},	//   _舞蹈班舞展作品_, _herkenba, _የምናምን_, --, 
   {{0x6ce100e6,0xebc70008,0x7f960040,0xcdae0291}},	//   _不用年年治_, _байлан_, _ריטלין_, _بأهمية_, 
   {{0x120100d6,0xad3f0037,0xd1e70041,0x99800347}},	//   _huaire_, _ካፒታሊዝም_, _ихьаамыз_, _dreigeme, 
   {{0x4932004a,0x1a400188,0x00000000,0x00000000}},	// [cbd0] _asılgärä, _инҷил_, --, --, 
   {{0xa9aa04ce,0xd21301fc,0xc5db0276,0x734c04b3}},	//   _kundelwa_, _alahum_, _تەلقىنلى, _desevel_, 
   {{0xf37c0243,0xd5c4037f,0xd60100cf,0x13a600a6}},	//   _cabakke_, _riyaziyy, _atileeti, _حاصلاتو_, 
   {{0x096f017d,0x765d004d,0x00000000,0x00000000}},	//   _papillot, _線上節目免費看個, --, --, 
   {{0x32340190,0x318a00b3,0x3623004c,0x62f002e5}},	//   _plumage_, _allaguly_, _alimalaw, _indiomi_, 
   {{0x4c680037,0x29da02c5,0x8a2a0390,0x3e640371}},	//   _በጨረታው_, _anonetsa_, _kapitanı_, _спиди_, 
   {{0x8e0902e4,0x1b0300b4,0x13d50083,0x00000000}},	//   _akwatiċi_, _supravie, _terminaz, --, 
   {{0x89a8018d,0x6bdf025c,0x4f730235,0xb2780049}},	//   _ከምእውን_, _generier, _बान्धवाः_, _kilipeni_, 
   {{0xcc640160,0x43a30061,0x8541003f,0xe3600331}},	//   _stotinu_, _soepel_, _nughatlh, _høgari_, 
   {{0xb35e037c,0x8fd70287,0x0fb90193,0x58cf0037}},	//   _videosz_, _instalač, _bojonego, _በጠመንጃ_, 
   {{0x22cf033e,0x83940278,0x3d1c0092,0xd51004c7}},	//   _amambay_, _bahse_, _情報セキュリティ, _седма_, 
   {{0x62ca001e,0x09d903bf,0xb2d703d4,0x0c250184}},	//   _kundin_, _финалыны, _otrovao_, _kwiboner, 
   {{0x00db0106,0xb95d009a,0x085d006c,0x94040156}},	//   _जीडीपी_, _abalukhe, _abalukhu, _קעסיידער, 
   {{0x9292011b,0xe1dc02ea,0x0d120011,0xb3780243}},	//   _mitano_, _слаби_, _alirimir, _nagayna_, 
   {{0x6a120159,0x299501d9,0xe82402da,0xaacb00ec}},	//   _istoriją_, _tscheche, _необрабо, _вiкiсхов, 
   {{0xe17d0156,0x7c6202c6,0xe5330347,0xaece00fa}},	//   _ליבוש_, _besroue_, _benadeel_, _alingasn, 
   {{0x3b6a00be,0xef24030c,0xa26901f4,0x9bfb0125}},	// [cbe0] _ئشتەتەسى, _kituliqa, _лэмпард_, _belgiler, 
   {{0x221304a4,0x34850223,0x5230005a,0xf2dd014a}},	//   _latha_, _фермерүү, _janvetlh_, _mozogni_, 
   {{0xb2fb033b,0x13b00085,0x81c20126,0x42f00020}},	//   _methala_, _ivaqa_, _ідентичн, _magiagi_, 
   {{0x7292005b,0xc34900b6,0x1e960398,0xc9f80060}},	//   _kitano_, _kureyni_, _زىنىت_, _قورقام_, 
   {{0x72a0030a,0xe37c02b1,0xfa0f01b4,0x332600be}},	//   _herbas_, _kowanne_, _skeppend, _курсакта, 
   {{0x0ba805db,0xe320051a,0x32a100e4,0xe9c50148}},	//   _ubuhlobo_, _kunyit_, _भक्तिकाल_, _accedent, 
   {{0x5ca6032b,0xfc010612,0x3389030b,0x72860158}},	//   _тапсун_, _frister_, _amuyisa_, _wpłynąć_, 
   {{0xeafc0156,0xfdad03eb,0x575701c7,0x63ca0135}},	//   _והראיה_, _pragtige_, _даглары_, _almavı_, 
   {{0x422901b3,0x893a0051,0x72db015e,0x16550100}},	//   _довелося_, _raimonda_, _apropar_, _optereću, 
   {{0x29a4034f,0xf1140603,0xdc5901eb,0x527e00c0}},	//   _ارزېده_, _स्मृती_, _amistósa, _mainam_, 
   {{0xc213035a,0x35480756,0x220e0361,0x002a032c}},	//   _fatha_, _ट्वेंटी_, _такам_, _gradinik_, 
   {{0x3c7c014f,0x9c1400d3,0x9b160060,0x9379009c}},	//   _потенциј, _जनस्वास्, _بولساڭىز_, _antauta_, 
   {{0x745f0386,0xfd6b00df,0xcc0a030f,0x1347012a}},	//   _dikejutk, _augmente_, _matotoru_, _kolejka_, 
   {{0xf12d019e,0x12df00be,0x75e80229,0xfda2011a}},	//   _парты_, _تۅمۅندۉگ, _aslanlı_, _וחולצה_, 
   {{0x45cc0654,0x66480060,0x22240014,0x00000000}},	//   _senangny, _مەكتەبىن_, _greku_, --, 
   {{0x9dab0031,0xdb59038b,0x70bc0253,0xec7504e8}},	//   _balikpap, _nantinya_, _kommunil, _actuaus_, 
   {{0x3a770022,0x526c03ee,0x00000000,0x00000000}},	// [cbf0] _bahlalos, _sukobi_, --, --, 
   {{0xe3870081,0xab5a03b9,0x6e9200c4,0x4631015c}},	//   _þarna_, _santanxa_, _باڊهه_, _brennwai, 
   {{0xe2fc01d3,0xbc010191,0x740100b4,0xf7c603d8}},	//   _ligga_, _brister_, _printeaz, _vlasnici, 
   {{0x54fb00c1,0x0290013b,0xdfe8027b,0xd367051f}},	//   _काठावर_, _awhag_, _ध्यानेन_, _پرتوگالی_, 
   {{0x5a8c00bc,0x7c330156,0x0e8300be,0x623e0061}},	//   _disimpen_, _באליס_, _قوڭعۇروس, _억울합니다_, 
   {{0x075503a1,0x921301fc,0xbcac00e3,0x9097004d}},	//   _офиса_, _amaham_, _traffiku_, _中國明代研究學會_, 
   {{0xb27f00b6,0xb83e0177,0x8d88027f,0x79220153}},	//   _haanam_, _оиаке_, _citeguye_, _フロントカフス_, 
   {{0x538704b7,0x8f2d0147,0xf2a70153,0xf30c05af}},	//   _begrip_, _امانگەلد, _来週の東京株式市, _ostavit_, 
   {{0x522401c6,0xc2fc005a,0x53cf0198,0x2f9b03cf}},	//   _krekt_, _jigga_, _prevoz_, _yemekler_, 
   {{0x6295026a,0x89e0002b,0x7c180123,0x73870262}},	//   _bulataki_, _আরামে_, _strammer, _degrip_, 
   {{0x12f0006f,0xc93700be,0x89ab03ee,0xb2da00d0}},	//   _ushindi_, _تويعومۇن_, _grejanja_, _parean_, 
   {{0x530900a7,0x439900eb,0x7292040b,0x9949015d}},	//   _treball_, _asurooow_, _mitalo_, _narodowe, 
   {{0xac050190,0xf3e70255,0x71370421,0x6ad9024c}},	//   _glorify_, _lätis_, _handbuch_, _darmanin_, 
   {{0xc8460034,0x7a750137,0xfa18019e,0x00000000}},	//   _heilland, _буржгар_, _баніфацы, --, 
   {{0x21520278,0x726d03ba,0x52250003,0x6299001d}},	//   _kecemerl, _gogoro_, _stuks_, _forjero_, 
   {{0xb2c50079,0x995e0166,0x42db0529,0x88cf003c}},	//   _tādas_, _verleihe, _nestalih_, _تلفکس_, 
  
   {{0x2967013a,0xa2eb050a,0xf01f00dc,0xeb2b010e}},	// [cc00] _greisste, _vajinal_, _uelegito, _hahampas, 
   {{0xd04e0188,0x8f2101c0,0xb0450059,0x00000000}},	//   _носирҷон, _ballewar_, _comunion, --, 
   {{0x179500d7,0x292b0419,0x2894002b,0x91e00017}},	//   _мусина_, _मानहानी_, _কামড়ে_, _पिछडिएका_, 
   {{0x426d01fc,0xceac00bf,0xb2340107,0xe6de0156}},	//   _dogoro_, _видимому_, _agamane_, _אַרכיוון_, 
   {{0xe2240026,0x222400ad,0x6b7f02e5,0xd201046b}},	//   _trekt_, _atikan_, _cpanelbr, _braint_, 
   {{0xc2d9033f,0x2b780037,0x0b4a0139,0xe2010222}},	//   _angeee_, _እውቅናን_, _पक्षस्य_, _craint_, 
   {{0x75c30067,0x21420205,0x2bfa013d,0x327e0249}},	//   _baaadiyy, _отдан_, _biologio_, _sainim_, 
   {{0x027e0117,0xd2a0026c,0xbbeb03d9,0xd20000e1}},	//   _painim_, _verbis_, _maromaro_, _asiire_, 
   {{0x4962032d,0xd95001d9,0x1201018a,0xfb2a014e}},	//   _составы_, _mullebut, _fraint_, _оцена_, 
   {{0x111f0108,0x8ae5028e,0xa59d0138,0x227f003b}},	//   _tarjamah_, _kritisae, _direksiy, _ayente_, 
   {{0x9d8c027d,0x939101ce,0x3b180311,0xfa9800cf}},	//   _počeo_, _محمودی_, _ኣይከነን_, _faayidaa_, 
   {{0x689b0204,0xc24a0110,0x00000000,0x00000000}},	//   _экране_, _skumji_, --, --, 
   {{0xc6ac019e,0x347e0258,0xb992032d,0xfdaf0373}},	//   _pritaiky, _besunigj, _ditheoha_, _altgrade_, 
   {{0x9be80057,0x783f014a,0x24080177,0x425b01c5}},	//   _ይገርማል_, _مصرعہ_, _аҭахӡам_, _shaley_, 
   {{0xc4c302a3,0xd41a02f0,0x62ad01a3,0x23f401e7}},	//   _verbruik, _baphindz, _ملڪان_, _mettel_, 
   {{0x6035025c,0x027e012a,0x44b70109,0xab2d00ec}},	//   _seitenan, _mocno_, _सबैतिर_, _ministrų_, 
   {{0x88090026,0xa97901b9,0xfc1b0277,0x624803e8}},	// [cc10] _삼성패밀리세이브_, _anlibert, _emerhens, _smemo_, 
   {{0xf2d900a4,0x0200038a,0xd2ed00e4,0x144e00c1}},	//   _vigent_, _awkita_, _chinach_, _सह्यभ्रम, 
   {{0x67b502a3,0xfc930064,0x931900e3,0x18430081}},	//   _rassisti, _تاۋاف_, _cimiterj, _sumarhús, 
   {{0x4f6200ad,0x2a890053,0x5c62031e,0x9b97004e}},	//   _sabalikn, _teriakan_, _razumio_, _kayinuur, 
   {{0xac33013d,0xe2ce0144,0xc732028d,0x9b7300e6}},	//   _זאליס_, _iliomad_, _katriyem_, _中国综合经济现代, 
   {{0xa98c0151,0x74270045,0x5d4e00a2,0xd8fd01c5}},	//   _anchiart, _дипломе_, _kuratibu_, _ruwaayad, 
   {{0x21c1009a,0xd2db00a4,0x829202e7,0x42cd03dd}},	//   _abalufum, _aprovar_, _hitabo_, _lundrimi_, 
   {{0x43a701aa,0xfdf803a2,0x18d30272,0x3f3502e9}},	//   _addyday_, _एनीमिया_, _bamunyag, _traspasa, 
   {{0xd1c60092,0xc2240307,0x618903b7,0x936c0264}},	//   _残念ながら_, _eseka_, _antasday_, _sangyaw_, 
   {{0x32ca00ec,0x00000000,0x00000000,0x00000000}},	//   _vanduo_, --, --, --, 
   {{0xe9b70086,0xf8430345,0x618902f0,0x87fb0153}},	//   _فرانسیسی_, _sentidos_, _atibulal, _リスニング_, 
   {{0x327f036f,0x536b02a2,0xb27f0175,0xb2ce0444}},	//   _bosne_, _tanggap_, _byenet_, _западной_, 
   {{0x729200a9,0x7001004a,0xa84a0137,0xdc240241}},	//   _gitabo_, _bayıtuda, _йоркт_, _didaniir, 
   {{0xc34404e7,0xc1b502e5,0x55b90037,0x07270465}},	//   _stredne_, _brizuéla, _morpheuz, _poslikav, 
   {{0xa24802b4,0x937d0415,0xb9fb0183,0xa9c50059}},	//   _ameme_, _ursache_, _ampahere, _гумени_, 
   {{0x0bd103dc,0x1cd30109,0x2e690076,0xcd9303bf}},	//   _landsver, _chalupě_, _кожените_, _iphetile_, 
   {{0x30650037,0x1f27028a,0x05c40299,0x00000000}},	// [cc20] _መስህቦች_, _اُستادن_, _بئيجعث_, --, 
   {{0x52250593,0x2c5a022e,0x522404d7,0x9edf0170}},	//   _bruke_, _cantoni_, _drekk_, _kathaman, 
   {{0x91470033,0xd237010f,0xe1eb02e3,0xef410476}},	//   _suprasto, _филмҳои_, _congaway_, _akasanga, 
   {{0xac9200d7,0x00000000,0x00000000,0x00000000}},	//   _ditulong_, --, --, --, 
   {{0x00000000,0x00000000,0x00000000,0x00000000}},	//   --, --, --, --, 
   {{0x72250039,0xbe5c0081,0x00000000,0x00000000}},	//   _truke_, _djöfulsi, --, --, 
   {{0x1dd70162,0x9ad70066,0x22a60409,0x2ba7002c}},	//   _جىسمانىي_, _primeran_, _gribe_, _betirako_, 
   {{0x2292030b,0xcb8d0080,0x5ddb006c,0x827f0148}},	//   _bitabo_, _allisoor, _alokothe_, _poenis_, 
   {{0x22b1029b,0xb29002a7,0x5bb3007a,0x950b0407}},	//   _binduma_, _tekawa_, _berketur, _nastupio_, 
   {{0x7f2801ea,0x42d90073,0x1c0800be,0xdb6d03ae}},	//   _усейн_, _signate_, _روماندى_, _assosier, 
   {{0x9c080125,0x6b660101,0x41d703b7,0x92ca012c}},	//   _моллалар_, _cautarea_, _ammerhay_, _akidai_, 
   {{0x60bd0145,0x52a600a9,0x7225005b,0xfc55031e}},	//   _аркуш_, _itabi_, _yuuko_, _jeftine_, 
   {{0xe248030e,0x92e50057,0xb97e015c,0x5b4c0142}},	//   _umeme_, _zainura_, _aktioune, _apovāha_, 
   {{0xb494006e,0xbf3302ce,0x2d9e00d1,0x438d00d3}},	//   _amalatul_, _atmosfir_, _অবৈধবোৰ_, _protizák, 
   {{0x042b02eb,0xa2d904ad,0xc33b03a2,0x52be0088}},	//   _өвөлжих_, _digese_, _ताजपोशी_, _аркандай_, 
   {{0x0a0701f0,0x9d78002b,0xc23502dd,0x3cac00d1}},	//   _baabiese, _নাফিসের_, _gradwati_, _brisling_, 
   {{0x0db7022a,0x9db80233,0xbd4c00ca,0x8b86022e}},	// [cc30] _springda, _escartat_, _adeqüaci, _rosolino_, 
   {{0x461d0128,0x7d1502ba,0x1ee30053,0xbc7602ef}},	//   _жисмоний_, _думболи_, _मुस्लिमा, _chiriji_, 
   {{0x99d50035,0xfdc90126,0x0a0d042a,0xa31702d3}},	//   _berlinda_, _радикаль, _angafane, _procure_, 
   {{0x822400ee,0x438201d5,0x64840178,0xaf1e01be}},	//   _ireki_, _چائلڈ_, _एकनाथी_, _पोस्टहरु_, 
   {{0x3f6002bb,0x3b0601e8,0xbc5b0016,0x791400d1}},	//   _जुस्तुजू_, _ginsakup_, _mortigi_, _জাম্বুৰী, 
   {{0x2e0d039a,0x47a50059,0x00000000,0x00000000}},	//   _melengga, _pasticci, --, --, 
   {{0x33870117,0xc03c0046,0x09d10272,0x70ac00e6}},	//   _sharim_, _جۅندۅمدۉ, _banteged, _莎朗斯通遭全世界, 
   {{0x7d9900cf,0x3b0105dc,0xe7e00452,0x72560086}},	//   _cunfamee_, _bilsalge, _डेझर्ट_, _gólya_, 
   {{0x3c3f026c,0xcdb80047,0x96370152,0xfc1c0037}},	//   _切換其他地區_, _liberté_, _радлов_, _hempedu_, 
   {{0x7e4a022e,0x1b200033,0xcd4a022d,0x0acb00f0}},	//   _paragone_, _bunamein_, _paragonu_, _dozvedie, 
   {{0x13870130,0x72c40445,0x7c5b02d0,0x62240194}},	//   _spered_, _animais_, _beguile_, _greki_, 
   {{0xedf8004b,0x927e0466,0x1b1b031c,0x00000000}},	//   _balellwe_, _pocnu_, _compuert, --, 
   {{0x27ae00d8,0xd26d016d,0x22000326,0x444e01b3}},	//   _pistachi, _парахоти_, _asiiwe_, _новоутво, 
   {{0xc7920089,0x4a940037,0x33bb0095,0x77a00040}},	//   _agitatsi, _ገበዮቻቸውን_, _دستام_, _למרפאה_, 
   {{0x411903bf,0x635f0397,0x682d021e,0xeaed0075}},	//   _паролемд, _umngane_, _folkhögs, _einhvønn_, 
   {{0x02aa02d7,0x616c036c,0xb6260238,0xd34b0243}},	//   _móbil_, _vetivety_, _rolleinf, _fureinu_, 
   {{0x1252025c,0xf1b90078,0xd25b00f4,0x42240226}},	// [cc40] _feststel, _германа_, _dibleg_, _ereki_, 
   {{0x17c101dd,0x3317015e,0x36260497,0x0c630151}},	//   _abashigi, _setze_, _antivivi, _barraie_, 
   {{0x49b30092,0x151b028a,0x3ea802fd,0xa2f70117}},	//   _と思います_, _مسيحا_, _chaledon, _muriark_, 
   {{0xf5100420,0x42fa0102,0xb3d6004d,0xc63d0143}},	//   _чешми_, _wachina_, _個思維克星_, _широката_, 
   {{0x9225033f,0xc2010338,0x6bca033a,0x68f700be}},	//   _etuku_, _traire_, _wiesgħa_, _جازساق_, 
   {{0x7ff700f0,0x22da00d0,0x6d35006c,0x3d760299}},	//   _smokovec_, _sareen_, _кучахои_, _ئايپاك_, 
   {{0xde1f02d0,0xae4c053f,0x698600b0,0x8b2f01a3}},	//   _confisca, _simanana, _safiirka_, _اسڪالرن_, 
   {{0x34ab018d,0xbba0016a,0x422602cd,0x00000000}},	//   _ንኣእምሮ_, _verkisto_, _dawkar_, --, 
   {{0xc1a501ec,0xd3790253,0xfb5b04fc,0x55b8001e}},	//   _نارنجی_, _kitaata_, _mantenga_, _bulgeriy, 
   {{0x22e2041b,0xbfae03a8,0x6d9e0297,0xca7c00d2}},	//   _phriang_, _অনুসৰণৰ_, _biznesta, _cacarita_, 
   {{0x927f0274,0x699c0157,0x4a960299,0xfcf103eb}},	//   _losna_, _spokojna_, _ئايفۇن_, _kletsker, 
   {{0x933d0247,0xb2e602fd,0xcaae0065,0x24790212}},	//   _میخام_, _donnain_, _fraktion_, _intentio_, 
   {{0x026c0320,0xe983042a,0xb163020f,0x00000000}},	//   _finiyasi_, _basinike, _طائزی_, --, 
   {{0x0a05038f,0xb0e70188,0x9c0f00e6,0x00000000}},	//   _bedagoge, _aphindel, _上海食八方网_, --, 
   {{0x855502eb,0x9b1f0227,0x1a37002b,0xf1970045}},	//   _олоогүй_, _pelarian_, _মোজিলা_, _напоре_, 
   {{0xd2d302fa,0x6b0c02b9,0xbff501ff,0x21670062}},	//   _kamonyi_, _لادین_, _proteíno, _lenglahl, 
   {{0x8c300029,0xb7d101aa,0x5c180189,0xd7b3017c}},	// [cc50] _مالیزم_, _airshoww, _hayaller, _konsumti, 
   {{0x17a6031a,0x17af0360,0x56550161,0x00000000}},	//   _factarai, _historii, _страстны, --, 
   {{0xf75a01d1,0x62480362,0x1a0a020e,0x8ebb0307}},	//   _לכיוון_, _amema_, _balatola_, _azishiye_, 
   {{0x2c1804c7,0x527e050b,0xd28e0055,0xb4660095}},	//   _текстом_, _timnas_, _incapaci_, _diadakak, 
   {{0x0e7200c5,0x6269012e,0x325b021e,0x329203c7}},	//   _遵守中华人民共和, _رواداری_, _karls_, _masaż_, 
   {{0x0ec203db,0x2343014e,0x12cb004c,0xd8d40092}},	//   _abantwan, _poreklo_, _abedda_, _ヘアサロン_, 
   {{0xeebb04e7,0x326c033a,0x0db5034c,0xcbb300ee}},	//   _držiak_, _iskop_, _arendala, _merkatur, 
   {{0x792b0333,0xd94d003b,0x00000000,0x00000000}},	//   _tramonta_, _kubonise, --, --, 
   {{0x6a0d017f,0xe9f700fb,0x06ae034a,0x60e7017a}},	//   _angalane, _alfabhet, _praguici, _артишро_, 
   {{0xe2660191,0x313e0019,0x18d30251,0x49cd0227}},	//   _foruminl, _саммитке_, _unrecord, _menengge, 
   {{0xe248025f,0xbd8900bd,0x8e0d0308,0xfa5f0282}},	//   _amemi_, _intendit_, _selengga, _pererika_, 
   {{0x1e690139,0xa318018d,0x331002db,0x8e4c02f0}},	//   _mantraṃ_, _ኣይትኹን_, _nambatu_, _bonabona, 
   {{0x836701f5,0xb3780082,0x826c019c,0xeb6100ee}},	//   _genggam_, _filayen_, _kukomi_, _asteetan_, 
   {{0x4ca60040,0x925b03b9,0x1c690172,0x47940074}},	//   _ביקיני_, _parlt_, _misusuw_, _teatteri, 
   {{0x5e0805fd,0x82310020,0xc7b20184,0x1fc503b8}},	//   _hendakla, _maumaga_, _kurusubi, _аграрлы_, 
   {{0xcb790377,0x126c014e,0x52ea01ad,0x2d9c0092}},	//   _situatia_, _delove_, _abrihan_, _店舗情報を見る_, 
   {{0x73800050,0x4eff00c5,0xef5c01b9,0xa9b10317}},	// [cc60] _ngurus_, _日允许外方独资_, _legallan, _hardvera_, 
   {{0xb45f011f,0x82b4006e,0x7e2500e6,0x00000000}},	//   _kyseyvuk, _laacc_, _竞标人资格_, --, 
   {{0x00000000,0x00000000,0x00000000,0x00000000}},	//   --, --, --, --, 
   {{0x33ea012f,0xeaf802b0,0x39f803a4,0xd28700d7}},	//   _spott_, _aktuelle, _aktuellu, _kankere_, 
   {{0x52c2064d,0x1d0a00cb,0x547202f8,0x00000000}},	//   _ukelena_, _amarosar, _melekelo_, --, 
   {{0x430300aa,0x619a0235,0x3e3501bf,0x89660023}},	//   _magamit_, _akhilāṃ_, _fagansva, _простым_, 
   {{0x58830058,0x530d0107,0x59150238,0xa72b004d}},	//   _fasiliku, _digagas_, _планує_, _關於研考會_, 
   {{0x0386048e,0x77c30192,0x98bf0299,0x7200011a}},	//   _peoria_, _ㅋㅋㅋㅋㅋㅋㅋㅋ, _تېغىغا_, _במשולש_, 
   {{0xd2eb02d9,0x03780315,0x2ea60344,0x234d0014}},	//   _fasitoo_, _imbasha_, _hellmann, _strehim_, 
   {{0xdff50517,0xbb02000a,0x63100126,0x33060095}},	//   _proteína, _missinge, _тематики_, _bekakak_, 
   {{0x16d50146,0x606903ff,0x0c9a0037,0x4408016f}},	//   _berbandi, _podprsen, _መግባቱን_, _призвест, 
   {{0x2dc401d1,0x2f150257,0x12880013,0xb26c070c}},	//   _באפריל_, _landsban, _киргизис, _redove_, 
   {{0xa30d0478,0x2b9d02fd,0x5348012a,0x416f0227}},	//   _ligadas_, _chriosac, _kolejki_, _lahirlah_, 
   {{0x3ccc04b3,0x9ffa018d,0x229400cb,0xb96d04e5}},	//   _albomoù_, _ዘይብላን_, _amakati_, _azunosut, 
   {{0xb248008f,0x1f240352,0xb9ba040e,0x00000000}},	//   _soomes_, _bjørke_, _arvelova_, --, 
   {{0xbb3a01cd,0xe53d0102,0x323b0710,0x83cb004b}},	//   _ababenas, _سيتائي_, _izmeniti_, _авында_, 
   {{0xa3fa0223,0x6202045f,0x72d902c2,0x9d9301a3}},	// [cc70] _kasuan_, _intill_, _engele_, _لنڊڪي_, 
   {{0x240e0047,0x9310003b,0xea9a00d9,0x3153034c}},	//   _比上年增长_, _abacele_, _kiinteis, _алфавиты_, 
   {{0x1f15035a,0xc27e0117,0xe23c00a4,0x6d7000f4}},	//   _pandesan, _lainim_, _vermell_, _chomjont_, 
   {{0x82c502e2,0xb6a701e7,0xcec1004d,0x00000000}},	//   _ballyre_, _masterph, _保留所有權利_, --, 
   {{0x825b00b7,0x17f40083,0x313b0053,0xf3f40105}},	//   _ahally_, _bisquolm_, _berdalih_, _festyn_, 
   {{0x529002ca,0x23b90032,0xb6fb0244,0x535c0514}},	//   _tamall_, _chicagoj, _стреля_, _geofolk_, 
   {{0x32fb0130,0x8c23019a,0x6863008d,0x857f0013}},	//   _dachenn_, _noiseles, _нотаниш_, _saytimiz, 
   {{0x761b0643,0x0ebc052e,0xc35d0225,0x6ec102c2}},	//   _stankovi, _accresce_, _kongong_, _binnelan, 
   {{0x63ee00db,0x7f67034e,0x030e0054,0x8a7b0110}},	//   _portaali_, _anyaykun, _alwalar_, _segmentā_, 
   {{0xc1250162,0x47920008,0xd7a600d9,0x00000000}},	//   _еһтима_, _رەتتۉۉ_, _biotekni, --, 
   {{0x2d8c0195,0xc7dc0065,0x62fc0034,0x475d048c}},	//   _allmedia, _ausprobi, _liggi_, _arrishag, 
   {{0xf27e0058,0x413e002b,0x187f01c8,0x00000000}},	//   _ibinom_, _চলাফেরা_, _šéfem_, --, 
   {{0x15b8001b,0x5eb00338,0x23440035,0xd46e00d1}},	//   _bulgariy, _barratge_, _дустың_, _ৰক্তক্ষয, 
   {{0xb0870240,0x75bc061e,0xfb7600b5,0x32e300cb}},	//   _haucheco, _aruqkaqk, _ereséva_, _athinte_, 
   {{0xd3e700be,0xc83c002b,0x49e30074,0xa2e300da}},	//   _جاقباي_, _বচ্চন_, _nokialta_, _vanilie_, 
   {{0x4dce0109,0xc2250202,0xfda001b0,0x6294005b}},	//   _थेस्सलोन, _oruko_, _cianjura, _higashim, 
   {{0xb27e00eb,0x97d30061,0xfd6f0153,0x6a060188}},	// [cc80] _ebinom_, _이미테이션_, _独占インタビュ_, _angasiza_, 
   {{0xb20102c5,0xa0c101d3,0x00000000,0x00000000}},	//   _asaite_, _arrangör_, --, --, 
   {{0x03dc01e9,0xa9410040,0x7c02046b,0x74ad00d1}},	//   _banwi_, _evaluate, _braster_, _কাশ্মীৰ_, 
   {{0xfda401a6,0xe2dd0321,0xc1c300ef,0x61d00061}},	//   _hatupatu_, _sorodni_, _esimnyam, _있더라구요_, 
   {{0xd6d503f3,0x239402bc,0x05f80037,0x236c02e7}},	//   _verbindi, _siksha_, _ነፀብራቅ_, _langyaw_, 
   {{0x1225005b,0xf167026f,0xeb000040,0x00000000}},	//   _yuuki_, _файлды_, _מאווררים_, --, 
   {{0x02010249,0x43ff0453,0x5723012e,0x920001c2}},	//   _fraide_, _zauzima_, _nemtudom_, _aloia_, 
   {{0xad23040f,0x7ead02e4,0xf0060156,0xd3fd044a}},	//   _palikite_, _indunajt_, _מירעלע_, _panzaka_, 
   {{0x3ac400e4,0xfaf40151,0xdd23027c,0xb5120107}},	//   _उपलक्ष्य_, _aldermas, _batolike_, _bptukino_, 
   {{0xcc5a022e,0xcc630253,0x92f10467,0xe2d80074}},	//   _santini_, _partiip_, _nntiemi_, _menen_, 
   {{0x32d501da,0xd2d80265,0x79d60333,0xe7ed0260}},	//   _aktorja_, _lenen_, _alvergne, _augaling, 
   {{0x70360242,0x457002f0,0x0021038b,0xb31d0061}},	//   _leytenan, _asitemuk, _mendesak_, _로만쉐이드_, 
   {{0xc2d60194,0x7236042c,0x63f200a7,0xaab80229}},	//   _europan_, _boljih_, _иттей_, _bulvarda_, 
   {{0x429205e6,0x830e00be,0x329f019d,0x3c67021b}},	//   _werkers_, _vicenç_, _banjamo_, _paluuta_, 
   {{0xaf710041,0x4b2500fb,0x22a600b9,0x1a9b018b}},	//   _акәша_, _idiploma_, _jakbar_, _luminoas, 
   {{0xc2d80211,0x89460125,0x263500d1,0x89b400d0}},	//   _kenen_, _bilmekle, _brandali, _албумаа_, 
   {{0xf39d0002,0x0ad00273,0x995001c7,0x7e3001ba}},	// [cc90] _izdavanj, _reunión_, _dillerde, _langrena, 
   {{0xaf0a018d,0x6e4303bf,0xeff9018d,0xc2010338}},	//   _ክንስጉም_, _аллаяров_, _እንታዋይ_, _agaits_, 
   {{0xfc1d027f,0x5f5d031e,0x0da800ec,0x8c0500c7}},	//   _bakankor, _obraćanj, _kabineta, _giorgiy_, 
   {{0x82fc0095,0x226d0111,0x8264002b,0x24240325}},	//   _aboge_, _divora_, _মিলাদুন্, _büronun_, 
   {{0x66060193,0x9c6e0155,0x45660093,0xaafb0253}},	//   _वेबसाईट्, _imorgon_, _балхах_, _imarorne, 
   {{0x0bb2000d,0x615d0276,0x645d012a,0xddc50524}},	//   _म्युनिसि, _гормунла, _konwencj, _splitske_, 
   {{0x92a6043a,0xf63b045f,0xb6200155,0x3ef603bf}},	//   _stabs_, _underhål, _genomsni, _радулов_, 
   {{0xac32054e,0x437a0292,0xef580130,0xb4ec0169}},	//   _apunmilu_, _americam, _displega, _ন্যায়_, 
   {{0x89a303ab,0x7dc90244,0xe1ca0368,0x487a00e6}},	//   _rodinnéh, _прекарва, _спустили_, _您要打印的文件是_, 
   {{0x32920285,0x8412023d,0xf9e7038b,0xe24802c2}},	//   _hitamo_, _звена_, _diungkap_, _roomys_, 
   {{0x77b20478,0xcf190030,0x030d03b0,0x9f350176}},	//   _desservi, _stacionā, _eigarar_, _prisgara, 
   {{0xe634017f,0xa90902bb,0x00000000,0x00000000}},	//   _sumiiffi, _makijaże_, --, --, 
   {{0x82d000b7,0x000e036f,0xc2e801ea,0x5af7032d}},	//   _amallar_, _razvijen, _валютала, _бардин_, 
   {{0xd30f03a6,0x562900da,0x4b8202ea,0xa3f40009}},	//   _akubita_, _теодатэ_, _prenotar, _bistvo_, 
   {{0xea15060a,0x69aa005e,0x60c3017a,0x027f014c}},	//   _automáti, _ئىبلىس_, _техналог, _iyenze_, 
   {{0xa2d80120,0x5ae500c5,0x804601db,0xe756009a}},	//   _yenen_, _rubrique, _بۇرساڭ_, _کارنامې_, 
   {{0x9291019c,0x929201f0,0x190600cb,0xac780282}},	// [cca0] _araalu_, _gapang_, _angasidu, _tapsell_, 
   {{0xcdb6033f,0x92ed02fd,0x0c750012,0x0b0301de}},	//   _atungala, _chanach_, _दृत्थ्_, _телехаба, 
   {{0xa94b009a,0x42f60243,0x69c301c5,0x82d80192}},	//   _abamaphe, _arkitak_, _baadhist, _wenen_, 
   {{0x37f702ec,0xcbe400a2,0xe7b6002e,0x5f9b01d9}},	//   _وُجارٕ_, _ڪوئٽا_, _optužnic, _kalenner_, 
   {{0xd13b0156,0x555e006d,0x89770272,0x00000000}},	//   _גלאוב_, _адліга_, _balimutt, --, 
   {{0xa31003dd,0x985f0046,0x64c70405,0x838b03e6}},	//   _akuzat_, _vilassar_, _багдаді_, _märel_, 
   {{0x696b0265,0x5e3902ac,0x5d0b005f,0xb13402fd}},	//   _groninge, _اتّصل_, _estrenar, _luadhadh_, 
   {{0xabec0132,0x827f00ef,0x39c1006e,0x5c4300ec}},	//   _bankkárt, _ayenze_, _bindulee, _kortelę_, 
   {{0xbb0f018e,0x0bf5011a,0xa8cf0084,0x00000000}},	//   _minsirhe, _עולמם_, _diheureu, --, 
   {{0x93040348,0x52d8015d,0x385905d5,0x02240347}},	//   _whooping_, _ceneo_, _altricos_, _kuiken_, 
   {{0xedf001a3,0x051900a2,0xec1e0061,0x725b0227}},	//   _منگول_, _مبارڪون_, _기계공학과_, _diblog_, 
   {{0x52d8015e,0x20070185,0x2d4f01db,0xe8e0002b}},	//   _tenen_, _радиода_, _шәмші_, _নিশ্চয়তা_, 
   {{0x427f0124,0x53f90285,0x3db900c7,0xd27a02fb}},	//   _nyenye_, _imbuga_, _вазифасы, _sitiveni_, 
   {{0xac460040,0x1fdd029d,0x6c5c00a4,0x497800aa}},	//   _ישראלבוד, _спания_, _mostren_, _indihest, 
   {{0x828000db,0x12000821,0x19d60035,0xef980059}},	//   _tekstiil, _cloig_, _баруга_, _безумие_, 
   {{0x53ac034d,0xa2f30160,0x6e330059,0xa7b10052}},	//   _itupun_, _nepostoj, _войници_, _maškarní_, 
   {{0x20720156,0x3467038b,0x09aa0204,0xaebd0279}},	// [ccb0] _דקדושה_, _saudarak, _домик_, _maintien, 
   {{0x98630076,0xdd90003a,0x32f60243,0xde530185}},	//   _долари_, _менда_, _arkisak_, _аналарда, 
   {{0x62d8055f,0x92fd0222,0x3949004b,0xb5b70022}},	//   _genel_, _anciens_, _таралыуы, _lakatseh, 
   {{0x9af703db,0x7beb036a,0x06e30311,0xa54c030f}},	//   _kahulume, _karokaro_, _ብምትብባዕ_, _parāone_, 
   {{0x69c30205,0xee6a0060,0x2b1a0092,0x913b0012}},	//   _کمپیوتر_, _молда_, _著者の方へ_, _माऊटेंन_, 
   {{0x26d303c4,0xb8dc0083,0xe96502f7,0xc3fd05ed}},	//   _террорчи, _necrolog, _dirisiwe, _ikiziba_, 
   {{0xd2a60277,0x820001b8,0xfdb701c7,0xb90a02fa}},	//   _grabe_, _tegid_, _душманчы, _amabasad, 
   {{0xd9d90064,0x0d2601f0,0xb2ef016b,0x62ca0305}},	//   _ликасыны, _bolokile_, _shafar_, _landro_, 
   {{0xd2d80125,0x52bb00ef,0xb2d900c7,0x165502cb}},	//   _menem_, _خودکشي_, _nigeze_, _optereće, 
   {{0x13f804e2,0x305a012e,0x80b701d5,0x17ac0044}},	//   _jadual_, _آریائی_, _وڑائچ_, _excessiv, 
   {{0xd93600f9,0xbac0033a,0x3386013a,0x7343026c}},	//   _ntambara_, _apokalis, _aanrer_, _venenum_, 
   {{0x1894018b,0x128e00d1,0x0af702b4,0x740d0314}},	//   _гласурь_, _অশ্বশক্ত, _bahulume, _спидвей_, 
   {{0x87e3010f,0x2f5c02f3,0x79fc010d,0x738d0017}},	//   _мобили_, _smått_, _kedaulat, _protizán, 
   {{0x0ecd0055,0xb3870249,0x97930723,0xf6a303e6}},	//   _munizion, _ikarim_, _leitmeri, _gerutsch, 
   {{0xc5be0076,0xc22a010f,0x17950374,0x284c00d8}},	//   _дрога_, _кораш_, _муниса_, _abituals_, 
   {{0x0d0d03e4,0xd1fc00cb,0x598700d0,0x9b9f0012}},	//   _apsuskir, _abazisol, _pankarta_, _पकुआउबरग, 
   {{0x61e300c5,0x826d02d6,0xa69f018a,0x2e770008}},	// [ccc0] _国家林业局_, _kifoya_, _byrgleri, _cadaqués_, 
   {{0x56960321,0x223601eb,0x02e801d6,0xc75306fe}},	//   _spremeni, _aichejár, _herfra_, _नवविवाहि, 
   {{0x6ad6041e,0x57af0074,0xbc7302f4,0xd2dd009f}},	//   _praticat, _ristirii, _mérida_, _pozorni_, 
   {{0xf2d8046f,0x8843040f,0x21dc0044,0xf67f03a2}},	//   _genee_, _portalas_, _involvem, _एडुआर्ड_, 
   {{0x79340172,0xbfcf01ec,0x76cd0107,0x41cf0375}},	//   _asembisa_, _anantabo, _biyasani, _eeeehhhh_, 
   {{0x81260044,0x72d80179,0xa2780226,0x35b701ec}},	//   _ניצחון_, _pened_, _asunge_, _barabudh, 
   {{0x55ca00bf,0x13fa059a,0x149c01d5,0x00000000}},	//   _преврати, _estudo_, _infókat_, --, 
   {{0x84730399,0xe4e90061,0xbc33003c,0x5db701aa}},	//   _feleleak, _중등교육과_, _atmosfèr_, _arthurwa, 
   {{0x63f40652,0x0eb50003,0xd22a040f,0x126c018e}},	//   _postao_, _opdracht_, _заволжск, _iscor_, 
   {{0xd0580226,0x71c1027b,0xd26c012b,0xe1eb04d7}},	//   _amasiyan, _मय्हं_, _dobrowol, _barnaafm, 
   {{0x6aab024d,0x27590519,0xa67f0092,0x294c0037}},	//   _imikhumb, _मुद्रित_, _キッチン雑貨_, _ተመዝግቧል_, 
   {{0xa9090105,0x66050510,0x82250176,0xe59f03e6}},	//   _makijażu_, _туалета_, _iruka_, _virgesch, 
   {{0xc1d40061,0x9ebb0156,0xac83010b,0xf60b01f4}},	//   _개인정보보호방침_, _פּיין_, _etetseng_, _vakolati, 
   {{0x6ae6019b,0x53950349,0x9c6e02d3,0xa2250296}},	//   _konteine, _angsay_, _giratóri, _kruka_, 
   {{0x020101e5,0x302704cd,0xa93f0334,0x4192026f}},	//   _araiye_, _priručni, _amamenya_, _بەنيتىس_, 
   {{0xfe52026a,0x438001c2,0x9f2f0181,0xf00101de}},	//   _dukaduka, _mouros_, _choucrea, _ورماندار_, 
   {{0x0a3502bb,0x79ed0750,0x6f67002e,0xc44403a2}},	// [ccd0] _polityką_, _forespør, _naoružan, _ओर्डेर_, 
   {{0xf29d0781,0x6abf0092,0xbc0101ad,0x113501c8}},	//   _koljena_, _ポリエステル_, _asister_, _sledoval, 
   {{0xdb4101e6,0xf3fb0185,0xe2d90219,0x725a0043}},	//   _revolučn, _abunäçel, _bigeye_, _bannansi_, 
   {{0xbfeb0052,0xf2a600c2,0x128f0278,0x0396037f}},	//   _विभाजित_, _iriba_, _mokhtar_, _getsin_, 
   {{0x98d5027b,0x09db00e0,0x415d0065,0x635a033d}},	//   _निःस्वभा, _boonstra_, _hoffentl, _danfans_, 
   {{0xd2d90672,0x1225039e,0x2ebe0415,0xc3b6006d}},	//   _ingene_, _bruka_, _branchen, _патроне_, 
   {{0x29be01f0,0x82d8001f,0x37b3013d,0x49fa0156}},	//   _afidefit, _penee_, _apartigi, _amasprod, 
   {{0x32250018,0xb26d016d,0x9dd20040,0x143e0366}},	//   _druka_, _كەشپىيات, _החקלאות_, _гафни_, 
   {{0x22b200a6,0xf9f3003a,0x22d4029b,0x195e0113}},	//   _شهامت_, _ravishda_, _bordoo_, _antoisce, 
   {{0x1c55000b,0x3ae10140,0x4d83031a,0x32120349}},	//   _leotele_, _banlawan_, _mullagra, _eckhay_, 
   {{0x9dfe0025,0xf69503c4,0xa2f0005b,0xc26e00f6}},	//   _सौन्दर्य, _енергийә_, _kenichi_, _musiqisi_, 
   {{0x1be90092,0x7c1302ac,0x25be0078,0x3ecd02ea}},	//   _神奈川県足柄上郡, _بميدان_, _бригу_, _punizion, 
   {{0xa27600ff,0x92d8046f,0x7d9f0476,0x292f004b}},	//   _פיליזאף_, _komech_, _chinoura, _khomaret, 
   {{0x186f02df,0x5ee80047,0x6e1a0497,0x78190137}},	//   _እንግሊዝኛ_, _城乡规划法_, _anleigha, _титаники, 
   {{0x63f80362,0x32f800ea,0x527f020f,0x027f0256}},	//   _ndour_, _isiraely_, _abanam_, _sienas_, 
   {{0x42a601e0,0xc33202ef,0xd27f022f,0x53f40281}},	//   _تاجرێکی_, _beladè_, _pienas_, _birtha_, 
   {{0x3074001d,0xb6a500d1,0xd3ea0467,0xce900017}},	// [cce0] _redactio, _শতাংশই_, _hintaw_, _blondýnk, 
   {{0x327f006d,0x5afd012b,0xeeb300da,0x00a8003e}},	//   _vienas_, _asortyme, _consumat_, _аҫылғужи, 
   {{0x53950017,0xfa0f017a,0x83590168,0x42250028}},	//   _kapse_, _angavale, _fagfelt_, _uruka_, 
   {{0xc4db022f,0xb26e00c2,0x4ef2022b,0xdc7402cf}},	//   _сквера_, _musozi_, _leikarun, _assumiu_, 
   {{0xbaf2003a,0x0304034b,0x6952000a,0x02c801c9}},	//   _экологик_, _magalim_, _akullatt, _autosse_, 
   {{0x59d90107,0xef430137,0x00000000,0x00000000}},	//   _صورتتان_, _өвөлжинө_, --, --, 
   {{0x52ea03d8,0xd29501bb,0x3c530054,0x6fe7019e}},	//   _poginuo_, _barkisi_, _furtawa_, _блакітна, 
   {{0x42a600bb,0xefd50040,0x56c5008a,0xcdc10381}},	//   _لگتاہے_, _לנוחיותכ, _mamasagi, _assivema, 
   {{0xe9890092,0xc967011a,0x99b902ef,0x72d400ec}},	//   _比較対象にする_, _definate, _direktwa_, _vardų_, 
   {{0xf22b0475,0xb30501ac,0x00000000,0x00000000}},	//   _стенна_, _géanna_, --, --, 
   {{0x0d2c006e,0x426e03c3,0xdb92005e,0x7ea50244}},	//   _aktiwite_, _novinari_, _ﭘﻪﻟﺴﻪﭘﻪ_, _valutare_, 
   {{0xf2780204,0x1387011d,0x00000000,0x00000000}},	//   _asunut_, _operau_, --, --, 
   {{0x93870132,0xb3ad02c6,0x12e703bf,0x426d006a}},	//   _akarom_, _alexbot_, _брагин_, _angovo_, 
   {{0xb2da0453,0x4b0b005b,0x70d303d4,0xfb8a013a}},	//   _sprema_, _matsuoka_, _власи_, _ländlech, 
   {{0x1ebf01f4,0xc2d80127,0xc038033f,0x51cf0456}},	//   _استراتیژ, _venec_, _havelulo, _semenyih_, 
   {{0xae4802ac,0x1bd902a5,0x69270109,0x9390004f}},	//   _عيشوا_, _कारीगरी_, _policií_, _jaayati_, 
   {{0xeeb80021,0xc3ac0373,0xadb4001d,0x530300ed}},	// [ccf0] _escortin, _grupon_, _origiine_, _nagamit_, 
   {{0x43790373,0xb2a607c6,0x1b18023d,0x34ea0107}},	//   _kapabla_, _triba_, _suggeris, _آکوستیک_, 
   {{0x68470217,0x62b6061e,0xaca002ac,0x8b110291}},	//   _captores_, _atucha_, _الفؤاد_, _وللاسف_, 
   {{0x92d802c3,0xfb100272,0xc1f901e0,0x06c30263}},	//   _senec_, _abapolot, _قورعان_, _verbouwi, 
   {{0x61c904ac,0x568101b8,0xc26500b5,0x9d150160}},	//   _почты_, _kalendri, _bibolini_, _nepoznat_, 
   {{0x5f940122,0x00000000,0x00000000,0x00000000}},	//   _مخالفان_, --, --, --, 
   {{0x43870611,0x1ddc02e5,0x53540434,0xd92802fe}},	//   _anbrik_, _beckelma, _ponemos_, _آمرین_, 
   {{0xf27f0145,0xa9c700a4,0x63480083,0x6cdc00ec}},	//   _dienos_, _баратат_, _silenzi_, _paprasči, 
   {{0x297d0024,0xe30302a2,0xeb8c03e2,0x823601da}},	//   _চুবুৰীয়, _gagamit_, _coloquio_, _krijua_, 
   {{0x8c5302ce,0x0204002f,0x805000ed,0xc5c200e6}},	//   _surtiwa_, _allillim, _ameriakn, _读书频道意见反馈, 
   {{0x809604dc,0x6dd601a7,0x8f5b01db,0xe9da0262}},	//   _دارابی_, _perjanta, _داڭعىرلا, _barlanyp_, 
   {{0xc68d033d,0xa2b60220,0x4d2202af,0xffd20244}},	//   _espesifi, _интериор_, _isesagur, _покупко_, 
   {{0x3bf6002c,0xb95b027b,0x937c0299,0xf2b60478}},	//   _настны_, _राभस्ये_, _بۇرھانىد, _bascas_, 
   {{0xd4920029,0x026c00ab,0x2c760198,0x63a200e2}},	//   _زمناکۆ_, _kirimiti_, _skiroji_, _timpel_, 
   {{0x41eb01c8,0xf4940125,0x24870360,0x4a0f032c}},	//   _chemikál, _atbaşçyl, _नागार्_, _ingasale, 
   {{0x3321004a,0xd2bb028d,0x82d8037f,0xf3f902c5}},	//   _alayı_, _deferle_, _kefen_, _ambuya_, 
   {{0xd39403c7,0x84e401d5,0xabf800c4,0xea5200bb}},	// [cd00] _polsko_, _ابوالکلا, _ڪيپٽن_, _تضحیک_, 
   {{0x12d8028d,0xd2d8023b,0x4c2c01e6,0xdc6600c5}},	//   _defen_, _aenei_, _aktivitu_, _portait_, 
   {{0xd8bc005e,0x900d00f5,0x70390333,0x46cc01f1}},	//   _ﺗﻮﭘﻠﯩﻐﺎﻥ_, _гүчлери_, _bartolon, _ramazani, 
   {{0x7225012b,0xdda000e6,0xb3b10022,0x4290011b}},	//   _druku_, _人气最旺的_, _уҡыйһы_, _lokasa_, 
   {{0xbc5a0358,0xb7bc0119,0x82250234,0x13f70148}},	//   _diktati_, _imbestig, _eruku_, _persequi_, 
   {{0x43140016,0xb38702ee,0xcc070271,0x429302e4}},	//   _באזוכער_, _ittra_, _innsikt_, _attriċi_, 
   {{0x35e90229,0xbd3c0192,0xf2d80455,0xee7d0368}},	//   _tutarlı_, _derhalve_, _brieuc_, _наредили_, 
   {{0x127f019e,0x73f80005,0x2f3600f1,0x1eb1028d}},	//   _vienos_, _segua_, _traspara, _redevans_, 
   {{0x32fb0130,0xf2fb02f7,0x4a3c0213,0x11b402a6}},	//   _tachenn_, _bashana_, _духов_, _permetti_, 
   {{0x4c530111,0x62d80163,0x0ec600da,0x8237046d}},	//   _lettera_, _zenei_, _елементу, _ndimana_, 
   {{0xc6ed02af,0x930d04ca,0x00000000,0x00000000}},	//   _kiracapf, _cigalas_, --, --, 
   {{0x32ca05f7,0xdef602c4,0x99d60219,0x93f70154}},	//   _ganddo_, _загреб_, _aphekele, _орагни_, 
   {{0xd2e9008b,0x3c2b027b,0x723b0245,0xe27f0145}},	//   _aakimoo_, _abhayapr, _kailang_, _sienos_, 
   {{0xeee80023,0x43210122,0xe6ac02bb,0x7e020192}},	//   _метров_, _khayal_, _चरित्रों_, _middelba, 
   {{0x8e5600e0,0x05de0037,0xa55d00e6,0xe15d00ec}},	//   _balbesit_, _በየቀበሌው_, _自然科学版_, _аўдыёкнi, 
   {{0xf26e02c1,0x2cc700fc,0xca0f0344,0x00000000}},	//   _musoni_, _dalischu_, _angasale, --, 
   {{0x05280197,0x34690059,0xb62801b9,0x113f0043}},	// [cd10] _politisy, _родината_, _politisi, _amatongo, 
   {{0x781d0220,0x151d00c1,0x0b110020,0x30380061}},	//   _дирекция_, _देखणा_, _laugatas, _와우커뮤니케이션_, 
   {{0xc2d8023b,0x3c0201d6,0xc93e02c6,0x0b5b009a}},	//   _penei_, _bryster_, _alamande, _bantanga_, 
   {{0x5f2f0524,0x876d0211,0x034b0064,0x8b79003e}},	//   _takodjer_, _helvetti, _captació_, _береңде_, 
   {{0x00000000,0x00000000,0x00000000,0x00000000}},	//   --, --, --, --, 
   {{0x242c00f7,0x89ec0187,0xfc7500c1,0xc0bb02b6}},	//   _aerarmeo_, _фондовит, _एरव्ही_, _ەستىردىم_, 
   {{0x1d87023d,0x9a7c01e1,0xfe8d0093,0x22a600f2}},	//   _inserire_, _molaetsa_, _миллиона_, _gribu_, 
   {{0x607601d4,0x826d00a9,0xb6270234,0x00000000}},	//   _saucisso, _ingoro_, _sẹlula_, --, 
   {{0x72d800dd,0xfd02015e,0xac020005,0x8ef5014a}},	//   _lefel_, _qualitat_, _qualitad_, _feljelen, 
   {{0x19eb01b8,0x24f90094,0x94070053,0xd2d8034c}},	//   _फुलवारी_, _شاماندار, _sekolahk, _denev_, 
   {{0xeaa103d8,0x8cff0226,0x9c660125,0x00000000}},	//   _troškove_, _akhumutc, _халысы_, --, 
   {{0x227f02f4,0x099902ae,0xe26c02d9,0x45e1015e}},	//   _bienes_, _plažu_, _kirikiti_, _قوشوماتچ, 
   {{0xc23801a7,0xaea50362,0x12ef0308,0xdb53019e}},	//   _блондинк, _ekolekan, _seninya_, _ацалелі_, 
   {{0xf4b7043a,0xd95d017e,0xaea600b3,0xf7590025}},	//   _bekonsäl, _laborist, _делиллер_, _मुख्याः_, 
   {{0xe5dc0057,0x478f003c,0x22d6003f,0x2e470195}},	//   _የኤችአይቪ_, _خیراندیش_, _kahless_, _feabhasa, 
   {{0x527f0434,0x036400e6,0x82a100c7,0x3fb70175}},	//   _tienes_, _parfois_, _mödire_, _fullproo, 
   {{0x4b0c0409,0x42250593,0x82c9005a,0x3b4200c5}},	// [cd20] _友達に紹介_, _brukt_, _bosovbe_, _并享受更好的服务_, 
   {{0xbc1703ce,0x79fd0272,0xa378055f,0x286d02c5}},	//   _سورچی_, _bagisiba_, _kadarda_, _harichad, 
   {{0x7c240241,0x37530081,0x4282012c,0x1c0200e2}},	//   _badaniir, _barnavag, _wachawi_, _pryster_, 
   {{0xc95000bb,0x78a0020a,0x47c0038e,0x00000000}},	//   _ریپبلکن_, _бердібек_, _जीवनगौरव_, --, 
   {{0x92fb02b7,0x47bc0359,0x02f00369,0xf96d0211}},	//   _tashina_, _befeilig, _paliuli_, _navigaat, 
   {{0x403c0373,0x5c6a0007,0x93a20343,0xc2fc0168}},	//   _kongreso, _bolumbu_, _kimpal_, _jaggu_, 
   {{0x2e010142,0xd2d60027,0x36a3019a,0x00aa02a9}},	//   _mahendra, _huronan_, _bearbugh, _вячаслаў_, 
   {{0xca7d02a2,0xc344012d,0x028004bd,0x50f00075}},	//   _nakatira_, _sevende_, _opakele_, _boripall, 
   {{0x2d9701c5,0x82560075,0x42ca00e5,0x49500108}},	//   _marlabaa, _fólka_, _amido_, _dikoment, 
   {{0x15d1027c,0xddab0024,0x7a1e0164,0xfe070241}},	//   _سیناکي_, _treninga, _филим_, _dardaraa, 
   {{0x623b0329,0xd073033d,0x226d03ad,0x28dd0037}},	//   _railing_, _sweatsho, _awdituri_, _ቪዲዮዎችን_, 
   {{0x2b680278,0xf2910230,0xfc010051,0xd6ce02ac}},	//   _palestin_, _bayant_, _prasmes_, _بأكملها_, 
   {{0xfda70386,0x4c00005c,0x8b660210,0x27fe014f}},	//   _kelihata, _nyagatar, _akarukwa_, _примерке_, 
   {{0xa6de0031,0x6cf60086,0xd2d800e0,0xf301041c}},	//   _tampakny, _بالجبر_, _befel_, _japandi_, 
   {{0xa7dd0198,0xc67f0092,0xae6a020f,0x91db0192}},	//   _poravnav, _いつもお世話にな, _چټکتړونو, _synoniem, 
   {{0x42d8014a,0x16c70041,0x13940065,0xf84100dd}},	//   _menet_, _хырҵәы_, _heisse_, _gaethwas_, 
   {{0x534800e4,0x925902e4,0xcf4c0255,0x4e3f04b9}},	// [cd30] _modelki_, _emendati_, _maaslama, _jalouzes_, 
   {{0xc7690156,0x5e9d0162,0xf06103a2,0xf9630081}},	//   _מחונך_, _калламға_, _धांसू_, _barnafat, 
   {{0x82fb0342,0x0594027f,0x1217003e,0x026c00ab}},	//   _machann_, _bikemany, _курортта, _kokoru_, 
   {{0x18e60159,0xa9cd0185,0xdc05021c,0xec99005b}},	//   _сартра_, _принцибы_, _overaly_, _chagetsu_, 
   {{0x4a35015d,0x8c08013c,0x42fc005b,0x861a047d}},	//   _politykę_, _fermerlə, _baggu_, _donnerwi, 
   {{0x53f80822,0x893a045b,0x39850745,0x0a9b0211}},	//   _mahulu_, _моментом_, _हरिकृष्ण_, _valinnas, 
   {{0x014200d7,0x3794009a,0x9b790182,0x9ecd03ec}},	//   _атлап_, _منظومي_, _iseraela_, _municion, 
   {{0x77b0012b,0x67da005a,0xc9ab018d,0xc39403ae}},	//   _podstawi, _bowanerg, _ንባዕለይ_, _reiste_, 
   {{0x29a401ed,0x73a80386,0x63f8023b,0x34b902d6}},	//   _alekelia_, _melarang_, _nahulu_, _саксонин, 
   {{0xa6a10057,0x42c70230,0x2055034e,0x4d9e0258}},	//   _pertubuh, _inplike_, _aparikun, _direksje_, 
   {{0x1c7801e6,0xa1d70061,0xb26d0020,0xbf56016f}},	//   _poruchy_, _하더라구요_, _gogofo_, _напруги_, 
   {{0xaff8045d,0x62ef0062,0x9e3c0156,0x00000000}},	//   _efikasno, _denibya_, _אַרעסטאַ, --, 
   {{0x9abd015e,0x82a600ae,0x026c013f,0x609c0137}},	//   _باستىرىپ_, _asiba_, _hanomp_, _хүрхрээ_, 
   {{0x6110018b,0x36e901c1,0x92e20823,0x9fd7004b}},	//   _linkuril, _tercapai, _सुमीत_, _халатлы_, 
   {{0xe31b0053,0x12d80058,0x315b03db,0x028c03fb}},	//   _उपाययोजन, _jenet_, _bangenel, _stakala_, 
   {{0xfc930064,0xbc1d0453,0x05c70198,0x11cb015e}},	//   _دابان_, _doprinos, _oblačila_, _акылды_, 
   {{0x03f4046b,0xa29202e1,0xe2890055,0x62c502e1}},	// [cd40] _bostio_, _árann_, _campitel, _chamuis_, 
   {{0xb95e00d9,0xb0710357,0x9c1d0355,0x42250182}},	//   _mainokse, _kataremo, _pristojb, _puuku_, 
   {{0xc2250016,0x9b550008,0xb2900195,0x42700111}},	//   _atakon_, _илдети_, _shiant_, _bombardò_, 
   {{0xe2d80120,0xf3d1001d,0x22dd02dd,0x00000000}},	//   _nenem_, _heucké_, _involvi_, --, 
   {{0x9948040f,0x6d31014c,0xa9d80405,0xa24702fd}},	//   _smulkint, _ivenkile_, _словаччи, _meadhanm, 
   {{0x43030580,0x41460024,0x8dc1010d,0x514005c3}},	//   _uzlabot_, _সেয়েহে_, _cariruma, _éternell, 
   {{0xa15b01cb,0x60c30086,0x43800455,0x747f00ff}},	//   _yangenel, _اداسی_, _souris_, _dimensio_, 
   {{0xc3790418,0x82b400e3,0x7ab40299,0x00000000}},	//   _kitapta_, _frichi_, _بىچارىلى, --, 
   {{0x8efe0518,0xbd0401a3,0x00000000,0x00000000}},	//   _фаластин_, _اوجهل_, --, --, 
   {{0x10b20060,0x13f4007f,0x8ae2044e,0xcf2e01ad}},	//   _رونالدين, _costio_, _колхозе_, _kumunida, 
   {{0x6437032b,0x3b010205,0xac6801ac,0x737a01c6}},	//   _ئابونتلى, _асални_, _soprán_, _sitaten_, 
   {{0x53800342,0xb388005b,0xb3d100c4,0x5bc300be}},	//   _touris_, _okayama_, _اَسان_, _تىكتۅۅچۉ, 
   {{0xa7bc0437,0x88f602bd,0x873b0126,0x6249003c}},	//   _forretni, _dinasydd, _допустит, _umume_, 
   {{0x3ffa02de,0x3c230074,0x546500cd,0xc5bf001c}},	//   _बिरादरी_, _полости_, _abreviaz, _kapaskoh, 
   {{0x22d8047d,0xab5300ba,0xa5c0002b,0xb3860145}},	//   _benem_, _تێبگا_, _তদারকি_, _audra_, 
   {{0xe92f0096,0xce540219,0x97c30444,0x2291005b}},	//   _akomeret, _besanele_, _гiалатах_, _hayase_, 
   {{0x69aa0039,0xe3f4033c,0x337a0066,0x63960004}},	// [cd50] _номин_, _postio_, _aitaren_, _metsin_, 
   {{0x027f0488,0x89e60449,0xaeb70147,0xb4d80113}},	//   _dienas_, _pritisnu, _سۇپساق_, _فورمولا_, 
   {{0xdcdc00af,0xa9e7005b,0x94b40076,0x42d80120}},	//   _молочниц, _raindrop_, _безгрижн, _tenem_, 
   {{0xbf6903ee,0x29b60333,0xe33a00d9,0xdb510109}},	//   _nezavisn, _studiata_, _останетс, _nedodrže, 
   {{0x8ae7022a,0xb3780433,0x71f802ac,0x93860110}},	//   _pavitön_, _albanya_, _سبايدر_, _gudri_, 
   {{0xdad60265,0x92690092,0xdf230251,0x00000000}},	//   _webwinke, _アクセシビリティ, _taleefan, --, 
   {{0xf2ef0124,0xc2ca0685,0x10d001a3,0x92d80120}},	//   _tenisha_, _smide_, _مانڌاڻ_, _yenem_, 
   {{0x727f0160,0x4200005b,0xac15015d,0x936b038b}},	//   _bosni_, _gooid_, _रूद्राक्, _tangkap_, 
   {{0x442d00d1,0x286802e3,0x398401b5,0x67400178}},	//   _ইত্যাদিও_, _ictpress_, _dzwihala_, _कौटिल्या, 
   {{0xcbb402c3,0x52000245,0xf6cc0033,0x743e01a3}},	//   _reagovať_, _hooid_, _legalmai, _اسڪندر_, 
   {{0xb3070127,0xce8d0042,0x378c011a,0x00000000}},	//   _dinarzh_, _vigilânc, _גלידריה_, --, 
   {{0x2c610507,0xb2e3000d,0x211902ba,0xdee70237}},	//   _berusia_, _ravimid_, _бодиққат_, _소장가치가_, 
   {{0x914d0321,0x4bee004b,0xf93a0037,0x82250176}},	//   _odstotko, _затон_, _በባርነት_, _aruki_, 
   {{0x32d80125,0x823c0172,0xa8fd0434,0x9ed101dd}},	//   _senem_, _mpampam_, _detallad, _elizapha, 
   {{0x825a0098,0x988300db,0xcb340285,0x00000000}},	//   _boller_, _प्रोफ़ाईल_, _badashis, --, 
   {{0x79cc0103,0x347400de,0xb2250158,0xf23702eb}},	//   _adhonzwa_, _babephak, _druki_, _adimena_, 
   {{0x630e0054,0x42d802ee,0x82e00403,0x366901b3}},	// [cd60] _aiwatar_, _fenek_, _afeniko_, _лауреато, 
   {{0xbe0102c3,0xd25b0080,0xec6a0007,0x227c00e5}},	//   _priestra, _avalak_, _likundu_, _пастелни_, 
   {{0x836b00ed,0x838701d7,0x64970414,0xae5302d4}},	//   _sangkap_, _legria_, _babambuk, _relascha, 
   {{0x7d2d00a1,0xfc9c01c9,0xc33d0081,0x75280041}},	//   _mihinare_, _समरोह_, _handklæð, _ухәыцны_, 
   {{0x02020014,0xf7cf012c,0x95b701a3,0xba500362}},	//   _aksion_, _anastahi, _نڀاڳي_, _komesana_, 
   {{0x0587033b,0x02a60172,0xf1fe00d1,0x88b002b6}},	//   _kantorok, _bribi_, _গল্পসমূহ, _ستانسالا, 
   {{0x0c6c0277,0x827f00fc,0x00000000,0x00000000}},	//   _magutom_, _sosni_, --, --, 
   {{0x5fea0158,0x93870092,0xeaac01b5,0x3edd0046}},	//   _मेदांता_, _listview_, _emakhumb, _полицияг, 
   {{0xb074005b,0xe2fc0272,0x8c42018b,0x2aa4018f}},	//   _redaktio, _mbogo_, _сериозит, _dilijnis, 
   {{0x00000000,0x00000000,0x00000000,0x00000000}},	//   --, --, --, --, 
   {{0x8f290147,0x938200bb,0xeddc0109,0xbd630012}},	//   _اقىعا_, _باطلہ_, _पाइएन_, _भरबैत_, 
   {{0x82d800bc,0x12e90119,0xa41d01a6,0x872a0153}},	//   _meneh_, _astilla_, _kotingak, _お客様サポ_, 
   {{0x130600f7,0x487101db,0x71ea02fe,0x2a5001a4}},	//   _detaloj_, _ءىشتانىم_, _اتصالاتو_, _bomesana_, 
   {{0x33870240,0x1357023c,0xe280004b,0x23f80039}},	//   _iperiu_, _ناببره_, _ipakile_, _negua_, 
   {{0x67ee027f,0x69c70220,0x0b5600a8,0xb440004d}},	//   _biragang, _капака_, _battesta_, _可靠及穩定見稱_, 
   {{0x9b85000c,0x67a90037,0x7f880040,0x95120012}},	//   _nicolino_, _የምክርና_, _בעקרון_, _फण्डामेण, 
   {{0x9a81005e,0xaf400170,0x3681000d,0xc0c800ba}},	// [cd70] _فىقھى_, _amagonan, _treeneri, _مبۆدیا_, 
   {{0x82a60212,0xe26c0249,0xd2d50343,0x00000000}},	//   _fraba_, _lanona_, _dimonyo_, --, 
   {{0xe8d90026,0xe24903da,0x638701fe,0x79ff02a6}},	//   _해외부동산_, _amuma_, _lperiu_, _acunumia_, 
   {{0x386300b4,0x49ec0176,0x17c3004d,0xb96a0096}},	//   _secolulu, _blogcust, _本條例第二十八條, _bagikore, 
   {{0x62010277,0x199902ee,0x72d80120,0x57fb0300}},	//   _braine_, _minkejja_, _yenek_, _fascinov, 
   {{0xe379024f,0xaf360306,0x32b300cd,0xedac0055}},	//   _matadua_, _huascara, _curdada_, _battianu_, 
   {{0x534900ac,0x99bd0177,0x8bef0741,0x3a970092}},	//   _spremni_, _рзызуа_, _forespur, _deliones, 
   {{0x63420220,0xa9d000b3,0x55bb0028,0xb310039f}},	//   _argento_, _рехим_, _lamaanah, _rivalry_, 
   {{0xc847015e,0x6231035d,0xf29101b5,0x00000000}},	//   _captures_, _firmama_, _kuyaku_, --, 
   {{0x26f60162,0x1d8702e2,0x32a60342,0x395101e8}},	//   _تارانچى_, _aqueduct_, _tribi_, _adulyade, 
   {{0xbc530073,0x75240223,0x0d1b00df,0x5d16014d}},	//   _partiva_, _фермерий, _domestiq, _immowelt_, 
   {{0x96950367,0x22c5008f,0x4a7203db,0x026c0240}},	//   _especiai, _खिसियाइल_, _emazikwe, _nanona_, 
   {{0x7f360122,0x65670061,0xd200007b,0xfcfe016f}},	//   _prasyara, _기능입니다_, _cogie_, _ядерний_, 
   {{0xaf5e0223,0x2387029b,0x2c5504e0,0x432000c1}},	//   _дизелийн_, _ikisimam, _apetece_, _kodya_, 
   {{0x2aa103d8,0x0e9501f2,0x6c050334,0x267a012a}},	//   _troškovi_, _иппәт_, _akilistu_, _elektrow, 
   {{0x92ef02ee,0x630c00f5,0x93e60285,0x852400d5}},	//   _familja_, _hasabat_, _paruwasi_, _drenivoh, 
   {{0x7c7c0145,0x32c5008f,0x3d9b0211,0x00390273}},	// [cd80] _вылет_, _खिसियाईल_, _vallanka, _empezamo, 
   {{0x92d8046d,0xc96200b2,0x026c0102,0x526c03eb}},	//   _tshele_, _autobene, _wokovu_, _opkom_, 
   {{0x5ec205a9,0xa3b203ea,0x620102c2,0x00000000}},	//   _abanywan, _marque_, _gewig_, --, 
   {{0x6cf10184,0xc2000116,0xd30d0037,0x9386026a}},	//   _agaterer, _bogie_, _እመቤታችን_, _kudru_, 
   {{0x6d7c0302,0xf6ca0013,0xf936027f,0xa2940102}},	//   _солагӣ_, _қаламнин, _arambara_, _itikadi_, 
   {{0xcf010318,0x9c770282,0x42b70390,0x1e3602aa}},	//   _isipité_, _hērora_, _bareldən_, _otravova, 
   {{0xfcbd042f,0xd35b040b,0x4690033e,0x3a0c0344}},	//   _nguinnaq, _tangana_, _chaqueño_, _atusallu, 
   {{0xd29100b7,0x9bdd0089,0x404400fb,0xcafc005b}},	//   _argaç_, _ideyäsı_, _nobuhlan, _gknoshin_, 
   {{0xa72000f7,0xa4d40235,0x4dcf037f,0x0654023c}},	//   _diversaj_, _शालिनी_, _funksiya, _akunxanw, 
   {{0xeb430040,0x326d0343,0xa25a01f4,0x153f009a}},	//   _thicknes, _dugoon_, _hollar_, _وستايله_, 
   {{0xd3960467,0xe9be010b,0x22fb0013,0xe25a01d3}},	//   _tarsis_, _afidafit, _mashina_, _kollar_, 
   {{0x327f03c3,0xbf3c000f,0x093b0350,0xf3a30779}},	//   _bosnu_, _sergilen, _መነሻነት_, _egyptu_, 
   {{0x5e7f0256,0x7dac00e1,0xb58900d3,0x3cf00177}},	//   _psiholoģ, _asuransu_, _यूरोपको_, _наӡааӡо_, 
   {{0xac2a00a7,0xa84100db,0xa2c40227,0x00000000}},	//   _тарбияло, _avaldatu, _diulang_, --, 
   {{0x89fe0158,0x46de0193,0xd18a0315,0x4c620073}},	//   _चैम्पियन_, _nampakny, _asabalal, _nutrite_, 
   {{0x1029012b,0x61fd0125,0x9f9f0061,0xa2d4021c}},	//   _telewizo, _бөлүминд, _로얄티프리_, _chalupu_, 
   {{0x19fd02a6,0x3c6800ea,0x1ec60205,0x22ca0128}},	// [cd90] _impastat, _anarako_, _хаттоки_, _umidi_, 
   {{0x0d8b02e4,0x022b02a7,0x207c009a,0xeed400ba}},	//   _akkolita, _tsimine_, _علاقو_, _هۆرامان_, 
   {{0x2b8300c7,0xa93f036e,0xd3f80300,0xcfc703f8}},	//   _перезапи, _alimanya_, _bonusy_, _daloncho, 
   {{0xf238028e,0xd41401af,0xb2d403e9,0x51400107}},	//   _adimani_, _audiowiz, _ördek_, _bakdamul, 
   {{0x2e3a053f,0x9863023d,0x345b00c0,0x7d3a038a}},	//   _amparasa, _покажи_, _mandingo_, _amparasq, 
   {{0x2b000025,0xe37e00c5,0xe3a90277,0xe45e0271}},	//   _गुरुवासर, _增值电信业务经营, _babayeng_, _konvensj, 
   {{0xf250044a,0xf2c20334,0x0c6f012f,0x13950287}},	//   _enterrem, _abalewa_, _ikurara_, _kapsa_, 
   {{0x026d052e,0xb488041f,0xb83e0045,0xa5870132}},	//   _ossos_, _kungasiz, _битка_, _horoszkó, 
   {{0x62ca04d8,0x43ee0204,0x9b940087,0x00000000}},	//   _umada_, _колоссал, _nghingir, --, 
   {{0x1c7501fb,0xea170213,0xef1100bd,0xb4e40056}},	//   _adducer_, _заезда_, _hinderen, _бекмуҳам, 
   {{0x1df00193,0xfc2e0164,0xd80e032d,0x46220187}},	//   _diajarka, _учримақт, _азатлығы, _ретровиз, 
   {{0x916f04f2,0xd32100ce,0xa6de0308,0x6c25019b}},	//   _bongdapl, _metye_, _dampakny, _patogiau_, 
   {{0x67d9061d,0xbcd6025e,0x5e5401b7,0x27a800e0}},	//   _йокосука_, _merkingu_, _apratiha, _easterni, 
   {{0x535b009a,0xc3430405,0x238700f4,0x1a560064}},	//   _nangona_, _хороша_, _bperou_, _албуутта, 
   {{0x2c61001e,0x69690181,0xa6d90354,0x129203b4}},	//   _teburin_, _validere, _рамаллад, _amwari_, 
   {{0xe26c00a0,0x044a00bc,0x2f8d01ea,0x1dd00113}},	//   _manoma_, _اتریش_, _грузияда_, _الخسارة_, 
   {{0xdb05012d,0x669001eb,0xf2d80230,0x4d240020}},	// [cda0] _bakgraon_, _chaqueña_, _lefet_, _kaloline_, 
   {{0x827b05ff,0x437b012b,0x017d0297,0xa3560157}},	//   _podijeli_, _komercyj, _altaktal, _कल्लू_, 
   {{0x9398008d,0xf0b40095,0x6c2f0037,0xf351034c}},	//   _талаблар, _انیشتین_, _ተፈላጊነት_, _dairädä_, 
   {{0xbc080450,0x06430156,0x00000000,0x00000000}},	//   _besteans, _גאבאן_, --, --, 
   {{0x9bc70145,0xd7f70238,0x3dd1003f,0x0bbc0024}},	//   _шаблоне_, _читачів_, _dachilla, _বংশধৰ_, 
   {{0xc6c602e2,0x135500a7,0x09f7025c,0x36fa02eb}},	//   _blissful_, _recents_, _bekannte, _сүбээдэй_, 
   {{0x62b00092,0xb8bf00d9,0xfd0601a9,0xac960178}},	//   _大阪でおいしいお, _listasiv, _carrocer, _bāhyaś_, 
   {{0x72d80230,0x53870222,0x83b80013,0x00000000}},	//   _defet_, _outre_, _кулолчил, --, 
   {{0x82a60333,0x0c2c01a3,0x7b2b0291,0x00000000}},	//   _arabu_, _هيڪاندو_, _تراثيات_, --, 
   {{0x4a180124,0x280e0420,0xa5b90163,0x93de0158}},	//   _gamboula_, _минерали_, _گوناگوں_, _korwin_, 
   {{0x181e0024,0xbc540392,0xaa880456,0x9df10434}},	//   _গাভৰুৱে_, _chuthag_, _kegilaan_, _inadecua, 
   {{0x5b190151,0xde4d0243,0xd7e001b8,0x44f30089}},	//   _chequere, _kuraanaa, _नकारेम_, _богады_, 
   {{0x63c70590,0xc31701e8,0x6ea800bc,0xec440099}},	//   _группын_, _buhagay_, _anglakon, _chawana_, 
   {{0x543a030a,0x164000fb,0x4d3604c7,0xa278012d}},	//   _carballo_, _afundisw, _наступ_, _ngunis_, 
   {{0x0cad01e1,0xaa88002e,0xfc060203,0x062e016e}},	//   _газетаһы_, _ozbiljan_, _enormiss, _prensibi, 
   {{0x8d2d019a,0x943c0238,0x00000000,0x00000000}},	//   _pleisure_, _росспожи, --, --, 
   {{0x92780119,0x0320009c,0xd1a9010f,0x5593004d}},	// [cdb0] _taunus_, _allyu_, _мемонд_, _西北路到鐵路_, 
   {{0x59d9027b,0xd94e01cf,0x927f0342,0x9a0b0061}},	//   _amanyata_, _excludit, _byenke_, _국가인권위는_, 
   {{0x93cf0168,0x441300ba,0x63c702d8,0x19130189}},	//   _brevik_, _واندز_, _चरचरणार्_, _pencered, 
   {{0xa0f40014,0xa23700f8,0x426c0049,0x6bb802d6}},	//   _ዘይንቡር_, _aguja_, _ogoogo_, _amakivac, 
   {{0x84140088,0x7ef10276,0xfc80013c,0xe29300fc}},	//   _اناربەك_, _исламий_, _birdəfəl, _didamohm, 
   {{0x47920192,0x02fd01b4,0xb3f8015e,0xa3940230}},	//   _개인예약대기_, _pogings_, _degut_, _swisid_, 
   {{0x2b5c015d,0x127f0138,0xd3640029,0x989900d0}},	//   _kosmetyc, _oranı_, _زوڵمی_, _молоконы_, 
   {{0xbdb700d0,0xf6920120,0x13f80665,0x19da01b0}},	//   _prestatu_, _caafatax, _geous_, _digedeke, 
   {{0xc22a01cd,0x829000eb,0xddfa0435,0xf379023e}},	//   _додан_, _ahiade_, _стручно_, _معصومی_, 
   {{0x72a600bc,0x97ee027f,0x723902dd,0xf8670064}},	//   _prabu_, _birazang, _carmeli_, _арнаган_, 
   {{0x23590676,0x82460122,0x0bfc0321,0xc24a00e6}},	//   _bandić_, _afiliasi_, _toplotno_, _添加到我的博客_, 
   {{0x02ca0009,0x11a7055a,0xf2fb02fd,0xe5320421}},	//   _prodal_, _impedirá_, _lachinn_, _spezifik, 
   {{0xc82701bb,0x7754020f,0x226500ec,0xda8b0021}},	//   _polisiýa_, _akundang, _karoliai_, _ashionab, 
   {{0x99a201f1,0x979a0156,0x00000000,0x00000000}},	//   _perjasht, _ויספאָרש, --, --, 
   {{0x3d2e04be,0xf35b03db,0x555200bb,0xcedd03b2}},	//   _clapboar, _bangena_, _رحمتیں_, _vesicles_, 
   {{0x02a6023e,0x33f80159,0xc2b10126,0x8ec903d1}},	//   _krabs_, _tegul_, _обидві_, _kokneses_, 
   {{0xbc65061f,0x24fd0039,0xb27800c7,0xbe34020f}},	// [cdc0] _sustavu_, _хийцгээе_, _bornay_, _دضرورت_, 
   {{0xd2b4020d,0x42d800a7,0x21d801eb,0x9f210082}},	//   _cyacu_, _nenes_, _aramirô_, _dimukura, 
   {{0x736002ec,0x63ac03ec,0x42fc0251,0xb592033f}},	//   _ٹھِلن_, _grupin_, _raggu_, _taafatah, 
   {{0xc2a60069,0xb200022f,0xe2480582,0x1c8b00ec}},	//   _isaba_, _ilgio_, _odimma_, _абследав, 
   {{0xa03900ff,0x0c180122,0x036f00ec,0xbbfb02b2}},	//   _פֿלײש_, _athapasc, _testavim, _byggeier, 
   {{0x22d60359,0x62e70163,0x8e50008d,0xa7b5022c}},	//   _spilers_, _بارعام_, _kuzatila, _bebereng, 
   {{0x424e0075,0x6e4c0282,0x78f90343,0x00000000}},	//   _tilfarið_, _konatuna, _kahaguru, --, 
   {{0xcc7d017a,0x0c700294,0xcf390297,0xdda803fb}},	//   _abusisa_, _aytuyuq_, _dinebezn, _poništav, 
   {{0x103a033a,0x8504002b,0x837f01cc,0x2ae80462}},	//   _attenzjo, _মালিকানা, _arkasya_, _aritable, 
   {{0xb2d80212,0x13f8000e,0x22a60500,0x327f0035}},	//   _tenet_, _regul_, _osaba_, _aranı_, 
   {{0xa03c0462,0x02b402c1,0xb1b304ca,0x65d4019b}},	//   _onnectio, _vyacu_, _territòr, _жывуць_, 
   {{0xa3800130,0x3c6002da,0xd6a602a2,0x77030405}},	//   _barrez_, _известув, _kaluwalh, _моралі_, 
   {{0x0ba60268,0x3da9036e,0xec17013c,0x5d7001ac}},	//   _ackyardb, _aqutanku_, _allahver, _اجتمعت_, 
   {{0xb0610374,0x324900b7,0x1ba6026f,0x9b10005c}},	//   _بندرا_, _adamda_, _اناعۇرلى, _abapilot, 
   {{0xe8f900a9,0x62560163,0xfb3d0137,0xc8630181}},	//   _bahaguru, _fólia_, _тауэр_, _metalbur_, 
   {{0x22010062,0x47800025,0x7c7300fb,0x020004bd}},	//   _adwij_, _उत्तरपदस, _elisuka_, _ālika_, 
   {{0x7ec90444,0x12ff03bf,0xbb8a00d7,0x49cd068d}},	// [cdd0] _устранит, _goshene_, _ҡолон_, _damelage, 
   {{0xf49300d1,0xb197002b,0xb2780466,0x6887019e}},	//   _কান্দিব_, _ফেনসিডিল_, _patnju_, _šokoladi, 
   {{0x12ca036c,0x00000000,0x00000000,0x00000000}},	//   _handao_, --, --, --, 
   {{0x92d8013f,0xcc7504ca,0xeb300126,0xdc09036c}},	//   _renet_, _assumit_, _експорту_, _fimpima_, 
   {{0x783c03e6,0x074b0075,0x9af5003e,0x0265013f}},	//   _maimonid, _kostráði, _dibukane, _danframm, 
   {{0x22d806d5,0x62d30171,0x7cc0034f,0x5ec801ef}},	//   _mener_, _pomoći_, _اسماعیلی, _pasisten, 
   {{0x52ca00fb,0x1ea800d4,0x08470361,0x425b01f0}},	//   _amade_, _justysje_, _базами_, _imelwa_, 
   {{0x941303ce,0x59b203cf,0x7c080347,0xb31c00ba}},	//   _ساردو_, _kuruluş_, _bestaans, _عیسمه_, 
   {{0xc2d80088,0x68600031,0xa2d8026b,0xea7d02af}},	//   _gener_, _dilansir_, _tenes_, _bakarira_, 
   {{0x33ac03dd,0x996b0055,0x92920133,0xa26d031e}},	//   _trupin_, _insicure, _baqate_, _navoda_, 
   {{0x12d90263,0x23f80212,0x8b650166,0xea6f03ff}},	//   _leven_, _regum_, _sprechen_, _brigáda_, 
   {{0xcfae003a,0xaf1f020b,0x6a14030b,0x22810003}},	//   _میدانیده_, _belegwen, _akwagala_, _turkije_, 
   {{0x225304d1,0x566801e0,0xff5c02f3,0xdf0b0037}},	//   _celebram, _روانین_, _blåst_, _መጽሐፉን_, 
   {{0x3543014e,0x8443014e,0x6a890452,0x00000000}},	//   _trećine_, _trećinu_, _tiriskan_, --, 
   {{0xa3870178,0x400e0311,0x3eb7013f,0xaa390371}},	//   _ajaram_, _ዝተገበረሉ_, _gemennas_, _череши_, 
   {{0x64ce0122,0xcf5704e6,0x51d8020f,0x641501be}},	//   _پسنديدم_, _balansen, _پوړيزه_, _उत्तरआधु, 
   {{0x4b6202dd,0x823100da,0xda4e0037,0x59060156}},	// [cde0] _astratta_, _ынгрозит, _የዲሲኘሊን_, _ויסמייַד, 
   {{0x92d90338,0xc9ab004d,0x134701c4,0x79de0059}},	//   _deven_, _事業也沒有了_, _sleepwa_, _пролетни_, 
   {{0x12fc00bc,0xd290038f,0x3291005b,0xa5510291}},	//   _vbogi_, _skiant_, _miyake_, _boilséiv, 
   {{0x72d8022c,0x3c140044,0x43770088,0x0c7404ac}},	//   _bener_, _ברצינות_, _بىچاق_, _kulutus_, 
   {{0x6b860338,0xab710061,0xbf30026b,0x2b060241}},	//   _lexicogr, _디자인소품_, _aterriza, _garracha_, 
   {{0x2538036e,0xb2d60473,0x00000000,0x00000000}},	//   _aanikush, _schluss_, --, --, 
   {{0xd2d9015b,0xb87702ed,0x0a71006f,0xb193004b}},	//   _heven_, _móstrase_, _tutakuwa_, _кулагина_, 
   {{0x92d80269,0x19b0014a,0x18070233,0xa3b20397}},	//   _tener_, _پیدائش_, _barbaric_, _ababegij, 
   {{0xd37b0661,0x76390612,0x43160121,0xd26e04e1}},	//   _entanto_, _yoghurti, _danzas_, _letove_, 
   {{0x192800a4,0x525b00db,0x72d800f4,0x0ee1046d}},	//   _партиясы, _avalik_, _rener_, _mathomon, 
   {{0x435b00a9,0x5e760040,0x7b6d0435,0x328002c2}},	//   _kangana_, _גינקולוג, _уплату_, _afskeid_, 
   {{0x739600ad,0x137b0371,0xec5500e2,0xf8c103d4}},	//   _narsis_, _intanto_, _achtsje_, _облаче_, 
   {{0xc2d90003,0x9b6600ae,0xda1000f3,0x58980148}},	//   _geven_, _acererwa_, _akuphend, _本網誌刊登之內容_, 
   {{0x535b040b,0xb2d801f6,0x294e0040,0x637c01ad}},	//   _langana_, _vener_, _recovere, _botante_, 
   {{0xc2d802bd,0x5ae8051f,0xb4510036,0xad0c02fc}},	//   _wener_, _دوواتر_, _ولوازم_, _amaribor, 
   {{0xdd5001d4,0xa2ee02dd,0xec6a03eb,0x00000000}},	//   _bilanciu_, _isofri_, _verruil_, --, 
   {{0xa97100ee,0x2c75016f,0x829103b4,0x290f006c}},	// [cdf0] _baliatze, _reduser_, _biyake_, _angadalu, 
   {{0xc0fa004a,0xb2d90305,0x4f3c020a,0x0037005a}},	//   _принтерл, _veven_, _партияға_, _hileghmo, 
   {{0xb35b069d,0x628500ad,0x1b60012d,0x2261018e}},	//   _bangana_, _engkang_, _rebelian_, _herisiwi_, 
   {{0xaf89019b,0x72860127,0x98880388,0xb23f011a}},	//   _народнаг, _ankiniz_, _наредбат, _במעקב_, 
   {{0x22b10343,0xcc0600c5,0xd35b01c0,0xacdb0273}},	//   _bandila_, _gérant_, _dangana_, _compró_, 
   {{0x7a7f0026,0xa2fb0126,0x607302ac,0x5776006c}},	//   _입주가능일_, _авторам_, _محادثات_, _густурда, 
   {{0xa7f9023d,0x0cd30445,0x2bec0267,0xe76500e6}},	//   _протести, _provedor, _dinamičk, _社保基金会_, 
   {{0xa6ac043d,0xe2a602ee,0xf3f80182,0x5c120061}},	//   _mengambi, _drabi_, _kahuhu_, _보라카이의_, 
   {{0xf2d901d1,0xdea501a0,0x13c50220,0xa30600ad}},	//   _level_, _atiluvan, _турнира_, _kasorang_, 
   {{0x70610013,0x88fd00a7,0x034a0368,0x43440292}},	//   _مناره_, _retallad, _сиромашн, _ntweree_, 
   {{0xc9e90117,0x53440222,0x93f8056b,0x05cc0022}},	//   _kongrige, _devenue_, _bahuku_, _kamahany, 
   {{0xf2ba0140,0xbc0f03b0,0xdd89036a,0x2c6800cf}},	//   _sandali_, _nettavis, _cokotiva, _albudii_, 
   {{0x7d7a00f3,0x535b016b,0x42d6022c,0x90f70055}},	//   _bahlelwe_, _dangina_, _burokan_, _arrincul, 
   {{0xd2910270,0xe2160207,0xa76900f0,0xa2ca01f0}},	//   _vocava_, _amehitim, _šikanova, _mmidi_, 
   {{0x72e50036,0xe290012c,0xa2d800d2,0xe1d700e7}},	//   _سبورت_, _athari_, _genep_, _ariencay_, 
   {{0xa63c0330,0xd2f003ad,0x551c014a,0xa2cc00c8}},	//   _inmingni, _familji_, _elengedh, _khalefo_, 
   {{0xf4760360,0xd38b00e6,0xb83b0272,0x783d00b7}},	// [ce00] _postaven_, _第二次经济现代化, _baamunyu, _bermelid, 
   {{0x1d0e0024,0x17e002a9,0x141a00db,0x00000000}},	//   _দৃষ্টিৰে_, _premiją_, _paindlik, --, 
   {{0x8e110029,0x9a0a033f,0x72e9011e,0xcc510267}},	//   _سکاڵا_, _falahola_, _sezisan_, _filtera_, 
   {{0x624802b9,0xa43903d9,0x29f9011a,0x150d0343}},	//   _filmek_, _afokasok, _surgerie, _kakompry, 
   {{0x994e0074,0xc7bd0263,0x484e00d9,0xda8c0041}},	//   _mielipit, _beveilig, _mielipid, _ацыхәтәа, 
   {{0x3e5400b4,0x812702b6,0x02810233,0x3c6100ed}},	//   _mesajele_, _تاريحىمى, _inusabil, _molukso_, 
   {{0x820600a1,0x74a500f5,0x9967012c,0xcc08013c}},	//   _pakipaki_, _дуюлса_, _اليوشا_, _vermirlə, 
   {{0xca1002dc,0x66720092,0xb2910064,0xd0310035}},	//   _financia_, _料理レシピ_, _tocava_, _абалач_, 
   {{0x2cc40513,0x030b0299,0x00000000,0x00000000}},	//   _lerikulu_, _سىددىق_, --, --, 
   {{0xf2a602ee,0xa79401b2,0x4999014f,0x02d9009f}},	//   _trabi_, _featheri, _задужбин, _levem_, 
   {{0x17810318,0xcb8b00a4,0x90dd0040,0x8b8200e6}},	//   _esivilai, _comissar, _בשלבי_, _团市委领导讲话_, 
   {{0x77700344,0xa2bb04cf,0x2cb1001c,0x52900251}},	//   _akuversi, _ebudeni_, _güssing_, _ilkaha_, 
   {{0xed080024,0x426d02ff,0x1c58047d,0xbaee02c5}},	//   _বাহিনীৰ_, _assou_, _butték_, _avhundut, 
   {{0xe292035d,0xe9ca01b2,0x11380037,0x236901da}},	//   _desava_, _safflowe, _አንፃራዊ_, _penguar_, 
   {{0x7379030f,0x78610057,0x7ec70350,0x00000000}},	//   _matamua_, _ditadbir_, _እስኪጠናቀቅ_, --, 
   {{0x3ea7000a,0xfebd0486,0x00000000,0x00000000}},	//   _imaluunn, _कृष्णदास, --, --, 
   {{0xa3c802ae,0x25290220,0x2c740040,0xe2d80212}},	// [ce10] _zatvor_, _politich, _reduces_, _senex_, 
   {{0x2c7d0076,0x13ee01d5,0x8b590177,0xc06c0183}},	//   _последна, _brutális_, _chololó_, _hanajano, 
   {{0xebc801eb,0x92ca041c,0x37c20043,0x5dc20198}},	//   _agaitéra, _amadi_, _akusingi, _vrtičkar, 
   {{0xe62701fe,0xdfbc004d,0x7b2203a2,0x23f400e1}},	//   _filisiti, _宜蘭縣立羅東國中, _घुंघराले_, _lottam_, 
   {{0x1d70008d,0xbfa300b5,0x42900119,0xd3550092}},	//   _асарлар_, _derensor_, _buhawi_, _klodsmaj, 
   {{0x505d0198,0x0a1502cb,0xfb250037,0x0a0e0320}},	//   _kotiček_, _ostalima_, _ጋዜጣዎች_, _macanhoe, 
   {{0x3aa9012a,0x43d30092,0xc731034c,0xe95f020e}},	//   _भागलपुर_, _超音波振動子_, _yaroslav, _connenct, 
   {{0xb5330244,0x36270399,0xf2f30102,0x529a002f}},	//   _доклада_, _kilisiti, _mawingu_, _chapatay_, 
   {{0x52e100e7,0xa35b01ad,0x756f048c,0x00000000}},	//   _akotaday_, _manguna_, _bondiagh, --, 
   {{0x8712007e,0x5b8000e6,0x6ade01a7,0x00000000}},	//   _उत्तमप्र, _直接到商标注册大, _лампу_, --, 
   {{0x3e09018d,0xdabd0477,0x57120211,0xe72d0397}},	//   _ንህግድፍ_, _benjolan_, _перевест, _босалиқа, 
   {{0x58f70326,0x3c7301ff,0x636e00d2,0xd316023d}},	//   _achamutu, _poistka_, _cingcau_, _calze_, 
   {{0x76ca0126,0x0e1d007e,0x88ae016f,0xbab00176}},	//   _звучить_, _atighora, _дмитра_, _folkeafs, 
   {{0x0c62020a,0x4ffe016f,0x02ca02ea,0xf13b00c1}},	//   _اماناتى_, _подорожн, _inclusi_, _धाकट्या_, 
   {{0x36a5019b,0x580502a4,0x7c5800ca,0x00000000}},	//   _складаны, _hispanos_, _arrasèro, --, 
   {{0x7c610184,0xcfaf00c5,0x7a0e016e,0x73480311}},	//   _mitumba_, _请及时与我们联系_, _bulabile, _ተዓዚቦም_, 
   {{0x5e36040c,0x825a00f1,0x63a8055d,0x58c001da}},	// [ce20] _stravova, _itiliz_, _belalang_, _ekzekutu, 
   {{0xef1100c9,0xdb1c047c,0x7e1b04a4,0x00000000}},	//   _vietjeta, _straumen_, _longarta, --, 
   {{0xdcb60386,0x37f90219,0x02f603d8,0x00000000}},	//   _menyelur, _esiphetf, _uživao_, --, 
   {{0x12fa00ab,0x82260257,0x4e4e004a,0xc1f40462}},	//   _anahera_, _verkum_, _bimazala, _avagesay_, 
   {{0xca73002f,0xde43018b,0xa2da033a,0xce3e0153}},	//   _ajnanata_, _chisinau_, _aspett_, _はじめの一歩_, 
   {{0x634b01e7,0x10e30354,0x703b0192,0xfeb30264}},	//   _gelenkt_, _флотиниң_, _hogescho, _ginsumat_, 
   {{0xd84301b4,0x316100aa,0x1aae0290,0x00000000}},	//   _stormers_, _hydrotho, _clavadet, --, 
   {{0x41880060,0x131c0176,0x702900d9,0x024d028a}},	//   _ءوزىڭىز_, _klubber_, _распозна, _waimbaji_, 
   {{0x381c00a4,0x9d4a012c,0x2e380039,0xc3a80057}},	//   _россияны, _جسونت_, _esparrua, _peladang_, 
   {{0xbf2b016e,0x02490275,0x00000000,0x00000000}},	//   _kurtulma, _meamea_, --, --, 
   {{0x0257019f,0xf26c01cd,0x5c180185,0x8e6402a9}},	//   _لاتعلق_, _nanoma_, _кислотас, _фукуяма_, 
   {{0xe5a2012b,0x953a006c,0x435b016b,0xfa670211}},	//   _बरसते_, _abaniniy, _ganguna_, _младенце, 
   {{0xfafc011b,0x75c50299,0x00000000,0x00000000}},	//   _angengis, _بىئەمرىل, --, --, 
   {{0x03870025,0x409e017d,0xd2a20034,0xdeda0060}},	//   _putro_, _ポイント獲得_, _berjast_, _اراپسىڭ_, 
   {{0xf35b0362,0x1e250041,0x0349000c,0xa257013f}},	//   _banguna_, _изтәу_, _медоеви_, _bortugal, 
   {{0x831c01e8,0x9e53038b,0xd0be025b,0xd90c00a5}},	//   _blubber_, _barangka, _kommunul, _fakamanu, 
   {{0xcea501e6,0xf27b0035,0xd4190177,0xc30c01ad}},	// [ce30] _grilovan, _avstriä_, _унхарц_, _malapos_, 
   {{0x02d80418,0x3bcc0061,0x0c1c0229,0xc3d9026a}},	//   _nefes_, _봉사활동을_, _meyarlar, _vagunuvi_, 
   {{0x1fb1016d,0x726c0199,0x9a0e0240,0x00000000}},	//   _ﺋﺎﺭﺗﯘﻕ_, _upcom_, _gacagaca_, --, 
   {{0x53940113,0x8651022b,0x8f910017,0xc2c7018f}},	//   _leisce_, _avrikið_, _kojenců_, _ngemdaq_, 
   {{0x2bf001d5,0x076d0012,0x938700a7,0x46b40077}},	//   _konyhába, _भुझतरुये_, _cutre_, _omoseksy, 
   {{0x52a20075,0x00000000,0x00000000,0x00000000}},	//   _berjist_, --, --, --, 
   {{0x1e4f042b,0x6d4f041d,0xf3480109,0x32b3033e}},	//   _stranice_, _stranicu_, _komedii_, _baldío_, 
   {{0xba8802ac,0xd27e03a4,0x62360243,0xd3650207}},	//   _كورنيش_, _sakni_, _lagdissi_, _kingono_, 
   {{0xf3790262,0x436f0122,0x615c022f,0x6eca01db}},	//   _hatarda_, _minggat_, _rankinė_, _وكىلدەرى_, 
   {{0x02360193,0x38f70326,0xa52700af,0x2f54017a}},	//   _namja_, _achakutu, _селян_, _akusiphe_, 
   {{0x738703af,0x63940144,0xbb6700ae,0x4c02027b}},	//   _autre_, _meisce_, _birurira_, _bakulā_, 
   {{0x1b74022d,0x497d0281,0x9c760400,0x23a3000b}},	//   _amarezza_, _aggiunne, _avaremi_, _vaapuu_, 
   {{0x32ca02ab,0x42ca0077,0xdb6200b6,0x86ed00a8}},	//   _nmadu_, _bandjo_, _sulteena_, _barclami, 
   {{0xce550197,0x54ea03b8,0xe9c90371,0xc2d80269}},	//   _sekretè_, _винокуро, _assoluta_, _jefes_, 
   {{0xc2da0396,0x42560486,0x00000000,0x00000000}},	//   _espert_, _साकेला_, --, --, 
   {{0x05780213,0xa9da0008,0x83940415,0x7908013c}},	//   _награжде, _castelld, _heisst_, _hesabatd, 
   {{0xc24801a4,0x0edb046d,0x52c5012b,0x337c00a7}},	// [ce40] _naomie_, _mashelen, _zielone_, _vilaweb_, 
   {{0xa290058b,0xf0b701e7,0xbb1b003b,0x00000000}},	//   _kuhati_, _ausmécht_, _ihlangab, --, 
   {{0xecae010b,0xdc440090,0xf35e0388,0x8a1002ea}},	//   _antshang_, _akawana_, _confini_, _minaccia_, 
   {{0xf20601fe,0xe58201f1,0xd88302d4,0x2051000a}},	//   _cakitaki_, _kundersh, _demissiu, _ammukarn, 
   {{0xc49c035b,0xb0930024,0xd7d001e1,0xa2d90009}},	//   _poročilo_, _ৰাহুল_, _dipsychi, _pevec_, 
   {{0x42d90165,0x885300c5,0xe2ee00a3,0x0c6401f3}},	//   _levea_, _relancer_, _geofag_, _povinnýc, 
   {{0x941d0217,0x315b00e7,0x360b02fc,0xf21c02e2}},	//   _apparato_, _agoonlay_, _amamashi, _bithag_, 
   {{0xcd770281,0x0c760130,0x460700b9,0x73f8005b}},	//   _sammisat_, _argripi_, _आळंदी_, _fukuta_, 
   {{0x34860126,0x899001c5,0x02a600c4,0x8d4a0213}},	//   _партію_, _manhajka_, _چاقوءَ_, _гиперсфе, 
   {{0x0eb3003b,0x999300f5,0x00000000,0x00000000}},	//   _tivermos_, _serkerde, --, --, 
   {{0xf34702e3,0x3b1b02b4,0x92d9001d,0x4b19011e}},	//   _onmedia_, _ahlangab, _adver_, _vokasyon_, 
   {{0xe285003e,0x5a7601d9,0xcda7004e,0x2da800be}},	//   _bophelo_, _auszefue, _kaliwata, _toxicita, 
   {{0xa1970177,0x9f6900de,0x5aee036e,0x00000000}},	//   _angapyhy_, _anibuzan, _hinduwis, --, 
   {{0xb47c0174,0xb9ea0088,0xedc40344,0x03940101}},	//   _ditetelo_, _саналган, _annillia, _afisat_, 
   {{0xc4d60025,0x29400061,0x320201f4,0x427103e0}},	//   _मानिनी_, _몰래카메라의_, _ixtiro_, _fierschl, 
   {{0x612a018d,0x4c290277,0xff0b016e,0x2b710337}},	//   _ሸበድበድ_, _canaberr, _yasaları, _raporlar, 
   {{0x3c120169,0x00000000,0x00000000,0x00000000}},	// [ce50] _বিশ্বপ্র, --, --, --, 
   {{0x732904da,0xc2d40527,0xf20601fe,0xff4400df}},	//   _provesti_, _izborna_, _sakitaki_, _existait_, 
   {{0x86470360,0xead70217,0x3e010227,0xdc0c00d8}},	//   _झन्डै_, _baptisat, _kegelisa, _amagestr, 
   {{0x9b8c00d1,0xad82017d,0x76f300e6,0xf2fd017d}},	//   _ললিতা_, _kunderne_, _先进性教育活动简, _amager_, 
   {{0x703b033c,0x430d00d6,0x6afc04b3,0xc94c00ba}},	//   _anfertho, _cacamas_, _bakounin_, _ستامپا_, 
   {{0x57f90125,0x1c340277,0xa2e6031a,0xacf60092}},	//   _четине_, _crucifer, _binnein_, _お気に入りの出題, 
   {{0x02fc02bc,0x62a6072a,0x14b1032c,0xfc7f0397}},	//   _bashong_, _csaba_, _allatakk, _akusibo_, 
   {{0x23860017,0xd69d02eb,0x6eb90037,0x617a0040}},	//   _pudry_, _христ_, _ለተጠቃሚው_, _unlikely_, 
   {{0xf28202fd,0xc3b90290,0x32c302ba,0x98d204f8}},	//   _cathadh_, _ordvart_, _akulona_, _profound, 
   {{0xd2d303d5,0x00000000,0x00000000,0x00000000}},	//   _aanoagh_, --, --, --, 
   {{0x82910720,0xb368000e,0xaa060436,0x00000000}},	//   _projeke_, _venghas_, _ljubimet, --, 
   {{0xb5ca0044,0x4274023c,0x98d4001a,0x027f00a0}},	//   _הכחולה_, _amasekel, _بناءپر_, _bisne_, 
   {{0x42fc00c3,0x66380037,0x0ff10153,0x00000000}},	//   _faciant_, _የኦሞአዊ_, _本実施の形態にお, --, 
   {{0xa2d8013f,0xf764014d,0x386802ac,0x99a50109}},	//   _menez_, _beliebig, _بيتيس_, _सानैदेखि_, 
   {{0x930c01ad,0xedcd0277,0x93860378,0x00000000}},	//   _calagos_, _hunhunaa, _akkra_, --, 
   {{0xcb7d001d,0xf2000145,0x4b8201b7,0x195f00f2}},	//   _todoterr, _ilgis_, _बाढम्_, _ekspedīc, 
   {{0x1290038a,0xd295005b,0xca2d0444,0x83060189}},	// [ce60] _alkala_, _kawashim, _кондрать, _bakarak_, 
   {{0x32d906ea,0xc29202dd,0xd2d80107,0x73f8015e}},	//   _sevei_, _stramb_, _afnei_, _begur_, 
   {{0x5d620094,0x1c5d0371,0x226c0176,0x57ee0183}},	//   _ادامي_, _postato_, _sanoka_, _farafang, 
   {{0xc2d80473,0x12fd0176,0x93fa0176,0x888701db}},	//   _offen_, _smager_, _aktuel_, _хиджап_, 
   {{0xdf0e024f,0xfc150365,0x419a0213,0x72d802ff}},	//   _hutchins_, _संक्रान्, _издревле_, _jenez_, 
   {{0x92d9018b,0x926d0244,0x48750326,0x36250156}},	//   _printre_, _savona_, _anongomu, _רודףן_, 
   {{0xc2060165,0xa86b00a6,0x00000000,0x00000000}},	//   _rakiraki_, _dawnlowd, --, --, 
   {{0x71f9007a,0xfee9028d,0x67a9001a,0x42000265}},	//   _hurairah_, _fonksion, _مقبرہ_, _gooit_, 
   {{0xcea50126,0x4ae10121,0xa26d02ea,0x3518008e}},	//   _sittende_, _referirs, _favola_, _kungéel_, 
   {{0x759a023e,0xe887019e,0xec6203a4,0x00000000}},	//   _پرسمان_, _šokolada, _herurin_, --, 
   {{0x92870219,0xe387005b,0x268200cb,0x228c0226}},	//   _avikele_, _lutra_, _abavumay, _atakula_, 
   {{0xc26d0013,0xed090092,0x9bfa02ef,0xa1c401d4}},	//   _havola_, _通帳への表示_, _anivčsč_, _scambiam, 
   {{0xb2b102e7,0x5d8c002e,0x2112032d,0x62ba00e5}},	//   _kandila_, _počnu_, _ынтылышы, _преостан, 
   {{0xca2b03a8,0x39df0087,0x00000000,0x00000000}},	//   _খিচিৰি_, _kunguhat, --, --, 
   {{0x33870338,0x02ba0054,0x249905b7,0x430000e4}},	//   _autra_, _dandali_, _livanjsk, _kanapki_, 
   {{0x56d6023c,0x526c00a5,0x27a900bb,0xcb9904df}},	//   _دالمان_, _kokogu_, _آکٹوپس_, _berersiň_, 
   {{0xd1e70148,0x735e02fe,0x32c6024a,0x337a0066}},	// [ce70] _推薦此部落格_, _abafaki_, _nsalaye_, _ahtaren_, 
   {{0x22900082,0x09d70144,0x72e80086,0x129e0244}},	//   _alkama_, _chetwynd, _indián_, _тиган_, 
   {{0xd0700132,0x5d5a0145,0xbb5303a4,0xc35b0119}},	//   _hivatalo, _колер_, _bardagan_, _kangina_, 
   {{0x2373000e,0x3888033e,0x4e32073e,0xaaf800ef}},	//   _lemaire_, _аграждан, _sangatla, _abasebat, 
   {{0xa93b018d,0xe35b0403,0x470a0163,0x9a0f03fb}},	//   _ዝከኣሎም_, _mangina_, _tejtermé, _lutalica_, 
   {{0xc42c0255,0x32d80222,0x2ee9018b,0x22b60478}},	//   _मेंबर_, _venez_, _priveste_, _cercat_, 
   {{0x29c70147,0xf11d0244,0x514704ae,0xa28502a2}},	//   _بئزاشقان, _мавзолея_, _казина_, _angking_, 
   {{0x6a050035,0x1a0101c0,0xdbe300dd,0x09880061}},	//   _bayıtu_, _bambamta_, _deheubar, _국제연대위원회_, 
   {{0x1bd0034a,0x43870198,0x0325002b,0x5a0f032c}},	//   _compañei, _jutri_, _কাকরাইেল_, _angalale, 
   {{0xd4b500c7,0x02bb0118,0x330c00ad,0xc8100153}},	//   _алмасын_, _abudoni_, _pakakas_, _テキストボックス, 
   {{0x22a60234,0xfc07003d,0xe2900258,0xc5f10299}},	//   _asabo_, _engraiss, _opnaam_, _ئاقچىسى_, 
   {{0x690900c7,0xfc5700d9,0x4af70128,0x940e0153}},	//   _темага_, _интересы_, _камдан_, _乗り換えと道順を, 
   {{0x77e300cb,0x06d70109,0x12cb004d,0xd58a0222}},	//   _кобили_, _छाडिए_, _三代吉金文存釋文_, _optimisé, 
   {{0x3f260192,0x334d04df,0x6fed014e,0x3f8c010d}},	//   _생활의지혜_, _ahmedik_, _изради_, _मस्कत_, 
   {{0x8723045e,0xd84e00dd,0x7f7e0059,0x92b00161}},	//   _пистолет_, _cheltaid, _комисион, _sipilä_, 
   {{0x367002bb,0x46a401d4,0xaa72016d,0x146a037b}},	//   _परिचर्चा_, _trifogli, _әйлисә_, _generado_, 
   {{0x53690034,0x535f040e,0xeae602f3,0x36c4005d}},	// [ce80] _tengdar_, _songane_, _sektione, _consulsh, 
   {{0x4f6e00ff,0x226102e4,0x91420040,0xeb360037}},	//   _שווייס_, _akkordji_, _מיליונים_, _ናቡከደነጾር_, 
   {{0x5dd106ef,0x1a1003de,0x03ad0212,0x92d90163}},	//   _bakhylla, _ukuphend, _mypathtv_, _nevet_, 
   {{0x47bb0274,0xd3a201e8,0x2af50311,0x1ea101af}},	//   _ágreinin, _kaipod_, _ንውልቀመላኺ_, _birugsat_, 
   {{0x42010227,0x6587025b,0x6cac0092,0x68420212}},	//   _begini_, _landsroy, _携帯でチェック_, _quotiens_, 
   {{0x22c905a4,0x786f0025,0x66dc01ab,0xdeba0192}},	//   _nakonec_, _परिवर्जय, _लिखिह_, _overname_, 
   {{0x098100bc,0x6c5b0151,0x02f10017,0x776c0125}},	//   _چراکه_, _disused_, _अग्रज_, _карысыда_, 
   {{0x85420188,0x527f0611,0x5d4d00e6,0xd79c0061}},	//   _амонатбо, _kisna_, _房地产开发_, _관리책임자_, 
   {{0x82d80222,0xcd290125,0xc3650049,0xd3f403a4}},	//   _effet_, _ислән_, _hingano_, _fittum_, 
   {{0xf7a9023e,0xb90f00fb,0x727f02ec,0xd28d01ac}},	//   _دوستان_, _angamalu, _misna_, _baghcat_, 
   {{0x09d00040,0x627f0378,0x89410409,0xd2840403}},	//   _מצטרפת_, _lisna_, _angriber_, _areheto_, 
   {{0xf2b5003f,0xb32006f4,0xc2e304cf,0xf3f4025e}},	//   _cracow_, _milye_, _banikwe_, _hittum_, 
   {{0x1c5902d4,0x6e44034e,0x78dd01b8,0x32d90437}},	//   _pretsch_, _charanku_, _impeeriu, _hevet_, 
   {{0x80d3014e,0x39ee0039,0x66a901cd,0x0f250072}},	//   _гласи_, _dirulagu, _тақаллуб, _ratukipa, 
   {{0x72da0259,0xc3bc015e,0xa23b0132,0x23bb020f}},	//   _esports_, _الىنى_, _rájuk_, _دسوال_, 
   {{0xdc3c0397,0xf7e60109,0x861b00bc,0x5290028a}},	//   _ababenoc, _टिपरको_, _پرستاره_, _likawa_, 
   {{0x82d90076,0xcc6902b1,0x83d80153,0x717d0376}},	// [ce90] _devem_, _sauraro_, _出口病院レディ_, _altartal, 
   {{0x7c1d005c,0xd288024c,0x72d9012d,0xe27f019a}},	//   _intangar, _alkalini_, _tevel_, _disna_, 
   {{0x9341046d,0x405a01a3,0x1df4002b,0x00000000}},	//   _tatedza_, _ٽيمپريچر_, _কাউছার_, --, 
   {{0x22d90198,0x428f013a,0x94d50158,0x0c1f014a}},	//   _nevem_, _rockhal_, _दाहिनी_, _roppant_, 
   {{0x29ee0129,0xa2fc0168,0x126c0687,0x6358035b}},	//   _gabigara_, _pasient_, _inkovu_, _drugace_, 
   {{0xf26d0085,0x6f1a033e,0xd31600e4,0x295201cd}},	//   _davoca_, _карпентн, _wadze_, _аниқи_, 
   {{0x67a501fb,0xde5a0012,0x66c900f5,0x826d0499}},	//   _adressav, _गद्गदा_, _цитатаңы, _magoto_, 
   {{0x26800211,0x8e37003f,0xf27b0362,0xb347019e}},	//   _tekemisi, _jidachta, _endimeli_, _бломберг, 
   {{0x9f030193,0xf55402fe,0x9b27034c,0x7f3c0148}},	//   _निर्मिती_, _akukhath, _аңлатула, _annuntia, 
   {{0x328b0339,0xc202039a,0x627f0507,0x00000000}},	//   _kiwikā_, _pipiku_, _disni_, --, 
   {{0x2a460139,0x3b1c012f,0x2348018b,0x727f05ac}},	//   _devendra_, _erbarmen_, _domenii_, _eisni_, 
   {{0x5201010d,0x83990144,0xc290044a,0x30b0001a}},	//   _segini_, _fásra_, _lokaka_, _filmtabl, 
   {{0x62d90130,0x355402fe,0x6c240227,0xb25b00a3}},	//   _sevel_, _ekukhath, _menafsir, _smelta_, 
   {{0xfdc50065,0xcc6d0052,0xd5b80178,0xc3210362}},	//   _verkauft_, _chrudim_, _asannikṛ, _kotya_, 
   {{0x62b4027d,0x02c5018b,0x9c5800ee,0x00000000}},	//   _ivice_, _bebelusi_, _puntuak_, --, 
   {{0x90630177,0x02d801d1,0xfa8701d9,0xa67a00ec}},	//   _воронов_, _offer_, _yannicon_, _nagrinėj, 
   {{0xefc700c5,0x126d041b,0x00000000,0x00000000}},	// [cea0] _注册香港公司_, _ranibari_, --, --, 
   {{0xa28e006e,0xa67e0162,0x8b9a0159,0xf373049d}},	//   _miskiin_, _өзбекист, _валдайск, _falante_, 
   {{0xdc1e0008,0xb9fe018e,0x968d0179,0xb9f2034f}},	//   _comptes_, _ankhensa_, _dagebagi, _سمدلاسه_, 
   {{0x293b009a,0xb27b01a4,0x837b003c,0x3c3a033a}},	//   _abamanye, _andimeli_, _andamel_, _carpoles, 
   {{0xb3f803b2,0x3e3900e7,0x4b59023c,0xdae50166}},	//   _recogniz, _ammargra, _bakukuva_, _athleten_, 
   {{0x1224045b,0x3c8303d1,0x08fe03be,0x00000000}},	//   _funket_, _gredzenu_, _tutarond, --, 
   {{0x1c6902d3,0x1c1400e9,0x9b030326,0x6e4d013b}},	//   _correio_, _okoumans, _asisatee, _kabatona, 
   {{0x646902d3,0xe2d901b9,0x0c6f0322,0xb5130061}},	//   _драстичн, _levek_, _akurira_, _스포츠시설_, 
   {{0xb61501ea,0xb29001b5,0x00000000,0x00000000}},	//   _руминия_, _kokaka_, --, --, 
   {{0x02d9012e,0x967a0177,0xf2ca019b,0xb76e019d}},	//   _nevek_, _ырмариан, _veidui_, _kughanag, 
   {{0x22d8047d,0xad4600bb,0x57fb0008,0x00000000}},	//   _affer_, _فرٹیلائز, _жчксынын_, --, 
   {{0x56ef03e6,0xff650243,0x729104fb,0x00000000}},	//   _annuléie, _qarabiin, _tocaba_, --, 
   {{0xe95f0071,0x8fa8004d,0x33210258,0xd954017c}},	//   _ویشکا_, _個人管理畫面_, _motyf_, _hjullast, 
   {{0xf86e03dc,0x851e0192,0x470700f5,0x72d9012d}},	//   _innihald, _수령일로부터_, _махласы_, _sevem_, 
   {{0xd3500261,0x184b0210,0x1dae037b,0xf0ed01d4}},	//   _trafiko_, _anomushu, _claridad_, _assignal, 
   {{0x4c6e0461,0xd437030b,0x9dfb01f1,0xf2d801b4}},	//   _iberica_, _abokubak, _studimit_, _effek_, 
   {{0x08dd053f,0x3e4e0035,0xed95036f,0x5b570060}},	// [ceb0] _bloggeru, _тауда_, _učenike_, _بىيىگىنە_, 
   {{0xd3940265,0x82fd00a7,0xe30d00ad,0x005700a6}},	//   _meisje_, _lacions_, _sakadar_, _ayisazan, 
   {{0x31e30192,0xe39400ce,0x19da002b,0x00000000}},	//   _입금확인후_, _ofisye_, _ব্লুটুথ_, --, 
   {{0xa2fd00ca,0xb249011b,0x3e570071,0xf1ae0147}},	//   _nacions_, _alembi_, _تراشه_, _بۅۅلۉ_, 
   {{0xd8660071,0xd5d30046,0xdb870237,0x00000000}},	//   _مدلسازی_, _болдубу_, _라스베가스에_, --, 
   {{0x82a2049a,0xf12a018d,0x435f027e,0xa3f90357}},	//   _grobljim, _ከተንብብ_, _обратила_, _kucuva_, 
   {{0x5d07011e,0x3c8d0205,0x94470052,0x35a80365}},	//   _anglaise_, _корейсла, _प्लास्मो, _माथवरसिं, 
   {{0x26e700be,0xf24901a4,0x00000000,0x00000000}},	//   _بۇتۇبۇز_, _elembi_, --, --, 
   {{0x7290046d,0x5c670040,0x91e90014,0x55e30211}},	//   _nthani_, _storing_, _raportim, _inkiväär, 
   {{0x820101b9,0x3f2d01e9,0xb2fc005b,0x6d9a004c}},	//   _alwil_, _bahumaga, _cashing_, _abatuufu_, 
   {{0x326d0295,0x6780047b,0x9c240227,0x2348005b}},	//   _hafoka_, _spakulig, _penafsir, _hideaki_, 
   {{0x0bdc0276,0xa2900227,0x00000000,0x00000000}},	//   _باشقىدىن_, _dikata_, --, --, 
   {{0xa3f40352,0x326e005b,0x12300178,0x270801f3}},	//   _kysten_, _hiromi_, _bālike_, _odstupné, 
   {{0x220000a1,0x964701ec,0x78c4004d,0xfcff00b4}},	//   _inoia_, _باتجربه_, _供電價目表_, _mostenir, 
   {{0xfd9701e6,0xfba4036d,0x4cbc00ec,0x5fa9016f}},	//   _autobaza, _fraingic, _mašiną_, _приносят, 
   {{0xc3400176,0xc8cd0035,0x00000000,0x00000000}},	//   _demekin_, _ичмасам_, --, --, 
   {{0xbc1e0064,0x837900b9,0x3a700082,0x76d1010f}},	// [cec0] _compres_, _gugatan_, _annabawa_, _amabhayi, 
   {{0x33330107,0x235b0116,0x326e0343,0xf395022e}},	//   _bedané_, _gangsna_, _kavoip_, _beazley_, 
   {{0xff7301b6,0x8d890203,0x915c0159,0x636501fd}},	//   _بدمشق_, _pamflete_, _муках_, _ninguno_, 
   {{0x99390289,0x93160087,0x637f039a,0xbcf50224}},	//   _adamanga_, _gadza_, _sukanya_, _brottfar, 
   {{0x327f03c2,0x3b72023b,0x307d01cd,0x855f0568}},	//   _avenge_, _bitumena_, _хайси_, _hesjedal_, 
   {{0xbe28001e,0xb5260040,0x3d5d003c,0x76a8003e}},	//   _kwaminis_, _איסוזו_, _آقاجانی_, _видеокүр, 
   {{0x8853026f,0xc90f0361,0x26f20193,0xd41901bb}},	//   _ءمۇسىن_, _учредите, _कर्मचार्_, _жезасы_, 
   {{0x6b810240,0x11b00291,0x2248009b,0x00000000}},	//   _bainimar, _ونزلت_, _filmak_, --, 
   {{0x1aed0400,0x32b60086,0x3aaf0233,0x78d60282}},	//   _attualit, _percet_, _flexione, _moremonu, 
   {{0x127f02f0,0xec29021f,0x00000000,0x00000000}},	//   _awente_, _banamerr, --, --, 
   {{0x1b190175,0x0e1f00d1,0xb5c303f2,0xc2fc008b}},	//   _lokazyon_, _শিৱিৰলৈ_, _борется_, _masiinu_, 
   {{0x7af60119,0x16c60040,0xea720275,0x4e9c00f3}},	//   _deperens, _אייסמן_, _matareva_, _ngemilin, 
   {{0x583a02a9,0xdbb70038,0x60430326,0x00000000}},	//   _laisvės_, _балкып_, _hamukwan, --, 
   {{0xe8ea05b7,0xd9570461,0x4f5c0515,0xc1ab0294}},	//   _stupnjev, _exprimir_, _incantan, _chimputi_, 
   {{0x27ad0271,0x427f018c,0xb28d0465,0x817602f6}},	//   _ødelegge, _twente_, _stikalo_, _hinahadl, 
   {{0x53a80227,0xa9e40360,0xa2480157,0x0c7401b5}},	//   _belakang_, _इक्वेटोर, _filmik_, _masungu_, 
   {{0xaa58033e,0xd53200a2,0xd2250163,0xec5b01ba}},	// [ced0] _creencia_, _رٽائرڊ_, _alakul_, _institi_, 
   {{0x0fe9027b,0xfa820059,0x7a070209,0xf0450152}},	//   _वासांसि_, _сърдечно_, _cigaritt, _gorurlan, 
   {{0x82910064,0x7290015f,0xf6200061,0x0d16013f}},	//   _encara_, _amdano_, _트레이닝복_, _eveljust_, 
   {{0x54120188,0x32360349,0x10ba0035,0xe2900320}},	//   _abanolak, _ailjay_, _bölgenle, _kokana_, 
   {{0xe29a017d,0x632700d8,0x1b6d004d,0xe6d10219}},	//   _symphony_, _atacant_, _戶政電子報_, _elibhayi, 
   {{0x620100bd,0x7290022a,0x09ef0148,0x92b6014a}},	//   _dowie_, _dokana_, _北大嶼山及機場_, _percre_, 
   {{0xe2070340,0xe49c035b,0x105701f2,0xceb60188}},	//   _takitahi_, _poročila_, _синипи_, _чистаме_, 
   {{0x441d01e0,0xb9460041,0xd718004d,0x7d50015e}},	//   _بازگه_, _диусер_, _長榮大學推廣教育, _ахлаксыз_, 
   {{0x8202036e,0x0ee9047d,0x004300c1,0xac6900e7}},	//   _adwiki_, _fonktion, _वस्तूंची_, _cfftway_, 
   {{0xd21d01ef,0x9d5a0234,0xc2d900b3,0x3ed9005c}},	//   _валун_, _básìtánì_, _aralary_, _araharen, 
   {{0x126e005b,0x814002e4,0x927f04b3,0x027f01b9}},	//   _hiroki_, _anguisso, _awenet_, _pwente_, 
   {{0x17b800dc,0x52900303,0xe51c017e,0x5f3c0456}},	//   _amatagof, _bokana_, _komunejo_, _hairanla, 
   {{0xb31d013a,0x694e004f,0x23860363,0x03d000c5}},	//   _flecken_, _baarbaar_, _utdrag_, _项捐赠全额扣税_, 
   {{0x7c310479,0xe4290041,0x720003d5,0x00000000}},	//   _induló_, _рыҽҭарыг, _broigh_, --, 
   {{0x224802e3,0x830e0788,0x26260612,0xf6eb01c5}},	//   _btnmt_, _sudbina_, _papiravi, _qulqulay, 
   {{0xcc6f00cd,0xbf8302a5,0x6b6e0265,0xb27300fb}},	//   _emprema_, _kreditů_, _chronisc, _elisekel, 
   {{0x358b02d3,0xe5d10129,0xc39401b4,0xa3a601cd}},	// [cee0] _достигну, _amachagh, _meisie_, _мукаддас, 
   {{0x9398004a,0x54b402fc,0xcc630281,0xf0640061}},	//   _малайлар, _kubandik, _aastrup_, _통신비밀보호법_, 
   {{0xad9b01b8,0x890c013c,0xc15b003c,0xfe9b000d}},	//   _korterid_, _kataloqd, _یساری_, _korterit_, 
   {{0x2b910382,0x8f3c017a,0x3e000208,0x9f4b00e6}},	//   _ayangulo_, _abaganen, _تێنوی_, _按照有关规定_, 
   {{0xce83016d,0x30ea0376,0xf92902eb,0x73aa010d}},	//   _ﺑﯘﻳﺎﻥ_, _brandbil, _дээжийг_, _ketapang_, 
   {{0x89d60044,0xd0400074,0x48d00148,0x739500b3}},	//   _מיסטיקה_, _valtakun, _muneribu, _bagshy_, 
   {{0xc2b6015e,0x0c7f0626,0x97ee0370,0xbd0006d5}},	//   _mercat_, _tabulky_, _baranang, _evaluere_, 
   {{0x90120178,0xdf340187,0x79b800e6,0xe9cc0060}},	//   _ananumān, _култна_, _etudiant, _مايلانىپ_, 
   {{0x9b260677,0xd9880166,0xbc8802b6,0xfcbb0486}},	//   _विद्यानं, _richtige, _الاقايلا_, _kamennýc, 
   {{0xa3f80103,0x215700fc,0xb280006a,0xe28e004a}},	//   _kukura_, _charghbo, _mariazy_, _berkön_, 
   {{0x0d090204,0x257f016b,0x8d4e0371,0x0cd30368}},	//   _конца_, _dazuzzuk, _папараци_, _логору_, 
   {{0x06c803a8,0x2e0d0251,0x7ad801ac,0xe2e900c5}},	//   _চুইডিশ্ব_, _kumeelga, _hormóin_, _donnait_, 
   {{0x5382005b,0x213e0229,0x72d80296,0x41b100d3}},	//   _nourishm, _vertolyo, _ugnen_, _inzertní_, 
   {{0xc2a60255,0xabd0077b,0xc346003d,0x4ae20109}},	//   _miljoni_, _compañer, _bardòu_, _žalované_, 
   {{0x6249024a,0x75a50139,0x00000000,0x00000000}},	//   _elemii_, _atroktam_, --, --, 
   {{0x729003d9,0x12540362,0xb238026a,0x95d50291}},	//   _tokana_, _babengam, _leimani_, _مختبرات_, 
   {{0xd2910119,0x46ed003a,0xf84a02dc,0x52480176}},	// [cef0] _alcala_, _barchami, _teatrais_, _gunma_, 
   {{0x13f801f1,0xa9830238,0x7c0b03f4,0xe85503cf}},	//   _bukura_, _народної_, _adoptio_, _okullard, 
   {{0x0c750193,0xcc7d0083,0x23f80256,0xb201005a}},	//   _seluler_, _missiva_, _cukura_, _dowij_, 
   {{0x125b0119,0x712002ac,0x0cd5004d,0xa83403a2}},	//   _imelda_, _آآآآآآآآ, _青川餘震致多人死, _बॉससुपरर, 
   {{0x62fe010b,0xa8070079,0x47090444,0x6935014a}},	//   _bethele_, _labdarīb, _налажива, _útmutató, 
   {{0xcb79019b,0xf3d500da,0xff790450,0x83ce0241}},	//   _легенды_, _импресий_, _cauceban, _diivii_, 
   {{0x8f5e015e,0x90690108,0xaa97010d,0x620000c7}},	//   _jugadors_, _camperen, _बहुमान_, _ilgiz_, 
   {{0xbdb70182,0x227f018e,0x0ec3068d,0x00000000}},	//   _kumulaau_, _makhwiri_, _barnedan, --, 
   {{0x523b02e4,0x1c6901a6,0x6a63005a,0x1e4d0378}},	//   _karmelu_, _hauraro_, _hastadaq_, _alfagurt_, 
   {{0xb224053f,0x826c0292,0x6fcf0155,0x16040378}},	//   _tunkat_, _wokonu_, _meningar_, _bíleggin, 
   {{0xbfb70102,0x9c52002b,0x3a640024,0xa4920376}},	//   _فرانسيسي_, _অরণ্য_, _কেইদিন_, _forsyrgj, 
   {{0x025b0252,0x824802a0,0x61480060,0x81cc0064}},	//   _elelwa_, _bunmi_, _تىيگىزەد, _жыпар_, 
   {{0x6ea00132,0xf4c200d1,0xc6290013,0x00000000}},	//   _magunkat_, _উত্তোলনৰ, _даргоҳла, --, 
   {{0xfddc00ba,0x7c510011,0xf69e0365,0x0930005b}},	//   _ملێون_, _asituka_, _दाहसंस्क, _fremvise, 
   {{0x4c550026,0x5f620395,0x68e803dc,0x920101ca}},	//   _besteed_, _terarijn, _grafisku, _rowij_, 
   {{0xc24801e5,0x83f80323,0x97570223,0xf2da033c}},	//   _funmi_, _kukupa_, _тэвэрсэн_, _dawelu_, 
   {{0xf20a00b3,0xf2910331,0x8c5c0296,0x4f230308}},	// [cf00] _премьерл, _skaale_, _dottern_, _menerban, 
   {{0x5cf401ac,0xcf6902fd,0xc2a7013a,0x01160299}},	//   _eastósct, _pambaran, _kueben_, _سىتۇدېنت, 
   {{0x52f005a7,0x65090372,0x0fb3004d,0x40650350}},	//   _skaidri_, _barodrwy, _究竟康復的療法_, _ሊቪንግስተን_, 
   {{0x4c9300bc,0xc2000033,0x3b0d053e,0x2c930064}},	//   _سالاد_, _ingio_, _toppidre, _سامات_, 
   {{0x373a0037,0xa6d70299,0x73cf0033,0x8c700396}},	//   _በባንኮች_, _ئۇچقۇنلى, _chavra_, _jinstab_, 
   {{0x09870544,0xc9560611,0x88f20281,0xbe47058f}},	//   _iwakalua_, _lekritir_, _anigorlu, _anualida, 
   {{0xd09e01db,0x8eb40148,0x7f2f0089,0xedb300ae}},	//   _اكسيوما_, _中國現代史專題篇_, _allahını, _kuzikuza, 
   {{0x7c1501a3,0x936604a4,0xb6390035,0x00000000}},	//   _سوچيائين_, _iargain_, _баганасы, --, 
   {{0x63d4037f,0xa3870429,0x8c240025,0x00000000}},	//   _quranı_, _ustre_, _dvijaśre, --, 
   {{0x0b7c012d,0x435d02a2,0x00000000,0x00000000}},	//   _mitupela_, _hangang_, --, --, 
   {{0x37ce0235,0x676b01ab,0x9248010d,0xadaa04c7}},	//   _badhirīk, _पेन्हले_, _sunmi_, _калинови, 
   {{0x023b010f,0x636f00d2,0x00000000,0x00000000}},	//   _abadingi_, _cingcat_, --, --, 
   {{0x324900fd,0xdb2202d4,0x0127018b,0x84880092}},	//   _agamsa_, _relaziun_, _dispoziţ, _おすすめ情報_, 
   {{0x8a270134,0x52000205,0xaf7d027b,0x00000000}},	//   _irinṣẹ́_, _engil_, _संस्कारः_, --, 
   {{0xbd2901ba,0x23f104ad,0xe755065e,0x19dd00e0}},	//   _antisipe_, _bobegang_, _barnevog, _dowestie, 
   {{0x165502eb,0xd26e021a,0x321d023e,0x823400a6}},	//   _автотээв, _biroof_, _anekseni_, _ayamene_, 
   {{0xb27e016f,0xd34b0061,0x04730146,0x50390110}},	// [cf10] _поводжен, _bedenkt_, _pertahan_, _cirkulāc, 
   {{0xd803004a,0xf32102c3,0xe26c004c,0x908b0061}},	//   _altmış_, _dotyk_, _abooro_, _재직증명서_, 
   {{0x95c50191,0xe2b501d2,0x1d1d023b,0xaae2017e}},	//   _södertäl, _apachi_, _poeleele_, _pentrist, 
   {{0x32910338,0x00000000,0x00000000,0x00000000}},	//   _vocala_, --, --, --, 
   {{0x8dc40265,0xe34a015e,0x00000000,0x00000000}},	//   _rechtsza, _quotidià_, --, --, 
   {{0xd2d9038f,0xf5c70392,0x3aea01c7,0xe2c800a4}},	//   _bevet_, _camarath, _tertiple, _accedeix_, 
   {{0x14170360,0xca1000de,0x6b18003b,0xf73702c4}},	//   _potravin_, _angabame, _bangasis, _сиријки_, 
   {{0xa3ff0621,0x9fcf0274,0xf2fc0338,0xe9c702c3}},	//   _poslanik, _peningar_, _aligar_, _makléra_, 
   {{0xa290019d,0xd2ed02bb,0x646303fb,0x2885019e}},	//   _ankada_, _स्वरूपों_, _studirao_, _атручван, 
   {{0x00000000,0x00000000,0x00000000,0x00000000}},	//   --, --, --, --, 
   {{0x72d801b7,0x75040148,0x1f4d03bf,0xc54a03c4}},	//   _agner_, _是大明咒是無上咒_, _baiphapa, _نىمانچە_, 
   {{0x88650205,0x22d90163,0xc3f30244,0x62ee00e1}},	//   _гумеров_, _heves_, _entrambi_, _doonadi_, 
   {{0xd2d802f9,0x51b101ff,0xcc22001b,0x00000000}},	//   _dejean_, _inzertný_, _hinqabu_, --, 
   {{0x438001db,0x220002e7,0xcc5a0005,0x92970067}},	//   _جىمىڭداپ_, _ligid_, _crutsch_, _harkisu_, 
   {{0x728a0111,0xc62800aa,0xf2d80396,0x97f500f2}},	//   _renversé_, _idyolohi, _dimech_, _nepabeig, 
   {{0x28890141,0xc24a0012,0xd47c00c8,0x3d8503b4}},	//   _даражада, _कुरेदत_, _ditefelo_, _ateerere_, 
   {{0xc20002e1,0x52fd0155,0x00000000,0x00000000}},	// [cf20] _anois_, _klagar_, --, --, 
   {{0x02010256,0x827e0184,0x47540281,0xf39500f2}},	//   _skaits_, _aronka_, _ajunaang, _krastu_, 
   {{0x6bb70386,0xd7ee02af,0x82d3038b,0x02880217}},	//   _menyeles, _barabang, _pastilah_, _vicariem, 
   {{0x9380031a,0xfc790076,0x22490090,0xd2d900cc}},	//   _thuras_, _некому_, _afamba_, _revet_, 
   {{0x46d40120,0xf2d80183,0x25020352,0x00450087}},	//   _aggattii, _nomeny_, _ঠায়ে_, _edoroben, 
   {{0x8a3e03c1,0x074e03cc,0x425a010a,0x2c1d048f}},	//   _шампиони_, _ফিনল্যান, _eebla_, _mitungis, 
   {{0x54d70360,0xc8750730,0xf67303dd,0x00000000}},	//   _त्रिएक_, _massevis_, _menduari, --, 
   {{0xfb1e017e,0xab43016d,0x537c02e0,0x29d002a3}},	//   _komprene, _гөрөгә_, _ditante_, _tevergee, 
   {{0x635d01b6,0x0fff00d3,0x09bd0094,0xa5b6028a}},	//   _ranging_, _ज्यानको_, _күресеті, _vitakavy, 
   {{0x0115041a,0x967200f5,0x825a01dc,0x9cfb0181}},	//   _власност, _мухаммет_, _aebli_, _natteliv_, 
   {{0xeca80092,0xd26d01b9,0x442a020e,0x65de0350}},	//   _お支払い方法_, _zavoka_, _kananelo_, _ሊታሰብበት_, 
   {{0xa464009e,0x4d850059,0xcec30376,0x268902b0}},	//   _acredito_, _адресите_, _barnadan, _bundesmi, 
   {{0x32d901bc,0xf2d80130,0x4380031a,0x00000000}},	//   _jever_, _europat_, _bhurns_, --, 
   {{0xd2d90194,0x33af0382,0xa30d0125,0xf142019e}},	//   _dever_, _alexkor_, _wakalar_, _страт_, 
   {{0x835d00c0,0x2c33018d,0x437c0194,0x338102fa}},	//   _tanging_, _ተወዳደርቲ_, _citante_, _abazamu_, 
   {{0x51bf017f,0x212d034c,0x3e4d02f6,0xe26e0157}},	//   _kommunem, _сатты_, _kayamana, _chroni_, 
   {{0x7b1e01f7,0x220001d4,0xe8e40061,0xd28504f8}},	// [cf30] _comprene, _gioie_, _클릭하십시오_, _choking_, 
   {{0x6f400026,0x1d860247,0xc2a60255,0xae3601cc}},	//   _인도네시아_, _سالمند_, _kombel_, _devadeva, 
   {{0xb7ee01d8,0x12900107,0x3c520065,0x6e5a01d7}},	//   _parabang, _adhang_, _filtern_, _preparau_, 
   {{0xd2d90064,0x227e0272,0x00000000,0x00000000}},	//   _seves_, _nsonga_, --, --, 
   {{0x92d9045f,0xd27e0285,0xf15b00bc,0xb6050128}},	//   _arbeta_, _isonga_, _اینستاگر, _муҳлат_, 
   {{0x4a6b01f0,0xe6610397,0x929200db,0x178e0297}},	//   _bagomots, _сайқал_, _moskvas_, _бармадым_, 
   {{0x8a070148,0xfc2402ac,0xc36e007f,0x798401b5}},	//   _getacode, _síníodh_, _gangiau_, _mativula_, 
   {{0xb25601f6,0x73f8005b,0x6290004f,0x2e320035}},	//   _মুদ্ৰা_, _fukuda_, _cokkaas_, _акада_, 
   {{0xf1780040,0xc34e069f,0x7c6502bc,0xa2fd025b}},	//   _בעיקרון_, _majetok_, _syntiat_, _plagar_, 
   {{0x53210500,0x60aa00be,0x17d50372,0x5a06032c}},	//   _totya_, _اعىتۇۇ_, _agosatrw, _allallut, 
   {{0x93e50298,0x127f001d,0x237102a2,0x6e5500bc}},	//   _manuhiri_, _evenit_, _tinawag_, _هواتو_, 
   {{0xf40d036b,0x4a7b03d5,0x338000f4,0x00000000}},	//   _опрема_, _indonees, _barrek_, --, 
   {{0xec9001e0,0x15450072,0xd2000204,0x121c003b}},	//   _تاریکه_, _chikanch, _nokian_, _asikhoni_, 
   {{0x566800be,0x53a00040,0x89100397,0x32e600e6}},	//   _زوونۇن_, _לצריבה_, _angayamu, _本主题回复_, 
   {{0xf2820014,0x2fee01be,0x0c670418,0xb852046f}},	//   _mekanizm, _ग्राभेल_, _editör_, _billerbu, 
   {{0x8e9d0126,0x026d0387,0x41bd00c7,0x8e5401b0}},	//   _фактично_, _gagoro_, _биттә_, _barangha, 
   {{0x79dc0497,0xe7b500c5,0xc26c0333,0x924e004d}},	// [cf40] _impeache, _ressorti, _alliassi_, _道路交通管理處罰, 
   {{0x615a017a,0xde68027e,0x709001aa,0x00000000}},	//   _amafayil, _магистар, _edicatio, --, 
   {{0xe9ee00ad,0x82b4056f,0xf76100d9,0xb5d6005b}},	//   _paribasa_, _koncom_, _значимос, _chachach, 
   {{0x3c460153,0xdb7203d4,0x388302e2,0x025a0054}},	//   _ご連絡いたします_, _атини_, _breimeyd, _jumlar_, 
   {{0x72d80288,0xf2d4025b,0x29b1000c,0x03ac0167}},	//   _homely_, _vanligu_, _disjocke, _corpws_, 
   {{0xe2ee0630,0x6c1f0417,0x00000000,0x00000000}},	//   _plofed_, _toppunt_, --, --, 
   {{0xf4650396,0x25580135,0x7662043f,0xa2cb0400}},	//   _osservaz, _radiosı_, _krajnjem_, _amadei_, 
   {{0x29dd05e6,0x23b0034c,0xf0eb00c1,0x54a10297}},	//   _hooggere, _banqı_, _merampok_, _formasın_, 
   {{0xed1e00f3,0x00000000,0x00000000,0x00000000}},	//   _ifanelwe_, --, --, --, 
   {{0x8ba8034c,0x0c8402c3,0xbcd300bf,0x29560077}},	//   _знатный_, _predsedu_, _золотую_, _dekonekt, 
   {{0x229000ea,0xce960122,0x36a70272,0x00000000}},	//   _mikasa_, _اردور_, _atugonzi, --, 
   {{0x7e560060,0x95850433,0x6d79026f,0x00000000}},	//   _салтын_, _hohenloh, _لەكەتىنە_, --, 
   {{0xc643048e,0x520a009a,0x5c560217,0x4ae10276}},	//   _bankruti, _abakwezi_, _vestite_, _исадий_, 
   {{0x62fe072c,0x4dd20089,0xe200019f,0x431502b6}},	//   _artigos_, _атала_, _ingia_, _ансамблі_, 
   {{0x22d80265,0x21f4047d,0x528e0183,0x0e0400f4}},	//   _comely_, _genéisse, _atakalo_, _ezlemonp, 
   {{0x631a007e,0xb44001b7,0xc2d80264,0x126e06be}},	//   _sahasā_, _aaśvina_, _agnew_, _kawowo_, 
   {{0x549703de,0x748b0037,0x0f3b00b2,0x22d90180}},	// [cf50] _engaphez, _እንገነዘባለን_, _banuudha, _revey_, 
   {{0x3fd6012c,0x426c011b,0x6d1e0307,0x7d3b02f3}},	//   _changamo, _allors_, _afanelwe_, _supportr, 
   {{0x72ea00c8,0x70540040,0x00000000,0x00000000}},	//   _boniril_, _האקסית_, --, --, 
   {{0x18820518,0x3c000212,0xa16c0475,0xfc0a019c}},	//   _عبدالشکو, _possent_, _загрузке_, _ipapoda_, 
   {{0xc1e70416,0x57ee01a6,0xf6c700a4,0x18790824}},	//   _infinitm, _tarahang, _igualadi, _regionsd, 
   {{0x222a0040,0x1024000d,0xc3200125,0x00000000}},	//   _לדמיין_, _suverepo, _bilya_, --, 
   {{0x9e54017d,0xedf5036f,0x930d00aa,0x229500e6}},	//   _sarangha, _dvadeset_, _falador_, _防止污染环境_, 
   {{0xc32000e4,0x63190388,0x72fc0073,0xa8940135}},	//   _vidya_, _достойно_, _eliger_, _ильсур_, 
   {{0x82fc046f,0xd30301d5,0x42900465,0xd2a202a0}},	//   _fliger_, _ablakot_, _solato_, _àfiwè_, 
   {{0x51a602ac,0x0c4a02bb,0x12900282,0x127e00c3}},	//   _معلقة_, _सदानीरा_, _mikara_, _sponsa_, 
   {{0xfc3a002b,0xaceb0184,0xcdd10281,0xd4f80350}},	//   _কিংকর্তব, _ntawubur, _ilikkaga, _የታችኛው_, 
   {{0x6de301a3,0xe287037f,0xccd20234,0x00000000}},	//   _لنگڙي_, _belkede_, _sopọ̀_, --, 
   {{0x52d800f3,0x15750126,0x8c6102fc,0xc201011b}},	//   _aphele_, _старовин, _abireze_, _lowis_, 
   {{0x653f04ae,0x00000000,0x00000000,0x00000000}},	//   _изиграва, --, --, --, 
   {{0x43790456,0xa3a30271,0x88fe0183,0x329100e7}},	//   _tugasan_, _neppe_, _ampahend, _anchray_, 
   {{0x0d8a0175,0x2904015a,0xb6020452,0x00000000}},	//   _sewerage_, _bilbiluu, _खुपदा_, --, 
   {{0x163b067f,0x55ee0164,0x9e5301db,0xa13c00df}},	// [cf60] _ministai, _һүсәйин_, _құзғын_, _souligné_, 
   {{0x561e0117,0x677301be,0x82900303,0x830e022c}},	//   _plentesi, _पदयात्रा, _dikara_, _bacacar_, 
   {{0xff410289,0x1c6202f6,0x130d009b,0xc7210009}},	//   _amasanga, _kerubin_, _badator_, _usklajev, 
   {{0x7d880125,0x23710179,0xaaf8017a,0x53160132}},	//   _жарнамас, _kusatif_, _abasubat, _okozza_, 
   {{0xde390241,0x559f022a,0xe200023d,0xe266008c}},	//   _araarasa, _leigedah, _gioia_, _parolini_, 
   {{0x37ab0037,0x004b0080,0xa74f007e,0xba3d00a7}},	//   _የማይረሳ_, _amerlinn, _कैलासवास, _رۋحىنا_, 
   {{0x62f6003f,0x3172016d,0xaf6900ea,0x60a202a9}},	//   _bangoyli_, _күрүлмәк, _nambaran, _kilimėli, 
   {{0x7291000e,0x4387012a,0x11a00095,0x1343010b}},	//   _bizarr_, _ostre_, _کارکتر_, _kgweebo_, 
   {{0xc2780145,0xee0d0163,0xe2fb001c,0x746e02ca}},	//   _kaunas_, _حیاتِ_, _bathala_, _lútanant_, 
   {{0x20630342,0xd63405c5,0x69c80405,0xa7cb0037}},	//   _redaksyo, _ग्रहीत_, _суверенн, _አለባበስ_, 
   {{0xec53053f,0x335600f7,0x17950148,0xaba50462}},	//   _kastata_, _aprezis_, _perterri, _atriotic, 
   {{0x22d9049b,0x5b0901c7,0x9d7d01ee,0x137c0241}},	//   _kubera_, _башламаг, _миграции_, _bitatee_, 
   {{0xce3d0162,0x728d00fe,0x2de70137,0x32d800f6}},	//   _نادانلىق_, _atikolo_, _загнах_, _maneə_, 
   {{0xdbb400d6,0xdb6e0037,0x7846037c,0x8faa0046}},	//   _ɱǟʂяƴ_, _ምንድናቸው_, _mortales_, _تارتۇۇلا, 
   {{0x4287016e,0xff3e029b,0x53f800e1,0x7d380311}},	//   _misiniz_, _apartama, _eggul_, _ብራዕድን_, 
   {{0x72000034,0xa2f5064c,0x00000000,0x00000000}},	//   _engin_, _visinom_, --, --, 
   {{0x5f49015c,0xc99401a1,0x69ef0119,0x8f5c00f4}},	// [cf70] _verstopp, _toekomst, _carigara_, _enkadenn, 
   {{0x730000ab,0xe38706bd,0x326400c7,0xc9f8048c}},	//   _manaaki_, _istre_, _barlaw_, _anvashte, 
   {{0xb2000227,0xba730223,0x438702b9,0x7c97011d}},	//   _ingin_, _bilaketa_, _رازداری_, _федералэ_, 
   {{0xd9d701f9,0x3d8501b7,0x8c730213,0x35000466}},	//   _akatsand, _तत्कथं_, _воинов_, _pokrenuo_, 
   {{0x09ec014e,0x926c0008,0xd396000d,0x018901b3}},	//   _sedišta_, _dolors_, _ilusam_, _формують_, 
   {{0x72fd0079,0x95f0000a,0xfd5a00af,0xe34d02cb}},	//   _opcijas_, _akimorsi, _колег_, _zaredom_, 
   {{0x12fb0593,0x7367025c,0x09fd01f9,0xcc6f0162}},	//   _tromsø_, _langsam_, _bakhonta_, _ядролуқ_, 
   {{0xeb050128,0x7a090256,0xfeb6014f,0xb2d90165}},	//   _албатта_, _nogalina_, _племенит, _tubera_, 
   {{0x38d901f1,0x495300c8,0xd2d801d0,0xad9002e0}},	//   _personav, _тының_, _egnet_, _bolesone_, 
   {{0x963900ac,0x9cbc0251,0x33560046,0x023c00e6}},	//   _prihvati, _dibadeed_, _desenes_, _大力发展乡镇企业_, 
   {{0x16bd02d5,0x2da6027b,0x6f4f004d,0x92580037}},	//   _पत्तर_, _anaiśvar, _行政院環境保護署_, _ይታወሣል_, 
   {{0x801e022f,0x337904ee,0xb91401fc,0x22dc02e4}},	//   _komentuo, _inranha_, _qumbudud, _ingotti_, 
   {{0x92910338,0x6a790013,0x628c0272,0x62d801f9}},	//   _locala_, _бирданиг, _agakoma_, _atjela_, 
   {{0x8fed014e,0xbb9101fc,0xd2a6001c,0xe17b0205}},	//   _изрази_, _akraaró_, _pombal_, _mahallal, 
   {{0xba7c021a,0x08f90206,0xc2ca0418,0xbdba004c}},	//   _bitootes, _jesenný_, _halleri_, _barikuba, 
   {{0x230c056e,0xa0440037,0x421301c5,0x21ca0223}},	//   _falamos_, _ተከናውነዋል_, _jaahil_, _kalterik_, 
   {{0x89840372,0x0fbb0128,0xb7ae0043,0x00000000}},	// [cf80] _freintie, _tangalar_, _batulagi, --, 
   {{0x92fd014a,0x66c500a6,0xf37f00ad,0x89f60127}},	//   _akciós_, _abashish, _jakaria_, _bikaroue, 
   {{0x73f403dc,0x49e300f5,0x6c5103b4,0x36a40313}},	//   _dystin_, _томаша_, _kuitika_, _lubustah, 
   {{0x92e3005b,0x0fa40166,0x12f0010e,0x5fc201a3}},	//   _magique_, _dezember_, _bibitaw_, _ڪانون_, 
   {{0xf3ea017e,0x303001ca,0xe2fd0614,0x49e7044a}},	//   _montri_, _daleghbo, _plager_, _bazotala_, 
   {{0xee2e0639,0x58740071,0x9da80119,0xb2fd0127}},	//   _bergamba, _آبنوس_, _hihirisa, _dipitet_, 
   {{0x3dd90278,0x330e0687,0xd17000c7,0xb2fd0219}},	//   _berkenaa, _amababa_, _artıgrak_, _bakhone_, 
   {{0x50cc012c,0x2b910041,0x5ac6005e,0x320004d4}},	//   _hirondel, _ареқтор_, _خاككېر_, _maniok_, 
   {{0xd3690034,0xef3c0338,0xe47c0007,0xd53c02f6}},	//   _tenglar_, _enfortir_, _biteyelo_, _diniseny, 
   {{0x6c5303b3,0x227f004a,0x72a60396,0xe197004d}},	//   _littera_, _apanı_, _biljuni_, _中文電腦書_, 
   {{0x3a73030f,0x7da801c0,0xe494002b,0x24650388}},	//   _mataatua_, _fihirisa, _এঞ্জেলেস_, _attestaz, 
   {{0x6d0c0391,0x9256017a,0x3cc80185,0x437300e2}},	//   _тында_, _abatshal, _baqsañ_, _streekrj, 
   {{0x0605006d,0xb0c003b8,0x12ec0218,0x60450365}},	//   _буклеты_, _البومى_, _acromay_, _शाउलले_, 
   {{0xd1e801aa,0x2290046d,0xc283032d,0xb8cc00d3}},	//   _achinesm, _tshati_, _bathodi_, _tvarohov, 
   {{0xac3a0240,0x336e0037,0x5f8101cc,0x62b40435}},	//   _qanibulu_, _langkau_, _avatīrṇā, _ivicu_, 
   {{0x235d0122,0xd395007a,0xc9ce003c,0xe2da02e4}},	//   _nanging_, _atasku_, _میرباقری_, _ewreka_, 
   {{0x0b25019b,0x13430527,0x00000000,0x00000000}},	// [cf90] _германіі_, _oprezno_, --, --, 
   {{0x265a01d2,0xb37b017e,0x0bc500ba,0x025b00e7}},	//   _asukarni, _kapablo_, _زۆۆۆۆر_, _amalay_, 
   {{0x63810122,0xcc1f03ea,0x43ea01e1,0x00950371}},	//   _سازگاری_, _compter_, _bontri_, _куриер_, 
   {{0x1f5904bb,0x2052034b,0x85b90037,0x42900102}},	//   _bliajyob_, _endrocin, _በሚያዝያ_, _kuhani_, 
   {{0xe25b026b,0x1d970170,0x4fe500c7,0x00000000}},	//   _verla_, _fotokoza, _gafurinı, --, 
   {{0x99cf0231,0x6f750132,0x54860105,0xd29003dd}},	//   _corecode, _jelentős, _स्वास्_, _duhani_, 
   {{0xaf5d034d,0xedd30028,0x02da012a,0xb2b602a4}},	//   _sepanjan, _fashilma, _poseł_, _hercle_, 
   {{0x43870097,0xdc2a0135,0x238600b2,0xf16800b6}},	//   _abiyamọ_, _inspekts, _bakrii_, _lafitaah_, 
   {{0xfea80041,0x2dba0046,0x92740156,0x05a80153}},	//   _анатоли_, _اۋتور_, _neustrel, _他人事ではない日, 
   {{0xcc550230,0x22d8005b,0x43ea012b,0x5ec404f8}},	//   _abitiye_, _herning_, _kwoty_, _באקווריו, 
   {{0xfd8a02c2,0x0612023d,0x9a4d00d8,0xea1303f2}},	//   _akademie_, _здравосл, _abadiala_, _samantie, 
   {{0x00620012,0x43aa04ad,0x7ad100d1,0x0030003f}},	//   _झँउसा_, _letalang_, _bombeåta, _qaleghbo, 
   {{0xf224045b,0x6e550219,0x3da00144,0xeb02041a}},	//   _lenkes_, _ekubhada, _díochlao, _анальгет, 
   {{0x63f800ad,0x92e900d9,0x3c3000ec,0x00000000}},	//   _kukuna_, _бетона_, _астрыд_, --, 
   {{0x62f1008b,0xc6ba0322,0xd17b033e,0x00000000}},	//   _forukaay_, _babakuri, _kalagual, --, 
   {{0x022605bf,0xc6cd00dc,0x9c7c0274,0xa619025b}},	//   _zatkli_, _aavanoai, _flestra_, _samandrá, 
   {{0x3b1a0014,0x89fa0252,0x4dee0021,0xbb1f03bd}},	// [cfa0] _ክዉንነት_, _musiwana_, _acidicwa, _balatian_, 
   {{0x3c670082,0xea0a01f9,0x3ba90343,0x5e9500d9}},	//   _rantsar_, _bayacece, _kasyuran_, _зубами_, 
   {{0xa2900318,0xcd23020b,0xaf4a0193,0x1c2c01a3}},	//   _auhani_, _dinotshe_, _उपाध्ये_, _هيڪاندي_, 
   {{0x5346031f,0xe2900544,0x044f00be,0x56670318}},	//   _fordelt_, _kupanihi_, _توولۇچۇ_, _kanisaá_, 
   {{0xd3f4015e,0xc3950245,0x1153004d,0xa3cf01eb}},	//   _martí_, _stashu_, _宅男正妹大集合_, _chavai_, 
   {{0x1c010416,0x55b90120,0x44200292,0x82e801c0}},	//   _exister_, _absissam_, _galatifo_, _ainifin_, 
   {{0x42900160,0xb2000039,0xabd102c2,0xc3650109}},	//   _nikada_, _inoiz_, _bendever, _दुवैमा_, 
   {{0xd70701ef,0xab7f0277,0xa8510405,0xb50c0140}},	//   _банеры_, _brouhaha_, _обраний_, _asembliy, 
   {{0x5b1e0047,0xf06402f9,0xe27f0429,0xcec3007f}},	//   _点击此处查看原文_, _detansyo, _pasni_, _gariadus_, 
   {{0xa3ea030e,0x76530105,0x9758027b,0x1c7a0159}},	//   _mtoto_, _anonimow, _तेष्वेव_, _багатыро, 
   {{0x92490235,0x23f80285,0x0c280207,0xfcad0185}},	//   _agamya_, _gukuna_, _بيلنس_, _газетаны_, 
   {{0xc2db0168,0x353c006c,0x165e01ac,0xe0570153}},	//   _oppover_, _abayinak, _chanbhás_, _綾瀬はるか_, 
   {{0xfdf901e1,0x22000028,0x03720255,0xd5290244}},	//   _геройы_, _digil_, _annavad_, _modifich, 
   {{0x83e902d3,0x52b5002e,0xc3bc01ac,0x00000000}},	//   _exposiçã, _novcem_, _ولونه_, --, 
   {{0x0bd005d4,0x31a10162,0x43410291,0x00000000}},	//   _लिमये_, _كەمىنە_, _هنااا_, --, 
   {{0x8b0c01e0,0x94850017,0x193202ac,0x7b03023d}},	//   _هادین_, _राजाले_, _وإتفاق_, _trasmett, 
   {{0x03d303e8,0x0b5002e4,0x142a03fb,0xfc2b01b2}},	// [cfb0] _najbrž_, _għerien_, _dolazilo_, _broadbac, 
   {{0x44a103cf,0xc345024c,0x4d2e00be,0x8a930188}},	//   _firması_, _prodott_, _جازبادىڭ_, _монеаи_, 
   {{0x2bdf0697,0x7a8d055f,0xc645030d,0x00000000}},	//   _coreógra, _verirken_, _evakuasi, --, 
   {{0xe29005e8,0x06b60261,0xea5703bf,0x15fa016d}},	//   _molato_, _informoj_, _ранетки_, _байлиқин, 
   {{0x42b400f9,0x28a40012,0xe49a00e6,0x9c9f03d5}},	//   _kwica_, _अधेलीउपै, _实际发行总额_, _alighted_, 
   {{0x52d90279,0xfa1900c5,0x63f8040b,0x72d803ad}},	//   _devez_, _点击查看更多_, _mukula_, _baned_, 
   {{0x97790047,0xb38103ef,0x86fa020f,0x727f02cb}},	//   _青岛市公安局_, _abazimu_, _بربنډه_, _masnu_, 
   {{0x37fe002f,0x0a02002b,0x45e6019b,0x984600ec}},	//   _amaparaw, _নামবে_, _трацяць_, _korteles_, 
   {{0xa2d80467,0x4ed60062,0xfefc01b0,0xa31502bb}},	//   _danee_, _chaynada, _alfabét_, _महासमुंद_, 
   {{0xf3f80240,0x2f6b0269,0x288700ff,0x0dd70079}},	//   _tukuna_, _horarios_, _ליפֿשיץ_, _nolūkam_, 
   {{0xadfa03c1,0xb99f004b,0x379204b2,0xc20e02b6}},	//   _стручни_, _boikethe, _proteksi, _маган_, 
   {{0x48ca031e,0xd26f01a6,0x4fa40288,0xb2000274}},	//   _zadržava, _kirikiri_, _erretter_, _engir_, 
   {{0x17aa0277,0xe3f800ad,0xe83503c7,0x52d800f3}},	//   _easterli, _sukuna_, _najmłods, _aqhele_, 
   {{0x8aab01c7,0xb7ee00be,0x6d980048,0xe394012e}},	//   _оклаяр_, _تۅمۅنكۉل, _amagatte_, _úgysem_, 
   {{0x12d80292,0xd93400ff,0xce1803a8,0xf7b00244}},	//   _kanee_, _עטנאָגרא, _ট্ৰিগাৰ_, _guarnizi, 
   {{0x8a7c033e,0x32f20331,0x72d9005b,0x3320010e}},	//   _milanesa_, _familju_, _gevey_, _midya_, 
   {{0x32bb00a3,0xeade011d,0x062b0059,0x552e0119}},	// [cfc0] _juletre_, _multumit, _sceneggi, _mahibalh, 
   {{0x795f005e,0xc37803c5,0x00000000,0x00000000}},	//   _دەۋزەخكە_, _tibanya_, --, --, 
   {{0x1e6c023e,0xb8f80039,0xde3e00f1,0x556202c9}},	//   _بیرون_, _askatasu, _konzwent_, _стопэрий_, 
   {{0x12cd02bd,0x22ef0095,0xc2000192,0x43f80289}},	//   _ganolog_, _panitya_, _paniek_, _kukula_, 
   {{0x0eae0499,0x748601b8,0x73200090,0x71470088}},	//   _aliliuin, _निपाता_, _aidya_, _салижан_, 
   {{0x6d3d05ff,0x1e2f01ef,0xdb9d030a,0x00000000}},	//   _povijest_, _aktorius_, _amodiño_, --, 
   {{0xc03f02c2,0x6c6700bf,0x23fe0066,0xdf3f0012}},	//   _vertalin, _перехода_, _biologik, _खिसिआइल_, 
   {{0xbd8e00a8,0xae1e02d6,0xf6d200b9,0x18fc0028}},	//   _bagliafa, _зўровонл, _विनित_, _ambaqaad, 
   {{0x662804ad,0x7a0e00c4,0x59c20390,0xf2bd016a}},	//   _didirisi, _masahaba_, _beyenire, _birdeto_, 
   {{0xec66017f,0x12ea02ff,0x92b400e2,0xda1302fd}},	//   _partiit_, _uchitel_, _ivich_, _lofaiche, 
   {{0x6e4b03fd,0xe2c20188,0xf20400b3,0x9f450350}},	//   _fagalele_, _amelana_, _berişlik_, _ግብረገብ_, 
   {{0x49d90164,0x4a5401cd,0xb27803c2,0x00000000}},	//   _دوستقا_, _метарсан, _airney_, --, 
   {{0x12060541,0x6c660180,0xc8fe0099,0x1c150178}},	//   _muzički_, _lintans_, _angangod, _संश्लिष्, 
   {{0x67ed049e,0x6a08023b,0x2f48017d,0x00000000}},	//   _futbalov, _makauana_, _webshopp, --, 
   {{0xee5702ac,0xbe230125,0xa26c01f7,0x326c00cf}},	//   _فرفشة_, _берилмей, _colomb_, _amboo_, 
   {{0xe38c00ec,0xa9f1049c,0xd2cd02bd,0x2386036d}},	//   _музея_, _rengzhoe, _canolog_, _bioran_, 
   {{0x72000235,0xbf24045d,0xe2ec01fa,0xc3070418}},	// [cfd0] _asmiñ_, _baštu_, _latiume_, _basarak_, 
   {{0x036b0139,0xf567005e,0xdb610291,0xc51d0139}},	//   _aindrī_, _يارمۇھەم, _تجاربكم_, _प्रदिष्ट, 
   {{0x246c016d,0xfe7c00c5,0x2e6a02ac,0xfc05006a}},	//   _ﭘﯘﻟﻨﻰ_, _中国青年报_, _لأنني_, _adiresy_, 
   {{0x38870066,0x00000000,0x00000000,0x00000000}},	//   _салаад_, --, --, --, 
   {{0xc54a0409,0x3c1e00e3,0x6c350143,0x3a9d0089}},	//   _アクセサリ_, _dilluvju_, _клинове_, _gıylacev, 
   {{0xf270025f,0x2b0a0416,0x454600b7,0xfc17017a}},	//   _alongoli_, _epistule, _ayaklary, _amalambu_, 
   {{0xbc0e0202,0xabb30039,0xce1b0462,0x64ec0574}},	//   _atupale_, _markatur, _argercha, _najslađi_, 
   {{0x960a009a,0x560502cb,0xa65e01fc,0xeb6700a8}},	//   _abambeki, _stambeni, _kafinnow, _bajegian_, 
   {{0x830c00ad,0xc2a701bb,0x1eb40212,0x3b61038a}},	//   _dihapus_, _atabeg_, _habentes_, _honranta_, 
   {{0xa3f800de,0xbe45009a,0xfda50349,0x83f304a8}},	//   _kukuba_, _ayibhata, _arrivewa, _tvornici_, 
   {{0x676b0008,0x2357011e,0xa2b40435,0x1bd20299}},	//   _түркияда_, _lesefer_, _ivici_, _ئوۋبۇركۇ, 
   {{0x32c90292,0x32000039,0xd2640062,0x226e0364}},	//   _malloch_, _tokian_, _doplij_, _dannypix_, 
   {{0xcb1e002b,0x427f0206,0x9e5100ec,0x3d460170}},	//   _বিশ্বজুড, _podnet_, _atradima, _chipanic, 
   {{0xc2ea0266,0x903d0268,0x83f40203,0x7e61023e}},	//   _beriman_, _onventio, _captet_, _boncenga, 
   {{0xe200033f,0xdc750053,0x2a00021c,0x5317019d}},	//   _angii_, _सिग्नल_, _vražda_, _katza_, 
   {{0x88b300d6,0x0c77007e,0xc6e200d1,0x6d0d00c6}},	//   _oirthear_, _वृष्टि_, _নাৰায়ণী_, _причинно_, 
   {{0x920e009b,0x4387017e,0xffaf045f,0xacbe023e}},	// [cfe0] _санах_, _estro_, _datorpro, _cobaltcd_, 
   {{0x1f080035,0x9874033a,0x00000000,0x00000000}},	//   _dekadası, _halictid, --, --, 
   {{0x0a08001e,0x4f15034d,0x41e60076,0x79d60289}},	//   _masaraut, _benderan, _словенеч, _chithand, 
   {{0x3b4c0037,0xa6ea00ba,0x947c02e0,0x0af70405}},	//   _ከመስከረም_, _ئۆڵۆمپیا, _ditebelo_, _potetmos, 
   {{0x00000000,0x00000000,0x00000000,0x00000000}},	//   --, --, --, --, 
   {{0x93c507fd,0xbcbe00b4,0x237f048f,0xb6bb0322}},	//   _یاقوتی_, _albastru_, _kokanga_, _baraburi, 
   {{0x8de00825,0x8a080211,0x6f1f015a,0x33eb01fb}},	//   _mobilné_, _vakavast, _beytalfa, _statos_, 
   {{0xed8f01cd,0xc9f8003b,0x73020145,0xfc7500c1}},	//   _kuhlanga, _amphatsa_, _negaliu_, _दुय्यम_, 
   {{0xb33100be,0xbe560035,0x06cf0190,0x9a090225}},	//   _ابونىتتو, _дастаны_, _damadami, _delaport, 
   {{0xc49801d1,0x730e0488,0x82c903c2,0x3a8a0121}},	//   _מתמטיקה_, _pasakas_, _balloch_, _anatomía_, 
   {{0xe85d04dc,0xa50b019b,0xb28c01a4,0xc37104b2}},	//   _فیرعه_, _dekoraty, _elekisa_, _binasag_, 
   {{0xda57006d,0xe40700b9,0xdc230202,0xe77900be}},	//   _танечка_, _संसदेत_, _kirikẹti_, _فىلمدەن_, 
   {{0xeb0b00a6,0x2d040107,0xcdae0177,0x3dc40350}},	//   _abaswele, _غولها_, _қьырса_, _ከኃላፊነታቸው_, 
   {{0x64260064,0x13a802f6,0x54de0040,0x271200a4}},	//   _قارلىق_, _dalawang_, _מונדיאל_, _construï, 
   {{0xbc5a0101,0x527701cb,0xbaee0092,0xd2ea00d9}},	//   _preturi_, _wabathum, _インテリアショッ, _eerikan_, 
   {{0xc3fa02a2,0xfc7c027f,0xb291027f,0x4a470340}},	//   _itsura_, _arasama_, _kicara_, _pareārau_, 
   {{0xd36f0233,0x42780074,0x35fd03f4,0x9e370264}},	// [cff0] _arogant_, _kaunis_, _подружил, _gihahata, 
   {{0xf39503ac,0x00000000,0x00000000,0x00000000}},	//   _atasmu_, --, --, --, 
   {{0xf20000cd,0x74890220,0xf2df00a4,0xf321023e}},	//   _ligia_, _опасност_, _تۅمۅندۅگ, _antyo_, 
   {{0xbc770064,0x07120367,0xfbec0092,0x1e7e00e6}},	//   _assumir_, _construí, _発明の効果_, _把图片上的数字填, 
   {{0xda080028,0x3b7900ec,0xc2b404c9,0x447c0826}},	//   _garaacee, _regionų_, _owice_, _videcemo_, 
   {{0x40730434,0x74d500ba,0xfd2802ca,0x200f00cb}},	//   _concepto, _دۆعایه_, _eilifint_, _амрохон_, 
   {{0x113a005e,0xf4e80187,0xa9e00085,0x8b7d0223}},	//   _مىڭيول_, _напредув, _wanisiwa_, _наслахыг_, 
   {{0x52d70002,0xe7a90311,0xe3f4015e,0x001a045b}},	//   _osvojio_, _ብኣንክሮ_, _ремонтто, _ярмоленк, 
   {{0x8c6e019b,0x3adb0024,0xaa3c04c7,0xc35502c4}},	//   _avarija_, _কুমাৰী_, _душом_, _vivemos_, 
   {{0x83a704cc,0xf24902c1,0x42ca0117,0x67220076}},	//   _bityenz_, _ngamba_, _buldos_, _реалност, 
   {{0xb7b7011f,0xd3eb00bc,0x66bf00c5,0xe7fa018d}},	//   _агастрое, _ngatur_, _已经本网授权使用, _ክሕግዘካ_, 
   {{0xa2ea0193,0x337c056f,0xc30c02f6,0xdf3e0418}},	//   _berikan_, _vitajte_, _matakot_, _hayranla, 
   {{0x72ca03d2,0x1ff001de,0x971203b8,0x00000000}},	//   _chodim_, _мерке_, _ماگنيتشە_, --, 
   {{0x737f028f,0x9e3700e7,0x00000000,0x00000000}},	//   _pokanga_, _eenageta, --, --, 
   {{0x6c640120,0x00000000,0x00000000,0x00000000}},	//   _gutuqte_, --, --, --, 
   {{0x1a4500a9,0x929100a9,0xe53a01ce,0x52ea0116}},	//   _mugesera_, _yicara_, _تردمیل_, _mainers_, 
  
   {{0x62d804f2,0x0eb7009b,0x80ae0307,0xdc080322}},	// [d000] _cafef_, _батална_, _esemandl, _bakuramb, 
   {{0xb37f0318,0x4d8a0075,0x1e6f00ff,0xef1503ae}},	//   _tokanga_, _danmarka, _שמאטע_, _senterpa, 
   {{0xaf0e0128,0xb66803e0,0x6e230089,0xdb54011a}},	//   _долларин, _kafkraaf, _думасына_, _ונהלים_, 
   {{0x224904e5,0x34b600e4,0x1eab00a7,0x71f502e7}},	//   _agamba_, _psychicz, _objectes_, _guhigugm, 
   {{0x02da0116,0x32c9018a,0x617f00e7,0x73d6015e}},	//   _capers_, _gallech_, _allintay_, _зыяратчы, 
   {{0x616503b7,0x22d501c8,0xe257027e,0x5bd901b3}},	//   _aaronway_, _motorka_, _čelnici_, _рекламі_, 
   {{0x2d1704b8,0xf18500fd,0xe25b01d4,0xe2f10282}},	//   _adelbert_, _artaigil, _ferla_, _kiriwai_, 
   {{0x99a502ec,0xa4aa018d,0xdeca02f7,0xcda70094}},	//   _کھنجہِ_, _ብኣእምሮ_, _ikonomin, _قاراۋدى_, 
   {{0xb276012c,0x07bc00ec,0x3660005b,0x3dff0040}},	//   _miongoni_, _direktyv, _azukichi, _מצרפת_, 
   {{0x6c140052,0x7a0a00ea,0x14b001c3,0x71dd0420}},	//   _उपर्युक्, _besakana_, _bleinoil_, _пристапи_, 
   {{0x92ca019f,0xb2d80066,0x22d802d9,0x42260291}},	//   _alidai_, _lanen_, _panea_, _أريكة_, 
   {{0x7272045c,0x3c6a0158,0x42ca0448,0x04910024}},	//   _povedať_, _चिश्ती_, _falder_, _সময়তে_, 
   {{0xa2d4003a,0x352500b9,0xe28c01db,0x4c6905f2}},	//   _savolga_, _sungyeol_, _جەڭۋدىڭ_, _agradéce, 
   {{0x6a4500a9,0x02640176,0x4be1021e,0x7b360035}},	//   _bugesera_, _opslag_, _experter, _маршын_, 
   {{0x625b03f0,0x666001e6,0x62d8046d,0xb3f40006}},	//   _ferli_, _povinná_, _tanea_, _mertua_, 
   {{0x92ca0176,0x77390185,0x3ea30287,0x128800e6}},	//   _kalder_, _eşsezlär, _अधिकांशल, _福建体彩网_, 
   {{0xfb710158,0xe95c0046,0x52da044b,0x927f03ee}},	// [d010] _उग्रवादि, _эпостун_, _beregn_, _kasni_, 
   {{0x65d30075,0x97430294,0x8efc0009,0xf2000077}},	//   _myndafrá, _bañoman_, _univerze_, _figiw_, 
   {{0x925b0695,0xfe6a0013,0x5dc500be,0x9b480064}},	//   _yerli_, _қойда_, _فورۇمۇند, _динчилде, 
   {{0xd2da0044,0x547b00ef,0x00000000,0x00000000}},	//   _papers_, _بااستعدا, --, --, 
   {{0xc97d000e,0x540b03d9,0x0aec0061,0x19fd018b}},	//   _indigene, _boninkaz, _부자되세요_, _pasiunea_, 
   {{0xa71202da,0x026c0222,0x52010193,0xfc75008f}},	//   _construç, _allons_, _wiwid_, _मुक्तत_, 
   {{0x639402d5,0x8e3e0148,0x5c63033e,0x0f150095}},	//   _naiste_, _鹿港龍山郵局_, _cuquejo_, _bendaran, 
   {{0x433c04ac,0x024802fb,0xc3ea03ec,0xfc7100b3}},	//   _глаза_, _kaimua_, _drites_, _dusunip_, 
   {{0x0e100199,0x1ffa02c6,0x00000000,0x00000000}},	//   _angelaba, _feskenno, --, --, 
   {{0xa26d0410,0xd2cb01a7,0xf1d70226,0xbae003f3}},	//   _gagolo_, _tulossa_, _abulaham, _kortinge, 
   {{0x52c2038a,0x39fa0228,0xada1001b,0xe4400077}},	//   _atalaya_, _husstand, _akroobaa, _ayeryèn_, 
   {{0xd2f80141,0x6b060109,0x22900183,0x3e2700e6}},	//   _ittifoq_, _कन्भटर_, _bikana_, _现将有关事项通知, 
   {{0xa247022f,0x99dc0169,0x35e8034c,0xc6ce02a2}},	//   _bendruom, _কুকুরের_, _annannıñ_, _mamahali, 
   {{0xcc7402e2,0x732902d5,0x72d601c0,0x00000000}},	//   _arduous_, _रतनपुरा_, _direbobi_, --, 
   {{0x32a80102,0xf39401ac,0x44bf0142,0x641a0204}},	//   _دستگير_, _gaiste_, _सम्बध्यत, _kannabik, 
   {{0x126d04f0,0x896a037d,0xd9330210,0x8b220219}},	//   _magomo_, _prenosit, _anomurat, _ekuphule, 
   {{0xf2d8002a,0x7bff0141,0x32e80229,0x6deb0078}},	// [d020] _mafee_, _belgilar, _dininin_, _страшне_, 
   {{0x71350075,0x3c1100ef,0xd201000c,0xbdb701d1}},	//   _gundadal, _پخاطر_, _avaite_, _consumed_, 
   {{0x7ccc0156,0x623a03da,0xfc0e019d,0xe15300e6}},	//   _בפרהסיא_, _otimkpu_, _atupele_, _尊爵府二手别墅出, 
   {{0x334c0101,0x1c170439,0xd12f02bb,0x6db8006c}},	//   _nivelul_, _bakanyer, _kapitało, _asenyaka, 
   {{0x9db70020,0xfc7c045b,0xfae0002b,0x4a010100}},	//   _fitimaup, _компромі, _সওদাগর_, _ugašen_, 
   {{0x620002fd,0x9d3e0168,0x03f905c4,0x9d200052}},	//   _choin_, _invitert_, _escusa_, _प्रवासमा_, 
   {{0x735c0149,0x035c01f2,0x92d8001e,0x2e1c0151}},	//   _amagedọn_, _достуңла, _zanen_, _anvercha, 
   {{0xa2d80064,0xd95002fd,0xca800092,0xe4760094}},	//   _manel_, _curleige, _年初来安値_, _сканерле, 
   {{0x23f40006,0x4c5a01d5,0x6c2501a6,0xd26c0278}},	//   _tertua_, _menteni_, _ngunguru_, _amboi_, 
   {{0xc28f0344,0x0fe0002b,0xe7d00281,0x00000000}},	//   _allatumm, _বিলম্ব_, _anigaang, --, 
   {{0x9a67002b,0xe9770204,0x89ec0358,0xdf3804d7}},	//   _দুইদিন_, _kivikaut, _lengwist, _draumama, 
   {{0x22d5033f,0xa9ef04ec,0x00000000,0x00000000}},	//   _fanongo_, _karicara_, --, --, 
   {{0x13ea01b8,0x1c120024,0x715b00ba,0x22bc0287}},	//   _esitab_, _বিশ্বজুৰ, _نساری_, _बंगुर_, 
   {{0x637f03e8,0xc2da012d,0x1b8e0037,0xf3ea0295}},	//   _domača_, _kureta_, _ዘጋቢያችን_, _kuote_, 
   {{0x504d026f,0xd2d80359,0x142b029f,0x7b8c0378}},	//   _كلارا_, _kafee_, _podarilo_, _meginpar, 
   {{0xe39403f2,0xca70005b,0xf3540212,0xb2d10243}},	//   _naiset_, _kanagawa_, _faceret_, _morotom_, 
   {{0x2912003b,0x356202eb,0x5f0b00c5,0x547603e6}},	// [d030] _angataku, _сээтэгнэ, _plombier_, _bustawen_, 
   {{0x7d900038,0xf25b02f6,0x12c902e1,0x24190127}},	//   _аенда_, _alalay_, _iallach_, _apoherez, 
   {{0x1b59059d,0xb3eb004d,0x993f0026,0x79840133}},	//   _tentunya_, _grates_, _vermelde, _buukleet, 
   {{0x22900303,0x53fe0095,0x73f80176,0x4b9a02d9}},	//   _dikala_, _amazura_, _bagud_, _mulitalo_, 
   {{0xf2d5045f,0x7f080309,0x491301bd,0xf3990132}},	//   _vanligt_, _hesabatı, _кабинеті_, _táska_, 
   {{0x076000c7,0x00000000,0x00000000,0x00000000}},	//   _бергә_, --, --, --, 
   {{0xb2ec0162,0xe3ea0827,0x6eb90037,0x7200003a}},	//   _алған_, _atoto_, _ቻንስለር_, _ingiz_, 
   {{0x0bf80272,0x64b30162,0x33a301bc,0x020001ac}},	//   _abatasob, _отлайдиғ, _roppe_, _ghoid_, 
   {{0xd49e00d1,0x8baf0006,0xc03f00e0,0x2db70156}},	//   _সংস্থাই_, _senyuman_, _fertalin, _aktivada, 
   {{0x6873028b,0x7ba800e4,0xee960242,0xa1d7012a}},	//   _петричен, _विडंबना_, _gerçək_, _górnicza_, 
   {{0xfc000274,0xf30d023e,0x52df0160,0x00000000}},	//   _loksins_, _diparut_, _ogromnu_, --, 
   {{0x3395037a,0x41880482,0x637b01e8,0xc36702d6}},	//   _ifashe_, _magasaay_, _kalalum_, _турсунал, 
   {{0x45a100ff,0x43c80366,0x52ff0076,0x727f020e}},	//   _נאמינירט_, _кратчайш, _assinar_, _bothetsi_, 
   {{0x32000249,0xf2d8015f,0xba5f00b9,0xd25b0130}},	//   _digim_, _banel_, _अनुसरून_, _aerlu_, 
   {{0xf6f70012,0xd3ea00be,0xd2c9036d,0x28d80246}},	//   _धनयवाद_, _cuites_, _eallach_, _петрич_, 
   {{0x49420169,0x52d904ad,0xddb50120,0x976e027b}},	//   _পালনে_, _dubela_, _wonnamma, _गृध्रम्_, 
   {{0x030e0140,0xb3990274,0x154900c5,0x7e1c0191}},	// [d040] _matapos_, _páska_, _情牵汶川大地震_, _chefreda, 
   {{0x1c0200be,0x82c00229,0xa283040f,0x89420417}},	//   _جۉدۅتكۅن_, _rouminq_, _taikoma_, _veeleise, 
   {{0xb7b3030c,0x6ff20025,0x5f5102c9,0xd6430094}},	//   _ivaraigi, _अधिकाराः_, _surprize_, _жангелді_, 
   {{0x3c000212,0x130e0601,0x828a020e,0xd2dc003f}},	//   _possunt_, _natapos_, _bamameli_, _chotatlh_, 
   {{0x13210235,0x0d1d01be,0xb39502fc,0x831b013f}},	//   _antya_, _प्रकाशनक, _afashe_, _bambouz_, 
   {{0x72d800cf,0xf2d004a4,0xb20004d7,0x06ed020f}},	//   _aanee_, _bhaltar_, _ungir_, _angafunw, 
   {{0x970904ae,0xbd2a00bf,0x82d800b2,0xa12b0311}},	//   _великих_, _обновлят, _banee_, _ከተኽብር_, 
   {{0x523a0093,0xb695003e,0xa06e0403,0xf5290133}},	//   _распоряж, _ильдус_, _fanakalo, _godinich, 
   {{0x866700fe,0x7c56023d,0xf9f60457,0x42900187}},	//   _alokilaf, _mettere_, _mikroobu, _solado_, 
   {{0x5ba60287,0xddd502fd,0x6f9c0019,0xa25d02e0}},	//   _भारतले_, _cochomha, _جاتباعان_, _disentim, 
   {{0x32e90133,0xe52400ff,0xc7c204ec,0xdf2d0203}},	//   _afrikaa_, _ספרדישער_, _amusangi, _confusen, 
   {{0x4f16006d,0x737903d5,0x2d2802ba,0x804a02bd}},	//   _вакууме_, _aforenam, _саривақт, _beiriann, 
   {{0x23ea0438,0x1395024a,0x42ed03bf,0xe0a002cf}},	//   _utoto_, _taksí_, _kopitse_, _статутот_, 
   {{0x929d053a,0x1c750418,0xb27f019b,0xcb6101be}},	//   _haljina_, _bulunur_, _scenos_, _मोहनी_, 
   {{0x9edd065e,0x36920040,0xcd960255,0x76e7020e}},	//   _kopieres_, _הקטעים_, _perearst_, _плитаһын, 
   {{0x129104bb,0xc2cb05fb,0x038702c2,0xcb63047d}},	//   _nicaea_, _odštampa, _sterre_, _verleier, 
   {{0x35d400b0,0xd4ed002b,0xa37f017d,0xc9eb005d}},	// [d050] _islaamiy, _বেহাল_, _allarea_, _imitäkuñ, 
   {{0x09f302c0,0x3ee60291,0x450702a4,0x9c1b0110}},	//   _анкетира, _وهدايا_, _distineo_, _pamatdar, 
   {{0x71160088,0xd50c0226,0x640000d7,0x9e95034c}},	//   _باتباس_, _anamusiy, _уҙышта_, _folklorı, 
   {{0x3c61037a,0xebe6003e,0x5ab4002f,0x62d600c5}},	//   _kurusha_, _cyberpor, _sirvient, _土地利用总体规划, 
   {{0x53a3045f,0xdb88037c,0x5e4802fe,0xafa901b8}},	//   _hoppa_, _pacifier, _شيرون_, _आकृतिमे_, 
   {{0x92d80286,0x3e9d00b0,0x2b5e0064,0x3e9c020e}},	//   _sanee_, _hormarin, _барпынын_, _khampein, 
   {{0xe29000c2,0x047400a9,0xf2d90066,0xb2cb0243}},	//   _zikaba_, _benewabo_, _luzera_, _makorta_, 
   {{0x2f2e0166,0x79480275,0xa2a50109,0x0de90405}},	//   _anmeldun, _faalapot, _symptomy_, _продаєть, 
   {{0xe2e0023c,0x7aa3007e,0xe2900220,0x843700bb}},	//   _abenako_, _श्रीवल्ल, _andato_, _کاجائزہ_, 
   {{0x28f90099,0x9528020f,0x6379027f,0x0b7801be}},	//   _achakuru, _andinibh, _birarya_, _जलेश्वर_, 
   {{0x834a018b,0xc27f027d,0x00000000,0x00000000}},	//   _domeniu_, _rasnu_, --, --, 
   {{0x604a033c,0x3aba0155,0x22d9006f,0x12920449}},	//   _peiriann, _fruktans, _kubeba_, _dosada_, 
   {{0x29fa0403,0xcc73024a,0x5daf03e7,0x5c87021b}},	//   _atsinana_, _mìrán_, _malinamp, _промыть_, 
   {{0x9bdc00d4,0x62900588,0x9e310321,0xbddd019b}},	//   _zuiderkr, _rikaba_, _prezrite_, _псыхушку_, 
   {{0xd2b600bd,0xf28001f9,0x3f6e0061,0xca520024}},	//   _mercie_, _awukate_, _쒒뢾爺ユ뀲倻욆_, _bereevna_, 
   {{0xf200049c,0x49260162,0x57ed03db,0x00000000}},	//   _sigij_, _муддәрис, _engalung, --, 
   {{0xe3f80256,0x08b20244,0xad6f02d4,0xb27e0433}},	// [d060] _tukuma_, _борсата_, _augmanta, _paonan_, 
   {{0x23a301dc,0xeaf10036,0x82920058,0x57530156}},	//   _foppa_, _characht, _kosada_, _לאַדי_, 
   {{0x8870019c,0x12a70167,0x97ed0219,0xf53e00f7}},	//   _jijabọ_, _ddyblu_, _ingalung, _וובסעאָ_, 
   {{0xdff002ce,0x6c4d0156,0x6d1903e6,0x106f00e6}},	//   _adénosin_, _פלאַגס_, _geplanzt_, _中华人民共和国注, 
   {{0x18350210,0xf27e00ea,0x02fd007f,0x50de00bb}},	//   _akambond, _taonan_, _blagur_, _مسجدیں_, 
   {{0x77b70026,0x429006a2,0xa54300d1,0xbeb203fd}},	//   _persberi, _indaro_, _শশীধৰ_, _tolufale_, 
   {{0x02fe016e,0xdd3200c5,0xc20200e3,0xc8ef03a8}},	//   _istiyor_, _房屋拆迁管理部门, _erwieh_, _েনাৱািৰ_, 
   {{0xd87e00af,0x126500b3,0xb393003c,0x2c60011b}},	//   _градусів_, _medresel, _هیچکدوم_, _kobunga_, 
   {{0x554501d2,0xac150170,0xe3ea000d,0x6a5f0156}},	//   _chikunch, _iguputo_, _esitus_, _עפּיסקאָ, 
   {{0x2fa3012b,0x318d012c,0x4f1b0311,0xbea203bf}},	//   _dyrektor_, _الصوبائي_, _መንፈስካ_, _ҡышлатыу_, 
   {{0xd2c20320,0xd64f0096,0xc972034e,0x049303ad}},	//   _alelana_, _abanyabw, _arkitikt, _birrerij, 
   {{0x3f02036b,0xec76000b,0x7b19028d,0x78900299}},	//   _постои_, _averesi_, _likasyon_, _ئادېرسى_, 
   {{0xfc190061,0x71880037,0xba120326,0x25890487}},	//   _이즈미에스테틱_, _የጻፍከው_, _akuchera_, _textbook, 
   {{0x80bf0450,0xb2ea0249,0xf8ed00a7,0xe2270187}},	//   _nammentl, _desison_, _зоналард, _ментално_, 
   {{0xb15706cc,0xcac600ee,0x1c530085,0xc3020053}},	//   _उपलब्धता_, _дансны_, _ititoko_, _nafasku_, 
   {{0x8907017e,0x8d5503a2,0xde0d02fe,0x02d8023b}},	//   _disponig, _बतंगड़_, _میشته_, _nanea_, 
   {{0xe2000552,0x0c4501e5,0xb26c029a,0xaf0f0331}},	// [d070] _digih_, _arowoto_, _rikord_, _vakthava, 
   {{0xe35e0202,0x7f5f0417,0x03f8016e,0x4a0e0039}},	//   _aanfani_, _hospitaa, _hukuka_, _topagune, 
   {{0xfb5a0040,0xe36b02c4,0x431700e0,0x100e0478}},	//   _ידיעון_, _добредој, _boazum_, _anglofòn, 
   {{0xfea40164,0xac0001c2,0x1200051a,0xb2180011}},	//   _гуруһи_, _aéreos_, _gigih_, _amakomam, 
   {{0x1ae3004d,0xcaf90204,0x9224017e,0x43dd00ba}},	//   _個人責任險_, _tekninen_, _allka_, _وڕۆشنبیر, 
   {{0x59f50046,0x00000000,0x00000000,0x00000000}},	//   _сурайт_, --, --, --, 
   {{0xbdb10271,0x48470244,0xea1e017a,0x3f62023d}},	//   _prinsipp, _казали_, _кимиё_, _форумни_, 
   {{0x39b1025c,0xa2b60338,0x00000000,0x00000000}},	//   _bilddate, _lescar_, --, --, 
   {{0xdc1001f2,0x628800c7,0x8b980059,0x039502d9}},	//   _қәстән_, _bertawış, _dichiaro_, _muasau_, 
   {{0x039403cf,0x737c009b,0xbc6300c7,0x07e30076}},	//   _sonsuz_, _bitarte_, _рецептла, _комити_, 
   {{0xfa70005b,0xa0fd0049,0x42d802ff,0x7200018b}},	//   _kanazawa_, _fkohoval, _banea_, _ligii_, 
   {{0x90470361,0x00000000,0x00000000,0x00000000}},	//   _байлахь_, --, --, --, 
   {{0xc2c700b4,0x83400066,0x539400f4,0xf35e0325}},	//   _terenuri_, _zuberoa_, _brisou_, _dəlisov_, 
   {{0x00000000,0x00000000,0x00000000,0x00000000}},	//   --, --, --, --, 
   {{0x398300a1,0x964e03dd,0x26bd019c,0x042904ae}},	//   _amohanga_, _konkluzi, _iṣanjade_, _интера_, 
   {{0x62d803e0,0x00000000,0x00000000,0x00000000}},	//   _kafen_, --, --, --, 
   {{0x12230015,0xfeb00416,0xffd600ff,0xa38602f3}},	// [d080] _نگارا_, _deforman, _קרעאַמפּ, _numret_, 
   {{0xf7c603db,0x432b03c7,0x8f9000e6,0x541b0429}},	//   _abashici, _procesy_, _下一篇新闻_, _samsudin_, 
   {{0x48c7063f,0x9bd70092,0x88350188,0xb25b01b8}},	//   _मणिपुर_, _デジタル一眼レフ, _бунбаст_, _kerli_, 
   {{0x523802f0,0x730d0439,0xf6ac0455,0xffff0052}},	//   _egameni_, _bumbula_, _objectif, _ज्ञानको_, 
   {{0x146e00da,0xb2cb01d9,0xc3f802e7,0x0a45020f}},	//   _криме_, _guddes_, _gukuha_, _سنګرونه_, 
   {{0x92920320,0x436f0247,0xd8dc006f,0x09dc01c7}},	//   _misava_, _mangkat_, _فشريز_, _cemgıetç, 
   {{0x17990361,0xf5c1023a,0xdc200488,0x00000000}},	//   _вакантны, _diskusiá, _kaloriju_, --, 
   {{0x8f800222,0x53250054,0xc2f100a1,0x72d002d4}},	//   _prochain, _diabaly_, _piripai_, _cauldas_, 
   {{0x0c310227,0x883d0185,0xd739002b,0x9c6b0101}},	//   _seminggu_, _аршын_, _অঘূর্নায়, _refuzat_, 
   {{0xfda00155,0x607c0060,0x82910294,0x00000000}},	//   _plantera, _ستامبول_, _incana_, --, 
   {{0x1c3a06a0,0x61c205b6,0x00000000,0x00000000}},	//   _maghubad_, _sokolská_, --, --, 
   {{0xb20101e5,0x00000000,0x00000000,0x00000000}},	//   _siwin_, --, --, --, 
   {{0x1f9c017d,0x99da003b,0xd9870315,0x976401bb}},	//   _このブログをリン, _apheleke, _basinika_, _aýyplama_, 
   {{0x22920051,0x5e5c0045,0xf2df02ec,0xe858050d}},	//   _nosaka_, _коалициј, _یمبرزلہِ_, _secretos_, 
   {{0x572f02e5,0x93f80134,0xa3330143,0x09c701ef}},	//   _кьышьмар, _jagun_, _ограничи_, _варагаў_, 
   {{0x7c000212,0xd2e900e1,0x9c4b0558,0xeb6d0109}},	//   _possint_, _bariwaa_, _sistemụ_, _नेसनल_, 
   {{0x42b4001e,0x504e0037,0xb2fa012c,0xc1190416}},	// [d090] _kwace_, _በሊቀመንበርነ, _kuchapa_, _manjasal, 
   {{0x11fd0457,0xde2e0211,0x0abc008a,0x50970059}},	//   _amrisaam, _гарантии_, _culverde, _премина_, 
   {{0xf9f6015e,0x93ea0237,0xa99f018d,0xc2300282}},	//   _força_, _grote_, _ንምግልጋል_, _aramona_, 
   {{0xe3210322,0x6f620452,0x4e4d0527,0x2c61038b}},	//   _bityo_, _sebalikn, _nazalost_, _gurunya_, 
   {{0x8c330044,0x02b400c9,0x69d9023d,0x12da0039}},	//   _גאליס_, _vincom_, _arredame, _arreta_, 
   {{0xc27e019d,0x290502e5,0xf0c80144,0x327e0403}},	//   _mponda_, _asiapegu, _كاليفورن, _aponga_, 
   {{0x1a0d009c,0x47b705b3,0x6db700ff,0x820700d9}},	//   _alabasqa_, _versieri, _apartigu_, _etiketti_, 
   {{0x9f340031,0xd2420556,0xb2d802ff,0x00000000}},	//   _kehutana, _egumbini_, _pafen_, --, 
   {{0xb2a70312,0x21590177,0x9911032c,0x194a033f}},	//   _arabeg_, _еицеиқәш, _angalaju, _komoniue, 
   {{0x9b270222,0x8926017a,0xb62f0212,0x3ae50107}},	//   _rembours, _сиесат_, _originem_, _bandawas, 
   {{0xd29203b4,0x3c130100,0x127e0015,0x00000000}},	//   _aisava_, _okupiti_, _aqonta_, --, 
   {{0xc4050626,0x33000286,0x3354005b,0x0a9a0061}},	//   _doručení_, _dawasih_, _baseret_, _동방견문록_, 
   {{0x1f030193,0xa04a021b,0xc27400d7,0xc324035e}},	//   _निर्धारी_, _energian, _batsetel, _aukciji_, 
   {{0x7d820177,0x73a300e2,0x20270569,0x00000000}},	//   _аталанти_, _foppe_, _predivno, --, 
   {{0xbd29017e,0xe16300ec,0xfc6e03ac,0x00000000}},	//   _anticipe_, _antrosio, _dikutuk_, --, 
   {{0xa33d005c,0xe9cb0184,0x37bc009b,0x00000000}},	//   _abavunyi_, _basomera_, _dibertig, --, 
   {{0xc62e0032,0x9cde00ce,0x58a50023,0x43950300}},	// [d0a0] _vitaminé, _inovativ_, _блогах_, _klesá_, 
   {{0xc3a301b4,0x4800002b,0x3c680279,0xc2900153}},	//   _koppe_, _ভাববেন_, _parrain_, _oplag_, 
   {{0x92900556,0xc944031d,0xa31b048a,0x02d8046b}},	//   _indawo_, _promptne, _جەگىزبەي, _gafel_, 
   {{0x5b8901e5,0xad6f01d5,0x7a910122,0x339403ea}},	//   _aisinipo_, _احناف_, _kepingin_, _laisse_, 
   {{0x03950417,0xb30f01a4,0x07260403,0x9b7102c6}},	//   _laaste_, _casamar_, _analalav, _dinosaor, 
   {{0xafb5018d,0x5c5e01bb,0x2f1e0044,0x62d90282}},	//   _ምቁጵጳር_, _бармышын_, _wonderin, _apanere_, 
   {{0x523a0148,0x23950347,0x70cc01d1,0xf4260012}},	//   _歐洲大紀元_, _naaste_, _memorabl, _काटबी_, 
   {{0xbb9a0073,0x973d0528,0xe3ea028f,0xe3640305}},	//   _artisano_, _linlithg, _puoto_, _bryggja_, 
   {{0x2884004d,0x11c50120,0xf2130342,0x03fe00ee}},	//   _桃園生活入口網_, _kayniiqé_, _dechay_, _plazara_, 
   {{0xab6d0005,0xa2da0300,0x329a0405,0xa39402ac}},	//   _enconusc, _hranice_, _способів_, _baiste_, 
   {{0xcc1d03f8,0x05250087,0x82de00c1,0xf2da0478}},	//   _dapusnis, _gadziwek, _गृहनिर्म, _arrera_, 
   {{0xb2fc05a7,0xd0cc00e9,0xb595047b,0x9baf033d}},	//   _papildu_, _ansorsel, _kvinnumø, _denyeman_, 
   {{0x3a890253,0x0d2f0169,0x836602e7,0xe24502e4}},	//   _misilits, _ডাটাবেজ_, _anggulo_, _evalwati_, 
   {{0x4c230181,0x9d230271,0xdc260203,0x42940334}},	//   _mulighed_, _mulighet_, _diaboler, _chikoti_, 
   {{0x53e703b0,0x83540478,0x6108020e,0x12920184}},	//   _måtte_, _cometas_, _бальзамд, _gisata_, 
   {{0xff97016d,0xc9d9011f,0xe34e0071,0xfd2f0024}},	//   _رومانلار_, _amongeta_, _اسپلیت_, _ডাটাবেছ_, 
   {{0xdd7c00d1,0xa6600272,0x9cf200de,0xf2920240}},	// [d0b0] _কেবিনেট_, _abakakii, _يادمو_, _mosaia_, 
   {{0x6dbf01be,0x6f180056,0x27a80256,0x738200ba}},	//   _kamenné_, _amademon, _kapteini, _پاڕله_, 
   {{0xb987037e,0xc0dd0247,0x3aee0014,0xe4af0102}},	//   _basilika_, _ویبره_, _pastrohe, _watakaok, 
   {{0xa379015a,0x826803a4,0x19f60029,0xa82801de}},	//   _argaman_, _vinnandi_, _ووریا_, _синхронд, 
   {{0xd2da0051,0x72d70274,0xcf0b0037,0xb7b003b0}},	//   _atrodas_, _stoltur_, _ግሎባላይዜሽን_, _থেকেচা_, 
   {{0x03ec0095,0xf53800ed,0xd42c0345,0x32c50405}},	//   _pebruari_, _antikyth, _separado_, _sjeldne_, 
   {{0x62da012b,0x923a012f,0x92e30333,0x758d00a7}},	//   _strefa_, _deimanu_, _etniche_, _гүлайым_, 
   {{0xbef40235,0x49d7009a,0x2184002b,0x073a03f2}},	//   _anavarop, _akawophu, _সলিমুল্ল, _мозги_, 
   {{0x93940047,0xbb770169,0xfc6e02e8,0x264b0158}},	//   _baisse_, _হায়দার_, _adarika_, _merytory, 
   {{0xa394025f,0x0f8f0578,0x83940036,0xd2500135}},	//   _caisse_, _sawvdaws_, _paiste_, _bergäläp_, 
   {{0xdc5601f1,0xac76015d,0xd0de0262,0x720e01cd}},	//   _partive_, _मुख्यम_, _barlanyl, _дагал_, 
   {{0x37dd035b,0xb7530025,0xf3f80201,0x0c56023d}},	//   _obravnav, _पुरस्ताद, _bagul_, _lettore_, 
   {{0xadbc04b9,0xc7ab0086,0xb2da0020,0x7ab1010d}},	//   _bulgarie_, _garnitúr, _kuresa_, _श्रीमहार, 
   {{0xb41700e1,0xa83e03f2,0x63ce028b,0x39fe0082}},	//   _feesleen_, _киску_, _imive_, _gashinta_, 
   {{0x3a2000c5,0x39e20144,0x00000000,0x00000000}},	//   _中国地震局_, _بانيت_, --, --, 
   {{0x6f3e009a,0xfe4500b5,0x88b20255,0x07e700c8}},	//   _abasenza, _афракциа_, _heategev, _башлауы_, 
   {{0x142b03ee,0xd29000d3,0xe5f40187,0x09a7004a}},	// [d0c0] _dolazimo_, _oslav_, _пелагони, _алдагысы, 
   {{0xc3460005,0xfe1b03b7,0xd3170258,0x00000000}},	//   _prodots_, _argeecha, _sytze_, --, 
   {{0x3c67030f,0x02da04b7,0x7aba00e6,0x66d702c5}},	//   _tukunga_, _wapens_, _开创中国特色社会, _chichapi, 
   {{0x3da70019,0x26b8032e,0x13a802f6,0xca2800ec}},	//   _кетчү_, _wilamasi, _bahaging_, _politinė_, 
   {{0x8d6e0366,0x83f80222,0x42da0165,0x0ddd0222}},	//   _советско, _bague_, _sureta_, _dignité_, 
   {{0xe9220158,0xa51e018e,0x0d180188,0x52d80115}},	//   _भांजे_, _egaleliy, _amasamar, _safee_, 
   {{0x228f00c5,0xf4760148,0xea7404c8,0xa200028d}},	//   _中国中小企业安徽, _唐宋部落格_, _bogħod_, _tigit_, 
   {{0x500d0044,0x1ec90061,0x338100cf,0x0bc200c1}},	//   _prevalen, _출시되었습니다_, _booying_, _अर्जांची_, 
   {{0x2abb002e,0x47a90446,0xe9fd0403,0x758f0004}},	//   _ostvarit, _studenog, _ambarant, _jistifik, 
   {{0xbd3e03f1,0xb7b5031d,0xaa5a0071,0xfc680037}},	//   _nechajte_, _parentag, _حریفان_, _ከማለዳው_, 
   {{0xf2000141,0x846a000c,0x7a8d00d1,0xea4a0013}},	//   _yigit_, _астатиақ, _টুগেদাৰ_, _domenida_, 
   {{0x427400bc,0xa2da03ef,0xec1b03d9,0xd9920062}},	//   _سوالی_, _kurera_, _manatsar, _jichepme, 
   {{0x0983003b,0x4d300156,0xf288011a,0x00000000}},	//   _besinike, _גאטעסמאן_, _התרחבות_, --, 
   {{0x02c801b4,0xbdae01d3,0x337c039f,0xf35403d1}},	//   _geronde_, _tunnelba, _taxable_, _paketes_, 
   {{0xf25402a4,0x60fc00c1,0x93ce020a,0x758f00f1}},	//   _bitterbl, _दूरवर_, _ешкандай_, _zistifik, 
   {{0x7c560388,0x8da5032e,0xb99e0039,0x98060113}},	//   _settore_, _uchuniru_, _умардын_, _phéint_, 
   {{0xd27e022a,0x937d01e6,0x9301041c,0xc6760040}},	// [d0d0] _baonan_, _chlapec_, _cosaani_, _ניצנים_, 
   {{0x47fd0264,0x00000000,0x00000000,0x00000000}},	//   _catbalog, --, --, --, 
   {{0x5f450390,0x930f001e,0x6355039a,0xa378030a}},	//   _formalaş, _fasahar_, _gemetar_, _sinalan_, 
   {{0x023b02e2,0x03ff0096,0x62d900ee,0x00000000}},	//   _adamant_, _amizero_, _itzela_, --, 
   {{0xb31b007e,0x42da01ff,0xa20001b9,0xb32c0193}},	//   _tapasā_, _streda_, _figir_, _नक्षत्रे_, 
   {{0xe49e0024,0xab770179,0x532600d9,0x53fd02cf}},	//   _সংস্থান_, _beravön_, _эксперто, _узунов_, 
   {{0x6ac10047,0x6c56041e,0x22e000c1,0x94fb0012}},	//   _情节严重的_, _rettore_, _जवळीक_, _गमलामे_, 
   {{0x548b0104,0x16410371,0x0e640234,0x652b0244}},	//   _kungasek, _стари_, _bọnnọ_, _notifich, 
   {{0x003d023d,0xeb610462,0x9c1b00ea,0x30ca0040}},	//   _attenzio, _abilizer, _hanatsar, _בדרישות_, 
   {{0xe5490534,0x938703e6,0x63ea00ec,0xa49e00d1}},	//   _kimhoith, _fuerwe_, _britas_, _সংস্থাত_, 
   {{0x831e01ea,0x82000120,0x1fef02d5,0x9a8d03e6}},	//   _васаллам_, _digir_, _गोदाईचक_, _souzesoe, 
   {{0x4c7601a6,0x42e502cd,0xb2920220,0xf4a30235}},	//   _amareki_, _dannawa_, _votato_, _chreṣṭha, 
   {{0xefcb000c,0x358201c7,0x063401ab,0x00000000}},	//   _асенетор, _bayramçy, _kannatli, --, 
   {{0x649e0173,0xd5c00169,0xf3550274,0x2e930193}},	//   _সংস্থার_, _স্পর্শ_, _köflum_, _निर्णयाव, 
   {{0x511101d5,0xcc560359,0x5a7a034c,0x12ea0243}},	//   _کھپرو_, _bettere_, _предметк, _minitil_, 
   {{0x737f002e,0xc48b01f9,0xf3550260,0x00000000}},	//   _nikakva_, _bungasek, _faceres_, --, 
   {{0xf92d0026,0xec6a018d,0xe3230092,0x6afd01db}},	// [d0e0] _자바스크립트를_, _ብምሕታት_, _愛南町学校統廃合, _полигоны, 
   {{0x1f4600b3,0xf833018d,0xe635007f,0x136b0271}},	//   _ikisinde_, _ጽውጽዋያት_, _chanmoli, _torgeir_, 
   {{0x27c800ac,0xe2f5028d,0x323b01da,0x6bde0088}},	//   _obistini, _fernwar_, _stampat_, _escenogr, 
   {{0x159c04ab,0x322401b4,0x3bca02ac,0x0513006c}},	//   _prekršit, _volke_, _يفضلون_, _akulotsh, 
   {{0x5147048a,0x8b6d0044,0x422401b4,0xec1d002a}},	//   _талибан_, _disorder, _wolke_, _kesaghar, 
   {{0x82ca022b,0xd859002b,0x9d2f002b,0x3bdf01af}},	//   _valdir_, _আইসক্রিম_, _পেছানোর_, _beketler, 
   {{0xb7b302c2,0xa52401ab,0xc10901aa,0x8e6600ba}},	//   _alledaag, _उजड़ले_, _alohaway_, _نوێخوازی_, 
   {{0x89f20176,0x62ca025e,0x8cdc0061,0x72000374}},	//   _morinaga_, _taldir_, _사람이라고_, _sigir_, 
   {{0xcb8201ca,0x62fc0144,0x82940282,0xcb2c02f3}},	//   _ghenesar, _beoga_, _maakati_, _kanadens, 
   {{0x22010120,0xca8b00ca,0x2fcd0086,0xe07601b3}},	//   _aggili_, _posicion_, _románok_, _екскурсо, 
   {{0xf2da00d0,0x54010274,0x73c10076,0x73480373}},	//   _berean_, _dagurinn_, _детствот, _defendi_, 
   {{0x236c03f3,0x727702cf,0x00000000,0x00000000}},	//   _palestij, _кампови_, --, --, 
   {{0x0c6102af,0x2dd402fe,0x9da902a2,0xb2fd00f6}},	//   _abireke_, _amahlaka, _palipara, _toygar_, 
   {{0xaf18017a,0x253100de,0x00000000,0x00000000}},	//   _amadimon, _elingoph, --, --, 
   {{0xedbd0067,0x1b9b0170,0xe2570466,0x8a5f02b4}},	//   _kiristaa, _abaibulo_, _bellucci_, _bangenta_, 
   {{0xf6e70409,0x2e0c0159,0xe292005b,0x6da9009a}},	//   _人が役に立つと評, _улыбнуло_, _kotaro_, _anxilisa, 
   {{0x3261017a,0x04ec02a9,0xd2780243,0xdaa502b0}},	// [d0f0] _abatakul, _statybų_, _karnih_, _juristis, 
   {{0x3317002e,0x93780082,0x917d0125,0xdb5a0408}},	//   _slazem_, _habasha_, _aksakgal, _anadahin_, 
   {{0xce54023d,0x12b50176,0xf2e303ae,0x00000000}},	//   _rilascia, _akecho_, _samiske_, --, 
   {{0xec6f0288,0x533c00b9,0x63f40066,0x45c2013d}},	//   _idiruko_, _hankyung_, _sortua_, _kompanio_, 
   {{0xd38706c6,0x820e02d6,0xa28b005e,0x69e300ab}},	//   _muerte_, _баҳам_, _بېنگال_, _henimita_, 
   {{0xe2fd0338,0x757c01bd,0x371500be,0x00000000}},	//   _accions_, _بيىلعى_, _бутпойт_, --, 
   {{0x57ab054c,0x8bdd00f8,0x00000000,0x00000000}},	//   _justismi, _পাইথন_, --, --, 
   {{0x94b80142,0xd2d90058,0x9e32009b,0x8f3e030d}},	//   _विशेषेण_, _daved_, _окада_, _aparmama, 
   {{0xac600088,0x393d02ee,0xd15c0046,0xadaf005b}},	//   _nostres_, _karmelit, _шартында_, _klarlund_, 
   {{0x71900061,0x02a60053,0x3d130168,0x226e0447}},	//   _개별공시지가_, _bimbel_, _helsever, _gawolo_, 
   {{0xda71014a,0xfa2d01ac,0xa3dc0197,0xe2e903b5}},	//   _معرکے_, _سلندر_, _benwa_, _habisan_, 
   {{0x12e90329,0x715201aa,0xce3200c5,0x52900472}},	//   _zabitan_, _anelspay_, _congélat, _dikaki_, 
   {{0x83f800a5,0x421c0010,0xcb4f009a,0x3567060b}},	//   _fagua_, _ayikhoni_, _یوسفزۍ_, _समृध्द_, 
   {{0x9c6000a4,0xea0e0499,0x13fa005b,0x00000000}},	//   _mostres_, _malaeole, _etsuka_, --, 
   {{0x63870319,0x9d6f0060,0x7a6e04dc,0x15ec0038}},	//   _fuerte_, _الشاڭنان_, _ئاتاتورک_, _кайвакыт_, 
   {{0x274d0741,0x2d0c020f,0x9d140088,0xf6e800dd}},	//   _arkivlov, _echongwe_, _bifurcac, _manceini, 
   {{0xada200d0,0xac180065,0xbfa603d4,0x85750087}},	// [d100] _шорттой_, _islamisc, _наврата_, _nkotloto_, 
   {{0xe909020a,0x32900343,0xd4c302fe,0x6f700083}},	//   _беташар_, _duhaan_, _دمشابهت_, _probands_, 
   {{0x36050206,0x32000159,0x74b903fb,0x0eac00df}},	//   _sledujem_, _audito_, _raspisuj, _gardiens_, 
   {{0x6b850185,0xe30d0414,0xf5c803db,0xcf8900f5}},	//   _яңадан_, _bambuma_, _bayayith, _танкытла, 
   {{0x87ce04d0,0x1387017f,0xb2da0415,0x8f880276}},	//   _bangbouj_, _uterit_, _verein_, _киродийә, 
   {{0xbf5c0220,0xb3790227,0x82d502f9,0x963a0206}},	//   _компютър, _kiranya_, _antouka_, _osobitné, 
   {{0x2330010c,0x4d0c0064,0x7cf10309,0x00000000}},	//   _वियाग्रा_, _aparador, _protoier, --, 
   {{0xc3ea01be,0x3f770488,0xa2e9014b,0x0c6702a4}},	//   _proto_, _lembergs_, _tabisan_, _rectius_, 
   {{0xf2da0326,0x2a7e017f,0x00000000,0x00000000}},	//   _kurega_, _billitis, --, --, 
   {{0x827f012a,0x9b7800c1,0x86e8046b,0x002f0059}},	//   _jasny_, _गुठळ्या_, _fanceini, _шмекер_, 
   {{0x5e3c02e4,0xc237005b,0x13940127,0x02e902ef}},	//   _aromatiċ, _ryuji_, _brosez_, _kabiran_, 
   {{0xc3860209,0xea5c002b,0x49b70352,0x0f300158}},	//   _thorin_, _দিনভর_, _adsjaria_, _groźbą_, 
   {{0x5db2024a,0x197f020b,0x72420255,0x22c20061}},	//   _arinrina, _bothutat, _पागले_, _자유게시판에_, 
   {{0x826d00ad,0x2c5601f6,0xc30d026c,0x92f0027b}},	//   _umroh_, _lettare_, _legatis_, _सांनिध्य, 
   {{0x78a3017d,0x238603b6,0x970602da,0x349f01f6}},	//   _メロディアス_, _akoran_, _reproduç, _বিদ্ৰোহ_, 
   {{0xe24801da,0x937304c3,0x7884004b,0xffc8007e}},	//   _themi_, _rongbay_, _baakamed, _anirjātā_, 
   {{0x29d703db,0x82da0009,0x8f3702d6,0xf6170092}},	// [d110] _akathand, _streha_, _грозний_, _madlavni, 
   {{0x13470047,0x32a4023b,0xb78a0205,0xbf12007e}},	//   _vendeur_, _kūkulu_, _косонсой_, _atapāḥ_, 
   {{0x63860057,0x9c2504ec,0x625a0008,0x031d03fb}},	//   _ekoran_, _atoborer, _falles_, _turcima_, 
   {{0x9057015e,0x723b004f,0x516400e6,0x02480118}},	//   _биринин_, _atawapel, _中华人民共和国治, _azimba_, 
   {{0xe2920452,0x96200074,0xea8100ce,0xafd20374}},	//   _jepang_, _alunperi, _lasosias, _форсча_, 
   {{0xa6260026,0x53eb02b7,0x2c600088,0xfc5100a1}},	//   _미디어다음_, _faatir_, _vostres_, _waitaha_, 
   {{0xdf240037,0xe2e802fd,0xb25a03ae,0x22900268}},	//   _መናፍስት_, _airfon_, _kalles_, _aslay_, 
   {{0xa6b70478,0x899f02c3,0x9572015e,0x00000000}},	//   _apareish, _palubný_, _ماسىلەنى_, --, 
   {{0x3292053f,0x9dfe01cc,0x22f00037,0x66ea0013}},	//   _aspati_, _maheśvar, _faridah_, _konchili, 
   {{0x2ec2001d,0x5e2f0255,0x026c0030,0x7e5803de}},	//   _tranchan, _originaa, _humors_, _bhubhane_, 
   {{0x8c6101c4,0x1973019b,0x9a1e00b7,0x560c013c}},	//   _gestuur_, _atsitikt, _ничик_, _dekorasi, 
   {{0x77d9006f,0x23e80076,0x98b801e5,0xcc6000a4}},	//   _سبحاني_, _decoraçã, _agadagod, _postres_, 
   {{0x9b2d0053,0x12df0457,0x3e4e02c1,0x54f002cf}},	//   _himbauan_, _taboonu_, _barabona, _педофили_, 
   {{0x3c6102c2,0xb2d8010b,0x627e026c,0x746a013d}},	//   _bestuur_, _bojelo_, _utinam_, _liberigo_, 
   {{0xc2d80418,0x231007ef,0xb28c0285,0x82ba026b}},	//   _aynen_, _sudbinu_, _abubatsi_, _humedad_, 
   {{0x11650245,0xb277010f,0xa29200d7,0x5c610211}},	//   _khonglah_, _табиист_, _fepang_, _tajusin_, 
   {{0x8d96040e,0xb2d8037c,0x74920024,0x22fc029b}},	// [d120] _milliona, _chiefa_, _অতীতৰ_, _deggo_, 
   {{0x6c150357,0x3be10418,0x2154008f,0x00000000}},	//   _naupoto_, _desenler, _erasekto, --, 
   {{0xc2ea03ea,0xcee50139,0xc27e019c,0x00000000}},	//   _connais_, _दंष्ट्रा, _kinní_, --, 
   {{0x6b880231,0x3386005b,0x199f0170,0x42db0073}},	//   _attinger, _takraw_, _anakwela_, _opponer_, 
   {{0x03d502ee,0xf2f0022e,0x6a5f016b,0x7c58012a}},	//   _adattati_, _luciani_, _danganta_, _imprezę_, 
   {{0x8f180173,0x92e004b9,0xb1a4015e,0x8a57009b}},	//   _বিশ্বকাপ_, _coonsel_, _كىچىرەيت, _диванаа_, 
   {{0x045f03db,0x83380139,0x73780177,0x56cc031a}},	//   _anjengez, _प्रणिपत्, _ианрыбжь, _macartai, 
   {{0x6b1700f5,0x61fa006c,0x3738000e,0x03ce02f0}},	//   _гысажынд, _abazabal, _penultim_, _imivo_, 
   {{0x221c00a1,0x3d78002b,0xd8b4020a,0x93f20303}},	//   _tauhou_, _ইভটিজিং_, _جولاۋشىد, _diregang_, 
   {{0x0ef2002f,0x62f00037,0xb69c007a,0x82fe01ad}},	//   _chakirun, _nazilah_, _saifuddi, _imbitar_, 
   {{0x44b40408,0xdd0a034c,0x2f4f017a,0x12900116}},	//   _nolazaik, _балладал, _abasipha, _erday_, 
   {{0x65870287,0x3c5b000c,0x9317031e,0x428600af}},	//   _ostravsk, _hakukue_, _ulazim_, _верстати_, 
   {{0x120103fd,0xea5f0082,0xf26d0219,0xc83c0311}},	//   _lagisi_, _danginta_, _imboni_, _ንምኽዕባት_, 
   {{0xf2000288,0x325b0130,0x42480079,0x98ff00d1}},	//   _magit_, _azalek_, _mammai_, _কাললৈকে_, 
   {{0x739604cc,0x2e9003a0,0x527e0286,0x4d510177}},	//   _yousim_, _atamalen, _mponma_, _иҽрылаир, 
   {{0x793b019d,0xf26c02c8,0x99c7019b,0x00000000}},	//   _adamenye, _fenosa_, _рамана_, --, 
   {{0xc6320080,0x8ab4014a,0x0b6102cf,0x70d4000a}},	// [d130] _clintoni, _kiskeres, _enfrenta_, _ilalaarl, 
   {{0x5a1801fb,0x92c6029f,0xa37f0087,0xca8d0258}},	//   _choccant, _decembri_, _fikanga_, _berikken_, 
   {{0x831603cf,0xb2140029,0x42550040,0x7e52034c}},	//   _benzer_, _سکاڵای_, _מוזהב_, _aydarska, 
   {{0xdc2a0169,0xfbbe0192,0x3edd026b,0xb39400e6}},	//   _নেপথ্যে_, _중개회원과_, _pasibles_, _由劳动保障行政部, 
   {{0xf35f0082,0x8356023c,0x12370194,0x6eaf0096}},	//   _dangane_, _درملو_, _adombra_, _baduhaye_, 
   {{0x7e28003a,0x5c0900c5,0x0a8e02a2,0xc7100061}},	//   _россияга_, _dépend_, _isinalin_, _고객센터로_, 
   {{0xdc49017d,0x9cfc00b4,0x97b50315,0x3aec0129}},	//   _みんなへの一言_, _проченте_, _babeseng, _webusait, 
   {{0xf3730036,0xbd4f0162,0x37340035,0x9942005e}},	//   _abhaile_, _сәнша_, _апага_, _ئوۋچىنىڭ_, 
   {{0x03880294,0xc2fd0478,0x00000000,0x00000000}},	//   _abiyán_, _pregam_, --, --, 
   {{0x19cd05fd,0xc2920184,0xe2730223,0x5f5a0311}},	//   _seumpama_, _bisata_, _вирусаас_, _ብግዱሳት_, 
   {{0x8efa0037,0x1e950079,0xe37d0044,0xa20002e7}},	//   _ሲያካሂድ_, _produkts_, _capable_, _hagit_, 
   {{0xda800072,0x226c03a0,0x029201c9,0x33a30168}},	//   _colosens, _bojosi_, _visata_, _topps_, 
   {{0x2c6101c5,0xe0b40040,0x80b8016d,0x526c01f7}},	//   _diiriye_, _האריזה_, _испат_, _menora_, 
   {{0x42cb01b8,0x0252019e,0x00000000,0x00000000}},	//   _meedia_, _neblogai_, --, --, 
   {{0x93ea0197,0xa2cb00d4,0xf2fe05ab,0x52df02a3}},	//   _kontni_, _hurde_, _estilos_, _blommetj, 
   {{0x95c80046,0x127b029f,0xeb6900ea,0xd28a0357}},	//   _кадрлард, _kalendár, _tantsaha_, _lepanoni_, 
   {{0x549f0352,0x4292019f,0xdd850094,0x8d8600ff}},	// [d140] _নূন্যতম_, _kisasa_, _эволюция, _דימפלאמא, 
   {{0x837f01a6,0xe654011b,0xbeb4035b,0xf95a00cb}},	//   _tikanga_, _heyyyyyy, _potovaln, _azinakwe, 
   {{0xdc5603ea,0x2bbb0037,0xaa7e0466,0x5e510133}},	//   _partage_, _ለማለዘብ_, _upoznajt, _fayadama, 
   {{0x32ca00b6,0x3640002b,0x04ad036a,0xf871015e}},	//   _kallaci_, _পক্ষেই_, _marautak, _аскага_, 
   {{0x62fc0458,0xe429059b,0x8a7e0465,0x22240084}},	//   _begge_, _sempadan_, _spoznajt, _folkd_, 
   {{0x8be10125,0x39680079,0x2f580260,0xe10303db}},	//   _keseller, _saziniet, _desprega, _iyayitho, 
   {{0x7291001c,0x3292023d,0x0c070259,0xef11030b}},	//   _lubań_, _notato_, _fristet_, _baswahaa, 
   {{0x5a0d00d1,0x42000260,0x3516005f,0x00000000}},	//   _নামবৰ_, _aboia_, _coquimbo_, --, 
   {{0xf3ea00a9,0x407901ac,0x927b02d3,0x4ad10040}},	//   _arota_, _هزازي_, _calendár, _initiate, 
   {{0x6e34042a,0x29b600d1,0x98ce0153,0x73a202be}},	//   _angagcwa, _আৰাধ্য_, _ドキュメント_, _bolpen_, 
   {{0xc29002db,0xe2db008d,0x12ff02a2,0x02cb000a}},	//   _aplae_, _японияда_, _alpiler_, _egedep_, 
   {{0x030e04a8,0xb0d9005e,0x796a01c2,0x6f63005e}},	//   _trebala_, _تېببىي_, _segidore, _ﻳﺎﺷﺎﯞﺍﺗﻘ, 
   {{0x99b304fe,0x33ea00d9,0x03770094,0x922401c6}},	//   _traduise, _erota_, _شىبار_, _lolke_, 
   {{0x77ba02ff,0xef72040f,0x928c0102,0xae1601ca}},	//   _ekolojik_, _dienoraš, _vyakula_, _dalengla, 
   {{0x753b00e5,0x22980553,0x5fd900be,0x03f4037c}},	//   _sugestõe, _očami_, _кинолорд, _mortua_, 
   {{0x0c3004cc,0x48c900f5,0x6a860222,0xdb5b02c7}},	//   _foengdou_, _вадалард, _lumineus, _benennen_, 
   {{0x52c80037,0x105302ce,0x557f0311,0x00000000}},	// [d150] _በዋስትና_, _andiprek_, _ስልጣነን_, --, 
   {{0xc2d50211,0x5c700139,0x997900da,0x02cb0034}},	//   _tasolla_, _राज्ञॊ_, _херберэ_, _raddir_, 
   {{0x93090140,0x2eb90790,0xab1f03b5,0x458300be}},	//   _masarap_, _आराध्या_, _hidangan_, _كۅنۅسۉڭ_, 
   {{0x526d001d,0x7d6100c4,0x588a00be,0xbd43004b}},	//   _amboli_, _راڄڌاني_, _جويۇلات_, _регионда, 
   {{0x6b9001f2,0x5c7701da,0x32000139,0x3dd600e6}},	//   _بۇيەرنى_, _taksave_, _bahiś_, _中华人民共和国节, 
   {{0xb2da056e,0xa6820025,0xa994013c,0xd86000c7}},	//   _dureza_, _वीरान_, _moskvaya_, _еники_, 
   {{0xa380023e,0xda1a0008,0x748b0239,0xe26c02d9}},	//   _motret_, _манастаг, _hangarek, _kalone_, 
   {{0xa29204ee,0x9148014f,0x3fd2025b,0x01bf0235}},	//   _bisara_, _програмс, _peningur_, _anapavād, 
   {{0x2d3a0197,0xc3100140,0xe5320153,0xe9f4013c}},	//   _danièle_, _kasabay_, _バグの報告_, _vinçi_, 
   {{0x92d90295,0xdc69033d,0xe20000ec,0x8abb0422}},	//   _savea_, _zantray_, _atliko_, _ustvarit, 
   {{0xdeb101d5,0x158201cd,0x99e200a6,0xc42a012c}},	//   _hallgatn, _akutusek, _دادين_, _mapatano_, 
   {{0xf25a0259,0x111600ff,0x1d69027b,0xa2cb002a}},	//   _callas_, _איזביצע_, _अश्नुते_, _tuzde_, 
   {{0xa2b40278,0xf11900bc,0x0a950257,0xa2be03e6}},	//   _kancil_, _داستانتع, _kringums, _firdeel_, 
   {{0x33f0053f,0x69af0040,0xaea60153,0x7c2d024c}},	//   _sarsnati_, _אמילי_, _の発明を利用すれ, _infissru_, 
   {{0x87ff0250,0x19450005,0x7b2c03fc,0xf28c012d}},	//   _እስራኤል_, _sviluppe, _polarins, _samkaen_, 
   {{0x52d8051b,0x8b2d018b,0x00000000,0x00000000}},	//   _kameny_, _кириличе_, --, --, 
   {{0x52910243,0xfecd0058,0xc200001c,0x04710193}},	// [d160] _dagaah_, _pasifean, _eskina_, _रत्ने_, 
   {{0xca7100d5,0xb26c017d,0x32f00170,0xaa1900f2}},	//   _hanazava_, _nadole_, _bariyah_, _precīza_, 
   {{0x55960056,0x27c30272,0xe48b0382,0x00000000}},	//   _умумӣ_, _amusindi, _lungisek, --, 
   {{0xcc0d013b,0x425a030a,0x0477036b,0x294800e6}},	//   _saalfeld_, _xallas_, _надева_, _formelle, 
   {{0x12d90033,0xec1b0742,0x225a0255,0x1a71036c}},	//   _naven_, _manambar, _vallas_, _manazava_, 
   {{0x8177014c,0x2e3b0238,0x00000000,0x00000000}},	//   _kulandel, _основног, --, --, 
   {{0x7eda02cb,0xb2d90044,0xc9cd0321,0x025a0646}},	//   _jubilarn, _haven_, _olimpija_, _tallas_, 
   {{0x3b9b0678,0x93a302ea,0x129100f6,0x32ef0207}},	//   _prevažne_, _doppi_, _azpac_, _wakitoa_, 
   {{0x68330178,0x7aa10061,0x7c2602e7,0xc3750187}},	//   _anyaiśca_, _다른물품보기_, _kamatuur, _oferecem, 
   {{0xef650072,0x62d80068,0xb3f801e5,0xa3a2027b}},	//   _estantin, _shanaad_, _kikuro_, _campā_, 
   {{0x5a2d015e,0xda15020e,0x632200b3,0xa9a50020}},	//   _الىدا_, _damaseka_, _artygy_, _niukilia_, 
   {{0xd7df0057,0x6fc90077,0x4b7d0189,0xb248046f}},	//   _አጠያያቂ_, _chanpiyo, _sahneler, _jhemp_, 
   {{0x8200032e,0x88860061,0x186e0188,0x420000d2}},	//   _askina_, _韓國心靈學會_, _аморати_, _nagih_, 
   {{0xec61018f,0xb5be0014,0x89f003b5,0xeca20184}},	//   _himunqo_, _spektakë, _musiknya_, _kwizigir, 
   {{0x83a3041e,0xcf960094,0xdb1f023e,0xac7c00f2}},	//   _coppi_, _بارقىتپە, _wilangan_, _ātrais_, 
   {{0x820000b6,0xe27f04ca,0x998a00cb,0x42da02a6}},	//   _bagih_, _alenar_, _камарбан, _arrega_, 
   {{0x69d701d9,0x925a006e,0xd0440040,0x2290022c}},	// [d170] _jugendle, _dajle_, _ונקודות_, _aplak_, 
   {{0x92e903cf,0xc3620044,0xa2000243,0x218900d9}},	//   _haziran_, _בקיבוץ_, _dagih_, _гостиной_, 
   {{0xa2d900f1,0x23170189,0x62900486,0x8c950334}},	//   _waven_, _pencere_, _dolaru_, _konzeker, 
   {{0xc2fc00a3,0x526200ef,0xf31c005b,0xac620061}},	//   _legga_, _رانقل_, _akicoln_, _상담게시판_, 
   {{0x42910564,0xac6700a7,0x994c014d,0x2c7e02c7}},	//   _bagafa_, _lectius_, _heimspie, _kapseln_, 
   {{0x7f390701,0xc560016d,0x22d90002,0x376b0037}},	//   _aruskipa, _техником_, _naveo_, _በጥርጣሬ_, 
   {{0xc6c40113,0xb3fa005b,0x49290137,0x00000000}},	//   _leasaith, _otsuka_, _дээжийн_, --, 
   {{0xe387017e,0x32d90751,0x59aa01ea,0x52d800d5}},	//   _eterne_, _paven_, _воқиф_, _mamely_, 
   {{0xb7ff01d1,0xe27e03f0,0xe2ec012a,0x97fb06d9}},	//   _ומידע_, _komnar_, _raporty_, _pescanov, 
   {{0x82da046d,0x29c50287,0xa1bc002b,0xd55001af}},	//   _murena_, _diskusí_, _হাতেম_, _хеннамын_, 
   {{0x6e9002e0,0x03f90069,0x9b1f02a2,0x92c601f6}},	//   _atamelen, _bibuka_, _silangan_, _skulane_, 
   {{0xd3190533,0xbed402ac,0x12ff028d,0xb515029c}},	//   _دينار_, _ذبحني_, _popiler_, _chilumph, 
   {{0x762f0016,0xb37902b1,0x00000000,0x00000000}},	//   _בליצפּאָ, _tarayya_, --, --, 
   {{0x02ec00ee,0x03f90082,0x97eb01af,0x7326015e}},	//   _алтан_, _yawun_, _aklanmag, _سابىنىن_, 
   {{0x19570230,0xbf4d0450,0xe3ce02e5,0x6349011b}},	//   _cprodikt, _meiprate_, _emiva_, _ekweisi_, 
   {{0xe68d02d8,0x973702c0,0x79bb028a,0x00000000}},	//   _पुलाव_, _принцот_, _tumepata_, --, 
   {{0x924900eb,0xe6880013,0x4da200de,0xe3f903ba}},	// [d180] _anamon_, _خواهله_, _فاینل_, _wawun_, 
   {{0x4f4a048c,0x6518005e,0x62230425,0xd25a0260}},	//   _persoona, _ﺋﯩﺴﺮﺍﺋﯩﻠ, _لگورد_, _callos_, 
   {{0xeb1d03bf,0x73f90069,0x86670287,0xc2240015}},	//   _baipelae, _yibuka_, _सिमसार_, _godka_, 
   {{0x5ed102c5,0x72cb03e9,0x069b013c,0x9f410168}},	//   _kunyange_, _yurda_, _aktivləş, _wergelan, 
   {{0x429100dc,0xd3a303f2,0x8fcc013b,0x03790046}},	//   _aagaga_, _loppu_, _aasister_, _setanta_, 
   {{0x125a037c,0xfc090055,0x1e5104b2,0xc2d90265}},	//   _gallos_, _répand_, _mayayama, _kavel_, 
   {{0x4d850175,0x560301b8,0xc2fe0198,0xbc7d005b}},	//   _nesesite_, _निंदक_, _drugem_, _matsuda_, 
   {{0x838d0135,0xd60d0633,0x647c0156,0x216500e6}},	//   _таратучы_, _adsorpti, _apetiton_, _党组织建设_, 
   {{0x73ea0396,0xc2d503db,0x00000000,0x00000000}},	//   _frott_, _mthombo_, --, --, 
   {{0xe2d90249,0xfca302ac,0x1c2701f4,0x20660235}},	//   _lavem_, _عارضة_, _falsafas, _bindunād, 
   {{0x92020282,0x0f200329,0x129203f7,0x68a3006c}},	//   _kawiti_, _enterven, _biskups_, _доданду_, 
   {{0xe28d03db,0x2f920107,0x0320005b,0x224a0128}},	//   _isikolo_, _headwear_, _ladys_, _unumli_, 
   {{0x7364001a,0x7054007e,0xa7680148,0xbe1200ba}},	//   _عوامی_, _agastyen, _第二次自我成效評, _ندێنت_, 
   {{0x49670166,0x494d004c,0x12610205,0xb19300ff}},	//   _beliebte, _abootere, _marosimi_, _זאָקן_, 
   {{0xc2da00a0,0x98f601bb,0x7c3002ad,0x42d90033}},	//   _aurena_, _bahawedd, _ženskou_, _cavel_, 
   {{0x54d7015e,0xd6b50013,0xdb7b0272,0xe6b303f2}},	//   _балалык_, _мункар_, _ayasamya_, _kristity, 
   {{0x40760277,0x88260162,0x78b900c7,0x5378025c}},	// [d190] _palpatin, _دانالار_, _балаларг, _geladen_, 
   {{0x33760074,0xb348043d,0xdc080192,0x43fa0043}},	//   _простой_, _menemui_, _starters, _assusa_, 
   {{0xe95e0187,0xe2fc047b,0xd28b00a2,0x1a8700fa}},	//   _кредитен_, _veggi_, _kikatili_, _dumirets, 
   {{0xa29102d5,0xdef504eb,0x93690278,0x00000000}},	//   _jagada_, _इंटीरियर_, _kangsar_, --, 
   {{0x34660445,0x33ea01d3,0x629202d5,0x420100c9}},	//   _setembro_, _brott_, _lisada_, _magiê_, 
   {{0x8e480063,0xd3e6000d,0x07ac0417,0xb3210270}},	//   _ايفون_, _võtke_, _partytji, _tractos_, 
   {{0xa25d01da,0x0dd8002a,0x12f00227,0x036603a2}},	//   _integrim, _cheedị_, _marilah_, _मुथैया_, 
   {{0x325a0269,0xb424038e,0x32dd0059,0x23f902e7}},	//   _calles_, _रंगमंचाव, _esposti_, _lawum_, 
   {{0x9bb400e4,0x0eee0139,0x53ea0155,0x73ea0116}},	//   _शिक्षालो, _apsvanta, _trott_, _grots_, 
   {{0x341301cd,0x33870434,0x53eb0242,0xc9f701cd}},	//   _njengenk, _suerte_, _baytar_, _athukulu, 
   {{0xd7b600fc,0x5620045f,0x63fa0240,0x42900630}},	//   _chernobi, _inloggni, _gusuna_, _gplaw_, 
   {{0xc20e015e,0x52ec0183,0xc2030066,0x6c6001f7}},	//   _барак_, _febroary_, _босоод_, _costats_, 
   {{0x79c6003b,0xf49b012c,0x2d8e036c,0x97e302b2}},	//   _kusebent, _majambaz, _pitondra, _побили_, 
   {{0x5e3d00c5,0x335500ae,0x98680133,0x00000000}},	//   _股票理财大学_, _arifuka_, _finiinsu, --, 
   {{0x429102d5,0xedd4010f,0xe8d5045d,0x8071046f}},	//   _tagada_, _ленинобо, _tipsarev, _bananajo, 
   {{0xeb3401f0,0x952e0021,0x579300d9,0xb27000dc}},	//   _babatlis, _acintosh, _секретно, _lafilafi_, 
   {{0xd4ad033f,0x8fc8006c,0x42cb0251,0xef460314}},	// [d1a0] _fetapaak, _abangizo, _hurdo_, _сафуан_, 
   {{0xe9130092,0xaae503d0,0x46cd0085,0x496701aa}},	//   _それぞれの上記の, _podrijet, _leyatini, _angiblet, 
   {{0x937100c5,0x6868001b,0x425a0064,0x0c60011b}},	//   _国家食品药品监督, _ciniinsu, _talles_, _libunga_, 
   {{0x92fc0101,0xe2df03e8,0xc2490226,0xe7730094}},	//   _subiect_, _nogomet_, _azamba_, _قامداۋدى_, 
   {{0xc290007e,0xa96001be,0x947b0368,0x823b007f}},	//   _bahavo_, _सामन्य_, _школама_, _deilwng_, 
   {{0x2e9e01e5,0xe3ea024f,0xf2eb01db,0xe35603d1}},	//   _imúra_, _osota_, _سەلتەڭىم, _kasetes_, 
   {{0xe08700c5,0x41fc0016,0xd9cd0073,0xe7570152}},	//   _并自负法律责任_, _פּסיכאָל, _memorava_, _тарихлы_, 
   {{0x43ea01d3,0x525102a5,0xbd5e01a3,0xfe8301b3}},	//   _trots_, _मेनेजर_, _اٽڪائيند, _романом_, 
   {{0xf3ea0414,0x965f0119,0xb2920476,0x42e60100}},	//   _asota_, _lichtenf, _aisada_, _stanara_, 
   {{0x3e940090,0xafc901f6,0xaf240013,0x1e92013c}},	//   _akamutan, _periodar_, _апрелдан_, _zəminind, 
   {{0x549901f6,0xd7a90244,0xde510418,0x40e70171}},	//   _সংস্কৃত_, _valutazi, _dayanama, _proizvel, 
   {{0x029201ef,0x32900105,0xd6d103a2,0x3eab02a1}},	//   _visada_, _holandii_, _करगिल_, _pastorie_, 
   {{0x1c9102f6,0xf2410082,0xa2da01da,0x6290002f}},	//   _magulang_, _tsammani_, _aurela_, _aplao_, 
   {{0xf9aa003a,0x325a03ea,0xf3e202ee,0x72f000b9}},	//   _молия_, _salles_, _korrenti_, _carilah_, 
   {{0x90c70125,0xc23b02c2,0x8180002b,0x49cd0461}},	//   _динине_, _veiling_, _শতাব্দীত, _demorava_, 
   {{0x593f030b,0x94ec0092,0x8200009a,0xe2d80138}},	//   _abamenya_, _配送と返品につい, _audiyo_, _mynet_, 
   {{0x63b10047,0xd224002f,0x938002aa,0x7279017a}},	// [d1b0] _travail_, _allku_, _potrat_, _angiboni_, 
   {{0x00000000,0x00000000,0x00000000,0x00000000}},	//   --, --, --, --, 
   {{0xb2d90450,0x00000000,0x00000000,0x00000000}},	//   _hegere_, --, --, --, 
   {{0x732a04f0,0x19ff026b,0x5e38000b,0x0d580097}},	//   _leihlong_, _medellín_, _sevaaeta, _tọ́jú_, 
   {{0x33eb032e,0x87280235,0x070100cb,0x441f0066}},	//   _waytir_, _प्रश्नस्, _akaboshw, _turismok, 
   {{0x19720029,0xa9a6004d,0x28d7029d,0x947700e0}},	//   _هیچکات_, _如對稿件內容有疑, _bugetulu, _otterdok, 
   {{0x8232023d,0x9c2404a6,0xd6e20022,0x4ec2042d}},	//   _esempio_, _finansir, _темаларҙ, _anenenan, 
   {{0xbb0302d3,0x6c6f018f,0x921a00cb,0x32f40355}},	//   _донесе_, _luhutlh_, _барӯманд, _dobivam_, 
   {{0xd394032e,0xe031000f,0x9cab010d,0x00000000}},	//   _ayistu_, _bilanços, _अंतराळात_, --, 
   {{0xced10026,0x84130244,0xea2c004b,0x0f4f006c}},	//   _상품가치가_, _модела_, _табиптар_, _abaphase_, 
   {{0x4c7d02d4,0xd26d02ef,0x94a001db,0x92540059}},	//   _porscha_, _bobori_, _سۇيەتىن_, _videocam, 
   {{0xfc7d03d5,0xf3fa03a0,0xe3ac010d,0xefe90193}},	//   _freshen_, _busula_, _paspor_, _पुराणात_, 
   {{0xd9fb02e5,0x585e02fd,0x2a00034d,0x039400cf}},	//   _amoangat, _fearghas_, _jasadnya_, _dhisee_, 
   {{0x72d9023b,0x43ea01e9,0xe3f2020b,0x56e702b6}},	//   _degere_, _dintsi_, _direlang_, _карлаг_, 
   {{0x336b03ac,0x0dbf014b,0x3c9103a2,0xbcbf0015}},	//   _lengkap_, _damaanat_, _गिलोय_, _damaanad_, 
   {{0x9d3d0157,0x68de014b,0x96220132,0xf29006a2}},	//   _polityce_, _amaggaru, _finanszí, _gahato_, 
   {{0xc2f00308,0x00000000,0x00000000,0x00000000}},	// [d1c0] _tazilah_, --, --, --, 
   {{0x7c7d0390,0x37890475,0x0f340024,0x76c50374}},	//   _norveç_, _корневой_, _কৰায়ে_, _adashish, 
   {{0x42d002dc,0xdfc701f2,0xe2d000da,0xd3a001aa}},	//   _ocultas_, _җирарни_, _norocul_, _astynay_, 
   {{0x420002e4,0x2bb30181,0xdcbc02fc,0x00000000}},	//   _bagit_, _awakifur, _babahutu_, --, 
   {{0x2f4e0125,0x99ee026f,0x823b005b,0xff860161}},	//   _айылганч_, _بەتپە_, _feilung_, _автомойк, 
   {{0x22d900a5,0x620102c2,0xac19015a,0x20e20046}},	//   _lavea_, _poging_, _amanamuu_, _بەيىجىن_, 
   {{0xfa830348,0x1d970265,0xe941016e,0x6a700291}},	//   _abazimba_, _veroorza, _milliyet, _للسمارت_, 
   {{0x42cb06d5,0x620002f3,0x0da802fe,0x426c02e7}},	//   _burde_, _tagit_, _abhidisa, _bukog_, 
   {{0x9c6e02cb,0x9fdb0010,0xe2290074,0x8c0a030d}},	//   _starija_, _baphosto, _правозащ, _biruzə_, 
   {{0x12550270,0x63ac01ad,0x226c003b,0x92000008}},	//   _interram, _basper_, _iclose_, _hagis_, 
   {{0x725a021e,0x40ff0013,0x42ff012c,0xf2960147}},	//   _kallas_, _mashinal, _mashine_, _تايزۇڭ_, 
   {{0xf33d02fe,0xe8e90418,0xa2fc0451,0x62cb0432}},	//   _کیداي_, _dosyalar_, _efoga_, _turde_, 
   {{0x925a00cf,0xe2db0039,0x64af006e,0x520002f3}},	//   _mallas_, _europar_, _cammooñ_, _dagis_, 
   {{0x3eac002e,0x4d9200a2,0x4d05027f,0xfe3501aa}},	//   _donošenj, _polepole_, _kworoher, _attackwa, 
   {{0xf0ce0277,0x57c703a1,0x5e70010d,0x12c60259}},	//   _ribonucl, _банков_, _खिन्न_, _hjulene_, 
   {{0xbe56041a,0x62350046,0xb975053f,0x02910140}},	//   _частина_, _ئندوستان, _puripkit, _kagaya_, 
   {{0x0a79008d,0x82910562,0x9c600059,0xe52c00de}},	// [d1d0] _латвияда, _bagaza_, _известяв, _awayenaz, 
   {{0x72ad02eb,0x8e8e0185,0x82b90299,0x00000000}},	//   _үзэмчин_, _банкының_, _ئوپېرا_, --, 
   {{0xb2490225,0x5dad0420,0x8c690057,0xac040117}},	//   _anaman_, _condomín, _jibrail_, _speseli_, 
   {{0xa38700c3,0xd4b10076,0xa88a04a5,0x7e320691}},	//   _fuerat_, _inscriçõ, _kuphendu, _emblemas_, 
   {{0xb3ea036a,0x599b0559,0xa89b05db,0xc1e9012e}},	//   _eroti_, _abakhule, _abakhulu, _کےپاس_, 
   {{0xf2ad018d,0x8a090255,0x2ae1021f,0x26a00122}},	//   _ኣፍቅዱለይ_, _magamist, _boottett, _سلطانیه_, 
   {{0x29c60148,0xd97501da,0x0f170006,0xa3ce0315}},	//   _東森新聞報_, _kuriozit, _mendoron, _amave_, 
   {{0x6e0b012a,0x1eb20291,0x72910322,0x5e520315}},	//   _noweliza, _luasaire_, _bagaya_, _kubanika, 
   {{0x24df0220,0x52ea0057,0xf3c00331,0x484a01a3}},	//   _основата_, _garisan_, _forvitni_, _دفنائڻ_, 
   {{0xe2d90016,0xcf1500bd,0x02cb00a8,0x00000000}},	//   _tibeto_, _hinderan, _dadoura_, --, 
   {{0xd72c000c,0x63470299,0x2df40122,0xf69b02f0}},	//   _chascomú, _جادۇگەر_, _diajarke_, _kulemphi, 
   {{0x238700c3,0xcc5300d1,0x70840291,0x42f1024f}},	//   _fuerit_, _হিন্দ_, _أظافر_, _viribai_, 
   {{0x126c00fa,0x00000000,0x00000000,0x00000000}},	//   _bukod_, --, --, --, 
   {{0xc65b02be,0x7c710194,0xd2d80052,0x2a5d027b}},	//   _halimbaw, _possede_, _synem_, _कुरुनन्थ, 
   {{0x363e0057,0x6e480239,0x83a304c3,0xf291001e}},	//   _የሚጠራውን_, _tamahine_, _coppy_, _zagaya_, 
   {{0xa2480172,0x1c1702aa,0xee4d015f,0xc69b033d}},	//   _nyimpa_, _pestré_, _clustiau_, _fráncia_, 
   {{0x2b4a01a6,0xeb7f0097,0x00000000,0x00000000}},	// [d1e0] _ngatiawa_, _sisọrọ_, --, --, 
   {{0x86360016,0x23ea0200,0x2200047b,0xd224021b}},	//   _ייִוואָ_, _osote_, _bagir_, _polku_, 
   {{0x82fc002f,0x2379008d,0x9880002f,0xf30e00ca}},	//   _achitus_, _yarasha_, _aykilimu, _alabesa_, 
   {{0xa23f02cf,0xc7ec03b4,0x027f03b0,0x31fa0188}},	//   _останете_, _achateng, _utanom_, _abanesim, 
   {{0x06b702ac,0xa2180012,0x62e60080,0xd2e80370}},	//   _ياباني_, _जूँजिये_, _atanera_, _bibitna_, 
   {{0x02920090,0x0b5e02ea,0xf2300193,0x00000000}},	//   _aisaya_, _брони_, _berjam_, --, 
   {{0x12920433,0x995600d0,0x6f520176,0x75c7009a}},	//   _bisaya_, _sakontze, _alfanous_, _جراحۍ_, 
   {{0x9ae80003,0xa68d0022,0x00000000,0x00000000}},	//   _geworden_, _комбайнд, --, --, 
   {{0x32fc0360,0x83ea0200,0xb34d002b,0xf9800040}},	//   _designu_, _esote_, _পাড়ের_, _indictme, 
   {{0x40b103ff,0x196c00b4,0xbfd80011,0x45f0021a}},	//   _maximáln, _faliment, _akanaako, _barmaati, 
   {{0xec9104ad,0x39c2023c,0x80150263,0xa0df011a}},	//   _bodutung_, _asimahla_, _kinderpo, _הממסד_, 
   {{0xa4f600da,0xc3ea0387,0x87cd0243,0xa7ab0037}},	//   _графия_, _isote_, _kassitam_, _የማዳረስ_, 
   {{0x326c048c,0x69e50097,0x0429029b,0xf27b030d}},	//   _ablout_, _ibasọrọ_, _demandoo_, _faciəli_, 
   {{0x7bb0001f,0x32eb0329,0xf14d029a,0x38d800c7}},	//   _benyamin_, _difisil_, _victimho, _кактусла, 
   {{0x72910082,0x3d9b00b8,0x72e005b7,0xd9bf0400}},	//   _magana_, _parlasma, _kazneno_, _agnellet, 
   {{0x8d2c01f1,0x5b0c04dc,0x00000000,0x00000000}},	//   _policise_, _فادین_, --, --, 
   {{0x62fe03c3,0x63590088,0xfecd0329,0xec8800db}},	// [d1f0] _drugom_, _situació_, _lasistan, _tudengid_, 
   {{0x4c7400d6,0x56a200ec,0x32660092,0x00000000}},	//   _بنانيت_, _лірыка_, _metrosel, --, 
   {{0xa2d8012b,0xc2470031,0x62cb000f,0x924902c2}},	//   _rynek_, _evaluasi_, _hurda_, _snyman_, 
   {{0xbc690172,0xa2d906a2,0x00000000,0x00000000}},	//   _yesusuw_, _bibero_, --, --, 
   {{0x97fa0125,0x03940322,0x3b1b0180,0xc06e006d}},	//   _сакафети, _ahishe_, _tisasyon_, _адлівы_, 
   {{0xb200046d,0xe29100f2,0x8a7a01aa,0x1f140040}},	//   _mulilo_, _ostas_, _alloweds, _סנטימטר_, 
   {{0xe2910257,0x2154050b,0xa64f03b8,0x62f20032}},	//   _dagana_, _खल्लास_, _ипотекал, _jijivpu_, 
   {{0x02010032,0x69800138,0x00000000,0x00000000}},	//   _dawiv_, _indireme, --, --, 
   {{0x2c99045e,0x2f07008d,0x8a220064,0x62920235}},	//   _техните_, _قاچیقین_, _откон_, _antato_, 
   {{0x8291040d,0xefee0390,0xdf5d0115,0x14cf00be}},	//   _nagana_, _partlayı, _dipanjan, _оперейти, 
   {{0xe924001a,0xa11605b5,0x00000000,0x00000000}},	//   _مسلمانوں_, _emérito_, --, --, 
   {{0x8f4a01ef,0x095f01d1,0xadb4030f,0xf69e0255}},	//   _laisvala, _sponsore, _tungāne_, _स्वार्थभ, 
   {{0x4291017e,0xc9fa0326,0x8c5500e2,0xb3b001f4}},	//   _estas_, _musikana_, _britske_, _aqiqa_, 
   {{0x1f070076,0x2f0200c8,0xd7300247,0x7c7702fe}},	//   _disponív, _лекцияла, _میدانی_, _alisoze_, 
   {{0x12490382,0xf38204ee,0xfaf401b0,0x427e0148}},	//   _akume_, _ekeresim, _bobogaan_, _ruinam_, 
   {{0x79a80057,0x326900fc,0x830c0309,0x24a700a4}},	//   _እናያለን_, _bingongm, _hesabat_, _بايرقى_, 
   {{0x76eb0210,0x8b4300d7,0x00000000,0x00000000}},	// [d200] _achaitaw, _төрөнә_, --, --, 
   {{0x225b03b0,0x129100dc,0xaa280063,0x56b700c4}},	//   _spelar_, _gagana_, _يتميز_, _ساٿاري_, 
   {{0xac6e0285,0xeea701db,0xb249012d,0x840302c4}},	//   _ngaruka_, _بايپاعىم, _siaman_, _мозаици_, 
   {{0x9200040b,0x82cb0075,0xc85402fe,0x56d40178}},	//   _kulilo_, _burdi_, _يونيم_, _anyasahi, 
   {{0x22e302d8,0x2c040272,0x8f3b0076,0x239403dd}},	//   _तपशील_, _anasosi_, _guardana, _shishe_, 
   {{0x829201f5,0x7a4100c7,0x63160053,0x00000000}},	//   _disana_, _уйлаган_, _त्रिवेनि_, --, 
   {{0x729100bc,0x0291000b,0xf91b0040,0x2e13017f}},	//   _istar_, _vagana_, _ספארי_, _suleriaa, 
   {{0xe7350135,0xd5b20287,0xc20d0040,0x1291012d}},	//   _алалар_, _pronájmu_, _מסתדר_, _wagana_, 
   {{0xf3f9023d,0xc86a0375,0xd39402ef,0x97b800c4}},	//   _sicuro_, _akanizid, _ajiste_, _سوجهرو_, 
   {{0x12e70292,0x374800da,0x63fe009b,0x50640358}},	//   _kannifo_, _каналулу, _ekologik, _entansyo, 
   {{0xbb5500b3,0xc3e70287,0x7a12042a,0x4d8201f6}},	//   _bildiren_, _cítit_, _anganake, _skulesta, 
   {{0xe38001b9,0xb9070192,0xe8980013,0xd75e0025}},	//   _antret_, _부탁드려요_, _фарқи_, _आकर्ण्य_, 
   {{0x7d500056,0xdc6e0069,0x37b600e4,0x025b020c}},	//   _хабарӣ_, _agaruka_, _tabletek_, _dialih_, 
   {{0x92e90073,0xe379012e,0xc92a005e,0x97fe032d}},	//   _cavilia_, _baranya_, _سوتچىغا_, _айырмаһы_, 
   {{0xb29901ee,0xf3790227,0x02ca028d,0x329001bf}},	//   _николаев, _caranya_, _gendoo_, _moland_, 
   {{0x82f90283,0xf2910195,0x152e0261,0x62910028}},	//   _canhgya_, _astar_, _respekto_, _nagala_, 
   {{0xd86a0210,0xd33c0074,0xdd1603e0,0x69c003b4}},	// [d210] _akanakid, _фантазии_, _akustesc, _anyenget, 
   {{0xa6c900b3,0x5c550142,0xfc89033a,0x07d50153}},	//   _халаллыг, _ashtame_, _diofantu_, _値下がり率_, 
   {{0x581400b3,0xa0f00321,0x92cb01f4,0xc6c500ba}},	//   _бердиңиз, _iskalnik_, _surdi_, _یووسف_, 
   {{0xf25002c9,0xc3870166,0x77580255,0x834a0274}},	//   _легат_, _sterne_, _पान्डेय_, _tiltekið_, 
   {{0xd9b50037,0xf8b705b6,0x13ea02c7,0xb6340297}},	//   _ማሰወገድ_, _vektorov, _abitur_, _dinastiä, 
   {{0x62d30108,0x57ca01f7,0xd977004d,0x00000000}},	//   _bobotoh_, _baussani, _不是規矩多_, --, 
   {{0xa3860202,0xdcdb0148,0x17e3002e,0xe3260060}},	//   _akorin_, _pervenir, _oglašiva, _سارىنى_, 
   {{0xbc7801f2,0x8d920018,0xa2cb0141,0xdebe016e}},	//   _تەخمىنەن_, _bolebole_, _turdi_, _kendiliğ, 
   {{0x41af01d5,0xb4300025,0xe97202ff,0xc51d034c}},	//   _موروثی_, _जन्मान्त, _manifakt, _торвальд, 
   {{0x4eb20073,0xb2e90298,0x0d8c004d,0x7c17014a}},	//   _excessos_, _miriona_, _一周經濟回顧_, _zalaeger, 
   {{0x7e450300,0xf3960029,0xd2480176,0x7a4200ba}},	//   _reklamač, _پاسپۆرت_, _akemi_, _دێڤید_, 
   {{0x32b602fc,0x3b320462,0x4e4f0238,0x961c0102}},	//   _abadage_, _alicious, _одиниць_, _ukamilif, 
   {{0xd9de036e,0x7c6c0061,0x82900347,0xee5a011a}},	//   _multimid, _actueel_, _boland_, _spectrop, 
   {{0x32fc02c1,0xe26e02c1,0x63a30040,0x8340021e}},	//   _ngoga_, _serivisi_, _מאכזב_, _alvesta_, 
   {{0x52910068,0x57da01bd,0x0eaf00ea,0x5b1a0126}},	//   _lagama_, _округі_, _famonoan, _toppmode, 
   {{0x1e620424,0x51bd0177,0x03f80303,0xaf5b009c}},	//   _imobilia, _диттә_, _dikuno_, _balansan, 
   {{0x46d5032e,0xa16e0153,0x6e330555,0x00000000}},	// [d220] _amachasi, _日本輸出入銀行_, _byggebla, --, 
   {{0x7248022a,0x3c160116,0x00000000,0x00000000}},	//   _levoluti_, _chaosmod_, --, --, 
   {{0x61110125,0x729201c7,0xa57600e5,0x00000000}},	//   _bashdaky_, _dawasy_, _multiuso_, --, 
   {{0x52910265,0xd5cd03b9,0x8b130026,0xf6e0017a}},	//   _wstar_, _jasaptay, _belangen_, _angasemf, 
   {{0xf2900036,0xd40600a9,0x52910117,0x1278013e}},	//   _yoland_, _bahinduk, _istap_, _letnje_, 
   {{0xe2ca019f,0x30f602a2,0x24ae040f,0x22d20125}},	//   _dhidi_, _pahintul, _nepatink, _azaldyp_, 
   {{0xb2a7016e,0x818b03cf,0x6d850242,0xd0dd0211}},	//   _çabuk_, _misafirl, _meyvələr, _ученики_, 
   {{0x00000000,0x00000000,0x00000000,0x00000000}},	//   --, --, --, --, 
   {{0x740000bf,0x9d9304ad,0xdb130065,0x8628000b}},	//   _открылся_, _bolesome_, _gelangen_, _iunivesi, 
   {{0x43ea019b,0x189202b9,0x329104e6,0x62cb0418}},	//   _асяроддз, _محاسبہ_, _sagada_, _durdu_, 
   {{0xf24802ee,0x6c5c0169,0x6a34033e,0x88780191}},	//   _skemi_, _বুদ্ধ_, _caballér, _avundsju, 
   {{0xa27f04c0,0xcfe005d5,0xf237003a,0x3224012a}},	//   _nuanom_, _deciplic_, _hammaga_, _rolki_, 
   {{0xaa450282,0x827c002b,0x39be0139,0x2f3c00be}},	//   _hinekura_, _ছাড়পত্র_, _bāhlikaḥ_, _نىگەرىيا_, 
   {{0xd68c014e,0xd3e5036f,0x1224012a,0xa3e300f0}},	//   _образовн, _srednjeg_, _polki_, _expertov_, 
   {{0x7eea04ee,0x299104a1,0x5f4a03b0,0x041d028a}},	//   _jentaịl_, _anskaffe, _versjona, _گانگٽ_, 
   {{0xa3c700c8,0xc2bf0425,0xd2cb0418,0x0d09065c}},	//   _хронос_, _زمکان_, _kurdu_, _bawoyise_, 
   {{0xddf001c5,0xc55e0044,0x826c023b,0x929400a0}},	// [d230] _انہور_, _אקססוריז_, _kalohe_, _alkalami_, 
   {{0xf2020165,0x9170038c,0x92d90255,0x125a0461}},	//   _cawiri_, _povlači_, _tegelt_, _sabla_, 
   {{0x8628040b,0x4e3d0276,0x096501b5,0xf6d000ef}},	//   _yunivesi, _جاراڭلىق_, _herisiwe, _ayisiyiy, 
   {{0xdcb30202,0xe40d02fd,0x910904c8,0x91d300e6}},	//   _nipasẹ_, _cairdean_, _tekniċi_, _安全生产监督管理, 
   {{0xa2ed011e,0x42010035,0x209600bb,0xa37f00a8}},	//   _mezirab_, _bigiev_, _شاہجہاں_, _andanta_, 
   {{0x105b00be,0xd52601e0,0x9c19021f,0x0a2802c0}},	//   _اكتىپدۉۉ_, _کاندیده_, _amanamtu_, _панкреас, 
   {{0x35a107c2,0x52da00a9,0xf34c020f,0x223702af}},	//   _युवती_, _kurema_, _اتڼونو_, _iyimena_, 
   {{0x26c50208,0x513e0125,0x42cb03a4,0x1c6400ec}},	//   _دورست_, _ишлап_, _burdu_, _kituose_, 
   {{0x3c5700be,0xf2d900d7,0x9c660224,0x9e3e01d2}},	//   _توولارعا_, _chaena_, _settist_, _caballop, 
   {{0xf6e8032e,0x82cb0138,0xf7690037,0x622a0188}},	//   _janchini, _vurdu_, _ይቀመጣሉ_, _шодам_, 
   {{0x42ca02b1,0x91dc0156,0x563702c2,0x1a440011}},	//   _akida_, _אפרוען_, _mannetji, _amadinda_, 
   {{0xc29102ec,0x926c02b7,0xa24f0396,0xed8e0147}},	//   _magaca_, _yaloke_, _bellizzi_, _تۇزچالىق_, 
   {{0x307002af,0x19b401ce,0x1c66001c,0x00000000}},	//   _bagatomo, _یخبندان_, _masurub_, --, 
   {{0xc2eb05f4,0x7947014e,0xe3f8020e,0xd03603a2}},	//   _divisio_, _цитате_, _dikulo_, _गेंहू_, 
   {{0x135b03db,0x2a02002b,0xb61f0584,0x00000000}},	//   _bengena_, _কেউবা_, _hipnótic, --, 
   {{0xb2cb0229,0x1ecd01d1,0x50650177,0xca1600af}},	//   _yurdu_, _seminars_, _мгәыӡырх, _таврія_, 
   {{0x53ea014b,0x90d8018d,0x034702e3,0xd658028e}},	// [d240] _lukten_, _ኣምላኾም_, _vcmedia_, _minimobw, 
   {{0xd62803b2,0x07e00181,0x252801d1,0x6eb60005}},	//   _activiti, _afspilni, _activity, _cazzetta, 
   {{0xd248064d,0x14d70109,0x63f301ab,0x452b0294}},	//   _ekemu_, _मितिले_, _हँउअन_, _hapiwach, 
   {{0x5cf70257,0xc5fd01f7,0x08590121,0x94e90488}},	//   _leitaror, _submergi, _resaltar_, _dizainā_, 
   {{0xd355058f,0xd5bd0277,0x43f7003e,0xb6050291}},	//   _comezar_, _binayloh, _таянған_, _تكنلوجيا_, 
   {{0xe396011f,0x8a6b048a,0xe7ec0210,0xadb50303}},	//   _anusim_, _етжеңді_, _achaveng, _bodiraga, 
   {{0xe789032b,0x7290054f,0x58ab008d,0x43a30193}},	//   _наразили, _nplas_, _مسئوللری_, _lippo_, 
   {{0xa29200f9,0xf63a00d3,0x5d9c02b2,0xf3aa00aa}},	//   _bisaba_, _prihlasi, _споруд_, _batasang_, 
   {{0x8c00015e,0x79c40031,0x725a0138,0x00000000}},	//   _passant_, _मिश्रणात_, _kablo_, --, 
   {{0x12910440,0x22e10749,0x2c7802eb,0x66560306}},	//   _bagaca_, _akunayo_, _нэхсэн_, _archidii, 
   {{0x7e270163,0x9cb9032d,0x82fe009f,0xf5af00d1}},	//   _قراردیتے_, _һәләт_, _drugam_, _লাইখুটা_, 
   {{0x2ab9018d,0xa3860417,0xb2920658,0xca1a0094}},	//   _ዘልዓልዎ_, _opdrag_, _votado_, _شىققانى_, 
   {{0xcf1f0184,0xc2100102,0x00000000,0x00000000}},	//   _bimugeta, _washkaji_, --, --, 
   {{0xe1850192,0x57be02c3,0x625b0003,0x22e9015c}},	//   _행정자치부_, _neprehli, _speler_, _regioun_, 
   {{0x42d8015f,0xf6b802e0,0x6e2001bb,0xd2ac0291}},	//   _dynes_, _berekelw, _çölde_, _سيليكون_, 
   {{0xbe4d0024,0xf2db0217,0xbb0902ef,0x4ea0033e}},	//   _গায়িকা_, _arrogar_, _disfonks, _imirĩve_, 
   {{0x52550158,0x0a7e042a,0xd359003e,0x43820024}},	// [d250] _मंगेतर_, _bahlalis, _марафоны, _নকৰোঁ_, 
   {{0x0ffa0488,0xe62003c2,0xe2cb0207,0x00000000}},	//   _azartspē, _blunderi, _inadai_, --, 
   {{0x23a3005b,0xf25a02d5,0x38e10204,0x16f102af}},	//   _zippo_, _kallis_, _blogitod, _barabamw, 
   {{0x7c2a018d,0x92190013,0xbc6600be,0x283d0153}},	//   _ኣምነስቲ_, _баробарг, _шарынын_, _システム開発_, 
   {{0x69fa01a6,0x32da0285,0xd6010086,0x3e27003d}},	//   _kirimana_, _kureka_, _شناسا_, _animalas_, 
   {{0x22fc007b,0x6f400071,0x9a71009a,0x83fa014c}},	//   _spigot_, _ریحانا_, _banamava_, _lusuka_, 
   {{0xe2fe01cd,0x7cf80155,0x0e1102ca,0x43d10061}},	//   _bathole_, _textstor, _eascraío, _글루코사민_, 
   {{0xa3fa017f,0x7c05032d,0xf58f009a,0xad190291}},	//   _nusuka_, _кумитэ_, _مسائلو_, _أبرزها_, 
   {{0xafd9018d,0x32ca0176,0x62e9025b,0x013702f3}},	//   _ብቴሌፎን_, _shido_, _sosiala_, _hantverk_, 
   {{0x903a0074,0x37d902eb,0x317b0287,0xb28801da}},	//   _заключен, _сарантуя, _propraco, _bruksel_, 
   {{0xb2900035,0x23ea0499,0x8291015d,0x62cb0102}},	//   _alnaş_, _esoto_, _ustaw_, _anadai_, 
   {{0x779500f2,0x1e560049,0xf3f8028f,0xfa970109}},	//   _nostipri, _femavahe_, _kuputuhi_, _हर्मोन_, 
   {{0x2f7f05da,0x93fa0085,0x918600ef,0x5f5800de}},	//   _bomberos_, _musuka_, _badandul, _kuzakwen, 
   {{0xb8860279,0xf348041e,0x4266008d,0x40ae020a}},	//   _dunkerqu, _agneddi_, _merosini_, _ернар_, 
   {{0x03d70409,0xe1b2017d,0x9f2303c2,0xbc610100}},	//   _参考になった_, _名無しさん_, _coplanar_, _pokrete_, 
   {{0x526c0100,0xe8bd022f,0x8cbc014e,0x9499044f}},	//   _mukom_, _нямала_, _описан_, _dilapork, 
   {{0xc9f203b9,0x22480543,0x22d90450,0x9a5f012c}},	// [d260] _apanisma_, _ajemo_, _bewege_, _rwamakub, 
   {{0x5e3e03d8,0x795903db,0x17f502fd,0xf95a014c}},	//   _onemoguć, _abalahle, _boraraig, _ayinakwe, 
   {{0x4c1e015e,0x760f0129,0x449301a3,0xa2900235}},	//   _propers_, _ịwechapụ_, _ھمراھن_, _daharo_, 
   {{0x32d801d0,0xc20002b5,0x2292005b,0xcd85002f}},	//   _synes_, _dagiz_, _misaki_, _bimembre_, 
   {{0xa17f033f,0x55d001a7,0x544e00bf,0x50340061}},	//   _kitautol, _квартиры_, _монголои, _가위바위보_, 
   {{0x5ece0007,0x429204d8,0xe95301cc,0x767e003e}},	//   _plaisirs_, _lawada_, _asmaraṇa, _ditelevi, 
   {{0xfeaa0285,0x3e480174,0xa2b600b4,0xbdbd00bb}},	//   _baturage_, _senamune_, _marcat_, _مدھوبالا_, 
   {{0xba710318,0xe2910230,0x12d9029b,0xda8803f0}},	//   _fanakava_, _nstat_, _dewede_, _erlingss, 
   {{0x9ec10486,0x794d04e5,0xff2102ac,0x929202cb}},	//   _कलाकारहर, _aboogere, _leithlea, _pisaca_, 
   {{0x2d920085,0xd8580260,0xe264000f,0x47d40350}},	//   _golegole_, _labregos_, _bitlis_, _ግለሰብም_, 
   {{0x22d803b0,0x0c6a018d,0xaf2c00dc,0x22910139}},	//   _syner_, _ብምስዳድ_, _koleniin, _astau_, 
   {{0x32490150,0x8ff5006d,0x2b0c009b,0xf6810126}},	//   _kiaman_, _pakrantė, _зурна_, _modereri, 
   {{0x5a51017f,0xb2da03db,0x00000000,0x00000000}},	//   _naammass, _igreen_, --, --, 
   {{0xfe5b0246,0x2ca80156,0xec7f01ac,0x92b700ee}},	//   _изберете_, _בעזהשי_, _einsím_, _диснейн_, 
   {{0xe7d00444,0xa348005a,0x00000000,0x00000000}},	//   _книге_, _boretlh_, --, --, 
   {{0xdf3b01d9,0x1d3601d5,0xb87c0361,0x9638040f}},	//   _appleric_, _مفرور_, _функциям_, _каранацы, 
   {{0xc27e0024,0xeaf20322,0x087a00d9,0x7b0d0061}},	// [d270] _tekne_, _aciririt, _kauhistu, _자발적으로_, 
   {{0x3b7300da,0x029202ec,0xc13f04e5,0xeaa402eb}},	//   _ворбиць_, _hawada_, _abatongo, _зуршил_, 
   {{0x13ea01c1,0x329201c5,0xc30101ab,0x93de06a0}},	//   _cintai_, _kawada_, _detaili_, _kaswal_, 
   {{0x02fc037f,0x6249020f,0x6c73015e,0x418f00e7}},	//   _çingiz_, _abembi_, _تارقالدى_, _almansay_, 
   {{0xe24903da,0xd23603ac,0x8f4001de,0x00000000}},	//   _nkume_, _panjat_, _кенжебек_, --, 
   {{0x91240016,0x72c40220,0xc24900e9,0xfc28011a}},	//   _שטאפלן_, _стартира, _diaman_, _יתאימו_, 
   {{0x451c045e,0x029002e7,0x3db00218,0x94b20080}},	//   _кюстенди, _aplay_, _acticalp, _aliasukk, 
   {{0x249c0010,0xedc90456,0xfa1f0088,0x00000000}},	//   _angachaz, _berkeupa, _апрелине, --, 
   {{0xf2d90160,0xf38e00ef,0x50770205,0xfdb4020f}},	//   _mozemo_, _ebusweni_, _турмакла, _انسټال_, 
   {{0x7a9700e7,0xd7ad00d1,0x525a033f,0x358503e2}},	//   _achieves, _পক্ষপাতব, _luoluo_, _taxonomí, 
   {{0xcae70024,0x233f002b,0x5dbd018f,0xe2cb01fc}},	//   _নেপালী_, _জন্মস্থা, _dachusqa, _hurdi_, 
   {{0xf05f00bb,0x6b93031c,0x36ae03b5,0xd05200d2}},	//   _کماری_, _visitado_, _melumpuh, _bongbolo, 
   {{0x425a0288,0x45510024,0xe951001b,0x12b60040}},	//   _rable_, _পাহাৰীয়, _caalaatt, _משפחתה_, 
   {{0x62df038f,0xa8b602c2,0xbeab00c5,0x1db90255}},	//   _digoret_, _hartseer_, _胶南市文化局_, _कृष्णानन, 
   {{0x1b83028e,0x5f180211,0xbb700307,0x2c8a0061}},	//   _avunatar, _публично, _kokufuna_, _모터싸이클_, 
   {{0x6b9a0060,0x12e20242,0x5a0b001c,0x9a5c0076}},	//   _ايماقتان_, _barışıb_, _nakatala_, _божиновс, 
   {{0x620e0185,0x14550420,0x6ffb0109,0xaae00296}},	// [d280] _тамар_, _imediato_, _बिबाहको_, _kartonge, 
   {{0xf9b700bf,0x026c035e,0x29d90334,0x75a2026c}},	//   _пределы_, _sukob_, _changata_, _indignum_, 
   {{0xf1860093,0x4a1b01ac,0x86f102fc,0x46250253}},	//   _северных_, _اعتزال_, _bababajw, _betonimi, 
   {{0x847e0187,0x8a09020e,0xdf6301a3,0x4c6701fc}},	//   _видов_, _bolaeloa_, _الهڏنو_, _hulutta_, 
   {{0x93db018d,0x46d10010,0x41db0170,0x85f7021c}},	//   _ጉርብትና_, _akagcinw, _achotsem, _repertoá, 
   {{0x227f02cb,0xf24801c5,0xc27c0007,0xcc200272}},	//   _hranom_, _dhiman_, _atongaki_, _agasalib, 
   {{0x698d03a2,0x3e54018f,0x53dc029d,0xe39502c5}},	//   _बहुराष्ट, _coupland_, _симфоние_, _chashe_, 
   {{0x712600ff,0xc5b6027f,0x08a70163,0x19380314}},	//   _שטיפֿמאַ, _baratevy, _نوشکی_, _банкалар, 
   {{0x6fc70238,0x10bc0244,0x859400b3,0x91ba00e6}},	//   _дизайну_, _femminil, _anketany, _特殊情况协商解决_, 
   {{0x0ca80756,0x9c08013b,0x33a202d4,0x36e000be}},	//   _ग्रीटिंग_, _müritz_, _sempel_, _دانەگى_, 
   {{0x22b60233,0x9c4d005d,0xb7da013d,0x72cc04e5}},	//   _riscar_, _aguivévo_, _legantoj_, _amalawo_, 
   {{0x8789019b,0xaf3f0282,0xd618020e,0xa39402af}},	//   _pasveiki, _hingatan, _dipoloyi, _ikishe_, 
   {{0x538601f3,0x9c75015c,0x5d70038f,0xb2930258}},	//   _tvorba_, _miersch_, _bagadoù_, _diskear_, 
   {{0x4c62037c,0x976f00be,0x32a002ae,0xd0ef03d4}},	//   _lazurio_, _تاقۋالار_, _haljinu_, _najuspeš, 
   {{0x62fe047d,0xf7d50039,0xa6260025,0xf3160251}},	//   _lapidus_, _умард_, _प्रतितिष, _baabili_, 
   {{0x81830074,0x4a930078,0x2729028b,0x47e5010d}},	//   _платы_, _победио_, _роурц_, _अभिराम_, 
   {{0x029000c9,0xbbb2002c,0x9aed042c,0xc866041c}},	// [d290] _qplay_, _elikadur, _napustit, _ekkredis_, 
   {{0xd8200060,0x42ca0176,0x326c0678,0xfecd02ba}},	//   _الاشتان_, _munden_, _otcom_, _битарсед_, 
   {{0x9bf203dc,0xd4550540,0x8a6c0388,0x648a0332}},	//   _justinus, _tilveran_, _списъци_, _engranaj, 
   {{0xe3fc0240,0x91310115,0x0277050a,0x00000000}},	//   _wainibuk, _pratonto, _kaliteyi_, --, 
   {{0x23940184,0x3162001a,0xcc0000c5,0x026400e2}},	//   _akishe_, _وحدانیت_, _passent_, _gerlof_, 
   {{0x62ca0168,0x22000028,0xa07601db,0xe96b0371}},	//   _skadd_, _culimo_, _алтыбақа, _обезпара, 
   {{0xbd3a04bd,0x6f3f0303,0x42ca02ba,0x12ee00e9}},	//   _bipikane_, _dingatan, _akade_, _veritab_, 
   {{0xb3c50132,0xb65a0375,0x7248040f,0xedb5002f}},	//   _جادوئی_, _akukwani, _kuomet_, _christip, 
   {{0x03be0051,0x00000000,0x00000000,0x00000000}},	//   _pulveri_, --, --, --, 
   {{0x6e6805a2,0x57da0106,0x525a0434,0xc9410263}},	//   _गर्भगृह_, _सरंक्षण_, _habla_, _hierover_, 
   {{0x825a006f,0x1749017e,0xb24a00a5,0xf32403a2}},	//   _kabla_, _familioj_, _laumei_, _फ़ुज़िया, 
   {{0x32ec01db,0xd3ee037f,0xced70211,0x00000000}},	//   _ұлтан_, _millimiz, _прыгать_, --, 
   {{0xa3a30099,0xc1360403,0x76c20119,0xbcba00d1}},	//   _aippa_, _handresy_, _aserbaiy, _ভিনদেউৰ_, 
   {{0x3c5f0287,0x52010343,0x00000000,0x00000000}},	//   _mistrem_, _lawis_, --, --, 
   {{0x930102c1,0xd22a006d,0xa5da0142,0xd4440039}},	//   _imibare_, _нотах_, _anekakoṭ, _геннисий, 
   {{0xcecd02a0,0xe25b00b4,0xf2c405b7,0x00000000}},	//   _alaininn, _apelor_, _skrenuti_, --, 
   {{0x5d8b0037,0xa67600f3,0x573502ac,0xc25601b8}},	// [d2a0] _የመሰብሰቢያ_, _bathathw, _اخصائي_, _पालेबे_, 
   {{0xb7ef0092,0xa378020f,0x19c9015e,0x33cd0164}},	//   _ジャケット_, _هيلمن_, _القووسۇن, _халтидәк_, 
   {{0xcc4a02d5,0x8cff0422,0x0023000d,0xefa700d8}},	//   _ध्वनियन_, _preusmer, _kalevipo, _cervesas_, 
   {{0xf2460060,0x053d0444,0x478c0017,0xa42d0064}},	//   _استانادا_, _формируе, _प्रदेशको_, _proposen_, 
   {{0x1aa8027f,0xb25b0163,0x82d90053,0x91c604ca}},	//   _arakigab, _kalocsai_, _segede_, _beatritz_, 
   {{0xb2910266,0xa72b026f,0xa386012f,0xb87d03b2}},	//   _ustaz_, _ءﺍﻳﭙﻴﯔ_, _ijoran_, _campuses_, 
   {{0xbb640537,0x11c901de,0x26700081,0xd9aa0311}},	//   _contenda_, _актiлерд, _dagblöðu, _ኣዕነውቲ_, 
   {{0xeb3d016d,0x64010174,0x62da02da,0x80c1008a}},	//   _конферан, _kelohlok, _direto_, _apelepel, 
   {{0x12480102,0xddb20240,0x2361003d,0x12a0054a}},	//   _njema_, _galugalu_, _mantenem, _menjaju_, 
   {{0xbb51000c,0x6ed000f6,0xdc560515,0x4a15012a}},	//   _аднакыла, _kamerası, _hastate_, _zapoznać_, 
   {{0xcd620187,0xa28103c2,0xe38600dd,0xbdb800e6}},	//   _класична_, _apostacy_, _ladrad_, _上海市劳动和社会, 
   {{0xc4780382,0xc3400065,0x32010450,0x6f7c002f}},	//   _awugusto_, _inneren_, _jawis_, _embidyaš, 
   {{0x9224003a,0x62bc01e6,0xcc280255,0x664b0311}},	//   _sakkiz_, _kladivo_, _sunnitud_, _ዘባህርር_, 
   {{0xcf250388,0x1ab10342,0x80490046,0x89b60092}},	//   _selezion, _benjamen_, _санитард, _多くのかたに当社, 
   {{0xce68033a,0x9c660391,0xc2760256,0x9527019d}},	//   _кремлевс, _ларының_, _izlaidum, _chayaluk, 
   {{0xbe5301c1,0x519900be,0xd3a3039d,0x691a0366}},	//   _berangka, _اقدئل_, _ndapfu_, _старую_, 
   {{0x0387046c,0x55b700c7,0x3236022c,0x314b00f5}},	// [d2b0] _zuerst_, _sabantuy, _banjet_, _berenokl, 
   {{0xb29101b0,0x83ea038f,0xbc180274,0xc2900281}},	//   _sagala_, _pontif_, _matarger, _allalu_, 
   {{0x82000207,0xf3160272,0x34130107,0x72ca00c4}},	//   _kuliko_, _baibuli_, _واندر_, _ahadi_, 
   {{0x152d0220,0xb29102a2,0xf2480348,0xabef02aa}},	//   _proposto_, _bagama_, _ayimba_, _analýzou_, 
   {{0xf8b705f8,0x4340013a,0xba130019,0xcb9902f3}},	//   _оружием_, _anneren_, _институн, _århundra, 
   {{0xfc0002ff,0xe3790167,0x535600e6,0x7a2c003e}},	//   _gassant_, _digalon_, _以现状出让_, _маңҡортл, 
   {{0x5c6400df,0xcdc00066,0xbb090233,0x4cb2021a}},	//   _contenu_, _увертюра_, _colpolte, _bahachuu_, 
   {{0x025b04fb,0xa7e4027b,0x00000000,0x00000000}},	//   _hazlo_, _अपालयिष्, --, --, 
   {{0x83400364,0x083e0244,0xb2010119,0x00000000}},	//   _enneren_, _китка_, _rawis_, --, 
   {{0x2a6d0464,0x422605fb,0x00000000,0x00000000}},	//   _kumfasha_, _ruskoj_, --, --, 
   {{0x9f630014,0xa2fc041c,0x00000000,0x00000000}},	//   _ብሕታውያን_, _dongay_, --, --, 
   {{0xd2490339,0x85c6027f,0xdd7600bb,0x00000000}},	//   _ohumu_, _bwabayeh, _ڈرونز_, --, 
   {{0xed070066,0x92ca001e,0x00000000,0x00000000}},	//   _дажгүй_, _chadi_, --, --, 
   {{0xcc6a00aa,0x7140022f,0xd9c40193,0x472e002b}},	//   _fortify_, _вербы_, _माध्यमात_, _অনুষ্ঠিত, 
   {{0x8e280141,0x67dc0128,0x321300fc,0x362302ef}},	//   _россияда_, _хайрулла_, _dachoh_, _finansyè, 
   {{0x9e53038e,0x14210270,0xce830013,0x425b0168}},	//   _perangka, _combatto_, _можаро_, _jarle_, 
   {{0xe25b0269,0xd125023c,0x82910054,0xa6b903ec}},	// [d2c0] _darle_, _پرتګال_, _bagaja_, _konsumoh, 
   {{0x9c1d00fe,0x82ca00ac,0x60f50029,0x426d0408}},	//   _akapulu_, _ikada_, _ناخمایه_, _levona_, 
   {{0x2ee602b0,0x1e6c0425,0x920102f6,0xa2f303c2}},	//   _richtlin, _بیروه_, _pawis_, _argidit_, 
   {{0x258802ec,0x526c00ff,0xde53038b,0xe3800064}},	//   _وٲتِتھےٕ_, _renoma_, _terangka, _entrat_, 
   {{0xcc150255,0x0d980205,0x46510297,0xad5b0291}},	//   _विक्रान्, _байроқла, _energiäh, _بأمان_, 
   {{0xfdc600e1,0x65bc045d,0x72380439,0x00000000}},	//   _afaktira, _karleuša_, _nyameni_, --, 
   {{0xce53010d,0x52e2007b,0xad9a0265,0x00000000}},	//   _serangka, _coortesy_, _voltooid_, --, 
   {{0xf2ca005b,0x0d4600f5,0x43fa0464,0x00000000}},	//   _okada_, _гырылмаг, _niruka_, --, 
   {{0x224802ff,0xeeb000f5,0xb20101c5,0x2dab0486}},	//   _chimen_, _eserinde_, _sawir_, _studené_, 
   {{0x4a130295,0x229102d9,0x8e070109,0xa619020e}},	//   _angamahe, _kagaka_, _रिफरेन्स_, _diporofi, 
   {{0x02ca0476,0xac1b032c,0xa6510297,0x86a501ff}},	//   _akada_, _allangar, _energiän, _svalovej_, 
   {{0xc2b60065,0xe0ef02a2,0xfdf50036,0x52da0203}},	//   _kirche_, _bulaklak_, _satailít, _foreno_, 
   {{0xd7ed019d,0x0230005b,0x5246008f,0x734d0056}},	//   _adzamang, _joujou_, _गवइली_, _хавфу_, 
   {{0x338b053e,0x999c00d9,0xcf4e0040,0x9bc70299}},	//   _våren_, _sarjassa_, _comprise_, _سۇنەنۇ_, 
   {{0x7762005e,0xa5fa02b2,0xb7570125,0x65ce015e}},	//   _ئەلخۇش_, _привабли, _парикли_, _байма_, 
   {{0x12da01d9,0x218904b9,0x00000000,0x00000000}},	//   _geweit_, _setarday_, --, --, 
   {{0x028c00d6,0x00000000,0x00000000,0x00000000}},	// [d2d0] _سلامي_, --, --, --, 
   {{0xe28900c7,0x929101e9,0x78cf0092,0x2e8a0097}},	//   _bashkir_, _bagaka_, _スポットを投稿す, _didaṣe_, 
   {{0xb53f0013,0x0835027c,0x6f7e01a3,0x22fc024a}},	//   _mukammal_, _amampond, _رينڪنگ_, _ogogo_, 
   {{0x08550128,0xe68a0045,0x3e360456,0x22fe00f8}},	//   _стадионг, _нормалан_, _anggarka, _অগণতান্ত, 
   {{0x5a0a03b0,0xd292005b,0x62e10482,0x1a1c005d}},	//   _behandla_, _kawana_, _dooriteh_, _cúbicopa_, 
   {{0xf49a0024,0xc31e007f,0x3f61006d,0x626c04ca}},	//   _দৃষ্টিত_, _chanolig_, _акварэль_, _aucon_, 
   {{0x02d80417,0x74fd0024,0x7060042f,0xf0960013}},	//   _beheer_, _নিয়মিতভ, _maniknik_, _قازانیب_, 
   {{0xb26c00aa,0xc72e013d,0x00000000,0x00000000}},	//   _lukot_, _inkluziv, --, --, 
   {{0xb22a0094,0xe21902aa,0x938802a0,0x35d702d6}},	//   _бодан_, _eventuál, _sanyìn_, _тиллаев_, 
   {{0xc8a500bf,0x805d019f,0x4286012a,0x5ae20437}},	//   _путевки_, _باصلاحيت_, _komiksy_, _flottest, 
   {{0xffe400d1,0x83fa00ae,0xaafc013f,0xdc5902f6}},	//   _অভিমতৰ_, _biruka_, _desranne, _hinubog_, 
   {{0x56230372,0xd30a053e,0x48410030,0xa2920207}},	//   _naturiol_, _fotball_, _lietuvas_, _hawana_, 
   {{0x4d3f009d,0x7ba900a9,0x691d0038,0x72010122}},	//   _pushimet_, _arahagur, _миядзаки_, _anging_, 
   {{0x23a3022e,0xf290011b,0x5202000a,0x92490318}},	//   _tippu_, _kilawu_, _assiga_, _okumo_, 
   {{0xe14b038f,0x0ede0262,0xa5e1022a,0x729100cf}},	//   _adstummo, _гитди_, _lubelasö, _asxaan_, 
   {{0xa31000d1,0xbfc800aa,0x3249012f,0xc7c00349}},	//   _অধ্যাপনা, _arringto, _ikumo_, _apermaki, 
   {{0x83a303e0,0x122b0288,0xf4590210,0x270901cd}},	// [d2e0] _kippt_, _etimine_, _aivepowo_, _семити_, 
   {{0xa7bf0291,0xef4602e2,0xdaac0444,0xb24800b4}},	//   _مستجدات_, _teesside_, _сыном_, _promotii_, 
   {{0xe6170046,0x426c026c,0x295b03d5,0x238c00bf}},	//   _تاتاال_, _ignota_, _ballaske, _тарханов_, 
   {{0xe2fc0192,0x4dbd0309,0xe74e0245,0x442a03fb}},	//   _ggggg_, _maariflə, _seinraij_, _nalazilo_, 
   {{0x938703af,0x53fa02f3,0xce270083,0x1b8703c6}},	//   _écrit_, _skruva_, _atomaras_, _kalinder, 
   {{0x418f0028,0x82890435,0xf21200f7,0x00000000}},	//   _bilawday_, _бранисла, _budhon_, --, 
   {{0xc8c70276,0xc2900381,0xf6410053,0x861f011a}},	//   _خرىستىئا, _apday_, _beriklim_, _הצומח_, 
   {{0xc22402f3,0x2ae80040,0x42eb0362,0xced80205}},	//   _vilka_, _depresse, _farisao_, _устки_, 
   {{0x525b0185,0x835f01d9,0x38f20307,0x17c102ef}},	//   _kozlov_, _maggele_, _bangahlu, _moraceæ_, 
   {{0xe53201ee,0x8a150116,0x622b02da,0xa3790185}},	//   _централь, _checkere, _станаа_, _basarga_, 
   {{0x83ff00c2,0xce1a025e,0x9b1a0050,0x588c0151}},	//   _isuzuma_, _aftengja, _tempatna_, _ancheird, 
   {{0x93720033,0x42fc0176,0x1c00023c,0x481b0037}},	//   _sanadad_, _leggy_, _بخښلي_, _ያልቻሉት_, 
   {{0xd29200ed,0x026c02a2,0x98ac0193,0x8f59005f}},	//   _mawala_, _hukom_, _लक्ष्मीच, _despiece_, 
   {{0x2b11023d,0x31b60170,0xea080683,0x17f100a6}},	//   _официалн, _kwambiri_, _etablere, _تماميږي_, 
   {{0xa01001c5,0xf249019a,0xf1540191,0xf0a30061}},	//   _ملاقاتھ_, _chums_, _trafikol, _상아공인중개사_, 
   {{0xe29200ed,0x10b601cd,0x5dbe0095,0x7f1f00bb}},	//   _nawala_, _одоби_, _assamese_, _آسٹریلی, 
   {{0x037b01d8,0x45d5006c,0x30390192,0x62920018}},	// [d2f0] _amlarem_, _amabhath, _portemon, _tawana_, 
   {{0xbc1402fe,0x5e960172,0x02f10190,0xb2d500c0}},	//   _روزنې_, _doctrate_, _taramawi_, _demonyo_, 
   {{0x0f5e01ab,0x19e50237,0xd7b903e6,0x00000000}},	//   _preparaa, _머니퓰레이터에_, _messerpi, --, 
   {{0x3d5f0157,0x4b92040f,0xe3f102c3,0x6184022f}},	//   _गर्नुमा_, _holivudo_, _poštovný, _сядай_, 
   {{0x1348002b,0x826d07b0,0x429201b0,0x33cc0361}},	//   _মোমবাতি_, _bevola_, _dawala_, _витаутас_, 
   {{0xa386006e,0x4c48027b,0x83ea068e,0x4287000c}},	//   _mbirum_, _आचमनीयं_, _finty_, _ombichy_, 
   {{0xb1c301a7,0xc9f30220,0xa45e0185,0x12e300ce}},	//   _говорит_, _неприятн, _радиодан_, _favoriz_, 
   {{0x52e1037e,0xe292005b,0xe75e02a2,0xd2d902ff}},	//   _jabieng_, _hotaru_, _kasinung, _chalmay_, 
   {{0xdae500d1,0x9f5b0140,0x52ca00d5,0x077b0061}},	//   _সেনানী_, _talaksan, _niady_, _공급업체에서_, 
   {{0xdc150142,0x8cfc02da,0xa79a018d,0x5db601aa}},	//   _विश्रान्, _балканот_, _ዘይቅቡል_, _anchorwa, 
   {{0x04e8018d,0xc8dc0304,0xb29202e7,0x00000000}},	//   _እትምራሕ_, _pergantu, _kawala_, --, 
   {{0x52ce00c7,0x15dd0094,0xd7b60076,0x8d0d00c7}},	//   _çalım_, _تياتىرى_, _лукумаде, _баштарак_, 
   {{0xb291018f,0xf30f0267,0x97fe0041,0x1f7d0244}},	//   _iptah_, _odobrio_, _шәыжәлар_, _баретата_, 
   {{0xf64b0037,0xb25b0053,0xdaed013a,0x153c00b6}},	//   _የባሕርይ_, _shaleh_, _daitsche, _sidichay, 
   {{0x52d9037a,0xc10302bb,0xd29200a2,0xf49902a6}},	//   _inzego_, _zostaną_, _lawama_, _fermerà_, 
   {{0x8f1f02a6,0xa49c0334,0xb23b02b4,0x2ed80452}},	//   _rimetten, _angakhaz, _efiling_, _शिवथरघळ_, 
   {{0x33920035,0xb26e0476,0x731b023a,0x1292063e}},	// [d300] _февральг, _gorosi_, _vízia_, _kotaru_, 
   {{0x27380314,0xe26e03c3,0x799b01b5,0xa226036f}},	//   _хәрби_, _istoku_, _emakatle, _irskoj_, 
   {{0xd2ec0516,0x84f70207,0x07950205,0x0d980444}},	//   _africae_, _قبرستانن_, _мусика_, _мертон_, 
   {{0x130102fa,0xc7c402c7,0xc42100c0,0xc534027b}},	//   _amabere_, _traumhaf, _bilanggo_, _अचोदयिष्, 
   {{0x83eb012a,0x9f250282,0xb41b002f,0x637f055f}},	//   _zgromadz, _akerauta, _ashipaak, _almanca_, 
   {{0x509900d6,0xd3870338,0x3c7402d4,0x838200bb}},	//   _ابتدائي_, _duerme_, _minutas_, _ماڈلز_, 
   {{0x426c01a6,0xc2c10416,0x50970299,0x3fc70374}},	//   _koriniti_, _mordaeci_, _ئۆزڭىزنى, _ливанни_, 
   {{0x5c770309,0x70ed0246,0x5bde0162,0x0f0b0040}},	//   _tutulur_, _излизат_, _пикирини_, _צפריר_, 
   {{0x42d8038f,0x898602f3,0x00000000,0x00000000}},	//   _evned_, _beskriva_, --, --, 
   {{0xeade0282,0xb292005b,0x027f0020,0x337903a4}},	//   _aritarit, _sawada_, _llenoc_, _aftasta_, 
   {{0x82ca01cb,0x5c530402,0x4ad703d4,0x02c50557}},	//   _ekade_, _pertiga_, _podmazan_, _amelane_, 
   {{0x92bc0068,0xfc7600db,0x73b001fe,0x34c2036c}},	//   _suudaan_, _निर्दश_, _iqaqi_, _anabavik, 
   {{0xd2eb0147,0xda860286,0xc3a20437,0x7037042c}},	//   _ارگۉنۉ_, _gaanaman_, _slippe_, _postizan, 
   {{0xb9770204,0x22010261,0xdf3e047b,0x2249017c}},	//   _valitett, _nacian_, _dýrgripu, _skumt_, 
   {{0x53f40388,0xab180452,0x0d190092,0x838601d3}},	//   _nostro_, _nobatkan_, _すいません_, _somras_, 
   {{0x326e005b,0x2a42005e,0xef3701a4,0x37a80026}},	//   _matome_, _ﺋﻮﺭﻧﯩﻐﺎ_, _bafutela, _verrassi, 
   {{0xd9120096,0x323f0311,0x00000000,0x00000000}},	// [d310] _bakabaku, _ኩለንትናና_, --, --, 
   {{0x1da902f6,0xf37a02f6,0x3cd100d1,0x17a8000d}},	//   _nahihira, _minahal_, _কৃষকৰ_, _terrassi, 
   {{0xfb01037c,0x62f10297,0x1afd028b,0x00000000}},	//   _smartche, _bakirov_, _рҟынтә_, --, 
   {{0x8d6801f2,0x42240373,0x50bf0349,0x6379012c}},	//   _русларни, _pilko_, _abelingl, _kutatua_, 
   {{0xc25b0257,0x5f3f00a1,0x3bf50180,0x63a30343}},	//   _varla_, _kingitan, _kortmars, _ilapat_, 
   {{0x642e05e5,0xaf4a0037,0xa32b0041,0xa2ca017d}},	//   _प्रतिभाग, _ተወያይተዋል_, _аҟуақҳәа_, _skidt_, 
   {{0xc2c50295,0x855a049e,0x984d0024,0x357d02da}},	//   _emeline_, _námorníc, _পাকঘৰ_, _латинска_, 
   {{0x15a00352,0x33fe019b,0x7afe0294,0x2c380094}},	//   _মেইলিং_, _aparatai_, _aparatme, _нигилист, 
   {{0x124a01d1,0xadb20192,0xf22400a1,0xe9d600be}},	//   _normal_, _탄핵소추의_, _kaikā_, _бакубат_, 
   {{0x529e02ba,0x19b2037c,0xea6b0311,0x53780390}},	//   _abajuda_, _prudente, _ብምምጓስ_, _alyaska_, 
   {{0xa8040016,0x4c930208,0x6b24020f,0xf6110253}},	//   _אָנטייל_, _ئادار_, _angagqib, _estlandi, 
   {{0x37210261,0x594d00ce,0xad8d01b7,0x863d03b7}},	//   _komentoj_, _lapovret, _प्रकृष्ट, _agonistw, 
   {{0xa3a30176,0x52ca0149,0x3ab503dc,0x82d80153}},	//   _hippi_, _njide_, _fiskurin_, _交通費別途支給_, 
   {{0x02ca0558,0xff570005,0x5d7800d1,0x025b014b}},	//   _ijide_, _adequata, _জুকিয়াই_, _waalih_, 
   {{0xa13f0422,0x694d0347,0x4b9b0107,0xfd060279}},	//   _razdelil, _aspoeste, _demiglac, _analyste_, 
   {{0x72e90273,0xc3fa018b,0xcf5704e6,0x52ee0211}},	//   _opción_, _depune_, _bakanten, _oranssi_, 
   {{0xf618021e,0xd827014a,0x09810228,0xcdc100f0}},	// [d320] _matlagni, _vérzés_, _folkeeve, _kamienka, 
   {{0x168000e4,0xdc2e006e,0x1f63039e,0x31de022f}},	//   _ग्यान_, _banneexu_, _alfarnes_, _асманамі_, 
   {{0x7fcb03d9,0xd2fd004e,0xa42a02a2,0x9d8d036a}},	//   _verindro, _awditor_, _matalino_, _sosomita, 
   {{0x0248022f,0x2a9303a1,0x1b1b0338,0x45290299}},	//   _tuomet_, _доверие_, _estacion_, _күтмәктә_, 
   {{0x82e10255,0xbc4d005d,0x1267029d,0x0212011c}},	//   _चौबीस_, _aguivéva_, _депун_, _bakhna_, 
   {{0x22cb02f3,0x0096023e,0x0db300c0,0xb7a003c3}},	//   _skydd_, _لازانیا_, _maligaya, _prethodi, 
   {{0x32ea00f9,0xc14e00d6,0x37ce0145,0xd94e00d6}},	//   _bugingo_, _dealramh_, _plastiki, _dealrait, 
   {{0x924a0044,0x83270177,0xfbd900ec,0x02f2034e}},	//   _formal_, _партниор, _funkcijų_, _caranavi_, 
   {{0x2d7103b7,0x834c0423,0x686d0082,0x00000000}},	//   _acemicra, _dostání_, _hambarar_, --, 
   {{0xb26a00c5,0xc3ea014e,0x1ea003ad,0xfe8002ed}},	//   _编辑个人资料_, _осигурањ, _akkużat_, _boborás_, 
   {{0xd1fc0028,0x0e9d01f4,0xa3580061,0x05d90311}},	//   _تصویٖر_, _tartibot_, _회원들에게_, _ኣምስዮም_, 
   {{0xd3f40244,0xedb300c0,0xf2d9011d,0xe2b500a8}},	//   _vostro_, _kaligaya, _regele_, _tracti_, 
   {{0xd2900049,0xfc1a0476,0x436f00a6,0x92e50172}},	//   _mahalo_, _reunited_, _موجودې_, _nkongua_, 
   {{0x361e01e1,0x527a0109,0xcd15020e,0x399b0255}},	//   _форматын, _delideli_, _ingorant_, _emakeele, 
   {{0x5f2501a9,0x6c6701f8,0x62ca023b,0x1e26034c}},	//   _selecion, _bakunda_, _enelani_, _бастым_, 
   {{0x126d04be,0x4c7c02ba,0xe98903dd,0x26c90479}},	//   _kusog_, _abesaba_, _frekuent, _jóvoltáb, 
   {{0x3301001e,0x72a001d8,0x1bdf0120,0xa85100d8}},	// [d330] _wasanni_, _dorbar_, _makeeló_, _amoroses_, 
   {{0x030d0266,0xba040340,0xe1ab0396,0xaebc0017}},	//   _sekadar_, _manaakit, _kummenti_, _hlasovat_, 
   {{0xd66800a2,0x1a23033e,0x72890472,0xc7b3039c}},	//   _مومنين_, _criptoju, _diwarnai_, _obturaci, 
   {{0x229000bc,0xb5d100ef,0xd0c70095,0x244c01ea}},	//   _andand_, _ګیلاني_, _پیانوی_, _илгор_, 
   {{0xd3f40217,0x2e32005e,0x022502d6,0x429003d9}},	//   _fortia_, _ﺋﻪﺳﺴﺎﻻﻣﯘ_, _sotka_, _dahalo_, 
   {{0xa85a046a,0x126c0130,0x5a52008a,0x4ed90037}},	//   _reconegu, _eskob_, _konesula_, _አባትህን_, 
   {{0x130d038e,0xf8c5002e,0xfd1c01ea,0xd418015e}},	//   _pelapor_, _ispunjav, _алвеш_, _optimitz, 
   {{0xc45c0037,0xff26014a,0x826d00c0,0x4ad001c4}},	//   _ያመላክታል_, _fontosna, _busog_, _landbous, 
   {{0x22020220,0x0e9b02c8,0xa3380025,0x96d800ba}},	//   _ottimo_, _fáltanno, _प्रधानपु, _پسپۆڕه_, 
   {{0xc36102a5,0x485700b9,0xfea600bb,0x042a0119}},	//   _युएईका_, _fakultas_, _بدنصیب_, _catalino_, 
   {{0xb18605eb,0xc36a001a,0x05b904c7,0x32490226}},	//   _ababemel, _میلادالن, _аритмети, _iyamba_, 
   {{0x9db200a5,0x5340023d,0x128c0102,0xd20e0188}},	//   _malumalu_, _diventa_, _التمش_, _равам_, 
   {{0x0be502d8,0xcc6700b9,0x58f202ac,0x621c0062}},	//   _diperbar, _leluasa_, _وحكايات_, _mishey_, 
   {{0x015100da,0xc37f01f4,0x74d801bd,0xcc6201f1}},	//   _струс_, _mahalla_, _замандас, _librave_, 
   {{0xcfed0417,0x00dd0037,0xae560187,0x08770279}},	//   _verklaar_, _የፕላስቲክ_, _картони_, _radiateu, 
   {{0x82020058,0x6ed400e0,0x7ea40630,0xc34902c2}},	//   _ettimo_, _keningin, _exruptet_, _profete_, 
   {{0x425b015e,0xf27e039e,0x00000000,0x00000000}},	// [d340] _parlo_, _tunner_, --, --, 
   {{0x293a00d1,0x62d904d6,0x2e0f01d3,0xbb5f0193}},	//   _মুষ্টিমে, _liceum_, _arbetsda, _summarec, 
   {{0x23fe01b5,0x572001af,0x2866003c,0xa0bc0080}},	//   _esirheni_, _bermejeg, _آنفولانز, _ilimagil, 
   {{0x270b00c4,0x8b18036d,0xf2c8018d,0x32900127}},	//   _دعوائون_, _breandan_, _ሻቕሎትን_, _amkan_, 
   {{0x92920099,0x6c83034f,0x52310212,0xf12901e1}},	//   _mapato_, _overberg_, _commodo_, _паролеге, 
   {{0xd2da046d,0xf45200e4,0x99890262,0xda330377}},	//   _mirero_, _siedlisk, _baktriýa_, _solicită_, 
   {{0x2f1604ae,0x618c03d9,0x5d9e0105,0x3565006f}},	//   _вакуума_, _misafidy_, _हिरोइनें_, _سنياسي_, 
   {{0xe5c201cd,0xd25b00bd,0x826d0165,0xec740516}},	//   _kunalokh, _carle_, _toboki_, _schuils_, 
   {{0xf291016e,0x87350060,0xb37a01da,0x75d301ef}},	//   _iptal_, _алулар_, _redakto_, _iniciaty, 
   {{0xdf6a02b2,0xba73055d,0x802300d0,0xc273022b}},	//   _завершил, _sukacita_, _болиод_, _búnin_, 
   {{0x52870086,0xd29203ad,0xb004006c,0x4cd702e5}},	//   _مہتاب_, _beraħ_, _ачабо_, _mangovýp, 
   {{0x828f000b,0x63f8004f,0x025b0338,0x42020059}},	//   _tamaitai_, _ajjuma_, _vielha_, _attimo_, 
   {{0xa0d30061,0x93ed04ca,0xdaf303a4,0x026d004b}},	//   _과학기술부_, _jancsó_, _avhendas, _fefoha_, 
   {{0x00e80235,0x4f600235,0x6fc2027c,0x67bd021c}},	//   _aghaṭṭit, _anyonyaś, _داتوم_, _nakresli, 
   {{0xf85f00e9,0x62270064,0x7eb2001e,0xd0aa0013}},	//   _emerzans_, _табият_, _kalubale_, _билимдон, 
   {{0xfed600cf,0x63ea0036,0x6b9a0282,0x62c50274}},	//   _alangaas_, _giftz_, _kitirono_, _almennri_, 
   {{0x025b0145,0xf0600120,0x582c0153,0x50530067}},	// [d350] _varle_, _muhimmik_, _テキストリスト_, _eeksteen, 
   {{0x22fe0092,0x829204bc,0x219901be,0x72910138}},	//   _apaiser_, _åsane_, _kolegové_, _aptal_, 
   {{0x4a3501d9,0xe44903a2,0x9d9e0105,0x00000000}},	//   _attackéi, _ज़्लॉटी_, _हिरोइनों_, --, 
   {{0x326c0288,0xfeb20672,0x293d03a8,0x8db901d5}},	//   _arcol_, _amashure_, _বনায়_, _teremtés_, 
   {{0xf0f6007e,0x835903f3,0x4a01033f,0x26cf0176}},	//   _केशवः_, _telfort_, _takainga_, _hanakomi, 
   {{0x8d4d0148,0x8224005b,0x3f040235,0xb2e80065}},	//   _全球吹起環保風_, _bilka_, _प्रदेशो_, _ruhigen_, 
   {{0x7a8e005b,0xb0bd004a,0x2c0a0322,0x373d0405}},	//   _changmin_, _апастовс, _ataratab, _запорука_, 
   {{0x829001b4,0x1db0012d,0xeff20032,0xa27e0097}},	//   _eiland_, _hauslotu_, _duchunmo, _iwonba_, 
   {{0x924a0282,0x9f13023d,0xe29100a8,0x226b0128}},	//   _naumai_, _неспокой, _blears_, _aktrisal, 
   {{0xff040142,0x5c89029f,0x7c23039e,0x00000000}},	//   _प्रदेशे_, _ostrovov_, _datasikr, --, 
   {{0x32ca045f,0xe5490405,0x989a0076,0xa2910453}},	//   _skada_, _запорізь, _цветови_, _dodaju_, 
   {{0xf249023b,0x42d9013d,0x4ec7050a,0x8f47001d}},	//   _okumu_, _ribelo_, _sinirlen, _profitos_, 
   {{0x3c30008a,0x767301cf,0x95b502a6,0x63c9048a}},	//   _apisinis, _mindspri, _andaragh, _كوندىك_, 
   {{0xd2020517,0xcd1001cc,0xd6810255,0x19f502a5}},	//   _artigo_, _vacanaṃ_, _potentsi, _तेजेन्द्, 
   {{0xa25b0222,0x72290444,0x397b0189,0x9a010318}},	//   _parle_, _лесные_, _getirece, _makaunga_, 
   {{0xb91301e8,0x03b7000c,0x00000000,0x00000000}},	//   _makagahu, _neporãva_, --, --, 
   {{0x9c1e06a8,0x69b300c1,0x5ab20053,0x91a8004d}},	// [d360] _vratiš_, _आजारामुळ, _श्रीशिवर, _二七五九五八六六, 
   {{0xe3d5033b,0xb3600199,0x31640268,0xcdce02a3}},	//   _boithati_, _hotgirl_, _arborhay_, _malherbe_, 
   {{0xff5b0374,0x6248002c,0x524904bd,0x351900c4}},	//   _samarqan, _ekimen_, _ekumu_, _ڊوڙائي_, 
   {{0xb2da0250,0xcb4300ee,0x29420344,0x00000000}},	//   _mirepo_, _тэнийлгэ, _epilepse, --, 
   {{0x72b30078,0xc68c0255,0xc3800205,0x92ca02dd}},	//   _формуле_, _नवरात_, _fitrat_, _ghadu_, 
   {{0x1dbd0120,0x726b0465,0xcf5b04f9,0x7f2d003c}},	//   _absissaa, _otorinol, _ahlstrøm_, _anteriin, 
   {{0x09380247,0xb6480094,0x32ca004c,0xf5bb0102}},	//   _فوتوشاپ_, _есеге_, _ahadu_, _kitakach, 
   {{0x42ca0359,0x5bb601d2,0xf27e034c,0xf1f20325}},	//   _bondel_, _anchuric, _hunnar_, _garabagh_, 
   {{0xaf410274,0x865201cd,0xc41e036c,0x2bbb0153}},	//   _hinsvega, _abakwadi, _hafitsok, _大丈夫ですか_, 
   {{0x02d9020f,0xb06d0373,0x1a000227,0xd22503d1}},	//   _abenaye_, _kamparan, _kasarnya_, _rotko_, 
   {{0xe8dc0278,0x93f901cf,0x28780192,0xe4f200d9}},	//   _bergantu, _siculo_, _ambitieu, _сенсорны, 
   {{0xaa000472,0x73170284,0xf8c605a3,0x6ec0006c}},	//   _dasarnya_, _veselý_, _राजपुर_, _abuzange_, 
   {{0x33a30282,0x4fe50620,0x00000000,0x00000000}},	//   _gipps_, _expiatio, --, --, 
   {{0x4e3d038a,0x937302d0,0x5aea0222,0x80f1017f}},	//   _antachap, _canadae_, _regroupe, _assannik_, 
   {{0x71590152,0x4c6700a1,0x136c005c,0x441500ba}},	//   _belderä_, _takurua_, _akagozi_, _نۆڤێمبه_, 
   {{0x81ff018f,0x27f6004d,0xad49034c,0x9a4a0338}},	//   _dalanlah_, _是否刊登公報_, _boraulau_, _bordelha_, 
   {{0x12d90166,0xc2dd022d,0x7c07016f,0x00000000}},	// [d370] _jugend_, _opposti_, _krasjet_, --, 
   {{0x222400b3,0x7cac01ce,0x424802df,0xeed50087}},	//   _tilki_, _علیهم_, _promot_, _enyimpin, 
   {{0x2afe038e,0x729104fa,0xdac401e5,0x9ae10054}},	//   _aparteme, _debark_, _iyanrìn_, _bindiges, 
   {{0x00000000,0x00000000,0x00000000,0x00000000}},	//   --, --, --, --, 
   {{0x9a750187,0xbb3c002b,0x60440109,0x622601f0}},	//   _novohamb, _চরমোনাই_, _अलमलमा_, _khukhu_, 
   {{0x83790210,0x5fc60247,0xd21c0278,0xaa650510}},	//   _kutanda_, _standhar_, _aishah_, _цундела_, 
   {{0xa2d80245,0xd2e20058,0xa28b0025,0x7bee021b}},	//   _haneng_, _föfio_, _athainam, _шаров_, 
   {{0xaa140494,0x42d8010b,0x0387001a,0xc3ea038b}},	//   _ostavila_, _baneng_, _nyerte_, _rantai_, 
   {{0x506500ef,0x92020243,0x166a00e7,0x00000000}},	//   _جهانګیر_, _ossima_, _archivew, --, 
   {{0x99750169,0xf2cb01bc,0xe3020284,0x963e0204}},	//   _ঘোষণার_, _dieden_, _oslavou_, _kodinhoi, 
   {{0xdaf700b4,0x00610280,0x62ca016b,0xa97500d1}},	//   _материй_, _सेकसी_, _saidai_, _ঘোষণাৰ_, 
   {{0x620001b5,0x82d8032d,0xa6900014,0x00000000}},	//   _bohile_, _faneng_, _perfeksi, --, 
   {{0x432f0319,0x4e7203c7,0x8f7501a3,0x52ae0149}},	//   _অনুষ্ঠান_, _शिश्न_, _اڻبڻت_, _ụdara_, 
   {{0x422601d2,0x225b043b,0x9753020f,0xae7c0012}},	//   _parkim_, _larla_, _abantang, _पूछ्ल_, 
   {{0x2c62044b,0x67400099,0x33180161,0xdc0d01b4}},	//   _forrige_, _ainoteng, _бразильс, _knoppie_, 
   {{0x6a720499,0x8e9b02b2,0x98c90128,0x7ce400d6}},	//   _lavalava_, _коцюбинс, _далалард, _استعماله_, 
   {{0x730d011f,0xf90903a1,0x339f0029,0x7eb9025b}},	// [d380] _relator_, _темата_, _دڵمان_, _strondin, 
   {{0xe0640040,0x805a0344,0x8226040f,0x37a801bc}},	//   _ברוסיה_, _akusaann, _tarkim_, _ferrassi, 
   {{0x725b00a8,0xab2c0343,0x4e4500e7,0x92020028}},	//   _barla_, _filarins, _alibanta, _dariiq_, 
   {{0x2f5c0068,0x726c00c7,0x9c530072,0xd69501bb}},	//   _madaxban, _yukos_, _purtana_, _dostlary, 
   {{0x6cf104f9,0xafa80287,0xbe6e02b6,0x625b01fc}},	//   _nultoler, _ovladač_, _хабарсыз_, _maalih_, 
   {{0x537b0201,0x1b070125,0x01f6011f,0xb9300365}},	//   _garayyo_, _җиддине_, _шьрак_, _जनसहभागि, 
   {{0x4292012c,0xe2f1008d,0xed8500c7,0xfc0d0073}},	//   _tawala_, _butunlay_, _atawında_, _scapate_, 
   {{0x0f2d03d3,0x0301017f,0xc040013b,0xfe4d011a}},	//   _fagforen, _aasaani_, _hintutun, _complied_, 
   {{0x04ec0173,0xafae0815,0xd61b00bc,0x0dba0333}},	//   _নামাজ_, _assousso, _پرستاری_, _feraient_, 
   {{0xb30a045f,0x4c770189,0x82ee018b,0xef8c01d2}},	//   _fotboll_, _cerrahi_, _traiesc_, _chárin_, 
   {{0xee89018b,0x026d005b,0x34170220,0x2bfa0046}},	//   _латиниза, _nozomi_, _spagnolo_, _جىلجىتۋ_, 
   {{0x200604dc,0x3e5002c0,0x93840344,0x729e014e}},	//   _عریفه_, _необични_, _fabrikki_, _сирак_, 
   {{0xa628019a,0xf49c0010,0xbce2015d,0x93560207}},	//   _devonshi, _angaphaz, _दंतेवाड़, _muafaka_, 
   {{0x455a009a,0x3a580206,0x6d870194,0x037302fd}},	//   _abakuhoy, _beletria_, _comensat_, _earachd_, 
   {{0x75b90456,0x00000000,0x00000000,0x00000000}},	//   _gurindam_, --, --, --, 
   {{0x438602bc,0x33ea0456,0x926e0205,0x76b502ba}},	//   _mairom_, _kantoi_, _norozi_, _туркиро_, 
   {{0xf226046d,0x55f800d3,0xd2b50129,0x262d0144}},	// [d390] _thukhu_, _nevidím_, _ntachi_, _lotnaidi, 
   {{0x32920050,0xa3fa0261,0xcb1902fd,0x6d21036b}},	//   _sawala_, _insulo_, _breatunn_, _стремежи_, 
   {{0xb34d043a,0x035d0037,0x4f2103f0,0x079b0371}},	//   _fomedik_, _bengang_, _billegar_, _скалата_, 
   {{0x13d9018d,0xddba0222,0x4bee00c5,0x7dbc028b}},	//   _ተኣታትዩ_, _seraient_, _acheteur, _imbarete_, 
   {{0x235d0432,0xf05b03d2,0x17230023,0x822b0214}},	//   _dengang_, _desiatok_, _шоппинг_, _elimele_, 
   {{0xb146015e,0x313904d8,0xc2ca02bc,0x018901c5}},	//   _ingresso, _سوریوس_, _mondal_, _istaagay_, 
   {{0x8cb7052c,0xb290031a,0x7f430386,0x56150040}},	//   _پاراستن_, _triall_, _tergolon, _תומאס_, 
   {{0x9082005f,0xabf503e6,0x39250143,0x2b72012c}},	//   _asociado, _whiterab, _словото_, _wavulana_, 
   {{0xa2da0151,0xfdd40152,0x4eea034f,0x0f060125}},	//   _fewest_, _лениного, _akakaqon, _яратман_, 
   {{0xccee014e,0x93d902bb,0xb2da0119,0x6db90041}},	//   _америке_, _tematów_, _gewest_, _лиуксемб, 
   {{0x1d0b044a,0x32900223,0x9c5802b9,0x320200a5}},	//   _repondre_, _bilatu_, _لاقانونی, _autilo_, 
   {{0x8a63014f,0xc2d90026,0x330300c4,0x19120119}},	//   _интереса, _hyves_, _مئجسٽريٽ_, _makakaku, 
   {{0x30e70309,0xfdbc033e,0x0249004a,0x067a017a}},	//   _futbolçu_, _ambarete_, _aramí_, _астагфир, 
   {{0xa20107ea,0x337301df,0x484701cd,0x92900497}},	//   _ambiwa_, _progeny_, _хатари_, _inlaid_, 
   {{0x9bc700c6,0xc303019c,0x437f0082,0x7fea0017}},	//   _продаж_, _afonifoj, _tilasta_, _ब्राहमण_, 
   {{0x46820486,0x46a10167,0x00000000,0x00000000}},	//   _गिलास_, _calfinai, --, --, 
   {{0xacf3026c,0x5c68006f,0xbb110066,0xa6640397}},	// [d3a0] _sustiner, _makundi_, _авчирдаг_, _abayaziy, 
   {{0xc07001c6,0xaf1e03b7,0x9d41005d,0xed0501b3}},	//   _solarsjo, _acetedfa, _apellído_, _stolthet_, 
   {{0x552b007d,0xd850031c,0xe2eb0372,0xb379027f}},	//   _pemindah, _escuelas_, _arwisgo_, _gasanga_, 
   {{0x3ac7026c,0x99e503bf,0x726d042d,0x7355003c}},	//   _元以限時專送印刷, _akhotsoa_, _bevoka_, _مرسییییی, 
   {{0x234f01db,0x346e04c7,0x53f3026f,0x22490478}},	//   _ءوزىمە_, _приме_, _نەندەي_, _chamin_, 
   {{0x09ee01c6,0x128f0359,0x7b82002b,0xbfe3015e}},	//   _mienskip_, _nochris_, _তাইতো_, _تاپتۇ_, 
   {{0x31010410,0x4727023c,0x56b7032c,0xb2a70115}},	//   _diphetol, _دورځي_, _allatati, _chabau_, 
   {{0x738704b7,0xac53029b,0x194f0151,0xfb1e02d4}},	//   _daarom_, _taataan_, _ammoniat, _campiune, 
   {{0xb37900a9,0xcc6f005c,0x337100c1,0x360d00d7}},	//   _wasanga_, _astrida_, _सरचिटणीस_, _ingodisi, 
   {{0xe3ea0541,0xf872024a,0xec5b0028,0xa87e0118}},	//   _tviter_, _faramọ_, _hortagi_, _balibulu, 
   {{0x4dc002ef,0x6b6d01b3,0xc29e00be,0x9b7e01b5}},	//   _danielie_, _сплату_, _كۅچمۅ_, _mhanajer, 
   {{0x9dd60080,0x111100ba,0xcec70302,0x61d001aa}},	//   _alakkarp, _سپێرن_, _макбул_, _argerlay_, 
   {{0x96790420,0x0f24050d,0x37600237,0x85e90135}},	//   _региони_, _averigua, _개혁정책을_, _insaflı_, 
   {{0x351605db,0xe38000ce,0x78ec015f,0x4aee003d}},	//   _abalilay, _nourir_, _amwynder_, _afavorís_, 
   {{0xd25e0101,0xac680362,0x13ea0033,0x9acf0297}},	//   _preturil, _bakundi_, _cantei_, _gayşä_, 
   {{0xe7a2009b,0x5c0b0005,0x1db30251,0x01b101af}},	//   _inauteri, _dispona_, _galinaya, _biperwaý_, 
   {{0x2d8f0291,0x6f4d0192,0x00000000,0x00000000}},	// [d3b0] _ومقتل_, _verstopt_, --, --, 
   {{0x63dc01b5,0x66180014,0x00000000,0x00000000}},	//   _lanwe_, _penetrim_, --, --, 
   {{0xa3160080,0xc93a00b7,0x9380016d,0xa249042d}},	//   _binzer_, _канагатл, _мәһсули_, _akaman_, 
   {{0xc37a018c,0x32f302f6,0x324a06a0,0xa45b019b}},	//   _betalen_, _mukhang_, _pormal_, _norvegij, 
   {{0xf8fa0147,0x4fae0828,0x047f028a,0x00000000}},	//   _ئراندا_, _escombro, _tungaraz, --, 
   {{0xab0a0016,0x13a30005,0x2af7031a,0xf7af021b}},	//   _צוואנציג_, _sappi_, _naduille, _partitii, 
   {{0xc97b0041,0x7d31012a,0xe24a03a2,0xe10a003e}},	//   _аҭыҧаҿы_, _prysznic, _कलैंडर_, _филормон, 
   {{0x926d00b0,0x425b00e4,0x11d50235,0x72d40014}},	//   _kusoo_, _wielka_, _anilopam, _punonin_, 
   {{0x00dd0261,0x020201c2,0x3b620084,0xc305023c}},	//   _personaj_, _estivo_, _mantenna_, _دودان_, 
   {{0xa21b00da,0x23ea0181,0x6949004a,0xe162003f}},	//   _контролу, _tantei_, _таралышы, _losnetlh_, 
   {{0x92e104ea,0x820e0125,0x6c8b00a4,0x03dc00d7}},	//   _babiang_, _дагам_, _بىردەي_, _fanwe_, 
   {{0xace202fe,0x1e740299,0xb8a50238,0x63f80138}},	//   _تیلیفون_, _ئىتوتلار, _статутно, _ruhunu_, 
   {{0x0f2c01ef,0xfc9702c9,0x8300029e,0xe8e4014e}},	//   _atitinka, _делегатэ_, _alianci_, _неизвесн, 
   {{0x726d0129,0xe1f10151,0x5fa100d9,0xcc6100d0}},	//   _legoro_, _abbanagh_, _hallinto, _altuera_, 
   {{0xf26d00dc,0xedb302ec,0x53dc0320,0x83190144}},	//   _ausoo_, _talinaya, _kanwe_, _كيران_, 
   {{0xf9750255,0x82900241,0x222a00c7,0xa76c006d}},	//   _एसोसियेश, _bilaad_, _тоташ_, _біятэхна, 
   {{0xa3870263,0x49780437,0x39b10061,0x856d012a}},	// [d3c0] _waarom_, _klinikke, _개인홈페이지_, _autobusó, 
   {{0x3f150045,0xce010139,0x499e0587,0x00000000}},	//   _блогови_, _apsaraḥ_, _alexàndr, --, 
   {{0x88720234,0x57c90015,0xa6c90015,0x67a60198}},	//   _barajọ_, _abasiini, _abasiiny, _čitalnik, 
   {{0x50bf0273,0xedbf012c,0x6290053f,0x70eb0348}},	//   _práctica, _marufuku_, _wilaru_, _bajisaal, 
   {{0x8a90014b,0xd3790151,0x171500c5,0xb9d604a5}},	//   _gidiidin_, _abbanyn_, _consacré, _emithand, 
   {{0x25c3011c,0x725b00fe,0x63a30204,0x52000076}},	//   _dinañula_, _lielia_, _lappu_, _dihitt_, 
   {{0xff560061,0x00000000,0x00000000,0x00000000}},	//   _공공기관의_, --, --, --, 
   {{0x6c620285,0x5fef0138,0xcb3b02b2,0x2b1f03db}},	//   _kibungo_, _fonksiyo, _океану_, _lamagumb, 
   {{0x4c210076,0x727900b6,0x2ef8030b,0xdf3601af}},	//   _украдени_, _yassagal, _bagwagwa, _buluçlar, 
   {{0x7054002f,0xba170287,0x73850039,0x0f270251}},	//   _asirikun, _doopravd, _marrazki_, _tartamaa, 
   {{0xe2910359,0xd26d0286,0x987f0037,0x23fa06a8}},	//   _pleats_, _begoro_, _ሰብአዊና_, _okruga_, 
   {{0xa1ff0159,0xfd81015e,0xdaf8012e,0x125a01c4}},	//   _papildom, _intentat_, _kaputele, _geklee_, 
   {{0x820f017a,0xed70036e,0xa648018d,0x8dfa040f}},	//   _abahwebi_, _allmessa, _ብመስርዕ_, _кіска_, 
   {{0xbaf10041,0xe38601d5,0x35e0015e,0xd8920165}},	//   _ҟаиҵеит_, _راہداری_, _bacallà_, _veikemud, 
   {{0xe32101cf,0xc25a0347,0x00000000,0x00000000}},	//   _bracios_, _beklee_, --, --, 
   {{0x5d19031a,0x76f10381,0x494e002b,0x0040000f}},	//   _aguscear, _abrahamw, _পাইনা_, _kabullen, 
   {{0x66260094,0x225a007f,0x0e4b0308,0x00000000}},	// [d3d0] _سابىرعا_, _dyblu_, _penandaa, --, 
   {{0x826001f9,0xc34805b7,0x00000000,0x00000000}},	//   _etitukul, _čekaš_, --, --, 
   {{0x626c0066,0xc249011c,0xa200014b,0x4dba03ad}},	//   _askok_, _ajuma_, _bihise_, _verament_, 
   {{0xf29002bd,0xdc5a0429,0x00000000,0x00000000}},	//   _amcan_, _khutbah_, --, --, 
   {{0xeb9e0217,0x828301cd,0x22790120,0xc9c10166}},	//   _medienoc, _сулхи_, _tassagal, _norddeut, 
   {{0xceec034f,0x53f4008d,0x59f40211,0xbca70486}},	//   _متقاعد_, _турсин_, _турции_, _वृहस्पति_, 
   {{0x09b701ac,0xf2900178,0x147b038b,0x3c16007f}},	//   _polasaí_, _abhayo_, _tingkatk, _amharodr, 
   {{0x3348026c,0x4af100ff,0x4ad7017c,0xc2c20499}},	//   _argenti_, _לעכאוויט, _rastplat, _sialega_, 
   {{0xa26c0569,0x21bf0115,0x1a790158,0x521b0163}},	//   _uskok_, _tarmidzi_, _अधिशासी_, _پرسیاسی_, 
   {{0x4a120136,0xc6ef04d7,0xa7ce0105,0x12e1034f}},	//   _jutarnje, _leitarvé, _बालिकाओं_, _awunako_, 
   {{0x658e02fb,0xc654018d,0xdc520117,0x9af7006c}},	//   _akatemik, _ግርማይካ_, _waitman_, _қасдан_, 
   {{0xbc650047,0xd3a303ba,0x21a4014e,0x8292057f}},	//   _montant_, _elapse_, _jahović_, _mapaso_, 
   {{0x0d1600ef,0x1253000e,0x1c0100d7,0xa2bb0040}},	//   _حکیمی_, _homanité_, _dipusets, _ההיפך_, 
   {{0xf49e01f6,0xcc530242,0x56b800e0,0x00000000}},	//   _ভিত্তিত_, _saatdan_, _kabareti, --, 
   {{0x794902bb,0xe9ec022e,0x523d02bb,0x27a70080}},	//   _आहिस्ता_, _maritata_, _tramwaj_, _ikattuni, 
   {{0xfa15023b,0x0440006c,0x7b260219,0x00000000}},	//   _hooakaka_, _abakunik, _ekuphula_, --, 
   {{0x33af033e,0x23ea007b,0x0b8d004d,0x603b004b}},	// [d3e0] _asesinát, _hantai_, _insidiar, _lefereho, 
   {{0x12da0283,0xa2f4012d,0x69d902e7,0xb06b0040}},	//   _lwgleux_, _posibol_, _girekome, _ההפסד_, 
   {{0x2345021c,0xff320139,0xbf250315,0xca6f026f}},	//   _hladinu_, _विस्तारे_, _basenkan, _дпрессия, 
   {{0x3fb20486,0x71760008,0x00000000,0x00000000}},	//   _studentů, _бланктар, --, --, 
   {{0x63ea07a8,0x844903b9,0x734802a6,0xa3170220}},	//   _lantai_, _chijinak, _ribelli_, _vincere_, 
   {{0x1db900da,0xe94d002b,0x22bb026b,0x00000000}},	//   _ынкишь_, _ঢাকনা_, _ponerme_, --, 
   {{0x6a51020b,0x4eba013a,0x39d900b9,0xf2ca01ef}},	//   _babelona_, _vergiess_, _direkome, _laidai_, 
   {{0x87c10211,0x47370244,0x00000000,0x00000000}},	//   _samsungi, _брендо_, --, --, 
   {{0xc0d30029,0xb2fe019b,0xd1990486,0xc2fc0050}},	//   _لێپێچینه_, _atsiras_, _modelová_, _bingah_, 
   {{0xf2920076,0xaeb202ad,0xfc6700c4,0xbb2204a5}},	//   _sapato_, _samovoln, _sikujua_, _oluphele, 
   {{0x3fe90486,0x5b1b0348,0xb2fc015f,0x079701c8}},	//   _ब्यापार_, _ajjanjab, _annilys_, _produkov, 
   {{0x638600bc,0x223a0097,0x00000000,0x00000000}},	//   _پايدار_, _lójuu_, --, --, 
   {{0xc5d40294,0xd26c0162,0xdb2204cf,0x11ce0037}},	//   _kamachiy, _бастуруш_, _aluphele, _አሰምተዋል_, 
   {{0x279a00c8,0xf316006c,0xc3d80012,0x4d8a01fe}},	//   _лохотрон_, _ababili_, _स्टाइलशी, _letoluva, 
   {{0x718600cb,0xbc6a0285,0x026c0211,0x406c018d}},	//   _ababamel, _bukungu_, _uskoa_, _ኣመዓባብላ_, 
   {{0xd27e01ec,0x5ebf027c,0x21b40405,0x737b02ec}},	//   _adonan_, _دستراتیژ, _ознак_, _garasho_, 
   {{0xc2c8023d,0xe1390092,0xdf2d0392,0x5aab02f0}},	// [d3f0] _ottobre_, _友達申請フォ_, _eòlasach_, _eluvalwe, 
   {{0x2af70750,0xf2ee00d2,0x306d0321,0xb5b400ff}},	//   _forsvare, _ngantri_, _kampiran, _סאמאליע_, 
   {{0x7c310212,0xe2d80098,0x22d40053,0xb894002b}},	//   _unusquis, _evnen_, _yaudah_, _ছুঁড়ে_, 
   {{0xdbeb0157,0x5290012d,0x82d80485,0x442b042c}},	//   _पु्राने_, _kilaud_, _ovnen_, _nalazimo_, 
   {{0x536c00a2,0x835e0011,0x69c60012,0x00000000}},	//   _wangapi_, _bakukuum, _लरकोरिया_, --, 
   {{0x02f602cb,0x58b70026,0x00000000,0x00000000}},	//   _dobitak_, _gisterav, --, --, 
   {{0x8eb70065,0x86af03c2,0x95d90250,0xb706009d}},	//   _altstadt_, _belgraai, _procedoh, _patriotë, 
   {{0x984a0037,0x6f4d0270,0xcd7b0077,0x00000000}},	//   _በአምልኮ_, _complite_, _chechrès_, --, 
   {{0x726c036c,0xfe4f0213,0xa59a01ad,0x1b050184}},	//   _manova_, _единицы_, _weilheim_, _nkarusha_, 
   {{0x33ca00c7,0x3dbb007e,0xa2d7008d,0x9e0a0094}},	//   _teması_, _anasūyur_, _omillar_, _боларсыз_, 
   {{0xa84a018d,0x06da0148,0xa26d0097,0x2373004f}},	//   _ክትመውት_, _文具生活館_, _bibori_, _cangaay_, 
   {{0xd20e01cd,0xe3c60262,0xb4f701ef,0x1a8d00bc}},	//   _дарак_, _атамырад, _граблі_, _banyurot, 
   {{0x526e044d,0x13860403,0x95210162,0x3c6d0096}},	//   _porodi_, _amoron_, _تورلاشتۇ, _akiruka_, 
   {{0x651b005a,0x93480067,0xd2c40227,0xd29801fc}},	//   _chongagh, _argetti_, _muawiyah_, _saaqatah_, 
   {{0xbc0b016a,0x5db302fd,0xdef90479,0xcb7d0109}},	//   _hispana_, _cumainte_, _fiókod_, _यम्घा_, 
   {{0x6387029b,0x72da00a2,0xfc5600d7,0xc4b40244}},	//   _baaram_, _kireno_, _efatshe_, _белгийск, 
  
   {{0x1af603eb,0x959700ae,0x00000000,0x00000000}},	// [d400] _koreaans, _itosekaz, --, --, 
   {{0x1f890238,0x8a5801a7,0x3fc8006e,0x7a090010}},	//   _народног, _ongelmia_, _bariwuto, _buyasebe, 
   {{0xac520197,0x98990213,0xf3dc0387,0x633a0244}},	//   _haitian_, _родитель_, _yanwa_, _правоотн, 
   {{0xf248005b,0xa0ce027d,0xf42f01e9,0x293d017c}},	//   _femme_, _sadržaja_, _bokaokao_, _framtage, 
   {{0x72480505,0xdda101fc,0x5c14004b,0xdafa002b}},	//   _nemme_, _borograa, _butsoits, _বিবেকের_, 
   {{0xf96301f0,0x00000000,0x00000000,0x00000000}},	//   _kokotele, --, --, --, 
   {{0x12e805fd,0x12480262,0xf63d012b,0xbb1d0094}},	//   _baginda_, _hemme_, _problemó, _моральды, 
   {{0xf4a60025,0xd2cb0026,0x397f0075,0x41460209}},	//   _सौराष्ट्, _bieden_, _juniorme, _steenhol, 
   {{0xd3780402,0x5202028d,0x42810457,0x215c033e}},	//   _menawan_, _lasinn_, _kilbatti_, _мураҭ_, 
   {{0x9b170319,0xac600202,0xe6ae0013,0x93dc0176}},	//   _limpieza_, _dagunla_, _bakteriy, _sanwa_, 
   {{0x693e047d,0x93e40524,0xbe530240,0x38f90241}},	//   _meilenwe, _kantridi_, _nayacaka, _dagaagsu, 
   {{0x430a0479,0xd0b700d1,0xbc5b0151,0x00000000}},	//   _végső_, _খাৱলৈ_, _bestrew_, --, 
   {{0x4c53063e,0x88bf0344,0x00000000,0x00000000}},	//   _cestama_, _assertuu, --, --, 
   {{0xd3dc046d,0x33bb0291,0xc15a0037,0x68be0151}},	//   _wanwa_, _إسعاف_, _በፈፀሙት_, _bartjuhv, 
   {{0x253b043d,0xe00d026f,0x12d90274,0x22d1004d}},	//   _menyatak, _ازاﻳﺘﯟﻋﺎ_, _eggert_, _virorum_, 
   {{0xd47a04bf,0xc3690125,0x765c00c1,0xa2c40155}},	//   _sastavlj, _карысынд, _मानधन_, _kommuns_, 
   {{0x5f3302fa,0x642b01a3,0x12b40109,0xa27f014f}},	// [d410] _ararenga, _پنجهتر_, _velcí_, _besna_, 
   {{0x697500e3,0x6538053d,0x58e702e2,0xc06f01c9}},	//   _arrikkit, _banintsh, _balsymag, _ratastoo, 
   {{0x135d022c,0x94bc0229,0x00000000,0x00000000}},	//   _kenging_, _toplayıb_, --, --, 
   {{0xd26c00d9,0x45f80141,0x8270048f,0x00000000}},	//   _uskon_, _максадид, _obongoli_, --, 
   {{0xb4ef0057,0x61e40040,0x34e801ef,0xfb58016b}},	//   _ወንድማችን_, _קרואטיה_, _фантазія, _bukukuwa_, 
   {{0x737300e1,0x73a30473,0xa04c00c5,0xe2cb01bc}},	//   _alkande_, _klappt_, _浏览器不支持嵌入, _rieden_, 
   {{0x329201b9,0x526c00d5,0x0c3802c3,0xf2cb00e0}},	//   _deranz_, _manota_, _federáci, _sieden_, 
   {{0x485901fb,0x2fb400bb,0x5ae5020e,0x838a0037}},	//   _garrigos_, _منورحسن_, _daereket, _መስራቱን_, 
   {{0x9d2d0059,0x8c1a041a,0xa1fe0514,0x37e0027b}},	//   _греша_, _кисломол, _realisáb, _इदुदुपधस, 
   {{0x25a40036,0x321d000c,0x339b004d,0x09650360}},	//   _chairdiú, _малуп_, _明清的賞玩文化_, _स्तनमा_, 
   {{0x966004ec,0x624700e6,0x230800ec,0x373b015e}},	//   _biciyemw, _郑州工商网_, _немцаў_, _акылары_, 
   {{0x6aea0003,0x69cf00e0,0x00000000,0x00000000}},	//   _instelle, _sudersee, --, --, 
   {{0xfd8103b0,0x1bbb002b,0x495301db,0x868d0022}},	//   _billetta, _শিক্ষানব, _мырыш_, _disetifi, 
   {{0x534a01d4,0xec680095,0x00000000,0x00000000}},	//   _agneddu_, _deduksi_, --, --, 
   {{0x93a30034,0xada80477,0xbc0a0226,0x4f99015e}},	//   _kappi_, _terinsta, _atapita_, _privades_, 
   {{0x63320244,0xf18e002b,0x717b0555,0xbbfb0264}},	//   _opexo_, _অধিনায়ক_, _delavtal, _septyemb, 
   {{0x6f28002f,0x6a130096,0x3e55040f,0x00000000}},	// [d420] _aiitulla, _bakabahe, _jonavoje_, --, 
   {{0x5b640242,0x2dd5041e,0xa2e7008f,0x00000000}},	//   _fondunun_, _acchille_, _katlamaj, --, 
   {{0x1af702e0,0x43170147,0xe028004d,0xf2240079}},	//   _bobusale, _جاتعان_, _加強文化及育樂活, _vilkt_, 
   {{0x3c53041e,0x726c029e,0x197000aa,0x539a003c}},	//   _furtuna_, _askol_, _gisinult, _اسپمر_, 
   {{0xd7cf01aa,0xe26c01a7,0x99ec0162,0xd63d031c}},	//   _accusedw, _uskoo_, _пикиригә_, _problemá, 
   {{0xa3780588,0x0be20450,0xc55901a3,0xe583014c}},	//   _kubanza_, _sloveens, _دوڪانن_, _kokungaz, 
   {{0xa316004f,0xc20204b3,0x99b90205,0x6c0200df}},	//   _bajbaji_, _basion_, _ahmedova_, _passons_, 
   {{0x0e6d004d,0x314a0235,0xc63d0046,0x17db0054}},	//   _搜索的用戶組別_, _ayatnamo, _problemà, _gaurayaw, 
   {{0x821302e4,0x93de018a,0xfef20193,0x250e005b}},	//   _cachia_, _derwen_, _लिंकन_, _gogomich, 
   {{0x32d801a2,0x652400eb,0x3c75053e,0x1f580279}},	//   _tvnet_, _kristofo_, _innslag_, _faculté_, 
   {{0xbc62068f,0x46a20326,0x330e009f,0x42cb005b}},	//   _pocrite_, _anyeverw, _domišlji, _fjydd_, 
   {{0x132000a7,0x6061042f,0xb202011e,0xf2ca0260}},	//   _concurs_, _haviknik_, _rasinn_, _pondal_, 
   {{0xbc53028d,0x65e003a2,0x76590039,0x9d2900a4}},	//   _lestoma_, _विज़िटर_, _markagai, _группалы, 
   {{0x3d88017d,0xe973012a,0xd7d00084,0x12970256}},	//   _質問者のみ_, _posiedze, _bangkong, _aizkaru_, 
   {{0x026d045c,0xf5db0054,0x383600ba,0x7d5100de}},	//   _kusov_, _tambayoy, _ئۆڵۆمپی_, _محبوبې_, 
   {{0xda8f00aa,0x00000000,0x00000000,0x00000000}},	//   _kamiyemb, --, --, --, 
   {{0x252d0244,0xe2480287,0xa2c102e0,0x9c2001e8}},	// [d430] _scoperto_, _jdeme_, _diresepi_, _maisalib, 
   {{0xf2010163,0xf287000d,0xf7ee0153,0xd34203fb}},	//   _akció_, _isikule_, _エリアトップ_, _doveden_, 
   {{0x2303069c,0xf22404b9,0x925b018d,0x4c6000a0}},	//   _detailu_, _wilks_, _መወዳኣታ_, _ammuran_, 
   {{0x32d7003d,0x914d02ea,0x00000000,0x00000000}},	//   _amilcar_, _изгори_, --, --, 
   {{0x720e009b,0x4177003a,0xb9f80157,0x3c8c021e}},	//   _царай_, _нечта_, _स्पेक्ट्, _avstängd_, 
   {{0xd24800f0,0xad260064,0x00000000,0x00000000}},	//   _ideme_, _арасыз_, --, --, 
   {{0xd29001cc,0xfeb9005b,0x62420365,0x62fc029b}},	//   _samaye_, _coworkin, _पातलो_, _dagge_, 
   {{0x126d005b,0xb5bd00d9,0xf3fc0147,0x4fd303b4}},	//   _musou_, _названию_, _داكەڭ_, _chandino, 
   {{0xed98017d,0x83390258,0x826c0334,0x82fc00a0}},	//   _skiftede_, _efterôf_, _escom_, _fagge_, 
   {{0xe2240488,0x497800ee,0xc1460401,0x4ce402cf}},	//   _vilks_, _arriskut, _भरपूरी_, _измет_, 
   {{0x6f460464,0xc0320073,0x997804cf,0x227e03d9}},	//   _amasinde_, _certemen, _balisebe, _atonta_, 
   {{0x748607ed,0x22fc043a,0xdc71017c,0xc0ee0053}},	//   _ड्रामा_, _bukilas_, _missade_, _berikanl, 
   {{0x534e016a,0x4e4d017f,0x22bb001d,0xe2020066}},	//   _adresoj_, _appassaa, _rejecte_, _mutiko_, 
   {{0x385c023c,0x2ae1025c,0x3c53051e,0x04170062}},	//   _بازارونو_, _angemess, _montado_, _jingormo_, 
   {{0x5c930060,0x004602ac,0x43ed002e,0x22d80683}},	//   _ءارقايسى_, _ماعندي_, _ljudskog_, _evner_, 
   {{0x24860177,0x004a0007,0x73cf0077,0x0176002b}},	//   _аманы_, _profetio, _alavni_, _ইহুদিদের_, 
   {{0x958b02d3,0x398303b0,0x9abc04d1,0x45340237}},	// [d440] _постигну, _folketet, _trasláda, _산간벽지나_, 
   {{0x13d101c5,0xe94102ef,0x33800222,0xba9701ef}},	//   _یێران_, _unflatte, _courir_, _ваннаў_, 
   {{0x6566002b,0x465d00d0,0x72920196,0xcc6406a2}},	//   _ইলিশের_, _аяллыг_, _kapado_, _sebukwe_, 
   {{0x22480127,0x3e4d000a,0x72980170,0xfdbf0333}},	//   _ademb_, _apparsaa, _chejumo_, _averianu_, 
   {{0xdfa801db,0x438700bc,0xf2ef0307,0xfa6c01e9}},	//   _ءوزىندە_, _nyerat_, _iphinda_, _kabodits, 
   {{0xa67c0041,0xcd3e0037,0xb53c0213,0x3c0b0263}},	//   _иадҳәало, _አላውቀውም_, _появитьс, _stappen_, 
   {{0xeb8900c5,0xfd120322,0x685300bc,0x78ec00bb}},	//   _第四十三条_, _amarabir, _baillard, _راجدھانی_, 
   {{0x338000ce,0xa0c300a6,0xe6440244,0x3f3c026c}},	//   _sourir_, _دداسی_, _бульон_, _renuntia, 
   {{0x830100e9,0xe86b008f,0x31b9071a,0x7b910264}},	//   _anparti_, _hinnangu, _германи_, _juanillo_, 
   {{0x559d072a,0x1eef0008,0x71d00040,0x62960060}},	//   _اختیارات_, _travessa, _האנימציה_, _ماريام_, 
   {{0xd2d900ef,0xf147010f,0xf85a004c,0x563301cd}},	//   _agwebe_, _надидам_, _akenjawu, _abhigayi, 
   {{0x4c2401b2,0x70f600d1,0x13860202,0x2bf901b3}},	//   _ceaseles, _তামোলক_, _omoran_, _процесам, 
   {{0x9301037f,0xabe60137,0x8d2f065d,0xc2900227}},	//   _aslanov_, _багцад_, _tannlege_, _dekati_, 
   {{0xcae604f9,0x960a0141,0x72ef0761,0x797600e6}},	//   _akornuse, _билмасли, _aphinda_, _envisage, 
   {{0xa58e0318,0x39cb0216,0xe38600c5,0x26eb00c1}},	//   _ekatemik, _enelanga_, _encre_, _कणकवली_, 
   {{0x042b036a,0x52100156,0x63f8033f,0x00000000}},	//   _halalimo_, _סמבטיון_, _tuhulu_, --, 
   {{0x896d0480,0x39d7019d,0x51990486,0x79840040}},	// [d450] _akanakut, _amathand, _modelové_, _הנקראת_, 
   {{0x13ea027a,0xa26d02e7,0x306a0299,0x5ec401c0}},	//   _protiv_, _gusot_, _توخۇنىڭ_, _guanzhon, 
   {{0xa2ef03ab,0xc147015c,0x23620040,0x6b7902c9}},	//   _podzimní_, _englesch_, _לקיבוץ_, _absolvir, 
   {{0x32c40297,0x9d3e031a,0x79c100d2,0x00000000}},	//   _bouling_, _seapanac, _dijentre, --, 
   {{0x4b06017a,0x1ad800ba,0x9349016e,0x00000000}},	//   _рассия_, _موخلیف_, _gizemli_, --, 
   {{0x4fb60047,0xf2e301fb,0x92c60040,0x56bb0189}},	//   _gratuits_, _logiate_, _dismiss_, _beraberi, 
   {{0x114b0125,0xf2ec00d0,0xba8e0176,0x00000000}},	//   _azalmagy_, _ялтай_, _hannarin_, --, 
   {{0xc2fa04e5,0x61eb0045,0xc37f01a6,0xb21c020f}},	//   _swahaba_, _споразум_, _hunaara_, _حقايقو_, 
   {{0x72740010,0xc7530307,0x934d001f,0xbbf4039f}},	//   _akasikel, _abangang, _yerenom_, _adherenc, 
   {{0xcc220157,0x322a00c7,0x0ecf0255,0x42020145}},	//   _romantyc, _ходай_, _takistab_, _sutiko_, 
   {{0x9686046b,0x941900c8,0xef4c0053,0x097c00be}},	//   _academai, _фабрикаһ, _bershola, _ماسەلەكە_, 
   {{0xc3d703f1,0x3adf020e,0xb15b0068,0x00000000}},	//   _kritériá_, _iphetets, _aloosmay_, --, 
   {{0xfacf0075,0x255401d5,0xa47b0472,0x27b301b2}},	//   _klatrive, _eltérés_, _melecehk, _armeanag, 
   {{0xf386028d,0x837c0184,0x86950195,0xb28300d0}},	//   _dikre_, _bizanye_, _eisteach, _тураадаг_, 
   {{0xc2240374,0x49960410,0x8a11015d,0x6387046f}},	//   _balki_, _dikhwama_, _ostatnia_, _dierfs_, 
   {{0x2a2d00b4,0x934001ab,0x7f400139,0xad0f0010}},	//   _politică_, _जमदूत_, _autsukya, _echungec, 
   {{0xa0760148,0xec730107,0x8848032d,0xcfb401eb}},	// [d460] _公眾用戶組_, _ajisaka_, _шәрип_, _плетнер_, 
   {{0xaec5060d,0xab1402c2,0xa7cc005c,0xbd1402e6}},	//   _हेडक्वार, _liggaams, _anashimi, _rullende_, 
   {{0xcf4701b8,0x4a14005b,0x03bd014f,0xf0980156}},	//   _saksamaa, _wakayama_, _признања_, _aplikaĵo_, 
   {{0xb29002bc,0x4c6f012a,0x1a14005b,0xe6580102}},	//   _sydang_, _gatunek_, _takayama_, _imandikw, 
   {{0x599200a2,0xd2240342,0x214a0037,0x00000000}},	//   _عبدالرشي, _amikal_, _ተመዝግበዋል_, --, 
   {{0xd1a101d5,0x12ed02f9,0x94340156,0x1db30121}},	//   _شاہکار_, _envizib_, _סטעליע_, _estanque_, 
   {{0x07af01df,0x4f4e008d,0xd2020222,0xc326026f}},	//   _synuclei, _одатий_, _copine_, _دارﯨﭙﺘﻪۋ_, 
   {{0x1319034f,0xd1d7013f,0xf7b5002f,0x7c5b0449}},	//   _پيمان_, _kinnigoù_, _andreaei, _nestati_, 
   {{0xfa76034b,0x97aa04e5,0x27b401aa,0x138200a6}},	//   _longfala_, _agatuumi, _amateurw, _ځانله_, 
   {{0xa25b01fc,0xcdea00c1,0x97fe029d,0xe9e80205}},	//   _abalih_, _गुजगोष्ट, _рякциона, _прокраст, 
   {{0x02ca01b8,0x817a006a,0x327a0357,0x70ad00f2}},	//   _ajada_, _kelikely_, _kelikeli_, _garastāv, 
   {{0x2d3d0321,0x9adf039d,0xea36005e,0x0dc60258}},	//   _dominvrt_, _tshenets, _ﻗﻮﻏﺪﺍﺵ_, _lisinsje_, 
   {{0x55280060,0xb3400258,0x00000000,0x00000000}},	//   _тарқатып_, _sinezen_, --, --, 
   {{0x0544003a,0xa56200b3,0x3dd3008d,0x46c80111}},	//   _amnistiy, _aýjemal_, _shaklida, _ascultà_, 
   {{0x02ee03c9,0x2c680456,0x626d02e7,0x05a80307}},	//   _proff_, _nutrien_, _lusok_, _nangemih, 
   {{0x937a04ef,0x9b7102c6,0x730100da,0xb9bc0009}},	//   _mudando_, _disoudar, _slabire_, _prevladu, 
   {{0x720202d8,0xf25c0061,0x43ce0215,0x1db40037}},	// [d470] _kasian_, _雅얗뾹瑥꿨캃_, _halvor_, _iringila, 
   {{0x1224015d,0x2c1f0255,0x4db300ed,0x3137006c}},	//   _walki_, _kauplus_, _malikaya, _зуровари, 
   {{0x82cb006f,0x5c5c007b,0x06db02fd,0x73040310}},	//   _baadhi_, _aestren_, _chabhani, _cudarom_, 
   {{0xcc5302e7,0xe3fa0049,0x00000000,0x00000000}},	//   _kurtina_, _puputu_, --, --, 
   {{0xd225022a,0x13f904c9,0x0a1f03c7,0x15cc0322}},	//   _sitka_, _taguig_, _giełdy_, _bamarany, 
   {{0x92ab00ed,0xcd8700ee,0x88ff00cb,0x00000000}},	//   _bilding_, _чинжүү_, _машқгоҳи_, --, 
   {{0xe1570255,0xdc84046b,0x82fb028b,0x29410211}},	//   _मल्लाह_, _chrefydd_, _fotosmuj, _maalinte, 
   {{0xed170139,0xdbf603ef,0xd3dc020b,0xdcf801dd}},	//   _aphalaṃ_, _akatarab, _ganwa_, _asetamor, 
   {{0xc8b9016d,0xaa9c0127,0x39d60285,0xab9c00c1}},	//   _چوڭراق_, _julijans, _guverine, _खेबुडकर_, 
   {{0x53dc00d6,0x597e0238,0x43a3005a,0xf5d10184}},	//   _safwa_, _групі_, _mappr_, _kiragumy, 
   {{0x9cea008f,0x83dc0627,0xa2f40249,0x36ef003b}},	//   _तिलमिला_, _banwa_, _rifilim_, _bebazalw, 
   {{0xb4d401db,0x72ca020e,0x09870125,0xb7b80092}},	//   _ءبىرجاقت, _baalafi_, _юридики_, _ニコニコ憲法記念, 
   {{0x1a580206,0x626e00ab,0xa3dc02f9,0xd354049d}},	//   _kolekcia_, _horomi_, _danwa_, _bonecos_, 
   {{0x53790277,0xce0a02a1,0xa9d0015e,0x9c740829}},	//   _datadta_, _middelma, _artístic_, _अपव्यय_, 
   {{0xa386033a,0x6c6b0553,0x5b7f0300,0x2e8c0177}},	//   _ankra_, _extrém_, _pornoher, _угәла_, 
   {{0xa85f001e,0x8316016e,0x237f0020,0x1b1f0050}},	//   _takardar_, _enstrüma, _lalamua_, _kamajuan_, 
   {{0x95a70060,0x8d180037,0x41bd01db,0x69c00541}},	// [d480] _араласа_, _ስምንተኛ_, _актiлерi, _karleusa_, 
   {{0xaf390108,0x3dc700c4,0x71dd0144,0x3234021c}},	//   _pamungka, _جاڳرتا_, _athléimn, _pramene_, 
   {{0x83fa0076,0x02fa0092,0x4ebb0350,0xcc69024c}},	//   _requer_, _tvangsfj, _በየሁለት_, _ivvutaw_, 
   {{0x90440024,0xc6d3019d,0xd2f20665,0x3202056a}},	//   _তথ্যভাণ্, _chichiti, _régul_, _kopile_, 
   {{0x970d006c,0x538b0431,0x00000000,0x00000000}},	//   _шарри_, _børve_, --, --, 
   {{0xf9970695,0xb0f60105,0x695800c7,0x8213017f}},	//   _moskvada_, _एप्रूव_, _hitlerne, _ihghii_, 
   {{0x3b0c00ac,0xe2e30195,0xac6f0187,0xe82a0188}},	//   _rasprava_, _cheithe_, _correia_, _монеаҳои_, 
   {{0x0f600052,0x4eb703f1,0xe525004d,0xd88f0153}},	//   _displeje_, _podstate_, _討論區首頁_, _すべてのジャンル_, 
   {{0x96b20092,0xd2020456,0x5df900e0,0x00000000}},	//   _気になることが出, _yasiin_, _meidocht_, --, 
   {{0xd3200251,0x32390046,0xc9e70225,0x18e70225}},	//   _gelyo_, _ترويلۇق_, _tengeiye, _tengeiyu, 
   {{0x12db0187,0xfc610158,0x35b302eb,0x114002e7}},	//   _edifício_, _pokryte_, _сордог_, _mandudul, 
   {{0x52fc0120,0x22d40292,0x094e002b,0xd72b00d9}},	//   _wagga_, _ambebuei_, _পাওনা_, _столицы_, 
   {{0xe264018d,0x7c5b02ea,0x53a2016f,0x646a01db}},	//   _ንውድባት_, _vestiti_, _valpen_, _كەڭەستەر_, 
   {{0x42cf029d,0x0ae904c7,0xfdb601d2,0xfd130307}},	//   _valoare_, _доминира_, _atinkima, _nakubapr, 
   {{0xa82e01cd,0x568600fd,0xdfbe0212,0x7b8200ff}},	//   _артиш_, _acadamai, _mutlicho, _transmar, 
   {{0xb0e70168,0x567400cf,0x94f30237,0x00000000}},	//   _offisiel, _hirdhisi, _소나기댓글_, --, 
   {{0xaf250189,0xd28302f7,0x5c37028a,0xd1b304c7}},	// [d490] _smileler_, _bothati_, _مهندان_, _попове_, 
   {{0xfa8d02b2,0x9248001b,0xf29102fd,0xfdfa00ca}},	//   _åringen_, _deeme_, _gleans_, _bagergue_, 
   {{0x0a630097,0x0910012c,0xc37a0784,0x05480311}},	//   _arogboya_, _مشاهدا_, _aftalen_, _ተጠቒመን_, 
   {{0xa4820060,0x69fd00da,0x0cd40311,0xb87a0194}},	//   _болуды_, _sesiunea_, _ቁርብተይ_, _lápides_, 
   {{0x229202e8,0x220e004a,0xc2e202bc,0xd27e0318}},	//   _mitatu_, _сарае_, _mariang_, _itonga_, 
   {{0x23fe00ae,0xa4f20122,0xa43300de,0x2c3d0295}},	//   _abazoba_, _امامان_, _دمقابلې_, _luangahu_, 
   {{0xc02c00e2,0x586e0173,0x53cb0024,0xff69024a}},	//   _kladblok_, _maestros_, _নবেম্বৰ_, _mulattos_, 
   {{0xb7be0290,0xee940037,0x00000000,0x00000000}},	//   _prestazi, _እንቀጥላለን_, --, --, 
   {{0x03f402c7,0x8c660331,0xa02301e7,0xef4f0478}},	//   _ersten_, _hittast_, _appelpro, _compeire_, 
   {{0x41940374,0x213f0291,0x00000000,0x00000000}},	//   _حضوریگه_, _بحوزة_, --, --, 
   {{0xeb9d01cb,0xf57d01fc,0x421d033e,0x97890153}},	//   _iminotho_, _gennaqtá, _ракун_, _あいだゆあ_, 
   {{0x634802fb,0xdafb018d,0x726e0282,0xe394046f}},	//   _finemui_, _ዘይጽወር_, _koroki_, _deiste_, 
   {{0x72b401b7,0x32940250,0x12e803d8,0x99950344}},	//   _apica_, _ndikimi_, _kafića_, _biskopip_, 
   {{0x36a502a4,0x22e700c7,0x57930061,0x125b03e7}},	//   _alternaf, _бармак_, _전문가상담_, _laylay_, 
   {{0x738b03b0,0xe92a04ca,0xd6700162,0xb2f00157}},	//   _førte_, _unicellu, _күрдләрд, _kominki_, 
   {{0xdf59045b,0x7248031e,0x4c500163,0x7ffd0148}},	//   _забороне, _idemo_, _منگنی_, _攤位出租頂讓_, 
   {{0xd290005c,0x09f705e7,0xb2b4022e,0x626c0032}},	// [d4a0] _bamaze_, _kungakhe, _epica_, _hijoy_, 
   {{0x727e001f,0x7290001e,0x938b0485,0xad920047}},	//   _eyinom_, _mamaye_, _hørte_, _immeuble_, 
   {{0xc38b057c,0x6c0a00a1,0x2d410156,0xec2c0105}},	//   _kørte_, _arapeta_, _דורותדיק, _badaniac, 
   {{0x536600c4,0x29c20081,0x68f70307,0xfbbc00f8}},	//   _maagizo_, _samvinnu, _lungakhu, _বংশধর_, 
   {{0x43000036,0x127f04d7,0x83f40540,0xb30f0073}},	//   _tapaidh_, _spennt_, _settum_, _symbolo_, 
   {{0xde4200ee,0x529204d8,0x3ad90061,0x4c2a0397}},	//   _finantza, _intaad_, _야한동영상_, _авасто_, 
   {{0x2a0f009a,0x125b00a8,0xdf330224,0x42b605ce}},	//   _abasathu, _chella_, _fatahönn, _savcı_, 
   {{0x993702eb,0x527f002e,0x5a5c00dc,0x0a7401b0}},	//   _баабар_, _radnju_, _iesepela_, _banggana_, 
   {{0xee560088,0xc73b018b,0xe3bc02ac,0x6b3500ea}},	//   _картаны_, _скелер_, _الذنب_, _advantis, 
   {{0x52ab025c,0x12020264,0x43360546,0x225b018d}},	//   _bildung_, _artiko_, _मेटाडेटा_, _thella_, 
   {{0xe753020f,0xc3110109,0x58320162,0x858300aa}},	//   _abanyang, _databox_, _بايىت_, _kolektah, 
   {{0x14030220,0xf46b066f,0xf2ef016a,0xd2370090}},	//   _бюджета_, _parecido_, _trafos_, _anomira_, 
   {{0x92b40176,0x1a7001ec,0x3ee702c4,0x00000000}},	//   _spica_, _baladewa_, _правев_, --, 
   {{0x42960240,0xe90900fc,0xa2010304,0x226e01fe}},	//   _fikataki_, _japandaq_, _ambiga_, _voroki_, 
   {{0xa3860305,0x9767009b,0xd9410220,0x82ba025f}},	//   _sikra_, _паркаар_, _riflette, _mondimi_, 
   {{0x00000000,0x00000000,0x00000000,0x00000000}},	//   --, --, --, --, 
   {{0x834f02a8,0x1d91005e,0x0de60037,0x205a0071}},	// [d4b0] _immexxi_, _غەرپكە_, _ማይክሮሶፍት_, _carangso, 
   {{0xda76044a,0xbf83004d,0xe23b018c,0x97a20259}},	//   _lingwala_, _行政院金融監督管, _analoog_, _egedalsv, 
   {{0x12d00352,0x031a007e,0xf33c00c5,0x198e0045}},	//   _সমকক্ষ_, _athavā_, _访问我的博客_, _малим_, 
   {{0x169501bc,0x53730119,0x6207009a,0x92fc00bd}},	//   _histoary, _alkalde_, _banyukel, _kingly_, 
   {{0x137c04d0,0x125b02bc,0x1c7c011e,0x9a360352}},	//   _bingmax_, _shella_, _prosman_, _ডালিমী_, 
   {{0xd373021a,0xeace00dc,0x566b02d3,0x5eb803d9}},	//   _arganne_, _cendrows, _стилот_, _solosain, 
   {{0xe3950087,0x53d00256,0xfb890145,0x3da80488}},	//   _ivascu_, _olimpisk, _valandų_, _nerimsta, 
   {{0x77a10024,0xf2f20313,0xc153034d,0xcadc0272}},	//   _তৰালী_, _ludillu_, _maafkanl, _bamunywe, 
   {{0x7c6d012c,0xee9006ec,0xcbf10156,0xe930053e}},	//   _shirika_, _chamamen, _געאמעטרי, _hovmeste, 
   {{0x96b600b5,0x2b1803b8,0xf2010243,0x3fa40361}},	//   _aporomby, _гигиенас, _imbida_, _федоровн, 
   {{0xe291019a,0xd3e30213,0x19fd012c,0x92570027}},	//   _pleads_, _непремен, _kinachot, _pülik_, 
   {{0x497a033f,0x3200018e,0xbadb04d4,0xe41303d4}},	//   _amalekí_, _bihile_, _ikamdaun_, _корена_, 
   {{0xa7ec00bc,0x225a026f,0xf9960378,0x4d8402cb}},	//   _pekalong, _جاڭلىتپا, _biskopst, _početni_, 
   {{0x647804da,0x25ea0444,0x326d05a4,0x60f70035}},	//   _unutarnj, _корма_, _prsou_, _anaların, 
   {{0xc29002cd,0x138f005b,0x4f550227,0xa7fa0153}},	//   _mamane_, _akiyama_, _bergegas_, _イヤリング_, 
   {{0xe0e10144,0xa827023e,0xd5580097,0x00000000}},	//   _miondeal, _واداران_, _sààréè_, --, 
   {{0xc26e01ca,0xe3f40053,0x62f300ab,0x52390311}},	// [d4c0] _moroni_, _skutik_, _parihau_, _formimi_, 
   {{0x03b10354,0x2d330258,0xe22504a8,0x00000000}},	//   _секритар, _fernimme_, _pitke_, --, 
   {{0xb2b40315,0xb6a4010d,0x00000000,0x00000000}},	//   _isacp_, _ट्विटरवर, --, --, 
   {{0x5305003c,0x4c610059,0x66f30139,0x67e101d3}},	//   _فولاد_, _risulta_, _प्रदद्या, _biopremi, 
   {{0x4f2301ae,0xba14005b,0x92fc00ed,0xe0d80061}},	//   _comentan, _nakayama_, _gibihat_, _이루어져야_, 
   {{0xee4e0068,0x3adf020e,0x4cf502eb,0x0ea6040b}},	//   _somalila, _tshehets, _турбин_, _omelelan, 
   {{0x362704dc,0xa26e0298,0x5d3a0151,0x9bec01af}},	//   _باسانه_, _koroni_, _aquiline_, _begendir, 
   {{0xe9540220,0xb18402fc,0x92ee0234,0xea1300de}},	//   _известен_, _abepisko, _irinisi_, _ekwafike, 
   {{0x12480455,0x2cf003a2,0xcb780222,0xb2fc00a5}},	//   _comme_, _बाइकों_, _honorair, _tingey_, 
   {{0x6e480174,0x1c5d0028,0x869a02b9,0x8eca014c}},	//   _dinamune_, _hortago_, _قراردے_, _ebantwin, 
   {{0xae1802d4,0x8c560342,0xac090282,0xcade015e}},	//   _rinforza, _pratike_, _eripata_, _pertanye, 
   {{0x0c7c020d,0xe417020f,0x92ca00da,0xb1a901a3}},	//   _amasuka_, _akungemk, _fondul_, _اٻاڻڪو_, 
   {{0x7b2400df,0x6d83043a,0x9c53031c,0x8c7c0333}},	//   _nombreus, _hotentot_, _contado_, _kinsman_, 
   {{0x6f470204,0xc6b7000a,0x82d901cd,0x404d01a3}},	//   _maksamaa, _allakati, _agweme_, _ڀلارا_, 
   {{0x73200116,0xb5df0311,0x00000000,0x00000000}},	//   _obeyed_, _ተሓግሒጉ_, --, --, 
   {{0x024804ad,0x2aea01d1,0x97ca01f4,0x89fd0139}},	//   _bomme_, _installe, _konsulli, _arcayant, 
   {{0x2c2c048c,0x3b47012e,0x34b400d8,0x2f4e025b}},	// [d4d0] _ratified_, _التفسیر_, _balalaik, _fossánes_, 
   {{0x87430205,0x52910053,0x023c0311,0x566f034e}},	//   _тутса_, _amsal_, _ብፍኒስትራ_, _fredesvi, 
   {{0x721c003f,0xada404a6,0x00000000,0x00000000}},	//   _bashey_, _polovnja, --, --, 
   {{0x63010292,0xf37c045a,0xc38b045a,0x72920178}},	//   _anibere_, _betalte_, _mørkt_, _capalo_, 
   {{0x225b025e,0x32ee0081,0x52fd0167,0xf9d00444}},	//   _skella_, _stofu_, _annifyr_, _пеших_, 
   {{0xafeb0122,0x930e030a,0x2c0d00bd,0x72340040}},	//   _banyuwan, _engadir_, _shoppie_, _ארדואן_, 
   {{0xfbe00428,0x8fbd034c,0x96fb0156,0xa2e6027f}},	//   _primerno_, _arendato, _קוישבאָל_, _nzanira_, 
   {{0x599801db,0x22910418,0x00000000,0x00000000}},	//   _оркестрі, _necati_, --, --, 
   {{0x737102f6,0x3c54041b,0xaef600be,0x495b0181}},	//   _tagalog_, _curteng_, _экологдо, _decomede, 
   {{0x3720003f,0x70c600f6,0x11fd03b6,0x2387029b}},	//   _bibeljaj_, _italiyal, _túnlùú_, _mbaram_, 
   {{0x82d500c9,0xc292013b,0xa699008c,0x129200b3}},	//   _robocon_, _papado_, _perfeczi, _alsaň_, 
   {{0x025a00bd,0x96a500e6,0x815f03c2,0xcae70244}},	//   _cellar_, _全国价格主管部门, _aalossey_, _уголемяв, 
   {{0x85c800da,0x08bc00ff,0x3a3400f2,0x0c6702fe}},	//   _матернит, _אלזשיר_, _policijā_, _فرمای_, 
   {{0x11e6014e,0x81c400c1,0x1e19014e,0x4c4c0022}},	//   _словенач, _पडाताळून_, _доселили_, _суфиғәли_, 
   {{0xe652016a,0x637801c4,0xb067005e,0x869d008f}},	//   _konkludi, _elnatan_, _ﺟﺎﮬﯩﻞ_, _bulgaari, 
   {{0xe9c4001c,0xd2d7002e,0xe2480047,0x8c2b007e}},	//   _nordwest, _otvorio_, _pomme_, _asmadvac, 
   {{0xb30c03d0,0x02d90189,0x00000000,0x00000000}},	// [d4e0] _pakiranj, _evvel_, --, --, 
   {{0x438701a7,0x4b3c0040,0xc37d02d4,0xb2bb02ac}},	//   _vieras_, _להזדהות_, _insatge_, _تسيطر_, 
   {{0xc1080334,0x12900101,0x399d01bb,0x2c7503b2}},	//   _anakubal, _ramane_, _гарып_, _annular_, 
   {{0x31bc01f6,0x73910122,0xb3730264,0x6695036d}},	//   _মানুহজনে_, _محکومیت_, _bangkay_, _cisteach, 
   {{0xb27e00be,0x88c10066,0x837800b3,0x63420373}},	//   _диаметри_, _doktoreg, _aydanda_, _algebro_, 
   {{0xb05d01d5,0xf567020e,0x995e00c4,0xe680008f}},	//   _باصلاحیت_, _лиганың_, _اٽڪيل_, _जमराज_, 
   {{0xf32000fa,0xdad30147,0xd4060212,0x3cc30130}},	//   _medyo_, _اراچالاپ_, _thaitsuk, _arnodoù_, 
   {{0x62000318,0x86a40025,0xad5701ef,0x520100fb}},	//   _aeoia_, _श्रद्धाव, _магнаты_, _imbiza_, 
   {{0xc35f012a,0xcaef0544,0x72ed001c,0x2d0600be}},	//   _mateusz_, _nebukade, _hainich_, _روحۇم_, 
   {{0x955f0037,0x9b62008f,0x00000000,0x00000000}},	//   _የማይናቅ_, _कंचना_, --, --, 
   {{0x437c014c,0xf9f8029b,0x030c0145,0xc3f400ee}},	//   _nabanye_, _abdillaa_, _vakaras_, _martxa_, 
   {{0xd2b4005b,0x7379013d,0xf79c00c1,0xf63700e4}},	//   _yuichi_, _irlando_, _सहजासहजी_, _प्रतिपुष, 
   {{0x20ec044a,0x6b380311,0x3aab015d,0x5762002b}},	//   _bafilial, _ጣልያንን_, _प्रलेखन_, _মহাসড়কে_, 
   {{0x42250138,0x186200df,0x4e41036c,0xe1a60040}},	//   _bitki_, _incontou, _ampasamp, _ושיהיה_, 
   {{0x4f760044,0xe874011f,0x13220222,0x126c03d5}},	//   _מיליוני_, _атележур, _coucher_, _annoon_, 
   {{0x324801b8,0x73700271,0x99350162,0xc037036f}},	//   _olema_, _generasj, _نۇرلار_, _nastojan, 
   {{0x8d30000a,0x02ee001e,0xafe20519,0xf8be0041}},	// [d4f0] _politiit_, _haifar_, _पितृपक्ष_, _apỹigua_, 
   {{0x19690030,0xcec300bc,0x63f80340,0x830e0163}},	//   _autortie, _korintus_, _pahure_, _narancs_, 
   {{0x524800a5,0x7319016d,0x82ca0097,0xe20202e1}},	//   _alema_, _بولدۇق_, _ajadi_, _cipire_, 
   {{0x1b0b0409,0x7ce100aa,0x9290028e,0x82d700ca}},	//   _アドバイス_, _snowstor, _kamaut_, _anglés_, 
   {{0x5e4302dd,0x1c930060,0x420200e1,0x52d90036}},	//   _alfabett_, _تالاس_, _estijo_, _coderz_, 
   {{0xb2b40157,0x6c7700b9,0x026d0287,0x92e9040a}},	//   _pracy_, _पेक्षा_, _osmdesát, _skrivna_, 
   {{0x1dcf0369,0x03f402f4,0x3ec201fb,0x8f5802d3}},	//   _anahuina, _gustan_, _avantian, _abrangen, 
   {{0x42fc0021,0xcb790202,0xf255027b,0x6cbb005e}},	//   _aingay_, _alafikun_, _प्रेते_, _ﯬﻟﻪﻳﻬﯩﺴﺴ, 
   {{0x52fc041c,0x93f40274,0xecfa00c1,0x02fc025e}},	//   _bingay_, _austan_, _वाघमारे_, _bagga_, 
   {{0xfcfb07b4,0xe2780227,0x4dbc0203,0x0f9a0098}},	//   _likegoed_, _jernih_, _debattet_, _serveres_, 
   {{0x22480211,0x371b0053,0x22fc02a3,0xac6300e5}},	//   _homma_, _अस्पृश्य_, _dagga_, _платежни_, 
   {{0x1baf0212,0xc02a002c,0xd28803fd,0x43b800e6}},	//   _lelylaan_, _mundutik_, _mekasini_, _上海驿成人力资源, 
   {{0xfb8d017f,0x764b0326,0x749d0061,0xe5de0037}},	//   _pisiniar, _chinangw, _사조리조트스키장, _ያጠራጥራል_, 
   {{0x225b001d,0xf3f40014,0x63d2032d,0x7aa50176}},	//   _anglum_, _fustan_, _мухтаров_, _motionis, 
   {{0xf2320534,0x93190102,0x8dbf0011,0x5db90377}},	//   _baamboo_, _ميران_, _babikula, _garantat_, 
   {{0xdc03000f,0x29dd0018,0xc2010095,0xd1f70155}},	//   _hastanes, _kubunavu, _ambiya_, _familjem, 
   {{0xd30503ad,0x226c0418,0x92480619,0x6f5f0264}},	// [d500] _evangelj, _rekoru_, _ulema_, _matambon, 
   {{0xf75c0298,0xdfc60071,0xfbf203e9,0x3fbb0311}},	//   _kimihang, _نظرخواهی_, _baºlangy, _ምንጽርጻርን_, 
   {{0xd20300c7,0x219c000c,0x00000000,0x00000000}},	//   _кудашева_, _ndachepy_, --, --, 
   {{0xdf31035b,0xb2e90350,0xb2d800f0,0xc4ad0472}},	//   _obiskova, _lagipun_, _odmeny_, _hadapank, 
   {{0x23200493,0xa46e004a,0x25c9005c,0xb3500119}},	//   _pedyo_, _оромо_, _babarush, _nagtutum, 
   {{0x6c53014f,0x2c07001d,0x019a021c,0xe248033a}},	//   _mestima_, _existet_, _hotelová_, _domma_, 
   {{0xf24801c1,0xbf710025,0x4a0d01fb,0x4b10012b}},	//   _eomma_, _उपन्यासः_, _ligamine, _भाषणों_, 
   {{0xb2000034,0xfc17015e,0x02d1007e,0x9da7040f}},	//   _megin_, _financer, _chrotum_, _белкалію_, 
   {{0xa67a0257,0x8fa90059,0x4d4600c4,0x4acb0204}},	//   _erlendum_, _колекция_, _جانيءَ_, _nieminen_, 
   {{0x49850041,0xc22401c8,0x3c2203a2,0xe3d3006c}},	//   _зыҩныҟа_, _zadku_, _uzdrowis, _донорҳо_, 
   {{0x1101007f,0x72000005,0xa42a01e8,0x127e03dc}},	//   _machynll, _vegia_, _giapilan_, _bronsa_, 
   {{0xc29e0035,0x3f1d04bd,0xf2eb00b4,0x0fd60109}},	//   _хисап_, _kupunawa, _regimul_, _digestoř, 
   {{0x8c5c0292,0x031901e9,0x5200008c,0x8cba0181}},	//   _mbataho_, _begiwang_, _tegia_, _akuabond_, 
   {{0x3fad002f,0x92000205,0xc9d303ad,0x00000000}},	//   _callpayo, _kegin_, _jaffront, --, 
   {{0x65c90058,0xa291031a,0xc290004a,0xf3860155}},	//   _lesbisch, _amsaa_, _awlaq_, _avdrag_, 
   {{0xda010285,0x128d00f4,0x22000028,0xf3200326}},	//   _imbaraga_, _biskaia_, _degin_, _gedye_, 
   {{0xbb4d023d,0x641002e2,0x82910095,0x6eac0393}},	// [d510] _манолова_, _abysseen_, _andaku_, _nanošenj, 
   {{0x13f40220,0xe8360092,0x93780119,0x92890109}},	//   _pustin_, _韓国ドラマ_, _honasan_, _eshopů_, 
   {{0xc2000033,0x60eb011f,0xc2ca0277,0x8af30343}},	//   _negin_, _кәльтуре, _lindel_, _masuport, 
   {{0xb29a0299,0xbd340155,0x00000000,0x00000000}},	//   _ئۈنۋانى_, _maximalt_, --, --, 
   {{0xfbe1022d,0xe2240175,0x0bed005c,0xf300022d}},	//   _aspetter, _elekte_, _abafurer, _monachi_, 
   {{0x53f402f8,0x67a90091,0x02000044,0xc30f02aa}},	//   _tustin_, _naittumi, _begin_, _barbora_, 
   {{0x82480113,0x92e70244,0x73480414,0xa27f0172}},	//   _loomis_, _gennaio_, _angembi_, _mpenee_, 
   {{0x720e040f,0xf2ca0387,0xecfe02fa,0x49b90073}},	//   _лапах_, _odida_, _abitabir, _relevava_, 
   {{0x5176034c,0x8aef0359,0x7c6802eb,0xed89029e}},	//   _atışular_, _opholden_, _afariko_, _gemmeska, 
   {{0x6294012c,0x927e048f,0xc26c01c3,0x00000000}},	//   _jisajili_, _etonga_, _biboy_, --, 
   {{0xf2900382,0x5200046b,0x137d027f,0x00000000}},	//   _bokati_, _gegin_, _birashe_, --, 
   {{0x320e0039,0x62ca013a,0x22ca0038,0xe2d4038a}},	//   _наран_, _findel_, _bdida_, _bordad_, 
   {{0x50a601e1,0xfc6e01dd,0x00000000,0x00000000}},	//   _станцияһ, _akareka_, --, --, 
   {{0xad0903dd,0x3cfe0165,0xbd170187,0xf2f90308}},	//   _realisht_, _naitasir, _честитки_, _meratapi_, 
   {{0x0b6d0166,0x3dab017c,0x934900bb,0xe0cb0370}},	//   _besonder, _irritera, _مفروضے_, _congklak_, 
   {{0xb2ca0255,0xbf42006c,0x00000000,0x00000000}},	//   _kindel_, _abasenda, --, --, 
   {{0x237804f0,0x29d601b7,0x641c0037,0x17a5008a}},	// [d520] _lebanya_, _द्वयम्_, _አካዳሚክስ_, _laotikai, 
   {{0xab9c0360,0x234101d7,0xf94a0128,0x425a0120}},	//   _postupně_, _marella_, _шаҳзодал, _soolam_, 
   {{0x1c0a00ae,0xb1d902b6,0xf47104f5,0xe6810418}},	//   _aragetur, _меломен_, _prosečna_, _aileleri, 
   {{0x33950450,0x664e0040,0x140e0478,0xd386012c}},	//   _measte_, _קונדום_, _fabrican_, _fikra_, 
   {{0xedf702c4,0xf30d0054,0xa2c401d7,0xfaed02cf}},	//   _филмови_, _dakatar_, _premias_, _esquisit, 
   {{0x9c690350,0xc3a8004b,0xbca90211,0x00000000}},	//   _የጨረታው_, _lehafing_, _приподня, --, 
   {{0xae7004de,0xb0d30192,0x20e70166,0x1c5603e6}},	//   _जार्ज_, _언더웨어l남녀속, _offiziel, _dictée_, 
   {{0x8248000d,0x69ec0211,0x248f0007,0x13860396}},	//   _toomas_, _rangaist, _bungisak, _bikri_, 
   {{0xde2305d4,0x9a05020e,0x7d05002b,0x37c30110}},	//   _संग्रहाल, _chabiset, _অভিজিৎ_, _subsīdij, 
   {{0xe8c302ec,0x220002d5,0xe8540297,0x0ef0019b}},	//   _وٲنِجہِ_, _tegin_, _agroxold, _prikabin, 
   {{0x729200c2,0xdb9100e1,0x227e04e5,0xb8660052}},	//   _bitatu_, _bisaawóo_, _atonda_, _ब्रह्माल, 
   {{0x7248000d,0x82c204ad,0x0200047b,0xb9f303c1}},	//   _oleme_, _abelana_, _regin_, _obrigada_, 
   {{0xb2920226,0x4c52002b,0x902f01ab,0x43f900d2}},	//   _vitatu_, _চান্স_, _उगिहs_, _ambuna_, 
   {{0x0200055f,0xd7a10024,0x9d3c0255,0x57090053}},	//   _degil_, _কপালত_, _senisest_, _नियमपालन_, 
   {{0x840901f1,0x12fd02d8,0xe2640409,0x12300314}},	//   _titullin_, _sukoharj, _forlig_, _lepjoa_, 
   {{0xbbfb024b,0x3867014a,0x58c50034,0x00000000}},	//   _septiemb, _egzotiku, _domusnov, --, 
   {{0x62900054,0x1867019b,0x33790333,0x037a0054}},	// [d530] _kokari_, _antrasis_, _galateo_, _artabun_, 
   {{0xcdb6009a,0xd19a021c,0x6d570528,0x02980139}},	//   _andigada, _hotelový_, _ghlaschu_, _drauṇiś_, 
   {{0x845e03cf,0x3eb0026f,0xf4b20178,0x022001da}},	//   _kendiniz, _شاكۇرتى_, _bhyāgata_, _prokurim, 
   {{0x6744015d,0x7d8e0666,0x53690420,0x736400b9}},	//   _अनुवादको, _zagovara, _лотарија_, _chagiya_, 
   {{0xfc1801bd,0xddc00037,0xf3ea015f,0xf8c50127}},	//   _кабинетт, _haribula, _erotig_, _gevellad, 
   {{0x2b7100d9,0x44b403d1,0x42d6005b,0x00000000}},	//   _объеме_, _gadalaik, _avowedly_, --, 
   {{0xaa260036,0xd2d90265,0x78dd018d,0x7dca0255}},	//   _واقعية_, _lagere_, _perfundu, _मराठियन_, 
   {{0x7ae6012d,0xb54e0059,0xb713005b,0xb24803e6}},	//   _daerekse, _риана_, _aｌbero_, _ememr_, 
   {{0x00ed03db,0x434400e2,0x13790004,0xde1b0456}},	//   _akunakul, _fereale_, _estanda_, _kemestia, 
   {{0x2bd40135,0xe0660041,0x00000000,0x00000000}},	//   _ветеранн, _шышьҭырх, --, --, 
   {{0x528a0020,0x32000113,0x6ae300d1,0x9cf200d6}},	//   _atuputel, _seoil_, _গল্পকাৰে_, _خادمه_, 
   {{0x62fc0685,0xcb9300bf,0xe2a900ba,0x72c2030b}},	//   _hygge_, _передвиг, _بیسووتێن, _akalaga_, 
   {{0x12000003,0x0a890007,0x03fa0337,0x00000000}},	//   _regio_, _batondis, _kuruş_, --, 
   {{0xd38b03e1,0x10190092,0x484302d3,0xaf230462}},	//   _først_, _はなまるマ_, _contatos_, _alerieva, 
   {{0x9248030b,0x63870235,0x2c2801fe,0xe9fc0317}},	//   _aleme_, _acaram_, _gasaukur, _dijamant, 
   {{0xc4d6012a,0xc74f029f,0x6bfd0410,0x9b230073}},	//   _क्विज़_, _papierov, _tokologo_, _lapponia_, 
   {{0x4988005b,0x214e00c8,0xcc0c00b7,0x8e3c0024}},	// [d540] _technica_, _сусҡа_, _rüstem_, _বিষয়ত_, 
   {{0xfb00030a,0x59990045,0x1a7c00b9,0xca300488}},	//   _subscrit, _вакцинам, _minahasa_, _procesie, 
   {{0xbb210265,0xd35f03b0,0x59de0076,0x685d014e}},	//   _proberen_, _pengane_, _praticid, _издате_, 
   {{0xfb5f0069,0x42e7001e,0x4f0d0094,0x67ed0011}},	//   _nyamukur, _raunuka_, _شامانيزم_, _babasang, 
   {{0xcc380163,0xc24800c5,0x037900ec,0x22d9009d}},	//   _moderáci, _nomme_, _atranka_, _pagese_, 
   {{0xc97901cb,0xbfaa035b,0xc2d60025,0x3380005b}},	//   _ngenarhe, _strojevo, _राजपुरुष, _spurgt_, 
   {{0x2be300a1,0xcb0403e9,0x411c0040,0x73960005}},	//   _hinengar, _dostuňa_, _ההמתנה_, _possia_, 
   {{0xfe390528,0x4413063e,0x37b201e1,0x2a010086}},	//   _banaltra, _istaknuo_, _diafidav, _hibaüzen, 
   {{0x39d901b5,0x29d60116,0x04540097,0x00000000}},	//   _khongeta_, _luveline, _àbùkù_, --, 
   {{0x9567002e,0x876e0231,0xc160014f,0x99f3032d}},	//   _obavezno_, _brevissi, _техничке_, _futhelwa_, 
   {{0xb24b012c,0xbc090185,0x85be00a4,0xfaf804ef}},	//   _shilingi_, _процессн, _райондун_, _emprésti, 
   {{0xbe0c011e,0xb9ec020a,0x57e702d5,0x1186030f}},	//   _ansennya, _айкарако, _सकारेम_, _taitamāh, 
   {{0xe23b02a3,0x531b00b9,0x36ff004b,0xc64b0311}},	//   _dialoog_, _menyeram, _хмелева_, _መናሃርያ_, 
   {{0x235b0036,0x7700026f,0xa45501ec,0xf6da0311}},	//   _مرحباً_, _اۋەسكەرل, _طباخی_, _ምእዘዛን_, 
   {{0x7f3800ef,0xe5ce03d4,0xbb210225,0xcd0800e6}},	//   _impumala, _наиме_, _otoburen_, _网络是什么_, 
   {{0xd2c602d5,0xf37900a5,0xde2501b7,0x9293000a}},	//   _oluline_, _aataata_, _संस्कृतल, _ammarsim, 
   {{0xbc6e0129,0x0d1e01be,0xb84b031c,0x70ab0109}},	// [d550] _akaraka_, _प्रकृतिक, _juguetes_, _चानुवा_, 
   {{0x731701df,0x215b01b5,0xa2020277,0x9b420302}},	//   _infancy_, _abigayel, _istilo_, _ababonis, 
   {{0x02d80165,0x9a1003a1,0x94d700a7,0x71cb00e6}},	//   _iliesa_, _infanzia_, _залалын_, _就业再就业_, 
   {{0x32ca0200,0x338700cd,0xca2c0153,0x00000000}},	//   _odide_, _fieras_, _おでかけガイド_, --, 
   {{0x6277048a,0xdcf30388,0x920e01ef,0x1c5302d7}},	//   _бастамас, _settembr, _часам_, _contido_, 
   {{0xef4701b8,0x1f690174,0x048e0061,0x2af50528}},	//   _maksimaa, _thobalan, _모임입니다_, _grosaire, 
   {{0xaf230092,0x2c0a00a1,0x5b610121,0x5d400161}},	//   _人気ブログランキ, _arapata_, _integran_, _семейной_, 
   {{0x3f2502a3,0xc2d80165,0xf74f0005,0x6a6b0022}},	//   _makliker_, _eliesa_, _beinmarv, _itloaets, 
   {{0x70df0261,0xe0b80276,0x7dfd0021,0x97250420}},	//   _personoj_, _خەتەر_, _amperewa, _voltagem_, 
   {{0xe3640464,0x524203a2,0x8fd50049,0xc6330053}},	//   _akagiha_, _पाओलो_, _kaengalo, _orisinal_, 
   {{0x226e0069,0x838004b1,0xf72b0529,0x1eab01b0}},	//   _birori_, _spurte_, _tehničku_, _bubuntut_, 
   {{0xc86800a5,0x6c3e0528,0xfb0702c0,0xf92c00f2}},	//   _perisitu, _craigard_, _пирели_, _vaicājum, 
   {{0xad8202ac,0x1400022f,0xac9c0040,0x3b5b0046}},	//   _بهدوء_, _зерне_, _ומירוצים_, _celebren_, 
   {{0xc0610029,0x427701ca,0xd2ca0234,0x0afb0320}},	//   _بناری_, _dingtahm, _idide_, _muputuke, 
   {{0xe17a01cc,0xa6e802eb,0x9c5c009b,0xd24901cd}},	//   _āsādya_, _сайтууды, _besteen_, _adume_, 
   {{0x919702e5,0x771e011f,0xf3870057,0x4c2f00a2}},	//   _angekíi_, _гаргь_, _yosri_, _mwanangu_, 
   {{0x89720058,0x42d4026c,0x21b7020a,0x00000000}},	// [d560] _seanakae, _gaudia_, _баржаға_, --, 
   {{0xc96701d1,0x443000e5,0x33f40068,0x427e03df}},	//   _רגילה_, _processo_, _kartaa_, _nakne_, 
   {{0x0225029b,0xe8960188,0x096d00c4,0xab4200a8}},	//   _nitki_, _партоб_, _شڪرانا_, _darvella_, 
   {{0xaaf803ea,0xfda702fb,0x9c100133,0xf1d8013f}},	//   _actuelle, _fehikita, _baaqeef_, _akoustik_, 
   {{0xa2c3064d,0xc4a900ec,0x00000000,0x00000000}},	//   _kaulana_, _nepasiek, --, --, 
   {{0x17ec054e,0x6e6e0256,0xb37c00a9,0xfa500499}},	//   _hananing, _norisinā, _yazanye_, _komesina_, 
   {{0xe31a025b,0x32d900b4,0x9c170040,0xd14f021c}},	//   _umsiting_, _tehnice_, _רגאיי_, _komodity_, 
   {{0x5fe40486,0xa0fc00e6,0xedab00e0,0x624a008f}},	//   _कट्टेल_, _美女老总邀你聊_, _stridera, _firmal_, 
   {{0x36db00c5,0x7c0a01c6,0xf37c0014,0x19ae045b}},	//   _全国企业信息化工, _drippen_, _reduktim, _аматори_, 
   {{0xe3eb048d,0xc3790036,0x7e620193,0x5a14044a}},	//   _textus_, _aeracha_, _मनुष्यबळ_, _kopasula_, 
   {{0xb2fc0457,0x885d009a,0xcb94034c,0xc68200be}},	//   _mangih_, _نيازوف_, _алышыну_, _hoteleri, 
   {{0xb26600b7,0x70570220,0x2d7a016e,0xa9fa0798}},	//   _суратлар, _дискове_, _elimizde_, _kapitena_, 
   {{0xded4054e,0xd36c05c2,0x1b6c008c,0x6cf30128}},	//   _mamihain, _lingani_, _sustegna_, _геосиёси, 
   {{0x266903cc,0x819a021c,0x20cf0037,0x2a940375}},	//   _perjuici, _hotelové_, _ስታዲዮም_, _idayimit, 
   {{0x0e94020b,0x6dc3015e,0xc2ef010d,0xe33201b5}},	//   _atamalan, _اقىنىڭ_, _grafis_, _caixao_, 
   {{0xf1d70462,0xc3fe0011,0x7dce00d7,0x4b210433}},	//   _ownerway_, _abaziba_, _тинем_, _iimpleme, 
   {{0x566100c4,0xfb6c0269,0xb0490408,0x00000000}},	// [d570] _برگيڊيئر_, _recordó_, _asorotan, --, 
   {{0xd131018b,0x96f2043c,0x4c5d01c9,0xd2d70332}},	//   _produsel, _sustentá, _पदलेस_, _toallas_, 
   {{0xa3440040,0x42a602bd,0xa45f00c1,0x02d400c4}},	//   _אנטישמיו, _allbwn_, _mendongk, _saudia_, 
   {{0x549a01b8,0xe2e30258,0xf74d0213,0x4a880083}},	//   _maanteel_, _belibje_, _допускал, _cecilian_, 
   {{0xbebc0300,0x3d2c07c3,0x46ba0159,0xd2e8016e}},	//   _nebudeme_, _mcconkie_, _thermoph, _denizin_, 
   {{0xe9bf0003,0x7b680161,0x0a50005e,0xb95901cd}},	//   _gemeente, _pahemmin_, _ﺗﻮﻗﻘﯘﺯ_, _женерол_, 
   {{0x4847009b,0x97c701a7,0xf26f0439,0x48430053}},	//   _казаки_, _зависит_, _biriviri_, _softlens_, 
   {{0xe6a00230,0xfdb800c5,0xe2e60234,0xd7e003a2}},	//   _bayerdef, _libertés_, _ipenija_, _मैनर्स_, 
   {{0x8c5f05d7,0xdc5302c4,0xb7ee0080,0x32000066}},	//   _dalembë_, _contudo_, _atsaanng, _begia_, 
   {{0xaf0f0148,0x82900111,0x00000000,0x00000000}},	//   _想收到這個類別的, _afoata_, --, --, 
   {{0x07d7009f,0xd2480138,0x52a601a0,0x0ae30262}},	//   _nadaljev, _alemi_, _golban_, _barlanan_, 
   {{0xa3190060,0xedd0054f,0x0386011d,0x2b9102bb}},	//   _ايناز_, _fatherna, _florin_, _pomieszc, 
   {{0x35880109,0x92240219,0x6c6e0103,0x8da10126}},	//   _स्रोतको_, _atikho_, _akaruza_, _онкологі, 
   {{0xaa1e0134,0xb05a00bc,0xe26600e0,0x717300cb}},	//   _balẹ̀_, _کرواسی_, _ferrifel, _беандеша, 
   {{0xb20004d0,0x26d10193,0xb163002f,0x3d7803ec}},	//   _segih_, _रेडिओ_, _birregio, _situatës_, 
   {{0x66c700b4,0x3c7c0118,0x2b6d0082,0x6200007f}},	//   _финалэ_, _amasaza_, _fantsama_, _ffoil_, 
   {{0x71840344,0xbae405dc,0x62240230,0x326f036a}},	// [d580] _allartil, _overskue, _veikil_, _viriviri_, 
   {{0xdfeb05c5,0x656b015c,0xd2e10265,0x23220455}},	//   _त्यागें_, _majorité, _anoniem_, _toucher_, 
   {{0x825a0257,0xab9a0173,0xb9820065,0x67610291}},	//   _fellur_, _franquic, _komische, _déimeagr, 
   {{0xd37800f1,0x6c7004a8,0xd37d0009,0x5c6b0678}},	//   _konatan_, _dvoranu_, _članic_, _kufrík_, 
   {{0x61410211,0x792b0294,0xa773008d,0x77c20299}},	//   _supercel, _animalta_, _моллар_, _خۇجىنتاۋ_, 
   {{0xcdc300bf,0x137600d9,0x92ef013d,0x6a2300bf}},	//   _улицу_, _простое_, _trafis_, _пережитк, 
   {{0x811600ff,0x4a1e02a0,0xb02804cf,0x331603d5}},	//   _מיצוות_, _kalẹ́_, _nakwezin, _bulcaid_, 
   {{0x22fc02a2,0x65000156,0x22d90450,0x2f4e02f8}},	//   _sangay_, _באדויערן_, _freerk_, _ofisiale_, 
   {{0x42480340,0x504f01e6,0xba8a00fa,0xc3f0028f}},	//   _noema_, _komunitn, _ambisyon_, _mōunu_, 
   {{0x52ee005b,0xe43502f7,0x3eb90231,0x60320177}},	//   _groft_, _dipalamo_, _parentis_, _шәхатәы_, 
   {{0x197f009b,0x720e015c,0xdd8f02c6,0x7b5d037f}},	//   _argitale, _zéien_, _akroukra, _klubları_, 
   {{0xb15c02c9,0x227e0144,0x23cf03d1,0x2c1501c4}},	//   _тулар_, _مستقرة_, _purva_, _meesters, 
   {{0xc46a02c9,0x05b7007e,0x496801f7,0x87ee02af}},	//   _коалицие_, _antaradh, _antieste, _karatang, 
   {{0x9d0401b6,0x69e300b0,0xd36c03a4,0x3a630006}},	//   _اولها_, _garoonka_, _tingini_, _wanginya_, 
   {{0x135f042e,0x738b04d2,0xb200037c,0x9986023b}},	//   _pengene_, _førde_, _regii_, _pakipika_, 
   {{0xd0d80311,0x71140017,0x7e9803a0,0xcac6006d}},	//   _ኢይቀሥፍ_, _ओछ्यानमा_, _ithutiwe_, _арэшак_, 
   {{0x4b240044,0x4e700024,0xf2820291,0x49f50130}},	// [d590] _comprehe, _চলাওক_, _forluí_, _dirroadu, 
   {{0x73860482,0x0b63017d,0x00000000,0x00000000}},	//   _dooran_, _アクセス解析_, --, --, 
   {{0xf5b6015b,0xdc6d00f7,0x551e0163,0xf16303f2}},	//   _bringinm_, _reguloj_, _استمال_, _полиса_, 
   {{0x737801af,0xe2fe01fc,0x2f8c0366,0xe4340198}},	//   _aydamda_, _waarisay_, _спирос_, _nahajamo_, 
   {{0xe38701da,0x738b057c,0xb0e20241,0x821200a1}},	//   _fyerje_, _sørge_, _amantaal, _amoho_, 
   {{0x3ee00148,0xed7803dd,0xb9de002b,0x0a750422}},	//   _倒數計時器_, _situatën_, _কারুকাজ_, _najzahte, 
   {{0x037d009c,0x3380008c,0x48870094,0x4ecc018f}},	//   _empalme_, _maurus_, _тарайды_, _dimojnis_, 
   {{0xb2ab0113,0x9548017a,0x1fe10203,0xa292026a}},	//   _كردستان_, _тантанаҳ, _espistic_, _lesavi_, 
   {{0xcd9f002e,0x19770367,0xb6350169,0xff0600c7}},	//   _većina_, _novidade, _ইত্যাদির_, _яраткан_, 
   {{0x00000000,0x00000000,0x00000000,0x00000000}},	//   --, --, --, --, 
   {{0x42d20534,0x9b540053,0xdc5c00e2,0xdac803a2}},	//   _dealvip_, _स्वीकारा, _bestien_, _जेनरेटर_, 
   {{0xb1c400cb,0xeffe02cf,0x1d80003f,0x00000000}},	//   _anamagam, _водитело, _sormeyda, --, 
   {{0x927302d5,0xa52a00a7,0xd56b0461,0xf75901b7}},	//   _politsei_, _тармагын, _majorità, _मुद्रां_, 
   {{0x5f4e0244,0x83ac021c,0x43780278,0x32df01fe}},	//   _versione_, _koupil_, _bezanya_, _kuretaki_, 
   {{0x7d2300df,0x23900219,0x0147025c,0xc4e600a4}},	//   _plusieur, _abeyati_, _englisch_, _تۇرالۇۇ_, 
   {{0xb37c03ea,0x64130012,0x1db60451,0x8974002b}},	//   _attaque_, _कैलिर्फो, _ditiraga, _মেক্সিকো, 
   {{0x22960161,0x5db6000b,0x576d0268,0x00000000}},	// [d5a0] _секретов_, _tuanaima, _einventi, --, 
   {{0x0be00145,0xdb690013,0x92e0034e,0x5c5c03f3}},	//   _interjer, _косовода_, _huanaco_, _zestien_, 
   {{0x92ca001f,0x2193002e,0x00000000,0x00000000}},	//   _adidi_, _omogućio_, --, --, 
   {{0x7290054e,0xeeb00148,0x913603f1,0x42360321}},	//   _atlan_, _溫州市品質技術監, _predpisy_, _predpisi_, 
   {{0x3d8a0162,0x026d0117,0x9b560138,0xeb900008}},	//   _числадик, _vavora_, _merdiven_, _locació_, 
   {{0x301600c4,0xa28a003b,0x04aa0037,0x712302d6}},	//   _تڏهوڪي_, _balawuli_, _መልካምና_, _англияда, 
   {{0xf2fc00fc,0xd2ca0535,0x1950013f,0x0b780211}},	//   _bangoy_, _edidi_, _beillade, _вершины_, 
   {{0xb3f40132,0x2fea00a4,0x7d9c01c8,0xf2c600ba}},	//   _vettem_, _милициян, _vodohosp, _شێلگیر_, 
   {{0x2301018f,0x96220265,0xcd9c0352,0x51b100d1}},	//   _dapawdi_, _onmogeli, _skiløype, _চেভেন_, 
   {{0x5e6700be,0x2b64018c,0x8237019d,0x527e0304}},	//   _بۇتۇندا_, _docenten_, _chomera_, _cakna_, 
   {{0x7e080014,0x0a850013,0x390d011d,0xf72b0532}},	//   _እንግድዓ_, _توردی_, _magazinu, _tehničke_, 
   {{0xe79d0092,0xf13f047d,0x031d018b,0x42ca0129}},	//   _ボランティア_, _opgedeel, _тарзаний_, _tindel_, 
   {{0xda430041,0x22240306,0xac5d02ea,0xdb9900fc}},	//   _аепархиа, _ashkha_, _vestito_, _peghohqo_, 
   {{0x8e5d066d,0x9a4100f5,0xdc5101da,0x0e5401d2}},	//   _ababehla, _айласаң_, _viktima_, _agradoyp, 
   {{0x5a74027b,0x226d00f4,0xa1b30119,0x91430153}},	//   _अन्नम्_, _baboni_, _malacaña, _横浜市瀬谷_, 
   {{0xfe4801ac,0xe29000b8,0x706f000b,0x238001fc}},	//   _ايبود_, _samart_, _fegasolo, _horrih_, 
   {{0x080a0444,0x4e8d0187,0x2d3901b4,0xe3ad00d1}},	// [d5b0] _стоять_, _киселини_, _medisyne_, _চম্ভালি_, 
   {{0x22390276,0x72540121,0x00000000,0x00000000}},	//   _тошуп_, _gubernam, --, --, 
   {{0xd212000c,0x8200004d,0x629000b4,0xb2b40392}},	//   _amohe_, _arbitrii_, _lamaie_, _rpach_, 
   {{0x77c900e4,0x2c0101da,0x32e00119,0xdc760030}},	//   _dostosow, _vrasjes_, _juanico_, _busulis_, 
   {{0xe3ce0163,0x338d003c,0x5d5a0066,0x7ffd00e6}},	//   _ahová_, _بشمار_, _нотебоок_, _笔记本新闻_, 
   {{0xe2910221,0x00000000,0x00000000,0x00000000}},	//   _negara_, --, --, --, 
   {{0xe33d00e0,0xc6570510,0x00000000,0x00000000}},	//   _brekking_, _ваьлла_, --, --, 
   {{0x8c0c0040,0xe10401f9,0x39c700b3,0x00000000}},	//   _כפכפים_, _awukamel, _парахат_, --, 
   {{0xc8880444,0x3603006c,0x92c106da,0x357f0153}},	//   _огражден, _монито_, _डॉकयार्ड, _drengerø, 
   {{0xc51f046f,0xb05a045c,0xf7c10021,0x89560611}},	//   _hannesch, _zaciatok_, _acetonew, _lekretir_, 
   {{0xf27f03ba,0xcb6a0366,0x4e9400c8,0x81c102f9}},	//   _regnen_, _статья_, _atamelan, _vandelay_, 
   {{0xd5c4007e,0xe853005b,0x396d028f,0xc20e017a}},	//   _sambandh, _einander_, _maniapot, _варак_, 
   {{0x7b73065c,0x62aa01ec,0xd2d9009a,0xdead0187}},	//   _inkundla_, _پرستویی_, _amaela_, _средбата_, 
   {{0xb230040b,0x8f5500a4,0x2f25028d,0xd37b0362}},	//   _kwamana_, _аталышта, _intervan, _basango_, 
   {{0xd2c80312,0x12a00360,0xe9ee03b4,0x6e4f00c8}},	//   _enklask_, _servisní_, _aivigira_, _bomadima, 
   {{0xa26d011f,0xa9d20166,0x78790037,0x00000000}},	//   _decoud_, _threadst, _ዘመናዊው_, --, 
   {{0x68450402,0x0a5b002e,0xf928006c,0xb248016a}},	// [d5c0] _bergelar_, _večeras_, _гектари_, _sommo_, 
   {{0x8c6d012d,0xe2020120,0x741302f8,0x943400ba}},	//   _biruaim_, _amrisa_, _halaloto_, _خۆشمده_, 
   {{0xea1602b4,0xe3a20057,0xc49e0170,0xae5604a4}},	//   _angafaka_, _tampal_, _anganyoz, _niuclasa, 
   {{0xa27a03cf,0x538b0448,0x7663016f,0xe751020a}},	//   _kaliteli_, _mørke_, _безалког, _аннуитет, 
   {{0xe37f017f,0xfe5102f6,0x82fe0187,0x1380020e}},	//   _tamaasa_, _kinabuka, _musicas_, _forray_, 
   {{0x6ed50322,0x88af00ae,0xab4a027b,0xc078005e}},	//   _munyanga, _bakwirag, _परेषयाम_, _ئۇكرائىن, 
   {{0x430d0622,0x46b90344,0x175c0007,0x09d2045e}},	//   _azobaha_, _allatari, _lekizeng, _инжектир, 
   {{0x72ca0234,0x635f0053,0x31dd0142,0x00000000}},	//   _idido_, _अभियंत्य, _dhundhum, --, 
   {{0x1c750082,0x83420478,0x6464019d,0x1ee4020f}},	//   _manufar_, _aprenon_, _kandondo_, _دکرېکټ_, 
   {{0x1d7203c2,0x551c0022,0x832001b5,0x82910287}},	//   _dismount_, _контролг, _ledyi_, _pocasi_, 
   {{0x535f012c,0xef250175,0x5b610193,0xa67e048a}},	//   _pengine_, _entervan, _ध्वनी_, _тарихтан_, 
   {{0x240a00e4,0xbad10127,0x3f29017a,0x19d0014f}},	//   _kuriersk, _adembann_, _abathola, _белих_, 
   {{0xded90080,0xdcbe0035,0xa2400012,0xb0350013}},	//   _amiilarn, _байес_, _रुकले_, _interfao, 
   {{0x826d01ad,0x9c0f00da,0x00000000,0x00000000}},	//   _jaboli_, _marturis, --, --, 
   {{0x727a00a5,0x89d9033a,0xabc900bf,0xa2270022}},	//   _mulimuli_, _avvenime, _либерала, _марият_, 
   {{0x329100bc,0xe8d2034e,0xf35f02ef,0x00000000}},	//   _segara_, _challwaq_, _funeray_, --, 
   {{0x04fa01c9,0xd516016d,0x7ad50166,0x2ec60147}},	// [d5d0] _ग्यानी_, _مۇختەر_, _lautspre, _تاپپاي_, 
   {{0xfd7f0025,0x50a80760,0xebb301f4,0x42000119}},	//   _ज्योतिरा, _अल्पकाली, _соглом_, _nahimu_, 
   {{0x63bb0095,0x0b8a00af,0x9412005e,0x6ea500e6}},	//   _اسکار_, _боком_, _ﯞﺍﺳﺘﯩﻠﯩﺮ, _新华社北京_, 
   {{0x5c7501b4,0x4d6e0066,0x02d9004c,0x127e001d}},	//   _aanslag_, _артерийн_, _akwese_, _leonin_, 
   {{0x6d7f0193,0x68c503cf,0xe37b0733,0xd30d0082}},	//   _ज्योतिषा, _sayesind, _sasango_, _takarar_, 
   {{0x17650203,0x53ca0089,0x427e00ab,0xca0501c9}},	//   _bewillig, _tamagı_, _aronga_, _metallit, 
   {{0xb249041f,0x6617009d,0x93cf00db,0x534000ae}},	//   _udumo_, _autorizi, _surve_, _kodesha_, 
   {{0x022400e4,0xe0970302,0xcc9501d9,0xb2f303e6}},	//   _उद्यमियो, _арҷманд_, _entzwouc, _gemirkt_, 
   {{0xf224019b,0x19510092,0x0c64002e,0x033c0388}},	//   _stiklo_, _を購入する_, _kantonu_, _слезе_, 
   {{0x4d180497,0x63a202c2,0xd38f0102,0x00000000}},	//   _divorcee_, _nampol_, _manyara_, --, 
   {{0xf20000ca,0xbb8d0049,0x00000000,0x00000000}},	//   _regim_, _iasinito_, --, --, 
   {{0x01ef034f,0x98a40025,0x415c006c,0x00000000}},	//   _پېښليک_, _इच्छन्_, _кучаю_, --, 
   {{0x7ae80162,0x6c390037,0x3ca40253,0x39190035}},	//   _мумкинси, _እያሻቀበ_, _flagstad_, _диванала, 
   {{0x3f5801fc,0x518703d1,0x3fbb0255,0xc10b05ff}},	//   _bagulléh_, _vertikāl, _turundus_, _krivotvo, 
   {{0xe9e60271,0x61f2010f,0x3bdf01dd,0x197400cf}},	//   _langsikt, _amangqam, _bahember, _gannaale, 
   {{0xd9e2020a,0x6202045c,0xc1d101aa,0x7f8702eb}},	//   _ءاليا_, _zatial_, _etterbay_, _баазын_, 
   {{0x727e0033,0x726f0043,0x134804e5,0x92df019c}},	// [d5e0] _gronda_, _piripiri_, _balenzi_, _yuroopu_, 
   {{0x02040371,0x126c0013,0xc37c02f3,0x23900229}},	//   _articoli_, _binoan_, _hetaste_, _dunyasi_, 
   {{0xb4ba0039,0x69920061,0x54180099,0x299d0039}},	//   _зөрүү_, _무료배송이_, _angavapo_, _тавын_, 
   {{0x6eb101fb,0x026d0009,0x41440040,0x4f07034f}},	//   _objectos_, _okrog_, _הטוויטר_, _bokwenya, 
   {{0xb39902c3,0xc84b018d,0xa4000225,0xa5ca03be}},	//   _kúsok_, _ክትምልስ_, _spanferk, _bararush, 
   {{0x4c0d011e,0xb1e500a2,0xf3eb00f1,0xc7100156}},	//   _distenks, _فارورڊ_, _twatir_, _אָפטמאָל_, 
   {{0x6a9f00da,0x3ea801cd,0xd2cb00a2,0x4c170040}},	//   _адресез_, _теотри_, _shuleni_, _לגביי_, 
   {{0xf74001e8,0x027e008c,0x0196023a,0xa0a30366}},	//   _bagolbag, _duonna_, _rezačky_, _боьдуш_, 
   {{0xe8540102,0xf2ab0323,0x29570287,0x22710339}},	//   _توقير_, _قرابتي_, _novoroze, _hānau_, 
   {{0x127a0165,0xc6970322,0xe866020f,0x471a023d}},	//   _bulibuli_, _amutumah, _ښکلوه_, _гравиран, 
   {{0x35180371,0xc41402ec,0x3b7e0165,0xf7db0016}},	//   _annuncio_, _پھۆلُم_, _dauniser, _gepatroj_, 
   {{0x7d3504df,0x202b027b,0x00000000,0x00000000}},	//   _dilimize_, _व्यजिज्ञ, --, --, 
   {{0x83430177,0x129205e6,0x9d0a00be,0x12850178}},	//   _investo_, _geraak_, _تايمانبا, _bāhūn_, 
   {{0x92ca02f1,0xb6ca03a6,0x00000000,0x00000000}},	//   _idade_, _yarasubi, --, --, 
   {{0x09830281,0xc2920252,0xfe7d0008,0xad9e03f7}},	//   _fleische, _mitanu_, _урматына_, _barnasta, 
   {{0xf9d003c2,0x72250288,0x5386051a,0x92490455}},	//   _absentee, _erakwo_, _barzakh_, _teemix_, 
   {{0x7fdd01e0,0xd200022a,0xea8803b5,0xfc760425}},	// [d5f0] _هاریکاری_, _regik_, _habiskan_, _هۆلیوود_, 
   {{0x49140320,0xaf4d0231,0x00000000,0x00000000}},	//   _balasoiu, _diapente_, --, --, 
   {{0x526d003a,0xbee30259,0x420100bd,0x00000000}},	//   _biroz_, _beskyldn, _newin_, --, 
   {{0x7b5d0122,0x37a50486,0x479f00a5,0xb2fc02f9}},	//   _norwegia_, _klientov, _sulugati, _langay_, 
   {{0xa9320024,0x1c5303a8,0x1f6c001b,0x00000000}},	//   _ওলায়_, _দৃশ্য়_, _hinqunna, --, 
   {{0x820101ba,0xdf8900c5,0xf3210122,0x527e0074}},	//   _bewin_, _雅虎知识堂仅提供, _setya_, _huonoa_, 
   {{0x426d04a1,0x7dc3021c,0x42660321,0xc2fd012b}},	//   _skrog_, _samotné_, _avtogeni_, _बत्रा_, 
   {{0x227e0074,0x33730037,0x00000000,0x00000000}},	//   _vuonna_, _የዳይሬክተሮች_, --, --, 
   {{0xc2fc01d3,0x54ab00d1,0x12fc008b,0x73420434}},	//   _bygga_, _বেষ্টনী_, _bangay_, _cabello_, 
   {{0x8b5b071e,0x04b50039,0xe2c3006c,0x13f9023e}},	//   _belehren_, _prebentz, _abulona_, _ambuka_, 
   {{0x6c6d02db,0xe7ca00e6,0x32fc00e1,0xbb72021b}},	//   _abrusim_, _收藏最多的_, _dangay_, _стену_, 
   {{0xd3050393,0x5200018b,0x2c5b023d,0xae2801cd}},	//   _članak_, _legii_, _lettori_, _akuthunq, 
   {{0x2c590159,0x700f004d,0x36db008d,0x1d330025}},	//   _vistiek_, _完成付款後_, _ajablani, _संशोधितव, 
   {{0x63cf0163,0xf19702cf,0xbaf700be,0x00000000}},	//   _durva_, _ракомет_, _كۉۉدۅ_, --, 
   {{0x315f00f3,0x88ee02ac,0x1291003f,0x07a40156}},	//   _bengenal, _تصليح_, _iwtaj_, _גארגלט_, 
   {{0x429003e7,0x9bac00be,0xd1ce0111,0x290900cb}},	//   _dulag_, _جەڭەنىن_, _accintrà_, _боксиёни_, 
   {{0x42fc047b,0xb52c0059,0xc31d015e,0xa96d048f}},	// [d600] _byggi_, _консулти, _afecten_, _minnnnee, 
   {{0xe2e80102,0x7423004c,0xd2c10064,0x00000000}},	//   _مقدمي_, _agakuluk, _cullera_, --, 
   {{0xf22a005e,0x0e350087,0xc5370291,0x00000000}},	//   _хошал_, _mahalava, _treisith, --, 
   {{0x494903a2,0xa5a20163,0xdced02fe,0x738001c5}},	//   _एमएसएमई_, _fórumsza, _مشخصې_, _horrey_, 
   {{0x52ca068c,0x33870108,0xf2910225,0xfb5300e6}},	//   _udade_, _nabrak_, _megada_, _直辖市国土资源管, 
   {{0x2290004e,0x6a1700a1,0x491703cc,0x929001ca}},	//   _bulag_, _tohatoha_, _ejecutad, _lulad_, 
   {{0x8ca40029,0x5dc400fb,0x4c1e0176,0xc51e0061}},	//   _عریبکردن, _ezakhiwe_, _amepres_, _스포츠한국_, 
   {{0x3c77028f,0x08b10278,0x8a830011,0x2c9a00e6}},	//   _ahuriri_, _muktabar_, _atazimba_, _孔夫子旧书网_, 
   {{0x76c5014a,0x7a6d030f,0xb2f102f3,0x7da60446}},	//   _نوٹسز_, _hinganga_, _sägas_, _motornja, 
   {{0x7d2c0145,0xaa6d0414,0x126e018a,0xbc35000b}},	//   _шаблонаў_, _kinganga_, _eironi_, _tuinanau_, 
   {{0x651e00c7,0xf436050b,0x5d8d0409,0x8dc40357}},	//   _kollegiy, _menyetuj, _guloggra, _corintha, 
   {{0x135801d5,0xca6d048f,0x97b6012c,0x051f00c4}},	//   _sportoló_, _minganga_, _kuashiri, _mwandosy, 
   {{0xa84e0057,0x8ae801b3,0xf373003f,0x7225021c}},	//   _ታውቃለህ_, _значно_, _boladbe_, _matku_, 
   {{0x6e420193,0x67720247,0x8c1400ba,0x2e540158}},	//   _सूर्यकिर, _سمبوسه_, _زوڕنا_, _parasole_, 
   {{0x115f007d,0x11b30113,0x372b02cb,0x58e5008d}},	//   _pengenal, _كايرو_, _tehnički_, _олтмиш_, 
   {{0x7eb2021c,0xc37902ec,0x9c5b023d,0xe7d001aa}},	//   _nepovinn, _muranka_, _settori_, _aligning, 
   {{0x7a0e0448,0x12cf0226,0x7e9a00e0,0x00000000}},	// [d610] _omhandle, _ambewuyi_, _fertocht_, --, 
   {{0x3f420172,0x5c77011f,0x730102a6,0xc39b022b}},	//   _aforosia, _churiri_, _stracci_, _trappuni_, 
   {{0xdd85051b,0xc2e203d5,0xeb56047d,0x92dd02db}},	//   _tiskové_, _engined_, _themepor, _toromoi_, 
   {{0x329000f5,0x7a41023e,0x3c530345,0x4dce0052}},	//   _atdan_, _هزارتوما, _pintado_, _penzionu_, 
   {{0xf2e205f4,0x02900089,0xfd110065,0x4e7004fb}},	//   _amantam_, _atlaw_, _geklappt_, _aerolíne, 
   {{0x4ae0027f,0x027e021e,0x5291082a,0xb34702af}},	//   _araturut, _nakna_, _pegaga_, _cemezwa_, 
   {{0xd3280024,0xab6d02f1,0x32ca01dd,0x79170093}},	//   _বিভিন্নজ, _carreira_, _abalewi_, _газето_, 
   {{0xc1d500c7,0xe2fc01f1,0xf44c02eb,0x146b0437}},	//   _окупация, _leximet_, _уяачид_, _sekundær, 
   {{0xb22a006d,0x7c340145,0xdb90015f,0x261602ba}},	//   _годам_, _лялек_, _bosibilr, _муртазое, 
   {{0x506201b1,0x751301e8,0x75ed0421,0xa74803b8}},	//   _श्वसन_, _gipondoh, _firmenwi, _блогерле, 
   {{0xa5300162,0x625d04da,0x527e02d4,0xc19a00bb}},	//   _шериксиз_, _željeli_, _suonda_, _گھنگھریا, 
   {{0xa2e9001a,0x62ca01ad,0x593705ad,0x023b027c}},	//   _mennyit_, _blida_, _krumpira_, _ayidingi_, 
   {{0x829100a7,0x1f8102da,0x4c8b01d5,0x8290012d}},	//   _vegada_, _германиј, _گھوٹکی_, _julae_, 
   {{0xca93038b,0xdea5082b,0x72d90505,0x9b6d02f1}},	//   _imunisas, _flyttede_, _heeeey_, _barreira_, 
   {{0x6cf203b8,0x129000fa,0x626d0278,0x5899016d}},	//   _سالما_, _tulad_, _ekzos_, _немишқа_, 
   {{0xf90505f2,0xfd020256,0x9f2a029a,0x4f4c0101}},	//   _impartid, _lattelec, _reflesir_, _tensiune_, 
   {{0xf5330244,0xe292031a,0x360b037c,0x241b011b}},	// [d620] _доклади_, _cluais_, _orientem_, _nalingak, 
   {{0x00000000,0x00000000,0x00000000,0x00000000}},	//   --, --, --, --, 
   {{0xe212000c,0xe04a0370,0x7af10299,0xa3000265}},	//   _amohu_, _ajaranan, _ئوقوتقۇچ, _schaduw_, 
   {{0x641b025f,0xc2ee028d,0xe7ee01dd,0x00000000}},	//   _balingak, _saritab_, _barasang, --, 
   {{0x530101ed,0xdc37041a,0xa96a0092,0xf99b0265}},	//   _hapanui_, _набору_, _rutinere, _komkomme, 
   {{0x433b0037,0xb9df00da,0x0faa0271,0xc79c004d}},	//   _መደራደር_, _asigurat, _permisjo, _還沒有定論_, 
   {{0xb21302e7,0x933c0139,0xb72b03ee,0x09ca00be}},	//   _alahas_, _उत्पद्यम, _tehnička_, _جۉربەڭ_, 
   {{0x230400c7,0x4b0800fb,0x33fa0396,0x00000000}},	//   _aqsaqal_, _bangazib, _feruta_, --, 
   {{0xbb9002bd,0x00000000,0x00000000,0x00000000}},	//   _posibilr, --, --, --, 
   {{0xd2ca019f,0x42250304,0xfa1e0064,0xb7d20137}},	//   _idadi_, _zatku_, _дилин_, _театрынх, 
   {{0x7c700371,0x00000000,0x00000000,0x00000000}},	//   _causare_, --, --, --, 
   {{0x323b007d,0x17900181,0x13870128,0xdd850126}},	//   _syiling_, _landbrug, _tabrik_, _moderere_, 
   {{0x5c7100bc,0x82f00221,0x23ce02e8,0x3503015f}},	//   _armrest_, _berilah_, _chivi_, _absennol_, 
   {{0x149d0590,0xc30d00c7,0xa2920184,0x362d0080}},	//   _боксдохо, _билбаулы_, _gitabu_, _bygderåd, 
   {{0xec9c001d,0xc2c3000a,0x56b003bf,0x704401db}},	//   _superflu_, _aqullaa_, _ҡөръән_, _پىسرعانن, 
   {{0x458b01ab,0xd64705b8,0x00000000,0x00000000}},	//   _घोड़ापर_, _falköpin, --, --, 
   {{0xe2920207,0x3c1601aa,0xc2b2034c,0xd3a20108}},	// [d630] _kitabu_, _aduategr, _муллалар_, _dampal_, 
   {{0x253402ec,0x83860416,0xffce003c,0xc2480089}},	//   _maansooy, _micri_, _blangwir_, _elemt_, 
   {{0x08b90148,0xd7ee020d,0x413501d9,0x3c1a0176}},	//   _我走過的台灣路_, _bararang, _jiddefal, _chartmas, 
   {{0xe248021d,0xaa8100f5,0x00000000,0x00000000}},	//   _glemt_, _билҗек_, --, --, 
   {{0x235f012c,0x7c9304dc,0x06c20135,0x7f6a045f}},	//   _mengine_, _شاناز_, _doktorı_, _terapisn, 
   {{0xa4160195,0x86290537,0xd3010340,0xb40600f6}},	//   _fhortain_, _adriátic, _papanui_, _dostunun_, 
   {{0x7e8a0012,0xbdbe0462,0x0d140127,0x00000000}},	//   _बरसतिया_, _asmidpla, _estrenvr, --, 
   {{0xe31000b4,0xa24904a7,0x6d3b027c,0xf1730045}},	//   _parcare_, _alumn_, _سرودونو_, _наставку_, 
   {{0x846d011f,0xbc0e01f2,0x9db200f3,0x3b5904ae}},	//   _inverniz, _нәзәрийә_, _inqununu_, _цензуре_, 
   {{0xc3f000ad,0x237802fd,0x05b901cd,0xe290019d}},	//   _prasasti_, _annasan_, _голяново_, _ankati_, 
   {{0x9984011b,0xf2d802ee,0x910e0202,0x51890397}},	//   _kotikela_, _glieda_, _oluyọọda_, _asibulal, 
   {{0x522400c7,0xaecc011a,0xc2a602ee,0x00000000}},	//   _elekke_, _הפרצוף_, _jahbu_, --, 
   {{0x43ea05b9,0x865a0761,0x9872002c,0x622403b0}},	//   _hente_, _abondliw, _prentsau, _flekke_, 
   {{0x26b503b9,0xe9f9014a,0xac7c0761,0xd34001cf}},	//   _yatayawi, _anyagcse, _amasoka_, _sagessa_, 
   {{0x6a0f01f9,0xe57d01d5,0xdc560415,0x060102fe}},	//   _angayile, _kukoricá, _fertige_, _ؤنیسی_, 
   {{0xc6a70629,0x024800fc,0x94cd008d,0xfc89013c}},	//   _ildrench, _bommu_, _машинаси_, _bayramov_, 
   {{0x53a60016,0xcecd00a9,0xffd500cb,0xe225009f}},	// [d640] _tempolim, _kuringan, _abengalo, _prakso_, 
   {{0xe2ca0230,0x6248003e,0xb2970013,0xf08c0188}},	//   _meade_, _boemo_, _кампир_, _ватандор_, 
   {{0x8ba40393,0x92920207,0x0f480375,0x4c1300a6}},	//   _radionic, _vitabu_, _amaganin, _amaseseb, 
   {{0x3f6403e7,0xd8840152,0x3c2200e4,0x8ee500ba}},	//   _tocantin, _безвкуси, _schronis, _تێمپۆرۆم, 
   {{0x5e68061d,0x0200018a,0x00000000,0x00000000}},	//   _бәлки_, _megis_, --, --, 
   {{0x414e0113,0x060300d0,0x3c1b021c,0x00000000}},	//   _agallamh_, _толигор_, _tekuté_, --, 
   {{0x82480473,0xee4f00c8,0xdb0f00b9,0xe36d00d1}},	//   _kommt_, _bomalima, _eciputra_, _ক্ষত্ৰীয, 
   {{0x23ca0695,0xc7e50419,0xf2240265,0x7d08002b}},	//   _zamanı_, _एअरलाइन्, _plekje_, _থামিয়ে_, 
   {{0x034706af,0xd9d300d1,0x6417006c,0x4a2e0478}},	//   _kumenya_, _যাদৃচ্ছি, _нурматов, _abdomèn_, 
   {{0x055302fe,0x42ca0258,0x99d00026,0xa0b7002c}},	//   _abakhath, _deade_, _acceptee, _микронуу, 
   {{0x927e018a,0x4f9500e6,0x838000a3,0x3f1f02a6}},	//   _gronfa_, _结合本省实际_, _spurde_, _ammenten, 
   {{0x24980115,0x634d0227,0xaf2b0119,0x1287009a}},	//   _dicatatk, _meneguk_, _mauruupa, _دفشار_, 
   {{0xdc560414,0xeafd01e7,0x497300ee,0x00000000}},	//   _vertige_, _biromain_, _adinekoe, --, 
   {{0x65bb0318,0xa2480259,0x6f100311,0x16a2006d}},	//   _faiangah, _slemt_, _መንግስተሰማይ_, _візытаў_, 
   {{0x82ca00db,0x62fd0079,0x5a110046,0x34130295}},	//   _heade_, _fizikas_, _agraïmen, _talaloto_, 
   {{0xc9f4004d,0x55220177,0x234d050e,0xe2c20407}},	//   _南豐工業城_, _йашҭхәа_, _zamenik_, _zabluda_, 
   {{0xa72d00af,0x751c01b5,0xd95c0265,0x0dd9017a}},	// [d650] _напишіть_, _hiholoby, _gesortee, _amakhana, 
   {{0xd6cc02af,0xfc6b0292,0x87cc0322,0xa9e701c8}},	//   _abishimy, _tutuutu_, _abishimi, _nafotila_, 
   {{0x76d30122,0x00000000,0x00000000,0x00000000}},	//   _dibandhi, --, --, --, 
   {{0x85db034c,0x6249003d,0x3c350024,0xdee30193}},	//   _оттиск_, _flume_, _গানটোত_, _पार्ल्या, 
   {{0x0fd80178,0x8e67027e,0x711c00a7,0x2ea500e6}},	//   _anantako, _наивни_, _айтолкун, _moquette_, 
   {{0x83a302f3,0xa26d0362,0xb3df0282,0xb2ca0448}},	//   _knappt_, _babimisi_, _apimerek, _smidt_, 
   {{0xbe370125,0x326c02c3,0xe201028b,0x1e5300b3}},	//   _gumanita, _budove_, _epaite_, _annamuha, 
   {{0x5b030063,0x50dd02d9,0xc0a00092,0xbaaa0012}},	//   _lárionad_, _afonotel, _被検体内のある部, _भागलहुँ_, 
   {{0x9344001d,0xf03a0295,0x17ad0074,0xea6e044a}},	//   _sovente_, _fangatuo, _sittenki, _lingenda_, 
   {{0xea17007c,0x15910061,0x40f70365,0xd71902d3}},	//   _yabatjha_, _행복하세요_, _táborský_, _conferên, 
   {{0xe25a04cc,0xd2ca0468,0x430e0580,0x64f901eb}},	//   _bohliz_, _elide_, _vasaras_, _boquerón_, 
   {{0xd20400a0,0xfc1c0213,0xe03303bf,0xf98001ac}},	//   _rigingim, _очистке_, _вероника, _علاقتها_, 
   {{0x906900d1,0x60d500e4,0x26b90135,0x077f0037}},	//   _স্বচ্ছল_, _कल्पनाये, _mikroray, _ዎልፎቪትስ_, 
   {{0x75400169,0xcfd300c4,0xe64c00fd,0x127a0097}},	//   _নৃতাত্তি, _بئنڪن_, _dennyduf, _jagbójú_, 
   {{0xa84f049e,0x94650074,0xbb9300be,0xa29003ab}},	//   _mimoriad, _страхова, _патриоту_, _unikát_, 
   {{0x2e66029b,0xcf3501d7,0x00000000,0x00000000}},	//   _imobilie_, _blessura, --, --, 
   {{0x52c901ca,0x3c760370,0x194f0083,0x62d90082}},	// [d660] _bisovbe_, _angsrod_, _approbar_, _boyewa_, 
   {{0x226d007b,0xf297025f,0xa9e102e4,0x333f0378}},	//   _throu_, _bosalaki_, _farmaċew, _grundøki, 
   {{0xa1ed021c,0xa5d800e6,0x5aee0377,0xd99f04d7}},	//   _hormonál, _成为一个顶级设计, _sinucide, _drakúla_, 
   {{0x4dcd02ac,0x1fa2019d,0x7d5304c8,0x00000000}},	//   _لتغطية_, _chiletso, _joqogħdu_, --, 
   {{0x324f01cb,0x8287009a,0x3d9102fd,0x585b01f4}},	//   _ngimuphi_, _دځواب_, _chilemea, _betakror_, 
   {{0x293400ff,0x6876026f,0xaeb7004d,0x2b0d000e}},	//   _סאסמאן_, _ارﻗﯩﻠﻰ_, _更多私下交易風險_, _vispunct, 
   {{0x92250255,0x533300e6,0x3e53001a,0x1db70304}},	//   _katki_, _文号注销或撤消备, _daraboka, _antidada, 
   {{0xf77700ef,0xb7820645,0x785a0022,0x729202fb}},	//   _اوزاربکس_, _zahvalni, _бюджетын_, _lauafe_, 
   {{0x520006f8,0xd2900120,0xb22502cb,0xc93a0039}},	//   _segir_, _culaa_, _staklo_, _шамбарам, 
   {{0x8204033a,0x152700e6,0x9d4d0128,0xaf4d00e9}},	//   _artikoli_, _中国昆虫网_, _саралаши_, _morselma, 
   {{0x8427006f,0xd27f0166,0x5c6702ac,0x5d2802d8}},	//   _matatizo_, _abends_, _chluasa_, _कामकाजाच, 
   {{0x7eb000ba,0xf5cd0472,0xeeb10110,0xaf75020f}},	//   _دارێژه_, _lubangny, _objektos_, _قرضداران, 
   {{0xa86e0242,0x53100220,0xeca10040,0x9873006f}},	//   _tarixind, _carcere_, _ירושליים_, _مُحبت_, 
   {{0x527c029b,0x426c04a6,0x4354031c,0x00000000}},	//   _déndu_, _sudove_, _cajeros_, --, 
   {{0xe5320401,0x54ac0243,0xf6580041,0x00000000}},	//   _प्रतीकात, _aydakaak, _ҳахьақәш, --, 
   {{0x6b8d0462,0x2c04033f,0xa2240230,0xd290008d}},	//   _ubsidiar, _ahosivi_, _anekse_, _stlar_, 
   {{0x522e0320,0xe809014e,0xdb65021e,0x4666027b}},	// [d670] _alavelel, _билатера, _fokusera_, _शीलस्य_, 
   {{0x7ec300e6,0x03860066,0xa34100ba,0x7f7501a3}},	//   _为汶川人民祈福_, _inoren_, _پۆشاک_, _چئجانءِ_, 
   {{0xcbd501cb,0x5b8a00a4,0xd39602d3,0x03f4013d}},	//   _ikambiso_, _кокон_, _ивановск, _pastro_, 
   {{0x29d20066,0x9079023c,0x86830023,0x72c90311}},	//   _bakoitza_, _وڅېړي_, _коллег_, _ተመርኵሱ_, 
   {{0x22900068,0xec2f01e5,0xc642019b,0xc1180137}},	//   _kulan_, _asepọ_, _apriboji, _сувилуул, 
   {{0x64b602e4,0x57a1010b,0x7c55059a,0x7a34034c}},	//   _kumpanij, _baathudi, _vontade_, _kapitalı_, 
   {{0xcc750193,0xfc0804ec,0xf95c0359,0xceda01e9}},	//   _मुक्ता_, _akigabir, _teloarst, _botheken, 
   {{0xe43e0076,0xac6b01b8,0xf2fc00dc,0x32a6023e}},	//   _казни_, _चिप्पी_, _apogai_, _gembel_, 
   {{0xa2490262,0x4d2600b4,0xbcd8002b,0x232c0019}},	//   _umumy_, _valorile_, _আসিতেছে_, _дубайдан_, 
   {{0x8ae700ce,0x3295005b,0xaa970291,0x8aeb0100}},	//   _kordinas, _kawakami_, _مداعبة_, _potrajat, 
   {{0x738603ba,0x5aa70287,0x327a0369,0x1aae02d6}},	//   _anoren_, _spokojen_, _kulikuli_, _ташласак_, 
   {{0x20430268,0x5dba036e,0xcf220148,0xf27101eb}},	//   _annuitan, _ancharta, _conturba, _económia_, 
   {{0x071a01f2,0x526f01e5,0x67d9035b,0x559204e8}},	//   _بىچارە_, _girigiri_, _maksilof, _abondanç, 
   {{0x70720102,0x90b20040,0xaa96002b,0x9290004a}},	//   _احمدخان_, _מחרוזת_, _দপ্তরে_, _atlap_, 
   {{0x9c4c0513,0xc9aa018d,0xb3890275,0xd27a02fb}},	//   _akiweni_, _ሃለውለው_, _apisalom, _hulihuli_, 
   {{0x42550301,0x56d3030f,0xc20002ee,0xdc440342}},	//   _oğlan_, _manakohi, _iggib_, _konpleks, 
   {{0x52480258,0x774002fa,0x67b502ca,0x12250235}},	// [d680] _jimme_, _yagombag, _tipiciúi, _asakto_, 
   {{0x8896026f,0xdd9c0019,0xe2a90037,0xbf2303b7}},	//   _ءﺑﯘﺗﯩﻦ_, _بەزدىرۉۉ, _ያገኘችው_, _aneteerp, 
   {{0x425b00b1,0x04490223,0x0c5a02cb,0x00000000}},	//   _kablig_, _тангаргы, _filteri_, --, 
   {{0x32f000cf,0xd24101f3,0x624902f8,0x00000000}},	//   _achitti_, _cirkulár, _toume_, --, 
   {{0x924800d4,0x83450132,0x8bc70177,0xf3d9003b}},	//   _nimme_, _mondott_, _харланд_, _emathayi_, 
   {{0x0df60029,0xe979005e,0xfb6d02c2,0x0305022a}},	//   _گێڕێته_, _بۇسەھىپى, _afsonder, _tutabom_, 
   {{0xd29000a8,0x9e970078,0x4b170103,0x49c30086}},	//   _vulan_, _униформе_, _angabats, _کاسبب_, 
   {{0xe29001ec,0x14d30029,0x26710053,0x0f9100ec}},	//   _wulan_, _پاسپۆرتی_, _ब्राऊजरम, _poreikį_, 
   {{0x420102e5,0x7dbb0110,0xb98f00c7,0x00000000}},	//   _apyire_, _nesaprot_, _амхара_, --, 
   {{0x8387008e,0x2210017a,0xf76501e5,0xa951012e}},	//   _misra_, _abahleki_, _idalẹkun_, _titokzat, 
   {{0xaff1023e,0xf29001e1,0xa16c002b,0xdbfd01aa}},	//   _الحسنه_, _bokadi_, _জলাবদ্ধত, _ankulovs, 
   {{0x73f80513,0xc4cb0092,0xeadc026f,0xa4d70177}},	//   _akhume_, _だけを検索する_, _جەموكرات, _раҳаҭыр_, 
   {{0x7291010b,0xc7ea0092,0xd3210242,0xc2910544}},	//   _megala_, _ネトゲ廃人_, _metyu_, _pegana_, 
   {{0x0b550193,0x7dcc002b,0xb967039f,0x16d100e6}},	//   _kaitkata_, _বাঁকখালী_, _terrific_, _其原创性以及文中, 
   {{0xb34400b4,0xeead0022,0x129b037f,0x00000000}},	//   _poveste_, _ҡомһоҙ_, _briqadal, --, 
   {{0xcc7c06a2,0x437802cf,0xd7bd0261,0x00000000}},	//   _amasaka_, _recarga_, _dezertig, --, 
   {{0xfc260315,0x3db5008a,0x437a00d0,0xf9340059}},	// [d690] _batatigc, _salimaga, _aktaren_, _esaminat, 
   {{0x66b8037f,0x7c44006c,0xf366005b,0x00000000}},	//   _bilavasi, _abawona_, _citeﾌ_, --, 
   {{0x92d80062,0xf26d005d,0x488a01a3,0x3a08049e}},	//   _boqoypu_, _condenád, _بسڪيٽ_, _posadnut, 
   {{0x424c01a4,0x95200061,0x0c7c0219,0x8d540138}},	//   _ayambami_, _멋진블로거_, _emasaka_, _karayolu_, 
   {{0x32620060,0x02000311,0xe9290066,0xedb1033f}},	//   _تالقى_, _arkiva_, _арсланта, _felalave_, 
   {{0xb53d01ce,0xd6970402,0xd6cc036d,0x02010184}},	//   _ايراني_, _dikenali, _chearnai, _dewit_, 
   {{0x7dd702d7,0x700b034e,0x62da0360,0xfafc021b}},	//   _lingüíst, _allallaš, _papež_, _molemmis, 
   {{0xb93200bc,0x53940230,0x824c025f,0x2c050176}},	//   _تنقیه_, _polsid_, _eyambami_, _returlab, 
   {{0x82ed0594,0x139400cd,0x1762002b,0x00000000}},	//   _sosiale_, _avisà_, _পড়শী_, --, 
   {{0x95190125,0x472303b6,0xea83008e,0xb7ac02ca}},	//   _белент_, _isopọmọ_, _indileen_, _تشرفت_, 
   {{0x85690148,0x99f80235,0x335405ab,0x8a0800c7}},	//   _繳費系統維護通知_, _akhilena_, _objetos_, _әйтим_, 
   {{0x2d1b0037,0xe6b700c4,0x7e6602fe,0xdb5e0094}},	//   _ኃጢአተኛ_, _لاڏاڻي_, _فراهی_, _тренч_, 
   {{0xc381005b,0x72e10027,0xfc6900ae,0x67d10043}},	//   _ladybug_, _münich_, _bitutsi_, _amyukibw, 
   {{0xfa00007d,0x40e5026f,0x274b0220,0xdcd603a1}},	//   _kesannya_, _музейі_, _svantagg, _пресни_, 
   {{0x92d500d7,0x7d2604c7,0x327e041e,0x1379003b}},	//   _bamolao_, _семестар_, _tronca_, _efratha_, 
   {{0x72c9008d,0x32cf006c,0x4bf200d1,0xd2000141}},	//   _tiklash_, _akhonze_, _নকৰাটো_, _avliyo_, 
   {{0x1fe90109,0xa2aa00c7,0xa55602cf,0xdc7c0157}},	// [d6a0] _पुछारमा_, _bağlıy_, _агатанге, _klasyka_, 
   {{0x0f6902c8,0x994c0026,0x42ac020f,0x9837027e}},	//   _agrarias_, _promotie, _دقیامت_, _санадер_, 
   {{0xc3a20122,0xe45e00ff,0xe264018e,0xb2cc057c}},	//   _nympho_, _מוזעאם_, _enkoveni_, _tæller_, 
   {{0xfc1c04a5,0x826405ff,0xd4350198,0xb20200d8}},	//   _balungis, _poslje_, _nahajajo_, _arrier_, 
   {{0xecee00af,0x2b520262,0x413b0040,0x044002d3}},	//   _америки_, _adamkarc, _גלאון_, _beijando_, 
   {{0x03f2038b,0x0fcc0076,0x4303000f,0xf9850399}},	//   _persepsi_, _suíte_, _nihayet_, _moliteka_, 
   {{0x04660307,0xd402014e,0x58890141,0x370b00e2}},	//   _emsebenz, _многостр, _даражала, _alderlês, 
   {{0xfa7b020e,0x9515030b,0xb38604b9,0x00000000}},	//   _kemopres, _bassaawo_, _poorin_, --, 
   {{0x72f20255,0x72ca0191,0x14ad018d,0xa20100fc}},	//   _अवसरवादी_, _glada_, _ብማእከላይ_, _hewij_, 
   {{0x9bde00c7,0xe4460060,0xe1540153,0x312600be}},	//   _alayları_, _تاپقانى_, _計画的ネットビジ, _سۉيگۅندۉ, 
   {{0x6249033f,0x12ca01bb,0x7ae00092,0x8290018f}},	//   _houma_, _alada_, _お気に入りリンク_, _mulab_, 
   {{0x22ca0024,0x924903d7,0xf2d7014a,0xf98a0076}},	//   _blada_, _kouma_, _unalmas_, _нареднио, 
   {{0x9101027b,0x943103b3,0x61030420,0xd0350156}},	//   _अष्टोत्त, _banchero_, _роднина_, _אגרימענט_, 
   {{0xaeb50329,0x50d20201,0x0e9300f5,0x88c00061}},	//   _prezanta, _asgalluk_, _сынасына_, _왕복배송비는_, 
   {{0x52ca008f,0x4d1302af,0x62c90530,0x6fd60137}},	//   _elada_, _batohoze_, _realnih_, _вирусны_, 
   {{0x75050371,0xb095001a,0x7dba03b6,0x61070049}},	//   _acquisto_, _tetoválá, _idamẹta_, _kankakal, 
   {{0x04660556,0x42ca01e8,0xf3120259,0xa23702af}},	// [d6b0] _umsebenz, _noida_, _cymbals_, _ikomora_, 
   {{0xc1c00024,0x6c0003b0,0x2880027b,0x737f0079}},	//   _অংশীদাৰী_, _nærmar_, _अभिञ्_, _samaksa_, 
   {{0x6a85032b,0xdf52047d,0x48cf00bb,0x12340139}},	//   _بولدى_, _romarius_, _سلیکس_, _anumode_, 
   {{0x02490258,0xadc80213,0x983900c7,0x00000000}},	//   _bouma_, _жестком_, _жанланды, --, 
   {{0xee69026c,0x820e0039,0x751000be,0xb43e0126}},	//   _絕不錯過任何重要, _татан_, _терме_, _широкого_, 
   {{0x20f0006f,0xb557017a,0x6056011a,0x00000000}},	//   _بارگاھ_, _аралова_, _לסובלים_, --, 
   {{0x128c0292,0x666e0109,0xd8590125,0x22ca02f6}},	//   _alakija_, _कारागारम, _төләп_, _loida_, 
   {{0xe1c40210,0xc5e900e6,0x838f0086,0xc8e301db}},	//   _akamugam, _个别情况下_, _birtokáb, _сусыз_, 
   {{0x10f400ff,0x4a2300be,0x3ece03a4,0x00000000}},	//   _װאָסער_, _семетейг, _battaríi, --, 
   {{0xe8fc019d,0x93ce05ed,0x93420497,0x00e80299}},	//   _ankakond, _ikivi_, _baneful_, _بۇرجەكلى, 
   {{0xc6500044,0x10ee017f,0x36d20369,0xd7d801db}},	//   _סטיילינג_, _annikill, _makaneki, _синтезде, 
   {{0x1d3d0271,0x92900251,0x375e0145,0x00000000}},	//   _definert_, _mulac_, _besireng, --, 
   {{0xd3ce0513,0x27d901b7,0x4cf400b3,0xdea50488}},	//   _chavi_, _महाकपिः_, _babadaýh, _baldones_, 
   {{0x5bee040f,0xf20200b4,0x8a7700c1,0x7a9e030b}},	//   _катом_, _curier_, _सस्नेह_, _amuyamba_, 
   {{0x72fd0225,0x92d80417,0x935100ef,0x2ef70012}},	//   _meager_, _skoene_, _سفارتونه_, _छिरके_, 
   {{0xbd7200b2,0xe38c006d,0x830202cd,0x00000000}},	//   _duumessa, _аўтсайда, _hubbare_, --, 
   {{0x51b900b7,0x45460369,0x6570011b,0x02cc040f}},	// [d6c0] _пермана_, _opihapih, _ekawukak, _konsolės_, 
   {{0xd3ce026a,0x6e1c0040,0x9c1000e2,0xbaf404d7}},	//   _ikava_, _ופיסיקה_, _hooplik_, _eigendas, 
   {{0x53ea00f3,0x469601b8,0xe9fe0085,0xf02804a5}},	//   _umntu_, _sisemini, _sepiteba_, _nakwizin, 
   {{0xf2fc0191,0x52e10601,0xdb750075,0xfb94050a}},	//   _byggt_, _anunsyo_, _hagstova_, _silindir, 
   {{0x8ac6056e,0xc26c0224,0xac6f00ee,0xe2020497}},	//   _previame, _afkomu_, _dirurik_, _burier_, 
   {{0x13ae0169,0x0d550247,0x9c7402ba,0x18e2007b}},	//   _অনুভূতি_, _پورمحمدی_, _ansundu_, _sacrelig, 
   {{0xa99a0057,0x35bf0212,0x953f0025,0x727f0393}},	//   _ያነጋገርናቸው_, _splitcam_, _सुंदरकाण, _masne_, 
   {{0x096200bd,0xe84b0037,0xa9de01f6,0x39fa010b}},	//   _colourle, _የአምልኮ_, _লুকুৱাই_, _boripana_, 
   {{0xb5750033,0x2ee10230,0xd02801b9,0x01af0311}},	//   _instrucz, _dezyenma, _lakwizin, _ከተንጸሃኒ_, 
   {{0xd290054e,0xb6830161,0x42fe03f0,0xe26302e4}},	//   _atlat_, _сюжеты_, _birgja_, _immirati_, 
   {{0x44b90287,0x53ce0764,0xb3ce0155,0x6279013c}},	//   _inspiruj, _akava_, _skiva_, _versiyal, 
   {{0xb47804f2,0x72480026,0xbd7a0147,0x359404c2}},	//   _bongdaso_, _noemt_, _جۉرشۅت_, _briselsk, 
   {{0xa24805df,0x2301036f,0x93170349,0xf2fe03b2}},	//   _cimma_, _stranci_, _angaxay_, _depicts_, 
   {{0xca980162,0x3065005b,0x051d002b,0x603d023e}},	//   _مۇراسىمى, _asobuoto, _গলাকাটা_, _bengbero, 
   {{0x29880039,0x00000000,0x00000000,0x00000000}},	//   _exekutat, --, --, --, 
   {{0x685402fe,0xae5c019c,0x46db002e,0xa3400119}},	//   _بوريس_, _botilẹjẹ, _odabrani, _gradwar_, 
   {{0x7aad0125,0x453e0050,0x735a02a8,0xf37a0393}},	// [d6d0] _мазмунлы_, _dipikany, _bilfors_, _koeficij, 
   {{0x92480152,0x1f460047,0x02dc0393,0x26a00268}},	//   _rimma_, _approche_, _izborni_, _attemptw, 
   {{0x3ade0265,0xe2fc0191,0xa248017c,0xea6d0255}},	//   _forumove, _byggs_, _simma_, _resoluts, 
   {{0x45020147,0xd0310095,0x318f0021,0x00000000}},	//   _بئداتتان_, _brotosen, _athannay_, --, 
   {{0xb2fe038f,0xbb420067,0x527f035e,0x9b9103db}},	//   _skrivas_, _babbalis, _kasne_, _mpendulo_, 
   {{0xece80177,0x669b01d2,0xcc6803dd,0xb2cb0333}},	//   _шинкориу, _debenchi, _oidriso_, _avedda_, 
   {{0x1e6c02b9,0x52b30106,0xb762006d,0x79c703b0}},	//   _تیمور_, _साबुत_, _гастролі_, _avslutta_, 
   {{0x395f00be,0xaf6704a8,0x32240265,0x00000000}},	//   _ايىقانىڭ, _najprije_, _boekje_, --, 
   {{0x837b055a,0x925b01e9,0x727c014a,0xf52400d1}},	//   _estando_, _beelwa_, _betegtáj, _চকুহাল_, 
   {{0x4387004e,0x09b60373,0x00000000,0x00000000}},	//   _swerte_, _prudenta_, --, --, 
   {{0x43ce03b4,0xa999002e,0xea1700b8,0x5db70079}},	//   _chavo_, _projekat, _siwanaka_, _francija, 
   {{0xcc7c00fd,0x1c76010d,0x596800d7,0x3f250014}},	//   _bhoston_, _निर्मळ_, _ditiiset, _komenton, 
   {{0x67d30105,0x00000000,0x00000000,0x00000000}},	//   _पद्धतिया, --, --, --, 
   {{0x0523003f,0xbbee0128,0xb2130242,0x79300203}},	//   _chungtah, _гаров_, _izahat_, _promisse, 
   {{0x13dd0245,0x02900015,0x0baa018b,0xbfae00a7}},	//   _chawla_, _mudan_, _ориентяз, _بەتندەگى_, 
   {{0xa17200d3,0x2f5a02a9,0xc290021a,0xeb300107}},	//   _अल्सर_, _фрайбург, _bulaa_, _مجروحان_, 
   {{0xb234024c,0x00000000,0x00000000,0x00000000}},	// [d6e0] _ażjendi_, --, --, --, 
   {{0x1f6f013d,0x034402a6,0x47cc0096,0xe2900343}},	//   _המדרש_, _dovette_, _abashimi, _dulaa_, 
   {{0x299d0223,0xe23602ee,0x89e700ac,0x6a4e0153}},	//   _гарын_, _esejs_, _fanovima_, _二世帯住宅_, 
   {{0xa35b00d1,0x9f7c031c,0x52b5025f,0x00000000}},	//   _জগতখনত_, _deberás_, _mundele_, --, 
   {{0xe07d0388,0x929003b5,0x6173018f,0x22900170}},	//   _такса_, _gulai_, _paghlogh_, _kokani_, 
   {{0xab0e010f,0xb38700a8,0xcf1403fb,0x2eb5004d}},	//   _пизишкон_, _offrì_, _blatobra, _馬鈴薯燒排骨_, 
   {{0x7290002c,0x2d740092,0x7ba00035,0x52ca019d}},	//   _dudan_, _このサイトについ, _boerıgı_, _bladd_, 
   {{0x60c3001a,0x97bd05b9,0xd341003d,0xd49102e1}},	//   _قدوسی_, _berettig, _botelha_, _لخادم_, 
   {{0xc2900350,0xc3b001d2,0xcb8003a2,0x086d0096}},	//   _julai_, _ataqu_, _एसएमई_, _babihind, 
   {{0xc20000ee,0x46ca00af,0x622a03fe,0x4296011f}},	//   _begiz_, _подолати_, _толам_, _mbokapu_, 
   {{0x23f9001c,0x724b00cb,0x00000000,0x00000000}},	//   _albula_, _akalingi_, --, --, 
   {{0x607a0061,0xcaf40288,0x25270556,0x6e9302e1}},	//   _회원가입시_, _metsimet, _imiyalez, _primulan, 
   {{0xbf5c01cd,0x2a7b03ff,0x03ff030f,0xf2ba0138}},	//   _nabangan, _bezdráto, _pukumahi_, _kandili_, 
   {{0x42d802a8,0x72e900ab,0xabbf0037,0x35710042}},	//   _sliema_, _kaunuku_, _ያላገናዘበ_, _porteiro_, 
   {{0x096101de,0xf9b500b4,0xf0d40244,0xb5be009d}},	//   _دوستىققا_, _credinta_, _безнаказ, _praktikë, 
   {{0x836901de,0x4290004e,0x3195002b,0x696a0100}},	//   _барысынд, _dulaw_, _এইকাহিনী, _podnosit, 
   {{0x6126034c,0x8a500318,0x134f00f5,0x9c870374}},	// [d6f0] _сентябрь_, _lomekina_, _berenok_, _таомдан_, 
   {{0x0dc500ea,0xe34000a2,0x922402b9,0xeb17019d}},	//   _korintia, _endesha_, _antikvár, _kudalits, 
   {{0xcb64015c,0xe2ca042d,0xcc46002b,0x867b0207}},	//   _insekten_, _amidy_, _রঙ্গিন_, _سرمايي_, 
   {{0x71b00205,0xa7910456,0x41d901db,0x82f906bc}},	//   _جنگلر_, _funtasti, _берері_, _còisir_, 
   {{0xb2ca0448,0xd74d03ab,0x7a9e034c,0xc3410017}},	//   _glade_, _tuningov, _башларым_, _कच्चापदा, 
   {{0xee580076,0x9ea30103,0x1d33030c,0x52bb01bc}},	//   _обиди_, _chirwere_, _tariumut_, _tajefte_, 
   {{0xe86e03db,0x52ca008f,0x2c930126,0x73dc03d5}},	//   _besifund, _alade_, _аерозоль, _browed_, 
   {{0x7be10209,0x52d40192,0x92250119,0xc7150040}},	//   _taperser, _landbouw_, _isakto_, _שוכנת_, 
   {{0xb2eb0196,0xe03002bb,0x223200ce,0xfb8d02fd}},	//   _mawindo_, _प्रमुखता_, _manmzel_, _chonantr, 
   {{0xc3050013,0xcef1024c,0xa1d800a2,0x438000a8}},	//   _روحان_, _rappreże, _ابوبڪر_, _cauras_, 
   {{0x92f3033a,0xb8600572,0xe65b0193,0x06900169}},	//   _artiklu_, _माहेश्वर_, _महामार्ग_, _ক্ষুধার্, 
   {{0x62900499,0x297e0148,0x92cb046f,0xa15c00af}},	//   _tulai_, _著作權聲明_, _fudder_, _судах_, 
   {{0xdc550192,0x88400291,0xaf920161,0x5a6e0184}},	//   _gestemd_, _مخزون_, _однотонн, _singenda_, 
   {{0x129002ee,0x03ee0162,0x992c00e6,0x00000000}},	//   _lokali_, _мирза_, _宝宝记忆好_, --, 
   {{0xe101042b,0x9a9300d0,0x6187026e,0x94d70205}},	//   _proširen, _лондонд_, _इस्वी_, _маскан_, 
   {{0x3ea40141,0x0d880418,0x5472013d,0x92170544}},	//   _улардан_, _parmakla, _generalo_, _umikumam, 
   {{0x8c0902d4,0xb6d9017a,0xb2900085,0x690f01e8}},	// [d700] _stopcha_, _aliphath, _tokani_, _makapalu, 
   {{0x12910176,0x0dd104d7,0x00000000,0x00000000}},	//   _alcali_, _flykkist_, --, --, 
   {{0x5290036d,0xe248036e,0xa373000b,0xed4f017f}},	//   _rudan_, _aliman_, _gagamoe_, _appaasoq, 
   {{0xfd8403d8,0x790f0119,0x00000000,0x00000000}},	//   _početnik_, _nakapalu, --, --, 
   {{0x2df400da,0xb69e021b,0x37ed007b,0xf33c0040}},	//   _економис, _подарочн, _biratnag, _תפעולי_, 
   {{0x2468033a,0xd219005b,0x229000cd,0x00000000}},	//   _konvenzj, _gekishow_, _culav_, --, 
   {{0xd1430006,0x6c1900c5,0x326e036a,0x089e0095}},	//   _muslimah_, _九三学社四川省委, _karoni_, _بیرحمانه_, 
   {{0x1c1b006a,0xf259033a,0xcb9301ac,0xa87c00d9}},	//   _famantar, _elenkati_, _مداخل_, _доставле, 
   {{0xf20100bd,0x776600d1,0x64270025,0x23f403d4}},	//   _apairt_, _চুহুংমুঙ, _प्रदातव्, _sastao_, 
   {{0x124804af,0xf2360359,0x1f7303ea,0xe9fa000b}},	//   _khomob_, _krijen_, _discours_, _ioritana_, 
   {{0x726e013a,0xf34c01b2,0x16b90077,0x33870374}},	//   _sproch_, _anreill_, _ekzadesi, _angren_, 
   {{0x4a5e00fe,0x4bd600ff,0x31900163,0x1d84001d}},	//   _fekefeka_, _סוכּה_, _القدیر_, _intentet_, 
   {{0xe00e02eb,0x22e30151,0x52820035,0x9e4b02c9}},	//   _бригадын_, _angoley_, _авраамик_, _organele_, 
   {{0xee220040,0xa37300fe,0x3d5604e4,0x82d8004d}},	//   _בברצלונה_, _falaite_, _suradnju_, _台東縣原住民文化, 
   {{0x111b00c4,0xbfb5012f,0xaf2502c7,0xb8c60320}},	//   _سرپرستي_, _matthaus_, _billiger_, _kuntsong, 
   {{0x126f0387,0xfd320335,0x2ed60223,0xc0e00109}},	//   _mirimiri_, _bāóham_, _скайтели, _भएकीछु_, 
   {{0x809601e0,0x690304f9,0x00000000,0x00000000}},	// [d710] _دارانی_, _kalaaleq_, --, --, 
   {{0x0387019f,0xb7910163,0x7c9103a2,0xa0f9030a}},	//   _misri_, _الاحکام_, _फंडों_, _montaños, 
   {{0xb8cc02da,0xcd07033d,0x32900107,0x0c0000e6}},	//   _necessid, _ekilibre_, _budal_, _ressent_, 
   {{0xf248045f,0x239502ac,0x32fd02c2,0xe3d300de}},	//   _timme_, _tuasal_, _lughawe_, _bakwithi_, 
   {{0x6a0e0437,0xb90e0166,0x43ea01f1,0x1392011c}},	//   _behandle, _behandlu, _sonte_, _campeefi_, 
   {{0xd91a003e,0xb6d0045e,0xdda100ba,0x00000000}},	//   _асфальтт, _accademi, _دایگره_, --, 
   {{0xcb1500dc,0x3e910144,0x449c035b,0x22380557}},	//   _atusalia_, _hostaire_, _naročil_, _amadlozi_, 
   {{0x526400b7,0x9ec300ef,0x2248019b,0xf62701fa}},	//   _notlar_, _ebezinga, _kieme_, _kalisiti, 
   {{0x944203cc,0xc38c0061,0xd9e0005b,0x893c01b3}},	//   _মহাসড়ক_, _놀이게시판_, _fujisawa_, _пунктами_, 
   {{0xa4430046,0xeeb103ae,0xa06e023a,0x00000000}},	//   _ئزىلدۅ_, _passerte_, _harabino, --, 
   {{0x186c009c,0x00000000,0x00000000,0x00000000}},	//   _culpaeus_, --, --, --, 
   {{0xe9460187,0x7394054a,0xcc660125,0x1a0e054c}},	//   _brilhant, _brisel_, _халычы_, _fotballt, 
   {{0xfe5b014f,0xaa160476,0xaf33025b,0xa84a0238}},	//   _странке_, _yakanaka_, _sparinga, _йорку_, 
   {{0x7414018d,0x3bdf0099,0x05e50143,0x00000000}},	//   _ንበጻሕቲ_, _achember, _гладка_, --, 
   {{0x605a0119,0x397b01bb,0x222600d3,0x22d50325}},	//   _pagsulon, _усуллары, _koukat_, _albomun_, 
   {{0x00000000,0x00000000,0x00000000,0x00000000}},	//   --, --, --, --, 
   {{0xe4ce03bb,0x629002f6,0xef250083,0x627f0108}},	// [d720] _concello_, _iulat_, _villiger_, _pasna_, 
   {{0x57310510,0xc25b0223,0x33650326,0x026c04fe}},	//   _страницы_, _atalak_, _sangano_, _sudore_, 
   {{0xd8510265,0x4b18005e,0x82900057,0x8264037f}},	//   _willekeu, _ئەزرائىل_, _kulat_, _botlar_, 
   {{0x7369029f,0xf74f03a8,0x202e030a,0x22d8022d}},	//   _likvidác, _চলাওঁতে_, _falecido, _arnesi_, 
   {{0x2a7b0092,0x39870240,0xdb7802dd,0x52d400bd}},	//   _クリエイタ_, _pasivika_, _dinosawr, _girded_, 
   {{0xb8c00218,0x3d05005c,0xba1602f8,0x105b01c6}},	//   _accessed, _amarorer, _lakalaka_, _krystkon, 
   {{0x325a0198,0xc3f203ac,0x1db50307,0x4d0602f4}},	//   _spolno_, _berenang_, _elinguma, _petroler, 
   {{0x6c6701f6,0xf29102f3,0x670c020a,0x220102c2}},	//   _kontonr_, _ettan_, _сайрамда_, _gewis_, 
   {{0xff7300c5,0xb1d10629,0xf0cf0017,0xec05041e}},	//   _编译或摘编的目的, _eatecray_, _samoopal, _massoni_, 
   {{0x0c3404a4,0x33010054,0x9b070060,0x75a302ba}},	//   _achanaic, _turanci_, _بولبىراپ_, _abaseduz, 
   {{0x07cf0147,0xb26f0292,0x0a7101b5,0xb584001a}},	//   _اتكىرتكا, _biribiri_, _crmlastb, _منارہے_, 
   {{0xa750014a,0xf16c03c2,0x6c5601fc,0xfdf700e6}},	//   _کلاسیکی_, _acridity_, _kurtane_, _什邡储粮只够_, 
   {{0x10f702d8,0x4e470464,0xe29000fa,0xbdf701ac}},	//   _सर्रास_, _bamariye_, _dehado_, _trodaire_, 
   {{0x1a7c019f,0xb30f0054,0xf2b50138,0x05cd01b5}},	//   _kutafuta_, _nasarar_, _kendime_, _hivadlay, 
   {{0xdd840073,0x29680415,0x9b7f0569,0x734b022d}},	//   _excedite_, _errichte, _poslovic, _baveddu_, 
   {{0x96fd01a7,0xe2c00089,0x4c77022f,0x12b501f1}},	//   _проблемы_, _аннан_, _крайніх_, _mendime_, 
   {{0x49d70334,0xaee0021c,0x0edb00a2,0xdf2303f4}},	// [d730] _anathand, _suverénn, _mashulen, _bonusrap, 
   {{0x9c9302fe,0x1e2c05fa,0xd2910227,0x09fa017d}},	//   _قاچاق_, _बहुआयामी_, _segala_, _forsvand, 
   {{0x323000ad,0x438001fb,0x222b019a,0xfd6b044b}},	//   _utamana_, _tauros_, _thimble_, _nummeret_, 
   {{0x6a960453,0xd291014c,0xcfbe013c,0x5c1102e2}},	//   _holivuds, _begama_, _möminlər_, _bespeak_, 
   {{0x826e04ea,0x307601b7,0x00000000,0x00000000}},	//   _baroli_, _शङ्खचक्र, --, --, 
   {{0x926e0148,0xd29400f3,0x76020521,0x4dd30139}},	//   _caroli_, _isikali_, _orgazëm_, _dvijihva, 
   {{0xf27f036f,0xabe7023c,0x4290014c,0x7d840498}},	//   _kasno_, _جريدې_, _inkabi_, _ambasáda_, 
   {{0x252601e0,0x284a03bf,0xeaf0007b,0x53470119}},	//   _کاندیدی_, _рожки_, _lovelies, _armenya_, 
   {{0x55910060,0xf4b902c0,0x00000000,0x00000000}},	//   _المادىم_, _метеори_, --, --, 
   {{0x726d03d8,0x30390388,0x2d000059,0xa3ca0109}},	//   _skroz_, _напослед, _nucleare_, _एकैचोटी_, 
   {{0x1a1602e0,0x6290006e,0x58640080,0xf248001e}},	//   _bakalaka_, _ankaux_, _nikodemu, _himma_, 
   {{0x7f2a02a4,0xa84d0192,0x92ca04ea,0x859c0061}},	//   _myfreepa, _주셨습니다_, _koidi_, _방과후학교_, 
   {{0x89b1005f,0x4f3401bd,0xf2ff01f6,0x8c76023c}},	//   _garantía_, _демеушіл, _musikar_, _avareji_, 
   {{0x33bb00bc,0x2c1c002f,0x3ea202ed,0xc1cc0021}},	//   _دستان_, _denuncis, _acadadas_, _ausoleum, 
   {{0xa7aa0212,0x999e0244,0x74b10157,0x99df00d1}},	//   _cortisli, _болезнен, _marchewk, _কেলেংকাৰ, 
   {{0xb89601db,0x35560094,0x45760420,0x69b9004a}},	//   _ءﺗﯘﺑﯩﻦ_, _تۇرماي_, _aceleraç, _йонын_, 
   {{0x400c035d,0xabe80037,0xe3ca00ef,0x85af0107}},	// [d740] _privredn, _ይሻለኛል_, _کوچیانو_, _جمالزاده_, 
   {{0xb8750093,0xca1f0213,0x0201001d,0xebc50094}},	//   _студента, _освоение_, _lecion_, _елгезек_, 
   {{0xe291017a,0xac6a019f,0xe613046f,0xcd74021b}},	//   _segama_, _sikukuu_, _gaalgebi, _бездорож, 
   {{0x12d9032d,0xfb4b018d,0xe017027e,0x46cb00d9}},	//   _anyesa_, _ንትሕዝቶ_, _забринут, _uskaltai, 
   {{0xbe53009a,0x7290012e,0xabe4008c,0x7208027b}},	//   _ingatsha, _tulaj_, _cabernar, _व्यजायत_, 
   {{0xef6a0434,0xddeb0037,0xd02b01bf,0x32d800b4}},	//   _trabajan, _ውድነቱን_, _kondisjo, _puneti_, 
   {{0x049e00d1,0xbef002c1,0xb2900125,0x79460241}},	//   _সংখ্যাই_, _abakorin, _gulak_, _asallaat, 
   {{0x423603b6,0xe9770127,0x31a70156,0x798c00be}},	//   _iseju_, _divinade, _פאקשיוונ, _كەسەكك_, 
   {{0x43a00148,0xb290063e,0x4c1f02eb,0xee3b0403}},	//   _顯示我的圖像_, _sudac_, _хүчдэлий, _ampanara, 
   {{0x6db300a8,0xf2900138,0x53ce02e5,0x71be0095}},	//   _chantuna, _kulak_, _ikavi_, _didegaké_, 
   {{0xc49e002b,0xdb5a0189,0x0184007f,0x829102f3}},	//   _সংখ্যাঃ_, _bildirin_, _ailadeil, _uttag_, 
   {{0xba0e009b,0x9d0c00c8,0x00000000,0x00000000}},	//   _ортол_, _шында_, --, --, 
   {{0x8db900a7,0x9845006e,0x69910090,0xacc802ac}},	//   _endavant_, _baatinub_, _akakomba_, _اتصلى_, 
   {{0x324801d4,0xcc5c001c,0x8efc0229,0x8396005b}},	//   _dimmi_, _cautín_, _aldatmağ, _dyssey_, 
   {{0xfe4c0497,0x32880177,0x47b8015e,0xd3f9003b}},	//   _broadest_, _агроаагл, _guarnici, _emculo_, 
   {{0x2460002b,0x4df2004d,0x9505016a,0x2c6601d3}},	//   _আনবিয়ার, _五分鐘內仍無成交, _אנטיביאט, _fostret_, 
   {{0x65ce05c1,0x937802ec,0x5290034c,0x344d013c}},	// [d750] _kurangny, _gabadha_, _aulak_, _teatrın_, 
   {{0x5f240360,0x629002e7,0xb6130258,0xd27e02e4}},	//   _pište_, _bulak_, _taalgebi, _minnha_, 
   {{0xb25a00d6,0xc3450181,0x37900211,0xb24800f5}},	//   _seilbh_, _vinduet_, _изнасило, _salmak_, 
   {{0x52c20635,0xa3730243,0x2dfe010d,0x00000000}},	//   _anglija_, _salalte_, _उन्मत्त_, --, 
   {{0x89800338,0xad060041,0xbab503a2,0x99f200e0}},	//   _dirichle, _иуашәшәы, _पायलटों_, _brandsma_, 
   {{0x02900308,0x72d40122,0xe3e5032e,0xf1d900d6}},	//   _sudah_, _mirdad_, _warminak, _sligeach_, 
   {{0x7bee01a7,0x0598003a,0x45c00392,0x1d500062}},	//   _часов_, _буларнин, _armadail_, _dapabchu_, 
   {{0xc2260409,0x02900163,0x2ea302cf,0xcfa104ca}},	//   _smukke_, _budai_, _gorduras_, _aprestar_, 
   {{0x255100c5,0xc7bf0155,0xd7360378,0x603801f0}},	//   _违反上述声明者_, _människa_, _kristnum_, _dipesalo, 
   {{0x1d7002d4,0xbfc402e3,0x6ec30008,0x2ea803f2}},	//   _premissa, _mobilewo, _pirineus_, _kolumnit_, 
   {{0xf35b0461,0x72900120,0x4533004d,0x224804d7}},	//   _belgica_, _fulah_, _跳舞像僵屍_, _simmi_, 
   {{0x308502ac,0x76390043,0x32c300ff,0xf94d00df}},	//   _وبحسب_, _awuniiki, _anglajn_, _effondre, 
   {{0x2c0a034c,0xa86e055f,0xb89b023a,0x1c70004c}},	//   _проектын, _tarihind, _negatívn, _akaseke_, 
   {{0xb2900339,0x3af101fc,0x868c01db,0x7d85020e}},	//   _iulai_, _febraaye, _ластануы_, _diletere_, 
   {{0x63d60220,0x6ee00074,0x92d40364,0xc31604c7}},	//   _авторско, _петли_, _virdru_, _sudbini_, 
   {{0xb211017d,0xa8aa02ba,0x4afd02a4,0x7794038f}},	//   _おすすめ商品を見, _баландпо, _intermis, _asamblez_, 
   {{0xbc010075,0x72900122,0xf2c603ae,0x7d380113}},	// [d760] _næstan_, _sulak_, _forlate_, _متلمس_, 
   {{0x137a0410,0xa348013a,0x351a00cb,0x6e320065}},	//   _tebanyo_, _typesch_, _abazulaz, _prozesse_, 
   {{0x73100338,0xc25b007b,0x597e0253,0x62480157}},	//   _larzac_, _biglam_, _assiline, _siema_, 
   {{0x53fa00c5,0x5c56041e,0xb2fd00a8,0xf3b00242}},	//   _actuel_, _furtune_, _adagur_, _iraqa_, 
   {{0xa0bc02ec,0x82130119,0xf9f00095,0x32920061}},	//   _ماتہٕ_, _vechta_, _مونالیزا_, _판매합니다_, 
   {{0xb0200334,0x2c6a0414,0xcc71012a,0x4272036a}},	//   _adawalan, _bilumbu_, _morskie_, _palimedi_, 
   {{0x626402a4,0x78590444,0x62a70120,0x425a0013}},	//   _kotler_, _писателе, _deebol_, _tillar_, 
   {{0x0290005b,0x4f18041a,0x2c5101f6,0x13a70060}},	//   _hikari_, _правопор, _tiltaka_, _سىلكىندى_, 
   {{0xa290019c,0x3977033a,0x5a920234,0xb2900242}},	//   _aikasi_, _manifatt, _afonsans, _qulaq_, 
   {{0xc2170061,0x98450155,0xbeca013b,0x00000000}},	//   _대한주택공사_, _minuters_, _pagnomin, --, 
   {{0xde520051,0x937901da,0x82be05b3,0x86be01be}},	//   _bibliotē, _skuadra_, _verdeel_, _पत्ति_, 
   {{0x55ed021e,0xe23603b6,0x57bb03be,0x216701ac}},	//   _expertfö, _ipeja_, _kuruhuki, _mongóili, 
   {{0xff5903ee,0xa301011b,0x625b0258,0x726d00f4}},	//   _zapaljen, _bayambi_, _bealch_, _ardoet_, 
   {{0xd73d0037,0x42ec0320,0x04ec01db,0x0a830164}},	//   _የኪነጥበብ_, _aswinge_, _романдар, _тутулған_, 
   {{0x1ea602b2,0xaf45024a,0x9290034b,0xa54f015e}},	//   _кадрів_, _eerinlór, _pulap_, _alimentà, 
   {{0x26d10139,0x2d8800f5,0x288500f8,0x00000000}},	//   _भूमिं_, _barmakla, _আশঙ্কায়_, --, 
   {{0xd3ea00c1,0xd0770156,0x497e0113,0x3e3b0334}},	// [d770] _lonte_, _רעגבי_, _scribhne, _kunamupa, 
   {{0x02900372,0x10720156,0xb2490316,0x163f021e}},	//   _ardal_, _בקדושה_, _imamin_, _befintli, 
   {{0xb25a0019,0x42900139,0x92240230,0x4218004d}},	//   _millor_, _adhamo_, _bonker_, _張貼新話題_, 
   {{0x1e2801c9,0x2a7602a0,0x968d02f7,0x59be00e6}},	//   _कर्बानी_, _jangbala_, _dumesegi, _serviteu, 
   {{0x44fb0139,0xff5f0219,0xaf36022f,0xa300009f}},	//   _ग्रामं_, _bayakhon, _аксамітк, _lekarni_, 
   {{0x13800258,0x226c0086,0x8320026b,0xa2ca0181}},	//   _gauris_, _adjon_, _apoyar_, _slidt_, 
   {{0xa3ce0328,0xc8d501cb,0xe21600d6,0x437e0244}},	//   _shavu_, _yobulung, _machnaim, _казанлък_, 
   {{0x8cdd00af,0x53ea01f1,0x82630334,0xf0ec0205}},	//   _коментув, _donte_, _apongozi_, _абонентл, 
   {{0x43ea02fb,0x72fe0373,0x41890262,0x5fb8013f}},	//   _ahotau_, _skribas_, _arkasyny_, _brageier_, 
   {{0x63eb0625,0xb39500d2,0xc248019b,0x2c5b023a}},	//   _tretej_, _muasal_, _kiemo_, _fakulte_, 
   {{0x2c5b01c8,0x4f9a03f5,0x0afa0278,0x46b801db}},	//   _redukce_, _produzir_, _pengkhus, _макроста, 
   {{0xb94701d1,0xbcfd0211,0xdc5e02a3,0x524801f0}},	//   _applicat, _врачи_, _gesteel_, _diemo_, 
   {{0x42480130,0x49fa03c2,0x00000000,0x00000000}},	//   _chomas_, _albanact, --, --, 
   {{0xc3ea033d,0xf38f029f,0x62910010,0x58c503b8}},	//   _konte_, _partizán, _cocani_, _пушкинні, 
   {{0x43890134,0x445c02fe,0xa499034b,0x222402a3}},	//   _abiyamo_, _پاکستانه_, _kronikel_, _boekie_, 
   {{0xf2d800f2,0xda0d00d7,0x6122009d,0x00000000}},	//   _sniega_, _bolailoe, _formojnë_, --, 
   {{0x52000085,0x99170213,0xe2480224,0xcf5d00c4}},	// [d780] _bukiya_, _пакетов_, _dimmt_, _linaloon, 
   {{0xe248001e,0x12940085,0x32ca0450,0xac5b0585}},	//   _ilimin_, _isikeli_, _moade_, _sastati_, 
   {{0x016e016d,0xfbef03d9,0x42920272,0x00000000}},	//   _маратниң_, _fanefitr, _bewala_, --, 
   {{0x9ccc00bc,0x69c501e6,0xa74100c7,0xfa190076}},	//   _پیانو_, _inzerent, _идарәсен, _загадува, 
   {{0xa9eb0036,0x15be02b9,0x31c30066,0x8987002b}},	//   _مراعاة_, _praktiká, _partidak_, _রহমতের_, 
   {{0x5b64019b,0x03790274,0xfe0c020f,0x4d7a0350}},	//   _вянок_, _logason_, _دتیرکال_, _ሚደቅሳን_, 
   {{0x285102c2,0xc2910168,0x00000000,0x00000000}},	//   _akkommod, _uttak_, --, --, 
   {{0xe30c0019,0xec7f03a8,0xdf310320,0xbcd7023a}},	//   _guiades_, _বিন্যাসস, _muofisan, _životov_, 
   {{0x4319020a,0x3b5100bb,0xa3800077,0x00000000}},	//   _ايلان_, _listára_, _pauris_, --, 
   {{0x24490089,0xb4190088,0x0b0f0529,0xde9203a9}},	//   _пионерла, _медалы_, _kioscima_, _алашонца_, 
   {{0x022c02c4,0xb2d90220,0xd3f8005b,0x226c0364}},	//   _câmera_, _albero_, _hokuto_, _afloss_, 
   {{0xfa0b018a,0x2c160255,0x538d01f3,0xd82600a4}},	//   _asiantae, _निप्ताव्, _kultivát, _سامارا_, 
   {{0x33440187,0x00000000,0x00000000,0x00000000}},	//   _investe_, --, --, --, 
   {{0xd2910220,0x736c0418,0x16a504bd,0x6320019c}},	//   _locali_, _belgesi_, _kumuhooh, _lalye_, 
   {{0xa248029a,0x19c70045,0x84be0057,0x8e9e01eb}},	//   _elimin_, _запада_, _የተያዘውን_, _ajúra_, 
   {{0x8a0f040d,0x1c0800c4,0x8249008d,0x12ca0258}},	//   _nagadile, _گوپانگ_, _olaman_, _koade_, 
   {{0x827f0032,0xa42c01ec,0x321c0296,0xf2d80244}},	// [d790] _basna_, _امانتدار, _klagomål_, _lunedi_, 
   {{0x42ca0274,0x8d1f0041,0xf6b90015,0xaacd027e}},	//   _leiddi_, _имыцхәу_, _milatari, _солунско, 
   {{0xa2490312,0x9d5a0244,0x4bc00712,0x74d7015e}},	//   _alaman_, _полет_, _ईमेलद्वा, _баламын_, 
   {{0xac7c00c7,0x9c38040f,0x00000000,0x00000000}},	//   _бозоннар, _greiciau_, --, --, 
   {{0xfa1500ec,0xd6dc01eb,0x00000000,0x00000000}},	//   _ligoninę_, _carbónic, --, --, 
   {{0x22ca054d,0x77110139,0x2f460117,0x0cdb021b}},	//   _plads_, _चन्दन_, _konfrens_, _аппарата_, 
   {{0xd0f5049e,0x2f3401af,0x739a0256,0x72910195}},	//   _najstarš, _nursulta, _būsim_, _cutag_, 
   {{0x13fa01d1,0x420e02b6,0x520001e5,0x16b600ec}},	//   _actual_, _панар_, _mukina_, _бажынкі_, 
   {{0x2c0001e7,0xcb1f008d,0xe2780100,0xf72b01b3}},	//   _festungs, _ullangan_, _desnog_, _столицю_, 
   {{0x825a054e,0xfea604ad,0xa73800c4,0x531e015e}},	//   _atilik_, _agelelan, _بيوفا_, _арзандап_, 
   {{0xad4b042f,0x532000fa,0x5ea101c7,0x758401ee}},	//   _pinahuaq, _kalye_, _bellenen, _цхьаьнак, 
   {{0xddd20225,0xfb4e00ea,0x968200d6,0xbda200ba}},	//   _fatherla, _diamondr, _mótarfhe, _پیرێژن_, 
   {{0x6a98009a,0xf4b90365,0xdeae00c6,0x2c41030d}},	//   _ابوحدیر_, _प्रेममा_, _avklarin, _beytinə_, 
   {{0x8c6400df,0xd5ea020e,0x0361005a,0x334601ce}},	//   _ensuite_, _борма_, _mungraj_, _شاهرودی_, 
   {{0x22490377,0x3db3029e,0x525a0044,0xe2d50137}},	//   _anume_, _adlakaet_, _biller_, _блокны_, 
   {{0x0988001d,0xca7c03db,0xc48c00ff,0x3c5d026b}},	//   _boghande, _alinakus, _כּישוף_, _gustado_, 
   {{0xd3f0020e,0x82010117,0x329002d8,0x0a5e033f}},	// [d7a0] _афоризмд, _lucifa_, _rudal_, _lekeleka_, 
   {{0xba70032e,0x9f5b00a7,0x62d0002b,0xb9d70032}},	//   _qanapawa_, _vilafran, _নারকেল_, _namechme, 
   {{0x825a000e,0x720001b2,0x99f000c1,0x4c1102ca}},	//   _tiller_, _aaoid_, _अनैसर्गि, _يخاطب_, 
   {{0x094d0003,0x429003a4,0x00000000,0x00000000}},	//   _formulie, _budam_, --, --, 
   {{0xfcc50037,0xfbf701ad,0x22fb00ef,0xb109024b}},	//   _ማደራጀት_, _sustenab, _bathula_, _álvarez_, 
   {{0x929501af,0x82ca00df,0x7a260287,0x5c1d0239}},	//   _merkezi_, _poids_, _रोगबाट_, _matangar, 
   {{0xfe140024,0x9a77004a,0x8b9b02c8,0xe9f20158}},	//   _অঞ্জনে_, _алмашуча, _equinocc, _gimnazja_, 
   {{0x490a0164,0xd6d50151,0xd52f0192,0x483f02ac}},	//   _палатаси, _forbiddi, _하오차이나_, _تساؤلات_, 
   {{0x7e57000e,0x8140031a,0xb3b000af,0x2d57039f}},	//   _concedet_, _cuallach_, _рекреаці, _conceded_, 
   {{0xdab00026,0x730e04cc,0x229201a0,0x420102ff}},	//   _알려주세요_, _guhangq_, _ansati_, _afwik_, 
   {{0xa3c8033d,0x57370128,0x486f0258,0xcebd0274}},	//   _souvan_, _термизий_, _bespruts_, _vinnumen, 
   {{0xb68300af,0xad5402dd,0x899200a3,0x00000000}},	//   _красивих_, _inwasslu_, _bokheime, --, 
   {{0xa26d005b,0x138702b6,0x00000000,0x00000000}},	//   _stdout_, _ساردارى_, --, --, 
   {{0x725a019a,0x1200005b,0xb1870009,0x27b6002b}},	//   _siller_, _yukina_, _domačih_, _মেঝেতে_, 
   {{0x19d7003f,0x9ef60092,0x00000000,0x00000000}},	//   _damechme, _東京グルメ_, --, --, 
   {{0xe9d201dd,0x3065038b,0xae930127,0x71fd0142}},	//   _bakomeza_, _dikatego, _aostriat_, _सिंहासने_, 
   {{0x930f02a8,0xe2a7026b,0x5c5b00ec,0x2b1f009b}},	// [d7b0] _lisbona_, _amable_, _pastoti_, _lemapean_, 
   {{0xf07302a4,0x7341020e,0x49170211,0x2a1701c8}},	//   _greatsho, _botenya_, _армении_, _masaryka_, 
   {{0xf4050360,0x6d9202f0,0x3dc00265,0xc1b90008}},	//   _sdružení_, _bamelele_, _optische_, _inserció_, 
   {{0x6295044a,0xd2900120,0x8373008b,0xfdd2016a}},	//   _bolamuki_, _mudak_, _galanee_, _budhisma, 
   {{0xe8c601ca,0x63f1009a,0x3c1402fd,0xf6900308}},	//   _baltiqng, _asizube_, _fatsboy_, _diselidi, 
   {{0xcf38038c,0x93b10135,0xf2d50318,0x82ee0115}},	//   _preuzima, _yuqqa_, _fanogoo_, _thariqah_, 
   {{0xd2fd0151,0xe79001be,0x837b02ce,0xfc3603a8}},	//   _deanery_, _कालापानी_, _didamel_, _সেকটৰৰ_, 
   {{0x6cf4000c,0x1c510052,0x32900316,0x0c070130}},	//   _heräkuäv, _घुमेर_, _hular_, _gwastet_, 
   {{0x459001da,0x0a170015,0x7111034c,0x1ee70219}},	//   _pikerish, _lacagaha_, _altışar_, _ayikacan, 
   {{0xc73d032d,0x029002e7,0x00000000,0x00000000}},	//   _рядовой_, _sulat_, --, --, 
   {{0x7b630036,0x72f00482,0x820e00ee,0x138600a4}},	//   _chomhlac, _afrikah_, _даван_, _aporta_, 
   {{0xe27f014b,0x1c1d02c1,0x53860073,0xddc5054a}},	//   _amanuk_, _yatangar, _accre_, _evakuisa, 
   {{0x4301029c,0x18310132,0x554e0334,0x09fe0025}},	//   _sayansi_, _formátum, _chikankh, _bhramant, 
   {{0xa19302d3,0xc8c102ac,0x30370022,0xa354005a}},	//   _главните_, _اشتعلت_, _турнирҙы, _luseplu_, 
   {{0x16d50062,0x2248023b,0x9abe00be,0x000700c5}},	//   _banglojw, _enemi_, _ايكۅلۉبۉ, _董卿操劳满脸长痘_, 
   {{0x2c51051a,0x8db600cd,0xca130320,0xe48800e6}},	//   _bahtera_, _obligada, _etranske, _防腐胶带专用底漆_, 
   {{0xa29005fd,0x6290037e,0x34c10074,0x0a700082}},	// [d7c0] _mudah_, _kular_, _всякий_, _fafatawa_, 
   {{0x229000ad,0xf29103a4,0x515105e0,0x92900227}},	//   _budak_, _uttan_, _comunico, _ludah_, 
   {{0x4dcc03b6,0x7a6900af,0x4eb80078,0x8d4900d0}},	//   _akehinde_, _корисний_, _трансвер, _сандарга, 
   {{0x45690213,0x9248047d,0xf14f0086,0xeb0c002e}},	//   _застройк, _thomes_, _levendul, _prisutna_, 
   {{0xc2fc002e,0xb2ff047b,0x626e0256,0x78c3042c}},	//   _ovoga_, _skrivar_, _paroli_, _iskustav, 
   {{0x9c610082,0xdbc300e6,0x115c0444,0x42900117}},	//   _satumba_, _直辖市国土资源部, _думан_, _tudak_, 
   {{0xf29001fc,0xe20105d5,0x23050294,0x0c6803f0}},	//   _budah_, _deciun_, _aqsapam_, _konunni_, 
   {{0x22d902f6,0x94f30237,0x9c320139,0x00000000}},	//   _diyeta_, _다행입니다_, _dvicandr, --, 
   {{0x12480467,0xb4b506b7,0xd2900262,0x02900390}},	//   _niema_, _inyandik, _bular_, _ordan_, 
   {{0x12f200ff,0xb36c01f4,0x725a000d,0xdb98076b}},	//   _אקטועל_, _belgisi_, _hillar_, _बासुदेव_, 
   {{0x186403b4,0xd5230138,0xb25a02f3,0x4a070120}},	//   _nicodemu, _faydalı_, _killar_, _dagaritt, 
   {{0x2f7602ac,0x00000000,0x00000000,0x00000000}},	//   _tarlaíon, --, --, --, 
   {{0xfb6a01e5,0x4ec102d4,0xbc8700af,0x1dbd00c4}},	//   _aileesun_, _plinavan, _тримати_, _gurudumu_, 
   {{0x03730074,0x6cde0046,0xb99d00e4,0xdd3e0168}},	//   _palaute_, _замандан_, _traktuje, _revidert_, 
   {{0xbc49012d,0x2380000c,0x0359009d,0x6ce20029}},	//   _alawens_, _virrey_, _trafiku_, _چێرۆک_, 
   {{0x625a017c,0x5a150140,0xc290037f,0x7f5d02df}},	//   _gillar_, _bumbilya_, _bulaq_, _barangan, 
   {{0x27000187,0x911200bb,0xd1d40156,0x00000000}},	// [d7d0] _недостиг_, _انہےں_, _שפלינטער_, --, 
   {{0x029000b7,0x12ca00ac,0x62920016,0x526e0059}},	//   _pudak_, _mladu_, _hepato_, _attore_, 
   {{0xd3ce027f,0x5f2d00f5,0xeb930092,0x84e1002b}},	//   _akavi_, _anadolyn, _地域を絞り込む_, _হুদাই_, 
   {{0x2290048c,0x82c602c0,0x0ad102eb,0x00000000}},	//   _ardan_, _sódio_, _zentroet, --, 
   {{0xc6010418,0xeb61013d,0x97f2019b,0x127e0039}},	//   _beklenti, _malliber, _дэпутата, _inongo_, 
   {{0x7248033b,0xe0d50299,0xec7c0306,0xba800109}},	//   _diema_, _җурнили_, _choseon_, _trenérsk, 
   {{0x511204e5,0x98d203c2,0x5b620017,0x893f0204}},	//   _abakatul, _accretiv, _नखाने_, _dramaatt, 
   {{0xb37f0343,0x02fc04da,0x6f0f01ec,0x225b04b9}},	//   _vedanta_, _svoga_, _sastrawa, _cycled_, 
   {{0x628d0268,0x0641014e,0xb2900076,0xd8a40040}},	//   _atusstay_, _старе_, _pular_, _ההתנהלות_, 
   {{0x83ea013d,0xd9860326,0xcea6015e,0x63360059}},	//   _monto_, _andiseka_, _claustre_, _централа_, 
   {{0x36560322,0x2b0000bb,0x5103000d,0xcd1b02af}},	//   _abanyamw, _میڈالس_, _isikutel, _ihengere_, 
   {{0x5b7d00de,0x9bc0033e,0xf2cb0695,0x58c700d1}},	//   _الافغاني_, _asukapyr, _boyda_, _অন্যটো_, 
   {{0x8b0a034e,0x8b5b02c8,0x0c51033e,0xe510028a}},	//   _chapuspa_, _castrexa_, _jeitypa_, _makutano_, 
   {{0x5c5b000d,0xbb7a027b,0x45c704d8,0x9533006e}},	//   _justkui_, _संस्कारे, _falanqey, _ganaleel_, 
   {{0x63210116,0xce1803db,0xb3f9004a,0xcdb803f3}},	//   _betyy_, _engenama, _bozuga_, _hersteld_, 
   {{0xa29202ab,0xf6b90141,0xe4ce00ba,0x563f0395}},	//   _agwara_, _bolalari, _ئانراتدا_, _kameňák_, 
   {{0x720e00d7,0xd3f903db,0x373f004d,0xf3060178}},	// [d7e0] _самат_, _umculo_, _欠稅限制出境金額, _bāṣpa_, 
   {{0x42e50255,0xe52f03cc,0x435801c8,0xf3ea0183}},	//   _hinnaga_, _ইনশাল্লা, _rezervy_, _donto_, 
   {{0x524800e4,0xd87d0177,0xa2910067,0xce8c01e3}},	//   _ziemi_, _аоккәпац, _attam_, _prevleke_, 
   {{0x726e03bf,0x2416007b,0x6518005b,0xc43201df}},	//   _baroki_, _ingrowin_, _fderreoo_, _proposin_, 
   {{0xb22403eb,0x67730128,0x03de00dd,0x8f3f0318}},	//   _donker_, _голлар_, _dirwyo_, _tengetan, 
   {{0x1cb2036f,0x3a16023b,0x932000bc,0x215b0218}},	//   _sarajevu_, _hakahaka_, _salya_, _andomray_, 
   {{0x67930052,0x79d90264,0x52ca0054,0x80b40375}},	//   _विलासिनी_, _arnovica_, _aladu_, _chamadal, 
   {{0x91da0187,0xd2870455,0x4fba05ab,0x636502d4}},	//   _никотино, _allaitem, _colocado, _cantunam, 
   {{0xd063015e,0xb6920297,0x327e012c,0x33a00381}},	//   _тоголок_, _сынаулар_, _miongo_, _astytay_, 
   {{0xa2ca0494,0x550b037f,0x8d230510,0xbf710145}},	//   _vladu_, _mikayıl_, _волгой_, _kambarin, 
   {{0xa445016d,0x8e18014c,0x542c0193,0x24b50464}},	//   _ﭘﯩﺴﺨﯩﻚ_, _angenama, _बिरबल_, _biyandik, 
   {{0x13ea013d,0xaae101df,0x577a0122,0x568900ec}},	//   _fonto_, _criticee, _بااستفاد, _persikėl, 
   {{0x22f00257,0xb34500af,0x5a1603ac,0x52920160}},	//   _lögin_, _hindret_, _wakakaka_, _dosadi_, 
   {{0x509300be,0x1340013c,0x7d990403,0xe2870362}},	//   _بايسەركە_, _iradlar_, _nosokafa, _bokangem, 
   {{0xb8a90094,0xd3780082,0x9f5c00e5,0x03a303ae}},	//   _بارلىعىد, _mukamin_, _basquete_, _teppe_, 
   {{0x42c202fb,0xade600a6,0xca1001a6,0xfa1001a6}},	//   _emalava_, _زخمیان_, _hakaraia_, _hakarame, 
   {{0x32900013,0x2cfe02c1,0x6f490160,0x76bb0019}},	// [d7f0] _qulay_, _kwitabir, _glasanje_, _айланабы, 
   {{0xf48a004d,0x6e9e049e,0x00000000,0x00000000}},	//   _並貼到您的部落格, _skúma_, --, --, 
   {{0x7380026c,0xc2920058,0xf3fe0205,0x587d00cd}},	//   _mauris_, _kosadi_, _sportini_, _absolvì_, 
   {{0x12c2005b,0x949e0169,0x42ca0131,0x720001d4}},	//   _adelina_, _সংখ্যার_, _doado_, _aggiu_, 
   {{0xfed3002f,0x96220158,0x937b0009,0x33640311}},	//   _génesis_, _kupowani, _stranko_, _ወከልቶም_, 
   {{0xf95e0352,0xc1ae0291,0x0af30148,0x00000000}},	//   _বিবেকানন, _ممثلي_, _constite, --, 
   {{0xb37a061f,0x7c5c007b,0x16440087,0x66f3050a}},	//   _rubrikam, _eastren_, _minkitsi, _statüsün, 
   {{0x93a30197,0xd2fc0107,0xde3b036c,0x1b0b0061}},	//   _agapè_, _ewiges_, _ampamara, _듀얼게이트_, 
   {{0xf3ea0092,0x51b3023c,0x1e4c0020,0xb29000a2}},	//   _sentai_, _قاهرې_, _manatuna, _kikazi_, 
   {{0x25ba032d,0x2d9d02c3,0x00e1006c,0x22ca04a7}},	//   _башгидро, _povedzme_, _asinacal, _boado_, 
   {{0xda8a0307,0x21550092,0x00000000,0x00000000}},	//   _abanemib, _をご覧下さい_, --, --, 
   {{0x220e0046,0x8c900029,0x93f20303,0x47100465}},	//   _марал_, _قاهیره_, _berekang_, _farmacev, 
   {{0xd34b03c3,0x542100e6,0x72000020,0x05dd0153}},	//   _nečistoć, _发展成果由人民共, _taoia_, _としています_, 
   {{0xd2ca0027,0x20a600ff,0xdb7800f2,0x69e70375}},	//   _klads_, _עבֿודת_, _florbola_, _kukodola_, 
   {{0xb3510047,0xfc760255,0x57e40091,0x983d0037}},	//   _其版权属于商务部, _फिल्मन_, _pulammiv, _ትቀጥላለች_, 
   {{0x1327034c,0x5b9e02aa,0x75900040,0xf26c01b2}},	//   _alekseev_, _antikonc, _ומהווה_, _aslope_, 
  
   {{0xc24901e5,0xe28d0258,0x9a10025e,0x6f260291}},	// [d800] _anumo_, _stekken_, _bakarame, _وبانتظار_, 
   {{0xefcd0359,0x9a480199,0x7c6e0225,0x8477017c}},	//   _desimber_, _freeship_, _bwerara_, _bostaden_, 
   {{0xd9ba0192,0xca170069,0x82910227,0x9da80368}},	//   _뮤직비디오_, _impanuka_, _dicari_, _polovnia, 
   {{0x020004c8,0x19df025f,0x81f800d6,0x8ad40008}},	//   _żmien_, _afilíka_, _مقالب_, _بىرەنەنى, 
   {{0xcd860342,0x426c01d9,0xc2d70310,0x629102ce}},	//   _enterese_, _geloos_, _chataibh_, _kutan_, 
   {{0xc6a5003d,0xb2a7030b,0x529101e5,0x78450088}},	//   _coregraf, _alabye_, _jutan_, _imputats_, 
   {{0xae760479,0xf10601f9,0xb28d00cb,0x731602fc}},	//   _مطالبات_, _bakhonil, _adukisa_, _amababi_, 
   {{0xa7b70176,0x119b01f2,0x03950101,0xafbb0071}},	//   _callback_, _خەتتاتلى, _orasul_, _فرستاد_, 
   {{0x1afa023e,0x9d8401f0,0x02a70620,0x7059005b}},	//   _anjurake, _entenete_, _crebro_, _ferskvan, 
   {{0x02910245,0x213f0074,0xbaf70151,0xb32001c5}},	//   _artad_, _menettel, _aftermos, _galyo_, 
   {{0x13460116,0xf8ca027e,0x811603d1,0x90ed031e}},	//   _maidens_, _izdržava, _deklarēš, _proizvol, 
   {{0x32910308,0xa3ea0488,0xad880022,0xdd8401f0}},	//   _hutan_, _konts_, _фаворитт, _intenete_, 
   {{0x82910341,0xb2eb0249,0x8905030d,0xc2870251}},	//   _ticari_, _jenisim_, _aslanovd, _allifey_, 
   {{0xb46a0042,0x0e1b0062,0xb35600ef,0x00000000}},	//   _perfeito_, _jingorta, _مرحلی_, --, 
   {{0x044c0365,0x720202f7,0x00000000,0x00000000}},	//   _manažeři_, _busiwa_, --, --, 
   {{0xf59100a7,0xa5c700b3,0x1193016a,0x536400d1}},	//   _العانىڭ_, _букулмак, _באוקא_, _অনাখৰী_, 
   {{0x5d700475,0xfe170021,0xb2920203,0x791002e7}},	// [d810] _северном_, _angesfla, _rosali_, _makapamu, 
   {{0x03fa0119,0x936c01f0,0xd2ba0255,0x03e0019b}},	//   _poruba_, _bakgadi_, _päevik_, _ідэнтыфі, 
   {{0x02ea0203,0xe1ca010d,0xa5030172,0x62a80037}},	//   _penibil_, _dikonsum, _scottfoo_, _ከኦሪጂናሉ_, 
   {{0x7e7101b7,0x39c4018b,0x6126035b,0xce460390}},	//   _कुत्र_, _incercat, _pravnomo, _atillanı, 
   {{0xe89300be,0x325b03f0,0x036b022b,0x3c7d0255}},	//   _ازىيات_, _smella_, _hergeir_, _kutsuda_, 
   {{0x03a3047b,0xe6280156,0x70e503a2,0x64a90627}},	//   _heppa_, _געועון_, _कारीगर_, _ispisyal_, 
   {{0x8d8f0205,0xa38203cd,0x26e20019,0xedc1054c}},	//   _امیتا_, _आप्रवासी_, _теоретиг, _raskeste_, 
   {{0x43050100,0xac6203b1,0x2a7c009b,0x2c610097}},	//   _ostalom_, _écrire_, _ostatuta_, _nperare_, 
   {{0x1eeb0005,0xa023003a,0xd28504ad,0xf0cc02fe}},	//   _cathomas_, _сочишди_, _dithoto_, _bazondel, 
   {{0x9d9c0094,0x43c80432,0x3248029b,0x73780054}},	//   _ايتلعان_, _derved_, _diemm_, _aukacin_, 
   {{0x2a8b028d,0x93ea0122,0x027005a8,0xb37f0333}},	//   _desizion_, _kontr_, _efongoli_, _addatta_, 
   {{0x3b6900ca,0x93ea0528,0x324901df,0x62970234}},	//   _montanha_, _innte_, _blamin_, _idakomu_, 
   {{0x974c00c5,0xd85101d1,0x96f60039,0xa6320166}},	//   _治国平天下_, _energies_, _навчит_, _modifizi, 
   {{0xae72036b,0x7a2200b4,0x7c770191,0xef8b0061}},	//   _фонтани_, _периколу, _promenad_, _리플포인트_, 
   {{0x3c6100b4,0x72ef026a,0x9cf202ac,0x83c805b9}},	//   _operare_, _manidia_, _ساهمت_, _herved_, 
   {{0x6cde0046,0x69da01e8,0xe29103ad,0x0290000e}},	//   _каналдын_, _alingasa_, _artab_, _likani_, 
   {{0xcfcf0397,0xe540020f,0x35bd0125,0x5d28033a}},	// [d820] _abangibo, _خلکوسره_, _berkitmä, _ivvintat_, 
   {{0xc1770052,0x8d6b03ee,0xb8ca03d8,0x113b022c}},	//   _zavazadl, _primajte_, _uzdržava, _belenyeh_, 
   {{0x964f0087,0xd2910191,0xb0960139,0x42eb034b}},	//   _anakanyi, _rutan_, _amoghāya_, _senisim_, 
   {{0x13ea0055,0xc2900269,0x2f6700c5,0x30a7020f}},	//   _contr_, _dudas_, _corrigé_, _داشعارو_, 
   {{0x71860281,0x520200dc,0x6b6103a4,0x00ba01a3}},	//   _tikaagul, _ausiva_, _kallsber, _لڙايون_, 
   {{0x496d000a,0xa27700f6,0x92520395,0xdb020067}},	//   _assingat, _birimizi_, _okrajové_, _gurrache, 
   {{0xe226008d,0x42e80032,0xeed00235,0x2a400137}},	//   _turkum_, _biyinqa_, _अभीक्ष्ण, _мөдхөн_, 
   {{0xc2fa0082,0x0987004d,0x3dc301aa,0x73400452}},	//   _shahara_, _安裝播放器後_, _arliecha, _चिमूट_, 
   {{0xe2010059,0x0d2a0177,0x122a00b3,0xd3eb017f}},	//   _uscita_, _арглараз, _долап_, _alataq_, 
   {{0x562701bb,0xc0c202da,0xecda0665,0x36f704e5}},	//   _komiteti, _escritór, _glavspir, _babbaabw, 
   {{0x4290009e,0xb37c0073,0x3379012c,0x694901bd}},	//   _mudar_, _natante_, _faragha_, _заманымы, 
   {{0xae9f0102,0x754400f3,0xe3ea01da,0xaaea03d6}},	//   _utamadun, _abayinik, _tentoi_, _सर्वोदय_, 
   {{0xd3ea03f7,0x32ca0680,0x449900e5,0x8cd402ac}},	//   _lofti_, _nnade_, _половите_, _وضيافة_, 
   {{0x3e1a02fa,0xbaee0128,0x550b020f,0xa13200e6}},	//   _abafilip, _банклари_, _دداخلولا, _十堰市有机茶开发, 
   {{0xfb5d0211,0xb717005e,0x62920083,0xea060274}},	//   _хранение_, _خاككىرلى, _visavi_, _aflahlut, 
   {{0x39c80253,0x054102ca,0x1ea40060,0xd2440366}},	//   _kommunia_, _بلغاريا_, _سورىپ_, _рейкьяви, 
   {{0x4668004c,0xb9c80212,0x6cbe018b,0xa290019d}},	// [d830] _abakakaf, _communia_, _dezastru_, _fikani_, 
   {{0xcfc60003,0x7c610231,0x5237019b,0xec8300bf}},	//   _openbaar_, _sperare_, _primena_, _монголо_, 
   {{0x7eac009f,0x6f750149,0xec060010,0x73ea0176}},	//   _dovoljen, _azịza_, _emathras, _gentei_, 
   {{0x2ff700c4,0x3c1d044a,0x5f640211,0x3d7a002b}},	//   _ڪارساز_, _batungis, _старинны, _মালিকরা_, 
   {{0xc6270433,0xceea0361,0xb30c0049,0x00000000}},	//   _cotingui, _биологил, _taparuu_, --, 
   {{0x6201036a,0x9224036e,0x355901a3,0xb2ec0305}},	//   _bucina_, _achkan_, _اوڻاين_, _skrivne_, 
   {{0x72010246,0x9dc003d5,0xdb26004b,0xec7c0077}},	//   _cucina_, _ambidext_, _адзор_, _lenstan_, 
   {{0xa3550367,0x6a7b0585,0x127802ba,0xd378025b}},	//   _cabelos_, _novosads, _abagijim, _finalan_, 
   {{0x52900135,0x93040139,0xa25c0568,0x981900a7}},	//   _oslan_, _ambaram_, _pilegrim, _توقسون_, 
   {{0xdd940212,0xaf7e00c5,0x52390125,0x3c65033e}},	//   _gamefest_, _中国经济网_, _болуң_, _avatiku_, 
   {{0x947e0256,0x6526027c,0xbcad00cb,0x00000000}},	//   _maskavā_, _andinguy, _бактигул_, --, 
   {{0xd20202f0,0x0b1b014a,0xfc3f0153,0x81d30077}},	//   _kusita_, _maradjon_, _ショップ名_, _meliaceæ_, 
   {{0x925b03b0,0x11b902eb,0x414a018d,0xbda801ac}},	//   _midlar_, _германд_, _ብስንባደ_, _chriosta, 
   {{0xf3bb00bc,0x7ea50192,0x23ea018f,0x1731034f}},	//   _استان_, _권리침해신고센터_, _chotlu_, _مارکيټ_, 
   {{0x545e018d,0x08450026,0x44730275,0x029204ec}},	//   _ክገብረሎም_, _destijds_, _malelemo_, _insazi_, 
   {{0xb3b800d1,0x82900242,0x32ef0202,0x5292041c}},	//   _halvdau_, _budaq_, _jijinna_, _gisati_, 
   {{0xaff7006c,0x263a0061,0xa29101e8,0xb387021e}},	// [d840] _akuyikun, _교육과학기술부_, _kutab_, _fodret_, 
   {{0x56980057,0x89e1024e,0x4f220461,0xa26c0122}},	//   _disebali, _izvorima_, _budapèst_, _debog_, 
   {{0xe9b801d4,0x11da00f5,0x127d0207,0x00000000}},	//   _credenza_, _ulaglary_, _هيرآباد_, --, 
   {{0x12e4001c,0x82a40235,0x00000000,0x00000000}},	//   _casualty_, _badhvā_, --, --, 
   {{0xee55019f,0x7ae3016d,0x72f70442,0x62900084}},	//   _دوستن_, _مەشئەل_, _kabilah_, _dikali_, 
   {{0xb3ea023d,0x3c430291,0x6b50032d,0x7ed901c2}},	//   _fonti_, _يحفظهم_, _khutsisa_, _casiñas_, 
   {{0xa2800179,0x820000cf,0xf50f01ca,0x77e100ec}},	//   _dinamafi_, _finishii_, _mupongch, _terminą_, 
   {{0x97150040,0xf182006f,0x4a77027b,0x19840256}},	//   _דוכני_, _صنعتڪارن_, _तरिभिर_, _juniorie, 
   {{0x0265003b,0xb5b001db,0x06440178,0x00000000}},	//   _encoleni_, _قسىلعانس, _divisthi, --, 
   {{0x2bec0534,0xe3ea00c1,0x2dbc03d5,0x23c80076}},	//   _superthr, _kaltim_, _anchorra, _модулите_, 
   {{0x83ea0220,0x4c6a0154,0xb57c0037,0xd7860059}},	//   _conti_, _штерсе_, _የምንኩስና_, _risvegli, 
   {{0x90f103a2,0x7f3102a0,0xd19e020a,0x3c550251}},	//   _डीएवी_, _itiranya, _زەلانديا, _dartood_, 
   {{0x42a702ba,0x3631043a,0x1e1a03c1,0x3af7027c}},	//   _казоват_, _pavalemü, _босански_, _babulale, 
   {{0x62370247,0xedd200ba,0x62d60260,0x02900176}},	//   _krajan_, _ئیمێله_, _abellas_, _mikami_, 
   {{0xf24801d4,0xc22c03ed,0x8593006c,0x00000000}},	//   _dammi_, _câmara_, _akasamuk, --, 
   {{0xd29002f6,0x83650109,0x0c7c0281,0xd4c402a9}},	//   _kulay_, _तेसैले_, _asasama_, _бежмаван, 
   {{0x5e1b00ad,0x3e7400e6,0x7d820156,0x5fa50269}},	// [d850] _blogcata, _一级抓一级_, _פֿויגל_, _malvinas_, 
   {{0xb373049e,0xa26c02c2,0x746f003c,0xe2ca0141}},	//   _zadajte_, _gebod_, _bintangj, _inida_, 
   {{0xbe9101b6,0xb2bf01d5,0xe2490067,0x95a6002b}},	//   _district_, _جمڑاؤ_, _anuma_, _ওয়ালটন_, 
   {{0x36be012a,0xe21c00a1,0x00000000,0x00000000}},	//   _informuj_, _uruhau_, --, --, 
   {{0x929002f6,0x037a0288,0x572a015c,0xd6a2017a}},	//   _gulay_, _omwayon_, _respekté, _abathuth, 
   {{0x89d80320,0x1ebd03db,0x93ea01d4,0x9d70006d}},	//   _funghiwe, _esangwen, _tonti_, _абышоў_, 
   {{0x929201d7,0x72560109,0x99640012,0xfcf10492}},	//   _savair_, _दसैंमा_, _झनझनाए_, _hardwaru_, 
   {{0xf4720024,0x12d401c8,0x429002f6,0xaaba02d5}},	//   _বিচাৰিবল, _poklesu_, _bulay_, _पागलपने_, 
   {{0x92a6049a,0x42ea0244,0x9a1c0061,0xc2ca0290}},	//   _daljini_, _ufficio_, _메일보내기_, _gnida_, 
   {{0xc355013f,0xfa060060,0x12910281,0x537d005b}},	//   _niverus_, _تۇتقىن_, _attat_, _diorhomm, 
   {{0x2f2b02a4,0x7a57019b,0x7d2e0322,0x9372004d}},	//   _gettyima, _залескі_, _afunguye_, _臺東縣政府_, 
   {{0x4d1b0184,0xde25023d,0x1aed015e,0xd4cb01b7}},	//   _ahengere_, _conferma, _visualit, _घुषिर्_, 
   {{0x503a00e3,0x020001a7,0x00000000,0x00000000}},	//   _estenzjo, _lukija_, --, --, 
   {{0x1c7e0069,0xe7b40021,0x12000117,0x4b98016a}},	//   _amasoko_, _adhering, _naoia_, _akcipitr, 
   {{0x43ea005b,0x729a0008,0x62140307,0x12900343}},	//   _bontv_, _аттырып_, _linyukil, _lslam_, 
   {{0xf3560479,0x62d801c4,0xe2d802b0,0xbc77055f}},	//   _برسلز_, _geneig_, _jameda_, _depremi_, 
   {{0x321b01a0,0xf2480211,0xa2d8035b,0xcdf100e7}},	// [d860] _minkarhi_, _tammi_, _samega_, _aradisep, 
   {{0x9c66029a,0x366e0170,0x00000000,0x00000000}},	//   _santans_, _kuchigaw, --, --, 
   {{0x252b00e7,0x9c5a00ff,0x737300b2,0x828302c5}},	//   _ampionch, _kritiki_, _galamee_, _dzikama_, 
   {{0x795700ce,0xdea10344,0x2c630109,0xf275033a}},	//   _konsider_, _artugaat_, _मागअनुसा, _inkludew_, 
   {{0xf2240393,0xc26c02ab,0x06f600da,0xcea90022}},	//   _čekam_, _heboe_, _сентинцэ_, _башлауҙа, 
   {{0x1f2b038b,0xe310002f,0x34ce0119,0xd158021b}},	//   _selebihn, _bascope_, _doncillo_, _поступки_, 
   {{0x1b6a03dc,0xb2d800e3,0x12c8021e,0x22ee0067}},	//   _veruliga_, _hniena_, _berodde_, _gannafi_, 
   {{0x92910133,0x02910140,0x841b01c6,0x7c5003a2}},	//   _kutaa_, _magawa_, _technysk, _खरोंच_, 
   {{0x563103ba,0x02910456,0x0e6200c7,0x326d02e2}},	//   _ebonarai, _attas_, _акуланың_, _aigoil_, 
   {{0x8b300204,0x0da500db,0x5ea5021b,0xff6c05ab}},	//   _целом_, _sattunud_, _sattunut_, _estantes_, 
   {{0x424803dc,0x4093003a,0xfda30044,0x1b910392}},	//   _mammu_, _футболчи_, _improved_, _banntrac, 
   {{0x0999002e,0xa2c502bf,0xed530148,0x53870359}},	//   _svakodne, _abelane_, _您當前的位置_, _starum_, 
   {{0x43f40108,0xde520392,0x29fb007e,0x72a602be}},	//   _leutik_, _combaist_, _asmanmat, _balbon_, 
   {{0x7ea700c5,0xe291005b,0x0ed5031a,0x2c230142}},	//   _掘进工作面_, _kagawa_, _argyllga, _योगेश्वर, 
   {{0x43ea0055,0xf2450111,0x04ed00d1,0x63800064}},	//   _contu_, _rifletti_, _দৰগাহ_, _retrat_, 
   {{0xef79009a,0xe313019b,0x9ecf0074,0x22cb013c}},	//   _akucacan, _развіццё_, _auringon, _toyda_, 
   {{0x5c1d01f7,0xd6030368,0x096e031c,0x4fa803fb}},	// [d870] _adoptat_, _мотивом_, _pronósti, _izdavač_, 
   {{0x4ae605b8,0x3c5a00a1,0x9594023e,0x78670620}},	//   _auktione, _arataki_, _akhitofè, _沙特阿拉伯_, 
   {{0x32480184,0x12910140,0x5ed40049,0x21660156}},	//   _ahema_, _nagawa_, _kemipain, _טואַף_, 
   {{0xe201016d,0x2128015e,0x4b470128,0x84f80121}},	//   _обамани_, _promoció_, _قارلاوچی, _difusión_, 
   {{0xf3eb04d3,0x213802aa,0x63fa03cf,0x1f6a00c5}},	//   _sixtus_, _anglický_, _koruma_, _返回上一页_, 
   {{0x529103ba,0xa2030126,0x4f2307a1,0xdc0f018b}},	//   _bagawa_, _процедур_, _mijenjan, _dispune_, 
   {{0x9013009a,0x4cf201a3,0x00000000,0x00000000}},	//   _akuvaman, _فاطمھ_, --, --, 
   {{0x4dce0532,0x915c0159,0x8291019b,0x535f00ee}},	//   _inženjer, _rankinės_, _butai_, _mesedez_, 
   {{0xcc6f031a,0x538000b6,0x0260024c,0xa040024e}},	//   _aifrinn_, _barrih_, _arbuxxel, _iskušenj, 
   {{0x53ea006e,0x6ccc0061,0x2bb40038,0x7cab0285}},	//   _tontu_, _한국신용평가정보_, _cıyğan_, _banyemar, 
   {{0xe3a301dd,0xa29102a2,0x57b70320,0x3c8c0168}},	//   _abapfu_, _gagawa_, _malulami, _mestring_, 
   {{0xbf3903d7,0xbe32002b,0x14510022,0xb2880318}},	//   _okontrer_, _কাউয়া_, _һикһән_, _makasini_, 
   {{0xf2940362,0xf2b30097,0xb0dd03ce,0x43a201f9}},	//   _asakoli_, _atijọ_, _فیکره_, _delpen_, 
   {{0xa2dd014e,0xe2480030,0x00000000,0x00000000}},	//   _краха_, _gammu_, --, --, 
   {{0x40cf000c,0x942c0039,0xfe1a02ee,0x88c50376}},	//   _америкат, _агсны_, _essenzja, _doktarag, 
   {{0xf29201ec,0x635e0140,0xf3f9020d,0x20b0027b}},	//   _separo_, _lingkod_, _ribuza_, _सुमुखः_, 
   {{0xe65c01c1,0x0ae700f8,0x3af10156,0x00000000}},	// [d880] _rakyatny, _বাকারা_, _dekonojn_, --, 
   {{0x93a20003,0x483e0235,0xc6f70167,0x0e4f0089}},	//   _helpen_, _avairāgy, _carcharw, _borsolou_, 
   {{0x724801b9,0x8a730066,0xb292048f,0x9c150479}},	//   _enimen_, _salaketa_, _bosali_, _érrendsz, 
   {{0xd502035e,0x762301b3,0xb294040f,0x00000000}},	//   _emotivno_, _частинах_, _бесперап, --, 
   {{0xd5c60016,0xf7f90037,0x79f001a0,0xf40e0035}},	//   _kampanjo_, _ያጋጠመው_, _kingline, _волостьк, 
   {{0x3af00518,0xf3f90430,0x1a9d01a7,0xbaca0093}},	//   _ریاستی_, _buguni_, _vahingos, _тракторо, 
   {{0xf3eb00bc,0xba850320,0xe3730230,0x09e203b8}},	//   _ngetik_, _bringman_, _kumanse_, _راشيد_, 
   {{0x584a00b7,0x92000119,0x52c70230,0x39c1005d}},	//   _актуал_, _magin_, _explike_, _atukupép, 
   {{0x81260276,0xca05017f,0x5a780344,0x820000d0}},	//   _رايوننى_, _anpartit, _aperisoq_, _lagin_, 
   {{0x5d080169,0x63800120,0x8eca01ad,0x5910002b}},	//   _দেখিয়ে_, _carray_, _franches_, _বহুবার_, 
   {{0x22c30274,0x69100024,0x34f70205,0xa28801a6}},	//   _stelpan_, _বহুবাৰ_, _ўралган_, _makarini_, 
   {{0x26cc03cf,0x9c8700be,0x235e01e8,0x8f69027b}},	//   _postası_, _сабырдуу, _hingkod_, _त्वङ्मां, 
   {{0x397e03cf,0x734e0037,0x5051082c,0xb9aa0311}},	//   _kelimele, _የእናቶችና_, _истори_, _ዝተኣልመ_, 
   {{0xfad702ca,0x32f30162,0xd9540025,0x43210116}},	//   _laethant, _алтун_, _क्षेत्रे, _navycs_, 
   {{0xbbb003d0,0x64e500ec,0x2fa0007f,0x6be70120}},	//   _الدلفي_, _клубня_, _neilltuo, _esseroor, 
   {{0x4fef0057,0x020003a4,0xf47a035b,0xa9db0707}},	//   _መስተንግዶ_, _dagin_, _sestavlj, _akongera_, 
   {{0x8c5b0055,0x43eb02c6,0xcafd0076,0xfeb80377}},	// [d890] _pittori_, _denoniez, _припадна_, _excursie_, 
   {{0x6c670331,0xe86d046a,0xf32402f0,0x08b90092}},	//   _sostatt_, _passadas_, _akaceli_, _ワクワクメ_, 
   {{0xa2000119,0xfe6b027b,0x576f00be,0xfc1a015e}},	//   _nagin_, _akliṣṭām, _جەڭىلگەن_, _زارلانبا, 
   {{0xb9c10130,0xb793010d,0xa98600f8,0x00000000}},	//   _studiade, _विकासाची_, _যৌনকর্মী, --, 
   {{0x047a04bb,0x4200015e,0xcec30167,0xad4a018f}},	//   _pontmain_, _hagin_, _carnhuan, _lumaghlu_, 
   {{0x22d90186,0xf3f90520,0x6f2d022c,0xd4230480}},	//   _kufeli_, _águas_, _ayatroha, _ejikelez, 
   {{0xd9e203b3,0x22d703d0,0x11630220,0x968e018d}},	//   _arrivava_, _prvotno_, _попитам_, _መራኸቢታት_, 
   {{0x2b7e021f,0xe291005b,0xcad2025e,0x8bb6055f}},	//   _amarikaa_, _nagata_, _baldurss, _faturası_, 
   {{0xa2000373,0x87c8019b,0x23810078,0x142303db}},	//   _magio_, _vaistini, _страдали_, _ijikelez, 
   {{0xba110132,0x4b2006d8,0x3003034f,0x82900338}},	//   _garancia_, _प्रकारका_, _اندړو_, _akkad_, 
   {{0x337b0109,0xbd8a05d5,0x568a0229,0x4106005b}},	//   _skladem_, _academie_, _sloveniy, _maskinbl, 
   {{0x16c70410,0x03800033,0x230800b6,0x805200d6}},	//   _borapedi, _emprim_, _assamaq_, _tearmain, 
   {{0x32ad02ee,0x20250128,0x825b0224,0x00000000}},	//   _strateġi, _алкогол_, _alelda_, --, 
   {{0x5b6b0226,0x01da0333,0xf38600c5,0xb4690244}},	//   _kilomber, _avvicinò_, _accro_, _корицата_, 
   {{0x8ff80026,0xa348021f,0xdb730562,0x32850451}},	//   _클린중개업소_, _amnetti_, _biyonkor, _dithuto_, 
   {{0x635f03ab,0x22000008,0x53f90240,0x00000000}},	//   _recepty_, _vagin_, _dibuna_, --, 
   {{0xc2c405d1,0xd2fd02a9,0x92b300f2,0x12000167}},	// [d8a0] _firmaet_, _akcijos_, _labdien_, _dagio_, 
   {{0x942300a6,0x1b330456,0xc95a020f,0x3b87024c}},	//   _ajikelez, _pancutan_, _asinakwe, _illitter, 
   {{0xe44701ef,0xac5d01ef,0x212500b4,0xa2240242}},	//   _pristatė_, _pastato_, _competiţ, _belke_, 
   {{0xf6b703b2,0x8dc5008c,0x2c66019e,0x00000000}},	//   _trueknow, _caviglia, _брусель_, --, 
   {{0xe22400f0,0xae9b00ff,0xe2370212,0x9abd00bc}},	//   _velke_, _עקסקלוסי, _commoda_, _کیندل_, 
   {{0xf2240481,0x52880135,0x37830142,0xc13e0361}},	//   _welke_, _sostavın, _तिरस्कृत, _лангедок_, 
   {{0xbb1602fb,0x4ae4002b,0x775e0311,0xd26101cd}},	//   _amipasit, _আমদানী_, _ብብልሽውና_, _anqunyel, 
   {{0xd47a0058,0xe1060122,0x17bd0244,0x938700e4}},	//   _bonthain_, _بالعکس_, _изгодни_, _starym_, 
   {{0xcc07006e,0x628801c7,0x164301f9,0x00000000}},	//   _barsaqu_, _birsyhly_, _itakwati, --, 
   {{0x8aad0278,0x004d0199,0x76790074,0x8e9c0478}},	//   _berkesan_, _langtuco, _регионе_, _mostrant_, 
   {{0x93fa0453,0x329102d9,0x5a170414,0x92380340}},	//   _poruka_, _autau_, _basalaka_, _huamoni_, 
   {{0x92d8015d,0x5b0900f5,0xec7500d3,0x575800c7}},	//   _kamery_, _сайламаг, _मुद्धा_, _арттыраб, 
   {{0x06c80292,0x0f730361,0xe6b702a2,0x188202b6}},	//   _bengalif, _дезинфиц, _kalahati, _тояттау_, 
   {{0x529103cf,0xaaad01c1,0xdf1e038b,0x3ac101e0}},	//   _ortak_, _terkesan_, _sendirin, _فۆلده_, 
   {{0x09d6012a,0x0dce00c7,0x69530019,0x37e50109}},	//   _आरोपों_, _динен_, _депутатп, _टिसर्ट_, 
   {{0x13720256,0xb3ea018b,0x01df0128,0x07a7001a}},	//   _nevajag_, _minte_, _شومقصد_, _دفترِ_, 
   {{0x70ab006d,0x3aa9015e,0xb37b010e,0x59e0005b}},	// [d8b0] _атамана_, _денеде_, _agraryo_, _fujikawa_, 
   {{0x92480145,0x3ffb02c0,0x045e002e,0x2979019d}},	//   _tiems_, _ставате_, _slušaju_, _cheniche, 
   {{0xd9480046,0x7d82012c,0x913f00f0,0x177201b3}},	//   _vermelle, _پهچون_, _slangový_, _аграрних_, 
   {{0xf3e50375,0x426d000e,0x1089006d,0x6558010d}},	//   _amamsank, _gacond_, _астранаў, _purwanto_, 
   {{0xb2ff03f0,0x1049003e,0xd2000176,0x82d805e6}},	//   _skrifar_, _chorisan, _dokiko_, _asbes_, 
   {{0xd9bf019d,0xf2a60144,0x775400c7,0x61da01ca}},	//   _achechet, _halban_, _magnitog, _kliflash_, 
   {{0x5fc601fb,0x96fe0109,0xb3f9011b,0xe2e80156}},	//   _avantiar_, _posuzová, _libula_, _arkivon_, 
   {{0x23ea01f1,0xbc7e04cf,0x125b00bc,0x0a700305}},	//   _dinte_, _amasiko_, _ngalah_, _innlands, 
   {{0x62250387,0x6b580096,0x13420545,0xb00900be}},	//   _amabeghị_, _abitwaza_, _molekyl_, _داقىيقاد, 
   {{0x299902b9,0xd2d40017,0xd9f802af,0xe2d800cd}},	//   _مراقبہ_, _doklubu_, _kirabate, _camonas_, 
   {{0x00c8016d,0x86e701d8,0xddbc002f,0x6dd50099}},	//   _چىڭگىزخا, _marconci, _allipana, _aibhadha, 
   {{0x59fd0222,0x53f9006e,0x9ab0042c,0x427e0235}},	//   _interméd, _dugubi_, _pravovre, _bhonto_, 
   {{0xd2020252,0xa2ee065f,0xffe90053,0x040000af}},	//   _atsina_, _štimac_, _पुराणिक_, _весни_, 
   {{0x4c6000a4,0xecd30022,0xe378021a,0xcf35005b}},	//   _mestres_, _инвестка, _canadan_, _bousiusa, 
   {{0x152b02ea,0xf1df0060,0xc0590152,0xb77d029d}},	//   _достовер, _көрсе_, _aktivrak_, _презинтэ_, 
   {{0x36d10772,0xd46c0349,0x171201ce,0x120202d5}},	//   _ngebhayi, _undersiz, _خبرآنلای, _otsida_, 
   {{0xac630334,0xe13803ab,0xe592015d,0x526c04d7}},	// [d8c0] _matumbo_, _anglické_, _rewelacy, _alboa_, 
   {{0x924800cf,0x4b9900c1,0x7f6b06d9,0x4c0901d7}},	//   _nammi_, _चिमुटभर_, _agrarios_, _propcha_, 
   {{0x1fed018d,0x57f000e6,0xb348019d,0x22d8007e}},	//   _ተስፉሁነይ_, _民族宗教局_, _govereh_, _damena_, 
   {{0xd3f900cf,0x9d49009b,0x63fa0089,0x329101da}},	//   _ayyuub_, _сандарда, _batuı_, _lutaj_, 
   {{0xcd8f0274,0xb0e4002b,0x3c5c01d5,0xd75302a1}},	//   _unglinga, _অপসারণের_, _koktél_, _inenting, 
   {{0x58820205,0x6b73020e,0x77de0321,0xab9300f2}},	//   _портлаш_, _badumela_, _podatkov, _pretrunā_, 
   {{0x3bb70588,0x824801d4,0xd17d02c0,0x00000000}},	//   _urukundo_, _mammi_, _другарка_, --, 
   {{0x9eae0061,0x620f0320,0xb3440420,0x826a021b}},	//   _방글라데시_, _kishinam, _diverte_, _заворажи, 
   {{0x72e300ea,0xc6d30080,0x3ca4004d,0xfeb802fb}},	//   _mahomby_, _aalborgi, _年自來水產業調研, _kalolain, 
   {{0xd290005b,0x1e450488,0xd2ca000d,0xb83a00c1}},	//   _takagi_, _īslaicīg, _viide_, _घोरपडे_, 
   {{0x325500d1,0x727e0169,0x72f1014a,0x8290001e}},	//   _ভুক্তি_, _ইলিয়াস_, _afrikai_, _bakadi_, 
   {{0x60b101c8,0xd75c0322,0x5499022c,0x00000000}},	//   _kapitálo, _bakireng, _dikadark, --, 
   {{0x2a5c012b,0x63f90018,0xe3190145,0x553701cd}},	//   _kolekcja_, _duguci_, _савойска, _abhiyath, 
   {{0xd658023c,0xe6a00268,0x989a00b5,0xd2a60171}},	//   _abantakw, _abreastw, _angapýgu, _haljini_, 
   {{0x062801f0,0x939b0229,0x7ebd0220,0xe2490082}},	//   _badirisi, _kəsin_, _социални, _alamun_, 
   {{0x83f90707,0xf249041e,0x6a570222,0x59d50158}},	//   _incuro_, _piume_, _genève_, _wizerune, 
   {{0xf3f000de,0xdabe019b,0x00000000,0x00000000}},	// [d8d0] _banoxinz, _tapatybę_, --, --, 
   {{0x9bf80103,0x18670354,0xe38900c7,0x66760040}},	//   _kukwanis, _лингард_, _менгән_, _טיסנים_, 
   {{0x59f8027f,0xa60601db,0x1db80089,0x00000000}},	//   _biracate, _ультимед, _galiyaba, --, 
   {{0xef540259,0x8d460037,0x890400ba,0x059b01d2}},	//   _alegrias_, _ግብአቶች_, _مکوژێت_, _equivocá, 
   {{0xb2910158,0xe20001b6,0xc95400c5,0x93f802f7}},	//   _tutaj_, _magic_, _试用期一年_, _bajuda_, 
   {{0xa3f80122,0xa9ea0486,0x537902c8,0xec7c02d7}},	//   _trouy_, _मूर्तरूप_, _laracha_, _ábsida_, 
   {{0xb54e003a,0xa2330058,0xb35507ff,0xd887020a}},	//   _бизни_, _bandjerm, _sabemos_, _табанды_, 
   {{0x82d8014e,0x779c0061,0x51a60333,0x45b600e6}},	//   _zamena_, _의사소통이_, _amaestrà_, _公证在民事诉讼中, 
   {{0x92d803bf,0xca020210,0x9776023c,0xfe3700f7}},	//   _mamela_, _achabuda_, _نورټپيان_, _aklamita, 
   {{0x37a302ac,0x5602011a,0xbd83000d,0x00000000}},	//   _ومرحبا_, _nucleati, _tugevalt_, --, 
   {{0x3a1e0223,0x00000000,0x00000000,0x00000000}},	//   _гичий_, --, --, --, 
   {{0x038001f1,0xa2d80403,0xbb9a0220,0xa28c04e5}},	//   _letrat_, _namela_, _visitano_, _baakema_, 
   {{0x329001b4,0x59fa04ad,0x83ac03f5,0x32d90203}},	//   _beland_, _dirisana_, _corpos_, _unionar_, 
   {{0xe22405c1,0x468700db,0xb34902f8,0x00000000}},	//   _haikal_, _जानाउ_, _mateaki_, --, 
   {{0x8595019e,0x2fd305b5,0xa29e0290,0x00000000}},	//   _староств, _melancól, _brajada_, --, 
   {{0x73fe001a,0x9f5d0429,0xcf270088,0xf292006f}},	//   _amerikai_, _pelancon, _талашка_, _risasi_, 
   {{0x386c0420,0x96670059,0x15c0002b,0x67b70374}},	// [d8e0] _verifiqu, _маринов_, _বেডরুম_, _abdumali, 
   {{0x2f330117,0x829001c4,0xe24f025c,0x129103f8}},	//   _profeson, _geland_, _alltägli, _lutah_, 
   {{0xc202003a,0x489a0037,0xf8e301ef,0x73ea004f}},	//   _musiqa_, _ካሪኩለም_, _prisireg, _denthi_, 
   {{0x825b01d1,0x02f30145,0x320001fc,0xfc780040}},	//   _really_, _nezinau_, _enniiy_, _מגשימים_, 
   {{0xf3530071,0x16d90285,0x834300c8,0xdf28043a}},	//   _شهرام_, _inyamasw, _хупланды_, _lestänam, 
   {{0x111b0026,0x82d80388,0x9c0d033f,0xc291034b}},	//   _개인정보취급방침_, _chiesa_, _isipite_, _tutak_, 
   {{0x8d8f0274,0x63f40017,0xbe370433,0xed9104dc}},	//   _siglinga, _soutok_, _mahahata, _کۆسته_, 
   {{0xcdb4037c,0xd789008d,0xfb110036,0xc2780334}},	//   _mediapip, _ватаними, _básanna_, _ganizani_, 
   {{0x9b0604f9,0x598302c4,0x1bf30320,0x07ff0040}},	//   _tassunga_, _дебелина, _griesbac, _שמשדר_, 
   {{0x13730286,0x7f390456,0xfd1e006e,0x1919007e}},	//   _kumaase_, _kemungka, _cànkute_, _सिंहस्य_, 
   {{0x997e00af,0x4c90003e,0x9ae602e2,0x44b80276}},	//   _повернул, _bakuding_, _barrante, _обзорини_, 
   {{0xfd0d0126,0xdd9f0264,0x62f204bf,0x456303fc}},	//   _популяри, _weinstra, _zivotinj, _fellesrå, 
   {{0x486a023c,0x996a0749,0xcc60003d,0xc3b0033e}},	//   _abanezid, _abanezit, _vestits_, _aravavo_, 
   {{0x3ef602eb,0xe36600a4,0xea4900f5,0x3e9c042d}},	//   _гартал_, _operació_, _чэреси_, _akamatin, 
   {{0xe2d8003b,0x1858004d,0xe3910038,0x00000000}},	//   _bamela_, _免費或試用軟體_, _böyеk_, --, 
   {{0xc4130397,0x95bb034e,0x73ff0096,0xdc2f0037}},	//   _yingakho_, _altamach, _amuziza_, _ትላንትና_, 
   {{0x24d601b7,0x371e0193,0x4fa90168,0x73780318}},	// [d8f0] _प्रिये_, _प्रवेशिक, _holmenko, _mafanaa_, 
   {{0xabfc0046,0x1e98019e,0x93240524,0x828c004b}},	//   _зыяны_, _архэоляг, _abecedi_, _ipakela_, 
   {{0x82e00533,0x42d90339,0x9290012c,0xf6f300d1}},	//   _mhargadh_, _enaena_, _makazi_, _স্মৃতিগ্, 
   {{0x024a0414,0x4553005e,0x1696022f,0x305a00be}},	//   _agumbi_, _رىغبەتلە, _molekuli, _كىمسىڭ_, 
   {{0xa37c0241,0x6b2b0080,0xc2480048,0x22900219}},	//   _bitamee_, _annaasas, _asimba_, _fakazi_, 
   {{0xa6b8036c,0x4e190006,0x837301e5,0x7c390230}},	//   _madagasi, _melengka, _iseagbe_, _treyning_, 
   {{0x228505e8,0x67b502da,0xa800002b,0x12da0088}},	//   _maphelo_, _acessori, _মেসবাহ_, _moreso_, 
   {{0x09f800fe,0x83e80244,0xf29000d7,0xc1270128}},	//   _hinihina_, _получена_, _etlang_, _ғаниева_, 
   {{0xf3e7049e,0x07440141,0xf71b047b,0xb20c0238}},	//   _dátum_, _юзага_, _somuleið, _причиною_, 
   {{0x916100fc,0xd2df0272,0xc2390125,0xc2090109}},	//   _chirghho, _akagaati_, _полуң_, _यौनजन्य_, 
   {{0x117900e4,0x1c6700c4,0x79ce0375,0x0c25019d}},	//   _parichay_, _ڪرمان_, _akumanja_, _atsanzir, 
   {{0x70e90092,0x2e19038b,0x769e00c7,0x8d7c0258}},	//   _これにより_, _kelengka, _buının_, _simmerfa, 
   {{0xb7fa0671,0x2c570188,0x50c301b6,0xd6ba0053}},	//   _erobring, _мармуз_, _שטיסל_, _ditawari, 
   {{0x62ca010a,0xeed302a0,0xd9780244,0xfff002d3}},	//   _diida_, _bayeṣeri_, _насладит, _мерка_, 
   {{0x92020390,0x498b00f3,0x26db0080,0x7c8a0229}},	//   _rusiya_, _abahambe, _alianaaf, _verdiklə, 
   {{0x5fb7023c,0x3bd703f3,0x00000000,0x00000000}},	//   _ترهغو_, _zandvoor, --, --, 
   {{0x43ea00d6,0xdc6f0082,0xaa7f0184,0xf6470060}},	// [d900] _zinta_, _sarrafa_, _gutatura_, _قۇلالىق_, 
   {{0xe38701f4,0xc6b10218,0x128302e1,0x00000000}},	//   _باردور_, _absencew, _يطمئن_, --, 
   {{0x6d300140,0xef0e008d,0x3379019a,0x7290033d}},	//   _maliliit_, _молларин, _escapin_, _lakayi_, 
   {{0xc2ca0149,0x2f480243,0xb2d500d1,0x410702e1}},	//   _biidi_, _asisaana, _ইতিকিং_, _فائزات_, 
   {{0xee9100df,0xfc6701e0,0xb8750223,0x320000b6}},	//   _histoire_, _ترمان_, _алимны_, _taniih_, 
   {{0x03560304,0x6c7204fb,0xf20201a4,0x25f80311}},	//   _gabenor_, _adornos_, _kusifa_, _ክገብራሉ_, 
   {{0xbc900208,0xd3e70075,0xb2b400de,0x23f80167}},	//   _تاییبه_, _bátum_, _aticc_, _esgus_, 
   {{0x853c01d1,0xdc6600a8,0x12ca01e5,0x6344053b}},	//   _parallel_, _cantuns_, _fiidi_, _navegue_, 
   {{0x2361005a,0x13870095,0xa3190071,0xee190308}},	//   _dungmaj_, _basry_, _سيمان_, _gelengka, 
   {{0x24500006,0x8eca041e,0x693800be,0x00000000}},	//   _menduduk, _franchin, _قوجوجار_, --, 
   {{0x86be01b9,0x22a7001c,0x436701b8,0x129100a8}},	//   _chernomy, _inabot_, _postitam, _artau_, 
   {{0xc8de0379,0xba880203,0x3290006f,0x6b8803e0}},	//   _विस्फोटक_, _politess, _wakazi_, _politesc, 
   {{0xc36200d2,0xdf5c0156,0x3340036e,0x00000000}},	//   _tunggak_, _קהלתינו_, _heverea_, --, 
   {{0x83a20421,0xd0f4020f,0xe46b05ca,0x4ed0004d}},	//   _welpen_, _aphindil, _merecido_, _不要背叛他_, 
   {{0x826c048e,0x8f4f00a5,0x915f02e5,0x834503db}},	//   _dilots_, _atopetop, _entérope_, _impempe_, 
   {{0x1c110071,0x227f0014,0x7455022f,0x00000000}},	//   _وادکلن_, _hysni_, _gėdingos_, --, 
   {{0x0519017a,0x5fc90014,0xdc5501ac,0xee3300d1}},	// [d910] _фармасев, _merituar_, _xootube_, _বছৰকেইটা, 
   {{0x3238030c,0xb39200c5,0x5343005d,0xbad7017a}},	//   _tuimini_, _加强组织领导_, _anteoho_, _akathint, 
   {{0x4c6d0449,0x72cb00d6,0x0b430181,0x00000000}},	//   _putujem_, _beithigh_, _dōterra_, --, 
   {{0x6a5703c1,0xc2e800aa,0x7e1903b5,0xc2c00160}},	//   _лигата_, _bukiron_, _pelengka, _poštovat, 
   {{0xa3470294,0x1739026f,0xd8520047,0x49cd03b2}},	//   _acherqa_, _меккеге_, _fournies_, _busertit, 
   {{0x12870148,0xe3f401bb,0x12ca01b8,0x96ba02b4}},	//   _否則恕不接受退貨_, _tertip_, _viidi_, _intalasi, 
   {{0x03780082,0xd705025b,0x56bd01f9,0xd3d7049e}},	//   _kananan_, _nakrantí, _atsetsiw, _baktérie_, 
   {{0x02d8013a,0x7dab02d8,0x00000000,0x00000000}},	//   _urbex_, _kepikira, --, --, 
   {{0x22b504cf,0x829000b6,0x673f0176,0x38ca004d}},	//   _agoduke_, _ikkal_, _genoptag, _國立成功大學_, 
   {{0x8da7069e,0xa21305db,0xe5d902f6,0x53e5006d}},	//   _salienta, _abahle_, _sambahay, _агентаў_, 
   {{0xae190053,0x3c7300ff,0x037f00a3,0xa2b40456}},	//   _selengka, _מערבֿדיק, _belasta_, _felcra_, 
   {{0x49d002a3,0xbdd600e6,0x1b6000e0,0xe19b01cc}},	//   _toneelst, _中国古代读书名言_, _bogerman_, _bharttār, 
   {{0xc2cb0085,0xd1d90344,0xd994018e,0x00000000}},	//   _emuloni_, _anillamm, _maehleke, --, 
   {{0xa2b4008b,0x49c101e1,0x85390195,0xb61a0297}},	//   _btica_, _dipephet, _ealaghol_, _астбитлә, 
   {{0xd290023b,0x053b00a2,0xcd8e00f1,0x4eb30042}},	//   _makani_, _alhidaay, _remersye_, _caseiros_, 
   {{0x8a53041a,0x008c00bf,0xf3870225,0x673d0066}},	//   _сертифік, _главы_, _ataram_, _сүүдэр_, 
   {{0x36650014,0x00000000,0x00000000,0x00000000}},	// [d920] _diskutim_, --, --, --, 
   {{0x0c9300a7,0x02900120,0x0db80058,0x731c006c}},	//   _سالام_, _akkal_, _calilaba, _abacula_, 
   {{0xc9c10089,0x32ca000d,0x55960227,0x59e300b3}},	//   _mendelee, _liidu_, _diturunk, _доланан_, 
   {{0x1d7500ba,0xf293029a,0x3b610139,0x13c8061f}},	//   _شووشه_, _enskrir_, _सेचने_, _horvat_, 
   {{0xec600140,0x025b0008,0x36b000d1,0xf27a0396}},	//   _simulan_, _alella_, _প্ৰলেপ_, _jinstall, 
   {{0x99d104e5,0x07c001aa,0x24d5027b,0x02e00195}},	//   _abattidd, _adjustsw, _सुखिनः_, _shireadh_, 
   {{0x98e20107,0x02d90320,0xd81901c9,0x1d2f00d1}},	//   _bersengg, _hiyena_, _जोड़ेके_, _নিশাতেই_, 
   {{0x8ed50079,0xf0a40092,0x4bba016a,0xdecc00be}},	//   _tehnikas_, _写真を見る_, _praktiko_, _شارۇۇلعا, 
   {{0x2c7f0187,0x00000000,0x00000000,0x00000000}},	//   _passivo_, --, --, --, 
   {{0xc5d304c7,0x518900e7,0x197700ec,0x2ad30259}},	//   _елемента_, _akrachay_, _savijaut, _datterse, 
   {{0xa9d701ed,0x32b20556,0x22910464,0xa582005a}},	//   _kamehame, _amadoda_, _bagata_, _bibechch, 
   {{0xc29101a7,0x3b6a0073,0x0c5c02b3,0x8b700405}},	//   _ostaa_, _montania_, _sostén_, _sverdrup_, 
   {{0xaea50217,0xf3ea02f6,0x22900362,0xe26c02dd}},	//   _inquiete_, _ginto_, _bakani_, _bojod_, 
   {{0xaeaf00cb,0x9c890024,0xbf2e012c,0x82f403f1}},	//   _ампаро_, _সমাধানৰ_, _kiitalia, _vodnár_, 
   {{0x23ea00f3,0x497f0270,0xbc6101e6,0x797d0163}},	//   _zinto_, _feliceme, _operace_, _hulladék, 
   {{0xe291039e,0x13ea04cf,0xd28f068f,0x5bae0213}},	//   _artar_, _yinto_, _bethaus_, _районной_, 
   {{0xfc7501c1,0xab1800f1,0x60f80141,0x603602ef}},	// [d930] _मुग्धा_, _idealman_, _fazilatl, _apatenan, 
   {{0x31f5018b,0xf3f40358,0xe3ea0220,0x6c340122}},	//   _акомпань, _boutik_, _vinto_, _عرشیان_, 
   {{0x263d0075,0x4c4b0140,0x630e011a,0x320201f7}},	//   _amboðsfi, _alitang_, _entails_, _ausida_, 
   {{0x498b03d1,0x33320528,0x13fa020d,0xd1a700ba}},	//   _preču_, _etext_, _biruta_, _داپۆشی_, 
   {{0x42900081,0x53dc02d5,0xd9f40193,0x699e0321}},	//   _okkar_, _प्रीव्यू_, _berstatu, _merkurje, 
   {{0xc291022c,0x8dbc0179,0x89f40031,0xb9c000a3}},	//   _nagara_, _botarate_, _berseped, _alvesmet, 
   {{0x59c80132,0xb3ea0661,0x490601eb,0x9c66019a}},	//   _rendelle, _sinto_, _estadogu, _costlet_, 
   {{0x227f0435,0x68420045,0x926d0182,0xab7f03fb}},	//   _оставили_, _покрета_, _meroe_, _nedostac, 
   {{0x3b8701e7,0xde5f01cd,0x571e01af,0x594f0196}},	//   _wikinger, _akuchaza, _basanyňy, _chilenge, 
   {{0xa37a033e,0x18fc0125,0xa9c9038f,0x4bee02e5}},	//   _assasin_, _kenarynd, _roumania_, _иамоу_, 
   {{0x0291041e,0x7b6f0218,0x826c006e,0x0292011b}},	//   _pagata_, _acrocirc, _bobob_, _bisadi_, 
   {{0x127e001a,0x429100ad,0xac9c0103,0xf38701b9}},	//   _aminek_, _cutat_, _akazotor, _sagren_, 
   {{0xd6e9026c,0xfe2500f7,0x6b56014b,0xb290012c}},	//   _畜殖事業部_, _konforma, _celtaksa_, _makali_, 
   {{0x2a87002b,0xf9c80461,0xab6f00c1,0x68b800c7}},	//   _বিশ্বাসঘ, _egemonia_, _minusnya_, _аударган, 
   {{0x92130014,0x5155031a,0x7db800f2,0x09cc0350}},	//   _spahiu_, _eiseimpl, _iļģuciem, _በሳይንሳዊ_, 
   {{0x4d290342,0x90940040,0x8f5a00e6,0x72910077}},	//   _patisipe_, _קאופמן_, _排名不分先后_, _estaf_, 
   {{0x72c70068,0x8c8c03ae,0x9ebe02c3,0xba2900da}},	// [d940] _kormeer_, _festning_, _rovnomen, _medicină_, 
   {{0x4f0202a9,0x12fd0098,0xb29101b7,0x2e250107}},	//   _школы_, _papiret_, _kutas_, _nonforma, 
   {{0x5b1d0192,0xb2480260,0x01520077,0x53ea02fd}},	//   _세계적으로_, _irimia_, _espresyo, _ginte_, 
   {{0x63400225,0x6c520139,0xd74e02eb,0xff70003f}},	//   _genesen_, _विधेम_, _аравт_, _jinabnis_, 
   {{0x426d0270,0xf26c036f,0x332000a7,0x8db701c7}},	//   _heroe_, _mojoj_, _efectes_, _душманлы, 
   {{0x28f50041,0x34430061,0x8b750144,0xf3ea0014}},	//   _акәашара, _프로젝트를_, _follasac, _binte_, 
   {{0x49c0000b,0xb29100c7,0x8e9e033e,0xf24801c2}},	//   _peresete, _urtak_, _ejúna_, _osimga_, 
   {{0x43ea01f1,0xcc1d0107,0xe7b100a4,0x170d006c}},	//   _vinte_, _kampret_, _salutaci, _баору_, 
   {{0x129100ca,0x02910066,0x00000000,0x00000000}},	//   _autas_, _bagara_, --, --, 
   {{0x22910145,0x230102ee,0xf291001c,0xf292002b}},	//   _butas_, _impatti_, _pagasa_, _অভূতপূর্, 
   {{0xd26c002e,0xc2910416,0x6a0802c3,0xe31300da}},	//   _kojoj_, _mutar_, _zasadnut, _компет_, 
   {{0x5c7502e2,0xa74502ba,0x63870212,0x6f320059}},	//   _abluter_, _abayingx, _suarum_, _коктейл_, 
   {{0x3292023b,0xcc00012e,0xc006012c,0xc37f0289}},	//   _hawawa_, _savanyú_, _گرافڪ_, _kukamwa_, 
   {{0xe6040057,0x629202f6,0x629103b0,0xc2900082}},	//   _ያሠለጠናቸውን_, _kawawa_, _gutar_, _makami_, 
   {{0x67ba01e2,0x927e0678,0x00000000,0x00000000}},	//   _कोमलता_, _ekonto_, --, --, 
   {{0x2291058f,0x737a0073,0x98f002fe,0x65840256}},	//   _rutas_, _theatro_, _استعمالی, _sadraudz, 
   {{0x3e3702ac,0xa2910439,0x823e004d,0x00000000}},	// [d950] _ماادري_, _kutar_, _中華文史網_, --, 
   {{0x8ac30192,0xae1a0276,0x9ee00145,0xc594006e}},	//   _베트남경제_, _кометити_, _jungtinė, _gegenaay, 
   {{0xbc0b008a,0x05ff0312,0x62010039,0x53400046}},	//   _apupula_, _adamdrei, _zibila_, _generen_, 
   {{0xefdf01d9,0xc1b4030a,0x00000000,0x00000000}},	//   _gehierlo, _becerreá_, --, --, 
   {{0x92e6001b,0x7ae70352,0xdbe50220,0xcb540156}},	//   _amantaa_, _বিবাহৰ_, _aspettar, _ירושלימ_, 
   {{0xc70100cb,0x1ac7004d,0x814a01fc,0x56b3000a}},	//   _ababoshw, _自然人憑證_, _miglisih_, _belgiami, 
   {{0x64f20060,0xf61802e2,0xb75e008f,0x92d90569}},	//   _الدەبىر_, _aaslaani, _चिन्हीं_, _izveo_, 
   {{0x8c0101a1,0xb9d60187,0x7cfe0322,0x6a4a0022}},	//   _afstands, _листови_, _atitabir, _акттар_, 
   {{0x9a860180,0xed1f034c,0xa20201b8,0xe78a0119}},	//   _aranzman_, _absolyut_, _otsima_, _chuvashi, 
   {{0x97c901cd,0x237903a6,0x120b03b6,0x9692004d}},	//   _баландта, _bararya_, _igbasilẹ_, _中國社會科學院考, 
   {{0x598c000c,0xc4c2014e,0x452b003f,0xbd4e00c6}},	//   _amohenda_, _внутреня, _lutichch, _каналами_, 
   {{0x62d903c2,0x44670178,0x00000000,0x00000000}},	//   _amberd_, _candanok, --, --, 
   {{0x73ce005d,0xc2240397,0x731800fa,0x19f8014d}},	//   _ndive_, _ayikho_, _dakilang_, _hingewie, 
   {{0x00000000,0x00000000,0x00000000,0x00000000}},	//   --, --, --, --, 
   {{0x56a602f3,0x424b030b,0x0b9d010d,0xeb640418}},	//   _katrineh, _amalungi_, _क्रुपया_, _olamayac, 
   {{0xc7ca0014,0x620201ac,0x605a019d,0xcc7100e6}},	//   _kompensi, _impire_, _asasokon, _此主题相关图片如, 
   {{0x73f802e7,0xc276032c,0xe230004c,0xa13f00db}},	// [d960] _binuhi_, _allaasum, _alamula_, _venekeel, 
   {{0x238700e4,0x29340187,0x3b6503b6,0x348301a3}},	//   _jagran_, _promessa_, _itọkasi_, _پينٽنگ_, 
   {{0xde920169,0x1b02005b,0x5f560061,0xf1c301ea}},	//   _ক্ষমতাসী, _messange, _부가가치세_, _форобий_, 
   {{0x487b022f,0xa9f801b8,0xcb4800e6,0x41ea0202}},	//   _атрадаў_, _algatuse, _宁波保税区_, _sibẹsibẹ_, 
   {{0xb2e6041e,0xe292022c,0x52900553,0x4b80027c}},	//   _dignita_, _sawawa_, _relaxu_, _eflorenc, 
   {{0x6f340016,0x838d024c,0xd1080322,0x00000000}},	//   _סטעיטס_, _komposti_, _amakoral, --, 
   {{0xe291031e,0xc237026c,0x7dad025e,0x87f00210}},	//   _mrtav_, _crimina_, _myndasíð, _avaporof, 
   {{0x9b650377,0xc37c0387,0xdd1600ff,0xf98001b7}},	//   _utilizar, _debanye_, _דילדאָ_, _नियमेन_, 
   {{0x82f20321,0x073f0074,0x72ca04ee,0x0201019a}},	//   _darovanj, _остались_, _nnadi_, _lawin_, 
   {{0x0d410556,0x2c7700bc,0x3d0803f5,0xc77701dc}},	//   _ngabantu_, _misuwur_, _distânci, _provinzi, 
   {{0x1a680301,0x3f8f0158,0xc3200125,0x4b130376}},	//   _şüşəqald, _skomento, _aydyn_, _akursmør, 
   {{0xbd0e0090,0x958a0066,0xc1c10012,0x12000107}},	//   _ashungur, _fabrikaz, _हम्हु_, _dikiro_, 
   {{0xcb190259,0x63000224,0xc01a0161,0x33c80189}},	//   _artagnan_, _afgangi_, _народным, _forvet_, 
   {{0x26f7015d,0x31dd0244,0xc3100040,0xe31c01f4}},	//   _मेघवाल_, _кристали_, _notably_, _совринла, 
   {{0x289802f8,0x1c6f0076,0xf291034c,0x2b4f0021}},	//   _atakalau, _garrafa_, _butap_, _arometer, 
   {{0xd2d000da,0x3e3a0037,0x82010116,0x9b3b0187}},	//   _sezonul_, _አያጠያይቅም_, _dawin_, _концесиј, 
   {{0x23ea021b,0x0b1102ca,0x05fd0025,0x34710227}},	// [d970] _hinta_, _cásanna_, _ज्योतिः_, _santapan_, 
   {{0x09d7042a,0x0d3e03d5,0x349900b9,0xa49f002b}},	//   _abethand, _sunhouse_, _dikabark, _খৃষ্টান_, 
   {{0xb3470181,0xcc90003e,0x89290008,0x1f1e01d2}},	//   _vinduer_, _bakuling_, _بارماعىب, _bendecin, 
   {{0xc2970056,0x5a720239,0x8c270622,0xffdd0126}},	//   _такмил_, _hanataua_, _bitangur, _японія_, 
   {{0x137a010e,0x00000000,0x00000000,0x00000000}},	//   _dinasal_, --, --, --, 
   {{0x4292032e,0x926e0338,0xcc77005b,0x8add0126}},	//   _lawata_, _estore_, _keisuke_, _заплатив_, 
   {{0x22020181,0x8bb300f5,0x31070010,0xb2a000f2}},	//   _umpire_, _топлум_, _bashonil, _klubam_, 
   {{0x59d5012d,0x2b0a0307,0x338701b9,0xd9fd018b}},	//   _kasemtae, _bangakub, _sagrin_, _dezavant, 
   {{0xc9f6014a,0xa2f20465,0x3a2900be,0xdc2700ae}},	//   _során_, _varovanj, _جوقتوپ_, _gitangur, 
   {{0x7b8104ca,0x3e150255,0x52d8018a,0x22910212}},	//   _associac, _kuressaa, _chynnig_, _istam_, 
   {{0xa9ba02e5,0xe321030c,0x932d0354,0x00000000}},	//   _абаксиор, _tatya_, _тарайтиш_, --, 
   {{0xa15c01cd,0x02d90043,0x03f40074,0x841301e0}},	//   _худат_, _abeera_, _vertaa_, _رایده_, 
   {{0xfabd0221,0x8f6a0397,0x3e030013,0xc29201e8}},	//   _pinjaman_, _ababekan, _борлиқ_, _dawata_, 
   {{0x27230142,0xd6ac02c1,0x1c37005e,0x78a30060}},	//   _vistareṇ, _bangambi, _پاسسىپ_, _سىلكىنگە, 
   {{0x3c3600d1,0x83160272,0x226e03d1,0x93ea019b}},	//   _অংগটোক_, _amabisi_, _betons_, _ginti_, 
   {{0x22b400c2,0xa7030291,0xa6800249,0xe381047f}},	//   _iwacu_, _leithscé, _melenesi, _इच्छानुस, 
   {{0xc698040a,0x0c890169,0x9b1900ed,0xc2ca01f1}},	// [d980] _någontin, _সমাধানে_, _bakasyon_, _niada_, 
   {{0xa3f900fb,0xbc7201c2,0xb26d0205,0x0a3c01b3}},	//   _babuya_, _aforros_, _idrok_, _рухом_, 
   {{0x6a070472,0x4c6a011a,0x0acd004d,0x3d8f014e}},	//   _kakaknya_, _certify_, _檢舉受理單位_, _celokupa, 
   {{0x52d102a4,0xcc7c01bc,0xf20105b3,0x63ea00b4}},	//   _zamorak_, _kiestra_, _argief_, _dinti_, 
   {{0x75690510,0xe45a0206,0x5dc4028e,0x82490348}},	//   _настройк, _strelivo_, _tarimule_, _asamba_, 
   {{0x83ea02a6,0x185000f8,0x47770089,0x00000000}},	//   _finti_, _যমুনার_, _инандыру_, --, 
   {{0xa0ae00c7,0xd50c0229,0xc0c00065,0xa2ed010b}},	//   _триас_, _animasiy, _vermittl, _dipitse_, 
   {{0x62d8024d,0x0317017d,0x3dd504a5,0x28f802af}},	//   _yamema_, _grundlag_, _bakhutha, _caranatu, 
   {{0x52ca02d4,0x72d8023b,0xd1d10107,0xa8f001eb}},	//   _giada_, _lameka_, _berundak_, _langminu, 
   {{0x692d016d,0xb2870309,0x9c600305,0x98f700bc}},	//   _پاراڭلار_, _məskunla, _vestnes_, _anwarudd, 
   {{0x2bf400c5,0x83a9082d,0xeb9e0061,0x9c5a0568}},	//   _本贴的图片和软件, _stavove_, _신고해주세요_, _utrulig_, 
   {{0xcfd40040,0xa35600da,0x3fbc014f,0x41140137}},	//   _מאושרת_, _gazelor_, _тренингу_, _ачтан_, 
   {{0x734b021c,0x097a0059,0x204c0161,0x720100bd}},	//   _baterku_, _musicist, _тумбы_, _sawin_, 
   {{0x22ca015e,0x706801b7,0x83f9005b,0x9161018f}},	//   _diada_, _बालपृथग्, _kizuna_, _gharghho, 
   {{0xaaa70262,0x026e0008,0xef5e0256,0x5b0202c7}},	//   _balkanab, _petons_, _vielmaiņ, _messunge, 
   {{0xadd501cb,0xcc3c00b7,0x82fc0456,0x7ce0002f}},	//   _yakhutha, _andreý_, _lenguh_, _chakupiq, 
   {{0x53ea00b8,0xdfae0126,0x12020108,0x6a4502a6}},	// [d990] _sinti_, _замки_, _eusina_, _minestra_, 
   {{0xfee00469,0xb24903b4,0x426c03e0,0x30370206}},	//   _चित्रकला, _tsamba_, _mojoo_, _mestskej_, 
   {{0xb2490320,0x10630211,0xfee70211,0x41c400d9}},	//   _ahuma_, _золото_, _началом_, _учебники_, 
   {{0xfe6802d3,0x83ea022e,0xe57300c5,0x026e01c9}},	//   _дискусиј, _vinti_, _命中注定我爱你_, _autole_, 
   {{0x226e022a,0x39d2002b,0x9f460075,0x6f4700de}},	//   _retons_, _শিল্পকর্, _bussamba, _ایمپریس_, 
   {{0x3a2602d3,0xe47a0326,0x9eee00be,0xe20200fa}},	//   _concorda_, _cheguruk, _قالەتسىز_, _busina_, 
   {{0xd02303e2,0x439503fb,0x1b0e0198,0x02cd0244}},	//   _superaro, _gresku_, _prispela_, _подножие, 
   {{0xd84a0297,0xefcf03dc,0xe7be03a2,0x4e0000e6}},	//   _ботка_, _limirnar_, _असंगठित_, _唐海县人民政府办, 
   {{0xd26c000c,0x3bb30060,0x63bf00f5,0x147f028a}},	//   _amboy_, _بارىنىكى_, _имандаш_, _tetemeko_, 
   {{0x329201f0,0x5d2d0013,0x71040116,0x43560345}},	//   _ngwana_, _яраша_, _itsitaly_, _daremos_, 
   {{0x75eb0013,0xe29000a1,0xb3690244,0x30580096}},	//   _دردانه_, _takahi_, _преглежд, _abasipan, 
   {{0x028d0396,0x27c90037,0x0292028a,0xe1c5005b}},	//   _turkija_, _አላስብም_, _hisani_, _aromamom, 
   {{0xd2490196,0x298101c1,0xa2920082,0x520102ec}},	//   _chuma_, _भडकमकर_, _bisani_, _cawil_, 
   {{0xff5d0144,0x82d80145,0x72550192,0x0b6200cd}},	//   _cleasann, _pamokas_, _hotelkam, _chalcher, 
   {{0xf49700db,0xe8c3029e,0x231700fa,0x83560434}},	//   _जम्मो_, _gemennad, _atubili_, _haremos_, 
   {{0xdc040092,0x82cb0026,0x2363038f,0x00000000}},	//   _spiritus, _kleden_, _gregach_, --, 
   {{0xe3ce02e8,0x28bf0491,0x42910165,0x5c1e013d}},	// [d9a0] _ndava_, _enfermed, _kedaru_, _adoptas_, 
   {{0x3c6702b0,0x4f3401f6,0xf2b4024e,0xf3950274}},	//   _anstatt_, _prosessa, _otici_, _bresku_, 
   {{0x56570092,0xf72401ac,0x238c0059,0xcc710064}},	//   _は役に立った_, _توافر_, _пулев_, _enfront_, 
   {{0xbbe1046d,0x62920043,0x25fa0023,0x734b005b}},	//   _phambano_, _agwana_, _очистить_, _bigeast_, 
   {{0xd202023d,0xe2d500d9,0x997000bb,0xa2dd0156}},	//   _attivo_, _autossa_, _جیسبادی_, _potocki_, 
   {{0xd2ca01d7,0x21d90125,0x6f9d0061,0xa42a01eb}},	//   _viadi_, _azaldylm, _아카시아님_, _kachikek, 
   {{0xd47300d5,0xa2ea0465,0x3637009a,0x826c021e}},	//   _mametrak, _mobilno_, _اطرافو_, _oljor_, 
   {{0xde71014b,0x09800229,0xb40101ad,0x03ce000d}},	//   _deraafél_, _neticele, _kukuhaon_, _odava_, 
   {{0x065804a5,0x8e4702c1,0x6b50025c,0x829006da}},	//   _abangakw, _murakoze_, _normaler, _भीमाशंकर_, 
   {{0x020202c5,0xe47303d9,0x9eea044b,0xd8ef01c8}},	//   _tusina_, _nametrak, _forvente_, _propagov, 
   {{0x52ca0054,0xf27e0120,0x1fdb0035,0x38d60156}},	//   _shida_, _banní_, _авазына_, _זיבנבורג, 
   {{0x6da50021,0x2d29004d,0x83f90278,0x109c01d5}},	//   _actionwa, _competer, _sifuli_, _figurák_, 
   {{0x32920054,0x2b6e0041,0x05ad0017,0x030f01f6}},	//   _misali_, _аиуларци_, _तरलता_, _উদ্যোগত_, 
   {{0x837902e7,0x794e0121,0x1ff30188,0xcd730076}},	//   _gibahin_, _regresar_, _созгор_, _шерифови, 
   {{0xb20000ed,0x66d80035,0x57a103cc,0x5f1e00a6}},	//   _likido_, _видеолар, _রসালো_, _bendicin, 
   {{0xb8b50089,0x9fc001ef,0x82b402ca,0x1292033b}},	//   _mintimer_, _literatū, _dtaca_, _ngwala_, 
   {{0x025a0080,0x49aa00da,0xe2480422,0xbdc800fa}},	// [d9b0] _isilik_, _моний_, _obema_, _anakngpa, 
   {{0x23ae045f,0x7c750012,0x00000000,0x00000000}},	//   _köper_, _बैष्णो_, --, --, 
   {{0xe660011f,0x54d700d7,0x4b4f0253,0x84a500c1}},	//   _акавалер_, _барабыҙ_, _akimaner, _diinstal_, 
   {{0x847300d5,0x53770064,0x99e00082,0x004a048c}},	//   _hametrak, _بىنان_, _bijirowa_, _boagando, 
   {{0x026c018a,0xef4800a4,0x69c0014a,0xbd810046}},	//   _pobol_, _ايەلدەرى_, _teremtet, _detectat_, 
   {{0x03ea0043,0x1b4f00e3,0x83a300c1,0x329101c4}},	//   _bintu_, _mammifer, _ucapku_, _ingaan_, 
   {{0x994c0521,0xc10a00fe,0x9378020e,0x2c7d0343}},	//   _automjet, _avakatol, _dibalwa_, _inusara_, 
   {{0x1b6700b3,0x98d70041,0x43ea022d,0x7b8800db}},	//   _багдакы_, _иааурыху, _vintu_, _motiveer, 
   {{0x2c290242,0x934100ef,0x93a20040,0x27b100be}},	//   _missiyas, _بچیان_, _biopsy_, _maduraci, 
   {{0x526c0160,0xf2fb005b,0xcab7008d,0x86210074}},	//   _tobom_, _chihiro_, _ашаддий_, _remontoi, 
   {{0x96cf0014,0x8f5d03b9,0xcc4b0107,0xe26e01c9}},	//   _ዳንኬራን_, _milagron, _aliting_, _autost_, 
   {{0xee3901dd,0xb2910242,0x120e02ea,0x018903f8}},	//   _bahagara, _ortaq_, _карал_, _lodbatlh_, 
   {{0xf6bb029b,0x595e0375,0x5e5b01b4,0xfdcf01af}},	//   _antarpri, _amandite, _verbygaa, _chekinya, 
   {{0x9396072a,0x12da0105,0x02d90347,0x761700be}},	//   _versek_, _haseł_, _opreg_, _قانقورلو, 
   {{0x22ee0079,0xb58104b2,0x6bb901db,0xf91c0045}},	//   _stingri_, _telesery, _بوستىعى_, _монархиј, 
   {{0xc2f9006c,0xe2d7015f,0x53800331,0x02830072}},	//   _kukhona_, _safonol_, _aftrat_, _samkasa_, 
   {{0xa3a60099,0xc5a902c7,0x00000000,0x00000000}},	// [d9c0] _dhipatim, _klassenk, --, --, 
   {{0x3b9900a7,0x88c200ff,0x52d502ef,0xc2f101da}},	//   _тарабына, _אינדזלען_, _makouto_, _vizioni_, 
   {{0x8948016d,0xa2a600ed,0x918a0582,0x758d0006}},	//   _گۇۋاھنام, _tambal_, _ewebatal, _diperlih, 
   {{0x6e180060,0x52020033,0x899402a3,0xe2630188}},	//   _تارتىنسى, _sesiun_, _kankerst, _комилро_, 
   {{0x426c036f,0x52cb007f,0xb5cf02ac,0x7a4401f2}},	//   _sobom_, _goeden_, _اسمائهم_, _җуңхуа_, 
   {{0x8e44008d,0x6e2b00e6,0x82d90198,0xbf1f00ed}},	//   _чемпиони, _我也要用手机发表, _izven_, _malungta, 
   {{0x13ce0099,0x3095004d,0xa2bf00e0,0x3291050b}},	//   _ndivo_, _熊貓成人圖_, _furdgum_, _sedayu_, 
   {{0xf291015e,0x2e9f048a,0x33010190,0xff8f0284}},	//   _estan_, _колледжі_, _disavow_, _okomento, 
   {{0x22000285,0x929101b8,0x83f900f2,0x047e00cb}},	//   _inkiko_, _ostan_, _labuma_, _вогиршин, 
   {{0x59d20059,0x2d4a03a2,0x52fb00bb,0x25a90465}},	//   _инвертор, _चरिगढ़_, _پڈوکون_, _plastenk, 
   {{0x5e550233,0xb2ce03a2,0x237802f6,0xab6d0195}},	//   _brochura, _तलाशेंगे_, _nanaman_, _gillebhr, 
   {{0x431604a8,0xa250002b,0x1e6802c0,0xd26c015e}},	//   _trebali_, _থুক্কু_, _радиотер, _bojos_, 
   {{0x129100c7,0x5a200386,0x31ad00ff,0xc2910235}},	//   _urtaq_, _mencerit, _רבֿקה_, _bstan_, 
   {{0x62c00160,0xba830265,0x0212023e,0x7ae200d8}},	//   _poštovan, _beginnen_, _ashhh_, _arremass, 
   {{0x729000ad,0x7a52023b,0xbe77004d,0xb02f02f2}},	//   _mulang_, _heremona_, _請願之處理結果及, _obtenido, 
   {{0x9db0042a,0xfe87005b,0x3f970145,0xdb9a0020}},	//   _abhaliwe_, _eleverne_, _keiksmaž, _volipolo_, 
   {{0x97b101ba,0x87c502fb,0xb4860135,0x61b901db}},	// [d9d0] _entranzi, _fanualof, _губернас, _сериясы_, 
   {{0x0997057d,0x26b80013,0x53790278,0xdb8d02d0}},	//   _omogućuj, _malakasi, _hafazan_, _meenistr, 
   {{0x52d901b2,0x6ea1012d,0xccf10064,0x53f902cf}},	//   _arrey_, _pulumaot_, _روستاۋلى, _rabuda_, 
   {{0xe27a033a,0xd62a008a,0xd987018e,0xaed50297}},	//   _annimali_, _fatisisi, _etikampe, _bakiyevn, 
   {{0x9007017a,0x9da80397,0x2a73020a,0x18cd00ba}},	//   _хушманза, _amatheku_, _болжай_, _یانژی_, 
   {{0x2e04014e,0x3bde028b,0x7ad000bb,0xc36e01c8}},	//   _турска_, _аоперати, _کرغیز_, _outfity_, 
   {{0xce3a00e7,0x1d6504ac,0x3ce8026f,0xd3790318}},	//   _adualgra, _словно_, _توپپەن_, _kavanaa_, 
   {{0x5f5c0089,0xd7b40216,0x134700d9,0x92490513}},	//   _almagann, _helelang, _konetta_, _khume_, 
   {{0xdda8003b,0x54570291,0x00000000,0x00000000}},	//   _ematheku_, _تعودت_, --, --, 
   {{0xa29100ac,0xb47e00c8,0x5c600061,0xf9750326}},	//   _ostao_, _силос_, _유머게시판_, _batsitic_, 
   {{0xd1c1014f,0x3b2d0390,0xed0800b5,0x9d9200ac}},	//   _енергетс, _yaranmas, _autolote_, _kiseline_, 
   {{0x0f0601ef,0x184e003c,0xfb0e0155,0xbd8f0024}},	//   _братка_, _الگوريتم_, _kurserna_, _প্ৰগ্ৰাম, 
   {{0x35880125,0x5bc90040,0x727204df,0x00000000}},	//   _мантыкда, _החכמה_, _biridigi_, --, 
   {{0x2af70590,0xad8d01b2,0x6f430009,0xabe000e2}},	//   _гардан_, _inedible_, _priprave_, _bibeloer, 
   {{0x7291029f,0x2b6d0012,0x03f7015e,0x628d0064}},	//   _ostal_, _भँसना_, _قۇتقارتق, _desafiam, 
   {{0x6dd200a4,0xe35905d7,0x728e0040,0x928703da}},	//   _стили_, _saaffat_, _אוחיון_, _elekere_, 
   {{0x269d0060,0xec670243,0x2224049e,0x63480211}},	// [d9e0] _ازيانى_, _dokteer_, _velky_, _monesti_, 
   {{0x1290082e,0x3c5b0143,0xeaee03ad,0xbb4f0040}},	//   _sakali_, _ridurre_, _boltijie, _promoter, 
   {{0x849b0115,0xf3800556,0x0d23003c,0x2291018f}},	//   _disasark, _imizuzu_, _شمشیری_, _lutay_, 
   {{0x3dd500a6,0x6a070308,0xa2f306de,0x22e601c5}},	//   _bachitha, _bakatnya_, _maisarah_, _aminsan_, 
   {{0xd328015e,0xf1140162,0x6f4d0376,0xbf74016b}},	//   _тамырына, _учрап_, _bingjurn, _gamborun, 
   {{0x13030415,0xa85f0079,0x0975005b,0x5d9803dd}},	//   _bekannt_, _velobrau, _abonnome, _reagimet_, 
   {{0xc3210118,0x02380055,0x6d2f0061,0x73910375}},	//   _batya_, _crimini_, _상품사용후기_, _akusisim, 
   {{0x6af202c1,0x2ad10258,0xc630027b,0x8dc600ba}},	//   _iciririt, _bondelts, _पराहुर_, _وێبڵاگ_, 
   {{0x16d600ba,0x398e0276,0x7bb00011,0x012e027b}},	//   _داڕمانی_, _садир_, _alekulir, _प्रसूयते_, 
   {{0x43780370,0x81e2027b,0xc7b501ac,0x72fb0137}},	//   _sanajan_, _प्रसन्नो_, _impiriúi, _есөнбула, 
   {{0x522e0513,0x2d1c0281,0xea070308,0x026202e1}},	//   _chavelel, _annoncit_, _zakatnya_, _لاتقل_, 
   {{0x127800a1,0x2019019b,0xcc5b001c,0x43860192}},	//   _kanikani_, _горск_, _certavi_, _scoren_, 
   {{0xd1110692,0x33ce02e8,0x66810026,0xe78a0135}},	//   _سپورت_, _ndave_, _afleveri, _аттылар_, 
   {{0x4979021e,0x4c5500e0,0x98790415,0x18e80041}},	//   _gymnasie, _biltske_, _gymnasiu, _крыфарҭа, 
   {{0x02260249,0xd016033d,0x529001cf,0x7aa101b8}},	//   _burkim_, _aladispo, _fumate_, _दिर्घिया_, 
   {{0x12b402b1,0x51440191,0xe3a20053,0xec920153}},	//   _itace_, _systembo, _nempel_, _そして趣味悠々収, 
   {{0x4bcb0244,0x71440176,0x430b0185,0x4287030b}},	// [d9f0] _commento_, _lagersal, _авторга_, _bagaanyi_, 
   {{0x034100d7,0xb333029b,0x1291041c,0x00000000}},	//   _batenya_, _jalalé_, _lutax_, --, 
   {{0x4f9e0220,0x5a5200ab,0x0f4803c6,0x00000000}},	//   _родители, _kerehona_, _jongfein, --, 
   {{0xe96704bb,0x4e380281,0xf2900179,0x42d502c3}},	//   _immitate, _isiginia, _pakami_, _takomto_, 
   {{0x099203b8,0x19d0023d,0x420e010f,0xe2d90256}},	//   _ресурста, _целия_, _фараж_, _robotus_, 
   {{0x811c03f7,0xe53d011c,0xe8b5034c,0x4c2400e6}},	//   _búlgaría_, _kopiraay, _kartaerg, _严格土地利用总体, 
   {{0x12cc0399,0xce1f0132,0x2b1e005f,0x00000000}},	//   _emelino_, _tengerpa, _pestaña_, --, 
   {{0x8e4b0209,0x92fe0156,0x00000000,0x00000000}},	//   _aliannaa, _derivas_, --, --, 
   {{0x50580528,0x22f00220,0xeb21004f,0xf7b501ac}},	//   _donaldso, _sociali_, _disaayin_, _impiriúl, 
   {{0x10dd0037,0x4e27022a,0xa85601ab,0xf7ba00c1}},	//   _የኤሌትሪክ_, _zimmetas_, _maksumus_, _गांभीर्य_, 
   {{0xb7f601f6,0x436300bc,0x3144047d,0xc2250407}},	//   _সম্ভাৱনা_, _munggah_, _opgestal, _tetka_, 
   {{0x4e8902ec,0x7c61028b,0xc23f04a0,0x99d500ff}},	//   _نوبہار_, _jesuita_, _sólido_, _יודלס_, 
   {{0x37d0026c,0x19f9020f,0x00000000,0x00000000}},	//   _consilii, _babalase, --, --, 
   {{0x93710169,0x01470059,0x22ea01f7,0x43fa0155}},	//   _চুয়াডাঙ্, _марица_, _tornant_, _kiruna_, 
   {{0x4b050322,0x00000000,0x00000000,0x00000000}},	//   _arashega_, --, --, --, 
   {{0x8bdf0184,0x60ec0005,0xc26c005a,0xb2f50148}},	//   _kugender, _uffizial, _elbot_, _lapidem_, 
   {{0x8ebe016d,0x83f300ff,0xacc005bd,0x5c6b0026}},	// [da00] _долларғи, _זשוליאני_, _verksted_, _extreem_, 
   {{0xf290004b,0xd1e7000a,0x4a070507,0xd9c70361}},	//   _bakaki_, _aarrinik_, _bakarnya_, _барадай_, 
   {{0xb291018f,0x49d40309,0xf0e9010d,0xf7ab00e6}},	//   _lisay_, _hallarda_, _पारदर्शक_, _工程设计资质标准, 
   {{0x4a0200cb,0xc7810060,0x88e3009b,0x829000a1}},	//   _ababeswe, _الاشتىڭ_, _юуных_, _nakahi_, 
   {{0x027f0255,0xd5730059,0x618c003e,0x00000000}},	//   _omanik_, _планират_, _графикка_, --, 
   {{0x63f400c3,0xed3304b4,0x07b8030d,0xb3fa0108}},	//   _tertia_, _kroniske_, _patriarx, _biruna_, 
   {{0xfc53002b,0xf2cb0287,0x1343012d,0xb2f50257}},	//   _রুক্ষ_, _pozdě_, _spoelem_, _verndar_, 
   {{0x1291018f,0x59df00ad,0x8b6702d4,0x851200b3}},	//   _bisay_, _panungtu, _allegran_, _baslapdy, 
   {{0x44870139,0x12c90092,0x0d820187,0xd2000189}},	//   _न्यासे_, _ブレットｓ_, _paulista, _lehine_, 
   {{0xeab60192,0xd2a600d2,0x96ac012a,0x937a04df}},	//   _올려주세요_, _sambel_, _dyrektyw, _bararyn_, 
   {{0xec51020e,0x82d60097,0x52d400e9,0x66cc000a}},	//   _akotisa_, _alamọ_, _lemoman_, _ammaanni, 
   {{0x22ca036c,0x4b07032e,0x0f1f0132,0x22490018}},	//   _kiadi_, _popplewe, _menetren, _saumi_, 
   {{0xd2900130,0x1c6701a6,0xd14003c6,0xa34703c9}},	//   _selaou_, _hokulea_, _dialooch_, _hindrer_, 
   {{0xf29200a1,0x62d4041e,0x37cc03d5,0x136b0034}},	//   _wawata_, _accolta_, _dispassi, _byrjuð_, 
   {{0xdbe60206,0xaae50400,0xfd77002b,0x527e00f6}},	//   _digestor, _appuntat, _চুক্তিতে_, _dalnet_, 
   {{0xde5b0045,0x526c041c,0x70dd00ba,0x526d006e}},	//   _странка_, _boboo_, _زیکری_, _gorob_, 
   {{0xfc850044,0xec6103c2,0xa2450331,0x2291029b}},	// [da10] _שווים_, _decreed_, _tímir_, _cisay_, 
   {{0x229200ad,0x022400a6,0xe26c0249,0xbcfc017d}},	//   _kawasa_, _ajikel_, _nobol_, _nordmand_, 
   {{0xe27400d6,0x1a4f03fb,0x79f9020f,0x6b680040}},	//   _حوالى_, _skidanja_, _bababase, _תתקשטי_, 
   {{0xa2ca00db,0xc61c0044,0x334000cf,0x43ce05b8}},	//   _saidi_, _football_, _eegeera_, _kliva_, 
   {{0x920e002c,0xb63800b7,0xbf6102d4,0x461f0075}},	//   _хатан_, _гарамагы, _simplama, _frensuri, 
   {{0xe20204ec,0x4ba60159,0x82cb0098,0x01aa0019}},	//   _dutito_, _valdanči, _rydder_, _бешөөсү_, 
   {{0xd95b0037,0xd6c502b9,0xf3160374,0x00000000}},	//   _ኮምቦልቻ_, _نواسی_, _alabasi_, --, 
   {{0x620000a9,0xba290056,0xfc050217,0x45bf0242}},	//   _mikino_, _ниёзманд, _cursori_, _atışma_, 
   {{0x36930101,0xd26d018b,0xd4b60092,0xc35e0102}},	//   _biserici, _noroc_, _最近のエントリ_, _itifaki_, 
   {{0xf234002b,0x00000000,0x00000000,0x00000000}},	//   _নীতিনির্, --, --, --, 
   {{0xa7a402ea,0x93ce0333,0xcef6004a,0x00000000}},	//   _improvvi, _aliva_, _karamagı, --, 
   {{0x0f4600f3,0xba1202b4,0x10c20061,0xa3ce022b}},	//   _abasinde_, _anganike, _비즈니스예문_, _bliva_, 
   {{0xbb7d021a,0x868e0212,0x727f0189,0x423303b8}},	//   _monosacc, _valetudi, _olanak_, _тараздық_, 
   {{0x72fd00d5,0x9c6101f1,0x078800e6,0x420000a1}},	//   _miandry_, _sekrete_, _发展农业机械化_, _kikino_, 
   {{0x4ad5013e,0xddf503ea,0x546603db,0x9e830093}},	//   _marković_, _conduite_, _lisebenz, _аналиста, 
   {{0x7d9f009c,0xcb6a01fe,0x4e50007e,0x3a060084}},	//   _atinkura, _tabusiga_, _devakula, _dihaneut, 
   {{0xc37f0049,0x3f4300f4,0x23790020,0xd5b901c7}},	// [da20] _lakanga_, _bourevia, _mananao_, _balalary, 
   {{0x02920050,0x02cb012c,0x6e4202d0,0x2265005b}},	//   _jawara_, _maadui_, _bryanajp, _arufarom, 
   {{0x4faf01bd,0xf868037f,0x1c700304,0xce0d0381}},	//   _ءومىردى_, _anspress_, _secukup_, _anifesta, 
   {{0x1f16000d,0xe867008f,0x681c014a,0x42020229}},	//   _valdkonn, _vikipeed, _mikulás_, _avriş_, 
   {{0x226c018a,0x126e0148,0x3a06005e,0x6da60238}},	//   _bobol_, _autome_, _تازلاش_, _фальсифі, 
   {{0x326c037c,0xec3200da,0x2fd80210,0x9c5a014f}},	//   _cobol_, _респекты, _akandiko, _двором_, 
   {{0x42cb047d,0x5237010f,0x79d203b4,0xb2000087}},	//   _braddy_, _филмхои_, _amboedza_, _lehile_, 
   {{0x3f30021c,0x15e9004b,0x92f501b9,0x00000000}},	//   _satelitn, _макаронд, _maximem_, --, 
   {{0x915301aa,0x89e50067,0xc2b40181,0x82ee0100}},	//   _upplysay_, _awroppaa_, _arice_, _stanari_, 
   {{0x2c01002b,0x3989004d,0xb27f0527,0xb27a03f6}},	//   _মৃত্যুবর, _法務部調查局_, _clanak_, _weliweli_, 
   {{0xf2ca0201,0x346603de,0x8225013e,0x12920357}},	//   _ahada_, _zisebenz, _retko_, _lawaqa_, 
   {{0x0a7002fe,0xc2d4041e,0xb1ae028a,0xe38701da}},	//   _الاماره_, _accorta_, _امالڪ_, _endrit_, 
   {{0x2efd0261,0xed5e01bd,0x7a040090,0xa46703ef}},	//   _kalkulos_, _кодексін, _achandit, _bisesero_, 
   {{0xf2b40528,0x024902fe,0x12ca0256,0x303604bf}},	//   _trice_, _ubume_, _naidu_, _navedeno, 
   {{0x53ec0400,0x00000000,0x00000000,0x00000000}},	//   _cipressi_, --, --, --, 
   {{0x9f81061b,0xe17a0183,0x839400e9,0x0c0404e3}},	//   _धम्की_, _velively_, _fanser_, _spasiti_, 
   {{0xb508013c,0x0a5704ae,0xaa0406da,0x691201e8}},	// [da30] _bakuinfo_, _никакав_, _कॉम्पुटर_, _makapaku, 
   {{0x1e56015e,0x2c5a030f,0x1e0e02c3,0x76b80102}},	//   _пенсияга_, _apataki_, _priestup, _matakati, 
   {{0xc466014c,0x5291030b,0x165e0349,0xcfa60013}},	//   _sisebenz, _addamu_, _admiralw, _таврот_, 
   {{0x67ed04f2,0x6eee03d0,0x46c5023e,0xadd100b3}},	//   _dataimag, _naranče_, _جویسر_, _berkidip, 
   {{0xf249033f,0x137f0326,0x12ca008d,0x4f07005b}},	//   _taumu_, _aakanga_, _chada_, _placeres_, 
   {{0x937f0476,0xd23601bb,0xad7f0421,0x00000000}},	//   _yakanga_, _awtoryň_, _neumarkt_, --, 
   {{0x02b40009,0xec680318,0x022503c3,0x00000000}},	//   _urice_, _pokumei_, _tetke_, --, 
   {{0x96110263,0x028d0197,0xe23d00c7,0xcf4e00e6}},	//   _kwalitei, _poukisa_, _апанай_, _位对此新闻感兴趣, 
   {{0x362a042f,0xe2900497,0x12ef04d7,0x1f410092}},	//   _katitiri, _admass_, _stafar_, _unisport_, 
   {{0xd20000ec,0x5066027b,0xcc690355,0xc7a200ae}},	//   _tikino_, _candanān, _utorkom_, _mutubari, 
   {{0xc29204ad,0xd91b01be,0x250302f9,0x3a4a0156}},	//   _basadi_, _इस्राएलक, _deklanch, _וווינונג_, 
   {{0x9c3c0094,0x8248027c,0xfeea01a3,0x926c00a3}},	//   _торайғыр, _abemi_, _اسٽول_, _anbod_, 
   {{0xa6a70173,0x9b2d0092,0xfc5b02e2,0xa84c05b7}},	//   _পটভূমি_, _ステップマット_, _adjudge_, _autosjed, 
   {{0x037f00a1,0x70dd00c7,0x052105b5,0x32e1033e}},	//   _pakanga_, _ашата_, _térmicos_, _chirkaty_, 
   {{0xaa730165,0xf333006e,0x00000000,0x00000000}},	//   _kanavata_, _guuxe_, --, --, 
   {{0x1e57048a,0x91c900a7,0x92d900d8,0x00000000}},	//   _اراشا_, _мэриясы_, _apren_, --, 
   {{0x5ba1013c,0x884802a9,0x027700ec,0xdc600304}},	// [da40] _dostları_, _напярэда, _бухгалта, _cucunda_, 
   {{0xe26d0353,0x437f02e8,0xf26d032d,0x9c240109}},	//   _neboli_, _takanga_, _boroa_, _बानेश्वर, 
   {{0xbae305d7,0xb50b0322,0x16b80102,0x13330122}},	//   _hujuraat, _akamushy, _watakati, _badané_, 
   {{0x1d240041,0x78cf00e6,0xb29e047b,0x00000000}},	//   _алҵреи_, _政府信息公开工作, _geglið_, --, 
   {{0xddfd0205,0x42010285,0xc9270029,0xf2b401ff}},	//   _الستر_, _kizima_, _پانێڵی_, _staci_, 
   {{0xe3ea034d,0x93ea0403,0x326d0039,0xbebb02aa}},	//   _pintu_, _mints_, _foroa_, _prioritn, 
   {{0x206f02f6,0x325b0163,0x9b650065,0x819c004d}},	//   _makatulo, _reblog_, _absenden_, _經濟部水利署甄選_, 
   {{0x3ffc0157,0x22290056,0xcebb0235,0x1b91012b}},	//   _अधिकारों_, _пароканд, _anasūye_, _obrazków_, 
   {{0xdc76036f,0x051100fc,0x795b0206,0xf95f018d}},	//   _stariji_, _botojlah, _novorode, _ኣየስምዕን_, 
   {{0x83950101,0x214b0144,0xbe4301b3,0x193300e5}},	//   _aceste_, _كارداشيا, _харчових_, _солено_, 
   {{0x826c02ce,0xeda6027c,0x00000000,0x00000000}},	//   _bobor_, _تخریبي_, --, --, 
   {{0x3d110368,0x726c0260,0xd30004f9,0x931701c7}},	//   _остало_, _pobos_, _allammi_, _armanly_, 
   {{0x13760059,0x88410120,0xe291025b,0x832101ac}},	//   _христов_, _kallaytu, _tygara_, _shochar_, 
   {{0x498b02e1,0xcaef03a8,0x5b2d024f,0x5c1c027b}},	//   _roghanna_, _উপৰুক্ত_, _paraimas, _पुनःपुनः_, 
   {{0xd3ce04aa,0xc6150109,0x624c0187,0x00000000}},	//   _heave_, _skladová, _направив_, --, 
   {{0x1c01018a,0x986f00d1,0x93680191,0xa6b8028a}},	//   _allgymor, _এলেহুৱা_, _prognos_, _patakati, 
   {{0xbba6038c,0x80880040,0xc53a0207,0xf88f00ec}},	// [da50] _fizičkog_, _הגבינה_, _hitimish, _спатканн, 
   {{0x42a00307,0x656401d3,0x5aa502bb,0x00000000}},	//   _lomcimbi_, _betalsät, _eucharys, --, 
   {{0x394c017e,0xa6170308,0x53a003f4,0x1a15082d}},	//   _alimanie, _menerkam_, _острой_, _bogatija_, 
   {{0xdb190140,0xe05604b1,0x37f40263,0x894c03f7}},	//   _kasamaan_, _betraktn, _schattig, _brjálaða_, 
   {{0xdaa4009a,0xd37103e4,0x7bf90357,0x53820177}},	//   _abakhuts, _jesusdem, _cabocabo_, _амандари, 
   {{0x92620029,0xe93204dc,0x768103eb,0x46b5030d}},	//   _ئاڵقه_, _رۆژیک_, _afleweri, _babayevi, 
   {{0x2b2100a6,0xe13700f0,0x029100c0,0x00000000}},	//   _akwabamb, _obidvoch_, _higaan_, --, 
   {{0x06570143,0xe1ee03fe,0xe6800224,0xb066027b}},	//   _югозапад, _полихром, _alheimsi, _candanād, 
   {{0xa47a0014,0x739500e5,0xa2870483,0xb7aa02fe}},	//   _vjetorin_, _acesse_, _nitidez_, _andwendw, 
   {{0x30e7010d,0x9e46011f,0xbfee027b,0x0eba0059}},	//   _नवजीवन_, _ikasógui_, _टाबादयः_, _presenze_, 
   {{0x32b40672,0x6b9000e6,0x34e80040,0x83aa00ac}},	//   _ataco_, _供应三相异步电动, _העלמין_, _dodatnog_, 
   {{0x231601cd,0x4e59003d,0xa24501d3,0x87090076}},	//   _izizwe_, _descompa, _kämpa_, _невини_, 
   {{0x4764030c,0xf3ea00b4,0xb3f900c0,0x33ef04a5}},	//   _arnitaig, _dintr_, _pabula_, _banolwaz, 
   {{0x2272019f,0x53410076,0xd27a00ab,0xfd1b02c9}},	//   _mafisadi_, _obtenha_, _kirimini_, _istorice_, 
   {{0x83360287,0x34a40137,0x00000000,0x00000000}},	//   _संचालनमा_, _жүдоч_, --, --, 
   {{0xf58f00ff,0x829500fe,0xdc1f01e6,0xb30302b1}},	//   _אמסעל_, _kaukiti_, _pestrá_, _dayansu_, 
   {{0x4d240178,0x4e39022c,0x6ff20062,0x00000000}},	// [da60] _aparāmṛṣ, _mahabara, _luchenmo, --, 
   {{0x726d041c,0xd2020269,0x7fe40328,0x9341001d}},	//   _dorog_, _repite_, _arazirun, _eternitá_, 
   {{0xab1f02df,0x087203b6,0x2fa70461,0x00000000}},	//   _halangan_, _darapọ_, _anientar_, --, 
   {{0xc3ea019a,0x09f503b4,0x3b280060,0xe291014b}},	//   _pints_, _achateve, _тарбағат, _figaan_, 
   {{0xb4380122,0x82f10321,0xed9600ec,0x728800e6}},	//   _anekadak, _zanimiv_, _пагрозы_, _构建和谐社会_, 
   {{0xa2e200c1,0xf27f00d3,0x12d903f1,0xfc620039}},	//   _असशील_, _clanek_, _spred_, _jesusen_, 
   {{0x9c18008d,0x426c019c,0xe26c0227,0x5db2026a}},	//   _yakshanb, _goboi_, _roboh_, _salusalu_, 
   {{0xe3ce0409,0x234d002b,0xd68e019f,0x15030065}},	//   _blive_, _পায়েস_, _freemedi, _schlauch, 
   {{0x77950072,0x3be40098,0xd3aa019d,0xcfdd0092}},	//   _chitamax, _verdensr, _amuvule_, _きせかえセット_, 
   {{0xf26c01e9,0xf3f9005b,0x3a580144,0x9f580453}},	//   _boboi_, _kazuya_, _aonghusa_, _najproda, 
   {{0x5c2901da,0xe2570169,0x73f903db,0x15d4004f}},	//   _kombetar, _নেক্সট_, _bazuza_, _hudaybiy, 
   {{0xfbf802ac,0x13110109,0xd45200e4,0x61840374}},	//   _وبطولات_, _fotbalu_, _siedzisk, _англашил, 
   {{0xb38600b3,0xcc040138,0x00000000,0x00000000}},	//   _bekre_, _konseyi_, --, --, 
   {{0xd9f20211,0x13bb0144,0x48890022,0xf651008f}},	//   _посуда_, _نسيان_, _таратала, _viikingi, 
   {{0x24b903b9,0x929e021a,0xa12d02ba,0xfdce00af}},	//   _qalltaña_, _baajata_, _латту_, _винен_, 
   {{0x776c034c,0x72540142,0xddc301b4,0x25710371}},	//   _барысына_, _श्रेयः_, _drukbare_, _restauro_, 
   {{0x5f7001ca,0x666f008c,0x94640509,0xa9f500b5}},	// [da70] _binapnis_, _selvasch, _vendendo_, _havái_, 
   {{0x651f0060,0x726d0079,0x217700ef,0xf23a0045}},	//   _нәрсенің_, _gorod_, _نورمطالب_, _primenu_, 
   {{0xc2b60457,0xfa790291,0x00000000,0x00000000}},	//   _garcit_, _بتاعك_, --, --, 
   {{0xe2e700eb,0x13e702b9,0x62910342,0xe98e015e}},	//   _amansan_, _látom_, _aksan_, _талиб_, 
   {{0x9b0b01ee,0x43f900ac,0xf9b100c5,0x79f903ef}},	//   _страны_, _jabuka_, _你是匿名用户_, _habimana_, 
   {{0xc53900b5,0x863d0037,0xdfa40176,0xb3f80342}},	//   _даныгьеж, _እናገራለሁ_, _opretter_, _epouz_, 
   {{0xc24901fe,0x21ea04c7,0x974200be,0x27bb02dd}},	//   _maumi_, _хипотети, _دەپسىڭ_, _frangisk_, 
   {{0x42ca036d,0xc151020a,0x2225002e,0x0bdc0374}},	//   _bhade_, _нұрила_, _ovakvo_, _эҳром_, 
   {{0xf0ec0244,0x491e01ec,0x01760220,0xacfc05de}},	//   _ufficial, _علمیه_, _meravigl, _nordland_, 
   {{0xa317053e,0x1e070163,0xa846005f,0x673f0326}},	//   _grunnlag_, _konkrét_, _carteles_, _akangobv, 
   {{0x599e020e,0xf6d3001b,0x428701b8,0x0d590359}},	//   _baiketla_, _akhaakhi, _olukord_, _achterút_, 
   {{0xc386028d,0x130601af,0xdaf70226,0x55720025}},	//   _sekre_, _aydamok_, _bakukole, _candrasy, 
   {{0x5497037a,0xee4c0243,0x1dba0055,0x81bf0443}},	//   _bitanduk, _hemakina, _acciacca, _turmudzi_, 
   {{0x526e00ac,0xc29105b3,0x53410003,0xa362010d}},	//   _visoku_, _digkuns_, _oefenen_, _jongkok_, 
   {{0x7412025f,0xe26d03ec,0xd7aa01d2,0x70ca0311}},	//   _akanisak, _pozon_, _cuerpopi, _ንኣዝዮም_, 
   {{0xb64a0163,0xa32f05a3,0x4301012e,0x7346007b}},	//   _البریلوی, _राजपत्र_, _tavalyi_, _kindles_, 
   {{0xcd8a06d5,0x99e3021c,0xba26014e,0xd3960338}},	// [da80] _allerede_, _japonska_, _регистру_, _causit_, 
   {{0x92900467,0xf1c302ea,0xa9880047,0x00000000}},	//   _kumase_, _поморие_, _inconvén, --, 
   {{0xb230024d,0xec7401cc,0x32870086,0x57ee0671}},	//   _ngemida_, _आरम्भः_, _الملوک_, _bevaring, 
   {{0x42c40192,0x706a02c4,0xec02005d,0x737a0138}},	//   _zeeland_, _дискусии, _dibujars, _havadan_, 
   {{0x236200d2,0x58790037,0xcf1e034e,0x2b8d0099}},	//   _bongkok_, _በኖርዌይ_, _dinterfa, _echikoro_, 
   {{0x02d20247,0xa2f3010d,0xac3303dc,0x3362022c}},	//   _abiotik_, _cekidot_, _allarfyr, _congkok_, 
   {{0x62a8018e,0xe7d50349,0x33c50361,0x3eb70213}},	//   _brucioli_, _accruedw, _турнире_, _наравне_, 
   {{0x4201039f,0xcc830281,0xb2ca0200,0x92c20224}},	//   _gavish_, _sammisaq, _nbido_, _agalega_, 
   {{0xfaf9023d,0x62ca0558,0x9e8c0152,0x7d89006d}},	//   _attualme, _ibido_, _агулы_, _ацаленне_, 
   {{0xe55803db,0x3d2002e0,0xc8d40083,0x92110177}},	//   _abakhaph, _bipolole_, _acceptau, _ҵарҩит_, 
   {{0xbf3405be,0x6c3900bb,0x62b4025a,0x8fb80113}},	//   _polufina, _اغلاط_, _arico_, _blagadói, 
   {{0x739603f5,0xd49705b4,0xe396042f,0xc61d000e}},	//   _possui_, _zitanduk, _tausit_, _alongati, 
   {{0x4b640033,0xd06a034a,0x4bf40064,0x0c560314}},	//   _cuntrada_, _mazarico, _destross, _ikutlwe_, 
   {{0xe2b80114,0x22ca0200,0x90b6038a,0xa11d009b}},	//   _מתחדשת_, _ebido_, _chimpull, _доройтлы, 
   {{0x129200dc,0xcc6601a7,0x845f04ec,0x47d60331}},	//   _masani_, _pisteet_, _harenguk, _andróðri_, 
   {{0xd26c0284,0x03fa0297,0x939402df,0x02c603fb}},	//   _dobou_, _baruga_, _mansor_, _zablude_, 
   {{0x03ea0134,0xeb8d0129,0x4da001fe,0x6c8500ff}},	// [da90] _ranti_, _achikoro_, _duanadra, _וווין_, 
   {{0xe26d00f7,0x4eb60092,0x1ea40044,0xed86002a}},	//   _horoj_, _kæreste_, _attempts_, _yitebere_, 
   {{0x726c038d,0x5a0a0378,0xe2fc03b4,0xa363003f}},	//   _nobou_, _detailst, _dhigirii_, _nunglah_, 
   {{0xa4ac03cf,0x6a6500d6,0x5bc50061,0x3362007a}},	//   _fiziksel_, _رباعى_, _공학연구소_, _songkok_, 
   {{0x735a0092,0x99b20450,0x42ca01c5,0x8c420035}},	//   _お久しぶりです_, _studinte, _baadi_, _пунктлар_, 
   {{0x53ea00cf,0xb26d044d,0x727e0274,0x00000000}},	//   _wanti_, _borom_, _mennta_, --, 
   {{0x23ea0055,0x19fd03de,0xdea40125,0x62ca044d}},	//   _tanti_, _ezintsha_, _аларман_, _daadi_, 
   {{0x70660116,0xec05015d,0x520e016f,0x00000000}},	//   _cumberso, _aparaty_, _панас_, --, 
   {{0xe32000bd,0x0b6902cf,0x3b190125,0x17660041}},	//   _leeches_, _mantenha_, _энтегем_, _насыҧла_, 
   {{0x32270211,0xbec70121,0x7f630311,0xa3ce01f9}},	//   _задний_, _vosotros_, _ተርቱልያን_, _ilivi_, 
   {{0x23050468,0xd5e10177,0x024a0452,0x322a022f}},	//   _توپان_, _ркоманда_, _गळचेपी_, _бочак_, 
   {{0x7f4205e2,0xd2a001d5,0x531602a0,0x7f060388}},	//   _traslada, _árban_, _olabisi_, _пратка_, 
   {{0x57f900d9,0xc09b0092,0xc24800d9,0x96d90291}},	//   _знаков_, _改善要望の掲示板, _vaimon_, _ويوسف_, 
   {{0x69340270,0x5c0500da,0xb26c011c,0xeebc0441}},	//   _promissa_, _cursuri_, _bobou_, _polojasn, 
   {{0x76d60162,0x121201ea,0x403a00e2,0xf35a00d1}},	//   _байрақ_, _shohi_, _gritenij_, _বাইবেলৰ_, 
   {{0x5559015e,0xa86805c2,0xc0e9014a,0x466d0022}},	//   _ئبادات_, _piringed, _maradnak_, _бизнесты_, 
   {{0xe3420265,0x02ee005b,0x026d0306,0xf2300334}},	// [daa0] _leveren_, _leffe_, _andoas_, _anamula_, 
   {{0x9ce300c5,0xd3ce0119,0x19710040,0xea0702d8}},	//   _国家海洋局_, _ilava_, _גדילה_, _pacarnya_, 
   {{0x52ca02ec,0x84d7012a,0xd018005e,0x13ce0055}},	//   _raadi_, _फातिमा_, _مېغىزى_, _alivi_, 
   {{0xa2110031,0x72a703ef,0x23ce0331,0xc9b40311}},	//   _साखळी_, _ahabwe_, _blivi_, _ፍቐዱለይ_, 
   {{0xb38600d6,0xd3fa0089,0xc2400061,0x0c07003c}},	//   _fekra_, _baruda_, _도박중독자는_, _بیدمشک_, 
   {{0x44740006,0x786e00b3,0x829100ac,0x00000000}},	//   _menekank, _derisind, _uzgaja_, --, 
   {{0x83b30041,0x45f400e5,0x29df0064,0x00000000}},	//   _ахәмарга, _случка_, _دەردا_, --, 
   {{0x967901ef,0x26490008,0x4d830034,0x12910343}},	//   _правасла, _бездер_, _samvisku_, _hksar_, 
   {{0x8248003d,0xe3ea04d8,0x698a02b4,0xf6e802ec}},	//   _raimon_, _dantu_, _bakhrist, _qarannew, 
   {{0x36ea033e,0x5f740145,0x93780144,0x968f00e6}},	//   _privació, _kambarys_, _قيامه_, _您必需是该医生诊, 
   {{0x22ee0120,0x8227026f,0x43640342,0xa37a0176}},	//   _neffe_, _лицейі_, _dengonn_, _babacho_, 
   {{0x83ea01d4,0xab18019d,0xdf6d0149,0x63ce0398}},	//   _nantu_, _akwanits, _nzụkọ_, _blava_, 
   {{0x998a0467,0x126d0551,0x8e1d04d7,0xe0ab0486}},	//   _hwehwebe, _jorok_, _bloggara, _घरधुरी_, 
   {{0x52ab0409,0xb9b20079,0x8ccb01be,0x5ddb0304}},	//   _kolding_, _miljonie, _स्वयंले_, _anakmala, 
   {{0x93ce0318,0xc4920333,0xf9d00444,0x00000000}},	//   _elava_, _attraghj, _денин_, --, 
   {{0x0292025f,0xd3ea0055,0xa3170342,0x2b3d00da}},	//   _nasali_, _cantu_, _brezil_, _конферин, 
   {{0xef32032d,0xe2480066,0x43f2008a,0x92860516}},	// [dab0] _alafelan, _baimen_, _manufili_, _gomitry_, 
   {{0xb65c00be,0x2aa7032d,0xee9e0145,0xf59b0443}},	//   _элементи_, _данлап_, _магло_, _dicurahk, 
   {{0xf94c0045,0xc2ca0129,0xec740105,0xb29001da}},	//   _принципу_, _maadu_, _toruniu_, _selamu_, 
   {{0x8416000c,0x07ee01a3,0xf5930273,0x198e00bf}},	//   _алимитқә, _بلڊپريشر_, _anónima_, _ваший_, 
   {{0x420e048a,0x89de01a0,0x539402bd,0x0c9302ac}},	//   _тараз_, _amendiwa_, _canser_, _بالاس_, 
   {{0x7a3100d1,0x9e390090,0x2ff504a8,0x3d970089}},	//   _মালিকে_, _acharara, _prijesto, _буткабыз, 
   {{0xdb5000f5,0xe06502af,0x729000c4,0x8995033a}},	//   _ердәки_, _bakamugo, _sumaye_, _inskritt, 
   {{0xb26d02a8,0x020b020e,0x3fdd01c7,0xe13b02c6}},	//   _torok_, _banyakal, _какасына_, _angström_, 
   {{0xc22a017a,0x1349036f,0x63ee002f,0x939400dd}},	//   _додам_, _dovesti_, _amataqmi_, _ganser_, 
   {{0xfc740250,0x53830132,0xec5c046d,0xc7a70163}},	//   _forumit_, _programj, _ngatsho_, _بہاری_, 
   {{0x4a720018,0xe3ea0333,0xd2920140,0x43ea0082}},	//   _savasava_, _tantu_, _kasali_, _hantsi_, 
   {{0x73ea0219,0x93960030,0x00000000,0x00000000}},	//   _kantsi_, _drusku_, --, --, 
   {{0xb0fc0420,0xc4d703bf,0x3d330197,0xdabc004b}},	//   _финалист_, _табанын_, _entimide_, _визиттар_, 
   {{0x53640273,0x92a0003d,0x0292005b,0xc26e008d}},	//   _asegura_, _werber_, _masami_, _merosi_, 
   {{0x229102e5,0x116f034c,0x00000000,0x00000000}},	//   _ahojane_, _dinennän_, --, --, 
   {{0xf1dc00be,0xcbe5000c,0x5cde0046,0xc340031e}},	//   _ئشتەيتۇر, _аҳазатә_, _замандын_, _pocetka_, 
   {{0xa2ca0201,0xae4703f1,0xd26d0340,0x9c710166}},	// [dac0] _kaadu_, _spravoda, _horoi_, _aussage_, 
   {{0x04840109,0x82900429,0x739603ab,0x00000000}},	//   _कदमाहा_, _belaku_, _brusku_, --, 
   {{0x4292048f,0x426c02e7,0x49c7019b,0xc25600d1}},	//   _basali_, _libog_, _парадак_, _বুন্দে_, 
   {{0x529202a6,0xe3ea010b,0x7c17005e,0x9f2d025c}},	//   _casali_, _bantsi_, _بويچە_, _unverbin, 
   {{0xd3160202,0xb1440026,0x9d4a0344,0x19ee028a}},	//   _alabosi_, _anderhal, _hamasilu_, _magurudu, 
   {{0x6292057f,0x9c37014f,0xfed3015e,0x4a0a0405}},	//   _nasabi_, _бригаде_, _беришиби, _тісно_, 
   {{0xbaea0026,0xe0e7017d,0x09ea0166,0x82f00274}},	//   _bestelle, _この回答にお礼を, _bestellu, _mikilli_, 
   {{0xe2f00044,0xdab500a4,0xec7f0219,0xb75700d9}},	//   _טריילרים_, _түшөт_, _awusiso_, _ветра_, 
   {{0x9c6e005a,0xb6fb0148,0x3206017e,0x73420121}},	//   _ameriqa_, _砂糖事業部_, _אייפעל_, _defecto_, 
   {{0x92010119,0xeaba0073,0xb06d012b,0xfc14028d}},	//   _ticino_, _prevenit, _podpisan, _rekumans, 
   {{0x63ea0117,0x226d03ab,0x827f019a,0x026d04ef}},	//   _kantri_, _pozor_, _stents_, _coroa_, 
   {{0x89580497,0xfaef01f9,0xa9ab018d,0x79e6035e}},	//   _innocuit, _banekwes, _ቀልዓለም_, _uspomena_, 
   {{0xf3ea0534,0x98ce027b,0x8b1d0273,0x00000000}},	//   _dantri_, _कर्हिचित, _lástima_, --, 
   {{0x727f00b7,0x1b1d0061,0x8c620258,0xe1a105a6}},	//   _alanok_, _공개적으로_, _besuden_, _derifrå_, 
   {{0x443b0092,0x38da00e1,0x4249025f,0x00000000}},	//   _旅スケジュ_, _fiiraang, _mbuma_, --, 
   {{0xee55031a,0x175701de,0xc35002a3,0xf2fb005b}},	//   _beiceara, _بۇيتەم_, _stoffel_, _akihiro_, 
   {{0x8b1c01d8,0x99aa01cd,0xeb4d00a6,0xa20c0062}},	// [dad0] _artatien_, _қосим_, _amawonga_, _lughohdi_, 
   {{0x62900031,0xcdbc022a,0xb6e20013,0x4b18003d}},	//   _pelaku_, _militana, _burchagi, _cadaross, 
   {{0x337a00c5,0x2b110287,0x141d00ea,0x00000000}},	//   _高宇参加台湾_, _poslanců_, _harinjak, --, 
   {{0x7e390099,0x3959018d,0x02b400c2,0x430002ee}},	//   _achapara, _ዓሌታውን_, _irica_, _abbażi_, 
   {{0x4ccc00c2,0x837f02f3,0x808b0147,0x23be009d}},	//   _umuhungu_, _arlanda_, _جالگاسىن, _provimi_, 
   {{0x8981017d,0x18380223,0xd69b0311,0x93ff02fe}},	//   _opskrift, _тартагта, _ንኣማኢት_, _bomonzak, 
   {{0xb25f03dc,0x635e0331,0x32020073,0x3dc001fb}},	//   _hesaferð_, _tilfari_, _cosino_, _stridula, 
   {{0x420101da,0xf8130040,0x7ed501cf,0xda590076}},	//   _lexime_, _פרשתי_, _phonemas_, _снежни_, 
   {{0xe26d01c0,0x1a3b0092,0x926c0014,0xf95002d4}},	//   _doron_, _お客様の声_, _vijon_, _chalende, 
   {{0xe3ea02d8,0x22150559,0x2df4004a,0x12f10591}},	//   _santri_, _abahleli_, _класска_, _tåget_, 
   {{0x1d9100d6,0xe3f102c7,0xef5d02a6,0x59140188}},	//   _gpsegypt_, _regelung_, _strazian, _гулхоҷа_, 
   {{0x2e9c06f8,0x826d0050,0x052602b6,0x02ca001e}},	//   _viðtal_, _noron_, _بولساشىن_, _abida_, 
   {{0xedbf038d,0x63f402ea,0x10ed00ad,0x0e010235}},	//   _larantre_, _destro_, _ngungkul, _athendra, 
   {{0x226d00a0,0x4176021c,0x334900fe,0x6b000255}},	//   _horon_, _nenapadl, _laifone_, _meistrit, 
   {{0x7fe70041,0x521c00c1,0xa3180277,0xcae204f9}},	//   _латвиа_, _luthfi_, _kalipong_, _biilmann_, 
   {{0xa26c03a0,0x5acb04ac,0x89a90311,0x12f702ef}},	//   _diboe_, _столом_, _ክንከፍል_, _levitik_, 
   {{0xb1f303c2,0x0822008d,0x463603ae,0x726c0120}},	// [dae0] _finality_, _сентябри, _politidi, _kobox_, 
   {{0xd2b400b4,0x95b303c1,0x42e80414,0x6efa02ae}},	//   _frica_, _безвреме, _nabisna_, _plovidbe_, 
   {{0x026c014b,0x026d01c2,0x2213003f,0x8c6101c5}},	//   _coboy_, _foron_, _bachta_, _boorame_, 
   {{0x126d046b,0xbfed024c,0x5d060147,0x020901d5}},	//   _goron_, _astroloġ, _روحۇۇ_, _importál, 
   {{0x3a8803e8,0x92020357,0x00000000,0x00000000}},	//   _spoznala_, _virika_, --, --, 
   {{0xd31706c6,0xeb9d0109,0xbf570166,0xfc510046}},	//   _plazos_, _कानुनमा_, _gedanken, _mentida_, 
   {{0xd3c701bd,0xe4d007ae,0xf23b02a1,0x62c400f7}},	//   _алдымызд, _सारिका_, _stellig_, _bremsas_, 
   {{0xc6490057,0x939403da,0xa2a70353,0x6ed00145}},	//   _ፖለቲከኛ_, _kansar_, _slabé_, _nusipeln, 
   {{0x6b1b0342,0x424a00e9,0xf6450162,0x079e0092}},	//   _kasasyon_, _fermal_, _кликниң_, _skattefi, 
   {{0x3d460207,0x0c610206,0x5f32016f,0x00000000}},	//   _ثانيءَ_, _sestier_, _стейк_, --, 
   {{0x38450051,0x2c66004b,0xc26c0076,0xb7d00218}},	//   _meitenes_, _тарыбыҙ_, _anjos_, _arcuatew, 
   {{0xd2ca0084,0xec0f0155,0xdf6b0092,0x19f3000f}},	//   _sendal_, _tappade_, _新着コメント_, _haritada_, 
   {{0x2e46008f,0x9cbf046b,0x83f402a4,0x8dd902e1}},	//   _पोस्टकार, _amhariad_, _vestro_, _رقبته_, 
   {{0x72b40160,0x685001a1,0x31f90201,0x13ce03cf}},	//   _prica_, _trouwens_, _assannah_, _ilave_, 
   {{0xd3420661,0x526d0150,0xa3fd00e6,0xbaa001c7}},	//   _defeito_, _morol_, _种植大户和出口商, _beryarle, 
   {{0x7f5d01ac,0xd26d0172,0xd30e008d,0xa9870153}},	//   _pleanann, _boroo_, _negadir_, _特定商取引法表示_, 
   {{0x12cb015d,0xb25d0388,0xe7bf00f4,0xc2f10298}},	// [daf0] _schowka_, _anteprim, _algonkek_, _hiriani_, 
   {{0xf531003c,0xdfc804b3,0xdf35030a,0x00000000}},	//   _سیبیتا_, _dornlevr_, _bolseira, --, 
   {{0x8e5002af,0x4e0a00e6,0x4342017d,0xe5700478}},	//   _akabande_, _日为全国哀悼日_, _generel_, _finlandé, 
   {{0x12b50086,0x92020198,0x532a0109,0xca50005c}},	//   _garantál, _kosilo_, _खेलबिज्ञ, _acumbits, 
   {{0xc26d03ba,0x424803b0,0x261d0195,0x78fa03e7}},	//   _roron_, _blomar_, _innlichi, _mababaru, 
   {{0x394e0121,0xd26d02b9,0x00000000,0x00000000}},	//   _ingresar_, _soron_, --, --, 
   {{0x3994017d,0x7342012d,0xfc980444,0xb65f017a}},	//   _公式サイト_, _jenerel_, _достигли_, _agcinelw, 
   {{0xc3ea034d,0x28d30102,0xdf170037,0xe63c00c0}},	//   _nanti_, _حادثا_, _mendokon, _dumirini, 
   {{0x7c590137,0xe26d00dd,0xd4d702b6,0x60fa0255}},	//   _командыг_, _forol_, _данасын_, _सरोकारे_, 
   {{0x63ea01c5,0x3ad5005b,0x021d027e,0xcacc02eb}},	//   _hanti_, _photomat, _закуп_, _холливуу, 
   {{0xafe40193,0x1578029f,0x128d0116,0xb4ae0153}},	//   _perkanto, _posledné, _kecklin_, _時間毎に反映され, 
   {{0x723606ef,0x4387015c,0x53f20117,0xcfa004a2}},	//   _ranjit_, _anerer_, _gavening_, _gravados_, 
   {{0x453d02fe,0xb3ea0004,0x1f64014a,0xa2ca0200}},	//   _ايتاليا_, _manti_, _palacsin, _mbido_, 
   {{0x14000095,0x388c0041,0x3bd2024b,0x129000b4}},	//   _kagungan_, _ажәжәаҳә, _verdader, _urmare_, 
   {{0x55780486,0xbd6802ac,0xa3480241,0x4c640095}},	//   _poslední, _النطاقات_, _annetti_, _سربیشه_, 
   {{0x926d01d9,0x72480048,0x9e8b0040,0x0a1e02ea}},	//   _dozou_, _abalenzi_, _בהסכם_, _мисия_, 
   {{0x42b2036f,0x93fa036a,0x0e33001d,0x0da20020}},	// [db00] _gradova_, _daruna_, _scoleros_, _polokola, 
   {{0xcc6f034c,0x72830162,0x00000000,0x00000000}},	//   _basrada_, _سەزدىم_, --, --, 
   {{0xfaea0176,0x3ae40024,0x2ed60281,0x93830161}},	//   _bestille, _জাপানৰ_, _eskimuun, _окружнос, 
   {{0xb6810303,0xa23100e4,0x32ca01c5,0x00000000}},	//   _redeneri, _szampon_, _baadh_, --, 
   {{0x3ec702e9,0x83160161,0x7db300ed,0x32720322}},	//   _nosotros_, _symboli_, _kalipaya, _babiligi_, 
   {{0xd3fa005b,0x086e024b,0x02fc00b4,0xf64303b0}},	//   _haruna_, _trabajar_, _vizitat_, _tilknyti, 
   {{0x42490122,0x939403dc,0x3a3100d1,0x72b400a4}},	//   _ibumu_, _sansir_, _এতিয়াওঁ_, _atacs_, 
   {{0xf2e6012f,0xc25b0430,0xb2e1023e,0xec520229}},	//   _aranora_, _shelwa_, _ahinoam_, _osetiya_, 
   {{0x948600e4,0x5c6f00ae,0x82ca01c5,0x00000000}},	//   _स्याही_, _aturira_, _gaadh_, --, 
   {{0xf2d90154,0x5a7f004d,0x794700a3,0x2b7d0219}},	//   _guvern_, _能夠播放影音_, _minuttar_, _ihluleka_, 
   {{0x43480034,0x4c7d003a,0x50280206,0xdddd000a}},	//   _einelti_, _versiya_, _konverzn, _ilikkaja, 
   {{0x4dce0187,0xf2d900af,0x8c8b01a3,0x09c30275}},	//   _ликер_, _sprer_, _غضبناڪ_, _perepere, 
   {{0x22e9036c,0x86b70241,0x79950090,0xc7b3000b}},	//   _variana_, _asfaalti, _akakombe, _saleapag, 
   {{0x126d00ab,0x6a0700e1,0x17370092,0xa2ea00ea}},	//   _porou_, _dalallee, _年初来高値_, _atsimon_, 
   {{0xcb620178,0xd3440230,0xb74f0025,0x296a0195}},	//   _akurvata_, _hotelye_, _क्लिन्दि, _chaithre, 
   {{0x82fe0141,0x526d02f4,0x72a6022a,0xf2ca04c4}},	//   _iqtibos_, _foros_, _emoboy_, _laadi_, 
   {{0xb3fa0333,0x42da00d0,0x22d8014d,0x02e70652}},	// [db10] _varuna_, _dauela_, _sanego_, _izgladnj, 
   {{0x87bd00e4,0x62e30197,0x726e02ee,0x19a50089}},	//   _हस्तियों_, _diminye_, _derogi_, _алдамас_, 
   {{0x4e150116,0xe045005b,0x00000000,0x00000000}},	//   _haimmers_, _dotuuhan, --, --, 
   {{0xa2610159,0x73f90318,0x639f01fc,0x0a8c0061}},	//   _зверобой_, _angutu_, _currusaw_, _삼족오의여걸_, 
   {{0x49650222,0x12d80074,0xab9c001e,0x52630010}},	//   _absolume, _omien_, _likitanc, _bunikati_, 
   {{0xc2b405d6,0xa1df0299,0x00000000,0x00000000}},	//   _quach_, _بۈركۈتى_, --, --, 
   {{0x8f5d00ad,0x2b5900be,0x03fa03eb,0x00000000}},	//   _sapanjan, _бөбөк_, _marula_, --, 
   {{0xc3100066,0x8178018f,0x757100cb,0x00000000}},	//   _pribatu_, _naghboch_, _машқҳо_, --, 
   {{0x50050040,0xa6bc0243,0xbdd80097,0x20f100d1}},	//   _מורסי_, _antafaqi, _káàsán_, _বনভোজৰ_, 
   {{0xa3010200,0x5c1500da,0xb2ed01b4,0x29c0001a}},	//   _ndabere_, _recomand_, _tipiese_, _tekercse, 
   {{0xad2902bb,0x8ad1026f,0xf7570410,0xb22a0475}},	//   _komputer, _инфрақұр, _theilweg, _ночам_, 
   {{0x336a0220,0x2d2901d1,0x0d2101da,0x68010131}},	//   _хранител, _computer, _femijeve_, _lípidos_, 
   {{0xe97b057c,0x615c016e,0x63a800c4,0x026d0084}},	//   _tilhøren, _suretiyl, _دوارڪا_, _porot_, 
   {{0x39d90193,0xbeb2001f,0x639403dc,0xe2ca02a0}},	//   _प्रवर्ग_, _napolinn, _dansur_, _ebado_, 
   {{0x5a4200c5,0xc4d70125,0x725b018b,0xea9800e7}},	//   _双百亭社区奥运直, _гаралып_, _pielea_, _antiques, 
   {{0x1d1c002a,0x80a2015e,0x769a0012,0x72b406a9}},	//   _fullfile_, _بولالباي, _देखबियौक_, _fraco_, 
   {{0xabe101d9,0xdbfa033f,0x9c930276,0xc37b0092}},	// [db20] _jugendsc, _apalisio_, _كامال_, _からお求めいただ, 
   {{0x834201fb,0xed8a0789,0x94b60012,0x00000000}},	//   _effecto_, _kuherode_, _शक्तिन_, --, 
   {{0x50640175,0x115102f9,0xa41d038f,0x5318010e}},	//   _latansyo, _adorasyo, _ardivink, _balidong_, 
   {{0xd3010200,0x332000a7,0x1c1c03db,0x9386033d}},	//   _adabere_, _senyor_, _belungis, _lekri_, 
   {{0x2b4f076b,0xc8040037,0x226c02ff,0x6ffe0388}},	//   _वर्षपछि_, _ማዘንጊያ_, _hebrewol, _подоходн, 
   {{0x326c0230,0xaa9b01b2,0x5d57004d,0xf9c80374}},	//   _anbon_, _anchiass, _只有三菱汽車_, _аллакачо, 
   {{0x729000f9,0x6f4801e8,0xf7b50361,0x026402c7}},	//   _rumaze_, _apaglain, _вĕренмел, _ratlos_, 
   {{0x7b020095,0x72f3013a,0x00000000,0x00000000}},	//   _adiparwa_, _doniewt_, --, --, 
   {{0x597d0596,0x63780499,0x4e510321,0x2795034e}},	//   _dvshowre, _fagaloa_, _pojavlja, _candarav, 
   {{0x54d001b8,0x2bae01b3,0xb2b40160,0x2daa02c8}},	//   _साधिका_, _районний_, _pricu_, _plantexa, 
   {{0x167f023b,0xd44000e6,0x259a0061,0x00000000}},	//   _paleseti, _实践科学监管理念, _음란표현물_, --, 
   {{0x63ea0017,0xf2b40167,0x2af2017e,0xdc8801c9}},	//   _četla_, _frics_, _degradit, _pileteid_, 
   {{0x8e0300d7,0xfc14023c,0x5d560054,0x5fbf0233}},	//   _bosemora, _دوژنې_, _almasihu_, _parlatio, 
   {{0x853e01ee,0x07ca0037,0x00000000,0x00000000}},	//   _коммерче, _የሚመጥን_, --, --, 
   {{0x66ea034a,0xd813040a,0x7a4402d3,0x00000000}},	//   _gravació, _ryggsäck_, _quadrada_, --, 
   {{0x02fb0219,0x266802eb,0x98fb005c,0x00000000}},	//   _kushona_, _видеонуу, _baragaru, --, 
   {{0x18050338,0xe2ef033e,0x82d80312,0x121200cf}},	// [db30] _desconeg, _ammiyya_, _amaeg_, _cichanii_, 
   {{0x636c01cd,0x126d0270,0x851203d8,0xbc1203a2}},	//   _bongani_, _soror_, _stručno_, _कॉम्पैक्, 
   {{0xbdb801e1,0x760c0210,0xc50c0090,0x0f1e040f}},	//   _машинаһы, _akamusii, _akamusiy, _tindirin, 
   {{0x126d01fc,0xb4400315,0x397800ad,0x924900b4}},	//   _doroq_, _ayikanik, _wikipust, _acuma_, 
   {{0x263c01eb,0x394c0311,0x59600017,0xd23b010b}},	//   _crespial_, _ሩስያውያን_, _सामन्त_, _erileng_, 
   {{0x4c620101,0x1eab015e,0x57d70060,0x5c250087}},	//   _extrase_, _femelles_, _داناگوي_, _lavambir, 
   {{0x26a40092,0xa26c00ea,0x29d502eb,0x3d0c01d3}},	//   _宜しくお願いしま, _kibon_, _квадраты, _skarabor, 
   {{0xae730142,0x6a1e0075,0x73ea0061,0x00000000}},	//   _शिक्ष_, _einborna_, _vlotte_, --, 
   {{0xc2470255,0x9831013c,0x1d8c0178,0xbf270251}},	//   _जनमले_, _ivanişvi, _carmakha, _murtimaa, 
   {{0xd8f600cf,0x02ab01d1,0x47eb0205,0x43f803db}},	//   _araarsuu, _folding_, _акопян_, _nakulo_, 
   {{0x3c5c013f,0x2c590443,0x8b710002,0x32d803f3}},	//   _hontrol_, _taatlah_, _rukotvor, _rokers_, 
   {{0xb2c200dc,0xb2d9019d,0xa2cb01f6,0xc6330011}},	//   _asalafa_, _anzeru_, _avkorta_, _baligiyi, 
   {{0x766f0071,0xea7f06a2,0xf38602ee,0x2ad70231}},	//   _آوالاین_, _gutahura_, _fjorin_, _castitat, 
   {{0x6544020f,0xee1e0062,0x78370061,0x00490108}},	//   _andishiy, _jingorqa, _나갔습니다_, _cairanan, 
   {{0x38c5018c,0xb0f700be,0x0e5500be,0xe2b60076}},	//   _urlencod, _تاقداپ_, _دوستۇ_, _nascer_, 
   {{0x235d00dd,0xcc1c0344,0x00000000,0x00000000}},	//   _gilfach_, _ingalaar, --, --, 
   {{0xe2900278,0x0e6d036e,0xcc5503a0,0xb37101b2}},	// [db40] _jumaat_, _azucarma, _emetswe_, _assuagem, 
   {{0x4292004f,0xe5aa0479,0x697503f1,0x321b002e}},	//   _diwaan_, _bérkalku, _prenasle, _uništena_, 
   {{0xe053028b,0x026d015c,0xc26d02ee,0x4a1a01d2}},	//   _европатә, _dorop_, _bozoz_, _casccant, 
   {{0xb2e7033f,0xb2c302ee,0x5c7502c2,0x9e8404e8}},	//   _emingao_, _applika_, _matriek_, _assomís_, 
   {{0x62f9018e,0x57e40099,0x43ea01c4,0x59ce01c7}},	//   _atlhela_, _achatsiv, _slotte_, _толенмел, 
   {{0x33ce0352,0x126d024c,0xeb5f0092,0x33f9005b}},	//   _moava_, _toroq_, _ジリン急行_, _kazuma_, 
   {{0xa3ea0079,0x595a0364,0x14aa0037,0x28ae014e}},	//   _pantu_, _geklomme, _መልካምን_, _смотра_, 
   {{0xa48300bc,0x36650311,0x1b970237,0x00000000}},	//   _شدیدا_, _ከይሓልፈኩም_, _삼보해피하임_, --, 
   {{0x4c1c0253,0x8a7e000d,0x1af50544,0x28d90420}},	//   _angalaar, _osalemis, _nebukane, _таканаре, 
   {{0x828903de,0xf3ea0455,0x42c20105,0x726d0429}},	//   _endaweni_, _gants_, _stalowa_, _boroi_, 
   {{0x98ea018d,0x4c2000c7,0xb16100a2,0x00000000}},	//   _ምእታዎም_, _бераздан_, _مجتبيٰ_, --, 
   {{0x2b720156,0x1647004c,0x1f15010d,0xef0a0185}},	//   _קדמוניות_, _abahingi, _tindakan, _busagası, 
   {{0x834e0359,0x92b406db,0x83f8009a,0x89870086}},	//   _ingelsk_, _krich_, _bakulo_, _drukkere, 
   {{0x6f120047,0x62b401a4,0xcade0153,0x63ce0219}},	//   _instanta, _irack_, _申し訳ありません, _ilivu_, 
   {{0xb26d0172,0x29fa03b0,0xc9d2013a,0x19fa0382}},	//   _horow_, _einskild, _vertrued, _jarimana_, 
   {{0xb9fa0193,0x32cb014b,0x00e700da,0xa3f803db}},	//   _darimana_, _haydu_, _instalaţ, _nakubo_, 
   {{0xf6e30099,0xafbb004d,0x00000000,0x00000000}},	// [db50] _duramazw, _excursus_, --, --, 
   {{0x23ed03ff,0xbbfc04e3,0xf304002f,0x236804b9}},	//   _náušnice_, _postrojb, _bucaram_, _hangins_, 
   {{0xd2d90181,0xf12c0162,0xf14401f6,0x0a1202b9}},	//   _opret_, _қисқарти, _underhal, _magabizt, 
   {{0x648e00d1,0x00000000,0x00000000,0x00000000}},	//   _উদ্যোগিক_, --, --, --, 
   {{0x2e510108,0x9c61002a,0xebd2009c,0xc0e200db}},	//   _pamajika, _burukwa_, _apajchic, _skandaal, 
   {{0x8e1b0270,0xb3ea01f7,0x12b4036d,0xfd1d0265}},	//   _pulmones_, _cants_, _crich_, _fulltime_, 
   {{0x9e7002ba,0x27c50338,0xb36602f3,0x6859005a}},	//   _рефератӣ_, _atestaci, _tregaro_, _dururnis_, 
   {{0xf3ce0075,0xc3ce0018,0xf0b90037,0xbdf304a7}},	//   _blivu_, _ilavo_, _የምድርን_, _vindeira, 
   {{0xc3ea00a7,0x9a070067,0xbd390350,0x762302c0}},	//   _tants_, _balaalee, _አንዲትም_, _местолок, 
   {{0xe3960039,0x4e170053,0x524900b5,0x00000000}},	//   _apustu_, _kekesala, _opamba_, --, 
   {{0xfd900135,0x8240007e,0x00000000,0x00000000}},	//   _августта_, _विकलं_, --, --, 
   {{0x72130130,0x4cb90162,0xa063045e,0x520201e9}},	//   _kichen_, _қәдәр_, _лошото_, _disiro_, 
   {{0x5eab082f,0xe3160758,0xd2d802b3,0xb68603f0}},	//   _clientes_, _abizwe_, _manexo_, _fundirni, 
   {{0x029d0061,0xbf010092,0xd0c2013d,0x8305023c}},	//   _업종별서식_, _ウォッチリスト_, _rezultoj_, _خوناب_, 
   {{0x43790232,0xa3ce0321,0xc28e0188,0xd2ca044a}},	//   _vilaĝo_, _glavo_, _ризоияти_, _dendal_, 
   {{0x12910359,0x164800e7,0x801a00bc,0xbd8c0040}},	//   _greate_, _algiersw, _مردونه_, _להאכיל_, 
   {{0xb20e0039,0x349b014f,0xd290040b,0x4249028e}},	// [db60] _ханах_, _добровољ, _tumane_, _paymen_, 
   {{0xef47019e,0xf42e017a,0x6dbe0168,0x02ff0098}},	//   _януша_, _биринҷии_, _motstand_, _papirer_, 
   {{0x42ca0054,0xe37f029f,0x64ff0037,0x273a02eb}},	//   _ibada_, _galanta_, _አስትሮኖሚ_, _шошго_, 
   {{0xead50135,0xc19a04fd,0xe292005b,0xb3ea00a7}},	//   _initsiat, _काबिलियत_, _masaki_, _sants_, 
   {{0xc9fb00de,0x64ff0086,0xa3ea016a,0xaf1e03a8}},	//   _سیمینارو, _دوشنبہ_, _cantr_, _chutneya, 
   {{0xa6010086,0x81270075,0x6f200102,0x49600247}},	//   _مناسک_, _heimilað_, _matengen, _غیرعادی_, 
   {{0x22770397,0xeb570159,0x661f0274,0xba7304a5}},	//   _фармони_, _забаву_, _drenguri, _nangapha_, 
   {{0x081501bb,0x17b601b5,0x8eb002b3,0x00000000}},	//   _рухабат_, _hetelang, _cubertas_, --, 
   {{0x22b402e3,0xa2ca01bb,0x63ce0619,0xd37b02e7}},	//   _trich_, _obada_, _slavo_, _ginalam_, 
   {{0x5c32016e,0xbb9702a3,0x5db80077,0x95cd0397}},	//   _olabilir, _prinsloo_, _morissea, _косахона, 
   {{0x81d10021,0x2b350352,0xc00600bb,0xcfe400b9}},	//   _egreeday_, _kroppsøv, _حروفِ_, _berkanto, 
   {{0x62920429,0x3b0a01ec,0xc2ca001e,0x6db201b4}},	//   _hutang_, _مفیدند_, _abada_, _transvaa, 
   {{0x02920277,0x42b4054b,0x3bca0159,0x7c320189}},	//   _butang_, _araca_, _светлых_, _alabilir, 
   {{0x199200c4,0xc26c005b,0xd1060050,0x29fa0417}},	//   _عبدالرحي, _bijou_, _ngahasil, _marikana_, 
   {{0xb35c0363,0xa5b7020f,0x54a10297,0x8c00019a}},	//   _trafikk_, _پېنځو_, _fermerı_, _meisurs_, 
   {{0x869500d5,0x327e0144,0xa64f02eb,0xfdd80188}},	//   _tanterah, _tonnta_, _нямтайши, _беҳрӯз_, 
   {{0x63960116,0xc5d8016d,0xbc5c0077,0x453e0237}},	// [db70] _causie_, _ئانسامبى, _kontwol_, _문자메시지_, 
   {{0xb37f0048,0x77690037,0xe1bb00a6,0x92b40187}},	//   _talanta_, _ተመሣሣይ_, _ټلویزیون, _fraca_, 
   {{0x48d901ce,0x046602ee,0x75a60052,0x9c1400d6}},	//   _رمیکس_, _sacerdoz, _गलाती_, _chupán_, 
   {{0xc2f602ff,0x0e740423,0x5c5401b4,0x938200cb}},	//   _achitek_, _majoránk, _hertzog_, _испанӣ_, 
   {{0xe2d9048f,0x3234022d,0x554e034e,0xf372014a}},	//   _apres_, _stamane_, _cachimay, _darabig_, 
   {{0x8f3b0090,0x83dc0151,0xc26d028f,0x92e102bf}},	//   _abhuraha, _avowed_, _korou_, _ebuniyo_, 
   {{0x5ae5056e,0xd5800010,0x9e560244,0xaa80023e}},	//   _pertence, _balewebh, _кресна_, _blangkon_, 
   {{0x948101c8,0xcc320297,0xe2d80183,0x00000000}},	//   _zastavuj, _героиняс, _haneno_, --, 
   {{0x03f5035e,0x92a60116,0xe34503e0,0x9e69020f}},	//   _tekstovi_, _boobsy_, _auerzäit_, _ريښتر_, 
   {{0xb0170076,0xd2ee0265,0x00000000,0x00000000}},	//   _масовно_, _toffe_, --, --, 
   {{0xef72021a,0xea550244,0x3cb300dc,0x32040275}},	//   _globulin, _domenica_, _atuaonuu_, _ausilali_, 
   {{0xb3cf005b,0xfe45030b,0xb37a00d8,0x00000000}},	//   _flyve_, _ataayaga, _canabal_, --, 
   {{0x9b8202ca,0x2379030d,0x027f020e,0x729b013f}},	//   _mionsonr, _insanda_, _bathetsi_, _biskoaz_, 
   {{0x32b402bb,0x4c750193,0x92b60705,0xc2c7033d}},	//   _praca_, _रिक्षा_, _buscas_, _employe_, 
   {{0x21490038,0x3ce50436,0x0f200102,0x291800f0}},	//   _зигомице, _lagumdži, _watengen, _prechlad, 
   {{0xdc730117,0xc249005b,0x929100a1,0xb6cf02c2}},	//   _difrens_, _layman_, _areare_, _afhankli, 
   {{0xbc930425,0x4292005b,0x7a2a0153,0x1a05015e}},	// [db80] _نامان_, _sasaki_, _ブルウェア_, _قۇتىلا_, 
   {{0xe22300bb,0xac2600bb,0x7b6000d9,0x848d0188}},	//   _پگارا_, _پکسلز_, _ongelman_, _таблиғот_, 
   {{0x8ff60029,0x9c870244,0x12f50148,0xd9fd009f}},	//   _هاردوێر_, _бербатов_, _africam_, _noranape, 
   {{0x5c7701fc,0xc25a02d9,0x62360151,0xcc5b013d}},	//   _malsite_, _mailoa_, _banjoe_, _certigi_, 
   {{0x634f02fd,0xa3f4012b,0xd7d8003f,0x49da00a8}},	//   _chneidh_, _skutek_, _dibahdaj_, _chinaisa_, 
   {{0x7a3d034c,0xcc480121,0x63860184,0x82d601ef}},	//   _ministrı_, _concienc, _atorwa_, _poilsis_, 
   {{0x928700be,0x340a011a,0xe95d0143,0x00000000}},	//   _барсбект, _מוקסינים_, _erborist, --, 
   {{0x6d9104dc,0xe3420192,0xcd0c0153,0x00000000}},	//   _پۆرته_, _bevelen_, _もっとランキング, --, 
   {{0x0c7300dc,0x9604004d,0xb8bf0083,0x6d3d0198}},	//   _atosina_, _主要是以提供_, _allevatu, _težavah_, 
   {{0xb9480075,0x90d400ff,0xe31e019a,0xc8500478}},	//   _minuttir_, _סאציאליז, _chucken_, _aculhigu, 
   {{0x0ae702a6,0x194d0014,0x1a8c00f5,0x7b080153}},	//   _fraterne, _anglisht, _beýnisin, _回カンヌ国際映画, 
   {{0x1c2d0178,0xfcd90040,0x6f3f0239,0x15bb00be}},	//   _abrahmac, _תחקיר_, _hangatan, _تۉكۅبۉز_, 
   {{0x326e01fe,0xae670265,0xb25a0020,0xe2010005}},	//   _ieroni_, _enschede_, _lailoa_, _avains_, 
   {{0xdf670072,0x5e090061,0xfe4e01d4,0x27b801f1}},	//   _kawallun, _뷰어프로그램_, _agustinu_, _adhurimi, 
   {{0x427f04aa,0xfe1d0244,0x215d0181,0x73b00033}},	//   _diener_, _essenzia, _trafikul, _curvien_, 
   {{0x09d203fd,0x49ba023b,0xec070014,0x93f403ec}},	//   _failaina_, _palekaua_, _prishet_, _martua_, 
   {{0x4379040b,0xf2b404b9,0xaafd028e,0x0a1501d8}},	// [db90] _misanda_, _quack_, _expendis, _parabrie, 
   {{0x4046012d,0x825a0211,0x29130306,0xdc3b00d1}},	//   _bwatnapn, _lailla_, _casaraku, _ছিংগ্ৰাপ, 
   {{0xfc5100d5,0x99e6013b,0xadd10192,0x29f902af}},	//   _ahitana_, _murowana_, _둔산시티빌_, _bakarore, 
   {{0xf0f30166,0x03450092,0x13e3023e,0x00000000}},	//   _hinblick_, _aspeace_, _diadhang_, --, 
   {{0x9263024a,0x62040220,0xf31000ee,0x638a0137}},	//   _abdulsal, _musicali_, _grabatu_, _авчран_, 
   {{0x85ea01f2,0x270904c7,0x096000cb,0xe3a3022b}},	//   _топлушуп_, _сетили_, _амиқе_, _happa_, 
   {{0x471a02da,0xfc2a0339,0xa27a010c,0xc9d100f4}},	//   _fabricaç, _hōnuanua_, _कायाकल्प_, _anfeulst, 
   {{0xfb1d021b,0x9dc10218,0x02ca05c4,0x2c33020a}},	//   _моральны, _arriedma, _acade_, _موعولستا, 
   {{0x33a30246,0x327f0418,0x7e2203b5,0xa21a01b3}},	//   _mappa_, _inanç_, _memfitna, _штурмом_, 
   {{0xff6a0322,0x911a00ee,0xad300178,0x3e0f01a3}},	//   _akabihan, _траншейн, _atatpūrv, _نڌڻڪو_, 
   {{0x286801d1,0x362100f4,0x5249029b,0x00000000}},	//   _insisted, _dornskri, _maamun_, --, 
   {{0x4ab9018d,0x044b0055,0xb2b400da,0xb5900830}},	//   _ኣስናኖም_, _applicò_, _dracu_, _германин_, 
   {{0xd31600ce,0x36d00139,0xd7d60148,0x36380105}},	//   _dekalaz_, _agrakuli, _發言最多為_, _spalinow, 
   {{0xd7580052,0xe2ba00e2,0x048701c1,0x52d404ac}},	//   _तुम्रोक_, _beneamd_, _नालायक_, _unionin_, 
   {{0x83f40038,0xa37a02e7,0xbdb4028a,0xfae00081}},	//   _martta_, _dawaton_, _توبون_, _eggertss, 
   {{0x5c470192,0x93ce0092,0x36cb01d5,0x4bac00be}},	//   _포트폴리오_, _knive_, _bevallom_, _كەچەكى_, 
   {{0xa3940580,0xca550065,0xd2e900dc,0xc7a10543}},	// [dba0] _jūras_, _verstoß_, _mariuna_, _jesuític, 
   {{0xf3af0274,0xe26d055f,0x00000000,0x00000000}},	//   _tæpar_, _horoz_, --, --, 
   {{0xf37a0117,0x1c190180,0xc10102fd,0xa387064a}},	//   _gavaman_, _malprop_, _dichioll, _берзалой_, 
   {{0x275f026f,0x6a910193,0xf2eb015b,0x64960357}},	//   _بۋرشىن_, _पद्मजा_, _panisim_, _mamakeuk, 
   {{0x820200a6,0xdc6500a8,0x87c701a7,0x92340288}},	//   _sisifo_, _dentant_, _kansalai, _etamene_, 
   {{0xaa1f0192,0xf4e10122,0x427d04ca,0xd9df050a}},	//   _쪽지보내기_, _میدارم_, _bonifaci_, _sistemid, 
   {{0xe3ce028b,0x16c50654,0x18bf0372,0xdb5101e0}},	//   _anive_, _membanti, _cartrefg, _لێیده_, 
   {{0x02ca0011,0xbf4c0178,0x4dd10256,0x28cf021a}},	//   _abadu_, _akarmāpe, _inženier, _bareeddu, 
   {{0x03ab0177,0xd2fb0148,0xf26d001c,0x520000a0}},	//   _иванови_, _去論壇發表評論_, _dizon_, _ashiru_, 
   {{0x4e590074,0x72ee02dd,0x159b0177,0xe25b023b}},	//   _минималь, _boffa_, _aporekok, _maalea_, 
   {{0x801600c5,0xce940226,0x3ccc00bb,0xd9400156}},	//   _新疆新华联泰德矿, _adamuman, _ریمنڈ_, _ראָלאַנד_, 
   {{0x6dbc0437,0x337304bd,0x5e070074,0x3c1501a3}},	//   _tilstand_, _henelē_, _правка_, _بدسلوڪي_, 
   {{0x63f401a7,0xd7e7006c,0x1a87013f,0x7a0e02c7}},	//   _kartta_, _ҳитлер_, _drenkenn_, _bewaffne, 
   {{0x07470023,0xec730097,0x835f02c2,0x97bb008d}},	//   _несёт_, _itosona_, _liggame_, _abdurahi, 
   {{0x5578029f,0xded60359,0xe3020095,0x23910580}},	//   _posledný, _veenbaas_, _allahmu_, _visdrīzā, 
   {{0x83fa017d,0x12d802e4,0x87380291,0x00000000}},	//   _daruma_, _hlief_, _مبرمجين_, --, 
   {{0x330e0099,0x7678004d,0x00000000,0x00000000}},	// [dbb0] _chababa_, _一起玩趣味競賽_, --, --, 
   {{0x76b900ce,0x7fdd019b,0x3dbe01b9,0x3b6900e7}},	//   _lamazori, _пiлiгрым, _polivala, _anslator, 
   {{0x12d90440,0x02f301a6,0x63d0033e,0x3a190215}},	//   _nkanswe_, _parirau_, _ityarõ_, _matprodu, 
   {{0x13950255,0x261d03c2,0xcd98002b,0x00000000}},	//   _kutse_, _anglophi, _পঞ্চায়ে, --, 
   {{0x7eb305ab,0x7d260158,0xba170028,0xeeea0109}},	//   _internos_, _kupowane_, _dekadaha_, _आउँथ्यो_, 
   {{0xcc7d0073,0xd02a0066,0xeebe00b9,0xb7120501}},	//   _cesseva_, _momentuz_, _खाद्यसंस, _एक्दम_, 
   {{0xd2eb00bd,0x8fdf00b0,0xc26d008e,0xadbb0275}},	//   _coonter_, _xasilloo, _goroy_, _talifaaa, 
   {{0x72b40243,0x237f02f8,0x4f7f0202,0xb35b0037}},	//   _aract_, _halaata_, _ikẹkọ_, _በስተመጨረሻ_, 
   {{0x51660047,0x83430193,0x351f0170,0x553c0269}},	//   _第二十八条_, _लोकप्रति, _akholoph, _cumplido_, 
   {{0x537f022c,0x72b40206,0x39bf017d,0x16c8012c}},	//   _balarea_, _pracu_, _voldtage, _uangalif, 
   {{0x7a1e0162,0xb3fa015a,0x6dd103ec,0x0d0a026f}},	//   _кичик_, _garuma_, _sinjalet_, _دەمۇمكىن_, 
   {{0x672a012a,0xb83501a4,0x21d90361,0x00000000}},	//   _komentuj_, _ndambond, _вахьабхо, --, 
   {{0x11fe0392,0x123b0340,0xb2da019d,0xa9c3009a}},	//   _albanach_, _huamanu_, _ayankhe_, _bebeqeqe, 
   {{0x4dbf0013,0x0aa80075,0x5db70064,0x63fa021a}},	//   _hodisala, _samhalds, _душманды, _baruma_, 
   {{0xb4a90265,0x52ef02e4,0x00000000,0x00000000}},	//   _optimaal_, _bolivja_, --, --, 
   {{0x6f430044,0x76210111,0x131701fc,0x626d01bb}},	//   _apprecia, _quelquef, _baacite_, _kubogy_, 
   {{0xea0502b5,0x8934002b,0x523b00a5,0x3cf30064}},	// [dbc0] _beksingq_, _টেক্সটাই, _luamanu_, _hostaler, 
   {{0x67cc05ed,0x92b40461,0x1c250087,0x5975023e}},	//   _agashimi, _dracs_, _havambir, _dhangkle, 
   {{0x12e90034,0x03580047,0x1ef30363,0x6f5c0008}},	//   _barninu_, _anneaux_, _blåblå_, _албастан_, 
   {{0xbc440226,0x9248033d,0xdbba009a,0x16ac00bb}},	//   _agawana_, _abiman_, _amakhuko_, _تشکّر_, 
   {{0x93db00c5,0x9166020a,0xf0fb0059,0xc3430025}},	//   _安徽省金企网络技, _جالبىز_, _склонни_, _लोकप्रसि, 
   {{0x56060193,0x2b4d0320,0xd39400d9,0x1dc4058b}},	//   _वेबसाइट्, _dlawanga_, _miksei_, _prekrasa, 
   {{0x4972017f,0x26ba02fc,0x00000000,0x00000000}},	//   _ginninne, _batabari, --, --, 
   {{0xac650259,0xbe4200e6,0xecc40013,0x9c7903b8}},	//   _最近のコメント_, _无溶剂型环氧陶瓷, _aniyevic, _патшайым, 
   {{0x66f1014b,0x00470013,0x00000000,0x00000000}},	//   _ansaalá_, _кетса_, --, --, 
   {{0xa9cb0142,0x1fbc00af,0x498d0115,0x7a0a0687}},	//   _कम्पने_, _апарату_, _musyahad, _kutabona_, 
   {{0x63650388,0xfd680162,0x7c07047d,0x7a280155}},	//   _vengono_, _музларни, _konscht_, _koncerne, 
   {{0xc2ca02c8,0x4a58021b,0x1ecc0087,0x85b6007e}},	//   _acada_, _blogissa_, _leyinwan, _cetanavy, 
   {{0x7d8500c6,0x55b602b9,0xc386023a,0x0bff02df}},	//   _словами_, _باورچی_, _tvoria_, _tengahar, 
   {{0x21e30235,0xceab00b3,0xbc5700d7,0x93450398}},	//   _आकारा_, _alamatyn, _фатиры_, _graduat_, 
   {{0x83830199,0x47dc0281,0xa8d401ad,0xc84e0137}},	//   _petrotim, _anaanaav, _kamutang, _аргентин_, 
   {{0x83000274,0x526e0333,0x0a5f01fe,0xce5600e6}},	//   _notaði_, _feroci_, _tasereka_, _柏芝守活寡遭谢家, 
   {{0x3a950251,0x93fa00a9,0xcf110255,0x17ca018d}},	// [dbd0] _انصافس_, _garuka_, _suitseta, _ኣንቢበዮ_, 
   {{0xd6380253,0x800b004b,0x969c0073,0x13490358}},	//   _teknikki, _эпосы_, _disgrati, _envesti_, 
   {{0x89c3001d,0xa3fa005b,0xdbd00128,0xe2b20465}},	//   _siddhart, _haruka_, _چیکلنمه_, _gradiva_, 
   {{0x8e8801eb,0x39f50276,0x718f014e,0xaa9301de}},	//   _angirũng, _туюлуп_, _изговара, _солдан_, 
   {{0x22020224,0x9a5d01a4,0xf2b602ea,0x02c705ac}},	//   _skrifa_, _bomekaka_, _barche_, _bádir_, 
   {{0x22900292,0x5fc6004d,0x00000000,0x00000000}},	//   _mekae_, _最多三十名_, --, --, 
   {{0xcb8b018d,0xefbc018d,0xb4260040,0x7c760294}},	//   _ቅልጡፍን_, _እንዳወሰኸ_, _בבנגקוק_, _chiruki_, 
   {{0x0fc00410,0x5e1800fb,0x261d0222,0x1ba803b4}},	//   _lebeletš, _bengakwa, _inondati, _chakatar, 
   {{0xaaba0178,0x14ab004d,0x06f70361,0xae87005f}},	//   _anivedit, _太陽能熱水器_, _олигарха, _previene_, 
   {{0xd8730041,0x12b40155,0x7a2a0153,0xeff401be}},	//   _buéiva_, _drack_, _アンジェリ_, _बालाजोर_, 
   {{0x65880066,0x9ac10160,0x26ec0031,0x00000000}},	//   _харахаар, _beskoris, _सिंहगडाच, --, 
   {{0x756900c8,0xe2b505e2,0x43fa04bd,0x357a0163}},	//   _беренсе_, _efecto_, _baruka_, _قراردیا_, 
   {{0xffbe018d,0x42bb039e,0xcdc503f7,0x2f4d02bb}},	//   _ቀርነልዮስ_, _armeane_, _borðuðu_, _moglibyś, 
   {{0x6341025c,0x8c270229,0x59ff0241,0x45620153}},	//   _offenen_, _amanında_, _galiilaa_, _フェア一覧へ_, 
   {{0x926c022a,0xb39602cd,0x22d70461,0xba760095}},	//   _dibot_, _yaushe_, _demoram_, _نامعتبر_, 
   {{0x9aa70276,0x5ece02a9,0x005b00a0,0xd7980260}},	//   _баратти_, _грэка_, _fursinon, _adstrinx, 
   {{0x0e3b02e7,0xa224017e,0xf52c0009,0x7d1b01ac}},	// [dbe0] _kapalara, _mankas_, _smiselno_, _chonaire_, 
   {{0xef7900bf,0x7f240113,0x48d700d9,0x36890213}},	//   _работающ, _chách_, _maksutav, _позволяя_, 
   {{0x42b4048c,0x935d012b,0x6ff701a6,0xc218025f}},	//   _wrack_, _pomarańc, _kaikōura_, _elakisam, 
   {{0xd2130062,0xb2b402fd,0x03bb01a3,0x46ae0122}},	//   _bichen_, _arach_, _kumwona_, _dijumbuh, 
   {{0x03ce042b,0xac12006f,0x8d5d00da,0x62ba028b}},	//   _glavu_, _utaratib, _практикэ_, _hendami_, 
   {{0x7c6102c1,0x88890246,0xb551019e,0x03f80176}},	//   _rukundo_, _застрахо, _штомесяц_, _yakumo_, 
   {{0xf22405a7,0x22240255,0x5a7e00be,0x73ea0168}},	//   _bankas_, _palka_, _каскадын_, _inntog_, 
   {{0x72d90396,0x232800be,0x226c00fc,0x1a140013}},	//   _liberu_, _تورپوق_, _dibom_, _беларусг, 
   {{0xb20100fa,0x748501b7,0x585a00fb,0x525b0559}},	//   _laging_, _वेतालः_, _abangawu, _abalwa_, 
   {{0xd2cd0041,0x002501f6,0xb80000c5,0x922400e4}},	//   _аиуаанӡа_, _সংবিধানৰ_, _拜拜口臭口腔溃疡_, _walka_, 
   {{0x316002ac,0x520202fa,0x82fd05b5,0x449103b0}},	//   _ولاقوة_, _misiyo_, _nocivos_, _prestegj, 
   {{0xd2d600a7,0x582902ac,0xcbe702ea,0x87a9046b}},	//   _tallers_, _تتمتع_, _ispettor, _isetholi, 
   {{0x12ee0166,0xb2000211,0x452f0062,0xa3170322}},	//   _hoffe_, _avoin_, _darinmoh, _abazwe_, 
   {{0x236f039d,0x85ac01cd,0xfa900331,0x085f01d7}},	//   _tshuilem, _олиму_, _freistin_, _antruras_, 
   {{0x245502bb,0x7224012d,0x0cd10056,0x3dbe003a}},	//   _रबीन्द्र, _bankis_, _пинҳон_, _moliyala, 
   {{0xd886048a,0x71cc017f,0x5ea2019b,0x23870478}},	//   _функцияс, _kommunim, _smulkmen, _aperat_, 
   {{0x52020367,0x80880040,0x00000000,0x00000000}},	// [dbf0] _ensino_, _וגבינה_, --, --, 
   {{0x63ce0831,0x724700db,0x2222008d,0xd972046b}},	//   _olavs_, _घुमले_, _гуруҳини_, _gwendrae, 
   {{0xf213046f,0x069300d9,0xe3510193,0x5b3503b7}},	//   _sichen_, _окружающ, _सल्ले_, _ailboxes, 
   {{0x1358021c,0x0dd60233,0xb2900180,0xfc910042}},	//   _letenky_, _budhisme_, _semans_, _aumentou_, 
   {{0x52ca00d6,0x1290026a,0x1c620269,0xa2b401e6}},	//   _bbadi_, _balavu_, _resumen_, _prach_, 
   {{0x1dc70021,0x07fc0192,0x12d502c8,0xd6bb0019}},	//   _urtherfa, _민간인학살_, _valoiro_, _айлананы, 
   {{0x7e1a0084,0x02b4008d,0x69af023d,0x00000000}},	//   _padepoka, _vrach_, _спекулац, --, 
   {{0x4ae7008d,0xaf5f02a2,0x4c76013a,0x4699006d}},	//   _тушкунли, _eksakton, _datumer_, _астрашэў, 
   {{0x32d9035e,0xf1cf019f,0xc3190291,0x00000000}},	//   _oprez_, _عقلمنديء, _ريجان_, --, 
   {{0x19dc0281,0xfa8e03bf,0xda7600c1,0x3c1c030d}},	//   _anigaase, _diunibes, _dialokas, _anormals, 
   {{0xc25a00dc,0xc58403dc,0x126d019c,0xc3bf004b}},	//   _sailia_, _reglunum_, _egbogi_, _dikwere_, 
   {{0xa68005f7,0x1ebc01db,0x7379006f,0x3a1900a4}},	//   _ieuencti, _ءﺷﻮﻟﺴﯩﺰ_, _misaada_, _treballa_, 
   {{0x435401d6,0xacbe01d2,0xe2fe0194,0x00000000}},	//   _omvendt_, _antarasu_, _taugaj_, --, 
   {{0x43950082,0x084b018d,0x22da0254,0x5c23058b}},	//   _rutsa_, _ንመሰልካ_, _abuela_, _demantir, 
   {{0xc17d0178,0x5395032e,0x704101c9,0x43960053}},	//   _agraphal, _sutsa_, _किसाननके_, _sirsak_, 
   {{0xb44000de,0x538700c3,0x6da2042d,0x17040181}},	//   _ayakunik, _sperat_, _antokona, _buschauf, 
  
   {{0xd2de037f,0xdb3f0153,0x159e04df,0x296700a7}},	// [dc00] _sakinlər_, _ションです_, _bildiňiz, _буддистт, 
   {{0x734801d4,0xdf6c00a7,0xa29005d7,0xaeb201aa}},	//   _difetti_, _жылкы_, _sumale_, _itrogenn, 
   {{0x12410486,0x299d0094,0x0e19008d,0x93420220}},	//   _संघले_, _дарын_, _حکومتگه_, _effetto_, 
   {{0x54070519,0xc2d900a4,0xc05b0082,0x5be002c7}},	//   _सुखदेव_, _urgell_, _fursunon, _beherrsc, 
   {{0xfe550107,0x22900372,0xabb30405,0x6b760238}},	//   _صورتم_, _cemaes_, _нескінче, _зайчик_, 
   {{0xe28702ec,0xb26d0611,0x2f11046f,0x3c4b0050}},	//   _شہمار_, _anron_, _diddelen, _ngitung_, 
   {{0x4d0a017f,0x0a3a03a2,0x4f210274,0x49290040}},	//   _biologit_, _लालकिताब_, _fallegar_, _יחולו_, 
   {{0x2ae70045,0x7a160067,0x125b0028,0x0926029d}},	//   _медицине_, _babbaree, _taalaa_, _cauciucu, 
   {{0x72e90190,0xd26f01b5,0x925a01c4,0xaebd02c2}},	//   _engiden_, _entumbul, _geklim_, _fillipyn, 
   {{0xb2910388,0xc7c70158,0x5d0c025a,0x00000000}},	//   _creare_, _लम्हों_, _kugushir, --, 
   {{0xddbe0065,0x6a8f01e8,0x0dbe00dc,0xcf8900f8}},	//   _entstand_, _hilimuan_, _solipala, _ইচ্ছেঘুড়, 
   {{0x59ab00bf,0x940e0144,0xc9290148,0x56820053}},	//   _экрана_, _teorainn_, _中廣新聞網_, _रेहान_, 
   {{0xcf4c03a7,0x52dd0148,0x61ff007a,0xd501029d}},	//   _presbyma, _週一至週五_, _kalaulah_, _текстулу, 
   {{0xe2bf017d,0x6da40044,0x7bda0094,0x224f004d}},	//   _ザ操作端末_, _returned_, _ايماقتىق_, _台北臨時郵局_, 
   {{0x920006bd,0xa394025b,0x32e90191,0x3a7603d6}},	//   _linić_, _asdsa_, _kopiera_, _लग्नेश_, 
   {{0x8b610095,0x9c5304a2,0x21cf0037,0x39d3032d}},	//   _barengan_, _portela_, _የአርሰናል_, _фильмдар_, 
   {{0xef750424,0xf17d0040,0x0dbc01b3,0x4c1505b3}},	// [dc10] _активити, _ביהוד_, _угода_, _sarpcco_, 
   {{0x52900318,0xe2d603d2,0xcf360080,0x42130004}},	//   _halatu_, _nadobro_, _danskeqa, _michan_, 
   {{0x9629022d,0xa94f0216,0x305300e6,0x03bf06a2}},	//   _cimiteri, _emilenge, _中国文化遗产日_, _inkware_, 
   {{0x82910359,0xb1770211,0x6b9d0314,0xf2fd015d}},	//   _steane_, _kalastel, _урамында_, _skanery_, 
   {{0x52c50374,0x9c04012c,0xbe28018b,0x42900282}},	//   _beeline_, _taasisi_, _митингур, _matatuhi_, 
   {{0x685d019a,0xb3450084,0xe2370157,0x1a6d0007}},	//   _herzegov, _kuadrat_, _प्रतिभास_, _kongenga_, 
   {{0xcbde018d,0x00a9041a,0xf342022a,0x8213005b}},	//   _ጉባኤኛታት_, _французь, _sevelen_, _aichan_, 
   {{0xbb5b00dc,0x12de013c,0xc2000183,0x965d01f3}},	//   _faitaaga_, _hakimlər_, _andiam_, _hejnová_, 
   {{0xbaf7013d,0x0c7e017a,0xca2600db,0x50cf00d7}},	//   _raporton_, _гражданӣ_, _बराबरे_, _bokonsal, 
   {{0xe9dc0138,0x10350085,0xb2130004,0x13420059}},	//   _başlangı, _indegino, _dichan_, _offerto_, 
   {{0x0e260411,0x2262038e,0x7c7300b7,0x722700ec}},	//   _фактом_, _ध्वनिमुद, _мухтерем_, _песенная_, 
   {{0xccea0012,0xe2f4004d,0x9b170452,0x00000000}},	//   _ढुनमुना_, _habitam_, _सणसणीत_, --, 
   {{0xdc7e01b4,0xeb6e02b7,0x7373018b,0xd8810364}},	//   _verskyn_, _willybir, _инундаци, _bemierku, 
   {{0xf595004f,0xfa0e017a,0x00000000,0x00000000}},	//   _kawewaay, _aziphend, --, --, 
   {{0x98100263,0x926d0205,0x02130181,0xdc290039}},	//   _prachtig, _biron_, _aichin_, _konparts, 
   {{0xa40102ff,0x54d700ee,0x0c7c01e5,0x1645000c}},	//   _ameriken_, _хананы_, _ajesara_, _атрадици, 
   {{0x427f02c2,0x195e00bd,0x2e860238,0x42190060}},	// [dc20] _tiener_, _wealthie, _графік_, _поштамен_, 
   {{0x0c9303ce,0xb5580037,0x346100c5,0x564f00f6}},	//   _سالان_, _ይረዳናል_, _国防科学技术工业, _biabırçı, 
   {{0xd305034e,0x7c1d03d4,0xd26d0390,0x00000000}},	//   _arcataj_, _цигарете_, _firon_, --, 
   {{0xfe1a0193,0xc7a00052,0x4a1402f6,0xb5e9004a}},	//   _मधुबाला_, _इलाहाबाद, _makasama_, _bazarnı_, 
   {{0x7b080148,0xf60801d5,0x913c01f2,0xb8670073}},	//   _木材運輸證_, _اسٹڈیز_, _тәгмәйди, _tresores_, 
   {{0x8eb10288,0x193b026e,0xaa5d01a4,0x38150088}},	//   _verlobun, _संस्थागत_, _bomelaka_, _сурасам_, 
   {{0xbde60122,0x62640503,0x53d101e0,0xd7b500c7}},	//   _prajurit_, _forlag_, _ڕێناس_, _буынын_, 
   {{0x1c5c0122,0x6c040339,0x8ba8026f,0x8e1e002b}},	//   _conteol_, _hāmākua_, _دەسپەنەن_, _বিশ্লেষক_, 
   {{0x3c3a0411,0xf2000222,0x52ee00dd,0x822b03d8}},	//   _людей_, _avoir_, _hoffi_, _filmove_, 
   {{0x82ee011b,0x1980001d,0x9c760255,0x68800212}},	//   _koffi_, _articule, _पित्ती_, _articulu, 
   {{0x11700026,0x16b7019f,0x032901b9,0x7365012d}},	//   _책임한계와_, _چالاڪي_, _konverti_, _munggao_, 
   {{0x2dcf0242,0xa15c02ac,0x327f02c2,0xe2390037}},	//   _reaksiya, _لتسهيل_, _siener_, _አሕዛብም_, 
   {{0xc1b3029e,0x32e402a4,0x153a024a,0x38bf00ee}},	//   _notennoù_, _robomop_, _araniniy, _alderatu, 
   {{0x5ba70087,0x231e01d9,0xbeb3026a,0xd1bc01db}},	//   _akuyalus, _ukucken_, _napolion, _جۇڭەڭ_, 
   {{0x003f01ca,0x36e800aa,0xf2d804f4,0x726d0176}},	//   _earthlin, _emicrani, _manejo_, _piron_, 
   {{0xc6e80092,0xa26d021a,0x62d50195,0x00000000}},	//   _イスタンブ_, _biroo_, _eatorra_, --, 
   {{0x0c890016,0xc1b404df,0x412b018d,0x93f40296}},	// [dc30] _מחותן_, _азман_, _ኣፍዓበት_, _lusten_, 
   {{0x22e300ce,0xb56a0148,0xf88001af,0xac0102c2}},	//   _familye_, _第二十五條_, _artykdyr_, _geysers_, 
   {{0xeb4e019d,0x59f60163,0xd37a01a9,0xcd2900e2}},	//   _amawanda_, _یوریا_, _tocando_, _fernijde_, 
   {{0xc1970366,0x26c9018d,0xd5660780,0xbf790037}},	//   _районе_, _ኮርኮራን_, _europæis, _ኪንግደም_, 
   {{0xc26303b6,0x03960540,0xf5f3000c,0xd581043c}},	//   _adebísí_, _missti_, _ахирурги, _associaç, 
   {{0x73f400d5,0xc88702b6,0x8a7c036c,0xf24a005a}},	//   _martsa_, _намазды_, _betaveta_, _nesmej_, 
   {{0xf7c80014,0xefae01ef,0xa3ce000b,0xd45f0029}},	//   _ቤተሰብን_, _шапку_, _anave_, _رونناسی_, 
   {{0x870e0040,0x22f703c8,0xea3300be,0x33fd0099}},	//   _חולדאי_, _terisak_, _شاكةك_, _chizora_, 
   {{0x23f40137,0x82ee017c,0x531b0061,0xbec20187}},	//   _eusten_, _soffa_, _슈퍼가디언_, _костими_, 
   {{0x837304aa,0x330501b7,0x3fa9033d,0xbeb70145}},	//   _binaine_, _लिखित्वा_, _biyotewo, _kreipėsi_, 
   {{0xad2e023c,0xc9ea0332,0x395000cb,0x926d008e}},	//   _akunguye_, _barranqu, _akalinde, _layook_, 
   {{0xb3100065,0x134001d7,0x839500c8,0x61460012}},	//   _kurzer_, _daventa_, _butse_, _नहिंये_, 
   {{0x026d00ee,0x49c301cf,0xfec50261,0xa403026f}},	//   _kirol_, _rejectat, _absorbas_, _روﻟﯩﻦ_, 
   {{0x5cbe023e,0x77a40220,0x89cd03fe,0x83f40155}},	//   _kotabaru_, _sopravvi, _филиппов_, _kusten_, 
   {{0x529001a7,0xc2fe040e,0x0e9e01d2,0x5153034e}},	//   _alkaa_, _elbilar_, _bromakun, _explicay_, 
   {{0x02d803ef,0xca7c006a,0x5c3d0224,0x9c6f00c1}},	//   _maneko_, _vetaveta_, _fellihýs, _terusik_, 
   {{0xad340044,0x1ec30253,0x620e00da,0xf93b04e3}},	// [dc40] _באיטליה_, _asanninn, _рамас_, _vidljiva_, 
   {{0x59f601aa,0x42ed0061,0x0b840678,0x37ed02fd}},	//   _invasive, _기술공학계열_, _nemožno_, _foramnag, 
   {{0x5bad01cd,0x75a20053,0x4ac001c4,0x486a0048}},	//   _nothando_, _निमती_, _misverst, _bannanfu, 
   {{0x5cac02b0,0x96650211,0xb2b401d2,0x40740162}},	//   _leistung_, _светильн, _asach_, _әҗдад_, 
   {{0xdf9b03e6,0x726d0185,0xaeb103f5,0x790701bd}},	//   _alleguer_, _birol_, _sujeitos_, _جازسام_, 
   {{0x167f0216,0xe2d8005b,0xa2ee046f,0x353e0374}},	//   _ehleketi, _kaneko_, _hoffn_, _синовини_, 
   {{0x26d00011,0x11e500b7,0xf37b029b,0x6d8200df}},	//   _babatumi, _berseniz_, _kananam_, _vetement_, 
   {{0xc9bf01d1,0xf740027b,0x22d90373,0x00000000}},	//   _moderate, _क्रिस्ता, _haveno_, --, 
   {{0x6784027b,0x4b980268,0xe379025f,0x0fc70038}},	//   _acireṇai, _ontinuec, _dikando_, _cäwdät_, 
   {{0x72900445,0xb48f00f0,0x75940278,0xbb640251}},	//   _demais_, _potvrdiť_, _cyberjay, _hortagga_, 
   {{0x42ee012f,0xa95f027c,0x53860083,0x9c7c0034}},	//   _confi_, _میرکل_, _storta_, _bensín_, 
   {{0x978500de,0x7f7f00bb,0x9387012d,0x7eb700ec}},	//   _مختصره_, _مستحسن_, _speret_, _objektas_, 
   {{0xd2d80403,0x53f901fc,0x9704014a,0xeafe02b2}},	//   _maneho_, _diguru_, _spirituá, _смачно_, 
   {{0x426d00ce,0xa779047b,0x23f6008d,0xe2910478}},	//   _bizou_, _fiskidag, _одоблари_, _creant_, 
   {{0x927e04d7,0x33780125,0xe2a7014f,0xd4b40171}},	//   _einstakl, _bikanun_, _напора_, _polaznik, 
   {{0x034602e2,0x24020416,0xe2d8006a,0x5736018b}},	//   _sawdust_, _altrimen_, _naneho_, _украинен, 
   {{0x3249021a,0xfc6b0168,0x27c7012a,0x441d0099}},	// [dc50] _obaman_, _fokuset_, _kulturow, _angadaro_, 
   {{0x73750416,0xabba0128,0x93440066,0xe22400e4}},	//   _airgrip_, _газетами, _sendotu_, _lalka_, 
   {{0x876d0036,0x67db04d7,0x640d02db,0x6b8a02af}},	//   _الشأن_, _samstaða_, _storeyan_, _irinumir, 
   {{0x82ca0183,0x837701bd,0xc9e30183,0x51490313}},	//   _abidy_, _حىنان_, _bizoroka_, _musonmeh_, 
   {{0xe2f1040a,0x5b8a006c,0x02e90120,0x20990354}},	//   _säger_, _холов_, _barisna_, _маслашқа, 
   {{0x8379045c,0x4c5c04f2,0x49c3012f,0xf49c03b0}},	//   _zdravia_, _vietbao_, _berebere, _আগস্থান_, 
   {{0x42bd01e4,0xa299005e,0x1b7e0165,0x9dc301ef}},	//   _prodám_, _دۈشەنبە_, _donumaka_, _anekdota, 
   {{0x92590074,0xf2c60086,0x83ea02aa,0x230d0040}},	//   _появится_, _eduline_, _nafty_, _איכפת_, 
   {{0x5a88029e,0x3e1702d8,0x3c7c0764,0x924802d4}},	//   _enlinenn_, _kekebala, _akasika_, _temma_, 
   {{0x01980193,0x00000000,0x00000000,0x00000000}},	//   _उद्योगधं, --, --, --, 
   {{0xa3ce0275,0x43640313,0xcd9f0117,0x93b20064}},	//   _aniva_, _cheghpa_, _okanaesa, _сексенба, 
   {{0xafd50152,0x637900d2,0xeb8a0328,0x1f2901df}},	//   _leninogo, _cisarua_, _arinumir, _conterma, 
   {{0x12900141,0x49a002b1,0x00000000,0x00000000}},	//   _baland_, _durkushe, --, --, 
   {{0x6d9e0305,0xbeb90171,0xc29002fb,0xe30202af}},	//   _kosthald_, _lažnom_, _salapu_, _ndabace_, 
   {{0xfb5b0072,0xdf9201ec,0xf75e0218,0x3c6f031e}},	//   _lurtanxa_, _adedasar_, _arriving, _dajući_, 
   {{0x463b00dc,0x6a8a0315,0xd2d800f7,0x46f101f3}},	//   _aleituai, _atinamib, _admonas_, _okrasná_, 
   {{0x76c70099,0xe15c034c,0x00000000,0x00000000}},	// [dc60] _babamudi, _буҗак_, --, --, 
   {{0xb8cf00ba,0xa2fc04b2,0x528801d9,0x14810365}},	//   _بلۆکی_, _mabigat_, _erakomm_, _मामाघर_, 
   {{0x0d820263,0x83ea02e2,0x599700de,0xd41600cf}},	//   _betekent_, _clothe_, _bamhleka_, _boordiin_, 
   {{0x0e340169,0xdc3400c4,0xb7cb00ce,0xb9e30244}},	//   _উচ্চতর_, _قبولڻ_, _spesyali, _гората_, 
   {{0x2ce1013f,0xf2d8045c,0x6225019a,0x2c1f02c2}},	//   _skridoù_, _odmena_, _dickey_, _skepper_, 
   {{0x3c580435,0xcb0600cf,0x00000000,0x00000000}},	//   _umetnik_, _gurracha_, --, --, 
   {{0x49cc0086,0x2a770308,0x026c0013,0xaf5d038e}},	//   _rendelke, _senggama_, _libos_, _serangan, 
   {{0xe13f0163,0x361d04ca,0x5539021b,0x00000000}},	//   _telephel, _ordovici, _гормонов_, --, 
   {{0x420203f3,0x5dbe033d,0x664c0156,0x2de101cc}},	//   _risico_, _ekzajere_, _שמייכלען_, _रासक्रीड, 
   {{0xa22502e7,0x6c460152,0x523100bf,0x82e6029f}},	//   _hickey_, _gruziä_, _местонах, _hranica_, 
   {{0x24500099,0xe25b00f4,0x43bd0078,0x72040007}},	//   _aindiudz, _abalip_, _призната_, _bosikoli_, 
   {{0x4d12022f,0x40780156,0xd06102cf,0x437f00b5}},	//   _поясам_, _געצאָלט_, _авантура_, _iylanda_, 
   {{0xcba402a2,0x82830161,0xc9f903d9,0x5ae1002b}},	//   _antipolo_, _vinkkaa_, _bakalore, _হইতাছে_, 
   {{0x12ba0138,0x229006a0,0xe29700e0,0x685f0016}},	//   _kendimi_, _balaod_, _dankert_, _esprimas_, 
   {{0xa2d901fe,0xaea002e4,0x4320033c,0x92d9029b}},	//   _bavelo_, _akkużati_, _boncyrs_, _gangoori_, 
   {{0x32ba01f1,0x7a0a0153,0x5445004d,0x995e02dd}},	//   _mendimi_, _ございます_, _威格乾濕洗專門店_, _eurosist, 
   {{0x63ea026c,0x88b7005e,0x71980193,0x57980256}},	// [dc70] _multum_, _قۇۋۋىتى_, _उद्योगां, _jezdakov, 
   {{0x6dba0052,0x02ba012e,0x3149033e,0x639502f6}},	//   _kotouče_, _gamepod_, _чирикбаи, _dutsa_, 
   {{0xfd9000a4,0xa98e0128,0xdeac002e,0x00000000}},	//   _келди_, _валий_, _iznošenj, --, 
   {{0xacf001db,0xf9c304dc,0x52aa01ea,0xa9c705ab}},	//   _пенденің_, _کاتبه_, _qаbul_, _próstata_, 
   {{0x89240255,0xc209005d,0xdd5501b5,0x05b30257}},	//   _विश्वविद_, _иакобашв, _himasiku_, _birkisdó, 
   {{0x11a50444,0x826c0032,0x0d77044b,0x00000000}},	//   _алайкум_, _dibos_, _kammerat_, --, 
   {{0xa2d102c3,0xe2d8013d,0xc3bb00a8,0xe1650349}},	//   _človek_, _memoras_, _clavaus_, _ectorsay_, 
   {{0xbc160192,0xc3950288,0xba6d0225,0xf6d20105}},	//   _스포츠산업의_, _butsi_, _kongonga_, _lekarski, 
   {{0x437501f1,0x162c002c,0x1dd000c5,0xda7e01f1}},	//   _bardhë_, _emanaldi, _新华通讯社_, _publikis, 
   {{0x5c69000c,0x253701db,0xd27e0039,0xe3950082}},	//   _avatiky_, _شىقپايدى_, _emongo_, _dutsi_, 
   {{0xa2ff0082,0x32040049,0xb2fc00dd,0x09aa0160}},	//   _moriyar_, _hisitoli_, _arogli_, _paljenja_, 
   {{0xe20e01e1,0xe37d0241,0xf2230187,0x22330187}},	//   _табан_, _baradhe_, _judiciár, _cardápio_, 
   {{0x438200bb,0x7ec2011b,0x7e1f0107,0x02360050}},	//   _باؤلر_, _bonzambe_, _amoghapa, _ateji_, 
   {{0xfd3c018b,0x33bc0436,0x9d6001d5,0x835b037c}},	//   _господэр, _travnik_, _سجادیہ_, _congrua_, 
   {{0xaf270388,0xf2d80018,0x97ab0120,0x1e3704d7}},	//   _палатки_, _jemesa_, _yastiqmi, _bikarkep, 
   {{0xc3ea0148,0x41bc0162,0x0f870287,0x7c2402aa}},	//   _cultum_, _خۇنەن_, _छड्के_, _atlasfir, 
   {{0xe2ee013c,0x82d9012c,0xc4220012,0x624400ba}},	// [dc80] _sinfə_, _shangwe_, _पढ़बे_, _پرۆلیتار, 
   {{0x16250193,0x05b8004f,0xe3060052,0x850a0187}},	//   _प्राजक्त, _addinaam_, _स्थितिमा_, _castanho_, 
   {{0xce640040,0x8acb02a7,0xc0ce0439,0xb29001df}},	//   _בנהריה_, _inimagen_, _lahlekil, _hunkers_, 
   {{0xa896026f,0x126e015d,0x12fc00c7,0x1a3c0109}},	//   _ءﺳﯘﺗﯩﻦ_, _europy_, _tabigat_, _बम्जन_, 
   {{0xc53700ff,0xe7d703f8,0x45fa01db,0x5ddc02ba}},	//   _אָרקעסטע, _calgaryv, _саммитін, _васеътар_, 
   {{0xdd200333,0x97c70244,0x868e00be,0x40670012}},	//   _glossair, _насилие_, _кармалып_, _अलासँ_, 
   {{0x63230398,0x026c0086,0x0dbc0102,0xd3f2032d}},	//   _бергенде, _bajom_, _bilicana, _fupereng_, 
   {{0xb7c4021b,0xe9c70515,0x02fc0278,0x83ea019c}},	//   _незареги, _eveliara_, _puchong_, _enití_, 
   {{0x630c00d6,0xb9e301f6,0x2aa5001c,0xc28d0462}},	//   _cosaint_, _অসম্পূৰ্, _barisbis, _ampsclay_, 
   {{0x72fe039e,0xa3f90084,0x8f3504a7,0x00000000}},	//   _borgja_, _digugu_, _catalás_, --, 
   {{0x527e01eb,0x0296001c,0x00000000,0x00000000}},	//   _amondo_, _macorã_, --, --, 
   {{0x45c70212,0xf13102d8,0x3d1702c4,0x260a05da}},	//   _gwebcach, _mendesah_, _карпош_, _automovi, 
   {{0xc9dc0087,0x00000000,0x00000000,0x00000000}},	//   _lunghise, --, --, --, 
   {{0x02480502,0xccab01e1,0xea77050c,0x714a0037}},	//   _gemme_, _объектта, _हावभाव_, _የአንባቢ_, 
   {{0x726c0141,0x53540193,0xed2c01e9,0x1c130631}},	//   _tibor_, _menerus_, _badirise_, _sikrings, 
   {{0x4e160235,0xefb203b0,0xc3780193,0x5281048c}},	//   _prabhuḥ_, _কর্মবিমু, _senapan_, _aachagh_, 
   {{0xecdd0061,0xaf400594,0x9a0a01a7,0x345e0156}},	// [dc90] _사람이라면_, _langrenn, _upsalast, _יוניאניז, 
   {{0x636501e8,0xf7a20142,0x32780488,0x7f1d01ee}},	//   _anagayn_, _स्थानेषु_, _grunts_, _комитета, 
   {{0x2a7302d7,0x0c200497,0x82940244,0x43860269}},	//   _ningunha_, _lamprey_, _disabili_, _otorga_, 
   {{0x92a700cb,0xbc870361,0x9b8200ba,0x937e01db}},	//   _тахорат_, _северные_, _وخۆیه_, _شياۋديڭ_, 
   {{0x6beb018d,0x62d80604,0xaf890013,0x5b9e0359}},	//   _ዘይኰኑስ_, _bemera_, _чекади_, _lichtaar, 
   {{0x2d7d00bc,0x3395046d,0xcc600107,0x5d8a01d9}},	//   _اجناس_, _mutsu_, _kemutan_, _opgebaut_, 
   {{0x82240352,0x084800c8,0x03ec02f3,0xc2900259}},	//   _fylke_, _һәҙиә_, _favoritk, _druknet_, 
   {{0x0cf00016,0xe825004a,0x348a034e,0xc2d0026c}},	//   _עלימיניר, _алмания_, _americaj, _laborum_, 
   {{0x0a090142,0xe611013a,0x53ce0326,0x502b00d1}},	//   _ambarast, _qualitei, _anavo_, _চলচিত্ৰৰ_, 
   {{0x8f2f0591,0x5c7e008e,0x120102f7,0x437c0322}},	//   _annonser_, _andsél_, _lebiwa_, _bararye_, 
   {{0x62d80285,0x018402f6,0x590f006c,0x353e0291}},	//   _remera_, _kinakail, _akhamulu, _تأشيرات_, 
   {{0xfda900ee,0xc20e0187,0x1c60050a,0x00000000}},	//   _уранчимэ, _барал_, _hukukun_, --, 
   {{0xd2d801f8,0x726d0288,0x1c6903ee,0xb3640108}},	//   _yemera_, _girow_, _sportom_, _jongjon_, 
   {{0xe277011d,0xc3b70156,0x00000000,0x00000000}},	//   _activezi_, _מייַלע_, --, --, 
   {{0x7201040b,0xa26d00c7,0xe9800059,0x45d001af}},	//   _bebiwa_, _kirov_, _comincia_, _ansambly, 
   {{0x2ea40128,0xdcc00573,0x00000000,0x00000000}},	//   _рлардан_, _arrimuhu_, --, --, 
   {{0xf3820715,0xe87e0040,0x12250282,0xd5400291}},	// [dca0] _उग्रवादी_, _מודלים_, _anakē_, _للنجاح_, 
   {{0x93790483,0xb5200077,0xdc7c0278,0x0d960400}},	//   _colapso_, _anfouray, _mukshin_, _alcoliza, 
   {{0x4eef0169,0xed7d009a,0xd2010170,0x8379010b}},	//   _নিউজিল্য, _دجلال_, _amfiti_, _dikapuo_, 
   {{0x525a0554,0x86b7018c,0xf8fa0103,0x226d0466}},	//   _zbilja_, _russisch, _angaduru, _nazovi_, 
   {{0xf6cc0238,0xf5120466,0x2a440156,0x71340156}},	//   _avkastni, _stručnog_, _דאללער_, _באויפטרא, 
   {{0xe1770013,0x5429051a,0xc85500f2,0x6289028b}},	//   _бешта_, _himpitan_, _sapulces_, _morotî_, 
   {{0x773b0094,0x195d01e9,0x126d01f4,0x61d90086}},	//   _اعزامى_, _diensaet, _birov_, _وغيرہ_, 
   {{0x31e50094,0x525b0092,0x62d80017,0x00000000}},	//   _сырнай_, _chelli_, _takeit_, --, 
   {{0x22d4042d,0xa9690184,0x00000000,0x00000000}},	//   _famoran_, _rikiyere, --, --, 
   {{0xff4d00c5,0x28b600c4,0x9ea7009a,0x0a7c0140}},	//   _有下列情形之一的_, _زرخيز_, _akululan, _binabasa_, 
   {{0xa64e00e7,0xdc6903bd,0x276d021f,0x00000000}},	//   _alaninew, _gisulti_, _convanti, --, 
   {{0x7e07014f,0xa319004b,0x626d0242,0x0f63048a}},	//   _правна_, _badimong_, _girov_, _батырлар_, 
   {{0xec6d0172,0xf3a20092,0x879d0643,0x477b01d5}},	//   _abireka_, _pompom_, _golubovi, _وسوسہ_, 
   {{0xc26e0145,0x229000dd,0xe5bd0153,0x00000000}},	//   _kitoms_, _galaru_, _ハリポタ最終巻発, --, 
   {{0x716c0036,0x57b30174,0xb2ca023c,0x057f01f9}},	//   _العكس_, _tshenyag, _ayidli_, _ebhetleh, 
   {{0xc9e2004b,0xfb830287,0xe2d4000f,0x737f0227}},	//   _diboloka_, _digifoto_, _sezonda_, _mejanya_, 
   {{0xd84b0057,0x0c850044,0xda6c00a6,0xfc720233}},	// [dcb0] _bertulis_, _תווים_, _abamakis, _attraet_, 
   {{0xbaf801ed,0xd20202cb,0x33a20453,0x6e1801d3}},	//   _ierusale, _siromašn, _egipat_, _arbetsma, 
   {{0x5200034b,0x13a304bd,0x718c0040,0x42b4033d}},	//   _midiam_, _kuapuu_, _הפטנטים_, _comcel_, 
   {{0x147e02ba,0x045c0178,0xdb6600c5,0x12ee0376}},	//   _милод_, _amitrān_, _全心全意为人民服, _doffi_, 
   {{0xf84b073e,0x92c502be,0x1657022b,0x126403db}},	//   _tertulis_, _kaklase_, _almikið_, _okulwa_, 
   {{0xb536029a,0xf2fd0016,0x226c0482,0x7758011a}},	//   _endividy, _vizitas_, _nabow_, _התומכים_, 
   {{0xa8390094,0xf236000c,0xe379001c,0x00000000}},	//   _بىرىنڭ_, _jrojas_, _peravia_, --, 
   {{0x4d190312,0x03fe0476,0xfc1902c6,0xb40800ff}},	//   _bennaket_, _akazara_, _bennaked_, _aparaton_, 
   {{0x22d500b9,0xa87301eb,0xa6360014,0x5ee7000c}},	//   _ngeliat_, _aréiva_, _individi, _сакалов_, 
   {{0x0dad01d5,0x00000000,0x00000000,0x00000000}},	//   _سانچے_, --, --, --, 
   {{0x02ee007f,0xc25b0028,0x0f6104c7,0x63ce03d9}},	//   _coffi_, _taalla_, _останем_, _hoavy_, 
   {{0xd248017c,0x8e1300b4,0xa388005c,0x120e0244}},	//   _hemma_, _ворбим_, _wungirij, _карам_, 
   {{0xd53d0157,0x5da401a6,0xbf5302cf,0xddaa0299}},	//   _आर्थोडॉक, _hotuhotu_, _соларна_, _خۇرۇچلىر, 
   {{0x026d0101,0x1b7b0450,0xca91003e,0xac53034c}},	//   _birou_, _langbaan_, _студияға_, _bittän_, 
   {{0x8f00036f,0x125b01c5,0x034a0211,0xbc350169}},	//   _oslobođe, _yaalla_, _annettu_, _টাইটেল_, 
   {{0x4290029b,0xd31704e5,0xce7d022e,0x426d02d3}},	//   _balaad_, _abazze_, _dirigées_, _virou_, 
   {{0xb3730449,0x57ee0388,0x6ab40452,0x00000000}},	// [dcc0] _tumače_, _подвързв, _कानडाऊ_, --, 
   {{0xc37d0409,0x226d04ef,0xcc3700da,0x00000000}},	//   _indrømme, _tirou_, _procesar, --, 
   {{0x31590140,0x65e9004a,0xa249018b,0xdc8c011a}},	//   _tinutuko, _babaynı_, _scump_, _והיתרים_, 
   {{0x72fc021c,0x99660651,0x72000096,0x147e0435}},	//   _drogy_, _रामनाथ_, _bahite_, _официр_, 
   {{0x1f1800a7,0x826d02f6,0xb2460156,0xb414005b}},	//   _тестке_, _kirot_, _אינדוס_, _awanotok, 
   {{0x7c1400a7,0x9d3a019d,0x41c90145,0x515c0125}},	//   _disseny_, _achibale_, _кошты_, _мунам_, 
   {{0x28c00165,0xb26d011a,0x9248021a,0xaf4201f5}},	//   _davuilev, _virol_, _demma_, _bengkeln, 
   {{0x86c801dd,0x8e37009b,0x97ed01ac,0x8c7700c1}},	//   _ajugunyw, _banaketa, _forasnag, _मूव्ही_, 
   {{0xc7180177,0xbfc603fb,0xa6c80299,0x02f70157}},	//   _палатақә, _zakonsko, _ئوقوشقا_, _अप्रै_, 
   {{0x4a86029a,0x7ceb00ff,0xc40701e8,0xb2320155}},	//   _avansman_, _הפֿקר_, _kahubuan_, _fredagsm, 
   {{0xcda2014a,0x70d004cf,0x06d20021,0xa6150056}},	//   _جاننے_, _abalawul, _abigailw, _мубини_, 
   {{0xc1bf07a9,0x22dc0240,0xa26e00ec,0x8034002b}},	//   _karadžić_, _lamonai_, _kitoks_, _কাশিমপুর_, 
   {{0xaa1403d7,0x461b0013,0x22000148,0x5c570212}},	//   _kisannla_, _vakolatx, _filiam_, _captare_, 
   {{0x4a3500f2,0x1c68026a,0xcc7101b2,0x55f104cb}},	//   _politikā_, _makubui_, _bedrest_, _înmatric, 
   {{0xc63202fd,0xa2e9005f,0x16ac0156,0x023b000e}},	//   _cianalai, _casilla_, _אפהאקן_, _usament_, 
   {{0xb7a20192,0xe38c0238,0xe37d0465,0x00000000}},	//   _테마스토리_, _музею_, _delavec_, --, 
   {{0x3da20322,0xb698054c,0xf3840156,0xa6200116}},	// [dcd0] _appolina, _forenkli, _אנדארע_, _saunteri, 
   {{0xcc71021e,0x4a580040,0x0db701db,0x00000000}},	//   _passade_, _שהרגליים_, _садуақас, --, 
   {{0x9341001c,0x6200005c,0x681d0238,0xcb360365}},	//   _cosenza_, _bahise_, _ситуацій_, _अर्बको_, 
   {{0x826d033c,0xe91600da,0x483b03f0,0x32f002f8}},	//   _sirol_, _parcursu, _dalbjörg_, _senitii_, 
   {{0x31dc00bc,0xd3400364,0xeda90178,0x5fea00f6}},	//   _اتحادیه_, _aaneren_, _apanīyat, _aparacağ, 
   {{0xe9e500b7,0xfe180013,0x62020362,0x626d008d}},	//   _yurtlard, _obyektla, _lisiko_, _qirol_, 
   {{0x92490183,0xdc3b0202,0xe2900282,0xf698053e}},	//   _mbamin_, _amuludùn_, _hokaa_, _utveksli, 
   {{0xcbf10166,0x82970176,0x9fdc0090,0x43ea01e8}},	//   _urheberr, _dankort_, _akazvion, _gintag_, 
   {{0xd26c0119,0x485b0307,0x339a01b3,0x83f001c4}},	//   _labot_, _abangavu, _загостре, _genesing_, 
   {{0x18580131,0xc20000ff,0x02e707b2,0x03e600f8}},	//   _escollid, _apliko_, _abonado_, _আঙ্কেল_, 
   {{0xb46d016d,0x45020360,0x9c2a023d,0xcb84005b}},	//   _ﺋﻪﻳﻨﻰ_, _अनुभब_, _compless, _svendbor, 
   {{0x024802b9,0xf966001d,0x899f004b,0x61230153}},	//   _semmi_, _anarchic_, _ikakhela_, _星に願いを_, 
   {{0x2d9c0342,0xc70b00d0,0x726d001d,0x563904a7}},	//   _pagename_, _скайтел_, _diroj_, _diminuci, 
   {{0xa9b10163,0x3348003f,0xa05b02af,0x226d028a}},	//   _terjeszt, _danehdi_, _barasoro, _mabosi_, 
   {{0xb84704fc,0xd1560288,0x0202009b,0xa877004d}},	//   _duplicad, _entsikro, _fisiko_, _核算日間約_, 
   {{0x77360156,0x526c0033,0xad8402f8,0x00000000}},	//   _סידנעיִ_, _dabot_, _tetetete_, --, 
   {{0x217d0016,0xebad0673,0x241103f4,0xff5300c1}},	// [dce0] _פיגור_, _wothando_, _стоят_, _भानगड_, 
   {{0x1d850525,0xa86706fd,0x52000464,0x9b420010}},	//   _बायोग्रा, _अल्गी_, _bahire_, _ayibonis, 
   {{0x4652029c,0x6c660116,0x6c1c00ae,0x31c50040}},	//   _akayankh, _fattest_, _bigatwar, _mendeley_, 
   {{0x424803bf,0x693e044b,0x79460241,0xe49c0378}},	//   _seema_, _fremtide, _atilaant, _misskilj, 
   {{0x4ae5026b,0xc25902df,0x38350287,0x00000000}},	//   _ইয়াহু_, _identiti_, _प्रसंगहर, --, 
   {{0xe2d10227,0x729100e0,0x8c66025c,0x01e600ba}},	//   _mintalah_, _dreame_, _hattest_, _ڕۆژڕێژ_, 
   {{0x3951023d,0x6dd20411,0x69c3003e,0x730101b2}},	//   _argoment, _доступу_, _kerekere, _bomboze_, 
   {{0xa4e50029,0x6ce20092,0xfa16021a,0xa1270211}},	//   _ڕۆژێکدا_, _メディアファクト, _barbaree, _калорий_, 
   {{0x524804c4,0xb4470255,0x9c6002dc,0x0ae300e2}},	//   _teema_, _चन्द्रभू, _noutras_, _begroeve, 
   {{0x9290038e,0xcec7037c,0xa63900b7,0x6b3001a7}},	//   _bekasi_, _audiocen, _давалары, _телом_, 
   {{0x63ce015e,0x94200334,0x228d004c,0xa984021b}},	//   _anava_, _amwanayo_, _akukuba_, _mediatie, 
   {{0x229003d4,0x42b501ce,0x02ee0166,0x95b7007e}},	//   _lekari_, _badcop_, _hofft_, _cetanadh, 
   {{0x8ee202ca,0xfbee018d,0x926d00f7,0xe6cb0356}},	//   _tharlaío, _ብሚልዮናት_, _viroj_, _pampanch, 
   {{0xb9d800ac,0x026d0373,0x586c008c,0x168b0039}},	//   _izložba_, _labori_, _societad, _potentzi, 
   {{0x17d80448,0x768702c9,0xb14f0151,0x4c7103a2}},	//   _hyggelig, _сигуранц, _abstemio, _मुस्ट्_, 
   {{0xc26c02ce,0x56b702f0,0x199c0040,0x09e30338}},	//   _bojong_, _babekelw, _והנעלה_, _noctambu, 
   {{0x396d02fe,0x2af8003b,0x7dc80013,0x6f650307}},	// [dcf0] _abanakut, _anesizat, _метрода_, _siyaphin, 
   {{0xdaf50321,0xd23704b3,0x7ec9023e,0x892005ca}},	//   _najstare, _bromesa_, _canneles_, _sincerid, 
   {{0x5c060044,0x9e5c018d,0xdafd019b,0x800000bb}},	//   _declined_, _እንተገበረ_, _asortime, _کراہت_, 
   {{0x81b004d8,0xa3980374,0xde4d0040,0x717e02ea}},	//   _جنگلس_, _ватанлар, _סינטה_, _жалба_, 
   {{0x520e00c8,0x8c840044,0x0d0d002b,0xc04c00a4}},	//   _фараз_, _detected_, _কাটিয়ে_, _جۅندۅلگۅ, 
   {{0xbd810132,0xfc6001c2,0x5a73000c,0x225b0204}},	//   _hallotta, _doutras_, _кересели, _maalia_, 
   {{0x66db0036,0x4a170072,0x256e0434,0x66c4003a}},	//   _اااااااا, _mesanaka_, _convenio_, _erishish, 
   {{0x026c0163,0x764a0158,0x320203ee,0xd35e00e4}},	//   _lajos_, _कनफ़्यूज, _siromašt, _grafiki_, 
   {{0x5250015e,0x5cdd0206,0xa2900145,0x2af70210}},	//   _تىيەت_, _funkciou_, _sekasi_, _asisabat, 
   {{0x491a02e7,0x7ad4016e,0x163c00b3,0x00000000}},	//   _blackbod, _vermeden_, _bilimini, --, 
   {{0xc87a00c5,0x7de40040,0x020202c2,0x0af10446}},	//   _依法给予行政处分_, _ואבטחת_, _intiem_, _prodavač_, 
   {{0x726d036a,0x163c027f,0x653c027f,0x00000000}},	//   _cabori_, _bahigani, _bahigany, --, 
   {{0x82910192,0x384503dc,0x4317018e,0xdda400dc}},	//   _사랑합니다_, _frammanu, _cinceke_, _lotulotu_, 
   {{0xbdae0415,0xa84b0148,0x6bee0411,0xe37b004f}},	//   _folgende_, _來告訴豬頭先生_, _матом_, _kanamam_, 
   {{0x717b050b,0xa310051a,0x234200da,0x838c02b4}},	//   _dijadwal, _hambamu_, _sunetul_, _ibuyise_, 
   {{0x0cd7003a,0x8ee70075,0x00000000,0x00000000}},	//   _биргина_, _upphitin, --, --, 
   {{0x9dc1006e,0xb65400ee,0x625b0144,0x64a5033d}},	// [dd00] _empirima, _суучих_, _mballa_, _matènite_, 
   {{0x6c7303f4,0x796102e8,0x59ea03b4,0xe59e010e}},	//   _платежей_, _anonamat, _anonyeba_, _disgrasy, 
   {{0xe2770604,0x991b005e,0x00000000,0x00000000}},	//   _inzitizi_, _ئۆتمۈش_, --, --, 
   {{0xe39600d6,0xbad30162,0xd526006f,0x853401e5}},	//   _yossef_, _قۇردى_, _kuhifadh, _ilaniloy, 
   {{0xb26e0300,0x42ea031a,0x7ae1025b,0xf2e304a5}},	//   _stromy_, _doonies_, _vanligan_, _kunikwe_, 
   {{0xf6490037,0x82fc0421,0xb3f40127,0x723c0156}},	//   _ትእምርተ_, _buchung_, _bostel_, _עלעהיי_, 
   {{0x526c00d2,0x7db50253,0x9cd20092,0xca88017a}},	//   _mabok_, _aalisaga, _このブログについ, _akhohlis, 
   {{0xfb690133,0x26800452,0x426c01a6,0x751e0342}},	//   _avregiin_, _घेवाण_, _orooro_, _inondasy, 
   {{0x5378010d,0x773f0037,0xe0d101e1,0x1915023e}},	//   _senayan_, _የማይበልጥ_, _dinotlol, _سندروم_, 
   {{0x0fd802b9,0xc1c10084,0x4abc0055,0xb5c20256}},	//   _سوراکھ_, _parentah_, _prevenut, _sektorā_, 
   {{0x6dd20226,0xa39e02e4,0xff3a0040,0xab2b0144}},	//   _akukanga, _allavolj, _confusin, _clubleab, 
   {{0xb5b702ac,0xcd8a01d3,0x70b6034c,0x4f08040f}},	//   _عالطاير_, _bildtext_, _белгертә_, _kasetės_, 
   {{0xb9c2023c,0x626c02e9,0x7b6403f7,0x6ea102f7}},	//   _akumbona_, _bajos_, _skuldabr, _dielemen, 
   {{0x026c01d1,0x1c6201f1,0xe38f021c,0x321d0339}},	//   _major_, _letrare_, _vertikál, _lāhui_, 
   {{0xa35e03da,0x22d80198,0x3e1a0147,0xda3c02c0}},	//   _trafiki_, _členu_, _تاۋحئدىڭ, _духот_, 
   {{0x8ff80193,0x72770321,0x4c9500e0,0x00000000}},	//   _क्रांती_, _prenosni_, _twizeler, --, 
   {{0xa53804ea,0x82d9004c,0xa2d803fc,0x7bf50130}},	// [dd10] _politish, _akangwe_, _kakene_, _besthors, 
   {{0xdee700a1,0x39e40103,0x1dbf0253,0xe963018e}},	//   _arikiran, _akanyara_, _allagaat_, _mukondle, 
   {{0x30530022,0xf26c037e,0x4c6f0053,0x00000000}},	//   _ahisanen, _jaboh_, _terunik_, --, 
   {{0x15380163,0x2ff70479,0x28fe027f,0xb2e30279}},	//   _روزنامہ_, _کارساز_, _biratand, _quoique_, 
   {{0x637903dc,0xdc65032e,0x527d0125,0x02d504bd}},	//   _eldrasam, _lunthat_, _баханасы_, _onionio_, 
   {{0x93f40312,0xb97e03e0,0xc178009a,0x43ac0100}},	//   _postel_, _publizéi, _anyanzel, _stupio_, 
   {{0xf80d0044,0xae410014,0x8ea202c7,0xb1210061}},	//   _אינסטגרף_, _izraelit_, _verloren, _향기나는나무_, 
   {{0x6a01017f,0x0290012c,0xaf3a032e,0xde4a04ad}},	//   _sapaatip_, _filamu_, _uchunaka, _bonalele_, 
   {{0x830c0003,0xc26c0264,0x2d9704a8,0x92000122}},	//   _betaalt_, _tabok_, _posebice_, _akhire_, 
   {{0xc2ea0143,0x727e0396,0xb30500d6,0x81270211}},	//   _abbiano_, _donnha_, _توداي_, _ладони_, 
   {{0x03a20117,0xc2fd023e,0xeeb806a9,0x1c5402ba}},	//   _priped_, _anjalari_, _federais_, _aniqinis, 
   {{0x4e2a0478,0x02240099,0x063d0034,0x6fff0255}},	//   _confucia, _akokwa_, _viðmiðun, _छुपावले_, 
   {{0x8c4b0151,0x0396017d,0x7225029f,0x4d1d02d3}},	//   _baiting_, _årsag_, _matke_, _партиски_, 
   {{0x868a018d,0xd5a100ff,0x4110019f,0x0c710092}},	//   _ምፍጻምን_, _דאמינירט_, _inakabil, _passede_, 
   {{0x8ae80189,0x40f60178,0xc1ff006e,0xec7300a0}},	//   _kriterle, _bṛṃhayat, _latkoloñ_, _jinsuna_, 
   {{0x9b020145,0x8052032e,0x2fcd00da,0xa599004d}},	//   _amerikie, _phirunin, _латерале_, _第二季工作報告_, 
   {{0x09e40277,0xdcd8006d,0x7b76027b,0x79b902b6}},	// [dd20] _bhangara_, _віленскі_, _asurasya_, _момын_, 
   {{0x8291033c,0xf3e402a5,0x00000000,0x00000000}},	//   _nesaf_, _občánků_, --, --, 
   {{0x0a17044a,0x229003bf,0x81190223,0xb109010b}},	//   _kesalaka_, _hokae_, _alavesek_, _matkalal, 
   {{0x7f3102aa,0xd379034e,0x124a015e,0x7c00015e}},	//   _existova, _aspalla_, _germà_, _bústia_, 
   {{0xb28a03db,0xbb320272,0x6e4f0238,0xe3000499}},	//   _entabeni_, _anabalib, _одиниця_, _palauli_, 
   {{0xc3940230,0x03470107,0x62900183,0x6320022b}},	//   _inosan_, _bandjur_, _dokam_, _floyta_, 
   {{0xa6d102af,0xc1100102,0x481500a7,0x2ffe0029}},	//   _baratumi, _anakabil, _сурасан_, _وتوێژه_, 
   {{0x4a730135,0x0272006d,0x055a003e,0x12910653}},	//   _телендәг, _адборачн, _тоннанан_, _zadaru_, 
   {{0xdeb10478,0x094e00ba,0x1e4f01c7,0x00000000}},	//   _aparegut_, _نامۆبوون_, _deňlik_, --, 
   {{0xff1400a3,0x00000000,0x00000000,0x00000000}},	//   _distansa, --, --, --, 
   {{0xb99c0450,0xee58006f,0x8e1600d1,0xa2e900d0}},	//   _neikomme, _تندرستيء, _বহুজনৰ_, _dagigun_, 
   {{0xd5d200be,0x959b012d,0x729701d7,0xc2db01ed}},	//   _ئشتەدىم_, _introdak, _manaschi_, _pūnana_, 
   {{0x60e902eb,0x9291014e,0xdfc902c6,0x1201036c}},	//   _блүүминг, _bubanj_, _bannalec_, _ambina_, 
   {{0x20780092,0x12ee01d4,0x92fd0095,0xf44b002b}},	//   _カッコいい_, _kiffe_, _dibilas_, _দেশাত্মব, 
   {{0xea7d03ef,0x74b10086,0x46f200d6,0x294f0334}},	//   _mukamira_, _شکاگو_, _fantaisí, _amalenge, 
   {{0x22d8053e,0xd94a001d,0x5a080241,0x947d0193}},	//   _sakene_, _sintetic_, _asaaytaa_, _पर्नल_, 
   {{0x7291022a,0x32f40034,0xe81800d1,0x12900181}},	// [dd30] _lesag_, _deginum_, _ইথাৰ্নে_, _achako_, 
   {{0xe3e201ef,0xc7ef0071,0x61b800a4,0x13870294}},	//   _skiriasi_, _تیرانداز_, _recepció_, _charij_, 
   {{0xa509000c,0xd6520326,0x30880071,0xaae401ac}},	//   _ambotavy, _akakandi, _گالوانیز, _chathart, 
   {{0xb290017e,0x5d770120,0x71de0195,0x6076003c}},	//   _lokaj_, _dammarat_, _cungaidh_, _موثرترین_, 
   {{0x560a0247,0x2b85005e,0x038e013c,0xf85b023e}},	//   _معلمان_, _ﺭﯗﺧﺴﻪﺗﺴﯩ, _hissənin_, _conoideu, 
   {{0xe77601cc,0x98470373,0x2bc40405,0x029200dc}},	//   _kartuṃ_, _esplorad, _учень_, _etuale_, 
   {{0x441a0178,0xf2bc017c,0x482c004b,0xf2b000fd}},	//   _amanasik, _sådär_, _составта, _dhichuim, 
   {{0xb20100a9,0xc7f503f5,0x83fa01e8,0x7a270013}},	//   _imfizi_, _favoráve, _masumo_, _муслимни, 
   {{0xc26c015e,0x6c00015e,0x54610135,0xefb100bd}},	//   _rajoy_, _rússia_, _üzeğezne, _furthers_, 
   {{0xe3550434,0xf40603b4,0xa26d0230,0xb2fc003d}},	//   _debemos_, _achikudz, _lazou_, _algirus_, 
   {{0x2681018e,0x22910347,0x56d40216,0x761a0320}},	//   _baleseri, _gesag_, _haaayiii, _klantswi, 
   {{0x83f405a5,0xfc5e01b2,0xc6390046,0x5c6200a0}},	//   _dostal_, _curtail_, _канадалы, _assusun_, 
   {{0xcc1801d1,0x02fe004b,0xe38b01af,0x629100a3}},	//   _strawber, _dibasari_, _bärem_, _breane_, 
   {{0xbe07009a,0x86d30362,0xea0e006c,0x00000000}},	//   _ریپورت_, _fongolá_, _ayiphend, --, 
   {{0x398f03db,0xcec800be,0x51d101f4,0x52540007}},	//   _abahamba_, _توولوپ_, _аснода_, _ekweisam, 
   {{0x49c5073e,0x72c40434,0x53bb0163,0xab8f0060}},	//   _diperhat, _tiempos_, _اسپاٹ_, _амалын_, 
   {{0x5c7c00f1,0x8cf3000f,0xd1bd0374,0x4f5c01e7}},	// [dd40] _lansman_, _listeler, _бинти_, _gaaaaaan, 
   {{0x122401da,0x4f7100ec,0x24760022,0xb8b700e6}},	//   _vdekje_, _sutartis_, _идент_, _江苏农业网_, 
   {{0xe3ac0388,0xfdff0025,0x222403f7,0xbe4803a0}},	//   _gruppo_, _अधिकारात, _blikum_, _manamune_, 
   {{0x2a6200d9,0x064601b3,0x00000000,0x00000000}},	//   _достать_, _fraktpri, --, --, 
   {{0xf9d801e1,0xc7cb01c6,0x21ec005e,0xe291022a}},	//   _basebele, _spesjali, _ﻣﯘﺋﺎﯞﯨﻦ_, _sesag_, 
   {{0x8b520148,0x0c4b0245,0xbdbe0179,0x444b00b3}},	//   _星島電子報_, _naitung_, _fitifana, _alanyňyz, 
   {{0xb3c00156,0xd5dd0109,0x00000000,0x00000000}},	//   _ברעזנעוו_, _generová, --, --, 
   {{0xf4fa02ec,0x57d901f4,0xcd08027b,0xa26d0138}},	//   _کریوٝٹھ_, _صورتده_, _गृध्रकूट, _mazot_, 
   {{0xdc4b00ad,0x00000000,0x00000000,0x00000000}},	//   _kaitung_, --, --, --, 
   {{0x52fc0456,0xa70f0092,0xe66e0329,0xb2ea0478}},	//   _kuching_, _というわけで_, _konvansy, _signats_, 
   {{0x422a03b8,0xa0640611,0xbbba008d,0x1c3000be}},	//   _солай_, _extansyo, _газетани, _تۇڭگۇچ_, 
   {{0xadb70584,0x2a0702d8,0xe37a0092,0x61580144}},	//   _toxicida, _rekannya_, _ログインまたはア, _meangadh_, 
   {{0x136c0132,0xa224019d,0xc24801ab,0x00000000}},	//   _reggeli_, _adekhe_, _keema_, --, 
   {{0xe7b300ff,0xacba0193,0x926d00da,0x72e800e3}},	//   _אָלעג_, _परीक्षां, _miros_, _indivja_, 
   {{0xe3b90061,0x1faa019e,0xc9b800a8,0x7a010043}},	//   _대전지방검찰청_, _suformuo, _cardient, _bebawaga_, 
   {{0xd08e00f7,0x35fa0047,0x4f96016a,0xd2b70229}},	//   _פוסקים_, _劳动和社会保障部_, _הימלען_, _apreldə_, 
   {{0x490503b7,0x126d0245,0x9378016b,0x77b6038b}},	// [dd50] _impactfu, _tirot_, _halayen_, _dipering, 
   {{0xacf905b0,0x3f1c0238,0x284a0088,0xe2e50403}},	//   _अभिमानी_, _процесів_, _чочко_, _amonita_, 
   {{0x677e042b,0xf2180272,0x00000000,0x00000000}},	//   _ekološku_, _abakutam, --, --, 
   {{0x92200272,0x65ac0060,0x4dcb00a7,0x813c00ec}},	//   _abakolim, _жолбарыс, _убликалы, _vaiduokl, 
   {{0xedf700af,0xf6670074,0x2eb40455,0x5e8d022f}},	//   _назвали_, _напиток_, _internes_, _аўтограф, 
   {{0xa379036c,0x026d0261,0x87bc0464,0x4c720195}},	//   _ambanin_, _diros_, _hatubahi, _kedress_, 
   {{0x6c18007b,0x3b480139,0x52480133,0x00000000}},	//   _surpass_, _वर्षस्य_, _deema_, --, 
   {{0xd3cf01a7,0x5069034f,0x1b1502bb,0x772402ac}},	//   _olevan_, _زوړترين_, _क्षणों_, _موقفه_, 
   {{0xb27e001c,0xb386033a,0xada200b5,0x85830399}},	//   _alonzo_, _storja_, _arandupa, _felemeah, 
   {{0xb0710168,0xad380064,0xd2c50022,0xe9bd0176}},	//   _redaksjo, _эйден_, _яуында_, _indehave, 
   {{0x71fa0409,0xec37034f,0xf603021b,0x96800415}},	//   _詳細はこちら_, _شهيدان_, _новичок_, _berechti, 
   {{0xe26d01d7,0x12f70053,0x00000000,0x00000000}},	//   _biros_, _sebilah_, --, --, 
   {{0x89d900c8,0x8b7b02df,0x37ef003f,0xd26d0832}},	//   _китабыны, _jangkaan_, _diparbog, _mazori_, 
   {{0xb5370045,0x92d900dd,0xe02f0159,0xfef20388}},	//   _дубровни, _asgell_, _адолець_, _хвали_, 
   {{0x62900282,0x3a33047d,0xd248001b,0x5c6000f6}},	//   _hokai_, _salariée, _deemi_, _büruzə_, 
   {{0xdb640003,0x1f6a01d8,0x8ea70347,0x026d05ab}},	//   _recepten_, _phrangsn, _sprekers_, _tiros_, 
   {{0x722403e3,0x32900341,0x4f4c0060,0x328b01b7}},	// [dd60] _afekte_, _sokak_, _دايارلاۋ_, _baliṃ_, 
   {{0x68db047b,0x37a60060,0xb290030f,0xa3860034}},	//   _bjarging, _вкладкан, _mokai_, _atorka_, 
   {{0x811203a7,0xce9c042a,0x00000000,0x00000000}},	//   _pravdepo, _etimalin, --, --, 
   {{0xc9db0184,0x86ea0410,0x5f110128,0x7236001c}},	//   _akinjira_, _tlwaetše_, _عضولرینی_, _brejo_, 
   {{0xcb730078,0x9d2e0025,0xcead020e,0x69cb00de}},	//   _покажу_, _वार्यमाण, _ematlele_, _bamlinga_, 
   {{0x220104ce,0x0485010d,0xdc0203ad,0x226d026c}},	//   _edzisa_, _स्थानक_, _sottomes, _viros_, 
   {{0x520004f2,0x1dc4027c,0xd2d90203,0xd2d8000d}},	//   _hihihe_, _esakhiwe_, _memorar_, _pakett_, 
   {{0x73ce057f,0xb5e90309,0x251c0044,0x5d09022b}},	//   _piave_, _masallı_, _attorney, _skoragar, 
   {{0x0b110433,0xfdbf0257,0x8a120137,0x02ca03c6}},	//   _nurserie, _starfinu_, _олимпоос_, _omslach_, 
   {{0x561e0219,0x130c0201,0xfea50079,0x896b0191}},	//   _njengesi, _assakat_, _projektē, _sanninge, 
   {{0xd26d0141,0x3e890715,0x60290475,0x3a930109}},	//   _biror_, _समितिमा_, _каспийск, _उपदफा_, 
   {{0xc26d001a,0xcf1601ef,0xd45e0228,0xdbb0025f}},	//   _piros_, _застой_, _litterær, _bankombo_, 
   {{0xa2360235,0x226401f6,0xa38601d3,0x1b60014d}},	//   _anavāpya_, _skulda_, _teorin_, _lageplan_, 
   {{0xc0730008,0xec04006f,0x928b044a,0x2b7b0343}},	//   _ئماراتى_, _ujasiri_, _bikangam, _ganghaan_, 
   {{0x42d900ca,0xd4250377,0xc34400bc,0x907600ef}},	//   _demorar_, _курентэ_, _بنگلادش_, _aseposin, 
   {{0xf29002a0,0x8867031c,0xceca01bc,0xfb5501bb}},	//   _lokan_, _asesores_, _hannelin, _bendeden_, 
   {{0x6d8a0093,0xadb50399,0xeb1502f6,0x1a7f017f}},	// [dd70] _ввести_, _hilienga, _makapagb, _annoraas, 
   {{0xc26d003a,0x42fc0255,0x6c550448,0x59280285}},	//   _biroq_, _blogid_, _ventede_, _asomerwa_, 
   {{0x6146044b,0x1b7b02ce,0xbf0c0441,0x58a4006c}},	//   _underhol, _sangkaan_, _poblíž_, _федероли, 
   {{0x395e02e2,0x79cb01f6,0x6d540032,0x44150119}},	//   _inundate, _samlinga_, _luvanglu_, _nakipagk, 
   {{0x55ee0179,0xdf900147,0xb26c00e9,0x00cb0061}},	//   _benefidö, _اچىيت_, _kabos_, _고객만족도_, 
   {{0x05f40148,0x92d90005,0xd6560097,0x00000000}},	//   _母親節活動公告_, _blaesi_, _papọju_, --, 
   {{0x91af00c5,0x729003e5,0x39cd001a,0x1f3e00c1}},	//   _请您发表感言_, _dokan_, _rendelhe, _खाडिलकर_, 
   {{0x2f630125,0xa96c01d1,0x335500ce,0x3eed0019}},	//   _mukaddes_, _legislat, _lamezir_, _полицияд, 
   {{0x392802fe,0x7ec4022a,0x22da0102,0x6c76000d}},	//   _عملیه_, _nünafobs_, _kirefu_, _टूच्ची_, 
   {{0xb25a00b7,0xf22a019e,0x12900092,0xff3801f9}},	//   _mellek_, _кодам_, _nokan_, _bavumela, 
   {{0x72ec012a,0x06dd0052,0x00000000,0x00000000}},	//   _ogromny_, _मालिस_, --, --, 
   {{0x69be06a6,0x6317025c,0x291b0444,0xc84c0052}},	//   _afidavit, _spannung_, _аврака_, _bezohled, 
   {{0x426c00ad,0x6b18019a,0x226c012e,0x77db00d5}},	//   _sabot_, _daagleis, _babos_, _hanasoav, 
   {{0x43f40360,0xca85014e,0x9ae400d1,0x6b92019f}},	//   _kostel_, _публику_, _দূৰ্ভাগ্, _ڪوالالمپ, 
   {{0xf26d0288,0x9c70078b,0x535403b5,0x72d70256}},	//   _throb_, _मुस्की_, _menebus_, _zatlers_, 
   {{0x4c53002b,0x5e8303e8,0xec790347,0xb0e100d8}},	//   _বোল্ড_, _šivanje_, _versuim_, _carcinòl, 
   {{0xb26d00fc,0xe27802d5,0x7f880040,0x37920088}},	// [dd80] _birop_, _suunas_, _בגדלים_, _инсулинд, 
   {{0x989903a4,0xc25a01d5,0x225a00b3,0x5e180153}},	//   _brekkunu, _emeld_, _dellek_, _はてなアンテナと, 
   {{0xadb40205,0xe6c503be,0x3d8e042c,0xbed3018d}},	//   _اوموت_, _arashish, _izgovara, _ከነማዕብል_, 
   {{0xaa7d01bb,0x4bff002b,0x3f2e0211,0x00000000}},	//   _binalara_, _অপপ্রচার, _дмитрия_, --, 
   {{0xf3f60362,0x0f150153,0x00000000,0x00000000}},	//   _esalisak, _お問い合わせ先_, --, --, 
   {{0x5a1602b7,0x326c00e9,0xa2970148,0x89f903f1}},	//   _kakawaka_, _dabor_, _樓中樓格局_, _poteší_, 
   {{0x3db501f0,0xafc2023e,0x034d033d,0x29c5008a}},	//   _badiraga, _کابوس_, _damerik_, _peresepe, 
   {{0xa3860055,0xb28c01c5,0x52d40207,0xcb4800c5}},	//   _storia_, _کلامن_, _انديشو_, _小瘋子來啦吧_, 
   {{0x0248028f,0x2b170315,0x00000000,0x00000000}},	//   _keemu_, _ingatits, --, --, 
   {{0x7a1402d4,0x438600d7,0xebdf00f0,0x2af70074}},	//   _inscunte, _ашырыла_, _nomináci, _падение_, 
   {{0x926c00ee,0x9b500056,0x1a0f0299,0xd2ff0066}},	//   _zabor_, _amaminer, _تېېلفۇن_, _hiritar_, 
   {{0x49e40028,0x209601d5,0x296d0177,0x0d9a0109}},	//   _shirkadd, _باباجی_, _изхаша_, _डाँडामा_, 
   {{0xf9620265,0x22480003,0x7d370138,0xe741000d}},	//   _retourne, _neemt_, _modifiye_, _kannatav, 
   {{0x629004ad,0x12fc0275,0xea6b004b,0xc2480181}},	//   _bokao_, _opogi_, _hokomets, _geemu_, 
   {{0xc32100e1,0x029001c4,0xc02600ff,0x6d120210}},	//   _bayyil_, _ookal_, _פיקצעלן_, _ariritir, 
   {{0xf30d0413,0x62270128,0xcf2901f4,0x00000000}},	//   _escamas_, _васият_, _саркарда, --, 
   {{0x39c60157,0x8dd502fe,0x0e4e00f0,0x254b00c7}},	// [dd90] _कराची_, _abakwiba, _vlastnou_, _kazılmal, 
   {{0xab170315,0x0d9a02d5,0x57cd002b,0xad350374}},	//   _angatits, _डांड़बि_, _হিজরি_, _думалоқ_, 
   {{0x3a2a017d,0x5ffb01be,0x55a50297,0x1d070046}},	//   _イタリアン_, _विभागले_, _куялар_, _таянуу_, 
   {{0x6290001a,0x121c02b7,0x23dd0245,0xf3ff00ae}},	//   _sokan_, _tashia_, _khawai_, _akizero_, 
   {{0xe2920326,0x924803f2,0x5e3800ec,0x00000000}},	//   _matatu_, _teemu_, _avigania, --, 
   {{0x225a00ef,0x266e0057,0xea4a0169,0x7433002b}},	//   _imele_, _konvensy, _confiesa_, _ভৌমিক_, 
   {{0x729000ce,0x29fb036f,0x226e013e,0xf2ca0158}},	//   _fokal_, _poginula_, _barovi_, _otodom_, 
   {{0x12d70122,0x9ea305ab,0x4aa1040e,0xac0b0294}},	//   _اکثرا_, _cuidados_, _ørkenen_, _atupama_, 
   {{0x4b570184,0x3cfd0361,0x72d50383,0xe2f301ee}},	//   _agitwara_, _прочь_, _peronda_, _ирĕклĕ_, 
   {{0xf6c4017d,0x52f201be,0x9d9100fc,0x4d8a018b}},	//   _おすすめ度_, _učitel_, _dublijda, _intelege_, 
   {{0x417d0059,0x82f60016,0xcc55008c,0xe26d0222}},	//   _фотосеси, _afrikaj_, _berthod_, _paroi_, 
   {{0xf5d00041,0x831a0280,0x9b8003a2,0xda650094}},	//   _аҭаны_, _सर्जिकल_, _खिदमत_, _ونىمدىلى, 
   {{0x82eb0243,0x4174016f,0x33bf011a,0x83540308}},	//   _mariino_, _несправн, _stabbing_, _penebus_, 
   {{0xa0530211,0x4b0c01e0,0x5c7d0005,0x00000000}},	//   _хотите_, _تالیب_, _posseda_, --, 
   {{0xd28100d4,0xe2900025,0xff390360,0x294f03db}},	//   _turkske_, _lokam_, _televizn, _amalunge, 
   {{0x829200f9,0x2f91021e,0x453a0330,0xba8b00f5}},	//   _gatatu_, _funderar_, _timiguqh, _сүңклери_, 
   {{0x936700e4,0xe2fa04c3,0x02340315,0x45cb006c}},	// [dda0] _महानिदेश, _bachhoa_, _alamule_, _akhanyay, 
   {{0x398b027d,0x77490089,0x257d00ff,0x1b71015e}},	//   _uveče_, _партнерл, _דהײַנו_, _pollastr, 
   {{0x8bee0368,0x1a770110,0xdc2a018d,0xe49c0078}},	//   _нашој_, _saulkras, _ዓይነትን_, _плена_, 
   {{0xa29000ee,0x198b009f,0x4324012b,0x6a6c03db}},	//   _elkar_, _sveče_, _ulicami_, _nangenxa_, 
   {{0x15770297,0xadc602be,0x5e510429,0x7f3f0405}},	//   _балеар_, _bumiyahe_, _sivakuma, _skogbran, 
   {{0xed20004c,0xa167014f,0x91510071,0xfadd00a4}},	//   _abasalir, _примам_, _مسجدسلیم, _muntanye, 
   {{0x026e00ac,0xcd780148,0x2946002f,0x7d36012a}},	//   _parovi_, _教師發展與教學資, _atillant, _ekspozyc, 
   {{0xf9640315,0xd2e30148,0x33cf018c,0xf3ce0499}},	//   _akungant, _proinde_, _bleven_, _tiavi_, 
   {{0xbc130159,0xfa4f010d,0xf3a8041c,0xc26d0347}},	//   _šustausk, _kliennya_, _léppa_, _parow_, 
   {{0x8304020e,0x63660012,0x00000000,0x00000000}},	//   _dikopong_, _पछतईबऽ_, --, --, 
   {{0x12ab036e,0xf3020241,0x426e0018,0x9b0201b2}},	//   _baldung_, _dagaagu_, _tarovi_, _bearkrie, 
   {{0x0c29001d,0xff49026c,0xfe8d00d2,0xdf4101fa}},	//   _monstros, _propheta, _ngomongn, _hangaton, 
   {{0x824803dc,0x0349022d,0x4a1601fe,0xf2900179}},	//   _svimja_, _garelli_, _makataka_, _vokat_, 
   {{0x62de0135,0x4b7d0109,0x5e11027b,0xd8b100e2}},	//   _morozov_, _finančně_, _वराक्वाथ, _riedsled, 
   {{0xbdcf040b,0xd2900138,0x23630109,0x3d0a0418}},	//   _elekanya, _tokat_, _यौनरोगको_, _kadrolar, 
   {{0xd7410076,0x94fb01b8,0xca8d0022,0x8278007b}},	//   _исполни_, _कुवारो_, _торесенд, _dauner_, 
   {{0x8e4601de,0x92fc0044,0xf9670148,0x5cfb00be}},	// [ddb0] _باعنشتى_, _arching_, _veniente, _كەچىرۉۉم, 
   {{0xef160147,0xb3b602a9,0xa91b003c,0x8b64009f}},	//   _بئنتسىلى, _сабрана_, _وتجربیات_, _mestnega_, 
   {{0xcfba027c,0x93860331,0xf0ca0037,0x188a027f}},	//   _abengowo, _vakra_, _የሚያኮራ_, _irihembu, 
   {{0xd31800be,0xcc740225,0xe900027b,0xd9d9030b}},	//   _رومانتك_, _rabumit_, _शुभलक्षण, _alinzita_, 
   {{0x926e0235,0x4b020243,0xf6a70480,0xf34702b2}},	//   _karoti_, _afarfrie, _abathuny, _бракує_, 
   {{0x4d8c036c,0x616f00f5,0xce3d02f6,0xd32a02e3}},	//   _kolontsa, _айтсанам_, _kapayapa, _zimcity_, 
   {{0x33ce0162,0x434f01f0,0x00000000,0x00000000}},	//   _назарити_, _llifing_, --, --, 
   {{0x52d802fd,0x8c6e01b9,0xb6eb0057,0xc72801cd}},	//   _boineid_, _labutik_, _belanjaw, _кандакор, 
   {{0x5c1b003a,0x00000000,0x00000000,0x00000000}},	//   _tumanlar, --, --, --, 
   {{0xc23600d8,0xf04800ef,0xec190211,0xa2ba025e}},	//   _freja_, _موجوديت_, _mainittu_, _punduli_, 
   {{0x8ed503b6,0x3b910334,0x1d9d01f3,0x397e0399}},	//   _merindin, _dzenjelo_, _moderuje_, _sinitale, 
   {{0xff8e02ac,0x85da0199,0x988a027f,0x3290025e}},	//   _ومميز_, _banbaony, _arihembu, _lokar_, 
   {{0x037806de,0x827e0204,0x82d500c8,0xc1c401f3}},	//   _kenalan_, _tonnia_, _kamorao_, _milovaný_, 
   {{0x32d903de,0x52a00100,0x026d012d,0xe6b302f9}},	//   _umyeni_, _sanjaju_, _mugoro_, _milyenyò, 
   {{0xb32f0169,0xf3ce0320,0x95f90061,0x82ed03b2}},	//   _জন্মগ্রহ, _hiavu_, _아이템으로_, _vesicle_, 
   {{0xa2900079,0x227f01eb,0x5b6400d1,0x4a7d02c2}},	//   _rokas_, _guaná_, _resepten_, _chronies, 
   {{0x22900305,0x379702ba,0x7d52005e,0x506e0374}},	// [ddc0] _kokar_, _шунаванд, _ﻛﻮﻧﺘﺮﻭﻝ_, _даргумон_, 
   {{0x75ed0051,0xf9230004,0xaf2b03b0,0x841b034e}},	//   _personām_, _demantèl, _biletvin, _humillak, 
   {{0x0da20277,0x73f4048c,0xb2900054,0xd34f003e}},	//   _terraced_, _costal_, _dokar_, _alafang_, 
   {{0x0ed50234,0x5c57033d,0x436e005b,0xefa805f7}},	//   _eerindin, _kaptire_, _daigaku_, _grëir_, 
   {{0xcb870629,0x3b7200d7,0x4ccf0126,0xc7a204d7}},	//   _equiredr, _bululela_, _імпорт_, _draumuri, 
   {{0x4df70425,0x2ade00d1,0x360d01d5,0xc69d01de}},	//   _بدرخان_, _প্ৰজন্মক_, _evőeszkö, _порталым, 
   {{0x60940162,0x3237000e,0xd2e3021e,0x92640294}},	//   _петиналм, _etujo_, _haninge_, _chulla_, 
   {{0x53410008,0x42d40367,0x00000000,0x00000000}},	//   _parella_, _perdeu_, --, --, 
   {{0x437b0187,0x9d820014,0x92900155,0x75050040}},	//   _visando_, _diplomua, _bokar_, _פורבס_, 
   {{0xff7500d0,0x3487019e,0xd65b01cd,0xe264055f}},	//   _автозамы, _грузія_, _abakhali, _okulda_, 
   {{0x95e10206,0x499a04c8,0xb0c3043c,0xc64a02b4}},	//   _regenerá, _kawża_, _territór, _kukhombi, 
   {{0x6694052c,0xb282010b,0x13790418,0xaa850291}},	//   _خۆشناو_, _balatedi_, _yatakta_, _ووجدت_, 
   {{0xacc40156,0xe88700ba,0xf2d80015,0xeef101a7}},	//   _טרופען_, _ناوێرێ_, _culeys_, _halvempa, 
   {{0xcccc01c5,0xa27e00b0,0xa26d003a,0x0b660090}},	//   _بیانن_, _doonto_, _harom_, _apererwa_, 
   {{0x90490128,0xb2d902bf,0xd2d803f6,0xb23900a7}},	//   _чехияда_, _bacele_, _pakele_, _котур_, 
   {{0x106202d4,0xc60b04e3,0x6a79002f,0xda55050e}},	//   _emissiun, _temeljem_, _estadupa_, _zamenica_, 
   {{0x530801e5,0xc237030b,0x1248010d,0x8d8502c2}},	// [ddd0] _daabobo_, _asomesa_, _temmy_, _geledere_, 
   {{0x439400b8,0xbc55002e,0x2d1302b0,0xdef20595}},	//   _diosan_, _čitave_, _reiseber, _कनिका_, 
   {{0x6c4900af,0x322a03a2,0x63b30287,0xb2c201e5}},	//   _ремонту_, _पेइचिंग_, _ludvík_, _ibalaga_, 
   {{0x726805fd,0x89c40207,0xd4eb02eb,0x234602d0}},	//   _rasulull, _انتقامي_, _түнэр_, _heidins_, 
   {{0xc20203b3,0xfe9900be,0xb28304df,0x6158031a}},	//   _capite_, _ابىدان_, _гошмак_, _feannadh_, 
   {{0xaa070227,0x35c701b5,0xaae1050a,0x1c60050a}},	//   _dekatnya_, _nakambey, _sistemde, _komutan_, 
   {{0x98c601d5,0xb2940277,0x69fd00b2,0x18600366}},	//   _چارسدہ_, _angkini_, _baranaat, _уборку_, 
   {{0x5248014b,0xce5b037b,0x826d026b,0xadfb03eb}},	//   _leemi_, _concluye_, _lazos_, _gemerkte_, 
   {{0x626c036a,0xd5d8020f,0x013b0157,0x2e64011a}},	//   _osooso_, _څوورځې_, _schematy_, _האמזונס_, 
   {{0x42b5053e,0x72900193,0xadf10089,0x2b610142}},	//   _bildene_, _kocak_, _bagdadta, _atirikta_, 
   {{0x68fa0210,0x0c1400a6,0xeac700cb,0x3fa80109}},	//   _angakuru, _ووینم_, _гапашро_, _ovladači_, 
   {{0xeab70250,0x638700f1,0xd9620371,0x56cd03db}},	//   _dashuris, _legran_, _постове_, _bayaqini, 
   {{0x716b0333,0xb26e04e8,0xd8af048a,0x0d39002f}},	//   _rispetto, _capoá_, _эпизодта, _illarirq, 
   {{0xbafd01db,0x43e2015e,0xa9c501c8,0xa2b3024c}},	//   _поэзиясы, _терапияс, _cyklista_, _burdata_, 
   {{0x7712005e,0x66900058,0x729002d8,0x7e910487}},	//   _ھەسرىتى_, _nesekidi, _bokap_, _restrict_, 
   {{0x29300382,0xe3f4056f,0x6b0303b0,0x0d84014d}},	//   _chumbute, _kostol_, _årsalder, _getestet_, 
   {{0xd3ce0543,0x09870232,0x04d70125,0x36ac0343}},	// [dde0] _chive_, _הענרי_, _магарыф_, _gihungih, 
   {{0x222504d6,0xa2020403,0xb2020073,0x32da00c1}},	//   _latka_, _adrisa_, _rapite_, _yoseob_, 
   {{0xfae3008f,0xcdb601a4,0xa2020451,0x8da10049}},	//   _postimee, _afungola, _bapise_, _faitatau_, 
   {{0x43fa02e7,0x32970442,0x697d0022,0x1e1a00e6}},	//   _kasuko_, _dikasihi_, _сабырлыҡ_, _我局抗震救灾小组, 
   {{0x4eb601ec,0x25940285,0xfc840044,0x42d800a1}},	//   _عذرخواهی_, _nderabuz, _attended_, _hakeke_, 
   {{0xa38601cc,0x6bb702b9,0xd2e6020e,0xa4870128}},	//   _cakre_, _میانمر_, _chencha_, _футболиг, 
   {{0xd26d0482,0x12ab04e5,0x7b020079,0x00000000}},	//   _marok_, _badding_, _starpsie, --, 
   {{0x6c7000db,0xd20104cd,0x7188005e,0x42360202}},	//   _मुक्की_, _dobiva_, _گۈزىلى_, _ireju_, 
   {{0x943600ee,0x620201ff,0xbe530289,0x35430204}},	//   _bidaliko_, _tapiet_, _chipungu_, _толком_, 
   {{0x9a4c02fe,0x0cf201e0,0x52fe001e,0x22900240}},	//   _تجويد_, _یادمی_, _cibiyar_, _dokai_, 
   {{0x80d50552,0xab8501a4,0x237f0282,0xeeca02ea}},	//   _simsangj_, _oooooooo_, _aukatia_, _pannolin, 
   {{0xaa0f0047,0x2c6e000c,0x52a70661,0x762b0366}},	//   _没收违法所得_, _mbaraka_, _acabou_, _контртер, 
   {{0x36b1010d,0xe26d02c3,0xc2d8013a,0x9386021e}},	//   _भक्ती_, _bazos_, _nujee_, _bakre_, 
   {{0x9ebf00ab,0xbc7c022b,0x826d01b9,0xbb61022c}},	//   _motuhake_, _danskan_, _mazor_, _anteuran_, 
   {{0xd38600af,0xadda015e,0x00000000,0x00000000}},	//   _vakre_, _кореянын_, --, --, 
   {{0x39fd0219,0xf22b020a,0x00000000,0x00000000}},	//   _kukhonta_, _станса_, --, --, 
   {{0x12900085,0x18dc02ac,0xd7a001aa,0xce18038b}},	// [ddf0] _cokai_, _تشييع_, _alculati, _kekejama, 
   {{0x691202af,0x8a1101ed,0x217d0040,0x726001f9}},	//   _bahasuku, _kipakuia_, _היגוי_, _esitukul, 
   {{0xa2020388,0xe5aa0008,0x76dd04eb,0xbba7011f}},	//   _capire_, _tornarem_, _माचिस_, _сельвиан_, 
   {{0xad19036d,0x32260100,0xba0a028a,0x00000000}},	//   _cairdeac, _niskih_, _kipalest, --, 
   {{0x13c10207,0xa264047b,0x1c930299,0x45bc01db}},	//   _الرحمٰن_, _skulla_, _تامار_, _ساۋدالىق_, 
   {{0x02ee0408,0xc30b006d,0xea7203ff,0x2c700239}},	//   _fiffi_, _акторам_, _pračka_, _kairuku_, 
   {{0xffa80287,0x9b0f01cd,0x00000000,0x00000000}},	//   _ovladače_, _akasabhe, --, --, 
   {{0x4c2b0486,0x837b005a,0xbfdf0061,0x5b8d00e2}},	//   _filmovýc, _luhutlhm, _인권하루소식_, _motivear, 
   {{0x067b0231,0x7a070148,0x61180061,0xb321004f}},	//   _dicendum_, _關於壹蘋果網絡_, _조선왕조실록_, _maayil_, 
   {{0xd8770194,0x1cbb01db,0xe2010196,0x9b0100fd}},	//   _preciser_, _بەڭگۇتاش_, _ambika_, _coiriche, 
   {{0x739f0113,0xa1c5015d,0x1291033e,0x417b0344}},	//   _إصدار_, _sklepach_, _aneaes_, _allassal, 
   {{0xa386028d,0x11d100da,0x172e0052,0x00000000}},	//   _sakre_, _microbuz_, _प्रवासीक, --, 
   {{0x06cd0041,0xa9080089,0xcaa50497,0x00000000}},	//   _азҵуаатә, _arzanraq_, _antipois, --, 
   {{0xc2d80282,0x98b105c2,0x9b6401c6,0x6da901f7}},	//   _pakeke_, _pandamed, _besetten_, _afroasia, 
   {{0xac860047,0x2c6200b4,0x413f0153,0x9eb10086}},	//   _中签号公布_, _petrece_, _読んでいるブログ_, _kirobban, 
   {{0xc1c40044,0x255a008d,0x22780274,0x69ec028f}},	//   _האנציקלו, _саммитиг, _raunar_, _kinongia_, 
   {{0x854f02cb,0x6e3d0187,0x74830179,0x06a40261}},	// [de00] _slavonsk, _нанесете_, _pelautöl, _leatherh, 
   {{0xa1080101,0x3935001c,0xba7e02ac,0x23800120}},	//   _asistenţ, _palmeira_, _تكاليف_, _currik_, 
   {{0x9b5601ee,0xc25a0255,0xd36c0207,0x59d80177}},	//   _цкъачунн, _hoolib_, _pangani_, _ofundava_, 
   {{0xbd3c0223,0x326d012e,0x03990074,0x926603fb}},	//   _настнууд_, _sarok_, _релизы_, _osnovali_, 
   {{0x552c0244,0x72d8034d,0x40840137,0x239502bd}},	//   _esistono_, _kemeja_, _автобусу, _higson_, 
   {{0x4249028a,0x59f40281,0x5bed02cb,0x93f400da}},	//   _kwamba_, _danskisu, _stranačk, _postul_, 
   {{0x6ad30060,0x3a1601a6,0x00000000,0x00000000}},	//   _تۇردە_, _pakapaka_, --, --, 
   {{0xce29000c,0xb20002c3,0x2621012a,0xee6e0287}},	//   _кондаков_, _meniny_, _logowani, _गर्भपतन_, 
   {{0x32f6013d,0x73050113,0x480d0040,0x13780227}},	//   _faritaj_, _ghradam_, _משרתת_, _penahan_, 
   {{0xcdd00274,0xf28b015e,0xb8080311,0xec75004e}},	//   _leiklist_, _voluntàr, _ጽሕፈተን_, _kinsang_, 
   {{0x0401002c,0xb1ed01c8,0x148302f3,0x19790545}},	//   _madrilen_, _terminál, _redaktör, _abdisert, 
   {{0x0c7502f6,0xb2a7034c,0x9b640061,0x726d0062}},	//   _minsang_, _gabbas_, _resetten_, _qaroq_, 
   {{0x8bd202bb,0xc2c00040,0xef3a0295,0x1290048c}},	//   _भरिये_, _עציצים_, _manufeka, _bocan_, 
   {{0x288d02c0,0x28b802c3,0xb2fc008f,0x38b701f3}},	//   _наведува_, _kvetinov, _parimat_, _fakturov, 
   {{0xddd600e4,0x72ca05a7,0xe458018d,0x87b60050}},	//   _lathicha, _veida_, _ዑቁባዝጊ_, _katerang, 
   {{0x6fe8026e,0xa951029b,0x4fee01c9,0x025a0189}},	//   _कारागार_, _bassemer_, _खियायेब_, _bellek_, 
   {{0x2c1e000e,0x36390044,0x625a0428,0x00000000}},	// [de10] _adeptes_, _politici, _smelo_, --, 
   {{0x12450120,0xa9490137,0x2d4e0041,0x27810193}},	//   _gallayti_, _энхжин_, _хәылҧазы_, _रक्ताभिस, 
   {{0x12fc0141,0xfc8b0074,0xfeba0025,0x58fd00b2}},	//   _harakati_, _обследов, _प्रधानः_, _barabaad, 
   {{0xc5680421,0xa63c029c,0xb4d701bd,0xbec40016}},	//   _europäis, _achipani, _намазын_, _informas_, 
   {{0xcc13014e,0x128a0170,0x14830022,0x16600291}},	//   _културно_, _aitaneni_, _пландары_, _الهبوط_, 
   {{0xe9e600ab,0x684701cd,0x1386025b,0x827e019d}},	//   _horomona_, _қадами_, _nakra_, _alongo_, 
   {{0xa0ce01fa,0x7d2b02d8,0xe04b0026,0x6e4802ac}},	//   _efilifil, _प्रकाशाच, _overwinn, _أيفون_, 
   {{0xb16f0058,0xb2fd00a9,0x08cf00bc,0x2b6101c4}},	//   _monsenho, _kajagari_, _سلوکی_, _opperman_, 
   {{0xe3860292,0x2fda0099,0x728d06a8,0xf2f00400}},	//   _kakra_, _akazowan, _diskova_, _ambiani_, 
   {{0xf2490283,0x029104f2,0xa12f023d,0xeeba0025}},	//   _heumo_, _sosad_, _velocità_, _प्रधानं_, 
   {{0x826c02f6,0xd290009f,0x52d90666,0x857e011a}},	//   _baboy_, _rokav_, _takoder_, _ובמהירות_, 
   {{0x8870025b,0x45710061,0x13f401c4,0x059a0153}},	//   _vitnisbu, _여성구매율_, _instel_, _フランス語_, 
   {{0x72d8030f,0x53780206,0xf9460140,0xa26c0140}},	//   _memeha_, _pozadia_, _brilyant, _daboy_, 
   {{0x929001d1,0xbff700bc,0xf5710405,0x4e620273}},	//   _local_, _پاکسازی_, _bildebeh, _adecuada, 
   {{0x9c6d036f,0x92c3016a,0xf290029b,0x44950187}},	//   _pokreta_, _deklaro_, _fokat_, _separaçã, 
   {{0x6cfa0435,0x7d2e0315,0x027f0014,0xa2fc01d4}},	//   _придружи, _batisise_, _skenar_, _bloggu_, 
   {{0x329100b6,0x72ca00bc,0x0a1a00a4,0x916900da}},	// [de20] _alsak_, _kandel_, _таластаг, _мемория_, 
   {{0x12d80124,0x1ffc0148,0xd3780183,0x0c720378}},	//   _temeka_, _商店街所有商品_, _agnaran_, _betrast_, 
   {{0x3d97036e,0xe0d10178,0xa653038a,0xe5a303f2}},	//   _distritu_, _akhaṇḍit, _aqunqhaw, _ferrarik, 
   {{0x33ce0488,0xc3ad00c5,0x741302fd,0xe7e303d4}},	//   _laivu_, _胶南市海渔局_, _cristean_, _борити_, 
   {{0xe6b7007b,0x92d90286,0x2d9202e0,0x32f60016}},	//   _inhabiti, _ndeema_, _dumelele_, _bazitaj_, 
   {{0xb2ca019b,0xfaec00aa,0xe202010d,0x0575031a}},	//   _leido_, _angleton_, _derita_, _fardaich, 
   {{0xbb200099,0x26af012a,0x1f1f00ca,0x140d0219}},	//   _angaramb, _podobnej_, _auderien, _icinisek, 
   {{0x2d9e0004,0x00000000,0x00000000,0x00000000}},	//   _entewoje_, --, --, --, 
   {{0x32eb015d,0x418500c4,0xd536020a,0xb2b9022c}},	//   _dopiero_, _نظارو_, _بوزدايدى_, _beledag_, 
   {{0xdf3801c2,0x83560434,0xe2490011,0x529000fd}},	//   _yaguerma, _veremos_, _atamwa_, _hocal_, 
   {{0x329200f9,0x7f6200e4,0x4433026f,0xbc5b0121}},	//   _batatu_, _रेस्तरां_, _دۇڭحۋ_, _difunde_, 
   {{0x707303b8,0xe94600e6,0x635602f1,0x85cd034d}},	//   _рухты_, _工程设计资质证书, _teremos_, _moyangny, 
   {{0x13000094,0x763e0334,0x7d8a0134,0xcc640010}},	//   _ايىرساڭد, _apolisiw, _oníròyìn_, _kubukwe_, 
   {{0x8292006f,0x8c8500be,0xe9790175,0x28d2010f}},	//   _watatu_, _студиясы, _lalibert, _порсиро_, 
   {{0x28e10147,0xc3f10044,0xc25a027e,0xfbf1024c}},	//   _ئچىبئزدە_, _offering_, _smele_, _beneficc, 
   {{0x72d8026c,0x666202eb,0x59fd01ad,0x6a070308}},	//   _alieni_, _интернэш, _nababant, _pecahnya_, 
   {{0x49c10153,0x43210033,0xe2f40167,0x00000000}},	// [de30] _海賊jチケット_, _bloccar_, _langefni_, --, 
   {{0x52ed012f,0x98b70148,0x22da021c,0x00000000}},	//   _burodaût_, _這個檔案已被下載_, _repliky_, --, 
   {{0x19670142,0xf06901e8,0x0c62018d,0xc3f90212}},	//   _राजन्न_, _kumpiren, _karrige_, _graues_, 
   {{0x847d0211,0xbdb90008,0x42ef02ff,0x93f90087}},	//   _животные_, _الۋااقنا_, _beniswa_, _ndzuna_, 
   {{0x53ce0320,0xb2810263,0x52ca006d,0xf3810473}},	//   _chava_, _verschil, _veido_, _konzept_, 
   {{0xb99c0262,0x7a660505,0xa3eb00dc,0x58510332}},	//   _merkezle, _neumünst, _amatua_, _ingreses_, 
   {{0xcc55034c,0xac0101f0,0x9a78004d,0x69a002e4}},	//   _аланда_, _diateres, _爸爸骨折住院_, _bankijie, 
   {{0x929e0391,0x93f90252,0x72f202d5,0xdd120354}},	//   _ринат_, _lebula_, _खर्रा_, _ئوپراتسى, 
   {{0xfdca06d2,0x39960092,0xbf1100a6,0xa57602ac}},	//   _वन्यजीव_, _画像サイズ_, _ارمانونه_, _جاكيتات_, 
   {{0x8864012a,0xa9e6020d,0x52310296,0x00000000}},	//   _jednorod, _kuruhand, _kardemum, --, 
   {{0xb2780288,0x1d070638,0xee260074,0xd2d80338}},	//   _gauner_, _spillere_, _сайтом_, _obsolet_, 
   {{0xd2d80359,0x00000000,0x00000000,0x00000000}},	//   _stjer_, --, --, --, 
   {{0xb2900212,0x3ae20265,0xddd20046,0xe0f600d1}},	//   _vocat_, _indrukwe, _коррмен_, _তামোলত_, 
   {{0x2bee00c6,0x9c7701c1,0x509d0169,0x431102ac}},	//   _разом_, _निव्वळ_, _পুতুল_, _المظلوم_, 
   {{0x929001f7,0x1248024a,0xbb4a0251,0x0dc102f6}},	//   _tocat_, _demmy_, _marwalba_, _diskarte_, 
   {{0xaaea015e,0x743103b0,0xa27d00d1,0x1f36044a}},	//   _castelle, _প্রতিভাস, _ঘটিয়েই_, _bapusana, 
   {{0xba4300bf,0x476201c9,0x13440168,0x5be40166}},	// [de40] _перемеще, _अर्धम_, _leverte_, _jugendar, 
   {{0x80390138,0xd2a703e7,0x90ed0219,0xce570361}},	//   _profesyo, _umabot_, _besihlal, _грызлов_, 
   {{0x424802ee,0x8097004b,0x24cb021b,0xb7d502be}},	//   _hemmx_, _арипов_, _pornotäh, _durungaw, 
   {{0x0ebd0372,0x83780559,0x51de0195,0xfe530242}},	//   _llandudn, _ambalwa_, _bhagradh_, _azalması, 
   {{0x4da50095,0x23ea0212,0x4f360151,0xff6a0291}},	//   _fisikawa, _multam_, _antraiea, _برمسيس_, 
   {{0x312a0119,0x537802db,0x82fc029e,0x126e00ec}},	//   _schwando, _palamen_, _blogeu_, _darosi_, 
   {{0xba16005b,0x5249033a,0xd225007b,0x00000000}},	//   _takataka_, _idumu_, _keekit_, --, 
   {{0x42900449,0x947300d4,0xfc010155,0xdf670046}},	//   _nikad_, _nedersak, _nattklub, _دوستۇقتۇ_, 
   {{0x0f6d01a7,0x1395023d,0x7939040f,0x4e1f00e6}},	//   _новорожд, _stesse_, _шарангов, _国家经济贸易委员, 
   {{0xd25a01e3,0xbe440061,0x4dd0011d,0x626d0050}},	//   _imela_, _누구에게나_, _inchisoa, _naros_, 
   {{0xc8c702b2,0xe2920219,0x72900294,0x00000000}},	//   _народів_, _besati_, _cocas_, --, 
   {{0x52ca00cb,0xf6b803b7,0x425a0125,0x805200a6}},	//   _eceleni_, _abruptly, _bellik_, _مصروفه_, 
   {{0xf3f90087,0x44080211,0x3e180307,0x929002cf}},	//   _bebula_, _sekunnin_, _ningakwa, _focar_, 
   {{0x03f900e4,0x73780107,0x69b10449,0xb42a0350}},	//   _cebula_, _dalaken_, _prodajet, _ከሰውነት_, 
   {{0xa26d0052,0x5dbf00de,0x2da00040,0xddce00b9}},	//   _parou_, _andilala, _הצלחות_, _तीव्रतेन, 
   {{0x2d8f032e,0x9a0801a7,0x18ea018d,0x629003e5}},	//   _parlakip, _mukavast, _ዝፈትዎም_, _limans_, 
   {{0xa55f0234,0x5606002f,0x6c6801bc,0x92fc011a}},	// [de50] _alawoṣe_, _bibliapi, _ferrûn_, _בהצטיינו, 
   {{0xb64002c8,0xca0800b7,0x8a7d0156,0x00000000}},	//   _dixitali, _annasyna_, _נשתכח_, --, 
   {{0x9c92003c,0xea7d02d4,0xfcb20022,0x2a160307}},	//   _pitulung_, _tavanasa_, _секцияһы, _inganika_, 
   {{0x5c530321,0xc9540397,0xef2c02eb,0x44ec0024}},	//   _postaja_, _сербисто, _тариалах_, _সীমাৰ_, 
   {{0x17dc00c7,0xd21c0094,0xe57f002b,0x6b660320}},	//   _хазарлар_, _қайтарды_, _আস্তমেয়, _khalchar, 
   {{0xc7c503d1,0x887e026e,0x316e0035,0x1e4403f3}},	//   _energoef, _अभिविन्य, _батмаган_, _mensheid_, 
   {{0xf4350275,0xf7c5014c,0x614f0056,0x7a6a0350}},	//   _falaniko_, _esishici, _akwembul, _ህክምናና_, 
   {{0x229203dc,0xf2fd0151,0x17150040,0x7d5a014f}},	//   _hesari_, _dogged_, _טורנט_, _потез_, 
   {{0x22ef01e6,0x74a102fd,0x8648025a,0xe473051a}},	//   _maminka_, _dhaniell_, _itangazw, _hartawan_, 
   {{0xc3fc0163,0x92c70077,0x5137020f,0x00000000}},	//   _aktuális_, _anploye_, _دپېښور_, --, 
   {{0xd25a0362,0xbd190360,0x12480124,0xb4180041}},	//   _ameli_, _dekorace_, _ngemb_, _иҵихит_, 
   {{0xa355051a,0xaa160307,0x6292025b,0x2af6021b}},	//   _menegur_, _anganika_, _lesari_, _pesukone, 
   {{0xf3fa046c,0x698600db,0xebec0024,0x00000000}},	//   _kaputt_, _kivimaja_, _ফ্ৰয়েডে_, --, 
   {{0x430403bf,0xd8530372,0x2a390088,0x3ebe0127}},	//   _dikolong_, _camarfer_, _желегин_, _flaneden, 
   {{0xb577014e,0x77590311,0xfa9d0076,0x89e6014e}},	//   _раскола_, _ንምሕጽንታ_, _карибите_, _шалтера_, 
   {{0x14260208,0xde530265,0x7448005e,0x0dba03e8}},	//   _ئابلۆقه_, _probeert_, _گېكتار_, _motorček_, 
   {{0x08ec00af,0xf2900105,0xc26d0084,0xa6280514}},	// [de60] _zapаs_, _pokaz_, _taros_, _manuabil_, 
   {{0xb8bf02eb,0x8d700156,0x00000000,0x00000000}},	//   _ailegatu, _שמערצן_, --, --, 
   {{0xe291018b,0x73f80285,0x82d901cf,0xa2360267}},	//   _becali_, _yahuje_, _judeos_, _biljni_, 
   {{0xd3560041,0x0ecd0164,0x530d00e4,0xfdfe014e}},	//   _елгәџьа_, _түрмигә_, _bohater_, _posedova, 
   {{0x93780057,0x424e01a4,0xcc6201a6,0x00000000}},	//   _senaman_, _asimbaki_, _iraruke_, --, 
   {{0x93ed0540,0xd9e200bc,0x13ea0203,0x624a0015}},	//   _akureyri_, _واريز_, _saktel_, _jarmal_, 
   {{0xd0da0037,0x01df00d1,0x3313005b,0x8844002b}},	//   _ማንበብና_, _ইচ্ছাৰে_, _seabass_, _সুস্থতার_, 
   {{0xa8fe00c7,0xf6bd02fd,0x93160040,0xb19e00e6}},	//   _karagand, _agusdomh, _ישרוטל_, _今年一季度_, 
   {{0x5f4304f2,0xeeab0203,0xc2920122,0x49f80265}},	//   _chiplove_, _cadernes_, _besari_, _schaatse, 
   {{0x920900be,0x1c240262,0xb278001e,0x6378023e}},	//   _ايىتقانى_, _malazgir, _kaunar_, _senajan_, 
   {{0x32d300c5,0x025a009f,0xc26e01a6,0xc298080c}},	//   _装潢使用在_, _smeli_, _parori_, _ऎतिहासिक_, 
   {{0x5d3305ec,0x47a2004d,0xe2fc038e,0x00000000}},	//   _menneske_, _各午餐學校_, _blogku_, --, 
   {{0x03400241,0x43e40206,0x826d040f,0xcc7001cd}},	//   _mohegan_, _moslimsk, _paros_, _abasuke_, 
   {{0xabde0044,0x226d008d,0xac760139,0x726602c9}},	//   _עולמיים_, _laroq_, _पार्दॊ_, _secretel, 
   {{0xf2d90051,0x16520476,0xc3f400da,0x3eed0061}},	//   _rudens_, _akakundi, _costul_, _개인기대회_, 
   {{0x329105ce,0x825a01b8,0x821303d5,0x00000000}},	//   _olsam_, _pooles_, _brahit_, --, 
   {{0x93ce02f1,0xb5a50022,0x00000000,0x00000000}},	// [de70] _chave_, _ҡуялар_, --, --, 
   {{0xf2ca008c,0x82970102,0x694c0093,0x8c520338}},	//   _neida_, _hawataki_, _астемиро, _brotoen_, 
   {{0x13160043,0xe3780227,0xf36c02b4,0x84e3002b}},	//   _akoze_, _menahan_, _bangani_, _সুদান_, 
   {{0xf6280046,0x7c1a025b,0xf9460064,0x5435013d}},	//   _системаг, _lesarabr, _تىلندەكى_, _malamiko_, 
   {{0x0dbb017f,0x93a800aa,0x34480094,0xd28b00a8}},	//   _tunillaa, _bulawang_, _ساتسىزدى, _andantam, 
   {{0xd26d021e,0x67c7014f,0xf37f0251,0xd30e0064}},	//   _varor_, _prepravi, _annagaa_, _metalls_, 
   {{0x8d2b002b,0xdd20008f,0x00000000,0x00000000}},	//   _যাতায়াত_, _autorile_, --, --, 
   {{0x237c008f,0xd2ca02d5,0x14b9029d,0x601800ff}},	//   _lisatud_, _leida_, _полонеза_, _שעלדאן_, 
   {{0x724904ce,0x9481004d,0x8ec6045b,0x5a3c0013}},	//   _kwamea_, _不讓你把煞車踩到, _мастики_, _кулок_, 
   {{0xbaf70244,0x93c10003,0x5c0c02ac,0xdebe029e}},	//   _камери_, _inschrij, _ريحانة_, _planeden, 
   {{0x0c2f00d1,0x8d8401a6,0x00000000,0x00000000}},	//   _কণ্ঠেৰে_, _ketekete_, --, --, 
   {{0xf6bb0434,0xa30403bf,0xd9050159,0x96f3034a}},	//   _ecuatori, _dikobong_, _nepageid, _canteirá, 
   {{0x129100ac,0xbc7c0289,0xc0ca0156,0x3d93027b}},	//   _dosad_, _adaseka_, _צדקינו_, _देहोऽहमि, 
   {{0x430e00a4,0xc34b00f4,0xc95b04a1,0x00000000}},	//   _detalls_, _adreñv_, _vellykke, --, 
   {{0x42c902fd,0xf205029a,0x29ca0139,0x82020014}},	//   _tulloch_, _lepidemi_, _कामयते_, _tipike_, 
   {{0xfed90185,0x73ce024f,0xc37b025f,0x00000000}},	//   _seminarn, _laivi_, _motambo_, --, 
   {{0x527f057c,0x08fe01f4,0x9c17014d,0x1eb701a3}},	// [de80] _tjener_, _qaragand, _engagier, _برڪتن_, 
   {{0xf3a40274,0x22c60181,0x13d10074,0x7832015e}},	//   _herbergj, _cermets_, _mysteeri_, _نامىز_, 
   {{0x8401000e,0x82910058,0xb7a300ec,0xc9f7045e}},	//   _apertmen_, _kosad_, _сакратар_, _subacque, 
   {{0xf968028e,0x599a02cb,0x74f9018d,0xa2130148}},	//   _aplikese, _služe_, _ዓረብኛን_, _trahit_, 
   {{0x8cfb0244,0xb8c504e7,0xbad0031a,0x42e90368}},	//   _обществе, _triumfov, _deimhinn_, _ресора_, 
   {{0x62c40262,0xbc2a01c7,0x8957012b,0x45f700c7}},	//   _hereketi_, _akabalar, _zapotrze, _aşağız_, 
   {{0x921204bd,0x00000000,0x00000000,0x00000000}},	//   _aloha_, --, --, --, 
   {{0x437302bf,0xbe9d002c,0x6c3803fb,0xfcc80311}},	//   _angahle_, _вавилоны_, _kolicinu_, _ንዓብደላ_, 
   {{0xa6c1023c,0x53f80359,0xeb710271,0x3b1e0061}},	//   _اشخاصو_, _troud_, _lillestr, _장기적으로_, 
   {{0x52d9028d,0xb6a70143,0x88210177,0x126d01f4}},	//   _lakoler_, _завивки_, _ресурсқә, _saroy_, 
   {{0x32f502f9,0xdad002cd,0x00000000,0x00000000}},	//   _azrikam_, _adamawan_, --, --, 
   {{0xf2b301c1,0xedb003db,0xd34100ba,0x29e10153}},	//   _berdosa_, _ethathwe_, _گۆجان_, _お知らせを詳しく, 
   {{0x727101d7,0xa9e200c4,0x930a022a,0x523b0130}},	//   _schlumpf_, _واڳيل_, _trenamij, _bailhog_, 
   {{0xf3ea02b4,0x12910205,0xde4e020f,0xf36c0207}},	//   _wenta_, _olsak_, _bamasila, _kibelgij, 
   {{0x3cf503cf,0x6209055a,0xb8c6014a,0x54320031}},	//   _noktalar, _burocrát, _keresend, _विषयानुस, 
   {{0xc8830464,0xa26c00cf,0x2b6c00ae,0xc39601d7}},	//   _palipehu, _aanoon_, _bironger, _passai_, 
   {{0x5c6800c7,0x1a8e0225,0xc36801d9,0x441c02fb}},	// [de90] _гаспринс, _twinemin_, _dengens_, _matapoto_, 
   {{0x0df4048f,0xd25a0132,0x52010304,0x89790378}},	//   _prodigue_, _emelt_, _rozita_, _grundske, 
   {{0xf26d02f6,0x92b103db,0xb2ca0110,0xa2fe0008}},	//   _libong_, _ngodaka_, _reidi_, _lusions_, 
   {{0x92ca00d5,0xb4230414,0x32010521,0xc09700e5}},	//   _adidy_, _azakoluk, _pozita_, _тренди_, 
   {{0x4c9302ac,0x6b8a006c,0xfe5703bd,0xd23700f5}},	//   _داماس_, _чолов_, _cerciora, _atajan_, 
   {{0xbec2029d,0x9e380178,0x58750259,0x726c023b}},	//   _ностиме_, _antarita, _musikvid, _pokole_, 
   {{0xf2ca0255,0xfdc0036f,0x99fa0265,0x1cdc0220}},	//   _veidi_, _policaja, _verstand, _нарушава_, 
   {{0xadb003db,0xea6000d0,0xf2df036a,0x8a5c00e0}},	//   _athathwe_, _grafikoa_, _korovou_, _elgersma_, 
   {{0x23860005,0xb89d0287,0x7f3c00d6,0x2cd9033e}},	//   _fuorma_, _soutěží_, _achomair_, _шалдмырш, 
   {{0xf2f90190,0x63f802c2,0x2c37016f,0xb86a0118}},	//   _derugaiy_, _troue_, _салону_, _awanikid, 
   {{0xba850040,0x3d3e01af,0xb2900202,0xa26c0393}},	//   _פרוטוקול, _aktiwist_, _inkan_, _likove_, 
   {{0x227e059b,0x23f80397,0xe972004b,0xe8790397}},	//   _lajnah_, _abhule_, _туристар_, _asentshu, 
   {{0xb20e016d,0x38f9019d,0xb26d0320,0x2909033e}},	//   _барай_, _adzamasu, _ccrob_, _бераиа_, 
   {{0x0f55032b,0x2c340195,0xadd50065,0xb8fd0089}},	//   _турмуш_, _bunaitic, _verkaufe_, _cazaland, 
   {{0x134b029a,0xb3da0587,0x92910242,0xaaf80109}},	//   _apretou_, _eficaç_, _alsaq_, _ईश्वरको_, 
   {{0x1be40041,0x7d2f0120,0xf939018d,0xff77017a}},	//   _акәльтур, _dakiikat_, _ይከኣሎን_, _тирамоҳ_, 
   {{0x835d04e2,0x9dd602fe,0xda9900bc,0xee4b018e}},	// [dea0] _maaflah_, _abakwica, _زيادي_, _hifanele_, 
   {{0x6c6d0028,0x00000000,0x00000000,0x00000000}},	//   _shiraya_, --, --, --, 
   {{0x7e5e0141,0xa3ea0176,0xae370264,0x994f01f9}},	//   _qurbonla, _dento_, _ighahata, _elilunge, 
   {{0xdb77048e,0x8291005a,0xfc2303ae,0xf2e1007f}},	//   _barakön_, _bosam_, _venstres, _efengyl_, 
   {{0x201e004d,0xd7cb0258,0x329200c4,0x00000000}},	//   _而技巧來自念_, _oangeleg, _vitalu_, --, 
   {{0xcb5b012f,0x2a6d0733,0x41a20014,0x83d70050}},	//   _gedenken_, _wanganga_, _mendojnë_, _baktéri_, 
   {{0xed8c0583,0x62d50115,0x9a12019f,0xcae501df}},	//   _točke_, _perodua_, _sambamba_, _begrutte, 
   {{0xc1370128,0x764100a6,0x83670148,0x5883013c}},	//   _ایلهنیب_, _سياستمدا, _桃園縣政府_, _mühəndis, 
   {{0x19b7036f,0xb6cc0091,0xb3ce0255,0x5cd1044d}},	//   _studenat, _tamainni, _taavi_, _erojàdd_, 
   {{0xec36016e,0x52f00040,0x4aad028a,0xe47a03b5}},	//   _olabilec, _כמייצג_, _وزارتن_, _menegakk, 
   {{0x03040119,0x82f70137,0x00000000,0x00000000}},	//   _bisakol_, _afrikak_, --, --, 
   {{0x39fd0243,0x160c0044,0x328c004c,0x6eab0064}},	//   _barakaat, _automoti, _alekera_, _mamelles_, 
   {{0x7d89021b,0x8b080461,0x126c01ed,0x0c36055f}},	//   _valokuva, _responsa_, _kokoke_, _alabilec, 
   {{0x435e00df,0x195c0037,0x83940071,0x7eda00b7}},	//   _recevez_, _የፕሬዝዳት_, _dhosen_, _dyrnagyn, 
   {{0x6290033f,0x249f0169,0xd290005b,0x47bd02ea}},	//   _sikaa_, _সদস্যের_, _mikan_, _изгодно_, 
   {{0x471100de,0x7c2d03c2,0xbb1d00bf,0xee3d00fe}},	//   _وجداني_, _compatab, _локальны, _kapakapa, 
   {{0x51140204,0xa84d00c1,0x8a3e00de,0x73870052}},	// [deb0] _декориро, _bergulir_, _مستقیمو_, _tvarem_, 
   {{0x92900204,0xeaf40203,0xced30212,0x33f8047d}},	//   _vikaa_, _dissolue, _mulieres_, _ptgui_, 
   {{0x72d80052,0xa26e03ac,0x02ca0026,0x286200be}},	//   _duben_, _lorong_, _leidt_, _جوقتۇعۇن, 
   {{0x8e3d01a6,0xe373029b,0xf290001d,0x0f12004a}},	//   _hapahapa, _digaale_, _jocat_, _bertuqta, 
   {{0xa1030076,0xb09200bf,0xfb7301e9,0x48fd00b0}},	//   _роднини_, _большее_, _budulela_, _xarakaad, 
   {{0x82d8033c,0xe41800bb,0xf16e0444,0x124a00fc}},	//   _arbed_, _آوارگی_, _говорило, _nismej_, 
   {{0x429000d5,0xab6d00d3,0xa3550455,0x44010024}},	//   _dikan_, _kosmetic, _revenus_, _দূৰবৰ্তী_, 
   {{0x926e0303,0xce66013c,0x7ea80065,0xeb0f042a}},	//   _korong_, _olunmalı, _getrennt_, _bangakas, 
   {{0xdd810250,0x3e430025,0x7746042f,0x9e370022}},	//   _publikua, _aanantya, _malikhug, _капиталғ, 
   {{0xe290024a,0x00000000,0x00000000,0x00000000}},	//   _nikan_, --, --, --, 
   {{0xb2ca05a7,0x0365022a,0xa290017e,0xde09018d}},	//   _veidu_, _klotamam, _ankau_, _ዓመጽትን_, 
   {{0x492501db,0x162a00e3,0xaa7f0282,0x00000000}},	//   _ءتاۋباعا_, _bijofjuw, _minarapa_, --, 
   {{0xa3ea026d,0x12ca035b,0xe2cb0160,0x8543005e}},	//   _tento_, _prodam_, _svadbi_, _ﺋﺎﻻﻗﯩﺪﺍﺭ_, 
   {{0xeb76015e,0x32900108,0xc34b03f1,0xf27e0545}},	//   _بارلارى_, _cikan_, _bayernu_, _gymnas_, 
   {{0x1b99002e,0x6f990125,0x592101eb,0x028a0165}},	//   _ozbiljno_, _биридиги, _chechegu, _matamuni_, 
   {{0xe3ea0036,0x52e5053f,0x026e051a,0x2de700e6}},	//   _cente_, _chinupa_, _borong_, _回信已发出_, 
   {{0xe52e02ea,0x127a012a,0x02ca03a4,0xd2490289}},	// [dec0] _compreso_, _sypialni_, _fullari_, _atamva_, 
   {{0x729006a0,0x13790120,0x4b790019,0x00000000}},	//   _gikan_, _katayta_, _йеменде_, --, 
   {{0x2e19020c,0xb379036c,0xb344012e,0xa2d8024c}},	//   _keselama, _tenanao_, _nevezte_, _flieli_, 
   {{0xd224027e,0x5038019b,0x6028027e,0x319e01cd}},	//   _slikom_, _kolegijo, _разноврс, _абармард_, 
   {{0x53fa04cd,0xe27e0052,0xb2d902e3,0x626c00bc}},	//   _udruga_, _navigaci_, _callary_, _pokoke_, 
   {{0xc3ea0177,0xc290006f,0x82fc0176,0x9877018a}},	//   _aente_, _kikao_, _lyngby_, _albanwyr_, 
   {{0x3ec503ea,0x62900833,0xb3470198,0x8fc903ec}},	//   _derniers_, _vikan_, _učenci_, _karikuar_, 
   {{0x43ea053c,0x629102df,0x998e01cd,0x82ee0116}},	//   _xente_, _rosak_, _тариқ_, _tiffs_, 
   {{0x034b0229,0x529101c8,0x7627023c,0x618f01d2}},	//   _vergilər_, _dosah_, _واړاوه_, _askachay_, 
   {{0x33ea02b4,0x0396011b,0x42df03f3,0x00000000}},	//   _wente_, _mopsal_, _animaatj, --, 
   {{0x728a01e8,0x102203f3,0xcc530157,0x861e000e}},	//   _dunkirk_, _kinderbo, _फुकेत_, _rasonabi, 
   {{0xb3050235,0xd3d400ff,0x92260275,0x4a88035d}},	//   _akramam_, _נאכטאן_, _caskey_, _samoubis, 
   {{0xe15c0013,0x3d98032d,0x89ed00e2,0xa5de01c8}},	//   _кураш_, _милләттә, _kooistra_, _severový, 
   {{0xdeb60437,0xf963044a,0x96d301f2,0x12a701aa}},	//   _tilsendt_, _bakotele, _қояйли_, _angbay_, 
   {{0xa31003dd,0x6ea20109,0x8b2400f8,0xe20101f4}},	//   _abuzim_, _pozlacen, _আনুগত্যে, _robiya_, 
   {{0xd3f40088,0x1d0d00b3,0x6b70002b,0xf5d40095}},	//   _instal_, _arkalaşy, _শব্দটা_, _arbangiy, 
   {{0xb292002e,0x52d800cd,0xf26e0205,0x62d90176}},	// [ded0] _pitaju_, _dubel_, _qorong_, _streg_, 
   {{0x625a0428,0x12ec04e7,0xc27e0107,0x338601de}},	//   _imeli_, _narocnej, _blonjo_, _бассейні, 
   {{0xd87302ac,0xf8fc02af,0x78c501d3,0x2a0d0478}},	//   _احاسيس_, _bakarond, _besegrad, _apruprèt, 
   {{0x33f806f4,0xdecc0122,0x02ca0472,0xfb1901c1}},	//   _atout_, _dibintan, _handal_, _kesamaan_, 
   {{0xe7ca01a7,0x509b0092,0x86820095,0xff5d00f6}},	//   _kansalli, _冬のソナタ_, _astendri, _ronaldon, 
   {{0xbafd0222,0x0237002b,0x3b9300c3,0x0eca011d}},	//   _marocain_, _bruja_, _latitudo_, _pungeşti_, 
   {{0xf2900229,0xdb190209,0xf3fa017e,0x02fc01d5}},	//   _inkar_, _ungasiss, _terura_, _logikus_, 
   {{0x850c007e,0x4c190265,0xdf270291,0x5d0a00ff}},	//   _alamariy, _bespaar_, _فعلته_, _aparatar, 
   {{0x72d80199,0x239d0013,0x0851019a,0x72bd0177}},	//   _subeo_, _مقدارده_, _choruses_, _ацәнагеи, 
   {{0x1b3002ba,0x064802fc,0xb157003a,0xe9090013}},	//   _седой_, _atangazw, _egallash_, _беғараз_, 
   {{0xe0200191,0x762004f9,0xdb500219,0x0a7904a4}},	//   _misstänk, _akunneri, _alicinis, _malaptop_, 
   {{0x3e430139,0xfb1f02f6,0x92910026,0x03960076}},	//   _adhayaya, _kelangan_, _omgaan_, _passei_, 
   {{0x52000120,0x93f4047a,0x46370179,0x92ca011b}},	//   _akhine_, _enstal_, _mitifidi, _bandal_, 
   {{0xe2940085,0xf90801ef,0xf2bf00d6,0x758b0168}},	//   _dreketi_, _сакурадз, _جمعان_, _tiltrekk, 
   {{0xb2ca029b,0x1b5002b4,0xda420139,0xbea902d6}},	//   _dandal_, _elicinis, _candrena_, _тилларда, 
   {{0x40c70177,0x729001fc,0xb26c04ad,0xd2910044}},	//   _агенерат, _ankar_, _bokone_, _shears_, 
   {{0xfa46021e,0xae1d01d2,0x2b4f0105,0x43fa00a1}},	// [dee0] _leverera_, _artesnia, _आयुषवेद_, _kerupa_, 
   {{0xc60e0174,0xe60803a2,0x158d0350,0x320003d9}},	//   _boporesi, _यंगस्टर्, _እስራኤላዊ_, _heniky_, 
   {{0xabe000af,0xd372031a,0xe29000b9,0xbf3600aa}},	//   _nyhetsbr, _colaisd_, _ancam_, _matulina, 
   {{0xfc610059,0x1b2c020a,0x42f800e6,0x827a0265}},	//   _стадиона_, _фирмалар_, _升级个人空间_, _fatsoenl, 
   {{0x22250052,0x2705065b,0x21de05f8,0x12e00408}},	//   _vlakem_, _शेरशाह_, _новочебо, _dreniko_, 
   {{0x32d902c3,0x82e20462,0xb37800a2,0xb3e300ec}},	//   _stred_, _alatepay_, _akaanza_, _sistemai_, 
   {{0xbd9c05c9,0x32ca0450,0xe2060240,0x02250052}},	//   _ameliska, _reade_, _lokiloki_, _tlakem_, 
   {{0x1d6d0276,0x65d60148,0x720800de,0xc2900834}},	//   _бастурди_, _下拉選擇類別_, _abayabel, _bocay_, 
   {{0x3c620101,0x72fa00ea,0xadc502ac,0x596c0133}},	//   _intrare_, _arahaba_, _قبلات_, _dokiment, 
   {{0x2d3c0076,0xddaa020f,0x7bbb00bc,0xb8d400e6}},	//   _новинарс, _abanedip, _banyumas, _有了新发现_, 
   {{0x93eb0160,0x4f2e003a,0x047101a6,0x6290000d}},	//   _smatra_, _тилли_, _herekiek, _pikad_, 
   {{0xbc4100c5,0x2290033d,0xd2d400e1,0xe9de00a5}},	//   _县级以上人民政府, _tokay_, _faalewu_, _namulauu, 
   {{0x92910193,0x12e80450,0x02c3041e,0x5cbc00d1}},	//   _bosan_, _derfan_, _parlata_, _এলাগি_, 
   {{0x3362016a,0xa0bc0060,0xac760139,0xbf1e0156}},	//   _lastatem, _جازالادى_, _पार्थो_, _יוליסעס_, 
   {{0x0dc50182,0xfc71025b,0x5d910062,0xb512009a}},	//   _keristia, _undrast_, _hurlijda, _azilitsh, 
   {{0x627e02b7,0x689a0295,0x852c0299,0x44ca0019}},	//   _ngonzo_, _kiakimou, _ئەسۋابلى, _акиташ_, 
   {{0x429203db,0x92ec0347,0x5a170015,0x00000000}},	// [def0] _besazi_, _outisme_, _bakaraha_, --, 
   {{0x03ea00a3,0x604b0017,0x1820023c,0x12ca0294}},	//   _henta_, _महागुरु_, _پیټریس_, _culluri_, 
   {{0x2afd02a4,0x2a0c00b4,0x33ea005b,0x6cb9019b}},	//   _blogburs, _raspunsu, _kenta_, _калектыв, 
   {{0x120201eb,0x4b1f0057,0x534a0247,0x8291022c}},	//   _borita_, _pelangan_, _درودگر_, _aosan_, 
   {{0xb3ca05ce,0x9145037f,0x24e9018d,0x83cf011a}},	//   _tamamı_, _yazdıqla, _ኣማስያኡ_, _uneven_, 
   {{0x41520462,0xfc620220,0x75950318,0x6abd04dc}},	//   _inglesay_, _entrare_, _fetukuak, _قیاده_, 
   {{0x6d16025c,0x9f2f04b4,0x7dbf02d9,0xdc740156}},	//   _wissensc, _kalorier_, _filigama, _באליבטע_, 
   {{0xc291002e,0xe2910286,0x7c0f03dd,0x739602b9}},	//   _dosao_, _wosan_, _adhurues, _kassai_, 
   {{0x92d8031e,0xe33301e6,0xa0f60163,0xbe4e027e}},	//   _cujem_, _kulaté_, _megindul, _дауда_, 
   {{0xc29100b6,0x9a3c0159,0xcc5d041b,0x6cf900be}},	//   _alsat_, _душой_, _waitlam_, _تانۇۇچۇل, 
   {{0x9c64012c,0xab63023e,0xd28001f4,0x335b00a2}},	//   _wabunge_, _essendon_, _musiqiy_, _singida_, 
   {{0xa2ca0089,0x40ec0400,0x92ee02bd,0x19dc0152}},	//   _fondı_, _naziunal, _caffi_, _başlanga, 
   {{0x13240386,0xca130338,0xa3950204,0x7cc60188}},	//   _mencuri_, _reichste, _jeesus_, _биёранд_, 
   {{0x0e1c0253,0x8b830321,0xe31502a2,0x00000000}},	//   _imigassa, _datoteko_, _itinatag_, --, 
   {{0x93ad0040,0x12eb0077,0x7250002b,0xa6240153}},	//   _בסכום_, _digicel_, _ভয়ঙ্কর_, _ムが使用されてい, 
   {{0x83cf00ce,0x40ea02fe,0x7c6e0322,0x04ce0128}},	//   _travay_, _ایدیالوژ, _akaroha_, _маликаси_, 
   {{0xdfc3014e,0x036d019b,0xf7ed0423,0xd268021c}},	// [df00] _боравка_, _vandenyj, _karbonov, _oslabení_, 
   {{0xbdbe0277,0x92ee02e4,0x839506db,0x3ce80326}},	//   _catalase_, _saffi_, _hueste_, _asawirir, 
   {{0xcc290037,0x86460013,0x52e80033,0x53cc0466}},	//   _ዓይነትና_, _کنفرانسل, _perfin_, _čistoća_, 
   {{0x2b8004f0,0x437a0129,0x4a5902a4,0xa20201fb}},	//   _diforamo_, _jenaral_, _superbia_, _morira_, 
   {{0x1f560163,0xae380340,0xfe500233,0xa6a0004d}},	//   _تاجروں_, _kotahita, _neuaufla, _按房屋稅課稅現值, 
   {{0xe63b00c5,0x52e70087,0x77f3005e,0x33ea0044}},	//   _小仓优子性感泳装, _chuncha_, _ﻣﯘﺋﻪﻟﻠﯩﻢ_, _tenth_, 
   {{0xcd0d016e,0x63ea001a,0x1f2602c3,0x42020476}},	//   _arkadaşl, _fenti_, _remeseln, _gorira_, 
   {{0xd2e90028,0x4112017a,0xbb470092,0x4c9d0371}},	//   _huriwaa_, _мукаррар_, _コメント削除機能, _насекоми_, 
   {{0xeeaf00ea,0x63f801c0,0xf37b000b,0x8d9a0334}},	//   _rahovian, _mugun_, _matafeo_, _chinamwa, 
   {{0x3a6d0340,0x83a204c6,0x32ca0083,0x953d012c}},	//   _hanganga_, _skipet_, _geada_, _حيوانيت_, 
   {{0xec5d02d8,0x0516027b,0x77e90005,0x22ca013c}},	//   _सायंकाळी_, _adhomukh, _apparteg, _bioloji_, 
   {{0x429b0074,0xdf0000a7,0x59c203dc,0x8f3202fe}},	//   _гостиниц, _públics_, _handilst, _abarhoxa, 
   {{0x2c530609,0xa60301db,0xfc68023d,0xfeb0040e}},	//   _cantado_, _шекаралы, _offrono_, _aldrande_, 
   {{0x8291002e,0xaaf602c9,0xe2600312,0x1c630325}},	//   _posao_, _грешялэ_, _montroul, _bakutel_, 
   {{0x12120320,0x1a9a00f3,0x5163006c,0x00000000}},	//   _alohi_, _eyanelis, _борикаи_, --, 
   {{0x90e2024d,0x7fa7016d,0x7d3a0513,0x535302ac}},	//   _weenkhal, _تىببى_, _daniyele_, _لهواة_, 
   {{0x2dbe0487,0x01a2005e,0x06660178,0xef1d0111}},	// [df10] _database_, _مۆچەل_, _शुभस्य_, _accusava, 
   {{0xd6a30066,0xd3f8015e,0xf202027f,0x5237034e}},	//   _олимпиад_, _orgue_, _borira_, _bruju_, 
   {{0xda4503b3,0x03ea0342,0x7249039d,0xda6d025f}},	//   _fenestra_, _penti_, _pfumo_, _banganga_, 
   {{0xf4e80051,0x7bca0192,0xa2fd012b,0x73ea02f4}},	//   _pagaidām_, _부가정보로써_, _sobotę_, _quitar_, 
   {{0x27560013,0x69d30060,0x52eb00a0,0x35960224}},	//   _شهرانی_, _фильмдер_, _amintar_, _barnaklá, 
   {{0xd72e03ab,0x12820321,0x22e80499,0x1e4e0167}},	//   _exkluziv, _ponavadi_, _apineru_, _crisialu_, 
   {{0xb3f80141,0xa29101c2,0x82ca0027,0x476e0144}},	//   _bugun_, _nosas_, _deadi_, _fochatag, 
   {{0x7f700204,0xf2d702c3,0x82000176,0x00000000}},	//   _активных_, _maklér_, _gokiso_, --, 
   {{0x163502b1,0x67f40331,0x52e8013a,0x320e017a}},	//   _wallafaw, _likamlig, _derfun_, _гапаш_, 
   {{0xe63502b1,0xcd140448,0x457a016d,0x037d012a}},	//   _tallafaw, _stillede_, _сатмасли, _ekranie_, 
   {{0xf3e5001c,0xa12d0145,0xfef10157,0xf5600052}},	//   _segeberg_, _нашто_, _वैग्यानि, _displejů_, 
   {{0xa193032b,0xec5c00f7,0xc435033f,0xd34903d9}},	//   _германий, _partion_, _falakiko_, _adidiny_, 
   {{0xa2d90347,0x039500ac,0x8b73004c,0xa7b40061}},	//   _strek_, _glasaj_, _bakutula_, _필요하지만_, 
   {{0xa3f804d7,0xa4f80064,0xb0fa0092,0x28d50151}},	//   _augun_, _difusió_, _ダンロップ_, _anvullag, 
   {{0x73130172,0x0ee0006d,0xb3eb006e,0x06320235}},	//   _lubbers_, _несла_, _factal_, _drauṇikṛ, 
   {{0x6c87003a,0x51d70268,0x8a1a01e0,0x425b03b6}},	//   _субъектл, _alienway_, _ریستوران, _imulo_, 
   {{0xa2d9028d,0xc25b03e5,0xe2d90255,0x52e9006c}},	// [df20] _kuzen_, _amulo_, _mured_, _бероҳа_, 
   {{0x9aed00fd,0x66c600b4,0x72d900cd,0xa9930045}},	//   _aintighe, _consumul_, _streh_, _народној_, 
   {{0xc8fe02af,0x3675003c,0xbc2d00d0,0x87ba02ee}},	//   _baraband, _اپتیما_, _виржиниа_, _jaqilgħu_, 
   {{0x120105fb,0x4bff029c,0x00000000,0x00000000}},	//   _dobija_, _kugulits, --, --, 
   {{0xc2fe0054,0x964902d3,0x77be01cd,0x8da801d3}},	//   _kabilar_, _circulaç, _такомули_, _mariesta, 
   {{0x41770145,0xe61a01ab,0xa2010240,0xad8600a1}},	//   _нешта_, _reklaami, _lobika_, _ietepere_, 
   {{0xc2da00fe,0xa36300db,0xf8b900e6,0x00000000}},	//   _kasele_, _ekstreem, _第六十一条_, --, 
   {{0xd29001fe,0xcbb50192,0x32900084,0xbc600016}},	//   _bikai_, _prijsver, _encan_, _komunan_, 
   {{0x42d80627,0x9e2d0299,0x6534018e,0x00000000}},	//   _veneto_, _تەيىنلىد, _ngunguny, --, 
   {{0x32da0338,0xf290010b,0x53f804d8,0xb73a019e}},	//   _macomer_, _dikai_, _nugul_, _баўгарск, 
   {{0xf291026b,0xa3eb026c,0x5f5d00ce,0x9be90265}},	//   _cosas_, _frater_, _detanzan, _privacyb, 
   {{0x035e03c2,0x129000fe,0xd2d9013d,0xd20000ab}},	//   _purging_, _fikai_, _muzeo_, _kiritahi_, 
   {{0x8da1011e,0x81fe01c7,0x264b00e6,0xf03003f8}},	//   _kostgard_, _babalary_, _大兴区办理_, _nudechbo, 
   {{0x1f660056,0x89e00359,0xdc580325,0x38e00258}},	//   _ababeyen, _njoggent, _reallaşm, _njoggend, 
   {{0x32da0022,0x33460088,0x75db01db,0xe6ae0156}},	//   _basele_, _cendres_, _бейқам_, _משכּן_, 
   {{0x63a30197,0xf3ea0111,0x55220041,0xd37900ab}},	//   _chapit_, _centu_, _иашҭхәа_, _horahia_, 
   {{0x7eb90187,0x8ae100be,0x2c72005b,0xd24901c0}},	// [df30] _трансакц, _تۅكمۅسۉ_, _endress_, _atamfa_, 
   {{0x0c1901bc,0x4346015e,0x9582014a,0x551700ff}},	//   _rekreaas, _tendres_, _kontrasz, _abortigo_, 
   {{0x72e3031f,0xf291018b,0x62ff027f,0xc5c900c1}},	//   _indiske_, _dosar_, _biracari_, _membenah, 
   {{0x99dc0125,0xfc5a0151,0xd4ce0173,0x33ea025b}},	//   _başlangy, _scoured_, _sencillo_, _gentu_, 
   {{0xd25a0075,0x0c15015c,0x2da5042d,0x82240230}},	//   _heilsa_, _düster_, _antohoma, _venker_, 
   {{0xcfe6006f,0x13f80108,0xdf670456,0x82490258}},	//   _داخلائن_, _jugul_, _munajatn, _neamen_, 
   {{0x62240215,0x82e60165,0x92da0165,0x79aa0255}},	//   _tenker_, _chaudary_, _pasede_, _निन्दनिय_, 
   {{0x73ea0190,0xe6030039,0x6f9800d0,0x1af9015e}},	//   _suitor_, _холимог_, _чармайлт, _agrupame, 
   {{0x23ea0111,0xc2d9006e,0x82ef03a4,0xbac6009d}},	//   _ventu_, _juree_, _hornini_, _perjetes, 
   {{0xddbf026d,0xed84033f,0xb72700bc,0x326c043a}},	//   _humenné_, _futefute_, _شهربازی_, _vikont_, 
   {{0x3fc6005f,0x03ea034d,0x134c013f,0x02010362}},	//   _transfar_, _tentu_, _niverel_, _bobika_, 
   {{0xf29003d1,0xf2d80148,0x82d9033f,0x02450205}},	//   _tikai_, _orbem_, _furee_, _европали, 
   {{0xf2910075,0x93f8029b,0x63410005,0xecea060d}},	//   _tosar_, _bugul_, _autezza_, _फूलमाला_, 
   {{0x2b200170,0x79d20034,0x23f4036d,0x1bd30299}},	//   _angayamb, _heildina_, _ristol_, _رومانلىر, 
   {{0x499104e5,0x73870243,0x4bce0092,0x73160272}},	//   _abakamba_, _basro_, _brevkass, _akabisi_, 
   {{0xab9804a7,0xe20201cf,0x7d4901a3,0xd2100157}},	//   _ficheiro_, _moriva_, _ٽوئرسٽ_, _kochanki_, 
   {{0xd3a30417,0x4c580695,0x43fe02ba,0xc7d7053b}},	// [df40] _kaapse_, _reallaşd, _akunikez, _chiquiti, 
   {{0xff3a0145,0x85690178,0xf2ca04b9,0x5224041a}},	//   _profesin, _bhāṇḍāni_, _leids_, _senker_, 
   {{0x4682016e,0xc716025b,0x6b8d0220,0x43d0004d}},	//   _siteleri, _listanum_, _indietro_, _健康防護衣_, 
   {{0x734704ce,0xdc2d00f2,0x337f00a2,0x7373031a}},	//   _midenya_, _dimiteru_, _kukatwa_, _molaise_, 
   {{0xf97e05f4,0x13f80212,0x82e3002f,0xf34101a7}},	//   _manizale, _augue_, _adantaj_, _tuleeko_, 
   {{0x8ffc0060,0x5cce0192,0x7f650397,0x5eae0020}},	//   _الايا_, _이메일주소_, _okuphaka, _amaliein, 
   {{0x32900082,0x637a0527,0xf409018d,0x01f30062}},	//   _likau_, _pojavio_, _ሰልጠንቲ_, _daladmeh_, 
   {{0x8a1500f2,0xb2d80109,0x722a0161,0xe9080235}},	//   _rotaslie, _krbem_, _сигнальн, _durdarśa, 
   {{0xb291015e,0xf57d00ee,0x4e950061,0xa724005a}},	//   _posar_, _instrukz, _자치행정과_, _denmarng, 
   {{0x38940297,0xc337048a,0x9d1a0204,0x56a80078}},	//   _экстраси, _кинолар_, _mainitse_, _значити_, 
   {{0xf5a301d7,0x09580037,0xd207033f,0x230001fc}},	//   _persecuz, _ስለመኖሩ_, _hikitohi_, _goranah_, 
   {{0x0fce03d8,0xbfef020f,0x00000000,0x00000000}},	//   _zvonimir_, _دسپینې_, --, --, 
   {{0x3241032e,0x7ccc0040,0x96370272,0xdf6501f9}},	//   _kullakax_, _להפריד_, _amunyumi, _ekuphaka, 
   {{0xf14b0415,0xe26c0039,0xb290051a,0xb2ca0516}},	//   _angeschl, _bikote_, _dikau_, _heids_, 
   {{0x425b044b,0xb291005a,0x2b610209,0x099701b7}},	//   _smule_, _bosap_, _kleemann_, _जज्ञे_, 
   {{0x82ff0054,0x299902dd,0x00d501e6,0x138601a3}},	//   _rariyar_, _bankarja_, _konzulto, _لاکيڻي_, 
   {{0x824903da,0x12780083,0xe2e900b6,0x5e3700ab}},	// [df50] _ofuma_, _abunar_, _orbisan_, _maharata, 
   {{0xbbfd017a,0x8d6c01a0,0x904b0163,0xcd340276}},	//   _милитсия_, _avamakwa, _ultrahan, _پېقىر_, 
   {{0x896900e5,0x131d0059,0x00000000,0x00000000}},	//   _преживеа, _задачите_, --, --, 
   {{0xb01b0039,0x42d7042d,0x36550365,0x00000000}},	//   _эскондид, _hamoram_, _उकुसमुकु, --, 
   {{0xc3ea0417,0xd248044a,0xd2ff001e,0x8ff400de}},	//   _ruiter_, _atimba_, _wariyar_, _awayecin, 
   {{0xd8cf00af,0xfc0b042c,0x8c6601db,0x1c6a0109}},	//   _операцій, _grupama_, _зайыбы_, _घुम्दै_, 
   {{0xebe7003c,0x00000000,0x00000000,0x00000000}},	//   _درصدد_, --, --, --, 
   {{0x46b7028a,0x0a14002c,0x378e00ff,0x32790027}},	//   _عبيدالله_, _pribatut, _פולשטענד, _laustral, 
   {{0xf32701d5,0xfb030023,0xc2900058,0xfdc70115}},	//   _پاسبانی_, _номере_, _tikav_, _berketra, 
   {{0xbea30303,0xae3a0281,0xa2ec0078,0x88ce0037}},	//   _akaretse_, _sananeqa, _приступа_, _ሲያሸንፍ_, 
   {{0xa9490595,0x12d80301,0xac7600f2,0x22e7023e}},	//   _अलास्का_, _filmdə_, _sarucis_, _dhangan_, 
   {{0x8135002c,0xb25b014a,0x0350008f,0x63fa02b9}},	//   _mendebal, _emelni_, _baltikum, _ceruza_, 
   {{0x52d8026c,0x36150047,0xd26c02a0,0x6aa0055b}},	//   _urbem_, _utilitai, _bikose_, _biskopen_, 
   {{0xc202005b,0x5d2d0228,0x9c610282,0xb9e604f9}},	//   _morita_, _dominere_, _purutia_, _havfugle, 
   {{0x54ad01fe,0x63f801d9,0xd30e02c0,0x00000000}},	//   _tataunak, _kroun_, _lutador_, --, 
   {{0x73eb0033,0x957b0477,0x6a850019,0x9e0d0227}},	//   _quater_, _menempel_, _аталарды, _digengga, 
   {{0xe3a30119,0x92ca0079,0x340104d7,0x5d440413}},	// [df60] _fribourg_, _veids_, _hugurinn_, _banqueir, 
   {{0x935d0193,0xb2e302a6,0x00000000,0x00000000}},	//   _सल्ला_, _nemiche_, --, --, 
   {{0x9395020e,0xb2640125,0x5b1d0180,0xfb200210}},	//   _kreste_, _barlag_, _malpropt, _angafamb, 
   {{0x90eb00c4,0x2294016d,0xab2001df,0xcf4b025c}},	//   _آئوٽرام_, _йетимхан, _belangin_, _wupperta, 
   {{0x03eb03ae,0xce3d0413,0x02ee01b2,0x00000000}},	//   _dagtid_, _anulados_, _boofse_, --, 
   {{0x3a840627,0x304e00ac,0x43470193,0x429101b9}},	//   _salzwede, _strukovn, _filenya_, _rosai_, 
   {{0x7f650014,0x529101c0,0x2290011f,0xc53d0361}},	//   _ወለዶታት_, _sosai_, _tikal_, _широкими_, 
   {{0xe3f80516,0x956e02f3,0x00000000,0x00000000}},	//   _croun_, _robotgrä, --, --, 
   {{0x27b60275,0xd29002aa,0x730e0139,0x260c03b4}},	//   _aletulaf, _nikam_, _apsaras_, _amborati, 
   {{0xfdf1043d,0xbb9a00d6,0x53560615,0x622600bd}},	//   _pendafta, _dhinimic, _uvodjenj, _leukit_, 
   {{0xe5810421,0x00000000,0x00000000,0x00000000}},	//   _verschön, --, --, --, 
   {{0x03ce0048,0x139500b4,0x7c8203e8,0xc26c0464}},	//   _abava_, _creste_, _staršev_, _bikore_, 
   {{0xe2c80333,0x285b0296,0x10360240,0x23570137}},	//   _accorse_, _kolozzeu, _valenilo, _чимлээ_, 
   {{0x92ce0028,0x4c56037c,0x93a20014,0x345b0145}},	//   _حسابٕچ_, _mortale_, _ekipet_, _mindaugo_, 
   {{0x83730362,0x6a8e010d,0xb27700f6,0xf2d80226}},	//   _bakundam, _kwangmin_, _birinizi_, _kameta_, 
   {{0x6dc0048f,0x3b63017e,0x842d0012,0x8ed403db}},	//   _andimama, _potencon_, _पढ़बा_, _okuyinya, 
   {{0xf296023b,0xf24b01ab,0xf071070c,0x89c100cf}},	// [df70] _makahiki_, _खिअइबऽ_, _milansko, _foddaatt, 
   {{0xf46401c5,0xf2fe0033,0x52f40376,0x2ba0005a}},	//   _wareegto_, _bargia_, _egginum_, _naghghor, 
   {{0x17680037,0x92da01b9,0x4b660040,0x0a7b00c1}},	//   _ይታሰባል_, _obsede_, _בסקייפ_, _मुळशीचे_, 
   {{0x729003f3,0x9ecd0005,0x26a901d9,0xd2e70183}},	//   _encar_, _speziala, _garrysch, _kianjan_, 
   {{0x42490320,0xe3f401c3,0xa37b044d,0x128d0334}},	//   _mfumo_, _listal_, _defaral_, _ankangom, 
   {{0x220e0397,0xaeb6053a,0x21a30012,0xa47e02b2}},	//   _расад_, _završiti_, _कैरमबोर्, _типом_, 
   {{0xd304012e,0xb73b0299,0x93f4006e,0x42e9007a}},	//   _lefelé_, _ئىزتىل_, _gistal_, _cubitan_, 
   {{0x494d01c4,0x6ad70450,0x70c503db,0xe6d600ba}},	//   _innovere, _bertedat, _egiligal, _زاڵمانه_, 
   {{0xae370223,0xe8e901d1,0xcb21004f,0xd70900be}},	//   _bidalita, _personag, _desaayin_, _кенири_, 
   {{0x6c5203b9,0x83ea0227,0x92240129,0x75f002a4}},	//   _imatana_, _henti_, _ndokwa_, _tormenti, 
   {{0xa2490375,0x525b0140,0x42480220,0x70fd00be}},	//   _mfumu_, _saglit_, _mamme_, _جاشايبىز_, 
   {{0xa4310169,0x5f0602cf,0x7362023e,0x5b19034c}},	//   _জাহিদ_, _кратка_, _blumbang_, _башламад, 
   {{0x72f6043a,0x1dd70080,0x02920347,0x561a031a}},	//   _rafinik_, _anikkipp, _gesaai_, _raitheil_, 
   {{0xb2ff0054,0x00000000,0x00000000,0x00000000}},	//   _jaridar_, --, --, --, 
   {{0xf6d300cf,0xc6ca0464,0x9d4104d8,0x945c0187}},	//   _babaldhi, _barakubi, _masaajid_, _liberaçã, 
   {{0x821904f0,0xf24905ed,0xb3950130,0xb75e00ea}},	//   _dinkokom, _agume_, _treset_, _sarivong, 
   {{0x09610089,0x55b8018d,0x05b801af,0x92fc03fc}},	// [df80] _abonplat, _ምስክርነቱ_, _aglamasy, _audhild_, 
   {{0x372b0238,0xe26e0147,0xa7d5006c,0xf3ea010d}},	//   _столиці_, _època_, _abashisw, _sefti_, 
   {{0x737800c4,0x22900414,0x00000000,0x00000000}},	//   _ريشمي_, _sikam_, --, --, 
   {{0x4bdd00e4,0x77de01b8,0x787903b0,0xbc5f02ff}},	//   _बलिया_, _kampaani, _grunnsku, _abitraj_, 
   {{0xd2480259,0x5c6e01eb,0x11c3017a,0x00000000}},	//   _famme_, _ikaruha_, _носолим_, --, 
   {{0x52480359,0x32d9062d,0x79ef0148,0xa2cb01d9}},	//   _namme_, _accede_, _廣州市白雲人和怡, _gudder_, 
   {{0x82d802e9,0x579e0209,0x52d4015e,0x035000c1}},	//   _mujer_, _immersug, _ajuden_, _वसुली_, 
   {{0xeac10029,0xdbb70195,0x6b9e0278,0xfeea020f}},	//   _هۆددد_, _cathraic, _keazaman_, _وربخښی_, 
   {{0x43f40553,0xb3a30215,0x3259010d,0x42400025}},	//   _zistil_, _skapte_, _aganwati_, _विमले_, 
   {{0x132704c7,0x925201c8,0xa97e00db,0x00000000}},	//   _загребач, _obrazový_, _ravikane, --, 
   {{0xcb0b004b,0x6c540168,0x392802cf,0x00000000}},	//   _атланып_, _skyting_, _хектор_, --, 
   {{0xa9670360,0xe2d9030f,0x3c7300f5,0xe5da0040}},	//   _राउन्ड_, _purea_, _maksada_, _מכוערת_, 
   {{0xcb2a0213,0x00000000,0x00000000,0x00000000}},	//   _вĕретсе_, --, --, --, 
   {{0x886d00be,0x32490454,0xdc6e00ae,0x0faf0024}},	//   _ئزىلدۅۅچ, _ugume_, _akaruha_, _অনুসাৰে_, 
   {{0xa22b03c2,0x294f029c,0x798800b5,0xca8701e1}},	//   _dromore_, _analenge, _datokuér, _felisets, 
   {{0xa2970044,0x102a0023,0xdf4d0342,0xd5c801f4}},	//   _ותהנו_, _химическ, _konplete_, _мукаммал, 
   {{0xa9c50151,0x729002bc,0x0ffa0145,0x00000000}},	// [df90] _desecrat, _mikah_, _назоўнік, --, 
   {{0xcc6c0193,0xa3f404d7,0x02920008,0xf2900122}},	//   _पृष्ठसंख, _pistil_, _anuals_, _bikak_, 
   {{0x8197022f,0xc2010144,0x9b300437,0x441f0672}},	//   _законе_, _chairr_, _datatils, _impanuro_, 
   {{0x02d9002c,0x972b02ac,0x5d0d01bb,0xc6210076}},	//   _euren_, _وانستقرا, _arkalaşm, _tutoriai, 
   {{0xe9d402d2,0xd8fe016e,0x33f8013a,0xb7d703b2}},	//   _ukulunga_, _yaraland, _brout_, _ubiquiti, 
   {{0x7bf501a3,0xcaf9012f,0xbb6b004a,0x00000000}},	//   _خواجا_, _tsiniben_, _kanatın_, --, 
   {{0x4ee9010d,0xa2d80230,0x160f0061,0xef150297}},	//   _perkenan, _irben_, _어린이보호포장_, _аллаһны_, 
   {{0x5c0900ac,0x9f470177,0xd6c50169,0x32d90026}},	//   _vukovaru_, _анышә_, _রণদীপম_, _huren_, 
   {{0xf2020082,0xd2d90265,0x73f803e0,0x039504e8}},	//   _koriya_, _buren_, _grous_, _auesse_, 
   {{0xeaf703d4,0xe305032b,0x339501c2,0x22c600e4}},	//   _памети_, _قوپال_, _sueste_, _stylowe_, 
   {{0x62d802bc,0x2e0c0147,0xda9a0307,0x015a042c}},	//   _hubei_, _اتۇرعاي_, _ayanelis, _vrhunsko, 
   {{0xa2830104,0x13950371,0xc63d004a,0x0a1e034c}},	//   _anikeza_, _queste_, _барылуын_, _бирим_, 
   {{0x3b130249,0xf25a01d9,0x11540040,0x41fe00b3}},	//   _kamanmen_, _gillez_, _פנטהאוז_, _bazalary_, 
   {{0xbc69020d,0x984d0389,0xb28c027f,0xdb6a026a}},	//   _batutsi_, _aqalsayu, _arakoma_, _makubuda_, 
   {{0x32900245,0x2097005e,0x66bf00d1,0x960601a3}},	//   _hikai_, _принсип_, _এদুখুৰি_, _سهڪندي_, 
   {{0xc2d90054,0x22d801da,0x92910230,0xbdba003c}},	//   _auren_, _arben_, _labank_, _babikeca, 
   {{0xd6270217,0x32d90226,0x6e270061,0xc64900c1}},	// [dfa0] _admittti, _ambewu_, _컴퓨터주변기기_, _म्हैसूर_, 
   {{0x5ba70056,0x7a2c019e,0x929300b9,0xfae700f8}},	//   _бигзор_, _tikimybė_, _kekasihm, _পরকালে_, 
   {{0x19700004,0x72900245,0x65d20178,0xfc7700d9}},	//   _agrikilt, _likai_, _akhaṇḍad, _агрессив, 
   {{0xee0f00dc,0xa29002fb,0xe2d4004f,0x118900d1}},	//   _aeleelea, _oikai_, _kaalawu_, _মাঘনোৱা_, 
   {{0x13f8026c,0x72d900f3,0x726c004c,0xb9fe00a0}},	//   _prout_, _embewu_, _ankole_, _darajant, 
   {{0x1f33017e,0x7583003f,0x3b6b0092,0xfed90212}},	//   _konsista, _dadeltah, _の観点による画像, _accidens_, 
   {{0xa9d10011,0x59520038,0x12d903d5,0x3960036d}},	//   _amutunuu, _иоахим_, _arree_, _furnaise, 
   {{0x273f033b,0x461f0040,0xddfe00c1,0xbb45002b}},	//   _bolokwag, _קצרמר_, _दुग्धव्य, _ওষুধের_, 
   {{0xd25f0148,0xf047011d,0x8c7001cd,0x4d8a02aa}},	//   _廣播節目表_, _реесе_, _abasize_, _exponova, 
   {{0xef2700be,0xc9f90090,0x8c53012d,0x22e9068e}},	//   _арманда_, _achabere, _kastoma_, _hranicu_, 
   {{0x32490622,0x6c280462,0xd7b80164,0x2c6201c5}},	//   _iguma_, _ovisions, _башланғу, _inuusan_, 
   {{0x2db80036,0x946603db,0xb2400053,0x00000000}},	//   _scriptea, _besebenz, _विकले_, --, 
   {{0x88fe01eb,0x42fe00f2,0xab940348,0x421202fd}},	//   _saramand, _marijas_, _balindir, _nogha_, 
   {{0x0c890309,0xfdc50144,0x92850140,0x00000000}},	//   _kreditlə, _وبيان_, _ayokong_, --, 
   {{0x0acf0094,0xd21200fd,0x0ea70347,0x00000000}},	//   _رەنجي_, _hogha_, _akkuraat_, --, 
   {{0x12e9070c,0xa34100c7,0x89c00022,0xc955013f}},	//   _granicu_, _bardır_, _diterate, _broletae, 
   {{0x92c6016e,0x69870156,0x0217000a,0xbd410181}},	// [dfb0] _derecesi_, _געהרג_, _bashrami_, _godtgøre, 
   {{0xf4550388,0x2dba0195,0x3e8000ff,0xceb704e3}},	//   _prodotto_, _tacharta, _אָנרופֿן_, _sapunice_, 
   {{0xc3190174,0x7c8700c5,0x32b4049e,0x793d0139}},	//   _medirong_, _返回知识堂首页_, _oznámiť_, _anumodit, 
   {{0x59670132,0xb24902af,0xeb5605aa,0x895c0021}},	//   _tekintet, _aguma_, _fordelen_, _anfordst, 
   {{0xb2fe0013,0x404d0045,0xa42b019d,0xcb090299}},	//   _darajasi_, _мрату_, _dambudzo_, _تىككۈچى_, 
   {{0x6afd002b,0x280a02d3,0x93ce01a3,0x00000000}},	//   _অবহেলার_, _струка_, _ubavu_, --, 
   {{0xa291045f,0xd27502e1,0x892b0524,0x02e8005b}},	//   _ensam_, _carreful, _spambota_, _fujiyan_, 
   {{0x52000068,0x72120195,0xe05302cf,0x2acf0154}},	//   _jijiga_, _bogha_, _родител_, _сплендид, 
   {{0x43dc002a,0x525b00b7,0xe3a000e7,0x53f80333}},	//   _amawo_, _adalga_, _aisyday_, _tinuti_, 
   {{0xe37b0269,0xc2d800b3,0xa5aa000c,0x87a10172}},	//   _horario_, _erbet_, _аславтис, _wonkɔɔ_, 
   {{0xa27e0223,0x627e02fd,0x2b21036c,0xdae00074}},	//   _egongo_, _cronan_, _ampanomb, _tunteide, 
   {{0xee38055d,0xb2120129,0x72d40039,0xa0e0050c}},	//   _bahawasa, _fogha_, _askoren_, _मेडीकल_, 
   {{0x4e840212,0xc2e701c5,0x175b0041,0x37cb0037}},	//   _showfont_, _dhanaan_, _дзыусҭаз_, _በሚስጥር_, 
   {{0x031801f0,0x93f801da,0x92e300a6,0xb03101a3}},	//   _bakiwang_, _jugut_, _athimbe_, _چُٽڪِي_, 
   {{0x0a660162,0x73fa0126,0xf2c502ac,0x997a0279}},	//   _бигунаһ_, _старших_, _desmart_, _efficace, 
   {{0x127603f0,0xa77d00da,0x63ea00a4,0x04ce0013}},	//   _vinnunni_, _презентэ_, _lents_, _калимаси_, 
   {{0xf5bf03b9,0x396e001c,0xf4e80037,0x663e0119}},	// [dfc0] _gruponak, _dannenbe, _ተቀራራቢ_, _mahibali, 
   {{0x7c990037,0xadba00da,0xaa160096,0x026d0133}},	//   _ማስፈጸሚያ_, _celalalt_, _bagacika_, _hafiinsi_, 
   {{0x62910230,0x2c090370,0xff83005d,0xcf460294}},	//   _ansam_, _restenos, _kororöre_, _gatsbyca, 
   {{0x6a9300cd,0x228002b2,0x33f902aa,0x11620244}},	//   _decisiun_, _helsetil, _zezula_, _стабилно_, 
   {{0xe07a014f,0xe249013a,0xdbee0076,0xb3f801d9}},	//   _временск, _teamen_, _тасос_, _frouh_, 
   {{0x75ee058f,0xf16d02a4,0x9f5b00e7,0x7e45028e}},	//   _tradició, _lossiemo, _ammalian, _tamangga, 
   {{0xc7ac014f,0x6ee30005,0xc3ea0204,0x3c620229}},	//   _докумена, _baghetgs_, _pentu_, _aysunun_, 
   {{0x4c040101,0x8fda02e5,0x42d90241,0x831900ec}},	//   _afisari_, _balnerio, _buree_, _ажаніўся_, 
   {{0xbd2f01be,0x9cfc016d,0x8cd80040,0x0b97023e}},	//   _filmové_, _گۇۋاھلىق_, _התשתיות_, _bagiratr, 
   {{0x5c380094,0x3cb301db,0xaba40241,0x5e18024f}},	//   _астындағ, _اۋماعىنا, _baakteer, _nacevama, 
   {{0x5da503bf,0xc2640071,0x56c20418,0xa4ce020f}},	//   _ditokoma, _koplak_, _haftalık_, _ډيسکټاپ_, 
   {{0x835e00b8,0xe03c00c5,0xb290034b,0xc504007a}},	//   _payatańa, _广州同志会所_, _sakavi_, _wahdatul_, 
   {{0xc24802b1,0x93f80257,0x12da0234,0xec760185}},	//   _yamma_, _augum_, _baseje_, _петербур_, 
   {{0xe2e7014e,0x03a302f3,0x794c04d7,0xe7b90040}},	//   _драган_, _skapat_, _farmflyt, _הקשבה_, 
   {{0xe28e04ee,0xf7670144,0x585402ac,0x00000000}},	//   _entatenm, _خدماتنا_, _ووزير_, --, 
   {{0xc38002d4,0x8e18001b,0x23070308,0xd0a10153}},	//   _emprem_, _blogiwwa, _tibalah_, _型の体積配合比で_, 
   {{0x86a80050,0x628301e9,0x3dc602c3,0xc8c005f8}},	// [dfd0] _multiply, _bathati_, _možnosti, _уборах_, 
   {{0x0a8300f7,0xc1b701f4,0x409603ce,0x828700bb}},	//   _kontraŭ_, _синови_, _سالانی_, _بہرام_, 
   {{0x530402df,0x12be026c,0xce8b0038,0x00000000}},	//   _terawal_, _gladium_, _борһанов_, --, 
   {{0x624802f3,0xcdf1034d,0x889b0211,0x485404f9}},	//   _samma_, _mendafta, _складе_, _svalbard, 
   {{0x02010286,0xffc0004a,0x72d80478,0xf23802f0}},	//   _mibisa_, _aranjiro, _arbes_, _etimeni_, 
   {{0xd2370270,0x525201c8,0xc2d9032d,0xb2480518}},	//   _fremeva_, _obrazové_, _fenngoe_, _xamma_, 
   {{0x8d6f030c,0xeb4900b4,0x806d029b,0xdd09002b}},	//   _tammaqta, _problemă_, _fanaanoo, _ফুটিয়ে_, 
   {{0xe27e019c,0xb3a6004d,0x2f9601ee,0x00000000}},	//   _iannaa_, _治安零容忍_, _автономл, --, 
   {{0xe5f90004,0xc36e002e,0x0b4900ec,0x2eb8007f}},	//   _atifisyè, _kantonim, _problemą_, _gadewais_, 
   {{0xb948001a,0x068a0059,0x6b820388,0xa3b00313}},	//   _اولمرٹ_, _нормален_, _rientrar, _pihqu_, 
   {{0xb2d80148,0xa40801ef,0x9f600047,0x575a0144}},	//   _urbes_, _susilauk, _perpigna, _deannaig, 
   {{0xdf2d01d1,0x42fe034a,0xd65b0019,0x22d900db}},	//   _conferen, _obrigas_, _تىشايىن_, _sureb_, 
   {{0x52e10148,0x54730071,0x69aa0008,0xcccf0040}},	//   _一般分類法查詢_, _خوشبختان, _кризисти, _לזיין_, 
   {{0x22a70795,0x00000000,0x00000000,0x00000000}},	//   _reabre_, --, --, --, 
   {{0x5395034b,0xa29503d0,0xbe33015e,0xcb1e02b9}},	//   _efesus_, _tematski_, _берилмек, _tápanyag_, 
   {{0xb9c402b9,0x0f3600af,0x6a010524,0xf394032d}},	//   _انتقامی_, _запуску_, _dražen_, _fekse_, 
   {{0x64a600f4,0xfc2305e0,0x375a02ac,0x2fdb0299}},	// [dfe0] _andalouz, _camareir, _beannaig, _ئىچسەم_, 
   {{0xe2d90203,0x052d00ed,0x5d140320,0x5a00000f}},	//   _otres_, _kompleto_, _mitsaler, _biraraya_, 
   {{0x32920544,0xc88100a2,0xc96b0207,0x92d80325}},	//   _āpana_, _kusisimu, _wakifuat, _filmlə_, 
   {{0xa2480075,0x1a4e0152,0xe29002d8,0x86b8003b}},	//   _heimin_, _lyudmila_, _kicau_, _batawati, 
   {{0x40f20301,0x129002f6,0xff810591,0x7e660094}},	//   _yenilikl, _likas_, _norrköpi, _بۇيرىعى_, 
   {{0x787b030c,0xf8d50037,0x1c8401d1,0xb2e801eb}},	//   _maliktau, _መዘንጋት_, _observed_, _cheicha_, 
   {{0x330f0444,0x12ca0040,0x43fc0137,0xe3e3021e}},	//   _областях_, _beads_, _жигүүрий, _skolverk, 
   {{0xa3ea0309,0x02900242,0x52920095,0x05850058}},	//   _nefti_, _nicat_, _sesaji_, _smalikum_, 
   {{0xa29102fd,0x56bb0203,0x5aa602b9,0xa2b80089}},	//   _arcach_, _caraceri, _کوتاہیوں_, _планшетл, 
   {{0xd201030b,0xce3a0147,0x202602eb,0xadb80086}},	//   _kibira_, _астындаг, _малчны_, _ikonokka, 
   {{0x3c800008,0x87d803e2,0x005b00e6,0xad27020f}},	//   _чечет_, _actuará_, _发展循环经济_, _ابېڅو_, 
   {{0x1e680361,0x72bb03b2,0xbbd80177,0x52900151}},	//   _тексте_, _labeled_, _зҭахыз_, _bicau_, 
   {{0x728e00ea,0x43260060,0x00000000,0x00000000}},	//   _tsosialy_, _جايىلىم_, --, --, 
   {{0x80770367,0x6571016e,0xfa58008b,0x9b0d0208}},	//   _parceiro, _beylikdü, _digéem_, _مشیدی_, 
   {{0x32e302e5,0x996d0086,0x140501c2,0x130d0278}},	//   _akointe_, _ڈیموکریٹ_, _requiren_, _kemboja_, 
   {{0x225a0222,0xc3f9005b,0xb644020f,0x924902a8}},	//   _bouteill, _tezuka_, _bavotelw, _gradwalm, 
   {{0x1f9e0036,0x42650211,0xf2d802e7,0x048401ab}},	// [dff0] _محمول_, _sukupuol, _lamesa_, _एकजाने_, 
   {{0x132b03ff,0x0c700235,0xc2d90605,0xb20104cf}},	//   _abecedy_, _राज्ञी_, _ntrer_, _enziwa_, 
   {{0x1fae03c1,0x4d5d019a,0xdef70246,0x72260053}},	//   _дарко_, _carboord_, _филмите_, _teukie_, 
   {{0x83ce027c,0x3e9903b9,0x92d90165,0x0b0700cb}},	//   _abavi_, _tantacht_, _kurea_, _видеоии_, 
   {{0x02d902db,0x7d860047,0xb865013b,0xb249015b}},	//   _atres_, _attendre_, _odenwald, _stamba_, 
   {{0x32d9012d,0xf290026c,0x97ab00d1,0xe66b0147}},	//   _stret_, _dicam_, _কাঠেৰে_, _جەيرەندە, 
   {{0xa12802ac,0xb05d0191,0xcc3f0325,0x00000000}},	//   _shimpliú_, _felsökni, _endirilə, --, 
   {{0xe39502b5,0xe23a02a3,0x722b007b,0xb30e02fa}},	//   _yakyawj_, _manlief_, _chivilry_, _amabara_, 
   {{0x92fc004f,0x14dd0153,0x8a3c0109,0x715403f8}},	//   _amnga_, _携帯電話に送る_, _aktivitě_, _niboqlah_, 
   {{0x838101da,0xf2e904ca,0xb6bb0046,0xbc4f026f}},	//   _berishës_, _aeriana_, _айланайы, _بەكشا_, 
   {{0xadba0268,0x03eb02f3,0x629001da,0xe20000bb}},	//   _urchasep, _pratar_, _pikat_, _ٹیکسلا_, 
   {{0x23f80170,0x029003b0,0x5b7400f6,0x00000000}},	//   _achule_, _likar_, _cavabın_, --, 
   {{0x925000bf,0xbdb10005,0x636f014a,0x3ef70038}},	//   _мерах_, _allianza, _reggelt_, _бишмәт_, 
   {{0x326e0321,0x4d0a005d,0xe7ed01db,0xabba0156}},	//   _posode_, _cherejar, _сайтыңыз_, _וכזבים_, 
   {{0x43eb04f4,0xcc66047d,0x386700c1,0x97f701cd}},	//   _tratar_, _besteet_, _मुरघास_, _ташвиқи_, 
   {{0xaa930444,0x026a00ba,0xfc5201cc,0x6dd504a5}},	//   _лондоне_, _زرێپۆشی_, _bhasmībh, _kukhutha, 
  
   {{0xafbd0046,0x5e5104e5,0x3e370243,0xd2cb0149}},	// [e000] _участокт, _alibonya, _kalalita, _ịlekọta_, 
   {{0x67c90105,0x251e02ef,0x8c5401b8,0x5c2c02e5}},	//   _zastosow, _akondisy, _tantsud_, _inmanenc, 
   {{0xd2e8012c,0x9e1a03ac,0x917b01d5,0xeafd0417}},	//   _مقدمو_, _kecelaka, _salaktal, _impulsie, 
   {{0xf4c6021c,0xc2c100dc,0xd2bb00a7,0xa2d8029e}},	//   _psychick, _apolima_, _objecte_, _hamera_, 
   {{0x99da041e,0x1a8f002f,0x929000cd,0x124b0255}},	//   _galleria_, _allintan_, _incap_, _खोजेला_, 
   {{0x7f2a018d,0x860300f5,0xa37a00ff,0x82d8004d}},	//   _ኣልናህዳ_, _сеналары, _albanio_, _pubes_, 
   {{0x73b10159,0xac7f01e8,0x5e5b0139,0xfbe00488}},	//   _шведская_, _kanunay_, _दर्शनस्य_, _juvelier, 
   {{0xbd2e0013,0xaeea00c5,0xc2d902f8,0xe7a00040}},	//   _чагаевни_, _签发出口许可证_, _furei_, _insulati, 
   {{0xff260682,0x8c520017,0x91260039,0x338101da}},	//   _समाजले_, _दररेट_, _хийцтэй_, _berishën_, 
   {{0x729002b1,0x22d8046d,0xc9350053,0xedbe00c1}},	//   _cikar_, _lenelo_, _fatmawat, _kalimala, 
   {{0xf2910242,0x63dc0072,0x7ddb0238,0x53eb00bc}},	//   _insan_, _amawa_, _обслугов, _kuatir_, 
   {{0xb2df047b,0x47bb019b,0xe2490125,0xa2d801f7}},	//   _kunning_, _objektyv, _adamyn_, _suber_, 
   {{0xcb2200f3,0xeb93031c,0xf52600b9,0x71b80348}},	//   _akuphele, _decidido_, _menyeruk, _atumanyi_, 
   {{0xe2480222,0x8e410184,0xe2d40143,0xadb30450}},	//   _gamme_, _biharage_, _ascolta_, _fannemoa, 
   {{0x3344041e,0xb134015e,0x65690278,0xed8d00d9}},	//   _mandatu_, _берилген, _penjenay, _пятницу_, 
   {{0xc683033e,0x178b0211,0x00000000,0x00000000}},	//   _chángape_, _успешног, --, --, 
   {{0x0b2203de,0xa6a501f6,0xc68c0064,0x4d180153}},	// [e010] _ekuphele, _berekraf, _дастанды_, _チャイルドシ_, 
   {{0xcdc70216,0xd4d70287,0xde45001b,0x5d20036d}},	//   _leriseke_, _लिपिको_, _gamaagga, _phostair, 
   {{0x1c5101d2,0x0c6902d9,0xcfa9004d,0xa1690185}},	//   _alitana_, _fatuesi_, _飛越蘇聯毛子水_, _betergäç_, 
   {{0x62d90340,0x175c02e2,0x2eb9000b,0x925b0113}},	//   _purei_, _admiring, _lipotiin, _dealga_, 
   {{0x84b20599,0x0e4d0040,0xf3f8015a,0xb317005e}},	//   _टुकडा_, _ציסטה_, _arguu_, _ﺋﯩﭽﯩﭗ_, 
   {{0x52d801d1,0x621f01ef,0x5be30462,0xa29001e8}},	//   _camera_, _pasirašy, _ackwellb, _hikap_, 
   {{0x31040126,0x32910251,0xb2ea01d7,0xfb5e00b4}},	//   _депозитн, _hogaan_, _arrivan_, _oficială_, 
   {{0xee5f03f3,0x72240815,0x7daf01aa,0xfaac002f}},	//   _thebaine_, _ndokua_, _alanceba, _chakatan_, 
   {{0x47b600d1,0x64010192,0x734001c9,0x798f00fb}},	//   _বোধেৰে_, _begraven_, _preemia_, _kwahamba_, 
   {{0x69850369,0x8202013e,0xe27802c7,0x1dd80234}},	//   _mulipuka_, _zorica_, _physikal, _láìbá_, 
   {{0x52d705c7,0x01250126,0xd3200304,0x054c0350}},	//   _murongo_, _власнору, _takyah_, _በየፊናቸው_, 
   {{0x51c4009a,0xfdb90250,0x92e000c0,0xd61903d4}},	//   _abamagam, _dashurua, _daungan_, _енрико_, 
   {{0x493f0386,0x720100ea,0x12e00304,0x00000000}},	//   _suaminya_, _mozika_, _laungan_, --, 
   {{0x54770065,0x625a0034,0x6e47055f,0xcdc0055f}},	//   _parteien_, _heilla_, _osmaniye_, _antikala, 
   {{0x5e1b0193,0x32e00227,0x0f810365,0xfaf5019e}},	//   _kesepaka, _naungan_, _चड्कन_, _блізкай_, 
   {{0xa2480631,0x5de301a3,0x73eb00bd,0x00000000}},	//   _samme_, _سنهڙا_, _cratur_, --, 
   {{0x52d90130,0x7b0f0141,0xa9da006c,0x425a0020}},	// [e020] _burev_, _belgilas, _alingisa_, _seiloa_, 
   {{0xe51e014b,0x52c802e7,0x1e0f04ca,0x22bb006c}},	//   _deelimiy, _isumpay_, _assecada, _angenze_, 
   {{0x5a6d034c,0xdf4800ba,0x520101a4,0xcf3c0396}},	//   _bolgarga_, _وپرۆتێست, _kozika_, _jargumen, 
   {{0x95c7024d,0x2cc30354,0x8b0f0279,0x55f90061}},	//   _ihlabath, _ژورنىلىد, _destinée, _시스템으로_, 
   {{0xf2910082,0xb00c0088,0xcd9b0048,0x2a5d002b}},	//   _kisan_, _جايراعان_, _asunguwa, _নিশ্চিতক, 
   {{0x149f0169,0xcc6f012c,0xc2d800a5,0x00000000}},	//   _বৃদ্ধির_, _فلسطينين_, _lamepa_, --, 
   {{0xaed602fe,0x83ea01da,0x82910230,0x1c7f008e}},	//   _abanefas_, _pritur_, _disan_, _danulay_, 
   {{0xa982026f,0x02c600b7,0x11dc00f2,0xb9cf054c}},	//   _احانتاي_, _derejesi_, _tehnikum, _levealde, 
   {{0xe95f009a,0x07e60040,0x8ae700d1,0x00000000}},	//   _abangase, _דיפרנציא, _নেছাৰচ_, --, 
   {{0x72250017,0x063f01af,0x00000000,0x00000000}},	//   _znakem_, _bilimimi, --, --, 
   {{0xb2900240,0x022f0192,0xf25b03f6,0x53c302a5}},	//   _dakai_, _마법천자문_, _lealea_, _dívek_, 
   {{0xd2c20119,0xf5a40026,0x00000000,0x00000000}},	//   _atalaia_, _verstrek, --, --, 
   {{0x3c550303,0x6eb1005a,0xd29000a5,0x036e02a6}},	//   _abetswe_, _bisopqan, _fakai_, _manganu_, 
   {{0xa3f90149,0x52e701d2,0xc29104d8,0x00000000}},	//   _mgbuka_, _chankan_, _qarankii_, --, 
   {{0xf2900245,0xaa9200f3,0x895b0037,0x5b92006c}},	//   _hicai_, _abanamas, _ግዴታውን_, _abanamac, 
   {{0x2efe0026,0xa27100bf,0x527e0116,0x0d3e0189}},	//   _이용하시기_, _отделить_, _ironin_, _merhamet_, 
   {{0x4e960144,0x9c68012b,0x7e250055,0xb28f0376}},	// [e030] _هرمون_, _dobrego_, _renferma, _bispaval, 
   {{0x3c030098,0x02490102,0x65830065,0xe2e90140}},	//   _forsvar_, _ngumi_, _niederrh, _dominyo_, 
   {{0xcc510106,0x226c04bf,0x00000000,0x00000000}},	//   _कमलेश_, _nikole_, --, --, 
   {{0x5291019c,0xec2502c1,0x32cb0270,0x9b20042a}},	//   _aisan_, _batangir, _svedia_, _ingahamb, 
   {{0x2e270024,0xa2000108,0x149c0315,0x0e0400d9}},	//   _দিছপুৰ_, _hijina_, _babékati_, _экономит, 
   {{0x34850835,0x15e80138,0x1c550012,0x730d0014}},	//   _स्वाति_, _rahatsız_, _ओएडें_, _tiparet_, 
   {{0xf6db02ac,0xd2e602fe,0xcc69044a,0xd1e00127}},	//   _عااااااا, _وطندار_, _batumbi_, _chastaek_, 
   {{0xa290005b,0x826c01f0,0xbe230109,0xd25a019c}},	//   _sakai_, _dikole_, _संग्राहल, _kunle_, 
   {{0x72900193,0x46210444,0xde1b03ac,0x82d701a6}},	//   _pakai_, _всякого_, _keceraha, _purongo_, 
   {{0x923902da,0xd291005b,0x775c0381,0xe3a201f1}},	//   _солун_, _ansat_, _admixing, _ekipit_, 
   {{0xd29000fe,0x0c660359,0x725a0233,0xb2f9032c}},	//   _vakai_, _bestiet_, _abolit_, _afrikap_, 
   {{0xb248021f,0x4a1d00a7,0xc3820121,0xb5cd027b}},	//   _hamma_, _treballe, _quizás_, _anenānṛt, 
   {{0x429100ad,0xc26d0044,0x1b2002bf,0xe6db0147}},	//   _pisan_, _income_, _angahamb, _جىشتىق_, 
   {{0xea170015,0xdc8401b6,0x564802b2,0xc2d602fd}},	//   _insaanka_, _patented_, _театрі_, _laithibh_, 
   {{0x42c50342,0x26ce0206,0x03f90007,0xf378010d}},	//   _deklare_, _zoradeni, _mabuta_, _becanda_, 
   {{0x625b0306,0xbd050521,0xb8360156,0x7d550147}},	//   _zdalna_, _amerikë_, _זימבאבוו, _دئلدەكى_, 
   {{0x5b2004cf,0x912d019b,0x77310153,0x628f053e}},	// [e040] _engahamb, _versiją_, _金管バンド_, _solkrem_, 
   {{0xf2490622,0x817d016a,0xb82f0287,0xd1f903dd}},	//   _uguma_, _דיבוק_, _chladící_, _pranishm, 
   {{0xd26c0014,0xea03001c,0x1f7403a2,0xf2d9014d}},	//   _lejon_, _embahada_, _झवाझवि_, _eurem_, 
   {{0xa952042c,0x62010226,0x03f801f7,0x54870077}},	//   _zemljist, _bibida_, _augut_, _iskariòt_, 
   {{0x882601db,0x9ae50155,0x1e0f00b5,0xe86300c7}},	//   _باباڭا_, _vanligen_, _ipreocup, _горабия_, 
   {{0x82120063,0xa8fd0307,0x486700d7,0x97640255}},	//   _rogha_, _angafund, _арнала_, _डाक्टरक_, 
   {{0x0290023b,0x7248001b,0x7dd30544,0x22d900ac}},	//   _makau_, _damma_, _apokelea, _hurem_, 
   {{0x5712013d,0x49c10282,0xc2ef025f,0xb6370131}},	//   _החרדית_, _arameina_, _boninga_, _fipronil_, 
   {{0xe6b80141,0x53f80050,0xb2910028,0x84a002bc}},	//   _palatasi, _gugus_, _iisal_, _teinwell_, 
   {{0x6ef80102,0x5d4b0053,0xbdf801e9,0x9ffe0488}},	//   _جوانيءَ_, _अनुवादित_, _ganediwe_, _karstajā, 
   {{0x64a301ad,0x888900ec,0x4cac001b,0xf9bb0014}},	//   _proyekto_, _замацава, _faayidar, _federata_, 
   {{0x68ae01e8,0x8b33006c,0xa27e0369,0xa2120113}},	//   _galvanic_, _abachots, _kannka_, _togha_, 
   {{0x12860361,0x7ecd0047,0xd4f70060,0xb3790446}},	//   _становил, _dirigean, _аралда_, _megabon_, 
   {{0xc2d9010d,0x5291002e,0x23f801e8,0xf29801b3}},	//   _surel_, _pisao_, _dugus_, _курортни, 
   {{0x73fa007d,0xfa4c0087,0x1c440203,0x42ef0100}},	//   _teruja_, _hindlela_, _mancativ_, _kazneni_, 
   {{0xbd9102ba,0x837f061e,0x00000000,0x00000000}},	//   _аёдати_, _hanahpa_, --, --, 
   {{0x855d035b,0x534f029e,0x7e9c0231,0xb22403ab}},	// [e050] _bližnje_, _londrez_, _elemosin, _bliká_, 
   {{0x8b1900fa,0x6bff0371,0x09c701de,0x54780156}},	//   _ampatuan_, _parliamo_, _ساقيناسى, _לעפטאפ_, 
   {{0x53950498,0x00000000,0x00000000,0x00000000}},	//   _hlasuj_, --, --, --, 
   {{0x22fd00a7,0x8f2700f5,0x9278012c,0xec730255}},	//   _opcions_, _пенасына_, _kanisani_, _intress_, 
   {{0x957a0409,0xc046011e,0x1290033f,0x6237020f}},	//   _sendmail_, _katriyen, _lakasi_, _elimela_, 
   {{0x21c10255,0x62900240,0xffaf019a,0xdd880112}},	//   _सनेही_, _cakau_, _alawites_, _kelentit_, 
   {{0xd29201c2,0xad970156,0xb725022c,0x0c040029}},	//   _anuais_, _קאמבינאצ, _arembung, _نێچرڤان_, 
   {{0xbe18017f,0x66090405,0xbb66012a,0x12d90052}},	//   _aaserala, _налагодж, _कूदने_, _muzes_, 
   {{0x47720087,0x5ad9006a,0x2daa0021,0xa2000240}},	//   _andzisiw, _tendromb, _abbitsra, _droigi_, 
   {{0x8290042b,0x42fe0625,0x877d0144,0x6b1f00aa}},	//   _takav_, _kuchyne_, _ولازم_, _dulaanan_, 
   {{0x5eb10055,0xaa2004a0,0x4da60046,0xfade042d}},	//   _altronde_, _fábricas_, _بايدۇۇ_, _ahatafit, 
   {{0x22900362,0x63fa000e,0xf68102a6,0x54d7019b}},	//   _makasi_, _beruka_, _minerari, _палацы_, 
   {{0x79b200bf,0x97ed042a,0xc20e014e,0xb2f303d8}},	//   _бояться_, _angaleng, _зарад_, _kafiću_, 
   {{0xd290028a,0x6e6e0129,0x149102ee,0xc8a7002b}},	//   _wakati_, _bọdoo_, _parrokkj, _কষ্টগুলো_, 
   {{0x0a6e0362,0xbc1200cd,0x959f004d,0x0d8c0139}},	//   _bangunda_, _analisau_, _五結利澤郵局_, _durmukha, 
   {{0x82900138,0xe69f0037,0x6f2703b7,0x02d800bd}},	//   _fakat_, _ሰብሳቢው_, _aderstra, _chiel_, 
   {{0xa8db0047,0x6c9300bc,0xd2d90066,0xe46301eb}},	// [e060] _胶南市城建局_, _داراي_, _eurek_, _imediano_, 
   {{0xd9380162,0x9f2d0220,0x8c7701e5,0x5ff800e6}},	//   _дурданил, _sofferen, _koosile_, _听取和审议驻马店, 
   {{0xc291028d,0xea8d0261,0xc0e80291,0x527304cf}},	//   _disab_, _plenkres, _ويحقق_, _lezigidi_, 
   {{0xb7c500fc,0xee630033,0x15d000f2,0xe04a02f3}},	//   _burghdaj_, _mischeda, _nometnē_, _andrahan, 
   {{0x93f801f0,0x92e8018a,0x00000000,0x00000000}},	//   _bajuta_, _derfyn_, --, --, 
   {{0x92ea0176,0xca160076,0xa2080109,0x714a013b}},	//   _puritan_, _евиденти, _आवतजावत_, _nagrespo, 
   {{0xd3f802d5,0x0a71027c,0x9f400384,0x00000000}},	//   _vajuta_, _babaviwa_, _bliskost_, --, 
   {{0xc2900298,0x83990060,0x42490011,0xbb14011a}},	//   _hakari_, _بالىگەرگ, _atamma_, _בנרתיק_, 
   {{0x12d800c9,0x129000ea,0xe7a201c2,0x634801d1}},	//   _chiem_, _fakam_, _incumpri, _seventh_, 
   {{0x1ea7025c,0x341200ba,0xd9b60053,0x5fcf0376}},	//   _editiert_, _دواڕۆژدا_, _berdusta_, _genialar_, 
   {{0x6290019d,0x1290000e,0xfad20242,0x698a0089}},	//   _pakati_, _makari_, _gerçəkli, _джайнизм_, 
   {{0xa9d50040,0x33fe01a4,0xe279022b,0x40fa0013}},	//   _נוזלי_, _babukaki_, _samferðs, _sezilarl, 
   {{0x62900125,0x915c0039,0xabe00066,0x21cf0040}},	//   _kakam_, _хугар_, _mendigur, _ומרצה_, 
   {{0x595b0067,0x93400024,0x69b1029b,0x8cbc0251}},	//   _aboottee, _irmelin_, _boddante, _dabageed_, 
   {{0x0ad50148,0x20c600ef,0xbc680139,0xfb86033f}},	//   _juststre, _ناکامۍ_, _akurvan_, _helohelo_, 
   {{0x1c6900d5,0x52da0095,0x0ad20242,0x00000000}},	//   _nentiny_, _absene_, _gerçəkmi, --, 
   {{0xf290030f,0x3ec500ca,0x7c0604df,0xef5f01da}},	// [e070] _kakari_, _arrondas_, _bekriň_, _ekuacion, 
   {{0x6212023b,0xec1c0178,0x93eb007e,0xb314006f}},	//   _onoho_, _anyatsar, _aratir_, _مھاراجا_, 
   {{0x259c0659,0x55070220,0x49710148,0x1ae90061}},	//   _ditubuhk, _sportivo_, _週年慶持續發燒_, _공인중개사사무소_, 
   {{0xc2900457,0x82f50148,0x6a0a00cb,0x52ad00a7}},	//   _aakam_, _台股各級產業_, _ababebat, _اللاح_, 
   {{0xa2480022,0xd29004af,0xf2e201b7,0x12840192}},	//   _maemo_, _licas_, _anantam_, _verschul, 
   {{0x720200a1,0xfcbc00b0,0xe03304ac,0x039e0137}},	//   _hiriwa_, _nabadeed_, _полотна_, _тарагийн_, 
   {{0xafc10150,0xa5040112,0x10b20325,0xad5a0397}},	//   _prinsipo, _rahmatny, _cəlladla, _кобед_, 
   {{0xa76d02ac,0x9c000178,0xf61b0010,0xe6a50299}},	//   _اليأس_, _ayamasau_, _dlulámit, _ئىدېئولو, 
   {{0x3202010b,0x83f800b4,0x620004a7,0x00000000}},	//   _diriwa_, _minuni_, _adhire_, --, 
   {{0xcb250125,0x52d6048d,0x38670187,0xf27f007e}},	//   _пудагы_, _exultat_, _оргазам_, _barhiḥ_, 
   {{0x5cbc00b0,0x42900120,0x53cf013f,0x7e140497}},	//   _dabadeed_, _bicat_, _dozvet_, _brimless_, 
   {{0x52010082,0xac1b01ad,0x4abe02c0,0xc28601e4}},	//   _libiya_, _schongau_, _брекстон_, _náhoda_, 
   {{0x0b870255,0xe8c3040b,0xd9c30342,0x7f260057}},	//   _redigeer, _tshiteṅw, _alterpre, _menterna, 
   {{0x822b011e,0x241901af,0x3249019f,0x45110144}},	//   _akimile_, _addihock, _ugumu_, _maoluith, 
   {{0x12ec0060,0xd0c3010f,0x03f90249,0x2d650078}},	//   _алуан_, _пластикӣ_, _livusi_, _амбасаде_, 
   {{0xa2d9002c,0x3c380119,0x774a0244,0x729000f2}},	//   _arren_, _breisgau_, _спортове_, _sakari_, 
   {{0x2290035b,0x0b6000ee,0xd297023b,0xc14e0354}},	// [e080] _zakaj_, _dekretua_, _makahihi_, _ئەئلا_, 
   {{0x6c59010f,0x4da700c4,0x2bfa0060,0x80870092}},	//   _консерти_, _روھڙي_, _بەلگىلەي_, _netbutik_, 
   {{0x541a0148,0x002d0064,0x82010107,0x93860046}},	//   _可能會提前結束販, _الاقاسىن_, _nugini_, _تاقدىر_, 
   {{0x529002c0,0xec5d00d4,0xb4d900c5,0xe05303d3}},	//   _dicas_, _sintrum_, _décision_, _gudstjen, 
   {{0xa0f100e4,0x62900004,0x730602df,0x13a700c7}},	//   _poradnik_, _makak_, _disokong_, _арангул_, 
   {{0x59c10212,0xa98301bd,0x2d77019b,0x1b6803fb}},	//   _filefact, _бомбасы_, _файлаў_, _četnika_, 
   {{0xe26e0286,0xd29001a6,0x35e600be,0x3c530169}},	//   _bosome_, _kakapi_, _جۇرنال_, _lastima_, 
   {{0x42020176,0x4fc200d1,0xfb6e00c4,0xfff900be}},	//   _norika_, _কষ্টৰ_, _sikuweza_, _ستالىنگە_, 
   {{0x429000a1,0xe27001eb,0x23010120,0x3f5f021a}},	//   _pakari_, _хадақәа_, _afwargi_, _maratoon, 
   {{0xe29000a5,0xdd0c00b8,0x3290001c,0x3f8e0213}},	//   _lakapi_, _jallallt_, _bicas_, _совершал, 
   {{0x506d0068,0x07590099,0xa5c5027b,0x00000000}},	//   _inkastoo, _edzimosv, _durbuddh, --, 
   {{0x62d80032,0x11d70377,0x920001ad,0x029c0153}},	//   _azmubawy_, _пилица_, _juliã_, _ゲストブック_, 
   {{0x346203f1,0xd29003ba,0x22de042c,0xc2d400fc}},	//   _stredisk, _dakak_, _osnovnu_, _jupdaj_, 
   {{0xe9ee0472,0x249e002b,0x36a700fb,0x22d802c3}},	//   _warnanya_, _সোস্যাল_, _kwathuny, _skiel_, 
   {{0x556f00ac,0x22fc0112,0x9d2103a0,0x7e2a03f3}},	//   _posvetio_, _menitis_, _istisiwe_, _proficia, 
   {{0x62ad0064,0x92910172,0x26c800b4,0x398a02f0}},	//   _ئلدام_, _bisaa_, _prealabi, _ayihambe, 
   {{0x91dc04a4,0x9d9c0631,0x7dce0038,0x52d80015}},	// [e090] _manitobà_, _forenkle_, _биюен_, _gubey_, 
   {{0x7c660167,0x606e0211,0x22c301df,0xf6410140}},	//   _arbrawf_, _havainno, _dwallin_, _dumidiki, 
   {{0xce37026c,0xbc2103da,0xb29000aa,0xe2d90836}},	//   _calamita, _issiokwu_, _bakak_, _orret_, 
   {{0xae560220,0xf68d0092,0x92ed0244,0xee3800dc}},	//   _етническ, _videregi, _copiare_, _mitamita, 
   {{0x49f002a4,0x66d402af,0xc0de00b4,0x9c440703}},	//   _sanguine, _bararuhi, _evanghel, _kabwila_, 
   {{0xa37d05b1,0xac30003b,0x029001fc,0xa25903f3}},	//   _zdravie_, _alesatis, _wakak_, _gerenomm, 
   {{0x36400025,0xd9c8046d,0x12d900a4,0x282c02b6}},	//   _अन्तोदात, _homolosa_, _arreu_, _артылады_, 
   {{0x5ec302c2,0x69c401b8,0xb30e01e5,0xe6b20092}},	//   _christus_, _moderaat, _alabara_, _ナイス節約_, 
   {{0xf72b0126,0x929000ad,0x80b00078,0x401d00d0}},	//   _столиця_, _cakah_, _апелацио, _тайваньд_, 
   {{0x571802d8,0x73960249,0x10de01ba,0xd249023b}},	//   _पशुसंवर्, _brusse_, _evantyel, _huamoa_, 
   {{0x79460303,0x00000000,0x00000000,0x00000000}},	//   _ipelafat, --, --, --, 
   {{0xc413023d,0xa25706f2,0x11280194,0xcf5e02ec}},	//   _човека_, _नपुंसक_, _autoritá_, _nabadoon, 
   {{0x029404cb,0x423c0132,0x1a7e0135,0x42e70077}},	//   _pagină_, _normál_, _almaşqa_, _chanjan_, 
   {{0x50b50386,0x18580014,0xdad30595,0xed9a0044}},	//   _bermasal, _befasuar_, _अरुचि_, _disguise_, 
   {{0x6a6500c5,0xbc1900ff,0x46c101b3,0x11df01d2}},	//   _有难题就提问_, _אינסטאנצ, _пластику_, _chinkirm, 
   {{0xf2900282,0x424900a2,0xe30f04ca,0xb24900f7}},	//   _hakai_, _mramba_, _assaiar_, _aramea_, 
   {{0x2ab5016e,0x862901ac,0x22910416,0x725b0528}},	// [e0a0] _herkesin_, _ashitari, _tbbank_, _mealla_, 
   {{0xcd9f004f,0xb2e701f4,0x71ff0195,0xf2230425}},	//   _daggaate_, _ekanman_, _faramach_, _ڵگورد_, 
   {{0x4290023b,0x953c005e,0x40f9021b,0x225a001d}},	//   _makai_, _ﻣﺎﺗﯩﺮﻳﺎﻟ, _печенье_, _scolat_, 
   {{0xc24802ff,0x13000037,0x08c60109,0x547f0244}},	//   _agiman_, _kiralah_, _चोटपटक_, _mangiato_, 
   {{0xad870314,0x92640054,0x824902c5,0x363c03b2}},	//   _сакмар_, _amulla_, _aramba_, _rephrasi, 
   {{0xf291018f,0xa6830052,0x0201022c,0x4f3d014d}},	//   _bisaw_, _बाराक_, _bibina_, _hierzula, 
   {{0x92900304,0xedfa01db,0x12070318,0x0c5200be}},	//   _kicap_, _сірке_, _lehilehi_, _llatina_, 
   {{0x199500b4,0x339500ce,0x94090360,0xcf850061}},	//   _екстерми, _presye_, _फ्रान्से, _삼성래미안_, 
   {{0x8a6a020f,0x89120022,0x7c1500d3,0x62940145}},	//   _سوځېدو_, _ҡоншаҡ_, _राज्यमन्, _laikomi_, 
   {{0x529101ef,0xe224000c,0xeae503e6,0xac880416}},	//   _visai_, _аплан_, _wolleken_, _seductiv_, 
   {{0x3391042a,0x025b031a,0xc3490125,0xcb4e0306}},	//   _akusesim, _fealla_, _bezegli_, _ichmaquc, 
   {{0x12ee0265,0xe2890386,0x0396021f,0xfdcb0139}},	//   _cogniti_, _mewarnai_, _bassuf_, _ardharca, 
   {{0xc3130147,0x360f0397,0xdf29006c,0x00000000}},	//   _احىبالى_, _angongqi, _awathola, --, 
   {{0x72e70286,0xf0b70475,0x5c630059,0x00000000}},	//   _akanman_, _матерью_, _esprime_, --, 
   {{0x52d80534,0x42a60342,0xddb6005e,0x9a5003d9}},	//   _thiep_, _trajedi_, _چۈچۈك_, _mamerina_, 
   {{0xefe90193,0xd68d02d0,0xdcb90041,0x343100c1}},	//   _बाजारात_, _comforti, _амаҭәа_, _पाणबुड्य, 
   {{0x043801a4,0x30c70244,0xb4ea0204,0x2290010d}},	// [e0b0] _alakelak, _марката_, _исправле, _dicap_, 
   {{0x94d6027b,0xe46e006a,0xcb1a0163,0x901f004b}},	//   _सुचिरं_, _handinik, _narancss, _аскарова_, 
   {{0xbafa020a,0x4699040f,0xf908037f,0x7c6202be}},	//   _بىرنەشە_, _кеплера_, _aldatmaq_, _durugin_, 
   {{0x4413020a,0x5f9a0093,0x8a3500d1,0x00000000}},	//   _بايدۋ_, _монетами_, _লৈছিলো_, --, 
   {{0x346e00ea,0xa2d801e7,0x239500b4,0x57780153}},	//   _mandinik, _scheck_, _gresit_, _回県民体育大会_, 
   {{0xc2ff0082,0x8dc6013a,0x53790408,0xd29101ad}},	//   _darikar_, _gekierzt_, _hanavao_, _pisaw_, 
   {{0x0b1700a7,0x29f20125,0xede50034,0x00000000}},	//   _etiquete, _топулар_, _byrjenda, --, 
   {{0xe185024f,0x0a81057f,0x5d110109,0x88db0602}},	//   _mataveil, _impormas, _poslance_, _byggeled, 
   {{0x420e00b7,0x520202d9,0xa3c8013f,0xd2e0031a}},	//   _манат_, _lorina_, _bervet_, _gharradh_, 
   {{0x21ce00e6,0x22e703b6,0xf39504b3,0x00000000}},	//   _您所在的用户组无, _nkankan_, _dresit_, --, 
   {{0x9fb004b9,0x02e900ad,0xa82a0089,0x00000000}},	//   _clatters_, _éditan_, _кавалерл, --, 
   {{0xf29101d8,0x7c7e0127,0xd75e0184,0x896d004d}},	//   _risaw_, _abostol_, _bariyong, _你絕對沒看過的超, 
   {{0xb6cc0091,0x43f7022f,0x0c7c0196,0xd31902e1}},	//   _pulaarni, _брандт_, _anaseka_, _ريناد_, 
   {{0x420200c0,0xf15301aa,0xfebb0081,0x0aeb02be}},	//   _korina_, _adultway_, _barnaefn, _haplusin_, 
   {{0xac820058,0x3d3202c2,0xa03f0212,0xe2da00e6}},	//   _loveland_, _geliefde_, _certamin, _国家广电总局_, 
   {{0x418000ea,0xb022025c,0xa342004a,0xe7620109}},	//   _manamafy_, _angespro, _bardıq_, _वर्डफ्लु_, 
   {{0x337b03ac,0xdd2a0453,0xb26c007b,0x1ba5049e}},	// [e0c0] _menanam_, _supstanc, _dolour_, _veriacic, 
   {{0x36aa0241,0xed870203,0xa2d901da,0x6290022c}},	//   _eelgandi, _selektat_, _urrej_, _cacai_, 
   {{0x2a0b0326,0x02d9017e,0x0c620224,0xfd3b03bf}},	//   _achatuma_, _deveno_, _bebrave_, _дәминева, 
   {{0xa2ca01e5,0x600002ec,0x22020020,0xe3b900a5}},	//   _agidi_, _نیرى۪م_, _iorina_, _ituvanu_, 
   {{0xdaa300de,0x1bee0420,0x00000000,0x00000000}},	//   _azikhuts, _marmanjo_, --, --, 
   {{0x6201018b,0x493d00da,0x2be60155,0xa31a00fc}},	//   _vizita_, _фарианта_, _moderkor, _heschaj_, 
   {{0x230002bc,0x137b02c3,0xad6800d9,0x03b100b5}},	//   _bajanai_, _pobavil_, _разоблач, _jotvino_, 
   {{0xb96d041a,0xa56e0037,0xfd2e016f,0xa11b0299}},	//   _означає_, _ሊያበርክቱ_, _корейськ, _دىگۇدەك_, 
   {{0xb530009a,0xdfe70450,0x07ab00d1,0xf6830255}},	//   _قراردادي_, _dokkumer_, _কাষেৰে_, _दियात_, 
   {{0x5061027b,0xb7b600c1,0xa681009a,0xa141020b}},	//   _दिवसे_, _bersubsi, _angesosi, _dipelael, 
   {{0x2a0b04bd,0xe212005b,0x54a20299,0x00000000}},	//   _mahaiula_, _enoha_, _سېكىرتار, --, 
   {{0xd144066d,0x9e680120,0x25c700ff,0x429002e7}},	//   _babehlal, _caacayaa, _טײַמס_, _buhato_, 
   {{0x839505b1,0xb7b602f3,0xbc0001e9,0xfbba01e5}},	//   _presne_, _utrustni, _babulats, _arawọn_, 
   {{0xc28600db,0xfbe80037,0x00000000,0x00000000}},	//   _seekord_, _በአመዛኙ_, --, --, 
   {{0xaea901bd,0x97a10358,0xb239020e,0x94850405}},	//   _филиалда, _alleborg, _хозур_, _verktøye, 
   {{0xe30e060a,0x738003cf,0x12000240,0xb39602ee}},	//   _estamos_, _deprem_, _droini_, _tassew_, 
   {{0x92d804f2,0x62f7002e,0x59650040,0x44b50361}},	// [e0d0] _chieu_, _ranijih_, _התבלינים_, _блокан_, 
   {{0x93d60097,0x493200bb,0xbb9a02c9,0xc3400107}},	//   _ikutanti_, _رنجیت_, _incheier, _cahedan_, 
   {{0x2f5c0467,0xa416042d,0xe20002ec,0x52910204}},	//   _adapaade_, _adiresin_, _wajiga_, _kisat_, 
   {{0xcb000434,0x75500235,0x65a00125,0xaf42001c}},	//   _división_, _anekavih, _pikirimç, _astrakha, 
   {{0x12480552,0x12d9026c,0x116b002b,0x52480013}},	//   _baema_, _aures_, _মানসম্মত_, _bilmay_, 
   {{0x73660321,0x0e530060,0x002d0515,0xdcf70148}},	//   _spreminj, _құрған_, _conforto, _postular, 
   {{0x177101c5,0x29bd039f,0x42dc0161,0xd2000157}},	//   _تلپتال_, _adhesive, _pakotti_, _tanich_, 
   {{0xd2d8013b,0x1318018d,0xb2d90168,0x62ef0157}},	//   _chieti_, _አኼባኹም_, _lurer_, _mikołajk, 
   {{0x12910100,0x9e4a02b2,0xea710462,0x607b00d1}},	//   _nisam_, _статей_, _abilizes, _আইচবাৰ্গ, 
   {{0x42d9021a,0xf4d5078e,0xd4d700da,0x4eaa0285}},	//   _tures_, _हुलिया_, _индикате_, _muturage_, 
   {{0x79f602d6,0x9f240145,0xdd24024a,0xb249030e}},	//   _روسیه_, _miške_, _ekunrere_, _mgumu_, 
   {{0xa2d800c9,0x82d90179,0xe324020f,0xd3f90196}},	//   _thieu_, _nevelo_, _دخوراک_, _kabusa_, 
   {{0x96390352,0x9ccf0040,0x028c0129,0x030d00dd}},	//   _stråland, _המיזם_, _opekata_, _embaras_, 
   {{0x6db30040,0x8290003e,0x6afb00d9,0x45f203a4}},	//   _הנכחד_, _bokang_, _сказка_, _formansi, 
   {{0x143e00d9,0x825a03f1,0x526c0053,0x32d90455}},	//   _парня_, _efilip_, _jebol_, _durer_, 
   {{0x4dd20211,0x42d902c7,0x7c15023d,0x79c2003e}},	//   _стиле_, _eurer_, _trasmess, _diterase, 
   {{0xa1880051,0x73ce021c,0x8f4501d4,0x4291028e}},	// [e0e0] _festivāl, _obavy_, _teoriche_, _risal_, 
   {{0xcf3901c1,0x0432002b,0xc29000d7,0x665f020e}},	//   _bersumpa, _বোলিং_, _fokang_, _itshilaf, 
   {{0xda1000d4,0x42910226,0x2cb5017a,0x401e0361}},	//   _detaille, _aisam_, _хурмати_, _покойник, 
   {{0xb3ce0111,0x914e014c,0xc3c802c2,0xe7d8025b}},	//   _scavi_, _abafanel, _hervat_, _kongalig, 
   {{0x0c0503b8,0xa4050050,0x8b1a0292,0x6dc00159}},	//   _экология, _hapunten_, _vigation_, _vadinama, 
   {{0xd29002f6,0xc249012c,0x4f5b00ed,0x124f01cf}},	//   _lakas_, _ngumu_, _seaplane_, _honestem, 
   {{0xe26c023e,0x6477027b,0x00000000,0x00000000}},	//   _cebol_, _आसीनः_, --, --, 
   {{0x899d01ec,0xbb6700b5,0x42550144,0x6c060156}},	//   _ويرايش_, _carlevar, _threalam, _שבֿטים_, 
   {{0x6c5e0113,0x32d90238,0xcb6800fe,0x00000000}},	//   _تحولت_, _turer_, _tufukafa_, --, 
   {{0x224803c7,0xe02e0076,0x6a01002f,0x5b1c01d1}},	//   _czemu_, _помогнал, _charichu, _urbanbab, 
   {{0x92d804f2,0x529000a1,0x72d9048e,0xf26f0450}},	//   _thiet_, _rakau_, _levemo_, _oangenam, 
   {{0xf66500bf,0x53550119,0x22d90225,0x62900145}},	//   _сферы_, _huwebes_, _surer_, _sakau_, 
   {{0xe290038a,0x69ea0166,0x7345012d,0x12900101}},	//   _makas_, _vergange, _handret_, _bacau_, 
   {{0xbb760147,0x174202eb,0x730e0053,0xd85a01af}},	//   _بۇككۅن_, _томьёо_, _nyobain_, _başlanỳa, 
   {{0x5a8a0035,0x521b006c,0x3593006c,0x9bd803cd}},	//   _предметл, _abakithi_, _abasamuk, _जगेर्ना_, 
   {{0xc2d802bd,0x02900281,0x1ccf004d,0xcfea0291}},	//   _chael_, _allaat_, _格式轉移與影像編, _تكفير_, 
   {{0x5e8300e5,0x72d80127,0x33410066,0x5d5507b0}},	// [e0f0] _службата_, _akaeg_, _hemengo_, _overført, 
   {{0x82390092,0x2f49027e,0xa29002f8,0x00000000}},	//   _ジの先頭へ戻る_, _располаж, _tokang_, --, 
   {{0xb9da01b9,0xfead0177,0xe2ea0160,0xf6960177}},	//   _artfisye, _ajovahéi_, _nebitno_, _минскҟа_, 
   {{0xfe4b0241,0x62cb03e6,0xea1b0153,0x00000000}},	//   _ashaaraa, _leeden_, _もちろん投稿もで, --, 
   {{0xd9e204fe,0x6df80299,0x45f70291,0xa75d0486}},	//   _cuntribu, _بۇغراخان, _ودردشة_, _कुण्ठित_, 
   {{0x4347040b,0x732000ed,0xd26e04ad,0x152f0260}},	//   _rumelwa_, _bulyon_, _bosole_, _agasallo_, 
   {{0xe2900075,0x6d6a018d,0x826403b0,0xa2fc0008}},	//   _nakar_, _ብፍርሃት_, _titlar_, _veritat_, 
   {{0x891b0040,0xbc1700d0,0xea440213,0x8d1b0192}},	//   _ספירס_, _жангум_, _алатар_, _wetsvoor, 
   {{0x8290001e,0xb7c10286,0x434201f5,0x52ee0219}},	//   _hakar_, _mapuchef, _dipesan_, _ejenthi_, 
   {{0x2868012c,0x111b0179,0xd2ca013d,0x6264004c}},	//   _توانائي_, _bestepön_, _agado_, _alulya_, 
   {{0x329002be,0x2b1a0264,0x0290026d,0x94870368}},	//   _bakas_, _babalcon_, _zacal_, _фишера_, 
   {{0x00000000,0x00000000,0x00000000,0x00000000}},	//   --, --, --, --, 
   {{0x1ed00142,0x6bff017e,0x3d84020e,0x4dc30040}},	//   _शिक्षामह, _parolado_, _ditekete_, _יאכטה_, 
   {{0x565e01a7,0x829002f6,0xfb79004d,0x629001c5}},	//   _фирмы_, _wakas_, _吳伯雄籲兩岸正視, _fakar_, 
   {{0x5cb000d1,0x7b0304ae,0x01d400d1,0x02f105b7}},	//   _এলাগী_, _нелегала, _ট্ৰায়েল_, _pozivni_, 
   {{0x92a70225,0x7b5b0362,0x9b31023e,0x63170272}},	//   _ngabet_, _comedien_, _مرزداران_, _atazze_, 
   {{0x829002c2,0xb2910050,0x317d00ff,0x5fcc0040}},	// [e100] _behaal_, _misah_, _ייִוו_, _springer_, 
   {{0x3dc00217,0x8348046d,0xb2900082,0xe29000b6}},	//   _radioama, _henegei_, _kakar_, _gacam_, 
   {{0x48fd0296,0xcb6d022f,0x00000000,0x00000000}},	//   _anpassad, _аплату_, --, --, 
   {{0x395c03df,0x91280279,0xc9ff0452,0x41da0318}},	//   _økosyste, _autorité_, _घारुअण्ण, _temipalé_, 
   {{0xd82a01ea,0xeea702e9,0xca8a0343,0xdfed0242}},	//   _арабисто, _requiere_, _dibisyon_, _maskalar_, 
   {{0x111a0388,0x529105af,0x27020401,0xa3640372}},	//   _прокляти, _tisak_, _भवानीपुर_, _deigryn_, 
   {{0xda0800ea,0x0291003f,0xbdb10238,0xfc230040}},	//   _ankapobe, _bisah_, _двічі_, _שראוי_, 
   {{0x7f4f01bd,0x9eab0203,0xaf69000c,0x534505b9}},	//   _иманды_, _justicie_, _сербиеи_, _vandret_, 
   {{0xa2900429,0x35d90045,0x48c6033e,0xe56500ba}},	//   _zakar_, _анализу_, _akatúago, _بێچاره_, 
   {{0xcae801d1,0x04b903b9,0xc8b701f3,0x429000f2}},	//   _expresse, _qalltañ_, _chladný_, _sakas_, 
   {{0x26fd0360,0x52240387,0xbf33010d,0x927e012c}},	//   _nakupová, _ikekwe_, _संस्थाने_, _waongo_, 
   {{0x4dc8003a,0x4d550259,0x71330041,0x729103fb}},	//   _айланади_, _overførs, _постқәа_, _visak_, 
   {{0xecfe0037,0xaeb90037,0xf241017a,0x00000000}},	//   _ታደርጋለህ_, _ማፈላለግ_, _asemzini_, --, 
   {{0x7ad200aa,0x43eb0270,0x5c1703dd,0x34a9029b}},	//   _dramahon_, _usator_, _kokainën_, _irtijaal_, 
   {{0xc9cc008e,0x45ce04ec,0x3f5d0499,0x806f01f0}},	//   _esceptit, _kiraseny, _sasauman, _kokamelo, 
   {{0xd48c016d,0x22900075,0xe95600ba,0x9a0003b5}},	//   _ھەيۋەتلى, _rakar_, _فراسکویس, _susahnya_, 
   {{0xb292029b,0xac060181,0x8f0a020f,0x54ac047d}},	// [e110] _farank_, _risskov_, _bekwinda, _gelänner_, 
   {{0x92900082,0x24380018,0xc2910037,0xb3a2050a}},	//   _yakar_, _ilakolak, _misai_, _kampı_, 
   {{0xd79c0238,0xa7a803bf,0xf4a701e1,0x08da030b}},	//   _системою_, _махсусла, _нарком_, _aligifuu, 
   {{0x62900145,0x32cb023e,0x6292005b,0xd89801cd}},	//   _vakar_, _swedia_, _aarank_, _машқи_, 
   {{0x1201000c,0x72900837,0xd29000c5,0xf8090205}},	//   _cocido_, _wakar_, _allant_, _сайланиш, 
   {{0xe3ec0130,0x97090205,0x085200e5,0xc61d036e}},	//   _suamerik, _левитин_, _matrizes_, _ilinisti, 
   {{0xf45f014a,0xe0b80128,0xa8520114,0x01280371}},	//   _keletkez, _دیبیدیلر_, _accommod, _autorità_, 
   {{0x7fa001bc,0x8aa800b3,0x920700a1,0xbc060109}},	//   _wagenaar_, _туташыпд, _puhipuhi_, _vrstvě_, 
   {{0xb20101cb,0x0ad404aa,0xa9c701e1,0x5f330287}},	//   _onzima_, _anstosse, _барасаҡ_, _संस्थाले_, 
   {{0xeecd01c5,0xad5503ae,0xbf38012a,0xd67604cf}},	//   _imtixaan, _overføri, _muzułman, _kuthathw, 
   {{0x2da6021c,0x02900115,0xf8fd0210,0x40d60156}},	//   _aktivova, _kacak_, _angakund, _akuzanto, 
   {{0xbc6e057f,0xbe5001d2,0x44ac034f,0xe3730428}},	//   _starcza_, _apyayala, _ميرزکې_, _skladbe_, 
   {{0xf2c503cf,0x2202034a,0x320e0220,0x2a00046c}},	//   _gazetesi_, _enriba_, _насам_, _erkranku, 
   {{0xcdbd00d3,0x5394005b,0xc26c01e9,0x42900009}},	//   _गार्जियन, _comsns_, _leboa_, _domač_, 
   {{0x2e7c015d,0xf53a003a,0x8f5f021a,0xdd0a0328}},	//   _पदस्थ_, _intilish, _baratoon, _ibarabar, 
   {{0x0290028e,0x088701f2,0xa2340685,0x330e004c}},	//   _bakap_, _маңамду_, _selvtill, _alabira_, 
   {{0xcea60152,0xa01e00be,0x761b0046,0x00000000}},	// [e120] _millionn, _ساندۇۇلا_, _desaparè, --, 
   {{0x96bc0214,0x7c6e005c,0x467600de,0x31f50012}},	//   _angenziw, _ataraza_, _buthathw, _सेटअपे_, 
   {{0x6ddf00d6,0xaf260278,0x793800c7,0x12e900d5}},	//   _اجتماعية_, _penterna, _сувенирл, _ahaizan_, 
   {{0x829000ad,0xef5d017f,0x8362015b,0xc9e10142}},	//   _cacak_, _aasarman, _longwok_, _bhairava_, 
   {{0x9afa004c,0xd3a30334,0xc93b007e,0xc300003c}},	//   _abagerus, _akaphe_, _avamanye, _baradah_, 
   {{0x00000000,0x00000000,0x00000000,0x00000000}},	//   --, --, --, --, 
   {{0x89c503ef,0x42d8014f,0x12e500da,0xc3790157}},	//   _itsembat, _izmena_, _tehnica_, _parafia_, 
   {{0x3a710204,0xde1c00ad,0x32480049,0x32360100}},	//   _активные_, _seseraha, _loimio_, _dvojac_, 
   {{0x55050044,0xb200019f,0xbf3202eb,0x76ec0037}},	//   _זומבה_, _majina_, _модтой_, _ተገልጾአል_, 
   {{0xbd70003a,0xbf2c014e,0x1ee6005b,0xc7f50134}},	//   _ahamiyat_, _bijeljin, _hochimin, _fagbedeg, 
   {{0xf23b0533,0xeae9032d,0xa7550348,0x8ffc005e}},	//   _nollaig_, _донья_, _akayingi, _ﺗﻪﺋﺎﻻ_, 
   {{0x2edc00a7,0xd20103db,0xea930374,0x7dbc0417}},	//   _racistes_, _anzima_, _фондини_, _welstand_, 
   {{0x120100b0,0x074e0366,0x0f6901d7,0x2bee00e6}},	//   _nabiga_, _принятие_, _squadras_, _北京万方数据股份, 
   {{0x2fd90092,0xbbe804ad,0x9c5c014a,0xc39603f5}},	//   _お支払いについて_, _diboroto_, _postán_, _deuses_, 
   {{0x8b190175,0xa3790074,0x28c002ac,0xcef200c1}},	//   _depandan_, _tavaraa_, _البذور_, _फाळके_, 
   {{0xd3560265,0x09c5005c,0x26830193,0xf3410264}},	//   _stoffen_, _atsembat, _दिलात_, _materya_, 
   {{0xb93a0031,0xc2d80264,0x03860220,0xda860084}},	// [e130] _अमेरिकेच, _hiunong_, _passaggi_, _blanakan_, 
   {{0x05580135,0x94710197,0xf2b10422,0x00000000}},	//   _шартлары, _kontinan_, _spodnja_, --, 
   {{0x434704d2,0xc264055c,0xee0a003c,0xd9fd003e}},	//   _tenesta_, _titler_, _مقتدرانه_, _рапирасы_, 
   {{0x13b00187,0x36d7015e,0x82490235,0xd9050184}},	//   _clique_, _descobri, _agaman_, _bahategu, 
   {{0xca070132,0x6b410053,0x820200ac,0x339503fc}},	//   _شہادت_, _प्रेरणाद, _mirisa_, _kresne_, 
   {{0x14f10139,0x4a0f0097,0x8ef4027b,0x6292011d}},	//   _प्रथमोऽध, _bakannaa_, _अशिक्षिष, _lasati_, 
   {{0x822401ed,0x6302000b,0x0cad0092,0xb4420147}},	//   _kiekie_, _augapiu_, _作った検定_, _كۉنبولوت_, 
   {{0xc21200fd,0x220202b7,0xd2c400c1,0x537802ff}},	//   _fighe_, _girisa_, _moderasi_, _labatwa_, 
   {{0x157a014e,0x624900fe,0x3b96022b,0xc9cb00be}},	//   _размисли, _kaume_, _ateistur, _айланышы, 
   {{0x1acb0204,0x1f000251,0x320200d7,0x05f70008}},	//   _semmonen_, _barwaaqa, _hirisa_, _бекмурат_, 
   {{0x74290429,0x1a0f0165,0xeea50203,0x63fa001e}},	//   _tempatan_, _butakoca_, _paquette_, _afruka_, 
   {{0x0210004d,0x13de0064,0x42480521,0x00000000}},	//   _並承擔一切因您的, _ариет_, _azemi_, --, 
   {{0xf202010b,0x82ca00d6,0x62000119,0x9b0a0312}},	//   _dirisa_, _faide_, _pinili_, _responte, 
   {{0xebd60164,0x0319052a,0x768d01ab,0x434102e7}},	//   _رومانتىك_, _pagiging_, _परनाम_, _baterya_, 
   {{0x17f7004a,0xf3200294,0x00000000,0x00000000}},	//   _динчеләр, _hulyan_, --, --, 
   {{0xb8e50094,0x3b8e00d7,0x70f30125,0x00000000}},	//   _بالقاش_, _милләтем_, _bulutlaş, --, 
   {{0x963c019b,0xadc5029b,0x4200050a,0xe2d900b3}},	// [e140] _politini, _empirime_, _vajina_, _diyeli_, 
   {{0x5f3a03ee,0x42fc02db,0xb802026c,0xa3eb00e6}},	//   _entuzija, _merigat_, _propriis_, _多用于村落名称_, 
   {{0xc99d0038,0x076c00d1,0x31650021,0x3101057c}},	//   _балык_, _মহাশয়_, _ottombay_, _vindmøll, 
   {{0xc2020255,0x548b034c,0x9f09018b,0x7a1a020f}},	//   _pirita_, _атилла_, _приорита, _بورډاؤ_, 
   {{0xbfca04e8,0x7fde017d,0x03f90313,0x28cf00df}},	//   _primièr_, _bibiruoo, _luwuq_, _injecteu, 
   {{0x0e2e02ce,0xdf190059,0x124501f4,0xa21201a6}},	//   _timoteus_, _колегата_, _европани, _inohi_, 
   {{0x939501b4,0x429d00cb,0xdb18007e,0x00000000}},	//   _lesse_, _agijima_, _atigatis, --, 
   {{0xb2c501f1,0x526402ef,0xb2c2007b,0x62e0001c}},	//   _angleze_, _boulva_, _buildin_, _kaunman_, 
   {{0xc477007e,0xe9c103e2,0xa37f00ea,0x49fa006a}},	//   _advitīya, _comedore, _aroaina_, _faritana_, 
   {{0x38850405,0xbf230110,0x5aef0046,0x00000000}},	//   _утилізац, _koncertē, _sardanis, --, 
   {{0xe7e800f5,0xeddc00e6,0x02e60193,0xd2cb0216}},	//   _аллащлап, _国家突发公共卫生, _ijinkan_, _makomba_, 
   {{0x7b19033d,0x63a90160,0xf2cb0039,0x48d100bb}},	//   _sepandan_, _najvise_, _eredua_, _ایڈسینس_, 
   {{0xf66401b8,0x10130191,0x1e340357,0xa3000396}},	//   _miljardi, _landskro, _delaniwa, _kapaċi_, 
   {{0x139500a3,0x53810415,0x62ca037f,0x8c22035d}},	//   _desse_, _prozent_, _ekoloji_, _istoriju_, 
   {{0x64a30039,0xc8db0021,0xb8d90126,0x4a00021a}},	//   _агентлаг_, _alarming, _необов_, _dabalamt, 
   {{0x578801c5,0x863c013c,0x163b0661,0x728700f7}},	//   _نوجوٲنی_, _polisini, _policiai, _alikaze_, 
   {{0xff9a05b0,0x929e00a6,0xa36501eb,0x33bb0244}},	// [e150] _भक्तिमय_, _امامه_, _emigdio_, _покупкат, 
   {{0xeae5024b,0x6f6d03ba,0x99e5031c,0x969a0045}},	//   _siguient, _emarañat, _siguiend, _формално_, 
   {{0x539503e7,0x2b970135,0x0c510193,0x2f6401ef}},	//   _hesse_, _заманча_, _जोसेफ_, _sidabrin, 
   {{0x62ca0694,0x5c200553,0x96f300a6,0x328d0282}},	//   _agadi_, _posteľ_, _akhatshw, _houkura_, 
   {{0x529102d5,0x69360294,0x716c020f,0x221b002e}},	//   _lisas_, _animalqa_, _دزمانې_, _uništen_, 
   {{0x693a003a,0x139e004d,0x00000000,0x00000000}},	//   _харажатл, _中網公開賽_, --, --, 
   {{0xd26400a5,0xf52a01b9,0xf85d02d5,0x7e430226}},	//   _koulua_, _aspirasy, _hoonestu, _kumasiya, 
   {{0xa13f054d,0xa42c0074,0x45fd0060,0x00000000}},	//   _anmeldel, _достойны, _ۇقپادىم_, --, 
   {{0xd06c0047,0x89760206,0xadb8031a,0xfd7e010b}},	//   _第二十四条_, _jednosme, _intinnea, _jwalojwa, 
   {{0x62b5051b,0xe0730148,0xd2910278,0xddfa01f1}},	//   _prodeje_, _臺灣開發史_, _risau_, _gazetave_, 
   {{0x333f0024,0x11d70058,0xf2900198,0x2d490139}},	//   _পদ্মনাথ_, _sailafom, _solate_, _bandhuṃ_, 
   {{0xbb150177,0xb26c01b4,0xb2910227,0xe3340208}},	//   _rapsodia_, _gebou_, _pisau_, _رژینی_, 
   {{0xd20e045b,0x2a06018e,0x029102f3,0x82000054}},	//   _зараз_, _arhandza_, _visat_, _ciniki_, 
   {{0x743c0169,0xa407015d,0x30150428,0x0264025e}},	//   _মেশিন_, _देवदास_, _pisarniš, _litlar_, 
   {{0x1b9906cc,0x126c028d,0x3c7002cb,0x2fde0156}},	//   _निरुपमा_, _lakord_, _pokretu_, _pavilono, 
   {{0x57ed03a6,0x594b0040,0x6a0101f0,0x32000082}},	//   _bagafung, _systemic_, _dijanaga_, _ainihi_, 
   {{0x122401fc,0x7230047b,0x23bf0159,0xf23b010b}},	// [e160] _sookta_, _bommsen_, _latviai_, _lwalang_, 
   {{0x532c0037,0x162c0037,0x357d0089,0xcb74004a}},	//   _የምንሰራው_, _የምንሠራው_, _botkası_, _divarına_, 
   {{0x0df7020a,0x826c060c,0xf99502ee,0xa73101ef}},	//   _ﻗﻮﺭﻋﺎﯞ_, _tebou_, _deskritt, _адобрана, 
   {{0x23870068,0x82d903ea,0xf2c10075,0x00000000}},	//   _weerar_, _aurez_, _heilaga_, --, 
   {{0x9d7c00bd,0x671d004b,0x13db0311,0x4380005d}},	//   _hammerfa, _спреды_, _ወረቐትን_, _jeyrö_, 
   {{0x926c03ec,0xdc7d005b,0xa1650204,0xcda30110}},	//   _dakord_, _yotsuba_, _ждите_, _skatienu_, 
   {{0x0a0a00d9,0xd72104ea,0xbb0a00d9,0x84d5027b}},	//   _opiskelu, _pyntasam_, _opiskele, _रुदिर्_, 
   {{0x2a140145,0xfc1c02a8,0x00000000,0x00000000}},	//   _negalima_, _infakkar, --, --, 
   {{0x620201b5,0x273500ce,0xf2d900c8,0x68e4011a}},	//   _aswiri_, _lenzisti, _feberu_, _וגימיקים_, 
   {{0xa3780333,0x09660173,0xf26c02db,0x0c180342}},	//   _abbazia_, _delincue, _tebol_, _dispans_, 
   {{0xb2900404,0x80830074,0xb3000190,0xcf0d019a}},	//   _polase_, _методиче, _kababai_, _brackens_, 
   {{0x3863048c,0x0f4d01a4,0x52000410,0x72d804b7}},	//   _atrociou, _prophete_, _piniki_, _toneel_, 
   {{0xfa750177,0x50e601d5,0x0c88004f,0xa2010333}},	//   _академиа, _ڈاونلوڈ_, _beddeeku_, _argini_, 
   {{0xd518002e,0xdc6501a6,0x0308002b,0x92770188}},	//   _ispravno_, _aratuku_, _উত্যক্ত_, _дармони_, 
   {{0x7af7005e,0x8c030024,0xd60a0374,0x82950399}},	//   _جىگدە_, _forskar_, _килмасли, _talatuki_, 
   {{0x4202001e,0x7c8503c2,0xd2fd00f1,0xb291031c}},	//   _siriya_, _streaked_, _lefitir_, _risas_, 
   {{0x08db018a,0xd2900059,0xd2d901c5,0x726c0300}},	// [e170] _gadeiryd, _solare_, _gurey_, _neboj_, 
   {{0x55940342,0xce3900ba,0xdef304eb,0x97bd0092}},	//   _achitofè, _سوبحان_, _इशिका_, _ejerboli, 
   {{0x7f0e0587,0xafad04ca,0x43100779,0x02f201c9}},	//   _congrès_, _formacio, _detaily_, _पसेरी_, 
   {{0x847100bc,0x4f5c0282,0x3bdd00d3,0x6ee1019d}},	//   _tontonan_, _kawaitan, _भरिया_, _kunyanja, 
   {{0xc3dd05f4,0x8440042a,0x2642004a,0x4147017a}},	//   _alawsi_, _asikanik, _alınğaı_, _кабира_, 
   {{0x96d9052f,0xdb8b002e,0x7fba0291,0x129101c5}},	//   _bebasusw, _sagrađen, _معظمها_, _ansax_, 
   {{0x3d3c0364,0x21a40294,0xfd8c0615,0xe26c0449}},	//   _polizist_, _bogotáma, _tačku_, _bebom_, 
   {{0x039504a1,0x93fa001e,0x96a801d9,0xc6c500bc}},	//   _nyeste_, _karuwa_, _bearbech, _فورست_, 
   {{0x7e000282,0x3ec1023c,0x0d9b0243,0x88360045}},	//   _marenata, _وکړچې_, _qangarat_, _процена_, 
   {{0x83bf0745,0x2da001ac,0x93b60374,0xcee102fe}},	//   _जुकरबर्ग_, _chanárac, _матрини_, _الجزیرې_, 
   {{0x5d1c0453,0xbae102ce,0x82010307,0x7c9301ac}},	//   _naročito_, _sundanes, _babiza_, _واشار_, 
   {{0xb2fc0429,0x2201001e,0xaee70371,0x5ee80291}},	//   _kongsi_, _mabiya_, _махагон_, _بتجنن_, 
   {{0xc8db018a,0xe290021a,0x29fb00b7,0xe958018d}},	//   _cadeiryd, _allafe_, _областла, _ተሰሪዖም_, 
   {{0x02ca0050,0x76ca0061,0xefa80361,0xc68c010d}},	//   _ngadu_, _중국정부의_, _электров, _पडसाद_, 
   {{0x226f009a,0xc1be0197,0x329002cf,0x00000000}},	//   _bangenam, _kadejakè_, _facas_, --, 
   {{0xb2910117,0x9e15001d,0xa3af03d5,0x1f26025b}},	//   _sisar_, _trimmers_, _calving_, _genturna, 
   {{0x2d0e0287,0xf22a010f,0xdc7d008a,0x96ed030d}},	// [e180] _क्लबलाई_, _рохат_, _atusasa_, _barsanın_, 
   {{0xdefe0309,0x27df006c,0x920e0145,0x940d0204}},	//   _yaralanı, _akashiyw, _тамах_, _принтера_, 
   {{0xe29102f3,0x59f70526,0x924903f2,0xe26c0040}},	//   _visar_, _bibirnya_, _rauma_, _tumour_, 
   {{0xa249024f,0x6d6500a6,0x16dd000d,0x00000000}},	//   _sauma_, _انترنټ_, _inkassof, --, 
   {{0x299d0147,0x7fef0105,0x429000ce,0x916c00c6}},	//   _اجىعا_, _जीवाश्म_, _lakaz_, _førerkor, 
   {{0xe291007a,0xb2fc0075,0x24280016,0x996601ea}},	//   _hisap_, _longri_, _דעילייט_, _kоnstitu, 
   {{0xafc1013d,0xcbfa007b,0xe2e100c1,0xf2ef04b2}},	//   _principo, _abalorio_, _करशील_, _hininga_, 
   {{0x24530052,0x4316014e,0xa1580137,0xe31602ea}},	//   _kladensk, _kombiji_, _програмт, _tributi_, 
   {{0xd2fc02af,0x7b1500c1,0xee0700a4,0x7a5004a8}},	//   _atoga_, _गवाणकर_, _فىلمىندە_, _donesena_, 
   {{0xe0340074,0x00000000,0x00000000,0x00000000}},	//   _скончалс, --, --, --, 
   {{0xc26c0428,0x27c802c2,0xec0b0218,0x8201014b}},	//   _seboj_, _verteenw, _orksway_, _cabiya_, 
   {{0x9290018b,0x326e0176,0x22500163,0x622c00e6}},	//   _macar_, _insole_, _merevlem, _将烤盘放入_, 
   {{0xab4c05e7,0x6df50151,0xc48701c9,0x09c5002c}},	//   _kwamaafr, _dendrite_, _निकालत_, _alderant, 
   {{0xfb80039e,0xbee00147,0x20610086,0x60e6023c}},	//   _আচলতে_, _انىىن_, _ہنگری_, _ډاونلوډ_, 
   {{0x52ca0210,0x1202008d,0x6397005a,0xee7d004a}},	//   _vaida_, _biriga_, _chopongm, _арбасына_, 
   {{0x49c7034c,0x87c7006c,0x530c0318,0x59d5009d}},	//   _замана_, _замини_, _tapaluu_, _mirekupt, 
   {{0x6d5c0151,0x6a9c0033,0x32ca0023,0x321d0087}},	// [e190] _seaboard_, _posiziun_, _taida_, _ebakweni_, 
   {{0x226d00c0,0xab9900af,0x29ad02fe,0x7fa502dc}},	//   _meron_, _численни, _نجیبه_, _gaivotas_, 
   {{0x762904a0,0x933b0483,0x42900343,0x00000000}},	//   _cemiteri, _falará_, _makay_, --, 
   {{0x32900077,0x45e800c7,0x00000000,0x00000000}},	//   _lakay_, _dunaynıñ_, --, --, 
   {{0x002004ad,0x5a1e00d0,0xa201011d,0x9147023a}},	//   _basenato, _сирид_, _lucian_, _neprítom, 
   {{0xb70000ad,0x6ea1019d,0x32640418,0x1995009a}},	//   _kabupaté, _adaliten, _komutanl, _ezehlela_, 
   {{0xc26d00ea,0x129002f7,0xa501024a,0x4d880060}},	//   _teroa_, _bolawe_, _darudapo_, _католикт, 
   {{0x619800e4,0x83f80390,0xd3f9043d,0x829004b2}},	//   _हत्याकां, _qanuni_, _ribuan_, _aakay_, 
   {{0xf53b0047,0xf2fc04cd,0xbd1c0428,0x75050013}},	//   _内容读取中_, _stoga_, _naročite_, _سناتوری_, 
   {{0x01b603ad,0xe29002fc,0x926d0260,0x222700d9}},	//   _permessi_, _bacar_, _deron_, _задней_, 
   {{0xe0390107,0xf3a60311,0xd3860371,0x148000a4}},	//   _پيگرد_, _ዝሓንጸጾ_, _massaggi_, _قادۇۇعا_, 
   {{0x2dc00141,0x3624006c,0x92a003d8,0x2a0004d8}},	//   _natijala, _akungenx, _poljudu_, _garanaya_, 
   {{0x12c302ba,0x46a70040,0xb20100ea,0x55f100d1}},	//   _болишт_, _performi, _aizina_, _কোৰান_, 
   {{0x131f043d,0xa29103d5,0x97db0020,0x33f8047d}},	//   _menyukai_, _anchovy_, _alialiav, _stoung_, 
   {{0xc6af000f,0x6d180162,0x776d0061,0xd3950429}},	//   _battaniy, _باتارىيە, _최저가대비_, _apasal_, 
   {{0x03e60016,0xbf1200e4,0x88cc02e5,0x1e7c00d3}},	//   _הייצונג_, _समस्याएँ_, _itacuágu, _मोन्स_, 
   {{0x78c903b8,0xd2910313,0x92810448,0x43470127}},	// [e1a0] _балалард, _dasaw_, _elskede_, _cunedda_, 
   {{0x3657020e,0x49e80110,0x06670420,0x8d2f01be}},	//   _качкаев_, _hermaņa_, _sediará_, _filmovém_, 
   {{0x82ca01c9,0x01830307,0x00000000,0x00000000}},	//   _kaido_, _kukasihl, --, --, 
   {{0xe2020141,0xde670373,0x0a710190,0x3e7c0237}},	//   _birida_, _meschede_, _torongab, _노성하늘에서_, 
   {{0x3c4000ae,0x32010182,0x541301ce,0x5f72008f}},	//   _aracanir, _iabina_, _قاصدک_, _ऊँप्रातः_, 
   {{0x6c600229,0x24fd003c,0x361b0251,0x00000000}},	//   _saatlar_, _وجودت_, _baroordi, --, 
   {{0xb29101d8,0x626d013d,0xa8f60126,0x7e3a0403}},	//   _basaw_, _aeron_, _медицині_, _fitanisa, 
   {{0xadec040f,0xfc1c005b,0xd12602c4,0x8c6b02f3}},	//   _сусле_, _aayabear, _ребаланс_, _genuint_, 
   {{0x92410158,0x52800245,0x12630396,0x2af50359}},	//   _बहाली_, _banshail, _limitati_, _referins, 
   {{0x39ae02fe,0xb26d013d,0xc2900031,0xbed900ec}},	//   _بیایی_, _veron_, _pacar_, _periodas_, 
   {{0x80b001a0,0x352400e6,0xc26d012f,0x7ff90037}},	//   _pfumelel, _香港公司注册_, _weron_, _አታውቁም_, 
   {{0x97a706d9,0x02ca066f,0x33fa005b,0x00000000}},	//   _soutomai, _caido_, _haruta_, --, 
   {{0xa3e101d8,0x00000000,0x00000000,0x00000000}},	//   _kharsati_, --, --, --, 
   {{0xff4b0125,0x32910004,0xc2c20005,0x00000000}},	//   _arassala, _kasav_, _collian_, --, 
   {{0x956500ac,0x22910152,0x3544037f,0x5e9c0179}},	//   _privukao_, _yasaw_, _sabitliy, _sanmarin, 
   {{0x1a13018e,0xb2360360,0x00000000,0x00000000}},	//   _evhanghe, _dvojic_, --, --, 
   {{0x73ea011f,0xd202020e,0x52890188,0x00000000}},	// [e1b0] _mante_, _bosiyo_, _angaboni_, --, 
   {{0x226d01bc,0x97ae0013,0x7ad702ba,0xfd1b0476}},	//   _oerol_, _динга_, _abathint, _apindure_, 
   {{0x7f2002f6,0x129e02ba,0x16c9027f,0x276600f5}},	//   _kasulata, _милал_, _arashiny, _дүбүнден_, 
   {{0xf21303ba,0xe26e03d5,0x926d0261,0x841301e0}},	//   _pochen_, _throng_, _teron_, _زاردا_, 
   {{0xbcb102a9,0xb396014c,0x928904cf,0x61d90311}},	//   _складала_, _asuswe_, _engaboni_, _ዘምኪኤል_, 
   {{0x6bc70066,0xc29100b8,0x33e3023c,0xfae40144}},	//   _файлын_, _sasaw_, _داحمدشاه_, _flathart, 
   {{0x193300c4,0xbb2501a7,0x8a630053,0x6d2103dd}},	//   _واقعي_, _kaapilla_, _trimakas, _makinave_, 
   {{0x43ea00b4,0xffdb019a,0x0fbf053b,0xe49a0143}},	//   _jante_, _batherso, _rótulos_, _магнитни, 
   {{0x3c9402a9,0x5bd10262,0x5a7e0096,0x7147006c}},	//   _жыцьця_, _bendeler, _bagahora_, _кафида_, 
   {{0x96d7024b,0x19b3019f,0x0b3000af,0xc2cb0482}},	//   _descubri, _عمارتن_, _медом_, _geedan_, 
   {{0x71d400ff,0x7f2700ba,0x02e80244,0x894e0061}},	//   _נאַקעט_, _بکێشن_, _regista_, _엑셀자동화서식_, 
   {{0x720e02cf,0xd64302a9,0x0c4b025c,0xd4130371}},	//   _давал_, _įsitikin, _leitung_, _корема_, 
   {{0x8b5100e4,0x4249018b,0xb7c70187,0x56a70161}},	//   _रणनीतिया, _premii_, _paisagem_, _машинку_, 
   {{0xc5bb01c5,0x7ee9000c,0x19ab014f,0x1d290212}},	//   _bakaarah, _akueráng, _seljanka_, _sempiter, 
   {{0x737a0342,0x3f49006e,0x03b10111,0x4e6c00bc}},	//   _kanaval_, _dentité_, _flaque_, _بیخود_, 
   {{0xad2e002b,0xb9e8036c,0x00000000,0x00000000}},	//   _রিজার্ভ_, _hangovit, --, --, 
   {{0x8da302d0,0x29c30338,0x5a0302ec,0x27ca0073}},	// [e1c0] _depraved_, _enterpre, _gobalada_, _gruppati, 
   {{0x81970288,0xff4b0462,0x399d0224,0x2c620279}},	//   _stealthy_, _adisonma, _brekkuna_, _serrage_, 
   {{0x67df021c,0x8a1303b3,0x58660281,0x2aed0039}},	//   _odpadkov, _speculet, _assoruju, _kasualit, 
   {{0x8b4b041e,0x6c750212,0xf9e801c9,0x00000000}},	//   _trattava_, _siculus_, _langovit, --, 
   {{0x0e4e053f,0x92d101af,0x394d0100,0xa201011b}},	//   _amparana, _usullar_, _ispočetk, _liziba_, 
   {{0xf20202ef,0x325a058f,0x84530198,0x5201028d}},	//   _depite_, _acolle_, _mladinsk, _difiki_, 
   {{0x946e00bf,0x2291018b,0x00000000,0x00000000}},	//   _крыма_, _lasat_, --, --, 
   {{0x1c2403d0,0xebbb018d,0x8c1e03dc,0xb4160156}},	//   _financir, _ንኣስመራ_, _trupult_, _ריכארד_, 
   {{0x1b5b02a8,0x474e0037,0xa7960384,0xdaac02e5}},	//   _komunita_, _በመዘርጋት_, _sredstav, _дыҟоу_, 
   {{0xe2cf0486,0x29f00266,0xbb530281,0x32b60163}},	//   _kancelář, _lazimnya_, _ilimanar, _perces_, 
   {{0x2fbf008d,0x193200ba,0x6f2e0125,0xa03f0013}},	//   _умрбод_, _رۆنیا_, _хилли_, _учинчида, 
   {{0xee8f00af,0x3c6202ed,0x8886001d,0x34ff00f2}},	//   _sommeren, _ábrese_, _neuhochd, _futbolā_, 
   {{0x526a00e5,0xcec8018b,0x7c9303ce,0x5ec7056e}},	//   _заборави, _rezisten, _کاناڵ_, _tesouros_, 
   {{0x88880292,0xc28f0097,0xa0820040,0x22b70059}},	//   _adekorad, _alukoro_, _החשיבות_, _линията_, 
   {{0x85a3000c,0x5f3e015a,0x124902ee,0x00000000}},	//   _ahakueté, _gabrumma, _isemmi_, --, 
   {{0xc1980185,0x335f0021,0xf2eb010e,0x045a005e}},	//   _порталда_, _aciefay_, _surigao_, _يعللعق_, 
   {{0x1d3d0360,0xfa00045c,0xedd9009a,0x3cd900a6}},	// [e1d0] _politice_, _dražba_, _abakwina, _abakwinq, 
   {{0x80340017,0x92120244,0x357d034c,0xb1a40311}},	//   _zelenino, _righe_, _groznıyn, _ኣይሳማማዕን_, 
   {{0xe2cb00cf,0x0fae0135,0x118a0311,0x6213036d}},	//   _atedha_, _савко_, _ታይገርስ_, _lochan_, 
   {{0x14290402,0x81310640,0x3b1b0273,0x2a00034e}},	//   _jemputan_, _gledatel, _compárte, _carabaya_, 
   {{0x02910035,0x3a9601d2,0xe3790418,0x6ed70008}},	//   _yasau_, _brunfels, _mesajda_, _бирнече_, 
   {{0x19fa0108,0x7623008a,0x00000000,0x00000000}},	//   _caritana_, _logomali, --, --, 
   {{0xc9c803f3,0xc29001c8,0x529102ee,0x32910313}},	//   _verdiene, _obcas_, _wasal_, _dasam_, 
   {{0xdaa9002b,0xe79e00e6,0x30570013,0x02920331}},	//   _ভিওআইপি_, _作青云白鹤观_, _кийиниб_, _hasari_, 
   {{0xc2020285,0x2a390125,0x32ca0255,0x830d021a}},	//   _kiriya_, _бедени_, _paide_, _balbala_, 
   {{0x120001b9,0xc3f904cc,0x042f0701,0x23f90039}},	//   _mediom_, _danzgim_, _laphinak, _seguru_, 
   {{0x2c5b04bb,0x829104ea,0x8b69007f,0xf5bd0022}},	//   _nomtswv_, _iasam_, _esboniwc, _башнедра_, 
   {{0x72910418,0x22710301,0xd2c200cd,0x490000ee}},	//   _yasal_, _cənab_, _exclusa_, _barakald, 
   {{0xfd06013b,0x4d080010,0xa2910125,0x6b85011d}},	//   _starnber, _anconote_, _kasam_, _furnizor, 
   {{0xe50e000e,0x64af0024,0xa26c01d1,0x7205023e}},	//   _cattello_, _সংস্থাৰ_, _armour_, _موجوداتی_, 
   {{0x72000794,0x84720188,0xe58e03ad,0x529000b8}},	//   _jajima_, _abafokaz, _elettrik, _ullart_, 
   {{0x0ae000fe,0xb9d7000d,0xbd180008,0x27430255}},	//   _akaunite, _kustutad, _حامدىڭەر, _बिडियोसा, 
   {{0x32020285,0xc25700c1,0x064600b3,0x4a9501c9}},	// [e1e0] _biriya_, _माझेही_, _birkemsi, _vesipiib, 
   {{0x4292041c,0xbecb04a7,0x5bf5023d,0xbc800211}},	//   _barakk_, _céntrase_, _глазури_, _бедер_, 
   {{0xd25a00ee,0xa5ae00c5,0x186e015d,0xa62302ff}},	//   _egilea_, _规范性文件_, _शहरवासिय, _chealtyè, 
   {{0x160b0069,0x99de046f,0x840a00cb,0x99810262}},	//   _abamushi, _profilbe, _abanesiz, _barlaýar_, 
   {{0xb57f0170,0xfb120040,0x2a000053,0xc97e0377}},	//   _oosthuiz, _לחמניות_, _pusatnya_, _lichidat, 
   {{0x122502eb,0x63790082,0x826c01ed,0x2ee00040}},	//   _автоматж, _sabanin_, _pakolu_, _העקרונות_, 
   {{0xee1500c8,0x4bb900ff,0x9f2602e5,0x49d60276}},	//   _экологта, _אינסטאַנ, _alberzon, _باشقۇر_, 
   {{0x1c3a023c,0x3262024f,0xc2af005e,0x66d70157}},	//   _وګڼله_, _kuroniji_, _ﻳﯧﻤﻪﻛﻠﯩﻜ, _lekarstw, 
   {{0x434100f7,0xf2ff02db,0x9356047d,0x3a110026}},	//   _armenio_, _masanori_, _proffen_, _betaalme, 
   {{0xe7bc0276,0xe84e0008,0x53a901b7,0xfc52033f}},	//   _суданниң_, _cartells_, _bravīd_, _moatuna_, 
   {{0x702e00ca,0x587a057c,0x00000000,0x00000000}},	//   _fondacio, _varetægt, --, --, 
   {{0x6290002e,0x327e0388,0x0da5001c,0x1ad60040}},	//   _dolaze_, _sconto_, _airforce_, _ובהמשך_, 
   {{0x727e019d,0xbd3a015d,0xd3560258,0xc379013b}},	//   _ubongo_, _napisane_, _troffen_, _kabalin_, 
   {{0x726c021c,0xd86800a2,0x029102e4,0x92910057}},	//   _sebou_, _ڪيفيت_, _qasam_, _lasak_, 
   {{0x7ed5000a,0x6b700139,0x28700371,0x00000000}},	//   _kisitsin, _anavaśeṣ, _станимир_, --, 
   {{0xa2900281,0xf9d00064,0xb292036a,0x0d4c0482}},	//   _aanaaq_, _женил_, _karaik_, _magabbaq, 
   {{0xb46902c4,0x3e7a017d,0x598101a6,0x3e1a027e}},	// [e1f0] _годината_, _アイコンの説明_, _kirihime, _творца_, 
   {{0x12000181,0xa3e500bb,0xd39500f2,0x723f01bd}},	//   _tajima_, _گردکون_, _ineses_, _وسىعان_, 
   {{0x7e4f0195,0xab3601c9,0x47b401f5,0xf4a70078}},	//   _cheangla, _नम्बरो_, _kehening, _марком_, 
   {{0xb57500bb,0x75d20299,0x1bde00ae,0x279a0088}},	//   _سٹوڈنٹ_, _қәпәстә_, _kwidahir, _дарбазан, 
   {{0x92490478,0x300100ec,0x2db900f0,0x9bd101bb}},	//   _bauma_, _perskaič, _interné_, _bendiler, 
   {{0x2617025c,0x39dc0208,0xa47700e5,0xbcf6016f}},	//   _italieni, _فدرالیزم_, _реторика_, _третини_, 
   {{0x6231011b,0xb6ba033f,0xdf5b0044,0x4d080024}},	//   _crampon_, _matapasi, _romanian, _বৌটিয়ে_, 
   {{0xa3fa02ce,0xfdab00dc,0x7536020f,0x00000000}},	//   _sarupa_, _mulipapa, _ددښمنانو, --, 
   {{0x329001f0,0x26890046,0x8292011d,0x00000000}},	//   _bolaye_, _روحۇنۇن_, _pasari_, --, 
   {{0x52ca0051,0x9fc70145,0x5162041e,0x0d280005}},	//   _gaida_, _egzistuo, _sparizio, _reminent_, 
   {{0xe9db01da,0x6263024c,0x32e202e7,0xa5a00105}},	//   _referohe, _amnijoti_, _giandam_, _संपत्तिय, 
   {{0xf2ca0210,0x33240267,0x00000000,0x00000000}},	//   _aaida_, _ubacili_, --, --, 
   {{0xc291052d,0x02ca012f,0x66fa01db,0x1e3c02e2}},	//   _निरोगी_, _baida_, _армандай, _ayroilys_, 
   {{0xf966044a,0x9f98001a,0x035f0092,0x57a502c6}},	//   _bakoteke, _روانڈا_, _ringede_, _chalotez_, 
   {{0xe25b00fd,0xa9c900dd,0xb43e017a,0x00000000}},	//   _mgalba_, _isadeile, _матну_, --, 
   {{0x5c750452,0xa20200ad,0x871000de,0x59b8005e}},	//   _साध्या_, _dirina_, _acacisiw, _سالمىقىن, 
   {{0x42ca006f,0x73ff0099,0x532d009a,0xe01100c1}},	// [e200] _faida_, _ainziwo_, _مهارتونه_, _पाडळकर_, 
   {{0xdc6f0292,0xc57a0723,0x3670020f,0x0b6502a4}},	//   _ankrato_, _badocedö, _akakayif, _collocar, 
   {{0xd8460148,0x03960017,0x2f260061,0xf3ea02b1}},	//   _參見王海龍_, _brusle_, _홈페이지의_, _yanta_, 
   {{0x1deb03f5,0x22250272,0x430003ba,0x63460409}},	//   _municípi, _abakol_, _kabakai_, _fandtes_, 
   {{0x0e550113,0xf9e40178,0x2a030035,0xf3160200}},	//   _صورته_, _anantara_, _analarnı_, _ndozi_, 
   {{0xbc57012a,0x3640027c,0x00000000,0x00000000}},	//   _dostaje_, _سعدالدین_, --, --, 
   {{0x7d3a04d6,0x98610091,0x12910066,0xd84c0061}},	//   _zapisane_, _nayoganu, _tasak_, _싶었습니다_, 
   {{0xe92800a4,0x7c07003b,0xc74500a7,0x2e5500ef}},	//   _партияны, _elusuku_, _агалар_, _eemarike_, 
   {{0x2f3400cf,0xa7000095,0xe2c604ad,0x7e030113}},	//   _abbummaa, _kabupatè, _bareetsi_, _forbraío, 
   {{0x96510090,0x93450019,0xbc6500d9,0x4db400d6}},	//   _asingapf, _رۇمكاڭ_, _neitsyt_, _زوروا_, 
   {{0x49f0025e,0x629103cf,0xf2c600c5,0xac67033f}},	//   _barnanna_, _yasak_, _fermés_, _lukufua_, 
   {{0x426d015f,0x19d4007e,0x03160387,0xefd40347}},	//   _efrog_, _विजयते_, _odozi_, _geantwoo, 
   {{0x31b20089,0x329101c9,0x798503e6,0x34000390}},	//   _aprelenä_, _vasak_, _aktiveie, _dogurdan_, 
   {{0xd3ea00cf,0x2ebb04cf,0x925802d8,0xe3580189}},	//   _wanta_, _kwesinye_, _otomotif_, _otomotiv_, 
   {{0x647c00f5,0x00000000,0x00000000,0x00000000}},	//   _руслашан_, --, --, --, 
   {{0x526c0225,0x8f1000d9,0x57ea0135,0x3d06020e}},	//   _tebor_, _lastenva, _бүлнискә_, _lahletse_, 
   {{0x52fc01a4,0x6291005b,0xa2cb030f,0x4808023e}},	// [e210] _atogi_, _kasai_, _amionga_, _متحول_, 
   {{0xed97025c,0x9f390092,0xdaef0342,0x326c01b9}},	//   _stellena, _お待ちください_, _lajounen_, _rebor_, 
   {{0xd291022f,0x99e200a2,0x26430285,0x1c1a0255}},	//   _pasak_, _ٽائيپ_, _gihirahi, _pakutaks, 
   {{0x43180173,0x7291009b,0x798102c2,0xb2fc008a}},	//   _উদ্যোগে_, _lasai_, _aanklagt, _triggs_, 
   {{0xf74b0306,0x6c9300bc,0x0daa0456,0x00000000}},	//   _amazónic, _ساناز_, _istiqara, --, 
   {{0x84020178,0xd17f00e7,0x93730392,0x22b50102}},	//   _abruvann_, _allinbay_, _durachd_, _chachu_, 
   {{0x9fce029b,0x1b9901db,0x03b60145,0xdbeb0148}},	//   _awantiir_, _наразыла, _баярына_, _pervenis, 
   {{0x025a0087,0xb2910152,0x4c4b0075,0xa2020264}},	//   _kailua_, _yasap_, _leiting_, _gutiã_, 
   {{0x023601bc,0x2add0305,0x2379069d,0xb242025f}},	//   _helje_, _fødselså, _dusanga_, _elimboli_, 
   {{0x026e02fb,0xb3730197,0x00000000,0x00000000}},	//   _visone_, _konsantm, --, --, 
   {{0x5b0000d1,0x251d012b,0x926400fe,0x99d9014e}},	//   _বিয়োগ_, _dekoracy, _koulaa_, _началств, 
   {{0xe2ca0012,0x841c033e,0xde1c0212,0xd30201c0}},	//   _saada_, _desacato_, _scientia, _anjamau_, 
   {{0x89c60163,0xd8e7003f,0x29040167,0xf9c90261}},	//   _tabletta_, _dangaghd, _albanaid, _מקטרג_, 
   {{0x6f20059d,0xac5b0219,0x529000ad,0xdd2f00e6}},	//   _mendukun, _aphutse_, _bikang_, _市食品药品监督管, 
   {{0xe165013d,0xfa400238,0x37a90181,0x00000000}},	//   _nomspaco, _спадкоєм, _ufatteli, --, 
   {{0x92c501f6,0x6fc900bc,0xe2e6034b,0x905a02c9}},	//   _enklare_, _nganggur_, _maonten_, _chestion, 
   {{0x32c8029a,0x0f660108,0x41530272,0xb387023e}},	// [e220] _afronte_, _sakapeun, _alirongo, _blarak_, 
   {{0xd871023d,0xf42a0368,0xfdd50219,0xa2c20513}},	//   _остават_, _праволин, _inchabha, _ngalava_, 
   {{0x415d0388,0x626003bf,0x02900120,0x938601e5}},	//   _situazio, _baropoli_, _macay_, _kanrí_, 
   {{0x234a0690,0xc3e20062,0x0037038b,0x887a0371}},	//   _menentu_, _chidqang_, _menembak_, _затварян, 
   {{0x0bfb004c,0x9c50015d,0xd2dc030f,0x22b5001e}},	//   _abagerer, _क्लेम_, _hemokai_, _handame_, 
   {{0xf8450005,0x8fb60061,0xc26e00dc,0xe01a0061}},	//   _inoltrad, _대우조선해양_, _risone_, _충청타임즈_, 
   {{0xddb803e9,0xc6800342,0x1fcc0613,0x00000000}},	//   _agöýli_, _ekzekiti, _atentado, --, 
   {{0x8eb8003f,0xab1b01ec,0xc511003c,0x23090126}},	//   _bilesnis_, _dasawars, _میدانند_, _призводя, 
   {{0x529000c7,0x737f025f,0xa2d90480,0x63ea003d}},	//   _bacay_, _dikanda_, _bayeni_, _banto_, 
   {{0x022a0162,0x1a39020e,0xb751023e,0x49e40418}},	//   _долан_, _арзаныра, _amongrag, _olanlara_, 
   {{0x23050138,0xcf440468,0x8a010322,0x5f13021e}},	//   _ambalaj_, _awushiye_, _babazaga_, _kvittera, 
   {{0x2395000e,0x62020387,0x162b02ca,0x7b3000a6}},	//   _posse_, _birila_, _chiallaí, _aqhagams, 
   {{0x22c601cf,0x0da00092,0x46d900a6,0xaf6b00a8}},	//   _parlate_, _アルファグランデ, _bayazisw, _clischés_, 
   {{0x7324052f,0x813a0253,0xb3ea0312,0x2a0b0281}},	//   _abayilim, _malugiuk_, _ganto_, _kusanart, 
   {{0xa201002e,0x4a050076,0x73410285,0x4631021c}},	//   _obzira_, _embalage, _biterwa_, _kanadské, 
   {{0x30320025,0x22280064,0x8c940046,0x607a0137}},	//   _मैथिलीम्_, _корейлер_, _агасын_, _архивууд, 
   {{0xd25c01f4,0x8d53037f,0x026d038f,0xffba0434}},	// [e230] _gaplarni_, _rübündə_, _derou_, _valorado, 
   {{0x3c640486,0x62900120,0x72900119,0xb2d8002c}},	//   _situace_, _cacay_, _tikang_, _lukete_, 
   {{0x57bb017a,0xf202003a,0x58c4017c,0x5be50187}},	//   _баландкӯ, _sirida_, _allehand, _hipercar, 
   {{0x52c500bc,0x75d301f2,0x541301f9,0xb287021c}},	//   _hismart_, _геермани, _bangekho_, _hygieny_, 
   {{0xeb0d00c5,0xf2ed021e,0xd2fd01a9,0xe3f801a6}},	//   _违反本法规定_, _bransch_, _bebidas_, _hanumi_, 
   {{0x7759058c,0xd37a0082,0xf264057c,0x49fb03ba}},	//   _पूर्ववत_, _zarafin_, _herlev_, _tsiribou, 
   {{0xcf6a0023,0x399104ce,0xd9c700b7,0x6b690082}},	//   _зависимо, _mikhuvha_, _гарашар_, _faifayen_, 
   {{0xe02504dc,0x00e8012c,0x23fa024f,0xeaf60087}},	//   _سواره_, _موتوڪو_, _waruta_, _muhumele, 
   {{0x43ea0108,0x3e380050,0x62b7005b,0xf96802ef}},	//   _panto_, _padalisa, _coenコ_, _metouche, 
   {{0x46d601d1,0xdea603a0,0xe212005b,0xf156011d}},	//   _discussi, _abelelan, _hight_, _пенсииле_, 
   {{0xdb1601b8,0xf0490162,0x9cf2012c,0xf396023e}},	//   _rahandus, _тенимдә_, _خادمن_, _catscd_, 
   {{0x035e0231,0x53fa01fe,0xe3780050,0x8af8003b}},	//   _justplym, _karusa_, _sifatna_, _bewukule, 
   {{0xa3860162,0x1e350357,0x69e403cf,0xd2d90170}},	//   _بالدۇر_, _delaniva, _alanlara_, _isinthe_, 
   {{0x3c3702bb,0x3ada0019,0x9d3a0037,0xd06e005b}},	//   _बहिष्कृत_, _سىڭقىيا_, _የሃይድሮ_, _breadroo, 
   {{0xc3bb012e,0xf6e50128,0xffb0044d,0xe26d01c4}},	//   _اسباق_, _вертолёт_, _ballando, _berou_, 
   {{0xf61c03d1,0xb96a0212,0xa6d102fe,0x00000000}},	//   _publiski, _recipere, _osebhayi, --, 
   {{0x576f0016,0x93820082,0x571a01e7,0xe6df0297}},	// [e240] _diskutoj_, _barzahu_, _coordiné, _gibridı_, 
   {{0x534a03b5,0xe1f90304,0xb177033f,0xb524004d}},	//   _penentu_, _rosaklah_, _kulaitel, _引導寫作課程第三, 
   {{0xffa1026f,0x6f120256,0xea0600af,0xe3f80428}},	//   _ءﺟﯘﺯﯨﭗ_, _legalizā, _мукачівс, _kanuji_, 
   {{0x13ea0312,0xd6b8034f,0x42fc01b7,0x00000000}},	//   _gante_, _ebhalisi, _devaiḥ_, --, 
   {{0x59370294,0x0232017a,0x814d02a4,0x75c2003b}},	//   _animalpa_, _amajalim, _supercil, _ikharikh, 
   {{0xf17d02e2,0x5386000c,0xadf600a4,0x1286027b}},	//   _albinish_, _goiriz_, _سۇيكەپ_, _पर्यपृच्, 
   {{0x7c140172,0xd2fc019b,0x639502c3,0xaa880146}},	//   _akasabeb, _stogo_, _hossa_, _emailkan_, 
   {{0xcb140044,0x571a014a,0x82900151,0x92e3023e}},	//   _הנרתיק_, _koordiná, _ammair_, _beninge_, 
   {{0x826d00d4,0x4003003e,0x894e029e,0x44410061}},	//   _derom_, _конкур_, _anvonere, _사회복지사_, 
   {{0xc2ca01c5,0xaf7e03bf,0x73f900fe,0x2d2a01ca}},	//   _saado_, _discoujn, _lavuni_, _lannisbe_, 
   {{0x3f4100bd,0x3c890037,0xebee02a4,0xa798003c}},	//   _nuisance_, _በእጃችን_, _frideric, _کوهسرخ_, 
   {{0x02d90305,0x628b027c,0x3aee010f,0x52090024}},	//   _skyer_, _معتبره_, _диндорон_, _সৰিয়হৰ_, 
   {{0x539500cf,0x92fd00f7,0xf290020e,0xb7af00da}},	//   _gossa_, _deziras_, _bolaee_, _спиритул, 
   {{0x43ea01b9,0xd99103b4,0x52a70312,0xc26d0092}},	//   _zante_, _aichovha_, _arabad_, _herom_, 
   {{0x3394030a,0x667b004d,0x385402ac,0x937b020e}},	//   _amosan_, _tiberium_, _لوزير_, _diradio_, 
   {{0x96b802bf,0x696305d6,0xfaee0203,0x930c013c}},	//   _abhalisi, _diendant, _criterie, _musavat_, 
   {{0x68580013,0xe22400af,0x587a012b,0x0f3103ab}},	// [e250] _тартибси, _klokka_, _scenariu, _asistova, 
   {{0x49d90036,0x274a029f,0xe53003c2,0x2cf10074}},	//   _بوسترات_, _priznani, _blunderh, _hintaver, 
   {{0x4249005b,0x5c2802ac,0x930002df,0x7d130071}},	//   _izumi_, _شيخنا_, _harakah_, _sanseker, 
   {{0xd43a00ba,0x1a0a0282,0x367302d3,0x1f470013}},	//   _حزبێک_, _hiramana_, _настанот_, _женевада_, 
   {{0x3a6800c5,0x4aad00e9,0xb8e2031a,0xdc1700cd}},	//   _双击自动滚屏_, _kaykounn_, _charraig, _approves, 
   {{0x2dbc033f,0x317f025f,0x72000414,0x83f80181}},	//   _fetamate_, _botambol, _makiso_, _danuki_, 
   {{0x581b0037,0x2423045e,0xaea80061,0x725f0087}},	//   _የምትሉት_, _ottimizz, _새로나온책_, _kukutlel, 
   {{0x035901af,0x00000000,0x00000000,0x00000000}},	//   _asmanyň_, --, --, --, 
   {{0xe9e30157,0x93060130,0x8af601bb,0xad840203}},	//   _आष्टा_, _saharek_, _ruhubele, _extendet_, 
   {{0xb26d01c6,0xd6dc02b9,0xcb8c02b6,0xdb0c04dc}},	//   _werom_, _کاندھلوی_, _магистрі_, _شادین_, 
   {{0x9290022e,0xb37900ea,0x385f003d,0xeacb0157}},	//   _andate_, _karajia_, _acarians_, _मुहर्रम_, 
   {{0xc2490054,0xf3fa03f5,0x7a1e023d,0x330003c5}},	//   _azumi_, _resumo_, _пирин_, _barakah_, 
   {{0x92a701ea,0x737c0206,0xf26c003d,0x7291009b}},	//   _залолат_, _pozadie_, _alioth_, _pasau_, 
   {{0x2f3800cd,0x45ca0311,0xc2910086,0x7f2c0450}},	//   _boquilla, _ዝኣዘዞም_, _vasat_, _opfettin, 
   {{0xb20204ad,0x9ea70110,0x5cd90060,0x00000000}},	//   _bosigo_, _bezdarbs_, _айдындар, --, 
   {{0x863c019b,0xa2920298,0x83f80181,0xc291029e}},	//   _policini, _tupato_, _tanuki_, _gasas_, 
   {{0xbc930576,0x118d03d3,0x8e950085,0xdb1f0146}},	// [e260] _مامان_, _forbehol, _commison, _benarkan_, 
   {{0x4ae6009a,0x48940061,0x6f5a0311,0x622402e4}},	//   _adityane, _하루하루를_, _መሓዙታን_, _flokha_, 
   {{0x6348045e,0x5c660044,0x6ca8034e,0x7524034f}},	//   _effetti_, _filters_, _andinosq, _مراعاتول, 
   {{0x4e4c00fe,0x92290013,0x53da00be,0x42ca0207}},	//   _ataaaaaa, _баробард, _ساكەمدەر, _azidi_, 
   {{0xf9ec0148,0x42310119,0xc2450156,0x620001e5}},	//   _guruvayu, _tlemcen_, _שנײַדן_, _makiro_, 
   {{0x52900039,0x525b0059,0xfc270239,0x2f6a0537}},	//   _ondare_, _anelli_, _matangur, _recantos_, 
   {{0xedcf0508,0x8af8042c,0xe26d000e,0x12ca0243}},	//   _mbekanya, _suprotst, _emborg_, _raade_, 
   {{0x17c60052,0x2a1000a7,0x42e90014,0x93ee0044}},	//   _परिभाषित_, _alacarta_, _viziton_, _apologiz, 
   {{0x42260039,0xdd180415,0xf2ca0134,0x00000000}},	//   _daukat_, _längere_, _paade_, --, 
   {{0x8c530235,0x23010340,0x8a0a027f,0xac680260}},	//   _विवेश_, _karaipi_, _birajana_, _labrego_, 
   {{0x35a9032d,0x238802dc,0x72910461,0x2c610084}},	//   _фетисов_, _adestram, _basas_, _buruhna_, 
   {{0x12910054,0xc37901a6,0x6f360285,0xf69b020f}},	//   _masar_, _karakia_, _abashora, _ګرباچوف_, 
   {{0x2bd1055f,0x02f10418,0x903d045e,0x10170185}},	//   _kendiler, _resimli_, _inserzio, _законны_, 
   {{0xbda3003a,0x7d130181,0x00000000,0x00000000}},	//   _hikoyala, _hvalpene_, --, --, 
   {{0x929101fd,0xaad0020f,0xae95018d,0x00000000}},	//   _tasas_, _لرګیو_, _spitalet_, --, 
   {{0xa58a03b9,0xd4750066,0xa1d10035,0xf91400bb}},	//   _kusisisñ, _daitezen_, _armiyagä_, _وردھنے_, 
   {{0x72900244,0x7ce2005e,0x026c00f3,0xe201049e}},	// [e270] _andare_, _ئوڭوشسىز, _kunowa_, _gabika_, 
   {{0x39aa0056,0xce5801bd,0xb0a60397,0x003902ee}},	//   _комил_, _құнды_, _маншаъ_, _eccezzjo, 
   {{0x5d640156,0xac2702af,0xda290311,0xae6b0307}},	//   _בראנקס_, _hatangur, _ዝውንንዎ_, _kunciphe_, 
   {{0x4c270328,0xaa7d0488,0x82f10218,0x75f100c5}},	//   _batangur, _kadastra_, _ampuscay_, _plomberi, 
   {{0x33ea038a,0x863903ab,0x5d8200a7,0xfdb80194}},	//   _manta_, _materiál_, _navegant_, _durantqe_, 
   {{0xd8630187,0x47590193,0x00000000,0x00000000}},	//   _копани_, _बुद्रुक_, --, --, 
   {{0x33f8049a,0xd41f027f,0x2b86040f,0x1c7c02e2}},	//   _suprotni_, _bipapuro_, _interesų_, _caesura_, 
   {{0xdc560061,0xc3ea014b,0xcbf900c3,0xf191004d}},	//   _한국청소년화랑단_, _ganta_, _canonico_, _本文引用網址_, 
   {{0xf79d0089,0x8afd01f1,0x9c2702af,0xf4fc0052}},	//   _литры_, _raportin_, _gatangur, _दुनियाँक, 
   {{0xe348033a,0x63ea00b0,0xadfd02ab,0x8e2f022a}},	//   _offerti_, _aanta_, _deregawa, _zimmetis_, 
   {{0xe20202b7,0xa2ec00d4,0x22d40185,0x0291018f}},	//   _qariya_, _feriene_, _aludan_, _masaq_, 
   {{0xe5320226,0x241f0184,0x865d01f3,0xd48b02e1}},	//   _atangoph, _gipapuro_, _podniká_, _معتبرا_, 
   {{0x5dfb011d,0x53c8017d,0x93ea00b0,0x3af7045e}},	//   _diferite_, _besvar_, _danta_, _кабели_, 
   {{0xb3530268,0x42130004,0x3be801f0,0x83ab0153}},	//   _exotherm, _kochon_, _diroboto_, _ドラッグして選択, 
   {{0x8ea40040,0x9fa70121,0x493400ff,0x00670264}},	//   _מאפינס_, _privados_, _באָלשעוו, _harangdo, 
   {{0xae8f0352,0x6292053e,0x8c9701b7,0x629102f3}},	//   _sommaren, _omtale_, _देवकीनन्, _rasar_, 
   {{0xf2ab01c2,0xdb2501c2,0xf3f903d1,0x9036004c}},	// [e280] _táboa_, _séptica_, _degunu_, _bametulo, 
   {{0xc8330377,0x9492002b,0x230905af,0x8202010b}},	//   _жералдик, _বিপদগ্রস, _osobnim_, _mariga_, 
   {{0x524a0288,0xd155011f,0x8f0f00a4,0x33100040}},	//   _stumpf_, _алакыуп_, _congrés_, _vaccine_, 
   {{0xf67d0092,0x22ca014b,0xe207009a,0xc70301d5}},	//   _アカウント情報の, _haada_, _awayesel, _biatorbá, 
   {{0x65af0396,0x52ca0211,0x5b770074,0x89810229}},	//   _korporaz, _kaada_, _kuluttaa_, _banklara_, 
   {{0x984702ba,0x8857002b,0x240001b9,0xa23603b0}},	//   _қалами_, _নতুনরা_, _lakuronn_, _fedje_, 
   {{0xa29100f5,0x14b5006e,0x0e5404a5,0x08130193}},	//   _hasap_, _birabbik, _elibanda, _समुदायवि, 
   {{0xac050211,0x8202038f,0xe379022d,0x0b0700da}},	//   _torstai_, _rusian_, _caraffa_, _afisarea_, 
   {{0xd2df0309,0x93010082,0xcc1600b9,0xad860478}},	//   _birində_, _husaini_, _निर्मात्, _estendre_, 
   {{0xcc700010,0xca4100c7,0x02ca008d,0xaae901a0}},	//   _akasiye_, _уйлана_, _uyida_, _khathale, 
   {{0x3379022e,0x03410744,0x52910278,0xa67f0105}},	//   _ottanta_, _nomeado_, _qasar_, _त्रासदिय, 
   {{0x5417042b,0x9e0000b5,0x62000092,0xe2f00267}},	//   _stignemo_, _abrelata, _kemisk_, _džipom_, 
   {{0xc2ca0207,0xa39d03c1,0x9a0a00da,0x00000000}},	//   _baada_, _погодува, _depasest, --, 
   {{0xe5af02d4,0xfe4a023b,0xe6ef0010,0xa61b0267}},	//   _corporaz, _hipakane_, _angamelw, _petogodi, 
   {{0xe2ca067d,0x32910080,0x19070089,0x9fae0023}},	//   _daada_, _aasap_, _bahawetd, _папку_, 
   {{0xd20201c5,0xa8c40047,0x32ca02d9,0xadd40162}},	//   _bariga_, _allemand, _egelani_, _метироло, 
   {{0xae7b01af,0xf8400095,0xbe4a032d,0x7a620105}},	// [e290] _hazarýak, _مجاورت_, _dipakane_, _शिवराजसि, 
   {{0x57b50107,0x695f0228,0x9024002b,0x0b1e0090}},	//   _pirembag, _eventyre, _কমপিউটার_, _anyatsob, 
   {{0x7fb90177,0x8e890045,0x49eb0148,0x72480287}},	//   _иназаны_, _leskovač, _baptismu, _dojmem_, 
   {{0x437a03ae,0xa3790158,0x1b100163,0xa20204ca}},	//   _avtalen_, _ubrania_, _الخلیل_, _abrita_, 
   {{0x1291011e,0xd3ea025c,0x434f0372,0x32910122}},	//   _absan_, _montag_, _anferth_, _ancang_, 
   {{0x96d5000a,0xe201019f,0xadc1032e,0xe3ea0016}},	//   _pisassii, _hazina_, _walinaka, _nafto_, 
   {{0x9fd40003,0x2525016d,0x9be801fd,0x38c402e5}},	//   _beantwoo, _бергиндә_, _promedio_, _cuadricu, 
   {{0x09e40006,0x9c64066a,0x560b006c,0x0d0902c7}},	//   _diantara_, _oktubre_, _abamabhi, _gepostet_, 
   {{0x620705b1,0xb2910119,0x926e00c4,0x2c0400de}},	//   _poschodí_, _pasay_, _masoud_, _bhasari_, 
   {{0x5f7702ea,0xf06f03a0,0x62da024a,0x5d2e00d0}},	//   _пресконф, _dikanelo, _iraniye_, _намбатай_, 
   {{0xbeaa0125,0x5b9902ac,0xf8e501ca,0xe7a502cb}},	//   _билдирйн, _ووثائق_, _dungwijd, _postupci, 
   {{0x0a1e0398,0xf7210235,0x5946022e,0x029101c5}},	//   _бирин_, _acetaneṣ, _scalinat, _fasax_, 
   {{0x147e0066,0x5dce0040,0x361d0528,0x113500cf}},	//   _benetako_, _כורכום_, _scatwell_, _hindabal, 
   {{0x22020082,0x7a4900c5,0x9c6e0464,0x09070297}},	//   _jarida_, _个国家中排名第_, _aterura_, _bahavetd, 
   {{0xf2a703e7,0x28540094,0xf2a000e4,0x00000000}},	//   _maabot_, _قىستاعىن, _farbą_, --, 
   {{0x1fbe0220,0xe2fe0148,0x63a80156,0x00000000}},	//   _violazio, _lapides_, _שֶּׁנֶּא, --, 
   {{0x1a8b01e6,0x9df5005d,0x83790119,0xafee0365}},	// [e2a0] _postaví_, _hendaite_, _kabahin_, _चूडामणि_, 
   {{0x79f90360,0x0dbb029f,0x5264004a,0xf34100f7}},	//   _firemní_, _objektív, _aktlar_, _eklezio_, 
   {{0xf8630444,0xe5b70185,0x7cc90135,0x037d0144}},	//   _подачи_, _видеосы_, _малополь, _cumaisc_, 
   {{0x22a700ba,0xe2ee0230,0xe65601ef,0xa3780184}},	//   _دبلۆماسی_, _lenfo_, _paskambi, _gabanwa_, 
   {{0x9202041b,0x32da02c2,0x53120090,0xb97d033e}},	//   _arsien_, _gereed_, _akazosim, _иҟалап_, 
   {{0xf2fc0321,0xe29200a2,0xa5640156,0x63030239}},	//   _proge_, _mswada_, _אָנטיילג, _tirarau_, 
   {{0x92fe003d,0x89a50066,0x923c0192,0x04e900f5}},	//   _veritas_, _албадан_, _중요합니다_, _калбында, 
   {{0x07010061,0xe2da03e6,0xf9c401c8,0x00000000}},	//   _네트워크의_, _bereed_, _moudrost, --, 
   {{0xa56a0047,0x4d8c02ac,0xa448008d,0xde0c03b5}},	//   _第二十五条_, _inrochta, _брюсселд, _pindahka, 
   {{0xf68d01f0,0x0638015e,0x5e1c02f0,0x336c03d4}},	//   _apeesegi, _даражасы, _besekaha, _valensij, 
   {{0xe2fc0031,0xe03a0061,0x51ae00a6,0x94f700d0}},	//   _serikat_, _다음커뮤니케이션_, _دمطلب_, _фейсбүүк_, 
   {{0x8c5505d7,0x565102c1,0xa2cb0309,0xfc530074}},	//   _khotabe_, _agakingi, _sayda_, _nauttia_, 
   {{0x0b5e00da,0x72d10402,0x9c3a01e5,0xf3a603dd}},	//   _фамилией_, _tentulah_, _alapiles, _propozim, 
   {{0x4c6900c2,0x405300a8,0x1dfd0611,0x62640297}},	//   _impunzi_, _preschen, _dezespwa, _bawlı_, 
   {{0xf301004d,0x1263023a,0x25170378,0x00000000}},	//   _代謝症候群上身_, _zakaždým_, _hillaloy, --, 
   {{0xa7bc02ec,0xccfc0037,0x67c00763,0x3a0c04df}},	//   _مشکِل_, _የተሞላበት_, _akhulisw, _abraýdan_, 
   {{0xec4c04ad,0x02e30180,0x625b0399,0x79740156}},	// [e2b0] _bagwebi_, _lamitye_, _ngalia_, _דאַליי_, 
   {{0x234600e9,0xc6800452,0x00000000,0x00000000}},	//   _tandres_, _जागाच_, --, --, 
   {{0x8a8c02b0,0xfbd0004d,0x229200dd,0xd42302ee}},	//   _gewinnen_, _中高檔消費者青睞, _mosaig_, _jutilizz, 
   {{0x812a00df,0x1f94026d,0x5730005d,0x00000000}},	//   _autorisé_, _atény_, _iposició, --, 
   {{0x801401af,0x430101d2,0x22e801c5,0xbde400ec}},	//   _сырына_, _baratpi_, _sugidda_, _сыстэма_, 
   {{0xae520029,0xb424002c,0x71690297,0x2d8501da}},	//   _بۆنموونه_, _emakumez, _berektäş_, _monetare_, 
   {{0x6f6f0148,0x4b630238,0xc9ec0220,0x3d2b00bb}},	//   _返回上一頁_, _фондом_, _arrivata_, _سیدتفسیر, 
   {{0x22010011,0x5c0901d1,0x92d101be,0x75880013}},	//   _mazima_, _reported_, _porodem_, _дастакла, 
   {{0x1201012c,0xe4e90037,0xc396069e,0x626c00e2}},	//   _lazima_, _የጣልያን_, _cousas_, _oplost_, 
   {{0xb730024b,0x3fc202fe,0x00000000,0x00000000}},	//   _oposició, _والوت_, --, --, 
   {{0x22a004e2,0x034901d8,0xb3b8013c,0x8e910299}},	//   _serbuk_, _nenebev_, _simvolu_, _ئەنقەرە_, 
   {{0x2e1704b3,0x3b1903a1,0xe23103fb,0x384a01eb}},	//   _etrebroa, _risponde, _ciljevim, _inimboku, 
   {{0x38ff0192,0x99d002ea,0x35100185,0x37670391}},	//   _프로그램의_, _медия_, _керми_, _парктар_, 
   {{0x06b90210,0x7f5f01aa,0xd75e02c2,0x80590059}},	//   _achariri, _aduation, _sluiting, _санитаре, 
   {{0x565f03db,0x31b80046,0x229201d3,0x00000000}},	//   _elokishi, _excepció_, _depaul_, --, 
   {{0x415e01fc,0x4aea0203,0xb4c5004b,0xeda8010f}},	//   _iskooluh_, _neolatin_, _мѳмкин_, _aphikisa, 
   {{0xd31800d1,0x93e70353,0xc6cd0326,0xf9d10241}},	// [e2c0] _উদ্যোগৰ_, _mýtus_, _babamuni, _fallaqaa_, 
   {{0x9df30218,0x5257024e,0x77ed02fc,0xc2c802af}},	//   _iendsfra, _postojal, _bagahung, _kuronde_, 
   {{0x12d80128,0xef1201eb,0x0b6a0396,0x85b900de}},	//   _shuning_, _araméore_, _sħubija_, _اولادو_, 
   {{0x52d70003,0xa6100238,0x72e202a0,0xe96302ac}},	//   _beslist_, _включити_, _bófin_, _لتوفير_, 
   {{0x4160033e,0x5aac006c,0xc265051f,0x036d054a}},	//   _амонитор, _abakhumb, _وئازادی_, _drugari_, 
   {{0x426c0088,0xdd2a00b2,0x1e080017,0xe37a00c1}},	//   _valors_, _amanamee_, _tenkrát_, _saranin_, 
   {{0xa3e500c5,0xad2c0233,0xf12a02d4,0xaefc03d4}},	//   _plateaux_, _ravisset_, _autorisà_, _турке_, 
   {{0x6177042a,0x00000000,0x00000000,0x00000000}},	//   _angahlel, --, --, --, 
   {{0x6efe0306,0xef0f0089,0x2c5c014a,0xf1450397}},	//   _agavacea, _кинәт_, _listán_, _кухнаи_, 
   {{0xee3a01f7,0xfc4b0190,0x2dc10083,0x303703b5}},	//   _catalisa, _ngitang_, _activama, _penembak_, 
   {{0x6dda02fe,0x9e3d00f8,0x00000000,0x00000000}},	//   _azikahla, _ভাবটা_, --, --, 
   {{0x6b1d03b4,0x1290008a,0x3279000f,0xfa180153}},	//   _achangob, _cccas_, _avustral, _ケットプレイスの, 
   {{0xdc5e00c8,0x92cc036c,0x8972004d,0x00000000}},	//   _boutril_, _boalavo_, _財產交易所得_, --, 
   {{0x1e530038,0xea5c0414,0xc54e0315,0x00000000}},	//   _фотосы_, _feregola_, _etikwakh, --, 
   {{0xb9de0461,0x3ea40212,0xd07a042c,0x7f2c0258}},	//   _demorada_, _superius_, _globalno, _beheinin, 
   {{0x69b7023c,0xbb87015e,0x423900da,0xa3eb015e}},	//   _واکسين_, _malinter, _тотуш_, _llatí_, 
   {{0x89cd03bf,0x026d01b9,0xa2b20482,0xcde00097}},	// [e2d0] _baromuwa_, _feros_, _deedala_, _tijẹ́_, 
   {{0x126d019b,0x01890037,0xa8b20025,0xfa440303}},	//   _geros_, _አሻፈረኝ_, _तुलसीदास, _dumedisa_, 
   {{0xf37a002e,0x39aa00d0,0x239500db,0x102802cf}},	//   _objavio_, _совин_, _lossi_, _маргинит, 
   {{0x22570638,0xac2c045b,0x4f9a016f,0x897f0272}},	//   _tåler_, _могилевс, _номерами_, _bagikole, 
   {{0x22fb02fe,0xd5650074,0x88520206,0x32fc022f}},	//   _ntshona_, _служить_, _eurofond, _stogu_, 
   {{0xa27e0120,0x9cad0125,0x49410585,0x00000000}},	//   _abonno_, _bildirýä, _britanac_, --, 
   {{0x997d02e5,0xb3000067,0x00000000,0x00000000}},	//   _calletép, _gulaali_, --, --, 
   {{0x79c402ee,0x23d101c9,0xd2d801e8,0x02900169}},	//   _rilevant, _sorteeri_, _ihunong_, _rodaje_, 
   {{0x520206a2,0x3c3201c7,0x22fc00f7,0x82920193}},	//   _hariya_, _столуның_, _arigas_, _aswaja_, 
   {{0x737a0206,0x0d6e0089,0x00000000,0x00000000}},	//   _harabin_, _bosniädä_, --, --, 
   {{0x664404bd,0xd2f201ab,0x3d3203db,0xab88005b}},	//   _bipiwahi, _ओबेरा_, _ilungele_, _basicver, 
   {{0xc287066d,0xc3ce0259,0xeac6040e,0xc98001b7}},	//   _anikeze_, _weave_, _ansvarle, _निशम्य_, 
   {{0xc20e0008,0x5a87024c,0xc37a0243,0x64b000c1}},	//   _сабак_, _demokris, _marabin_, _बहूतेक_, 
   {{0x624602ec,0xfed1042f,0x9ed800b9,0x62040430}},	//   _پُھٹرنم_, _nguyunit_, _berikutn, _mugidimi_, 
   {{0xad20030b,0xe87f018d,0x6aa7000c,0x1257045b}},	//   _alisibir, _bishnupu, _herrería_, _såler_, 
   {{0x2e4c0067,0x196a005b,0x00000000,0x00000000}},	//   _bitadhee_, _decidere, --, --, 
   {{0x4b1f00e6,0x2efe0153,0x00000000,0x00000000}},	// [e2e0] _幼儿精英教育_, _ココアロママ_, --, --, 
   {{0x7389018d,0x61100365,0xe290012a,0x5b3400c1}},	//   _ኣባላቱን_, _dálkové_, _podaje_, _कशीबशी_, 
   {{0x729e0060,0x8b1a0037,0x06bf015e,0xf3f900f2}},	//   _бидай_, _አውጪዎች_, _سەمىزدىك_, _ļautu_, 
   {{0x1c60024d,0x22da0417,0x239505a7,0x923c0243}},	//   _lifunda_, _bereid_, _tiesas_, _firmál_, 
   {{0x43a50010,0xe2d4018c,0x82370083,0x00000000}},	//   _akapheli_, _gouden_, _atomara_, --, 
   {{0x43eb01eb,0x9108032d,0xabd40041,0x0c00045a}},	//   _apatur_, _ынтыла_, _илҧхьа_, _byggevar, 
   {{0x74a30026,0x5c8401d1,0xe29001f1,0xb29101ec}},	//   _대구광역시_, _received_, _cilave_, _absah_, 
   {{0x92d403c6,0xd2ec0204,0xb91602c0,0xcaa0018c}},	//   _bouden_, _perinne_, _винфри_, _verkozen_, 
   {{0x903702ea,0xb20102a4,0xd401001c,0x121a00c1}},	//   _внесе_, _tacito_, _karuhaan_, _आदिजोशी_, 
   {{0x12490322,0x0287066d,0x803b03c1,0x16770238}},	//   _nyuma_, _unikeze_, _станал_, _методами_, 
   {{0x8212028e,0x9f40032d,0x73950035,0x3ffc00a6}},	//   _maohi_, _айырмай_, _buası_, _فلپين_, 
   {{0xb26d045f,0xd25c010d,0x759800ba,0xdcf50162}},	//   _beror_, _खर्चाबाब, _سوڕماوه_, _қурбан_, 
   {{0xffec017a,0x8c320272,0xab46033e,0x00000000}},	//   _самимият_, _ashihadu_, _ogoverna_, --, 
   {{0xec4a018a,0x32fd01cf,0x805b0255,0x3a180271}},	//   _pentref_, _fragas_, _versioon, _etablert, 
   {{0x52ee014a,0xb527005e,0x586a0212,0x67a601a5}},	//   _amennyi_, _ئاگىنتلى, _cecideru, _skitreni, 
   {{0x49f10314,0x9395015e,0x39f80281,0x3038013a}},	//   _мәлендә_, _mosso_, _mikaelse, _anstänne, 
   {{0xd2800047,0xe291042c,0x98c1014e,0x4bb300be}},	// [e2f0] _sociaux_, _proglaša, _обмане_, _مةيماندو, 
   {{0xaa130024,0x5e0304ad,0x1d930265,0x9e3b0277}},	//   _ক্ৰীড়া_, _fosefora, _kwetsend_, _mapasara, 
   {{0xb68d03a2,0xb30c029e,0x1b0800ea,0xd7a3009e}},	//   _पंडाल_, _bilañs_, _diksione, _inquérit, 
   {{0xe37303d9,0x99d803bf,0xb2be004d,0x22a7001c}},	//   _tongony_, _dingolwe, _辦理商品退換貨時_, _naabat_, 
   {{0x829101c5,0x4c6201a3,0x37c500dc,0xf2b601a3}},	//   _tagaan_, _رهزنن_, _motugaaf, _وهنجاري_, 
   {{0x19cb03b7,0x92d4015c,0xb17e033a,0xc37300ea}},	//   _accessht, _rouden_, _preambol, _rongony_, 
   {{0xe32f0040,0x09510241,0xa2fc0178,0xd66e015d}},	//   _במצפה_, _asallatt, _arogo_, _तुफानोंम, 
   {{0xcacf0668,0xe2cb00e9,0x89d20184,0x226e033d}},	//   _टेलरिंग_, _sayde_, _imboneza_, _estoke_, 
   {{0xc4aa018d,0x0251026f,0x81a3026c,0xa2ca01ea}},	//   _ምዃኖምን_, _ءﯗﻧﺠﯩﺮﻋﺎ, _discipul, _oyida_, 
   {{0x4ec1000e,0xc0360258,0x559d0062,0xab0105ed}},	//   _benneman, _efterino, _mungasch, _kîronder, 
   {{0xd2fc05c0,0x326c019c,0xb7ee00f5,0x17e10099}},	//   _lingwi_, _egbon_, _прогреси_, _akaraihw, 
   {{0x018d0036,0xc249005b,0x426d022a,0xb2ca02ef}},	//   _مؤخرا_, _ayumi_, _merop_, _ayida_, 
   {{0x92e1036d,0x44d101f6,0xcc61014a,0x3daa0013}},	//   _thainig_, _মহাপুৰুষ_, _étrend_, _notijora, 
   {{0x29fb003d,0x73fa055d,0x301600be,0x9d0b00be}},	//   _dificila_, _tiruan_, _башымды_, _جەنىسوۋى, 
   {{0x13b20152,0x7fd500ba,0x768f00a3,0x00000000}},	//   _basqaq_, _شۆڤێنی_, _undertei, --, 
   {{0xc94f00f3,0x1845024c,0xf4080156,0x32ee008f}},	//   _abalunge, _enotices_, _amerikon_, _genfi_, 
   {{0xb302042a,0x93f9015e,0x66190037,0xe6950065}},	// [e300] _akubike_, _seguiu_, _አይታዩም_, _restlich, 
   {{0x93770016,0x926d00d4,0xe2b40125,0x01fd00c4}},	//   _סעקסי_, _berop_, _шунымы_, _ڪامپليڪس_, 
   {{0x3ec70132,0x2d86016e,0x720100bc,0x829102ff}},	//   _kinyomta, _sitelere_, _baciro_, _gagann_, 
   {{0xb26d00d4,0x42920220,0xaea7038a,0xdadd01db}},	//   _derop_, _votare_, _chuluman, _كۇزگى_, 
   {{0x2291036f,0xf2c300f3,0xb7e700a4,0x618d00e5}},	//   _proglaše, _inelson_, _алпарууч, _застанал_, 
   {{0x58680163,0x2d020465,0x9545024c,0xe1860046}},	//   _توانائی_, _pogledat_, _analiżij, _جايساڭ_, 
   {{0x730300d6,0x4202004f,0x1c19019b,0xb510028b}},	//   _fanacht_, _barina_, _tekstą_, _embotapy, 
   {{0x9d3f006c,0x7f1203a2,0xd3ce033f,0x92fc0009}},	//   _abahlose_, _सॉफ़्टवेय, _leava_, _progo_, 
   {{0xf6380029,0xb2fc014b,0x936c055f,0xf2ca045e}},	//   _ئیسڕائیل_, _sugga_, _rengini_, _perfetti_, 
   {{0x0c080440,0x80ff02f7,0x3263038b,0x42a60098}},	//   _ndagurir, _bophasal, _diminati_, _skibet_, 
   {{0x95ed00ff,0xf291018f,0x330e0294,0x4dac015a}},	//   _בילעט_, _dasay_, _asablea_, _barressu_, 
   {{0xcd9d00db,0x72fc018a,0xb2fe005f,0x1dba01f0}},	//   _tunnista, _arogl_, _heridas_, _dithenta, 
   {{0x7ca603ce,0x82b602f3,0x3c7006ec,0x00000000}},	//   _باربکێ_, _skadade_, _aportou_, --, 
   {{0xc395045e,0x279f03b7,0xecd701ac,0x526d02a4}},	//   _posso_, _underdev, _أعوام_, _ferox_, 
   {{0xc24503da,0x0c660079,0x7ae60193,0x0c570097}},	//   _adultgui_, _tikties_, _हत्यार_, _nítori_, 
   {{0x0f39023e,0x8f9101f6,0x95fb014a,0x325a064d}},	//   _keuskupa, _soldatar_, _dimenzió, _okela_, 
   {{0xa63101e1,0x33a2004a,0xca2600cd,0xc0d20456}},	// [e310] _сентябрҙ, _февральд, _bloccada_, _menakluk_, 
   {{0x529100d6,0x82da0308,0x00000000,0x00000000}},	//   _tagann_, _beregu_, --, --, 
   {{0xc035045c,0xb0350198,0x76fd02fe,0x02fc00c1}},	//   _svetovej_, _svetovan, _کیلومتره_, _hongki_, 
   {{0xe395023d,0x420100a1,0x8d75006f,0x9b950099}},	//   _rosso_, _angitu_, _سرنگهه_, _atsinhir, 
   {{0x22cb0035,0x635e010f,0x032202c3,0x04fe0096}},	//   _kayda_, _ғазза_, _dopytu_, _aramusuh, 
   {{0x500b017d,0x81a402bb,0xb236036f,0x00000000}},	//   _質問投稿日時_, _dokonać_, _bolja_, --, 
   {{0x42cb013b,0x82eb029d,0x7d1d0371,0x00000000}},	//   _mayda_, _muzical_, _acquatic, --, 
   {{0x02a9010f,0x7b7802a6,0x00000000,0x00000000}},	//   _задухӯрд, _biguglia_, --, --, 
   {{0x9b270212,0x3d0e01e8,0x6346009d,0x22000176}},	//   _breakdes, _donoghue_, _lindjes_, _makino_, 
   {{0xcc5201c9,0x8507000d,0x4db50107,0xe3f500db}},	//   _वारेन_, _vahepeal_, _انستیتو_, _kallimak, 
   {{0x7bc300c3,0x1e8c0092,0x62020211,0xf9b9003e}},	//   _最近文章發表_, _テキストの詳細は_, _tarina_, _хорын_, 
   {{0x12fc022e,0xa79103ee,0x2395022e,0xc4e80045}},	//   _longhi_, _smederev, _possu_, _напредов, 
   {{0xa31602cb,0x2ef50444,0xe17402cf,0xd27a0418}},	//   _ulozi_, _главой_, _бесправн, _tarihini_, 
   {{0xf23806db,0xd5500097,0xbe070109,0x2290012b}},	//   _gëllen_, _atamátàs, _hluboké_, _podane_, 
   {{0x42020198,0x759a00ee,0x47e70161,0x20470139}},	//   _darila_, _ateratak, _филиала_, _daridrāṇ, 
   {{0x21c70038,0xcc0c0247,0x74910188,0x9ec50333}},	//   _нинель_, _خیرخواها, _якҷониба_, _allimagn, 
   {{0x1d310315,0x2d25023e,0xa25a0167,0x00000000}},	// [e320] _anentele_, _angotane_, _mhell_, --, 
   {{0x8ac800c7,0x5d3102f8,0x58990139,0xf29200e1}},	//   _berkatlı_, _lahiange_, _bhraṣṭaḥ_, _jotaat_, 
   {{0x90ae03bf,0xbbe201cb,0xdf24047d,0xb3ce0018}},	//   _урман_, _ibumbano_, _angefaan, _reavi_, 
   {{0x33f40075,0xd3940024,0x1f4d04f9,0x678c004a}},	//   _mortan_, _fiksa_, _atisaaja, _газаплау_, 
   {{0xd371036e,0xda9e01c7,0x6d8901df,0xe5cc010d}},	//   _danzanti_, _дагларым_, _attendit_, _pemainny, 
   {{0x6a8c0061,0x73a10153,0xc0ed000a,0x83790159}},	//   _내가본뉴스_, _無料会員登録_, _appiutal, _atlanto_, 
   {{0xfbe2039d,0x626d02e7,0xdec90128,0x00000000}},	//   _mbumbano_, _ambong_, _agrotexn, --, 
   {{0x72d600fd,0xf04d0097,0x2340024c,0x226d043f}},	//   _ceiltis_, _gbìdánwò_, _arzella_, _otvora_, 
   {{0xc27e0145,0x937d0203,0xcf7800d1,0xa3df01af}},	//   _skonio_, _coragie_, _উপন্যাসত_, _barlagçy, 
   {{0x020200cd,0x2201011f,0x32fc00a4,0x828f0223}},	//   _fusiun_, _angiru_, _tingui_, _бөртэ_, 
   {{0x46cc0226,0x00000000,0x00000000,0x00000000}},	//   _kumagani, --, --, --, 
   {{0xb04e038b,0xec7700e9,0x83070059,0x00000000}},	//   _dikunjun, _retresi_, _romanzi_, --, 
   {{0x337902e0,0x5e5d015e,0xc292044a,0x00000000}},	//   _baratwa_, _барчу_, _mpwasa_, --, 
   {{0x8d2506a2,0x2a260109,0xfe630178,0x12900049}},	//   _ingorane_, _हातबाट_, _arogāḥ_, _molale_, 
   {{0xc2950109,0x72490020,0x9290004b,0x12d5017c}},	//   _स्लोली_, _amamā_, _bolaoe_, _enklast_, 
   {{0x6aa50052,0x6c680007,0x82ef0197,0x8249005b}},	//   _सार्थकता_, _babungi_, _alafwa_, _ayumu_, 
   {{0x19f902d5,0x6b6c0398,0x93580170,0xde40014a}},	// [e330] _tavalise, _urbaníst, _akagone_, _مشاعرے_, 
   {{0x711c00c8,0x10960247,0x03670420,0x170f004d}},	//   _сайттағы_, _خاقانی_, _rastream, _版權均屬中國國際, 
   {{0x12d9000e,0xf79e03df,0x10470371,0xc434006c}},	//   _ducent_, _vegtrafi, _заменят_, _amakolek, 
   {{0x234102da,0xb09e015e,0x1db602ac,0x36cc055f}},	//   _comendo_, _образдар_, _diarmuid_, _hastası_, 
   {{0x585402fe,0x3387015e,0x3fee00af,0x2f35002b}},	//   _سوريه_, _oferir_, _кондиціо, _সম্পদে_, 
   {{0xa0db02c2,0x54d80022,0x6fcd0153,0xb2d80014}},	//   _onmoontl, _аҡҡош_, _テイクアウト_, _ndien_, 
   {{0xfd2e03ec,0x9ba7038e,0x62d801e7,0x00000000}},	//   _pronarit_, _हार्डवेअ, _idien_, --, 
   {{0xb9930086,0xae380037,0x7ba20359,0x25850178}},	//   _دپیکا_, _በኦጋዴን_, _fiskmigr, _aparimuk, 
   {{0xf6ec0092,0xc5e70005,0x137b042c,0x61470045}},	//   _音声検証はこちら_, _cumanzà_, _obratio_, _радила_, 
   {{0x0c6701be,0xb2570683,0x03810287,0xd2ee01f7}},	//   _fakulta_, _måler_, _prosinci_, _abonadi_, 
   {{0x09b90066,0xb29600cb,0xef3000e4,0xf2d803d5}},	//   _цорын_, _ababemem, _konserwa, _anneal_, 
   {{0x3394036e,0x998f0037,0xcc5c0347,0x4af202f4}},	//   _tiksi_, _በጉባዔው_, _vertoon_, _consigue, 
   {{0x0b7b0403,0x741301e0,0xd6cf02f6,0x5e5b04d8}},	//   _manoratr, _دایده_, _pangalaw, _saabsana, 
   {{0x62ec0088,0xba0a0099,0x425b019b,0x0137027c}},	//   _албай_, _aisagona_, _mielai_, _bendisol, 
   {{0x2d9e02bf,0x92e70195,0x73ea03a6,0xc25b0128}},	//   _akanamta, _amannan_, _ikitwa_, _chelsi_, 
   {{0xf3ea0464,0xfd3900da,0x829201f1,0xc371008d}},	//   _akitwa_, _контурул_, _votave_, _prognoz_, 
   {{0x22480312,0x66a9003a,0xb73802ac,0x162f013c}},	// [e340] _tammig_, _terrorch, _موضوعه_, _monoqraf, 
   {{0x648200d0,0x8aa600ff,0xcd4601c8,0x4afd0257}},	//   _форумыг_, _סינעגאל_, _dioptric, _uppeldis, 
   {{0x8b6700ff,0x4c76010d,0xf25a006a,0x42fe00c5}},	//   _קאָאַליצ, _नाम्या_, _anilan_, _rapides_, 
   {{0x0b3d01f2,0x92020338,0x495301de,0x4e0c004b}},	//   _тәқәззал, _cariba_, _қыңыр_, _leseanya, 
   {{0xb301030f,0xc6c302ca,0x13530144,0x00000000}},	//   _haramai_, _tuismith, _طهران_, --, 
   {{0xb6d10010,0x22cf01c5,0x4ed5024a,0x47bc00be}},	//   _ayagcinw, _lafoole_, _nisinsin, _كلەتقالا, 
   {{0x8a270158,0x3b400208,0x82d40372,0x22fc0046}},	//   _मज़बूत_, _شعریه_, _crawshay_, _groga_, 
   {{0x9ba701ef,0x4be8018d,0x8bc20276,0x00000000}},	//   _laikotar, _ተጠቂሞም_, _تورمۇلاز, --, 
   {{0x75500333,0x2076001a,0x9994027e,0x99ec0464}},	//   _civiltà_, _عدینان_, _nauče_, _kurigata_, 
   {{0xe34903dd,0x1f4002d9,0xbf1300a4,0x46d6026c}},	//   _kuvendi_, _faisaofa, _íntegram, _discessi, 
   {{0x72e0042a,0xfe010235,0x298900c5,0xdf2c0349}},	//   _akanawo_, _agrajaḥ_, _associée, _allengin, 
   {{0xd25a045c,0x1aa5037f,0x6e710149,0x518c027c}},	//   _biely_, _birincis, _bọros_, _abebesol, 
   {{0x32e60141,0xb0860192,0xd3610093,0x527e0098}},	//   _olingan_, _스퀘어백화점_, _айĕнчен_, _sennep_, 
   {{0x429201fb,0xf25a05b1,0x12fc0066,0xa9d801d1}},	//   _dotate_, _diely_, _froga_, _resemble, 
   {{0xb6890137,0xedac0056,0x1d31010b,0x00000000}},	//   _дизайнта, _куйбишев_, _moengele_, --, 
   {{0xb2e600cf,0x6343029a,0x139400d9,0x893200d3}},	//   _alangaa_, _materyo_, _fiksu_, _brambore, 
   {{0x1c170144,0xbc7c005b,0xd7030022,0xf2490418}},	// [e350] _irisleab, _akasaka_, _йѳҙѳү_, _ozaman_, 
   {{0xc67a0040,0xe6800130,0xeff5004d,0xcc81014f}},	//   _הכיבוש_, _altersex, _新舊約聖經及生命, _студенте_, 
   {{0xc25a0200,0x3ba40590,0x32d4008a,0x1210012a}},	//   _ekele_, _kuxkuxer, _louden_, _rachunki_, 
   {{0xc2eb05ce,0x1236053a,0xc57603b8,0x12490316}},	//   _orjinal_, _dolje_, _جاميلا_, _azaman_, 
   {{0x447e0244,0xe2820303,0xd20f023c,0xe20502ac}},	//   _никой_, _bafaladi_, _دحضرت_, _شواطئ_, 
   {{0x2291001b,0xcdac03a8,0x125a019c,0x93ea0305}},	//   _nagaan_, _setninga, _ikele_, _synte_, 
   {{0x05810342,0x04ae0013,0x40a90350,0x00000000}},	//   _ekzekisy, _каломини_, _የተፈረደባቸው_, --, 
   {{0x51ad0390,0x52ee0244,0x1abd0153,0xc48100be}},	//   _dayandır, _elenchi_, _三浦工業所レディ_, _قۇۇچاق_, 
   {{0x6c530024,0xbb7d00ba,0x27d80541,0xa5050156}},	//   _বেষ্ট_, _رسیناڵ_, _dogadjaj_, _טויבע_, 
   {{0xb2fc01ef,0xc95300aa,0x00000000,0x00000000}},	//   _proga_, _hypoprot, --, --, 
   {{0xa7a00270,0x0c930036,0x4f2f001c,0x9f9102f6}},	//   _intendev, _واحات_, _enforcer_, _boldstar_, 
   {{0xd9dd024e,0xbd320010,0x7fa600d9,0xdae801db}},	//   _zemljama_, _alungele_, _чистой_, _حاتشىسىم, 
   {{0x85320409,0xc20e0397,0x237a02cd,0x439602f6}},	//   _この回答へのお礼_, _зарае_, _haramin_, _giusab_, 
   {{0x20900074,0x537a001e,0xac6b012b,0xc34000f2}},	//   _entistä_, _karamin_, _इकठ्ठा_, _ordeņa_, 
   {{0x53ea04c3,0xf2d40003,0x48dc003f,0x8da3019b}},	//   _tamtay_, _houden_, _datebchu, _suprantu_, 
   {{0x9de300b9,0xf395005b,0x904304b2,0x9e410060}},	//   _tunjanga, _yossi_, _malubhan, _бәйгесі_, 
   {{0xaae90144,0x3da30342,0x66ee0444,0xd837014f}},	// [e360] _seotheme, _kaotchou_, _аппарачĕ, _пробити_, 
   {{0x28c5028d,0x7a850113,0xe2910456,0x396c02fe}},	//   _indepand, _بوادي_, _jagaan_, _azinakut, 
   {{0xefa2026f,0x03570484,0x829102ec,0x73930291}},	//   _ءﺟﯘﺭﯨﭗ_, _कस्ले_, _dagaan_, _صامطه_, 
   {{0xd3fe0240,0xb44200ee,0xb37b03ee,0x4cc7004d}},	//   _ceburaki_, _импортол, _zaradio_, _戲中人的關係_, 
   {{0x263d027c,0x2b950064,0xce430176,0x2cfa0143}},	//   _andiqini, _فورماتتى_, _advarede_, _овесени_, 
   {{0xbc3a027c,0x2d7b0311,0x5afd0350,0x00000000}},	//   _bemiqulu_, _ብኣምባሳደር_, _የእስካሁኑ_, --, 
   {{0xd2c20067,0x5f2501f6,0xb3ac0030,0x27540237}},	//   _callaan_, _arterian, _karpas_, _동영상지식_, 
   {{0x6395041e,0x127e0172,0x7e450211,0x726d06e1}},	//   _possi_, _rennya_, _планах_, _feroz_, 
   {{0x22c40197,0x12bb061f,0x0c0c0156,0x32940087}},	//   _literati_, _studeni_, _ספינקס_, _chekasi_, 
   {{0xc3950838,0x64a200bb,0x939403e6,0x53fa00fa}},	//   _viesis_, _پراعتماد_, _roosen_, _biruan_, 
   {{0x3ec70370,0xc379033a,0x00000000,0x00000000}},	//   _dediepen, _issalva_, --, --, 
   {{0x02fa05ab,0x330102cd,0x414d05ac,0x00000000}},	//   _mochila_, _barakai_, _bumbuálo, --, 
   {{0x23f404b1,0xc3ea033f,0xd30c00f4,0xd2c20251}},	//   _horten_, _miitia_, _dilañs_, _sallaan_, 
   {{0x9ef600ec,0xca89021c,0x53f40155,0x2a8d0015}},	//   _партал_, _aminokys, _korten_, _diridhab, 
   {{0xe8c50197,0x69360053,0x2316042a,0x8e01027b}},	//   _endepand, _प्रश्नाल, _ayibiti_, _carataḥ_, 
   {{0xe4f404ac,0x59c70205,0x746400f3,0xc29d0084}},	//   _отправле, _канака_, _bebengaz, _panjara_, 
   {{0x25380181,0xc20200ab,0x92da0304,0x00000000}},	// [e370] _bevidsth, _pariha_, _kureng_, --, 
   {{0xe61b0141,0xf3f40130,0x867100c7,0x826d003f}},	//   _mustaqil_, _koreaneg_, _ассирия_, _heroy_, 
   {{0x788d0148,0x388d02c0,0x8a020322,0x00000000}},	//   _哈客網路學院_, _фискална_, _barabaga_, --, 
   {{0x52fc0118,0xd22504b2,0xc3780201,0xee1c0067}},	//   _mugga_, _angkop_, _digaala_, _bareecha, 
   {{0x23200188,0x12640166,0x5beb0409,0x02fc00fa}},	//   _umoya_, _verlag_, _korokoro_, _asoge_, 
   {{0x2c670226,0x00000000,0x00000000,0x00000000}},	//   _kudutsa_, --, --, --, 
   {{0x9a260089,0x39fb02ea,0x93270290,0x341b0028}},	//   _бистәсе_, _областна, _precaut_, _takhtark, 
   {{0x09570125,0x618a00b3,0x51b200d8,0x42ed031a}},	//   _гурултай, _abrayyny_, _artropòd, _guanach_, 
   {{0x5c4d0298,0x4c7600a2,0xbd8500d3,0xb87a0462}},	//   _tōtara_, _afariki_, _deskové_, _archived, 
   {{0x79680157,0x4fb6014f,0xcb8a01cd,0x65ac03fb}},	//   _jednocze, _олимпијс, _толор_, _redovnim_, 
   {{0x421201d4,0xa2da0129,0x422201a6,0x205d028a}},	//   _maghi_, _merenu_, _hāmene_, _dominick_, 
   {{0xe0b800af,0x5fc200dc,0xd27500d1,0x145e0291}},	//   _покриття_, _malomalo, _ত্ৰিবিমী, _نسألكم_, 
   {{0x14970069,0xf941013b,0xfb69028a,0x44bd0839}},	//   _batanduk, _kaimport, _muktadha_, _डालडा_, 
   {{0x0290026b,0x73bb00d1,0x2c7602d5,0xa2fc0321}},	//   _enlace_, _সাহিত্যপ, _दुर्लम_, _krogu_, 
   {{0xb59b0029,0x93ef0396,0x01d90094,0xe2f20008}},	//   _گوێچکه_, _kriterji_, _денені_, _актай_, 
   {{0x521700c4,0x81d2004a,0xed93007e,0x03960338}},	//   _پڙتال_, _armiyadä_, _avalamba, _bessai_, 
   {{0xd87e018f,0x2c930162,0x439f0102,0xfc670479}},	// [e380] _avghanpu, _باراي_, _بصران_, _testét_, 
   {{0xa3000034,0x0845015e,0xd97f01ef,0xa6a902e1}},	//   _eigandi_, _diputats_, _спартыўн, _litrioch, 
   {{0xa35600dc,0xdc610202,0x4d0c02eb,0x2c19025e}},	//   _amafana_, _ayeraye_, _түшээт_, _seinustu_, 
   {{0x7e1d02a6,0x13dd0007,0x96460113,0x46e202c5}},	//   _marescia, _kuzwa_, _intéirne, _chichidi, 
   {{0xb2ee002e,0x71c30089,0x268100c1,0x218f0021}},	//   _najvećim_, _погодин_, _कुडाळ_, _arianmay_, 
   {{0x5a5c0544,0xa2ef01ac,0x3d27013a,0x00000000}},	//   _hebedoma_, _luafar_, _hennicot_, --, 
   {{0x443303b0,0x63530205,0x47fa00c5,0x79380145}},	//   _তারিত_, _دهفان_, _漳州市建设局关于, _растлума, 
   {{0xe2a00145,0x72480052,0x61740064,0xcdfe0060}},	//   _klubas_, _zveme_, _vigília_, _دەرىڭ_, 
   {{0x9c7703da,0xb2d8036d,0x3764020f,0x025b00e8}},	//   _aturiri_, _aineol_, _خپورکړی_, _ayalwa_, 
   {{0x5d740342,0x32d802bd,0x126e00ce,0x4ea100b4}},	//   _konmanse_, _linell_, _latous_, _acordate_, 
   {{0xfa6700f5,0x137f01da,0x6d8100ee,0xe03d0026}},	//   _руханыла, _ishalla_, _udalekua, _dodelijk_, 
   {{0x23dd01ce,0x9a1803d4,0xcc2c0055,0x5f25020f}},	//   _purwa_, _истом_, _alloggiu_, _نړۍکې_, 
   {{0xe26d03ee,0x25c60071,0x00000000,0x00000000}},	//   _igrom_, _dikawruh, --, --, 
   {{0x76a7009c,0x385c0409,0x6e7100f2,0xd25b0242}},	//   _adoraych, _webshops_, _pornogrā, _azalda_, 
   {{0xe3d300e6,0x00000000,0x00000000,0x00000000}},	//   _月上海人才招聘会, --, --, --, 
   {{0x8c450085,0xaedb053b,0xe26c03ab,0x1d9c0119}},	//   _clawson_, _feriados_, _saloos_, _pagtapod_, 
   {{0x8cbf024c,0x123400a6,0xf0b3002c,0xe202031c}},	// [e390] _karattru_, _amamele_, _модноос_, _masivo_, 
   {{0xb147003a,0x525a0240,0xf65301cd,0x8e4f041e}},	//   _сафига_, _ikeli_, _шуури_, _supportu_, 
   {{0x85d900da,0x24080212,0xb202018b,0x3341009a}},	//   _анализэ_, _startson_, _scrisa_, _besenza_, 
   {{0x938701d9,0x1d7b04df,0xf08b0537,0x73eb0039}},	//   _hierer_, _başlaỳar_, _proclamo, _akatsa_, 
   {{0x9d7f0169,0xf9ed005b,0xc320019d,0x5f4903c0}},	//   _বৈচিত্র_, _fujiwara_, _amoyo_, _morsomme_, 
   {{0x720e01bd,0xa1100109,0xf2fc015d,0x5aee0263}},	//   _сатам_, _dálkový_, _progu_, _boeddhis, 
   {{0x7dd504af,0xc2b502c7,0x2ae50014,0x62e70007}},	//   _tuajxyua, _goldene_, _padrejte, _otunaka_, 
   {{0xfd810250,0xf38f0127,0x9c6700c4,0x61da0256}},	//   _realizua, _hungareg_, _پرڀات_, _kombinēt, 
   {{0xb2d803ef,0xdf3c04ca,0x958503ef,0x749f03a8}},	//   _bukene_, _entraina, _ohererez, _উদ্যোগীক_, 
   {{0x863c02ee,0xb290013d,0x82e70007,0x2359018d}},	//   _kwalunkw, _rilate_, _atunaka_, _ኣፍሪሶም_, 
   {{0xab9102b7,0xc57602d3,0xbf8700d8,0x89e7006c}},	//   _wagihngo_, _realizaç, _aeropòrt_, _димишқ_, 
   {{0x0d8a0202,0xd2d80189,0x356e00a3,0xbb340421}},	//   _gedegede_, _askere_, _føderale_, _johannis, 
   {{0x6b0700a4,0x65f6019b,0x998703a2,0x58ec002b}},	//   _бирден_, _бабулю_, _हारमोन_, _জটিলতার_, 
   {{0x697e0151,0x621c019f,0x7fca0361,0x8c6f0260}},	//   _activene, _mashua_, _начиненн, _estrita_, 
   {{0x134c029f,0xb84600c1,0x6ba900b3,0x95cd01e8}},	//   _stretol_, _मकरसंक्र, _berkarar, _masaysay, 
   {{0xf4b40328,0x170a012e,0xc34700ac,0x62f10103}},	//   _kuhashik, _alkudozá, _pileća_, _harioni_, 
   {{0x7f6302c0,0x0b710083,0xd2dd015d,0xc30005fb}},	// [e3a0] _слуша_, _bavronda_, _kadencji_, _nemacki_, 
   {{0xe1a004b9,0x6c1801d9,0x4cb0008e,0x6fa10415}},	//   _brackley_, _asiatesc, _gorgorlu_, _vollauto, 
   {{0x33c8013f,0x4e5502b4,0xb25a01fa,0xc8fa027e}},	//   _marvet_, _alabanye_, _ehelu_, _статута_, 
   {{0x53410249,0x00000000,0x00000000,0x00000000}},	//   _strepla_, --, --, --, 
   {{0xee450277,0x79fe018d,0x099e0153,0x445102c6}},	//   _gihataga, _ብምስማዕን_, _ナイトウエア_, _floderez, 
   {{0xe7a300d1,0x5d4e0046,0xe430023d,0xbdbc0140}},	//   _জ্বলা_, _اسماندا_, _concorso_, _maliwana, 
   {{0xdfa103bb,0xe59501b5,0x0418006f,0x4cfd01ef}},	//   _servizos_, _anerisek, _mapinduz, _сяргей_, 
   {{0x641802ea,0xd2b100a0,0x00000000,0x00000000}},	//   _grandezz, _gunduma_, --, --, 
   {{0x0b490157,0x3daa0003,0x7bbd0024,0x89400061}},	//   _वर्षाजल_, _reageert_, _হালধি_, _단계에서는_, 
   {{0x93f400d9,0xd4ac0337,0x8ed3002b,0x80510296}},	//   _kortin_, _tarihsel_, _geniales_, _minutern, 
   {{0x62d4005b,0xe28701ec,0x25950513,0xbc11005e}},	//   _soudan_, _گفتار_, _enerisek, _ﺗﯜﻧﯜﮔﯜﻥ_, 
   {{0xf1d70078,0x3b5b046f,0xac6f01af,0xc5900144}},	//   _милица_, _beneiden_, _alarsyn_, _ولبنان_, 
   {{0x8fd20352,0xb38706c0,0x19fd0130,0x4ae500cd}},	//   _মিউজিয়া, _modré_, _aezamant, _ambulont, 
   {{0xb2f1024e,0x62710053,0x00850161,0x6289044a}},	//   _članovi_, _ध्वनीचित, _сканворд, _pasangai_, 
   {{0xdf21023d,0xb202008d,0x4f600012,0x3c1d00e0}},	//   _dipenden, _jarima_, _चिरकुट्ह, _metafoar, 
   {{0xbfb802c7,0xed8e04a7,0xa0150088,0x6dbe0002}},	//   _vergaser_, _saudable_, _алайдан_, _razumeju_, 
   {{0x6e4c008b,0x00000000,0x00000000,0x00000000}},	// [e3b0] _jawalsee_, --, --, --, 
   {{0x1ead0009,0xe2da0179,0x79fe0544,0xd6f700d7}},	//   _sprememb_, _lesets_, _poenikia_, _ишкинин_, 
   {{0x225a01eb,0xf2020108,0x103a0046,0xfe8f002e}},	//   _ajolas_, _narima_, _дирижерл, _snimljen, 
   {{0xf98e0126,0xafc603ce,0xcdc3042d,0x00000000}},	//   _малий_, _موسولمان_, _drainiha, --, 
   {{0x24360017,0x037201b4,0xaf27004a,0x84ea003e}},	//   _अनुकूलता_, _vanaand_, _темасына_, _номинаци_, 
   {{0xe6340417,0x720e0039,0x69840010,0x659801ce}},	//   _finansië, _татам_, _betivela_, _سبزيجات_, 
   {{0x9f070173,0x2b7b01b4,0xec700111,0xbd180415}},	//   _সহযোগিতা_, _langsaan_, _fissate_, _längeren_, 
   {{0x150f0032,0xed050239,0xcc58019b,0x5cf7000d}},	//   _bihoptah, _eperemer, _індэкс_, _rattamar, 
   {{0x625a01a4,0xb64e0204,0xf09a019b,0x520202d9}},	//   _abengisi_, _понадоби, _стаіць_, _fasito_, 
   {{0x63e40057,0x1c650177,0x63f40005,0x4c680115}},	//   _ውስብስብ_, _aratiku_, _portan_, _fakulti_, 
   {{0xaebc011d,0x02920620,0x5f310153,0x00000000}},	//   _tipurile_, _notant_, _第三セクタ_, --, 
   {{0xf11a00da,0x682801b3,0x9df80109,0xc78300f8}},	//   _ворби_, _центрах_, _आफूमाथि_, _হতদরিদ্র, 
   {{0xc2d802c2,0x0c680122,0xd7090276,0x7cff021b}},	//   _tekens_, _belucci_, _кесили_, _romunker, 
   {{0x619001f4,0x32020172,0x19070091,0x1c730044}},	//   _mahalliy_, _barima_, _nappatig, _actress_, 
   {{0x6c0d0423,0x163804ef,0xe867037c,0x628701f0}},	//   _čepice_, _satisfei, _comitatu, _diekere_, 
   {{0xb2d8012d,0x22db003e,0x996b0148,0x00000000}},	//   _sekens_, _түкте_, _desidere, --, 
   {{0xe8d003ea,0xca9204b2,0x0246028a,0x2dc30084}},	// [e3c0] _directeu, _pagnanas, _مهندار_, _balilaha, 
   {{0xca8201c5,0xcf5902c0,0x75cc02e0,0x00000000}},	//   _bannaanb, _самодове, _dumalany, --, 
   {{0x62fc02e2,0xf29a0153,0x0326007f,0x39e300bf}},	//   _drogh_, _ブランド化_, _flociau_, _боламан_, 
   {{0xf2ca0075,0xedbc0140,0x041901ee,0x9dc000d1}},	//   _londum_, _paliwana, _тĕнчери_, _প্ৰটিন_, 
   {{0x32da008e,0x60f10541,0xa2910290,0x6c080457}},	//   _berebu_, _saradnik_, _andant_, _taggigir, 
   {{0xa2020054,0x1ae20197,0xf62704f9,0x4e390156}},	//   _yarima_, _regleman_, _anniarti, _דעאַלס_, 
   {{0x529002d5,0xdd9b0192,0xb39500c5,0x0dfb0176}},	//   _endale_, _그리스도인의_, _lisse_, _mandlige_, 
   {{0xcea403c2,0x76550453,0x6615004b,0xd326007f}},	//   _insulate_, _klijenti, _муници_, _clociau_, 
   {{0xe23b0057,0x72fd03ed,0x6dc902c6,0x79c7034c}},	//   _ገንዘብና_, _tecidos_, _burzudou_, _бабакай_, 
   {{0x439505ce,0x8eb9028d,0xab7d042c,0x32d402ff}},	//   _arası_, _lezersis_, _forumima_, _boudon_, 
   {{0xbb0d0061,0x90af067e,0xe7ca0183,0x3dba0462}},	//   _개별적으로_, _oaemalel, _epistili, _atriotsp, 
   {{0x94f600af,0x326c005c,0x75850187,0x7f4202af}},	//   _супровод, _kunoza_, _bucetinh, _irasanda, 
   {{0xc380015e,0x390c02c5,0x0ccd0040,0xd96b0269}},	//   _altres_, _achanunu, _לבסיס_, _respetar_, 
   {{0xd236035b,0xf15c0013,0x120201c9,0x3a85002b}},	//   _voljo_, _турар_, _parima_, _গেমওয়ালা_, 
   {{0x02e600d6,0x22020294,0xa166021c,0x8387013b}},	//   _khoneen_, _tarija_, _suroviny_, _sierpc_, 
   {{0x6a01002f,0xb2ca0075,0xbc2802ff,0x53950685}},	//   _abrahamt, _hondum_, _anbiskad_, _fisse_, 
   {{0x5e8003c2,0x644800bb,0xda18020e,0x0736020f}},	// [e3d0] _solvable_, _اوّلین_, _токарҙар_, _روسېې_, 
   {{0x1a6a0164,0x02de0395,0x4b050144,0x3aaf02b4}},	//   _материял, _cenovou_, _chasacst, _ekuvalwa_, 
   {{0x32c30160,0x72020138,0x73950341,0x12900334}},	//   _ukoliko_, _harika_, _hisse_, _andale_, 
   {{0x695005db,0x72fc015d,0x22a0022a,0xda3b0211}},	//   _abalande, _drogi_, _klubes_, _извините_, 
   {{0x767f0148,0x1c7302c0,0x00000000,0x00000000}},	//   _venerati, _реакција, --, --, 
   {{0x4b8c0202,0x320200a0,0x2ecb0350,0x62ea036d}},	//   _kirẹditi_, _darika_, _የተደቀነባቸው_, _shineas_, 
   {{0xbb7b0159,0xdc76012c,0x50970074,0x82c30015}},	//   _karinių_, _ugiriki_, _nimissä_, _caddaani_, 
   {{0x2d830060,0x83ce036a,0x10650376,0xf9f00227}},	//   _патшалық_, _seavu_, _flesjarn, _warisnya_, 
   {{0x73070107,0x98c70274,0x72020320,0x50970510}},	//   _ambabah_, _hvatning, _kariha_, _франци_, 
   {{0x247f037a,0x526c001a,0xbeae00f3,0xd9e300b6}},	//   _mategeko_, _vajon_, _abaludin, _duffunne, 
   {{0x4dfe036f,0x89ce01db,0x3d2c0176,0x72ea0076}},	//   _poveziva, _باباڭنىڭ_, _altinget_, _registo_, 
   {{0xd8c80034,0x29f00053,0xa3f40016,0xfd61027b}},	//   _vettvang, _karirnya_, _forton_, _नीचैः_, 
   {{0x6ce400a4,0xfb0b0074,0xeadd01c4,0xd1d001aa}},	//   _өзбек_, _стакана_, _natuurwe, _ancercay_, 
   {{0x212d0251,0xee9b029b,0x0e4c0074,0x06cc020f}},	//   _hanjabay_, _diguente_, _asiasana, _عزتمنو_, 
   {{0xf2fc0416,0x2d38020e,0xe99001b8,0xa87800c4}},	//   _maritat_, _барельеф, _elektrit, _اڻوڻندڙ_, 
   {{0x29f60138,0x320200d5,0x1d3400ff,0x730901e8}},	//   _parça_, _tarika_, _מאגלעוו_, _gisakop_, 
   {{0xc1cc02b6,0xa02500a6,0x4f3d02e2,0x41cb0405}},	// [e3e0] _сынап_, _کوبرا_, _andreila, _тканина_, 
   {{0x32fc0009,0xb07004c7,0x827e0172,0xd7480397}},	//   _progi_, _вечности_, _yennya_, _зубайдул, 
   {{0xba34017d,0x0edd0102,0x9b87050a,0x03690634}},	//   _をご覧ください_, _hadharan, _sahiller, _bustadom, 
   {{0xd25a044c,0x56a2014e,0xa68a0135,0xf7330035}},	//   _gjeld_, _нерегист, _премиясе, _террасал, 
   {{0xe27c0534,0xe1140039,0xd7cb00db,0xc9e4038a}},	//   _lênin_, _учран_, _brasiili, _chanrara_, 
   {{0xe20202d4,0x126c03dd,0x5f990052,0x9f340145}},	//   _scriva_, _rajon_, _बर्तमान_, _galutina, 
   {{0x65ad04d6,0x32000127,0x1049004d,0x726d009d}},	//   _समिति_, _anoiou_, _政府資訊公開服務_, _agron_, 
   {{0x52920257,0x769f062b,0x00000000,0x00000000}},	//   _notast_, _heograpi, --, --, 
   {{0xf29000b5,0x48c50696,0xad41020f,0xa0370420}},	//   _andaje_, _liderand, _دمړينې_, _внеси_, 
   {{0x928d01aa,0xb4ab0024,0xbfb802d8,0x139502a6}},	//   _airschay_, _দৃষ্টিৰ_, _bergeser_, _aveste_, 
   {{0x4b2a014e,0x4a610252,0x14280038,0x06a7012b}},	//   _сцене_, _lingedza_, _китаплар, _produkow, 
   {{0x9f400125,0xb20201c2,0xaebb01b8,0x260c01e8}},	//   _айырмак_, _obriga_, _भन्डारी_, _awtomoti, 
   {{0xcb7c025f,0x63eb06bc,0x0c07047b,0x5c020110}},	//   _bafutama_, _liatha_, _fortapas, _albumā_, 
   {{0xddc302f6,0xc5d7005e,0x72c40080,0x00000000}},	//   _katiyaka, _ئاڭقىرال, _grammit_, --, 
   {{0x33ac0294,0xc56d01e4,0x5b870040,0x279701b3}},	//   _karpis_, _mrtvého_, _cylinder, _старості_, 
   {{0xf5380163,0x93c5000c,0x1c690292,0xc2a0009b}},	//   _menyassz, _гуннар_, _wususuw_, _berbak_, 
   {{0x837903b9,0xc643023b,0xf589025e,0xb26c02b9}},	// [e3f0] _maranwa_, _kahilahi, _eskifirð, _majom_, 
   {{0x3fe300bb,0xa35800df,0x00000000,0x00000000}},	//   _جاگتا_, _virgule_, --, --, 
   {{0xef0e033b,0x7f5c02ec,0xf421001a,0xf8b9015e}},	//   _bontshwa, _xayawaan, _الااللہ_, _балалыкт, 
   {{0xd0260148,0x85b5002a,0x00000000,0x00000000}},	//   _使用者名稱_, _nghabigh, --, --, 
   {{0x944f0044,0xf248025f,0x2a0201f4,0xccbf0080}},	//   _במעמד_, _akimbo_, _darajaga_, _atsiisoq, 
   {{0xf3dd05c2,0x93eb0172,0x731600ce,0x6d7900be}},	//   _murwa_, _akatua_, _legaliz_, _мамкызма, 
   {{0x2a870303,0xc545021c,0x337904d8,0x992f021b}},	//   _didimets, _záštitou_, _kulanto_, _spambote, 
   {{0x93c00148,0xdb1f044f,0xd09300d9,0x6aea0195}},	//   _單款最低批發量_, _kenaikan_, _футболки_, _chalmain_, 
   {{0x0395083a,0x626c001d,0x1d820235,0x509b00d1}},	//   _avesse_, _junona_, _bandhane_, _বিয়াগোম_, 
   {{0xb95700d9,0x8bd900a4,0x6264022b,0x038202ac}},	//   _edelline, _катарынд, _serlig_, _لاإله_, 
   {{0xe23802a5,0xf75504e5,0x4104027b,0xb0e7019b}},	//   _mějte_, _aliyingi, _कविनिबद्, _greitkel, 
   {{0x4b6502af,0x3503047d,0x1d9200e6,0x03eb012a}},	//   _bimurara_, _spillsch, _enseigne_, _siatka_, 
   {{0xf8550313,0x5a1a02ac,0x92640417,0x8424033e}},	//   _boqubnes_, _تثليث_, _verlig_, _ndeireik, 
   {{0x0224002a,0x852903f8,0x016e0094,0xdfc7009a}},	//   _chokwa_, _dalingch, _ғаламның_, _راجسټر_, 
   {{0xd23b0528,0xe63e0206,0xb70401f4,0x0c03008d}},	//   _callaig_, _obvineni, _ачинарли_, _darslar_, 
   {{0x9c6c05f5,0xce9c0040,0x545303dd,0x96f400c1}},	//   _बुन्देलख, _והוראת_, _sovjetik, _ऐकिवात_, 
  
   {{0x1e51000c,0xe7b40203,0x1aa60109,0x963e017f}},	// [e400] _fonciere_, _lotringi, _vibrací_, _illinili, 
   {{0xa9bb0195,0x93ea00aa,0x49e3034c,0xaeea0350}},	//   _fileanta_, _lantug_, _боралак_, _ወደሁዋላ_, 
   {{0x13f1009a,0xc26302c0,0xb25b00c1,0x04d4027b}},	//   _angozenz, _хуманите_, _sialan_, _रूपिणी_, 
   {{0x537f0082,0x3ae500d1,0x00000000,0x00000000}},	//   _halatta_, _খোলাকৈ_, --, --, 
   {{0xd3790082,0x610a0013,0xd29002db,0xb2e304a4}},	//   _kudaden_, _inshootl, _kilaut_, _charaibh_, 
   {{0xd47b0166,0xc2fc022a,0x4c08028b,0x05a000e6}},	//   _sekunden_, _sinifis_, _хәыда_, _intitulé, 
   {{0xd3dc0439,0x83790086,0x00000000,0x00000000}},	//   _akiwe_, _mutatta_, --, --, 
   {{0x7292027f,0x61210470,0x67c904f6,0x9db203db}},	//   _intare_, _lipandä_, _hjørring_, _elingena, 
   {{0x03800203,0xb202012c,0xca7a0385,0x67970211}},	//   _altris_, _pasipo_, _etički_, _мистичес, 
   {{0x3948023d,0x4a230276,0xfe3b003d,0xe1c50157}},	//   _комплект_, _بۆلەكتىن_, _catolics_, _modelach_, 
   {{0x872e033e,0x26200231,0xf5760059,0x40f9020f}},	//   _chavolái_, _salomoni, _дебютира_, _دعدليې_, 
   {{0x6e42061b,0x029202a2,0xd2da01ef,0x62e70452}},	//   _संस्थाहर, _iisang_, _herojus_, _amankan_, 
   {{0x32240092,0xd379008a,0x86370011,0xff4c00d5}},	//   _tjekke_, _autauta_, _akunyumi, _drasoama, 
   {{0xc18402ec,0x772a029a,0xbb64046f,0x5559008d}},	//   _dabadhil, _lenterim_, _akteuren_, _mirjalol_, 
   {{0x742a03f2,0x325b00a3,0xc91301fc,0xe09f011f}},	//   _правильн, _skule_, _askahayd, _апривати, 
   {{0x42b40478,0x2d51000d,0x9ea60234,0x7a090084}},	//   _volcan_, _saabunud_, _omíyalé_, _dagangna_, 
   {{0xf29201b7,0x52c4022e,0xa3eb00f8,0xce5703e9}},	// [e410] _antare_, _antenati_, _আকাশলীনা_, _deňdir_, 
   {{0xf86500bf,0xd29202f7,0xc3dd0062,0x00000000}},	//   _украшени, _fisang_, _rurwi_, --, 
   {{0xe303053f,0xe29203a0,0xfd2d02b9,0x00000000}},	//   _aynacht_, _gisang_, _tropicar, --, 
   {{0x8c8401df,0xc672012e,0x837f0243,0xdc16027b}},	//   _deserved_, _بیرکوں_, _salalta_, _अधश्चोर्, 
   {{0x6487074e,0x82fc04d0,0xa5470125,0x43fd01dd}},	//   _निभावत_, _ginggi_, _аңлатмая, _abizera_, 
   {{0xe183006e,0xcd5f00c1,0x837801d9,0xae3d011a}},	//   _alkandey_, _संस्थेबद, _erlaben_, _משמחת_, 
   {{0xf3ea01e8,0x10f0005e,0xf709015e,0x5f0c020a}},	//   _bantug_, _ﻳﯘﻗﺎﺭﻗﻰ_, _беришин_, _байрақты_, 
   {{0xb2360583,0x125b0544,0x7212051a,0x002500a6}},	//   _vodja_, _ohuli_, _afdhal_, _غوارم_, 
   {{0xc6740331,0x34b4012a,0x83f803dd,0xa25b0746}},	//   _londunum_, _podatnik, _ishujt_, _nevlad_, 
   {{0x6dfd0142,0x62f901db,0xf4710308,0x6d89071a}},	//   _aindriya, _символды, _lantunan_, _артисташ, 
   {{0xd64503de,0x0bb200f2,0x911103db,0xdc1202af}},	//   _amakhosi, _tallinā_, _iliverpo, _imisurus, 
   {{0x941d01e0,0xa8300192,0xc26d026c,0x80bf006b}},	//   _رایگه_, _좋겠습니다_, _agros_, _साहित्यक_, 
   {{0xbe4801c2,0x5c52018b,0xca8f00aa,0xa26a00ba}},	//   _empanada, _сопранэ_, _kalimdan_, _یاخیبوون, 
   {{0x3236042b,0x3d060147,0xc6c00156,0x00000000}},	//   _bolji_, _قوڭۇر_, _דעתּי_, --, 
   {{0xdb87016e,0x5de500ba,0xec690099,0x42d4019a}},	//   _sahipler, _دستۆفسکی_, _betueri_, _herded_, 
   {{0xcec8015e,0x2b7300fb,0x620102a4,0x84b802a8}},	//   _enviamen, _kokuvela_, _occiso_, _jiddaħlu_, 
   {{0xa2fd02af,0x6db900ad,0x1f3e020f,0xcf76011a}},	// [e420] _arahise_, _internét_, _awasenza, _מיליונר_, 
   {{0x139502f3,0xab7504ae,0xcc2606e5,0x367f0095}},	//   _vissa_, _квалитет, _bjusterb, _salebeti, 
   {{0x73190102,0x572b0331,0xe2730061,0xd9fe00c1}},	//   _پيشاب_, _málninga, _칼럼니스트_, _granesia_, 
   {{0xfde702c4,0xb97c00bf,0x4c1102a5,0xbde00370}},	//   _личните_, _животных_, _mistrů_, _biokimia, 
   {{0xcbed02a4,0x53f802b0,0x22f60301,0x028c0229}},	//   _covergir, _genug_, _yenilik_, _yəhudi_, 
   {{0x243a033e,0x43fd0122,0xf57501ad,0x00000000}},	//   _нанагӡеи, _baizura_, _kontento_, --, 
   {{0x9b0303ba,0x79800061,0xd2c9018d,0xae040255}},	//   _aussonde, _검색결과가_, _ንተሳትፎ_, _पत्रकारन_, 
   {{0xa08e0061,0xdeb10244,0x00000000,0x00000000}},	//   _부자아빠가난아빠, _spessore_, --, --, 
   {{0xc30d00ec,0x9bb80596,0xac510282,0x00000000}},	//   _nekilnoj, _ehayides, _kaituna_, --, 
   {{0xf7830213,0x457b0514,0x3fae014e,0x53940052}},	//   _бездомны, _diftongo_, _тодорови, _jaksi_, 
   {{0xdc070252,0xadbb0120,0x0623018b,0xa53103f5}},	//   _matsilu_, _bilinnaa, _номазь_, _complexo_, 
   {{0x225b0430,0xcfc300d1,0x014101cc,0xc6ae00be}},	//   _phuli_, _উজুটি_, _asmadīyā_, _príncep_, 
   {{0xa0060208,0x79420047,0x261f00cb,0x2858000d}},	//   _تریفه_, _applique, _abangesi, _augustis_, 
   {{0x23e90590,0x7c1b0325,0xa10e02b6,0x9fc300b5}},	//   _лхамаа_, _allahlar, _ماڭدايىڭ_, _oipepirũ, 
   {{0x4b2800cf,0x834a041e,0x4f6800ec,0x9ebc00e4}},	//   _baabilon_, _affettu_, _padažas_, _cykliczn, 
   {{0xb25b055f,0x7f1200d9,0x63950212,0xf21e009f}},	//   _okula_, _lastenta, _misso_, _parkirni_, 
   {{0x142c0041,0xb6b90099,0x32fd0434,0x6fad00bf}},	// [e430] _аҳҭны_, _achamiri, _vecinos_, _холодног, 
   {{0xa3e400cf,0x3644047b,0x8744047b,0x97000237}},	//   _adwuitti_, _brenniof, _brenniov, _네트워크에_, 
   {{0xc25b023b,0xa2ba00f4,0x9a0b01a4,0xc2160022}},	//   _akula_, _bureveg_, _kibakala_, _мылтыҡта, 
   {{0x730d0082,0x3c6503da,0x230e017a,0x42120119}},	//   _bukatar_, _buruzie_, _ababeba_, _nakhon_, 
   {{0xe7e101c9,0x527f0145,0xff3303df,0x91ca043a}},	//   _अर्धांगि, _utenos_, _grasrota, _vektorik_, 
   {{0xe7a301f6,0x672f0024,0x6868033e,0xe73701af}},	//   _জ্বলি_, _হৰ্ষবৰ্ধ, _hasyetev, _barlamag, 
   {{0x64430031,0xd24803e8,0x125b02f8,0x741c02d9}},	//   _हृदयविका, _dvema_, _ekula_, _avegalio_, 
   {{0x435202b6,0xd3950367,0x58a60246,0x659a0074}},	//   _ءاڭكى_, _disso_, _шрифта_, _комиссии_, 
   {{0x899d0046,0x9ed400dc,0x9a89007b,0x41a40156}},	//   _батыш_, _agaioiin, _eglinton_, _מטירהאוו, 
   {{0x1471019c,0x0d84030f,0x947f0184,0x1527004a}},	//   _akitiyan_, _wetewete_, _bateyeko_, _белян_, 
   {{0x21790349,0xf2640455,0x2ad700a7,0x7a7001e8}},	//   _abricfay_, _applis_, _бучкакта, _makaguwa_, 
   {{0x22d90049,0xf22b0092,0xfe50036e,0xb305017a}},	//   _eveeva_, _出品者への質問_, _awyayala, _кумунист, 
   {{0x2f7500de,0x74400193,0x3435019b,0x0fbe0059}},	//   _ababekun, _उत्पन्ना, _matavimo_, _esclusio, 
   {{0x625a03c0,0xfa0100a5,0xd3f701ef,0xb3950007}},	//   _stolte_, _fakaaoga_, _фантазёр, _bisso_, 
   {{0x90ca01f4,0xadf500be,0x45200024,0xb28f014d}},	//   _دعوانی_, _بانقتا_, _প্ৰহাৰ_, _rathaus_, 
   {{0x53c2024b,0x34b5019d,0xb3590347,0x02f10352}},	//   _móvil_, _kupachik, _profeet_, _চাবোন_, 
   {{0xe2920193,0xf3ea00b3,0x913a03a2,0x0c1c02cd}},	// [e440] _bawaan_, _mehter_, _डाइटिंग_, _bakurais, 
   {{0xa0ae002c,0x7ec90158,0xb8e90193,0xf5aa0160}},	//   _арван_, _ह्यूस्टन_, _निश्चितच_, _egipatsk, 
   {{0x12230169,0xd945004d,0xcb2800cf,0x029200e1}},	//   _ক্ষমতার_, _假如發生緊急狀況_, _baaqulee, _dawaan_, 
   {{0xf37f033f,0xc37904ca,0x2c0900b9,0x918d0185}},	//   _malaita_, _attalea_, _adipura_, _вирусның_, 
   {{0xcc110479,0x37d500a7,0xb8ac04df,0x404802bf}},	//   _مالکان_, _companyi, _тәзеликл, _bangatfo, 
   {{0xd2b200e1,0x6ae80410,0xa2300348,0x626e0488}},	//   _aaddina_, _kgotlele, _akamala_, _dators_, 
   {{0xec190075,0x43940079,0xbbcc0061,0x214302ea}},	//   _seinastu_, _maksu_, _업그레이드된_, _triennal, 
   {{0xc38f01f9,0xa3c800f2,0x2b6202d4,0x747c0081}},	//   _ajoyina_, _durvju_, _fontauna_, _marteinn_, 
   {{0x537301d1,0x68d001b4,0x3c1702eb,0x29420270}},	//   _located_, _direkteu, _рекламны_, _extraher_, 
   {{0x926d0002,0x4f39008f,0xd51e0039,0xe22a00bf}},	//   _izbori_, _भूमिहार_, _sekulako_, _болам_, 
   {{0xaed6019c,0x3f2a027b,0x7d320061,0xe70d0177}},	//   _amuyanga, _aparāpar, _만족하시나요_, _пакетқәа_, 
   {{0xaa1f0590,0x33ce0499,0xd28f015b,0x8f1e00f5}},	//   _ойрын_, _agava_, _esekiel_, _башланан_, 
   {{0x33c20479,0x00000000,0x00000000,0x00000000}},	//   _sóval_, --, --, --, 
   {{0x0bc100bc,0xe2900006,0xa26c031d,0x5c5501e9}},	//   _کارکرده_, _pekan_, _naboo_, _beetswe_, 
   {{0x724900fe,0xf326005e,0xdc6e02e1,0xaadf0118}},	//   _alamā_, _ھاكىمى_, _ciardha_, _bakuleet, 
   {{0xd9c701f4,0xa28d0272,0x626c034b,0x60380281}},	//   _қарасам_, _abukaba_, _mabol_, _akuttunn, 
   {{0xddba01cb,0xd64900b5,0x2dc70023,0xed0e01a6}},	// [e450] _lithinta, _diacroní, _заявок_, _nukutaur, 
   {{0x2290023e,0xce51030b,0xf236036f,0x17330392}},	//   _tekan_, _ababonya, _bolju_, _bhùthan_, 
   {{0x061f0272,0x59c50006,0xbd090239,0x5fbc0145}},	//   _abaneesi, _ditempat, _kikokore_, _апараты_, 
   {{0x0290038e,0x7c850161,0xb61703fd,0x00000000}},	//   _rekan_, _купоны_, _taulimai, --, 
   {{0x40760256,0xd83d0092,0xc9270297,0x425a0109}},	//   _aksesuār, _ワラビのあく抜き_, _антипова_, _revoluci_, 
   {{0x22fc036a,0xd26c0082,0x13010226,0x8e1d0121}},	//   _isogo_, _rabon_, _bembeke_, _carencia, 
   {{0x20b004fd,0x92f40277,0xec920139,0x2c220011}},	//   _बेतुका_, _feverfew_, _arghyaṃ_, _alirabis, 
   {{0xc2da02c2,0x402c0012,0x7f82008f,0x927f013a}},	//   _lesers_, _इनथटरटेन, _ट्ीका_, _brengs_, 
   {{0xb8630011,0x2b0e0193,0x999b03a1,0xf3860513}},	//   _abangand, _jonghyun_, _отчете_, _khezari_, 
   {{0x72d9033a,0x0d3100ac,0xe34900be,0x9e5501dd}},	//   _livell_, _naizgled_, _سئزجازعا, _bambwiye_, 
   {{0xde28023d,0xe28b03ad,0xa25b0125,0xd1a000ef}},	//   _кариерат, _addattam, _azalyp_, _aziculil, 
   {{0x92d90064,0xe95003db,0xc4fb0139,0x08b50061}},	//   _nivell_, _abalinde, _कुमारं_, _국내에서도_, 
   {{0xd7c000c5,0x1f9300a3,0xb1cb0039,0x126c01e8}},	//   _抗震救灾特别专题_, _onsdagar_, _bertatik_, _habol_, 
   {{0x5fd70041,0x2290010b,0x13000239,0x747302ea}},	//   _рафаель_, _sekao_, _anganui_, _механизъ, 
   {{0x1dbf0130,0x399f007e,0xc98201b0,0x00000000}},	//   _adlakaat_, _aupapādu, _dikituke, --, 
   {{0x09590024,0x49880139,0x79f90017,0x12e700bc}},	//   _ক্ষেত্ৰফ, _anekarat, _okresní_, _alangan_, 
   {{0x393c0060,0x726c0062,0x821c0080,0x0fa100e6}},	// [e460] _تارىتقان_, _mabom_, _bashra_, _受理通知书_, 
   {{0xb9490203,0xe07702f1,0x626c0058,0x0e5500a9}},	//   _geomarke, _terceiro, _labom_, _yambwiye_, 
   {{0xfb2603de,0xa2d80103,0x86270148,0x50cf0321}},	//   _ukuphela_, _najesu_, _cogitati, _uveljavl, 
   {{0xe13a0107,0xe290038b,0x82010332,0x7f230343}},	//   _menumbuk_, _bekal_, _opcion_, _kasumara, 
   {{0x129003c3,0xf1f802b4,0xf2900443,0x1e41004d}},	//   _rekao_, _sikhulum, _cekal_, _二來可進行妻兒行, 
   {{0x40dd03ce,0xcdec003f,0x2eda0116,0x00000000}},	//   _میسری_, _chevchuq, _auchteen, --, 
   {{0x023e012c,0xe0ca0244,0x00000000,0x00000000}},	//   _محققن_, _очертава_, --, --, 
   {{0x21580190,0x62df03ec,0x22360004,0xcdae03b7}},	//   _admonish_, _zakonet_, _indje_, _artisanp, 
   {{0xf87c0238,0xc2460255,0x695f02fa,0x62f00270}},	//   _поставле, _कमाले_, _abongere, _pacioli_, 
   {{0xe249038e,0xfb640065,0xb3000102,0xb9f202e8}},	//   _nyaman_, _streifen_, _kigaidi_, _anoratid, 
   {{0x239501c9,0xfbae0287,0x22da0180,0xc8e201f4}},	//   _sisse_, _कानुनको_, _resers_, _sharafig, 
   {{0xc8610497,0xf691002b,0xb27f0168,0x150d003c}},	//   _innocuou, _মাহুয়া_, _trengs_, _ازکشور_, 
   {{0x33ea004b,0xb4b00206,0x223b036d,0x99fd03a0}},	//   _chitja_, _presnosť_, _hallaig_, _karatape, 
   {{0x82d8033c,0x32cb00bc,0x16c30040,0xa8f4050a}},	//   _adael_, _ngadeg_, _ונשמח_, _yorgunlu, 
   {{0x1be10416,0xc2490226,0xb11600ec,0xb55d0153}},	//   _rosenber, _chambo_, _ордэнам_, _ニッポンいいもの, 
   {{0x31a80411,0x4d3c02af,0xc7e504e5,0x723b0528}},	//   _проводят, _adenduke_, _anaagagg, _mallaig_, 
   {{0x9212001d,0xc841034e,0x02e7008d,0x137f036a}},	// [e470] _baghy_, _asitunas_, _plangan_, _tamadra_, 
   {{0x724902db,0x514000b4,0x039402db,0x12b50009}},	//   _gyaman_, _produsul, _inosen_, _spodnje_, 
   {{0xed73035d,0x2c67034e,0x525b0513,0x614a006c}},	//   _posmatra, _andurra_, _ekule_, _каримгул, 
   {{0xc6b500bb,0x00000000,0x00000000,0x00000000}},	//   _ماہوار_, --, --, --, 
   {{0xb47f027b,0xe2e700b7,0xe86100c5,0x72d80166}},	//   _स्मृताः_, _alandan_, _identiqu, _blieb_, 
   {{0xe2d80219,0xf2e703f0,0x925b0226,0x67ca0005}},	//   _bajesu_, _blandan_, _ikule_, _confamig, 
   {{0x4b260037,0xd2d40434,0x42490077,0xf20100cd}},	//   _ማስረጃዎችን_, _mayoria_, _dyaman_, _angiou_, 
   {{0xd25b0408,0xac9d0361,0x972b03a4,0x42c402f3}},	//   _fialan_, _конфуций, _dálkinga, _rummens_, 
   {{0x2b260037,0x222504b2,0x8d4a0260,0x11f90304}},	//   _ማስረጃዎችና_, _angkla_, _alcanzou_, _kisahlah_, 
   {{0xe3870300,0x835b0103,0xb41b002f,0x90400287}},	//   _stará_, _munguva_, _allillak, _डउनलोड_, 
   {{0xb4cf032d,0xd1c20012,0xac9d00bc,0x7ecb0119}},	//   _епархияһ, _पतोहु_, _فلاشر_, _mahimyan, 
   {{0x0e6a0060,0x75a1012a,0x15f20061,0x520e034c}},	//   _толды_, _perfekcy, _뜨거운태그_, _вагай_, 
   {{0x20af042a,0xd4ad0046,0x327e00f0,0x427f0222}},	//   _alomphel, _көөнөрбө, _sukne_, _prends_, 
   {{0x2eaf0233,0xffdf02ac,0xf2cb04fe,0xb2e602f6}},	//   _attrappe_, _دموعي_, _trionfa_, _alinman_, 
   {{0x46c80064,0x62ca00f7,0x00000000,0x00000000}},	//   _garantei, _deklari_, --, --, 
   {{0x0248002e,0x97380314,0x99300210,0x77cf00e7}},	//   _svemu_, _парфенчи, _chematse, _assumedw, 
   {{0xf55e010f,0x6987002b,0x22ab00b5,0x00000000}},	// [e480] _фановарӣ_, _বরইতলা_, _ndouvéi_, --, 
   {{0x779d0259,0x7e2c01db,0xae82042b,0x0bd300c1}},	//   _トラックバック_, _ايىرۋعا_, _psovanje_, _तरीपण_, 
   {{0xc4c3032d,0x8e3f03d1,0x4aa6031c,0x6b560400}},	//   _яланында_, _dodoties_, _librería_, _alamanor, 
   {{0x1ae7004d,0x34b700bb,0x4149020e,0xb34c0420}},	//   _充實學校健康中心, _بیگناہ_, _khatholo, _referem_, 
   {{0x523c02c4,0xbf3c02ea,0x03270177,0xde380031}},	//   _партиите_, _партията_, _ҧынгылад, _pelapisa, 
   {{0x125a009d,0x92d802c2,0x3d590042,0x3d970198}},	//   _sjell_, _kliek_, _exercíci, _jesenice_, 
   {{0x92a00552,0x286802d5,0x33950013,0x1a650227}},	//   _saubit_, _ekspress_, _hissa_, _tergagap_, 
   {{0x5fd20169,0x7b1f0193,0x103502f8,0x7db80528}},	//   _ওপেনসোর্, _kekayaan_, _faktokan, _chairdea, 
   {{0x367f00c3,0x9da603db,0x1d700306,0x00000000}},	//   _venenati, _nokonaka, _imamayta, --, 
   {{0xe1d90066,0x5dbf028f,0x437f01f0,0xa202004d}},	//   _машинууд, _karamere_, _galalea_, _scriba_, 
   {{0x1cd3016f,0xa02d0153,0x72c503db,0x20d1019d}},	//   _потонув_, _ホメラニアン_, _ivaliwe_, _chiongol, 
   {{0x735902ee,0x3e480541,0x3e8903cc,0x7da0005b}},	//   _profitt_, _omladine_, _agujeros_, _dobokkaa, 
   {{0xae180003,0x239502f3,0x21860125,0xeb66020e}},	//   _oppervla, _gissa_, _terbiyel, _homtlaba_, 
   {{0x39df029d,0x02d800e2,0x5c750486,0x2186008b}},	//   _valoarea_, _bliek_, _रिक्सा_, _dinatakh_, 
   {{0xa31101c2,0x724800a2,0x2c0300d1,0x9e4f0238}},	//   _católico, _mwema_, _varslar_, _одиниці_, 
   {{0xd2360171,0x395d001c,0xd3950120,0x786101c9}},	//   _reljef_, _rainwate, _bissa_, _boonuspu, 
   {{0x96c30072,0x6c260099,0xc8190274,0x137f01fc}},	// [e490] _qalakayi, _angataur, _golfklúb, _talatta_, 
   {{0xc3940224,0x7b900132,0x568501a3,0x9d740311}},	//   _helstu_, _kitartó_, _پريڪٽس_, _ንግሩሃት_, 
   {{0xbde903b2,0xc3eb0334,0xb444033f,0x8a3502e1}},	//   _provided_, _chatha_, _apokosio_, _paraiméa, 
   {{0xea0301f1,0x8dd50191,0x98e4002b,0x13950244}},	//   _paracakt, _blekinge_, _শিক্ষকরা_, _fissa_, 
   {{0x537801c0,0x6f2c028c,0xc24800ae,0x0f3d03d5}},	//   _dakarun_, _äärde_, _bwema_, _andraila, 
   {{0x436c0534,0xbbde0382,0xa3800286,0x9c670241}},	//   _songmoi_, _badescuc, _katree_, _ammumaa_, 
   {{0x0c7b003a,0x93dc01dd,0xd64d012c,0xe24903de}},	//   _darslik_, _akawe_, _kilichof, _ivume_, 
   {{0x12390057,0x22fc005a,0xb97d0212,0xf6d900cf}},	//   _የሕዝብን_, _lingli_, _libidine, _finqilch, 
   {{0x0281036d,0xc2900172,0xe7b000c5,0xf84201bd}},	//   _aichidh_, _kekaa_, _民族自治地方的人, _توپايكوك, 
   {{0xb7a20578,0x7395022e,0xb378001e,0xa74b0147}},	//   _suavdlaw, _dissi_, _zakarun_, _كۅللۉكتۉ, 
   {{0x9b8400fe,0x8da401aa,0xbc52031a,0x926d008e}},	//   _fanofano_, _alliedwa, _raitinn_, _marog_, 
   {{0x79bf02dd,0xf99704d6,0x009903b8,0x12d800f2}},	//   _telespet, _प्रकोष्ठ_, _вариация, _hokejs_, 
   {{0xafc200e5,0xffeb034c,0x9c5201ac,0x53ea0198}},	//   _уличните_, _аклармы_, _paitinn_, _fantov_, 
   {{0xdadd0214,0x00000000,0x00000000,0x00000000}},	//   _anyuliwe, --, --, --, 
   {{0xd95f018d,0x08430061,0x7b5b01fd,0xa2fc024c}},	//   _ንምሕዝነት_, _나왔습니다_, _explicó_, _dingli_, 
   {{0xd38701b7,0x624904a5,0x549c005d,0x9d0a0066}},	//   _aparam_, _avume_, _зланы_, _amerikar, 
   {{0x22900245,0x9fc40162,0xe1b0020f,0xf2d903b2}},	// [e4a0] _adkar_, _илатниң_, _منګلو_, _unveil_, 
   {{0xb3eb0340,0x6f0f0147,0x7e620040,0x0a88020e}},	//   _ahatia_, _progrés_, _הקיצוני_, _hatisets, 
   {{0xa227016d,0x05250036,0x041003b0,0x4dc40020}},	//   _تېجەشلىك_, _mionsamh, _matsalen_, _katinale_, 
   {{0x739402e7,0xee510322,0x6970021e,0x3a7500c1}},	//   _laksi_, _ababanya, _artikelt, _अतोनात_, 
   {{0x517e0374,0x2c890350,0xc2000065,0x5fc90019}},	//   _kiritish_, _የጥላሁን_, _anhieb_, _кичинемд, 
   {{0x146e0424,0x734004a7,0xe3eb03db,0x5af405b9}},	//   _прима_, _licenza_, _thatha_, _forringe, 
   {{0x068101c9,0x0300003e,0xdf1a0220,0x33f900a0}},	//   _उपराग_, _bomanki_, _frattemp, _dagutu_, 
   {{0x5cad002b,0xe2ca0148,0xc3f80414,0x3378015e}},	//   _কেন্দ্রি, _avide_, _defue_, _rebaixa_, 
   {{0x71d000a6,0xa27f015e,0x33f60156,0xb63a03dd}},	//   _ملايانو_, _arenys_, _הינזיכט_, _ብጉልበት_, 
   {{0x93950034,0x8ff20309,0x6380037f,0xf5d701cd}},	//   _vissi_, _arzuları, _oturub_, _крупнов_, 
   {{0x6d3f0052,0xbc060040,0xd86302fc,0x29630322}},	//   _depilace_, _השמונים_, _abanyand, _abanyant, 
   {{0x52e70230,0x98670222,0x1ed30173,0x439a0342}},	//   _alankan_, _pourrais_, _camiones_, _dèske_, 
   {{0xf584018d,0x9c6801ba,0xeb060025,0x62e70016}},	//   _ህዝቅያስ_, _poursan_, _स्वीकृतव, _blankan_, 
   {{0x6c5b037c,0xf9db01e9,0x7d17005e,0x02d90003}},	//   _mortali_, _diefange, _مىلتىقلا, _zoontje_, 
   {{0x19f601d5,0x626c01cd,0xe3820128,0x333203c2}},	//   _سونیا_, _kunoma_, _تیگیشنی_, _alexje_, 
   {{0x44c800be,0x926d017e,0xa7aa0331,0x5e9c0444}},	//   _кадамдар, _bazon_, _reynatúg, _албансем_, 
   {{0x0f3800cf,0x39d0018b,0x97a802d5,0x1c6e0569}},	// [e4b0] _abbuumma, _фение_, _kaitseli, _čarapa_, 
   {{0xdfb3018d,0xa9ce0415,0x9f8e0107,0x64f1019d}},	//   _ሰንከልከል_, _gemeinde, _تمايل_, _chomwech, 
   {{0xe8800223,0xbc7f012e,0x402c0397,0x02fc0075}},	//   _artikulu, _تحائف_, _самсунги_, _ringdi_, 
   {{0x7d3603fe,0xf3b00076,0xfba502c6,0x93f2020a}},	//   _винсент_, _chique_, _disklaer, _еттер_, 
   {{0x923002e1,0x90ec0196,0xd2fe026b,0x40cb0019}},	//   _shampla_, _kamnkhul, _besitos_, _итапкан_, 
   {{0x9b5b02f3,0xc3e401f4,0x8a7a015e,0x67a4004d}},	//   _samtliga_, _namunasi_, _قاچقاندا, _羅東聖母醫院_, 
   {{0x2c39026c,0x52c50168,0xb395028a,0x00000000}},	//   _推薦給朋友_, _deilige_, _lissu_, --, 
   {{0xc290010b,0x5c3900da,0xbf1502fe,0x838601cd}},	//   _sekai_, _muncitor, _bandakan, _anezici_, 
   {{0x939400c9,0x0a180148,0x427e0296,0x84ea0092}},	//   _bacsi_, _寵物美容專業人員_, _hamnar_, _総理府官僚_, 
   {{0x67c9015e,0x82da00da,0x05b600f2,0x72da07c1}},	//   _бөгөттүн_, _fusese_, _biznesam_, _desees_, 
   {{0xe2a602ec,0xca0d012c,0x862603ae,0xd47e01de}},	//   _برونٹھہٕ_, _kinachoe, _musikkvi, _филос_, 
   {{0x720e0164,0xafed0037,0x429001d5,0x00000000}},	//   _давам_, _ስዋዚላንድ_, _izland_, --, 
   {{0x1340001c,0x338001ab,0xec6e0025,0xc2f2006e}},	//   _vicenza_, _suurus_, _anartha_, _dégam_, 
   {{0xb26d018a,0x631700c8,0x630700ac,0x4920003b}},	//   _barod_, _тренеры_, _boravak_, _asibhuku, 
   {{0x52dc0077,0x774e018d,0xf2a60039,0x178804a8}},	//   _rebondi_, _በብዓይነቱ_, _probak_, _podsjeća, 
   {{0x4f750233,0x8f3c05b8,0x02d602e1,0x00000000}},	//   _desceden, _sportbla, _neithibh_, --, 
   {{0x23dc00eb,0x1d34025c,0xd7f50153,0x430301a6}},	// [e4c0] _nkawa_, _standort_, _ドバンドで購入す, _parahau_, 
   {{0xd3dc03ef,0xa303047d,0x6a07029a,0x831c02e7}},	//   _ikawa_, _erkannt_, _anbasade, _knockin_, 
   {{0xf25b03dc,0xa1790629,0xa3030370,0xd91000cd}},	//   _skula_, _abrikfay_, _pajabat_, _burasclu, 
   {{0x4c3e0390,0x41aa0060,0xb3f40417,0x437a025c}},	//   _genişlən, _болмасын_, _gestel_, _zutaten_, 
   {{0xb39503e0,0x642404da,0xa20f0025,0xd2ca01c8}},	//   _misst_, _sudionik, _athainaṃ_, _oxidu_, 
   {{0x53790129,0x926d02f4,0xff5302ea,0xf8b402a4}},	//   _marakwa_, _razon_, _соларни_, _studiosu, 
   {{0x631603be,0x63f40263,0xcc2c0116,0x72c50003}},	//   _akababi_, _bestel_, _alairmed_, _veilige_, 
   {{0x925b0508,0x79eb0122,0x137c002a,0x6f8a03c4}},	//   _khulu_, _charmand, _gabazie_, _милләтни, 
   {{0x126d00aa,0x43fa0312,0x55f001b3,0x1a0300cd}},	//   _yazoo_, _posupl_, _сформува, _aduraziu, 
   {{0xdc700289,0x2a7c0348,0x22d90315,0x9a5e02b6}},	//   _amasiye_, _babayita_, _icinywe_, _сандарын_, 
   {{0x17a7053f,0xdc2700bc,0xd39401ff,0xac040118}},	//   _posteapx, _sabanjur, _vacsi_, _babuzaab, 
   {{0x13030357,0x562b00c4,0x07ca0037,0x7b3101a3}},	//   _babakau_, _دعوائن_, _ኦክቶበር_, _همڪنار_, 
   {{0xd2fe0270,0xb27f00f4,0x5e670147,0x00000000}},	//   _desiros_, _aianek_, _رۇڭۇزدۇ_, --, 
   {{0x2dff03ac,0xd6530479,0xeae502b0,0x00000000}},	//   _perempua, _گوانتانا, _geflogen_, --, 
   {{0xcb1d02e2,0x5d9e0340,0xcc840192,0x418602e2}},	//   _attainab, _tiketike_, _걸스카우트_, _annapaul, 
   {{0x18cf018d,0x33950222,0xa18a027c,0x43bb020b}},	//   _ብሓለንጊ_, _tissu_, _amabakal, _dilwana_, 
   {{0x328d0074,0x28450126,0x3cb7004d,0x3c70014d}},	// [e4d0] _moskova_, _укрзаліз, _博士後研究人員_, _flasche_, 
   {{0x427f024b,0xc74802fe,0x82f200d3,0xec13008e}},	//   _buenas_, _امکاناتو_, _nudismu_, _coppati_, 
   {{0x02580002,0x96730125,0x17410045,0x485a020f}},	//   _engleski_, _боллса_, _основну_, _پېښېږي_, 
   {{0x755702c1,0x29f600bc,0xdb06017c,0x00000000}},	//   _yashimiy, _یونیت_, _forshaga_, --, 
   {{0x1f5b056b,0x42fa0195,0xaac0064f,0x69c700a3}},	//   _tunangan, _nichola_, _pouliční_, _buplikta_, 
   {{0x01610015,0x0f390040,0xe0480037,0xbc6a027b}},	//   _doorasho, _הקליפ_, _የሚሊኒየሙን_, _चिन्तय_, 
   {{0x8cf2018b,0x657f012e,0xa99a0350,0x03ee0109}},	//   _partener, _rendhagy, _ካታሎኒያ_, _berounsk, 
   {{0xcbb6023e,0x73ea019f,0x3b100235,0x09840012}},	//   _کبریت_, _akitoa_, _apagatas, _गरिमाक_, 
   {{0x629201d7,0xe20e0045,0x52640229,0x00000000}},	//   _entant_, _банат_, _nurlan_, --, 
   {{0xf0e200f1,0x47cc03a6,0x46cc0117,0xbb190066}},	//   _evantyal, _irashimi, _seraotem_, _zapatuan_, 
   {{0xaf8e0148,0xc9da009c,0x6f950041,0x7db30119}},	//   _內藤湖南的唐宋變, _akunanta_, _erâiha_, _hihingya, 
   {{0xa29200a8,0x6d840191,0x32d9008e,0x0eda0022}},	//   _intant_, _handlade_, _feyee_, _finyelle_, 
   {{0x2c790163,0x92ca00d3,0x741302c4,0x29c30332}},	//   _kérlek_, _fondem_, _гордее_, _alamaula_, 
   {{0x82900193,0x029102c3,0xd3090017,0x66490037}},	//   _dekat_, _debaty_, _hluboko_, _እያቀረበ_, 
   {{0x4391028b,0x97e60406,0x023c0061,0xf2500244}},	//   _aitypei_, _उपसर्ग_, _추천합니다_, _четат_, 
   {{0x82d10087,0xf9f100cb,0x172b03a4,0x5f1f0258}},	//   _bibeleni_, _amangala_, _dálkingi, _oarderin, 
   {{0x92900282,0xb25b03db,0x2482002b,0xa2ec0407}},	// [e4e0] _tekau_, _akulo_, _উপবিষয়শ, _gornjoj_, 
   {{0x1b550286,0xc697038b,0x377c01ee,0x952b0297}},	//   _dendeden_, _sekelili, _букву_, _belengän, 
   {{0x6431045e,0x18e20098,0x199d00c7,0xa2fc005b}},	//   _местожит, _mangfold, _калым_, _kingz_, 
   {{0x334802fd,0x8c520326,0xf2d8008c,0x527f0332}},	//   _aireamh_, _abatana_, _amiez_, _frenos_, 
   {{0x22920197,0x13a601e1,0xb93f007e,0x9ae70137}},	//   _antant_, _декабрҙә_, _avamanya_, _akordere, 
   {{0xc26c0342,0x2d0505ed,0x04b401c4,0xb474016f}},	//   _dekore_, _akarorer, _gemaklik, _клички_, 
   {{0x8c550176,0xddd90168,0x7dea00d3,0xd2b601ac}},	//   _hentede_, _lekkasje_, _projedna, _stucó_, 
   {{0x5ef103d4,0xb2d8033a,0xf9a200c5,0xdac902f0}},	//   _устали_, _kliem_, _供应儿童帐篷_, _ayewunge, 
   {{0x43dc001e,0x82fc0224,0xa9660321,0x234901d7}},	//   _shawo_, _huggy_, _novoroje, _cavelti_, 
   {{0x98430368,0xc2ee01e6,0x62d80202,0x52920265}},	//   _централн, _hranici_, _bisoobu_, _citaat_, 
   {{0xda08001b,0xe5990055,0xea0701ad,0xf9f902af}},	//   _abdallaa_, _crescenz, _albalade, _kuhabere, 
   {{0x4c230061,0xad310014,0x19ee0408,0xb9ca02b1}},	//   _감사담당관_, _turizmit_, _atrikasa_, _furodusa_, 
   {{0x3c06004a,0xadbd0103,0xa0d702eb,0x2c1401c2}},	//   _korrupts, _nemakore_, _киногоо_, _dispón_, 
   {{0x652c002b,0x22da0181,0x6394020f,0x829004d8}},	//   _términos_, _bpinkyb_, _dacst_, _halagu_, 
   {{0xc29104a8,0xc5990086,0x69b30061,0x00000000}},	//   _vrijeme_, _topikleí, _필요하신분_, --, 
   {{0x97d50057,0xb2ee04bf,0x3c77005b,0x768001b4}},	//   _የተዘረዘሩትን_, _granici_, _daisuke_, _generasi, 
   {{0x512d00bf,0xcfda0046,0x526d011f,0xbd2600b4}},	// [e4f0] _часть_, _бюджетке_, _ehaoty_, _culorile_, 
   {{0x962c0128,0x2ed60198,0x6202019d,0xbc7b03cc}},	//   _кимгадир_, _možen_, _basiyo_, _césped_, 
   {{0xc2d403ae,0x29f80183,0x12d902ee,0x00000000}},	//   _nordre_, _benirina_, _iskorer_, --, 
   {{0xbeac01c6,0xb213046c,0xf5800197,0x823001a4}},	//   _meardere_, _sachen_, _jenerasy, _akamola_, 
   {{0x32e702b7,0xfccd01d3,0x5f5300d8,0xcdf303a8}},	//   _alindao_, _grekland_, _alfabets_, _blodstra, 
   {{0x2f6601cd,0x6db602f9,0x86270220,0x0ae00096}},	//   _омили_, _biznisma, _ginocchi, _bacecets, 
   {{0x9290005b,0xbb090274,0xd6aa0513,0xe9e5038a}},	//   _trukket_, _farsíma_, _eriendzw, _chantaqa_, 
   {{0x320002cb,0xd48b01e6,0xf29d050e,0x561f0161}},	//   _voliš_, _nedostal_, _banjica_, _innokkai, 
   {{0x401b0187,0xa123032e,0x01f20149,0x2480008f}},	//   _активен_, _lakiraña, _ụnyahụ_, _रियाजे_, 
   {{0x005a018d,0xd202012c,0x663f013c,0x9e3901f6}},	//   _ኣፍሊጦም_, _yasiyo_, _endirili, _samandra, 
   {{0x9c840475,0xa7850208,0x05e90061,0xaea302f3}},	//   _русских_, _واشنتۆن_, _브릴리언트_, _styrelse_, 
   {{0x17a901e1,0x5f98005e,0x727e0120,0x7290041c}},	//   _ихтирам_, _قەھۋە_, _diinik_, _galagu_, 
   {{0xb3500003,0x3e4802fd,0x8290066a,0xc28700e7}},	//   _profiel_, _barailea, _balaud_, _annivay_, 
   {{0xa1200113,0x175800d7,0x237b00b2,0xdc790212}},	//   _gramadaí_, _суперпри, _barrefam, _passuum_, 
   {{0x325b022b,0x934002da,0x22920088,0xd27f0343}},	//   _skulu_, _poderia_, _citant_, _gianak_, 
   {{0x4299023e,0x64ac0287,0x92900569,0xc307059f}},	//   _pembasmi_, _odstínů_, _nekak_, _familjej, 
   {{0x9486038e,0x63ea00d9,0x94c700c7,0x99cb0418}},	// [e500] _हाहाहा_, _kokoomuk, _бардада_, _verecekt, 
   {{0x9c930276,0xc09a0039,0xa39101da,0xa2fc01e8}},	//   _قانال_, _кардашян, _ilustrim, _manggi_, 
   {{0x1249040b,0xa3f4005b,0xc30404a4,0xf290038e}},	//   _bvumo_, _bestil_, _barabal_, _rekam_, 
   {{0xb51d0277,0xdd92020b,0xf6f100b6,0xb355011a}},	//   _angoffsh, _bolelele_, _qasaalá_, _מושפע_, 
   {{0x1a030013,0x9389047d,0x4bc1018b,0x029200d8}},	//   _darajada_, _walfreyj, _prezintă_, _aitant_, 
   {{0x83580116,0x1f5b0264,0x822c003e,0x00000000}},	//   _imagene_, _pamakian, _дәрүиштә, --, 
   {{0x1a0301c5,0xa2ca02f3,0xb3730307,0xa26c025f}},	//   _qaramada_, _rymden_, _kwasukum, _monoko_, 
   {{0x36800179,0x8c7900ab,0x07b80049,0x0ea10009}},	//   _neverati, _kāroti_, _lepupili, _lestvice_, 
   {{0x01f9003f,0x84ac020d,0x8929010f,0xddaa0151}},	//   _bisaplah_, _bagashak, _пантурки, _agaidera, 
   {{0x629207bd,0x729001f1,0xafc201e0,0x0f02034a}},	//   _ispalo_, _osmane_, _خانوی_, _fábulas_, 
   {{0x5f9e02ac,0x59a90204,0x330502ef,0x661b004d}},	//   _محجوب_, _почитать_, _anbalaj_, _歐陽不修贊曰_, 
   {{0x52ca022b,0x347c02fd,0x337f01b2,0x00000000}},	//   _eindum_, _martainn_, _boracic_, --, 
   {{0x826c02b7,0x63dc0285,0x134c0498,0xdae101d2}},	//   _konoko_, _nkawe_, _nevedel_, _chiliwan_, 
   {{0x4c770313,0x88bf017f,0xcc5c0101,0x74b20196}},	//   _perseid_, _assersuu, _centrul_, _anabatiz, 
   {{0x03940168,0x22ca00d8,0x8699033e,0x4ea200c5}},	//   _eldste_, _declari_, _наргарга, _egalemen, 
   {{0xe9030126,0x420100a5,0xa05001e7,0x6bd900ca}},	//   _алкоголю_, _lefiti_, _aspuerun, _aprengó_, 
   {{0x226c046d,0x2b3a0311,0xb14900be,0x00000000}},	// [e510] _honoho_, _ለንደንን_, _وبلۇسۇ_, --, 
   {{0x529002df,0xf31c0205,0x026d0176,0xe8d003b0}},	//   _mekah_, _قیامی_, _maron_, _støtteko, 
   {{0xd0d50037,0x0cb40013,0xd2900066,0x721c0082}},	//   _ዝርዝሮች_, _мурсий_, _bekak_, _anshun_, 
   {{0x548701b7,0xe29001ec,0xa60b0289,0xad7e00c4}},	//   _पुनभिक्ष, _cekak_, _adamuchi, _اڳڪٿيون_, 
   {{0xac5b0508,0x0e3d00ea,0xc2d906bb,0x92900247}},	//   _cobuild_, _tapatapa, _alfoñs_, _asmane_, 
   {{0xc3f802fa,0xa85802e9,0x6d050359,0x12020399}},	//   _monuc_, _ingresos_, _deputear, _hasino_, 
   {{0xf2900057,0x826c0544,0x3c74008f,0x76c902af}},	//   _tekak_, _nonoho_, _छान्हे_, _kubakubi, 
   {{0xe26d02e7,0xf2f104aa,0x22ca00a6,0xb21c04ea}},	//   _karon_, _emissary_, _abalevi_, _mishon_, 
   {{0x5213007f,0x5cdb05b7,0xdff90251,0x00000000}},	//   _bachan_, _dubrovča, _ashkatoo, --, 
   {{0x8b370203,0x3c710294,0x395800d9,0x0606027b}},	//   _fincasen_, _awariku_, _edulline, _शीलस्कन्, 
   {{0x2219063f,0x3d350029,0x625a01c5,0xc3ee00d9}},	//   _आवाजाही_, _ئۆفیسی_, _shilin_, _линзы_, 
   {{0x622400cf,0xf20000f3,0x336e0151,0xb59501c2}},	//   _takkaa_, _umnini_, _anatchim, _caótica_, 
   {{0xec240226,0xe24d003c,0x562d00a8,0xd084009a}},	//   _angagwir, _arifjatm, _beinglei, _سېزلی_, 
   {{0x42fb008d,0xfb470060,0x017d0360,0xd3090308}},	//   _еврога_, _бардым_, _křídla_, _meratap_, 
   {{0x32130050,0x025b0188,0xe2b4000e,0x598601fe}},	//   _ilahar_, _ajule_, _plicat_, _winitaka_, 
   {{0xc4ae0010,0x129002fb,0xa2140285,0xf2fb00ef}},	//   _angakhok, _hekai_, _abayisil, _kokholo_, 
   {{0xff3d00cd,0xda0f001b,0xea2d004d,0xd3400176}},	// [e520] _bündner_, _bonayyaa_, _世間有阿母惜的囝, _cafesta_, 
   {{0xc87a02bb,0x0e1a018d,0x387a0242,0xe61e0476}},	//   _समृद्धि_, _ኣመስጊኑ_, _tarixinə_, _anondisi, 
   {{0x79670016,0x729202c7,0x4a5d00ab,0xb2900112}},	//   _מגילה_, _zitate_, _kerehoma_, _pekak_, 
   {{0x02360437,0x12da06c6,0x7e380019,0x52fa02aa}},	//   _vilje_, _deseos_, _بەشەنەگە_, _michala_, 
   {{0xfc2800da,0xf2ca02e3,0x6a030068,0xb66d028a}},	//   _кабинету, _kymdan_, _xarakada_, _جلوسن_, 
   {{0xab7b0109,0x18280156,0xffc80311,0x00000000}},	//   _गर्भमा_, _רעיפיסט_, _ስንጭሮታትን_, --, 
   {{0x6f6502a5,0xfcd30061,0x9a07015d,0xc18f018d}},	//   _रूपचन्द्, _사는이야기_, _मुर्दाघर_, _ተመዛቢሉ_, 
   {{0x521600bc,0x0b600119,0xc26d00a0,0x6d10016a}},	//   _فعالیتها, _dagestan_, _yaron_, _aktualec, 
   {{0x173a03f4,0x83f400b4,0xf26d02c2,0x12d500d1}},	//   _долго_, _destul_, _karoo_, _আশাকৰো_, 
   {{0xd140023b,0x62d800e2,0x3f28014d,0xfc06011f}},	//   _illegibl, _sliep_, _hinterla, _chyryry_, 
   {{0x52ca01f0,0x3231042f,0x6a9902ba,0xdbdf03b7}},	//   _baalogi_, _taimalo_, _abahumus, _arleastc, 
   {{0x92c502c2,0x23f50204,0xf26d02f0,0x00000000}},	//   _heilige_, _perinnöl, _kufoja_, --, 
   {{0x47d9008d,0x827e012c,0xd0140188,0x31d90291}},	//   _قووتله_, _udongo_, _вусъат_, _لغيرك_, 
   {{0xaf0201b7,0x73400026,0xc3020206,0x648c022b}},	//   _लघुकौमुद, _ideeën_, _futbale_, _delldell_, 
   {{0xf54c0046,0xb3610552,0xc395031a,0x89c70019}},	//   _كادىرلار_, _cingcuj_, _ahssa_, _тараган_, 
   {{0x24770543,0x526d004f,0x02c4006e,0xe26c02ef}},	//   _ернесто_, _aaroo_, _dalmaas_, _dekode_, 
   {{0x53f80182,0xc3eb019d,0x25e803db,0x070e01bb}},	// [e530] _honua_, _akatha_, _amachaph, _agitasiý, 
   {{0x71e200da,0x83f8023b,0x4f5c0123,0xd46e042d}},	//   _пластиче_, _konua_, _stoppede_, _anadahik, 
   {{0x427303a4,0x66820059,0xef6f0040,0xdbd3021e}},	//   _tínum_, _атанасов_, _ממזרח_, _åtvidabe, 
   {{0x726d01c0,0xa1120213,0x65260119,0x0e170278}},	//   _taron_, _текстовы, _diosdado_, _kegemila, 
   {{0x1354022a,0x81e500da,0x7a9802c4,0xb4130208}},	//   _alferes_, _курмале_, _албански, _لالدا_, 
   {{0xc2a605a4,0xeca7025a,0x6c6000b3,0x03aa0059}},	//   _provozní_, _akayiter, _adatlar_, _servire_, 
   {{0x0aa60260,0x5d28004f,0xb30e06e1,0x72180176}},	//   _libraría_, _dogiwaat_, _empates_, _ayakatam, 
   {{0x5202020b,0xc63301e9,0xdf8b00bb,0x8fcf023c}},	//   _masimo_, _boenjeni, _صریحاً_, _دسپتمبر_, 
   {{0xb29201b9,0x520200aa,0xa9b600c5,0x43f8004c}},	//   _etranz_, _artial_, _胶南市林业局_, _agezako_, 
   {{0x123b01ef,0x726d0076,0x775c0092,0xc85d0013}},	//   _этапах_, _farol_, _アイドルマスタ_, _egallayd, 
   {{0xbc530340,0x36f20315,0x33020053,0x525b004c}},	//   _kaitono_, _angabekw, _temanku_, _akuli_, 
   {{0x56330269,0x13f801fe,0x9f0b01ad,0x927f0107}},	//   _bienveni, _donua_, _weimarer_, _dhaniz_, 
   {{0xe26c0118,0x8c070039,0x048600e4,0xa2ca0132}},	//   _nonono_, _рианна_, _ठिकाना_, _mondom_, 
   {{0x1c5302cf,0x4cb101d2,0xdc730342,0xf6df0297}},	//   _contato_, _ahinataq, _lafrans_, _clarknıñ_, 
   {{0x925b0399,0x3a7c02b1,0x12950396,0x52f20244}},	//   _ekuli_, _majalisa_, _avukati_, _октай_, 
   {{0x7ca004d3,0x8f8304eb,0xd65f012a,0x226c00c8}},	//   _lausneeg_, _अल्का_, _papierow, _bonono_, 
   {{0xe6dd0130,0xf0b70211,0xb1cc015e,0x021c0320}},	// [e540] _kerandaf, _камень_, _рынан_, _etikweni_, 
   {{0x1c5a01fe,0x7dbd01b8,0x0a1000a7,0x127f016a}},	//   _ikatini_, _meeskond_, _subscriu, _prenas_, 
   {{0xcb5b0239,0x046800e6,0x635504cf,0x1f1d0255}},	//   _ahatanga_, _招获取基本面信息_, _elifuna_, _pakutava, 
   {{0xb3b10047,0x6a100033,0x62630620,0x8631004f}},	//   _chaque_, _curascha_, _어서오세요_, _gaaralul_, 
   {{0xa565009a,0xa3f9025a,0x19d4015d,0xb70202b2}},	//   _تنهايي_, _maguru_, _अनुपमा_, _мудрість_, 
   {{0x0305027b,0x60f10013,0xf3ea0053,0x8a8b01f3}},	//   _abravam_, _kasallik_, _ngotot_, _nastaví_, 
   {{0x5867027c,0x126c005b,0xa82c0040,0xb9c901b3}},	//   _andinced, _aonono_, _להעשיר_, _татуюван, 
   {{0x0f220465,0x52240119,0x533f0049,0xc3fa00c5}},	//   _mladostn, _bulkan_, _kalasí_, _visuel_, 
   {{0x925b03ef,0xc6a6056f,0xdf0f0278,0x025a0321}},	//   _ukuli_, _cybersof, _bertaqwa, _ujeli_, 
   {{0x2be40161,0x901d0139,0x6c65021a,0xdb25015e}},	//   _ветерано, _daridrāy, _haatahu_, _кулады_, 
   {{0x3c0e03d8,0x725b03f0,0xde1d0169,0x33940141}},	//   _skuplje_, _skuli_, _সমন্বয়ক_, _asosda_, 
   {{0x2e30007e,0x5ce20040,0xf04b04f9,0xb7c002f9}},	//   _asadrūpa, _לקטנוע_, _aperiinn, _fabaceæ_, 
   {{0x8c00014d,0xa3440230,0xa47b0450,0xe236000d}},	//   _vertrags, _interfe_, _belutsen_, _hilja_, 
   {{0x84610041,0x926d046b,0x28b103b0,0xed09020f}},	//   _амыцхәра, _parod_, _samtalar_, _ښکېلاک_, 
   {{0xa292012d,0x724e0190,0x1a140564,0x485203ed}},	//   _aitape_, _deadinim, _nudaboma_, _padrões_, 
   {{0xd94f019d,0x8f2b034d,0xb292044a,0xe26c0017}},	//   _adalenge, _semestin, _bitape_, _kyjov_, 
   {{0xe43f0026,0xe2e90058,0x9c35035b,0x042300a2}},	// [e550] _대전광역시_, _wasilla_, _kopalnic, _utekelez, 
   {{0xdf8e023c,0xe74d01c8,0x12eb0298,0xea720021}},	//   _دماين_, _bylinkov, _hungawai_, _anslates, 
   {{0xa0390037,0x7a7e02af,0x09fd0011,0xe35a0378}},	//   _ፕሮፖዛል_, _kibarira_, _babiraba_, _grafít_, 
   {{0x0272055f,0x7d920022,0x3e3d004d,0x676b0291}},	//   _vikipedi_, _diterene_, _奧運聖火績溪傳遞_, _أرادوا_, 
   {{0x617201c6,0xc39602f0,0x32490099,0x46b900ec}},	//   _wikipedy_, _avuswe_, _bvuma_, _nepasiti, 
   {{0x823602cb,0x2057029a,0x403902f9,0xecff00df}},	//   _bilja_, _maksiman, _konfisyo, _tertiair, 
   {{0x42d9025b,0x702d0034,0xe30003b5,0x29db0433}},	//   _majorur_, _kaffisto, _terarah_, _khmelnyt, 
   {{0x5ea8012d,0xd0760178,0xfe3501c0,0xfea4060d}},	//   _diatheke_, _atretyād, _basakkwa, _माओत्से_, 
   {{0xd2d80312,0x196000fb,0x3c1b016e,0xd07000de}},	//   _plaen_, _alungise, _dolaplar, _ارشاداتو_, 
   {{0xd25b0447,0x820e0177,0x6f570226,0x1e5402ed}},	//   _mkulu_, _ҭамаз_, _imapanga, _alfageme_, 
   {{0xfc520671,0x830000d2,0xb671006d,0x00000000}},	//   _kontoen_, _kaharti_, _берцэліу, --, 
   {{0xf25b050a,0xc201011b,0x8657005d,0x59b50189}},	//   _okulu_, _kebisa_, _katalúña, _sembolü_, 
   {{0x01fd0125,0xc4b00756,0xc379030f,0xa26d02e2}},	//   _dabarasy_, _एलईडी_, _peratia_, _carob_, 
   {{0x5ed4028a,0xf2b203f0,0x120201d7,0xeffa0453}},	//   _مبينه_, _haldinn_, _alpins_, _fiskalno, 
   {{0x526d00df,0xa26d0288,0x0bee040f,0xb21c005b}},	//   _maroc_, _paroe_, _затое_, _anshin_, 
   {{0xe2ca01b9,0x9420065c,0xf41d0119,0xd04c0347}},	//   _evida_, _alwaziyo_, _magigink, _benuttin, 
   {{0xf2ca0417,0xa628014d,0x12d900dd,0x0ad40192}},	// [e560] _rondom_, _besichti, _carnedd_, _formaten_, 
   {{0x5c690409,0x570500e6,0xd52002f7,0xd1ad050a}},	//   _flertal_, _国家科技支撑计划, _lekopany, _kararsız, 
   {{0x5eaa0373,0x5379030f,0x5b2c034c,0xd5e000e6}},	//   _kondukis_, _keraria_, _elyazmas, _日以书面形式通知, 
   {{0x62d901f9,0xf13a015e,0xe23d026f,0xe30004ac}},	//   _abanjwe_, _evolució_, _фотомұра, _pahasti_, 
   {{0xe25b0320,0x10df0039,0x72df01d4,0xcccd0139}},	//   _nkulu_, _америкчу, _accostu_, _braviidr, 
   {{0x0e460205,0xe0b00135,0x925b019f,0x02b4001d}},	//   _tumanida, _sportçıl, _ikulu_, _amicie_, 
   {{0x91960051,0x233400ff,0x09ef047d,0x92d80396}},	//   _paredzēt, _סאציאל_, _täuschun, _bliet_, 
   {{0x12900079,0x70e101bb,0x2dbb0287,0xd95f0265}},	//   _nekas_, _tehnikal, _moderníc, _abonnere, 
   {{0xf62e0663,0xd386012e,0xb2d80127,0x77c70188}},	//   _mpofirim_, _مداحوں_, _elies_, _маризии_, 
   {{0x35ee039c,0xbc6e028f,0xb5830024,0x92c903da}},	//   _tradució, _aperira_, _বিচাৰিলে_, _naadighi_, 
   {{0xb2d8033a,0xa408004a,0xc4ee0125,0xd200027f}},	//   _tliet_, _abdullin_, _дининден_, _bahize_, 
   {{0x029602c9,0xd4fb0235,0x33a4035d,0x9e350357}},	//   _експерие, _कुमारः_, _holandij, _nadariva, 
   {{0x029000b1,0x724c00da,0x00000000,0x00000000}},	//   _mekas_, _консемня, --, --, 
   {{0x626403a4,0x62fd00c3,0x8e4502a2,0xdaef0250}},	//   _skuldi_, _civilis_, _pahayaga, _hebrenjt, 
   {{0x53f1033a,0x125b0289,0xa36000a6,0xa65c00da}},	//   _esportaz, _akulu_, _سفارتونو_, _explică_, 
   {{0x42360257,0xf35b0437,0xbbe80066,0xb21c02e2}},	//   _vilji_, _stoffer_, _секстэх_, _kishan_, 
   {{0x8bb501cb,0x42d8077c,0x235e0022,0x162d028f}},	// [e570] _amahlelo_, _olier_, _рауза_, _kopikopi, 
   {{0xf3b000a4,0xd21d0193,0xd9c500ad,0x6340033a}},	//   _кенже_, _maskapai_, _patempat, _cavetta_, 
   {{0x2a7d014c,0x5aa30061,0x4201010d,0x7a0300d8}},	//   _babazisa_, _프랑스에서_, _sebisa_, _abracada_, 
   {{0x984c0141,0x22d80117,0x48d80178,0x9a8500bc}},	//   _портлати, _flaem_, _alpakṛcc, _خوندن_, 
   {{0x227e0318,0x72d80130,0xec8500f5,0x23f80062}},	//   _neongo_, _alies_, _стадиясы, _bonud_, 
   {{0x826d005b,0x828d0117,0x20370313,0x00000000}},	//   _decore_, _hetkota_, _duleghmo, --, 
   {{0x19a702fe,0x3d12040b,0x0290021e,0xc2f50016}},	//   _المنفعه_, _phorogir, _nekar_, _arkivoj_, 
   {{0x121c00b0,0x684700a7,0x540f01fb,0x6c6d013d}},	//   _bishan_, _populars_, _hurrican_, _minutoj_, 
   {{0xb2d80181,0x42630088,0x09d20296,0x00000000}},	//   _flier_, _алмакпыз_, _direktbe, --, 
   {{0xc3050197,0x2ec80250,0xd34400ab,0x72fc02fb}},	//   _abraram_, _ekzisten, _kereeme_, _pangai_, 
   {{0x52900227,0x7b0d00bc,0x2598006c,0x75f40156}},	//   _bekas_, _کشیدن_, _abasemaz, _ערשלער_, 
   {{0x6cc60044,0xec9801f4,0xa27c005d,0x03f80184}},	//   _אינסטלטו, _бостириб_, _aénte_, _igezeko_, 
   {{0x226200d0,0xb09603ce,0xf7f501e6,0xbba5006f}},	//   _аврах_, _کاناڵی_, _personál_, _misimamo_, 
   {{0x3ca6008b,0x32da024b,0xa9260587,0x197b0349}},	//   _adiratig_, _deseas_, _wikipèdi, _acrifice, 
   {{0x17cb01f7,0x9dcb04bd,0xd26c01f2,0x900b00e6}},	//   _desparti, _akālai_, _көкйөтәл, _百件实事网上办_, 
   {{0xac530052,0x6473033b,0xd14b033c,0x1e6801db}},	//   _विदेह_, _diketelo_, _effeithl, _ءﺑﻮﻟﯩﺴﯩﻦ_, 
   {{0x137a01c0,0x185201b9,0xb9f40448,0x8b060024}},	// [e580] _mutanen_, _aprofond, _overskud, _বিয়পি_, 
   {{0x8cda01ea,0xd2780145,0x32bb003b,0xe2d603b6}},	//   _видеобло, _pernai_, _aphenye_, _ihamọ_, 
   {{0x130e00b6,0x62d8015e,0x826d0183,0x9df0023e}},	//   _daabisa_, _noies_, _baroa_, _فنجون_, 
   {{0x187406c0,0x629003fc,0xa2920077,0x79db0285}},	//   _časopisy_, _dekar_, _antame_, _abinjira_, 
   {{0xc3ce0493,0x62b4019a,0xb29004b9,0x1070012a}},	//   _yaiva_, _alicht_, _becam_, _drukarek_, 
   {{0x63ce0335,0x62e00097,0x6088015e,0xbb7301b5}},	//   _caiva_, _aguntan_, _туристте, _apfumala_, 
   {{0x8373021f,0xce340021,0x35570368,0x00000000}},	//   _banamne_, _almartwa, _прилива_, --, 
   {{0x3b220075,0xbc53033d,0x5101002b,0xa0eb002f}},	//   _trupulle, _apatman_, _নিয়োগের_, _chimpañi, 
   {{0xf74e014e,0x93ea0277,0x38c00168,0x3c090362}},	//   _траве_, _bantog_, _kartlegg, _bompaka_, 
   {{0x2c7e02ec,0x62900256,0x922f01f6,0xc82e000c}},	//   _گٲمیُن_, _sekas_, _অৱলম্বন_, _креиг_, 
   {{0x53ce0103,0x96f00021,0xc29100e2,0x11080023}},	//   _raiva_, _apparelw, _kreake_, _подружка_, 
   {{0x63ce0025,0x02900120,0x1a110068,0xdb6d0390}},	//   _saiva_, _kalalu_, _walaalke, _dəccalın_, 
   {{0x33ce0493,0x5c5502e0,0x386700c3,0xdaf7021b}},	//   _paiva_, _agetswe_, _nominatu, _баланса_, 
   {{0xb3f80212,0xcc53018d,0xc2b50061,0xc3340109}},	//   _bonum_, _ኣሳናዳኢት_, _klacht_, _किनारामा_, 
   {{0x93ce0326,0x32900414,0x85560013,0xf6170107}},	//   _vaiva_, _malamu_, _байроғи_, _ثارالله_, 
   {{0x52da0244,0xcd71014d,0x6b45045e,0xc680006e}},	//   _essere_, _marktfüh, _рутера_, _matemeti, 
   {{0xb2da02b0,0xc2c60254,0x529000bc,0x149c0094}},	// [e590] _können_, _alumnos_, _sekar_, _туристік_, 
   {{0xa81c02ac,0xb0e500da,0x00000000,0x00000000}},	//   _سنغافورة_, _эуропей_, --, --, 
   {{0x94290208,0xeae003ae,0x027e03f6,0xac670306}},	//   _مولازم_, _fastlege, _neoneo_, _bahuaja_, 
   {{0x5b8a02ea,0xb80a0008,0xe650044e,0x12020156}},	//   _покой_, _تەرمەچىك, _иммуноде, _absido_, 
   {{0x00000000,0x00000000,0x00000000,0x00000000}},	//   --, --, --, --, 
   {{0x1ae3029a,0xbb9201d9,0x333d002b,0xec6201b9}},	//   _deplizan_, _franzmac, _চর্মসার_, _metrize_, 
   {{0xe2500299,0xcb2502b6,0x3bc30052,0x348a0161}},	//   _تىنەپ_, _турасын_, _तल्लादेह, _кировско, 
   {{0xcc0d056d,0xc6890223,0x63cb03b0,0xb3e0044a}},	//   _abapase_, _valentzi, _নভেম্বৰ_, _okolamuk, 
   {{0xd3070006,0x71b80147,0xee000203,0x78510094}},	//   _dibawah_, _بەشۅۅ_, _fonetisa, _берекесі, 
   {{0x02fc01d8,0x0e4004f9,0xd2900037,0x72c50246}},	//   _nangli_, _allaniit_, _mekap_, _пластинч, 
   {{0xa5a801e1,0x92130342,0x025b00a0,0xc22b0165}},	//   _салауатт, _machin_, _ahalin_, _talmage_, 
   {{0x52f902ec,0x82130197,0xb28702ac,0x59210012}},	//   _وتھرٕ_, _lachin_, _يعتذر_, _चउरहीउचा, 
   {{0x8a7e00c3,0x420e0066,0xc2fe019f,0x53950055}},	//   _sceleris, _яавал_, _karatasi_, _fassi_, 
   {{0xf2e7013b,0x198501d2,0x42fe00ee,0xe84801f6}},	//   _lipnica_, _brokenre, _kargua_, _adelsgod, 
   {{0x1b02018b,0x9c7801f4,0x13e0044a,0x67ab00d1}},	//   _толулуй_, _beruniy_, _ekolamuk, _কাষেদি_, 
   {{0xf2910172,0x3b7900c1,0x82910172,0x35980040}},	//   _mesan_, _मुसळधार_, _sesaa_, _מתאמים_, 
   {{0x32900247,0xb2d401a7,0x8b6d0101,0xbebd0044}},	// [e5a0] _cekap_, _kauden_, _apropier, _entrance_, 
   {{0x239501d8,0xa2cd01ac,0x633d0247,0x02d802a3}},	//   _cassi_, _uilliam_, _میناب_, _enkels_, 
   {{0x1345000e,0xb1ff02ac,0xec930147,0x00000000}},	//   _guidant_, _afracach_, _دالام_, --, 
   {{0xcd98015e,0x46520322,0x334603f1,0xb212001c}},	//   _бештин_, _abazaniy, _predpis_, _elihir_, 
   {{0xf290083b,0x42b506e5,0x22000003,0x12d80008}},	//   _afkan_, _slacht_, _schiet_, _plaer_, 
   {{0x2d05000e,0xd3ce00ec,0xbb5100c7,0xa2d80083}},	//   _negliget_, _laivo_, _hindstan_, _coier_, 
   {{0xda7d00a0,0x00000000,0x00000000,0x00000000}},	//   _alkawura_, --, --, --, 
   {{0x8aea0225,0x62910004,0x4e56015e,0x00000000}},	//   _emetsime, _desan_, _баттан_, --, 
   {{0xc4b80105,0xb5a5026f,0x72fc017d,0x72900278}},	//   _विशेषकर_, _ءﻧﺎﺭﯨﻦ_, _socialt_, _cecah_, 
   {{0xa2e601c6,0xdab8005e,0x93730055,0x3cbe00a6}},	//   _njonken_, _ئۈنلۈك_, _allaire_, _دمذهب_, 
   {{0x7e99030b,0xfa040288,0x2c1d02b9,0xdb1d001a}},	//   _abatumye_, _kababait, _magazinr, _magazinb, 
   {{0xd5a3028d,0x4e940226,0x63790120,0x11630023}},	//   _introdik, _atamuman, _makaado_, _иноплане, 
   {{0x42fc01ca,0xa34101e0,0x32010028,0x8abb03ed}},	//   _bangli_, _بنیات_, _nebiga_, _exército_, 
   {{0x4291014e,0x5d9e04bd,0xb3f4014d,0x76cc017a}},	//   _besan_, _likelike_, _harten_, _ahlakani, 
   {{0xe3f4025c,0x475d03a6,0x5394016e,0xb3bc0238}},	//   _karten_, _bayitang, _eposta_, _хрещення_, 
   {{0x825b01bb,0x21350098,0x059200c5,0x10e50008}},	//   _okalan_, _østeurop, _spontané, _алжирде_, 
   {{0xb58701da,0x59c60408,0x9de9037f,0xe26c00d7}},	// [e5b0] _austriak, _antenant, _dartışma, _lekole_, 
   {{0x794f019d,0x2aa902b6,0x75e401cd,0x7ddb02fe}},	//   _adalonge, _денеге_, _akachith, _ayekhala, 
   {{0xf7e90456,0x9c6302cf,0x22900357,0xfd13016f}},	//   _keusahaw, _репертоа, _mecai_, _vaksiner, 
   {{0x3249008e,0x53aa0057,0xfd7203d6,0x586301cd}},	//   _awuma_, _sesawang_, _महिषासुर_, _довари_, 
   {{0xe355019b,0x3af2009c,0x684a0326,0xff51027b}},	//   _pergalę_, _amistadt, _akamboku, _सुभगे_, 
   {{0xcf4d00b8,0x3c6d01a6,0x7a3e00de,0x01a9027b}},	//   _aruskipt_, _hairuha_, _مستقیمه_, _कृतनिश्च, 
   {{0x7f730428,0x4b55014e,0x187200d8,0xeedd02f3}},	//   _posamezn, _младен_, _alienòr_, _utbyggna, 
   {{0xcba2019f,0x8291008c,0x7a730334,0x626c02f9}},	//   _عبداللطي, _vesan_, _ankaweta_, _dekole_, 
   {{0x7a3901af,0xf44500c5,0x803701ab,0x92910117}},	//   _медени_, _国家广播电影电视, _काँहे_, _wesan_, 
   {{0x02ca04c8,0x4d89026c,0xabb60208,0x05920371}},	//   _gwida_, _ostendit_, _ببریت_, _севернат, 
   {{0x0cc50085,0x13b10036,0xffbd0077,0x75f40156}},	//   _batinamu_, _الزائد_, _beyondbo, _הארבער_, 
   {{0x8290040a,0xd6d403dc,0xcb2200c7,0x528c005c}},	//   _ibland_, _sambandi, _берүк_, _amakuza_, 
   {{0xb3c60156,0x4c72014a,0x2f2300c8,0x72c50263}},	//   _אבריאל_, _sportos_, _dumellan, _primair_, 
   {{0x2291038e,0x2f200076,0x376400dd,0x720000a6}},	//   _pesan_, _desempen, _anniddig, _aphind_, 
   {{0xbee102e7,0xe5e900c7,0xd348018d,0x00000000}},	//   _backless_, _azsanlı_, _peleshi_, --, 
   {{0xf23605c0,0x89cd02d8,0xeb2b06dd,0x1ed50259}},	//   _midja_, _diperhit, _ogmantas, _bevillin, 
   {{0xb4450276,0xf9e8003d,0x630e0040,0x7dbb0287}},	// [e5c0] _باسقۇچ_, _alinhada_, _impacts_, _moderníh, 
   {{0x0bfd0359,0xcd7f0065,0x4c85020f,0x7b770291}},	//   _geweldic, _baumarkt_, _قانونې_, _باحترام_, 
   {{0x825b0372,0x24ac002f,0x1ddb01b4,0x03ce0020}},	//   _chalon_, _ashanink, _lekkesla, _maave_, 
   {{0x020203dd,0x76450113,0xb3a703c3,0x012a0167}},	//   _opsion_, _drochscé, _ohrabruj, _gredadwy_, 
   {{0x3a4c0219,0x7ae0020e,0x63f400b4,0x5291017e}},	//   _nendlela_, _basebets, _restul_, _sesan_, 
   {{0xa47b005c,0xadbe0357,0x4291011c,0x49e50210}},	//   _kwegerez, _maliwala, _desal_, _apereked, 
   {{0xcec500f2,0xcaa10025,0x262402c8,0x3026011a}},	//   _princips_, _सृष्ट्वा_, _pedagoxí, _ליפסטיק_, 
   {{0x7ea00089,0x710003ee,0xf95f0184,0x6291044d}},	//   _arxivınd, _zaslužio_, _icongere, _fesal_, 
   {{0xd75800e4,0x59ee04f2,0x034002c7,0xd897002b}},	//   _याग्निक_, _tienchip_, _daneben_, _হিজড়া_, 
   {{0xb0a90204,0x927f0261,0xc69e0211,0x160100be}},	//   _подарить_, _prenis_, _посадочн, _كونوۋالو, 
   {{0xa0cb00a6,0x32780333,0x33940059,0x00000000}},	//   _achophel, _adunì_, _sposta_, --, 
   {{0xb5810039,0xfae400ff,0x76c9029b,0xee6c0510}},	//   _pentsatz, _ראפשיץ_, _ansaaram_, _убедител, 
   {{0xb3ce02e8,0x1999021c,0x4c8f0276,0xd03a015e}},	//   _taive_, _neexistu, _قويماڭ_, _таркатыл, 
   {{0xe37c004f,0x36a70195,0xc6450025,0xb3860068}},	//   _aaraffe_, _athraich, _प्रतिनिव, _doorto_, 
   {{0x9eb7008d,0xeb060092,0xc2b504a4,0x6c5500da}},	//   _зарарни_, _特定商取引に関す, _glacte_, _montate_, 
   {{0xe30103e6,0x09c70078,0xc12a0167,0xfdce02ba}},	//   _papagei_, _банака_, _credadwy_, _бинен_, 
   {{0x63dc0438,0x07a30175,0x32d90125,0x453700e0}},	// [e5d0] _njiwa_, _entrodwi, _alyew_, _sinnesky, 
   {{0x52f60257,0x037a015e,0xcdbb0109,0x7c0802c5}},	//   _borginni_, _estaven_, _moderním, _chigarir, 
   {{0x2f05011d,0x753802bc,0xc986020a,0x62c8012b}},	//   _курате_, _telibish, _باققىز_, _podawać_, 
   {{0x4b47036e,0x1a6702c3,0x328502c2,0x72900026}},	//   _chocoras, _užíva_, _aanklag_, _ernaar_, 
   {{0xca8f02ec,0x62920036,0x23ba02e3,0xb44f0040}},	//   _aaminsan_, _capall_, _subviet_, _המעמד_, 
   {{0xc26b03a7,0x82770354,0x515e02e2,0x75770147}},	//   _petržalk, _сайман_, _aerology_, _сайкал_, 
   {{0xc69c023d,0x025b0200,0x220203b6,0xaac4005d}},	//   _достатъч, _ejula_, _lasiko_, _jahahápe_, 
   {{0x779100a2,0xde46023e,0x00000000,0x00000000}},	//   _صلاحڪار_, _diparaga, --, --, 
   {{0xe2910229,0x3a92006a,0x3deb0076,0xf4e3019e}},	//   _hesab_, _dranomas, _измените_, _феерверк, 
   {{0x552c0046,0x226d002e,0x1ffc005e,0x378701bd}},	//   _контролд, _uzrok_, _санилиду_, _вирустар, 
   {{0x03f80058,0x358301f6,0x3ab80142,0xb04401a3}},	//   _fonun_, _বিচাৰিছে_, _bhraṣṭā_, _پھچندو_, 
   {{0x29c50255,0xffc2006e,0x0ee80344,0xb2000399}},	//   _matemaat, _bobooboo, _alakkaan, _ioniui_, 
   {{0x941e037a,0x4ff3005e,0xe3fa04bd,0x320e05f8}},	//   _kiganiro_, _ﯮﺧﺸﺎﺵ_, _pupule_, _ласан_, 
   {{0x7c6d0016,0xea150416,0xd1fb03ad,0xba8f02a2}},	//   _sekreta_, _detallie, _allinjam, _paminsan_, 
   {{0xd63e00a5,0xc1e701c9,0xc75b018d,0xfe5b0048}},	//   _filifili, _अनारी_, _መቓብርካ_, _akabenje_, 
   {{0xba0602af,0x943e02d3,0xcbcd0153,0x33f200a3}},	//   _akabirwa_, _kkkkkkkk, _お気に入りの検定_, _avveging_, 
   {{0xb1cc048a,0xf2fc0298,0x43fe030b,0x2a7f0172}},	// [e5e0] _сынан_, _hangai_, _abazira_, _pirapira_, 
   {{0xee7c0052,0x723c00d2,0x0f45056e,0x520103de}},	//   _सेल्स_, _ngumpul_, _antibiót, _iofisi_, 
   {{0xe202002c,0xeb5b02e8,0xbb270205,0xda0601a2}},	//   _hasiko_, _akatanga_, _беркитиб_, _kļūtu_, 
   {{0x42fc0340,0xdd2a0148,0x58c6000b,0xe3600227}},	//   _mangai_, _全店購物滿_, _atatifag, _seimbang_, 
   {{0x023e00dc,0x041e0069,0x32fc019b,0x82fd0268}},	//   _milenium, _biganiro_, _langai_, _apanesej, 
   {{0x76cb0099,0x9ecb02e8,0x65dd0008,0x6bf60156}},	//   _achashai, _achishan, _mercadal_, _קאַװעהײַ, 
   {{0x73ea0130,0x00000000,0x00000000,0x00000000}},	//   _fantig_, --, --, --, 
   {{0xf2bb020e,0x3cf1000a,0x00000000,0x00000000}},	//   _hahelwe_, _guitarer, --, --, 
   {{0x70e20162,0xf30e01d7,0x19230092,0xe8c100d1}},	//   _بەرىبىر_, _detagls_, _ブログ同時投稿機, _আমোলাসকল, 
   {{0x3bfb00d2,0x8200061f,0x12d600c5,0x39f80037}},	//   _pangawer, _goniti_, _roulant_, _senibina_, 
   {{0x4c3401c6,0x77b6021e,0x42010511,0x91590177}},	//   _kompetys, _taxering, _hofisi_, _цертқәа_, 
   {{0x62ca00db,0x6b330364,0x8ea1053e,0x7c9301c2}},	//   _avada_, _concerts, _begrepet_, _intentou_, 
   {{0x373b0059,0x739d0204,0x3f430418,0x00000000}},	//   _останала, _намерены_, _sessizce_, --, 
   {{0xcaf5016d,0xd3f80125,0x67340156,0x9f1d01d7}},	//   _ﺗﯜﺭﻛﯩﻲ_, _sonun_, _דאַקעגן_, _instanza, 
   {{0x60d8028e,0x02fc01d4,0x76cb018b,0xc2b30046}},	//   _rikonsil, _ranghi_, _straluci, _tordera_, 
   {{0x621302e2,0x521c00b9,0xf25a014f,0x2d4d03f3}},	//   _atehim_, _onthel_, _odela_, _benaderd_, 
   {{0xb3ca00c7,0x9545036e,0x52ea04f8,0xab5b036c}},	// [e5f0] _duması_, _atikunch, _magnets_, _ahatonga_, 
   {{0x13ce01b7,0x09ce0437,0xaf310381,0x888800da}},	//   _naiva_, _ulydighe, _abusedwa, _фестивэ_, 
   {{0xabf7007e,0x52940234,0xcc5503f3,0x7dae01c0}},	//   _anirdiṣṭ, _idakeji_, _verteld_, _farfashe_, 
   {{0xe2b3033e,0x9b01025c,0xe2d50310,0x73440129}},	//   _galdino_, _sonstige, _bruthadh_, _meremme_, 
   {{0xbaea02ee,0xc21304c8,0xefad0073,0x9d0c0157}},	//   _adattame, _ftehim_, _opposito, _रोक्कस्ट, 
   {{0x67f4030c,0xb4890061,0x00000000,0x00000000}},	//   _algautig, _해피도훈맘_, --, --, 
   {{0x525a0252,0x859c0025,0x7254021b,0xbdbf0100}},	//   _edela_, _ayogyasy, _soveltam, _ponašati_, 
   {{0x29830305,0x00000000,0x00000000,0x00000000}},	//   _boligbyt, --, --, --, 
   {{0x52da0024,0xd3af039e,0x70e40040,0xc2680109}},	//   _barend_, _delving_, _באלימות_, _pikantní_, 
   {{0x521c0176,0xd3ea0410,0xe224021a,0x973f04d7}},	//   _mishin_, _kgothe_, _bakkka_, _edinborg, 
   {{0xe3eb0591,0xebfd02cb,0xd9e40102,0x49e60403}},	//   _texter_, _poreznic, _kamuhand, _gorodona_, 
   {{0xba150160,0xcae50021,0x3c5d0415,0xfd7c0125}},	//   _članaka_, _aberrate, _zentrum_, _шаркылар_, 
   {{0x027e02b9,0x4dfc020e,0x390902d6,0xf2b400dd}},	//   _akinek_, _bokellwa, _дераза_, _dalcen_, 
   {{0x6c60047d,0x97a101b5,0x22d901f0,0xda910513}},	//   _scouten_, _lamuleri, _iponele_, _matilumb, 
   {{0xf291005c,0x33f401c5,0x323a01fc,0x87ef0035}},	//   _madamu_, _tartan_, _cammadu_, _дәрте_, 
   {{0x04fb0546,0x326c02c2,0x550002b6,0x634b031e}},	//   _जीवाणु_, _tekort_, _اقباراتت, _pocetku_, 
   {{0x93ce0718,0x126c0454,0x925b00ec,0x00000000}},	// [e600] _faiva_, _kinogo_, _žalos_, --, 
   {{0x732706a2,0x8e470125,0xb9c9012d,0x87a001b9}},	//   _amacumu_, _терезиси_, _solowara_, _vantardi, 
   {{0x98b60019,0x6a180044,0xa3160348,0xfade00d7}},	//   _بانزاسى_, _speculat, _akabubi_, _diyunive, 
   {{0xcc5d053e,0x26c502c1,0x083d00ba,0x5eb900b6}},	//   _sentrum_, _amashush, _حزبێکی_, _koroosin, 
   {{0xf7ea00be,0xa45d00c5,0x0e000477,0x00000000}},	//   _بىلبەسە_, _重庆市渝中区人民, _kejelasa, --, 
   {{0xac6302c3,0x22fc004d,0x3fd10076,0xdb5b0003}},	//   _zabudol_, _legibus_, _assistir_, _groenten_, 
   {{0xf6cb06b6,0xb8c00218,0x9a5200de,0x0e56019e}},	//   _agradeci, _assessed, _cinezela_, _брэслаў_, 
   {{0xfc6e0207,0x1575025b,0xb23e0061,0x76f500f5}},	//   _nyaraka_, _postverk, _실시합니다_, _өвүтлери, 
   {{0xfd0a017f,0x02910129,0xf2fc0271,0x0e700297}},	//   _februaar, _kesaa_, _sosialt_, _artistlı, 
   {{0x025a003d,0xa2b4007b,0x41c40486,0xee9900a6}},	//   _isolat_, _bladded_, _malované_, _besusiwe_, 
   {{0xf7a8036f,0x12900121,0xad3f026c,0xa9b1020f}},	//   _protekli, _becas_, _militiae_, _نرمښت_, 
   {{0xa768018d,0x5e9600bb,0x1d0f038d,0x4431036e}},	//   _ቤተሰባዊ_, _پرنور_, _rekonnet_, _chibuleo_, 
   {{0x4307010d,0xc27f00f4,0xed2d00be,0xd17c0272}},	//   _cobalah_, _akanek_, _زۋونوگۇ_, _babatwal, 
   {{0xa1e70405,0xd39500a0,0x4cdd00ba,0xf626005b}},	//   _знати_, _nassi_, _میزۆپۆتا, _delonghi, 
   {{0xb34500a4,0xdf110073,0x1aef0045,0x0eb305ce}},	//   _cridant_, _murmurar_, _sklonjen_, _pırlanta_, 
   {{0xa264016e,0x237f033e,0x4c0505f4,0x9e53065a}},	//   _teslim_, _gamarra_, _marsupi_, _ababenga, 
   {{0x1a7400d6,0x2c6e0321,0x72010238,0xb3cf022b}},	// [e610] _ranganna_, _dobrega_, _craigs_, _stevna_, 
   {{0xe2490148,0xcc5a044a,0x63f80005,0x227f036e}},	//   _基本面素養_, _bantodi_, _honur_, _busna_, 
   {{0xc32000b2,0xd94103bf,0x8e4502f6,0xc305041c}},	//   _abiyee_, _atoloset, _mahalaga, _barabam_, 
   {{0x1649009b,0x356200ca,0xe5d700d9,0x666b00e4}},	//   _тендерт_, _bibliotè, _нанести_, _आच्छादित_, 
   {{0x9a06009a,0x02d800c1,0x40e00064,0xb1210089}},	//   _تکبير_, _cikeas_, _бернштам_, _isqandär_, 
   {{0x9e5c0374,0xe6f700be,0xe29103ac,0x03f90008}},	//   _باشچیلیگ, _بالاسنا_, _resah_, _refugi_, 
   {{0xf2910050,0x363c03f6,0xfb020436,0x00000000}},	//   _sesah_, _malihini, _neefikas, --, 
   {{0xa52602f2,0xd4640143,0x00000000,0x00000000}},	//   _pulsando_, _узана_, --, --, 
   {{0x37b60363,0x82fc004d,0x2f5600c7,0x65db0188}},	//   _plasseri, _regibus_, _байрагы_, _akubonay, 
   {{0x3a8a01b9,0x03f40279,0x9bae014c,0x704e011a}},	//   _ambision_, _carton_, _kwehlobo_, _רוטנברג_, 
   {{0xf3860244,0x025800f2,0xab1b0448,0xc2ff02eb}},	//   _messaggi_, _angliski_, _trappest, _afrikar_, 
   {{0x5ca60066,0xe2070282,0x00000000,0x00000000}},	//   _хаясан_, _kiritaki_, --, --, 
   {{0x596a015a,0x66cc0206,0xfd820207,0x00000000}},	//   _amantiit, _ukladani, _نڇاور_, --, 
   {{0x360801a7,0xa2ce0444,0x5800012a,0x36ca02b2}},	//   _normaali, _заданной_, _wieprzow, _звучать_, 
   {{0x32da0359,0x3114013e,0xb7a50138,0x71360079}},	//   _bareld_, _raskinul, _edilemez_, _baltrisk_, 
   {{0x17aa018d,0x48d80019,0x8acb0460,0x86cf010e}},	//   _እነካይዶ_, _натуралд, _स्वरचित_, _dumarami, 
   {{0x6a5700c1,0x6e450140,0xdf29016d,0x494c0291}},	// [e620] _फ्लॉवर्स_, _kahalaga, _қиззиққу, _وينعاد_, 
   {{0x9c93020a,0xcdc002ff,0xa96b0073,0x52d80158}},	//   _كانال_, _medikama, _delivrat, _dniem_, 
   {{0xe2d8048f,0xf014021c,0xf063023c,0x7e1402a6}},	//   _dikens_, _outdooro, _akusafun, _vacciné_, 
   {{0x077b0349,0xbfe900e6,0x529002d9,0xcb9a01e9}},	//   _acrylicw, _形成恶性循环_, _palalu_, _katheder, 
   {{0xd5730397,0x82900272,0x35bb02b0,0x00000000}},	//   _метароша, _balamu_, _veransch, --, 
   {{0x9d1b0078,0x4db30178,0x00e7003b,0x72d40066}},	//   _страхом_, _ananyena, _balitjel, _gauden_, 
   {{0xc2f40191,0x8f6d0361,0x5ad40081,0xc3780562}},	//   _barnens_, _носителе, _skattgre, _kayanza_, 
   {{0x0f5200e6,0xd9600039,0x9b1800fb,0x452c00ba}},	//   _只要用鼠标拖动进, _нэхий_, _bangazis, _نالێن_, 
   {{0xd3f40016,0x0b1100de,0xd2d10414,0xa1fe036c}},	//   _parton_, _bursarie, _parleur_, _taratasy_, 
   {{0x13f80034,0x6a050340,0x4f3f0139,0xad9a0218}},	//   _sonur_, _karaipit, _anirākar, _agentswa, 
   {{0xe1f400ff,0xbc25008d,0xa06b023c,0x452f02a6}},	//   _קרעסאן_, _bakalavr, _ښکلاوو_, _ammentà_, 
   {{0xd67902c9,0xbd840197,0x92260035,0xcdf60296}},	//   _басарабя, _akredite_, _аквински, _fordonet_, 
   {{0x253e012b,0x9c070335,0x7e070086,0x00000000}},	//   _napisany, _cūḍikāba, _linkjét_, --, 
   {{0x4c780417,0x16d10225,0xf79901cd,0x7c2400d6}},	//   _verskil_, _karabumi, _кабристо, _calafoir, 
   {{0xc15b0047,0xe5370066,0x3c7c0132,0x18cb0178}},	//   _月参加工作_, _мансууру, _térben_, _bhājaḥ_, 
   {{0x2cbd021c,0x4e570217,0x561d036f,0x6ffa0460}},	//   _kapacitu_, _placente_, _svinjeti, _मोरारजी_, 
   {{0x2dcd0162,0xb58f0040,0xcaa902ea,0x00000000}},	// [e630] _сунән_, _ממועד_, _тетевен_, --, 
   {{0xaea40094,0xef91040f,0xdc8a00bb,0x22ad0041}},	//   _جويىپ_, _premjero, _پرمبنی_, _ҳзымҭиц_, 
   {{0xbc7702e2,0x4f290456,0xbb5100ba,0x37ca03ae}},	//   _eyesore_, _baitulma, _شێردڵ_, _innsamli, 
   {{0x3e5601bb,0xa3f40415,0x551b0193,0x00000000}},	//   _арасса_, _garten_, _prasetyo_, --, 
   {{0xc2240124,0x049d006f,0x1d90017a,0x43470107}},	//   _shokoi_, _kutangaz, _рейди_, _sumeria_, 
   {{0xe2910292,0x00000000,0x00000000,0x00000000}},	//   _sesaw_, --, --, --, 
   {{0xce4500aa,0x446f004c,0x00000000,0x00000000}},	//   _kahabaga, _batembuz, --, --, 
   {{0x209400c5,0x1e24007b,0x847f01f0,0xd34602fe}},	//   _行政许可法_, _stumbles_, _bangwato_, _وطندوست_, 
   {{0x93f40211,0xf1cb0039,0x37ee01a6,0x72da03d1}},	//   _varten_, _besterik_, _hurahang, _varetu_, 
   {{0xa3f40415,0x12df008e,0x53060428,0xf2f3022e}},	//   _warten_, _bennoog_, _akvarij_, _abbianu_, 
   {{0x6200032e,0xaafc005a,0x42fc0013,0x410803f1}},	//   _achikt_, _bibejnis, _rangli_, _minerálk, 
   {{0x1ec40086,0x00000000,0x00000000,0x00000000}},	//   _elinduln, --, --, --, 
   {{0x5e590024,0xa020015b,0x647b00e2,0xf37f0233}},	//   _দিয়াটো_, _nabwaran, _bedutsen_, _piratic_, 
   {{0x828c0196,0x02e903b8,0x67c000a7,0x32fc003f}},	//   _amakoka_, _иегова_, _passarem_, _qangli_, 
   {{0x82fd0105,0xed6400e6,0x127f0181,0x61f60097}},	//   _nibhand_, _五一视频专题_, _asenos_, _kúkúrú_, 
   {{0x98c600a5,0x47a300be,0x93aa0148,0xe3cf01df}},	//   _leatigag, _شاشلباچى_, _cervice_, _leevin_, 
   {{0xcd65004b,0xa3f80364,0x4a0302bf,0xad330159}},	// [e640] _алымдар_, _dofun_, _ingabuye, _spintoje_, 
   {{0xc49d04b6,0xc358039f,0x8c1e0092,0x39de0076}},	//   _gutangaz, _imagine_, _リンパマッサ_, _namorada_, 
   {{0x5426005e,0x347c03ac,0x00000000,0x00000000}},	//   _يايلاق_, _kecerdik, --, --, 
   {{0xe3170261,0xf88c0094,0x0cbc036b,0x83ea03b0}},	//   _okazas_, _الاقاندا, _јунајтед_, _godtek_, 
   {{0x52eb0230,0x5c0401d5,0xd2960055,0x02010429}},	//   _asontur_, _időnk_, _assaghji_, _bezita_, 
   {{0x83010146,0x025b0111,0xe3360009,0xa3ea0066}},	//   _merasai_, _acelli_, _traktorj, _aditua_, 
   {{0xe53e012b,0xb7ca01d1,0x11a500bb,0xb872021b}},	//   _zapisany, _respecti, _کاؤنٹی_, _нефтегаз, 
   {{0x142104f0,0x0dc101d2,0x2c090311,0xd2e901f4}},	//   _lekanago_, _caribema, _ይምስክረለይ_, _temiryo_, 
   {{0x03010690,0xf1c5036e,0xfe40032c,0x63400192}},	//   _teratai_, _arumunam, _allamiit_, _panelen_, 
   {{0xdbe00259,0xf3bb012c,0xc2ca0082,0xca030749}},	//   _accepter, _مسمات_, _gwada_, _angabuye, 
   {{0xb30f001e,0x725a0144,0x63b6042c,0x8f2402a3}},	//   _musayar_, _heolas_, _stavova_, _sakemann, 
   {{0x126c0160,0xf28a032d,0x62ca03b6,0xf5df018d}},	//   _nekome_, _balateli_, _awada_, _ተማሃሮን_, 
   {{0x8ae60087,0x77a802cb,0xc20100de,0xb38b01f3}},	//   _eharoxet, _dostupni, _bebila_, _várku_, 
   {{0xd19a00ba,0x36150222,0x4fd5029b,0x5c6f00da}},	//   _ئالێکسان, _cellulai, _imraatóo, _exprima_, 
   {{0x55a503c3,0x01e101ab,0x06ab02cf,0xaa4a00cd}},	//   _duhovnom_, _भंडरी_, _brigadei, _candreia_, 
   {{0xaf9503c0,0x7c770025,0x2ea40156,0x72da0102}},	//   _soldater_, _शुल्कं_, _פאביעס_, _museke_, 
   {{0xf29101d9,0xb9c602eb,0xf23100a5,0x13d30109}},	// [e650] _gesat_, _эдний_, _maumaua_, _मोगलीलाई_, 
   {{0x7290022c,0xc2f5027b,0x6bcf02f3,0xfdbc001c}},	//   _salaku_, _apriyam_, _friståen, _nahihina, 
   {{0xe9000244,0xdc190233,0x3b8d0253,0x04a70126}},	//   _уникален_, _georgias, _assiliar, _парком_, 
   {{0x3c760496,0xd9cc0111,0x817c0344,0xcbee02aa}},	//   _krosrod_, _infermit, _angallal, _geodetic, 
   {{0x29ec02af,0x43f90233,0x2c770357,0x00000000}},	//   _akandaza_, _povud_, _waisake_, --, 
   {{0xeaea03cf,0xb29104a8,0x4f6c0222,0x7dc0013f}},	//   _sistemle, _jesam_, _lesbienn, _daskoret_, 
   {{0x806302b2,0x1128033a,0x5291003a,0x2c4d022f}},	//   _нового_, _awtorità_, _desam_, _шантажом_, 
   {{0xdd3d0198,0x5213005b,0xaf260156,0x9463014d}},	//   _državah_, _acchan_, _פיזיקס_, _eindruck, 
   {{0x72fd0088,0x40430067,0x5d110060,0xdf910158}},	//   _socials_, _achumaan, _قىلمىسپا_, _premiero, 
   {{0xcf32017e,0xe0cf03bf,0xe9240061,0x2be5018b}},	//   _konstrua, _bakonsal, _숙제도우미_, _guvernar, 
   {{0x536302fd,0x569400e4,0x0f360032,0xc6a20415}},	//   _aingidh_, _poleceni, _chosuqqa, _begutach, 
   {{0x83a200c5,0xcce90299,0x00000000,0x00000000}},	//   _pompes_, _ئاتلىنىش, --, --, 
   {{0xf2b400a4,0xb395022e,0x00000000,0x00000000}},	//   _boicot_, _passu_, --, --, 
   {{0xe4000405,0xcc5502da,0xdf6701f4,0x8379023a}},	//   _зерна_, _contate_, _movaroun, _meracia_, 
   {{0xe3b30092,0x93410270,0xfc4a0372,0x367400ba}},	//   _xxxxxxx_, _totevia_, _cantref_, _ڕۆژباش_, 
   {{0x279901f2,0x52fc038b,0xefb50291,0xe3f802fb}},	//   _зелаяға_, _tangki_, _بوظبي_, _monuu_, 
   {{0x498500ac,0x48cc02d7,0x75bb025c,0xe2360541}},	// [e660] _navikama_, _enfermid, _verabsch, _dalji_, 
   {{0xb22b03db,0x0d2c02f4,0x4a080095,0x00000000}},	//   _azimele_, _advierte_, _cobaaaaa_, --, 
   {{0xa3f402f3,0x32910308,0xcd97004d,0x00000000}},	//   _kartan_, _sesal_, _決定不要你時_, --, 
   {{0xcc5d017e,0xad290091,0x8c5101c5,0x29f4012e}},	//   _portalo_, _ukunatut_, _hantida_, _blogbeje, 
   {{0x271e01f2,0xa92400b5,0x21a4027a,0x917c006c}},	//   _баңго_, _aémantev, _nikolića_, _angamlal, 
   {{0x1b280135,0x653c0437,0xa27a00b7,0x3bb9003c}},	//   _варианты, _advarsel_, _derisini_, _جاوااسکر, 
   {{0xdc51030a,0xad840342,0xa65902fe,0xab170452}},	//   _mantida_, _ekzekite_, _beeklini, _विषण्ण_, 
   {{0x06cf02a2,0x2c76005b,0xad720164,0xab8b02cd}},	//   _gumagami, _ibaraki_, _техникис, _dakingar, 
   {{0xb2b4025c,0x57b70187,0x52dc01b2,0x24750088}},	//   _klicke_, _викториј, _arroogh_, _mantenen_, 
   {{0x929101da,0xf3f400cf,0xc30503c2,0xd010012e}},	//   _kesaj_, _aartan_, _abrabam_, _الدعوۃ_, 
   {{0xdf3303b0,0x62ca0357,0xca0501cd,0xc3010119}},	//   _konserta, _ivadi_, _зулайхо_, _kaparti_, 
   {{0xa3950505,0x5572009a,0xbb7b0021,0xfb000144}},	//   _passt_, _amatshez, _arlottec, _haistrit, 
   {{0x060302a9,0x60b4043a,0xf2ca01bc,0x624a02e4}},	//   _дэмакрат, _diametal, _beslach_, _barmil_, 
   {{0x2b55023d,0xc3f80172,0x1dfd0585,0x528b01a4}},	//   _contatta_, _konuu_, _izbegava, _bakangam, 
   {{0x71e204d6,0xcd3602ac,0xb2d50298,0xcc6601d9}},	//   _करारा_, _مفروم_, _horotea_, _bestuet_, 
   {{0x7da600ac,0xb2d803f0,0x320004b3,0x83e50019}},	//   _ispitiva, _almenn_, _broig_, _агында_, 
   {{0x2ae90397,0x657c0350,0x69c70374,0x00000000}},	// [e670] _amathale, _ደርሶባቸው_, _танада_, --, 
   {{0x83f400b2,0xc6a70111,0xbdbe00eb,0x42da012b}},	//   _aartin_, _disgrazi, _kokobɛto_, _okresu_, 
   {{0x032101b2,0x33010414,0x2aae02eb,0x32910304}},	//   _spayed_, _baparti_, _ядахдаа_, _resam_, 
   {{0x959301ea,0x12ee0243,0xa3260162,0x46ef00fb}},	//   _коллеж_, _caffa_, _قازىنىش_, _kubazalw, 
   {{0x237d00a9,0xd23706f8,0xabd2012b,0xcb8a00a4}},	//   _rusange_, _sitja_, _एलियन_, _топон_, 
   {{0x347e011f,0xde2a0185,0xd782015e,0x83680060}},	//   _тиков_, _вариантл, _акшга_, _арландар, 
   {{0xde0102b6,0x02b4009d,0x6030056e,0xa2c50033}},	//   _семинарғ, _cliche_, _superado, _clamaus_, 
   {{0x1eb700c5,0x02370352,0x529700b9,0x12b404c9}},	//   _中华人民共和国行, _vitja_, _फोटोही_, _dliche_, 
   {{0xe45200b3,0xe27e0288,0x96ce04bd,0xc28d00a0}},	//   _актов_, _atonin_, _kumamali, _barkiya_, 
   {{0x3c600063,0xcda7016d,0x428f037e,0x937c0168}},	//   _dearmad_, _بازاردا_, _prokram_, _uttalte_, 
   {{0x52d904b4,0x933701db,0xdac00040,0xc6730207}},	//   _flyet_, _киноға_, _וצלמיות_, _فاتحن_, 
   {{0x3e4601dd,0xfa7e0256,0x427e0059,0x33e500ec}},	//   _bahagaze_, _pavasara_, _sfondo_, _skambink, 
   {{0xb3f8016e,0x3291008d,0x95c701b5,0x2133043e}},	//   _konut_, _desak_, _ehlavath, _monterro, 
   {{0x4a04033e,0x9a69018b,0xb27400f1,0xd2b601fb}},	//   _азупп_, _грешелил, _lansanbl, _fructo_, 
   {{0xc2e90091,0x4c1100ba,0x82ee0202,0xf8a3032d}},	//   _ilangat_, _ئایکۆن_, _fanfa_, _пережоги, 
   {{0x32d80770,0xc17e0320,0x2c3500c5,0x7aad05f8}},	//   _anien_, _ebritish_, _combattr, _макинтош_, 
   {{0x990a023d,0xc1cc0022,0x2280010f,0x60ea02fd}},	// [e680] _наказани, _тынан_, _akakaze_, _leantail, 
   {{0x22b201b8,0xc4800040,0x83f40372,0x5d860040}},	//   _laadida_, _במזמור_, _cartwn_, _שיוכים_, 
   {{0xfa090479,0x73f4025b,0x52ca0249,0x084f00b5}},	//   _کتابت_, _partin_, _kindom_, _italiagu, 
   {{0xbfed018d,0x3512035d,0x79cf001d,0xd5ac026b}},	//   _መስተንክር_, _aktuelno_, _dumonata_, _michoacá, 
   {{0x81f3021c,0x4b4302cb,0x12fc05b3,0x8c1d00ba}},	//   _cigarety_, _spavanja_, _nangof_, _لیۆناردۆ_, 
   {{0xb28805c9,0xb25a01df,0x76a1006c,0x13170157}},	//   _ntshais_, _heeld_, _asethuth, _lokalny_, 
   {{0x97780220,0x23e00094,0xfdbc0010,0x8ae90009}},	//   _convenzi, _кешеннің_, _ibhalise_, _pretekle, 
   {{0xf51704c7,0x7f280187,0x0a9701a3,0xb2d80013}},	//   _заблуда_, _самоубис, _ڪولھي_, _aniev_, 
   {{0xd34401be,0x22000113,0x6c9600be,0xe49701e5}},	//   _recenze_, _troid_, _музыканы, _habakkuk, 
   {{0x47b60151,0xcb40069f,0x029100c1,0x537902e5}},	//   _plasteri, _polovičk, _desah_, _igrasia_, 
   {{0x123601b8,0x635d0107,0x435e025b,0xd032003e}},	//   _kalju_, _anaging_, _streingj, _фонында_, 
   {{0x242a0307,0x86e60040,0xe9c8018b,0x52ce02a3}},	//   _akukwenz, _מיואשת_, _totodata_, _embleem_, 
   {{0x42da00fd,0xbb7e048f,0xb4db01a3,0xbc33013a}},	//   _chreid_, _bafutaka_, _افعالن_, _anechter, 
   {{0x4a010039,0x41d80291,0x0cd70113,0xc0f1014a}},	//   _актын_, _أبوبكر_, _اعوام_, _pótlék_, 
   {{0x525a02c2,0x984e01c1,0x9a540101,0x2a2004bd}},	//   _beeld_, _mengatur_, _povestea_, _hoopailu, 
   {{0x3e020148,0x7dbc034f,0xb342060b,0x59480250}},	//   _levetira, _abhalise_, _लाउंज_, _premtime, 
   {{0x52ca00ef,0xffc0015e,0x250a0095,0x9365001c}},	// [e690] _kwade_, _سترانىتس, _مرحومش_, _naagian_, 
   {{0x41e60027,0x2291038b,0xfa8b0053,0xec6e0210}},	//   _legretik_, _sesak_, _अनुमती_, _cheropa_, 
   {{0xe1ed02c4,0xa2910418,0x43de0258,0x93f80130}},	//   _напредно_, _mesai_, _liuwen_, _gorzenn_, 
   {{0x4f1f0246,0x225b0014,0x0ec901b2,0x12da041b}},	//   _partecip, _fjalen_, _disincen, _phreid_, 
   {{0xa1340066,0x78c80177,0x4cc101ab,0x00000000}},	//   _эзэмшсэн_, _ацәнакыр_, _गलचऊर_, --, 
   {{0x9eff04a0,0x4bf40040,0x6097014e,0x836501e8}},	//   _sanguíne, _ingentac, _песничка_, _maagian_, 
   {{0x986004c7,0xc25a00b6,0x0887004a,0x14290137}},	//   _знаке_, _heele_, _каралды_, _анкетаа_, 
   {{0x73870230,0x4b0f006c,0x815c034c,0x3a940196}},	//   _akerir_, _abasabhe, _бушап_, _awayimit, 
   {{0x47aa0092,0xbb88018b,0x8a08041e,0xb2950267}},	//   _skattemi, _extinder, _alcarott, _diskovi_, 
   {{0x32000176,0xf1d701e1,0xa9cf00da,0x17060089}},	//   _troie_, _bahlokom, _vreodata_, _аңламаяч, 
   {{0xe36e00fc,0xd68e02e0,0x2e6b0009,0x53410223}},	//   _cheghpu_, _belesedi, _pečica_, _aldegin_, 
   {{0xbae000e7,0x83f80151,0xc2900079,0x9ba40220}},	//   _unaudite, _annul_, _pamats_, _capitolo_, 
   {{0x61670534,0xfd080037,0x7d590255,0x6290028d}},	//   _tienganh_, _መንገደኞች_, _उपेन्दर_, _lamars_, 
   {{0x2b680192,0x7c1b013c,0x526a0144,0x8afc0277}},	//   _bonetown_, _silahlar, _mearbhal, _eehersis, 
   {{0xdc760267,0x6d010416,0xb3410377,0x5d67033d}},	//   _pokreti_, _utilisat_, _oltenia_, _milatrès_, 
   {{0x93800190,0x654200b3,0xb2dd01ef,0x86300187}},	//   _daurur_, _тержимех, _sezonui_, _неспорен_, 
   {{0xf25a043a,0xb2ed01b9,0x4394028e,0x00000000}},	// [e6a0] _adelo_, _expilse_, _taosen_, --, 
   {{0x3e730139,0x4cd20352,0x305700b4,0xcc1d0119}},	//   _धार्तराष, _মাইকী_, _синилиу_, _magpait_, 
   {{0x22480148,0x4c700142,0x6a0a0403,0x069a0325}},	//   _比上年同期增長_, _राज्ञे_, _soratana_, _dilindəd, 
   {{0x32cb0075,0x33260162,0x2e36044a,0x33860095}},	//   _arbeiddi_, _بارىلىق_, _bolangua, _باليني_, 
   {{0x22910227,0xc2e700dd,0xa93f0348,0xf96a0255}},	//   _padamu_, _chanran_, _atamanya_, _pisikese, 
   {{0x9d1b01d4,0x234f01db,0x0649018d,0x770d017a}},	//   _francese_, _ءوزىنە_, _ትእምርቲ_, _сатри_, 
   {{0x434102ac,0x32d9004f,0xb5a901b3,0x02560202}},	//   _آنذاك_, _boyet_, _режимом_, _isatupal, 
   {{0x22c70342,0xe247027e,0x3c120178,0xb9d402ed}},	//   _esplike_, _калибра_, _astraś_, _abelenda_, 
   {{0x35d80025,0x57d90020,0x63b8014e,0xdc220421}},	//   _prakaraṇ, _apopolei, _григориј, _finanzkr, 
   {{0x383d002b,0x236f024a,0x5afc0338,0x32e7031a}},	//   _বছরজুড়েই_, _kéréjù_, _auhereis, _miannan_, 
   {{0x35dc0037,0x62ef01c0,0x628c0021,0xefeb02f6}},	//   _ተጠርጥረው_, _kimiyya_, _adestray_, _banyagan, 
   {{0x20e50415,0x7ca30276,0x22d9021e,0x962c0058}},	//   _ebenfall, _алматада_, _licens_, _memapenä, 
   {{0x429101f5,0x7ad703c4,0x92e8025e,0xd2ba00e2}},	//   _dadaku_, _باسمىچىل, _breikka_, _saneamd_, 
   {{0x3958018d,0x00000000,0x00000000,0x00000000}},	//   _ክኹብልል_, --, --, --, 
   {{0x7a5c00ae,0xd2640318,0x3fc300af,0xe0a30061}},	//   _akagenwa_, _ekulii_, _ромашки_, _가야공인중개사_, 
   {{0x537905c2,0xe25b041e,0x226d0095,0x472c0193}},	//   _milambo_, _adulf_, _cheoma_, _प्रवेशाच, 
   {{0x3341005b,0x7604026c,0xb380027b,0xe7c70093}},	// [e6b0] _sandeep_, _amplissi, _asuras_, _фамили_, 
   {{0xf2910171,0x7d1a0428,0xfc3902cb,0x637f0243}},	//   _padaju_, _princese_, _medicinu_, _ramacca_, 
   {{0x26e905be,0xe93f0053,0x1aea0277,0xfedd00fe}},	//   _precizni, _utamanya_, _biorient, _haihaian, 
   {{0x92ee0043,0x890500b5,0xa6ed0105,0xb2e701d2}},	//   _gaffe_, _paracaid, _pokarmow, _chanqan_, 
   {{0xaa07013a,0x63790090,0x9d1e0292,0x53bf0055}},	//   _probeire, _aitamba_, _takorade_, _lèvent_, 
   {{0x9674047b,0x8fde017d,0x903904b1,0x00b7027b}},	//   _landinum_, _splitblo, _infeksjo, _ल्युट्_, 
   {{0x4b6700ba,0x422a016d,0xd5450061,0x95e8016e}},	//   _بدۆزمه_, _мозат_, _아시겠지만_, _bakanlık_, 
   {{0xf5120198,0x142f00e4,0x88d103a2,0xdd03008d}},	//   _aktualno_, _प्रतिलेख, _तलहटी_, _uslublar, 
   {{0x9af802e3,0xf248000e,0x00000000,0x00000000}},	//   _kenshint, _khomer_, --, --, 
   {{0x7248003f,0xee4506a2,0x7bbd0299,0x46b7009a}},	//   _chomer_, _bahamaga, _ئەمچەك_, _باراتي_, 
   {{0x4fe400cf,0xbda40498,0xc300008d,0xad2d02b6}},	//   _abukaato, _bezodkla, _tayanch_, _аралдары_, 
   {{0x86d10772,0x5758008f,0x6b7f0370,0xb5b500e6}},	//   _kwebhayi, _कुक्कुर_, _batréna_, _中国航天事业奠基, 
   {{0x976f018d,0xb5c40139,0x0201024f,0x1db504cf}},	//   _ተራእዩን_, _anibaddh, _koviti_, _elandela, 
   {{0xd20201da,0x125b0064,0x94720115,0x00000000}},	//   _derisa_, _regles_, _elatihan_, --, 
   {{0x225b0046,0x5a740370,0x01760452,0x794004df}},	//   _segles_, _bangunna_, _तुंबडीगी, _dikuçara_, 
   {{0x5db502fe,0xf55201cb,0x137c02fc,0x8a9e0166}},	//   _ilandela, _ngokobuh, _karagwe_, _methoden_, 
   {{0x8ccd0155,0x00000000,0x00000000,0x00000000}},	// [e6c0] _verkstad_, --, --, --, 
   {{0x29f202af,0x5e4500a9,0xb37e0197,0xb3610267}},	//   _amanyama_, _yahamaga, _karayib_, _filmskog_, 
   {{0x4d0503cc,0x0291034d,0x27690198,0x42d8012d}},	//   _কাগজের_, _padaku_, _prikazov, _wnaem_, 
   {{0x31b200de,0x5e53005c,0x83860177,0xfadc0024}},	//   _محبوبيت_, _ababanga, _ҧшьымш_, _পঠিয়ালে_, 
   {{0xe2de0032,0xaf1f04b9,0x00000000,0x00000000}},	//   _bonoblu_, _figurita, --, --, 
   {{0x087801bd,0x13f80286,0xe22b0260,0xdc190142}},	//   _виртуалд, _yenumi_, _asemade_, _नमस्कुर्, 
   {{0x6f240262,0xee4703f5,0xe6870105,0x1f340311}},	//   _agšam_, _atualida, _चुराई_, _ወደባዊት_, 
   {{0xd20202b7,0x43ce02af,0xd26a02ff,0x5e9f04cf}},	//   _terisa_, _ayive_, _bisantnè_, _kwamalun, 
   {{0xddb50214,0x5a3300be,0x3e4102c3,0x9c500156}},	//   _alandela, _семетейд, _priehľad, _צעשמייכל, 
   {{0xc00c0192,0x126d03e7,0x6b5000ae,0x68f600c5}},	//   _기자회견문_, _tyrol_, _aratwara_, _国家发改委_, 
   {{0x6d9b00cd,0x9c820055,0xb9e30094,0x61ad0291}},	//   _prendeva, _edgewood_, _солақай_, _ريسبشن_, 
   {{0x0af0012e,0x441c01ee,0xf9e6034e,0x4e0702da}},	//   _kiterjes, _курма_, _coropuna_, _мравка_, 
   {{0x9358021c,0xd3790282,0x0c760157,0x32ea0244}},	//   _baterky_, _heramia_, _नार्मल_, _diciamo_, 
   {{0x598101fb,0x5add026f,0xeff403d4,0x63f0004a}},	//   _activeme, _ءۇلگى_, _непознан, _barasızm, 
   {{0xc2cc0499,0xa37b0121,0x7f670162,0xa20002b9}},	//   _faalogo_, _pasando_, _радиосиғ, _ریگستان_, 
   {{0x5603000c,0x4c910108,0x8d000184,0x22b404ca}},	//   _починок_, _kaduhung_, _iratasur, _calcin_, 
   {{0x00000000,0x00000000,0x00000000,0x00000000}},	// [e6d0] --, --, --, --, 
   {{0xa744001a,0xd6cf0037,0x428c0258,0xed89024c}},	//   _انتالیس_, _ተዋንያን_, _klaarkam, _jimmarka, 
   {{0x17b50074,0x42d803f3,0xb2c701bb,0x56d100c7}},	//   _satunnai, _uniek_, _bereweri_, _бөркелә_, 
   {{0x9ab9005e,0x92020278,0x9c5b0009,0x4b3901e0}},	//   _جۇنۇپلۇق, _perisa_, _postaji_, _کاریکاتۆ, 
   {{0x6afa0197,0xa22001b6,0x65230137,0x7a14011b}},	//   _benediks, _knoxvill, _богдхан_, _kopamela_, 
   {{0x757e025c,0x511f0311,0x00000000,0x00000000}},	//   _grundstü, _መንገብገብ_, --, --, 
   {{0x2a33034c,0x4b3500df,0x4354017d,0x7c2c001e}},	//   _komitetı_, _apparais, _hovedet_, _albarkac, 
   {{0xeea2005d,0x529102c8,0x9865040e,0xfac500ba}},	//   _ipotýne_, _nesas_, _agronomu, _کۆڕیاده_, 
   {{0x5a8b03b0,0xd3f8037c,0x35610163,0x2ae302ed}},	//   _bygnings, _annua_, _kollektí, _acetoace, 
   {{0x305a01aa,0xd3730047,0x357e0376,0x22d400db}},	//   _ofession, _solaire_, _grundstø, _naudin_, 
   {{0x33fe0240,0x969b0014,0x66b60126,0x00000000}},	//   _kaburaki_, _bregdeti, _знаряддя_, --, 
   {{0x896203ab,0xc3d403a6,0xc323004b,0xa291005b}},	//   _podnikat, _ahamagaz, _гормли_, _besat_, 
   {{0x341301e0,0x21f50145,0x53390311,0xac090162}},	//   _بایده_, _судовая_, _ዝምለሰሉ_, _تالانىتل, 
   {{0xd2010176,0x841a00be,0xb1ff01eb,0x8d2f0388}},	//   _bebima_, _سۉۉيۉپ_, _jajatapy_, _ospitare_, 
   {{0xd9aa0078,0x86d801de,0xde1a02ba,0x76c6020f}},	//   _божић_, _материкт, _asefilip, _رابللو_, 
   {{0x9cf20251,0x2205026b,0x23410425,0x8fae0158}},	//   _عالما_, _hipótesi, _کۆسار_, _autokaro, 
   {{0x928a0145,0x69b90089,0xd7a102c2,0x013f00a2}},	// [e6e0] _білет_, _комын_, _regulasi, _imeendel, 
   {{0x45d00148,0x67cc002b,0x23e604d7,0xc1870035}},	//   _工作內容說明_, _হযবরল_, _mótun_, _cinayatl, 
   {{0xd67f03b8,0xf35e02a0,0x00f30242,0xc96d00c6}},	//   _تۋرالى_, _anafani_, _yekunlaş, _gjentatt, 
   {{0x03210098,0x84da0061,0xfd290041,0x1ebd032d}},	//   _babyer_, _서비스제공_, _déntice_, _малдарҙы_, 
   {{0xaafc005e,0x6ff6004d,0x4f5c0092,0x820000a1}},	//   _پەرھاد_, _中國文學批評史_, _droppede_, _mekiro_, 
   {{0x57b1020e,0x27850712,0x00000000,0x00000000}},	//   _baithutw, _आण्विक_, --, --, 
   {{0x3a6d0313,0x2c7c019a,0x8cf30269,0x295b0176}},	//   _chellahb, _harrows_, _pasteler, _kvindagt, 
   {{0xf15c0066,0x3eb302e2,0x515c0046,0x5c700157}},	//   _суваг_, _adoschat_, _сузак_, _मुर्गे_, 
   {{0xe2910075,0x53580272,0x316501aa,0xa1f30032}},	//   _hesar_, _atuggye_, _arrownay_, _nulajmeh_, 
   {{0x81cd0517,0xdb8a0453,0xd26d020e,0x1c3700c7}},	//   _indicará_, _krijumča, _difono_, _находу_, 
   {{0xb2910266,0x89fa0306,0x8c5200e4,0xc25a0513}},	//   _sesat_, _siwikuna_, _थ्रेड_, _hlela_, 
   {{0x0d560372,0x62da0262,0x0ca80187,0x6ed100e6}},	//   _arabiaid_, _barlady_, _николовс, _年十大纪念本本赏, 
   {{0x641f02c1,0x229103b0,0x9ad400e7,0x737c0241}},	//   _impapuro_, _lesar_, _airdress, _butatee_, 
   {{0x109d02ac,0x205800cd,0x1c5201eb,0xa2c40095}},	//   _المظاهرا, _preschan, _apatía_, _anambut_, 
   {{0x8317046b,0x42ee02a1,0x86ae0156,0x00000000}},	//   _deganwy_, _faffa_, _השכּל_, --, 
   {{0xcc7c0032,0x0055012c,0x5ecc01dd,0x71610206}},	//   _barrows_, _اخبارون_, _ruzindan, _pikošky_, 
   {{0x127f032f,0x97230193,0x2202037f,0x6473048f}},	// [e6f0] _apenas_, _स्थानकाव, _seriya_, _likelelo_, 
   {{0xe2b202ba,0xd9aa018d,0x5201020f,0xa38604d7}},	//   _овоза_, _እናኸፍአ_, _beziya_, _brosandi_, 
   {{0xa28a0007,0x1005002b,0xdf6f0040,0xd68d04ca}},	//   _bilakeli_, _কেমিকৌশল_, _למזרח_, _angelogi, 
   {{0x1b0f006c,0xa291015e,0x00000000,0x00000000}},	//   _abaseshe, _desar_, --, --, 
   {{0x140d026c,0x8317006a,0x234b01e5,0x1cee0331}},	//   _第三教學大樓t_, _nanaiky_, _fireemu_, _skattafr, 
   {{0xc9ec028b,0xb2340139,0x7605007e,0x8ed40209}},	//   _аоператә, _anumate_, _स्वतःप्र, _aviisiin, 
   {{0x83030026,0x820000c3,0xf2910082,0x2ae601eb}},	//   _gemaakt_, _proin_, _bugawa_, _ahareiet, 
   {{0x805d05b1,0xe4730174,0xf34700a8,0x65df00d8}},	//   _nachádza_, _dikelelo_, _rumenia_, _accentuè, 
   {{0x36c80439,0x0eab03c2,0x481d0297,0x0c5b0119}},	//   _cristiny, _amortize_, _башлауны_, _nanuque_, 
   {{0x7317036c,0xbf640302,0xe2010367,0x147e009f}},	//   _manaiky_, _abaphaka, _praias_, _naredijo_, 
   {{0x2e9d0211,0x43a205ac,0x7626048f,0x9ed30213}},	//   _давление_, _skipum_, _bakolaki, _недомога, 
   {{0xf308004a,0xd05b024c,0x00000000,0x00000000}},	//   _boralaq_, _iwassaln, --, --, 
   {{0x75df01a4,0xfe55002c,0x1b5b0297,0x220e0093}},	//   _accentué, _arrazoia, _augustta_, _масал_, 
   {{0x2257048b,0xd2920069,0x658a00c5,0x1c07047d}},	//   _chuẩn_, _batanu_, _农民人均纯收入_, _lanscht_, 
   {{0xa8d80105,0x30830128,0x5a8c0095,0x00000000}},	//   _माध्यमिक_, _техникав, _cacingen_, --, 
   {{0x42f402ac,0x9e530096,0x418b0348,0x034e0086}},	//   _منافسات_, _ababunga, _alibakol, _benedek_, 
   {{0x39fa0304,0x23020039,0xac760084,0xbe26020e}},	// [e700] _hadramau, _nahastu_, _focuser_, _алдырабы, 
   {{0x7c5b00ac,0xc1e400be,0xa3790405,0xcf0b0142}},	//   _postoji_, _периштел, _nydalen_, _bhramarā, 
   {{0x229200f9,0x1c58015e,0x8c67012e,0xe0930059}},	//   _gatanu_, _камкорду, _festett_, _футболни_, 
   {{0x57e702ba,0x015b0028,0x00000000,0x00000000}},	//   _тутубали, _aroortay_, --, --, 
   {{0xc2e704c0,0x2a890068,0x7aae004a,0x6af400ec}},	//   _ahantan_, _arrinkan_, _башларын_, _бенедзік, 
   {{0x22b50179,0xe22d0307,0xc6050008,0x098700fb}},	//   _haldane_, _enivumel, _داامدۇ_, _kusinika_, 
   {{0xc29103cf,0xd9f70193,0xf63e0242,0xe992013a}},	//   _hesap_, _mobilnya_, _katibini, _kathoule, 
   {{0x417c0188,0xb8d602b6,0x00000000,0x00000000}},	//   _angahlal, _ناقىشتا_, --, --, 
   {{0x43f80204,0xd3f80211,0xd2900742,0xa60b001e}},	//   _minun_, _sinua_, _etoana_, _kwamishi, 
   {{0xbb0c0409,0x3a6a0037,0x22c605ac,0xfdda00d4}},	//   _でお届けします_, _የሥርዓተ_, _tølini_, _diskusje_, 
   {{0x8c7e0359,0x4d900529,0x760c036a,0xd2070097}},	//   _útsein_, _jugozapa, _sikolosi, _sàbábí_, 
   {{0x3b460335,0xf28d00ee,0x433002ed,0xb25b0399}},	//   _रुक्मिणी, _edukira_, _autoríza, _ovalea_, 
   {{0x2eb00163,0x0fcc0203,0xa2bc00e6,0x861a0320}},	//   _البلاغہ_, _atribuer_, _北京电视台_, _miantswi, 
   {{0xac690656,0xb25b00db,0x2d850182,0xda9000bd}},	//   _esprimo_, _avalda_, _kanemare_, _beginnin_, 
   {{0x6fae0159,0x87aa0312,0x62920105,0x8e7101be}},	//   _лапку_, _aostrali, _forach_, _जुद्ध_, 
   {{0x1d0b069c,0xb20000d6,0x162800d8,0x825a00b2}},	//   _zaplatit_, _droim_, _artisiti, _foolisii_, 
   {{0xec7702dd,0xfad2035c,0x8be10226,0x426d0157}},	// [e710] _sovrani_, _kulturse, _anamwino_, _syrop_, 
   {{0x4fc801c0,0xf29200dc,0x00000000,0x00000000}},	//   _aringizo, _tatanu_, --, --, 
   {{0x1c7500fa,0x696d0156,0x1649027e,0xd3490105}},	//   _bansang_, _משתטח_, _тендеру_, _usterki_, 
   {{0xb20003d5,0x725a008f,0x12b501cf,0x62010488}},	//   _argid_, _koolis_, _glacie_, _nezina_, 
   {{0x2f3e0185,0xcf7f004d,0x27d904eb,0x12e901f7}},	//   _abdraxma, _虞兮虞兮奈若何_, _एरिक्सन_, _alandat_, 
   {{0x938f0287,0x6b6d0061,0x1e720220,0x320e02eb}},	//   _cestován, _우리나라에_, _монтана_, _харав_, 
   {{0xf48401b7,0xe30f0155,0x916301cd,0x6c0900a8}},	//   _र्वाणि_, _orsakar_, _лозима_, _stoppia_, 
   {{0x5fa405ab,0x4ffc0405,0xdd3200c5,0x027e021e}},	//   _entender_, _способу_, _欢迎提供新闻线索_, _minnen_, 
   {{0xee56035e,0x22390125,0x3d5600ac,0xb8bb0092}},	//   _zdravlje_, _долуп_, _zdravlju_, _エニックス_, 
   {{0x2f24017f,0x003104d0,0xc24a019d,0x3e1700e7}},	//   _greenlan, _saetmuen, _atumwi_, _argelyla, 
   {{0x4eab012a,0x1fd60420,0x00000000,0x00000000}},	//   _termiczn, _минутно_, --, --, 
   {{0xb29205ce,0xe5100038,0x025b0331,0x2202005f}},	//   _savaş_, _лемма_, _hvalba_, _herida_, 
   {{0xdc760245,0xa34100e4,0x9ecc00a4,0xf5310052}},	//   _pharshi_, _interia_, _atributs_, _प्रणालीब, 
   {{0x83f80082,0x35340037,0x1fcc019e,0x4b010089}},	//   _ainun_, _ላይቤሪያ_, _спускам_, _остазы_, 
   {{0xc25b00dc,0xe37b01e8,0xc8bf009b,0x66470147}},	//   _avalea_, _hitagbo_, _kaleratu, _قۇجاتىن_, 
   {{0xe2a100c5,0x930c01e8,0x494f0220,0xf39501af}},	//   _将本信息发给好友_, _gisakot_, _esplicit, _atasam_, 
   {{0xdad70254,0x22da0497,0xa38f01be,0x604001e7}},	// [e720] _opinión_, _shrewd_, _testován, _editioun, 
   {{0x1cce0055,0x734b0058,0xf3f200bc,0x7e1d021b}},	//   _cerveter, _lelivüka, _بمناسبت_, _hotellia, 
   {{0x623601b8,0x9d4e0016,0xb2020007,0x3ef701c4}},	//   _palju_, _אַרעסטיר, _afrisa_, _sanksies_, 
   {{0x5c6100b5,0x99fb0452,0x5c5e06a7,0x33660291}},	//   _aneurin_, _lagipula_, _fortell_, _صورةاجمل_, 
   {{0x9d9e045c,0xb27e01d9,0xbc9302ec,0x00000000}},	//   _nainštal, _hinnen_, _گٔنڈِتھ_, --, 
   {{0xe27e0359,0x2a6e0199,0x12e903dd,0xf35d004e}},	//   _kinnen_, _vingroup_, _katilja_, _miaging_, 
   {{0x2df00036,0x2200043a,0x23f80255,0x53fb0164}},	//   _تلاوات_, _diniti_, _minul_, _қәлбимди, 
   {{0x63870129,0xa3f804b2,0x53490157,0x3f6800a8}},	//   _akuziri_, _binuo_, _butelki_, _arbagias_, 
   {{0x9b780235,0xa0570022,0x42000371,0x00000000}},	//   _दर्शनेन_, _намаҙға_, _finiti_, --, 
   {{0x43ea0534,0x6af50453,0x72d8029b,0xf22a01ef}},	//   _chotot_, _zabrinut, _domeen_, _долам_, 
   {{0xb3f000d2,0x247a0199,0xdc6f0255,0x721a00e6}},	//   _terlengk, _mebepizz, _korraga_, _台州市欧恺电机厂_, 
   {{0x737b00f3,0xbae70187,0x00000000,0x00000000}},	//   _intambo_, _миленко_, --, --, 
   {{0xa6480037,0x47c7006d,0xe47b03be,0x2a7e006a}},	//   _አሰራርን_, _андрэ_, _ategerez, _paradisa_, 
   {{0xa3f80204,0x12ef0377,0x82d4001d,0x426c0239}},	//   _sinun_, _schimba_, _cordie_, _hinomo_, 
   {{0x60930238,0x1201004b,0x74ad03b0,0xaa9602b9}},	//   _власного_, _bofifi_, _উইন্ডোৰ_, _عارفانہ_, 
   {{0xcda600e1,0x1bdb00bd,0xc9f90244,0x7f5d0089}},	//   _aboobaka, _kullervo_, _officina_, _boraulan, 
   {{0xb646019c,0x5c5b03de,0x903501e7,0xa6950148}},	// [e730] _arakunri, _bafunde_, _leitplan, _plutarch, 
   {{0xc0d3003e,0x2366025b,0x4dce02b6,0x63f300c4}},	//   _dibolell, _fongsul_, _جەڭگەسىن, _magufuli_, 
   {{0x93050063,0xd25a0558,0xf3f8001d,0xfc630277}},	//   _béarla_, _elele_, _annus_, _kabuhol_, 
   {{0x4621000f,0x9c780040,0xa2910116,0x42d8000d}},	//   _kurumsal_, _שגרירים_, _daears_, _niiet_, 
   {{0x2d8101bc,0x53fd02eb,0xf37b042d,0x3e040126}},	//   _aljemint_, _хүслээр_, _antambo_, _економит, 
   {{0xb2fe04d0,0x648d0046,0x00000000,0x00000000}},	//   _banneix_, _ندۅگۉ_, --, --, 
   {{0xaa07050b,0x73f00053,0x186f0037,0x722600c7}},	//   _bukannya_, _perlengk, _እንግሊዞች_, _artkan_, 
   {{0x33f80006,0xee75005e,0x4d1a01b4,0x72b30066}},	//   _minum_, _ظاينعث_, _koalisie_, _gaudela_, 
   {{0xf6c500a6,0x7a84034a,0xd3220109,0xfa09022c}},	//   _هورست_, _acredíta, _oslavě_, _dibawana_, 
   {{0xa343028e,0x6eb101fb,0x7200022b,0xfc7503ac}},	//   _helevim_, _caressas_, _lonini_, _lansung_, 
   {{0x348a0198,0xd37b00c2,0x0bf50220,0x0d260009}},	//   _apartmaj, _utegerej, _parlando_, _popoldne_, 
   {{0x82d90172,0xa6a00107,0x34a9029b,0x63f80227}},	//   _onyem_, _القایی_, _disitaal_, _ainul_, 
   {{0x62000031,0x1e2a0025,0x0c74014a,0x2e5301d7}},	//   _bugil_, _amoghada, _sportok_, _ingascha, 
   {{0xd42701ab,0x02b202b3,0x00000000,0x00000000}},	//   _जिअबे_, _acadada_, --, --, 
   {{0xf0d600e6,0x80ea01a3,0x6f4200bb,0x03f90205}},	//   _地方税务局_, _ليبارٽري_, _کیتھرین_, _dovul_, 
   {{0x720102a2,0x535901c4,0xa954006c,0x6d8201f6}},	//   _isaias_, _olifant_, _abalunce, _dialekta, 
   {{0xb2900227,0xd004020f,0x5f34004b,0xd5ed0139}},	// [e740] _wakaf_, _چندانې_, _iphumana, _dhammavi, 
   {{0xee5302d4,0x0bf5031c,0x398303b0,0x0be70021}},	//   _engascha, _hablando_, _folkeset, _anadianc, 
   {{0xa3dd01e1,0xf6030528,0x625902d6,0x00000000}},	//   _талантлы_, _chomadai, _anglashi_, --, 
   {{0xb22901cd,0x830e0319,0x0bbf0094,0xfd55005d}},	//   _даровард, _ensayos_, _شايتانعا_, _iperféct, 
   {{0xc9ce0065,0x798302d3,0x9eae0037,0x0f020021}},	//   _bereitge, _колбас_, _realitin, _ativesna, 
   {{0x9b720076,0x5c7f021c,0x92fd027f,0x1c6202e7}},	//   _атина_, _sekundy_, _bwahere_, _kagusto_, 
   {{0xe29002a2,0x622f0040,0x5e010312,0x726c025f}},	//   _lakad_, _כמוהו_, _difetisa, _minoko_, 
   {{0x1e2700d1,0x99b905a3,0x00000000,0x00000000}},	//   _দিচপূৰ_, _अकर्मण्य_, --, --, 
   {{0x02900075,0xdd8b0061,0x9fd90024,0x164b0289}},	//   _nakad_, _유치권자는_, _পঠিয়াইছ, _ikangogw, 
   {{0x426e021c,0x56370023,0xa36503da,0xc30e042b}},	//   _oproti_, _баллов_, _jenuwarị_, _osmišlje, 
   {{0x3a9a0010,0x26260027,0xa20801a3,0x522a0635}},	//   _ayenetis, _netasogä, _جيٽلي_, _сокам_, 
   {{0xef48008a,0x2361005b,0xbc0503a2,0x00000000}},	//   _amisiona, _flemming_, _वेनेजुएल, --, 
   {{0xfda90009,0xd36f0025,0x65ab002b,0x52910437}},	//   _postopku_, _ayogāt_, _উম্মুক্ত_, _ogsaa_, 
   {{0xb4020074,0x6e960178,0x0c090022,0xff410012}},	//   _сексуаль, _संस्कारव, _процесын, _तोईउरजाई_, 
   {{0xdef1036b,0xe26c02f7,0x1ecb0015,0x82df03bd}},	//   _остави_, _dinoko_, _helitaan, _kaindig_, 
   {{0x069d0148,0x32900455,0x32d50282,0x976900d9}},	//   _加入我的收藏夾_, _mamans_, _horouta_, _loukkaav, 
   {{0x2290028d,0xa9c70125,0x750200e4,0x72030465}},	// [e750] _lamans_, _хамала_, _stylisty, _visokošo, 
   {{0xa96c00ef,0xce170021,0xceef04eb,0xc9ee005e}},	//   _mazingat, _aggedfla, _कॉम्पिटि, _өрникини_, 
   {{0x69fb001a,0xcf2b004f,0x3a9c04df,0xb462007e}},	//   _lehetség, _baytulma, _нагмалар_, _arbudāni_, 
   {{0xf03b00c5,0x4c000024,0x6bf700e6,0x3a1004bd}},	//   _中国新闻网_, _একত্ৰীকৰ, _站内文章搜索_, _kukalaia_, 
   {{0xbe040066,0x0e39044f,0xed4700c5,0xd3ea0272}},	//   _геологий, _kelahira, _齐鲁警务网_, _alitta_, 
   {{0x22d602bb,0x00000000,0x00000000,0x00000000}},	//   _portrety_, --, --, --, 
   {{0x038b054f,0x39120090,0x0fe30163,0x2c390095}},	//   _menyuam_, _achapuku, _مانتی_, _اغراق_, 
   {{0x8939017d,0x9c0900fd,0xf2b302cf,0x3e1804a5}},	//   _タイからの投稿_, _analachd_, _gordura_, _bangakwa, 
   {{0x20bf0226,0xac030122,0xcb9302e1,0x969b00de}},	//   _adamudul, _متالوژی_, _hidirthr, _تریاکو_, 
   {{0xd34f01d5,0xab8d00d9,0x89cb04b1,0x00000000}},	//   _levesek_, _tulivuor, _varetekt, --, 
   {{0x5da90002,0x0ea902cb,0xaa8e02fa,0x6eb600c6}},	//   _postupku_, _postupke_, _babishob, _листами_, 
   {{0x82ca03dc,0xd9f20645,0xafa3018d,0xb26c036c}},	//   _handil_, _aranžman_, _ሳዕስዒትን_, _dinoho_, 
   {{0x0b630125,0xb20101df,0xb2020087,0xa595039e}},	//   _гордум_, _craiks_, _leriya_, _andsverk, 
   {{0x675f00bf,0xd07301ec,0xe200008d,0xde4700cb}},	//   _употребл, _بهاری_, _sonini_, _ahlaziye_, 
   {{0xd25b0170,0x50b40040,0xa63a0053,0x4eb10344}},	//   _adule_, _סאטירה_, _प्रश्नमं, _artoraan, 
   {{0x62900312,0x125a03ff,0x8f5601d1,0xec1e029e}},	//   _takad_, _tmely_, _surgeons_, _dispont_, 
   {{0x03fe017a,0x37880371,0xf1490452,0x00000000}},	// [e760] _abunikez, _прекомер, _पशुगणना_, --, 
   {{0xd20000ce,0x3f460471,0xdd2b0138,0x0e210045}},	//   _eroin_, _persemba, _esenyurt_, _marmaras_, 
   {{0x472d0371,0xd29004d7,0xa53a00e7,0xa2020541}},	//   _тотализа, _gamans_, _ampionsh, _kapije_, 
   {{0xb254062c,0x12250079,0xe6cb01d7,0xb29001e1}},	//   _अलबेला_, _blakus_, _finalmai, _hakae_, 
   {{0xe2900117,0xc9c1041e,0x49f50210,0xc2d90007}},	//   _kakae_, _imperfet, _angateve, _edingwe_, 
   {{0x77b40080,0x084a0311,0x00000000,0x00000000}},	//   _anisitsi, _ብእልልታ_, --, --, 
   {{0xa3dc02e8,0x936c0321,0xa20002e1,0xda27032d}},	//   _adiwe_, _razlogov_, _broin_, _нисбәте_, 
   {{0x485d010d,0x7994004d,0x0348020c,0x00000000}},	//   _otoritas_, _建議使用瀏覽器_, _diperah_, --, 
   {{0x92ee0032,0x422b00e1,0x0db60074,0x237b0385}},	//   _dangevdi_, _dammate_, _asuntola, _odradio_, 
   {{0x2c7503b6,0x00000000,0x00000000,0x00000000}},	//   _itọnisọn, --, --, --, 
   {{0xbcc300ff,0xe28d0488,0x255401cd,0x00000000}},	//   _פאַמיליע_, _maskava_, _ayekhish, --, 
   {{0x498a0056,0x2ac60148,0xc225017e,0x0dcd0060}},	//   _хабаргуз, _行政院勞工委員會_, _krekel_, _модульде, 
   {{0x8b0b0437,0x826e009f,0x7fa30311,0xf1d10268}},	//   _tilsamme, _sproti_, _ሳዕሲዒትን_, _asterray_, 
   {{0x1b1f02a2,0xc2010371,0x57df010d,0x5c750555}},	//   _nakaraan_, _deciso_, _पुनर्लिख, _riksveg_, 
   {{0xa63a00b9,0x037201b8,0x69be0291,0xc4040076}},	//   _प्रश्नां, _hakanud_, _بحثيه_, _licitaçã, 
   {{0x528d0301,0xce370299,0x3bf5003d,0x00000000}},	//   _sutkada_, _خۇشپۇراق, _cintegab, --, 
   {{0x09130125,0xb316012b,0x72d603ae,0x8c560333}},	// [e770] _белагыны, _obozu_, _forlatt_, _bertule_, 
   {{0x5c690360,0xf27e0211,0x8371015e,0x3ace0297}},	//   _situaci_, _pinnan_, _беруулор, _законның_, 
   {{0xa382003c,0x40610262,0x121f0486,0x00000000}},	//   _باطله_, _barlyşyk_, _náhon_, --, 
   {{0x33f9013d,0x73f80211,0x527e0075,0x620000d2}},	//   _povus_, _minua_, _vinnan_, _mugia_, 
   {{0x12e101e6,0xc9580230,0x02e10105,0x9728007e}},	//   _signál_, _katorzye, _बढ़ीं_, _प्रशंसन्, 
   {{0x36fa0013,0x82900166,0x838700c3,0x9059029a}},	//   _افراطی_, _damals_, _operis_, _maksimon, 
   {{0xb3de0024,0x94460060,0xbeb402f8,0x00000000}},	//   _তালিকাখন, _ساتقىنى_, _oiaueeee_, --, 
   {{0xac5200a3,0x86aa00d3,0x4b0c020f,0x533f0097}},	//   _টেক্স_, _penzijní, _راویښ_, _patakì_, 
   {{0xa3870373,0x677a01d3,0x00000000,0x00000000}},	//   _aperis_, _verkning, --, --, 
   {{0xb2000333,0x8fa3018d,0x7904023c,0x62880035}},	//   _bugia_, _ሳዕሳዒትን_, _angabufu, _bertavış, 
   {{0x4b2d0072,0xd25a0007,0xdc3b0097,0xf24d008f}},	//   _aguantas, _aleli_, _lifísàn_, _बचवला_, 
   {{0xff1d0243,0x1a2b023c,0x59e00143,0x828800d6}},	//   _eritreya, _پرګرام_, _viaggiat, _aschuir_, 
   {{0x3fc0033b,0x5e02024f,0xa2c20059,0xcd6e0062}},	//   _netefatš, _verebasa, _esclusa_, _maymayva, 
   {{0x32340377,0x52910166,0x347402d4,0xeb0000a4}},	//   _anumite_, _begann_, _mistregn_, _divisió_, 
   {{0x659c0211,0xd22601d8,0x795d01da,0x31960122}},	//   _поврежде, _paskha_, _adoleshe, _شروعکنند, 
   {{0xe1870125,0x32000095,0x5f610287,0x5291000c}},	//   _kanagatl, _sugih_, _nezapomn, _hesay_, 
   {{0x13f800ad,0x025a003a,0xc6500088,0x6e210019}},	// [e780] _pinuh_, _nomli_, _التناي_, _айыбын_, 
   {{0x7c9304d8,0x62040020,0x59f0013c,0xf3a80115}},	//   _پالان_, _fasimoli_, _suriyaya_, _dikarang_, 
   {{0xea27035f,0xe51c02bc,0xef5c0352,0xab0e02d3}},	//   _वाक्यांश_, _ishongsh, _skapande_, _apostila_, 
   {{0x7b8d0177,0x52b500cf,0x304b00f8,0x72ca0140}},	//   _иусҩарҭа_, _gaddine_, _পরাজয়ের_, _holdap_, 
   {{0x33eb047b,0x334f000f,0x5c280162,0xc61b02c2}},	//   _bretsk_, _severek_, _ساناتورى, _oranjevi, 
   {{0x631c0122,0x29670212,0xe2ec01e6,0xd1770213}},	//   _grabber_, _similite, _motorky_, _лейте_, 
   {{0x72d804f2,0x890601ad,0x147603db,0x82260053}},	//   _chiec_, _paranagu, _anjengok, _zaskia_, 
   {{0x87840025,0xcea800da,0x7373008e,0x9f5d00a0}},	//   _पुरस्कृत, _ынотул_, _dikalee_, _ayyanann, 
   {{0xe3a80193,0xb3db01b5,0x131901db,0x14c900bb}},	//   _cikarang_, _cukumeti_, _балмұзда, _اوسطاً_, 
   {{0xe25a04bd,0x7a750295,0x37aa0211,0x6f2d0153}},	//   _ioela_, _hanganoa_, _akateemi, _genforen, 
   {{0x096b005b,0x6d6a0191,0x73f10010,0x37db04f9}},	//   _risikere, _framöver_, _bahlabek, _allaqqav, 
   {{0x09e303d8,0xf30d03f5,0xa2da053e,0xd34402a6}},	//   _autorska_, _deverá_, _lisens_, _irreale_, 
   {{0xc06f01d2,0x25bf000c,0x82930347,0xc4db012c}},	//   _respetan, _аблокада_, _drukker_, _افغانن_, 
   {{0x7e330198,0xee8a01a3,0x29f903fc,0xeeff0315}},	//   _pridržan, _غيرضروري_, _avgangse, _kukwente_, 
   {{0xcc4c00d6,0x592b00a1,0x2999035e,0x70300045}},	//   _shawdow_, _kaumatua_, _mrežu_, _страдању_, 
   {{0xfc660060,0x6cee0061,0x9f290144,0xeb6c0096}},	//   _بۇلاردا_, _손가락으로_, _simléir_, _baronger, 
   {{0xac7c0069,0x7e6d02c4,0xf71f0475,0xc26e0240}},	// [e790] _amasaha_, _наречена_, _уборы_, _lesilesi_, 
   {{0x493e0057,0x33f800c1,0xe0e80061,0x070400bc}},	//   _ቅቅቅቅቅቅቅቅ, _infus_, _데이콤모바일_, _هندونه_, 
   {{0xf7380020,0xb46e0163,0x8c880151,0xbbd8010e}},	//   _amalolog, _hercegnő_, _annelaid_, _aluminyo_, 
   {{0xc349024f,0xf2d90342,0x6de80061,0x195a0311}},	//   _chodory_, _enyen_, _스트라이프_, _መበቆልን_, 
   {{0x8224049b,0xb7be0344,0x991702eb,0x4945046f}},	//   _amoko_, _aapriili, _аравтын_, _schlappe, 
   {{0x62940041,0x27b6013f,0x00000000,0x00000000}},	//   _morotí_, _glaskeri, --, --, 
   {{0x1a010003,0xc54200bb,0xf2020009,0x29c70145}},	//   _waarschu, _ُُُُُ_, _merila_, _татараў_, 
   {{0x1c0205f2,0x2c0901d8,0x7f5004ac,0xc58c01a7}},	//   _persoas_, _shipara_, _знала_, _всевозмо, 
   {{0xc26d033b,0xa25a006c,0x120e0008,0xdc70016e}},	//   _difomo_, _hlelo_, _замат_, _kadrosu_, 
   {{0x546c0148,0xef33015a,0x5f2f0047,0xe1e80098}},	//   _在這個版面發表文, _arjummaa, _remonter_, _meningsm, 
   {{0xb2d8045c,0x8202030b,0x0c730024,0x6378002a}},	//   _triedy_, _terina_, _baksida_, _igbalia_, 
   {{0x29750252,0xe25a0028,0xe387019b,0x99d4003b}},	//   _fosifeit, _boolis_, _operos_, _ebulunga_, 
   {{0x44870835,0x1e530065,0x103c0212,0x3a14020e}},	//   _निराला_, _probiert_, _defensio, _dipasela_, 
   {{0x125a0339,0x977a0227,0x738704c9,0x00000000}},	//   _olelo_, _berkeing, _migrã_, --, 
   {{0x0387013d,0xddfe006a,0x0a0e03b0,0x43b50204}},	//   _aperos_, _ravehiva, _behagele, _talvena_, 
   {{0xb2d9033d,0xd2fb02bc,0x425a0107,0x3d9b0155}},	//   _anyen_, _mathema_, _taklim_, _fungerat_, 
   {{0xe6bd0462,0xa3cc018d,0xab2d0055,0xca8802d3}},	// [e7a0] _enerally, _ርእይትኦም_, _aguattas, _тарчулов, 
   {{0x237c02ec,0xd84a0037,0x0d340040,0x2e46027f}},	//   _baraawe_, _የደርግን_, _לאיטליה_, _kahamaze_, 
   {{0xfb790147,0x6c6d00b0,0x43730024,0x21a30012}},	//   _ابئروق_, _boorama_, _rikaste_, _कsभगबाक_, 
   {{0xc2b900be,0x0ed30092,0x6dbd00d3,0x00000000}},	//   _بىگىزە_, _archiews_, _interníc, --, 
   {{0x27bf0013,0x527a00d1,0x020003af,0x725a0318}},	//   _litsenzi, _উত্সাহিত_, _crois_, _elelo_, 
   {{0x0237002e,0xa26e028d,0xa9f70087,0x72a60177}},	//   _stajao_, _resone_, _mafasite, _ojajái_, 
   {{0xe2ca00da,0xecab0399,0x331d031e,0x00000000}},	//   _randul_, _kongakau_, _slucaja_, --, 
   {{0x120000df,0x453e003e,0x495b0220,0x19490026}},	//   _trois_, _batikiny, _съдбата_, _populair_, 
   {{0x2ac70013,0x24ea0061,0x1c340193,0x525b0307}},	//   _тазарру_, _초등교육과_, _zonatric, _uduli_, 
   {{0xa25b03eb,0x1ec802b4,0x72b50076,0x09eb0260}},	//   _meule_, _beyingen, _trecho_, _estremad, 
   {{0xa48c00e4,0x23dc0054,0xbadd009b,0x62ad01c1}},	//   _nullnull_, _adawa_, _sustatze, _bercerai_, 
   {{0x2292083c,0x967500d1,0xcae605b9,0xc25a01fc}},	//   _adwaen_, _আদেশলৈ_, _forleden_, _poolis_, 
   {{0x22c201b5,0x08530144,0xd27201ac,0x52920031}},	//   _avelana_, _قدرته_, _cónra_, _katamu_, 
   {{0x527e0237,0xaa5c039d,0xed260148,0xb27a03e0}},	//   _binnen_, _huwelela_, _寫下了這段留言_, _perseinl, 
   {{0x12900120,0x6b660386,0x12920367,0xa20000ce}},	//   _rakaa_, _payudara_, _iguais_, _eroik_, 
   {{0x2ad703dc,0x9ca602e5,0x8849023c,0x79c70159}},	//   _kommunan_, _даасын_, _کيوبا_, _манама_, 
   {{0x0d1200c3,0xa27e0265,0x0c5a005c,0x53400229}},	// [e7b0] _publicae_, _winnen_, _amatoni_, _biletin_, 
   {{0xa0210275,0xe3f4000d,0x82f5035d,0x326e04ad}},	//   _aeletoro, _lastel_, _rusijom_, _lesome_, 
   {{0xc2d904df,0x529000fe,0xe671001d,0xd4b4039e}},	//   _diyen_, _vakaa_, _tendenti, _samanlik, 
   {{0x938602fe,0xc286019d,0x0cdb0163,0x62900015}},	//   _مالدارۍ_, _banakazi_, _سونگھنے_, _wakaa_, 
   {{0x32900074,0xa25002c4,0xd27e0026,0x630602e7}},	//   _takaa_, _дебар_, _zinnen_, _kabalak_, 
   {{0x45100141,0x99d4024d,0x2dbc034d,0xdaa80192}},	//   _терма_, _ubulunga_, _kebiasaa, _긍정적으로_, 
   {{0x42b50332,0x7200017e,0x527c0222,0xc5cc019d}},	//   _precio_, _pekino_, _génie_, _angadzay, 
   {{0x528d002f,0x0fe6007e,0xc4fa0193,0x00000000}},	//   _archiwu_, _apasṛtas_, _खिलाते_, --, 
   {{0x34840026,0x987e0338,0x66a201ce,0xd34c011d}},	//   _주변정보는_, _archivad, _محرمانه_, _гарантат_, 
   {{0x22d80222,0x6d820287,0x415600b3,0xf9640109}},	//   _chien_, _prostěra, _aldawçy_, _कठिनाइ_, 
   {{0x50d902cf,0x69d10188,0x3a0600ae,0xfd380156}},	//   _ракомета, _саҷҷода_, _kababaza_, _פעריאדע_, 
   {{0xad870285,0xcb01019b,0x527e00e2,0xe04c000b}},	//   _kirekire_, _perskait, _rinnen_, _fufuluin, 
   {{0x429001c0,0x6c9300d6,0x539502bd,0x72e5012c}},	//   _hakan_, _ساحات_, _bleser_, _تبصرن_, 
   {{0xd34105ea,0x12b401df,0x52020223,0x7e6202fd}},	//   _colexio_, _knicht_, _trazabil, _reiceada, 
   {{0x1a5b0108,0x28620093,0x43a801f0,0xa6710455}},	//   _mangrupa_, _депутата, _dikagang_, _pendenti, 
   {{0x920003c3,0x6d1b0166,0xe6aa0307,0x631101a9}},	//   _dugim_, _erinnere_, _kokubakh, _metálica, 
   {{0x129200a9,0xa290012c,0xc2eb026b,0x925c0307}},	// [e7c0] _atwara_, _makao_, _llantas_, _banendim, 
   {{0x32910103,0x9db00160,0x030d0334,0x827a02ed}},	//   _kugara_, _ključnu_, _gombeza_, _agrarism, 
   {{0xc2010422,0xb8360060,0xaa7f0322,0xd3130003}},	//   _novimi_, _مايراش_, _barazira_, _rubbers_, 
   {{0x12ab018d,0xf90602af,0x9b1f0223,0x52d4003a}},	//   _ዘይነጽፍ_, _baracagu, _delakoan_, _abudin_, 
   {{0xe3f80034,0xa4fe018a,0xc2490090,0xe2020137}},	//   _hinum_, _athletwy, _amambo_, _seriea_, 
   {{0x5290083d,0xd15f03ff,0x933a00be,0xd3fa007d}},	//   _yakan_, _fungoval, _кинотасм, _datukm_, 
   {{0x13dc0447,0x1dad0041,0x83f902ee,0xc2020202}},	//   _ndiwo_, _иҳаҧахьы_, _dovut_, _teriba_, 
   {{0xc3dc0097,0x22900230,0x1da60167,0x7b140311}},	//   _idiwo_, _vakan_, _disgownt_, _ተንቀሳቒሶም_, 
   {{0x43dc0680,0xe3da02cf,0xf29e0074,0x832001af}},	//   _adiwo_, _подготви_, _китая_, _ashyk_, 
   {{0xb2900222,0xaa1e0155,0x5d160233,0xf7d30163}},	//   _jamais_, _fotbolle, _inpotent_, _haragudj_, 
   {{0xe25a02b9,0x329201f5,0x728c0544,0x33f700f6}},	//   _amely_, _kataku_, _moakaka_, _aşura_, 
   {{0x21f701f2,0x338600f7,0x4aab0120,0x55cc0119}},	//   _ғулҗиға_, _agordo_, _sorkocob, _mabantay, 
   {{0x23890013,0x8e460178,0xd15c022f,0xea9902b6}},	//   _иордания_, _abhayada, _кутах_, _араласуы, 
   {{0xc29000bc,0xd97f0310,0xeb210302,0xdc5101c9}},	//   _pakan_, _cabidile, _abaphele, _एतबेक_, 
   {{0x924a021f,0x62900482,0x5e570263,0xd2920133}},	//   _atumti_, _lakal_, _concreet_, _hatahu_, 
   {{0xb2d9033d,0xfb7b0395,0xeb7c0153,0xe9d00444}},	//   _siyen_, _poloostr, _エクササイズ_, _бенин_, 
   {{0x238c02b2,0x4b59032d,0xd941017c,0x7b5000da}},	// [e7d0] _музеї_, _төрөн_, _sollefte, _primeasc, 
   {{0xfcbc034e,0x103f0066,0x364800c7,0x12610156}},	//   _achanisu_, _hemendik_, _барулары, _קרישטאָל_, 
   {{0x02490103,0x7c2a03a8,0x947501da,0xff3701d2}},	//   _umambo_, _কৌশলসমূহ_, _supermak, _cristopa, 
   {{0xe29005fd,0x3e5405cc,0x586300e5,0x53a80410}},	//   _rakan_, _ababanda, _богати_, _molatong_, 
   {{0xc20102b7,0x084b0064,0x7a97012d,0x02d9023e}},	//   _cheick_, _figueres_, _immigres, _anyes_, 
   {{0xeea900f5,0x558002d3,0x39d7018a,0x6a580290}},	//   _филиалла, _сними_, _bortread, _ambellia_, 
   {{0x0434005e,0x2a070551,0x25370162,0x5b5600cf}},	//   _ﭼﯩﻜﯩﭗ_, _majalaya_, _تاراتقۇ_, _furtoota_, 
   {{0xd2020662,0x82d803d5,0x39800125,0x4066027b}},	//   _terica_, _chied_, _girizile, _पर्षदि_, 
   {{0x8200002c,0x727e0211,0x00000000,0x00000000}},	//   _argia_, _hinnan_, --, --, 
   {{0xe3ea046d,0x4e4102bb,0xe3eb0203,0xf2000390}},	//   _khothe_, _osobiste_, _flatta_, _siniri_, 
   {{0x12550024,0x92d80245,0xe9ca04fc,0x00000000}},	//   _শিক্ষণ_, _thied_, _fotocasa_, --, 
   {{0xe355039e,0x02e90014,0xc35100be,0xf2d90053}},	//   _inneber_, _kufirin_, _تۉشۅنسۅك_, _anyer_, 
   {{0x8dd70040,0x02ce0372,0xa9c80003,0xd387033a}},	//   _התכהה_, _aerobeg_, _verdwene, _essri_, 
   {{0xd2910003,0x7cfd0211,0x1200005b,0xf202061c}},	//   _gegaan_, _круче_, _achine_, _verica_, 
   {{0xd29000ac,0x947a0249,0x427d00b5,0x0aa50212}},	//   _pakao_, _waitskin_, _heseguáp, _antiquis, 
   {{0xa2930192,0xa3220178,0x2ef90061,0xdaf50320}},	//   _부담합니다_, _balaiś_, _종합격투기_, _narrande, 
   {{0xa261011f,0x829102a3,0x77ab0307,0x00000000}},	// [e7e0] _dimotiki_, _begaan_, _kokusayi, --, 
   {{0x962504a8,0x52d90230,0x1dc901b7,0x9c130025}},	//   _halilovi, _plengne_, _अन्यच्च_, _अवस्थात्, 
   {{0xa29101c5,0x52e7007b,0x1290017d,0xc0ae00b7}},	//   _degaan_, _changin_, _takao_, _ёрган_, 
   {{0xd2cb0678,0x130e02cf,0xfc130025,0xf4ad02e7}},	//   _dokonca_, _insanos_, _अवस्थाप्, _kapangak, 
   {{0xc3010322,0x93eb014a,0x7dfb0362,0x65820144}},	//   _ababere_, _alatta_, _benedite_, _horduith, 
   {{0xda6500be,0xfe330453,0x9f3b046b,0x32d701df}},	//   _ابىيىرىن_, _pridržav, _annerbyn, _goblets_, 
   {{0x223b0037,0x0d1700be,0xb86200d9,0x33eb0482}},	//   _ገንዘብም_, _декабрга_, _охраняют, _teetih_, 
   {{0x6ae902d3,0x22910251,0x9b40061a,0x83bc011a}},	//   _количина_, _sugaya_, _अमेरिकास, _הטירונות_, 
   {{0x623703d4,0xad090093,0x525b01b8,0x221c01f1}},	//   _filmova_, _концу_, _meeldi_, _trajneri_, 
   {{0xa3eb044c,0x51c40147,0x005301bd,0xa6a1009a}},	//   _flytta_, _تووكە_, _تامسا_, _ancedisw, 
   {{0x1cd70171,0x7c270377,0x7ea5003e,0xd09200c4}},	//   _pretraži, _bacalaur, _arilelan, _موٽرسائي, 
   {{0x37a5015e,0x7fae0302,0x190402fe,0xd2900119}},	//   _introdui, _фарки_, _angalufu, _makab_, 
   {{0x22ed0388,0x529000c8,0x12900247,0xabb4034c}},	//   _insieme_, _bakae_, _cacad_, _делегатл, 
   {{0x83fd0285,0x6dee00be,0x4b6501a6,0xc89f0130}},	//   _kwizera_, _заманбап_, _konukura_, _digwener_, 
   {{0xd3870080,0x529002ec,0x813f01b3,0x00000000}},	//   _ujarak_, _wacad_, _збуту_, --, 
   {{0x8396001d,0x320001b5,0xdf8c0052,0x00000000}},	//   _amusar_, _echile_, _आतंककारी_, --, 
   {{0x316701bd,0x8965067b,0x4b2801f9,0x99530196}},	// [e7f0] _файлдың_, _barnnoot, _basachub, _fansidar_, 
   {{0x729c0022,0xed03038b,0x88120024,0xd9870261}},	//   _матросов_, _berlipat_, _ডাঙৰীয়া, _brokanta_, 
   {{0xa94d02b2,0xb26c03ee,0xbb9d0105,0x42000449}},	//   _utfordre, _sukobu_, _गुरुभाव_, _dugih_, 
   {{0x125b02d5,0x1c4f0255,0x83eb0403,0xf2910032}},	//   _veelgi_, _कंपनियन_, _alatsa_, _jibach_, 
   {{0xaf1b01a3,0xb3eb0274,0xda9d0421,0x00000000}},	//   _اَلِيزي_, _slatta_, _steigern_, --, 
   {{0x83eb01d7,0x92d90172,0xcfda014d,0x573e0331}},	//   _platta_, _enyeh_, _sichtbar_, _grundgev, 
   {{0x55ac0153,0x00000000,0x00000000,0x00000000}},	//   _クションには_, --, --, --, 
   {{0x2e200211,0x7a3e012e,0x85d70132,0xe3780066}},	//   _беларуси_, _مالیگاؤں_, _پیدوار_, _nabaria_, 
   {{0x1d8f01b6,0x56bd014e,0xdc1d0309,0x939501b9}},	//   _مماتك_, _операциј, _kitablar, _blesir_, 
   {{0x7fdd00a4,0x4e440102,0xff6c031c,0x0ecb0133}},	//   _катарына_, _maaskofu_, _vacantes_, _ellisaan, 
   {{0x7291005a,0x1dae0151,0xcd9d0043,0x00000000}},	//   _bibach_, _gearhead_, _atuleeka, --, 
   {{0x58b20590,0xe0750462,0xc27e0172,0xf92800d7}},	//   _форумд_, _ansactio, _azonto_, _партияһы, 
   {{0x2ac8019b,0x00000000,0x00000000,0x00000000}},	//   _андрэя_, --, --, --, 
   {{0x08090088,0xd9280046,0x1fad002b,0xb6c60297}},	//   _байланыш, _партиялы, _অভিশপ্ত_, _башыңны_, 
   {{0x6519026f,0x204102c3,0xf63d0222,0x37cb0130}},	//   _ءپوەمالا, _porušeni, _satisfai, _disparti, 
   {{0x1a230243,0xb26f0220,0xb3ac0342,0xb32201c5}},	//   _baacitee, _desideri_, _lespwa_, _yaryar_, 
  
   {{0xb8110148,0xc2e50291,0x455d01ff,0x00000000}},	// [e800] _未分類部落格連結_, _سبيرز_, _prežije_, --, 
   {{0xc68c01f4,0xcd0501c7,0xe3eb01a6,0xe9240157}},	//   _اقشامی_, _tutumlar, _amatia_, _हार्वर्ड_, 
   {{0x3d8c0092,0xb26200ff,0xfb9b01ac,0x2c5a0170}},	//   _dalmatia, _פֿעדערט_, _wymiatac, _amatani_, 
   {{0x335e00d3,0xda030066,0x00000000,0x00000000}},	//   _portalym, _zapaltze, --, --, 
   {{0x70460371,0x00000000,0x00000000,0x00000000}},	//   _serramen, --, --, --, 
   {{0x1007015e,0x29f0020e,0xca1a02d3,0xfc3302c0}},	//   _تارتاق_, _chenchoa_, _пробишти, _оградата_, 
   {{0xc1380086,0x82f101d7,0x59c40109,0x011201fe}},	//   _طبرانی_, _arrivai_, _haškovu_, _raikabul, 
   {{0x1e5d0211,0xd262022b,0xa1650021,0xff2202dc}},	//   _матча_, _tiltaksl, _arsonlay_, _fogueira, 
   {{0x5e320162,0x5e420253,0xdc5e023c,0x82920233}},	//   _дериктор, _allamiut_, _دسفارت_, _equant_, 
   {{0xf9680051,0xbdb700a7,0xe2d7013d,0x37a90162}},	//   _diennakt, _planteja, _doroteo_, _малайсия, 
   {{0xa7380036,0x5ee00229,0xfa1100a6,0x8c2202a8}},	//   _روووعه_, _hidayət_, _مجلسونو_, _divorzju_, 
   {{0x4c2c0147,0x2c170375,0x1d970127,0xc26d013f}},	//   _gestió_, _angamver, _eostiged_, _evrog_, 
   {{0xcda7009a,0x424002b3,0x72d9005b,0x19700452}},	//   _bawonaka, _endemism, _codeiq_, _akuntabe, 
   {{0xd7b50683,0x40370222,0x5c170153,0x01370141}},	//   _foredrag, _stationn, _画像をクリックす, _stadionl, 
   {{0xfc6d0478,0x98630133,0x425b0633,0xec5a0513}},	//   _pedrera_, _akksumas_, _angles_, _ematini_, 
   {{0xeea50155,0x58b101a3,0xef500019,0xb25b0414}},	//   _bildades_, _پريڊي_, _йемендин_, _olula_, 
   {{0x98540060,0x24230057,0x22df0309,0x991404f9}},	// [e810] _كونيا_, _በነበሩበት_, _yerində_, _kalaaliu, 
   {{0x3b960074,0x798e0162,0x93e301cd,0x00000000}},	//   _школьник, _ғайиб_, _amathini_, --, 
   {{0xa30e013b,0x5fae0435,0x496c017e,0xc9e101cf}},	//   _nicanor_, _нарко_, _כּשרות_, _occideva_, 
   {{0xbeb700ec,0x058900e6,0x00000000,0x00000000}},	//   _klientas_, _cylindré, --, --, 
   {{0x7a970255,0xf3010118,0x02fe00a8,0xde4300e6}},	//   _सम्मान_, _akebuke_, _ansiels_, _日解盘及仓位_, 
   {{0x32000831,0x707d01ef,0x00000000,0x00000000}},	//   _sinifi_, _бярозка_, --, --, 
   {{0x120102dd,0xddbf029c,0xf69601f0,0x32e001eb}},	//   _bovini_, _achisila, _botegeni, _ciancio_, 
   {{0xc2fb024d,0x40070076,0xcf660177,0x23070243}},	//   _bathoma_, _женското_, _умала_, _waradak_, 
   {{0x750c0261,0xfadd0039,0x11b301e0,0x22200041}},	//   _februaro_, _gustatze, _پاتری_, _jámane_, 
   {{0xf34a03f8,0xaf0e0218,0x67b10121,0x00000000}},	//   _bohevpu_, _editorwa, _afluenci, --, 
   {{0x45260042,0xd360047b,0xe063021b,0xb4960085}},	//   _estranho_, _berghol_, _молоком_, _volaituk, 
   {{0x02540559,0xcaeb00e6,0x2ee800e6,0x0be10371}},	//   _abalindi_, _大家都知道_, _市旅游事业管理委, _ciampino_, 
   {{0xdd8d0018,0xf995045f,0x832600be,0xa2e30148}},	//   _buloudra, _biljette, _جاپىزى_, _feminae_, 
   {{0x034401d4,0x00000000,0x00000000,0x00000000}},	//   _banditu_, --, --, --, 
   {{0x4c0201ef,0xa29401b8,0x42fc03b0,0x1cb000cb}},	//   _verslas_, _elektri_, _mengd_, _amagremu_, 
   {{0x39d2026c,0x32fc0305,0x58910128,0x8adf0195}},	//   _極限的光焰_, _lengd_, _لنگنلیگی_, _caitlige, 
   {{0xb9260092,0x3f2d033c,0xef740333,0x1290021f}},	// [e820] _ようこそゲストさ, _refferen, _discuten, _bakaa_, 
   {{0x4dbd0068,0xec0a00b8,0x46ca01b5,0x92900211}},	//   _arrintaa, _chapara_, _antswany, _jakaa_, 
   {{0xe378007e,0x88fb00b0,0x539c04aa,0x0d820203}},	//   _akaarya_, _calaamad, _hungerig_, _revelant_, 
   {{0x75bb0135,0xe3fa0152,0x5aeb01c6,0xb1cb01b9}},	//   _акценты_, _artuı_, _akoestys, _listerik_, 
   {{0xaa0604f0,0x4c010272,0x140e0061,0x5306006e}},	//   _haramage, _abateres, _전국무료배송_, _darajaj_, 
   {{0x3c180025,0x196300ea,0x00000000,0x00000000}},	//   _तुर्किस्, _hoentint, --, --, 
   {{0xad4904e7,0xe4a90312,0xaad5018d,0x817700e6}},	//   _filtráci, _ispisial_, _ጓለንስተይቲ_, _江泽民文选_, 
   {{0x3b0c0244,0x3ecd03db,0xb04800b5,0x34b40478}},	//   _rapprese, _abanegun, _бельгиа_, _acuélher_, 
   {{0x2ee90311,0xd9fb0201,0x9d5e0156,0xfb6402c2}},	//   _funksion, _salaamat, _פישכאפער_, _geteiken_, 
   {{0x0a3500a7,0xcc300032,0xec08020f,0x7ae600d1}},	//   _competèn, _lannislu_, _کوماندو_, _সীমাৰে_, 
   {{0x569a0164,0x2ae90159,0x2dc00185,0x5e0d007e}},	//   _бразилий, _желайте_, _fatirala, _dvadasha, 
   {{0x0c810374,0x0a32002b,0x8a02031a,0x2ee1043f}},	//   _ифтихори, _মাখিয়ে_, _drabasta_, _prošloj_, 
   {{0xac6e0036,0x72c604b9,0xa2b60059,0xd7b0002b}},	//   _scartha_, _clamour_, _trucco_, _লড়াইয়ে_, 
   {{0x36cd02c2,0x00000000,0x00000000,0x00000000}},	//   _afbakeni, --, --, --, 
   {{0xafc80331,0x73ea0108,0x00000000,0x00000000}},	//   _meinigur_, _alitna_, --, --, 
   {{0xac500132,0x4ae60142,0x5d1b0061,0x717f02c8}},	//   _سنسنی_, _मध्यमं_, _행정규제개혁_, _cabanill, 
   {{0x42fc0594,0xc6c501ea,0x230c0006,0x330e00ec}},	// [e830] _lenge_, _توکسم_, _merawat_, _ekranas_, 
   {{0x4d3e0024,0x93410309,0x32900359,0xeacc016d}},	//   _জলবায়ু_, _liderin_, _proaza_, _уқуминиң_, 
   {{0x120202c5,0x18e40037,0xc2e00144,0x0d0d0064}},	//   _nerima_, _እንዳብራሩት_, _mairfidh_, _requerir, 
   {{0x33790453,0x90f00400,0x065802c5,0x00000000}},	//   _konacno_, _arricall, _dzikwani, --, 
   {{0x939401da,0xfe5e01a4,0xa2c205f2,0x00000000}},	//   _teksa_, _corbilla, _avelina_, --, 
   {{0x934204b3,0xec6f009b,0x6585003c,0x6a840234}},	//   _anterin_, _jesusek_, _پنتاگون_, _ọ̀bún_, 
   {{0xf57c0060,0x4f700145,0x799c0153,0x7ae40166}},	//   _ازىرشە_, _sekantis_, _キャロウェイ_, _gastgebe, 
   {{0xac010047,0xf30c0006,0x09c70035,0xc2fc0138}},	//   _bonsoir_, _jerawat_, _карасаң_, _denge_, 
   {{0x061e015e,0xaa8f0031,0xb2fc0224,0xc3f40140}},	//   _الاسىزبى_, _keliatan_, _tengd_, _pastol_, 
   {{0x920003a4,0x9a440074,0xc9420195,0x38bf0153}},	//   _argir_, _koneessa_, _follaise, _上組の日記_, 
   {{0x62da0450,0x72e60375,0xc5880065,0x80720446}},	//   _skreau_, _akanafa_, _mobilitä, _zadarsko, 
   {{0xcfc7000d,0xe14100d1,0x4dd8021b,0x62b30468}},	//   _radiaato, _বাৰেঘৰ_, _asekaapp, _ukudala_, 
   {{0x3275047d,0x3c6601bd,0x3c160052,0x02fc054c}},	//   _fotograf_, _табысы_, _मुख्यमन्, _henge_, 
   {{0x94c70016,0x7f64003b,0x32fc01da,0x99d90220}},	//   _דעילי_, _angatsin, _kenge_, _дербито_, 
   {{0x95a701db,0xf5d501e8,0x56cc00e5,0xb7b200ec}},	//   _ءﻣﺎﻧﺪﻯ_, _girantiy, _garantem_, _віншую_, 
   {{0x4b6103cc,0x44cb0052,0xc8c0009b,0xc8bf037c}},	//   _también_, _चिनिया_, _zaletasu, _videantu, 
   {{0x22d9003f,0xb280028b,0x5de303d4,0x00000000}},	// [e840] _biyev_, _apukase_, _гласачки_, --, 
   {{0x72020227,0xb95f05a9,0xab0901d1,0x5a0902da}},	//   _terima_, _kwongere, _propriet, _propried, 
   {{0x4be00629,0xefc10145,0x634f014a,0x82e30105}},	//   _eptember, _padovano, _levelek_, _ofertach_, 
   {{0x32a7014f,0xe9e40138,0x97840092,0xe3f80211}},	//   _радова_, _profille, _ダイニング_, _ainut_, 
   {{0x67e30188,0x53790239,0xf2da0160,0x5212005a}},	//   _родиюи_, _karatia_, _okrenu_, _peghu_, 
   {{0x82e70036,0x12e702ff,0x31890037,0xb26c0180}},	//   _mharaigh_, _ajantin_, _የገጠርና_, _rakont_, 
   {{0xdc9303f8,0xffe501b8,0xdcd7002e,0x116c012a}},	//   _bojeghlu_, _positsio, _pretražu, _ekspreso, 
   {{0xcc5a013f,0xb30d0198,0x836902d8,0xe6d1010d}},	//   _faltazi_, _nikakor_, _longsor_, _sembunyi, 
   {{0x13f8018b,0xdc3400bc,0x00000000,0x00000000}},	//   _tinut_, _پرسیدند_, --, --, 
   {{0x295f05f1,0x2d23058b,0x5e5600e6,0x7c23063e}},	//   _bwongere, _europske_, _神起完美和声剪辑, _europsku_, 
   {{0xc26600da,0x320002f6,0xfdcf0153,0x32cb0364}},	//   _депутаць_, _hugis_, _この記事について, _bisdorff_, 
   {{0xf26601c5,0xd75805a2,0xe25501a7,0xc97101b7}},	//   _اخبارتۯُ, _डॉल्फिन_, _onnettom, _तादर्थ्य, 
   {{0x488301d7,0x323004c7,0x385203dc,0x225a005a}},	//   _cumissiu, _априлско, _fotomynd, _qumlah_, 
   {{0xe2020018,0x2206044a,0x227a00f3,0xc3060120}},	//   _merika_, _babimaki_, _efrijini_, _qabalak_, 
   {{0x00f1035b,0xedfb0515,0xd65d012c,0xa5810143}},	//   _zdravnik_, _offerite_, _خيراتون_, _автогара_, 
   {{0x02900281,0x128001fc,0x1292007a,0x162701e0}},	//   _aanaqqii_, _giribiy_, _sewaan_, _مادانه_, 
   {{0x5286054f,0x74190035,0x7df000ba,0x490603ef}},	// [e850] _sibhawm_, _темасы_, _جنێوی_, _barahagu, 
   {{0x023400a6,0x1d730133,0xfeaf03ad,0x4ef6028c}},	//   _akamele_, _asumarra, _akkompan, _जेठकी_, 
   {{0x014100b3,0xf29000b0,0x84010300,0x930c0031}},	//   _импортны, _gacan_, _infolink, _terawat_, 
   {{0x03f80074,0x19e6016e,0x7c6801bf,0x830e070d}},	//   _sinut_, _forumund, _turrenn_, _ensaios_, 
   {{0x22e8019f,0x03bf01e7,0xf8600041,0x0af20155}},	//   _kufikia_, _houwald_, _ҽнаки_, _arbetarb, 
   {{0x871e019e,0x00000000,0x00000000,0x00000000}},	//   _абурэнне_, --, --, --, 
   {{0xd3dc00f3,0x227f003a,0x03550189,0x4f5c03d9}},	//   _ndawo_, _darslikl, _anneler_, _angamban, 
   {{0x714f00c8,0x3cd000cd,0x184100f5,0xf4520258}},	//   _айырылып_, _servetsc, _экранына_, _heidensk, 
   {{0xf29000b0,0xb2b70025,0x36a40331,0xf3bf00cb}},	//   _wacan_, _श्रद्धया_, _uppfunni, _aluveli_, 
   {{0xae4101b4,0x4b8000d3,0x9eb00422,0x00000000}},	//   _sodanige_, _narodilo_, _pljučne_, --, 
   {{0x99750073,0x0983042a,0x9a720553,0x03dc0264}},	//   _insistit, _batibeke, _kováč_, _hinwil_, 
   {{0x3202000e,0x4d800193,0x8c02001d,0x3e710397}},	//   _berika_, _श्रोत्या, _mersias_, _амакбача, 
   {{0x32b401c7,0xe200025b,0x45c400a4,0xbbe7003c}},	//   _рухының_, _dugir_, _taradell_, _درصدي_, 
   {{0x326c0103,0x63940635,0x92500444,0xc290012a}},	//   _makore_, _sekso_, _лесах_, _pijany_, 
   {{0x135702d7,0xa261016d,0x6466006d,0xb6cd00be}},	//   _arredor_, _иниститу, _плюраліз, _بۇتۇڭدۇن_, 
   {{0x536d032d,0xa184073e,0x72000044,0xabbd0060}},	//   _новостна, _menampil, _medium_, _سالتىمىز_, 
   {{0xe75e0590,0xd56b011f,0xb2d80245,0x526e0235}},	// [e860] _soziolog, _aikoseté, _paiem_, _पक्षि_, 
   {{0xc290022c,0xddc702ff,0x63ba0311,0x030300ec}},	//   _tacan_, _frekante_, _ኢምበራጦርያ_, _neradau_, 
   {{0xae300060,0xc915002b,0xaa71024f,0x1d1300c3}},	//   _اللادان_, _সমস্যাগু, _koroivab, _substruc, 
   {{0x90b801ef,0x60380375,0x427e0077,0x00000000}},	//   _kelionės_, _imatilon, _minnin_, --, 
   {{0x42020446,0x2ce40037,0x42000067,0xb29002f4}},	//   _feriha_, _አይኖራቸውም_, _ergii_, _sacan_, 
   {{0xe202024a,0x1f160213,0x0e38008c,0x115f01ac}},	//   _afrifa_, _частей_, _salarisa, _damnaigh_, 
   {{0xa5a2067f,0x52c8018d,0xe3dc0096,0x0d3a01eb}},	//   _hansardk, _ብተሳትፎ_, _aliwe_, _httpchec, 
   {{0xc290036d,0xa38c02f0,0xd9420327,0xd378025f}},	//   _facal_, _awuyise_, _mislykte, _kobanga_, 
   {{0x1c7d00d1,0xca820524,0x779f03be,0xd29001c5}},	//   _উপন্যাসস, _mirovins, _bakubiti, _gacal_, 
   {{0x821200a1,0x3fdf0234,0x37580476,0x30c8008d}},	//   _ngohe_, _ayanpọ_, _asingazv, _душманим, 
   {{0x625a022c,0x42df0205,0xe290031a,0x06a1027b}},	//   _amilin_, _zimning_, _hacal_, _शोचितुमर, 
   {{0x825a03f6,0x13070227,0x6c76011a,0x93f80333}},	//   _onele_, _sajalah_, _insults_, _agnuli_, 
   {{0x5a8900ca,0xec7e03cc,0xaee602fe,0xf37c0244}},	//   _musician_, _cárcel_, _emkhosin, _istante_, 
   {{0x52f80421,0x3cab0405,0x00000000,0x00000000}},	//   _weshalb_, _alsgaard_, --, --, 
   {{0x42900227,0xf2480333,0xe29101c5,0xa371031a}},	//   _macam_, _genovesi_, _ergada_, _falaisg_, 
   {{0x92d900fc,0x4af1012a,0x742102e7,0x43780362}},	//   _biyem_, _zaprosze, _nakatago_, _bobanga_, 
   {{0xe47200a4,0x5d7601d5,0xa40702e7,0xd3eb019d}},	// [e870] _ارىپتەرى, _برانچ_, _binuhian_, _amatha_, 
   {{0x33960585,0x453101e0,0x138001c0,0x22010062}},	//   _srpsko_, _دیجیتاڵ_, _birrai_, _luwiv_, 
   {{0x930c0120,0x5730012e,0x465201fc,0x1320016b}},	//   _akkados_, _بیزاری_, _fransaaw, _akoye_, 
   {{0x067b009a,0xde4c0243,0xa3150176,0xcc5d0009}},	//   _ارماني_, _angaaraa, _topchef_, _postajo_, 
   {{0x92fc017d,0x9a4200d0,0x2b940242,0xa7250334}},	//   _stiger_, _handiena_, _malikdir, _dzamteng, 
   {{0x517f01fc,0x25e8032d,0x037c0241,0x192a0153}},	//   _anninnay_, _продуктт, _butamee_, _人がお気に入り登, 
   {{0xcb2500b3,0x07a800c1,0x3bcc02b6,0x1e250022}},	//   _суратын_, _सम्राटां, _позитивт, _әхмәҙулл, 
   {{0x5c0900a1,0xd49e0037,0x93ea03db,0x1a0700c1}},	//   _tokotoru_, _የሚመጡትን_, _ilitha_, _tukasnya_, 
   {{0x53b300a6,0x2e1202fa,0x92010345,0xacf60151}},	//   _روشنفکرا, _rusesaba, _recibo_, _pardoned_, 
   {{0xa04602f1,0x6b8e0306,0xd2d90107,0xe9b90156}},	//   _ferramen, _artisunr, _anyep_, _תמימותדי, 
   {{0x129001c5,0x4a04020f,0xa05f009b,0xd69603fe}},	//   _sacad_, _angakuxe, _familiak_, _экватори, 
   {{0xaa1d0187,0x32d8004b,0xc1fb0100,0x00000000}},	//   _изреки_, _founung_, _grupnjak_, --, 
   {{0x534d00c5,0xd1db013f,0x22d8024f,0x7cd90162}},	//   _中央电视台_, _tiriadoù_, _kaiei_, _لوندون_, 
   {{0x535800f4,0x3c7301b5,0x090c0060,0x00000000}},	//   _apogée_, _emisiya_, _клиентке_, --, 
   {{0x32000069,0x3f2c0051,0xaf140397,0x00000000}},	//   _kinini_, _pietieka, _гуруҳе_, --, 
   {{0x425b033d,0xccb80137,0xb6c20185,0x00000000}},	//   _boule_, _метрийн_, _faktorı_, --, 
   {{0xdb9b0265,0x702b03eb,0xdc2b031a,0x02920326}},	// [e880] _technisc, _atletiek_, _cheartac, _arwara_, 
   {{0xb34400a4,0xf317008d,0x626c009a,0xdc680108}},	//   _maresme_, _ییملیک_, _bakope_, _bhetoxz_, 
   {{0xf1b5032e,0xa30001b2,0x952d03fb,0x22e8022c}},	//   _aptayaña, _barbrag_, _presudno_, _cunihin_, 
   {{0x2cf20013,0x63eb021c,0x3e520148,0x55aa021e}},	//   _کاظمی_, _platba_, _tractare_, _misstank, 
   {{0x8e0e01db,0x8da00182,0x2cee0177,0x3d5801a7}},	//   _اتاۋدى_, _kikonina, _спонсорр, _мексике_, 
   {{0x7c050043,0x00000000,0x00000000,0x00000000}},	//   _beeruzeb, --, --, --, 
   {{0x02490244,0x225b0241,0xa20006a2,0xc19c023e}},	//   _esempi_, _beelli_, _binini_, _کلاله_, 
   {{0x12130629,0x030c01b7,0x531f00d1,0xa17b00cb}},	//   _alfhay_, _अवकल्कने_, _আখ্যানৰ_, _авроқи_, 
   {{0xb9ba01bd,0x1b1d0061,0xd915000a,0xec050092}},	//   _объектіс, _주기적으로_, _anpartiu, _nakskov_, 
   {{0x52da001c,0x28db0359,0xe3400189,0xc43200d1}},	//   _franche_, _learling, _ailenin_, _জিকিৰ_, 
   {{0xcb6b01d4,0x930700d5,0x9fa101cf,0x269603d9}},	//   _vittoria_, _taranak_, _inseniar_, _noteneni, 
   {{0x67ae01fc,0x82fd00b6,0x19f202af,0x27140045}},	//   _intehogg, _missilah_, _kuziraga_, _стрељашт, 
   {{0xe25a0101,0x2b210054,0xd18f051a,0xee5d0092}},	//   _unele_, _karancin_, _tarbiyah_, _ススピリッツ_, 
   {{0xa2ef0601,0x7c2a0276,0x6c75007e,0x425b00c5}},	//   _pamilya_, _истималч, _पाण्डु_, _roule_, 
   {{0xb8fd004a,0xf3a201fb,0x6c5302d4,0x7e96031d}},	//   _ukrainad, _culpo_, _stattan_, _coldness_, 
   {{0xd0a5018b,0xf7710079,0x1dce0244,0x21a000d1}},	//   _бликате_, _galvaspi, _зимен_, _ক্ষমাপ্ৰ, 
   {{0x75cd073e,0x02fd02ca,0xc13d038d,0x00000000}},	// [e890] _sayangny, _lagged_, _lentasyo, --, 
   {{0x8fe7004a,0x4be80037,0x82cb028e,0x64f20107}},	//   _плакатла, _የሰላማዊ_, _itiopia_, _hermansy, 
   {{0xfb63004d,0x6f12009d,0x33a200fa,0x00000000}},	//   _不上總統府上法庭_, _destinua, _gulpo_, --, 
   {{0x5f7903da,0x05b30169,0x15880364,0x1d9503a0}},	//   _atapịagh, _সন্তানকে_, _mobilité, _diterebe_, 
   {{0x36da00b4,0xa2500180,0x634400ee,0x004b04f9}},	//   _ачестора_, _dereglem, _handitu_, _utertinn, 
   {{0x7da9032e,0xd2fd0065,0xfa730226,0x0b200130}},	//   _kikipara, _ruhiger_, _bakaluta_, _dispenne, 
   {{0xb42402ec,0x62300034,0xdb6603d4,0x65310118}},	//   _لى۪کھان_, _bolmagn_, _прешли_, _bannasay, 
   {{0xf817003a,0xd21202db,0x861802e2,0x71e301a6}},	//   _тилшунос, _sekhan_, _asslaani, _pongāihu_, 
   {{0x3b830340,0x8f06005f,0x3ba5028a,0x58b20041}},	//   _koropiko_, _hábiles_, _milipuko_, _ҳҽазаҳшә, 
   {{0xab8d0060,0xd7390088,0xb911051f,0xa2a10014}},	//   _нәрселер_, _параллак, _نیوزله_, _pakicë_, 
   {{0xc6d30066,0x62d70564,0x52ca0240,0x1db6017d}},	//   _gpsareki, _dialegs_, _duidui_, _borgerne_, 
   {{0xfc930060,0x12ef003a,0x34a000bc,0x8f22002f}},	//   _قاتار_, _hamisha_, _نیومده_, _aparnuwa, 
   {{0x02800141,0x9b6c02e0,0x79fe0294,0x4c1801c2}},	//   _tarixiy_, _boutsana_, _ayramant, _dispós_, 
   {{0x86f5004a,0x8aee0130,0x125b0312,0xa75c01fa}},	//   _пьеро_, _landivis, _boulc_, _sanitung, 
   {{0xb169022f,0xdb020192,0xd9800298,0x8a550016}},	//   _важнейша, _verslage, _piriniha_, _cifereca_, 
   {{0x7fb703c2,0xe50c0169,0x00000000,0x00000000}},	//   _flatness_, _saltillo_, --, --, 
   {{0xdffd0024,0x1b730041,0xab5700ac,0x82e50096}},	// [e8a0] _লেংগুৱেজ_, _cármenpe_, _softvera_, _ahingwa_, 
   {{0x9fd401d4,0x3790015e,0x2c1901b7,0x87ca0074}},	//   _cannello, _الاسىڭ_, _नमस्कृत्, _muistili, 
   {{0x62910013,0x6f6505b3,0x694e000e,0xeca70089}},	//   _nasaf_, _welbeken, _reglarit, _аңлашыла, 
   {{0x5fab0163,0x46d10189,0x950c0153,0xb9df0311}},	//   _fokozato, _hassasiy, _をあわせて買う_, _ሳዕቤንን_, 
   {{0xb394003b,0x5c7900a4,0x99e3022c,0x53be0056}},	//   _feksa_, _белогу_, _ciptakeu, _asivivi_, 
   {{0xda7f02af,0x8e91005e,0xef410568,0xc21200a1}},	//   _baramira_, _تەڭكەش_, _folgefon, _ngohi_, 
   {{0x3b220369,0x79e8030a,0xaee2027b,0x5d2e0222}},	//   _hoopiiia_, _chantada_, _वीप्साया, _optimise_, 
   {{0xfcd40119,0xe939000c,0xceb20088,0x629f0311}},	//   _arapuã_, _савенков, _artesans_, _ተስፋይን_, 
   {{0x03800122,0x8e5d0203,0x637900e4,0x02d80630}},	//   _aktris_, _circulat_, _egzamin_, _csmeda_, 
   {{0x6950007c,0x6e4b01c5,0xfdb00369,0xdb7c016a}},	//   _ngalande, _kulankaa, _hulumanu_, _estontec, 
   {{0xaa710242,0x63dc0544,0xf6360253,0x928800e1}},	//   _yanına_, _alawa_, _sapinngi, _cafkaam_, 
   {{0x925b00fe,0x4dcd01db,0x00000000,0x00000000}},	//   _koula_, _солдатта, --, --, 
   {{0xefac023d,0x820004b2,0x367b009a,0x56a201aa}},	//   _promozio, _binili_, _فرمایي_, _aqueousw, 
   {{0xd0f90437,0xeedf057e,0xef050076,0xd9fd0109}},	//   _forhandl, _कृष्णबहा, _чуваме_, _reprosou, 
   {{0x42250306,0x82e00061,0x00000000,0x00000000}},	//   _alakis_, _글로리플러스_, --, --, 
   {{0x4a3c00da,0xbf27007d,0xb3dc028e,0x6c7405fe}},	//   _хутор_, _keutamaa, _flawa_, _सुस्ती_, 
   {{0x462900da,0xef740119,0xeda703b0,0x00000000}},	// [e8b0] _admiteri, _pagbolun, _dagoppha, --, 
   {{0x80ad0128,0xf34c0364,0x609700be,0x0cff0435}},	//   _максимал_, _abreoll_, _دارتىم_, _protivvr, 
   {{0xae4c004e,0x726d004d,0x52090137,0xa19803f2}},	//   _hunahuna, _mediocri_, _төөрөлдс, _поначалу_, 
   {{0x5b91012a,0x6b070028,0x42d601e1,0xe6970013}},	//   _zamieszc, _warshada_, _dibonto_, _rikengli, 
   {{0xf1d800c4,0xcdd801b8,0xd57e0030,0x00000000}},	//   _چوويهه_, _saaksime_, _gabaliņo, --, 
   {{0xdae00169,0x125b0321,0xd2b603f1,0xe28f001c}},	//   _স্বাগত_, _doula_, _brucho_, _haskovo_, 
   {{0x82d800b4,0x03ea019f,0xd7bd01ad,0x1d680037}},	//   _baieti_, _ilitoa_, _chulalok_, _የቫይታሚን_, 
   {{0xcb0c01e0,0x83ea019f,0xdb6a014d,0xf1be00e6}},	//   _سانیک_, _alitoa_, _grafiken_, _以上所展示的信息, 
   {{0x0a86024a,0xc73a0211,0xada803e2,0xb28900e6}},	//   _adanikan_, _мозга_, _coloquia, _经营者申领出口许, 
   {{0xd6cd0528,0x75060040,0xbf490128,0xc2910102}},	//   _barantai, _הבשורה_, _ширинлик, _tasaf_, 
   {{0x6b690256,0xef27006c,0x43f80378,0xe3f802fb}},	//   _nofotogr, _ирландӣ_, _hanusi_, _tanuu_, 
   {{0xfaee0222,0x513e0064,0x23f80080,0x7f220462}},	//   _quotidie, _rendibil, _ianut_, _eartbrea, 
   {{0x3dd904dc,0x13940278,0x82b40121,0x4c090158}},	//   _ستتان_, _teksi_, _inicie_, _stopnia_, 
   {{0xf2d50062,0x1a050261,0x45a8045f,0x529203e6}},	//   _birojta_, _establit, _riksbank, _gewaan_, 
   {{0xf4e9034c,0x8a08021a,0xe7b301d2,0xbf690296}},	//   _споралар_, _dabalatt, _cloephag, _straffas_, 
   {{0xdc93003a,0x32e700a4,0x428d01b2,0x46200562}},	//   _تینگلنگ_, _tornada_, _alikako_, _hakorani, 
   {{0xf0fa018d,0xa33d0213,0x1d3102f0,0xd1cc0314}},	// [e8c0] _ብሕጽረት_, _заметить_, _amentele_, _фынан_, 
   {{0x485203cc,0x4ba900c1,0x5f73032d,0x53f8012e}},	//   _মনোনয়ন_, _चिमूटभर_, _беркутов, _tanul_, 
   {{0xe37f0340,0x819f0125,0x8a0700b2,0xd96b00aa}},	//   _tukanga_, _адыгыңы_, _barabade, _gilitrat, 
   {{0x7bee010f,0x50380145,0xa59701f4,0x82480261}},	//   _карор_, _galerijo, _бандига_, _aalmah_, 
   {{0xfb8b002e,0xe358019b,0x4738013b,0x00000000}},	//   _izgrađen, _pergale_, _bodrogom_, --, 
   {{0x76ee012b,0x31370366,0xc231028c,0x03f2012c}},	//   _podatkow, _местного_, _solvaval, _burudani_, 
   {{0x996e04f9,0x429100dc,0x00000000,0x00000000}},	//   _akunnatt, _masae_, --, --, 
   {{0x94e40147,0x62c3012c,0x00000000,0x00000000}},	//   _окумушту, _mvulana_, --, --, 
   {{0xf2c1012a,0x525b0195,0x668900ea,0x00000000}},	//   _studenci_, _dwelly_, _hindrami, --, 
   {{0x354302eb,0x079e026f,0x00000000,0x00000000}},	//   _холдож_, _رازەزدەر_, --, --, 
   {{0x33470408,0x12b9004b,0x0f9701bd,0x531700f0}},	//   _gradins_, _bolenng_, _тарихтағ, _medaily_, 
   {{0x326c0160,0xaf2e0148,0x3b030347,0x00000000}},	//   _nikome_, _centuria, _verraaie, --, 
   {{0xf01700ec,0xe078014f,0x723f00d1,0xaf6a0008}},	//   _чароўны_, _заборављ, _অনুস্থান_, _جانبارلا, 
   {{0xea990060,0xa4370244,0xc5780299,0xfadf03f2}},	//   _араласты, _бургазли, _ئۈزمەي_, _sovellus, 
   {{0xfa5c0158,0xb24a013f,0xab6a02f3,0xc3ec0399}},	//   _नीचेदिएग, _stumdi_, _trafiken_, _olimipik, 
   {{0x47a502c2,0x6213007f,0x00000000,0x00000000}},	//   _toerusti, _lechen_, --, --, 
   {{0xb2910440,0x0dff01c5,0xed98039e,0xe62000ae}},	// [e8d0] _rugaca_, _bandhiga, _allereie_, _bakorani, 
   {{0xf62000ae,0x3c09003a,0xc201033d,0x14d50287}},	//   _cakorani, _asossiz_, _enfini_, _लिपिमा_, 
   {{0x63f802e7,0x73420145,0x05f3005e,0x8c7c0235}},	//   _tanum_, _modelio_, _ﺗﻪﯞﺑﻪ_, _cintyā_, 
   {{0x0b6e0453,0x7c2d00af,0x00000000,0x00000000}},	//   _kukuruza_, _запущено_, --, --, 
   {{0x9a880013,0x22910172,0x19750147,0x220102fc}},	//   _navigats, _kasae_, _تئلسىم_, _babita_, 
   {{0x0fe10136,0x88490037,0x52ed069f,0xa6980275}},	//   _splitsko, _ከተማውን_, _lepiace_, _lupesoli, 
   {{0xf5e201d9,0xdf28013c,0x487b0390,0x52d80110}},	//   _ettelbré, _sultanla, _verilird, _saiet_, 
   {{0x93740159,0xefc9012a,0x742700b9,0x320b0205}},	//   _выбраны_, _pomidoro, _हिंदूधर्, _shaharni_, 
   {{0x0299023a,0x184a046b,0xe25b0044,0x6201010d}},	//   _svojím_, _aflonydd, _mould_, _gabisa_, 
   {{0x079000e6,0x1f1601ac,0x362301c8,0x82f30055}},	//   _中国广播网_, _داخلها_, _nedovoli, _adrianu_, 
   {{0xe27f06a3,0x6925023d,0xb43e0162,0x07d50161}},	//   _gwener_, _главата_, _кигиздәк_, _духовку_, 
   {{0xa201028a,0xba4c0087,0x3310049c,0x12920408}},	//   _kabisa_, _tindlela_, _ndangrog_, _mirary_, 
   {{0xe74401e0,0xd20000ce,0xc2a1002b,0x3a2700cb}},	//   _بنیاتی_, _miniz_, _আগ্নেয়া, _бандҳо_, 
   {{0xe04200d1,0x8cb7017f,0xa40204ca,0x4c060026}},	//   _কন্যাসন্, _malinneq, _difusion_, _overijss, 
   {{0xd3f8003c,0x41200488,0x1394018a,0xf2940020}},	//   _manuk_, _noformēš, _becso_, _matamuli_, 
   {{0x62010148,0xb4b40099,0x94d1062c,0xb26f022b}},	//   _decimo_, _achakwik, _निसिचर_, _finnbogi_, 
   {{0xa1c50483,0x03a20100,0xf394022b,0xc5200303}},	// [e8e0] _liquidez_, _ekipom_, _gekst_, _makopany, 
   {{0xaa290177,0x124901ba,0x69b90038,0xa20e01f4}},	//   _компаниа_, _flambo_, _тогын_, _санаш_, 
   {{0x9c6002c2,0x9e9f01f6,0x336d011a,0x00000000}},	//   _wortels_, _døtrene_, _הספסל_, --, 
   {{0x5356017a,0x73df0079,0x0c9002f6,0x2a0801fe}},	//   _abafana_, _pieminek, _sinumang_, _jinajina_, 
   {{0x252a06a0,0xaf5b0092,0xd3a2013b,0x0e0d0107}},	//   _artipisy, _サクラクレパス出, _gulpi_, _دیوتی_, 
   {{0x0c58015b,0xc2ec02fd,0x43f200de,0x93440059}},	//   _kontrek_, _clarsach_, _azuzeke_, _licenze_, 
   {{0x638b0075,0x92ef01d3,0x4a160369,0xa3dc018a}},	//   _nærri_, _skaffa_, _mohameka_, _blawd_, 
   {{0x1d1700a4,0x53cf032d,0x9b5500e1,0x8f1e0271}},	//   _декабрда_, _абдуллин_, _bindleen_, _tildelin, 
   {{0x443c00d1,0x72b500c5,0xd8bf0420,0xd3eb0198}},	//   _বিপিন_, _placé_, _операции, _pretok_, 
   {{0xf25b00df,0x929e0126,0x18880139,0x00000000}},	//   _moule_, _читає_, _dukkhind, --, 
   {{0xb6ca00bc,0xaf9d00be,0x6cfb0012,0xb609020f}},	//   _شکارچی_, _جازباعان_, _फुरमावे_, _پېکېنګ_, 
   {{0x2d2f0173,0x026e033f,0xad9800b4,0xbc6a004d}},	//   _স্বামীর_, _fusifusi_, _colectie_, _中正路二段_, 
   {{0xc74c0576,0x970c0148,0xe2db0155,0x7e5705f8}},	//   _فلسفه_, _與我們合作_, _hänsyn_, _киевски_, 
   {{0xe38b0075,0x2388029a,0x82d9083e,0x84d501a3}},	//   _færri_, _prosennm, _ziyet_, _ونواهه_, 
   {{0x53f9005a,0xb25a03c2,0x3b5b029c,0xbb6a033f}},	//   _bivuv_, _knell_, _amatenga_, _isitokia_, 
   {{0x425b03b2,0x237e0092,0x60bb013c,0x6c670138}},	//   _could_, _エレクトロニック_, _dəllalla, _konumda_, 
   {{0x675001bd,0xac470193,0xf2b9003e,0x7f6b0012}},	// [e8f0] _ادرەسى_, _आर्द्रता_, _bolelng_, _निरदेशन_, 
   {{0x8340037f,0x00000000,0x00000000,0x00000000}},	//   _taleyin_, --, --, --, 
   {{0xa25b05fd,0x326e0140,0xd5c80096,0x2249045b}},	//   _amalan_, _larong_, _badafash, _flamco_, 
   {{0x3200003a,0x94af01f6,0x825b00c5,0x83f80176}},	//   _diniy_, _সংখ্যাৰ_, _foule_, _bukuro_, 
   {{0xebd305fe,0x4a92013c,0xad180359,0xb75c00b9}},	//   _रसियन_, _regionun_, _bedoelst_, _kemiring, 
   {{0xaab8005d,0xa23703f0,0xec610172,0x536701af}},	//   _alamitâ_, _heimila_, _sebulon_, _abatlanm, 
   {{0x5ca90076,0x39ca02c8,0x205f04c7,0xf2de0311}},	//   _филхармо, _cuadrime, _осети_, _ይከታተልዎ_, 
   {{0x664202f7,0xe1d7036e,0xcbfd0019,0x60c7002b}},	//   _bolokilw, _apulupam, _гонконгд, _মাসায়েল_, 
   {{0x79c80182,0xfdb70144,0x549501cc,0x03430249}},	//   _aremenia_, _plaistea, _सद्यःकाल, _manejem_, 
   {{0x9fa801bd,0xb0bd00f7,0x768e0241,0x00000000}},	//   _ءﺗﯘﺳﯩﭗ_, _permesil, _gudeeddi, --, 
   {{0x60a702ac,0xd25b013f,0xd18a0061,0xfb2600ff}},	//   _معجزة_, _toull_, _정보공개청구_, _batalojn_, 
   {{0x1c7f02a9,0x17840092,0xa2d50233,0xed41025b}},	//   _centrą_, _ダイビング_, _ecelent_, _endaligu_, 
   {{0xcdad0528,0xa0d30156,0xe8530366,0xef410476}},	//   _cainntea, _שטיװל_, _термоэле, _atisinga, 
   {{0x3cc400f5,0x1f7b02b6,0xa273023a,0x1400027e}},	//   _алдыьы_, _بىلسەك_, _prestrel, _мерна_, 
   {{0x02fc0362,0x02d900b3,0xb3940014,0xe2c60299}},	//   _conge_, _diyer_, _vecse_, _ئاڭغىچە_, 
   {{0x13170307,0x926e00fa,0x4837019c,0x29260282}},	//   _acacise_, _barong_, _eléwé_, _hāmeneti, 
   {{0xd2d804c0,0xc0c101a7,0x28ce017d,0xc25a042d}},	// [e900] _abien_, _основе_, _テインメント_, _noely_, 
   {{0xb2e50176,0x1e4302bd,0xc201019f,0x5b0402db}},	//   _shinhwa_, _prosesau_, _maziwa_, _kapsaede, 
   {{0x526c012b,0xbbf2002e,0x92df02c2,0x8f69008d}},	//   _domowa_, _prilicno_, _siening_, _nimalarn, 
   {{0x62120105,0x60e201aa,0xd81102ec,0xf37904fe}},	//   _lekhan_, _inancial, _وُپھہِ_, _caiazzo_, 
   {{0x229000a6,0xe26e00d2,0xa3eb0158,0xcee703d1}},	//   _adlane_, _garong_, _klatka_, _bankrots_, 
   {{0x3640028e,0xd1840006,0xf5e303db,0xd25a0265}},	//   _bihianim_, _penampil, _elichith, _hield_, 
   {{0x53f9003f,0xce3703f8,0xc8410222,0x26cc032c}},	//   _divut_, _domageta, _endroits_, _allatani, 
   {{0x0a750272,0xad410376,0x8c6f03ec,0x4f0305fb}},	//   _ameggana_, _andaligu_, _harrova_, _pravosna, 
   {{0x27ae0033,0x9af2053e,0x801f0037,0x8f9002ac}},	//   _pertschi, _personve, _ተቀይሯል_, _منايك_, 
   {{0xfdb1005b,0x226e011e,0xebec0159,0xd3ce013d}},	//   _chouchou_, _letour_, _cigareči, _avivo_, 
   {{0x7f950635,0x347702d5,0x53e6003e,0xdeea0205}},	//   _экскурса, _postitaj, _секундта_, _билишмай, 
   {{0xe3eb00a7,0xce4005ed,0x7fae02ba,0xc89a01cd}},	//   _platja_, _batagiye_, _харки_, _батанзим, 
   {{0x03ea01b8,0xa29003b3,0x20600243,0x8290008a}},	//   _enampakk, _celate_, _ramidiik_, _pelaue_, 
   {{0x337901c0,0x3d81000e,0xbc600064,0xfe48003c}},	//   _labarin_, _abreviat_, _mortals_, _bahayane_, 
   {{0x0fb60163,0x725a0116,0x43f9003f,0x30fc01db}},	//   _kattints_, _bield_, _jivum_, _прозалық_, 
   {{0xbc5c026c,0xb9e7020e,0xcd09003e,0x57ca025b}},	//   _各縣市獸醫師公會_, _boromuoa_, _dibonase_, _kristili, 
   {{0x5fca00bf,0xf2d40333,0x33f800fe,0xbe7f0120}},	// [e910] _башкирск, _abbonda_, _mafuu_, _soomalî_, 
   {{0x689f0037,0x794f015c,0x2c7100e6,0x2ae7001c}},	//   _አገኛለሁ_, _agelogge, _多项指标位居全省, _oberspre, 
   {{0x2379016b,0xc95e02c6,0x1290044a,0x2dfd0381}},	//   _kabarin_, _chalonie, _kelase_, _aspectwa, 
   {{0x75190102,0xb290035b,0xc25a0258,0x3291021a}},	//   _فولادي_, _člani_, _fiele_, _argama_, 
   {{0x525a0369,0x69a5009a,0xac620279,0xa7ed01dd}},	//   _niele_, _رئيسان_, _fournie_, _bagaseng, 
   {{0xa4750690,0x7b610204,0xeb530142,0xe3030308}},	//   _disertak, _vieraita_, _अह्लादिष, _meracau_, 
   {{0xe25a07b4,0xa26e02bc,0x020e01f4,0xf0580128}},	//   _hiele_, _sarong_, _ҳамас_, _asarlarn, 
   {{0x7c1401b2,0x21fa0238,0xb30d0097,0x3ae5010b}},	//   _cursory_, _закордон, _atibaba_, _bokreste, 
   {{0xaa190074,0x325000c8,0x940101b5,0xf2c20105}},	//   _долларов_, _нефаз_, _ekereken_, _ewelina_, 
   {{0xa9c10288,0x0e2203f5,0xb51e0316,0xe25b00f4}},	//   _kememore, _exemplos_, _dillaliy, _foulk_, 
   {{0x7f510162,0x5c05005b,0x22cb01d2,0x764c00e6}},	//   _берәлмәй_, _natsumi_, _colonpa_, _有意思的是_, 
   {{0x23eb02cb,0xf5370097,0xd3000133,0x00000000}},	//   _slatka_, _lọ́dọ̀_, _gananii_, --, 
   {{0x17b40256,0x8ef604f8,0x7249019b,0x0eac05b9}},	//   _furnitūr, _markings_, _kremai_, _skarpere_, 
   {{0x5b2d0193,0x2fb60074,0x4dc700f3,0x1c7002eb}},	//   _hambatan_, _hallinno, _benkampa, _sekretu_, 
   {{0xbc1d0262,0x948e02c0,0xf7430128,0x020100ef}},	//   _kitaplar, _можности, _рўбарў_, _baziva_, 
   {{0x935603db,0xf37a0288,0xcdfe01bd,0xe470014a}},	//   _abafuna_, _karawin_, _تەگىس_, _receptek, 
   {{0xc29100ea,0x32910172,0xee7500da,0xaccc02b6}},	// [e920] _lasan_, _pasaa_, _discutie_, _сүйреп_, 
   {{0x06dd00b9,0xdf5c0278,0x657d0297,0x00000000}},	//   _पॅरिस_, _macamman, _дилюс_, --, 
   {{0x82e60322,0xfb5b0272,0x13800435,0xb292030b}},	//   _akanywa_, _amatanga_, _žurku_, _atwala_, 
   {{0x11e8026f,0xac5602c5,0xda850128,0xc2260120}},	//   _ابدوللا_, _abatane_, _شووده_, _buukul_, 
   {{0x4b68038b,0x552602af,0x4ea00191,0x2d5c0162}},	//   _turunnya_, _bihinduy, _nedladdn, _جۇدۇن_, 
   {{0xac1e029b,0x14a801f6,0x5dc700a7,0xa248012b}},	//   _aydapoor, _বৃদ্ধিৰ_, _بوراننان_, _kremy_, 
   {{0x0dfd02c0,0x3b5b0326,0x00000000,0x00000000}},	//   _далечина_, _ematanga_, --, --, 
   {{0x7b2d0057,0x3f5501cf,0xce54014c,0x00000000}},	//   _jambatan_, _gargolas_, _obuchwep, --, 
   {{0xcf490039,0x5f680247,0x995e0291,0x5291031a}},	//   _барилдса, _ابوظبی_, _بأمراض_, _easan_, 
   {{0xa23802fb,0xe5f201ab,0xbc05005b,0x747a028f}},	//   _heimuli_, _कहलथि_, _tatsumi_, _konganuk, 
   {{0x9aa80061,0x524800a2,0x2389008c,0x2c65003d}},	//   _자밀라오빠미워_, _usemi_, _barscham, _barthou_, 
   {{0xc6e2017d,0xc7cc0285,0x42ff01ad,0xc300018a}},	//   _この回答への補足_, _kwishimi, _hupiter_, _danbaid_, 
   {{0xd74f020f,0xef3c03ea,0x7e3c031c,0x428e01f7}},	//   _استدراج_, _largemen, _hablamos_, _tassigny_, 
   {{0xf15c01cd,0xac710033,0xf4ba0311,0x02ea0157}},	//   _сурат_, _affrunt_, _ዝተሰከመ_, _morizon_, 
   {{0x32910120,0xbf2101d1,0x2e5402f0,0x67c90241}},	//   _casan_, _dependen, _ebuchwep, _efesooni, 
   {{0x31bb018d,0x679b0156,0x12a702db,0x01d3017a}},	//   _ዝበለጸን_, _מלאדי_, _trabel_, _торнамо_, 
   {{0x12fc02b7,0x92b50334,0xe291005b,0xf179005b}},	// [e930] _honga_, _mundime_, _masao_, _babypink_, 
   {{0x42fc00fe,0x18e600c7,0x926b001c,0x47580052}},	//   _konga_, _массасы_, _serraval, _पेस्तोल_, 
   {{0x625a03f6,0xfc6f0262,0xe3dc0037,0x329001c2}},	//   _anela_, _ýerden_, _alawi_, _sinala_, 
   {{0x62fc019d,0xd18a0262,0xfc3202c6,0x45120187}},	//   _monga_, _agramyny_, _astroù_, _универзу, 
   {{0x0256039e,0x9e0101b7,0x40570016,0x32900007}},	//   _মাধ্যম_, _agrataḥ_, _alfabeto, _binama_, 
   {{0x120100ac,0x926c0027,0x54220260,0x364303d1}},	//   _saziva_, _komota_, _engadido_, _brokasti, 
   {{0x07fb0287,0xa25a0216,0x02fc012c,0xd8690162}},	//   _कल्वरी_, _enela_, _gonga_, _һаятларм, 
   {{0x9fae02b2,0xa292012c,0xe3ce0041,0xbc7500be}},	//   _ранку_, _ruwaza_, _avave_, _توسپودۇم_, 
   {{0x729101c0,0x22fc00d2,0x99800053,0x0dde0238}},	//   _wasan_, _gengsi_, _नियमीत_, _musklene_, 
   {{0x6442017d,0xa62700bb,0xe6000065,0x72290094}},	//   _返事を書く_, _فیکلٹی_, _firmenei, _инемен_, 
   {{0x32fc02fe,0xe25a0191,0xc3f40321,0x74fb01ab}},	//   _jonga_, _himla_, _avstro_, _जामाना_, 
   {{0xf291002e,0xf25b002a,0xef920322,0xd3dc0282}},	//   _nasao_, _olulu_, _ajadejar_, _koiwi_, 
   {{0x77bb02e1,0x13200062,0xd180034a,0x027f000e}},	//   _altranai, _choyu_, _marabill, _evenir_, 
   {{0x23f001f0,0x13ea0052,0x62f2004a,0x2590021a}},	//   _bojelong_, _vnitra_, _акбай_, _federesh, 
   {{0x02d900b4,0xa29103d7,0x425b0088,0x00000000}},	//   _ambele_, _lasal_, _sigles_, --, 
   {{0x4ae60142,0xc9db083f,0x00000000,0x00000000}},	//   _मध्यमः_, _almennyt, --, --, 
   {{0x5d8d019b,0xa0c8005e,0x63bf0087,0x62af00ec}},	// [e940] _autobusa, _دەپسەندە_, _hluvuli_, _ispanišk, 
   {{0xa28800c7,0x125b023f,0x90ae0177,0xe8490585}},	//   _айдар_, _inglis_, _арбан_, _primenju, 
   {{0x82b5009a,0xf25402bb,0xce960162,0xae970130}},	//   _faecal_, _शक्तिपीठ_, _جىنىم_, _distaget_, 
   {{0x07560687,0xfc4e0053,0xe25b025b,0xc2dc0013}},	//   _abiyandi, _जीवनमान_, _poula_, _nahotki_, 
   {{0xe355062d,0x2c670242,0x730000a2,0x6bfd02ac}},	//   _niveles_, _fonunda_, _manabii_, _مغتربي_, 
   {{0xfe550162,0x62fc0034,0x055d051f,0xbeb804c7}},	//   _دوستى_, _lengri_, _ئینقلابی_, _рукополо, 
   {{0x30a900e6,0xab7201de,0x00000000,0x00000000}},	//   _月入千元退休女教, _отына_, --, --, 
   {{0x020100e9,0xb0dd00ba,0x1a700486,0x59fd0061}},	//   _dibien_, _ئیمرۆ_, _मुठभेड_, _대한민국예술원_, 
   {{0x7c670333,0xd74b0188,0x9b3000e6,0x5291029b}},	//   _conteur_, _экологӣ_, _业内人士认为_, _gasal_, 
   {{0x1faa01f3,0x704d005d,0xfe3d00f8,0x116a0068}},	//   _motorovo, _langseco, _ধনিয়া_, _afasiyoo, 
   {{0x67cc045f,0x9053023c,0x193b0037,0x330502b9}},	//   _visserli, _داګست_, _ኬሚካሎች_, _چوھان_, 
   {{0x75f9035f,0x03f80075,0xfad6007e,0x8e31008c}},	//   _उपरोक्त_, _hanus_, _acetanat, _collegas_, 
   {{0xbe14070f,0x33f802e7,0xa2c20203,0x40430222}},	//   _उत्खनन_, _kanus_, _acclara_, _modifiez_, 
   {{0xfd8701ec,0x32900417,0xfe4c0074,0x00000000}},	//   _انفورمات, _gelaat_, _спасти_, --, 
   {{0xc291055d,0x936002eb,0xc26a03dd,0x2db100e3}},	//   _masam_, _бензиний_, _trafikim, _emisferu_, 
   {{0x790102f6,0x3270015e,0x9a0901dd,0x996a02d9}},	//   _nararamd, _decideix_, _babagana_, _purinise, 
   {{0xb59100f5,0xe69601f0,0x271b00d9,0xa2550012}},	// [e950] _akuserçi, _ditegeni, _споры_, _रखवइया_, 
   {{0xb28f0286,0x5292046b,0x7c2d05b7,0xd69600f2}},	//   _ndukuro_, _hirach_, _sažetak_, _komercli, 
   {{0xe2fc0654,0x862f03ce,0x00000000,0x00000000}},	//   _menipis_, _کڕیزی_, --, --, 
   {{0xf3ea019c,0xcf3f015c,0x02910040,0x63e700da}},	//   _adití_, _fënster_, _basal_, _forumuri_, 
   {{0x129102da,0xb32002a0,0xbbab006f,0x9a0901c5}},	//   _casal_, _akoyo_, _michuano_, _gabagabe, 
   {{0x729203b4,0x827f0374,0x54f4027f,0x39900163}},	//   _kuwana_, _تولپاری_, _aramurah, _حیاتیات_, 
   {{0x4b6b02f3,0x65c8048c,0x4983004d,0x00000000}},	//   _huruvida_, _ambassey, _他革新了小說敘事, --, 
   {{0xb29100c9,0x82920278,0x724a0145,0x80f70486}},	//   _vpbank_, _iswara_, _trumpi_, _सत्रौं_, 
   {{0xf61102b9,0x43dc03b6,0x87c800da,0xb0ac045b}},	//   _probléma_, _alawo_, _emisiuni, _агенство_, 
   {{0x029003bf,0x822402d5,0x93780039,0x37b800d3}},	//   _dinaha_, _isikud_, _kokapen_, _poboček_, 
   {{0xd25a002c,0x00000000,0x00000000,0x00000000}},	//   _ziela_, --, --, --, 
   {{0x03060120,0xc59e002e,0x528b01d2,0xaad3006d}},	//   _angaluk_, _čišćenja_, _conacami_, _бліжняга_, 
   {{0xa2240315,0x13f80122,0xc5bd010d,0xc6d7016b}},	//   _abikwe_, _janur_, _wirausah, _bambanci, 
   {{0xd680021a,0xbe4e02b6,0x7373025f,0x6db704a4}},	//   _bineensi, _ларды_, _halambe_, _glaistea, 
   {{0xe3f80255,0xd9fa0089,0xc47d048f,0x7d31006c}},	//   _vanus_, _прозасын, _basendik, _amenzele_, 
   {{0x126c0673,0xf3860700,0x99fb01d8,0xa19300ff}},	//   _nomoya_, _raorao_, _namarkat, _האַקן_, 
   {{0xb01e00ec,0x4db50439,0xa6180074,0x57a601a3}},	// [e960] _orientuo, _khansela, _pellilli, _ٻهروپيو_, 
   {{0x32cf03e6,0xe8fb002c,0xf2c3042c,0x72d70167}},	//   _jeromed_, _hamarkad, _onoliko_, _apelgar_, 
   {{0xf29002f6,0x9f2e05d5,0x403b013b,0xe26c00ef}},	//   _pinaka_, _centtria, _gingasto, _komoya_, 
   {{0xc8ba010f,0xc21301be,0x3f7d021b,0x115602c0}},	//   _абдуҷабб, _buchta_, _израиля_, _верските_, 
   {{0xda540164,0xd29204bd,0x0c5e012c,0xe26400ec}},	//   _ﻣﻪﻛﺘﻪﭖ_, _auwana_, _محفلن_, _smulki_, 
   {{0x227e041b,0xa59802db,0x3c170542,0xf0cc0268}},	//   _tional_, _disolvem_, _निस्वार्, _allocabl, 
   {{0x884104bb,0x6bd702eb,0x1db402b6,0x00000000}},	//   _callixtu, _хишгээ_, _موعول_, --, 
   {{0x4b75003d,0x4b5e0220,0x988d01ed,0xc74100e4}},	//   _utilizac, _храни_, _alihikau, _विविधिता, 
   {{0x7c600090,0xd86d0061,0xc201016b,0xd25b04b3}},	//   _kufunga_, _어린이영어_, _dafifi_, _doull_, 
   {{0x427e03f2,0xf323036d,0x2db704a4,0x1e22038a}},	//   _ikinä_, _blockip_, _claistea, _hasutasq, 
   {{0x526c0410,0xef2e023e,0x3f350212,0x0237002e}},	//   _bomoya_, _satungga, _theratea, _trajao_, 
   {{0xb90503c2,0xc680016b,0xa29102d9,0xec5300c1}},	//   _absaloid, _dindindi, _sasae_, _संपेल_, 
   {{0x361103f1,0x1ba3005c,0x729100dc,0xe1a502ea}},	//   _probléme_, _akikomer, _pasae_, _скандира, 
   {{0x9b5802bf,0x32df00d4,0xb2900191,0xd3f80034}},	//   _ahlushwa_, _miening_, _delade_, _vanur_, 
   {{0x1ecd055f,0x28380037,0xa25a033c,0x0c760017}},	//   _gerektiğ, _አስችሏል_, _anelu_, _साक्षर_, 
   {{0x85a3015d,0x5c6000fa,0x00000000,0x00000000}},	//   _जागता_, _hamunin_, --, --, 
   {{0x22d90132,0x734001f7,0x52d900bc,0x9c5c0089}},	// [e970] _embert_, _aixeena_, _bayem_, _dustın_, 
   {{0xe3d2026f,0x62780203,0xf3b70177,0x0dc40010}},	//   _القۋدى_, _airnav_, _занааҭ_, _betimpha, 
   {{0xfdf20039,0xef5801ca,0x10740040,0x318b00bb}},	//   _berdinta, _egyptnga, _שנוצרו_, _اعلانِ_, 
   {{0xca020374,0xd37a0585,0x8290002f,0x7caf002b}},	//   _sifatida_, _najavio_, _aykam_, _অনিদ্রা_, 
   {{0xa290041c,0x32f60040,0x1deb0284,0xf98e01cd}},	//   _askani_, _כשנקראו_, _bulváru_, _тайид_, 
   {{0x6472048a,0xe2380224,0xdf2c040b,0xb2de00f4}},	//   _автордың_, _heimili_, _khetheka, _ménard_, 
   {{0x72fc0003,0xee5d015f,0x83b70061,0xf26c02e4}},	//   _jonge_, _broblema, _서비스통계_, _akkont_, 
   {{0x224b02ee,0x13790082,0xe9350450,0x0a01053f}},	//   _popolari_, _nazarin_, _hiemstra_, _sarapaxa_, 
   {{0x12000707,0x925a026b,0xc537004e,0xb3170279}},	//   _manini_, _hielo_, _gitinguh, _placard_, 
   {{0xb08a02da,0x1e590299,0x826c029b,0x00000000}},	//   _навивачи, _ئابۇنىچى, _jiloor_, --, 
   {{0xc26e0103,0x729200c1,0x9afd0016,0xac9c0465}},	//   _masowe_, _diraih_, _aspektis, _besedilu_, 
   {{0x8c37011b,0x21e00040,0x857f04ce,0x74de0040}},	//   _bienvenu_, _במחצית_, _tutuwedz, _בוזגלו_, 
   {{0x35600192,0x1a820152,0x1a030008,0x49e1003e}},	//   _사람입니다_, _generalı_, _peralada_, _kamoraka_, 
   {{0x82fc0503,0x897001cb,0x724a02d8,0x6024004d}},	//   _konge_, _ukungabe, _asumsi_, _許渾的悲慨詩作_, 
   {{0xf2000285,0x1f3c0461,0x34690444,0x93860160}},	//   _kanini_, _cargamen, _сражения, _uporan_, 
   {{0x03eb0540,0x323401cb,0x6fd501c8,0x3e2301b7}},	//   _flytja_, _ujamele_, _ventilač, _पताकास्थ, 
   {{0xff66036f,0xa5590278,0x80590053,0xa249005b}},	// [e980] _obrazovn, _berkelay, _berselan, _izumo_, 
   {{0x08510347,0xc836014f,0xfb010223,0x88c2028b}},	//   _vensters_, _процени_, _исламын_, _итрио_, 
   {{0xb26d0198,0x852a028d,0x095f00a4,0x458302d0}},	//   _evrov_, _artifisy, _frontere, _forenich, 
   {{0x1202046d,0x79e80300,0xd9dd0222,0xa6330268}},	//   _fariwa_, _dobrodru, _essentie, _abulousf, 
   {{0x39f70226,0xb26d0281,0xd33f0350,0xdf1104a4}},	//   _angatete, _amerlall, _በድሬደዋ_, _protefta, 
   {{0x47f50013,0x8c8601db,0xd2d500d8,0x33e201f3}},	//   _kasallig, _инженері_, _assosta_, _ostrosti_, 
   {{0xd7360275,0xb2d900db,0xa201019c,0xe6d90010}},	//   _faalelag, _kreeka_, _dafidi_, _bayatisw, 
   {{0xc30c011b,0x95280037,0x08c500ce,0x83f900a2}},	//   _abdaals_, _አክባሪህ_, _ledepand, _wavuti_, 
   {{0x1e0000c5,0x9c74015d,0x225a01da,0x8b300166}},	//   _提交搜索表单_, _अइय्या_, _diell_, _leuchten_, 
   {{0xae5e018d,0x8da601bb,0xa2ca00ee,0x420f0374}},	//   _ብውሕልነት_, _турмелер, _azido_, _услубини_, 
   {{0x822f0024,0x3c0502ff,0x185d048c,0x518900b7}},	//   _শালমাৰা_, _cahrity_, _assailer_, _bazasyny_, 
   {{0x30ed0251,0x1c54051f,0x9d900415,0x02cb0251}},	//   _تقدیٖر_, _رۆنالدۆ_, _gelegene_, _adadag_, 
   {{0x96280277,0x0c72041a,0x00000000,0x00000000}},	//   _kasinati, _madrass_, --, --, 
   {{0x220200ea,0xceca0382,0x927f0158,0x00000000}},	//   _hariva_, _lwangwin, _budnet_, --, 
   {{0x7c620556,0xe3770387,0x0512026b,0xaef1008d}},	//   _imfundo_, _balansị_, _নিয়মাবল, _истаги_, 
   {{0x72e80071,0x01ee02ac,0xe2920271,0x42910209}},	//   _camilan_, _بألوان_, _omtalt_, _aasaa_, 
   {{0x76110300,0x52910172,0x75d900d9,0x13fd0099}},	// [e990] _problémy_, _basaa_, _анализы_, _atizira_, 
   {{0x54d70193,0x371700be,0x3a0600cb,0x2b30014d}},	//   _बेकिंग_, _حاككەرلى, _angazuza_, _feuchten_, 
   {{0xa25b036c,0x22130342,0xecf202a4,0xca850162}},	//   _alalan_, _mechan_, _pertiner, _ئۈزدى_, 
   {{0x32ca0249,0x72f1005b,0x8f07024b,0x00000000}},	//   _soldia_, _shuichi_, _débiles_, --, 
   {{0x434d0453,0xf768005e,0xec6d027f,0xf8080107}},	//   _opremom_, _қумандан, _iriruka_, _فتاوا_, 
   {{0x914e00a2,0xa25b02a0,0xef3701c9,0xc26402cf}},	//   _اسسٽنٽ_, _inule_, _enesetap, _duplas_, 
   {{0x73f9018f,0x4bc502da,0x29d3034c,0xcd96019a}},	//   _vivut_, _славеше_, _бердэнбе, _moutered_, 
   {{0x848705dd,0x163a015f,0xf2fd015d,0x62230156}},	//   _मलयालम_, _attolygw, _दर्रा_, _עטיקס_, 
   {{0x925a0206,0x686800cb,0xabfd0222,0x9dc80311}},	//   _ciele_, _abangazu, _régulari, _ኣብሪህዎ_, 
   {{0x267e01c4,0x9a080050,0x82900307,0x67bd0261}},	//   _ingeslui, _sajabana_, _idlale_, _acerfoli, 
   {{0x32e101aa,0x6f54020e,0xb7e20145,0x33dc00dd}},	//   _unitsway_, _элиталы_, _унутрана, _eniwe_, 
   {{0x6cf70053,0x32240256,0x6a09013b,0x399604cf}},	//   _महाकाय_, _saikne_, _mabayana_, _lithathe, 
   {{0xd25a07b4,0xb213018a,0xceab0182,0x327a017a}},	//   _giele_, _fechan_, _kikowaen, _abasekol, 
   {{0xb434018d,0x43f90051,0x829003e8,0x6c6d0687}},	//   _ፍሉይነት_, _divus_, _oddaje_, _ariruka_, 
   {{0xa3520012,0x9da10026,0x00000000,0x00000000}},	//   _पड़ेलौ_, _overleed_, --, --, 
   {{0x825a045c,0xa2d90387,0x3e480349,0xb15301ef}},	//   _biele_, _dobere_, _achataba, _pristato, 
   {{0xa9090184,0x9395011b,0x345a07bd,0x902e0073}},	// [e9a0] _aabayabu, _pessa_, _slavonij, _mendacio, 
   {{0xd25a02b0,0x6202005b,0x430704a4,0xa8790037}},	//   _viele_, _narita_, _bogaidh_, _ዘመናዊና_, 
   {{0xe25a012b,0x53950230,0x02900219,0xfa090207}},	//   _wiele_, _preske_, _adlale_, _ڪتابت_, 
   {{0x8b7d0465,0x44a40193,0xca6003a2,0xb25a016a}},	//   _finančne_, _जावास्क्, _लांघी_, _tiele_, 
   {{0xf10700b0,0xc02e0041,0x018302d4,0x02d90387}},	//   _قرارا_, _ашәба_, _zauberfl, _zobere_, 
   {{0xe21203de,0xc2da0305,0x59850206,0xa395018b}},	//   _umphathi_, _avsett_, _kolieska_, _gresie_, 
   {{0x622602e7,0x125a0473,0x98de0178,0x95c5015e}},	//   _asukal_, _ziele_, _asamṛddh, _сындыра_, 
   {{0x2c77026c,0x6e34015d,0x0200019b,0x2a070026}},	//   _insuper_, _pokazywa, _manimi_, _gemarkee, 
   {{0xcd3f0024,0xe202017e,0x6da90020,0x0db5006c}},	//   _শ্যামলী_, _farita_, _fagufagu_, _abantula, 
   {{0xd5830403,0x806103f1,0xcb5603b8,0x7277056b}},	//   _nametrah, _webslovn, _пункттер, _dicantum, 
   {{0x53070195,0x1eac029f,0x03440181,0x4b300076}},	//   _cogaidh_, _postupne_, _laveste_, _рекол_, 
   {{0x020200d2,0x84c0019a,0x39ef0061,0x0c040265}},	//   _harita_, _doucelyk, _답변드립니다_, _verlaagd_, 
   {{0x02d9041c,0xceb80363,0xfea00244,0xdbd501f4}},	//   _bennale_, _utformin, _строгост_, _bandalar, 
   {{0xc300050a,0x8f7503f2,0x837304ad,0xe27300cb}},	//   _kocaeli_, _активизи, _lenaane_, _azisekel, 
   {{0x602e032e,0xd2020160,0x0b520052,0x6d0501a6}},	//   _bendicio, _desilo_, _प्रीतिबा, _ierupaar, 
   {{0x725a018b,0x03f800e9,0xb4c9004a,0xa45e0311}},	//   _piele_, _lafus_, _себергә_, _ብፍሉይነት_, 
   {{0x5583006a,0x42920195,0x739d022f,0xe29201da}},	// [e9b0] _fametrah, _dhragh_, _населены_, _amtare_, 
   {{0x32ba0009,0x7256002b,0xed1901a0,0x405701f0}},	//   _spodnji_, _পরস্পর_, _dvisitor, _gaisanan, 
   {{0x02530388,0xd29e0177,0x44ec005e,0x42fd012a}},	//   _italiani_, _дикал_, _ﻣﯘﺩﺍﭘﯩﺌﻪ_, _kupujemy_, 
   {{0x13950150,0x0cde053f,0x42cb041e,0x42d904f8}},	//   _efesas_, _pinkillu_, _stadii_, _albeit_, 
   {{0x0201043d,0x82bb0415,0xc0010061,0x7ede0265}},	//   _begitu_, _alleine_, _기자회견을_, _rechtban, 
   {{0xfcd60285,0x321201d8,0xaa0b010b,0x29e4019d}},	//   _ubukungu_, _mukhla_, _bojanala_, _alandira_, 
   {{0x3baa0074,0xbb96054e,0xc0e6004d,0x49f301d7}},	//   _миллионо, _tiliktur, _瓦斯熱水器_, _arrivada_, 
   {{0x4cf10282,0xa2fc0318,0x1b290107,0x79cf01af}},	//   _ahitoper, _iongi_, _آزرده_, _derejede, 
   {{0x92fc0298,0x620e0145,0x55040141,0x44a202ca}},	//   _hongi_, _манах_, _юнонисто, _pasáiste_, 
   {{0x0c5702cb,0x0da4002f,0x0ecc0016,0xc2fc0378}},	//   _nestaje_, _aceitewa, _ekzistan, _kongi_, 
   {{0xa98b002e,0x725b04bd,0xd9ad001a,0x02d90114}},	//   _treće_, _aouli_, _اقرباء_, _reveal_, 
   {{0x7b0b0570,0x112c00d9,0x825b02f9,0x024100db}},	//   _तनुश्री_, _растение_, _bouli_, _धउरली_, 
   {{0x138102a2,0x602e01f7,0x251000a7,0x886d048c}},	//   _ninyong_, _rendicio, _керме_, _antitrad, 
   {{0x6ec90046,0xb325029b,0x9c1a0361,0x21ac004a}},	//   _blanques_, _maabeey_, _галваьлл, _kamallıl, 
   {{0x0fdf03b6,0x126c032d,0xb2910289,0xe2e00362}},	//   _ayanmọ_, _bomoea_, _angapo_, _epanayo_, 
   {{0x53f90062,0x668c0255,0xbf6301be,0x00000000}},	//   _hivup_, _मिलात_, _दृश्यहरू_, --, 
   {{0x22e501db,0xc1260162,0x8971031a,0x73fa046f}},	// [e9c0] _ءبىرر_, _بىلگەنلى, _chunnart, _dorunn_, 
   {{0x92ef02fb,0xd6430357,0xa7bd0397,0x94200297}},	//   _akafia_, _sitiviki, _додугири, _elektrçı, 
   {{0x725a022b,0x7eca0192,0x814402fd,0x0af10633}},	//   _himli_, _reinigin, _gollaidh_, _expenses, 
   {{0x49fb01f9,0xd2920111,0x92560024,0xa4f10158}},	//   _akhatsat, _squame_, _পৰস্পৰ_, _geometry, 
   {{0xab340228,0xe201013d,0x934503a2,0x46e80045}},	//   _lokalhis, _bazita_, _पाहनवर्र, _катастар, 
   {{0x803c03dd,0xb52f00ed,0x00000000,0x00000000}},	//   _infeksio, _matingoh, --, --, 
   {{0xec2701b6,0xc6d00151,0xde5d018d,0x41ee02c3}},	//   _eliqush_, _straddli, _ንምምልካት_, _garsónka_, 
   {{0xb322013c,0xa288024a,0xec6b0014,0x82f70213}},	//   _kirayə_, _danamani_, _komunat_, _трунов_, 
   {{0x734901b9,0x12630150,0x725a01fc,0xc9320040}},	//   _grifone_, _kominiti_, _gallik_, _וקורסים_, 
   {{0x84e60125,0x22fc0249,0x825b0027,0x40e40420}},	//   _урушлар_, _longn_, _rouli_, _joinvill, 
   {{0x27700397,0x8d8400a3,0xa25a03e5,0x13f9005a}},	//   _ukuhlang, _jødiske_, _hiela_, _divup_, 
   {{0xd3900184,0xe37902ec,0x218b0188,0x238602d3}},	//   _amayezi_, _qoraaga_, _якҷояи_, _ombro_, 
   {{0x4d9802a4,0xb3860026,0xd39603a4,0x8a0002fe}},	//   _molestie_, _sporen_, _blusur_, _begalufa_, 
   {{0xd2fc033f,0x015c0064,0xa3950059,0xd2e8023b}},	//   _tonga_, _турат_, _sesso_, _damiaan_, 
   {{0x23790340,0xf22401f2,0x83b70040,0xfb1e00be}},	//   _horanga_, _чүшмигән_, _לעקוף_, _رەپەتىتس, 
   {{0x13450437,0x129601e5,0x3c0a03a4,0x912d00d7}},	//   _handlet_, _elekuru_, _kroppin_, _ватты_, 
   {{0x2ccc03a1,0x45ba00f0,0xa2e8044a,0xc9c60137}},	// [e9d0] _сложа_, _rodinnom_, _kozinda_, _бдний_, 
   {{0x6ef2012b,0x18470061,0x0d540087,0x6cd800f8}},	//   _चिपका_, _요구사항을_, _lavakulu_, _লাগতাছে_, 
   {{0x3a010072,0x5dd9006c,0x33730020,0xc7cd00ac}},	//   _sarasaxa_, _asekhana, _talaese_, _mikserom_, 
   {{0x425a029f,0xd20100fb,0x4249005b,0x02ec0381}},	//   _biela_, _bazisa_, _azuma_, _anyosay_, 
   {{0x1c5600db,0xaed40029,0x91620483,0x6f27027b}},	//   _गेलें_, _ئۆجالان_, _capricho, _विभज्य_, 
   {{0xc72d0344,0x039500c5,0xe2010396,0x95360109}},	//   _akumatig, _cesse_, _bibien_, _सरुभक्तल, 
   {{0xa20101c4,0x596b00df,0xe67b01a3,0x5f2b0111}},	//   _bewind_, _juridict, _ورھائي_, _auturiza, 
   {{0x634100a4,0xb81102d8,0x4b110043,0x15400004}},	//   _mateixa_, _स्पष्टपण, _abapasya_, _patikily, 
   {{0x12d00116,0xc70501fc,0xe6c001e5,0xc9740212}},	//   _ferlies_, _fikrootá, _itakurọs, _benignit, 
   {{0xf25b033f,0x7beb0340,0xcc0a04b9,0x6d970076}},	//   _moulu_, _torotoro_, _droppin_, _суспенди, 
   {{0xf5bd014f,0x73f80013,0xcd050148,0x6df50416}},	//   _подразум, _hanuz_, _quilibet_, _traducte_, 
   {{0xa0230137,0x59f10170,0x63c600af,0x62a703a9}},	//   _горимд_, _chinyama_, _красуня_, _вагонаш_, 
   {{0x4d9202ef,0x30c502d5,0xa396027b,0x00000000}},	//   _bibleyea, _hoolikal, _जामथग्न्, --, 
   {{0x82900035,0x69e80264,0xd37a034b,0x1a0b004c}},	//   _medale_, _muntinlu, _marasin_, _anjagala_, 
   {{0x7b4f046d,0x535000f4,0xa28502e9,0x58d60060}},	//   _dziminer, _hevelep_, _validez_, _تالىپتى_, 
   {{0xd6a302e1,0x43950818,0xed5e01f6,0x637a019c}},	//   _aistrith, _wesse_, _ক্ষেত্রত_, _farasin_, 
   {{0x366001ff,0x1395022e,0x7c740365,0x00000000}},	// [e9e0] _vozidlá_, _tesse_, _वेल्डर_, --, 
   {{0x4c53006a,0x2200023b,0x0a0a027f,0x92d80260}},	//   _tratran_, _kaniai_, _birabana_, _arnego_, 
   {{0x122403e5,0x3cd40052,0xe36a02d4,0xaa5f00f3}},	//   _spiked_, _uskutečn, _burgais_, _akafanga_, 
   {{0x49960066,0x3efc0040,0xf27a0085,0x937a03fb}},	//   _вакцин_, _בזיליקום_, _karisini_, _nabavio_, 
   {{0x9b5a033e,0x2a780008,0xd25a0143,0x00000000}},	//   _hakuáva_, _албастыг, _cieli_, --, 
   {{0x929001bc,0x36be0420,0xfb680227,0xe20601c0}},	//   _lykas_, _пожарник, _buruknya_, _dakikoki_, 
   {{0x12d001b4,0x63f900a5,0x00000000,0x00000000}},	//   _verlies_, _tavui_, --, --, 
   {{0xb2d40402,0x627302b7,0x6ef80076,0x82910058}},	//   _fardhu_, _sûnga_, _облечени_, _ledaut_, 
   {{0xc317037c,0x4dbd0294,0x8292030b,0x8117036b}},	//   _placare_, _chaicuna, _aswaza_, _британец, 
   {{0x63eb0242,0x33f90313,0x89c50235,0x5da30275}},	//   _faktı_, _davuv_, _carettat, _sikotila, 
   {{0x24e701cd,0x54300161,0x7a210553,0x381601ea}},	//   _турачонз, _схеме_, _šampóny_, _қаффол_, 
   {{0x13860073,0x53f90147,0xdd4101f9,0xf2880087}},	//   _abordo_, _recull_, _bemagugu_, _kanakani_, 
   {{0xea09025f,0x926c00d6,0xaf0c00e6,0xa5aa0040}},	//   _babalana_, _learphol, _从高钙素到络合钙, _החיצונית_, 
   {{0xf2d9003c,0x0b830239,0x4a020191,0xb7e1033d}},	//   _ambeke_, _koromiko_, _djurskyd, _kanbòdj_, 
   {{0xd0630420,0xb29004ad,0x92900077,0x00000000}},	//   _тодоров_, _lelale_, _medame_, --, 
   {{0x5fb50397,0xa8d001e1,0xd224019a,0xd1fc0032}},	//   _аграрии_, _аҡмулла_, _baikie_, _datammeh_, 
   {{0x9863055a,0x22fc011e,0x02d801fb,0x49f80361}},	// [e9f0] _enunciad, _revizit_, _scien_, _альгешки, 
   {{0xd20102c2,0x50180177,0x2500052e,0xf9c50304}},	//   _gewild_, _даҩызаха, _hibernal_, _petempat, 
   {{0x713402ac,0x85a50013,0x2c8c0074,0x52490350}},	//   _إختبار_, _гуллар_, _мастеров_, _guaman_, 
   {{0x326601db,0xbc580187,0x5beb0357,0xf5a303a4}},	//   _қуырылға, _останато_, _sorosoro_, _brekkutú, 
   {{0xbad1031c,0x92c20183,0x9529009a,0x00000000}},	//   _permitan_, _atelina_, _ekwisibh, --, 
   {{0x66240152,0xd2290134,0x7106032b,0x03850188}},	//   _педагогл, _dákun_, _نامزات_, _автобусҳ, 
   {{0xba00002e,0xbda2010d,0xef780035,0x34220012}},	//   _greška_, _pepohona, _мотивлар_, _घालबि_, 
   {{0x70900211,0x027e0087,0xb3060027,0x52c30393}},	//   _netistä_, _byongo_, _jenavik_, _maslaca_, 
   {{0x463a0366,0x363d014d,0xc2fc02f8,0xfd320291}},	//   _промышле, _medizini, _sengai_, _ممتلكات_, 
   {{0x136a04f2,0x11b000bb,0xaad1015d,0xa03102b4}},	//   _vietnamm, _حنبلی_, _दबोचे_, _emitamen, 
   {{0x6648002f,0x3386023d,0x39bd02e0,0xdf430156}},	//   _achiwasw, _scorso_, _diretswe, _יאָוטובע_, 
   {{0x6249025f,0x1787020e,0xd3ce0274,0x3e630161}},	//   _ngambo_, _руставел, _svava_, _анонимны, 
   {{0xe4d40154,0xdba40011,0x82da019d,0xcaac0014}},	//   _опень_, _akakomer, _asankhe_, _provokue, 
   {{0xe28e0097,0x3c1d0059,0xd4150092,0xf0ed0418}},	//   _alakoko_, _проектът_, _予めご了承くださ, _demiryol, 
   {{0x72fc0212,0x72e60127,0x135e01f9,0xd27a009a}},	//   _longs_, _lannion_, _akafuni_, _abasokol, 
   {{0x42ba0120,0x171200ba,0x22d90287,0x1a9d004f}},	//   _moddini_, _هۆرامانی_, _pixely_, _maayomba_, 
   {{0x524900a2,0x30b80311,0xdcc4020f,0x49760388}},	// [ea00] _mgambo_, _ክቕይርዎ_, _زېږوي_, _emendame, 
   {{0x237a001e,0x23b0037f,0xdaf902c7,0x27460096}},	//   _sararin_, _etiqad_, _sonnigen_, _baryumvi, 
   {{0xc56202ec,0xac930276,0xe31004a7,0x03410333}},	//   _تیزےیَم_, _تالاق_, _asiático, _madelin_, 
   {{0x8c0a0292,0xb01701b3,0x00000000,0x00000000}},	//   _ayaresab, _районні_, --, --, 
   {{0x7f2d03b2,0x5ea203ff,0xc33a01bd,0x032501e6}},	//   _differen, _zachráni, _абсолютт, _symboly_, 
   {{0x1d470022,0xe702034a,0x229100a3,0x2b7d0465}},	//   _журналды, _contribú, _vinklar_, _finančno_, 
   {{0xf2870163,0x65f400ba,0x42c4016e,0x23f402ff}},	//   _شہناز_, _بفرۆشن_, _hareketi_, _boutey_, 
   {{0x2472007d,0x94a70053,0x538000f2,0x537a02be}},	//   _nyatakan_, _भाषाशास्, _metrus_, _harapin_, 
   {{0xee440344,0xdae0040e,0x00000000,0x00000000}},	//   _allamiip, _berunute, --, --, 
   {{0x93940163,0x998001c9,0xa25a007f,0x038100a2}},	//   _keksz_, _nutitele, _chelf_, _kinyang_, 
   {{0x2a9a02f0,0xcccc0040,0xc6b9004d,0x590e00f0}},	//   _awenetis, _אפריקאי_, _creatori, _centrách_, 
   {{0x36dd0016,0xcfa700f5,0x9d7700e6,0x7e1600cf}},	//   _מסתמא_, _меръемиң_, _中国共产党新闻_, _haleella, 
   {{0x060f0025,0x3d9f0129,0x76280010,0x626e02b2}},	//   _स्थानिवत, _iteghete_, _badivosi, _autodb_, 
   {{0x69bb004b,0xe0190366,0x6eb8023a,0xfba60328}},	//   _bolwaned, _валерьев, _madonnin, _igahimir, 
   {{0x1f660281,0x02b402a6,0x00000000,0x00000000}},	//   _kinaluun, _aspirà_, --, --, 
   {{0xbe7f0017,0x036d0160,0x4b7d0465,0x563c003b}},	//   _गर्भवती_, _potencij, _finančna_, _belicini, 
   {{0x5264008d,0xcc91010d,0x87490088,0x76d500d1}},	// [ea10] _gaplar_, _टागोर_, _коммисия_, _কৈৱৰ্ত_, 
   {{0xf6e50129,0xd25a0256,0x2ece01b9,0x32c0034c}},	//   _amachibi, _vielu_, _larisess_, _унган_, 
   {{0xd39502f3,0x8874002c,0xe25a012b,0x9e9e033e}},	//   _dessa_, _baliabid, _wielu_, _галле_, 
   {{0x1b940102,0xfc6f0250,0x9381023e,0x23010030}},	//   _انگلينڊ_, _gjerman_, _dinyang_, _dizaini_, 
   {{0xad4f04f2,0x72e901a6,0xc30d0277,0x898e01eb}},	//   _aquabird_, _porirua_, _balbula_, _eatyrend, 
   {{0x4c6003d5,0x82d903ea,0x4dd000da,0x03ee013c}},	//   _defraud_, _payer_, _инфернал_, _sistemli_, 
   {{0x67870354,0x17ba0184,0x3740033f,0xc4c800ba}},	//   _جاپالىق_, _bahuriki, _malohing, _کارامازۆ, 
   {{0xeaef0145,0xc6d70188,0xa45c0037,0xe2f10206}},	//   _uostamie, _abebenci, _በመመርኮዝ_, _mobilov_, 
   {{0x5fb60172,0x3dfd020a,0x6c6e019c,0x43030089}},	//   _amammerɛ_, _майданда_, _idaraya_, _аңламады_, 
   {{0x96b90036,0x9c070145,0xb2910087,0x07b400d8}},	//   _preatori, _навошта_, _hivaka_, _cabussai, 
   {{0xb30502ac,0xb342019b,0x58e702eb,0x5395022d}},	//   _توداى_, _didelio_, _тааварт_, _dessi_, 
   {{0xa9cc019f,0xfdc301f1,0x03dc00dd,0x5d8502ea}},	//   _magonjwa_, _dashurit_, _gnawd_, _palestre_, 
   {{0x22d80047,0x4da00024,0x897500f2,0x7395022d}},	//   _acier_, _প্ৰগ্ৰেম, _autoceļu_, _fessi_, 
   {{0x127f02ee,0x441c042c,0x1b5b03f3,0x23e4023e}},	//   _ordnat_, _neozbilj, _nadenken_, _basuketi_, 
   {{0xe59003bf,0x5b040116,0x4d9f028d,0x429004d7}},	//   _афериста, _conseist, _remersie_, _felast_, 
   {{0xe3ea005c,0x3b79037c,0xf80c00ec,0xdc6502a8}},	//   _ahitwa_, _negrilla_, _дзеткам_, _editjat_, 
   {{0x32190361,0x08530367,0x9ec6010f,0xda9a0205}},	// [ea20] _показаны_, _pequenos_, _мантик_, _қўлни_, 
   {{0xd7df009a,0x09620314,0x32cb0399,0xf46e0255}},	//   _abashiyw, _лукьянов_, _kolonaa_, _परिनामों_, 
   {{0xdcba0305,0x1a03002e,0x00000000,0x00000000}},	//   _প্রদীপে_, _održao_, --, --, 
   {{0xdb000243,0x303304ae,0xe01b034f,0x7a1e0223}},	//   _mansafit, _бетонира, _bokwenen, _pitbulle, 
   {{0x8104017a,0xe302020f,0xa97e0368,0x22900024}},	//   _abakucel, _akubuze_, _грипа_, _delast_, 
   {{0xfc0f02ee,0x52d80212,0x63e401db,0x12d6002b}},	//   _sottomis, _scies_, _тушьты_, _বৈধকরণ_, 
   {{0x52bb012a,0x1e3c0291,0x2dea01a3,0x1212030f}},	//   _kolejne_, _كشكول_, _ٻاڏائيند, _paoho_, 
   {{0x116e02b6,0x6efd0060,0x4b050184,0x7f7100f7}},	//   _исламдық_, _көйлекті_, _itarisha_, _desaltis_, 
   {{0x943d002b,0xcf350115,0x72da00e1,0xa5a7025e}},	//   _মেথির_, _maulidur_, _deretu_, _fiskifré, 
   {{0x4342016e,0x63f4004d,0xe05b00be,0xafe10040}},	//   _sitenin_, _台灣租屋網_, _تىكتەيت_, _periodic_, 
   {{0xc204028a,0x3ecc0088,0xa61e00da,0x63050278}},	//   _serikali_, _entitats_, _милиграм_, _berazam_, 
   {{0x3ca802c0,0x5a870094,0x00000000,0x00000000}},	//   _маркетит, _گولگە_, --, --, 
   {{0xac7c0480,0x79140210,0x2c2102eb,0x3c2100af}},	//   _abasuka_, _achandiu, _жижүүр_, _ragnhild_, 
   {{0x725403f2,0x1c020192,0x72fc00fe,0x00000000}},	//   _анонсиро, _kussens_, _sevaniti_, --, 
   {{0x847000e2,0x7e4d0302,0xd6450045,0x2cea03fe}},	//   _besteegj, _растохез_, _еликсир_, _видеогай, 
   {{0xa2ca013d,0x03f900f8,0x5c4b0026,0x0772020f}},	//   _uzado_, _oscuro_, _prettig_, _ayikokuv, 
   {{0xd40b0148,0x439000da,0x674c0153,0xdb6c0127}},	// [ea30] _看更多附近日記_, _инвазией_, _似たものマップ_, _dezouger, 
   {{0xc7700104,0x83ce026d,0x47c1045f,0xb9f3013c}},	//   _okuhlang, _clovek_, _tidsangi, _suriyada_, 
   {{0x2a850276,0xa52300fa,0x00000000,0x00000000}},	//   _سۈردى_, _bigotily, --, --, 
   {{0x6c14009a,0x23fa0528,0xce5301c5,0xddec020e}},	//   _abasebeb, _doruin_, _sagaasha, _бурлы_, 
   {{0xb8d600c3,0xd2910015,0xc2910212,0x82010312}},	//   _三之三文化_, _aysan_, _jrcadw_, _diviz_, 
   {{0xcb7203b2,0x84080360,0xbfeb03df,0xeb770161}},	//   _diarrhea_, _karimatk, _skuleår_, _дракона_, 
   {{0x2e450573,0x9d2c0101,0xa395022e,0x1e3900dd}},	//   _ساونى۪ن_, _ачесте_, _messu_, _ailargra, 
   {{0xd202046d,0x1057030c,0x3c45012c,0x036f04c8}},	//   _farisa_, _laisinan, _vikwazo_, _adegwat_, 
   {{0xf9d30173,0xf70800d9,0xdb7d030f,0xa44e009b}},	//   _ক্ষুদ্র_, _karttanä, _kerupima_, _доройтсо, 
   {{0x6d9f01ad,0x2faf00ec,0x00000000,0x00000000}},	//   _atendera, _serveris_, --, --, 
   {{0xd668011d,0x48ac0287,0xac7e03d5,0xc9fb0010}},	//   _кантитэц, _postupů_, _awnssal_, _ikhatsat, 
   {{0x930c0225,0xbea002b9,0xc300038a,0xd59902e1}},	//   _dorabat_, _دھاوا_, _ankalli_, _cholóim_, 
   {{0x26c204ec,0x9249017d,0x95a30025,0x228a0343}},	//   _amaradiy, _asumi_, _जानति_, _hinanali_, 
   {{0xc64a00e7,0x520003dd,0x0c770333,0xbb7f0155}},	//   _adviserw, _banimi_, _altreri_, _budgeten_, 
   {{0x63f903f5,0x1db70113,0x9fc3004d,0x3ae900cb}},	//   _escuro_, _ngeillea, _中文地址英譯_, _беҳамто_, 
   {{0xe0e50091,0xacc30128,0x249c004a,0x125a004b}},	//   _ilangill, _تینگله_, _аланы_, _dielk_, 
   {{0x5f230101,0x83f90418,0x636701ee,0x0c730282}},	// [ea40] _telefoan, _tavuk_, _терроран_, _rīrapa_, 
   {{0xfdab01df,0xe202009b,0x72eb0077,0x07810176}},	//   _disgrace_, _harira_, _ananyas_, _beskadig, 
   {{0x8202003b,0x82d9044a,0xdc600369,0x47f903f8}},	//   _nesimo_, _reveil_, _akauana_, _chuchyav, 
   {{0x16f702d3,0xf2ff028a,0x00000000,0x00000000}},	//   _жирито_, _mishale_, --, --, 
   {{0x4ec80556,0x3c1804f8,0xa4a7009a,0xe7700188}},	//   _emzimben, _presumab, _کاغذونه_, _akuhlang, 
   {{0xc31702e2,0xf27e0387,0x32480014,0xeb3d0152}},	//   _abscond_, _oyonyo_, _krimin_, _группада_, 
   {{0xd46a02bd,0x5709008e,0x5fe30160,0xc2020090}},	//   _arbenigo_, _géwalam_, _istinsko, _farira_, 
   {{0x2cad0152,0xfc01042c,0xb5bd0062,0x630d04a8}},	//   _оркестры_, _progovor, _danaymoh, _dobivanj, 
   {{0x52ca0252,0xa20f0255,0x7b82027b,0x83c503f7}},	//   _esidi_, _अपराधियन_, _पंचमः_, _húsmóðir_, 
   {{0x42500060,0x225a0075,0x034302ba,0xf73a00d0}},	//   _بىلەر_, _gamli_, _солона_, _болго_, 
   {{0x12920304,0x0af804a5,0x00000000,0x00000000}},	//   _sirath_, _kwesizat, --, --, 
   {{0xdb590184,0x2250014a,0xb3ce0011,0xbb5b0109}},	//   _agatinya_, _infláció_, _awava_, _मनीषाले_, 
   {{0x5a14008f,0xf395004f,0x074b005d,0x2b8f031a}},	//   _पत्रोत्त, _bessu_, _ивертәи_, _chondorr, 
   {{0x89e00453,0xc20201f9,0x6d9d0009,0x956100df}},	//   _školama_, _besimo_, _poenosta, _cholesté, 
   {{0x635903d5,0xcc790076,0xf25a00af,0x8f1800a7}},	//   _moffatt_, _possuem_, _damli_, _شەكتەنۉۉ_, 
   {{0xf355040f,0x92a600a7,0x720001b5,0xfa16011f}},	//   _moterys_, _tombes_, _faniki_, _imbaraka_, 
   {{0x537d029f,0xe54400de,0x673403c4,0xd2a0009a}},	// [ea50] _meranie_, _awayenik, _һесаплин, _دنامه_, 
   {{0x326c0488,0x234502a4,0x75380019,0xb53f0486}},	//   _nomoka_, _prodest_, _оратория, _nenapsal_, 
   {{0x3249031a,0xe908008d,0xfeea004d,0xb291000f}},	//   _graman_, _harakatd, _超級星光大道_, _aysal_, 
   {{0x625a00d9,0x9202001c,0xfc1d03b0,0x00000000}},	//   _kieli_, _carira_, _arnafjor, --, 
   {{0xd2900182,0xa30e011e,0xbbe20265,0x9e05016a}},	//   _anoano_, _lapares_, _gereedsc, _mondriaa, 
   {{0x52fc0295,0x825a0105,0x63eb0333,0xb5aa0096}},	//   _tongi_, _mieli_, _piatta_, _adafitiy, 
   {{0x420201cb,0xf0200334,0x200b00b3,0x522402fb}},	//   _lesiko_, _adawasan, _salamlaş, _kaikhe_, 
   {{0x15e60088,0xf0c5005e,0xde7701db,0x23ea0181}},	//   _جۇرنالى_, _فۇرقەت_, _تولاسسىز_, _gentag_, 
   {{0x320e00ee,0x124900ee,0xb45d0158,0xa25a0244}},	//   _намар_, _eraman_, _अनुयायिय, _svolge_, 
   {{0x22490081,0x02cb002e,0x1b9401c0,0x930e01e8}},	//   _framan_, _gledao_, _albishir, _kapares_, 
   {{0xf3f90026,0x038b0181,0x00000000,0x00000000}},	//   _플래닛으로_, _blossomm, --, --, 
   {{0x0656001b,0xe25a000e,0x7b5401a3,0x25280145}},	//   _amphiphi, _samli_, _خيرعافيت_, _pasimaty, 
   {{0x2fd902c3,0x2db10157,0x621c027b,0x00000000}},	//   _poznatko, _gitarowe_, _द्वयोश्च, --, 
   {{0x929203af,0xe67600e5,0x9201017f,0x19080242}},	//   _retape_, _класифиц, _aavini_, _narahatd, 
   {{0x67c4017f,0xf3dc001f,0xec7e03e0,0x403a0145}},	//   _selskabi, _eniwa_, _verstin_, _baterijo, 
   {{0x2f3e01b7,0xa2fc0075,0x48f70276,0xc20201b5}},	//   _संस्कृते_, _mongu_, _سامساق_, _haripa_, 
   {{0x92fc047b,0xbffa03d6,0x5e4a0268,0x00000000}},	// [ea60] _longu_, _त्रासदी_, _arabenpa, --, 
   {{0x13470211,0xe27801b2,0xbc0400c4,0x0e5c0455}},	//   _monessa_, _airnag_, _kaisari_, _imaginé_, 
   {{0x8758076b,0xd3d300ec,0x7887009b,0x4f2f00cd}},	//   _हार्मोन_, _бісмарк_, _дутуугий, _battegia, 
   {{0x12480516,0xd99200a6,0xc0470076,0x5dc500bb}},	//   _dimmed_, _emthatha_, _замокот_, _سبھاش_, 
   {{0x3ec30040,0x4d8c0109,0xe20100fe,0x5c5203c2}},	//   _inhibits_, _myčku_, _tafihi_, _britaan_, 
   {{0xb29b0309,0x04090456,0x07c00056,0xb2eb013b}},	//   _bayramın, _difikirk, _abhujisw, _casiño_, 
   {{0xa3330274,0x085401a3,0x86410048,0xf4300297}},	//   _bankastj, _لوڏيو_, _baliziki, _габәши_, 
   {{0xfb65017f,0x1b250003,0xddd50071,0xd24900a5}},	//   _espersen_, _afsprake, _آپادانا_, _isumu_, 
   {{0xb6c901e5,0x8e3802e7,0x552e0203,0xedf406b5}},	//   _erubinri, _gitangta, _simpleso_, _verdensa, 
   {{0x940302da,0xe0400299,0xf70101b7,0x53680113}},	//   _aplicaçã, _икрамлар_, _यदृच्छया_, _aonghus_, 
   {{0x82360224,0x7bfa02f9,0xc201008a,0x00000000}},	//   _telja_, _konfigir, _tavini_, --, 
   {{0x0c7603b1,0x165a00ef,0x89f7038b,0x126c0267}},	//   _astuces_, _abonisiw, _habisnya_, _timova_, 
   {{0x52fc0103,0x0034005e,0x4e4a018d,0x7da702e7}},	//   _hongu_, _узунлуқи_, _መንጎኹም_, _hiliguta, 
   {{0x627c03eb,0x9202008d,0xc6d601cd,0x3a700082}},	//   _verskill, _tariqa_, _ақаллият, _bukatuwa_, 
   {{0xb249007f,0xd84e03d4,0x2378036c,0x00000000}},	//   _cryman_, _конверзи, _fafaina_, --, 
   {{0x094201a7,0x507100ec,0x037b04d8,0x565a0214}},	//   _millaise, _receptą_, _furasho_, _ebonisiw, 
   {{0x53800233,0xb2bb020e,0x6dbe018d,0x8e440107}},	// [ea70] _attrae_, _behelwe_, _ሕድገታትን_, _irwansya, 
   {{0xa2020031,0xb8900036,0x96000207,0x0eba00be}},	//   _resiko_, _مجنونة_, _پلاسٽڪ_, _تاماعىڭد, 
   {{0x325a03bf,0xda0a00d5,0xd29103b4,0x0c6a013a}},	//   _ahela_, _karazana_, _ungano_, _softbox_, 
   {{0x43eb018b,0xe20102fb,0x4b8d01af,0xb60b01a3}},	//   _piatra_, _havili_, _berilyar, _ڪنفيوشس_, 
   {{0x526c04ce,0x5475034c,0x22ef0028,0xf87d00b3}},	//   _pomoka_, _алмаучы_, _boliska_, _berilipd, 
   {{0xf2fc003f,0x9a4d0037,0xdf580160,0xdeb40176}},	//   _bongu_, _የማያንጸባረቅ_, _bezazlen, _oprettes_, 
   {{0x5904036f,0x136800c3,0xf2ee007f,0xbf5e017a}},	//   _zaslužuj, _longius_, _bwffe_, _angambon, 
   {{0xac6f015e,0x129202f9,0xb23f00d1,0xf7d7028a}},	//   _garriga_, _detant_, _গাংমৌলৈ_, _پاراتو_, 
   {{0xc0f000c5,0x434303cf,0xf3a900aa,0xb38a004c}},	//   _天心续命丹_, _dilerim_, _dagahang_, _akayiko_, 
   {{0x8eb801aa,0x05190282,0xf29104a5,0x02ef01a4}},	//   _ambourin, _koporeih, _ingalo_, _maninga_, 
   {{0x4a0a01c0,0x299701b8,0x5f4b04d7,0x7d4f023e}},	//   _barazana_, _olukorda_, _pottþétt_, _چسباندن_, 
   {{0x94da00c7,0xc9d00211,0x402502a9,0x019c0265}},	//   _кодны_, _saatavuu, _зуёнак_, _geschill, 
   {{0x525a0513,0x026c0107,0x92d40122,0xe0f8030d}},	//   _chela_, _nominasi_, _meudon_, _variantl, 
   {{0x8a0b028a,0x52860421,0x00000000,0x00000000}},	//   _mijadala_, _lenkrad_, --, --, 
   {{0x22d4042f,0x18dc0076,0x8202038a,0x102200ab}},	//   _ililugu_, _купив_, _ayriwa_, _petehoro, 
   {{0x8e4c006e,0xd56201a3,0xd23600be,0x426d018d}},	//   _emisyonu_, _قلمڪار_, _насыят_, _bleona_, 
   {{0x827f0402,0xef45035d,0x527f0155,0xc25b033f}},	// [ea80] _amanah_, _podstica, _stenar_, _ngelii_, 
   {{0xe38d01ec,0x047d0092,0xf7b80119,0x02d802f6}},	//   _نشنال_, _ネットショッピン, _knittelf, _naunang_, 
   {{0x525a046d,0x529203a4,0xe01b0092,0xaecc044b}},	//   _shela_, _avtalu_, _ぬいぐるみ_, _boligann, 
   {{0x4c820410,0x6e57006c,0x4c530119,0x0aff042a}},	//   _kgotsong_, _ababange_, _alutaga_, _bangcwab, 
   {{0xb1d6004d,0x6af3039f,0x7c6a01fc,0x79d20065}},	//   _中英文單位職稱對, _anesthet, _murtiiy_, _bereitst, 
   {{0xa2b40300,0x23f3003a,0x828c00e2,0xdd87019b}},	//   _plochy_, _kurslari_, _jonkman_, _кашмар_, 
   {{0x434b046f,0xf8dc0184,0x72910420,0xfb65014e}},	//   _gemengt_, _amufungu, _ligado_, _zapečene_, 
   {{0xde5301bb,0x52ef048f,0x53eb012c,0xf59400e2}},	//   _болмаса_, _baninga_, _anatoa_, _greidefû, 
   {{0x2418003b,0xf212002a,0x8c5b0374,0xa2fc0119}},	//   _bakhandz, _pagha_, _hattoki_, _cnngo_, 
   {{0xc26c0240,0xcb9f00d1,0x69f30697,0xe13800e6}},	//   _domona_, _দেহকাণ্ড, _extremid, _并注意语言文明_, 
   {{0xbb19016d,0xa2e60499,0xa359046b,0x1d23026f}},	//   _ﺗﻮﻟﯩﻤﯘ_, _amanaia_, _moffett_, _امبەباپ_, 
   {{0xae5a0061,0x5f1002ac,0x129b013c,0x1a520826}},	//   _혁신공유방_, _اللؤلؤة_, _bayramıd, _odvedena_, 
   {{0x2c9304dc,0x7d3300c4,0x628200f3,0xd23101c5}},	//   _هاوار_, _ايڊهاڪ_, _lekhadi_, _rasmiya_, 
   {{0x23780055,0x53ac0271,0x66c9031c,0x964a005e}},	//   _incanta_, _småbarns, _aclaraci, _بوتۇلكا_, 
   {{0xfce4009a,0xa2cb035b,0x107001d5,0xcefe02b6}},	//   _استعداده_, _uradni_, _اُنھیں_, _سەرگەكتى, 
   {{0xefa203c4,0x65170125,0xc1e100cb,0xecf501c8}},	//   _русийигә_, _ташлады_, _яъкуб_, _okrasnýc, 
   {{0x3ea60174,0xf2ea0162,0x00000000,0x00000000}},	// [ea90] _nyalelan, _тәртипиг, --, --, 
   {{0xdb0d0163,0xda5c026b,0x0db1061e,0x83eb0304}},	//   _rozsdame, _এখুনি_, _chsikamp, _asetik_, 
   {{0xd2900363,0x17cc0322,0x00000000,0x00000000}},	//   _utland_, _atishimi, --, --, 
   {{0xf7a80037,0xba450005,0x2f4a0148,0x25630135}},	//   _ተገልጧል_, _fanestra_, _網路美女各個爆紅_, _almaniäd, 
   {{0x82020265,0x9ecb01b9,0x07a602ca,0x968e0138}},	//   _bewitu_, _indispan, _ساندرا_, _bilemedi, 
   {{0x8e7601b6,0xb22f0149,0x13d0049e,0x6b9100cb}},	//   _אידיאולו, _ịmata_, _baktérií_, _андӯҳ_, 
   {{0x8d9d0541,0xe0e000b9,0x96db0291,0x574c0291}},	//   _decenije_, _सारीका_, _جااااااا, _القفل_, 
   {{0x53a300bc,0x222c01f4,0x562d02c4,0xf9f800b2}},	//   _outpu_, _ایسله_, _самоубие_, _barannet, 
   {{0x13f40039,0x53dc029c,0x8e9a01f1,0xec210568}},	//   _berton_, _anawo_, _pasurive_, _magnhild_, 
   {{0x5ecb029a,0x58da0113,0xfbeb0282,0xf36500fd}},	//   _endispan, _fairsing, _poroporo_, _seaghan_, 
   {{0x2a8d01da,0xd3f8022c,0x00000000,0x00000000}},	//   _berishen_, _bajuan_, --, --, 
   {{0xec6a05e5,0x82900462,0xd24603b1,0xedb904c3}},	//   _कुत्ता_, _eykay_, _mêmes_, _hoangtha, 
   {{0xba8e0678,0x53f40005,0xbe0601db,0xc407000c}},	//   _bezdrôto, _ferton_, _клиникас, _галынӡа_, 
   {{0x92480663,0xa37d0206,0x013f011b,0xac2d0061}},	//   _opemu_, _meracie_, _eseengel, _노동신문은_, 
   {{0x58b601a4,0xe25a00f1,0x6b6a008d,0x62fc00e2}},	//   _torturer_, _evolye_, _guruhiga_, _mingd_, 
   {{0x34910053,0xb6680107,0x761900da,0x12fc0062}},	//   _यम्मी_, _مومنان_, _ortodoxi, _mungeh_, 
   {{0x27d9052b,0xad5a00db,0x224c027b,0xb2e801a4}},	// [eaa0] _शशिकांत_, _नथुनिया_, _प्रमुञ्च, _kibinda_, 
   {{0xb25a013a,0x85cf005a,0xf0e8003a,0x128b00c4}},	//   _fiels_, _marbteal_, _ekanlikl, _kukabili_, 
   {{0x525a0256,0xb2b40120,0x4d9800e2,0x32d80407}},	//   _skolas_, _foocay_, _aldeleie_, _gornjeg_, 
   {{0x22ef01d5,0x0e550200,0x2da50021,0x92640277}},	//   _június_, _adabanye_, _actingwa, _giulti_, 
   {{0xe236039e,0xd25a0027,0xbb3600aa,0x4ea501d2}},	//   _velje_, _hiels_, _ihabilin_, _chileman, 
   {{0x025a013a,0xafe5019b,0x00000000,0x00000000}},	//   _zielt_, _keturrač, --, --, 
   {{0x8292036d,0x96d4038b,0x92d90077,0x9bfa0094}},	//   _obrach_, _membandi, _anbete_, _تىلدەگى_, 
   {{0x3c61033d,0x13f902ee,0xd9f800d9,0x03780751}},	//   _otorite_, _favur_, _parannet, _vokalen_, 
   {{0x344e0262,0xaed401a3,0x67e60211,0x00000000}},	//   _abadançy, _گنڌارا_, _jakautuv, --, 
   {{0x32ff00be,0xe2780227,0xa20202e4,0x023e0153}},	//   _اجوسۇنۇن_, _dicintai_, _firien_, _オリンピック_, 
   {{0xba8d048c,0xe25a02d0,0xa7ce04d2,0x4c7600db}},	//   _perishab, _anely_, _riksarki, _छोट्टे_, 
   {{0x9b0902f3,0x80de0262,0xe2fc01eb,0x00000000}},	//   _detsamma_, _barladyl, _mongy_, --, 
   {{0xdfbd0049,0x4f2c01b4,0xa667019b,0x42c201e9}},	//   _akinauto, _beleggin, _паэзія_, _elelela_, 
   {{0xf29201da,0x9742004d,0x126c033f,0xd7bb012e}},	//   _fetare_, _各直屬隊簡介_, _komola_, _dolognak_, 
   {{0x82e0012f,0x252c02cf,0x94190045,0xf13c02eb}},	//   _ekenano_, _término_, _резерве_, _мансуурч_, 
   {{0xc2d40590,0xf316001e,0x72fc00db,0xa3eb0322}},	//   _zeuden_, _asibiti_, _minge_, _ahatwa_, 
   {{0x23dc0092,0x72c202f0,0x11030188,0xc25b0145}},	// [eab0] _新規会員登録_, _hlelela_, _asikisel, _siulo_, 
   {{0x1c7f0367,0x42920082,0xb236035c,0x70bd03c9}},	//   _passado_, _ketare_, _selje_, _firmabil, 
   {{0x3437008d,0x961f01f1,0x92a70188,0x22d20227}},	//   _нурсулто, _prinderi, _малола_, _ditemani_, 
   {{0xf3f900f2,0x3316024c,0x9c920044,0x1e1a01eb}},	//   _savus_, _esibiti_, _assuming_, _boheteka, 
   {{0xe249008b,0x3659004d,0x5d0d0160,0xf25a046f}},	//   _asaman_, _性別主流化專區_, _korumpir, _ziels_, 
   {{0xda10026e,0xc32003ff,0x89b70162,0x957e03b7}},	//   _अप्राकृत, _nestačí_, _قازانغا_, _ardenedh, 
   {{0x5ecd00a2,0xfafa00c5,0xf85f01e7,0x12d90064}},	//   _mwanafun, _blogueus, _hannedru, _cobert_, 
   {{0xe2fc02c2,0x959b0265,0xa611034a,0x3cf900bb}},	//   _dinge_, _overeenk, _reportax, _مراٹھی_, 
   {{0x6071005d,0x1a44020e,0x2419018d,0xc30e00bc}},	//   _ahechavo, _bolelisa_, _ኣመስኪሩ_, _ambabar_, 
   {{0xb2f104c3,0x8fea0142,0xe2c203b9,0x3b5904ec}},	//   _gameshow_, _alaukikā, _qalltan_, _gurtyoza_, 
   {{0x613c0046,0x7c610009,0x6f240452,0x00000000}},	//   _ишмерлер_, _storite_, _teleponn, --, 
   {{0x6f5d0207,0xcd3d031e,0x662f0049,0xc3570194}},	//   _watanzan, _jedinice_, _huulouif, _imperar_, 
   {{0xd11a00b4,0x72c30272,0xb2a10315,0x00000000}},	//   _ворбе_, _akolako_, _bakanfvf_, --, 
   {{0x587001d7,0x164d00a6,0x66330059,0xb5e50151}},	//   _succeder_, _مترادفه_, _ispirazi, _blackish, 
   {{0xb97a00df,0x7fb60156,0x00000000,0x00000000}},	//   _pochette, _ריפרעש_, --, --, 
   {{0x5240014a,0x34fb00e4,0xc06202c9,0x543200d1}},	//   _alakulás, _कुवारी_, _chestiun, _থানিক_, 
   {{0x02000117,0x230704a4,0x99d00465,0x00000000}},	// [eac0] _droing_, _angaidh_, _spalnica_, --, 
   {{0x52da02cc,0xd09200bf,0xf6450093,0x26ca0092}},	//   _asuega_, _большей_, _страници, _ドラえもん_, 
   {{0xe25b0037,0x3b6d0213,0x8fc20107,0x934a0403}},	//   _soalan_, _оплату_, _شاپور_, _arivonim, 
   {{0x53720479,0x2cbc00a0,0x3737023d,0x08b0026f}},	//   _levegő_, _allahnsu_, _бронзов_, _ۋيەتنامد, 
   {{0x523b03fd,0x98e60066,0xd2510220,0x19f70159}},	//   _amamalu_, _халхын_, _страните_, _cigarete, 
   {{0xb8d70211,0x83f4011e,0x1815014e,0xe9c201fa}},	//   _питание_, _serten_, _турака_, _koevalau, 
   {{0x132b0349,0x79740333,0x2f5b020f,0xf867014f}},	//   _aigcray_, _accindit, _زيړګل_, _дрзава_, 
   {{0xf617015e,0x19f5002f,0x00000000,0x00000000}},	//   _قاتارلۇ_, _gabán_, --, --, 
   {{0xf3480486,0x1969010f,0x984800b3,0x77ac0113}},	//   _recenzi_, _abangaye, _нәзик_, _ديموفنف_, 
   {{0xd2d804a8,0x6a8800ce,0x2f8b0423,0xddb10061}},	//   _dijete_, _enkondis, _itálii_, _탄핵소추는_, 
   {{0x33900107,0xc21701b5,0x94ad0198,0x898a004b}},	//   _mulyadi_, _diphatim, _portorož_, _hlohlona_, 
   {{0x3200012d,0xc2ca01b2,0x630901c5,0x52b3015a}},	//   _groing_, _aridai_, _dabbaal_, _guddaan_, 
   {{0xf4ce003a,0x57be003b,0x60870265,0x0fcd00f6}},	//   _вазифаси_, _akasadzi, _misbruik_, _biçarə_, 
   {{0x5ab10235,0x929203c6,0x00000000,0x00000000}},	//   _ativadat, _ekskús_, --, --, 
   {{0xe86600d6,0xdc67012c,0xfeb202a3,0x00000000}},	//   _beartais_, _ورتاء_, _nodeloos_, --, 
   {{0x2950024d,0xa4aa02c9,0x0f9d0040,0x02a6004a}},	//   _ezilinde, _границел, _פסנתר_, _bilbau_, 
   {{0x537900d6,0xfeb003e0,0x725a03ec,0x325a040f}},	// [ead0] _cosanta_, _millioun, _thelb_, _skolos_, 
   {{0x751c04c3,0x068c010d,0xdebb0350,0xf2d7027b}},	//   _buonchuy, _मोटार_, _የግምገማ_, _मोहपुरुष, 
   {{0xda1403bf,0x25bc00ff,0xe7b5012e,0x9b8b0281}},	//   _etsahala_, _סאציאלער_, _kellenek_, _annilaar, 
   {{0x6380003f,0x02dd0009,0xb5f000af,0x00000000}},	//   _dopraj_, _napotki_, _неминуче_, --, 
   {{0x3c3e0016,0x1a0e0297,0xc59600ba,0xf3da0066}},	//   _צוקונפט_, _alalarmı_, _کێبڕکێ_, _premiazk, 
   {{0xc4c4018d,0x1f1902d3,0xf46b0081,0xc74b03f1}},	//   _ብዘውደልደለ_, _importân, _endurræs, _naliehav, 
   {{0x3e300075,0x44370035,0xe2ed00c1,0xb9a600c7}},	//   _pengarna, _минутлар, _पाळीव_, _аксакалл, 
   {{0x87a7055d,0x8d1b023a,0x8d86004c,0x00000000}},	//   _pertikai, _poslanie_, _bategere_, --, 
   {{0x49750079,0xf57701db,0xd291009e,0x00000000}},	//   _autoceļa_, _маркалы_, _engano_, --, 
   {{0xd8350011,0x4b670126,0x5a94026c,0x2d180311}},	//   _abemmund, _галереї_, _legionib, _ክትክተሎ_, 
   {{0x09f304ca,0x79640166,0x4e6f0321,0x45af0285}},	//   _arribada_, _beinhalt, _pečice_, _arapfunz, 
   {{0x12910285,0x84560046,0xd4f900be,0x00000000}},	//   _ingano_, _اپپاراتى, _تاماندار, --, 
   {{0x53870255,0x6b7902da,0x524901c0,0x046600e6}},	//   _andrus_, _cirurgia_, _aramin_, _我们继承和发扬红, 
   {{0xb98800d6,0xf1080060,0xb7410061,0xa30c00bb}},	//   _imthosca_, _тұнба_, _인스부르크_, _لیکرتابخ, 
   {{0xe3870453,0x262a00dc,0x0cf90220,0xb19e00f8}},	//   _staroj_, _fasilasi, _наподобя, _চেতনাকে_, 
   {{0x8fc20162,0x5bdb0368,0x20cf04b9,0x0f4b0203}},	//   _رايون_, _стоком_, _harletil, _stupefat_, 
   {{0x73910297,0x635f00d1,0x3ed201c4,0xcdf70185}},	// [eae0] _belyaev_, _গোটবোৰৰ_, _kerneels_, _бункерла, 
   {{0x719300c7,0x18d602f6,0xaee3056d,0xdc0700af}},	//   _tuganayl, _karunung, _amakhwen, _радості_, 
   {{0x65d40006,0xb61f02ca,0x0bf600a7,0xe0d80088}},	//   _membunuh, _criostai, _videojoc, _душманын, 
   {{0x75d40242,0x0aeb0310,0x43f90255,0x6e57017a}},	//   _vakansiy, _bharrant, _algust_, _acabange_, 
   {{0x929103d9,0x737d003d,0x4c7c0364,0xe2920170}},	//   _angano_, _nuraghe_, _extraes_, _assani_, 
   {{0xa2ea05d6,0xc22e0307,0xdf57011d,0xf25b03db}},	//   _mobiado_, _abavalel, _influenţ, _ozalwa_, 
   {{0x703d0263,0x1b7b00db,0x00000000,0x00000000}},	//   _redelijk_, _भाष्करके, --, --, 
   {{0xac5b0074,0x211b0206,0xa9f8008b,0x00000000}},	//   _ставим_, _trojuhol, _garaante, --, 
   {{0x104901bd,0x125b03db,0x1daa00e7,0x00000000}},	//   _капиталд, _azalwa_, _ancisfra, --, 
   {{0xeee102b9,0xb2910176,0x227300a6,0x0d9203fd}},	//   _جداگانہ_, _abbacy_, _azisikel, _selesele_, 
   {{0x92c606f8,0x025a01a3,0x0c550030,0x2d980203}},	//   _ísland_, _mbele_, _meitene_, _comercie_, 
   {{0x79d30294,0xec050040,0xb45504df,0x6ea5015e}},	//   _orellana_, _tailored_, _akabanyň_, _banderes_, 
   {{0xda9a000d,0xcf9505e0,0x225a002a,0x396d017e}},	//   _tehnilis, _tóxicas_, _obele_, _akcident, 
   {{0x6045023d,0x47aa0228,0x2c600192,0x3ec60188}},	//   _soluzion, _eksotisk_, _trouwen_, _мирсаид_, 
   {{0xba7303b4,0xd2700299,0xc73000a6,0xb3dc029c}},	//   _kunamata_, _парасәт_, _دیوالیه_, _enawa_, 
   {{0xbc6201b6,0x38c50055,0x9d9f03ae,0xc477014f}},	//   _يهمنا_, _redemand, _fungerte_, _капетан_, 
   {{0xab6f026c,0x73360052,0x628d004a,0x8ea501d2}},	// [eaf0] _中時電子報_, _अस्थिरता_, _berkaya_, _chiliman, 
   {{0x52fe0393,0x757104ce,0xc96100d3,0x34720159}},	//   _drugoj_, _khuthadz, _मिलनको_, _адаптыўн, 
   {{0xb2fd0027,0x0e990361,0x00000000,0x00000000}},	//   _revidis_, _асăнмалă, --, --, 
   {{0x229001b2,0x825a025f,0xb34a0188,0x7f3001b0}},	//   _aflame_, _ebele_, _тирпарро, _balungba, 
   {{0x4bda04a0,0xba94026c,0xb7d201e6,0x398e002c}},	//   _premiado_, _regionib, _nebudeš_, _машид_, 
   {{0x82920445,0x62da0405,0x62410012,0x72ca023a}},	//   _metade_, _roboter_, _खेललस_, _osadu_, 
   {{0xac240013,0xa3f9002e,0xd86c0455,0x7c920295}},	//   _مخالفتی_, _moguce_, _juridiqu, _helepelu_, 
   {{0x3ae8068f,0x620f00ff,0xb51e0309,0x687702fa}},	//   _chartfre, _צוקונפטי, _koalisiy, _umunyamu, 
   {{0x42fd02ef,0x4eb80294,0x5a170040,0xbf7f0350}},	//   _ambians_, _calornin, _בתשרי_, _በማጽደቅ_, 
   {{0x026f005e,0x21f902e5,0xb9c70022,0x06bb00ed}},	//   _تەگمىسۇن_, _ҳаинтере, _табасаҡ_, _mapasiri, 
   {{0xe37a02cb,0xf10404df,0xfaeb0077,0x523e0061}},	//   _izbacio_, _afrikaly_, _charpant, _결정합니다_, 
   {{0xa39400c9,0x83030239,0x52cc011c,0xa2ca028a}},	//   _neoson_, _haratau_, _foulton_, _وعليڪم_, 
   {{0xf2d401ca,0xd4f300b7,0xd2910318,0xfc93020a}},	//   _basdas_, _доланып_, _higano_, _تاقاۋ_, 
   {{0xfd8a0410,0x1639012b,0x95bd0143,0x72500076}},	//   _profense_, _zaplanow, _подреден, _метар_, 
   {{0x79c00104,0xe70b000c,0x8b81026f,0xfaa00117}},	//   _abhekise, _norteamé, _ءﺷﻮﻝﺣﺎﻳﯟ, _edukesen_, 
   {{0x3edf0151,0x7eba0094,0xc4050076,0x97260109}},	//   _archness_, _سامالىند, _estimaçã, _odstupem_, 
   {{0x37d803f2,0xf9b90159,0x68cb02f6,0x62830403}},	// [eb00] _kaupungi, _казахска, _adbentyu, _atokana_, 
   {{0xf2fc004f,0xdcb8019e,0x78790244,0xf3f90456}},	//   _yinga_, _купальск, _унгария_, _habuan_, 
   {{0x99f20063,0x963c01dd,0x985d008d,0x92fc02fe}},	//   _mhargaid, _alphonsi, _anglashu, _cinga_, 
   {{0x0c75018d,0x5129018d,0x2eea0291,0x694a0497}},	//   _ንዓሰርተታት_, _ብኡንብኡ_, _مسبوق_, _britonic_, 
   {{0x877e0003,0x2ef700c5,0x452d00d9,0x925a00fe}},	//   _verkrijg, _查看所有评论_, _mitenkää, _faelu_, 
   {{0x9d6d0145,0x2e5500bc,0xca8404c8,0x92920591}},	//   _зайца_, _صورتي_, _ħwejjeġ_, _oftare_, 
   {{0x92e7046b,0xd351027b,0x7316005b,0xb6c50013}},	//   _gwanwyn_, _बहुलं_, _regza_, _kelajagi, 
   {{0xf2a501b7,0x1c190209,0xec4c00a1,0x00000000}},	//   _सूतपुत्र, _aasaaner, _wātaka_, --, 
   {{0x291200ec,0xba8e03ec,0x085f000a,0x5e3d020f}},	//   _аўгуст_, _pranimin_, _avingaru, _ebraampa, 
   {{0xb20203ba,0x73ea02be,0x2bf1004b,0xba0001f5}},	//   _mirion_, _bunton_, _khathats, _akrabnya_, 
   {{0x2394015e,0xb1380202,0x830c01fc,0x462e0361}},	//   _brossa_, _dodongbá_, _goranat_, _панорами_, 
   {{0x43fa005b,0xc2fc015e,0xe2c2018a,0x920102d9}},	//   _atsuko_, _vinga_, _dylluan_, _savili_, 
   {{0xd2fc019d,0x44b8023a,0x00000000,0x00000000}},	//   _winga_, _doručiť_, --, --, 
   {{0x0f1d0192,0xb66e027f,0x127400bc,0x7f5a00e6}},	//   _무엇보다도_, _aradukwi, _حوالی_, _compagne_, 
   {{0x91db01ef,0xf3790298,0x9fef03e8,0xa3960033}},	//   _строгая_, _hiranga_, _kartuše_, _forsch_, 
   {{0x4b1e0226,0x2ad00192,0xa25a003f,0x00000000}},	//   _kampamba_, _gestorve, _samlu_, --, 
   {{0xfaa500ef,0xf49e04fc,0xa37a0306,0x4274039e}},	// [eb10] _سناريو_, _যুক্তির_, _ayrapin_, _valresul, 
   {{0x864300b0,0xad84045a,0x921c0242,0x20bf00ba}},	//   _taliyihi, _nordlige_, _roshen_, _هیچکامیا, 
   {{0x6b370029,0xfb7d023b,0x88f90034,0x737502e2}},	//   _بدۆزینه_, _kerubima_, _einangru, _ballabeg_, 
   {{0x72da028f,0xe3f9004c,0xc27e050e,0xa8b7003d}},	//   _korepe_, _anguse_, _irinej_, _cordurad, 
   {{0xb3eb0464,0x1c6800bd,0xb0590183,0x4ad400ca}},	//   _akatsi_, _carrion_, _lovantso, _bastisse, 
   {{0xd26c0005,0x1d8701cc,0x9d1906d8,0xe3eb0075}},	//   _dimora_, _तत्किं_, _दुरूपयोग_, _skatti_, 
   {{0xb1d703b7,0x12010087,0x00000000,0x00000000}},	//   _ankedray_, _laviki_, --, --, 
   {{0x23e00479,0xa2da018b,0x5101029d,0xb5a40224}},	//   _péter_, _corect_, _импозите, _brekkusö, 
   {{0x11390066,0xf50402c1,0xc84702ba,0x98b200be}},	//   _консулын_, _abamaray, _газаби_, _فولكلورۇ, 
   {{0x6d920097,0xf6ea02e9,0xea01023a,0xc151030d}},	//   _felefele_, _salvació, _bruška_, _defelerl, 
   {{0x23aa02f6,0xbe830126,0x218a0037,0x553f02fd}},	//   _kawalang_, _родичі_, _በሻዕቢያ_, _lunastal_, 
   {{0x2483002b,0x96c60067,0xff260241,0x920101c9}},	//   _ইনশাআল্ল, _darbeeti, _doorsisa, _ravimi_, 
   {{0x00000000,0x00000000,0x00000000,0x00000000}},	//   --, --, --, --, 
   {{0x129001e1,0x056e0264,0x23050057,0x853c0654}},	//   _bakang_, _silverio_, _merakam_, _kuliahny, 
   {{0xc9850258,0x3d8b0193,0x558101d9,0x00000000}},	//   _bruinsma_, _धर्माची_, _deletsch, --, 
   {{0x33800058,0x286e0213,0xd2fd008c,0x723701ac}},	//   _barrow_, _поваренн, _uffizis_, _conmara_, 
   {{0xcae20050,0x00000000,0x00000000,0x00000000}},	// [eb20] _ngalawan_, --, --, --, 
   {{0x82fc0145,0x325b01a4,0xfd8d02aa,0x0f7000c0}},	//   _dingo_, _diulu_, _sklokera, _mabangis_, 
   {{0x3beb019f,0x5fe30019,0xc9f504a8,0xc9db00a3}},	//   _morogoro_, _بەقۇبات_, _dragocje, _avsnitta_, 
   {{0xe14502cb,0xfb2302f6,0x32fc011f,0x00000000}},	//   _brodospl, _makasays, _oingo_, --, 
   {{0xf73a01af,0xbcb903d4,0xdf790162,0x2ad40046}},	//   _transowg, _полагање_, _әйнән_, _pastisse, 
   {{0x83bf048c,0x69cc0294,0xc38c0162,0xa71f0305}},	//   _purview_, _andespit, _лунең_, _framsteg, 
   {{0x00000000,0x00000000,0x00000000,0x00000000}},	//   --, --, --, --, 
   {{0xc3b7000c,0x3b9f0198,0x00000000,0x00000000}},	//   _chivato_, _prehitro_, --, --, 
   {{0x823901fe,0x934b0212,0x964a04d8,0x18c604a7}},	//   _ilumuti_, _adventu_, _wahhaabi, _carecend, 
   {{0xb23f02b9,0x3fef0255,0xbd8b0193,0xdfcf01c0}},	//   _munkatár, _वृतान्त_, _धर्माचे_, _bajintar_, 
   {{0x47a80194,0xc05701bb,0xaaf40168,0xa6ca03b5}},	//   _apprensi, _кичижик_, _terrenge, _urusanny, 
   {{0xfdd102b6,0x3c5b0211,0x00000000,0x00000000}},	//   _تىرەۋىشى_, _nauttii_, --, --, 
   {{0xbe270061,0x56b30193,0x1a0300b3,0x00000000}},	//   _대구광역시조례_, _अत्ता_, _dabarada_, --, 
   {{0x2d090024,0x526f0285,0x6d4e0128,0xbc660331}},	//   _জাতিটোৰ_, _pasiteri_, _самараси_, _slettis_, 
   {{0xd95c0122,0x2f5c03eb,0xaf1f0014,0x88830325}},	//   _متعددی_, _slapende_, _titullua, _birinizd, 
   {{0x4b5e0148,0xd2fc02b7,0xa0640094,0x998b001d}},	//   _台灣雲林縣大埤鄉_, _yingo_, _استاناسى_, _archaist, 
   {{0xe6eb0162,0x225b04a4,0xf2d40395,0x28790211}},	// [eb30] _тәртибин, _diult_, _studna_, _vanhentu, 
   {{0x74a80435,0x629100de,0xb09604dc,0x00000000}},	//   _izuzetno_, _angako_, _پالانی_, --, 
   {{0xec1800b4,0xa3ea01b8,0x22e80403,0x12d902ff}},	//   _raspuns_, _tiitli_, _fanilon_, _libete_, 
   {{0x0a150188,0xbc6a0349,0x47a5006a,0xfda80013}},	//   _ababebut, _acytray_, _tantarai, _варшавад, 
   {{0x2df4015c,0x890b009b,0xae6902ac,0xd3a301a3}},	//   _verdingt_, _garagard, _سيأتي_, _ناکئا_, 
   {{0x1c0103dc,0x407402cf,0xd2bb0222,0x73070119}},	//   _danskir_, _беспреко, _femelle_, _kasamok_, 
   {{0x7f660397,0x34ec002b,0x4140004b,0xfa59036c}},	//   _амали_, _প্লান_, _inyetlel, _fongotra_, 
   {{0xb3ea00ad,0xa7be0047,0x1a430037,0x571400e6}},	//   _punten_, _安徽企业网络服务, _ደብረዘይት_, _查看公共资料_, 
   {{0xfc1901e6,0xc7cd01a0,0x057700c8,0xd14200d7}},	//   _poplatku_, _cristiji, _маркаһы_, _атлай_, 
   {{0x0db501aa,0x3fe4011a,0x00000000,0x00000000}},	//   _aloneyma, _התעריפים_, --, --, 
   {{0xa278019a,0xf26602ea,0xf97002b9,0x00000000}},	//   _bosnie_, _immobili_, _مہرین_, --, 
   {{0xf30901ef,0x485303c0,0x1ac8014e,0xf9dd02c2}},	//   _futbolo_, _omfatter_, _предстој, _lisensie, 
   {{0xdf900102,0xd27f0065,0xd0cc00e7,0xc27e0422}},	//   _انديا_, _bernd_, _ailorabl, _sobne_, 
   {{0x6d99001d,0x7378012c,0xff69036b,0x8280033d}},	//   _potentie_, _itaanza_, _pedaços_, _mechèk_, 
   {{0xdbe00212,0x9e510467,0x127f0274,0x7df7036b}},	//   _recenser, _katakyie_, _vernd_, _развил_, 
   {{0xdebc00d1,0x597a01eb,0x9ab10128,0x52ad00d6}},	//   _পশ্চিমাক, _арезерви, _مینینگ_, _مليان_, 
   {{0x11b401a7,0x1dca00a7,0x1ad302fe,0xd23602a8}},	// [eb40] _varmasti_, _июнда_, _شهیده_, _medja_, 
   {{0xacf7000f,0xb2ca01c8,0x227f014d,0x534a0107}},	//   _hastalar, _osady_, _ferne_, _شرايطي_, 
   {{0xa30d0083,0x12fc02b0,0xd20f02f7,0x98370192}},	//   _alzadas_, _ginge_, _maphatam, _spamfold, 
   {{0x83ca0301,0x6fe10163,0x282c006d,0x00000000}},	//   _allahı_, _المسالک_, _вавілава_, --, 
   {{0x3ac800da,0xb2fc0103,0xe58b0397,0x8e3500d1}},	//   _ресурсе_, _ainge_, _евразэс_, _ইঞ্চিত_, 
   {{0x727f0130,0x675e0349,0xa3430092,0x3e340352}},	//   _kerne_, _acryloni, _知る一覧へ_, _অৰ্চনা_, 
   {{0xbbf10207,0xda5903d9,0xae480103,0x99830307}},	//   _شھادت_, _tongotra_, _achakaba, _bazifike, 
   {{0xa332008d,0x6e2f0253,0x1da4028e,0x38da0307}},	//   _سیزیله_, _nungusaa, _nikodima, _kuneloku, 
   {{0xa5180064,0x9adf01b5,0x5b2c0344,0x0adc00be}},	//   _шайтанда, _cukumete, _angalaas, _айланууд, 
   {{0x2a5e02f3,0x9b3703ad,0x7d9d00e2,0x0cb1003c}},	//   _engelska_, _chicklen_, _himelske_, _جنبشی_, 
   {{0xd292035a,0x92f104ad,0xd306033d,0x549102c0}},	//   _sarath_, _bosiami_, _derapaj_, _maranhão_, 
   {{0xcb9900a4,0x21c800e6,0xa39401ac,0x62900158}},	//   _баруучул, _中介服务机构_, _leosan_, _irlandii_, 
   {{0xb278027f,0x5bac0046,0x6a160185,0x00000000}},	//   _mishatsi_, _كەلەبىز_, _karaşka_, --, 
   {{0x539403f3,0xf7640457,0x82d2005b,0xc301011b}},	//   _geosan_, _amfiddig, _eneloop_, _afwandi_, 
   {{0x9255003e,0x7786047f,0x036801d2,0x68a40040}},	//   _boleshom, _अश्वेत_, _azogues_, _מהתקשורת_, 
   {{0x125501e5,0xcad20166,0x32870234,0x169d0025}},	//   _ajagunnà_, _vertrete, _fíhàn_, _उत्तरपदम, 
   {{0xbe4f0057,0x035707b8,0x9aff0163,0x556a0052}},	// [eb50] _ሳይንሳዊ_, _empezar_, _sepsisze, _zdrojové, 
   {{0x3ecd0461,0x7f5802e7,0x0eda0277,0xd1a50414}},	//   _militars_, _ginpatup, _gobiyern, _laecherl, 
   {{0xaafb02b5,0x97a201f1,0xe1bd00d1,0x988f00c5}},	//   _sangsits, _popullsi, _নিবেশ_, _麻烦大家给介绍几, 
   {{0x600d0066,0xb87302ac,0x725a00c5,0xb7a003b7}},	//   _британий_, _أحاسيس_, _ecoles_, _armentsg, 
   {{0x52c4014c,0xda190044,0xa20003ef,0x095f00bb}},	//   _awudingi_, _fascinat, _muhire_, _پیپکو_, 
   {{0xdb700173,0x894a0338,0xf68a02b4,0xa2fc0255}},	//   _সমুদ্র_, _britanic_, _banemazi, _pinge_, 
   {{0x825a01ea,0xf2cb0273,0x02d90198,0xfcf701de}},	//   _milliy_, _quedan_, _nobene_, _تۇزداي_, 
   {{0x3d14020d,0x929204df,0xcc00017d,0x20220187}},	//   _abirabur, _abrayy_, _tilsæt_, _недостас, 
   {{0x415200bf,0xdc2700ab,0x3a030219,0xb62c0397}},	//   _первонач, _matahour, _ekubekwe, _atlolisw, 
   {{0xb9940016,0x72e802ff,0x32190137,0x00000000}},	//   _prokrast, _forfè_, _тавгүйтэ, --, 
   {{0xe78e00c5,0xf3bf0008,0x936c01a3,0x83660392}},	//   _抗震救灾专家在线_, _gervasi_, _مٺايون_, _leigeal_, 
   {{0x09d302d9,0xa2920128,0x41e00040,0x499300be}},	//   _asalaina_, _qarash_, _המחצית_, _беребизб, 
   {{0x2b5b0035,0x3f430092,0xd52e0108,0x9ee8002f}},	//   _avgustta_, _敵キャラクタ_, _bloggaul_, _chakiwan, 
   {{0x4fff023d,0xcfd900d1,0xcc610107,0xb2e702bd}},	//   _здрави_, _টুৱেণ্টি_, _dhirine_, _heintio_, 
   {{0x2380000e,0x00000000,0x00000000,0x00000000}},	//   _nutrit_, --, --, --, 
   {{0x734000c7,0x32d60229,0x7b3503ec,0xb358009b}},	//   _aladır_, _parolun_, _pavarsis, _abagune_, 
   {{0x820200ee,0x699200fb,0xf5eb01c8,0x7e5303ac}},	// [eb60] _hirian_, _bethatha_, _severozá, _menaseha, 
   {{0xcb070117,0xc1b900c6,0xaf8a0145,0xe25a0156}},	//   _ostrelia_, _землею_, _завершан, _abelo_, 
   {{0x59580276,0x82b50291,0xda0a027f,0x52d800e2}},	//   _پارلامېن, _dtacú_, _karajana_, _nijere_, 
   {{0xf64a047a,0xa02704c7,0xcd4d006c,0xb30701ec}},	//   _prizonny, _хранили_, _баракати_, _digayuh_, 
   {{0xe23e00dc,0x63fa0155,0xadf0001c,0x39f403f0}},	//   _melenium, _spruta_, _mandagua, _derringu, 
   {{0xc2300320,0x7a0a0035,0x33ea02d0,0xccf20071}},	//   _anamama_, _karamast, _duntin_, _وارمر_, 
   {{0x93eb0033,0xc4d502bb,0xc165008d,0x225b0132}},	//   _chatta_, _विशिष्_, _одати_, _nyelvi_, 
   {{0x99b00171,0xfe470066,0xd6b803cf,0xd3400054}},	//   _očekivao_, _israelda, _siyaseti, _gefensa_, 
   {{0x6c7c01cd,0x59d80217,0x58e70019,0x00000000}},	//   _abasiza_, _libereme, _албасана, --, 
   {{0x22fc00ad,0x1fe70262,0x031701af,0xd7a90130}},	//   _bungah_, _ilçisi_, _ahlakly_, _berrskri, 
   {{0x87990161,0xb39402a3,0x00000000,0x00000000}},	//   _гистриро, _etosha_, --, --, 
   {{0xfe33000e,0xaa1e0188,0xa39403ae,0x42d90103}},	//   _collegos_, _зиёии_, _namsos_, _chinove_, 
   {{0xdf160161,0x3f63049e,0x00000000,0x00000000}},	//   _партий_, _utrpenie_, --, --, 
   {{0x19770320,0x421c03dd,0x42cb018c,0xd2b301ab}},	//   _emunyame, _moshen_, _treden_, _साढँन_, 
   {{0x33aa00dc,0xead401db,0x82920142,0x00000000}},	//   _atavale_, _ұлытау_, _cetane_, --, 
   {{0xf2ca024a,0xb2d802ff,0x3b6100f4,0x6380011d}},	//   _ipade_, _dijere_, _broleter, _retras_, 
   {{0xe2fc00a1,0xbd330096,0x7c4b002e,0xda6b0297}},	// [eb70] _hinga_, _adendeje_, _zlatnog_, _апаларга_, 
   {{0x438001cf,0xd17d0261,0xb2ee019c,0x74330261}},	//   _petras_, _ניחום_, _adeniyi_, _membreco_, 
   {{0x31d5034f,0x90760044,0xa373022f,0xfaa5018f}},	//   _numeracy_, _preparin, _kadaise_, _peghlahb, 
   {{0xdef90177,0xba87026f,0xc2870205,0xcc59008b}},	//   _машьынам, _زﻳﺎﻧﺪى_, _бастакор, _mesenjë_, 
   {{0xd30d00f4,0xee440294,0x0af402c7,0x358302f3}},	//   _anzavas_, _atiranku_, _verringe, _vandrarh, 
   {{0xb5f80365,0x00000000,0x00000000,0x00000000}},	//   _मोटोपना_, --, --, --, 
   {{0x09bd0177,0xda0a0035,0x0f390040,0x890a0205}},	//   _азызуа_, _qaramast, _וקנין_, _qaramasd, 
   {{0x00000000,0x00000000,0x00000000,0x00000000}},	//   --, --, --, --, 
   {{0x02c500a8,0x16b20343,0x72ca0178,0x72fc00ea}},	//   _eveline_, _weightli, _apade_, _ainga_, 
   {{0x02cb035b,0xd3460168,0x06b500af,0x57da0205}},	//   _preden_, _sandnes_, _свободів, _шўъба_, 
   {{0x84d60688,0x7ecc0654,0xfbf60156,0xb37f0282}},	//   _तेलिया_, _gilirann, _בילעטן_, _pakarua_, 
   {{0xa2fc004f,0x782b006c,0x285902d3,0x52780034}},	//   _dinga_, _акрами_, _livretos_, _bensínlí, 
   {{0x59d400d1,0x00000000,0x00000000,0x00000000}},	//   _ডিম্বেশ্, --, --, --, 
   {{0x6ebe0044,0x25330230,0x84770371,0x0312002b}},	//   _מורכבת_, _demantel_, _хардуер_, _রাজউক_, 
   {{0x2c7602d5,0x77ed042e,0xae530053,0xbcd40161}},	//   _सिक्सर_, _erfaring, _penaseha, _склоннос, 
   {{0x22d90414,0x8db401eb,0x53820187,0xc79c00d1}},	//   _bobele_, _imaiteip, _добриот_, _হোৱা_, 
   {{0xaac30379,0x838c00da,0x71ba018d,0xbc52034c}},	// [eb80] _समापन_, _кулес_, _ዝተረሸኑ_, _baetuga_, 
   {{0x02fc0272,0xdf7c0040,0xabe700fb,0x535401e7}},	//   _bingi_, _בלוריי_, _basegeor, _eidechs_, 
   {{0xfa080043,0xd04003ee,0x29c30144,0x01c3027b}},	//   _bakabona_, _pobunjen, _طالبت_, _अधीहि_, 
   {{0xa30d035d,0x738c0420,0x1d1b03ae,0x5df300bb}},	//   _dobijanj, _купен_, _imponert_, _کاحصہ_, 
   {{0xf4e900d1,0x62ea00cd,0x829200fe,0x2b2a0278}},	//   _ট্ৰিবিউন, _chinais_, _setane_, _cacamarb, 
   {{0x4d7e002b,0xefaf00ca,0xa19e00d1,0x225f0062}},	//   _গীতিকার_, _servicis_, _আইএনডিজি, _jangrupm, 
   {{0xf9510092,0x940700c1,0xb2ca065e,0xbede03ac}},	//   _眠り姫の眠り_, _मेघदूत_, _spids_, _keahlian, 
   {{0x42de0229,0xe3b704a5,0x00000000,0x00000000}},	//   _cibindən_, _ukuvela_, --, --, 
   {{0x92ca005b,0xcd960061,0xf7db0008,0x8bfe040f}},	//   _spade_, _제공해드리는_, _porqueri, _genocido_, 
   {{0x030a00db,0x01d301b4,0x3fc1001d,0xb34604f8}},	//   _tarneaeg_, _versterk_, _furnitor_, _candles_, 
   {{0xde2c004d,0x90af00e6,0x11c301dd,0x0bea0017}},	//   _戶政法令查詢_, _打工不如开小店_, _akomokam, _अत्रौली_, 
   {{0xf0da0057,0x929003bf,0x525b003b,0x00000000}},	//   _ተከሳሾች_, _buladu_, _khula_, --, 
   {{0x6653019e,0xf526020f,0x93ce045e,0x911400d8}},	//   _ментальн, _abangemh, _изданиет, _arbitràr, 
   {{0xb9920135,0xb06301d9,0xa2460369,0x050f00b3}},	//   _ресурсла, _versioun, _kūmau_, _annagül_, 
   {{0x534702ee,0x39c301f4,0x38cf00a6,0x0e45020e}},	//   _annessa_, _судининг_, _دصوبه_, _зыянһыҙ_, 
   {{0x02fc02d5,0x95f301b7,0x7ecc0126,0x2f5e012c}},	//   _ringi_, _इतरथा_, _азарова_, _kigambon, 
   {{0x7eb704ae,0x0d06005b,0xb3800008,0x03bf032d}},	// [eb90] _наравно_, _styliste_, _aturar_, _яманлап_, 
   {{0x50aa01bb,0x1e7f0160,0x83e20343,0x50e1061a}},	//   _армиясын, _počast_, _ipadayag_, _नायीका_, 
   {{0x32cb015e,0x42ea0195,0x7cdb007e,0xe1c50099}},	//   _queden_, _dhinnis_, _atulyaṃ_, _chomukom, 
   {{0x529203c0,0x42fc0102,0xe4a6010d,0x664100ba}},	//   _betale_, _vingi_, _विकासाच्, _رگیڕانی_, 
   {{0x52fc028a,0x03030239,0xa4ac034d,0xb47d000d}},	//   _wingi_, _paratau_, _dicampak, _pereliik, 
   {{0xe77c01bb,0xfb8a010f,0x72ea0099,0x00000000}},	//   _konwensi, _чопон_, _chairwo_, --, 
   {{0x12e702d0,0x9f930213,0x00000000,0x00000000}},	//   _plantin_, _бердашка, --, --, 
   {{0x10580206,0xf3f90039,0xcdeb036f,0x239600db}},	//   _kresťans, _digute_, _punjenje_, _lausus_, 
   {{0x03f802d9,0x04a00038,0xdc5502cf,0x04a80311}},	//   _inouye_, _qalmadı_, _членка_, _ክምንዝዕ_, 
   {{0xd94301ba,0x1b030244,0xd26c020e,0x00000000}},	//   _tiplante, _помете_, _konopo_, --, 
   {{0x7fc70132,0x4eb702ff,0x198000f5,0x225a048c}},	//   _felirato, _chastete_, _artistle, _asilha_, 
   {{0xf3ea019c,0xdaf503f2,0xe03a0008,0x68c4002b}},	//   _tuntun_, _euroopan_, _الحامدۇل, _অন্যরা_, 
   {{0xa8cf02d0,0xe7b9066a,0x020e0064,0xef0704fb}},	//   _misfortu, _blagoevg, _чабал_, _eficaces_, 
   {{0x62da0100,0x72df0524,0x8de000df,0x0396040a}},	//   _poreze_, _rukomet_, _habitué_, _torsby_, 
   {{0xec7e025a,0xceac0102,0xf5df0012,0x37890311}},	//   _agasoko_, _ميلارام_, _लूगाउसाड, _ምጕብዕባዕን_, 
   {{0xa3ea054f,0x443e00c7,0xb98f02f0,0x626d0022}},	//   _namtha_, _хатны_, _asahamba_, _boeona_, 
   {{0xd2fc038f,0x0d0a023d,0x88a000c5,0xd707001d}},	// [eba0] _lorient_, _scaricar, _路右安门大街站_, _dictioná, 
   {{0x6f2401c5,0xf8db02d3,0x49c003a0,0x3ed70461}},	//   _mustaqba, _corretag, _kereeset, _carnudas_, 
   {{0x98730188,0x03030370,0x4e450089,0x00000000}},	//   _мебурдан, _bararau_, _зыянның_, --, 
   {{0x422b0231,0xbf6702a9,0x82f50433,0x16c80153}},	//   _fulmine_, _grupėje_, _buriram_, _取得した科目はあ, 
   {{0x6c2d0061,0xaf2700d1,0xd1d001a3,0xd26c018e}},	//   _대구지방검찰청_, _testrapp, _وڄايون_, _mimoya_, 
   {{0x00000000,0x00000000,0x00000000,0x00000000}},	//   --, --, --, --, 
   {{0x42d8045c,0xe85e0148,0xc43f003c,0x79cf018b}},	//   _svieti_, _lacrimas_, _مستطیلی_, _colorata_, 
   {{0x53a405ba,0x52d400d9,0xcc420059,0x39c002a1}},	//   _क्रियाशी, _seudun_, _героинят, _teregste, 
   {{0x3eee0076,0x0f2d021b,0x62d50101,0xc38505df}},	//   _наменети_, _mustikka, _preluat_, _hamzari_, 
   {{0x02fc03a4,0xd28c0140,0x9eb500f1,0xf3bc0291}},	//   _fingu_, _sinasabi_, _letranze_, _الزنا_, 
   {{0x237f00c7,0xe9c701c7,0xeb620235,0x42c90076}},	//   _almasqa_, _тарапа_, _पावनी_, _приготву, 
   {{0x8c3f01cd,0xa259039f,0x937b0325,0x119702fd}},	//   _abaphons, _spatiall, _babasil_, _luncarty_, 
   {{0xe2ea0162,0xf292022b,0xe1fe0159,0xbdb702e1}},	//   _خارەكتىر, _metast_, _празе_, _chaintea, 
   {{0xf2ca00cf,0x025900cf,0xd2910050,0x40d4002e}},	//   _baddaa_, _cinnatti_, _bacang_, _optužuju_, 
   {{0x19850169,0xcef50089,0x37a301f6,0xd1780212}},	//   _ছিনতাই_, _сланец_, _overlevi, _zybanwel, 
   {{0x639402d5,0xafc40040,0x5d8804b1,0xa9fa02f9}},	//   _saksa_, _הנביאים_, _veidekke_, _karannse, 
   {{0xa92001f2,0x65980162,0x42910453,0xe26d003a}},	// [ebb0] _вәгучуң_, _дастанди, _sudaru_, _kubogi_, 
   {{0x06360192,0xd54100ba,0x3b9402ac,0xe3bc0139}},	//   _하나님께서_, _خیتابه_, _بنطلون_, _apavṛjya, 
   {{0xb5a90485,0x6b1d001a,0x9394047b,0x12fc022b}},	//   _tidspunk, _الحجہ_, _vaksa_, _gingu_, 
   {{0x616901cd,0x0d2c0437,0x485f01f4,0x824a050a}},	//   _девори_, _betinget_, _askarlar_, _vermem_, 
   {{0xf38f00f5,0xb2ca0097,0x3e690185,0x347c0074}},	//   _aslynda_, _apadi_, _alabuğan, _laatikon_, 
   {{0xc2fc0196,0xaf1303bf,0x8309034e,0x94ee027b}},	//   _bingu_, _deptdeta, _casadop_, _प्रियङ्ग, 
   {{0x77b90192,0x7ecf0042,0x42eb00cd,0x00000000}},	//   _출고예정입니다_, _gostaría, _chintar_, --, 
   {{0x0b920410,0xc2310092,0xb45e0311,0x818a026d}},	//   _fetilego_, _ドラゴンクエスト, _አድላይነት_, _ukrajiny_, 
   {{0x12e30085,0xdc7602d5,0x12fc006f,0x00000000}},	//   _simione_, _भइय्या_, _wingu_, --, 
   {{0xe8710187,0xd2d204ae,0xadd700bd,0xfe5301d5}},	//   _останал_, _mesečnih_, _authoria, _anyagoka, 
   {{0x4f180092,0x9b0d0204,0x89f501c2,0xa3a800d2}},	//   _日帰り温泉_, _morsiame, _bazán_, _bilatung_, 
   {{0x6c500044,0x1e5b0528,0xbb500256,0x603d006d}},	//   _specific, _arabiana, _specifis, _баўгарыю_, 
   {{0x020e00a7,0x220e0302,0x0d08020e,0x932b00e7}},	//   _карай_, _касам_, _bakolose_, _angchay_, 
   {{0x7fcf0060,0x0d930101,0xe29102eb,0x6c4e015e}},	//   _استانا_, _vedetele_, _ligako_, _pàtria_, 
   {{0xb6190331,0xb23b0369,0x4d9204bd,0x00000000}},	//   _fullkomi, _keamalu_, _melemele_, --, 
   {{0x0e3b0592,0xb96502a1,0xeaf30158,0xe27f01f3}},	//   _calorias_, _papierwe, _górnictw, _podnos_, 
   {{0x9b040011,0x74d7016d,0xcc47015e,0x00000000}},	// [ebc0] _abafiros, _паскина_, _байгени_, --, 
   {{0xd2da004f,0x65c5026f,0x51500445,0x19d402e0}},	//   _korent_, _ءﯨﺴﻮﺭﯨﻨﺪ, _deputado, _dumelane, 
   {{0x2224012b,0x75fb02ac,0x48c000b9,0xd35d00c0}},	//   _अध्यापको, _وعساكم_, _प्रपोज_, _alagang_, 
   {{0x57090008,0x8c6a00e1,0xd1250243,0x8200030d}},	//   _териси_, _baaraam_, _parkeriy_, _aykido_, 
   {{0xeb9b036e,0xc27f015e,0xd2ca0179,0xa62002c2}},	//   _allintac, _азаматсы, _spadi_, _oranjeri, 
   {{0xac6a029b,0x81e3034c,0x79d8018d,0x938c005e}},	//   _daaraam_, _avtodrom, _ጸላዕላዕ_, _ظارقعلعق_, 
   {{0xefb500c3,0x860602e2,0xe477020e,0x29d501c5}},	//   _partibus_, _germaani, _табипҡа_, _maktabad, 
   {{0xb39401a7,0xedaa02bd,0x72a70278,0x57780061}},	//   _jakso_, _postiwyd_, _prebiu_, _연세대학교_, 
   {{0x0c140363,0x74860012,0x8c15004c,0x00000000}},	//   _værvarse, _स्टारन_, _besuanas, --, 
   {{0xd9f50172,0x52920331,0x926c018e,0xe3420403}},	//   _dawurubɔ_, _setast_, _dimona_, _batemin_, 
   {{0x4dab031f,0x2d980013,0x66d700e6,0x97f50005}},	//   _solnedga, _millatla, _parcouri, _appartig, 
   {{0x75ef003d,0x3dc00152,0x637a0358,0x0af10568}},	//   _jardiniè, _turistla, _ansasen_, _regulert, 
   {{0x05d800ff,0xdbdc0162,0x69d00059,0x4bd702e4}},	//   _נגידים_, _ئۇزاقتىن_, _белия_, _bandalor, 
   {{0xb8b505a6,0x7346007b,0x82da026c,0x4c39048c}},	//   _gardsbru, _bandies_, _forent_, _buichoor, 
   {{0x1983041f,0x3394010d,0xd7b500dc,0xf2e70035}},	//   _bazinike, _bakso_, _fetuunai, _баймак_, 
   {{0x8e4a003b,0x4ef30142,0xaa07029f,0x02e6002f}},	//   _abhadale_, _पार्ष्णि, _nezarade, _alinnin_, 
   {{0x0c670145,0xb23203b0,0x82d901e9,0x02c80359}},	// [ebd0] _teatras_, _følgde_, _dibese_, _bewolke_, 
   {{0xbc0e0103,0x09db02af,0xc29700fa,0x2c6b0037}},	//   _chitaris, _azingira_, _walkout_, _ክትባቶች_, 
   {{0xf6610034,0x1b05036d,0xb6a503bd,0x0c44019d}},	//   _samhliða_, _consairt, _handuraw, _atawona_, 
   {{0x096b0067,0xce6a00c7,0x00000000,0x00000000}},	//   _achirrat, _йомды_, --, --, 
   {{0xcfb60148,0x62eb0037,0xef6e0061,0x00000000}},	//   _rusticus_, _khinzir_, _헌법소원에_, --, 
   {{0xf2cf03f2,0xe2e604b9,0xbc000347,0x00000000}},	//   _остаётся_, _flingin_, _piksels_, --, 
   {{0x8c0c02d8,0x9625019b,0x3ac0002c,0xc18f0021}},	//   _girlband_, _служыць_, _станцаас_, _ariahmay_, 
   {{0x826c0574,0x720e061d,0xaf6403de,0x1f58020e}},	//   _ponovo_, _қарар_, _ngaphaka, _baballen, 
   {{0xc86a04a5,0x125b0226,0x407303fb,0x1a150053}},	//   _abangafu, _chule_, _nespremn, _sukaraja_, 
   {{0x65850312,0x9fe902bb,0x7ece01f1,0x82bb05b7}},	//   _obererez, _वेदांता_, _ekziston, _tvrditi_, 
   {{0x969d0218,0xbc1900a1,0x73ea007b,0x2c77054c}},	//   _academyw, _hikutū_, _huntin_, _bakside_, 
   {{0x8200014c,0xdb3b0102,0xd31701e5,0x753e0308}},	//   _athile_, _آسودا_, _erubami_, _impianny, 
   {{0x3c2204cb,0xbcf106ec,0xe6b200d3,0x00000000}},	//   _înregist, _mantiver, _कत्ति_, --, 
   {{0x26ba00ee,0xe2a20238,0x4394000f,0x8713049e}},	//   _ostalari, _охаракте, _sakso_, _prostitú, 
   {{0xb351013f,0x67f90179,0xe20400c8,0x0aba0235}},	//   _kumunioù_, _pesmalöl_, _difilimi_, _attamanā_, 
   {{0x14290013,0x72d900ad,0x6e5803ee,0xcd9c0040}},	//   _بولالمه_, _dibere_, _ljubavne_, _רפורמה_, 
   {{0x73330534,0x438000a4,0x00000000,0x00000000}},	// [ebe0] _matxa_, _estret_, --, --, 
   {{0x625b0277,0xd8f90315,0x252e00b4,0xdd9302ac}},	//   _agalon_, _angayesu, _singurul_, _احذروا_, 
   {{0xec60046d,0x3a0b01f1,0x53470437,0xd0630187}},	//   _mafunda_, _barabart, _mandler_, _водовод_, 
   {{0x7b550111,0x73800269,0xec6a011b,0x49d601c9}},	//   _trattata_, _detras_, _lofundu_, _हरियरे_, 
   {{0xf3f400cf,0x4290038a,0x3c7c0193,0x67530040}},	//   _murtaa_, _ajnana_, _पृष्ठभाग, _הרדמה_, 
   {{0xf40702df,0x562b00ff,0x2ccc027b,0xe6670354}},	//   _merosakk, _פונטקליך_, _निबॊध_, _әрзини_, 
   {{0xd59301c2,0x73100056,0x429000a1,0x62d20216}},	//   _próximas_, _телефонӣ_, _ahoaho_, _kerekeni_, 
   {{0xc3420066,0xb86b016d,0x1f5f01db,0x7e8d01b7}},	//   _batekin_, _يەرمەنكى, _اقكوڭىلد, _anekākār, 
   {{0x0283027f,0x04450052,0x50d6014f,0xba730249}},	//   _abikika_, _करोडको_, _енергије_, _timakata_, 
   {{0x81cb00af,0x99c10026,0x8c5b004d,0xca9a0061}},	//   _тканини_, _lezersse, _徐若瑄設計玫瑰內, _계획적으로_, 
   {{0x22e0010f,0x5d1e00f3,0x8e7502a8,0x8be70387}},	//   _abanawo_, _begolide_, _artistiċ, _ọlaedo_, 
   {{0x6ae40057,0xb68c01c9,0x70fd015d,0xc2ca0227}},	//   _ሙስሊሞች_, _मोहाल_, _बेतवा_, _rendam_, 
   {{0xa5ce038b,0x56ce023e,0x9da600f3,0x73a20258}},	//   _antarany, _antarani, _enkosika, _dumpte_, 
   {{0xf42f01b5,0xf28b017f,0x5c5101c5,0x4cee0076}},	//   _atshikak, _canadami_, _cuntada_, _брада_, 
   {{0x125b006f,0xd6e100c5,0x12a6006e,0x064400ae}},	//   _shule_, _大家的成本多少啊_, _ayibal_, _bahoramw, 
   {{0xa2c30089,0x12860161,0xbe71003c,0x6e200046}},	//   _фельетон, _карьеру_, _barangé_, _grallers_, 
   {{0xd2da0073,0xff06000d,0xb98301b9,0x3b1b01c5}},	// [ebf0] _tornate_, _sätestat, _sinkante, _iskacaab, 
   {{0xb0db018d,0x18940092,0x9c680064,0xeee002a4}},	//   _መጋብእያ_, _違反商品の申告_, _аргымагы, _mulieris_, 
   {{0x22c20144,0x730c02c6,0xba080153,0xe27202e1}},	//   _uillinn_, _balañs_, _さいたま市_, _scarbhil, 
   {{0xd8630478,0xa5a7016d,0x22f304c7,0xa26503eb}},	//   _pensadas_, _қучақлид, _борису_, _vierwiel, 
   {{0xd68b02b4,0x3cb801db,0x584101b2,0x885801f4}},	//   _banelayi, _философт, _animalcu, _sabablar_, 
   {{0x623a000b,0x54320169,0x93c5018d,0x804d0344}},	//   _agimalu_, _জামিল_, _ፍቁራተይ_, _artukkin, 
   {{0x3a0b02f7,0xa57302d3,0xe55c00be,0xb3d0023e}},	//   _bajanala_, _незабора, _командач, _گلوریا_, 
   {{0x536d03ff,0x0c1c021c,0xa4a0016e,0x1a240013}},	//   _grafiky_, _kvalitou_, _kalmadı_, _беларусд, 
   {{0xae4a0439,0xe28202ea,0xe237018d,0x1cb00173}},	//   _ahlamile_, _archivi_, _vetja_, _সহস্রাধি, 
   {{0x92fc00a1,0xc29203ab,0x9fc70046,0xb2c3003e}},	//   _kingi_, _obrany_, _تااسئرى_, _boulela_, 
   {{0xbf3c0060,0x52e9013d,0xc5b10071,0x7d57005e}},	//   _ازيادا_, _mirinda_, _perserik, _ﺋﻮﻣﯘﻣﯩﻲ_, 
   {{0xb2fc0007,0x00000000,0x00000000,0x00000000}},	//   _mingi_, --, --, --, 
   {{0x72ca0013,0x52f2027b,0x00000000,0x00000000}},	//   _aqida_, _आश्चर्यव, --, --, 
   {{0xb5bf00ff,0x00000000,0x00000000,0x00000000}},	//   _וווּקס_, --, --, --, 
   {{0xa7500715,0xdf6c00cc,0x69e70007,0x23ea005b}},	//   _क्रिस्टि, _straffes_, _bakolela_, _ecmtap_, 
   {{0xc2d9018b,0x949c01c7,0xd387034c,0x48a30019}},	//   _pozele_, _оланы_, _авариягә_, _туризмге_, 
  
   {{0x164902ca,0x6341046d,0xc2e2008b,0x92d5048f}},	// [ec00] _متاجر_, _katelwa_, _afrigug_, _bakombo_, 
   {{0x19da01a0,0xb9c60101,0x4b840145,0x33d80276}},	//   _ayingisa_, _celelalt, _землякам, _ойлаймән_, 
   {{0xdecc025c,0xaf640020,0xd3f900e2,0xde080060}},	//   _reinigun, _faaatain, _bazuin_, _قادىرمەن, 
   {{0xa9af026f,0xf6760024,0xef180282,0x477c0215}},	//   _мұның_, _মহামায়া_, _anaterop, _innvendi, 
   {{0x4eb200ce,0x328e04e3,0x9a110137,0xb2d8003e}},	//   _ekselans_, _okoliš_, _экологид_, _enjene_, 
   {{0x3bca0453,0x58460040,0x9a090761,0xf3aa001c}},	//   _preminuo_, _תשמישי_, _angafuna_, _naparong_, 
   {{0x6202067c,0x8f4902fd,0x14da0040,0xff3b015e}},	//   _ghrian_, _compiuta, _וקפסולות_, _guardona, 
   {{0x227f045c,0x538703e6,0x52e90007,0xb0a800e6}},	//   _mozne_, _mueres_, _kosimba_, _山东省公安厅_, 
   {{0x4ca10635,0x425d0192,0x17bc0161,0xc59a004a}},	//   _школьная_, _자연스럽게_, _агентств_, _djindjiç, 
   {{0x4627058b,0xf9cd0420,0x6a790053,0xbc8600e6}},	//   _europski, _modelage, _disantap_, _网站大事记_, 
   {{0x4dcf0124,0x437d0055,0x0238042f,0xa20504f9}},	//   _inshiraa, _arrache_, _taimali_, _afrikami_, 
   {{0x12eb036d,0x827b0553,0xe15a00f7,0x33880321}},	//   _bhanais_, _rodičmi_, _asiriano, _bratovšč, 
   {{0xd2d80034,0xdfdf02ac,0xffe10365,0x00000000}},	//   _fangelsi_, _تمتعي_, _kuličkov, --, 
   {{0x67cb01eb,0x00000000,0x00000000,0x00000000}},	//   _falseami, --, --, --, 
   {{0x934802ee,0x53a30077,0x11d10381,0x00000000}},	//   _annessi_, _ekspe_, _arrelday_, --, 
   {{0x9bdf0125,0xfb430155,0xedb403c4,0xac1c0328}},	//   _esgerler, _olivolja_, _توسوپ_, _kwaratos, 
   {{0x72e603a0,0x93640170,0xdb840369,0x7c67025e}},	// [ec10] _amangwa_, _anagona_, _panopano_, _veittar_, 
   {{0x222500d6,0x735902d6,0x8b5a0156,0x53ea037e}},	//   _bupkc_, _اورزگان_, _צדקניות_, _shithi_, 
   {{0x84330024,0xd26d01f5,0x882c0045,0x1345000e}},	//   _ভাষিক_, _lebong_, _доставља, _modelic_, 
   {{0x1ea501bd,0x8db80132,0x025a00da,0x4ea00204}},	//   _алтынсар, _megadhat_, _acela_, _turmajun, 
   {{0x5e430013,0x43480049,0xd3f8023b,0x0b9b015e}},	//   _madaniya, _feletii_, _makualii_, _immigrac, 
   {{0x97b401ca,0x9ea301c7,0x420e01cd,0x797e01db}},	//   _chorghdi, _левилиле, _хасад_, _сирияның_, 
   {{0x92f60076,0xa8c00044,0x63900456,0x00000000}},	//   _словениј, _arrested, _menyepi_, --, 
   {{0x425a0104,0x00000000,0x00000000,0x00000000}},	//   _ecela_, --, --, --, 
   {{0xd2d80380,0xf3fa068f,0x91310206,0xab4a01db}},	//   _ndiep_, _baruon_, _tentoraz_, _намазхан, 
   {{0x2b9b01f0,0xd1e10174,0xb97d0532,0xc2ef0007}},	//   _bodirelo_, _sonoplom, _psihijat, _atunaki_, 
   {{0xc3e1003b,0x523404bd,0x826c050e,0x825b0275}},	//   _akulandz, _kōkua_, _lekove_, _maulu_, 
   {{0x725b01b8,0xd9fa01ad,0x78370137,0xca5c004d}},	//   _laulu_, _aprikana_, _хийлгүй_, _國小體促會委員之, 
   {{0xc4a40040,0xe2fd03f1,0x7a9101e7,0x8aaa0059}},	//   _מטוגנות_, _halušky_, _bemierkb, _stavolta_, 
   {{0x42d8015e,0x127f0116,0x320202e1,0x00000000}},	//   _feien_, _porne_, _thrian_, --, 
   {{0x627e0583,0x82f0033f,0xa0b1038b,0x556a004d}},	//   _sobno_, _foliaki_, _termurah_, _第三十五期_, 
   {{0xc25b0134,0x66da0027,0xadb6005e,0x42ab018d}},	//   _abule_, _haupenth, _كۈنۈم_, _ንምጥጣሕ_, 
   {{0x32da015e,0x00000000,0x00000000,0x00000000}},	// [ec20] _enrere_, --, --, --, 
   {{0xd30500d6,0x3387011a,0x00000000,0x00000000}},	//   _ngradam_, _מתבסס_, --, --, 
   {{0x4b66000b,0x8cf2023c,0xc34b018a,0xd24904c8}},	//   _amutafea_, _ناسمه_, _graeanu_, _jqumu_, 
   {{0xf2cf0109,0x42d803ae,0x2c69009b,0x741602cd}},	//   _dokonce_, _veien_, _metroko_, _nairobin_, 
   {{0xc8c30312,0x36860250,0x19e7004f,0xf2c1019d}},	//   _dilennad, _vendbani, _ceetaanu, _asiliva_, 
   {{0x925b0544,0x024a00f4,0x03ac0300,0x00000000}},	//   _naulu_, _furmel_, _nespí_, --, 
   {{0x6273018d,0xbdb700d6,0x3264046f,0x834603f3}},	//   _ሰክረታርያ_, _gheillea, _hurlen_, _bandjes_, 
   {{0x93dc0440,0x8a7102c1,0x04090044,0xdae60299}},	//   _abiwe_, _karangwa_, _imprison_, _تۇللۇق_, 
   {{0xeb820365,0x625b0488,0x90b601ab,0x6f4504ae}},	//   _jednobar, _kaulu_, _देहुवे_, _лудвиг_, 
   {{0x640700e3,0xfd530037,0x313f0364,0x95f90076}},	//   _derogazz, _ተፈናቃዮች_, _ennerbel, _пристапо, 
   {{0x8a08005d,0x42ea0279,0x35800244,0x11b3003c}},	//   _angakuaa_, _chinois_, _изумител, _لامرد_, 
   {{0x0e54007f,0x529201f1,0x6c990037,0x53dc0493}},	//   _denantia, _detaje_, _በወቅቱም_, _bhawa_, 
   {{0x247e020f,0xfa9e0364,0x161102c8,0x98d3000f}},	//   _abafezek, _aktiouns, _reitoral_, _nerelerd, 
   {{0x42fc032e,0xf20203d2,0x1ec3004b,0xbeaf0128}},	//   _yangui_, _cyrila_, _founelan, _sirlarin, 
   {{0xbae0004b,0x023502e4,0xa26e0013,0x44550371}},	//   _buselets, _bandisti_, _atrofi_, _quadrato_, 
   {{0x22f503d8,0xfa7103a6,0x701b038f,0xb27f006e}},	//   _turizam_, _barangwa_, _digenvez_, _daanuk_, 
   {{0x12d80166,0x5349007f,0x7ec80251,0xa30e0040}},	// [ec30] _seien_, _anufudd_, _nabigeen, _expands_, 
   {{0x0046015d,0x593a00de,0x02cb013f,0x7290021c}},	//   _profesjo, _agalelwa_, _tredan_, _oslavu_, 
   {{0x2200025c,0x63ac003d,0x98790081,0x20470074}},	//   _wenig_, _despí_, _misnotku, _налогов_, 
   {{0xb2a705f8,0xd3840040,0x26960020,0xdb0c01e0}},	//   _района_, _בנתונים_, _salemuli, _یادداشته_, 
   {{0x124a03cf,0xb7de0462,0x927b0027,0xfe5d015e}},	//   _olumlu_, _agassizw, _portugän_, _ستراتەگى, 
   {{0xefde0450,0x7dd901e0,0xfc1c037f,0xcc680082}},	//   _sichtber_, _یتهای_, _medallar, _umurnin_, 
   {{0xe2de00d6,0x53fa0225,0x20bc05aa,0x1b04044c}},	//   _feithimh_, _baruen_, _klimatil, _næringa_, 
   {{0x6fe3001a,0x032b0629,0x8fc70071,0x158f01ac}},	//   _شانتی_, _ackcray_, _barnstar_, _himearth, 
   {{0x31a80138,0x12ca034b,0xf34602f9,0x4d260052}},	//   _кöяƒє_, _sendem_, _evidans_, _končinác, 
   {{0xac7f032d,0xb33200bf,0x02cb02cb,0x8a7d01a4}},	//   _botsiso_, _болями_, _hladnu_, _nabatisa_, 
   {{0x7c9300c4,0x01a700ba,0xc2c504bd,0x4fa800e4}},	//   _ڏاتار_, _ئاسۆیی_, _kalevari_, _क्लोराइड_, 
   {{0x97da03d4,0x647f02d8,0x42ca01fe,0x03a4040f}},	//   _касацион, _beresiko_, _spadp_, _zelandij, 
   {{0x62cb01a6,0x72ce0081,0x3f5b004b,0xb04403a2}},	//   _aumoana_, _sjaldgæf, _ehlanyan, _एलएलपी_, 
   {{0x32ec02eb,0xae4b000a,0xc70902ba,0x1ae80466}},	//   _албад_, _ammajuaa, _резини_, _izložen_, 
   {{0xc8fe0061,0x150404b3,0xf3f401c9,0x7e87032d}},	//   _프로그램에_, _diveliel_, _kestel_, _даяндың_, 
   {{0x12d80840,0xe26c029a,0x665805c2,0x439001d5}},	//   _heheeh_, _dekote_, _sinyutsh, _مادھوری_, 
   {{0xd9d90203,0x521c005b,0xeea80464,0x428c0120}},	// [ec40] _directme, _joshin_, _bituzuye_, _sugaanam, 
   {{0xb28800d0,0xf27f0024,0x92ca0037,0xce5403b5}},	//   _айдас_, _borna_, _መዝገቡን_, _penantia, 
   {{0xf585034e,0x7680046b,0xc2370428,0x429202e2}},	//   _charikuk, _cuddiedi, _petje_, _betake_, 
   {{0xe825023e,0xa2f20109,0x14540156,0x120005b7}},	//   _والفجر_, _कचौरा_, _ינקריסט_, _odnio_, 
   {{0x21e702d5,0x1d8601f4,0x630c01ad,0xbafe0161}},	//   _अंगरी_, _билсам_, _hiranat_, _биологии_, 
   {{0xa2fc01d9,0x0e54033c,0xcb870162,0x75c501af}},	//   _pingu_, _tenantia, _мускулли, _aglajagy, 
   {{0xf2fc0455,0x12cc018e,0xfa670022,0x403800d0}},	//   _vingt_, _entlhan_, _папкалағ, _alferrik_, 
   {{0xd9910334,0x696d0053,0x43990311,0x62f702d6}},	//   _amazikhu, _keringat, _ጸብጻቦም_, _ўрунов_, 
   {{0xf2fc00bd,0x27f9048e,0xdc2800d5,0xfe540006}},	//   _gings_, _besmilön_, _matahotr, _senantia, 
   {{0x33dc007f,0xaa44020e,0xa436008d,0x1e590290}},	//   _chawn_, _halefisa_, _ақидапар, _cooperau_, 
   {{0x9e690152,0xa38c0034,0x02fc0116,0xee2902b6}},	//   _alabuğad, _bensíni_, _hings_, _кемиді_, 
   {{0x628c00e7,0xec28006a,0xe30a01f1,0x325b04df}},	//   _acestray_, _natahotr, _futboll_, _asylyp_, 
   {{0xd3730151,0x325a0206,0x1c62053e,0x5ad90092}},	//   _decayed_, _ocele_, _åbruke_, _回資料が公表され, 
   {{0x326d040b,0x126404fe,0x42cb02bd,0xaf010169}},	//   _kuboli_, _parlò_, _gladdu_, _fiscales_, 
   {{0xd32f00a6,0xaf3a0161,0xc20c0177,0xc38601c8}},	//   _مسابقو_, _ilmestyn, _изхыҵуа_, _aukro_, 
   {{0x48080147,0x63760045,0x6f8b03a2,0x9a4401f0}},	//   _اتچوت_, _христом_, _गुलज़ार_, _galefisa_, 
   {{0x736f015d,0xd25b00ec,0xdf4b034e,0xb86c014e}},	// [ec50] _akceptuj, _spalva_, _atisunma, _човечанс, 
   {{0xd6b801e8,0x63050235,0x014c005e,0xa5470374}},	//   _diyabeti, _agrajam_, _شائېر_, _евроосиё_, 
   {{0xa7b20185,0xdf2800e2,0xcc5e03c7,0xbdb0000d}},	//   _рекламас, _baardera, _chorobę_, _kursused_, 
   {{0xb7de015e,0xc2fc0421,0x325a06e2,0xa3fd046b}},	//   _disposem_, _singt_, _amolar_, _morganwg_, 
   {{0x83f50297,0xfb99000e,0xafab012e,0xb2ec029b}},	//   _açuda_, _indigeno_, _tagozato, _jëfin_, 
   {{0xc64900e6,0x830101db,0x7da60577,0x7cca02ea}},	//   _义务教育阶段中小, _زەينەت_, _odpisova, _предусил, 
   {{0x4e530235,0xd25a00fb,0x6f8d003c,0xeba60082}},	//   _anyaloka, _icele_, _علمیپزشک, _hanzarin_, 
   {{0x2c450297,0xe23e0369,0x36cc02a2,0x2d5a00af}},	//   _экранынд, _pelekium, _kilalani, _ножем_, 
   {{0x425b00ad,0x589a0192,0x53aa00ac,0xe9f90196}},	//   _asalna_, _포토갤러리_, _potvrde_, _angapere, 
   {{0xe4800037,0x9be00064,0x2fd003c4,0x65c600d1}},	//   _ቅቅቅቅቅቅቅ_, _амбицияс, _учришалм, _এইদৰেই_, 
   {{0x929102a0,0x23fa02e7,0x43dc001c,0x0e97010b}},	//   _ambati_, _apruba_, _schwaz_, _esethere_, 
   {{0x3caa0053,0xf059016e,0x17e40040,0x9c840153}},	//   _महर्षींच, _imparato, _בארקוד_, _秘湯まで温泉クチ, 
   {{0x73fa02fa,0xf6fd01d5,0x582f033e,0xb2650192}},	//   _rusumo_, _جیکسن_, _изнагала, _energiel, 
   {{0xdd470052,0x2c4700ce,0x4edb001a,0x129b0061}},	//   _dispozic, _dispozis, _forintos_, _모나크택틱스_, 
   {{0xfc5102d4,0x3d2c0396,0xa27c023b,0xddb60376}},	//   _muntada_, _artijiet_, _pūnua_, _barnabla, 
   {{0xfa0600c5,0x6eab0433,0xa2c204a4,0x22a60383}},	//   _新疆维吾尔自治区, _bodoquen, _millinn_, _banjari_, 
   {{0xcf250263,0x701d00e4,0xef5802b6,0xb2660041}},	// [ec60] _telefoon, _समुदायों_, _تاريحشىس, _цгуажә_, 
   {{0x73fa0456,0x0e8402e5,0x637b025f,0x791d0137}},	//   _haruan_, _karaiñe_, _mosanto_, _хүчнээ_, 
   {{0xc3f40144,0x03e4033b,0xa3fa023e,0x79cc000d}},	//   _curtha_, _diyuniti_, _karuan_, _kliendit, 
   {{0xc8600068,0x39b40125,0xd39f002e,0x3c18025c}},	//   _banaadir_, _аларлык_, _označava_, _aktuells, 
   {{0xdbf60692,0x3b0c0028,0x92640357,0x0a1203a4}},	//   _шартты_, _والیا_, _jiulai_, _bilbumba_, 
   {{0xb3fa02f6,0xf305015e,0x1eb00119,0xef2300e6}},	//   _laruan_, _بوسار_, _negosyan, _保护隐私权_, 
   {{0xf9d10074,0xca2a03c2,0x85a20014,0x42d8022c}},	//   _mestaruu, _amicable, _sakrifik, _adiet_, 
   {{0x12d3018d,0x425b0151,0x98fa00fc,0x0149011a}},	//   _ዲክታተራዊ_, _caulk_, _bivangru, _scholary_, 
   {{0xad81018d,0x62900107,0x9386015e,0x00000000}},	//   _vullneta, _menawa_, _lucre_, --, 
   {{0xafe50276,0xcc770134,0xe1ae0476,0xd5480211}},	//   _ақнават_, _akosile_, _akamutum, _карандаш, 
   {{0xf99f0369,0x0d9201fa,0x69240137,0x62f50478}},	//   _ezekiela_, _kelekele_, _зугтах_, _arribam_, 
   {{0x81fb002f,0x6d90008d,0x28a1020f,0xc8670062}},	//   _achiksam, _августга_, _دجایزې_, _nahotchu, 
   {{0xac5a0085,0x44da021b,0x00000000,0x00000000}},	//   _kaitani_, _войну_, --, --, 
   {{0xf0a700a7,0x47870079,0x3c6f013d,0x71f301d2}},	//   _мигрантт, _slovākij, _esprima_, _chankanm, 
   {{0x6226001e,0x1001020f,0xfacf03a8,0x00000000}},	//   _harkar_, _وریځې_, _diktarve, --, 
   {{0xf8a80060,0xd349056f,0xb37b025f,0xe8aa06a7}},	//   _дастарха, _stretli_, _bosanto_, _trivelig, 
   {{0x51fd0086,0x2d2d00b4,0xfe45003a,0x34a101f2}},	// [ec70] _vallomás, _admitere_, _biladiga, _һалқип_, 
   {{0xc27f05b1,0xd43802a5,0xb226032e,0x53b603a1}},	//   _mozno_, _zapoměl_, _markar_, _забрана_, 
   {{0x52920409,0x6ef5035f,0xff630227,0x7d180311}},	//   _aftale_, _निष्कासि, _sampaika, _ሸሞንተን_, 
   {{0x22e800fe,0x0707034a,0x7db2000a,0xa915020f}},	//   _ilaisia_, _beirarrú, _atanguaa, _کېږدۍ_, 
   {{0x689d051b,0xa25b012c,0x21c601c8,0x79f502c5}},	//   _jestliže_, _kauli_, _narození_, _achatsve, 
   {{0x034b02a0,0xbe500619,0x126e0239,0xc37a0205}},	//   _fereemu_, _angažman, _koroī_, _воизи_, 
   {{0x225b0241,0xe238003b,0xc25b0544,0x83dc0588}},	//   _asalla_, _baimali_, _mauli_, _ahawe_, 
   {{0x82ca0014,0x59e20058,0xb25b0275,0xa9560244}},	//   _vendim_, _largäntä, _lauli_, _прохода_, 
   {{0x30610167,0x3a6d013c,0x83bf00c8,0x3a460435}},	//   _abergwyn, _novoross, _ямантау_, _причала_, 
   {{0x7044016d,0x6c6e02af,0x42020230,0x5987020e}},	//   _خوجىنىيا, _ararika_, _supire_, _fadimeha_, 
   {{0xa4fb012a,0x8c67011c,0xda0e01f0,0x93070392}},	//   _आज़ादी_, _ameriig_, _borakane, _chlaimh_, 
   {{0x6e3d00d9,0xc30d0205,0xffe200bc,0xdf7c040f}},	//   _карточки_, _bojalar_, _bukhatir_, _базуецца_, 
   {{0x73f901b5,0x03570177,0x02d40233,0x2c79050e}},	//   _angule_, _зыхҟьаз_, _perdat_, _smestaj_, 
   {{0x729002ac,0x12fe0040,0x528304bd,0x22900088}},	//   _palant_, _expires_, _pookela_, _malalt_, 
   {{0xa6240210,0x9837033e,0x00000000,0x00000000}},	//   _akamisaw, _палатеи_, --, --, 
   {{0x73a2037c,0x12fc0034,0x11a40453,0xb2c30515}},	//   _tempus_, _gangi_, _nikolić_, _villano_, 
   {{0xf5ce01cd,0x2c5b02ee,0xf04c0139,0x42da0282}},	// [ec80] _расмӣ_, _fertili_, _bahudain, _moreke_, 
   {{0x427e0032,0x71be03ff,0x1f2101cf,0x1c5d060d}},	//   _bomnaq_, _vojenská_, _requesta, _मरणोपरान, 
   {{0x15f800d1,0x6ae105da,0x1ffa0291,0x00000000}},	//   _স্বত্বেও_, _sustitut, _مرسومة_, --, 
   {{0x99f90259,0x5249006e,0x42fc0205,0xe30e002c}},	//   _engagere, _diemeu_, _jangi_, _akabera_, 
   {{0x42b50144,0xe2fc016b,0x78ac015e,0x82020488}},	//   _smacht_, _dangi_, _تەستىرلۅ, _skrien_, 
   {{0x9f3a0382,0x00000000,0x00000000,0x00000000}},	//   _milungha, --, --, --, 
   {{0x5c9600a4,0xd32001a0,0xbc5a00c9,0x02fc03a4}},	//   _музыкалы, _aloya_, _maytinh_, _fangi_, 
   {{0x79c001b4,0xa387012f,0xa95f0184,0xbc3b0056}},	//   _vereiste, _maerer_, _iyongere, _атомиро_, 
   {{0xa27c0841,0x3317008b,0xb2ba0343,0x5eab0004}},	//   _lêndo_, _apaarey_, _dateing_, _jistifie_, 
   {{0xa37f004b,0x45f00225,0x1e7001be,0x42fc028d}},	//   _bolaisa_, _regenebô, _fakultě_, _zangi_, 
   {{0x32fc01f4,0xccd30417,0xbc60025f,0x777a0037}},	//   _yangi_, _verkeerd_, _engumba_, _በመዝሙር_, 
   {{0xf29103e0,0x4c530220,0xb7180144,0x3fb900d1}},	//   _plaatz_, _sentito_, _gearrscé, _আকাশখনৰ_, 
   {{0x82900235,0xda0b02cd,0x7c5a01a6,0x4f6a01ab}},	//   _calate_, _babalala_, _paitini_, _मोकदिमा_, 
   {{0xe4ba0387,0x294800bf,0xcca601bb,0xd9cf024c}},	//   _anabatak, _вносить_, _салышян_, _allokata_, 
   {{0xa2970178,0xd9f900e7,0x30b80040,0x06a000bb}},	//   _श्लोका_, _anganese, _מעידים_, _کلہاڑی_, 
   {{0xb2900174,0x23870073,0xfba403d1,0xf27f0009}},	//   _galase_, _pueros_, _paskaidr, _pozno_, 
   {{0xc2fc0282,0x5392028b,0x9ede0261,0xbf270187}},	// [ec90] _rangi_, _афанасен, _aranghis_, _нарачка_, 
   {{0x2238042a,0xa29001da,0x2c1e01b3,0x43bb0086}},	//   _akameli_, _kadare_, _оздоровч, _نسیان_, 
   {{0xb37903e0,0xa2450309,0x6a9902fe,0x8ace004a}},	//   _rolacro_, _güman_, _اينده_, _районның_, 
   {{0xe7ad03dc,0x581200d1,0x43070304,0xaf60010d}},	//   _mikudagi, _আৰ্জন_, _teragak_, _कझाकस्ता, 
   {{0x535b032d,0xf76e00c5,0x02fc01b8,0x180f0291}},	//   _bongata_, _中共盘锦市委组织, _vangi_, _اساحبى_, 
   {{0x43fa034c,0x8292019d,0x32900193,0xcd0302fe}},	//   _abruen_, _akwawo_, _menata_, _دپاچا_, 
   {{0xa03702e5,0xd98105eb,0xeaf201bc,0x727e0110}},	//   _алақуа_, _basivume, _prosedue, _cilnes_, 
   {{0xc2a600ce,0x359a00b5,0x8c850064,0xdde90208}},	//   _danbor_, _americak, _суммасы_, _زوریخی_, 
   {{0x1c6404bb,0x725a0365,0x3be40544,0x09660399}},	//   _rautxiv_, _oceli_, _feberuar, _kominiue, 
   {{0xabe3009a,0x42940278,0x43a2056e,0x8fc20071}},	//   _abampilo_, _difahami_, _cumpre_, _تاروت_, 
   {{0xd84902ac,0x85b101b4,0x33f8017e,0x8b500144}},	//   _بينبع_, _verskrik, _menuo_, _aincheis, 
   {{0xff3a0101,0x518502a0,0x03f00595,0x8394015e}},	//   _conferin, _birasiil, _गेटअप_, _avisem_, 
   {{0x62240596,0xc4e90037,0x66c202af,0x25290359}},	//   _nkoka_, _ተከላካይ_, _araragiy, _keninkry, 
   {{0x030a014a,0x12240049,0x425300df,0x1c580162}},	//   _futball_, _ikoka_, _humanité_, _خارابىلى, 
   {{0xeb1d0178,0x09da0183,0x09840103,0x095d013c}},	//   _alpaśabd, _teolojia_, _akakokwa_, _elaninte, 
   {{0x52d804b3,0x1dc30109,0x2381036b,0x00000000}},	//   _banell_, _podobném_, _океаните_, --, 
   {{0xfb7600f2,0x84c8006c,0x3d6d0211,0xbeab017c}},	// [eca0] _savvaļas_, _каландар, _rimmaava, _inleddes_, 
   {{0x22fc0010,0x498a036e,0x92ca012a,0xba7901d9}},	//   _langu_, _buphalut, _opady_, _entzerre, 
   {{0xe29000d6,0x661900e4,0x27320162,0xa3f80148}},	//   _henata_, _bohateró, _بەگزادە_, _denuo_, 
   {{0x12900085,0xf8ec0478,0x321c0333,0x363803bf}},	//   _kenata_, _acceptèr, _aethel_, _даталары, 
   {{0x2290004c,0xd38000f1,0x36c803ef,0x6c56027b}},	//   _bulamu_, _lotris_, _abasigay, _च्लेः_, 
   {{0x7249019d,0xc5d8018d,0x62cb02cd,0x3db901ff}},	//   _abambo_, _ከይተጠቕሰ_, _bredin_, _korupciu_, 
   {{0x938701c2,0x886e0312,0x35810378,0xa2660299}},	//   _queres_, _kerneveu, _barnafrá, _سۈڭەك_, 
   {{0xe28d02af,0x9200048f,0x3e440066,0xb47003de}},	//   _akukira_, _defie_, _galanixa, _kuyenzek, 
   {{0xd890040a,0xa2fc0122,0x42d002a4,0x08ec00d8}},	//   _läkemede, _dangu_, _laborem_, _acceptès, 
   {{0x22830034,0x79f300a4,0xac2801c9,0x426e0416}},	//   _vinkona_, _expresid, _mainitud_, _mdsoft_, 
   {{0xfbe900e4,0xc8cf0108,0x9581013a,0xef79007f}},	//   _अफ्रीकी_, _dikeureu, _geleesch, _cyrchfan, 
   {{0x42fc006e,0x2b3b050a,0x02a601f7,0x93f80053}},	//   _nangu_, _trabzons, _bulbe_, _tenun_, 
   {{0x7a8d025f,0x763902c2,0xb3a600d9,0x52c40359}},	//   _musicien_, _besighei, _окончани, _wommels_, 
   {{0x6b4900a7,0x4bd40061,0x0c700270,0x68090126}},	//   _тарбияла, _온라인게임_, _lassate_, _сезоні_, 
   {{0xa8fb015d,0x13dd0516,0xfa43020a,0xb2ec01c9}},	//   _अप्रासंग, _brawly_, _терезеде, _piinlik_, 
   {{0xd31c01d5,0xd6cf034e,0x637c0362,0x00000000}},	//   _ہیومن_, _allampam_, _bobange_, --, 
   {{0xd25a01cf,0x420003db,0x92d800c7,0x00000000}},	// [ecb0] _bailen_, _ashiye_, _eskert_, --, 
   {{0x03eb00a6,0x329b02ac,0x12d9020e,0x00000000}},	//   _akathi_, _وكلام_, _dibele_, --, 
   {{0xa3f800b4,0xa3eb0386,0x40090061,0x9b9400ae}},	//   _genul_, _sprti_, _고양이용품_, _kibishir, 
   {{0x2fc50040,0x689700d0,0x4f8901a3,0xe396014d}},	//   _הָאִישׁ_, _малайз_, _سمنڊَ_, _hauses_, 
   {{0x626c05d0,0x0ece02da,0xd25b01d9,0x62240039}},	//   _nonofo_, _indispon, _faalen_, _ahoko_, 
   {{0xe23b04ea,0xee350132,0xcdfc00be,0xd6d9009a}},	//   _sahlang_, _emeletes_, _جەكتەچىس, _وحيدالله_, 
   {{0x0174036b,0xb22c00ff,0x926e02ea,0x8224005b}},	//   _polícia_, _פלאצירט_, _errori_, _choko_, 
   {{0x116d021c,0xf25b01d9,0x4ab800c5,0x7c7c0278}},	//   _monitory_, _haalen_, _寒烟行刺永乐_, _khasnya_, 
   {{0xc2fc0326,0x0db800cb,0x020202fd,0xc6dc0331}},	//   _vangu_, _abantuka, _chrion_, _byggimál_, 
   {{0xd2fc0326,0x82d8007f,0xec9400d1,0x5a0302c3}},	//   _wangu_, _deiet_, _আগৰৱালাৰ_, _bruško_, 
   {{0xa2fc0207,0x73dc00e1,0xed5f00ba,0x22cc0545}},	//   _tangu_, _daawu_, _مینۆرسکی_, _valldal_, 
   {{0x779f012f,0x01cc03c3,0xc3040842,0x8e450378}},	//   _omotangi, _vremenim, _jabaram_, _endaliga, 
   {{0x8f5802e9,0xd2fc0026,0x028c003a,0xded60109}},	//   _propieda, _hangt_, _bankdan_, _लाङटाङ_, 
   {{0x63ea0358,0x02fc028a,0xd2d801a2,0x36cc00cf}},	//   _imite_, _zangu_, _ieiet_, _dalagani, 
   {{0xf2fc012c,0x6e37009a,0x92da01d2,0x82e90179}},	//   _yangu_, _واردوي_, _apuela_, _pafilon_, 
   {{0xf2d90439,0xe0dc018d,0xfae0014c,0x53200181}},	//   _bibele_, _እንምስርቶ_, _besemseb, _yamyam_, 
   {{0x73950192,0xb25b0111,0x87e50306,0x725a0315}},	// [ecc0] _zzzzzzz_, _paulu_, _campephi, _icelo_, 
   {{0xd051004a,0x83ce0060,0x00000000,0x00000000}},	//   _deputatn, _бидайдың_, --, --, 
   {{0x9db80163,0x5b190424,0xa68c0193,0x5cf60244}},	//   _sebesség_, _raspunde, _मितान_, _praticar, 
   {{0xb2fc04d7,0x825a0265,0xa25a0064,0x00000000}},	//   _bangsi_, _zielig_, _ocell_, --, 
   {{0x82240099,0xca710444,0x93f9002f,0x084e02c6}},	//   _shoko_, _активное_, _amauta_, _armoriqu, 
   {{0x324a00a1,0x6dea015d,0x54900119,0xb3f80062}},	//   _moumou_, _handlowe_, _lubaczã_, _penud_, 
   {{0xa3ce038c,0xe6400309,0xc1c6068e,0xc5cc0125}},	//   _čovek_, _yetirili, _narodení_, _bahasyny, 
   {{0x5fdd01eb,0x4e450376,0x32660168,0x00000000}},	//   _лицензии_, _andaliga, _homofili_, --, 
   {{0x5bc6014e,0xbf390278,0x832f00f5,0xdb4801ce}},	//   _zabeleže, _dimuatka, _ядындан_, _بوداپست_, 
   {{0xe94e00ce,0xbc6d004c,0x0ea5034e,0x7ac10258}},	//   _anplwaye, _asirika_, _hexulose_, _terwispe, 
   {{0x81f50397,0x97460334,0xe26e00ab,0x1ba80322}},	//   _дубора_, _adangomv, _hurori_, _akakumar, 
   {{0x84290307,0x122400cf,0x9cd600e4,0xddb8018b}},	//   _izakwenz, _dhoksi_, _weekendu_, _actionea, 
   {{0x0429065c,0x20fb0311,0x024a0004,0x7523006d}},	//   _azakwenz, _ንዝተቐድሔን_, _joumou_, _белнацка, 
   {{0xc25b020f,0x6223019b,0xc30c037f,0x46a40024}},	//   _rault_, _sostinės_, _zarafat_, _কৰোৱাৰ_, 
   {{0x9c710255,0xd25b00a8,0xd868009a,0x62bb0040}},	//   _डाक्टर_, _sault_, _کينيا_, _לפרגן_, 
   {{0x3bf101ec,0xe2db046f,0xd6250169,0xba0a0422}},	//   _آپيدت_, _dorober_, _particul_, _nasprotu, 
   {{0x625b002a,0x129202ee,0x13950455,0xd26e0054}},	// [ecd0] _obula_, _attard_, _fasse_, _gurori_, 
   {{0x928405f2,0xd6e500bb,0xc237030b,0xed2101b2}},	//   _pechado_, _نظیربھٹو_, _asomera_, _asarteyr, 
   {{0xe5e80071,0xae9e0128,0x32d80088,0x694a0178}},	//   _رویترز_, _балли_, _veiem_, _अमूर्च्छ, 
   {{0x276f04ac,0x4ce5005e,0x83030488,0x824a029b}},	//   _удалить_, _پاتىمە_, _dizainu_, _boumou_, 
   {{0xaa400038,0x6248011a,0x8e6700c7,0x48e90019}},	//   _әнбия_, _fromdb_, _ауропаны, _бергиче_, 
   {{0xc30d0087,0x00000000,0x00000000,0x00000000}},	//   _akibora_, --, --, --, 
   {{0x18e7042f,0x4386012b,0xbc39034c,0x5843025c}},	//   _aniguiyu, _cukru_, _таркалга, _matthias_, 
   {{0xab410393,0xc25b02ab,0x72d5002f,0x82ce061c}},	//   _katoličk, _ebula_, _analugu_, _milorad_, 
   {{0x664e0159,0xd2fc00e6,0xaf2b055f,0x00000000}},	//   _біржанск, _exiger_, _rastlama, --, 
   {{0x2dc10079,0x312700da,0x3d840428,0x6a1300be}},	//   _jubileja, _парохий_, _naredite_, _قانسىڭبى_, 
   {{0xa22a019b,0xe2e002f0,0xbbee00a7,0x0e5504b3}},	//   _богам_, _awanayo_, _багор_, _dizañjer_, 
   {{0x53dc0303,0xf2e00226,0x00000000,0x00000000}},	//   _abiwa_, _bwanayo_, --, --, 
   {{0x325a04e6,0x233502a5,0x22d900f1,0x15d300e6}},	//   _kailan_, _kdykoliv_, _sizere_, _猜你喜欢看_, 
   {{0x394805db,0xbecc004d,0xda4304a8,0x72b200b0}},	//   _enkonzwe, _affirman, _predivna_, _aradada_, 
   {{0x525a002c,0x2947014e,0xeb4c0177,0x67ed000a}},	//   _mailan_, _питате_, _министрс_, _anaanang, 
   {{0xf2ca01f1,0x729e0156,0xd0670042,0xac0a0310}},	//   _mendim_, _רודניק_, _bombeiro, _macleoid_, 
   {{0xc2c40415,0x153c0187,0xdfb90299,0x1b1c0192}},	// [ece0] _entlang_, _контрове, _بېنزىن_, _getallen_, 
   {{0xa1cc015e,0x526c0479,0x56ea03b8,0xddfb0311}},	//   _сынак_, _ókori_, _зинақорл, _ይቆጻጸር_, 
   {{0x0c930029,0x2bb8018d,0x2049003e,0xd9e20334}},	//   _رامان_, _ኣትሒዘን_, _капитанд, _kukopeka_, 
   {{0x52160060,0x3579020f,0x67aa022f,0x00000000}},	//   _نامىسنا_, _تېرشول_, _ворганам_, --, 
   {{0x7291000e,0x488d0053,0x3c540040,0x57e600e6}},	//   _emzari_, _पुनरुज्ज, _ונעימה_, _républic, 
   {{0x63100040,0xf20f002e,0x1b1c02a3,0x02480127}},	//   _המדרגות_, _pažnjom_, _topprest, _fromus_, 
   {{0x662700c5,0xb2df0309,0x327f0173,0x8e7902c4}},	//   _国家统计局_, _birindən_, _horno_, _топче_, 
   {{0xd3de0003,0x2e560045,0x5dce0259,0x1fa90197}},	//   _bouwen_, _пиксела_, _praktikp, _etranjč_, 
   {{0x37150016,0x1b1a0080,0x636c0083,0x527f01fb}},	//   _שושנת_, _anpartss, _congedi_, _jorno_, 
   {{0xf1be03ff,0xc39400a2,0x33dc0061,0xa04b0061}},	//   _vojenské_, _jinsia_, _한국심령학회_, _톨스토이의_, 
   {{0x623100a1,0x12d704f2,0x5db00245,0x42d600e6}},	//   _taumata_, _autopro_, _chanderp, _veulent_, 
   {{0xaa160010,0xff2e0432,0x9f710153,0x00000000}},	//   _achamuka_, _overrump, _お選びください_, --, 
   {{0x1c7c02d7,0x0a240046,0xa4ab044a,0x1558036b}},	//   _poesía_, _декабрын, _bolandak, _основани_, 
   {{0x0e4c00d5,0xad900065,0x9c6e02b3,0x00000000}},	//   _filamina, _zielgrup, _apareza_, --, 
   {{0x52f303a2,0xce770094,0x6e860161,0x917d0187}},	//   _stroną_, _سالدەن_, _графику_, _desatual, 
   {{0xd27f001e,0x471c0148,0x94370198,0xa9f90229}},	//   _borno_, _無色聲香味觸法_, _bavarsko_, _gigiyena_, 
   {{0x92a70172,0x3a7d03db,0x625a00bd,0x2e4c042d}},	// [ecf0] _ekabom_, _abanakus, _failin_, _hilamina, 
   {{0x38e60162,0xd386029b,0xe4fa0235,0x22de002e}},	//   _барханә_, _biirak_, _ख्यातः_, _pomognu_, 
   {{0xa6ab00af,0x88320299,0xa2490204,0xfcf102d7}},	//   _озера_, _جائىز_, _naamio_, _cartógra, 
   {{0x7a850013,0x8f630156,0x00000000,0x00000000}},	//   _تونده_, _שטעכן_, --, --, 
   {{0xc21602ec,0x926e04da,0x53f80039,0x218f0381}},	//   _سانى۪ن_, _europi_, _menua_, _ahmanray_, 
   {{0x9f5f023d,0x12df045f,0x325a031a,0x48e200be}},	//   _semplice_, _inkomst_, _cailin_, _تورۅلۅرۉ, 
   {{0xcb490311,0x12da0166,0xb52e03dd,0x52a6000d}},	//   _ተዓለምቲ_, _anrede_, _gjendesh, _sulbi_, 
   {{0xd3490430,0x6767019b,0x36c300ce,0x6c0e0476}},	//   _mureili_, _масква_, _stratezi, _akataris, 
   {{0x9ad400a4,0xd7cd0034,0xeba8036e,0x1ba80244}},	//   _permeten_, _uppgötva, _chakamar, _насилиет, 
   {{0x22fc055f,0x6fab0034,0xc2b5006c,0xb611005e}},	//   _hangi_, _notendur_, _adedele_, _ﯰﺳﯘﻟﻰ_, 
   {{0x026e0321,0xb292018a,0xdda700cd,0xa2680153}},	//   _stroji_, _deuair_, _canoscha, _前記撮影輝度値が, 
   {{0x4ae501d2,0xd2440094,0xe41000f8,0x00000000}},	//   _chaupint, _مودەلدەر, _মতাহির_, --, 
   {{0x02fe0026,0x3c6600c8,0x421a0147,0x541d00e6}},	//   _zorgen_, _барыуы_, _تايراڭدا, _主题数图例_, 
   {{0x9f0700ec,0xf2c500a8,0x82f000d6,0x545300e6}},	//   _маразм_, _ballape_, _eisiamh_, _对视频的评论_, 
   {{0x1f120051,0x28760330,0x776000c4,0xe3f80020}},	//   _organizā, _tuniyaud, _منافا_, _fenua_, 
   {{0x1a070152,0xd25b02a6,0x12c90498,0x73380088}},	//   _элитасын, _acule_, _nepovie_, _берээр_, 
   {{0xe8fa0047,0x7c530130,0xe79c011a,0xc67a01b0}},	// [ed00] _dynamiqu, _chatton_, _ולחסוך_, _dikeueum_, 
   {{0xee45003a,0xfc140265,0x7b0c0361,0xdd7f0429}},	//   _qiladiga, _behorend_, _колиснич, _permaida, 
   {{0xd2cf02c3,0x976e01cb,0x09d60203,0x11440195}},	//   _kancelár, _nomhlang, _numerale, _gallaidh_, 
   {{0x5380034b,0xd35601d1,0xa9f30178,0x9305002e}},	//   _intres_, _appears_, _मधुसर्पि, _shvatim_, 
   {{0x420b0277,0x82d405d5,0x2e6502d5,0x81f90057}},	//   _emphysem, _perdit_, _haapsalu_, _masaalah_, 
   {{0x223b02d9,0x00000000,0x00000000,0x00000000}},	//   _agamalu_, --, --, --, 
   {{0x8ed40247,0x229002b1,0x63f80020,0x55250119}},	//   _مبتنی_, _gidaje_, _fenui_, _pakipagh, 
   {{0x39d30020,0xb25b02ec,0xb31300bc,0x6a990311}},	//   _apaleina_, _waalan_, _adicara_, _ክፍትሑን_, 
   {{0xedfa0046,0xd7c70037,0x00000000,0x00000000}},	//   _бандитте, _sasteraw, --, --, 
   {{0x33730256,0xab00015e,0x09fb0080,0xbe830056}},	//   _nekustam, _revisió_, _annaagat, _ломакон_, 
   {{0xf27602dd,0xf9420061,0x76250527,0xec670099}},	//   _benninni_, _근로계약서_, _selimovi, _eshumba_, 
   {{0xe2d80020,0x33aa04e3,0x6f24023d,0x8f1e00b7}},	//   _aeaea_, _bezveze_, _мярка_, _сайланан_, 
   {{0x3f970332,0x2dcd01de,0xf3790306,0xe6f7027b}},	//   _tóxicos_, _лицейнде_, _hawalla_, _परावरे_, 
   {{0xd0c5032e,0x0ec800c5,0xdda90567,0xdae7010d}},	//   _pallapal, _中央部门网站_, _translya, _diprakte, 
   {{0x1a0c04f2,0x648f00d1,0xe6a703e6,0x00000000}},	//   _vinaline, _গোবালপাৰ, _erfresch, --, 
   {{0xf25b0377,0xd05601d5,0xb23c0061,0x9d5901ac}},	//   _scule_, _تفرقہ_, _요청합니다_, _daingnío, 
   {{0x20e5013c,0x4e9d01da,0x32df0155,0xe3740161}},	// [ed10] _artmasın, _kastriot_, _ökning_, _рубрику_, 
   {{0xb34a00c7,0xa5f300ba,0x2a1601af,0xb8590262}},	//   _britaniä_, _دلۆڤان_, _annashka_, _baranlar_, 
   {{0x57590025,0x457b0007,0xd6d703b5,0xdd90008a}},	//   _माध्यमं_, _bantango_, _membenci, _konesane_, 
   {{0xe316006c,0x32b601d5,0xbc1d045b,0x420203a4}},	//   _ababusi_, _harcos_, _magasinr, _avrita_, 
   {{0x4292008e,0xd9d90074,0xdff00097,0x7eb004a7}},	//   _aasang_, _kannalta_, _lókùnrin_, _ribeiras_, 
   {{0x3eda00bb,0xa4ab0443,0x7e96064f,0xaa9b0119}},	//   _کرالیا_, _allahuak, _chatujte_, _lehislas, 
   {{0x42bb00ce,0xf2b600f4,0x637f06ab,0x43f80212}},	//   _baleine_, _darcos_, _vilalba_, _tenui_, 
   {{0x3ecb043d,0xa77700c7,0xb6f90078,0x165c0074}},	//   _menyampa, _диалогы_, _присутни, _herkulli, 
   {{0x3eb000bc,0x1e0003e7,0x5f170040,0x03950120}},	//   _البلاغه_, _benepisa, _מגרשי_, _yassa_, 
   {{0xf3dc0286,0xa3bc012c,0x8ddd02eb,0xd9800074}},	//   _abawo_, _پلاند_, _холливуд, _poliisia_, 
   {{0x73ce02e8,0x7f3a03c6,0x4a0e0184,0x00000000}},	//   _dzive_, _konferin, _kirasaba_, --, 
   {{0x2c2c0082,0x1294003a,0x21eb00e6,0x620e002c}},	//   _jakadanc, _qarashli_, _国家质检总局_, _гавал_, 
   {{0xdae802e5,0x227f00cd,0xb6a40037,0xae410225}},	//   _источник_, _corns_, _ሞዛምቢክ_, _watamwit_, 
   {{0x1dbb0080,0xb2c30468,0x00000000,0x00000000}},	//   _malinnaa, _komlilo_, --, --, 
   {{0x92da003d,0xef68062c,0x03a2018f,0x4ea20130}},	//   _aquela_, _दाउदपुर_, _chopon_, _estreget_, 
   {{0x230c02d8,0xe2fc0347,0x327f01f7,0x33f8004f}},	//   _dinamis_, _konings_, _torns_, _deful_, 
   {{0x5731021c,0x8fc203c3,0x62c400e2,0xde3c0092}},	// [ed20] _namontov, _povoljno, _hommels_, _poulsens_, 
   {{0xa2ef019c,0x0d8400a3,0x0a6c014a,0xc9d90163}},	//   _alafia_, _bindande_, _burgonya_, _اورتمام_, 
   {{0x0e460609,0xf7700532,0xe17b00d1,0x9320018a}},	//   _modalida, _prikaziv, _খানাপ্ৰা_, _gloyw_, 
   {{0xe20000a4,0xab1b024c,0x3a8c02c7,0x00000000}},	//   _bonic_, _doppjett, _sizilien_, --, 
   {{0xb3950080,0x279302d5,0x7aec020b,0xb6e90046}},	//   _tassa_, _kultuuri, _diathike, _кесипке_, 
   {{0x88e503dc,0x37e50034,0x337f011b,0x51da02c0}},	//   _samstarv, _samstarf, _bilamba_, _трендафи, 
   {{0x02fc01c2,0x811500ff,0xe2b40079,0x79f90255}},	//   _blogue_, _אָרעמקיי, _veicot_, _मंत्रियन_, 
   {{0x32d90125,0x43ce02c5,0x62c400db,0x3a09020a}},	//   _bizede_, _azive_, _पाँचीगो_, _майданге, 
   {{0x14f70013,0x8e9e0152,0x8c550073,0x871f027f}},	//   _شاعراوز_, _баулы_, _tentate_, _nyamuteg, 
   {{0xfb30014f,0x72ca0347,0x42fe0141,0x6f4c027b}},	//   _делом_, _bundel_, _borgan_, _aparyāpa, 
   {{0x0b8d00fd,0x49b20203,0x42e8009d,0x714900cd}},	//   _barichar, _perducte, _makinen_, _conrespo, 
   {{0x5451022f,0x32c30465,0xe72b025e,0xf224025f}},	//   _акропаль_, _prilogo_, _dýrasjúk, _okoki_, 
   {{0x1b7e014d,0x1386029e,0x1fd90019,0x00000000}},	//   _sonnensc, _askre_, _кичинеде, --, 
   {{0xfed60435,0x253f0062,0xa45e0211,0xa26e01c0}},	//   _tužna_, _itlhchoh, _торможен, _burodi_, 
   {{0xe37c02c1,0x7981034b,0x43f804ee,0x5ea70289}},	//   _yiyamye_, _pasindia_, _refuo_, _chilomon, 
   {{0x64da00c7,0x320004bd,0x83f80338,0x17a10238}},	//   _ионно_, _ionia_, _menut_, _kredittv, 
   {{0x1e1900ac,0x9f470024,0x8c05010f,0x7d2504ca}},	// [ed30] _zadeblja, _ধ্বনিৰ_, _akusizi_, _anonciat_, 
   {{0x827e01a1,0xb2870172,0x52000157,0x3d2d034c}},	//   _bijna_, _kenkiae_, _konia_, _facigase_, 
   {{0xf2fd004b,0x00000000,0x00000000,0x00000000}},	//   _bafarisi_, --, --, --, 
   {{0x720001a7,0x92000092,0x825b022d,0xfb440211}},	//   _monia_, _amfit_, _acula_, _акриловы, 
   {{0xb320003b,0xea930071,0x72c10020,0xdad40434}},	//   _aloyo_, _کمپرسور_, _asiliga_, _permiten_, 
   {{0x433204f2,0x820000d9,0xd2da00b2,0x00000000}},	//   _soixam_, _menisi_, _gireet_, --, 
   {{0x523b053e,0x9fd802f3,0x932c02e2,0x32d4036e}},	//   _tillegg_, _framgår_, _aachaarj, _baudó_, 
   {{0x96cd021a,0xfd20053f,0x743a033e,0x1cdc04e5}},	//   _abdatani, _kunsijir, _нанагӡои, _anyweger, 
   {{0x92ca0005,0xf27c0369,0x2ec8020e,0x129f00d1}},	//   _sundel_, _kūnoa_, _busitsen, _অৰুনোদই_, 
   {{0xf40300bf,0xee5504cf,0xe1e700da,0x1709015e}},	//   _например_, _ngabanye_, _елементе, _кетирип_, 
   {{0x629102fd,0x82ee01ac,0xbf69025b,0x83f9025c}},	//   _boyack_, _bónais_, _finalurn, _trauer_, 
   {{0xa2de0037,0xca0b01a4,0xbf120564,0x8d92024a}},	//   _ይከታተላል_, _babakala_, _liktiosa, _gulegule_, 
   {{0x834500aa,0xedc70320,0xd30c007f,0xd3e90013}},	//   _malefic_, _kariheke_, _dinorwig_, _қаламкаш, 
   {{0x83450318,0xb250022c,0x00000000,0x00000000}},	//   _kapeape_, _célak_, --, --, 
   {{0x7395023d,0xf290028d,0xdebb020d,0x50ef0080}},	//   _basso_, _eklate_, _yatsinze_, _alianaak_, 
   {{0x053c040b,0x58470044,0x839501f7,0x4da403d1}},	//   _tshifany, _mistakes_, _casso_, _pastaigu_, 
   {{0xc2480203,0x4871015e,0x1354005b,0x48cc029b}},	// [ed40] _atomes_, _усталар_, _leveret_, _jadespid, 
   {{0x62dc0219,0xeb31012e,0x1d9500a3,0xa9850100}},	//   _ikhophi_, _انرجی_, _augekast_, _rizicima_, 
   {{0x245b0262,0xaa440399,0xd9e300ab,0x00000000}},	//   _alaguşow_, _matelita_, _perohuka_, --, 
   {{0x1e5505a9,0x72c40092,0x026d0261,0x7ade0005}},	//   _agabanye_, _indland_, _alvoko_, _beatifit, 
   {{0x82fc03b4,0x4ced0025,0x139401d3,0x4dfb033e}},	//   _rangu_, _adroheṇa_, _minska_, _angetete_, 
   {{0x8716027c,0x28b500f4,0x70e5013c,0xed760135}},	//   _شوراګانو_, _apotiker_, _tutmasın, _баксам_, 
   {{0x525a0356,0x62fc02c5,0x92870021,0x235500a2}},	//   _apilla_, _pangu_, _agniway_, _maofisa_, 
   {{0x6212046f,0xd74f03d4,0x92f4023a,0x93540130}},	//   _weiher_, _спортски, _mobilom_, _deveret_, 
   {{0x82910073,0x6d6000bc,0x7c6f004a,0xb8270147}},	//   _levava_, _حامیان_, _boergan_, _ساداقا_, 
   {{0xb2fc00bd,0xb2c403bf,0x5698024a,0x43a2019a}},	//   _gangs_, _bitleng_, _iseelemi, _dumpit_, 
   {{0xe33c0026,0xc2ca0121,0x2bf60040,0xc37905ce}},	//   _사람들에게_, _unidad_, _היכנסו_, _öcalan_, 
   {{0xa637016d,0x832103d5,0x92c3045b,0xfb010243}},	//   _ئىيسا_, _quayle_, _побиття_, _missilit, 
   {{0x2fde01d1,0x2c900551,0xefee0321,0x77cd0156}},	//   _economic_, _wilujeng_, _vsekakor_, _דיזני_, 
   {{0x83950058,0xb27f041e,0x06ba0253,0x86890147}},	//   _sasso_, _forni_, _soraarsi, _دوبۇشۇ_, 
   {{0x374f0379,0xa1ec06d2,0x29f300e4,0xf9bb01e1}},	//   _क्रियेटि, _फेडरर_, _कोलेस्ट्, _balwaned, 
   {{0x5fe10354,0x230f0152,0xdb4f004c,0x02780274}},	//   _делоларғ, _toralar_, _akomerer, _grunar_, 
   {{0x212d02b2,0x82da01d1,0xf2910058,0xeb3d0169}},	// [ed50] _сайті_, _direct_, _avsar_, _সুস্বাগত, 
   {{0x82d902ff,0xeb840040,0x96af0178,0x79640365}},	//   _deyel_, _הטיעון_, _गरुडपुरा, _कुलनाम_, 
   {{0xe22401da,0x2c33017a,0x825b0129,0x6308004b}},	//   _shoku_, _гуруҳҳои_, _ibuli_, _bonbril_, 
   {{0xf22402e8,0x66b90082,0x7b190287,0x72fc0034}},	//   _ikoko_, _alkawari, _poplatků_, _rangt_, 
   {{0x722401e5,0x5c440624,0xe2cb04af,0xaa5c03b3}},	//   _akoko_, _elawula_, _lwgdej_, _arrebola_, 
   {{0x0db800d6,0xac6f0180,0x00c60060,0x9277006c}},	//   _thuillea, _alerman_, _بىلدىرەت, _наинки_, 
   {{0x820002c7,0x16cd0010,0x45250156,0xe0c20016}},	//   _honig_, _buyacini, _רעגולירט_, _arbustoj_, 
   {{0xc2d4006a,0xa6d4004b,0xf2ca000e,0x2225025c}},	//   _filohan_, _afraethi, _mundal_, _ficken_, 
   {{0x3f120051,0xe2d80417,0xe2640362,0x4b4503e0}},	//   _organizē, _leier_, _abungisi_, _proposéi, 
   {{0x23950225,0x0f0a0152,0xdc1b018d,0x2efa0064}},	//   _gasse_, _babaları, _ክንፈጥር_, _лондондо_, 
   {{0x43f9009d,0x39e7019b,0x3bee00ec,0x32d803b6}},	//   _sigurt_, _nemokama_, _напоі_, _majemu_, 
   {{0x961002c9,0xa243027b,0x430e00c7,0x6d930342}},	//   _импробаб, _यथासुखम्_, _bozalar_, _malfèktè_, 
   {{0x23410107,0x62390299,0x452a0299,0x52d9013a}},	//   _ژنرال_, _تەيەممۇم_, _زىلتار_, _navell_, 
   {{0x4cb200bf,0x1af70187,0x3ba5043f,0x11c1013d}},	//   _больных_, _наведи_, _etničko_, _antioĥio_, 
   {{0xc9d6000c,0xdd360158,0x99aa01f9,0xd2860175}},	//   _humedale, _dyspozyc, _asidalwa_, _mobiliz_, 
   {{0x40060247,0x62d8015c,0x425b0387,0xefc9033e}},	//   _شریفی_, _deier_, _ebuli_, _ampiliar_, 
   {{0x1c4400fb,0xe2e30361,0xa7580274,0x909300e6}},	// [ed60] _alawula_, _формами_, _skrifleg, _山东国际商务网_, 
   {{0x13f701fe,0xf8c20205,0xd15d00d1,0x1c2c041e}},	//   _applytak, _этник_, _কলেজীয়া_, _accitatu_, 
   {{0x5ec500b7,0x00000000,0x00000000,0x00000000}},	//   _аламаты_, --, --, --, 
   {{0x2db403dc,0xe7df01c8,0xfaf502ac,0x3d850415}},	//   _kvinnula, _zaparkov, _cobraout, _gesendet_, 
   {{0xe24903b9,0xc290006e,0xcc5500e0,0x32ca0289}},	//   _amtma_, _ayland_, _ferteld_, _analidi_, 
   {{0x49f503ea,0x0c5301eb,0x31e20147,0xfe4e0107}},	//   _chercheu, _cautiva_, _كۅريۉن_, _dipapana, 
   {{0xd3dc0048,0x720802ae,0xea2503a2,0x89c10217}},	//   _mbawa_, _očiju_, _क्लबों_, _repetite, 
   {{0xfb6b02c2,0x7e010128,0x630c0190,0x4f650088}},	//   _bekommer, _وجودگه_, _maramat_, _яланды_, 
   {{0xde1805ac,0xd3f40189,0xf2d9008b,0xcf7d0159}},	//   _stóra_, _dostum_, _beyee_, _багацьця_, 
   {{0xb93b00d3,0xa22f0177,0xda1700a5,0xe6b901eb}},	//   _संग्रहित_, _рзыҟаҵо_, _sapakuka_, _ndorohay, 
   {{0xd39501c4,0x71340144,0xbf7d014e,0x6a270157}},	//   _rasse_, _chodladh_, _предлаже_, _kontekśc, 
   {{0x13dc0048,0xd2d50297,0xc2d503b5,0x4e6c03b4}},	//   _abawa_, _agulanu_, _meronta_, _chechima, 
   {{0x52d806a1,0xee30000a,0x585a0045,0x405302ac}},	//   _seier_, _kingorna, _infostud, _وارسل_, 
   {{0x3280012b,0xfaf601f9,0x4fbd0092,0x848700b9}},	//   _brakuje_, _aphumele, _携帯ストラップ_, _निवारा_, 
   {{0x6061006f,0x5da703d5,0x0c1401aa,0x73800145}},	//   _منارا_, _aaniarta, _airshay_, _antros_, 
   {{0x2ee000bf,0x0b8706fa,0x82d803ae,0x729201b2}},	//   _тепла_, _व्यग्रता_, _veier_, _aasaag_, 
   {{0x5add03a2,0x6e9400ff,0x3b2502f6,0x2d030191}},	// [ed70] _दबोचा_, _סטארעט_, _makapags, _målfest_, 
   {{0x626e02a2,0xa27e014d,0x131a00aa,0x737a0272}},	//   _merong_, _tonnen_, _istilong_, _azzaawo_, 
   {{0x647700da,0x6727023c,0x9f5702d3,0xdd2800d6}},	//   _валеса_, _پروسې_, _пробаат_, _cloisint_, 
   {{0x32b40065,0xe3a20269,0xf4e80061,0x768700d9}},	//   _reicht_, _cumple_, _민원봉사과_, _viidakoi, 
   {{0x3f2400a3,0xfc68018d,0x525b02e2,0x00000000}},	//   _modellan, _ተሓቲቶም_, _baalan_, --, 
   {{0x8f2503ea,0x2b07020b,0x92b5046d,0x029800e6}},	//   _cependan, _baiserae, _zwidade_, _广东农业信息网_, 
   {{0x020104ee,0x427f02a4,0xc6f40178,0x353f0418}},	//   _devid_, _cornu_, _श्रवणं_, _finansal_, 
   {{0x291901bd,0x515c0046,0x869c0486,0x00000000}},	//   _дипломды, _кулап_, _देवताहरू_, --, 
   {{0x86d2012a,0x82b4019a,0xa26c0182,0x23140587}},	//   _श॑शित_, _weicht_, _kaiona_, _apocrif_, 
   {{0xbda40021,0x3ad3025c,0x0d3000c7,0x99b30296}},	//   _admitswa, _gestarte, _биленә_, _serverad, 
   {{0x22d50263,0x93ea017d,0xb827007e,0xc2000278}},	//   _geboren_, _amita_, _मानसोल्ल, _nonie_, 
   {{0xdeb5058f,0x8a180022,0x73b0005e,0xf26c02bb}},	//   _especies_, _мемуар_, _ﻣﻪﺧﭙﯩﻴﻪﺗ, _honoru_, 
   {{0x57470005,0xc386016a,0xe78f00f2,0xb2f30594}},	//   _modifitg, _georgo_, _pieturvi, _regimet_, 
   {{0x320000c1,0x030e04fb,0x07f203f2,0xd0540184}},	//   _yofie_, _miradas_, _нейтрали, _ugusegen, 
   {{0x7738033a,0x22fb0429,0x42240067,0x00000000}},	//   _biblijog, _farhana_, _hikkan_, --, 
   {{0xf3f100f2,0x6f3f0012,0xf1d902b6,0x57b304d7}},	//   _meistari_, _ट्किुला_, _денелі_, _andskoti, 
   {{0x126c0338,0x12020220,0x1e3b0306,0x62bb0107}},	// [ed80] _baiona_, _ospite_, _aqhatapa, _balekne_, 
   {{0x33ea0044,0xd39600c3,0xeed001b7,0x8c7002fe}},	//   _smith_, _causis_, _कृद्ग्रह, _asasaze_, 
   {{0x529103db,0x9e4e0212,0xc2fc0211,0xbb7b01ec}},	//   _umfana_, _sixapart_, _blogit_, _panganan_, 
   {{0x904500ed,0xb51103f8,0xf2b50144,0x95e80061}},	//   _estudyan, _datojlah, _reacht_, _건우프라임_, 
   {{0x02b502e1,0xa0f6019d,0xb2da0125,0x92b20359}},	//   _seacht_, _achitsul, _nirede_, _miedema_, 
   {{0x022400e0,0xf5cc00cb,0xbac90311,0x1dfd0320}},	//   _djoke_, _akhaziny, _ብሓይሎም_, _laveriwa, 
   {{0x63ea0043,0x0c2b0101,0xb26c0079,0xb438005f}},	//   _emiti_, _eminescu_, _donoru_, _probarlo_, 
   {{0xf39500b7,0xf34b0448,0x0a5d0320,0x120101cf}},	//   _hassa_, _anmeldt_, _eamerika_, _devie_, 
   {{0xc4b402af,0xcb060176,0x0e3b02c2,0x034001b2}},	//   _bagashik, _taastrup_, _hoenders_, _bedelia_, 
   {{0x12b50144,0xa449006c,0x00000000,0x00000000}},	//   _teacht_, _борикзай_, --, --, 
   {{0x2ade01f0,0xb20102c3,0xdeab04ca,0x969400e6}},	//   _afitafit, _nevie_, _immenses_, _位读者阅读过此文_, 
   {{0xa716017d,0xdb6d0192,0x339503b3,0xe3f90068}},	//   _固定リンク_, _우리나라의_, _lassa_, _lagugu_, 
   {{0xf36901d8,0x8da40629,0x8a1802cf,0x59590037}},	//   _ringdur_, _acbookma, _исток_, _ካልቻልን_, 
   {{0xd2920217,0x82000194,0x82e60288,0xc2ca00da}},	//   _datate_, _bonim_, _oningin_, _fundul_, 
   {{0x3bc601ef,0x39f90021,0x5b3b0037,0x936f0008}},	//   _sprendži, _aiwanese, _በተዋሕዶ_, _homenatj, 
   {{0x8b2e04ca,0xf2430162,0xc9da022c,0x00000000}},	//   _audacios, _خەتەرگە_, _dibereke, --, 
   {{0xdf6b01c2,0xd20004c0,0x9b0a01c7,0x92920082}},	// [ed90] _betanzos_, _wonim_, _arslanyň_, _artabu_, 
   {{0x85410425,0x3c6b0193,0x93eb020f,0x138601c2}},	//   _شیرازه_, _खाल्ली_, _abetha_, _aforro_, 
   {{0x92fd002a,0x9b9900be,0xa22d03db,0xf4c20153}},	//   _savisis_, _баратыша, _semvumel, _いと思います_, 
   {{0x87a300d8,0xd26e0084,0x4292006e,0x0abc0350}},	//   _aumentav, _terong_, _estaad_, _በአእምሮዬ_, 
   {{0x25350109,0x1b250359,0x00000000,0x00000000}},	//   _पञ्जिकरण_, _tasprake, --, --, 
   {{0x2f3c0147,0xa9da027f,0x642f00e6,0x2a8700ed}},	//   _партияга_, _bibereke, _中华全国供销合作, _kaunuran_, 
   {{0x2a0d0252,0x126c0340,0x338d01ac,0x725a01c5}},	//   _dabadaba_, _raiona_, _اشهار_, _doolar_, 
   {{0x62b305ab,0x5ddf0075,0x3db50349,0x3f25003f}},	//   _cuidado_, _fiskiska, _abricsfa, _jirehqan, 
   {{0xa27e0163,0x0c3d01ba,0x63800279,0xed7b01a3}},	//   _honnan_, _komiserd_, _litres_, _ڪانڊارين, 
   {{0x427102e5,0x85f102b6,0x62d9044a,0x0aed003a}},	//   _ahecharõ_, _эмиссиял, _mizele_, _shafqats, 
   {{0xd2130176,0x61690035,0x2d7f0061,0x954e017a}},	//   _michio_, _bisermän_, _레포트입니다_, _amakhokh, 
   {{0xf27e034c,0x258103c4,0xa52803db,0xbf570120}},	//   _monnan_, _хәтири_, _ibingekh, _nagassen, 
   {{0xc4b400d1,0x030c0140,0x43860225,0xc29001b2}},	//   _ভক্তিমূল, _pabalat_, _eworin_, _chlade_, 
   {{0x130c0120,0xb30c0259,0x01850143,0x3e6203ab}},	//   _qabalat_, _babymati_, _субсидир, _atentát_, 
   {{0x7ee60144,0x7c5c013b,0xb1a6006d,0x12d600c3}},	//   _استعدادا_, _spittal_, _агрэгата, _stellas_, 
   {{0x7aa2014a,0xbecb0386,0xfb1d0724,0x33ce0529}},	//   _عبدالقدو, _menyimpa, _imparten_, _uzivo_, 
   {{0x8c720288,0x4a7e006c,0x5aa10153,0x6d59048a}},	// [eda0] _retract_, _abalazis, _アイちんの怒り_, _شارۋاشىل, 
   {{0x5f9a04f2,0x50c600c5,0x37e30162,0x1200012c}},	//   _thèng_, _赈灾彩铃免费下载_, _нотиқи_, _kofia_, 
   {{0x265d0185,0xf42501ef,0x92d50189,0x1aca036b}},	//   _контактл, _pasitaik, _japonya_, _милански, 
   {{0x9646026c,0x627e02ec,0x26230137,0xf2d9011b}},	//   _工傷保險條例_, _dibna_, _гантөмөр_, _fizele_, 
   {{0xbc440162,0x6c5a0255,0x44e10024,0x29af0311}},	//   _ژورناللا, _mootori_, _সঘনাই_, _ክንእውጅ_, 
   {{0x82000058,0xdb7c01d9,0xfa460185,0x5b170421}},	//   _donik_, _hannendr, _анонслар_, _bekannts, 
   {{0x1dd001a2,0xc1d100e7,0x00000000,0x00000000}},	//   _šādus_, _aisedray_, --, --, 
   {{0xf292040d,0x53dc006c,0x00000000,0x00000000}},	//   _thwalo_, _abawu_, --, --, 
   {{0x5ea60139,0x226c02e1,0x22fc0086,0x5bb90160}},	//   _प्रक्षाल, _caireall, _blogot_, _muskarac, 
   {{0x116a023d,0x92da02ee,0x74860291,0x89c004ad}},	//   _минималн, _dirett_, _babhtála_, _foreiset, 
   {{0x0289040b,0x52000127,0x4c65029e,0xc54e017a}},	//   _albasini_, _aonik_, _berthou_, _alikhokh, 
   {{0x72fe0075,0x6fae02d2,0x56500156,0x6ddd005b}},	//   _morgin_, _тарки_, _סטרימינג_, _asukaama, 
   {{0x83550284,0x405202e7,0xf60c01f0,0xf84a00ec}},	//   _plastová_, _physiogn, _barolati, _apatinis_, 
   {{0xb2010358,0x1c970276,0xaf3f0118,0x00000000}},	//   _defisi_, _һесабати_, _bassizza, --, 
   {{0x1224048f,0x705f01a3,0xa2e6029b,0x2e5900c8}},	//   _akoki_, _همارا_, _gennoon_, _фондтары_, 
   {{0x23f605d9,0xf95e0150,0x893d002b,0xe9e60255}},	//   _consegui_, _ogenaise, _বিনয়_, _viitsinu, 
   {{0xa3870245,0xb4270315,0x82900480,0x430c0125}},	// [edb0] _sharak_, _angasiyo_, _ahlabe_, _parahat_, 
   {{0x6b070404,0x4f4b023a,0x485e0039,0x7c300055}},	//   _baisirae, _mestské_, _ezintasu, _acinellu_, 
   {{0xed5700bb,0xcc6f052e,0x3f640040,0xa677004d}},	//   _سراؤں_, _terreva_, _קרייזלר_, _菲林輸出及印刷_, 
   {{0x57c5027f,0x4a270233,0xa99104c7,0xd2c503ae}},	//   _adashubi, _barberia_, _аматерск, _midlene_, 
   {{0x8c6d0117,0x949c01ea,0x1f940107,0xe47b0147}},	//   _burukim_, _флинн_, _agéng_, _تۉلۅكۅ_, 
   {{0x34810255,0x4d0f0203,0xedc60258,0xf2240109}},	//   _नानाजी_, _cúlmine_, _essinsje_, _akcionář, 
   {{0x52870629,0x017b006e,0x902a0311,0x80e50325}},	//   _agfiway_, _fanaanal, _ብሓጥያት_, _artmasıd, 
   {{0x2d5a0059,0x3e8e01db,0xc3ea008a,0x00000000}},	//   _можем_, _банкінің_, _imato_, --, 
   {{0x8b96036d,0x48e80096,0x42d4015e,0xf25b0148}},	//   _sònraich, _imishing, _perdut_, _oculi_, 
   {{0x2f2c005b,0x8bf400ff,0x41600297,0x328501f0}},	//   _angelwin, _ראָלעס_, _baqçada_, _dinkong_, 
   {{0x8966017d,0xd2d9007f,0x32b30073,0xb3a900b9}},	//   _注文した商品はど, _labelu_, _perdera_, _begadang_, 
   {{0x0bfc00a7,0x22a60167,0xaf250452,0x874204b3}},	//   _تەلەفون_, _ffobia_, _जाईजुई_, _expolang, 
   {{0x71fb00f1,0xcbf601ef,0x2974029a,0xe20002a0}},	//   _marzinal, _merginų_, _spritiye, _lonii_, 
   {{0x62fe0089,0xcfef0135,0x1fe30220,0x32a101ef}},	//   _torgan_, _kaçıp_, _уверенос, _вентылят, 
   {{0x7f16021e,0x4c130281,0x413b009a,0xaa09003b}},	//   _meddelan, _miluumas, _مخالفې_, _bebafana_, 
   {{0xf9e601cd,0x78630397,0xf31c020f,0x91510247}},	//   _kungenze, _солагии_, _acacisa_, _گلوبال_, 
   {{0xe7a702e1,0x19cc0087,0xc6720037,0xef7700b9}},	// [edc0] _سفاري_, _akhomiwa_, _ሲምፖዚየም_, _rencanan, 
   {{0xa86901a2,0x1c80015e,0x00000000,0x00000000}},	//   _procedūr, _медер_, --, --, 
   {{0x6fed0037,0x7f6b03e6,0x43870529,0x99e40350}},	//   _በመዘዋወር_, _ausbalan, _žarko_, _በመዝጋት_, 
   {{0x037c05e0,0x9c6d034b,0x2e770362,0x00000000}},	//   _tocante_, _surukim_, _falansé_, --, 
   {{0xd3800005,0xa5930252,0xcbc700c5,0x40780317}},	//   _entras_, _netshedz, _高血压血脂新发现_, _promišlj, 
   {{0xaed702c4,0xd3f802c2,0x8a9b0147,0x3a450133}},	//   _другите_, _benut_, _جەتپەپتى, _fixeensa_, 
   {{0xa8190152,0xeedc007b,0xa30100d7,0x00000000}},	//   _процентк, _chairges_, _dipatsi_, --, 
   {{0xf1220171,0xc2d901e6,0xdf070234,0xb7b4002b}},	//   _privatno, _kabelu_, _idẹra_, _কমবেশি_, 
   {{0xc632025e,0x45d2002b,0x81950163,0xfdca02ac}},	//   _mennirni, _মায়ানমা, _mondható_, _وكروت_, 
   {{0xd2fe0191,0xc5b8032d,0x4424018d,0xb0770132}},	//   _morgon_, _babatseh, _ብወተሃደራት_, _senkinek_, 
   {{0x7ebd0300,0x814d0147,0xaa09020f,0x498e006c}},	//   _stanoven, _الىبەتتە_, _angakuce, _тахия_, 
   {{0x428b01cc,0xbca80046,0x2c7000ae,0x5035004d}},	//   _anvitā_, _تولقۇپ_, _gitsure_, _打算將王祥燕_, 
   {{0x72fc0192,0xd3df002b,0x44290559,0xf2870086}},	//   _hoogte_, _একাডেমি_, _abakwenz, _وہراس_, 
   {{0xf386005b,0xc2340139,0xc8e90305,0xd9e300a8}},	//   _okazaki_, _apavārya_, _klassing, _annullad, 
   {{0xc4fd0192,0xc1cb02c0,0x5a170294,0x56ba0107}},	//   _제품입니다_, _presença_, _apacheta_, _bharatay, 
   {{0x59ca05dc,0x00000000,0x00000000,0x00000000}},	//   _fordoble, --, --, --, 
   {{0x729e0144,0xa14d0219,0xb20001da,0xbdbf02c3}},	// [edd0] _أمامه_, _atifunel, _donin_, _volebné_, 
   {{0xa32b01aa,0x5c5103b4,0xf90e0061,0x8f83011a}},	//   _eckchay_, _anotora_, _사이트소개_, _הנסתר_, 
   {{0xc528034f,0x185d0255,0x00000000,0x00000000}},	//   _abaneekh, _esindatu, --, --, 
   {{0xb482009b,0x12d800a1,0x08c00177,0x00000000}},	//   _форумын_, _hānara_, _hendágui, --, 
   {{0x09c501d1,0xaaf7018b,0x9291019d,0x68880041}},	//   _internat, _валериу_, _amvana_, _ишаҵахаз_, 
   {{0xcd840233,0x2e55012a,0x82900261,0x7c530029}},	//   _attentet_, _placówek_, _monata_, _قۆپچه_, 
   {{0x50fc00e4,0xdef30147,0x4c510316,0x6b1301be}},	//   _szerokoś, _بۉكچۉيبۅ_, _dantata_, _न्यूनिकर, 
   {{0xfb4002b9,0xa37b004e,0x33480227,0x2bfa003b}},	//   _السلامُ_, _ensakto_, _sehelai_, _ematsamb, 
   {{0x5355021c,0x326c00cb,0x7ba802b6,0x934b0105}},	//   _plastový_, _abangazi_, _تارتارلى, _schemat_, 
   {{0x2d4200be,0x784a0187,0x9ece0110,0xbe97031a}},	//   _токсон_, _затворск, _cenzējam, _qaumason, 
   {{0xd7e302ba,0x0d44030a,0x83a20075,0xd47e02ba}},	//   _abasafuf, _cunqueir, _skopun_, _силох_, 
   {{0x1e3a0037,0xf34601bc,0x529200b3,0x03ce02c5}},	//   _አያጠራጥርም_, _middeis_, _atsaň_, _aziva_, 
   {{0x0baa02af,0xb20e00b7,0x752902c2,0xfe470121}},	//   _agakomor, _гараз_, _koninkry, _totalida, 
   {{0x94d70064,0xa26e0312,0xc2d50092,0x1b2804ee}},	//   _барайын_, _aktour_, _cyklist_, _wayalees, 
   {{0xf2920039,0x525b0843,0x42d9037f,0x5da800a6}},	//   _estatu_, _oculo_, _heyet_, _akanamza, 
   {{0x369502c3,0xa27e00ce,0x7045037c,0xe5d600cb}},	//   _oddeleni, _donnen_, _ablution, _канъон_, 
   {{0xf320005c,0xf25b066d,0xd2b40415,0xe4ec0169}},	// [ede0] _aloys_, _iculo_, _leicht_, _হিজাব_, 
   {{0x3e52026c,0xab1f055d,0x4f35019b,0x52d0016a}},	//   _訂閱最新文章_, _panaskan_, _становіц, _allogaj_, 
   {{0x503a04f2,0x5d44053c,0x9ff70185,0x625b013f}},	//   _congtruo, _xunqueir, _беркөнне_, _evelti_, 
   {{0x5daf01aa,0xe92f01e0,0x658600c8,0xdf4601c4}},	//   _incipalp, _ستاندارد, _аграрийҙ, _duisende_, 
   {{0x76230128,0xeab0004d,0x2e990041,0x5fc8011d}},	//   _хосдир_, _基本上我也是_, _харахәыц, _detinato, 
   {{0x127e02ef,0xc6ec00ff,0xa44500e6,0xf2900155}},	//   _konnen_, _יפּאַד_, _违反本条例规定_, _oklart_, 
   {{0xce610092,0xf2000313,0xf2640020,0x7c330156}},	//   _トラベル会話のひ, _elnis_, _laulii_, _לאדין_, 
   {{0x67160193,0xe8db00d6,0x9a26021a,0x6f280075}},	//   _गर्दी_, _forfheid, _barbacha_, _partarna, 
   {{0x93a200ec,0xe64400f3,0x00000000,0x00000000}},	//   _lempos_, _kuvotelw, --, --, 
   {{0xba75011c,0xe9330076,0x5a180152,0x9d7102fe}},	//   _apilikas, _колено_, _yasalğan_, _کراچي_, 
   {{0x0f2e0107,0x928f0129,0x13dc024a,0xf63b0107}},	//   _setungga, _okukoro_, _ibawi_, _boehmeri, 
   {{0x5c7200ec,0x12480288,0x01aa0101,0x030d02b3}},	//   _cukraus_, _itema_, _primului_, _cabazas_, 
   {{0xa103032e,0xab640528,0xe6150013,0x266704eb}},	//   _wankawel, _chamanac, _сувини_, _मोहसिन_, 
   {{0x3c89014e,0x89fa007f,0xa2000075,0x8787005e}},	//   _различит, _digartre, _sonin_, _ساماۋى_, 
   {{0x02b601b0,0x00000000,0x00000000,0x00000000}},	//   _karcis_, --, --, --, 
   {{0xd31902fe,0x0658036d,0xa224010d,0x52910466}},	//   _کيداي_, _ashkerni, _djoko_, _izdaju_, 
   {{0x92b90129,0x03550437,0x92b50036,0x729201b9}},	// [edf0] _adreesị_, _leveres_, _leacht_, _latant_, 
   {{0xc5cc0010,0x0d0203b0,0x22da030a,0x57aa0017}},	//   _balamany, _målretta_, _amtega_, _इन्स्टिच, 
   {{0x42d90046,0x42ad027b,0x2eb201b4,0x71d40156}},	//   _escoles_, _विषनाशिन, _kursusse_, _מארקעטס_, 
   {{0x32fc0062,0xc04a0168,0xea600064,0x425b0116}},	//   _jingiv_, _dovreban, _региондо_, _haalin_, 
   {{0xbcf00178,0x725b0015,0x49fa002f,0xd27400ba}},	//   _anantaś_, _kaalin_, _amautaku, _تووله_, 
   {{0x4aee030c,0xf2b50113,0xf42a0049,0xb4970128}},	//   _akhuurut, _beacht_, _halaholo_, _футболид, 
   {{0x925b0068,0x425b00a4,0x79f602fe,0x5a170156}},	//   _maalin_, _acull_, _توشیح_, _ינקריסינ, 
   {{0xf292003d,0xb8e50169,0xc7b20120,0xbc2a0037}},	//   _datant_, _ডিপ্লোমা_, _caalatak_, _ምንኩስና_, 
   {{0x168c0287,0xb03b01df,0x184400bf,0x33f90233}},	//   _नेवार_, _unmentio, _опеки_, _levul_, 
   {{0xa3ea005c,0x5ae10382,0xf9b100ba,0x29870311}},	//   _imiti_, _eboltman_, _سۆفتوێری_, _ምንቕስቃሳት_, 
   {{0x9cfa0024,0x9a0002e4,0xddcf008d,0x818800e6}},	//   _পণ্ডিতৰ_, _akwakult, _fraksiya, _文博宣传月_, 
   {{0xea900190,0x08670092,0x5ebc030f,0x237c04a7}},	//   _monibain_, _アイドルの写真集_, _kānapana, _bocarte_, 
   {{0xce96017d,0x5e000690,0x4860040e,0x225b0461}},	//   _protease_, _diperbua, _ardasjir_, _bonnieri_, 
   {{0xc2a600a7,0x153a02d3,0x3e3b0429,0x00000000}},	//   _també_, _поголеми_, _dimantap, --, 
   {{0xb7e70193,0x529004b4,0xa9d2001b,0x00000000}},	//   _श्रीलंके, _uklart_, _dablataa_, --, 
   {{0x56ef0567,0xe2da000c,0x1d2c0020,0x32fe0844}},	//   _конспект_, _аславист, _fasimate_, _legitur_, 
   {{0xe35f019d,0x93860057,0xd28701e5,0x63fa0107}},	// [ee00] _aligone_, _storan_, _esekese_, _aduuhh_, 
   {{0xe201030d,0x13a20367,0x4a2302ea,0x16af00d8}},	//   _elvin_, _tempos_, _etichett, _disgraci, 
   {{0x2bfd0359,0xfc000333,0xac9a0374,0xd2d00294}},	//   _gesellic, _lensois_, _баркамол, _dodomam_, 
   {{0x627f029b,0xdad40080,0x00000000,0x00000000}},	//   _daanak_, _berthese, --, --, 
   {{0xa30c0108,0x887c030d,0xe3bd0361,0x534e02c6}},	//   _darajat_, _ayriliqd, _баллиоль_, _genetek_, 
   {{0x13ea04ee,0x709a04e3,0x89cf03ab,0x035b00e6}},	//   _mmata_, _pogrešku_, _priorita_, _confier_, 
   {{0x6e2f022f,0x83dc0372,0xa5c902fc,0x44550153}},	//   _autorius_, _aciwt_, _bababesh, _よろしくおねがい, 
   {{0x0d100139,0x3b6901f7,0x46c9020f,0x5fba030d}},	//   _ambaraṃ_, _potemkin_, _babacebi, _filmində_, 
   {{0x5b4d0037,0x79eb00cf,0x5a020087,0x9072001c}},	//   _መከራከሪያ_, _aangoott, _magandze, _nakareko, 
   {{0x3e960301,0xe7b40343,0xe3a2043d,0x666402d8}},	//   _çempiona, _featherw, _rumput_, _ऑफिसात_, 
   {{0x0b760092,0x2ae40448,0x00000000,0x00000000}},	//   _ジを掲載する_, _hurtigst, --, --, 
   {{0x5f4801ea,0x7200016a,0x97530322,0x528201b5}},	//   _яллиғлан, _konis_, _akanyong, _makhadi_, 
   {{0x2945002b,0x76b10053,0x021c01c5,0x02010393}},	//   _alquiler_, _कत्तल_, _tashan_, _kafić_, 
   {{0x02000261,0x7f220033,0xb2f40294,0x3d6903dd}},	//   _donis_, _realisar_, _chinkaq_, _viktimë_, 
   {{0x9401023c,0x86ac03b8,0x93ea044a,0xd3f5036e}},	//   _جوړښتونه_, _достасты, _emata_, _chillpak, 
   {{0xe4850192,0x256a008d,0x92e8038e,0xe1dc02ea}},	//   _매물정보로_, _саммитид, _cemilan_, _глоби_, 
   {{0xd27f015a,0x22fc0305,0xfd7f002b,0x92f903ab}},	// [ee10] _sirna_, _blogge_, _সাদিয়া_, _očistu_, 
   {{0xaa89000a,0xbe93018b,0x66450025,0xa2480175}},	//   _nalilers, _castigat_, _प्रतिसंव, _promes_, 
   {{0xd3ea019d,0xf30c0141,0x9c6a00d9,0xb3540132}},	//   _amati_, _harakat_, _helmikuu_, _levelet_, 
   {{0xe20000c3,0x5b7b03b5,0x528503bf,0x00000000}},	//   _bonis_, _nafsunya_, _dinkang_, --, 
   {{0x0355021c,0xac7201b2,0xf37a00b0,0xc98400ea}},	//   _plastové_, _detract_, _dagaalo_, _sarimihe, 
   {{0xdb7703bf,0x42da0144,0x22e60144,0x0f3a01ac}},	//   _арнаны_, _chreat_, _phinsin_, _achranna, 
   {{0x9c1e0034,0xeae00326,0x13ea044a,0x2e000305}},	//   _skapast_, _amutenge, _emati_, _nyheitsa, 
   {{0x8f1602af,0x485602c4,0x00000000,0x00000000}},	//   _abadasan, _набргу_, --, --, 
   {{0x1213018a,0xf5f10448,0xdf1e0137,0xbf510137}},	//   _bychan_, _fremskri, _доллароо, _сөхвөл_, 
   {{0x827f0141,0x65820263,0xcb510029,0x7dfb023e}},	//   _bizni_, _wetensch, _رێمدا_, _angkaté_, 
   {{0xaeaf0181,0xcaeb01d5,0x871e017a,0xc292027f}},	//   _hostname_, _borvidék, _гавго_, _nkwano_, 
   {{0x930c0243,0x4b170099,0x8c7f030d,0x620002c2}},	//   _barakat_, _achamuts, _verilişi, _innie_, 
   {{0x46ce00e7,0xb30604e6,0x5213046b,0x00000000}},	//   _ariabili, _binalik_, _fychan_, --, 
   {{0xf37800bc,0x99e002c1,0x230c0242,0x4d1d0225}},	//   _gunawan_, _ushinjwa_, _narahat_, _kowongit_, 
   {{0x53950075,0x4287004c,0x87e70013,0x83ed04df}},	//   _ryssa_, _akikoze_, _нийлар_, _başlary_, 
   {{0x72cb02bd,0x10dc018d,0xd23601bc,0x61680311}},	//   _anadlu_, _ክንምስርት_, _galje_, _ተዓቚቦም_, 
   {{0x9b5a0140,0x23ea00a2,0x676f023d,0x83560291}},	// [ee20] _pindutin_, _umati_, _асансьор_, _كرملش_, 
   {{0x053901db,0x31860020,0xac600260,0x23870429}},	//   _توستەر_, _gafataul, _viguesa_, _yusri_, 
   {{0x229002b4,0xc2000271,0xec620071,0xc6a60145}},	//   _ahlale_, _samisk_, _ajarane_, _малько_, 
   {{0x924300c1,0x4986011b,0x00000000,0x00000000}},	//   _येईलच_, _kanisaka_, --, --, 
   {{0x12fa002f,0x60b8019b,0x437e003a,0x1d8b03cc}},	//   _machala_, _kelionė_, _yaratib_, _disfrute_, 
   {{0x23fc001e,0x4a88003e,0x23f90334,0x02e0007b}},	//   _hukumomi_, _batimets, _kagulu_, _peincil_, 
   {{0xf5180220,0x5d0d037f,0x72be0037,0xc110016a}},	//   _протестъ, _sifarişi, _አንዳቸውም_, _האפשטיין_, 
   {{0x698600d5,0x9d0903dd,0x84f70093,0x27a8020f}},	//   _naniraka_, _italisht_, _грексен_, _دمحصلانو_, 
   {{0x62900219,0x7d33016d,0x5e1e004d,0x79920365}},	//   _uhlale_, _өткән_, _太平洋化粧品_, _nevztahu, 
   {{0x53b600a9,0x74a900e6,0x2dae040e,0x51ad0163}},	//   _amavuta_, _胡锦涛访日_, _årgangen_, _الصوبائی_, 
   {{0x01460338,0xbc7f0229,0x526c0348,0xeb250263}},	//   _filezill, _verilişl, _abanyazi_, _magazijn_, 
   {{0xdd00012c,0xe50c0187,0x4c67020f,0xf3ea0010}},	//   _جھونو_, _impresso_, _نرسان_, _ematv_, 
   {{0x50c10320,0x12000034,0x9a9a0067,0xee4c01d2}},	//   _exiluvel, _vonir_, _countryb, _cchawana, 
   {{0x007c01e0,0x3f3a0344,0x4fef00c7,0xc37e008d}},	//   _خلاقی_, _aperigaa, _gıylmano, _qaratib_, 
   {{0xe29202fa,0x670c0444,0xf03c0246,0x48ab00c8}},	//   _gatare_, _западных_, _videogio, _дәүеренд, 
   {{0xb2df001a,0xf3f900e6,0xf30c012e,0x03800047}},	//   _kommentj, _合作经营酒店合同, _lakatos_, _vitres_, 
   {{0x93970259,0x2c52014a,0xd2910274,0x89d00366}},	// [ee30] _samarbej, _mentén_, _alvara_, _шений_, 
   {{0x7b4f027f,0x6b7b0108,0xe38003ea,0xf31504cd}},	//   _akomorer, _wangunan_, _titres_, _osobnih_, 
   {{0x02c20439,0x22000193,0x46ab00c7,0xe2d50166}},	//   _chelela_, _unnie_, _азерб_, _bezogen_, 
   {{0x9b7c01dd,0x5a0800a8,0x7a8f00aa,0x33410059}},	//   _apfukama_, _annatina_, _kinitaan_, _maremma_, 
   {{0xa1110068,0xec7d01c5,0xab970109,0xc1bf0109}},	//   _سپارا_, _dhisayo_, _regionec, _jizerské_, 
   {{0x03e4053f,0x4a17046d,0x1c6102e9,0x5abc0092}},	//   _kayukiti_, _mukalaha_, _ingrese_, _halvande, 
   {{0xaf2f0306,0x33f8018a,0x00000000,0x00000000}},	//   _auturida, _mefus_, --, --, 
   {{0x6f680052,0xf2e905f4,0xcec3036e,0x805a0158}},	//   _zdravotn, _masista_, _awsitrus_, _kwestion, 
   {{0x8d090014,0xf31700c5,0x6cd2009a,0x02fe02aa}},	//   _raportet_, _blocage_, _bushushu_, _horniny_, 
   {{0x2b170099,0xe6c50012,0xef3c0092,0x92920316}},	//   _achakuts, _गुलरीउगु, _へのコメント_, _batare_, 
   {{0xb18e0250,0xdc61018e,0xe5ab0377,0xa2a20040}},	//   _parasysh_, _akeriwe_, _еволуат_, _בקיסריה_, 
   {{0x51de0037,0xd30e0107,0x00000000,0x00000000}},	//   _bilfaqih_, _dibabar_, --, --, 
   {{0x96730479,0x62d801e6,0x934800b4,0x89d60019}},	//   _ناصحی_, _objemu_, _colegii_, _زومبۇلۇق_, 
   {{0xd2fc00dd,0xdebc00d8,0x23ea02ab,0x2be902ea}},	//   _wariant_, _unissent_, _imatu_, _assoluto_, 
   {{0x9c61033d,0x3ae500b9,0x9c0400f2,0x73400182}},	//   _angrese_, _terupdat, _negrauz_, _zedekia_, 
   {{0xd11a0178,0x9285032d,0x9bfa0008,0x83430137}},	//   _ananujñā, _dinkung_, _castellb, _цэндсүрэ, 
   {{0x1ea30238,0xca6c0074,0xd2fe0223,0x00000000}},	// [ee40] _sterkere_, _naamiais, _sorgin_, --, 
   {{0x957300d4,0x7150026b,0x1eb20515,0xb3490052}},	//   _wettersk, _diputado, _extranee_, _profese_, 
   {{0x4e800475,0x4ec70022,0x537903f3,0x323a027e}},	//   _иерархии_, _киноһы_, _updaten_, _proveril, 
   {{0x71990076,0x3e540307,0x026d033e,0xa60f008d}},	//   _состанок_, _azibanda, _gaboto_, _birodari, 
   {{0x848303f2,0x1eac03e8,0x8cc70294,0x00000000}},	//   _kuluttaj, _obporodn, _facilchu_, --, 
   {{0xd29003b4,0xe1450021,0x230f02ef,0x2fce0153}},	//   _mukati_, _acterial, _ayibobo_, _バックアップ_, 
   {{0xa3ea04e5,0x034004ad,0xb2910024,0x1e4502a2}},	//   _amatu_, _sedekia_, _novara_, _tumangga, 
   {{0x0ac80045,0x36c901fc,0x9fa600be,0xedc70405}},	//   _ресурса_, _carartam_, _تۉيۉنچۅگ, _пшениці_, 
   {{0xbe6e0256,0xe9a300e6,0xc3590262,0xc27e01b9}},	//   _atrisinā, _众志成城共度难关_, _allanyň_, _rajni_, 
   {{0x170700d9,0x3d1a00d3,0x86b00247,0xa0d501cc}},	//   _камеры_, _ekologie_, _مجرمان_, _atithipū, 
   {{0x1bb101ef,0x368c0287,0xaac50378,0x83f80279}},	//   _projekto_, _भुषाल_, _giljanes, _refus_, 
   {{0x3d310252,0xd37801cc,0x0236000d,0x326d02a5}},	//   _shengele_, _anyasya_, _nalja_, _hovoru_, 
   {{0x61170030,0x029204cc,0x0c5b0286,0xd40f0132}},	//   _publicēt, _buraez_, _koguare_, _munkakör, 
   {{0xcc560041,0xcfd60187,0x6248013c,0x6241007e}},	//   _инықуҧал, _treinado, _yumma_, _bindavaḥ_, 
   {{0xd23602db,0x925100da,0x3973047d,0xe2d80127}},	//   _kalja_, _нтразиче_, _beliecht, _gemenn_, 
   {{0x32fe0034,0x1db9032d,0x82900003,0xe9ca0045}},	//   _morgun_, _вазифаһы, _schaal_, _najefekt, 
   {{0xc2f4003a,0xaf2d0011,0xad5c0299,0x7f5307c7}},	// [ee50] _ekanlar_, _bakubaga, _تۇسۇش_, _banquete_, 
   {{0x6a0e00ca,0x25e405db,0x01b40158,0x12c901fc}},	//   _organica_, _abachith, _रस्टेनबर, _yableeh_, 
   {{0x2520018d,0x3a7e00ae,0xc9800125,0xe292033e}},	//   _መንገደኛታት_, _kabarira_, _berijile, _kerasy_, 
   {{0xf320018a,0x42900077,0x0daa03a2,0x4e5300de}},	//   _hogyn_, _aklame_, _regiopra, _ayibanga, 
   {{0x626c00a1,0xe2f302ad,0x09d7020f,0xe502031a}},	//   _maioha_, _potisku_, _bakwishu, _maolrubh, 
   {{0x709a061f,0xa26a0253,0x42ef0020,0x22e90119}},	//   _pogreške_, _amerlial, _punitia_, _pasista_, 
   {{0x4e0301aa,0xe7dc01e6,0xe2ab020f,0xd9430296}},	//   _espectra, _pozastav, _کوښښونه_, _exploate, 
   {{0x1d5a00bf,0x6ff00059,0x00000000,0x00000000}},	//   _ножек_, _четка_, --, --, 
   {{0xd178023c,0x26d201d7,0x00000000,0x00000000}},	//   _احساساتو_, _parquegl_, --, --, 
   {{0xa9ff029f,0x12240190,0xbffc0309,0x33540047}},	//   _poznania_, _itiket_, _arzulayı, _offerts_, 
   {{0x223604e9,0xdd9201b5,0xb30b0321,0xaa7e02af}},	//   _tadja_, _balesele_, _artiklov_, _babarira_, 
   {{0xb5f100c1,0xbb2803b7,0x0da50425,0x230903b5}},	//   _गर्भाशया, _agrances, _خۆشحال_, _merayap_, 
   {{0xa91500a7,0x114501fe,0xe2bb017d,0x00000000}},	//   _públique, _valeniol, _gaderne_, --, 
   {{0x7c6d01b7,0xb93300c8,0xe80a0211,0xbc760014}},	//   _acyutam_, _ансамблд, _оттуда_, _sekreti_, 
   {{0xbde4048a,0xf50f015c,0x7292021c,0xda7f030f}},	//   _алдындағ, _nostromo_, _terasy_, _harawira_, 
   {{0x8b000121,0xb68a0220,0x4593014c,0xa5c804d8}},	//   _revisión_, _generazi, _makungak, _barakeey, 
   {{0xa2d80230,0x22c6005b,0xe201009f,0xb20103b0}},	// [ee60] _semenn_, _etalage_, _novic_, _ulvik_, 
   {{0xf2fd06ad,0xfa070082,0x3110036e,0xe72c005b}},	//   _logget_, _zinariya_, _chakaril, _rummelig, 
   {{0x64b600ff,0x4c4b0119,0x5b61046f,0xe2000422}},	//   _שבֿועות_, _apitong_, _deelfier, _senici_, 
   {{0x2a78009a,0xfae9027e,0xd9020096,0xf3a70368}},	//   _تبادلې_, _мотивима_, _bagasuzu, _тренду_, 
   {{0x069500c5,0x69e6000a,0x74e40156,0x00000000}},	//   _attendai, _igerlasu, _מאַקאָוו, --, 
   {{0xe4a405a9,0x43ce007b,0xbf2c01b5,0x220102c3}},	//   _bakagwiz, _privy_, _chgenfin, _povie_, 
   {{0x4382012e,0x662802f8,0xb8d60152,0x26e30044}},	//   _ایمیسن_, _hoooiiii, _югыйсә_, _succeedi, 
   {{0x734806c9,0x00000000,0x00000000,0x00000000}},	//   _urgensi_, --, --, --, 
   {{0xa2bb0203,0x5c67001a,0x00000000,0x00000000}},	//   _caderne_, _listát_, --, --, 
   {{0x0d11014e,0x2b310361,0x8bc70388,0x00000000}},	//   _уставом_, _алланă_, _маслени_, --, 
   {{0x83800258,0x399c02e7,0x00000000,0x00000000}},	//   _jitris_, _magkanaa_, --, --, 
   {{0xf2e50402,0x6ea102c2,0x84ad0037,0xe6ab0013}},	//   _tertuduh_, _toeriste_, _የምንረዳው_, _истайдиг, 
   {{0x965b00bc,0xe26e00b9,0xb6a100d1,0x55ed0350}},	//   _آرتیمان_, _akuisisi_, _বৰমূগী_, _አሳወራቸው_, 
   {{0x19c30066,0xb386013d,0xb3e400d1,0x73760270}},	//   _errefere, _teorio_, _অনুকলন_, _secretem, 
   {{0xcd9f01aa,0xdc760287,0xa2000181,0x00000000}},	//   _evenuera, _operaci_, _monit_, --, 
   {{0xe31701c5,0x23b500e6,0x90210110,0x00000000}},	//   _arkayay_, _最新产品推荐_, _patoloģi, --, 
   {{0x13580606,0xb2ba02c5,0x63f40109,0x2a630210}},	// [ee70] _bagwebim, _mundimi_, _mostem_, _akagonya_, 
   {{0xb9b2033e,0x580802e1,0xd79903f2,0x00000000}},	//   _монтас_, _وتحول_, _витамина, --, 
   {{0xab0f0220,0xf204069f,0x297e0092,0x59ca01fe}},	//   _prossima_, _obvinili_, _黒姫高原スノ_, _parofesa_, 
   {{0xfdcd0495,0x4c18017a,0xbbde0087,0x02da028a}},	//   _iruhande_, _abasebab, _izimbizo_, _marefu_, 
   {{0x4cb100ff,0xcb8a0126,0x0d900008,0xa68a0083}},	//   _רעגלמעסי, _волог_, _тейде_, _venerazi, 
   {{0xe5fe066a,0x52d802a3,0xfd9601db,0x321c02ec}},	//   _schleswi, _gemeen_, _аталарым, _gashan_, 
   {{0xb8360045,0xb2d800f2,0x00000000,0x00000000}},	//   _процене_, _atmodas_, --, --, 
   {{0x3cdc027f,0xddba0092,0x92c50305,0xc86000c7}},	//   _akawuger, _応募可能期間_, _midlane_, _антка_, 
   {{0x8c9301f2,0xf26e0230,0x4cc70276,0xfa060219}},	//   _ھامان_, _kuronn_, _قالتىسكە, _ekubeket, 
   {{0x9fc7026e,0x92e902c3,0xc70e00b7,0x22d60089}},	//   _प्रचलन_, _takisto_, _докатмак, _cuelmas_, 
   {{0x72ee03dd,0xb3690310,0x00000000,0x00000000}},	//   _shifra_, _leigear_, --, --, 
   {{0xd31f0461,0x4eae0354,0x5200066c,0x00000000}},	//   _toscano_, _ئەشيا_, _honit_, --, 
   {{0x294003b7,0xe2e900a5,0xe585033a,0x8f110019}},	//   _amplingt, _lemigao_, _impunjaz, _ибраим_, 
   {{0x3f740233,0x13f400c3,0x03c00040,0x5ef201ab}},	//   _succeden, _hostem_, _ממשפחת_, _झोँका_, 
   {{0x6e2202ee,0x5c68018d,0x7eb200c7,0x753d0308}},	//   _འགྲིམས_, _ሰዓብቶም_, _axirättä_, _endingny, 
   {{0x6f4e0258,0x50610132,0xa9b4009d,0xfdf00110}},	//   _klasloka, _انقرہ_, _ዝተወፈየ_, _ukraiņu_, 
   {{0xf2d6008c,0xd15c0163,0x5248033e,0x0c2c0111}},	// [ee80] _quellas_, _speciáli, _etemi_, _accicatu_, 
   {{0x215c0365,0xc27f0034,0xb76400d6,0xd453025c}},	//   _speciáln, _birna_, _chainnig, _handwerk, 
   {{0x125b0255,0xe2480212,0x72250155,0xdc6a0061}},	//   _लिमिटेशन_, _summo_, _staket_, _세계경제의_, 
   {{0x49d003ad,0xf6380046,0xa5380163,0x0d81026c}},	//   _interatt, _системад, _روزنامے_, _appellat_, 
   {{0x4bf302e4,0xa21c001e,0xa2010408,0x4af600c1}},	//   _adattabb, _fashin_, _lovia_, _cherrybe, 
   {{0xe26c0097,0x00000000,0x00000000,0x00000000}},	//   _abiola_, --, --, --, 
   {{0x435b033f,0xefa300ff,0x5f5600cb,0x00000000}},	//   _fingota_, _ateliero, _макрӯҳ_, --, 
   {{0x9c960099,0x3e1b0194,0xe3e8024c,0x1b050237}},	//   _ainziabr, _clamores_, _batterji_, _기다렸습니다_, 
   {{0xc4a200bf,0x326d020f,0x033a013b,0xd21c0205}},	//   _ткань_, _abangayi_, _alcalã_, _yashin_, 
   {{0x6c0501ce,0x34c3034c,0x925a00dd,0x42e60184}},	//   _pirsani_, _планында_, _dinlle_, _nganzwa_, 
   {{0xc290041e,0x220001f4,0xf354024c,0xb2c5044d}},	//   _annata_, _kofir_, _denemes_, _gitland_, 
   {{0x2201036a,0x5a8802e4,0xc2d9000e,0x590d01c5}},	//   _dovia_, _affidabb, _reyer_, _dabbaald, 
   {{0xa389030f,0x4f0e020a,0xff08032d,0xd5a900a6}},	//   _wāriu_, _майдалап_, _байназар, _ayisolok, 
   {{0x5a0e0046,0xe4a800a7,0xcb150061,0x62c5022b}},	//   _пайдасын_, _localitz, _사이베이스_, _bitland_, 
   {{0x3b530109,0xb0eb00e5,0x83be0100,0x6b8800da}},	//   _थ्रीस्टा, _звонко_, _plivati_, _mobilier, 
   {{0x52c502d5,0x00000000,0x00000000,0x00000000}},	//   _milline_, --, --, --, 
   {{0x351702c4,0xe3550229,0xf2cb0010,0x3e9701c8}},	// [ee90] _заблуди_, _menecer_, _epulani_, _postavte_, 
   {{0x53360126,0x2d8103dd,0x70370304,0x00000000}},	//   _ексклюзи, _fillesta, _santubon, --, 
   {{0xcbe401d1,0x61ed0486,0xb2000155,0x82cd0212}},	//   _necessar, _द्वरा_, _sofis_, _galliam_, 
   {{0x72e60184,0x0b6b0415,0x50ef002f,0x2ca1003e}},	//   _aganzwa_, _anforder, _albicoll, _плацкарт_, 
   {{0x030501e0,0x32cf0119,0x14d70064,0xd3060156}},	//   _خودای_, _zagorje_, _багайын_, _barataj_, 
   {{0x026c0353,0x5248004b,0xe31b0158,0x73940103}},	//   _školy_, _tumme_, _ulicach_, _bhosvo_, 
   {{0x2ed0029f,0x7e610129,0x22e2012d,0x9b0a047d}},	//   _policajn, _imekọta_, _peintim_, _verstane, 
   {{0x2b160096,0xe69c0156,0xbc6b0007,0xc3ea018d}},	//   _abapasit, _לאבראדאר_, _bowumbu_, _faktit_, 
   {{0x527f067b,0x7e98000c,0x73410251,0xf4d10153}},	//   _sirni_, _артистцә, _bedelin_, _スキン専用のスペ, 
   {{0xadbf01aa,0x687304f8,0x4200001f,0x03120273}},	//   _illionma, _anonymou, _onnim_, _reveló_, 
   {{0x1295020d,0xb2e70334,0x889003ae,0x74660142}},	//   _barashim, _alinawo_, _rekkevid, _devendro_, 
   {{0xc141047d,0x122a0060,0xbaea0265,0x564903f2}},	//   _mindestl, _боран_, _vastgele, _тендеры_, 
   {{0x575b0250,0x4ec40226,0x1292040f,0x461f03f1}},	//   _pushimev, _asanagon, _kitame_, _odporuci, 
   {{0x525602d5,0x28390368,0x05a70481,0x894e0012}},	//   _spetsial, _последња_, _aansprak, _गुनसमूह_, 
   {{0x176b012c,0xb2f2021f,0xb0a30156,0xbf650331}},	//   _ورتاءُ_, _arginuu_, _זאַצן_, _arvaegin, 
   {{0x5eae02eb,0x22dc03bf,0xf2000127,0x3248005b}},	//   _нотлогдо, _boreleli_, _binig_, _rumme_, 
   {{0x80b0001a,0x5c4e00b0,0xa290025e,0x530e00d2}},	// [eea0] _digitáli, _زمانس_, _annara_, _apabisa_, 
   {{0x23f40076,0xb38c00c8,0x5ece00d1,0x61f60153}},	//   _listum_, _иҫбат_, _আদৱানিৰ_, _bornholm, 
   {{0xfa4c015e,0x622b0255,0xcb5601d9,0xef4d03f7}},	//   _тапшырма_, _asemele_, _doudegen_, _farsímaþ, 
   {{0x4c3f0414,0x82df0249,0x130101d5,0xef33054c}},	//   _bakpokos, _plening_, _hatalmi_, _venstrep, 
   {{0xab560391,0x8cf202b2,0xdb6f0025,0x3899022f}},	//   _пункттар, _mottaker, _श्वेतकेत, _заставай, 
   {{0x7fc60623,0xf2000695,0x1d9503e0,0xa96d02d4}},	//   _पीएचडी_, _sinif_, _geleiert_, _habitont, 
   {{0x4c4700f5,0xb86d02f0,0x62d80020,0xd3ea00b6}},	//   _ekspozis, _bayiland, _lumepa_, _waktit_, 
   {{0x73e90482,0xd4a80192,0x4bfa0261,0x00000000}},	//   _basteeki_, _카구라자카_, _apologio_, --, 
   {{0xd2910076,0x9290008a,0x52250107,0x972700a6}},	//   _novata_, _lonafa_, _awakke_, _ادعاوي_, 
   {{0x32c60265,0xd0b003ab,0xc519056d,0x33780192}},	//   _foxlife_, _digitáln, _بودايي_, _opladen_, 
   {{0x82da02bd,0xe0fc00e6,0x23ea022b,0x7c860024}},	//   _waredu_, _全省国税系统球类, _feitti_, _বাবুসকলৰ_, 
   {{0xafa700ee,0xf7250105,0x8756012b,0xe15d0465}},	//   _байлгүй_, _pisemnej_, _प्रिटोरि, _novostih_, 
   {{0xc2d603e6,0x49d600da,0x331a0145,0xa27e0067}},	//   _geroden_, _кратиче_, _яўген_, _dabni_, 
   {{0x26b50136,0x9c750052,0xceff0162,0xefb20117}},	//   _milanovi, _पाण्डे_, _матәм_, _naetklab_, 
   {{0x52d601fb,0x9d4300dc,0xc2fc00e0,0x322402aa}},	//   _millias_, _lefaoseu_, _fariant_, _skoky_, 
   {{0xce3303e2,0xe4600291,0x2d7105bc,0x0c3a002f}},	//   _gallegos_, _وَمَا_, _filmbrot_, _guwiernu_, 
   {{0x63570319,0x1fa000bf,0x3ba6027f,0xbac302ea}},	// [eeb0] _ক্ষেত্রে_, _передано_, _kagirako_, _мондео_, 
   {{0xd98b0409,0x5609026f,0xe47f0183,0x09ec0119}},	//   _ルアドレス_, _قوجەكە_, _gazetiko_, _panggobe, 
   {{0xdc5b00ad,0xf9aa03fe,0x00000000,0x00000000}},	//   _bustomi_, _долий_, --, --, 
   {{0x525b00e9,0x329b03cf,0x120000fa,0x7e5b0322}},	//   _acalan_, _davranış, _tinig_, _ababanje_, 
   {{0x247f022a,0xa86d02fa,0x938602fe,0x637d0162}},	//   _kazetiko_, _kayiband, _مالداری_, _учратмиғ, 
   {{0xde510465,0xd2990274,0x824802f2,0x9b2e0153}},	//   _objavlja, _orkubúi_, _bromas_, _あなたに合った転, 
   {{0x225e0039,0x27bd06d1,0xb1690374,0x42ea01df}},	//   _kontseil, _hidrólis, _мезони_, _plantit_, 
   {{0xadff002c,0x56270132,0x432d004d,0x72d6015c}},	//   _gobernua, _gimnáziu, _不改變自己的缺點_, _beroden_, 
   {{0xaa0800ea,0x941d03bd,0xb6aa01da,0x72250359}},	//   _vinavina_, _alpabeto_, _beogradi, _swakke_, 
   {{0x1b5301cb,0xdc230213,0x9a080020,0xe10a00d1}},	//   _nokwakha_, _родного_, _finauina_, _পঞ্চাশৰ_, 
   {{0xa28f0144,0x02900396,0xb2480201,0xacf900ab}},	//   _mushait_, _arkati_, _numma_, _moutohor, 
   {{0xf2260135,0xaf3100ba,0x19c4018c,0x259403a8}},	//   _kisken_, _زلهێزی_, _verdubbe, _blautkak, 
   {{0xe5eb00a2,0xd85201cf,0xbdbd0201,0x92d900b2}},	//   _پرواهه_, _barriles_, _catinnaa, _ateera_, 
   {{0x4c76015e,0xacce0044,0x168e0410,0x4a2b002b}},	//   _mesures_, _נויורק_, _profensi, _কাকিমা_, 
   {{0xb34000d1,0x0e38007f,0xc7b10160,0x3c670122}},	//   _জন্মগ্ৰহ, _dangosia, _prolazak_, _کروات_, 
   {{0xa24800cd,0xd9d7025e,0xab100548,0x98ff020f}},	//   _mumma_, _bretland, _forplant, _وزنګيدل_, 
   {{0x9e810164,0xdae9018f,0x46b00032,0x31d70567}},	// [eec0] _йетиватқ, _chotemme, _dangajni, _парижга_, 
   {{0x04a502c1,0x896d02fd,0xcd4901f4,0xca990291}},	//   _gutangiz, _dhuneide, _гирдобид, _سيؤدي_, 
   {{0xabfc012b,0xa39100be,0xaf280258,0xc30f0082}},	//   _tajemnic, _بئلئم_, _sintekla, _dirayar_, 
   {{0xd9260291,0x00000000,0x00000000,0x00000000}},	//   _أعطيت_, --, --, --, 
   {{0x3af7009e,0x5a060102,0x04530311,0xfd0a03f0}},	//   _amortece, _mabaraza_, _ትምህርታት_, _brautskr, 
   {{0x797d00c8,0x624802db,0xd7ba021c,0x5ed003d5}},	//   _батырлыҡ_, _promas_, _analytik_, _aspickys_, 
   {{0x1d4d0209,0x00000000,0x00000000,0x00000000}},	//   _aapakaaq, --, --, --, 
   {{0x714c033f,0x12480155,0x72ad0291,0x27d200a3}},	//   _faitooko, _dumma_, _وتطبيق_, _bolstadf, 
   {{0x73f40102,0x00000000,0x00000000,0x00000000}},	//   _rostam_, --, --, --, 
   {{0x62af00ac,0x7dbd0265,0x2a640461,0x45ef0204}},	//   _dosadašn, _nationaa, _aculhiss, _animaati, 
   {{0x4be700fe,0xa3be031e,0x228902fe,0x2f720119}},	//   _analaiso_, _stavovi_, _bobabini_, _pagbilin, 
   {{0xd0da0037,0xb3e6011d,0x768800e6,0x23170268}},	//   _ተከሳሾቹ_, _rebusuri_, _发展和改革委员会_, _arkamay_, 
   {{0xc4d700c7,0x2c7400d2,0x71ab0020,0x00000000}},	//   _балдыз_, _cucurut_, _ulumasui_, --, 
   {{0x9c770101,0xf2900461,0x7248006e,0xf44b02f3}},	//   _exprimi_, _donada_, _bummi_, _besviken_, 
   {{0x862103c9,0xc7070153,0xc28702c2,0x00000000}},	//   _analysef, _健康グッズ_, _aankope_, --, 
   {{0xf2ca01dd,0xd31602cd,0xfabd0022,0x586a02a4}},	//   _mbiligi_, _azozi_, _ҡаушырып_, _magistru, 
   {{0x62b40288,0x5d2a011d,0x88da025e,0x00000000}},	// [eed0] _leiche_, _стателе_, _sprengju, --, 
   {{0x3f870198,0xfc89002b,0x72920318,0x00000000}},	//   _kašice_, _সমাধিতে_, _sitake_, --, 
   {{0x2c3900da,0xcc87007b,0xa9070231,0x00000000}},	//   _procuror, _landward_, _invalidu, --, 
   {{0x0a0d01fe,0x261a04a4,0x8201035e,0xcf2a00a3}},	//   _kabakaba_, _fritheil_, _nevini_, _bestepla, 
   {{0xf44f0040,0xfee401d7,0x37a70163,0x00000000}},	//   _למעמד_, _agriculs_, _navracsi, --, 
   {{0xeae70024,0xe2da04fb,0x7e4a0513,0x6d4c002b}},	//   _ভোগালী_, _escoger_, _lavanene_, _কর্ণধার_, 
   {{0xdf1b009a,0x83ea0331,0xb529006c,0x435b0133}},	//   _alamprec_, _skotum_, _akunamkh, _dingata_, 
   {{0x421301db,0x507001e8,0x9dc002bb,0xafb801a7}},	//   _қоямын_, _grapikon, _solidnie_, _сбоку_, 
   {{0x61ac0418,0x7248047d,0x331701aa,0xf32d01db}},	//   _dolandır, _stemm_, _arcabay_, _عاشىقتىڭ_, 
   {{0x23500160,0x729202a9,0x526d01fe,0xe8440126}},	//   _predvidj, _surask_, _naboro_, _спека_, 
   {{0x1290030f,0x8b8d0311,0x3cae00bb,0xe97d02bd}},	//   _aukati_, _ዝተቐራረበ_, _راجھستان_, _diriogae, 
   {{0xd3cf033e,0x59be009b,0xda070127,0x703001ab}},	//   _aravai_, _feedblit, _anvalide, _गिरहथ_, 
   {{0x2b2b0286,0x634b0168,0x31ab01f4,0x2b0f033e}},	//   _yenankas, _innerst_, _хоссалар, _kanguyas, 
   {{0x4fcd0040,0xae74019e,0x49880310,0x8a890008}},	//   _לשחזר_, _giminaič, _libhrige, _menyspre, 
   {{0xb7860199,0x0ae500d1,0x462200e7,0xceed057a}},	//   _jvevermi, _উলমায়_, _analystw, _кийча_, 
   {{0x2a5801cd,0x326d0261,0x9e89004d,0x5d1d00b4}},	//   _тандурус, _laboro_, _大力宣傳國土資源, _ortodoxe_, 
   {{0x035605b9,0x127a0252,0xcc470169,0x40ef0063}},	// [eee0] _leverer_, _masimuni_, _দক্ষিণের_, _sóisiala, 
   {{0x3e99053f,0x431a04bd,0x336f01c8,0xba8500e4}},	//   _juntacht_, _hakakā_, _rezervuj, _पुर्नवास_, 
   {{0x4b2a0361,0x00000000,0x00000000,0x00000000}},	//   _вспомнит, --, --, --, 
   {{0x04e901b3,0x7058032c,0x2e2a01b2,0x2055041a}},	//   _мотивами_, _atisaann, _bayleeys_, _атрибута, 
   {{0x9e4a038a,0x08fd0090,0xcf330156,0x02480415}},	//   _aqasanku_, _angatend, _בעלעטריס, _fremd_, 
   {{0xb62e0397,0x65a2002b,0x8a550095,0x83fa031e}},	//   _заковати_, _মিথলজি_, _بخارپز_, _ispune_, 
   {{0xeb490486,0x32940034,0x9987018e,0x9d8f03ad}},	//   _वर्षअघि_, _aflaheim, _lavisaka_, _illeċiti_, 
   {{0x840d01cb,0x5e2d011a,0x9ea20086,0x00000000}},	//   _iqinisek, _לשכפל_, _nyertese_, --, 
   {{0x1b720101,0x1acb02a5,0x525a03da,0xef21035d}},	//   _intrarea_, _vodotěsn, _teela_, _regulisa, 
   {{0xef790037,0x631a023b,0xec9a0060,0x073a0361}},	//   _ለማጽደቅ_, _makahā_, _түгендеу_, _волго_, 
   {{0xf63201f1,0xc1170079,0xa0e900e6,0x7a3c017a}},	//   _opinioni, _publicēj, _回复该留言_, _судон_, 
   {{0x0201005a,0x66ce00c4,0x00000000,0x00000000}},	//   _elvip_, _matamani, --, --, 
   {{0x3210026f,0x730c0256,0xbab80311,0xc3860138}},	//   _اشقىزىپ_, _vakaros_, _ጸልዩልና_, _şeref_, 
   {{0x369601bb,0xc26d00e6,0xcb940322,0xc2e3008f}},	//   _belentli, _妖之翼外贸内衣服, _bakingir, _haritud_, 
   {{0x83870132,0xfc4e0497,0xd8a4018d,0x54ef00e6}},	//   _akarok_, _ditching_, _ዝኸኣለት_, _查看用户的所有发, 
   {{0xb9cd02fb,0x0474025f,0x230d00f2,0xc6ad0139}},	//   _satelait, _babengak, _tabakas_, _भारतीयाः_, 
   {{0x23870261,0x9c31030b,0xf29002f7,0xb68001b7}},	// [eef0] _aperas_, _alondamu_, _dinawa_, _शोभां_, 
   {{0xb6ce00a7,0xd3d103ce,0x605e0058,0xaac10030}},	//   _catalani, _بێوار_, _sienovik_, _filipīnu_, 
   {{0xed220096,0xa33d004d,0x150800f0,0x00000000}},	//   _agasusur, _人民日報網絡中心_, _potešili_, --, 
   {{0xdf4902d7,0xf6fd0187,0xf2ca04ee,0x49fd00ef}},	//   _proposta, _простори_, _kwado_, _angasent, 
   {{0xc25a0015,0xe31c0155,0xdc72017f,0x935c0156}},	//   _meelo_, _placera_, _amerlas_, _שװײַג_, 
   {{0xe4860486,0x9d01017f,0x130003cf,0xc87000c8}},	//   _घटनाको_, _tallimat_, _zamanki_, _резервын_, 
   {{0xb30e021a,0xe372014a,0x536300d3,0xd9ef0294}},	//   _baranas_, _elmarad_, _hostujem, _chaitaqa_, 
   {{0x0b7e01cb,0xdf2e00a8,0x83e401f0,0x49d602a3}},	//   _lokuseka_, _abstraha, _hukuntsi_, _beredene, 
   {{0xd308012f,0xbe8600da,0x12fc00e1,0x42fd00f6}},	//   _ababaro_, _графикэ_, _diogue_, _eynidir_, 
   {{0x7ae60265,0x28050075,0xb27e00a6,0x2290040f}},	//   _verleden_, _tíbetur_, _ayinik_, _sukasi_, 
   {{0x82ef055d,0xc2b10260,0xe3e2013c,0x1e3102be}},	//   _peniaga_, _produza_, _mülahizə, _enggrana, 
   {{0x9179014e,0xa9cc000c,0xe290035e,0x42ab00d9}},	//   _поступак_, _маршьани_, _zonama_, _гостинич, 
   {{0xe6bb00bd,0xec68013d,0xe1840074,0xdab70156}},	//   _aquapori, _energio_, _irlantil, _רעוויזיע_, 
   {{0x8c150052,0xa487008f,0x8b5b0223,0x758f002f}},	//   _राज्यसत्, _निकालि_, _sinesten_, _deleteth, 
   {{0x13070429,0xd6060208,0x42db0153,0x4c1800b4}},	//   _sarawak_, _حاکمیه_, _もしかして_, _respins_, 
   {{0x02ea0091,0x9373048a,0xdc5206e2,0x39ef03cc}},	//   _ilangit_, _ءىستەتكە, _contén_, _ধ্বংসের_, 
   {{0x129000a2,0x00000000,0x00000000,0x00000000}},	// [ef00] _sukari_, --, --, --, 
   {{0x7290005b,0x28ae00be,0xa289021b,0x00000000}},	//   _yukari_, _армиянын_, _tamperel, --, 
   {{0x125a02ec,0xad0801a0,0x03e70061,0x8746008a}},	//   _beelo_, _honokise_, _펄하이그로시_, _maliliug, 
   {{0xe5a80046,0x825b008c,0x02b4018a,0x628a0240}},	//   _карабаст, _engler_, _criced_, _jenarali_, 
   {{0xf290011b,0x4d7600bb,0xb2da02c2,0x607f019a}},	//   _monaka_, _سانسوں_, _outeur_, _bubblyjo, 
   {{0x22260230,0xe2900082,0xf538023c,0x8a820487}},	//   _riskan_, _sinawa_, _نوښتګر_, _verisign_, 
   {{0x78b102fd,0xf2db001d,0xd35500b3,0xb8750517}},	//   _chithear_, _thrower_, _seneler_, _desistid, 
   {{0x202e0044,0x431901bd,0x920001f1,0xec7100a1}},	//   _גורביץ_, _تانيسىزب, _rinia_, _ngarahu_, 
   {{0xa20003fd,0x4e670178,0x912a0311,0x224a0428}},	//   _sinia_, _bhāskaro, _እተኽብር_, _fotopisi_, 
   {{0x87ca00b6,0x8060004d,0x12070040,0x720001f4}},	//   _barseeni, _熱門關鍵字_, _מעשנת_, _hofiz_, 
   {{0xcc84031d,0x127e002e,0x67b600f8,0x00000000}},	//   _attested_, _vojnog_, _নুশেরা_, --, 
   {{0x620002e1,0xa3100088,0x924900a9,0x4ad203dc}},	//   _inniu_, _públic_, _ituma_, _handilss, 
   {{0x417201e6,0xf2720220,0xa6dd0040,0x7e920008}},	//   _miliardy_, _miliardi_, _מסתמן_, _montsant_, 
   {{0xf21204cc,0x680600ee,0x1c070479,0xb2000018}},	//   _henhoh_, _мартаж_, _آئیکون_, _tinia_, 
   {{0x6d82028b,0xf2000343,0x3eb20135,0xac12020d}},	//   _техникат, _kinin_, _soñraq_, _inararib, 
   {{0xc30e02fd,0x2754011f,0x00000000,0x00000000}},	//   _earalas_, _ipoética_, --, --, 
   {{0x41dc01d1,0xd2a5012b,0x8d69005e,0x62000420}},	// [ef10] _directly_, _गोपालपुर_, _پاراڭلىر, _enfim_, 
   {{0x32d80050,0xb24802d7,0x6c730044,0x69640133}},	//   _geuning_, _preme_, _telstra_, _biroolle, 
   {{0xe97502a6,0xd86a036d,0xea850162,0xc2480250}},	//   _resistit, _geansaid, _تۈزدى_, _tremb_, 
   {{0x57a9019b,0xd9dd0065,0x0b770241,0x838d02b6}},	//   _kokteili, _laufende, _galumsaa_, _ەستىگەن_, 
   {{0xfc230279,0x89cd0085,0x3af30178,0xa39501d9}},	//   _approvis, _tadolava_, _chadmanā_, _keeser_, 
   {{0xdbf2011f,0xc03f0191,0xc9f60320,0xc2000119}},	//   _emiliano_, _gatutidn, _georgebu, _hinin_, 
   {{0x0d7e00e6,0x620001da,0x82c902bb,0x9f6d0361}},	//   _烘烤至面皮酥脆_, _binin_, _sopocie_, _бандиташ_, 
   {{0x2c7f00ce,0x52ef0257,0x162f015d,0x829002b1}},	//   _konsonm_, _peninga_, _उष्णकटिब, _sukayi_, 
   {{0x1af50091,0x820100bd,0x52120119,0x4e4e0187}},	//   _ihariatt, _movin_, _munhoz_, _газда_, 
   {{0x0aae0016,0xe11300c7,0x3a170165,0x329002aa}},	//   _דובראַוו, _alınmıy_, _tusanaka_, _donaha_, 
   {{0xab7d00f0,0xf4fa0101,0xb2b30414,0x339301ef}},	//   _finančné_, _primarul_, _bondeko_, _акаталіч, 
   {{0xf2cf02a5,0x6e9200e6,0x88630121,0xcafd00e1}},	//   _कन्टेनर_, _montrant_, _avanzand, _kowertis, 
   {{0x50790037,0x4c7201a9,0xa224004e,0xedb404da}},	//   _ዘመድኩን_, _alertas_, _criket_, _prigodne_, 
   {{0xc2900240,0x97850023,0xb25a04d8,0x49ce0272}},	//   _dinata_, _указание, _geele_, _amambuka_, 
   {{0x620103f4,0x23f9013d,0x02dd0298,0xf9f600bb}},	//   _kovin_, _devus_, _moroiti_, _روہیل_, 
   {{0xad5b03d8,0x70ef0291,0x614602e1,0xee360300}},	//   _najbolju_, _sóisialt, _mallaibh_, _zopakova, 
   {{0x8ffc00d9,0xe280017a,0x472b0415,0xa20001da}},	// [ef20] _способы_, _abakaze_, _bevorzug, _vinin_, 
   {{0x4200036d,0x3be4000a,0x8ade000d,0x49b50220}},	//   _innis_, _decembar, _menetlus, _губене_, 
   {{0x0290005b,0xbfa00404,0x1200013d,0xaf5700a6}},	//   _hinata_, _maikemiš, _linio_, _andaphen, 
   {{0x92010360,0x11b50169,0x4da903b0,0x89f80039}},	//   _novin_, _আবিস্কার_, _leggjast_, _arrasate, 
   {{0x32ec0148,0xde520178,0x925a000d,0x40e20142}},	//   _enrigue_, _alparaja, _teele_, _सेवायाम्_, 
   {{0x5af6021b,0x69840342,0xfa1a00de,0x00000000}},	//   _georgest, _kelkeswa_, _اردوګان_, --, 
   {{0xa2480467,0xa36f0225,0xb302038e,0x033302aa}},	//   _ntemu_, _kongeot_, _badanmu_, _nekalé_, 
   {{0x425a04e2,0x22f600f7,0x076a032b,0x69a8004a}},	//   _semlm_, _vizitoj_, _шамаллан, _алмаганм, 
   {{0x8200007f,0x926d010b,0x1dbe0374,0xd08d02b2}},	//   _cinio_, _bofofu_, _mashaqqa, _розійшли, 
   {{0xeb3002c9,0x02d8001d,0xec54020f,0x7aa60253}},	//   _делок_, _nemein_, _ورکیدل_, _dioxinit, 
   {{0x706d00ce,0x5f5f0074,0x45cc003e,0x28e80289}},	//   _detanzao, _kauppiaa, _bamanony, _amagawid, 
   {{0x7e960226,0x6a150194,0xdd0d031c,0x830800b0}},	//   _amamukon, _departie, _impresor, _daabaco_, 
   {{0x7b0c019b,0x7c0e02a9,0xe28902cb,0x5b99012b}},	//   _губна_, _albumą_, _pozadini_, _पेरुमाल_, 
   {{0xb3790082,0x2edf0065,0x1e36005c,0x49f00258}},	//   _matarsa_, _reisefüh, _amazimwe_, _njoggene, 
   {{0x0c65017c,0xd25801e8,0x00000000,0x00000000}},	//   _brottet_, _maglaski_, --, --, 
   {{0xd38001bb,0x89fd003b,0x825a0065,0x2e4e01fe}},	//   _derrew_, _angawent, _seele_, _kilakila, 
   {{0x79e303bf,0xdb180291,0x00000000,0x00000000}},	// [ef30] _торасаҡ_, _بوركينا_, --, --, 
   {{0x12240062,0xdda500ce,0xf85102b6,0x18960187}},	//   _dicionár, _absolima, _терезесі, _функциит, 
   {{0xc20000c3,0x3c9d0074,0x1c6d0138,0x8201075f}},	//   _annis_, _последов, _sonrada_, _lovio_, 
   {{0xa70b0014,0x7b8c00dc,0x06320396,0x1ea100ed}},	//   _ሃይማኖታውን_, _auxillar, _opinjoni, _florante_, 
   {{0x6585053f,0xa2010173,0x80e00156,0xd59c0331}},	//   _lintinak, _novio_, _מעכאַניז, _endurtik, 
   {{0x02900430,0xfbae0076,0x1c3f040f,0x195b00d1}},	//   _konana_, _таблички_, _адамса_, _খৰতকীয়া_, 
   {{0x6201026b,0xc3a30305,0xfe070143,0x5cf70012}},	//   _movil_, _drepne_, _олицетво, _धारकेँ_, 
   {{0xc229041a,0xec23014e,0x39d8002e,0xd5330326}},	//   _анонси_, _šesnaest, _puštaju_, _chenyeny, 
   {{0xaa350145,0xedbf029f,0x8a840100,0x182801db}},	//   _sutikimą_, _moderné_, _jednosob, _عاشىقتىع, 
   {{0xd2c60022,0xb20003f7,0x700700e6,0xd2910020}},	//   _boulele_, _annir_, _本帖最近评分记录_, _tofafa_, 
   {{0xb79202d7,0xfa290213,0x2a7f03be,0xc9cd00db}},	//   _contrasi, _прилегаю, _bararira_, _juveelit, 
   {{0x2b4d0361,0x428f02e4,0x1db40061,0x230a03f3}},	//   _парковки_, _flokhom_, _공무원부터_, _verbaal_, 
   {{0x6ec70156,0x1495016f,0xd20101df,0x00000000}},	//   _געהרגעטע_, _старожил, _rovin_, --, 
   {{0x026d01fe,0x5c25018c,0x00000000,0x00000000}},	//   _tabogo_, _luisterb, --, --, 
   {{0xb37f01c5,0x0af20161,0x92820110,0x72570227}},	//   _dekadda_, _постах_, _likvidēj, _kuatkanl, 
   {{0x7e470315,0x0202011a,0x00000000,0x00000000}},	//   _ahlatiye_, _lipids_, --, --, 
   {{0xd2d202ee,0x4c0a005c,0xa92c0041,0xa9600024}},	// [ef40] _illegali_, _agapira_, _ҵәҵәабжь, _মনোভাৱ_, 
   {{0x273f0361,0x847400d9,0x00000000,0x00000000}},	//   _гiалина_, _ongelmak, --, --, 
   {{0xe2fc0475,0xfb6401d9,0x920d0153,0xb8790311}},	//   _google_, _gewessen_, _のつけたタグ_, _ዘመናዊን_, 
   {{0xb6c2026f,0x1223014a,0xd9db01a0,0x8fc6019b}},	//   _بەگزات_, _ادارت_, _avanyisa_, _japonijo, 
   {{0x2292035b,0x326d0156,0x00000000,0x00000000}},	//   _strank_, _alvoku_, --, --, 
   {{0xb1d100e7,0x4e9c0461,0x12d40227,0x02480255}},	//   _aisesray_, _albigés_, _dimohon_, _kummi_, 
   {{0x577300b7,0x927f0585,0x930e00b0,0x92000243}},	//   _горилла_, _kaznu_, _tababar_, _innih_, 
   {{0x426d02bf,0x1d8c03a1,0xdf7602ec,0x42e50288}},	//   _tetrazol, _realizza, _چُھسنہٕ_, _tsiniya_, 
   {{0xda9300cd,0xa4520420,0x00000000,0x00000000}},	//   _ambiziun_, _склоп_, --, --, 
   {{0xf25a03a0,0x96960192,0xbc61012b,0x52c60029}},	//   _neela_, _selectli, _ofercie_, _ئێجگار_, 
   {{0xc637003a,0x02710013,0xc38000d7,0x7a0a0281}},	//   _сайлов_, _nomidagi_, _умартасы, _naapertu, 
   {{0xe2d402ee,0xc11500d9,0x58cb01ad,0xbd7e011f}},	//   _riforma_, _плоскост, _petropav, _júliope_, 
   {{0xb5d70244,0xbd8503a2,0x66e900e3,0xc57004df}},	//   _паметта_, _सटीकता_, _ingaġġ_, _dillerdä, 
   {{0xd80a02bb,0xec9e0109,0x4506051a,0xc17501aa}},	//   _उद्देश्_, _संस्कारक, _firmanny, _alonemay_, 
   {{0xe25a0129,0xfc9c0276,0xd34101a6,0x17ee02fb}},	//   _meela_, _усулларн, _hetekia_, _kavatong, 
   {{0xc25a0148,0x1347025e,0x12000243,0x57a10025}},	//   _leela_, _nemenda_, _annih_, _उत्तरपदा, 
   {{0xe2010148,0x63500046,0x1e4e00c7,0x15c80064}},	// [ef50] _novis_, _تۉشۅت_, _elmayula, _булгаган, 
   {{0x6226045f,0x725a02ec,0x829100b4,0x6b850376}},	//   _risken_, _geela_, _invata_, _barnafor, 
   {{0x13450337,0x9033025c,0xd3f401f1,0xdce907c6}},	//   _anadolu_, _bestehen, _postim_, _slastiča, 
   {{0x59f6040a,0xda1603d9,0x934302ec,0xd538027b}},	//   _uppåt_, _mikaroka_, _dareemo_, _bāṣpeṇa_, 
   {{0xf2ea0477,0x225a0067,0x837c008b,0x5b990092}},	//   _semisal_, _beela_, _gisante_, _regionsr, 
   {{0x620002e1,0x7c0502e4,0x015602d6,0x496200bc}},	//   _minic_, _fossili_, _ناقوله_, _binokule, 
   {{0x9f550256,0x89d800d3,0xeff902ac,0xa8db004a}},	//   _daugavas_, _freegame, _فرووحة_, _cirebezd, 
   {{0x5cb9005a,0x52b001c9,0xa39403f1,0x63240527}},	//   _ampasvad_, _उजबुक_, _sériu_, _pricati_, 
   {{0x625a00d7,0x72910055,0x905601ba,0x62910403}},	//   _feela_, _invasa_, _vennsenk_, _fofama_, 
   {{0xf343014e,0xb291027b,0x17df0311,0x3fd402f0}},	//   _похода_, _arcasi_, _ብኣውራጃ_, _ekuncono, 
   {{0x0e2a018d,0x22b200bd,0xc3410282,0x00000000}},	//   _እናወሰኸ_, _chidden_, _wetekia_, --, 
   {{0xc5dd0037,0xe290021c,0xc3730258,0x02480009}},	//   _ባለሐብቶች_, _konala_, _bedarre_, _kremo_, 
   {{0xaf77032e,0x93f803db,0x6dcf0255,0x369900be}},	//   _phicchan, _aphule_, _कन्यासँ_, _سولتەك_, 
   {{0xc20e014e,0xdb2002f0,0x9d3d03fc,0x8be70076}},	//   _засад_, _ayiphele, _dominert_, _vereador, 
   {{0xdac600df,0x683b0037,0x340b0654,0x474301cd}},	//   _nouvelle, _የተዋህዶ_, _menitipk, _темурлан, 
   {{0x1f120203,0xb373004e,0x3c8800af,0x4ef401cd}},	//   _arudimen, _bakante_, _создадут_, _шухрати_, 
   {{0x1b130163,0xb72802eb,0xc30002ec,0x0e78027b}},	// [ef60] _kapható_, _хбнгу_, _zenaawi_, _गर्भिणी_, 
   {{0xa2d801e9,0xac510129,0x72fd039f,0xa7b50061}},	//   _dumela_, _ghotara_, _toggle_, _금속노조와_, 
   {{0x62480097,0x9e460184,0xec61023a,0xb0ee009c}},	//   _aremo_, _bataniga, _chorobe_, _familall, 
   {{0x22010362,0x5290010b,0x2e54023c,0x120102d4}},	//   _bovis_, _bonala_, _ayibanda, _anvid_, 
   {{0xc3eb019c,0x225a02ec,0xf28200bc,0x33470102}},	//   _abetí_, _yeeli_, _انتخابیه_, _milenia_, 
   {{0xd3eb0163,0xf29001c5,0x329100d5,0xb25a0242}},	//   _alatti_, _annaga_, _fofaja_, _ceeli_, 
   {{0xe2d805c2,0xd6b802c1,0xf8c903a2,0xa42701cf}},	//   _humela_, _mutagati, _पीड़ितों_, _eutheniz, 
   {{0xc2da0133,0xd30f016b,0x336f021c,0x12d801b5}},	//   _asteer_, _karagar_, _nereaguj, _kumela_, 
   {{0x62010076,0xc21102a6,0xc2480321,0xa41e0139}},	//   _envie_, _montbéli, _gremo_, _apsaraso_, 
   {{0xbd4600ac,0xf37302c2,0xc4f300c7,0x47870008}},	//   _trepavic, _vakante_, _ауропага_, _ماشانى_, 
   {{0x81d10021,0x2b97027f,0xef4101db,0x927e012c}},	//   _aisepray_, _bizishur, _سەنقاز_, _muongo_, 
   {{0x931a0256,0xcd200326,0xe7b10233,0xe29100da}},	//   _vakarā_, _adhindwe_, _dicutabi, _bucati_, 
   {{0x3201015c,0xa72500be,0xf29100e3,0xc3800057}},	//   _dovir_, _جويىستىن_, _cucati_, _aktres_, 
   {{0x32000230,0xc8fb0028,0xc28c003c,0x5b6f020c}},	//   _anfin_, _wakaalad, _پليمر_, _sujudnya_, 
   {{0x9ae800ee,0x13bd01e9,0x2b89015e,0x89e6037c}},	//   _datorren_, _balwang_, _preinscr, _extractu, 
   {{0xa30d0006,0x4d320094,0x99e6017a,0x8f4306d9}},	//   _membuka_, _اۋدارىلد, _бартарӣ_, _radiofón, 
   {{0x859b00a1,0xa5e701a3,0xc26e0028,0x6bc7027e}},	// [ef70] _pungareh, _اُٿاري_, _harowo_, _каплан_, 
   {{0x23eb0240,0x20f4017d,0xa2640422,0xcb1c0486}},	//   _imatai_, _そういえば_, _doslej_, _stlačený_, 
   {{0xe292034d,0x0c31006e,0x4a0800dc,0x69be01d5}},	//   _meraih_, _fissié_, _sinasina_, _médialej, 
   {{0x020100f7,0x32900118,0xe2870418,0x4200006a}},	//   _povis_, _mukazi_, _giriniz_, _minia_, 
   {{0x9a9c0095,0x5c260166,0x930f001b,0x1d5a01a7}},	//   _dilisens, _zwingend_, _garagar_, _ковер_, 
   {{0xec1b0141,0xb26c0205,0x4366019a,0x00000000}},	//   _talablar, _ummon_, _laughin_, --, 
   {{0x8f98002b,0x2c5b0465,0xad240325,0x00000000}},	//   _সময়সূচি_, _vrstami_, _ekssentr, --, 
   {{0x536101bb,0x222602e7,0x6a1001f0,0x00000000}},	//   _айтмак_, _biskan_, _dirafale, --, 
   {{0x2af904ca,0x03eb028d,0x03a90107,0x37c9006c}},	//   _personat, _flatri_, _ancasing_, _баландиа, 
   {{0x920001fe,0xe2490003,0x25c8019e,0xd215025b}},	//   _binia_, _kwamen_, _значнай_, _skrivaða, 
   {{0xd3730052,0xa237030c,0xc2900338,0x2e0300be}},	//   _redakce_, _tatja_, _annada_, _futbolís, 
   {{0x2f570448,0x837b0278,0x71e601db,0x873103fc}},	//   _omfatten, _takaful_, _بۇعىنىڭ_, _celleveg, 
   {{0xc75805b0,0xc2bb0075,0xc285040d,0x0c5302cb}},	//   _मिष्ठान_, _dimmalæt, _lethabo_, _prstima_, 
   {{0x32c700d1,0x7cfd04ac,0x00000000,0x00000000}},	//   _সাহিত্যচ, _врача_, --, --, 
   {{0x10c701e0,0xb292048c,0xa5b800ff,0x42d70107}},	//   _بیانوی_, _seraph_, _מתיבתא_, _دکلره_, 
   {{0x625a067e,0x21390128,0x6c1301f9,0x9db80418}},	//   _afele_, _сирожидд, _alesikeb, _çanakkal, 
   {{0xa1df01fc,0x532103d5,0x52d901c9,0xb37d014e}},	// [ef80] _yengeleh_, _bowyr_, _ateena_, _cepanje_, 
   {{0x470a018d,0x82ef00ca,0xa0ba01c9,0xd0eb03fb}},	//   _ንመቓልስትኻ_, _familha_, _कानूनक_, _raspitaj_, 
   {{0x0d3a01ac,0x025a0414,0xff2002eb,0x3ad6006c}},	//   _إعتماد_, _isolie_, _sostenga, _asithint, 
   {{0x22bd036e,0x520001fc,0x425f013a,0xe226025b}},	//   _cordero_, _winih_, _gefuddel, _fiskin_, 
   {{0x49420211,0x16d300af,0xb9f400b6,0x3b650284}},	//   _sellaise, _корисні_, _malák_, _zapečené_, 
   {{0xa2ff0037,0x49d10462,0xafb10109,0x960600f5}},	//   _ደኢህዴን_, _andesart, _produktů, _birdenem_, 
   {{0xc378010b,0xa6ea017d,0x71e0012a,0x12ca033c}},	//   _anaanya_, _ケティング_, _होजरी_, _gwadu_, 
   {{0xeb0a0101,0x2ea5005b,0x4a1700ab,0x8fd6016a}},	//   _persoane, _bellydan, _pehapeha_, _biendomo, 
   {{0xa7d10019,0xea1700d6,0x825b0296,0xd67d0092}},	//   _الستان_, _adhartha_, _svalna_, _enkeltvi, 
   {{0xe379011e,0xccf8005e,0xd49701f9,0x00000000}},	//   _defannn_, _принсипт, _habakhuk, --, 
   {{0x220001b6,0x6efe004d,0x02ec05ce,0x12830334}},	//   _cinii_, _台灣鐵路局_, _endişe_, _chokala_, 
   {{0xaad000a2,0xcd30002e,0xc69103f5,0xf507005e}},	//   _ننڍپڻ_, _kućni_, _prática_, _ﺋﯩﺨﺘﯩﻴﺎﺭ, 
   {{0xb3de00ff,0x7cfc0037,0xe698006c,0x825e0304}},	//   _מופתים_, _አብረዋቸው_, _бартария, _perfilem, 
   {{0x08980060,0xcaf3000b,0x0a510093,0xf08c0311}},	//   _шашқа_, _elisapet, _удмуртск, _ዘይተኻእለ_, 
   {{0x15ea0159,0xbb21009a,0x59740127,0xd5ce0184}},	//   _пойма_, _agwayimb, _adunvane, _batajany, 
   {{0x4d330064,0xab020061,0x00d40008,0xb1090162}},	//   _obtingut_, _삼성경제연구소_, _تىزدىكتە, _тәҗрибис, 
   {{0x96270025,0x42480256,0x3ed8004d,0xd3e60296}},	// [ef90] _abbocchi, _summu_, _以實際商品顏色為, _mötte_, 
   {{0xc3780082,0x72d80545,0x825a0192,0xce4603e7}},	//   _munanan_, _kaien_, _deelt_, _kalamida, 
   {{0x62490172,0x17d00242,0x2e4e01c7,0xc386044d}},	//   _ntumi_, _bölüşdür, _bahanala, _jooral_, 
   {{0xf26c00f1,0xa25a01d9,0x19fd02a6,0xffc805b8}},	//   _annord_, _feelt_, _impalcat, _eskilsso, 
   {{0xfe4b01b5,0x72000478,0xa36a03d1,0xa3af0653}},	//   _mafanele_, _caliá_, _ērglis_, _fanstrán, 
   {{0x8f160378,0x1d37021a,0x6c37021a,0x32fa0239}},	//   _sandoynn, _amanamne_, _amanamnu_, _arahura_, 
   {{0x137a024b,0x62ea00c3,0xad1f024a,0x067b02a4}},	//   _embargo_, _blandit_, _fikoóde_, _integrum_, 
   {{0x92f0025b,0xaf6600d2,0x00000000,0x00000000}},	//   _peningi_, _sunangun, --, --, 
   {{0xd2910256,0xe5940009,0xe49602f0,0xceb90269}},	//   _novada_, _neustrez, _ingacodz, _delfines_, 
   {{0x72490663,0x52a70191,0x3f460137,0x1ba90189}},	//   _otumi_, _visby_, _ядмагхан_, _manzaras, 
   {{0x1f230212,0x62dc0374,0x1a1c0151,0x66430009}},	//   _fileplan, _namozni_, _blackcap_, _kovinski, 
   {{0x713f01a4,0xe718009b,0x0c6101f0,0xa20002ef}},	//   _kolengel, _задруула, _khorase_, _niniv_, 
   {{0x9249001f,0xe11a014e,0x427f0198,0xd2b903a0}},	//   _atumi_, _борби_, _varni_, _beleong_, 
   {{0xd2f100d7,0x71630013,0xe70a0159,0xbfbe02ea}},	//   _птаха_, _хотира_, _скачку_, _evoluzio, 
   {{0xe200005a,0x220001b9,0x335d02a2,0xf0650148}},	//   _biniv_, _difil_, _maagang_, _prostern, 
   {{0x69ff00a4,0x87d1014a,0x00000000,0x00000000}},	//   _desallot, _kiskorúa, --, --, 
   {{0xa3250041,0x03d00053,0xda9403cf,0x00000000}},	// [efa0] _телехәаҧ, _जीवनरावा, _sineması_, --, 
   {{0xa8fc01c5,0x2e0a018d,0xc2fd057c,0x02cb017e}},	//   _imaaraad, _ሓረጋትን_, _ligget_, _forlasi_, 
   {{0xf073010f,0x705201aa,0x2af1000c,0x12c40415}},	//   _zikajeho, _iscrimin, _амоделье, _niemals_, 
   {{0x826e02da,0x3f7300a7,0xf27f01c5,0xe13f01a4}},	//   _garoto_, _بەرسىن_, _qarni_, _bolengel, 
   {{0x4e540021,0x036f00e6,0x00000000,0x00000000}},	//   _arvardha, _rapporté_, --, --, 
   {{0x085a0094,0xb2e90338,0xd4150235,0xfe5e0350}},	//   _اۋديو_, _acciden_, _badhirāḥ_, _ያስችለዋል_, 
   {{0xdc6f02c2,0xa680029a,0xaa5a001c,0xc6b600e6}},	//   _waaraan_, _egzekiti, _itaguara_, _款袖珍小户型迷死, 
   {{0x93590037,0x50c70369,0x2afb0479,0xd8d30060}},	//   _ፓልምቶፕ_, _okolokol, _معجزانہ_, _كىلاسىنا_, 
   {{0xc13a01a7,0xe7370162,0x79e80417,0x635b0145}},	//   _mennessä_, _билишкә_, _slagoffe, _dingsta_, 
   {{0xae0a02a7,0xc09c004d,0x9b9c02b3,0x1973002c}},	//   _tradesma, _慶祝母親節_, _dilixenc, _anonimoe, 
   {{0x5f380462,0xd65b02d8,0x52fe065d,0x12ec003e}},	//   _ovisionp, _ऑफिसला_, _fargen_, _fositse_, 
   {{0xf226014a,0xa29002f6,0x3ebd02ec,0xa95b023c}},	//   _kiskun_, _binata_, _diinteen, _avunyiwe, 
   {{0x6df400d1,0x82d40127,0x7187010b,0x00000000}},	//   _ঘ্টনাৱলী, _fardet_, _mafaratl, --, 
   {{0xd36a0450,0xc2900007,0x037a00ba,0x3c770455}},	//   _reagear_, _bukani_, _موحیبه_, _mesurer_, 
   {{0xa9570085,0x6f7c00b4,0x6a0b059d,0x814000cd}},	//   _domoivit, _legislaţ, _menstimu, _artechel, 
   {{0xaa0e0252,0x37d0014e,0x928e032d,0x4e47027f}},	//   _farakane, _многи_, _boshodu_, _bidaciye_, 
   {{0xe290012c,0x63ea003f,0x99740439,0x82b305ba}},	// [efb0] _askari_, _chotem_, _emintile, _स्तुप_, 
   {{0x23f40418,0xea890148,0xf38b0437,0x75470397}},	//   _listem_, _nobiliss, _føres_, _авроосиё_, 
   {{0x027f0331,0x13a30075,0xa3560203,0xcec2011b}},	//   _farnu_, _elspa_, _leveler_, _nanzambe_, 
   {{0xe2d60261,0x5b290247,0x3e610558,0x49a70444}},	//   _informo_, _بزودی_, _elekọta_, _вашаев_, 
   {{0xb2b40197,0x17440177,0x2e9e0405,0x229200ef}},	//   _afiche_, _акредитт, _файли_, _محمدآصف_, 
   {{0x3ed6038a,0xb1f10135,0xefbf048c,0x7ad80035}},	//   _achichun, _basqıç_, _blighter_, _википочт, 
   {{0xe200043a,0xfb8b000a,0x7e610129,0x5439019b}},	//   _dinit_, _malittar, _ilekọta_, _напрыкан, 
   {{0x029003db,0x795c00dd,0xdb04012a,0x02e70064}},	//   _vukani_, _annomest, _depresja_, _berneda_, 
   {{0x16c702f6,0xc2b30446,0x4235007f,0xf2500145}},	//   _kapaligi, _brodsko_, _denmarc_, _вехай_, 
   {{0x73190046,0xa2c90037,0x600b004d,0x6cf103b7}},	//   _ايجان_, _የኮስትና_, _午餐執行秘書衛生_, _aretaker, 
   {{0x96d6002c,0x78ba0192,0x322a0105,0x63a20245}},	//   _desberdi, _동영상갤러리_, _प्रचारक_, _lympat_, 
   {{0x329000b3,0x737300b2,0x4c40013c,0x52ef01f6}},	//   _minara_, _bakaree_, _yetirilə, _skyfri_, 
   {{0x72ca00cd,0xd79203eb,0x00000000,0x00000000}},	//   _stada_, _pietersi, --, --, 
   {{0xdec404f2,0x896c0219,0x827e071f,0x12da016b}},	//   _nganluon, _angitsat, _lamnaq_, _garemu_, 
   {{0xbfa50019,0xc27f046b,0x62e904fc,0x61780383}},	//   _италияда, _barnu_, _jalisco_, _latarbel, 
   {{0x3e730139,0xd20100b4,0xf9c700c1,0xdcea00c8}},	//   _भदन्त_, _lovit_, _रिझोल्यू, _кафедраһ, 
   {{0xc7aa0354,0x25990187,0x10f40178,0xbda3014d}},	// [efc0] _абруйини, _награден, _antaḥśud, _schokola, 
   {{0x30840044,0x8f790119,0x33470257,0xa30d0307}},	//   _כרובית_, _apucaran, _haldnir_, _bembiza_, 
   {{0x9c3a0029,0xa2d801f1,0xf2490134,0x9738040f}},	//   _گیروگرفت, _ermela_, _atumo_, _гігабайт_, 
   {{0xa29004c7,0x79ce0269,0xfc6d0264,0xf0ed047b}},	//   _dinara_, _rendimie, _pedraza_, _eirindal, 
   {{0x223d02d1,0xc94201fb,0x9eba0044,0xbf4000cb}},	//   _huamhoj_, _attraher_, _overcome_, _amagalan, 
   {{0x72480527,0x0c0901a6,0xf33600db,0xea21069f}},	//   _prema_, _paipera_, _इन्दरपुर_, _šampón_, 
   {{0xf2fe0203,0x045901ef,0x32f30005,0x4994046b}},	//   _musicos_, _problemų_, _baghetg_, _benywaid, 
   {{0x426d024f,0x0acd0162,0xcd1501aa,0x00000000}},	//   _cabolo_, _дачисиға_, _edirectr, --, 
   {{0xf65c017d,0xfb2c0321,0xbb180039,0x964804ad}},	//   _デジタルカメラ_, _izračun_, _полярная_, _didirisw, 
   {{0x2d4a032c,0x13f90018,0x829000ca,0x00000000}},	//   _allanilu_, _tubuda_, _binara_, --, 
   {{0xf3a20233,0xddbe00bb,0x3ba500ba,0x6a490020}},	//   _saipem_, _ڈایزئننگ_, _رمێژوودا_, _koleniga_, 
   {{0xcc6e018e,0x922b011b,0x1a8e0207,0xf26d042d}},	//   _fairman_, _esambue_, _mwanajes, _habobo_, 
   {{0x4200036d,0xbb1e0099,0x0c1e0326,0x121d02eb}},	//   _ainim_, _angangob, _angangor, _хабул_, 
   {{0x6b8b01f1,0x7bf400d1,0x229101b5,0x00000000}},	//   _kalimtar, _জীয়াৰী_, _lovaka_, --, 
   {{0x6eba00b3,0x03000016,0x6290016b,0xbc430013}},	//   _бойлы_, _ראטעווען_, _mukami_, _ихтилофг, 
   {{0x2a2701b2,0x8dbf0282,0x4291035e,0xde4e02f6}},	//   _disconce, _atuakore_, _novaka_, _kapakana, 
   {{0x5377016d,0xe29002ec,0xa20002db,0x725b0318}},	// [efd0] _شىزاڭ_, _gabadhii_, _winim_, _ovalaa_, 
   {{0x57d9030e,0xebb50052,0xa3e60343,0xa093002b}},	//   _طبقاتي_, _स्त्रीरो, _ipadayeg_, _ফররুখ_, 
   {{0x2fc80192,0xb15b0035,0x630e016b,0x762c0761}},	//   _이전페이지_, _birdelär_, _habakar_, _elimisiw, 
   {{0xea1301e9,0x8ebf029b,0xf2da0316,0x8c770212}},	//   _balatlhe, _dénkaane, _gareku_, _desuper_, 
   {{0x116b0531,0x7fb700ac,0xb95e015b,0x66d20255}},	//   _misshmoo, _udaljeno, _fainense, _दायिक_, 
   {{0x42010388,0x7111005e,0x96970003,0xf3010010}},	//   _invio_, _ﻳﺎﺷﻼﺭ_, _mededeli, _bambeke_, 
   {{0x0b430162,0x06880023,0xb26d024a,0xc20101b2}},	//   _бошатти_, _картридж, _dabobo_, _anvio_, 
   {{0x5953022b,0x0fbe023c,0x78de0291,0x00000000}},	//   _avsláttr, _elingeso, _وكبيرة_, --, 
   {{0xf2000179,0xadc101d9,0x0250014f,0xdc930132}},	//   _ninik_, _chrissie_, _седам_, _کالام_, 
   {{0x624700bf,0x81ce0038,0x4a890498,0x630d0487}},	//   _личном_, _üzidarä_, _agregáto, _ligands_, 
   {{0x0201071d,0xc07c0291,0x00000000,0x00000000}},	//   _envio_, _للشقق_, --, --, 
   {{0x125b01c0,0xf27e02c2,0x53a40299,0x5249025f}},	//   _ajalin_, _erongo_, _تىمساقنى, _ndambo_, 
   {{0x46f40092,0x90df0040,0x32db0156,0x9bdf0011}},	//   _ビスセンタ_, _המכסה_, _פליקט_, _asembayo_, 
   {{0x7a160040,0x42010059,0xcff7004b,0x338a0045}},	//   _disclose, _affini_, _ашырылыу, _храмовим, 
   {{0x9bd700ec,0x67430126,0x9eb80065,0xb27f0139}},	//   _фальклор, _курсі_, _autobahn, _bhanuh_, 
   {{0x72000058,0x58d70277,0x1fa402e4,0xac1d003f}},	//   _finik_, _verfremd, _kreditur_, _masuvnis, 
   {{0x896a02ac,0xd91400bb,0x7bf600ba,0xd24800c4}},	// [efe0] _beannait, _کھودنے_, _ورۆپا_, _aseme_, 
   {{0x4b7d0292,0xec320011,0xe21c01ac,0xcfb8018d}},	//   _ankrataa_, _ababulir, _cathal_, _ንምክፍፋል_, 
   {{0x43be0427,0x493200bb,0x460f0205,0x8e2b0113}},	//   _talvani_, _فانٹس_, _barobari, _faightea, 
   {{0x6a4d004f,0xc2000058,0xb04402d5,0x19e401ac}},	//   _baadoola_, _kinik_, _जंगलवन_, _منتظمة_, 
   {{0x024800ee,0xbf900553,0x72900028,0x92f000b4}},	//   _eremu_, _primátor, _innaga_, _bunicii_, 
   {{0x4df80046,0x520003d9,0xc9f30234,0x13aa003e}},	//   _تەبۉۉ_, _dinik_, _olyipada_, _lepatong_, 
   {{0x10d301fc,0x9345028c,0xbd830050,0xb0350037}},	//   _ayradduk_, _nendest_, _ngalaksa, _tenteran, 
   {{0x92e70217,0x02c80060,0x43510350,0x00000000}},	//   _furniva_, _креативт, _diperap_, --, 
   {{0x9fbe0177,0x00000000,0x00000000,0x00000000}},	//   _рыцҵареи_, --, --, --, 
   {{0x04ad0156,0x8200005a,0x84de0153,0xa95f0090}},	//   _אַננאָונ, _jinih_, _携帯電話へ送る_, _asingare, 
   {{0x99eb042f,0xc30202d8,0xa9c202eb,0xa5930357}},	//   _amigaitt, _kamarku_, _хорсох_, _maduatak, 
   {{0x7294017f,0x33ea02a4,0x846c006e,0x8959016d}},	//   _islandim, _multos_, _beddikoo_, _һималаяд, 
   {{0xe9fb0132,0xd385015f,0x8a93014e,0x00000000}},	//   _tehetség, _ardrethi_, _водећих_, --, 
   {{0x39d302d3,0xe681044c,0x78d3017f,0x45450170}},	//   _телекине, _avleveri, _illutaag, _kunkatch, 
   {{0x9c080268,0x62ca0663,0x1ea7045a,0x13470139}},	//   _uestions, _ntade_, _overleve_, _aslesha_, 
   {{0x520002f6,0xc5ea03cf,0x334c005d,0xba7d01a6}},	//   _tinik_, _yasaktır_, _charãrã_, _hikawera_, 
   {{0x5b4d01ce,0xeef60012,0x659c0040,0xb2460109}},	// [eff0] _مغایرت_, _चिरकु_, _ולדעתי_, _काउली_, 
   {{0xe87e0073,0x42c2038a,0x369a00af,0x00000000}},	//   _hospites_, _chillun_, _чагарник, --, 
   {{0xa07401c2,0x92080060,0x037800fc,0x630801af}},	//   _redaccio, _تورلەتە_, _hiyajha_, _babarap_, 
   {{0x308d0152,0xbb190082,0xbb8b010e,0x03790316}},	//   _литвинов_, _bukatars, _baliktar, _fatansa_, 
   {{0x09f70252,0xf3ac00df,0x00000000,0x00000000}},	//   _thangana_, _coupes_, --, --, 
   {{0x9d8904ad,0x22450093,0x15440156,0x929204e5}},	//   _boromiwa, _эксперта, _אָהיאָ_, _alwawo_, 
   {{0xd25a0312,0xd2000020,0x3f200210,0x06730361}},	//   _afell_, _ninii_, _handikun, _доьлла_, 
   {{0xc16900c6,0x020200aa,0x932004e5,0x00000000}},	//   _методи_, _typist_, _bigya_, --, 
   {{0x52cb0312,0x92ca001f,0x40fe0092,0x1af00116}},	//   _sveden_, _atade_, _コメントする_, _luvelies, 
   {{0xea240205,0xc3410020,0x7bfa03b4,0x5201022b}},	//   _قولتیغید, _fineaso_, _asafarir, _givid_, 
   {{0x637b01cf,0x4d9402ee,0xf72a0161,0x00000000}},	//   _hasardo_, _akwedott_, _пробовал, --, 
   {{0x2858039e,0x00000000,0x00000000,0x00000000}},	//   _omfattar_, --, --, --, 
   {{0x730800a4,0x80f9014d,0xc37f0039,0xd7880187}},	//   _асмандан_, _verhandl, _alkatea_, _византис, 
   {{0x82d8040b,0xfd0b02b2,0x6dc700a3,0xcbe1039e}},	//   _rumela_, _pinåsløp, _tilhenga, _akselber, 
   {{0x43f801b6,0xbf2f00db,0x50a300ff,0x82910294}},	//   _amount_, _lasteaia, _שאַצן_, _arcapi_, 
   {{0xbe350222,0x41270105,0x22be0510,0x00000000}},	//   _quelques_, _अग्निकां, _тiаьххьа, --, 
  
   {{0x8aa60377,0xf290020b,0x33a201d2,0x22d40233}},	// [f000] _картофь_, _dinaga_, _caipim_, _tardat_, 
   {{0x3a4f00a9,0x2d820369,0x3af0020f,0xdff80061}},	//   _ekleziya_, _baalazep, _asesikwe, _임플란트의_, 
   {{0x927f0082,0xd20b01cd,0xc8040052,0xe4a5003c}},	//   _karni_, _спитамен_, _समुद्रपा, _اندازند_, 
   {{0xa378018f,0x02910082,0xf9f00188,0x5d6f01a6}},	//   _biyajha_, _dogaro_, _adonsela_, _maimoata, 
   {{0x224800ed,0xeb8a00b7,0xb224011b,0x134a0397}},	//   _atiman_, _хабарчыл, _ndoki_, _awafane_, 
   {{0x306c0078,0x22b100f2,0x00000000,0x00000000}},	//   _слоганом_, _sandija_, --, --, 
   {{0x52b104fc,0x12490233,0x32910585,0xd2ca022a}},	//   _mostrará_, _adamko_, _jovana_, _stids_, 
   {{0x58d90208,0x42480119,0x23fa002a,0xc1430061}},	//   _حزابی_, _krems_, _zuruwa_, _대법원장은_, 
   {{0xd6d90497,0x8866020f,0xd0cf069b,0x10180350}},	//   _stepfath, _سکټور_, _menormal, _አሳድሯል_, 
   {{0x4ce90385,0xf2cf01ff,0x42b10046,0xd248013a}},	//   _vlasničk, _premeny_, _mostrarà_, _drems_, 
   {{0xf3f80304,0x7ae000d1,0xec6f015a,0x46b5035e}},	//   _lanun_, _পন্থাৰ_, _haaraan_, _vidakovi, 
   {{0x12480240,0x1c6f02ec,0xa2000049,0x71e9033c}},	//   _isema_, _kaaraan_, _nanivi_, _glantwym, 
   {{0x01680193,0xac6004ae,0x5e840193,0x81bf0163}},	//   _प्राथमिक_, _avgusta_, _तीर्थक्ष, _استخارہ_, 
   {{0x7e56011d,0xf31e02ac,0xc24602c0,0x00000000}},	//   _мартын_, _nascann_, _ментални_, --, 
   {{0x675c0047,0x0987009a,0x91cb0418,0xd2a602ba}},	//   _habillag, _bazinika_, _kusursuz_, _amajaji_, 
   {{0x92fd0226,0x986402d3,0xfd67009a,0xb3150421}},	//   _amagwa_, _атракциј, _مجموعې_, _bischof_, 
   {{0xf3ea01f7,0x1c640453,0x83940064,0x82f402ac}},	// [f010] _cultes_, _noktiju_, _falset_, _leantar_, 
   {{0x1c290057,0xaa1001f0,0x58fd0226,0x87e5027b}},	//   _ያገኙትን_, _bosabole, _angayend, _संचरन्_, 
   {{0x4bf90262,0x47eb0151,0x00000000,0x00000000}},	//   _bagdadyň_, _askaidag, --, --, 
   {{0x8f9000e6,0xc8dd0139,0x086c0373,0xac6004b2}},	//   _上一篇新闻_, _atidāruṇ, _admirind, _gamutin_, 
   {{0x9248019f,0xc7d10092,0xc3960211,0x12740144}},	//   _asema_, _お気に入り登録_, _kutsuu_, _سويلم_, 
   {{0x0ad200df,0xac6f05b3,0xe2900107,0x5a0701b5}},	//   _gratuite, _daaraan_, _sinaga_, _hananiya_, 
   {{0xc7ec02c3,0xb1fa02e3,0xf7ad00f5,0x4db900d9}},	//   _považujú_, _quantrim, _норвегле, _varaosat_, 
   {{0xff5c020e,0x740b012a,0x112c00be,0x00000000}},	//   _baballan, _tapicerk, _رتىندوس_, --, 
   {{0x9b9101c1,0x93a30524,0x971e0274,0xd7d70053}},	//   _myungsoo_, _gospe_, _ákváðu_, _जीवनसत्व_, 
   {{0xb27e038d,0x90370366,0xfc0003f3,0xe398008d}},	//   _lannen_, _гриппа_, _kortings, _зарарлар, 
   {{0xacb50443,0x9290003d,0x13f8008a,0xf33b0059}},	//   _bergurau_, _ainada_, _manuo_, _trovarci_, 
   {{0x7d1a0220,0x137c0251,0x2f44018d,0xbf29045e}},	//   _прилаган, _cawaale_, _ዝመላለስ_, _нервна_, 
   {{0xa3f804b2,0x19f9025c,0xa6dd0156,0x00000000}},	//   _ganun_, _umfangre, _מסטמא_, --, 
   {{0x72d80079,0x83550065,0x00000000,0x00000000}},	//   _iziet_, _offener_, --, --, 
   {{0x6b6f01c1,0x7b910053,0x33f40302,0x7200008a}},	//   _tubuhnya_, _kyungsoo_, _мухсин_, _maniti_, 
   {{0xd2930003,0x62010371,0x61ff015d,0x006c02ac}},	//   _가능합니다_, _invia_, _sprawach_, _جيبوتي_, 
   {{0x76ba0184,0xdf99006d,0x50cf0311,0x025a0116}},	// [f020] _bayakuri, _ахапіў_, _ዲቪዝዮን_, _meels_, 
   {{0x6c0f02a9,0x99d1018b,0xc9c9004b,0x599c01d9}},	//   _forumą_, _indepart, _diposita_, _erakomme, 
   {{0xe69602c2,0xf39405c9,0xf30f01bb,0xb2b90305}},	//   _betekeni, _nengvang_, _barabar_, _juledag_, 
   {{0x1d3d02c3,0x825a01ab,0x251c03e6,0xa25b007f}},	//   _exkluzív, _teelt_, _aktuello_, _ceulo_, 
   {{0x3c7f02b5,0x0d800255,0x596f021f,0x13220053}},	//   _gorungz_, _पूर्णावत, _afrikoot, _सज्जनपणा, 
   {{0x5d0801fb,0x8bfb0322,0x00000000,0x00000000}},	//   _laborate_, _aragerer, --, --, 
   {{0x786d03f8,0x229e000c,0x0259018d,0xf1ba01a3}},	//   _babilond, _бираҟ_, _ተዓዛባይ_, _سيٽلائيٽ_, 
   {{0x087102cf,0x4d0d013c,0x994d0073,0xe3f8004f}},	//   _оставаш_, _qarabağl, _scholare, _manul_, 
   {{0x4ed401a3,0x82ef00c5,0x725a0481,0xd2da00f2}},	//   _اندازا_, _高级工程师_, _deels_, _ebreju_, 
   {{0x12000165,0xe25b02bf,0x212e01be,0x61d10403}},	//   _ganiti_, _atalwa_, _betonové_, _fiderany_, 
   {{0x03f80077,0x8cf5007b,0x2c5a00f2,0x3c5c00e6}},	//   _amoure_, _bandaged_, _meiteni_, _以市场为导向_, 
   {{0x7145032b,0xa2da00d6,0x00000000,0x00000000}},	//   _буянқи_, _scread_, --, --, 
   {{0x22010064,0x841303de,0x62ca0320,0x2e43036a}},	//   _envia_, _kungekho_, _avelani_, _delaniya, 
   {{0x03fa0069,0x4202033a,0x23f1032d,0xd90d03a4}},	//   _kuruta_, _akwinu_, _boyelang_, _eigarunu, 
   {{0x394200a4,0x9da2006c,0x09a9033f,0xb9d60026}},	//   _ابىرويدو, _abanamap, _hīkisia_, _berekene, 
   {{0x5ec70188,0xe20002ee,0x00000000,0x00000000}},	//   _карбало_, _infiq_, --, --, 
   {{0x5e3602d9,0x82d80016,0xe4fb00b9,0x32970357}},	// [f030] _atuatuva, _armena_, _ग्वाही_, _setareki_, 
   {{0x4211000c,0xa2c6030d,0xa3fa00e6,0xe2ea0203}},	//   _жәымыз_, _kubmetr_, _appuie_, _reuniat_, 
   {{0x22ee0115,0xc9e60037,0x92e10012,0x739102d3}},	//   _sharifah_, _ለመዝጋት_, _तीकीउ_, _стружани_, 
   {{0x420102cb,0x4bcd005e,0xc22403b6,0x225a010f}},	//   _radiš_, _ﺋﯚﻣﻪﺭ_, _idoko_, _afela_, 
   {{0xa3450305,0x825a04c3,0xb4650204,0x8f0f03b7}},	//   _sendast_, _kemly_, _младший_, _austenwa, 
   {{0x538b0363,0x6a5c0291,0x3ef90374,0x95740397}},	//   _røros_, _وتفتيح_, _медални_, _азиме_, 
   {{0xb3680060,0xd4760172,0x12fe0372,0x5176020e}},	//   _органдар, _pesemenk, _bargen_, _театраль_, 
   {{0x425a06e5,0x625a00c8,0x39140061,0x850c0143}},	//   _manlju_, _efela_, _도와드립니다_, _проявите_, 
   {{0x42d4046d,0xf3f80212,0x755f0113,0x2290016b}},	//   _bardet_, _manum_, _seimineá, _iskar_, 
   {{0x738e02d8,0xdbfc014d,0x40ce0087,0x92c401bc}},	//   _propinsi_, _friedric, _fihliwil, _fermist_, 
   {{0xe34001bd,0x624801d7,0xc3440222,0xc5a30096}},	//   _اركەز_, _gremi_, _ouverte_, _abasemuz, 
   {{0xb7730025,0x1200033c,0x139600e0,0x205402e2}},	//   _पुरस्तात, _sifil_, _jetske_, _abusiven, 
   {{0xfff303ba,0x024800b5,0x4a890092,0xde0d00bc}},	//   _itekekeo, _aremi_, _biridian_, _دیکته_, 
   {{0xc840005e,0x92cc008e,0xf1e40462,0x9a4900c7}},	//   _ﺳﯜﭘﯩﺘﯩﺪﻩ_, _farleen_, _arcolemm, _зинданна, 
   {{0xe2dc0312,0x0eae0113,0xc26e01a6,0x62a6038e}},	//   _eskopti_, _heilimin, _maroro_, _sembab_, 
   {{0xf29102bd,0x33cf02cb,0xda9a00de,0xe6c50311}},	//   _theatr_, _glavnu_, _ayinamis, _ዝጠራጠር_, 
   {{0x42010198,0xceea00ef,0xa869018d,0x720001b0}},	// [f040] _izbira_, _نسکور_, _እግዜኣብሄር_, _ninis_, 
   {{0xeda601e0,0x92ca0345,0x02fc026b,0x339401ca}},	//   _رایانگه_, _ruido_, _imigra_, _ghosmo_, 
   {{0xbb0a0189,0xa0b70188,0x66ba01d4,0x00000000}},	//   _dershane, _тагйир_, _attanasi, --, 
   {{0x225a01af,0x1827048a,0xcd0a0178,0xf616026c}},	//   _edilen_, _ساحارا_, _agrataś_, _sollemni, 
   {{0xf2ca0249,0x913b03dc,0xa26e030f,0x125b0102}},	//   _stadi_, _kunngerð_, _karoro_, _teule_, 
   {{0x620000f1,0xa25b00bc,0x33050354,0xc37f0393}},	//   _minis_, _ndulu_, _دوراش_, _kolača_, 
   {{0x92000027,0xd7670145,0x89f700fb,0x00000000}},	//   _lifik_, _казалі_, _namaphet, --, 
   {{0xf200012d,0x96c60044,0x5c7e03e0,0xe5c60258}},	//   _finis_, _strategi, _missten_, _strategy, 
   {{0x02fd02f6,0x07e401af,0xddca0291,0x00000000}},	//   _inggit_, _barandyg, _لكروت_, --, 
   {{0xad2c0169,0xa6300060,0x3b26025b,0xb8c600d8}},	//   _জাপানের_, _تورلاردى, _fotbolts, _arrevend, 
   {{0x220900b2,0xa3a900c4,0x3a9400ec,0xc34b01df}},	//   _afrikaaf_, _مواخذي_, _хутчэй_, _allegit_, 
   {{0x27260178,0x78870013,0x72d803d9,0x93d0012c}},	//   _antraguṇ, _қарайди_, _nomeko_, _kuathiri_, 
   {{0x386b0088,0x32000095,0x6d6901da,0x79d50040}},	//   _aconsegu, _jinis_, _viktimës_, _אורלב_, 
   {{0xf24800a7,0xd200043a,0x6a4f053f,0x4ae404fe}},	//   _premi_, _dinis_, _homeruxa_, _ascultat, 
   {{0xf9c602b2,0x5f23028b,0xfd590010,0x00000000}},	//   _складанн, _хеидкыла, _etibhamu_, --, 
   {{0x025b00c5,0xd80e00d1,0xb5a10255,0xc151021c}},	//   _seule_, _অভিৰুচি_, _तांते_, _plastovo, 
   {{0xc7f40068,0x76320403,0x524903fd,0x83a30211}},	// [f050] _islaamig, _anontani, _atumu_, _jospa_, 
   {{0xb2fe019e,0x02000034,0x20a7004d,0x32480428}},	//   _rusijos_, _hinir_, _網上意見表格_, _tremi_, 
   {{0xf3f902af,0x6f690066,0xc3670257,0xa290037f}},	//   _huzura_, _онлайнд_, _tengdum_, _minaya_, 
   {{0xe2d9049b,0x027f0359,0xcd6b001a,0xc2e90347}},	//   _imbere_, _harns_, _filmeket_, _vennoot_, 
   {{0x124801b8,0x520000f6,0x7464001c,0xb3de0405}},	//   _eseme_, _minir_, _kwadrado_, _болонськ, 
   {{0x99fc04cf,0xb29104f0,0x12000564,0x764400ff}},	//   _eminyaka_, _mogato_, _difik_, _האדסאן_, 
   {{0x2e640287,0x00000000,0x00000000,0x00000000}},	//   _आयोगले_, --, --, --, 
   {{0x046100c5,0x37640156,0x00000000,0x00000000}},	//   _下载点点通_, _demisiig, --, --, 
   {{0xe201024f,0x0f2502a4,0x3f240161,0xf42b0162}},	//   _sivia_, _qualiter_, _офицеров_, _تەزكىرىچ, 
   {{0x42010516,0x99f70011,0x6a3a03fe,0xce490244}},	//   _livin_, _akanaana_, _самарски, _indagine_, 
   {{0xb17d02f0,0xc08c0060,0xef3a02f6,0x9bc700c7}},	//   _enkantol, _хабардар_, _pamumuha, _шатлана_, 
   {{0x025b02cf,0x12b3014c,0x1a0a02bf,0xf29201d8}},	//   _avalia_, _ubudala_, _abhalela_, _musari_, 
   {{0x3ddd0044,0xb30e01ef,0xa27f0502,0x229604ae}},	//   _אביטל_, _vasaros_, _barns_, _становим, 
   {{0x3a880147,0xf17d01f9,0xb7cc0040,0xd2000034}},	//   _سوولۇق_, _inkantol, _בהרחבה_, _einir_, 
   {{0xd2fd025c,0x70990479,0x28fe05d3,0xa280006c}},	//   _kopiert_, _közreműk, _औत्सुक्य, _abasokil, 
   {{0x57a60337,0x2aeb0057,0x22cb0313,0xea81000c}},	//   _topluluk_, _dihoskan_, _linohma_, _jarovias, 
   {{0xfcb900b0,0xd63701ab,0xd45e0156,0x87900032}},	// [f060] _daraasad_, _निखहरे_, _בליִענדי, _partahvi, 
   {{0xb2fc033a,0xd2ef0282,0xf94a0399,0x68b60061}},	//   _ispirtu_, _iuniana_, _kolomiue, _국내에서는_, 
   {{0xa9f3019d,0xa96d0354,0x0d1401b2,0xcc9302b6}},	//   _akonzeka_, _оргинида_, _adjutanc, _حالال_, 
   {{0x92000249,0xbcd100e6,0x00000000,0x00000000}},	//   _pinis_, _买卖破租赁_, --, --, 
   {{0xf82905f8,0x22010249,0x99fa01b5,0x6290044a}},	//   _сервер_, _anviu_, _burisana_, _annana_, 
   {{0x23f8012c,0x1e0400e6,0x020102d0,0x00000000}},	//   _hujuma_, _全球华人房地产门, _hivin_, --, 
   {{0xab9e00e4,0x7e4e02be,0xa46c02ee,0x67dc0333}},	//   _गुरुवार_, _mahahala, _deidrazz, _abbaddav, 
   {{0x5201029a,0x0bb9002b,0x35c00420,0x00000000}},	//   _envit_, _কেন্দ্রব, _sapatilh, --, 
   {{0xa23f03d4,0xeae501b7,0xfaea03a4,0x00000000}},	//   _filmovi_, _अन्यैः_, _jallurin_, --, 
   {{0x33780227,0xb200016e,0x1c7e006c,0x6b190230}},	//   _gunakan_, _sinir_, _akasiyo_, _zinasyon_, 
   {{0x920100e9,0xc86f0845,0xbd2e018d,0xd2fe00c7}},	//   _invit_, _abanyabu, _መናፍስትን_, _bargan_, 
   {{0xfa8a0016,0xf2010075,0x62ef0369,0x99fc00a7}},	//   _pozicion_, _givin_, _buniana_, _ايىتقان_, 
   {{0xe200047b,0x483402ec,0x12780348,0xa8430115}},	//   _vinir_, _maamulad, _akunta_, _hartamas_, 
   {{0x9d8f00cd,0xfd8f0846,0x5a71019f,0x01b904d7}},	//   _prolunga, _tuglinga, _kuzaliwa_, _helmingi_, 
   {{0x7f64003f,0x4e490462,0x99b2028e,0xe8b2028e}},	//   _biratlhn, _ommandca, _prodakse, _prodaksu, 
   {{0x047702af,0x445d0847,0xa0e5002b,0x826c01fc}},	//   _abitohoj, _blodtryk, _শ্যামপুর_, _iskool_, 
   {{0x6a2500e2,0xe2a601b0,0x12f60009,0x73420497}},	// [f070] _drachtst, _nembus_, _izbranih_, _atteeyn_, 
   {{0xe27e0054,0x127e021a,0xb23403db,0x82f60261}},	//   _sannan_, _aannanii_, _abamele_, _virinoj_, 
   {{0x434705a5,0x34260276,0xaf4001d4,0xb27e02f3}},	//   _balenia_, _پارلاق_, _cristofa, _pannan_, 
   {{0x93410410,0x52540020,0xb38f0025,0xcf410143}},	//   _letelwa_, _saveatam, _darpaḥ_, _адвокатъ, 
   {{0xa25b023b,0x33f802d9,0xe0270251,0x00000000}},	//   _beula_, _manua_, _goldaloo, --, 
   {{0x8e540241,0xdef70178,0xf1460229,0xb3600153}},	//   _akaakome_, _anyapadā, _suverenl, _お支払方法_, 
   {{0x4f5c0278,0x1664012d,0xaac201be,0x1ea2003d}},	//   _inggeris_, _kwiktaim_, _राजपथ_, _abalimen, 
   {{0x12b604e8,0x3e8e0220,0xb686027b,0x65b6026c}},	//   _cercar_, _китайски_, _गाथां_, _quanquam_, 
   {{0xe9420288,0x02900028,0xbfc6010b,0xf25b00dc}},	//   _einlasse, _arkay_, _bomotlho, _feula_, 
   {{0x7217006c,0xe9840251,0x92f7004c,0x43fa038b}},	//   _ngokuvam, _منزلِس_, _akagaali_, _seruan_, 
   {{0xdf7b02ac,0xf2ca0244,0x3a8a0180,0x04850025}},	//   _مفاتيح_, _guida_, _anbision_, _लिखामः_, 
   {{0x0b6403ba,0x02780118,0x82f0033f,0x9843018b}},	//   _beweisen_, _akunsa_, _puniani_, _implantu, 
   {{0xa20101df,0x73dc03a0,0xf2180022,0x5a5a0126}},	//   _rivin_, _beiwa_, _ибрай_, _канадськ, 
   {{0x5958015f,0x64520126,0xa2ca015e,0x33cb011a}},	//   _atmosffe, _актор_, _buida_, _ולחפש_, 
   {{0x03e0015e,0xb2f400a0,0x22ca05d5,0xc1480203}},	//   _америкаг, _amannar_, _juida_, _paperall, 
   {{0x69cc03b0,0xd68a0311,0xfdb100c4,0x42240296}},	//   _yrkessit, _ጉጅልኡን_, _kisarawe_, _kloka_, 
   {{0x4e660013,0xe29003b3,0x2c7000ee,0x725b0295}},	// [f080] _шахсий_, _gelate_, _dekretu_, _feuli_, 
   {{0xfb8a010f,0xfa660148,0x829000a0,0x706e0187}},	//   _водор_, _薩克斯風表演_, _aukaki_, _комплети, 
   {{0xac9301e0,0x1e000382,0x9b6c00dc,0x83f4006e}},	//   _ئالان_, _banerisa, _amutaina_, _bastil_, 
   {{0xabea0135,0x93f802ff,0xd9f900ae,0x6278028a}},	//   _тәгълима, _elouwe_, _kuzizana_, _chunya_, 
   {{0x7a0b00a6,0xd0ec000a,0xf2910178,0xea880053}},	//   _bebadala_, _imailial, _divasa_, _rekondis, 
   {{0xb7e401b7,0x426d036f,0x5f8001b7,0x003e04e5}},	//   _विशरणे_, _zivotu_, _अलुक्_, _agatalin, 
   {{0x62450034,0x2ae7039e,0x8e3804a4,0x12000101}},	//   _númer_, _নলবাৰী_, _antargta, _fanii_, 
   {{0x4c1c054e,0x07d0025b,0x3dce004d,0x02fe03e6}},	//   _aallallu_, _flaggdag, _新華網北京_, _dowider_, 
   {{0x92900165,0xa2d8033f,0xa3f100c0,0x00000000}},	//   _rukaki_, _oaaea_, _giyerang_, --, 
   {{0x025a00a6,0xbc7c0334,0xd511007f,0xba3500f8}},	//   _ngela_, _amasiya_, _lanlwyth, _হামিদা_, 
   {{0x22eb00fd,0xa6cd0206,0xf2d90466,0x902d0058}},	//   _alanais_, _preventí, _planove_, _palelogo, 
   {{0xc2d8033f,0xb249000d,0xa29000fe,0xcedd01b2}},	//   _aaaea_, _ruumi_, _fukahi_, _abeyance_, 
   {{0xe0d001bb,0xa2bc012a,0x83410430,0x309000ba}},	//   _reformal, _यूनुस_, _mulevho_, _ریفزاده_, 
   {{0xbe3401aa,0x238700a8,0x4ce30242,0x61fc018f}},	//   _affairwa, _bifrun_, _batırır_, _sutammeh_, 
   {{0xe2a70374,0xe0420294,0x67ee02af,0x82e20021}},	//   _каромат_, _castakun, _kiratung, _edataway_, 
   {{0x14a20418,0x44b00088,0x00000000,0x00000000}},	//   _başladık_, _مىليونىر_, --, --, 
   {{0x3b250393,0x05bc00c5,0x1b2800e4,0xe3870080}},	// [f090] _priprema_, _国家外汇管理局_, _नित्यानं, _akeraq_, 
   {{0xe200010a,0x629001a6,0xd76c00be,0xd18b00d7}},	//   _sanii_, _tinana_, _دەلەەچكى, _асанбаев, 
   {{0x3eaf00e6,0x13360053,0x00000000,0x00000000}},	//   _七年流通环节食品, _विकासाला_, --, --, 
   {{0xcfe30060,0xe2d004d7,0x9248019c,0x1c510109}},	//   _قاتتى_, _tryllir_, _isemi_, _काढेर_, 
   {{0xc1630206,0xe63104ef,0x51d2015e,0x6a100133}},	//   _feminity_, _eventuai, _бөгөлдү_, _garagale, 
   {{0x2c070281,0x330f0082,0x429002f6,0x6d640053}},	//   _danskit_, _karamar_, _dinala_, _अनुवादीत_, 
   {{0x9baa020f,0x33fb013c,0x55620222,0x288202a6}},	//   _akazimas, _abunəçil, _impliqué, _arrighju, 
   {{0x6f47002e,0xf2f002fb,0x147203b6,0xfd0505ce}},	//   _državu_, _iunioni_, _ifiranṣẹ_, _unsurlar, 
   {{0x95a7015d,0x2b1e015e,0x2249008d,0x2f400334}},	//   _जागती_, _асыранды_, _etaman_, _idagulan, 
   {{0x6a330074,0x4a710326,0x2fe30299,0xb25a00d9}},	//   _поезда_, _aurayiwa_, _ئەپۇچان_, _muilta_, 
   {{0xf2fc030b,0xb25a01ad,0x5c6b0014,0x72f9017e}},	//   _mengo_, _meilen_, _paguhet_, _bonhava_, 
   {{0xdcba023c,0x2e6000a8,0x00000000,0x00000000}},	//   _مکسيکو_, _brichafa, --, --, 
   {{0x697700a7,0x72420052,0x63eb00ac,0x97b302fd}},	//   _ajuntame, _भावले_, _slatki_, _charnegi, 
   {{0xe4ae034e,0xccd5016e,0x02cf050a,0xca3e009b}},	//   _antapunk, _vereceği, _katliam_, _шарлагын_, 
   {{0x9c8802cf,0x575300cb,0x326e00d2,0x00000000}},	//   _анистон_, _amantong, _barodo_, --, 
   {{0x6c39033e,0xd9780041,0xb3540064,0xc2fc030b}},	//   _asteráce, _дицалырх, _maneres_, _aligwa_, 
   {{0x42da028f,0xd2fc005b,0x927e012e,0xaec90311}},	// [f0a0] _eruera_, _kengo_, _pannon_, _ኣየንበብኩን_, 
   {{0x62490288,0xc2fc012c,0x2c12009c,0x245f011f}},	//   _krumm_, _jengo_, _chapari_, _ipersóna_, 
   {{0x125b02bd,0x348b0113,0x125a00dd,0x00000000}},	//   _deulu_, _دعائكم_, _deilen_, --, 
   {{0xe2fc012c,0xa2ca01b8,0x122e0061,0x1da1018c}},	//   _lengo_, _muidu_, _축하합니다_, _marokkaa, 
   {{0x0d300069,0x930f0082,0x930e02f2,0xd98800bd}},	//   _hasigaye_, _darajar_, _basados_, _hughende, 
   {{0xeb2501e1,0xae5500de,0xaa0f01fe,0x83800007}},	//   _булайыҡ_, _تورتم_, _karamaca_, _ectras_, 
   {{0x2ba70179,0xbb300363,0xa33202ba,0xc2e80108}},	//   _fasiliko_, _hagemøbl, _густарда_, _pamitan_, 
   {{0x135f02c2,0xba04066a,0x53eb011b,0x625a02c7}},	//   _jongste_, _kadagmit, _kutombuk, _heilen_, 
   {{0x131001ea,0xaae40320,0x42a00313,0x00370279}},	//   _tarzda_, _cukument, _disbov_, _multifon, 
   {{0x6fac046d,0x638200de,0xb25302b4,0x00000000}},	//   _dzimilio, _ګاللي_, _kulenkam, --, 
   {{0xc2130247,0x365601aa,0x48f900e6,0xb79f0400}},	//   _dhahar_, _affixedw, _星科金朋集成电路_, _allettev, 
   {{0xb2ca01b4,0x6c7c004d,0xbaf40475,0x52fc0180}},	//   _drade_, _中文公開取得報價, _феодальн, _tengn_, 
   {{0x728c014a,0xcac700cb,0x2b7b003c,0x00000000}},	//   _غلامی_, _ahlwanye, _هتاکی_, --, 
   {{0x698707a3,0x65a30135,0x03f80245,0xad3002c1}},	//   _तृणमूल_, _komissiä, _kynud_, _basigaye_, 
   {{0x993301b6,0x166f004d,0xb9a8020f,0xb1d50187}},	//   _ياطعم_, _旅遊資訊站_, _anoxandu, _секторот_, 
   {{0x1b3e00f4,0xd3a900f0,0x88d5023c,0x00000000}},	//   _douchenn_, _kanvice_, _bubulung, --, 
   {{0xb01d00f2,0xf2ca049e,0x533c00de,0xec2902ec}},	// [f0b0] _racionāl, _hrade_, _مهارتونو_, _weligood_, 
   {{0x32900067,0x397e01d2,0x627e013a,0x7b2a012e}},	//   _annaka_, _anchatat, _wannen_, _narancsb, 
   {{0xc9e502fe,0x49aa014f,0x6a660192,0xb02d0040}},	//   _کنترول_, _молим_, _모르겠습니다_, _slidesho, 
   {{0x733d0163,0xf7b500d9,0xd6b801bc,0xbf350260}},	//   _ویراں_, _maisteri, _mearderh, _atesoura, 
   {{0x125b033c,0xa78a024a,0xd858032f,0xa894045b}},	//   _teulu_, _ibanikẹd, _levantar_, _густота_, 
   {{0x7fad0039,0x11780269,0x00000000,0x00000000}},	//   _маршалын_, _limpiado, --, --, 
   {{0xf98103e7,0xf69e01bd,0x09f90205,0xea17023b}},	//   _maritime, _досмұхам, _индамай_, _mehameha_, 
   {{0xb2130013,0x2d5a02d3,0xe9670109,0xac4f018a}},	//   _shahar_, _можен_, _दिईनेछ_, _drywanu_, 
   {{0x6de6044b,0xa3fa01fc,0x22fc012c,0x72dd0201}},	//   _lækkert_, _furusa_, _pengo_, _mirocti_, 
   {{0xefbf020e,0x5d980003,0xe931015e,0x9a31018b}},	//   _ananetso, _selectie_, _educatiu, _educatie, 
   {{0x241e019e,0xd2000130,0xb03902f5,0x72d90358}},	//   _apsilank, _ganit_, _esperamo, _cayen_, 
   {{0x70610163,0x830f02cd,0x42000007,0x97cb0205}},	//   _کنفرم_, _barakar_, _kanisi_, _pasporti, 
   {{0x62fc026b,0xe3160258,0xd0dd0016,0x390c0263}},	//   _tengo_, _keizer_, _חשובע_, _verbrand, 
   {{0xb2ca01d1,0xd200036a,0x39fe0294,0xec710025}},	//   _trade_, _danisi_, _apramant, _निर्गत_, 
   {{0x62b600a4,0x42fc0288,0x8d0201fb,0x37a2014d}},	//   _tercer_, _rengo_, _normanne_, _wartezei, 
   {{0x0f200031,0x963d019b,0xcd0d0309,0x1e0d00d6}},	//   _postinga, _atsiskai, _qarabağd, _ستارسات_, 
   {{0xa29000ac,0xa6330172,0x21eb0029,0x0edd019b}},	// [f0c0] _iskaz_, _sesothof, _منگوای_, _вярбой_, 
   {{0xc40a0272,0xa12e0486,0xd9260030,0x00000000}},	//   _baaniriz, _betonová_, _liktenīg, --, 
   {{0xac9300a4,0xb43804aa,0x62cc03bf,0x4d8e016f}},	//   _بالام_, _omakamak, _carleen_, _поздоров, 
   {{0xef5400b7,0xb2000229,0x854503ce,0xaf7101ef}},	//   _abusagyt_, _banisi_, _مۆنیکا_, _акардэон_, 
   {{0xa4a501c5,0x77570145,0x83fa0357,0xa2e80037}},	//   _انوارن_, _негры_, _suruta_, _pamiran_, 
   {{0x9316024a,0x601900c7,0x02000257,0x1f47002b}},	//   _adabori_, _торса_, _lifir_, _ডাইনিং_, 
   {{0xa2000286,0xcc6f031a,0x10eb0393,0xe0ef0243}},	//   _fifir_, _bherlin_, _nadzorno, _tamahaak_, 
   {{0x126c04b9,0x03eb0160,0xd96e0281,0x2200000f}},	//   _blooms_, _zlatni_, _akunnitt, _canim_, 
   {{0x72a601d7,0xa248015e,0x99990076,0xea12022c}},	//   _cumbat_, _tremp_, _белешки_, _dibawake, 
   {{0x124801ef,0x42d9033d,0x0793019e,0x6e4c0183}},	//   _filmai_, _payen_, _аграрная_, _hanafena, 
   {{0x729004d3,0x837d00e6,0xa04601db,0xf9850192}},	//   _ascas_, _特色治失眠抑郁精, _جۇڭحۋا_, _artistie, 
   {{0x39f70348,0xf3ea04a7,0x25ea0153,0x53dc01c7}},	//   _akankana_, _baltar_, _るるぶトラベルで, _atabaý_, 
   {{0x67dc0019,0xf291019c,0x820000fd,0x7cb90251}},	//   _базарлар_, _fifaya_, _difir_, _riwaayad_, 
   {{0xd3ea037c,0x83860120,0x326e018e,0x9607000c}},	//   _multis_, _boorul_, _dariyosi_, _дарагь_, 
   {{0x12fc02af,0x1fb1028e,0x3b760029,0xb17701ff}},	//   _yenge_, _antoropo, _تێبگات_, _spravidl, 
   {{0x929001d2,0xf0ee0080,0x72000390,0x472e00e6}},	//   _iskay_, _akiinill, _xanim_, _坚持以人为本_, 
   {{0x52000403,0x72d9001e,0xd2cb01a1,0x0ae3007f}},	// [f0d0] _vanim_, _sayen_, _zweden_, _deillion_, 
   {{0x524804d6,0xb2b000d6,0xffbc02ea,0xccb2026f}},	//   _filmy_, _costaisí_, _голмайст, _кекілбае, 
   {{0x32000482,0xa68d003a,0x623e02b6,0x5ecc0079}},	//   _tanim_, _بیرآن_, _الاقانىن_, _kabinets_, 
   {{0x02ca0225,0x126c005b,0x53fa0039,0xdab8030d}},	//   _irida_, _aomori_, _burura_, _ankaranı_, 
   {{0xa2fc017d,0xaccc00bb,0xfd36005b,0x8c6702ca}},	//   _renge_, _کیبنٹ_, _vennerne_, _فرقاك_, 
   {{0x92000157,0x31f10234,0x60340041,0xe69b009a}},	//   _zanim_, _asansilẹ_, _asẽmbota_, _درواغو_, 
   {{0x82fc005b,0x49590313,0xf25a0234,0x11df0397}},	//   _penge_, _dillahme, _igele_, _akhotham, 
   {{0x2061041a,0x779c0066,0x73fa0190,0xb2920272}},	//   _стати_, _барсболд_, _turura_, _alwayo_, 
   {{0x625b02ce,0xbdbd0103,0xd72100db,0x525a0028}},	//   _awalna_, _chairena, _समधियाउस, _kolley_, 
   {{0xbec500a8,0x62ca0225,0xf35f0099,0x00000000}},	//   _turniers_, _orida_, _haigone_, --, 
   {{0xa94e0033,0x40b00178,0x20ff032d,0x28b504c8}},	//   _spargnar_, _aṃśam_, _futhumal, _inżommu_, 
   {{0x23b60046,0xcb8f0128,0x861f024b,0xed3e0455}},	//   _gravada_, _hosildor, _automoci, _connerie_, 
   {{0xbcc1027e,0x52900278,0xc41601b3,0x00000000}},	//   _статутом_, _eskay_, _вручив_, --, 
   {{0x727e031a,0x03a30212,0xbfe500fe,0x936c008e}},	//   _lannan_, _rospa_, _fesiosio, _daggiti_, 
   {{0x8ef20193,0xf92802c5,0x9c2702ff,0x3ae8013a}},	//   _फटाके_, _akamiswa_, _asosiyas, _gerooden_, 
   {{0x4c5303dc,0x531600fc,0xd2e304a4,0x867601ee}},	//   _luttaka_, _jawbogh_, _fearaibh_, _шутланат, 
   {{0xc64a0513,0xeef601ab,0x21a60291,0x441300fb}},	// [f0e0] _entiyisw, _चिरकी_, _طائفية_, _kungakho_, 
   {{0xc27e00cf,0xa3f800fe,0xd9220012,0xfafe00d2}},	//   _aannan_, _hafua_, _केबड़ा_, _bogoheun_, 
   {{0x144d00f5,0x5b1a017f,0x831e0073,0x8a6c02b4}},	//   _капитана_, _tusagass, _vaccino_, _abomatis, 
   {{0xa3f902fa,0x920100dc,0x00000000,0x00000000}},	//   _kuzuza_, _vivii_, --, --, 
   {{0xd2f70202,0xc08d0013,0xb9e201ac,0x6eaf044a}},	//   _akiidah_, _килса_, _deighilt, _kolondan, 
   {{0x4e230234,0xc20800c4,0xc5ed01b7,0x22d90241}},	//   _gbèìndín, _جيالا_, _avasthā_, _gayee_, 
   {{0xd2d9019a,0xa2ca00a4,0x5f490014,0x96c20153}},	//   _sayed_, _crida_, _ekspozua, _実践報告とか_, 
   {{0xc2d9008b,0x9b5601d9,0x23c6027c,0xa01a0158}},	//   _aayee_, _haudegen_, _ښاريان_, _ostrożni, 
   {{0x251202ac,0x596e0080,0xb2b6030a,0x23fa004a}},	//   _forleath, _ajungitt, _mercar_, _aurupa_, 
   {{0xa7bb012a,0x6b0e0568,0xe3720299,0xb6330158}},	//   _mazurski, _sakprosa_, _ئىرسىيەت_, _koncertó, 
   {{0x5d86023d,0xd2910099,0x527e007b,0x43fa000c}},	//   _ottenere_, _aivada_, _bannin_, _curupa_, 
   {{0x7539008d,0x6c26033e,0x93e70363,0xd240054c}},	//   _таснифид, _гаррик_, _sætre_, _anleggsm, 
   {{0xb2b60417,0x12900318,0xef58030f,0x935201a3}},	//   _verdere_, _kavalahi_, _matawhen, _مٽاسٽا_, 
   {{0xc2f0019f,0xa25b004a,0x2a5e0144,0xe25b00ee}},	//   _duniani_, _atalsa_, _antóin_, _udalen_, 
   {{0x12940281,0x73ee014e,0x2f5e012e,0x83fa01eb}},	//   _irakimi_, _познавал, _budaörs_, _gurupa_, 
   {{0x82960017,0x3c760290,0xd2ca0296,0x832800ba}},	//   _šikanu_, _barungs_, _vrida_, _ڤێنێزوێل, 
   {{0xef2f00d2,0xb2010101,0x4a1000a6,0x3be0016e}},	// [f0f0] _hakekatn, _liviu_, _akusikhu, _sevenler, 
   {{0xed3e0007,0x61c104f8,0x52f400ad,0xc1d00183}},	//   _sonnerie_, _waptrick_, _alanyar_, _halefany_, 
   {{0xe3fa0532,0xd20001fc,0xf2fc01da,0x7d9105b3}},	//   _struja_, _canih_, _kenga_, _ongewone_, 
   {{0x8bc0019b,0xeefc021b,0x02240432,0x6c2b017c}},	//   _kelionių_, _сумку_, _booke_, _barberar, 
   {{0xf3f902b4,0x12fc0013,0x7b6f03b5,0x1c2900c0}},	//   _kubuka_, _menga_, _kuburnya_, _diosdios, 
   {{0x02fc0338,0xf76f01cd,0xb7ec044f,0x0200014b}},	//   _lenga_, _abahlang, _pemasang, _fanih_, 
   {{0xe25b0050,0x13ea003d,0xe236015e,0x9508023e}},	//   _meuli_, _subte_, _penjar_, _bugenvil_, 
   {{0x4c7c0273,0xa24f002e,0xc9ad007b,0xfd300285}},	//   _muestra_, _ukloniti_, _priviled, _akwiriye_, 
   {{0xb2d9041b,0x73a3022f,0x050600ff,0x3f6503f2}},	//   _payee_, _liepos_, _גבֿורה_, _virallin, 
   {{0xaa5f0848,0x00000000,0x00000000,0x00000000}},	//   _सुशीलकुम, --, --, --, 
   {{0x62fc011b,0x52b6023d,0x4c6a03c7,0x92af0037}},	//   _benga_, _perdere_, _najtańsz, _ተወስዷል_, 
   {{0x2eb50026,0x2b4b0009,0xac6603fb,0x318800e7}},	//   _gebracht_, _grafične_, _kostaju_, _aveatcay_, 
   {{0x452c0062,0x63f902ce,0x00000000,0x00000000}},	//   _mayittah, _bubuka_, --, --, 
   {{0x0a520326,0x0ad80360,0x0aec0202,0x120e0159}},	//   _aipesana_, _चौधरीको_, _ifelepon_, _масай_, 
   {{0xf37c01e6,0x43a20027,0xed2800af,0x28da040f}},	//   _preferuj, _slopan_, _liknende_, _аскулююч, 
   {{0xb95e02b5,0x32fc0274,0x4a650037,0x0de700bf}},	//   _cingseuq_, _gengi_, _የመልቲሚዲያ_, _ранних_, 
   {{0x4e53054e,0xa29201bb,0x022501ec,0x72a6005b}},	// [f100] _tohayaha, _ugrady_, _awaké_, _chobin_, 
   {{0x62d801a0,0x0d2c0322,0xb64400f6,0xc2820082}},	//   _vilela_, _abanteze_, _açiqlama_, _baihaki_, 
   {{0x825b013b,0xe2fc0247,0x22ca0073,0xeb7304a4}},	//   _italya_, _bengi_, _nuada_, _gilstrap_, 
   {{0xcdcd0125,0x2356008f,0xba0e055b,0xc4130008}},	//   _төтәлейи, _चट्ली_, _saksdoku, _مائدا_, 
   {{0x02fc004f,0x02570235,0x7d1b0161,0xd2d802e5}},	//   _dengi_, _प्रणमामि_, _штрафов_, _jejepe_, 
   {{0xd2330036,0xbbd702a4,0xd2910243,0x8478009b}},	//   _scamall_, _guidewor, _nabaah_, _lekeitio_, 
   {{0xf929005e,0xc5d503b7,0x22010287,0xb1770076}},	//   _пантүрки, _ajectory, _divit_, _ченто_, 
   {{0xa2ca0415,0xd3f402fd,0x8fd202b6,0x520104a7}},	//   _stadt_, _abstol_, _соустар_, _viviu_, 
   {{0x3e1a042f,0x6c7001c1,0xc2d803d9,0x92d8029a}},	//   _pingahua, _डेक्कन_, _kilema_, _limero_, 
   {{0x1b1a03f1,0x33ff041e,0xad2c0297,0xf0e700d7}},	//   _priniesť_, _sarzana_, _азстрой_, _hofihlel, 
   {{0x22e90036,0x84e200d1,0x52ca04c8,0x21c9013f}},	//   _thaitin_, _মামাই_, _jridu_, _antronoz_, 
   {{0xbc050201,0x78fd02bf,0xd290033f,0x0da2004d}},	//   _missili_, _angakend, _fanaga_, _即可開始發表留言_, 
   {{0x3cde00be,0x4d26000e,0xc9700220,0x0d7b018d}},	//   _базардан_, _arangeat_, _agricolt, _ኮሚቴታት_, 
   {{0x62ca0190,0xa9d6018c,0xcfbb0039,0xb2ff01f1}},	//   _buada_, _afrekene, _халдашгү, _arsimor_, 
   {{0x829000b2,0x22cd013b,0x120201b9,0x06ce004d}},	//   _danada_, _carlito_, _expike_, _以上版本之瀏覽器, 
   {{0x92c2040b,0x62cb0303,0xbb6f03b0,0x29f300b5}},	//   _imelela_, _barekedi_, _bestemma_, _chemuña_, 
   {{0xe2fc016e,0x96d0003e,0x32d80007,0x4ff200d1}},	// [f110] _rengi_, _batalali, _bilema_, _হুইছ্_, 
   {{0x825a02fe,0x019a0275,0x42d80256,0x2efd014e}},	//   _ngeli_, _aperetān, _fileja_, _vojadžer_, 
   {{0x49f60225,0x2b1d024b,0x97de0184,0xbfc70492}},	//   _bangigke, _montaña_, _ayashizw, _jelínek_, 
   {{0xc2ca0292,0x5e8000e6,0xe7870046,0xed0a00bd}},	//   _krado_, _具体办法由国务院, _جاناقى_, _daylicht_, 
   {{0x7e7701a3,0x62e701b5,0x23fa02b9,0x73780214}},	//   _شاهدين_, _chunana_, _papucs_, _bayakha_, 
   {{0x32fc019f,0x5bf30049,0x225a0202,0xe29004d8}},	//   _wengi_, _afuluhao_, _hanlè_, _janada_, 
   {{0xf98100f3,0x42c102ea,0xfc340044,0xc6a502e5}},	//   _besivume, _collana_, _cheaptic, _katupupy, 
   {{0x701d0030,0x4a170282,0x820e0205,0xe7ab0347}},	//   _nacionāl, _puhapuha_, _қамаш_, _onstuimi, 
   {{0xe25a0465,0x00000000,0x00000000,0x00000000}},	//   _spolne_, --, --, --, 
   {{0x8cc50079,0x62780452,0x00000000,0x00000000}},	//   _jubileju_, _akunya_, --, --, 
   {{0x7c1404f0,0x717000ff,0x6d2c0515,0x16e701a4}},	//   _diaparo_, _טריידינג_, _desirate_, _concolai, 
   {{0xa9c600b8,0x4d9000ab,0xb29000ad,0x42890216}},	//   _arrepent, _nanenane_, _tanaga_, _dizayini_, 
   {{0xeeb50364,0xd6b1027f,0xeeec0187,0x59cc0399}},	//   _verreckt_, _kagufash, _источнио, _melenait, 
   {{0x1fcf0213,0x72900465,0x0fcc044d,0x63e102ea}},	//   _единую_, _vijaki_, _kariyeer_, _inerenti_, 
   {{0x42ff0332,0x00000000,0x00000000,0x00000000}},	//   _ytthumb_, --, --, --, 
   {{0x2f55016d,0x38470397,0x41bc0094,0xd201015e}},	//   _ﯻﻤﺰﺍﺳﻰ_, _сахари_, _جۇدەپ_, _vivim_, 
   {{0xe5990056,0x11930156,0x82900082,0xb27800fd}},	// [f120] _корманди_, _מאנקי_, _tanada_, _chunna_, 
   {{0x42fc003b,0xd7b50188,0xfa0302ba,0xd264046f}},	//   _lengu_, _лубнон_, _akwajuda_, _deulux_, 
   {{0xa11c034c,0xd983020b,0x9b690088,0x117d011a}},	//   _filialın, _iphitlhe, _динлинде, _מיצוי_, 
   {{0xc6670023,0x6a080193,0x0a58002a,0x13f20012}},	//   _наверх_, _nananina_, _galeshia_, _उड़अन_, 
   {{0xd2900013,0x01e30158,0x1e5600d0,0xc2e000dd}},	//   _yanada_, _हज़रत_, _сайтанд_, _bennill_, 
   {{0xc44900f5,0xf2ec02a4,0x02eb00d1,0x67dd01d4}},	//   _онларча_, _assidue_, _agentar_, _attaccav, 
   {{0x067501cb,0x36c50107,0xf2ec0244,0x19ec0403}},	//   _yakhethw, _یونسی_, _avviene_, _bakidesa_, 
   {{0xb378010d,0xdd4e0037,0xc26e037c,0xced802c8}},	//   _kayanya_, _ይተላለፋል_, _carolo_, _camións_, 
   {{0xaeca02f8,0x0a220177,0x625b0182,0xa3780115}},	//   _akonekin, _гулрыҧшь_, _kualua_, _jayanya_, 
   {{0x4278019d,0x020f020e,0x7200034b,0x62c50134}},	//   _chunga_, _льгота_, _moning_, _ifoloke_, 
   {{0xe2fc0257,0xdbf202da,0xe0d90381,0x070400ba}},	//   _fengu_, _имплемен, _aptopril, _ڕۆژووه_, 
   {{0x85be018d,0x32ec01f4,0xf2ca02fd,0xdc1e0311}},	//   _ንኸይከውን_, _иллат_, _frids_, _መንገድኹም_, 
   {{0xc3790246,0xa46b0075,0x01f20153,0x29f10226}},	//   _squadra_, _konuklæð, _その他グルメ_, _khansala_, 
   {{0xd7700486,0x33020316,0xd3410666,0x525a02c7}},	//   _लोकसाहित, _aljannu_, _naletio_, _geilen_, 
   {{0xa2b60167,0xb22100e6,0x64730035,0x7649019e}},	//   _bwrcas_, _需零点前开始排队_, _bertugan_, _летась_, 
   {{0x520002c2,0x902c02cf,0x42fc01d9,0xcc7401d9}},	//   _koning_, _буквално_, _mengt_, _androck_, 
   {{0xe912049f,0x8364019d,0x3224064d,0xc25b0167}},	// [f130] _namatjhu, _amagona_, _lloko_, _atalfa_, 
   {{0x4aff0160,0x735c02d3,0xc1b4014e,0xf78701db}},	//   _zabranje, _партнери_, _изнад_, _بابانىڭ_, 
   {{0x44990148,0xa842019d,0x6def012c,0x23eb0168}},	//   _花蓮美食之旅_, _amaloled, _اجتماعيت_, _lurte_, 
   {{0x02240339,0xeb620139,0x456d0338,0x8fd3011f}},	//   _iloko_, _पालने_, _montluço, _aviación, 
   {{0x225a025c,0x8224003b,0xa26e024f,0xb7ee027f}},	//   _teilen_, _aloko_, _karobo_, _birarung, 
   {{0x92240016,0xb574017a,0xae9701c8,0x9e83006c}},	//   _bloko_, _азими_, _nastavte_, _нобакор_, 
   {{0xe88802d3,0xd3ea02bd,0x22000192,0xc2fa0291}},	//   _тестови_, _mentro_, _honing_, _dhílleac, 
   {{0x220000aa,0x42780141,0x825a0026,0xeb730095}},	//   _eloise_, _shunga_, _zeilen_, _anuswara_, 
   {{0x531000bf,0x329202f6,0xfa41020a,0xe26c0028}},	//   _уточнить_, _gusali_, _айдана_, _aboowe_, 
   {{0x13470399,0x6a850013,0xfa400205,0x4199006c}},	//   _palemia_, _هوادن_, _индин_, _магистрҳ, 
   {{0xaaa40272,0xc2fc022e,0x126f0340,0xe2fc046f}},	//   _abakemeb, _tengu_, _karipori_, _gengt_, 
   {{0x31a500b9,0x729200a2,0x19750161,0xc2000390}},	//   _बाजारपेठ_, _kusali_, _адаптеры_, _rafil_, 
   {{0xd25a0279,0x82ca0374,0x00000000,0x00000000}},	//   _isolé_, _asida_, --, --, 
   {{0x1518049c,0x39c102ce,0x637803de,0x3835037f}},	//   _sawlwgny, _alamatna_, _kubalwa_, _adamında, 
   {{0x937801c1,0x9a6304cf,0x66d501c9,0xeae70196}},	//   _dimakan_, _amagunya_, _garantii, _gondolos, 
   {{0xfee901c1,0x501d0079,0x143c0169,0x125b0250}},	//   _terkadan, _akcionār, _তানিম_, _ndalon_, 
   {{0xa8810148,0x147d00bf,0x42d900d9,0x78d10156}},	// [f140] _本月份議題暫時停, _животное_, _areena_, _רעסייקלי, 
   {{0xfff8002e,0x1e5a00da,0x8c1200b4,0x2eb201f7}},	//   _ovogodiš, _мандатул, _proprii_, _ansumane_, 
   {{0x12000003,0xed8c019b,0xcc93015e,0x04750192}},	//   _woning_, _advokata, _جالال_, _filteren_, 
   {{0xa3ea0066,0xa2fe0132,0x0e5000ed,0xc78a026f}},	//   _zentro_, _gergő_, _mapamala, _يەتنوستى, 
   {{0x270400c4,0x27ec00e7,0x12010025,0xe25d023d}},	//   _منصوبه_, _aliasing, _arcito_, _rivestim, 
   {{0x8968000d,0x59e0006c,0xf4d000c4,0x48b20234}},	//   _mobiilte, _akhishwa_, _مشعلون_, _lobìnrín_, 
   {{0x71d302bb,0x3be700a6,0xa29102d3,0x9200037c}},	//   _polecamy_, _ارادی_, _logado_, _canit_, 
   {{0x536f00b1,0x83200362,0x52ad02ac,0x52d90010}},	//   _mongkut_, _aboya_, _لتطبيق_, _bebete_, 
   {{0x72c60591,0xf30c0115,0xa554002b,0x4bc501de}},	//   _söder_, _jeragat_, _কুৎসিত_, _شىلاۋلار, 
   {{0xa20000b6,0xb599011f,0xae6f0375,0x1ed50433}},	//   _tanit_, _amondohó, _akuchika, _parintin, 
   {{0x0aad00d6,0x820100ce,0x983503c7,0x05a301bb}},	//   _sleveste, _sivik_, _अर्जित_, _komissiý, 
   {{0xd200003b,0x220d045c,0x63b005f4,0x33ea0433}},	//   _hanis_, _išiel_, _otavalo_, _sentro_, 
   {{0x12780128,0x22fc0372,0xf21d017a,0x2e83005e}},	//   _shunda_, _sengl_, _сабук_, _ﺑﯩﻜﺎﺭ_, 
   {{0xf2000117,0xd9630142,0xe21f0286,0xaa2a02ac}},	//   _janis_, _arundhat, _kohintaw_, _بالانضما, 
   {{0xa0e800c4,0xe25b01fc,0x0a10015a,0x5910021a}},	//   _فائونڊيش, _maglab_, _dabalame, _dabalamu, 
   {{0xc4510192,0x3730020f,0x00000000,0x00000000}},	//   _가정복지과_, _ویټامین_, --, --, 
   {{0x1b5b032b,0xb36001a3,0xec4900be,0x13710342}},	// [f150] _كروران_, _جھالت_, _манкуртт, _ebyasaf_, 
   {{0xe9f000ea,0x90c4004b,0xe3f9037f,0x22d701da}},	//   _samihafa_, _тупраҡ_, _arzuya_, _diellor_, 
   {{0xbdbb00e7,0x5c8002b6,0x00000000,0x00000000}},	//   _ampingca, _нелер_, --, --, 
   {{0x5f93020a,0x31f1019d,0xb28d0067,0x3c090328}},	//   _оңаша_, _chinapam, _hatattam, _sarutamb, 
   {{0x72000117,0x37950039,0x930e0187,0x00000000}},	//   _banis_, _гурилаа_, _casacos_, --, 
   {{0x22d80172,0xb54d01db,0x329e01f2,0xd53703a2}},	//   _gyaee_, _форматта, _никаһ_, _अब्बु_, 
   {{0xd63c0040,0x59eb0176,0x22ec0095,0x00000000}},	//   _הלבנים_, _boardind, _blantik_, --, 
   {{0xe2d90558,0x18d20291,0x00000000,0x00000000}},	//   _mebere_, _لإسقاط_, --, --, 
   {{0x6edd0107,0x89d70183,0x7cc900d3,0x00000000}},	//   _حشمتی_, _himenome, _अनायासै_, --, 
   {{0x3ab404e5,0x40bf02ac,0x3f7c00ff,0xebdf0128}},	//   _akaveera_, _وصارت_, _תפֿילין_, _машқлари_, 
   {{0xeb8a0013,0xedd900b9,0x1d030233,0x4aae0035}},	//   _холос_, _perkotaa, _explotat_, _berkönne_, 
   {{0x6db60020,0x02910177,0x202e00af,0xc289024c}},	//   _agaiotup, _bogado_, _заява_, _abbatini_, 
   {{0x69f90449,0xac02017d,0x5b170139,0x39100348}},	//   _osluškuj, _horsens_, _bhramadb, _babalamu, 
   {{0x820003dc,0x353600bf,0xe25b00e6,0xdf8d03ee}},	//   _danir_, _выставля, _seuls_, _poljubac_, 
   {{0x7f8100e6,0x9b62006f,0xe783010d,0x08130013}},	//   _坚持以科学发展观, _محافظن_, _सेवासुवि, _фейсбукд, 
   {{0x52d9026c,0xc416033d,0x3db10061,0xc29103b6}},	//   _debere_, _amerikin_, _커뮤니티의_, _jafafa_, 
   {{0xb236015e,0x57fc00ff,0x1c1101aa,0x7dc000e6}},	// [f160] _menjar_, _אפדעיטס_, _acquires, _天左右尿检可呈阳, 
   {{0x99d302a0,0x895b019d,0x7cbc0061,0xa97a01b2}},	//   _ailowaya_, _adalonje, _나와요닷컴_, _affiance, 
   {{0x528e01b6,0x62ca0249,0xf3b1030a,0x5c6d00d7}},	//   _اصاله_, _gridi_, _desvío_, _hlorisa_, 
   {{0x935e03db,0xab7c01a0,0x8200012d,0x5f3602f6}},	//   _abafani_, _fasunula_, _sanis_, _dumudula, 
   {{0x52000150,0xe3f8036e,0x62100095,0x93400152}},	//   _panis_, _barzón_, _فداکار_, _gomeren_, 
   {{0x32d90286,0xc0eb000d,0x13530144,0x95d20376}},	//   _bebere_, _kemikaal, _ظهران_, _handilsú, 
   {{0xa2df0151,0xdc1a03b9,0x53b60405,0x8eaf0322}},	//   _damning_, _uskuraks, _bravida_, _baguhaye_, 
   {{0x9ade00fe,0x2b1500b4,0x22f901a3,0x6faf0198}},	//   _ekitivit, _compozit, _متبرڪ_, _vodoodpo, 
   {{0x00000000,0x00000000,0x00000000,0x00000000}},	//   --, --, --, --, 
   {{0x22ca0390,0xae50012c,0x18dd0366,0x4971003e}},	//   _orada_, _mahakama, _поджелуд, _diminaze, 
   {{0xa2ca0449,0x128b01cd,0x14350369,0x32a6037e}},	//   _grada_, _bobabili_, _damaseko_, _kumble_, 
   {{0x2c760195,0x431002ec,0x34ab0183,0xe35800f0}},	//   _carragh_, _marayay_, _ankaviak, _nevesty_, 
   {{0xc2c70102,0x5c260211,0x325a019a,0xed900328}},	//   _فارسيءَ_, _природы_, _beilin_, _canecane_, 
   {{0xddd2002e,0x16ee018d,0xdc5d01fc,0xa2000081}},	//   _utakmice_, _ብዕቱብነት_, _ginteem_, _vanir_, 
   {{0x9e7d00c5,0x82910013,0xbc1d00dc,0x872a0060}},	//   _arrivée_, _linklar_, _isalaelu_, _قىزىققا_, 
   {{0xcf33017d,0x0cab0282,0x00000000,0x00000000}},	//   _bjerrega, _pangarau_, --, --, 
   {{0xb2900403,0xf1d600d1,0x825a0075,0x7faf00e4}},	// [f170] _manana_, _সপ্তাহজু, _feilin_, _wodoodpo, 
   {{0x52d203e8,0xc9730291,0xeb8100e4,0x0b710083}},	//   _mesečni_, _aidiacht, _sylwetkę_, _bubronda_, 
   {{0x2e8801ac,0x22c50382,0x00000000,0x00000000}},	//   _روتانا_, _chelele_, --, --, 
   {{0xe2b103b2,0x7eb704e4,0xf2000279,0xe4af00d1}},	//   _disclaim, _napravit_, _manip_, _বৃত্তিৰ_, 
   {{0xf27400ba,0x395d01af,0x7bf20022,0x826c03fb}},	//   _خووله_, _barsalar_, _өҙөмтә_, _pomozi_, 
   {{0x9373037c,0x9afe04b3,0x62b5013d,0x05080465}},	//   _romanae_, _ardremme, _specio_, _posteljo_, 
   {{0x4b890141,0x92e7029c,0x226700d0,0x5fab0350}},	//   _سکولار_, _akunena_, _визийг_, _በንፋሶች_, 
   {{0xa1680101,0x919b02f3,0xc29204e2,0x82900356}},	//   _програму, _speciell, _syuaib_, _janana_, 
   {{0x22900482,0xae60027b,0xf1470444,0x92a70181}},	//   _danana_, _मरणकालसम, _вадима_, _grebet_, 
   {{0x62910125,0xd4490092,0xd9930045,0xb08d00e6}},	//   _bazary_, _トランスフォ_, _leskovca_, _破坏社会稳定的_, 
   {{0x1e86040f,0x95690041,0x82d401f7,0x5f6600c1}},	//   _эфект_, _ахҩагьы_, _tolosan_, _नरकचतुर्, 
   {{0x993d00c8,0x384c0617,0x18510111,0x2a72024f}},	//   _павловка_, _notoried, _millefeu, _sovasova_, 
   {{0x92fc012c,0x02ca0397,0x64100097,0x5a67005f}},	//   _mengi_, _eside_, _babalawo_, _সেইদিন_, 
   {{0x82fc03f0,0x8d480148,0x3291025e,0x15320103}},	//   _lengi_, _偶來說故事_, _hugann_, _anonyany, 
   {{0x5c72031c,0x4b6d01b3,0x130c000d,0x00000000}},	//   _ciertas_, _гармонія_, _kahanes_, --, 
   {{0xe302017f,0x9af70162,0xf57f0654,0x7d1b02f2}},	//   _tamakku_, _دىندا_, _jantungk, _aparienc, 
   {{0xd1b3002b,0x80960156,0x3c980061,0x3653023e}},	// [f180] _স্রেফ_, _בשׂורה_, _人터넷에서_, _chondrow, 
   {{0x917301ac,0x237f00b6,0xd7ec0322,0x25d501d3}},	//   _mcginley_, _mananna_, _amashimw, _nordströ, 
   {{0x4290018e,0xa36402fa,0xd9ca0545,0xfd48022e}},	//   _fanana_, _amagana_, _badevakt, _balaninu_, 
   {{0xa613004d,0x2c660453,0xe9b702a3,0x529004ad}},	//   _副首相拿督斯里納, _kostiju_, _hervormd, _ganana_, 
   {{0x5a050064,0x020102cb,0xb291016b,0xc69a00d9}},	//   _اندرەي_, _baviti_, _kafada_, _диаметро, 
   {{0xc30e0173,0x74ee003a,0xf26d017f,0x029200d2}},	//   _অব্যাহত_, _мамаёқуб_, _amerlill, _kesang_, 
   {{0x425a00b3,0x0f1a0177,0xf29201f0,0xfb6e00f7}},	//   _kellä_, _ҳаппонен, _jesang_, _barelojn_, 
   {{0xbc1502a2,0xa35d0185,0x43d6004d,0xf2d90194}},	//   _natuklas, _dinebez_, _本館館藏查詢_, _webeye_, 
   {{0xfda20095,0x5cf702c2,0x92bb0295,0x1c760109}},	//   _کاسنی_, _vantevor, _meleane_, _metrech_, 
   {{0x937f0243,0x5290023b,0xa91d0144,0xdd110080}},	//   _dananna_, _wanana_, _clinicí_, _atserneq, 
   {{0x5fd20086,0x2eef018d,0xa7dc03f6,0xf7e70012}},	//   _franciao, _ተምሳላዊ_, _kumuwaiw, _मड़राय_, 
   {{0xf20206ef,0xbae50576,0x325a0277,0x23eb011d}},	//   _corijn_, _kekriste, _atilia_, _purta_, 
   {{0x87d40037,0x46320010,0x7201036a,0x22cb02ec}},	//   _የሚስጥር_, _engilazi, _yaviti_, _swedan_, 
   {{0x1a82018b,0x32250087,0xa86b000f,0x525b03cf}},	//   _алуминиу_, _byakwe_, _veriyoru, _ceylan_, 
   {{0x88f400b4,0x57bc016d,0x929000ea,0xca4b012d}},	//   _алтфел_, _ағлар_, _manala_, _nehemaea_, 
   {{0xe25b0558,0x35270158,0xce3f0139,0x2ec70121}},	//   _afulu_, _भिड़ंत_, _प्रकाशयन, _europeos_, 
   {{0x95a100e4,0x905b00bb,0xd9ec0272,0x00000000}},	// [f190] _बायतु_, _دعایئں_, _alingiza_, --, 
   {{0xeb930269,0xa29003d9,0xad8601cd,0x2a7602d6}},	//   _invitado_, _nanala_, _падруд_, _anglamas, 
   {{0xc292003c,0x229000ea,0xf29102e1,0x52e8032d}},	//   _gesang_, _tanana_, _tugann_, _bofihla_, 
   {{0xfc6603d8,0x229201bb,0x763701ad,0x23170127}},	//   _postaju_, _tarapy_, _neusiedl_, _amezek_, 
   {{0xfd86015e,0xe2900041,0x4970033a,0x9f730235}},	//   _setembre_, _kokatu_, _agrikolt, _धार्मिकः_, 
   {{0x163f01ff,0x1290043a,0x8d5802cf,0xbf190371}},	//   _komentár_, _sanana_, _мексико_, _прикачва, 
   {{0xd8db0253,0x4201026c,0x4c1a00ba,0x696c01b5}},	//   _meeranng, _vivit_, _شکۆداری_, _komitint, 
   {{0xa6eb0240,0x9b0d000c,0x225402cf,0x00000000}},	//   _talairaw, _mbotovév, _ligeiram, --, 
   {{0x2519012c,0x12c2042a,0xeb0a05db,0x82ca0375}},	//   _موبائيل_, _amelela_, _abafaris, _asade_, 
   {{0xc2000322,0xe2c602ee,0xea7a0061,0xb43e0220}},	//   _mukino_, _permess_, _이동하실려면_, _задни_, 
   {{0xa9c70135,0xc9510212,0x6d41004d,0x4bff0434}},	//   _салалар_, _hollowee, _但另一方面_, _aprobado_, 
   {{0x270902ea,0x429003d9,0x4c2c0082,0xe2ca0625}},	//   _религия_, _hanala_, _jekadanc, _vsade_, 
   {{0xcdf001a3,0xc8d600f4,0x52d60058,0x12cc0059}},	//   _تنتون_, _adderaou, _subordo_, _escluso_, 
   {{0x8ef20045,0xe20e00a7,0x22d902e0,0xeb0206ad}},	//   _звали_, _батам_, _lebege_, _forsange, 
   {{0x329102da,0xe63d01f6,0x225a004f,0x47a501c2}},	//   _essas_, _naustdal_, _dolliy_, _restrici, 
   {{0x1c670245,0x22c5034b,0x286c058a,0x4c7201fd}},	//   _phareng_, _kepesiti_, _pompeius_, _tierras_, 
   {{0xcaf90437,0x0f4c005d,0x97c70141,0x00000000}},	// [f1a0] _forekoms, _odispone_, _анора_, --, 
   {{0x22ca03ee,0x37b6004d,0xc2ee0405,0x62370156}},	//   _kradu_, _輸入會員名稱和密, _дзеркаль, _בשתּיקה_, 
   {{0x52240733,0x833d02b9,0x2e2800e7,0x3c720269}},	//   _ndokoi_, _بیتاب_, _atiguefa, _sierras_, 
   {{0x78d3027f,0xfec1016d,0x52d802ef,0x37c00120}},	//   _adasigug, _десәң_, _dejene_, _nassaqem_, 
   {{0x020100c3,0x1dd900b3,0xf8c10148,0xdd890497}},	//   _civis_, _berkitme_, _numeroru, _birdlike_, 
   {{0xbfa80418,0xc7d70326,0x8201025b,0x528c032c}},	//   _nelerdir_, _achashev, _livir_, _albaniam, 
   {{0xec080286,0x63790062,0xc3590262,0xc00b0510}},	//   _abatoɔ_, _damasqo_, _galanyň_, _спуск_, 
   {{0x92ee01af,0xd2240348,0x3f550094,0x2fa60148}},	//   _tehniki_, _kooki_, _амаша_, _brevitas_, 
   {{0x4a570152,0x2a0b02e9,0x00000000,0x00000000}},	//   _биналар_, _desafort, --, --, 
   {{0x27e7027b,0x62020211,0x63ff0112,0x825b018e}},	//   _agrapudg, _koriin_, _melonjak, _ngula_, 
   {{0x33eb0367,0x8b5b03d1,0x325b0650,0x8335009f}},	//   _curto_, _reitinga_, _igula_, _prekmurj, 
   {{0x27f20128,0x42490153,0x8a170334,0x00000000}},	//   _сноуденг, _月の新着商品_, _kupatuka_, --, 
   {{0x71d701aa,0x89f800a2,0x9c5d00e0,0xb87f005a}},	//   _annermay_, _kamishna_, _mantgum_, _rotherad, 
   {{0xf3fa002a,0x3201013d,0xb9fb0209,0xacd6028a}},	//   _burula_, _vivis_, _kujataat, _nyekundu_, 
   {{0x557306f4,0x3c760128,0x1e080083,0xba10034e}},	//   _tradiksy, _tabrigi_, _candeila, _garciata_, 
   {{0x32d9047d,0x8200005b,0x9b93028b,0x1e7101c8}},	//   _rezent_, _yukino_, _guanáko_, _stravné_, 
   {{0x66c603c6,0x9acc0342,0x00000000,0x00000000}},	// [f1b0] _herbesti, _kapitèn_, --, --, 
   {{0xfb2d02aa,0xd0e70287,0x09fc0294,0x5dcd0162}},	//   _splatnos, _लिचीको_, _arinirka_, _хунән_, 
   {{0x4c670176,0xc371008f,0xce93064f,0x00000000}},	//   _chatons_, _nimekirj, _testovat_, --, 
   {{0x5d050037,0xb5ff0223,0x1278019c,0x00000000}},	//   _የኮንዶሚኒየም_, _garmendi, _okunfa_, --, 
   {{0x42a602a9,0xab1d0061,0x83fa01b8,0xc2df00f4}},	//   _kuponų_, _체계적으로_, _suruda_, _foromeu_, 
   {{0x2291001d,0xca1701e8,0xe6a00268,0xcb9503ee}},	//   _essar_, _duhaduha_, _allegesw, _požareva, 
   {{0xe3830454,0x92d8021c,0x2f4003cc,0x53940077}},	//   _conyene_, _chleba_, _মাইনাস_, _bonswa_, 
   {{0x3f4c029b,0xa2ee02df,0x841c0153,0x00000000}},	//   _deppaasa, _aliff_, _北海道大学評議員_, --, 
   {{0x43f90099,0xe1e60040,0x00000000,0x00000000}},	//   _akaupa_, _השתקפות_, --, --, 
   {{0x03eb0072,0x120e0145,0xc23001e9,0x00000000}},	//   _purto_, _дамах_, _itemela_, --, 
   {{0xf843055a,0x429003ba,0x320000aa,0x563e0184}},	//   _últimos_, _banaba_, _arkibo_, _imwigani, 
   {{0x3200030f,0x95a3043a,0x05cc00c1,0xea0b02fe}},	//   _tukino_, _plekastä, _celanany, _bebakala_, 
   {{0xc2ca0027,0x2201024b,0xaaef0168,0x88ad009b}},	//   _grads_, _vivir_, _regelmes, _випашяна_, 
   {{0xa0dd0208,0x1291036a,0x43eb022f,0xd38302af}},	//   _بیاره_, _tavaya_, _turto_, _bonyene_, 
   {{0xdc07018a,0x0207004d,0x54e7002b,0x9c2c02fc}},	//   _gyrsiau_, _中部辦公室_, _জলপাই_, _ababitor, 
   {{0xa928023e,0x0be3022b,0xeb950541,0x00000000}},	//   _کمپین_, _almennar, _požarevc, --, 
   {{0x93eb0217,0x22b1007b,0x4c8901f6,0x49d80418}},	// [f1c0] _curte_, _mischief_, _ৰামধেনু_, _derecele, 
   {{0xbe010087,0x734103e8,0x760c000d,0x7d950066}},	//   _haverisa, _poveča_, _दरिदर_, _kontratu_, 
   {{0x133a026f,0xb37602ec,0xe22401e5,0x32e60011}},	//   _ارتپاس_, _ہارى۪و_, _aloku_, _abanywa_, 
   {{0x220000cf,0xbf410268,0x9b3c008d,0x2b68025b}},	//   _aafis_, _imarilyp, _хотинлар, _fortelja_, 
   {{0x60610053,0x433d0331,0xd94f0307,0x22d5024c}},	//   _persalin, _kundatæn, _esilunge, _djalogu_, 
   {{0x12780285,0x92fc0191,0x8dc3019f,0x02ef00dc}},	//   _nkunga_, _bengt_, _kibiasha, _sanitoa_, 
   {{0x92eb037e,0x82fc018f,0x7b2f0076,0x32fc01d9}},	//   _ioannis_, _pengu_, _условите_, _mengs_, 
   {{0x72ca022a,0xde6a00ca,0x4278004c,0x9f0f0156}},	//   _brads_, _oficiala, _akunga_, _ספרעדשיע, 
   {{0x12ff0038,0xc9450039,0xf2ca01ea,0x9793007f}},	//   _elemtä_, _олдвор_, _lsada_, _bontypri, 
   {{0xcc530157,0xb2fc0257,0x3552002c,0x1c530289}},	//   _पारेख_, _tengt_, _европийн_, _chotero_, 
   {{0x660d0119,0x63fa0076,0xae950592,0x00000000}},	//   _adbokasi, _suruba_, _contrate_, --, 
   {{0xa3eb00cf,0x2ae90013,0xcfcb026c,0xf387006e}},	//   _turte_, _леванте_, _scriptor_, _feligsë_, 
   {{0xf3fa0722,0x12a60071,0x026e0282,0x5372046b}},	//   _kuruca_, _ماتریکس_, _haroko_, _annatod_, 
   {{0x6e560066,0x306902bc,0x9aa0027b,0x52ca007f}},	//   _картын_, _sheptien, _संस्कारा_, _aradr_, 
   {{0xdb0400be,0x7c710166,0x329100c7,0x445c0235}},	//   _انىقتى_, _hiermit_, _havaga_, _daityān_, 
   {{0x725a03fd,0x03200362,0x33ea0255,0x626c04f2}},	//   _agelu_, _aboyi_, _viitsi_, _inlook_, 
   {{0xcc1c03f5,0x035e00bd,0xdc58014a,0x81ac0297}},	// [f1d0] _publicou_, _jingled_, _fentiek_, _kamaltın, 
   {{0x6609042b,0x3200001b,0x6ca400da,0x52020176}},	//   _zaboravi, _achiis_, _реализяз, _dorion_, 
   {{0x7a8904ee,0xc3740398,0x5cb201b3,0xfc800060}},	//   _karibian_, _буйрук_, _кістки_, _белес_, 
   {{0x625a039e,0x927800a9,0x7b1f0080,0x7a540156}},	//   _samla_, _ikunda_, _alaperne, _יאָשקע_, 
   {{0x43090060,0x5c660212,0xec56011a,0xe2310344}},	//   _الداعانى, _quoties_, _ניוטון_, _gudmann_, 
   {{0x537a027a,0xa224029b,0x22c602d4,0xc9d80092}},	//   _izjavio_, _booko_, _permiss_, _だそうです_, 
   {{0x8cab00ab,0xebef01fa,0x76d3041a,0xd2c904e5}},	//   _hangarau_, _kanoloto_, _veibyggi, _baterafi_, 
   {{0x920a0311,0xb96602b2,0xfd680185,0x35b9031a}},	//   _ቅድሜኹም_, _матрац_, _diğän_, _ordanach, 
   {{0x5291041e,0xc02501ac,0x00000000,0x00000000}},	//   _assai_, _بودره_, --, --, 
   {{0x12fd0462,0x0301034a,0x731901a3,0x33f800a4}},	//   _amegay_, _gasóleo_, _بيجان_, _garzón_, 
   {{0x8a6a013a,0x649f004d,0xfd8b0170,0x00000000}},	//   _sergioba_, _申請書表下載_, _chimakha, --, 
   {{0xd292006a,0x48e60188,0x93ff0209,0x00000000}},	//   _marary_, _камхунӣ_, _imartani_, --, 
   {{0x22e0002e,0x92910047,0xb30d028d,0x027802c1}},	//   _poznato_, _essai_, _debaras_, _akunda_, 
   {{0xab88012b,0xfe470195,0x934e043a,0x986d007b}},	//   _kazimier, _bunaitea, _nedetik_, _blessins_, 
   {{0x7189033e,0xfc650255,0x57cd01a0,0x1e4a0544}},	//   _козакова_, _meetrit_, _harpstri, _wahawale_, 
   {{0x71e700b9,0x747a013c,0x26e600f9,0x8e950014}},	//   _आजारी_, _neftinin_, _haravugw, _anetaret_, 
   {{0xdc530428,0xeda2032e,0x54bf0046,0x132202e7}},	// [f1e0] _obstaja_, _churistu_, _اسىعىپ_, _losyon_, 
   {{0xb2920125,0xfd96036d,0xd2240051,0xff850156}},	//   _karary_, _choliona, _bloks_, _פוטשו_, 
   {{0x527800a9,0x98870029,0xa20101cf,0xd26d0333}},	//   _ukunda_, _ناهێنێ_, _obvie_, _magone_, 
   {{0x98ba0036,0xa4f50148,0x775705bc,0x02910138}},	//   _مفروشات_, _本部落共有_, _meginreg, _havada_, 
   {{0xb3f90285,0xfc6e0092,0xefd9024c,0x7e5501c8}},	//   _kuzuka_, _ルですすめる_, _bejnitho, _oznamuje_, 
   {{0xc94e0037,0xaa1002f0,0x93f902c1,0xe7770109}},	//   _አያዳግትም_, _angavume, _miburo_, _सबैसँग_, 
   {{0xd6190410,0xd327002e,0x4c4000e6,0xba6c0137}},	//   _lokologi, _slucaju_, _新闻出版总署_, _концессы, 
   {{0xb15c010f,0xdc1d02b0,0x176202d3,0x82ca0144}},	//   _будам_, _aktualis, _стави_, _maslach_, 
   {{0x224904b9,0x12000309,0xa134018d,0x6e450013}},	//   _trump_, _rafiq_, _ገንዘበይ_, _keladiga, 
   {{0x9ca70238,0x8c7601e2,0x27b7042c,0xbc5e0008}},	//   _академії_, _गुट्टा_, _pristupi, _cartell_, 
   {{0x337f01ed,0x9f220308,0xe3f90040,0x72ca0277}},	//   _kanaana_, _keputusa, _לקלוט_, _asido_, 
   {{0x2d380024,0x749d00be,0x22e8046b,0xed900239}},	//   _স্বামীৰ_, _جازساڭار_, _berfau_, _kanekane_, 
   {{0x537803ef,0x475d015d,0x834a00fe,0x52ca00dc}},	//   _kubakwa_, _कुख्यात_, _atafine_, _atelani_, 
   {{0xd74c0323,0xd6440061,0x1fbd00ff,0x530102e4}},	//   _فلسفي_, _행정자료실_, _ייִשר_, _bivalvi_, 
   {{0x52fc00a7,0x252c031a,0x01fe0361,0x20af025b}},	//   _trigar_, _baigheil_, _груза_, _listafól, 
   {{0xb15f009a,0x8d900282,0x234600ba,0xce650046}},	//   _abasenyo, _hanehane_, _کۆپییه_, _مئڭدەن_, 
   {{0x99ce004a,0xed2300d6,0x00000000,0x00000000}},	// [f1f0] _allahıda, _sroichte_, --, --, 
   {{0xf2d6005e,0x996902ba,0x738800b5,0x938303bf}},	//   _ﺩﯨﻠﻜﻪﺷﻠﻪ, _хандаова, _дизаинер, _bonyane_, 
   {{0x916c03c2,0x235e0013,0x61cb004f,0x0291006a}},	//   _fluidity_, _таваккул_, _gastirik_, _fafana_, 
   {{0xcb7b023c,0xe30c036e,0x2701036e,0xc0ab016f}},	//   _متوکل_, _achates_, _chuyayá_, _стенди_, 
   {{0xf200006e,0x6103006c,0x19ca024f,0x1291024f}},	//   _daniy_, _abekezel, _qalowaqa_, _yavada_, 
   {{0x3e0d00e4,0xcbf800c4,0xfb0f0061,0x12d501b0}},	//   _pradusha, _ڊيلٽا_, _미국드라마_, _bodoran_, 
   {{0xe3eb05bc,0x86640092,0x93300107,0x6c2202c1}},	//   _lurta_, _図書館戦争_, _angkawij, _akarasis, 
   {{0x6ad20074,0x7faa01de,0xa99b004a,0x7c9f0037}},	//   _erityise, _ايروپلان_, _оптималь_, _ተመራቂው_, 
   {{0x934704ad,0x37840202,0x00000000,0x00000000}},	//   _balelwa_, _angélì_, --, --, 
   {{0x12ca0132,0x849a0009,0xe34002f3,0x9290030f}},	//   _fradi_, _grosuplj, _kryddor_, _panaia_, 
   {{0xc300004e,0xb30c010d,0x7278029c,0xbb8f0153}},	//   _pinaagi_, _kerabat_, _akunja_, _クチコミがありま, 
   {{0x29280177,0xbe9b0220,0x3769018d,0x32f301f1}},	//   _нестор_, _seguente_, _ክብርኣብ_, _kufirit_, 
   {{0xe1ac00d1,0x08b802c3,0x7b7f0311,0x00000000}},	//   _বায়ুৰ_, _bledomod, _ድርቅናን_, --, 
   {{0xb4970069,0x29d9002b,0xd0af017c,0xa30800ec}},	//   _butanduk, _স্কুটার_, _bilmodel, _ваяводст, 
   {{0x42d901fe,0x9b0c01e0,0x2519032d,0x637f02d9}},	//   _asaeli_, _حامید_, _кереште_, _fanaina_, 
   {{0xa7590052,0x3224021c,0x7201003f,0xb8370366}},	//   _मित्रता_, _bloky_, _mavit_, _дахаре_, 
   {{0x713f0596,0x443e022f,0x5c18019f,0x83f902c2}},	// [f200] _nhlengel, _фауны_, _kwasabab, _reguit_, 
   {{0x93f9046a,0xc26c00aa,0x83a80140,0x226c00cf}},	//   _seguit_, _eshots_, _sakaling_, _bilookii_, 
   {{0x0c9303c4,0xf22400bd,0x9a4a000d,0x049702c1}},	//   _زامان_, _cooks_, _vahetada_, _gutanduk, 
   {{0x34920108,0x8c6f00eb,0x0a9f031a,0xc3eb03d1}},	//   _ninggalk, _mmoroso_, _dithreab, _burti_, 
   {{0x3abe043a,0x4ac6016e,0x39a90311,0xd03400be}},	//   _logedön_, _servisle, _ስምዑለይ_, _سيۇئتادا_, 
   {{0x72ca000d,0x9faf00e6,0xc4d102d8,0x00000000}},	//   _osade_, _把视频贴到我的博, _पिडिएफ_, --, 
   {{0xf4a90039,0x213e00b4,0xbda90233,0xa3eb0373}},	//   _pasahitz, _fonduril, _facilisa, _balotrez, 
   {{0xc6110253,0xe2240116,0x15e30311,0x06cd0110}},	//   _ruslandi, _rooks_, _እንዳራኣኻ_, _parastai, 
   {{0xe2c501e9,0x25bd00c5,0xd28703d1,0x0ac30153}},	//   _ahilude_, _国务院公告_, _ignorē_, _回議事録が公表さ, 
   {{0xa51e0035,0x72240085,0x296d0204,0x99610090}},	//   _ekologiy, _inoke_, _magneett, _asingape, 
   {{0xa13f0513,0xfac9008d,0x34fb00b4,0x889c0059}},	//   _ahlengel, _ташланад, _termenul_, _служител_, 
   {{0xd292059c,0x971d04ca,0x214a0311,0x4ad20223}},	//   _getagt_, _arquetiè, _ኣምለኽቲ_, _aramaion_, 
   {{0x524a05bb,0x02dd0159,0x93f40117,0xa2370057}},	//   _hapmap_, _assorti_, _trutok_, _mnajem_, 
   {{0x00930071,0xf2cb03b0,0x00000000,0x00000000}},	//   _همدیگر_, _pryda_, --, --, 
   {{0x397b00c5,0x5ecd0184,0x33a2019a,0x526f02af}},	//   _初次上牌年份_, _gusimban, _hoopin_, _maribori_, 
   {{0xc2250120,0xc97500bf,0x6d2e03dd,0x31ac0297}},	//   _byakit_, _украшали, _tatimore_, _kamaltıy, 
   {{0xf9da0132,0x1b8a0210,0x1deb0059,0xa0610053}},	// [f210] _embereke, _akanakir, _странни_, _perselin, 
   {{0x16b8042d,0x5b28004d,0xb26c0318,0xc28901f4}},	//   _andamosi, _北市天氣預報_, _leiola_, _sababini_, 
   {{0x55310061,0x19d900a2,0x5a44032d,0x00000000}},	//   _만들었다는_, _limetoke, _lelekisa_, --, 
   {{0xbbad01ef,0x25770128,0xcafd0041,0x6fff0061}},	//   _народнай_, _ҳайкал_, _иҟынтә_, _임플란트에_, 
   {{0x44860342,0x88ab0071,0x50b70094,0x8bf601e8}},	//   _estratej, _مرکبات_, _جالىنىمە, _magtatab, 
   {{0xb16600ff,0xb0670013,0x8973022f,0x125a03f6}},	//   _איסורים_, _халкаро_, _плакатах_, _naele_, 
   {{0xbe0702c3,0x0f2d00e7,0xf3ea01b9,0x026d0272}},	//   _dospelýc, _abitatha, _skite_, _bagole_, 
   {{0xa25a0571,0xc64b00d1,0xb4010251,0x73dc0095}},	//   _haele_, _দক্ষিণাক, _doorteen_, _agawe_, 
   {{0x150600ff,0x9d190417,0xc3a70126,0x6afb0194}},	//   _דבֿורה_, _grondwet_, _другій_, _debrunne, 
   {{0xfde5049e,0xf30601fc,0x4ce5029f,0x72d90200}},	//   _diskusie_, _aagaruk_, _diskusiu_, _irighiri_, 
   {{0x9492034d,0x880e027b,0xf9dc02ee,0x203701b4}},	//   _tinggalk, _तपोऽतप्य, _ddefende, _watervoo, 
   {{0x6dfe0162,0x42010035,0x32910420,0xa27c0521}},	//   _سەرىپ_, _ravil_, _safada_, _rënda_, 
   {{0xb3a90220,0x8ba102ac,0xcf0501a7,0x72d6016e}},	//   _giovane_, _خخخخخ_, _halvemma, _gazeteci_, 
   {{0x0201001c,0xaaa20185,0xc35f0165,0xd37d034e}},	//   _roving_, _музыкага_, _pingree_, _casasde_, 
   {{0x7b5b00ab,0x52010453,0x380b0147,0x2f0200d3}},	//   _meatanga_, _bavim_, _دىڭسۇن_, _hormonů_, 
   {{0x42160219,0x329205b3,0x83950290,0xd3ea01a6}},	//   _atiyibul, _spraak_, _wieser_, _ohiti_, 
   {{0x52910242,0x6b0a0118,0x99ec019d,0xdc7703d5}},	// [f220] _havaya_, _abafiris, _alangiza_, _bedsore_, 
   {{0xf52d00a6,0xd7e504fd,0xd4970357,0x13a302f3}},	//   _abanteth, _कॉकरोच_, _nasauvuk, _vispa_, 
   {{0xf3160454,0xe3360501,0x0a17023b,0xb3940012}},	//   _mwoza_, _मेटाडाटा_, _nuhanuha_, _तिनफेड़ि, 
   {{0xe29a00f5,0xd3490135,0xf28e0057,0xd235012b}},	//   _химиясын, _бирюлево, _diskaun_, _niemiec_, 
   {{0x587b00d1,0x721c0207,0x92910439,0x92480241}},	//   _মহাকাব্য_, _rushwa_, _lavaya_, _enamelii_, 
   {{0x837300d6,0x7d130223,0x437f023b,0xc2010416}},	//   _dimgray_, _hirugarr, _hanauna_, _logiat_, 
   {{0x1ade0077,0x77590235,0x13ea03dd,0x00000000}},	//   _mantalit, _भूम्यां_, _thith_, --, 
   {{0x82e6024d,0x3290046d,0xd20103b0,0xe3130096}},	//   _ebanjwa_, _wanala_, _lavik_, _akicara_, 
   {{0xe63602df,0x726c066a,0xbe1a0161,0x00000000}},	//   _kaunseli, _sunog_, _дворца_, --, 
   {{0x62f40390,0x0b02012b,0x426c0529,0xced4008a}},	//   _olanlar_, _pobranie, _punog_, _kilivain, 
   {{0x47fa017d,0xd63701ee,0xf3e4023b,0xb37f0251}},	//   _コメントありがと, _файлов_, _alemanak, _inkasta_, 
   {{0x130d00bf,0x2eaf004b,0x73460135,0x17e704d7}},	//   _ученого_, _dikokwan, _bistädä_, _annarleg, 
   {{0xa2d401fb,0x3e0e055b,0x4b630528,0xd3160405}},	//   _ammoron_, _kraftsta, _chomasac, _наряди_, 
   {{0x82900285,0x826c04be,0x1dfe0297,0xee720137}},	//   _kanama_, _tunog_, _файлының_, _сортын_, 
   {{0x115c002c,0x89fa03bf,0x025a01a7,0xc7c302e0}},	//   _сурах_, _boramose, _reilun_, _ithuthaf, 
   {{0x42240157,0x0ed600e5,0x2c7c04fb,0xcae80192}},	//   _booki_, _идоли_, _asesora_, _afronden_, 
   {{0xc2f40390,0x23fa0418,0x63ea025f,0x00000000}},	// [f230] _elanlar_, _duruma_, _nkita_, --, 
   {{0x35d301c5,0xa36902da,0x61b700da,0x338f04df}},	//   _سێکستانس_, _viagens_, _титорий_, _aldyrsa_, 
   {{0x13ea03ef,0xac5302e8,0x73da0128,0xc69304a4}},	//   _shiti_, _bhotoro_, _трансчег, _innteach, 
   {{0xf29000c7,0x02f40138,0xcbda0129,0x6a120476}},	//   _sanala_, _ilanlar_, _isimbido_, _akaburit, 
   {{0x29f204e5,0xf46c0017,0xd9fd02d4,0x883a00c4}},	//   _abuusabu, _vibrační_, _branscha_, _پرواھھ_, 
   {{0x63fa0102,0xf2900241,0x2c9300a4,0xc30d01d2}},	//   _huruma_, _banama_, _جانار_, _cebadas_, 
   {{0x53ea00a1,0x93fa017d,0x520103b0,0x00000000}},	//   _whiti_, _kuruma_, _davik_, --, 
   {{0xfe9b072c,0x83eb025e,0x13fa026a,0xd3a30222}},	//   _seguinte_, _burtu_, _curuma_, _dispo_, 
   {{0x82490067,0xbad90046,0x53860111,0x00000000}},	//   _ademmu_, _permetin_, _audrie_, --, 
   {{0x9d4200ee,0xc3f902f0,0x16b500d1,0x92a602db}},	//   _болсон_, _inzuzo_, _মল্লযোদ্, _membas_, 
   {{0x83ea005b,0xe34a019b,0x6bb6021c,0xf9610119}},	//   _akita_, _dideliu_, _expedičn, _ipinapat, 
   {{0x47e803f0,0xa3eb0133,0x2201001d,0x8e3b0191}},	//   _alvarleg, _turtu_, _aavik_, _kvinnors_, 
   {{0x551705dd,0x82f4055f,0x8ed50253,0x235e0119}},	//   _सद्दाम_, _alanlar_, _pisiarin, _manggud_, 
   {{0x820106a8,0xd7cc011a,0xd30c0364,0xb3a30042}},	//   _iskorišć, _ההרחבה_, _gerappt_, _bispo_, 
   {{0xeda70091,0xa7f900d9,0x9bdf0158,0x67a800bd}},	//   _humiitta, _режиме_, _कनेरिया_, _abstaini, 
   {{0xd2d9032d,0x22240295,0x22e90388,0xe2f40343}},	//   _bebele_, _pooki_, _stringa_, _moandar_, 
   {{0x32d50243,0xf48e019b,0x534402ff,0x23dc028d}},	// [f240] _akronta_, _krovinių_, _chedèv_, _temwan_, 
   {{0x925a02f3,0x7a990113,0xf36800a7,0xf2b302da}},	//   _gamla_, _ايادى_, _drogues_, _компир_, 
   {{0xa68201b7,0xc11c020a,0x4c730366,0x54f80061}},	//   _आजगाम_, _сайттары_, _колосс_, _연기교육청_, 
   {{0x2d8d0039,0x8e270092,0x32a7058b,0x00000000}},	//   _kalostra, _ブラックエンジェ, _trebat_, --, 
   {{0xeddb00e0,0x660b011a,0xa2f600f7,0x53fa0177}},	//   _baskyske_, _minoriti, _akridoj_, _juruja_, 
   {{0x33960144,0xd20800de,0xc30501e0,0x12d9029a}},	//   _capsul_, _ديالا_, _شوبات_, _rezete_, 
   {{0x4dc303ab,0xcaea0534,0x06df0242,0x625a03cf}},	//   _podobné_, _sharexpe, _fevralın_, _damla_, 
   {{0x12900087,0xa56a040f,0xcb0700da,0x00000000}},	//   _fanaka_, _свечка_, _depresia_, --, 
   {{0x529103b2,0xc20100cd,0x00000000,0x00000000}},	//   _assay_, _dabien_, --, --, 
   {{0xf3d5005e,0x0e4b0097,0xdf1e016d,0x7e1600a1}},	//   _ﺗﻪﻧﺘﻪﺭﺑﯩ, _didasile_, _сайламни_, _kaperena, 
   {{0x80b202ac,0xb0600205,0xe38702f9,0x92e80109}},	//   _طائفة_, _raisinin, _cedras_, _kurzovní_, 
   {{0xf26c005b,0x6773014e,0xbe010407,0x144c00d9}},	//   _tomomi_, _светитељ, _uznemira, _огромным_, 
   {{0xb291023b,0x529000ea,0x26d4007e,0xa20104d7}},	//   _iavana_, _janaka_, _antarahi, _algilt_, 
   {{0xf29000e1,0xffd300aa,0x49fa00ab,0x72f40418}},	//   _danaka_, _gilimpyo, _kiritona_, _planlar_, 
   {{0x03c2016d,0xbf5000b7,0xc62c005c,0x449c002b}},	//   _كەلپىن_, _беренден_, _abanyedi, _চেম্বার_, 
   {{0xd08e0019,0xeb19019b,0xc2cb0409,0xe1770181}},	//   _бизнесте_, _nepasteb, _kryds_, _boganmel, 
   {{0x23100028,0x4aac00bf,0x7c7f0244,0x22e10059}},	// [f250] _waramay_, _повиннос, _vissuto_, _tornato_, 
   {{0x41b900a7,0x4cc4036e,0xc38703f5,0xefcb0188}},	//   _direcció_, _allinniq, _pedras_, _тӯҳфаҳои_, 
   {{0xd3240354,0x24f00156,0xf658011a,0x33440348}},	//   _بىنالارن, _ירעלאַנד_, _ופיננסים_, _basenze_, 
   {{0xf86e02a9,0x9291012c,0x59aa0141,0x00000000}},	//   _гройсман_, _gavana_, _холид_, --, 
   {{0xf9fe015b,0xc310004f,0x73fa00a2,0xaab60255}},	//   _abwatunt, _darajay_, _kuruka_, _यूरोसेण्, 
   {{0xa92900d9,0xe2cf000b,0x00000000,0x00000000}},	//   _неверно_, _tamomoe_, --, --, 
   {{0x52dc07de,0xc31001f4,0xfb700357,0x84ba03a2}},	//   _søndag_, _qaramay_, _laisiasa_, _प्लेसिस_, 
   {{0xf290005b,0xb2f10005,0xa2e70246,0x00000000}},	//   _tanaka_, _hozindi_, _инфаркта_, --, 
   {{0x7793033c,0x08580434,0x215b01aa,0x626e004b}},	//   _pontypri, _alcanzar_, _anlonhay_, _leqosa_, 
   {{0xf20201c2,0x9bcd012b,0xcea102c3,0x26aa0074}},	//   _ética_, _काशीपुर_, _bystrice_, _risteily, 
   {{0x33aa0303,0xc2900068,0xabac048a,0xe16f0185}},	//   _basading_, _danaha_, _جەبەسىن_, _dinendä_, 
   {{0xa4a80092,0x93b7042c,0x29db0161,0x9224044d}},	//   _コアリズム_, _nervira_, _страсть_, _kooku_, 
   {{0xe8d40040,0xe3fa0326,0x2a100010,0x1291023a}},	//   _שנשלחו_, _buruka_, _ingavume, _síkela_, 
   {{0x4a570061,0xf259029b,0xeaf8040e,0xaa1e0311}},	//   _프로필사진_, _genneeti_, _bibeloms, _ብዝጥዕመና_, 
   {{0xd86c03d7,0x0f4c00af,0xf34700da,0x4676003c}},	//   _efisyans_, _hanskene_, _punerea_, _رامشیر_, 
   {{0x3912014a,0xcc720332,0x33680033,0xf2d80256}},	//   _dinamiku, _piernas_, _progets_, _katoļu_, 
   {{0x7ee200c7,0x129003f6,0xe291007f,0x037c025f}},	// [f260] _поэтик_, _hanaia_, _hugain_, _matambe_, 
   {{0x42560024,0xaf2a0548,0x9ea201f0,0x00000000}},	//   _মান্তি_, _rastepla, _inorense_, --, 
   {{0xd364029e,0x82780138,0x298701c8,0xab64022e}},	//   _alamaneg_, _okunma_, _rekordér, _alamanac, 
   {{0x6290000b,0x98d60021,0x925b033a,0xd3fa01e8}},	//   _manaia_, _airfield, _italja_, _duruha_, 
   {{0x16b5024d,0x024b0089,0xe1d70187,0x1489004d}},	//   _newerhaw, _apaslıla, _deslocam, _中醫及生藥科技研, 
   {{0xe7930211,0x64c6034f,0x42e900af,0x33450415}},	//   _moottori, _راسموسن_, _операції_, _findest_, 
   {{0xbc250044,0x64870715,0xfe36015e,0x496b02f7}},	//   _בוורדפרס_, _स्काउट_, _tauletes_, _dimiriat, 
   {{0x1f260044,0xad7800be,0x1f3f0097,0x875a0151}},	//   _בברלין_, _ابىيرى_, _olúfè_, _branlaig, 
   {{0xc1750311,0x00000000,0x00000000,0x00000000}},	//   _ንፕረዝደንት_, --, --, --, 
   {{0x098501c5,0xdaba0170,0x05620220,0xc25b02ff}},	//   _boliiska_, _amavutit, _cervello_, _gralip_, 
   {{0x73060689,0x63eb0391,0x88940052,0xf9870297}},	//   _सुचित्रा_, _kgetha_, _जानेमाथि_, _artistka_, 
   {{0x063803b8,0x68d302c3,0x3fa70122,0xa05701f4}},	//   _тарататы, _prispiev, _براثر_, _мириқиб_, 
   {{0x0d9204f0,0x22bb035b,0x12a7026b,0x526c05fb}},	//   _direjine_, _telesne_, _mueble_, _timovi_, 
   {{0x1ecd01df,0x1f6301df,0xe17c00cf,0x0c51019d}},	//   _laziness_, _preaches_, _bufataal, _kuitana_, 
   {{0xdd9901b9,0x5dff0462,0x1b640285,0xb37a047c}},	//   _detoutfa, _angentta, _amatunda_, _lesaren_, 
   {{0x3f210371,0xc7a3047c,0xe37f0020,0x220000ed}},	//   _acquista, _austrhei, _nanaina_, _kining_, 
   {{0xc6ce016e,0x09bb0305,0xbf3403ae,0x9b9702eb}},	// [f270] _karadeni, _meldinga_, _bærekraf, _задарч_, 
   {{0x227f00b3,0x12910196,0x9b1c046f,0x94990287}},	//   _utanç_, _ahzabi_, _gespenst, _jednatel_, 
   {{0x83fa006d,0x541a0092,0xf23601fe,0x1c6701c1}},	//   _forumo_, _全てのレスを表示_, _laudreti_, _skarang_, 
   {{0x09730163,0xb3ea03da,0xb5f90244,0x002f03b6}},	//   _lebiggye, _okite_, _горят_, _imuṣiṣẹ_, 
   {{0x132a0212,0x2ea4045a,0x520002ce,0x8e9600bb}},	//   _vakhtang_, _vestlige_, _nining_, _ڈراوڈ_, 
   {{0xed2c0181,0xcd8b03df,0x00000000,0x00000000}},	//   _varieret_, _dalføre_, --, --, 
   {{0xd8ed01aa,0x04b50223,0x83780415,0x00000000}},	//   _afeguard, _албадын_, _bekamen_, --, 
   {{0x1d5a0238,0x3c20036e,0x721300ad,0x920000e0}},	//   _кожен_, _amaqari_, _mughni_, _bining_, 
   {{0x5f4802c2,0x0a3400f5,0xc4c20477,0xd2240320}},	//   _kunstena, _генетикл, _membalik, _enoko_, 
   {{0x1fad01f4,0xa91207f6,0x02fd03b7,0xda290012}},	//   _бирламчи_, _akvariju, _alegay_, _पटेहरवा_, 
   {{0x32ca033e,0x83540145,0xd34705c2,0x7aeb01ad}},	//   _asado_, _numeris_, _valelwa_, _caloocan_, 
   {{0x53eb01ef,0xda0800ba,0x44d5038e,0xe15a02be}},	//   _kurti_, _ئوڕووپا_, _लिबिया_, _asiryano, 
   {{0x63dc0342,0xd17f01e8,0x829103d1,0xce9501af}},	//   _temwen_, _cicarell, _pavada_, _bermeyan, 
   {{0x3fb2005e,0x040802eb,0x2c720332,0x784c00da}},	//   _ﺗﺎﺋﺎﻣﻠﯩﺮ, _тэвчиж_, _pierdas_, _promisiu, 
   {{0xf163020f,0x00000000,0x00000000,0x00000000}},	//   _عاجزۍ_, --, --, --, 
   {{0x6d8b02d0,0xd69d02bd,0xb6ce029f,0x36940258}},	//   _fireside_, _goruchwy, _zaradeni, _loftmach, 
   {{0xb29e0237,0x938702ce,0x6c7400ca,0x125f054a}},	// [f280] _miljoen_, _amarah_, _comunas_, _sprovodi_, 
   {{0xdbe50225,0x4c7d026c,0xf983032d,0xf30c0053}},	//   _disembar, _frustra_, _baikaket, _teramat_, 
   {{0x5edb01bd,0xf3690257,0x3c53007e,0x00000000}},	//   _بارەكەلد, _tengdur_, _बिभेद_, --, 
   {{0xcee400a7,0x023c0056,0x0d940152,0x2ae90067}},	//   _ئچىشىڭە_, _системаи_, _атамалар, _baatiile, 
   {{0xe22d0307,0xdc5902a5,0x27d70107,0x5200005b}},	//   _abavotel, _stavbě_, _سارافون_, _yukiko_, 
   {{0xd00a0244,0x1d2c016f,0x4b6f044a,0xb60d01a0}},	//   _списание_, _varierte_, _kintsuka_, _lovorisi, 
   {{0xa2b50077,0x1200003a,0x344601db,0xf3bb00c4}},	//   _chache_, _zining_, _ءبورىباي_, _ڀڳوان_, 
   {{0x1758003a,0x72e90298,0x94b601c1,0xe3790132}},	//   _бандалар, _huringa_, _चेंडू_, _maradva_, 
   {{0x52da0130,0x95dc00c4,0x42ed013c,0x2c290037}},	//   _herent_, _ويٽنام_, _bakinec_, _አይካድም_, 
   {{0xffb4014a,0x5f42019b,0xdf5c030b,0xc0b00227}},	//   _erotikus_, _генэраль, _ataagaan, _muamalah_, 
   {{0x026c0085,0x99dc00ba,0x9ae8012e,0x83780135}},	//   _domoni_, _داماڵینی_, _nyaklánc_, _babayga_, 
   {{0x714d0321,0xfacd0143,0x8a0d048e,0x820f0024}},	//   _obvestil, _посещени, _gebanane, _এছিয়াৰ_, 
   {{0xab7201fb,0xbb8f004e,0x6c1c0211,0x00000000}},	//   _abassara_, _gisiguro_, _sekunnis, --, 
   {{0xe2c20275,0xd6070038,0x126c029e,0x679c00d3}},	//   _alalata_, _киржач_, _arnod_, _dílenské_, 
   {{0xeaa9026f,0x948900c5,0x662d0268,0xa2000140}},	//   _керемет_, _新用户注册_, _abilityw, _sining_, 
   {{0x426c028a,0x00000000,0x00000000,0x00000000}},	//   _homoni_, --, --, --, 
   {{0x72ca057b,0x63fa0234,0x827e01fc,0xcffa002b}},	// [f290] _usado_, _foruko_, _idinih_, _অশিক্ষিত_, 
   {{0xe33100c5,0xe3a30230,0x72010212,0xa411003c}},	//   _国家粮食局_, _dispa_, _navis_, _مسجدالحر, 
   {{0x48140037,0x3bcc005e,0x830d0160,0x92da02f7}},	//   _ገንዘባቸውን_, _ﺋﯚﻳﺪﻩ_, _napamet_, _ditema_, 
   {{0x6826016d,0x8b9d05d4,0x12d00219,0x4b34005b}},	//   _كانادا_, _गुरुनाथ_, _ekhelini_, _dogadais, 
   {{0x1cf20033,0x2291025c,0x25440311,0x72e9038e}},	//   _cuntansc, _dankbar_, _ዝመስረቱ_, _bejibun_, 
   {{0x12f103c7,0x9a1002b6,0x90100094,0x544d0017}},	//   _pomocą_, _الاقاي_, _الاياق_, _प्रतिभाक, 
   {{0x125a003e,0x429104f0,0x83ea01f9,0x9c7c0372}},	//   _taelo_, _magato_, _akate_, _blismyn_, 
   {{0xa8e70220,0x9b80010d,0xf2000122,0x4ea701ba}},	//   _затвори_, _रेशमी_, _gajian_, _nseltenn, 
   {{0xe581009b,0xdf3302d3,0x526c008d,0xae1d00d9}},	//   _mantentz, _функција_, _yomoni_, _hämmensi_, 
   {{0xe3f90377,0x8ab20003,0x1dfe0373,0x73a3029e}},	//   _legume_, _lichaams, _פוסטריט_, _dispi_, 
   {{0xf6d102a2,0x22cb009a,0xeab0029f,0x00000000}},	//   _malalaki, _amadod_, _tradičná_, --, 
   {{0x1201017e,0x30bb005d,0x23870175,0x731a02e0}},	//   _havis_, _angloyvy_, _redres_, _bosilong_, 
   {{0xd386036e,0xe975036c,0x3a710181,0xcdc400e3}},	//   _ayoreo_, _alendale, _hayakawa_, _cirkosta, 
   {{0x4b270590,0xf3cf005a,0x1ea9020e,0xdd1801e9}},	//   _үржлийн_, _chavpu_, _bastoike_, _dikolobe_, 
   {{0xacc80144,0x486e0279,0x0e1a0354,0x00000000}},	//   _تتعلق_, _coussins_, _تەكەللۇپ_, --, 
   {{0x62da00a5,0xd7e400c1,0x087500b3,0x058e020c}},	//   _aitema_, _जगभरात_, _ылымды_, _menempuh, 
   {{0xb26c01da,0x35bb0238,0x599600f3,0x62010230}},	// [f2a0] _punon_, _сталася_, _bathathe, _navir_, 
   {{0x3f2800be,0x82770524,0x00000000,0x00000000}},	//   _تۅكمۅلۅر_, _spremišt, --, --, 
   {{0xfdcf0013,0x00000000,0x00000000,0x00000000}},	//   _ичкиликд, --, --, --, 
   {{0xc3ea0195,0x7e4d0044,0x1adf00e9,0x5d9f003e}},	//   _chath_, _proposed_, _losterit, _ditereke_, 
   {{0x026c0007,0xd3ea0113,0x43420040,0x7d8a012a}},	//   _tomoni_, _dhath_, _undergo_, _londynie_, 
   {{0x5c2a0037,0x1ea900e2,0xc827014e,0xd2910085}},	//   _አምነስቲ_, _eastlike_, _културол, _vavaca_, 
   {{0xb25b00fe,0xb20100fc,0x53790089,0x00000000}},	//   _fualoa_, _qavit_, _karauga_, --, 
   {{0x9b7d010f,0x0985023b,0x03ea031a,0x03d50244}},	//   _wasukuma_, _gerizima_, _ghath_, _култивир, 
   {{0xd0ca0479,0xd6d103e7,0x530e038b,0x5d5a0185}},	//   _cégünk_, _kalalaki, _teratas_, _интегә_, 
   {{0xd5d5014f,0x599a0220,0xa2e7034d,0x00000000}},	//   _туризма_, _светът_, _minumlah_, --, 
   {{0x02da024a,0x34bc00f6,0xb441004d,0x34810086}},	//   _ferese_, _rusların_, _遵守中華人民共和, _fűthető_, 
   {{0xc2df0026,0x87a50263,0xdc9800cb,0xd6a50450}},	//   _twintig_, _toeristi, _awugustu_, _toeristy, 
   {{0x59bf02aa,0xb290034c,0xe2fd0198,0xbebf0229}},	//   _naleznet, _almaş_, _učinek_, _istedadı, 
   {{0x20be0615,0xad330008,0x6c6e00b0,0xb25a03f1}},	//   _unapređe, _detingut_, _afartaa_, _prilba_, 
   {{0x87cb0023,0x4a0002d8,0x52da0439,0x0aad00a0}},	//   _участник_, _sarannya_, _kerese_, _cunkoson_, 
   {{0x6c6f0313,0x7b3a006d,0xcd980455,0xc5cf037f}},	//   _betreka_, _статую_, _remercie_, _goranboy, 
   {{0xe37801cd,0xbae604e7,0xbdce0849,0x5291012c}},	// [f2b0] _cabanga_, _najradse, _गालीगलौज_, _nafaka_, 
   {{0x1a55008a,0x32c401b8,0xa83403b0,0x145600ba}},	//   _aopeopea_, _firmast_, _hjemmead, _قوژبنێکی_, 
   {{0x7ea901f1,0x4fd900a4,0xe36f015b,0xa2d801ff}},	//   _popullit_, _кичинеке, _singaut_, _oviec_, 
   {{0xef4d023d,0xc3ea03b4,0xcce8019d,0x00000000}},	//   _proposte_, _bhati_, _kukwatir, --, 
   {{0xa3060659,0x185d0041,0xa554013d,0x92fc0130}},	//   _menarik_, _аҟнытә_, _כרמלית_, _meziant_, 
   {{0xc9ec0226,0x4a5c02ac,0xe3ea006f,0xc602023e}},	//   _akhudzid, _لتفتيح_, _dhati_, _schlessi, 
   {{0xc29203ad,0xe2fc0203,0x0da902d4,0x5a670204}},	//   _virali_, _arrivat_, _istorgia, _кризиса_, 
   {{0x08820162,0x2660023b,0x3b810462,0x35030040}},	//   _постлақ_, _laikinii, _alcogenc, _הרשקוביץ_, 
   {{0xb3c8058a,0x42cb03f3,0x0c1600f5,0xe3ea0129}},	//   _servus_, _steden_, _titremes, _nkiti_, 
   {{0xa201027b,0x8343012d,0x7f2f002e,0xd7bf01ec}},	//   _ravir_, _halevim_, _posvećen_, _maturnuw, 
   {{0x6d35014e,0x1d7a002b,0x02da0212,0xfaf50130}},	//   _словена_, _ফিনিক্স_, _gerere_, _ekosfere, 
   {{0xe6950086,0x422a014e,0x81170188,0x83710277}},	//   _مطبوعہ_, _корак_, _клиникав, _mabawog_, 
   {{0xbb98036c,0x95b700bb,0x59fd0011,0x98fd0322}},	//   _ambivitr, _ریسورسز_, _bagikuba_, _bagakund, 
   {{0x947801cd,0x02e502f7,0x00000000,0x00000000}},	//   _булғорис, _iponela_, --, --, 
   {{0x9bed0031,0x4f6304b9,0x4ad70008,0xb0b60046}},	//   _diperkir, _breathes_, _destacat, _демөөрчү, 
   {{0xde410416,0xfcf700c7,0x030e02cb,0x7c7c0121}},	//   _combatte_, _лайнеры_, _odricanj, _estrés_, 
   {{0x3b1f0029,0x662c034f,0x13ea0558,0x997600a3}},	// [f2c0] _وڵبده_, _abancedi, _nkata_, _franskme, 
   {{0x144700a4,0x69da018d,0x275b03d5,0xa07d003e}},	//   _باشتاپ_, _ዝጣበቕን_, _amniotag, _дизайнды_, 
   {{0x5d8e036f,0xa1ec01e6,0xf46d0192,0xf43901e5}},	//   _odgovora, _olympiád, _베타테스터_, _beebeelo_, 
   {{0x9c3003bf,0xa29200e1,0x02910251,0x23960189}},	//   _boisebis, _duwaan_, _lafaha_, _hersey_, 
   {{0x296d010f,0x2543015e,0x00000000,0x00000000}},	//   _самимона_, _берметте, --, --, 
   {{0x73e70378,0x0c230105,0x5b050010,0xbc56018b}},	//   _mátar_, _lokalnyc, _batsembe, _cartile_, 
   {{0xae4601b2,0x13ea00ab,0xef480091,0xc2da018b}},	//   _delapida, _whati_, _nungutin, _cerere_, 
   {{0x12ef0242,0xa04a018a,0x00000000,0x00000000}},	//   _texniki_, _meirionn, --, --, 
   {{0xffa1027b,0x339400e4,0xce8c0074,0xbd220108}},	//   _akaluṣam, _opisem_, _осторожн, _metrolyr, 
   {{0x53870277,0xbc730408,0x773a0311,0x03eb0125}},	//   _bedris_, _asisika_, _ዝዝክሮም_, _blatow_, 
   {{0xbb130166,0x52410513,0x44f3004d,0x82690462}},	//   _gegangen_, _elembeni_, _惠賓樓活魚餐廳_, _anagingm, 
   {{0xfcb40074,0xbb2d0099,0xa9750126,0xe16a0307}},	//   _итальянс, _achangos, _клубів_, _kungavul, 
   {{0x925a0451,0x2d09039e,0xd247030d,0x52ca0629}},	//   _kaela_, _পৃথিৱীৰ_, _rəmzi_, _ashday_, 
   {{0xf430016d,0x62da01c5,0xa2010025,0x075d0326}},	//   _ﺋﯜﻣﯩﺪ_, _siteka_, _arcimo_, _ataisang, 
   {{0xe2d903bf,0x115c0039,0x3fb4008c,0x02e6018e}},	//   _sebele_, _турах_, _superiur_, _ntangha_, 
   {{0xa04303f6,0xa25a056a,0x0b370093,0x00000000}},	//   _makuakan, _laela_, _дахарх_, --, 
   {{0x75720314,0x82670163,0xe59c0156,0x00000000}},	// [f2d0] _тютчев_, _کیلوریز_, _אלבעני_, --, 
   {{0xc34b03ec,0xb7840156,0xb3ea004b,0x3ea7020f}},	//   _liderit_, _נאקעטע_, _khato_, _شونډي_, 
   {{0xf94e02f7,0x2f6301c4,0x7bb90244,0x48870161}},	//   _atolosit, _tamaties_, _герена_, _анализов_, 
   {{0xbbaa022f,0x50740256,0x51b90510,0xd9ce0003}},	//   _паседжан, _homeopāt, _привлекш, _objectde, 
   {{0x93ce0004,0xf75d01a6,0x00000000,0x00000000}},	//   _swivi_, _atairang, --, --, 
   {{0x86d20226,0x5c510203,0x4202034b,0x097a0153}},	//   _akhaziki, _britana_, _musiro_, _愛知県知多郡南知, 
   {{0x1a960256,0xf90d03e0,0x84850235,0x47ad002b}},	//   _interesē_, _donatiou, _स्वामि_, _তাআলা_, 
   {{0xb178003e,0x76c9005b,0xaa9e03b4,0x425b02e4}},	//   _портында_, _cytarabi, _edzimhos, _isalva_, 
   {{0xa7a10212,0xa0c6000b,0x99220012,0xcc5a006e}},	//   _illustri, _avaleval, _छौंड़ा_, _fentati_, 
   {{0x1fcf0060,0x42310303,0x4ae7015e,0x53bf0414}},	//   _адамдық_, _itumela_, _беришине_, _samwele_, 
   {{0x13ea00a1,0xa84500a7,0x52bb00af,0xe08904c7}},	//   _whitu_, _últimes_, _lederne_, _секира_, 
   {{0x824c001a,0xbc71041e,0xf88a0076,0x00000000}},	//   _normális_, _pessime_, _предлози, --, 
   {{0x6a6c020a,0x5a960029,0xfb560291,0xa5c3019b}},	//   _ағыны_, _ئایفۆنه_, _واروما_, _рэфэрэнд, 
   {{0xd86b0328,0x8e01005b,0x6d8001aa,0x5d2e001c}},	//   _agandagu, _enneagra, _allmerba, _ipapadar, 
   {{0x33840162,0x8a570126,0xf38203fb,0x868b04df}},	//   _атландур, _читача_, _pokretim, _biriniń_, 
   {{0x91bb016d,0x1db800c2,0xa0ea0128,0x9f1903d4}},	//   _تىببىي_, _itanduka, _машинасо, _колегама_, 
   {{0xbce800e4,0x1c4b05c5,0x4f8202a5,0xa3ec0111}},	// [f2e0] _अनामिका_, _परिन्दा_, _हङ्कङ_, _anargiri_, 
   {{0x1f15045f,0xd37b042c,0xb1cc040f,0x563300ff}},	//   _fortfara, _izrazio_, _сынам_, _עירקרעפט_, 
   {{0xc23103a0,0xb3aa004b,0x84c10125,0x09e701bb}},	//   _atumela_, _basaling_, _төлеге_, _улланыля, 
   {{0x92ca0263,0x8f5700d5,0x3f3900e4,0xea4a030a}},	//   _midden_, _mananten, _मुनियों_, _falecida_, 
   {{0x8a05028a,0x2e180654,0x6cf70024,0x22020013}},	//   _اندرئين_, _disekola, _mottakar, _asrida_, 
   {{0x09420175,0xb2f301ef,0xea880281,0xd3aa00fa}},	//   _antraver_, _pamatyti_, _assingus, _nasabing_, 
   {{0xbba600e6,0x0a50010f,0x527f0007,0x128203d1}},	//   _网友收藏最多的_, _abhekana_, _imenga_, _privilēģ, 
   {{0xbe9b003a,0x421d01a3,0x23f90334,0x00000000}},	//   _hammasin, _مقرريءَ_, _chauma_, --, 
   {{0x9db80069,0x5eff01ef,0xdada018d,0x429200b9}},	//   _atanduka, _paskolos_, _መዝሚዞም_, _birahi_, 
   {{0x1b030797,0x6a030257,0x2449014f,0x82ee018a}},	//   _forsende, _forsendu, _краткоро, _casineb_, 
   {{0x626c00fe,0x289f036d,0x62ca03e6,0x2dc70045}},	//   _hunoa_, _midwater_, _jidden_, _темељима_, 
   {{0x825b01a7,0xedb50430,0xbd6c02b2,0x523e01d5}},	//   _osalta_, _nyanyula, _луганськ_, _múltra_, 
   {{0x3fea04d8,0x1291005b,0x00000000,0x00000000}},	//   _پروانا_, _mybaby_, --, --, 
   {{0xa8c500d1,0xc2ee007f,0x00000000,0x00000000}},	//   _সংগঠনক_, _gasineb_, --, --, 
   {{0x726e0312,0x1ff00223,0xceef0013,0x42da00f4}},	//   _aksoum_, _женко_, _одобни_, _dereat_, 
   {{0x2d0001e0,0xf25b008a,0x544902a9,0x2060006c}},	//   _مپینی_, _agulu_, _сербія_, _abasenin, 
   {{0xd27f0396,0xebbe049e,0xf0da0092,0x156604e3}},	// [f2f0] _emenda_, _prerušen, _バラエティ_, _neovisno_, 
   {{0x8152026f,0xcc0d00b9,0x9af1006c,0x00000000}},	//   _ابەيبولل, _bersiap_, _ahashive, --, 
   {{0x7633009b,0xbdcd00e6,0x2cbe0143,0x255701a3}},	//   _artifizi, _及中华人民共和国, _цанев_, _تباھھ_, 
   {{0x729203e8,0x33ce0476,0x4be70433,0xda52033f}},	//   _hkrati_, _kwavo_, _warendor, _hilehila_, 
   {{0x728b042f,0xa2da025c,0xad05012c,0x09f600c0}},	//   _kanatami_, _bereit_, _nzirorer, _alintana_, 
   {{0x420f024d,0x1f57036c,0xe0520187,0x25740188}},	//   _bathumbi_, _fananten, _турските_, _озими_, 
   {{0x2c1e0497,0xbd4b0113,0x27a802c7,0xa53b0193}},	//   _purport_, _برسالة_, _studieng, _प्रांताच, 
   {{0xe3dc00f3,0xe0240040,0x864f017a,0x9886020f}},	//   _ngawo_, _ואחזקה_, _abahloni, _چاکلېټي_, 
   {{0x0af70244,0x5eca0392,0x815c014e,0x077801e0}},	//   _галерия_, _beantuin, _душан_, _اوکاری_, 
   {{0x138302c1,0xc3ea03b9,0x7aad023e,0x4fd50100}},	//   _bonyine_, _thits_, _مدرکی_, _protumač, 
   {{0x33ea028b,0x3b6f019e,0xbc6f0053,0xa6cc00a0}},	//   _hiaty_, _адпусьці, _setrika_, _ibraheem_, 
   {{0x32ca01c7,0xde96005e,0x5b8a003d,0x18510287}},	//   _dilden_, _مىجىت_, _caribisc, _obhospod, 
   {{0x9b1900c8,0xfc88011f,0x060c00c5,0x188901f6}},	//   _nepahets, _георгии_, _évolutio, _স্ৰষ্টা_, 
   {{0x30fc0401,0xf3780082,0x6ac80126,0x47cd02cf}},	//   _यथावत_, _bukatun_, _андрія_, _passaram_, 
   {{0x13f20262,0xcc65006e,0xebcc02ba,0x9c0e0151}},	//   _başlady_, _amatunu_, _моликият, _dappled_, 
   {{0x80f0042f,0x5fe503dc,0x286b0417,0xa4ac00d2}},	//   _tugaalik_, _fiskasto, _afriforu, _dikawink, 
   {{0xcc01018b,0xec4300d6,0x926c075b,0x00000000}},	// [f300] _multumes, _žĕĥôŗ_, _bufon_, --, 
   {{0x427e03d9,0x8383005c,0xd2da02fc,0xa73f043f}},	//   _aminay_, _yonyine_, _perefe_, _budućim_, 
   {{0x92ea04a4,0xa3e70416,0x32d9009f,0xc8170335}},	//   _caingis_, _láter_, _jezene_, _bhīsma_, 
   {{0x0ae10020,0x326c0061,0xae3802ce,0xb21c0067}},	//   _aputiput, _scoort_, _balangsa, _eeshin_, 
   {{0x92da0138,0xce87019b,0xc2b203ff,0x13ea00ee}},	//   _nerede_, _круглую_, _londýn_, _ukitu_, 
   {{0x4a9304e5,0x02900085,0x529003ec,0x00000000}},	//   _alongoos, _sokanu_, _ankand_, --, 
   {{0x8cf40066,0x4b8c00a5,0xbef200cb,0xd37a024c}},	//   _цементий, _korinito_, _anikufun, _innegozj, 
   {{0xe7d1023c,0x222401a4,0x62d40456,0xc1930097}},	//   _ګلستان_, _mioko_, _jolokan_, _tìjání_, 
   {{0xb2120177,0x1d4a00bf,0x9e91011a,0x257a035d}},	//   _apoha_, _зверей_, _instruct_, _odsustvo_, 
   {{0x39f20478,0x7cd5003f,0xdae70244,0x3e9a033d}},	//   _caminada_, _jichechq, _великите_, _justifye_, 
   {{0xc38100c0,0x12d4003f,0xc3ea02f9,0x5a8000ec}},	//   _kanyang_, _holohan_, _ekate_, _здзейсні, 
   {{0x5212035a,0xf27c0444,0xd9360289,0x649f002b}},	//   _dukhan_, _поступаю, _akumwera_, _মূল্যের_, 
   {{0xa27f0197,0xbb3502c4,0x63ea04c0,0xc4210107}},	//   _blanch_, _máquina_, _nkate_, _anganggo_, 
   {{0xe5670161,0x5ff7028b,0x8f6400b6,0x0f030025}},	//   _цитаты_, _зынагӡар, _malaakin, _devanikā, 
   {{0xb2910087,0xd8ff0002,0x132e0256,0xe27703db}},	//   _lavaka_, _raspolag, _privātmā, _emanzini_, 
   {{0x226e02a4,0x838104b2,0x1ed402d9,0x430e0233}},	//   _magistri_, _ganyang_, _filipain, _japanes_, 
   {{0xdaa30306,0xfcd5050a,0x86350478,0x00000000}},	// [f310] _chukisus, _gireceği, _concurré, --, 
   {{0xa37904ce,0xe815011d,0x0b1f003c,0xe27802af}},	//   _musanda_, _дурата_, _رودفایل_, _ijunja_, 
   {{0xc1eb00ba,0xaa0800b3,0xe9a700bf,0x00000000}},	//   _رنیوزی_, _buharest, _галаев_, --, 
   {{0xcc160689,0xe2240339,0x9ec9004d,0x37590371}},	//   _मृत्युन्, _iioko_, _鐵鋁窗安裝_, _карамите, 
   {{0x2b420349,0x9f410258,0x2200008b,0xc92b0059}},	//   _electeds, _kimswert_, _budism_, _студена_, 
   {{0xa3940075,0x025b0176,0x73eb01d4,0x6ed30037}},	//   _minsta_, _qualia_, _saetta_, _እንሰንብት_, 
   {{0x761903e0,0xa8d403ea,0x92bb02ec,0xe48702de}},	//   _organisé, _pagesjau, _ڈۆلمُت_, _स्वांग_, 
   {{0xb25a01b2,0xf0f002ec,0x23780135,0xf1350049}},	//   _halley_, _زیٖنہٕ_, _kazanga_, _faileleí_, 
   {{0x94fe029a,0x157701a3,0xe9f90401,0xed8e046b}},	//   _primordy, _بڇڙائي_, _पिण्डदान_, _dadwneud_, 
   {{0x01470220,0xf3ea0216,0x0c0002c7,0x00000000}},	//   _начина_, _djite_, _wartungs, --, 
   {{0x32e60072,0x729101b5,0xc3210181,0x33a20158}},	//   _utancha_, _havaka_, _dacyan_, _kropka_, 
   {{0x306f018d,0x489f0010,0xec64024c,0x3c600704}},	//   _ንምቁጽጻር_, _anekuchu, _baltiku_, _overtid_, 
   {{0xfb760441,0xd3ce0187,0x68d803b0,0x00000000}},	//   _soustava_, _ativa_, _buzzador_, --, 
   {{0xab6101b7,0x62370082,0xc30d000a,0x32910403}},	//   _सुधनः_, _hammata_, _appanut_, _davaka_, 
   {{0x52d80312,0x460b024e,0x6497012a,0x00000000}},	//   _aviel_, _ljudskim_, _galaretk, --, 
   {{0xe301014a,0x706d0620,0xae1c020e,0xf37900c4}},	//   _maradni_, _pompeian, _itsebaha, _busanda_, 
   {{0xf2bc0455,0xc26c002e,0x52ca0216,0x0fe100f0}},	// [f320] _médias_, _crnom_, _endlani_, _kamienko, 
   {{0x128001e5,0x8adf0437,0x83ea000c,0x2753039e}},	//   _ajakaye_, _ubetinge, _maitei_, _brenning, 
   {{0xa17d00ff,0xc38d028a,0x3a09008e,0x62240265}},	//   _מיאוס_, _خلاصو_, _insallaa_, _sokken_, 
   {{0x194f0092,0xb4a30025,0x0f6202ac,0x025b01df}},	//   _獲得ポイント_, _ज्ञानकर्, _homaighn, _fauld_, 
   {{0xdb0b0178,0x5644002b,0xea9c036e,0x59f70015}},	//   _apraviṣṭ, _অক্ষরে_, _dirichun_, _adagtahe, 
   {{0xecf700ee,0xb345047b,0x1f610052,0x8d8a0397}},	//   _sistemar, _bindast_, _चित्रहरू_, _amponjwa, 
   {{0xda730356,0xa26c02bd,0xc3ea0077,0xd38605ab}},	//   _simanata_, _arnom_, _ajite_, _cobre_, 
   {{0x3851013f,0xa2ca0719,0xa2c403e6,0x47250011}},	//   _strollad, _skhdt_, _blomäs_, _ayambeng, 
   {{0x42d20020,0xacbc0044,0x126e0051,0x2ef9042c}},	//   _katelani_, _detained_, _kupons_, _ranjavan, 
   {{0x425b0277,0x11ff007d,0xd26c022a,0x88620210}},	//   _ngalan_, _makanlah_, _lunot_, _asingand, 
   {{0x6bb30376,0x027f0397,0x806c0452,0x00000000}},	//   _biskupur, _amenza_, _हडपसर_, --, 
   {{0x5c220078,0x33f901d4,0xe5ff0025,0x61cd0030}},	//   _добром_, _regule_, _प्रदर्शय, _garantēt, 
   {{0x03ce02d4,0xf78701db,0xa9d703cf,0x60160125}},	//   _stiva_, _بابامىز_, _gazetele, _салымда_, 
   {{0xf89801ef,0xf2da0217,0xba0200c7,0x261901f0}},	//   _пабудава, _cernite_, _asramaga_, _dikologi, 
   {{0x868d01c9,0xe6bc0235,0x00000000,0x00000000}},	//   _परसार_, _समेता_, --, --, 
   {{0x92c801cf,0xc1dc002e,0xc25b04b9,0xabdf02c6}},	//   _europee_, _istovrem, _bauld_, _baneller, 
   {{0x3c7604b6,0x4b21001e,0xd2360306,0xd25b019a}},	// [f330] _itariki_, _wasannin_, _alojta_, _cauld_, 
   {{0xbfa50208,0x7b1f020f,0x926e02c0,0xcafc033e}},	//   _جومعه_, _دقیرغیزس, _cupons_, _kurupayt, 
   {{0xc4f400c5,0xfa4503ce,0xd58102e4,0x32250058}},	//   _图片上滚动鼠标滚, _ئۆگرانی_, _kostituz, _spekul_, 
   {{0x6a0c034e,0x129200bd,0x4ee8004c,0x00000000}},	//   _agradaqt, _aquals_, _baakiwan, --, 
   {{0x8cbc0044,0xc201004f,0x734800f0,0x4ee80059}},	//   _retained_, _dogiit_, _uniesli_, _ветрове_, 
   {{0xb14e05b5,0x678a0148,0x7053013a,0xd14b0138}},	//   _metabóli, _我的碎碎唸_, _halschen, _nitelikl, 
   {{0x2ddb01f4,0xaa5a018b,0x0dbc0050,0xbc6703df}},	//   _اعزازده_, _гарантяз, _kabiasaa, _kvardag_, 
   {{0x325b0544,0x886f02da,0x17ba008c,0x92ca0058}},	//   _haule_, _dificuld, _cleramai, _reided_, 
   {{0x1e690167,0x9c5101e1,0xccce0128,0x00000000}},	//   _chacenna, _esitana_, _кодексид, --, 
   {{0x0b99012b,0xf27f004c,0x058a00de,0x2a930244}},	//   _ह्युंडई_, _amenya_, _babeyikh, _ролери_, 
   {{0x1a16018e,0xcee0036d,0xf9fe00d0,0x77b003e0}},	//   _ambalaka_, _chaingis_, _sagardot, _brautlei, 
   {{0xba7d005b,0xcb63021e,0x1213020f,0x357700da}},	//   _nakamura_, _applicer, _واشينګتن_, _pastreaz, 
   {{0x5ed6032d,0x72910143,0x00000000,0x00000000}},	//   _идель_, _pagato_, --, --, 
   {{0x2b78023b,0x60e800df,0x65eb00e6,0x83f10066}},	//   _kukuluia_, _habituel, _三井出信国内轻质, _abeslari_, 
   {{0x81f60029,0x82bf02e5,0x9def0163,0xfa0303c3}},	//   _ساڵرۆژی_, _angirü_, _اجتماعیت_, _služio_, 
   {{0x7ba500b3,0x42d70354,0x138701fc,0xf4b1025b}},	//   _агалык_, _راستچىل_, _derre_, _ulladukk, 
   {{0x41b303ce,0xd2bb003e,0x67a400d6,0x649c03bf}},	// [f340] _ناگرم_, _bolekoe_, _مضمونه_, _иланы_, 
   {{0x33870212,0xf2010044,0x2d8a00c5,0x831a0313}},	//   _ferre_, _diving_, _parfaite_, _dirchaj_, 
   {{0x931d009c,0x03ea0414,0x821301f7,0x852f006c}},	//   _moncayo_, _akiti_, _luchon_, _abanetsh, 
   {{0x5b0f014a,0x589301de,0xa08c0388,0xcc9c00d3}},	//   _jellemző_, _сабырлық_, _затварят_, _योग्यताक, 
   {{0xe2480044,0x97a30448,0x89e60101,0x17a601e6}},	//   _animal_, _overbevi, _sfarsitu, _majetkov, 
   {{0xd07700da,0x8a000442,0xe2eb0108,0x838701c9}},	//   _ироник_, _haramnya_, _chairil_, _kerre_, 
   {{0x83040089,0xf586001c,0x883800a4,0xdfd202f6}},	//   _дворкови, _terezinh, _исаия_, _alinsuno, 
   {{0xdb0e0101,0x9c2d037c,0x00000000,0x00000000}},	//   _persoana_, _barbaror, --, --, 
   {{0x63a2024b,0xa14d017a,0x00000000,0x00000000}},	//   _propia_, _рассомон_, --, --, 
   {{0xef4202ee,0xe2da0138,0xc1f300fe,0x8a010294}},	//   _trasport_, _nereye_, _kaungaam, _carronku, 
   {{0x22e900d0,0xade100d8,0x00000000,0x00000000}},	//   _arriaga_, _aguianés_, --, --, 
   {{0x138602f1,0x71c10057,0x82c20385,0x521700e5}},	//   _acordo_, _temerloh_, _omiljen_, _иранка_, 
   {{0xdfd400ed,0x26c50344,0xe9ed0140,0x19f603db}},	//   _antibayo, _allaangi, _ekonomya_, _olingana_, 
   {{0xe25a018d,0x7b6e0036,0xfadb0169,0xd5f701bd}},	//   _ብወደባት_, _postála_, _কাটাতে_, _замандағ, 
   {{0x9c6a0141,0x9291034b,0x42ff0133,0xb9f60219}},	//   _банкинин, _tagaro_, _fashale_, _ilingana_, 
   {{0xa6e80066,0x520c032d,0x3e580037,0xd0ba0164}},	//   _баттуулы, _профилле_, _የምታገኘው_, _талибанл, 
   {{0xb3000466,0xde1d01db,0xbec80138,0xdaff002e}},	// [f350] _objasni_, _суқұйғыш_, _verirsen, _izgradje, 
   {{0xaf600300,0x428c0381,0x93a5033a,0xf1740017}},	//   _divadeln, _acesbray_, _garanzij, _solária_, 
   {{0x722403b4,0x038f01bc,0xa6760040,0x8d930139}},	//   _enoki_, _allyksa_, _ליצנים_, _संस्कर्त, 
   {{0xeffc02b2,0x126c02bc,0xd4b10334,0xece50060}},	//   _спосіб_, _iunok_, _abwanamk, _بالىگەر_, 
   {{0x48bc0061,0x5f4e0077,0x12d40156,0x1d36053e}},	//   _도담도담님_, _enspekte_, _almozon_, _vinnerne_, 
   {{0xccda000d,0x52900075,0x22250421,0xae3800ed}},	//   _isikliku_, _ellars_, _exakte_, _matangta, 
   {{0x326c01b6,0x7ee800f3,0x67820064,0x62ec011b}},	//   _shlomz_, _abakufan, _экиге_, _batitre_, 
   {{0xa8ba00a7,0xa26c03d8,0xcff1000f,0x0c970372}},	//   _колледжи_, _punom_, _projeler_, _dalentau_, 
   {{0xa9fd022d,0xeef3013d,0x421200a1,0xae020015}},	//   _strappat, _funkcias_, _amohau_, _dareensa, 
   {{0x3e3b01ef,0x5ead0087,0x4af30176,0x00000000}},	//   _remontas_, _ebethele_, _hensigte, --, 
   {{0xf2cb0009,0xb8a7061a,0xb22403e6,0x2d3100f4}},	//   _gledal_, _डेकोरेटर_, _engka_, _elizabed_, 
   {{0x1290005b,0xd7280037,0x8eb60161,0x00000000}},	//   _aikatu_, _የዳግማዊ_, _чистом_, --, 
   {{0x727204f9,0x712e0272,0x69d700ff,0x10db03a2}},	//   _qaanaami_, _abatwewo, _ליכּוד_, _आपबीती_, 
   {{0x8fdc0163,0x2a7901d9,0x3e380251,0x7010019b}},	//   _zsuzsann, _auszedre, _halaagsa, _šypsenėl, 
   {{0x12000288,0xba0002d8,0xff5f01f7,0x1d240013}},	//   _anoint_, _maraknya_, _alguerés_, _олардим_, 
   {{0x7c7001ab,0x00000000,0x00000000,0x00000000}},	//   _तिक्खर_, --, --, --, 
   {{0x7332033a,0xd2e30341,0x536801a3,0xcdfe00a4}},	// [f360] _xulxin_, _seninle_, _اوٻاوڙي_, _جەڭىش_, 
   {{0x2d8603ac,0x3a7c02fe,0x00000000,0x00000000}},	//   _permaina, _azinakus, --, --, 
   {{0x65b000d4,0x06bb0117,0x2579011f,0x42510161}},	//   _kristlik, _pulamapi, _fonologí, _бессмерт, 
   {{0x4e720572,0xcb5b005c,0x08270019,0xd4780299}},	//   _विध्न_, _agatanga_, _جاداسا_, _زاۋۇتىغا_, 
   {{0xf45b00ff,0xc283011b,0xe0ae0061,0x62c90350}},	//   _אפאלא_, _ebikaka_, _주민자치센터_, _አልገቡም_, 
   {{0xb5f80187,0x63790129,0x8a0003b5,0xb0d60229}},	//   _климатиз, _wetaara_, _jaraknya_, _münsiflə, 
   {{0x322e03de,0x79d50253,0x0ec9003c,0x54b4003d}},	//   _ekuvumel, _aluttoru, _atriceps_, _ambérieu_, 
   {{0x226c00fe,0x2e2e0040,0x4e4901f0,0x6d550135}},	//   _afiona_, _שורשים_, _batakiba, _планар_, 
   {{0x13ce0187,0x1e4a018b,0x3b0a0060,0xc2910176}},	//   _ative_, _valabile_, _سىلكىنگ_, _opsat_, 
   {{0x6290005b,0x130e034a,0x2a3f01cc,0x573c00cb}},	//   _hikaru_, _rapaces_, _हेतुप्रत, _камҳарак, 
   {{0x431801b2,0x7ae20506,0xd3ea00ab,0x834a0152}},	//   _spoiling_, _fortsett, _whatu_, _бронштей, 
   {{0xc2ca00ff,0x53eb021c,0x289600d0,0x696002dd}},	//   _bildon_, _kurty_, _subjektu, _iżolamen, 
   {{0x6c5500fe,0xdc1701c1,0x00000000,0x00000000}},	//   _kātaki_, _पेन्सिल्, --, --, 
   {{0x320200ea,0x327f00c7,0x225b0321,0x3f5d01d2}},	//   _atsimo_, _sezne_, _oralna_, _antachan, 
   {{0x6344013b,0xdd3800bc,0xbee1031e,0x5aab01a3}},	//   _arteche_, _مقرون_, _koristis_, _ويڙھھ_, 
   {{0x2b19011e,0xc26c01f4,0x135d00d2,0x62eb0195}},	//   _totalman_, _gunoh_, _adigung_, _fianais_, 
   {{0x8ceb00c7,0x985104fb,0x00000000,0x00000000}},	// [f370] _атамасы_, _esquinas_, --, --, 
   {{0x46d700a0,0xd3eb0415,0x777b023e,0xeb070126}},	//   _karantuw, _mieten_, _agnyanaw, _найдавні, 
   {{0xf22e059e,0x8bf30544,0x2b0c034c,0xc2290229}},	//   _akuvumel, _kaulahao_, _хунну_, _sükut_, 
   {{0xfa00038b,0xad900185,0x2e0f0052,0xcabb000f}},	//   _darahnya_, _августка_, _अधिग्रहण, _ankaralı_, 
   {{0x529002bc,0xd0a500bb,0x414200e2,0x00000000}},	//   _dolars_, _منگیتر_, _toetsebo, --, 
   {{0xc9b4018d,0x623f0044,0xfc660094,0xad870343}},	//   _ዝተዋፈረ_, _stomach_, _ساندىسى_, _kummerma, 
   {{0xe3f80071,0x7cbc002b,0xd2e200de,0xe45b024a}},	//   _hanung_, _মুখগত_, _ayindim_, _jenereto_, 
   {{0x83ea045f,0xdc1d0428,0x00000000,0x00000000}},	//   _chatt_, _županu_, --, --, 
   {{0x0c6700b3,0x3839006c,0x33ea0285,0x0f4b0020}},	//   _kanunda_, _пасандоз, _akato_, _leasiola, 
   {{0x364900e5,0x937900e5,0x945201e6,0x7f9b0203}},	//   _вистинск, _saraiva_, _židovský, _selecter_, 
   {{0x81ae02ac,0x8d4f023e,0xc9040237,0x00000000}},	//   _فمثلا_, _چسبانده_, _가슴노출방송사고_, --, 
   {{0x0a8903c2,0xbc800059,0xd69c0299,0x00000000}},	//   _acridian_, _телец_, _دەبدەبىل, --, 
   {{0x7a60006f,0xbe9603eb,0x33870304,0xec5c0365}},	//   _فخريه_, _pieterse_, _aidrus_, _थियेा_, 
   {{0xb2020024,0x97e40107,0x1a2900c7,0x49bf0019}},	//   _অপসাৰণযো, _رضوانی_, _балдакла, _recerque, 
   {{0xcdbf00dd,0xb97301e1,0x73f8046f,0xd2910241}},	//   _achubwyd_, _dienjine, _aanung_, _gizaaw_, 
   {{0x59210287,0xfc210092,0x4a48018e,0x36bc006c}},	//   _masivní_, _クエン酸リンス_, _hundleka_, _angukhiy, 
   {{0xb9d6014d,0xdb19005b,0x00000000,0x00000000}},	// [f380] _illegale, _hikaboon_, --, --, 
   {{0x318800ff,0x33840040,0x53a7008b,0x42900046}},	//   _יתומטע_, _ברוסית_, _gatanduj, _solars_, 
   {{0x8249034b,0xde960276,0xbf8301de,0x78540116}},	//   _anamol_, _خىنىم_, _антидене, _scruples_, 
   {{0xa25b023b,0x1c1b0247,0x63f900fa,0x00000000}},	//   _saula_, _binathar, _dibuho_, --, 
   {{0xbb2001ce,0xfc1400a2,0x879f04f9,0xf9ea061b}},	//   _مالیات_, _روانا_, _tunuarti, _राजवंशी_, 
   {{0x1c6d022a,0x13f90114,0x74e300d1,0x1d9f0312}},	//   _almulik_, _argued_, _অক্সফোৰ্, _boulvria, 
   {{0x53ce0513,0x43b703db,0x62fc00be,0x7c55004b}},	//   _gwavu_, _obuvela_, _jubilat_, _kwetswe_, 
   {{0x92240347,0x99860022,0x27b70372,0x6b0900be}},	//   _fokken_, _сабыйҙы_, _diarhebi, _قاعۇۇسۇن, 
   {{0xf4a70211,0xf2530306,0x729000a2,0xb3e7014a}},	//   _разумеет, _armeniam, _kikapu_, _sátor_, 
   {{0x12ca021e,0x02da0255,0x14ea0037,0x52da0078}},	//   _bilden_, _merele_, _በመሰራት_, _perene_, 
   {{0x12900046,0x1c9102a1,0x66ef0087,0x4ef50209}},	//   _polars_, _boksburg_, _makanelw, _ilikkarn, 
   {{0x59ae02c7,0x4e940061,0x29cb00fe,0xc2d6007b}},	//   _bundeswe, _상품내용에_, _itelinga_, _collops_, 
   {{0x728702ac,0x2aaa0388,0x72ca0263,0xb38700f4}},	//   _نفحات_, _намерени, _wilden_, _agarek_, 
   {{0xf394004b,0x6fa70416,0x4bda03d4,0x904e01d7}},	//   _anngoang_, _comensar_, _родитељи_, _soluziun, 
   {{0x2223019b,0x898e0128,0x0d860275,0xffa90037}},	//   _sostinė_, _саъид_, _perenise_, _የኤፌሶን_, 
   {{0x62eb0547,0x73eb00a1,0x00000000,0x00000000}},	//   _feriado_, _taatai_, --, --, 
   {{0xc2e60399,0xc3ca0138,0x5213002f,0x14670258}},	// [f390] _afangia_, _selamı_, _huchan_, _teedrink, 
   {{0x4393048c,0xe2bb003e,0x1afe0277,0x15ce0687}},	//   _buoyant_, _boleloe_, _clergyme, _barameny, 
   {{0xf9280359,0xbe7b00e6,0x334904df,0x00000000}},	//   _frachtau, _日今天我测出好孕, _anadoly_, --, 
   {{0xa0c30169,0x5d8f02fe,0xa24d033f,0xf787005e}},	//   _রাজীব_, _امنتي_, _holohivi_, _بالايى_, 
   {{0xf4170415,0xc53900ff,0x12da02c3,0xd3ea0039}},	//   _menschen_, _כּלומרשט_, _etrend_, _ukatu_, 
   {{0xac640243,0xf27f01ec,0x92240132,0x998000ff}},	//   _ambulle_, _werna_, _bankok_, _diskreta_, 
   {{0xb3ea0079,0xbaa502ff,0x223402b2,0x73aa010e}},	//   _skatu_, _antyèman_, _пуерто_, _basahing_, 
   {{0xc20105ab,0xe2660125,0xdd630162,0xeb7001f7}},	//   _digite_, _гураллар, _بىلوگىمى, _acarnada_, 
   {{0x1147016d,0x93ea006e,0x844c0397,0x00000000}},	//   _задила_, _gontal_, _кубодиён_, --, 
   {{0x3952010f,0x89f7014d,0x00000000,0x00000000}},	//   _мусоидат_, _gemachte, --, --, 
   {{0xf3eb0225,0xb3eb02df,0x17c400db,0x00000000}},	//   _anetan_, _apatah_, _इन्हनी_, --, 
   {{0xe3ce0018,0xb3f4014e,0x1213033e,0xf379008d}},	//   _itivi_, _ремонтно, _duchan_, _tarafga_, 
   {{0x635d01fb,0xf4b80255,0x437a0076,0x00000000}},	//   _beiging_, _विदेशिए_, _recrutam, --, 
   {{0x89210052,0xd0dd01e0,0x3c0200e0,0x00000000}},	//   _pasivní_, _دیارن_, _harsens_, --, 
   {{0x2e9705fd,0x43ca010f,0x6e7100d3,0x2287030b}},	//   _permohon, _калонсол, _आवद्ध_, _agikoze_, 
   {{0x63a20049,0x8d8e00ce,0x83ea01fb,0x528b0207}},	//   _epopua_, _latolera, _fontal_, _wajadili_, 
   {{0x3c170058,0x525a02e2,0x14d7048a,0x14040294}},	// [f3a0] _balsilab, _balley_, _самалы_, _huntayun_, 
   {{0xf7ec0011,0xc81b00e6,0x00000000,0x00000000}},	//   _bamawang, _有实力雄厚的股东_, --, --, 
   {{0x657700f1,0x32b902a9,0x14770077,0x7f4103ea}},	//   _aletranz, _medikų_, _aletranj, _apparaît_, 
   {{0x8f5b02d8,0x23940050,0x35c803db,0x430c00a4}},	//   _menantan, _ninggang_, _bayawuth, _agradat_, 
   {{0x73ea0039,0x99580311,0xc2d400f8,0x2ff80574}},	//   _akats_, _ብረታውን_, _ইতিকথা_, _stogodiš, 
   {{0xc20100d0,0x614500a3,0x4e5300aa,0x49e001c0}},	//   _nazion_, _atterhal, _kahayaha, _bijirewa_, 
   {{0x93b104a7,0x084702c2,0x22950159,0x37560013}},	//   _servizo_, _sielkund, _курганы_, _kelishuv, 
   {{0x7efc019b,0xe27f03e0,0xba150113,0xce830299}},	//   _сурка_, _herno_, _stocaire, _ئىمەرنىڭ_, 
   {{0xd2ca03db,0x626700be,0x09e102a4,0x8db8028b}},	//   _endlini_, _ئدىشتى_, _fortitud, _aranduka, 
   {{0xdcb800e5,0x916600e6,0x4c680405,0x62990153}},	//   _заложниц, _第五十八条_, _запорожц, _クエンドマ_, 
   {{0x0dd6018b,0x83730358,0xb243025f,0xa27f03e6}},	//   _inchiria, _echanje_, _etamboli_, _derno_, 
   {{0x737f068f,0x8ef60080,0xe70f03a8,0x5d6f01bd}},	//   _godaura_, _alakkarn, _সকিয়নিৰ_, _يحسان_, 
   {{0xd3ea021c,0x4c1b02ea,0x69a8018d,0xdc710192}},	//   _chaty_, _станаха_, _ብውክልና_, _gedrukt_, 
   {{0xa301035b,0x595b01b4,0x223700a1,0x8b2505db}},	//   _članov_, _atmosfee, _haemata_, _ayaphela_, 
   {{0x505303c2,0x9dc0017d,0x3a43020a,0x27a000da}},	//   _prescien, _forkerte_, _терезеле, _intuitex, 
   {{0x5c2b017e,0xb2ca00cf,0x8256010d,0x834f0109}},	//   _disponeb, _diddan_, _प्रारब्ध_, _navenek_, 
   {{0x32fc0228,0x1d230296,0x4da900a3,0x827f00f7}},	// [f3b0] _mange_, _söndagen_, _byggjast_, _berno_, 
   {{0x62da061c,0x28e902af,0x4b8a00bf,0x00000000}},	//   _oktobar_, _abashing, _долор_, --, 
   {{0x534801df,0x222501d3,0x6ef10299,0x130f040e}},	//   _muffled_, _socken_, _تىرشىمەن_, _berarar_, 
   {{0x577b0207,0x9da80268,0x00000000,0x00000000}},	//   _وسوسن_, _astingta, --, --, 
   {{0xa37800b0,0x93ea0079,0xe4070213,0x97c7015e}},	//   _gacanta_, _skats_, _запретит, _كىچىرتۉۉ_, 
   {{0xd44d018d,0xa1180092,0x4111020a,0x12ca02d0}},	//   _ንምድምሳስ_, _ブランド雑貨_, _اپارا_, _biddin_, 
   {{0x43940193,0x4b410585,0xf2eb0144,0xd2e3031a}},	//   _pinggang_, _mišković, _chaisil_, _pairtich_, 
   {{0x0b1f0265,0x17a20039,0xcd3d0333,0x73500024}},	//   _galaclan_, _interesg, _croniche_, _অস্বাভাৱ, 
   {{0x72da05ca,0xfcf102c5,0xdc1500be,0xa2fc003f}},	//   _merece_, _ahitofer, _بوولۇچۇل_, _dange_, 
   {{0xf4240024,0x93780101,0xa2f7030b,0x94800291}},	//   _সমাধিক্ষ, _vacanta_, _amagaali_, _لبرشلونة_, 
   {{0x9046044a,0x624702d5,0xcba60291,0x00000000}},	//   _carremen, _कौशलो_, _واشكرك_, --, 
   {{0x42fc0272,0x0f5c045f,0x00000000,0x00000000}},	//   _nange_, _omfattan, --, --, 
   {{0x2280033d,0xd5eb0095,0xf2fc033f,0x8b160108}},	//   _diskite_, _پروانه_, _iange_, _aseanmus, 
   {{0xe2fc0318,0x382900da,0xcc6f01c5,0x1b78002f}},	//   _hange_, _политичь_, _afartan_, _azorella_, 
   {{0x2f31002f,0x4ed40208,0x81910164,0x62a003ed}},	//   _amirishp, _ببونه_, _күрүдиға, _roubar_, 
   {{0x6300033c,0x226c02fb,0x00000000,0x00000000}},	//   _unwaith_, _punou_, --, --, 
   {{0xe2da0138,0xd5e40041,0x79ef024c,0x96080156}},	// [f3c0] _derece_, _инадҳәал, _assigura_, _סליידינג_, 
   {{0x950a049a,0x13980162,0x629200a0,0xb3580408}},	//   _protivio_, _таварлир, _ansaru_, _baventy_, 
   {{0xc14000dd,0x03dc0182,0x530c0033,0x5037026f}},	//   _adsefydl, _maawe_, _binaris_, _ىريزا_, 
   {{0x311e0148,0x558102ea,0xb6be0060,0x30c50432}},	//   _民歌歡唱在兒育_, _costituz, _بۇلاردىڭ_, _kirsebær_, 
   {{0x32e90103,0x01c303ff,0xb2d0066f,0xc2ee02e4}},	//   _nesimba_, _obrovské_, _ocultos_, _gallerij, 
   {{0xb2920009,0xe64d01e6,0x83ac0505,0xe2c50255}},	//   _shrani_, _reportáž_, _muppen_, _kollane_, 
   {{0x66340265,0xf7be0078,0x060d0109,0xe0c400e6}},	//   _financië, _подземни, _फाईदा_, _青岛新闻网_, 
   {{0x4b250398,0xf3f302ac,0xd3f40120,0x5cee0331}},	//   _мумкун_, _لمحاربة_, _ugutay_, _dátusavn_, 
   {{0x553f0696,0x630c0312,0x5e9c039f,0x594e004f}},	//   _tampouco_, _daravat_, _frommain, _intérnét_, 
   {{0x0548041a,0xcd2b042c,0x55810371,0xf2cb01b4}},	//   _листопад, _dvanaest_, _sostituz, _boedel_, 
   {{0xd7540244,0xc3ce0042,0x00000000,0x00000000}},	//   _coinvolg, _ativo_, --, --, 
   {{0xffa1015e,0x07a603ea,0xf3580403,0xf30d0403}},	//   _intentar_, _touristi, _vaventy_, _dimbaka_, 
   {{0xa6b50228,0xbc6f00b2,0xd2780082,0xd31706ce}},	//   _lokalavi, _afarsan_, _adunta_, _riazor_, 
   {{0x1a170044,0x13dc0118,0xbc680121,0xf8cb002e}},	//   _calculat, _naawe_, _regreso_, _završava, 
   {{0xe27f0359,0xeb240158,0x7230010b,0xb5c10358}},	//   _berne_, _चैम्पियं, _batjho_, _levanjil_, 
   {{0xe25b0051,0x36340222,0xf3040148,0xa2f400b9}},	//   _saule_, _financiè, _legatum_, _gianyar_, 
   {{0x12b8014a,0xe3dc064d,0xe9df0066,0xe97e03ea}},	// [f3d0] _listázás_, _kaawe_, _kulturgu, _devienne, 
   {{0xdc2801ad,0x292e00af,0x03ea000c,0x625a0251}},	//   _asistens, _америці_, _ijita_, _gallay_, 
   {{0xc3ea0103,0x7e0b01d5,0x725300d6,0x0e5302af}},	//   _akati_, _ایمبولین, _tagairtí_, _bahanaha, 
   {{0x026c01f7,0x79f600fb,0xe867020e,0x9a700551}},	//   _aunor_, _elingana_, _мираҫлы_, _angobbab, 
   {{0xc279014a,0x8f000040,0x42e8004b,0x125a02e2}},	//   _felsorol, _outcomes_, _difihla_, _ballay_, 
   {{0x20750256,0xd2ea0159,0x00000000,0x00000000}},	//   _integrāc, _mainais_, --, --, 
   {{0x42c1015a,0x824900c7,0x361d0372,0x325a00b3}},	//   _ballina_, _imamı_, _destunol_, _dallay_, 
   {{0x5b680461,0x77aa0333,0xd34f0198,0x69f70511}},	//   _argentin_, _buttigli, _kolesih_, _hlangana_, 
   {{0xcaa40087,0x6fd000f2,0xa20e0177,0x5aac0064}},	//   _evukwets, _pretendē, _хаӡам_, _буркурап_, 
   {{0x726d027d,0xe2c201e9,0xe6fd0387,0xa61c014f}},	//   _prvog_, _agelela_, _investịm, _krkobabi, 
   {{0xa2fc015e,0x2b100455,0x52900107,0x808f0094}},	//   _arribat_, _résoluti, _imbal_, _нәрседен_, 
   {{0xfb6d01aa,0x325a0007,0xa61a0203,0xaede0142}},	//   _esponser, _ayeli_, _evitabil_, _ardhacan, 
   {{0xbb25034c,0x02a10191,0xfa710229,0xe50e000e}},	//   _вулканы_, _biljett_, _abbasova_, _rezonach, 
   {{0x7f8b023c,0xb213005b,0xae930156,0xc4d700a7}},	//   _سرتیرې_, _yuchun_, _promenan, _батанын_, 
   {{0x938105d7,0xef150125,0x54000220,0x5f4603cc}},	//   _sosietëe_, _ikitarap, _летни_, _ঝুলন্ত_, 
   {{0x57bc00a9,0x6da1003b,0x0b580275,0xe9f402a1}},	//   _kutubahi, _atinamap, _manurewa_, _borsvoed, 
   {{0x5c2d036f,0x92830257,0x1ea900ff,0xd1430320}},	// [f3e0] _ljubomor, _fórnarla, _סימפטאמע, _etirhovo, 
   {{0x3aaf0148,0x338c0159,0x32390046,0x1dc9023d}},	//   _影展過去式_, _букер_, _càlcul_, _надхвърл, 
   {{0x729b0534,0x1fca0148,0x83b80165,0xf3ea00f2}},	//   _linkhay_, _天蠍眼淚自己擦_, _raivotu_, _skati_, 
   {{0x1db601a4,0x330e0178,0x872c0204,0xd29000bc}},	//   _akangema, _agratas_, _сопротив, _ambal_, 
   {{0xd99301d5,0xc8fd00bc,0xb0d10170,0x829102dd}},	//   _دھڑکن_, _پادشاهان_, _analidul, _aqsam_, 
   {{0x43ea030f,0x5e3200e6,0x065d01b3,0x49e60374}},	//   _maitai_, _新华网云南频道_, _поясненн, _шахтёр_, 
   {{0x34d70185,0xab7101ed,0x8d8400e9,0x52e7007f}},	//   _барасың_, _babulona_, _egzekite_, _beintio_, 
   {{0x43f901e1,0xc52c005e,0x7f6703d5,0x00000000}},	//   _bafung_, _ﻛﯜﺭﻩﺵ_, _arganeys_, --, 
   {{0x1004018d,0x96730086,0x00000000,0x00000000}},	//   _ምንባባት_, _بصورتِ_, --, --, 
   {{0x525b034e,0xa2900079,0x815500b3,0x049b018b}},	//   _naula_, _izlase_, _aklawçy_, _relateaz, 
   {{0x12910166,0x62f4031c,0x93b101f7,0x62c10110}},	//   _sodass_, _torneos_, _aravell_, _tallina_, 
   {{0xfa400291,0x63f3000e,0x62d800dc,0x8edb0058}},	//   _مشروبات_, _aberraci_, _avaea_, _nilikams_, 
   {{0x225b064d,0x62900117,0x32d80343,0x9d2c02c3}},	//   _kaula_, _ambae_, _dview_, _submisív, 
   {{0x6d11024c,0x00000000,0x00000000,0x00000000}},	//   _abbonajt_, --, --, --, 
   {{0xd70a00c4,0xce4a01b5,0xeb6e0012,0xbed403b0}},	//   _مرڪندي_, _halakile_, _पादना_, _avbildin, 
   {{0x325b01ed,0x06bd01e1,0xe9fc00be,0x97270207}},	//   _laula_, _почтальо, _ايىتبا_, _ڪريسي_, 
   {{0xaf82019b,0x74e300c4,0x38ce00f4,0x5a89010d}},	// [f3f0] _vandenį_, _وائسراءِ_, _bedeladu, _sariawan_, 
   {{0xd29100ac,0x928d005b,0x638604a7,0x39ce04d7}},	//   _lagano_, _tsukuba_, _pobra_, _takmarka_, 
   {{0x57b305e2,0xf8e002c7,0xc77b00a7,0x3cd00299}},	//   _anónimos_, _mangelnd, _жчксы_, _راكېتا_, 
   {{0xf2020429,0x2417017d,0x743700b3,0xef0f01df}},	//   _carian_, _freshmen_, _титуллар, _contriva, 
   {{0x825b0252,0xe3dc00a0,0xc37a038d,0x7248008c}},	//   _baula_, _kaiwa_, _resamen_, _atomar_, 
   {{0xf3a300bc,0x4046003d,0x324d008f,0xe2b103a2}},	//   _nodpat_, _barramen, _भागला_, _व्रुट_, 
   {{0x6f1f0638,0xde150277,0x213800e4,0xf9410409}},	//   _vurderin, _wiretapp, _funduszy_, _bidrager_, 
   {{0x46990074,0x33ea0113,0x7fda014e,0xfedb04c7}},	//   _сериалы_, _uaithi_, _задовољн, _vilijams_, 
   {{0x3d9600d4,0xec6d022a,0xa1630078,0x8b2003d9}},	//   _publikaa, _komunik_, _мотива_, _ambaramb, 
   {{0x43b9064f,0xe3bf02bf,0x227800cf,0x27580099}},	//   _serveru_, _akuveli_, _adunya_, _akangozv, 
   {{0x327f0304,0x62010144,0xd3ea028b,0xd12d00e6}},	//   _kerna_, _ligint_, _ekatu_, _西征的红军_, 
   {{0xf291005b,0x20d8018d,0xcfa3015e,0xc68c0107}},	//   _nagano_, _ዝወረስናዮ_, _collsero, _candraki, 
   {{0xd0fa084a,0x6c3000ba,0x73cb020e,0xf77a0219}},	//   _आश्चर्यक, _باپیرم_, _солтангә, _ekukhang, 
   {{0x13ea02e5,0xdc680133,0x3c000026,0x464000d1}},	//   _ikatu_, _argutti_, _hasselt_, _তুৰষ্ক_, 
   {{0x429201e6,0x779900da,0x728c0326,0x6eaa0156}},	//   _okraji_, _патратул, _akakoka_, _אַלװעלטל, 
   {{0xb24802d0,0x6d030242,0x3e63013c,0x3c5b023a}},	//   _rammed_, _yekunlar, _fransanı, _venujte_, 
  
   {{0xcfd5009b,0x4d1303ef,0xef6502a0,0xb2e30138}},	// [f400] _дуранд_, _akurikir, _alaponle_, _benimle_, 
   {{0xc2fc0082,0x028004cc,0x03790340,0x138000c5}},	//   _zanga_, _sikhaek_, _maranga_, _entrer_, 
   {{0xa27f0005,0x0ad200be,0x0a250315,0x7253023d}},	//   _berna_, _ارگنتىنا_, _akabusha_, _modalità_, 
   {{0x3a030032,0x52fc0035,0x82910085,0xc25b00a6}},	//   _binarght, _canga_, _gagano_, _ezulu_, 
   {{0x05b800c5,0x35bd018d,0xa0580156,0x92130243}},	//   _元以下罚款_, _ብፈደረሽን_, _געמערט_, _labhaa_, 
   {{0xd2e80132,0xd9b40014,0x2b1a0238,0xc3f801e6}},	//   _مقامی_, _ዝተዋፈሩ_, _фірми_, _proudu_, 
   {{0xd03700c9,0x219400f2,0x0a0a01ed,0xb25a0332}},	//   _tintucon, _komentēš, _lanakila_, _anillo_, 
   {{0xe37900ab,0x834e0058,0x13eb0415,0xd30e0134}},	//   _karanga_, _aldelik_, _bieten_, _brabosa_, 
   {{0x129504a6,0x032204c1,0x1af3013f,0x926e0203}},	//   _nemački_, _pasyan_, _ambrouge, _meritosi_, 
   {{0x6637018e,0x1ad30094,0xd5f7013a,0xe30103ad}},	//   _etshakwi, _جۇلدە_, _eigentlë, _jarawni_, 
   {{0xcc6702c3,0x9387029e,0x70e400f4,0x1b880296}},	//   _nemusia_, _gorre_, _dainvill, _artister, 
   {{0x429b0356,0x626b0012,0x6ad50294,0x43eb0265}},	//   _tukusiña, _उपरझटके_, _ashtakat, _tieten_, 
   {{0x82fc03b4,0x3e8a016d,0xe3eb00cf,0xd0b30397}},	//   _vanga_, _сиғдурал, _caatii_, _антинаҳз, 
   {{0x194d01f6,0xa28b0178,0x00000000,0x00000000}},	//   _ভাওনা_, _devikā_, --, --, 
   {{0x2ef60162,0x61770125,0x8d1301dd,0xa3eb02eb}},	//   _баштила_, _биринжи_, _ukurikir, _zieten_, 
   {{0x216101cd,0x53790092,0xb03702c8,0xb5f7013a}},	//   _abasengo, _baranga_, _contacon, _eigentlé, 
   {{0xa224019d,0xa3a30242,0xb13d0230,0x84370371}},	// [f410] _choka_, _kaspi_, _mantasyo, _bloccato_, 
   {{0x235d02c2,0x4c6e034c,0xc0ed0237,0x00000000}},	//   _neiging_, _efirdan_, _검색결과입니다_, --, 
   {{0xce3900c3,0x2eb80249,0x5e4b009a,0xf2970295}},	//   _creatura, _saientis_, _badanile_, _sitaleki_, 
   {{0x32fc0281,0x061602e1,0xf23902f6,0x00000000}},	//   _qanga_, _bhaldrai, _ngumiti_, --, 
   {{0xfb93017e,0x7d110178,0x29c00198,0x5344029b}},	//   _navigado_, _abravaṃ_, _neverjet, _ceddowu_, 
   {{0x9319006d,0xc4be00c1,0xe30c01da,0x00000000}},	//   _арэнбург, _जिरेपूड_, _lazarat_, --, 
   {{0x33eb0450,0xd3780272,0x5fd20307,0x92d6042d}},	//   _sieten_, _abbanga_, _elinguno, _antotan_, 
   {{0xac810356,0x5d3403c4,0x84730230,0x27ad00a7}},	//   _listserv_, _سېرىق_, _testaman_, _люстраци, 
   {{0x0db802af,0xea150103,0xf85601f2,0x5f5b0220}},	//   _azinduka, _airarama_, _сүбһи_, _giappone_, 
   {{0x24ab01fe,0xd2020403,0x66ae01a0,0xf20e006c}},	//   _delaidak, _carion_, _mantariy, _гамат_, 
   {{0x05ca046d,0xe2370220,0x926d02e4,0x1156004b}},	//   _burantsh, _картинат, _debono_, _башыңа_, 
   {{0xef3e039e,0x5f300192,0xb2a20092,0x9732019b}},	//   _সংস্থাপন_, _무엇인가요_, _バレンタインデ_, _мітынг_, 
   {{0x13010428,0x359302fc,0xa81b016f,0xc63d0311}},	//   _naravni_, _acururiz, _уважно_, _ዘየጠራጥር_, 
   {{0x0e830575,0xb95400ff,0x467e017f,0xe2ea02c6}},	//   _پادشا_, _טאקטיקן_, _malersui, _anfillo_, 
   {{0x427f0119,0x7cee0022,0x00000000,0x00000000}},	//   _terni_, _командаh, --, --, 
   {{0xe30103d8,0x82fc0039,0x13070057,0xdc8401b6}},	//   _detalji_, _hango_, _penagih_, _governed_, 
   {{0xe2fe00b7,0x62e500f3,0x3dc00411,0x93300012}},	// [f420] _mergen_, _adingwa_, _forkorte_, _सोखाउओझा_, 
   {{0xd6cf00d9,0x226c0018,0xd75b0011,0x00000000}},	//   _varastoi, _timoci_, _balinyag, --, 
   {{0xdeb901c6,0xa57502da,0x97470137,0xa2da0010}},	//   _feroarin, _utilizaç, _үлмэдэхм, _igreat_, 
   {{0x42ca0240,0xc9120226,0x222b01cf,0x220103a4}},	//   _igiladi_, _angatuku, _podmele_, _angist_, 
   {{0x515c0220,0xfc5802a3,0x34c10061,0x00000000}},	//   _абонамен, _aantrek_, _다이어리를_, --, 
   {{0x405704a6,0x537900a1,0x82d600aa,0x3c150010}},	//   _inostran, _raranga_, _antosan_, _bewungas, 
   {{0x73ce0203,0x026c00a1,0x28660148,0xe933004d}},	//   _grive_, _kaiota_, _lacrimis_, _如其他媒體_, 
   {{0x12fc00cf,0x342c0151,0x84ee00d0,0x46880311}},	//   _aango_, _aachrack, _брендийн_, _ተዘሪቡን_, 
   {{0x22fc0414,0x03ce04fa,0x72d503ee,0x946500bf}},	//   _bango_, _arive_, _silovao_, _младшие_, 
   {{0xbc370244,0xb2e601ad,0x6fc90193,0x5cff0011}},	//   _надолу_, _fransya_, _furnitur_, _amutayir, 
   {{0x5c1c0204,0xd951012e,0xb27f01f1,0xfa10020f}},	//   _sukulais, _kimondot, _krenar_, _angakume, 
   {{0xa3ce01fe,0xa5a801bd,0xbe960071,0x1cf500b5}},	//   _itavi_, _парасатт, _پرشور_, _centivar, 
   {{0xec68017c,0xa186041f,0xcad7002c,0x21860397}},	//   _augusti_, _ababukel, _bistarat, _ababezel, 
   {{0x348700db,0x43110206,0x88c20119,0x2292007a}},	//   _निकालल_, _futbalu_, _waldenbu, _dosaku_, 
   {{0xb2d000c5,0x0a2804b9,0x97b20255,0x3c810005}},	//   _emplois_, _brichtne, _eratelef, _bandunau_, 
   {{0x2db90074,0xa2fc01c0,0x237f0369,0x32da04c4}},	//   _применяю, _zango_, _makalua_, _perele_, 
   {{0xcc9300c4,0x7c6f036d,0x62da0109,0xbe4e038e}},	// [f430] _بالاچ_, _bearnan_, _bereme_, _kehalala, 
   {{0x25df0144,0x7c3e060b,0xba140541,0x0da701a3}},	//   _innealtó, _टेररिस्ट_, _organima_, _اولڙو_, 
   {{0x1f710047,0xe09601e0,0x2a09037f,0xa3890257}},	//   _concours_, _ئالانی_, _buxarest, _dulspeki_, 
   {{0xefc4037c,0xec280192,0x6db8021c,0x52fd00ad}},	//   _motounlo, _strafrec, _lovecké_, _arjasari_, 
   {{0x13dc0068,0xf9d200dc,0xa7e402da,0x83770208}},	//   _daawo_, _aliliuna_, _companhi, _بونیادگه_, 
   {{0x24370092,0xe28d005b,0x5f49009b,0x427f02a3}},	//   _ルでお届けいたし, _tsukasa_, _барилдда, _hernu_, 
   {{0xbf660368,0x2dea0057,0xc3870191,0x3b6704e5}},	//   _имали_, _ማንነቱን_, _norra_, _aduumira_, 
   {{0x32fc025f,0x52da00b3,0x45db00de,0x1ecb0465}},	//   _sango_, _dereje_, _درواخله_, _soundlin, 
   {{0x4dbc023d,0x638700ee,0x0ae70193,0xed7801a3}},	//   _dichiara, _horra_, _वंध्यत्व_, _ڪومائجي_, 
   {{0x9387008f,0x3ae9036d,0x53eb0347,0x6c0700df}},	//   _korra_, _cairnwat, _verdedig_, _pensait_, 
   {{0x23220230,0x00000000,0x00000000,0x00000000}},	//   _tasyon_, --, --, --, 
   {{0x548e0061,0xdf5b018e,0xd3eb009b,0x2ec80126}},	//   _모습입니다_, _ekhampan, _bietan_, _turisten, 
   {{0x42fc048f,0xd2c602e4,0xe39f0208,0xb4030175}},	//   _tango_, _airmass_, _دڵزار_, _teknoloz, 
   {{0xe8cf03dc,0x8306022a,0x13dc0387,0xe26c04a7}},	//   _partaeig, _penamik_, _nyiwe_, _bufos_, 
   {{0x760d002e,0x02c901fc,0x9c630052,0xc3dc0622}},	//   _ljudskom_, _nubleeh_, _bonusem_, _iyiwe_, 
   {{0xe7e60012,0x4d81007e,0x00000000,0x00000000}},	//   _सुघराई_, _दिग्बन्ध, --, --, 
   {{0xf2d70212,0x4c6702a3,0x29cb0513,0x67e60523}},	// [f440] _bijlmer_, _veertig_, _endlanga_, _लोकरंग_, 
   {{0xc0c6026f,0xc3ea038e,0x5b5b0265,0xad230258}},	//   _ءﺩﯗﺭﺳﯩﻦ_, _kontol_, _effecten_, _gedielte_, 
   {{0x3271018a,0x82020399,0x02910127,0xc0c3004a}},	//   _mabinogi_, _fusimo_, _emzao_, _жюрида_, 
   {{0xd2fc005b,0x1c6a00b7,0x53dc02ec,0xd8aa0071}},	//   _gange_, _portaly_, _xaawo_, _آکادمیک_, 
   {{0x6140037f,0xdad100c7,0x4bee02a9,0x920100d6}},	//   _dondurul, _halkları_, _разоў_, _cigire_, 
   {{0x507d00be,0xa2470388,0x56940192,0x00000000}},	//   _бакса_, _палитра_, _beleveni, --, 
   {{0x82fc0043,0x8f2a005e,0x527f01f6,0x12ef04e5}},	//   _bange_, _йилларди, _trenar_, _bakitta_, 
   {{0x468c014a,0x54b30135,0x0a850185,0xe9bc012a}},	//   _mindenki, _kotladı_, _agroxims, _kolejowe, 
   {{0xc2fc0103,0x52da02a3,0x62e700d6,0x1ba40096}},	//   _vange_, _beseer_, _meirligh_, _bakirimo_, 
   {{0xd2fc0272,0x4f48000a,0x8baa048c,0x922b005b}},	//   _wange_, _kingusin, _backswor, _vismand_, 
   {{0x073c0037,0xe2c501d3,0x2de00362,0x428d005b}},	//   _እናከብረው_, _gotland_, _baviolé_, _chikako_, 
   {{0x925a02b2,0x7cd90130,0xa2da01a6,0xeb7b0176}},	//   _samliv_, _slovakeg_, _kerehe_, _ainssoya_, 
   {{0x8257007b,0x926c0342,0xf2670163,0xe2480102}},	//   _unwelcom, _osnon_, _میموریل_, _azimio_, 
   {{0x75420025,0xd25b0338,0xef510192,0x5f45030a}},	//   _trailoky, _rialto_, _주문하시면_, _petición, 
   {{0xb35b032d,0xf2fc030b,0x42da0303,0x1e4f0344}},	//   _mengata_, _yange_, _bereke_, _allasima, 
   {{0x560c008d,0xbd8a0112,0x9c7e016a,0xd2d80256}},	//   _nazorati, _melembut_, _asesoro_, _iedeva_, 
   {{0x23010340,0x2a8d03db,0x15840037,0xbfb9014a}},	// [f450] _riwaiti_, _akanakub, _በሚካሄድበት_, _milliomo, 
   {{0x948600b9,0x9ec00390,0x185e0039,0x42d701f3}},	//   _दरबारी_, _avtomaqn, _duintasu, _bodoval_, 
   {{0x330d02c0,0x539901c8,0x69d706a9,0x7b78035c}},	//   _recados_, _pásku_, _misturad, _attersyn_, 
   {{0xfff40141,0x633d0163,0x229e0093,0xa48a0089}},	//   _dunyonin, _میراں_, _никам_, _дәверләр, 
   {{0xdc6f00e9,0xd2000195,0x3202017c,0xb46f0096}},	//   _amerkin_, _choire_, _sprida_, _bagezeyo_, 
   {{0x72d60022,0x719900d1,0x92fc00b4,0x23d60220}},	//   _gratuity_, _সাধনাকে_, _sange_, _gratuiti_, 
   {{0xe9d102c2,0x8cf501d2,0xa37c0090,0x62fc01c9}},	//   _bewerkst, _aštamurq, _anyanye_, _pange_, 
   {{0x72d80087,0x9c800125,0x72ea0117,0x669800d1}},	//   _bajete_, _ненең_, _musisen_, _আবেগেৰে_, 
   {{0xb973020f,0x8aff0037,0x78e400c6,0x2bd901bd}},	//   _abangane, _ሜዳልያውን_, _платежу_, _كەڭەسجاي_, 
   {{0x1b17005e,0xf518004a,0xdff4042a,0x1394022c}},	//   _ﺳﻮﯞﻏﺎ_, _шайтанна, _bunyonin, _bingbang_, 
   {{0xb68101c9,0xd467002f,0xda59026b,0x69e302e2}},	//   _सइयां_, _feedlink, _manguera_, _buffoone, 
   {{0x0f44018d,0x612604da,0x02ef02be,0xb8650347}},	//   _ዝመላለሱ_, _vanjskih_, _rakista_, _plasings_, 
   {{0x6290001d,0x82e3006a,0x00000000,0x00000000}},	//   _ambau_, _apetrany_, --, --, 
   {{0x425603cc,0x52d90068,0x47ec03bd,0xda0e0320}},	//   _ডিগ্রী_, _sheeko_, _kamasang, _mahakele, 
   {{0xd43102bb,0xff7d0187,0x2be3011d,0xa2e901ac}},	//   _ostatnio_, _новороде, _hunedoar, _déirce_, 
   {{0xf5d203dd,0xc13c01c9,0x0c76012f,0x4cc4008b}},	//   _studentë, _इन्टरटेन, _durstig_, _artikalu_, 
   {{0xe59f002f,0x06c802c7,0x8f60012e,0x67f1007e}},	// [f460] _tungurah, _verarbei, _پیوستہ_, _परिसंख्य, 
   {{0x96bd0021,0xb17f0161,0x00000000,0x00000000}},	//   _ederally, _остатков_, --, --, 
   {{0x0bab0125,0x685303e6,0xe22403dd,0x8f3402ac}},	//   _акылыны_, _domadder_, _shoke_, _chostasa, 
   {{0x126c0075,0xc3bd02a1,0x07ec005d,0x4faa019e}},	//   _kunoy_, _gedwing_, _hamarang, _sumontuo, 
   {{0x73410187,0xeee30025,0x3a8302a8,0x00000000}},	//   _cimento_, _मित्राणा, _iqniepen_, --, 
   {{0x82020115,0x7948006d,0x326c005a,0x2152011a}},	//   _larian_, _аграмадн, _munoy_, _בחמישה_, 
   {{0xed3602eb,0x32e800af,0xadfa04da,0xf4280141}},	//   _живсэн_, _сланцево, _provedbu_, _башарият, 
   {{0x759c034d,0x1e8f047d,0x00000000,0x00000000}},	//   _dibunyik, _mammeren, --, --, 
   {{0x20db00e4,0xe34b03dd,0x5623000c,0xcad401d9}},	//   _जहरीले_, _salemit_, _зонахь_, _amateure, 
   {{0x1b7501c0,0x5de40137,0x8e9b0416,0xd1370166}},	//   _afariyya_, _медальтн, _seductet_, _hindurch_, 
   {{0x8aa8009a,0x73b0012c,0x43ea00bc,0x151700ee}},	//   _abakumab, _القائده_, _ajata_, _madrilgo_, 
   {{0x9290029b,0x439603b2,0xb3f9005b,0xe56a00dd}},	//   _cikard_, _sussex_, _mizuho_, _caethiwo_, 
   {{0xe6e60036,0xe37c045e,0xdde40040,0x34d7015e}},	//   _هههههه_, _squadre_, _יאכטות_, _калкын_, 
   {{0x9349003a,0xe27e0277,0x535e015c,0x8b0200b0}},	//   _шароитла, _plinth_, _geigend_, _warsange, 
   {{0x43470056,0x9238003e,0xd5350148,0x76b80040}},	//   _феҳрасти_, _phemiti_, _百合烘培屋_, _בגלגול_, 
   {{0xe2b101a8,0x02fc019d,0x9efc00db,0xa17800ea}},	//   _pridala_, _nanga_, _पाठकन_, _vakiteny_, 
   {{0xb2fc0245,0xee950039,0x7c6803de,0x7d7601a3}},	// [f470] _ianga_, _цунамид_, _bafundi_, _برانڊ_, 
   {{0x1ac400e6,0x9b7f02a2,0x325a00ff,0xfd6b0627}},	//   _东莞高雅彩印有限, _nakukuha_, _azilon_, _piamonte_, 
   {{0x315300ae,0x52c202e1,0x22d8018e,0x335700ba}},	//   _ararongo, _tallann_, _leleta_, _چاکبکه_, 
   {{0x92010244,0x130e0102,0x173600e6,0xcee10308}},	//   _avvisi_, _maabara_, _韩庄子南里_, _dirintis_, 
   {{0x8474010d,0x31e8018d,0xd69202c4,0x984a002f}},	//   _महामंडळा, _ምንቕስቓስ_, _молчат_, _animalku, 
   {{0xe9c203e8,0x3e0c0063,0x198000aa,0x2e430188}},	//   _vrednost, _بجانب_, _biskleta_, _пойбанд_, 
   {{0x8b7f0140,0xa2020028,0x8b0c023e,0xc9d00076}},	//   _makukuha_, _fariin_, _کامیک_, _тепих_, 
   {{0x2ae1004c,0xdd9e0212,0xb2490304,0x763e005a}},	//   _akitegee, _sufficit_, _diamal_, _lisighni, 
   {{0xd225002e,0xcede005b,0x04060156,0x762a005e}},	//   _ovakve_, _tachiban, _פיצזשערא, _توقۇلما_, 
   {{0x93b602c4,0xbb2b034e,0x211d0135,0xbb59010d}},	//   _забрани_, _allallas, _aktivlıq, _nyatanya_, 
   {{0x52c80174,0x04b8003a,0x721902ca,0x6e9701d1}},	//   _dibotse_, _اورمان_, _rannphái, _contract_, 
   {{0x5b9c0246,0xf0ab0423,0x82020264,0x3e4202bb}},	//   _естестве, _pigmenty_, _aprika_, _संग्रहकर, 
   {{0xc27e0099,0xa20e0089,0xf06d03fd,0x7b8c0037}},	//   _svondo_, _кавал_, _faaavano, _ተግባራትና_, 
   {{0xd96f0367,0x10e70297,0x484700d7,0x5dc201a2}},	//   _acontece, _арбитры_, _палагин_, _čeļabins, 
   {{0x452f00c2,0xe2d8033f,0x4b830267,0x1394013a}},	//   _abanyesh, _heleta_, _položio_, _eelste_, 
   {{0xb3480053,0x12e70049,0x737f001e,0x62a101ab}},	//   _koneksi_, _amennnn_, _takarda_, _südame_, 
   {{0x42a706e3,0xb6420192,0x12900171,0x0197034c}},	// [f480] _nyebut_, _줄여나가는_, _izlaze_, _berbaytl, 
   {{0x53400067,0x2a7c03db,0x62f1005a,0xd39400dd}},	//   _argeera_, _ayinakus, _jirindi_, _closio_, 
   {{0x42020074,0x959f00e2,0xc3f8011b,0x60280350}},	//   _pariin_, _greidelâ, _koluak_, _እንጀራን_, 
   {{0x83e202a6,0x7754055a,0xd0ca02b9,0x47b601c8}},	//   _libretti_, _cinética_, _مٹیاری_, _nepravdi, 
   {{0xa12d008d,0xa387029e,0xdc05012e,0xd27f03dd}},	//   _шарти_, _horre_, _sorrendb, _merni_, 
   {{0x0c53034d,0x72c80003,0xf319006d,0x6332011a}},	//   _pertama_, _publiek_, _ахапіць_, _מסורתיים_, 
   {{0xa2a7024c,0x00000000,0x00000000,0x00000000}},	//   _liebes_, --, --, --, 
   {{0x96d00251,0xbc8105a3,0xac0301d3,0x05de0350}},	//   _farageli, _महाविहार_, _musslor_, _አጠባበቅና_, 
   {{0xe2f10313,0xf52b0091,0x51c303ff,0x5bf501a3}},	//   _birindi_, _tikinnah, _obrovský_, _خواجھ_, 
   {{0xf2000125,0x82000292,0x12f0008a,0x1f3c03db}},	//   _menin_, _senia_, _femisai_, _emagamen, 
   {{0xb3ce00ea,0x0e35015d,0x9a9f014a,0xc2e601c0}},	//   _arivo_, _dopasowa, _jöjjön_, _adanawa_, 
   {{0x0aec0206,0x670f030d,0xb37803a8,0x79780322}},	//   _šírave_, _benilüks_, _bakaren_, _bakirebe, 
   {{0xffdd028b,0x7f2600b6,0x42d8013b,0x53c80025}},	//   _ацәнакуе, _giirissa, _cajepe_, _द्यावापृ, 
   {{0x8f2a0119,0x988400b7,0xd2c301cd,0x6d9a0105}},	//   _mittella, _turkiyed, _aholayo_, _aminokwa, 
   {{0x920000a4,0x36cc0072,0x33dc012c,0x839400e2}},	//   _tenia_, _jalaqani, _daawa_, _delset_, 
   {{0xcf7c0158,0x8d9800e4,0xfe340091,0xde340119}},	//   _शिक्षकों_, _momencie_, _tigumiaq, _makagawa, 
   {{0x3c9e0040,0x5ce90012,0x33f202b0,0x00000000}},	// [f490] _צוקרמן_, _शरामिया_, _anregung_, --, 
   {{0x151f03cc,0x5dae0247,0x435c032d,0x7ae004ad}},	//   _জনশক্তি_, _bangkrut_, _макушина_, _direlets, 
   {{0x2c3b0041,0xe2630033,0x8a840040,0x56b703fe}},	//   _даҟәыҵуе, _sparpagl, _מאיבוד_, _мельбурн_, 
   {{0x02d601c8,0x65740108,0x00000000,0x00000000}},	//   _miloval_, _burdansy, --, --, 
   {{0xc1860035,0xd33900ec,0xd97a02fe,0x82930003}},	//   _планетас, _забойств, _تقویه_, _wehkamp_, 
   {{0xfd9702ad,0x0786019b,0xb48d004d,0xf2b30065}},	//   _softwaru_, _сайтаў_, _男孩變成熊_, _mädels_, 
   {{0x99cd0066,0x554c0291,0x365d0102,0x00000000}},	//   _baserrit, _اترككم_, _kilichow, --, 
   {{0x7d920101,0x38c803db,0x8c71003d,0x8c1201e9}},	//   _realizea, _ebuthong, _acarnat_, _diopedi_, 
   {{0xe27e0342,0xa3220199,0x52130179,0xec0d02e5}},	//   _mennen_, _easyvn_, _eschen_, _haipyre_, 
   {{0x7ac000de,0x16ae029b,0x2b5502ac,0xd29400c4}},	//   _akekelis, _daftiriy, _ساكورا_, _kusajili_, 
   {{0xc3be00bc,0xd70802da,0x140100d2,0x52ee013a}},	//   _telwind_, _impressã, _pasualan_, _walfer_, 
   {{0x59af02b0,0xa2cc03f8,0x92ec01b2,0xa3ce02ea}},	//   _bundesve, _italyvo_, _bezique_, _privo_, 
   {{0x5162036a,0xdbf902cb,0x33cf0083,0x5ab40250}},	//   _longfell, _započeo_, _avevan_, _ndikimin_, 
   {{0x79c501d1,0x3b0701f4,0xdc6f0067,0x2355036e}},	//   _alternat, _бирдан_, _agartan_, _boyeros_, 
   {{0x839402be,0x14160082,0x44a80260,0x125b00e9}},	//   _hanggang_, _ikirarin_, _desafiuz, _roblem_, 
   {{0xbe660199,0x6e530182,0x784a0156,0xb2020455}},	//   _placenca, _kahakaha, _אוראניום_, _copier_, 
   {{0x625703dc,0xc0310074,0x730c0140,0x53ce0024}},	// [f4a0] _sølvi_, _lentoken, _karapat_, _kravd_, 
   {{0x12380362,0x06120003,0x4a3f0107,0x04e801cc}},	//   _abimeli_, _eigendom_, _زمردی_, _chatrākā, 
   {{0xd230024a,0x7200029b,0xab6e00d3,0x37ea04f2}},	//   _abameta_, _denio_, _पालना_, _symbianv, 
   {{0x0c93015e,0x19800265,0x35a401cb,0xec93023c}},	//   _دالاي_, _artikele, _okusisek, _دامام_, 
   {{0x93e203c4,0x75770022,0x2f4102d8,0x43940115}},	//   _تىلەيمەن_, _банкыһы_, _diurutka, _musykil_, 
   {{0x52c80217,0xbad602c0,0xcc650054,0xf8d40299}},	//   _erronee_, _листите_, _dattaku_, _بىنەپشە_, 
   {{0xa45900ba,0x380c020f,0x62b10488,0x12d403e6}},	//   _ئیشبیلیا_, _ډیويډ_, _laiduma_, _guuden_, 
   {{0x8e420017,0x9274023c,0xb1640183,0x94010127}},	//   _संग्रहहर, _سوېلي_, _damosiny_, _digudenn_, 
   {{0x92390057,0xd3f004a8,0xb1240156,0x52010040}},	//   _የህዝብን_, _vlastiti_, _דרשנים_, _racial_, 
   {{0xb0450003,0x517c034d,0x2a7b03dd,0x00000000}},	//   _overigen, _gunakanl, _zarzavat, --, 
   {{0xa362013f,0xe1af02fe,0x8bd501d9,0x869a0311}},	//   _kongoek_, _سیاستونه_, _derduerc, _ንኽእረም_, 
   {{0x32480196,0x620000ea,0x206901c7,0x17b601f0}},	//   _nyimbo_, _tenin_, _индиден_, _bosenang, 
   {{0x53b8051b,0xd16f0401,0x644b0153,0x58320052}},	//   _provozu_, _भावात्मक_, _が投稿したレビュ_, _सभासद्हर, 
   {{0xd9d0002f,0x728902b6,0xe9f5011f,0x6b24021b}},	//   _gazettee, _اقبار_, _emaña_, _helpolla_, 
   {{0x39cc01b5,0x1c1c005b,0x00000000,0x00000000}},	//   _mahoxiwa_, _docomoid_, --, --, 
   {{0xa33a010d,0x5a650291,0x8e4c0084,0xbeac0009}},	//   _प्रदेशां, _ابتعد_, _bahasana, _lastnine_, 
   {{0xfa4d00c1,0xd34b0456,0x7dbc0111,0x83f70322}},	// [f4b0] _अमेरिकेन, _kemelut_, _ricamate_, _amashati_, 
   {{0xe2fc0281,0xd23803db,0x5637031a,0xe708015e}},	//   _lynge_, _abameli_, _cheistei, _gastronò, 
   {{0x1c5a0005,0x92000148,0x136200f4,0x12a700f4}},	//   _reguard_, _venio_, _bongoek_, _enebas_, 
   {{0x8bd30148,0x72cb02cb,0x925a017c,0x6f9b01c4}},	//   _看原尺寸圖片_, _pomogla_, _samlag_, _redeneer_, 
   {{0x39fe034e,0xd566004d,0x00000000,0x00000000}},	//   _curiraba_, _今天天氣晴_, --, --, 
   {{0x4f3c0039,0xa30e00cf,0xa73000ba,0x222601d6}},	//   _estreina, _baabura_, _تیراژی_, _dyrker_, 
   {{0xf7080121,0x92d903ea,0xf200031a,0x9c6e0121}},	//   _gastronó, _recours_, _choite_, _afirman_, 
   {{0x53020453,0xa2d90222,0xae9102d7,0x928e0204}},	//   _medalju_, _secours_, _instaure_, _поворачи, 
   {{0x0b1d041b,0xe2000229,0x6f3c01b7,0x80ed0061}},	//   _ampareen_, _menim_, _संग्रामे_, _전자제품을_, 
   {{0xc3230311,0x52fc02f3,0x26810025,0x00000000}},	//   _ትራክተራት_, _tyngd_, _सेवां_, --, 
   {{0xef3b01b6,0x026200d9,0x3b78049e,0x00000000}},	//   _alignmen, _onnistui_, _redukcia_, --, 
   {{0x4d9c00d9,0x9ae80040,0xf2da01ef,0x2fc901f6}},	//   _говоритс, _אתניקס_, _turetu_, _turistar_, 
   {{0x820e0066,0x62be0023,0x33f30196,0x1fa9003b}},	//   _магад_, _привести_, _ambukuli_, _balondvo, 
   {{0x4fc702c4,0xd2b901da,0x13eb00d9,0xcbd402a4}},	//   _дизајн_, _sondazh_, _mietin_, _frumento_, 
   {{0x6dad0034,0x0bfa01b5,0xe26e012f,0x05d70188}},	//   _bandarís, _akinnaso_, _meroro_, _пластики, 
   {{0x42e50245,0x0f110012,0x33010240,0xf25a023c}},	//   _jaintia_, _छ्ट्पट्ी_, _qarauni_, _axele_, 
   {{0xb5e90337,0x62d901f7,0xce3d00f8,0x00000000}},	// [f4c0] _kazandı_, _sabent_, _ভটভটি_, --, 
   {{0x13870067,0x32800322,0xff64009a,0xe6db0290}},	//   _korri_, _amakaye_, _isiphaka, _consumà_, 
   {{0x7a8c010f,0xc2ec0092,0xef350042,0x1b0e02c5}},	//   _навҷавон, _derinde_, _pulseira, _chepakat, 
   {{0x7c190456,0x9e0200e7,0x2c0104ca,0x126c0062}},	//   _kapalter, _angestra, _amassas_, _lamoni_, 
   {{0xd18600cb,0x621b020a,0x83020067,0x251b0059}},	//   _ahlambul, _эпителий_, _darbine_, _potremmo_, 
   {{0xc3f201c7,0x63ec068d,0xdec700e2,0xa8c4005a}},	//   _başladyk_, _abiotisk, _tanimmen, _studiosd, 
   {{0x02cd06dd,0x94790302,0x36d40209,0xca250322}},	//   _ideolog_, _насрулло, _aliasuff, _akabasha_, 
   {{0x1b1801e9,0x02ec005b,0x821302ee,0x34020022}},	//   _bobapats, _herinde_, _boghod_, _террорсы, 
   {{0x2c6a005a,0xbc76000c,0xefac017e,0xd2900097}},	//   _bojuvlu_, _isaraki_, _beloruso, _salaye_, 
   {{0xe29e016f,0xbaec01db,0x03a2050b,0xf2da0176}},	//   _китаю_, _кодексті, _golput_, _fureru_, 
   {{0x9c950003,0x03870073,0xc30204c9,0x52d60290}},	//   _geleverd_, _cidras_, _almerã_, _antopan_, 
   {{0xa3490037,0x636c0382,0xdf3c036e,0x034101c3}},	//   _እየተሸጠ_, _kungavi_, _gioriala, _bonefro_, 
   {{0x921700b8,0x581c0071,0xcc6400ee,0xe0f201ab}},	//   _tunkakam, _ناباروری_, _kontatu_, _करतवऽ_, 
   {{0xa30d008c,0xf0ad00d6,0xa200005a,0xa98500e0}},	//   _schaner_, _cuntasói, _denib_, _harinxma_, 
   {{0x5ec30040,0x6a4f0129,0x0aac00ad,0xd3f804c7}},	//   _לאתרי_, _nehemaya_, _angkanan_, _кетрин_, 
   {{0xd26c028e,0xfa1400ae,0xa20001da,0x3372007f}},	//   _hamoni_, _baragahe, _qenie_, _caradog_, 
   {{0xb581008c,0xbf0d0461,0x12ec03cf,0xc26d007f}},	// [f4d0] _instituz, _seccions_, _yerinde_, _theori_, 
   {{0x42d703e8,0xac6c0374,0x0c1400e4,0xe38702d3}},	//   _kuponko_, _шартлари_, _शुद्धरत्, _porra_, 
   {{0xbfc40154,0xb25e00b6,0xa9ee01cf,0xec9600fd}},	//   _выртеж_, _fransawi_, _occidera_, _dhràibhe, 
   {{0x06c4032e,0xc35a032d,0x328c0144,0x00000000}},	//   _aptawayi, _кирәмәтт, _علومه_, --, 
   {{0x72d90231,0xe2e903f2,0xd30e005c,0x205900cb}},	//   _habere_, _arkisto_, _akebuka_, _бениёз_, 
   {{0x1d8500c6,0x23870111,0xe201007b,0x32aa02a8}},	//   _словом_, _torra_, _ingine_, _macduff_, 
   {{0xe2da03f1,0x22d902f0,0xdd00035b,0xc2df0242}},	//   _stredu_, _babese_, _primerne_, _parisdə_, 
   {{0xbe2e0114,0x25d400e5,0xdd46023c,0x75d20157}},	//   _רוכשים_, _стартува, _عبدالروف_, _studentó, 
   {{0x318c04e5,0x2a020196,0x82ec0148,0x32c500cb}},	//   _ababikol, _angapeze, _perinde_, _amelele_, 
   {{0xf1f80397,0x82fe04ca,0xea7f01dd,0x00000000}},	//   _wakhulum, _aerians_, _basahura_, --, 
   {{0x291301af,0xb64c0024,0x43eb00dd,0x5b780052}},	//   _garamazd, _বয়সত_, _abatai_, _दर्शनका_, 
   {{0x238603a2,0xcb8d04e9,0xb11901b8,0xcf9903d1}},	//   _dobry_, _niriniar, _hiljemal, _salvetes_, 
   {{0xa3c80073,0x42d5014d,0x6aee0192,0x8a26020a}},	//   _corvos_, _geboten_, _natuurge, _диетасы_, 
   {{0x6be9018d,0x668e013d,0x06d3005c,0x8aab0153}},	//   _ብኣልማማ_, _liberigi, _anyaruki, _光導波路を介して, 
   {{0x225702b9,0xae92001a,0x40b300dc,0xe2c50220}},	//   _válik_, _adatokat_, _atimalal, _colline_, 
   {{0xf37c01fb,0x1b490031,0x32d904ee,0x92e90039}},	//   _pesante_, _संस्कृती, _dabere_, _musikea_, 
   {{0x7e5b023c,0xf6ad00d9,0x1f4002a4,0xd5590008}},	// [f4e0] _مکررچاپ_, _постельн, _proscrip, _قتىدا_, 
   {{0x529200cd,0xb2c5047c,0xc29000cf,0x30730297}},	//   _altars_, _totland_, _dalage_, _gazpromn, 
   {{0x29e90185,0xc98702e0,0x5e3d00d1,0x8d6400dd}},	//   _талантла, _iphitlha_, _বিষয়া_, _iraciaid_, 
   {{0x63da015d,0x3001026b,0x60bc0145,0x00000000}},	//   _odpadów_, _ভেজিটেবল_, _балгарыі_, --, 
   {{0xc43900c7,0x0908026c,0xcc6b0715,0x4410023c}},	//   _мигрантл, _penatibu, _छेत्री_, _اورښتونو_, 
   {{0x734f0139,0x729c00ff,0x9224005b,0xddad0055}},	//   _प्रमाणान, _ספרדישע_, _naoki_, _raffiche_, 
   {{0x3d9d0061,0x22900455,0xdc5c0138,0x3a8b0260}},	//   _페이지에서_, _malade_, _kentsel_, _destruír_, 
   {{0xc2d8045c,0x13250333,0x62fd015f,0x6ae700d1}},	//   _zijeme_, _mosconi_, _dieithr_, _পাহাৰী_, 
   {{0x23e70366,0xad74018b,0x4dfb0206,0x00000000}},	//   _решается_, _concediu_, _bankové_, --, 
   {{0x94980024,0x5cd003ff,0x0db7036d,0x7029018d}},	//   _আবর্জনা_, _sušičky_, _chaistea, _ጭንግራሕ_, 
   {{0xf2fe0374,0xc73c0066,0x20700396,0x0b8d0255}},	//   _bergan_, _томруула, _relazzjo, _savisaar, 
   {{0x629000a4,0xa37b032d,0xf8f701de,0x00000000}},	//   _armats_, _бүртенеп_, _ұражай_, --, 
   {{0x249d02cf,0x1db702ac,0xeaa90035,0x677d0156}},	//   _расправа_, _thaistea, _тегенең_, _אַקקאָונ, 
   {{0xc3ce0230,0x7c770656,0xa41f00be,0xcda4015d}},	//   _priva_, _esprimi_, _اكتىۋدۉۉ, _fotorela, 
   {{0xcaf204ad,0xd85103b2,0x00000000,0x00000000}},	//   _dirurube, _scissors_, --, --, 
   {{0x3bef0462,0x86210148,0xdc6a00dc,0x6e5600e5}},	//   _accentur, _真實不虛故_, _birrell_, _пиксели_, 
   {{0xc7210027,0x6a85034f,0x06aa0444,0x5ae0025d}},	// [f4f0] _blaricum_, _abazakut, _разбойни, _kulturut, 
   {{0xbaf4040e,0x329e0153,0x00000000,0x00000000}},	//   _laurdage, _ガイドブック_, --, --, 
   {{0xf21800b5,0x9bcf0024,0x1231030b,0x1913033e}},	//   _голутови_, _সংশোধনৰ_, _akomewo_, _karajaku, 
   {{0xd29002bc,0x8c540142,0x4320011c,0x8c9c0041}},	//   _halade_, _विशेषयिष, _asiyee_, _аҟәраан_, 
   {{0x15a60162,0x602b0086,0x22000206,0xa2780305}},	//   _алғанлиқ, _modellek_, _menia_, _vitnar_, 
   {{0x26ce01b7,0xed8a020c,0x00000000,0x00000000}},	//   _पर्यटनम्_, _pelembut_, --, --, 
   {{0xe9850461,0xde470180,0x9cb40168,0xf65b0011}},	//   _maritima_, _finansye_, _allsidig_, _balikyaw, 
   {{0x23f80770,0xeea80538,0x00000000,0x00000000}},	//   _demuth_, _poetiske_, --, --, 
   {{0x89ed0058,0xf20b01f6,0x12d601cf,0xb287055f}},	//   _sauropod, _স্বতাধিক, _follias_, _veriniz_, 
   {{0x32ef028f,0x238703f5,0x811d0037,0x3a1a03ce}},	//   _hakihea_, _vidros_, _የነገሥታት_, _عزدین_, 
   {{0xd2c201f6,0xb4f50478,0x82c801f0,0xb61d01ac}},	//   _tallinn_, _champanh, _boronse_, _mainisti, 
   {{0x03dc073d,0xa6820270,0x4cdc0297,0xba7b02b2}},	//   _ayiwa_, _ancestri, _aşıgıp_, _сталін_, 
   {{0xac1e013f,0x9d8d032d,0x0b7e0220,0x00000000}},	//   _respont_, _градусты_, _biancher, --, 
   {{0xa9090045,0x73820291,0x32dc04fe,0x51020052}},	//   _метала_, _مازلت_, _trionfi_, _सभासदहरु_, 
   {{0x91b10045,0x5a9a0156,0xe68c01be,0xeb0f0026}},	//   _старости_, _שששששששש, _दिनार_, _verplaat, 
   {{0x9c150017,0x02490035,0xe91300d9,0x4d7403b3}},	//   _मुस्ताङ्, _alamı_, _алкоголя_, _purmente_, 
   {{0x40560222,0x914503b2,0x1ffb00db,0x8ae0025d}},	// [f500] _صفاقس_, _material, _ब्रांडी_, _kulturde, 
   {{0x133f0797,0x2b530654,0x66b40040,0x5c1e046f}},	//   _nordsjæl, _tertimpa_, _מאזניים_, _gespent_, 
   {{0x05850135,0xf661024a,0x4d2c00d1,0x4292007a}},	//   _октябрьд, _bariolá_, _কাহানিও_, _disapu_, 
   {{0x922601bc,0x76ce0015,0x1bb40257,0x00000000}},	//   _bosken_, _aftahani, _fiskafur, --, 
   {{0x4c5c012d,0x526d02e7,0x028302ca,0x863e00c4}},	//   _sentrel_, _igboto_, _تطمئن_, _kupigani, 
   {{0xc6b0027a,0x70da00c5,0xe94803b8,0x1b2b020e}},	//   _neograni, _中国社会科学院_, _фархатты, _bolaolas, 
   {{0xafb0007b,0x620e0456,0x36070061,0x0c2a054d}},	//   _fautless_, _usahasam, _중형삼각대_, _fristels, 
   {{0x179701e1,0xd0310235,0x18c4035b,0x9a1601fe}},	//   _октябрҙә_, _सिंहो_, _ključavn, _tokatoka_, 
   {{0xa34b0212,0x14990193,0x39c4023b,0x1035021e}},	//   _kbdedit_, _menawark, _okolohua_, _deltagan, 
   {{0x8c7902b5,0xcb4300be,0x05b5012b,0x3a1502da}},	//   _suksiuj_, _генералд, _projektó, _stockfre, 
   {{0xb2e30219,0x17d801cf,0x62a70046,0xc2a30235}},	//   _akhiphe_, _dispergi, _acabem_, _पर्वतेषु_, 
   {{0x961d0262,0xb343012c,0xa06c00f2,0x42000403}},	//   _awtomobi, _kitengo_, _samazino, _fefin_, 
   {{0x7e980192,0xaf7f0002,0x2c93006f,0x52000224}},	//   _선거법위반행위_, _potrošač, _ماسات_, _gefin_, 
   {{0x52910037,0x93940175,0x26060331,0x1e1000be}},	//   _umrah_, _prosen_, _formanni, _تۉگەگىچە_, 
   {{0xd3690241,0xf20d0029,0x5f7f0145,0x1c70009f}},	//   _aantuumm, _سدرێژییه_, _pasipuoš, _sporedu_, 
   {{0xa5870281,0xdc150025,0x406101d9,0x42d8010d}},	//   _boligstø, _मुक्तिर्, _aussemin, _haneul_, 
   {{0xcd4802d3,0xa9d70220,0x04c10335,0x8a90002b}},	// [f510] _виновниц, _allename, _apāharat_, _সন্তোষ_, 
   {{0xd3ea0770,0xd778019d,0xb3ce04e3,0xf9ff0158}},	//   _idita_, _atawakwi, _krivu_, _zeznania_, 
   {{0x43930063,0xd37d01f0,0xb373028d,0x03fe024c}},	//   _حائطي_, _borragom, _melanze_, _bezzina_, 
   {{0x4c60006e,0xe207011d,0x137900fd,0x756a0161}},	//   _awataar_, _сепараря_, _fasanta_, _привязан, 
   {{0x3504037b,0x5e9e0076,0x00000000,0x00000000}},	//   _resuelto_, _нашле_, --, --, 
   {{0x6c680121,0xe0520030,0x37e30188,0xbfc4015d}},	//   _ingreso_, _pieradin, _боъиси_, _फीनिक्स_, 
   {{0x31d70021,0x428e011f,0xd9f600bc,0xd2ec0421}},	//   _abnetlay_, _chakeko_, _پولیش_, _soviele_, 
   {{0xc86f0047,0x33ea015b,0xd34501d3,0xcebd005b}},	//   _rapports_, _odita_, _halvtimm, _artscape_, 
   {{0x61410199,0xfe580076,0xab1a0262,0x8f2f019a}},	//   _uhdungro, _убеди_, _begligiň_, _gloomier_, 
   {{0xc2590090,0xfc60000f,0xce4f02d6,0x926d0013}},	//   _akangoti_, _kanunun_, _allanima, _arvoh_, 
   {{0x4b6200f4,0x4b8d00eb,0x004d012a,0x73ce01eb}},	//   _niverenn_, _biribiar, _zapropon, _aravo_, 
   {{0xd46f01a0,0x7f5d01bb,0x00000000,0x00000000}},	//   _tshembek, _kitaphan, --, --, 
   {{0xa242010d,0x1a5e014e,0xb264029e,0x267301db}},	//   _चढवला_, _записник_, _boulig_, _йоркте_, 
   {{0x027903f0,0xd5860414,0x09d600c7,0x92fe0262}},	//   _velferða, _baatekak, _барудан_, _hergun_, 
   {{0x9dbe00b8,0x32020448,0x92490291,0x525001ee}},	//   _kutiyana, _kopier_, _chamal_, _бераш_, 
   {{0x929006c1,0x7f41036f,0x62da03ba,0x2b64004c}},	//   _nalaze_, _opasnost_, _kuredu_, _agitunda_, 
   {{0x6200019b,0x3e21020a,0x695a00be,0x6ae400d3}},	// [f520] _meniu_, _шiлде_, _جىيارعا_, _कन्याम_, 
   {{0x1d040192,0x8b640184,0x02590120,0xc43303a8}},	//   _이미지박스_, _agatonda_, _gannatti_, _পেনিক_, 
   {{0xc5c200a7,0xf3fe030d,0xd97f00a6,0x45780156}},	//   _ارىڭاردى_, _poeziya_, _bathabat, _קעסלער_, 
   {{0x2eea01ec,0x046f0580,0x532400f0,0x2c8f0234}},	//   _پستون_, _inčukaln, _káblov_, _ọ̀gẹ̀dè, 
   {{0x8290013c,0x84a6009f,0x123a0541,0x00000000}},	//   _komitə_, _globinsk, _prevodil, --, 
   {{0x4f380277,0xc395006e,0x66c401cd,0x4d000322}},	//   _sovracca, _cxesus_, _alisitsh, _araterur, 
   {{0xc27801cb,0x0b530233,0xd8580262,0xd2310118}},	//   _ilunga_, _criminar, _abzallar_, _akomawo_, 
   {{0x1c1b0427,0x426d040f,0xa2cf03ef,0x5a16024f}},	//   _hanaiyar, _sezono_, _karekezi_, _rokaroka_, 
   {{0x56d3045e,0x93870256,0xccd900be,0xcf6e00e4}},	//   _мобилни_, _andris_, _تويدۇن_, _दीर्घाओं_, 
   {{0x23430244,0x838300d7,0x4386019d,0x82900015}},	//   _ritengo_, _hanyane_, _konzani_, _badaye_, 
   {{0xe0160102,0xded90031,0xa04c0052,0x8b7701b2}},	//   _مواصلاتي_, _varietas_, _तिवारीले_, _billycoc, 
   {{0x43990092,0x9cbe03d4,0xca97016f,0x98d50119}},	//   _こんばんわ_, _царем_, _кладовищ, _kadugang, 
   {{0x52d8002c,0x79d00013,0xf29005b7,0x087b0299}},	//   _aldera_, _teledast, _bojati_, _بەلباغلى, 
   {{0x5b7600b5,0x64a20262,0xd5e20361,0xc18700a2}},	//   _ателееил, _bagbançy, _нетехнич, _kitambul, 
   {{0xcc1700d1,0x1c51031c,0xa1f4000d,0x49820153}},	//   _forskars, _contaba_, _kunstnik_, _上達テクニック編_, 
   {{0x52000053,0xa3ce03d7,0x17cc0177,0x724502c9}},	//   _menit_, _travo_, _аочеркқә, _ceilalti_, 
   {{0x229002b1,0xe27803ae,0x7a89008d,0x3dac00ba}},	// [f530] _halaye_, _vitner_, _guliston_, _نامۆن_, 
   {{0xc3930156,0xc6eb009a,0x23ce0191,0xc3f0009a}},	//   _מנוול_, _معیاري_, _drivs_, _amashiti_, 
   {{0x5c600390,0xa37700ff,0x238300d7,0x6d4c02ea}},	//   _qanunun_, _זעהסט_, _banyane_, _сувенири_, 
   {{0x2d2d03cc,0x0200022d,0x2e4700b3,0x5b590630}},	//   _ইমদাদুল_, _geniu_, _чэрелери_, _gmdesign_, 
   {{0x8f130609,0xb836033e,0x3c6500e6,0x02d60137}},	//   _séculos_, _акрааҵуе, _coquine_, _botoian_, 
   {{0x82980036,0x530f0517,0x2c3e027b,0x738601b0}},	//   _جزيلا_, _agravar_, _astraü_, _tibra_, 
   {{0x7b0d047d,0x1df500f4,0xf99c01a3,0x729001d5}},	//   _kritiséi, _benvegad_, _پيشقدمي_, _talajt_, 
   {{0x126c0036,0x811d0089,0xfe58015e,0x1f90023c}},	//   _cheol_, _aktivlıg, _абада_, _انډيز_, 
   {{0xf30d02fe,0x440d02fe,0xc4b40115,0xb3e200a4}},	//   _akunakuj, _akunakuz, _disahihk, _جۅندۅۅ_, 
   {{0xec5702cb,0x0fda000e,0xa3dc0202,0xb8420047}},	//   _nastaje_, _reciproc_, _ayawo_, _extraits_, 
   {{0x3a760111,0xbeb20515,0x3c6e029b,0xd20000a4}},	//   _vergogna_, _apprende_, _agaripa_, _teniu_, 
   {{0xf2ec0354,0xf249039d,0x23ce0191,0x35fe0061}},	//   _алдаш_, _nyambo_, _trivs_, _안동보훈지청_, 
   {{0xd3ce0513,0x62900193,0x327e014d,0x92ad01f2}},	//   _asiva_, _penata_, _rennen_, _өзәмни_, 
   {{0xf4bd02a0,0x32000278,0xb4e70147,0x1ed40020}},	//   _alábòró_, _kenit_, _جووڭو_, _peniamin, 
   {{0x22000148,0xfd5f0037,0x606a01a3,0xc3a1014a}},	//   _jenit_, _ጠመንጃዎች_, _مفروضو_, _sportpál, 
   {{0x1291009d,0x00000000,0x00000000,0x00000000}},	//   _emrat_, --, --, --, 
   {{0x179302b7,0x68dc0060,0x55e9037f,0xa25e019c}},	// [f540] _mokondö_, _журим_, _yarandı_, _ifitonil, 
   {{0x2912020f,0xf04100bb,0xa86e0481,0xdba6027b}},	//   _angazuku, _وشبہات_, _persoons_, _अधातोः_, 
   {{0x12240414,0xf2900189,0x27b50061,0x5be10178}},	//   _mboka_, _kenara_, _죄송하지만_, _caraṇā_, 
   {{0xfa0d02fc,0x73f9005c,0xde350300,0x00000000}},	//   _babasaba_, _bagure_, _dohadova, --, 
   {{0xb7e600b4,0x821c0205,0xc4d602ac,0x06b60144}},	//   _companii, _йуналиши_, _ماعليك_, _micreath, 
   {{0x052b0192,0x2c540040,0x1a9c030a,0x3c6c0089}},	//   _해외브랜드_, _הנעילה_, _melidens, _аңлармын_, 
   {{0xedad0034,0xc6de03b5,0x0c46027c,0x00000000}},	//   _bandarík, _membanji, _درسمي_, --, 
   {{0xf6af0159,0x83eb0211,0x243905f4,0xbf4f0130}},	//   _dangorai, _tietyn_, _chukitak, _dispaket_, 
   {{0x47b501d9,0x51bb01e0,0xe2d8053b,0xa050004e}},	//   _sportzei, _تلویزیۆن, _coleta_, _langitno, 
   {{0x32130137,0x061c0148,0xd31c012e,0x5c60020f}},	//   _комисс_, _興奇科技股份有限, _keserű_, _داوږدې_, 
   {{0x2d9c01b5,0xd74c00a6,0xd97a0138,0x00000000}},	//   _hetelele_, _بيمارۍ_, _lacivert, --, 
   {{0xa387018a,0x3f250220,0xa6dd0220,0xd39c005b}},	//   _dorri_, _insegnan, _serbatoi, _betydet_, 
   {{0xc2d9021c,0x02d90016,0x92780358,0x82340081}},	//   _tablety_, _אַחוץ_, _tounwa_, _dagblöð_, 
   {{0x5ed80071,0xb5ae014a,0x00000000,0x00000000}},	//   _ازتون_, _munkaszü, --, --, 
   {{0x320003cf,0x8382012c,0x52d80428,0x18c20163}},	//   _benim_, _داخلا_, _kolesa_, _kattintv, 
   {{0xde96009a,0xbf5f0587,0x00000000,0x00000000}},	//   _abamajon, _cavaèrs_, --, --, 
   {{0x13270361,0x504602d7,0x00000000,0x00000000}},	// [f550] _арăмсан_, _amarelen, --, --, 
   {{0xb3eb0468,0x118c0040,0x985402df,0x00000000}},	//   _abathi_, _הפיסול_, _berlembu, --, 
   {{0x52000019,0x9387041e,0x62250004,0xec7304a7}},	//   _tenim_, _corri_, _evakye_, _amosaba_, 
   {{0x73860409,0x1291019d,0xdf9e014e,0x125b0138}},	//   _fibro_, _ambali_, _дозвољав, _azalan_, 
   {{0x3cb800d6,0xf21c005b,0x7c6e016b,0x117a00ee}},	//   _ɦօʊɖǟ_, _toshio_, _afirkan_, _радиогоо, 
   {{0x52fc031f,0x2a100227,0xe1ff0443,0x73fc03b4}},	//   _synge_, _tercipta_, _mahabbah_, _bhindauk, 
   {{0x55e90135,0xd2ff0203,0xa2000172,0x130700fb}},	//   _karaldı_, _arrivar_, _yenim_, _bamanzi_, 
   {{0x1ddf01e5,0x59e20168,0xf03d012c,0x972400ff}},	//   _adekunle_, _samfunne, _مجلسن_, _באגעגנט_, 
   {{0xd2900193,0xa34e01b9,0x13dc06af,0x630e0322}},	//   _kenapa_, _andemik_, _byawe_, _ababara_, 
   {{0x876701a3,0x2e110040,0x563e0205,0x8a0b023a}},	//   _بليفسڪو_, _genetica, _граммдан_, _brušku_, 
   {{0xd3ea02ff,0x827e00cf,0x364f0334,0x9cb00061}},	//   _edite_, _kennan_, _adangobw, _고객변심으로_, 
   {{0x0eab033e,0x9e3d002b,0x00000000,0x00000000}},	//   _iñorgani, _বিজয়া_, --, --, 
   {{0x37ba036f,0x40c603d9,0xe2d905ab,0xcb01000e}},	//   _prirodni, _adaladal, _sabores_, _vassalit, 
   {{0x861e00be,0xfed4011a,0x62f60277,0xfd110235}},	//   _ايىتماقچ, _affirmin, _kungdili_, _caramaṃ_, 
   {{0x75c50429,0x5256039e,0xbe4b013c,0x42c20274}},	//   _memboleh, _ডিগ্ৰী_, _toplanmı, _kallinn_, 
   {{0xb2620011,0xc720026c,0x89fc0046,0x9bab014e}},	//   _abafunam, _spiritum_, _ايىتماق_, _околине_, 
   {{0xc66401c9,0x498102a4,0x30000357,0xe1e7020e}},	// [f560] _ग्रसित_, _poliorke, _isikario, _крайҙы_, 
   {{0x20ef01ea,0x62000058,0x78fa018f,0x8a8a0076}},	//   _istiqbol, _genik_, _davangru, _estivess, 
   {{0x83860265,0x2667032d,0x587b00ff,0xb898017a}},	//   _wibro_, _amahangw, _אלישב_, _барканор, 
   {{0xb4ae0057,0xd3f00386,0x71fc03ab,0x21b4030a}},	//   _jawatank, _memegang_, _venkovní_, _encamiña, 
   {{0x823901a6,0x09af01d5,0x3f3b050a,0x00000000}},	//   _raumati_, _اسمارٹ_, _rengaren, --, 
   {{0x62f40016,0x1de10455,0x80fb0229,0x7b9c0207}},	//   _abundas_, _assisté_, _dirijorl, _miondoko_, 
   {{0x437805ce,0x32000052,0x53ee0147,0xeb27001a}},	//   _olmayan_, _denik_, _tertúlia_, _کلینڈر_, 
   {{0x28eb0029,0x5324027b,0x729102e7,0x228c0513}},	//   _برسێتی_, _aparāhṇe_, _madaut_, _mukhuvu_, 
   {{0x02d9010b,0x730e058b,0x109e00a6,0x00000000}},	//   _dibeke_, _darivanj, _عسکروژل_, --, 
   {{0x7c760033,0x637803cf,0x00000000,0x00000000}},	//   _derungs_, _almayan_, --, --, 
   {{0x42d80840,0xc6c50071,0x4a130195,0xdaf10028}},	//   _hehehh_, _حواست_, _cogaidhe, _haseyees, 
   {{0xcbd600c5,0xef970410,0xfa890278,0x29fb027f}},	//   _市场参考价_, _dithutiš, _perisian_, _birajore, 
   {{0xcd110025,0xcfe703a1,0xb88302a9,0xa3940359}},	//   _paramaṃ_, _правото_, _фестывал, _wêryn_, 
   {{0x7d9000f5,0xcc5501e1,0x22000198,0x2ea60285}},	//   _августда_, _atetswe_, _cenik_, _icarimwe_, 
   {{0x326e0297,0x43870587,0x02920277,0x75cf0162}},	//   _aqqoş_, _òbras_, _gisaad_, _ғәйри_, 
   {{0xf2d80217,0x36e10008,0x3fe70223,0xa37600c6}},	//   _volera_, _ойнихол_, _чааваас_, _юристом_, 
   {{0x86280076,0xfeac0465,0x342900fb,0xa7c702ea}},	// [f570] _продолжу, _rastline_, _eyakwenz, _камини_, 
   {{0xe2000227,0xce8600ff,0x5dce0060,0x1d1800be}},	//   _benih_, _ביירוט_, _тимей_, _تاماكىدە, 
   {{0x241c00e2,0x3290008a,0x00000000,0x00000000}},	//   _dêrhinne_, _talane_, --, --, 
   {{0x82480233,0x827e007f,0x9fca03a2,0x9200009b}},	//   _allmp_, _cennin_, _प्रिरती_, _zenik_, 
   {{0x546200da,0x02d5033e,0x2ab3002f,0xd20000f7}},	//   _импортан, _cadogan_, _cervezat, _defii_, 
   {{0xe062038e,0xd2d9020e,0x83650184,0x4db2033f}},	//   _व्यसन_, _dibehe_, _ifurufum, _maanumaa, 
   {{0xac7901db,0xe2410092,0x1290029b,0xb9c20052}},	//   _кафедрад, _と思った記事_, _dalale_, _usedlost, 
   {{0x546a0148,0x6e9b0360,0x94880088,0x93ff0357}},	//   _各單位介紹_, _zastavit_, _тарсылда, _kuruvaki_, 
   {{0x854e00e5,0x0bfe0315,0x00000000,0x00000000}},	//   _визна_, _inetihib, --, --, 
   {{0x12fd05c9,0x120e00ec,0x520000fe,0x7ba400e7}},	//   _ehehehe_, _камар_, _henii_, _allistic, 
   {{0xe963017d,0x2760034f,0xd5a8006c,0x82910082}},	//   _あなたにおすすめ, _خلکوته_, _abasemak, _ambaci_, 
   {{0x4365001c,0x00000000,0x00000000,0x00000000}},	//   _aragian_, --, --, --, 
   {{0xc6cf0139,0x7a3b007e,0x53ce0219,0x8290000d}},	//   _aakaaram_, _anirdeśā, _esive_, _kalale_, 
   {{0xd25a018a,0xe6550160,0x9e70006e,0x7290029b}},	//   _gaeleg_, _orijenti, _cawarté_, _jalale_, 
   {{0x046702d3,0xdbb200a6,0xe65300c7,0xcedf013b}},	//   _направиј, _asizalis, _тугры_, _humitaas_, 
   {{0x2be7027e,0x10e70168,0x6e450096,0x63de0197}},	//   _финалу_, _alminnel, _badasiga, _laswis_, 
   {{0xbf2301f0,0x687d0046,0xf4370403,0x014c04a7}},	// [f580] _boheitan, _rescatar_, _angataho_, _caducifo, 
   {{0x399d0314,0x03f00386,0xf54a015e,0xe639000c}},	//   _һайын_, _pemegang_, _بولەتىن_, _данахагы, 
   {{0xbf4200e4,0xa62f03fb,0x64430237,0x43dc0082}},	//   _ochrania, _najgorem_, _단행본검색_, _iyawa_, 
   {{0xf9c700ee,0xf16d0128,0x5b5b01dd,0x3e970210}},	//   _харахад_, _саммитда_, _azatanga_, _ekumaron, 
   {{0x72b2045d,0xf29000fb,0x329000ea,0xfe1300ba}},	//   _uradila_, _balale_, _dadabe_, _سێمیناری_, 
   {{0x5f3a0087,0x06380074,0x1a030135,0xe05a00de}},	//   _malungha, _зарабаты, _saraenda_, _فرقانی_, 
   {{0x8031007e,0xd2290127,0x32900478,0x3f470258}},	//   _सिंहः_, _aramaeg_, _menada_, _selskipp, 
   {{0xa2a602ec,0x029000e4,0xa219003f,0xee6e00b4}},	//   _kooban_, _pojawi_, _dativlaw_, _oficiale_, 
   {{0xc3950278,0xfb000333,0xe2900109,0x4a9b0013}},	//   _spesis_, _trascrit, _nadace_, _yashagan_, 
   {{0x42900574,0x62d8016b,0x00000000,0x00000000}},	//   _nenada_, _holewa_, --, --, 
   {{0xfae5008f,0x3d920138,0xc237002b,0x615101bc}},	//   _संगठनो_, _adresine_, _বন্দুকযু, _baneferl, 
   {{0xc3dc03e4,0x2bee0013,0x3f2c0234,0xdc300105}},	//   _ayawa_, _закот_, _idaegbin, _tatuaż_, 
   {{0x72fc0133,0x431a0178,0xe8580135,0xb5090368}},	//   _dhigaa_, _arcanā_, _babaylar_, _прозапад, 
   {{0x225a02ba,0x5ec00118,0x807c00a6,0x6e1503f2}},	//   _uvele_, _abazadde_, _علاقې_, _parempaa, 
   {{0x12d802b2,0x72d80256,0xa35102bd,0xecf80060}},	//   _ukjent_, _nodeva_, _caffael_, _асуда_, 
   {{0x6f2300f5,0x92420013,0x22ef01f4,0x00000000}},	//   _бедиузза, _qimmatli_, _turfa_, --, 
   {{0xb8dd0013,0xa37f040b,0xedf000bb,0xf0720357}},	// [f590] _болаларг, _malamba_, _منگوا_, _tababoko, 
   {{0x4d0d03fb,0x0f8e0153,0x22f500c7,0x00000000}},	//   _zaborave_, _その方法は_, _егермелә, --, 
   {{0x026f02d9,0x00000000,0x00000000,0x00000000}},	//   _teritori_, --, --, --, 
   {{0x43dc03b9,0xf7300199,0x5d070022,0x076d0388}},	//   _ayawi_, _tailieuv, _таяныу_, _допускан, 
   {{0xed270435,0x12900165,0x23780013,0xe2fd0073}},	//   _сасвим_, _kenada_, _olmagan_, _viagia_, 
   {{0x3d1b0195,0x59d703be,0xe48e0086,0x12d3022f}},	//   _aotromac, _aratsind, _عسقلانی_, _aliejumi_, 
   {{0xc17f025f,0x4f11011b,0xf3eb001d,0xf2a00119}},	//   _batambol, _drittsta, _luctat_, _maubus_, 
   {{0xe887004b,0xd4d5027b,0xc78c0052,0x00000000}},	//   _ватанды_, _सुखिता_, _महावाणिज, --, 
   {{0x7ec3046d,0x90610238,0x25a000d6,0xdb5e06a1}},	//   _madzanga, _ятати_, _مشاوير_, _stadnamn_, 
   {{0x2fcb03c2,0x90d0002b,0x160a03a9,0x1ef70297}},	//   _aurifero, _অদূরে_, _викихьал, _karañgıl, 
   {{0x30530122,0xbaf2027b,0x6a150371,0xa39f01c7}},	//   _بايست_, _avirahit, _cuscinet, _beryär_, 
   {{0xd290034d,0xf2da0333,0x32000249,0x69b802af}},	//   _tenaga_, _farete_, _nefiu_, _begenywa_, 
   {{0x838600a6,0xf9e20073,0xdfd6000e,0x9f0903f2}},	//   _abazuzi_, _dirigeva_, _grandimo, _пропадае, 
   {{0x227001a4,0xa86e0044,0x8f2b001c,0x0c1701db}},	//   _abondeli_, _versions_, _mittelma, _шекарада_, 
   {{0xc4bd0089,0x00840361,0xbc44012a,0xd98102d6}},	//   _изольда_, _ставилис, _kompatyb, _тамғаси_, 
   {{0x234d0119,0x42da00d7,0x229003f7,0xa9b90076}},	//   _bilecik_, _karete_, _falast_, _галерија, 
   {{0xcb89017c,0x52d8033f,0x8bee00f4,0x32da032d}},	// [f5a0] _verifier, _holeva_, _denelour, _jarete_, 
   {{0x6c6b0040,0x00000000,0x00000000,0x00000000}},	//   _promoted_, --, --, --, 
   {{0x82da0046,0x32b30145,0x2b21034e,0xfb3502ff}},	//   _museus_, _leidimo_, _hatallin_, _masachis, 
   {{0x29aa018d,0x8a230371,0x6d2d002b,0x738601f1}},	//   _ብዝኸፍአ_, _nasconde, _এমদাদুল_, _dibra_, 
   {{0x0fea03d8,0xfe54034f,0xc78000f0,0x96490371}},	//   _dubrovač, _asibanda, _námietky_, _посоката_, 
   {{0x9a1402f0,0x22f40155,0x295d02f9,0x00000000}},	//   _angavuma_, _brynäs_, _granmate, --, 
   {{0x620d0540,0x42d80165,0x18e903c2,0x9f3b01d5}},	//   _bæinn_, _goleva_, _beasting, _tengeren, 
   {{0x427800fe,0xf3ea0377,0x5cbe0024,0x69530314}},	//   _alunga_, _odata_, _কেন্দ্ৰি, _ҡышын_, 
   {{0x5c31011b,0xe94d01f9,0xd341033e,0xce4e03f7}},	//   _baanzelu_, _enhlanye, _kosecha_, _fallsæti_, 
   {{0xe30e01c0,0xe94800b8,0xe2df005b,0x972b0041}},	//   _gabatar_, _chullunt, _bakenshi_, _ҟәланырх, 
   {{0xf626019b,0xa27e012c,0xe29200a2,0x00000000}},	//   _братоў_, _mwongo_, _hawako_, --, 
   {{0x4f49006c,0xad310092,0x7ecc0148,0xef450530}},	//   _abashona, _チェックした商品, _maximian, _muževi_, 
   {{0x0d8a01a4,0xa1480537,0x0a12006c,0x00000000}},	//   _budedede_, _letreiro, _angamuke, --, 
   {{0x93740262,0x138602dd,0x12cc0041,0x174d047b}},	//   _subutnam, _fibri_, _ҧымҵәеит_, _elinnleg, 
   {{0x5b1b00f0,0xf2d90194,0x00000000,0x00000000}},	//   _neplatiť_, _vicear_, --, --, 
   {{0x14da02d6,0x9033045b,0x00000000,0x00000000}},	//   _донни_, _поточні_, --, --, 
   {{0x63ce0331,0xd4f4023c,0xc01100ec,0x025b0125}},	// [f5b0] _kravt_, _اعتراضون, _studijuo, _begler_, 
   {{0xd2d8028d,0xb29e02fe,0x328e00ff,0x43fc0210}},	//   _poleva_, _تمامه_, _כוסיין_, _akanyadz, 
   {{0x53ea03f5,0x02920182,0x00000000,0x00000000}},	//   _leite_, _mawaho_, --, --, 
   {{0xfa62030b,0x667f0080,0x027e01a7,0x1c020478}},	//   _abaganza_, _katersui, _heinä_, _amassar_, 
   {{0x30590072,0x0da9033d,0x930e05ab,0x92d8027e}},	//   _karsilan, _byenveya, _pesados_, _noleta_, 
   {{0xe1ac030d,0x27a6046b,0x02580158,0x93200114}},	//   _adlandır, _recriwti, _naklejki_, _psycnet_, 
   {{0xd6920261,0x3c63010e,0x17f10452,0x00000000}},	//   _geamikoj_, _bubukol_, _धावसंख्य, --, 
   {{0xe2d005ca,0x6ee7016d,0x93a30249,0x9ab90061}},	//   _adultos_, _парахот_, _stapim_, _행정사무감사_, 
   {{0xcf8000d1,0x66b00095,0x09340219,0x00000000}},	//   _ব্যঙ্গাত, _مجرمانه_, _khombisa_, --, 
   {{0x33ea053e,0x7b1d023e,0x95190282,0x2e4e03d9}},	//   _inntil_, _الحجه_, _kaporeih, _antanina, 
   {{0xcff30133,0x3fde0234,0x134600ba,0xd290001c}},	//   _abukaado, _arinpọ_, _ئۆفیسه_, _balart_, 
   {{0x42ab030e,0x422a0135,0xd2020498,0xd70901d5}},	//   _برابري_, _корал_, _nasiel_, _egytálét, 
   {{0xedee00a6,0x8f5a017d,0x12780348,0x21fc027b}},	//   _سمبول_, _kampagne_, _alunda_, _आश्चर्यप, 
   {{0x92da000e,0x19420010,0x4b4f0231,0xe20e03bf}},	//   _impedi_, _anelitse, _promiser, _ватам_, 
   {{0x96d90060,0x92240450,0x02870272,0x12be0244}},	//   _ءيىسى_, _makken_, _abikoze_, _водорасл, 
   {{0xa29502ab,0x32000231,0xc96e0076,0x33870067}},	//   _ajukari_, _lenis_, _cientist, _dirre_, 
   {{0x43940555,0x427e02a8,0x72e000d2,0xd4b800b9}},	// [f5c0] _fagstoff_, _rajna_, _itungan_, _कॉलेजला_, 
   {{0xa2900527,0x929100aa,0x6b770294,0xbe1701f6}},	//   _uplatu_, _kadait_, _fiestata_, _begergla, 
   {{0x92920176,0xe2a70087,0x0c5c0108,0x5ec2004d}},	//   _sawako_, _losby_, _bentoel_, _camillus_, 
   {{0xaa7202cb,0x4c610343,0x4fae041a,0x00000000}},	//   _običan_, _ginusto_, _качки_, --, 
   {{0x827e0313,0x3858034c,0xd2e805f4,0xb53a0061}},	//   _vajna_, _abzarlar_, _atinchu_, _저희들의사랑을_, 
   {{0x36a2005e,0xa9f700c1,0xa39d019d,0x62240181}},	//   _ﺑﻪﻛﻤﯘ_, _menarget, _angagonj, _jakken_, 
   {{0xee480207,0x9dd500d6,0x02dd005b,0xf1390151}},	//   _سيئول_, _entkhaba, _homolov_, _amoebagh_, 
   {{0xe2000377,0x564f0313,0xa6800652,0x00000000}},	//   _venit_, _maghirni, _optereti, --, 
   {{0x22240359,0xb7b702f4,0xd8d7021b,0xebed04df}},	//   _fakken_, _incumpli, _питании_, _berendir, 
   {{0xac37015d,0x3a0901d4,0xa2240176,0x73ce075b}},	//   _प्रकाशको, _affarist, _nakken_, _osava_, 
   {{0x6d9f017c,0x96f40153,0xc8590089,0x82e3077b}},	//   _spendera, _トを確認した_, _garajlar_, _equidad_, 
   {{0x93f903ef,0x4224005b,0x8636044f,0x6c91020e}},	//   _imbuto_, _hakken_, _ketinggi, _bobusing_, 
   {{0xd3020011,0x93ce02e8,0x4fcc0081,0x3401010d}},	//   _angaleu_, _asava_, _svíar_, _महादजी_, 
   {{0x320000d5,0xfc0e0120,0x165700e6,0x227e012c}},	//   _komity_, _faatacis, _中国老龄事业发展_, _uwongo_, 
   {{0x645f00d1,0x52d9056f,0x826c02d7,0x02fd0170}},	//   _সামাজিকভ, _jazere_, _cheos_, _ikagwa_, 
   {{0x82fd0226,0x68600013,0x8f5f036d,0x00000000}},	//   _akagwa_, _muharrir_, _leapanna, --, 
   {{0xe21a03ab,0x12fe01ad,0x5a9b0017,0x481502d6}},	// [f5d0] _centráln, _inugay_, _postrádá, _буламан_, 
   {{0x91f9003f,0x217c0176,0xe93a05db,0x1eac004a}},	//   _chongehm, _arcとpc_, _azalelwa_, _kirtäne_, 
   {{0x44a70088,0x18d1005a,0x4a0603ae,0x34eb0037}},	//   _балким_, _chiledaq_, _jobbinte, _የመምራት_, 
   {{0xc7160090,0xb382023d,0xd3ea0338,0x08490311}},	//   _akamurov, _безалкох, _ajatz_, _ብጸርፍን_, 
   {{0xf3860489,0xf301064d,0x388202ef,0xf7360439}},	//   _hibru_, _nawanui_, _diktatč_, _kholwang, 
   {{0xb0c001f6,0x7c0e0120,0x32ee0428,0x4ec80270}},	//   _গৃহীত_, _faaticis, _vadnici_, _obviemen, 
   {{0xa47e033e,0xb7bc03c4,0xf2000027,0xe2f900fb}},	//   _синоп_, _буларниң_, _defik_, _bakhula_, 
   {{0xef1f0072,0xa37a0180,0x13470369,0xc34700c1}},	//   _tukutata, _lasasen_, _pelekia_, _कौतूक_, 
   {{0x52ec01d9,0xe2780189,0x23a90013,0xd2e902f7}},	//   _gebrauch_, _olunca_, _کوردیم_, _dikitso_, 
   {{0x5291006f,0xa2900275,0x2639033e,0x00000000}},	//   _umbali_, _palaie_, _kombutaó, --, 
   {{0x32300132,0x01a50157,0x786b004d,0x23ea01c8}},	//   _írjon_, _radość_, _兵籍調查可上網申, _ocitli_, 
   {{0x026c023b,0xd8cf008d,0xc3f40282,0x48e60156}},	//   _eziona_, _dasturig, _kautia_, _סופֿר_, 
   {{0x6a1e004b,0xe2900119,0xb38701fc,0xa6e30294}},	//   _лисин_, _bukad_, _saarek_, _forceedi, 
   {{0x82900044,0xa20003cf,0x93f802ef,0x07a5051f}},	//   _humans_, _denir_, _chouke_, _مێرسیدس_, 
   {{0xd2000261,0x47c3020d,0x5ebe025b,0xdb37060d}},	//   _venis_, _yatsindi, _barnasen, _पशुबलि_, 
   {{0x5aa702eb,0x7d110178,0x95820145,0x2fc30263}},	//   _баазыг_, _atitīkṣṇ, _нерухома, _horoscoo, 
   {{0x4fe00031,0x337302bd,0x49c500b4,0xefdf03b6}},	// [f5e0] _kaskuser_, _babanod_, _путерий_, _iranwọ_, 
   {{0x825a01a0,0x612900be,0x1fad0023,0x9aef0192}},	//   _avelo_, _بورۇكەر_, _дорожног, _oplossen_, 
   {{0xc3ea000c,0x5cd000d1,0x25e30214,0xc681008b}},	//   _ajaty_, _কৃষকক_, _ayichith, _frederei, 
   {{0xa2000249,0x1f1203b0,0x7c740241,0x08770060}},	//   _senis_, _følgjer_, _baaraak_, _تۇرسىن_, 
   {{0xc5990211,0xa4990059,0x7373015f,0xee3d0139}},	//   _разбират, _развиващ, _fabanod_, _cireṇaiv, 
   {{0xfd98061d,0x20760026,0x72900316,0x07b6034d}},	//   _милләтлә, _webpagin, _aljani_, _disenang, 
   {{0x0d080449,0x4e890365,0x1e4701a3,0x1af4027c}},	//   _odvojite_, _धरातलमा_, _ڀوڳڻو_, _پروپاګند, 
   {{0xdf380169,0x3d7e035f,0x1b2f011e,0xc2fd0110}},	//   _বিশ্লেষন_, _वृत्तचित, _karbiran_, _mobilos_, 
   {{0x7ad803fe,0xa26c00d7,0x00000000,0x00000000}},	//   _ваххабиз, _kunong_, --, --, 
   {{0xfb06015d,0x027804c8,0xa67f03dc,0x1c8802d5}},	//   _pobrania_, _ġunju_, _sendingi, _videosid_, 
   {{0x52ec03ea,0x62d10017,0xb57f051a,0xb3ce02e8}},	//   _afrique_, _partnery_, _pentingk, _asivo_, 
   {{0x98450169,0x8f0103cc,0x5291022e,0xdb19008e}},	//   _বিস্ময়কর_, _চারজন_, _alzati_, _denaryon_, 
   {{0x3ae3022c,0xf290013f,0x08cd0492,0xfd2e0065}},	//   _kaulinan_, _ablaut_, _citronov, _garnicht_, 
   {{0x4b0c01f4,0x99e00018,0x00000000,0x00000000}},	//   _сувни_, _lumiwawa_, --, --, 
   {{0xdf2d01d1,0xa846045e,0xa4e803d1,0x5b4403a2}},	//   _dependin, _парфюм_, _pagalmā_, _फैकल्टी_, 
   {{0xf2ea02f3,0x1e46027f,0x5c53016b,0x93940022}},	//   _musiken_, _badasize_, _murtala_, _hanghang_, 
   {{0x74870157,0xf27c029f,0x0ac30029,0x8ae100d4}},	// [f5f0] _राजाओं_, _rezervác, _مۆڵگه_, _kulturee, 
   {{0x02ad01ea,0x92fd04ee,0x438c014e,0xbb880041}},	//   _آلمان_, _biagha_, _будеш_, _жәамш_, 
   {{0x0dda01f9,0xe39402a2,0xe3b000d7,0xc2830081}},	//   _akukhona, _manghang_, _etdqa_, _bankana_, 
   {{0x02900057,0x77dc02a5,0x639404e6,0x39d00157}},	//   _menaip_, _nezastav, _bangkang_, _jedenast, 
   {{0x739400d2,0xed2701bd,0x9278022b,0xd30e0082}},	//   _cangkang_, _грантын_, _blunka_, _gazawar_, 
   {{0x09c50139,0xa3f9026c,0xc48704ae,0x184200d8}},	//   _atidīpta, _clausa_, _мишева_, _contorns_, 
   {{0x53ea0122,0x5c4604cf,0x5291008a,0xc31901f0}},	//   _adate_, _emapolis, _levasa_, _kobiwang_, 
   {{0xd2dc00b7,0x33ce0465,0x0a450453,0x00000000}},	//   _derejeli_, _dravi_, _aspekata_, --, 
   {{0xce3b042f,0x893e007b,0xcd2b031f,0xac650255}},	//   _aturluaq, _swallowe, _eksponer, _tsitaat_, 
   {{0x3ed80261,0x6c140120,0x2c0202d4,0x37b6002b}},	//   _ekzistas_, _barsaay_, _suttames, _ভিআইপি_, 
   {{0x03d70055,0xc7c5050a,0x123801b5,0x428302dd}},	//   _elettori_, _temsilci, _etleriwi_, _bankina_, 
   {{0x22c403a4,0xd6a70421,0x814b0311,0x13d50137}},	//   _galdandi_, _tierisch, _ንመለኽቲ_, _суумаар_, 
   {{0x527e0243,0x90e30040,0x2dc40378,0x96b50144}},	//   _diinih_, _ברובע_, _boykotta, _maorlath, 
   {{0x2d86013c,0x8201018b,0xefe80287,0x29fc01d2}},	//   _birmənal, _revin_, _सुधार्न_, _chankaka_, 
   {{0xd201018a,0x5dc30040,0x92010229,0x19530041}},	//   _tagiau_, _מרתקת_, _sevin_, _зыхыу_, 
   {{0x9f6303b3,0x5290012b,0xd978000d,0x7fe6010f}},	//   _infantes_, _nadaje_, _eksistee, _эрасмус_, 
   {{0xf0de0057,0xf26c0140,0x4c14005b,0x00000000}},	// [f600] _ይድረስዎት_, _punong_, _arcsinx_, --, 
   {{0xb13b0037,0xdee202eb,0xd2b400f2,0x6a170183}},	//   _የምትናገረው_, _отакү_, _veicam_, _firavaka_, 
   {{0xaae803d8,0xc3ff0266,0xb3f001f0,0x0ff10333}},	//   _izloženi_, _berzina_, _femelang_, _archiulo, 
   {{0x505002e5,0x42900079,0x072900d9,0x3ae00790}},	//   _ragnarok_, _atkal_, _прослуши, _बुद्धदेव_, 
   {{0x104b084b,0x330d0251,0xf4020272,0xff5b018f}},	//   _मालगाडी_, _banadir_, _amandaaz, _lamangan, 
   {{0xa01000d6,0xc2900320,0x7290003d,0x02da0165}},	//   _علاقات_, _badame_, _damasc_, _teteva_, 
   {{0x334702ac,0x53e20052,0x336f0234,0x00000000}},	//   _واقعيه_, _odškodně, _túrèké_, --, 
   {{0x39760119,0x723e0277,0x17150075,0x53800014}},	//   _herzogtu, _dtampok_, _sannlíkt_, _artistët_, 
   {{0xc349024c,0x1b64019b,0xc5a700e4,0x5af50041}},	//   _diversi_, _мячом_, _जागते_, _дуӡзоуп_, 
   {{0xfbd00144,0xe2da027d,0x82cf008d,0xf7270206}},	//   _سلامتك_, _deteta_, _tasviriy_, _dostanem_, 
   {{0xe6610508,0x0da6025f,0xabbb035d,0x81e201c9}},	//   _muphurof, _bakotika, _prijedor, _फथसरी_, 
   {{0xb0740326,0xada60439,0x00000000,0x00000000}},	//   _chechiso, _makosika, --, --, 
   {{0x22780101,0x05de01f4,0x1b8c01dd,0x69ec031a}},	//   _anunta_, _ярамайди_, _babitwar, _maighist, 
   {{0xe28d01f0,0xd7a8019b,0x927f01b6,0xaaf70137}},	//   _bookelo_, _паэтычны, _noynoy_, _ааваас_, 
   {{0xa0160119,0x4c5d0287,0x1f5b008d,0xd8630187}},	//   _grodzisk_, _centrem_, _namangan, _amostras_, 
   {{0x9b5b00ee,0x53ce028e,0x879e01aa,0x93180258}},	//   _legearen_, _isave_, _airwaysw, _definysj, 
   {{0x63940013,0xcb8c007f,0x326d00b4,0xeac30365}},	// [f610] _asosan_, _recordio_, _venituri_, _mláďata_, 
   {{0x22910120,0xa9f30126,0x5a16010e,0x527e0028}},	//   _affara_, _forskudd, _bokaboka_, _siinay_, 
   {{0x873b00c5,0x49aa0302,0x10d102d3,0x1c330043}},	//   _第三十九条_, _локин_, _agradeço_, _atubulir, 
   {{0xb2900264,0xe20103e5,0x02900243,0x9e44023e}},	//   _upland_, _revid_, _salale_, _bidangip, 
   {{0xbd1f016e,0x3f1f03b9,0x6b21027e,0xf5f403f1}},	//   _beslenme_, _tukuyata, _убедили_, _zameraní, 
   {{0x62db005a,0xc2390226,0xa3440497,0xd9720272}},	//   _binurmeh_, _akumati_, _aileagb_, _babikoze, 
   {{0xde800205,0x81830395,0xca8c0418,0x0ed504ca}},	//   _услуби_, _pyramidy_, _ettikten_, _clinadas_, 
   {{0xe22501f6,0x4378034c,0xd82b000f,0x00000000}},	//   _smakar_, _almagan_, _gündeş_, --, 
   {{0xad98002c,0x4b1f02e7,0x0ecd00aa,0xe2920051}},	//   _publikoa, _dinaghan_, _kapilian, _intars_, 
   {{0x88060114,0xf37805ce,0xcc1d02da,0x525000af}},	//   _אינטרנט_, _olmadan_, _проектот_, _нехай_, 
   {{0x93ea038a,0xa6d1000d,0xa2910155,0x00f6027b}},	//   _alita_, _paranemi, _bevara_, _औपगवः_, 
   {{0x33be010f,0x22910251,0x129204be,0x00000000}},	//   _amavoti_, _awsat_, _motaas_, --, 
   {{0xc2240193,0x5aae03bd,0x5b6c01a1,0x9fac01fe}},	//   _takkan_, _angkonon_, _bevorder, _lakokiso, 
   {{0x2396027e,0x9de004df,0x0387014b,0x026d0275}},	//   _jetset_, _atanyýaz, _taarik_, _senituri_, 
   {{0xb2c2053f,0x0d0b01b7,0xdcc700c4,0xd95d01f2}},	//   _phalata_, _स्प्रष्ट, _لکنئو_, _ляңляң_, 
   {{0x48dc00da,0xc2dc007a,0x037f0264,0x9ea0059a}},	//   _лумий_, _beroleh_, _calamba_, _henrique_, 
   {{0x963e013f,0xbb50006f,0x651601a3,0xa4a800e6}},	// [f620] _akwitani, _سفارتڪار_, _عهدنامي_, _中国共产党_, 
   {{0x84870045,0x9ece04ac,0x6292006e,0x5acb009a}},	//   _лидера_, _уроки_, _botaas_, _دفرانسي_, 
   {{0xee4b01cb,0x09c700a4,0x294a01da,0xd8c30461}},	//   _bufanele_, _карабай_, _pamundur_, _anientad, 
   {{0xe2d7028d,0x7a0e00a9,0x2fa6018b,0xb1f603b6}},	//   _amelior_, _barasaba_, _ништий_, _sákárà_, 
   {{0x52d10122,0x42ca0372,0xb3ea0148,0x53690376}},	//   _kelopak_, _asidig_, _clita_, _bingjur_, 
   {{0xf3690367,0xbbff00b4,0xa2130117,0x93060370}},	//   _imagens_, _asigurar, _bighed_, _manasik_, 
   {{0x0c0502e4,0xc39400d4,0xeb0c017a,0xd3a202d8}},	//   _tessili_, _jansma_, _хусни_, _kompor_, 
   {{0xf3f40098,0xe2020203,0x00000000,0x00000000}},	//   _fortid_, _espist_, --, --, 
   {{0x92f103b4,0x330e0108,0x02ce005e,0x52fc005a}},	//   _pasinei_, _taratas_, _коломбий, _dangev_, 
   {{0xbb1000d9,0xeb100051,0x5b8101e5,0x37b8022d}},	//   _taaperot, _piesakie, _fakolujo_, _libracci, 
   {{0xdd710132,0x627e0467,0xd2010013,0x88b2005e}},	//   _کارکنوں_, _ntonto_, _sevib_, _قەلئەسى_, 
   {{0xbc5b0220,0x72900318,0x336e0242,0x00000000}},	//   _seguire_, _kalake_, _filankəs_, --, 
   {{0x1378000f,0x12ca018b,0x04ad0028,0x02970095}},	//   _almadan_, _sondaj_, _macalink, _خدمتتون_, 
   {{0x1c190521,0x52fe00ec,0xacf20147,0x00000000}},	//   _minutë_, _aurimas_, _وركۉندوپ_, --, 
   {{0x32da084c,0x02830082,0x757202f0,0xb86b0344}},	//   _zarete_, _bankuna_, _ekutifez, _ikinnngu, 
   {{0x4bee0238,0x71e6034f,0x36820061,0x60d6015e}},	//   _ранок_, _andinqum, _건설교통부의_, _медалдар_, 
   {{0x19bf0238,0x59fd0343,0xc38702ec,0x32900082}},	// [f630] _meldinge, _diyamant, _cirro_, _mukan_, 
   {{0x92900369,0x1200000f,0x00000000,0x00000000}},	//   _pukaa_, _nefis_, --, --, 
   {{0x93ea0170,0x6aa90164,0xb02e01c7,0x6a0e02af}},	//   _adati_, _енгелис_, _uglewodo, _bararaba_, 
   {{0x506d02bc,0x02da0282,0x634900b0,0xc27e01ca}},	//   _namplian, _iarere_, _dareemi_, _jajna_, 
   {{0x3f4e0175,0xf2da034b,0x82900077,0xd8b7003e}},	//   _ekspekte_, _harere_, _denaba_, _башланығ, 
   {{0xf74f01db,0x21990162,0xb3b5004d,0x00000000}},	//   _конгресі_, _орундайд, _但一旦說起謊來_, --, 
   {{0x2b7c0192,0x129002b1,0xc53e02af,0x72830082}},	//   _필요하다고_, _kukan_, _akwirany, _yankuna_, 
   {{0xca150263,0xe25a03db,0x92da0244,0x0968020f}},	//   _majamaja_, _evela_, _parete_, _bemimise, 
   {{0x59f4000e,0xd5df00ca,0x2ddc020f,0x00000000}},	//   _chiuminu, _aprenguè, _طلاوت_, --, 
   {{0x334002d5,0x4a16035b,0x023900bf,0x00000000}},	//   _आगांक_, _akvarija_, _болун_, --, 
   {{0xaa91015e,0x7f510178,0x1583049e,0x00000000}},	//   _estiguin_, _अचिकित्स, _pokrievk, --, 
   {{0xa88a0192,0xdbf0040f,0xd88802ea,0x6d190213}},	//   _민주노동당_, _baltarus, _тестове_, _проникаю, 
   {{0xcd310559,0x4c660022,0x1a100053,0x634f012a}},	//   _abangele_, _табыуы_, _merajale, _fotelik_, 
   {{0x4dd40044,0xa354000d,0x14c60153,0x00000000}},	//   _לאשכול_, _nimetus_, _当該敵キャラクタ_, --, 
   {{0x82900657,0xca460745,0x047602b0,0x9b7d003d}},	//   _bukan_, _प्रकासित_, _fertigen_, _aprofiec, 
   {{0xf38602c6,0x8640001d,0x985f039e,0x00000000}},	//   _dekred_, _sanissim_, _brandasu, --, 
   {{0xe2da0264,0x1a1700be,0xfb730061,0x41990227}},	// [f640] _varese_, _аллергия, _중요하다고_, _percayal, 
   {{0xa3ea0178,0xba68018b,0xde6500d3,0x00000000}},	//   _omits_, _imaginea_, _वर्गले_, --, 
   {{0x65a70109,0xc2900054,0xe7fd006d,0xd477018d}},	//   _जाँते_, _fukan_, _брэсцкім_, _kritikoj, 
   {{0x4d8400bb,0xfbd80052,0xe0540279,0xc2900020}},	//   _مکلیلن_, _संगीतको_, _versemen, _palake_, 
   {{0xee530449,0x92f6031a,0x53eb0270,0xd29103ab}},	//   _epicenta, _chasradh_, _lectos_, _odvaha_, 
   {{0x6d9000dc,0xd0fb0092,0x1af30435,0x92da027f}},	//   _palemene_, _エコバッグ_, _швајцарс, _barere_, 
   {{0xfef5031e,0xe2d8018b,0x7dc20414,0xd2d40277}},	//   _prošlogo, _undeva_, _bunzimbu_, _halokan_, 
   {{0x4c6a0287,0x612701ac,0x00000000,0x00000000}},	//   _कुन्नि_, _heolairí_, --, --, 
   {{0x7394017c,0x574e02eb,0x72000058,0x8f7b0037}},	//   _ganska_, _арева_, _tefis_, _ለመገደብ_, 
   {{0x129100f3,0xa8e20210,0xd359003c,0xb2da01a6}},	//   _umzali_, _akagogod, _استکهلم_, _tarere_, 
   {{0xb436020f,0xa3ca0035,0x839403f7,0x87a60105}},	//   _anganako_, _balanı_, _hanska_, _सर्वशिक्, 
   {{0xb39403a4,0xa38b0305,0x1bc40092,0xfe39003d}},	//   _kanska_, _rører_, _この記事にトラッ, _alongats_, 
   {{0xef650064,0x930e016b,0xdec40166,0x6a220187}},	//   _этнонимд, _dabarar_, _woanders_, _отров_, 
   {{0xfb1d0046,0x393400e6,0xe79a0035,0x13870371}},	//   _تاپتاقىر_, _年个人工作总结_, _inclizçä_, _birre_, 
   {{0x6b7101b9,0x68b10184,0x9dbd01cf,0xeb5a01da}},	//   _antrekup_, _akatamug, _apparite_, _mandatin_, 
   {{0xdc6703c2,0xe9fc01a4,0x1ef604ac,0x72d40370}},	//   _flaring_, _akangaka_, _отключен, _balokan_, 
   {{0xe3f90104,0x67d30107,0x022c040a,0x4b7d00e6}},	// [f650] _ombuso_, _ميليارد_, _sämsta_, _下部一侧为向下凸, 
   {{0x42920531,0xcc9e0052,0xb25a018f,0xf67f025b}},	//   _totaub_, _विज्ञानक, _chilmo_, _hendingi, 
   {{0xe29002ca,0x8d1e01a3,0xc4770420,0x8ea90116}},	//   _cumais_, _ايڊجسٽمي, _налета_, _destrike_, 
   {{0x129e03f4,0x928c0253,0x02da00bc,0x9b020587}},	//   _никак_, _angallam, _karepe_, _amassade, 
   {{0x829000c1,0x467f039a,0x5201029d,0x00000000}},	//   _rukan_, _mendingi, _devii_, --, 
   {{0x92900304,0x72da018b,0x05bc012a,0x88590418}},	//   _sukan_, _parere_, _jeziorem_, _kararlar_, 
   {{0x927f03d8,0xdeff026c,0x2b7000d8,0xb9d102c6}},	//   _kazne_, _pervenit_, _afirmada_, _beterabe, 
   {{0x314b0013,0x439400d9,0x00000000,0x00000000}},	//   _قارداشدا, _tanska_, --, --, 
   {{0x69ef0211,0x2052017a,0x8c5b0147,0x42ee0205}},	//   _известны, _подшох_, _تۉمۅندۉ_, _shifo_, 
   {{0x4200005b,0xa282020b,0xa18900b6,0x239400d9}},	//   _fujita_, _dikanedi_, _kitaabay_, _ranska_, 
   {{0xf49c01f6,0x957d03b9,0x89da0133,0xec0a0323}},	//   _সপ্তম_, _apanukuñ, _barnotta_, _ntagerur, 
   {{0xd2a7015e,0x63f90544,0x02250065,0x62e904c7}},	//   _bisbe_, _umauma_, _hacken_, _невоља_, 
   {{0x3c9302ac,0x223702dd,0x92780318,0x00000000}},	//   _واثار_, _idejat_, _tounga_, --, 
   {{0x984d0192,0x42780077,0xf3870176,0xec260128}},	//   _찾았습니다_, _bounda_, _pirre_, _tafakkur, 
   {{0x5c84011b,0x6b320043,0xa85f00b3,0x530f01f9}},	//   _bandundu_, _alabisib, _anladyar_, _chubeka_, 
   {{0x311d00b4,0xe2d7027e,0xb2f1012e,0x5e9801be}},	//   _проблеме_, _панику_, _tágas_, _कविताको_, 
   {{0xec6f0073,0x0b4b0037,0xb0a60040,0x2356030b}},	// [f660] _approba_, _ወንጀሉን_, _היוזמה_, _atafuna_, 
   {{0x65960044,0x176805c5,0xd27e01c5,0xe0d30126}},	//   _הבגדים_, _शान्तनु_, _qabno_, _плюси_, 
   {{0xec6e0183,0xc2da0017,0xa7b50144,0xa7950039}},	//   _anarana_, _okrese_, _fisiciúi, _гурилан_, 
   {{0x445e034d,0xa0b3022a,0x22250238,0xb4a200e6}},	//   _menentuk, _bleinälü, _smaker_, _社会科学版_, 
   {{0xa3940053,0x629002f6,0x6b5f006a,0x92e70176}},	//   _lansia_, _bukal_, _atambatr, _arincho_, 
   {{0xf99e0094,0x12f1000e,0x4a6c0139,0x13ea0244}},	//   _араласып_, _assidui_, _dhamanis, _bontà_, 
   {{0x12d40195,0xf6940065,0x69f00281,0xd30d047b}},	//   _ambocsa_, _geheimni, _aniguine, _bananir_, 
   {{0x69d0027b,0x30ad0208,0x034802c7,0xe3ea0151}},	//   _पादयोः_, _وشاره_, _impfung_, _blite_, 
   {{0x56b00091,0x12920256,0x4c640318,0xe2c90291}},	//   _qangarni, _istabu_, _kaitunu_, _cíocha_, 
   {{0x05850062,0xda7003bf,0x00000000,0x00000000}},	//   _bosehtah, _lebatowa_, --, --, 
   {{0x6e3d0169,0x38bc0148,0xb201018a,0xd1af00ef}},	//   _নকিয়া_, _quattuor_, _bagiau_, _ریاستونه_, 
   {{0x03da0072,0xf29000aa,0x2eda036e,0xf2fc01cf}},	//   _alltapxi_, _sukad_, _ancharen, _hijicos_, 
   {{0xa30f0285,0x32d60016,0xc97b01ef,0xf3470303}},	//   _ukuboza_, _reformo_, _susidurt, _felelwa_, 
   {{0x6a9300c7,0x29eb044d,0xb5bf029b,0x42910033}},	//   _ayırması_, _dingalee, _gimiñam_, _creads_, 
   {{0x607403bd,0xe2bb00f4,0x330f008d,0x9b950046}},	//   _baratoho, _abherve_, _baravar_, _чычкан_, 
   {{0x56530349,0x1586025f,0x40ab01b3,0x60ef0055}},	//   _abandonw, _ekatchak, _етапів_, _accinell, 
   {{0x5291019a,0x3af6040a,0xcd9e000d,0x48ac045e}},	// [f670] _treads_, _norrbott, _kaunista, _постигне, 
   {{0x127f0403,0xd7b502e1,0xc7510151,0x31ca0276}},	//   _ananay_, _fisiciúl, _banneeag, _جىيىتوڭ_, 
   {{0x08470126,0x135e00f4,0x00000000,0x00000000}},	//   _запалив_, _gengred_, --, --, 
   {{0xe320047a,0x1f790296,0x00000000,0x00000000}},	//   _sekyenmm, _klubbarn, --, --, 
   {{0x28fc0020,0x6a0201af,0xf15d02b6,0xf5ea0137}},	//   _augatupu, _almatyda_, _гормонда, _тоймч_, 
   {{0xd413032b,0x10ef00bc,0xa3170361,0x28e60361}},	//   _نامدا_, _پساتین_, _байинчу_, _даьхьна_, 
   {{0xb6350132,0x6ef30375,0x5c76018a,0xa2d8012b}},	//   _garanciá, _akakufun, _therapi_, _poleca_, 
   {{0xaef10159,0x92be01db,0x861d02c8,0x33a9027f}},	//   _paskutin, _министрi_, _reportei, _kimbabaj, 
   {{0xf87500fb,0xf0eb0091,0x7fda0098,0x72b6023d}},	//   _abangalu, _ukunanil, _skrivebo, _dischi_, 
   {{0xe6d101cc,0x225901db,0xb40d0371,0x34240061}},	//   _अगणित_, _تاعىلىمد, _принцеса_, _레크레이션_, 
   {{0x92ff015e,0x8294017f,0xf6c20148,0x85f30024}},	//   _arribar_, _allassim, _梯次科學之旅活動, _সোৱাদ_, 
   {{0xd883026c,0x086a01ac,0x825b0262,0x21ff04a4}},	//   _您現在的位置_, _معروفة_, _ayalin_, _furanach_, 
   {{0xc9d802fe,0x71f9020c,0x3a9f01af,0xaf70043f}},	//   _atyebile, _tempoyak_, _danyşmen, _bezbrojn, 
   {{0x553701f2,0x77fc0211,0x3428027f,0x2ccf0037}},	//   _ﺗﻪﻫﺮﯨﺮﻟﻪ, _влаги_, _ikakabaz, _ሲከታተሉ_, 
   {{0x32c40314,0x2fe600a4,0xc36905b8,0xc4d4065b}},	//   _batlang_, _алдындаг, _byggdes_, _असमिया_, 
   {{0xce4500c5,0x9c750035,0xca7c0020,0x77c90205}},	//   _combatta, _börele_, _minalosa_, _баландпа, 
   {{0x00000000,0x00000000,0x00000000,0x00000000}},	// [f680] --, --, --, --, 
   {{0x05c40041,0xddd00065,0xd61101c7,0xe8450127}},	//   _мыцхәы_, _facharzt_, _berlipdi, _eillivad, 
   {{0xe0c70061,0xf034012e,0x52c50196,0x2f140397}},	//   _주민생활지원과_, _istennek_, _flamaes_, _гурухе_, 
   {{0x62900132,0xa2830082,0x22d60134,0x73ff0595}},	//   _kukac_, _jikkata_, _ipamọ_, _टाइफाइड_, 
   {{0x0a6c000d,0x2f5605e0,0xde1703b0,0x5e810291}},	//   _revoluts, _alegados_, _anbefala, _انوثه_, 
   {{0x225b00ee,0x0201011e,0x99730272,0x13870034}},	//   _ahalko_, _reviv_, _bazikoze, _firra_, 
   {{0x045c018d,0xaa2402aa,0xf2a70054,0xa387029e}},	//   _ብምምርኳስ_, _zaschnut, _hisba_, _girri_, 
   {{0x02010150,0xf3ea0222,0x13be033e,0xb2df0258}},	//   _devit_, _boite_, _akavéi_, _weening_, 
   {{0xf9300192,0xa224004f,0xdf4e03bf,0x9e610020}},	//   _아니십니까_, _bakkan_, _hlaseloe_, _rancourt_, 
   {{0xf2560074,0x825a03da,0x42a70062,0x1b7d0422}},	//   _menetelm, _nwela_, _misba_, _zlonamer, 
   {{0x17490176,0x00000000,0x00000000,0x00000000}},	//   _sproglig, --, --, --, 
   {{0xaf31000c,0xdbd1019b,0x8bdb0060,0x8d6b0217}},	//   _астанд_, _objektų_, _модульді, _promitte_, 
   {{0xe45c00da,0x3a5100bb,0x35250349,0x5dbf023a}},	//   _консемна, _ریہرسل_, _autonomy, _telesné_, 
   {{0x958503be,0xf96b0047,0xc8750011,0x09f00094}},	//   _akaruhuk, _avantage, _abandalu, _құштар_, 
   {{0xf25a084d,0x1d3d02af,0x00000000,0x00000000}},	//   _svelt_, _ntuntuke_, --, --, 
   {{0x00000000,0x00000000,0x00000000,0x00000000}},	//   --, --, --, --, 
   {{0x22000286,0xb7a50538,0x92010139,0x00000000}},	// [f690] _offis_, _altertav, _devim_, --, 
   {{0x13870567,0xe7fa017d,0xda5b01ca,0xcd30019d}},	//   _bayrak_, _テイメント_, _chimmohb, _apindule_, 
   {{0xd2df046f,0xe5a203b0,0x1c650163,0x13ea046b}},	//   _meenung_, _førstekl, _bontott_, _blith_, 
   {{0x32010052,0x6d7e01db,0xdd28002b,0x00000000}},	//   _nevim_, _اتاۋىن_, _বিবাহের_, --, 
   {{0x394c009b,0x5afe053b,0x86e800bf,0x884c026c}},	//   _animalie, _diariame, _разрушаю, _animaliu, 
   {{0x3dbd0285,0xde580079,0xa2ec02bf,0x317e0411}},	//   _ushakire_, _sinoptiķ, _bayiswe_, _новосели, 
   {{0x95f200a4,0x8eae017f,0x9a66002b,0xb7ee014d}},	//   _унутулба, _sullivin, _আহতদের_, _beratung, 
   {{0xe25a0307,0x12a7008e,0xad8202c0,0x7dc00381}},	//   _ewela_, _bisbi_, _техникит, _assiccla, 
   {{0x4ce80184,0x53ac01f1,0xf9e203a6,0x4c910145}},	//   _atawohir, _grupet_, _ziboneka_, _noreciau_, 
   {{0x4290006f,0xf5ac068d,0xa73d020f,0x00000000}},	//   _kukaa_, _brusselk, _elinamev, --, 
   {{0x1c2f03b9,0xaeac025a,0x39c1017a,0xed4900ec}},	//   _kasitaru_, _aturutse_, _abamfuna_, _detaliau_, 
   {{0x629000cf,0x8f300162,0x962003b1,0x489502d3}},	//   _mukaa_, _ئىتالىيە_, _reconnai, _албанец_, 
   {{0x5c750036,0x569901b8,0xa2d90132,0x72010229}},	//   _conradh_, _संघर्षपू, _licenc_, _sevil_, 
   {{0x97d8018d,0x87db00e1,0x61c3003f,0x7e32005a}},	//   _ብሰውራዊ_, _farantoj_, _luvemmoh_, _mungejla, 
   {{0xe2d8005b,0x1a9b0140,0xaa140210,0xd07c00bc}},	//   _mcneil_, _kaligtas, _angaguma_, _النقی_, 
   {{0xea7200dc,0xd6ce0010,0x9a940262,0xe90f0011}},	//   _fagaitua_, _bemakoli, _aýyplap_, _babawalu, 
   {{0x671b02cf,0x69d50105,0x341d055f,0xcd3603d4}},	// [f6a0] _областит, _युद्धपोत_, _pansiyon_, _наступа_, 
   {{0x42a003ce,0x7eb300e6,0xd27f002e,0xb2d9007b}},	//   _دۆزمه_, _金地垃圾股_, _sazna_, _coloear_, 
   {{0xf79500d7,0xf3ea018a,0x5bc803a2,0xb57601ab}},	//   _нуриман_, _plith_, _तसवीरें_, _पड़ऽता_, 
   {{0x222b02c9,0xe9fa01d4,0xc9db01fc,0x704d01a3}},	//   _trimite_, _avvicina_, _celewayt, _ٻانڀڻ_, 
   {{0xa3a4041a,0xd7c60444,0x0a750297,0xf2a300ec}},	//   _стародав, _отказали, _agrokomb, _геаметры, 
   {{0x482302dd,0x09010162,0x1874054e,0x5c6b045f}},	//   _སྐྱིན_, _айланди_, _hivituyu, _storlek_, 
   {{0x4fc20171,0x92900278,0x33780184,0xa8e00061}},	//   _previše_, _jenama_, _aryanka_, _입력하십시오_, 
   {{0xe386021a,0x7b82002b,0xb28c015e,0x00000000}},	//   _gabri_, _ভুলতে_, _secundàr, --, 
   {{0xa3f4052f,0x229002fb,0xeeab0265,0xfb3200c4}},	//   _ibutha_, _aukai_, _treffers_, _وڇوٽي_, 
   {{0x4fc90235,0x19df0012,0x0b070274,0xd0a802c3}},	//   _anavadyā, _किलवाईं_, _forsenda_, _šesták_, 
   {{0xe3f80085,0x752d0444,0x4a8b0156,0x00000000}},	//   _gunuti_, _зачистка_, _artiston_, --, 
   {{0xd15802aa,0x2fb200ac,0x5c180421,0x8b2d040f}},	//   _anglicky_, _stajališ, _kroatisc, _pagamins, 
   {{0x0464033a,0x8cf20166,0xb11b00ec,0x7d160061}},	//   _infestaz, _platzier, _свайму_, _행정절차제도_, 
   {{0xe0d501f1,0xe59b01a0,0xed0903d4,0xb73f010d}},	//   _prezanto, _demetriy, _борца_, _कालिदासा, 
   {{0x223f05a5,0x0eb6008b,0x93ea02fb,0x2290014e}},	//   _prokurát, _adaramit_, _elata_, _cenama_, 
   {{0x38540037,0xf8d30294,0xa2dc0227,0x087c0238}},	//   _በአሰግድ_, _abuelocu, _peroleh_, _заборону_, 
   {{0x83ea0211,0x27d0014e,0xeec700c8,0xdb5f0013}},	// [f6b0] _noita_, _многе_, _behilwen, _асносида_, 
   {{0x2f3c00e7,0xe38b06a4,0x3efe00a4,0x71560107}},	//   _anagemen, _fører_, _тараптын_, _باتوجه_, 
   {{0xe2d8084e,0xb34d0386,0xc846006e,0xfcbe02c0}},	//   _citovat_, _memeluk_, _gallaxnd, _варен_, 
   {{0xedaa0056,0x20450699,0x53ea0161,0x61630220}},	//   _истодаас, _bitungan, _koita_, _attrazio, 
   {{0x038b0685,0x42db0416,0xe23b0067,0x929002df}},	//   _hører_, _imposir_, _dameetti_, _menaja_, 
   {{0x73ea02d7,0x29f4021c,0xc20100fd,0x41ad0008}},	//   _moita_, _domén_, _bleith_, _дастанын_, 
   {{0x2b0a00e6,0xc31702ff,0xac6c0361,0x00000000}},	//   _联合国反腐败公约_, _kibagay_, _богiар_, --, 
   {{0x727e006a,0x79b800af,0x42250288,0xb3e4001c}},	//   _saingy_, _центру_, _emakur_, _kobuleti_, 
   {{0x52900265,0x0e7302a5,0x4290010d,0x428d00d3}},	//   _orcad_, _तसर्थ_, _sukai_, _archivu_, 
   {{0x3b6102ac,0x4f7800ae,0x2d3f018d,0x09fb0344}},	//   _الوئام_, _aracikan, _ስሚዒትን_, _allaakat, 
   {{0x35890590,0x72fd01d5,0x73ea0291,0x0c1700b4}},	//   _иньеста_, _seggbe_, _slata_, _croazier, 
   {{0xbebd013a,0x7d0a06f5,0x4d3103db,0xb3ea0338}},	//   _weinsten, _hypotese_, _ibangele_, _boita_, 
   {{0x713e0023,0xa7b50178,0x376c0061,0x92900160}},	//   _makuuhuo, _avaśyādi, _총주차대수_, _zenama_, 
   {{0xa28a0062,0xdcb301b2,0xbbd50235,0x936603d4}},	//   _serafini_, _cleansed_, _alambuso_, _poverenj, 
   {{0x33f900fe,0x720103ac,0xe2d80159,0x5bbe0235}},	//   _alauna_, _bagimu_, _rodomas_, _निवेदयाम, 
   {{0xdce5026f,0xa5070148,0x79d70109,0x2a9a0255}},	//   _راحىمەت_, _未經授權禁止複製, _एकैपटक_, _esinemis, 
   {{0x17c70013,0xd6a5005a,0x8362006e,0xc67003fe}},	// [f6c0] _белгилаб_, _botuqtah, _bartelem, _эпиграмм, 
   {{0x33160180,0x0168018b,0xf27f0359,0x92d8013e}},	//   _organiz_, _imaginil, _earne_, _volela_, 
   {{0xa2ee016b,0x9c2d05ca,0x23020079,0xe2900004}},	//   _shafi_, _ataques_, _pagaidu_, _benaja_, 
   {{0xb20e01bd,0x42de0017,0x30310164,0x3795029b}},	//   _тарау_, _pomohou_, _пәрмани_, _danmaark_, 
   {{0x1eea02f3,0x5c12044b,0xc9f9029c,0x22a20133}},	//   _reaktion, _styresys, _anaitana_, _calaluuf_, 
   {{0xf2900058,0xc8430258,0xa29000ea,0x428f016d}},	//   _penama_, _fierders_, _menaka_, _көчти_, 
   {{0x02c50333,0x20dc00be,0x00000000,0x00000000}},	//   _vallone_, _تەڭدۉۉلۅ, --, --, 
   {{0x92d9053b,0x52f600d1,0xe2010270,0x5e3f003a}},	//   _colocar_, _মাংসপেশী, _dubita_, _aviakomp, 
   {{0xb96204f9,0x738003ab,0x00000000,0x00000000}},	//   _avannaat, _ostré_, --, --, 
   {{0x927d0037,0x86ea01db,0x0f7d0105,0x625a03c3}},	//   _እመለሳለሁ_, _төртбұры, _नवग्रहों_, _uveli_, 
   {{0x12ee0764,0x0f4a001d,0xf154003f,0x249f002b}},	//   _akafa_, _unisylla, _mubotlah_, _ফিল্মের_, 
   {{0xc2da00a1,0x82b90062,0x631001d1,0xed2a03fb}},	//   _kirehe_, _chidmeh_, _daycare_, _trinaest_, 
   {{0xd2da0212,0xcaec0274,0xbe4a00f4,0xc2e601c7}},	//   _altera_, _orkuveit, _abatioù_, _медениет_, 
   {{0xbb97003e,0x9a0502eb,0x43000053,0x1c5d031a}},	//   _саранча_, _музейд_, _gerbong_, _phatrol_, 
   {{0x12a604a8,0xea110044,0x35ce0022,0x1fcc03eb}},	//   _voljeti_, _conceive, _ҡапма_, _irriteer_, 
   {{0xcf8902c9,0x8503030a,0xb34803bf,0x048d04e3}},	//   _деталиу_, _castelao_, _difeisi_, _iskrivlj, 
   {{0xa63d01d2,0xe2c501d4,0x81800211,0x7c190155}},	// [f6d0] _ajwatasm_, _tallone_, _kuvagall, _expander, 
   {{0xd2780093,0xaa160396,0x294e020e,0x293a006c}},	//   _элементо, _organika_, _beeledit, _abalelwa_, 
   {{0x509600ba,0xa25b0190,0xe6b8012d,0xc2900429}},	//   _سامانی_, _exult_, _pokamasi, _penaja_, 
   {{0x9224023d,0x629003bf,0x220300c4,0x428d019c}},	//   _включите, _bojaki_, _ڪيلينڊر_, _ilokulo_, 
   {{0xbb8a002c,0x5d6603d4,0xdf4201d9,0xa24200db}},	//   _болов_, _критике_, _fläch_, _फँसले_, 
   {{0x2e4d00ff,0x18880361,0xff3301e7,0xdb200192}},	//   _פינטל_, _виртуале, _dresulta, _gespanne, 
   {{0xb9d80212,0x725a00fb,0x053800ba,0xb96a0017}},	//   _bluesole, _iwele_, _کۆنزێرڤا, _विप्रेषण_, 
   {{0x9cbd0692,0xf15c00c8,0x82380320,0x7c3103fc}},	//   _колледжд, _булам_, _kuleriwi_, _turbeskr, 
   {{0x89e9018a,0x1a2800e6,0x00000000,0x00000000}},	//   _beirniad, _没收非法所得_, --, --, 
   {{0xa67a023c,0xb859004a,0x00000000,0x00000000}},	//   _وکېلانو_, _farazlar_, --, --, 
   {{0xcc030190,0x78b90300,0x63ea0172,0x02ee03bf}},	//   _tasteles, _postupov, _ebotum_, _chafo_, 
   {{0x06bc005c,0xc2d80270,0xe8e9009b,0x73eb0077}},	//   _bahungiy, _videva_, _beasaing, _feyte_, 
   {{0x163f01be,0xc9e9046b,0x5201038b,0xfd9b0295}},	//   _komentář_, _feirniad, _bagiku_, _kulumutu_, 
   {{0x2e48018d,0x41c70284,0x89e503c6,0xcf030135}},	//   _ብምኽታል_, _superhry_, _hornstra_, _волгига_, 
   {{0x11880044,0x3285004b,0xb2dd0239,0x1d17014a}},	//   _התלקחות_, _bankeng_, _meroiti_, _alkoholt_, 
   {{0x5f690069,0x82fd0043,0xa33a0177,0x28300177}},	//   _imibonan, _akagga_, _hesakâ_, _ҳәатәу_, 
   {{0x771201f2,0xd496054e,0xda16004d,0xaf2f005a}},	// [f6e0] _ھەزرىتى_, _hanayauk, _succinct, _maruprup, 
   {{0x9b6f0266,0x2be00415,0xb1cc0135,0x435b0225}},	//   _wujudnya_, _gemeinsc, _сыман_, _nungida_, 
   {{0x83f404d3,0xac39017d,0xff690342,0xb2da021e}},	//   _lostus_, _ショップへ_, _matanzas_, _notera_, 
   {{0xbabc025c,0x727a03a4,0x6f300066,0x00000000}},	//   _hervorge, _avrikini_, _laburrea, --, 
   {{0x6a140069,0xa24801b8,0x83ea0488,0x52da0239}},	//   _bigatuma_, _silma_, _amats_, _hotera_, 
   {{0xbbd30105,0xb25b005a,0xb23400d6,0x272500c3}},	//   _जरिया_, _ghalmo_, _stumple_, _amatorem_, 
   {{0xd2d8044a,0x2b10005c,0x7bb500f0,0x8ba702b6}},	//   _koleka_, _abaporot, _haváriu_, _نانداجيە, 
   {{0x79820056,0x34e10193,0x6283012c,0x937e00d0}},	//   _хостори_, _कर्नाटका, _nishati_, _ирландын_, 
   {{0xb2d80318,0x2bce0012,0xdb0c02ba,0x37a80060}},	//   _aileva_, _इतमीनान_, _ҳусну_, _كارىستەر, 
   {{0x068202d5,0xb2480120,0xafd90297,0x496803d5}},	//   _अंचार_, _tilma_, _doktorlı, _bruighte, 
   {{0x73d30361,0x1c7500c4,0x06e90037,0x201600b7}},	//   _формой_, _انڊونيشي, _በማተኮር_, _җайында_, 
   {{0xf7f40037,0x516200d1,0xe3ea03ae,0x6f7d0022}},	//   _አይደላችሁም_, _একেষাৰতে_, _flate_, _газетаға_, 
   {{0xba7d0333,0xbd99000c,0x939f02cf,0x00000000}},	//   _innamora_, _иорданиа_, _обратете_, --, 
   {{0xc291022a,0x9305006d,0xff5b0167,0x92c40545}},	//   _jevala_, _гладкі_, _amlasian, _aadland_, 
   {{0xdd990185,0x1285033b,0x8e780128,0x96b20094}},	//   _tureckie_, _pankeng_, _قویشیدن_, _اماندىق_, 
   {{0xb269033e,0x507700c7,0x3290014e,0xcfa403c2}},	//   _джигурда_, _аралашу_, _pucao_, _anteater_, 
   {{0x4e4e0399,0xf3f40372,0x793f0568,0xbd0201e1}},	// [f6f0] _katalina, _costus_, _smelteve, _ishmaele_, 
   {{0xc7840155,0x9dbc00ec,0xb3ea0144,0xce410098}},	//   _allvarli, _milijona, _moite_, _påstand_, 
   {{0x4c6603f3,0x626d042c,0x3c2a0037,0x5a110338}},	//   _vertelt_, _dugove_, _ምንነትና_, _andromèd, 
   {{0x45b70424,0x730d0256,0x4290013c,0xa2910005}},	//   _диверсе_, _dizains_, _kimisə_, _areals_, 
   {{0xcddc012c,0xd2b2006f,0x30810177,0x12c3014e}},	//   _ملتوي_, _chadema_, _акадрқәа_, _користе_, 
   {{0x2d7200b3,0xc007005e,0xb27f0264,0x995602c7}},	//   _adamlara, _تاپتۇق_, _khanty_, _gärtner_, 
   {{0xf4a50034,0x3e39021a,0x913b0040,0x593702fc}},	//   _allsherj, _bifaarra, _בלבוש_, _avumbura_, 
   {{0x29e20312,0xb29104bb,0x4d1a0119,0xdbdf00ed}},	//   _gwengamp_, _ntsab_, _cianorte_, _inhenyer, 
   {{0x4a240135,0x5b5d016d,0xeba703ef,0xd2d8012d}},	//   _декабрен, _ياپۇنىيە_, _bakiriho_, _sileva_, 
   {{0x748406fe,0x5230026c,0x8077026f,0x11ca0162}},	//   _छोटासा_, _exempla_, _اﻗﭙﺎرات_, _райондик, 
   {{0xcfe505f4,0x5ee303ee,0xa9800311,0x00000000}},	//   _corintio, _prokomen, _ምንቕስቓሳት_, --, 
   {{0xf53303e8,0x622a03c1,0xe3a403de,0x3e3d00d7}},	//   _pokličit, _морам_, _emexico_, _dipalopa, 
   {{0xc3ea070d,0x6b18032d,0xe2700458,0x00000000}},	//   _noite_, _boramats, _energikl, --, 
   {{0x425b047a,0x429101c2,0x49d7042d,0x93bf001e}},	//   _laflot_, _levaba_, _andekale, _angwaye_, 
   {{0xe292008e,0xf17a0276,0xa2000155,0x25560223}},	//   _matale_, _радиосид, _amning_, _батууш_, 
   {{0x027e0172,0x04d60106,0xda16028b,0x6049023a}},	//   _amonom_, _सुमिरन_, _icapacid, _overovan, 
   {{0x82900251,0x22a5036e,0xe3a90198,0x52920102}},	// [f700] _arkaa_, _amboró_, _čevlje_, _torati_, 
   {{0xf2920111,0x0291043a,0x134707ea,0xe3fd012c}},	//   _natale_, _gobadi_, _xelelwa_, _ukiukaji_, 
   {{0x120000c3,0x114000dd,0x00000000,0x00000000}},	//   _ignis_, _ansefydl, --, --, 
   {{0x333806f2,0x1b240037,0x126c03b4,0x03b603db}},	//   _उच्चारण_, _ጀግንነት_, _aroore_, _kwavula_, 
   {{0xbe15033e,0x00000000,0x00000000,0x00000000}},	//   _екологиа, --, --, --, 
   {{0x6292010b,0xd2da03b3,0x05dd00f5,0x8e4f000a}},	//   _satane_, _potera_, _чапяр_, _ammaruma, 
   {{0x6290035b,0xec0001b4,0x6e4f036c,0x2b6300cc}},	//   _tukaj_, _persent_, _andakila, _muslimer, 
   {{0xb2480261,0x42d80073,0xd2a700a9,0xaa980611}},	//   _filmo_, _pilotas_, _mwebwe_, _desinves, 
   {{0x6b000132,0xff2200c5,0x231b02fd,0xa5c1003e}},	//   _versenye, _省信息产业厅_, _peacach_, _аҡһары_, 
   {{0x32ca0365,0x72920008,0xf293029a,0x1502002b}},	//   _prodej_, _horari_, _diskour_, _নাজিরাবা, 
   {{0x527f00ac,0x49b2034c,0x5b4504a4,0x00000000}},	//   _kazna_, _akademte, _shàbhail, --, 
   {{0xc34d0058,0xfa2202ea,0xacbe020a,0x091a00a7}},	//   _valemik_, _отвод_, _хасен_, _жайбарак, 
   {{0x234800fe,0x824a0059,0x1b670089,0x12e003dc}},	//   _hakeaki_, _сирийски, _avgustqa_, _grundan_, 
   {{0x835b0595,0xdd560453,0x9a9e0109,0x58670455}},	//   _क्रिस्मस_, _napadaju_, _velitels, _voisines_, 
   {{0x50bf0044,0x96800564,0x30930019,0x9278033f}},	//   _מציאת_, _luverati, _техникаг, _monisoni_, 
   {{0x032400f3,0x04b30040,0x6200025b,0x34b10031}},	//   _amacici_, _יאהבו_, _ognir_, _गोंडस_, 
   {{0xb28b0082,0xb24f0013,0x56b802f9,0x1b4504a4}},	// [f710] _takaddam, _mahorati_, _enkapasi, _ghàbhaid, 
   {{0x920103d1,0x4f1504a2,0x8b72018b,0xd3780005}},	//   _nevis_, _parciais_, _deasupra_, _tonaton_, 
   {{0x3876000a,0x07ae00a6,0xfa1104ca,0xa2920282}},	//   _maannamu, _angumndi, _agrasame, _korari_, 
   {{0xb9d9000c,0xb4ab0362,0x50580389,0xb53403fb}},	//   _interame, _bakamwak, _kuurxisn, _preselio_, 
   {{0x363c05d3,0x63780831,0xab4e0061,0x127f0403}},	//   _क्रियासम, _himatan_, _드림플러스_, _dianay_, 
   {{0x8a9b00bc,0x4f6c00c0,0x4e4a0478,0x00000000}},	//   _cathetan_, _guwantes_, _compèndi_, --, 
   {{0x67a8009a,0x6291033b,0x83780027,0x00000000}},	//   _اصلاحاتو_, _megato_, _jimatan_, --, 
   {{0x32c5044b,0xdd20005c,0xac670062,0x52910220}},	//   _fremfor_, _abisabir, _dumusha_, _legato_, 
   {{0xf82d015e,0xd2900139,0x9361051a,0x2316029f}},	//   _الاسىڭبى_, _agnaya_, _mangkuk_, _spoza_, 
   {{0x485c026f,0x8ecc007a,0x8e010119,0x9290000f}},	//   _ءتيپتى_, _kebimban, _aludayda, _erkan_, 
   {{0x53eb0163,0x820001b7,0x5f3903a2,0x44280037}},	//   _adatai_, _agnir_, _भगशिश्न_, _ዲዛይነር_, 
   {{0xca7f00b7,0xc292012d,0x9efc02b6,0x1c2e0126}},	//   _истихфаф_, _satade_, _سانجىدان_, _fotballr, 
   {{0x39e60370,0x1c7002c3,0xd237006d,0xa94e00ff}},	//   _dianggap_, _energiu_, _метровым_, _אוכראנא_, 
   {{0x73a90002,0x565700e7,0x613f020e,0xf4470094}},	//   _imovine_, _advisedw, _dikenyel, _كارتوپ_, 
   {{0xf2010261,0xb85100b9,0xf1b20077,0x9eb100ea}},	//   _devis_, _antusias_, _estrawòd, _fepotoan, 
   {{0x13dc03de,0xbda40044,0xdba4032d,0xcfb20089}},	//   _uviwo_, _situated_, _ditifelo_, _кәбисә_, 
   {{0x930a012b,0x62940344,0xd347001d,0xba760219}},	// [f720] _definicj, _allaasim, _patetic_, _ekugcina_, 
   {{0xbd690141,0xc290023b,0x5e5f0183,0x97b500dd}},	//   _чоралари_, _kukai_, _araboaja, _distawrw, 
   {{0xd3ea00fd,0xe9ea0185,0xe8b1021e,0x0f9e0153}},	//   _blath_, _avariyad, _hanterar_, _ツデベロップメン, 
   {{0x52d802c3,0xe29003b4,0xc3790039,0x0b7500f1}},	//   _izieb_, _mukai_, _irratia_, _konfidan_, 
   {{0x62df01c6,0x912d006c,0xebf10334,0x7f2c0130}},	//   _takomst_, _хасти_, _anitsits, _brientin, 
   {{0x6b3a020f,0x0e26006c,0xe36c024c,0x0be00148}},	//   _ababalas, _хастем_, _drogati_, _accesser, 
   {{0x12c40254,0x0c45012d,0xc292022b,0x0fab0311}},	//   _premios_, _kompitis, _latast_, _ፕሮፈሶር_, 
   {{0x43ca004a,0x3d9b0063,0xc22502b1,0xe1ff02fd}},	//   _akladı_, _ardoidea, _alakar_, _curamach_, 
   {{0x205701bb,0xb19900c4,0xf20103d1,0x267a0041}},	//   _филипи_, _نقطئه_, _tevis_, _уахәаҧшу, 
   {{0x42a700a9,0x53ea0018,0x0c05023c,0x9f11028e}},	//   _twebwe_, _ilati_, _akusayi_, _tradesen, 
   {{0xd2010373,0x32ee05eb,0x0db400de,0xdca400be}},	//   _revis_, _anenani_, _مناظرې_, _рухтун_, 
   {{0xa9fb04f9,0x68db0151,0x40ed0414,0x2e0d0350}},	//   _allakkat, _altrapag, _moniolol, _በፕሮፌሰር_, 
   {{0x2413005b,0x34ab025f,0x3af00301,0xfda200ba}},	//   _sakamoto_, _balandak, _indidən_, _قاڕنێ_, 
   {{0xe2010418,0x62ba05b7,0x00000000,0x00000000}},	//   _devir_, _skidati_, --, --, 
   {{0x2291054f,0x83860527,0x5f63000e,0x2fd501e6}},	//   _ntsai_, _pokret_, _danaides_, _fakturač, 
   {{0xf37803db,0xf202001d,0x8c93032b,0x11a20060}},	//   _bebanga_, _evrika_, _داداڭ_, _еларнада_, 
   {{0x1bd50297,0x037200f4,0x64490126,0x720101fc}},	// [f730] _музейга_, _baganed_, _порожній_, _orbisa_, 
   {{0x527800ed,0x704f01a3,0x1b6c0137,0x468000cb}},	//   _giunsa_, _ٽينڪرن_, _эрчээрээ_, _ayikaziw, 
   {{0x367b0044,0x437a019b,0xb2d60212,0x339d0064}},	//   _מהזאב_, _sidabro_, _gallias_, _коротуша, 
   {{0xe2010249,0x760302fd,0xe22b0388,0xb29200e9}},	//   _sevis_, _chomatai, _tramite_, _katast_, 
   {{0x0b4e0099,0x528c010a,0xa2d801f0,0xc2490453}},	//   _aihwanda_, _dabarfam, _golela_, _šamar_, 
   {{0x0a7b0177,0xe95a0185,0x5e9901f1,0xb9cc025c}},	//   _авидео_, _рамазанн, _minutave_, _zubereit, 
   {{0x33960163,0xf3160160,0x63c9045e,0x6a110587}},	//   _lassú_, _slobodi_, _привлича, _aborigèn, 
   {{0xaf5c00c1,0xd5530161,0x52910264,0xa93d01a3}},	//   _तोडगा_, _сервисны, _busag_, _سلاخن_, 
   {{0x519e0238,0x23ea0034,0x53550468,0x713f027c}},	//   _поведінк, _veitti_, _esifana_, _bafeksel, 
   {{0xac2802ac,0xa35605e0,0xcd1503ec,0x0341004b}},	//   _خخخخخخخخ, _capelas_, _pogradec, _kanetso_, 
   {{0xa27f035b,0xd201037f,0x63ea0465,0x309c004d}},	//   _varno_, _sevir_, _zlati_, _世間一切人與事物, 
   {{0x7ba4027f,0x67a00376,0x7290003d,0xf07b0311}},	//   _arakemer, _nordoygg, _aclade_, _አገባባት_, 
   {{0x09f003c4,0x15dc0040,0x1c760109,0xc9bc0166}},	//   _баримән_, _ההרצאה_, _दाह्री_, _verwertu, 
   {{0x439700d1,0x458e042d,0x00000000,0x00000000}},	//   _ধোঁৱাবোৰ_, _fintinik, --, --, 
   {{0x6380037c,0x659b02eb,0x4f25021b,0x00000000}},	//   _patres_, _inprimak, _lopettan, --, 
   {{0x52d8020e,0x63eb0075,0xee3803ba,0xeb18020f}},	//   _bolela_, _flyta_, _butarita, _ayigibis, 
   {{0xc06101ce,0x95de00a4,0xbdea00bd,0x6e830244}},	// [f740] _منقرض_, _опурталд, _deidlift_, _горанов_, 
   {{0x19b20148,0xab040247,0xf69b0144,0x2a5101b0}},	//   _關於環檢所_, _anggitan_, _chleithi, _bageurna_, 
   {{0xf3ea02cb,0x2c000450,0x00000000,0x00000000}},	//   _slati_, _persint_, --, --, 
   {{0xb27f029e,0xa211002b,0xb2560102,0x03ea0239}},	//   _warno_, _স্মৃতিতে_, _بابرڪت_, _koata_, 
   {{0x0291054f,0xc31d0338,0xabc80156,0xe3ea0211}},	//   _ntsaw_, _ficcion_, _עמאציאנא, _reitti_, 
   {{0xbc2c0044,0x23ea01a6,0x00000000,0x00000000}},	//   _entitled_, _moata_, --, --, 
   {{0xd97103a2,0xc25a018f,0x9d120119,0xdd580235}},	//   _झमाझम_, _dellah_, _guarabir, _ayathārt, 
   {{0x1f2c03b7,0x184800ba,0xbe6c01cd,0x037c008b}},	//   _anderlin, _موحتاجی_, _озурда_, _karange_, 
   {{0xadbb0220,0x428d0096,0x3f820147,0x5a8a03f7}},	//   _vernicia, _avukira_, _شىىجاڭعا_, _ferilinn_, 
   {{0xb60f03e4,0xddb4003c,0xaae60166,0x00000000}},	//   _parlapxi, _هوآوی_, _analogen_, --, 
   {{0xd2770091,0x00000000,0x00000000,0x00000000}},	//   _qaangani_, --, --, --, 
   {{0xb29001fc,0x28e90135,0xc65b027c,0xd1fb012e}},	//   _arkat_, _газетасы, _awoyisay, _آسان_, 
   {{0xa78d027c,0xccf50481,0x39bd0192,0x00000000}},	//   _شیرزی_, _landgoed_, _verderop_, --, 
   {{0xb27f0255,0x328600ba,0x09890074,0x42d801d3}},	//   _aarne_, _پادشای_, _perheide, _inleda_, 
   {{0x128d03e0,0xc27f03b0,0xb3ac032e,0x824900fc}},	//   _metalbam, _barne_, _arupat_, _lotmo_, 
   {{0xe3ea0326,0xc5cb034f,0x4d190085,0x737c0071}},	//   _toita_, _abhalway, _ironrite_, _barange_, 
   {{0x027f0198,0x703701db,0xc3ac02ba,0x83ea0392}},	// [f750] _varne_, _онысы_, _куввахои_, _mlitt_, 
   {{0x127f0245,0x6c670108,0x6264034c,0x462300c7}},	//   _warne_, _ngiring_, _akulov_, _аристарх_, 
   {{0x6a3f00c4,0xe72703d4,0xb6810255,0xe27f0255}},	//   _گلچھر_, _бактериј, _दोलाई_, _tarne_, 
   {{0x225b01b5,0x1676018b,0xbba80141,0xbe9b01c8}},	//   _avula_, _иконицел, _битиклар, _milujete_, 
   {{0xdfd40230,0x6b53052f,0x6c510382,0x92e3001b}},	//   _koripsyo, _sokwakha_, _avitana_, _gafille_, 
   {{0x03f6006e,0x3a750197,0xd49b02d8,0x616803b5}},	//   _abuudabi_, _deklamas, _menatapk, _ambillah_, 
   {{0x72900191,0x62010286,0xd3ea0196,0xcc7100b4}},	//   _orkar_, _mubisa_, _alitu_, _afirmat_, 
   {{0x332c0145,0xb24802d3,0xc431013d,0x3e0e01fe}},	//   _privatum, _dilma_, _marbordo_, _laveliga, 
   {{0x029f04c9,0xc9a90297,0x09f60141,0x594e0504}},	//   _mława_, _гистерез, _sharoitd, _सुस्पष्ट_, 
   {{0xd95e02f0,0xd2590226,0x107c00be,0x029204cb}},	//   _asengise, _amangoti_, _تيىشتۉۉ_, _bataie_, 
   {{0x63db0372,0xd3800079,0x13ea0364,0xf7af00e6}},	//   _gartrefi_, _katras_, _flitt_, _在肯定成绩的同时_, 
   {{0x53ea04a7,0x81640130,0xd2f801ef,0x8e1b0443}},	//   _moito_, _luksembo, _западнор, _keretaka, 
   {{0x13f90182,0x620004cf,0x8f370024,0x62d8005c}},	//   _alaula_, _aphile_, _হৃদয়ৰ_, _andeba_, 
   {{0x6396005e,0x49ef010d,0x29f302e5,0xbbad0135}},	//   _ئايپەرى_, _gerindra_, _langhome, _диалифта_, 
   {{0x33d501e9,0xb2d80775,0x9ebd0347,0xfdf400ee}},	//   _moithuti_, _comezo_, _toenemen, _оготно_, 
   {{0xd6c5054e,0x6c660279,0x436601d1,0x64e500ec}},	//   _nalaungi, _montres_, _surgeon_, _клубняў_, 
   {{0xb0390159,0x62ee00a2,0x3d1203b4,0x00000000}},	// [f760] _atletiko, _chafu_, _atarisir, --, 
   {{0x3c770399,0x73ba014e,0x029403b5,0xffd500ba}},	//   _apisake_, _падобран, _dikagumi_, _ڕۆحێکی_, 
   {{0xb2d401fb,0x09f700ad,0x3050046b,0xc960013d}},	//   _gaudio_, _saenyana_, _allgofno, _transpre, 
   {{0xe2e9012c,0xc9f9036e,0xe3ac01da,0x5c8f0299}},	//   _kisiasa_, _anqusamu, _trupat_, _ئونمىڭ_, 
   {{0xe2c302e2,0xde7202ba,0x7327005b,0x4f6000e6}},	//   _mordecai_, _оличаноб_, _akiyoshi_, _放入烤盘中_, 
   {{0xd0c2006c,0x2a1100d8,0xce6901db,0x03ea02f3}},	//   _abalidel, _agravame, _سۇيەكتىم, _ryktet_, 
   {{0xd3ea0593,0x23db046b,0x6290008d,0xaaea01e5}},	//   _blitt_, _cartrefi_, _erkak_, _atilehin_, 
   {{0x4af7008d,0x7e500071,0x5286003c,0x0ed90209}},	//   _дардини_, _andalima, _پاگشای_, _imminorn, 
   {{0x035b01a6,0x5ae301da,0x63860205,0x6f0b0156}},	//   _tangata_, _janullat, _kamroq_, _יפֿית_, 
   {{0x0c840040,0xd290034e,0xb699015e,0x5dfa017d}},	//   _inserted_, _arcaj_, _татаалда, _gladsaxe_, 
   {{0xc387036f,0xb9c30011,0x46a80061,0xb3ea005b}},	//   _dobrog_, _abavvunu, _해피하우스_, _coito_, 
   {{0xc39e005b,0x32b10404,0x1981011e,0xe8540024}},	//   _betyder_, _fundisa_, _lenkonve, _অধীনলৈ_, 
   {{0x6c6a0037,0xdba30061,0xac6100fc,0x3eb300a4}},	//   _በታህሳስ_, _들어갔습니다_, _lituvya_, _vegetals_, 
   {{0x69d202bb,0x927600c5,0x9e150120,0x638f0464}},	//   _zarejest, _ressembl, _essernaa, _ikiyoka_, 
   {{0x5291003b,0x43f000cb,0x0380018a,0xcc6600a4}},	//   _bobani_, _арманӣ_, _fatris_, _contres_, 
   {{0xc8c3005e,0x22ca0054,0x9d91033d,0x1e7900d9}},	//   _ﺋﻪﺳﻠﯩﺪﻩ_, _danlami_, _jozefine_, _арендова, 
   {{0xc2d8023d,0x634700e3,0xf53c031c,0xfe3c007e}},	// [f770] _almeno_, _ammetta_, _adoptado_, _devairap, 
   {{0x1594020a,0x569a02da,0x827800f6,0xc1eb0199}},	//   _студентт, _нормално_, _onunla_, _zingplay_, 
   {{0x84110223,0x22b10470,0x22900482,0xf69a00f6}},	//   _gainerak, _wandara_, _arkak_, _sahiblər, 
   {{0x55f900d9,0xe837010d,0x4b97019b,0xd2640062}},	//   _органиче, _वर्ज्य_, _каледж_, _heslij_, 
   {{0xb893056f,0x017f03db,0xc98503a2,0x1f200081}},	//   _likvidov, _bayakhol, _ख़ामोश_, _festinga, 
   {{0xaa8b0288,0xf68d01f0,0x87a200ba,0x4c2c0109}},	//   _derision_, _atlenegi, _بێئاگایی_, _stoupá_, 
   {{0x92ee033f,0x12e302a6,0x6882002f,0x92f900b7}},	//   _akifu_, _pulisce_, _awninaku, _artykmaç_, 
   {{0xf2900139,0x52ee007b,0x415c01cd,0x00000000}},	//   _arkah_, _chaft_, _кулан_, --, 
   {{0x676d02ac,0x4b5603f3,0x92780049,0xc4250267}},	//   _الكأس_, _naamwoor, _lonitoni_, _nasilnik, 
   {{0x996000b4,0xe2ff01cf,0x527e03d9,0x00000000}},	//   _tranzact, _korihor_, _hainay_, --, 
   {{0x127f00b9,0xa38000c3,0x552702a9,0x823c04ac}},	//   _karna_, _patris_, _правоў_, _браузере_, 
   {{0xf29002f6,0xd29002f6,0xabdf03ba,0x8a540126}},	//   _sukat_, _bukas_, _friedfer, _генетичн, 
   {{0x13660148,0xcfe60040,0xcadd0092,0xbbdd0092}},	//   _esignal_, _מברשות_, _アンチエイジング_, _リラクシング_, 
   {{0xf875011d,0x29c500d9,0x3057005b,0xa97500df}},	//   _scandalu, _hallinta_, _bit版os_, _scandale, 
   {{0x2c7200ca,0xd8f70281,0xec070241,0x611901a4}},	//   _afectère, _anaanatu, _gorsinu_, _pwwwwwwo, 
   {{0x534a01c5,0x329104af,0x29f700d5,0x4d03003a}},	//   _خریدارس_, _ntsaj_, _miankina_, _yakunlar, 
   {{0x84750162,0x5c610367,0xcf610093,0x3bfa0559}},	// [f780] _алмақчи_, _pequena_, _столетия_, _amathamb, 
   {{0x630701b2,0xb2900024,0xac230137,0xb7ba00bb}},	//   _bobbing_, _aukar_, _тонныг_, _رےڈےو_, 
   {{0x662b0359,0x0c6b0252,0x79f60338,0x52900296}},	//   _likernôc, _mavundu_, _artés_, _kukar_, 
   {{0x63f1084f,0xe2780005,0x52e502f9,0xbb8c02e2}},	//   _करिअर_, _liunga_, _adonija_, _sigillar, 
   {{0xb36304cc,0xeda50381,0xa2d8006a,0x226e018e}},	//   _dangguh_, _entirewa, _hidera_, _funungul, 
   {{0xbc5301b7,0xf8860113,0xb27f036d,0x3df50235}},	//   _बाधेत_, _dochreid, _earna_, _candropa, 
   {{0x035b01fa,0x7343011e,0xde990184,0x9f070153}},	//   _fangota_, _limenem_, _bintwaye_, _誉め上手な回答者, 
   {{0x2c4c00b9,0xdf330629,0xf2d8006a,0xf6890145}},	//   _diawali_, _aesuraca, _midera_, _караткев, 
   {{0xfb2702ae,0xaf3801d2,0xb9760188,0x51df0127}},	//   _nesreća_, _angulama, _abangame, _adunaniñ_, 
   {{0x1386033c,0xd39f058b,0x7b220133,0xdc720134}},	//   _storio_, _redatelj, _gahamuun_, _oòrùn_, 
   {{0xe38103bf,0xb49a0169,0xb200033e,0xbbb30210}},	//   _kenyang_, _মাষ্টার_, _bahias_, _akakumur, 
   {{0xb9c7032d,0x728a046f,0x72c5007f,0x457d0360}},	//   _сарала_, _verpixel, _gatland_, _novodobý, 
   {{0x038100bc,0xad960257,0xb2c8018d,0xfca9004a}},	//   _menyang_, _sífellt_, _ብሓሶትን_, _аралашуч, 
   {{0x75ca0057,0x39730021,0x44b5014f,0x94ef0311}},	//   _የምንዛሪ_, _alentine, _русијом_, _ሰማርያን_, 
   {{0xe29005c1,0x00000000,0x00000000,0x00000000}},	//   _tukar_, --, --, --, 
   {{0xb379017e,0xe30e040f,0x62d80227,0xc1d0004d}},	//   _bilanco_, _pyragas_, _didera_, _或賣出買權_, 
   {{0xfa04042b,0xac47016d,0x842b0478,0xb1d60022}},	// [f790] _objasnit, _چۆلگۈلى_, _adopcion_, _музейға_, 
   {{0xd2900429,0xce220061,0x7b6c009f,0x1ed9012a}},	//   _sukar_, _제품이거나_, _postojna_, _militarn, 
   {{0x5381004b,0xc140028a,0x5eaf0497,0x527f03ad}},	//   _benyang_, _اشتراڪ_, _averment_, _hienja_, 
   {{0xa5fc04d7,0x00000000,0x00000000,0x00000000}},	//   _skaftadó, --, --, --, 
   {{0x0f5b0410,0xe24902b6,0x2b8a0059,0x33840040}},	//   _bokaakan, _امانداسا_, _полов_, _לנתונים_, 
   {{0x63ea01d3,0x46d800be,0x2b18010d,0x183d00e6}},	//   _plats_, _лицейлер, _pegangan_, _网友意见留言板_, 
   {{0xec320322,0xbb2a005c,0x938103a0,0x9296036a}},	//   _ababatir, _anabasab, _fenyang_, _vanalaki_, 
   {{0x32010476,0x749f0177,0x0ade0009,0x669e0265}},	//   _kuziva_, _амҩаҿы_, _pištole_, _ingebouw, 
   {{0x330e03d5,0x74ea0141,0x06d90113,0x78a801de}},	//   _aavaair_, _шахобчал, _criptith, _саттарха, 
   {{0x6b1800b9,0x83f40434,0xf4c30037,0xe2000046}},	//   _tegangan_, _virtud_, _አዲስአበባ_, _únics_, 
   {{0x82bb02a4,0x7dae0305,0xa34503e7,0xf387046b}},	//   _layered_, _liggande_, _comelec_, _parri_, 
   {{0xce320162,0x3b760092,0x446100d5,0x68da01d5}},	//   _амилларн, _半角英数字のみの, _adidinao_, _عامرشہزا, 
   {{0x72d803b6,0x52d80212,0x538701da,0x637a06a0}},	//   _ailera_, _sidera_, _varri_, _iksamen_, 
   {{0x63ea0197,0xa1ea0176,0x2b3c018a,0x3b3b024c}},	//   _inite_, _ラブホテル_, _brechdan_, _bumchumb, 
   {{0xd3bc00ff,0x1f320322,0x727300b4,0x6f7301b5}},	//   _כּלומר_, _abafitan, _comisiei_, _evubihin, 
   {{0x23b20040,0x0b73028e,0x2c980162,0x9fcc00e2}},	//   _מקדימה_, _fiksimap_, _гуадарди, _berikber_, 
   {{0x6c52012d,0xb20001e8,0xe25b003f,0x526400aa}},	// [f7a0] _avatuna_, _banig_, _foglyr_, _ihulog_, 
   {{0x87420760,0x44d10109,0x62910195,0xcdc00189}},	//   _विधिविधा, _मूनिका_, _lusan_, _gaziosma, 
   {{0x55230415,0x496f0487,0xf0b700ba,0x348900ba}},	//   _krankenh, _ezineart, _لادێکان_, _موناقه_, 
   {{0x329102f3,0x8290007a,0x81b3022f,0xb1a600e6}},	//   _bevaka_, _lucah_, _беспераб, _河南漯河经济开发, 
   {{0xe347034b,0xb186015e,0x1da100d5,0xb8ad0205}},	//   _galesia_, _بالسىڭ_, _famoaboa, _азизбек_, 
   {{0xda2200af,0x82d80039,0x2ac0011b,0xb2cf00c5}},	//   _строк_, _bilera_, _amikitis, _全省统一规划_, 
   {{0x52910082,0x63ea0534,0xf3050094,0x346e0213}},	//   _kusan_, _loitq_, _توزار_, _преми_, 
   {{0xa2000313,0x62fe01f1,0x0d000137,0x634101a3}},	//   _danid_, _vizitor_, _ахмадууд_, _اچجان_, 
   {{0x030d013a,0x432102a2,0xb232046d,0x838702ee}},	//   _gepasst_, _maayos_, _nyemulo_, _marru_, 
   {{0x0da40381,0x529005ce,0x129000ac,0x6912003a}},	//   _onlinewa, _ercan_, _rucak_, _йўгурт_, 
   {{0x43b4034f,0x82fe0017,0x707e00f6,0xd60d03eb}},	//   _ډنمارک_, _registr_, _məskənlə, _rewolusi, 
   {{0x89430025,0x0ec305c9,0xaab500cd,0xa0ae0040}},	//   _अनुस्वार, _thaibteb_, _flexibla_, _הוליווד_, 
   {{0x32ca0117,0xad9300cb,0x00000000,0x00000000}},	//   _wandem_, _badedele_, --, --, 
   {{0x02ca00c3,0x52900089,0xf1c20040,0x395300a7}},	//   _tandem_, _tukay_, _דוקומנטר, _بەكرىنە_, 
   {{0x4153048a,0x0c7302e1,0x322d0287,0xa27a007a}},	//   _терминде, _beartas_, _stavitel, _prasekol, 
   {{0xc0d90092,0x18d301d2,0xa307004a,0x9dac00b4}},	//   _地方自治体_, _asnullag, _aşagan_, _pregatit_, 
   {{0x40530003,0x92000140,0xf49a03c6,0x54030163}},	// [f7b0] _politiek_, _panig_, _agrarysk, _آئیگی_, 
   {{0x90820335,0x83eb00fd,0xfc4600de,0x0abd03eb}},	//   _abṛhān_, _alyth_, _ترجمې_, _herverde, 
   {{0xad8400be,0x8db40299,0xfd470161,0x496e0320}},	//   _мылтык_, _ئوچوق_, _весенний_, _mhannnee, 
   {{0x7a6d0156,0x00000000,0x00000000,0x00000000}},	//   _עשׂרה_, --, --, --, 
   {{0x72930135,0x8ea40060,0x898303e6,0x720003d5}},	//   _джимми_, _بولساڭدا, _kreische, _aanid_, 
   {{0x313900bf,0x047e0244,0x826d01da,0x820002e2}},	//   _самостоя, _миков_, _jugore_, _banid_, 
   {{0xe60d0366,0xde7100e6,0xde390326,0xe3160447}},	//   _учтены_, _中国国际贸易促进, _angarara, _apozo_, 
   {{0x937b03e7,0x717b020f,0xc3f90049,0xc5f102b9}},	//   _eksakto_, _دکوشان_, _noauia_, _nemesacé, 
   {{0x8f700148,0xa3eb0339,0x1f34000c,0xf281034d}},	//   _地圖日記是一個可, _kūlanaka, _clasista, _menaungi_, 
   {{0x227e01fc,0x4255005d,0x00000000,0x00000000}},	//   _loonum_, _irreglam, --, --, 
   {{0x555c03b8,0x3a09028b,0x8994004d,0xd20002c2}},	//   _сарыарқа_, _анденко_, _還沒加入翻書客_, _fanie_, 
   {{0xcd3602af,0x822602cd,0x899a0453,0x90d70388}},	//   _bakimaze_, _hasken_, _subjekat, _пирогов_, 
   {{0x43010347,0x23f40488,0xe4770059,0x00000000}},	//   _verband_, _jostas_, _карета_, --, 
   {{0xc3870133,0xf2ca0321,0x204300e4,0x4a810291}},	//   _aarru_, _prodaj_, _nieustan, _ببريطاني, 
   {{0x5291008e,0x85710238,0x5c5602dc,0x58f50089}},	//   _musal_, _депутатс, _certame_, _дунаев_, 
   {{0xbd2b0166,0x0f1f0369,0x4ba700c7,0x496e00d1}},	//   _erinnert_, _nehuseta, _bashqiir, _ক্ষুদ্ৰা, 
   {{0x49ad019f,0x57e501a7,0x2a50013e,0x78240125}},	// [f7c0] _تجربي_, _kaupunki, _piletina_, _булунан_, 
   {{0x093f048a,0x666b00bf,0x23870120,0x00000000}},	//   _комитеті_, _утилиту_, _warru_, --, 
   {{0x235d0552,0xf292033d,0xf42802af,0xcc630405}},	//   _fungsug_, _pataje_, _akakubaz, _гарантує_, 
   {{0xf29101c5,0xc0c20087,0xaf2d011f,0xba7700aa}},	//   _uusan_, _chululel, _cuartelp, _kaalyans, 
   {{0xddb8021e,0xdf4201c9,0x927f012a,0x7d640156}},	//   _likadant_, _fläsh_, _mienia_, _טרענדס_, 
   {{0x9dfc046c,0x1a7e06a1,0x7fa90088,0x00000000}},	//   _irgendwa, _helleris, _диниятчы, --, 
   {{0x59570222,0x00000000,0x00000000,0x00000000}},	//   _cuisiner_, --, --, --, 
   {{0x6ba401b1,0xb2f3011e,0x017d02a2,0xe3eb022b}},	//   _गणितीय_, _lemirat_, _karangal, _flyti_, 
   {{0xd1fd003f,0x956701de,0x86cf01e8,0xdf20032b}},	//   _mosammeh_, _англияға_, _mahabili, _سېنارىست_, 
   {{0x1c670843,0x407b0373,0x13fe0176,0xdd2f00f8}},	//   _gratias_, _אמריקאנע, _akiraani_, _হেরাল্ড_, 
   {{0xe2d30396,0x66c50212,0xb4b00092,0x0949013c}},	//   _federali_, _mypacifi, _ジへのトラックバ, _artacağı_, 
   {{0x435b03bf,0x93ea0239,0x6854034c,0x3a34002b}},	//   _hangata_, _koati_, _флорасы_, _জামিনে_, 
   {{0xcefc02ba,0x72b50116,0xfae101fc,0x6a8f02af}},	//   _мулкӣ_, _driddle_, _taktubee, _maniramb, 
   {{0x5ffd01cb,0xd70d0013,0xa21603bf,0x615700c7}},	//   _ngokweko, _карра_, _витька_, _ширкәте_, 
   {{0x935b03bf,0x4d5c005e,0x02c8036d,0xb0db0157}},	//   _mangata_, _ھۇزۇر_, _chroise_, _जोडीये_, 
   {{0xe6bb0147,0x6c670279,0x94630203,0xd6b70344}},	//   _ئمشىراگى, _montrer_, _erodierz, _allaruti, 
   {{0x698f026b,0x920003c2,0x54d702eb,0xa2bf0678}},	// [f7d0] _techtune, _affix_, _банкин_, _učenia_, 
   {{0xe1d8023c,0x824f004b,0xb2910541,0x00000000}},	//   _ټلوېزيون_, _lemoruti_, _lozani_, --, 
   {{0x3c7f0244,0x92ee01c0,0xc42403d5,0x00000000}},	//   _tessuto_, _akafi_, _alistrin_, --, 
   {{0x97b30277,0xa7d802d9,0x2c1e004a,0x12ca01e8}},	//   _geospati, _atigifig, _bersüzse, _iandam_, 
   {{0x724800d6,0xe35b020e,0x9bdc0401,0x93ac01f1}},	//   _hilmi_, _bangata_, _रसिया_, _grupit_, 
   {{0xa2480135,0x4c670180,0x5d8401f0,0xab8a003a}},	//   _kilmi_, _kontrer_, _dikerese_, _сопол_, 
   {{0x035b01c0,0x12d6042d,0x69120043,0x00000000}},	//   _dangata_, _hatokan_, _bebanaku, --, 
   {{0x52ca0139,0xbf3506ed,0x405a0159,0x63a202bd}},	//   _mandam_, _सिंगापुर, _білан_, _campws_, 
   {{0xbfc40040,0x365004ed,0x53790529,0xeaea00ae}},	//   _ההתנהגות_, _अस्तित्त, _pomagao_, _ndarifat, 
   {{0x82b100cf,0x83ea029d,0x41160156,0x1b170278}},	//   _mandara_, _roata_, _סירקעל_, _puspanit, 
   {{0x287605b4,0xd9760069,0x743600a0,0x4c1b0125}},	//   _abanyamu, _abanyame, _sakamako_, _halatlar, 
   {{0x6a12048e,0x0ffb027b,0xaeb200e3,0x62b5007f}},	//   _gebanake, _apradarś, _bijoekon, _criddle_, 
   {{0x72cf04ce,0x969a013c,0x7f2c018b,0x59fd0034}},	//   _tshothe_, _sahillər, _indeplin, _vafraglu, 
   {{0x02940302,0x633a012b,0xa8be0497,0x12a40116}},	//   _ofakazi_, _शिवपुरी_, _agitativ, _joukery_, 
   {{0x22ca02ff,0x00000000,0x00000000,0x00000000}},	//   _jandam_, --, --, --, 
   {{0xd2b102d8,0xc9db0476,0xd7d90141,0x7eed01cd}},	//   _bandara_, _airemeke, _bolalarg, _тинчи_, 
   {{0x89d300d1,0x94370464,0x522401c8,0x834706ac}},	// [f7e0] _শিক্ষাগ্, _bakabaho_, _racionál, _quadros_, 
   {{0xf2b102b7,0x9dd202b2,0x0973003f,0x7a000308}},	//   _dandara_, _столи_, _klengine, _geraknya_, 
   {{0x230101b4,0x52e10004,0x6863033d,0xb2ee0102}},	//   _verbond_, _dànmak_, _fotochou, _haifai_, 
   {{0x1c200010,0x6d20006c,0xef5205d5,0x437c0619}},	//   _abasesib, _abasesir, _proposit_, _nalaže_, 
   {{0x7380026c,0x125c02c2,0xd6a6026f,0x28870045}},	//   _matris_, _aantrekl, _тальго_, _реакције_, 
   {{0xbf4a000a,0x5ee70188,0x00000000,0x00000000}},	//   _pingasun, _камароб_, --, --, 
   {{0xa9d30173,0xd5530081,0xc2e30062,0x92e7034e}},	//   _শিক্ষাঙ্, _stokksey, _earthday_, _ayantin_, 
   {{0xeee50041,0x52b1001c,0xe37200ac,0xbb730206}},	//   _згамҧхо_, _bandira_, _zdravog_, _smernica_, 
   {{0x74b80142,0xf4d6027b,0xce6a00a2,0x40d9050e}},	//   _विशेषतः_, _मेदिनी_, _دقيانوسي_, _milosavl, 
   {{0x429004bd,0x473a00a4,0xc73a01ee,0x53f8047d}},	//   _manawa_, _колго_, _гiалара_, _menung_, 
   {{0x373405b1,0xd2ad018d,0xc18900b3,0xed180052}},	//   _rosnička_, _ፖርትሱዳን_, _arzasyny_, _nepovede_, 
   {{0x003704ac,0x63ac0250,0x491500d1,0xb9d3002b}},	//   _группа_, _trupit_, _সাধ্যানু, _শিক্ষাপ্, 
   {{0xffe30189,0x2c1c0015,0xbae605b9,0x00000000}},	//   _bankalar_, _arxandar, _forrette, --, 
   {{0xe93d00bb,0x8145065b,0x61ec01fc,0xcaea00d7}},	//   _زلیخا_, _ह्यूमन_, _mingilih_, _heartwat, 
   {{0x934f0066,0xf37904b3,0xf290005b,0x00000000}},	//   _paperak_, _eurazia_, _hanawa_, --, 
   {{0x92d602ce,0x0c05003a,0x229000a1,0xa264019a}},	//   _patokan_, _narsani_, _kanawa_, _asslum_, 
   {{0xca1606af,0xd2b104fa,0xcfe20184,0x9f4d02d4}},	// [f7f0] _ingaruka_, _landwra_, _babimuko, _lungatgs_, 
   {{0x999d009a,0x7afd01de,0x836f013f,0xdaf203fc}},	//   _شجاعي_, _поэзиялы, _diagent_, _matserve, 
   {{0xe37003e0,0x5a1600a6,0x9c3603f0,0x26ba0076}},	//   _schaarf_, _angasuka_, _fagfjárf, _encarari, 
   {{0x5d92018e,0x3a2502dc,0xb20103db,0x846401c2}},	//   _balekele_, _alicerce, _kubiza_, _acadando_, 
   {{0xc2d00357,0x06b70322,0x4aad00c5,0x5290000c}},	//   _malevani_, _bagafati, _crevette, _nanawa_, 
   {{0x29150319,0x83ea0086,0x9a54012a,0xf14c03b8}},	//   _মুক্তিযু, _alatt_, _विरोधियो, _парольді_, 
   {{0x8290019d,0x985d0306,0xc27f03da,0x93ea0065}},	//   _aanawa_, _apulliku, _okenya_, _blatt_, 
   {{0x5ea60005,0xd29102d5,0x03ea029b,0xee740035}},	//   _interess_, _otsas_, _boitu_, _бүрек_, 
   {{0x329001fa,0x34bf010f,0x2d92004b,0xc2f70456}},	//   _manava_, _ифтитоҳ_, _balehele_, _ghairah_, 
   {{0x63ea00f7,0x72910066,0x872302da,0xfdda013c}},	//   _boato_, _itsas_, _curtiram_, _kəsilməs, 
   {{0x1daa020f,0x119700ec,0xbb070040,0xc378008d}},	//   _abanemip, _наступст, _שתעשה_, _nimadan_, 
   {{0x23ea000d,0x0e360369,0xc53804b3,0x322a02b6}},	//   _toitu_, _makakaua, _digelañ_, _досан_, 
   {{0xe2900082,0xa29000ad,0x14b701c9,0xd80d01f3}},	//   _ganawa_, _bucat_, _सन्तोख_, _skromný_, 
   {{0xc510016d,0x796c0155,0x3da60128,0xc71c02fe}},	//   _дерма_, _tvingade, _турмалар, _یتیمانو_, 
   {{0x43f40231,0xc2000341,0x12900211,0xb2e00195}},	//   _hostes_, _hafif_, _kanava_, _grunnan_, 
   {{0xd6d501d5,0x49490325,0x73f401c4,0x5ea803b8}},	//   _منڈیوں_, _tutacağı_, _kostes_, _обалы_, 
  
   {{0x4ffa00c1,0xda7d00ad,0xc2900163,0xbb13009b}},	// [f800] _परवानगी_, _sukapura_, _tucat_, _nahasten_, 
   {{0x7cce01bd,0x7ecd010d,0x1202023a,0x00000000}},	//   _идеялар_, _berimban, _muriva_, --, 
   {{0x3201020d,0x0f31043e,0x4b200170,0x00000000}},	//   _subiza_, _telexorn, _kukakamb, --, 
   {{0x5b1a02eb,0x5c650478,0xc3f40338,0xbe6903c3}},	//   _жижгээги, _abitant_, _bastit_, _placanje_, 
   {{0x6727072a,0xc38701da,0x35ba00b7,0xb365016a}},	//   _حراست_, _marri_, _bosagasy, _blogaro_, 
   {{0x6290008e,0xebf90122,0xb6950526,0xe29000f4}},	//   _askan_, _moborobo_, _disesuai, _lukaz_, 
   {{0xfcb4004c,0x4f18004d,0x00000000,0x00000000}},	//   _agiyimir, _網頁瀏覽位置_, --, --, 
   {{0x7465034a,0xd21202f8,0x11bc00bb,0x9c340100}},	//   _diferenz, _itohi_, _گمبھیر_, _uplatnic, 
   {{0xe5a00058,0xc3c70087,0xd7d20109,0xfb18020b}},	//   _badikumö, _emavheni_, _daruješ_, _diragats, 
   {{0xd2000288,0x925a01fc,0xeee00089,0x72910613}},	//   _manin_, _cullek_, _aqtyorla, _negado_, 
   {{0x32000298,0xc20000ea,0x129201e9,0xdecd0063}},	//   _pania_, _lanin_, _borabi_, _frithvír, 
   {{0x83670240,0xa29100e1,0x63ff051c,0xd5b400dd}},	//   _brigham_, _musaa_, _kharbani_, _chladdwy, 
   {{0xd3f4048c,0x77ba0276,0xf2d8012f,0xc8450098}},	//   _castit_, _ойлаватқ, _tsiet_, _monteres_, 
   {{0x1755002b,0x2a4f01b5,0xef460455,0xa3f80037}},	//   _অনুভূতির_, _galeliya_, _touslesp, _renung_, 
   {{0x726c017e,0x4d8300b4,0xa2d803f3,0xd5300128}},	//   _ideon_, _prelucra, _almelo_, _рекордчи_, 
   {{0xdc050021,0x2a66002f,0x762704e6,0xf5b20045}},	//   _amirway_, _enemigos, _eskimati, _петровда, 
   {{0x426c0120,0x7ae300ff,0x22da0269,0xfac70153}},	// [f810] _admoo_, _kulturce, _entera_, _九州文化学園高校_, 
   {{0xc3f401da,0x4f140241,0xf291021a,0x4d160156}},	//   _rastit_, _bittimsa, _busaa_, _טשעהרין_, 
   {{0x3bc2002c,0xd2f000a5,0x12900115,0x97bc0111}},	//   _европ_, _fefiloi_, _kucar_, _verucchi, 
   {{0xcf29009a,0xa5940219,0xb2920160,0x2be4018b}},	//   _تقاعد_, _ankulunk, _koraci_, _incercar, 
   {{0x035f0312,0x89fd0015,0x3a930205,0xb272015e}},	//   _levenez_, _ajandaha_, _голдан_, _homicidi_, 
   {{0xcd2c01f1,0x7b73012d,0x525d0081,0x53dc027f}},	//   _franceze_, _miksimap_, _sumarfrí_, _gwawe_, 
   {{0x12900242,0xc52c061b,0x22e1053e,0x8b7701e1}},	//   _manata_, _फ्रान्सक, _arendal_, _ареалы_, 
   {{0x4b060119,0x2c330156,0x82900004,0xe0440247}},	//   _ginsagda_, _מאפיע_, _eskal_, _سپانلو_, 
   {{0x6fe301f4,0x03dc037a,0xadd8024f,0xd277010f}},	//   _سانتی_, _bwawe_, _buikeina, _abangani_, 
   {{0x223901af,0x53ea00f5,0xcc9200c1,0x523103de}},	//   _докуп_, _ilaty_, _foruming_, _ivumela_, 
   {{0x62900104,0x305c0125,0x11db0032,0x57b603b0}},	//   _onjani_, _girizmek_, _dangulah_, _styrelei, 
   {{0x522a01cd,0xf5700045,0xb75b0109,0x835f0222}},	//   _норак_, _анонимни_, _सेन्जेन_, _devenez_, 
   {{0x234b02a4,0x1af10192,0xa75f0255,0xd27f03db}},	//   _delenit_, _natuurst, _शान्तिए_, _thenga_, 
   {{0xa2d800ee,0x92900027,0x94780164,0x04bb0216}},	//   _asier_, _sanava_, _فولكلور_, _hambilok, 
   {{0x4deb0220,0x1200036e,0x9c350158,0x93610305}},	//   _странно_, _aanin_, _ostatnic, _framgang_, 
   {{0xb3e80211,0x0e900177,0x3a6c0024,0xd2d80053}},	//   _успел_, _habitánt, _ক্ষেত্ৰস, _komedo_, 
   {{0x9e7106f2,0x725a0212,0x046d0021,0x8dd10207}},	// [f820] _किस्म_, _belley_, _unrealiz, _wachache_, 
   {{0x39b90165,0xad2c02cb,0x33860059,0x7ecd02ec}},	//   _boselawa_, _princeze_, _canzoni_, _arrintan, 
   {{0xc3410122,0xebca005e,0x5ba504e3,0xafd3008d}},	//   _سنجاب_, _әслимилә, _neizvjes, _kelinayo, 
   {{0xa347028e,0x134800fe,0x2b480088,0x429000fa}},	//   _bolenga_, _falesii_, _шаршемби, _askal_, 
   {{0x5b88048a,0x13000082,0xac7c02af,0xf9b10092}},	//   _дәлме_, _bimashi_, _irasuka_, _landsret, 
   {{0x7e4c046f,0x49d301bd,0xc363007e,0x00000000}},	//   _befaasst_, _كورۋىڭىز, _cottamaḥ_, --, 
   {{0xe322015e,0x55270371,0x9dbd0619,0x00000000}},	//   _descens_, _petrolio_, _naručju_, --, 
   {{0x02000255,0x62020331,0x72910145,0xa27f02ff}},	//   _panin_, _durita_, _rusai_, _chenea_, 
   {{0x4c11024a,0x320001fb,0x8e390253,0x22c10173}},	//   _arosọ_, _banio_, _angalasa, _rellena_, 
   {{0x903803f8,0x920400a2,0xbe0b0040,0x789e0083}},	//   _dopeboyz_, _wakielim, _מלמטה_, _clavazeg, 
   {{0xa1f60094,0xb2d4053b,0xc200014b,0x7c690017}},	//   _ءناپسىقۇ, _gordas_, _nanil_, _slitiny_, 
   {{0x420000ea,0xcc1b00f5,0x51ef0057,0xcb840366}},	//   _tanin_, _talaplar, _bergaduh_, _отформат, 
   {{0x24180223,0xc05e048e,0x127f019a,0x4af202a1}},	//   _nabigatz, _kaenavik_, _scanty_, _natuurbe, 
   {{0x27c101a7,0xdbf704df,0x139403b1,0x93d800d1}},	//   _helsingi, _тиреден_, _pères_, _ডুমডুমা_, 
   {{0xf2fe03c7,0x320002cd,0x32d80596,0x5db4034e}},	//   _stronę_, _sanin_, _azael_, _asinalla, 
   {{0x42fd0226,0xbf660188,0x2200004a,0xbc7d0009}},	//   _adagwa_, _ababenen, _danil_, _varstva_, 
   {{0x36c901ea,0xab7302af,0xfbe802a4,0x89a6061c}},	// [f830] _каееалаш, _imushira_, _communio_, _trijumfa_, 
   {{0xd0dc0127,0xdf1400ff,0xf2830342,0x824704d7}},	//   _karantez_, _מאַקסימו, _chokola_, _andlegri_, 
   {{0x42da033b,0x28db0145,0x8364044d,0x914a0037}},	//   _botega_, _tvarking, _dingeen_, _ተሰናባቹ_, 
   {{0xc3ea056f,0xe01a017f,0x7b1802c1,0x22bb0017}},	//   _platy_, _akiverin, _akaguris, _kojence_, 
   {{0x306202a0,0xd4cb01db,0xdf2c00d5,0x6afc00ef}},	//   _baobabwo, _جاعراپيا, _aratoeka, _ithembis, 
   {{0x92b30558,0xf843029e,0xfe4b019a,0x72da0160}},	//   _ibudata_, _adplaned, _barbamap, _okrene_, 
   {{0x038d0074,0xf08000af,0xf29000a2,0x02c6055e}},	//   _helposti_, _десятилі, _kijani_, _flammer_, 
   {{0xe94902b6,0x99730178,0xa43401a6,0x0d200099}},	//   _сарайыны, _balaniṣū, _taukumek, _haasisir, 
   {{0xb0930145,0x8310029b,0xdebe0086,0x97b5011d}},	//   _analizė_, _faratay_, _سیتاپوری_, _indelung, 
   {{0xac9001e0,0x3f490039,0x2b7304ec,0xb2000249}},	//   _ماشینه_, _барилдаа, _amushira_, _lanim_, 
   {{0x3379000e,0x513b018c,0x020102a4,0x659200d1}},	//   _guralia_, _kinderkl, _nubila_, _সুধিছিলো_, 
   {{0x00000000,0x00000000,0x00000000,0x00000000}},	//   --, --, --, --, 
   {{0x52cb02f3,0x520000e4,0x982100c1,0x18c700f8}},	//   _skadad_, _tanio_, _ड्रॅगनचा_, _অন্যজন_, 
   {{0x637300a9,0x31bb018d,0x26eb0153,0x160a00c6}},	//   _ashatse_, _ኩሩስቸቭ_, _ライセンス_, _символам, 
   {{0x90dc0127,0x6d48019b,0x12d6002b,0x997c0364}},	//   _garantez_, _padariau_, _অনিকেত_, _fichiere, 
   {{0xae570244,0x627d01bd,0x6201013e,0x00000000}},	//   _paзca_, _салалары_, _dubila_, --, 
   {{0xc3a30346,0x6a540040,0xb7b60274,0x4e4d0213}},	// [f840] _apepre_, _באפריקה_, _styrklei, _заметите_, 
   {{0x3ed70220,0xa77f006e,0x1eb901e6,0x114b00b3}},	//   _другата_, _akuwaari, _vodorovn, _annagülü, 
   {{0x937c00ce,0x52b30387,0xcc6e0298,0x61b000c4}},	//   _lasante_, _ebudata_, _akarana_, _انڊلٺ_, 
   {{0xa79200b5,0xe38602ec,0xf3070032,0x82c30439}},	//   _santísim, _واندُر_, _binargh_, _chulula_, 
   {{0xc3010417,0x87b800c8,0xb03e0337,0xb2b50310}},	//   _verbind_, _башланыу, _defterin, _ruidhle_, 
   {{0x620002e7,0xddc40364,0x1e3702e7,0x6e94008d}},	//   _panid_, _famillje_, _makamata, _курсига_, 
   {{0x0345023d,0xe635004d,0x2a95026f,0x73dc0007}},	//   _saperne_, _秦漢之中國歷史人, _زومەرلىگ, _mwawa_, 
   {{0x233d0086,0x418402c3,0x645e00e4,0x1a7e010f}},	//   _شیزان_, _displejo, _गत्यात्म, _akungats, 
   {{0x79e40277,0x6c8500c8,0xda420163,0x0ec40060}},	//   _butterbu, _студияһы, _مناسبتیں_, _تىلدەسەل, 
   {{0x67ed062b,0xbd4d0374,0x11280060,0x02af040f}},	//   _karagdag, _даражаси_, _боларлық_, _vasarišk, 
   {{0xfb8d01f6,0x0fb502fe,0xf27f01f1,0x8291016b}},	//   _artistar, _اوزبې_, _shenja_, _gusau_, 
   {{0x5d8d018d,0xb3dc0339,0x88a200e6,0xd7900139}},	//   _ሽቱትጋርት_, _awawa_, _一位父亲对孩子的, _candradv, 
   {{0x3eb201cb,0x3a000053,0xc4c70076,0xc3dc028a}},	//   _lamukele_, _kerasnya_, _деловите_, _bwawa_, 
   {{0x1dc60171,0xbc610294,0x2c09011a,0x2f2e019b}},	//   _fizičke_, _arquspa_, _exported_, _miltelia, 
   {{0xed8b0119,0x4ba40850,0xb3f9036d,0x32fd0487}},	//   _bodensee_, _म्युजिक_, _albuno_, _savings_, 
   {{0x42910155,0xcda300ec,0x452e026b,0xcd140184}},	//   _orsak_, _malonuma, _bolsillo_, _iyoragur, 
   {{0x62b7031e,0x9b750167,0x4be80088,0xf7fb0188}},	// [f850] _tvrdnje_, _carlmorr, _алдамчыл, _amabhang, 
   {{0x0387036e,0xb1d600ba,0x1b9305ca,0x13d303f0}},	//   _akaray_, _شکۆفه_, _revisado_, _barmmerk, 
   {{0x77840156,0x1cbe0076,0xdb29003c,0xdc09027b}},	//   _האקעלע_, _зарем_, _ازغدی_, _campaka_, 
   {{0x2726014e,0x82910117,0x79f6013c,0x337c029b}},	//   _текстова_, _husat_, _forumunu, _fasante_, 
   {{0xe022016d,0x98c60559,0x605803ac,0x522403a4}},	//   _ئۇيقۇ_, _alitheng, _suasanan, _blikur_, 
   {{0xb70500a4,0xf3190053,0x8e4201e8,0x6300018a}},	//   _اتتەستات_, _dibidang_, _kamahuya, _emwaith_, 
   {{0x9af8042f,0xa26c0630,0xfa800142,0xddb405f4}},	//   _hiirnaqt, _axioma_, _anyonyas, _arinilla, 
   {{0x4303002e,0xb22d01d1,0xfc7404f9,0xa4770117}},	//   _pitanju_, _privatel, _amernik_, _testamen_, 
   {{0x52d800a3,0x9ae80053,0x1373021a,0x234b026c}},	//   _armeen_, _अनुविना_, _dagalee_, _dederit_, 
   {{0xb2a60392,0x309603ce,0x639700ad,0xe35f0168}},	//   _caoban_, _دادامین_, _kanyaah_, _lengste_, 
   {{0xab39027e,0xd27f018f,0x887e018b,0x8a66011a}},	//   _договоре_, _chenha_, _sprijinu, _inflatab, 
   {{0xa3ac0342,0xdf3a032c,0x7764009a,0xcadc0061}},	//   _lespri_, _uloriana, _abazindw, _넣어주세요_, 
   {{0x6b200534,0xf6330480,0x12910057,0x93ba02d8}},	//   _vinashin_, _abangeni, _husam_, _आबासाहेब_, 
   {{0x429103b5,0xf1630368,0xc38700cd,0xe27801ac}},	//   _kusam_, _горица_, _carrs_, _phunta_, 
   {{0x1f2d01cf,0xd2b20166,0xe3ea0334,0x33f80418}},	//   _interlin, _wandern_, _enita_, _kamuda_, 
   {{0x6366014e,0xe61d0334,0x72b300ff,0x39db00fb}},	//   _ponedelj, _adalichi, _אָגגי_, _kwandisa_, 
   {{0xac0b0375,0xe4a90311,0x42ef028f,0x621c034d}},	// [f860] _afupika_, _ኮሚኒዝም_, _himiona_, _bathil_, 
   {{0x4c05002a,0x428b02e4,0x298d0040,0xe2e201e8}},	//   _lakselv_, _rilassam, _איילה_, _atungal_, 
   {{0xb49e017d,0x2661042f,0xa8760011,0x92fd01ef}},	//   _アカウントサ_, _pitkohii, _abanaamu, _rizikos_, 
   {{0x7ad7001e,0xc5950249,0x43ea005b,0x3379034c}},	//   _mummunan_, _inkludem_, _keitai_, _berazga_, 
   {{0x05cc00aa,0xe3ff01f9,0xd350002b,0x935500a6}},	//   _dayanday, _bamoshak, _তজুমদ্দি, _esifuna_, 
   {{0x885b0132,0xf3ed00ec,0x25f8015e,0x63ea0488}},	//   _ellenére_, _вакансія_, _продукту, _meitai_, 
   {{0xcf8a0411,0xf13400a5,0xad080265,0x42d9019f}},	//   _завершен, _asatauro, _favoriet_, _mwanawe_, 
   {{0xc38002d4,0xc2010418,0x8d040151,0x1a7100dd}},	//   _giuria_, _tubiba_, _apologue_, _homoffob, 
   {{0x1a1703b9,0x6f3a0482,0xac5302f3,0x6edf0053}},	//   _maranaka_, _dooraana, _enstaka_, _perhutan, 
   {{0xfa060386,0x2a1701c5,0x7a39014f,0xde43013a}},	//   _melanjut, _sababaha_, _желели_, _erwaarde_, 
   {{0x62d80030,0xd99300a6,0x22900374,0x6303016e}},	//   _valodas_, _څپرکی_, _qanaqa_, _açarak_, 
   {{0x256f0541,0x863b0024,0x67530037,0x00000000}},	//   _dozvolio_, _særskild_, _በመከባበር_, --, 
   {{0x018a00cb,0x45f1032c,0x008c01f2,0x52eb0184}},	//   _ababezal, _unammisi, _җилвигәр_, _gisimbo_, 
   {{0xaff90074,0x8624011f,0x27870060,0xe618034c}},	//   _знания_, _escalafó, _ساتاتىن_, _альбинан, 
   {{0x9c9201e9,0xe290024a,0xbf75021c,0x7a5e016d}},	//   _boruning_, _fijabi_, _paradoxn, _хоңкоңди, 
   {{0xda060031,0xf3ea00dc,0xafcd008c,0xf224023a}},	//   _kelanjut, _feitai_, _europeic_, _akcionár, 
   {{0xc5bb0032,0x190b0185,0x029001a6,0x030300aa}},	// [f870] _damaqlah, _betäçäk_, _panapa_, _nagabut_, 
   {{0xa86d0066,0x61150094,0x9c060591,0x00000000}},	//   _mugimend, _اداممەن_, _auktions, --, 
   {{0xe2000240,0xaf2e013a,0xca9c00ed,0xe9aa0444}},	//   _kania_, _andeelun, _kalisens, _волий_, 
   {{0x00000000,0x00000000,0x00000000,0x00000000}},	//   --, --, --, --, 
   {{0x52f103b7,0x3cfe01b3,0x880800cb,0xbd960126}},	//   _actuscay_, _спонсорс, _унсури_, _загроза_, 
   {{0x19d30319,0xac590062,0xab8a02cf,0xdf110117}},	//   _শিক্ষার্, _chotich_, _топол_, _tradisen, 
   {{0x0c6f00d0,0x2437009b,0x734c0465,0x9c080445}},	//   _horrela_, _topatuko_, _izvedel_, _blogueir, 
   {{0x7632003f,0xf37300e9,0xeae203cc,0xd29103ff}},	//   _angarium_, _andanze_, _নিশাচর_, _fusak_, 
   {{0xe22600c7,0xdfdd00ef,0xfc1e0256,0xfae200d1}},	//   _baskan_, _دلوبی_, _tilpums_, _নিশাচৰ_, 
   {{0xb31701c5,0x517c0125,0xd9d3002b,0x838000d0}},	//   _sababay_, _tagallal, _শিক্ষাব্, _ikurra_, 
   {{0x82000230,0x93eb017c,0x1d6c0041,0xf3a80050}},	//   _lafin_, _flytt_, _иаҟҵатән, _bakating_, 
   {{0x698d0177,0x3b370299,0x02d80079,0x8ff90297}},	//   _sinfonía_, _китабта_, _esiet_, _романына_, 
   {{0xf0dc0141,0xd440004d,0x229202aa,0x009000e6}},	//   _yangilik_, _全館快速導覽_, _horami_, _文化遗产脆弱资源, 
   {{0x04950198,0x81cc03dd,0x00000000,0x00000000}},	//   _potrebuj, _themelim, --, --, 
   {{0xd97a00b8,0x41c50368,0xf26c02bf,0xf497039a}},	//   _luririst, _планине_, _bemoti_, _langkahk, 
   {{0x67ba0008,0xbd130014,0xf2c902c3,0xd3870181}},	//   _малазиял, _japoneze_, _napovie_, _charmy_, 
   {{0x00000000,0x00000000,0x00000000,0x00000000}},	// [f880] --, --, --, --, 
   {{0x0ea603d4,0x69ee002a,0xb9640109,0xb36f024f}},	//   _заправо_, _ihunanya_, _मनास्लु_, _viagunu_, 
   {{0xed4e0107,0x822602cd,0x944502b6,0xcedf0350}},	//   _اسلایدر_, _daskin_, _قاپىدا_, _እያነጋገረ_, 
   {{0xabe0029a,0x929101ec,0xf8f70275,0x00000000}},	//   _dezenter, _busak_, _tamamatu, --, 
   {{0xddc1007a,0x8e10002b,0x2ff5004d,0x00000000}},	//   _istiqama, _বিহঙ্গ_, _下拉式選單替代連, --, 
   {{0xd29500da,0x6c69012a,0xe2ec037c,0x00000000}},	//   _civilă_, _gatunki_, _marique_, --, 
   {{0xb23201d2,0x6c2a0069,0x326b02b6,0x42000034}},	//   _abimael_, _akababar, _спорттың_, _hafin_, 
   {{0x28bb017d,0xedd1012c,0x9ece0083,0x026c0095}},	//   _キャラクタ_, _machache_, _arbiters_, _demosi_, 
   {{0x0ad803fc,0xda7c00dc,0x92a003cf,0xc3ea0066}},	//   _bildealb, _nasareta_, _yarbay_, _olatz_, 
   {{0x92910031,0xdc67033a,0xe6ce018b,0x526802e8}},	//   _rusak_, _softwer_, _curateni, _asingadi_, 
   {{0x4a5a018d,0xa3ea0120,0x8a1700d5,0x97a10153}},	//   _ተሰጋጊሩ_, _siita_, _taranaka_, _こちらからも買え, 
   {{0x3d560060,0xcc0900d5,0xd40d0229,0x9c230066}},	//   _ءبىرىنشى_, _tampoka_, _mehriban_, _домогт_, 
   {{0x32000534,0xf26c02dd,0xc2e60060,0x32d402a5}},	//   _gafin_, _remoti_, _байыту_, _tvrdě_, 
   {{0xddbd0338,0x5df60192,0xd3590211,0x20dc020f}},	//   _superfíc, _강원도장애인체육, _treffit_, _بيعانې_, 
   {{0x948601cc,0xd200019c,0x4058048a,0x9b430162}},	//   _प्रातः_, _aafin_, _министрі, _болатти_, 
   {{0xf7dd03f6,0xc8150060,0x095f0147,0x3b9d053d}},	//   _hoopukai, _тукаға_, _بۇعۇسۇنا_, _alinakho_, 
   {{0x087e00bf,0xd2910369,0x35c30010,0x6291016b}},	// [f890] _градусов_, _husai_, _bayakukh, _fafata_, 
   {{0xfbaf026c,0x3eac0157,0x7b18013b,0x43aa01e8}},	//   _訂閱部落格_, _absolwen, _babayaan_, _kabaskog_, 
   {{0x525a020f,0x00000000,0x00000000,0x00000000}},	//   _درديږم_, --, --, --, 
   {{0x5b1f0192,0xb8300107,0xed550109,0x00000000}},	//   _효과적으로_, _رضايت_, _सिलगढी_, --, 
   {{0x0b6103dc,0xb2720528,0x220203dd,0xad7c0156}},	//   _grimdarr, _gearmail, _arrita_, _פּירסום_, 
   {{0x5292023b,0x7c4f0339,0xf4030187,0x13f90009}},	//   _moraki_, _poawalu_, _неприлик, _pobudo_, 
   {{0xe3ea0176,0xc6760132,0xd6f10061,0x025a0037}},	//   _anitu_, _جامشورو_, _죽곡청아람_, _ከሰይጣን_, 
   {{0xb724000b,0x83f50299,0xa4d70064,0x50ea00fd}},	//   _afamasag, _ئۆلدۈم_, _багабыз_, _muinchil, 
   {{0xb2f3007d,0x7c0201d1,0xc86d04f8,0x1dd300e7}},	//   _peminat_, _persons_, _droplets_, _arshesma, 
   {{0x0c9304d8,0xb8ff01c5,0x420e017a,0x8273014a}},	//   _گالان_, _tiradood, _занаш_, _kínos_, 
   {{0x629e0291,0xe6d100db,0xe8b80187,0xc37900ab}},	//   _céard_, _हमनिए_, _балканшт, _weranga_, 
   {{0xac6e0074,0x356003cc,0x863b0215,0x78fe01d4}},	//   _nuorten_, _মোরশেদ_, _særskilt_, _giramond, 
   {{0x2abb0211,0xc2920282,0xc2c600f4,0xde3b02ff}},	//   _roskapos, _mewaro_, _diametr_, _jekonyas_, 
   {{0x54b202ee,0xe20000f1,0x9d8f016d,0x2ff300d9}},	//   _lokalizz, _rafin_, _учритива, _корабля_, 
   {{0xf20000c7,0x8a3200e6,0x8ecb02ca,0x00000000}},	//   _safin_, _手机腾讯网_, _firinscn, --, 
   {{0xc4b502a9,0xc2260074,0xfaba005b,0xc6330299}},	//   _музеях_, _laskun_, _skikkels, _تۆكۇلگەن_, 
   {{0x598b02e3,0x41e1010d,0xb6c303db,0x02da0161}},	// [f8a0] _sgdđt_, _भरारी_, _bayakuzi, _toteaa_, 
   {{0xce7800c8,0x0ae705dd,0x53bf0223,0x275e0102}},	//   _концерты_, _ठीकठाक_, _амандаа_, _kuvifung, 
   {{0x8a7d0416,0x66b7025f,0x9292030f,0x7eb50071}},	//   _arcabusa_, _bagalati, _aoraki_, _بارندگی_, 
   {{0xf320004c,0x19fd029a,0x33410163,0x00000000}},	//   _nagyo_, _lotrozou, _کنواں_, --, 
   {{0x4e5402d5,0xb2920085,0x7e4f02a2,0x13ea01c5}},	//   _tavadele_, _coraki_, _kadahila, _liito_, 
   {{0x12910140,0x00e7006c,0x073c0311,0x02e100e2}},	//   _uusap_, _akhishel, _ደብዳበታት_, _jűnich_, 
   {{0x07c10219,0x53af0363,0x9dbb00f0,0xd6120024}},	//   _imitsetf, _løpet_, _kaderníc, _যদিহে_, 
   {{0xeefb0126,0x4c5903e7,0xb212023b,0x07bd0296}},	//   _страви_, _bumulig_, _puoho_, _stressig, 
   {{0xd4db02ac,0xd1890105,0xdb13012e,0x82be0231}},	//   _وأكدت_, _egzaminy_, _kaphatók_, _quadrum_, 
   {{0x532005a9,0x40a10192,0x83040224,0x81350039}},	//   _nyoye_, _인문사회계열_, _maganum_, _mendizal, 
   {{0x41e302e9,0xb2910373,0xa30201e6,0xaa7d0692}},	//   _autoprom, _regado_, _krabice_, _باجايلاپ_, 
   {{0xd3f40230,0x7051023e,0x3812002b,0x9bac0299}},	//   _abstre_, _bahuwarn, _নবীজী_, _ئەبەدى_, 
   {{0xe233041f,0x37d10184,0xc8f702f6,0xc3eb03bd}},	//   _nxumalo_, _ateranyw, _samakatu, _hoyts_, 
   {{0xc20002f7,0x029000ea,0xebf801a3,0x1386013a}},	//   _bafil_, _manasa_, _بيوٽي_, _aanren_, 
   {{0xdb7e053e,0x9f64008a,0xdf2e0059,0xe2ee022b}},	//   _barnever, _fafaguin, _политици, _kjaft_, 
   {{0x329101d9,0xd46c028d,0x1d980222,0x398801d9}},	//   _ersat_, _liberliz, _profonde_, _accordéi, 
   {{0xc27f01a4,0x87780022,0x34cc0093,0xd4e803d1}},	// [f8b0] _ekenda_, _сауґа_, _араяьлла_, _nemainās_, 
   {{0x8e95037f,0x6b9700d0,0x2105002b,0x692302d5}},	//   _bankları, _бадарч_, _ভোটাভুটি_, _बेइजत_, 
   {{0x0007013c,0xe93b0193,0x4e1e045b,0x60b70397}},	//   _kursları, _संक्रांत_, _молитовн, _далоил_, 
   {{0xf93301ce,0x047c05e7,0x82e1034c,0xe3f80020}},	//   _واقعا_, _sisekelo_, _armiyag_, _nunumi_, 
   {{0xba100699,0xfc0b018a,0x11de0204,0x5d890297}},	//   _barataha_, _benodiad_, _perhettä_, _diñgezçe_, 
   {{0x8b2806cc,0xf3ea0271,0x327e022a,0xd3020143}},	//   _मृत्युदं, _snitt_, _ulonom_, _sebbene_, 
   {{0x9348035b,0x5baa020f,0x3304022b,0x00000000}},	//   _katerih_, _abazimas, _haganum_, --, 
   {{0x538002af,0xb21b0163,0xfc22021c,0x7d4601a3}},	//   _akurwa_, _فخرنوید_, _župany_, _اڙدوُ_, 
   {{0x2c7600c5,0xdc0003eb,0x165302c0,0x00000000}},	//   _中医特色治疗精神, _deksels_, _мудри_, --, 
   {{0x620203ba,0x01560125,0xed9a0381,0x8c6603fb}},	//   _turita_, _халына_, _alonsowa, _nestaju_, 
   {{0x03ea01d1,0xf2d80016,0x4585047b,0x00000000}},	//   _units_, _armeon_, _italskum_, --, 
   {{0xfcb000c5,0x8d860270,0x522a0188,0x13270667}},	//   _互联网电子公告服, _ancestre_, _корам_, _lábios_, 
   {{0xe05203ff,0xf29000d5,0x827f066e,0xc2020087}},	//   _poznámka_, _manara_, _akenda_, _kurisa_, 
   {{0xa3ac02f1,0x03780107,0x2ed70156,0x25100064}},	//   _roupas_, _cimacan_, _לײװיק_, _кесме_, 
   {{0xda6e05f1,0x49fb03b9,0x52300090,0x81de03ec}},	//   _akagenda_, _sumankat, _akamisa_, _deklarim, 
   {{0xb2df0258,0x1d5f0255,0xf48c04bf,0xadd30166}},	//   _bernlef_, _उन्नवाव_, _potrosnj, _markiert_, 
   {{0xf43702af,0xfb020138,0x2973001d,0x00000000}},	// [f8c0] _basabako_, _müracaat_, _supposir_, --, 
   {{0x3c170325,0x00000000,0x00000000,0x00000000}},	//   _forumğ_, --, --, --, 
   {{0x83f000dc,0xb17d0156,0xec1e03d2,0x43f80253}},	//   _kamupani_, _קיטוב_, _centrá_, _tunumi_, 
   {{0x3225015c,0xf3eb0270,0x79fa0073,0xab280193}},	//   _snaker_, _dictos_, _robatore, _मृत्युनं, 
   {{0x415c0188,0x431004d8,0x0e690144,0x83ea011f}},	//   _дузах_, _baratay_, _سيرته_, _joaty_, 
   {{0x866601a2,0x03f801f4,0x43f900c0,0x02d8012c}},	//   _akcīzes_, _namuna_, _biyuda_, _madega_, 
   {{0x02d6008b,0x12da0082,0x403a02e4,0x02870305}},	//   _bobobbo_, _fitowar_, _asserzjo, _tankane_, 
   {{0x431c02fd,0x437b01bb,0x03730188,0x02b700d9}},	//   _anabarr_, _almagam_, _ahlanze_, _pisteitä_, 
   {{0x849f0024,0x7a580154,0x628c02c1,0xffa50022}},	//   _নিষ্পাপ_, _капитолу, _agakiza_, _италияна, 
   {{0xa59b032e,0xc2fe0128,0xe7dd03f2,0x00000000}},	//   _churarak, _тараннум_, _parantav, --, 
   {{0x9297023b,0x62c60176,0xc9c2021f,0x18c2021f}},	//   _hanakahi_, _boblere_, _bareesse, _bareessu, 
   {{0x28f20220,0x824a02da,0x00000000,0x00000000}},	//   _интервют, _пирински, --, --, 
   {{0x7df5004a,0x92910207,0xeb9402ee,0x63050205}},	//   _davutoğl, _kibali_, _bettiegħ_, _assalom_, 
   {{0x7fc40109,0x788901f4,0x2a0a0076,0x126c000f}},	//   _पारिएका_, _turkiyad, _споменар_, _panosu_, 
   {{0xa8ac033e,0x7a480343,0xb9500528,0x6290018b}},	//   _ajéningo_, _bateriya_, _callaide, _tanara_, 
   {{0x27c20349,0x7d7800be,0xc66802fe,0xf3a40125}},	//   _eutrophi, _ابىيرىن_, _قوانینو_, _aňsat_, 
   {{0x94d50682,0xd2910281,0xb248007e,0xd79e011a}},	// [f8d0] _विनियम_, _assaa_, _dadmi_, _נוצצים_, 
   {{0x37a6012b,0xa26c015d,0xe2d40313,0xb2480222}},	//   _spotkani, _हर्षा_, _dabosta_, _sommet_, 
   {{0x1f2901eb,0x73a9005b,0x9a730187,0x7d590013}},	//   _балкариа, _helvede_, _потешко_, _харидорг, 
   {{0x29810079,0x63f80049,0x52d800ad,0x00000000}},	//   _satiksme, _hunuki_, _badega_, --, 
   {{0x47890093,0xec0f02e2,0x2a0400bf,0x32020328}},	//   _белого_, _enjoined_, _неоднозн, _curira_, 
   {{0x929000bc,0x345d0206,0x42d80428,0xe55b0311}},	//   _wanara_, _odoberať_, _malega_, _መኣዝናት_, 
   {{0xaa4602d8,0x2aea0202,0xb35d0060,0xd3f80289}},	//   _प्रकाशात_, _atileyin_, _بەلگىلى_, _chiuta_, 
   {{0x19bc0354,0x3ae10272,0x241c0054,0xd2d802f7}},	//   _چارشەنبە_, _alitegee, _anasaran_, _galefa_, 
   {{0x963100ba,0x328f00cd,0x1e51010d,0x734b0053}},	//   _ئابڕوو_, _archivs_, _dilarika, _melejit_, 
   {{0xb1d10058,0xf9e50090,0xe54e0187,0xc3f80087}},	//   _leerboek_, _akaroved, _сиена_, _lamula_, 
   {{0x7f3802bf,0x63fa002e,0x0d8a00ec,0x26bc0306}},	//   _bakulama, _utvrdili_, _заслужан, _cocatapi, 
   {{0x93ff03b9,0x39b302c7,0x39d50258,0x75160299}},	//   _akankask, _bundesre, _dantumad, _سالمىقى_, 
   {{0x138f0172,0x7c5d00d0,0xf9da03c6,0x631a04ad}},	//   _ennyina_, _kostako_, _asperzje, _dirisang_, 
   {{0x731900b9,0xdf69038b,0x101c002b,0xfc690399}},	//   _dibilang_, _membawan, _এলিফ্যান, _matuaki_, 
   {{0x2c6d0172,0x7cde017a,0xa26c02fd,0x63f801af}},	//   _aberewa_, _начандон_, _cleoc_, _başlany_, 
   {{0xe12f013f,0xdcad0321,0x8d2e0078,0x040803eb}},	//   _bikwinek_, _krepitev_, _заказано_, _koningsk, 
   {{0x2ed40039,0xca160315,0x00000000,0x00000000}},	// [f8e0] _higiezin, _ingabuka_, --, --, 
   {{0x2b42003b,0x6e9a0035,0xd2d8022f,0xcfb8014b}},	//   _ajabulis, _мирзаяно, _salonas_, _misliino, 
   {{0xe9cf05b3,0x23ea0072,0xf29203f3,0x9b7e0257}},	//   _uiteinde, _aniti_, _torani_, _barnaver, 
   {{0x331002ec,0x820902a5,0x12300075,0xef65013f}},	//   _cararay_, _balzámy_, _bílegg_, _enoberen, 
   {{0x6380012b,0xc9e50183,0xca41039b,0x8b650376}},	//   _imprez_, _avaozina_, _айшатан_, _fartelda_, 
   {{0xc9db00a9,0xc3f80059,0xd2010449,0x9c6e018b}},	//   _kwinjira_, _chiusa_, _zubima_, _degraba_, 
   {{0x2aa703cf,0x5239016d,0x3c510461,0x63ea0134}},	//   _programı_, _козур_, _caotica_, _eniti_, 
   {{0xa9f604dc,0x42910020,0x47520061,0xc2d80256}},	//   _زوریخ_, _lavata_, _대전글로벌어학원_, _spied_, 
   {{0xe2d8030a,0x38c90023,0xf30c055d,0x337a0321}},	//   _galega_, _приходил, _penapis_, _pomagal_, 
   {{0x74fb021a,0x629103b0,0x82c302ba,0x7c19034e}},	//   _alamaayy, _husar_, _akulula_, _chiricas, 
   {{0xa3220008,0xf8020304,0x82b501df,0xb248042e}},	//   _descans_, _percangg, _flechs_, _ulempe_, 
   {{0x73f80119,0xfe370119,0x698700d1,0x531904e6}},	//   _punuan_, _makakata, _দুগতাদ_, _bibilang_, 
   {{0x7db90288,0xcd0102bc,0xc26c02a9,0x520e0071}},	//   _deinetha, _murtipur, _šiose_, _پيشگيري_, 
   {{0x0c7302fd,0xb7da01b8,0x11360147,0xb9d70156}},	//   _agartas_, _ekspordi, _تۉۉكۅ_, _ציפֿער_, 
   {{0xa4460162,0x1984003b,0x8baa00d3,0x38020654}},	//   _يارقىن_, _bachudze, _exekutor, _tercangg, 
   {{0xcf5d0212,0x7fee00d9,0xb0180022,0x07950080}},	//   _skypeout_, _полимерн, _алкоголһ, _frimærk_, 
   {{0x1dc70318,0xac6e042d,0x7e4600ed,0x00000000}},	// [f8f0] _ilikutap, _akarona_, _mapaanga, --, 
   {{0xa2020242,0x41a30287,0x438602ee,0x6943024f}},	//   _suriya_, _kreditní_, _ankrat_, _laulause, 
   {{0xec44041f,0xd9d30395,0x9a6e01dd,0x5b190028}},	//   _phawula_, _nastartu, _akaganda_, _dirayaan_, 
   {{0x1921017a,0x80aa00ba,0x6290000c,0xfea602a3}},	//   _ababeshu, _ئهندازیا, _jekaru_, _koeldran, 
   {{0x738602bf,0x5d4b0281,0x0e4b0241,0x4e45011f}},	//   _manzini_, _annaasaq, _annaasaa, _cayanlip, 
   {{0x3c7f034e,0x651d032d,0x34830187,0x0bac026f}},	//   _akurmap_, _волосына, _игротека_, _سيۋجەتى_, 
   {{0xe2d80240,0xe2e00175,0x83f8022c,0xcd380240}},	//   _walega_, _dernyen_, _pamuda_, _sulianne_, 
   {{0xb2d8024f,0xe20101d1,0xd3a200c5,0xb13201b5}},	//   _talega_, _david_, _lampes_, _kurtisto, 
   {{0xd2730374,0x0cd7002b,0xc34a0311,0x00000000}},	//   _deyiladi_, _ঝকঝকে_, _ህላዌኦም_, --, 
   {{0x9dc7033f,0x3ecb013c,0xec33014d,0x82910120}},	//   _alikutap, _biznesin, _blockier, _kusaq_, 
   {{0xd7b602e4,0xeb8d031a,0x12e702b1,0x52d10183}},	//   _apprendi, _chonaltr, _raunana_, _fatoram_, 
   {{0x9387029e,0x33f4035b,0x8b0d0432,0x714c006c}},	//   _jarry_, _lastne_, _supplere, _abathoko, 
   {{0xa2c9037c,0x7620004b,0xc6ad0397,0xf161000f}},	//   _hotlink_, _bokomoni, _латукӯби_, _fragmanl, 
   {{0xf7290037,0x726c00fe,0x00000000,0x00000000}},	//   _ሰልፈኞች_, _momoa_, --, --, 
   {{0xe4d401b8,0x6778008c,0x79fb0209,0x973a0037}},	//   _जोतिषी_, _subvenzi, _alianaat, _ክሊኒኮች_, 
   {{0x2b6a0206,0x4437009b,0x25ab0193,0x0ae10350}},	//   _platenia_, _pasaiako_, _अयोध्येच, _diperheb, 
   {{0xd2fd03ef,0xa6a50313,0x32d100f2,0x4b2500b9}},	// [f900] _ruggiu_, _bituqtah, _datoram_, _मल्लिकार, 
   {{0x62880166,0xec9d0009,0xf41f03dc,0x82780672}},	//   _tochter_, _kateremu_, _antismok, _nkunzi_, 
   {{0x32010096,0x0b790045,0x236600f4,0x66d100db}},	//   _rubika_, _легенде_, _bongoel_, _हमरिए_, 
   {{0xac930299,0xfc0801d1,0x03ea0097,0x82000209}},	//   _تاماق_, _involved_, _biiti_, _akiisa_, 
   {{0x2e5801e1,0x9918005e,0xe5c60102,0x1c720047}},	//   _arabanoe_, _еливетил, _inapatik, _fournit_, 
   {{0x6cfd0428,0x196605a2,0xb2ef0296,0x28cd050b}},	//   _sistemov_, _जामनगर_, _sönder_, _berdisku, 
   {{0x1c460044,0xd201013c,0x7c9301e0,0xed840109}},	//   _תסמונת_, _cavid_, _ساوار_, _कन्काई_, 
   {{0xadee0126,0x5e2a00ab,0xb92e006c,0x38d60046}},	//   _подальши, _pangakup, _кадестан_, _diarideg, 
   {{0xf201019d,0x63220060,0xb215019c,0x00000000}},	//   _davie_, _اپارىلدى_, _bibanujẹ_, --, 
   {{0x56ae017d,0x50d90125,0x92fc004c,0x68cc00de}},	//   _ジのトップへ_, _сайыларм, _amagaaii_, _baneemfu, 
   {{0x6aa7019b,0x4b7d012a,0x00000000,0x00000000}},	//   _programą_, _redukcja_, --, --, 
   {{0x196f0462,0xc202022b,0xf2910242,0x9aa003b0}},	//   _ifficult, _strika_, _qusar_, _betydele, 
   {{0xd09604dc,0xafb30348,0x12d800ff,0xcdb20403}},	//   _دارایی_, _akalombo, _armean_, _fikiriza, 
   {{0x96120120,0xea6a00e4,0x8b2c0446,0x23f802af}},	//   _faatacal_, _हॉटशॉटस_, _izračuni_, _kamuca_, 
   {{0x9fae0044,0xac670245,0x9283010b,0x2c6800ed}},	//   _וושינגטו, _mairang_, _bathusi_, _apartao_, 
   {{0x6c5200d1,0xf31702ec,0x698701f4,0x32a40037}},	//   _অজস্ৰ_, _aabahay_, _shikoyat, _ማሻሻያዎችን_, 
   {{0x92910203,0x5e4f0420,0x07a20024,0x36f300ef}},	// [f910] _mizani_, _единици_, _বজালী_, _مطالعاتو_, 
   {{0xbf0b0788,0xcdd90066,0x21070061,0xfc190065}},	//   _premijer_, _докторын_, _미래공인중개사_, _organisc, 
   {{0x0112002e,0x2a7704e5,0xc9880037,0xe3870040}},	//   _održana_, _abagaala_, _ብርሃኑን_, _מתעסק_, 
   {{0xd9e00318,0xd46f0122,0xd2f30014,0x00000000}},	//   _eitumatu, _استعفای_, _takimet_, --, 
   {{0xb83f0273,0xa3200493,0x1edc003e,0x00000000}},	//   _después_, _iyoyo_, _биҙҙерҙе, --, 
   {{0x3fa70258,0xc83c0043,0xb76f02f0,0xe7e900a6}},	//   _allegear_, _abimalid, _ayahlang, _نيازۍ_, 
   {{0xe04503dd,0x12480485,0xffd503a2,0xdbb20188}},	//   _konfirmo, _glemte_, _पनबिजली_, _akazimis, 
   {{0x222a0145,0x8b07010f,0x326c03d9,0x33ea00ab}},	//   _гонар_, _виҷдон_, _aleon_, _tiiti_, 
   {{0x33b70160,0x89550178,0x3275005e,0x998200d9}},	//   _potvrda_, _antareṇo, _سۇلياۋ_, _постеры_, 
   {{0x7e7602a5,0xcfc70584,0xe6d601de,0x93a20347}},	//   _klikněte_, _saliento, _جانمەن_, _geopen_, 
   {{0xe3ea0226,0x63ea0275,0x984b019d,0x00000000}},	//   _enatu_, _siata_, _kakonzed, --, 
   {{0x33ea011d,0xbc610343,0x89470156,0x5f6e0153}},	//   _piata_, _araripe_, _נעיםספעס_, _利用可能ポイント_, 
   {{0x229100c2,0x1ebe03d8,0x98e400ff,0x6dbe03ee}},	//   _bafata_, _prirodne_, _ענזשין_, _prirodnu_, 
   {{0x93ea0377,0x320e00da,0x32dc02e1,0x3291003b}},	//   _viata_, _натал_, _chroith_, _cafata_, 
   {{0x4bef018d,0x292b011f,0xd200036e,0x33000092}},	//   _ብዓለማዊ_, _animista_, _aynin_, _corblog_, 
   {{0x6c34018b,0x7a170085,0x5d2f002b,0xec55011c}},	//   _descoper, _daramaka_, _ডেটাবেজ_, _dantite_, 
   {{0xe2ef005b,0x72d8030a,0xa1ac0462,0xbf25000f}},	// [f920] _chefen_, _maleza_, _apacklay_, _hipertan, 
   {{0x2291005b,0xaae80046,0xa2480110,0xb20001b4}},	//   _sdcard_, _centelle, _salmu_, _lyfie_, 
   {{0x227e0049,0x68e90043,0x91600516,0xe3940112}},	//   _poonam_, _agasiing, _devoutly_, _lenggang_, 
   {{0x92da0242,0xa2ee0313,0x1eb8025b,0x3291012c}},	//   _fotolar_, _bingildi_, _misskilt_, _gizani_, 
   {{0x92910245,0xc039015e,0x02dc00dc,0x2240016a}},	//   _assam_, _мэннинг_, _lolovai_, _akompani_, 
   {{0x32e20467,0x8dc00309,0xb2b3012c,0x5317000f}},	//   _asensam_, _aksiyala, _kandoro_, _yaramaz_, 
   {{0x6a17024f,0x9845019c,0x228f01ed,0xa3ea0067}},	//   _caramaka_, _alábè_, _hoopolol, _anatu_, 
   {{0xfb6c0235,0xdea7015e,0x037a0014,0x2294035d}},	//   _सुमना_, _voluntat_, _kuranin_, _oblastim, 
   {{0xa26c00bc,0x4bd60025,0x544e019b,0x8e3e00e6}},	//   _momod_, _परीक्ष्य_, _апосталь, _胶南市劳动保障局_, 
   {{0x32010058,0xf2dc02f8,0xcee90156,0x3e48031e}},	//   _nobiko_, _kolovai_, _משונהדיק, _konačne_, 
   {{0xafbf018d,0x53eb002f,0xec120204,0xc26c022b}},	//   _ንላዕለዋይ_, _atatay_, _naapuri_, _angribol, 
   {{0xd79a0039,0x48a000e6,0xe9d8009a,0x5159023e}},	//   _роботууд_, _根据授权情况_, _سوالګر_, _dipunamo, 
   {{0x5fda03d2,0x32d800f2,0x49ed0092,0x6c29036c}},	//   _doterajš, _madonas_, _overfald, _ampanetr, 
   {{0x22b30124,0x77a9037c,0xe8e70098,0x14b20059}},	//   _bandoro_, _ultratri, _campingv, _localizz, 
   {{0x293c005e,0x1d2503f6,0x29040120,0x71e6033d}},	//   _قۇتبىلىك_, _maloeloe_, _kombuyuu, _fibrotik_, 
   {{0xec5b036f,0x93f70019,0x12f30055,0x5291016b}},	//   _nastoji_, _таянсак_, _accintu_, _gafara_, 
   {{0xd290019f,0x7248019a,0xfea60045,0x07b40193}},	// [f930] _majani_, _balms_, _направе_, _उद्योगात_, 
   {{0x4b25002c,0xcb5502d8,0x43dc0117,0x72780851}},	//   _uniberts, _produsen_, _growim_, _ehundi_, 
   {{0x02a202ca,0x62800359,0x25bd0165,0xe2870024}},	//   _بمنطقة_, _beskate_, _taipatak, _bankane_, 
   {{0xe7420039,0xc538037c,0xf65d0125,0x829102a0}},	//   _больсон_, _wakizash, _тогалагы, _jafara_, 
   {{0x0e430132,0x22fa0037,0x223e0274,0x5dd701db}},	//   _tavassza, _ወደተሻለ_, _vefversl, _ساۋياسىن, 
   {{0xc2da005c,0xbca003b0,0x82fe0259,0x309d004d}},	//   _bitera_, _বার্তালা, _syriens_, _請問我們要如何研, 
   {{0xd2da02f3,0x17ed02af,0x0e1803db,0x47b305d5}},	//   _citera_, _babatung, _babenama, _geoskati, 
   {{0x7b0200e4,0x72910050,0x033600d1,0x54080161}},	//   _szerokie, _babagi_, _ডাঙৰীয়াৰ_, _вакуумны, 
   {{0x50610128,0xff3702ba,0xa2c201da,0x529c0156}},	//   _штати_, _карзхои_, _sulltan_, _ספרדישן_, 
   {{0x02910203,0xbdf303ec,0xe8850211,0xb4800291}},	//   _nabadi_, _valderra, _laskeutu, _وبرشلونة_, 
   {{0x324803c0,0x637f0211,0x02fd0685,0x42c501c9}},	//   _kommet_, _избранно, _tagget_, _failide_, 
   {{0x70b601c9,0xff20004d,0xbbd60025,0x7b28004d}},	//   _olemasol, _完整性及立場等_, _परेक्ष्य_, _肯逸湖休閒好去處_, 
   {{0xa285041b,0x029200ac,0x50f7002b,0xd2680013}},	//   _mikhael_, _birati_, _একযোগে_, _uzunligi_, 
   {{0x9341033b,0x7d98017e,0xc2c9018d,0x5321014a}},	//   _dikenyo_, _profunde_, _ተኸሰስቲ_, _úgyis_, 
   {{0x8afa0074,0xc2910243,0xadbe0061,0x00000000}},	//   _toisaalt, _issah_, _시스템에서_, --, 
   {{0xa2da03ad,0x00000000,0x00000000,0x00000000}},	//   _intefa_, --, --, --, 
   {{0x965600e4,0xf2900241,0x454200d1,0x229202a6}},	// [f940] _प्रतिद्व, _annaan_, _অবৈধৰ_, _tirati_, 
   {{0xe8fa02b7,0x3c5b00ac,0x53830174,0x1af50203}},	//   _munafiqu, _sastoji_, _senyane_, _clarvide, 
   {{0x52d80277,0x8d6b02ff,0x5af102f7,0xe9760176}},	//   _kadena_, _alimante_, _diyunibe, _alohaswe, 
   {{0x46de0192,0x582303a2,0xec70023e,0x00000000}},	//   _워디안이나_, _एंटीबायो, _biasane_, --, 
   {{0xe3ea01c6,0xa9cd0065,0xc973020e,0xea11021f}},	//   _snits_, _arbeitge, _boenjine, _baratame, 
   {{0xe88700a4,0xe9e50420,0x730101fe,0x6a97058c}},	//   _намазда_, _assustad, _serauni_, _धर्मिक_, 
   {{0xab700325,0x82c5006e,0xe40f03fb,0x894c003d}},	//   _albomlar, _khalate_, _suprotan_, _conoisse, 
   {{0xb380036e,0x12ca007b,0x00000000,0x00000000}},	//   _churup_, _rodden_, --, --, 
   {{0x35270076,0x7ac50273,0x141a0021,0x226c0007}},	//   _passando_, _algodón_, _anzibarz, _kemoni_, 
   {{0x42ca005b,0xac090233,0x22d80050,0xaa10006f}},	//   _bolden_, _fortunos, _hadena_, _مجنونءَ_, 
   {{0xba200617,0xd9f30253,0x934201fd,0x86c6051d}},	//   _públicas_, _aalsartu, _esperan_, _galaxndi, 
   {{0xc35f0220,0x824103c4,0xf20100a2,0x328d00ae}},	//   _leggere_, _сестимис, _kuziba_, _intambam, 
   {{0x42910303,0x3ad400e0,0x12e7024c,0x92920148}},	//   _babadi_, _easterse, _fornuta_, _mirari_, 
   {{0x671302da,0x138000a1,0x4b19029a,0x024802ff}},	//   _сексуалн, _ahurea_, _lanasyon_, _alemye_, 
   {{0xb354026c,0x61350418,0x796600e2,0xc866018c}},	//   _poterit_, _sendikal, _miniatue, _miniatuu, 
   {{0x329200b6,0x13f903db,0x58680155,0x88da0037}},	//   _girari_, _enyuka_, _serieled, _diteraju, 
   {{0xd3a201d2,0x926c0203,0x82a60279,0x54b7016f}},	// [f950] _pampas_, _bemoni_, _tomber_, _крутитьс, 
   {{0x9b7003cc,0xd626016d,0x6c5501be,0x8a020176}},	//   _মন্দির_, _باقاۋۇل_, _protebe_, _arabicwe, 
   {{0x92d80068,0xab700352,0x9d4b0041,0x9c140022}},	//   _kalena_, _মন্দিৰ_, _арҳәарал, _bonpril_, 
   {{0x2b1304aa,0x0cba00ba,0x52360127,0x9b970214}},	//   _schatten_, _ئومێدم_, _blijus_, _bafikayo_, 
   {{0x22d8014b,0xf7ed00ae,0xb29702c4,0x7e380322}},	//   _dalena_, _babarung, _владејач, _bakanasa, 
   {{0x422a0060,0xba140233,0x6a2100cb,0x7c1b0287}},	//   _соған_, _percepte, _ababoshe, _očekává_, 
   {{0x5d02026b,0x9aee06ec,0xbdfe027b,0xf26500f8}},	//   _pertenec, _cineclub, _वैक्लव्य, _শুভাকাঙ্, 
   {{0x3fce0321,0xd35b03d4,0x63f9022b,0x7b410256}},	//   _gledališ, _спортске_, _einrúmi_, _jātaisa_, 
   {{0x3145052e,0x52e20148,0x226c0334,0x82ef0074}},	//   _infructo, _quendam_, _dzoole_, _monilla_, 
   {{0x77c803f1,0xa95d0226,0xc7c9014e,0x15c702ac}},	//   _poisteni, _akangote, _prestoni, _وراحت_, 
   {{0x720101f6,0x3257009c,0xb30702b2,0x9eef0131}},	//   _pavia_, _arreglom, _напоїв_, _paisaxís, 
   {{0xfc000142,0xd3f90163,0xeb3603a2,0x4150020f}},	//   _ahagkaar, _anyuka_, _छोडऩे_, _بلګراد_, 
   {{0x07f10161,0xdd01032d,0x329401c8,0x51be028a}},	//   _уверенно_, _ekampane_, _dorazili_, _utambuzi_, 
   {{0xac7303f7,0x501b0311,0x72fd044d,0x13f9020e}},	//   _snertir_, _ክቕንጠጥ_, _joggé_, _khauta_, 
   {{0x49f602e9,0xa683012a,0x42d80085,0xeebd0059}},	//   _estás_, _रैदास_, _falena_, _pienamen, 
   {{0xdedb0046,0x4784014e,0xc29002b1,0x1f4d02c6}},	//   _اارۇچۇلا, _екстреми, _majami_, _akustuma, 
   {{0xc4d502d5,0xea15018d,0xbe730092,0x6a6c01a4}},	// [f960] _इवनिंग_, _ተመሳሳልነት_, _ルアドレスを入力, _amimonis, 
   {{0x07e5012b,0xf3870305,0x2ae800e6,0x3e3800be}},	//   _संवरने_, _aldrar_, _gentille, _قۇۇبانچى, 
   {{0x92020285,0x191103be,0x6ae8046c,0xc2da03dd}},	//   _buriya_, _bararamu, _repräsen, _entela_, 
   {{0xbe3800d2,0x4c760405,0x734701f7,0x7d8500e2}},	//   _kacamata, _aarsbog_, _bilenga_, _oplevere_, 
   {{0x12e1002e,0x526c0062,0x00cd023a,0x4f23003c}},	//   _sumnjam_, _bomoj_, _neposiel, _ربانیموض, 
   {{0x02da02ba,0x420000bd,0x88310094,0x63fa0185}},	//   _intela_, _cynic_, _تولدەتكە, _basuı_, 
   {{0xafe30359,0xa3ea022d,0xb843017e,0xeab702ff}},	//   _basissko, _siate_, _מילוואקי_, _atikilas, 
   {{0xae2e00ff,0x0da3018b,0xa118032d,0x1d410169}},	//   _יורשים_, _антимолд, _таңға_, _বিদ্বেষী_, 
   {{0xe35804c3,0x265f0074,0x71c301ec,0x926c0077}},	//   _webgame_, _осталось_, _martabak_, _demoli_, 
   {{0x63ea019d,0x56410420,0xe2910005,0xbbfa0137}},	//   _inati_, _откри_, _essan_, _apelazio_, 
   {{0x7fa700d8,0xe3fd01dd,0x339c042c,0x022400db}},	//   _polestar_, _kanziga_, _ponasanj, _isikut_, 
   {{0x66200410,0x11980040,0x5f4d006c,0xca15006a}},	//   _bokoloni, _בטמפרטור, _abashone_, _absaloma_, 
   {{0xd7bb03c2,0xc8a8005e,0xc26c012e,0xba07007a}},	//   _disrepai, _ئاالاقىل, _homok_, _hajatnya_, 
   {{0x3c05010f,0x9f4e0143,0x5dd300b3,0xa2d80362}},	//   _иқомат_, _компаньо, _basharma, _nalela_, 
   {{0x1f5b01cd,0xdc4c00f5,0x22d80369,0x32db025c}},	//   _nakanjan, _дирелдер_, _talena_, _hündin_, 
   {{0x628800bd,0x897f02f0,0x42d8025c,0x66b2042f}},	//   _dochter_, _umphakat, _spiel_, _kangirli, 
   {{0xa2d804ce,0x64da0590,0xf2900251,0x077f0291}},	// [f970] _badela_, _тоннд_, _sinaan_, _بأكادير_, 
   {{0x8d1101b3,0xf201042c,0xd3f8033c,0xd6b903b5}},	//   _юстиції_, _javio_, _rufeinig_, _muhajiri, 
   {{0x02d80252,0x95e0049e,0xe3ea019d,0xff7201aa}},	//   _dalela_, _literatú, _anati_, _achbarin, 
   {{0x9e020165,0x02de0177,0xe34301f0,0x8109011d}},	//   _burebasa, _далаҵоуп_, _bosenyo_, _substanţ, 
   {{0x52120207,0xeb82013b,0x834702e1,0x5e92023d}},	//   _lugha_, _radomsko_, _bileoga_, _знаменат, 
   {{0xb0c1002a,0xe2a60245,0x6e7f0092,0xe7c800de}},	//   _amalitel, _nombar_, _中古マンション_, _alityelw, 
   {{0xc2780013,0x9dcc017d,0x724801d3,0x42d00212}},	//   _chunki_, _この記事へのコメ, _kommit_, _cdrlabs_, 
   {{0x32010079,0xab7d0286,0x61d70021,0x664f0037}},	//   _mobilo_, _nakrataa_, _agnetmay_, _ሰንሻይን_, 
   {{0xaa0300c5,0x62480553,0x720103ee,0x437b0009}},	//   _为什么男人出去玩, _filmov_, _bavio_, _pomagam_, 
   {{0x5201001a,0x4b320255,0x00000000,0x00000000}},	//   _megint_, _hakataks, --, --, 
   {{0x39660158,0x326c0278,0x54c3016d,0x9cc402f8}},	//   _एमएनएस_, _bomoh_, _енергийи, _kaaimumu_, 
   {{0x82890013,0x9291000a,0x6ec20023,0xdc9c0053}},	//   _bazasini_, _aavata_, _ростом_, _मोहोर_, 
   {{0x12ca0321,0xbe130291,0x1c7d0211,0x1349046c}},	//   _spodaj_, _ضروووووو, _plussaa_, _studivz_, 
   {{0x8395007b,0x8248002a,0xc3ea0239,0xa39401c0}},	//   _crests_, _ememme_, _miiti_, _fengyang_, 
   {{0x1f340194,0x53730002,0x279d018d,0x914601db}},	//   _tailleur_, _izdanje_, _ድንግርግር_, _جاعامەن_, 
   {{0x063903e9,0x40f003e6,0xbc7c028a,0x00000000}},	//   _макаланы, _fernausl, _ufasaha_, --, 
   {{0xe2d8011b,0xd04c01f9,0xc291021b,0xac1a0161}},	// [f980] _balela_, _bakudzin, _tavata_, _проектно, 
   {{0x43f4056f,0x70d10092,0xd15c0159,0xf68c03a2}},	//   _rastie_, _マに含まれていま, _рухам_, _फरगाट_, 
   {{0x3b6503d8,0x2e34045e,0xf98302c0,0x9c7702ed}},	//   _bjelovar, _платени_, _невестат, _amosase_, 
   {{0xd3ea0245,0x0022017a,0x06d301c5,0x12370009}},	//   _kiata_, _abawubon, _iskaashi, _prejel_, 
   {{0xc04500e0,0xa19603a8,0xf29102ff,0x00000000}},	//   _fiersten, _বাধাবিহী, _lizay_, --, 
   {{0xe9590141,0xa93d00d9,0x43a20203,0xf26c02fb}},	//   _сўмининг_, _варианта_, _campes_, _momoi_, 
   {{0x0f6d0185,0xc29101b9,0x54070119,0x713e0120}},	//   _problemn, _tabazi_, _hinungan_, _yaddigil, 
   {{0xa2010003,0x34f7002e,0xa02c0343,0x8b3e002b}},	//   _begint_, _američki, _inyeksyo, _স্রোতের_, 
   {{0x21e6005e,0xae2a00da,0xb3f80007,0xa30700dd}},	//   _مۇنىرى_, _нациунил, _lamuka_, _gogarth_, 
   {{0x8c5604c3,0x158202b0,0x5608017a,0xf20104d4}},	//   _vietsub_, _datensch, _алимардо, _lavim_, 
   {{0xa26c0360,0x08a80276,0x52da0287,0x9ed9018d}},	//   _nemoci_, _бастурға, _francie_, _ኣየጠራጥርን_, 
   {{0x8d950039,0xe2b7005e,0xbb6c03a2,0x43ea02a6}},	//   _pentsatu_, _вастилир, _सुपना_, _biata_, 
   {{0x3c7c0247,0x925a02a0,0x69ab041a,0xa70d016f}},	//   _agastya_, _ifiló_, _собіварт, _лаври_, 
   {{0x285d013f,0x6b7003e4,0x9dce02ea,0xb29100e4}},	//   _impalaer_, _kamskisa_, _пипер_, _wizaz_, 
   {{0xcd6b02c9,0xd2d801c5,0xff590177,0xa9b10243}},	//   _alimente_, _kaleba_, _министрц, _waraakít_, 
   {{0xe20100bd,0xc3f8001d,0xc3f605f4,0xcd1701ad}},	//   _cavie_, _mamuka_, _challwak, _imprastr, 
   {{0x9a7e0020,0xbe380096,0x23660156,0x00000000}},	// [f990] _musamusa_, _bakabasa, _difektoj, --, 
   {{0x61ad02ac,0x3fea00e6,0x2fdc01f3,0x168400fb}},	//   _النطق_, _后财富新贵_, _molitano, _nasekuqi, 
   {{0xa2010165,0x2be0001e,0x286302da,0xb7c501f1}},	//   _bhaiya_, _maidugur, _transand, _turistëv, 
   {{0x54130208,0x420102e8,0xabdf0008,0x953700c6}},	//   _کاردا_, _akaisa_, _infermer, _нитками_, 
   {{0xecdf0047,0x67b401cb,0x43f90392,0x72010256}},	//   _欢迎批评指正_, _nokuqini, _asrus_, _skaita_, 
   {{0x5c5500ce,0x9c6d0037,0x9b02053e,0x00000000}},	//   _kantite_, _ተወላጆችና_, _bursdage, --, 
   {{0xb292012c,0xb979017e,0x1413008a,0xd81f0061}},	//   _miradi_, _muzikist, _monalito_, _치주질환은_, 
   {{0xf2ee02d8,0xaf2402eb,0x00000000,0x00000000}},	//   _teknisi_, _aparatua, --, --, 
   {{0x378a015d,0x13860189,0xf30e0322,0x9d700066}},	//   _अभिव्यंज, _itiraz_, _atabara_, _normalta, 
   {{0x404d032d,0xa3f4045a,0x2eb40198,0xf8c70151}},	//   _ярата_, _datter_, _samodejn, _freehold, 
   {{0xdd3701a7,0x73ea06af,0xfd1a01c4,0xb26c017e}},	//   _бизнеса_, _ahita_, _teologie_, _domon_, 
   {{0xfd4402e5,0x127802cb,0xf0c100f0,0xe28f004d}},	//   _венесуел, _desnom_, _širokej_, _身分不明者資料_, 
   {{0x527f00d1,0x6a1e0125,0x7d430064,0xd63b0584}},	//   _অতৃপ্তি_, _йитип_, _тоннасы_, _medievai, 
   {{0x526c0261,0xa6cd00f7,0xfb0a025e,0xdfee0157}},	//   _nomon_, _עילאה_, _forgangs, _छायावाद_, 
   {{0x4efe0059,0x1380033c,0x5ec50259,0xf366018b}},	//   _сферата_, _barrug_, _hyunjoon, _avertism, 
   {{0xcb0a0228,0x13f40191,0x67840193,0x626e0101}},	//   _langtids, _katter_, _अन्वये_, _biroul_, 
   {{0x72fd0092,0x6bdf0173,0xb7bf0126,0xa8df05cd}},	// [f9a0] _wiggle_, _enfermer, _terrormi, _limfjord, 
   {{0xe3800172,0x0e5402da,0xc2910127,0xd2560287}},	//   _akuraa_, _processa, _skrab_, _माथेमा_, 
   {{0x537f046d,0xfa8802f6,0x63ed014a,0xeab4007b}},	//   _lukanda_, _libingan_, _harmadik, _hankerin_, 
   {{0xfd570092,0x440400bf,0x525a0305,0x526c0020}},	//   _トラックバックさ, _сторожев, _skolar_, _momoo_, 
   {{0x93ea0342,0x9292003a,0xffb802ac,0xd2010222}},	//   _chita_, _kiradi_, _dhílis_, _ravie_, 
   {{0xd3860390,0x62ff037f,0x5a51038e,0xc9510163}},	//   _etiraz_, _dirijor_, _उदारमतवा, _lemondot, 
   {{0xebbe04f0,0x72910165,0x32e901a7,0xb2010184}},	//   _maikwelo_, _kabani_, _kreikan_, _pavie_, 
   {{0x1b6a023d,0xef6a0435,0xa9f60005,0xf3ea0298}},	//   _статия_, _старих_, _possessu, _tiati_, 
   {{0xaef70220,0x026c003a,0xf87800fb,0x9158003a}},	//   _фирмата_, _yomon_, _abangaku, _baholash_, 
   {{0x12da00d4,0xf3a20261,0x047700ef,0x7c7000e9}},	//   _mysels_, _propra_, _abathanj, _morsele_, 
   {{0xd2ee0375,0x81c00029,0x49d503d1,0x753803d5}},	//   _adafa_, _ئینریک_, _partneru, _bashlagh, 
   {{0xa29100de,0x2386013b,0x932400c7,0x53680222}},	//   _nabani_, _osorno_, _сызылып_, _longues_, 
   {{0xc38702fe,0x1f2900c5,0xa3670014,0xaa0700b9}},	//   _swartz_, _emporter_, _investoj, _pajaknya_, 
   {{0xef2e00da,0x935702c6,0x6c3202b6,0x00000000}},	//   _политичи, _diluziañ_, _كوممۋنيس, --, 
   {{0x37da02e5,0xe3a20243,0x478502ec,0x897700d1}},	//   _иреиҳәеи, _aroppa_, _ہى۪ڈرن_, _barndome, 
   {{0xeede00a4,0xfd9e031a,0x00000000,0x00000000}},	//   _динди_, _seulacha, --, --, 
   {{0x1dc40040,0x59be0265,0x7a7d0476,0x00000000}},	// [f9b0] _variable_, _verdacht, _gomarara_, --, 
   {{0xf0d4020e,0xb507021c,0x00000000,0x00000000}},	//   _baromell, _objednal_, --, --, 
   {{0x4e1b03ea,0x42620852,0x9b6e0320,0x6c3b0153}},	//   _chambres_, _stripovi_, _mafundza_, _のトップへ_, 
   {{0x381a0164,0x24ec002b,0x00000000,0x00000000}},	//   _зийарити, _ময়দান_, --, --, 
   {{0xfe910194,0xb26c01f4,0xac65006e,0xe3b7026b}},	//   _destruct_, _tomon_, _bartalu_, _cerveza_, 
   {{0xe3f4017d,0xff5d03ad,0xe1f5020f,0xef6102d6}},	//   _opstod_, _attakkan, _وګرځۍ_, _африкани, 
   {{0xb29100e9,0xfcfc0206,0x7b8401f4,0xb9230212}},	//   _ekzak_, _pretekov_, _активлар, _descendu, 
   {{0x53a202be,0xcdd0018a,0xac250388,0x00000000}},	//   _hampas_, _bydysawd_, _ripartir, --, 
   {{0xa29004c8,0x83a200ec,0x1368016a,0xac7903fb}},	//   _ikbar_, _kampas_, _asignas_, _turskim_, 
   {{0xce1a03a2,0xb641012a,0xcbfd030b,0x6f990109}},	//   _लवमेकिंग_, _remontow, _amalaalo_, _समेतलाई_, 
   {{0x32b70041,0x810d0061,0xbd5a0188,0xdc050482}},	//   _иыуҳәои_, _구매문의글_, _amabhomu_, _tigreey_, 
   {{0xacff0255,0xd7b40271,0xd3ea0111,0xeaa600d3}},	//   _reguleer, _forsikti, _fiatu_, _पुस्ताका_, 
   {{0x1c9300bc,0xbd01001b,0xda7f00e6,0xa9f901c9}},	//   _والای_, _dhamaane_, _助您点e成金_, _suvalise, 
   {{0xab82027b,0x00000000,0x00000000,0x00000000}},	//   _परदमं_, --, --, --, 
   {{0x29f901ea,0x3863025b,0x728702ac,0x82d803c1}},	//   _видеолав, _standand, _أعتذر_, _cadeia_, 
   {{0x3c9e02b2,0x520105f2,0x6e5d028d,0xdb40001b}},	//   _tjostolv_, _navia_, _manbrema, _beebbeks, 
   {{0xeb6e0010,0xb349012a,0x740a0348,0x027f0219}},	// [f9c0] _bafundza_, _materii_, _ayaniriz, _emanti_, 
   {{0xf2010064,0x22a60286,0x3257016f,0x884100cd}},	//   _havia_, _nomber_, _leserkom, _apotecas_, 
   {{0x4293009f,0xdc93052c,0xc27f03fd,0x24a70034}},	//   _sporočil_, _وانان_, _bednar_, _undantek, 
   {{0x7469041a,0xa743014a,0xcbd0024a,0xb9c70145}},	//   _християн, _mosolyog, _ikanṣo_, _багатае_, 
   {{0xd36800bd,0x9fd501eb,0x7baa013c,0x932000c0}},	//   _tongues_, _desarról, _bayramlı_, _bolyum_, 
   {{0xf2910082,0x3c160025,0xfb3b0024,0x900f0158}},	//   _sabani_, _मुख्यार्, _bokskåpa_, _moralnoś, 
   {{0xb10900ec,0xe2910067,0xa201028a,0x76fe02ef}},	//   _personaž, _dabali_, _kuzima_, _kostumyè, 
   {{0x13f80220,0x9c5c017e,0xcb7c0162,0x8b940488}},	//   _chiudi_, _gastojn_, _кампютер_, _greizsir, 
   {{0xf9f800c1,0x826c01ad,0x915c017a,0x4c80002b}},	//   _बालेकिल्, _lomos_, _кучак_, _টাটকাখবর, 
   {{0x27c9035d,0x106c00e6,0x687902af,0xd3ea012c}},	//   _plasteni, _第五十四条_, _bayigabu, _viatu_, 
   {{0x56960138,0xa26c0119,0x79d101de,0x23410361}},	//   _adresini, _nomos_, _бұталар_, _вĕрен_, 
   {{0x339404e7,0x564201a3,0xf2b602b9,0x3136020f}},	//   _dalsie_, _اميتاڀ_, _percek_, _دپیښور_, 
   {{0xa38601ef,0x1ead02ea,0xbd800224,0x893d0209}},	//   _sporto_, _коригира, _skuldava, _ikumatit, 
   {{0x13830285,0xe5d60156,0xb2020853,0xd4a603d4}},	//   _wenyine_, _איטעלי_, _jurica_, _somborsk, 
   {{0x120100f9,0x0349018b,0x07500287,0xd2480116}},	//   _buzima_, _baterii_, _सदासर्वद, _balmy_, 
   {{0x2c7f035b,0xb2800272,0xc7c503ce,0x026c0308}},	//   _varstvo_, _abakoye_, _بژاره_, _comot_, 
   {{0x6b5d003b,0x00000000,0x00000000,0x00000000}},	// [f9d0] _kotapéni_, --, --, --, 
   {{0x43640289,0x325a02f3,0xdca10061,0xf27f015e}},	//   _adagona_, _skolor_, _동주민자치센터_, _cognom_, 
   {{0x7e4c01e8,0x47bf0462,0x552402eb,0xe70c00d0}},	//   _medalist_, _adjunctw, _aparteko_, _лондончу, 
   {{0xd3470187,0x9e4d00c5,0xa9ef010b,0xb1f106da}},	//   _pimenta_, _diffusé_, _lusifera_, _पोटॅटो_, 
   {{0xede2016d,0x3b0a0281,0xc2910241,0x7d80018b}},	//   _консули_, _sorsunne, _babali_, _anvelope_, 
   {{0xdaf50846,0x1e4102c1,0x13670076,0x420204e3}},	//   _imarmiut, _amasambu_, _ninguem_, _curica_, 
   {{0x865c0245,0x5d4202a8,0x5a8601c1,0x218f02ec}},	//   _markylli, _asparagu_, _keanehan_, _kulantay_, 
   {{0xf15c0039,0x026c0212,0xd69402c3,0xdcbd020a}},	//   _булан_, _domos_, _obleceni, _салысқан_, 
   {{0xcee80177,0x363702cf,0xb6f6017a,0x22d600e2}},	//   _петрови_, _парични_, _хархаша_, _knillus_, 
   {{0x1c5500d6,0xa5d002f6,0x4a4d0097,0x0edf02f7}},	//   _yuotube_, _kapamily, _kùkùlajà_, _jeshuran, 
   {{0x3f6201f9,0x72940465,0xcbaa0497,0x00000000}},	//   _hlabâtsi_, _porabili_, _buckthor, --, 
   {{0x422a016f,0x5a7d0282,0xa2ea0159,0xe4750039}},	//   _лорак_, _makapera_, _grindys_, _biktimen_, 
   {{0xecc6029f,0x78430040,0x067a0325,0xc34803b6}},	//   _dobierku_, _reprints_, _allahşük, _mejeeji_, 
   {{0x02d80457,0xa95901fc,0xf8d703c2,0xe2000250}},	//   _abdeba_, _billiime, _amberblu, _synim_, 
   {{0xbecf019d,0xfebb018d,0xd9c50255,0x525a03f3}},	//   _strikers_, _ዝተሰወረ_, _ettevaat, _uzelf_, 
   {{0x86410045,0xe5b900be,0xc69b0176,0x7ae800c5}},	//   _стару_, _грузинде, _lovemaki, _lentille, 
   {{0xc4d40109,0xb2df0450,0x00000000,0x00000000}},	// [f9e0] _रणनिति_, _tekoart_, --, --, 
   {{0x205300f0,0x19b20061,0x31d10268,0x226c029b}},	//   _hodiniek_, _판매자등급_, _appenhay_, _gomor_, 
   {{0xe20d023a,0x6290006e,0x0b7400d1,0xf2f4031a}},	//   _ušiel_, _jinaan_, _শব্দতো_, _seunias_, 
   {{0x92780285,0xf27b0163,0xb348011b,0xd28a000b}},	//   _ukundi_, _homeopát, _bilengi_, _karasini_, 
   {{0xa31900fa,0x5c67030d,0x43f400a8,0x4c5c0017}},	//   _kabilang_, _aşurov_, _cattar_, _बोलेर_, 
   {{0x897f0010,0xbe1a0031,0xd5dd00f5,0x4202031a}},	//   _emphakat, _dibedaka, _тапяр_, _ifrinn_, 
   {{0xb3ea01fc,0x7e3901ac,0x0249042d,0xc9e7020f}},	//   _ahite_, _blúsléin, _atambo_, _ښائسته_, 
   {{0x876a0037,0x063f03dd,0xb6b300bb,0x6c9f017a}},	//   _ተጠርጣሪ_, _aplikimi, _آماجگاہ_, _akweyoku_, 
   {{0x82950158,0xbc7f00fa,0xf7c8005e,0x211600f4}},	//   _न्योता_, _tinukoy_, _گۈمبەز_, _alphasyl, 
   {{0xa36c03ef,0xf835017a,0x42ab0092,0xf60301cc}},	//   _imigani_, _ҳусейн_, _新規登録はこちら_, _कथासरित्, 
   {{0xb294035b,0x6f3401c5,0xb2910189,0x096d02a1}},	//   _pozabili_, _doorbida, _kiraz_, _onontbee, 
   {{0xd0620017,0xf2ec01b4,0xeff70052,0x0f3900e4}},	//   _प्रस्_, _fisiese_, _अँध्यारो_, _त्रिलोक_, 
   {{0xf26c060a,0xa3da018d,0x3fcf0013,0x529400be}},	//   _somos_, _ዝተቐትሉ_, _homiylar_, _aplaudim, 
   {{0xc26c0073,0x348600ba,0xc2000017,0x00000000}},	//   _pomos_, _رداخێک_, _cynik_, --, 
   {{0xf2c30701,0xa2c60399,0x3e3a016b,0x5b160094}},	//   _parlasa_, _faulele_, _attajira, _سالقام_, 
   {{0xa3f9005b,0xd5ea025b,0x6af50227,0x4395011f}},	//   _miyuki_, _kommunum_, _diposkan_, _itesis_, 
   {{0x0e9203f2,0x9d4a01f4,0x263e0052,0xbddc0148}},	// [f9f0] _форумов_, _لسانس_, _क्रिकेटम, _文章推薦人_, 
   {{0x3bc7015e,0x32c20318,0x16990311,0x00000000}},	//   _القووعو_, _emalata_, _ሰብኣየይ_, --, 
   {{0x22910138,0xf2c604bd,0x195a0138,0xd26c01d9}},	//   _biraz_, _kaulele_, _devletle, _romor_, 
   {{0xbe140139,0xd83f00e4,0x1b1902ec,0xfaec0299}},	//   _abhedena, _प्रवीरचन, _darayaan_, _بەيگىدە_, 
   {{0x9290019f,0xdd82023c,0x00000000,0x00000000}},	//   _majaji_, _وهڅوي_, --, --, 
   {{0x3aa6005e,0x9ad30434,0xd37b0231,0x751f00f8}},	//   _ھۆددىگەر, _contácta, _romanam_, _শৈলকুপা_, 
   {{0xec7802e2,0x6d8701ef,0xd3ea005b,0x8a800253}},	//   _abysmal_, _другога_, _shite_, _akunnass, 
   {{0x0ae10272,0xd880014a,0xe93b005e,0x82fd02d3}},	//   _agitegee, _kifinomu, _تىرشىپ_, _flagra_, 
   {{0xa1470176,0x42a40156,0x18c10148,0x6d1500da}},	//   _hovedrol, _חנפענען_, _appetitu, _raportat_, 
   {{0x8ae604a4,0x64fb0158,0xcb0803ba,0x606c027b}},	//   _acetonae, _कंगारू_, _einsegne, _सुरसा_, 
   {{0x92910015,0x8157013d,0x4cf402d4,0xc97802fc}},	//   _jiray_, _komunumo, _suttascr, _abanyake, 
   {{0x329101c5,0x327a016d,0xd3f405b8,0x00000000}},	//   _diray_, _نەققاشلى, _mattor_, --, 
   {{0xca07008e,0xeae10414,0x5a9402d3,0x5eb9003f}},	//   _angaltee, _apatride, _нераство, _magglass_, 
   {{0x68a3003e,0x23b80300,0x930600f4,0xad5a00c7}},	//   _фехтован, _podvodu_, _angamek_, _дореш_, 
   {{0xafb7014f,0x231a01f0,0x1e370497,0x22b30210}},	//   _патриотс, _bosigong_, _aslaynta, _handiro_, 
   {{0x6694069b,0x32010200,0x1ba8027b,0x9fd6005e}},	//   _menemani, _megide_, _निगूढाः_, _بولدىڭىز_, 
   {{0xaf2e00ae,0xb27d00d6,0x52c500bd,0x72ea00a8}},	// [fa00] _bwâra_, _chreagái, _faamous_, _bainvis_, 
   {{0x162f02f4,0xb2d80453,0x7f430620,0xe26d009f}},	//   _acondici, _badema_, _具有十分重要的意, _nivoju_, 
   {{0x4498030c,0x459903f0,0xd3ea018a,0x63a902ac}},	//   _gavamatk, _grunnskó, _saith_, _غزلان_, 
   {{0xe63a0230,0x330102af,0xe6a30062,0x8c0800f6}},	//   _authoiti, _cambaye_, _jiruchch, _terminlə, 
   {{0x12890036,0xbf5d029a,0x9874007f,0x7314050a}},	//   _أقوال_, _relasyon, _ceisiais_, _arabesk_, 
   {{0x32d80499,0x82ca0138,0xf2d80411,0xab160299}},	//   _falema_, _yoldan_, _ådele_, _تاماششا_, 
   {{0x13ea046b,0xfe9b04ca,0xf3ea02fd,0x72f10195}},	//   _waith_, _annexats_, _fiath_, _gaisgich_, 
   {{0xe3ea018a,0x02d80245,0x38d603f8,0x22920102}},	//   _taith_, _jadeja_, _bobusbog, _jirani_, 
   {{0x5c61034d,0xd5ff03a8,0xf989060c,0x541701db}},	//   _satunya_, _vanlegvi, _sprevádz, _олигархт, 
   {{0xcd8701f4,0x4e0d02bd,0x6ee1055d,0x6ecc006f}},	//   _hikmatla, _genediga, _perintis_, _kizimban, 
   {{0xef5b0733,0x42f6010d,0xe5760287,0xed3200ff}},	//   _stephine_, _छत्री_, _reklamní, _כיזבאללא_, 
   {{0x76350012,0x92b60222,0x82900009,0xc5a90188}},	//   _आइसहीं_, _pouces_, _kajaki_, _зарарова, 
   {{0x899b02cf,0xd486008f,0x00000000,0x00000000}},	//   _стрелец_, _दुखावऽ_, --, --, 
   {{0x425a059e,0xf7b401cb,0x191a01b7,0xc2e90119}},	//   _uzele_, _nokuzini, _देवहितं_, _revilla_, 
   {{0x4301001e,0x0291021c,0x2f560584,0x1e5402d8}},	//   _tambaye_, _okraj_, _chegados_, _organsme_, 
   {{0x04e20305,0xefa60191,0xb1d70021,0x99db0098}},	//   _শিকায়_, _sommarlo, _anielday_, _kraftige, 
   {{0xed17002b,0x92b90704,0x717f01aa,0x662e01de}},	// [fa10] _খুঁটিনাট, _rikelig_, _edditray_, _әбубәкір_, 
   {{0x7eac0319,0xf2d804ad,0xb0510211,0x83c8045b}},	//   _recomien, _balema_, _условии_, _закриваю, 
   {{0xd3ea030f,0xc3fe00bf,0x00000000,0x00000000}},	//   _raiti_, _описанна, --, --, 
   {{0xe3ea0129,0xf29003bf,0x034103a6,0x52010116}},	//   _saiti_, _bajaki_, _basenya_, _abeich_, 
   {{0xf4d8032b,0x42a601f7,0x3da102b6,0xed900244}},	//   _بالاساغۇ, _tombar_, _амалдард, _лейди_, 
   {{0x2c1d0185,0x92920282,0xbdd20350,0x246c0219}},	//   _tatarlar, _airani_, _hadhrama, _imifundz, 
   {{0x4a4e0220,0x02fd0307,0x4cd403f1,0x28f7018a}},	//   _директно_, _bakhule_, _uskutočň, _argaeled, 
   {{0xee510278,0x92910028,0xf30e0119,0x47490016}},	//   _kemasuka, _sabahi_, _itabira_, _antikvaj_, 
   {{0x421d00ff,0x462a030b,0xd2d9004f,0xd3b80037}},	//   _מייקס_, _agwikiri, _boyetu_, _አብቅቷል_, 
   {{0xb51002b7,0xf3cf0005,0xffa20164,0xe2750040}},	//   _kirringo_, _pievel_, _русийидә_, _סטייליסט, 
   {{0x6bcc0177,0xf62800a5,0x03a20129,0xb1340092}},	//   _николаус_, _autiloti, _makpa_, _の続きを読む_, 
   {{0xfbad0238,0xadd30250,0x4b44020f,0xdf7d00be}},	//   _народний_, _dashurie_, _اروښاد_, _кирешеси_, 
   {{0x39840352,0x43f901c0,0x29960059,0xb15f00fb}},	//   _bruksret, _shauki_, _altresì_, _kungadal, 
   {{0x4e9900c8,0x6aba0142,0xa89704c8,0x6297011f}},	//   _мостафин_, _avavadit, _faċċata_, _kangypát, 
   {{0x7f5d013c,0x1bc90040,0x3ec300d8,0x12d80320}},	//   _maraqlan, _מחזמר_, _barnasan, _madeha_, 
   {{0x62da023b,0x8f5c01d2,0x621b00c6,0x3d77002b}},	//   _kerete_, _arequipa, _усиновле, _আওরঙ্গজে, 
   {{0x67d90135,0xcc630367,0xbc750176,0x6c1d0390}},	// [fa20] _balalarg, _pequeno_, _fleurir_, _yataqlar, 
   {{0x82d80544,0xc9090122,0x00000000,0x00000000}},	//   _maleka_, _dhugdhèr, --, --, 
   {{0x832c00a2,0x33da021b,0x102d0381,0xf68c0153}},	//   _آدمشماري_, _колготки_, _anifesto, _エクステリア_, 
   {{0x9db50021,0xcff602e4,0xeddc00ba,0x02a70312}},	//   _adonnama, _baskitbo, _یلوول_, _glebor_, 
   {{0x57a00073,0x6b7e00ae,0x00000000,0x00000000}},	//   _attendev, _iranezer, --, --, 
   {{0x4f5d03cf,0x1ece029f,0xe296035e,0xe2ef0259}},	//   _yararlan, _vernostn, _zdraviji_, _riffel_, 
   {{0xa5570152,0xec670140,0xa2b40279,0x098402f6}},	//   _jurnalı_, _maaring_, _lancer_, _pasimula_, 
   {{0x0f9b00da,0xe2eb0249,0x4d310014,0x9dab0291}},	//   _историчи, _oganais_, _misionit_, _قراصنة_, 
   {{0x52d50133,0x4f1f06a1,0xa291037f,0x4ee4004d}},	//   _barotta_, _teaterga, _icbari_, _企業採購網_, 
   {{0x2b0f0095,0x8b340211,0xb26c0318,0x00000000}},	//   _pangawas, _sekalais, _momou_, --, 
   {{0xd3f4023f,0x33ea028f,0x82da041c,0x12020223}},	//   _watter_, _ahata_, _dereet_, _irrika_, 
   {{0x43ea02ca,0x2af0063d,0x448a028b,0x02d800ea}},	//   _bhata_, _novelles, _mbarakaj, _haleha_, 
   {{0xd3ea0318,0xe6b80022,0x5e2c004d,0x12f903ce}},	//   _faitu_, _сатрашсы, _討厭的東西_, _لتورو_, 
   {{0x11f40021,0x227f00c3,0x2ebd0375,0x103600fe}},	//   _imageway_, _signum_, _akanaten, _falekolo, 
   {{0x03ea0659,0xa2f10125,0xf76400dc,0xe57f0291}},	//   _iaitu_, _berildi_, _ataitaig, _لصفحة_, 
   {{0xb3eb02fe,0xdd950360,0xd2d80087,0x1f370024}},	//   _ngathi_, _generace_, _baleka_, _বনিয়া_, 
   {{0x52910148,0x0b61023e,0x7af9009d,0xf2da011c}},	// [fa30] _phrap_, _catethan_, _panevojs, _kereet_, 
   {{0x03eb0003,0xd2020230,0x226c004f,0xaf2700c7}},	//   _moeten_, _lesiel_, _domou_, _карашка_, 
   {{0xbd010222,0xc7b700ec,0xc89304ca,0x12020092}},	//   _philippe_, _надзеі_, _apliquèr, _furima_, 
   {{0xf97602e3,0x775a018d,0xcc24009a,0x0c1902a0}},	//   _loginbut, _ኣልጀዚራ_, _abasebes, _atunyẹwo_, 
   {{0x537a022b,0x77ee02af,0xe57602d3,0x2aef0377}},	//   _alvalon_, _bararung, _reclamaç, _justitie, 
   {{0xe3ea0066,0x24020434,0x59e505aa,0x2e3d0220}},	//   _gaitu_, _aparecen_, _overnatu, _нарежете_, 
   {{0x8e3c00b4,0x128201e1,0xb9440297,0x62020184}},	//   _ачеста_, _bonamodi_, _классс_, _kurima_, 
   {{0x926c02fb,0x774e00bb,0xb2d802e4,0xb3e302fd}},	//   _komou_, _اللہم_, _fliegu_, _htmlmark, 
   {{0x32fe01ef,0xcb030415,0xc7580125,0x93ea0066}},	//   _visiems_, _versende, _berilmeg, _baitu_, 
   {{0x723401f6,0xb1930044,0xbde500a7,0x102c0153}},	//   _varmare_, _precisel, _пландуу_, _ヤマト運輸メ_, 
   {{0x727e0285,0xc86c022a,0x0c46023c,0x53ea02b1}},	//   _iminsi_, _ladyekav, _درېمه_, _shata_, 
   {{0x08360060,0xca19033e,0xe1f300fd,0x00000000}},	//   _зиярат_, _luschnat, _sguabadh_, --, 
   {{0x0f3f0386,0x8dd1018e,0xd86303b0,0xdea102ef}},	//   _menguran, _andyangu_, _utanland, _detektab_, 
   {{0x22010348,0xbdb302c3,0x12a6014e,0x13e3025b}},	//   _kizito_, _lokalite_, _sombor_, _sterkari_, 
   {{0x2c570178,0x623401b2,0xea7a0405,0x63790077}},	//   _alpavīry, _surmise_, _гарантій, _gabawon_, 
   {{0x63ea01e9,0x15ac00c8,0x138000ad,0x03de00a7}},	//   _thata_, _аламы_, _amprok_, _иргеп_, 
   {{0x03ea0386,0xc984024c,0xcdd101b5,0x00000000}},	// [fa40] _yaitu_, _kummerċj, _endyangu_, --, 
   {{0xc300021c,0x9201002f,0x1f3f0501,0xcafd020f}},	//   _oranžové_, _chaiga_, _वैविध्य_, _basehlis, 
   {{0x7f01017d,0x6e3a02fd,0x7d9b0333,0x824802c6}},	//   _スピリチュアル_, _choltais_, _annulatu_, _filmig_, 
   {{0x295b063c,0x011c0036,0x28bc005e,0x3e380085}},	//   _प्रेग्ने, _ميريام_, _پەيلاسوپ, _kasamata, 
   {{0xe04701ea,0x430504dc,0x1a3d0420,0xcc5000ff}},	//   _камолот_, _گوزار_, _посакува, _שמייכלט_, 
   {{0xa9da0057,0xdc620288,0xd2c201ea,0xae180060}},	//   _የላዕላይ_, _ngarene_, _angliya_, _энерджи_, 
   {{0x826c0564,0x77d90037,0xa65900de,0x34b702ba}},	//   _komot_, _ካቴድራል_, _دقرآن_, _мустамли, 
   {{0xc2340148,0xfdb80195,0x12db00d9,0x657e01be}},	//   _marmore_, _guaillea, _bändin_, _frenštát, 
   {{0xc9ed0074,0xfbc60520,0x96d20102,0x7e3b04f9}},	//   _ansiosta_, _algodão_, _mataraji, _angalaqa, 
   {{0x338b00e1,0x5f6c00e4,0xaf8c0109,0xd9ce01bc}},	//   _bayyiko_, _भिक्षुओं_, _महङ्गीकै_, _perfeste, 
   {{0x39aa0066,0x73940343,0xaf14004d,0x00000000}},	//   _цочир_, _lukso_, _中醫藥知識交流_, --, 
   {{0x67ee034e,0x840c0059,0x92d801f0,0xc3580127}},	//   _carapung, _affiliaz, _kamego_, _endroioù_, 
   {{0x12ca0399,0x742602f4,0x4c6a0435,0xe13700d1}},	//   _amelali_, _embarazo_, _avgustu_, _অধ্যাপকজ, 
   {{0x2d1503b4,0x9d9a004f,0xf3b704fc,0x5b730260}},	//   _rebroadc, _ginnaawa, _bricolaj, _agardaba_, 
   {{0xbd6b034a,0x58d90156,0x32580068,0x00000000}},	//   _soamente_, _amaskunv, _baatrool, --, 
   {{0xd68f0037,0xdd8c0073,0x49f902c9,0x87c60061}},	//   _ትርጉምና_, _ferocita, _талентац, _음식물처리기_, 
   {{0xa84501ec,0x99b701db,0xb4d70361,0x4b7f02af}},	// [fa50] _skittles_, _جازسىن_, _нанкин_, _mukumuha_, 
   {{0x6ae8044b,0x837c03e6,0xf63e024f,0x01db004b}},	//   _fortjene, _soulaang_, _waililiw, _звеноһы_, 
   {{0xeb3a00cb,0xd8970107,0xd62a02c5,0x9e3a02f7}},	//   _талаффуз, _ارابه_, _azondifi, _gasagasa, 
   {{0x0fae00f5,0xa25a016b,0x5fb1054a,0xea6c02c4}},	//   _халка_, _sallah_, _slovenač, _елвис_, 
   {{0x15ff041a,0x7447005e,0x00000000,0x00000000}},	//   _vanligvi, _ﻗﺎﺗﻨﺎﺵ_, --, --, 
   {{0xfb5902e7,0xcbf6034e,0x00000000,0x00000000}},	//   _britanya_, _ciberdoc, --, --, 
   {{0xd25a030d,0xe55302ac,0x28d40156,0x39d00405}},	//   _vallah_, _حمزاوي_, _שאָלעכץ_, _adressee, 
   {{0xc89401bd,0x558301b4,0x813901b2,0x3a2d0156}},	//   _экстради, _omstreek, _ackeragh_, _רביןס_, 
   {{0xbe9a0014,0x90690039,0x485c031c,0x93790264}},	//   _vjetorit_, _konpeten, _enhorabu, _mabaton_, 
   {{0x38840192,0x69d104ad,0x965b0276,0x221802b6}},	//   _회원님들께서는_, _boeteled, _ۋىتامىن_, _жұпар_, 
   {{0x575f06f7,0xe656020f,0x8f28034c,0xc0ba00de}},	//   _शाब्दिक_, _بدمرغۍ_, _dastanna, _تیموشینک, 
   {{0xab8d04f9,0x1e9001c4,0x5f7601a3,0x30db03fd}},	//   _neriniar, _destydse_, _سرپرستيء, _lotomaul, 
   {{0x5fe702d3,0xc966042c,0xab6a0205,0xa8d60163}},	//   _правите_, _zaroblje, _avgustda_, _خانوادہ_, 
   {{0x246705d7,0x0c7304a7,0x00000000,0x00000000}},	//   _lindotok, _agardas_, --, --, 
   {{0x120d03a1,0xcdf40161,0x6e720235,0xb0830162}},	//   _проверка_, _огород_, _विद्य_, _үстүмдә_, 
   {{0xf57c018a,0x83f402f3,0x41d50061,0xd3ea02ff}},	//   _dyletswy, _fattar_, _고객서비스_, _fritay_, 
   {{0x5dc70252,0x42910422,0x028003d4,0x50590287}},	// [fa60] _madzingu_, _izvaja_, _parkove_, _zapamato, 
   {{0x637902f6,0xf29002f6,0xa3940211,0x00000000}},	//   _mayaman_, _kinain_, _bensaa_, --, 
   {{0xe3ea0183,0x12d8012b,0x8fb501fb,0x5348002e}},	//   _anaty_, _samego_, _paulleco, _poveži_, 
   {{0xf39400c0,0xfeca0310,0xc23300e4,0xf009004d}},	//   _tukso_, _leantuin, _tablicę_, _你家寶寶真的很可, 
   {{0x62010054,0x46100029,0x904b00b3,0xf2ee0291}},	//   _shaida_, _پیرباڵ_, _astrahan, _carnadh_, 
   {{0x99e50092,0x82da00dc,0xb2ee0108,0x00000000}},	//   _写真を投稿する_, _matega_, _awuntah_, --, 
   {{0x92ee0181,0xbdcf00a7,0x45170057,0x544a03ab}},	//   _alife_, _амантур_, _seelokny, _neuveden_, 
   {{0xb1d70071,0xcbd10065,0x623b01d5,0x00000000}},	//   _گلدوزی_, _stadtver, _fájni_, --, 
   {{0xd0280057,0xbd2f0037,0x3e0402e6,0xe290026a}},	//   _ይቆጠራል_, _የሶፍትዌር_, _verdensp, _wekamu_, 
   {{0x0fcf0230,0xa9cd0022,0x234b020f,0x651100e6}},	//   _furnitir_, _foreisit, _وپوهيږي_, _存在的主要问题_, 
   {{0x8af30272,0x32000075,0xb145008f,0x396e0235}},	//   _ageraage, _synir_, _कुसंगत_, _avinyast, 
   {{0xce4c00aa,0x4a0a0223,0x326c02a9,0x49e000ff}},	//   _delamina, _arrakast, _šioje_, _סאדיגורא_, 
   {{0xf9dc029f,0xb7af0037,0xaa0a0405,0x00000000}},	//   _licencie, _ቴክኒክና_, _ніжно_, --, 
   {{0x73ea0144,0xeba50564,0x3e1a01c1,0x3a33015c}},	//   _maith_, _latikumo_, _dibelaka, _finanzéi, 
   {{0x765d014f,0x70e80211,0xec7505bd,0x0503034e}},	//   _распоред_, _koristel, _antrekk_, _ccolluch, 
   {{0x755e0025,0x218e0193,0xda880362,0xf2a80294}},	//   _जन्मदिवस, _पर्वा_, _bibongis, _atacamam, 
   {{0x93ea01ff,0xf42b044d,0xb37c014d,0xd9d80460}},	// [fa70] _chate_, _cosaanoo_, _gitarre_, _दशावतार_, 
   {{0x952e03dd,0x629701bd,0xea07041c,0x56120453}},	//   _princesh, _студенті_, _digantee, _nijednom_, 
   {{0xfa0603f0,0x37e10061,0xa26c005a,0xeb700090}},	//   _vísbendi, _트랜스포머_, _homoy_, _chironda_, 
   {{0xd2920271,0x69f80101,0x5da70125,0xb3ea00bd}},	//   _avtale_, _forumulu, _калбен_, _baith_, 
   {{0x7c070461,0x7ba00128,0xab1e0223,0x3fe4018f}},	//   _amistat_, _анъом_, _малигийн_, _sutijcho, 
   {{0x71b50553,0xe3ea00bd,0x62c40431,0xb23400cc}},	//   _najčítan, _daith_, _helland_, _varmere_, 
   {{0xfdf2005e,0x02ef0168,0xe9cb0233,0xcd0a0244}},	//   _ﺗﯜﺭﻛﯩﻴﻪ_, _sjefen_, _goldenke, _favorire_, 
   {{0xcb4604ed,0xf148005b,0xc39602f3,0xfbca005e}},	//   _विद्यापी, _tourneso, _ratsit_, _مۇختەربا, 
   {{0xef240034,0xd2b40033,0x029100a0,0xc81f0185}},	//   _gráta_, _cancar_, _gabaki_, _бәяләгез_, 
   {{0x3be7024c,0x700602a0,0x5a3c0074,0x38470188}},	//   _direttor, _alábòójú, _кукол_, _кадами_, 
   {{0x92b600bd,0x92910400,0x218a002b,0x71f20170}},	//   _taucht_, _ahras_, _নিরন্তর_, _asanayam, 
   {{0xb2d80198,0x8a0700c1,0x96640184,0xa3ea03dd}},	//   _obleka_, _kabarnya_, _ashyiriy, _thate_, 
   {{0xca3402fe,0x69070179,0x74ce00ff,0x686002c9}},	//   _رسمیت_, _giganteu, _ריסוירטש_, _fenomenu, 
   {{0xefb90275,0x126c02a2,0xc33a03a2,0xf47d020f}},	//   _lagolago, _timog_, _दबोचेगा_, _asifezek, 
   {{0x83ea012c,0xf63901bb,0xb8a8032d,0xb30d00f7}},	//   _maiti_, _макаламы, _диалектт, _defalis_, 
   {{0x73ea00dc,0xb3ea02bb,0x36650297,0xe2f60253}},	//   _laiti_, _wiatr_, _aşıgabız_, _amiinik_, 
   {{0x3c670094,0xd2fc0163,0x00000000,0x00000000}},	// [fa80] _تاريحشىل, _aligha_, --, --, 
   {{0xe36c018b,0xcc670074,0x8d1b0109,0x84a3027b}},	//   _imagini_, _minulta_, _बोधबारी_, _गाथामुद्, 
   {{0x98780011,0xa20e0159,0x447e006c,0x3a4b01a3}},	//   _abanaaku, _тамаш_, _видоъ_, _جھليندي_, 
   {{0xe2b40398,0xe28b0569,0xa92f00e6,0x06200061}},	//   _tancar_, _najavili_, _一般治疗时间是_, _초고속인터넷_, 
   {{0xb291042c,0xb9e80399,0x2be20065,0x485e0290}},	//   _ukrao_, _kaunanga_, _bereitsc, _bullaziu, 
   {{0xb48b025c,0xdd1e036b,0x7f3a0195,0xa29c0061}},	//   _schonmal_, _спонзору, _fhortana, _라틴아메리카_, 
   {{0xb46e0371,0xd4990014,0x4a03004a,0xe29100ad}},	//   _време_, _ተኻፊልካ_, _aralarnı_, _ajrag_, 
   {{0xd291024f,0xf6880145,0x62dd033f,0x42880029}},	//   _tabaki_, _верхняй_, _lotoapi_, _هێلیکۆپت, 
   {{0x16d502ea,0xb4c70518,0x125a0105,0x335501ba}},	//   _successi, _مکروریان_, _okolic_, _manejer_, 
   {{0x23ea0220,0xb202005b,0xf85f0326,0x4c640274}},	//   _abito_, _noriko_, _akangosu, _greyið_, 
   {{0x2b9e040a,0x0e510544,0x42c601ed,0xb0330084}},	//   _fortsätt, _kalanika, _paulele_, _carekcok_, 
   {{0x22910085,0xfe35042f,0x59b70471,0x625a04bd}},	//   _yabaki_, _ilgagiva, _berdekat, _alilio_, 
   {{0x85b9045e,0xb3870071,0x19760281,0xa3f9022c}},	//   _заболява, _amerta_, _angissut, _apruk_, 
   {{0xabc80444,0x56210147,0x25bc0128,0x33940098}},	//   _слизисто, _تىتۇلدۇق_, _почтанги, _bamser_, 
   {{0x9d8e050e,0xa9c700d9,0x48620187,0x7379009b}},	//   _terorisa, _запаха_, _brincand, _arrauna_, 
   {{0xa3b70145,0x15b701cc,0x907401ca,0x765b0255}},	//   _privalo_, _antarddh, _mapascho, _kalapüüg, 
   {{0x9f43027b,0x429603b6,0x33950269,0x00000000}},	// [fa90] _प्रकृतिस, _erekusu_, _quesos_, --, 
   {{0xedc0026f,0x29cf02e2,0x3f4701a2,0x4c26000f}},	//   _جاتۋدىڭ_, _arjentee, _sižetu_, _gündemde_, 
   {{0x1437026a,0x9ed4008f,0x352601b2,0xb68d0227}},	//   _mataboko_, _छटपटात_, _amridagh, _berdziki, 
   {{0x1c6b0265,0x48360126,0x5c8f01a3,0x201900f8}},	//   _thguest_, _витрати_, _پيڙھين_, _অকৃত্রিম_, 
   {{0x9ee9018d,0x5bf6048a,0x83ea00e1,0x301900d1}},	//   _ዳሕረዋይ_, _сайтты_, _baati_, _অকৃত্ৰিম_, 
   {{0x31a7027b,0x328704b3,0x6b8201f9,0xa3a60244}},	//   _योगमापत्, _diskred_, _iprovinc, _cappelli_, 
   {{0x2dc300d6,0x2248021b,0x98470076,0xfb5b03e0}},	//   _habibsha, _olemme_, _пазари_, _gemengen_, 
   {{0xca5801cb,0x2a590092,0xaa08021a,0x5b2a0076}},	//   _isifunda_, _もっとみる_, _barannee, _исполнет, 
   {{0x0349005b,0x9a9d01d6,0xa2240138,0x01680035}},	//   _smedley_, _foregåen, _pekkan_, _kebeklär_, 
   {{0x113402ec,0x22fd021a,0xe56a00e6,0xda9e0022}},	//   _پھێرى۪ن_, _alagaa_, _第五十五条_, _химиянан_, 
   {{0x5c31005d,0xbd6103a2,0xefbf011d,0x02920128}},	//   _бельгиат, _क्रैश_, _frigider_, _tarafi_, 
   {{0x55230352,0xb16206ab,0x51a7027b,0x0f580065}},	//   _নিয়মাৱল, _traslado, _योगमापद्, _strahlen, 
   {{0x2a0404c7,0x251600c1,0xeed60017,0xe2240013}},	//   _лекарски, _खंडणी_, _evžen_, _tekkan_, 
   {{0x3af7018b,0x5d7700f4,0x1967000d,0x9d9c0192}},	//   _ражения_, _abjadoù_, _infolehe, _schoolba, 
   {{0x062c02e0,0xdac9018d,0x99630083,0x9e56035e}},	//   _anamisiw, _ኣእዳዎም_, _suandant, _bugarske_, 
   {{0x128700c5,0x4d84038f,0x0ff70078,0x62920085}},	//   _visitez_, _bevennet_, _карбида_, _yaragi_, 
   {{0xf29103ee,0x12020092,0x31e10478,0x1d9a00d5}},	// [faa0] _ukras_, _toriko_, _afrontam, _angoroda, 
   {{0x0e5300aa,0xa29103a4,0xf394054c,0xe2d60137}},	//   _hilaniha, _akrar_, _buksa_, _aaronen_, 
   {{0x9c7f023d,0x0e340162,0xabab0061,0xb3f8023b}},	//   _passato_, _илатини_, _실시간으로_, _ukiuki_, 
   {{0x2afc036e,0x3eb7009b,0xdeb40177,0xdeb00123}},	//   _anqusayt, _бацаан_, _рҿала_, _mørkere_, 
   {{0xa18f00e7,0xee9604b4,0xc08500d1,0x29fe0206}},	//   _addamsay_, _hotteste_, _ইস্তাহাৰ_, _stromček, 
   {{0xa1400756,0xc224030f,0x83eb0062,0x125a061e}},	//   _सोलंकी_, _ngoki_, _miqta_, _hallch_, 
   {{0x7ee90092,0xa3730044,0xe39400e0,0x66c30297}},	//   _ってことで_, _yielding_, _jensma_, _kartası_, 
   {{0xe27f0118,0xda0803db,0xee370761,0x613802ad}},	//   _amangi_, _engasebe, _bengakha, _mladobol, 
   {{0x5f5b025b,0xdb8000ff,0x934e0161,0x00000000}},	//   _áhaldand, _dekomenc, _идеями_, --, 
   {{0x229203bf,0x18ac0220,0x379900c5,0xe38e012e}},	//   _etsang_, _доставчи, _信息公开目录_, _juttatás, 
   {{0x92c3001c,0x12ee0303,0x1a11022d,0x18e801d1}},	//   _belluno_, _alafa_, _tirannia_, _existing, 
   {{0xb3250145,0x3ee70315,0x487b01db,0x440f003a}},	//   _vakarą_, _ayikafan, _атбасар_, _mehribon_, 
   {{0xc292004b,0x829100ac,0xc25a0305,0xcd04014d}},	//   _baradi_, _izvana_, _kjolar_, _verlangt_, 
   {{0xe202000c,0xd34300ed,0xc80e00be,0x4fa400e2}},	//   _kirito_, _disenyo_, _تۅمۅنكۉچ, _bewenner_, 
   {{0xc99c00bf,0x12e70292,0x5538026f,0xa2c80527}},	//   _забывать_, _kwansin_, _تەرشىگەن_, _nevolje_, 
   {{0x75330148,0x96eb0013,0x1201009f,0x5efd0061}},	//   _格林尼治標準時間_, _атайлаб_, _legice_, _말씀하시면_, 
   {{0xe2f1037f,0x23060220,0xe28503bf,0xa25003b8}},	// [fab0] _verildi_, _lunedì_, _bathobo_, _بىرەۋ_, 
   {{0xe2e9046d,0xf83b01a3,0x34c70444,0x00000000}},	//   _korinta_, _چريائپ_, _диндай_, --, 
   {{0x229103e9,0x5b66002e,0x03ea03da,0xbf3a0282}},	//   _ykrar_, _upotreba_, _maatu_, _pohutuka, 
   {{0x4292009f,0xf3ea01a7,0x9a080219,0x2636031a}},	//   _zaradi_, _laatu_, _angasebe, _cairdeil_, 
   {{0x3b66045c,0xa38e02b9,0x13020465,0x324900a2}},	//   _spotreba_, _futtatás, _korakov_, _urambo_, 
   {{0x4912054e,0x62ea0278,0x0b02037b,0x00000000}},	//   _hananiku, _saintis_, _aparecie, --, 
   {{0xcc38000b,0xfc0a0077,0x13f90042,0xa2e200de}},	//   _talitonu_, _blogueur, _seguem_, _asindim_, 
   {{0x9c7f0003,0x9e3200c1,0x23790082,0x95f40715}},	//   _meestal_, _kwalitas_, _alfanun_, _मनोभावना, 
   {{0x112a0014,0x860500d6,0xd2ef042f,0xa8f1004d}},	//   _ኣለኣእኻ_, _íæãíç_, _ukunani_, _新華網巴西利亞_, 
   {{0x6bda02c8,0xcc7f0486,0xd2020176,0xa39500e2}},	//   _premendo_, _fakulty_, _morino_, _presys_, 
   {{0x7b8800f5,0x32010210,0xe5760206,0x596d034e}},	//   _грецияны, _ajaira_, _reklamný, _deminiot, 
   {{0x06710139,0x90f10127,0x8af2003d,0x1fd303bd}},	//   _भारतदेशस, _baibaiek_, _azerbait, _malimpyo, 
   {{0x1d860095,0x035f00a0,0x22d8006a,0xa6df00c7}},	//   _ناامید_, _dangote_, _mameno_, _bayragı_, 
   {{0xd4190518,0xe89c0039,0x405501b0,0x6d0304e8}},	//   _кескин_, _сумитомо_, _ngontrak_, _arremarq, 
   {{0x33ea002c,0xb271016e,0xe4210119,0x7dfa0089}},	//   _jaitsi_, _sorgulam, _magbugto_, _видеотан, 
   {{0x325a0230,0xfe920238,0x971302d7,0x3c9a01bd}},	//   _lallah_, _порталу_, _constitú, _кредитте, 
   {{0x43f90040,0x6ad501e6,0x42940011,0xa30900ff}},	// [fac0] _אינטליגנ, _kapitán_, _akakazi_, _karbono_, 
   {{0x025a0532,0x6b8200a1,0xd25a014b,0x4b470188}},	//   _uzela_, _tekoteko_, _gallah_, _тундравҳ, 
   {{0xe35f01a4,0xca070065,0x1e140024,0xf85700ec}},	//   _bangote_, _zigarett, _কলেজলৈ_, _вымярэнн, 
   {{0xc5de0034,0x037802e7,0x8f430217,0xb5ba01c7}},	//   _sameinuð, _ginatun_, _ultragia, _cagalary, 
   {{0x62870418,0xc61b007e,0x91590053,0xfb890574}},	//   _dikkate_, _bhanurvi, _आयोगाने_, _zavodnic, 
   {{0x7e09018d,0xec7c0497,0x63ea0437,0xfa7d0315}},	//   _ኣዋጃትን_, _almsman_, _uendelig_, _kubatisa_, 
   {{0x756b022a,0xcc210240,0xf05701c7,0xfb0f008b}},	//   _bemonitö, _cikinovu_, _пишигин_, _instalék, 
   {{0x23eb042f,0x2ff600bf,0x97080071,0x73160167}},	//   _maatsi_, _увеличил, _austroné, _goncrid_, 
   {{0xda58049e,0xa03e017d,0x53ea004f,0x359905f2}},	//   _recenzia_, _ブロとも申請フォ_, _baatu_, _prehistó, 
   {{0xdcda00b4,0xa28d0009,0x5cff0350,0xd2d80099}},	//   _prevenir, _podpisal, _በመረጋገጡ_, _hameno_, 
   {{0xb3ea0222,0x427c0163,0xe04302a6,0x874a005e}},	//   _faits_, _integrál, _allungan, _ﺳﻪﮬﯩﭙﻪ_, 
   {{0x2f3d00ad,0x02f40117,0x7b1904d7,0x0ae00268}},	//   _kesunyia, _ilaikim_, _abbalabb, _arbequeb, 
   {{0xbe160177,0xfe940210,0x8c7e012b,0x931a00fa}},	//   _клиникат, _akamukan, _reguły_, _barilang_, 
   {{0x0e8200c5,0x34640483,0x3b19001b,0x4e530343}},	//   _图等稿件均为转载, _graduado_, _baramaan_, _hilabiha, 
   {{0x4d82008d,0xcdf101d5,0x020100c0,0x0aac00be}},	//   _بهسود_, _gondolta, _shaina_, _convoque, 
   {{0x43440362,0x22480013,0xdcaf0478,0x11770156}},	//   _baverse_, _qimmat_, _aumentèt_, _באזונעדע, 
   {{0x2fb800a6,0xe2480421,0x22fe03a2,0x3da9015e}},	// [fad0] _موقعيت_, _rahmen_, _odbiór_, _allibera, 
   {{0x34c5050b,0xdf9f0281,0x5b63006f,0xbb9307f2}},	//   _सह्याद्र, _qulliuvo, _ufaransa_, _dirigido_, 
   {{0xd2c50163,0x9b19022c,0xb3980374,0x63790172}},	//   _kellene_, _karajaan_, _боруссия_, _ɔbanin_, 
   {{0x222400a6,0x410e0177,0x61df0312,0x02fe0462}},	//   _ngoko_, _аопозици, _marevezh_, _adershay_, 
   {{0xac120182,0x3a5c033a,0x328f03b5,0xd2240066}},	//   _leopadi_, _armerija_, _waspadal, _igoko_, 
   {{0x888901db,0x93ea0211,0x82de01f0,0xf25401f6}},	//   _ءﺗﯘﺳﺘﻰ_, _paitsi_, _babereki_, _শিল্পৰ_, 
   {{0x0d6e0076,0x6516038e,0xe225013a,0x124803fb}},	//   _моментал, _उद्देश_, _decken_, _primao_, 
   {{0x268e0472,0xba7100a0,0x634700f8,0x00000000}},	//   _dikemudi, _ayyanawa_, _কানাইঘাট, --, 
   {{0x929d00d9,0xcff80488,0xbad701e0,0x36eb02f7}},	//   _мобильны, _pensionā, _باربردن_, _bomannaw, 
   {{0x07b70216,0x75a0004a,0xdee700bf,0x8ad0009a}},	//   _entshuri, _эраның_, _кабанов_, _لرلید_, 
   {{0x273103f8,0xd74600cb,0xf3f901f4,0x02cb0338}},	//   _erpuqvam_, _махшар_, _sharafli_, _colomna_, 
   {{0x4202023d,0xfb300244,0x4d9a054e,0x105701f2}},	//   _torino_, _герои_, _tavogaga, _синиқи_, 
   {{0x802902a9,0x73ea0150,0x038003dc,0x05230138}},	//   _героем_, _raits_, _metrar_, _faydası_, 
   {{0x362a0164,0x591702cf,0x226c0810,0x52d600c1}},	//   _ئىلغار_, _средина_, _nimon_, _setoran_, 
   {{0xc846042f,0xd3660107,0x64cd008d,0x23a10154}},	//   _kaimallu, _tanggul_, _машинани_, _студиеря_, 
   {{0xed6f040e,0x63f90318,0x22fc01c6,0x920701f9}},	//   _ক্ষেত্ৰত_, _akauni_, _sjogge_, _alikwati_, 
   {{0x7356040f,0xee1001f6,0x72d801e6,0x53960416}},	// [fae0] _moteris_, _ব্ৰজেন_, _rameno_, _matsne_, 
   {{0x06340145,0x7aa602ac,0xcbe9016d,0x4f300021}},	//   _spinduli, _يطلقون_, _әрздарла, _edishswa, 
   {{0x02240258,0xf45102ec,0x2cfe00ff,0x70fd01c9}},	//   _rekken_, _کانژھا_, _מוסקלען_, _नीचवा_, 
   {{0x89090013,0x3b190050,0x692f0101,0xd3940429}},	//   _севара_, _sasatoan_, _trimitet, _mensia_, 
   {{0x7212001d,0xb96701d1,0x8b1f0013,0x0b3f0418}},	//   _linhai_, _delighte, _tilayman_, _demirtaş_, 
   {{0xb12b008d,0x1709000c,0x72da01b5,0xb27c012e}},	//   _осойишта, _великии_, _eatena_, _integrác, 
   {{0x729e020a,0xb6d30050,0x00000000,0x00000000}},	//   _اماناتتا, _salasahi, --, --, 
   {{0xd38700bc,0xa0e601ea,0x4d1d01fd,0x48b101a3}},	//   _amerga_, _эрдўғон_, _actualic, _فراڊي_, 
   {{0xd6c9002e,0xe2d8023b,0xffc203d9,0x63ea0182}},	//   _uglavnom_, _kamelo_, _kolokolo, _neitiw_, 
   {{0xab990032,0x43aa0074,0xa2da00ad,0x1279018e}},	//   _bochidqo_, _старый_, _hatena_, _dayimani_, 
   {{0x227f014c,0xc9ce013b,0x32320409,0x00000000}},	//   _amanzi_, _sandomie, _svimmel_, --, 
   {{0xf00d00c7,0x5c82024a,0x93020170,0x63af029b}},	//   _urtaklaş, _londoonu_, _chinyanj, _jàple_, 
   {{0xe20103a4,0x2b590096,0x82df02be,0xfde6011a}},	//   _shaila_, _aratinya_, _byenang_, _ובכפוף_, 
   {{0x48640525,0x9c7b00be,0x312201db,0x4b970158}},	//   _कामेश्वर_, _تۇزاعىنا, _تەڭدەسى_, _poliestr, 
   {{0x2cb00169,0xa23000ab,0x627f03db,0xd0320223}},	//   _বিস্থারি, _huamata_, _emanzi_, _hastapen, 
   {{0xa9fb01ae,0xc2b400b4,0x4e1600ee,0x58850061}},	//   _moradore, _bancar_, _beregana, _대림아크로빌_, 
   {{0xe26d01b2,0xfe25026c,0x15d80041,0xf90901cd}},	// [faf0] _bygone_, _publicus_, _hapõñe_, _бешараф_, 
   {{0x13cf02df,0x3c7f0138,0xb03d0461,0x2869004d}},	//   _termasuk, _musunuz_, _invencio, _逾期不予受理_, 
   {{0xa29004cc,0x27d700a4,0x1c5700bb,0x53f90147}},	//   _ajbak_, _پاراشوت_, _میرٹھی_, _seguim_, 
   {{0x2ebb0005,0x53f702c3,0x73980040,0x0e2f03e6}},	//   _beinvegn, _profilov_, _זעזועים_, _beigesaa, 
   {{0x04aa0229,0xe77900be,0x2b1900cf,0x00000000}},	//   _bizimyol_, _convidem_, _farahaan_, --, 
   {{0x9af902db,0xfc6e02e9,0x63a2021b,0x00000000}},	//   _kaenkaen_, _ingresa_, _helpot_, --, 
   {{0xd26403ff,0x629203e6,0xe89304df,0x52e80111}},	//   _myslim_, _gesaid_, _direliş_, _bijectif_, 
   {{0x2e800128,0x210f004a,0xd6b701b8,0x645e0097}},	//   _آشیشیدن_, _имтихан_, _rahakoti, _purọ́_, 
   {{0x105900da,0x8b2602d3,0x60900211,0x0d340032}},	//   _капитале, _однос_, _netissä_, _blogjijq, 
   {{0xffa700ce,0xc1d80095,0xfc670291,0x127f0043}},	//   _commarmo, _saliyané_, _أرواح_, _amanyi_, 
   {{0x4ae504c8,0x6976026a,0xc6cb0144,0x9c4700cb}},	//   _ħolqien_, _komipiut, _polannai, _махмад_, 
   {{0xc2da004b,0x354e02ba,0x93870685,0xd34604ca}},	//   _latela_, _abakhokh, _undrer_, _índias_, 
   {{0x02e30194,0xec1c03c7,0x8df30167,0xfa9c06a1}},	//   _auerbach_, _stopniu_, _caldicot_, _arkivins, 
   {{0xf37902bc,0xb58504ec,0xaeda0058,0xbb060609}},	//   _sabaton_, _arururuk, _latinans_, _vísceras_, 
   {{0x254102fe,0x53860008,0xc3960255,0xbc5d0198}},	//   _البانيا_, _pebre_, _vorsti_, _rastejo_, 
   {{0xe3a9002e,0xfcb50040,0x822e00f3,0x00000000}},	//   _nikakvog_, _בוסתן_, _obuvumel, --, 
   {{0xfe3a001f,0x10370074,0x17a90107,0x9e3a00ef}},	// [fb00] _basabasa, _lentokon, _دوستانش_, _akwasira, 
   {{0xf24a00f1,0x9355012c,0xec1c0101,0xec0a0192}},	//   _soumet_, _profesa_, _propriu_, _kloppen_, 
   {{0x2a360173,0x67a902b6,0x73a90094,0x00000000}},	//   _বাহিনী_, _بولتىن_, _بولدىم_, --, 
   {{0x051001ef,0xedbf03dd,0x3a5f00d8,0x663e0184}},	//   _ферму_, _mesatare_, _exigenta_, _imwihani, 
   {{0x46c80037,0x444f003a,0x72ee038a,0x62da0055}},	//   _የልኡካን_, _یوزلبچه_, _atinchi_, _fatela_, 
   {{0x6c370026,0x4df9004c,0x97010291,0xb14700e0}},	//   _연구회참여_, _akaddiye_, _منشأة_, _fierdero, 
   {{0xfe390119,0x5f62029b,0xfc940178,0xc7bb0299}},	//   _nakakara, _defaatub_, _bhṛṅga_, _تەسبىھنى, 
   {{0xe2920306,0xae8c00c5,0xaf1d0268,0x4379001e}},	//   _jarani_, _伴奏酷金币_, _actualwa, _mayakan_, 
   {{0xb2da05c2,0x24ab01d2,0xb15c0374,0x00000000}},	//   _katela_, _askachak, _мучал_, --, 
   {{0xced700cd,0xb6bb0092,0x0c0500a6,0x6c7d01b2}},	//   _chantuns_, _アディダス_, _alusayi_, _alesian_, 
   {{0xc05100bf,0xa9f8036c,0xbb9d011f,0x32920166}},	//   _условий_, _maninona_, _amondoho_, _sprach_, 
   {{0xc564004d,0xa3870127,0xa8790094,0x3eb40465}},	//   _人行道上有一個深, _alarch_, _تەنتىرەپ_, _nepopoln, 
   {{0xa9a90213,0x53fa00ab,0xe553023c,0x129000fa}},	//   _собирать_, _koruru_, _ګمراهي_, _bulate_, 
   {{0x8aa80061,0x22ca0011,0xc2920264,0xd13e0227}},	//   _계속적으로_, _alalati_, _harani_, _hindaril, 
   {{0x62920854,0xaed000ec,0x6ec30040,0x63f800b7}},	//   _ntsaig_, _turintys_, _מאתרי_, _başlanyp_, 
   {{0xa01800f5,0xe74001b7,0x33a203f6,0x80090037}},	//   _алкоголл, _क्रियाया, _hoopio_, _መገጣጠሚያ_, 
   {{0x977d00d9,0x22da01a4,0xfe530340,0xbbf804df}},	// [fb10] _подростк, _batela_, _maharaha, _başlaber, 
   {{0x1c7d0301,0x2f90004d,0xbaf9006c,0xb26600db}},	//   _olurlar_, _本網站保留一切法, _akashint, _ultrahel, 
   {{0xa045000e,0x4e850243,0x93540145,0xa2920369}},	//   _repugnan, _arrabát_, _modelis_, _farani_, 
   {{0x787900da,0xe4d8026f,0x827f04d8,0xd3940376}},	//   _легате_, _بالاساعۇ, _qarnigii_, _kalsø_, 
   {{0xbc2300db,0xb51100bb,0x825a0313,0x00000000}},	//   _taasises, _مجتہدی_, _sollaw_, --, 
   {{0x22cb01ff,0x835f029b,0x7557011a,0x00000000}},	//   _hladat_, _jangate_, _מתעלם_, --, 
   {{0xa17a01b2,0x019300b5,0x42cb018b,0xafc30064}},	//   _agrimony_, _цитрустә_, _coloana_, _enginyer_, 
   {{0x550d029a,0xb3ea0303,0xcb590162,0x00000000}},	//   _levolisy, _borutegi_, _بايلىقىد, --, 
   {{0x925b041e,0xd71500d6,0x62f006a8,0x7f140037}},	//   _quelli_, _meiriceá, _dogodjaj, _አድሚኒስትሬተ, 
   {{0x5a8b026c,0xe3ea030b,0x474001b7,0x42e70062}},	//   _訂閱電子報_, _abato_, _क्रियावा, _danudlah_, 
   {{0x0fef0360,0x92b500ee,0x7503005e,0xa8030242}},	//   _ल्यापटप_, _landare_, _ﻛﯩﻼﺳﺴﯩﻚ_, _yazmışam_, 
   {{0x8cd50032,0x6b900041,0xdd8601b8,0x9379069b}},	//   _dacherlu_, _заҵәык_, _raseduse_, _rayakan_, 
   {{0xf37b03ee,0xfd980455,0x4c980101,0xe0730035}},	//   _strasno_, _incendie_, _incendiu_, _дусты_, 
   {{0xd37a0197,0x5e4801db,0xc68a065f,0xd38606dd}},	//   _farawon_, _лирикалы, _neodolji, _lebra_, 
   {{0x036f0305,0x7e3501aa,0x00000000,0x00000000}},	//   _leggast_, _arrayswa, --, --, 
   {{0x1d86014f,0xba890095,0x443702eb,0x5ae2015e}},	//   _награду_, _piringan_, _грекийн_, _fantàsti, 
   {{0x113e0229,0x157702c0,0x89e6027e,0x137a0185}},	// [fb20] _dindiril, _наоколу_, _пастира_, _karavon_, 
   {{0x9c8000d1,0xfdb3014f,0xd27f00b7,0xe50301b5}},	//   _পদক্ষেপস, _агресије_, _atanak_, _nkatsano_, 
   {{0xe2eb040a,0xca6d0464,0xdec9034b,0xd317040f}},	//   _avsnitt_, _amaganga_, _expirien, _grazus_, 
   {{0xfe2200af,0x43eb006e,0xa20e0188,0x9a630140}},	//   _således_, _aayti_, _сарат_, _abogasya_, 
   {{0xbf6401bd,0x4e5300d5,0x824800bf,0x139401da}},	//   _экспортт, _raharaha, _гостевую_, _luksi_, 
   {{0xb7e30246,0x1edc00e6,0xb97603db,0x892a0038}},	//   _флирт_, _prairies_, _olungile, _işmurato, 
   {{0x80190397,0x486701b4,0x22780308,0x738600da}},	//   _хосса_, _kwessies_, _husnul_, _febra_, 
   {{0x2380033c,0x530e024c,0xef3503a4,0x7fde02c7}},	//   _carreg_, _ekwatur_, _avtornar_, _sicherer_, 
   {{0x49b900f0,0xf4ad03b9,0x7ad100d1,0xb9c203c2}},	//   _potvrdzu, _saraskak, _ককায়েকে_, _appetise, 
   {{0x7cc4012e,0xf3a302e5,0x22ee000b,0x17af038a}},	//   _نظامت_, _azapá_, _ilafi_, _calerueg, 
   {{0x469a0220,0x1a080066,0x029000a4,0x68ac00af}},	//   _компютри_, _нэмрээ_, _relats_, _описати_, 
   {{0x09c60629,0xe2d4044d,0x63800372,0x623a0148}},	//   _epresent, _tardé_, _garreg_, _法文大紀元_, 
   {{0xd386033d,0xd29200f2,0xb75400b5,0x330d0017}},	//   _debri_, _karali_, _fonético_, _offaxis_, 
   {{0x57e007db,0xbb510569,0xc292041c,0x8c7d00e2}},	//   _कवयित्री_, _predivan_, _jarali_, _pitstra_, 
   {{0x027f028e,0xc46402da,0x0307020e,0xb0b60109}},	//   _bignem_, _quadrado_, _ушанов_, _साइँलो_, 
   {{0x02920140,0x1c6101fe,0x54640119,0x2ebe0128}},	//   _marami_, _loruama_, _gradwado_, _ролларни, 
   {{0xc7650378,0x684f0105,0x4f6501e4,0xd60602d0}},	// [fb30] _skrivlig, _अर्धशतक_, _podruhé_, _ishmaeli, 
   {{0x80a3005e,0xedb30421,0x99050322,0xd3560299}},	//   _ئەنبىيا_, _gelandet_, _bagahugu, _جىقمۇ_, 
   {{0x92ee01e1,0x3201000d,0x46a400c6,0x00000000}},	//   _alafi_, _tegime_, _окружног, --, 
   {{0x71ac01f4,0x63eb0013,0x5ae20434,0xbf5e012e}},	//   _бартараф_, _sayti_, _titulare, _budaörsi_, 
   {{0x42920022,0xa9fa0855,0x77b600b9,0xefc80213}},	//   _barali_, _forsvund, _kewenang, _фальсифи, 
   {{0x13e400d1,0xce3b02e7,0xef500053,0x4ede0147}},	//   _গৰ্কীৰ_, _kasagara, _mensosia, _coherènc, 
   {{0x43bc010f,0xd1560208,0x00000000,0x00000000}},	//   _миллиону_, _شارومه_, --, --, 
   {{0xc9c600e5,0xf3830119,0xc289023c,0xa37b0115}},	//   _apresent, _corregim, _حقيار_, _dimalam_, 
   {{0x52560195,0x0b040003,0x4378006f,0xcc550013}},	//   _eòlas_, _personee, _lowassa_, _аланга_, 
   {{0x57da00c1,0x030d005c,0xf86300e6,0x00000000}},	//   _सुटकेचा_, _bambaza_, _上海市信息化委员, --, 
   {{0xf8be02da,0x498103b0,0xa51e04e5,0xc2b300f7}},	//   _produzid, _beskytta_, _ambulako_, _avidulo_, 
   {{0xd919016e,0x79820176,0x787c0092,0x61f30213}},	//   _futbolcu, _beskreve, _ハチミツとクロ_, _нарушают_, 
   {{0xe2fc022c,0xb3fc000a,0x10750131,0xbe950205}},	//   _kungsi_, _anillakk, _compaxin, _курамиз_, 
   {{0x3e550556,0x3a5700f5,0x8f490039,0xe25e01f7}},	//   _kwabanye_, _никадан_, _барилдла, _alhocadi_, 
   {{0xc6d60019,0xd30d00a0,0x00000000,0x00000000}},	//   _جاشمىن_, _gambiza_, --, --, 
   {{0xc43d00bf,0x75a000c7,0x825a0026,0x91a2004d}},	//   _современ, _assimilä, _ruilen_, _全國永續會議_, 
   {{0x47a100b4,0xa27e00f0,0x55820415,0x00000000}},	// [fb40] _reduceri, _polnoc_, _festsetz, --, 
   {{0x59690240,0xc6cc02ca,0x830d014c,0xa2da00dc}},	//   _konifere, _ollainni, _bambiza_, _fruean_, 
   {{0x25cf0685,0x13790239,0xa2fc03a4,0x00000000}},	//   _stadigvæ, _taratoa_, _hungri_, --, 
   {{0x0d990244,0xd47000da,0x769603d9,0x437800f6}},	//   _mangiare_, _психиче_, _jenerali, _livanda_, 
   {{0x1f870177,0x637a02a0,0xed420015,0xf3170312}},	//   _алаирхәу, _ibqadan_, _mohamoud_, _efeziz_, 
   {{0x8c360223,0xd3800418,0x2703006f,0x994c012a}},	//   _mainmenu_, _hasret_, _محتاجي_, _autoryte, 
   {{0x0b6701f6,0x60cd02d3,0xf37a0050,0x4a0f006e}},	//   _muslimar, _привлече_, _karaton_, _fagarule, 
   {{0x5dc70072,0x02fd0119,0x525a01e5,0xc2bb0192}},	//   _chikatap, _alagoa_, _iselu_, _ellende_, 
   {{0x6202010b,0x8e0e056e,0x5db6002c,0x17aa00a8}},	//   _tiriso_, _referida, _begirada, _postigli, 
   {{0x8c7f0044,0xf3e70145,0x81c70115,0x8f0203ee}},	//   _faculty_, _užtat_, _menerjah_, _stojadin, 
   {{0xa292044d,0x5acb023e,0x502101db,0x7c290139}},	//   _barabi_, _bemmelen_, _ержүрек_, _dassanas, 
   {{0xb2920251,0x65e30299,0xefe70156,0x003e02ea}},	//   _carabi_, _بەھۇزۇر_, _הײַטס_, _cinturin, 
   {{0x59f30092,0x1f4102c2,0xdc76054a,0x21750487}},	//   _はてなブックマ_, _deurmeka, _uporedi_, _unequivo, 
   {{0x83a804f0,0x81ec00b5,0xbb9a0233,0x8ace0151}},	//   _molaleng_, _atamahág, _pronunic, _bantamwe, 
   {{0x9a0800b2,0x5d9a004f,0x038701af,0x53a30077}},	//   _baramnee, _gannaawa, _buyruk_, _paspo_, 
   {{0xc68201bb,0xe27e0183,0x035b0147,0xa7360178}},	//   _meselesi, _adinoy_, _سىدەرگە_, _dikṣvana, 
   {{0xd95701d3,0xc27e0292,0x5f9c00ec,0x6ec40242}},	// [fb50] _leksaker_, _oponko_, _абскардж, _atıla_, 
   {{0x2d0900b1,0x288c0040,0xcab500db,0x6b1d0434}},	//   _togolese_, _פלייבק_, _अगाड़ी_, _montañas_, 
   {{0x3201002c,0xad38018d,0xd47e0156,0xe21a0153}},	//   _ekaina_, _ብቕድስና_, _פוטבאל_, _スイス製オルゴ_, 
   {{0x62fc022c,0xacfe0037,0x01380147,0xd2d50020}},	//   _sungsi_, _መለሰላቸው_, _جۇعراپىي, _lipotia_, 
   {{0x723003e5,0x62b500d5,0x93ea0227,0xb96a0144}},	//   _gramata_, _nanjary_, _kental_, _daingnit, 
   {{0x9c5a006e,0x72fc019a,0xdc3005d2,0x07400092}},	//   _britani_, _arnheid_, _veibeskr, _興毅選手と金平会, 
   {{0x12300282,0xa2ee005c,0x02b5006a,0xad700237}},	//   _aramata_, _alifu_, _hanjary_, _레드망고타이쿤_, 
   {{0xa24804f9,0x63ea0074,0x02900285,0x00130260}},	//   _qimmit_, _saatu_, _budage_, _vindeiro, 
   {{0x02ee0134,0xd3b90527,0xe3ea01b4,0x2a490361}},	//   _alafo_, _potvrdu_, _maats_, _барткхол, 
   {{0xb2b601a7,0x8224020f,0x359401ac,0x52b500d5}},	//   _строител, _ngoku_, _مختلفه_, _manjary_, 
   {{0x96f70037,0x73ea032d,0xdb4107f6,0x4e0e020f}},	//   _ዴቨሎፕመንት_, _faats_, _istoriča, _benezida, 
   {{0xac7103c7,0xb24503f0,0x539800b7,0xb2c10856}},	//   _भुट्टो_, _landssam, _сатарлар, _zaobchád, 
   {{0x94a801db,0x91cd01b7,0xf2770038,0xbc6b0037}},	//   _ءبىرەۋى_, _बरूहि_, _гармун_, _ከታህሳስ_, 
   {{0x6ecf007d,0x28f50147,0x6a080139,0xca8c018a}},	//   _bernasib_, _تىەقكلەد, _apramatt, _ceridwen_, 
   {{0x924802cb,0x9ba80321,0xcc6f013d,0x83ea0177}},	//   _primio_, _elektrar, _ankrejo_, _mbiti_, 
   {{0x72980405,0xd7f1008d,0x29d90107,0x9a6800d0}},	//   _презенту, _юкори_, _balekake, _abagunea_, 
   {{0x96430298,0xdae601f6,0x53ea013a,0xfcf1037c}},	// [fb60] _kohikohi, _kulturne, _daats_, _contuler, 
   {{0x64db0139,0xe2300255,0x74f70211,0x3da80021}},	//   _ambaṣṭha, _oksjon_, _китайцы_, _ashikosa, 
   {{0x42980107,0xad750222,0xca7602d8,0xe5f901e0}},	//   _ازاله_, _sommaire_, _इसेन्स_, _پارلمانت, 
   {{0x370702da,0x69f903cf,0xc3ea0220,0xd8cd00c7}},	//   _instalaç, _forumumu, _abiti_, _бохараев, 
   {{0x62900082,0xc6c502ba,0xc225025c,0xdc11018a}},	//   _kudade_, _abashush, _becken_, _athletau_, 
   {{0xf3000583,0x43d101e0,0xa30a014e,0xf84b0488}},	//   _podatki_, _پێتان_, _открили_, _radusies_, 
   {{0x92da0170,0xc3ea0558,0x7cd300b5,0xa24800cb}},	//   _actesa_, _mbata_, _jahavévo_, _anembe_, 
   {{0x02730102,0xb3ce0447,0x8da00095,0x00000000}},	//   _waisrael, _chimbudz, _clangkra, --, 
   {{0x39fd0338,0x96d6001d,0x42c501fd,0x05850373}},	//   _multimèd, _suscessi, _rellene_, _datumbaz, 
   {{0x83ea03e0,0xa63c0047,0x96c70119,0x104b02a6}},	//   _waats_, _judiciai, _ausserrh, _entravan, 
   {{0x7b7001dd,0xf200008d,0x726c029b,0x06d3030f}},	//   _akirinda_, _laning_, _limou_, _tataraki, 
   {{0x03ea0129,0xad3a010b,0x53f900ad,0xed6c0139}},	//   _abata_, _basimane_, _ayyuby_, _bhartāra, 
   {{0x9d000277,0xec01022b,0x4be700d8,0xcc82022c}},	//   _groundbr, _krossur_, _assertor, _cintrong_, 
   {{0x4b55001e,0x8ae70064,0xc1750218,0x487301d2}},	//   _kwatanta_, _nocturne, _amendway_, _benisuyu, 
   {{0x5e2a00a7,0xfeb70177,0x08260309,0x5164031a}},	//   _escolars_, _нарбоит_, _silsiləs, _frangach_, 
   {{0x325a04a5,0x52640081,0x4ff00187,0xb6c4042a}},	//   _mpela_, _brandari_, _тенки_, _kulabafi, 
   {{0x7e4a0455,0xdf3303ae,0xdb8d048f,0x00000000}},	// [fb70] _comprend_, _uaksepta, _teritwar, --, 
   {{0x0b070365,0xf39401fc,0xd2d102a4,0x00000000}},	//   _kuchyňsk, _kiisik_, _errorem_, --, 
   {{0xc25b03cf,0x82a60116,0x6e5400d5,0x18e8045a}},	//   _devlet_, _dunbar_, _fitariha, _mangelfu, 
   {{0xc5d60689,0xe9bf040d,0x31bd02ac,0x0ab600da}},	//   _परिपुर्ण_, _mametlet, _المئة_, _факулт_, 
   {{0x7e4f000a,0x8aa9015e,0x4b970162,0x63ea0193}},	//   _tamatuma, _телеге_, _каллам_, _pentil_, 
   {{0x4e3a000e,0xa9d1027b,0xb2550156,0xafcb03a4}},	//   _accapara, _अद्वयतार, _וועהם_, _dopingro, 
   {{0x3f2300a1,0x62010058,0xee1c00ff,0x76d301a6}},	//   _hiruhara, _dibiko_, _ביכּורים_, _matapaki, 
   {{0x2294024f,0xcd1303ef,0x2be500e2,0x9b630092}},	//   _itokani_, _ikurikir, _studearr, _reventon_, 
   {{0x4290007f,0x1408041a,0xa29200ac,0x37c80311}},	//   _adlais_, _пристроя, _obradi_, _እንቕበሎ_, 
   {{0x7645014e,0xd0250425,0xd2ca031a,0x626c04e6}},	//   _плодова_, _حوجره_, _coidse_, _limot_, 
   {{0x849f0024,0x83f90240,0xa65c00cb,0x5c92005b}},	//   _সমস্যাই_, _tavuto_, _amakhomi, _haruking_, 
   {{0x14040360,0xf4750408,0x22e702f0,0x4297024f}},	//   _semináře_, _napetrak, _ayinawo_, _sevataki_, 
   {{0xc7a60135,0x298603cc,0xa29602a0,0x12dd012b}},	//   _operatsi, _মুজতবা_, _agekuru_, _licencji_, 
   {{0xeaa50222,0x840e002b,0x5da80282,0x00000000}},	//   _enrichis, _স্বাচ্ছন, _titoreha, --, 
   {{0x449f00d1,0xe7db03a2,0x63870116,0x53fa04df}},	//   _সমস্যাও_, _कोडरमा_, _clarty_, _başlaly_, 
   {{0xba0102cb,0x80370385,0x1d9a00fe,0x00000000}},	//   _dijaloga_, _odstupan, _lavulavu_, --, 
   {{0x66a50144,0xf4d702b6,0xa5590095,0x56a702cf}},	// [fb80] _samersof, _маманы_, _مبادرت_, _запирка_, 
   {{0x11c50244,0xad800074,0x8d6500c5,0x9fba0190}},	//   _планина_, _ongelmat_, _本网转载出于传递, _gagonado, 
   {{0x36d7023c,0x041202a9,0x8695019a,0x00000000}},	//   _جنګسالار, _авэню_, _fortnich, --, 
   {{0x1983014a,0xa2c601b5,0x0189020f,0xd7c90198}},	//   _tekinthe, _chulule_, _خوشبين_, _miasteni, 
   {{0x925a03b0,0x812d02ba,0xa5a30466,0x00000000}},	//   _spela_, _шарте_, _odprilik, --, 
   {{0xb3bf00ca,0x7f4700e6,0x52db040f,0x764302c7}},	//   _servici_, _中国法院网_, _privačių_, _strömung, 
   {{0xc62d0168,0x78d2013a,0xa29500ab,0x23780077}},	//   _trondhei, _adressbu, _haukori_, _dajabon_, 
   {{0x2a9d00e4,0xf2f9015e,0xee3b0343,0x5dc50333}},	//   _dofinans, _تەپسەلىپ_, _kasayara, _arsiccia, 
   {{0x2fc7023c,0x8b1c0120,0x57ab01da,0x0ec20065}},	//   _چارشنبې_, _gibadaab, _pastrimi, _beanstan, 
   {{0x0d840321,0xafb0026f,0x8c680331,0xd0cd02b6}},	//   _izberite_, _اﺳﻜﻪري_, _minutti_, _جەڭگەننە, 
   {{0x32300415,0x34560122,0xc5ab0107,0x5c6e048c}},	//   _stimmen_, _بانداژ_, _anggenth, _amarina_, 
   {{0x30270177,0xc47100bc,0x6b3e00ba,0x9ca20043}},	//   _аҭира_, _khitanan_, _زلهێز_, _amazukir, 
   {{0x9cde00b7,0xb8530222,0xde8b0126,0xc69203d7}},	//   _назардан_, _demander_, _мотиваці, _lintansy, 
   {{0x9cd900f7,0xc5bb061b,0x90da011a,0xc719022f}},	//   _תחיית_, _बराहक्षे, _מדגסקר_, _вербаў_, 
   {{0xcb9d03bb,0xf29201e1,0x203200c1,0x121800fc}},	//   _cofinanc, _busang_, _नावही_, _ludislaw_, 
   {{0x929100d6,0x00000000,0x00000000,0x00000000}},	//   _mgcamd_, --, --, --, 
   {{0xb15b0212,0x1f6b007d,0x0af70299,0xb34d0258}},	// [fb90] _badgehel, _perbelan, _ئىچدە_, _sineesk_, 
   {{0x58d1004a,0x4da30182,0x02ce02fd,0xe9e700ca}},	//   _атсын_, _kedorela, _challum_, _cantelou, 
   {{0xa9f00211,0x93870169,0xcc7d0155,0x8b030420}},	//   _hinnalla_, _perra_, _snurrar_, _поделен_, 
   {{0x122104ac,0x63050025,0xaec6000c,0xf16d037f}},	//   _аккаунта_, _aurasam_, _хаттаки_, _biopaspo, 
   {{0x135e01fc,0x82e30297,0x62010039,0x62c30453}},	//   _angurrum, _iktisad_, _argitu_, _udaljen_, 
   {{0x0387025f,0xae1b00d5,0x45bd0311,0xfd9102e5}},	//   _werra_, _fibebaha, _ኣፍንጭኦም_, _шәлагла_, 
   {{0x4f7800c5,0x1afb044d,0x17c90014,0x25d800e6}},	//   _重庆人事网_, _coredoks, _presioni, _省新闻出版局_, 
   {{0x894903b8,0x3b810159,0x00000000,0x00000000}},	//   _табаныны, _sprogimo_, --, --, 
   {{0xb2cb0255,0x622a00af,0x9624000a,0x53540148}},	//   _reedel_, _зонах_, _assorali, _videris_, 
   {{0x1af501aa,0xb95d0226,0xf2cb0020,0x0f38042a}},	//   _istribut, _amangote, _foloina_, _iseselap, 
   {{0xd24a00a4,0x17b70090,0x76a8004d,0x5f2500bb}},	//   _alumne_, _akarumbi, _車牌遺失資料查詢_, _آپکو_, 
   {{0xfa2a013c,0x52d80107,0xc2a702e4,0xb3490187}},	//   _rusiyanı_, _adhepi_, _esebit_, _confere_, 
   {{0x27dd019e,0x6e310148,0x5c69013b,0x12d405c3}},	//   _гравюрах_, _utilitas_, _conthey_, _gardé_, 
   {{0x568e018a,0xd20e0244,0x00000000,0x00000000}},	//   _ceredigi, _батак_, --, --, 
   {{0x73f40211,0xc28e037a,0xf25403a2,0xe38702b0}},	//   _kautta_, _agakoko_, _अंदेशा_, _herrn_, 
   {{0xf2d80145,0x75f40162,0x2fb60109,0xea010119}},	//   _pamokos_, _күчни_, _slíbil_, _kanangga_, 
   {{0x650602ec,0x43950281,0x3c6701a7,0x6d8b006c}},	// [fba0] _سامانہٕ_, _sussa_, _minusta_, _abamakha, 
   {{0x1386001f,0x9e6d00f2,0x9368001d,0xc9d302bd}},	//   _hebri_, _identitā, _fingres_, _drawsglu, 
   {{0xbf98019f,0x116402ac,0xc6ca01aa,0xc7da0089}},	//   _خوشنما_, _francach_, _alignedw, _datalarg, 
   {{0x138d00a6,0xa15f0258,0x46cf0331,0x273601b2}},	//   _دشمال_, _fuortsko, _behagili, _bayleeag, 
   {{0x52ee0333,0xcb9d0321,0x14a1013c,0x00000000}},	//   _stanchi_, _sofinanc, _tutmadı_, --, 
   {{0x92c501c9,0xe03e030b,0x437d003a,0x766a0039}},	//   _selline_, _abatalin, _kuzatib_, _номондоо_, 
   {{0xe2e302c1,0x92df018b,0x32a10308,0xb17c0160}},	//   _bihishe_, _colorat_, _memberim, _nezahval, 
   {{0x958d0037,0x32ab018d,0x83870705,0x07b8036e}},	//   _እስራኤልም_, _ንምጽባብ_, _querer_, _brasilpi, 
   {{0x23870074,0xd976023c,0xeeb101db,0x07690311}},	//   _kerro_, _alungile, _туризмді_, _ብዘርኣዮ_, 
   {{0xc77903db,0x8a8d0444,0x10db0109,0x2b9e0090}},	//   _abakhang, _изменен_, _कोठीमा_, _cheharar, 
   {{0x89d00128,0xd9db01f9,0x727303b8,0x00000000}},	//   _терим_, _emancusa_, _قابىلداۋ_, --, 
   {{0x8368013b,0x53ac017e,0xb9f9037b,0x72d702c5}},	//   _loggers_, _okupas_, _ganadore, _chiendai_, 
   {{0x32650056,0xac7e0235,0x3ab7008a,0xd3870359}},	//   _агентии_, _agastyo_, _asikolas, _boarch_, 
   {{0x47c90163,0x915c014e,0x529400a5,0x53b20185}},	//   _fórumlis, _чувар_, _savavali_, _firqä_, 
   {{0x8f73015e,0x6b1b00f6,0xb285044c,0x00000000}},	//   _тапшыруу_, _yaranars, _tenking_, --, 
   {{0x92e90282,0x32010334,0x00000000,0x00000000}},	//   _kiritea_, _dizilo_, --, --, 
   {{0xdc5a00db,0xbd0a023c,0xc8590418,0xf3730295}},	// [fbb0] _ilmunud_, _ورننوتل_, _kurallar_, _mamalie_, 
   {{0xc2da06af,0xe6e7021a,0xced8019d,0x19510144}},	//   _mateka_, _dabaluuf, _kanyumba, _اندونوسي_, 
   {{0x4eb700ee,0xd63600de,0x3c6e0095,0xf1ff0053}},	//   _далайн_, _abaneemi, _angrasa_, _pakailah_, 
   {{0xfeca0074,0xcc36009a,0x326704df,0xcb380137}},	//   _elinkein, _زعامت_, _bezelýär_, _театрыг_, 
   {{0xd64f01f9,0x2da40218,0x64d7020e,0x75450065}},	//   _akukadzi, _alkingwa, _батабыҙ_, _dankesch, 
   {{0xd1eb00de,0x235a009a,0x036000a6,0x504c0361}},	//   _وفاداره_, _ورسپارل_, _دپرله_, _дiагiур_, 
   {{0xd2450479,0x00000000,0x00000000,0x00000000}},	//   _tímea_, --, --, --, 
   {{0x6797032b,0xd784005e,0x524601c9,0x325a0202}},	//   _туталайд, _سىچۈەن_, _छुपले_, _ipele_, 
   {{0x63eb045c,0x571e008d,0x98e60212,0x75550237}},	//   _tretia_, _мангу_, _stuffplu, _김제지평선축제_, 
   {{0x52da012c,0x53dc02a1,0xddd5017f,0xfeb0021b}},	//   _wateja_, _jahweh_, _baskerit_, _asusteet_, 
   {{0xb50d0197,0xc273018b,0xfe010021,0xd39600af}},	//   _revolisy, _familiei_, _abnergra, _hatske_, 
   {{0xe3870359,0x8f5d0462,0xf65201c1,0x1b2a00da}},	//   _soarch_, _ormation, _menyusul_, _лидерило, 
   {{0x7f6b0350,0xd2cd00e3,0xe8de00a4,0x10350264}},	//   _berbilan, _alleanzi_, _палеоген_, _gintikan, 
   {{0xb11a00da,0xe0d500d3,0xa3e60488,0x8c930164}},	//   _ворба_, _partnerů, _sarukusi_, _ساتار_, 
   {{0x7151005b,0x2a5a00da,0x039501d9,0xc51200c1}},	//   _callaway_, _парантез, _ausso_, _फाळणी_, 
   {{0x8bdf04b3,0x21c600d1,0x91cb03cc,0xd9a401d4}},	//   _paneller, _সন্তানহী, _খাগড়াছড, _waukesha_, 
   {{0x29ad01a3,0x73870319,0x5be7031a,0x0d470192}},	// [fbc0] _تجربن_, _perro_, _alpenhor, _통합민주당_, 
   {{0xb49600ff,0x937900d8,0x428c00ce,0x8292001e}},	//   _טשעלסי_, _cabanon_, _konsinny_, _haraji_, 
   {{0x78c301ee,0x678f01c5,0x00000000,0x00000000}},	//   _федераль, _حوالَے_, --, --, 
   {{0xb69503a8,0x3a3502d3,0xecb50019,0xaa050159}},	//   _স্তুতি_, _parceria_, _алтындар, _puzarait, 
   {{0x2dab036e,0x52900399,0x5c5a02e8,0xee7500d9}},	//   _allintap, _hakauu_, _asatani_, _рубашки_, 
   {{0xbe32018a,0x2ae00268,0x23ea0088,0x225a0016}},	//   _dolgella, _arbecueb, _abats_, _brilan_, 
   {{0xb9f70222,0xe09c02ac,0x8db8028b,0xbe3e002f}},	//   _classiqu, _لمتآبعين, _antiidea, _amparonp, 
   {{0xf1690013,0xd2080243,0x9daa021e,0xbc64030b}},	//   _تاریخچیل, _daboonáa, _motivera, _antumye_, 
   {{0x3aaa023d,0x3b7100d1,0x42900151,0xcf230282}},	//   _заведени, _ক্ষণত_, _askaig_, _peheatan, 
   {{0x35990125,0xb37c0497,0x84b20333,0x29db0195}},	//   _арагатна, _derange_, _accatizz, _grafaige, 
   {{0x4dc1004b,0xf27f0397,0xda050281,0x0c9102d4}},	//   _ditikoma, _alenza_, _appartit, _attestau_, 
   {{0xc2fe027e,0xaeb10101,0x31980040,0x72900040}},	//   _западном_, _crestere_, _הטמפרטור, _delays_, 
   {{0xe17300c5,0x4c9a0004,0x02170177,0x2eab0109}},	//   _具体职位是_, _adadezè_, _дранда_, _textilie_, 
   {{0x284a0187,0x00000000,0x00000000,0x00000000}},	//   _паралелн, --, --, --, 
   {{0x67570145,0x82130450,0xfdc903db,0x327f00fb}},	//   _ветру_, _nochal_, _bathanda, _elenza_, 
   {{0x1afe0461,0xcebc0258,0x2ed5004d,0x63f202f7}},	//   _alargame, _aldskoat_, _法人機構基於避險, _itsegeng_, 
   {{0xd25a03b0,0xf2cb0108,0xadb1004d,0x00000000}},	// [fbd0] _spele_, _kolotna_, _破獲橫行大台北市, --, 
   {{0x6b7702dd,0x834402f0,0xf24e0046,0x00000000}},	//   _ffissata_, _incenye_, _confusió_, --, 
   {{0xb9f901f9,0x47b4034d,0x6da003b0,0x00000000}},	//   _ayisiyod, _dikering, _nattverd_, --, 
   {{0x425b0226,0x127804be,0xb41f02f7,0xe8760040}},	//   _azula_, _townes_, _borataro_, _בשריפת_, 
   {{0x73ea0032,0xe69d027e,0x32d00092,0xc6980442}},	//   _baltiq_, _потребам, _グッドウィルド_, _dikebumi, 
   {{0x304d019b,0xe292023b,0x766a00d9,0xab0005b7}},	//   _браты_, _maraki_, _заявленн, _neprocje, 
   {{0x7c6802c3,0xe748042f,0x1814003c,0xe6c1037c}},	//   _zabudli_, _naqillug, _دوستدارا, _verborum_, 
   {{0xd83800f5,0x327f056f,0xae840152,0x6cc7020f}},	//   _башланды, _umenia_, _аналарыг, _دټينګښت_, 
   {{0x40f0037c,0x321d0156,0x02f30308,0x00000000}},	//   _muscletk_, _לייקס_, _perindu_, --, 
   {{0x359300de,0x8dd70026,0x2e9b0040,0xb2fc01b4}},	//   _babeyiqh, _parkeerp, _handbags_, _menings_, 
   {{0xebbf0529,0xa2fc02a3,0x92920115,0x00000000}},	//   _potrošen, _lenings_, _haraki_, --, 
   {{0xc7b7044b,0x4eb70573,0x52b605c3,0x77cb042b}},	//   _forsikri, _شربتا_, _gauche_, _vlasteli, 
   {{0x945f0259,0xc7de0145,0x1e73038e,0x00000000}},	//   _vestsjæl, _stiprini, _बेष्ट_, --, 
   {{0x36290061,0x9e540318,0xa27f0541,0x737a008d}},	//   _자바스크립트_, _lapavale_, _poenta_, _saraton_, 
   {{0x7438025f,0x9b070125,0xca1403b9,0x2c5d0126}},	//   _alakisak, _гитдин_, _sarawayt, _компанія, 
   {{0x89df001a,0x23ea0073,0x35db02b6,0x00000000}},	//   _hangulat, _lentil_, _апарыңыз_, --, 
   {{0x785703ce,0x628e007b,0x00000000,0x00000000}},	// [fbe0] _میاندا_, _eithest_, --, --, 
   {{0x75900156,0x8688015e,0x029201d5,0x9b8d018d}},	//   _ומסורה_, _мутациял, _feljebb_, _ፓስተራትን_, 
   {{0x119803d4,0x1fb502eb,0xb438025f,0xff880022}},	//   _потребна_, _булааж_, _elakisak, _ашҡортос, 
   {{0x9c65033a,0xbec2030f,0xbef0027b,0x00000000}},	//   _trattat_, _nganatan, _शाटकः_, --, 
   {{0xba7f010f,0x553302c2,0xb0500192,0x9eed01ba}},	//   _устодони_, _behandel_, _배송업체명_, _clevanta, 
   {{0x234100ab,0x36c202fe,0x1f33023c,0xac510220}},	//   _matenga_, _احتمالي_, _بریطانیا_, _puntata_, 
   {{0x6412005e,0x13ea04e3,0x1307036d,0x62ee00a2}},	//   _ئەرتۈرك_, _ocito_, _fagaidh_, _alafu_, 
   {{0xb3f90223,0xa5c400d1,0x725a019a,0xde890064}},	//   _liburu_, _এইধৰণৰ_, _muilin_, _жахилийа, 
   {{0xc36500ce,0xd1c0005e,0xa04f0315,0xa87000e6}},	//   _stagnan_, _ﺧﺎﺗﯩﺮﺟﻪﻡ_, _kucutjun, _circuler_, 
   {{0xb1d00097,0xa4af010d,0xf883028a,0xd03f001c}},	//   _déníkè_, _कारणास्त, _تماشائي_, _dekuryen, 
   {{0xe7290393,0x5707004d,0x76050220,0xc5a303c2}},	//   _maslinov, _蘋果基金會_, _отпускан, _ascidium_, 
   {{0x4f5800ee,0xead7020e,0x7ae4012a,0x5201004b}},	//   _nabarmen, _belmopan_, _बैनर्जी_, _fafing_, 
   {{0xf6250035,0x6b2501bb,0x734e0179,0xe29003db}},	//   _avtonomi, _луканың_, _tedelik_, _kudale_, 
   {{0x9fac00c4,0x47460092,0x827b01a6,0x539504b1}},	//   _گجگوڙ_, _世紀ヒストリカル_, _kimikimi_, _pusse_, 
   {{0x43ea05d7,0x92900252,0xc9bc0040,0xb60301ee}},	//   _mbati_, _pulane_, _וללמוד_, _уралнă_, 
   {{0x5365023e,0xbd4f0276,0xb02f0107,0x00000000}},	//   _adiguno_, _موسكۋا_, _موظفند_, --, 
   {{0xee540031,0xe2900020,0x931501c3,0x5e6801d4}},	// [fbf0] _अमेरिकेत_, _aigaalii_, _arabish_, _barcelle_, 
   {{0xf2ca0265,0xe8870181,0x398701b5,0x92f002ff}},	//   _hadden_, _chokolad, _chokolat, _eskilti_, 
   {{0xd783008f,0xc61c0156,0x930301fe,0x298703b0}},	//   _अकारथउव्, _ספיריטוא, _niratou_, _brukarre, 
   {{0x73200097,0xbc930060,0x22e60338,0xf02500bb}},	//   _awoye_, _تاياپ_, _adenina_, _ڈوگرہ_, 
   {{0xf77c0417,0xe774018d,0x52f30421,0xb3220157}},	//   _verwagti, _ምብርባር_, _schickt_, _paryż_, 
   {{0xb2d00047,0x33ea015c,0xf65903f2,0x1290013a}},	//   _publier_, _kaatz_, _turkulai, _erlabe_, 
   {{0x725b007d,0x534e02c2,0x41cc0441,0x8f68020f}},	//   _jualan_, _redelik_, _sandály_, _وغځوي_, 
   {{0x85f70076,0xd0180297,0x02e8003c,0x07b20204}},	//   _артикли_, _forumınn, _ببافید_, _passiivi, 
   {{0xd29001fc,0x7d760271,0xf9d602e0,0x348601c9}},	//   _fulale_, _målestas, _kelelale, _लपटाइल_, 
   {{0x4db400bc,0x13870211,0x066f070b,0x3d9c0039}},	//   _موسوی_, _herra_, _असामाजिक_, _бутархай_, 
   {{0xb2010312,0xd9cc02f7,0x398003a2,0x826c0240}},	//   _texier_, _botennye, _डीएमके_, _namosi_, 
   {{0xeeab02dd,0x48600008,0x00000000,0x00000000}},	//   _inkonven, _abusives_, --, --, 
   {{0x4e9201f2,0xdc75034a,0x044b0311,0x00000000}},	//   _омумйүзл, _debuxos_, _ዝጸንሓካ_, --, 
   {{0x73520088,0x7a9800c5,0x7a720462,0xec18015e}},	//   _ماركو_, _加为联系人_, _aculties, _establer, 
   {{0x2e800128,0x919402f0,0x7d89037c,0x91400005}},	//   _آشیشیده_, _akacokel, _sisoftwa, _pendicul, 
   {{0x038700ee,0xccee017a,0x665701c4,0x00000000}},	//   _gerra_, _баландро_, _polisiew, --, 
  
   {{0x60660256,0x325a026a,0xb9cc0025,0x4e3a0050}},	// [fc00] _kandidāt, _epeli_, _समाचर_, _patarosa, 
   {{0x026c0416,0x13960338,0xeb090074,0xe3f800dc}},	//   _famosi_, _pausar_, _omistaja_, _imaua_, 
   {{0x79c6015e,0xb987011b,0x5974022e,0x7633000b}},	//   _aprenent, _bachaufe, _schiarit, _lotoalof, 
   {{0x3db70567,0xdf27003e,0xc14102f6,0xef790148}},	//   _районы_, _aparetsa, _dumuduro, _tusculan, 
   {{0x199e04ab,0x187b0193,0xa290029a,0x844300bf}},	//   _okoliša_, _मन्द्या_, _relans_, _реагирую, 
   {{0x0a9600b9,0xa03800e2,0xd2b402b3,0x00000000}},	//   _कर्मचा_, _freeslik_, _agocha_, --, 
   {{0xe88701bb,0xad430016,0x62b103d9,0xc2000312}},	//   _баранда_, _שטויב_, _ahodina_, _broieu_, 
   {{0xfb3800be,0xac2900b4,0xf292027e,0x737a04e6}},	//   _بولدۇبۇ_, _eliberar, _lutate_, _garapon_, 
   {{0x268e0003,0x06f001a4,0x34e100f8,0xcc0900a7}},	//   _verenigi, _babandá_, _গুলান_, _капкакта, 
   {{0x694c0039,0x542500e1,0x23f90087,0x77f80187}},	//   _барилаар_, _jaysasin_, _mafumo_, _вебсајт_, 
   {{0x6f46002e,0xe28b0385,0xbe5301e8,0x086c00ba}},	//   _usavršav, _izbacili_, _kadaniha, _پێشچوونی_, 
   {{0x1b940279,0x1d5c00be,0x473e03fb,0xabe40041}},	//   _sanitair, _تۇۇۇت_, _nabrajam_, _isykuéra, 
   {{0x92ee0049,0xe64d0012,0x37ae0258,0xeed40055}},	//   _enifo_, _एतनाआसान, _besunigi, _acciarin, 
   {{0x15db00da,0x45db004d,0xc26c04e5,0x36060378}},	//   _докторес, _但是有些觀念不一, _bamosi_, _hermenni, 
   {{0x864a0307,0x9c150217,0xad2e017a,0xb83d0311}},	//   _baphindi, _minutios, _варақаҳо_, _መለክዕታት_, 
   {{0x2a8602d5,0xb213046f,0xfde8032d,0x6b5a0399}},	//   _valitsus, _mochel_, _абдулхаҡ_, _kapukava_, 
   {{0x245e026f,0x627f017d,0xeb1b01cc,0x2395013a}},	// [fc10] _اققۋدان_, _vidner_, _athaśabd, _aussa_, 
   {{0xafd604a2,0x320200f7,0xc37f0067,0xe7e501b7}},	//   _dedicado, _virino_, _andaara_, _संवरणे_, 
   {{0xb23e02e5,0xe3f8033f,0xc47702ee,0x260c0309}},	//   _sálvia_, _amaui_, _sitwazzj, _dinləyic, 
   {{0x19f2052f,0x3b5e0148,0xbb25020f,0x681a0031}},	//   _abanzima_, _北京奧運會聖火在, _ababuseb, _स्वरूपाच, 
   {{0x55480213,0x30210066,0x63950127,0x00000000}},	//   _раствори, _bildumak_, _eussa_, --, 
   {{0x754f0374,0x437a006e,0x00000000,0x00000000}},	//   _barkamol_, _jabaroo_, --, --, 
   {{0xa9020026,0x38ca0361,0xe01505b6,0x8b6d0139}},	//   _저작권침해_, _признанн, _hardwaro, _दधाना_, 
   {{0x1273001a,0x6cf4013a,0x03660227,0xbc620004}},	//   _forgalom, _dertësch, _cangkul_, _latriye_, 
   {{0xa3950279,0xc8cc04a0,0x95b60064,0x504c0040}},	//   _aussi_, _modernid, _мурастар, _והטכנולו, 
   {{0x792f01b8,0x1ae400d3,0x3fd600c5,0x2dc70538}},	//   _inimeste, _उद्यमी_, _超级大乐透_, _sukkeret_, 
   {{0xaacb00ef,0x33950074,0xe30700a8,0x1f5400aa}},	//   _دفرانسې_, _jussi_, _friburg_, _hitpoint_, 
   {{0xd5c30238,0x6de2052d,0xd2920321,0x3b840326}},	//   _кодексу_, _द्वैमासि, _zbrali_, _chanahor, 
   {{0x73870075,0xdd370214,0x8d740135,0xe3040012}},	//   _verri_, _abangene_, _дустым_, _कोसिल्या_, 
   {{0x69e5017d,0xd7b40040,0xf395022e,0xa8cb002e}},	//   _テクノロジ_, _ואטרקציו, _fussi_, _izvršava, 
   {{0x26220693,0x6ea302ee,0xc53d012c,0x91a40088}},	//   _organizá, _implimen, _zigirany, _тыныгуу_, 
   {{0x149f0173,0xcc66015d,0x36c2042d,0xc9b000ee}},	//   _সমস্যার_, _systemu_, _andakozi, _kreditue, 
   {{0x3eb60052,0xf27f002a,0x2341045d,0x0262008e}},	// [fc20] _regulace_, _omenka_, _poreska_, _jiyoloji_, 
   {{0x32fc00a4,0x1da702e7,0x52d40074,0x7b600052}},	//   _ningú_, _kalibuta, _kuuden_, _क्रीस्चि, 
   {{0xcc6d012b,0x26710210,0x920002a8,0xef4b01d2}},	//   _choroba_, _akakangw, _bijoloġi, _cristoma, 
   {{0x299d020a,0x5f20011d,0xaaf7025c,0xda0e03ee}},	//   _майын_, _imbunata, _passiere, _pevacica_, 
   {{0xae8e04ae,0x0295021b,0x20ec010a,0xc2900239}},	//   _пиратски_, _hampuril, _gaazexoo, _takapu_, 
   {{0x67560031,0x01ae0138,0x68400148,0x446a0148}},	//   _प्रमाणात_, _kapanmış, _henricus_, _conditio_, 
   {{0xb29500b4,0xfdc700a1,0x15b801dd,0x477a002b}},	//   _campuril, _kaikaute_, _alegisiy, _বহিঃপ্রক, 
   {{0xf26c055a,0x53ea0472,0x3ed50527,0x82620418}},	//   _vimos_, _sentul_, _neminovn, _biyoloji_, 
   {{0x327f01d9,0xb93e021e,0xaf2a00b5,0x88fb02ec}},	//   _jeanny_, _skelleft, _apatĩmav, _gunaanad, 
   {{0x6f5b024a,0x0e4d033f,0x58d702e5,0x07a10025}},	//   _ailanfan, _felaafoa, _виталии_, _उत्तराषा, 
   {{0xf35700b2,0x47060420,0x93380060,0xb305016a}},	//   _caffeen_, _елизабет, _молдалар_, _arbaraj_, 
   {{0x91ff00ff,0x6df20193,0x05b8032d,0x00000000}},	//   _צוקונפֿט, _berjauha, _арзанайҙ, --, 
   {{0x7d890021,0xa75106ed,0x034a0092,0x32aa048a}},	//   _incomewa, _विकिपिडि, _リンクフリ_, _ورىسشا_, 
   {{0x5c18003a,0xb129036d,0xe2b6047d,0x62c403bd}},	//   _феврал_, _claverho, _hoschi_, _hulmias_, 
   {{0xf345024c,0x4a6e0538,0x127f00d3,0xa7df0222}},	//   _bandist_, _skolebib, _branek_, _disparai, 
   {{0xd94e0037,0x22970074,0x5201006f,0xdfa8040a}},	//   _በትዕግስት_, _renkaat_, _adaiwa_, _sommarjo, 
   {{0x5476041a,0x21cc0041,0x18d302bf,0xa36200bc}},	// [fc30] _процесу_, _қыҭак_, _entsandv, _dengkek_, 
   {{0xe37b0286,0x38d5004a,0x628d02fe,0x00000000}},	//   _tonasum_, _bayıtılğ, _berhafu_, --, 
   {{0xac6f024a,0xd2bd044b,0xdb080204,0x00000000}},	//   _ajurawa_, _voldsom_, _kassalla_, --, 
   {{0xc671046d,0x802502ac,0xda9701a3,0x116200d8}},	//   _thikungw, _كوارث_, _اونھي_, _adoracio, 
   {{0xcad40258,0xee8f03ee,0x4216004d,0xf9f501c2}},	//   _littense, _primljen, _加碼抽現金_, _navío_, 
   {{0x463300f3,0x00000000,0x00000000,0x00000000}},	//   _kwangeni, --, --, --, 
   {{0x83960414,0x41c7006d,0xd2ca0242,0x81dd00e6}},	//   _causer_, _пленарны, _yaddan_, _两眼不模糊_, 
   {{0xa665027e,0x62ca01b2,0x00000000,0x00000000}},	//   _афере_, _caddan_, --, --, 
   {{0x2c050250,0x92d70058,0x075f007e,0x0a7d0275}},	//   _personi_, _gelogam_, _सैन्धवं_, _inugapia_, 
   {{0xae140211,0x82bb020e,0x8e400435,0x945b057c}},	//   _legendaa, _hokelwe_, _тематски_, _halsbånd_, 
   {{0x834400e9,0x18d200e6,0x00000000,0x00000000}},	//   _ansenye_, _同比增长了_, --, --, 
   {{0x6fa40180,0x8a150385,0x00000000,0x00000000}},	//   _inzenyer_, _zgradama_, --, --, 
   {{0x925b0070,0x08430417,0x63a901ac,0xc2ce0075}},	//   _asuli_, _leerders_, _ازداد_, _fjaldum_, 
   {{0x83930265,0x62200022,0x00000000,0x00000000}},	//   _tinyint_, _яҙғыһын_, --, --, 
   {{0xfbfb039d,0x69fc015c,0xc24803f6,0xfb570024}},	//   _khandiso_, _acceptéi, _obededom, _লাখটকীয়া_, 
   {{0xf3b70044,0x6eb805aa,0xb35e018d,0xdcdc0061}},	//   _כעבור_, _ubestemt_, _shoferi_, _한번이라도_, 
   {{0xbc8a019b,0xe75800d1,0xb300001c,0x165b0237}},	// [fc40] _vandeniu_, _এপ্লিকেচ, _makauli_, _로또지킴이님_, 
   {{0x02d9016d,0x72900190,0x7a810110,0x7d8c0253}},	//   _темпер_, _debag_, _menedžer, _alcoatta, 
   {{0x624a0092,0xd86803d4,0x09e001bc,0xd6480311}},	//   _klumme_, _гарантуј, _misferst, _ብጸሓይን_, 
   {{0x93f201e9,0x83fa00a8,0x00000000,0x00000000}},	//   _etseneng_, _depuoz_, --, --, 
   {{0x6fc3018a,0x315c0243,0x19de03fd,0x8b340120}},	//   _etholwyr_, _kuuriino, _lotofaga_, _ullaalis, 
   {{0x6d830145,0x62ca02b9,0xff960093,0x1baf00d3}},	//   _войнах_, _hallani_, _аьхкенан_, _कुबुद्धि, 
   {{0x4e310262,0x32f30488,0xe2eb0230,0x30470040}},	//   _aragatna, _preiļu_, _syantis_, _דגדגן_, 
   {{0x4304003a,0x234500be,0x302e011a,0x00000000}},	//   _qoramol_, _سىڭدىلەر, _הורביץ_, --, 
   {{0x34f000c7,0xa201034b,0xaae502f7,0x4c70038e}},	//   _янына_, _caving_, _bakreset, _भुर्जी_, 
   {{0x9c05011f,0x71ee0047,0xe2e80272,0x72920168}},	//   _apitaras, _franchem, _akalogoj, _uttalt_, 
   {{0x531700e9,0xd25b0141,0x6d1102fe,0x7dea0037}},	//   _derapaz_, _usuli_, _دخداي_, _ካህናቱም_, 
   {{0x9d9d032d,0x8f490354,0xca1a0325,0x52d700ec}},	//   _предприя_, _хислитид, _futbolla_, _objektai_, 
   {{0xaf600053,0x0c89016d,0x714805dc,0xa3020326}},	//   _सल्लागार_, _қачанғич, _kontorlo, _chinjanj, 
   {{0x86020307,0x52cb0244,0xd53c0125,0x53e10291}},	//   _ngolwesi, _freddo_, _bashgasy, _اضعاف_, 
   {{0xd14404a4,0x8310015d,0x295e01e9,0x8f1302d7}},	//   _fiolmadh_, _ukrainy_, _kopokabe, _canteira, 
   {{0x12d000ac,0x417702f0,0x11660055,0x00000000}},	//   _školom_, _kuhambel, _brastaco, --, 
   {{0x4064014a,0x49e7020e,0x1291045f,0x792902d3}},	// [fc50] _انتباہ_, _baromuoa_, _medans_, _небесни_, 
   {{0xdbb500c7,0x4adf0014,0x49ec0272,0x52eb011b}},	//   _аңлатты_, _historit, _azingiza_, _korinto_, 
   {{0xa17d017e,0xfab502d8,0x98ed01bd,0xd01302c8}},	//   _ניקור_, _डॅफोडिल्, _тітіркен, _gandeiro, 
   {{0xc59503f0,0xa8cc00db,0x01ee0222,0x6e5300b4}},	//   _menntamá, _klientid, _disposez_, _efectuat_, 
   {{0xb2d4007a,0xe2e901a6,0xd25b02f6,0x123802cb}},	//   _pemohon_, _kiriata_, _aralan_, _uzimati_, 
   {{0xded402fe,0xcc5104a4,0xb34e002b,0x00000000}},	//   _ishishin, _buntata_, _জন্মতারি, --, 
   {{0x013303f0,0x3278035b,0xcfe300f7,0x00000000}},	//   _skilaboð_, _letnik_, _anekdoto, --, 
   {{0x7c6803bf,0x92ca0028,0x6be70491,0x00000000}},	//   _babulli_, _qaldan_, _acreedor, --, 
   {{0xcae5010b,0x82910279,0x6e340119,0x0f290156}},	//   _bakreste, _dedans_, _kakarawa, _אַמטן_, 
   {{0x5ff6041a,0x22710013,0xaa8500bb,0x83f900fe}},	//   _елементі, _mirgulam, _عویدص_, _lavulo_, 
   {{0xd35401ef,0x8299002b,0x29fc00e6,0xad9503b6}},	//   _didelis_, _সমুন্নত_, _acceptée, _sibesibe_, 
   {{0x33ea01ac,0x729002a6,0xb0ac0059,0x6c7601ac}},	//   _scata_, _delais_, _добринищ, _tearmai_, 
   {{0x1b7501ea,0x79fb0437,0x172d0368,0x42ca00dd}},	//   _energiya_, _forandre, _примерка_, _baddon_, 
   {{0x498b0449,0x4c730416,0x2c7e019a,0x7307036d}},	//   _znači_, _acustic_, _burstin_, _lagaidh_, 
   {{0xf25b043b,0xe9c20155,0x62bb044a,0x627f00f6}},	//   _cralan_, _termerna_, _molende_, _buynuz_, 
   {{0xd5f3002b,0x18c602a3,0x621500bb,0x6f120014}},	//   _হায়াত_, _sprekend, _رویئے_, _instalua, 
   {{0x4201013d,0x441f0102,0x0d8f0358,0xf26c0085}},	// [fc60] _fiziko_, _mojawapo_, _derefize_, _tamoi_, 
   {{0xb1e105b1,0x69490286,0xe3940122,0x8d7401cf}},	//   _niektoré_, _ammaneɛk, _rangsang_, _durmente_, 
   {{0xb46d0074,0x198a01e8,0x19e003bf,0x022401a6}},	//   _принципе_, _diskwent, _diromela_, _maoka_, 
   {{0xed710640,0x84cb0012,0x725e008f,0xac67008a}},	//   _promatra, _कापियन_, _क्रियेसन_, _manunua_, 
   {{0x0e6d0060,0xdb1b016b,0x52e305e6,0x00000000}},	//   _ستراتەگي, _darajars, _vernoem_, --, 
   {{0x505b038a,0x496a0437,0xe6aa0129,0x525e02d5}},	//   _achurayn, _invitere, _ntaramah, _क्रियेशन_, 
   {{0x3ff00243,0xa2ca031a,0x29730418,0x16a70158}},	//   _labhadoo, _daldon_, _samimiye, _mundurow, 
   {{0x6cbe0265,0xd25b024f,0x8d0c0334,0xbb6300d8}},	//   _ajaxstar, _isulu_, _bonongwe_, _armoniós_, 
   {{0x761c00d6,0x5c150017,0x794c00c5,0x03f3027f}},	//   _rannchui, _स्क्यान्, _valorise, _burongoz, 
   {{0x537f0066,0x6e6c023c,0x789301bb,0x9a14014e}},	//   _indarra_, _طیفور_, _жезаланд, _uhvatila_, 
   {{0xe1c703c4,0xfd0c01bb,0x02900591,0xce700007}},	//   _سانتانا_, _мунденем_, _oljan_, _engambé_, 
   {{0x539d0013,0xb834006c,0x6ce0055b,0xd3dc05df}},	//   _фотосура, _дуртар_, _ansvarsr, _azawa_, 
   {{0x6f250120,0x89940130,0xd3960034,0x199c0153}},	//   _esseraan, _adskeude, _lausar_, _に行ってきました_, 
   {{0x57d001a7,0x01c10235,0xca63017f,0x63200279}},	//   _книгу_, _समूहः_, _aputsiaq_, _calculs_, 
   {{0x72fc0476,0x00000000,0x00000000,0x00000000}},	//   _fungai_, --, --, --, 
   {{0x230c026c,0x4af700c7,0x4b33033a,0x804b00d6}},	//   _legatus_, _каралса_, _disbonib, _deighleo, 
   {{0x22920044,0xcae80064,0x00000000,0x00000000}},	// [fc70] _mutant_, _escorten_, --, --, 
   {{0x283f0759,0xc6c50357,0xa7a9012c,0x288a002f}},	//   _वार्मिंग_, _bulalagi, _خواتين_, _anchataq_, 
   {{0x0201021c,0xd448018d,0x6ac30188,0xb26c0342}},	//   _riziko_, _ኣይኰናን_, _рекламав, _damou_, 
   {{0xdb5b0294,0x4290000c,0x00000000,0x00000000}},	//   _achupata_, _jakaru_, --, --, 
   {{0x4c8b00c3,0x09e900f6,0x19140322,0x524900d2}},	//   _在天空部落發表於_, _doktorlu, _baratahu, _diemut_, 
   {{0xe6cc01ac,0x5341019f,0xbb9100b5,0x229002cd}},	//   _polainni, _malengo_, _кәшеит_, _aljan_, 
   {{0xa30001f4,0xb77a00e6,0x82de0388,0x320203c6}},	//   _tugaydi_, _中国图书馆图书分, _водолазн, _pepier_, 
   {{0x730d011b,0xb34f0163,0x00000000,0x00000000}},	//   _bamboka_, _hetedik_, --, --, 
   {{0x13dc002f,0x226c0049,0x3a1601f4,0x00000000}},	//   _asiwu_, _kamou_, _uchastka_, --, 
   {{0xd842037c,0xf14204c7,0xd6b20281,0x77d102e2}},	//   _peerless_, _влажност_, _brugseni, _burgeeag, 
   {{0x92ca03ba,0x018c0013,0x78bb02ea,0xa25a011a}},	//   _badden_, _bajarish_, _осветите, _zillow_, 
   {{0x099001c5,0x2e3b00b5,0x123604a8,0x00000000}},	//   _machadka_, _masakara, _tinjak_, --, 
   {{0x336502bc,0x96b20188,0x2b70033f,0x00000000}},	//   _pragyan_, _умумихал, _manupuna_, --, 
   {{0xf2ca003d,0xa60402e5,0xe26c029b,0x241e0025}},	//   _wadden_, _ikalvari, _gamou_, _अध्यारोप, 
   {{0x4a1a023c,0x298a00cf,0x2e090041,0x4dbb03b7}},	//   _وزږید_, _bosheett, _шьаҟрыл_, _aspianca, 
   {{0xb3870540,0xb8410192,0x7dae013d,0x367103a1}},	//   _áfram_, _열린사용자위원회_, _שודריך_, _produtti, 
   {{0xde4c0433,0xf2c50487,0x926c004f,0xf6f10184}},	// [fc80] _palatina, _medline_, _bamou_, _baravumw, 
   {{0xd2900256,0x59c80277,0xd26c032d,0x8c6700dc}},	//   _sakaru_, _biyoleta_, _bomong_, _manulua_, 
   {{0xa7c20059,0x675c02a2,0x5e92016f,0x0cf1024b}},	//   _рекламат, _humihing, _форумом_, _sustituc, 
   {{0x2b8c0240,0x3c9003ce,0x12900178,0x827f03dc}},	//   _karisito_, _ئامینه_, _रामोजी_, _flenna_, 
   {{0xd26c02a2,0xe387041e,0xbc75015e,0x02900256}},	//   _gamot_, _merri_, _hagués_, _vakaru_, 
   {{0x629203ea,0xede00056,0x4c870061,0xb39e00be}},	//   _autant_, _сипарӣ_, _부정불량식품신고_, _شياۋگوڭ_, 
   {{0x9bb6005b,0x6e4e0135,0x6a700178,0x63f1004a}},	//   _hokkaido_, _finansla, _anadhīta, _aviatöze, 
   {{0x897803a1,0xa2a60119,0x4b8c02a2,0x126c0264}},	//   _amminist, _leoben_, _naririto_, _kamot_, 
   {{0xf2240119,0xf2d803ad,0x36c302fa,0x1ad502ed}},	//   _pagka_, _bwiet_, _bagashyi, _capitáns_, 
   {{0xc4d70193,0xa7b80373,0xa29101b2,0xaa5701f4}},	//   _शस्त्रक्, _alkutimi, _beljise_, _миналар_, 
   {{0xa29000a1,0xb3fd055d,0x0b1300e0,0x5b8c024a}},	//   _pakaru_, _diingatk, _fijannen_, _mòngodo_, 
   {{0xd23d014e,0xbfda0466,0x047b02b3,0x5af70421}},	//   _празника_, _izazivan, _campións_, _kassiere, 
   {{0x12d80417,0xce1b03a0,0xf31601c5,0x00000000}},	//   _twiet_, _babelaha, _waabari_, --, 
   {{0x30530338,0xe2df024c,0x89440178,0xbb4b005e}},	//   _فارسى_, _allokat_, _asamāpta, _ﻳﯩﻠﻨﯩﯔ_, 
   {{0xbcb20241,0xa67f00be,0x5292026c,0x1a6e030b}},	//   _admaasuu_, _بۅلسۅ_, _putant_, _aligenda_, 
   {{0x24ab05f4,0xd21c005b,0x6294021c,0xb2730262}},	//   _allaqtak, _barhga_, _narazili_, _behişdi_, 
   {{0x6b7f00ed,0xb3960075,0x82bb0466,0x934f0308}},	// [fc90] _endotrac, _norski_, _tvrdnji_, _melebih_, 
   {{0x274f013d,0x520002e1,0x0d920415,0x43950364}},	//   _religiaj_, _naoise_, _autorenp, _kussi_, 
   {{0x8a7c00cd,0xbc0100c0,0xab8a0161,0x00000000}},	//   _annarosa_, _brosyur_, _полос_, --, 
   {{0x92ca029b,0xd8e700be,0xb3500059,0xd3dd02e4}},	//   _cundum_, _تۇۇۇرا_, _diffuso_, _frawli_, 
   {{0x138000ad,0x19960314,0xacd10009,0x524e036e}},	//   _umurna_, _балтас_, _servisov_, _hindisim, 
   {{0xd30d014c,0xefd80297,0xf62001aa,0x92bc0012}},	//   _bambeka_, _bhuttonı, _anymorew, _पूरुब_, 
   {{0xa1b90185,0x6a5e0439,0x426c007f,0xe1c603a8}},	//   _термины_, _bohekaka_, _henoed_, _ট্ৰিগাৰৰ_, 
   {{0x9b9901a7,0xeae1004c,0x231706c6,0x1e7d0025}},	//   _практиче, _abitegee, _brazos_, _मार्ष_, 
   {{0x12ee0467,0x5f3f0084,0x9c5500d9,0xdc2601a3}},	//   _anafo_, _dingaran, _пленка_, _ساچيڪو_, 
   {{0x6ba30440,0x630d0045,0xf03104eb,0xd3f8005b}},	//   _uzokener, _присутан_, _खंडहर_, _uemura_, 
   {{0x3bda00b7,0xd0360513,0x3ee7017a,0x13b5011f}},	//   _назарынд, _deterono, _ватанов_, _lívano_, 
   {{0xc6b701a0,0xa9e00286,0x82b9010d,0xd07502ea}},	//   _damaketi, _tototala_, _ciledug_, _espansio, 
   {{0x30730060,0x326c008d,0xbc3a003e,0xcda702a2}},	//   _соларға_, _tamom_, _дипломын, _kalimuta, 
   {{0x4b030045,0x59d1033f,0xdc00019b,0x7ad501c8}},	//   _победе_, _faituutu, _keistas_, _kapitána_, 
   {{0x026f0397,0xa2380097,0x323400de,0xe20001e7}},	//   _eminingi_, _alamisi_, _avumile_, _demich_, 
   {{0x84970402,0x026c018f,0xea3a027b,0x83eb029b}},	//   _menamatk, _damoj_, _वयोहानौ_, _gàllanko, 
   {{0xdbfb074f,0xf0db003a,0x08c6004a,0x82c70052}},	// [fca0] _shingiro_, _salomatl, _aprelend, _jádra_, 
   {{0x75f4021c,0x8ab600d9,0x3c6d0102,0xa4d701de}},	//   _vaječník, _капусты_, _dhoruba_, _базаның_, 
   {{0xb8f1021c,0x7d890209,0x00000000,0x00000000}},	//   _skupinov, _aavernit_, --, --, 
   {{0x704d023c,0xe1080311,0x00000000,0x00000000}},	//   _ريښتيني_, _ሃይድልበርግ_, --, --, 
   {{0x758505b4,0x3d9f0037,0x037d029f,0x9aea0026}},	//   _ipererez, _ተጫውቷል_, _kuracie_, _begrijpe, 
   {{0x4316038d,0xb992020f,0xb2ca01f4,0x9053000e}},	//   _proze_, _kuthetha_, _haddan_, _presaven, 
   {{0xfaf10060,0x2137006c,0x5b82011b,0xfae30025}},	//   _كىمگە_, _abawatho, _binomoko_, _bahushat, 
   {{0x110202bc,0x97240405,0x112b00c5,0x03170420}},	//   _banyngko, _скориста, _métropol, _prazos_, 
   {{0xcb9901f4,0x36490311,0x309f0187,0x79cd01a4}},	//   _масканла, _ደንማርክ_, _остатоци_, _kolelnge, 
   {{0x72ab00c9,0xf0e200be,0x0a3c05f8,0x2d30027e}},	//   _laodong_, _جەڭىشىڭ_, _пудов_, _izričitu_, 
   {{0x5c6e01e5,0x1e530037,0x435901df,0x3e280311}},	//   _alarina_, _በማሰልጠን_, _confest_, _እንዛተን_, 
   {{0xf7c70056,0xa3270435,0x7c6400ee,0x4189000a}},	//   _тарики_, _правно_, _sentitu_, _ammasarl, 
   {{0x1b84010b,0xa9e00448,0xf26c00ac,0x49dc01bc}},	//   _konokono_, _misforst, _samoj_, _fergette, 
   {{0x33fa03d0,0xe2d80450,0x128c005b,0x897201c4}},	//   _poruku_, _swier_, _akihuyu_, _argitekt, 
   {{0x77560857,0xd7ae004c,0x2f1600f5,0xc30202cb}},	//   _प्रमाणित_, _abatamii, _инлислер_, _dolasku_, 
   {{0x33a800bf,0xfa0a0643,0xa1d50425,0x86d4007e}},	//   _успешной_, _detaljna_, _قۆربانی_, _bimbādik, 
   {{0xf1f40120,0x2ddc0420,0x00000000,0x00000000}},	// [fcb0] _paasfiik_, _спасила_, --, --, 
   {{0xf25c001d,0x1db9030c,0xff3001ee,0xc2eb04da}},	//   _totalité_, _huradjat_, _оздорови, _mobitel_, 
   {{0x038000bc,0x8b8a0039,0x872604d7,0x7ae3011f}},	//   _amurba_, _молор_, _brúsann_, _ofrecers, 
   {{0x33940023,0x96180125,0x48c60255,0xa28e01d9}},	//   _kanssa_, _parahatç, _ettekand, _verhaft_, 
   {{0x9332014e,0x8eab00d5,0x2dab0381,0xcb7303a4}},	//   _културна_, _solonten, _aisingra, _samskipa_, 
   {{0xa22a00b4,0x7f5f01aa,0x917e003a,0xc2fd0277}},	//   _тотал_, _ituation, _yuritish_, _giangay_, 
   {{0x5ca601a7,0x6a140338,0x00000000,0x00000000}},	//   _музыкаль, _sarcopte, --, --, 
   {{0x331a032d,0x61790302,0xc47702c4,0xc3f800a0}},	//   _casinong_, _ветнам_, _кафена_, _cakude_, 
   {{0x92fc02b5,0x465d03c1,0xe656033a,0xa3160387}},	//   _gunnanz_, _портокал, _individw, _etozu_, 
   {{0x94a80039,0xb16100d5,0x1444026f,0xe511004e}},	//   _bitartek, _behivavy_, _ءﺷﻮﭘﺘﻰ_, _suportah, 
   {{0x3292012c,0xc64903ab,0xc9280161,0x42830326}},	//   _butare_, _stacioná, _объектом_, _chebhari_, 
   {{0x930c00d4,0x954a02d3,0x320201e5,0xbd4f023b}},	//   _janaris_, _converso_, _girimo_, _makaukau_, 
   {{0xd07502ea,0xd3650189,0xec99023c,0xac8000bb}},	//   _appassio, _fragman_, _چوهدري_, _کاخیال_, 
   {{0xf23103ae,0x33e2004d,0xd11901f4,0x4e5500bb}},	//   _drammen_, _兒童孤獨症_, _кетинг_, _کوقتل_, 
   {{0x82d4051a,0xe202020d,0x8bd800da,0xe336035f}},	//   _memohon_, _birimo_, _транснис, _सोमालिया_, 
   {{0x98ca018d,0xeae601b5,0x0b9302f4,0xea7d03fb}},	//   _ኦክላንድ_, _emadagas, _viviendo_, _donatora_, 
   {{0x62950387,0x8da9029a,0x03e90416,0x5b5b02af}},	// [fcc0] _abukari_, _endifera, _directiv_, _aratunga_, 
   {{0x2c06000c,0x532800e6,0xec490206,0x83800083}},	//   _asyryry_, _日允许外方控股_, _stretnúť_, _antrar_, 
   {{0xf29001bb,0x91c001d2,0x21540322,0xc5dc01de}},	//   _aljak_, _chilltum, _atarondo, _костюмде, 
   {{0xda9d017c,0x00000000,0x00000000,0x00000000}},	//   _helheten_, --, --, --, 
   {{0xe5220361,0x2438011b,0x13ff00bc,0xa22403c2}},	//   _экономии_, _ayekolak, _anartani_, _binkey_, 
   {{0x3654017f,0x297b0559,0xaa990072,0x6a8500ba}},	//   _naliliif, _abahlase, _reihokan_, _سوژده_, 
   {{0x784a026c,0x3b390011,0x9d840109,0xfda40357}},	//   _pietatis_, _alibasas, _ओस्कार_, _tinikawa, 
   {{0x9edf0249,0x3df800a9,0xd5a20294,0x63f20022}},	//   _holimpas_, _hakenewe_, _amirikik, _һөрөнтө_, 
   {{0xf38005ce,0xab790439,0xf13101db,0x78d70032}},	//   _olursa_, _gabriola_, _جەتپىس_, _lusuqbog, 
   {{0x72ee041e,0x801b0040,0x725c000e,0x00000000}},	//   _franchi_, _להשגת_, _totalitá_, --, 
   {{0xec7300a9,0xd1b10148,0x894701c0,0x4f0b01b6}},	//   _azarias_, _澎鼎藝文砂畫_, _alkunyar_, _הפריע_, 
   {{0xf25a03de,0xb27c0037,0x92f30007,0xf6f70086}},	//   _iqela_, _አለመታደል_, _luzingu_, _mulatság_, 
   {{0x7fc500d6,0x83870281,0xd27f00ad,0x41fa0035}},	//   _tionchar_, _meeraq_, _soenda_, _архивынд, 
   {{0x8ebd00b7,0x19670044,0x92d9029b,0xbdd60033}},	//   _adalatyn, _enlighte, _diangue_, _bacharia, 
   {{0xfe5303cf,0x0248024c,0xf2a4035f,0x52fd011e}},	//   _toplantı, _kelma_, _शैलपुत्र, _sevings_, 
   {{0xc85901bb,0xc25a03b0,0x8a4b0354,0x8752002b}},	//   _suratlar_, _spelt_, _учримиди_, _উত্সব_, 
   {{0x0c5b001e,0xf2cb042b,0x22d40261,0x12150318}},	// [fcd0] _littafi_, _uredno_, _valoran_, _maryvail, 
   {{0x3f6a00cb,0x59760125,0x171300bb,0x48f90061}},	//   _ababonan, _пайтагт_, _کھوڑو_, _씨푸드레스토랑_, 
   {{0xafae0374,0x076f00d7,0xbbd9010d,0xe7e402fe}},	//   _балки_, _amahanng, _शरीरावर_, _asiphiki, 
   {{0x645b0302,0x7148003a,0xe2d80179,0x220200ee}},	//   _isidingo_, _shimoliy_, _lelodas_, _hiriko_, 
   {{0xc3940066,0x1be50007,0x47f902ea,0x8c870226}},	//   _анандбаз, _baklisto_, _селище_, _basekuru_, 
   {{0x53ea00ef,0xa21c01d9,0xfad50132,0x05b30524}},	//   _ترتيبول_, _pushen_, _kapitány_, _najlakše_, 
   {{0xeb6304c3,0xc7430246,0xb9fc01d2,0x00000000}},	//   _doreamon_, _количка_, _chantaka_, --, 
   {{0x0531002e,0x40e60208,0x0201023d,0x69de0436}},	//   _pročitat, _دامناوه_, _avvio_, _milorada_, 
   {{0x7ae507e9,0xe20c01a6,0x92480077,0x7dd20510}},	//   _कृष्णदेव_, _höiho_, _delma_, _хушшинче_, 
   {{0xb15b0265,0x211a014f,0x5ed10009,0xaff001ad}},	//   _originel, _бомбу_, _jubilejn, _diskusyo, 
   {{0x5ddd00f2,0xb30c0269,0x8bff03ec,0x0da80306}},	//   _frakcija, _reciclaj, _paluajts, _daliyusa, 
   {{0xe3ea0288,0xcd3002cb,0x2afd0374,0x81820022}},	//   _erotum_, _izričito_, _рамининг_, _нервылар, 
   {{0x02010120,0xed9f0120,0xc379028f,0x525b02f6}},	//   _aggile_, _dimokraa, _harakoa_, _aralin_, 
   {{0x755e00b3,0x60ac0079,0x9aba0465,0x6a0904b3}},	//   _alansoñ_, _samaksāt, _privolit, _digabest, 
   {{0x02b5032e,0x586c002f,0xabc50045,0x9c140163}},	//   _kutch_, _asindadu, _владике_, _دوگنی_, 
   {{0xd607032d,0x784900ba,0x31a20354,0x8c81009b}},	//   _малдары_, _سوێسکه_, _һузуриға_, _интэрнэт, 
   {{0x489d041a,0xeea0029b,0x325b0295,0xe1760021}},	// [fce0] _дивитись_, _alfuraat_, _apule_, _aganopay_, 
   {{0xd618026c,0x3acc03a2,0x32c30359,0x00000000}},	//   _honorifi, _नयापन_, _peallen_, --, 
   {{0xe2ee00cf,0xe3bb01a3,0x5301012a,0xcbdf011a}},	//   _anifi_, _اسڪاٽ_, _notatki_, _allexper, 
   {{0x7b730858,0x83ea046b,0xba5e0098,0xec680239}},	//   _अप्रकाशि, _abaty_, _fremtids, _manunui_, 
   {{0x22e30129,0x5cf603a2,0xa3180368,0x00000000}},	//   _ichiche_, _वेबकैम_, _провизиј, --, 
   {{0xe290046b,0xe2fc0220,0x29620170,0x00000000}},	//   _alban_, _funghi_, _chinyont, --, 
   {{0xe77301bb,0x72b503b4,0x931701c2,0xf2c20044}},	//   _доллара_, _butch_, _grazas_, _billion_, 
   {{0xb9ea0043,0x9ea501d9,0x00000000,0x00000000}},	//   _abegende, _aschränk, --, --, 
   {{0x944c0078,0xec6e0147,0x0eac035e,0xa53a0299}},	//   _огромном_, _àfrica_, _postigne_, _ئالېكسان, 
   {{0xa9db015e,0x3dd8011c,0x8cd8044d,0x1219026f}},	//   _pregunte, _barkeele_, _barkeelu_, _تاعۋشىمى, 
   {{0x6c7201d1,0x223900a4,0xbcf2044b,0x22ee0289}},	//   _stories_, _комуз_, _hurtiger, _anafa_, 
   {{0x8d4b0028,0x2d9f00b6,0xa2e803f7,0x00000000}},	//   _mahadnaq, _ximokraa, _fgsfds_, --, 
   {{0x8a040176,0x13f800ae,0x43800408,0x84b50013}},	//   _yamashit, _bakuze_, _aourta_, _кумиков_, 
   {{0x56bb026f,0x9b8c0371,0x65fc033e,0xacd8011a}},	//   _ءﺍﺭﺑﯩﺮ_, _societar, _mbaitéma_, _ותחושת_, 
   {{0x2dd00272,0x56670188,0xe2f10603,0x504b0340}},	//   _abekkobe_, _валиҷон_, _मजुरी_, _pouritan, 
   {{0x337f001c,0x12a6011c,0x369c0244,0x2849018d}},	//   _brianza_, _ayibam_, _profondi, _እላበወካ_, 
   {{0x98b8023e,0xd6b50137,0x6e0d0177,0x7b3400d9}},	// [fcf0] _خبردهی_, _эерэгээр_, _финансла_, _illallis, 
   {{0x2c15012b,0xe43902c0,0x8a2a0037,0x4fe900b9}},	//   _najstars, _британци, _ለይኩንን_, _दरबारात_, 
   {{0x573f02ac,0xa9870040,0xa65c0184,0x831c0251}},	//   _وأيضاً_, _בעצרת_, _hahiganw, _cabbaar_, 
   {{0x03f805ed,0xd38f01d2,0x13aa003e,0x9c12036e}},	//   _bakuye_, _aphylla_, _botaleng_, _awistrus, 
   {{0x6ba70187,0xec6d004b,0x44080116,0x22cb0055}},	//   _средба_, _chorisa_, _pleuchin_, _balogna_, 
   {{0x77d90164,0x02e20126,0x4a140265,0x00000000}},	//   _нишанимд, _медведчу, _geschote, --, 
   {{0xb1930192,0xd2c202e7,0xbeea00f0,0xb7c202a3}},	//   _상품탐색을_, _pillion_, _dozviete_, _versorgi, 
   {{0x25260733,0x99dd0723,0x94780220,0xd3020171}},	//   _wessengo_, _leigagre, _silenzio_, _domaću_, 
   {{0xe2ef00f9,0x3c550282,0xe69e00b4,0x358a0197}},	//   _umunani_, _huitene_, _gonflabi, _diznevyè, 
   {{0xbe8f0554,0x24ab029f,0x00000000,0x00000000}},	//   _primijen, _postaviť_, --, --, 
   {{0x8c4301f6,0x46990138,0x82d80377,0x02010099}},	//   _বিশ্বকোষ, _adresimi, _vedeta_, _adaira_, 
   {{0xadc001ea,0x9303043d,0xe2fc01da,0x589d0024}},	//   _vositala, _sewaktu_, _mungon_, _গৱেষণাৰ_, 
   {{0x08330156,0x633a0350,0x00000000,0x00000000}},	//   _געקידנעפ, _ባለሞተር_, --, --, 
   {{0x320e00f5,0x82a603ea,0x8d830046,0x00000000}},	//   _матам_, _jambes_, _وبلۇسۇنۇ, --, 
   {{0x6dbd033b,0x837b01d2,0xb1560060,0xddb0021c}},	//   _dikagare_, _durazno_, _шашырап_, _tekutinu_, 
   {{0xd30d01b9,0xdb9a018b,0xed0f0553,0xfdeb0211}},	//   _lanatir_, _inchider, _omaľován, _иконку_, 
   {{0x107703d5,0xe15203b7,0x941401a3,0x132a0219}},	// [fd00] _supposin, _afflebay_, _ابوالڪلا, _bashintj, 
   {{0x410d03c1,0x927801ac,0x82dc022f,0x00000000}},	//   _протеини_, _tounsi_, _salonai_, --, 
   {{0x13a20212,0x804d0365,0x18fc050a,0x00000000}},	//   _tempor_, _मैनालीले_, _ramazand, --, 
   {{0xc0ac0051,0x30fe0037,0x5c1d017c,0x92fe0046}},	//   _samaksāj, _ደብዳቤዎች_, _piratpar, _robatori_, 
   {{0x420200d3,0x14de020a,0x00000000,0x00000000}},	//   _potisk_, _хадистің_, --, --, 
   {{0xf57d027e,0x1a0b02e7,0xa80c01a3,0x84be007e}},	//   _поступко, _eskayola_, _بدناميءَ_, _bharataś_, 
   {{0x30fa052f,0xb34d035b,0xbf5301f7,0x62950115}},	//   _libhadel, _katerim_, _octavius_, _dizalimi_, 
   {{0xd9c500ee,0xb53c00c4,0x00d500d1,0xcc5f0037}},	//   _ordenant, _wakifany, _ডাটাবেছৰ_, _ጉብኝታቸው_, 
   {{0x218a0037,0x871f040f,0x72ab02b1,0xd4e1020a}},	//   _ቁጥጥርና_, _зборы_, _baoding_, _жұбаныш_, 
   {{0xf804027b,0xe6e40010,0xa6dc023e,0xcf330287}},	//   _अघोषयिष्, _bebantfw, _سالارخان_, _podsklep, 
   {{0xb2e80138,0xb2a601b3,0xd9a40092,0xdf6403bf}},	//   _eskiden_, _ресурсах_, _参加中の芸能人_, _embalmin, 
   {{0xfb0a01d2,0x89450388,0xb6e20038,0x2b590361}},	//   _carpinet, _collegat, _avíasí_, _феодалы_, 
   {{0x0b7a0390,0xa1ba041e,0x77f90125,0xb39f0061}},	//   _uğrunda_, _grimaldi_, _берилен_, _생활과학부_, 
   {{0x521900a7,0xa1ee0350,0x19bc0156,0x00000000}},	//   _зоналары_, _እየተስፋፉ_, _סמאָוקינ, --, 
   {{0xa3f70008,0x8224005b,0x69cb017e,0xb2d80369}},	//   _баяндап_, _kyoko_, _mallonga_, _kedera_, 
   {{0x0d8102a4,0x5a8d008e,0xacc8004d,0x28a10371}},	//   _facerent_, _farisien_, _地母節婦女_, _salvatag, 
   {{0x88c901e8,0x226c019b,0xb4a90109,0x1f8a00be}},	// [fd10] _tautolog, _mamos_, _chlapeck, _бюджетти_, 
   {{0x12620124,0xa755000c,0x972c0675,0x529001a7}},	//   _bamingui_, _cerámico_, _responsá, _tilaus_, 
   {{0xf0330041,0x78d8004d,0xe2ee0049,0xff120061}},	//   _иҳаӡбеит_, _採石場大坑洞_, _siifi_, _stadscen, 
   {{0xb22402fa,0x22cb0416,0x42df01c8,0xf25b00ed}},	//   _nyoko_, _gladie_, _milovat_, _ipuli_, 
   {{0x2133029f,0x437b008b,0x02a6040e,0x5de80126}},	//   _kvalitné_, _darapoo_, _erobra_, _бюджетні_, 
   {{0xe22400fa,0xe3210025,0x775f0255,0x7b59015e}},	//   _ayoko_, _anayor_, _अरण्यपथ_, _бөгөт_, 
   {{0x48440055,0xe15601db,0x168e02bd,0xe93a00bf}},	//   _érudits_, _ساسىىق_, _confensi, _алло́хiу, 
   {{0x6af502e2,0x72d801f0,0x32d8038b,0x85ad0211}},	//   _chastise, _belesa_, _cedera_, _памятник_, 
   {{0xf9870386,0xf37801ad,0x53f80071,0xbec300a8}},	//   _menyentu, _dagalea_, _bakune_, _beinston, 
   {{0x0a9003f2,0x00000000,0x00000000,0x00000000}},	//   _poliisin_, --, --, --, 
   {{0xa27f00ab,0xebda026f,0x834c0109,0x6230009a}},	//   _moenga_, _базасынд, _mistryní_, _edomain_, 
   {{0x63a2004d,0xc755000c,0x92d8009f,0x138003ea}},	//   _semper_, _cerámica_, _telesa_, _pourra_, 
   {{0xf41304c7,0xd4ec002b,0x22d801b9,0x722a02c0}},	//   _говеда_, _নোমান_, _redera_, _носам_, 
   {{0xfbd9030b,0x491000a6,0x6dce0040,0x01de0153}},	//   _abembogo_, _akwandlu, _חותכים_, _ディスプレイ_, 
   {{0xbf5d0072,0x7ca700ff,0xf4ad0036,0xf9f800ca}},	//   _patachan, _עטיאפישע, _tionóil_, _ascendís_, 
   {{0xa62c017a,0x527f00a1,0x4c6101be,0x666d0291}},	//   _abamisiw, _hoenga_, _legrace_, _ألبسة_, 
   {{0x29410633,0xae2b018d,0x7c2b004a,0x00000000}},	// [fd20] _reflecte, _ዝተዋደደ_, _kasyanov_, --, 
   {{0xc0b60374,0x128d0282,0x22dd0400,0x4b25022f}},	//   _طالبلر_, _kaikiko_, _intoppi_, _буркіна_, 
   {{0x5883020e,0x9b9502ba,0x127b0274,0xff6600a7}},	//   _bookamed, _қуллае_, _varaform, _бактрия_, 
   {{0xbb250758,0x14600105,0x00000000,0x00000000}},	//   _ababeseb, _teledysk, --, --, 
   {{0x53e30365,0xd7cd00cb,0x22960078,0x00000000}},	//   _našepení, _кадрҳоро_, _планирај, --, 
   {{0x5f40004c,0x5302012b,0x9a580290,0xf26c0198}},	//   _abagalan, _podatku_, _licenzia_, _kamor_, 
   {{0xeff40352,0x82d80278,0x72ee007f,0x532403f8}},	//   _utbyggin, _selesa_, _anafu_, _hoschoh_, 
   {{0x0f26004c,0xaae2030b,0x9c38038e,0xd291022c}},	//   _abatabaa, _abategee, _विषयवार_, _berag_, 
   {{0x82ca0166,0x0b5401f4,0xb5e90229,0xaf79047b}},	//   _rundum_, _ulamolar, _cavadlı_, _globisms_, 
   {{0xeed7015d,0xab5700ec,0x22010220,0x00000000}},	//   _delikatn, _захаду_, _avvia_, --, 
   {{0x8c3802a4,0x826f006c,0xf04c0081,0x2e650107}},	//   _checkmar, _amaningi_, _endurvin, _دوستانتا, 
   {{0xde3b0119,0xbf070071,0x2ea00359,0x4d2400d7}},	//   _makakapa, _حاجیلی_, _simmersn, _bokolone_, 
   {{0xf224005b,0x83dc0196,0x567e0357,0xfe1600be}},	//   _ryoko_, _apawa_, _suretivi, _شئلتەمدە, 
   {{0x4d8803b7,0xfe0800d1,0x42ca0082,0x00000000}},	//   _armourwa, _বাৰিষাত_, _haddin_, --, 
   {{0x6ae0032d,0x02e9016b,0x147101ef,0xd2cb002e}},	//   _sirelets, _kirista_, _медсёстр, _predao_, 
   {{0x02b2014f,0x69af0040,0x27e80153,0xa61b008d}},	//   _predata_, _ממולא_, _クレジット_, _daromadi, 
   {{0x92ca019a,0xdf45018b,0x7ae602e1,0xdab600c5}},	// [fd30] _maddin_, _amesteca, _aturnaet, _inédite_, 
   {{0x7770000d,0x454c016d,0x41ae020f,0x81f00109}},	//   _efektiiv, _җуңгониң_, _شينډنډ_, _समयअघि_, 
   {{0x164100e4,0x06720103,0x6d030233,0x9d04031a}},	//   _zamontow, _akakandw, _deplorat_, _chatharr, 
   {{0x029103b0,0xe25b02f6,0xe2e800ec,0xd290033d}},	//   _herad_, _isalin_, _anglijoj, _jobab_, 
   {{0x888a00bb,0xa5210061,0xcdc10318,0x135b0015}},	//   _اسٹيٹ_, _공식블로그_, _lesitama, _asigana_, 
   {{0x92c50129,0x7ce200da,0x3388002c,0x42520092}},	//   _amalite_, _информар, _ахисан_, _でのログインが必, 
   {{0x09060386,0xd6340037,0x611f0061,0xa3680145}},	//   _berbentu, _አስታዉቀዋል_, _양해바랍니다_, _dangaus_, 
   {{0x629004cd,0xe2d80117,0x2028018d,0x9c690080}},	//   _dojam_, _lelepa_, _እንጌራን_, _arsummi_, 
   {{0xc38802fa,0xdf290175,0xd7e701ab,0x32d90043}},	//   _amashyam, _siporter_, _फटकरलन_, _babede_, 
   {{0xc41b0678,0x2b150206,0x02920168,0xc9fc0007}},	//   _kuchynsk, _bielizeň_, _uttale_, _ebendaka_, 
   {{0x4a1b00bf,0xeda204d8,0xd25b00b3,0x1aa40168}},	//   _объедине, _یاونس_, _usuly_, _sveitsis, 
   {{0xaf51016d,0xa7c90158,0x628302ae,0xf9d702ea}},	//   _ﺗﯧﺨﻨﯩﻜﺎ_, _uzasadni, _lajkova_, _telecame, 
   {{0x728e03db,0x1b7f0381,0x6a7f0462,0x33de01e1}},	//   _abakuzo_, _alendarc, _alendars, _ариец_, 
   {{0xa3780488,0xd3590205,0x4b4b0282,0xee7e01db}},	//   _pagasta_, _жумҳурия, _houtaewa_, _лицейдің_, 
   {{0x928702ac,0xaddc015e,0x54be00ff,0xaf3a0403}},	//   _اعتذر_, _البوو_, _פויבסט_, _amafisin, 
   {{0x7f1106f2,0xcf480457,0xf8870593,0x74df0061}},	//   _शुक्राणु_, _acussule_, _sjokolad, _서울재즈페스티벌_, 
   {{0xf3410172,0x8b1c02e7,0x00000000,0x00000000}},	// [fd40] _ntsenka_, _binahinb, --, --, 
   {{0xe3fb01f9,0x7f120256,0x9f3b0066,0x9f4d042b}},	//   _akashiyi_, _kanalizā, _akordioa, _pristoja, 
   {{0x123c01f6,0xb2d000c5,0xd61f01ac,0x2eca0013}},	//   _ক্ষমতাৰ_, _chaleur_, _chiorcai, _оврупо_, 
   {{0xcb430074,0x88d30024,0xf93a02f7,0x88d60084}},	//   _попасть_, _মানুহবোৰ, _buelelwa_, _batuwang, 
   {{0xf2cd01eb,0x61990147,0x026e0230,0x6c000255}},	//   _soloing_, _اقچئي_, _katorz_, _alistas_, 
   {{0x3a8600b5,0x128d0190,0x48690209,0xb70c027e}},	//   _ателекан, _garapiei_, _annikeru, _западних_, 
   {{0x8c05024c,0x528303dd,0x125b0447,0x3f8b0153}},	//   _persuni_, _kushedi_, _epulo_, _四国医療専門学校, 
   {{0x0577012e,0xd1b103e3,0xb0a4026f,0xb04e0010}},	//   _tiltakoz, _premyerm, _توڭدىرما, _bulukhun, 
   {{0x524800fa,0x7f26011a,0x00000000,0x00000000}},	//   _dedma_, _לברלין_, --, --, 
   {{0x148703a2,0xc2a60478,0xb23f00a6,0xa6980065}},	//   _स्टांप_, _cambas_, _eekwayal, _zentralh, 
   {{0x4c06015e,0xd2e6042c,0x055901a3,0x158a023a}},	//   _terreny_, _planova_, _سونارن_, _postielk, 
   {{0x3f4b0148,0x951e008d,0xf388012e,0xd3ce0260}},	//   _computra, _geologiy, _bőrre_, _volven_, 
   {{0x42ee0372,0xc39b0037,0x6f2a03bf,0x0e4e036a}},	//   _economi_, _የሴሚቲክ_, _рюмка_, _matavina, 
   {{0xa4850012,0x024a0101,0x02bf01a3,0x28060291}},	//   _अइठांक_, _anumit_, _غمناڪ_, _دارميات_, 
   {{0x7c74018d,0x6db30478,0x91470092,0x42c501f0}},	//   _ምድህሳስ_, _trentena, _格安航空券_, _feelele_, 
   {{0x82900144,0x62fd012c,0x53410269,0x61860052}},	//   _tobac_, _chagua_, _obtenga_, _बिनाकारण_, 
   {{0x3af300df,0xd8690101,0x12040220,0x89f30148}},	// [fd50] _consulte, _ministru, _legittim, _consultu, 
   {{0x5e950040,0x769e0592,0xe694011a,0x00000000}},	//   _נותרה_, _confiabi, _הנילוס_, --, 
   {{0x62ee0212,0x93eb01f1,0xd506037c,0x4f4600be}},	//   _wiifm_, _mbeten_, _pertineo_, _курортту, 
   {{0xd38003e8,0x0b190119,0x42ca018d,0x00000000}},	//   _naprej_, _catarman_, _ዘውሕስን_, --, 
   {{0xa2000020,0xbf4900da,0x8ee402c3,0xcdb1042a}},	//   _aliita_, _кабинете, _poštová_, _kubanjwe_, 
   {{0x379b015e,0xd28b03bf,0x229003d8,0xdad80073}},	//   _атылды_, _aokameli_, _pojam_, _partient, 
   {{0xc9f60185,0x820e01cd,0xf81f0061,0x00000000}},	//   _betär_, _бағал_, _치주질환을_, --, 
   {{0x317e03bf,0x83130041,0xb31d0130,0x53a9061f}},	//   _идаралығ, _аеҭногра, _rusianeg_, _zahvale_, 
   {{0x067801bd,0x22b501c4,0x3b60031a,0x00000000}},	//   _мамандық, _geldede_, _figearan_, --, 
   {{0x735b04ca,0x931600c7,0xebc4007b,0xb5c700c0}},	//   _origina_, _krizis_, _feichtin_, _habambuh, 
   {{0x7d08011d,0xa2ef0183,0x8f10003c,0x00000000}},	//   _primarie_, _alefan_, _ریختند_, --, 
   {{0x32920004,0x261f018d,0x1c830303,0xd8b600a6}},	//   _astate_, _ተነቢሩሉ_, _iketlang_, _درئيس_, 
   {{0xa656004e,0xd6340405,0x6291003b,0x374c004d}},	//   _indibidw, _kvinneli, _bebati_, _電子報訂閱_, 
   {{0xdd0800da,0xf119014e,0x00000000,0x00000000}},	//   _пропагар, _песник_, --, --, 
   {{0x62920609,0xe2ef033d,0xd61301db,0x293501e9}},	//   _estase_, _elefan_, _سۇقسا_, _khompiot, 
   {{0x79ae0044,0x0d840191,0xec7c0113,0xc9af0040}},	//   _הוועדה_, _receptet_, _paisean_, _אמסלם_, 
   {{0xa292016b,0xa2c203b2,0x2af40481,0xf92203a2}},	// [fd60] _mutane_, _million_, _hieronde, _चोपड़ा_, 
   {{0x1c6a0343,0xe240006c,0xaa910019,0x3fa504b1}},	//   _jarrell_, _abawulal, _студияга_, _sprekker_, 
   {{0xbc6a01e8,0x0881009c,0xa6910225,0xf53d00c4}},	//   _darrell_, _admiraku, _kereriei, _ڊيڄاري_, 
   {{0xb2d800f7,0x43ba029e,0x226c0288,0x92000272}},	//   _belega_, _trawalc_, _tsioda_, _aliisa_, 
   {{0x1d2a0036,0xc2d80428,0xe59700e4,0x4c1d0133}},	//   _مثلما_, _celega_, _ब्रहमाकु, _garagaar, 
   {{0x042c020f,0x32f3019e,0xb290000d,0x3f410195}},	//   _نيالګي_, _анансава, _nojah_, _sonracha, 
   {{0xef3c01aa,0x9be0041b,0xcb720094,0x851d001c}},	//   _aturalna, _phrester, _етене_, _darudamo_, 
   {{0x91cb055f,0x540a0119,0x02240362,0xe2d8047d}},	//   _üstelik_, _jasielsk, _ayoka_, _stied_, 
   {{0x52910265,0x4391026f,0x12c50182,0x40710092}},	//   _edram_, _جاۋھار_, _opoloke_, _awaawajo, 
   {{0x8a10004d,0x73dd0116,0x1cf4020a,0x812900bc}},	//   _內閣先修班_, _brewen_, _индексте, _clavicho, 
   {{0x62910197,0x0ff100aa,0x9eb1023d,0x82000272}},	//   _rebati_, _archaelo, _crescere_, _aliira_, 
   {{0x50c703d4,0x59dd00bd,0x92cb0370,0x00000000}},	//   _ширине_, _awreadie, _balonna_, --, 
   {{0x223001dd,0x5df00313,0x5f48014a,0xf23f022c}},	//   _nyamata_, _jupdajva, _rádiós_, _bélgia_, 
   {{0xc38b0017,0xe96900be,0x06b200cf,0xf2d80020}},	//   _sýrem_, _sinistre, _duureeyy, _velega_, 
   {{0x893a018d,0x7f200300,0x02010241,0xf060037f}},	//   _ብሓርነት_, _zateplen, _arginu_, _sabitlik_, 
   {{0x82240362,0x54d70095,0x43d600ba,0xfc74018d}},	//   _ayoki_, _خروجي_, _دێنینه_, _ንትሑታት_, 
   {{0x2e3502f6,0xdb8703ea,0xd8e300d7,0x4cbd017d}},	// [fd70] _makapagp, _deviendr, _тунын_, _fupanntu_, 
   {{0xc801029b,0xafa900bb,0x49ec004c,0x0c1d0183}},	//   _beerséba_, _ابھیشیک_, _ayingiza_, _farampar, 
   {{0x738601a7,0x9a5f0012,0x0b4c0046,0xdf5d022c}},	//   _siirry_, _ओपीसिंह_, _تەگىرمەن, _citamian, 
   {{0xa2c80410,0x3e3502a2,0xfb2100d6,0xc5eb019b}},	//   _mabotse_, _nakapagp, _leapacha_, _specialy, 
   {{0xe387005b,0x629102a0,0x31e602ac,0x4cf50117}},	//   _merry_, _debari_, _نابولي_, _saedsaed_, 
   {{0xa8fc00ef,0x290f00be,0x82d90397,0x00000000}},	//   _bamacand, _سومكەسى_, _babeye_, --, 
   {{0x664400ff,0xf8fd00e6,0xae670162,0x00000000}},	//   _באאמטע_, _我与第e镜有个约, _سۇنۇلدى_, --, 
   {{0x8e32038e,0x38eb0210,0x548701be,0x00000000}},	//   _kualitas_, _akagugud, _वैरागी_, --, 
   {{0x12260013,0x3af10074,0xb3870269,0xa1bb018d}},	//   _keskin_, _lukukert, _madres_, _ብዝሓጸረ_, 
   {{0x6ff70410,0x669704bd,0x3e380278,0xa38700f1}},	//   _kakaretš, _beneiami, _kecacata, _ladres_, 
   {{0xcec10036,0x1d45011f,0x6ba401f9,0x0336003c}},	//   _caintean, _añamindu_, _beticelo_, _جوهانسون_, 
   {{0xe2fd034c,0x00000000,0x00000000,0x00000000}},	//   _kamiyar_, --, --, --, 
   {{0x315d0205,0x4fa404b3,0x388d01e1,0xc2f201d5}},	//   _гормонла, _detekter_, _спецназс, _néger_, 
   {{0xa098027e,0x522603b8,0x00000000,0x00000000}},	//   _групациј, _مالمەتتە, --, --, 
   {{0x323d0037,0xe6ba00d5,0x8c650259,0x929500c5}},	//   _የፓኪስታን_, _mitandri, _centret_, _globalem, 
   {{0x3291019b,0x74970256,0xb1e200c1,0xd673013f}},	//   _vidaus_, _nevajadz, _थरारक_, _brodueri, 
   {{0x11ba019b,0x085c0005,0x4395007d,0x6b8a0037}},	// [fd80] _распрацо, _entaifer_, _habsyi_, _መረጃውም_, 
   {{0x72910229,0xc22a00af,0x42dc0333,0xcee700af}},	//   _idrak_, _томах_, _acconci_, _загадок_, 
   {{0x7d6f02ff,0xd985005b,0x8b8c011a,0x00000000}},	//   _alimanta, _beskatte, _מהסדרה_, --, 
   {{0x323000bc,0x3964002b,0xc7840444,0x426d02dd}},	//   _nyimpen_, _গম্ভীর_, _светлана, _genituri_, 
   {{0x025a00aa,0xcfe10058,0xc27f026c,0x3a0601b4}},	//   _apilan_, _lelivako, _moenia_, _verbinte, 
   {{0x5be601d1,0x917200ff,0xc2e90076,0xf6490023}},	//   _accessor, _בעסאַראַ, _assista_, _заработк, 
   {{0xef5e04fe,0x246e0188,0xd21c046b,0xb004020f}},	//   _creazion, _кремл_, _aethom_, _ننواتې_, 
   {{0x8d990435,0x035300c1,0x12ab02f6,0x00000000}},	//   _победила_, _आपुला_, _hagdang_, --, 
   {{0x495603b7,0x17610059,0x22a700a6,0x00000000}},	//   _andomize, _увери_, _حديثونه_, --, 
   {{0xb2fc0115,0x52a60008,0xbb0700cb,0x00000000}},	//   _dungun_, _gambes_, _зиеданд_, --, 
   {{0x51a40235,0x37ca0045,0xd41900e6,0x5733010d}},	//   _औस्ट्रेल, _сценарио_, _王石正式回应_, _युनिवर्स, 
   {{0xd36b054c,0xb8620170,0xf31a00fa,0xef5d00ea}},	//   _inngrep_, _chingond, _basikong_, _fitakian, 
   {{0xf813014e,0x036400ba,0x8861000d,0xd01202c4}},	//   _подвига_, _نوسمه_, _kannatad, _ловќен_, 
   {{0xc2d80382,0xf3950062,0x150404a4,0x16630139}},	//   _ndlela_, _fussy_, _bhallach, _प्रथमाया, 
   {{0xade20171,0x00000000,0x00000000,0x00000000}},	//   _držači_, --, --, --, 
   {{0x0e4c024b,0xfc6301ff,0x7b9e02d8,0xae9800a6}},	//   _almacena, _venujem_, _skenario_, _ددموکراس, 
   {{0x17ec03c2,0x52ec01b2,0x98410061,0xa8b500c5}},	// [fd90] _albaneag, _albinee_, _되었습니까_, _cultiver_, 
   {{0x675e0050,0x4c5c017e,0xbb670022,0x2f5d00c0}},	//   _dipidang, _fratino_, _героинға_, _kapampan, 
   {{0x8efd0109,0x3b7e0258,0xfc6e0183,0xbbdf004d}},	//   _यतिका_, _fernuver, _aseraha_, _不冠不得見_, 
   {{0xab030026,0x9b3401c5,0x8e3a042d,0x00000000}},	//   _일반적으로_, _magaciis, _hatanora, --, 
   {{0x2ff60590,0xb2df00b9,0xeb1f0456,0xe2fc0082}},	//   _сайрус_, _indosat_, _tunaikan_, _gungun_, 
   {{0x6ec1030f,0x048900c4,0x8e3100f5,0xdfc004ad}},	//   _hainatan, _اوڙاهه_, _склетине_, _kokopano, 
   {{0xa8b20737,0x53ef0074,0x00000000,0x00000000}},	//   _studietu, _systeemi_, --, --, 
   {{0xab5b0166,0xbfaa037c,0x16360040,0xf9d500d3}},	//   _anmelden_, _videntur_, _מיכאלי_, _हृदयमा_, 
   {{0x19e202ac,0x975a0012,0x875c0007,0x00000000}},	//   _غاريث_, _तुक्क्ष_, _komitung, --, 
   {{0xfe9002cb,0xe36400af,0xef5b0151,0x7f4302d3}},	//   _usamljen, _mengden_, _asiannan, _подвид_, 
   {{0xe7ac01e6,0xa3ba0276,0xc620004d,0xd364054c}},	//   _bolestiv, _повелниң_, _八德市介壽路二段_, _lengden_, 
   {{0xc2010168,0xbf3902e4,0xa4f40234,0x00000000}},	//   _avvik_, _annunzja, _pànbóló_, --, 
   {{0x906a004a,0x4b0c04ac,0x9c7d021a,0x0e140368}},	//   _джованни_, _мальчика_, _caasaan_, _геодетск, 
   {{0xb5100162,0x62ce04e7,0x4fc002f7,0x72da008d}},	//   _берма_, _moravčík_, _bokopano, _koreys_, 
   {{0x32900074,0xac800760,0x93eb025e,0xc49501b2}},	//   _pojan_, _ब्रसेल्स_, _hvatti_, _baronial_, 
   {{0x64f30060,0xf2b1017c,0x0b2d02c9,0x181f00d3}},	//   _соманы_, _fundera_, _impartas, _सिंहासनम, 
   {{0xbf5d00d5,0xdc67054c,0xeb620109,0x8b8200c1}},	// [fda0] _fitahian, _feiring_, _जोआना_, _mukomuko_, 
   {{0x42330058,0xed270089,0x77a900bc,0xb6830630}},	//   _dispenäd_, _фронты_, _تقارن_, _gtsecuri, 
   {{0x65780391,0x073f00be,0xad0900d1,0x1e020462}},	//   _профсоюз, _قوعونۇم_, _বাহিৰতে_, _eagentra, 
   {{0xe2010122,0xa61e0009,0x00000000,0x00000000}},	//   _sawise_, _posodobi, --, --, 
   {{0x6981000b,0xe3a90177,0x97be0297,0x990900d1}},	//   _fasiotia_, _инагӡоу_, _ayanıçı_, _সৱলীকৰণ_, 
   {{0x974e01ef,0x023c0173,0x9a870041,0x62900316}},	//   _правы_, _ক্ষমতায়_, _анкьа_, _sojan_, 
   {{0xfc74018d,0xb95a01a3,0xf2e900da,0xfa5c026c}},	//   _ምድምሳስ_, _بورڊنگ_, _rutiera_, _criminib, 
   {{0xdac600d1,0xf2780059,0x00000000,0x00000000}},	//   _কেন্দ্ৰট, _alunni_, --, --, 
   {{0xa37802ca,0x7318021a,0xb2900310,0x326d04f2}},	//   _بينما_, _ionizing_, _solais_, _khuon_, 
   {{0x3a41015e,0xdace032b,0x8290036d,0x00000000}},	//   _айлана_, _районниң_, _polais_, --, 
   {{0x2401029b,0x1aee00ae,0x49e2022b,0xe76600c7}},	//   _alquraan_, _aradahis, _vestureu, _eraklarg, 
   {{0xac670227,0x7f9000bb,0x1d1801a3,0x52d9024a}},	//   _seiring_, _میراتھن_, _ميگهه_, _labele_, 
   {{0x12c502ab,0x8e93019e,0x26b2009d,0x4611009e}},	//   _imalite_, _несправя, _patundsh, _deveriam_, 
   {{0x334d043a,0x2b7504c9,0x815600bc,0xefd30013}},	//   _jalepik_, _enerhiya_, _وارونه_, _rejissyo, 
   {{0xe2d804ef,0x09c504c3,0xb3790054,0xed0900d1}},	//   _beleza_, _superwat, _bagaden_, _বাহিৰতো_, 
   {{0xde7200a2,0x61ec01a3,0x8e480153,0x6ff600d1}},	//   _اڏاوت_, _شيڊيول_, _ドを選択して絞込, _পুৰোহিতৰ_, 
   {{0x52fd00ae,0x4bfc02fe,0x52c504ee,0x2201031e}},	// [fdb0] _abegwa_, _احتجاجون, _mmalite_, _emaila_, 
   {{0x9731014a,0x83c901a7,0x1f140244,0xb723007e}},	//   _کھوسہ_, _приветст, _букурещ_, _cottamam_, 
   {{0x1889047d,0x6feb0541,0x32920527,0x6b430189}},	//   _treverer_, _naučnika_, _ostave_, _penceres, 
   {{0xf635029f,0xc658036d,0x5a7f03be,0xa2cb042b}},	//   _evanjeli, _dothuigf, _kurarira_, _uredio_, 
   {{0xd2900036,0x4498002a,0x4b5b02fb,0xc055026a}},	//   _pobal_, _databeez, _apitanga_, _malanivo, 
   {{0x5bba01db,0x260b0072,0x9c5c000f,0x529300ec}},	//   _ءﺑﻮﻟﯩﻢ_, _warminki, _unuttun_, _аўтобус_, 
   {{0x429002da,0xde430211,0xb5e90242,0x3a640064}},	//   _lojas_, _бесплоди, _savadlı_, _бүдүрлөр_, 
   {{0x5ee801f4,0xe27e036c,0x24e300d1,0x5a15008a}},	//   _آتانی_, _mainty_, _মালাও_, _lavalima_, 
   {{0x3961000d,0x829200a4,0x5291022e,0xdd5a017a}},	//   _परसन्न_, _assaig_, _alzai_, _доден_, 
   {{0xae36012d,0xe69001ec,0xa28c00f1,0x9eaf03f7}},	//   _angglika, _brawijay, _lansenny_, _skuldbin, 
   {{0x625a02ea,0x83a402fa,0xff580095,0x00000000}},	//   _connessi_, _babashij, _diculké_, --, 
   {{0xc26c0457,0x291f002b,0xb3f40110,0x6d070088}},	//   _aamoy_, _শত্রুতা_, _testus_, _аркалоо_, 
   {{0x6c5c04fc,0xa22704ae,0x525b0082,0xa65c00c1}},	//   _বিশ্ব_, _високе_, _asalin_, _देवधर_, 
   {{0x82e5012c,0xf2d500d1,0xaf11009b,0x1a020153}},	//   _تبصرو_, _অহংকাৰ_, _dentsita, _これに対し_, 
   {{0xd7b10211,0xad890203,0x4b9e01d2,0x76ea0365}},	//   _tekstivi, _preferet_, _giniralc, _ऐरावती_, 
   {{0xd324005a,0x719b0237,0x00000000,0x00000000}},	//   _poschoh_, _선생님들의_, --, --, 
   {{0xb2d9039d,0xba5c00a4,0x02e90191,0x626c0117}},	// [fdc0] _babele_, _конкретт, _springa_, _ronowe_, 
   {{0x6bbd0060,0xa19004df,0x23ce0296,0x00000000}},	//   _торабына, _açarymy_, _kolven_, --, 
   {{0x0290026b,0xfc700497,0xc9f5003d,0x29b400be}},	//   _hojas_, _amasane_, _ancés_, _жупуну_, 
   {{0xf49601ea,0xa1bc0145,0x82da0020,0x53010099}},	//   _قهرمانی_, _басейнах_, _lepeti_, _gumbeze_, 
   {{0x7d220076,0x885f00d8,0x0aec016a,0x00000000}},	//   _pagsegur, _armoriau, _dialogon_, --, 
   {{0x697f0061,0x19880371,0x3345006c,0x6291031e}},	//   _교차로신문_, _лентата_, _amadamu_, _vozac_, 
   {{0x593203cc,0xfc9a0052,0x271900d1,0xe52800c8}},	//   _কথায়_, _उपन्यासक, _সাপেক্ষে, _проценты, 
   {{0x9c610111,0xe27700ec,0xb25b0399,0xd27f03ef}},	//   _parulla_, _масквы_, _ipulu_, _anenga_, 
   {{0x32900117,0x926c00aa,0xc39402ca,0x937c00c5}},	//   _gobak_, _aimong_, _annsin_, _urbaine_, 
   {{0x2386019e,0xec6a01f5,0x00b000ba,0x956702eb}},	//   _svorio_, _mulutku_, _رابکێشن_, _никкүн_, 
   {{0x58070040,0x65720102,0xe2900046,0x16c5002b}},	//   _התריס_, _hautawez, _pilars_, _অধ্যায়ের_, 
   {{0x337e0092,0x62d4042c,0xffbc01b3,0xe2fa00fa}},	//   _クチコミ情報_, _prilogu_, _маркевич_, _bwahaha_, 
   {{0x31e90265,0xbc1d0859,0x92900074,0xf9e4006c}},	//   _assortim, _dijaspor, _pojat_, _ahlobana_, 
   {{0x229001b5,0x69fc006e,0xd0e3000c,0x00000000}},	//   _fljay_, _diyaafat, _nonnemol, --, 
   {{0xb3e102ac,0xea58012d,0x42390086,0xef6904e6}},	//   _عضواً_, _nehemaia_, _krumpli_, _binastos_, 
   {{0x32d80050,0x015c00bf,0x54200012,0xf2250294}},	//   _gedena_, _тутар_, _लहकबे_, _hawka_, 
   {{0xc3d701ea,0x10e003f4,0x203302d3,0x325b061e}},	// [fdd0] _معلوماتی_, _снова_, _декорира, _apulu_, 
   {{0x379e00c9,0x5f110058,0x59e30102,0x159b0012}},	//   _chutichx, _hendrien, _kuzindua_, _दोलाईउरज, 
   {{0x373b0525,0x62b202ec,0x848001e6,0x2e48006f}},	//   _अविभाजित_, _waddada_, _kritizuj, _بيخود_, 
   {{0xa2d8035e,0x3ae40169,0x2d840203,0x7249008d}},	//   _jelena_, _জোরালো_, _deceptet_, _shamol_, 
   {{0x93730468,0x22d801be,0xf2900107,0x5ec203f7}},	//   _bamazwe_, _vedena_, _cobak_, _bringunn, 
   {{0xa3860071,0x0f940161,0x54540156,0x9538014c}},	//   _نامداری_, _русскую_, _טאגבוך_, _nesizath, 
   {{0xc3790342,0x0b65002b,0xb2e305db,0xcab404b2}},	//   _magazen_, _আলেকজান্, _achithe_, _angkinin_, 
   {{0x029002f3,0x63790170,0x00000000,0x00000000}},	//   _tobak_, _athanso_, --, --, 
   {{0x336801e1,0x93870004,0x26ed012a,0xf6990037}},	//   _урмандар, _izarak_, _uruchami, _ያተኮረው_, 
   {{0x021c00a5,0x3b7b017a,0xba170040,0x92b5005b}},	//   _betham_, _abashaya_, _לתשרי_, _reddede_, 
   {{0x72ea0310,0x7c9c085a,0x153d0125,0xae35036e}},	//   _daniell_, _भुगोल_, _bashlary, _dacarava, 
   {{0x0fa0016d,0x82900160,0xdd920062,0x697b01f3}},	//   _дәптири_, _pojas_, _doplijda, _zaplatíš_, 
   {{0x02920039,0xe2370129,0x9d1b018d,0xd26c0267}},	//   _pasatu_, _gbajie_, _ንዶክተር_, _noviteti_, 
   {{0xfe320175,0xda070061,0xbe0b03b0,0x46b60261}},	//   _reaziste_, _홈페이지개선의견_, _blodleka, _cikonioj_, 
   {{0x6de40074,0xa9090187,0x69d60153,0x00000000}},	//   _merkityt_, _летала_, _全板人気ト_, --, 
   {{0x1c3e02d3,0x23f801c9,0x9b0d03a4,0x3f7f0037}},	//   _затворен_, _pakume_, _morgunin_, _ተጋጭተው_, 
   {{0x75a201c9,0xb96b0352,0x95f3026f,0xb7110102}},	// [fde0] _खोंता_, _arkivmat, _бесжылды, _ملازمتن_, 
   {{0x414a006d,0xf2920281,0x239401e8,0x060f0155}},	//   _трамплін, _aasaru_, _binsan_, _exponeri, 
   {{0xcb7c0178,0xd2010165,0x60870040,0x930d0269}},	//   _amittāpi_, _ilaisa_, _התיבה_, _hogares_, 
   {{0xbe0103a6,0xd9730040,0x550d011c,0xc28901ea}},	//   _bagerera, _הרמטכ_, _gestuloo_, _mashxur_, 
   {{0x2e4c01b2,0xb2890630,0xa8720244,0x3b3702eb}},	//   _cleanest_, _europé_, _получиш_, _харайх_, 
   {{0x5eac02e7,0x3c010338,0xff490446,0xe49b0311}},	//   _cysteine_, _classas_, _croporta, _ምጽፋፍን_, 
   {{0x323f03ab,0xfd870455,0x48460024,0x4c1d0239}},	//   _čokoládo, _tendance_, _বিদ্ৰোহৰ_, _paranaar, 
   {{0xb05a0071,0x42e900a0,0x745300bb,0x730d030a}},	//   _درتاریخ_, _kabilun_, _پبلیکیشن, _fogares_, 
   {{0x3a450145,0xdb4000c1,0x00000000,0x00000000}},	//   _туркмені, _बलाढ्य_, --, --, 
   {{0x45d2008d,0x08570301,0x12a301ea,0x8dc203d1}},	//   _زمانده_, _saakaşvi, _tasavvuf_, _atriebja, 
   {{0xaedf0148,0x4e0600e4,0xdc970152,0x09c60010}},	//   _迪士尼樂園服務_, _kondygna, _бертуган_, _imilotsa_, 
   {{0xff2d00e0,0xee4d011a,0x90dc00ac,0x77390080}},	//   _betellin, _competed_, _samoposl, _errorsiv, 
   {{0xe3170194,0x08490350,0x511402aa,0xc16500e7}},	//   _ebazar_, _እየተወጡ_, _výkresy_, _eatonyay_, 
   {{0xaa7d023b,0x1be2041e,0xe3940103,0x00000000}},	//   _abiatara_, _impedisc, _finsin_, --, 
   {{0x2ae1035b,0xb3850331,0xa9d9016f,0xa3fc0126}},	//   _kolesars, _fylgiskj, _балансов, _спартакі, 
   {{0x1fbb0173,0x5388026b,0x8da1034e,0xb2e90306}},	//   _আপত্তিকর_, _asesoram, _asinampa, _babilun_, 
   {{0x2ea50168,0xaa7f0687,0xcdef0025,0x00000000}},	// [fdf0] _redusere_, _kuragira_, _परम्पराय, --, 
   {{0x02ec01cd,0x04590420,0x73f8006e,0x3f44030b}},	//   _korinte_, _coletivo_, _demuma_, _alisemba, 
   {{0xd60501ad,0x22d80439,0x6c850040,0xe15900ba}},	//   _philippi, _delela_, _סוניק_, _دارێژراو, 
   {{0x997504ce,0x32ef0085,0x269d02a2,0x52010020}},	//   _dzangale, _bisnisi_, _mangyari, _alaisa_, 
   {{0xa34d00e4,0x447002f4,0xa9a700c8,0x42920051}},	//   _विकल्पों_, _femenino_, _методисы_, _vasaru_, 
   {{0x3d060608,0x3b7d02a8,0x4b1b02ac,0x8b840374}},	//   _aparecer, _kkunsidr, _وفناتق_, _оппок_, 
   {{0x32870135,0xceda018e,0xcbcb03dc,0x3a120111}},	//   _radiosy_, _gavhumen, _badminto_, _aggradèv, 
   {{0xb2c20120,0xe9d401cd,0x62d801a0,0xf4f30035}},	//   _caalata_, _abhedine, _helela_, _торабыз_, 
   {{0x933d04dc,0x8c070051,0x91e701f1,0x1c1802c2}},	//   _تیتان_, _personu_, _zakonshm, _happies_, 
   {{0x83940144,0xcb2d0080,0x7582013e,0xf7020257}},	//   _pinsin_, _assakaas, _sedmicom_, _brauðrét, 
   {{0xc41f0226,0x62f0015e,0x00000000,0x00000000}},	//   _akhalepo_, _актерлор_, --, --, 
   {{0xabb4085b,0xecb300dd,0xad010320,0x00000000}},	//   _निसंकोच_, _bregethu_, _iliutacr, --, 
   {{0xf202013a,0x61bc0156,0xd2820087,0x00000000}},	//   _kotick_, _עפּיזאָד, _makhati_, --, 
   {{0x98fe0192,0x927c011b,0x2e01055d,0xda860094}},	//   _프로그램을_, _abandaki_, _dipercep, _تاياۋعا_, 
   {{0x23f80193,0xeef9036b,0x00000000,0x00000000}},	//   _pemula_, _легална_, --, --, 
   {{0xb57502df,0xa2ce02f6,0x25a3013a,0x92da0254}},	//   _pendedah, _totoong_, _mediathé, _abuelo_, 
   {{0x02d80439,0x7316029a,0x75c803db,0x72380067}},	// [fe00] _belela_, _finaliz_, _bayakuth, _boombii_, 
   {{0x65e3035a,0x92900058,0x1200007b,0x02d401e7}},	//   _bereberä, _vilags_, _femily_, _knudel_, 
   {{0xf77302af,0x04ab0075,0xc3ce0184,0x00000000}},	//   _akayanyw, _undantak, _ntamavuk, --, 
   {{0xf2d80130,0x0c5b012f,0x97c9020f,0x02ee00de}},	//   _brieg_, _schuppe_, _اکټوبر_, _bomnini_, 
   {{0xa38702ce,0xfeb9007f,0xb2ba045d,0xe3f4000e}},	//   _diarah_, _abergele_, _uradili_, _custat_, 
   {{0x6e2d0092,0x769b04b9,0x00000000,0x00000000}},	//   _ジャンルタグ_, _eldershi, --, --, 
   {{0xf25a040a,0x00000000,0x00000000,0x00000000}},	//   _hallå_, --, --, --, 
   {{0x1f590287,0x74d70125,0x03870047,0x00000000}},	//   _inspekce_, _карарың_, _cadres_, --, 
   {{0x4bd801b1,0x42d80396,0xa30e0294,0xd0fc0153}},	//   _आक्रामक_, _grieg_, _ayabaca_, _イベントレポ_, 
   {{0x8f1e0093,0xe2130132,0xe13f0010,0xe2020034}},	//   _проектов_, _miskolci_, _angempel, _gosið_, 
   {{0xac880144,0xfd6f01d4,0x56c60251,0x00000000}},	//   _مقاهي_, _aliminta, _kulamadi, --, 
   {{0xcaf5022e,0x679700ee,0xb2df0450,0x3587014f}},	//   _scherzos, _даашинзт, _akkoart_, _ракету_, 
   {{0x53ea03fd,0x312d01cd,0xd29100e4,0x23e900e3}},	//   _peita_, _марти_, _porad_, _assertiv_, 
   {{0xfc990074,0x228b0007,0x5dba019b,0x5b1c0108}},	//   _поставил_, _bikateli_, _translia, _baramaen_, 
   {{0xb3ea0224,0x327f00eb,0x429202d4,0x76bc0078}},	//   _veita_, _miensa_, _basand_, _патриоте_, 
   {{0xe0930024,0x19f20080,0xac0202ca,0x7803012c}},	//   _যৌতুক_, _kingulle, _meastar_, _دينيات_, 
   {{0x8e1800e4,0x934b0156,0xacf80167,0x62910004}},	// [fe10] _egzempla, _יקספּירי, _blatffor, _dezafi_, 
   {{0x0c5c0014,0x9dfe0300,0x4a5000d3,0x124802e5}},	//   _ኣጀንዳታት_, _inzerova, _zelenina_, _eximio_, 
   {{0x329001c5,0xa22f00d1,0xec220155,0xe3060314}},	//   _toban_, _এনিমেছন_, _sportfis, _foromong_, 
   {{0x0c1d007e,0x10f6013c,0x604801a7,0x9afb01bb}},	//   _paraspar, _malların, _распечат, _başlapdy, 
   {{0x68c700c1,0x27b600c1,0xc25b022c,0x89ae00bc}},	//   _हरिपाठ_, _diseling, _apalan_, _سیلیس_, 
   {{0x7c8401df,0x504307fa,0x32fc00cf,0xa60b0148}},	//   _deserted_, _malungan, _dhigii_, _ingentem_, 
   {{0xb3600147,0xe7e902fe,0x1ef305db,0x425a023e}},	//   _ازەربايج, _نيازی_, _abakufun, _ceklik_, 
   {{0x9ae601aa,0x9f260272,0xc30d031c,0x9a59014e}},	//   _estricte, _abatasaa, _escasos_, _расходно, 
   {{0x09640038,0x26b90461,0xc0f6013c,0xfb1c042c}},	//   _күрке_, _ramaderi, _halların, _rasprost, 
   {{0x4363043d,0x5e63026c,0xbfd200ba,0xaadf0040}},	//   _sungguh_, _circumda, _زماندا_, _modulate, 
   {{0x43ea03cf,0xcd0803f7,0x1fd502e7,0x557201a3}},	//   _dantel_, _brjálaði, _mahiligo, _ھاسٽل_, 
   {{0xdafd031a,0x930901b3,0x80f60189,0xe291030d}},	//   _bharaile, _пристойн, _dalların, _corab_, 
   {{0x48c501f6,0xbc5b008e,0x2efb0045,0xa27f024b}},	//   _উদ্যান_, _dieunde_, _страним_, _sienta_, 
   {{0x916705a5,0x52fc0245,0x92c20120,0x9a5e01b5}},	//   _pripravo, _hangto_, _caalota_, _crmmaids, 
   {{0xe3870269,0x5296005b,0xaae303ec,0x134e0198}},	//   _padres_, _shikoku_, _deklaron_, _baterij_, 
   {{0xceb20080,0xa76a010d,0xa364009b,0x8e3a00d1}},	//   _aatorunn, _माध्यमे_, _nengoen_, _পাৱাগড়_, 
   {{0x0e510115,0x046400ba,0xac670233,0x4aa7019e}},	// [fe20] _dimajuka, _مێقداد_, _quittar_, _арабія_, 
   {{0xe65005f2,0xd6a00092,0xc12a0204,0x72d804e8}},	//   _concesió, _中国情報局_, _принтеро, _auien_, 
   {{0x3d8703d1,0x1d2c0334,0x2296017d,0x00000000}},	//   _tendence_, _kulikose_, _hanasaki_, --, 
   {{0xd3ea03f5,0x1c9300bc,0xb35d00ed,0x39f00084}},	//   _jeito_, _سانان_, _drigung_, _bisnisna_, 
   {{0xf2900241,0x1291014d,0xcf600156,0x9c730103}},	//   _bobal_, _vorab_, _ראָסמאַן_, _chisina_, 
   {{0x0b29018d,0xa2b5005b,0x528902bc,0xae780041}},	//   _ኣይተሳእኑን_, _sacchi_, _bashlur_, _лаиыркыи, 
   {{0x02cf049e,0xa8290089,0xb2900321,0xd3ca0143}},	//   _podobne_, _протестл, _pojav_, _французо, 
   {{0x13ea043a,0xe1d70128,0xf2c703ab,0x00000000}},	//   _neito_, _тарихга_, _hádka_, --, 
   {{0xa2d8029e,0x7f5b041e,0x39490297,0x022b0169}},	//   _pried_, _rimandan, _самурайл, _alambre_, 
   {{0x1ebb018d,0x58da0076,0x69f300bb,0xf1d600a7}},	//   _ዝምስገን_, _предходн, _امرےکہ_, _تۇنعۇچ_, 
   {{0x491e000d,0xb7fe0037,0x07e100d9,0x2ee20139}},	//   _गिरहस्त_, _ከማስቻሉም_, _inspiroi, _सिन्दूरा, 
   {{0x72d80121,0x66e9017d,0xe2910527,0x591e000d}},	//   _quien_, _プレゼント_, _borac_, _गिरहस्थ_, 
   {{0xf92401ef,0x525b01c5,0xac8201db,0x627f0269}},	//   _кустах_, _faallo_, _реформас, _piensa_, 
   {{0x60380075,0x524801b9,0x8a0000b8,0xe2d4021e}},	//   _vestmann, _akimil_, _kunatixa_, _sidorna_, 
   {{0x93ea0445,0x86e302ec,0x92c70242,0x79c30118}},	//   _feito_, _durbadii, _yeddinci_, _atambula_, 
   {{0xb5ef03f2,0xc7fc0411,0x329801e6,0xd3fc0334}},	//   _kommenti, _ольги_, _thajsko_, _chaulimi_, 
   {{0x5a900025,0x19f6004f,0xa58402a4,0x9c67011a}},	// [fe30] _antyasya_, _gisée_, _bellorum_, _fearing_, 
   {{0x835a01cc,0xc2e305aa,0xc30c047d,0x14070109}},	//   _abhunsuḥ_, _logiske_, _schaiss_, _सकिदैन_, 
   {{0xfb83047b,0x1d1f0086,0x23860243,0x4e6c03d1}},	//   _barnagar, _alkotott_, _tiiruh_, _izmitinā, 
   {{0xb3ea053c,0xd25b00b0,0x19de00be,0x12f1004e}},	//   _xeito_, _maalmo_, _تەڭتۇشتا, _gisilbi_, 
   {{0xd18e0141,0xb4a10003,0x6c2c0488,0xed3600cb}},	//   _yaratish_, _verschij, _pacientu_, _назриев_, 
   {{0x529100ac,0xbd050371,0xd332015e,0x00000000}},	//   _mozak_, _segreter, _peixos_, --, 
   {{0x823003ba,0x9c71008f,0xb0ae0314,0x7d3c0095}},	//   _abemama_, _बिस्टा_, _баҡтиһәң_, _balipost_, 
   {{0xc5410207,0x53580234,0x00000000,0x00000000}},	//   _الفابيٽ_, _yógùn_, --, --, 
   {{0x92900119,0xf0460109,0x5ee80368,0x00000000}},	//   _albay_, _बरालले_, _ветрови_, --, 
   {{0x12eb0244,0x35d70178,0x92920338,0x32df02fd}},	//   _diritto_, _akalyāṇa, _estant_, _buinnig_, 
   {{0x6c78033c,0x22ee01c0,0x5c670092,0x925900d9}},	//   _ogystal_, _shafa_, _rearing_, _huonosti_, 
   {{0x82900193,0xe0f10119,0xb35501be,0x85f900af}},	//   _sobat_, _leibnitz_, _ořechy_, _болях_, 
   {{0xb343026c,0x830601e9,0x06350204,0x39be011a}},	//   _numerum_, _borokong_, _evankeli, _החידושים_, 
   {{0xb7150437,0xec31005e,0xaa0b0089,0x518e008d}},	//   _firmanav, _تۇڭگان_, _акбаев_, _qaratish_, 
   {{0x3378036f,0x73ea01c2,0x8bdc02f3,0x7aee0429}},	//   _izdanja_, _teito_, _påståend, _vendalis, 
   {{0x1f3a00b0,0xda2004d3,0x73f900dc,0xac670114}},	//   _baaritaa, _zampajlu, _alauni_, _wearing_, 
   {{0xa7b800e4,0x2dbc002f,0x32ea0054,0x62d8020b}},	// [fe40] _regulami, _allikuna, _jaridun_, _buiel_, 
   {{0x64d6015d,0x6290008c,0x9071031c,0x93750371}},	//   _हस्तशिल्, _robas_, _efectivo, _inquinam, 
   {{0xaafc01fd,0x0af3005b,0x7e560077,0x959d01ff}},	//   _seguimie, _overtage, _atibonit_, _nepremok, 
   {{0x937c0024,0xd17d0040,0xdc9300a4,0x935e01c6}},	//   _lovande_, _דיבוב_, _جامان_, _drigend_, 
   {{0x7290064c,0xcb6701cf,0xecf60408,0xb16f0147}},	//   _dobar_, _guardava_, _ahatsiar, _جەرئپ_, 
   {{0xa2a1005d,0x93f40203,0x7f100291,0x2a32038e}},	//   _concepci_, _restus_, _اخذها_, _गर्जा_, 
   {{0xe305014a,0x73f80107,0x13f900c5,0x076a00e6}},	//   _اوراس_, _gubug_, _occupe_, _一次消费满_, 
   {{0xa6c80243,0xdb5e0035,0x325000e1,0xd2ca04ca}},	//   _cedaanam_, _ирене_, _délay_, _alidé_, 
   {{0x55b602b2,0x5a59004d,0x95700193,0xa3ea0168}},	//   _партії_, _機場接送機_, _अहमदाबाद, _beite_, 
   {{0x964402e0,0xefcc005b,0x42340165,0xf31d01c5}},	//   _bipololw, _nationer_, _veidabui_, _barbaar_, 
   {{0x85c1013e,0x034702a6,0x62d60183,0x3ee9021e}},	//   _siledžij, _ammenta_, _fatoran_, _stekpann, 
   {{0xb79d0388,0xf14300c1,0x42d701da,0x5db3048c}},	//   _costruzi, _menetral, _dalluar_, _breneena, 
   {{0x24d70041,0xd2240211,0xd6df00f4,0xc95c01c2}},	//   _иацлоит_, _rikkoo_, _dilugañ_, _asasinar_, 
   {{0x031a00c5,0x32e303db,0x827f0039,0x82eb02ee}},	//   _按作者搜索_, _ichithe_, _esanik_, _inbidel_, 
   {{0x7290031a,0x9375020f,0x4af70223,0x3eb3013a}},	//   _tobar_, _نابودۍ_, _найдан_, _fuerdert_, 
   {{0x25c80040,0x8ae40065,0xf37b019c,0xbf3300f7}},	//   _פלטפורמה_, _gestorbe, _omugọ_, _bestoĝar, 
   {{0x85190494,0xc63c001e,0x40f50007,0x00000000}},	// [fe50] _napustio_, _hakikani, _kuzingil, --, 
   {{0x0290006a,0x1303033c,0xbf5b0350,0xec66013f}},	//   _onjam_, _dyrannu_, _didakwan, _guitaas_, 
   {{0x82a60321,0xd2630095,0x8d3d04ae,0x00000000}},	//   _veljati_, _adhipati_, _средству_, --, 
   {{0x33320420,0x1290007a,0xc5450322,0x00000000}},	//   _peixes_, _anjal_, _basinyiy, --, 
   {{0x09e7014b,0xe201023d,0x22d00065,0xd0e801d2}},	//   _déficien, _ambito_, _textlich_, _carihuel, 
   {{0xbeb800da,0x7ba60061,0xc9f70322,0x32d30109}},	//   _ianuarie_, _스탈린그라드_, _agendana_, _strojek_, 
   {{0xcc6902cb,0x26f7023e,0x00000000,0x00000000}},	//   _okrugli_, _ماراتن_, --, --, 
   {{0xc3ea02b0,0xf3f9003d,0x93ea0773,0xd58b0147}},	//   _seite_, _claudi_, _aditu_, _бакдөөлө, 
   {{0x523203e6,0xabf300fd,0x8c6b0194,0x920201e9}},	//   _grimmel_, _aineolac, _difuset_, _dipier_, 
   {{0xa4f8045b,0x69680005,0x105700d1,0xc5a30053}},	//   _наступни, _müstair_, _আকাশবাণী_, _शोधता_, 
   {{0xc2020779,0x53f40098,0x637a00b4,0x340d009b}},	//   _fotiek_, _hurtig_, _finalul_, _alorrean_, 
   {{0x42020079,0xa290033a,0x1eb50187,0x12010087}},	//   _notiek_, _injam_, _адресата_, _loyiwa_, 
   {{0xe058011e,0x0eaf0148,0x9a070386,0x8553020a}},	//   _adisyonn, _exercent_, _hebatnya_, _фирмалық_, 
   {{0x5c0800f2,0x3a5500fd,0x00000000,0x00000000}},	//   _sagaidīt_, _gadelica_, --, --, 
   {{0x3d840135,0x829000c9,0x72300303,0x005b0037}},	//   _belderde_, _enbac_, _anamisa_, _የአስቦት_, 
   {{0x4ef70074,0x2a4000f5,0xdc19019a,0xa58b0009}},	//   _диаметр_, _энбия_, _mainered_, _neprijaz, 
   {{0x62010772,0x23160118,0xceb802c2,0xf2900241}},	// [fe60] _amakhasi_, _ababiri_, _januarie_, _amnaan_, 
   {{0x72910408,0x6d200099,0xda070227,0x2ec1028a}},	//   _lozan_, _chasarir, _tebalnya_, _huonekan, 
   {{0x008d0016,0xc721003a,0x5ec10323,0x227e0199}},	//   _אביוז_, _muntazam_, _kuonekan, _rainsy_, 
   {{0xda0b02b4,0x437902be,0x2f660308,0xfaa000be}},	//   _angacela_, _almario_, _menantun, _атаганат_, 
   {{0xeb1f0169,0xfc020024,0xaa0900af,0x4c6600e2}},	//   _নাস্তিকদ, _plassar_, _налаштув, _fertelt_, 
   {{0xf9fc0322,0x33550156,0xbf240033,0x00000000}},	//   _akandika_, _רודפן_, _bodenman, --, 
   {{0xb29000ad,0x94d400c1,0xb2e700e9,0xa3f402f3}},	//   _robah_, _काहिही_, _frengan_, _akuten_, 
   {{0xde35023b,0x29fb005e,0xb25b022d,0xfa9a03db}},	//   _nawaliwa, _ﻗﯘﺭﺋﺎﻧﺪﺍ_, _anellu_, _mfanekis, 
   {{0x02a8032e,0xe941013f,0x4c49004d,0x303f014d}},	//   _chachjam, _inflecte, _內政部營建署_, _gelungen, 
   {{0xe2e80119,0x00000000,0x00000000,0x00000000}},	//   _cacimba_, --, --, --, 
   {{0xfecc01d1,0x83ac01a2,0x29100244,0xcc7002b4}},	//   _patients_, _ārpus_, _уникално_, _awusiye_, 
   {{0xe29001d9,0x32cf0455,0xd2010334,0x8d920182}},	//   _dobai_, _colonne_, _amaika_, _kulekele_, 
   {{0xfce30040,0x4ea10441,0x89ea0315,0x25b90558}},	//   _ואשתו_, _odstavce_, _bangalut, _tokarich, 
   {{0x10b80391,0x0ec20375,0x4cd400ff,0x4386013b}},	//   _лавренть, _akanatan, _יאהרען_, _aabre_, 
   {{0x51530536,0x12910230,0x46720210,0x9f520478}},	//   _шерменде, _dorad_, _akakundw, _relatius_, 
   {{0xb5e90242,0x4a5f01b5,0x00000000,0x00000000}},	//   _yaratdı_, _kopelaka_, --, --, 
   {{0x524905bf,0x01e7008f,0x22ca0201,0xee3a01c2}},	// [fe70] _detmi_, _अरारी_, _miidit_, _datahora, 
   {{0x52910125,0x33ea04d7,0x4662003c,0xa6380090}},	//   _sebabi_, _neita_, _نمیباشد_, _apanduki, 
   {{0x42dd0163,0xb253022d,0x65d3002b,0x2e2000d8}},	//   _katonai_, _calamità_, _concejal_, _chambras_, 
   {{0xac2802ba,0x22a3027b,0x2afb00f4,0xc319010d}},	//   _abasebas, _जिनपुत्र, _brouilhe, _sebidang_, 
   {{0xe20c002e,0xf0770093,0x13ee0291,0x26810258}},	//   _uživo_, _ориноко_, _مكتملة_, _misdiedi, 
   {{0x69a00087,0x9c28029d,0xdad8016d,0x33fd0090}},	//   _chukuche, _прочесуа, _обзорниң_, _akandidz, 
   {{0x32910262,0xc43003cc,0x23ea0079,0x32b50438}},	//   _sorag_, _গুডিজ_, _meita_, _bweche_, 
   {{0xe2d800d4,0x13ea0224,0x8bba02b2,0xf6b901c7}},	//   _stiet_, _leita_, _правлінн, _хорматлы_, 
   {{0x934001d2,0xdd990035,0x947f0181,0xcd7f002b}},	//   _angelpa_, _analizla, _tilstræk, _পাখিদের_, 
   {{0xb2c20303,0xff2d02ff,0x7ee1013d,0x54d701db}},	//   _abelela_, _retellin, _ekzistis_, _базалық_, 
   {{0xf63a0233,0x03f70220,0x1da40282,0xfb82029f}},	//   _desirabi, _unisciti_, _ketuketu_, _natoľko_, 
   {{0xe22a01c7,0x63f8003d,0x131c0079,0x82d80415}},	//   _кован_, _tujue_, _futbols_, _krieg_, 
   {{0x62c8052f,0x63ea0034,0x727f0476,0x3a9a0188}},	//   _mazombe_, _beita_, _aienda_, _afanekis, 
   {{0x7bad01f6,0x570e01ac,0xa2d801f7,0xcd8b00fb}},	//   _বিশ্বাসয, _criticiú, _atier_, _lwamakha, 
   {{0x0b190073,0x7fae01f2,0xb291030d,0x1dc20299}},	//   _conquire, _комисйон, _pozan_, _ئوفىتسېر, 
   {{0x806f01c5,0x45e3035a,0xc2530203,0xea6201aa}},	//   _استادٕ_, _bereberâ, _calamitá_, _agglerss, 
   {{0xa3ea02f1,0x00000000,0x00000000,0x00000000}},	// [fe80] _feita_, --, --, --, 
   {{0xa27c03bf,0xb27f0169,0xe7700599,0x9b820075}},	//   _саралары_, _tienda_, _परेसान_, _granskar, 
   {{0x92d80084,0x1ac6010f,0x48470162,0x438601c5}},	//   _jelema_, _афрод_, _даналиқ_, _biiray_, 
   {{0x89c70188,0x1c910033,0x8c1b016e,0x00000000}},	//   _нарасад_, _appellau_, _kulaklar, --, 
   {{0xe3ea085c,0xb2c8049a,0x5065015f,0x0ec10144}},	//   _beiti_, _oproste_, _pensaern, _phingean, 
   {{0x9a920197,0xd29003d7,0x537101ee,0x16c8013d}},	//   _oganizas, _silans_, _догlуш_, _arcaicam_, 
   {{0x826c00ac,0x62ee0082,0x82b80119,0xbfb202f3}},	//   _školi_, _shafe_, _landeck_, _trellebo, 
   {{0xf22b026c,0x84180061,0xfa2101db,0x00000000}},	//   _clamore_, _공급받으신_, _مۋزيكادا, --, 
   {{0x79390060,0x69cb018d,0x328e00ed,0xfe4001b3}},	//   _қайтарай, _ኣምስተርዳም_, _ikapahal, _генетики_, 
   {{0xc2910445,0x768901ef,0x735e01f4,0x0a1500c5}},	//   _foram_, _тарашкев, _таваккал_, _bancaire, 
   {{0xb28c0274,0xe48d035d,0xd4f30144,0x3f000163}},	//   _bankinn_, _hirurgij, _scamaill_, _الترمذی_, 
   {{0xb0ab027b,0xc1c20052,0x22d804b3,0x00000000}},	//   _bhåtvā_, _litinové_, _gemero_, --, 
   {{0xc2cd0302,0x12d8033c,0xe44201ea,0x77f500ba}},	//   _тақрибан_, _oriel_, _عبدالجلی, _رێپێوان_, 
   {{0x5ab2018a,0xcd8400ff,0x3eab0305,0xa417012b}},	//   _bathodyn_, _ampleksa, _fagernes_, _नौनिहालो, 
   {{0x177901f2,0x82d804f7,0x929100c3,0xcc6900d3}},	//   _دوستۇم_, _trien_, _coram_, _sportem_, 
   {{0x5387042f,0x67fd0354,0x6fcc0181,0x00000000}},	//   _uyarak_, _хантәңри_, _slankedo, --, 
   {{0x42b5000c,0x52d9024b,0x62900241,0xaa7c01ac}},	// [fe90] _macchi_, _razones_, _anjaa_, _asraonta_, 
   {{0xe3f4073e,0x19840171,0xe2910083,0x9ab20372}},	//   _ikutan_, _slušati_, _alzar_, _fathodyn_, 
   {{0x63ea02fa,0x90c100f3,0xc2da00dc,0x5a04075f}},	//   _mfite_, _ekimberl, _lopesi_, _izjasnit, 
   {{0x148d035b,0x62cb00c9,0x8c6601e8,0x59aa02ba}},	//   _kirurgij, _nhadat_, _agitans_, _пойин_, 
   {{0x8fbe046b,0x69410366,0x00000000,0x00000000}},	//   _colledio, _вăрттăн_, --, --, 
   {{0x8291029b,0x61400212,0xeb64032e,0x62910035}},	//   _boram_, _hoodiaul, _kunurusa_, _qoral_, 
   {{0x4b8f00d5,0x92b5005b,0xae5b0037,0x23eb0464}},	//   _maritior, _bacchi_, _በቂርቆስ_, _bwatsi_, 
   {{0x6680012d,0x4eab0231,0x2eb80161,0x00000000}},	//   _ekseketi, _videntes_, _nikotiin, --, 
   {{0x706d00ce,0xb7a00073,0xc2da009b,0xa7be02b9}},	//   _konpetan, _extendev, _beteta_, _ہسپانیہ_, 
   {{0xa34000c3,0x223200d1,0xa9c903de,0xd2910558}},	//   _viverra_, _কেমিষ্ট্, _adlwengu, _igbasi_, 
   {{0x469b0092,0x69b900c0,0xa2e602ff,0xa2d8033c}},	//   _エンタテインメン, _akademya_, _franswa_, _draed_, 
   {{0x75b30250,0x9ec10326,0xf3ce0116,0x00000000}},	//   _qëndrim_, _akazotya, _deived_, --, 
   {{0x5a7302de,0xefa40037,0xe200001c,0xbdee04ce}},	//   _तत्वावधा, _መግለጻቸውን_, _semily_, _tendelwa, 
   {{0xd29101c2,0x97d60080,0x00000000,0x00000000}},	//   _mozas_, _ammarlug, --, --, 
   {{0x23ea005c,0xc63c0249,0x2236005b,0xa2a20137}},	//   _ifite_, _kaliponi, _shoji_, _вебсайты, 
   {{0x120002ee,0xe95601a7,0x92c202ff,0xad8d0183}},	//   _muniti_, _millaine, _chilyen_, _dokotera, 
   {{0x53ea02d5,0x89f400b5,0xd38b014a,0x4055033a}},	// [fea0] _teata_, _cherendu, _bírom_, _embrijun, 
   {{0x4e4d0420,0x63870235,0x23410085,0x3320036e}},	//   _камерите_, _aharah_, _ekueita_, _chiyar_, 
   {{0xe1eb0207,0x63ea00f2,0xa9b4032d,0x1f4a01ee}},	//   _وفاداري_, _meitu_, _кереткән, _сарăлнă_, 
   {{0xc4fb048a,0xe96d014a,0x53ea0275,0x41c20052}},	//   _тәрбиеле, _termelés, _leitu_, _litinová_, 
   {{0xa4e10024,0x69b2003a,0x44e30052,0x938700bc}},	//   _গুদাম_, _عبدالرشی, _piškotov, _dharah_, 
   {{0xb3dd04b9,0x22b202e7,0xf70f003c,0x4a0500f4}},	//   _brewin_, _ipadala_, _آمرزش_, _dirazomp_, 
   {{0xc2da011d,0x9c190092,0x32da008a,0x8f02020a}},	//   _reteta_, _お疲れ様です_, _ropeti_, _шемонаих, 
   {{0xa3ea00f9,0x193b02d7,0x18c7019d,0x8c810130}},	//   _afite_, _asemblea_, _amatseng, _bureviad_, 
   {{0xec2400c5,0x2bf30528,0x72ee000b,0x9e5b00e6}},	//   _refusé_, _ginealac, _taafi_, _省政府副秘书长_, 
   {{0xe6f001b3,0xa6820052,0xadbd00aa,0x12d801b0}},	//   _отруєння_, _नेवाः_, _kagikana, _deleka_, 
   {{0xd3ea002c,0x13300012,0x3c79008f,0x6f9400e6}},	//   _deitu_, _पइसावाला_, _चिन्तामग, _爆笑尴尬出丑_, 
   {{0x1b220050,0x9c3000d6,0xd2000318,0x73a10086}},	//   _dahareun_, _droichid_, _iuniti_, _hidratál, 
   {{0xf3ea0049,0xa2d8018a,0x359d00d3,0xe18c0137}},	//   _feitu_, _traed_, _nepromok, _батсуурь_, 
   {{0x975700bc,0xe87800c3,0xb0500205,0x0da8034e}},	//   _پاستور_, _nominibu, _tinimsiz_, _equiseta, 
   {{0xee4e02df,0xc06701ab,0xbae60265,0x8fe2008d}},	//   _salasila, _उड़सु_, _verlaten_, _manzilin, 
   {{0x62d80439,0xc9e10357,0x92910482,0x6291070d}},	//   _boheki_, _kolotaka_, _horah_, _gozar_, 
   {{0x13a20265,0xd26d01d2,0x2c5603fd,0xeb7c00b4}},	// [feb0] _fxopen_, _esbozo_, _alatele_, _конклаву, 
   {{0xc29e00bc,0xcf7b01aa,0xdd140461,0x738f00fb}},	//   _تمامي_, _eduction, _dissoluc, _bonyana_, 
   {{0x514d048a,0x43ea0257,0x0f2e0177,0xb3f80082}},	//   _اتىشۋلى_, _leitt_, _erâha_, _dubun_, 
   {{0xfef1014f,0xa9db027e,0xb2ee006e,0xd1a9020e}},	//   _осталим_, _lepotica_, _laafu_, _белгең_, 
   {{0x63ea0034,0x263c03da,0xd6730126,0x1e9e00bf}},	//   _neitt_, _kalifoni, _неправом, _файле_, 
   {{0xe3ea02c1,0xeff00077,0x329002bc,0x72d801c6}},	//   _ufite_, _diskisyo, _anjan_, _triem_, 
   {{0xa6430156,0x1ebc00a4,0x16260085,0x81e30334}},	//   _חאמאס_, _trasllat_, _mokomoki, _atsotsom, 
   {{0x8291085d,0xb2da04f1,0x33ea038f,0x92da000b}},	//   _torak_, _cetera_, _santel_, _petesa_, 
   {{0x8387009d,0x1fa1019b,0x13f4012b,0x2ad8015c}},	//   _marre_, _publikuo, _jestes_, _zerwéier, 
   {{0xb3f401c2,0xb9e5018d,0x5d3301ea,0xe2d4038a}},	//   _destes_, _ወረቓቕቲ_, _ҳордиқ_, _burdet_, 
   {{0x12770198,0x52910513,0x9fc4010b,0x12910138}},	//   _besedišč, _dorah_, _ditokolo, _bozar_, 
   {{0xd3f40088,0xe3ea0331,0xac5b0148,0x84970326}},	//   _festes_, _feitt_, _臺北縣新莊市戶政, _airatidz, 
   {{0x53f406e2,0x2a80027f,0x6b760041,0x127f03da}},	//   _nestes_, _aganthon_, _дзыҧхьаз_, _nnenna_, 
   {{0xf00d02b6,0x641d026f,0x379d0184,0x82910465}},	//   _сайтының_, _تاۋگى_, _karahéza_, _gorah_, 
   {{0x03ea0331,0xe21c028b,0xcece0208,0xa2c10527}},	//   _heitt_, _зонақәа_, _سڵاوو_, _prolaza_, 
   {{0xc04b032e,0x611300be,0xea400369,0x747d0203}},	//   _churatan, _توبوكەلگ, _nowemapa_, _testimon_, 
   {{0xf3870120,0xdfd800c5,0xe48200a3,0xaf4e0371}},	// [fec0] _darre_, _震后买哪支股票_, _fastsetj, _comprese_, 
   {{0x558502f8,0xd2910163,0xb25b02ec,0x08fd00ba}},	//   _alotamak, _korai_, _kaalmo_, _دهۆکی_, 
   {{0xdf2d00bf,0x9b5e0145,0x2c700170,0x93f8021b}},	//   _голосова, _труна_, _atusaye_, _sujui_, 
   {{0x93f801da,0x0b5b0433,0x42910053,0xd0ed00a6}},	//   _kaluar_, _ipatinga_, _porak_, _benihlol, 
   {{0x99f90195,0x0da70268,0xf218023c,0x22a10109}},	//   _catharra_, _alkingta, _asakubam, _koncepci_, 
   {{0x323a023c,0xa2910378,0x00000000,0x00000000}},	//   _پرليکه_, _andans_, --, --, 
   {{0xb290033d,0x82da03d9,0x63870347,0x20f700be}},	//   _kijan_, _petera_, _karre_, _барктуу_, 
   {{0x8ae302af,0xa86f00ca,0x36840331,0x528d02af}},	//   _barutere, _armanhac_, _djevlaoy, _kirangam, 
   {{0xcce7010f,0x614e0061,0x52af038a,0x7292022a}},	//   _таблиғи_, _대법원장이_, _askachaw_, _votans_, 
   {{0x296402b6,0x46340024,0x1afc02b0,0x00000000}},	//   _ءبيىت_, _অত্যাচাৰ_, _fokussie, --, 
   {{0x7b1b054e,0x52cb01e4,0x1bba0184,0x1ee2065f}},	//   _nalaumab, _mladé_, _akajumar, _pružanje_, 
   {{0x6c6600a4,0x63f403b0,0x6ff70156,0x00000000}},	//   _sentits_, _austre_, _פעריז_, --, 
   {{0x5394009a,0xb3f802a7,0x5c970126,0xac020305}},	//   _ahnsen_, _tubun_, _редакцію_, _klassar_, 
   {{0xb26e0240,0x52c3011f,0x7eda029a,0x020101ef}},	//   _buroro_, _asilado_, _retisans_, _klaida_, 
   {{0x730703c5,0x62900028,0xb05900f2,0x8da6005b}},	//   _cubalah_, _dibad_, _nepamato, _eigotoka, 
   {{0x0eca0091,0x92ee047d,0x8c6005b8,0x3c1a03e6}},	//   _laanguin, _kaaft_, _plattor_, _japanesc, 
   {{0x038100d1,0x41b302b9,0x13ea023d,0xe63602c1}},	// [fed0] _পুজিঁবাদ, _سائرن_, _reato_, _basiragi, 
   {{0x28e40169,0xe34b0127,0x5c600308,0xd26e00a1}},	//   _শান্তিপূ, _dimezet_, _dihutan_, _turoro_, 
   {{0x0b230120,0x1db4012c,0xde0000af,0x2c590286}},	//   _akkadoys, _سوچون_, _nyhetssa, _nantieh_, 
   {{0x6a2d0576,0x92260034,0x900b00c8,0xcac80019}},	//   _ولادت_, _virkja_, _үтәлеше_, _мыкаачыл, 
   {{0x226d04ca,0x72c701e6,0x5e5705d9,0xb2f401d7}},	//   _alfort_, _rádia_, _atacante_, _agricul_, 
   {{0xa3ea036d,0x7786024e,0x2c020338,0x39e60403}},	//   _cultar_, _udovolji, _classar_, _hitokana_, 
   {{0xeae5041e,0x93ea0342,0xb49b0227,0x94a40304}},	//   _sfruttat, _mantal_, _disalurk, _memburuk, 
   {{0x5f2a03b9,0x9f26033e,0x094e01fb,0x2c5b05eb}},	//   _aparatap, _ajurajep, _colligit, _ahlulwe_, 
   {{0xf9d003f3,0x00000000,0x00000000,0x00000000}},	//   _alleenst, --, --, --, 
   {{0x9eb900f2,0x0f68020f,0xe4020107,0x00000000}},	//   _dažiem_, _وغږوئ_, _aturaken_, --, 
   {{0x2ecc012a,0x8b0d0061,0xc2920039,0xba12042c}},	//   _pobieran, _무통장입금_, _berari_, _ostavlje, 
   {{0xc3ea0026,0x627f0062,0xbdfc03b7,0x5ac902b6}},	//   _aantal_, _chenqa_, _alkerswa, _файлдары, 
   {{0x022a0213,0x93b5041e,0x66b301b7,0x93ea01b8}},	//   _собак_, _giovana_, _उपैति_, _teate_, 
   {{0xced60229,0x598c00de,0x70d70141,0x8300018b}},	//   _milyonda, _awayekad, _миробод_, _dunarii_, 
   {{0x55000306,0xfdc60590,0xee0502ac,0x5a120061}},	//   _sevenval_, _капсул_, _تنصحوني_, _상품이더라도_, 
   {{0xa29100d5,0x06b50211,0xc9e600ad,0x327f008c}},	//   _coran_, _afterdaw, _nganggap_, _bienna_, 
   {{0xb2870339,0x7c5500dc,0xc36602c2,0x12f200ac}},	// [fee0] _bīhopa_, _anitele_, _mengsel_, _kuhinju_, 
   {{0x7dd20074,0x630c0233,0x7f1e0095,0x037302e0}},	//   _столе_, _escamot_, _buktinip, _kwalwang_, 
   {{0x32da0027,0x53660594,0x527f003f,0x7e480278}},	//   _metodas_, _fengsel_, _chenpa_, _muhasaba, 
   {{0xd20e03f2,0xd291011e,0x32f00387,0x4e5c0092}},	//   _самая_, _gidans_, _nchapụta_, _トラックバックな, 
   {{0x126e033a,0x11bb0153,0x00000000,0x00000000}},	//   _erbivori_, _やぶにらみの暴君_, --, --, 
   {{0xc4000274,0xa70a00c5,0xfa940041,0x3c6f0300}},	//   _munurinn_, _installé, _рҟынӡ_, _matrika_, 
   {{0x77db015f,0xaaea003e,0x00000000,0x00000000}},	//   _aberconw, _ашкенази, --, --, 
   {{0xa27f01a7,0xe37905f4,0x53ea016b,0x3168013d}},	//   _hienoa_, _antanka_, _adatu_, _kristano, 
   {{0xeb5a03b9,0x53ea000d,0x2b060217,0xd2910065}},	//   _lantitxa_, _peate_, _regratia_, _voran_, 
   {{0x371a01e1,0xc7a60254,0xc296025e,0xc2e700ce}},	//   _ҡаһарман, _británic, _vinkonu_, _prennan_, 
   {{0xc2fe019a,0x82d601fb,0x369d0060,0x9949027e}},	//   _raunchy_, _sillons_, _ازيانىڭ_, _пастирск, 
   {{0x2afe003e,0x93fa00e6,0x13400365,0x00000000}},	//   _күмертау, _他是知识的宝藏_, _आफूहरूको_, --, 
   {{0xce720025,0x0d8b024a,0xa31a0451,0x33ea018b}},	//   _दृष्ट_, _aisedede_, _bapileng_, _multor_, 
   {{0x93ea0113,0x237b0321,0x14c20090,0xac6201cf}},	//   _meith_, _upravno_, _akabatik, _garrule_, 
   {{0x83ea00d6,0x794901db,0x9a730223,0x2297019f}},	//   _leith_, _намазыны, _banatuta_, _kirafiki_, 
   {{0x829100b0,0x74b10076,0x09ee0095,0xe25c00e6}},	//   _qoran_, _descriça, _bènhadad_, _vitalité_, 
   {{0x92870339,0x0a880080,0x3c6c0249,0x5c6201b2}},	// [fef0] _pīhopa_, _tunisass, _apruvol_, _barrule_, 
   {{0xbb730682,0x603d018d,0x43ea00b4,0xd35801db}},	//   _असुरक्षि, _ሻምፕዮንስ_, _culturii_, _турнирін, 
   {{0x04ad0188,0x3c0900aa,0xcdfc042d,0x00000000}},	//   _масоҷиди_, _kompaya_, _handaoza, --, 
   {{0xc9f30313,0x2ba4021c,0x73e60396,0x163c016d}},	//   _bingilme, _hygienic, _titulari_, _испанийи, 
   {{0x7aec01cf,0x53cb00c1,0x7065018a,0x4f4701cd}},	//   _injustit, _रहाण्याच, _bensaern, _бердиева_, 
   {{0x929102f3,0xdc1c0138,0xcc5201a7,0xf3ac0047}},	//   _sidans_, _dudaklar, _kuntien_, _couper_, 
   {{0x9291031d,0x23f80013,0x43ea03ad,0xb2b503d5}},	//   _doral_, _hujum_, _adatt_, _anodyne_, 
   {{0x6db60381,0xfb8d0281,0x931601b9,0x7112008d}},	//   _ettingga, _navianar, _lanaliz_, _гўрўғли_, 
   {{0x3a7d023c,0x00000000,0x00000000,0x00000000}},	//   _abangats, --, --, --, 
   {{0x73ea04e8,0xcc930102,0xb3ea021b,0x00000000}},	//   _edats_, _ماتام_, _neiti_, --, 
   {{0xbc6f00cf,0xf41e0294,0xae73007e,0x62ec0116}},	//   _suuriya_, _tarinank, _रूक्ष_, _chainge_, 
   {{0x42fc0245,0x53ea03f0,0x2f5e0172,0xc1d000ff}},	//   _danggo_, _heiti_, _japanann, _העברעאיש_, 
   {{0xcd360363,0xe7b602b4,0x8f5c03b4,0xa77503b4}},	//   _kvinnene_, _basening, _asapinde_, _chiyangw, 
   {{0xac930046,0x531801f4,0x270a01d5,0x00000000}},	//   _جاشاس_, _sonining_, _installá, --, 
   {{0x09290148,0x79e60204,0x5dec0094,0x6ae0004b}},	//   _中國新聞網_, _verrattu, _اقىسىز_, _botekats, 
   {{0x10f70257,0x22c40738,0xb2d800d4,0x7d2303ee}},	//   _atvinnul, _jylland_, _grien_, _isporuke_, 
   {{0x83c8077c,0x2ea50377,0x25cb04d8,0x9310051a}},	// [ff00] _varvas_, _reducere_, _malaynay, _hambaku_, 
   {{0x327e00fe,0x00000000,0x00000000,0x00000000}},	//   _kainga_, --, --, --, 
   {{0x82cf0585,0x1ca801f7,0x7034018b,0x42f70077}},	//   _polovne_, _bateguèt_, _prieteno, _mayifik_, 
   {{0xd2da02fb,0xced400c1,0x859d0313,0xbc170127}},	//   _lopeti_, _चौकटीत_, _langhach, _carsracb, 
   {{0xc248035a,0x427e00ea,0x92da0271,0x8a0003cf}},	//   _rehman_, _lainga_, _varene_, _piyasaya_, 
   {{0x87de03ad,0xfec2000e,0xe28c00f1,0xcf530487}},	//   _kumpanni, _changean, _lansinny_, _סטארט_, 
   {{0x3645013d,0xee4e0235,0x637f050e,0xc9880037}},	//   _malkovri, _ashabala, _jelača_, _የዘመኑን_, 
   {{0xc3ea00dc,0xd94f0087,0x3c29000f,0x0d3901b3}},	//   _leata_, _inhlenge, _sonbahar, _анонсу_, 
   {{0xa291040f,0x6f390109,0x49800156,0x8eaf03ef}},	//   _noras_, _पुगिन्छ_, _האָוסינג_, _bakuriye_, 
   {{0x53f40261,0x1c7f0061,0x00a50022,0x927e0403}},	//   _restas_, _디자인으로_, _автоетеш, _bainga_, 
   {{0x23ce03f2,0xe2da00da,0x5dac01cd,0x9da502a4}},	//   _olivat_, _marele_, _тоторист, _mediaeva, 
   {{0xa3870120,0x92d403ab,0x927f0176,0xb742026f}},	//   _carra_, _tvrdé_, _rienda_, _سەڭسەڭ_, 
   {{0x23820325,0x129100c7,0x0fa60107,0x907d014f}},	//   _milyard_, _sorau_, _اهلبیت_, _марсу_, 
   {{0x93f40176,0xc0d4034c,0xfd050274,0x5305012e}},	//   _vestas_, _avtorall, _skammast_, _bizalom_, 
   {{0x63d1052c,0x295901c7,0x32c30085,0x02ee033f}},	//   _لێمان_, _jiklikle, _pailato_, _maafi_, 
   {{0x229103b3,0xece6002a,0x060901d5,0x02b400d1}},	//   _foras_, _kọnfrens, _نوادرات_, _থাইলেণ্ড_, 
   {{0x85050476,0xd884005e,0xa02503ce,0x129104d7}},	// [ff10] _akamhany, _مىنڭچە_, _قودره_, _torat_, 
   {{0xa3870201,0x3ac4028b,0xc1d70021,0xf2dd01a4}},	//   _sarra_, _erporãsé, _amienday_, _malekaki_, 
   {{0x1344034c,0x7a07008d,0x32bf01a3,0xad380291}},	//   _arxivı_, _лазерли_, _ھمراھ_, _متحمس_, 
   {{0x1e4e0559,0x670c02da,0xdb2a0164,0x498400d9}},	//   _tshabala, _divergên, _пайдилин, _sinkkose, 
   {{0xa3ea02a4,0xb3cf02c5,0xb5e20191,0x6291068f}},	//   _beati_, _adavid_, _direktsä, _yorat_, 
   {{0xd25a0323,0x0291036d,0xe3870067,0xa2ba01f1}},	//   _kweli_, _doras_, _warra_, _mundesi_, 
   {{0xdda803f8,0xb3870111,0x92da0044,0x685c00bb}},	//   _birighta, _tarra_, _assess_, _سیسٹم_, 
   {{0x22fc02e7,0x028f0077,0x00000000,0x00000000}},	//   _ranggo_, _konkonm_, --, --, 
   {{0xa2180272,0x40d102a9,0xc2d801b0,0x322a02cf}},	//   _abakaram, _пецярбур, _arieu_, _гонат_, 
   {{0x827e00a1,0xb2ee0397,0x329100a0,0x63f400c1}},	//   _painga_, _abafo_, _horar_, _ikutin_, 
   {{0x0319019f,0xb63e01a4,0x1ecc005a,0x23f9006e}},	//   _نيپال_, _basilani, _malosnis_, _jurug_, 
   {{0xd2910230,0xc69b046b,0xe3fa00cf,0x125b0374}},	//   _anrad_, _daleithi, _afuura_, _mazlum_, 
   {{0x39fe03d4,0x829102d3,0x40e30376,0x9d990218}},	//   _obuhvata_, _morar_, _barnatal, _aseousga, 
   {{0xf2d800a4,0x12d801bc,0x638600c3,0xc27e02f6}},	//   _trieu_, _griet_, _amorem_, _tainga_, 
   {{0xb20100e4,0xec2800aa,0x097901ef,0x8f1d00a0}},	//   _chwile_, _ibasabas, _бартосік, _jarumawa, 
   {{0x1c66030a,0x32db005a,0x00000000,0x00000000}},	//   _mentres_, _danuqmeh_, --, --, 
   {{0x598b02ea,0xf6c90010,0x9a470041,0x03410065}},	// [ff20] _inchiest, _bayakubi, _рырымҭеи, _angetan_, 
   {{0x6ae502a4,0x39fc013a,0x86c60613,0x10d40008}},	//   _contempt, _regelméi, _diabétic, _түргө_, 
   {{0x8fab018d,0x2eb40314,0x6291016b,0x877b0037}},	//   _ንምግታእ_, _ҡыҙрас_, _korar_, _ከቀደሙት_, 
   {{0x93ea0125,0x02d4015e,0x00000000,0x00000000}},	//   _adaty_, _merdes_, --, --, 
   {{0x586d0073,0x33cf03d5,0xa615018a,0x2db102af}},	//   _paisanos_, _leaved_, _athletai, _karanzwe_, 
   {{0x89ed02b9,0x260b01c4,0x3c4302b9,0xcc550059}},	//   _rendelés, _ingeneem_, _testrész, _puntate_, 
   {{0x53f80654,0xfdbc06d7,0x774b020a,0xc2cb0037}},	//   _tubuh_, _označte_, _ارشانىڭ_, _ለልማትና_, 
   {{0xd38703ec,0x442300e3,0x225a00e3,0x54170046}},	//   _harro_, _derivazz, _inkluz_, _minimitz, 
   {{0x92da009e,0x672300c7,0x60f503a2,0x8a1f00d1}},	//   _parede_, _номеры_, _अप्रॅल_, _মেৰীলিন_, 
   {{0xf6d9019f,0x786c02c2,0xef2d042f,0x537b0203}},	//   _سياست_, _minstens_, _takunnga, _admaxim_, 
   {{0x938701c5,0x63f80059,0xf29100a8,0xd291003a}},	//   _darro_, _tenuto_, _soras_, _borar_, 
   {{0x3327000c,0xe29102fc,0xf18400f5,0x142a0037}},	//   _грамма_, _corar_, _уялар_, _በልዩነት_, 
   {{0xe2920013,0x6180026f,0x93090433,0x766b0074}},	//   _beradi_, _апелляци, _verbano_, _karjalai, 
   {{0xa2d902e3,0x7deb028a,0xa4ed00e2,0x9a8802b4}},	//   _luyen_, _سڃاتل_, _cammingh, _ikhonjis, 
   {{0x73fa03a0,0x470d02eb,0x42df036d,0xaaf50061}},	//   _basule_, _натри_, _duanaig_, _kaartwee, 
   {{0xc2f305a2,0x1cb4015e,0x44ef035c,0x06b8029a}},	//   _अरोरा_, _рецептте, _kommuneh, _lepanoui, 
   {{0x952c035e,0x00000000,0x00000000,0x00000000}},	// [ff30] _plasirao_, --, --, --, 
   {{0x8c7d0073,0x12000203,0xe291000f,0x90340156}},	//   _bussola_, _nunisi_, _sorar_, _כאַאָס_, 
   {{0x86cb01a7,0x104a02ac,0x2306012a,0xbc7c0183}},	//   _samanlai, _chartlan, _zegarek_, _ajesaia_, 
   {{0x636c04ff,0xda8901c5,0x3c760167,0x777b0321}},	//   _gingsei_, _katirsan_, _aberriw_, _beljakov, 
   {{0x1577009a,0x7ba70244,0x20ed02e1,0x12910233}},	//   _شهراني_, _уредба_, _forimeal, _vorar_, 
   {{0xcebe034c,0xc3f90050,0x8d8400ac,0x35be003e}},	//   _akademiğ, _turug_, _spremite_, _барманым_, 
   {{0x7290041b,0xa8e80497,0xa245006e,0x1845072c}},	//   _kiban_, _stepdaug, _càmpu_, _mentores_, 
   {{0x63ea02fc,0x334403c9,0x5eca019c,0x474b0267}},	//   _afate_, _truende_, _jinnijin, _ponižava, 
   {{0xa31c0031,0x6fc5008c,0xb4060325,0x00000000}},	//   _yoochun_, _beinstar_, _dostumun_, --, 
   {{0x7e170035,0x6b140177,0x0e360344,0x2ba0005b}},	//   _gazetala, _измоу_, _allallua, _addictio_, 
   {{0x65380312,0x025a0216,0xa27302e6,0xb38702a4}},	//   _digeriñ_, _hwelo_, _låner_, _varro_, 
   {{0x12c80440,0x325a00de,0xb200005b,0xd2120062}},	//   _baronse_, _kwelo_, _kojiro_, _donha_, 
   {{0xcc80018a,0x529001ad,0x8ce800de,0x62900065}},	//   _arbediad_, _iiban_, _bakwasir, _anbau_, 
   {{0x9af3005b,0x33430445,0xbb190478,0x5f3501c4}},	//   _hverdage, _desenho_, _donacion_, _luistera, 
   {{0x0e3300ed,0x02a600ea,0xa2640281,0x157e031d}},	//   _brightma, _booboo_, _ajattorl, _aayeeagh, 
   {{0x6ca70297,0xfc5b0183,0x424a0007,0xe3a3002f}},	//   _субъектн, _brousse_, _baumbu_, _asapam_, 
   {{0xdf110331,0xafb90291,0x902b0089,0x00000000}},	// [ff40] _samtykta, _سواريز_, _gadellek_, --, 
   {{0xf2d80359,0x920203c7,0xd2f4004f,0x8045029e}},	//   _vries_, _lipiec_, _bariwul_, _stereden, 
   {{0x7ec500c3,0xc85c00bb,0x4dcd005b,0x0b880255}},	//   _deinceps_, _میرٹھ_, _auのcm_, _optimeer, 
   {{0x220101e9,0x53ea013a,0x5845002b,0x428d0087}},	//   _anyisa_, _neits_, _মহিউদ্দী, _ntxhumu_, 
   {{0x042401db,0xe3f400c5,0x103f0168,0x82d803eb}},	//   _ايىرۋدىڭ_, _gestes_, _estetikk_, _griek_, 
   {{0x93f90130,0x029100f5,0x9913012e,0x32d80150}},	//   _huzul_, _gorap_, _átalakul, _traem_, 
   {{0xc3f90130,0x8bcc0044,0x5292031e,0x22ff0167}},	//   _kuzul_, _previous, _krajnje_, _coridor_, 
   {{0xf88b0046,0x826403e9,0x829000a2,0xa3ea0034}},	//   _اتسالومۇ_, _bozulmal, _kibao_, _beitt_, 
   {{0x7200006e,0x7c7d01fe,0xb2da0121,0x528d0044}},	//   _tunisi_, _niusawa_, _carece_, _manhunt_, 
   {{0x429104ad,0xe3ea03f0,0x52240258,0x162803b4}},	//   _borai_, _veitt_, _wolkom_, _achikusi, 
   {{0xc36800be,0x637b0376,0x5a7f0184,0x00000000}},	//   _سۉيگۅنۉڭ, _finalum_, _rurakira_, --, 
   {{0xa25a015c,0xc36c0320,0x63300128,0xf18703bf}},	//   _ewell_, _hingati_, _обрўли_, _ханнула_, 
   {{0x22d800a4,0x52d5045e,0x4d1505ce,0x9f570279}},	//   _guies_, _ritorna_, _hisseler, _demanden, 
   {{0x884c0073,0x94bb0165,0x52d20156,0x025a02ef}},	//   _soutiens_, _daubutak, _הקיצים_, _banlye_, 
   {{0x37b10059,0xccc201ac,0xceda033e,0x00000000}},	//   _carrozzi, _sochraid_, _nacheren, --, 
   {{0x95750388,0x00000000,0x00000000,0x00000000}},	//   _protetto_, --, --, --, 
   {{0xec300205,0xada700b2,0x52e90118,0x00000000}},	// [ff50] _asoschis, _ergifata, _basimba_, --, 
   {{0xe2fb0372,0xf2d8034b,0x23870120,0x433d03ce}},	//   _bachgen_, _praem_, _warre_, _ڕیباز_, 
   {{0xbb6a016d,0x32da00a3,0x53e00193,0x00000000}},	//   _йөткәйту, _metodar_, _भक्तांना_, --, 
   {{0x62010544,0x345d0177,0x5a850107,0x496b000a}},	//   _ilaila_, _миронови_, _موندن_, _hingitaq_, 
   {{0xcf9e00bf,0x4ec700e6,0x8c1700f4,0xc6a3032d}},	//   _трудовой_, _中华人民共和国种, _difazier, _тартылыу_, 
   {{0x11420450,0x93f400a4,0x22fb046b,0x00000000}},	//   _winterbo, _restes_, _fachgen_, --, 
   {{0x55480044,0x53650256,0x9e38034e,0x20ae020a}},	//   _הגאולה_, _daugava_, _cargocha, _دەلوداعى_, 
   {{0x82da0691,0xa37d0015,0x53e40119,0xa7c40177}},	//   _parece_, _tusaale_, _guruguti_, _ҧҳәыси_, 
   {{0xad37014a,0x5af70003,0x8c760312,0xd2ea0053}},	//   _پکوان_, _versture, _gefridi_, _karimun_, 
   {{0x8d9b00ce,0xa55d016e,0x59fb0089,0x325b0037}},	//   _devlopma, _orijinal_, _аксенов_, _የተወጣጡ_, 
   {{0x97b304f9,0xd7ba0265,0x93410220,0x8c1d030d}},	//   _maleruag, _georgani, _assenza_, _tutanlar, 
   {{0xf2d6015e,0xe27e008c,0xee4d0040,0x079d0211}},	//   _dilluns_, _sainza_, _computed_, _востребо, 
   {{0xe20104bd,0xbb180119,0xc60100bf,0x52900201}},	//   _alaila_, _kabataan_, _стороной_, _kibal_, 
   {{0xcbaa01ea,0x3e3903a2,0x70d30397,0x9ebe01f9}},	//   _йўқми_, _नामुमकिन_, _олист_, _etandlen, 
   {{0x52d805b3,0xc1c702aa,0x13fc00af,0x62fc010d}},	//   _kuier_, _dokonalý_, _опорно_, _grogol_, 
   {{0xc782012a,0xd6a605e6,0xa3ea033f,0xa5ea037f}},	//   _ग्राहकों_, _ongeloof, _efita_, _yatağı_, 
   {{0xce53023e,0x29b30256,0x562b01ab,0x4344045d}},	// [ff60] _pelatiha, _creditre, _खेतहवा_, _poreske_, 
   {{0x221300fc,0x49980040,0x823f0257,0x14ed002b}},	//   _jaghpu_, _העורכת_, _vélina_, _সহবাস_, 
   {{0xa0d70074,0xf2da0240,0x818f002b,0xf629033c}},	//   _мировой_, _ketena_, _অশান্তি_, _awditori, 
   {{0xa428009a,0x437700ff,0x03c8028c,0xdc6702f6}},	//   _abakubaz, _נעמסט_, _narvas_, _agarang_, 
   {{0x03580357,0xc290029b,0x486c0167,0x8e8100be}},	//   _atagane_, _bibal_, _annibend, _سەپىلدى_, 
   {{0x2f1d035b,0x8b0f0437,0x292600d9,0x89fb0334}},	//   _nakupova, _forsinke, _причину_, _ankatsat, 
   {{0x32910035,0x7291003f,0x6853019b,0x62920418}},	//   _soraw_, _lubach_, _keturios_, _terazi_, 
   {{0x1ae1011a,0xd922027b,0x00000000,0x00000000}},	//   _immunore, _भेसज्_, --, --, 
   {{0xe2d80038,0x575c019d,0x23e80488,0x7ac200be}},	//   _älege_, _achimang, _faktiski_, _بىلبەسەڭ_, 
   {{0xedbe00a5,0x137b0082,0x9009006c,0xaa410060}},	//   _solitula, _rawaito_, _принсипҳ, _ойлана_, 
   {{0x62da0085,0xa2e00261,0xd3be003b,0x32e90007}},	//   _betena_, _francio_, _ativeli_, _makimbo_, 
   {{0x2d080587,0xff6b0398,0xc2ee0048,0xf73b028b}},	//   _distànci, _interès_, _abafa_, _активла_, 
   {{0xa2410455,0x4e3b002b,0xfc260224,0x5f5d003e}},	//   _confirmé_, _অপচেষ্টা_, _afgangur, _furallan, 
   {{0xe9650061,0x08a80061,0x84da0145,0x4d6c0024}},	//   _서울신학대학교_, _가계부n고객관리_, _вокны_, _থানখন_, 
   {{0xd2e70116,0x33f803fd,0x7db5025d,0x9983018c}},	//   _brankin_, _kamuta_, _grensela, _pakkette, 
   {{0xbd0d042b,0x0c0d042c,0x890600be,0x91c701ff}},	//   _najmanje_, _najmanju_, _تۉشۅۅرۉب, _dokonalú_, 
   {{0xfed4022a,0xd6bb0538,0x3fe101e9,0x72480229}},	// [ff70] _cimiklin, _forankri, _botimamo, _mehman_, 
   {{0x92e603a6,0xfc9e0040,0xf6da0037,0x14d40314}},	//   _arangwa_, _סופרמן_, _paramesw, _блюхер_, 
   {{0x24f50057,0xf98e0297,0xdb930291,0xdf2d0244}},	//   _ለመምራት_, _валит_, _بداخل_, _copertin, 
   {{0x227e0211,0x371f0210,0xa3f80190,0x722400d1}},	//   _painaa_, _akamureg, _tubum_, _leikar_, 
   {{0x429000f4,0xc41f00ae,0xa44a0213,0x00000000}},	//   _dibab_, _garagaro_, _домового_, --, 
   {{0x327303dc,0xb3170068,0x914e00da,0x3fcf01e7}},	//   _mínir_, _qabatay_, _momentul, _méisproo, 
   {{0xa84a0037,0x8c990037,0x2b610199,0x0e3903b5}},	//   _ብራስልስ_, _የወቅቱን_, _viglacer, _pelapora, 
   {{0xf2fc01d8,0x67360040,0x7c04018a,0xd31d036b}},	//   _hangno_, _עישנתי_, _ddistaw_, _бананите_, 
   {{0x99970397,0xea970397,0x82e50258,0x5da30209}},	//   _abayikud, _abayikut, _bonnema_, _arlojuma, 
   {{0x095e0264,0x9238037c,0x1483033a,0xa84f02ef}},	//   _frinanse, _exempli_, _fakultaj, _kontčks_, 
   {{0x23870026,0xf31e01c3,0x5b530231,0xdac9016d}},	//   _karra_, _marchan_, _gendison_, _башлинид, 
   {{0xf2920625,0x53f4056e,0x0bdf02f6,0x5e1900c1}},	//   _straty_, _bestas_, _alimpuyo_, _perekama, 
   {{0xba1e0276,0x83f80212,0x99e702cf,0x015b01a0}},	//   _кигиз_, _hujus_, _паметна_, _langutel, 
   {{0x73f401c2,0x23870044,0x53ea0113,0x527f0092}},	//   _destas_, _secret_, _meath_, _てください_, 
   {{0x43ea00d6,0x238b047b,0x12910243,0x2fbe01e8}},	//   _leath_, _førir_, _dorat_, _collodio, 
   {{0x52d40024,0x12fd025b,0x441c0227,0xc2f4033d}},	//   _verdas_, _skygni_, _keesokan_, _dezièm_, 
   {{0x12cc01df,0xeb660107,0xf3f8026b,0x3291015e}},	// [ff80] _forlorn_, _دبيرستان_, _menudo_, _forat_, 
   {{0x5aef047d,0x83870133,0x5af502ba,0x2c45005e}},	//   _routinie, _aarra_, _abashise, _يالپۇز_, 
   {{0xe4d405e5,0xb3790282,0xb3f80193,0x61640109}},	//   _विचिता_, _hapaira_, _gubuk_, _नपुग्ने_, 
   {{0x909c0074,0x7afc0104,0x13e702ee,0xc2e702ee}},	//   _загрузка_, _ethenjis, _applikaz, _applikaj, 
   {{0x82da04ad,0x99520211,0x03100360,0x63f90036}},	//   _fetela_, _sellaist, _poradny_, _strus_, 
   {{0xc387036d,0x2c76023e,0x1f80011f,0xb26e0059}},	//   _earra_, _diarani_, _апалатаҿ, _furono_, 
   {{0xd387001b,0x82da0027,0x5ff3016f,0xd9e80724}},	//   _farra_, _retodas_, _кораблі_, _asentada_, 
   {{0x5fe80025,0xb27a010d,0x53b6019e,0x124100cd}},	//   _विचार्य_, _domisili_, _брэсцкі_, _confirmà_, 
   {{0xe5670297,0x67540050,0x8379024a,0x4fe00291}},	//   _китабы_, _kauntung, _kilanko_, _الآفاق_, 
   {{0xf9df01d3,0x1f25011b,0xa2ce0064,0x4d540062}},	//   _tillbaka_, _tupendan, _quelcom_, _jiyatlhq, 
   {{0x5292021c,0x23ea01d2,0x1eb7027e,0xd29e0193}},	//   _strach_, _vultur_, _западни_, _janjian_, 
   {{0x028c014a,0x8e3501d2,0x8bf9004b,0x00000000}},	//   _کلامی_, _aysanawa, _kutwisis, --, 
   {{0x09e30012,0x00000000,0x00000000,0x00000000}},	//   _समेटत_, --, --, --, 
   {{0x03070280,0xe2fc0172,0xd02a00ba,0x91fc02dd}},	//   _प्रियंका_, _fangoo_, _ئاڵترنات, _acmilanm, 
   {{0x62d803e0,0x8292043d,0x43a304b7,0x2c280403}},	//   _fraen_, _berani_, _dieper_, _atsahatr, 
   {{0xf200022d,0x72d8018a,0x3afc0397,0x7ee70397}},	//   _mojito_, _graen_, _athenjis, _занако_, 
   {{0x3c6900a8,0x42da0544,0x6b5d0244,0xb29001e6}},	// [ff90] _quartal_, _betela_, _кирилица_, _nijak_, 
   {{0x447302fb,0xd3f40261,0x386e02a6,0x926d002e}},	//   _rastaman_, _restis_, _furibond, _dovode_, 
   {{0x33f900b7,0x65650206,0x00000000,0x00000000}},	//   _durun_, _osemfiná, --, --, 
   {{0x29fc0695,0x7eab0241,0x86c100b5,0x727f0241}},	//   _zəruridi, _bahullee_, _ибзианы_, _daanga_, 
   {{0xa3890160,0x1dd000c5,0x52f301c9,0x571300bb}},	//   _drugacij, _应当追究行政过错, _maripuu_, _کھچڑی_, 
   {{0x5103019b,0x698802c4,0x1455019b,0x1f480418}},	//   _sistemą_, _тестото_, _patarimų_, _hangisin, 
   {{0xc3ce021e,0x1fd0002b,0xe3ea01fa,0xe1a20299}},	//   _blivit_, _কৃতজ্ঞতা, _ofato_, _سۆگەت_, 
   {{0xa3ea00a5,0x9de301b7,0x00000000,0x00000000}},	//   _afitu_, _anekaśat, --, --, 
   {{0x62fc02a2,0xe27f039d,0x00000000,0x00000000}},	//   _umaga_, _maanda_, --, --, 
   {{0x03ea008a,0xa339018d,0xfaa40193,0x0c6d01a6}},	//   _afato_, _ሓሙሽተን_, _आनन्दिता_, _hairona_, 
   {{0x8278018f,0x3b940184,0x05030408,0x42fc00f2}},	//   _chunwi_, _babibwir, _alatrano_, _smaga_, 
   {{0x12d8001c,0x5d39018d,0x7a85033d,0xf2e70210}},	//   _osiek_, _ሓገዛትን_, _anonsman_, _atinawo_, 
   {{0xd037051a,0x43fa00e0,0x7ec4013d,0x53f9014b}},	//   _kehendak_, _natuer_, _transdon, _furun_, 
   {{0x129001ec,0xed9e03f6,0xb6de0213,0x32d6002b}},	//   _dijak_, _kanemake_, _надписей_, _চালককে_, 
   {{0x371901c7,0x12920348,0x7c67022e,0x72fc0442}},	//   _пробирка, _merali_, _centrer_, _banglo_, 
   {{0xe08200ee,0x00000000,0x00000000,0x00000000}},	//   _grabazio, --, --, --, 
   {{0xa10c0756,0xd2da01b6,0x1dc20193,0xc7a00244}},	// [ffa0] _प्रशन_, _paroles_, _dibiarka, _festeggi, 
   {{0x5ad602d3,0x363e012b,0x1283048f,0xd4d70125}},	//   _листата_, _zasilani, _atikaka_, _санавы_, 
   {{0x7db60003,0x368c02f3,0xca51016d,0xf2f9028a}},	//   _overheid_, _poddarki, _тәслим_, _hadhara_, 
   {{0x47640253,0xddb601cd,0xf2900227,0x6c6700df}},	//   _saniatig, _бутпарас, _bijak_, _rentrer_, 
   {{0xd20e002c,0xc2ce0587,0xc7340206,0x7841000d}},	//   _харах_, _acadèmia_, _pesnička_, _skulptuu, 
   {{0x4d6a02b6,0x42f9012c,0xf99a02a8,0x330100cb}},	//   _ارماندا_, _madhara_, _albaniż_, _asebeke_, 
   {{0xbb060124,0xb3ce029a,0x82920334,0xf2e20296}},	//   _bossembe, _plivit_, _derali_, _anlitad_, 
   {{0x12ee0043,0x839000e4,0x1a78005e,0xb63001ab}},	//   _abafu_, _महामुकाब, _زاۋاللىق, _पढ़हीं_, 
   {{0xd1e1048f,0x84eb0257,0xf3f900bc,0xc2910077}},	//   _comstock_, _gestabók_, _purun_, _dizan_, 
   {{0x987d0040,0x17d903df,0x395602fd,0x5a180078}},	//   _muscular_, _vasskraf, _fallaine, _пролетер, 
   {{0x81c702aa,0x98590162,0x497e0344,0x16920223}},	//   _dokonalé_, _партлашл, _arriinne, _agresibi, 
   {{0x7a1601ec,0x09ea0178,0x6fb500a4,0x6c3700da}},	//   _sanalika_, _amaravad, _بومبۇ_, _парохул_, 
   {{0xc2d80150,0x0feb010b,0x5278015e,0x4a2e0113}},	//   _fraet_, _banyalan, _anunci_, _tascanna_, 
   {{0xd2d800f4,0x043900ef,0xc85601fc,0x62a0002e}},	//   _graet_, _abakhenk, _balliinu, _ubijaju_, 
   {{0x53be0499,0xfa230152,0x54df0061,0x1236005b}},	//   _atavali_, _бердәмле, _인식탁세트_, _akoji_, 
   {{0x8c5b0101,0xebee0076,0x5fd80094,0x0d0801b2}},	//   _solutie_, _данок_, _تالىقسىع, _arrogate_, 
   {{0x7c7005b1,0xa29101c5,0xb3ac011e,0x014d0230}},	// [ffb0] _vlastne_, _horay_, _koupir_, _koutkeko, 
   {{0x21780093,0x39c700b7,0x896600bf,0xe7fa0153}},	//   _контента_, _манада_, _отнесени, _スプリング_, 
   {{0xd58f012a,0xd2df0013,0x28840255,0x40450464}},	//   _certyfik, _dalolat_, _खोजेवाला_, _hatungan, 
   {{0x629100e4,0xff25027c,0x4ea20087,0xe04506a2}},	//   _coraz_, _وړوکی_, _epalamen, _batungan, 
   {{0x62d70220,0xc0350320,0x554402b6,0xf2fd00ab}},	//   _intorno_, _ebotswan, _تىلەگىن_, _manapori_, 
   {{0x76b70562,0x6349000b,0x2a7700c7,0x3b59027f}},	//   _bakagiti, _saveasi_, _билетны_, _kwitinya_, 
   {{0xaa7302ae,0x875900e4,0x5d3a03d1,0x02ee0151}},	//   _slično_, _मौद्रिक_, _filiāle_, _abaft_, 
   {{0xd29201c5,0x73f90377,0x1ea20153,0x00000000}},	//   _intaas_, _jurul_, _ではありません_, --, 
   {{0x9ad3017d,0xda5d012b,0x687f0092,0x76a2013d}},	//   _仮面ライダ_, _recenzja_, _一般セ試除外_, _publikaj_, 
   {{0x429100c7,0xb3f902a4,0x00000000,0x00000000}},	//   _boray_, _murum_, --, --, 
   {{0x14a80033,0x96a70309,0x076e0468,0x32e602af}},	//   _regiunal_, _mustafay, _esihlang, _iranywa_, 
   {{0xd3a2043c,0xed86004d,0x920103dd,0x00000000}},	//   _limpar_, _recedere_, _kufiri_, --, 
   {{0xf26d005b,0x2fe702c0,0x73f50022,0x551e0118}},	//   _fujimori_, _кравите_, _класташт, _babulako_, 
   {{0x2291055d,0x00000000,0x00000000,0x00000000}},	//   _zizan_, --, --, --, 
   {{0xa29100d5,0xf2f70418,0xedc201d9,0x00000000}},	//   _aizao_, _bayilik_, _hochzait_, --, 
   {{0x360102fe,0x3aa300eb,0x593f0073,0xb36002e7}},	//   _ونیسی_, _asikaman_, _bullingt, _ilimnong_, 
   {{0xe92e00d9,0xc37c00e0,0xf39501ce,0x38d30060}},	// [ffc0] _показани, _betanke_, _angsal_, _قاينايدى_, 
   {{0x22d70434,0xc38700e1,0x4acf0012,0xca6900d9}},	//   _entorno_, _caaroy_, _कड़कराइत_, _прочтени, 
   {{0xdba400aa,0x01c703ab,0x63cf044a,0xa3f10216}},	//   _artilulo_, _dokonalá_, _klavue_, _lahlekek, 
   {{0xdc930107,0xbb5800f0,0xb3f9001c,0x9025020f}},	//   _بالاي_, _katarína_, _hurub_, _کولرا_, 
   {{0x2eaf008c,0x324a0429,0xbb2c008d,0xb6310177}},	//   _allontan, _rosmah_, _jadallas, _реиҭаҵра_, 
   {{0x1c620193,0x9e3800ad,0xbe320354,0xe2d80085}},	//   _inputan_, _kakawasa, _йетиштүр, _ladeva_, 
   {{0x137a00bc,0xfa1e00ac,0xffa80220,0x8e520428}},	//   _keraton_, _slobodna_, _музикалн, _opravlja, 
   {{0x49b90074,0x8a58004d,0xb2d80222,0xa2f7037f}},	//   _заместит, _北斗衛星危化品運, _crier_, _caizdirm, 
   {{0xbf2701f7,0x22fc00f2,0xf2fd00ec,0xfe2000d1}},	//   _altermon, _smago_, _mobilus_, _ফুলপাহ_, 
   {{0xf83d00ba,0x443e0188,0x32da01c4,0x00000000}},	//   _مزگێنی_, _мабнӣ_, _baseer_, --, 
   {{0x0d310036,0xbe3b02d8,0x329e0126,0x9a200163}},	//   _رووووووو, _kesadara, _китаї_, _افغانیوں_, 
   {{0x4e520151,0xfdde03e6,0xcf5d00b3,0x00000000}},	//   _scaphoid_, _dunkelka, _burawlan, --, 
   {{0x42d8019b,0x82da030f,0x1e460343,0x00000000}},	//   _vadovas_, _karehe_, _madaugda, --, 
   {{0x99c7015e,0x5ccd00ff,0x842b01a3,0xe7d30040}},	//   _махабат_, _טבֿיה_, _تڙپائي_, _הטרנד_, 
   {{0x73f901fc,0x9e9b01fb,0x64a902d3,0xf1c702ff}},	//   _durub_, _denudate_, _пресметк, _enkonplè_, 
   {{0xc2910035,0x22da020d,0x4c83020b,0x82240198}},	//   _sorap_, _bareke_, _eletsang_, _zvoka_, 
   {{0xa741041a,0x4bee045b,0x624a007a,0x667e00cf}},	// [ffd0] _основні_, _самок_, _kaumku_, _gaadaafi, 
   {{0xbafa00d9,0x2c550071,0x04c70397,0x5bcc0035}},	//   _набережн, _buntute_, _багдод_, _бозучыла, 
   {{0xd6960092,0x2aa902d3,0xb212003f,0x00000000}},	//   _平均おすすめ度_, _маслинов, _qonha_, --, 
   {{0x52d80073,0x7bfc0331,0x4b9406e3,0xc26c011b}},	//   _cadeva_, _profilur, _yudistir, _binope_, 
   {{0xddb60383,0x08450044,0x2c290037,0x95b600e6}},	//   _kutingga, _ventures_, _አይነትና_, _任何单位或者个人, 
   {{0xd2dd003f,0x99f90148,0x95af00c1,0xe8f900da}},	//   _boqoydi_, _senatore, _तामिळनाड, _senatoru, 
   {{0xe5460309,0xa3f901bc,0x62fc0322,0x7aef038e}},	//   _başlayır_, _huzum_, _amage_, _उर्वरीत_, 
   {{0xeafe03e4,0xfd8c03a1,0x32c50191,0x9b1d02a3}},	//   _iberoame, _utilizza, _gyllene_, _paspoort, 
   {{0x7adb00d1,0x24d7004a,0x4b270376,0x00000000}},	//   _কাহানী_, _барабыз_, _allarmes, --, 
   {{0x93030166,0x2a580013,0x6292011e,0x83cf0497}},	//   _gemacht_, _муслимал, _entans_, _weevil_, 
   {{0x12d8085e,0x82d900c9,0x7fcb0178,0x7bf40462}},	//   _zalewa_, _duyet_, _लौकिकम्_, _ainfallr, 
   {{0x6a1204f5,0x669f0140,0x6dbe0053,0x62450112}},	//   _izaberit, _tanggapi, _महर्षींन, _cenderam, 
   {{0x33fa012b,0xac680499,0x90540344,0x6a880204}},	//   _pasuje_, _baguisi_, _aperivun, _kadoksis, 
   {{0xf3f9014a,0x15820151,0x76a5009a,0xc9f30219}},	//   _kuruc_, _aryeuzry, _basengaf, _imenenja_, 
   {{0xe27e0211,0xdcfc0148,0x47ee0061,0x1a3c013c}},	//   _lainaa_, _看不到下面影片時_, _발송됩니다_, _hasilatı_, 
   {{0x74ab0244,0xfe51023b,0x3fc001e1,0x106101ff}},	//   _установе, _kelakika, _dikopano, _poistovn, 
   {{0xcf6b0071,0x53d8011d,0x7fe603cc,0x26c60297}},	// [ffe0] _براساس_, _арестулу, _তোমরা_, _antalogi, 
   {{0xedff0278,0xc2d80198,0x7bc200d1,0x0d1b00c7}},	//   _rundinga, _zadeva_, _আবেগবিহ্, _вәлидине, 
   {{0x456700c5,0xfeea02a9,0x828b0376,0x3eae01f4}},	//   _摘编或利用其它方, _пазбаўле, _endafram, _taolonin, 
   {{0xe2900348,0xe3ea0334,0x74e0023c,0x6dad004d}},	//   _hajati_, _afiti_, _سلېمان_, _幅度不如預期_, 
   {{0x036c0044,0x099d0125,0x2a1403be,0x135f0202}},	//   _והנחות_, _кайыл_, _bagatuma_, _elegede_, 
   {{0x7bed0088,0x97550060,0xc30f020f,0x0f2e0244}},	//   _социалды, _кунинде_, _akubuya_, _amatoria, 
   {{0x82fc0176,0x897e0295,0xb709004d,0xf3f800c1}},	//   _smage_, _konitule, _國立教育廣播電臺, _bubut_, 
   {{0x2a4c008d,0x49f60086,0xa39602be,0xbc5902ee}},	//   _ноҳукума, _توریت_, _tarski_, _distakk_, 
   {{0x02970207,0x52fc0113,0x9fe403cc,0xb27e02d3}},	//   _marafiki_, _imigh_, _কিঃমিঃ_, _rainha_, 
   {{0x4ba40515,0xd3160176,0x2369004d,0xd601021b}},	//   _articulo_, _banzai_, _交通部公路總局_, _evoluuti, 
   {{0x7c760117,0x120003eb,0x23ac0047,0x13f80225}},	//   _atoriti_, _lening_, _rappel_, _tubut_, 
   {{0x23ea07d3,0x8b4002d3,0x7021004d,0x63a400ec}},	//   _afata_, _англиски_, _比上年同期增加_, _islandij, 
   {{0x2291055c,0xc2d800a8,0xf60f0075,0x027f006f}},	//   _sofaen_, _valeva_, _innleggi, _yaanza_, 
   {{0x69760381,0x11fb0147,0x22e6022b,0xbae3017f}},	//   _agnitude, _جۉلۉنۉ_, _eginogn_, _illutaat, 
   {{0x92d80359,0x0eb800a5,0x2f680055,0x00000000}},	//   _tsien_, _fagotain, _appatrun, --, 
   {{0x020000e2,0x4dc00396,0xc5170089,0x3e100365}},	//   _kening_, _intitola, _башлады_, _समारोहमा_, 
   {{0xfdbc01b5,0x5bd801cd,0x12e6020d,0xb2d804e1}},	// [fff0] _antukulu_, _ташвиқот, _irangwa_, _kadeta_, 
   {{0x920000bc,0x05cd0013,0xaf4d02a1,0xef380011}},	//   _dening_, _можарола, _kompleet_, _bakusama, 
   {{0xf0fd061e,0x0c3800a8,0x9f21044c,0xc7f10276}},	//   _abeltaña, _gudignau_, _skildrar_, _истимал_, 
   {{0x42ee0056,0x03ea01c4,0x06b20135,0x1b1802ce}},	//   _abafi_, _reitz_, _braziliä, _babasaan_, 
   {{0x82df02fb,0xe33500e6,0x8abc00bf,0xa52d0032}},	//   _falelahi_, _我们会及时作相关, _комерчес, _mumismoh, 
   {{0x97bb007e,0x6c8403c2,0x03f801bb,0xef570488}},	//   _केवलम्_, _deterred_, _subut_, _gadadien, 
   {{0x326e02e3,0xc2d805bf,0xa3f90057,0x33870347}},	//   _giuong_, _isiel_, _juzuk_, _waarby_, 
   {{0x17e30313,0xdb5502c5,0xf95d01af,0x00000000}},	//   _bodatahv, _dzawaona_, _dursalar_, --, 
   {{0xd25a010b,0x148901c1,0x6ff6009b,0xff270309}},	//   _etela_, _mengungk, _акапульк, _borcları, 
   {{0x63ea0808,0xb20003ef,0xc2cb017a,0x93410095}},	//   _ufata_, _munini_, _akuleli_, _bogelan_, 
   {{0xe7e303a1,0x82590289,0x2f4d0003,0xbf0c0040}},	//   _risparmi, _adangoti_, _compleet_, _והמידע_, 
   {{0x9cad037c,0xa27e0165,0xf2240224,0xcc8502c4}},	//   _citysear, _painia_, _leikir_, _евакуира, 
   {{0xc2000050,0x8b26002e,0xb38001b4,0xc3f9001c}},	//   _gening_, _otkrića_, _verrig_, _jurua_, 
   {{0x200d013c,0x03f8005b,0x32d8012a,0x82f4026c}},	//   _hesablaş, _uniuni_, _osiem_, _habitum_, 
   {{0x948601cc,0xf3f8007a,0x4e400410,0xbb830371}},	//   _प्राणः_, _dubur_, _tlhamomp, _comitato_, 
   {{0x451005d7,0x82d8033b,0x42b403d5,0x629000ea}},	//   _korrongo_, _semelo_, _dredged_, _injay_, 
  
  };
  // table_hash = 3043-1366, unused_entries = 13446 (5.13%)

static const uint32 kDeltaOcta0122SizeOne = 2143; // Bucket count one-lang
static const uint32 kDeltaOcta0122IndSize = 2143; // Largest subscript
extern const uint32 kDeltaOctaIndSize = kDeltaOcta0122IndSize; // Largest subscript
static const uint32 kDeltaOcta0122Ind[kDeltaOcta0122IndSize] = {
  // [0000]
  0x00000000, 0x00000000, 0x1600171b, 0x0000031c,   // -- --  sr.hr.un_770 nl.un.un_800 
  0x00005337, 0x00003e42, 0x1e001c1b, 0x00004537,   // ht.un.un_B00 rm.un.un_C00  id.ms.un_770 ln.un.un_B00 
  0x00002337, 0x0000290f, 0x00005124, 0x00005a1c,   // ca.un.un_B00 sl.un.un_600  kl.un.un_900 sm.un.un_800 
  0x00003642, 0x0000130f, 0x00004337, 0x00001b2d,   // gn.un.un_C00 et.un.un_600  ie.un.un_B00 tr.un.un_A00 
  // [0010]
  0x00005d2d, 0x00006406, 0x00001306, 0x00003042,   // ss.un.un_A00 lg.un.un_400  bh.un.un_400 uz.un.un_C00 
  0x0000200f, 0x00003b24, 0x0000240f, 0x00000d37,   // sq.un.un_600 so.un.un_900  eo.un.un_600 ne.un.un_B00 
  0x00005015, 0x00002306, 0x0000121c, 0x0000581c,   // fj.un.un_700 ky.un.un_400  ur.un.un_800 om.un.un_800 
  0x00007937, 0x00004342, 0x00005215, 0x00006715,   // war.un.un_B00 ie.un.un_C00  ha.un.un_700 ak.un.un_700 
  // [0020]
  0x00005a2d, 0x0000fc24, 0x0000370a, 0x00000401,   // sm.un.un_A00 zzp.un.un_900  st.un.un_500 ru.un.un_200 
  0x0000330f, 0x00005c42, 0x00000315, 0x00006015,   // nn.un.un_600 sa.un.un_C00  ko.un.un_700 vo.un.un_700 
  0x00003b37, 0x00003d0a, 0x00006837, 0x00000b0a,   // so.un.un_B00 ku.un.un_500  ig.un.un_B00 bn.un.un_500 
  0x0000251c, 0x0b001921, 0x00003242, 0x0000462d,   // mn.un.un_800 gl.es.un_860  bs.un.un_C00 qu.un.un_A00 
  // [0030]
  0x00000f24, 0x00001c15, 0x0000fe1c, 0x00003e1c,   // lv.un.un_900 id.un.un_700  tlh.un.un_800 rm.un.un_800 
  0x00000e42, 0x00004837, 0x0000180f, 0x00001e0a,   // is.un.un_C00 tt.un.un_B00  ga.un.un_600 am.un.un_500 
  0x00004801, 0x00002542, 0x00003015, 0x00005d24,   // tt.un.un_200 mn.un.un_C00  uz.un.un_700 ss.un.un_900 
  0x00002106, 0x0000222d, 0x00003706, 0x0000fe2d,   // fa.un.un_400 oc.un.un_A00  st.un.un_400 tlh.un.un_A00 
  // [0040]
  0x0000010a, 0x00003601, 0x19000a14, 0x0000641c,   // iw.un.un_500 ab.un.un_200  pt.gl.un_660 lg.un.un_800 
  0x0000010f, 0x0000170f, 0x0000230f, 0x00000515,   // en.un.un_600 sr.un.un_600  ca.un.un_600 fr.un.un_700 
  0x0000640f, 0x0000491c, 0x0000482d, 0x0000372d,   // lg.un.un_600 to.un.un_800  tt.un.un_A00 st.un.un_A00 
  0x0000642d, 0x00001d0a, 0x00006b15, 0x00004c42,   // lg.un.un_A00 la.un.un_500  ceb.un.un_700 wo.un.un_C00 
  // [0050]
  0x00002f15, 0x00000f1c, 0x00000d42, 0x00001c24,   // su.un.un_700 lv.un.un_800  cs.un.un_C00 id.un.un_900 
  0x0000521c, 0x00004224, 0x00003515, 0x00001e0f,   // ha.un.un_800 co.un.un_900  zu.un.un_700 ms.un.un_600 
  0x00006042, 0x0000070f, 0x0000fe24, 0x00000242,   // vo.un.un_C00 bg.un.un_600  tlh.un.un_900 da.un.un_C00 
  0x0000551c, 0x00003606, 0x00003c0a, 0x00000b37,   // rw.un.un_800 gn.un.un_400  ug.un.un_500 es.un.un_B00 
  // [0060]
  0x00004442, 0x0000030a, 0x0000fe42, 0x00001801,   // kk.un.un_C00 ko.un.un_500  tlh.un.un_C00 ar.un.un_200 
  0x0000232d, 0x0000060f, 0x0000250f, 0x00005837,   // ca.un.un_A00 de.un.un_600  mn.un.un_600 om.un.un_B00 
  0x00003b1c, 0x5900551b, 0x0000560f, 0x09000d2c,   // so.un.un_800 rw.rn.un_770  mg.un.un_600 ne.hi.un_990 
  0x00003524, 0x00001006, 0x00004c24, 0x0000281c,   // zu.un.un_900 be.un.un_400  wo.un.un_900 sd.un.un_800 
  // [0070]
  0x00005103, 0x0000210a, 0x00004e37, 0x0000260f,   // kl.un.un_300 fa.un.un_500  ay.un.un_B00 ia.un.un_600 
  0x00000415, 0x00002e42, 0x00000a42, 0x00005324,   // ru.un.un_700 fo.un.un_C00  mk.un.un_C00 ht.un.un_900 
  0x0000170a, 0x00000f15, 0x1c001e34, 0x0000632d,   // sr.un.un_500 lv.un.un_700  ms.id.un_A80 sco.un.un_A00 
  0x0000fa0f, 0x00001e01, 0x00005c1c, 0x00001f2d,   // nr.un.un_600 ms.un.un_200  sa.un.un_800 cy.un.un_A00 
  // [0080]
  0x0000512d, 0x00000e0a, 0x00005242, 0x00003e0a,   // kl.un.un_A00 is.un.un_500  ha.un.un_C00 rm.un.un_500 
  0x00002f2d, 0x0000502d, 0x0000122d, 0x00005e42,   // su.un.un_A00 fj.un.un_A00  hu.un.un_A00 ts.un.un_C00 
  0x00002324, 0x0000481c, 0x00005a06, 0x00004c06,   // ca.un.un_900 tt.un.un_800  sm.un.un_400 wo.un.un_400 
  0x00003e37, 0x0000300f, 0x00004c1c, 0x00001324,   // rm.un.un_B00 uz.un.un_600  wo.un.un_800 et.un.un_900 
  // [0090]
  0x0000470a, 0x00005437, 0x0000020f, 0x00001515,   // sn.un.un_500 ik.un.un_B00  ja.un.un_600 un.un.un_700 
  0x00004437, 0x0000211c, 0x00005524, 0x00004a0a,   // kk.un.un_B00 jw.un.un_800  rw.un.un_900 yo.un.un_500 
  0x08000214, 0x0000472d, 0x00003424, 0x00002537,   // da.no.un_660 sn.un.un_A00  xh.un.un_900 eu.un.un_B00 
  0x0000460a, 0x00002024, 0x19000a34, 0x0000292d,   // qu.un.un_500 sq.un.un_900  pt.gl.un_A80 sl.un.un_A00 
  // [00a0]
  0x0000522d, 0x00004b42, 0x0000280f, 0x0000332d,   // ha.un.un_A00 mi.un.un_C00  sw.un.un_600 nn.un.un_A00 
  0x00002315, 0x00005a42, 0x0000342d, 0x0000231c,   // ca.un.un_700 sm.un.un_C00  xh.un.un_A00 ky.un.un_800 
  0x00003e2d, 0x59005536, 0x00006b0a, 0x00004b1c,   // rm.un.un_A00 rw.rn.un_AA0  ceb.un.un_500 mi.un.un_800 
  0x17001636, 0x00002f42, 0x0000592d, 0x00000842,   // hr.sr.un_AA0 su.un.un_C00  rn.un.un_A00 uk.un.un_C00 
  // [00b0]
  0x00003b15, 0x00006e37, 0x0000580a, 0x0000382d,   // so.un.un_700 hmn.un.un_B00  om.un.un_500 tk.un.un_A00 
  0x00001115, 0x0000360a, 0x00004d15, 0x00003837,   // ro.un.un_700 gn.un.un_500  aa.un.un_700 tk.un.un_B00 
  0x00004e15, 0x00001c37, 0x00003d06, 0x00001206,   // ay.un.un_700 id.un.un_B00  ku.un.un_400 ur.un.un_400 
  0x00002142, 0x00006342, 0x0000230a, 0x00001542,   // jw.un.un_C00 sco.un.un_C00  ky.un.un_500 un.un.un_C00 
  // [00c0]
  0x00001a37, 0x00001c0a, 0x59005502, 0x00001d1c,   // tl.un.un_B00 id.un.un_500  rw.rn.un_220 la.un.un_800 
  0x0000280a, 0x0000050f, 0x00000806, 0x00004842,   // sd.un.un_500 fr.un.un_600  uk.un.un_400 tt.un.un_C00 
  0x0000370f, 0x00002b24, 0x0000221c, 0x00003506,   // ba.un.un_600 vi.un.un_900  oc.un.un_800 tg.un.un_400 
  0x0200081a, 0x00003e24, 0x00007642, 0x00005842,   // no.da.un_760 rm.un.un_900  crs.un.un_C00 om.un.un_C00 
  // [00d0]
  0x0000252d, 0x0000330a, 0x00002f37, 0x00000d2d,   // eu.un.un_A00 as.un.un_500  su.un.un_B00 cs.un.un_A00 
  0x00002c0f, 0x00005615, 0x00001842, 0x00003737,   // fy.un.un_600 mg.un.un_700  ga.un.un_C00 st.un.un_B00 
  0x0000220a, 0x0000040f, 0x0000110f, 0x00001337,   // oc.un.un_500 ru.un.un_600  ro.un.un_600 et.un.un_B00 
  0x00005a24, 0x00001f24, 0x0000341c, 0x00000524,   // sm.un.un_900 cy.un.un_900  xh.un.un_800 fr.un.un_900 
  // [00e0]
  0x00002c1c, 0x00004c37, 0x00002c24, 0x00002a06,   // fy.un.un_800 wo.un.un_B00  fy.un.un_900 mt.un.un_400 
  0x00000942, 0x00000a24, 0x0000050a, 0x0000fc2d,   // hi.un.un_C00 mk.un.un_900  zh.un.un_500 zzp.un.un_A00 
  0x3400352a, 0x0000692d, 0x00005642, 0x00006724,   // zu.xh.un_970 mfe.un.un_A00  mg.un.un_C00 ak.un.un_900 
  0x0000100f, 0x00006b1c, 0x00002515, 0x00003437,   // lt.un.un_600 ceb.un.un_800  eu.un.un_700 ps.un.un_B00 
  // [00f0]
  0x00002d2d, 0x0000762d, 0x00000f0f, 0x3500342c,   // sk.un.un_A00 crs.un.un_A00  lv.un.un_600 xh.zu.un_990 
  0x00003924, 0x0000380f, 0x0000310a, 0x00002424,   // br.un.un_900 tk.un.un_600  az.un.un_500 eo.un.un_900 
  0x00000b06, 0x59005523, 0x00001a24, 0x3500340e,   // bn.un.un_400 rw.rn.un_880  tl.un.un_900 xh.zu.un_550 
  0x0000fe0f, 0x00002737, 0x00004942, 0x0000240a,   // tlh.un.un_600 gd.un.un_B00  to.un.un_C00 yi.un.un_500 
  // [0100]
  0x1700160e, 0x0000111c, 0x00002837, 0x0000471c,   // hr.sr.un_550 ro.un.un_800  sw.un.un_B00 sn.un.un_800 
  0x34003514, 0x00000937, 0x1c00090e, 0x0000212d,   // zu.xh.un_660 hi.un.un_B00  hi.mr.un_550 jw.un.un_A00 
  0x00002f1c, 0x00000d0a, 0x00005801, 0x00005f42,   // su.un.un_800 ne.un.un_500  om.un.un_200 tn.un.un_C00 
  0x1c000934, 0x00001c2d, 0x00001a06, 0x0000350f,   // hi.mr.un_A80 id.un.un_A00  tl.un.un_400 tg.un.un_600 
  // [0110]
  0x00000f0a, 0x0000421c, 0x1c001e0c, 0x00001837,   // lv.un.un_500 co.un.un_800  ms.id.un_530 ar.un.un_B00 
  0x00000101, 0x00001e2d, 0x00006337, 0x00004f42,   // en.un.un_200 ms.un.un_A00  sco.un.un_B00 bi.un.un_C00 
  0x00006415, 0x00007942, 0x00000106, 0x00004542,   // lg.un.un_700 war.un.un_C00  iw.un.un_400 ln.un.un_C00 
  0x00004c0a, 0x00001137, 0x00007637, 0x00003637,   // wo.un.un_500 ro.un.un_B00  crs.un.un_B00 gn.un.un_B00 
  // [0120]
  0x00004d42, 0x19000b36, 0x00002137, 0x0800020e,   // aa.un.un_C00 es.gl.un_AA0  fa.un.un_B00 da.no.un_550 
  0x00005b37, 0x00003842, 0x0000080f, 0x0000392d,   // sg.un.un_B00 tk.un.un_C00  uk.un.un_600 br.un.un_A00 
  0x0000300a, 0x00006842, 0x0000090f, 0x00000915,   // uz.un.un_500 ig.un.un_C00  pl.un.un_600 pl.un.un_700 
  0x00002842, 0x00004f2d, 0x00001237, 0x00005715,   // sw.un.un_C00 bi.un.un_A00  ur.un.un_B00 na.un.un_700 
  // [0130]
  0x00003942, 0x00001901, 0x00001215, 0x00005824,   // br.un.un_C00 gl.un.un_200  hu.un.un_700 om.un.un_900 
  0x00004a15, 0x00004815, 0x17001634, 0x00002506,   // yo.un.un_700 tt.un.un_700  hr.sr.un_A80 mn.un.un_400 
  0x00001b42, 0x00005c2d, 0x0000402d, 0x0000792d,   // tr.un.un_C00 sa.un.un_A00  lb.un.un_A00 war.un.un_A00 
  0x0000310f, 0x00002415, 0x16001734, 0x0000391c,   // az.un.un_600 eo.un.un_700  sr.hr.un_A80 dz.un.un_800 
  // [0140]
  0x00001a1c, 0x0000301c, 0x00005c37, 0x0000070a,   // tl.un.un_800 uz.un.un_800  sa.un.un_B00 bg.un.un_500 
  0x0000182d, 0x00001042, 0x00001e03, 0x00002301,   // ga.un.un_A00 be.un.un_C00  ms.un.un_300 ky.un.un_200 
  0x00001d0f, 0x00006801, 0x0000120f, 0x00004d2d,   // zh-Hant.un.un_600 ig.un.un_200  hu.un.un_600 aa.un.un_A00 
  0x35003423, 0x00000637, 0x00001742, 0x00001715,   // xh.zu.un_880 de.un.un_B00  sr.un.un_C00 sr.un.un_700 
  // [0150]
  0x00004f15, 0x00006524, 0x0000480f, 0x0000020a,   // bi.un.un_700 gv.un.un_900  tt.un.un_600 ja.un.un_500 
  0x00001106, 0x00000c0f, 0x00002406, 0x0000092d,   // ro.un.un_400 sv.un.un_600  yi.un.un_400 pl.un.un_A00 
  0x0000090a, 0x0000102d, 0x00005815, 0x00004f1c,   // pl.un.un_500 be.un.un_A00  om.un.un_700 bi.un.un_800 
  0x0000400f, 0x0000091c, 0x00002342, 0x00001f0a,   // lb.un.un_600 pl.un.un_800  ky.un.un_C00 cy.un.un_500 
  // [0160]
  0x16003236, 0x0000040a, 0x00003c42, 0x00001242,   // bs.hr.un_AA0 ru.un.un_500  ug.un.un_C00 hu.un.un_C00 
  0x00003c15, 0x00005037, 0x00000642, 0x00001f06,   // ug.un.un_700 fj.un.un_B00  de.un.un_C00 cy.un.un_400 
  0x33000836, 0x00000b0f, 0x0000242d, 0x00005237,   // no.nn.un_AA0 bn.un.un_600  eo.un.un_A00 ha.un.un_B00 
  0x0b000a09, 0x00003c0f, 0x00001b15, 0x0000082d,   // pt.es.un_440 ug.un.un_600  tr.un.un_700 uk.un.un_A00 
  // [0170]
  0x0000732d, 0x17001602, 0x00006742, 0x00000b15,   // ny.un.un_A00 hr.sr.un_220  ak.un.un_C00 bn.un.un_700 
  0x0000750f, 0x00007615, 0x00000237, 0x0000360f,   // nso.un.un_600 crs.un.un_700  da.un.un_B00 ab.un.un_600 
  0x00005c06, 0x00006037, 0x0000352d, 0x2f171664,   // sa.un.un_400 vo.un.un_B00  tg.un.un_A00 hr.sr.su_762 
  0x00000c2d, 0x00000215, 0x00002442, 0x0000511c,   // sv.un.un_A00 ja.un.un_700  eo.un.un_C00 kl.un.un_800 
  // [0180]
  0x00006915, 0x0000022d, 0x00006a2d, 0x00005624,   // mfe.un.un_700 da.un.un_A00  haw.un.un_A00 mg.un.un_900 
  0x00005942, 0x0000480a, 0x00004501, 0x00000a0f,   // rn.un.un_C00 tt.un.un_500  ln.un.un_200 mk.un.un_600 
  0x0000350a, 0x00001b37, 0x00001f42, 0x00001142,   // tg.un.un_500 tr.un.un_B00  cy.un.un_C00 ro.un.un_C00 
  0x0000032d, 0x0000200a, 0x00005e37, 0x0000fe37,   // nl.un.un_A00 ti.un.un_500  ts.un.un_B00 tlh.un.un_B00 
  // [0190]
  0x0000572d, 0x00000c15, 0x0000030f, 0x00001c42,   // na.un.un_A00 sv.un.un_700  nl.un.un_600 mr.un.un_C00 
  0x00004324, 0x00002742, 0x00007324, 0x00005315,   // ie.un.un_900 gd.un.un_C00  ny.un.un_900 ht.un.un_700 
  0x00002942, 0x00002b1c, 0x00006324, 0x00001015,   // sl.un.un_C00 vi.un.un_800  sco.un.un_900 lt.un.un_700 
  0x00004a42, 0x00007342, 0x0000100a, 0x00002815,   // yo.un.un_C00 ny.un.un_C00  be.un.un_500 sw.un.un_700 
  // [01a0]
  0x00005e1c, 0x00000301, 0x00000f01, 0x00002806,   // ts.un.un_800 nl.un.un_200  lv.un.un_200 sd.un.un_400 
  0x0000450a, 0x3300080d, 0x00004b2d, 0x0000041c,   // ln.un.un_500 no.nn.un_540  mi.un.un_A00 fi.un.un_800 
  0x0d002d2b, 0x0b000a1b, 0x0000fc42, 0x0000130a,   // sk.cs.un_980 pt.es.un_770  zzp.un.un_C00 bh.un.un_500 
  0x00001824, 0x0000790f, 0x0b000a23, 0x00003824,   // ar.un.un_900 war.un.un_600  pt.es.un_880 tk.un.un_900 
  // [01b0]
  0x00002f0a, 0x0d00092c, 0x0000651c, 0x0000080a,   // su.un.un_500 hi.ne.un_990  gv.un.un_800 uk.un.un_500 
  0x00003f15, 0x00005e2d, 0x00000142, 0x00005c0f,   // af.un.un_700 ts.un.un_A00  en.un.un_C00 sa.un.un_600 
  0x00001315, 0x0000690f, 0x00006924, 0x00003815,   // bh.un.un_700 mfe.un.un_600  mfe.un.un_900 tk.un.un_700 
  0x00002c0a, 0x0000440f, 0x00000d24, 0x33000834,   // fy.un.un_500 kk.un.un_600  cs.un.un_900 no.nn.un_A80 
  // [01c0]
  0x00005224, 0x00001c01, 0x00001942, 0x0000650a,   // ha.un.un_900 id.un.un_200  gl.un.un_C00 gv.un.un_500 
  0x00003f0f, 0x00003b42, 0x00002c15, 0x0000380a,   // af.un.un_600 so.un.un_C00  fy.un.un_700 tk.un.un_500 
  0x2d000d0e, 0x0000132d, 0x0000fe15, 0x0000fa42,   // cs.sk.un_550 et.un.un_A00  tlh.un.un_700 nr.un.un_C00 
  0x00005c15, 0x00003542, 0x00002101, 0x00002642,   // sa.un.un_700 tg.un.un_C00  fa.un.un_200 ia.un.un_C00 
  // [01d0]
  0x02000805, 0x00000115, 0x00004624, 0x00000c24,   // no.da.un_330 iw.un.un_700  qu.un.un_900 sv.un.un_900 
  0x00004237, 0x0000120a, 0x08000204, 0x00003e0f,   // co.un.un_B00 ur.un.un_500  da.no.un_320 rm.un.un_600 
  0x0000620f, 0x00004042, 0x00002042, 0x0000440a,   // kha.un.un_600 lb.un.un_C00  sq.un.un_C00 kk.un.un_500 
  0x00003e01, 0x0000552d, 0x00004406, 0x0000630a,   // rm.un.un_200 rw.un.un_A00  kk.un.un_400 sco.un.un_500 
  // [01e0]
  0x00003d42, 0x00003715, 0x1c000919, 0x00002906,   // ku.un.un_C00 ba.un.un_700  hi.mr.un_750 sl.un.un_400 
  0x00000d03, 0x00004a2d, 0x2d000d14, 0x00004006,   // ne.un.un_300 yo.un.un_A00  cs.sk.un_660 lb.un.un_400 
  0x00006b2d, 0x00005f24, 0x00003001, 0x00003624,   // ceb.un.un_A00 tn.un.un_900  uz.un.un_200 gn.un.un_900 
  0x0000210f, 0x00006a1c, 0x0000151c, 0x0000101c,   // jw.un.un_600 haw.un.un_800  un.un.un_800 lt.un.un_800 
  // [01f0]
  0x00005f2d, 0x00002015, 0x00003c01, 0x2d000d09,   // tn.un.un_A00 sq.un.un_700  ug.un.un_200 cs.sk.un_440 
  0x00003037, 0x1e001c34, 0x00003315, 0x00002237,   // uz.un.un_B00 id.ms.un_A80  as.un.un_700 oc.un.un_B00 
  0x5900551a, 0x00005d37, 0x00004915, 0x00002637,   // rw.rn.un_760 ss.un.un_B00  to.un.un_700 ia.un.un_B00 
  0x00004d37, 0x19000b19, 0x00005024, 0x00002d24,   // aa.un.un_B00 es.gl.un_750  fj.un.un_900 sk.un.un_900 
  // [0200]
  0x00006815, 0x00004d1c, 0x00004a1c, 0x0000430f,   // ig.un.un_700 aa.un.un_800  yo.un.un_800 ie.un.un_600 
  0x00000437, 0x0000302d, 0x00002d0f, 0x00002824,   // fi.un.un_B00 uz.un.un_A00  sk.un.un_600 sw.un.un_900 
  0x00003d2d, 0x00005137, 0x00004424, 0x00005f15,   // ku.un.un_A00 kl.un.un_B00  kk.un.un_900 tn.un.un_700 
  0x1c001e08, 0x59005514, 0x00003724, 0x00003406,   // ms.id.un_430 rw.rn.un_660  ba.un.un_900 xh.un.un_400 
  // [0210]
  0x00004706, 0x00000442, 0x00001d42, 0x0000152d,   // sn.un.un_400 fi.un.un_C00  la.un.un_C00 un.un.un_A00 
  0x35003435, 0x33000805, 0x00005e0f, 0x0000262d,   // xh.zu.un_A90 no.nn.un_330  ts.un.un_600 ia.un.un_A00 
  0x0000fc0f, 0x00005d42, 0x0000580f, 0x0000042d,   // zzp.un.un_600 ss.un.un_C00  om.un.un_600 ru.un.un_A00 
  0x2d000d36, 0x00000206, 0x00000c37, 0x00005806,   // cs.sk.un_AA0 da.un.un_400  sv.un.un_B00 om.un.un_400 
  // [0220]
  0x00000715, 0x1c001e36, 0x00000542, 0x00002524,   // it.un.un_700 ms.id.un_AA0  fr.un.un_C00 eu.un.un_900 
  0x00000e24, 0x0000570f, 0x0000730f, 0x1e001c36,   // is.un.un_900 na.un.un_600  ny.un.un_600 id.ms.un_AA0 
  0x02003336, 0x0000312d, 0x0000600f, 0x00002e2d,   // nn.da.un_AA0 az.un.un_A00  vo.un.un_600 fo.un.un_A00 
  0x00002f24, 0x0000420f, 0x00004215, 0x00001024,   // su.un.un_900 co.un.un_600  co.un.un_700 lt.un.un_900 
  // [0230]
  0x00006942, 0x00001d24, 0x00002401, 0x0000432d,   // mfe.un.un_C00 la.un.un_900  eo.un.un_200 ie.un.un_A00 
  0x00004a06, 0x00005c24, 0x1700160d, 0x00000306,   // yo.un.un_400 sa.un.un_900  hr.sr.un_540 ko.un.un_400 
  0x00000815, 0x00004b06, 0x00002d0a, 0x00006a42,   // uk.un.un_700 mi.un.un_400  sk.un.un_500 haw.un.un_C00 
  0x0000340a, 0x0000071c, 0x00002124, 0x00006303,   // xh.un.un_500 it.un.un_800  jw.un.un_900 sco.un.un_300 
  // [0240]
  0x00005042, 0x0000582d, 0x00003142, 0x00004d0f,   // fj.un.un_C00 om.un.un_A00  az.un.un_C00 aa.un.un_600 
  0x00000742, 0x00006242, 0x00000706, 0x00002115,   // bg.un.un_C00 kha.un.un_C00  bg.un.un_400 jw.un.un_700 
  0x0b001907, 0x00004f24, 0x00004a24, 0x19000b23,   // gl.es.un_420 bi.un.un_900  yo.un.un_900 es.gl.un_880 
  0x00002a24, 0x0000fa37, 0x16003223, 0x0000501c,   // mt.un.un_900 nr.un.un_B00  bs.hr.un_880 fj.un.un_800 
  // [0250]
  0x0000201c, 0x00003b2d, 0x00007837, 0x00005115,   // sq.un.un_800 so.un.un_A00  ve.un.un_B00 kl.un.un_700 
  0x19000b09, 0x00001342, 0x00000f42, 0x00000e15,   // es.gl.un_440 et.un.un_C00  lv.un.un_C00 is.un.un_700 
  0x00002c2d, 0x00000224, 0x00005903, 0x00002e0f,   // fy.un.un_A00 da.un.un_900  rn.un.un_300 fo.un.un_600 
  0x00000615, 0x08003313, 0x00000e37, 0x00004515,   // de.un.un_700 nn.no.un_650  is.un.un_B00 ln.un.un_700 
  // [0260]
  0x0000192d, 0x0000241c, 0x0000381c, 0x00000324,   // gl.un.un_A00 eo.un.un_800  tk.un.un_800 nl.un.un_900 
  0x00007915, 0x00000342, 0x1c001e1b, 0x1600170e,   // war.un.un_700 nl.un.un_C00  ms.id.un_770 sr.hr.un_550 
  0x0000fc15, 0x19000b34, 0x0000500f, 0x00000b42,   // zzp.un.un_700 es.gl.un_A80  fj.un.un_600 es.un.un_C00 
  0x00001d15, 0x0d002d35, 0x09000d14, 0x00004401,   // la.un.un_700 sk.cs.un_A90  ne.hi.un_660 kk.un.un_200 
  // [0270]
  0x00002615, 0x3300081b, 0x00006424, 0x19000b02,   // ia.un.un_700 no.nn.un_770  lg.un.un_900 es.gl.un_220 
  0x00000e0f, 0x00005a0a, 0x00003c37, 0x00006b24,   // is.un.un_600 sm.un.un_500  ug.un.un_B00 ceb.un.un_900 
  0x00001e42, 0x0000052d, 0x1600172c, 0x00005c0a,   // ms.un.un_C00 fr.un.un_A00  sr.hr.un_990 sa.un.un_500 
  0x00003415, 0x00001703, 0x0000172d, 0x00005937,   // xh.un.un_700 sr.un.un_300  sr.un.un_A00 rn.un.un_B00 
  // [0280]
  0x0d000908, 0x00005142, 0x00004b24, 0x00006106,   // hi.ne.un_430 kl.un.un_C00  mi.un.un_900 za.un.un_400 
  0x2d000d35, 0x00005542, 0x00006737, 0x00000d0f,   // cs.sk.un_A90 rw.un.un_C00  ak.un.un_B00 ne.un.un_600 
  0x00005742, 0x00007315, 0x0000282d, 0x00003615,   // na.un.un_C00 ny.un.un_700  sw.un.un_A00 gn.un.un_700 
  0x00001301, 0x00006937, 0x00004f0a, 0x00004b0a,   // et.un.un_200 mfe.un.un_B00  bi.un.un_500 mi.un.un_500 
  // [0290]
  0x00003e06, 0x00001806, 0x0000670f, 0x34003512,   // rm.un.un_400 ar.un.un_400  ak.un.un_600 zu.xh.un_640 
  0x0000461c, 0x0000490f, 0x00000c0a, 0x00004806,   // qu.un.un_800 to.un.un_600  sv.un.un_500 tt.un.un_400 
  0x00004b0f, 0x00003c06, 0x0000760f, 0x00004c2d,   // mi.un.un_600 ug.un.un_400  crs.un.un_600 wo.un.un_A00 
  0x0000731c, 0x0000110a, 0x00003937, 0x00002d15,   // ny.un.un_800 ro.un.un_500  br.un.un_B00 sk.un.un_700 
  // [02a0]
  0x00004a37, 0x00003f0a, 0x00001a15, 0x00003f2d,   // yo.un.un_B00 af.un.un_500  tl.un.un_700 af.un.un_A00 
  0x00001d37, 0x00000d01, 0x0000420a, 0x0000571c,   // la.un.un_B00 ne.un.un_200  co.un.un_500 na.un.un_800 
  0x00002a0f, 0x00001001, 0x2d000d2c, 0x0000680a,   // mt.un.un_600 lt.un.un_200  cs.sk.un_990 ig.un.un_500 
  0x0000180a, 0x2d000d34, 0x00001601, 0x0000590f,   // ar.un.un_500 cs.sk.un_A80  hr.un.un_200 rn.un.un_600 
  // [02b0]
  0x00000624, 0x0000520f, 0x00000801, 0x0000190a,   // de.un.un_900 ha.un.un_600  uk.un.un_200 gl.un.un_500 
  0x00005d15, 0x0000610f, 0x0000442d, 0x00005b42,   // ss.un.un_700 za.un.un_600  kk.un.un_A00 sg.un.un_C00 
  0x5500592a, 0x00001224, 0x00003537, 0x00000924,   // rn.rw.un_970 ur.un.un_900  tg.un.un_B00 pl.un.un_900 
  0x00006237, 0x00001f0f, 0x00001a2d, 0x00005d0f,   // kha.un.un_B00 cy.un.un_600  tl.un.un_A00 ss.un.un_600 
  // [02c0]
  0x00000a0a, 0x00005515, 0x00003f42, 0x00002d42,   // mk.un.un_500 rw.un.un_700  af.un.un_C00 sk.un.un_C00 
  0x00000a01, 0x00004737, 0x00003906, 0x0000062d,   // mk.un.un_200 sn.un.un_B00  br.un.un_400 de.un.un_A00 
  0x0000190f, 0x0000112d, 0x00001815, 0x17001614,   // gl.un.un_600 ro.un.un_A00  ga.un.un_700 hr.sr.un_660 
  0x00005001, 0x00005206, 0x00002f0f, 0x00000a2d,   // fj.un.un_200 ha.un.un_400  su.un.un_600 pt.un.un_A00 
  // [02d0]
  0x0000630f, 0x00006e0a, 0x00003503, 0x00000a15,   // sco.un.un_600 hmn.un.un_500  zu.un.un_300 mk.un.un_700 
  0x00003e15, 0x0000131c, 0x00003006, 0x0000191c,   // rm.un.un_700 bh.un.un_800  uz.un.un_400 gl.un.un_800 
  0x00001c0f, 0x00005a37, 0x00000a1c, 0x00004f0f,   // id.un.un_600 sm.un.un_B00  mk.un.un_800 bi.un.un_600 
  0x0a001934, 0x00002a0a, 0x1300092c, 0x00001e15,   // gl.pt.un_A80 mt.un.un_500  hi.bh.un_990 ms.un.un_700 
  // [02e0]
  0x00005f0a, 0x0000181c, 0x0000652d, 0x00002b06,   // tn.un.un_500 ar.un.un_800  gv.un.un_A00 vi.un.un_400 
  0x00002a2d, 0x0000361c, 0x08000213, 0x00006b42,   // mt.un.un_A00 gn.un.un_800  da.no.un_650 ceb.un.un_C00 
  0x00004715, 0x19000b2c, 0x00000737, 0x0000250a,   // sn.un.un_700 es.gl.un_990  it.un.un_B00 mn.un.un_500 
  0x00003b0f, 0x00001906, 0x00002a42, 0x00005306,   // so.un.un_600 gl.un.un_400  mt.un.un_C00 ht.un.un_400 
  // [02f0]
  0x00005d1c, 0x19000a2c, 0x19000b13, 0x00000c42,   // ss.un.un_800 pt.gl.un_990  es.gl.un_650 sv.un.un_C00 
  0x19000b35, 0x0a000b1a, 0x00001a42, 0x00005f37,   // es.gl.un_A90 es.pt.un_760  tl.un.un_C00 tn.un.un_B00 
  0x0000490a, 0x0000530a, 0x0000550f, 0x00004937,   // to.un.un_500 ht.un.un_500  rw.un.un_600 to.un.un_B00 
  0x0000550a, 0x00002724, 0x00003442, 0x0000532d,   // rw.un.un_500 gd.un.un_900  ps.un.un_C00 ht.un.un_A00 
  // [0300]
  0x2d000d1b, 0x00003101, 0x00003501, 0x00005f0f,   // cs.sk.un_770 az.un.un_200  zu.un.un_200 tn.un.un_600 
  0x00001e24, 0x00003337, 0x00004615, 0x35003409,   // ms.un.un_900 nn.un.un_B00  qu.un.un_700 xh.zu.un_440 
  0x1e001c09, 0x00003115, 0x00001937, 0x00006442,   // id.ms.un_440 az.un.un_700  gl.un.un_B00 lg.un.un_C00 
  0x0000540f, 0x00003124, 0x00002801, 0x00004b37,   // ik.un.un_600 az.un.un_900  sd.un.un_200 mi.un.un_B00 
  // [0310]
  0x0000270f, 0x00002006, 0x00003915, 0x0000fe0a,   // gd.un.un_600 ti.un.un_400  br.un.un_700 tlh.un.un_500 
  0x00003701, 0x00005d06, 0x0000520a, 0x1700162b,   // ba.un.un_200 ss.un.un_400  ha.un.un_500 hr.sr.un_980 
  0x0000492d, 0x00000b1c, 0x0000272d, 0x1c000905,   // to.un.un_A00 bn.un.un_800  gd.un.un_A00 hi.mr.un_330 
  0x19000b14, 0x0000650f, 0x00003237, 0x02003314,   // es.gl.un_660 gv.un.un_600  bs.un.un_B00 nn.da.un_660 
  // [0320]
  0x00005e24, 0x00002915, 0x00005506, 0x00002803,   // ts.un.un_900 sl.un.un_700  rw.un.un_400 sw.un.un_300 
  0x35003413, 0x00003106, 0x00004724, 0x3300081a,   // xh.zu.un_650 az.un.un_400  sn.un.un_900 no.nn.un_760 
  0x00005915, 0x0000761c, 0x00005101, 0x00003c24,   // rn.un.un_700 crs.un.un_800  kl.un.un_200 ug.un.un_900 
  0x0000510a, 0x00003742, 0x00004e42, 0x0b000a2c,   // kl.un.un_500 st.un.un_C00  ay.un.un_C00 pt.es.un_990 
  // [0330]
  0x00005424, 0x00002e37, 0x00000b2d, 0x0000422d,   // ik.un.un_900 fo.un.un_B00  es.un.un_A00 co.un.un_A00 
  0x00007337, 0x00005c01, 0x08003309, 0x00001b06,   // ny.un.un_B00 sa.un.un_200  nn.no.un_440 tr.un.un_400 
  0x00002242, 0x00006a01, 0x00002a1c, 0x00007537,   // oc.un.un_C00 haw.un.un_200  mt.un.un_800 nso.un.un_B00 
  0x00001f15, 0x0000531c, 0x0000362d, 0x00004924,   // cy.un.un_700 ht.un.un_800  gn.un.un_A00 to.un.un_900 
  // [0340]
  0x00004b15, 0x00001b03, 0x00005342, 0x00006b37,   // mi.un.un_700 tr.un.un_300  ht.un.un_C00 ceb.un.un_B00 
  0x00005106, 0x0a000b14, 0x00006903, 0x00003f37,   // kl.un.un_400 es.pt.un_660  mfe.un.un_300 af.un.un_B00 
  0x0000640a, 0x0000fc0a, 0x00001915, 0x00004f37,   // lg.un.un_500 zzp.un.un_500  gl.un.un_700 bi.un.un_B00 
  0x00004824, 0x1e001c23, 0x00004606, 0x0000340f,   // tt.un.un_900 id.ms.un_880  qu.un.un_400 xh.un.un_600 
  // [0350]
  0x00001e06, 0x15001519, 0x00003301, 0x2d000d05,   // am.un.un_400 un.un.un_750  nn.un.un_200 cs.sk.un_330 
  0x00003c2d, 0x00001624, 0x00004e24, 0x00005006,   // ug.un.un_A00 hr.un.un_900  ay.un.un_900 fj.un.un_400 
  0x0000530f, 0x00002c42, 0x00005b0f, 0x0000291c,   // ht.un.un_600 fy.un.un_C00  sg.un.un_600 sl.un.un_800 
  0x08003319, 0x32001736, 0x16001735, 0x0d000936,   // nn.no.un_750 sr.bs.un_AA0  sr.hr.un_A90 hi.ne.un_AA0 
  // [0360]
  0x00000d15, 0x0000150f, 0x0000450f, 0x33000802,   // cs.un.un_700 un.un.un_600  ln.un.un_600 no.nn.un_220 
  0x0000400a, 0x00000d06, 0x00001501, 0x19000a23,   // lb.un.un_500 ne.un.un_400  un.un.un_200 pt.gl.un_880 
  0x0000171c, 0x00006a37, 0x0000500a, 0x00000a06,   // sr.un.un_800 haw.un.un_B00  fj.un.un_500 mk.un.un_400 
  0x0000561c, 0x0000271c, 0x00004642, 0x1600321b,   // mg.un.un_800 gd.un.un_800  qu.un.un_C00 bs.hr.un_770 
  // [0370]
  0x00002f06, 0x0000072d, 0x00001f1c, 0x00002437,   // su.un.un_400 bg.un.un_A00  cy.un.un_800 eo.un.un_B00 
  0x00003024, 0x0000730a, 0x00002e06, 0x00001124,   // uz.un.un_900 ny.un.un_500  fo.un.un_400 ro.un.un_900 
  0x00002e0a, 0x0d00091b, 0x59005505, 0x19000b12,   // fo.un.un_500 hi.ne.un_770  rw.rn.un_330 es.gl.un_640 
  0x00001d2d, 0x16003221, 0x0000621c, 0x00003137,   // la.un.un_A00 bs.hr.un_860  kha.un.un_800 az.un.un_B00 
  // [0380]
  0x00006115, 0x0000fc37, 0x00005e06, 0x1c001e2a,   // za.un.un_700 zzp.un.un_B00  ts.un.un_400 ms.id.un_970 
  0x16003222, 0x17001613, 0x1e001c02, 0x0000680f,   // bs.hr.un_870 hr.sr.un_650  id.ms.un_220 ig.un.un_600 
  0x00000724, 0x00004d06, 0x00004637, 0x1e001c14,   // it.un.un_900 aa.un.un_400  qu.un.un_B00 id.ms.un_660 
  0x16001702, 0x00007624, 0x00001c1c, 0x0000390f,   // sr.hr.un_220 crs.un.un_900  id.un.un_800 br.un.un_600 
  // [0390]
  0x0000311c, 0x00003703, 0x0000270a, 0x17001635,   // az.un.un_800 st.un.un_300  gd.un.un_500 hr.sr.un_A90 
  0x34003508, 0x2d000d0c, 0x00002a15, 0x0000351c,   // zu.xh.un_430 cs.sk.un_530  mt.un.un_700 tg.un.un_800 
  0x00002303, 0x00004906, 0x1e001c0c, 0x15001508,   // ca.un.un_300 to.un.un_400  id.ms.un_530 un.un.un_430 
  0x0b00192a, 0x0000781c, 0x0000331c, 0x00000124,   // gl.es.un_970 ve.un.un_800  nn.un.un_800 en.un.un_900 
  // [03a0]
  0x00005f06, 0x00000703, 0x00000906, 0x19000a2b,   // tn.un.un_400 bg.un.un_300  hi.un.un_400 pt.gl.un_980 
  0x00002e24, 0x13000923, 0x5900550e, 0x0d002d02,   // fo.un.un_900 hi.bh.un_880  rw.rn.un_550 sk.cs.un_220 
  0x00003306, 0x15001513, 0x09000d2b, 0x2d000d23,   // as.un.un_400 un.un.un_650  ne.hi.un_980 cs.sk.un_880 
  0x1e001c2c, 0x00002a37, 0x33000814, 0x00000503,   // id.ms.un_990 mt.un.un_B00  no.nn.un_660 fr.un.un_300 
  // [03b0]
  0x00003342, 0x00000501, 0x0000011c, 0x0000261c,   // nn.un.un_C00 fr.un.un_200  en.un.un_800 ia.un.un_800 
  0x00004742, 0x1e001c0e, 0x00004a0f, 0x0000fc06,   // sn.un.un_C00 id.ms.un_550  yo.un.un_600 zzp.un.un_400 
  0x0000441c, 0x00004e0f, 0x00005737, 0x0b00192c,   // kk.un.un_800 ay.un.un_600  na.un.un_B00 gl.es.un_990 
  0x22000f3f, 0x00006b0f, 0x55005912, 0x0000371c,   // lv.oc.un_B90 ceb.un.un_600  rn.rw.un_640 st.un.un_800 
  // [03c0]
  0x0200081b, 0x00000a03, 0x00006506, 0x1600322c,   // no.da.un_770 mk.un.un_300  gv.un.un_400 bs.hr.un_990 
  0x00003c1c, 0x1c001e0d, 0x00002c06, 0x00000901,   // ug.un.un_800 ms.id.un_540  fy.un.un_400 pl.un.un_200 
  0x1e001c13, 0x02000834, 0x0b000a0c, 0x0b001914,   // id.ms.un_650 no.da.un_A80  pt.es.un_530 gl.es.un_660 
  0x00000b01, 0x09000d0c, 0x00003d24, 0x00001b1c,   // es.un.un_200 ne.hi.un_530  ku.un.un_900 tr.un.un_800 
  // [03d0]
  0x00001642, 0x00000f2d, 0x0d002d0d, 0x08000205,   // hr.un.un_C00 lv.un.un_A00  sk.cs.un_540 da.no.un_330 
  0x00001737, 0x00006542, 0x0d000935, 0x0000691c,   // sr.un.un_B00 gv.un.un_C00  hi.ne.un_A90 mfe.un.un_800 
  0x1700161b, 0x00005637, 0x0000682d, 0x35003436,   // hr.sr.un_770 mg.un.un_B00  ig.un.un_A00 xh.zu.un_AA0 
  0x00002e15, 0x00002037, 0x35003402, 0x08003314,   // fo.un.un_700 sq.un.un_B00  xh.zu.un_220 nn.no.un_660 
  // [03e0]
  0x00004015, 0x08000208, 0x0b001935, 0x00007603,   // lb.un.un_700 da.no.un_430  gl.es.un_A90 crs.un.un_300 
  0x00004e0a, 0x0000601c, 0x00004024, 0x0000791c,   // ay.un.un_500 vo.un.un_800  lb.un.un_900 war.un.un_800 
  0x00002901, 0x00003801, 0x0000051c, 0x00003f24,   // sl.un.un_200 tk.un.un_200  fr.un.un_800 af.un.un_900 
  0x0000202d, 0x19000a02, 0x16001714, 0x00005537,   // sq.un.un_A00 pt.gl.un_220  sr.hr.un_660 rw.un.un_B00 
  // [03f0]
  0x00000e1c, 0x00002d37, 0x00000424, 0x00000337,   // is.un.un_800 sk.un.un_B00  ru.un.un_900 nl.un.un_B00 
  0x00000406, 0x19000a1b, 0x00006a24, 0x00000e06,   // ru.un.un_400 pt.gl.un_770  haw.un.un_900 is.un.un_400 
  0x0000fe06, 0x00004203, 0x1300090d, 0x1600320e,   // tlh.un.un_400 co.un.un_300  hi.bh.un_540 bs.hr.un_550 
  0x08003335, 0x00005a0f, 0x0000150a, 0x2d000d02,   // nn.no.un_A90 sm.un.un_600  un.un.un_500 cs.sk.un_220 
  
  // [0400]
  0x00004206, 0x09000d35, 0x1c001e14, 0x0000562d,   // co.un.un_400 ne.hi.un_A90  ms.id.un_660 mg.un.un_A00 
  0x00007524, 0x00000837, 0x09000d36, 0x16003213,   // nso.un.un_900 uk.un.un_B00  ne.hi.un_AA0 bs.hr.un_650 
  0x0000560a, 0x0000021c, 0x00000c01, 0x0000780f,   // mg.un.un_500 da.un.un_800  sv.un.un_200 ve.un.un_600 
  0x0d002d19, 0x00007515, 0x00003324, 0x00001037,   // sk.cs.un_750 nso.un.un_700  nn.un.un_900 be.un.un_B00 
  // [0410]
  0x00007542, 0x00000803, 0x35003404, 0x0a00192b,   // nso.un.un_C00 uk.un.un_300  xh.zu.un_320 gl.pt.un_980 
  0x00004524, 0x0000061c, 0x00004315, 0x00003f1c,   // ln.un.un_900 de.un.un_800  ie.un.un_700 af.un.un_800 
  0x00001b0f, 0x1c000d09, 0x0000081c, 0x0000622d,   // tr.un.un_600 ne.mr.un_440  uk.un.un_800 kha.un.un_A00 
  0x00004c0f, 0x17001622, 0x00004242, 0x3400351b,   // wo.un.un_600 hr.sr.un_870  co.un.un_C00 zu.xh.un_770 
  // [0420]
  0x00000a37, 0x0000060a, 0x0000290a, 0x2d000d0d,   // pt.un.un_B00 de.un.un_500  sl.un.un_500 cs.sk.un_540 
  0x00001103, 0x00003d1c, 0x09000d02, 0x00005415,   // ro.un.un_300 ku.un.un_800  ne.hi.un_220 ik.un.un_700 
  0x00002924, 0x00001e1c, 0x00005d0a, 0x17001623,   // sl.un.un_900 ms.un.un_800  ss.un.un_500 hr.sr.un_880 
  0x16003214, 0x00005606, 0x02000836, 0x00005442,   // bs.hr.un_660 mg.un.un_400  no.da.un_AA0 ik.un.un_C00 
  // [0430]
  0x0000782d, 0x0800332b, 0x08000234, 0x00007924,   // ve.un.un_A00 nn.no.un_980  da.no.un_A80 war.un.un_900 
  0x19000b1b, 0x00001701, 0x16003234, 0x08000236,   // es.gl.un_770 sr.un.un_200  bs.hr.un_A80 da.no.un_AA0 
  0x00007301, 0x00005e0a, 0x0000602d, 0x00002701,   // ny.un.un_200 ts.un.un_500  vo.un.un_A00 gd.un.un_200 
  0x19000a19, 0x1e001c05, 0x0b00190d, 0x00003224,   // pt.gl.un_750 id.ms.un_330  gl.es.un_540 bs.un.un_900 
  // [0440]
  0x55005914, 0x2d000d12, 0x1c001e12, 0x1c001e2b,   // rn.rw.un_660 cs.sk.un_640  ms.id.un_640 ms.id.un_980 
  0x00001537, 0x19000a36, 0x0000160f, 0x00007306,   // un.un.un_B00 pt.gl.un_AA0  hr.un.un_600 ny.un.un_400 
  0x0800021b, 0x1700162c, 0x0000452d, 0x08000223,   // da.no.un_770 hr.sr.un_990  ln.un.un_A00 da.no.un_880 
  0x00003303, 0x00004c15, 0x15001514, 0x1e001c04,   // nn.un.un_300 wo.un.un_700  un.un.un_660 id.ms.un_320 
  // [0450]
  0x00002c37, 0x00005f01, 0x00001c06, 0x16001736,   // fy.un.un_B00 tn.un.un_200  mr.un.un_400 sr.hr.un_AA0 
  0x5500590e, 0x00000537, 0x00001e37, 0x00004d0a,   // rn.rw.un_550 fr.un.un_B00  ms.un.un_B00 aa.un.un_500 
  0x0800020d, 0x13000902, 0x02000814, 0x00000824,   // da.no.un_540 hi.bh.un_220  no.da.un_660 uk.un.un_900 
  0x0d002d14, 0x3200171b, 0x00000701, 0x00000c1c,   // sk.cs.un_660 sr.bs.un_770  bg.un.un_200 sv.un.un_800 
  // [0460]
  0x09001c08, 0x00002215, 0x0000fc1c, 0x1c000904,   // mr.hi.un_430 oc.un.un_700  zzp.un.un_800 hi.mr.un_320 
  0x55005934, 0x00002937, 0x0000322d, 0x0000672d,   // rn.rw.un_A80 sl.un.un_B00  bs.un.un_A00 ak.un.un_A00 
  0x00003401, 0x0d001334, 0x00002203, 0x00001f37,   // xh.un.un_200 bh.ne.un_A80  oc.un.un_300 cy.un.un_B00 
  0x00000601, 0x00007842, 0x13000d2c, 0x0000401c,   // de.un.un_200 ve.un.un_C00  ne.bh.un_990 lb.un.un_800 
  // [0470]
  0x00005b1c, 0x1c001e04, 0x1e001c35, 0x00000603,   // sg.un.un_800 ms.id.un_320  id.ms.un_A90 de.un.un_300 
  0x5500592c, 0x00001503, 0x0000470f, 0x1e001c12,   // rn.rw.un_990 un.un.un_300  sn.un.un_600 id.ms.un_640 
  0x0000220f, 0x00001201, 0x0000760a, 0x00002e1c,   // oc.un.un_600 hu.un.un_200  crs.un.un_500 fo.un.un_800 
  0x0800330e, 0x00004037, 0x0d002d2c, 0x09000d23,   // nn.no.un_550 lb.un.un_B00  sk.cs.un_990 ne.hi.un_880 
  // [0480]
  0x35003434, 0x00000303, 0x00004d24, 0x0a00190e,   // xh.zu.un_A80 nl.un.un_300  aa.un.un_900 gl.pt.un_550 
  0x1c000d0e, 0x08000202, 0x00000d1c, 0x00000137,   // ne.mr.un_550 da.no.un_220  cs.un.un_800 en.un.un_B00 
  0x00000f37, 0x00004f03, 0x00004415, 0x00002b0a,   // lv.un.un_B00 bi.un.un_300  kk.un.un_700 vi.un.un_500 
  0x00006537, 0x00004303, 0x0000600a, 0x0000451c,   // gv.un.un_B00 ie.un.un_300  vo.un.un_500 ln.un.un_800 
  // [0490]
  0x0b00190e, 0x19000b22, 0x2d000d2a, 0x00004701,   // gl.es.un_550 es.gl.un_870  cs.sk.un_970 sn.un.un_200 
  0x1600171a, 0x55005902, 0x00004f01, 0x00006515,   // sr.hr.un_760 rn.rw.un_220  bi.un.un_200 gv.un.un_700 
  0x0d002d34, 0x00005a15, 0x17001609, 0x59005509,   // sk.cs.un_A80 sm.un.un_700  hr.sr.un_440 rw.rn.un_440 
  0x0000610a, 0x19000a13, 0x00002d1c, 0x0000fa0a,   // za.un.un_500 pt.gl.un_650  sk.un.un_800 nr.un.un_500 
  // [04a0]
  0x0a001914, 0x08000209, 0x0a001913, 0x09001c04,   // gl.pt.un_660 da.no.un_440  gl.pt.un_650 mr.hi.un_320 
  0x00002706, 0x35003414, 0x32001723, 0x00001924,   // gd.un.un_400 xh.zu.un_660  sr.bs.un_880 gl.un.un_900 
  0x32001636, 0x09001c13, 0x00005724, 0x32001602,   // hr.bs.un_AA0 mr.hi.un_650  na.un.un_900 hr.bs.un_220 
  0x00000403, 0x00005f1c, 0x00001706, 0x00006e24,   // ru.un.un_300 tn.un.un_800  sr.un.un_400 hmn.un.un_900 
  // [04b0]
  0x080210e6, 0x33000835, 0x00001a0f, 0x0000390a,   // lt.da.no_CA9 no.nn.un_A90  tl.un.un_600 br.un.un_500 
  0x02000835, 0x00003e03, 0x55005904, 0x00003f03,   // no.da.un_A90 rm.un.un_300  rn.rw.un_320 af.un.un_300 
  0x00006224, 0x0000631c, 0x0b001923, 0x00006e42,   // kha.un.un_900 sco.un.un_800  gl.es.un_880 hmn.un.un_C00 
  0x08003302, 0x00006a0f, 0x00006b06, 0x1600321a,   // nn.no.un_220 haw.un.un_600  ceb.un.un_400 bs.hr.un_760 
  // [04c0]
  0x0000671c, 0x00005303, 0x32001713, 0x00002b42,   // ak.un.un_800 ht.un.un_300  sr.bs.un_650 vi.un.un_C00 
  0x00001303, 0x00007601, 0x08003336, 0x00001724,   // et.un.un_300 crs.un.un_200  nn.no.un_AA0 sr.un.un_900 
  0x00002a01, 0x00007901, 0x00002224, 0x00001101,   // mt.un.un_200 war.un.un_200  oc.un.un_900 ro.un.un_200 
  0x00006142, 0x32001623, 0x00007815, 0x3500341b,   // za.un.un_C00 hr.bs.un_880  ve.un.un_700 xh.zu.un_770 
  // [04d0]
  0x00006137, 0x0b001913, 0x0800331b, 0x00006e2d,   // za.un.un_B00 gl.es.un_650  nn.no.un_770 hmn.un.un_A00 
  0x00004f06, 0x00005d03, 0x00000903, 0x00000e2d,   // bi.un.un_400 ss.un.un_300  hi.un.un_300 is.un.un_A00 
  0x00003b0a, 0x0d000912, 0x3200161b, 0x1d006a22,   // so.un.un_500 hi.ne.un_640  hr.bs.un_770 haw.la.un_870 
  0x00003d37, 0x32001719, 0x00003b03, 0x00003806,   // ku.un.un_B00 sr.bs.un_750  ks.un.un_300 tk.un.un_400 
  // [04e0]
  0x0a000b12, 0x1600172b, 0x1c001e02, 0x32001614,   // es.pt.un_640 sr.hr.un_980  ms.id.un_220 hr.bs.un_660 
  0x32001619, 0x00006437, 0x00001a0a, 0x0d002d0e,   // hr.bs.un_750 lg.un.un_B00  tl.un.un_500 sk.cs.un_550 
  0x00002206, 0x0000540a, 0x00006215, 0x1c000907,   // oc.un.un_400 ik.un.un_500  kha.un.un_700 hi.mr.un_420 
  0x00005924, 0x09001c34, 0x00006824, 0x19000a35,   // rn.un.un_900 mr.hi.un_A80  ig.un.un_900 pt.gl.un_A90 
  // [04f0]
  0x0000752d, 0x00001d01, 0x00002b2d, 0x09001c21,   // nso.un.un_A00 la.un.un_200  vi.un.un_A00 mr.hi.un_860 
  0x0a000b1b, 0x16001721, 0x33000214, 0x00002b0f,   // es.pt.un_770 sr.hr.un_860  da.nn.un_660 vi.un.un_600 
  0x0000012d, 0x0000510f, 0x00007606, 0x19000b0e,   // en.un.un_A00 kl.un.un_600  crs.un.un_400 es.gl.un_550 
  0x00000b24, 0x13000909, 0x00004201, 0x0000611c,   // bn.un.un_900 hi.bh.un_440  co.un.un_200 za.un.un_800 
  // [0500]
  0x00006403, 0x09001c14, 0x00006306, 0x0200331b,   // lg.un.un_300 mr.hi.un_660  sco.un.un_400 nn.da.un_770 
  0x0d001c0d, 0x00004001, 0x33000822, 0x1e001c08,   // mr.ne.un_540 lb.un.un_200  no.nn.un_870 id.ms.un_430 
  0x0000780a, 0x19000a2a, 0x00001b0a, 0x00001c03,   // ve.un.un_500 pt.gl.un_970  tr.un.un_500 id.un.un_300 
  0x0d001c0e, 0x0a000b34, 0x32001734, 0x0900130e,   // mr.ne.un_550 es.pt.un_A80  sr.bs.un_A80 bh.hi.un_550 
  // [0510]
  0x00001524, 0x00005e03, 0x1c000921, 0x00005e15,   // un.un.un_900 ts.un.un_300  hi.mr.un_860 ts.un.un_700 
  0x0000430a, 0x00002624, 0x00006315, 0x0a001909,   // ie.un.un_500 ia.un.un_900  sco.un.un_700 gl.pt.un_440 
  0x00003003, 0x1c000923, 0x1c001e35, 0x2d000d13,   // uz.un.un_300 hi.mr.un_880  ms.id.un_A90 cs.sk.un_650 
  0x0000620a, 0x00004c01, 0x0b000a14, 0x00003d15,   // kha.un.un_500 wo.un.un_200  pt.es.un_660 ku.un.un_700 
  // [0520]
  0x19000a0e, 0x00002001, 0x0d000902, 0x09001c09,   // pt.gl.un_550 sq.un.un_200  hi.ne.un_220 mr.hi.un_440 
  0x00001637, 0x09001335, 0x1e001c19, 0x16003235,   // hr.un.un_B00 bh.hi.un_A90  id.ms.un_750 bs.hr.un_A90 
  0x00002715, 0x16001713, 0x00001a03, 0x09001c0d,   // gd.un.un_700 sr.hr.un_650  tl.un.un_300 mr.hi.un_540 
  0x00003d0f, 0x0d001c14, 0x0000260a, 0x0000fa2d,   // ku.un.un_600 mr.ne.un_660  ia.un.un_500 nr.un.un_A00 
  // [0530]
  0x00003215, 0x00006e1c, 0x1700161a, 0x00001803,   // bs.un.un_700 hmn.un.un_800  hr.sr.un_760 ga.un.un_300 
  0x00002b37, 0x00006703, 0x00003803, 0x0a00190c,   // vi.un.un_B00 ak.un.un_300  tk.un.un_300 gl.pt.un_530 
  0x02003335, 0x02003305, 0x17001605, 0x0b000a34,   // nn.da.un_A90 nn.da.un_330  hr.sr.un_330 pt.es.un_A80 
  0x0b001902, 0x3500342b, 0x33000823, 0x00004e2d,   // gl.es.un_220 xh.zu.un_980  no.nn.un_880 ay.un.un_A00 
  // [0540]
  0x00000e01, 0x32001714, 0x1c000d36, 0x00003603,   // is.un.un_200 sr.bs.un_660  ne.mr.un_AA0 ab.un.un_300 
  0x00006a15, 0x0800332a, 0x09000d0e, 0x0b000a35,   // haw.un.un_700 nn.no.un_970  ne.hi.un_550 pt.es.un_A90 
  0x0200332c, 0x0800332c, 0x32001735, 0x00004d01,   // nn.da.un_990 nn.no.un_990  sr.bs.un_A90 aa.un.un_200 
  0x3300080e, 0x0800022c, 0x0000542d, 0x00006e15,   // no.nn.un_550 da.no.un_990  ik.un.un_A00 hmn.un.un_700 
  // [0550]
  0x00002603, 0x00002f01, 0x0000612d, 0x00002d01,   // ia.un.un_300 su.un.un_200  za.un.un_A00 sk.un.un_200 
  0x32001604, 0x08003307, 0x35003405, 0x3400350c,   // hr.bs.un_320 nn.no.un_420  xh.zu.un_330 zu.xh.un_530 
  0x0000681c, 0x34003535, 0x0a001936, 0x08003312,   // ig.un.un_800 zu.xh.un_A90  gl.pt.un_AA0 nn.no.un_640 
  0x02000823, 0x1c001e13, 0x0800022b, 0x00001b24,   // no.da.un_880 ms.id.un_650  da.no.un_980 tr.un.un_900 
  // [0560]
  0x34003522, 0x0d002d05, 0x00005906, 0x17003235,   // zu.xh.un_870 sk.cs.un_330  rn.un.un_400 bs.sr.un_A90 
  0x00006024, 0x16001708, 0x02000809, 0x00004803,   // vo.un.un_900 sr.hr.un_430  no.da.un_440 tt.un.un_300 
  0x08003334, 0x0000162d, 0x00005f03, 0x1e001c2b,   // nn.no.un_A80 hr.un.un_A00  tn.un.un_300 id.ms.un_980 
  0x32001712, 0x00003403, 0x0a001935, 0x0d002d13,   // sr.bs.un_640 xh.un.un_300  gl.pt.un_A90 sk.cs.un_650 
  // [0570]
  0x1c000914, 0x00006a06, 0x0900132a, 0x00003b06,   // hi.mr.un_660 haw.un.un_400  bh.hi.un_970 so.un.un_400 
  0x1600170d, 0x00003d01, 0x00002103, 0x0d002d2a,   // sr.hr.un_540 ku.un.un_200  fa.un.un_300 sk.cs.un_970 
  0x00006e01, 0x1c001335, 0x1500151a, 0x0b000a02,   // hmn.un.un_200 bh.mr.un_A90  un.un.un_760 pt.es.un_220 
  0x00000201, 0x00001603, 0x09000d19, 0x00007903,   // da.un.un_200 hr.un.un_300  ne.hi.un_750 war.un.un_300 
  // [0580]
  0x00000f06, 0x00006001, 0x00006806, 0x00002903,   // lv.un.un_400 vo.un.un_200  ig.un.un_400 sl.un.un_300 
  0x0a001912, 0x16001723, 0x0000fa1c, 0x00002201,   // gl.pt.un_640 sr.hr.un_880  nr.un.un_800 oc.un.un_200 
  0x00005501, 0x0d002d36, 0x00001d03, 0x32001635,   // rw.un.un_200 sk.cs.un_AA0  la.un.un_300 hr.bs.un_A90 
  0x1c000d34, 0x0d001c1a, 0x0900130d, 0x0b001922,   // ne.mr.un_A80 mr.ne.un_760  bh.hi.un_540 gl.es.un_870 
  // [0590]
  0x00002501, 0x00000c03, 0x0b000a12, 0x33000809,   // mn.un.un_200 sv.un.un_300  pt.es.un_640 no.nn.un_440 
  0x3300082c, 0x09000d08, 0x00005e01, 0x1500150d,   // no.nn.un_990 ne.hi.un_430  ts.un.un_200 un.un.un_540 
  0x1c00131b, 0x0900130c, 0x19000a09, 0x1c001e0e,   // bh.mr.un_770 bh.hi.un_530  pt.gl.un_440 ms.id.un_550 
  0x00000606, 0x1e001c21, 0x35003419, 0x00002003,   // de.un.un_400 id.ms.un_860  xh.zu.un_750 sq.un.un_300 
  // [05a0]
  0x1c000d0c, 0x39002a21, 0x1c000909, 0x09000d34,   // ne.mr.un_530 bo.dz.un_860  hi.mr.un_440 ne.hi.un_A80 
  0x2d000d1a, 0x0d002d23, 0x0800331a, 0x00000f03,   // cs.sk.un_760 sk.cs.un_880  nn.no.un_760 lv.un.un_300 
  0x00004506, 0x5500591b, 0x0200330e, 0x0b000a36,   // ln.un.un_400 rn.rw.un_770  nn.da.un_550 pt.es.un_AA0 
  0x00002e01, 0x17001612, 0x0a000b2a, 0x32001612,   // fo.un.un_200 hr.sr.un_640  es.pt.un_970 hr.bs.un_640 
  // [05b0]
  0x09001336, 0x0d002d1b, 0x15001521, 0x00003f01,   // bh.hi.un_AA0 sk.cs.un_770  un.un.un_860 af.un.un_200 
  0x59005521, 0x0a00192c, 0x2d000d2b, 0x3200160e,   // rw.rn.un_860 gl.pt.un_990  cs.sk.un_980 hr.bs.un_550 
  0x00000c06, 0x08000235, 0x1c000d14, 0x00004a01,   // sv.un.un_400 da.no.un_A90  ne.mr.un_660 yo.un.un_200 
  0x00002e03, 0x33000819, 0x16001705, 0x0d002d09,   // fo.un.un_300 no.nn.un_750  sr.hr.un_330 sk.cs.un_440 
  // [05c0]
  0x00002a03, 0x1c001e22, 0x00007824, 0x00000506,   // mt.un.un_300 ms.id.un_870  ve.un.un_900 fr.un.un_400 
  0x0b00190c, 0x09001334, 0x0800330c, 0x59005535,   // gl.es.un_530 bh.hi.un_A80  nn.no.un_530 rw.rn.un_A90 
  0x0b000a04, 0x00006e0f, 0x0a000b36, 0x1c000d1b,   // pt.es.un_320 hmn.un.un_600  es.pt.un_AA0 ne.mr.un_770 
  0x35003412, 0x3300020e, 0x00001b01, 0x16001722,   // xh.zu.un_640 da.nn.un_550  tr.un.un_200 sr.hr.un_870 
  // [05d0]
  0x00005a03, 0x33000223, 0x3300082b, 0x00005c03,   // sm.un.un_300 da.nn.un_880  no.nn.un_980 sa.un.un_300 
  0x09001c23, 0x0000431c, 0x00002b15, 0x00005b2d,   // mr.hi.un_880 ie.un.un_800  vi.un.un_700 sg.un.un_A00 
  0x3200171a, 0x0b000a19, 0x19000b2a, 0x34003534,   // sr.bs.un_760 pt.es.un_750  es.gl.un_970 zu.xh.un_A80 
  0x08000212, 0x0d000909, 0x33000808, 0x00005201,   // da.no.un_640 hi.ne.un_440  no.nn.un_430 ha.un.un_200 
  // [05e0]
  0x0a00190d, 0x09001302, 0x19000b05, 0x09000d2a,   // gl.pt.un_540 bh.hi.un_220  es.gl.un_330 ne.hi.un_970 
  0x4700293c, 0x13000936, 0x00003f06, 0x0000fa15,   // sl.sn.un_B60 hi.bh.un_AA0  af.un.un_400 nr.un.un_700 
  0x0000751c, 0x0a000b09, 0x0b001919, 0x35003408,   // nso.un.un_800 es.pt.un_440  gl.es.un_750 xh.zu.un_430 
  0x0200332a, 0x00005901, 0x5900552b, 0x33000821,   // nn.da.un_970 rn.un.un_200  rw.rn.un_980 no.nn.un_860 
  // [05f0]
  0x17003213, 0x5900552c, 0x0b001934, 0x0a001905,   // bs.sr.un_650 rw.rn.un_990  gl.es.un_A80 gl.pt.un_330 
  0x0000460f, 0x13000914, 0x08003323, 0x00001f01,   // qu.un.un_600 hi.bh.un_660  nn.no.un_880 cy.un.un_200 
  0x00001506, 0x0a000b2c, 0x09001309, 0x3200170e,   // un.un.un_400 es.pt.un_990  bh.hi.un_440 sr.bs.un_550 
  0x09000d13, 0x1c001e23, 0x0d00092b, 0x32001605,   // ne.hi.un_650 ms.id.un_880  hi.ne.un_980 hr.bs.un_330 
  // [0600]
  0x1c000d08, 0x00006b03, 0x02000812, 0x0d001c34,   // ne.mr.un_430 ceb.un.un_300  no.da.un_640 mr.ne.un_A80 
  0x59005504, 0x00006906, 0x0000750a, 0x3400351a,   // rw.rn.un_320 mfe.un.un_400  nso.un.un_500 zu.xh.un_760 
  0x0a00191a, 0x0a00191b, 0x0a000b02, 0x09001c0c,   // gl.pt.un_760 gl.pt.un_770  es.pt.un_220 mr.hi.un_530 
  0x0d002d1a, 0x09000d07, 0x0d000934, 0x2a003912,   // sk.cs.un_760 ne.hi.un_420  hi.ne.un_A80 dz.bo.un_640 
  // [0610]
  0x59005534, 0x0000690a, 0x02000813, 0x0a000b0e,   // rw.rn.un_A80 mfe.un.un_500  no.da.un_650 es.pt.un_550 
  0x02000819, 0x32001702, 0x1c001307, 0x0a001922,   // no.da.un_750 sr.bs.un_220  bh.mr.un_420 gl.pt.un_870 
  0x32001705, 0x0000321c, 0x1c000d07, 0x09000d1a,   // sr.bs.un_330 bs.un.un_800  ne.mr.un_420 ne.hi.un_760 
  0x3200172c, 0x00003c03, 0x00004601, 0x00001615,   // sr.bs.un_990 ug.un.un_300  qu.un.un_200 hr.un.un_700 
  // [0620]
  0x00001d06, 0x17003222, 0x0000590a, 0x09000d04,   // la.un.un_400 bs.sr.un_870  rn.un.un_500 ne.hi.un_320 
  0x0000fa01, 0x00002d03, 0x2d000d04, 0x0000790a,   // nr.un.un_200 sk.un.un_300  cs.sk.un_320 war.un.un_500 
  0x25005c31, 0x0000fc01, 0x1c000d12, 0x00001a01,   // sa.mn.un_A50 zzp.un.un_200  ne.mr.un_640 tl.un.un_200 
  0x09001307, 0x19000b21, 0x5200024a, 0x00006103,   // bh.hi.un_420 es.gl.un_860  da.ha.un_C90 za.un.un_300 
  // [0630]
  0x00004301, 0x0200080e, 0x09001c1a, 0x00000103,   // ie.un.un_200 no.da.un_550  mr.hi.un_760 en.un.un_300 
  0x08003322, 0x00001003, 0x32001613, 0x59005507,   // nn.no.un_870 be.un.un_300  hr.bs.un_650 rw.rn.un_420 
  0x02000802, 0x1c001e1a, 0x5000462c, 0x4600794c,   // no.da.un_220 ms.id.un_760  qu.fj.un_990 war.qu.un_CB0 
  0x0d00090e, 0x02003312, 0x32001634, 0x1300090e,   // hi.ne.un_550 nn.da.un_640  hr.bs.un_A80 hi.bh.un_550 
  // [0640]
  0x3200161a, 0x02000821, 0x09001c1b, 0x16001719,   // hr.bs.un_760 no.da.un_860  mr.hi.un_770 sr.hr.un_750 
  0x4800384c, 0x16001704, 0x19000b2b, 0x0d001c09,   // tk.tt.un_CB0 sr.hr.un_320  es.gl.un_980 mr.ne.un_440 
  0x00004e01, 0x1c000d0d, 0x15001512, 0x5c35346d,   // ay.un.un_200 ne.mr.un_540  un.un.un_640 xh.zu.sa_874 
  0x1600322b, 0x00006a0a, 0x00004e03, 0x2d000d21,   // bs.hr.un_980 haw.un.un_500  ay.un.un_300 cs.sk.un_860 
  // [0650]
  0x00003b01, 0x0d001c2c, 0x1600320d, 0x2d000d22,   // so.un.un_200 mr.ne.un_990  bs.hr.un_540 cs.sk.un_870 
  0x1e001c0d, 0x32001621, 0x00002403, 0x1c001e09,   // id.ms.un_540 hr.bs.un_860  eo.un.un_300 ms.id.un_440 
  0x0a000b13, 0x1c001e2c, 0x34003519, 0x1c000908,   // es.pt.un_650 ms.id.un_990  zu.xh.un_750 hi.mr.un_430 
  0x35003422, 0x33000804, 0x08000219, 0x17001604,   // xh.zu.un_870 no.nn.un_320  da.no.un_750 hr.sr.un_320 
  // [0660]
  0x08003304, 0x19000a1a, 0x00005b24, 0x0000670a,   // nn.no.un_320 pt.gl.un_760  sg.un.un_900 ak.un.un_500 
  0x09001c0e, 0x00004306, 0x3200162c, 0x19000a0d,   // mr.hi.un_550 ie.un.un_400  hr.bs.un_990 pt.gl.un_540 
  0x1c000d02, 0x5b00594b, 0x00007906, 0x2a003913,   // ne.mr.un_220 rn.sg.un_CA0  war.un.un_400 dz.bo.un_650 
  0x2d000d07, 0x3400350e, 0x00004503, 0x0a000b35,   // cs.sk.un_420 zu.xh.un_550  ln.un.un_300 es.pt.un_A90 
  // [0670]
  0x35003407, 0x02003323, 0x0000591c, 0x34003523,   // xh.zu.un_420 nn.da.un_880  rn.un.un_800 zu.xh.un_880 
  0x69004d4d, 0x19000a22, 0x00001606, 0x1c001334,   // aa.mfe.un_CC0 pt.gl.un_870  hr.un.un_400 bh.mr.un_A80 
  0x00002d06, 0x1c001e05, 0x63002129, 0x00005803,   // sk.un.un_400 ms.id.un_330  jw.sco.un_960 om.un.un_300 
  0x00006501, 0x00004a03, 0x00005a01, 0x0000541c,   // gv.un.un_200 yo.un.un_300  sm.un.un_200 ik.un.un_800 
  // [0680]
  0x00006706, 0x0d000905, 0x09000d1b, 0x0800021a,   // ak.un.un_400 hi.ne.un_330  ne.hi.un_770 da.no.un_760 
  0x0000fc03, 0x00000203, 0x3400352c, 0x55005913,   // zzp.un.un_300 da.un.un_300  zu.xh.un_990 rn.rw.un_650 
  0x13000d0e, 0x1c001336, 0x17003204, 0x02003319,   // ne.bh.un_550 bh.mr.un_AA0  bs.sr.un_320 nn.da.un_750 
  0x34003505, 0x08003321, 0x0d002d0c, 0x0000570a,   // zu.xh.un_330 nn.no.un_860  sk.cs.un_530 na.un.un_500 
  // [0690]
  0x1c001e19, 0x0a000b0d, 0x00004403, 0x0d002d21,   // ms.id.un_750 es.pt.un_540  kk.un.un_300 sk.cs.un_860 
  0x00006803, 0x00003103, 0x0a001923, 0x0b000a0e,   // ig.un.un_300 az.un.un_300  gl.pt.un_880 pt.es.un_550 
  0x55005923, 0x55005919, 0x0d001c35, 0x1e001c2a,   // rn.rw.un_880 rn.rw.un_750  mr.ne.un_A90 id.ms.un_970 
  0x2d000d19, 0x55005921, 0x0a001919, 0x0d002d12,   // cs.sk.un_750 rn.rw.un_860  gl.pt.un_750 sk.cs.un_640 
  // [06a0]
  0x00006b01, 0x0800330d, 0x55005935, 0x00001f03,   // ceb.un.un_200 nn.no.un_540  rn.rw.un_A90 cy.un.un_300 
  0x02003302, 0x37006a4b, 0x00005d01, 0x33000812,   // nn.da.un_220 haw.st.un_CA0  ss.un.un_200 no.nn.un_640 
  0x16001712, 0x19000a12, 0x1c001e21, 0x00001903,   // sr.hr.un_640 pt.gl.un_640  ms.id.un_860 gl.un.un_300 
  0x19000a21, 0x0800020c, 0x0b00191a, 0x00005503,   // pt.gl.un_860 da.no.un_530  gl.es.un_760 rw.un.un_300 
  // [06b0]
  0x34003502, 0x18003d31, 0x00006401, 0x18003812,   // zu.xh.un_220 ku.ar.un_A50  lg.un.un_200 tk.ar.un_640 
  0x00007801, 0x0200080d, 0x0a000b21, 0x59005508,   // ve.un.un_200 no.da.un_540  es.pt.un_860 rw.rn.un_430 
  0x00004b03, 0x0b001905, 0x3300080c, 0x00003901,   // mi.un.un_300 gl.es.un_330  no.nn.un_530 br.un.un_200 
  0x00002703, 0x0000161c, 0x00006a03, 0x09001c35,   // gd.un.un_300 hr.un.un_800  haw.un.un_300 mr.hi.un_A90 
  // [06c0]
  0x2d000d08, 0x16001709, 0x00005203, 0x3300082a,   // cs.sk.un_430 sr.hr.un_440  ha.un.un_300 no.nn.un_970 
  0x0200330d, 0x1c00132a, 0x00000b03, 0x09001313,   // nn.da.un_540 bh.mr.un_970  es.un.un_300 bh.hi.un_650 
  0x15001534, 0x1e001c07, 0x1c00092b, 0x0a000b04,   // un.un.un_A80 id.ms.un_420  hi.mr.un_980 es.pt.un_320 
  0x1c000936, 0x13000913, 0x0b00191b, 0x0d001c22,   // hi.mr.un_AA0 hi.bh.un_650  gl.es.un_770 mr.ne.un_870 
  // [06d0]
  0x1c000d22, 0x0a001902, 0x1c000902, 0x1700322b,   // ne.mr.un_870 gl.pt.un_220  hi.mr.un_220 bs.sr.un_980 
  0x0b000a1a, 0x0200082c, 0x4a000421, 0x0d002d04,   // pt.es.un_760 no.da.un_990  fi.yo.un_860 sk.cs.un_320 
  0x09000d22, 0x0b001912, 0x09001c07, 0x00004003,   // ne.hi.un_870 gl.es.un_640  mr.hi.un_420 lb.un.un_300 
  0x0a001907, 0x00006901, 0x1c001e07, 0x73005327,   // gl.pt.un_420 mfe.un.un_200  ms.id.un_420 ht.ny.un_940 
  // [06e0]
  0x08003308, 0x0b000a13, 0x0a001921, 0x00002f03,   // nn.no.un_430 pt.es.un_650  gl.pt.un_860 su.un.un_300 
  0x05004030, 0x00002c01, 0x13000d14, 0x23003c32,   // lb.fr.un_A40 fy.un.un_200  ne.bh.un_660 ug.ky.un_A60 
  0x1700162a, 0x32001709, 0x00006124, 0x09001c12,   // hr.sr.un_970 sr.bs.un_440  za.un.un_900 mr.hi.un_640 
  0x0a00192a, 0x1c000d23, 0x34003504, 0x00006206,   // gl.pt.un_970 ne.mr.un_880  zu.xh.un_320 kha.un.un_400 
  // [06f0]
  0x08003305, 0x34003513, 0x0d000914, 0x1c000913,   // nn.no.un_330 zu.xh.un_650  hi.ne.un_660 hi.mr.un_650 
  0x00005301, 0x02003322, 0x00006301, 0x1c000d04,   // ht.un.un_200 nn.da.un_870  sco.un.un_200 ne.mr.un_320 
  0x00000e03, 0x0d001c1b, 0x1300091b, 0x33000212,   // is.un.un_300 mr.ne.un_770  hi.bh.un_770 da.nn.un_640 
  0x00005603, 0x1c00131a, 0x09001c02, 0x1b004748,   // mg.un.un_300 bh.mr.un_760  mr.hi.un_220 sn.tr.un_C70 
  // [0700]
  0x00004b01, 0x00004e1c, 0x0d00130e, 0x00007303,   // mi.un.un_200 ay.un.un_800  bh.ne.un_550 ny.un.un_300 
  0x33000813, 0x0b000a05, 0x09000d12, 0x5500591a,   // no.nn.un_650 pt.es.un_330  ne.hi.un_640 rn.rw.un_760 
  0x3400352b, 0x09001308, 0x1c000d21, 0x0d000922,   // zu.xh.un_980 bh.hi.un_430  ne.mr.un_860 hi.ne.un_870 
  0x1600172a, 0x19000a05, 0x0a1904d8, 0x0d001c02,   // sr.hr.un_970 pt.gl.un_330  fi.gl.pt_B76 mr.ne.un_220 
  // [0710]
  0x3200172a, 0x5c00253f, 0x0d001c0c, 0x0d001c23,   // sr.bs.un_970 eu.sa.un_B90  mr.ne.un_530 mr.ne.un_880 
  0x5e2d0d36, 0x09000d0d, 0x00006e06, 0x1700321a,   // cs.sk.ts_AAA ne.hi.un_540  hmn.un.un_400 bs.sr.un_760 
  0x00004903, 0x00002b01, 0x15001522, 0x02000808,   // to.un.un_300 vi.un.un_200  un.un.un_870 no.da.un_430 
  0x34003521, 0x0b000a22, 0x00005701, 0x0000fe01,   // zu.xh.un_860 pt.es.un_870  na.un.un_200 tlh.un.un_200 
  // [0720]
  0x00007506, 0x0900132b, 0x55005909, 0x00006006,   // nso.un.un_400 bh.hi.un_980  rn.rw.un_440 vo.un.un_400 
  0x0b00192b, 0x1c000935, 0x11003440, 0x00005b06,   // gl.es.un_980 hi.mr.un_A90  xh.ro.un_BA0 sg.un.un_400 
  0x0800022a, 0x03001023, 0x00001203, 0x55005908,   // da.no.un_970 lt.nl.un_880  ur.un.un_300 rn.rw.un_430 
  0x0a001908, 0x00003206, 0x75004a35, 0x15001535,   // gl.pt.un_430 bs.un.un_400  yo.nso.un_A90 un.un.un_A90 
  // [0730]
  0x0200082b, 0x2d0d5a36, 0x1d004d4b, 0x00005b15,   // no.da.un_980 sm.cs.sk_AAA  aa.la.un_CA0 sg.un.un_700 
  0x0b001908, 0x1a00113c, 0x1c1e24af, 0x02003313,   // gl.es.un_430 ro.tl.un_B60  eo.ms.id_655 nn.da.un_650 
  0x33000234, 0x46006b3e, 0x0f2d0d20, 0x1000064a,   // da.nn.un_A80 ceb.qu.un_B80  cs.sk.lv_875 de.lt.un_C90 
  0x1e003b4d, 0x00004e06, 0x1e001c1a, 0x13000904,   // so.ms.un_CC0 ay.un.un_400  id.ms.un_760 hi.bh.un_320 
  // [0740]
  0x0d000923, 0x02003309, 0x00005601, 0x02003321,   // hi.ne.un_880 nn.da.un_440  mg.un.un_200 nn.da.un_860 
  0x0a001904, 0x09000d09, 0x0000160a, 0x19000a04,   // gl.pt.un_320 ne.hi.un_440  hr.un.un_500 pt.gl.un_320 
  0x3b002848, 0x3500340c, 0x0200331a, 0x0d001314,   // sw.so.un_C70 xh.zu.un_530  nn.da.un_760 bh.ne.un_660 
  0x1b00561a, 0x0200082a, 0x1c001314, 0x55005936,   // mg.tr.un_760 no.da.un_970  bh.mr.un_660 rn.rw.un_AA0 
  // [0750]
  0x02000822, 0x02003334, 0x1c001322, 0x0d001322,   // no.da.un_870 nn.da.un_A80  bh.mr.un_870 bh.ne.un_870 
  0x13001c2c, 0x0d001335, 0x1c00090c, 0x1700160c,   // mr.bh.un_990 bh.ne.un_A90  hi.mr.un_530 hr.sr.un_530 
  0x3400350d, 0x1c00091b, 0x13001c34, 0x00002606,   // zu.xh.un_540 hi.mr.un_770  mr.bh.un_A80 ia.un.un_400 
  0x16003219, 0x33000219, 0x1500150c, 0x16003212,   // bs.hr.un_750 da.nn.un_750  un.un.un_530 bs.hr.un_640 
  // [0760]
  0x1c000d35, 0x3500340d, 0x1d004a2a, 0x3500342a,   // ne.mr.un_A90 xh.zu.un_540  yo.la.un_970 xh.zu.un_970 
  0x00004703, 0x233350c4, 0x17001607, 0x1c000d2b,   // sn.un.un_300 fj.nn.ca_965  hr.sr.un_420 ne.mr.un_980 
  0x0b000a21, 0x0d000907, 0x3300022c, 0x09000d21,   // pt.es.un_860 hi.ne.un_420  da.nn.un_990 ne.hi.un_860 
  0x13000d35, 0x0b000a2a, 0x1c001321, 0x0d00092a,   // ne.bh.un_A90 pt.es.un_970  bh.mr.un_860 hi.ne.un_970 
  // [0770]
  0x00005706, 0x55005907, 0x34003536, 0x00002503,   // na.un.un_400 rn.rw.un_420  zu.xh.un_AA0 mn.un.un_300 
  0x0b000a2b, 0x0b001936, 0x13000934, 0x19000b07,   // pt.es.un_980 gl.es.un_AA0  hi.bh.un_A80 es.gl.un_420 
  0x39002a2a, 0x0d002d22, 0x3500341a, 0x19000b04,   // bo.dz.un_970 sk.cs.un_870  xh.zu.un_760 es.gl.un_320 
  0x00003903, 0x56001c4a, 0x0a002435, 0x09001314,   // br.un.un_300 id.mg.un_C90  eo.pt.un_A90 bh.hi.un_660 
  // [0780]
  0x33000202, 0x32001609, 0x2a004c21, 0x13001032,   // da.nn.un_220 hr.bs.un_440  wo.mt.un_860 lt.et.un_A60 
  0x3300021b, 0x08000222, 0x20002933, 0x3200160d,   // da.nn.un_770 da.no.un_870  sl.sq.un_A70 hr.bs.un_540 
  0x16003205, 0x35003421, 0x0d00090c, 0x09001321,   // bs.hr.un_330 xh.zu.un_860  hi.ne.un_530 bh.hi.un_860 
  0x1b002f4c, 0x09001322, 0x0d001308, 0x09001c2c,   // su.tr.un_CB0 bh.hi.un_870  bh.ne.un_430 mr.hi.un_990 
  // [0790]
  0x1c00092a, 0x13000d02, 0x00004c03, 0x0d00130c,   // hi.mr.un_970 ne.bh.un_220  wo.un.un_300 bh.ne.un_530 
  0x17001621, 0x0a000b23, 0x1c000d2c, 0x08000221,   // hr.sr.un_860 es.pt.un_880  ne.mr.un_990 da.no.un_860 
  0x3200170d, 0x00007501, 0x2d00323c, 0x34003507,   // sr.bs.un_540 nso.un.un_200  bs.sk.un_B60 zu.xh.un_420 
  0x0d000913, 0x13000d2a, 0x1b171680, 0x00007503,   // hi.ne.un_650 ne.bh.un_970  hr.sr.tr_A96 nso.un.un_300 
  // [07a0]
  0x1c000922, 0x00003201, 0x06007322, 0x1c00090d,   // hi.mr.un_870 bs.un.un_200  ny.de.un_870 hi.mr.un_540 
  0x0f00391b, 0x0d001302, 0x3300022b, 0x00006203,   // br.lv.un_770 bh.ne.un_220  da.nn.un_980 kha.un.un_300 
  0x1e001c22, 0x32001704, 0x09001305, 0x13000905,   // id.ms.un_870 sr.bs.un_320  bh.hi.un_330 hi.bh.un_330 
  0x08003348, 0x2f002040, 0x09001c36, 0x0d00090d,   // nn.no.un_C70 sq.su.un_BA0  mr.hi.un_AA0 hi.ne.un_540 
  // [07b0]
  0x0200332b, 0x190b10cc, 0x19000b0d, 0x08000207,   // nn.da.un_980 lt.es.gl_A64  es.gl.un_540 da.no.un_420 
  0x00002c03, 0x02003308, 0x09001c2a, 0x19000b1a,   // fy.un.un_300 nn.da.un_430  mr.hi.un_970 es.gl.un_760 
  0x19000b08, 0x31001f43, 0x15001536, 0x0000fe03,   // es.gl.un_430 cy.az.un_C20  un.un.un_AA0 tlh.un.un_300 
  0x0100254b, 0x17001619, 0x5200023f, 0x1c000d1a,   // eu.en.un_CA0 hr.sr.un_750  da.ha.un_B90 ne.mr.un_760 
  // [07c0]
  0x25002f47, 0x19000b0c, 0x09000d05, 0x00005003,   // su.eu.un_C60 es.gl.un_530  ne.hi.un_330 fj.un.un_300 
  0x13000d1b, 0x2000244d, 0x3200162b, 0x0a000b2b,   // ne.bh.un_770 eo.sq.un_CC0  hr.bs.un_980 es.pt.un_980 
  0x4d001b3c, 0x16001707, 0x4d003032, 0x0d000904,   // tr.aa.un_B60 sr.hr.un_420  uz.aa.un_A60 hi.ne.un_320 
  0x17003205, 0x13001c35, 0x1d004b2c, 0x50001f47,   // bs.sr.un_330 mr.bh.un_A90  mi.la.un_990 cy.fj.un_C60 
  // [07d0]
  0x0900132c, 0x55001a49, 0x63000c3c, 0x55005922,   // bh.hi.un_990 tl.rw.un_C80  sv.sco.un_B60 rn.rw.un_870 
  0x2a003b38, 0x00006503, 0x40002932, 0x33000236,   // so.mt.un_B20 gv.un.un_300  sl.lb.un_A60 da.nn.un_AA0 
  0x0500113b, 0x1a000e4d, 0x012d0d74, 0x09001c2b,   // ro.fr.un_B50 is.tl.un_CC0  cs.sk.en_983 mr.hi.un_980 
  0x0d001c36, 0x32555933, 0x02000804, 0x0d000919,   // mr.ne.un_AA0 rn.rw.bs_A97  no.da.un_320 hi.ne.un_750 
  // [07e0]
  0x3200170c, 0x1f006b30, 0x5f001a36, 0x1c006935,   // sr.bs.un_530 ceb.cy.un_A40  tl.tn.un_AA0 mfe.id.un_A90 
  0x29002a49, 0x1c000d05, 0x6500203b, 0x0b000a08,   // mt.sl.un_C80 ne.mr.un_330  sq.gv.un_B50 pt.es.un_430 
  0x1c001313, 0x09001323, 0x00007806, 0x00007803,   // bh.mr.un_650 bh.hi.un_880  ve.un.un_400 ve.un.un_300 
  0x0000fa03, 0x1c00092c, 0x79005031, 0x16003202,   // nr.un.un_300 hi.mr.un_990  fj.war.un_A50 bs.hr.un_220 
  // [07f0]
  0x4216320b, 0x2d005347, 0x0a000b19, 0x42595578,   // bs.hr.co_542 ht.sk.un_C60  es.pt.un_750 rw.rn.co_997 
  0x0b1926b2, 0x1c000d19, 0x3200172b, 0x163220d8,   // ia.gl.es_732 ne.mr.un_750  sr.bs.un_980 sq.bs.hr_B76 
  0x25005429, 0x00006201, 0x0000fa24, 0x00004901,   // ik.eu.un_960 kha.un.un_200  nr.un.un_900 to.un.un_200 
  0x39002a22, 0x00003d03, 0x5000073d, 0x0a000b05,   // bo.dz.un_870 ku.un.un_300  it.fj.un_B70 es.pt.un_330 
  
  // [0800]
  0x3000124a, 0x29001c3d, 0x42002a39, 0x28006536,   // hu.uz.un_C90 id.sl.un_B70  mt.co.un_B30 gv.sw.un_AA0 
  0xfc006516, 0x1b00304c, 0x17001608, 0x1c001312,   // gv.zzp.un_720 uz.tr.un_CB0  hr.sr.un_430 bh.mr.un_640 
  0x55005905, 0x0d001c2b, 0x0d006a46, 0x00003203,   // rn.rw.un_330 mr.ne.un_980  haw.cs.un_C50 bs.un.un_300 
  0x09001c22, 0x38004c47, 0x0900131b, 0x09001c05,   // mr.hi.un_870 wo.tk.un_C60  bh.hi.un_770 mr.hi.un_330 
  // [0810]
  0x00005703, 0x32001608, 0x0100073b, 0x2500024d,   // na.un.un_300 hr.bs.un_430  it.en.un_B50 da.eu.un_CC0 
  0x1600322a, 0x00005b0a, 0x1500152b, 0x09001304,   // bs.hr.un_970 sg.un.un_500  un.un.un_980 bh.hi.un_320 
  0x00005b03, 0x13002047, 0x34003509, 0x04001321,   // sg.un.un_300 sq.et.un_C60  zu.xh.un_440 et.fi.un_860 
  0x3e002349, 0x19000a07, 0x13003923, 0x3f003933,   // ca.rm.un_C80 pt.gl.un_420  br.et.un_880 br.af.un_A70 
  // [0820]
  0x1700321b, 0x2d0d18cd, 0x07007822, 0x13001c02,   // bs.sr.un_770 ga.cs.sk_A65  ve.it.un_870 mr.bh.un_220 
  0x0200080c, 0x0d002d07, 0x1600170c, 0x00006701,   // no.da.un_530 sk.cs.un_420  sr.hr.un_530 ak.un.un_200 
  0x0a000b22, 0x0d001c08, 0x1d001e31, 0x33000222,   // es.pt.un_870 mr.ne.un_430  ms.la.un_A50 da.nn.un_870 
  0x15001523, 0x16003209, 0x1a002f48, 0x0b000a0d,   // un.un.un_880 bs.hr.un_440  su.tl.un_C70 pt.es.un_540 
  // [0830]
  0x1500151b, 0x00006003, 0x69321732, 0x05000e3b,   // un.un.un_770 vo.un.un_300  sr.bs.mfe_A86 is.fr.un_B50 
  0x1a00364d, 0x13000935, 0x1617573f, 0x59005247,   // gn.tl.un_CC0 hi.bh.un_A90  na.sr.hr_BA9 ha.rn.un_C60 
  0x18000f49, 0x13001c09, 0x07003e22, 0x00004d03,   // lv.ga.un_C80 mr.bh.un_440  rm.it.un_870 aa.un.un_300 
  0x1f002825, 0x39005245, 0x5300694c, 0x3300022a,   // sw.cy.un_920 ha.br.un_C40  mfe.ht.un_CB0 da.nn.un_970 
  // [0840]
  0x00006e03, 0x00005b01, 0x2d0d4c49, 0x00002601,   // hmn.un.un_300 sg.un.un_200  wo.cs.sk_CA8 ia.un.un_200 
  0x11001d1a, 0x5500590c, 0x00005406, 0x02000807,   // la.ro.un_760 rn.rw.un_530  ik.un.un_400 no.da.un_420 
  0x0d001c21, 0x13000d12, 0x1c000d13, 0x1c001308,   // mr.ne.un_860 ne.bh.un_640  ne.mr.un_650 bh.mr.un_430 
  0x53002540, 0x3e003732, 0x0d000933, 0x0d001c13,   // eu.ht.un_BA0 st.rm.un_A60  pl.cs.un_A70 mr.ne.un_650 
  // [0850] --- double_langprob_start=085f ---
  0x13000d09, 0x29003640, 0x17003234, 0x32001622,   // ne.bh.un_440 gn.sl.un_BA0  bs.sr.un_A80 hr.bs.un_870 
  0x28006e3d, 0x3300021a, 0x0d002d08, 0x13000d36,   // hmn.sw.un_B70 da.nn.un_760  sk.cs.un_430 ne.bh.un_AA0 
  0x1c001323, 0x17003223, 0x0d001c12, 0x0d001309,   // bh.mr.un_880 bs.sr.un_880  mr.ne.un_640 bh.ne.un_440 
  0x25002e46, 0x48002735, 0x0400734c,               // fo.eu.un_C50 gd.tt.un_A90  ny.fi.un_CB0 
  // [0860]
                                                    // 
  };

//  COMPILE_ASSERT(2143 <= 65536, k_indirectbits_too_small);

extern const CLD2TableSummary kDeltaOcta_obj = {
  kDeltaOcta0122,
  kDeltaOcta0122Ind,
  kDeltaOcta0122SizeOne,
  kDeltaOcta0122Size,
  kDeltaOcta0122KeyMask,
  kDeltaOcta0122BuildDate,
  kDeltaOcta0122RecognizedLangScripts,
};

static const uint32 kDeltaOcta0122_2Size = 0;    // Bucket count
static const uint32 kDeltaOcta0122_2KeyMask = 0xffffffff;    // Mask hash key

// NOTE: Some compilers will not allow an array of structs to have a constant
//       size of zero. Thus, we tell the code that the size is zero, but
//       actually allocate a single element array that will never be read.
//       More info: https://code.google.com/p/cld2/issues/detail?id=9
static const IndirectProbBucket4 kDeltaOcta0122_2[1] = {
  // hash_indirect[4], tokens[4] in UTF-8
  {0x00000000,0x00000000,0x00000000,0x00000000} // UNUSED, see above!
  };
  // table_hash = ffff-ffff, unused_entries = 0 (0.00%)

static const uint32 kDeltaOcta0122_2SizeOne = 2;    // Bucket count one-lang
static const uint32 kDeltaOcta0122_2IndSize = 2;  // Largest subscript
extern const uint32 kDeltaOcta2IndSize = kDeltaOcta0122_2IndSize;  // Source-agnostic named constant
static const uint32 kDeltaOcta0122_2Ind[kDeltaOcta0122_2IndSize] = {
  // [0000] --- double_langprob_start=0002 ---
  0x00000000, 0x00000000,                           // -- --  
                                                    // 
  };

extern const CLD2TableSummary kDeltaOcta_obj2 = {
  kDeltaOcta0122_2,
  kDeltaOcta0122_2Ind,
  kDeltaOcta0122_2SizeOne,
  kDeltaOcta0122_2Size,
  kDeltaOcta0122_2KeyMask,
  kDeltaOcta0122BuildDate,
  kDeltaOcta0122RecognizedLangScripts,
};

}       // End namespace CLD2

// End of generated tables
